$( This is the Metamath database set.mm. $)

$( Metamath is a formal language and associated computer program for
   archiving, verifying, and studying mathematical proofs, created by Norman
   Dwight Megill (1950--2021).  For more information, visit
   https://us.metamath.org and
   https://github.com/metamath/set.mm, and feel free to ask questions at
   https://groups.google.com/g/metamath. $)

$( New users may want to read https://us.metamath.org/mpeuni/conventions.html
   to understand the label naming conventions used in set.mm.  See also the
   Metamath program command "MM> HELP VERIFY MARKUP" for markup conventions. $)

$( To break this file into smaller modules, in the Metamath program type
   "MM> READ set.mm" followed by "MM> WRITE SOURCE set.mm / SPLIT".  To
   recombine, omit "/ SPLIT". $)

$( The database set.mm was created by Norman Megill on 30-Sep-1992 and has
   been continuously enriched since then (list of contributors below). $)


$( !
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Metamath source file for logic and set theory
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

                           ~~ PUBLIC DOMAIN ~~
This work is waived of all rights, including copyright, according to the CC0
Public Domain Dedication.  https://creativecommons.org/publicdomain/zero/1.0/

Currently active maintainers: See the list in the CONTRIBUTING.md file of
https://github.com/metamath/set.mm.

Contributor list:

DA  David Abernethy
SA  Stefan Allan
TA  Thierry Arnoux
JA  Juha Arpiainen
JB  Jonathan Ben-Naim
GB  Gregory Bush
MC  Mario Carneiro
FC  Filip Cernatescu
PC  Paul Chapman
DF  Drahflow
GD  Georgy Dunaev
SF  Scott Fenton
GG  Gino Giotto
JGH Jeff Hankins
AH  Anthony Hart
DH  David Harvey
CH  Chen-Pang He
JH  Jeff Hoffman
II  Igor Ieskov
AI  Asger C. Ipsen
JJ  Jerry James
SJ  Szymon Jaroszewicz
BJ  Benoit Jubin
JK  Jim Kingdon
ML  M L
WL  Wolf Lammen
GL  Gerard Lang
BL  Brendan Leahy
LL  Larry Lesyna
RL  Raph Levien
FL  Frederic Line
RFL Roy F. Longton
JPM Jeffrey P. Machado
JM  Jeff Madsen
GM  Giovanni Mascellani
PM  Peter Mazsa
RM  Rodolfo Medina
NM  Norman Megill
MKU metakunt
DM  David Moews
MM  Mykola Mostovenko
SN  Steven Nguyen
MO  Mel L. O'Cat
OAI OpenAI
SO  Stefan O'Rear
JO  Jason Orendorff
KP  K P
JPP Jon Pennant
RP  Richard Penner
SP  Stanislas Polu
JP  Josh Purinton
RMI Remi
RR  Rohan Ridenour
SR  Steve Rodriguez
ATS Andrew Salmon
AS  Alan Sare
ES  Eric Schmidt
GS  Glauco Siliprandi
SS  Saveliy Skresanov
BT  BTernaryTau
JU  Jarvin Udandy
ADH Stijn "Adhemar" Vandamme
AV  Alexander van der Vekens
JV  Jannik Vierling
ZW  Zhi Wang
EW  Emmett Weisz
DAW David A. Wheeler
RW  Roger Witte
KW  Kyle Wyonch
JY  Jonathan Yan
FZ  Fan Zheng
KZ  Kunhao Zheng

HTML code for accented names:
  BJ Beno&icirc;t Jubin
  GL G&eacute;rard Lang
  FL Fr&eacute;d&eacute;ric Lin&eacute;

$)


$( See "MM> HELP VERIFY MARKUP" for help with modularization tags. $)
$( Begin $[ set-header.mm $] $)
$( !
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Contents of this header
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

* Quick "How To"
* Bibliography
* Metamath syntax summary
* Other notes


=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Quick "How To"
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

How to use this file under Windows 95/98/NT/2K/XP/Vista/7/10:

1. Download the Metamath program metamath.exe following the instructions on the
   Metamath home page (https://us.metamath.org) and put it in the same
   directory as this file.
2. In Windows Explorer, double-click on metamath.exe.
3. Type "read set.mm" and press Enter.
4. Type "help" for a list of help topics, and "help demo" for some
   command examples.


=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Bibliography
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Bibliographical references are made by bracketing an identifier in a theorem's
comment, such as [RussellWhitehead].  These refer to HTML tags on the following
web pages:

  Logic and set theory - see https://us.metamath.org/mpeuni/mmset.html#bib
  Hilbert space - see https://us.metamath.org/mpeuni/mmhil.html#ref

A bracketed reference must be preceded by a theorem number, etc. and followed
by a page number.  See "MM> HELP WRITE BIBLIOGRAPHY" for details.


=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Metamath syntax summary
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

The HELP LANGUAGE command in the Metamath program will give you a quick
overview of Metamath.  The specification is found on pp. 92--95 of the
Metamath book.  The following syntax summary is provided for convenience
but may omit some details.

A Metamath database (set of one or more ASCII source files) is a sequence of
_tokens_, which are normally separated by spaces or line breaks.  The only
tokens that are built into the Metamath language are those (two-character
sequences) beginning with $, shown in the following. These tokens are called
_keywords_:

          $c ... $. - Constant declaration
          $v ... $. - Variable declaration
          $d ... $. - Disjoint (distinct) variable restriction
  <label> $f ... $. - "Floating" hypothesis (i.e. variable type declaration)
  <label> $e ... $. - "Essential" hypothesis (i.e. a logical assumption for a
                      theorem or axiom)
  <label> $a ... $. - Axiom or definition or syntax construction
  <label> $p ... $= ... $. - Theorem and its proof
          ${ ... $} - Block for defining the scope of the above statements
                      (except $a, $p which are forever active)
$)        $( ... $)
$(                  - Comments (may not be nested); see HELP LANGUAGE
                      for markup features.
          $[ ... $] - Include a file

The above two-character sequences beginning with "$" are the only primitives
built into the Metamath language.  The only "logic" Metamath uses in its proof
verification algorithm is the substitution of expressions for variables while
checking for distinct variable violations.  Everything else, including the
axioms for logic, is defined in this database file.

All other tokens are user-defined, and their names are arbitrary.  There are
two kinds of user-defined tokens, called math symbols (or just symbols) and
labels.  A _symbol_ may contain any non-whitespace printable character except
"$".  A _label_ may contain only alphanumeric characters and the characters "."
(period), "-" (hyphen), and "_" (underscore).  Symbols and labels are
case-sensitive.  All labels (except in proofs) must be distinct.  A label may
not have the same name as a symbol (to simplify the coding of certain parsers
and translators).

Here is some more detail about the syntax:

  $c <symbollist> $.
      <symbollist> is a (whitespace-separated) list of distinct symbols that
      haven't been used before.
  $v <symbollist> $.
      <symbollist> is a list of distinct symbols that haven't been used yet
      in the current scope (see ${ ... $} below).
  $d <symbollist> $.
      <symbollist> is a (whitespace-separated) list of distinct symbols
      previously declared with $v in current scope.  It means that
      substitutions into these symbols may not have variables in common.
  <label> $f <symbollist> $.
      <symbollist> is a list of 2 symbols, the first of which must be
      previously declared with $c in the current scope.
  <label> $e <symbollist> $.
      <symbollist> is a list of 2 or more symbols, the first of which must be
      previously declared with $c in the current scope.
  <label> $a <symbollist> $.
      <symbollist> is a list of 2 or more symbols, the first of which must be
      previously declared with $c in the current scope.
  <label> $p <symbollist> $= <proof> $.
      <symbollist> is a list of 2 or more symbols, the first of which must be
      previously declared with $c in the current scope.  <proof> is either a
      whitespace-delimited sequence of previous labels (created by
      SAVE PROOF <label> /NORMAL) or a compressed proof (created by
      SAVE PROOF <label> /COMPRESSED).  After using SAVE PROOF, use
      WRITE SOURCE to save the database file to disk.
  ${ ... $}
      Block for scoping the above statements (except $a, $p which are forever
      active).  Currently, $c may not occur inside of a block.
$)
  $( <any text> $)
$(    Comment.  Note: <any text> may not contain adjacent "$" and ")"
      characters.  The comment opening and closing delimiters must be
      surrounded by whitespace (space, tab, CR, LF, or FF).
  $[ <filename> $]
      Insert contents of <filename> at this point.  If <filename> is current
      file or has been already been inserted, it will not be inserted again.

Inside of comments, it is recommended that labels be preceded with a tilde (~)
and math symbol tokens be enclosed in grave accents, also known as backticks
(` `). These tildes, tokens, math symbols and backticks should be surrounded by
spaces.  This way the LaTeX and HTML rendition of comments will be accurate,
and tools to globally change labels and math symbols will also change them in
comments.  Note that inside of backticks a pair of backticks is interpreted as
a single backtick.  A special comment containing $ t (with no space after the
dollar sign) defines LaTeX and HTML symbols.  See HELP LANGUAGE and HELP HTML
for other markup features in comments.

The proofs in this file are in "compressed" format for storage efficiency.  The
Metamath program reads the compressed format directly.  This format is
described in Appendix B of the Metamath book.  It is not intended to be read by
humans.  For viewing proofs you should use the various SHOW PROOF commands
described in the Metamath book (or the online HELP).

The Metamath program does not normally affect any content of this file other
than proofs, i.e., the text between "$=" and "$." (and some rewrapping).  All
other content is user-created.  Proofs are created or modified with the PROVE
command.


=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Other notes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

1.  It is recommended that you be familiar with Chapters 2 and 4 of the
Metamath book to understand the Metamath language.  Chapters 2, 3 and 5 explain
how to use the Metamath program.  Chapter 3 gives an informal overview of what
this source file is all about.  Appendix A gives the standard mathematical
symbols corresponding to some of the ASCII tokens used in this file.

The ASCII tokens may seem cryptic at first, even if you are familiar with set
theory, but a review of the definition summary in Chapter 3 should quickly
enable you to see the correspondence to standard mathematical notation.  To
easily find the definition of a token, search for the first occurrences of the
token surrounded by spaces.  Some odd-looking ones include "-." for "not", and
"C_" for "is a subset of".  The Metamath program "MM> HELP TEX" command
explains how to obtain a LaTeX output to see the real mathematical symbols.
Let us know if you have better suggestions for naming ASCII tokens.

2.  Theorems can be written in different forms, including "closed form",
"deduction form", and "inference form" (for details, see ~ conventions ).  For
basic theorems, all three forms are generally given, but for more advanced
theorems, we prefer to use the deduction form, since it permits to write proofs
in the "deduction style", and we do not add theorems in inference form unless
there are reasonable grounds for it (for instance, shortening sufficiently many
proofs to counterbalance their addition).

3.  On providing new definitions and theorems, the conventions provided in the
comment of ~ conventions should be obeyed.

4.  For a chronological list of changes to label names and label deletions, see
the changes-set.txt file.  This should help if you have a proof not checked
into the main repository and want to update it for recent changes.

$)

$( End $[ set-header.mm $] $)


$( Begin $[ set-main.mm $] $)
$( Begin $[ set-pred.mm $] $)

$( The following header is the first to appear in the Theorem List contents,
   because higher-level headers suppress all previous same-level or
   lower-level headers in the same comment area between $a and $p statements.
   See "MM> HELP WRITE THEOREM_LIST" for information about headers. $)


$(
###############################################################################
  CLASSICAL FIRST-ORDER LOGIC WITH EQUALITY
###############################################################################

  Logic can be defined as the "study of the principles of correct reasoning"
  (Merrilee H. Salmon's 1991 "Informal Reasoning and Informal Logic" in
  _Informal Reasoning and Education_) or as "a formal system using symbolic
  techniques and mathematical methods to establish truth-values" (the Oxford
  English Dictionary).

  This section formally defines the logic system we will use.  In particular,
  it defines symbols for declaring truthful statements, along with rules for
  deriving truthful statements from other truthful statements.  The system
  defined here is classical first-order logic (often abbreviated as FOL) with
  equality and no terms (the most common logic system used by mathematicians).

  We begin with a few housekeeping items in pre-logic, and then introduce
  propositional calculus (both its axioms and important theorems that can be
  derived from them).  Propositional calculus deals with general truths about
  well-formed formulas (wffs) regardless of how they are constructed.  This is
  followed by proofs that other axiomatizations of classical propositional
  calculus can be derived from the axioms we have chosen to use.

  We then define predicate calculus, which adds additional symbols and rules
  useful for discussing objects (beyond simply true or false).  In particular,
  it introduces the symbols ` = ` ("equals"), ` e. ` ("is a member of"), and
  ` A. ` ("for all").  The first two are called "predicates".  A predicate
  specifies a true or false relationship between its two arguments.

$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Pre-logic
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  This section includes a few "housekeeping" mechanisms before we begin
  defining the basics of logic.

$)

  $( Declare the primitive constant symbols for propositional calculus. $)
  $c ( $.  $( Left parenthesis $)
  $c ) $.  $( Right parenthesis $)
  $c -> $.  $( Right arrow (read:  "implies") $)
  $c -. $.  $( Right handle (read:  "not") $)
  $c wff $.  $( Well-formed formula symbol (read:  "the following symbol
                sequence is a wff") $)
  $c |- $.  $( Turnstile (read:  "the following symbol sequence is provable" or
               "a proof exists for") $)

  $( Define the syntax and logical typecodes, and declare that our grammar is
     unambiguous (verifiable using the KLR parser, with compositing depth 5).
     (This $ j comment need not be read by verifiers, but is useful for parsers
     like mmj2.) $)
  $( $j
    syntax 'wff';
    syntax '|-' as 'wff';
    unambiguous 'klr 5';
  $)

  $( Declare typographical constant symbols that are not directly used in the
     formalism but are useful to explain it in comments. $)

  $c & $.  $( Ampersand (read: "and"). $)
  $c => $.  $( Double right arrow (read: "implies"). $)

  $( wff variable sequence:  ph ps ch th ta et ze si rh mu la ka $)
  $( Introduce some variable names we will use to represent well-formed
     formulas (wff's). $)
  $v ph $.  $( Greek phi $)
  $v ps $.  $( Greek psi $)
  $v ch $.  $( Greek chi $)
  $v th $.  $( Greek theta $)
  $v ta $.  $( Greek tau $)
  $v et $.  $( Greek eta $)
  $v ze $.  $( Greek zeta $)
  $v si $.  $( Greek sigma $)
  $v rh $.  $( Greek rho $)
  $v mu $.  $( Greek mu $)
  $v la $.  $( Greek lambda $)
  $v ka $.  $( Greek kappa $)

  $( Specify some variables that we will use to represent wff's.
     The fact that a variable represents a wff is relevant only to a theorem
     referring to that variable, so we may use $f hypotheses.  The symbol
     ` wff ` specifies that the variable that follows it represents a wff. $)
  $( Let variable ` ph ` be a wff. $)
  wph $f wff ph $.
  $( Let variable ` ps ` be a wff. $)
  wps $f wff ps $.
  $( Let variable ` ch ` be a wff. $)
  wch $f wff ch $.
  $( Let variable ` th ` be a wff. $)
  wth $f wff th $.
  $( Let variable ` ta ` be a wff. $)
  wta $f wff ta $.
  $( Let variable ` et ` be a wff. $)
  wet $f wff et $.
  $( Let variable ` ze ` be a wff. $)
  wze $f wff ze $.
  $( Let variable ` si ` be a wff. $)
  wsi $f wff si $.
  $( Let variable ` rh ` be a wff. $)
  wrh $f wff rh $.
  $( Let variable ` mu ` be a wff. $)
  wmu $f wff mu $.
  $( Let variable ` la ` be a wff. $)
  wla $f wff la $.
  $( Let variable ` ka ` be a wff. $)
  wka $f wff ka $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Inferences for assisting proof development
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The inference rules in this section will normally never appear in a completed
  proof.  They can be ignored if you are using this database to assist learning
  logic - please start with the statement ~ wn instead.

$)

  ${
    idi.1 $e |- ph $.
    $( (_Note_:  This inference rule and the next one, ~ a1ii , will normally
       never appear in a completed proof.  They can be ignored if you are using
       this database to assist learning logic; please start with the statement
       ~ wn instead.)

       This inference says "if ` ph ` is true then ` ph ` is true".  This
       inference requires no axioms for its proof, and is useful as a
       copy-paste mechanism during proof development in mmj2.  It is normally
       not referenced in the final version of a proof, since it is always
       redundant.  You can remove this using the metamath-exe (Metamath
       program) Proof Assistant using the "MM-PA> MINIMIZE__WITH *" command.
       This is the inference associated with ~ id , hence its name.
       (Contributed by Alan Sare, 31-Dec-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    idi $p |- ph $=
      (  ) B $.
  $}

  ${
    a1ii.1 $e |- ph $.
    a1ii.2 $e |- ps $.
    $( (_Note_:  This inference rule and the previous one, ~ idi , will
       normally never appear in a completed proof.)

       This is a technical inference to assist proof development.  It provides
       a temporary way to add an independent subproof to a proof under
       development, for later assignment to a normal proof step.

       The Metamath (Metamath-exe) program Proof Assistant requires proofs to
       be developed backwards from the conclusion with no gaps, and it has no
       mechanism that lets the user work on isolated subproofs.  This inference
       provides a workaround for this limitation.  It can be inserted at any
       point in a proof to allow an independent subproof to be developed on the
       side, for later use as part of the final proof.

       _Instructions_:
       <HTML><ol><li>Assign this inference to any unknown step in the proof.
       Typically, the last unknown step is the most convenient, since
       <code>MM-PA&gt; ASSIGN LAST</code> can be used.  This step will be
       replicated in hypothesis a1ii.1, from where the development of the main
       proof can continue.</li><li>Develop the independent subproof backwards
       from hypothesis a1ii.2.  If desired, use a
       <code>MM-PA&gt; LET STEP</code>
       command to pre-assign the conclusion of the independent subproof to
       a1ii.2.</li><li>After the independent subproof is complete, use
       <code>MM-PA&gt; IMPROVE ALL</code>
       to assign it automatically to an unknown
       step in the main proof that matches it.</li><li>After the entire proof
       is complete, use <code>MM-PA> MINIMIZE_WITH *</code> to clean up
       (discard) all ~ a1ii references automatically.</ol></HTML>

       This can also be used to apply subproofs from other theorems.  In step
       2, simply assign the theorem to a1ii.2, and run
       <HTML><code>MM-PA&gt; EXPAND &lt;theorem&gt;</code></HTML>
       to "import" a subproof
       from another theorem.

       This inference was originally designed to assist importing partially
       completed Proof Worksheets from the mmj2 Proof Assistant GUI, but it can
       also be useful on its own.  Interestingly, no axioms are required for
       its proof.  It is the inference associated with ~ a1i .  (Contributed by
       NM, 7-Feb-2006.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    a1ii $p |- ph $=
      (  ) C $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Propositional calculus
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  Propositional calculus deals with general truths about well-formed formulas
  (wffs) regardless of how they are constructed.  The simplest propositional
  truth is ` ( ph -> ph ) ` , which can be read "if something is true, then it
  is true" - rather trivial and obvious, but nonetheless it must be proved from
  the axioms (see Theorem ~ id ).

  Our system of propositional calculus consists of three basic axioms and
  another axiom that defines the modus-ponens inference rule.  It is attributed
  to Jan Lukasiewicz (pronounced woo-kah-SHAY-vitch) and was popularized by
  Alonzo Church, who called it system P2.  (Thanks to Ted Ulrich for this
  information.)  These axioms are ~ ax-1 , ~ ax-2 , ~ ax-3 , and (for modus
  ponens) ~ ax-mp . Some closely followed texts include [Margaris] for the
  axioms and [WhiteheadRussell] for the theorems.

  The propositional calculus used here is the classical system widely used by
  mathematicians.  In particular, this logic system accepts the "law of the
  excluded middle" as proven in ~ exmid , which says that a logical statement
  is either true or not true.  This is an essential distinction of classical
  logic and is not a theorem of intuitionistic logic.

  All 194 axioms, definitions, and theorems for propositional calculus in
  _Principia Mathematica_ (specifically *1.2 through *5.75) are axioms or
  formally proven.  See the Bibliographic Cross-References at ~ mmbiblio.html
  for a complete cross-reference from sources used to its formalization in the
  Metamath Proof Explorer.

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Recursively define primitive wffs for propositional calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( If ` ph ` is a wff, so is ` -. ph ` or "not ` ph ` ".  Part of the
     recursive definition of a wff (well-formed formula).  In classical logic
     (which is our logic), a wff is interpreted as either true or false.  So if
     ` ph ` is true, then ` -. ph ` is false; if ` ph ` is false, then
     ` -. ph ` is true.  Traditionally, Greek letters are used to represent
     wffs, and we follow this convention.  In propositional calculus, we define
     only wffs built up from other wffs, i.e. there is no starting or "atomic"
     wff.  Later, in predicate calculus, we will extend the basic wff
     definition by including atomic wffs ( ~ weq and ~ wel ). $)
  wn $a wff -. ph $.

  $( Register negation '-.' as a primitive expression (lacking a
     definition). $)
  $( $j primitive 'wn'; $)

  $( If ` ph ` and ` ps ` are wff's, so is ` ( ph -> ps ) ` or " ` ph ` implies
     ` ps ` ".  Part of the recursive definition of a wff.  The resulting wff
     is (interpreted as) false when ` ph ` is true and ` ps ` is false; it is
     true otherwise.  Think of the truth table for an OR gate with input ` ph `
     connected through an inverter.  After we state the axioms of propositional
     calculus ( ~ ax-1 , ~ ax-2 , ~ ax-3 , and ~ ax-mp ) and define the
     biconditional ( ~ df-bi ), the constant true ` T. ` ( ~ df-tru ), and the
     constant false ` F. ` ( ~ df-fal ), we will be able to prove these truth
     table values: ` ( ( T. -> T. ) <-> T. ) ` ( ~ truimtru ),
     ` ( ( T. -> F. ) <-> F. ) ` ( ~ truimfal ), ` ( ( F. -> T. ) <-> T. ) `
     ( ~ falimtru ), and ` ( ( F. -> F. ) <-> T. ) ` ( ~ falimfal ).  These
     have straightforward meanings, for example, ` ( ( T. -> T. ) <-> T. ) `
     just means "the value of ` ( T. -> T. ) ` is ` T. ` ".

     The left-hand wff is called the antecedent, and the right-hand wff is
     called the consequent.  In the case of ` ( ph -> ( ps -> ch ) ) ` , the
     middle ` ps ` may be informally called either an antecedent or part of the
     consequent depending on context.  Contrast with ` <-> ` ( ~ df-bi ),
     ` /\ ` ( ~ df-an ), and ` \/ ` ( ~ df-or ).

     This is called "material implication" and the arrow is usually read as
     "implies".  However, material implication is not identical to the meaning
     of "implies" in natural language.  For example, the word "implies" may
     suggest a causal relationship in natural language.  Material implication
     does not require any causal relationship.  Also, note that in material
     implication, if the consequent is true then the wff is always true (even
     if the antecedent is false).  Thus, if "implies" means material
     implication, it is true that "if the moon is made of green cheese that
     implies that 5=5" (because 5=5).  Similarly, if the antecedent is false,
     the wff is always true.  Thus, it is true that, "if the moon is made of
     green cheese that implies that 5=7" (because the moon is not actually made
     of green cheese).  A contradiction implies anything ( ~ pm2.21i ).  In
     short, material implication has a very specific technical definition, and
     misunderstandings of it are sometimes called "paradoxes of logical
     implication". $)
  wi $a wff ( ph -> ps ) $.

  $( Register implication '->' as a primitive expression (lacking a
     definition). $)
  $( $j primitive 'wi'; $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The axioms of propositional calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Propositional calculus (Axioms ~ ax-1 through ~ ax-3 and rule ~ ax-mp ) can
  be thought of as asserting formulas that are universally "true" when their
  variables are replaced by any combination of "true" and "false".
  Propositional calculus was first formalized by Frege in 1879, using as his
  axioms (in addition to rule ~ ax-mp ) the wffs ~ ax-1 , ~ ax-2 , ~ pm2.04 ,
  ~ con3 , ~ notnot , and ~ notnotr .  Around 1930, Lukasiewicz simplified the
  system by eliminating the third (which follows from the first two, as you can
  see by looking at the proof of ~ pm2.04 ) and replacing the last three with
  our ~ ax-3 .  (Thanks to Ted Ulrich for this information.)

  The theorems of propositional calculus are also called _tautologies_.
  Tautologies can be proved very simply using truth tables, based on the
  true/false interpretation of propositional calculus.  To do this, we assign
  all possible combinations of true and false to the wff variables and verify
  that the result (using the rules described in ~ wi and ~ wn ) always
  evaluates to true.  This is called the _semantic_ approach.  Our approach is
  called the _syntactic_ approach, in which everything is derived from axioms.
  A metatheorem called the Completeness Theorem for Propositional Calculus
  shows that the two approaches are equivalent and even provides an algorithm
  for automatically generating syntactic proofs from a truth table.  Those
  proofs, however, tend to be long, since truth tables grow exponentially with
  the number of variables, and the much shorter proofs that we show here were
  found manually.

$)

  ${
    $( Minor premise for modus ponens. $)
    min $e |- ph $.
    $( Major premise for modus ponens. $)
    maj $e |- ( ph -> ps ) $.
    $( Rule of Modus Ponens.  The postulated inference rule of propositional
       calculus.  See, e.g., Rule 1 of [Hamilton] p. 73.  The rule says, "if
       ` ph ` is true, and ` ph ` implies ` ps ` , then ` ps ` must also be
       true".  This rule is sometimes called "detachment", since it detaches
       the minor premise from the major premise.  "Modus ponens" is short for
       "modus ponendo ponens", a Latin phrase that means "the mode that by
       affirming affirms" - remark in [Sanford] p. 39.  This rule is similar to
       the rule of modus tollens ~ mto .

       Note:  In some web page displays such as the Statement List, the
       symbols " ` & ` " and " ` => ` " informally indicate the relationship
       between the hypotheses and the assertion (conclusion), abbreviating the
       English words "and" and "implies".  They are not part of the formal
       language.  (Contributed by NM, 30-Sep-1992.) $)
    ax-mp $a |- ps $.
  $}

  $( Axiom _Simp_.  Axiom A1 of [Margaris] p. 49.  One of the 3 axioms of
     propositional calculus.  The 3 axioms are also given as Definition 2.1 of
     [Hamilton] p. 28.  This axiom is called _Simp_ or "the principle of
     simplification" in _Principia Mathematica_ (Theorem *2.02 of
     [WhiteheadRussell] p. 100) because "it enables us to pass from the joint
     assertion of ` ph ` and ` ps ` to the assertion of ` ph ` simply".  It is
     Proposition 1 of [Frege1879] p. 26, its first axiom.  (Contributed by NM,
     30-Sep-1992.) $)
  ax-1 $a |- ( ph -> ( ps -> ph ) ) $.

  $( Axiom _Frege_.  Axiom A2 of [Margaris] p. 49.  One of the 3 axioms of
     propositional calculus.  It "distributes" an antecedent over two
     consequents.  This axiom was part of Frege's original system and is known
     as _Frege_ in the literature; see Proposition 2 of [Frege1879] p. 26.  It
     is also proved as Theorem *2.77 of [WhiteheadRussell] p. 108.  The other
     direction of this axiom also turns out to be true, as demonstrated by
     ~ pm5.41 .  (Contributed by NM, 30-Sep-1992.) $)
  ax-2 $a |- ( ( ph -> ( ps -> ch ) ) -> ( ( ph -> ps ) -> ( ph -> ch ) ) ) $.

  $( Axiom _Transp_.  Axiom A3 of [Margaris] p. 49.  One of the 3 axioms of
     propositional calculus.  It swaps or "transposes" the order of the
     consequents when negation is removed.  An informal example is that the
     statement "if there are no clouds in the sky, it is not raining" implies
     the statement "if it is raining, there are clouds in the sky".  This axiom
     is called _Transp_ or "the principle of transposition" in _Principia
     Mathematica_ (Theorem *2.17 of [WhiteheadRussell] p. 103).  We will also
     use the term "contraposition" for this principle, although the reader is
     advised that in the field of philosophical logic, "contraposition" has a
     different technical meaning.  (Contributed by NM, 30-Sep-1992.)  Use its
     alias ~ con4 instead.  (New usage is discouraged.) $)
  ax-3 $a |- ( ( -. ph -> -. ps ) -> ( ps -> ph ) ) $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Logical implication
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The results in this section are based on implication only, and avoid ~ ax-3 ,
  so are intuitionistic.  The system { ~ ax-mp , ~ ax-1 , ~ ax-2 } axiomatizes
  what is sometimes called "intuitionistic implicational calculus" or "minimal
  implicational calculus".

  In an implication, the wff before the arrow is called the "antecedent" and
  the wff after the arrow is called the "consequent".

$)

  ${
    mp2.1 $e |- ph $.
    mp2.2 $e |- ps $.
    mp2.3 $e |- ( ph -> ( ps -> ch ) ) $.
    $( A double modus ponens inference.  (Contributed by NM, 5-Apr-1994.) $)
    mp2 $p |- ch $=
      ( wi ax-mp ) BCEABCGDFHH $.
  $}

  ${
    mp2b.1 $e |- ph $.
    mp2b.2 $e |- ( ph -> ps ) $.
    mp2b.3 $e |- ( ps -> ch ) $.
    $( A double modus ponens inference.  (Contributed by Mario Carneiro,
       24-Jan-2013.) $)
    mp2b $p |- ch $=
      ( ax-mp ) BCABDEGFG $.
  $}

  ${
    a1i.1 $e |- ph $.
    $( Inference introducing an antecedent.  Inference associated with ~ ax-1 .
       Its associated inference is ~ a1ii .  See ~ conventions for a definition
       of "associated inference".  (Contributed by NM, 29-Dec-1992.) $)
    a1i $p |- ( ps -> ph ) $=
      ( wi ax-1 ax-mp ) ABADCABEF $.
  $}

  ${
    2a1i.1 $e |- ph $.
    $( Inference introducing two antecedents.  Two applications of ~ a1i .
       Inference associated with ~ 2a1 .  (Contributed by Jeff Hankins,
       4-Aug-2009.) $)
    2a1i $p |- ( ps -> ( ch -> ph ) ) $=
      ( wi a1i ) CAEBACDFF $.
  $}

  ${
    mp1i.1 $e |- ph $.
    mp1i.2 $e |- ( ph -> ps ) $.
    $( Inference detaching an antecedent and introducing a new one.
       (Contributed by Stefan O'Rear, 29-Jan-2015.) $)
    mp1i $p |- ( ch -> ps ) $=
      ( ax-mp a1i ) BCABDEFG $.
  $}

  ${
    a2i.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference distributing an antecedent.  Inference associated with
       ~ ax-2 .  Its associated inference is ~ mpd .  (Contributed by NM,
       29-Dec-1992.) $)
    a2i $p |- ( ( ph -> ps ) -> ( ph -> ch ) ) $=
      ( wi ax-2 ax-mp ) ABCEEABEACEEDABCFG $.
  $}

  ${
    mpd.1 $e |- ( ph -> ps ) $.
    mpd.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( A modus ponens deduction.  A translation of natural deduction rule
       ` -> ` E ( ` -> ` elimination), see ~ natded .  Deduction form of
       ~ ax-mp .  Inference associated with ~ a2i .  Commuted form of ~ mpcom .
       (Contributed by NM, 29-Dec-1992.) $)
    mpd $p |- ( ph -> ch ) $=
      ( wi a2i ax-mp ) ABFACFDABCEGH $.
  $}

  ${
    imim2i.1 $e |- ( ph -> ps ) $.
    $( Inference adding common antecedents in an implication.  Inference
       associated with ~ imim2 .  Its associated inference is ~ syl .
       (Contributed by NM, 28-Dec-1992.) $)
    imim2i $p |- ( ( ch -> ph ) -> ( ch -> ps ) ) $=
      ( wi a1i a2i ) CABABECDFG $.
  $}

  ${
    $( First of 2 premises for ~ syl . $)
    syl.1 $e |- ( ph -> ps ) $.
    $( Second of 2 premises for ~ syl . $)
    syl.2 $e |- ( ps -> ch ) $.
    $( An inference version of the transitive laws for implication ~ imim2 and
       ~ imim1 (and ~ imim1i and ~ imim2i ), which Russell and Whitehead call
       "the principle of the syllogism ... because ... the syllogism in Barbara
       is derived from [[ ~ syl ]" (quote after Theorem *2.06 of
       [WhiteheadRussell] p. 101).  Some authors call this law a "hypothetical
       syllogism".  Its associated inference is ~ mp2b .

       (A bit of trivia: this is the most commonly referenced assertion in our
       database (13449 times as of 22-Jul-2021).  In second place is ~ eqid
       (9597 times), followed by ~ adantr (8861 times), ~ syl2anc (7421 times),
       ~ adantl (6403 times), and ~ simpr (5829 times).  The Metamath program
       command 'show usage' shows the number of references.)

       (Contributed by NM, 30-Sep-1992.)  (Proof shortened by Mel L. O'Cat,
       20-Oct-2011.)  (Proof shortened by Wolf Lammen, 26-Jul-2012.) $)
    syl $p |- ( ph -> ch ) $=
      ( wi a1i mpd ) ABCDBCFAEGH $.
  $}

  ${
    3syl.1 $e |- ( ph -> ps ) $.
    3syl.2 $e |- ( ps -> ch ) $.
    3syl.3 $e |- ( ch -> th ) $.
    $( Inference chaining two syllogisms ~ syl .  Inference associated with
       ~ imim12i .  (Contributed by NM, 28-Dec-1992.) $)
    3syl $p |- ( ph -> th ) $=
      ( syl ) ACDABCEFHGH $.
  $}

  ${
    4syl.1 $e |- ( ph -> ps ) $.
    4syl.2 $e |- ( ps -> ch ) $.
    4syl.3 $e |- ( ch -> th ) $.
    4syl.4 $e |- ( th -> ta ) $.
    $( Inference chaining three syllogisms ~ syl .  (Contributed by BJ,
       14-Jul-2018.)  The use of this theorem is marked "discouraged" because
       it can cause the Metamath program "MM-PA> MINIMIZE__WITH *" command to
       have very long run times.  However, feel free to use "MM-PA>
       MINIMIZE__WITH 4syl / OVERRIDE" if you wish.  Remember to update the
       "discouraged" file if it gets used.  (New usage is discouraged.) $)
    4syl $p |- ( ph -> ta ) $=
      ( 3syl syl ) ADEABCDFGHJIK $.
  $}

  ${
    mpi.1 $e |- ps $.
    mpi.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( A nested modus ponens inference.  Inference associated with ~ com12 .
       (Contributed by NM, 29-Dec-1992.)  (Proof shortened by Stefan Allan,
       20-Mar-2006.) $)
    mpi $p |- ( ph -> ch ) $=
      ( a1i mpd ) ABCBADFEG $.
  $}

  ${
    mpisyl.1 $e |- ( ph -> ps ) $.
    mpisyl.2 $e |- ch $.
    mpisyl.3 $e |- ( ps -> ( ch -> th ) ) $.
    $( A syllogism combined with a modus ponens inference.  (Contributed by
       Alan Sare, 25-Jul-2011.) $)
    mpisyl $p |- ( ph -> th ) $=
      ( mpi syl ) ABDEBCDFGHI $.
  $}

  $( Principle of identity.  Theorem *2.08 of [WhiteheadRussell] p. 101.  For
     another version of the proof directly from axioms, see ~ idALT .  Its
     associated inference, ~ idi , requires no axioms for its proof, contrary
     to ~ id .  Note that the second occurrences of ` ph ` in Steps 1 and 2 may
     be simultaneously replaced by any wff ` ps ` , which may ease the
     understanding of the proof.  (Contributed by NM, 29-Dec-1992.)  (Proof
     shortened by Stefan Allan, 20-Mar-2006.) $)
  id $p |- ( ph -> ph ) $=
    ( wi ax-1 mpd ) AAABZAAACAECD $.

  $( Alternate proof of ~ id .  This version is proved directly from the axioms
     for demonstration purposes.  This proof is a popular example in the
     literature and is identical, step for step, to the proofs of Theorem 1 of
     [Margaris] p. 51, Example 2.7(a) of [Hamilton] p. 31, Lemma 10.3 of
     [BellMachover] p. 36, and Lemma 1.8 of [Mendelson] p. 36.  It is also "Our
     first proof" in Hirst and Hirst's _A Primer for Logic and Proof_ p. 17
     (PDF p. 23) at ~ http://www.appstate.edu/~~hirstjl/primer/hirst.pdf .
     Note that the second occurrences of ` ph ` in Steps 1 to 4 and the sixth
     in Step 3 may be simultaneously replaced by any wff ` ps ` , which may
     ease the understanding of the proof.  For a shorter version of the proof
     that takes advantage of previously proved theorems, see ~ id .
     (Contributed by NM, 30-Sep-1992.)  (Proof modification is discouraged.)
     Use ~ id instead.  (New usage is discouraged.) $)
  idALT $p |- ( ph -> ph ) $=
    ( wi ax-1 ax-2 ax-mp ) AAABZBZFAACAFABBGFBAFCAFADEE $.

  $( Principle of identity ~ id with antecedent.  (Contributed by NM,
     26-Nov-1995.) $)
  idd $p |- ( ph -> ( ps -> ps ) ) $=
    ( wi id a1i ) BBCABDE $.

  ${
    a1d.1 $e |- ( ph -> ps ) $.
    $( Deduction introducing an embedded antecedent.  Deduction form of ~ ax-1
       and ~ a1i .  (Contributed by NM, 5-Jan-1993.)  (Proof shortened by
       Stefan Allan, 20-Mar-2006.) $)
    a1d $p |- ( ph -> ( ch -> ps ) ) $=
      ( wi ax-1 syl ) ABCBEDBCFG $.
  $}

  ${
    2a1d.1 $e |- ( ph -> ps ) $.
    $( Deduction introducing two antecedents.  Two applications of ~ a1d .
       Deduction associated with ~ 2a1 and ~ 2a1i .  (Contributed by BJ,
       10-Aug-2020.) $)
    2a1d $p |- ( ph -> ( ch -> ( th -> ps ) ) ) $=
      ( wi a1d ) ADBFCABDEGG $.
  $}

  ${
    a1i13.1 $e |- ( ps -> th ) $.
    $( Add two antecedents to a wff.  (Contributed by Jeff Hankins,
       4-Aug-2009.) $)
    a1i13 $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      ( wi a1d a1i ) BCDFFABDCEGH $.
  $}

  $( A double form of ~ ax-1 .  Its associated inference is ~ 2a1i .  Its
     associated deduction is ~ 2a1d .  (Contributed by BJ, 10-Aug-2020.)
     (Proof shortened by Wolf Lammen, 1-Sep-2020.) $)
  2a1 $p |- ( ph -> ( ps -> ( ch -> ph ) ) ) $=
    ( id 2a1d ) AABCADE $.

  ${
    a2d.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( Deduction distributing an embedded antecedent.  Deduction form of
       ~ ax-2 .  (Contributed by NM, 23-Jun-1994.) $)
    a2d $p |- ( ph -> ( ( ps -> ch ) -> ( ps -> th ) ) ) $=
      ( wi ax-2 syl ) ABCDFFBCFBDFFEBCDGH $.
  $}

  ${
    sylcom.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylcom.2 $e |- ( ps -> ( ch -> th ) ) $.
    $( Syllogism inference with commutation of antecedents.  (Contributed by
       NM, 29-Aug-2004.)  (Proof shortened by Mel L. O'Cat, 2-Feb-2006.)
       (Proof shortened by Stefan Allan, 23-Feb-2006.) $)
    sylcom $p |- ( ph -> ( ps -> th ) ) $=
      ( wi a2i syl ) ABCGBDGEBCDFHI $.
  $}

  ${
    syl5com.1 $e |- ( ph -> ps ) $.
    syl5com.2 $e |- ( ch -> ( ps -> th ) ) $.
    $( Syllogism inference with commuted antecedents.  (Contributed by NM,
       24-May-2005.) $)
    syl5com $p |- ( ph -> ( ch -> th ) ) $=
      ( a1d sylcom ) ACBDABCEGFH $.
  $}

  ${
    com12.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference that swaps (commutes) antecedents in an implication.
       Inference associated with ~ pm2.04 .  Its associated inference is
       ~ mpi .  (Contributed by NM, 29-Dec-1992.)  (Proof shortened by Wolf
       Lammen, 4-Aug-2012.) $)
    com12 $p |- ( ps -> ( ph -> ch ) ) $=
      ( id syl5com ) BBACBEDF $.
  $}

  ${
    syl11.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl11.2 $e |- ( th -> ph ) $.
    $( A syllogism inference.  Commuted form of an instance of ~ syl .
       (Contributed by BJ, 25-Oct-2021.) $)
    syl11 $p |- ( ps -> ( th -> ch ) ) $=
      ( wi syl com12 ) DBCDABCGFEHI $.
  $}

  ${
    syl5.1 $e |- ( ph -> ps ) $.
    syl5.2 $e |- ( ch -> ( ps -> th ) ) $.
    $( A syllogism rule of inference.  The first premise is used to replace the
       second antecedent of the second premise.  (Contributed by NM,
       27-Dec-1992.)  (Proof shortened by Wolf Lammen, 25-May-2013.) $)
    syl5 $p |- ( ch -> ( ph -> th ) ) $=
      ( syl5com com12 ) ACDABCDEFGH $.
  $}

  ${
    syl6.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl6.2 $e |- ( ch -> th ) $.
    $( A syllogism rule of inference.  The second premise is used to replace
       the consequent of the first premise.  (Contributed by NM, 5-Jan-1993.)
       (Proof shortened by Wolf Lammen, 30-Jul-2012.) $)
    syl6 $p |- ( ph -> ( ps -> th ) ) $=
      ( wi a1i sylcom ) ABCDECDGBFHI $.
  $}

  ${
    syl56.1 $e |- ( ph -> ps ) $.
    syl56.2 $e |- ( ch -> ( ps -> th ) ) $.
    syl56.3 $e |- ( th -> ta ) $.
    $( Combine ~ syl5 and ~ syl6 .  (Contributed by NM, 14-Nov-2013.) $)
    syl56 $p |- ( ch -> ( ph -> ta ) ) $=
      ( syl6 syl5 ) ABCEFCBDEGHIJ $.
  $}

  ${
    syl6com.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl6com.2 $e |- ( ch -> th ) $.
    $( Syllogism inference with commuted antecedents.  (Contributed by NM,
       25-May-2005.) $)
    syl6com $p |- ( ps -> ( ph -> th ) ) $=
      ( syl6 com12 ) ABDABCDEFGH $.
  $}

  ${
    mpcom.1 $e |- ( ps -> ph ) $.
    mpcom.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Modus ponens inference with commutation of antecedents.  Commuted form
       of ~ mpd .  (Contributed by NM, 17-Mar-1996.) $)
    mpcom $p |- ( ps -> ch ) $=
      ( com12 mpd ) BACDABCEFG $.
  $}

  ${
    syli.1 $e |- ( ps -> ( ph -> ch ) ) $.
    syli.2 $e |- ( ch -> ( ph -> th ) ) $.
    $( Syllogism inference with common nested antecedent.  (Contributed by NM,
       4-Nov-2004.) $)
    syli $p |- ( ps -> ( ph -> th ) ) $=
      ( com12 sylcom ) BACDECADFGH $.
  $}

  ${
    syl2im.1 $e |- ( ph -> ps ) $.
    syl2im.2 $e |- ( ch -> th ) $.
    syl2im.3 $e |- ( ps -> ( th -> ta ) ) $.
    $( Replace two antecedents.  Implication-only version of ~ syl2an .
       (Contributed by Wolf Lammen, 14-May-2013.) $)
    syl2im $p |- ( ph -> ( ch -> ta ) ) $=
      ( wi syl5 syl ) ABCEIFCDBEGHJK $.

    $( A commuted version of ~ syl2im .  Implication-only version of
       ~ syl2anr .  (Contributed by BJ, 20-Oct-2021.) $)
    syl2imc $p |- ( ch -> ( ph -> ta ) ) $=
      ( syl2im com12 ) ACEABCDEFGHIJ $.
  $}

  $( This theorem, sometimes called "Assertion" or "Pon" (for "ponens"), can be
     thought of as a closed form of modus ponens ~ ax-mp .  Theorem *2.27 of
     [WhiteheadRussell] p. 104.  (Contributed by NM, 15-Jul-1993.) $)
  pm2.27 $p |- ( ph -> ( ( ph -> ps ) -> ps ) ) $=
    ( wi id com12 ) ABCZABFDE $.

  ${
    mpdd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    mpdd.2 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( A nested modus ponens deduction.  Double deduction associated with
       ~ ax-mp .  Deduction associated with ~ mpd .  (Contributed by NM,
       12-Dec-2004.) $)
    mpdd $p |- ( ph -> ( ps -> th ) ) $=
      ( wi a2d mpd ) ABCGBDGEABCDFHI $.
  $}

  ${
    mpid.1 $e |- ( ph -> ch ) $.
    mpid.2 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( A nested modus ponens deduction.  Deduction associated with ~ mpi .
       (Contributed by NM, 14-Dec-2004.) $)
    mpid $p |- ( ph -> ( ps -> th ) ) $=
      ( a1d mpdd ) ABCDACBEGFH $.
  $}

  ${
    mpdi.1 $e |- ( ps -> ch ) $.
    mpdi.2 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( A nested modus ponens deduction.  (Contributed by NM, 16-Apr-2005.)
       (Proof shortened by Mel L. O'Cat, 15-Jan-2008.) $)
    mpdi $p |- ( ph -> ( ps -> th ) ) $=
      ( wi a1i mpdd ) ABCDBCGAEHFI $.
  $}

  ${
    mpii.1 $e |- ch $.
    mpii.2 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( A doubly nested modus ponens inference.  (Contributed by NM,
       31-Dec-1993.)  (Proof shortened by Wolf Lammen, 31-Jul-2012.) $)
    mpii $p |- ( ph -> ( ps -> th ) ) $=
      ( a1i mpdi ) ABCDCBEGFH $.
  $}

  ${
    syld.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syld.2 $e |- ( ph -> ( ch -> th ) ) $.
    $( Syllogism deduction.  Deduction associated with ~ syl .  See
       ~ conventions for the meaning of "associated deduction" or "deduction
       form".  (Contributed by NM, 5-Aug-1993.)  (Proof shortened by Mel L.
       O'Cat, 19-Feb-2008.)  (Proof shortened by Wolf Lammen, 3-Aug-2012.) $)
    syld $p |- ( ph -> ( ps -> th ) ) $=
      ( wi a1d mpdd ) ABCDEACDGBFHI $.

    $( Syllogism deduction.  Commuted form of ~ syld .  (Contributed by BJ,
       25-Oct-2021.) $)
    syldc $p |- ( ps -> ( ph -> th ) ) $=
      ( syld com12 ) ABDABCDEFGH $.
  $}

  ${
    mp2d.1 $e |- ( ph -> ps ) $.
    mp2d.2 $e |- ( ph -> ch ) $.
    mp2d.3 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( A double modus ponens deduction.  Deduction associated with ~ mp2 .
       (Contributed by NM, 23-May-2013.)  (Proof shortened by Wolf Lammen,
       23-Jul-2013.) $)
    mp2d $p |- ( ph -> th ) $=
      ( mpid mpd ) ABDEABCDFGHI $.
  $}

  ${
    a1dd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Double deduction introducing an antecedent.  Deduction associated with
       ~ a1d .  Double deduction associated with ~ ax-1 and ~ a1i .
       (Contributed by NM, 17-Dec-2004.)  (Proof shortened by Mel L. O'Cat,
       15-Jan-2008.) $)
    a1dd $p |- ( ph -> ( ps -> ( th -> ch ) ) ) $=
      ( wi ax-1 syl6 ) ABCDCFECDGH $.
  $}

  ${
    2a1dd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Double deduction introducing two antecedents.  Two applications of
       ~ 2a1dd .  Deduction associated with ~ 2a1d .  Double deduction
       associated with ~ 2a1 and ~ 2a1i .  (Contributed by Jeff Hankins,
       5-Aug-2009.) $)
    2a1dd $p |- ( ph -> ( ps -> ( th -> ( ta -> ch ) ) ) ) $=
      ( wi a1dd ) ABECGDABCEFHH $.
  $}

  ${
    pm2.43i.1 $e |- ( ph -> ( ph -> ps ) ) $.
    $( Inference absorbing redundant antecedent.  Inference associated with
       ~ pm2.43 .  (Contributed by NM, 10-Jan-1993.)  (Proof shortened by Mel
       L. O'Cat, 28-Nov-2008.) $)
    pm2.43i $p |- ( ph -> ps ) $=
      ( id mpd ) AABADCE $.
  $}

  ${
    pm2.43d.1 $e |- ( ph -> ( ps -> ( ps -> ch ) ) ) $.
    $( Deduction absorbing redundant antecedent.  Deduction associated with
       ~ pm2.43 and ~ pm2.43i .  (Contributed by NM, 18-Aug-1993.)  (Proof
       shortened by Mel L. O'Cat, 28-Nov-2008.) $)
    pm2.43d $p |- ( ph -> ( ps -> ch ) ) $=
      ( id mpdi ) ABBCBEDF $.
  $}

  ${
    pm2.43a.1 $e |- ( ps -> ( ph -> ( ps -> ch ) ) ) $.
    $( Inference absorbing redundant antecedent.  (Contributed by NM,
       7-Nov-1995.)  (Proof shortened by Mel L. O'Cat, 28-Nov-2008.) $)
    pm2.43a $p |- ( ps -> ( ph -> ch ) ) $=
      ( id mpid ) BABCBEDF $.
  $}

  ${
    pm2.43b.1 $e |- ( ps -> ( ph -> ( ps -> ch ) ) ) $.
    $( Inference absorbing redundant antecedent.  (Contributed by NM,
       31-Oct-1995.) $)
    pm2.43b $p |- ( ph -> ( ps -> ch ) ) $=
      ( pm2.43a com12 ) BACABCDEF $.
  $}

  $( Absorption of redundant antecedent.  Also called the "Contraction" or
     "Hilbert" axiom.  Theorem *2.43 of [WhiteheadRussell] p. 106.
     (Contributed by NM, 10-Jan-1993.)  (Proof shortened by Mel L. O'Cat,
     15-Aug-2004.) $)
  pm2.43 $p |- ( ( ph -> ( ph -> ps ) ) -> ( ph -> ps ) ) $=
    ( wi pm2.27 a2i ) AABCBABDE $.

  ${
    imim2d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction adding nested antecedents.  Deduction associated with ~ imim2
       and ~ imim2i .  (Contributed by NM, 10-Jan-1993.) $)
    imim2d $p |- ( ph -> ( ( th -> ps ) -> ( th -> ch ) ) ) $=
      ( wi a1d a2d ) ADBCABCFDEGH $.
  $}

  $( A closed form of syllogism (see ~ syl ).  Theorem *2.05 of
     [WhiteheadRussell] p. 100.  Its associated inference is ~ imim2i .  Its
     associated deduction is ~ imim2d .  An alternate proof from more basic
     results is given by ~ ax-1 followed by ~ a2d .  (Contributed by NM,
     29-Dec-1992.)  (Proof shortened by Wolf Lammen, 6-Sep-2012.) $)
  imim2 $p |- ( ( ph -> ps ) -> ( ( ch -> ph ) -> ( ch -> ps ) ) ) $=
    ( wi id imim2d ) ABDZABCGEF $.

  ${
    embantd.1 $e |- ( ph -> ps ) $.
    embantd.2 $e |- ( ph -> ( ch -> th ) ) $.
    $( Deduction embedding an antecedent.  (Contributed by Wolf Lammen,
       4-Oct-2013.) $)
    embantd $p |- ( ph -> ( ( ps -> ch ) -> th ) ) $=
      ( wi imim2d mpid ) ABCGBDEACDBFHI $.
  $}

  ${
    3syld.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3syld.2 $e |- ( ph -> ( ch -> th ) ) $.
    3syld.3 $e |- ( ph -> ( th -> ta ) ) $.
    $( Triple syllogism deduction.  Deduction associated with ~ 3syld .
       (Contributed by Jeff Hankins, 4-Aug-2009.) $)
    3syld $p |- ( ph -> ( ps -> ta ) ) $=
      ( syld ) ABDEABCDFGIHI $.
  $}

  ${
    sylsyld.1 $e |- ( ph -> ps ) $.
    sylsyld.2 $e |- ( ph -> ( ch -> th ) ) $.
    sylsyld.3 $e |- ( ps -> ( th -> ta ) ) $.
    $( A double syllogism inference.  (Contributed by Alan Sare,
       20-Apr-2011.) $)
    sylsyld $p |- ( ph -> ( ch -> ta ) ) $=
      ( wi syl syld ) ACDEGABDEIFHJK $.
  $}

  ${
    imim12i.1 $e |- ( ph -> ps ) $.
    imim12i.2 $e |- ( ch -> th ) $.
    $( Inference joining two implications.  Inference associated with
       ~ imim12 .  Its associated inference is ~ 3syl .  (Contributed by NM,
       12-Mar-1993.)  (Proof shortened by Mel L. O'Cat, 29-Oct-2011.) $)
    imim12i $p |- ( ( ps -> ch ) -> ( ph -> th ) ) $=
      ( wi imim2i syl5 ) ABBCGDECDBFHI $.
  $}

  ${
    imim1i.1 $e |- ( ph -> ps ) $.
    $( Inference adding common consequents in an implication, thereby
       interchanging the original antecedent and consequent.  Inference
       associated with ~ imim1 .  Its associated inference is ~ syl .
       (Contributed by NM, 28-Dec-1992.)  (Proof shortened by Wolf Lammen,
       4-Aug-2012.) $)
    imim1i $p |- ( ( ps -> ch ) -> ( ph -> ch ) ) $=
      ( id imim12i ) ABCCDCEF $.
  $}

  ${
    imim3i.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference adding three nested antecedents.  (Contributed by NM,
       19-Dec-2006.) $)
    imim3i $p |- ( ( th -> ph ) -> ( ( th -> ps ) -> ( th -> ch ) ) ) $=
      ( wi imim2i a2d ) DAFDBCABCFDEGH $.
  $}

  ${
    sylc.1 $e |- ( ph -> ps ) $.
    sylc.2 $e |- ( ph -> ch ) $.
    sylc.3 $e |- ( ps -> ( ch -> th ) ) $.
    $( A syllogism inference combined with contraction.  (Contributed by NM,
       4-May-1994.)  (Revised by NM, 13-Jul-2013.) $)
    sylc $p |- ( ph -> th ) $=
      ( syl2im pm2.43i ) ADABACDEFGHI $.
  $}

  ${
    syl3c.1 $e |- ( ph -> ps ) $.
    syl3c.2 $e |- ( ph -> ch ) $.
    syl3c.3 $e |- ( ph -> th ) $.
    syl3c.4 $e |- ( ps -> ( ch -> ( th -> ta ) ) ) $.
    $( A syllogism inference combined with contraction.  (Contributed by Alan
       Sare, 7-Jul-2011.) $)
    syl3c $p |- ( ph -> ta ) $=
      ( wi sylc mpd ) ADEHABCDEJFGIKL $.
  $}

  ${
    syl6mpi.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl6mpi.2 $e |- th $.
    syl6mpi.3 $e |- ( ch -> ( th -> ta ) ) $.
    $( A syllogism inference.  (Contributed by Alan Sare, 8-Jul-2011.)  (Proof
       shortened by Wolf Lammen, 13-Sep-2012.) $)
    syl6mpi $p |- ( ph -> ( ps -> ta ) ) $=
      ( mpi syl6 ) ABCEFCDEGHIJ $.
  $}

  ${
    mpsyl.1 $e |- ph $.
    mpsyl.2 $e |- ( ps -> ch ) $.
    mpsyl.3 $e |- ( ph -> ( ch -> th ) ) $.
    $( Modus ponens combined with a syllogism inference.  (Contributed by Alan
       Sare, 20-Apr-2011.) $)
    mpsyl $p |- ( ps -> th ) $=
      ( a1i sylc ) BACDABEHFGI $.
  $}

  ${
    mpsylsyld.1 $e |- ph $.
    mpsylsyld.2 $e |- ( ps -> ( ch -> th ) ) $.
    mpsylsyld.3 $e |- ( ph -> ( th -> ta ) ) $.
    $( Modus ponens combined with a double syllogism inference.  (Contributed
       by Alan Sare, 22-Jul-2012.) $)
    mpsylsyld $p |- ( ps -> ( ch -> ta ) ) $=
      ( a1i sylsyld ) BACDEABFIGHJ $.
  $}

  ${
    syl6c.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl6c.2 $e |- ( ph -> ( ps -> th ) ) $.
    syl6c.3 $e |- ( ch -> ( th -> ta ) ) $.
    $( Inference combining ~ syl6 with contraction.  (Contributed by Alan Sare,
       2-May-2011.) $)
    syl6c $p |- ( ph -> ( ps -> ta ) ) $=
      ( wi syl6 mpdd ) ABDEGABCDEIFHJK $.
  $}

  ${
    syl6ci.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl6ci.2 $e |- ( ph -> th ) $.
    syl6ci.3 $e |- ( ch -> ( th -> ta ) ) $.
    $( A syllogism inference combined with contraction.  (Contributed by Alan
       Sare, 18-Mar-2012.) $)
    syl6ci $p |- ( ph -> ( ps -> ta ) ) $=
      ( a1d syl6c ) ABCDEFADBGIHJ $.
  $}

  ${
    syldd.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    syldd.2 $e |- ( ph -> ( ps -> ( th -> ta ) ) ) $.
    $( Nested syllogism deduction.  Deduction associated with ~ syld .  Double
       deduction associated with ~ syl .  (Contributed by NM, 12-Dec-2004.)
       (Proof shortened by Wolf Lammen, 11-May-2013.) $)
    syldd $p |- ( ph -> ( ps -> ( ch -> ta ) ) ) $=
      ( wi imim2 syl6c ) ABDEHCDHCEHGFDECIJ $.
  $}

  ${
    syl5d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl5d.2 $e |- ( ph -> ( th -> ( ch -> ta ) ) ) $.
    $( A nested syllogism deduction.  Deduction associated with ~ syl5 .
       (Contributed by NM, 14-May-1993.)  (Proof shortened by Josh Purinton,
       29-Dec-2000.)  (Proof shortened by Mel L. O'Cat, 2-Feb-2006.) $)
    syl5d $p |- ( ph -> ( th -> ( ps -> ta ) ) ) $=
      ( wi a1d syldd ) ADBCEABCHDFIGJ $.
  $}

  ${
    syl7.1 $e |- ( ph -> ps ) $.
    syl7.2 $e |- ( ch -> ( th -> ( ps -> ta ) ) ) $.
    $( A syllogism rule of inference.  The first premise is used to replace the
       third antecedent of the second premise.  (Contributed by NM,
       12-Jan-1993.)  (Proof shortened by Wolf Lammen, 3-Aug-2012.) $)
    syl7 $p |- ( ch -> ( th -> ( ph -> ta ) ) ) $=
      ( wi a1i syl5d ) CABDEABHCFIGJ $.
  $}

  ${
    syl6d.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    syl6d.2 $e |- ( ph -> ( th -> ta ) ) $.
    $( A nested syllogism deduction.  Deduction associated with ~ syl6 .
       (Contributed by NM, 11-May-1993.)  (Proof shortened by Josh Purinton,
       29-Dec-2000.)  (Proof shortened by Mel L. O'Cat, 2-Feb-2006.) $)
    syl6d $p |- ( ph -> ( ps -> ( ch -> ta ) ) ) $=
      ( wi a1d syldd ) ABCDEFADEHBGIJ $.
  $}

  ${
    syl8.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    syl8.2 $e |- ( th -> ta ) $.
    $( A syllogism rule of inference.  The second premise is used to replace
       the consequent of the first premise.  (Contributed by NM, 1-Aug-1994.)
       (Proof shortened by Wolf Lammen, 3-Aug-2012.) $)
    syl8 $p |- ( ph -> ( ps -> ( ch -> ta ) ) ) $=
      ( wi a1i syl6d ) ABCDEFDEHAGIJ $.
  $}

  ${
    syl9.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl9.2 $e |- ( th -> ( ch -> ta ) ) $.
    $( A nested syllogism inference with different antecedents.  (Contributed
       by NM, 13-May-1993.)  (Proof shortened by Josh Purinton,
       29-Dec-2000.) $)
    syl9 $p |- ( ph -> ( th -> ( ps -> ta ) ) ) $=
      ( wi a1i syl5d ) ABCDEFDCEHHAGIJ $.
  $}

  ${
    syl9r.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl9r.2 $e |- ( th -> ( ch -> ta ) ) $.
    $( A nested syllogism inference with different antecedents.  (Contributed
       by NM, 14-May-1993.) $)
    syl9r $p |- ( th -> ( ph -> ( ps -> ta ) ) ) $=
      ( wi syl9 com12 ) ADBEHABCDEFGIJ $.
  $}

  ${
    syl10.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl10.2 $e |- ( ph -> ( ps -> ( th -> ta ) ) ) $.
    syl10.3 $e |- ( ch -> ( ta -> et ) ) $.
    $( A nested syllogism inference.  (Contributed by Alan Sare,
       17-Jul-2011.) $)
    syl10 $p |- ( ph -> ( ps -> ( th -> et ) ) ) $=
      ( wi syl6 syldd ) ABDEFHABCEFJGIKL $.
  $}

  ${
    a1ddd.1 $e |- ( ph -> ( ps -> ( ch -> ta ) ) ) $.
    $( Triple deduction introducing an antecedent to a wff.  Deduction
       associated with ~ a1dd .  Double deduction associated with ~ a1d .
       Triple deduction associated with ~ ax-1 and ~ a1i .  (Contributed by
       Jeff Hankins, 4-Aug-2009.) $)
    a1ddd $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi ax-1 syl8 ) ABCEDEGFEDHI $.
  $}

  ${
    imim12d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    imim12d.2 $e |- ( ph -> ( th -> ta ) ) $.
    $( Deduction combining antecedents and consequents.  Deduction associated
       with ~ imim12 and ~ imim12i .  (Contributed by NM, 7-Aug-1994.)  (Proof
       shortened by Mel L. O'Cat, 30-Oct-2011.) $)
    imim12d $p |- ( ph -> ( ( ch -> th ) -> ( ps -> ta ) ) ) $=
      ( wi imim2d syl5d ) ABCCDHEFADECGIJ $.
  $}

  ${
    imim1d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction adding nested consequents.  Deduction associated with ~ imim1
       and ~ imim1i .  (Contributed by NM, 3-Apr-1994.)  (Proof shortened by
       Wolf Lammen, 12-Sep-2012.) $)
    imim1d $p |- ( ph -> ( ( ch -> th ) -> ( ps -> th ) ) ) $=
      ( idd imim12d ) ABCDDEADFG $.
  $}

  $( A closed form of syllogism (see ~ syl ).  Theorem *2.06 of
     [WhiteheadRussell] p. 100.  Its associated inference is ~ imim1i .
     (Contributed by NM, 29-Dec-1992.)  (Proof shortened by Wolf Lammen,
     25-May-2013.) $)
  imim1 $p |- ( ( ph -> ps ) -> ( ( ps -> ch ) -> ( ph -> ch ) ) ) $=
    ( wi id imim1d ) ABDZABCGEF $.

  $( Theorem *2.83 of [WhiteheadRussell] p. 108.  Closed form of ~ syld .
     (Contributed by NM, 3-Jan-2005.) $)
  pm2.83 $p |- ( ( ph -> ( ps -> ch ) )
      -> ( ( ph -> ( ch -> th ) ) -> ( ph -> ( ps -> th ) ) ) ) $=
    ( wi imim1 imim3i ) BCECDEBDEABCDFG $.

  $( Over minimal implicational calculus, Peirce's axiom ~ peirce implies an
     axiom sometimes called "Roll",
     ` ( ( ( ph -> ps ) -> ch ) -> ( ( ch -> ph ) -> ph ) ) ` , of which
     ~ looinv is a special instance.  The converse also holds: substitute
     ` ( ph -> ps ) ` for ` ch ` in Roll and use ~ id and ~ ax-mp .
     (Contributed by BJ, 15-Jun-2021.) $)
  peirceroll $p |- ( ( ( ( ph -> ps ) -> ph ) -> ph )
                   -> ( ( ( ph -> ps ) -> ch ) -> ( ( ch -> ph ) -> ph ) ) ) $=
    ( wi imim1 id syl9r ) ABDZCDCADHADZIADZAHCAEJFG $.

  ${
    com3.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( Commutation of antecedents.  Swap 2nd and 3rd.  Deduction associated
       with ~ com12 .  (Contributed by NM, 27-Dec-1992.)  (Proof shortened by
       Wolf Lammen, 4-Aug-2012.) $)
    com23 $p |- ( ph -> ( ch -> ( ps -> th ) ) ) $=
      ( wi pm2.27 syl9 ) ABCDFCDECDGH $.

    $( Commutation of antecedents.  Rotate right.  (Contributed by NM,
       25-Apr-1994.) $)
    com3r $p |- ( ch -> ( ph -> ( ps -> th ) ) ) $=
      ( wi com23 com12 ) ACBDFABCDEGH $.

    $( Commutation of antecedents.  Swap 1st and 3rd.  (Contributed by NM,
       25-Apr-1994.)  (Proof shortened by Wolf Lammen, 28-Jul-2012.) $)
    com13 $p |- ( ch -> ( ps -> ( ph -> th ) ) ) $=
      ( com3r com23 ) CABDABCDEFG $.

    $( Commutation of antecedents.  Rotate left.  (Contributed by NM,
       25-Apr-1994.)  (Proof shortened by Wolf Lammen, 28-Jul-2012.) $)
    com3l $p |- ( ps -> ( ch -> ( ph -> th ) ) ) $=
      ( com3r ) CABDABCDEFF $.
  $}

  $( Swap antecedents.  Theorem *2.04 of [WhiteheadRussell] p. 100.  This was
     the third axiom in Frege's logic system, specifically Proposition 8 of
     [Frege1879] p. 35.  Its associated inference is ~ com12 .  (Contributed by
     NM, 27-Dec-1992.)  (Proof shortened by Wolf Lammen, 12-Sep-2012.) $)
  pm2.04 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ps -> ( ph -> ch ) ) ) $=
    ( wi id com23 ) ABCDDZABCGEF $.

  ${
    com4.1 $e |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $.
    $( Commutation of antecedents.  Swap 3rd and 4th.  Deduction associated
       with ~ com23 .  Double deduction associated with ~ com12 .  (Contributed
       by NM, 25-Apr-1994.) $)
    com34 $p |- ( ph -> ( ps -> ( th -> ( ch -> ta ) ) ) ) $=
      ( wi pm2.04 syl6 ) ABCDEGGDCEGGFCDEHI $.

    $( Commutation of antecedents.  Rotate left.  (Contributed by NM,
       25-Apr-1994.)  (Proof shortened by Mel L. O'Cat, 15-Aug-2004.) $)
    com4l $p |- ( ps -> ( ch -> ( th -> ( ph -> ta ) ) ) ) $=
      ( wi com3l com34 ) BCADEABCDEGFHI $.

    $( Commutation of antecedents.  Rotate twice.  (Contributed by NM,
       25-Apr-1994.) $)
    com4t $p |- ( ch -> ( th -> ( ph -> ( ps -> ta ) ) ) ) $=
      ( com4l ) BCDAEABCDEFGG $.

    $( Commutation of antecedents.  Rotate right.  (Contributed by NM,
       25-Apr-1994.) $)
    com4r $p |- ( th -> ( ph -> ( ps -> ( ch -> ta ) ) ) ) $=
      ( com4t com4l ) CDABEABCDEFGH $.

    $( Commutation of antecedents.  Swap 2nd and 4th.  Deduction associated
       with ~ com13 .  (Contributed by NM, 25-Apr-1994.)  (Proof shortened by
       Wolf Lammen, 28-Jul-2012.) $)
    com24 $p |- ( ph -> ( th -> ( ch -> ( ps -> ta ) ) ) ) $=
      ( wi com4t com13 ) CDABEGABCDEFHI $.

    $( Commutation of antecedents.  Swap 1st and 4th.  (Contributed by NM,
       25-Apr-1994.)  (Proof shortened by Wolf Lammen, 28-Jul-2012.) $)
    com14 $p |- ( th -> ( ps -> ( ch -> ( ph -> ta ) ) ) ) $=
      ( wi com4l com3r ) BCDAEGABCDEFHI $.
  $}

  ${
    com5.1 $e |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $.
    $( Commutation of antecedents.  Swap 4th and 5th.  Deduction associated
       with ~ com34 .  Double deduction associated with ~ com23 .  Triple
       deduction associated with ~ com12 .  (Contributed by Jeff Hankins,
       28-Jun-2009.) $)
    com45 $p |- ( ph -> ( ps -> ( ch -> ( ta -> ( th -> et ) ) ) ) ) $=
      ( wi pm2.04 syl8 ) ABCDEFHHEDFHHGDEFIJ $.

    $( Commutation of antecedents.  Swap 3rd and 5th.  Deduction associated
       with ~ com24 .  Double deduction associated with ~ com13 .  (Contributed
       by Jeff Hankins, 28-Jun-2009.) $)
    com35 $p |- ( ph -> ( ps -> ( ta -> ( th -> ( ch -> et ) ) ) ) ) $=
      ( wi com34 com45 ) ABDECFHABDCEFABCDEFHGIJI $.

    $( Commutation of antecedents.  Swap 2nd and 5th.  Deduction associated
       with ~ com14 .  (Contributed by Jeff Hankins, 28-Jun-2009.) $)
    com25 $p |- ( ph -> ( ta -> ( ch -> ( th -> ( ps -> et ) ) ) ) ) $=
      ( wi com24 com45 ) ADCEBFHADCBEFABCDEFHGIJI $.

    $( Commutation of antecedents.  Rotate left.  (Contributed by Jeff Hankins,
       28-Jun-2009.)  (Proof shortened by Wolf Lammen, 29-Jul-2012.) $)
    com5l $p |- ( ps -> ( ch -> ( th -> ( ta -> ( ph -> et ) ) ) ) ) $=
      ( wi com4l com45 ) BCDAEFABCDEFHGIJ $.

    $( Commutation of antecedents.  Swap 1st and 5th.  (Contributed by Jeff
       Hankins, 28-Jun-2009.)  (Proof shortened by Wolf Lammen,
       29-Jul-2012.) $)
    com15 $p |- ( ta -> ( ps -> ( ch -> ( th -> ( ph -> et ) ) ) ) ) $=
      ( wi com5l com4r ) BCDEAFHABCDEFGIJ $.

    $( Commutation of antecedents.  Rotate left twice.  (Contributed by Jeff
       Hankins, 28-Jun-2009.) $)
    com52l $p |- ( ch -> ( th -> ( ta -> ( ph -> ( ps -> et ) ) ) ) ) $=
      ( com5l ) BCDEAFABCDEFGHH $.

    $( Commutation of antecedents.  Rotate right twice.  (Contributed by Jeff
       Hankins, 28-Jun-2009.) $)
    com52r $p |- ( th -> ( ta -> ( ph -> ( ps -> ( ch -> et ) ) ) ) ) $=
      ( com52l com5l ) CDEABFABCDEFGHI $.

    $( Commutation of antecedents.  Rotate right.  (Contributed by Wolf Lammen,
       29-Jul-2012.) $)
    com5r $p |- ( ta -> ( ph -> ( ps -> ( ch -> ( th -> et ) ) ) ) ) $=
      ( com52l ) CDEABFABCDEFGHH $.
  $}

  $( Closed form of ~ imim12i and of ~ 3syl .  (Contributed by BJ,
     16-Jul-2019.) $)
  imim12 $p |- ( ( ph -> ps ) ->
                      ( ( ch -> th ) -> ( ( ps -> ch ) -> ( ph -> th ) ) ) ) $=
    ( wi imim2 imim1 syl9r ) CDEBCEBDEABEADECDBFABDGH $.

  $( Elimination of a nested antecedent.  Sometimes called "Syll-Simp" since it
     is a syllogism applied to ~ ax-1 ("Simplification").  (Contributed by Wolf
     Lammen, 9-May-2013.) $)
  jarr $p |- ( ( ( ph -> ps ) -> ch ) -> ( ps -> ch ) ) $=
    ( wi ax-1 imim1i ) BABDCBAEF $.

  ${
    jarri.1 $e |- ( ( ph -> ps ) -> ch ) $.
    $( Inference associated with ~ jarr .  Partial converse of ~ ja (the other
       partial converse being ~ jarli ).  (Contributed by Wolf Lammen,
       20-Sep-2013.) $)
    jarri $p |- ( ps -> ch ) $=
      ( wi ax-1 syl ) BABECBAFDG $.
  $}

  ${
    pm2.86d.1 $e |- ( ph -> ( ( ps -> ch ) -> ( ps -> th ) ) ) $.
    $( Deduction associated with ~ pm2.86 .  (Contributed by NM, 29-Jun-1995.)
       (Proof shortened by Wolf Lammen, 3-Apr-2013.) $)
    pm2.86d $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      ( wi ax-1 syl5 com23 ) ACBDCBCFABDFCBGEHI $.
  $}

  $( Converse of Axiom ~ ax-2 .  Theorem *2.86 of [WhiteheadRussell] p. 108.
     (Contributed by NM, 25-Apr-1994.)  (Proof shortened by Wolf Lammen,
     3-Apr-2013.) $)
  pm2.86 $p |- ( ( ( ph -> ps ) -> ( ph -> ch ) ) ->
                                                    ( ph -> ( ps -> ch ) ) ) $=
    ( wi id pm2.86d ) ABDACDDZABCGEF $.

  ${
    pm2.86i.1 $e |- ( ( ph -> ps ) -> ( ph -> ch ) ) $.
    $( Inference associated with ~ pm2.86 .  (Contributed by NM, 5-Aug-1993.)
       (Proof shortened by Wolf Lammen, 3-Apr-2013.) $)
    pm2.86i $p |- ( ph -> ( ps -> ch ) ) $=
      ( wi jarri com12 ) BACABACEDFG $.
  $}

  $( The Linearity Axiom of the infinite-valued sentential logic (L-infinity)
     of Lukasiewicz.  See ~ loowoz for an alternate axiom.  (Contributed by Mel
     L. O'Cat, 12-Aug-2004.) $)
  loolin $p |- ( ( ( ph -> ps ) -> ( ps -> ph ) ) -> ( ps -> ph ) ) $=
    ( wi jarr pm2.43d ) ABCBACZCBAABFDE $.

  $( An alternate for the Linearity Axiom of the infinite-valued sentential
     logic (L-infinity) of Lukasiewicz ~ loolin , due to Barbara Wozniakowska,
     _Reports on Mathematical Logic_ 10, 129-137 (1978).  (Contributed by Mel
     L. O'Cat, 8-Aug-2004.) $)
  loowoz $p |- ( ( ( ph -> ps ) -> ( ph -> ch ) )
      -> ( ( ps -> ph ) -> ( ps -> ch ) ) ) $=
    ( wi jarr a2d ) ABDACDZDBACABGEF $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Logical negation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This section makes our first use of the third axiom of propositional
  calculus, ~ ax-3 .  It introduces logical negation.

$)

  $( Alias for ~ ax-3 to be used instead of it for labeling consistency.  Its
     associated inference is ~ con4i and its associated deduction is ~ con4d .
     (Contributed by BJ, 24-Dec-2020.) $)
  con4 $p |- ( ( -. ph -> -. ps ) -> ( ps -> ph ) ) $=
    ( ax-3 ) ABC $.

  ${
    con4i.1 $e |- ( -. ph -> -. ps ) $.
    $( Inference associated with ~ con4 .  Its associated inference is ~ mt4 .

       Remark: this can also be proved using ~ notnot followed by ~ nsyl2 ,
       giving a shorter proof but depending on more axioms (namely, ~ ax-1 and
       ~ ax-2 ).  (Contributed by NM, 29-Dec-1992.) $)
    con4i $p |- ( ps -> ph ) $=
      ( wn wi con4 ax-mp ) ADBDEBAECABFG $.
    $( $j usage 'con4i' avoids 'ax-1' 'ax-2'; $)
  $}

  ${
    con4d.1 $e |- ( ph -> ( -. ps -> -. ch ) ) $.
    $( Deduction associated with ~ con4 .  (Contributed by NM, 26-Mar-1995.) $)
    con4d $p |- ( ph -> ( ch -> ps ) ) $=
      ( wn wi con4 syl ) ABECEFCBFDBCGH $.
  $}

  ${
    mt4.1 $e |- ph $.
    mt4.2 $e |- ( -. ps -> -. ph ) $.
    $( The rule of modus tollens.  Inference associated with ~ con4i .
       (Contributed by Wolf Lammen, 12-May-2013.) $)
    mt4 $p |- ps $=
      ( con4i ax-mp ) ABCBADEF $.
  $}

  ${
    mt4d.1 $e |- ( ph -> ps ) $.
    mt4d.2 $e |- ( ph -> ( -. ch -> -. ps ) ) $.
    $( Modus tollens deduction.  Deduction form of ~ mt4 .  (Contributed by NM,
       9-Jun-2006.) $)
    mt4d $p |- ( ph -> ch ) $=
      ( con4d mpd ) ABCDACBEFG $.
  $}

  ${
    mt4i.1 $e |- ch $.
    mt4i.2 $e |- ( ph -> ( -. ps -> -. ch ) ) $.
    $( Modus tollens inference.  (Contributed by Wolf Lammen, 12-May-2013.) $)
    mt4i $p |- ( ph -> ps ) $=
      ( a1i mt4d ) ACBCADFEG $.
  $}

  ${
    pm2.21i.1 $e |- -. ph $.
    $( A contradiction implies anything.  Inference associated with ~ pm2.21 .
       Its associated inference is ~ pm2.24ii .  (Contributed by NM,
       16-Sep-1993.) $)
    pm2.21i $p |- ( ph -> ps ) $=
      ( wn a1i con4i ) BAADBDCEF $.
  $}

  ${
    pm2.24ii.1 $e |- ph $.
    pm2.24ii.2 $e |- -. ph $.
    $( A contradiction implies anything.  Inference associated with ~ pm2.21i
       and ~ pm2.24i .  (Contributed by NM, 27-Feb-2008.) $)
    pm2.24ii $p |- ps $=
      ( pm2.21i ax-mp ) ABCABDEF $.
    $( $j usage 'pm2.24ii' avoids 'ax-2'; $)
  $}

  ${
    pm2.21d.1 $e |- ( ph -> -. ps ) $.
    $( A contradiction implies anything.  Deduction associated with ~ pm2.21 .
       (Contributed by NM, 10-Feb-1996.) $)
    pm2.21d $p |- ( ph -> ( ps -> ch ) ) $=
      ( wn a1d con4d ) ACBABECEDFG $.
  $}

  ${
    pm2.21ddALT.1 $e |- ( ph -> ps ) $.
    pm2.21ddALT.2 $e |- ( ph -> -. ps ) $.
    $( Alternate proof of ~ pm2.21dd .  (Contributed by Mario Carneiro,
       9-Feb-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    pm2.21ddALT $p |- ( ph -> ch ) $=
      ( pm2.21d mpd ) ABCDABCEFG $.
  $}

  $( From a wff and its negation, anything follows.  Theorem *2.21 of
     [WhiteheadRussell] p. 104.  Also called the Duns Scotus law.  Its commuted
     form is ~ pm2.24 and its associated inference is ~ pm2.21i .  (Contributed
     by NM, 29-Dec-1992.)  (Proof shortened by Wolf Lammen, 14-Sep-2012.) $)
  pm2.21 $p |- ( -. ph -> ( ph -> ps ) ) $=
    ( wn id pm2.21d ) ACZABFDE $.

  $( Theorem *2.24 of [WhiteheadRussell] p. 104.  Its associated inference is
     ~ pm2.24i .  Commuted form of ~ pm2.21 .  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.24 $p |- ( ph -> ( -. ph -> ps ) ) $=
    ( wn pm2.21 com12 ) ACABABDE $.

  $( Elimination of a nested antecedent.  (Contributed by Wolf Lammen,
     10-May-2013.) $)
  jarl $p |- ( ( ( ph -> ps ) -> ch ) -> ( -. ph -> ch ) ) $=
    ( wn wi pm2.21 imim1i ) ADABECABFG $.

  ${
    jarli.1 $e |- ( ( ph -> ps ) -> ch ) $.
    $( Inference associated with ~ jarl .  Partial converse of ~ ja (the other
       partial converse being ~ jarri ).  (Contributed by Wolf Lammen,
       4-Oct-2013.) $)
    jarli $p |- ( -. ph -> ch ) $=
      ( wn wi pm2.21 syl ) AEABFCABGDH $.
  $}

  ${
    pm2.18d.1 $e |- ( ph -> ( -. ps -> ps ) ) $.
    $( Deduction form of the Clavius law ~ pm2.18 .  (Contributed by FL,
       12-Jul-2009.)  (Proof shortened by Andrew Salmon, 7-May-2011.)  Revised
       to shorten ~ pm2.18 .  (Revised by Wolf Lammen, 17-Nov-2023.) $)
    pm2.18d $p |- ( ph -> ps ) $=
      ( id wn pm2.21 sylcom mt4d ) AABADABEBAEZCBIFGH $.
  $}

  $( Clavius law, or "consequentia mirabilis" ("admirable consequence").  If a
     formula is implied by its negation, then it is true.  Can be used in
     proofs by contradiction.  Theorem *2.18 of [WhiteheadRussell] p. 103.  See
     also the weak Clavius law ~ pm2.01 .  (Contributed by NM, 29-Dec-1992.)
     (Proof shortened by Wolf Lammen, 17-Nov-2023.) $)
  pm2.18 $p |- ( ( -. ph -> ph ) -> ph ) $=
    ( wn wi id pm2.18d ) ABACZAFDE $.

  $( Obsolete version of ~ pm2.18 as of 17-Nov-2023.  (Contributed by NM,
     29-Dec-1992.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  pm2.18OLD $p |- ( ( -. ph -> ph ) -> ph ) $=
    ( wn wi pm2.21 a2i con4d pm2.43i ) ABZACZAIAIHAIBZAJDEFG $.

  ${
    pm2.18dOLD.1 $e |- ( ph -> ( -. ps -> ps ) ) $.
    $( Obsolete version of ~ pm2.18d as of 17-Nov-2023.  (Contributed by FL,
       12-Jul-2009.)  (Proof shortened by Andrew Salmon, 7-May-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    pm2.18dOLD $p |- ( ph -> ps ) $=
      ( wn wi pm2.18OLD syl ) ABDBEBCBFG $.
  $}

  ${
    pm2.18i.1 $e |- ( -. ph -> ph ) $.
    $( Inference associated with the Clavius law ~ pm2.18 .  (Contributed by
       BJ, 30-Mar-2020.) $)
    pm2.18i $p |- ph $=
      ( wn wi pm2.18 ax-mp ) ACADABAEF $.
  $}

  $( Double negation elimination.  Converse of ~ notnot and one implication of
     ~ notnotb .  Theorem *2.14 of [WhiteheadRussell] p. 102.  This was the
     fifth axiom of Frege, specifically Proposition 31 of [Frege1879] p. 44.
     In classical logic (our logic) this is always true.  In intuitionistic
     logic this is not always true, and formulas for which it is true are
     called "stable".  (Contributed by NM, 29-Dec-1992.)  (Proof shortened by
     David Harvey, 5-Sep-1999.)  (Proof shortened by Josh Purinton,
     29-Dec-2000.) $)
  notnotr $p |- ( -. -. ph -> ph ) $=
    ( wn pm2.18 jarli ) ABAAACD $.

  ${
    notnotri.1 $e |- -. -. ph $.
    $( Inference associated with ~ notnotr .  For a shorter proof using
       ~ ax-2 , see ~ notnotriALT .  (Contributed by NM, 27-Feb-2008.)  (Proof
       shortened by Wolf Lammen, 15-Jul-2021.)  Remove dependency on ~ ax-2 .
       (Revised by Steven Nguyen, 27-Dec-2022.) $)
    notnotri $p |- ph $=
      ( wn pm2.21i mt4 ) ACZCZABFGCBDE $.
    $( $j usage 'notnotri' avoids 'ax-2'; $)

    $( Alternate proof of ~ notnotri .  The proof via ~ notnotr and ~ ax-mp
       also has three essential steps, but has a total number of steps equal to
       8, instead of the present 7, because it has to construct the formula
       ` ph ` twice and the formula ` -. -. ph ` once, whereas the present
       proof has to construct the formula ` ph ` twice and the formula
       ` -. ph ` once, and therefore makes only one use of ~ wn instead of two.
       This can be checked by running the Metamath command "MM> SHOW PROOF
       notnotri / NORMAL".  (Contributed by NM, 27-Feb-2008.)  (Proof shortened
       by Wolf Lammen, 15-Jul-2021.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    notnotriALT $p |- ph $=
      ( wn pm2.21i pm2.18i ) AACABDE $.
  $}

  ${
    notnotrd.1 $e |- ( ph -> -. -. ps ) $.
    $( Deduction associated with ~ notnotr and ~ notnotri .  Double negation
       elimination rule.  A translation of the natural deduction rule ` -. -. `
       C , ` _G |- -. -. ps => _G |- ps ` ; see ~ natded .  This is Definition
       NNC in [Pfenning] p. 17.  This rule is valid in classical logic (our
       logic), but not in intuitionistic logic.  (Contributed by DAW,
       8-Feb-2017.) $)
    notnotrd $p |- ( ph -> ps ) $=
      ( wn notnotr syl ) ABDDBCBEF $.
  $}

  ${
    con2d.1 $e |- ( ph -> ( ps -> -. ch ) ) $.
    $( A contraposition deduction.  (Contributed by NM, 19-Aug-1993.) $)
    con2d $p |- ( ph -> ( ch -> -. ps ) ) $=
      ( wn notnotr syl5 con4d ) ABEZCIEBACEBFDGH $.
  $}

  $( Contraposition.  Theorem *2.03 of [WhiteheadRussell] p. 100.  (Contributed
     by NM, 29-Dec-1992.)  (Proof shortened by Wolf Lammen, 12-Feb-2013.) $)
  con2 $p |- ( ( ph -> -. ps ) -> ( ps -> -. ph ) ) $=
    ( wn wi id con2d ) ABCDZABGEF $.

  ${
    mt2d.1 $e |- ( ph -> ch ) $.
    mt2d.2 $e |- ( ph -> ( ps -> -. ch ) ) $.
    $( Modus tollens deduction.  (Contributed by NM, 4-Jul-1994.) $)
    mt2d $p |- ( ph -> -. ps ) $=
      ( wn con2d mpd ) ACBFDABCEGH $.
  $}

  ${
    mt2i.1 $e |- ch $.
    mt2i.2 $e |- ( ph -> ( ps -> -. ch ) ) $.
    $( Modus tollens inference.  (Contributed by NM, 26-Mar-1995.)  (Proof
       shortened by Wolf Lammen, 15-Sep-2012.) $)
    mt2i $p |- ( ph -> -. ps ) $=
      ( a1i mt2d ) ABCCADFEG $.
  $}

  ${
    nsyl3.1 $e |- ( ph -> -. ps ) $.
    nsyl3.2 $e |- ( ch -> ps ) $.
    $( A negated syllogism inference.  (Contributed by NM, 1-Dec-1995.) $)
    nsyl3 $p |- ( ch -> -. ph ) $=
      ( wn wi a1i mt2d ) CABEABFGCDHI $.
  $}

  ${
    con2i.a $e |- ( ph -> -. ps ) $.
    $( A contraposition inference.  Its associated inference is ~ mt2 .
       (Contributed by NM, 10-Jan-1993.)  (Proof shortened by Mel L. O'Cat,
       28-Nov-2008.)  (Proof shortened by Wolf Lammen, 13-Jun-2013.) $)
    con2i $p |- ( ps -> -. ph ) $=
      ( id nsyl3 ) ABBCBDE $.
  $}

  ${
    nsyl.1 $e |- ( ph -> -. ps ) $.
    nsyl.2 $e |- ( ch -> ps ) $.
    $( A negated syllogism inference.  (Contributed by NM, 31-Dec-1993.)
       (Proof shortened by Wolf Lammen, 2-Mar-2013.) $)
    nsyl $p |- ( ph -> -. ch ) $=
      ( nsyl3 con2i ) CAABCDEFG $.
  $}

  ${
    nsyl2.1 $e |- ( ph -> -. ps ) $.
    nsyl2.2 $e |- ( -. ch -> ps ) $.
    $( A negated syllogism inference.  (Contributed by NM, 26-Jun-1994.)
       (Proof shortened by Wolf Lammen, 14-Nov-2023.) $)
    nsyl2 $p |- ( ph -> ch ) $=
      ( wn nsyl3 con4i ) CAABCFDEGH $.
  $}

  $( Double negation introduction.  Converse of ~ notnotr and one implication
     of ~ notnotb .  Theorem *2.12 of [WhiteheadRussell] p. 101.  This was the
     sixth axiom of Frege, specifically Proposition 41 of [Frege1879] p. 47.
     (Contributed by NM, 28-Dec-1992.)  (Proof shortened by Wolf Lammen,
     2-Mar-2013.) $)
  notnot $p |- ( ph -> -. -. ph ) $=
    ( wn id con2i ) ABZAECD $.

  ${
    notnoti.1 $e |- ph $.
    $( Inference associated with ~ notnot .  (Contributed by NM,
       27-Feb-2008.) $)
    notnoti $p |- -. -. ph $=
      ( wn notnot ax-mp ) AACCBADE $.
  $}

  ${
    notnotd.1 $e |- ( ph -> ps ) $.
    $( Deduction associated with ~ notnot and ~ notnoti .  (Contributed by
       Jarvin Udandy, 2-Sep-2016.)  Avoid biconditional.  (Revised by Wolf
       Lammen, 27-Mar-2021.) $)
    notnotd $p |- ( ph -> -. -. ps ) $=
      ( wn notnot syl ) ABBDDCBEF $.
  $}

  ${
    con1d.1 $e |- ( ph -> ( -. ps -> ch ) ) $.
    $( A contraposition deduction.  (Contributed by NM, 27-Dec-1992.) $)
    con1d $p |- ( ph -> ( -. ch -> ps ) ) $=
      ( wn notnot syl6 con4d ) ABCEZABECIEDCFGH $.
  $}

  $( Contraposition.  Theorem *2.15 of [WhiteheadRussell] p. 102.  Its
     associated inference is ~ con1i .  (Contributed by NM, 29-Dec-1992.)
     (Proof shortened by Wolf Lammen, 12-Feb-2013.) $)
  con1 $p |- ( ( -. ph -> ps ) -> ( -. ps -> ph ) ) $=
    ( wn wi id con1d ) ACBDZABGEF $.

  ${
    con1i.1 $e |- ( -. ph -> ps ) $.
    $( A contraposition inference.  Inference associated with ~ con1 .  Its
       associated inference is ~ mt3 .  (Contributed by NM, 3-Jan-1993.)
       (Proof shortened by Mel L. O'Cat, 28-Nov-2008.)  (Proof shortened by
       Wolf Lammen, 19-Jun-2013.) $)
    con1i $p |- ( -. ps -> ph ) $=
      ( wn id nsyl2 ) BDZBAGECF $.
  $}

  ${
    mt3d.1 $e |- ( ph -> -. ch ) $.
    mt3d.2 $e |- ( ph -> ( -. ps -> ch ) ) $.
    $( Modus tollens deduction.  (Contributed by NM, 26-Mar-1995.) $)
    mt3d $p |- ( ph -> ps ) $=
      ( wn con1d mpd ) ACFBDABCEGH $.
  $}

  ${
    mt3i.1 $e |- -. ch $.
    mt3i.2 $e |- ( ph -> ( -. ps -> ch ) ) $.
    $( Modus tollens inference.  (Contributed by NM, 26-Mar-1995.)  (Proof
       shortened by Wolf Lammen, 15-Sep-2012.) $)
    mt3i $p |- ( ph -> ps ) $=
      ( wn a1i mt3d ) ABCCFADGEH $.
  $}

  ${
    nsyl2OLD.1 $e |- ( ph -> -. ps ) $.
    nsyl2OLD.2 $e |- ( -. ch -> ps ) $.
    $( Obsolete version of ~ nsyl2 as of 14-Nov-2023.  (Contributed by NM,
       26-Jun-1994.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    nsyl2OLD $p |- ( ph -> ch ) $=
      ( wn wi a1i mt3d ) ACBDCFBGAEHI $.
  $}

  ${
    pm2.24i.1 $e |- ph $.
    $( Inference associated with ~ pm2.24 .  Its associated inference is
       ~ pm2.24ii .  (Contributed by NM, 20-Aug-2001.) $)
    pm2.24i $p |- ( -. ph -> ps ) $=
      ( wn a1i con1i ) BAABDCEF $.
  $}

  ${
    pm2.24d.1 $e |- ( ph -> ps ) $.
    $( Deduction form of ~ pm2.24 .  (Contributed by NM, 30-Jan-2006.) $)
    pm2.24d $p |- ( ph -> ( -. ps -> ch ) ) $=
      ( wn a1d con1d ) ACBABCEDFG $.
  $}

  ${
    con3d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( A contraposition deduction.  Deduction form of ~ con3 .  (Contributed by
       NM, 10-Jan-1993.) $)
    con3d $p |- ( ph -> ( -. ch -> -. ps ) ) $=
      ( wn notnotr syl5 con1d ) ABEZCIEBACBFDGH $.
  $}

  $( Contraposition.  Theorem *2.16 of [WhiteheadRussell] p. 103.  This was the
     fourth axiom of Frege, specifically Proposition 28 of [Frege1879] p. 43.
     Its associated inference is ~ con3i .  (Contributed by NM, 29-Dec-1992.)
     (Proof shortened by Wolf Lammen, 13-Feb-2013.) $)
  con3 $p |- ( ( ph -> ps ) -> ( -. ps -> -. ph ) ) $=
    ( wi id con3d ) ABCZABFDE $.

  ${
    con3i.a $e |- ( ph -> ps ) $.
    $( A contraposition inference.  Inference associated with ~ con3 .  Its
       associated inference is ~ mto .  (Contributed by NM, 3-Jan-1993.)
       (Proof shortened by Wolf Lammen, 20-Jun-2013.) $)
    con3i $p |- ( -. ps -> -. ph ) $=
      ( wn id nsyl ) BDZBAGECF $.
  $}

  ${
    con3rr3.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Rotate through consequent right.  (Contributed by Wolf Lammen,
       3-Nov-2013.) $)
    con3rr3 $p |- ( -. ch -> ( ph -> -. ps ) ) $=
      ( wn con3d com12 ) ACEBEABCDFG $.
  $}

  ${
    nsyld.1 $e |- ( ph -> ( ps -> -. ch ) ) $.
    nsyld.2 $e |- ( ph -> ( ta -> ch ) ) $.
    $( A negated syllogism deduction.  (Contributed by NM, 9-Apr-2005.) $)
    nsyld $p |- ( ph -> ( ps -> -. ta ) ) $=
      ( wn con3d syld ) ABCGDGEADCFHI $.
  $}

  ${
    nsyli.1 $e |- ( ph -> ( ps -> ch ) ) $.
    nsyli.2 $e |- ( th -> -. ch ) $.
    $( A negated syllogism inference.  (Contributed by NM, 3-May-1994.) $)
    nsyli $p |- ( ph -> ( th -> -. ps ) ) $=
      ( wn con3d syl5 ) DCGABGFABCEHI $.
  $}

  ${
    nsyl4.1 $e |- ( ph -> ps ) $.
    nsyl4.2 $e |- ( -. ph -> ch ) $.
    $( A negated syllogism inference.  (Contributed by NM, 15-Feb-1996.) $)
    nsyl4 $p |- ( -. ch -> ps ) $=
      ( wn con1i syl ) CFABACEGDH $.

    $( A negated syllogism inference.  (Contributed by Wolf Lammen,
       20-May-2024.) $)
    nsyl5 $p |- ( -. ps -> ch ) $=
      ( nsyl4 con1i ) CBABCDEFG $.
  $}

  $( Theorem *3.2 of [WhiteheadRussell] p. 111, expressed with primitive
     connectives (see ~ pm3.2 ).  (Contributed by NM, 29-Dec-1992.)  (Proof
     shortened by Josh Purinton, 29-Dec-2000.) $)
  pm3.2im $p |- ( ph -> ( ps -> -. ( ph -> -. ps ) ) ) $=
    ( wn wi pm2.27 con2d ) AABCZDBAGEF $.

  ${
    jc.1 $e |- ( ph -> ps ) $.
    jc.2 $e |- ( ph -> ch ) $.
    $( Deduction joining the consequents of two premises.  A deduction
       associated with ~ pm3.2im .  (Contributed by NM, 28-Dec-1992.) $)
    jc $p |- ( ph -> -. ( ps -> -. ch ) ) $=
      ( wn wi pm3.2im sylc ) ABCBCFGFDEBCHI $.
  $}

  $( Theorem joining the consequents of two premises.  Theorem 8 of [Margaris]
     p. 60.  (Contributed by NM, 5-Aug-1993.)  (Proof shortened by Josh
     Purinton, 29-Dec-2000.) $)
  jcn $p |- ( ph -> ( -. ps -> -. ( ph -> ps ) ) ) $=
    ( wi pm2.27 con3d ) AABCBABDE $.

  ${
    jcnd.1 $e |- ( ph -> ps ) $.
    jcnd.2 $e |- ( ph -> -. ch ) $.
    $( Deduction joining the consequents of two premises.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.)  (Proof shortened by Wolf Lammen,
       10-Apr-2024.) $)
    jcnd $p |- ( ph -> -. ( ps -> ch ) ) $=
      ( wn wi jcn sylc ) ABCFBCGFDEBCHI $.
  $}

  ${
    impi.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( An importation inference.  (Contributed by NM, 29-Dec-1992.)  (Proof
       shortened by Wolf Lammen, 20-Jul-2013.) $)
    impi $p |- ( -. ( ph -> -. ps ) -> ch ) $=
      ( wn wi con3rr3 con1i ) CABEFABCDGH $.
  $}

  ${
    expi.1 $e |- ( -. ( ph -> -. ps ) -> ch ) $.
    $( An exportation inference.  (Contributed by NM, 29-Dec-1992.)  (Proof
       shortened by Mel L. O'Cat, 28-Nov-2008.) $)
    expi $p |- ( ph -> ( ps -> ch ) ) $=
      ( wn wi pm3.2im syl6 ) ABABEFECABGDH $.
  $}

  $( Simplification.  Similar to Theorem *3.27 (Simp) of [WhiteheadRussell]
     p. 112.  (Contributed by NM, 3-Jan-1993.)  (Proof shortened by Wolf
     Lammen, 13-Nov-2012.) $)
  simprim $p |- ( -. ( ph -> -. ps ) -> ps ) $=
    ( idd impi ) ABBABCD $.

  $( Simplification.  Similar to Theorem *3.26 (Simp) of [WhiteheadRussell]
     p. 112.  (Contributed by NM, 3-Jan-1993.)  (Proof shortened by Wolf
     Lammen, 21-Jul-2012.) $)
  simplim $p |- ( -. ( ph -> ps ) -> ph ) $=
    ( wi pm2.21 con1i ) AABCABDE $.

  $( General instance of Theorem *2.5 of [WhiteheadRussell] p. 107.
     (Contributed by NM, 3-Jan-2005.)  (Proof shortened by Wolf Lammen,
     9-Oct-2012.) $)
  pm2.5g $p |- ( -. ( ph -> ps ) -> ( -. ph -> ch ) ) $=
    ( wi wn simplim pm2.24d ) ABDEACABFG $.

  $( Theorem *2.5 of [WhiteheadRussell] p. 107.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.5 $p |- ( -. ( ph -> ps ) -> ( -. ph -> ps ) ) $=
    ( pm2.5g ) ABBC $.

  $( Contrapositive of ~ ax-1 .  (Contributed by BJ, 28-Oct-2023.) $)
  conax1 $p |- ( -. ( ph -> ps ) -> -. ps ) $=
    ( wi ax-1 con3i ) BABCBADE $.

  $( Weakening of ~ conax1 .  General instance of ~ pm2.51 and of ~ pm2.52 .
     (Contributed by BJ, 28-Oct-2023.) $)
  conax1k $p |- ( -. ( ph -> ps ) -> ( ch -> -. ps ) ) $=
    ( wi wn conax1 a1d ) ABDEBECABFG $.

  $( Theorem *2.51 of [WhiteheadRussell] p. 107.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.51 $p |- ( -. ( ph -> ps ) -> ( ph -> -. ps ) ) $=
    ( conax1k ) ABAC $.

  $( Theorem *2.52 of [WhiteheadRussell] p. 107.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 8-Oct-2012.) $)
  pm2.52 $p |- ( -. ( ph -> ps ) -> ( -. ph -> -. ps ) ) $=
    ( wn conax1k ) ABACD $.

  $( A general instance of Theorem *2.521 of [WhiteheadRussell] p. 107.
     (Contributed by BJ, 28-Oct-2023.) $)
  pm2.521g $p |- ( -. ( ph -> ps ) -> ( ps -> ch ) ) $=
    ( wi wn conax1 pm2.21d ) ABDEBCABFG $.

  $( A general instance of Theorem *2.521 of [WhiteheadRussell] p. 107.
     (Contributed by NM, 3-Jan-2005.)  (Proof shortened by Wolf Lammen,
     8-Oct-2012.) $)
  pm2.521g2 $p |- ( -. ( ph -> ps ) -> ( ch -> ph ) ) $=
    ( wi wn simplim a1d ) ABDEACABFG $.

  $( Theorem *2.521 of [WhiteheadRussell] p. 107.  Instance of ~ pm2.521g and
     of ~ pm2.521g2 .  (Contributed by NM, 3-Jan-2005.) $)
  pm2.521 $p |- ( -. ( ph -> ps ) -> ( ps -> ph ) ) $=
    ( pm2.521g ) ABAC $.

  $( Exportation theorem ~ pm3.3 (closed form of ~ ex ) expressed with
     primitive connectives.  (Contributed by NM, 28-Dec-1992.) $)
  expt $p |- ( ( -. ( ph -> -. ps ) -> ch ) -> ( ph -> ( ps -> ch ) ) ) $=
    ( wn wi pm3.2im imim1d com12 ) AABDEDZCEBCEABICABFGH $.

  $( Importation theorem ~ pm3.1 (closed form of ~ imp ) expressed with
     primitive connectives.  (Contributed by NM, 25-Apr-1994.)  (Proof
     shortened by Wolf Lammen, 20-Jul-2013.) $)
  impt $p |- ( ( ph -> ( ps -> ch ) ) -> ( -. ( ph -> -. ps ) -> ch ) ) $=
    ( wi wn simprim simplim imim1i mpdi ) ABCDZDABEZDEZBCABFLAJAKGHI $.

  ${
    pm2.61d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    pm2.61d.2 $e |- ( ph -> ( -. ps -> ch ) ) $.
    $( Deduction eliminating an antecedent.  (Contributed by NM, 27-Apr-1994.)
       (Proof shortened by Wolf Lammen, 12-Sep-2013.) $)
    pm2.61d $p |- ( ph -> ch ) $=
      ( wn con1d syld pm2.18d ) ACACFBCABCEGDHI $.
  $}

  ${
    pm2.61d1.1 $e |- ( ph -> ( ps -> ch ) ) $.
    pm2.61d1.2 $e |- ( -. ps -> ch ) $.
    $( Inference eliminating an antecedent.  (Contributed by NM,
       15-Jul-2005.) $)
    pm2.61d1 $p |- ( ph -> ch ) $=
      ( wn wi a1i pm2.61d ) ABCDBFCGAEHI $.
  $}

  ${
    pm2.61d2.1 $e |- ( ph -> ( -. ps -> ch ) ) $.
    pm2.61d2.2 $e |- ( ps -> ch ) $.
    $( Inference eliminating an antecedent.  (Contributed by NM,
       18-Aug-1993.) $)
    pm2.61d2 $p |- ( ph -> ch ) $=
      ( wi a1i pm2.61d ) ABCBCFAEGDH $.
  $}

  ${
    pm2.61i.1 $e |- ( ph -> ps ) $.
    pm2.61i.2 $e |- ( -. ph -> ps ) $.
    $( Inference eliminating an antecedent.  (Contributed by NM, 5-Apr-1994.)
       (Proof shortened by Wolf Lammen, 19-Nov-2023.) $)
    pm2.61i $p |- ps $=
      ( nsyl4 pm2.18i ) BABBCDEF $.
  $}

  ${
    pm2.61ii.1 $e |- ( -. ph -> ( -. ps -> ch ) ) $.
    pm2.61ii.2 $e |- ( ph -> ch ) $.
    pm2.61ii.3 $e |- ( ps -> ch ) $.
    $( Inference eliminating two antecedents.  (Contributed by NM, 4-Jan-1993.)
       (Proof shortened by Josh Purinton, 29-Dec-2000.) $)
    pm2.61ii $p |- ch $=
      ( wn pm2.61d2 pm2.61i ) ACEAGBCDFHI $.
  $}

  ${
    pm2.61nii.1 $e |- ( ph -> ( ps -> ch ) ) $.
    pm2.61nii.2 $e |- ( -. ph -> ch ) $.
    pm2.61nii.3 $e |- ( -. ps -> ch ) $.
    $( Inference eliminating two antecedents.  (Contributed by NM,
       13-Jul-2005.)  (Proof shortened by Andrew Salmon, 25-May-2011.)  (Proof
       shortened by Wolf Lammen, 13-Nov-2012.) $)
    pm2.61nii $p |- ch $=
      ( pm2.61d1 pm2.61i ) ACABCDFGEH $.
  $}

  ${
    pm2.61iii.1 $e |- ( -. ph -> ( -. ps -> ( -. ch -> th ) ) ) $.
    pm2.61iii.2 $e |- ( ph -> th ) $.
    pm2.61iii.3 $e |- ( ps -> th ) $.
    pm2.61iii.4 $e |- ( ch -> th ) $.
    $( Inference eliminating three antecedents.  (Contributed by NM,
       2-Jan-2002.)  (Proof shortened by Wolf Lammen, 22-Sep-2013.) $)
    pm2.61iii $p |- th $=
      ( wn wi a1d pm2.61ii pm2.61i ) CDHABCIZDJEADNFKBDNGKLM $.
  $}

  ${
    ja.1 $e |- ( -. ph -> ch ) $.
    ja.2 $e |- ( ps -> ch ) $.
    $( Inference joining the antecedents of two premises.  For partial
       converses, see ~ jarri and ~ jarli .  (Contributed by NM, 24-Jan-1993.)
       (Proof shortened by Mel L. O'Cat, 19-Feb-2008.) $)
    ja $p |- ( ( ph -> ps ) -> ch ) $=
      ( wi imim2i pm2.61d1 ) ABFACBCAEGDH $.
  $}

  ${
    jad.1 $e |- ( ph -> ( -. ps -> th ) ) $.
    jad.2 $e |- ( ph -> ( ch -> th ) ) $.
    $( Deduction form of ~ ja .  (Contributed by Scott Fenton, 13-Dec-2010.)
       (Proof shortened by Andrew Salmon, 17-Sep-2011.) $)
    jad $p |- ( ph -> ( ( ps -> ch ) -> th ) ) $=
      ( wi wn com12 ja ) BCGADBCADGABHDEIACDFIJI $.
  $}

  ${
    pm2.61iOLD.1 $e |- ( ph -> ps ) $.
    pm2.61iOLD.2 $e |- ( -. ph -> ps ) $.
    $( Obsolete version of ~ pm2.61i as of 19-Nov-2023.  (Contributed by NM,
       5-Apr-1994.)  (Proof shortened by Wolf Lammen, 12-Sep-2013.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    pm2.61iOLD $p |- ps $=
      ( wi id ja ax-mp ) AAEBAFAABDCGH $.
  $}

  $( Weak Clavius law.  If a formula implies its negation, then it is false.  A
     form of "reductio ad absurdum", which can be used in proofs by
     contradiction.  Theorem *2.01 of [WhiteheadRussell] p. 100.  Provable in
     minimal calculus, contrary to the Clavius law ~ pm2.18 .  (Contributed by
     NM, 18-Aug-1993.)  (Proof shortened by Mel L. O'Cat, 21-Nov-2008.)  (Proof
     shortened by Wolf Lammen, 31-Oct-2012.) $)
  pm2.01 $p |- ( ( ph -> -. ph ) -> -. ph ) $=
    ( wn id ja ) AABZEECZFD $.

  ${
    pm2.01d.1 $e |- ( ph -> ( ps -> -. ps ) ) $.
    $( Deduction based on reductio ad absurdum.  (Contributed by NM,
       18-Aug-1993.)  (Proof shortened by Wolf Lammen, 5-Mar-2013.) $)
    pm2.01d $p |- ( ph -> -. ps ) $=
      ( wn id pm2.61d1 ) ABBDZCGEF $.
  $}

  $( Theorem *2.6 of [WhiteheadRussell] p. 107.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.6 $p |- ( ( -. ph -> ps ) -> ( ( ph -> ps ) -> ps ) ) $=
    ( wn wi id idd jad ) ACBDZABBHEHBFG $.

  $( Theorem *2.61 of [WhiteheadRussell] p. 107.  Useful for eliminating an
     antecedent.  (Contributed by NM, 4-Jan-1993.)  (Proof shortened by Wolf
     Lammen, 22-Sep-2013.) $)
  pm2.61 $p |- ( ( ph -> ps ) -> ( ( -. ph -> ps ) -> ps ) ) $=
    ( wn wi pm2.6 com12 ) ACBDABDBABEF $.

  $( Theorem *2.65 of [WhiteheadRussell] p. 107.  Proof by contradiction.
     (Contributed by NM, 21-Jun-1993.)  (Proof shortened by Wolf Lammen,
     8-Mar-2013.) $)
  pm2.65 $p |- ( ( ph -> ps ) -> ( ( ph -> -. ps ) -> -. ph ) ) $=
    ( wi wn idd con3 jad ) ABCZABDADZHIEABFG $.

  ${
    pm2.65i.1 $e |- ( ph -> ps ) $.
    pm2.65i.2 $e |- ( ph -> -. ps ) $.
    $( Inference for proof by contradiction.  (Contributed by NM, 18-May-1994.)
       (Proof shortened by Wolf Lammen, 11-Sep-2013.) $)
    pm2.65i $p |- -. ph $=
      ( wn con2i con3i pm2.61i ) BAEABDFABCGH $.
  $}

  ${
    pm2.21dd.1 $e |- ( ph -> ps ) $.
    pm2.21dd.2 $e |- ( ph -> -. ps ) $.
    $( A contradiction implies anything.  Deduction from ~ pm2.21 .
       (Contributed by Mario Carneiro, 9-Feb-2017.)  (Proof shortened by Wolf
       Lammen, 22-Jul-2019.) $)
    pm2.21dd $p |- ( ph -> ch ) $=
      ( pm2.65i pm2.21i ) ACABDEFG $.
  $}

  ${
    pm2.65d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    pm2.65d.2 $e |- ( ph -> ( ps -> -. ch ) ) $.
    $( Deduction for proof by contradiction.  (Contributed by NM, 26-Jun-1994.)
       (Proof shortened by Wolf Lammen, 26-May-2013.) $)
    pm2.65d $p |- ( ph -> -. ps ) $=
      ( nsyld pm2.01d ) ABABCBEDFG $.
  $}

  ${
    mto.1 $e |- -. ps $.
    mto.2 $e |- ( ph -> ps ) $.
    $( The rule of modus tollens.  The rule says, "if ` ps ` is not true, and
       ` ph ` implies ` ps ` , then ` ph ` must also be not true".  Modus
       tollens is short for "modus tollendo tollens", a Latin phrase that means
       "the mode that by denying denies" - remark in [Sanford] p. 39.  It is
       also called denying the consequent.  Modus tollens is closely related to
       modus ponens ~ ax-mp .  Note that this rule is also valid in
       intuitionistic logic.  Inference associated with ~ con3i .  (Contributed
       by NM, 19-Aug-1993.)  (Proof shortened by Wolf Lammen, 11-Sep-2013.) $)
    mto $p |- -. ph $=
      ( wn a1i pm2.65i ) ABDBEACFG $.
  $}

  ${
    mtod.1 $e |- ( ph -> -. ch ) $.
    mtod.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Modus tollens deduction.  (Contributed by NM, 3-Apr-1994.)  (Proof
       shortened by Wolf Lammen, 11-Sep-2013.) $)
    mtod $p |- ( ph -> -. ps ) $=
      ( wn a1d pm2.65d ) ABCEACFBDGH $.
  $}

  ${
    mtoi.1 $e |- -. ch $.
    mtoi.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Modus tollens inference.  (Contributed by NM, 5-Jul-1994.)  (Proof
       shortened by Wolf Lammen, 15-Sep-2012.) $)
    mtoi $p |- ( ph -> -. ps ) $=
      ( wn a1i mtod ) ABCCFADGEH $.
  $}

  ${
    mt2.1 $e |- ps $.
    mt2.2 $e |- ( ph -> -. ps ) $.
    $( A rule similar to modus tollens.  Inference associated with ~ con2i .
       (Contributed by NM, 19-Aug-1993.)  (Proof shortened by Wolf Lammen,
       10-Sep-2013.) $)
    mt2 $p |- -. ph $=
      ( a1i pm2.65i ) ABBACEDF $.
  $}

  ${
    mt3.1 $e |- -. ps $.
    mt3.2 $e |- ( -. ph -> ps ) $.
    $( A rule similar to modus tollens.  Inference associated with ~ con1i .
       (Contributed by NM, 18-May-1994.)  (Proof shortened by Wolf Lammen,
       11-Sep-2013.) $)
    mt3 $p |- ph $=
      ( wn mto notnotri ) AAEBCDFG $.
  $}

  $( Peirce's axiom.  A non-intuitionistic implication-only statement.  Added
     to intuitionistic (implicational) propositional calculus, it gives
     classical (implicational) propositional calculus.  For another
     non-intuitionistic positive statement, see ~ curryax .  When ` F. ` is
     substituted for ` ps ` , then this becomes the Clavius law ~ pm2.18 .
     (Contributed by NM, 29-Dec-1992.)  (Proof shortened by Wolf Lammen,
     9-Oct-2012.) $)
  peirce $p |- ( ( ( ph -> ps ) -> ph ) -> ph ) $=
    ( wi simplim id ja ) ABCAAABDAEF $.

  $( The Inversion Axiom of the infinite-valued sentential logic (L-infinity)
     of Lukasiewicz.  Using ~ dfor2 , we can see that this essentially
     expresses "disjunction commutes".  Theorem *2.69 of [WhiteheadRussell]
     p. 108.  It is a special instance of the axiom "Roll", see ~ peirceroll .
     (Contributed by NM, 12-Aug-2004.) $)
  looinv $p |- ( ( ( ph -> ps ) -> ps ) -> ( ( ps -> ph ) -> ph ) ) $=
    ( wi imim1 peirce syl6 ) ABCZBCBACGACAGBADABEF $.

  $( A self-implication (see ~ id ) does not imply its own negation.  The
     justification theorem ~ bijust is one of its instances.  (Contributed by
     NM, 11-May-1999.)  (Proof shortened by Josh Purinton, 29-Dec-2000.)
     Extract ~ bijust0 from proof of ~ bijust .  (Revised by BJ,
     19-Mar-2020.) $)
  bijust0 $p |- -. ( ( ph -> ph ) -> -. ( ph -> ph ) ) $=
    ( wi wn id pm2.01 mt2 ) AABZGCBGADGEF $.

  $( Theorem used to justify the definition of the biconditional ~ df-bi .
     Instance of ~ bijust0 .  (Contributed by NM, 11-May-1999.) $)
  bijust $p |- -. ( ( -. ( ( ph -> ps ) -> -. ( ps -> ph ) )
                   -> -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) )
              -> -. ( -. ( ( ph -> ps ) -> -. ( ps -> ph ) )
                   -> -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) ) ) $=
    ( wi wn bijust0 ) ABCBACDCDE $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Logical equivalence
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Definition ~ df-bi in this section is our first definition, which
  introduces and defines the biconditional connective ` <-> ` used to denote
  logical equivalence.  We define a wff of the form ` ( ph <-> ps ) ` as an
  abbreviation for ` -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) ` .

  Unlike most traditional developments, we have chosen not to have a separate
  symbol such as "Df." to mean "is defined as".  Instead, we will later use the
  biconditional connective for this purpose ( ~ df-an is its first use), as it
  allows us to use logic to manipulate definitions directly.  This greatly
  simplifies many proofs since it eliminates the need for a separate mechanism
  for introducing and eliminating definitions.

  A note on definitions: definitions are required to be eliminable (that is, a
  theorem stated in terms of the defined symbol can also be stated without it)
  and conservative (that is, a theorem whose statement does not contain the
  defined symbol can be proved without using that definition).  This means that
  a definition does not increase the expressive power nor the deductive power,
  respectively, of a theory.  On the other hand, definitions are often useful
  to write shorter proofs, so in (i)set.mm we will generally not try to avoid
  them.  This is why, for instance, some theorems which do not contain
  disjunction in their statement are placed after the section on disjunction
  because a shorter proof using disjunction is possible.

$)

  $( Declare the biconditional connective. $)
  $c <-> $.  $( Bidirectional arrow (read:  "if and only if" or
                "is logically equivalent to") $)

  $( Extend wff definition to include the biconditional connective. $)
  wb $a wff ( ph <-> ps ) $.

  $( Define the biconditional (logical "iff" or "if and only if"), also called
     biimplication.

     Definition ~ df-bi in this section is our first definition, which
     introduces and defines the biconditional connective ` <-> ` .  We define a
     wff of the form ` ( ph <-> ps ) ` as an abbreviation for
     ` -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) ` .

     Unlike most traditional developments, we have chosen not to have a
     separate symbol such as "Df." to mean "is defined as".  Instead, we will
     later use the biconditional connective for this purpose ( ~ df-or is its
     first use), as it allows us to use logic to manipulate definitions
     directly.  This greatly simplifies many proofs since it eliminates the
     need for a separate mechanism for introducing and eliminating definitions.
     Of course, we cannot use this mechanism to define the biconditional
     itself, since it hasn't been introduced yet.  Instead, we use a more
     general form of definition, described as follows.

     In its most general form, a definition is simply an assertion that
     introduces a new symbol (or a new combination of existing symbols, as in
     ~ df-3an ) that is eliminable and does not strengthen the existing
     language.  The latter requirement means that the set of provable
     statements not containing the new symbol (or new combination) should
     remain exactly the same after the definition is introduced.  Our
     definition of the biconditional may look unusual compared to most
     definitions, but it strictly satisfies these requirements.

     The justification for our definition is that if we mechanically replace
     ` ( ph <-> ps ) ` (the definiendum i.e. the thing being defined) with
     ` -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) ` (the definiens i.e. the
     defining expression) in the definition, the definition becomes the
     previously proved theorem ~ bijust .  It is impossible to use ~ df-bi to
     prove any statement expressed in the original language that can't be
     proved from the original axioms, because if we simply replace each
     instance of ~ df-bi in the proof with the corresponding ~ bijust instance,
     we will end up with a proof from the original axioms.

     Note that from Metamath's point of view, a definition is just another
     axiom - i.e. an assertion we claim to be true - but from our high level
     point of view, we are not strengthening the language.  To indicate this
     fact, we prefix definition labels with "df-" instead of "ax-".  (This
     prefixing is an informal convention that means nothing to the Metamath
     proof verifier; it is just a naming convention for human readability.)

     After we define the constant true ` T. ` ( ~ df-tru ) and the constant
     false ` F. ` ( ~ df-fal ), we will be able to prove these truth table
     values: ` ( ( T. <-> T. ) <-> T. ) ` ( ~ trubitru ),
     ` ( ( T. <-> F. ) <-> F. ) ` ( ~ trubifal ), ` ( ( F. <-> T. ) <-> F. ) `
     ( ~ falbitru ), and ` ( ( F. <-> F. ) <-> T. ) ` ( ~ falbifal ).

     See ~ dfbi1 , ~ dfbi2 , and ~ dfbi3 for theorems suggesting typical
     textbook definitions of ` <-> ` , showing that our definition has the
     properties we expect.  Theorem ~ dfbi1 is particularly useful if we want
     to eliminate ` <-> ` from an expression to convert it to primitives.
     Theorem ~ dfbi shows this definition rewritten in an abbreviated form
     after conjunction is introduced, for easier understanding.

     Contrast with ` \/ ` ( ~ df-or ), ` -> ` ( ~ wi ), ` -/\ ` ( ~ df-nan ),
     and ` \/_ ` ( ~ df-xor ).  In some sense ` <-> ` returns true if two truth
     values are equal; ` = ` ( ~ df-cleq ) returns true if two classes are
     equal.  (Contributed by NM, 27-Dec-1992.) $)
  df-bi $a |- -. ( ( ( ph <-> ps ) -> -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) )
        -> -. ( -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) -> ( ph <-> ps ) ) ) $.

  $( $j justification 'bijust' for 'df-bi'; $)

  $( Property of the biconditional connective.  (Contributed by NM,
     11-May-1999.) $)
  impbi $p |- ( ( ph -> ps ) -> ( ( ps -> ph ) -> ( ph <-> ps ) ) ) $=
    ( wi wb wn df-bi simprim ax-mp expi ) ABCZBACZABDZLJKECEZCZMLCZECEOABFNOGHI
    $.

  ${
    impbii.1 $e |- ( ph -> ps ) $.
    impbii.2 $e |- ( ps -> ph ) $.
    $( Infer an equivalence from an implication and its converse.  Inference
       associated with ~ impbi .  (Contributed by NM, 29-Dec-1992.) $)
    impbii $p |- ( ph <-> ps ) $=
      ( wi wb impbi mp2 ) ABEBAEABFCDABGH $.
  $}

  ${
    impbidd.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    impbidd.2 $e |- ( ph -> ( ps -> ( th -> ch ) ) ) $.
    $( Deduce an equivalence from two implications.  Double deduction
       associated with ~ impbi and ~ impbii .  Deduction associated with
       ~ impbid .  (Contributed by Rodolfo Medina, 12-Oct-2010.) $)
    impbidd $p |- ( ph -> ( ps -> ( ch <-> th ) ) ) $=
      ( wi wb impbi syl6c ) ABCDGDCGCDHEFCDIJ $.
  $}

  ${
    impbid21d.1 $e |- ( ps -> ( ch -> th ) ) $.
    impbid21d.2 $e |- ( ph -> ( th -> ch ) ) $.
    $( Deduce an equivalence from two implications.  (Contributed by Wolf
       Lammen, 12-May-2013.) $)
    impbid21d $p |- ( ph -> ( ps -> ( ch <-> th ) ) ) $=
      ( wi wb impbi syl2imc ) BCDGADCGCDHEFCDIJ $.
  $}

  ${
    impbid.1 $e |- ( ph -> ( ps -> ch ) ) $.
    impbid.2 $e |- ( ph -> ( ch -> ps ) ) $.
    $( Deduce an equivalence from two implications.  Deduction associated with
       ~ impbi and ~ impbii .  (Contributed by NM, 24-Jan-1993.)  Revised to
       prove it from ~ impbid21d .  (Revised by Wolf Lammen, 3-Nov-2012.) $)
    impbid $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wb impbid21d pm2.43i ) ABCFAABCDEGH $.
  $}

  $( Relate the biconditional connective to primitive connectives.  See
     ~ dfbi1ALT for an unusual version proved directly from axioms.
     (Contributed by NM, 29-Dec-1992.) $)
  dfbi1 $p |- ( ( ph <-> ps ) <-> -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) ) $=
    ( wb wi wn df-bi impbi con3rr3 mt3 ) ABCZABDBADEDEZCZJKDZKJDZEDABFMNLJKGHI
    $.

  $( Alternate proof of ~ dfbi1 .  This proof, discovered by Gregory Bush on
     8-Mar-2004, has several curious properties.  First, it has only 17 steps
     directly from the axioms and ~ df-bi , compared to over 800 steps were the
     proof of ~ dfbi1 expanded into axioms.  Second, step 2 demands only the
     property of "true"; any axiom (or theorem) could be used.  It might be
     thought, therefore, that it is in some sense redundant, but in fact no
     proof is shorter than this (measured by number of steps).  Third, it
     illustrates how intermediate steps can "blow up" in size even in short
     proofs.  Fourth, the compressed proof is only 182 bytes (or 17 bytes in
     D-proof notation), but the generated web page is over 200kB with
     intermediate steps that are essentially incomprehensible to humans (other
     than Gregory Bush).  If there were an obfuscated code contest for proofs,
     this would be a contender.  This "blowing up" and incomprehensibility of
     the intermediate steps vividly demonstrate the advantages of using many
     layered intermediate theorems, since each theorem is easier to understand.
     (Contributed by Gregory Bush, 10-Mar-2004.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  dfbi1ALT $p |-
                ( ( ph <-> ps ) <-> -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) ) $=
    ( wch wth wb wi wn df-bi ax-1 ax-mp ax-3 ax-2 ) ABEZABFBAFGFGZFNMFGFGZMNEZA
    BHCDCFFZOPFZCDIRGZQGZFZQRFSPOFZSFZFZUASUBISUCTFZFZUDUAFUEUFTGZUCGZFZUEUHUIM
    NHUHUGIJTUCKJUESIJSUCTLJJRQKJJJ $.

  $( Property of the biconditional connective.  (Contributed by NM,
     11-May-1999.) $)
  biimp $p |- ( ( ph <-> ps ) -> ( ph -> ps ) ) $=
    ( wb wi wn df-bi simplim ax-mp syl ) ABCZABDZBADEZDEZKJMDZMJDEZDENABFNOGHKL
    GI $.

  ${
    biimpi.1 $e |- ( ph <-> ps ) $.
    $( Infer an implication from a logical equivalence.  Inference associated
       with ~ biimp .  (Contributed by NM, 29-Dec-1992.) $)
    biimpi $p |- ( ph -> ps ) $=
      ( wb wi biimp ax-mp ) ABDABECABFG $.
  $}

  ${
    sylbi.1 $e |- ( ph <-> ps ) $.
    sylbi.2 $e |- ( ps -> ch ) $.
    $( A mixed syllogism inference from a biconditional and an implication.
       Useful for substituting an antecedent with a definition.  (Contributed
       by NM, 3-Jan-1993.) $)
    sylbi $p |- ( ph -> ch ) $=
      ( biimpi syl ) ABCABDFEG $.
  $}

  ${
    sylib.1 $e |- ( ph -> ps ) $.
    sylib.2 $e |- ( ps <-> ch ) $.
    $( A mixed syllogism inference from an implication and a biconditional.
       (Contributed by NM, 3-Jan-1993.) $)
    sylib $p |- ( ph -> ch ) $=
      ( biimpi syl ) ABCDBCEFG $.
  $}

  ${
    sylbb.1 $e |- ( ph <-> ps ) $.
    sylbb.2 $e |- ( ps <-> ch ) $.
    $( A mixed syllogism inference from two biconditionals.  (Contributed by
       BJ, 30-Mar-2019.) $)
    sylbb $p |- ( ph -> ch ) $=
      ( biimpi sylbi ) ABCDBCEFG $.
  $}

  $( Property of the biconditional connective.  (Contributed by NM,
     11-May-1999.)  (Proof shortened by Wolf Lammen, 11-Nov-2012.) $)
  biimpr $p |- ( ( ph <-> ps ) -> ( ps -> ph ) ) $=
    ( wb wi wn dfbi1 simprim sylbi ) ABCABDZBADZEDEJABFIJGH $.

  $( Commutative law for the biconditional.  (Contributed by Wolf Lammen,
     10-Nov-2012.) $)
  bicom1 $p |- ( ( ph <-> ps ) -> ( ps <-> ph ) ) $=
    ( wb biimpr biimp impbid ) ABCBAABDABEF $.

  $( Commutative law for the biconditional.  Theorem *4.21 of
     [WhiteheadRussell] p. 117.  (Contributed by NM, 11-May-1993.) $)
  bicom $p |- ( ( ph <-> ps ) <-> ( ps <-> ph ) ) $=
    ( wb bicom1 impbii ) ABCBACABDBADE $.

  ${
    bicomd.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Commute two sides of a biconditional in a deduction.  (Contributed by
       NM, 14-May-1993.) $)
    bicomd $p |- ( ph -> ( ch <-> ps ) ) $=
      ( wb bicom sylib ) ABCECBEDBCFG $.
  $}

  ${
    bicomi.1 $e |- ( ph <-> ps ) $.
    $( Inference from commutative law for logical equivalence.  (Contributed by
       NM, 3-Jan-1993.) $)
    bicomi $p |- ( ps <-> ph ) $=
      ( wb bicom1 ax-mp ) ABDBADCABEF $.
  $}

  ${
    impbid1.1 $e |- ( ph -> ( ps -> ch ) ) $.
    impbid1.2 $e |- ( ch -> ps ) $.
    $( Infer an equivalence from two implications.  (Contributed by NM,
       6-Mar-2007.) $)
    impbid1 $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wi a1i impbid ) ABCDCBFAEGH $.
  $}

  ${
    impbid2.1 $e |- ( ps -> ch ) $.
    impbid2.2 $e |- ( ph -> ( ch -> ps ) ) $.
    $( Infer an equivalence from two implications.  (Contributed by NM,
       6-Mar-2007.)  (Proof shortened by Wolf Lammen, 27-Sep-2013.) $)
    impbid2 $p |- ( ph -> ( ps <-> ch ) ) $=
      ( impbid1 bicomd ) ACBACBEDFG $.
  $}

  ${
    impcon4bid.1 $e |- ( ph -> ( ps -> ch ) ) $.
    impcon4bid.2 $e |- ( ph -> ( -. ps -> -. ch ) ) $.
    $( A variation on ~ impbid with contraposition.  (Contributed by Jeff
       Hankins, 3-Jul-2009.) $)
    impcon4bid $p |- ( ph -> ( ps <-> ch ) ) $=
      ( con4d impbid ) ABCDABCEFG $.
  $}

  ${
    biimpri.1 $e |- ( ph <-> ps ) $.
    $( Infer a converse implication from a logical equivalence.  Inference
       associated with ~ biimpr .  (Contributed by NM, 29-Dec-1992.)  (Proof
       shortened by Wolf Lammen, 16-Sep-2013.) $)
    biimpri $p |- ( ps -> ph ) $=
      ( bicomi biimpi ) BAABCDE $.
  $}

  ${
    biimpd.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduce an implication from a logical equivalence.  Deduction associated
       with ~ biimp and ~ biimpi .  (Contributed by NM, 11-Jan-1993.) $)
    biimpd $p |- ( ph -> ( ps -> ch ) ) $=
      ( wb wi biimp syl ) ABCEBCFDBCGH $.
  $}

  ${
    mpbi.min $e |- ph $.
    mpbi.maj $e |- ( ph <-> ps ) $.
    $( An inference from a biconditional, related to modus ponens.
       (Contributed by NM, 11-May-1993.) $)
    mpbi $p |- ps $=
      ( biimpi ax-mp ) ABCABDEF $.
  $}

  ${
    mpbir.min $e |- ps $.
    mpbir.maj $e |- ( ph <-> ps ) $.
    $( An inference from a biconditional, related to modus ponens.
       (Contributed by NM, 28-Dec-1992.) $)
    mpbir $p |- ph $=
      ( biimpri ax-mp ) BACABDEF $.
  $}

  ${
    mpbid.min $e |- ( ph -> ps ) $.
    mpbid.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( A deduction from a biconditional, related to modus ponens.  (Contributed
       by NM, 21-Jun-1993.) $)
    mpbid $p |- ( ph -> ch ) $=
      ( biimpd mpd ) ABCDABCEFG $.
  $}

  ${
    mpbii.min $e |- ps $.
    mpbii.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( An inference from a nested biconditional, related to modus ponens.
       (Contributed by NM, 16-May-1993.)  (Proof shortened by Wolf Lammen,
       25-Oct-2012.) $)
    mpbii $p |- ( ph -> ch ) $=
      ( a1i mpbid ) ABCBADFEG $.
  $}

  ${
    sylibr.1 $e |- ( ph -> ps ) $.
    sylibr.2 $e |- ( ch <-> ps ) $.
    $( A mixed syllogism inference from an implication and a biconditional.
       Useful for substituting a consequent with a definition.  (Contributed by
       NM, 3-Jan-1993.) $)
    sylibr $p |- ( ph -> ch ) $=
      ( biimpri syl ) ABCDCBEFG $.
  $}

  ${
    sylbir.1 $e |- ( ps <-> ph ) $.
    sylbir.2 $e |- ( ps -> ch ) $.
    $( A mixed syllogism inference from a biconditional and an implication.
       (Contributed by NM, 3-Jan-1993.) $)
    sylbir $p |- ( ph -> ch ) $=
      ( biimpri syl ) ABCBADFEG $.
  $}

  ${
    sylbbr.1 $e |- ( ph <-> ps ) $.
    sylbbr.2 $e |- ( ps <-> ch ) $.
    $( A mixed syllogism inference from two biconditionals.

       Note on the various syllogism-like statements in set.mm.  The
       hypothetical syllogism ~ syl infers an implication from two implications
       (and there are ~ 3syl and ~ 4syl for chaining more inferences).  There
       are four inferences inferring an implication from one implication and
       one biconditional: ~ sylbi , ~ sylib , ~ sylbir , ~ sylibr ; four
       inferences inferring an implication from two biconditionals: ~ sylbb ,
       ~ sylbbr , ~ sylbb1 , ~ sylbb2 ; four inferences inferring a
       biconditional from two biconditionals: ~ bitri , ~ bitr2i , ~ bitr3i ,
       ~ bitr4i (and more for chaining more biconditionals).  There are also
       closed forms and deduction versions of these, like, among many others,
       ~ syld , ~ syl5 , ~ syl6 , ~ mpbid , ~ bitrd , ~ syl5bb , ~ bitrdi and
       variants.  (Contributed by BJ, 21-Apr-2019.) $)
    sylbbr $p |- ( ch -> ph ) $=
      ( biimpri sylibr ) CBABCEFDG $.
  $}

  ${
    sylbb1.1 $e |- ( ph <-> ps ) $.
    sylbb1.2 $e |- ( ph <-> ch ) $.
    $( A mixed syllogism inference from two biconditionals.  (Contributed by
       BJ, 21-Apr-2019.) $)
    sylbb1 $p |- ( ps -> ch ) $=
      ( biimpri sylib ) BACABDFEG $.
  $}

  ${
    sylbb2.1 $e |- ( ph <-> ps ) $.
    sylbb2.2 $e |- ( ch <-> ps ) $.
    $( A mixed syllogism inference from two biconditionals.  (Contributed by
       BJ, 21-Apr-2019.) $)
    sylbb2 $p |- ( ph -> ch ) $=
      ( biimpri sylbi ) ABCDCBEFG $.
  $}

  ${
    sylibd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylibd.2 $e |- ( ph -> ( ch <-> th ) ) $.
    $( A syllogism deduction.  (Contributed by NM, 3-Aug-1994.) $)
    sylibd $p |- ( ph -> ( ps -> th ) ) $=
      ( biimpd syld ) ABCDEACDFGH $.
  $}

  ${
    sylbid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    sylbid.2 $e |- ( ph -> ( ch -> th ) ) $.
    $( A syllogism deduction.  (Contributed by NM, 3-Aug-1994.) $)
    sylbid $p |- ( ph -> ( ps -> th ) ) $=
      ( biimpd syld ) ABCDABCEGFH $.
  $}

  ${
    mpbidi.min $e |- ( th -> ( ph -> ps ) ) $.
    mpbidi.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( A deduction from a biconditional, related to modus ponens.  (Contributed
       by NM, 9-Aug-1994.) $)
    mpbidi $p |- ( th -> ( ph -> ch ) ) $=
      ( biimpd sylcom ) DABCEABCFGH $.
  $}

  ${
    syl5bi.1 $e |- ( ph <-> ps ) $.
    syl5bi.2 $e |- ( ch -> ( ps -> th ) ) $.
    $( A mixed syllogism inference from a nested implication and a
       biconditional.  Useful for substituting an embedded antecedent with a
       definition.  (Contributed by NM, 12-Jan-1993.) $)
    syl5bi $p |- ( ch -> ( ph -> th ) ) $=
      ( biimpi syl5 ) ABCDABEGFH $.
  $}

  ${
    syl5bir.1 $e |- ( ps <-> ph ) $.
    syl5bir.2 $e |- ( ch -> ( ps -> th ) ) $.
    $( A mixed syllogism inference from a nested implication and a
       biconditional.  (Contributed by NM, 21-Jun-1993.) $)
    syl5bir $p |- ( ch -> ( ph -> th ) ) $=
      ( biimpri syl5 ) ABCDBAEGFH $.
  $}

  ${
    syl5ib.1 $e |- ( ph -> ps ) $.
    syl5ib.2 $e |- ( ch -> ( ps <-> th ) ) $.
    $( A mixed syllogism inference.  (Contributed by NM, 12-Jan-1993.) $)
    syl5ib $p |- ( ch -> ( ph -> th ) ) $=
      ( biimpd syl5 ) ABCDECBDFGH $.

    $( A mixed syllogism inference.  (Contributed by NM, 19-Jun-2007.) $)
    syl5ibcom $p |- ( ph -> ( ch -> th ) ) $=
      ( syl5ib com12 ) CADABCDEFGH $.
  $}

  ${
    syl5ibr.1 $e |- ( ph -> th ) $.
    syl5ibr.2 $e |- ( ch -> ( ps <-> th ) ) $.
    $( A mixed syllogism inference.  (Contributed by NM, 3-Apr-1994.) $)
    syl5ibr $p |- ( ch -> ( ph -> ps ) ) $=
      ( bicomd syl5ib ) ADCBECBDFGH $.

    $( A mixed syllogism inference.  (Contributed by NM, 20-Jun-2007.) $)
    syl5ibrcom $p |- ( ph -> ( ch -> ps ) ) $=
      ( syl5ibr com12 ) CABABCDEFGH $.
  $}

  ${
    biimprd.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduce a converse implication from a logical equivalence.  Deduction
       associated with ~ biimpr and ~ biimpri .  (Contributed by NM,
       11-Jan-1993.)  (Proof shortened by Wolf Lammen, 22-Sep-2013.) $)
    biimprd $p |- ( ph -> ( ch -> ps ) ) $=
      ( id syl5ibr ) CBACCEDF $.
  $}

  ${
    biimpcd.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduce a commuted implication from a logical equivalence.  (Contributed
       by NM, 3-May-1994.)  (Proof shortened by Wolf Lammen, 22-Sep-2013.) $)
    biimpcd $p |- ( ps -> ( ph -> ch ) ) $=
      ( id syl5ibcom ) BBACBEDF $.

    $( Deduce a converse commuted implication from a logical equivalence.
       (Contributed by NM, 3-May-1994.)  (Proof shortened by Wolf Lammen,
       20-Dec-2013.) $)
    biimprcd $p |- ( ch -> ( ph -> ps ) ) $=
      ( id syl5ibrcom ) CBACCEDF $.
  $}

  ${
    syl6ib.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl6ib.2 $e |- ( ch <-> th ) $.
    $( A mixed syllogism inference from a nested implication and a
       biconditional.  (Contributed by NM, 21-Jun-1993.) $)
    syl6ib $p |- ( ph -> ( ps -> th ) ) $=
      ( biimpi syl6 ) ABCDECDFGH $.
  $}

  ${
    syl6ibr.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl6ibr.2 $e |- ( th <-> ch ) $.
    $( A mixed syllogism inference from a nested implication and a
       biconditional.  Useful for substituting an embedded consequent with a
       definition.  (Contributed by NM, 10-Jan-1993.) $)
    syl6ibr $p |- ( ph -> ( ps -> th ) ) $=
      ( biimpri syl6 ) ABCDEDCFGH $.
  $}

  ${
    syl6bi.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl6bi.2 $e |- ( ch -> th ) $.
    $( A mixed syllogism inference.  (Contributed by NM, 2-Jan-1994.) $)
    syl6bi $p |- ( ph -> ( ps -> th ) ) $=
      ( biimpd syl6 ) ABCDABCEGFH $.
  $}

  ${
    syl6bir.1 $e |- ( ph -> ( ch <-> ps ) ) $.
    syl6bir.2 $e |- ( ch -> th ) $.
    $( A mixed syllogism inference.  (Contributed by NM, 18-May-1994.) $)
    syl6bir $p |- ( ph -> ( ps -> th ) ) $=
      ( biimprd syl6 ) ABCDACBEGFH $.
  $}

  ${
    syl7bi.1 $e |- ( ph <-> ps ) $.
    syl7bi.2 $e |- ( ch -> ( th -> ( ps -> ta ) ) ) $.
    $( A mixed syllogism inference from a doubly nested implication and a
       biconditional.  (Contributed by NM, 14-May-1993.) $)
    syl7bi $p |- ( ch -> ( th -> ( ph -> ta ) ) ) $=
      ( biimpi syl7 ) ABCDEABFHGI $.
  $}

  ${
    syl8ib.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    syl8ib.2 $e |- ( th <-> ta ) $.
    $( A syllogism rule of inference.  The second premise is used to replace
       the consequent of the first premise.  (Contributed by NM,
       1-Aug-1994.) $)
    syl8ib $p |- ( ph -> ( ps -> ( ch -> ta ) ) ) $=
      ( biimpi syl8 ) ABCDEFDEGHI $.
  $}

  ${
    mpbird.min $e |- ( ph -> ch ) $.
    mpbird.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( A deduction from a biconditional, related to modus ponens.  (Contributed
       by NM, 5-Aug-1993.) $)
    mpbird $p |- ( ph -> ps ) $=
      ( biimprd mpd ) ACBDABCEFG $.
  $}

  ${
    mpbiri.min $e |- ch $.
    mpbiri.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( An inference from a nested biconditional, related to modus ponens.
       (Contributed by NM, 21-Jun-1993.)  (Proof shortened by Wolf Lammen,
       25-Oct-2012.) $)
    mpbiri $p |- ( ph -> ps ) $=
      ( a1i mpbird ) ABCCADFEG $.
  $}

  ${
    sylibrd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylibrd.2 $e |- ( ph -> ( th <-> ch ) ) $.
    $( A syllogism deduction.  (Contributed by NM, 3-Aug-1994.) $)
    sylibrd $p |- ( ph -> ( ps -> th ) ) $=
      ( biimprd syld ) ABCDEADCFGH $.
  $}

  ${
    sylbird.1 $e |- ( ph -> ( ch <-> ps ) ) $.
    sylbird.2 $e |- ( ph -> ( ch -> th ) ) $.
    $( A syllogism deduction.  (Contributed by NM, 3-Aug-1994.) $)
    sylbird $p |- ( ph -> ( ps -> th ) ) $=
      ( biimprd syld ) ABCDACBEGFH $.
  $}

  $( Principle of identity for logical equivalence.  Theorem *4.2 of
     [WhiteheadRussell] p. 117.  This is part of Frege's eighth axiom per
     Proposition 54 of [Frege1879] p. 50; see also ~ eqid .  (Contributed by
     NM, 2-Jun-1993.) $)
  biid $p |- ( ph <-> ph ) $=
    ( id impbii ) AAABZDC $.

  $( Principle of identity with antecedent.  (Contributed by NM,
     25-Nov-1995.) $)
  biidd $p |- ( ph -> ( ps <-> ps ) ) $=
    ( wb biid a1i ) BBCABDE $.

  $( Two propositions are equivalent if they are both true.  Closed form of
     ~ 2th .  Equivalent to a ~ biimp -like version of the xor-connective.
     This theorem stays true, no matter how you permute its operands.  This is
     evident from its sharper version ` ( ph <-> ( ps <-> ( ph <-> ps ) ) ) ` .
     (Contributed by Wolf Lammen, 12-May-2013.) $)
  pm5.1im $p |- ( ph -> ( ps -> ( ph <-> ps ) ) ) $=
    ( ax-1 impbid21d ) ABABBACABCD $.

  ${
    2th.1 $e |- ph $.
    2th.2 $e |- ps $.
    $( Two truths are equivalent.  (Contributed by NM, 18-Aug-1993.) $)
    2th $p |- ( ph <-> ps ) $=
      ( a1i impbii ) ABBADEABCEF $.
  $}

  ${
    2thd.1 $e |- ( ph -> ps ) $.
    2thd.2 $e |- ( ph -> ch ) $.
    $( Two truths are equivalent.  Deduction form.  (Contributed by NM,
       3-Jun-2012.) $)
    2thd $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wb pm5.1im sylc ) ABCBCFDEBCGH $.
  $}

  $( Two self-implications (see ~ id ) are equivalent.  This theorem, rather
     trivial in our axiomatization, is (the biconditional form of) a standard
     axiom for monothetic BCI logic.  This is the most general theorem of which
     ~ trujust is an instance.  Relatedly, this would be the justification
     theorem if the definition of ` T. ` were ~ dftru2 .  (Contributed by BJ,
     7-Sep-2022.) $)
  monothetic $p |- ( ( ph -> ph ) <-> ( ps -> ps ) ) $=
    ( wi id 2th ) AACBBCADBDE $.

  ${
    ibi.1 $e |- ( ph -> ( ph <-> ps ) ) $.
    $( Inference that converts a biconditional implied by one of its arguments,
       into an implication.  (Contributed by NM, 17-Oct-2003.) $)
    ibi $p |- ( ph -> ps ) $=
      ( id mpbid ) AABADCE $.
  $}

  ${
    ibir.1 $e |- ( ph -> ( ps <-> ph ) ) $.
    $( Inference that converts a biconditional implied by one of its arguments,
       into an implication.  (Contributed by NM, 22-Jul-2004.) $)
    ibir $p |- ( ph -> ps ) $=
      ( bicomd ibi ) ABABACDE $.
  $}

  ${
    ibd.1 $e |- ( ph -> ( ps -> ( ps <-> ch ) ) ) $.
    $( Deduction that converts a biconditional implied by one of its arguments,
       into an implication.  Deduction associated with ~ ibi .  (Contributed by
       NM, 26-Jun-2004.) $)
    ibd $p |- ( ph -> ( ps -> ch ) ) $=
      ( wb biimp syli ) BABCECDBCFG $.
  $}

  $( Distribution of implication over biconditional.  Theorem *5.74 of
     [WhiteheadRussell] p. 126.  (Contributed by NM, 1-Aug-1994.)  (Proof
     shortened by Wolf Lammen, 11-Apr-2013.) $)
  pm5.74 $p |- ( ( ph -> ( ps <-> ch ) ) <->
               ( ( ph -> ps ) <-> ( ph -> ch ) ) ) $=
    ( wb wi biimp imim3i biimpr impbid pm2.86d impbidd impbii ) ABCDZEZABEZACEZ
    DZNOPMBCABCFGMCBABCHGIQABCQABCOPFJQACBOPHJKL $.

  ${
    pm5.74i.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Distribution of implication over biconditional (inference form).
       (Contributed by NM, 1-Aug-1994.) $)
    pm5.74i $p |- ( ( ph -> ps ) <-> ( ph -> ch ) ) $=
      ( wb wi pm5.74 mpbi ) ABCEFABFACFEDABCGH $.
  $}

  ${
    pm5.74ri.1 $e |- ( ( ph -> ps ) <-> ( ph -> ch ) ) $.
    $( Distribution of implication over biconditional (reverse inference form).
       (Contributed by NM, 1-Aug-1994.) $)
    pm5.74ri $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wb wi pm5.74 mpbir ) ABCEFABFACFEDABCGH $.
  $}

  ${
    pm5.74d.1 $e |- ( ph -> ( ps -> ( ch <-> th ) ) ) $.
    $( Distribution of implication over biconditional (deduction form).
       (Contributed by NM, 21-Mar-1996.) $)
    pm5.74d $p |- ( ph -> ( ( ps -> ch ) <-> ( ps -> th ) ) ) $=
      ( wb wi pm5.74 sylib ) ABCDFGBCGBDGFEBCDHI $.
  $}

  ${
    pm5.74rd.1 $e |- ( ph -> ( ( ps -> ch ) <-> ( ps -> th ) ) ) $.
    $( Distribution of implication over biconditional (deduction form).
       (Contributed by NM, 19-Mar-1997.) $)
    pm5.74rd $p |- ( ph -> ( ps -> ( ch <-> th ) ) ) $=
      ( wi wb pm5.74 sylibr ) ABCFBDFGBCDGFEBCDHI $.
  $}

  ${
    bitri.1 $e |- ( ph <-> ps ) $.
    bitri.2 $e |- ( ps <-> ch ) $.
    $( An inference from transitive law for logical equivalence.  (Contributed
       by NM, 3-Jan-1993.)  (Proof shortened by Wolf Lammen, 13-Oct-2012.) $)
    bitri $p |- ( ph <-> ch ) $=
      ( sylbb sylbbr impbii ) ACABCDEFABCDEGH $.
  $}

  ${
    bitr2i.1 $e |- ( ph <-> ps ) $.
    bitr2i.2 $e |- ( ps <-> ch ) $.
    $( An inference from transitive law for logical equivalence.  (Contributed
       by NM, 12-Mar-1993.) $)
    bitr2i $p |- ( ch <-> ph ) $=
      ( bitri bicomi ) ACABCDEFG $.
  $}

  ${
    bitr3i.1 $e |- ( ps <-> ph ) $.
    bitr3i.2 $e |- ( ps <-> ch ) $.
    $( An inference from transitive law for logical equivalence.  (Contributed
       by NM, 2-Jun-1993.) $)
    bitr3i $p |- ( ph <-> ch ) $=
      ( bicomi bitri ) ABCBADFEG $.
  $}

  ${
    bitr4i.1 $e |- ( ph <-> ps ) $.
    bitr4i.2 $e |- ( ch <-> ps ) $.
    $( An inference from transitive law for logical equivalence.  (Contributed
       by NM, 3-Jan-1993.) $)
    bitr4i $p |- ( ph <-> ch ) $=
      ( bicomi bitri ) ABCDCBEFG $.
  $}

  $( Register '<->' as an equality for its type (wff). $)
  $( $j
    equality 'wb' from 'biid' 'bicomi' 'bitri';
    definition 'dfbi1' for 'wb';
  $)

  ${
    bitrd.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bitrd.2 $e |- ( ph -> ( ch <-> th ) ) $.
    $( Deduction form of ~ bitri .  (Contributed by NM, 12-Mar-1993.)  (Proof
       shortened by Wolf Lammen, 14-Apr-2013.) $)
    bitrd $p |- ( ph -> ( ps <-> th ) ) $=
      ( wi pm5.74i bitri pm5.74ri ) ABDABGACGADGABCEHACDFHIJ $.
  $}

  ${
    bitr2d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bitr2d.2 $e |- ( ph -> ( ch <-> th ) ) $.
    $( Deduction form of ~ bitr2i .  (Contributed by NM, 9-Jun-2004.) $)
    bitr2d $p |- ( ph -> ( th <-> ps ) ) $=
      ( bitrd bicomd ) ABDABCDEFGH $.
  $}

  ${
    bitr3d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bitr3d.2 $e |- ( ph -> ( ps <-> th ) ) $.
    $( Deduction form of ~ bitr3i .  (Contributed by NM, 14-May-1993.) $)
    bitr3d $p |- ( ph -> ( ch <-> th ) ) $=
      ( bicomd bitrd ) ACBDABCEGFH $.
  $}

  ${
    bitr4d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bitr4d.2 $e |- ( ph -> ( th <-> ch ) ) $.
    $( Deduction form of ~ bitr4i .  (Contributed by NM, 30-Jun-1993.) $)
    bitr4d $p |- ( ph -> ( ps <-> th ) ) $=
      ( bicomd bitrd ) ABCDEADCFGH $.
  $}

  ${
    syl5bb.1 $e |- ( ph <-> ps ) $.
    syl5bb.2 $e |- ( ch -> ( ps <-> th ) ) $.
    $( A syllogism inference from two biconditionals.  (Contributed by NM,
       12-Mar-1993.) $)
    syl5bb $p |- ( ch -> ( ph <-> th ) ) $=
      ( wb a1i bitrd ) CABDABGCEHFI $.
  $}

  ${
    bitr2id.1 $e |- ( ph <-> ps ) $.
    bitr2id.2 $e |- ( ch -> ( ps <-> th ) ) $.
    $( A syllogism inference from two biconditionals.  (Contributed by NM,
       1-Aug-1993.) $)
    bitr2id $p |- ( ch -> ( th <-> ph ) ) $=
      ( syl5bb bicomd ) CADABCDEFGH $.
  $}

  ${
    bitr3id.1 $e |- ( ps <-> ph ) $.
    bitr3id.2 $e |- ( ch -> ( ps <-> th ) ) $.
    $( A syllogism inference from two biconditionals.  (Contributed by NM,
       5-Aug-1993.) $)
    bitr3id $p |- ( ch -> ( ph <-> th ) ) $=
      ( bicomi syl5bb ) ABCDBAEGFH $.
  $}

  ${
    bitr3di.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bitr3di.2 $e |- ( ps <-> th ) $.
    $( A syllogism inference from two biconditionals.  (Contributed by NM,
       25-Nov-1994.) $)
    bitr3di $p |- ( ph -> ( ch <-> th ) ) $=
      ( bicomi bitr2id ) DBACBDFGEH $.
  $}

  ${
    bitrdi.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bitrdi.2 $e |- ( ch <-> th ) $.
    $( A syllogism inference from two biconditionals.  (Contributed by NM,
       12-Mar-1993.) $)
    bitrdi $p |- ( ph -> ( ps <-> th ) ) $=
      ( wb a1i bitrd ) ABCDECDGAFHI $.
  $}

  ${
    bitr2di.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bitr2di.2 $e |- ( ch <-> th ) $.
    $( A syllogism inference from two biconditionals.  (Contributed by NM,
       5-Aug-1993.) $)
    bitr2di $p |- ( ph -> ( th <-> ps ) ) $=
      ( bitrdi bicomd ) ABDABCDEFGH $.
  $}

  ${
    bitr4di.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bitr4di.2 $e |- ( th <-> ch ) $.
    $( A syllogism inference from two biconditionals.  (Contributed by NM,
       12-Mar-1993.) $)
    bitr4di $p |- ( ph -> ( ps <-> th ) ) $=
      ( bicomi bitrdi ) ABCDEDCFGH $.
  $}

  ${
    bitr4id.2 $e |- ( ps <-> ch ) $.
    bitr4id.1 $e |- ( ph -> ( th <-> ch ) ) $.
    $( A syllogism inference from two biconditionals.  (Contributed by NM,
       25-Nov-1994.) $)
    bitr4id $p |- ( ph -> ( ps <-> th ) ) $=
      ( bicomi bitr2di ) ADCBFBCEGH $.
  $}

  ${
    3imtr3.1 $e |- ( ph -> ps ) $.
    3imtr3.2 $e |- ( ph <-> ch ) $.
    3imtr3.3 $e |- ( ps <-> th ) $.
    $( A mixed syllogism inference, useful for removing a definition from both
       sides of an implication.  (Contributed by NM, 10-Aug-1994.) $)
    3imtr3i $p |- ( ch -> th ) $=
      ( sylbir sylib ) CBDCABFEHGI $.
  $}

  ${
    3imtr4.1 $e |- ( ph -> ps ) $.
    3imtr4.2 $e |- ( ch <-> ph ) $.
    3imtr4.3 $e |- ( th <-> ps ) $.
    $( A mixed syllogism inference, useful for applying a definition to both
       sides of an implication.  (Contributed by NM, 3-Jan-1993.) $)
    3imtr4i $p |- ( ch -> th ) $=
      ( sylbi sylibr ) CBDCABFEHGI $.
  $}

  ${
    3imtr3d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3imtr3d.2 $e |- ( ph -> ( ps <-> th ) ) $.
    3imtr3d.3 $e |- ( ph -> ( ch <-> ta ) ) $.
    $( More general version of ~ 3imtr3i .  Useful for converting conditional
       definitions in a formula.  (Contributed by NM, 8-Apr-1996.) $)
    3imtr3d $p |- ( ph -> ( th -> ta ) ) $=
      ( sylibd sylbird ) ADBEGABCEFHIJ $.
  $}

  ${
    3imtr4d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3imtr4d.2 $e |- ( ph -> ( th <-> ps ) ) $.
    3imtr4d.3 $e |- ( ph -> ( ta <-> ch ) ) $.
    $( More general version of ~ 3imtr4i .  Useful for converting conditional
       definitions in a formula.  (Contributed by NM, 26-Oct-1995.) $)
    3imtr4d $p |- ( ph -> ( th -> ta ) ) $=
      ( sylibrd sylbid ) ADBEGABCEFHIJ $.
  $}

  ${
    3imtr3g.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3imtr3g.2 $e |- ( ps <-> th ) $.
    3imtr3g.3 $e |- ( ch <-> ta ) $.
    $( More general version of ~ 3imtr3i .  Useful for converting definitions
       in a formula.  (Contributed by NM, 20-May-1996.)  (Proof shortened by
       Wolf Lammen, 20-Dec-2013.) $)
    3imtr3g $p |- ( ph -> ( th -> ta ) ) $=
      ( syl5bir syl6ib ) ADCEDBACGFIHJ $.
  $}

  ${
    3imtr4g.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3imtr4g.2 $e |- ( th <-> ps ) $.
    3imtr4g.3 $e |- ( ta <-> ch ) $.
    $( More general version of ~ 3imtr4i .  Useful for converting definitions
       in a formula.  (Contributed by NM, 20-May-1996.)  (Proof shortened by
       Wolf Lammen, 20-Dec-2013.) $)
    3imtr4g $p |- ( ph -> ( th -> ta ) ) $=
      ( syl5bi syl6ibr ) ADCEDBACGFIHJ $.
  $}

  ${
    3bitri.1 $e |- ( ph <-> ps ) $.
    3bitri.2 $e |- ( ps <-> ch ) $.
    3bitri.3 $e |- ( ch <-> th ) $.
    $( A chained inference from transitive law for logical equivalence.
       (Contributed by NM, 3-Jan-1993.) $)
    3bitri $p |- ( ph <-> th ) $=
      ( bitri ) ABDEBCDFGHH $.

    $( A chained inference from transitive law for logical equivalence.
       (Contributed by NM, 4-Aug-2006.) $)
    3bitrri $p |- ( th <-> ph ) $=
      ( bitr2i bitr3i ) DCAGABCEFHI $.
  $}

  ${
    3bitr2i.1 $e |- ( ph <-> ps ) $.
    3bitr2i.2 $e |- ( ch <-> ps ) $.
    3bitr2i.3 $e |- ( ch <-> th ) $.
    $( A chained inference from transitive law for logical equivalence.
       (Contributed by NM, 4-Aug-2006.) $)
    3bitr2i $p |- ( ph <-> th ) $=
      ( bitr4i bitri ) ACDABCEFHGI $.

    $( A chained inference from transitive law for logical equivalence.
       (Contributed by NM, 4-Aug-2006.) $)
    3bitr2ri $p |- ( th <-> ph ) $=
      ( bitr4i bitr2i ) ACDABCEFHGI $.
  $}

  ${
    3bitr3i.1 $e |- ( ph <-> ps ) $.
    3bitr3i.2 $e |- ( ph <-> ch ) $.
    3bitr3i.3 $e |- ( ps <-> th ) $.
    $( A chained inference from transitive law for logical equivalence.
       (Contributed by NM, 19-Aug-1993.) $)
    3bitr3i $p |- ( ch <-> th ) $=
      ( bitr3i bitri ) CBDCABFEHGI $.

    $( A chained inference from transitive law for logical equivalence.
       (Contributed by NM, 21-Jun-1993.) $)
    3bitr3ri $p |- ( th <-> ch ) $=
      ( bitr3i ) DBCGBACEFHH $.
  $}

  ${
    3bitr4i.1 $e |- ( ph <-> ps ) $.
    3bitr4i.2 $e |- ( ch <-> ph ) $.
    3bitr4i.3 $e |- ( th <-> ps ) $.
    $( A chained inference from transitive law for logical equivalence.  This
       inference is frequently used to apply a definition to both sides of a
       logical equivalence.  (Contributed by NM, 3-Jan-1993.) $)
    3bitr4i $p |- ( ch <-> th ) $=
      ( bitr4i bitri ) CADFABDEGHI $.

    $( A chained inference from transitive law for logical equivalence.
       (Contributed by NM, 2-Sep-1995.) $)
    3bitr4ri $p |- ( th <-> ch ) $=
      ( bitr4i bitr2i ) CADFABDEGHI $.
  $}

  ${
    3bitrd.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitrd.2 $e |- ( ph -> ( ch <-> th ) ) $.
    3bitrd.3 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Deduction from transitivity of biconditional.  (Contributed by NM,
       13-Aug-1999.) $)
    3bitrd $p |- ( ph -> ( ps <-> ta ) ) $=
      ( bitrd ) ABDEABCDFGIHI $.

    $( Deduction from transitivity of biconditional.  (Contributed by NM,
       4-Aug-2006.) $)
    3bitrrd $p |- ( ph -> ( ta <-> ps ) ) $=
      ( bitr2d bitr3d ) ADEBHABCDFGIJ $.
  $}

  ${
    3bitr2d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitr2d.2 $e |- ( ph -> ( th <-> ch ) ) $.
    3bitr2d.3 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Deduction from transitivity of biconditional.  (Contributed by NM,
       4-Aug-2006.) $)
    3bitr2d $p |- ( ph -> ( ps <-> ta ) ) $=
      ( bitr4d bitrd ) ABDEABCDFGIHJ $.

    $( Deduction from transitivity of biconditional.  (Contributed by NM,
       4-Aug-2006.) $)
    3bitr2rd $p |- ( ph -> ( ta <-> ps ) ) $=
      ( bitr4d bitr2d ) ABDEABCDFGIHJ $.
  $}

  ${
    3bitr3d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitr3d.2 $e |- ( ph -> ( ps <-> th ) ) $.
    3bitr3d.3 $e |- ( ph -> ( ch <-> ta ) ) $.
    $( Deduction from transitivity of biconditional.  Useful for converting
       conditional definitions in a formula.  (Contributed by NM,
       24-Apr-1996.) $)
    3bitr3d $p |- ( ph -> ( th <-> ta ) ) $=
      ( bitr3d bitrd ) ADCEABDCGFIHJ $.

    $( Deduction from transitivity of biconditional.  (Contributed by NM,
       4-Aug-2006.) $)
    3bitr3rd $p |- ( ph -> ( ta <-> th ) ) $=
      ( bitr3d ) ACEDHABCDFGII $.
  $}

  ${
    3bitr4d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitr4d.2 $e |- ( ph -> ( th <-> ps ) ) $.
    3bitr4d.3 $e |- ( ph -> ( ta <-> ch ) ) $.
    $( Deduction from transitivity of biconditional.  Useful for converting
       conditional definitions in a formula.  (Contributed by NM,
       18-Oct-1995.) $)
    3bitr4d $p |- ( ph -> ( th <-> ta ) ) $=
      ( bitr4d bitrd ) ADBEGABCEFHIJ $.

    $( Deduction from transitivity of biconditional.  (Contributed by NM,
       4-Aug-2006.) $)
    3bitr4rd $p |- ( ph -> ( ta <-> th ) ) $=
      ( bitr4d ) AEBDAECBHFIGI $.
  $}

  ${
    3bitr3g.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitr3g.2 $e |- ( ps <-> th ) $.
    3bitr3g.3 $e |- ( ch <-> ta ) $.
    $( More general version of ~ 3bitr3i .  Useful for converting definitions
       in a formula.  (Contributed by NM, 4-Jun-1995.) $)
    3bitr3g $p |- ( ph -> ( th <-> ta ) ) $=
      ( bitr3id bitrdi ) ADCEDBACGFIHJ $.
  $}

  ${
    3bitr4g.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitr4g.2 $e |- ( th <-> ps ) $.
    3bitr4g.3 $e |- ( ta <-> ch ) $.
    $( More general version of ~ 3bitr4i .  Useful for converting definitions
       in a formula.  (Contributed by NM, 11-May-1993.) $)
    3bitr4g $p |- ( ph -> ( th <-> ta ) ) $=
      ( syl5bb bitr4di ) ADCEDBACGFIHJ $.
  $}

  $( Double negation.  Theorem *4.13 of [WhiteheadRussell] p. 117.
     (Contributed by NM, 3-Jan-1993.) $)
  notnotb $p |- ( ph <-> -. -. ph ) $=
    ( wn notnot notnotr impbii ) AABBACADE $.

  $( A biconditional form of contraposition.  Theorem *4.1 of
     [WhiteheadRussell] p. 116.  (Contributed by NM, 11-May-1993.) $)
  con34b $p |- ( ( ph -> ps ) <-> ( -. ps -> -. ph ) ) $=
    ( wi wn con3 con4 impbii ) ABCBDADCABEBAFG $.

  ${
    con4bid.1 $e |- ( ph -> ( -. ps <-> -. ch ) ) $.
    $( A contraposition deduction.  (Contributed by NM, 21-May-1994.) $)
    con4bid $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wn biimprd con4d biimpd impcon4bid ) ABCACBABEZCEZDFGAJKDHI $.
  $}

  ${
    notbid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduction negating both sides of a logical equivalence.  (Contributed by
       NM, 21-May-1994.) $)
    notbid $p |- ( ph -> ( -. ps <-> -. ch ) ) $=
      ( wn notnotb 3bitr3g con4bid ) ABEZCEZABCIEJEDBFCFGH $.
  $}

  $( Contraposition.  Theorem *4.11 of [WhiteheadRussell] p. 117.  (Contributed
     by NM, 21-May-1994.)  (Proof shortened by Wolf Lammen, 12-Jun-2013.) $)
  notbi $p |- ( ( ph <-> ps ) <-> ( -. ph <-> -. ps ) ) $=
    ( wb wn id notbid con4bid impbii ) ABCZADBDCZIABIEFJABJEGH $.

  ${
    notbii.1 $e |- ( ph <-> ps ) $.
    $( Negate both sides of a logical equivalence.  (Contributed by NM,
       3-Jan-1993.)  (Proof shortened by Wolf Lammen, 19-May-2013.) $)
    notbii $p |- ( -. ph <-> -. ps ) $=
      ( wb wn notbi mpbi ) ABDAEBEDCABFG $.

    $( Theorem notbii is the congruence law for negation. $)
    $( $j congruence 'notbii'; $)
  $}

  ${
    con4bii.1 $e |- ( -. ph <-> -. ps ) $.
    $( A contraposition inference.  (Contributed by NM, 21-May-1994.) $)
    con4bii $p |- ( ph <-> ps ) $=
      ( wb wn notbi mpbir ) ABDAEBEDCABFG $.
  $}

  ${
    mtbi.1 $e |- -. ph $.
    mtbi.2 $e |- ( ph <-> ps ) $.
    $( An inference from a biconditional, related to modus tollens.
       (Contributed by NM, 15-Nov-1994.)  (Proof shortened by Wolf Lammen,
       25-Oct-2012.) $)
    mtbi $p |- -. ps $=
      ( biimpri mto ) BACABDEF $.
  $}

  ${
    mtbir.1 $e |- -. ps $.
    mtbir.2 $e |- ( ph <-> ps ) $.
    $( An inference from a biconditional, related to modus tollens.
       (Contributed by NM, 15-Nov-1994.)  (Proof shortened by Wolf Lammen,
       14-Oct-2012.) $)
    mtbir $p |- -. ph $=
      ( bicomi mtbi ) BACABDEF $.
  $}

  ${
    mtbid.min $e |- ( ph -> -. ps ) $.
    mtbid.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( A deduction from a biconditional, similar to modus tollens.
       (Contributed by NM, 26-Nov-1995.) $)
    mtbid $p |- ( ph -> -. ch ) $=
      ( biimprd mtod ) ACBDABCEFG $.
  $}

  ${
    mtbird.min $e |- ( ph -> -. ch ) $.
    mtbird.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( A deduction from a biconditional, similar to modus tollens.
       (Contributed by NM, 10-May-1994.) $)
    mtbird $p |- ( ph -> -. ps ) $=
      ( biimpd mtod ) ABCDABCEFG $.
  $}

  ${
    mtbii.min $e |- -. ps $.
    mtbii.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( An inference from a biconditional, similar to modus tollens.
       (Contributed by NM, 27-Nov-1995.) $)
    mtbii $p |- ( ph -> -. ch ) $=
      ( biimprd mtoi ) ACBDABCEFG $.
  $}

  ${
    mtbiri.min $e |- -. ch $.
    mtbiri.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( An inference from a biconditional, similar to modus tollens.
       (Contributed by NM, 24-Aug-1995.) $)
    mtbiri $p |- ( ph -> -. ps ) $=
      ( biimpd mtoi ) ABCDABCEFG $.
  $}

  ${
    sylnib.1 $e |- ( ph -> -. ps ) $.
    sylnib.2 $e |- ( ps <-> ch ) $.
    $( A mixed syllogism inference from an implication and a biconditional.
       (Contributed by Wolf Lammen, 16-Dec-2013.) $)
    sylnib $p |- ( ph -> -. ch ) $=
      ( biimpri nsyl ) ABCDBCEFG $.
  $}

  ${
    sylnibr.1 $e |- ( ph -> -. ps ) $.
    sylnibr.2 $e |- ( ch <-> ps ) $.
    $( A mixed syllogism inference from an implication and a biconditional.
       Useful for substituting a consequent with a definition.  (Contributed by
       Wolf Lammen, 16-Dec-2013.) $)
    sylnibr $p |- ( ph -> -. ch ) $=
      ( bicomi sylnib ) ABCDCBEFG $.
  $}

  ${
    sylnbi.1 $e |- ( ph <-> ps ) $.
    sylnbi.2 $e |- ( -. ps -> ch ) $.
    $( A mixed syllogism inference from a biconditional and an implication.
       Useful for substituting an antecedent with a definition.  (Contributed
       by Wolf Lammen, 16-Dec-2013.) $)
    sylnbi $p |- ( -. ph -> ch ) $=
      ( wn notbii sylbi ) AFBFCABDGEH $.
  $}

  ${
    sylnbir.1 $e |- ( ps <-> ph ) $.
    sylnbir.2 $e |- ( -. ps -> ch ) $.
    $( A mixed syllogism inference from a biconditional and an implication.
       (Contributed by Wolf Lammen, 16-Dec-2013.) $)
    sylnbir $p |- ( -. ph -> ch ) $=
      ( bicomi sylnbi ) ABCBADFEG $.
  $}

  ${
    xchnxbi.1 $e |- ( -. ph <-> ps ) $.
    xchnxbi.2 $e |- ( ph <-> ch ) $.
    $( Replacement of a subexpression by an equivalent one.  (Contributed by
       Wolf Lammen, 27-Sep-2014.) $)
    xchnxbi $p |- ( -. ch <-> ps ) $=
      ( wn notbii bitr3i ) CFAFBACEGDH $.
  $}

  ${
    xchnxbir.1 $e |- ( -. ph <-> ps ) $.
    xchnxbir.2 $e |- ( ch <-> ph ) $.
    $( Replacement of a subexpression by an equivalent one.  (Contributed by
       Wolf Lammen, 27-Sep-2014.) $)
    xchnxbir $p |- ( -. ch <-> ps ) $=
      ( bicomi xchnxbi ) ABCDCAEFG $.
  $}

  ${
    xchbinx.1 $e |- ( ph <-> -. ps ) $.
    xchbinx.2 $e |- ( ps <-> ch ) $.
    $( Replacement of a subexpression by an equivalent one.  (Contributed by
       Wolf Lammen, 27-Sep-2014.) $)
    xchbinx $p |- ( ph <-> -. ch ) $=
      ( wn notbii bitri ) ABFCFDBCEGH $.
  $}

  ${
    xchbinxr.1 $e |- ( ph <-> -. ps ) $.
    xchbinxr.2 $e |- ( ch <-> ps ) $.
    $( Replacement of a subexpression by an equivalent one.  (Contributed by
       Wolf Lammen, 27-Sep-2014.) $)
    xchbinxr $p |- ( ph <-> -. ch ) $=
      ( bicomi xchbinx ) ABCDCBEFG $.
  $}

  ${
    imbi2i.1 $e |- ( ph <-> ps ) $.
    $( Introduce an antecedent to both sides of a logical equivalence.  This
       and the next three rules are useful for building up wff's around a
       definition, in order to make use of the definition.  (Contributed by NM,
       3-Jan-1993.)  (Proof shortened by Wolf Lammen, 6-Feb-2013.) $)
    imbi2i $p |- ( ( ch -> ph ) <-> ( ch -> ps ) ) $=
      ( wb a1i pm5.74i ) CABABECDFG $.
  $}

  ${
    jcndOLD.1 $e |- ( ph -> ps ) $.
    jcndOLD.2 $e |- ( ph -> -. ch ) $.
    $( Obsolete version of ~ jcnd as of 10-Apr-2024.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    jcndOLD $p |- ( ph -> -. ( ps -> ch ) ) $=
      ( wn wi jc notnotb imbi2i sylnibr ) ABCFZFZGBCGABLDEHCMBCIJK $.
  $}

  ${
    bibi2i.1 $e |- ( ph <-> ps ) $.
    $( Inference adding a biconditional to the left in an equivalence.
       (Contributed by NM, 26-May-1993.)  (Proof shortened by Andrew Salmon,
       7-May-2011.)  (Proof shortened by Wolf Lammen, 16-May-2013.) $)
    bibi2i $p |- ( ( ch <-> ph ) <-> ( ch <-> ps ) ) $=
      ( wb id bitrdi bitr4di impbii ) CAEZCBEZJCABJFDGKCBAKFDHI $.

    $( Inference adding a biconditional to the right in an equivalence.
       (Contributed by NM, 26-May-1993.) $)
    bibi1i $p |- ( ( ph <-> ch ) <-> ( ps <-> ch ) ) $=
      ( wb bicom bibi2i 3bitri ) ACECAECBEBCEACFABCDGCBFH $.

    ${
      bibi12i.2 $e |- ( ch <-> th ) $.
      $( The equivalence of two equivalences.  (Contributed by NM,
         26-May-1993.) $)
      bibi12i $p |- ( ( ph <-> ch ) <-> ( ps <-> th ) ) $=
        ( wb bibi2i bibi1i bitri ) ACGADGBDGCDAFHABDEIJ $.
    $}
  $}

  ${
    imbid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduction adding an antecedent to both sides of a logical equivalence.
       (Contributed by NM, 11-May-1993.) $)
    imbi2d $p |- ( ph -> ( ( th -> ps ) <-> ( th -> ch ) ) ) $=
      ( wb a1d pm5.74d ) ADBCABCFDEGH $.

    $( Deduction adding a consequent to both sides of a logical equivalence.
       (Contributed by NM, 11-May-1993.)  (Proof shortened by Wolf Lammen,
       17-Sep-2013.) $)
    imbi1d $p |- ( ph -> ( ( ps -> th ) <-> ( ch -> th ) ) ) $=
      ( wi biimprd imim1d biimpd impbid ) ABDFCDFACBDABCEGHABCDABCEIHJ $.

    $( Deduction adding a biconditional to the left in an equivalence.
       (Contributed by NM, 11-May-1993.)  (Proof shortened by Wolf Lammen,
       19-May-2013.) $)
    bibi2d $p |- ( ph -> ( ( th <-> ps ) <-> ( th <-> ch ) ) ) $=
      ( wb wi pm5.74i bibi2i pm5.74 3bitr4i pm5.74ri ) ADBFZDCFZADGZABGZFOACGZF
      AMGANGPQOABCEHIADBJADCJKL $.

    $( Deduction adding a biconditional to the right in an equivalence.
       (Contributed by NM, 11-May-1993.) $)
    bibi1d $p |- ( ph -> ( ( ps <-> th ) <-> ( ch <-> th ) ) ) $=
      ( wb bibi2d bicom 3bitr4g ) ADBFDCFBDFCDFABCDEGBDHCDHI $.
  $}

  ${
    imbi12d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    imbi12d.2 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Deduction joining two equivalences to form equivalence of implications.
       (Contributed by NM, 16-May-1993.) $)
    imbi12d $p |- ( ph -> ( ( ps -> th ) <-> ( ch -> ta ) ) ) $=
      ( wi imbi1d imbi2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.

    $( Deduction joining two equivalences to form equivalence of
       biconditionals.  (Contributed by NM, 26-May-1993.) $)
    bibi12d $p |- ( ph -> ( ( ps <-> th ) <-> ( ch <-> ta ) ) ) $=
      ( wb bibi1d bibi2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
  $}

  $( Closed form of ~ imbi12i .  Was automatically derived from its "Virtual
     Deduction" version and the Metamath program "MM-PA> MINIMIZE__WITH *"
     command.  (Contributed by Alan Sare, 18-Mar-2012.) $)
  imbi12 $p |- ( ( ph <-> ps ) ->
                    ( ( ch <-> th ) -> ( ( ph -> ch ) <-> ( ps -> th ) ) ) ) $=
    ( wb wi wn simplim simprim imbi12d expi ) ABEZCDEZACFBDFELMGZFGABCDLNHLMIJK
    $.

  $( Theorem *4.84 of [WhiteheadRussell] p. 122.  (Contributed by NM,
     3-Jan-2005.) $)
  imbi1 $p |- ( ( ph <-> ps ) -> ( ( ph -> ch ) <-> ( ps -> ch ) ) ) $=
    ( wb id imbi1d ) ABDZABCGEF $.

  $( Theorem *4.85 of [WhiteheadRussell] p. 122.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 19-May-2013.) $)
  imbi2 $p |- ( ( ph <-> ps ) -> ( ( ch -> ph ) <-> ( ch -> ps ) ) ) $=
    ( wb id imbi2d ) ABDZABCGEF $.

  ${
    imbi1i.1 $e |- ( ph <-> ps ) $.
    $( Introduce a consequent to both sides of a logical equivalence.
       (Contributed by NM, 3-Jan-1993.)  (Proof shortened by Wolf Lammen,
       17-Sep-2013.) $)
    imbi1i $p |- ( ( ph -> ch ) <-> ( ps -> ch ) ) $=
      ( wb wi imbi1 ax-mp ) ABEACFBCFEDABCGH $.
  $}

  ${
    imbi12i.1 $e |- ( ph <-> ps ) $.
    imbi12i.2 $e |- ( ch <-> th ) $.
    $( Join two logical equivalences to form equivalence of implications.
       (Contributed by NM, 1-Aug-1993.) $)
    imbi12i $p |- ( ( ph -> ch ) <-> ( ps -> th ) ) $=
      ( wb wi imbi12 mp2 ) ABGCDGACHBDHGEFABCDIJ $.

    $( Theorem imbi12i is the congruence law for implication. $)
    $( $j congruence 'imbi12i'; $)
  $}

  $( Theorem *4.86 of [WhiteheadRussell] p. 122.  (Contributed by NM,
     3-Jan-2005.) $)
  bibi1 $p |- ( ( ph <-> ps ) -> ( ( ph <-> ch ) <-> ( ps <-> ch ) ) ) $=
    ( wb id bibi1d ) ABDZABCGEF $.

  $( Closed nested implication form of ~ bitr3i .  Derived automatically from
     ~ bitr3VD .  (Contributed by Alan Sare, 31-Dec-2011.) $)
  bitr3 $p |- ( ( ph <-> ps ) -> ( ( ph <-> ch ) -> ( ps <-> ch ) ) ) $=
    ( wb bibi1 biimpd ) ABDACDBCDABCEF $.

  $( Contraposition.  Theorem *4.12 of [WhiteheadRussell] p. 117.  (Contributed
     by NM, 15-Apr-1995.)  (Proof shortened by Wolf Lammen, 3-Jan-2013.) $)
  con2bi $p |- ( ( ph <-> -. ps ) <-> ( ps <-> -. ph ) ) $=
    ( wn wb notbi notnotb bibi2i bicom 3bitr2i ) ABCZDACZJCZDKBDBKDAJEBLKBFGKBH
    I $.

  ${
    con2bid.1 $e |- ( ph -> ( ps <-> -. ch ) ) $.
    $( A contraposition deduction.  (Contributed by NM, 15-Apr-1995.) $)
    con2bid $p |- ( ph -> ( ch <-> -. ps ) ) $=
      ( wn wb con2bi sylibr ) ABCEFCBEFDCBGH $.
  $}

  ${
    con1bid.1 $e |- ( ph -> ( -. ps <-> ch ) ) $.
    $( A contraposition deduction.  (Contributed by NM, 9-Oct-1999.) $)
    con1bid $p |- ( ph -> ( -. ch <-> ps ) ) $=
      ( wn bicomd con2bid ) ABCEACBABECDFGF $.
  $}

  ${
    con1bii.1 $e |- ( -. ph <-> ps ) $.
    $( A contraposition inference.  (Contributed by NM, 12-Mar-1993.)  (Proof
       shortened by Wolf Lammen, 13-Oct-2012.) $)
    con1bii $p |- ( -. ps <-> ph ) $=
      ( wn notnotb xchbinx bicomi ) ABDAADBAECFG $.
  $}

  ${
    con2bii.1 $e |- ( ph <-> -. ps ) $.
    $( A contraposition inference.  (Contributed by NM, 12-Mar-1993.) $)
    con2bii $p |- ( ps <-> -. ph ) $=
      ( wn notnotb xchbinxr ) BBDABECF $.
  $}

  $( Contraposition.  Bidirectional version of ~ con1 .  (Contributed by NM,
     3-Jan-1993.) $)
  con1b $p |- ( ( -. ph -> ps ) <-> ( -. ps -> ph ) ) $=
    ( wn wi con1 impbii ) ACBDBCADABEBAEF $.

  $( Contraposition.  Bidirectional version of ~ con2 .  (Contributed by NM,
     12-Mar-1993.) $)
  con2b $p |- ( ( ph -> -. ps ) <-> ( ps -> -. ph ) ) $=
    ( wn wi con2 impbii ) ABCDBACDABEBAEF $.

  $( A wff is equivalent to itself with true antecedent.  (Contributed by NM,
     28-Jan-1996.) $)
  biimt $p |- ( ph -> ( ps <-> ( ph -> ps ) ) ) $=
    ( wi ax-1 pm2.27 impbid2 ) ABABCBADABEF $.

  $( Theorem *5.5 of [WhiteheadRussell] p. 125.  (Contributed by NM,
     3-Jan-2005.) $)
  pm5.5 $p |- ( ph -> ( ( ph -> ps ) <-> ps ) ) $=
    ( wi biimt bicomd ) ABABCABDE $.

  ${
    a1bi.1 $e |- ph $.
    $( Inference introducing a theorem as an antecedent.  (Contributed by NM,
       5-Aug-1993.)  (Proof shortened by Wolf Lammen, 11-Nov-2012.) $)
    a1bi $p |- ( ps <-> ( ph -> ps ) ) $=
      ( wi wb biimt ax-mp ) ABABDECABFG $.
  $}

  ${
    mt2bi.1 $e |- ph $.
    $( A false consequent falsifies an antecedent.  (Contributed by NM,
       19-Aug-1993.)  (Proof shortened by Wolf Lammen, 12-Nov-2012.) $)
    mt2bi $p |- ( -. ps <-> ( ps -> -. ph ) ) $=
      ( wn wi a1bi con2b bitri ) BDZAIEBADEAICFABGH $.
  $}

  $( Modus-tollens-like theorem.  (Contributed by NM, 7-Apr-2001.)  (Proof
     shortened by Wolf Lammen, 12-Nov-2012.) $)
  mtt $p |- ( -. ph -> ( -. ps <-> ( ps -> ph ) ) ) $=
    ( wn wi biimt con34b bitr4di ) ACZBCZHIDBADHIEBAFG $.

  $( If a proposition is false, then implying it is equivalent to being false.
     One of four theorems that can be used to simplify an implication
     ` ( ph -> ps ) ` , the other ones being ~ ax-1 (true consequent), ~ pm2.21
     (false antecedent), ~ pm5.5 (true antecedent).  (Contributed by Mario
     Carneiro, 26-Apr-2019.)  (Proof shortened by Wolf Lammen, 26-May-2019.) $)
  imnot $p |- ( -. ps -> ( ( ph -> ps ) <-> -. ph ) ) $=
    ( wn wi mtt bicomd ) BCACABDBAEF $.

  $( Theorem *5.501 of [WhiteheadRussell] p. 125.  (Contributed by NM,
     3-Jan-2005.) $)
  pm5.501 $p |- ( ph -> ( ps <-> ( ph <-> ps ) ) ) $=
    ( wb pm5.1im biimp com12 impbid ) ABABCZABDHABABEFG $.

  $( Implication in terms of implication and biconditional.  (Contributed by
     NM, 31-Mar-1994.)  (Proof shortened by Wolf Lammen, 24-Jan-2013.) $)
  ibib $p |- ( ( ph -> ps ) <-> ( ph -> ( ph <-> ps ) ) ) $=
    ( wb pm5.501 pm5.74i ) ABABCABDE $.

  $( Implication in terms of implication and biconditional.  (Contributed by
     NM, 29-Apr-2005.)  (Proof shortened by Wolf Lammen, 21-Dec-2013.) $)
  ibibr $p |- ( ( ph -> ps ) <-> ( ph -> ( ps <-> ph ) ) ) $=
    ( wb pm5.501 bicom bitrdi pm5.74i ) ABBACZABABCHABDABEFG $.

  ${
    tbt.1 $e |- ph $.
    $( A wff is equivalent to its equivalence with a truth.  (Contributed by
       NM, 18-Aug-1993.)  (Proof shortened by Andrew Salmon, 13-May-2011.) $)
    tbt $p |- ( ps <-> ( ps <-> ph ) ) $=
      ( wb ibibr pm5.74ri ax-mp ) ABBADZDCABHABEFG $.
  $}

  $( The negation of a wff is equivalent to the wff's equivalence to falsehood.
     (Contributed by Juha Arpiainen, 19-Jan-2006.)  (Proof shortened by Wolf
     Lammen, 28-Jan-2013.) $)
  nbn2 $p |- ( -. ph -> ( -. ps <-> ( ph <-> ps ) ) ) $=
    ( wn wb pm5.501 notbi bitr4di ) ACZBCZHIDABDHIEABFG $.

  $( Transfer negation via an equivalence.  (Contributed by NM, 3-Oct-2007.)
     (Proof shortened by Wolf Lammen, 28-Jan-2013.) $)
  bibif $p |- ( -. ps -> ( ( ph <-> ps ) <-> -. ph ) ) $=
    ( wn wb nbn2 bicom bitr2di ) BCACBADABDBAEBAFG $.

  ${
    nbn.1 $e |- -. ph $.
    $( The negation of a wff is equivalent to the wff's equivalence to
       falsehood.  (Contributed by NM, 21-Jun-1993.)  (Proof shortened by Wolf
       Lammen, 3-Oct-2013.) $)
    nbn $p |- ( -. ps <-> ( ps <-> ph ) ) $=
      ( wb wn bibif ax-mp bicomi ) BADZBEZAEIJDCBAFGH $.
  $}

  ${
    nbn3.1 $e |- ph $.
    $( Transfer falsehood via equivalence.  (Contributed by NM,
       11-Sep-2006.) $)
    nbn3 $p |- ( -. ps <-> ( ps <-> -. ph ) ) $=
      ( wn notnoti nbn ) ADBACEF $.
  $}

  $( Two propositions are equivalent if they are both false.  Closed form of
     ~ 2false .  Equivalent to a ~ biimpr -like version of the xor-connective.
     (Contributed by Wolf Lammen, 13-May-2013.) $)
  pm5.21im $p |- ( -. ph -> ( -. ps -> ( ph <-> ps ) ) ) $=
    ( wn wb nbn2 biimpd ) ACBCABDABEF $.

  ${
    2false.1 $e |- -. ph $.
    2false.2 $e |- -. ps $.
    $( Two falsehoods are equivalent.  (Contributed by NM, 4-Apr-2005.)  (Proof
       shortened by Wolf Lammen, 19-May-2013.) $)
    2false $p |- ( ph <-> ps ) $=
      ( wn 2th con4bii ) ABAEBECDFG $.
  $}

  ${
    2falsed.1 $e |- ( ph -> -. ps ) $.
    2falsed.2 $e |- ( ph -> -. ch ) $.
    $( Two falsehoods are equivalent (deduction form).  (Contributed by NM,
       11-Oct-2013.)  (Proof shortened by Wolf Lammen, 11-Apr-2024.) $)
    2falsed $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wn 2thd con4bid ) ABCABFCFDEGH $.

    $( Obsolete version of ~ 2falsed as of 11-Apr-2024.  (Contributed by NM,
       11-Oct-2013.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    2falsedOLD $p |- ( ph -> ( ps <-> ch ) ) $=
      ( pm2.21d impbid ) ABCABCDFACBEFG $.
  $}

  ${
    pm5.21ni.1 $e |- ( ph -> ps ) $.
    pm5.21ni.2 $e |- ( ch -> ps ) $.
    $( Two propositions implying a false one are equivalent.  (Contributed by
       NM, 16-Feb-1996.)  (Proof shortened by Wolf Lammen, 19-May-2013.) $)
    pm5.21ni $p |- ( -. ps -> ( ph <-> ch ) ) $=
      ( wn con3i 2falsed ) BFACABDGCBEGH $.

    ${
      pm5.21nii.3 $e |- ( ps -> ( ph <-> ch ) ) $.
      $( Eliminate an antecedent implied by each side of a biconditional.
         (Contributed by NM, 21-May-1999.) $)
      pm5.21nii $p |- ( ph <-> ch ) $=
        ( wb pm5.21ni pm2.61i ) BACGFABCDEHI $.
    $}
  $}

  ${
    pm5.21ndd.1 $e |- ( ph -> ( ch -> ps ) ) $.
    pm5.21ndd.2 $e |- ( ph -> ( th -> ps ) ) $.
    pm5.21ndd.3 $e |- ( ph -> ( ps -> ( ch <-> th ) ) ) $.
    $( Eliminate an antecedent implied by each side of a biconditional,
       deduction version.  (Contributed by Paul Chapman, 21-Nov-2012.)  (Proof
       shortened by Wolf Lammen, 6-Oct-2013.) $)
    pm5.21ndd $p |- ( ph -> ( ch <-> th ) ) $=
      ( wb wn con3d pm5.21im syl6c pm2.61d ) ABCDHZGABICIDINACBEJADBFJCDKLM $.
  $}

  ${
    bija.1 $e |- ( ph -> ( ps -> ch ) ) $.
    bija.2 $e |- ( -. ph -> ( -. ps -> ch ) ) $.
    $( Combine antecedents into a single biconditional.  This inference,
       reminiscent of ~ ja , is reversible:  The hypotheses can be deduced from
       the conclusion alone (see ~ pm5.1im and ~ pm5.21im ).  (Contributed by
       Wolf Lammen, 13-May-2013.) $)
    bija $p |- ( ( ph <-> ps ) -> ch ) $=
      ( wb biimpr syli wn biimp con3d pm2.61d ) ABFZBCBMACABGDHBIMAICMABABJKEHL
      $.
  $}

  $( Theorem *5.18 of [WhiteheadRussell] p. 124.  This theorem says that
     logical equivalence is the same as negated "exclusive or".  (Contributed
     by NM, 28-Jun-2002.)  (Proof shortened by Andrew Salmon, 20-Jun-2011.)
     (Proof shortened by Wolf Lammen, 15-Oct-2013.) $)
  pm5.18 $p |- ( ( ph <-> ps ) <-> -. ( ph <-> -. ps ) ) $=
    ( wb wn pm5.501 con1bid bitr2d nbn2 pm2.61i ) AABCZABDZCZDZCAMBJABLAKEFABEG
    ADZMKJNKLAKHFABHGI $.

  $( Two ways to express "exclusive or".  (Contributed by NM, 1-Jan-2006.) $)
  xor3 $p |- ( -. ( ph <-> ps ) <-> ( ph <-> -. ps ) ) $=
    ( wn wb pm5.18 con2bii bicomi ) ABCDZABDZCIHABEFG $.

  $( Move negation outside of biconditional.  Compare Theorem *5.18 of
     [WhiteheadRussell] p. 124.  (Contributed by NM, 27-Jun-2002.)  (Proof
     shortened by Wolf Lammen, 20-Sep-2013.) $)
  nbbn $p |- ( ( -. ph <-> ps ) <-> -. ( ph <-> ps ) ) $=
    ( wb wn xor3 con2bi bicom 3bitrri ) ABCDABDCBADZCIBCABEABFBIGH $.

  $( Associative law for the biconditional.  An axiom of system DS in Vladimir
     Lifschitz, "On calculational proofs", Annals of Pure and Applied Logic,
     113:207-224, 2002,
     ~ http://www.cs.utexas.edu/users/ai-lab/pub-view.php?PubID=26805 .
     Interestingly, this law was not included in _Principia Mathematica_ but
     was apparently first noted by Jan Lukasiewicz circa 1923.  (Contributed by
     NM, 8-Jan-2005.)  (Proof shortened by Juha Arpiainen, 19-Jan-2006.)
     (Proof shortened by Wolf Lammen, 21-Sep-2013.) $)
  biass $p |- ( ( ( ph <-> ps ) <-> ch ) <-> ( ph <-> ( ps <-> ch ) ) ) $=
    ( wb pm5.501 bibi1d bitr3d wn nbbn nbn2 bitr3id pm2.61i ) AABDZCDZABCDZDZDA
    ONPABMCABEFAOEGAHZOHZNPRBHZCDQNBCIQSMCABJFKAOJGL $.

  $( Lukasiewicz's shortest axiom for equivalential calculus.  Storrs McCall,
     ed., _Polish Logic 1920-1939_ (Oxford, 1967), p. 96.  (Contributed by NM,
     10-Jan-2005.) $)
  biluk $p |- ( ( ph <-> ps ) <-> ( ( ch <-> ps ) <-> ( ph <-> ch ) ) ) $=
    ( wb bicom bibi1i biass bitri mpbi bitr4i ) ABDZCBACDZDZDZCBDLDKCDZMDKNDOBA
    DZCDMKPCABEFBACGHKCMGICBLGJ $.

  $( Theorem *5.19 of [WhiteheadRussell] p. 124.  (Contributed by NM,
     3-Jan-2005.) $)
  pm5.19 $p |- -. ( ph <-> -. ph ) $=
    ( wb wn biid pm5.18 mpbi ) AABAACBCADAAEF $.

  $( Logical equivalence of commuted antecedents.  Part of Theorem *4.87 of
     [WhiteheadRussell] p. 122.  (Contributed by NM, 11-May-1993.) $)
  bi2.04 $p |- ( ( ph -> ( ps -> ch ) ) <-> ( ps -> ( ph -> ch ) ) ) $=
    ( wi pm2.04 impbii ) ABCDDBACDDABCEBACEF $.

  $( Antecedent absorption implication.  Theorem *5.4 of [WhiteheadRussell]
     p. 125.  (Contributed by NM, 5-Aug-1993.) $)
  pm5.4 $p |- ( ( ph -> ( ph -> ps ) ) <-> ( ph -> ps ) ) $=
    ( wi pm5.5 pm5.74i ) AABCBABDE $.

  $( Distributive law for implication.  Compare Theorem *5.41 of
     [WhiteheadRussell] p. 125.  (Contributed by NM, 5-Aug-1993.) $)
  imdi $p |- ( ( ph -> ( ps -> ch ) ) <->
               ( ( ph -> ps ) -> ( ph -> ch ) ) ) $=
    ( wi ax-2 pm2.86 impbii ) ABCDDABDACDDABCEABCFG $.

  $( Theorem *5.41 of [WhiteheadRussell] p. 125.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 12-Oct-2012.) $)
  pm5.41 $p |- ( ( ( ph -> ps ) -> ( ph -> ch ) ) <->
                ( ph -> ( ps -> ch ) ) ) $=
    ( wi imdi bicomi ) ABCDDABDACDDABCEF $.

  $( Theorem *4.8 of [WhiteheadRussell] p. 122.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.8 $p |- ( ( ph -> -. ph ) <-> -. ph ) $=
    ( wn wi pm2.01 ax-1 impbii ) AABZCGADGAEF $.

  $( A formula is equivalent to its negation implying it.  Theorem *4.81 of
     [WhiteheadRussell] p. 122.  Note that the second step, using ~ pm2.24 ,
     could also use ~ ax-1 .  (Contributed by NM, 3-Jan-2005.) $)
  pm4.81 $p |- ( ( -. ph -> ph ) <-> ph ) $=
    ( wn wi pm2.18 pm2.24 impbii ) ABACAADAAEF $.

  $( Simplify an implication between two implications when the antecedent of
     the first is a consequence of the antecedent of the second.  The reverse
     form is useful in producing the successor step in induction proofs.
     (Contributed by Paul Chapman, 22-Jun-2011.)  (Proof shortened by Wolf
     Lammen, 14-Sep-2013.) $)
  imim21b $p |- ( ( ps -> ph ) ->
           ( ( ( ph -> ch ) -> ( ps -> th ) ) <-> ( ps -> ( ch -> th ) ) ) ) $=
    ( wi bi2.04 wb pm5.5 imbi1d imim2i pm5.74d syl5bb ) ACEZBDEEBMDEZEBAEZBCDEZ
    EMBDFOBNPANPGBAMCDACHIJKL $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Logical conjunction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This section defines conjunction of two formulas, denoted by infix " ` /\ ` "
  and read "and".  It is defined in terms of implication and negation, which is
  possible in classical logic (but not in intuitionistic logic: see iset.mm).

  After the definition, we briefly introduce conversion of simple expressions
  to and from conjunction.  Two simple operations called importation ( ~ imp )
  and exportation ( ~ ex ) follow.  In the propositions-as-types
  interpretation, they correspond to uncurrying and currying respectively. They
  are foundational for this section.  Most of the theorems proved here trace
  back to them, mostly indirectly, in a layered fashion, where more complex
  expressions are built from simpler ones.  Here are some of these successive
  layers:
  importation and exportation,
  commutativity and associativity laws,
  adding antecedents and simplifying,
  conjunction of consequents,
  syllogisms,
  etc.

  As indicated in the "note on definitions" in the section comment for logical
  equivalence, some theorems containing only implication, negation and
  conjunction are placed in the section after disjunction since theirs proofs
  use disjunction (although this is not required since definitions are
  conservative, see said section comment).

$)

  $( Declare connective for conjunction ("and"). $)
  $c /\ $.  $( Wedge (read:  "and") $)

  $( Extend wff definition to include conjunction ("and"). $)
  wa $a wff ( ph /\ ps ) $.

  $( Define conjunction (logical "and").  Definition of [Margaris] p. 49.  When
     both the left and right operand are true, the result is true; when either
     is false, the result is false.  For example, it is true that
     ` ( 2 = 2 /\ 3 = 3 ) ` .  After we define the constant true ` T. `
     ( ~ df-tru ) and the constant false ` F. ` ( ~ df-fal ), we will be able
     to prove these truth table values: ` ( ( T. /\ T. ) <-> T. ) `
     ( ~ truantru ), ` ( ( T. /\ F. ) <-> F. ) ` ( ~ truanfal ),
     ` ( ( F. /\ T. ) <-> F. ) ` ( ~ falantru ), and
     ` ( ( F. /\ F. ) <-> F. ) ` ( ~ falanfal ).

     This is our first use of the biconditional connective in a definition; we
     use the biconditional connective in place of the traditional "<=def=>",
     which means the same thing, except that we can manipulate the
     biconditional connective directly in proofs rather than having to rely on
     an informal definition substitution rule.  Note that if we mechanically
     substitute ` -. ( ph -> -. ps ) ` for ` ( ph /\ ps ) ` , we end up with an
     instance of previously proved theorem ~ biid .  This is the justification
     for the definition, along with the fact that it introduces a new symbol
     ` /\ ` .  Contrast with ` \/ ` ( ~ df-or ), ` -> ` ( ~ wi ), ` -/\ `
     ( ~ df-nan ), and ` \/_ ` ( ~ df-xor ).  (Contributed by NM,
     5-Jan-1993.) $)
  df-an $a |- ( ( ph /\ ps ) <-> -. ( ph -> -. ps ) ) $.

  $( Theorem *4.63 of [WhiteheadRussell] p. 120.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.63 $p |- ( -. ( ph -> -. ps ) <-> ( ph /\ ps ) ) $=
    ( wa wn wi df-an bicomi ) ABCABDEDABFG $.

  $( Theorem *4.67 of [WhiteheadRussell] p. 120.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.67 $p |- ( -. ( -. ph -> -. ps ) <-> ( -. ph /\ ps ) ) $=
    ( wn pm4.63 ) ACBD $.

  $( Express an implication in terms of a negated conjunction.  (Contributed by
     NM, 9-Apr-1994.) $)
  imnan $p |- ( ( ph -> -. ps ) <-> -. ( ph /\ ps ) ) $=
    ( wa wn wi df-an con2bii ) ABCABDEABFG $.

  ${
    imnani.1 $e |- -. ( ph /\ ps ) $.
    $( Infer an implication from a negated conjunction.  (Contributed by Mario
       Carneiro, 28-Sep-2015.) $)
    imnani $p |- ( ph -> -. ps ) $=
      ( wn wi wa imnan mpbir ) ABDEABFDCABGH $.
  $}

  $( Implication in terms of conjunction and negation.  Theorem 3.4(27) of
     [Stoll] p. 176.  (Contributed by NM, 12-Mar-1993.)  (Proof shortened by
     Wolf Lammen, 30-Oct-2012.) $)
  iman $p |- ( ( ph -> ps ) <-> -. ( ph /\ -. ps ) ) $=
    ( wi wn wa notnotb imbi2i imnan bitri ) ABCABDZDZCAJEDBKABFGAJHI $.

  $( Law of noncontradiction.  Theorem *3.24 of [WhiteheadRussell] p. 111 (who
     call it the "law of contradiction").  (Contributed by NM, 16-Sep-1993.)
     (Proof shortened by Wolf Lammen, 24-Nov-2012.) $)
  pm3.24 $p |- -. ( ph /\ -. ph ) $=
    ( wi wn wa id iman mpbi ) AABAACDCAEAAFG $.

  $( Express a conjunction in terms of a negated implication.  (Contributed by
     NM, 2-Aug-1994.) $)
  annim $p |- ( ( ph /\ -. ps ) <-> -. ( ph -> ps ) ) $=
    ( wi wn wa iman con2bii ) ABCABDEABFG $.

  $( Theorem *4.61 of [WhiteheadRussell] p. 120.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.61 $p |- ( -. ( ph -> ps ) <-> ( ph /\ -. ps ) ) $=
    ( wn wa wi annim bicomi ) ABCDABECABFG $.

  $( Theorem *4.65 of [WhiteheadRussell] p. 120.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.65 $p |- ( -. ( -. ph -> ps ) <-> ( -. ph /\ -. ps ) ) $=
    ( wn pm4.61 ) ACBD $.

  ${
    imp.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Importation inference.  (Contributed by NM, 3-Jan-1993.)  (Proof
       shortened by Eric Schmidt, 22-Dec-2006.) $)
    imp $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa wn wi df-an impi sylbi ) ABEABFGFCABHABCDIJ $.

    $( Importation inference with commuted antecedents.  (Contributed by NM,
       25-May-2005.) $)
    impcom $p |- ( ( ps /\ ph ) -> ch ) $=
      ( com12 imp ) BACABCDEF $.
  $}

  ${
    con3dimp.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Variant of ~ con3d with importation.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.) $)
    con3dimp $p |- ( ( ph /\ -. ch ) -> -. ps ) $=
      ( wn con3d imp ) ACEBEABCDFG $.
  $}

  ${
    mpnanrd.1 $e |- ( ph -> ps ) $.
    mpnanrd.2 $e |- ( ph -> -. ( ps /\ ch ) ) $.
    $( Eliminate the right side of a negated conjunction in an implication.
       (Contributed by ML, 17-Oct-2020.) $)
    mpnanrd $p |- ( ph -> -. ch ) $=
      ( wn wa wi imnan sylibr mpd ) ABCFZDABCGFBLHEBCIJK $.
  $}

  ${
    impd.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( Importation deduction.  (Contributed by NM, 31-Mar-1994.) $)
    impd $p |- ( ph -> ( ( ps /\ ch ) -> th ) ) $=
      ( wa wi com3l imp com12 ) BCFADBCADGABCDEHIJ $.

    $( Importation deduction with commuted antecedents.  (Contributed by Peter
       Mazsa, 24-Sep-2022.)  (Proof shortened by Wolf Lammen, 22-Oct-2022.) $)
    impcomd $p |- ( ph -> ( ( ch /\ ps ) -> th ) ) $=
      ( com23 impd ) ACBDABCDEFG $.
  $}

  ${
    ex.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Exportation inference.  (This theorem used to be labeled "exp" but was
       changed to "ex" so as not to conflict with the math token "exp", per the
       June 2006 Metamath spec change.)  A translation of natural deduction
       rule ` -> ` I ( ` -> ` introduction), see ~ natded .  (Contributed by
       NM, 3-Jan-1993.)  (Proof shortened by Eric Schmidt, 22-Dec-2006.) $)
    ex $p |- ( ph -> ( ps -> ch ) ) $=
      ( wn wi wa df-an sylbir expi ) ABCABEFEABGCABHDIJ $.

    $( Exportation inference with commuted antecedents.  (Contributed by NM,
       25-May-2005.) $)
    expcom $p |- ( ps -> ( ph -> ch ) ) $=
      ( ex com12 ) ABCABCDEF $.
  $}

  ${
    expd.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( Commuted form of ~ expd .  (Contributed by Alan Sare, 18-Mar-2012.)
       Shorten ~ expd .  (Revised by Wolf Lammen, 28-Jul-2022.) $)
    expdcom $p |- ( ps -> ( ch -> ( ph -> th ) ) ) $=
      ( wi wa com12 ex ) BCADFABCGDEHI $.

    $( Exportation deduction.  (Contributed by NM, 20-Aug-1993.)  (Proof
       shortened by Wolf Lammen, 28-Jul-2022.) $)
    expd $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      ( expdcom com3r ) BCADABCDEFG $.
  $}

  ${
    expcomd.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( Deduction form of ~ expcom .  (Contributed by Alan Sare,
       22-Jul-2012.) $)
    expcomd $p |- ( ph -> ( ch -> ( ps -> th ) ) ) $=
      ( expd com23 ) ABCDABCDEFG $.
  $}

  ${
    imp31.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( An importation inference.  (Contributed by NM, 26-Apr-1994.) $)
    imp31 $p |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $=
      ( wa wi imp ) ABFCDABCDGEHH $.

    $( An importation inference.  (Contributed by NM, 26-Apr-1994.) $)
    imp32 $p |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $=
      ( wa impd imp ) ABCFDABCDEGH $.
  $}

  ${
    exp31.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( An exportation inference.  (Contributed by NM, 26-Apr-1994.) $)
    exp31 $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      ( wi wa ex ) ABCDFABGCDEHH $.
  $}

  ${
    exp32.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( An exportation inference.  (Contributed by NM, 26-Apr-1994.) $)
    exp32 $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      ( wa ex expd ) ABCDABCFDEGH $.
  $}

  ${
    imp4.1 $e |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $.
    $( An importation inference.  (Contributed by NM, 26-Apr-1994.)  Shorten
       ~ imp4a .  (Revised by Wolf Lammen, 19-Jul-2021.) $)
    imp4b $p |- ( ( ph /\ ps ) -> ( ( ch /\ th ) -> ta ) ) $=
      ( wa wi imp impd ) ABGCDEABCDEHHFIJ $.

    $( An importation inference.  (Contributed by NM, 26-Apr-1994.)  (Proof
       shortened by Wolf Lammen, 19-Jul-2021.) $)
    imp4a $p |- ( ph -> ( ps -> ( ( ch /\ th ) -> ta ) ) ) $=
      ( wa wi imp4b ex ) ABCDGEHABCDEFIJ $.

    $( An importation inference.  (Contributed by NM, 26-Apr-1994.) $)
    imp4c $p |- ( ph -> ( ( ( ps /\ ch ) /\ th ) -> ta ) ) $=
      ( wa wi impd ) ABCGDEABCDEHFII $.

    $( An importation inference.  (Contributed by NM, 26-Apr-1994.) $)
    imp4d $p |- ( ph -> ( ( ps /\ ( ch /\ th ) ) -> ta ) ) $=
      ( wa imp4a impd ) ABCDGEABCDEFHI $.

    $( An importation inference.  (Contributed by NM, 26-Apr-1994.) $)
    imp41 $p |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ta ) $=
      ( wa wi imp imp31 ) ABGCDEABCDEHHFIJ $.

    $( An importation inference.  (Contributed by NM, 26-Apr-1994.) $)
    imp42 $p |- ( ( ( ph /\ ( ps /\ ch ) ) /\ th ) -> ta ) $=
      ( wa wi imp32 imp ) ABCGGDEABCDEHFIJ $.

    $( An importation inference.  (Contributed by NM, 26-Apr-1994.) $)
    imp43 $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $=
      ( wa imp4b imp ) ABGCDGEABCDEFHI $.

    $( An importation inference.  (Contributed by NM, 26-Apr-1994.) $)
    imp44 $p |- ( ( ph /\ ( ( ps /\ ch ) /\ th ) ) -> ta ) $=
      ( wa imp4c imp ) ABCGDGEABCDEFHI $.

    $( An importation inference.  (Contributed by NM, 26-Apr-1994.) $)
    imp45 $p |- ( ( ph /\ ( ps /\ ( ch /\ th ) ) ) -> ta ) $=
      ( wa imp4d imp ) ABCDGGEABCDEFHI $.
  $}

  ${
    exp4b.1 $e |- ( ( ph /\ ps ) -> ( ( ch /\ th ) -> ta ) ) $.
    $( An exportation inference.  (Contributed by NM, 26-Apr-1994.)  (Proof
       shortened by Wolf Lammen, 23-Nov-2012.)  Shorten ~ exp4a .  (Revised by
       Wolf Lammen, 20-Jul-2021.) $)
    exp4b $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi wa expd ex ) ABCDEGGABHCDEFIJ $.
  $}

  ${
    exp4a.1 $e |- ( ph -> ( ps -> ( ( ch /\ th ) -> ta ) ) ) $.
    $( An exportation inference.  (Contributed by NM, 26-Apr-1994.)  (Proof
       shortened by Wolf Lammen, 20-Jul-2021.) $)
    exp4a $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wa wi imp exp4b ) ABCDEABCDGEHFIJ $.
  $}

  ${
    exp4c.1 $e |- ( ph -> ( ( ( ps /\ ch ) /\ th ) -> ta ) ) $.
    $( An exportation inference.  (Contributed by NM, 26-Apr-1994.) $)
    exp4c $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi wa expd ) ABCDEGABCHDEFII $.
  $}

  ${
    exp4d.1 $e |- ( ph -> ( ( ps /\ ( ch /\ th ) ) -> ta ) ) $.
    $( An exportation inference.  (Contributed by NM, 26-Apr-1994.) $)
    exp4d $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wa expd exp4a ) ABCDEABCDGEFHI $.
  $}

  ${
    exp41.1 $e |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ta ) $.
    $( An exportation inference.  (Contributed by NM, 26-Apr-1994.) $)
    exp41 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi wa ex exp31 ) ABCDEGABHCHDEFIJ $.
  $}

  ${
    exp42.1 $e |- ( ( ( ph /\ ( ps /\ ch ) ) /\ th ) -> ta ) $.
    $( An exportation inference.  (Contributed by NM, 26-Apr-1994.) $)
    exp42 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi wa exp31 expd ) ABCDEGABCHDEFIJ $.
  $}

  ${
    exp43.1 $e |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $.
    $( An exportation inference.  (Contributed by NM, 26-Apr-1994.) $)
    exp43 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wa ex exp4b ) ABCDEABGCDGEFHI $.
  $}

  ${
    exp44.1 $e |- ( ( ph /\ ( ( ps /\ ch ) /\ th ) ) -> ta ) $.
    $( An exportation inference.  (Contributed by NM, 26-Apr-1994.) $)
    exp44 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi wa exp32 expd ) ABCDEGABCHDEFIJ $.
  $}

  ${
    exp45.1 $e |- ( ( ph /\ ( ps /\ ( ch /\ th ) ) ) -> ta ) $.
    $( An exportation inference.  (Contributed by NM, 26-Apr-1994.) $)
    exp45 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wa exp32 exp4a ) ABCDEABCDGEFHI $.
  $}

  ${
    imp5.1 $e |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $.
    $( An importation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    imp5d $p |- ( ( ( ph /\ ps ) /\ ch ) -> ( ( th /\ ta ) -> et ) ) $=
      ( wa wi imp31 impd ) ABHCHDEFABCDEFIIGJK $.

    $( An importation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.)
       (Proof shortened by Wolf Lammen, 2-Aug-2022.) $)
    imp5a $p |- ( ph -> ( ps -> ( ch -> ( ( th /\ ta ) -> et ) ) ) ) $=
      ( wa wi imp5d exp31 ) ABCDEHFIABCDEFGJK $.

    $( An importation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    imp5g $p |- ( ( ph /\ ps ) -> ( ( ( ch /\ th ) /\ ta ) -> et ) ) $=
      ( wa wi imp4b impd ) ABHCDHEFABCDEFIGJK $.

    $( An importation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    imp55 $p |- ( ( ( ph /\ ( ps /\ ( ch /\ th ) ) ) /\ ta ) -> et ) $=
      ( wa wi imp4a imp42 ) ABCDHEFABCDEFIGJK $.

    $( An importation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    imp511 $p |- ( ( ph /\ ( ( ps /\ ( ch /\ th ) ) /\ ta ) ) -> et ) $=
      ( wa wi imp4a imp44 ) ABCDHEFABCDEFIGJK $.
  $}

  ${
    exp5c.1 $e |- ( ph -> ( ( ps /\ ch ) -> ( ( th /\ ta ) -> et ) ) ) $.
    $( An exportation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    exp5c $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wi wa exp4a expd ) ABCDEFHHABCIDEFGJK $.
  $}

  ${
    exp5j.1 $e |- ( ph -> ( ( ( ( ps /\ ch ) /\ th ) /\ ta ) -> et ) ) $.
    $( An exportation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    exp5j $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wi wa expd exp4c ) ABCDEFHABCIDIEFGJK $.
  $}

  ${
    exp5l.1 $e |- ( ph -> ( ( ( ps /\ ch ) /\ ( th /\ ta ) ) -> et ) ) $.
    $( An exportation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    exp5l $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wa expd exp5c ) ABCDEFABCHDEHFGIJ $.
  $}

  ${
    exp53.1 $e |- ( ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) /\ ta ) -> et ) $.
    $( An exportation inference.  (Contributed by Jeff Hankins,
       30-Aug-2009.) $)
    exp53 $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wi wa ex exp43 ) ABCDEFHABICDIIEFGJK $.
  $}

  $( Theorem *3.3 (Exp) of [WhiteheadRussell] p. 112.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 24-Mar-2013.) $)
  pm3.3 $p |- ( ( ( ph /\ ps ) -> ch ) -> ( ph -> ( ps -> ch ) ) ) $=
    ( wa wi id expd ) ABDCEZABCHFG $.

  $( Theorem *3.31 (Imp) of [WhiteheadRussell] p. 112.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 24-Mar-2013.) $)
  pm3.31 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ( ph /\ ps ) -> ch ) ) $=
    ( wi id impd ) ABCDDZABCGEF $.

  $( Import-export theorem.  Part of Theorem *4.87 of [WhiteheadRussell]
     p. 122.  (Contributed by NM, 10-Jan-1993.)  (Proof shortened by Wolf
     Lammen, 24-Mar-2013.) $)
  impexp $p |- ( ( ( ph /\ ps ) -> ch ) <-> ( ph -> ( ps -> ch ) ) ) $=
    ( wa wi pm3.3 pm3.31 impbii ) ABDCEABCEEABCFABCGH $.

  ${
    impancom.1 $e |- ( ( ph /\ ps ) -> ( ch -> th ) ) $.
    $( Mixed importation/commutation inference.  (Contributed by NM,
       22-Jun-2013.) $)
    impancom $p |- ( ( ph /\ ch ) -> ( ps -> th ) ) $=
      ( wi ex com23 imp ) ACBDFABCDABCDFEGHI $.
  $}

  ${
    expdimp.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( A deduction version of exportation, followed by importation.
       (Contributed by NM, 6-Sep-2008.) $)
    expdimp $p |- ( ( ph /\ ps ) -> ( ch -> th ) ) $=
      ( wi expd imp ) ABCDFABCDEGH $.
  $}

  ${
    expimpd.1 $e |- ( ( ph /\ ps ) -> ( ch -> th ) ) $.
    $( Exportation followed by a deduction version of importation.
       (Contributed by NM, 6-Sep-2008.) $)
    expimpd $p |- ( ph -> ( ( ps /\ ch ) -> th ) ) $=
      ( wi ex impd ) ABCDABCDFEGH $.
  $}

  ${
    impr.1 $e |- ( ( ph /\ ps ) -> ( ch -> th ) ) $.
    $( Import a wff into a right conjunct.  (Contributed by Jeff Hankins,
       30-Aug-2009.) $)
    impr $p |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $=
      ( wi ex imp32 ) ABCDABCDFEGH $.
  $}

  ${
    impl.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( Export a wff from a left conjunct.  (Contributed by Mario Carneiro,
       9-Jul-2014.) $)
    impl $p |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $=
      ( expd imp31 ) ABCDABCDEFG $.
  $}

  ${
    expr.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Export a wff from a right conjunct.  (Contributed by Jeff Hankins,
       30-Aug-2009.) $)
    expr $p |- ( ( ph /\ ps ) -> ( ch -> th ) ) $=
      ( wi exp32 imp ) ABCDFABCDEGH $.
  $}

  ${
    expl.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( Export a wff from a left conjunct.  (Contributed by Jeff Hankins,
       28-Aug-2009.) $)
    expl $p |- ( ph -> ( ( ps /\ ch ) -> th ) ) $=
      ( exp31 impd ) ABCDABCDEFG $.
  $}

  ${
    ancoms.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Inference commuting conjunction in antecedent.  (Contributed by NM,
       21-Apr-1994.) $)
    ancoms $p |- ( ( ps /\ ph ) -> ch ) $=
      ( expcom imp ) BACABCDEF $.
  $}

  $( Theorem *3.22 of [WhiteheadRussell] p. 111.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 13-Nov-2012.) $)
  pm3.22 $p |- ( ( ph /\ ps ) -> ( ps /\ ph ) ) $=
    ( wa id ancoms ) BABACZFDE $.

  $( Commutative law for conjunction.  Theorem *4.3 of [WhiteheadRussell]
     p. 118.  (Contributed by NM, 25-Jun-1998.)  (Proof shortened by Wolf
     Lammen, 4-Nov-2012.) $)
  ancom $p |- ( ( ph /\ ps ) <-> ( ps /\ ph ) ) $=
    ( wa pm3.22 impbii ) ABCBACABDBADE $.

  ${
    ancomd.1 $e |- ( ph -> ( ps /\ ch ) ) $.
    $( Commutation of conjuncts in consequent.  (Contributed by Jeff Hankins,
       14-Aug-2009.) $)
    ancomd $p |- ( ph -> ( ch /\ ps ) ) $=
      ( wa ancom sylib ) ABCECBEDBCFG $.
  $}

  ${
    biancomi.1 $e |- ( ph <-> ( ch /\ ps ) ) $.
    $( Commuting conjunction in a biconditional.  (Contributed by Peter Mazsa,
       17-Jun-2018.) $)
    biancomi $p |- ( ph <-> ( ps /\ ch ) ) $=
      ( wa ancom bitr4i ) ACBEBCEDBCFG $.
  $}

  ${
    biancomd.1 $e |- ( ph -> ( ps <-> ( th /\ ch ) ) ) $.
    $( Commuting conjunction in a biconditional, deduction form.  (Contributed
       by Peter Mazsa, 3-Oct-2018.) $)
    biancomd $p |- ( ph -> ( ps <-> ( ch /\ th ) ) ) $=
      ( wa ancom bitrdi ) ABDCFCDFEDCGH $.
  $}

  $( Closed form of ~ ancoms .  (Contributed by Alan Sare, 31-Dec-2011.) $)
  ancomst $p |- ( ( ( ph /\ ps ) -> ch ) <-> ( ( ps /\ ph ) -> ch ) ) $=
    ( wa ancom imbi1i ) ABDBADCABEF $.

  ${
    ancomsd.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( Deduction commuting conjunction in antecedent.  (Contributed by NM,
       12-Dec-2004.) $)
    ancomsd $p |- ( ph -> ( ( ch /\ ps ) -> th ) ) $=
      ( expcomd impd ) ACBDABCDEFG $.
  $}

  ${
    anasss.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( Associative law for conjunction applied to antecedent (eliminates
       syllogism).  (Contributed by NM, 15-Nov-2002.) $)
    anasss $p |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $=
      ( exp31 imp32 ) ABCDABCDEFG $.
  $}

  ${
    anassrs.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Associative law for conjunction applied to antecedent (eliminates
       syllogism).  (Contributed by NM, 15-Nov-2002.) $)
    anassrs $p |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $=
      ( exp32 imp31 ) ABCDABCDEFG $.
  $}

  $( Associative law for conjunction.  Theorem *4.32 of [WhiteheadRussell]
     p. 118.  (Contributed by NM, 21-Jun-1993.)  (Proof shortened by Wolf
     Lammen, 24-Nov-2012.) $)
  anass $p |- ( ( ( ph /\ ps ) /\ ch ) <-> ( ph /\ ( ps /\ ch ) ) ) $=
    ( wa id anassrs anasss impbii ) ABDCDZABCDDZABCJJEFABCIIEGH $.

  $( Join antecedents with conjunction ("conjunction introduction").  Theorem
     *3.2 of [WhiteheadRussell] p. 111.  Its associated inference is ~ pm3.2i
     and its associated deduction is ~ jca (and the double deduction is
     ~ jcad ).  See ~ pm3.2im for a version using only implication and
     negation.  (Contributed by NM, 5-Jan-1993.)  (Proof shortened by Wolf
     Lammen, 12-Nov-2012.) $)
  pm3.2 $p |- ( ph -> ( ps -> ( ph /\ ps ) ) ) $=
    ( wa id ex ) ABABCZFDE $.

  ${
    pm3.2i.1 $e |- ph $.
    pm3.2i.2 $e |- ps $.
    $( Infer conjunction of premises.  Inference associated with ~ pm3.2 .  Its
       associated deduction is ~ jca (and the double deduction is ~ jcad ).
       (Contributed by NM, 21-Jun-1993.) $)
    pm3.2i $p |- ( ph /\ ps ) $=
      ( wa pm3.2 mp2 ) ABABECDABFG $.
  $}

  $( Join antecedents with conjunction.  Theorem *3.21 of [WhiteheadRussell]
     p. 111.  (Contributed by NM, 5-Aug-1993.) $)
  pm3.21 $p |- ( ph -> ( ps -> ( ps /\ ph ) ) ) $=
    ( wa id expcom ) BABACZFDE $.

  $( Nested conjunction of antecedents.  (Contributed by NM, 4-Jan-1993.) $)
  pm3.43i $p |- ( ( ph -> ps )
      -> ( ( ph -> ch ) -> ( ph -> ( ps /\ ch ) ) ) ) $=
    ( wa pm3.2 imim3i ) BCBCDABCEF $.

  $( Theorem *3.43 (Comp) of [WhiteheadRussell] p. 113.  (Contributed by NM,
     3-Jan-2005.) $)
  pm3.43 $p |- ( ( ( ph -> ps ) /\ ( ph -> ch ) )
      -> ( ph -> ( ps /\ ch ) ) ) $=
    ( wi wa pm3.43i imp ) ABDACDABCEDABCFG $.

  $( A theorem similar to the standard definition of the biconditional.
     Definition of [Margaris] p. 49.  (Contributed by NM, 24-Jan-1993.) $)
  dfbi2 $p |- ( ( ph <-> ps ) <-> ( ( ph -> ps ) /\ ( ps -> ph ) ) ) $=
    ( wb wi wn wa dfbi1 df-an bitr4i ) ABCABDZBADZEDEJKFABGJKHI $.

  $( Definition ~ df-bi rewritten in an abbreviated form to help intuitive
     understanding of that definition.  Note that it is a conjunction of two
     implications; one which asserts properties that follow from the
     biconditional and one which asserts properties that imply the
     biconditional.  (Contributed by NM, 15-Aug-2008.) $)
  dfbi $p |- ( ( ( ph <-> ps ) -> ( ( ph -> ps ) /\ ( ps -> ph ) ) )
        /\ ( ( ( ph -> ps ) /\ ( ps -> ph ) ) -> ( ph <-> ps ) ) ) $=
    ( wb wi wa dfbi2 mpbi ) ABCZABDBADEZCHIDIHDEABFHIFG $.

  ${
    biimpa.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Importation inference from a logical equivalence.  (Contributed by NM,
       3-May-1994.) $)
    biimpa $p |- ( ( ph /\ ps ) -> ch ) $=
      ( biimpd imp ) ABCABCDEF $.

    $( Importation inference from a logical equivalence.  (Contributed by NM,
       3-May-1994.) $)
    biimpar $p |- ( ( ph /\ ch ) -> ps ) $=
      ( biimprd imp ) ACBABCDEF $.

    $( Importation inference from a logical equivalence.  (Contributed by NM,
       3-May-1994.) $)
    biimpac $p |- ( ( ps /\ ph ) -> ch ) $=
      ( biimpcd imp ) BACABCDEF $.

    $( Importation inference from a logical equivalence.  (Contributed by NM,
       3-May-1994.) $)
    biimparc $p |- ( ( ch /\ ph ) -> ps ) $=
      ( biimprcd imp ) CABABCDEF $.
  $}

  ${
    adantr.1 $e |- ( ph -> ps ) $.
    $( Inference adding a conjunct to the right of an antecedent.  (Contributed
       by NM, 30-Aug-1993.) $)
    adantr $p |- ( ( ph /\ ch ) -> ps ) $=
      ( a1d imp ) ACBABCDEF $.
  $}

  ${
    adantl.1 $e |- ( ph -> ps ) $.
    $( Inference adding a conjunct to the left of an antecedent.  (Contributed
       by NM, 30-Aug-1993.)  (Proof shortened by Wolf Lammen, 23-Nov-2012.) $)
    adantl $p |- ( ( ch /\ ph ) -> ps ) $=
      ( adantr ancoms ) ACBABCDEF $.
  $}

  $( Elimination of a conjunct.  Theorem *3.26 (Simp) of [WhiteheadRussell]
     p. 112.  (Contributed by NM, 3-Jan-1993.)  (Proof shortened by Wolf
     Lammen, 14-Jun-2022.) $)
  simpl $p |- ( ( ph /\ ps ) -> ph ) $=
    ( id adantr ) AABACD $.

  ${
    simpli.1 $e |- ( ph /\ ps ) $.
    $( Inference eliminating a conjunct.  (Contributed by NM, 15-Jun-1994.) $)
    simpli $p |- ph $=
      ( wa simpl ax-mp ) ABDACABEF $.
  $}

  $( Elimination of a conjunct.  Theorem *3.27 (Simp) of [WhiteheadRussell]
     p. 112.  (Contributed by NM, 3-Jan-1993.)  (Proof shortened by Wolf
     Lammen, 14-Jun-2022.) $)
  simpr $p |- ( ( ph /\ ps ) -> ps ) $=
    ( id adantl ) BBABCD $.

  ${
    simpri.1 $e |- ( ph /\ ps ) $.
    $( Inference eliminating a conjunct.  (Contributed by NM, 15-Jun-1994.) $)
    simpri $p |- ps $=
      ( wa simpr ax-mp ) ABDBCABEF $.
  $}

  ${
    intnan.1 $e |- -. ph $.
    $( Introduction of conjunct inside of a contradiction.  (Contributed by NM,
       16-Sep-1993.) $)
    intnan $p |- -. ( ps /\ ph ) $=
      ( wa simpr mto ) BADACBAEF $.

    $( Introduction of conjunct inside of a contradiction.  (Contributed by NM,
       3-Apr-1995.) $)
    intnanr $p |- -. ( ph /\ ps ) $=
      ( wa simpl mto ) ABDACABEF $.
  $}

  ${
    intnand.1 $e |- ( ph -> -. ps ) $.
    $( Introduction of conjunct inside of a contradiction.  (Contributed by NM,
       10-Jul-2005.) $)
    intnand $p |- ( ph -> -. ( ch /\ ps ) ) $=
      ( wa simpr nsyl ) ABCBEDCBFG $.

    $( Introduction of conjunct inside of a contradiction.  (Contributed by NM,
       10-Jul-2005.) $)
    intnanrd $p |- ( ph -> -. ( ps /\ ch ) ) $=
      ( wa simpl nsyl ) ABBCEDBCFG $.
  $}

  ${
    adantld.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction adding a conjunct to the left of an antecedent.  (Contributed
       by NM, 4-May-1994.)  (Proof shortened by Wolf Lammen, 20-Dec-2012.) $)
    adantld $p |- ( ph -> ( ( th /\ ps ) -> ch ) ) $=
      ( wa simpr syl5 ) DBFBACDBGEH $.
  $}

  ${
    adantrd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction adding a conjunct to the right of an antecedent.  (Contributed
       by NM, 4-May-1994.) $)
    adantrd $p |- ( ph -> ( ( ps /\ th ) -> ch ) ) $=
      ( wa simpl syl5 ) BDFBACBDGEH $.
  $}

  $( Theorem *3.41 of [WhiteheadRussell] p. 113.  (Contributed by NM,
     3-Jan-2005.) $)
  pm3.41 $p |- ( ( ph -> ch ) -> ( ( ph /\ ps ) -> ch ) ) $=
    ( wa simpl imim1i ) ABDACABEF $.

  $( Theorem *3.42 of [WhiteheadRussell] p. 113.  (Contributed by NM,
     3-Jan-2005.) $)
  pm3.42 $p |- ( ( ps -> ch ) -> ( ( ph /\ ps ) -> ch ) ) $=
    ( wa simpr imim1i ) ABDBCABEF $.

  ${
    simpld.1 $e |- ( ph -> ( ps /\ ch ) ) $.
    $( Deduction eliminating a conjunct.  A translation of natural deduction
       rule ` /\ ` EL ( ` /\ ` elimination left), see ~ natded .  (Contributed
       by NM, 26-May-1993.) $)
    simpld $p |- ( ph -> ps ) $=
      ( wa simpl syl ) ABCEBDBCFG $.
  $}

  ${
    simprd.1 $e |- ( ph -> ( ps /\ ch ) ) $.
    $( Deduction eliminating a conjunct.  (Contributed by NM, 14-May-1993.)  A
       translation of natural deduction rule ` /\ ` ER ( ` /\ ` elimination
       right), see ~ natded .  (Proof shortened by Wolf Lammen, 3-Oct-2013.) $)
    simprd $p |- ( ph -> ch ) $=
      ( ancomd simpld ) ACBABCDEF $.
  $}

  ${
    simprbi.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Deduction eliminating a conjunct.  (Contributed by NM, 27-May-1998.) $)
    simprbi $p |- ( ph -> ch ) $=
      ( wa biimpi simprd ) ABCABCEDFG $.
  $}

  ${
    simplbi.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Deduction eliminating a conjunct.  (Contributed by NM, 27-May-1998.) $)
    simplbi $p |- ( ph -> ps ) $=
      ( wa biimpi simpld ) ABCABCEDFG $.
  $}

  ${
    pm3.26bda.1 $e |- ( ph -> ( ps <-> ( ch /\ th ) ) ) $.
    $( Deduction eliminating a conjunct.  (Contributed by NM, 22-Oct-2007.) $)
    simprbda $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa biimpa simpld ) ABFCDABCDFEGH $.

    $( Deduction eliminating a conjunct.  (Contributed by NM, 22-Oct-2007.) $)
    simplbda $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa biimpa simprd ) ABFCDABCDFEGH $.
  $}

  ${
    simplbi2.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Deduction eliminating a conjunct.  (Contributed by Alan Sare,
       31-Dec-2011.) $)
    simplbi2 $p |- ( ps -> ( ch -> ph ) ) $=
      ( wa biimpri ex ) BCAABCEDFG $.
  $}

  $( Closed form of ~ simplbi2com .  (Contributed by Alan Sare,
     22-Jul-2012.) $)
  simplbi2comt $p |- ( ( ph <-> ( ps /\ ch ) ) -> ( ch -> ( ps -> ph ) ) ) $=
    ( wa wb biimpr expcomd ) ABCDZEBCAAHFG $.

  ${
    simplbi2com.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( A deduction eliminating a conjunct, similar to ~ simplbi2 .
       (Contributed by Alan Sare, 22-Jul-2012.)  (Proof shortened by Wolf
       Lammen, 10-Nov-2012.) $)
    simplbi2com $p |- ( ch -> ( ps -> ph ) ) $=
      ( simplbi2 com12 ) BCAABCDEF $.
  $}

  ${
    simpl2im.1 $e |- ( ph -> ( ps /\ ch ) ) $.
    simpl2im.2 $e |- ( ch -> th ) $.
    $( Implication from an eliminated conjunct implied by the antecedent.
       (Contributed by BJ/AV, 5-Apr-2021.)  (Proof shortened by Wolf Lammen,
       26-Mar-2022.) $)
    simpl2im $p |- ( ph -> th ) $=
      ( simprd syl ) ACDABCEGFH $.
  $}

  ${
    simplbiim.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    simplbiim.2 $e |- ( ch -> th ) $.
    $( Implication from an eliminated conjunct equivalent to the antecedent.
       (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)  (Proof shortened by
       Wolf Lammen, 26-Mar-2022.) $)
    simplbiim $p |- ( ph -> th ) $=
      ( simprbi syl ) ACDABCEGFH $.
  $}

  ${
    impel.1 $e |- ( ph -> ( ps -> ch ) ) $.
    impel.2 $e |- ( th -> ps ) $.
    $( An inference for implication elimination.  (Contributed by Giovanni
       Mascellani, 23-May-2019.)  (Proof shortened by Wolf Lammen,
       2-Sep-2020.) $)
    impel $p |- ( ( ph /\ th ) -> ch ) $=
      ( syl5 imp ) ADCDBACFEGH $.
  $}

  ${
    mpan9.1 $e |- ( ph -> ps ) $.
    mpan9.2 $e |- ( ch -> ( ps -> th ) ) $.
    $( Modus ponens conjoining dissimilar antecedents.  (Contributed by NM,
       1-Feb-2008.)  (Proof shortened by Andrew Salmon, 7-May-2011.) $)
    mpan9 $p |- ( ( ph /\ ch ) -> th ) $=
      ( syl5 impcom ) CADABCDEFGH $.
  $}

  ${
    sylan9.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylan9.2 $e |- ( th -> ( ch -> ta ) ) $.
    $( Nested syllogism inference conjoining dissimilar antecedents.
       (Contributed by NM, 14-May-1993.)  (Proof shortened by Andrew Salmon,
       7-May-2011.) $)
    sylan9 $p |- ( ( ph /\ th ) -> ( ps -> ta ) ) $=
      ( wi syl9 imp ) ADBEHABCDEFGIJ $.
  $}

  ${
    sylan9r.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylan9r.2 $e |- ( th -> ( ch -> ta ) ) $.
    $( Nested syllogism inference conjoining dissimilar antecedents.
       (Contributed by NM, 14-May-1993.) $)
    sylan9r $p |- ( ( th /\ ph ) -> ( ps -> ta ) ) $=
      ( wi syl9r imp ) DABEHABCDEFGIJ $.
  $}

  ${
    sylan9bb.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    sylan9bb.2 $e |- ( th -> ( ch <-> ta ) ) $.
    $( Nested syllogism inference conjoining dissimilar antecedents.
       (Contributed by NM, 4-Mar-1995.) $)
    sylan9bb $p |- ( ( ph /\ th ) -> ( ps <-> ta ) ) $=
      ( wa wb adantr adantl bitrd ) ADHBCEABCIDFJDCEIAGKL $.
  $}

  ${
    sylan9bbr.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    sylan9bbr.2 $e |- ( th -> ( ch <-> ta ) ) $.
    $( Nested syllogism inference conjoining dissimilar antecedents.
       (Contributed by NM, 4-Mar-1995.) $)
    sylan9bbr $p |- ( ( th /\ ph ) -> ( ps <-> ta ) ) $=
      ( wb sylan9bb ancoms ) ADBEHABCDEFGIJ $.
  $}

  ${
    jca.1 $e |- ( ph -> ps ) $.
    jca.2 $e |- ( ph -> ch ) $.
    $( Deduce conjunction of the consequents of two implications ("join
       consequents with 'and'").  Deduction form of ~ pm3.2 and ~ pm3.2i .  Its
       associated deduction is ~ jcad .  Equivalent to the natural deduction
       rule ` /\ ` I ( ` /\ ` introduction), see ~ natded .  (Contributed by
       NM, 3-Jan-1993.)  (Proof shortened by Wolf Lammen, 25-Oct-2012.) $)
    jca $p |- ( ph -> ( ps /\ ch ) ) $=
      ( wa pm3.2 sylc ) ABCBCFDEBCGH $.
  $}

  ${
    jcad.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jcad.2 $e |- ( ph -> ( ps -> th ) ) $.
    $( Deduction conjoining the consequents of two implications.  Deduction
       form of ~ jca and double deduction form of ~ pm3.2 and ~ pm3.2i .
       (Contributed by NM, 15-Jul-1993.)  (Proof shortened by Wolf Lammen,
       23-Jul-2013.) $)
    jcad $p |- ( ph -> ( ps -> ( ch /\ th ) ) ) $=
      ( wa pm3.2 syl6c ) ABCDCDGEFCDHI $.
  $}

  ${
    jca2.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jca2.2 $e |- ( ps -> th ) $.
    $( Inference conjoining the consequents of two implications.  (Contributed
       by Rodolfo Medina, 12-Oct-2010.) $)
    jca2 $p |- ( ph -> ( ps -> ( ch /\ th ) ) ) $=
      ( wi a1i jcad ) ABCDEBDGAFHI $.
  $}

  ${
    jca31.1 $e |- ( ph -> ps ) $.
    jca31.2 $e |- ( ph -> ch ) $.
    jca31.3 $e |- ( ph -> th ) $.
    $( Join three consequents.  (Contributed by Jeff Hankins, 1-Aug-2009.) $)
    jca31 $p |- ( ph -> ( ( ps /\ ch ) /\ th ) ) $=
      ( wa jca ) ABCHDABCEFIGI $.

    $( Join three consequents.  (Contributed by FL, 1-Aug-2009.) $)
    jca32 $p |- ( ph -> ( ps /\ ( ch /\ th ) ) ) $=
      ( wa jca ) ABCDHEACDFGII $.
  $}

  ${
    jcai.1 $e |- ( ph -> ps ) $.
    jcai.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction replacing implication with conjunction.  (Contributed by NM,
       15-Jul-1993.) $)
    jcai $p |- ( ph -> ( ps /\ ch ) ) $=
      ( mpd jca ) ABCDABCDEFG $.
  $}

  $( Distributive law for implication over conjunction.  Compare Theorem *4.76
     of [WhiteheadRussell] p. 121.  (Contributed by NM, 3-Apr-1994.)  (Proof
     shortened by Wolf Lammen, 27-Nov-2013.) $)
  jcab $p |- ( ( ph -> ( ps /\ ch ) )
      <-> ( ( ph -> ps ) /\ ( ph -> ch ) ) ) $=
    ( wa wi simpl imim2i simpr jca pm3.43 impbii ) ABCDZEZABEZACEZDMNOLBABCFGLC
    ABCHGIABCJK $.

  $( Theorem *4.76 of [WhiteheadRussell] p. 121.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.76 $p |- ( ( ( ph -> ps ) /\ ( ph -> ch ) ) <->
                ( ph -> ( ps /\ ch ) ) ) $=
    ( wa wi jcab bicomi ) ABCDEABEACEDABCFG $.

  ${
    jctil.1 $e |- ( ph -> ps ) $.
    jctil.2 $e |- ch $.
    $( Inference conjoining a theorem to left of consequent in an implication.
       (Contributed by NM, 31-Dec-1993.) $)
    jctil $p |- ( ph -> ( ch /\ ps ) ) $=
      ( a1i jca ) ACBCAEFDG $.

    $( Inference conjoining a theorem to right of consequent in an implication.
       (Contributed by NM, 31-Dec-1993.) $)
    jctir $p |- ( ph -> ( ps /\ ch ) ) $=
      ( a1i jca ) ABCDCAEFG $.
  $}

  ${
    jccir.1 $e |- ( ph -> ps ) $.
    jccir.2 $e |- ( ps -> ch ) $.
    $( Inference conjoining a consequent of a consequent to the right of the
       consequent in an implication.  See also ~ ex-natded5.3i .  (Contributed
       by Mario Carneiro, 9-Feb-2017.)  (Revised by AV, 20-Aug-2019.) $)
    jccir $p |- ( ph -> ( ps /\ ch ) ) $=
      ( syl jca ) ABCDABCDEFG $.

    $( Inference conjoining a consequent of a consequent to the left of the
       consequent in an implication.  Remark:  One can also prove this theorem
       using ~ syl and ~ jca (as done in ~ jccir ), which would be 4 bytes
       shorter, but one step longer than the current proof.
       (Proof modification is discouraged.)  (Contributed by AV,
       20-Aug-2019.) $)
    jccil $p |- ( ph -> ( ch /\ ps ) ) $=
      ( jccir ancomd ) ABCABCDEFG $.
  $}

  ${
    jctl.1 $e |- ps $.
    $( Inference conjoining a theorem to the left of a consequent.
       (Contributed by NM, 31-Dec-1993.)  (Proof shortened by Wolf Lammen,
       24-Oct-2012.) $)
    jctl $p |- ( ph -> ( ps /\ ph ) ) $=
      ( id jctil ) AABADCE $.

    $( Inference conjoining a theorem to the right of a consequent.
       (Contributed by NM, 18-Aug-1993.)  (Proof shortened by Wolf Lammen,
       24-Oct-2012.) $)
    jctr $p |- ( ph -> ( ph /\ ps ) ) $=
      ( id jctir ) AABADCE $.
  $}

  ${
    jctild.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jctild.2 $e |- ( ph -> th ) $.
    $( Deduction conjoining a theorem to left of consequent in an implication.
       (Contributed by NM, 21-Apr-2005.) $)
    jctild $p |- ( ph -> ( ps -> ( th /\ ch ) ) ) $=
      ( a1d jcad ) ABDCADBFGEH $.
  $}

  ${
    jctird.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jctird.2 $e |- ( ph -> th ) $.
    $( Deduction conjoining a theorem to right of consequent in an implication.
       (Contributed by NM, 21-Apr-2005.) $)
    jctird $p |- ( ph -> ( ps -> ( ch /\ th ) ) ) $=
      ( a1d jcad ) ABCDEADBFGH $.
  $}

  $( Introduction of antecedent as conjunct.  Theorem *4.73 of
     [WhiteheadRussell] p. 121.  (Contributed by NM, 30-Mar-1994.) $)
  iba $p |- ( ph -> ( ps <-> ( ps /\ ph ) ) ) $=
    ( wa pm3.21 simpl impbid1 ) ABBACABDBAEF $.

  $( Introduction of antecedent as conjunct.  (Contributed by NM,
     5-Dec-1995.) $)
  ibar $p |- ( ph -> ( ps <-> ( ph /\ ps ) ) ) $=
    ( iba biancomd ) ABABABCD $.

  ${
    biantru.1 $e |- ph $.
    $( A wff is equivalent to its conjunction with truth.  (Contributed by NM,
       26-May-1993.) $)
    biantru $p |- ( ps <-> ( ps /\ ph ) ) $=
      ( wa wb iba ax-mp ) ABBADECABFG $.
  $}

  ${
    biantrur.1 $e |- ph $.
    $( A wff is equivalent to its conjunction with truth.  (Contributed by NM,
       3-Aug-1994.) $)
    biantrur $p |- ( ps <-> ( ph /\ ps ) ) $=
      ( biantru biancomi ) BABABCDE $.
  $}

  ${
    biantrud.1 $e |- ( ph -> ps ) $.
    $( A wff is equivalent to its conjunction with truth.  (Contributed by NM,
       2-Aug-1994.)  (Proof shortened by Wolf Lammen, 23-Oct-2013.) $)
    biantrud $p |- ( ph -> ( ch <-> ( ch /\ ps ) ) ) $=
      ( wa wb iba syl ) ABCCBEFDBCGH $.

    $( A wff is equivalent to its conjunction with truth.  (Contributed by NM,
       1-May-1995.)  (Proof shortened by Andrew Salmon, 7-May-2011.) $)
    biantrurd $p |- ( ph -> ( ch <-> ( ps /\ ch ) ) ) $=
      ( wa wb ibar syl ) ABCBCEFDBCGH $.
  $}

  ${
    bianfi.1 $e |- -. ph $.
    $( A wff conjoined with falsehood is false.  (Contributed by NM,
       21-Jun-1993.)  (Proof shortened by Wolf Lammen, 26-Nov-2012.) $)
    bianfi $p |- ( ph <-> ( ps /\ ph ) ) $=
      ( wa intnan 2false ) ABADCABCEF $.
  $}

  ${
    bianfd.1 $e |- ( ph -> -. ps ) $.
    $( A wff conjoined with falsehood is false.  (Contributed by NM,
       27-Mar-1995.)  (Proof shortened by Wolf Lammen, 5-Nov-2013.) $)
    bianfd $p |- ( ph -> ( ps <-> ( ps /\ ch ) ) ) $=
      ( wa intnanrd 2falsed ) ABBCEDABCDFG $.
  $}

  ${
    baib.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Move conjunction outside of biconditional.  (Contributed by NM,
       13-May-1999.) $)
    baib $p |- ( ps -> ( ph <-> ch ) ) $=
      ( wa ibar bitr4id ) BABCECDBCFG $.

    $( Move conjunction outside of biconditional.  (Contributed by NM,
       11-Jul-1994.) $)
    baibr $p |- ( ps -> ( ch <-> ph ) ) $=
      ( baib bicomd ) BACABCDEF $.

    $( Move conjunction outside of biconditional.  (Contributed by Mario
       Carneiro, 11-Sep-2015.)  (Proof shortened by Wolf Lammen,
       19-Jan-2020.) $)
    rbaibr $p |- ( ch -> ( ps <-> ph ) ) $=
      ( biancomi baibr ) ACBACBDEF $.

    $( Move conjunction outside of biconditional.  (Contributed by Mario
       Carneiro, 11-Sep-2015.)  (Proof shortened by Wolf Lammen,
       19-Jan-2020.) $)
    rbaib $p |- ( ch -> ( ph <-> ps ) ) $=
      ( rbaibr bicomd ) CBAABCDEF $.
  $}

  ${
    baibd.1 $e |- ( ph -> ( ps <-> ( ch /\ th ) ) ) $.
    $( Move conjunction outside of biconditional.  (Contributed by Mario
       Carneiro, 11-Sep-2015.) $)
    baibd $p |- ( ( ph /\ ch ) -> ( ps <-> th ) ) $=
      ( wa ibar bicomd sylan9bb ) ABCDFZCDECDJCDGHI $.

    $( Move conjunction outside of biconditional.  (Contributed by Mario
       Carneiro, 11-Sep-2015.) $)
    rbaibd $p |- ( ( ph /\ th ) -> ( ps <-> ch ) ) $=
      ( biancomd baibd ) ABDCABDCEFG $.
  $}

  ${
    bianabs.1 $e |- ( ph -> ( ps <-> ( ph /\ ch ) ) ) $.
    $( Absorb a hypothesis into the second member of a biconditional.
       (Contributed by FL, 15-Feb-2007.) $)
    bianabs $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wa ibar bitr4d ) ABACECDACFG $.
  $}

  $( Theorem *5.44 of [WhiteheadRussell] p. 125.  (Contributed by NM,
     3-Jan-2005.) $)
  pm5.44 $p |- ( ( ph -> ps ) -> ( ( ph -> ch ) <->
                ( ph -> ( ps /\ ch ) ) ) ) $=
    ( wa wi jcab baibr ) ABCDEABEACEABCFG $.

  $( Theorem *5.42 of [WhiteheadRussell] p. 125.  (Contributed by NM,
     3-Jan-2005.) $)
  pm5.42 $p |- ( ( ph -> ( ps -> ch ) ) <->
                ( ph -> ( ps -> ( ph /\ ch ) ) ) ) $=
    ( wi wa ibar imbi2d pm5.74i ) ABCDBACEZDACIBACFGH $.

  $( Conjoin antecedent to left of consequent.  (Contributed by NM,
     15-Aug-1994.) $)
  ancl $p |- ( ( ph -> ps ) -> ( ph -> ( ph /\ ps ) ) ) $=
    ( wa pm3.2 a2i ) ABABCABDE $.

  $( Conjoin antecedent to left of consequent.  Theorem *4.7 of
     [WhiteheadRussell] p. 120.  (Contributed by NM, 25-Jul-1999.)  (Proof
     shortened by Wolf Lammen, 24-Mar-2013.) $)
  anclb $p |- ( ( ph -> ps ) <-> ( ph -> ( ph /\ ps ) ) ) $=
    ( wa ibar pm5.74i ) ABABCABDE $.

  $( Conjoin antecedent to right of consequent.  (Contributed by NM,
     15-Aug-1994.) $)
  ancr $p |- ( ( ph -> ps ) -> ( ph -> ( ps /\ ph ) ) ) $=
    ( wa pm3.21 a2i ) ABBACABDE $.

  $( Conjoin antecedent to right of consequent.  (Contributed by NM,
     25-Jul-1999.)  (Proof shortened by Wolf Lammen, 24-Mar-2013.) $)
  ancrb $p |- ( ( ph -> ps ) <-> ( ph -> ( ps /\ ph ) ) ) $=
    ( wa iba pm5.74i ) ABBACABDE $.

  ${
    ancli.1 $e |- ( ph -> ps ) $.
    $( Deduction conjoining antecedent to left of consequent.  (Contributed by
       NM, 12-Aug-1993.) $)
    ancli $p |- ( ph -> ( ph /\ ps ) ) $=
      ( id jca ) AABADCE $.
  $}

  ${
    ancri.1 $e |- ( ph -> ps ) $.
    $( Deduction conjoining antecedent to right of consequent.  (Contributed by
       NM, 15-Aug-1994.) $)
    ancri $p |- ( ph -> ( ps /\ ph ) ) $=
      ( id jca ) ABACADE $.
  $}

  ${
    ancld.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction conjoining antecedent to left of consequent in nested
       implication.  (Contributed by NM, 15-Aug-1994.)  (Proof shortened by
       Wolf Lammen, 1-Nov-2012.) $)
    ancld $p |- ( ph -> ( ps -> ( ps /\ ch ) ) ) $=
      ( idd jcad ) ABBCABEDF $.
  $}

  ${
    ancrd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction conjoining antecedent to right of consequent in nested
       implication.  (Contributed by NM, 15-Aug-1994.)  (Proof shortened by
       Wolf Lammen, 1-Nov-2012.) $)
    ancrd $p |- ( ph -> ( ps -> ( ch /\ ps ) ) ) $=
      ( idd jcad ) ABCBDABEF $.
  $}

  ${
    impac.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Importation with conjunction in consequent.  (Contributed by NM,
       9-Aug-1994.) $)
    impac $p |- ( ( ph /\ ps ) -> ( ch /\ ps ) ) $=
      ( wa ancrd imp ) ABCBEABCDFG $.
  $}

  $( Conjoin antecedent to left of consequent in nested implication.
     (Contributed by NM, 10-Aug-1994.)  (Proof shortened by Wolf Lammen,
     14-Jul-2013.) $)
  anc2l $p |- ( ( ph -> ( ps -> ch ) ) -> ( ph -> ( ps -> ( ph /\ ch ) ) ) ) $=
    ( wi wa pm5.42 biimpi ) ABCDDABACEDDABCFG $.

  $( Conjoin antecedent to right of consequent in nested implication.
     (Contributed by NM, 15-Aug-1994.) $)
  anc2r $p |- ( ( ph -> ( ps -> ch ) ) -> ( ph -> ( ps -> ( ch /\ ph ) ) ) ) $=
    ( wi wa pm3.21 imim2d a2i ) ABCDBCAEZDACIBACFGH $.

  ${
    anc2li.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction conjoining antecedent to left of consequent in nested
       implication.  (Contributed by NM, 10-Aug-1994.)  (Proof shortened by
       Wolf Lammen, 7-Dec-2012.) $)
    anc2li $p |- ( ph -> ( ps -> ( ph /\ ch ) ) ) $=
      ( id jctild ) ABCADAEF $.
  $}

  ${
    anc2ri.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction conjoining antecedent to right of consequent in nested
       implication.  (Contributed by NM, 15-Aug-1994.)  (Proof shortened by
       Wolf Lammen, 7-Dec-2012.) $)
    anc2ri $p |- ( ph -> ( ps -> ( ch /\ ph ) ) ) $=
      ( id jctird ) ABCADAEF $.
  $}

  $( Implication in terms of biconditional and conjunction.  Theorem *4.71 of
     [WhiteheadRussell] p. 120.  (Contributed by NM, 21-Jun-1993.)  (Proof
     shortened by Wolf Lammen, 2-Dec-2012.) $)
  pm4.71 $p |- ( ( ph -> ps ) <-> ( ph <-> ( ph /\ ps ) ) ) $=
    ( wa wi wb simpl biantru anclb dfbi2 3bitr4i ) AABCZDZLKADZCABDAKEMLABFGABH
    AKIJ $.

  $( Implication in terms of biconditional and conjunction.  Theorem *4.71 of
     [WhiteheadRussell] p. 120 (with conjunct reversed).  (Contributed by NM,
     25-Jul-1999.) $)
  pm4.71r $p |- ( ( ph -> ps ) <-> ( ph <-> ( ps /\ ph ) ) ) $=
    ( wi wa wb pm4.71 ancom bibi2i bitri ) ABCAABDZEABADZEABFJKAABGHI $.

  ${
    pm4.71i.1 $e |- ( ph -> ps ) $.
    $( Inference converting an implication to a biconditional with conjunction.
       Inference from Theorem *4.71 of [WhiteheadRussell] p. 120.  (Contributed
       by NM, 4-Jan-2004.) $)
    pm4.71i $p |- ( ph <-> ( ph /\ ps ) ) $=
      ( wi wa wb pm4.71 mpbi ) ABDAABEFCABGH $.
  $}

  ${
    pm4.71ri.1 $e |- ( ph -> ps ) $.
    $( Inference converting an implication to a biconditional with conjunction.
       Inference from Theorem *4.71 of [WhiteheadRussell] p. 120 (with conjunct
       reversed).  (Contributed by NM, 1-Dec-2003.) $)
    pm4.71ri $p |- ( ph <-> ( ps /\ ph ) ) $=
      ( pm4.71i biancomi ) ABAABCDE $.
  $}

  ${
    pm4.71rd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction converting an implication to a biconditional with conjunction.
       Deduction from Theorem *4.71 of [WhiteheadRussell] p. 120.  (Contributed
       by Mario Carneiro, 25-Dec-2016.) $)
    pm4.71d $p |- ( ph -> ( ps <-> ( ps /\ ch ) ) ) $=
      ( wi wa wb pm4.71 sylib ) ABCEBBCFGDBCHI $.

    $( Deduction converting an implication to a biconditional with conjunction.
       Deduction from Theorem *4.71 of [WhiteheadRussell] p. 120.  (Contributed
       by NM, 10-Feb-2005.) $)
    pm4.71rd $p |- ( ph -> ( ps <-> ( ch /\ ps ) ) ) $=
      ( pm4.71d biancomd ) ABCBABCDEF $.
  $}

  $( Theorem *4.24 of [WhiteheadRussell] p. 117.  (Contributed by NM,
     11-May-1993.) $)
  pm4.24 $p |- ( ph <-> ( ph /\ ph ) ) $=
    ( id pm4.71i ) AAABC $.

  $( Idempotent law for conjunction.  (Contributed by NM, 8-Jan-2004.)  (Proof
     shortened by Wolf Lammen, 14-Mar-2014.) $)
  anidm $p |- ( ( ph /\ ph ) <-> ph ) $=
    ( wa pm4.24 bicomi ) AAABACD $.

  $( Conjunction idempotence with antecedent.  (Contributed by Roy F. Longton,
     8-Aug-2005.) $)
  anidmdbi $p |- ( ( ph -> ( ps /\ ps ) ) <-> ( ph -> ps ) ) $=
    ( wa anidm imbi2i ) BBCBABDE $.

  ${
    anidms.1 $e |- ( ( ph /\ ph ) -> ps ) $.
    $( Inference from idempotent law for conjunction.  (Contributed by NM,
       15-Jun-1994.) $)
    anidms $p |- ( ph -> ps ) $=
      ( ex pm2.43i ) ABAABCDE $.
  $}

  $( Distribution of implication with conjunction.  (Contributed by NM,
     31-May-1999.)  (Proof shortened by Wolf Lammen, 6-Dec-2012.) $)
  imdistan $p |- ( ( ph -> ( ps -> ch ) ) <->
                ( ( ph /\ ps ) -> ( ph /\ ch ) ) ) $=
    ( wi wa pm5.42 impexp bitr4i ) ABCDDABACEZDDABEIDABCFABIGH $.

  ${
    imdistani.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Distribution of implication with conjunction.  (Contributed by NM,
       1-Aug-1994.) $)
    imdistani $p |- ( ( ph /\ ps ) -> ( ph /\ ch ) ) $=
      ( wa anc2li imp ) ABACEABCDFG $.
  $}

  ${
    imdistanri.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Distribution of implication with conjunction.  (Contributed by NM,
       8-Jan-2002.) $)
    imdistanri $p |- ( ( ps /\ ph ) -> ( ch /\ ph ) ) $=
      ( com12 impac ) BACABCDEF $.
  $}

  ${
    imdistand.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( Distribution of implication with conjunction (deduction form).
       (Contributed by NM, 27-Aug-2004.) $)
    imdistand $p |- ( ph -> ( ( ps /\ ch ) -> ( ps /\ th ) ) ) $=
      ( wi wa imdistan sylib ) ABCDFFBCGBDGFEBCDHI $.
  $}

  ${
    imdistanda.1 $e |- ( ( ph /\ ps ) -> ( ch -> th ) ) $.
    $( Distribution of implication with conjunction (deduction version with
       conjoined antecedent).  (Contributed by Jeff Madsen, 19-Jun-2011.) $)
    imdistanda $p |- ( ph -> ( ( ps /\ ch ) -> ( ps /\ th ) ) ) $=
      ( wi ex imdistand ) ABCDABCDFEGH $.
  $}

  $( Theorem *5.3 of [WhiteheadRussell] p. 125.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Andrew Salmon, 7-May-2011.) $)
  pm5.3 $p |- ( ( ( ph /\ ps ) -> ch ) <->
               ( ( ph /\ ps ) -> ( ph /\ ch ) ) ) $=
    ( wa simpl biantrurd pm5.74i ) ABDZCACDHACABEFG $.

  $( Distribution of implication over biconditional.  Theorem *5.32 of
     [WhiteheadRussell] p. 125.  (Contributed by NM, 1-Aug-1994.) $)
  pm5.32 $p |- ( ( ph -> ( ps <-> ch ) ) <->
               ( ( ph /\ ps ) <-> ( ph /\ ch ) ) ) $=
    ( wb wi wn wa notbi imbi2i pm5.74 3bitri df-an bibi12i bitr4i ) ABCDZEZABFZ
    EZFZACFZEZFZDZABGZACGZDPAQTDZERUADUCOUFABCHIAQTJRUAHKUDSUEUBABLACLMN $.

  ${
    pm5.32i.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Distribution of implication over biconditional (inference form).
       (Contributed by NM, 1-Aug-1994.) $)
    pm5.32i $p |- ( ( ph /\ ps ) <-> ( ph /\ ch ) ) $=
      ( wb wi wa pm5.32 mpbi ) ABCEFABGACGEDABCHI $.

    $( Distribution of implication over biconditional (inference form).
       (Contributed by NM, 12-Mar-1995.) $)
    pm5.32ri $p |- ( ( ps /\ ph ) <-> ( ch /\ ph ) ) $=
      ( wa pm5.32i ancom 3bitr4i ) ABEACEBAECAEABCDFBAGCAGH $.
  $}

  ${
    pm5.32d.1 $e |- ( ph -> ( ps -> ( ch <-> th ) ) ) $.
    $( Distribution of implication over biconditional (deduction form).
       (Contributed by NM, 29-Oct-1996.) $)
    pm5.32d $p |- ( ph -> ( ( ps /\ ch ) <-> ( ps /\ th ) ) ) $=
      ( wb wi wa pm5.32 sylib ) ABCDFGBCHBDHFEBCDIJ $.

    $( Distribution of implication over biconditional (deduction form).
       (Contributed by NM, 25-Dec-2004.) $)
    pm5.32rd $p |- ( ph -> ( ( ch /\ ps ) <-> ( th /\ ps ) ) ) $=
      ( wa pm5.32d ancom 3bitr4g ) ABCFBDFCBFDBFABCDEGCBHDBHI $.
  $}

  ${
    pm5.32da.1 $e |- ( ( ph /\ ps ) -> ( ch <-> th ) ) $.
    $( Distribution of implication over biconditional (deduction form).
       (Contributed by NM, 9-Dec-2006.) $)
    pm5.32da $p |- ( ph -> ( ( ps /\ ch ) <-> ( ps /\ th ) ) ) $=
      ( wb ex pm5.32d ) ABCDABCDFEGH $.
  $}

  ${
    sylan.1 $e |- ( ph -> ps ) $.
    sylan.2 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A syllogism inference.  (Contributed by NM, 21-Apr-1994.)  (Proof
       shortened by Wolf Lammen, 22-Nov-2012.) $)
    sylan $p |- ( ( ph /\ ch ) -> th ) $=
      ( expcom mpan9 ) ABCDEBCDFGH $.
  $}

  ${
    sylanb.1 $e |- ( ph <-> ps ) $.
    sylanb.2 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A syllogism inference.  (Contributed by NM, 18-May-1994.) $)
    sylanb $p |- ( ( ph /\ ch ) -> th ) $=
      ( biimpi sylan ) ABCDABEGFH $.
  $}

  ${
    sylanbr.1 $e |- ( ps <-> ph ) $.
    sylanbr.2 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A syllogism inference.  (Contributed by NM, 18-May-1994.) $)
    sylanbr $p |- ( ( ph /\ ch ) -> th ) $=
      ( biimpri sylan ) ABCDBAEGFH $.
  $}

  ${
    sylanbrc.1 $e |- ( ph -> ps ) $.
    sylanbrc.2 $e |- ( ph -> ch ) $.
    sylanbrc.3 $e |- ( th <-> ( ps /\ ch ) ) $.
    $( Syllogism inference.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    sylanbrc $p |- ( ph -> th ) $=
      ( wa jca sylibr ) ABCHDABCEFIGJ $.
  $}

  ${
    syl2anc.1 $e |- ( ph -> ps ) $.
    syl2anc.2 $e |- ( ph -> ch ) $.
    syl2anc.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( Syllogism inference combined with contraction.  (Contributed by NM,
       16-Mar-2012.) $)
    syl2anc $p |- ( ph -> th ) $=
      ( ex sylc ) ABCDEFBCDGHI $.
  $}

  ${
    syl2anc2.1 $e |- ( ph -> ps ) $.
    syl2anc2.2 $e |- ( ps -> ch ) $.
    syl2anc2.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( Double syllogism inference combined with contraction.  (Contributed by
       BTernaryTau, 29-Sep-2023.) $)
    syl2anc2 $p |- ( ph -> th ) $=
      ( syl syl2anc ) ABCDEABCEFHGI $.
  $}

  ${
    sylancl.1 $e |- ( ph -> ps ) $.
    sylancl.2 $e |- ch $.
    sylancl.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( Syllogism inference combined with modus ponens.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    sylancl $p |- ( ph -> th ) $=
      ( a1i syl2anc ) ABCDECAFHGI $.
  $}

  ${
    sylancr.1 $e |- ps $.
    sylancr.2 $e |- ( ph -> ch ) $.
    sylancr.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( Syllogism inference combined with modus ponens.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    sylancr $p |- ( ph -> th ) $=
      ( a1i syl2anc ) ABCDBAEHFGI $.
  $}

  ${
    sylancom.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    sylancom.2 $e |- ( ( ch /\ ps ) -> th ) $.
    $( Syllogism inference with commutation of antecedents.  (Contributed by
       NM, 2-Jul-2008.) $)
    sylancom $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa simpr syl2anc ) ABGCBDEABHFI $.
  $}

  ${
    sylanblc.1 $e |- ( ph -> ps ) $.
    sylanblc.2 $e |- ch $.
    sylanblc.3 $e |- ( ( ps /\ ch ) <-> th ) $.
    $( Syllogism inference combined with a biconditional.  (Contributed by BJ,
       25-Apr-2019.) $)
    sylanblc $p |- ( ph -> th ) $=
      ( wa biimpi sylancl ) ABCDEFBCHDGIJ $.
  $}

  ${
    sylanblrc.1 $e |- ( ph -> ps ) $.
    sylanblrc.2 $e |- ch $.
    sylanblrc.3 $e |- ( th <-> ( ps /\ ch ) ) $.
    $( Syllogism inference combined with a biconditional.  (Contributed by BJ,
       25-Apr-2019.) $)
    sylanblrc $p |- ( ph -> th ) $=
      ( a1i sylanbrc ) ABCDECAFHGI $.
  $}

  ${
    syldan.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    syldan.2 $e |- ( ( ph /\ ch ) -> th ) $.
    $( A syllogism deduction with conjoined antecedents.  (Contributed by NM,
       24-Feb-2005.)  (Proof shortened by Wolf Lammen, 6-Apr-2013.) $)
    syldan $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa simpl syl2anc ) ABGACDABHEFI $.
  $}

  ${
    sylbida.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    sylbida.2 $e |- ( ( ph /\ ch ) -> th ) $.
    $( A syllogism deduction.  (Contributed by SN, 16-Jul-2024.) $)
    sylbida $p |- ( ( ph /\ ps ) -> th ) $=
      ( biimpa syldan ) ABCDABCEGFH $.
  $}

  ${
    sylan2.1 $e |- ( ph -> ch ) $.
    sylan2.2 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A syllogism inference.  (Contributed by NM, 21-Apr-1994.)  (Proof
       shortened by Wolf Lammen, 22-Nov-2012.) $)
    sylan2 $p |- ( ( ps /\ ph ) -> th ) $=
      ( adantl syldan ) BACDACBEGFH $.
  $}

  ${
    sylan2b.1 $e |- ( ph <-> ch ) $.
    sylan2b.2 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A syllogism inference.  (Contributed by NM, 21-Apr-1994.) $)
    sylan2b $p |- ( ( ps /\ ph ) -> th ) $=
      ( biimpi sylan2 ) ABCDACEGFH $.
  $}

  ${
    sylan2br.1 $e |- ( ch <-> ph ) $.
    sylan2br.2 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A syllogism inference.  (Contributed by NM, 21-Apr-1994.) $)
    sylan2br $p |- ( ( ps /\ ph ) -> th ) $=
      ( biimpri sylan2 ) ABCDCAEGFH $.
  $}

  ${
    syl2an.1 $e |- ( ph -> ps ) $.
    syl2an.2 $e |- ( ta -> ch ) $.
    syl2an.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A double syllogism inference.  For an implication-only version, see
       ~ syl2im .  (Contributed by NM, 31-Jan-1997.) $)
    syl2an $p |- ( ( ph /\ ta ) -> th ) $=
      ( sylan sylan2 ) EACDGABCDFHIJ $.

    $( A double syllogism inference.  For an implication-only version, see
       ~ syl2imc .  (Contributed by NM, 17-Sep-2013.) $)
    syl2anr $p |- ( ( ta /\ ph ) -> th ) $=
      ( syl2an ancoms ) AEDABCDEFGHIJ $.
  $}

  ${
    syl2anb.1 $e |- ( ph <-> ps ) $.
    syl2anb.2 $e |- ( ta <-> ch ) $.
    syl2anb.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A double syllogism inference.  (Contributed by NM, 29-Jul-1999.) $)
    syl2anb $p |- ( ( ph /\ ta ) -> th ) $=
      ( sylanb sylan2b ) EACDGABCDFHIJ $.
  $}

  ${
    syl2anbr.1 $e |- ( ps <-> ph ) $.
    syl2anbr.2 $e |- ( ch <-> ta ) $.
    syl2anbr.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A double syllogism inference.  (Contributed by NM, 29-Jul-1999.) $)
    syl2anbr $p |- ( ( ph /\ ta ) -> th ) $=
      ( sylanbr sylan2br ) EACDGABCDFHIJ $.
  $}

  ${
    sylancb.1 $e |- ( ph <-> ps ) $.
    sylancb.2 $e |- ( ph <-> ch ) $.
    sylancb.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A syllogism inference combined with contraction.  (Contributed by NM,
       3-Sep-2004.) $)
    sylancb $p |- ( ph -> th ) $=
      ( syl2anb anidms ) ADABCDAEFGHI $.
  $}

  ${
    sylancbr.1 $e |- ( ps <-> ph ) $.
    sylancbr.2 $e |- ( ch <-> ph ) $.
    sylancbr.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A syllogism inference combined with contraction.  (Contributed by NM,
       3-Sep-2004.) $)
    sylancbr $p |- ( ph -> th ) $=
      ( syl2anbr anidms ) ADABCDAEFGHI $.
  $}

  ${
    syldanl.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    syldanl.2 $e |- ( ( ( ph /\ ch ) /\ th ) -> ta ) $.
    $( A syllogism deduction with conjoined antecedents.  (Contributed by Jeff
       Madsen, 20-Jun-2011.) $)
    syldanl $p |- ( ( ( ph /\ ps ) /\ th ) -> ta ) $=
      ( wa ex imdistani sylan ) ABHACHDEABCABCFIJGK $.
  $}

  ${
    syland.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syland.2 $e |- ( ph -> ( ( ch /\ th ) -> ta ) ) $.
    $( A syllogism deduction.  (Contributed by NM, 15-Dec-2004.) $)
    syland $p |- ( ph -> ( ( ps /\ th ) -> ta ) ) $=
      ( wi expd syld impd ) ABDEABCDEHFACDEGIJK $.
  $}

  ${
    sylani.1 $e |- ( ph -> ch ) $.
    sylani.2 $e |- ( ps -> ( ( ch /\ th ) -> ta ) ) $.
    $( A syllogism inference.  (Contributed by NM, 2-May-1996.) $)
    sylani $p |- ( ps -> ( ( ph /\ th ) -> ta ) ) $=
      ( wi a1i syland ) BACDEACHBFIGJ $.
  $}

  ${
    sylan2d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylan2d.2 $e |- ( ph -> ( ( th /\ ch ) -> ta ) ) $.
    $( A syllogism deduction.  (Contributed by NM, 15-Dec-2004.) $)
    sylan2d $p |- ( ph -> ( ( th /\ ps ) -> ta ) ) $=
      ( ancomsd syland ) ABDEABCDEFADCEGHIH $.
  $}

  ${
    sylan2i.1 $e |- ( ph -> th ) $.
    sylan2i.2 $e |- ( ps -> ( ( ch /\ th ) -> ta ) ) $.
    $( A syllogism inference.  (Contributed by NM, 1-Aug-1994.) $)
    sylan2i $p |- ( ps -> ( ( ch /\ ph ) -> ta ) ) $=
      ( wi a1i sylan2d ) BADCEADHBFIGJ $.
  $}

  ${
    syl2ani.1 $e |- ( ph -> ch ) $.
    syl2ani.2 $e |- ( et -> th ) $.
    syl2ani.3 $e |- ( ps -> ( ( ch /\ th ) -> ta ) ) $.
    $( A syllogism inference.  (Contributed by NM, 3-Aug-1999.) $)
    syl2ani $p |- ( ps -> ( ( ph /\ et ) -> ta ) ) $=
      ( sylan2i sylani ) ABCFEGFBCDEHIJK $.
  $}

  ${
    syl2and.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl2and.2 $e |- ( ph -> ( th -> ta ) ) $.
    syl2and.3 $e |- ( ph -> ( ( ch /\ ta ) -> et ) ) $.
    $( A syllogism deduction.  (Contributed by NM, 15-Dec-2004.) $)
    syl2and $p |- ( ph -> ( ( ps /\ th ) -> et ) ) $=
      ( sylan2d syland ) ABCDFGADECFHIJK $.
  $}

  ${
    anim12d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    anim12d.2 $e |- ( ph -> ( th -> ta ) ) $.
    $( Conjoin antecedents and consequents in a deduction.  (Contributed by NM,
       3-Apr-1994.)  (Proof shortened by Wolf Lammen, 18-Dec-2013.) $)
    anim12d $p |- ( ph -> ( ( ps /\ th ) -> ( ch /\ ta ) ) ) $=
      ( wa idd syl2and ) ABCDECEHZFGAKIJ $.
  $}

  ${
    anim12d1.1 $e |- ( ph -> ( ps -> ch ) ) $.
    anim12d1.2 $e |- ( th -> ta ) $.
    $( Variant of ~ anim12d where the second implication does not depend on the
       antecedent.  (Contributed by Rodolfo Medina, 12-Oct-2010.) $)
    anim12d1 $p |- ( ph -> ( ( ps /\ th ) -> ( ch /\ ta ) ) ) $=
      ( wi a1i anim12d ) ABCDEFDEHAGIJ $.
  $}

  ${
    anim1d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Add a conjunct to right of antecedent and consequent in a deduction.
       (Contributed by NM, 3-Apr-1994.) $)
    anim1d $p |- ( ph -> ( ( ps /\ th ) -> ( ch /\ th ) ) ) $=
      ( idd anim12d ) ABCDDEADFG $.

    $( Add a conjunct to left of antecedent and consequent in a deduction.
       (Contributed by NM, 14-May-1993.) $)
    anim2d $p |- ( ph -> ( ( th /\ ps ) -> ( th /\ ch ) ) ) $=
      ( idd anim12d ) ADDBCADFEG $.
  $}

  ${
    anim12i.1 $e |- ( ph -> ps ) $.
    anim12i.2 $e |- ( ch -> th ) $.
    $( Conjoin antecedents and consequents of two premises.  (Contributed by
       NM, 3-Jan-1993.)  (Proof shortened by Wolf Lammen, 14-Dec-2013.) $)
    anim12i $p |- ( ( ph /\ ch ) -> ( ps /\ th ) ) $=
      ( wa id syl2an ) ABDBDGZCEFJHI $.

    $( Variant of ~ anim12i with commutation.  (Contributed by Jonathan
       Ben-Naim, 3-Jun-2011.) $)
    anim12ci $p |- ( ( ph /\ ch ) -> ( th /\ ps ) ) $=
      ( wa anim12i ancoms ) CADBGCDABFEHI $.
  $}

  ${
    anim1i.1 $e |- ( ph -> ps ) $.
    $( Introduce conjunct to both sides of an implication.  (Contributed by NM,
       5-Aug-1993.) $)
    anim1i $p |- ( ( ph /\ ch ) -> ( ps /\ ch ) ) $=
      ( id anim12i ) ABCCDCEF $.

    $( Introduce conjunct to both sides of an implication.  (Contributed by
       Peter Mazsa, 24-Sep-2022.) $)
    anim1ci $p |- ( ( ph /\ ch ) -> ( ch /\ ps ) ) $=
      ( id anim12ci ) ABCCDCEF $.

    $( Introduce conjunct to both sides of an implication.  (Contributed by NM,
       3-Jan-1993.) $)
    anim2i $p |- ( ( ch /\ ph ) -> ( ch /\ ps ) ) $=
      ( id anim12i ) CCABCEDF $.
  $}

  ${
    anim12ii.1 $e |- ( ph -> ( ps -> ch ) ) $.
    anim12ii.2 $e |- ( th -> ( ps -> ta ) ) $.
    $( Conjoin antecedents and consequents in a deduction.  (Contributed by NM,
       11-Nov-2007.)  (Proof shortened by Wolf Lammen, 19-Jul-2013.) $)
    anim12ii $p |- ( ( ph /\ th ) -> ( ps -> ( ch /\ ta ) ) ) $=
      ( wi wa pm3.43 syl2an ) ABCHBEHBCEIHDFGBCEJK $.
  $}

  ${
    anim12dan.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    anim12dan.2 $e |- ( ( ph /\ th ) -> ta ) $.
    $( Conjoin antecedents and consequents in a deduction.  (Contributed by
       Jeff Madsen, 16-Jun-2011.) $)
    anim12dan $p |- ( ( ph /\ ( ps /\ th ) ) -> ( ch /\ ta ) ) $=
      ( wa ex anim12d imp ) ABDHCEHABCDEABCFIADEGIJK $.
  $}

  ${
    im2an9.1 $e |- ( ph -> ( ps -> ch ) ) $.
    im2an9.2 $e |- ( th -> ( ta -> et ) ) $.
    $( Deduction joining nested implications to form implication of
       conjunctions.  (Contributed by NM, 29-Feb-1996.) $)
    im2anan9 $p |- ( ( ph /\ th ) -> ( ( ps /\ ta ) -> ( ch /\ et ) ) ) $=
      ( wa adantrd adantld anim12ii ) ABEICDFABCEGJDEFBHKL $.

    $( Deduction joining nested implications to form implication of
       conjunctions.  (Contributed by NM, 29-Feb-1996.) $)
    im2anan9r $p |- ( ( th /\ ph ) -> ( ( ps /\ ta ) -> ( ch /\ et ) ) ) $=
      ( wa wi im2anan9 ancoms ) ADBEICFIJABCDEFGHKL $.
  $}

  $( Theorem *3.45 (Fact) of [WhiteheadRussell] p. 113.  (Contributed by NM,
     3-Jan-2005.) $)
  pm3.45 $p |- ( ( ph -> ps ) -> ( ( ph /\ ch ) -> ( ps /\ ch ) ) ) $=
    ( wi id anim1d ) ABDZABCGEF $.

  ${
    anbi.1 $e |- ( ph <-> ps ) $.
    $( Introduce a left conjunct to both sides of a logical equivalence.
       (Contributed by NM, 3-Jan-1993.)  (Proof shortened by Wolf Lammen,
       16-Nov-2013.) $)
    anbi2i $p |- ( ( ch /\ ph ) <-> ( ch /\ ps ) ) $=
      ( wb a1i pm5.32i ) CABABECDFG $.

    $( Introduce a right conjunct to both sides of a logical equivalence.
       (Contributed by NM, 12-Mar-1993.)  (Proof shortened by Wolf Lammen,
       16-Nov-2013.) $)
    anbi1i $p |- ( ( ph /\ ch ) <-> ( ps /\ ch ) ) $=
      ( wb a1i pm5.32ri ) CABABECDFG $.

    $( Variant of ~ anbi2i with commutation.  (Contributed by Jonathan
       Ben-Naim, 3-Jun-2011.)  (Proof shortened by Andrew Salmon,
       14-Jun-2011.) $)
    anbi2ci $p |- ( ( ph /\ ch ) <-> ( ch /\ ps ) ) $=
      ( wa anbi1i biancomi ) ACECBABCDFG $.

    $( Variant of ~ anbi1i with commutation.  (Contributed by Peter Mazsa,
       7-Mar-2020.) $)
    anbi1ci $p |- ( ( ch /\ ph ) <-> ( ps /\ ch ) ) $=
      ( wa anbi2i biancomi ) CAEBCABCDFG $.
  $}

  ${
    anbi12.1 $e |- ( ph <-> ps ) $.
    anbi12.2 $e |- ( ch <-> th ) $.
    $( Conjoin both sides of two equivalences.  (Contributed by NM,
       12-Mar-1993.) $)
    anbi12i $p |- ( ( ph /\ ch ) <-> ( ps /\ th ) ) $=
      ( wa anbi1i anbi2i bitri ) ACGBCGBDGABCEHCDBFIJ $.

    $( Variant of ~ anbi12i with commutation.  (Contributed by Jonathan
       Ben-Naim, 3-Jun-2011.) $)
    anbi12ci $p |- ( ( ph /\ ch ) <-> ( th /\ ps ) ) $=
      ( wa anbi12i biancomi ) ACGDBABCDEFHI $.
  $}

  ${
    anbid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduction adding a left conjunct to both sides of a logical equivalence.
       (Contributed by NM, 11-May-1993.)  (Proof shortened by Wolf Lammen,
       16-Nov-2013.) $)
    anbi2d $p |- ( ph -> ( ( th /\ ps ) <-> ( th /\ ch ) ) ) $=
      ( wb a1d pm5.32d ) ADBCABCFDEGH $.

    $( Deduction adding a right conjunct to both sides of a logical
       equivalence.  (Contributed by NM, 11-May-1993.)  (Proof shortened by
       Wolf Lammen, 16-Nov-2013.) $)
    anbi1d $p |- ( ph -> ( ( ps /\ th ) <-> ( ch /\ th ) ) ) $=
      ( wb a1d pm5.32rd ) ADBCABCFDEGH $.
  $}

  ${
    anbi12d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    anbi12d.2 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Deduction joining two equivalences to form equivalence of conjunctions.
       (Contributed by NM, 26-May-1993.) $)
    anbi12d $p |- ( ph -> ( ( ps /\ th ) <-> ( ch /\ ta ) ) ) $=
      ( wa anbi1d anbi2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
  $}

  $( Introduce a right conjunct to both sides of a logical equivalence.
     Theorem *4.36 of [WhiteheadRussell] p. 118.  (Contributed by NM,
     3-Jan-2005.) $)
  anbi1 $p |- ( ( ph <-> ps ) -> ( ( ph /\ ch ) <-> ( ps /\ ch ) ) ) $=
    ( wb id anbi1d ) ABDZABCGEF $.

  $( Introduce a left conjunct to both sides of a logical equivalence.
     (Contributed by NM, 16-Nov-2013.) $)
  anbi2 $p |- ( ( ph <-> ps ) -> ( ( ch /\ ph ) <-> ( ch /\ ps ) ) ) $=
    ( wb id anbi2d ) ABDZABCGEF $.

  ${
    anbi1cd.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Introduce a proposition as left conjunct on the left-hand side and right
       conjunct on the right-hand side of an equivalence.  Deduction form.
       (Contributed by Peter Mazsa, 22-May-2021.) $)
    anbi1cd $p |- ( ph -> ( ( th /\ ps ) <-> ( ch /\ th ) ) ) $=
      ( wa anbi2d biancomd ) ADBFCDABCDEGH $.
  $}

  $( Theorem *4.38 of [WhiteheadRussell] p. 118.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.38 $p |- ( ( ( ph <-> ch ) /\ ( ps <-> th ) ) ->
                ( ( ph /\ ps ) <-> ( ch /\ th ) ) ) $=
    ( wb wa simpl simpr anbi12d ) ACEZBDEZFACBDJKGJKHI $.

  ${
    bi2an9.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bi2an9.2 $e |- ( th -> ( ta <-> et ) ) $.
    $( Deduction joining two equivalences to form equivalence of conjunctions.
       (Contributed by NM, 31-Jul-1995.) $)
    bi2anan9 $p |- ( ( ph /\ th ) -> ( ( ps /\ ta ) <-> ( ch /\ et ) ) ) $=
      ( wb wa pm4.38 syl2an ) ABCIEFIBEJCFJIDGHBECFKL $.

    $( Deduction joining two equivalences to form equivalence of conjunctions.
       (Contributed by NM, 19-Feb-1996.) $)
    bi2anan9r $p |- ( ( th /\ ph ) -> ( ( ps /\ ta ) <-> ( ch /\ et ) ) ) $=
      ( wa wb bi2anan9 ancoms ) ADBEICFIJABCDEFGHKL $.

    $( Deduction joining two biconditionals with different antecedents.
       (Contributed by NM, 12-May-2004.) $)
    bi2bian9 $p |- ( ( ph /\ th ) -> ( ( ps <-> ta ) <-> ( ch <-> et ) ) ) $=
      ( wa wb adantr adantl bibi12d ) ADIBCEFABCJDGKDEFJAHLM $.
  $}

  ${
    bianass.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( An inference to merge two lists of conjuncts.  (Contributed by Giovanni
       Mascellani, 23-May-2019.) $)
    bianass $p |- ( ( et /\ ph ) <-> ( ( et /\ ps ) /\ ch ) ) $=
      ( wa anbi2i anass bitr4i ) DAFDBCFZFDBFCFAJDEGDBCHI $.

    $( An inference to merge two lists of conjuncts.  (Contributed by Peter
       Mazsa, 24-Sep-2022.) $)
    bianassc $p |- ( ( et /\ ph ) <-> ( ( ps /\ et ) /\ ch ) ) $=
      ( wa bianass ancom anbi1i bitri ) DAFDBFZCFBDFZCFABCDEGKLCDBHIJ $.
  $}

  $( Swap two conjuncts.  (Contributed by Peter Mazsa, 18-Sep-2022.) $)
  an21 $p |- ( ( ( ph /\ ps ) /\ ch ) <-> ( ps /\ ( ph /\ ch ) ) ) $=
    ( wa biid bianassc bicomi ) BACDZDABDCDHACBHEFG $.

  $( Swap two conjuncts.  Note that the first digit (1) in the label refers to
     the outer conjunct position, and the next digit (2) to the inner conjunct
     position.  (Contributed by NM, 12-Mar-1995.)  (Proof shortened by Peter
     Mazsa, 18-Sep-2022.) $)
  an12 $p |- ( ( ph /\ ( ps /\ ch ) ) <-> ( ps /\ ( ph /\ ch ) ) ) $=
    ( wa ancom bianass biancomi ) ABCDZDBACDHCBABCEFG $.

  $( A rearrangement of conjuncts.  (Contributed by NM, 12-Mar-1995.)  (Proof
     shortened by Wolf Lammen, 25-Dec-2012.) $)
  an32 $p |- ( ( ( ph /\ ps ) /\ ch ) <-> ( ( ph /\ ch ) /\ ps ) ) $=
    ( wa an21 biancomi ) ABDCDACDBABCEF $.

  $( A rearrangement of conjuncts.  (Contributed by NM, 24-Jun-2012.)  (Proof
     shortened by Wolf Lammen, 31-Dec-2012.) $)
  an13 $p |- ( ( ph /\ ( ps /\ ch ) ) <-> ( ch /\ ( ps /\ ph ) ) ) $=
    ( wa an21 ancom bitr3i ) ABCDDBADZCDCHDBACEHCFG $.

  $( A rearrangement of conjuncts.  (Contributed by NM, 24-Jun-2012.)  (Proof
     shortened by Wolf Lammen, 31-Dec-2012.) $)
  an31 $p |- ( ( ( ph /\ ps ) /\ ch ) <-> ( ( ch /\ ps ) /\ ph ) ) $=
    ( wa an13 anass 3bitr4i ) ABCDDCBADDABDCDCBDADABCEABCFCBAFG $.

  ${
    an12s.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Swap two conjuncts in antecedent.  The label suffix "s" means that
       ~ an12 is combined with ~ syl (or a variant).  (Contributed by NM,
       13-Mar-1996.) $)
    an12s $p |- ( ( ps /\ ( ph /\ ch ) ) -> th ) $=
      ( wa an12 sylbi ) BACFFABCFFDBACGEH $.

    $( Inference commuting a nested conjunction in antecedent.  (Contributed by
       NM, 24-May-2006.)  (Proof shortened by Wolf Lammen, 24-Nov-2012.) $)
    ancom2s $p |- ( ( ph /\ ( ch /\ ps ) ) -> th ) $=
      ( wa pm3.22 sylan2 ) CBFABCFDCBGEH $.

    $( Swap two conjuncts in antecedent.  (Contributed by NM, 31-May-2006.) $)
    an13s $p |- ( ( ch /\ ( ps /\ ph ) ) -> th ) $=
      ( exp32 com13 imp32 ) CBADABCDABCDEFGH $.
  $}

  ${
    an32s.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( Swap two conjuncts in antecedent.  (Contributed by NM, 13-Mar-1996.) $)
    an32s $p |- ( ( ( ph /\ ch ) /\ ps ) -> th ) $=
      ( wa an32 sylbi ) ACFBFABFCFDACBGEH $.

    $( Inference commuting a nested conjunction in antecedent.  (Contributed by
       NM, 24-May-2006.)  (Proof shortened by Wolf Lammen, 24-Nov-2012.) $)
    ancom1s $p |- ( ( ( ps /\ ph ) /\ ch ) -> th ) $=
      ( wa pm3.22 sylan ) BAFABFCDBAGEH $.

    $( Swap two conjuncts in antecedent.  (Contributed by NM, 31-May-2006.) $)
    an31s $p |- ( ( ( ch /\ ps ) /\ ph ) -> th ) $=
      ( exp31 com13 imp31 ) CBADABCDABCDEFGH $.
  $}

  ${
    anass1rs.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Commutative-associative law for conjunction in an antecedent.
       (Contributed by Jeff Madsen, 19-Jun-2011.) $)
    anass1rs $p |- ( ( ( ph /\ ch ) /\ ps ) -> th ) $=
      ( anassrs an32s ) ABCDABCDEFG $.
  $}

  $( Rearrangement of 4 conjuncts.  (Contributed by NM, 10-Jul-1994.) $)
  an4 $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) <->
              ( ( ph /\ ch ) /\ ( ps /\ th ) ) ) $=
    ( wa anass an12 bianass bitri ) ABECDEZEABJEZEACEBDEZEABJFKCLABCDGHI $.

  $( Rearrangement of 4 conjuncts.  (Contributed by NM, 7-Feb-1996.) $)
  an42 $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) <->
                 ( ( ph /\ ch ) /\ ( th /\ ps ) ) ) $=
    ( wa an4 ancom anbi2i bitri ) ABECDEEACEZBDEZEJDBEZEABCDFKLJBDGHI $.

  $( Rearrangement of 4 conjuncts.  (Contributed by Rodolfo Medina,
     24-Sep-2010.)  (Proof shortened by Andrew Salmon, 29-Jun-2011.) $)
  an43 $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) <->
               ( ( ph /\ th ) /\ ( ps /\ ch ) ) ) $=
    ( wa an42 bicomi ) ADEBCEEABECDEEADBCFG $.

  $( A rearrangement of conjuncts.  (Contributed by Rodolfo Medina,
     25-Sep-2010.) $)
  an3 $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ( ph /\ th ) ) $=
    ( wa an43 simplbi ) ABECDEEADEBCEABCDFG $.

  ${
    an4s.1 $e |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $.
    $( Inference rearranging 4 conjuncts in antecedent.  (Contributed by NM,
       10-Aug-1995.) $)
    an4s $p |- ( ( ( ph /\ ch ) /\ ( ps /\ th ) ) -> ta ) $=
      ( wa an4 sylbi ) ACGBDGGABGCDGGEACBDHFI $.
  $}

  ${
    an41r3s.1 $e |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $.
    $( Inference rearranging 4 conjuncts in antecedent.  (Contributed by NM,
       10-Aug-1995.) $)
    an42s $p |- ( ( ( ph /\ ch ) /\ ( th /\ ps ) ) -> ta ) $=
      ( wa an4s ancom2s ) ACGBDEABCDEFHI $.
  $}

  $( Absorption into embedded conjunct.  (Contributed by NM, 4-Sep-1995.)
     (Proof shortened by Wolf Lammen, 16-Nov-2013.) $)
  anabs1 $p |- ( ( ( ph /\ ps ) /\ ph ) <-> ( ph /\ ps ) ) $=
    ( wa simpl pm4.71i bicomi ) ABCZGACGAABDEF $.

  $( Absorption into embedded conjunct.  (Contributed by NM, 20-Jul-1996.)
     (Proof shortened by Wolf Lammen, 9-Dec-2012.) $)
  anabs5 $p |- ( ( ph /\ ( ph /\ ps ) ) <-> ( ph /\ ps ) ) $=
    ( wa ibar bicomd pm5.32i ) AABCZBABGABDEF $.

  $( Absorption into embedded conjunct.  (Contributed by NM, 20-Jul-1996.)
     (Proof shortened by Wolf Lammen, 17-Nov-2013.) $)
  anabs7 $p |- ( ( ps /\ ( ph /\ ps ) ) <-> ( ph /\ ps ) ) $=
    ( wa simpr pm4.71ri bicomi ) ABCZBGCGBABDEF $.

  ${
    anabsan.1 $e |- ( ( ( ph /\ ph ) /\ ps ) -> ch ) $.
    $( Absorption of antecedent with conjunction.  (Contributed by NM,
       24-Mar-1996.) $)
    anabsan $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa pm4.24 sylanb ) AAAEBCAFDG $.
  $}

  ${
    anabss1.1 $e |- ( ( ( ph /\ ps ) /\ ph ) -> ch ) $.
    $( Absorption of antecedent into conjunction.  (Contributed by NM,
       20-Jul-1996.)  (Proof shortened by Wolf Lammen, 31-Dec-2012.) $)
    anabss1 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( an32s anabsan ) ABCABACDEF $.
  $}

  ${
    anabss4.1 $e |- ( ( ( ps /\ ph ) /\ ps ) -> ch ) $.
    $( Absorption of antecedent into conjunction.  (Contributed by NM,
       20-Jul-1996.) $)
    anabss4 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( anabss1 ancoms ) BACBACDEF $.
  $}

  ${
    anabss5.1 $e |- ( ( ph /\ ( ph /\ ps ) ) -> ch ) $.
    $( Absorption of antecedent into conjunction.  (Contributed by NM,
       10-May-1994.)  (Proof shortened by Wolf Lammen, 1-Jan-2013.) $)
    anabss5 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( anassrs anabsan ) ABCAABCDEF $.
  $}

  ${
    anabsi5.1 $e |- ( ph -> ( ( ph /\ ps ) -> ch ) ) $.
    $( Absorption of antecedent into conjunction.  (Contributed by NM,
       11-Jun-1995.)  (Proof shortened by Wolf Lammen, 18-Nov-2013.) $)
    anabsi5 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa simpl mpcom ) AABECABFDG $.
  $}

  ${
    anabsi6.1 $e |- ( ph -> ( ( ps /\ ph ) -> ch ) ) $.
    $( Absorption of antecedent into conjunction.  (Contributed by NM,
       14-Aug-2000.) $)
    anabsi6 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( ancomsd anabsi5 ) ABCABACDEF $.
  $}

  ${
    anabsi7.1 $e |- ( ps -> ( ( ph /\ ps ) -> ch ) ) $.
    $( Absorption of antecedent into conjunction.  (Contributed by NM,
       20-Jul-1996.)  (Proof shortened by Wolf Lammen, 18-Nov-2013.) $)
    anabsi7 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( anabsi6 ancoms ) BACBACDEF $.
  $}

  ${
    anabsi8.1 $e |- ( ps -> ( ( ps /\ ph ) -> ch ) ) $.
    $( Absorption of antecedent into conjunction.  (Contributed by NM,
       26-Sep-1999.) $)
    anabsi8 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( anabsi5 ancoms ) BACBACDEF $.
  $}

  ${
    anabss7.1 $e |- ( ( ps /\ ( ph /\ ps ) ) -> ch ) $.
    $( Absorption of antecedent into conjunction.  (Contributed by NM,
       20-Jul-1996.)  (Proof shortened by Wolf Lammen, 19-Nov-2013.) $)
    anabss7 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( anassrs anabss4 ) ABCBABCDEF $.
  $}

  ${
    anabsan2.1 $e |- ( ( ph /\ ( ps /\ ps ) ) -> ch ) $.
    $( Absorption of antecedent with conjunction.  (Contributed by NM,
       10-May-2004.) $)
    anabsan2 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( an12s anabss7 ) ABCABBCDEF $.
  $}

  ${
    anabss3.1 $e |- ( ( ( ph /\ ps ) /\ ps ) -> ch ) $.
    $( Absorption of antecedent into conjunction.  (Contributed by NM,
       20-Jul-1996.)  (Proof shortened by Wolf Lammen, 1-Jan-2013.) $)
    anabss3 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( anasss anabsan2 ) ABCABBCDEF $.
  $}

  $( Distribution of conjunction over conjunction.  (Contributed by NM,
     14-Aug-1995.) $)
  anandi $p |- ( ( ph /\ ( ps /\ ch ) ) <->
               ( ( ph /\ ps ) /\ ( ph /\ ch ) ) ) $=
    ( wa anidm anbi1i an4 bitr3i ) ABCDZDAADZIDABDACDDJAIAEFAABCGH $.

  $( Distribution of conjunction over conjunction.  (Contributed by NM,
     24-Aug-1995.) $)
  anandir $p |- ( ( ( ph /\ ps ) /\ ch ) <->
               ( ( ph /\ ch ) /\ ( ps /\ ch ) ) ) $=
    ( wa anidm anbi2i an4 bitr3i ) ABDZCDICCDZDACDBCDDJCICEFABCCGH $.

  ${
    anandis.1 $e |- ( ( ( ph /\ ps ) /\ ( ph /\ ch ) ) -> ta ) $.
    $( Inference that undistributes conjunction in the antecedent.
       (Contributed by NM, 7-Jun-2004.) $)
    anandis $p |- ( ( ph /\ ( ps /\ ch ) ) -> ta ) $=
      ( wa an4s anabsan ) ABCFDABACDEGH $.
  $}

  ${
    anandirs.1 $e |- ( ( ( ph /\ ch ) /\ ( ps /\ ch ) ) -> ta ) $.
    $( Inference that undistributes conjunction in the antecedent.
       (Contributed by NM, 7-Jun-2004.) $)
    anandirs $p |- ( ( ( ph /\ ps ) /\ ch ) -> ta ) $=
      ( wa an4s anabsan2 ) ABFCDACBCDEGH $.
  $}

  ${
    sylanl1.1 $e |- ( ph -> ps ) $.
    sylanl1.2 $e |- ( ( ( ps /\ ch ) /\ th ) -> ta ) $.
    $( A syllogism inference.  (Contributed by NM, 10-Mar-2005.) $)
    sylanl1 $p |- ( ( ( ph /\ ch ) /\ th ) -> ta ) $=
      ( wa anim1i sylan ) ACHBCHDEABCFIGJ $.
  $}

  ${
    sylanl2.1 $e |- ( ph -> ch ) $.
    sylanl2.2 $e |- ( ( ( ps /\ ch ) /\ th ) -> ta ) $.
    $( A syllogism inference.  (Contributed by NM, 1-Jan-2005.) $)
    sylanl2 $p |- ( ( ( ps /\ ph ) /\ th ) -> ta ) $=
      ( adantl syldanl ) BACDEACBFHGI $.
  $}

  ${
    sylanr1.1 $e |- ( ph -> ch ) $.
    sylanr1.2 $e |- ( ( ps /\ ( ch /\ th ) ) -> ta ) $.
    $( A syllogism inference.  (Contributed by NM, 9-Apr-2005.) $)
    sylanr1 $p |- ( ( ps /\ ( ph /\ th ) ) -> ta ) $=
      ( wa anim1i sylan2 ) ADHBCDHEACDFIGJ $.
  $}

  ${
    sylanr2.1 $e |- ( ph -> th ) $.
    sylanr2.2 $e |- ( ( ps /\ ( ch /\ th ) ) -> ta ) $.
    $( A syllogism inference.  (Contributed by NM, 9-Apr-2005.) $)
    sylanr2 $p |- ( ( ps /\ ( ch /\ ph ) ) -> ta ) $=
      ( wa anim2i sylan2 ) CAHBCDHEADCFIGJ $.
  $}

  ${
    syl6an.1 $e |- ( ph -> ps ) $.
    syl6an.2 $e |- ( ph -> ( ch -> th ) ) $.
    syl6an.3 $e |- ( ( ps /\ th ) -> ta ) $.
    $( A syllogism deduction combined with conjoining antecedents.
       (Contributed by Alan Sare, 28-Oct-2011.) $)
    syl6an $p |- ( ph -> ( ch -> ta ) ) $=
      ( ex sylsyld ) ABCDEFGBDEHIJ $.
  $}

  ${
    syl2an2r.1 $e |- ( ph -> ps ) $.
    syl2an2r.2 $e |- ( ( ph /\ ch ) -> th ) $.
    syl2an2r.3 $e |- ( ( ps /\ th ) -> ta ) $.
    $( ~ syl2anr with antecedents in standard conjunction form.  (Contributed
       by Alan Sare, 27-Aug-2016.)  (Proof shortened by Wolf Lammen,
       28-Mar-2022.) $)
    syl2an2r $p |- ( ( ph /\ ch ) -> ta ) $=
      ( sylan syldan ) ACDEGABDEFHIJ $.
  $}

  ${
    syl2an2.1 $e |- ( ph -> ps ) $.
    syl2an2.2 $e |- ( ( ch /\ ph ) -> th ) $.
    syl2an2.3 $e |- ( ( ps /\ th ) -> ta ) $.
    $( ~ syl2an with antecedents in standard conjunction form.  (Contributed by
       Alan Sare, 27-Aug-2016.) $)
    syl2an2 $p |- ( ( ch /\ ph ) -> ta ) $=
      ( wa adantl syl2anc ) CAIBDEABCFJGHK $.
  $}

  ${
    mpdan.1 $e |- ( ph -> ps ) $.
    mpdan.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An inference based on modus ponens.  (Contributed by NM, 23-May-1999.)
       (Proof shortened by Wolf Lammen, 22-Nov-2012.) $)
    mpdan $p |- ( ph -> ch ) $=
      ( id syl2anc ) AABCAFDEG $.
  $}

  ${
    mpancom.1 $e |- ( ps -> ph ) $.
    mpancom.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An inference based on modus ponens with commutation of antecedents.
       (Contributed by NM, 28-Oct-2003.)  (Proof shortened by Wolf Lammen,
       7-Apr-2013.) $)
    mpancom $p |- ( ps -> ch ) $=
      ( id syl2anc ) BABCDBFEG $.
  $}

  ${
    mpidan.1 $e |- ( ph -> ch ) $.
    mpidan.2 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( A deduction which "stacks" a hypothesis.  (Contributed by Stanislas
       Polu, 9-Mar-2020.)  (Proof shortened by Wolf Lammen, 28-Mar-2021.) $)
    mpidan $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa adantr mpdan ) ABGCDACBEHFI $.
  $}

  ${
    mpan.1 $e |- ph $.
    mpan.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An inference based on modus ponens.  (Contributed by NM, 30-Aug-1993.)
       (Proof shortened by Wolf Lammen, 7-Apr-2013.) $)
    mpan $p |- ( ps -> ch ) $=
      ( a1i mpancom ) ABCABDFEG $.
  $}

  ${
    mpan2.1 $e |- ps $.
    mpan2.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An inference based on modus ponens.  (Contributed by NM, 16-Sep-1993.)
       (Proof shortened by Wolf Lammen, 19-Nov-2012.) $)
    mpan2 $p |- ( ph -> ch ) $=
      ( a1i mpdan ) ABCBADFEG $.
  $}

  ${
    mp2an.1 $e |- ph $.
    mp2an.2 $e |- ps $.
    mp2an.3 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An inference based on modus ponens.  (Contributed by NM,
       13-Apr-1995.) $)
    mp2an $p |- ch $=
      ( mpan ax-mp ) BCEABCDFGH $.
  $}

  ${
    mp4an.1 $e |- ph $.
    mp4an.2 $e |- ps $.
    mp4an.3 $e |- ch $.
    mp4an.4 $e |- th $.
    mp4an.5 $e |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $.
    $( An inference based on modus ponens.  (Contributed by Jeff Madsen,
       15-Jun-2010.) $)
    mp4an $p |- ta $=
      ( wa pm3.2i mp2an ) ABKCDKEABFGLCDHILJM $.
  $}

  ${
    mpan2d.1 $e |- ( ph -> ch ) $.
    mpan2d.2 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( A deduction based on modus ponens.  (Contributed by NM, 12-Dec-2004.) $)
    mpan2d $p |- ( ph -> ( ps -> th ) ) $=
      ( expd mpid ) ABCDEABCDFGH $.
  $}

  ${
    mpand.1 $e |- ( ph -> ps ) $.
    mpand.2 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( A deduction based on modus ponens.  (Contributed by NM, 12-Dec-2004.)
       (Proof shortened by Wolf Lammen, 7-Apr-2013.) $)
    mpand $p |- ( ph -> ( ch -> th ) ) $=
      ( ancomsd mpan2d ) ACBDEABCDFGH $.
  $}

  ${
    mpani.1 $e |- ps $.
    mpani.2 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( An inference based on modus ponens.  (Contributed by NM, 10-Apr-1994.)
       (Proof shortened by Wolf Lammen, 19-Nov-2012.) $)
    mpani $p |- ( ph -> ( ch -> th ) ) $=
      ( a1i mpand ) ABCDBAEGFH $.
  $}

  ${
    mpan2i.1 $e |- ch $.
    mpan2i.2 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( An inference based on modus ponens.  (Contributed by NM, 10-Apr-1994.)
       (Proof shortened by Wolf Lammen, 19-Nov-2012.) $)
    mpan2i $p |- ( ph -> ( ps -> th ) ) $=
      ( a1i mpan2d ) ABCDCAEGFH $.
  $}

  ${
    mp2ani.1 $e |- ps $.
    mp2ani.2 $e |- ch $.
    mp2ani.3 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( An inference based on modus ponens.  (Contributed by NM,
       12-Dec-2004.) $)
    mp2ani $p |- ( ph -> th ) $=
      ( mpani mpi ) ACDFABCDEGHI $.
  $}

  ${
    mp2and.1 $e |- ( ph -> ps ) $.
    mp2and.2 $e |- ( ph -> ch ) $.
    mp2and.3 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( A deduction based on modus ponens.  (Contributed by NM, 12-Dec-2004.) $)
    mp2and $p |- ( ph -> th ) $=
      ( mpand mpd ) ACDFABCDEGHI $.
  $}

  ${
    mpanl1.1 $e |- ph $.
    mpanl1.2 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( An inference based on modus ponens.  (Contributed by NM, 16-Aug-1994.)
       (Proof shortened by Wolf Lammen, 7-Apr-2013.) $)
    mpanl1 $p |- ( ( ps /\ ch ) -> th ) $=
      ( wa jctl sylan ) BABGCDBAEHFI $.
  $}

  ${
    mpanl2.1 $e |- ps $.
    mpanl2.2 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( An inference based on modus ponens.  (Contributed by NM, 16-Aug-1994.)
       (Proof shortened by Andrew Salmon, 7-May-2011.) $)
    mpanl2 $p |- ( ( ph /\ ch ) -> th ) $=
      ( wa jctr sylan ) AABGCDABEHFI $.
  $}

  ${
    mpanl12.1 $e |- ph $.
    mpanl12.2 $e |- ps $.
    mpanl12.3 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( An inference based on modus ponens.  (Contributed by NM,
       13-Jul-2005.) $)
    mpanl12 $p |- ( ch -> th ) $=
      ( mpanl1 mpan ) BCDFABCDEGHI $.
  $}

  ${
    mpanr1.1 $e |- ps $.
    mpanr1.2 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( An inference based on modus ponens.  (Contributed by NM, 3-May-1994.)
       (Proof shortened by Andrew Salmon, 7-May-2011.) $)
    mpanr1 $p |- ( ( ph /\ ch ) -> th ) $=
      ( anassrs mpanl2 ) ABCDEABCDFGH $.
  $}

  ${
    mpanr2.1 $e |- ch $.
    mpanr2.2 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( An inference based on modus ponens.  (Contributed by NM, 3-May-1994.)
       (Proof shortened by Andrew Salmon, 7-May-2011.)  (Proof shortened by
       Wolf Lammen, 7-Apr-2013.) $)
    mpanr2 $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa jctr sylan2 ) BABCGDBCEHFI $.
  $}

  ${
    mpanr12.1 $e |- ps $.
    mpanr12.2 $e |- ch $.
    mpanr12.3 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( An inference based on modus ponens.  (Contributed by NM,
       24-Jul-2009.) $)
    mpanr12 $p |- ( ph -> th ) $=
      ( mpanr1 mpan2 ) ACDFABCDEGHI $.
  $}

  ${
    mpanlr1.1 $e |- ps $.
    mpanlr1.2 $e |- ( ( ( ph /\ ( ps /\ ch ) ) /\ th ) -> ta ) $.
    $( An inference based on modus ponens.  (Contributed by NM, 30-Dec-2004.)
       (Proof shortened by Wolf Lammen, 7-Apr-2013.) $)
    mpanlr1 $p |- ( ( ( ph /\ ch ) /\ th ) -> ta ) $=
      ( wa jctl sylanl2 ) CABCHDECBFIGJ $.
  $}

  ${
    mpbirand.1 $e |- ( ph -> ch ) $.
    mpbirand.2 $e |- ( ph -> ( ps <-> ( ch /\ th ) ) ) $.
    $( Detach truth from conjunction in biconditional.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    mpbirand $p |- ( ph -> ( ps <-> th ) ) $=
      ( wa biantrurd bitr4d ) ABCDGDFACDEHI $.
  $}

  ${
    mpbiran2d.1 $e |- ( ph -> th ) $.
    mpbiran2d.2 $e |- ( ph -> ( ps <-> ( ch /\ th ) ) ) $.
    $( Detach truth from conjunction in biconditional.  Deduction form.
       (Contributed by Peter Mazsa, 24-Sep-2022.) $)
    mpbiran2d $p |- ( ph -> ( ps <-> ch ) ) $=
      ( biancomd mpbirand ) ABDCEABDCFGH $.
  $}

  ${
    mpbiran.1 $e |- ps $.
    mpbiran.2 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Detach truth from conjunction in biconditional.  (Contributed by NM,
       27-Feb-1996.) $)
    mpbiran $p |- ( ph <-> ch ) $=
      ( wa biantrur bitr4i ) ABCFCEBCDGH $.
  $}

  ${
    mpbiran2.1 $e |- ch $.
    mpbiran2.2 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Detach truth from conjunction in biconditional.  (Contributed by NM,
       22-Feb-1996.) $)
    mpbiran2 $p |- ( ph <-> ps ) $=
      ( biancomi mpbiran ) ACBDACBEFG $.
  $}

  ${
    mpbir2an.1 $e |- ps $.
    mpbir2an.2 $e |- ch $.
    mpbir2an.maj $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Detach a conjunction of truths in a biconditional.  (Contributed by NM,
       10-May-2005.) $)
    mpbir2an $p |- ph $=
      ( mpbiran mpbir ) ACEABCDFGH $.
  $}

  ${
    mpbi2and.1 $e |- ( ph -> ps ) $.
    mpbi2and.2 $e |- ( ph -> ch ) $.
    mpbi2and.3 $e |- ( ph -> ( ( ps /\ ch ) <-> th ) ) $.
    $( Detach a conjunction of truths in a biconditional.  (Contributed by NM,
       6-Nov-2011.)  (Proof shortened by Wolf Lammen, 24-Nov-2012.) $)
    mpbi2and $p |- ( ph -> th ) $=
      ( wa jca mpbid ) ABCHDABCEFIGJ $.
  $}

  ${
    mpbir2and.1 $e |- ( ph -> ch ) $.
    mpbir2and.2 $e |- ( ph -> th ) $.
    mpbir2and.3 $e |- ( ph -> ( ps <-> ( ch /\ th ) ) ) $.
    $( Detach a conjunction of truths in a biconditional.  (Contributed by NM,
       6-Nov-2011.)  (Proof shortened by Wolf Lammen, 24-Nov-2012.) $)
    mpbir2and $p |- ( ph -> ps ) $=
      ( wa jca mpbird ) ABCDHACDEFIGJ $.
  $}

  ${
    adant2.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       4-May-1994.)  (Proof shortened by Wolf Lammen, 24-Nov-2012.) $)
    adantll $p |- ( ( ( th /\ ph ) /\ ps ) -> ch ) $=
      ( wa simpr sylan ) DAFABCDAGEH $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       4-May-1994.)  (Proof shortened by Wolf Lammen, 24-Nov-2012.) $)
    adantlr $p |- ( ( ( ph /\ th ) /\ ps ) -> ch ) $=
      ( wa simpl sylan ) ADFABCADGEH $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       4-May-1994.)  (Proof shortened by Wolf Lammen, 24-Nov-2012.) $)
    adantrl $p |- ( ( ph /\ ( th /\ ps ) ) -> ch ) $=
      ( wa simpr sylan2 ) DBFABCDBGEH $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       4-May-1994.)  (Proof shortened by Wolf Lammen, 24-Nov-2012.) $)
    adantrr $p |- ( ( ph /\ ( ps /\ th ) ) -> ch ) $=
      ( wa simpl sylan2 ) BDFABCBDGEH $.
  $}

  ${
    adantl2.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       26-Dec-2004.)  (Proof shortened by Wolf Lammen, 2-Dec-2012.) $)
    adantlll $p |- ( ( ( ( ta /\ ph ) /\ ps ) /\ ch ) -> th ) $=
      ( wa simpr sylanl1 ) EAGABCDEAHFI $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       26-Dec-2004.)  (Proof shortened by Wolf Lammen, 4-Dec-2012.) $)
    adantllr $p |- ( ( ( ( ph /\ ta ) /\ ps ) /\ ch ) -> th ) $=
      ( wa simpl sylanl1 ) AEGABCDAEHFI $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       26-Dec-2004.)  (Proof shortened by Wolf Lammen, 4-Dec-2012.) $)
    adantlrl $p |- ( ( ( ph /\ ( ta /\ ps ) ) /\ ch ) -> th ) $=
      ( wa simpr sylanl2 ) EBGABCDEBHFI $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       26-Dec-2004.)  (Proof shortened by Wolf Lammen, 4-Dec-2012.) $)
    adantlrr $p |- ( ( ( ph /\ ( ps /\ ta ) ) /\ ch ) -> th ) $=
      ( wa simpl sylanl2 ) BEGABCDBEHFI $.
  $}

  ${
    adantr2.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       26-Dec-2004.)  (Proof shortened by Wolf Lammen, 4-Dec-2012.) $)
    adantrll $p |- ( ( ph /\ ( ( ta /\ ps ) /\ ch ) ) -> th ) $=
      ( wa simpr sylanr1 ) EBGABCDEBHFI $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       26-Dec-2004.)  (Proof shortened by Wolf Lammen, 4-Dec-2012.) $)
    adantrlr $p |- ( ( ph /\ ( ( ps /\ ta ) /\ ch ) ) -> th ) $=
      ( wa simpl sylanr1 ) BEGABCDBEHFI $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       26-Dec-2004.)  (Proof shortened by Wolf Lammen, 4-Dec-2012.) $)
    adantrrl $p |- ( ( ph /\ ( ps /\ ( ta /\ ch ) ) ) -> th ) $=
      ( wa simpr sylanr2 ) ECGABCDECHFI $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       26-Dec-2004.)  (Proof shortened by Wolf Lammen, 4-Dec-2012.) $)
    adantrrr $p |- ( ( ph /\ ( ps /\ ( ch /\ ta ) ) ) -> th ) $=
      ( wa simpl sylanr2 ) CEGABCDCEHFI $.
  $}

  ${
    ad2ant.1 $e |- ( ph -> ps ) $.
    $( Deduction adding two conjuncts to antecedent.  (Contributed by NM,
       19-Oct-1999.)  (Proof shortened by Wolf Lammen, 20-Nov-2012.) $)
    ad2antrr $p |- ( ( ( ph /\ ch ) /\ th ) -> ps ) $=
      ( adantr adantlr ) ADBCABDEFG $.

    $( Deduction adding two conjuncts to antecedent.  (Contributed by NM,
       19-Oct-1999.)  (Proof shortened by Wolf Lammen, 20-Nov-2012.) $)
    ad2antlr $p |- ( ( ( ch /\ ph ) /\ th ) -> ps ) $=
      ( adantr adantll ) ADBCABDEFG $.

    $( Deduction adding two conjuncts to antecedent.  (Contributed by NM,
       19-Oct-1999.) $)
    ad2antrl $p |- ( ( ch /\ ( ph /\ th ) ) -> ps ) $=
      ( adantl adantrr ) CABDABCEFG $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by NM,
       19-Oct-1999.) $)
    ad2antll $p |- ( ( ch /\ ( th /\ ph ) ) -> ps ) $=
      ( wa adantl ) DAFBCABDEGG $.

    $( Deduction adding three conjuncts to antecedent.  (Contributed by NM,
       28-Jul-2012.) $)
    ad3antrrr $p |- ( ( ( ( ph /\ ch ) /\ th ) /\ ta ) -> ps ) $=
      ( wa adantr ad2antrr ) ACGBDEABCFHI $.

    $( Deduction adding three conjuncts to antecedent.  (Contributed by Mario
       Carneiro, 5-Jan-2017.)  (Proof shortened by Wolf Lammen, 5-Apr-2022.) $)
    ad3antlr $p |- ( ( ( ( ch /\ ph ) /\ th ) /\ ta ) -> ps ) $=
      ( wa adantl ad2antrr ) CAGBDEABCFHI $.

    $( Deduction adding 4 conjuncts to antecedent.  (Contributed by Mario
       Carneiro, 4-Jan-2017.)  (Proof shortened by Wolf Lammen, 5-Apr-2022.) $)
    ad4antr $p |- ( ( ( ( ( ph /\ ch ) /\ th ) /\ ta ) /\ et ) -> ps ) $=
      ( wa adantr ad3antrrr ) ACHBDEFABCGIJ $.

    $( Deduction adding 4 conjuncts to antecedent.  (Contributed by Mario
       Carneiro, 5-Jan-2017.)  (Proof shortened by Wolf Lammen, 5-Apr-2022.) $)
    ad4antlr $p |- ( ( ( ( ( ch /\ ph ) /\ th ) /\ ta ) /\ et ) -> ps ) $=
      ( wa adantl ad3antrrr ) CAHBDEFABCGIJ $.

    $( Deduction adding 5 conjuncts to antecedent.  (Contributed by Mario
       Carneiro, 4-Jan-2017.)  (Proof shortened by Wolf Lammen, 5-Apr-2022.) $)
    ad5antr $p |- ( ( ( ( ( ( ph /\ ch ) /\ th ) /\ ta ) /\ et )
      /\ ze ) -> ps ) $=
      ( wa adantr ad4antr ) ACIBDEFGABCHJK $.

    $( Deduction adding 5 conjuncts to antecedent.  (Contributed by Mario
       Carneiro, 5-Jan-2017.)  (Proof shortened by Wolf Lammen, 5-Apr-2022.) $)
    ad5antlr $p |- ( ( ( ( ( ( ch /\ ph ) /\ th ) /\ ta ) /\ et )
      /\ ze ) -> ps ) $=
      ( wa adantl ad4antr ) CAIBDEFGABCHJK $.

    $( Deduction adding 6 conjuncts to antecedent.  (Contributed by Mario
       Carneiro, 4-Jan-2017.)  (Proof shortened by Wolf Lammen, 5-Apr-2022.) $)
    ad6antr $p |- ( ( ( ( ( ( ( ph /\ ch ) /\ th ) /\ ta ) /\ et )
      /\ ze ) /\ si ) -> ps ) $=
      ( wa adantr ad5antr ) ACJBDEFGHABCIKL $.

    $( Deduction adding 6 conjuncts to antecedent.  (Contributed by Mario
       Carneiro, 5-Jan-2017.)  (Proof shortened by Wolf Lammen, 5-Apr-2022.) $)
    ad6antlr $p |- ( ( ( ( ( ( ( ch /\ ph ) /\ th ) /\ ta ) /\ et )
      /\ ze ) /\ si ) -> ps ) $=
      ( wa adantl ad5antr ) CAJBDEFGHABCIKL $.

    $( Deduction adding 7 conjuncts to antecedent.  (Contributed by Mario
       Carneiro, 4-Jan-2017.)  (Proof shortened by Wolf Lammen, 5-Apr-2022.) $)
    ad7antr $p |- ( ( ( ( ( ( ( ( ph /\ ch ) /\ th ) /\ ta ) /\ et )
      /\ ze ) /\ si ) /\ rh ) -> ps ) $=
      ( wa adantr ad6antr ) ACKBDEFGHIABCJLM $.

    $( Deduction adding 7 conjuncts to antecedent.  (Contributed by Mario
       Carneiro, 5-Jan-2017.)  (Proof shortened by Wolf Lammen, 5-Apr-2022.) $)
    ad7antlr $p |- ( ( ( ( ( ( ( ( ch /\ ph ) /\ th ) /\ ta ) /\ et )
      /\ ze ) /\ si ) /\ rh ) -> ps ) $=
      ( wa adantl ad6antr ) CAKBDEFGHIABCJLM $.

    $( Deduction adding 8 conjuncts to antecedent.  (Contributed by Mario
       Carneiro, 4-Jan-2017.)  (Proof shortened by Wolf Lammen, 5-Apr-2022.) $)
    ad8antr $p |- ( ( ( ( ( ( ( ( ( ph /\ ch ) /\ th ) /\ ta ) /\ et )
      /\ ze ) /\ si ) /\ rh ) /\ mu ) -> ps ) $=
      ( wa adantr ad7antr ) ACLBDEFGHIJABCKMN $.

    $( Deduction adding 8 conjuncts to antecedent.  (Contributed by Mario
       Carneiro, 5-Jan-2017.)  (Proof shortened by Wolf Lammen, 5-Apr-2022.) $)
    ad8antlr $p |- ( ( ( ( ( ( ( ( ( ch /\ ph ) /\ th ) /\ ta ) /\ et )
      /\ ze ) /\ si ) /\ rh ) /\ mu ) -> ps ) $=
      ( wa adantl ad7antr ) CALBDEFGHIJABCKMN $.

    $( Deduction adding 9 conjuncts to antecedent.  (Contributed by Mario
       Carneiro, 4-Jan-2017.)  (Proof shortened by Wolf Lammen, 5-Apr-2022.) $)
    ad9antr $p |- ( ( ( ( ( ( ( ( ( ( ph /\ ch ) /\ th ) /\ ta ) /\ et )
      /\ ze ) /\ si ) /\ rh ) /\ mu ) /\ la ) -> ps ) $=
      ( wa adantr ad8antr ) ACMBDEFGHIJKABCLNO $.

    $( Deduction adding 9 conjuncts to antecedent.  (Contributed by Mario
       Carneiro, 5-Jan-2017.)  (Proof shortened by Wolf Lammen, 5-Apr-2022.) $)
    ad9antlr $p |- ( ( ( ( ( ( ( ( ( ( ch /\ ph ) /\ th ) /\ ta ) /\ et )
      /\ ze ) /\ si ) /\ rh ) /\ mu ) /\ la ) -> ps ) $=
      ( wa adantl ad8antr ) CAMBDEFGHIJKABCLNO $.

    $( Deduction adding 10 conjuncts to antecedent.  (Contributed by Mario
       Carneiro, 4-Jan-2017.)  (Proof shortened by Wolf Lammen, 5-Apr-2022.) $)
    ad10antr $p |- ( ( ( ( ( ( ( ( ( ( ( ph /\ ch ) /\ th ) /\ ta ) /\ et )
      /\ ze ) /\ si ) /\ rh ) /\ mu ) /\ la ) /\ ka ) -> ps ) $=
      ( wa adantr ad9antr ) ACNBDEFGHIJKLABCMOP $.

    $( Deduction adding 10 conjuncts to antecedent.  (Contributed by Mario
       Carneiro, 5-Jan-2017.)  (Proof shortened by Wolf Lammen, 5-Apr-2022.) $)
    ad10antlr $p |- ( ( ( ( ( ( ( ( ( ( ( ch /\ ph ) /\ th ) /\ ta ) /\ et )
      /\ ze ) /\ si ) /\ rh ) /\ mu ) /\ la ) /\ ka ) -> ps ) $=
      ( wa adantl ad9antr ) CANBDEFGHIJKLABCMOP $.
  $}

  ${
    ad2ant2.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Deduction adding two conjuncts to antecedent.  (Contributed by NM,
       8-Jan-2006.) $)
    ad2ant2l $p |- ( ( ( th /\ ph ) /\ ( ta /\ ps ) ) -> ch ) $=
      ( wa adantrl adantll ) AEBGCDABCEFHI $.

    $( Deduction adding two conjuncts to antecedent.  (Contributed by NM,
       8-Jan-2006.) $)
    ad2ant2r $p |- ( ( ( ph /\ th ) /\ ( ps /\ ta ) ) -> ch ) $=
      ( wa adantrr adantlr ) ABEGCDABCEFHI $.

    $( Deduction adding two conjuncts to antecedent.  (Contributed by NM,
       23-Nov-2007.) $)
    ad2ant2lr $p |- ( ( ( th /\ ph ) /\ ( ps /\ ta ) ) -> ch ) $=
      ( wa adantrr adantll ) ABEGCDABCEFHI $.

    $( Deduction adding two conjuncts to antecedent.  (Contributed by NM,
       24-Nov-2007.) $)
    ad2ant2rl $p |- ( ( ( ph /\ th ) /\ ( ta /\ ps ) ) -> ch ) $=
      ( wa adantrl adantlr ) AEBGCDABCEFHI $.
  $}

  ${
    adantl3r.1 $e |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ta ) $.
    $( Deduction adding 1 conjunct to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.) $)
    adantl3r $p |- ( ( ( ( ( ph /\ et ) /\ ps ) /\ ch ) /\ th ) -> ta ) $=
      ( wa id adantlr sylanl1 ) AFHBHABHZCDEABLFLIJGK $.
  $}

  ${
    ad4ant2.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 14-Apr-2022.) $)
    ad4ant13 $p |- ( ( ( ( ph /\ th ) /\ ps ) /\ ta ) -> ch ) $=
      ( wa adantr adantllr ) ABECDABGCEFHI $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 14-Apr-2022.) $)
    ad4ant14 $p |- ( ( ( ( ph /\ th ) /\ ta ) /\ ps ) -> ch ) $=
      ( wa adantlr ) ADGBCEABCDFHH $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 14-Apr-2022.) $)
    ad4ant23 $p |- ( ( ( ( th /\ ph ) /\ ps ) /\ ta ) -> ch ) $=
      ( wa adantr adantlll ) ABECDABGCEFHI $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 14-Apr-2022.) $)
    ad4ant24 $p |- ( ( ( ( th /\ ph ) /\ ta ) /\ ps ) -> ch ) $=
      ( adantlr adantlll ) AEBCDABCEFGH $.
  $}

  ${
    adantl4r.1 $e |- ( ( ( ( ( ph /\ si ) /\ rh ) /\ mu ) /\ la ) -> ka ) $.
    $( Deduction adding 1 conjunct to antecedent.  (Contributed by Thierry
       Arnoux, 11-Feb-2018.) $)
    adantl4r $p |- ( ( ( ( ( ( ph /\ ze ) /\ si ) /\ rh ) /\ mu ) /\ la )
      -> ka ) $=
      ( wa wi ex adantl3r imp ) ABICIDIEIFGACDEFGJBACIDIEIFGHKLM $.
  $}

  ${
    ad5ant2.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.) $)
    ad5ant12 $p |- ( ( ( ( ( ph /\ ps ) /\ th ) /\ ta ) /\ et ) -> ch ) $=
      ( wa ad3antrrr ) ABHCDEFGI $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 14-Apr-2022.) $)
    ad5ant13 $p |- ( ( ( ( ( ph /\ th ) /\ ps ) /\ ta ) /\ et ) -> ch ) $=
      ( wa adantlr ad2antrr ) ADHBHCEFABCDGIJ $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 14-Apr-2022.) $)
    ad5ant14 $p |- ( ( ( ( ( ph /\ th ) /\ ta ) /\ ps ) /\ et ) -> ch ) $=
      ( wa adantlr ad4ant13 ) ADHBCEFABCDGIJ $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 14-Apr-2022.) $)
    ad5ant15 $p |- ( ( ( ( ( ph /\ th ) /\ ta ) /\ et ) /\ ps ) -> ch ) $=
      ( wa adantlr ad4ant14 ) ADHBCEFABCDGIJ $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 14-Apr-2022.) $)
    ad5ant23 $p |- ( ( ( ( ( th /\ ph ) /\ ps ) /\ ta ) /\ et ) -> ch ) $=
      ( wa adantll ad2antrr ) DAHBHCEFABCDGIJ $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 14-Apr-2022.) $)
    ad5ant24 $p |- ( ( ( ( ( th /\ ph ) /\ ta ) /\ ps ) /\ et ) -> ch ) $=
      ( wa adantll ad4ant13 ) DAHBCEFABCDGIJ $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 14-Apr-2022.) $)
    ad5ant25 $p |- ( ( ( ( ( th /\ ph ) /\ ta ) /\ et ) /\ ps ) -> ch ) $=
      ( wa adantll ad4ant14 ) DAHBCEFABCDGIJ $.
  $}

  ${
    adantl5r.1 $e |- ( ( ( ( ( ( ph /\ ze ) /\ si ) /\ rh ) /\ mu ) /\ la )
      -> ka ) $.
    $( Deduction adding 1 conjunct to antecedent.  (Contributed by Thierry
       Arnoux, 11-Feb-2018.) $)
    adantl5r $p |- ( ( ( ( ( ( ( ph /\ et ) /\ ze ) /\ si ) /\ rh ) /\ mu )
      /\ la ) -> ka ) $=
      ( wa wi ex adantl4r imp ) ABJCJDJEJFJGHABCDEFGHKACJDJEJFJGHILMN $.
  $}

  ${
    adantl6r.1 $e |- ( ( ( ( ( ( ( ph /\ et ) /\ ze ) /\ si ) /\ rh ) /\ mu )
      /\ la ) -> ka ) $.
    $( Deduction adding 1 conjunct to antecedent.  (Contributed by Thierry
       Arnoux, 11-Feb-2018.) $)
    adantl6r $p |- ( ( ( ( ( ( ( ( ph /\ ta ) /\ et ) /\ ze ) /\ si ) /\ rh )
      /\ mu ) /\ la ) -> ka ) $=
      ( wa wi ex adantl5r imp ) ABKCKDKEKFKGKHIABCDEFGHILACKDKEKFKGKHIJMNO $.
  $}

  $( Theorem *3.33 (Syll) of [WhiteheadRussell] p. 112.  (Contributed by NM,
     3-Jan-2005.) $)
  pm3.33 $p |- ( ( ( ph -> ps ) /\ ( ps -> ch ) ) -> ( ph -> ch ) ) $=
    ( wi imim1 imp ) ABDBCDACDABCEF $.

  $( Theorem *3.34 (Syll) of [WhiteheadRussell] p. 112.  (Contributed by NM,
     3-Jan-2005.) $)
  pm3.34 $p |- ( ( ( ps -> ch ) /\ ( ph -> ps ) ) -> ( ph -> ch ) ) $=
    ( wi imim2 imp ) BCDABDACDBCAEF $.

  $( Simplification of a conjunction.  (Contributed by NM, 18-Mar-2007.) $)
  simpll $p |- ( ( ( ph /\ ps ) /\ ch ) -> ph ) $=
    ( id ad2antrr ) AABCADE $.

  ${
    simplld.1 $e |- ( ph -> ( ( ps /\ ch ) /\ th ) ) $.
    $( Deduction form of ~ simpll , eliminating a double conjunct.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    simplld $p |- ( ph -> ps ) $=
      ( wa simpld ) ABCABCFDEGG $.
  $}

  $( Simplification of a conjunction.  (Contributed by NM, 20-Mar-2007.) $)
  simplr $p |- ( ( ( ph /\ ps ) /\ ch ) -> ps ) $=
    ( id ad2antlr ) BBACBDE $.

  ${
    simplrd.1 $e |- ( ph -> ( ( ps /\ ch ) /\ th ) ) $.
    $( Deduction eliminating a double conjunct.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    simplrd $p |- ( ph -> ch ) $=
      ( wa simpld simprd ) ABCABCFDEGH $.
  $}

  $( Simplification of a conjunction.  (Contributed by NM, 21-Mar-2007.) $)
  simprl $p |- ( ( ph /\ ( ps /\ ch ) ) -> ps ) $=
    ( id ad2antrl ) BBACBDE $.

  ${
    simprld.1 $e |- ( ph -> ( ps /\ ( ch /\ th ) ) ) $.
    $( Deduction eliminating a double conjunct.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    simprld $p |- ( ph -> ch ) $=
      ( wa simprd simpld ) ACDABCDFEGH $.
  $}

  $( Simplification of a conjunction.  (Contributed by NM, 21-Mar-2007.) $)
  simprr $p |- ( ( ph /\ ( ps /\ ch ) ) -> ch ) $=
    ( id ad2antll ) CCABCDE $.

  ${
    simprrd.1 $e |- ( ph -> ( ps /\ ( ch /\ th ) ) ) $.
    $( Deduction form of ~ simprr , eliminating a double conjunct.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    simprrd $p |- ( ph -> th ) $=
      ( wa simprd ) ACDABCDFEGG $.
  $}

  $( Simplification of a conjunction.  (Contributed by Jeff Hankins,
     28-Jul-2009.)  (Proof shortened by Wolf Lammen, 6-Apr-2022.) $)
  simplll $p |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ph ) $=
    ( id ad3antrrr ) AABCDAEF $.

  $( Simplification of a conjunction.  (Contributed by Jeff Hankins,
     28-Jul-2009.)  (Proof shortened by Wolf Lammen, 6-Apr-2022.) $)
  simpllr $p |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ps ) $=
    ( id ad3antlr ) BBACDBEF $.

  $( Simplification of a conjunction.  (Contributed by Jeff Hankins,
     28-Jul-2009.) $)
  simplrl $p |- ( ( ( ph /\ ( ps /\ ch ) ) /\ th ) -> ps ) $=
    ( wa simpl ad2antlr ) BCEBADBCFG $.

  $( Simplification of a conjunction.  (Contributed by Jeff Hankins,
     28-Jul-2009.) $)
  simplrr $p |- ( ( ( ph /\ ( ps /\ ch ) ) /\ th ) -> ch ) $=
    ( wa simpr ad2antlr ) BCECADBCFG $.

  $( Simplification of a conjunction.  (Contributed by Jeff Hankins,
     28-Jul-2009.) $)
  simprll $p |- ( ( ph /\ ( ( ps /\ ch ) /\ th ) ) -> ps ) $=
    ( wa simpl ad2antrl ) BCEBADBCFG $.

  $( Simplification of a conjunction.  (Contributed by Jeff Hankins,
     28-Jul-2009.) $)
  simprlr $p |- ( ( ph /\ ( ( ps /\ ch ) /\ th ) ) -> ch ) $=
    ( wa simpr ad2antrl ) BCECADBCFG $.

  $( Simplification of a conjunction.  (Contributed by Jeff Hankins,
     28-Jul-2009.) $)
  simprrl $p |- ( ( ph /\ ( ps /\ ( ch /\ th ) ) ) -> ch ) $=
    ( wa simpl ad2antll ) CDECABCDFG $.

  $( Simplification of a conjunction.  (Contributed by Jeff Hankins,
     28-Jul-2009.) $)
  simprrr $p |- ( ( ph /\ ( ps /\ ( ch /\ th ) ) ) -> th ) $=
    ( wa simpr ad2antll ) CDEDABCDFG $.

  $( Simplification of a conjunction.  (Contributed by Mario Carneiro,
     4-Jan-2017.)  (Proof shortened by Wolf Lammen, 24-May-2022.) $)
  simp-4l $p |- ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ ta ) -> ph ) $=
    ( id ad4antr ) AABCDEAFG $.

  $( Simplification of a conjunction.  (Contributed by Mario Carneiro,
     4-Jan-2017.)  (Proof shortened by Wolf Lammen, 24-May-2022.) $)
  simp-4r $p |- ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ ta ) -> ps ) $=
    ( id ad4antlr ) BBACDEBFG $.

  $( Simplification of a conjunction.  (Contributed by Mario Carneiro,
     4-Jan-2017.)  (Proof shortened by Wolf Lammen, 24-May-2022.) $)
  simp-5l $p |- ( ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ ta )
    /\ et ) -> ph ) $=
    ( id ad5antr ) AABCDEFAGH $.

  $( Simplification of a conjunction.  (Contributed by Mario Carneiro,
     4-Jan-2017.)  (Proof shortened by Wolf Lammen, 24-May-2022.) $)
  simp-5r $p |- ( ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ ta )
    /\ et ) -> ps ) $=
    ( id ad5antlr ) BBACDEFBGH $.

  $( Simplification of a conjunction.  (Contributed by Mario Carneiro,
     4-Jan-2017.)  (Proof shortened by Wolf Lammen, 24-May-2022.) $)
  simp-6l $p |- ( ( ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ ta )
    /\ et ) /\ ze ) -> ph ) $=
    ( id ad6antr ) AABCDEFGAHI $.

  $( Simplification of a conjunction.  (Contributed by Mario Carneiro,
     4-Jan-2017.)  (Proof shortened by Wolf Lammen, 24-May-2022.) $)
  simp-6r $p |- ( ( ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ ta )
    /\ et ) /\ ze ) -> ps ) $=
    ( id ad6antlr ) BBACDEFGBHI $.

  $( Simplification of a conjunction.  (Contributed by Mario Carneiro,
     4-Jan-2017.)  (Proof shortened by Wolf Lammen, 24-May-2022.) $)
  simp-7l $p |- ( ( ( ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ ta )
    /\ et ) /\ ze ) /\ si ) -> ph ) $=
    ( id ad7antr ) AABCDEFGHAIJ $.

  $( Simplification of a conjunction.  (Contributed by Mario Carneiro,
     4-Jan-2017.)  (Proof shortened by Wolf Lammen, 24-May-2022.) $)
  simp-7r $p |- ( ( ( ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ ta )
    /\ et ) /\ ze ) /\ si ) -> ps ) $=
    ( id ad7antlr ) BBACDEFGHBIJ $.

  $( Simplification of a conjunction.  (Contributed by Mario Carneiro,
     4-Jan-2017.)  (Proof shortened by Wolf Lammen, 24-May-2022.) $)
  simp-8l $p |- ( ( ( ( ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ ta )
    /\ et ) /\ ze ) /\ si ) /\ rh ) -> ph ) $=
    ( id ad8antr ) AABCDEFGHIAJK $.

  $( Simplification of a conjunction.  (Contributed by Mario Carneiro,
     4-Jan-2017.)  (Proof shortened by Wolf Lammen, 24-May-2022.) $)
  simp-8r $p |- ( ( ( ( ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ ta )
    /\ et ) /\ ze ) /\ si ) /\ rh ) -> ps ) $=
    ( id ad8antlr ) BBACDEFGHIBJK $.

  $( Simplification of a conjunction.  (Contributed by Mario Carneiro,
     4-Jan-2017.)  (Proof shortened by Wolf Lammen, 24-May-2022.) $)
  simp-9l $p |- ( ( ( ( ( ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ ta )
    /\ et ) /\ ze ) /\ si ) /\ rh ) /\ mu ) -> ph ) $=
    ( id ad9antr ) AABCDEFGHIJAKL $.

  $( Simplification of a conjunction.  (Contributed by Mario Carneiro,
     4-Jan-2017.)  (Proof shortened by Wolf Lammen, 24-May-2022.) $)
  simp-9r $p |- ( ( ( ( ( ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ ta )
    /\ et ) /\ ze ) /\ si ) /\ rh ) /\ mu ) -> ps ) $=
    ( id ad9antlr ) BBACDEFGHIJBKL $.

  $( Simplification of a conjunction.  (Contributed by Mario Carneiro,
     4-Jan-2017.)  (Proof shortened by Wolf Lammen, 24-May-2022.) $)
  simp-10l $p |- ( ( ( ( ( ( ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ ta )
    /\ et ) /\ ze ) /\ si ) /\ rh ) /\ mu ) /\ la ) -> ph ) $=
    ( id ad10antr ) AABCDEFGHIJKALM $.

  $( Simplification of a conjunction.  (Contributed by Mario Carneiro,
     4-Jan-2017.)  (Proof shortened by Wolf Lammen, 24-May-2022.) $)
  simp-10r $p |- ( ( ( ( ( ( ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ ta )
    /\ et ) /\ ze ) /\ si ) /\ rh ) /\ mu ) /\ la ) -> ps ) $=
    ( id ad10antlr ) BBACDEFGHIJKBLM $.

  $( Simplification of a conjunction.  (Contributed by Mario Carneiro,
     4-Jan-2017.)  (Proof shortened by Wolf Lammen, 24-May-2022.) $)
  simp-11l $p |- ( ( ( ( ( ( ( ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ ta )
    /\ et ) /\ ze ) /\ si ) /\ rh ) /\ mu ) /\ la ) /\ ka ) -> ph ) $=
    ( wa simpl ad10antr ) ABMACDEFGHIJKLABNO $.

  $( Simplification of a conjunction.  (Contributed by Mario Carneiro,
     4-Jan-2017.)  (Proof shortened by Wolf Lammen, 24-May-2022.) $)
  simp-11r $p |- ( ( ( ( ( ( ( ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ ta )
    /\ et ) /\ ze ) /\ si ) /\ rh ) /\ mu ) /\ la ) /\ ka ) -> ps ) $=
    ( wa simpr ad10antr ) ABMBCDEFGHIJKLABNO $.

$( Restating theorems using conjunction. $)

  ${
    pm2.01da.1 $e |- ( ( ph /\ ps ) -> -. ps ) $.
    $( Deduction based on reductio ad absurdum.  See ~ pm2.01 .  (Contributed
       by Mario Carneiro, 9-Feb-2017.) $)
    pm2.01da $p |- ( ph -> -. ps ) $=
      ( wn ex pm2.01d ) ABABBDCEF $.
  $}

  ${
    pm2.18da.1 $e |- ( ( ph /\ -. ps ) -> ps ) $.
    $( Deduction based on reductio ad absurdum.  See ~ pm2.18 .  (Contributed
       by Mario Carneiro, 9-Feb-2017.) $)
    pm2.18da $p |- ( ph -> ps ) $=
      ( wn ex pm2.18d ) ABABDBCEF $.
  $}

  ${
    impbida.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    impbida.2 $e |- ( ( ph /\ ch ) -> ps ) $.
    $( Deduce an equivalence from two implications.  Variant of ~ impbid .
       (Contributed by NM, 17-Feb-2007.) $)
    impbida $p |- ( ph -> ( ps <-> ch ) ) $=
      ( ex impbid ) ABCABCDFACBEFG $.
  $}

  ${
    pm5.21nd.1 $e |- ( ( ph /\ ps ) -> th ) $.
    pm5.21nd.2 $e |- ( ( ph /\ ch ) -> th ) $.
    pm5.21nd.3 $e |- ( th -> ( ps <-> ch ) ) $.
    $( Eliminate an antecedent implied by each side of a biconditional.
       Variant of ~ pm5.21ndd .  (Contributed by NM, 20-Nov-2005.)  (Proof
       shortened by Wolf Lammen, 4-Nov-2013.) $)
    pm5.21nd $p |- ( ph -> ( ps <-> ch ) ) $=
      ( ex wb wi a1i pm5.21ndd ) ADBCABDEHACDFHDBCIJAGKL $.
  $}

  $( Conjunctive detachment.  Theorem *3.35 of [WhiteheadRussell] p. 112.
     Variant of ~ pm2.27 .  (Contributed by NM, 14-Dec-2002.) $)
  pm3.35 $p |- ( ( ph /\ ( ph -> ps ) ) -> ps ) $=
    ( wi pm2.27 imp ) AABCBABDE $.

  ${
    pm5.74da.1 $e |- ( ( ph /\ ps ) -> ( ch <-> th ) ) $.
    $( Distribution of implication over biconditional (deduction form).
       Variant of ~ pm5.74d .  (Contributed by NM, 4-May-2007.) $)
    pm5.74da $p |- ( ph -> ( ( ps -> ch ) <-> ( ps -> th ) ) ) $=
      ( wb ex pm5.74d ) ABCDABCDFEGH $.
  $}

  $( Theorem *4.22 of [WhiteheadRussell] p. 117. ~ bitri in closed form.
     (Contributed by NM, 3-Jan-2005.) $)
  bitr $p |- ( ( ( ph <-> ps ) /\ ( ps <-> ch ) ) -> ( ph <-> ch ) ) $=
    ( wb bibi1 biimpar ) ABDACDBCDABCEF $.

  $( A transitive law of equivalence.  Compare Theorem *4.22 of
     [WhiteheadRussell] p. 117.  (Contributed by NM, 18-Aug-1993.) $)
  biantr $p |- ( ( ( ph <-> ps ) /\ ( ch <-> ps ) ) -> ( ph <-> ch ) ) $=
    ( wb id bibi2d biimparc ) CBDZACDABDHCBAHEFG $.

  $( Theorem *4.14 of [WhiteheadRussell] p. 117.  Related to ~ con34b .
     (Contributed by NM, 3-Jan-2005.)  (Proof shortened by Wolf Lammen,
     23-Oct-2012.) $)
  pm4.14 $p |- ( ( ( ph /\ ps ) -> ch ) <-> ( ( ph /\ -. ch ) -> -. ps ) ) $=
    ( wi wn wa con34b imbi2i impexp 3bitr4i ) ABCDZDACEZBEZDZDABFCDALFMDKNABCGH
    ABCIALMIJ $.

  $( Theorem *3.37 (Transp) of [WhiteheadRussell] p. 112.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 23-Oct-2012.) $)
  pm3.37 $p |- ( ( ( ph /\ ps ) -> ch ) -> ( ( ph /\ -. ch ) -> -. ps ) ) $=
    ( wa wi wn pm4.14 biimpi ) ABDCEACFDBFEABCGH $.

  $( Conjoin antecedents and consequents of two premises.  This is the closed
     theorem form of ~ anim12d .  Theorem *3.47 of [WhiteheadRussell] p. 113.
     It was proved by Leibniz, and it evidently pleased him enough to call it
     _praeclarum theorema_ (splendid theorem).  (Contributed by NM,
     12-Aug-1993.)  (Proof shortened by Wolf Lammen, 7-Apr-2013.) $)
  anim12 $p |- ( ( ( ph -> ps ) /\ ( ch -> th ) )
              -> ( ( ph /\ ch ) -> ( ps /\ th ) ) ) $=
    ( wi id im2anan9 ) ABEZABCDEZCDHFIFG $.

$( Replacing conjunction. $)

  $( Conjunction implies implication.  Theorem *3.4 of [WhiteheadRussell]
     p. 113.  (Contributed by NM, 31-Jul-1995.) $)
  pm3.4 $p |- ( ( ph /\ ps ) -> ( ph -> ps ) ) $=
    ( wa simpr a1d ) ABCBAABDE $.

  ${
    exbiri.1 $e |- ( ( ph /\ ps ) -> ( ch <-> th ) ) $.
    $( Inference form of ~ exbir .  This proof is ~ exbiriVD automatically
       translated and minimized.  (Contributed by Alan Sare, 31-Dec-2011.)
       (Proof shortened by Wolf Lammen, 27-Jan-2013.) $)
    exbiri $p |- ( ph -> ( ps -> ( th -> ch ) ) ) $=
      ( wa biimpar exp31 ) ABDCABFCDEGH $.
  $}

$( Contradiction using conjunction. $)

  ${
    pm2.61ian.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    pm2.61ian.2 $e |- ( ( -. ph /\ ps ) -> ch ) $.
    $( Elimination of an antecedent.  (Contributed by NM, 1-Jan-2005.) $)
    pm2.61ian $p |- ( ps -> ch ) $=
      ( wi ex wn pm2.61i ) ABCFABCDGAHBCEGI $.
  $}

  ${
    pm2.61dan.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    pm2.61dan.2 $e |- ( ( ph /\ -. ps ) -> ch ) $.
    $( Elimination of an antecedent.  (Contributed by NM, 1-Jan-2005.) $)
    pm2.61dan $p |- ( ph -> ch ) $=
      ( ex wn pm2.61d ) ABCABCDFABGCEFH $.
  $}

  ${
    pm2.61ddan.1 $e |- ( ( ph /\ ps ) -> th ) $.
    pm2.61ddan.2 $e |- ( ( ph /\ ch ) -> th ) $.
    pm2.61ddan.3 $e |- ( ( ph /\ ( -. ps /\ -. ch ) ) -> th ) $.
    $( Elimination of two antecedents.  (Contributed by NM, 9-Jul-2013.) $)
    pm2.61ddan $p |- ( ph -> th ) $=
      ( wn wa adantlr anassrs pm2.61dan ) ABDEABHZICDACDMFJAMCHDGKLL $.
  $}

  ${
    pm2.61dda.1 $e |- ( ( ph /\ -. ps ) -> th ) $.
    pm2.61dda.2 $e |- ( ( ph /\ -. ch ) -> th ) $.
    pm2.61dda.3 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Elimination of two antecedents.  (Contributed by NM, 9-Jul-2013.) $)
    pm2.61dda $p |- ( ph -> th ) $=
      ( wa anassrs wn adantlr pm2.61dan ) ABDABHCDABCDGIACJDBFKLEL $.
  $}

  ${
    mtand.1 $e |- ( ph -> -. ch ) $.
    mtand.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( A modus tollens deduction.  (Contributed by Jeff Hankins,
       19-Aug-2009.) $)
    mtand $p |- ( ph -> -. ps ) $=
      ( ex mtod ) ABCDABCEFG $.
  $}

  ${
    pm2.65da.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    pm2.65da.2 $e |- ( ( ph /\ ps ) -> -. ch ) $.
    $( Deduction for proof by contradiction.  (Contributed by NM,
       12-Jun-2014.) $)
    pm2.65da $p |- ( ph -> -. ps ) $=
      ( ex wn pm2.65d ) ABCABCDFABCGEFH $.
  $}

  ${
    condan.1 $e |- ( ( ph /\ -. ps ) -> ch ) $.
    condan.2 $e |- ( ( ph /\ -. ps ) -> -. ch ) $.
    $( Proof by contradiction.  (Contributed by NM, 9-Feb-2006.)  (Proof
       shortened by Wolf Lammen, 19-Jun-2014.) $)
    condan $p |- ( ph -> ps ) $=
      ( wn pm2.65da notnotrd ) ABABFCDEGH $.
  $}

$( Relation of conjunction to biconditional. $)

  $( An implication is equivalent to the equivalence of some implied
     equivalence and some other equivalence involving a conjunction.  A utility
     lemma as illustrated in ~ biadanii and ~ elelb .  (Contributed by BJ,
     4-Mar-2023.)  (Proof shortened by Wolf Lammen, 8-Mar-2023.) $)
  biadan $p |- ( ( ph -> ps ) <->
                   ( ( ps -> ( ph <-> ch ) ) <-> ( ph <-> ( ps /\ ch ) ) ) ) $=
    ( wi wa wb pm4.71r bicom pm5.32 bibi12i biluk 3bitr4ri 3bitri ) ABDABAEZFNA
    FZBACFDZABCEZFZFZABGANHRPFQAFZNQFZFSORTPUAAQHBACIJPRHNAQKLM $.

  ${
    biadani.1 $e |- ( ph -> ps ) $.
    $( Inference associated with ~ biadan .  (Contributed by BJ,
       4-Mar-2023.) $)
    biadani $p |- ( ( ps -> ( ph <-> ch ) ) <-> ( ph <-> ( ps /\ ch ) ) ) $=
      ( wi wb wa biadan mpbi ) ABEBACFEABCGFFDABCHI $.

    $( Alternate proof of ~ biadani not using ~ biadan .  (Contributed by BJ,
       4-Mar-2023.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    biadaniALT $p |- ( ( ps -> ( ph <-> ch ) ) <-> ( ph <-> ( ps /\ ch ) ) ) $=
      ( wb wi wa pm5.32 pm4.71ri bibi1i bitr4i ) BACEFBAGZBCGZEAMEBACHALMABDIJK
      $.

    biadanii.2 $e |- ( ps -> ( ph <-> ch ) ) $.
    $( Inference associated with ~ biadani .  Add a conjunction to an
       equivalence.  (Contributed by Jeff Madsen, 20-Jun-2011.)  (Proof
       shortened by BJ, 4-Mar-2023.) $)
    biadanii $p |- ( ph <-> ( ps /\ ch ) ) $=
      ( wb wi wa biadani mpbi ) BACFGABCHFEABCDIJ $.
  $}

  ${
    biadanid.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    biadanid.2 $e |- ( ( ph /\ ch ) -> ( ps <-> th ) ) $.
    $( Deduction associated with ~ biadani .  Add a conjunction to an
       equivalence.  (Contributed by Thierry Arnoux, 16-Jun-2024.) $)
    biadanid $p |- ( ph -> ( ps <-> ( ch /\ th ) ) ) $=
      ( wa biimpa an32s mpdan jca biimpar anasss impbida ) ABCDGABGZCDEOCDEACBD
      ACGZBDFHIJKACDBPBDFLMN $.
  $}

  $( Two propositions are equivalent if they are both true.  Theorem *5.1 of
     [WhiteheadRussell] p. 123.  (Contributed by NM, 21-May-1994.) $)
  pm5.1 $p |- ( ( ph /\ ps ) -> ( ph <-> ps ) ) $=
    ( wb pm5.501 biimpa ) ABABCABDE $.

  $( Two propositions are equivalent if they are both false.  Theorem *5.21 of
     [WhiteheadRussell] p. 124.  (Contributed by NM, 21-May-1994.) $)
  pm5.21 $p |- ( ( -. ph /\ -. ps ) -> ( ph <-> ps ) ) $=
    ( wn wb pm5.21im imp ) ACBCABDABEF $.

  $( Theorem *5.35 of [WhiteheadRussell] p. 125.  Closed form of ~ 2thd .
     (Contributed by NM, 3-Jan-2005.) $)
  pm5.35 $p |- ( ( ( ph -> ps ) /\ ( ph -> ch ) ) ->
                ( ph -> ( ps <-> ch ) ) ) $=
    ( wi wa pm5.1 pm5.74rd ) ABDZACDZEABCHIFG $.

  $( Introduce one conjunct as an antecedent to the other.  "abai" stands for
     "and, biconditional, and, implication".  (Contributed by NM, 12-Aug-1993.)
     (Proof shortened by Wolf Lammen, 7-Dec-2012.) $)
  abai $p |- ( ( ph /\ ps ) <-> ( ph /\ ( ph -> ps ) ) ) $=
    ( wi biimt pm5.32i ) ABABCABDE $.

  $( Conjunction with implication.  Compare Theorem *4.45 of [WhiteheadRussell]
     p. 119.  (Contributed by NM, 17-May-1998.) $)
  pm4.45im $p |- ( ph <-> ( ph /\ ( ps -> ph ) ) ) $=
    ( wi ax-1 pm4.71i ) ABACABDE $.

  $( An implication and its reverse are equivalent exactly when both operands
     are equivalent.  The right hand side resembles that of ~ dfbi2 , but
     ` <-> ` is a weaker operator than ` /\ ` .  Note that an implication and
     its reverse can never be simultaneously false, because of ~ pm2.521 .
     (Contributed by Wolf Lammen, 18-Dec-2023.) $)
  impimprbi $p |- ( ( ph <-> ps ) <-> ( ( ph -> ps ) <-> ( ps -> ph ) ) ) $=
    ( wb wi wa dfbi2 pm5.1 sylbi impbi wn pm2.521 pm2.24d bija impbii ) ABCZABD
    ZBADZCZOPQERABFPQGHPQOABIPJQOABKLMN $.

$( Moving subexpressions in/out of a conjunction. $)

  $( Theorem to move a conjunct in and out of a negation.  (Contributed by NM,
     9-Nov-2003.) $)
  nan $p |- ( ( ph -> -. ( ps /\ ch ) ) <-> ( ( ph /\ ps ) -> -. ch ) ) $=
    ( wa wn wi impexp imnan imbi2i bitr2i ) ABDCEZFABKFZFABCDEZFABKGLMABCHIJ $.

  $( Theorem *5.31 of [WhiteheadRussell] p. 125.  (Contributed by NM,
     3-Jan-2005.) $)
  pm5.31 $p |- ( ( ch /\ ( ph -> ps ) ) -> ( ph -> ( ps /\ ch ) ) ) $=
    ( wi wa simpr simpl jctird ) CABDZEABCCIFCIGH $.

  $( Variant of ~ pm5.31 .  (Contributed by Rodolfo Medina, 15-Oct-2010.) $)
  pm5.31r $p |- ( ( ch /\ ( ph -> ps ) ) -> ( ph -> ( ch /\ ps ) ) ) $=
    ( wi ax-1 id anim12ii ) CACABDZBCAEHFG $.

  $( Theorem *4.15 of [WhiteheadRussell] p. 117.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 18-Nov-2012.) $)
  pm4.15 $p |- ( ( ( ph /\ ps ) -> -. ch ) <-> ( ( ps /\ ch ) -> -. ph ) ) $=
    ( wa wn wi con2b nan bitr2i ) BCDZAEFAJEFABDCEFJAGABCHI $.

  $( Theorem *5.36 of [WhiteheadRussell] p. 125.  (Contributed by NM,
     3-Jan-2005.) $)
  pm5.36 $p |- ( ( ph /\ ( ph <-> ps ) ) <-> ( ps /\ ( ph <-> ps ) ) ) $=
    ( wb id pm5.32ri ) ABCZABFDE $.

$( Absorption in conjunction. $)

  $( A conjunction with a negated conjunction.  (Contributed by AV,
     8-Mar-2022.)  (Proof shortened by Wolf Lammen, 1-Apr-2022.) $)
  annotanannot $p |- ( ( ph /\ -. ( ph /\ ps ) ) <-> ( ph /\ -. ps ) ) $=
    ( wa wn ibar bicomd notbid pm5.32i ) AABCZDBDAIBABIABEFGH $.

  $( Theorem *5.33 of [WhiteheadRussell] p. 125.  (Contributed by NM,
     3-Jan-2005.) $)
  pm5.33 $p |- ( ( ph /\ ( ps -> ch ) ) <->
                ( ph /\ ( ( ph /\ ps ) -> ch ) ) ) $=
    ( wi wa ibar imbi1d pm5.32i ) ABCDABEZCDABICABFGH $.

$( Miscellaneous theorems using conjunction. $)

  ${
    syl12anc.1 $e |- ( ph -> ps ) $.
    syl12anc.2 $e |- ( ph -> ch ) $.
    syl12anc.3 $e |- ( ph -> th ) $.
    ${
      syl12anc.4 $e |- ( ( ps /\ ( ch /\ th ) ) -> ta ) $.
      $( Syllogism combined with contraction.  (Contributed by Jeff Hankins,
         1-Aug-2009.) $)
      syl12anc $p |- ( ph -> ta ) $=
        ( wa jca syl2anc ) ABCDJEFACDGHKIL $.
    $}

    ${
      syl21anc.4 $e |- ( ( ( ps /\ ch ) /\ th ) -> ta ) $.
      $( Syllogism combined with contraction.  (Contributed by Jeff Hankins,
         1-Aug-2009.) $)
      syl21anc $p |- ( ph -> ta ) $=
        ( wa jca syl2anc ) ABCJDEABCFGKHIL $.
    $}

    ${
      syl22anc.4 $e |- ( ph -> ta ) $.
      syl22anc.5 $e |- ( ( ( ps /\ ch ) /\ ( th /\ ta ) ) -> et ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl22anc $p |- ( ph -> et ) $=
        ( wa jca syl12anc ) ABCLDEFABCGHMIJKN $.
    $}
  $}

  ${
    syl1111anc.1 $e |- ( ph -> ps ) $.
    syl1111anc.2 $e |- ( ph -> ch ) $.
    syl1111anc.3 $e |- ( ph -> th ) $.
    syl1111anc.4 $e |- ( ph -> ta ) $.
    syl1111anc.5 $e |- ( ( ( ( ps /\ ch ) /\ th ) /\ ta ) -> et ) $.
    $( Four-hypothesis elimination deduction for an assertion with a singleton
       virtual hypothesis collection.  Similar to ~ syl112anc except the
       unification theorem uses left-nested conjunction.  (Contributed by Alan
       Sare, 17-Oct-2017.) $)
    syl1111anc $p |- ( ph -> et ) $=
      ( wa jca syl21anc ) ABCLDEFABCGHMIJKN $.
  $}

  ${
    syldbl2.1 $e |- ( ( ph /\ ps ) -> ( ps -> th ) ) $.
    $( Stacked hypotheseis implies goal.  (Contributed by Stanislas Polu,
       9-Mar-2020.) $)
    syldbl2 $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa com12 anabsi7 ) ABCABEBCDFG $.
  $}

  ${
    mpsyl4anc.1 $e |- ph $.
    mpsyl4anc.2 $e |- ps $.
    mpsyl4anc.3 $e |- ch $.
    mpsyl4anc.4 $e |- ( th -> ta ) $.
    mpsyl4anc.5 $e |- ( ( ( ( ph /\ ps ) /\ ch ) /\ ta ) -> et ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 17-Oct-2017.) $)
    mpsyl4anc $p |- ( th -> et ) $=
      ( a1i syl1111anc ) DABCEFADGLBDHLCDILJKM $.
  $}

  $( Theorem *4.87 of [WhiteheadRussell] p. 122.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Eric Schmidt, 26-Oct-2006.) $)
  pm4.87 $p |- ( ( ( ( ( ph /\ ps ) -> ch ) <-> ( ph -> ( ps -> ch ) ) ) /\
                ( ( ph -> ( ps -> ch ) ) <-> ( ps -> ( ph -> ch ) ) ) ) /\
                ( ( ps -> ( ph -> ch ) ) <-> ( ( ps /\ ph ) -> ch ) ) ) $=
    ( wa wi wb impexp bi2.04 pm3.2i bicomi ) ABDCEABCEEZFZKBACEEZFZDMBADCEZFLNA
    BCGABCHIOMBACGJI $.

  $( Removal of conjunct from one side of an equivalence.  (Contributed by NM,
     21-Jun-1993.) $)
  bimsc1 $p |- ( ( ( ph -> ps ) /\ ( ch <-> ( ps /\ ph ) ) )
               -> ( ch <-> ph ) ) $=
    ( wa wb wi id simpr ancr impbid2 sylan9bbr ) CBADZEZCLABFZAMGNLABAHABIJK $.

  ${
    a2and.1 $e |- ( ph -> ( ( ps /\ rh ) -> ( ta -> th ) ) ) $.
    a2and.2 $e |- ( ph -> ( ( ps /\ rh ) -> ch ) ) $.
    $( Deduction distributing a conjunction as embedded antecedent.
       (Contributed by AV, 25-Oct-2019.)  (Proof shortened by Wolf Lammen,
       19-Jan-2020.) $)
    a2and $p |- ( ph -> ( ( ( ps /\ ch ) -> ta )
                            -> ( ( ps /\ rh ) -> th ) ) ) $=
      ( wa wi expd imdistand imim1 com3l syl6c com23 ) ABFIZBCIZEJZDAQEDJZRSDJG
      ABFCABFCHKLSTRDREDMNOP $.
  $}

  ${
    animpimp2impd.1 $e |- ( ( ps /\ ph ) -> ( ch -> ( th -> et ) ) ) $.
    animpimp2impd.2 $e |- ( ( ps /\ ( ph /\ th ) ) -> ( et -> ta ) ) $.
    $( Deduction deriving nested implications from conjunctions.  (Contributed
       by AV, 21-Aug-2022.) $)
    animpimp2impd $p |- ( ph -> ( ( ps -> ch ) -> ( ps -> ( th -> ta ) ) ) ) $=
      ( wi wa expr a2d syld expcom ) ABCDEIZBACOIBAJZCDFIOGPDFEBADFEIHKLMNL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Logical disjunction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This section defines disjunction of two formulas, denoted by infix " ` \/ ` "
  and read "or".  It is defined in terms of implication and negation, which is
  possible in classical logic (but not in intuitionistic logic: see iset.mm).
  This section contains only theorems proved without ~ df-an (theorems that are
  proved using ~ df-an are deferred to the next section).  Basic theorems that
  help simplifying and applying disjunction are ~ olc , ~ orc , and ~ orcom .

  As mentioned in the "note on definitions" in the section comment for logical
  equivalence, all theorems in this and the previous section can be stated in
  terms of implication and negation only.  Additionally, in classical logic
  (but not in intuitionistic logic: see iset.mm), it is also possible to
  translate conjunction into disjunction and conversely via the De Morgan law
  ~ anor : conjunction and disjunction are dual connectives.  Either is
  sufficient to develop all propositional calculus of the logic (together with
  implication and negation).  In practice, conjunction is more efficient, its
  big advantage being the possibility to use it to group antecedents in a
  convenient way, using ~ imp and ~ ex as noted in the previous section.

  An illustration of the conservativity of ~ df-an is given by ~ orim12dALT ,
  which is an alternate proof of ~ orim12d not using ~ df-an .

$)

  $( Declare connectives for disjunction ("or"). $)
  $c \/ $.  $( Vee (read:  "or") $)

  $( Extend wff definition to include disjunction ("or"). $)
  wo $a wff ( ph \/ ps ) $.

  $( Define disjunction (logical "or").  Definition of [Margaris] p. 49.  When
     the left operand, right operand, or both are true, the result is true;
     when both sides are false, the result is false.  For example, it is true
     that ` ( 2 = 3 \/ 4 = 4 ) ` ( ~ ex-or ).  After we define the constant
     true ` T. ` ( ~ df-tru ) and the constant false ` F. ` ( ~ df-fal ), we
     will be able to prove these truth table values:
     ` ( ( T. \/ T. ) <-> T. ) ` ( ~ truortru ), ` ( ( T. \/ F. ) <-> T. ) `
     ( ~ truorfal ), ` ( ( F. \/ T. ) <-> T. ) ` ( ~ falortru ), and
     ` ( ( F. \/ F. ) <-> F. ) ` ( ~ falorfal ).

     Contrast with ` /\ ` ( ~ df-an ), ` -> ` ( ~ wi ), ` -/\ ` ( ~ df-nan ),
     and ` \/_ ` ( ~ df-xor ).  (Contributed by NM, 27-Dec-1992.) $)
  df-or $a |- ( ( ph \/ ps ) <-> ( -. ph -> ps ) ) $.

  $( Theorem *4.64 of [WhiteheadRussell] p. 120.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.64 $p |- ( ( -. ph -> ps ) <-> ( ph \/ ps ) ) $=
    ( wo wn wi df-or bicomi ) ABCADBEABFG $.

  $( Theorem *4.66 of [WhiteheadRussell] p. 120.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.66 $p |- ( ( -. ph -> -. ps ) <-> ( ph \/ -. ps ) ) $=
    ( wn pm4.64 ) ABCD $.

  $( Theorem *2.53 of [WhiteheadRussell] p. 107.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.53 $p |- ( ( ph \/ ps ) -> ( -. ph -> ps ) ) $=
    ( wo wn wi df-or biimpi ) ABCADBEABFG $.

  $( Theorem *2.54 of [WhiteheadRussell] p. 107.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.54 $p |- ( ( -. ph -> ps ) -> ( ph \/ ps ) ) $=
    ( wo wn wi df-or biimpri ) ABCADBEABFG $.

  $( Implication in terms of disjunction.  Theorem *4.6 of [WhiteheadRussell]
     p. 120.  (Contributed by NM, 3-Jan-1993.) $)
  imor $p |- ( ( ph -> ps ) <-> ( -. ph \/ ps ) ) $=
    ( wi wn wo notnotb imbi1i df-or bitr4i ) ABCADZDZBCJBEAKBAFGJBHI $.

  ${
    imori.1 $e |- ( ph -> ps ) $.
    $( Infer disjunction from implication.  (Contributed by NM,
       12-Mar-2012.) $)
    imori $p |- ( -. ph \/ ps ) $=
      ( wi wn wo imor mpbi ) ABDAEBFCABGH $.
  $}

  ${
    imorri.1 $e |- ( -. ph \/ ps ) $.
    $( Infer implication from disjunction.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.) $)
    imorri $p |- ( ph -> ps ) $=
      ( wi wn wo imor mpbir ) ABDAEBFCABGH $.
  $}

  $( Theorem *4.62 of [WhiteheadRussell] p. 120.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.62 $p |- ( ( ph -> -. ps ) <-> ( -. ph \/ -. ps ) ) $=
    ( wn imor ) ABCD $.

  ${
    jaoi.1 $e |- ( ph -> ps ) $.
    jaoi.2 $e |- ( ch -> ps ) $.
    $( Inference disjoining the antecedents of two implications.  (Contributed
       by NM, 5-Apr-1994.) $)
    jaoi $p |- ( ( ph \/ ch ) -> ps ) $=
      ( wo wn pm2.53 syl6 pm2.61d2 ) ACFZABKAGCBACHEIDJ $.
  $}

  ${
    jao1i.1 $e |- ( ps -> ( ch -> ph ) ) $.
    $( Add a disjunct in the antecedent of an implication.  (Contributed by
       Rodolfo Medina, 24-Sep-2010.) $)
    jao1i $p |- ( ( ph \/ ps ) -> ( ch -> ph ) ) $=
      ( wi ax-1 jaoi ) ACAEBACFDG $.
  $}

  ${
    jaod.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jaod.2 $e |- ( ph -> ( th -> ch ) ) $.
    $( Deduction disjoining the antecedents of two implications.  (Contributed
       by NM, 18-Aug-1994.) $)
    jaod $p |- ( ph -> ( ( ps \/ th ) -> ch ) ) $=
      ( wo wi com12 jaoi ) BDGACBACHDABCEIADCFIJI $.

    jaod.3 $e |- ( ph -> ( ps \/ th ) ) $.
    $( Eliminate a disjunction in a deduction.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    mpjaod $p |- ( ph -> ch ) $=
      ( wo jaod mpd ) ABDHCGABCDEFIJ $.
  $}

  ${
    ori.1 $e |- ( ph \/ ps ) $.
    $( Infer implication from disjunction.  (Contributed by NM,
       11-Jun-1994.) $)
    ori $p |- ( -. ph -> ps ) $=
      ( wo wn wi df-or mpbi ) ABDAEBFCABGH $.
  $}

  ${
    orri.1 $e |- ( -. ph -> ps ) $.
    $( Infer disjunction from implication.  (Contributed by NM,
       11-Jun-1994.) $)
    orri $p |- ( ph \/ ps ) $=
      ( wo wn wi df-or mpbir ) ABDAEBFCABGH $.
  $}

  ${
    orrd.1 $e |- ( ph -> ( -. ps -> ch ) ) $.
    $( Deduce disjunction from implication.  (Contributed by NM,
       27-Nov-1995.) $)
    orrd $p |- ( ph -> ( ps \/ ch ) ) $=
      ( wn wi wo pm2.54 syl ) ABECFBCGDBCHI $.
  $}

  ${
    ord.1 $e |- ( ph -> ( ps \/ ch ) ) $.
    $( Deduce implication from disjunction.  (Contributed by NM,
       18-May-1994.) $)
    ord $p |- ( ph -> ( -. ps -> ch ) ) $=
      ( wo wn wi df-or sylib ) ABCEBFCGDBCHI $.
  $}

  ${
    orci.1 $e |- ph $.
    $( Deduction introducing a disjunct.  (Contributed by NM, 19-Jan-2008.)
       (Proof shortened by Wolf Lammen, 14-Nov-2012.) $)
    orci $p |- ( ph \/ ps ) $=
      ( pm2.24i orri ) ABABCDE $.

    $( Deduction introducing a disjunct.  (Contributed by NM, 19-Jan-2008.)
       (Proof shortened by Wolf Lammen, 14-Nov-2012.) $)
    olci $p |- ( ps \/ ph ) $=
      ( wn a1i orri ) BAABDCEF $.
  $}

  $( Introduction of a disjunct.  Theorem *2.2 of [WhiteheadRussell] p. 104.
     (Contributed by NM, 30-Aug-1993.) $)
  orc $p |- ( ph -> ( ph \/ ps ) ) $=
    ( pm2.24 orrd ) AABABCD $.

  $( Introduction of a disjunct.  Axiom *1.3 of [WhiteheadRussell] p. 96.
     (Contributed by NM, 30-Aug-1993.) $)
  olc $p |- ( ph -> ( ps \/ ph ) ) $=
    ( wn ax-1 orrd ) ABAABCDE $.

  $( Axiom *1.4 of [WhiteheadRussell] p. 96.  (Contributed by NM,
     3-Jan-2005.) $)
  pm1.4 $p |- ( ( ph \/ ps ) -> ( ps \/ ph ) ) $=
    ( wo olc orc jaoi ) ABACBABDBAEF $.

  $( Commutative law for disjunction.  Theorem *4.31 of [WhiteheadRussell]
     p. 118.  (Contributed by NM, 3-Jan-1993.)  (Proof shortened by Wolf
     Lammen, 15-Nov-2012.) $)
  orcom $p |- ( ( ph \/ ps ) <-> ( ps \/ ph ) ) $=
    ( wo pm1.4 impbii ) ABCBACABDBADE $.

  ${
    orcomd.1 $e |- ( ph -> ( ps \/ ch ) ) $.
    $( Commutation of disjuncts in consequent.  (Contributed by NM,
       2-Dec-2010.) $)
    orcomd $p |- ( ph -> ( ch \/ ps ) ) $=
      ( wo orcom sylib ) ABCECBEDBCFG $.
  $}

  ${
    orcoms.1 $e |- ( ( ph \/ ps ) -> ch ) $.
    $( Commutation of disjuncts in antecedent.  (Contributed by NM,
       2-Dec-2012.) $)
    orcoms $p |- ( ( ps \/ ph ) -> ch ) $=
      ( wo pm1.4 syl ) BAEABECBAFDG $.
  $}

  ${
    orcd.1 $e |- ( ph -> ps ) $.
    $( Deduction introducing a disjunct.  A translation of natural deduction
       rule ` \/ ` IR ( ` \/ ` insertion right), see ~ natded .  (Contributed
       by NM, 20-Sep-2007.) $)
    orcd $p |- ( ph -> ( ps \/ ch ) ) $=
      ( wo orc syl ) ABBCEDBCFG $.

    $( Deduction introducing a disjunct.  A translation of natural deduction
       rule ` \/ ` IL ( ` \/ ` insertion left), see ~ natded .  (Contributed by
       NM, 11-Apr-2008.)  (Proof shortened by Wolf Lammen, 3-Oct-2013.) $)
    olcd $p |- ( ph -> ( ch \/ ps ) ) $=
      ( orcd orcomd ) ABCABCDEF $.
  $}

  ${
    orcs.1 $e |- ( ( ph \/ ps ) -> ch ) $.
    $( Deduction eliminating disjunct. _Notational convention_:  We sometimes
       suffix with "s" the label of an inference that manipulates an
       antecedent, leaving the consequent unchanged.  The "s" means that the
       inference eliminates the need for a syllogism ( ~ syl ) -type inference
       in a proof.  (Contributed by NM, 21-Jun-1994.) $)
    orcs $p |- ( ph -> ch ) $=
      ( wo orc syl ) AABECABFDG $.
  $}

  ${
    olcs.1 $e |- ( ( ph \/ ps ) -> ch ) $.
    $( Deduction eliminating disjunct.  (Contributed by NM, 21-Jun-1994.)
       (Proof shortened by Wolf Lammen, 3-Oct-2013.) $)
    olcs $p |- ( ps -> ch ) $=
      ( orcoms orcs ) BACABCDEF $.
  $}

  ${
    olcnd.1 $e |- ( ph -> ( ps \/ ch ) ) $.
    olcnd.2 $e |- ( ph -> -. ch ) $.
    $( A lemma for Conjunctive Normal Form unit propagation, in deduction form.
       (Contributed by Giovanni Mascellani, 15-Sep-2017.)  (Proof shortened by
       Wolf Lammen, 13-Apr-2024.) $)
    olcnd $p |- ( ph -> ps ) $=
      ( ord mt3d ) ABCEABCDFG $.

    $( Obsolete version of ~ olcnd as of 13-Apr-2024.  (Contributed by Giovanni
       Mascellani, 15-Sep-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    unitreslOLD $p |- ( ph -> ps ) $=
      ( wo wn wi orcom df-or sylbb sylc ) ABCFZCGZBDEMCBFNBHBCICBJKL $.
  $}

  ${
    orcnd.1 $e |- ( ph -> ( ps \/ ch ) ) $.
    orcnd.2 $e |- ( ph -> -. ps ) $.
    $( A lemma for Conjunctive Normal Form unit propagation, in deduction form.
       (Contributed by Giovanni Mascellani, 15-Sep-2017.) $)
    orcnd $p |- ( ph -> ch ) $=
      ( orcomd olcnd ) ACBABCDFEG $.
  $}

  ${
    mtord.1 $e |- ( ph -> -. ch ) $.
    mtord.2 $e |- ( ph -> -. th ) $.
    mtord.3 $e |- ( ph -> ( ps -> ( ch \/ th ) ) ) $.
    $( A modus tollens deduction involving disjunction.  (Contributed by Jeff
       Hankins, 15-Jul-2009.) $)
    mtord $p |- ( ph -> -. ps ) $=
      ( wo wn pm2.53 syl6ci mtod ) ABDFABCDHCIDGECDJKL $.
  $}

  ${
    pm3.2ni.1 $e |- -. ph $.
    pm3.2ni.2 $e |- -. ps $.
    $( Infer negated disjunction of negated premises.  (Contributed by NM,
       4-Apr-1995.) $)
    pm3.2ni $p |- -. ( ph \/ ps ) $=
      ( wo id pm2.21i jaoi mto ) ABEACAABAFBADGHI $.
  $}

  $( Theorem *2.45 of [WhiteheadRussell] p. 106.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.45 $p |- ( -. ( ph \/ ps ) -> -. ph ) $=
    ( wo orc con3i ) AABCABDE $.

  $( Theorem *2.46 of [WhiteheadRussell] p. 106.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.46 $p |- ( -. ( ph \/ ps ) -> -. ps ) $=
    ( wo olc con3i ) BABCBADE $.

  $( Theorem *2.47 of [WhiteheadRussell] p. 107.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.47 $p |- ( -. ( ph \/ ps ) -> ( -. ph \/ ps ) ) $=
    ( wo wn pm2.45 orcd ) ABCDADBABEF $.

  $( Theorem *2.48 of [WhiteheadRussell] p. 107.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.48 $p |- ( -. ( ph \/ ps ) -> ( ph \/ -. ps ) ) $=
    ( wo wn pm2.46 olcd ) ABCDBDAABEF $.

  $( Theorem *2.49 of [WhiteheadRussell] p. 107.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.49 $p |- ( -. ( ph \/ ps ) -> ( -. ph \/ -. ps ) ) $=
    ( wo wn pm2.46 olcd ) ABCDBDADABEF $.

  $( If neither of two propositions is true, then these propositions are
     equivalent.  (Contributed by BJ, 26-Apr-2019.) $)
  norbi $p |- ( -. ( ph \/ ps ) -> ( ph <-> ps ) ) $=
    ( wo orc olc pm5.21ni ) AABCBABDBAEF $.

  $( If two propositions are not equivalent, then at least one is true.
     (Contributed by BJ, 19-Apr-2019.)  (Proof shortened by Wolf Lammen,
     19-Jan-2020.) $)
  nbior $p |- ( -. ( ph <-> ps ) -> ( ph \/ ps ) ) $=
    ( wo wb norbi con1i ) ABCABDABEF $.

  $( Elimination of disjunction by denial of a disjunct.  Theorem *2.55 of
     [WhiteheadRussell] p. 107.  (Contributed by NM, 12-Aug-1994.)  (Proof
     shortened by Wolf Lammen, 21-Jul-2012.) $)
  orel1 $p |- ( -. ph -> ( ( ph \/ ps ) -> ps ) ) $=
    ( wo wn pm2.53 com12 ) ABCADBABEF $.

  $( Theorem *2.25 of [WhiteheadRussell] p. 104.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.25 $p |- ( ph \/ ( ( ph \/ ps ) -> ps ) ) $=
    ( wo wi orel1 orri ) AABCBDABEF $.

  $( Elimination of disjunction by denial of a disjunct.  Theorem *2.56 of
     [WhiteheadRussell] p. 107.  (Contributed by NM, 12-Aug-1994.)  (Proof
     shortened by Wolf Lammen, 5-Apr-2013.) $)
  orel2 $p |- ( -. ph -> ( ( ps \/ ph ) -> ps ) ) $=
    ( wn idd pm2.21 jaod ) ACZBBAGBDABEF $.

  $( Slight generalization of Theorem *2.67 of [WhiteheadRussell] p. 107.
     (Contributed by NM, 3-Jan-2005.) $)
  pm2.67-2 $p |- ( ( ( ph \/ ch ) -> ps ) -> ( ph -> ps ) ) $=
    ( wo orc imim1i ) AACDBACEF $.

  $( Theorem *2.67 of [WhiteheadRussell] p. 107.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.67 $p |- ( ( ( ph \/ ps ) -> ps ) -> ( ph -> ps ) ) $=
    ( pm2.67-2 ) ABBC $.

  $( A non-intuitionistic positive statement, sometimes called a paradox of
     material implication.  Sometimes called Curry's axiom.  Similar to ~ exmid
     (obtained by substituting ` F. ` for ` ps ` ) but positive.  For another
     non-intuitionistic positive statement, see ~ peirce .  (Contributed by BJ,
     4-Apr-2021.) $)
  curryax $p |- ( ph \/ ( ph -> ps ) ) $=
    ( wi pm2.21 orri ) AABCABDE $.

  $( Law of excluded middle, also called the principle of _tertium non datur_.
     Theorem *2.11 of [WhiteheadRussell] p. 101.  It says that something is
     either true or not true; there are no in-between values of truth.  This is
     an essential distinction of our classical logic and is not a theorem of
     intuitionistic logic.  In intuitionistic logic, if this statement is true
     for some ` ph ` , then ` ph ` is decidable.  (Contributed by NM,
     29-Dec-1992.) $)
  exmid $p |- ( ph \/ -. ph ) $=
    ( wn id orri ) AABZECD $.

  $( Law of excluded middle in a context.  (Contributed by Mario Carneiro,
     9-Feb-2017.) $)
  exmidd $p |- ( ph -> ( ps \/ -. ps ) ) $=
    ( wn wo exmid a1i ) BBCDABEF $.

  $( Theorem *2.1 of [WhiteheadRussell] p. 101.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 23-Nov-2012.) $)
  pm2.1 $p |- ( -. ph \/ ph ) $=
    ( id imori ) AAABC $.

  $( Theorem *2.13 of [WhiteheadRussell] p. 101.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.13 $p |- ( ph \/ -. -. -. ph ) $=
    ( wn notnot orri ) AABZBBECD $.

  $( Theorem *2.621 of [WhiteheadRussell] p. 107.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.621 $p |- ( ( ph -> ps ) -> ( ( ph \/ ps ) -> ps ) ) $=
    ( wi id idd jaod ) ABCZABBGDGBEF $.

  $( Theorem *2.62 of [WhiteheadRussell] p. 107.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 13-Dec-2013.) $)
  pm2.62 $p |- ( ( ph \/ ps ) -> ( ( ph -> ps ) -> ps ) ) $=
    ( wi wo pm2.621 com12 ) ABCABDBABEF $.

  $( Theorem *2.68 of [WhiteheadRussell] p. 108.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.68 $p |- ( ( ( ph -> ps ) -> ps ) -> ( ph \/ ps ) ) $=
    ( wi jarl orrd ) ABCBCABABBDE $.

  $( Logical 'or' expressed in terms of implication only.  Theorem *5.25 of
     [WhiteheadRussell] p. 124.  (Contributed by NM, 12-Aug-2004.)  (Proof
     shortened by Wolf Lammen, 20-Oct-2012.) $)
  dfor2 $p |- ( ( ph \/ ps ) <-> ( ( ph -> ps ) -> ps ) ) $=
    ( wo wi pm2.62 pm2.68 impbii ) ABCABDBDABEABFG $.

  $( Theorem *2.07 of [WhiteheadRussell] p. 101.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.07 $p |- ( ph -> ( ph \/ ph ) ) $=
    ( olc ) AAB $.

  $( Axiom *1.2 of [WhiteheadRussell] p. 96, which they call "Taut".
     (Contributed by NM, 3-Jan-2005.) $)
  pm1.2 $p |- ( ( ph \/ ph ) -> ph ) $=
    ( id jaoi ) AAAABZDC $.

  $( Idempotent law for disjunction.  Theorem *4.25 of [WhiteheadRussell]
     p. 117.  (Contributed by NM, 11-May-1993.)  (Proof shortened by Andrew
     Salmon, 16-Apr-2011.)  (Proof shortened by Wolf Lammen, 10-Mar-2013.) $)
  oridm $p |- ( ( ph \/ ph ) <-> ph ) $=
    ( wo pm1.2 pm2.07 impbii ) AABAACADE $.

  $( Theorem *4.25 of [WhiteheadRussell] p. 117.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.25 $p |- ( ph <-> ( ph \/ ph ) ) $=
    ( wo oridm bicomi ) AABAACD $.

  $( Theorem *2.4 of [WhiteheadRussell] p. 106.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.4 $p |- ( ( ph \/ ( ph \/ ps ) ) -> ( ph \/ ps ) ) $=
    ( wo orc id jaoi ) AABCZGABDGEF $.

  $( Theorem *2.41 of [WhiteheadRussell] p. 106.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.41 $p |- ( ( ps \/ ( ph \/ ps ) ) -> ( ph \/ ps ) ) $=
    ( wo olc id jaoi ) BABCZGBADGEF $.

  ${
    orim12i.1 $e |- ( ph -> ps ) $.
    orim12i.2 $e |- ( ch -> th ) $.
    $( Disjoin antecedents and consequents of two premises.  (Contributed by
       NM, 6-Jun-1994.)  (Proof shortened by Wolf Lammen, 25-Jul-2012.) $)
    orim12i $p |- ( ( ph \/ ch ) -> ( ps \/ th ) ) $=
      ( wo orcd olcd jaoi ) ABDGCABDEHCDBFIJ $.
  $}

  ${
    orim1i.1 $e |- ( ph -> ps ) $.
    $( Introduce disjunct to both sides of an implication.  (Contributed by NM,
       6-Jun-1994.) $)
    orim1i $p |- ( ( ph \/ ch ) -> ( ps \/ ch ) ) $=
      ( id orim12i ) ABCCDCEF $.

    $( Introduce disjunct to both sides of an implication.  (Contributed by NM,
       6-Jun-1994.) $)
    orim2i $p |- ( ( ch \/ ph ) -> ( ch \/ ps ) ) $=
      ( id orim12i ) CCABCEDF $.
  $}

  ${
    orim12dALT.1 $e |- ( ph -> ( ps -> ch ) ) $.
    orim12dALT.2 $e |- ( ph -> ( th -> ta ) ) $.
    $( Alternate proof of ~ orim12d which does not depend on ~ df-an .  This is
       an illustration of the conservativity of definitions (definitions do not
       permit to prove additional theorems whose statements do not contain the
       defined symbol).  (Contributed by Wolf Lammen, 8-Aug-2022.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    orim12dALT $p |- ( ph -> ( ( ps \/ th ) -> ( ch \/ ta ) ) ) $=
      ( wo wn wi pm2.53 con3d imim12d pm2.54 syl56 ) BDHBIZDJACIZEJCEHBDKAQPDEA
      BCFLGMCENO $.
  $}

  ${
    orbi2i.1 $e |- ( ph <-> ps ) $.
    $( Inference adding a left disjunct to both sides of a logical equivalence.
       (Contributed by NM, 3-Jan-1993.)  (Proof shortened by Wolf Lammen,
       12-Dec-2012.) $)
    orbi2i $p |- ( ( ch \/ ph ) <-> ( ch \/ ps ) ) $=
      ( wo biimpi orim2i biimpri impbii ) CAECBEABCABDFGBACABDHGI $.

    $( Inference adding a right disjunct to both sides of a logical
       equivalence.  (Contributed by NM, 3-Jan-1993.) $)
    orbi1i $p |- ( ( ph \/ ch ) <-> ( ps \/ ch ) ) $=
      ( wo orcom orbi2i 3bitri ) ACECAECBEBCEACFABCDGCBFH $.
  $}

  ${
    orbi12i.1 $e |- ( ph <-> ps ) $.
    orbi12i.2 $e |- ( ch <-> th ) $.
    $( Infer the disjunction of two equivalences.  (Contributed by NM,
       3-Jan-1993.) $)
    orbi12i $p |- ( ( ph \/ ch ) <-> ( ps \/ th ) ) $=
      ( wo orbi2i orbi1i bitri ) ACGADGBDGCDAFHABDEIJ $.
  $}

  ${
    bid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduction adding a left disjunct to both sides of a logical equivalence.
       (Contributed by NM, 21-Jun-1993.) $)
    orbi2d $p |- ( ph -> ( ( th \/ ps ) <-> ( th \/ ch ) ) ) $=
      ( wn wi wo imbi2d df-or 3bitr4g ) ADFZBGLCGDBHDCHABCLEIDBJDCJK $.

    $( Deduction adding a right disjunct to both sides of a logical
       equivalence.  (Contributed by NM, 21-Jun-1993.) $)
    orbi1d $p |- ( ph -> ( ( ps \/ th ) <-> ( ch \/ th ) ) ) $=
      ( wo orbi2d orcom 3bitr4g ) ADBFDCFBDFCDFABCDEGBDHCDHI $.
  $}

  $( Theorem *4.37 of [WhiteheadRussell] p. 118.  (Contributed by NM,
     3-Jan-2005.) $)
  orbi1 $p |- ( ( ph <-> ps ) -> ( ( ph \/ ch ) <-> ( ps \/ ch ) ) ) $=
    ( wb id orbi1d ) ABDZABCGEF $.

  ${
    bi12d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bi12d.2 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Deduction joining two equivalences to form equivalence of disjunctions.
       (Contributed by NM, 21-Jun-1993.) $)
    orbi12d $p |- ( ph -> ( ( ps \/ th ) <-> ( ch \/ ta ) ) ) $=
      ( wo orbi1d orbi2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
  $}

  $( Axiom *1.5 (Assoc) of [WhiteheadRussell] p. 96.  (Contributed by NM,
     3-Jan-2005.) $)
  pm1.5 $p |- ( ( ph \/ ( ps \/ ch ) ) -> ( ps \/ ( ph \/ ch ) ) ) $=
    ( wo orc olcd olc orim2i jaoi ) ABACDZDBCDAJBACEFCJBCAGHI $.

  $( Swap two disjuncts.  (Contributed by NM, 5-Aug-1993.)  (Proof shortened by
     Wolf Lammen, 14-Nov-2012.) $)
  or12 $p |- ( ( ph \/ ( ps \/ ch ) ) <-> ( ps \/ ( ph \/ ch ) ) ) $=
    ( wo pm1.5 impbii ) ABCDDBACDDABCEBACEF $.

  $( Associative law for disjunction.  Theorem *4.33 of [WhiteheadRussell]
     p. 118.  (Contributed by NM, 5-Aug-1993.)  (Proof shortened by Andrew
     Salmon, 26-Jun-2011.) $)
  orass $p |- ( ( ( ph \/ ps ) \/ ch ) <-> ( ph \/ ( ps \/ ch ) ) ) $=
    ( wo orcom or12 orbi2i 3bitri ) ABDZCDCIDACBDZDABCDZDICECABFJKACBEGH $.

  $( Theorem *2.31 of [WhiteheadRussell] p. 104.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.31 $p |- ( ( ph \/ ( ps \/ ch ) ) -> ( ( ph \/ ps ) \/ ch ) ) $=
    ( wo orass biimpri ) ABDCDABCDDABCEF $.

  $( Theorem *2.32 of [WhiteheadRussell] p. 105.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.32 $p |- ( ( ( ph \/ ps ) \/ ch ) -> ( ph \/ ( ps \/ ch ) ) ) $=
    ( wo orass biimpi ) ABDCDABCDDABCEF $.

  $( Theorem *2.3 of [WhiteheadRussell] p. 104.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.3 $p |- ( ( ph \/ ( ps \/ ch ) ) -> ( ph \/ ( ch \/ ps ) ) ) $=
    ( wo pm1.4 orim2i ) BCDCBDABCEF $.

  $( A rearrangement of disjuncts.  (Contributed by NM, 18-Oct-1995.)  (Proof
     shortened by Andrew Salmon, 26-Jun-2011.) $)
  or32 $p |- ( ( ( ph \/ ps ) \/ ch ) <-> ( ( ph \/ ch ) \/ ps ) ) $=
    ( wo orass or12 orcom 3bitri ) ABDCDABCDDBACDZDIBDABCEABCFBIGH $.

  $( Rearrangement of 4 disjuncts.  (Contributed by NM, 12-Aug-1994.) $)
  or4 $p |- ( ( ( ph \/ ps ) \/ ( ch \/ th ) ) <->
                ( ( ph \/ ch ) \/ ( ps \/ th ) ) ) $=
    ( wo or12 orbi2i orass 3bitr4i ) ABCDEZEZEACBDEZEZEABEJEACELEKMABCDFGABJHAC
    LHI $.

  $( Rearrangement of 4 disjuncts.  (Contributed by NM, 10-Jan-2005.) $)
  or42 $p |- ( ( ( ph \/ ps ) \/ ( ch \/ th ) ) <->
                 ( ( ph \/ ch ) \/ ( th \/ ps ) ) ) $=
    ( wo or4 orcom orbi2i bitri ) ABECDEEACEZBDEZEJDBEZEABCDFKLJBDGHI $.

  $( Distribution of disjunction over disjunction.  (Contributed by NM,
     25-Feb-1995.) $)
  orordi $p |- ( ( ph \/ ( ps \/ ch ) ) <->
               ( ( ph \/ ps ) \/ ( ph \/ ch ) ) ) $=
    ( wo oridm orbi1i or4 bitr3i ) ABCDZDAADZIDABDACDDJAIAEFAABCGH $.

  $( Distribution of disjunction over disjunction.  (Contributed by NM,
     25-Feb-1995.) $)
  orordir $p |- ( ( ( ph \/ ps ) \/ ch ) <->
               ( ( ph \/ ch ) \/ ( ps \/ ch ) ) ) $=
    ( wo oridm orbi2i or4 bitr3i ) ABDZCDICCDZDACDBCDDJCICEFABCCGH $.

  $( Disjunction distributes over implication.  (Contributed by Wolf Lammen,
     5-Jan-2013.) $)
  orimdi $p |- ( ( ph \/ ( ps -> ch ) )
        <-> ( ( ph \/ ps ) -> ( ph \/ ch ) ) ) $=
    ( wn wi wo imdi df-or imbi12i 3bitr4i ) ADZBCEZEKBEZKCEZEALFABFZACFZEKBCGAL
    HOMPNABHACHIJ $.

  $( Theorem *2.76 of [WhiteheadRussell] p. 108.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.76 $p |- ( ( ph \/ ( ps -> ch ) )
      -> ( ( ph \/ ps ) -> ( ph \/ ch ) ) ) $=
    ( wi wo orimdi biimpi ) ABCDEABEACEDABCFG $.

  $( Theorem *2.85 of [WhiteheadRussell] p. 108.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 5-Jan-2013.) $)
  pm2.85 $p |- ( ( ( ph \/ ps ) -> ( ph \/ ch ) )
      -> ( ph \/ ( ps -> ch ) ) ) $=
    ( wi wo orimdi biimpri ) ABCDEABEACEDABCFG $.

  $( Theorem *2.75 of [WhiteheadRussell] p. 108.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 4-Jan-2013.) $)
  pm2.75 $p |- ( ( ph \/ ps )
       -> ( ( ph \/ ( ps -> ch ) ) -> ( ph \/ ch ) ) ) $=
    ( wi wo pm2.76 com12 ) ABCDEABEACEABCFG $.

  $( Implication distributes over disjunction.  Theorem *4.78 of
     [WhiteheadRussell] p. 121.  (Contributed by NM, 3-Jan-2005.)  (Proof
     shortened by Wolf Lammen, 19-Nov-2012.) $)
  pm4.78 $p |- ( ( ( ph -> ps ) \/ ( ph -> ch ) ) <->
                ( ph -> ( ps \/ ch ) ) ) $=
    ( wn wo wi orordi imor orbi12i 3bitr4ri ) ADZBCEZEKBEZKCEZEALFABFZACFZEKBCG
    ALHOMPNABHACHIJ $.

  $( A disjunction with a true formula is equivalent to that true formula.
     (Contributed by NM, 23-May-1999.) $)
  biort $p |- ( ph -> ( ph <-> ( ph \/ ps ) ) ) $=
    ( wo id orc 2thd ) AAABCADABEF $.

  $( A wff is equivalent to its disjunction with falsehood.  Theorem *4.74 of
     [WhiteheadRussell] p. 121.  (Contributed by NM, 23-Mar-1995.)  (Proof
     shortened by Wolf Lammen, 18-Nov-2012.) $)
  biorf $p |- ( -. ph -> ( ps <-> ( ph \/ ps ) ) ) $=
    ( wn wo olc orel1 impbid2 ) ACBABDBAEABFG $.

  $( A wff is equivalent to its negated disjunction with falsehood.
     (Contributed by NM, 9-Jul-2012.) $)
  biortn $p |- ( ph -> ( ps <-> ( -. ph \/ ps ) ) ) $=
    ( wn wo wb notnot biorf syl ) AACZCBIBDEAFIBGH $.

  ${
    biorfi.1 $e |- -. ph $.
    $( A wff is equivalent to its disjunction with falsehood.  (Contributed by
       NM, 23-Mar-1995.)  (Proof shortened by Wolf Lammen, 16-Jul-2021.) $)
    biorfi $p |- ( ps <-> ( ps \/ ph ) ) $=
      ( wo orc pm2.53 mt3i impbii ) BBADZBAEIBACBAFGH $.
  $}

  $( Rewriting implication based theorems using disjunction. $)

  $( Theorem *2.26 of [WhiteheadRussell] p. 104.  See ~ pm2.27 .  (Contributed
     by NM, 3-Jan-2005.)  (Proof shortened by Wolf Lammen, 23-Nov-2012.) $)
  pm2.26 $p |- ( -. ph \/ ( ( ph -> ps ) -> ps ) ) $=
    ( wi pm2.27 imori ) AABCBCABDE $.

  $( Contradiction and disjunction. $)

  $( Theorem *2.63 of [WhiteheadRussell] p. 107.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.63 $p |- ( ( ph \/ ps ) -> ( ( -. ph \/ ps ) -> ps ) ) $=
    ( wo wn pm2.53 idd jaod ) ABCZADBBABEHBFG $.

  $( Theorem *2.64 of [WhiteheadRussell] p. 107.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.64 $p |- ( ( ph \/ ps ) -> ( ( ph \/ -. ps ) -> ph ) ) $=
    ( wn wo orel2 jao1i com12 ) ABCZDABDZAAHIBAEFG $.

  $( Theorem *2.42 of [WhiteheadRussell] p. 106.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.42 $p |- ( ( -. ph \/ ( ph -> ps ) ) -> ( ph -> ps ) ) $=
    ( wn wi pm2.21 id jaoi ) ACABDZHABEHFG $.

$( Some expressions connecting implication and disjunction. $)

  $( A general instance of Theorem *5.11 of [WhiteheadRussell] p. 123.
     (Contributed by NM, 3-Jan-2005.) $)
  pm5.11g $p |- ( ( ph -> ps ) \/ ( -. ph -> ch ) ) $=
    ( wi wn pm2.5g orri ) ABDAECDABCFG $.

  $( Theorem *5.11 of [WhiteheadRussell] p. 123.  (Contributed by NM,
     3-Jan-2005.) $)
  pm5.11 $p |- ( ( ph -> ps ) \/ ( -. ph -> ps ) ) $=
    ( pm5.11g ) ABBC $.

  $( Theorem *5.12 of [WhiteheadRussell] p. 123.  (Contributed by NM,
     3-Jan-2005.) $)
  pm5.12 $p |- ( ( ph -> ps ) \/ ( ph -> -. ps ) ) $=
    ( wi wn pm2.51 orri ) ABCABDCABEF $.

  $( Theorem *5.14 of [WhiteheadRussell] p. 123.  (Contributed by NM,
     3-Jan-2005.) $)
  pm5.14 $p |- ( ( ph -> ps ) \/ ( ps -> ch ) ) $=
    ( wi pm2.521g orri ) ABDBCDABCEF $.

  $( Theorem *5.13 of [WhiteheadRussell] p. 123.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 14-Nov-2012.) $)
  pm5.13 $p |- ( ( ph -> ps ) \/ ( ps -> ph ) ) $=
    ( pm5.14 ) ABAC $.

  $( Theorem *5.55 of [WhiteheadRussell] p. 125.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 20-Jan-2013.) $)
  pm5.55 $p |- ( ( ( ph \/ ps ) <-> ph ) \/ ( ( ph \/ ps ) <-> ps ) ) $=
    ( wo wb biort bicomd wn biorf nsyl5 orri ) ABCZADZKBDZALMAAKABEFAGBKABHFIJ
    $.

  $( Implication in terms of biconditional and disjunction.  Theorem *4.72 of
     [WhiteheadRussell] p. 121.  (Contributed by NM, 30-Aug-1993.)  (Proof
     shortened by Wolf Lammen, 30-Jan-2013.) $)
  pm4.72 $p |- ( ( ph -> ps ) <-> ( ps <-> ( ph \/ ps ) ) ) $=
    ( wi wo wb olc pm2.621 impbid2 orc biimpr syl5 impbii ) ABCZBABDZEZMBNBAFAB
    GHANOBABIBNJKL $.

  $( Simplify an implication between implications.  (Contributed by Paul
     Chapman, 17-Nov-2012.)  (Proof shortened by Wolf Lammen, 3-Apr-2013.) $)
  imimorb $p |- ( ( ( ps -> ch ) -> ( ph -> ch ) ) <->
                  ( ph -> ( ps \/ ch ) ) ) $=
    ( wi wo bi2.04 dfor2 imbi2i bitr4i ) BCDZACDDAJCDZDABCEZDJACFLKABCGHI $.

  $( Absorption of disjunction into equivalence.  (Contributed by NM,
     6-Aug-1995.)  (Proof shortened by Wolf Lammen, 3-Nov-2013.) $)
  oibabs $p |- ( ( ( ph \/ ps ) -> ( ph <-> ps ) ) <-> ( ph <-> ps ) ) $=
    ( wo wb wi norbi id ja ax-1 impbii ) ABCZABDZELKLLABFLGHLKIJ $.

  $( Disjunction distributes over the biconditional.  An axiom of system DS in
     Vladimir Lifschitz, "On calculational proofs" (1998),
     ~ http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.25.3384 .
     (Contributed by NM, 8-Jan-2005.)  (Proof shortened by Wolf Lammen,
     4-Feb-2013.) $)
  orbidi $p |- ( ( ph \/ ( ps <-> ch ) ) <->
                ( ( ph \/ ps ) <-> ( ph \/ ch ) ) ) $=
    ( wn wb wi wo pm5.74 df-or bibi12i 3bitr4i ) ADZBCEZFLBFZLCFZEAMGABGZACGZEL
    BCHAMIPNQOABIACIJK $.

  $( Disjunction distributes over the biconditional.  Theorem *5.7 of
     [WhiteheadRussell] p. 125.  This theorem is similar to ~ orbidi .
     (Contributed by Roy F. Longton, 21-Jun-2005.) $)
  pm5.7 $p |- ( ( ( ph \/ ch ) <-> ( ps \/ ch ) ) <->
               ( ch \/ ( ph <-> ps ) ) ) $=
    ( wb wo orbidi orcom bibi12i bitr2i ) CABDECAEZCBEZDACEZBCEZDCABFJLKMCAGCBG
    HI $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Mixed connectives
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This section gathers theorems of propositional calculus which use (either in
  their statement or proof) mixed connectives (at least conjunction and
  disjunction).

  As noted in the "note on definitions" in the section comment for logical
  equivalence, some theorem statements may contain for instance only
  conjunction or only disjunction, but both definitions are used in their
  proofs to make them shorter (this is exemplified in ~ orim12d versus
  ~ orim12dALT ).  These theorems are mostly grouped at the beginning of this
  section.

  The family of theorems starting with ~ animorl focus on the relation between
  conjunction and disjunction and can be seen as the starting point of mixed
  connectives in statements.  This sectioning is not rigorously true, since for
  instance the section begins with ~ jaao and related theorems.

$)

  ${
    jaao.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jaao.2 $e |- ( th -> ( ta -> ch ) ) $.
    $( Inference conjoining and disjoining the antecedents of two implications.
       (Contributed by NM, 30-Sep-1999.) $)
    jaao $p |- ( ( ph /\ th ) -> ( ( ps \/ ta ) -> ch ) ) $=
      ( wa wi adantr adantl jaod ) ADHBCEABCIDFJDECIAGKL $.

    $( Inference disjoining and conjoining the antecedents of two implications.
       (Contributed by Stefan Allan, 1-Nov-2008.) $)
    jaoa $p |- ( ( ph \/ th ) -> ( ( ps /\ ta ) -> ch ) ) $=
      ( wa wi adantrd adantld jaoi ) ABEHCIDABCEFJDECBGKL $.
  $}

  ${
    jaoian.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    jaoian.2 $e |- ( ( th /\ ps ) -> ch ) $.
    $( Inference disjoining the antecedents of two implications.  (Contributed
       by NM, 23-Oct-2005.) $)
    jaoian $p |- ( ( ( ph \/ th ) /\ ps ) -> ch ) $=
      ( wo wi ex jaoi imp ) ADGBCABCHDABCEIDBCFIJK $.
  $}

  ${
    jaodan.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    jaodan.2 $e |- ( ( ph /\ th ) -> ch ) $.
    $( Deduction disjoining the antecedents of two implications.  (Contributed
       by NM, 14-Oct-2005.) $)
    jaodan $p |- ( ( ph /\ ( ps \/ th ) ) -> ch ) $=
      ( wo ex jaod imp ) ABDGCABCDABCEHADCFHIJ $.

    jaodan.3 $e |- ( ph -> ( ps \/ th ) ) $.
    $( Eliminate a disjunction in a deduction.  A translation of natural
       deduction rule ` \/ ` E ( ` \/ ` elimination), see ~ natded .
       (Contributed by Mario Carneiro, 29-May-2016.) $)
    mpjaodan $p |- ( ph -> ch ) $=
      ( wo jaodan mpdan ) ABDHCGABCDEFIJ $.
  $}

  $( Theorem *3.44 of [WhiteheadRussell] p. 113.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 3-Oct-2013.) $)
  pm3.44 $p |- ( ( ( ps -> ph ) /\ ( ch -> ph ) )
      -> ( ( ps \/ ch ) -> ph ) ) $=
    ( wi id jaao ) BADZBACADZCGEHEF $.

  $( Disjunction of antecedents.  Compare Theorem *3.44 of [WhiteheadRussell]
     p. 113.  (Contributed by NM, 5-Apr-1994.)  (Proof shortened by Wolf
     Lammen, 4-Apr-2013.) $)
  jao $p |- ( ( ph -> ps ) -> ( ( ch -> ps ) -> ( ( ph \/ ch ) -> ps ) ) ) $=
    ( wi wo pm3.44 ex ) ABDCBDACEBDBACFG $.

  $( Disjunction of antecedents.  Compare Theorem *4.77 of [WhiteheadRussell]
     p. 121.  (Contributed by NM, 30-May-1994.)  (Proof shortened by Wolf
     Lammen, 9-Dec-2012.) $)
  jaob $p |- ( ( ( ph \/ ch ) -> ps ) <-> ( ( ph -> ps ) /\ ( ch -> ps ) ) ) $=
    ( wo wi wa pm2.67-2 olc imim1i jca pm3.44 impbii ) ACDZBEZABEZCBEZFNOPABCGC
    MBCAHIJBACKL $.

  $( Theorem *4.77 of [WhiteheadRussell] p. 121.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.77 $p |- ( ( ( ps -> ph ) /\ ( ch -> ph ) ) <->
                ( ( ps \/ ch ) -> ph ) ) $=
    ( wo wi wa jaob bicomi ) BCDAEBAECAEFBACGH $.

  $( Theorem *3.48 of [WhiteheadRussell] p. 114.  (Contributed by NM,
     28-Jan-1997.) $)
  pm3.48 $p |- ( ( ( ph -> ps ) /\ ( ch -> th ) )
      -> ( ( ph \/ ch ) -> ( ps \/ th ) ) ) $=
    ( wi wo orc imim2i olc jaao ) ABEABDFZCDECBKABDGHDKCDBIHJ $.

  ${
    orim12d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    orim12d.2 $e |- ( ph -> ( th -> ta ) ) $.
    $( Disjoin antecedents and consequents in a deduction.  See ~ orim12dALT
       for a proof which does not depend on ~ df-an .  (Contributed by NM,
       10-May-1994.) $)
    orim12d $p |- ( ph -> ( ( ps \/ th ) -> ( ch \/ ta ) ) ) $=
      ( wi wo pm3.48 syl2anc ) ABCHDEHBDICEIHFGBCDEJK $.
  $}

  ${
    orim1d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Disjoin antecedents and consequents in a deduction.  (Contributed by NM,
       23-Apr-1995.) $)
    orim1d $p |- ( ph -> ( ( ps \/ th ) -> ( ch \/ th ) ) ) $=
      ( idd orim12d ) ABCDDEADFG $.

    $( Disjoin antecedents and consequents in a deduction.  (Contributed by NM,
       23-Apr-1995.) $)
    orim2d $p |- ( ph -> ( ( th \/ ps ) -> ( th \/ ch ) ) ) $=
      ( idd orim12d ) ADDBCADFEG $.
  $}

  $( Axiom *1.6 (Sum) of [WhiteheadRussell] p. 97.  (Contributed by NM,
     3-Jan-2005.) $)
  orim2 $p |- ( ( ps -> ch ) -> ( ( ph \/ ps ) -> ( ph \/ ch ) ) ) $=
    ( wi id orim2d ) BCDZBCAGEF $.

  $( Theorem *2.38 of [WhiteheadRussell] p. 105.  (Contributed by NM,
     6-Mar-2008.) $)
  pm2.38 $p |- ( ( ps -> ch ) -> ( ( ps \/ ph ) -> ( ch \/ ph ) ) ) $=
    ( wi id orim1d ) BCDZBCAGEF $.

  $( Theorem *2.36 of [WhiteheadRussell] p. 105.  (Contributed by NM,
     6-Mar-2008.) $)
  pm2.36 $p |- ( ( ps -> ch ) -> ( ( ph \/ ps ) -> ( ch \/ ph ) ) ) $=
    ( wo wi pm1.4 pm2.38 syl5 ) ABDBADBCECADABFABCGH $.

  $( Theorem *2.37 of [WhiteheadRussell] p. 105.  (Contributed by NM,
     6-Mar-2008.) $)
  pm2.37 $p |- ( ( ps -> ch ) -> ( ( ps \/ ph ) -> ( ph \/ ch ) ) ) $=
    ( wi wo pm2.38 pm1.4 syl6 ) BCDBAECAEACEABCFCAGH $.

  $( Theorem *2.81 of [WhiteheadRussell] p. 108.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.81 $p |- ( ( ps -> ( ch -> th ) )
      -> ( ( ph \/ ps ) -> ( ( ph \/ ch ) -> ( ph \/ th ) ) ) ) $=
    ( wi wo orim2 pm2.76 syl6 ) BCDEZEABFAJFACFADFEABJGACDHI $.

  $( Theorem *2.8 of [WhiteheadRussell] p. 108.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 5-Jan-2013.) $)
  pm2.8 $p |- ( ( ph \/ ps ) -> ( ( -. ps \/ ch ) -> ( ph \/ ch ) ) ) $=
    ( wo wn pm2.53 con1d orim1d ) ABDZBEACIABABFGH $.

  $( Theorem *2.73 of [WhiteheadRussell] p. 108.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.73 $p |- ( ( ph -> ps )
       -> ( ( ( ph \/ ps ) \/ ch ) -> ( ps \/ ch ) ) ) $=
    ( wi wo pm2.621 orim1d ) ABDABEBCABFG $.

  $( Theorem *2.74 of [WhiteheadRussell] p. 108.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Andrew Salmon, 7-May-2011.) $)
  pm2.74 $p |- ( ( ps -> ph )
      -> ( ( ( ph \/ ps ) \/ ch ) -> ( ph \/ ch ) ) ) $=
    ( wi wo orel2 ax-1 ja orim1d ) BADABEZACBAJADBAFAJGHI $.

  $( Theorem *2.82 of [WhiteheadRussell] p. 108.  (Contributed by NM,
     3-Jan-2005.) $)
  pm2.82 $p |- ( ( ( ph \/ ps ) \/ ch ) -> ( ( ( ph \/ -. ch ) \/ th )
      -> ( ( ph \/ ps ) \/ th ) ) ) $=
    ( wo wn pm2.24 orim2d jao1i orim1d ) ABEZCEACFZEZKDKCMCLBACBGHIJ $.

  $( Theorem *4.39 of [WhiteheadRussell] p. 118.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.39 $p |- ( ( ( ph <-> ch ) /\ ( ps <-> th ) ) ->
                ( ( ph \/ ps ) <-> ( ch \/ th ) ) ) $=
    ( wb wa simpl simpr orbi12d ) ACEZBDEZFACBDJKGJKHI $.

  $( Conjunction implies disjunction with one common formula (1/4).
     (Contributed by BJ, 4-Oct-2019.) $)
  animorl $p |- ( ( ph /\ ps ) -> ( ph \/ ch ) ) $=
    ( wa simpl orcd ) ABDACABEF $.

  $( Conjunction implies disjunction with one common formula (2/4).
     (Contributed by BJ, 4-Oct-2019.) $)
  animorr $p |- ( ( ph /\ ps ) -> ( ch \/ ps ) ) $=
    ( wa simpr olcd ) ABDBCABEF $.

  $( Conjunction implies disjunction with one common formula (3/4).
     (Contributed by BJ, 4-Oct-2019.) $)
  animorlr $p |- ( ( ph /\ ps ) -> ( ch \/ ph ) ) $=
    ( wa simpl olcd ) ABDACABEF $.

  $( Conjunction implies disjunction with one common formula (4/4).
     (Contributed by BJ, 4-Oct-2019.) $)
  animorrl $p |- ( ( ph /\ ps ) -> ( ps \/ ch ) ) $=
    ( wa simpr orcd ) ABDBCABEF $.

  $( Negated conjunction in terms of disjunction (De Morgan's law).  Theorem
     *4.51 of [WhiteheadRussell] p. 120.  (Contributed by NM, 14-May-1993.)
     (Proof shortened by Andrew Salmon, 13-May-2011.) $)
  ianor $p |- ( -. ( ph /\ ps ) <-> ( -. ph \/ -. ps ) ) $=
    ( wa wn wi wo imnan pm4.62 bitr3i ) ABCDABDZEADJFABGABHI $.

  $( Conjunction in terms of disjunction (De Morgan's law).  Theorem *4.5 of
     [WhiteheadRussell] p. 120.  (Contributed by NM, 3-Jan-1993.)  (Proof
     shortened by Wolf Lammen, 3-Nov-2012.) $)
  anor $p |- ( ( ph /\ ps ) <-> -. ( -. ph \/ -. ps ) ) $=
    ( wa wn wo notnotb ianor xchbinx ) ABCZIDADBDEIFABGH $.

  $( Negated disjunction in terms of conjunction (De Morgan's law).  Compare
     Theorem *4.56 of [WhiteheadRussell] p. 120.  (Contributed by NM,
     3-Jan-1993.)  (Proof shortened by Andrew Salmon, 7-May-2011.) $)
  ioran $p |- ( -. ( ph \/ ps ) <-> ( -. ph /\ -. ps ) ) $=
    ( wn wi wa wo pm4.65 pm4.64 xchnxbi ) ACZBDJBCEABFABGABHI $.

  $( Theorem *4.52 of [WhiteheadRussell] p. 120.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 5-Nov-2012.) $)
  pm4.52 $p |- ( ( ph /\ -. ps ) <-> -. ( -. ph \/ ps ) ) $=
    ( wn wa wi wo annim imor xchbinx ) ABCDABEACBFABGABHI $.

  $( Theorem *4.53 of [WhiteheadRussell] p. 120.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.53 $p |- ( -. ( ph /\ -. ps ) <-> ( -. ph \/ ps ) ) $=
    ( wn wo wa pm4.52 con2bii bicomi ) ACBDZABCEZCJIABFGH $.

  $( Theorem *4.54 of [WhiteheadRussell] p. 120.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 5-Nov-2012.) $)
  pm4.54 $p |- ( ( -. ph /\ ps ) <-> -. ( ph \/ -. ps ) ) $=
    ( wn wa wi wo df-an pm4.66 xchbinx ) ACZBDJBCZEAKFJBGABHI $.

  $( Theorem *4.55 of [WhiteheadRussell] p. 120.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.55 $p |- ( -. ( -. ph /\ ps ) <-> ( ph \/ -. ps ) ) $=
    ( wn wo wa pm4.54 con2bii bicomi ) ABCDZACBEZCJIABFGH $.

  $( Theorem *4.56 of [WhiteheadRussell] p. 120.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.56 $p |- ( ( -. ph /\ -. ps ) <-> -. ( ph \/ ps ) ) $=
    ( wo wn wa ioran bicomi ) ABCDADBDEABFG $.

  $( Disjunction in terms of conjunction (De Morgan's law).  Compare Theorem
     *4.57 of [WhiteheadRussell] p. 120.  (Contributed by NM, 3-Jan-1993.)
     (Proof shortened by Andrew Salmon, 7-May-2011.) $)
  oran $p |- ( ( ph \/ ps ) <-> -. ( -. ph /\ -. ps ) ) $=
    ( wn wa wo pm4.56 con2bii ) ACBCDABEABFG $.

  $( Theorem *4.57 of [WhiteheadRussell] p. 120.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.57 $p |- ( -. ( -. ph /\ -. ps ) <-> ( ph \/ ps ) ) $=
    ( wo wn wa oran bicomi ) ABCADBDEDABFG $.

  $( Theorem *3.1 of [WhiteheadRussell] p. 111.  (Contributed by NM,
     3-Jan-2005.) $)
  pm3.1 $p |- ( ( ph /\ ps ) -> -. ( -. ph \/ -. ps ) ) $=
    ( wa wn wo anor biimpi ) ABCADBDEDABFG $.

  $( Theorem *3.11 of [WhiteheadRussell] p. 111.  (Contributed by NM,
     3-Jan-2005.) $)
  pm3.11 $p |- ( -. ( -. ph \/ -. ps ) -> ( ph /\ ps ) ) $=
    ( wa wn wo anor biimpri ) ABCADBDEDABFG $.

  $( Theorem *3.12 of [WhiteheadRussell] p. 111.  (Contributed by NM,
     3-Jan-2005.) $)
  pm3.12 $p |- ( ( -. ph \/ -. ps ) \/ ( ph /\ ps ) ) $=
    ( wn wo wa pm3.11 orri ) ACBCDABEABFG $.

  $( Theorem *3.13 of [WhiteheadRussell] p. 111.  (Contributed by NM,
     3-Jan-2005.) $)
  pm3.13 $p |- ( -. ( ph /\ ps ) -> ( -. ph \/ -. ps ) ) $=
    ( wn wo wa pm3.11 con1i ) ACBCDABEABFG $.

  $( Theorem *3.14 of [WhiteheadRussell] p. 111.  (Contributed by NM,
     3-Jan-2005.) $)
  pm3.14 $p |- ( ( -. ph \/ -. ps ) -> -. ( ph /\ ps ) ) $=
    ( wa wn wo pm3.1 con2i ) ABCADBDEABFG $.

  $( Theorem *4.44 of [WhiteheadRussell] p. 119.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.44 $p |- ( ph <-> ( ph \/ ( ph /\ ps ) ) ) $=
    ( wa wo orc id simpl jaoi impbii ) AAABCZDAJEAAJAFABGHI $.

  $( Theorem *4.45 of [WhiteheadRussell] p. 119.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.45 $p |- ( ph <-> ( ph /\ ( ph \/ ps ) ) ) $=
    ( wo orc pm4.71i ) AABCABDE $.

  $( Absorption of redundant internal disjunct.  Compare Theorem *4.45 of
     [WhiteheadRussell] p. 119.  (Contributed by NM, 21-Jun-1993.)  (Proof
     shortened by Wolf Lammen, 28-Feb-2014.) $)
  orabs $p |- ( ph <-> ( ( ph \/ ps ) /\ ph ) ) $=
    ( wo orc pm4.71ri ) AABCABDE $.

  $( Absorb a disjunct into a conjunct.  (Contributed by Roy F. Longton,
     23-Jun-2005.)  (Proof shortened by Wolf Lammen, 10-Nov-2013.) $)
  oranabs $p |- ( ( ( ph \/ -. ps ) /\ ps ) <-> ( ph /\ ps ) ) $=
    ( wn wo biortn orcom bitr2di pm5.32ri ) BABCZDZABAIADJBAEIAFGH $.

  $( Theorem *5.61 of [WhiteheadRussell] p. 125.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 30-Jun-2013.) $)
  pm5.61 $p |- ( ( ( ph \/ ps ) /\ -. ps ) <-> ( ph /\ -. ps ) ) $=
    ( wn wo orel2 orc impbid1 pm5.32ri ) BCZABDZAIJABAEABFGH $.

  $( Conjunction in antecedent versus disjunction in consequent.  Theorem *5.6
     of [WhiteheadRussell] p. 125.  (Contributed by NM, 8-Jun-1994.) $)
  pm5.6 $p |- ( ( ( ph /\ -. ps ) -> ch ) <-> ( ph -> ( ps \/ ch ) ) ) $=
    ( wn wa wi wo impexp df-or imbi2i bitr4i ) ABDZECFALCFZFABCGZFALCHNMABCIJK
    $.

  ${
    orcanai.1 $e |- ( ph -> ( ps \/ ch ) ) $.
    $( Change disjunction in consequent to conjunction in antecedent.
       (Contributed by NM, 8-Jun-1994.) $)
    orcanai $p |- ( ( ph /\ -. ps ) -> ch ) $=
      ( wn ord imp ) ABECABCDFG $.
  $}

  $( Theorem *4.79 of [WhiteheadRussell] p. 121.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 27-Jun-2013.) $)
  pm4.79 $p |- ( ( ( ps -> ph ) \/ ( ch -> ph ) ) <->
                ( ( ps /\ ch ) -> ph ) ) $=
    ( wi wo wa id jaoa wn simplim pm3.3 syl5 orrd impbii ) BADZCADZEBCFADZOBAPC
    OGPGHQOPOIBQPBAJBCAKLMN $.

  $( Theorem *5.53 of [WhiteheadRussell] p. 125.  (Contributed by NM,
     3-Jan-2005.) $)
  pm5.53 $p |- ( ( ( ( ph \/ ps ) \/ ch ) -> th ) <->
                ( ( ( ph -> th ) /\ ( ps -> th ) ) /\ ( ch -> th ) ) ) $=
    ( wo wi wa jaob anbi1i bitri ) ABEZCEDFKDFZCDFZGADFBDFGZMGKDCHLNMADBHIJ $.

  $( Distributive law for disjunction.  Theorem *4.41 of [WhiteheadRussell]
     p. 119.  (Contributed by NM, 5-Jan-1993.)  (Proof shortened by Andrew
     Salmon, 7-May-2011.)  (Proof shortened by Wolf Lammen, 28-Nov-2013.) $)
  ordi $p |- ( ( ph \/ ( ps /\ ch ) ) <-> ( ( ph \/ ps ) /\ ( ph \/ ch ) ) ) $=
    ( wn wa wi wo jcab df-or anbi12i 3bitr4i ) ADZBCEZFLBFZLCFZEAMGABGZACGZELBC
    HAMIPNQOABIACIJK $.

  $( Distributive law for disjunction.  (Contributed by NM, 12-Aug-1994.) $)
  ordir $p |- ( ( ( ph /\ ps ) \/ ch ) <->
              ( ( ph \/ ch ) /\ ( ps \/ ch ) ) ) $=
    ( wa wo ordi orcom anbi12i 3bitr4i ) CABDZECAEZCBEZDJCEACEZBCEZDCABFJCGMKNL
    ACGBCGHI $.

  $( Distributive law for conjunction.  Theorem *4.4 of [WhiteheadRussell]
     p. 118.  (Contributed by NM, 21-Jun-1993.)  (Proof shortened by Wolf
     Lammen, 5-Jan-2013.) $)
  andi $p |- ( ( ph /\ ( ps \/ ch ) ) <-> ( ( ph /\ ps ) \/ ( ph /\ ch ) ) ) $=
    ( wo wa orc olc jaodan anim2i jaoi impbii ) ABCDZEZABEZACEZDZABPCNOFONGHNMO
    BLABCFICLACBGIJK $.

  $( Distributive law for conjunction.  (Contributed by NM, 12-Aug-1994.) $)
  andir $p |- ( ( ( ph \/ ps ) /\ ch ) <->
              ( ( ph /\ ch ) \/ ( ps /\ ch ) ) ) $=
    ( wo wa andi ancom orbi12i 3bitr4i ) CABDZECAEZCBEZDJCEACEZBCEZDCABFJCGMKNL
    ACGBCGHI $.

  $( Double distributive law for disjunction.  (Contributed by NM,
     12-Aug-1994.) $)
  orddi $p |- ( ( ( ph /\ ps ) \/ ( ch /\ th ) ) <->
              ( ( ( ph \/ ch ) /\ ( ph \/ th ) ) /\
              ( ( ps \/ ch ) /\ ( ps \/ th ) ) ) ) $=
    ( wa wo ordir ordi anbi12i bitri ) ABECDEZFAKFZBKFZEACFADFEZBCFBDFEZEABKGLN
    MOACDHBCDHIJ $.

  $( Double distributive law for conjunction.  (Contributed by NM,
     12-Aug-1994.) $)
  anddi $p |- ( ( ( ph \/ ps ) /\ ( ch \/ th ) ) <->
              ( ( ( ph /\ ch ) \/ ( ph /\ th ) ) \/
              ( ( ps /\ ch ) \/ ( ps /\ th ) ) ) ) $=
    ( wo wa andir andi orbi12i bitri ) ABECDEZFAKFZBKFZEACFADFEZBCFBDFEZEABKGLN
    MOACDHBCDHIJ $.

$( Theorems relating XOR to conjunction or disjunction. $)

  $( Theorem *5.17 of [WhiteheadRussell] p. 124.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 3-Jan-2013.) $)
  pm5.17 $p |- ( ( ( ph \/ ps ) /\ -. ( ph /\ ps ) ) <-> ( ph <-> -. ps ) ) $=
    ( wn wb wi wa wo bicom dfbi2 orcom df-or bitr2i imnan anbi12i 3bitrri ) ABC
    ZDPADPAEZAPEZFABGZABFCZFAPHPAIQSRTSBAGQABJBAKLABMNO $.

  $( Theorem *5.15 of [WhiteheadRussell] p. 124.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 15-Oct-2013.) $)
  pm5.15 $p |- ( ( ph <-> ps ) \/ ( ph <-> -. ps ) ) $=
    ( wb wn xor3 biimpi orri ) ABCZABDCZHDIABEFG $.

  $( Theorem *5.16 of [WhiteheadRussell] p. 124.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 17-Oct-2013.) $)
  pm5.16 $p |- -. ( ( ph <-> ps ) /\ ( ph <-> -. ps ) ) $=
    ( wb wn wi wa pm5.18 biimpi imnan mpbi ) ABCZABDCZDZEKLFDKMABGHKLIJ $.

  $( Two ways to express exclusive disjunction ( ~ df-xor ).  Theorem *5.22 of
     [WhiteheadRussell] p. 124.  (Contributed by NM, 3-Jan-2005.)  (Proof
     shortened by Wolf Lammen, 22-Jan-2013.) $)
  xor $p |- ( -. ( ph <-> ps ) <->
                ( ( ph /\ -. ps ) \/ ( ps /\ -. ph ) ) ) $=
    ( wn wa wo wb wi iman anbi12i dfbi2 ioran 3bitr4ri con1bii ) ABCDZBACDZEZAB
    FZABGZBAGZDNCZOCZDQPCRTSUAABHBAHIABJNOKLM $.

  $( Two ways to express "exclusive or".  (Contributed by NM, 3-Jan-2005.)
     (Proof shortened by Wolf Lammen, 24-Jan-2013.) $)
  nbi2 $p |- ( -. ( ph <-> ps ) <-> ( ( ph \/ ps ) /\ -. ( ph /\ ps ) ) ) $=
    ( wb wn wo wa xor3 pm5.17 bitr4i ) ABCDABDCABEABFDFABGABHI $.

  $( Conjunction distributes over exclusive-or, using ` -. ( ph <-> ps ) ` to
     express exclusive-or.  This is one way to interpret the distributive law
     of multiplication over addition in modulo 2 arithmetic.  This is not
     necessarily true in intuitionistic logic, though ~ anxordi does hold in
     it.  (Contributed by NM, 3-Oct-2008.) $)
  xordi $p |- ( ( ph /\ -. ( ps <-> ch ) ) <->
                -. ( ( ph /\ ps ) <-> ( ph /\ ch ) ) ) $=
    ( wb wn wa wi annim pm5.32 xchbinx ) ABCDZEFAKGABFACFDAKHABCIJ $.

  $( Theorem *5.54 of [WhiteheadRussell] p. 125.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 7-Nov-2013.) $)
  pm5.54 $p |- ( ( ( ph /\ ps ) <-> ph ) \/ ( ( ph /\ ps ) <-> ps ) ) $=
    ( wa wb iba bicomd adantl pm5.21ni orri ) ABCZADZJBDJKBBKABAJBAEFZGLHI $.

  $( Theorem *5.62 of [WhiteheadRussell] p. 125.  (Contributed by Roy F.
     Longton, 21-Jun-2005.) $)
  pm5.62 $p |- ( ( ( ph /\ ps ) \/ -. ps ) <-> ( ph \/ -. ps ) ) $=
    ( wa wn wo exmid ordir mpbiran2 ) ABCBDZEAIEBIEBFABIGH $.

  $( Theorem *5.63 of [WhiteheadRussell] p. 125.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 25-Dec-2012.) $)
  pm5.63 $p |- ( ( ph \/ ps ) <-> ( ph \/ ( -. ph /\ ps ) ) ) $=
    ( wn wa wo exmid ordi mpbiran bicomi ) AACZBDEZABEZKAJELAFAJBGHI $.

  ${
    niabn.1 $e |- ph $.
    $( Miscellaneous inference relating falsehoods.  (Contributed by NM,
       31-Mar-1994.) $)
    niabn $p |- ( -. ps -> ( ( ch /\ ps ) <-> -. ph ) ) $=
      ( wa wn simpr pm2.24i pm5.21ni ) CBEBAFCBGABDHI $.
  $}

  ${
    ninba.1 $e |- ph $.
    $( Miscellaneous inference relating falsehoods.  (Contributed by NM,
       31-Mar-1994.) $)
    ninba $p |- ( -. ps -> ( -. ph <-> ( ch /\ ps ) ) ) $=
      ( wn wa niabn bicomd ) BECBFAEABCDGH $.
  $}

  $( Theorem *4.43 of [WhiteheadRussell] p. 119.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Wolf Lammen, 26-Nov-2012.) $)
  pm4.43 $p |- ( ph <-> ( ( ph \/ ps ) /\ ( ph \/ -. ps ) ) ) $=
    ( wn wa wo pm3.24 biorfi ordi bitri ) AABBCZDZEABEAJEDKABFGABJHI $.

  $( Theorem *4.82 of [WhiteheadRussell] p. 122.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.82 $p |- ( ( ( ph -> ps ) /\ ( ph -> -. ps ) ) <-> -. ph ) $=
    ( wi wn wa pm2.65 imp pm2.21 jca impbii ) ABCZABDZCZEADZKMNABFGNKMABHALHIJ
    $.

  $( Theorem *4.83 of [WhiteheadRussell] p. 122.  (Contributed by NM,
     3-Jan-2005.) $)
  pm4.83 $p |- ( ( ( ph -> ps ) /\ ( -. ph -> ps ) ) <-> ps ) $=
    ( wn wo wi wa exmid a1bi jaob bitr2i ) BAACZDZBEABEKBEFLBAGHABKIJ $.

  $( Negation inferred from embedded conjunct.  (Contributed by NM,
     20-Aug-1993.)  (Proof shortened by Wolf Lammen, 25-Nov-2012.) $)
  pclem6 $p |- ( ( ph <-> ( ps /\ -. ph ) ) -> -. ps ) $=
    ( wn wa wb ibar nbbn sylib con2i ) BABACZDZEZBJKELCBJFAKGHI $.

  $( Dijkstra-Scholten's Golden Rule for calculational proofs.  (Contributed by
     NM, 10-Jan-2005.) $)
  bigolden $p |- ( ( ( ph /\ ps ) <-> ph ) <-> ( ps <-> ( ph \/ ps ) ) ) $=
    ( wi wa wb wo pm4.71 pm4.72 bicom 3bitr3ri ) ABCAABDZEBABFEKAEABGABHAKIJ $.

  $( Theorem *5.71 of [WhiteheadRussell] p. 125.  (Contributed by Roy F.
     Longton, 23-Jun-2005.) $)
  pm5.71 $p |- ( ( ps -> -. ch ) -> ( ( ( ph \/ ps ) /\ ch ) <->
                ( ph /\ ch ) ) ) $=
    ( wn wo wa wb orel2 orc impbid1 anbi1d pm2.21 pm5.32rd ja ) BCDZABEZCFACFGB
    DZPACQPABAHABIJKOCPACPAGLMN $.

  $( Theorem *5.75 of [WhiteheadRussell] p. 126.  (Contributed by NM,
     3-Jan-2005.)  (Proof shortened by Andrew Salmon, 7-May-2011.)  (Proof
     shortened by Wolf Lammen, 23-Dec-2012.)  (Proof shortened by Kyle Wyonch,
     12-Feb-2021.) $)
  pm5.75 $p |- ( ( ( ch -> -. ps ) /\ ( ph <-> ( ps \/ ch ) ) )
      -> ( ( ph /\ -. ps ) <-> ch ) ) $=
    ( wo wb wn wa wi anbi1 biorf bicomd pm5.32ri bitrdi abai rbaib sylan9bbr )
    ABCDZEZABFZGZCSGZCSHZCRTQSGUAAQSISQCSCQBCJKLMUACUBCSNOP $.

  ${
    ecase2d.1 $e |- ( ph -> ps ) $.
    ecase2d.2 $e |- ( ph -> -. ( ps /\ ch ) ) $.
    ecase2d.3 $e |- ( ph -> -. ( ps /\ th ) ) $.
    ecase2d.4 $e |- ( ph -> ( ta \/ ( ch \/ th ) ) ) $.
    $( Deduction for elimination by cases.  (Contributed by NM, 21-Apr-1994.)
       (Proof shortened by Wolf Lammen, 19-Sep-2024.) $)
    ecase2d $p |- ( ph -> ta ) $=
      ( wn mpnanrd wo ord mtord notnotrd ) AEAEJCDABCFGKABDFHKAECDLIMNO $.

    $( Obsolete version of ~ ecase2d as of 19-Sep-2024.  (Contributed by NM,
       21-Apr-1994.)  (Proof shortened by Wolf Lammen, 22-Dec-2012.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    ecase2dOLD $p |- ( ph -> ta ) $=
      ( wo idd wa pm2.21d mpand jaod mpjaod ) AEECDJAEKACEDABCEFABCLEGMNABDEFAB
      DLEHMNOIP $.
  $}

  ${
    ecase3.1 $e |- ( ph -> ch ) $.
    ecase3.2 $e |- ( ps -> ch ) $.
    ecase3.3 $e |- ( -. ( ph \/ ps ) -> ch ) $.
    $( Inference for elimination by cases.  (Contributed by NM, 23-Mar-1995.)
       (Proof shortened by Wolf Lammen, 26-Nov-2012.) $)
    ecase3 $p |- ch $=
      ( wo jaoi pm2.61i ) ABGCACBDEHFI $.
  $}

  ${
    ecase.1 $e |- ( -. ph -> ch ) $.
    ecase.2 $e |- ( -. ps -> ch ) $.
    ecase.3 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Inference for elimination by cases.  (Contributed by NM,
       13-Jul-2005.) $)
    ecase $p |- ch $=
      ( ex pm2.61nii ) ABCABCFGDEH $.
  $}

  ${
    ecase3d.1 $e |- ( ph -> ( ps -> th ) ) $.
    ecase3d.2 $e |- ( ph -> ( ch -> th ) ) $.
    ecase3d.3 $e |- ( ph -> ( -. ( ps \/ ch ) -> th ) ) $.
    $( Deduction for elimination by cases.  (Contributed by NM, 2-May-1996.)
       (Proof shortened by Andrew Salmon, 7-May-2011.) $)
    ecase3d $p |- ( ph -> th ) $=
      ( wo jaod pm2.61d ) ABCHDABDCEFIGJ $.
  $}

  ${
    ecased.1 $e |- ( ph -> ( -. ps -> th ) ) $.
    ecased.2 $e |- ( ph -> ( -. ch -> th ) ) $.
    ecased.3 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( Deduction for elimination by cases.  (Contributed by NM, 8-Oct-2012.) $)
    ecased $p |- ( ph -> th ) $=
      ( wn wo wa pm3.11 syl5 ecase3d ) ABHZCHZDEFNOIHBCJADBCKGLM $.
  $}

  ${
    ecase3ad.1 $e |- ( ph -> ( ps -> th ) ) $.
    ecase3ad.2 $e |- ( ph -> ( ch -> th ) ) $.
    ecase3ad.3 $e |- ( ph -> ( ( -. ps /\ -. ch ) -> th ) ) $.
    $( Deduction for elimination by cases.  (Contributed by NM, 24-May-2013.)
       (Proof shortened by Wolf Lammen, 20-Sep-2024.) $)
    ecase3ad $p |- ( ph -> th ) $=
      ( imp wn wa pm2.61ddan ) ABCDABDEHACDFHABICIJDGHK $.

    $( Obsolete version of ~ ecase3ad as of 20-Sep-2024.  (Contributed by NM,
       24-May-2013.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ecase3adOLD $p |- ( ph -> th ) $=
      ( wn notnotr syl5 ecased ) ABHZCHZDLHBADBIEJMHCADCIFJGK $.
  $}

  ${
    ccase.1 $e |- ( ( ph /\ ps ) -> ta ) $.
    ccase.2 $e |- ( ( ch /\ ps ) -> ta ) $.
    ccase.3 $e |- ( ( ph /\ th ) -> ta ) $.
    ccase.4 $e |- ( ( ch /\ th ) -> ta ) $.
    $( Inference for combining cases.  (Contributed by NM, 29-Jul-1999.)
       (Proof shortened by Wolf Lammen, 6-Jan-2013.) $)
    ccase $p |- ( ( ( ph \/ ch ) /\ ( ps \/ th ) ) -> ta ) $=
      ( wo jaoian jaodan ) ACJBEDABECFGKADECHIKL $.
  $}

  ${
    ccased.1 $e |- ( ph -> ( ( ps /\ ch ) -> et ) ) $.
    ccased.2 $e |- ( ph -> ( ( th /\ ch ) -> et ) ) $.
    ccased.3 $e |- ( ph -> ( ( ps /\ ta ) -> et ) ) $.
    ccased.4 $e |- ( ph -> ( ( th /\ ta ) -> et ) ) $.
    $( Deduction for combining cases.  (Contributed by NM, 9-May-2004.) $)
    ccased $p |- ( ph -> ( ( ( ps \/ th ) /\ ( ch \/ ta ) ) -> et ) ) $=
      ( wo wa wi com12 ccase ) BDKCEKLAFBCDEAFMABCLFGNADCLFHNABELFINADELFJNON
      $.
  $}

  ${
    ccase2.1 $e |- ( ( ph /\ ps ) -> ta ) $.
    ccase2.2 $e |- ( ch -> ta ) $.
    ccase2.3 $e |- ( th -> ta ) $.
    $( Inference for combining cases.  (Contributed by NM, 29-Jul-1999.) $)
    ccase2 $p |- ( ( ( ph \/ ch ) /\ ( ps \/ th ) ) -> ta ) $=
      ( adantr adantl ccase ) ABCDEFCEBGIDEAHJDECHJK $.
  $}

  ${
    4cases.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    4cases.2 $e |- ( ( ph /\ -. ps ) -> ch ) $.
    4cases.3 $e |- ( ( -. ph /\ ps ) -> ch ) $.
    4cases.4 $e |- ( ( -. ph /\ -. ps ) -> ch ) $.
    $( Inference eliminating two antecedents from the four possible cases that
       result from their true/false combinations.  (Contributed by NM,
       25-Oct-2003.) $)
    4cases $p |- ch $=
      ( pm2.61ian wn pm2.61i ) BCABCDFHABICEGHJ $.
  $}

  ${
    4casesdan.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    4casesdan.2 $e |- ( ( ph /\ ( ps /\ -. ch ) ) -> th ) $.
    4casesdan.3 $e |- ( ( ph /\ ( -. ps /\ ch ) ) -> th ) $.
    4casesdan.4 $e |- ( ( ph /\ ( -. ps /\ -. ch ) ) -> th ) $.
    $( Deduction eliminating two antecedents from the four possible cases that
       result from their true/false combinations.  (Contributed by NM,
       19-Mar-2013.) $)
    4casesdan $p |- ( ph -> th ) $=
      ( wi wa expcom wn 4cases ) BCADIABCJDEKABCLZJDFKABLZCJDGKAONJDHKM $.
  $}

  ${
    cases.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    cases.2 $e |- ( -. ph -> ( ps <-> th ) ) $.
    $( Case disjunction according to the value of ` ph ` .  (Contributed by NM,
       25-Apr-2019.) $)
    cases $p |- ( ps <-> ( ( ph /\ ch ) \/ ( -. ph /\ th ) ) ) $=
      ( wn wo wa exmid biantrur andir pm5.32i orbi12i 3bitri ) BAAGZHZBIABIZPBI
      ZHACIZPDIZHQBAJKAPBLRTSUAABCEMPBDFMNO $.
  $}

  $( Lemma for an alternate version of weak deduction theorem.  (Contributed by
     NM, 2-Apr-1994.)  (Proof shortened by Andrew Salmon, 7-May-2011.)  (Proof
     shortened by Wolf Lammen, 4-Dec-2012.) $)
  dedlem0a $p |- ( ph -> ( ps <-> ( ( ch -> ph ) -> ( ps /\ ph ) ) ) ) $=
    ( wa wi iba wb biimt jarri bitrd ) ABBADZCAEZKEZABFCAKMGLKHIJ $.

  $( Lemma for an alternate version of weak deduction theorem.  (Contributed by
     NM, 2-Apr-1994.) $)
  dedlem0b $p |- ( -. ph -> ( ps <-> ( ( ps -> ph ) -> ( ch /\ ph ) ) ) ) $=
    ( wn wi wa pm2.21 imim2d com23 simpr imim12i con1d com12 impbid ) ADZBBAEZC
    AFZEZOPBQOAQBAQGHIROBRBABDPQABAGCAJKLMN $.

  $( Lemma for weak deduction theorem.  See also ~ ifptru .  (Contributed by
     NM, 26-Jun-2002.)  (Proof shortened by Andrew Salmon, 7-May-2011.) $)
  dedlema $p |- ( ph -> ( ps <-> ( ( ps /\ ph ) \/ ( ch /\ -. ph ) ) ) ) $=
    ( wa wn wo orc expcom wi simpl a1i pm2.24 adantld jaod impbid ) ABBADZCAEZD
    ZFZBASPRGHAPBRPBIABAJKAQBCABLMNO $.

  $( Lemma for weak deduction theorem.  See also ~ ifpfal .  (Contributed by
     NM, 15-May-1999.)  (Proof shortened by Andrew Salmon, 7-May-2011.) $)
  dedlemb $p |- ( -. ph -> ( ch <-> ( ( ps /\ ph ) \/ ( ch /\ -. ph ) ) ) ) $=
    ( wn wa wo olc expcom pm2.21 adantld wi simpl a1i jaod impbid ) ADZCBAEZCPE
    ZFZCPSRQGHPQCRPACBACIJRCKPCPLMNO $.

  $( Case disjunction according to the value of ` ph ` .  (Contributed by BJ,
     6-Apr-2019.)  (Proof shortened by Wolf Lammen, 28-Feb-2022.) $)
  cases2 $p |- ( ( ( ph /\ ps ) \/ ( -. ph /\ ch ) )
                                   <-> ( ( ph -> ps ) /\ ( -. ph -> ch ) ) ) $=
    ( wa wn wo wi pm4.83 dedlema pm5.74i dedlemb anbi12i ancom orbi12i 3bitr4ri
    ) ABADZCAEZDZFZGZQSGZDSABGZQCGZDABDZQCDZFASHUBTUCUAABSABCIJQCSABCKJLUDPUERA
    BMQCMNO $.

  $( Alternate proof of ~ cases2 , not using ~ dedlema or ~ dedlemb .
     (Contributed by BJ, 6-Apr-2019.)  (Proof shortened by Wolf Lammen,
     2-Jan-2020.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  cases2ALT $p |- ( ( ( ph /\ ps ) \/ ( -. ph /\ ch ) )
                                   <-> ( ( ph -> ps ) /\ ( -. ph -> ch ) ) ) $=
    ( wa wn wo wi pm3.4 pm2.24 adantr pm2.21 jaoi pm2.27 imdistani orcd adantrr
    jca olcd adantrl pm2.61ian impbii ) ABDZAEZCDZFZABGZUCCGZDZUBUHUDUBUFUGABHA
    UGBACIJQUDUFUGUCUFCABKJUCCHQLAUHUEAUFUEUGAUFDUBUDAUFBABMNOPUCUGUEUFUCUGDUDU
    BUCUGCUCCMNRSTUA $.

  $( An alternate definition of the biconditional.  Theorem *5.23 of
     [WhiteheadRussell] p. 124.  (Contributed by NM, 27-Jun-2002.)  (Proof
     shortened by Wolf Lammen, 3-Nov-2013.)  (Proof shortened by NM,
     29-Oct-2021.) $)
  dfbi3 $p |- ( ( ph <-> ps ) <-> ( ( ph /\ ps ) \/ ( -. ph /\ -. ps ) ) ) $=
    ( wi wa wn wb wo con34b anbi2i dfbi2 cases2 3bitr4i ) ABCZBACZDMAEZBEZCZDAB
    FABDOPDGNQMBAHIABJABPKL $.

  $( Theorem *5.24 of [WhiteheadRussell] p. 124.  (Contributed by NM,
     3-Jan-2005.) $)
  pm5.24 $p |- ( -. ( ( ph /\ ps ) \/ ( -. ph /\ -. ps ) ) <->
                ( ( ph /\ -. ps ) \/ ( ps /\ -. ph ) ) ) $=
    ( wb wn wa wo xor dfbi3 xchnxbi ) ABCABDZEBADZEFABEKJEFABGABHI $.

  $( The disjunction of the four possible combinations of two wffs and their
     negations is always true.  A four-way excluded middle (see ~ exmid ).
     (Contributed by David Abernethy, 28-Jan-2014.)  (Proof shortened by NM,
     29-Oct-2021.) $)
  4exmid $p |- ( ( ( ph /\ ps ) \/ ( -. ph /\ -. ps ) )
              \/ ( ( ph /\ -. ps ) \/ ( ps /\ -. ph ) ) ) $=
    ( wa wn wo pm5.24 biimpi orri ) ABCADZBDZCEZAJCBICEZKDLABFGH $.

  $( The consensus theorem.  This theorem and its dual (with ` \/ ` and ` /\ `
     interchanged) are commonly used in computer logic design to eliminate
     redundant terms from Boolean expressions.  Specifically, we prove that the
     term ` ( ps /\ ch ) ` on the left-hand side is redundant.  (Contributed by
     NM, 16-May-2003.)  (Proof shortened by Andrew Salmon, 13-May-2011.)
     (Proof shortened by Wolf Lammen, 20-Jan-2013.) $)
  consensus $p |- ( ( ( ( ph /\ ps ) \/ ( -. ph /\ ch ) ) \/ ( ps /\ ch ) ) <->
                      ( ( ph /\ ps ) \/ ( -. ph /\ ch ) ) ) $=
    ( wa wn wo id orc adantrr olc adantrl pm2.61ian jaoi impbii ) ABDZAEZCDZFZB
    CDZFRRRSRGASRABRCOQHIPCRBQOJKLMRSHN $.

  $( Theorem *4.42 of [WhiteheadRussell] p. 119.  See also ~ ifpid .
     (Contributed by Roy F. Longton, 21-Jun-2005.) $)
  pm4.42 $p |- ( ph <-> ( ( ph /\ ps ) \/ ( ph /\ -. ps ) ) ) $=
    ( wa wn wo wb dedlema dedlemb pm2.61i ) BAABCABDCEFBAAGBAAHI $.

  ${
    prlem1.1 $e |- ( ph -> ( et <-> ch ) ) $.
    prlem1.2 $e |- ( ps -> -. th ) $.
    $( A specialized lemma for set theory (to derive the Axiom of Pairing).
       (Contributed by NM, 18-Oct-1995.)  (Proof shortened by Andrew Salmon,
       13-May-2011.)  (Proof shortened by Wolf Lammen, 5-Jan-2013.) $)
    prlem1 $p |- ( ph -> ( ps ->
                  ( ( ( ps /\ ch ) \/ ( th /\ ta ) ) -> et ) ) ) $=
      ( wa wo wi biimprd adantld pm2.21d adantrd jaao ex ) ABBCIZDEIZJFKARFBSAC
      FBAFCGLMBDFEBDFHNOPQ $.
  $}

  $( A specialized lemma for set theory (to derive the Axiom of Pairing).
     (Contributed by NM, 21-Jun-1993.)  (Proof shortened by Andrew Salmon,
     13-May-2011.)  (Proof shortened by Wolf Lammen, 9-Dec-2012.) $)
  prlem2 $p |- ( ( ( ph /\ ps ) \/ ( ch /\ th ) ) <->
              ( ( ph \/ ch ) /\ ( ( ph /\ ps ) \/ ( ch /\ th ) ) ) ) $=
    ( wa wo simpl orim12i pm4.71ri ) ABEZCDEZFACFJAKCABGCDGHI $.

  ${
    oplem1.1 $e |- ( ph -> ( ps \/ ch ) ) $.
    oplem1.2 $e |- ( ph -> ( th \/ ta ) ) $.
    oplem1.3 $e |- ( ps <-> th ) $.
    oplem1.4 $e |- ( ch -> ( th <-> ta ) ) $.
    $( A specialized lemma for set theory (ordered pair theorem).  (Contributed
       by NM, 18-Oct-1995.)  (Proof shortened by Wolf Lammen, 8-Dec-2012.) $)
    oplem1 $p |- ( ph -> ps ) $=
      ( wn wa notbii ord syl5bir jcad biimpar syl6 pm2.18d sylibr ) ADBADADJZCE
      KDATCETBJACBDHLABCFMNADEGMOCDEIPQRHS $.
  $}

  $( A single axiom for Boolean algebra known as DN_1.  See McCune, Veroff,
     Fitelson, Harris, Feist, Wos, _Short single axioms for Boolean algebra_,
     Journal of Automated Reasoning, 29(1):1--16, 2002.
     ( ~ https://www.cs.unm.edu/~~mccune/papers/basax/v12.pdf ).  (Contributed
     by Jeff Hankins, 3-Jul-2009.)  (Proof shortened by Andrew Salmon,
     13-May-2011.)  (Proof shortened by Wolf Lammen, 6-Jan-2013.) $)
  dn1 $p |- ( -. ( -. ( -. ( ph \/ ps ) \/ ch ) \/
            -. ( ph \/ -. ( -. ch \/ -. ( ch \/ th ) ) ) ) <-> ch ) $=
    ( wo wn wa wi pm2.45 imnan mpbi biorfi orcom ordir 3bitri pm4.45 anor bitri
    orbi2i anbi2i 3bitrri ) CABEFZCEZACEZGZUCACFCDEZFEFZEZGUCFUHFEFCCUBAGZEUICE
    UEUICUBAFHUIFABIUBAJKLCUIMUBACNOUDUHUCCUGACCUFGUGCDPCUFQRSTUCUHQUA $.

  $( A closed form of ~ mpbir , analogous to ~ pm2.27 (assertion).
     (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)  (Proof shortened by Roger
     Witte, 17-Aug-2020.) $)
  bianir $p |- ( ( ph /\ ( ps <-> ph ) ) -> ps ) $=
    ( wb biimpr impcom ) BACABBADE $.

  ${
    jaoi2.1 $e |- ( ( ph \/ ( -. ph /\ ch ) ) -> ps ) $.
    $( Inference removing a negated conjunct in a disjunction of an antecedent
       if this conjunct is part of the disjunction.  (Contributed by Alexander
       van der Vekens, 3-Nov-2017.)  (Proof shortened by Wolf Lammen,
       21-Sep-2018.) $)
    jaoi2 $p |- ( ( ph \/ ch ) -> ps ) $=
      ( wo wn wa pm5.63 sylbi ) ACEAAFCGEBACHDI $.
  $}

  ${
    jaoi3.1 $e |- ( ph -> ps ) $.
    jaoi3.2 $e |- ( ( -. ph /\ ch ) -> ps ) $.
    $( Inference separating a disjunct of an antecedent.  (Contributed by
       Alexander van der Vekens, 25-May-2018.) $)
    jaoi3 $p |- ( ( ph \/ ch ) -> ps ) $=
      ( wn wa jaoi jaoi2 ) ABCABAFCGDEHI $.
  $}

  $( Selecting one statement from a disjunction if one of the disjuncted
     statements is false.  (Contributed by AV, 6-Sep-2018.)  (Proof shortened
     by AV, 13-Oct-2018.)  (Proof shortened by Wolf Lammen, 19-Jan-2020.) $)
  ornld $p |- ( ph -> ( ( ( ph -> ( th \/ ta ) ) /\ -. th ) -> ta ) ) $=
    ( wo wi wn wa pm3.35 ord expimpd ) AABCDZEZBFCALGBCAKHIJ $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The conditional operator for propositions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This subsection introduces the conditional operator for propositions, denoted
  by ` if- ( ph , ps , ch ) ` (see ~ df-ifp ).  It is the analogue for
  propositions of the conditional operator for classes, denoted by
  ` if ( ph , A , B ) ` (see ~ df-if ).

$)

  $( Comma.  Also used later for adders, pairs, tuples, etc. $)
  $c , $.

  $( Symbol for the conditional operator for propositions. $)
  $c if- $.

  $( Extend wff notation to include the conditional operator for
     propositions. $)
  wif $a wff if- ( ph , ps , ch ) $.

  $( Definition of the conditional operator for propositions.  The expression
     ` if- ( ph , ps , ch ) ` is read "if ` ph ` then ` ps ` else ` ch ` ".
     See ~ dfifp2 , ~ dfifp3 , ~ dfifp4 , ~ dfifp5 , ~ dfifp6 and ~ dfifp7 for
     alternate definitions.

     This definition (in the form of ~ dfifp2 ) appears in Section II.24 of
     [Church] p. 129 (Definition D12 page 132), where it is called "conditioned
     disjunction".  Church's ` [ ps , ph , ch ] ` corresponds to our
     ` if- ( ph , ps , ch ) ` (note the permutation of the first two
     variables).

     This form was chosen as the definition rather than ~ dfifp2 for
     compatibility with intuitionistic logic development: with this form, it is
     clear that ` if- ( ph , ps , ch ) ` implies decidability of ` ph ` , which
     is most often what is wanted.

     Church uses the conditional operator as an intermediate step to prove
     completeness of some systems of connectives.  The first result is that the
     system ` { if- , T. , F. } ` is complete: for the induction step, consider
     a formula of n+1 variables; single out one variable, say ` ph ` ; when one
     sets ` ph ` to True (resp.  False), then what remains is a formula of n
     variables, so by the induction hypothesis it is equivalent to a formula
     using only the connectives ` if- , T. , F. ` , say ` ps ` (resp. ` ch ` );
     therefore, the formula ` if- ( ph , ps , ch ) ` is equivalent to the
     initial formula of n+1 variables.  Now, since ` { -> , -. } ` and similar
     systems suffice to express the connectives ` if- , T. , F. ` , they are
     also complete.

     (Contributed by BJ, 22-Jun-2019.) $)
  df-ifp $a |-
            ( if- ( ph , ps , ch ) <-> ( ( ph /\ ps ) \/ ( -. ph /\ ch ) ) ) $.

  $( Alternate definition of the conditional operator for propositions.  The
     value of ` if- ( ph , ps , ch ) ` is "if ` ph ` then ` ps ` , and if not
     ` ph ` then ` ch ` ".  This is the definition used in Section II.24 of
     [Church] p. 129 (Definition D12 page 132) (see comment of ~ df-ifp ).
     (Contributed by BJ, 22-Jun-2019.) $)
  dfifp2 $p |-
            ( if- ( ph , ps , ch ) <-> ( ( ph -> ps ) /\ ( -. ph -> ch ) ) ) $=
    ( wif wa wn wo wi df-ifp cases2 bitri ) ABCDABEAFZCEGABHLCHEABCIABCJK $.

  $( Alternate definition of the conditional operator for propositions.
     (Contributed by BJ, 30-Sep-2019.) $)
  dfifp3 $p |- ( if- ( ph , ps , ch ) <-> ( ( ph -> ps ) /\ ( ph \/ ch ) ) ) $=
    ( wif wi wn wa wo dfifp2 pm4.64 anbi2i bitri ) ABCDABEZAFCEZGMACHZGABCINOMA
    CJKL $.

  $( Alternate definition of the conditional operator for propositions.
     (Contributed by BJ, 30-Sep-2019.) $)
  dfifp4 $p |-
            ( if- ( ph , ps , ch ) <-> ( ( -. ph \/ ps ) /\ ( ph \/ ch ) ) ) $=
    ( wif wi wo wa wn dfifp3 imor anbi1i bitri ) ABCDABEZACFZGAHBFZNGABCIMONABJ
    KL $.

  $( Alternate definition of the conditional operator for propositions.
     (Contributed by BJ, 2-Oct-2019.) $)
  dfifp5 $p |-
         ( if- ( ph , ps , ch ) <-> ( ( -. ph \/ ps ) /\ ( -. ph -> ch ) ) ) $=
    ( wif wi wn wa wo dfifp2 imor anbi1i bitri ) ABCDABEZAFZCEZGNBHZOGABCIMPOAB
    JKL $.

  $( Alternate definition of the conditional operator for propositions.
     (Contributed by BJ, 2-Oct-2019.) $)
  dfifp6 $p |-
            ( if- ( ph , ps , ch ) <-> ( ( ph /\ ps ) \/ -. ( ch -> ph ) ) ) $=
    ( wif wa wn wo wi df-ifp ancom annim bitri orbi2i ) ABCDABEZAFZCEZGNCAHFZGA
    BCIPQNPCOEQOCJCAKLML $.

  $( Alternate definition of the conditional operator for propositions.
     (Contributed by BJ, 2-Oct-2019.) $)
  dfifp7 $p |- ( if- ( ph , ps , ch ) <-> ( ( ch -> ph ) -> ( ph /\ ps ) ) ) $=
    ( wa wi wn wo wif orcom dfifp6 imor 3bitr4i ) ABDZCAEZFZGOMGABCHNMEMOIABCJN
    MKL $.

  $( Define the biconditional as conditional logic operator.  (Contributed by
     RP, 20-Apr-2020.)  (Proof shortened by Wolf Lammen, 30-Apr-2024.) $)
  ifpdfbi $p |- ( ( ph <-> ps ) <-> if- ( ph , ps , -. ps ) ) $=
    ( wi wa wn wb wif con34b anbi2i dfbi2 dfifp2 3bitr4i ) ABCZBACZDMAEBEZCZDAB
    FABOGNPMBAHIABJABOKL $.

  $( The conditional operator is implied by the conjunction of its possible
     outputs.  Dual statement of ~ ifpor .  (Contributed by BJ,
     30-Sep-2019.) $)
  anifp $p |- ( ( ps /\ ch ) -> if- ( ph , ps , ch ) ) $=
    ( wa wn wo wif olc anim12i dfifp4 sylibr ) BCDAEZBFZACFZDABCGBMCNBLHCAHIABC
    JK $.

  $( The conditional operator implies the disjunction of its possible outputs.
     Dual statement of ~ anifp .  (Contributed by BJ, 1-Oct-2019.) $)
  ifpor $p |- ( if- ( ph , ps , ch ) -> ( ps \/ ch ) ) $=
    ( wif wa wn wo df-ifp simpr orim12i sylbi ) ABCDABEZAFZCEZGBCGABCHLBNCABIMC
    IJK $.

  $( Conditional operator for the negation of a proposition.  (Contributed by
     BJ, 30-Sep-2019.)  (Proof shortened by Wolf Lammen, 5-May-2024.) $)
  ifpn $p |- ( if- ( ph , ps , ch ) <-> if- ( -. ph , ch , ps ) ) $=
    ( wn wo wi wa wif ancom dfifp5 dfifp3 3bitr4i ) ADZBEZMCFZGONGABCHMCBHNOIAB
    CJMCBKL $.

  $( Obsolete version of ~ ifpn as of 5-May-2024.  (Contributed by BJ,
     30-Sep-2019.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  ifpnOLD $p |- ( if- ( ph , ps , ch ) <-> if- ( -. ph , ch , ps ) ) $=
    ( wi wn wa wif notnotb imbi1i anbi2ci dfifp2 3bitr4i ) ABDZAEZCDZFONEZBDZFA
    BCGNCBGMQOAPBAHIJABCKNCBKL $.

  $( Value of the conditional operator for propositions when its first argument
     is true.  Analogue for propositions of ~ iftrue .  This is essentially
     ~ dedlema .  (Contributed by BJ, 20-Sep-2019.)  (Proof shortened by Wolf
     Lammen, 10-Jul-2020.) $)
  ifptru $p |- ( ph -> ( if- ( ph , ps , ch ) <-> ps ) ) $=
    ( wi wif biimt wo wa orc biantrud dfifp3 bitr4di bitr2d ) ABABDZABCEZABFANN
    ACGZHOAPNACIJABCKLM $.

  $( Value of the conditional operator for propositions when its first argument
     is false.  Analogue for propositions of ~ iffalse .  This is essentially
     ~ dedlemb .  (Contributed by BJ, 20-Sep-2019.)  (Proof shortened by Wolf
     Lammen, 25-Jun-2020.) $)
  ifpfal $p |- ( -. ph -> ( if- ( ph , ps , ch ) <-> ch ) ) $=
    ( wif wn ifpn ifptru syl5bb ) ABCDAEZCBDICABCFICBGH $.

  $( Value of the conditional operator for propositions when the same
     proposition is returned in either case.  Analogue for propositions of
     ~ ifid .  This is essentially ~ pm4.42 .  (Contributed by BJ,
     20-Sep-2019.) $)
  ifpid $p |- ( if- ( ph , ps , ps ) <-> ps ) $=
    ( wif wb ifptru ifpfal pm2.61i ) AABBCBDABBEABBFG $.

  ${
    casesifp.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    casesifp.2 $e |- ( -. ph -> ( ps <-> th ) ) $.
    $( Version of ~ cases expressed using ` if- ` .  Case disjunction according
       to the value of ` ph ` .  One can see this as a proof that the two
       hypotheses characterize the conditional operator for propositions.  For
       the converses, see ~ ifptru and ~ ifpfal .  (Contributed by BJ,
       20-Sep-2019.) $)
    casesifp $p |- ( ps <-> if- ( ph , ch , th ) ) $=
      ( wa wn wo wif cases df-ifp bitr4i ) BACGAHDGIACDJABCDEFKACDLM $.
  $}

  ${
    ifpbi123d.1 $e |- ( ph -> ( ps <-> ta ) ) $.
    ifpbi123d.2 $e |- ( ph -> ( ch <-> et ) ) $.
    ifpbi123d.3 $e |- ( ph -> ( th <-> ze ) ) $.
    $( Equivalence deduction for conditional operator for propositions.
       (Contributed by AV, 30-Dec-2020.)  (Proof shortened by Wolf Lammen,
       17-Apr-2024.) $)
    ifpbi123d $p |- ( ph -> ( if- ( ps , ch , th )
                              <-> if- ( ta , et , ze ) ) ) $=
      ( wi wo wa wif imbi12d orbi12d anbi12d dfifp3 3bitr4g ) ABCKZBDLZMEFKZEGL
      ZMBCDNEFGNATUBUAUCABECFHIOABEDGHJPQBCDREFGRS $.

    $( Obsolete version of ~ ifpbi123d as of 17-Apr-2024.  (Contributed by AV,
       30-Dec-2020.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    ifpbi123dOLD $p |- ( ph -> ( if- ( ps , ch , th )
                              <-> if- ( ta , et , ze ) ) ) $=
      ( wa wn wo wif anbi12d notbid orbi12d df-ifp 3bitr4g ) ABCKZBLZDKZMEFKZEL
      ZGKZMBCDNEFGNATUCUBUEABECFHIOAUAUDDGABEHPJOQBCDREFGRS $.
  $}

  ${
    ifpbi23d.1 $e |- ( ph -> ( ch <-> et ) ) $.
    ifpbi23d.2 $e |- ( ph -> ( th <-> ze ) ) $.
    $( Equivalence deduction for conditional operator for propositions.
       Convenience theorem for a frequent case.  (Contributed by Wolf Lammen,
       28-Apr-2024.) $)
    ifpbi23d $p |- ( ph -> ( if- ( ps , ch , th )
                              <-> if- ( ps , et , ze ) ) ) $=
      ( biidd ifpbi123d ) ABCDBEFABIGHJ $.
  $}

  ${
    ifpimpda.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    ifpimpda.2 $e |- ( ( ph /\ -. ps ) -> th ) $.
    $( Separation of the values of the conditional operator for propositions.
       (Contributed by AV, 30-Dec-2020.)  (Proof shortened by Wolf Lammen,
       27-Feb-2021.) $)
    ifpimpda $p |- ( ph -> if- ( ps , ch , th ) ) $=
      ( wi wn wif ex dfifp2 sylanbrc ) ABCGBHZDGBCDIABCEJAMDFJBCDKL $.
  $}

  ${
    1fpid3.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( The value of the conditional operator for propositions is its third
       argument if the first and second argument imply the third argument.
       (Contributed by AV, 4-Apr-2021.) $)
    1fpid3 $p |- ( if- ( ph , ps , ch ) -> ch ) $=
      ( wif wa wn wo df-ifp simpr jaoi sylbi ) ABCEABFZAGZCFZHCABCIMCODNCJKL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The weak deduction theorem for propositional calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This subsection contains a few results related to the weak deduction theorem
  in propositional calculus.  For the weak deduction theorem in set theory, see
  the section beginning with ~ dedth .  For more information on the weak
  deduction theorem, see the Weak Deduction Theorem page ~ mmdeduction.html .

$)

  ${
    elimh.1 $e |- ( ( if- ( ch , ph , ps ) <-> ph ) -> ( ta <-> ch ) ) $.
    elimh.2 $e |- ( ( if- ( ch , ph , ps ) <-> ps ) -> ( ta <-> th ) ) $.
    elimh.3 $e |- th $.
    $( Hypothesis builder for the weak deduction theorem.  For more
       information, see the Weak Deduction Theorem page ~ mmdeduction.html .
       (Contributed by NM, 26-Jun-2002.)  Revised to use the conditional
       operator.  (Revised by BJ, 30-Sep-2019.)  Commute consequent.  (Revised
       by Steven Nguyen, 27-Apr-2023.) $)
    elimh $p |- ta $=
      ( wif wb ifptru syl ibir wn ifpfal mpbiri pm2.61i ) CECECCABIZAJECJCABKFL
      MCNZEDHSRBJEDJCABOGLPQ $.
  $}

  ${
    dedt.1 $e |- ( ( if- ( ch , ph , ps ) <-> ph ) -> ( ta <-> th ) ) $.
    dedt.2 $e |- ta $.
    $( The weak deduction theorem.  For more information, see the Weak
       Deduction Theorem page ~ mmdeduction.html .  (Contributed by NM,
       26-Jun-2002.)  Revised to use the conditional operator.  (Revised by BJ,
       30-Sep-2019.)  Commute consequent.  (Revised by Steven Nguyen,
       27-Apr-2023.) $)
    dedt $p |- ( ch -> th ) $=
      ( wif wb ifptru mpbii syl ) CCABHAIZDCABJMEDGFKL $.
  $}

  $( Proof of ~ con3 from its associated inference ~ con3i that illustrates the
     use of the weak deduction theorem ~ dedt .  (Contributed by NM,
     27-Jun-2002.)  Revised to use the conditional operator.  (Revised by BJ,
     30-Sep-2019.)  Revised ~ dedt and ~ elimh .  (Revised by Steven Nguyen,
     27-Apr-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  con3ALT $p |- ( ( ph -> ps ) -> ( -. ps -> -. ph ) ) $=
    ( wi wn wif wb id notbid imbi1d imbi2 elimh con3i dedt ) BAABCZBDZADZCNBAEZ
    DZPCQBFZROPSQBSGHIAQBANAACAQCQBAJQAAJAGKLM $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Abbreviated conjunction and disjunction of three wff's
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Extend wff definition to include three-way disjunction ('or'). $)
  w3o $a wff ( ph \/ ps \/ ch ) $.
  $( Extend wff definition to include three-way conjunction ('and'). $)
  w3a $a wff ( ph /\ ps /\ ch ) $.

  $( These abbreviations help eliminate parentheses to aid readability. $)

  $( Define disjunction ('or') of three wff's.  Definition *2.33 of
     [WhiteheadRussell] p. 105.  This abbreviation reduces the number of
     parentheses and emphasizes that the order of bracketing is not important
     by virtue of the associative law ~ orass .  (Contributed by NM,
     8-Apr-1994.) $)
  df-3or $a |- ( ( ph \/ ps \/ ch ) <-> ( ( ph \/ ps ) \/ ch ) ) $.

  $( Define conjunction ('and') of three wff's.  Definition *4.34 of
     [WhiteheadRussell] p. 118.  This abbreviation reduces the number of
     parentheses and emphasizes that the order of bracketing is not important
     by virtue of the associative law ~ anass .  (Contributed by NM,
     8-Apr-1994.) $)
  df-3an $a |- ( ( ph /\ ps /\ ch ) <-> ( ( ph /\ ps ) /\ ch ) ) $.

  $( Associative law for triple disjunction.  (Contributed by NM,
     8-Apr-1994.) $)
  3orass $p |- ( ( ph \/ ps \/ ch ) <-> ( ph \/ ( ps \/ ch ) ) ) $=
    ( w3o wo df-3or orass bitri ) ABCDABECEABCEEABCFABCGH $.

  $( Partial elimination of a triple disjunction by denial of a disjunct.
     (Contributed by Scott Fenton, 26-Mar-2011.) $)
  3orel1 $p |- ( -. ph -> ( ( ph \/ ps \/ ch ) -> ( ps \/ ch ) ) ) $=
    ( w3o wo wn 3orass orel1 syl5bi ) ABCDABCEZEAFJABCGAJHI $.

  $( Rotation law for triple disjunction.  (Contributed by NM, 4-Apr-1995.) $)
  3orrot $p |- ( ( ph \/ ps \/ ch ) <-> ( ps \/ ch \/ ph ) ) $=
    ( wo w3o orcom 3orass df-3or 3bitr4i ) ABCDZDJADABCEBCAEAJFABCGBCAHI $.

  $( Commutation law for triple disjunction.  (Contributed by Mario Carneiro,
     4-Sep-2016.) $)
  3orcoma $p |- ( ( ph \/ ps \/ ch ) <-> ( ps \/ ph \/ ch ) ) $=
    ( wo w3o or12 3orass 3bitr4i ) ABCDDBACDDABCEBACEABCFABCGBACGH $.

  $( Commutation law for triple disjunction.  (Contributed by Scott Fenton,
     20-Apr-2011.)  (Proof shortened by Wolf Lammen, 8-Apr-2022.) $)
  3orcomb $p |- ( ( ph \/ ps \/ ch ) <-> ( ph \/ ch \/ ps ) ) $=
    ( w3o 3orcoma 3orrot bitri ) ABCDBACDACBDABCEBACFG $.

  $( Associative law for triple conjunction.  (Contributed by NM,
     8-Apr-1994.) $)
  3anass $p |- ( ( ph /\ ps /\ ch ) <-> ( ph /\ ( ps /\ ch ) ) ) $=
    ( w3a wa df-3an anass bitri ) ABCDABECEABCEEABCFABCGH $.

  $( Convert triple conjunction to conjunction, then commute.  (Contributed by
     Jonathan Ben-Naim, 3-Jun-2011.)  (Proof shortened by Andrew Salmon,
     14-Jun-2011.)  (Revised to shorten ~ 3ancoma by Wolf Lammen,
     5-Jun-2022.) $)
  3anan12 $p |- ( ( ph /\ ps /\ ch ) <-> ( ps /\ ( ph /\ ch ) ) ) $=
    ( w3a wa 3anass an12 bitri ) ABCDABCEEBACEEABCFABCGH $.

  $( Convert triple conjunction to conjunction, then commute.  (Contributed by
     Jonathan Ben-Naim, 3-Jun-2011.) $)
  3anan32 $p |- ( ( ph /\ ps /\ ch ) <-> ( ( ph /\ ch ) /\ ps ) ) $=
    ( w3a wa df-3an an32 bitri ) ABCDABECEACEBEABCFABCGH $.

  $( Commutation law for triple conjunction.  (Contributed by NM, 21-Apr-1994.)
     (Proof shortened by Wolf Lammen, 5-Jun-2022.) $)
  3ancoma $p |- ( ( ph /\ ps /\ ch ) <-> ( ps /\ ph /\ ch ) ) $=
    ( w3a wa 3anan12 3anass bitr4i ) ABCDBACEEBACDABCFBACGH $.

  $( Commutation law for triple conjunction.  (Contributed by NM, 21-Apr-1994.)
     (Revised to shorten ~ 3anrot by Wolf Lammen, 9-Jun-2022.) $)
  3ancomb $p |- ( ( ph /\ ps /\ ch ) <-> ( ph /\ ch /\ ps ) ) $=
    ( w3a wa df-3an 3anan32 bitr4i ) ABCDABECEACBDABCFACBGH $.

  $( Rotation law for triple conjunction.  (Contributed by NM, 8-Apr-1994.)
     (Proof shortened by Wolf Lammen, 9-Jun-2022.) $)
  3anrot $p |- ( ( ph /\ ps /\ ch ) <-> ( ps /\ ch /\ ph ) ) $=
    ( w3a 3ancoma 3ancomb bitri ) ABCDBACDBCADABCEBACFG $.

  $( Reversal law for triple conjunction.  (Contributed by NM, 21-Apr-1994.) $)
  3anrev $p |- ( ( ph /\ ps /\ ch ) <-> ( ch /\ ps /\ ph ) ) $=
    ( w3a 3ancoma 3anrot bitr4i ) ABCDBACDCBADABCECBAFG $.

  $( Distribution of triple conjunction over conjunction.  (Contributed by
     David A. Wheeler, 4-Nov-2018.) $)
  anandi3 $p |- ( ( ph /\ ps /\ ch ) <-> ( ( ph /\ ps ) /\ ( ph /\ ch ) ) ) $=
    ( w3a wa 3anass anandi bitri ) ABCDABCEEABEACEEABCFABCGH $.

  $( Distribution of triple conjunction over conjunction.  (Contributed by
     David A. Wheeler, 4-Nov-2018.) $)
  anandi3r $p |- ( ( ph /\ ps /\ ch ) <-> ( ( ph /\ ps ) /\ ( ch /\ ps ) ) ) $=
    ( w3a wa 3anan32 anandir bitri ) ABCDACEBEABECBEEABCFACBGH $.

  $( Idempotent law for conjunction.  (Contributed by Peter Mazsa,
     17-Oct-2023.) $)
  3anidm $p |- ( ( ph /\ ph /\ ph ) <-> ph ) $=
    ( w3a wa df-3an anabs1 anidm 3bitri ) AAABAACZACHAAAADAAEAFG $.

  $( Associative law for four conjunctions with a triple conjunction.
     (Contributed by Alexander van der Vekens, 24-Jun-2018.) $)
  3an4anass $p |- ( ( ( ph /\ ps /\ ch ) /\ th )
                    <-> ( ( ph /\ ps ) /\ ( ch /\ th ) ) ) $=
    ( w3a wa df-3an anbi1i anass bitri ) ABCEZDFABFZCFZDFLCDFFKMDABCGHLCDIJ $.

  $( Negated triple disjunction as triple conjunction.  (Contributed by Scott
     Fenton, 19-Apr-2011.) $)
  3ioran $p |- ( -. ( ph \/ ps \/ ch ) <-> ( -. ph /\ -. ps /\ -. ch ) ) $=
    ( wo wn wa w3o w3a ioran anbi1i df-3or xchnxbir df-3an 3bitr4i ) ABDZEZCEZF
    ZAEZBEZFZQFABCGZESTQHPUAQABIJOCDRUBOCIABCKLSTQMN $.

  $( Negated triple conjunction expressed in terms of triple disjunction.
     (Contributed by Jeff Hankins, 15-Aug-2009.)  (Proof shortened by Andrew
     Salmon, 13-May-2011.)  (Revised by Wolf Lammen, 8-Apr-2022.) $)
  3ianor $p |- ( -. ( ph /\ ps /\ ch ) <-> ( -. ph \/ -. ps \/ -. ch ) ) $=
    ( wa wn wo w3a w3o ianor orbi1i df-3an xchnxbir df-3or 3bitr4i ) ABDZEZCEZF
    ZAEZBEZFZQFABCGZESTQHPUAQABIJOCDRUBOCIABCKLSTQMN $.

  $( Triple conjunction expressed in terms of triple disjunction.  (Contributed
     by Jeff Hankins, 15-Aug-2009.)  (Proof shortened by Wolf Lammen,
     8-Apr-2022.) $)
  3anor $p |- ( ( ph /\ ps /\ ch ) <-> -. ( -. ph \/ -. ps \/ -. ch ) ) $=
    ( wn w3o w3a 3ianor con1bii bicomi ) ADBDCDEZDABCFZKJABCGHI $.

  $( Triple disjunction in terms of triple conjunction.  (Contributed by NM,
     8-Oct-2012.) $)
  3oran $p |- ( ( ph \/ ps \/ ch ) <-> -. ( -. ph /\ -. ps /\ -. ch ) ) $=
    ( wn w3a w3o 3ioran con1bii bicomi ) ADBDCDEZDABCFZKJABCGHI $.

  ${
    3impa.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( Importation from double to triple conjunction.  (Contributed by NM,
       20-Aug-1995.)  (Revised to shorten ~ 3imp by Wolf Lammen,
       20-Jun-2022.) $)
    3impa $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( w3a wa df-3an sylbi ) ABCFABGCGDABCHEI $.
  $}

  ${
    3imp.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( Importation inference.  (Contributed by NM, 8-Apr-1994.)  (Proof
       shortened by Wolf Lammen, 20-Jun-2022.) $)
    3imp $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( imp31 3impa ) ABCDABCDEFG $.

    $( The importation inference ~ 3imp with commutation of the first and third
       conjuncts of the assertion relative to the hypothesis.  (Contributed by
       Alan Sare, 11-Sep-2016.) $)
    3imp31 $p |- ( ( ch /\ ps /\ ph ) -> th ) $=
      ( com13 3imp ) CBADABCDEFG $.

    $( Importation inference.  (Contributed by Alan Sare, 17-Oct-2017.) $)
    3imp231 $p |- ( ( ps /\ ch /\ ph ) -> th ) $=
      ( com3l 3imp ) BCADABCDEFG $.

    $( The importation inference ~ 3imp with commutation of the first and
       second conjuncts of the assertion relative to the hypothesis.
       (Contributed by Alan Sare, 11-Sep-2016.)  (Revised to shorten ~ 3com12
       by Wolf Lammen, 23-Jun-2022.) $)
    3imp21 $p |- ( ( ps /\ ph /\ ch ) -> th ) $=
      ( com13 3imp231 ) CBADABCDEFG $.
  $}

  ${
    3impb.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Importation from double to triple conjunction.  (Contributed by NM,
       20-Aug-1995.) $)
    3impb $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( exp32 3imp ) ABCDABCDEFG $.
  $}

  ${
    3impib.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( Importation to triple conjunction.  (Contributed by NM, 13-Jun-2006.) $)
    3impib $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( expd 3imp ) ABCDABCDEFG $.
  $}

  ${
    3impia.1 $e |- ( ( ph /\ ps ) -> ( ch -> th ) ) $.
    $( Importation to triple conjunction.  (Contributed by NM, 13-Jun-2006.)
       (Proof shortened by Wolf Lammen, 21-Jun-2022.) $)
    3impia $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( expimpd 3impib ) ABCDABCDEFG $.
  $}

  ${
    3exp.1 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( Exportation from triple to double conjunction.  (Contributed by NM,
       20-Aug-1995.)  (Revised to shorten ~ 3exp and ~ pm3.2an3 by Wolf Lammen,
       22-Jun-2022.) $)
    3expa $p |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $=
      ( wa w3a df-3an sylbir ) ABFCFABCGDABCHEI $.

    $( Exportation inference.  (Contributed by NM, 30-May-1994.)  (Proof
       shortened by Wolf Lammen, 22-Jun-2022.) $)
    3exp $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      ( 3expa exp31 ) ABCDABCDEFG $.

    $( Exportation from triple to double conjunction.  (Contributed by NM,
       20-Aug-1995.) $)
    3expb $p |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $=
      ( 3exp imp32 ) ABCDABCDEFG $.

    $( Exportation from triple conjunction.  (Contributed by NM, 19-May-2007.)
       (Proof shortened by Wolf Lammen, 22-Jun-2022.) $)
    3expia $p |- ( ( ph /\ ps ) -> ( ch -> th ) ) $=
      ( 3expb expr ) ABCDABCDEFG $.

    $( Exportation from triple conjunction.  (Contributed by NM,
       19-May-2007.) $)
    3expib $p |- ( ph -> ( ( ps /\ ch ) -> th ) ) $=
      ( 3exp impd ) ABCDABCDEFG $.

    $( Commutation in antecedent.  Swap 1st and 2nd.  (Contributed by NM,
       28-Jan-1996.)  (Proof shortened by Andrew Salmon, 13-May-2011.)  (Proof
       shortened by Wolf Lammen, 22-Jun-2022.) $)
    3com12 $p |- ( ( ps /\ ph /\ ch ) -> th ) $=
      ( 3exp 3imp21 ) ABCDABCDEFG $.

    $( Commutation in antecedent.  Swap 1st and 3rd.  (Contributed by NM,
       28-Jan-1996.)  (Proof shortened by Wolf Lammen, 22-Jun-2022.) $)
    3com13 $p |- ( ( ch /\ ps /\ ph ) -> th ) $=
      ( 3exp 3imp31 ) ABCDABCDEFG $.

    $( Commutation in antecedent.  Rotate right.  (Contributed by NM,
       28-Jan-1996.)  (Revised by Wolf Lammen, 9-Apr-2022.) $)
    3comr $p |- ( ( ch /\ ph /\ ps ) -> th ) $=
      ( 3com12 3com13 ) BACDABCDEFG $.

    $( Commutation in antecedent.  Swap 2nd and 3rd.  (Contributed by NM,
       28-Jan-1996.)  (Proof shortened by Wolf Lammen, 9-Apr-2022.) $)
    3com23 $p |- ( ( ph /\ ch /\ ps ) -> th ) $=
      ( 3comr 3com12 ) CABDABCDEFG $.

    $( Commutation in antecedent.  Rotate left.  (Contributed by NM,
       28-Jan-1996.) $)
    3coml $p |- ( ( ps /\ ch /\ ph ) -> th ) $=
      ( 3com23 3com13 ) ACBDABCDEFG $.
  $}

  ${
    3jca.1 $e |- ( ph -> ps ) $.
    3jca.2 $e |- ( ph -> ch ) $.
    3jca.3 $e |- ( ph -> th ) $.
    $( Join consequents with conjunction.  (Contributed by NM, 9-Apr-1994.) $)
    3jca $p |- ( ph -> ( ps /\ ch /\ th ) ) $=
      ( wa w3a jca31 df-3an sylibr ) ABCHDHBCDIABCDEFGJBCDKL $.
  $}

  ${
    3jcad.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3jcad.2 $e |- ( ph -> ( ps -> th ) ) $.
    3jcad.3 $e |- ( ph -> ( ps -> ta ) ) $.
    $( Deduction conjoining the consequents of three implications.
       (Contributed by NM, 25-Sep-2005.) $)
    3jcad $p |- ( ph -> ( ps -> ( ch /\ th /\ ta ) ) ) $=
      ( w3a wa imp 3jca ex ) ABCDEIABJCDEABCFKABDGKABEHKLM $.
  $}

  ${
    3adant.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       16-Jul-1995.)  (Proof shortened by Wolf Lammen, 21-Jun-2022.) $)
    3adant1 $p |- ( ( th /\ ph /\ ps ) -> ch ) $=
      ( adantll 3impa ) DABCABCDEFG $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       16-Jul-1995.) $)
    3adant2 $p |- ( ( ph /\ th /\ ps ) -> ch ) $=
      ( adantlr 3impa ) ADBCABCDEFG $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       16-Jul-1995.)  (Proof shortened by Wolf Lammen, 21-Jun-2022.) $)
    3adant3 $p |- ( ( ph /\ ps /\ th ) -> ch ) $=
      ( adantrr 3impb ) ABDCABCDEFG $.
  $}

  ${
    3ad2ant.1 $e |- ( ph -> ch ) $.
    $( Deduction adding conjuncts to an antecedent.  (Contributed by NM,
       21-Apr-2005.) $)
    3ad2ant1 $p |- ( ( ph /\ ps /\ th ) -> ch ) $=
      ( adantr 3adant2 ) ADCBACDEFG $.

    $( Deduction adding conjuncts to an antecedent.  (Contributed by NM,
       21-Apr-2005.) $)
    3ad2ant2 $p |- ( ( ps /\ ph /\ th ) -> ch ) $=
      ( adantr 3adant1 ) ADCBACDEFG $.

    $( Deduction adding conjuncts to an antecedent.  (Contributed by NM,
       21-Apr-2005.) $)
    3ad2ant3 $p |- ( ( ps /\ th /\ ph ) -> ch ) $=
      ( adantl 3adant1 ) DACBACDEFG $.
  $}

  $( Simplification of triple conjunction.  (Contributed by NM, 21-Apr-1994.)
     (Proof shortened by Wolf Lammen, 22-Jun-2022.) $)
  simp1 $p |- ( ( ph /\ ps /\ ch ) -> ph ) $=
    ( id 3ad2ant1 ) ABACADE $.

  $( Simplification of triple conjunction.  (Contributed by NM, 21-Apr-1994.)
     (Proof shortened by Wolf Lammen, 22-Jun-2022.) $)
  simp2 $p |- ( ( ph /\ ps /\ ch ) -> ps ) $=
    ( id 3ad2ant2 ) BABCBDE $.

  $( Simplification of triple conjunction.  (Contributed by NM, 21-Apr-1994.)
     (Proof shortened by Wolf Lammen, 22-Jun-2022.) $)
  simp3 $p |- ( ( ph /\ ps /\ ch ) -> ch ) $=
    ( id 3ad2ant3 ) CACBCDE $.

  ${
    3simp1i.1 $e |- ( ph /\ ps /\ ch ) $.
    $( Infer a conjunct from a triple conjunction.  (Contributed by NM,
       19-Apr-2005.) $)
    simp1i $p |- ph $=
      ( w3a simp1 ax-mp ) ABCEADABCFG $.

    $( Infer a conjunct from a triple conjunction.  (Contributed by NM,
       19-Apr-2005.) $)
    simp2i $p |- ps $=
      ( w3a simp2 ax-mp ) ABCEBDABCFG $.

    $( Infer a conjunct from a triple conjunction.  (Contributed by NM,
       19-Apr-2005.) $)
    simp3i $p |- ch $=
      ( w3a simp3 ax-mp ) ABCECDABCFG $.
  $}

  ${
    3simp1d.1 $e |- ( ph -> ( ps /\ ch /\ th ) ) $.
    $( Deduce a conjunct from a triple conjunction.  (Contributed by NM,
       4-Sep-2005.) $)
    simp1d $p |- ( ph -> ps ) $=
      ( w3a simp1 syl ) ABCDFBEBCDGH $.

    $( Deduce a conjunct from a triple conjunction.  (Contributed by NM,
       4-Sep-2005.) $)
    simp2d $p |- ( ph -> ch ) $=
      ( w3a simp2 syl ) ABCDFCEBCDGH $.

    $( Deduce a conjunct from a triple conjunction.  (Contributed by NM,
       4-Sep-2005.) $)
    simp3d $p |- ( ph -> th ) $=
      ( w3a simp3 syl ) ABCDFDEBCDGH $.
  $}

  ${
    3simp1bi.1 $e |- ( ph <-> ( ps /\ ch /\ th ) ) $.
    $( Deduce a conjunct from a triple conjunction.  (Contributed by Jonathan
       Ben-Naim, 3-Jun-2011.) $)
    simp1bi $p |- ( ph -> ps ) $=
      ( w3a biimpi simp1d ) ABCDABCDFEGH $.

    $( Deduce a conjunct from a triple conjunction.  (Contributed by Jonathan
       Ben-Naim, 3-Jun-2011.) $)
    simp2bi $p |- ( ph -> ch ) $=
      ( w3a biimpi simp2d ) ABCDABCDFEGH $.

    $( Deduce a conjunct from a triple conjunction.  (Contributed by Jonathan
       Ben-Naim, 3-Jun-2011.) $)
    simp3bi $p |- ( ph -> th ) $=
      ( w3a biimpi simp3d ) ABCDABCDFEGH $.
  $}

  $( Simplification of triple conjunction.  (Contributed by NM, 21-Apr-1994.)
     (Proof shortened by Wolf Lammen, 21-Jun-2022.) $)
  3simpa $p |- ( ( ph /\ ps /\ ch ) -> ( ph /\ ps ) ) $=
    ( wa id 3adant3 ) ABABDZCGEF $.

  $( Simplification of triple conjunction.  (Contributed by NM, 21-Apr-1994.)
     (Proof shortened by Wolf Lammen, 21-Jun-2022.) $)
  3simpb $p |- ( ( ph /\ ps /\ ch ) -> ( ph /\ ch ) ) $=
    ( wa id 3adant2 ) ACACDZBGEF $.

  $( Simplification of triple conjunction.  (Contributed by NM, 21-Apr-1994.)
     (Proof shortened by Andrew Salmon, 13-May-2011.)  (Proof shortened by Wolf
     Lammen, 21-Jun-2022.) $)
  3simpc $p |- ( ( ph /\ ps /\ ch ) -> ( ps /\ ch ) ) $=
    ( wa id 3adant1 ) BCBCDZAGEF $.

  ${
    3anim123i.1 $e |- ( ph -> ps ) $.
    3anim123i.2 $e |- ( ch -> th ) $.
    3anim123i.3 $e |- ( ta -> et ) $.
    $( Join antecedents and consequents with conjunction.  (Contributed by NM,
       8-Apr-1994.) $)
    3anim123i $p |- ( ( ph /\ ch /\ ta ) -> ( ps /\ th /\ et ) ) $=
      ( w3a 3ad2ant1 3ad2ant2 3ad2ant3 3jca ) ACEJBDFACBEGKCADEHLEAFCIMN $.
  $}

  ${
    3animi.1 $e |- ( ph -> ps ) $.
    $( Add two conjuncts to antecedent and consequent.  (Contributed by Jeff
       Hankins, 16-Aug-2009.) $)
    3anim1i $p |- ( ( ph /\ ch /\ th ) -> ( ps /\ ch /\ th ) ) $=
      ( id 3anim123i ) ABCCDDECFDFG $.

    $( Add two conjuncts to antecedent and consequent.  (Contributed by AV,
       21-Nov-2019.) $)
    3anim2i $p |- ( ( ch /\ ph /\ th ) -> ( ch /\ ps /\ th ) ) $=
      ( id 3anim123i ) CCABDDCFEDFG $.

    $( Add two conjuncts to antecedent and consequent.  (Contributed by Jeff
       Hankins, 19-Aug-2009.) $)
    3anim3i $p |- ( ( ch /\ th /\ ph ) -> ( ch /\ th /\ ps ) ) $=
      ( id 3anim123i ) CCDDABCFDFEG $.
  $}

  ${
    bi3.1 $e |- ( ph <-> ps ) $.
    bi3.2 $e |- ( ch <-> th ) $.
    bi3.3 $e |- ( ta <-> et ) $.
    $( Join 3 biconditionals with conjunction.  (Contributed by NM,
       21-Apr-1994.) $)
    3anbi123i $p |- ( ( ph /\ ch /\ ta ) <-> ( ps /\ th /\ et ) ) $=
      ( wa w3a anbi12i df-3an 3bitr4i ) ACJZEJBDJZFJACEKBDFKOPEFABCDGHLILACEMBD
      FMN $.

    $( Join 3 biconditionals with disjunction.  (Contributed by NM,
       17-May-1994.) $)
    3orbi123i $p |- ( ( ph \/ ch \/ ta ) <-> ( ps \/ th \/ et ) ) $=
      ( wo w3o orbi12i df-3or 3bitr4i ) ACJZEJBDJZFJACEKBDFKOPEFABCDGHLILACEMBD
      FMN $.
  $}

  ${
    3anbi1i.1 $e |- ( ph <-> ps ) $.
    $( Inference adding two conjuncts to each side of a biconditional.
       (Contributed by NM, 8-Sep-2006.) $)
    3anbi1i $p |- ( ( ph /\ ch /\ th ) <-> ( ps /\ ch /\ th ) ) $=
      ( biid 3anbi123i ) ABCCDDECFDFG $.

    $( Inference adding two conjuncts to each side of a biconditional.
       (Contributed by NM, 8-Sep-2006.) $)
    3anbi2i $p |- ( ( ch /\ ph /\ th ) <-> ( ch /\ ps /\ th ) ) $=
      ( biid 3anbi123i ) CCABDDCFEDFG $.

    $( Inference adding two conjuncts to each side of a biconditional.
       (Contributed by NM, 8-Sep-2006.) $)
    3anbi3i $p |- ( ( ch /\ th /\ ph ) <-> ( ch /\ th /\ ps ) ) $=
      ( biid 3anbi123i ) CCDDABCFDFEG $.
  $}

  ${
    syl3an.1 $e |- ( ph -> ps ) $.
    syl3an.2 $e |- ( ch -> th ) $.
    syl3an.3 $e |- ( ta -> et ) $.
    syl3an.4 $e |- ( ( ps /\ th /\ et ) -> ze ) $.
    $( A triple syllogism inference.  (Contributed by NM, 13-May-2004.) $)
    syl3an $p |- ( ( ph /\ ch /\ ta ) -> ze ) $=
      ( w3a 3anim123i syl ) ACELBDFLGABCDEFHIJMKN $.
  $}

  ${
    syl3anb.1 $e |- ( ph <-> ps ) $.
    syl3anb.2 $e |- ( ch <-> th ) $.
    syl3anb.3 $e |- ( ta <-> et ) $.
    syl3anb.4 $e |- ( ( ps /\ th /\ et ) -> ze ) $.
    $( A triple syllogism inference.  (Contributed by NM, 15-Oct-2005.) $)
    syl3anb $p |- ( ( ph /\ ch /\ ta ) -> ze ) $=
      ( w3a 3anbi123i sylbi ) ACELBDFLGABCDEFHIJMKN $.
  $}

  ${
    syl3anbr.1 $e |- ( ps <-> ph ) $.
    syl3anbr.2 $e |- ( th <-> ch ) $.
    syl3anbr.3 $e |- ( et <-> ta ) $.
    syl3anbr.4 $e |- ( ( ps /\ th /\ et ) -> ze ) $.
    $( A triple syllogism inference.  (Contributed by NM, 29-Dec-2011.) $)
    syl3anbr $p |- ( ( ph /\ ch /\ ta ) -> ze ) $=
      ( bicomi syl3anb ) ABCDEFGBAHLDCILFEJLKM $.
  $}

  ${
    syl3an1.1 $e |- ( ph -> ps ) $.
    syl3an1.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference.  (Contributed by NM, 22-Aug-1995.) $)
    syl3an1 $p |- ( ( ph /\ ch /\ th ) -> ta ) $=
      ( w3a 3anim1i syl ) ACDHBCDHEABCDFIGJ $.
  $}

  ${
    syl3an2.1 $e |- ( ph -> ch ) $.
    syl3an2.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference.  (Contributed by NM, 22-Aug-1995.)  (Proof
       shortened by Wolf Lammen, 26-Jun-2022.) $)
    syl3an2 $p |- ( ( ps /\ ph /\ th ) -> ta ) $=
      ( w3a 3anim2i syl ) BADHBCDHEACBDFIGJ $.
  $}

  ${
    syl3an3.1 $e |- ( ph -> th ) $.
    syl3an3.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference.  (Contributed by NM, 22-Aug-1995.)  (Proof
       shortened by Wolf Lammen, 26-Jun-2022.) $)
    syl3an3 $p |- ( ( ps /\ ch /\ ph ) -> ta ) $=
      ( w3a 3anim3i syl ) BCAHBCDHEADBCFIGJ $.
  $}

  ${
    3adantl.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       24-Feb-2005.) $)
    3adantl1 $p |- ( ( ( ta /\ ph /\ ps ) /\ ch ) -> th ) $=
      ( w3a wa 3simpc sylan ) EABGABHCDEABIFJ $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       24-Feb-2005.) $)
    3adantl2 $p |- ( ( ( ph /\ ta /\ ps ) /\ ch ) -> th ) $=
      ( w3a wa 3simpb sylan ) AEBGABHCDAEBIFJ $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       24-Feb-2005.) $)
    3adantl3 $p |- ( ( ( ph /\ ps /\ ta ) /\ ch ) -> th ) $=
      ( w3a wa 3simpa sylan ) ABEGABHCDABEIFJ $.
  $}

  ${
    3adantr.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       27-Apr-2005.) $)
    3adantr1 $p |- ( ( ph /\ ( ta /\ ps /\ ch ) ) -> th ) $=
      ( w3a wa 3simpc sylan2 ) EBCGABCHDEBCIFJ $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       27-Apr-2005.) $)
    3adantr2 $p |- ( ( ph /\ ( ps /\ ta /\ ch ) ) -> th ) $=
      ( w3a wa 3simpb sylan2 ) BECGABCHDBECIFJ $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       27-Apr-2005.) $)
    3adantr3 $p |- ( ( ph /\ ( ps /\ ch /\ ta ) ) -> th ) $=
      ( w3a wa 3simpa sylan2 ) BCEGABCHDBCEIFJ $.
  $}

  ${
    ad4ant3.1 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 14-Apr-2022.) $)
    ad4ant123 $p |- ( ( ( ( ph /\ ps ) /\ ch ) /\ ta ) -> th ) $=
      ( wa 3expa adantr ) ABGCGDEABCDFHI $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 14-Apr-2022.) $)
    ad4ant124 $p |- ( ( ( ( ph /\ ps ) /\ ta ) /\ ch ) -> th ) $=
      ( wa 3expa adantlr ) ABGCDEABCDFHI $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 14-Apr-2022.) $)
    ad4ant134 $p |- ( ( ( ( ph /\ ta ) /\ ps ) /\ ch ) -> th ) $=
      ( 3expa adantllr ) ABCDEABCDFGH $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 14-Apr-2022.) $)
    ad4ant234 $p |- ( ( ( ( ta /\ ph ) /\ ps ) /\ ch ) -> th ) $=
      ( 3expa adantlll ) ABCDEABCDFGH $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       8-Jan-2006.)  (Proof shortened by Wolf Lammen, 23-Jun-2022.) $)
    3adant1l $p |- ( ( ( ta /\ ph ) /\ ps /\ ch ) -> th ) $=
      ( wa simpr syl3an1 ) EAGABCDEAHFI $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       8-Jan-2006.)  (Proof shortened by Wolf Lammen, 23-Jun-2022.) $)
    3adant1r $p |- ( ( ( ph /\ ta ) /\ ps /\ ch ) -> th ) $=
      ( wa simpl syl3an1 ) AEGABCDAEHFI $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       8-Jan-2006.)  (Proof shortened by Wolf Lammen, 25-Jun-2022.) $)
    3adant2l $p |- ( ( ph /\ ( ta /\ ps ) /\ ch ) -> th ) $=
      ( wa simpr syl3an2 ) EBGABCDEBHFI $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       8-Jan-2006.)  (Proof shortened by Wolf Lammen, 25-Jun-2022.) $)
    3adant2r $p |- ( ( ph /\ ( ps /\ ta ) /\ ch ) -> th ) $=
      ( wa simpl syl3an2 ) BEGABCDBEHFI $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       8-Jan-2006.)  (Proof shortened by Wolf Lammen, 25-Jun-2022.) $)
    3adant3l $p |- ( ( ph /\ ps /\ ( ta /\ ch ) ) -> th ) $=
      ( wa simpr syl3an3 ) ECGABCDECHFI $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       8-Jan-2006.)  (Proof shortened by Wolf Lammen, 25-Jun-2022.) $)
    3adant3r $p |- ( ( ph /\ ps /\ ( ch /\ ta ) ) -> th ) $=
      ( wa simpl syl3an3 ) CEGABCDCEHFI $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       16-Feb-2008.) $)
    3adant3r1 $p |- ( ( ph /\ ( ta /\ ps /\ ch ) ) -> th ) $=
      ( 3expb 3adantr1 ) ABCDEABCDFGH $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       17-Feb-2008.) $)
    3adant3r2 $p |- ( ( ph /\ ( ps /\ ta /\ ch ) ) -> th ) $=
      ( 3expb 3adantr2 ) ABCDEABCDFGH $.

    $( Deduction adding a conjunct to antecedent.  (Contributed by NM,
       18-Feb-2008.) $)
    3adant3r3 $p |- ( ( ph /\ ( ps /\ ch /\ ta ) ) -> th ) $=
      ( 3expb 3adantr3 ) ABCDEABCDFGH $.
  $}

  ${
    3ad2antl.1 $e |- ( ( ph /\ ch ) -> th ) $.
    $( Deduction adding conjuncts to antecedent.  (Contributed by NM,
       4-Aug-2007.) $)
    3ad2antl1 $p |- ( ( ( ph /\ ps /\ ta ) /\ ch ) -> th ) $=
      ( adantlr 3adantl2 ) AECDBACDEFGH $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by NM,
       4-Aug-2007.) $)
    3ad2antl2 $p |- ( ( ( ps /\ ph /\ ta ) /\ ch ) -> th ) $=
      ( adantlr 3adantl1 ) AECDBACDEFGH $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by NM,
       4-Aug-2007.) $)
    3ad2antl3 $p |- ( ( ( ps /\ ta /\ ph ) /\ ch ) -> th ) $=
      ( adantll 3adantl1 ) EACDBACDEFGH $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by NM,
       25-Dec-2007.) $)
    3ad2antr1 $p |- ( ( ph /\ ( ch /\ ps /\ ta ) ) -> th ) $=
      ( adantrr 3adantr3 ) ACBDEACDBFGH $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by NM,
       27-Dec-2007.) $)
    3ad2antr2 $p |- ( ( ph /\ ( ps /\ ch /\ ta ) ) -> th ) $=
      ( adantrl 3adantr3 ) ABCDEACDBFGH $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by NM,
       30-Dec-2007.) $)
    3ad2antr3 $p |- ( ( ph /\ ( ps /\ ta /\ ch ) ) -> th ) $=
      ( adantrl 3adantr1 ) AECDBACDEFGH $.
  $}

  $( Simplification of conjunction.  (Contributed by Jeff Hankins,
     17-Nov-2009.)  (Proof shortened by Wolf Lammen, 23-Jun-2022.) $)
  simpl1 $p |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ph ) $=
    ( simpl 3ad2antl1 ) ABDACADEF $.

  $( Simplification of conjunction.  (Contributed by Jeff Hankins,
     17-Nov-2009.)  (Proof shortened by Wolf Lammen, 23-Jun-2022.) $)
  simpl2 $p |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ps ) $=
    ( simpl 3ad2antl2 ) BADBCBDEF $.

  $( Simplification of conjunction.  (Contributed by Jeff Hankins,
     17-Nov-2009.)  (Proof shortened by Wolf Lammen, 23-Jun-2022.) $)
  simpl3 $p |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ch ) $=
    ( simpl 3ad2antl3 ) CADCBCDEF $.

  $( Simplification of conjunction.  (Contributed by Jeff Hankins,
     17-Nov-2009.)  (Proof shortened by Wolf Lammen, 23-Jun-2022.) $)
  simpr1 $p |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ps ) $=
    ( simpr 3ad2antr1 ) ACBBDABEF $.

  $( Simplification of conjunction.  (Contributed by Jeff Hankins,
     17-Nov-2009.)  (Proof shortened by Wolf Lammen, 23-Jun-2022.) $)
  simpr2 $p |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ch ) $=
    ( simpr 3ad2antr2 ) ABCCDACEF $.

  $( Simplification of conjunction.  (Contributed by Jeff Hankins,
     17-Nov-2009.)  (Proof shortened by Wolf Lammen, 23-Jun-2022.) $)
  simpr3 $p |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> th ) $=
    ( simpr 3ad2antr3 ) ABDDCADEF $.

  $( Simplification of triple conjunction.  (Contributed by NM, 9-Nov-2011.) $)
  simp1l $p |- ( ( ( ph /\ ps ) /\ ch /\ th ) -> ph ) $=
    ( wa simpl 3ad2ant1 ) ABECADABFG $.

  $( Simplification of triple conjunction.  (Contributed by NM, 9-Nov-2011.) $)
  simp1r $p |- ( ( ( ph /\ ps ) /\ ch /\ th ) -> ps ) $=
    ( wa simpr 3ad2ant1 ) ABECBDABFG $.

  $( Simplification of triple conjunction.  (Contributed by NM, 9-Nov-2011.) $)
  simp2l $p |- ( ( ph /\ ( ps /\ ch ) /\ th ) -> ps ) $=
    ( wa simpl 3ad2ant2 ) BCEABDBCFG $.

  $( Simplification of triple conjunction.  (Contributed by NM, 9-Nov-2011.) $)
  simp2r $p |- ( ( ph /\ ( ps /\ ch ) /\ th ) -> ch ) $=
    ( wa simpr 3ad2ant2 ) BCEACDBCFG $.

  $( Simplification of triple conjunction.  (Contributed by NM, 9-Nov-2011.) $)
  simp3l $p |- ( ( ph /\ ps /\ ( ch /\ th ) ) -> ch ) $=
    ( wa simpl 3ad2ant3 ) CDEACBCDFG $.

  $( Simplification of triple conjunction.  (Contributed by NM, 9-Nov-2011.) $)
  simp3r $p |- ( ( ph /\ ps /\ ( ch /\ th ) ) -> th ) $=
    ( wa simpr 3ad2ant3 ) CDEADBCDFG $.

  $( Simplification of doubly triple conjunction.  (Contributed by NM,
     17-Nov-2011.) $)
  simp11 $p |- ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) -> ph ) $=
    ( w3a simp1 3ad2ant1 ) ABCFDAEABCGH $.

  $( Simplification of doubly triple conjunction.  (Contributed by NM,
     17-Nov-2011.) $)
  simp12 $p |- ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) -> ps ) $=
    ( w3a simp2 3ad2ant1 ) ABCFDBEABCGH $.

  $( Simplification of doubly triple conjunction.  (Contributed by NM,
     17-Nov-2011.) $)
  simp13 $p |- ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) -> ch ) $=
    ( w3a simp3 3ad2ant1 ) ABCFDCEABCGH $.

  $( Simplification of doubly triple conjunction.  (Contributed by NM,
     17-Nov-2011.) $)
  simp21 $p |- ( ( ph /\ ( ps /\ ch /\ th ) /\ ta ) -> ps ) $=
    ( w3a simp1 3ad2ant2 ) BCDFABEBCDGH $.

  $( Simplification of doubly triple conjunction.  (Contributed by NM,
     17-Nov-2011.) $)
  simp22 $p |- ( ( ph /\ ( ps /\ ch /\ th ) /\ ta ) -> ch ) $=
    ( w3a simp2 3ad2ant2 ) BCDFACEBCDGH $.

  $( Simplification of doubly triple conjunction.  (Contributed by NM,
     17-Nov-2011.) $)
  simp23 $p |- ( ( ph /\ ( ps /\ ch /\ th ) /\ ta ) -> th ) $=
    ( w3a simp3 3ad2ant2 ) BCDFADEBCDGH $.

  $( Simplification of doubly triple conjunction.  (Contributed by NM,
     17-Nov-2011.) $)
  simp31 $p |- ( ( ph /\ ps /\ ( ch /\ th /\ ta ) ) -> ch ) $=
    ( w3a simp1 3ad2ant3 ) CDEFACBCDEGH $.

  $( Simplification of doubly triple conjunction.  (Contributed by NM,
     17-Nov-2011.) $)
  simp32 $p |- ( ( ph /\ ps /\ ( ch /\ th /\ ta ) ) -> th ) $=
    ( w3a simp2 3ad2ant3 ) CDEFADBCDEGH $.

  $( Simplification of doubly triple conjunction.  (Contributed by NM,
     17-Nov-2011.) $)
  simp33 $p |- ( ( ph /\ ps /\ ( ch /\ th /\ ta ) ) -> ta ) $=
    ( w3a simp3 3ad2ant3 ) CDEFAEBCDEGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simpll1 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th ) /\ ta ) -> ph ) $=
    ( w3a simp1 ad2antrr ) ABCFADEABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simpll2 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th ) /\ ta ) -> ps ) $=
    ( w3a simp2 ad2antrr ) ABCFBDEABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simpll3 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th ) /\ ta ) -> ch ) $=
    ( w3a simp3 ad2antrr ) ABCFCDEABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simplr1 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) ) /\ ta ) -> ph ) $=
    ( w3a simp1 ad2antlr ) ABCFADEABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simplr2 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) ) /\ ta ) -> ps ) $=
    ( w3a simp2 ad2antlr ) ABCFBDEABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simplr3 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) ) /\ ta ) -> ch ) $=
    ( w3a simp3 ad2antlr ) ABCFCDEABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simprl1 $p |- ( ( ta /\ ( ( ph /\ ps /\ ch ) /\ th ) ) -> ph ) $=
    ( w3a simp1 ad2antrl ) ABCFAEDABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simprl2 $p |- ( ( ta /\ ( ( ph /\ ps /\ ch ) /\ th ) ) -> ps ) $=
    ( w3a simp2 ad2antrl ) ABCFBEDABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simprl3 $p |- ( ( ta /\ ( ( ph /\ ps /\ ch ) /\ th ) ) -> ch ) $=
    ( w3a simp3 ad2antrl ) ABCFCEDABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simprr1 $p |- ( ( ta /\ ( th /\ ( ph /\ ps /\ ch ) ) ) -> ph ) $=
    ( w3a simp1 ad2antll ) ABCFAEDABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simprr2 $p |- ( ( ta /\ ( th /\ ( ph /\ ps /\ ch ) ) ) -> ps ) $=
    ( w3a simp2 ad2antll ) ABCFBEDABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simprr3 $p |- ( ( ta /\ ( th /\ ( ph /\ ps /\ ch ) ) ) -> ch ) $=
    ( w3a simp3 ad2antll ) ABCFCEDABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simpl1l $p |- ( ( ( ( ph /\ ps ) /\ ch /\ th ) /\ ta ) -> ph ) $=
    ( wa simpll 3ad2antl1 ) ABFCEADABEGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simpl1r $p |- ( ( ( ( ph /\ ps ) /\ ch /\ th ) /\ ta ) -> ps ) $=
    ( wa simplr 3ad2antl1 ) ABFCEBDABEGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simpl2l $p |- ( ( ( ch /\ ( ph /\ ps ) /\ th ) /\ ta ) -> ph ) $=
    ( wa simpll 3ad2antl2 ) ABFCEADABEGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simpl2r $p |- ( ( ( ch /\ ( ph /\ ps ) /\ th ) /\ ta ) -> ps ) $=
    ( wa simplr 3ad2antl2 ) ABFCEBDABEGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simpl3l $p |- ( ( ( ch /\ th /\ ( ph /\ ps ) ) /\ ta ) -> ph ) $=
    ( wa simpll 3ad2antl3 ) ABFCEADABEGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 23-Jun-2022.) $)
  simpl3r $p |- ( ( ( ch /\ th /\ ( ph /\ ps ) ) /\ ta ) -> ps ) $=
    ( wa simplr 3ad2antl3 ) ABFCEBDABEGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpr1l $p |- ( ( ta /\ ( ( ph /\ ps ) /\ ch /\ th ) ) -> ph ) $=
    ( wa simprl 3ad2antr1 ) ECABFADEABGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpr1r $p |- ( ( ta /\ ( ( ph /\ ps ) /\ ch /\ th ) ) -> ps ) $=
    ( wa simprr 3ad2antr1 ) ECABFBDEABGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpr2l $p |- ( ( ta /\ ( ch /\ ( ph /\ ps ) /\ th ) ) -> ph ) $=
    ( wa simprl 3ad2antr2 ) ECABFADEABGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpr2r $p |- ( ( ta /\ ( ch /\ ( ph /\ ps ) /\ th ) ) -> ps ) $=
    ( wa simprr 3ad2antr2 ) ECABFBDEABGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpr3l $p |- ( ( ta /\ ( ch /\ th /\ ( ph /\ ps ) ) ) -> ph ) $=
    ( wa simprl 3ad2antr3 ) ECABFADEABGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpr3r $p |- ( ( ta /\ ( ch /\ th /\ ( ph /\ ps ) ) ) -> ps ) $=
    ( wa simprr 3ad2antr3 ) ECABFBDEABGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp1ll $p |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th /\ ta ) -> ph ) $=
    ( wa simpll 3ad2ant1 ) ABFCFDAEABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp1lr $p |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th /\ ta ) -> ps ) $=
    ( wa simplr 3ad2ant1 ) ABFCFDBEABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp1rl $p |- ( ( ( ch /\ ( ph /\ ps ) ) /\ th /\ ta ) -> ph ) $=
    ( wa simprl 3ad2ant1 ) CABFFDAECABGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp1rr $p |- ( ( ( ch /\ ( ph /\ ps ) ) /\ th /\ ta ) -> ps ) $=
    ( wa simprr 3ad2ant1 ) CABFFDBECABGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp2ll $p |- ( ( th /\ ( ( ph /\ ps ) /\ ch ) /\ ta ) -> ph ) $=
    ( wa simpll 3ad2ant2 ) ABFCFDAEABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp2lr $p |- ( ( th /\ ( ( ph /\ ps ) /\ ch ) /\ ta ) -> ps ) $=
    ( wa simplr 3ad2ant2 ) ABFCFDBEABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp2rl $p |- ( ( th /\ ( ch /\ ( ph /\ ps ) ) /\ ta ) -> ph ) $=
    ( wa simprl 3ad2ant2 ) CABFFDAECABGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp2rr $p |- ( ( th /\ ( ch /\ ( ph /\ ps ) ) /\ ta ) -> ps ) $=
    ( wa simprr 3ad2ant2 ) CABFFDBECABGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp3ll $p |- ( ( th /\ ta /\ ( ( ph /\ ps ) /\ ch ) ) -> ph ) $=
    ( wa simpll 3ad2ant3 ) ABFCFDAEABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp3lr $p |- ( ( th /\ ta /\ ( ( ph /\ ps ) /\ ch ) ) -> ps ) $=
    ( wa simplr 3ad2ant3 ) ABFCFDBEABCGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp3rl $p |- ( ( th /\ ta /\ ( ch /\ ( ph /\ ps ) ) ) -> ph ) $=
    ( wa simprl 3ad2ant3 ) CABFFDAECABGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp3rr $p |- ( ( th /\ ta /\ ( ch /\ ( ph /\ ps ) ) ) -> ps ) $=
    ( wa simprr 3ad2ant3 ) CABFFDBECABGH $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpl11 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ et ) -> ph ) $=
    ( w3a simpl1 3ad2antl1 ) ABCGDFAEABCFHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpl12 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ et ) -> ps ) $=
    ( w3a simpl2 3ad2antl1 ) ABCGDFBEABCFHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpl13 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ et ) -> ch ) $=
    ( w3a simpl3 3ad2antl1 ) ABCGDFCEABCFHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpl21 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ et ) -> ph ) $=
    ( w3a simpl1 3ad2antl2 ) ABCGDFAEABCFHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpl22 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ et ) -> ps ) $=
    ( w3a simpl2 3ad2antl2 ) ABCGDFBEABCFHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpl23 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ et ) -> ch ) $=
    ( w3a simpl3 3ad2antl2 ) ABCGDFCEABCFHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpl31 $p |- ( ( ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ et ) -> ph ) $=
    ( w3a simpl1 3ad2antl3 ) ABCGDFAEABCFHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpl32 $p |- ( ( ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ et ) -> ps ) $=
    ( w3a simpl2 3ad2antl3 ) ABCGDFBEABCFHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpl33 $p |- ( ( ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ et ) -> ch ) $=
    ( w3a simpl3 3ad2antl3 ) ABCGDFCEABCFHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpr11 $p |- ( ( et /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) ) -> ph ) $=
    ( w3a simpr1 3ad2antr1 ) FDABCGAEFABCHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpr12 $p |- ( ( et /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) ) -> ps ) $=
    ( w3a simpr2 3ad2antr1 ) FDABCGBEFABCHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpr13 $p |- ( ( et /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) ) -> ch ) $=
    ( w3a simpr3 3ad2antr1 ) FDABCGCEFABCHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpr21 $p |- ( ( et /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) ) -> ph ) $=
    ( w3a simpr1 3ad2antr2 ) FDABCGAEFABCHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpr22 $p |- ( ( et /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) ) -> ps ) $=
    ( w3a simpr2 3ad2antr2 ) FDABCGBEFABCHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpr23 $p |- ( ( et /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) ) -> ch ) $=
    ( w3a simpr3 3ad2antr2 ) FDABCGCEFABCHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpr31 $p |- ( ( et /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) ) -> ph ) $=
    ( w3a simpr1 3ad2antr3 ) FDABCGAEFABCHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpr32 $p |- ( ( et /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) ) -> ps ) $=
    ( w3a simpr2 3ad2antr3 ) FDABCGBEFABCHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.)  (Proof
     shortened by Wolf Lammen, 24-Jun-2022.) $)
  simpr33 $p |- ( ( et /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) ) -> ch ) $=
    ( w3a simpr3 3ad2antr3 ) FDABCGCEFABCHI $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp1l1 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th ) /\ ta /\ et ) -> ph ) $=
    ( w3a wa simpl1 3ad2ant1 ) ABCGDHEAFABCDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp1l2 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th ) /\ ta /\ et ) -> ps ) $=
    ( w3a wa simpl2 3ad2ant1 ) ABCGDHEBFABCDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp1l3 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th ) /\ ta /\ et ) -> ch ) $=
    ( w3a wa simpl3 3ad2ant1 ) ABCGDHECFABCDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp1r1 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) ) /\ ta /\ et ) -> ph ) $=
    ( w3a wa simpr1 3ad2ant1 ) DABCGHEAFDABCIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp1r2 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) ) /\ ta /\ et ) -> ps ) $=
    ( w3a wa simpr2 3ad2ant1 ) DABCGHEBFDABCIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp1r3 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) ) /\ ta /\ et ) -> ch ) $=
    ( w3a wa simpr3 3ad2ant1 ) DABCGHECFDABCIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp2l1 $p |- ( ( ta /\ ( ( ph /\ ps /\ ch ) /\ th ) /\ et ) -> ph ) $=
    ( w3a wa simpl1 3ad2ant2 ) ABCGDHEAFABCDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp2l2 $p |- ( ( ta /\ ( ( ph /\ ps /\ ch ) /\ th ) /\ et ) -> ps ) $=
    ( w3a wa simpl2 3ad2ant2 ) ABCGDHEBFABCDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp2l3 $p |- ( ( ta /\ ( ( ph /\ ps /\ ch ) /\ th ) /\ et ) -> ch ) $=
    ( w3a wa simpl3 3ad2ant2 ) ABCGDHECFABCDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp2r1 $p |- ( ( ta /\ ( th /\ ( ph /\ ps /\ ch ) ) /\ et ) -> ph ) $=
    ( w3a wa simpr1 3ad2ant2 ) DABCGHEAFDABCIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp2r2 $p |- ( ( ta /\ ( th /\ ( ph /\ ps /\ ch ) ) /\ et ) -> ps ) $=
    ( w3a wa simpr2 3ad2ant2 ) DABCGHEBFDABCIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp2r3 $p |- ( ( ta /\ ( th /\ ( ph /\ ps /\ ch ) ) /\ et ) -> ch ) $=
    ( w3a wa simpr3 3ad2ant2 ) DABCGHECFDABCIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp3l1 $p |- ( ( ta /\ et /\ ( ( ph /\ ps /\ ch ) /\ th ) ) -> ph ) $=
    ( w3a wa simpl1 3ad2ant3 ) ABCGDHEAFABCDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp3l2 $p |- ( ( ta /\ et /\ ( ( ph /\ ps /\ ch ) /\ th ) ) -> ps ) $=
    ( w3a wa simpl2 3ad2ant3 ) ABCGDHEBFABCDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp3l3 $p |- ( ( ta /\ et /\ ( ( ph /\ ps /\ ch ) /\ th ) ) -> ch ) $=
    ( w3a wa simpl3 3ad2ant3 ) ABCGDHECFABCDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp3r1 $p |- ( ( ta /\ et /\ ( th /\ ( ph /\ ps /\ ch ) ) ) -> ph ) $=
    ( w3a wa simpr1 3ad2ant3 ) DABCGHEAFDABCIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp3r2 $p |- ( ( ta /\ et /\ ( th /\ ( ph /\ ps /\ ch ) ) ) -> ps ) $=
    ( w3a wa simpr2 3ad2ant3 ) DABCGHEBFDABCIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp3r3 $p |- ( ( ta /\ et /\ ( th /\ ( ph /\ ps /\ ch ) ) ) -> ch ) $=
    ( w3a wa simpr3 3ad2ant3 ) DABCGHECFDABCIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp11l $p |- ( ( ( ( ph /\ ps ) /\ ch /\ th ) /\ ta /\ et ) -> ph ) $=
    ( wa w3a simp1l 3ad2ant1 ) ABGCDHEAFABCDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp11r $p |- ( ( ( ( ph /\ ps ) /\ ch /\ th ) /\ ta /\ et ) -> ps ) $=
    ( wa w3a simp1r 3ad2ant1 ) ABGCDHEBFABCDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp12l $p |- ( ( ( ch /\ ( ph /\ ps ) /\ th ) /\ ta /\ et ) -> ph ) $=
    ( wa w3a simp2l 3ad2ant1 ) CABGDHEAFCABDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp12r $p |- ( ( ( ch /\ ( ph /\ ps ) /\ th ) /\ ta /\ et ) -> ps ) $=
    ( wa w3a simp2r 3ad2ant1 ) CABGDHEBFCABDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp13l $p |- ( ( ( ch /\ th /\ ( ph /\ ps ) ) /\ ta /\ et ) -> ph ) $=
    ( wa w3a simp3l 3ad2ant1 ) CDABGHEAFCDABIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp13r $p |- ( ( ( ch /\ th /\ ( ph /\ ps ) ) /\ ta /\ et ) -> ps ) $=
    ( wa w3a simp3r 3ad2ant1 ) CDABGHEBFCDABIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp21l $p |- ( ( ta /\ ( ( ph /\ ps ) /\ ch /\ th ) /\ et ) -> ph ) $=
    ( wa w3a simp1l 3ad2ant2 ) ABGCDHEAFABCDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp21r $p |- ( ( ta /\ ( ( ph /\ ps ) /\ ch /\ th ) /\ et ) -> ps ) $=
    ( wa w3a simp1r 3ad2ant2 ) ABGCDHEBFABCDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp22l $p |- ( ( ta /\ ( ch /\ ( ph /\ ps ) /\ th ) /\ et ) -> ph ) $=
    ( wa w3a simp2l 3ad2ant2 ) CABGDHEAFCABDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp22r $p |- ( ( ta /\ ( ch /\ ( ph /\ ps ) /\ th ) /\ et ) -> ps ) $=
    ( wa w3a simp2r 3ad2ant2 ) CABGDHEBFCABDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp23l $p |- ( ( ta /\ ( ch /\ th /\ ( ph /\ ps ) ) /\ et ) -> ph ) $=
    ( wa w3a simp3l 3ad2ant2 ) CDABGHEAFCDABIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp23r $p |- ( ( ta /\ ( ch /\ th /\ ( ph /\ ps ) ) /\ et ) -> ps ) $=
    ( wa w3a simp3r 3ad2ant2 ) CDABGHEBFCDABIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp31l $p |- ( ( ta /\ et /\ ( ( ph /\ ps ) /\ ch /\ th ) ) -> ph ) $=
    ( wa w3a simp1l 3ad2ant3 ) ABGCDHEAFABCDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp31r $p |- ( ( ta /\ et /\ ( ( ph /\ ps ) /\ ch /\ th ) ) -> ps ) $=
    ( wa w3a simp1r 3ad2ant3 ) ABGCDHEBFABCDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp32l $p |- ( ( ta /\ et /\ ( ch /\ ( ph /\ ps ) /\ th ) ) -> ph ) $=
    ( wa w3a simp2l 3ad2ant3 ) CABGDHEAFCABDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp32r $p |- ( ( ta /\ et /\ ( ch /\ ( ph /\ ps ) /\ th ) ) -> ps ) $=
    ( wa w3a simp2r 3ad2ant3 ) CABGDHEBFCABDIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp33l $p |- ( ( ta /\ et /\ ( ch /\ th /\ ( ph /\ ps ) ) ) -> ph ) $=
    ( wa w3a simp3l 3ad2ant3 ) CDABGHEAFCDABIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp33r $p |- ( ( ta /\ et /\ ( ch /\ th /\ ( ph /\ ps ) ) ) -> ps ) $=
    ( wa w3a simp3r 3ad2ant3 ) CDABGHEBFCDABIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp111 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ et /\ ze ) -> ph ) $=
    ( w3a simp11 3ad2ant1 ) ABCHDEHFAGABCDEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp112 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ et /\ ze ) -> ps ) $=
    ( w3a simp12 3ad2ant1 ) ABCHDEHFBGABCDEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp113 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ et /\ ze ) -> ch ) $=
    ( w3a simp13 3ad2ant1 ) ABCHDEHFCGABCDEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp121 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ et /\ ze ) -> ph ) $=
    ( w3a simp21 3ad2ant1 ) DABCHEHFAGDABCEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp122 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ et /\ ze ) -> ps ) $=
    ( w3a simp22 3ad2ant1 ) DABCHEHFBGDABCEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp123 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ et /\ ze ) -> ch ) $=
    ( w3a simp23 3ad2ant1 ) DABCHEHFCGDABCEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp131 $p |- ( ( ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ et /\ ze ) -> ph ) $=
    ( w3a simp31 3ad2ant1 ) DEABCHHFAGDEABCIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp132 $p |- ( ( ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ et /\ ze ) -> ps ) $=
    ( w3a simp32 3ad2ant1 ) DEABCHHFBGDEABCIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp133 $p |- ( ( ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ et /\ ze ) -> ch ) $=
    ( w3a simp33 3ad2ant1 ) DEABCHHFCGDEABCIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp211 $p |- ( ( et /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ ze ) -> ph ) $=
    ( w3a simp11 3ad2ant2 ) ABCHDEHFAGABCDEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp212 $p |- ( ( et /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ ze ) -> ps ) $=
    ( w3a simp12 3ad2ant2 ) ABCHDEHFBGABCDEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp213 $p |- ( ( et /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ ze ) -> ch ) $=
    ( w3a simp13 3ad2ant2 ) ABCHDEHFCGABCDEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp221 $p |- ( ( et /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ ze ) -> ph ) $=
    ( w3a simp21 3ad2ant2 ) DABCHEHFAGDABCEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp222 $p |- ( ( et /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ ze ) -> ps ) $=
    ( w3a simp22 3ad2ant2 ) DABCHEHFBGDABCEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp223 $p |- ( ( et /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ ze ) -> ch ) $=
    ( w3a simp23 3ad2ant2 ) DABCHEHFCGDABCEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp231 $p |- ( ( et /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ ze ) -> ph ) $=
    ( w3a simp31 3ad2ant2 ) DEABCHHFAGDEABCIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp232 $p |- ( ( et /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ ze ) -> ps ) $=
    ( w3a simp32 3ad2ant2 ) DEABCHHFBGDEABCIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp233 $p |- ( ( et /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ ze ) -> ch ) $=
    ( w3a simp33 3ad2ant2 ) DEABCHHFCGDEABCIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp311 $p |- ( ( et /\ ze /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) ) -> ph ) $=
    ( w3a simp11 3ad2ant3 ) ABCHDEHFAGABCDEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp312 $p |- ( ( et /\ ze /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) ) -> ps ) $=
    ( w3a simp12 3ad2ant3 ) ABCHDEHFBGABCDEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp313 $p |- ( ( et /\ ze /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) ) -> ch ) $=
    ( w3a simp13 3ad2ant3 ) ABCHDEHFCGABCDEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp321 $p |- ( ( et /\ ze /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) ) -> ph ) $=
    ( w3a simp21 3ad2ant3 ) DABCHEHFAGDABCEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp322 $p |- ( ( et /\ ze /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) ) -> ps ) $=
    ( w3a simp22 3ad2ant3 ) DABCHEHFBGDABCEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp323 $p |- ( ( et /\ ze /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) ) -> ch ) $=
    ( w3a simp23 3ad2ant3 ) DABCHEHFCGDABCEIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp331 $p |- ( ( et /\ ze /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) ) -> ph ) $=
    ( w3a simp31 3ad2ant3 ) DEABCHHFAGDEABCIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp332 $p |- ( ( et /\ ze /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) ) -> ps ) $=
    ( w3a simp32 3ad2ant3 ) DEABCHHFBGDEABCIJ $.

  $( Simplification of conjunction.  (Contributed by NM, 9-Mar-2012.) $)
  simp333 $p |- ( ( et /\ ze /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) ) -> ch ) $=
    ( w3a simp33 3ad2ant3 ) DEABCHHFCGDEABCIJ $.

  ${
    3anibar.1 $e |- ( ( ph /\ ps /\ ch ) -> ( th <-> ( ch /\ ta ) ) ) $.
    $( Remove a hypothesis from the second member of a biconditional.
       (Contributed by FL, 22-Jul-2008.) $)
    3anibar $p |- ( ( ph /\ ps /\ ch ) -> ( th <-> ta ) ) $=
      ( w3a simp3 mpbirand ) ABCGDCEABCHFI $.
  $}

  $( Introduction in triple disjunction.  (Contributed by NM, 4-Apr-1995.) $)
  3mix1 $p |- ( ph -> ( ph \/ ps \/ ch ) ) $=
    ( wo w3o orc 3orass sylibr ) AABCDZDABCEAIFABCGH $.

  $( Introduction in triple disjunction.  (Contributed by NM, 4-Apr-1995.) $)
  3mix2 $p |- ( ph -> ( ps \/ ph \/ ch ) ) $=
    ( w3o 3mix1 3orrot sylibr ) AACBDBACDACBEBACFG $.

  $( Introduction in triple disjunction.  (Contributed by NM, 4-Apr-1995.) $)
  3mix3 $p |- ( ph -> ( ps \/ ch \/ ph ) ) $=
    ( w3o 3mix1 3orrot sylib ) AABCDBCADABCEABCFG $.

  ${
    3mixi.1 $e |- ph $.
    $( Introduction in triple disjunction.  (Contributed by Mario Carneiro,
       6-Oct-2014.) $)
    3mix1i $p |- ( ph \/ ps \/ ch ) $=
      ( w3o 3mix1 ax-mp ) AABCEDABCFG $.

    $( Introduction in triple disjunction.  (Contributed by Mario Carneiro,
       6-Oct-2014.) $)
    3mix2i $p |- ( ps \/ ph \/ ch ) $=
      ( w3o 3mix2 ax-mp ) ABACEDABCFG $.

    $( Introduction in triple disjunction.  (Contributed by Mario Carneiro,
       6-Oct-2014.) $)
    3mix3i $p |- ( ps \/ ch \/ ph ) $=
      ( w3o 3mix3 ax-mp ) ABCAEDABCFG $.
  $}

  ${
    3mixd.1 $e |- ( ph -> ps ) $.
    $( Deduction introducing triple disjunction.  (Contributed by Scott Fenton,
       8-Jun-2011.) $)
    3mix1d $p |- ( ph -> ( ps \/ ch \/ th ) ) $=
      ( w3o 3mix1 syl ) ABBCDFEBCDGH $.

    $( Deduction introducing triple disjunction.  (Contributed by Scott Fenton,
       8-Jun-2011.) $)
    3mix2d $p |- ( ph -> ( ch \/ ps \/ th ) ) $=
      ( w3o 3mix2 syl ) ABCBDFEBCDGH $.

    $( Deduction introducing triple disjunction.  (Contributed by Scott Fenton,
       8-Jun-2011.) $)
    3mix3d $p |- ( ph -> ( ch \/ th \/ ps ) ) $=
      ( w3o 3mix3 syl ) ABCDBFEBCDGH $.
  $}

  ${
    3pm3.2i.1 $e |- ph $.
    3pm3.2i.2 $e |- ps $.
    3pm3.2i.3 $e |- ch $.
    $( Infer conjunction of premises.  (Contributed by NM, 10-Feb-1995.) $)
    3pm3.2i $p |- ( ph /\ ps /\ ch ) $=
      ( w3a wa pm3.2i df-3an mpbir2an ) ABCGABHCABDEIFABCJK $.
  $}

  $( Version of ~ pm3.2 for a triple conjunction.  (Contributed by Alan Sare,
     24-Oct-2011.)  (Proof shortened by Kyle Wyonch, 24-Apr-2021.)  (Proof
     shortened by Wolf Lammen, 21-Jun-2022.) $)
  pm3.2an3 $p |- ( ph -> ( ps -> ( ch -> ( ph /\ ps /\ ch ) ) ) ) $=
    ( w3a id 3exp ) ABCABCDZGEF $.

  ${
    mpbir3an.1 $e |- ps $.
    mpbir3an.2 $e |- ch $.
    mpbir3an.3 $e |- th $.
    mpbir3an.4 $e |- ( ph <-> ( ps /\ ch /\ th ) ) $.
    $( Detach a conjunction of truths in a biconditional.  (Contributed by NM,
       16-Sep-2011.) $)
    mpbir3an $p |- ph $=
      ( w3a 3pm3.2i mpbir ) ABCDIBCDEFGJHK $.
  $}

  ${
    mpbir3and.1 $e |- ( ph -> ch ) $.
    mpbir3and.2 $e |- ( ph -> th ) $.
    mpbir3and.3 $e |- ( ph -> ta ) $.
    mpbir3and.4 $e |- ( ph -> ( ps <-> ( ch /\ th /\ ta ) ) ) $.
    $( Detach a conjunction of truths in a biconditional.  (Contributed by
       Mario Carneiro, 11-May-2014.)  (Revised by Mario Carneiro,
       9-Jan-2015.) $)
    mpbir3and $p |- ( ph -> ps ) $=
      ( w3a 3jca mpbird ) ABCDEJACDEFGHKIL $.
  $}

  ${
    syl3anbrc.1 $e |- ( ph -> ps ) $.
    syl3anbrc.2 $e |- ( ph -> ch ) $.
    syl3anbrc.3 $e |- ( ph -> th ) $.
    syl3anbrc.4 $e |- ( ta <-> ( ps /\ ch /\ th ) ) $.
    $( Syllogism inference.  (Contributed by Mario Carneiro, 11-May-2014.) $)
    syl3anbrc $p |- ( ph -> ta ) $=
      ( w3a 3jca sylibr ) ABCDJEABCDFGHKIL $.
  $}

  ${
    syl21anbrc.1 $e |- ( ph -> ps ) $.
    syl21anbrc.2 $e |- ( ph -> ch ) $.
    syl21anbrc.3 $e |- ( ph -> th ) $.
    syl21anbrc.4 $e |- ( ta <-> ( ( ps /\ ch ) /\ th ) ) $.
    $( Syllogism inference.  (Contributed by Peter Mazsa, 18-Sep-2022.) $)
    syl21anbrc $p |- ( ph -> ta ) $=
      ( wa jca31 sylibr ) ABCJDJEABCDFGHKIL $.
  $}

  ${
    3imp3i2an.1 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    3imp3i2an.2 $e |- ( ( ph /\ ch ) -> ta ) $.
    3imp3i2an.3 $e |- ( ( th /\ ta ) -> et ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 17-Oct-2017.)
       (Proof shortened by Wolf Lammen, 13-Apr-2022.) $)
    3imp3i2an $p |- ( ( ph /\ ps /\ ch ) -> et ) $=
      ( w3a 3adant2 syl2anc ) ABCJDEFGACEBHKIL $.
  $}

  ${
    ex3.1 $e |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ta ) $.
    $( Apply ~ ex to a hypothesis with a 3-right-nested conjunction antecedent,
       with the antecedent of the assertion being a triple conjunction rather
       than a 2-right-nested conjunction.  (Contributed by Alan Sare,
       22-Apr-2018.) $)
    ex3 $p |- ( ( ph /\ ps /\ ch ) -> ( th -> ta ) ) $=
      ( wi wa ex 3impa ) ABCDEGABHCHDEFIJ $.
  $}

  ${
    3imp1.1 $e |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $.
    $( Importation to left triple conjunction.  (Contributed by NM,
       24-Feb-2005.) $)
    3imp1 $p |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $=
      ( w3a wi 3imp imp ) ABCGDEABCDEHFIJ $.

    $( Importation deduction for triple conjunction.  (Contributed by NM,
       26-Oct-2006.) $)
    3impd $p |- ( ph -> ( ( ps /\ ch /\ th ) -> ta ) ) $=
      ( w3a wi com4l 3imp com12 ) BCDGAEBCDAEHABCDEFIJK $.

    $( Importation to right triple conjunction.  (Contributed by NM,
       26-Oct-2006.) $)
    3imp2 $p |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $=
      ( w3a 3impd imp ) ABCDGEABCDEFHI $.
  $}

  ${
    3impdi.1 $e |- ( ( ( ph /\ ps ) /\ ( ph /\ ch ) ) -> th ) $.
    $( Importation inference (undistribute conjunction).  (Contributed by NM,
       14-Aug-1995.) $)
    3impdi $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( anandis 3impb ) ABCDABCDEFG $.
  $}

  ${
    3impdir.1 $e |- ( ( ( ph /\ ps ) /\ ( ch /\ ps ) ) -> th ) $.
    $( Importation inference (undistribute conjunction).  (Contributed by NM,
       20-Aug-1995.) $)
    3impdir $p |- ( ( ph /\ ch /\ ps ) -> th ) $=
      ( anandirs 3impa ) ACBDACBDEFG $.
  $}

  ${
    3exp1.1 $e |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $.
    $( Exportation from left triple conjunction.  (Contributed by NM,
       24-Feb-2005.) $)
    3exp1 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi w3a ex 3exp ) ABCDEGABCHDEFIJ $.
  $}

  ${
    3expd.1 $e |- ( ph -> ( ( ps /\ ch /\ th ) -> ta ) ) $.
    $( Exportation deduction for triple conjunction.  (Contributed by NM,
       26-Oct-2006.) $)
    3expd $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi w3a com12 3exp com4r ) BCDAEBCDAEGABCDHEFIJK $.
  $}

  ${
    3exp2.1 $e |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $.
    $( Exportation from right triple conjunction.  (Contributed by NM,
       26-Oct-2006.) $)
    3exp2 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( w3a ex 3expd ) ABCDEABCDGEFHI $.
  $}

  ${
    exp5o.1 $e |- ( ( ph /\ ps /\ ch ) -> ( ( th /\ ta ) -> et ) ) $.
    $( A triple exportation inference.  (Contributed by Jeff Hankins,
       8-Jul-2009.) $)
    exp5o $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wi w3a expd 3exp ) ABCDEFHHABCIDEFGJK $.
  $}

  ${
    exp516.1 $e |- ( ( ( ph /\ ( ps /\ ch /\ th ) ) /\ ta ) -> et ) $.
    $( A triple exportation inference.  (Contributed by Jeff Hankins,
       8-Jul-2009.) $)
    exp516 $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wi w3a exp31 3expd ) ABCDEFHABCDIEFGJK $.
  $}

  ${
    exp520.1 $e |- ( ( ( ph /\ ps /\ ch ) /\ ( th /\ ta ) ) -> et ) $.
    $( A triple exportation inference.  (Contributed by Jeff Hankins,
       8-Jul-2009.) $)
    exp520 $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( w3a wa ex exp5o ) ABCDEFABCHDEIFGJK $.
  $}

  $( Version of ~ impexp for a triple conjunction.  (Contributed by Alan Sare,
     31-Dec-2011.) $)
  3impexp $p |- ( ( ( ph /\ ps /\ ch ) -> th ) <->
                ( ph -> ( ps -> ( ch -> th ) ) ) ) $=
    ( w3a wi id 3expd 3impd impbii ) ABCEDFZABCDFFFZKABCDKGHLABCDLGIJ $.

  ${
    3an1rs.1 $e |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $.
    $( Swap conjuncts.  (Contributed by NM, 16-Dec-2007.)  (Proof shortened by
       Wolf Lammen, 14-Apr-2022.) $)
    3an1rs $p |- ( ( ( ph /\ ps /\ th ) /\ ch ) -> ta ) $=
      ( 3exp1 com34 3imp1 ) ABDCEABCDEABCDEFGHI $.
  $}

  ${
    3anassrs.1 $e |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $.
    $( Associative law for conjunction applied to antecedent (eliminates
       syllogism).  (Contributed by Mario Carneiro, 4-Jan-2017.) $)
    3anassrs $p |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ta ) $=
      ( 3exp2 imp41 ) ABCDEABCDEFGH $.
  $}

  ${
    ad5ant.1 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 14-Apr-2022.) $)
    ad5ant245 $p |- ( ( ( ( ( ta /\ ph ) /\ et ) /\ ps ) /\ ch ) -> th ) $=
      ( wa 3adant1l ad4ant134 ) EAHBCDFABCDEGIJ $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 14-Apr-2022.) $)
    ad5ant234 $p |- ( ( ( ( ( ta /\ ph ) /\ ps ) /\ ch ) /\ et ) -> th ) $=
      ( wa ad4ant234 adantr ) EAHBHCHDFABCDEGIJ $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 14-Apr-2022.) $)
    ad5ant235 $p |- ( ( ( ( ( ta /\ ph ) /\ ps ) /\ et ) /\ ch ) -> th ) $=
      ( wa ad4ant234 adantlr ) EAHBHCDFABCDEGIJ $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 23-Jun-2022.) $)
    ad5ant123 $p |- ( ( ( ( ( ph /\ ps ) /\ ch ) /\ ta ) /\ et ) -> th ) $=
      ( wa 3expa ad2antrr ) ABHCHDEFABCDGIJ $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 23-Jun-2022.) $)
    ad5ant124 $p |- ( ( ( ( ( ph /\ ps ) /\ ta ) /\ ch ) /\ et ) -> th ) $=
      ( wa ad4ant124 adantr ) ABHEHCHDFABCDEGIJ $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 23-Jun-2022.) $)
    ad5ant125 $p |- ( ( ( ( ( ph /\ ps ) /\ ta ) /\ et ) /\ ch ) -> th ) $=
      ( wa wi 3expia 2a1d imp41 ) ABHZEFCDMCDIEFABCDGJKL $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 23-Jun-2022.) $)
    ad5ant134 $p |- ( ( ( ( ( ph /\ ta ) /\ ps ) /\ ch ) /\ et ) -> th ) $=
      ( wa ad4ant134 adantr ) AEHBHCHDFABCDEGIJ $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 23-Jun-2022.) $)
    ad5ant135 $p |- ( ( ( ( ( ph /\ ta ) /\ ps ) /\ et ) /\ ch ) -> th ) $=
      ( wa ad4ant134 adantlr ) AEHBHCDFABCDEGIJ $.

    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.)  (Proof shortened by Wolf Lammen, 23-Jun-2022.) $)
    ad5ant145 $p |- ( ( ( ( ( ph /\ ta ) /\ et ) /\ ps ) /\ ch ) -> th ) $=
      ( wa ad4ant134 adantllr ) AEHBCDFABCDEGIJ $.
  $}

  ${
    ad5ant2345.1 $e |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ta ) $.
    $( Deduction adding conjuncts to antecedent.  (Contributed by Alan Sare,
       17-Oct-2017.) $)
    ad5ant2345 $p |- ( ( ( ( ( et /\ ph ) /\ ps ) /\ ch ) /\ th ) -> ta ) $=
      ( wa wi exp41 adantl imp41 ) FAHBCDEABCDEIIIFABCDEGJKL $.
  $}

  ${
    syl3anc.1 $e |- ( ph -> ps ) $.
    syl3anc.2 $e |- ( ph -> ch ) $.
    syl3anc.3 $e |- ( ph -> th ) $.
    ${
      syl3anc.4 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl3anc $p |- ( ph -> ta ) $=
        ( w3a 3jca syl ) ABCDJEABCDFGHKIL $.
    $}

    syl3Xanc.4 $e |- ( ph -> ta ) $.
    ${
      syl13anc.5 $e |- ( ( ps /\ ( ch /\ th /\ ta ) ) -> et ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl13anc $p |- ( ph -> et ) $=
        ( w3a 3jca syl2anc ) ABCDELFGACDEHIJMKN $.
    $}

    ${
      syl31anc.5 $e |- ( ( ( ps /\ ch /\ th ) /\ ta ) -> et ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl31anc $p |- ( ph -> et ) $=
        ( w3a 3jca syl2anc ) ABCDLEFABCDGHIMJKN $.
    $}

    ${
      syl112anc.5 $e |- ( ( ps /\ ch /\ ( th /\ ta ) ) -> et ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl112anc $p |- ( ph -> et ) $=
        ( wa jca syl3anc ) ABCDELFGHADEIJMKN $.
    $}

    ${
      syl121anc.5 $e |- ( ( ps /\ ( ch /\ th ) /\ ta ) -> et ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl121anc $p |- ( ph -> et ) $=
        ( wa jca syl3anc ) ABCDLEFGACDHIMJKN $.
    $}

    ${
      syl211anc.5 $e |- ( ( ( ps /\ ch ) /\ th /\ ta ) -> et ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl211anc $p |- ( ph -> et ) $=
        ( wa jca syl3anc ) ABCLDEFABCGHMIJKN $.
    $}

    syl23anc.5 $e |- ( ph -> et ) $.
    ${
      syl23anc.6 $e |- ( ( ( ps /\ ch ) /\ ( th /\ ta /\ et ) ) -> ze ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl23anc $p |- ( ph -> ze ) $=
        ( wa jca syl13anc ) ABCNDEFGABCHIOJKLMP $.
    $}

    ${
      syl32anc.6 $e |- ( ( ( ps /\ ch /\ th ) /\ ( ta /\ et ) ) -> ze ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl32anc $p |- ( ph -> ze ) $=
        ( wa jca syl31anc ) ABCDEFNGHIJAEFKLOMP $.
    $}

    ${
      syl122anc.6 $e |- ( ( ps /\ ( ch /\ th ) /\ ( ta /\ et ) ) -> ze ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl122anc $p |- ( ph -> ze ) $=
        ( wa jca syl121anc ) ABCDEFNGHIJAEFKLOMP $.
    $}

    ${
      syl212anc.6 $e |- ( ( ( ps /\ ch ) /\ th /\ ( ta /\ et ) ) -> ze ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl212anc $p |- ( ph -> ze ) $=
        ( wa jca syl211anc ) ABCDEFNGHIJAEFKLOMP $.
    $}

    ${
      syl221anc.6 $e |- ( ( ( ps /\ ch ) /\ ( th /\ ta ) /\ et ) -> ze ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl221anc $p |- ( ph -> ze ) $=
        ( wa jca syl211anc ) ABCDENFGHIADEJKOLMP $.
    $}

    ${
      syl113anc.6 $e |- ( ( ps /\ ch /\ ( th /\ ta /\ et ) ) -> ze ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl113anc $p |- ( ph -> ze ) $=
        ( w3a 3jca syl3anc ) ABCDEFNGHIADEFJKLOMP $.
    $}

    ${
      syl131anc.6 $e |- ( ( ps /\ ( ch /\ th /\ ta ) /\ et ) -> ze ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl131anc $p |- ( ph -> ze ) $=
        ( w3a 3jca syl3anc ) ABCDENFGHACDEIJKOLMP $.
    $}

    ${
      syl311anc.6 $e |- ( ( ( ps /\ ch /\ th ) /\ ta /\ et ) -> ze ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl311anc $p |- ( ph -> ze ) $=
        ( w3a 3jca syl3anc ) ABCDNEFGABCDHIJOKLMP $.
    $}

    syl33anc.6 $e |- ( ph -> ze ) $.
    ${
      syl33anc.7 $e |- ( ( ( ps /\ ch /\ th ) /\ ( ta /\ et /\ ze ) )
           -> si ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl33anc $p |- ( ph -> si ) $=
        ( w3a 3jca syl13anc ) ABCDPEFGHABCDIJKQLMNOR $.
    $}

    ${
      syl222anc.7 $e |- ( ( ( ps /\ ch ) /\ ( th /\ ta ) /\ ( et /\ ze ) )
           -> si ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl222anc $p |- ( ph -> si ) $=
        ( wa jca syl221anc ) ABCDEFGPHIJKLAFGMNQOR $.
    $}

    ${
      syl123anc.7 $e |- ( ( ps /\ ( ch /\ th ) /\ ( ta /\ et /\ ze ) )
           -> si ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl123anc $p |- ( ph -> si ) $=
        ( wa jca syl113anc ) ABCDPEFGHIACDJKQLMNOR $.
    $}

    ${
      syl132anc.7 $e |- ( ( ps /\ ( ch /\ th /\ ta ) /\ ( et /\ ze ) )
           -> si ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Jul-2012.) $)
      syl132anc $p |- ( ph -> si ) $=
        ( wa jca syl131anc ) ABCDEFGPHIJKLAFGMNQOR $.
    $}

    ${
      syl213anc.7 $e |- ( ( ( ps /\ ch ) /\ th /\ ( ta /\ et /\ ze ) )
           -> si ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl213anc $p |- ( ph -> si ) $=
        ( wa jca syl113anc ) ABCPDEFGHABCIJQKLMNOR $.
    $}

    ${
      syl231anc.7 $e |- ( ( ( ps /\ ch ) /\ ( th /\ ta /\ et ) /\ ze )
           -> si ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl231anc $p |- ( ph -> si ) $=
        ( wa jca syl131anc ) ABCPDEFGHABCIJQKLMNOR $.
    $}

    ${
      syl312anc.7 $e |- ( ( ( ps /\ ch /\ th ) /\ ta /\ ( et /\ ze ) )
           -> si ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Jul-2012.) $)
      syl312anc $p |- ( ph -> si ) $=
        ( wa jca syl311anc ) ABCDEFGPHIJKLAFGMNQOR $.
    $}

    ${
      syl321anc.7 $e |- ( ( ( ps /\ ch /\ th ) /\ ( ta /\ et ) /\ ze )
           -> si ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Jul-2012.) $)
      syl321anc $p |- ( ph -> si ) $=
        ( wa jca syl311anc ) ABCDEFPGHIJKAEFLMQNOR $.
    $}

    syl133anc.7 $e |- ( ph -> si ) $.
    ${
      syl133anc.8 $e |- ( ( ps /\ ( ch /\ th /\ ta ) /\ ( et /\ ze /\ si ) )
           -> rh ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl133anc $p |- ( ph -> rh ) $=
        ( w3a 3jca syl131anc ) ABCDEFGHRIJKLMAFGHNOPSQT $.
    $}

    ${
      syl313anc.8 $e |- ( ( ( ps /\ ch /\ th ) /\ ta /\ ( et /\ ze /\ si ) )
           -> rh ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl313anc $p |- ( ph -> rh ) $=
        ( w3a 3jca syl311anc ) ABCDEFGHRIJKLMAFGHNOPSQT $.
    $}

    ${
      syl331anc.8 $e |- ( ( ( ps /\ ch /\ th ) /\ ( ta /\ et /\ ze ) /\ si )
           -> rh ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl331anc $p |- ( ph -> rh ) $=
        ( w3a 3jca syl311anc ) ABCDEFGRHIJKLAEFGMNOSPQT $.
    $}

    ${
      syl223anc.8 $e |- ( ( ( ps /\ ch ) /\ ( th /\ ta ) /\ ( et /\ ze /\ si )
          ) -> rh ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl223anc $p |- ( ph -> rh ) $=
        ( wa jca syl213anc ) ABCDERFGHIJKADELMSNOPQT $.
    $}

    ${
      syl232anc.8 $e |- ( ( ( ps /\ ch ) /\ ( th /\ ta /\ et ) /\ ( ze /\ si )
          ) -> rh ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl232anc $p |- ( ph -> rh ) $=
        ( wa jca syl231anc ) ABCDEFGHRIJKLMNAGHOPSQT $.
    $}

    ${
      syl322anc.8 $e |- ( ( ( ps /\ ch /\ th ) /\ ( ta /\ et ) /\ ( ze /\ si )
          ) -> rh ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl322anc $p |- ( ph -> rh ) $=
        ( wa jca syl321anc ) ABCDEFGHRIJKLMNAGHOPSQT $.
    $}

    syl233anc.8 $e |- ( ph -> rh ) $.
    ${
      syl233anc.9 $e |- ( ( ( ps /\ ch ) /\ ( th /\ ta /\ et ) /\ ( ze /\ si /\
          rh ) ) -> mu ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl233anc $p |- ( ph -> mu ) $=
        ( wa jca syl133anc ) ABCTDEFGHIJABCKLUAMNOPQRSUB $.
    $}

    ${
      syl323anc.9 $e |- ( ( ( ps /\ ch /\ th ) /\ ( ta /\ et ) /\ ( ze /\ si /\
          rh ) ) -> mu ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl323anc $p |- ( ph -> mu ) $=
        ( wa jca syl313anc ) ABCDEFTGHIJKLMAEFNOUAPQRSUB $.
    $}

    ${
      syl332anc.9 $e |- ( ( ( ps /\ ch /\ th ) /\ ( ta /\ et /\ ze ) /\ ( si /\
          rh ) ) -> mu ) $.
      $( Syllogism combined with contraction.  (Contributed by NM,
         11-Mar-2012.) $)
      syl332anc $p |- ( ph -> mu ) $=
        ( wa jca syl331anc ) ABCDEFGHITJKLMNOPAHIQRUASUB $.
    $}

    syl333anc.9 $e |- ( ph -> mu ) $.
    ${
      syl333anc.10 $e |- ( ( ( ps /\ ch /\ th ) /\ ( ta /\ et /\ ze )
          /\ ( si /\ rh /\ mu ) ) -> la ) $.
      $( A syllogism inference combined with contraction.  (Contributed by NM,
         10-Mar-2012.) $)
      syl333anc $p |- ( ph -> la ) $=
        ( w3a 3jca syl331anc ) ABCDEFGHIJUBKLMNOPQAHIJRSTUCUAUD $.
    $}
  $}

  ${
    syl3an1b.1 $e |- ( ph <-> ps ) $.
    syl3an1b.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference.  (Contributed by NM, 22-Aug-1995.) $)
    syl3an1b $p |- ( ( ph /\ ch /\ th ) -> ta ) $=
      ( biimpi syl3an1 ) ABCDEABFHGI $.
  $}

  ${
    syl3an2b.1 $e |- ( ph <-> ch ) $.
    syl3an2b.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference.  (Contributed by NM, 22-Aug-1995.) $)
    syl3an2b $p |- ( ( ps /\ ph /\ th ) -> ta ) $=
      ( biimpi syl3an2 ) ABCDEACFHGI $.
  $}

  ${
    syl3an3b.1 $e |- ( ph <-> th ) $.
    syl3an3b.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference.  (Contributed by NM, 22-Aug-1995.) $)
    syl3an3b $p |- ( ( ps /\ ch /\ ph ) -> ta ) $=
      ( biimpi syl3an3 ) ABCDEADFHGI $.
  $}

  ${
    syl3an1br.1 $e |- ( ps <-> ph ) $.
    syl3an1br.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference.  (Contributed by NM, 22-Aug-1995.) $)
    syl3an1br $p |- ( ( ph /\ ch /\ th ) -> ta ) $=
      ( biimpri syl3an1 ) ABCDEBAFHGI $.
  $}

  ${
    syl3an2br.1 $e |- ( ch <-> ph ) $.
    syl3an2br.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference.  (Contributed by NM, 22-Aug-1995.) $)
    syl3an2br $p |- ( ( ps /\ ph /\ th ) -> ta ) $=
      ( biimpri syl3an2 ) ABCDECAFHGI $.
  $}

  ${
    syl3an3br.1 $e |- ( th <-> ph ) $.
    syl3an3br.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference.  (Contributed by NM, 22-Aug-1995.) $)
    syl3an3br $p |- ( ( ps /\ ch /\ ph ) -> ta ) $=
      ( biimpri syl3an3 ) ABCDEDAFHGI $.
  $}

  ${
    syld3an3.1 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    syld3an3.2 $e |- ( ( ph /\ ps /\ th ) -> ta ) $.
    $( A syllogism inference.  (Contributed by NM, 20-May-2007.) $)
    syld3an3 $p |- ( ( ph /\ ps /\ ch ) -> ta ) $=
      ( w3a simp1 simp2 syl3anc ) ABCHABDEABCIABCJFGK $.
  $}

  ${
    syld3an1.1 $e |- ( ( ch /\ ps /\ th ) -> ph ) $.
    syld3an1.2 $e |- ( ( ph /\ ps /\ th ) -> ta ) $.
    $( A syllogism inference.  (Contributed by NM, 7-Jul-2008.)  (Proof
       shortened by Wolf Lammen, 26-Jun-2022.) $)
    syld3an1 $p |- ( ( ch /\ ps /\ th ) -> ta ) $=
      ( w3a simp2 simp3 syl3anc ) CBDHABDEFCBDICBDJGK $.
  $}

  ${
    syld3an2.1 $e |- ( ( ph /\ ch /\ th ) -> ps ) $.
    syld3an2.2 $e |- ( ( ph /\ ps /\ th ) -> ta ) $.
    $( A syllogism inference.  (Contributed by NM, 20-May-2007.) $)
    syld3an2 $p |- ( ( ph /\ ch /\ th ) -> ta ) $=
      ( w3a simp1 simp3 syl3anc ) ACDHABDEACDIFACDJGK $.
  $}

  ${
    syl3anl1.1 $e |- ( ph -> ps ) $.
    syl3anl1.2 $e |- ( ( ( ps /\ ch /\ th ) /\ ta ) -> et ) $.
    $( A syllogism inference.  (Contributed by NM, 24-Feb-2005.) $)
    syl3anl1 $p |- ( ( ( ph /\ ch /\ th ) /\ ta ) -> et ) $=
      ( w3a 3anim1i sylan ) ACDIBCDIEFABCDGJHK $.
  $}

  ${
    syl3anl2.1 $e |- ( ph -> ch ) $.
    syl3anl2.2 $e |- ( ( ( ps /\ ch /\ th ) /\ ta ) -> et ) $.
    $( A syllogism inference.  (Contributed by NM, 24-Feb-2005.)  (Proof
       shortened by Wolf Lammen, 27-Jun-2022.) $)
    syl3anl2 $p |- ( ( ( ps /\ ph /\ th ) /\ ta ) -> et ) $=
      ( w3a 3anim2i sylan ) BADIBCDIEFACBDGJHK $.
  $}

  ${
    syl3anl3.1 $e |- ( ph -> th ) $.
    syl3anl3.2 $e |- ( ( ( ps /\ ch /\ th ) /\ ta ) -> et ) $.
    $( A syllogism inference.  (Contributed by NM, 24-Feb-2005.) $)
    syl3anl3 $p |- ( ( ( ps /\ ch /\ ph ) /\ ta ) -> et ) $=
      ( w3a 3anim3i sylan ) BCAIBCDIEFADBCGJHK $.
  $}

  ${
    syl3anl.1 $e |- ( ph -> ps ) $.
    syl3anl.2 $e |- ( ch -> th ) $.
    syl3anl.3 $e |- ( ta -> et ) $.
    syl3anl.4 $e |- ( ( ( ps /\ th /\ et ) /\ ze ) -> si ) $.
    $( A triple syllogism inference.  (Contributed by NM, 24-Dec-2006.) $)
    syl3anl $p |- ( ( ( ph /\ ch /\ ta ) /\ ze ) -> si ) $=
      ( w3a 3anim123i sylan ) ACEMBDFMGHABCDEFIJKNLO $.
  $}

  ${
    syl3anr1.1 $e |- ( ph -> ps ) $.
    syl3anr1.2 $e |- ( ( ch /\ ( ps /\ th /\ ta ) ) -> et ) $.
    $( A syllogism inference.  (Contributed by NM, 31-Jul-2007.) $)
    syl3anr1 $p |- ( ( ch /\ ( ph /\ th /\ ta ) ) -> et ) $=
      ( w3a 3anim1i sylan2 ) ADEICBDEIFABDEGJHK $.
  $}

  ${
    syl3anr2.1 $e |- ( ph -> th ) $.
    syl3anr2.2 $e |- ( ( ch /\ ( ps /\ th /\ ta ) ) -> et ) $.
    $( A syllogism inference.  (Contributed by NM, 1-Aug-2007.)  (Proof
       shortened by Wolf Lammen, 27-Jun-2022.) $)
    syl3anr2 $p |- ( ( ch /\ ( ps /\ ph /\ ta ) ) -> et ) $=
      ( w3a 3anim2i sylan2 ) BAEICBDEIFADBEGJHK $.
  $}

  ${
    syl3anr3.1 $e |- ( ph -> ta ) $.
    syl3anr3.2 $e |- ( ( ch /\ ( ps /\ th /\ ta ) ) -> et ) $.
    $( A syllogism inference.  (Contributed by NM, 23-Aug-2007.) $)
    syl3anr3 $p |- ( ( ch /\ ( ps /\ th /\ ph ) ) -> et ) $=
      ( w3a 3anim3i sylan2 ) BDAICBDEIFAEBDGJHK $.
  $}

  ${
    3anidm12.1 $e |- ( ( ph /\ ph /\ ps ) -> ch ) $.
    $( Inference from idempotent law for conjunction.  (Contributed by NM,
       7-Mar-2008.) $)
    3anidm12 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( 3expib anabsi5 ) ABCAABCDEF $.
  $}

  ${
    3anidm13.1 $e |- ( ( ph /\ ps /\ ph ) -> ch ) $.
    $( Inference from idempotent law for conjunction.  (Contributed by NM,
       7-Mar-2008.) $)
    3anidm13 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( 3com23 3anidm12 ) ABCABACDEF $.
  $}

  ${
    3anidm23.1 $e |- ( ( ph /\ ps /\ ps ) -> ch ) $.
    $( Inference from idempotent law for conjunction.  (Contributed by NM,
       1-Feb-2007.) $)
    3anidm23 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( 3expa anabss3 ) ABCABBCDEF $.
  $}

  ${
    syl2an3an.1 $e |- ( ph -> ps ) $.
    syl2an3an.2 $e |- ( ph -> ch ) $.
    syl2an3an.3 $e |- ( th -> ta ) $.
    syl2an3an.4 $e |- ( ( ps /\ ch /\ ta ) -> et ) $.
    $( ~ syl3an with antecedents in standard conjunction form.  (Contributed by
       Alan Sare, 31-Aug-2016.) $)
    syl2an3an $p |- ( ( ph /\ th ) -> et ) $=
      ( syl3an 3anidm12 ) ADFABACDEFGHIJKL $.
  $}

  ${
    syl2an23an.1 $e |- ( ph -> ps ) $.
    syl2an23an.2 $e |- ( ph -> ch ) $.
    syl2an23an.3 $e |- ( ( th /\ ph ) -> ta ) $.
    syl2an23an.4 $e |- ( ( ps /\ ch /\ ta ) -> et ) $.
    $( Deduction related to ~ syl3an with antecedents in standard conjunction
       form.  (Contributed by Alan Sare, 31-Aug-2016.)  (Proof shortened by
       Wolf Lammen, 28-Jun-2022.) $)
    syl2an23an $p |- ( ( th /\ ph ) -> et ) $=
      ( wa syl2an3an anabss7 ) DAFABCDAKEFGHIJLM $.
  $}

  ${
    3ori.1 $e |- ( ph \/ ps \/ ch ) $.
    $( Infer implication from triple disjunction.  (Contributed by NM,
       26-Sep-2006.) $)
    3ori $p |- ( ( -. ph /\ -. ps ) -> ch ) $=
      ( wn wa wo ioran w3o df-3or mpbi ori sylbir ) AEBEFABGZECABHNCABCINCGDABC
      JKLM $.
  $}

  $( Disjunction of three antecedents.  (Contributed by NM, 8-Apr-1994.) $)
  3jao $p |- ( ( ( ph -> ps ) /\ ( ch -> ps ) /\ ( th -> ps ) ) ->
              ( ( ph \/ ch \/ th ) -> ps ) ) $=
    ( wi w3o wo jao df-3or syl7bi syl6 3imp ) ABEZCBEZDBEZACDFZBEZMNACGZBEZOQEA
    BCHPRDGSOBACDIRBDHJKL $.

  $( Disjunction of three antecedents.  (Contributed by NM, 13-Sep-2011.) $)
  3jaob $p |- ( ( ( ph \/ ch \/ th ) -> ps ) <->
              ( ( ph -> ps ) /\ ( ch -> ps ) /\ ( th -> ps ) ) ) $=
    ( w3o wi w3a 3mix1 imim1i 3mix2 3mix3 3jca 3jao impbii ) ACDEZBFZABFZCBFZDB
    FZGPQRSAOBACDHICOBCADJIDOBDACKILABCDMN $.

  ${
    3jaoi.1 $e |- ( ph -> ps ) $.
    3jaoi.2 $e |- ( ch -> ps ) $.
    3jaoi.3 $e |- ( th -> ps ) $.
    $( Disjunction of three antecedents (inference).  (Contributed by NM,
       12-Sep-1995.) $)
    3jaoi $p |- ( ( ph \/ ch \/ th ) -> ps ) $=
      ( wi w3a w3o 3pm3.2i 3jao ax-mp ) ABHZCBHZDBHZIACDJBHNOPEFGKABCDLM $.
  $}

  ${
    3jaod.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3jaod.2 $e |- ( ph -> ( th -> ch ) ) $.
    3jaod.3 $e |- ( ph -> ( ta -> ch ) ) $.
    $( Disjunction of three antecedents (deduction).  (Contributed by NM,
       14-Oct-2005.) $)
    3jaod $p |- ( ph -> ( ( ps \/ th \/ ta ) -> ch ) ) $=
      ( wi w3o 3jao syl3anc ) ABCIDCIECIBDEJCIFGHBCDEKL $.
  $}

  ${
    3jaoian.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    3jaoian.2 $e |- ( ( th /\ ps ) -> ch ) $.
    3jaoian.3 $e |- ( ( ta /\ ps ) -> ch ) $.
    $( Disjunction of three antecedents (inference).  (Contributed by NM,
       14-Oct-2005.) $)
    3jaoian $p |- ( ( ( ph \/ th \/ ta ) /\ ps ) -> ch ) $=
      ( w3o wi ex 3jaoi imp ) ADEIBCABCJDEABCFKDBCGKEBCHKLM $.
  $}

  ${
    3jaodan.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    3jaodan.2 $e |- ( ( ph /\ th ) -> ch ) $.
    3jaodan.3 $e |- ( ( ph /\ ta ) -> ch ) $.
    $( Disjunction of three antecedents (deduction).  (Contributed by NM,
       14-Oct-2005.) $)
    3jaodan $p |- ( ( ph /\ ( ps \/ th \/ ta ) ) -> ch ) $=
      ( w3o ex 3jaod imp ) ABDEICABCDEABCFJADCGJAECHJKL $.
  $}

  ${
    mpjao3dan.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    mpjao3dan.2 $e |- ( ( ph /\ th ) -> ch ) $.
    mpjao3dan.3 $e |- ( ( ph /\ ta ) -> ch ) $.
    mpjao3dan.4 $e |- ( ph -> ( ps \/ th \/ ta ) ) $.
    $( Eliminate a three-way disjunction in a deduction.  (Contributed by
       Thierry Arnoux, 13-Apr-2018.)  (Proof shortened by Wolf Lammen,
       20-Apr-2024.) $)
    mpjao3dan $p |- ( ph -> ch ) $=
      ( w3o 3jaodan mpdan ) ABDEJCIABCDEFGHKL $.

    $( Obsolete version of ~ mpjao3dan as of 17-Apr-2024.  (Contributed by
       Thierry Arnoux, 13-Apr-2018.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    mpjao3danOLD $p |- ( ph -> ch ) $=
      ( wo jaodan w3o df-3or sylib mpjaodan ) ABDJZCEABCDFGKHABDELPEJIBDEMNO $.
  $}

  ${
    3jaao.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3jaao.2 $e |- ( th -> ( ta -> ch ) ) $.
    3jaao.3 $e |- ( et -> ( ze -> ch ) ) $.
    $( Inference conjoining and disjoining the antecedents of three
       implications.  (Contributed by Jeff Hankins, 15-Aug-2009.)  (Proof
       shortened by Andrew Salmon, 13-May-2011.) $)
    3jaao $p |- ( ( ph /\ th /\ et ) -> ( ( ps \/ ta \/ ze ) -> ch ) ) $=
      ( w3a wi 3ad2ant1 3ad2ant2 3ad2ant3 3jaod ) ADFKBCEGADBCLFHMDAECLFINFAGCL
      DJOP $.
  $}

  ${
    syl3an9b.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl3an9b.2 $e |- ( th -> ( ch <-> ta ) ) $.
    syl3an9b.3 $e |- ( et -> ( ta <-> ze ) ) $.
    $( Nested syllogism inference conjoining 3 dissimilar antecedents.
       (Contributed by NM, 1-May-1995.) $)
    syl3an9b $p |- ( ( ph /\ th /\ et ) -> ( ps <-> ze ) ) $=
      ( wb wa sylan9bb 3impa ) ADFBGKADLBEFGABCDEHIMJMN $.
  $}

  ${
    bi3d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bi3d.2 $e |- ( ph -> ( th <-> ta ) ) $.
    bi3d.3 $e |- ( ph -> ( et <-> ze ) ) $.
    $( Deduction joining 3 equivalences to form equivalence of disjunctions.
       (Contributed by NM, 20-Apr-1994.) $)
    3orbi123d $p |- ( ph -> ( ( ps \/ th \/ et ) <-> ( ch \/ ta \/ ze ) ) ) $=
      ( wo w3o orbi12d df-3or 3bitr4g ) ABDKZFKCEKZGKBDFLCEGLAPQFGABCDEHIMJMBDF
      NCEGNO $.

    $( Deduction joining 3 equivalences to form equivalence of conjunctions.
       (Contributed by NM, 22-Apr-1994.) $)
    3anbi123d $p |- ( ph -> ( ( ps /\ th /\ et ) <-> ( ch /\ ta /\ ze ) ) ) $=
      ( wa w3a anbi12d df-3an 3bitr4g ) ABDKZFKCEKZGKBDFLCEGLAPQFGABCDEHIMJMBDF
      NCEGNO $.
  $}

  ${
    3anbi12d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3anbi12d.2 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Deduction conjoining and adding a conjunct to equivalences.
       (Contributed by NM, 8-Sep-2006.) $)
    3anbi12d $p |- ( ph -> ( ( ps /\ th /\ et ) <-> ( ch /\ ta /\ et ) ) ) $=
      ( biidd 3anbi123d ) ABCDEFFGHAFIJ $.

    $( Deduction conjoining and adding a conjunct to equivalences.
       (Contributed by NM, 8-Sep-2006.) $)
    3anbi13d $p |- ( ph -> ( ( ps /\ et /\ th ) <-> ( ch /\ et /\ ta ) ) ) $=
      ( biidd 3anbi123d ) ABCFFDEGAFIHJ $.

    $( Deduction conjoining and adding a conjunct to equivalences.
       (Contributed by NM, 8-Sep-2006.) $)
    3anbi23d $p |- ( ph -> ( ( et /\ ps /\ th ) <-> ( et /\ ch /\ ta ) ) ) $=
      ( biidd 3anbi123d ) AFFBCDEAFIGHJ $.
  $}

  ${
    3anbi1d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduction adding conjuncts to an equivalence.  (Contributed by NM,
       8-Sep-2006.) $)
    3anbi1d $p |- ( ph -> ( ( ps /\ th /\ ta ) <-> ( ch /\ th /\ ta ) ) ) $=
      ( biidd 3anbi12d ) ABCDDEFADGH $.

    $( Deduction adding conjuncts to an equivalence.  (Contributed by NM,
       8-Sep-2006.) $)
    3anbi2d $p |- ( ph -> ( ( th /\ ps /\ ta ) <-> ( th /\ ch /\ ta ) ) ) $=
      ( biidd 3anbi12d ) ADDBCEADGFH $.

    $( Deduction adding conjuncts to an equivalence.  (Contributed by NM,
       8-Sep-2006.) $)
    3anbi3d $p |- ( ph -> ( ( th /\ ta /\ ps ) <-> ( th /\ ta /\ ch ) ) ) $=
      ( biidd 3anbi13d ) ADDBCEADGFH $.
  $}

  ${
    3anim123d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3anim123d.2 $e |- ( ph -> ( th -> ta ) ) $.
    3anim123d.3 $e |- ( ph -> ( et -> ze ) ) $.
    $( Deduction joining 3 implications to form implication of conjunctions.
       (Contributed by NM, 24-Feb-2005.) $)
    3anim123d $p |- ( ph -> ( ( ps /\ th /\ et ) -> ( ch /\ ta /\ ze ) ) ) $=
      ( wa w3a anim12d df-3an 3imtr4g ) ABDKZFKCEKZGKBDFLCEGLAPQFGABCDEHIMJMBDF
      NCEGNO $.

    $( Deduction joining 3 implications to form implication of disjunctions.
       (Contributed by NM, 4-Apr-1997.) $)
    3orim123d $p |- ( ph -> ( ( ps \/ th \/ et ) -> ( ch \/ ta \/ ze ) ) ) $=
      ( wo w3o orim12d df-3or 3imtr4g ) ABDKZFKCEKZGKBDFLCEGLAPQFGABCDEHIMJMBDF
      NCEGNO $.
  $}

  $( Rearrangement of 6 conjuncts.  (Contributed by NM, 13-Mar-1995.) $)
  an6 $p |- ( ( ( ph /\ ps /\ ch ) /\ ( th /\ ta /\ et ) ) <->
              ( ( ph /\ th ) /\ ( ps /\ ta ) /\ ( ch /\ et ) ) ) $=
    ( wa w3a an4 anbi1i bitri df-3an anbi12i 3bitr4i ) ABGZCGZDEGZFGZGZADGZBEGZ
    GZCFGZGZABCHZDEFHZGTUAUCHSOQGZUCGUDOCQFIUGUBUCABDEIJKUEPUFRABCLDEFLMTUAUCLN
    $.

  $( Analogue of ~ an4 for triple conjunction.  (Contributed by Scott Fenton,
     16-Mar-2011.)  (Proof shortened by Andrew Salmon, 25-May-2011.) $)
  3an6 $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) /\ ( ta /\ et ) ) <->
                ( ( ph /\ ch /\ ta ) /\ ( ps /\ th /\ et ) ) ) $=
    ( w3a wa an6 bicomi ) ACEGBDFGHABHCDHEFHGACEBDFIJ $.

  $( Analogue of ~ or4 for triple conjunction.  (Contributed by Scott Fenton,
     16-Mar-2011.) $)
  3or6 $p |- ( ( ( ph \/ ps ) \/ ( ch \/ th ) \/ ( ta \/ et ) ) <->
                ( ( ph \/ ch \/ ta ) \/ ( ps \/ th \/ et ) ) ) $=
    ( wo w3o or4 orbi1i bitr2i df-3or orbi12i 3bitr4i ) ABGZCDGZGZEFGZGZACGZEGZ
    BDGZFGZGZOPRHACEHZBDFHZGUDTUBGZRGSTEUBFIUGQRACBDIJKOPRLUEUAUFUCACELBDFLMN
    $.

  ${
    mp3an1.1 $e |- ph $.
    mp3an1.2 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens.  (Contributed by NM,
       21-Nov-1994.) $)
    mp3an1 $p |- ( ( ps /\ ch ) -> th ) $=
      ( wa 3expb mpan ) ABCGDEABCDFHI $.
  $}

  ${
    mp3an2.1 $e |- ps $.
    mp3an2.2 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens.  (Contributed by NM,
       21-Nov-1994.) $)
    mp3an2 $p |- ( ( ph /\ ch ) -> th ) $=
      ( 3expa mpanl2 ) ABCDEABCDFGH $.
  $}

  ${
    mp3an3.1 $e |- ch $.
    mp3an3.2 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens.  (Contributed by NM,
       21-Nov-1994.) $)
    mp3an3 $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa 3expia mpi ) ABGCDEABCDFHI $.
  $}

  ${
    mp3an12.1 $e |- ph $.
    mp3an12.2 $e |- ps $.
    mp3an12.3 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens.  (Contributed by NM,
       13-Jul-2005.) $)
    mp3an12 $p |- ( ch -> th ) $=
      ( mp3an1 mpan ) BCDFABCDEGHI $.
  $}

  ${
    mp3an13.1 $e |- ph $.
    mp3an13.2 $e |- ch $.
    mp3an13.3 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens.  (Contributed by NM,
       14-Jul-2005.) $)
    mp3an13 $p |- ( ps -> th ) $=
      ( mp3an3 mpan ) ABDEABCDFGHI $.
  $}

  ${
    mp3an23.1 $e |- ps $.
    mp3an23.2 $e |- ch $.
    mp3an23.3 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens.  (Contributed by NM,
       14-Jul-2005.) $)
    mp3an23 $p |- ( ph -> th ) $=
      ( mp3an3 mpan2 ) ABDEABCDFGHI $.
  $}

  ${
    mp3an1i.1 $e |- ps $.
    mp3an1i.2 $e |- ( ph -> ( ( ps /\ ch /\ th ) -> ta ) ) $.
    $( An inference based on modus ponens.  (Contributed by NM, 5-Jul-2005.) $)
    mp3an1i $p |- ( ph -> ( ( ch /\ th ) -> ta ) ) $=
      ( wa wi w3a com12 mp3an1 ) CDHAEBCDAEIFABCDJEGKLK $.
  $}

  ${
    mp3anl1.1 $e |- ph $.
    mp3anl1.2 $e |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $.
    $( An inference based on modus ponens.  (Contributed by NM,
       24-Feb-2005.) $)
    mp3anl1 $p |- ( ( ( ps /\ ch ) /\ th ) -> ta ) $=
      ( wa wi w3a ex mp3an1 imp ) BCHDEABCDEIFABCJDEGKLM $.
  $}

  ${
    mp3anl2.1 $e |- ps $.
    mp3anl2.2 $e |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $.
    $( An inference based on modus ponens.  (Contributed by NM,
       24-Feb-2005.) $)
    mp3anl2 $p |- ( ( ( ph /\ ch ) /\ th ) -> ta ) $=
      ( wa wi w3a ex mp3an2 imp ) ACHDEABCDEIFABCJDEGKLM $.
  $}

  ${
    mp3anl3.1 $e |- ch $.
    mp3anl3.2 $e |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $.
    $( An inference based on modus ponens.  (Contributed by NM,
       24-Feb-2005.) $)
    mp3anl3 $p |- ( ( ( ph /\ ps ) /\ th ) -> ta ) $=
      ( wa wi w3a ex mp3an3 imp ) ABHDEABCDEIFABCJDEGKLM $.
  $}

  ${
    mp3anr1.1 $e |- ps $.
    mp3anr1.2 $e |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $.
    $( An inference based on modus ponens.  (Contributed by NM, 4-Nov-2006.) $)
    mp3anr1 $p |- ( ( ph /\ ( ch /\ th ) ) -> ta ) $=
      ( wa w3a ancoms mp3anl1 ) CDHAEBCDAEFABCDIEGJKJ $.
  $}

  ${
    mp3anr2.1 $e |- ch $.
    mp3anr2.2 $e |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $.
    $( An inference based on modus ponens.  (Contributed by NM,
       24-Nov-2006.) $)
    mp3anr2 $p |- ( ( ph /\ ( ps /\ th ) ) -> ta ) $=
      ( wa w3a ancoms mp3anl2 ) BDHAEBCDAEFABCDIEGJKJ $.
  $}

  ${
    mp3anr3.1 $e |- th $.
    mp3anr3.2 $e |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $.
    $( An inference based on modus ponens.  (Contributed by NM,
       19-Oct-2007.) $)
    mp3anr3 $p |- ( ( ph /\ ( ps /\ ch ) ) -> ta ) $=
      ( wa w3a ancoms mp3anl3 ) BCHAEBCDAEFABCDIEGJKJ $.
  $}

  ${
    mp3an.1 $e |- ph $.
    mp3an.2 $e |- ps $.
    mp3an.3 $e |- ch $.
    mp3an.4 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens.  (Contributed by NM,
       14-May-1999.) $)
    mp3an $p |- th $=
      ( mp3an1 mp2an ) BCDFGABCDEHIJ $.
  $}

  ${
    mpd3an3.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    mpd3an3.3 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens.  (Contributed by NM, 8-Nov-2007.) $)
    mpd3an3 $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa 3expa mpdan ) ABGCDEABCDFHI $.
  $}

  ${
    mpd3an23.1 $e |- ( ph -> ps ) $.
    mpd3an23.2 $e |- ( ph -> ch ) $.
    mpd3an23.3 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens.  (Contributed by NM, 4-Dec-2006.) $)
    mpd3an23 $p |- ( ph -> th ) $=
      ( id syl3anc ) AABCDAHEFGI $.
  $}

  ${
    mp3and.1 $e |- ( ph -> ps ) $.
    mp3and.2 $e |- ( ph -> ch ) $.
    mp3and.3 $e |- ( ph -> th ) $.
    mp3and.4 $e |- ( ph -> ( ( ps /\ ch /\ th ) -> ta ) ) $.
    $( A deduction based on modus ponens.  (Contributed by Mario Carneiro,
       24-Dec-2016.) $)
    mp3and $p |- ( ph -> ta ) $=
      ( w3a 3jca mpd ) ABCDJEABCDFGHKIL $.
  $}

  ${
    mp3an12i.1 $e |- ph $.
    mp3an12i.2 $e |- ps $.
    mp3an12i.3 $e |- ( ch -> th ) $.
    mp3an12i.4 $e |- ( ( ph /\ ps /\ th ) -> ta ) $.
    $( ~ mp3an with antecedents in standard conjunction form and with one
       hypothesis an implication.  (Contributed by Alan Sare, 28-Aug-2016.) $)
    mp3an12i $p |- ( ch -> ta ) $=
      ( mp3an12 syl ) CDEHABDEFGIJK $.
  $}

  ${
    mp3an2i.1 $e |- ph $.
    mp3an2i.2 $e |- ( ps -> ch ) $.
    mp3an2i.3 $e |- ( ps -> th ) $.
    mp3an2i.4 $e |- ( ( ph /\ ch /\ th ) -> ta ) $.
    $( ~ mp3an with antecedents in standard conjunction form and with two
       hypotheses which are implications.  (Contributed by Alan Sare,
       28-Aug-2016.) $)
    mp3an2i $p |- ( ps -> ta ) $=
      ( mp3an1 syl2anc ) BCDEGHACDEFIJK $.
  $}

  ${
    mp3an3an.1 $e |- ph $.
    mp3an3an.2 $e |- ( ps -> ch ) $.
    mp3an3an.3 $e |- ( th -> ta ) $.
    mp3an3an.4 $e |- ( ( ph /\ ch /\ ta ) -> et ) $.
    $( ~ mp3an with antecedents in standard conjunction form and with two
       hypotheses which are implications.  (Contributed by Alan Sare,
       28-Aug-2016.) $)
    mp3an3an $p |- ( ( ps /\ th ) -> et ) $=
      ( mp3an1 syl2an ) BCEFDHIACEFGJKL $.
  $}

  ${
    mp3an2ani.1 $e |- ph $.
    mp3an2ani.2 $e |- ( ps -> ch ) $.
    mp3an2ani.3 $e |- ( ( ps /\ th ) -> ta ) $.
    mp3an2ani.4 $e |- ( ( ph /\ ch /\ ta ) -> et ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 17-Oct-2017.) $)
    mp3an2ani $p |- ( ( ps /\ th ) -> et ) $=
      ( wa mp3an3an anabss5 ) BDFABCBDKEFGHIJLM $.
  $}

  ${
    biimp3a.1 $e |- ( ( ph /\ ps ) -> ( ch <-> th ) ) $.
    $( Infer implication from a logical equivalence.  Similar to ~ biimpa .
       (Contributed by NM, 4-Sep-2005.) $)
    biimp3a $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wa biimpa 3impa ) ABCDABFCDEGH $.

    $( Infer implication from a logical equivalence.  Similar to ~ biimpar .
       (Contributed by NM, 2-Jan-2009.) $)
    biimp3ar $p |- ( ( ph /\ ps /\ th ) -> ch ) $=
      ( exbiri 3imp ) ABDCABCDEFG $.
  $}

  ${
    3anandis.1 $e |- ( ( ( ph /\ ps ) /\ ( ph /\ ch ) /\ ( ph /\ th ) )
                      -> ta ) $.
    $( Inference that undistributes a triple conjunction in the antecedent.
       (Contributed by NM, 18-Apr-2007.) $)
    3anandis $p |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $=
      ( w3a wa simpl simpr1 simpr2 simpr3 syl222anc ) ABCDGZHABACADEANIZABCDJOA
      BCDKOABCDLFM $.
  $}

  ${
    3anandirs.1 $e |- ( ( ( ph /\ th ) /\ ( ps /\ th ) /\ ( ch /\ th ) )
                      -> ta ) $.
    $( Inference that undistributes a triple conjunction in the antecedent.
       (Contributed by NM, 25-Jul-2006.) $)
    3anandirs $p |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $=
      ( w3a wa simpl1 simpr simpl2 simpl3 syl222anc ) ABCGZDHADBDCDEABCDINDJZAB
      CDKOABCDLOFM $.
  $}

  ${
    ecase23d.1 $e |- ( ph -> -. ch ) $.
    ecase23d.2 $e |- ( ph -> -. th ) $.
    ecase23d.3 $e |- ( ph -> ( ps \/ ch \/ th ) ) $.
    $( Deduction for elimination by cases.  (Contributed by NM,
       22-Apr-1994.) $)
    ecase23d $p |- ( ph -> ps ) $=
      ( wo wn ioran sylanbrc w3o 3orass sylib ord mt3d ) ABCDHZACIDIQIEFCDJKABQ
      ABCDLBQHGBCDMNOP $.
  $}

  ${
    3ecase.1 $e |- ( -. ph -> th ) $.
    3ecase.2 $e |- ( -. ps -> th ) $.
    3ecase.3 $e |- ( -. ch -> th ) $.
    3ecase.4 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( Inference for elimination by cases.  (Contributed by NM,
       13-Jul-2005.) $)
    3ecase $p |- th $=
      ( wi 3exp wn 2a1d pm2.61i pm2.61nii ) BCDABCDIIABCDHJAKDBCELMFGN $.
  $}

  ${
    3biorfd.1 $e |- ( ph -> -. th ) $.
    $( A disjunction is equivalent to a threefold disjunction with single
       falsehood, analogous to ~ biorf .  (Contributed by Alexander van der
       Vekens, 8-Sep-2017.) $)
    3bior1fd $p |- ( ph -> ( ( ch \/ ps ) <-> ( th \/ ch \/ ps ) ) ) $=
      ( wo w3o wn wb biorf syl 3orass bitr4di ) ACBFZDNFZDCBGADHNOIEDNJKDCBLM
      $.

    $( A disjunction is equivalent to a threefold disjunction with single
       falsehood of a conjunction.  (Contributed by Alexander van der Vekens,
       8-Sep-2017.) $)
    3bior1fand $p |- ( ph -> ( ( ch \/ ps )
                       <-> ( ( th /\ ta ) \/ ch \/ ps ) ) ) $=
      ( wa intnanrd 3bior1fd ) ABCDEGADEFHI $.

    3biorfd.2 $e |- ( ph -> -. ch ) $.
    $( A wff is equivalent to its threefold disjunction with double falsehood,
       analogous to ~ biorf .  (Contributed by Alexander van der Vekens,
       8-Sep-2017.) $)
    3bior2fd $p |- ( ph -> ( ps <-> ( th \/ ch \/ ps ) ) ) $=
      ( wo w3o wn wb biorf syl 3bior1fd bitrd ) ABCBGZDCBHACIBOJFCBKLABCDEMN $.
  $}

  ${
    3biantd.1 $e |- ( ph -> th ) $.
    $( A conjunction is equivalent to a threefold conjunction with single
       truth, analogous to ~ biantrud .  (Contributed by Alexander van der
       Vekens, 26-Sep-2017.) $)
    3biant1d $p |- ( ph -> ( ( ch /\ ps ) <-> ( th /\ ch /\ ps ) ) ) $=
      ( wa w3a biantrurd 3anass bitr4di ) ACBFZDKFDCBGADKEHDCBIJ $.
  $}

  ${
    intn3and.1 $e |- ( ph -> -. ps ) $.
    $( Introduction of a triple conjunct inside a contradiction.  (Contributed
       by FL, 27-Dec-2007.)  (Proof shortened by Andrew Salmon,
       26-Jun-2011.) $)
    intn3an1d $p |- ( ph -> -. ( ps /\ ch /\ th ) ) $=
      ( w3a simp1 nsyl ) ABBCDFEBCDGH $.

    $( Introduction of a triple conjunct inside a contradiction.  (Contributed
       by FL, 27-Dec-2007.)  (Proof shortened by Andrew Salmon,
       26-Jun-2011.) $)
    intn3an2d $p |- ( ph -> -. ( ch /\ ps /\ th ) ) $=
      ( w3a simp2 nsyl ) ABCBDFECBDGH $.

    $( Introduction of a triple conjunct inside a contradiction.  (Contributed
       by FL, 27-Dec-2007.)  (Proof shortened by Andrew Salmon,
       26-Jun-2011.) $)
    intn3an3d $p |- ( ph -> -. ( ch /\ th /\ ps ) ) $=
      ( w3a simp3 nsyl ) ABCDBFECDBGH $.
  $}

  $( Distribution of conjunction over threefold conjunction.  (Contributed by
     Thierry Arnoux, 8-Apr-2019.) $)
  an3andi $p |- ( ( ph /\ ( ps /\ ch /\ th ) ) <->
               ( ( ph /\ ps ) /\ ( ph /\ ch ) /\ ( ph /\ th ) ) ) $=
    ( w3a wa df-3an anbi2i anandi anbi1i 3bitri bitr4i ) ABCDEZFZABFZACFZFZADFZ
    FZOPRENABCFZDFZFATFZRFSMUAABCDGHATDIUBQRABCIJKOPRGL $.

  $( Rearrange a 9-fold conjunction.  (Contributed by Thierry Arnoux,
     14-Apr-2019.)  (Proof shortened by Wolf Lammen, 21-Apr-2024.) $)
  an33rean $p |- (
        ( ( ph /\ ps /\ ch ) /\ ( th /\ ta /\ et ) /\ ( ze /\ si /\ rh ) ) <->
    ( ( ph /\ ta /\ rh ) /\ ( ( ps /\ th ) /\ ( et /\ si ) /\ ( ch /\ ze ) ) )
    ) $=
    ( w3a wa 3anass 3anan12 3anrev bitri 3anbi123i anass anbi2i 3bitr4i df-3an
    3an6 an42 anbi1i 3bitr3i 3bitri ) ABCJZDEFJZGHIJZJABCKZKZEDFKZKZIHGKZKZJAEI
    JZUIUKUMJZKUOBDKZFHKZCGKZJZKUFUJUGULUHUNABCLDEFMUHIHGJUNGHINIHGLOPAUIEUKIUM
    UAUPUTUOUIUKKZUMKZUQURKZUSKZUPUTVAHKZGKVCCKZGKVBVDVEVFGUIUKHKZKZUQURCKKZVEV
    FVHUIDURKZKVIVGVJUIDFHQRBCDURUBOUIUKHQUQURCQSUCVAHGQVCCGQUDUIUKUMTUQURUSTSR
    UE $.

  $( Obsolete version of ~ an33rean as of 21-Apr-2024.  (Contributed by Thierry
     Arnoux, 14-Apr-2019.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  an33reanOLD $p |- (
        ( ( ph /\ ps /\ ch ) /\ ( th /\ ta /\ et ) /\ ( ze /\ si /\ rh ) ) <->
    ( ( ph /\ ta /\ rh ) /\ ( ( ps /\ th ) /\ ( et /\ si ) /\ ( ch /\ ze ) ) )
    ) $=
    ( w3a wa 3anass 3anan12 3an6 an4 anbi2i 3bitr4i anbi1i df-3an 3bitri 3anrev
    bitri 3anbi123i 3ancomb ) ABCJZDEFJZGHIJZJABCKZKZEDFKZKZIHGKZKZJAEIJZUHUJUL
    JZKUNBDKZFHKCGKJZKUEUIUFUKUGUMABCLDEFMUGIHGJUMGHIUAIHGLUBUCAUHEUJIULNUOUQUN
    UOUHDHKZFGKZJZUPCHKZUSJZUQUHUJULKZKUHURUSKZKUOUTVCVDUHDFHGOPUHUJULLUHURUSLQ
    UHURKZUSKUPVAKZUSKUTVBVEVFUSBCDHORUHURUSSUPVAUSSQBCFJZDHGJZKBFCJZVHKVBUQVGV
    IVHBCFUDRBDCHFGNBDFHCGNQTPT $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Logical "nand" (Sheffer stroke)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare connective for alternative denial ("nand"). $)
  $c -/\ $.  $( Overlined "wedge" (read:  "nand") $)

  $( Extend wff definition to include alternative denial ("nand"). $)
  wnan $a wff ( ph -/\ ps ) $.

  $( Define incompatibility, or alternative denial ("not-and" or "nand").  See
     ~ dfnan2 for an alternative.  This is also called the Sheffer stroke,
     represented by a vertical bar, but we use a different symbol to avoid
     ambiguity with other uses of the vertical bar.  In the second edition of
     Principia Mathematica (1927), Russell and Whitehead used the Sheffer
     stroke and suggested it as a replacement for the "or" and "not" operations
     of the first edition.  However, in practice, "or" and "not" are more
     widely used.  After we define the constant true ` T. ` ( ~ df-tru ) and
     the constant false ` F. ` ( ~ df-fal ), we will be able to prove these
     truth table values: ` ( ( T. -/\ T. ) <-> F. ) ` ( ~ trunantru ),
     ` ( ( T. -/\ F. ) <-> T. ) ` ( ~ trunanfal ), ` ( ( F. -/\ T. ) <-> T. ) `
     ( ~ falnantru ), and ` ( ( F. -/\ F. ) <-> T. ) ` ( ~ falnanfal ).
     Contrast with ` /\ ` ( ~ df-an ), ` \/ ` ( ~ df-or ), ` -> ` ( ~ wi ), and
     ` \/_ ` ( ~ df-xor ).  (Contributed by Jeff Hoffman, 19-Nov-2007.) $)
  df-nan $a |- ( ( ph -/\ ps ) <-> -. ( ph /\ ps ) ) $.

  $( Conjunction in terms of alternative denial.  (Contributed by Mario
     Carneiro, 9-May-2015.) $)
  nanan $p |- ( ( ph /\ ps ) <-> -. ( ph -/\ ps ) ) $=
    ( wnan wa df-nan con2bii ) ABCABDABEF $.

  $( Alternative denial in terms of our primitive connectives (implication and
     negation).  (Contributed by WL, 26-Jun-2020.) $)
  dfnan2 $p |- ( ( ph -/\ ps ) <-> ( ph -> -. ps ) ) $=
    ( wnan wa wn wi df-nan imnan bitr4i ) ABCABDEABEFABGABHI $.

  $( Alternative denial in terms of disjunction and negation.  This explains
     the name "alternative denial".  (Contributed by BJ, 19-Oct-2022.) $)
  nanor $p |- ( ( ph -/\ ps ) <-> ( -. ph \/ -. ps ) ) $=
    ( wnan wa wn wo df-nan ianor bitri ) ABCABDEAEBEFABGABHI $.

  $( Alternative denial is commutative.  Remark: alternative denial is not
     associative, see ~ nanass .  (Contributed by Mario Carneiro, 9-May-2015.)
     (Proof shortened by Wolf Lammen, 26-Jun-2020.) $)
  nancom $p |- ( ( ph -/\ ps ) <-> ( ps -/\ ph ) ) $=
    ( wn wi wnan con2b dfnan2 3bitr4i ) ABCDBACDABEBAEABFABGBAGH $.

  $( Nested alternative denials.  (Contributed by Jeff Hoffman, 19-Nov-2007.)
     (Proof shortened by Wolf Lammen, 26-Jun-2020.) $)
  nannan $p |- ( ( ph -/\ ( ps -/\ ch ) ) <-> ( ph -> ( ps /\ ch ) ) ) $=
    ( wnan wn wi wa dfnan2 nanan imbi2i bitr4i ) ABCDZDALEZFABCGZFALHNMABCIJK
    $.

  $( Implication in terms of alternative denial.  (Contributed by Jeff Hoffman,
     19-Nov-2007.) $)
  nanim $p |- ( ( ph -> ps ) <-> ( ph -/\ ( ps -/\ ps ) ) ) $=
    ( wnan wa wi nannan anidmdbi bitr2i ) ABBCCABBDEABEABBFABGH $.

  $( Negation in terms of alternative denial.  (Contributed by Jeff Hoffman,
     19-Nov-2007.)  (Revised by Wolf Lammen, 26-Jun-2020.) $)
  nannot $p |- ( -. ph <-> ( ph -/\ ph ) ) $=
    ( wnan wn wi dfnan2 pm4.8 bitr2i ) AABAACZDHAAEAFG $.

  $( Biconditional in terms of alternative denial.  (Contributed by Jeff
     Hoffman, 19-Nov-2007.)  (Proof shortened by Wolf Lammen, 27-Jun-2020.) $)
  nanbi $p |- ( ( ph <-> ps ) <->
          ( ( ph -/\ ps ) -/\ ( ( ph -/\ ph ) -/\ ( ps -/\ ps ) ) ) ) $=
    ( wb wnan wa wi wn dfbi3 df-nan bicomi nannot anbi12i imbi12i 3bitri nannan
    wo df-or bitr4i ) ABCZABDZAADZBBDZEZFZTUAUBDDSABEZAGZBGZEZPUEGZUHFUDABHUEUH
    QUITUHUCTUIABIJUFUAUGUBAKBKLMNTUAUBOR $.

  $( Introduce a right anti-conjunct to both sides of a logical equivalence.
     (Contributed by Anthony Hart, 1-Sep-2011.)  (Proof shortened by Wolf
     Lammen, 27-Jun-2020.) $)
  nanbi1 $p |- ( ( ph <-> ps ) -> ( ( ph -/\ ch ) <-> ( ps -/\ ch ) ) ) $=
    ( wb wn wi wnan imbi1 dfnan2 3bitr4g ) ABDACEZFBKFACGBCGABKHACIBCIJ $.

  $( Introduce a left anti-conjunct to both sides of a logical equivalence.
     (Contributed by Anthony Hart, 1-Sep-2011.)  (Proof shortened by SF,
     2-Jan-2018.) $)
  nanbi2 $p |- ( ( ph <-> ps ) -> ( ( ch -/\ ph ) <-> ( ch -/\ ps ) ) ) $=
    ( wb wnan nanbi1 nancom 3bitr4g ) ABDACEBCECAECBEABCFCAGCBGH $.

  $( Join two logical equivalences with anti-conjunction.  (Contributed by SF,
     2-Jan-2018.) $)
  nanbi12 $p |- ( ( ( ph <-> ps ) /\ ( ch <-> th ) ) ->
                                       ( ( ph -/\ ch ) <-> ( ps -/\ th ) ) ) $=
    ( wb wnan nanbi1 nanbi2 sylan9bb ) ABEACFBCFCDEBDFABCGCDBHI $.

  ${
    nanbii.1 $e |- ( ph <-> ps ) $.
    $( Introduce a right anti-conjunct to both sides of a logical equivalence.
       (Contributed by SF, 2-Jan-2018.) $)
    nanbi1i $p |- ( ( ph -/\ ch ) <-> ( ps -/\ ch ) ) $=
      ( wb wnan nanbi1 ax-mp ) ABEACFBCFEDABCGH $.

    $( Introduce a left anti-conjunct to both sides of a logical equivalence.
       (Contributed by SF, 2-Jan-2018.) $)
    nanbi2i $p |- ( ( ch -/\ ph ) <-> ( ch -/\ ps ) ) $=
      ( wb wnan nanbi2 ax-mp ) ABECAFCBFEDABCGH $.

    nanbi12i.2 $e |- ( ch <-> th ) $.
    $( Join two logical equivalences with anti-conjunction.  (Contributed by
       SF, 2-Jan-2018.) $)
    nanbi12i $p |- ( ( ph -/\ ch ) <-> ( ps -/\ th ) ) $=
      ( wb wnan nanbi12 mp2an ) ABGCDGACHBDHGEFABCDIJ $.
  $}

  ${
    nanbid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Introduce a right anti-conjunct to both sides of a logical equivalence.
       (Contributed by SF, 2-Jan-2018.) $)
    nanbi1d $p |- ( ph -> ( ( ps -/\ th ) <-> ( ch -/\ th ) ) ) $=
      ( wb wnan nanbi1 syl ) ABCFBDGCDGFEBCDHI $.

    $( Introduce a left anti-conjunct to both sides of a logical equivalence.
       (Contributed by SF, 2-Jan-2018.) $)
    nanbi2d $p |- ( ph -> ( ( th -/\ ps ) <-> ( th -/\ ch ) ) ) $=
      ( wb wnan nanbi2 syl ) ABCFDBGDCGFEBCDHI $.

    nanbi12d.2 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Join two logical equivalences with anti-conjunction.  (Contributed by
       Scott Fenton, 2-Jan-2018.) $)
    nanbi12d $p |- ( ph -> ( ( ps -/\ th ) <-> ( ch -/\ ta ) ) ) $=
      ( wb wnan nanbi12 syl2anc ) ABCHDEHBDICEIHFGBCDEJK $.
  $}

  $( A characterization of when an expression involving alternative denials
     associates.  Remark: alternative denial is commutative, see ~ nancom .
     (Contributed by Richard Penner, 29-Feb-2020.)  (Proof shortened by Wolf
     Lammen, 23-Oct-2022.) $)
  nanass $p |- ( ( ph <-> ch ) <->
                 ( ( ( ph -/\ ps ) -/\ ch ) <-> ( ph -/\ ( ps -/\ ch ) ) ) ) $=
    ( wb bicom1 nanbi2 nanbi12d wa wi nannan simpr imim2i sylbi wn nanan sylbir
    wnan simpl nancom bitri impbid21d pm5.1im syl2imc impbii nanbi2i bibi1i
    bija ) ACDZCBAQZQZABCQZQZDZABQZCQZULDUHUMUHCAUIUKACEACBFGUJULUHUJULACULABCH
    ZIACIABCJUPCABCKLMUJCBAHZICAICBAJUQACBAKLMUAULNZAUJNZCUHURAUKHAAUKOAUKRPUSC
    UIHCCUIOCUIRPACUBUCUGUDUJUOULUJCUNQUOUIUNCBASUECUNSTUFT $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Logical "xor"
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare connective for exclusive disjunction ("xor"). $)
  $c \/_ $.  $( Underlined "vee" (read:  "xor") $)

  $( Extend wff definition to include exclusive disjunction ("xor"). $)
  wxo $a wff ( ph \/_ ps ) $.

  $( Define exclusive disjunction (logical "xor").  Return true if either the
     left or right, but not both, are true.  After we define the constant true
     ` T. ` ( ~ df-tru ) and the constant false ` F. ` ( ~ df-fal ), we will be
     able to prove these truth table values: ` ( ( T. \/_ T. ) <-> F. ) `
     ( ~ truxortru ), ` ( ( T. \/_ F. ) <-> T. ) ` ( ~ truxorfal ),
     ` ( ( F. \/_ T. ) <-> T. ) ` ( ~ falxortru ), and
     ` ( ( F. \/_ F. ) <-> F. ) ` ( ~ falxorfal ).  Contrast with ` /\ `
     ( ~ df-an ), ` \/ ` ( ~ df-or ), ` -> ` ( ~ wi ), and ` -/\ `
     ( ~ df-nan ).  (Contributed by FL, 22-Nov-2010.) $)
  df-xor $a |- ( ( ph \/_ ps ) <-> -. ( ph <-> ps ) ) $.

  $( Two ways to write XNOR (exclusive not-or).  (Contributed by Mario
     Carneiro, 4-Sep-2016.) $)
  xnor $p |- ( ( ph <-> ps ) <-> -. ( ph \/_ ps ) ) $=
    ( wxo wb df-xor con2bii ) ABCABDABEF $.

  $( The connector ` \/_ ` is commutative.  (Contributed by Mario Carneiro,
     4-Sep-2016.)  (Proof shortened by Wolf Lammen, 21-Apr-2024.) $)
  xorcom $p |- ( ( ph \/_ ps ) <-> ( ps \/_ ph ) ) $=
    ( wxo wb wn df-xor bicom xchbinx bitr4i ) ABCZBADZEBACJABDKABFABGHBAFI $.

  $( Obsolete version of ~ xorcom as of 21-Apr-2024.  (Contributed by Mario
     Carneiro, 4-Sep-2016.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  xorcomOLD $p |- ( ( ph \/_ ps ) <-> ( ps \/_ ph ) ) $=
    ( wb wn wxo bicom notbii df-xor 3bitr4i ) ABCZDBACZDABEBAEJKABFGABHBAHI $.

  $( The connector ` \/_ ` is associative.  (Contributed by FL, 22-Nov-2010.)
     (Proof shortened by Andrew Salmon, 8-Jun-2011.)  (Proof shortened by Wolf
     Lammen, 20-Jun-2020.) $)
  xorass $p |- ( ( ( ph \/_ ps ) \/_ ch ) <-> ( ph \/_ ( ps \/_ ch ) ) ) $=
    ( wxo wb xor3 biass xnor bibi1i bibi2i 3bitr3i nbbn 3bitr2ri df-xor 3bitr4i
    wn ) ABDZCEPZABCDZEPZQCDASDTASPZEZQPZCEZRASFABEZCEABCEZEUDUBABCGUEUCCABHIUF
    UAABCHJKQCLMQCNASNO $.

  $( This tautology shows that xor is really exclusive.  (Contributed by FL,
     22-Nov-2010.) $)
  excxor $p |- ( ( ph \/_ ps ) <-> ( ( ph /\ -. ps ) \/ ( -. ph /\ ps ) ) ) $=
    ( wxo wb wn wa wo df-xor xor ancom orbi2i 3bitri ) ABCABDEABEFZBAEZFZGMNBFZ
    GABHABIOPMBNJKL $.

  $( Two ways to express "exclusive or".  (Contributed by Mario Carneiro,
     4-Sep-2016.) $)
  xor2 $p |- ( ( ph \/_ ps ) <-> ( ( ph \/ ps ) /\ -. ( ph /\ ps ) ) ) $=
    ( wxo wb wn wo wa df-xor nbi2 bitri ) ABCABDEABFABGEGABHABIJ $.

  $( Exclusive disjunction implies disjunction ("XOR implies OR").
     (Contributed by BJ, 19-Apr-2019.) $)
  xoror $p |- ( ( ph \/_ ps ) -> ( ph \/ ps ) ) $=
    ( wxo wo wa wn xor2 simplbi ) ABCABDABEFABGH $.

  $( Exclusive disjunction implies alternative denial ("XOR implies NAND").
     (Contributed by BJ, 19-Apr-2019.) $)
  xornan $p |- ( ( ph \/_ ps ) -> -. ( ph /\ ps ) ) $=
    ( wxo wo wa wn xor2 simprbi ) ABCABDABEFABGH $.

  $( XOR implies NAND (written with the ` -/\ ` connector).  (Contributed by
     BJ, 19-Apr-2019.) $)
  xornan2 $p |- ( ( ph \/_ ps ) -> ( ph -/\ ps ) ) $=
    ( wxo wa wn wnan xornan df-nan sylibr ) ABCABDEABFABGABHI $.

  $( The connector ` \/_ ` is negated under negation of one argument.
     (Contributed by Mario Carneiro, 4-Sep-2016.)  (Proof shortened by Wolf
     Lammen, 27-Jun-2020.) $)
  xorneg2 $p |- ( ( ph \/_ -. ps ) <-> -. ( ph \/_ ps ) ) $=
    ( wn wxo wb df-xor pm5.18 xnor 3bitr2i ) ABCZDAJECABEABDCAJFABGABHI $.

  $( The connector ` \/_ ` is negated under negation of one argument.
     (Contributed by Mario Carneiro, 4-Sep-2016.)  (Proof shortened by Wolf
     Lammen, 27-Jun-2020.) $)
  xorneg1 $p |- ( ( -. ph \/_ ps ) <-> -. ( ph \/_ ps ) ) $=
    ( wn wxo xorcom xorneg2 xchbinx bitri ) ACZBDBIDZABDZCIBEJBADKBAFBAEGH $.

  $( The connector ` \/_ ` is unchanged under negation of both arguments.
     (Contributed by Mario Carneiro, 4-Sep-2016.) $)
  xorneg $p |- ( ( -. ph \/_ -. ps ) <-> ( ph \/_ ps ) ) $=
    ( wn wxo xorneg1 xorneg2 con2bii bitr4i ) ACBCZDAIDZCABDZAIEJKABFGH $.

  ${
    xorbi12.1 $e |- ( ph <-> ps ) $.
    xorbi12.2 $e |- ( ch <-> th ) $.
    $( Equality property for exclusive disjunction.  (Contributed by Mario
       Carneiro, 4-Sep-2016.)  (Proof shortened by Wolf Lammen,
       21-Apr-2024.) $)
    xorbi12i $p |- ( ( ph \/_ ch ) <-> ( ps \/_ th ) ) $=
      ( wxo wb wn df-xor bibi12i xchbinx bitr4i ) ACGZBDHZIBDGNACHOACJABCDEFKLB
      DJM $.

    $( Obsolete version of ~ xorbi12i as of 21-Apr-2024.  (Contributed by Mario
       Carneiro, 4-Sep-2016.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    xorbi12iOLD $p |- ( ( ph \/_ ch ) <-> ( ps \/_ th ) ) $=
      ( wb wn wxo bibi12i notbii df-xor 3bitr4i ) ACGZHBDGZHACIBDINOABCDEFJKACL
      BDLM $.
  $}

  ${
    xor12d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    xor12d.2 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Equality property for exclusive disjunction.  (Contributed by Mario
       Carneiro, 4-Sep-2016.) $)
    xorbi12d $p |- ( ph -> ( ( ps \/_ th ) <-> ( ch \/_ ta ) ) ) $=
      ( wb wn wxo bibi12d notbid df-xor 3bitr4g ) ABDHZICEHZIBDJCEJAOPABCDEFGKL
      BDMCEMN $.
  $}

  $( Conjunction distributes over exclusive-or.  In intuitionistic logic this
     assertion is also true, even though ~ xordi does not necessarily hold, in
     part because the usual definition of xor is subtly different in
     intuitionistic logic.  (Contributed by David A. Wheeler, 7-Oct-2018.) $)
  anxordi $p |- ( ( ph /\ ( ps \/_ ch ) ) <->
      ( ( ph /\ ps ) \/_ ( ph /\ ch ) ) ) $=
    ( wb wn wa wxo xordi df-xor anbi2i 3bitr4i ) ABCDEZFABFZACFZDEABCGZFMNGABCH
    OLABCIJMNIK $.

  $( Exclusive-or variant of the law of the excluded middle ( ~ exmid ).  This
     statement is ancient, going back to at least Stoic logic.  This statement
     does not necessarily hold in intuitionistic logic.  (Contributed by David
     A. Wheeler, 23-Feb-2019.) $)
  xorexmid $p |- ( ph \/_ -. ph ) $=
    ( wn wxo wb pm5.19 df-xor mpbir ) AABZCAHDBAEAHFG $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Logical "nor"
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare connective for joint denial ("nor"). $)
  $c -\/ $.  $( Overlined "vee" (read:  "nor") $)

  $( Extend wff definition to include joint denial ("nor"). $)
  wnor $a wff ( ph -\/ ps ) $.

  $( Define joint denial ("not-or" or "nor").  After we define the constant
     true ` T. ` ( ~ df-tru ) and the constant false ` F. ` ( ~ df-fal ), we
     will be able to prove these truth table values:
     ` ( ( T. -\/ T. ) <-> F. ) ` ( ~ trunortru ), ` ( ( T. -\/ F. ) <-> F. ) `
     ( ~ trunorfal ), ` ( ( F. -\/ T. ) <-> F. ) ` ( ~ falnortru ), and
     ` ( ( F. -\/ F. ) <-> T. ) ` ( ~ falnorfal ).  Contrast with ` /\ `
     ( ~ df-an ), ` \/ ` ( ~ df-or ), ` -> ` ( ~ wi ), ` -/\ ` ( ~ df-nan ),
     and ` \/_ ` ( ~ df-xor ).  (Contributed by Remi, 25-Oct-2023.) $)
  df-nor $a |- ( ( ph -\/ ps ) <-> -. ( ph \/ ps ) ) $.

  $( The connector ` -\/ ` is commutative.  (Contributed by Remi, 25-Oct-2023.)
     (Proof shortened by Wolf Lammen, 23-Apr-2024.) $)
  norcom $p |- ( ( ph -\/ ps ) <-> ( ps -\/ ph ) ) $=
    ( wnor wo wn df-nor orcom xchbinx bitr4i ) ABCZBADZEBACJABDKABFABGHBAFI $.

  $( Obsolete version of ~ norcom as of 23-Apr-2024.  (Contributed by Remi,
     25-Oct-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  norcomOLD $p |- ( ( ph -\/ ps ) <-> ( ps -\/ ph ) ) $=
    ( wo wn wnor orcom notbii df-nor 3bitr4i ) ABCZDBACZDABEBAEJKABFGABHBAHI $.

  $( ` -. ` is expressible via ` -\/ ` .  (Contributed by Remi, 25-Oct-2023.)
     (Proof shortened by Wolf Lammen, 8-Dec-2023.) $)
  nornot $p |- ( -. ph <-> ( ph -\/ ph ) ) $=
    ( wnor wn wo df-nor oridm xchbinx bicomi ) AABZACIAADAAAEAFGH $.

  $( Obsolete version of ~ nornot as of 8-Dec-2023.  (Contributed by Remi,
     25-Oct-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  nornotOLD $p |- ( -. ph <-> ( ph -\/ ph ) ) $=
    ( wn wa wo wnor pm4.56 pm4.24 df-nor 3bitr4i ) ABZJCAADBJAAEAAFJGAAHI $.

  $( ` /\ ` is expressible via ` -\/ ` .  (Contributed by Remi, 26-Oct-2023.)
     (Proof shortened by Wolf Lammen, 8-Dec-2023.) $)
  noran $p |- ( ( ph /\ ps ) <-> ( ( ph -\/ ph ) -\/ ( ps -\/ ps ) ) ) $=
    ( wa wnor wo wn anor nornot orbi12i xchbinx df-nor bitr4i ) ABCZAADZBBDZEZF
    NODMAFZBFZEPABGQNROAHBHIJNOKL $.

  $( Obsolete version of ~ noran as of 8-Dec-2023.  (Contributed by Remi,
     26-Oct-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  noranOLD $p |- ( ( ph /\ ps ) <-> ( ( ph -\/ ph ) -\/ ( ps -\/ ps ) ) ) $=
    ( wnor wn wa ianor notbii nornot orbi12i ioran 3bitrri df-nor bitri notnotb
    wo 3bitr4ri ) AACZDBBCZDEZABEZDZDZQRCZTUBADZBDZOZDQROZDZSUAUFABFGUFUGUDQUER
    AHBHIGQRJZKUCUHSQRLUIMTNP $.

  $( ` \/ ` is expressible via ` -\/ ` .  (Contributed by Remi, 26-Oct-2023.)
     (Proof shortened by Wolf Lammen, 8-Dec-2023.) $)
  noror $p |- ( ( ph \/ ps ) <-> ( ( ph -\/ ps ) -\/ ( ph -\/ ps ) ) ) $=
    ( wo wnor wn df-nor con2bii nornot bitri ) ABCZABDZEKKDKJABFGKHI $.

  $( Obsolete version of ~ noror as of 8-Dec-2023.  (Contributed by Remi,
     26-Oct-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  nororOLD $p |- ( ( ph \/ ps ) <-> ( ( ph -\/ ps ) -\/ ( ph -\/ ps ) ) ) $=
    ( wnor wo wn notnotb df-nor notbii nornot 3bitr2ri bicomi ) ABCZLCZABDZNNEZ
    ELEMNFLOABGHLIJK $.

  $( This lemma shows the equivalence of two expressions, used in ~ norass .
     (Contributed by Wolf Lammen, 18-Dec-2023.) $)
  norasslem1 $p |- ( ( ( ph \/ ps ) -> ch ) <-> ( ( ph -\/ ps ) \/ ch ) ) $=
    ( wo wi wn wnor imor df-nor orbi1i bitr4i ) ABDZCELFZCDABGZCDLCHNMCABIJK $.

  $( This lemma specializes ~ biimt suitably for the proof of ~ norass .
     (Contributed by Wolf Lammen, 18-Dec-2023.) $)
  norasslem2 $p |- ( ph -> ( ps <-> ( ( ph \/ ch ) -> ps ) ) ) $=
    ( wo wi wb orc biimt syl ) AACDZBJBEFACGJBHI $.

  $( This lemma specializes ~ biorf suitably for the proof of ~ norass .
     (Contributed by Wolf Lammen, 18-Dec-2023.) $)
  norasslem3 $p |- ( -. ph -> ( ( ps -> ch ) <-> ( ( ph \/ ps ) -> ch ) ) ) $=
    ( wn wo biorf imbi1d ) ADBABECABFG $.

  $( A characterization of when an expression involving joint denials
     associates.  This is identical to the case when alternative denial is
     associative, see ~ nanass .  Remark:  Like alternative denial, joint
     denial is also commutative, see ~ norcom .  (Contributed by RP,
     29-Oct-2023.)  (Proof shortened by Wolf Lammen, 17-Dec-2023.) $)
  norass $p |- ( ( ph <-> ch ) <->
                 ( ( ( ph -\/ ps ) -\/ ch ) <-> ( ph -\/ ( ps -\/ ch ) ) ) ) $=
    ( wnor wo wb wn notbi wi norasslem1 bibi12i bicom norasslem2 bibi12d syl5bb
    impimprbi norasslem3 pm2.61i 3bitr4i df-nor norcom orbi1i orcom ) ABDZCEZAB
    CDZEZFZUEGZUGGZFACFZUDCDZAUFDZFUEUGHBAECIZBCEAIZFZBADZCEZUFAEZFUKUHUNURUOUS
    BACJBCAJKBUKUPFUKCAFBUPACLBCUNAUOBCAMBACMNOUKACIZCAIZFBGZUPACPVBUTUNVAUOBAC
    QBCAQNORUEURUGUSUDUQCABUAUBAUFUCKSULUIUMUJUDCTAUFTKS $.

  $( Obsolete version of ~ norass as of 17-Dec-2023.  (Contributed by RP,
     29-Oct-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  norassOLD $p |- ( ( ph <-> ch ) <->
                 ( ( ( ph -\/ ps ) -\/ ch ) <-> ( ph -\/ ( ps -\/ ch ) ) ) ) $=
    ( wb wn wa wnor notbid wi wo olc oran sylib anim1ci animorl ex df-nor ioran
    jcnd 3bitri bicomd anbi2d anbi12d con4d com12 anim12i 3imtr4i impbii norcom
    id dfbi2 notbii anbi2i bitri bibi12i bitr4i ) ACDZCEZBEZAEZFZEZFZUTUSURFZEZ
    FZDZABGZCGZABCGZGZDUQVGUQURUTVBVEUQUTURUQACUQUJHZUAUQVAVDUQUTURUSVLUBHUCVCV
    FIZVFVCIZFACIZCAIZFVGUQVMVOVNVPAVMCACVMAURVMEAURFZVCVFAVBURABAJZVBABKBALMNV
    QAVDJVFEAURVDOAVDLMSPUDUECVNACAVNCUTVNECUTFZVFVCCVEUTCBCJZVECBKBCLMNVSCVAJV
    CECUTVAOCVALMSPUDUEUFVCVFUKACUKUGUHVIVCVKVFVICVHGCVHJEZVCVHCUICVHQWAURVHEZF
    VCCVHRWBVBURVHVAVHBAGVREVAABUIBAQBARTULUMUNTVKAVJJEUTVJEZFVFAVJQAVJRWCVEUTV
    JVDVJVTEVDBCQBCRUNULUMTUOUP $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  True and false constants
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Universal quantifier for use by df-tru
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Even though it is not ordinarily part of propositional calculus, the
  universal quantifier ` A. ` is introduced here so that the soundness of
  Definition ~ df-tru can be checked by the same algorithm that is used for
  predicate calculus.  Its first real use is in Definition ~ df-ex in the
  predicate calculus section below.  For those who want propositional calculus
  to be self-contained, i.e., to use wff variables only, the alternate
  Definition ~ dftru2 may be adopted and this subsection moved down to the
  start of the subsection with ~ wex below.  However, the use of ~ dftru2 as a
  definition requires a more elaborate definition checking algorithm that we
  prefer to avoid.

$)

  $( Declare new symbols needed for predicate calculus. $)
  $c A. $.  $( "inverted A" universal quantifier (read:  "for all") $)
  $c setvar $.  $( Individual variable type (read:  "the following is an
                   individual (set) variable") $)

  $( Add 'setvar' as a typecode for bound variables. $)
  $( $j syntax 'setvar'; bound 'setvar'; $)

  ${
    $v x $.
    $( Let ` x ` be an individual variable (temporary declaration). $)
    vx.wal $f setvar x $.
    $( Extend wff definition to include the universal quantifier ("for all").
       ` A. x ph ` is read " ` ph ` (phi) is true for all ` x ` ".  Typically,
       in its final application ` ph ` would be replaced with a wff containing
       a (free) occurrence of the variable ` x ` , for example ` x = y ` .  In
       a universe with a finite number of objects, "for all" is equivalent to a
       big conjunction (AND) with one wff for each possible case of ` x ` .
       When the universe is infinite (as with set theory), such a
       propositional-calculus equivalent is not possible because an infinitely
       long formula has no meaning, but conceptually the idea is the same. $)
    wal $a wff A. x ph $.

    $( Register the universal quantifier 'A.' as a primitive expression
       (lacking a definition). $)
    $( $j primitive 'wal'; $)
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Equality predicate for use by df-tru
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Even though it is not ordinarily part of propositional calculus, the equality
  predicate ` = ` is introduced here so that the soundness of definition
  ~ df-tru can be checked by the same algorithm as is used for predicate
  calculus.  Its first real use is in Theorem ~ weq in the predicate calculus
  section below.  For those who want propositional calculus to be
  self-contained, i.e., to use wff variables only, the alternate definition
  ~ dftru2 may be adopted and this subsection moved down to just above ~ weq
  below.  However, the use of ~ dftru2 as a definition requires a more
  elaborate definition checking algorithm that we prefer to avoid.

$)

  $c class $.

  $( Add 'class' as a typecode. $)
  $( $j syntax 'class'; $)

  ${
    $v x $.
    $( Let ` x ` be an individual variable (temporary declaration). $)
    vx.cv $f setvar x $.
    $( This syntax construction states that a variable ` x ` , which has been
       declared to be a setvar variable by $f statement vx, is also a class
       expression.  This can be justified informally as follows.  We know that
       the class builder ` { y | y e. x } ` is a class by ~ cab .  Since (when
       ` y ` is distinct from ` x ` ) we have ` x = { y | y e. x } ` by
       ~ cvjust , we can argue that the syntax " ` class x ` " can be viewed as
       an abbreviation for " ` class { y | y e. x } ` ".  See the discussion
       under the definition of class in [Jech] p. 4 showing that "Every set can
       be considered to be a class".

       While it is tempting and perhaps occasionally useful to view ~ cv as a
       "type conversion" from a setvar variable to a class variable, keep in
       mind that ~ cv is intrinsically no different from any other
       class-building syntax such as ~ cab , ~ cun , or ~ c0 .

       For a general discussion of the theory of classes and the role of ~ cv ,
       see ~ mmset.html#class .

       (The description above applies to set theory, not predicate calculus.
       The purpose of introducing ` class x ` here, and not in set theory where
       it belongs, is to allow us to express, i.e., "prove", the ~ weq of
       predicate calculus from the ~ wceq of set theory, so that we do not
       overload the ` = ` connective with two syntax definitions.  This is done
       to prevent ambiguity that would complicate some Metamath parsers.) $)
    cv $a class x $.

    $( Register class-to-set promotion as a primitive expression (lacking a
       definition). $)
    $( $j primitive 'cv'; $)
  $}

  $( Declare the equality predicate symbol. $)
  $c = $.  $( Equal sign (read:  'is equal to') $)

  ${
    $v A $.
    $v B $.
    $( Temporary declarations of ` A ` and ` B ` . $)
    cA.wceq $f class A $.
    cB.wceq $f class B $.
    $( Extend wff definition to include class equality.

       For a general discussion of the theory of classes, see
       ~ mmset.html#class .

       (The purpose of introducing ` wff A = B ` here, and not in set theory
       where it belongs, is to allow us to express, i.e., "prove", the ~ weq of
       predicate calculus in terms of the ~ wceq of set theory, so that we do
       not "overload" the ` = ` connective with two syntax definitions.  This
       is done to prevent ambiguity that would complicate some Metamath
       parsers.  For example, some parsers - although not the Metamath program
       - stumble on the fact that the ` = ` in ` x = y ` could be the ` = ` of
       either ~ weq or ~ wceq , although mathematically it makes no difference.
       The class variables ` A ` and ` B ` are introduced temporarily for the
       purpose of this definition but otherwise not used in predicate calculus.
       See ~ df-cleq for more information on the set theory usage of
       ~ wceq .) $)
    wceq $a wff A = B $.

    $( Register class equality as a primitive expression (lacking a
       definition). $)
    $( $j primitive 'wceq'; $)
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The true constant
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c T. $.  $( Symbol for the true constant. $)

  $( The constant ` T. ` is a wff. $)
  wtru $a wff T. $.

  ${
    $v x $.
    $v y $.
    $( Temporary declarations of ` x ` and ` y ` for local use by ~ df-tru .
       These will be redeclared globally in the predicate calculus section. $)
    vx.tru $f setvar x $.
    vy.tru $f setvar y $.
    $( Soundness justification theorem for ~ df-tru .  Instance of
       ~ monothetic .  (Contributed by Mario Carneiro, 17-Nov-2013.)  (Revised
       by NM, 11-Jul-2019.) $)
    trujust $p |- ( ( A. x x = x -> A. x x = x )
                <-> ( A. y y = y -> A. y y = y ) ) $=
      ( cv wceq wal monothetic ) ACZGDAEBCZHDBEF $.

    $( Definition of the truth value "true", or "verum", denoted by ` T. ` .
       In this definition, an instance of ~ id is used as the definiens,
       although any tautology, such as an axiom, can be used in its place.
       This particular instance of ~ id was chosen so this definition can be
       checked by the same algorithm that is used for predicate calculus.  This
       definition should be referenced directly only by ~ tru , and other
       proofs should use ~ tru instead of this definition, since there are many
       alternate ways to define ` T. ` .  (Contributed by Anthony Hart,
       13-Oct-2010.)  (Revised by NM, 11-Jul-2019.)  Use ~ tru instead.
       (New usage is discouraged.) $)
    df-tru $a |- ( T. <-> ( A. x x = x -> A. x x = x ) ) $.

    $( The truth value ` T. ` is provable.  (Contributed by Anthony Hart,
       13-Oct-2010.) $)
    tru $p |- T. $=
      ( vx.tru wtru cv wceq wal wi id df-tru mpbir ) BACZJDAEZKFKGAHI $.
  $}

  $( An alternate definition of "true" (see comment of ~ df-tru ).  The
     associated justification theorem is ~ monothetic .  (Contributed by
     Anthony Hart, 13-Oct-2010.)  (Revised by BJ, 12-Jul-2019.)  Use ~ tru
     instead.  (New usage is discouraged.) $)
  dftru2 $p |- ( T. <-> ( ph -> ph ) ) $=
    ( wtru wi tru id 2th ) BAACDAEF $.

  $( A proposition is equivalent to it being implied by ` T. ` .  Closed form
     of ~ mptru .  Dual of ~ dfnot .  It is to ~ tbtru what ~ a1bi is to
     ~ tbt .  (Contributed by BJ, 26-Oct-2019.) $)
  trut $p |- ( ph <-> ( T. -> ph ) ) $=
    ( wtru tru a1bi ) BACD $.

  ${
    mptru.1 $e |- ( T. -> ph ) $.
    $( Eliminate ` T. ` as an antecedent.  A proposition implied by ` T. ` is
       true.  This is modus ponens ~ ax-mp when the minor hypothesis is ` T. `
       (which holds by ~ tru ).  (Contributed by Mario Carneiro,
       13-Mar-2014.) $)
    mptru $p |- ph $=
      ( wtru tru ax-mp ) CADBE $.
  $}

  $( A proposition is equivalent to itself being equivalent to ` T. ` .
     (Contributed by Anthony Hart, 14-Aug-2011.) $)
  tbtru $p |- ( ph <-> ( ph <-> T. ) ) $=
    ( wtru tru tbt ) BACD $.

  ${
    bitru.1 $e |- ph $.
    $( A theorem is equivalent to truth.  (Contributed by Mario Carneiro,
       9-May-2015.) $)
    bitru $p |- ( ph <-> T. ) $=
      ( wtru tru 2th ) ACBDE $.
  $}

  $( Anything implies ` T. ` .  Dual statement of ~ falim .  Deduction form of
     ~ tru .  Note on naming: in 2022, the theorem now known as ~ mptru was
     renamed from trud so if you are reading documentation written before that
     time, references to trud refer to what is now ~ mptru .  (Contributed by
     FL, 20-Mar-2011.)  (Proof shortened by Anthony Hart, 1-Aug-2011.) $)
  trud $p |- ( ph -> T. ) $=
    ( wtru tru a1i ) BACD $.

  $( True can be removed from a conjunction.  (Contributed by FL, 20-Mar-2011.)
     (Proof shortened by Wolf Lammen, 21-Jul-2019.) $)
  truan $p |- ( ( T. /\ ph ) <-> ph ) $=
    ( wtru wa tru biantrur bicomi ) ABACBADEF $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The false constant
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c F. $.  $( Symbol for the false constant. $)

  $( The constant ` F. ` is a wff. $)
  wfal $a wff F. $.

  $( Definition of the truth value "false", or "falsum", denoted by ` F. ` .
     See also ~ df-tru .  (Contributed by Anthony Hart, 22-Oct-2010.) $)
  df-fal $a |- ( F. <-> -. T. ) $.

  $( The truth value ` F. ` is refutable.  (Contributed by Anthony Hart,
     22-Oct-2010.)  (Proof shortened by Mel L. O'Cat, 11-Mar-2012.) $)
  fal $p |- -. F. $=
    ( wfal wtru wn tru notnoti df-fal mtbir ) ABCBDEFG $.

  $( The negation of a proposition is equivalent to itself being equivalent to
     ` F. ` .  (Contributed by Anthony Hart, 14-Aug-2011.) $)
  nbfal $p |- ( -. ph <-> ( ph <-> F. ) ) $=
    ( wfal fal nbn ) BACD $.

  ${
    bifal.1 $e |- -. ph $.
    $( A contradiction is equivalent to falsehood.  (Contributed by Mario
       Carneiro, 9-May-2015.) $)
    bifal $p |- ( ph <-> F. ) $=
      ( wfal fal 2false ) ACBDE $.
  $}

  $( The truth value ` F. ` implies anything.  Also called the "principle of
     explosion", or "ex falso [[sequitur]] quodlibet" (Latin for "from
     falsehood, anything [[follows]]").  Dual statement of ~ trud .
     (Contributed by FL, 20-Mar-2011.)  (Proof shortened by Anthony Hart,
     1-Aug-2011.) $)
  falim $p |- ( F. -> ph ) $=
    ( wfal fal pm2.21i ) BACD $.

  $( The truth value ` F. ` implies anything.  (Contributed by Mario Carneiro,
     9-Feb-2017.) $)
  falimd $p |- ( ( ph /\ F. ) -> ps ) $=
    ( wfal falim adantl ) CBABDE $.

  $( Given falsum ` F. ` , we can define the negation of a wff ` ph ` as the
     statement that ` F. ` follows from assuming ` ph ` .  (Contributed by
     Mario Carneiro, 9-Feb-2017.)  (Proof shortened by Wolf Lammen,
     21-Jul-2019.) $)
  dfnot $p |- ( -. ph <-> ( ph -> F. ) ) $=
    ( wfal wn wi wb fal mtt ax-mp ) BCACABDEFBAGH $.

  ${
    inegd.1 $e |- ( ( ph /\ ps ) -> F. ) $.
    $( Negation introduction rule from natural deduction.  (Contributed by
       Mario Carneiro, 9-Feb-2017.) $)
    inegd $p |- ( ph -> -. ps ) $=
      ( wfal wi wn ex dfnot sylibr ) ABDEBFABDCGBHI $.
  $}

  ${
    efald.1 $e |- ( ( ph /\ -. ps ) -> F. ) $.
    $( Deduction based on reductio ad absurdum.  (Contributed by Mario
       Carneiro, 9-Feb-2017.) $)
    efald $p |- ( ph -> ps ) $=
      ( wn inegd notnotrd ) ABABDCEF $.
  $}

  ${
    pm2.21fal.1 $e |- ( ph -> ps ) $.
    pm2.21fal.2 $e |- ( ph -> -. ps ) $.
    $( If a wff and its negation are provable, then falsum is provable.
       (Contributed by Mario Carneiro, 9-Feb-2017.) $)
    pm2.21fal $p |- ( ph -> F. ) $=
      ( wfal pm2.21dd ) ABECDF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Truth tables
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Some sources define logical connectives by their truth tables.  These are
  tables that give the truth value of the composed expression for all possible
  combinations of the truth values of their arguments.  In this section, we
  show that our definitions and axioms produce equivalent results for all the
  logical connectives we have introduced (either axiomatically or by a
  definition): implication ~ wi , negation ~ wn , biconditional ~ df-bi ,
  conjunction ~ df-an , disjunction ~ df-or , alternative denial ~ df-nan ,
  exclusive disjunction ~ df-xor .

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Implication
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( A ` -> ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.)  An
     alternate proof is possible using ~ trud instead of ~ id but the principle
     of identity ~ id is more basic, and the present proof indicates that the
     result still holds in relevance logic.
     (Proof modification is discouraged.) $)
  truimtru $p |- ( ( T. -> T. ) <-> T. ) $=
    ( wtru wi id bitru ) AABACD $.

  $( A ` -> ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.)  (Proof
     shortened by Andrew Salmon, 13-May-2011.) $)
  truimfal $p |- ( ( T. -> F. ) <-> F. ) $=
    ( wfal wtru wi trut bicomi ) ABACADE $.

  $( A ` -> ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.)  An
     alternate proof is possible using ~ falim instead of ~ trud but the
     present proof using ~ trud emphasizes that the result does not require the
     principle of explosion.  (Proof modification is discouraged.) $)
  falimtru $p |- ( ( F. -> T. ) <-> T. ) $=
    ( wfal wtru wi trud bitru ) ABCADE $.

  $( A ` -> ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.)  An
     alternate proof is possible using ~ falim instead of ~ id but the present
     proof using ~ id emphasizes that the result does not require the principle
     of explosion.  (Proof modification is discouraged.) $)
  falimfal $p |- ( ( F. -> F. ) <-> T. ) $=
    ( wfal wi id bitru ) AABACD $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Negation
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( A ` -. ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.) $)
  nottru $p |- ( -. T. <-> F. ) $=
    ( wfal wtru wn df-fal bicomi ) ABCDE $.

  $( A ` -. ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.)  (Proof
     shortened by Andrew Salmon, 13-May-2011.) $)
  notfal $p |- ( -. F. <-> T. ) $=
    ( wfal wn fal bitru ) ABCD $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Equivalence
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( A ` <-> ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.)  (Proof
     shortened by Andrew Salmon, 13-May-2011.) $)
  trubitru $p |- ( ( T. <-> T. ) <-> T. ) $=
    ( wtru wb biid bitru ) AABACD $.

  $( A ` <-> ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.)  (Proof
     shortened by Andrew Salmon, 13-May-2011.)  (Proof shortened by Wolf
     Lammen, 10-Jul-2020.) $)
  falbitru $p |- ( ( F. <-> T. ) <-> F. ) $=
    ( wfal wtru wb tbtru bicomi ) AABCADE $.

  $( A ` <-> ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.)  (Proof
     shortened by Andrew Salmon, 13-May-2011.)  (Proof shortened by Wolf
     Lammen, 10-Jul-2020.) $)
  trubifal $p |- ( ( T. <-> F. ) <-> F. ) $=
    ( wtru wfal wb bicom falbitru bitri ) ABCBACBABDEF $.

  $( A ` <-> ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.)  (Proof
     shortened by Andrew Salmon, 13-May-2011.) $)
  falbifal $p |- ( ( F. <-> F. ) <-> T. ) $=
    ( wfal wb biid bitru ) AABACD $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Conjunction
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( A ` /\ ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.) $)
  truantru $p |- ( ( T. /\ T. ) <-> T. ) $=
    ( wtru anidm ) AB $.

  $( A ` /\ ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.) $)
  truanfal $p |- ( ( T. /\ F. ) <-> F. ) $=
    ( wfal truan ) AB $.

  $( A ` /\ ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.) $)
  falantru $p |- ( ( F. /\ T. ) <-> F. ) $=
    ( wfal wtru wa fal intnanr bifal ) ABCABDEF $.

  $( A ` /\ ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.) $)
  falanfal $p |- ( ( F. /\ F. ) <-> F. ) $=
    ( wfal anidm ) AB $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Disjunction
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( A ` \/ ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.)  (Proof
     shortened by Andrew Salmon, 13-May-2011.) $)
  truortru $p |- ( ( T. \/ T. ) <-> T. ) $=
    ( wtru oridm ) AB $.

  $( A ` \/ ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.) $)
  truorfal $p |- ( ( T. \/ F. ) <-> T. ) $=
    ( wtru wfal wo tru orci bitru ) ABCABDEF $.

  $( A ` \/ ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.) $)
  falortru $p |- ( ( F. \/ T. ) <-> T. ) $=
    ( wfal wtru wo tru olci bitru ) ABCBADEF $.

  $( A ` \/ ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.)  (Proof
     shortened by Andrew Salmon, 13-May-2011.) $)
  falorfal $p |- ( ( F. \/ F. ) <-> F. ) $=
    ( wfal oridm ) AB $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Alternative denial
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( A ` -/\ ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.)  (Proof
     shortened by Andrew Salmon, 13-May-2011.) $)
  trunantru $p |- ( ( T. -/\ T. ) <-> F. ) $=
    ( wtru wnan wn wfal nannot nottru bitr3i ) AABACDAEFG $.

  $( A ` -/\ ` identity.  (Contributed by Anthony Hart, 23-Oct-2010.)  (Proof
     shortened by Andrew Salmon, 13-May-2011.)  (Proof shortened by Wolf
     Lammen, 10-Jul-2020.) $)
  trunanfal $p |- ( ( T. -/\ F. ) <-> T. ) $=
    ( wtru wfal wnan wn wa df-nan truanfal xchbinx notfal bitri ) ABCZBDAKABEBA
    BFGHIJ $.

  $( A ` -/\ ` identity.  (Contributed by Anthony Hart, 23-Oct-2010.)  (Proof
     shortened by Andrew Salmon, 13-May-2011.) $)
  falnantru $p |- ( ( F. -/\ T. ) <-> T. ) $=
    ( wfal wtru wnan nancom trunanfal bitri ) ABCBACBABDEF $.

  $( A ` -/\ ` identity.  (Contributed by Anthony Hart, 22-Oct-2010.)  (Proof
     shortened by Andrew Salmon, 13-May-2011.) $)
  falnanfal $p |- ( ( F. -/\ F. ) <-> T. ) $=
    ( wfal wnan wn wtru nannot notfal bitr3i ) AABACDAEFG $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Exclusive disjunction
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( A ` \/_ ` identity.  (Contributed by David A. Wheeler, 8-May-2015.) $)
  truxortru $p |- ( ( T. \/_ T. ) <-> F. ) $=
    ( wtru wxo wn wfal wb df-xor trubitru xchbinx nottru bitri ) AABZACDKAAEAAA
    FGHIJ $.

  $( A ` \/_ ` identity.  (Contributed by David A. Wheeler, 8-May-2015.) $)
  truxorfal $p |- ( ( T. \/_ F. ) <-> T. ) $=
    ( wtru wfal wxo wn wb df-xor trubifal xchbinx notfal bitri ) ABCZBDAKABEBAB
    FGHIJ $.

  $( A ` \/_ ` identity.  (Contributed by David A. Wheeler, 9-May-2015.)
     (Proof shortened by Wolf Lammen, 10-Jul-2020.) $)
  falxortru $p |- ( ( F. \/_ T. ) <-> T. ) $=
    ( wfal wtru wxo xorcom truxorfal bitri ) ABCBACBABDEF $.

  $( A ` \/_ ` identity.  (Contributed by David A. Wheeler, 9-May-2015.) $)
  falxorfal $p |- ( ( F. \/_ F. ) <-> F. ) $=
    ( wfal wxo wtru wn wb df-xor falbifal xchbinx nottru bitri ) AABZCDAKAAECAA
    FGHIJ $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Joint denial
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( A ` -\/ ` identity.  (Contributed by Remi, 25-Oct-2023.)  (Proof shortened
     by Wolf Lammen, 7-Dec-2023.) $)
  trunortru $p |- ( ( T. -\/ T. ) <-> F. ) $=
    ( wtru wnor wn wfal wo df-nor truortru xchbinx df-fal bitr4i ) AABZACDKAAEA
    AAFGHIJ $.

  $( Obsolete version of ~ trunortru as of 7-Dec-2023.  (Contributed by Remi,
     25-Oct-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  trunortruOLD $p |- ( ( T. -\/ T. ) <-> F. ) $=
    ( wtru wnor wo wn wfal df-nor tru orci notnoti bifal bitri ) AABAACZDZEAAFM
    LAAGHIJK $.

  $( A ` -\/ ` identity.  (Contributed by Remi, 25-Oct-2023.)  (Proof shortened
     by Wolf Lammen, 17-Dec-2023.) $)
  trunorfal $p |- ( ( T. -\/ F. ) <-> F. ) $=
    ( wtru wfal wnor wn wo df-nor truorfal xchbinx df-fal bitr4i ) ABCZADBKABEA
    ABFGHIJ $.

  $( Obsolete version of ~ trunorfal as of 17-Dec-2023.  (Contributed by Remi,
     25-Oct-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  trunorfalOLD $p |- ( ( T. -\/ F. ) <-> F. ) $=
    ( wtru wfal wnor wo wn df-nor tru orci notnoti bifal bitri ) ABCABDZEZBABFM
    LABGHIJK $.

  $( A ` -\/ ` identity.  (Contributed by Remi, 25-Oct-2023.) $)
  falnortru $p |- ( ( F. -\/ T. ) <-> F. ) $=
    ( wfal wtru wnor norcom trunorfal bitri ) ABCBACAABDEF $.

  $( A ` -\/ ` identity.  (Contributed by Remi, 25-Oct-2023.)  (Proof shortened
     by Wolf Lammen, 17-Dec-2023.) $)
  falnorfal $p |- ( ( F. -\/ F. ) <-> T. ) $=
    ( wfal wnor wn wtru wo df-nor falorfal xchbinx notfal bitri ) AABZACDKAAEAA
    AFGHIJ $.

  $( Obsolete version of ~ falnorfal as of 17-Dec-2023.  (Contributed by Remi,
     25-Oct-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  falnorfalOLD $p |- ( ( F. -\/ F. ) <-> T. ) $=
    ( wfal wnor wo wn wtru df-nor notfal bicomi falorfal xchbinx bitri ) AABAAC
    ZDZEAAFEMEALADEGHLAIHJHK $.

  $( Add support for natural deduction, indicating the constants used to
     indicate implication, context conjunction, and empty context. $)
  $( $j natded_init 'wi' 'wa' 'wtru'; $)

  $( These are variations on the assumption rule of natural deduction.
     They have the form ` Gamma -> ph ` where ` Gamma ` is composed entirely
     of (binary) conjunctions and one of the conjuncts is ` ph ` . $)
  $( $j natded_assume 'id' 'simpl' 'simpr'
          'simpll' 'simplr' 'simprl' 'simprr'
          'simplll' 'simpllr' 'simplrl' 'simplrr'
          'simprll' 'simprlr' 'simprrl' 'simprrr'
          'simp-4l' 'simp-4r' 'simp-5l' 'simp-5r'
          'simp-6l' 'simp-6r' 'simp-7l' 'simp-7r'
          'simp-8l' 'simp-8r' 'simp-9l' 'simp-9r'
          'simp-10l' 'simp-10r' 'simp-11l' 'simp-11r'; $)

  $( These are variations on the weakening lemma of natural deduction.
     They have the form ` _D -> ph |- _G -> ph ` where ` _G `
     and ` _D ` are composed entirely of (binary) conjunctions and
     ` _D C_ _G ` . $)
  $( $j natded_weak 'a1i' 'adantl' 'adantr'
          'adantll' 'adantlr' 'adantrl' 'adantrr'
          'adantlll' 'adantllr' 'adantlrl' 'adantlrr'
          'adantrll' 'adantrlr' 'adantrrl' 'adantrrr'
          'ad2antll' 'ad2antlr' 'ad2antrl' 'ad2antrr'
          'ad2ant2l' 'ad2ant2lr' 'ad2ant2rl' 'ad2ant2r'
          'ad3antlr' 'ad3antrrr' 'ad4antlr' 'ad4antr'
          'ad4antlr' 'ad4antr' 'ad5antlr' 'ad5antr'
          'ad6antlr' 'ad6antr' 'ad7antlr' 'ad7antr'
          'ad8antlr' 'ad8antr' 'ad9antlr' 'ad9antr'
          'ad10antlr' 'ad10antr'
          'anidms' 'ancoms' 'anasss' 'anassrs' 'an12s'  'ancom2s' 'an13s'
          'an32s' 'ancom1s' 'an31s' 'anass1rs' 'anabsan'  'anabss1' 'anabss4'
          'anabss5' 'anabss7' 'anabsan2' 'anabss3' 'an4s' 'an42s'
          'anandis' 'anandirs'; $)

  $( These are variations on the cut axiom (modus ponens) of natural deduction.
     All assumptions and the consequent have the form ` ph ` or ` _G -> ph `
     where ` _G ` is composed entirely of (binary) conjunctions, and possibly
     some intermediate statements are cancelled. (This does not include the
     "natded_assume" and "natded_weak" lists, which also count in this
     category.) $)
  $( $j natded_cut 'mp2b' 'mp1i' 'syl' '3syl' '4syl' 'syldan' 'sylan' 'sylan2'
          'syl2an' 'syl2anr' 'sylanl1' 'sylanl2' 'sylanr1' 'sylanr2' 'syl2anc'
          'sylancl' 'sylancr' 'sylancom' 'mpdan' 'mpancom' 'mpan' 'mpan2'
          'mp2an' 'mp4an' 'mpanl1' 'mpanl2' 'mpanl12' 'mpanr1' 'mpanr2'
          'mpanr12' 'mpanlr1' 'syl12anc' 'syl21anc' 'syl22anc'; $)

  $( Natural deduction rules for the logical connectives, defining the
     connective itself and natural deduction rules pertaining to it.
     These don't have a fixed form, except that all the statements should be
     parseable as natural deduction statements, i.e. ` ph ` or ` _G -> ph `
     where _G is a nested conjunction. $)
  $( $j natded_true 'wtru' with 'mptru' 'tru' 'trud';
        natded_imp 'wi' with 'ex' 'imp' 'mpd' 'ax-mp' 'syl' 'mpi';
        natded_and 'wa' with 'jca' 'pm3.2i' 'jca31' 'jca32' 'jctil' 'jctir'
          'jctl' 'jctr' 'ancli' 'ancri';
        natded_or 'wo' with 'olc' 'orc' 'olci' 'orci' 'olcd' 'orcd' 'olcs'
          'orcs' 'jaoi' 'jaod' 'jaodan' 'mpjaodan';
        natded_not 'wn' 'wfal' with 'falim' 'falimd' 'inegd' 'mtand' 'pm2.65da'
          'pm2.01da' 'pm2.18da' 'pm2.21dd' 'pm2.21fal' 'efald' 'pm2.18da'
          'notnotr' 'notnotrd'; $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Half adder and full adder in propositional calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Propositional calculus deals with truth values, which can be interpreted as
  bits.  Using this, we can define the half adder and the full adder in pure
  propositional calculus, and show their basic properties.

  The half adder adds two 1-bit numbers.  Its two outputs are the "sum" S and
  the "carry" C.  The real sum is then given by 2C+S.  The sum and carry
  correspond respectively to the logical exclusive disjunction ( ~ df-xor ) and
  the logical conjunction ( ~ df-an ).

  The full adder takes into account an "input carry", so it has three inputs
  and again two outputs, corresponding to the "sum" ( ~ df-had ) and "updated
  carry" ( ~ df-cad ).

  Here is a short description.  We code the bit 0 by ` F. ` and 1 by ` T. ` .
  Even though ` hadd ` and ` cadd ` are invariant under permutation of their
  arguments, assume for the sake of concreteness that ` ph ` (resp. ` ps ` ) is
  the i^th bit of the first (resp. second) number to add (with the convention
  that the i^th bit is the multiple of 2^i in the base-2 representation), and
  that ` ch ` is the i^th carry (with the convention that the 0^th carry is 0).
  Then, ` hadd ( ph , ps , ch ) ` gives the i^th bit of the sum, and
  ` cadd ( ph , ps , ch ) ` gives the (i+1)^th carry.  Then, addition is
  performed by iteration from i = 0 to i = 1 + (max of the number of digits of
  the two summands) by "updating" the carry.

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Full adder: sum
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c hadd $.

  $( Syntax for the "sum" output of the full adder.  (Contributed by Mario
     Carneiro, 4-Sep-2016.) $)
  whad $a wff hadd ( ph , ps , ch ) $.

  $( Definition of the "sum" output of the full adder (triple exclusive
     disjunction, or XOR3, or testing whether an odd number of parameters are
     true).  (Contributed by Mario Carneiro, 4-Sep-2016.) $)
  df-had $a |- ( hadd ( ph , ps , ch ) <-> ( ( ph \/_ ps ) \/_ ch ) ) $.

  ${
    hadbid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    hadbid.2 $e |- ( ph -> ( th <-> ta ) ) $.
    hadbid.3 $e |- ( ph -> ( et <-> ze ) ) $.
    $( Equality theorem for the adder sum.  (Contributed by Mario Carneiro,
       4-Sep-2016.) $)
    hadbi123d $p |- ( ph ->
      ( hadd ( ps , th , et ) <-> hadd ( ch , ta , ze ) ) ) $=
      ( wxo whad xorbi12d df-had 3bitr4g ) ABDKZFKCEKZGKBDFLCEGLAPQFGABCDEHIMJM
      BDFNCEGNO $.
  $}

  ${
    hadbii.1 $e |- ( ph <-> ps ) $.
    hadbii.2 $e |- ( ch <-> th ) $.
    hadbii.3 $e |- ( ta <-> et ) $.
    $( Equality theorem for the adder sum.  (Contributed by Mario Carneiro,
       4-Sep-2016.) $)
    hadbi123i $p |- ( hadd ( ph , ch , ta ) <-> hadd ( ps , th , et ) ) $=
      ( whad wb wtru a1i hadbi123d mptru ) ACEJBDFJKLABCDEFABKLGMCDKLHMEFKLIMNO
      $.
  $}

  $( Associative law for the adder sum.  (Contributed by Mario Carneiro,
     4-Sep-2016.) $)
  hadass $p |- ( hadd ( ph , ps , ch ) <-> ( ph \/_ ( ps \/_ ch ) ) ) $=
    ( whad wxo df-had xorass bitri ) ABCDABECEABCEEABCFABCGH $.

  $( The adder sum is the same as the triple biconditional.  (Contributed by
     Mario Carneiro, 4-Sep-2016.) $)
  hadbi $p |- ( hadd ( ph , ps , ch ) <-> ( ( ph <-> ps ) <-> ch ) ) $=
    ( wxo wb wn whad df-xor df-had xnor bibi1i nbbn bitri 3bitr4i ) ABDZCDOCEFZ
    ABCGABEZCEZOCHABCIROFZCEPQSCABJKOCLMN $.

  $( Commutative law for the adder sum.  (Contributed by Mario Carneiro,
     4-Sep-2016.)  (Proof shortened by Wolf Lammen, 17-Dec-2023.) $)
  hadcoma $p |- ( hadd ( ph , ps , ch ) <-> hadd ( ps , ph , ch ) ) $=
    ( wb whad bicom bibi1i hadbi 3bitr4i ) ABDZCDBADZCDABCEBACEJKCABFGABCHBACHI
    $.

  $( Obsolete version of ~ hadcoma as of 17-Dec-2023.  (Contributed by Mario
     Carneiro, 4-Sep-2016.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  hadcomaOLD $p |- ( hadd ( ph , ps , ch ) <-> hadd ( ps , ph , ch ) ) $=
    ( wxo whad xorcom biid xorbi12i df-had 3bitr4i ) ABDZCDBADZCDABCEBACEKLCCAB
    FCGHABCIBACIJ $.

  $( Commutative law for the adders sum.  (Contributed by Mario Carneiro,
     4-Sep-2016.) $)
  hadcomb $p |- ( hadd ( ph , ps , ch ) <-> hadd ( ph , ch , ps ) ) $=
    ( wxo whad biid xorcom xorbi12i hadass 3bitr4i ) ABCDZDACBDZDABCEACBEAAKLAF
    BCGHABCIACBIJ $.

  $( Rotation law for the adder sum.  (Contributed by Mario Carneiro,
     4-Sep-2016.) $)
  hadrot $p |- ( hadd ( ph , ps , ch ) <-> hadd ( ps , ch , ph ) ) $=
    ( whad hadcoma hadcomb bitri ) ABCDBACDBCADABCEBACFG $.

  $( The adder sum distributes over negation.  (Contributed by Mario Carneiro,
     4-Sep-2016.)  (Proof shortened by Wolf Lammen, 11-Jul-2020.) $)
  hadnot $p |- ( -. hadd ( ph , ps , ch ) <->
    hadd ( -. ph , -. ps , -. ch ) ) $=
    ( wb wn whad notbi bibi1i xor3 hadbi xchnxbir 3bitr4i ) ABDZCEZDZAEZBEZDZND
    ABCFZEPQNFMRNABGHMCDOSMCIABCJKPQNJL $.

  $( If the first input is true, then the adder sum is equivalent to the
     biconditionality of the other two inputs.  (Contributed by Mario Carneiro,
     4-Sep-2016.)  (Proof shortened by Wolf Lammen, 11-Jul-2020.) $)
  had1 $p |- ( ph -> ( hadd ( ph , ps , ch ) <-> ( ps <-> ch ) ) ) $=
    ( whad wb hadrot hadbi bitri biass mpbir biimpri ) ABCDZBCEZEZANAELMAEZELBC
    ADOABCFBCAGHLMAIJK $.

  $( If the first input is false, then the adder sum is equivalent to the
     exclusive disjunction of the other two inputs.  (Contributed by Mario
     Carneiro, 4-Sep-2016.)  (Proof shortened by Wolf Lammen, 12-Jul-2020.) $)
  had0 $p |- ( -. ph -> ( hadd ( ph , ps , ch ) <-> ( ps \/_ ch ) ) ) $=
    ( wn whad wxo wb had1 hadnot xnor notbi bitr3i 3bitr4g con4bid ) ADZABCEZBC
    FZOOBDZCDZERSGZPDQDZORSHABCIUABCGTBCJBCKLMN $.

  $( The value of the adder sum is, if the first input is true, the
     biconditionality, and if the first input is false, the exclusive
     disjunction, of the other two inputs.  (Contributed by BJ,
     11-Aug-2020.) $)
  hadifp $p |-
    ( hadd ( ph , ps , ch ) <-> if- ( ph , ( ps <-> ch ) , ( ps \/_ ch ) ) ) $=
    ( whad wb wxo had1 had0 casesifp ) AABCDBCEBCFABCGABCHI $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Full adder: carry
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c cadd $.

  $( Syntax for the "carry" output of the full adder.  (Contributed by Mario
     Carneiro, 4-Sep-2016.) $)
  wcad $a wff cadd ( ph , ps , ch ) $.

  $( Definition of the "carry" output of the full adder.  It is true when at
     least two arguments are true, so it is equal to the "majority" function on
     three variables.  See ~ cador and ~ cadan for alternate definitions.
     (Contributed by Mario Carneiro, 4-Sep-2016.) $)
  df-cad $a |- ( cadd ( ph , ps , ch ) <->
    ( ( ph /\ ps ) \/ ( ch /\ ( ph \/_ ps ) ) ) ) $.

  $( The adder carry in disjunctive normal form.  (Contributed by Mario
     Carneiro, 4-Sep-2016.)  (Proof shortened by Wolf Lammen, 11-Jul-2020.) $)
  cador $p |- ( cadd ( ph , ps , ch ) <->
        ( ( ph /\ ps ) \/ ( ph /\ ch ) \/ ( ps /\ ch ) ) ) $=
    ( wa wxo wo wcad w3o wn xor2 rbaib anbi1d ancom andir 3bitr3g pm5.74i df-or
    wi 3bitr4i df-cad 3orass ) ABDZCABEZDZFZUBACDZBCDZFZFZABCGUBUFUGHUBIZUDRUJU
    HRUEUIUJUDUHUJUCCDABFZCDUDUHUJUCUKCUCUKUJABJKLUCCMABCNOPUBUDQUBUHQSABCTUBUF
    UGUAS $.

  $( The adder carry in conjunctive normal form.  (Contributed by Mario
     Carneiro, 4-Sep-2016.)  (Proof shortened by Wolf Lammen, 25-Sep-2018.) $)
  cadan $p |- ( cadd ( ph , ps , ch ) <->
        ( ( ph \/ ps ) /\ ( ph \/ ch ) /\ ( ps \/ ch ) ) ) $=
    ( wcad wo w3a w3o df-3or cador andi orbi1i 3bitr4i ordir ordi orcom animorl
    wa wi wb bitr4i pm4.72 mpbi anbi12i 3bitri df-3an ) ABCDZABEZACEZQZBCEZQZUG
    UHUJFUFAUJQZBCQZEZAUMEZUJUMEZQUKABQZACQZUMGUQUREZUMEUFUNUQURUMHABCIULUSUMAB
    CJKLAUJUMMUOUIUPUJABCNUPUMUJEZUJUJUMOUMUJRUJUTSBCCPUMUJUAUBTUCUDUGUHUJUET
    $.

  ${
    cadbid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    cadbid.2 $e |- ( ph -> ( th <-> ta ) ) $.
    cadbid.3 $e |- ( ph -> ( et <-> ze ) ) $.
    $( Equality theorem for the adder carry.  (Contributed by Mario Carneiro,
       4-Sep-2016.) $)
    cadbi123d $p |- ( ph ->
      ( cadd ( ps , th , et ) <-> cadd ( ch , ta , ze ) ) ) $=
      ( wa wxo wo wcad anbi12d xorbi12d orbi12d df-cad 3bitr4g ) ABDKZFBDLZKZMC
      EKZGCELZKZMBDFNCEGNATUCUBUEABCDEHIOAFGUAUDJABCDEHIPOQBDFRCEGRS $.
  $}

  ${
    cadbii.1 $e |- ( ph <-> ps ) $.
    cadbii.2 $e |- ( ch <-> th ) $.
    cadbii.3 $e |- ( ta <-> et ) $.
    $( Equality theorem for the adder carry.  (Contributed by Mario Carneiro,
       4-Sep-2016.) $)
    cadbi123i $p |- ( cadd ( ph , ch , ta ) <-> cadd ( ps , th , et ) ) $=
      ( wcad wb wtru a1i cadbi123d mptru ) ACEJBDFJKLABCDEFABKLGMCDKLHMEFKLIMNO
      $.
  $}

  $( Commutative law for the adder carry.  (Contributed by Mario Carneiro,
     4-Sep-2016.) $)
  cadcoma $p |- ( cadd ( ph , ps , ch ) <-> cadd ( ps , ph , ch ) ) $=
    ( wa wxo wo wcad ancom xorcom anbi2i orbi12i df-cad 3bitr4i ) ABDZCABEZDZFB
    ADZCBAEZDZFABCGBACGNQPSABHORCABIJKABCLBACLM $.

  $( Commutative law for the adder carry.  (Contributed by Mario Carneiro,
     4-Sep-2016.)  (Proof shortened by Wolf Lammen, 11-Jul-2020.) $)
  cadcomb $p |- ( cadd ( ph , ps , ch ) <-> cadd ( ph , ch , ps ) ) $=
    ( wcad wo w3a cadan 3ancoma orcom 3anbi3i 3bitri bitr4i ) ABCDZACEZABEZCBEZ
    FZACBDMONBCEZFNORFQABCGONRHRPNOBCIJKACBGL $.

  $( Rotation law for the adder carry.  (Contributed by Mario Carneiro,
     4-Sep-2016.) $)
  cadrot $p |- ( cadd ( ph , ps , ch ) <-> cadd ( ps , ch , ph ) ) $=
    ( wcad cadcoma cadcomb bitri ) ABCDBACDBCADABCEBACFG $.

  $( The adder carry distributes over negation.  (Contributed by Mario
     Carneiro, 4-Sep-2016.)  (Proof shortened by Wolf Lammen, 11-Jul-2020.) $)
  cadnot $p |- ( -. cadd ( ph , ps , ch ) <->
    cadd ( -. ph , -. ps , -. ch ) ) $=
    ( wa wn w3a wo wcad ianor 3anbi123i w3o 3ioran cador xchnxbir cadan 3bitr4i
    ) ABDZEZACDZEZBCDZEZFZAEZBEZGZUDCEZGZUEUGGZFABCHZEUDUEUGHRUFTUHUBUIABIACIBC
    IJQSUAKUCUJQSUALABCMNUDUEUGOP $.

  $( If (at least) two inputs are true, then the adder carry is true.
     (Contributed by Mario Carneiro, 4-Sep-2016.) $)
  cad11 $p |- ( ( ph /\ ps ) -> cadd ( ph , ps , ch ) ) $=
    ( wa wxo wo wcad orc df-cad sylibr ) ABDZKCABEDZFABCGKLHABCIJ $.

  $( If one input is true, then the adder carry is true exactly when at least
     one of the other two inputs is true.  (Contributed by Mario Carneiro,
     8-Sep-2016.)  (Proof shortened by Wolf Lammen, 19-Jun-2020.) $)
  cad1 $p |- ( ch -> ( cadd ( ph , ps , ch ) <-> ( ph \/ ps ) ) ) $=
    ( wcad wo wa w3a cadan 3anass bitri olc jca biantrud bitr4id ) CABCDZABEZAC
    EZBCEZFZFZPOPQRGTABCHPQRIJCSPCQRCAKCBKLMN $.

  $( If one input is false, then the adder carry is true exactly when both of
     the other two inputs are true.  (Contributed by Mario Carneiro,
     8-Sep-2016.)  (Proof shortened by Wolf Lammen, 21-Sep-2024.) $)
  cad0 $p |- ( -. ch -> ( cadd ( ph , ps , ch ) <-> ( ph /\ ps ) ) ) $=
    ( wn wcad wa wxo wo df-cad idd pm2.21 adantrd jaod syl5bi cad11 impbid1 ) C
    DZABCEZABFZRSCABGZFZHQSABCIQSSUAQSJQCSTCSKLMNABCOP $.

  $( Obsolete version of ~ cad0 as of 21-Sep-2024.  (Contributed by Mario
     Carneiro, 8-Sep-2016.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  cad0OLD $p |- ( -. ch -> ( cadd ( ph , ps , ch ) <-> ( ph /\ ps ) ) ) $=
    ( wcad wa wxo wo wn df-cad idd pm2.21 adantrd jaod orc impbid1 syl5bb ) ABC
    DABEZCABFZEZGZCHZQABCIUATQUAQQSUAQJUACQRCQKLMQSNOP $.

  $( The value of the carry is, if the input carry is true, the disjunction,
     and if the input carry is false, the conjunction, of the other two inputs.
     (Contributed by BJ, 8-Oct-2019.) $)
  cadifp $p |-
      ( cadd ( ph , ps , ch ) <-> if- ( ch , ( ph \/ ps ) , ( ph /\ ps ) ) ) $=
    ( wcad wo wa cad1 cad0 casesifp ) CABCDABEABFABCGABCHI $.

  $( The adder carry is true as soon as its first two inputs are the truth
     constant.  (Contributed by Mario Carneiro, 4-Sep-2016.) $)
  cadtru $p |- cadd ( T. , T. , ph ) $=
    ( wtru wcad tru cad11 mp2an ) BBBBACDDBBAEF $.


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Other axiomatizations related to classical propositional calculus
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Minimal implicational calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Minimal implicational calculus, or intuitionistic implicational calculus, or
  positive implicational calculus, is the implicational fragment of minimal
  calculus (which is also the implicational fragment of intuitionistic calculus
  and of positive calculus).  It is sometimes called "C-pure intuitionism"
  since the letter C is sometimes used to denote implication, especially in
  prefix notation.  It can be axiomatized by the inference rule of modus ponens
  ~ ax-mp together with the axioms { ~ ax-1 , ~ ax-2 } (sometimes written KS),
  or with { ~ imim1 , ~ ax-1 , ~ pm2.43 } (written B'KW), or with { ~ imim2 ,
  ~ pm2.04 , ~ ax-1 , ~ pm2.43 } (written BCKW), or with the single axiom
  ~ minimp .  This section proves ~ minimp from { ~ ax-1 , ~ ax-2 }, and then
  the converse, due to Ivo Thomas.

  Sources for this section are the webpage
  ~ https://web.ics.purdue.edu/~~dulrich/C-pure-intuitionism-page.htm
  on Ted Ulrich's website, and the articles
  C. A. Meredith,
  _A single axiom of positive logic_,
  Journal of computing systems, vol. 1 (1953), 169--170,
  and
  C. A. Meredith, A. N. Prior,
  _Notes on the axiomatics of the propositional calculus_,
  Notre Dame Journal of Formal Logic, vol. 4 (1963), 171--187.

  We may use a compact notation for derivations known as the D-notation where
  "D" stands for "condensed Detachment".  For instance, "D21" means detaching
  ~ ax-1 from ~ ax-2 , that is, using modus ponens ~ ax-mp with ~ ax-1 as minor
  premise and ~ ax-2 as major premise.  D-strings are accepted by the grammar
  Dstr := digit | "D" Dstr Dstr.

  (Contributed by BJ, 11-Apr-2021.)

$)

  $( A single axiom for minimal implicational calculus, due to Meredith.  Other
     single axioms of the same length are known, but it is thought to be the
     minimal length.  Among single axioms of this length, it is the one with
     simplest antecedents (i.e., in the corresponding ordering of binary trees
     which first compares left subtrees, it is the first one).  (Contributed by
     BJ, 4-Apr-2021.) $)
  minimp $p |- ( ph ->
  ( ( ps -> ch ) -> ( ( ( th -> ps ) -> ( ch -> ta ) ) -> ( ps -> ta ) ) ) ) $=
    ( wi jarr a2d com12 a1i ) BCFZDBFCEFZFZBEFZFFAMKNMBCEDBLGHIJ $.
  $( $j usage 'minimp' avoids 'ax-3'; $)

  $( Derivation of Syll-Simp ( ~ jarr ) from ~ ax-mp and ~ minimp .
     (Contributed by BJ, 4-Apr-2021.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  minimp-syllsimp $p |- ( ( ( ph -> ps ) -> ch ) -> ( ps -> ch ) ) $=
    ( wi minimp ax-mp mp2 mp2b ) ABDZIDZJJDJDDZICDZDZLDZILCDZDZLBCDZDZJLIDZJDJD
    DZKDZITDZMDTLDDZNTIIIIETTTDZUDUDDUDDDDZUAUCDTTTTTEUETKILEFMMMDZUFUFDUFDDDZM
    TDUCNDMMMMMEMIILIEUGMTUBLEGHIKDZINDSNODDZPDDZNPDZIIIIIEUHINLOENNNDZULULDULD
    DDZNUIDUJUKDNNNNNENLIKCEUMNUIIPEGHLLLDZUNUNDUNDDDZLPDBLDPQDDZRDDZPRDZLLLLLE
    UOLPBQEPPPDZUSUSDUSDDDZPUPDUQURDPPPPPEPBLACEUTPUPLREGHH $.

  $( Derivation of ~ ax-1 from ~ ax-mp and ~ minimp .  (Contributed by BJ,
     4-Apr-2021.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  minimp-ax1 $p |- ( ph -> ( ps -> ph ) ) $=
    ( wi minimp-syllsimp ax-mp ) ABCZACBACZCAGCABADFAGDE $.

  $( Derivation of a commuted form of ~ ax-2 from ~ ax-mp and ~ minimp .
     (Contributed by BJ, 4-Apr-2021.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  minimp-ax2c $p |- ( ( ph -> ps ) ->
                                ( ( ph -> ( ps -> ch ) ) -> ( ph -> ch ) ) ) $=
    ( wi minimp ax-mp mp2 minimp-syllsimp ) ABDZAADZJJDJDDZADZBCDZDZACDZDZDZPAM
    DZODZDZISDZAKDZQAAAAAEUBABKCEFRRDZPDSDZTRUCUCUCDUCDDDZRNDZUDRRRRRELLDZRDNDZ
    UFLUGUGUGDUGDDDZLADZUHLLLLLEZLKDZUBLDLDZUJLAAAAEKKKDZUNUNDUNDDDZUNUMKKKKKEK
    AAAAEUOKKAAEGUIULUMUJDDUKUILKUBAEFGUILALMEGUGRNHFUERNROEGUCPSHFSQDZIIDZTDUA
    DZTUADZDZDQUSDZDZUTVAQQQDZVCVCDVCDDDZQURDZVBQQQQQEIUQUQUQDUQDDDZVEIIIIIEVFI
    PISEFVDQURSUSEGUQTUAHUPUTVAHGG $.

  $( Derivation of ~ ax-2 from ~ ax-mp and ~ minimp .  (Contributed by BJ,
     4-Apr-2021.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  minimp-ax2 $p |- ( ( ph -> ( ps -> ch ) ) ->
                                          ( ( ph -> ps ) -> ( ph -> ch ) ) ) $=
    ( wi minimp-ax2c minimp-syllsimp ax-mp mp2 ) ABDZABCDDZACDZDDZJLIKDZDZDZJMD
    ZABCEIJDNDOIJKEIJNFGJLDOPDZDLQDJLMEJLQFGH $.

  $( Derivation of ~ pm2.43 (also called "hilbert" or W) from ~ ax-mp and
     ~ minimp .  It uses the classical derivation from ~ ax-1 and ~ ax-2
     written DD22D21 in D-notation (see head comment for an explanation) and
     shortens the proof using ~ mp2 (which only requires ~ ax-mp ).
     (Contributed by BJ, 31-May-2021.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  minimp-pm2.43 $p |- ( ( ph -> ( ph -> ps ) ) -> ( ph -> ps ) ) $=
    ( wi minimp-ax2 minimp-ax1 ax-mp mp2 ) AABCZCZAACZHCCIJCZIHCAABDAHACCKAHEAH
    ADFIJHDG $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Implicational Calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Implicational calculus is the fragment of propositional logic that uses only
  material implication, and not negation.  It can be axiomatized by inference
  rule modus ponens ~ ax-mp together with the axioms { ~ ax-1 , ~ ax-2 ,
  ~ peirce } or the Tarski-Bernays axioms { ~ ax-1 , ~ imim1 , ~ peirce } or
  with the single axiom { ~ impsingle }.  From either one of these three axiom
  sets, all tautologies containing only material implication may be proved.  In
  contrast, minimal implicational calculus, which is presented just before this
  section, cannot prove certain tautologies ( ~ peirce , for example ).  The
  class of theorems proved by minimal implicational calculus is thus a subset
  of the class of theorems proved by implicational calculus.

  The primary source for this section is the paper by Jan Lukasiewicz, _The
  Shortest Axiom of the Implicational Calculus of Propositions_, Proceedings
  of the Royal Irish Academy, Section A, vol. 52 (1948-1950), 25--33.  It will
  be cited as simply "Lukasiewicz" in the remainder of this section.

  This section proves that the above three distinct axiom sets for
  implicational calculus all produce the same class of theorems.

  (Contributed by Larry Lesyna and Jeffrey P. Machado, 1-Aug-2023.)

$)

  $( The shortest single axiom for implicational calculus, due to Lukasiewicz.
     It is now known to be the _unique_ shortest axiom.  The axiom is proved
     here starting from { ~ ax-1 , ~ ax-2 and ~ peirce }.  (Contributed by
     Larry Lesyna and Jeffrey P. Machado, 18-Jul-2023.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  impsingle $p |- ( ( ( ph -> ps ) -> ch )
     -> ( ( ch -> ph ) -> ( th -> ph ) ) ) $=
    ( wi imim1 peirce a1d syl6 ) ABEZCECAEJAEZDAEJCAFKADABGHI $.

  $( Derivation of impsingle-step4 from ~ ax-mp and ~ impsingle .  It is used
     as a lemma in proofs of ~ imim1 and ~ peirce from ~ impsingle .  It is
     Step 4 in Lukasiewicz, where it appears as 'CCCpqpCsp' using
     parenthesis-free prefix notation.  (Contributed by Larry Lesyna and
     Jeffrey P. Machado, 2-Aug-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  impsingle-step4 $p |- ( ( ( ph -> ps ) -> ph ) -> ( ch -> ph ) ) $=
    ( wta wet wze wsi wth wi impsingle ax-mp ) DEIFIFDIGDIIIZABIZAICAIIZDEFGJAH
    IZMIZNIZLNIZAHMCJNMIPIZQRIMMINISABMCJMMNOJKNMPLJKKK $.

  $( Derivation of impsingle-step8 from ~ ax-mp and ~ impsingle .  It is used
     as a lemma in proofs of ~ ax-1 ~ imim1 and ~ peirce from ~ impsingle .  It
     is Step 8 in Lukasiewicz, where it appears as 'CCCsqpCqp' using
     parenthesis-free prefix notation.  (Contributed by Larry Lesyna and
     Jeffrey P. Machado, 2-Aug-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  impsingle-step8 $p |- ( ( ( ph -> ps ) -> ch ) -> ( ps -> ch ) ) $=
    ( wta wet wze wsi wth wi impsingle ax-mp ) DEIFIFDIGDIIIZABIZCIZBCIZIZDEFGJ
    ZCHIZMIZPIZLPIZCHMBJPMISIZTUAIMOIPIZUBOBIMIZUCLUDQBHIZOIZUDIZLUDIZBHOAJUDOI
    UFIZUGUHIOOIUDIUIBCOAJOOUDUEJKUDOUFLJKKKOBMNJKMOPRJKPMSLJKKK $.

  $( Derivation of impsingle-ax1 ( ~ ax-1 ) from ~ ax-mp and ~ impsingle .
     Lukasiewicz was used to construct this proof.  Every formula corresponding
     to a detachment step was converted to its corresponding Metamath formula.
     mmj2 was used to unify each formula using ~ ax-mp , which in turn produced
     this proof.  With extremely high confidence, this result shows that the
     Lukasiewicz proof of ~ ax-1 (step 27) is correct and that Metamath
     correctly verifies the proof.  The same comments apply to the proofs that
     follow this one.  (Contributed by Larry Lesyna and Jeffrey P. Machado,
     2-Aug-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  impsingle-ax1 $p |- ( ph -> ( ps -> ph ) ) $=
    ( wch wi impsingle-step8 ax-mp ) CBDZADBADZDAHDCBAEGAHEF $.

  $( Derivation of impsingle-step15 from ~ ax-mp and ~ impsingle .  It is used
     as a lemma in proofs of ~ imim1 and ~ peirce from ~ impsingle .  It is
     Step 15 in Lukasiewicz, where it appears as 'CCCrqCspCCrpCsp' using
     parenthesis-free prefix notation.  (Contributed by Larry Lesyna and
     Jeffrey P. Machado, 2-Aug-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  impsingle-step15 $p |- ( ( ( ph -> ps ) -> ( ch -> th ) )
                              -> ( ( ph -> th ) -> ( ch -> th ) ) ) $=
    ( wla wta wsi wrh wmu wet wze wi impsingle impsingle-step8 ax-mp ) DELZALZA
    DLZCDLZLZLZABLZSLZTLZDEACMFGLHLHFLIFLLLZUAUDLZFGHIMTJLZQLZUFLZUEUFLZTJQUCMU
    FQLUHLZUIUJLQUDLUFLZUKUDALQLZULUBUDLZUMSKLZUBLUDLUNSKUBRMUOUBUDNOABUDPMOUDA
    QUAMOQUDUFUGMOUFQUHUEMOOOO $.

  $( Derivation of impsingle-step18 from ~ ax-mp and ~ impsingle .  It is used
     as a lemma in proofs of ~ imim1 and ~ peirce from ~ impsingle .  It is
     Step 18 in Lukasiewicz, where it appears as 'CCCCrpCspCCCpqrtCuCCCpqrt'
     using parenthesis-free prefix notation.  (Contributed by Larry Lesyna and
     Jeffrey P. Machado, 2-Aug-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  impsingle-step18 $p |- ( ( ( ( ph -> ps ) -> ( ch -> ps ) )
                               -> ( ( ( ps -> th ) -> ph ) -> ta ) )
                 -> ( et -> ( ( ( ps -> th ) -> ph ) -> ta ) ) ) $=
    ( wrh wi impsingle impsingle-step8 ax-mp impsingle-step15 ) BDHAHZEHZCBHZHZ
    ABHZOHZHZRNHFNHHMRHZSBDACINSHZTSHOGHZNHSHUAOGNQIUBNSJKMEPRLKKNORFIK $.

  $( Derivation of impsingle-step19 from ~ ax-mp and ~ impsingle .  It is used
     as a lemma in proofs of ~ imim1 and ~ peirce from ~ impsingle .  It is
     Step 19 in Lukasiewicz, where it appears as 'CCCCspqCrpCCCpqrCsp' using
     parenthesis-free prefix notation.  (Contributed by Larry Lesyna and
     Jeffrey P. Machado, 2-Aug-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  impsingle-step19 $p |- ( ( ( ( ph -> ps ) -> ch ) -> ( th -> ps ) )
                        -> ( ( ( ps -> ch ) -> th ) -> ( ph -> ps ) ) ) $=
    ( wta wet wze wsi wrh wmu wi impsingle-step18 ax-mp ) EFKGFKKFHKEKIKZKJNKKZ
    ABKZCKDBKZKZBCKDKZPKZKZEFGHIJLQPKTKUAKOUAKDBACPRLQPSCTOLMM $.

  $( Derivation of impsingle-step20 from ~ ax-mp and ~ impsingle .  It is used
     as a lemma in proofs of ~ imim1 and ~ peirce from ~ impsingle .  It is
     Step 20 in Lukasiewicz, where it appears as 'CCCCrppCspCCCpqrCsp' using
     parenthesis-free prefix notation.  (Contributed by Larry Lesyna and
     Jeffrey P. Machado, 2-Aug-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  impsingle-step20 $p |- ( ( ( ( ph -> ps ) -> ps ) -> ( ch -> ps ) )
                          -> ( ( ( ps -> th ) -> ph ) -> ( ch -> ps ) ) ) $=
    ( wta wze wsi wrh wet wi impsingle-step19 impsingle impsingle-step8 ax-mp )
    CBJZDJZABJZJZBDJAJZOJZJZQBJZOJZTJZCBDAKEFJGJGEJHEJJJZUAUDJZEFGHLTIJZRJZUFJZ
    UEUFJZTIRUCLUFRJUHJZUIUJJRUDJUFJZUKUDQJRJZULUBUDJZUMOEJZUBJUDJUNOEUBSLUOUBU
    DMNQBUDPLNUDQRUALNRUDUFUGLNUFRUHUELNNNN $.

  $( Derivation of impsingle-step21 from ~ ax-mp and ~ impsingle .  It is used
     as a lemma in the proof of ~ imim1 from ~ impsingle .  It is Step 21 in
     Lukasiewicz, where it appears as 'CCCCprqqCCqrCpr' using parenthesis-free
     prefix notation.  (Contributed by Larry Lesyna and Jeffrey P. Machado,
     2-Aug-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  impsingle-step21 $p |- ( ( ( ( ph -> ps ) -> ch ) -> ch )
                           -> ( ( ch -> ps ) -> ( ph -> ps ) ) ) $=
    ( wi impsingle-step15 impsingle-step20 ax-mp ) CABDZDHDCBDZHDZDHCDCDJDCHABE
    CHICFG $.

  $( Derivation of impsingle-step22 from ~ ax-mp and ~ impsingle .  It is used
     as a lemma in proofs of ~ imim1 and ~ peirce from ~ impsingle .  It is
     Step 22 in Lukasiewicz, where it appears as 'Cpp' using parenthesis-free
     prefix notation.  (Contributed by Larry Lesyna and Jeffrey P. Machado,
     2-Aug-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  impsingle-step22 $p |- ( ph -> ph ) $=
    ( wth wmu wla wps wi impsingle-step4 impsingle ax-mp ) BCFBFDBFFZAAFZBCDGAE
    FZAFZKFZJKFZAEAGKAFMFNOFAALGKAMJHIII $.

  $( Derivation of impsingle-step25 from ~ ax-mp and ~ impsingle .  It is used
     as a lemma in the proof of ~ imim1 from ~ impsingle .  It is Step 25 in
     Lukasiewicz, where it appears as 'CCpqCCCprqq' using parenthesis-free
     prefix notation.  (Contributed by Larry Lesyna and Jeffrey P. Machado,
     2-Aug-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  impsingle-step25 $p |- ( ( ph -> ps )
                         -> ( ( ( ph -> ch ) -> ps ) -> ps ) ) $=
    ( wth wi impsingle-step22 impsingle-step20 impsingle-step8 impsingle-step15
    ax-mp ) ACEZKBEZBEZEZABEMEBDEZKEMEZNMMEPMFKBLDGJOKMHJACLBIJ $.

  $( Derivation of impsingle-imim1 ( ~ imim1 ) from ~ ax-mp and ~ impsingle .
     It is step 29 in Lukasiewicz.  (Contributed by Larry Lesyna and Jeffrey P.
     Machado, 2-Aug-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  impsingle-imim1 $p |- ( ( ph -> ps )
                          -> ( ( ps -> ch ) -> ( ph -> ch ) ) ) $=
    ( wi impsingle-step21 impsingle-step25 ax-mp ) ACDZBDBDZBCDHDZDZABDZJDZACBE
    MIDIDZKMDLIDNABCFLIJFGLJIEGG $.

  $( Derivation of impsingle-peirce ( ~ peirce ) from ~ ax-mp and ~ impsingle .
     It is step 28 in Lukasiewicz.  (Contributed by Larry Lesyna and Jeffrey P.
     Machado, 2-Aug-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  impsingle-peirce $p |- ( ( ( ph -> ps ) -> ph ) -> ph ) $=
    ( wi impsingle-step22 impsingle-step25 ax-mp ) AACABCACACADAABEF $.

  $( Derivation of ~ ax-2 from the Tarski-Bernays axiom set { ~ ax-1 ,
     ~ imim1 , ~ peirce }.  Note that no inference rule other than ~ ax-mp is
     used in this proof.  This proof establishes a circle of equivalence:  From
     { ~ impsingle }, { ~ ax-1 , ~ imim1 , ~ peirce } was proved.  From {
     ~ ax-1 , ~ imim1 , ~ peirce }, { ~ ax-1 , ~ ax-2 and ~ peirce } was
     proved.  From { ~ ax-1 , ~ ax-2 and ~ peirce }, { ~ impsingle } was
     proved.  Therefore, the theorems that can be proved by selecting any one
     of these three distinct axiom sets must be equivalent.  Prover9 and mmj2
     were used to help constuct this proof.  (Contributed by Larry Lesyna and
     Jeffrey P. Machado, 1-Aug-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  tarski-bernays-ax2 $p |- ( ( ph -> ( ps -> ch ) )
                             -> ( ( ph -> ps ) -> ( ph -> ch ) ) ) $=
    ( wi peirce ax-1 ax-mp imim1 ) ABDZABCDZDZACDZDZDZKILDZDZJLDZMDZNKQLDZDZRJC
    DZLDZSDZTQUBLDZDZUCLCDZUADZUDDZUEUBUFLDZDZUDDZUHUILDZUDDZUDDZUKUMUNDZUNUMUL
    DZUOULUPLCEULUMFGUMULUDHGUNUDDUNDZUNDZUOUNDZUNUDEUOUQDURUSDUMUNUDHUOUQUNHGG
    GUJUMDUNUKDUBUILHUJUMUDHGGUGUJDUKUHDUFUALHUGUJUDHGGQUGDUHUEDJLCHQUGUDHGGUBU
    DLDZDZUEUCDZUDUBDZUTDZVAUDUTDZUTDZVDUTLDUTDZUTDZVFUTLEVEVGDVHVFDUDUTLHVEVGU
    THGGVCVEDVFVDDUDUBLHVCVEUTHGGUBVCDVDVADUBUDFUBVCUTHGGUTSDZUCDZVBDZVAVBDZUEV
    IDVKQUDLHUEVIUCHGVAVJDVKVLDUBUTSHVAVJVBHGGGGKUBDUCTDAJCHKUBSHGGQSLDZDZTRDZS
    QDZVMDZVNSVMDZVMDZVQVMLDVMDZVMDZVSVMLEVRVTDWAVSDSVMLHVRVTVMHGGVPVRDVSVQDSQL
    HVPVRVMHGGQVPDVQVNDQSFQVPVMHGGVMMDZRDZVODZVNVODZTWBDWDKSLHTWBRHGVNWCDWDWEDQ
    VMMHVNWCVOHGGGGIQDRNDABCHIQMHGGKMLDZDZNPDZMKDZWFDZWGMWFDZWFDZWJWFLDWFDZWFDZ
    WLWFLEWKWMDWNWLDMWFLHWKWMWFHGGWIWKDWLWJDMKLHWIWKWFHGGKWIDWJWGDKMFKWIWFHGGWF
    ODZPDZWHDZWGWHDZNWODWQIMLHNWOPHGWGWPDWQWRDKWFOHWGWPWHHGGGG $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derive the Lukasiewicz axioms from Meredith's sole axiom
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Carew Meredith's sole axiom for propositional calculus.  This amazing
     formula is thought to be the shortest possible single axiom for
     propositional calculus with inference rule ~ ax-mp , where negation and
     implication are primitive.  Here we prove Meredith's axiom from ~ ax-1 ,
     ~ ax-2 , and ~ ax-3 .  Then from it we derive the Lukasiewicz axioms
     ~ luk-1 , ~ luk-2 , and ~ luk-3 .  Using these we finally rederive our
     axioms as ~ ax1 , ~ ax2 , and ~ ax3 , thus proving the equivalence of all
     three systems.  C. A. Meredith, "Single Axioms for the Systems (C,N),
     (C,O) and (A,N) of the Two-Valued Propositional Calculus", _The Journal of
     Computing Systems_ vol. 1 (1953), pp. 155-164.  Meredith claimed to be
     close to a proof that this axiom is the shortest possible, but the proof
     was apparently never completed.

     An obscure Irish lecturer, Meredith (1904-1976) became enamored with logic
     somewhat late in life after attending talks by Lukasiewicz and produced
     many remarkable results such as this axiom.  From his obituary:  "He did
     logic whenever time and opportunity presented themselves, and he did it on
     whatever materials came to hand: in a pub, his favored pint of porter
     within reach, he would use the inside of cigarette packs to write proofs
     for logical colleagues."  (Contributed by NM, 14-Dec-2002.)  (Proof
     shortened by Andrew Salmon, 25-Jul-2011.)  (Proof shortened by Wolf
     Lammen, 28-May-2013.) $)
  meredith $p |- ( ( ( ( ( ph -> ps ) -> ( -. ch -> -. th ) ) -> ch ) ->
       ta ) -> ( ( ta -> ph ) -> ( th -> ph ) ) ) $=
    ( wi wn pm2.21 con4 imim12i com13 con1d com12 a1d ax-1 imim1d ja ) ABFZCGDG
    FZFZCFZEEAFZDAFZFUAGZUCUBDUDADAUATAGZDCUERSDCFABHCDIJKLMNEDEAEDOPQ $.

  $( Step 3 of Meredith's proof of Lukasiewicz axioms from his sole axiom.
     (The step numbers refer to Meredith's original paper.)  (Contributed by
     NM, 14-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  merlem1 $p |- ( ( ( ch -> ( -. ph -> ps ) ) -> ta ) -> ( ph -> ta ) ) $=
    ( wn wi meredith ax-mp ) DAEZFIBFZEZIFFZJFCJFZFZMDFADFFJDECEFZEKEFZFOFDFLFN
    IBOKDGJPDCLGHDIJAMGH $.

  $( Step 4 of Meredith's proof of Lukasiewicz axioms from his sole axiom.
     (Contributed by NM, 14-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  merlem2 $p |- ( ( ( ph -> ph ) -> ch ) -> ( th -> ch ) ) $=
    ( wi wn merlem1 meredith ax-mp ) BBDZAECEZDDADAADZDKBDCBDDAJIAFBBACKGH $.

  $( Step 7 of Meredith's proof of Lukasiewicz axioms from his sole axiom.
     (Contributed by NM, 14-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  merlem3 $p |- ( ( ( ps -> ch ) -> ph ) -> ( ch -> ph ) ) $=
    ( wi wn merlem2 ax-mp meredith ) AADZCEZJDZDZCDBCDZDZMADCADZDOBEZPDDBDZLDZN
    KKDLDRJKIFKLQFGCABBLHGAACCMHG $.

  $( Step 8 of Meredith's proof of Lukasiewicz axioms from his sole axiom.
     (Contributed by NM, 14-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  merlem4 $p |- ( ta -> ( ( ta -> ph ) -> ( th -> ph ) ) ) $=
    ( wi wn meredith merlem3 ax-mp ) AADBEZIDDBDZCDCADBADDZDCKDAABBCFKJCGH $.

  $( Step 11 of Meredith's proof of Lukasiewicz axioms from his sole axiom.
     (Contributed by NM, 14-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  merlem5 $p |- ( ( ph -> ps ) -> ( -. -. ph -> ps ) ) $=
    ( wi wn meredith merlem1 merlem4 ax-mp ) BBCZBDZJCCBCBCIICCZABCZADZDZBCCZBB
    BBBEIJNDCCBCZACZOCZKOCZBBBNAEOKDZCMTCCZACQCZRSCUAUBMBLTFAPUAGHOTAKQEHHH $.

  $( Step 12 of Meredith's proof of Lukasiewicz axioms from his sole axiom.
     (Contributed by NM, 14-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  merlem6 $p |- ( ch -> ( ( ( ps -> ch ) -> ph ) -> ( th -> ph ) ) ) $=
    ( wi merlem4 merlem3 ax-mp ) BCEZIAEDAEEZECJEADIFJBCGH $.

  $( Between steps 14 and 15 of Meredith's proof of Lukasiewicz axioms from his
     sole axiom.  (Contributed by NM, 22-Dec-2002.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merlem7 $p |- ( ph -> ( ( ( ps -> ch ) -> th ) -> ( ( ( ch -> ta ) ->
                  ( -. th -> -. ps ) ) -> th ) ) ) $=
    ( wi wn merlem4 merlem6 meredith ax-mp ) BCFZLDFZCEFDGBGFFZDFZFZFZAPFZDNLHP
    AGZFCGZSFFZCFLFZQRFOUAFUBSMOTICEDBUAJKPSCALJKK $.

  $( Step 15 of Meredith's proof of Lukasiewicz axioms from his sole axiom.
     (Contributed by NM, 22-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  merlem8 $p |- ( ( ( ps -> ch ) -> th ) -> ( ( ( ch -> ta ) ->
                  ( -. th -> -. ps ) ) -> th ) ) $=
    ( wph wi wn meredith merlem7 ax-mp ) EEFZEGZLFFEFEFKKFFZABFCFBDFCGAGFFCFFEE
    EEEHMABCDIJ $.

  $( Step 18 of Meredith's proof of Lukasiewicz axioms from his sole axiom.
     (Contributed by NM, 22-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  merlem9 $p |- ( ( ( ph -> ps ) -> ( ch -> ( th -> ( ps -> ta ) ) ) ) ->
                    ( et -> ( ch -> ( th -> ( ps -> ta ) ) ) ) ) $=
    ( wi wn merlem6 merlem8 ax-mp meredith ) CDBEGZGZGZFHZGBHZPGGZBGABGZGZSOGFO
    GGMRHDHGZHAHGZGUAGRGZTNRGUCPCNQIDMRUBJKBEUAARLKOPBFSLK $.

  $( Step 19 of Meredith's proof of Lukasiewicz axioms from his sole axiom.
     (Contributed by NM, 14-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  merlem10 $p |- ( ( ph -> ( ph -> ps ) ) -> ( th -> ( ph -> ps ) ) ) $=
    ( wi wn meredith merlem9 ax-mp ) AADZAEZJDDADADIIDDZAABDZDZCLDDZAAAAAFLADJC
    EDDADZADNDKNDLAACAFOAMCBKGHH $.

  $( Step 20 of Meredith's proof of Lukasiewicz axioms from his sole axiom.
     (Contributed by NM, 14-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  merlem11 $p |- ( ( ph -> ( ph -> ps ) ) -> ( ph -> ps ) ) $=
    ( wi wn meredith merlem10 ax-mp ) AACZADZICCACACHHCCZAABCZCZKCZAAAAAELMCJMC
    ABLFLKJFGG $.

  $( Step 28 of Meredith's proof of Lukasiewicz axioms from his sole axiom.
     (Contributed by NM, 14-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  merlem12 $p |- ( ( ( th -> ( -. -. ch -> ch ) ) -> ph ) -> ph ) $=
    ( wn wi merlem5 merlem2 ax-mp merlem4 merlem11 ) CBDDBEZEZAEZMAEZEZNLOBBEKE
    LBBFBKCGHAMLIHMAJH $.

  $( Step 35 of Meredith's proof of Lukasiewicz axioms from his sole axiom.
     (Contributed by NM, 14-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  merlem13 $p |- ( ( ph -> ps ) ->
              ( ( ( th -> ( -. -. ch -> ch ) ) -> -. -. ph ) -> ps ) ) $=
    ( wi wn merlem12 merlem5 ax-mp merlem6 meredith merlem11 ) BBEZAFZDCFFCEEZN
    FZEZFZEZEAEZAEZABEQBEETUAEZUASUBOREZREZSRCDGRBEZRFPEZEREUCEZUDSEUFUGQPEUFPC
    DGQPHIRUEUFOJIRBRNUCKIIAMSTJITALIBBAQAKI $.

  $( 1 of 3 axioms for propositional calculus due to Lukasiewicz, derived from
     Meredith's sole axiom.  (Contributed by NM, 14-Dec-2002.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  luk-1 $p |- ( ( ph -> ps ) -> ( ( ps -> ch ) -> ( ph -> ch ) ) ) $=
    ( wi wn meredith merlem13 ax-mp ) CCDZAEZEZEJDDKDBDZBCDACDDZDZABDZMDZCCKABF
    MADZOEZEZERDDSDLDZNPDOLDTABJIGOLRQGHMASOLFHH $.

  $( 2 of 3 axioms for propositional calculus due to Lukasiewicz, derived from
     Meredith's sole axiom.  (Contributed by NM, 14-Dec-2002.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  luk-2 $p |- ( ( -. ph -> ph ) -> ph ) $=
    ( wn wi merlem5 merlem4 ax-mp merlem11 meredith ) ABZACZJACZCZKAJBZCIBMCCZI
    CZICZLOPCZPNQAMDIONEFOIGFAMIJIHFJAGF $.

  $( 3 of 3 axioms for propositional calculus due to Lukasiewicz, derived from
     Meredith's sole axiom.  (Contributed by NM, 14-Dec-2002.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  luk-3 $p |- ( ph -> ( -. ph -> ps ) ) $=
    ( wn wi merlem11 merlem1 ax-mp ) ACZHBDZDIDAIDHBEABHIFG $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derive the standard axioms from the Lukasiewicz axioms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    luklem1.1 $e |- ( ph -> ps ) $.
    luklem1.2 $e |- ( ps -> ch ) $.
    $( Used to rederive standard propositional axioms from Lukasiewicz'.
       (Contributed by NM, 23-Dec-2002.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    luklem1 $p |- ( ph -> ch ) $=
      ( wi luk-1 ax-mp ) BCFZACFZEABFIJFDABCGHH $.
  $}

  $( Used to rederive standard propositional axioms from Lukasiewicz'.
     (Contributed by NM, 22-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  luklem2 $p |- ( ( ph -> -. ps ) ->
                ( ( ( ph -> ch ) -> th ) -> ( ps -> th ) ) ) $=
    ( wn wi luk-1 luk-3 ax-mp luklem1 ) ABEZFZBACFZFZMDFBDFFLKCFZMFZNAKCGBOFPNF
    BCHBOMGIJBMDGJ $.

  $( Used to rederive standard propositional axioms from Lukasiewicz'.
     (Contributed by NM, 22-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  luklem3 $p |- ( ph -> ( ( ( -. ph -> ps ) -> ch ) -> ( th -> ch ) ) ) $=
    ( wn wi luk-3 luklem2 luklem1 ) AAEZDEZFJBFCFDCFFAKGJDBCHI $.

  $( Used to rederive standard propositional axioms from Lukasiewicz'.
     (Contributed by NM, 22-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  luklem4 $p |- ( ( ( ( -. ph -> ph ) -> ph ) -> ps ) -> ps ) $=
    ( wn wi luk-2 luklem3 ax-mp luk-1 luklem1 ) ACADADZBDZBCZBDZBLJDZKMDJCJDJDZ
    NJEJONDAEJJJLFGGLJBHGBEI $.

  $( Used to rederive standard propositional axioms from Lukasiewicz'.
     (Contributed by NM, 22-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  luklem5 $p |- ( ph -> ( ps -> ph ) ) $=
    ( wn wi luklem3 luklem4 luklem1 ) AACADADBADZDHAAABEAHFG $.

  $( Used to rederive standard propositional axioms from Lukasiewicz'.
     (Contributed by NM, 22-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  luklem6 $p |- ( ( ph -> ( ph -> ps ) ) -> ( ph -> ps ) ) $=
    ( wi luk-1 wn luklem5 luklem2 luklem4 luklem1 ax-mp ) AABCZCKBCZKCZKAKBDKEZ
    KCZKCMKCZCZPMOCZQNLCRNBEZNCZLNSFTSBCBCLCLSKBBGBLHIINLKDJMOKDJKPHJI $.

  $( Used to rederive standard propositional axioms from Lukasiewicz'.
     (Contributed by NM, 22-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  luklem7 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ps -> ( ph -> ch ) ) ) $=
    ( wi luk-1 luklem5 luklem1 luklem6 ax-mp ) ABCDZDJCDZACDZDZBLDZAJCEBKDMNDBJ
    KDZKBJBDOBJFJBCEGJCHGBKLEIG $.

  $( Used to rederive standard propositional axioms from Lukasiewicz'.
     (Contributed by NM, 22-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  luklem8 $p |- ( ( ph -> ps ) -> ( ( ch -> ph ) -> ( ch -> ps ) ) ) $=
    ( wi luk-1 luklem7 ax-mp ) CADZABDZCBDZDDIHJDDCABEHIJFG $.

  $( Standard propositional axiom derived from Lukasiewicz axioms.
     (Contributed by NM, 22-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  ax1 $p |- ( ph -> ( ps -> ph ) ) $=
    ( luklem5 ) ABC $.

  $( Standard propositional axiom derived from Lukasiewicz axioms.
     (Contributed by NM, 22-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  ax2 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ( ph -> ps ) -> ( ph -> ch ) ) ) $=
    ( wi luklem7 luklem8 luklem6 ax-mp luklem1 ) ABCDDBACDZDZABDZJDZABCEKLAJDZD
    ZMBJAFNJDOMDACGNJLFHII $.

  $( Standard propositional axiom derived from Lukasiewicz axioms.
     (Contributed by NM, 22-Dec-2002.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  ax3 $p |- ( ( -. ph -> -. ps ) -> ( ps -> ph ) ) $=
    ( wn wi luklem2 luklem4 luklem1 ) ACZBCDHADADBADZDIHBAAEAIFG $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derive Nicod's axiom from the standard axioms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Prove Nicod's axiom and implication and negation definitions.

$)

  $( This theorem "defines" implication in terms of 'nand'.  Analogous to
     ~ nanim .  In a pure (standalone) treatment of Nicod's axiom, this theorem
     would be changed to a definition ($a statement).  (Contributed by NM,
     11-Dec-2008.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  nic-dfim $p |- ( ( ( ph -/\ ( ps -/\ ps ) ) -/\ ( ph -> ps ) ) -/\
                   ( ( ( ph -/\ ( ps -/\ ps ) ) -/\ ( ph -/\ ( ps -/\ ps ) ) )
                                   -/\ ( ( ph -> ps ) -/\ ( ph -> ps ) ) ) ) $=
    ( wnan wi wb nanim bicomi nanbi mpbi ) ABBCCZABDZEJKCJJCKKCCCKJABFGJKHI $.

  $( This theorem "defines" negation in terms of 'nand'.  Analogous to
     ~ nannot .  In a pure (standalone) treatment of Nicod's axiom, this
     theorem would be changed to a definition ($a statement).  (Contributed by
     NM, 11-Dec-2008.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  nic-dfneg $p |- ( ( ( ph -/\ ph ) -/\ -. ph ) -/\
           ( ( ( ph -/\ ph ) -/\ ( ph -/\ ph ) ) -/\ ( -. ph -/\ -. ph ) ) ) $=
    ( wnan wn wb nannot bicomi nanbi mpbi ) AABZACZDIJBIIBJJBBBJIAEFIJGH $.

  ${
    $( Minor premise. $)
    nic-jmin $e |- ph $.
    $( Major premise. $)
    nic-jmaj $e |- ( ph -/\ ( ch -/\ ps ) ) $.
    $( Derive Nicod's rule of modus ponens using 'nand', from the standard one.
       Although the major and minor premise together also imply ` ch ` , this
       form is necessary for useful derivations from ~ nic-ax .  In a pure
       (standalone) treatment of Nicod's axiom, this theorem would be changed
       to an axiom ($a statement).  (Contributed by Jeff Hoffman, 19-Nov-2007.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    nic-mp $p |- ps $=
      ( wnan wa wi nannan mpbi simprd ax-mp ) ABDACBACBFFACBGHEACBIJKL $.

    $( A direct proof of ~ nic-mp .  (Contributed by NM, 30-Dec-2008.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    nic-mpALT $p |- ps $=
      ( wa wi wn wnan df-nan anbi2i xchbinx mpbi iman mpbir simprd ax-mp ) ABDA
      CBACBFZGARHZFZHZACBIZIZUAEUCAUBFTAUBJUBSACBJKLMARNOPQ $.
  $}

  $( Nicod's axiom derived from the standard ones.  See _Introduction to
     Mathematical Philosophy_ by B. Russell, p. 152.  Like ~ meredith , the
     usual axioms can be derived from this and vice versa.  Unlike ~ meredith ,
     Nicod uses a different connective ('nand'), so another form of modus
     ponens must be used in proofs, e.g., ` { ` ~ nic-ax , ~ nic-mp ` } ` is
     equivalent to ` { ` ~ luk-1 , ~ luk-2 , ~ luk-3 , ~ ax-mp ` } ` .  In a
     pure (standalone) treatment of Nicod's axiom, this theorem would be
     changed to an axiom ($a statement).  (Contributed by Jeff Hoffman,
     19-Nov-2007.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  nic-ax $p |- ( ( ph -/\ ( ch -/\ ps ) ) -/\ ( ( ta -/\ ( ta -/\ ta ) ) -/\
               ( ( th -/\ ch ) -/\ ( ( ph -/\ th ) -/\ ( ph -/\ th ) ) ) ) ) $=
    ( wnan wa wi nannan biimpi simpl imim2i wn imnan df-nan bitr4i imim2d con2b
    con3 mpbir 3bitr4ri syl6ibr syl5bir nanim sylib 3syl pm4.24 jctil ) ACBFFZE
    EEFFZDCFZADFZULFFZFFUIUJUMGHUIUMUJUIACBGZHZACHZUMUIUOACBIJUNCACBKLUPUKULHUM
    UKDCMZHZUPULURDCGMUKDCNDCOPUPURDAMZHZULUPUQUSDACSQADMHADGMUTULADNDARADOUAUB
    UCUKULUDUEUFUJEEEGZHEVAEUGJEEEITUHUIUJUMIT $.

  $( A direct proof of ~ nic-ax .  (Contributed by NM, 11-Dec-2008.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  nic-axALT $p |- ( ( ph -/\ ( ch -/\ ps ) ) -/\ ( ( ta -/\ ( ta -/\ ta ) )
           -/\ ( ( th -/\ ch ) -/\ ( ( ph -/\ th ) -/\ ( ph -/\ th ) ) ) ) ) $=
    ( wnan wa wn anidm df-nan anbi2i notbii iman 3bitr4i bitr4i xchbinx anbi12i
    wi imnan mpbir simpl imim2i con3 imim2d biimpri jctil con2b bitr3i 3bitri
    syl ) ACBFZFZEEEFZFZDCFZADFZUPFZFZFZFULUSGZHZVAACBGZRZEEEGZRZDCHZRZDAHZRZRZ
    GZRZVCVJVEVCACRZVJVBCACBUAUBVMVFVHDACUCUDUJVDEEIUEUFVAVCVKHZGZHVLUTVOULVCUS
    VNAUKGZHAVBHZGZHULVCVPVRUKVQACBJKLAUKJAVBMNUSUNURGVKUNURJUNVEURVJEUMGZHEVDH
    ZGZHUNVEVSWAUMVTEEEJKLEUMJEVDMNUOUQGZHVGVIHZGZHURVJWBWDUOVGUQWCUODCGHVGDCJD
    CSOUQUPUPGZVIUPUPJWEUPADGHZVIUPIADJWFADHRVIADSADUGUHUIPQLUOUQJVGVIMNQPQLVCV
    KMOTULUSJT $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derive the Lukasiewicz axioms from Nicod's axiom
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $( Minor premise. $)
    nic-imp.1 $e |- ( ph -/\ ( ch -/\ ps ) ) $.
    $( Inference for ~ nic-mp using ~ nic-ax as major premise.  (Contributed by
       Jeff Hoffman, 17-Nov-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    nic-imp $p |- ( ( th -/\ ch ) -/\ ( ( ph -/\ th ) -/\ ( ph -/\ th ) ) ) $=
      ( wta wnan nic-ax nic-mp ) ACBGGDCGADGZJGGFFFGGEABCDFHI $.
  $}

  $( Lemma for ~ nic-id .  (Contributed by Jeff Hoffman, 17-Nov-2007.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  nic-idlem1 $p |- ( ( th -/\ ( ta -/\ ( ta -/\ ta ) ) ) -/\
                 ( ( ( ph -/\ ( ch -/\ ps ) ) -/\ th ) -/\
                   ( ( ph -/\ ( ch -/\ ps ) ) -/\ th ) ) ) $=
    ( wnan nic-ax nic-imp ) ACBFFACFAAFZIFFEEEFFDABCAEGH $.

  ${
    nic-idlem2.1 $e |- ( et -/\ ( ( ph -/\ ( ch -/\ ps ) ) -/\ th ) ) $.
    $( Lemma for ~ nic-id .  Inference used by ~ nic-id .  (Contributed by Jeff
       Hoffman, 17-Nov-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    nic-idlem2 $p |- ( ( th -/\ ( ta -/\ ( ta -/\ ta ) ) ) -/\ et ) $=
      ( wnan nic-ax nic-imp nic-mp ) FACBHHZDHZHDEEEHHZHZFHZPGOMMFLACHAAHZQHHND
      ABCAEIJJK $.
  $}

  $( Theorem ~ id expressed with ` -/\ ` .  (Contributed by Jeff Hoffman,
     17-Nov-2007.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  nic-id $p |- ( ta -/\ ( ta -/\ ta ) ) $=
    ( wph wps wch wth wnan nic-ax nic-idlem2 nic-idlem1 nic-mp ) BCFZCBFZLFFZDD
    DFZFZFZCCCFFZFAAAFFZOEEEMDQCCCBEGHMNDPCORFKLLOAIHJ $.

  $( The connector ` -/\ ` is symmetric.  (Contributed by Jeff Hoffman,
     17-Nov-2007.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  nic-swap $p |- ( ( th -/\ ph ) -/\ ( ( ph -/\ th ) -/\ ( ph -/\ th ) ) ) $=
    ( wta wnan nic-id nic-ax nic-mp ) AAADDBADABDZHDDCCCDDAEAAABCFG $.

  ${
    nic-isw1.1 $e |- ( th -/\ ph ) $.
    $( Inference version of ~ nic-swap .  (Contributed by Jeff Hoffman,
       17-Nov-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    nic-isw1 $p |- ( ph -/\ th ) $=
      ( wnan nic-swap nic-mp ) BADABDZGCABEF $.
  $}

  ${
    nic-isw2.1 $e |- ( ps -/\ ( th -/\ ph ) ) $.
    $( Inference for swapping nested terms.  (Contributed by Jeff Hoffman,
       17-Nov-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    nic-isw2 $p |- ( ps -/\ ( ph -/\ th ) ) $=
      ( wnan nic-swap nic-imp nic-mp nic-isw1 ) BACEZBCAEZEJBEZLDJKKBCAFGHI $.
  $}

  ${
    nic-iimp1.1 $e |- ( ph -/\ ( ch -/\ ps ) ) $.
    nic-iimp1.2 $e |- ( th -/\ ch ) $.
    $( Inference version of ~ nic-imp using right-handed term.  (Contributed by
       Jeff Hoffman, 17-Nov-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    nic-iimp1 $p |- ( th -/\ ph ) $=
      ( wnan nic-imp nic-mp nic-isw1 ) DADCGADGZKFABCDEHIJ $.
  $}

  ${
    nic-iimp2.1 $e |- ( ( ph -/\ ps ) -/\ ( ch -/\ ch ) ) $.
    nic-iimp2.2 $e |- ( th -/\ ph ) $.
    $( Inference version of ~ nic-imp using left-handed term.  (Contributed by
       Jeff Hoffman, 17-Nov-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    nic-iimp2 $p |- ( th -/\ ( ch -/\ ch ) ) $=
      ( wnan nic-isw1 nic-iimp1 ) CCGZBADJABGEHFI $.
  $}

  ${
    nic-idel.1 $e |- ( ph -/\ ( ch -/\ ps ) ) $.
    $( Inference to remove the trailing term.  (Contributed by Jeff Hoffman,
       17-Nov-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    nic-idel $p |- ( ph -/\ ( ch -/\ ch ) ) $=
      ( wnan nic-id nic-isw1 nic-imp nic-mp ) CCEZCEAJEZKJCCFGABCJDHI $.
  $}

  ${
    nic-ich.1 $e |- ( ph -/\ ( ps -/\ ps ) ) $.
    nic-ich.2 $e |- ( ps -/\ ( ch -/\ ch ) ) $.
    $( Chained inference.  (Contributed by Jeff Hoffman, 17-Nov-2007.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    nic-ich $p |- ( ph -/\ ( ch -/\ ch ) ) $=
      ( wnan nic-isw1 nic-imp nic-mp ) CCFZBFAJFZKJBEGABBJDHI $.
  $}

  ${
    nic-idbl.1 $e |- ( ph -/\ ( ps -/\ ps ) ) $.
    $( Double the terms.  Since doubling is the same as negation, this can be
       viewed as a contraposition inference.  (Contributed by Jeff Hoffman,
       17-Nov-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    nic-idbl $p |- ( ( ps -/\ ps ) -/\ ( ( ph -/\ ph ) -/\ ( ph -/\ ph ) ) ) $=
      ( wnan nic-imp nic-ich ) BBDABDAADABBBCEABBACEF $.
  $}

  $( Biconditional justification from Nicod's axiom.  For nic-* definitions,
     the biconditional connective is not used.  Instead, definitions are made
     based on this form. ~ nic-bi1 and ~ nic-bi2 are used to convert the
     definitions into usable theorems about one side of the implication.
     (Contributed by Jeff Hoffman, 18-Nov-2007.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  nic-bijust $p |- ( ( ta -/\ ta ) -/\ ( ( ta -/\ ta ) -/\ ( ta -/\ ta ) ) ) $=
    ( nic-swap ) AAB $.

  ${
    $( 'Biconditional' premise. $)
    nic-bi1.1 $e |- ( ( ph -/\ ps ) -/\ ( ( ph -/\ ph )
         -/\ ( ps -/\ ps ) ) ) $.
    $( Inference to extract one side of an implication from a definition.
       (Contributed by Jeff Hoffman, 18-Nov-2007.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    nic-bi1 $p |- ( ph -/\ ( ps -/\ ps ) ) $=
      ( wnan nic-id nic-iimp1 nic-isw2 nic-idel ) AABBAAABDBBDAADACAEFGH $.
  $}

  ${
    $( 'Biconditional' premise. $)
    nic-bi2.1 $e |- ( ( ph -/\ ps ) -/\ ( ( ph -/\ ph )
         -/\ ( ps -/\ ps ) ) ) $.
    $( Inference to extract the other side of an implication from a
       'biconditional' definition.  (Contributed by Jeff Hoffman, 18-Nov-2007.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    nic-bi2 $p |- ( ps -/\ ( ph -/\ ph ) ) $=
      ( wnan nic-isw2 nic-id nic-iimp1 nic-idel ) BBAABDZAADZBBDZBKIJCEBFGH $.
  $}

  ${
    $( Minor premise. $)
    nic-smin $e |- ph $.
    $( Major premise. $)
    nic-smaj $e |- ( ph -> ps ) $.
    $( Derive the standard modus ponens from ~ nic-mp .  (Contributed by Jeff
       Hoffman, 18-Nov-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    nic-stdmp $p |- ps $=
      ( wi wnan nic-dfim nic-bi2 nic-mp ) ABBCABEZABBFFZKDKJABGHII $.
  $}

  $( Proof of ~ luk-1 from ~ nic-ax and ~ nic-mp (and Definitions ~ nic-dfim
     and ~ nic-dfneg ).  Note that the standard axioms ~ ax-1 , ~ ax-2 , and
     ~ ax-3 are proved from the Lukasiewicz axioms by Theorems ~ ax1 , ~ ax2 ,
     and ~ ax3 .  (Contributed by Jeff Hoffman, 18-Nov-2007.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  nic-luk1 $p |- ( ( ph -> ps ) -> ( ( ps -> ch ) -> ( ph -> ch ) ) ) $=
    ( wta wi nic-dfim nic-bi2 nic-ax nic-isw2 nic-idel nic-bi1 nic-idbl nic-imp
    wnan nic-swap nic-ich nic-mp ) ABEZBCEZACEZEZUANNZRUAEZUCRABBNNZUAUDRABFGUD
    STTNZNZUAUDCCNZBNZAUGNZUINZNZUFUDDDDNNZUKUKUDULABBUGDHIJUKUEUHNUFUEUJUJUHUI
    TUITACFKLMSUHUHUESBUGNZUHUMSBCFGUGBOPMPPUFUASTFKPPUBUCRUAFKQ $.

  $( Proof of ~ luk-2 from ~ nic-ax and ~ nic-mp .  (Contributed by Jeff
     Hoffman, 18-Nov-2007.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  nic-luk2 $p |- ( ( -. ph -> ph ) -> ph ) $=
    ( wn wi wnan nic-dfim nic-bi2 nic-dfneg nic-iimp1 nic-isw2 nic-isw1 nic-bi1
    nic-id nic-mp ) ABZACZAADZDZOACZROPONPDZSPSONAEFNPPPNDNNDPPDPAGPLHIHJQROAEK
    M $.

  $( Proof of ~ luk-3 from ~ nic-ax and ~ nic-mp .  (Contributed by Jeff
     Hoffman, 18-Nov-2007.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  nic-luk3 $p |- ( ph -> ( -. ph -> ps ) ) $=
    ( wnan nic-dfim nic-bi1 nic-dfneg nic-bi2 nic-id nic-iimp1 nic-iimp2 nic-mp
    wn wi ) AALZBMZOCCZAOMZQNBBCZOANRCONBDENAACZSASNAFGAHIJPQAODEK $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derive Nicod's Axiom from Lukasiewicz's First Sheffer Stroke Axiom
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( This alternative axiom for propositional calculus using the Sheffer Stroke
     was discovered by Lukasiewicz in his Selected Works.  It improves on
     Nicod's axiom by reducing its number of variables by one.

     This axiom also uses ~ nic-mp for its constructions.

     Here, the axiom is proved as a substitution instance of ~ nic-ax .
     (Contributed by Anthony Hart, 31-Jul-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  lukshef-ax1 $p |- ( ( ph -/\ ( ch -/\ ps ) ) -/\ ( ( th -/\ ( th -/\ th ) )
          -/\ ( ( th -/\ ch ) -/\ ( ( ph -/\ th ) -/\ ( ph -/\ th ) ) ) ) ) $=
    ( nic-ax ) ABCDDE $.

  $( Lemma for ~ renicax .  (Contributed by NM, 31-Jul-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  lukshefth1 $p |- ( ( ( ( ta -/\ ps ) -/\ ( ( ph -/\ ta ) -/\ ( ph
          -/\ ta ) ) ) -/\ ( th -/\ ( th -/\ th ) ) ) -/\ ( ph -/\ ( ps
          -/\ ch ) ) ) $=
    ( wnan lukshef-ax1 nic-mp ) ABCFFZEEEFFZEBFAEFZKFFZFZFZLDDDFFZFZIFZQACBEGPM
    MFFZNQQFFIIIFFJODEFEDFZSFFZFFRLLLFFEEEDGJTOLGHPMMIGHH $.

  $( Lemma for ~ renicax .  (Contributed by NM, 31-Jul-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  lukshefth2 $p |- ( ( ta -/\ th ) -/\ ( ( th -/\ ta ) -/\ ( th
          -/\ ta ) ) ) $=
    ( wps wch wph wnan lukshef-ax1 nic-mp lukshefth1 ) AAAFFZBAFABFZKFFBBBFFAJF
    ZCDEFFZAFZNFFZJBEFEBFZPFFZMJADFCAFZRFFZFFOJCEDAGMSJAGHQJFZEEEFFZFZOTFZUCEEE
    ABIOUAENFLEFZUDFFZFFUBUCUCFFTTTFFLNNEGOUEUATGHHHAAABGH $.

  $( A rederivation of ~ nic-ax from ~ lukshef-ax1 , proving that ~ lukshef-ax1
     with ~ nic-mp can be used as a complete axiomatization of propositional
     calculus.  (Contributed by Anthony Hart, 31-Jul-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  renicax $p |- ( ( ph -/\ ( ch -/\ ps ) ) -/\ ( ( ta -/\ ( ta -/\ ta ) )
          -/\ ( ( th -/\ ch ) -/\ ( ( ph -/\ th ) -/\ ( ph -/\ th ) ) ) ) ) $=
    ( wnan lukshefth1 lukshefth2 nic-mp lukshef-ax1 ) EEEFFZDCFADFZLFFZFZACBFFZ
    FZONFZQOMKFZFZPPROFSSACBEDGORHINRRFFSPPFFOOOFFMKHNRROJIIONHI $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derive the Lukasiewicz Axioms from the Tarski-Bernays-Wajsberg Axioms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Justification for ~ tbw-negdf .  (Contributed by Anthony Hart,
     15-Aug-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  tbw-bijust $p |- ( ( ph <-> ps ) <->
                      ( ( ( ph -> ps ) -> ( ( ps -> ph ) -> F. ) ) -> F. ) ) $=
    ( wb wi wn wfal dfbi1 pm2.21 imim2i falim impbii notbii ax-1 pm2.43i 3bitri
    id ja ) ABCABDZBADZEZDZERSFDZDZEZUCFDZABGUAUCUAUCTUBRSFHIUBTRSFTTPTJQIKLUDU
    EUCFHUEUDUCFUEUDDZUDUEMUFJQNKO $.

  $( The definition of negation, in terms of ` -> ` and ` F. ` .  (Contributed
     by Anthony Hart, 15-Aug-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  tbw-negdf $p |- ( ( ( -. ph -> ( ph -> F. ) )
    -> ( ( ( ph -> F. ) -> -. ph ) -> F. ) ) -> F. ) $=
    ( wn wfal wi wb pm2.21 ax-1 falim ja pm2.43i impbii tbw-bijust mpbi ) ABZAC
    DZENODONDZCDDCDNOACFONACPNOGPHIJKNOLM $.

  $( The first of four axioms in the Tarski-Bernays-Wajsberg system.
     (Contributed by Anthony Hart, 13-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  tbw-ax1 $p |- ( ( ph -> ps ) -> ( ( ps -> ch ) -> ( ph -> ch ) ) ) $=
    ( imim1 ) ABCD $.

  $( The second of four axioms in the Tarski-Bernays-Wajsberg system.
     (Contributed by Anthony Hart, 13-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  tbw-ax2 $p |- ( ph -> ( ps -> ph ) ) $=
    ( ax-1 ) ABC $.

  $( The third of four axioms in the Tarski-Bernays-Wajsberg system.
     (Contributed by Anthony Hart, 13-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  tbw-ax3 $p |- ( ( ( ph -> ps ) -> ph ) -> ph ) $=
    ( peirce ) ABC $.

  $( The fourth of four axioms in the Tarski-Bernays-Wajsberg system.

     This axiom was added to the Tarski-Bernays axiom system (see ~ tb-ax1 ,
     ~ tb-ax2 , and ~ tb-ax3 ) by Wajsberg for completeness.  (Contributed by
     Anthony Hart, 13-Aug-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  tbw-ax4 $p |- ( F. -> ph ) $=
    ( falim ) AB $.

  ${
    tbwsyl.1 $e |- ( ph -> ps ) $.
    tbwsyl.2 $e |- ( ps -> ch ) $.
    $( Used to rederive the Lukasiewicz axioms from Tarski-Bernays-Wajsberg'.
       (Contributed by Anthony Hart, 16-Aug-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    tbwsyl $p |- ( ph -> ch ) $=
      ( wi tbw-ax1 ax-mp ) BCFZACFZEABFIJFDABCGHH $.
  $}

  $( Used to rederive the Lukasiewicz axioms from Tarski-Bernays-Wajsberg'.
     (Contributed by Anthony Hart, 16-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  tbwlem1 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ps -> ( ph -> ch ) ) ) $=
    ( wi tbw-ax2 tbw-ax1 tbwsyl tbw-ax3 mpsyl ) BBCDZCDZDAJDKACDZDBLDBJKDZKBJBD
    MBJEJBCFGMKCDKDKJKCFKCHGGAJCFBKLFI $.

  $( Used to rederive the Lukasiewicz axioms from Tarski-Bernays-Wajsberg'.
     (Contributed by Anthony Hart, 16-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  tbwlem2 $p |- ( ( ph -> ( ps -> F. ) ) -> ( ( ( ph -> ch ) -> th )
    -> ( ps -> th ) ) ) $=
    ( wfal wi tbw-ax4 tbw-ax1 tbwlem1 ax-mp mpsyl tbwsyl ) ABEFZFZBACFZFZODFBDF
    FBMCFZFZNQOFPMBCFZFZRECFZTCGMUASFFUATFBECHMUASIJJMBCIJAMCHBQOHKBODHL $.

  $( Used to rederive the Lukasiewicz axioms from Tarski-Bernays-Wajsberg'.
     (Contributed by Anthony Hart, 16-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  tbwlem3 $p |- ( ( ( ( ( ph -> F. ) -> ph ) -> ph ) -> ps ) -> ps ) $=
    ( wfal wi tbw-ax3 tbw-ax2 tbw-ax1 tbwsyl ax-mp ) ACDADADZBDZKBDZDZLJMACEJKJ
    DMJKFKJBGHIMLBDLDLKLBGLBEHI $.

  $( Used to rederive the Lukasiewicz axioms from Tarski-Bernays-Wajsberg'.
     (Contributed by Anthony Hart, 16-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  tbwlem4 $p |- ( ( ( ph -> F. ) -> ps ) -> ( ( ps -> F. ) -> ph ) ) $=
    ( wfal wi tbw-ax4 tbw-ax1 tbwlem1 ax-mp tbwlem2 tbwlem3 tbwsyl ) ACDZBDZLBC
    DZCDZDZNADZBODZMPDZNNDZRCCDZTCENUANDDUATDBCCFNUANGHHNBCGHMRPDDRSDLBOFMRPGHH
    PLADADQDQLNAAIAQJKK $.

  $( Used to rederive the Lukasiewicz axioms from Tarski-Bernays-Wajsberg'.
     (Contributed by Anthony Hart, 16-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  tbwlem5 $p |- ( ( ( ph -> ( ps -> F. ) ) -> F. ) -> ph ) $=
    ( wfal wi tbw-ax2 tbw-ax1 tbwsyl tbwlem1 ax-mp tbwlem4 ) ACDZABCDZDZDZMCDAD
    AKLDZDNABADOABEBACFGAKLHIAMJI $.

  $( ~ luk-1 derived from the Tarski-Bernays-Wajsberg axioms.  (Contributed by
     Anthony Hart, 16-Aug-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  re1luk1 $p |- ( ( ph -> ps ) -> ( ( ps -> ch ) -> ( ph -> ch ) ) ) $=
    ( tbw-ax1 ) ABCD $.

  $( ~ luk-2 derived from the Tarski-Bernays-Wajsberg axioms.  (Contributed by
     Anthony Hart, 16-Aug-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  re1luk2 $p |- ( ( -. ph -> ph ) -> ph ) $=
    ( wn wi wfal tbw-negdf tbw-ax2 tbwlem4 ax-mp tbw-ax1 tbw-ax3 tbwsyl ) ABZAC
    ZADCZACZANLCZMOCLNCZPDCZCZDCZPAERSCTPCRQFPSGHHNLAIHADJK $.

  $( ~ luk-3 derived from the Tarski-Bernays-Wajsberg axioms.

     This theorem, along with ~ re1luk1 and ~ re1luk2 proves that ~ tbw-ax1 ,
     ~ tbw-ax2 , ~ tbw-ax3 , and ~ tbw-ax4 , with ~ ax-mp can be used as a
     complete axiom system for all of propositional calculus.  (Contributed by
     Anthony Hart, 16-Aug-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  re1luk3 $p |- ( ph -> ( -. ph -> ps ) ) $=
    ( wn wfal wi tbw-negdf tbwlem5 ax-mp tbw-ax4 tbw-ax1 tbwlem1 mpsyl ) ACZADE
    ZEZANBEZMBEONMEZDEEDEOAFOQGHNABEZEZAPEDBEZSBINTREETSEADBJNTRKHHNABKHMNBJL
    $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derive the Tarski-Bernays-Wajsberg axioms from Meredith's First CO Axiom
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( A single axiom for propositional calculus discovered by C. A. Meredith.

     This axiom is worthy of note, due to it having only 19 symbols, not
     counting parentheses.  The more well-known ~ meredith has 21 symbols, sans
     parentheses.

     See ~ merco2 for another axiom of equal length.  (Contributed by Anthony
     Hart, 13-Aug-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  merco1 $p |- ( ( ( ( ( ph -> ps ) -> ( ch -> F. ) ) -> th ) -> ta )
         -> ( ( ta -> ph ) -> ( ch -> ph ) ) ) $=
    ( wi wfal wn ax-1 falim ja imim2i imim1i meredith syl ) ABFZCGFZFZDFZEFPDHZ
    CHZFZFZDFZEFEAFCAFFUDSERUCDQUBPCGUBUATIUBJKLMMABDCENO $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 17-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem1 $p |- ( ph -> ( F. -> ch ) ) $=
    ( wfal wi merco1 ax-mp ) AACADZDZDZACBDZDZHGDZHDZIGCDACDZDZGDHDZMGNDZNDZGDO
    DPCAANGEGNAGOEFGCAGHEFHCDZNDZGDLDZMIDQSDHDTDUACAASHEGNHHTEFHCAGLEFFHJDZKDZI
    KDZJCDNDZGDHDZUCRJDUEDUFCAANJEGNAJUEEFJCAGHEFKCDICDZDZJDUBDZUCUDDJUGDSDKDUH
    DUICBISKEJUGHKUHEFKCIJUBEFFF $.

  $( ~ tbw-ax4 rederived from ~ merco1 .  (Contributed by Anthony Hart,
     17-Sep-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  retbwax4 $p |- ( F. -> ph ) $=
    ( wfal wi merco1lem1 ax-mp ) ABACZCZFAADGADE $.

  $( ~ tbw-ax2 rederived from ~ merco1 .  (Contributed by Anthony Hart,
     17-Sep-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  retbwax2 $p |- ( ph -> ( ps -> ph ) ) $=
    ( wi wfal merco1lem1 merco1 ax-mp ) AAAACZCZCZABACZCZDACZHCZICZJHACADCZCACZ
    MCOQAEHAAAMFGIPCPCDCNCOJCAHAPDFIPADNFGGMKCZLCZJLCZKACPCACZMCSUAAEKAAAMFGLBD
    CZCJDCZCDCRCSTCAKBUCDFLUBJDRFGGG $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 17-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem2 $p |- ( ( ( ph -> ps ) -> ch ) -> ( ( ( ps -> ta ) -> ( ph ->
    F. ) ) -> ch ) ) $=
    ( wi wfal retbwax2 merco1 ax-mp ) CAEZBDEAFEEZFEZEZBEABEZEZNCEKCEELMEOLJGBD
    AFMHICAKBNHI $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 17-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem3 $p |- ( ( ( ph -> ps ) -> ( ch -> F. ) ) -> ( ch -> ph ) ) $=
    ( wi wfal merco1lem2 retbwax2 ax-mp ) AAADZAEDDZIDZDZABDCEDDZCADZDZIEDJEDDZ
    LAAEAFKLDPLDKAGJILEFHHNEDMEDDZLODZCAEBFORDQRDOLGMNREFHHH $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 17-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem4 $p |- ( ( ( ph -> ps ) -> ch ) -> ( ps -> ch ) ) $=
    ( wi wfal merco1lem3 merco1 ax-mp ) CADZBEDZDZBDABDZDZLCDBCDDJAEDZDIEDZDKDM
    JNIFBEAOKGHCABBLGH $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 17-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem5 $p |- ( ( ( ( ph -> F. ) -> ch ) -> ta ) -> ( ph -> ta ) ) $=
    ( wi wfal merco1lem4 merco1 ax-mp ) CADZAEDZDBDJBDZDKCDACDDIJBFCAABKGH $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 17-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem6 $p |- ( ( ph -> ( ph -> ps ) ) -> ( ch -> ( ph -> ps ) ) ) $=
    ( wi wfal merco1lem5 merco1lem3 ax-mp merco1 ) ABDZEDCEDZDZEDZADZAJDCJDDJME
    DZDZNLODZPOEDMDQLEEFOELGHJKOFHABMGHJECEAIH $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 17-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem7 $p |- ( ph -> ( ( ( ps -> ch ) -> ps ) -> ps ) ) $=
    ( wi wfal merco1lem5 merco1 ax-mp merco1lem6 ) BCDZBDZKBDZDZALDBEDKEDZDCDJD
    MBNCFBEKCJGHKBAIH $.

  $( ~ tbw-ax3 rederived from ~ merco1 .  (Contributed by Anthony Hart,
     17-Sep-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  retbwax3 $p |- ( ( ( ph -> ps ) -> ph ) -> ph ) $=
    ( wi retbwax2 merco1lem7 ax-mp ) AAACCZABCACACAADGABEF $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 17-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem8 $p |- ( ph -> ( ( ps -> ( ps -> ch ) ) -> ( ps -> ch ) ) ) $=
    ( wi merco1lem6 ax-mp ) BBCDZDZHGDZDAIDBCHEHGAEF $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 18-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem9 $p |- ( ( ph -> ( ph -> ps ) ) -> ( ph -> ps ) ) $=
    ( wfal wi merco1lem8 ax-mp ) CADZAABDZDHDZDZIGABEJABEF $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 18-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem10 $p |- ( ( ( ( ( ph -> ps ) -> ch ) -> ( ta -> ch ) ) -> ph ) ->
    ( th -> ph ) ) $=
    ( wi wfal merco1 merco1lem2 ax-mp ) ABFZDGFZFCAFEGFFAFZGFZFKCFECFFZFZOAFDAF
    FMKFOFPCAEAKHMKOLIJABDNOHJ $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 18-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem11 $p |- ( ( ph -> ps ) -> ( ( ( ch -> ( ph -> ta ) ) -> F. ) -> ps
    ) ) $=
    ( wi wfal merco1lem5 merco1lem3 ax-mp merco1lem4 merco1 merco1lem2 ) ADEZBA
    EZCMEZFEZFEZEZFEZFEZEZABEPBEEZOTEZUAQTEZUCRTEZUDTFESEUERFFGTFRHINQTJIOFTGIC
    MTJISAEUBEUAUBEBAPFAKSAUBDLII $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 18-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem12 $p |- ( ( ph -> ps ) -> ( ( ( ch -> ( ph -> ta ) ) -> ph ) -> ps
    ) ) $=
    ( wi wfal merco1lem3 merco1 ax-mp merco1lem9 merco1lem11 ) BAEZCADEZEZAEZFE
    ZEFEAEZABEOBEEOAEZQOREZRMPECFEZENESMPCGADOTNHIOAJIOALFKIBAOFAHI $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 18-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem13 $p |- ( ( ( ( ph -> ps ) -> ( ch -> ps ) ) -> ta ) -> ( ph ->
    ta ) ) $=
    ( wi wfal merco1 merco1lem4 ax-mp merco1lem12 ) DAEZAFEEAEABECBEEZEZLDEADEE
    ALEZMBAECFEEAEZAELENBACAAGOALHIALKFJIDAAALGI $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 18-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem14 $p |- ( ( ( ( ph -> ps ) -> ps ) -> ch ) -> ( ph -> ch ) ) $=
    ( wi wfal merco1lem13 merco1lem8 merco1 ax-mp merco1lem9 merco1lem12 ) CADZ
    AEDDADABDZBDZDZNCDACDDANDZOMNDNDZPDZPABMNFRRPDZDZSPADREDDADZQDTUAMBGPARAQHI
    RPJIIANLEKICAAANHI $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 18-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem15 $p |- ( ( ph -> ps ) -> ( ph -> ( ch -> ps ) ) ) $=
    ( wi merco1lem14 merco1lem13 ax-mp ) ABDZBDCBDZDAIDZDHJDABIEHBCJFG $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 18-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem16 $p |- ( ( ( ph -> ( ps -> ch ) ) -> ta ) -> ( ( ph -> ch ) -> ta
    ) ) $=
    ( wi wfal merco1lem15 merco1lem11 ax-mp merco1 ) DAEZACEZFEEFEABCEEZEZMDELD
    EELMENACBGLMKFHIDALFMJI $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 18-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem17 $p |- ( ( ( ( ( ph -> ps ) -> ph ) -> ch ) -> ta ) -> ( ( ph ->
    ch ) -> ta ) ) $=
    ( wfal merco1lem11 merco1lem7 ax-mp merco1lem9 merco1lem4 merco1lem16 mpsyl
    wi merco1 ) DAMZACMZEMZMCMZABMAMZCMZMTDMPDMMQPMZTMZRQCMTPTMZUBCAMZSEMMEMAMZ
    UCSAMZUEMZUESAUDEFUGUGUEMZMZUHUEAMUGEMMAMZUFMUIUJABGUEAUGAUFNHUGUEIHHCASEAN
    HTAMZUAEMMEMPMZUCUBMUAPMZULMZULUAPUKEFUNUNULMZMZUOULAMUNEMMAMZUMMUPUQPEGULA
    UNAUMNHUNULIHHTAUAEPNHHOQCJQACTKLDAPCTNH $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco1 .
     (Contributed by Anthony Hart, 18-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco1lem18 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ( ps -> ph ) -> ( ps ->
    ch ) ) ) $=
    ( wfal merco1 merco1lem17 ax-mp merco1lem5 merco1lem3 merco1lem4 merco1lem2
    wi merco1lem9 ) BALZABCLZLZNOLZLZLZROBLZALRLZSTNDLZLTLALRLUAOBNTAETUBARFGBC
    ARFGSSRLZLZUCQRDLSDLZLZDLZDLZLZUDRUHLZUIUFUHLZUJUHDLUGLUKUFDDHUHDUFIGRUEUHH
    GPQUHJGUGNLUDLUIUDLRDSDNEUGNUDOKGGSRMGG $.

  $( ~ tbw-ax1 rederived from ~ merco1 .

     This theorem, along with ~ retbwax2 , ~ retbwax3 , and ~ retbwax4 , shows
     that ~ merco1 with ~ ax-mp can be used as a complete axiomatization of
     propositional calculus.  (Contributed by Anthony Hart, 18-Sep-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  retbwax1 $p |- ( ( ph -> ps ) -> ( ( ps -> ch ) -> ( ph -> ch ) ) ) $=
    ( wi merco1lem18 merco1lem16 ax-mp merco1lem15 merco1lem14 wfal merco1lem10
    merco1 merco1lem9 merco1lem13 ) BCDZABDZACDZDZDZPOQDZDZBQDRDSBACEBACRFGOSUA
    DZDZUBSRDUBDZUCRUBDZUDRUADUEPQOHRUASHGRSUAEGORUBIGUCUBDZJDZUADZUFUGTDZUHUFQ
    DZTDZUIOUBQITADZUGJDZDZQDUJDZUKUIDQADZUGDZUMDUNDZUOUMJDULJDDUGDUQDURUGJJUPU
    LKUMJULUGUQLGQAUFUMUNLGTAUGQUJLGGUGTPHGUHUBDUFDZUFDZUHUFDUSUTDUTUFJUAUSSKUS
    UFMGUHUBUCUFNGGGG $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derive the Tarski-Bernays-Wajsberg axioms from Meredith's Second CO Axiom
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( A single axiom for propositional calculus discovered by C. A. Meredith.

     This axiom has 19 symbols, sans auxiliaries.  See notes in ~ merco1 .
     (Contributed by Anthony Hart, 7-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  merco2 $p |- ( ( ( ph -> ps ) -> ( ( F. -> ch ) -> th ) ) -> ( ( th
         -> ph ) -> ( ta -> ( et -> ph ) ) ) ) $=
    ( wi wfal falim pm2.04 mpi jarl idd jad looinv 3syl a1dd a1i com4l ) FABGZH
    CGZDGGZDAGZEAUBUCEAGGGFUBUCAEUBTDGZADGDGUCAGUBUAUDCITUADJKUDADDABDLUDDMNADO
    PQRS $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco2 .
     (Contributed by Anthony Hart, 16-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  mercolem1 $p |- ( ( ( ph -> ps ) -> ch ) -> ( ps -> ( th -> ch ) ) ) $=
    ( wi wfal merco2 ax-mp ) AAEZFAEZAEEIAIEEEZABEZCEZBDCEZEZEZAAAAAAGZKKPEZQCA
    EZJLEZEZPEZKREZCAALBDGPTEJUAEEZUBUCETOEJPEEZUDOJFEZEFBETEEUEBNAFJAGOUFBTJMG
    HTOAPJSGHPTAUAKKGHHHH $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco2 .
     (Contributed by Anthony Hart, 16-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  mercolem2 $p |- ( ( ( ph -> ps ) -> ph ) -> ( ch -> ( th -> ph ) ) ) $=
    ( wi wfal merco2 ax-mp ) AAEZFAEZAEEIAIEEEZABEZAEZCDAEEZEZAAAAAAGZKKOEZPIJL
    EZEZOEZKQEZAAALCDGOREJSEEZTUAERNEJOEEZUBNLEJREEZUCLJFEZEJNEEUDABAFCDGLUEANJ
    JGHNLARJMGHRNAOJIGHORASKKGHHHH $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco2 .
     (Contributed by Anthony Hart, 16-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  mercolem3 $p |- ( ( ps -> ch ) -> ( ps -> ( ph -> ch ) ) ) $=
    ( wi wfal merco2 mercolem2 ax-mp ) AADZEADZADDIAIDDDZBCDZBACDZDZDZAAAAAAFZK
    KODZPCADZJBDZDZODZKQDZCAABBAFOSDJTDDZUAUBDSNDJODDZUCNBDJSDDUDBMJJGNBASJLFHS
    NAOJRFHOSATKKFHHHH $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco2 .
     (Contributed by Anthony Hart, 16-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  mercolem4 $p |- ( ( th -> ( et -> ph ) ) -> ( ( ( th -> ch )
  -> ph ) -> ( ta -> ( et -> ph ) ) ) ) $=
    ( wi wfal merco2 mercolem1 ax-mp mercolem3 ) AAFZGAFZAFFLALFFFZCEAFZFZCBFZA
    FZDOFFZFZAAAAAAHZNNTFZUAOAFZMCFFZTFZNUBFZOAACRDHTCFZMUDFFZUEUFFUGUDFZUHQMTF
    FZUIMQFZTFZUJLUKFSFULAAAQDEHLUKSPIJMQTMIJCBATUCMHJMUGUDKJTCAUDNNHJJJJ $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco2 .
     (Contributed by Anthony Hart, 16-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  mercolem5 $p |- ( th -> ( ( th -> ph ) -> ( ta -> ( ch -> ph ) ) ) ) $=
    ( wi wfal merco2 mercolem1 ax-mp mercolem2 ) AAEZFAEZAEEKAKEEEZCCAEDBAEEEZE
    ZAAAAAAGZMMOEZPLCEZOEZMQEZKRENESAAACDBGKRNCHIOCELREESTECNLLJOCARMMGIIII $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco2 .
     (Contributed by Anthony Hart, 16-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  mercolem6 $p |- ( ( ph -> ( ps -> ( ph -> ch ) ) )
  -> ( ps -> ( ph -> ch ) ) ) $=
    ( wi wfal merco2 mercolem1 ax-mp mercolem5 mercolem4 ) AADZEADADDKAKDDDZABA
    CDZDZDZNDZAAAAAAFZLLPDZQLLRDZQORDZLSDZLTQMRDZLTDZAODZMDPDUBAOMBGUDMPLGHATDU
    BUCDNOALIRCALOJHHHLTUADZQPUADZLUEDZALDZPDSDUFALPLGUHPSLGHOUEDUFUGDRLOLIUANO
    LTJHHHHHHH $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco2 .
     (Contributed by Anthony Hart, 16-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  mercolem7 $p |- ( ( ph -> ps ) -> ( ( ( ph -> ch )
  -> ( th -> ps ) ) -> ( th -> ps ) ) ) $=
    ( wi wfal merco2 mercolem3 mercolem6 ax-mp mercolem5 mercolem4 ) AAEZFAEAEE
    MAMEEEZABEZACEZDBEZEZQEZEZAAAAAAGPSEZNTEZRUAEUARPQHRPQIJATEUAUBEBDARKSCANOL
    JJJ $.

  $( Used to rederive the Tarski-Bernays-Wajsberg axioms from ~ merco2 .
     (Contributed by Anthony Hart, 16-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  mercolem8 $p |- ( ( ph -> ps ) -> ( ( ps -> ( ph -> ch ) )
  -> ( ta -> ( th -> ( ph -> ch ) ) ) ) ) $=
    ( wi wfal merco2 mercolem3 ax-mp mercolem7 ) AAFZGAFZAFFLALFFFZABFZBACFZFED
    PFFFZFZAAAAAAHZNNRFZSPMBFZFUAFZRFZNTFZUBQFUCPUAABEDHOUBQIJRMUBFZFUEFZUCUDFO
    UBFUFABCMKOUBQMKJRUEAUBNNHJJJJ $.

  $( ~ tbw-ax1 rederived from ~ merco2 .  (Contributed by Anthony Hart,
     16-Aug-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  re1tbw1 $p |- ( ( ph -> ps ) -> ( ( ps -> ch ) -> ( ph -> ch ) ) ) $=
    ( wi mercolem8 mercolem3 mercolem6 mpsyl ax-mp ) BCDZABDZJACDZDZDZDNKBLDZND
    DJONABCJKEABCFKOMGHJKLGI $.

  $( ~ tbw-ax2 rederived from ~ merco2 .  (Contributed by Anthony Hart,
     16-Aug-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  re1tbw2 $p |- ( ph -> ( ps -> ph ) ) $=
    ( wi mercolem1 ax-mp mercolem6 ) BABACZCZCZHAICZIAACZACHCJAAABDKAHBDEABGFEB
    AAFE $.

  $( ~ tbw-ax3 rederived from ~ merco2 .  (Contributed by Anthony Hart,
     16-Aug-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  re1tbw3 $p |- ( ( ( ph -> ps ) -> ph ) -> ph ) $=
    ( wi mercolem2 mercolem6 ax-mp ) AACZACAGCCZABCACZACZAAAADIHJCZCKABHIDIHAEF
    F $.

  $( ~ tbw-ax4 rederived from ~ merco2 .

     This theorem, along with ~ re1tbw1 , ~ re1tbw2 , and ~ re1tbw3 , shows
     that ~ merco2 , along with ~ ax-mp , can be used as a complete
     axiomatization of propositional calculus.  (Contributed by Anthony Hart,
     16-Aug-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  re1tbw4 $p |- ( F. -> ph ) $=
    ( wi wfal re1tbw3 re1tbw2 re1tbw1 ax-mp mercolem3 merco2 ) AABZCABZJABZABZJ
    AADALBMJBAJEALAFGGZJJKBZNKKBZJOBZKABZKBZKBZPKADKSBTPBKREKSKFGGRPBPQBCKAHKAA
    KJJIGGGG $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derive the Lukasiewicz axioms from the Russell-Bernays Axioms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Justification for ~ rb-imdf .  (Contributed by Anthony Hart, 17-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  rb-bijust $p |- ( ( ph <-> ps ) <->
                           -. ( -. ( -. ph \/ ps ) \/ -. ( -. ps \/ ph ) ) ) $=
    ( wb wi wn wo dfbi1 imor notbii imbi12i pm4.62 3bitri ) ABCABDZBADZEZDZEAEB
    FZBEAFZEZDZEQESFZEABGPTMQOSABHNRBAHIJITUAQRKIL $.

  $( The definition of implication, in terms of ` \/ ` and ` -. ` .
     (Contributed by Anthony Hart, 17-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  rb-imdf $p |- -. ( -. ( -. ( ph -> ps ) \/ ( -. ph \/ ps ) )
    \/ -. ( -. ( -. ph \/ ps ) \/ ( ph -> ps ) ) ) $=
    ( wi wn wo wb imor rb-bijust mpbi ) ABCZADBEZFJDKEDKDJEDEDABGJKHI $.

  ${
    anmp.min $e |- ph $.
    anmp.maj $e |- ( -. ph \/ ps ) $.
    $( Modus ponens for ` { \/ , -. } ` axiom systems.  (Contributed by Anthony
       Hart, 12-Aug-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    anmp $p |- ps $=
      ( imorri ax-mp ) ABCABDEF $.
  $}

  $( The first of four axioms in the Russell-Bernays axiom system.
     (Contributed by Anthony Hart, 13-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  rb-ax1 $p |- ( -. ( -. ps \/ ch ) \/ ( -. ( ph \/ ps ) \/ ( ph \/ ch ) ) ) $=
    ( wn wo wi orim2 imor 3imtr3i imori ) BDCEZABEZDACEZEZBCFLMFKNABCGBCHLMHIJ
    $.

  $( The second of four axioms in the Russell-Bernays axiom system.
     (Contributed by Anthony Hart, 13-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  rb-ax2 $p |- ( -. ( ph \/ ps ) \/ ( ps \/ ph ) ) $=
    ( wo wn pm1.4 con3i con1i orri ) ABCZDZBACZKJIKABEFGH $.

  $( The third of four axioms in the Russell-Bernays axiom system.
     (Contributed by Anthony Hart, 13-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  rb-ax3 $p |- ( -. ph \/ ( ps \/ ph ) ) $=
    ( wn wo pm2.46 con1i orri ) ACZBADZIHBAEFG $.

  $( The fourth of four axioms in the Russell-Bernays axiom system.
     (Contributed by Anthony Hart, 13-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  rb-ax4 $p |- ( -. ( ph \/ ph ) \/ ph ) $=
    ( wo wn pm1.2 con3i con1i orri ) AABZCZAAIHAADEFG $.

  ${
    rbsyl.1 $e |- ( -. ps \/ ch ) $.
    rbsyl.2 $e |- ( ph \/ ps ) $.
    $( Used to rederive the Lukasiewicz axioms from Russell-Bernays'.
       (Contributed by Anthony Hart, 18-Aug-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    rbsyl $p |- ( ph \/ ch ) $=
      ( wo wn rb-ax1 anmp ) ABFZACFZEBGCFJGKFDABCHII $.
  $}

  ${
    rblem1.1 $e |- ( -. ph \/ ps ) $.
    rblem1.2 $e |- ( -. ch \/ th ) $.
    $( Used to rederive the Lukasiewicz axioms from Russell-Bernays'.
       (Contributed by Anthony Hart, 18-Aug-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    rblem1 $p |- ( -. ( ph \/ ch ) \/ ( ps \/ th ) ) $=
      ( wo wn rb-ax1 anmp rb-ax2 rbsyl ) ACGHZBCGZBDGZCHDGNHOGFBCDIJMCBGZNCBKMC
      AGZPAHBGQHPGECABIJACKLLL $.
  $}

  $( Used to rederive the Lukasiewicz axioms from Russell-Bernays'.
     (Contributed by Anthony Hart, 18-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  rblem2 $p |- ( -. ( ch \/ ph ) \/ ( ch \/ ( ph \/ ps ) ) ) $=
    ( wn wo rb-ax2 rb-ax3 rbsyl rb-ax1 anmp ) ADZABEZECAEDCLEEKBAELBAFABGHCALIJ
    $.

  $( Used to rederive the Lukasiewicz axioms from Russell-Bernays'.
     (Contributed by Anthony Hart, 18-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  rblem3 $p |- ( -. ( ch \/ ph ) \/ ( ( ch \/ ps ) \/ ph ) ) $=
    ( wo wn rb-ax2 rblem2 rbsyl ) CADEZACBDZDZJADAJFIACDKCBAGCAFHH $.

  ${
    rblem4.1 $e |- ( -. ph \/ th ) $.
    rblem4.2 $e |- ( -. ps \/ ta ) $.
    rblem4.3 $e |- ( -. ch \/ et ) $.
    $( Used to rederive the Lukasiewicz axioms from Russell-Bernays'.
       (Contributed by Anthony Hart, 18-Aug-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    rblem4 $p |- ( -. ( ( ph \/ ps ) \/ ch ) \/ ( ( et \/ ta ) \/ th ) ) $=
      ( wo wn rblem1 rb-ax2 rb-ax1 anmp rbsyl rb-ax4 rblem2 rb-ax3 ) ABJZCJKZCB
      JZAJZFEJZDJUBUDADCFBEIHLGLUABCJZAJZUCUFKZAUBJZUCAUBMUGAUEJZUHUEKUBJUIKUHJ
      BCMAUEUBNOUEAMPPUAUFUFJUFUFQTUFCUFTKUIUFAUEMBCARPCKZUEJUJUFJCBSUEAUJROLPP
      P $.
  $}

  $( Used to rederive the Lukasiewicz axioms from Russell-Bernays'.
     (Contributed by Anthony Hart, 19-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  rblem5 $p |- ( -. ( -. -. ph \/ ps ) \/ ( -. -. ps \/ ph ) ) $=
    ( wn wo rb-ax2 rb-ax4 rb-ax3 rbsyl anmp rblem1 ) ACZCZBDCABCZCZDNADANELABNK
    ADLCZADKAADAAFAAGHZKOAAOLDLODOLLDLLFLLGHOLEIPJINMDMNDNMMDMMFMMGHNMEIJH $.

  ${
    rblem6.1 $e |- -. ( -. ( -. ph \/ ps ) \/ -. ( -. ps \/ ph ) ) $.
    $( Used to rederive the Lukasiewicz axioms from Russell-Bernays'.
       (Contributed by Anthony Hart, 19-Aug-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    rblem6 $p |- ( -. ph \/ ps ) $=
      ( wn wo rb-ax4 rb-ax3 rbsyl rb-ax2 anmp rblem3 rblem5 ) ADBEZDZBDAEDZEZDZ
      MCNDZPEZQDMEPREZSNREZTRNEUARNNENNFNNGHRNIJRONKJPRIJMPLJJ $.
  $}

  ${
    rblem7.1 $e |- -. ( -. ( -. ph \/ ps ) \/ -. ( -. ps \/ ph ) ) $.
    $( Used to rederive the Lukasiewicz axioms from Russell-Bernays'.
       (Contributed by Anthony Hart, 19-Aug-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    rblem7 $p |- ( -. ps \/ ph ) $=
      ( wn wo rb-ax3 rblem5 anmp ) ADBEDZBDAEZDZEZDZJCKDLEMDJEKIFJLGHH $.
  $}

  ${
    re1axmp.min $e |- ph $.
    re1axmp.maj $e |- ( ph -> ps ) $.
    $( ~ ax-mp derived from Russell-Bernays'.  (Contributed by Anthony Hart,
       19-Aug-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    re1axmp $p |- ps $=
      ( wi wn wo rb-imdf rblem6 anmp ) ABCABEZAFBGZDKLABHIJJ $.
  $}

  $( ~ luk-1 derived from Russell-Bernays'.  (Contributed by Anthony Hart,
     19-Aug-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  re2luk1 $p |- ( ( ph -> ps ) -> ( ( ps -> ch ) -> ( ph -> ch ) ) ) $=
    ( wi wn rb-imdf rblem7 rblem6 rb-ax2 rb-ax4 rb-ax3 rbsyl anmp rblem1 rb-ax1
    wo rblem4 ) ABDZEZBCDZACDZDZPZRUBDZSTEZUAPZUBUBUFTUAFGSAEZBPZUFUHEZBECPZEZU
    GCPZPZUFUKUEULUAUEUJPZUKEZUEPZTUJBCFHUNEUEUOPUPUEUOIUEUEUJUOUEEUEUEPUEUEJUE
    UEKLUOUKPUKUOPUOUKUKPUKUKJUKUKKLZUOUKIMNLMUAULACFGNUKUIULPZPZUIUMPZUGBCOUSE
    ZUMUIPZUTUMUIIVAURUKPVBUIULUKUIULUKUIEUIUIPUIUIJUIUIKLULEULULPULULJULULKLUQ
    QUKURILLMLRUHABFHLLUDUCRUBFGM $.

  $( ~ luk-2 derived from Russell-Bernays'.  (Contributed by Anthony Hart,
     19-Aug-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  re2luk2 $p |- ( ( -. ph -> ph ) -> ph ) $=
    ( wn wi wo rb-ax4 rb-ax3 rbsyl rb-ax2 anmp rblem1 rb-imdf rblem6 rblem7 ) A
    BZACZBZADZOACZPNBZADZATBAADZAAEZSAAANADSBZADNUAAUBAAFGZNUCAAUCSDSUCDUCSSDSS
    ESSFGUCSHIUDJIUDJGOTNAKLGRQOAKMI $.

  $( ~ luk-3 derived from Russell-Bernays'.

     This theorem, along with ~ re1axmp , ~ re2luk1 , and ~ re2luk2 shows that
     ~ rb-ax1 , ~ rb-ax2 , ~ rb-ax3 , and ~ rb-ax4 , along with ~ anmp , can be
     used as a complete axiomatization of propositional calculus.  (Contributed
     by Anthony Hart, 19-Aug-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  re2luk3 $p |- ( ph -> ( -. ph -> ps ) ) $=
    ( wn wi wo rb-imdf rblem7 rb-ax4 rb-ax3 rbsyl rb-ax2 anmp rblem2 ) ACZNBDZE
    ZAODZNNCZBEZOOSNBFGNREZNSERNETRNNENNHNNIJRNKLRBNMLJQPAOFGL $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Stoic logic non-modal portion (Chrysippus of Soli)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The Greek Stoics developed a system of logic called Stoic logic.  The Stoic
  Chrysippus, in particular, was often considered one of the greatest logicians
  of antiquity.  Stoic logic is different from Aristotle's system, since it
  focuses on propositional logic, though later thinkers did combine the systems
  of the Stoics with Aristotle.  Jan Lukasiewicz reports, "For anybody familiar
  with mathematical logic it is self-evident that the Stoic dialectic is the
  ancient form of modern propositional logic"
  ( _On the history of the logic of proposition_ by Jan Lukasiewicz (1934),
  translated in: _Selected Works_ - Edited by Ludwik Borkowski -
  Amsterdam, North-Holland, 1970 pp. 197-217,
  referenced in "History of Logic,
  ~ https://www.historyoflogic.com/logic-stoics.htm ).

  In this section we show that the propositional logic system we use (which is
  non-modal) is at least as strong as the non-modal portion of Stoic logic.  We
  show this by showing that our system assumes or proves all of key features of
  Stoic logic's non-modal portion (specifically the Stoic logic
  indemonstrables, themata, and principles).

  "In terms of contemporary logic, Stoic syllogistic is best understood as a
  substructural backwards-working Gentzen-style natural-deduction system that
  consists of five kinds of axiomatic arguments (the indemonstrables) and four
  inference rules, called themata.  An argument is a syllogism precisely if it
  either is an indemonstrable or can be reduced to one by means of the themata
  (Diogenes Laertius (D. L. 7.78))." (_Ancient Logic_, Stanford Encyclopedia of
  Philosophy ~ https://plato.stanford.edu/entries/logic-ancient/ ).  There are
  also a few "principles" that support logical reasoning, discussed below.  For
  more information, see "Stoic Logic" by Susanne Bobzien, especially
  [Bobzien] p. 110-120, especially for a discussion about the themata
  (including how they were reconstructed and how they were used).  There are
  differences in the systems we can only partly represent, for example, in
  Stoic logic "truth and falsehood are temporal properties of assertibles...
  They can belong to an assertible at one time but not at another"
  ([Bobzien] p. 87).  Stoic logic also included various kinds of modalities,
  which we do not include here since our basic propositional logic does not
  include modalities.

  A key part of the Stoic logic system is a set of five "indemonstrables"
  assigned to Chrysippus of Soli by Diogenes Laertius, though in general it is
  difficult to assign specific ideas to specific thinkers.  The indemonstrables
  are described in, for example, [Lopez-Astorga] p. 11 , [Sanford] p. 39, and
  [Hitchcock] p. 5.  These indemonstrables are modus ponendo ponens (modus
  ponens) ~ ax-mp , modus tollendo tollens (modus tollens) ~ mto , modus
  ponendo tollens I ~ mptnan , modus ponendo tollens II ~ mptxor , and modus
  tollendo ponens (exclusive-or version) ~ mtpxor .  The first is an axiom, the
  second is already proved; in this section we prove the other three.  Note
  that modus tollendo ponens ~ mtpxor originally used exclusive-or, but over
  time the name modus tollendo ponens has increasingly referred to an
  inclusive-or variation, which is proved in ~ mtpor .

  After we prove the indemonstratables, we then prove all the Stoic logic
  themata (the inference rules of Stoic logic; "thema" is singular).  This is
  straightforward for thema 1 ( ~ stoic1a and ~ stoic1b ) and thema 3
  ( ~ stoic3 ).  However, while Stoic logic was once a leading logic system,
  most direct information about Stoic logic has since been lost, including the
  exact texts of thema 2 and thema 4.  There are, however, enough references
  and specific examples to support reconstruction.  Themata 2 and 4 have been
  reconstructed; see statements T2 and T4 in [Bobzien] p. 110-120 and our
  proofs of them in ~ stoic2a , ~ stoic2b , ~ stoic4a , and ~ stoic4b .

  Stoic logic also had a set of principles involving assertibles.  Statements
  in [Bobzien] p. 99 express the known principles.  The following paragraphs
  discuss these principles and our proofs of them.

  "A principle of double negation, expressed by saying that a double-negation
  (Not: not: p) is equivalent to the assertible that is doubly negated (p) (DL
  VII 69)."  In other words, ` ( ph <-> -. -. ph ) ` as proven in ~ notnotb .

  "The principle that all conditionals that are formed by using the same
  assertible twice (like 'If p, p') are true (Cic. Acad. II 98)."  In other
  words, ` ( ph -> ph ) ` as proven in ~ id .

  "The principle that all disjunctions formed by a contradiction (like 'Either
  p or not: p') are true (S. E. M VIII 282)."  Remember that in Stoic logic,
  'or' means 'exclusive or'.  In other words, ` ( ph \/_ -. ph ) ` as proven in
  ~ xorexmid .

  [Bobzien] p. 99 also suggests that Stoic logic may have dealt with
  commutativity (see ~ xorcom and ~ ancom ) and the principle of contraposition
  ( ~ con4 ) (pointing to DL VII 194).

  In short, the non-modal propositional logic system we use is at least as
  strong as the non-modal portion of Stoic logic.

  For more about Aristotle's system, see ~ barbara and related theorems.

$)

  ${
    $( Minor premise for modus ponendo tollens 1. $)
    mptnan.min $e |- ph $.
    $( Major premise for modus ponendo tollens 1. $)
    mptnan.maj $e |- -. ( ph /\ ps ) $.
    $( Modus ponendo tollens 1, one of the "indemonstrables" in Stoic logic.
       See rule 1 on [Lopez-Astorga] p. 12 , rule 1 on [Sanford] p. 40, and
       rule A3 in [Hitchcock] p. 5.  Sanford describes this rule second (after
       ~ mptxor ) as a "safer, and these days much more common" version of
       modus ponendo tollens because it avoids confusion between inclusive-or
       and exclusive-or.  (Contributed by David A. Wheeler, 3-Jul-2016.) $)
    mptnan $p |- -. ps $=
      ( wn imnani ax-mp ) ABECABDFG $.
  $}

  ${
    $( Minor premise for modus ponendo tollens 2. $)
    mptxor.min $e |- ph $.
    $( Major premise for modus ponendo tollens 2. $)
    mptxor.maj $e |- ( ph \/_ ps ) $.
    $( Modus ponendo tollens 2, one of the "indemonstrables" in Stoic logic.
       Note that this uses exclusive-or ` \/_ ` .  See rule 2 on
       [Lopez-Astorga] p. 12 , rule 4 on [Sanford] p. 39 and rule A4 in
       [Hitchcock] p. 5 .  (Contributed by David A. Wheeler, 3-Jul-2016.)
       (Proof shortened by Wolf Lammen, 12-Nov-2017.)  (Proof shortened by BJ,
       19-Apr-2019.) $)
    mptxor $p |- -. ps $=
      ( wxo wa wn xornan ax-mp mptnan ) ABCABEABFGDABHIJ $.
  $}

  ${
    $( Minor premise for modus tollendo ponens (inclusive-or version). $)
    mtpor.min $e |- -. ph $.
    $( Major premise for modus tollendo ponens (inclusive-or version). $)
    mtpor.max $e |- ( ph \/ ps ) $.
    $( Modus tollendo ponens (inclusive-or version), aka disjunctive syllogism.
       This is similar to ~ mtpxor , one of the five original "indemonstrables"
       in Stoic logic.  However, in Stoic logic this rule used exclusive-or,
       while the name modus tollendo ponens often refers to a variant of the
       rule that uses inclusive-or instead.  The rule says, "if ` ph ` is not
       true, and ` ph ` or ` ps ` (or both) are true, then ` ps ` must be
       true".  An alternate phrasing is:  "once you eliminate the impossible,
       whatever remains, no matter how improbable, must be the truth". --
       Sherlock Holmes (Sir Arthur Conan Doyle, 1890:  The Sign of the Four,
       ch. 6).  (Contributed by David A. Wheeler, 3-Jul-2016.)  (Proof
       shortened by Wolf Lammen, 11-Nov-2017.) $)
    mtpor $p |- ps $=
      ( wn ori ax-mp ) AEBCABDFG $.
  $}

  ${
    $( Minor premise for modus tollendo ponens (original exclusive-or version).
    $)
    mtpxor.min $e |- -. ph $.
    $( Major premise for modus tollendo ponens (original exclusive-or version).
    $)
    mtpxor.maj $e |- ( ph \/_ ps ) $.
    $( Modus tollendo ponens (original exclusive-or version), aka disjunctive
       syllogism, similar to ~ mtpor , one of the five "indemonstrables" in
       Stoic logic.  The rule says:  "if ` ph ` is not true, and either ` ph `
       or ` ps ` (exclusively) are true, then ` ps ` must be true".  Today the
       name "modus tollendo ponens" often refers to a variant, the inclusive-or
       version as defined in ~ mtpor .  See rule 3 on [Lopez-Astorga] p. 12
       (note that the "or" is the same as ~ mptxor , that is, it is
       exclusive-or ~ df-xor ), rule 3 of [Sanford] p. 39 (where it is not as
       clearly stated which kind of "or" is used but it appears to be in the
       same sense as ~ mptxor ), and rule A5 in [Hitchcock] p. 5 (exclusive-or
       is expressly used).  (Contributed by David A. Wheeler, 4-Jul-2016.)
       (Proof shortened by Wolf Lammen, 11-Nov-2017.)  (Proof shortened by BJ,
       19-Apr-2019.) $)
    mtpxor $p |- ps $=
      ( wxo wo xoror ax-mp mtpor ) ABCABEABFDABGHI $.
  $}

  ${
    $( Premise for Stoic logic thema 1. $)
    stoic1.1 $e |- ( ( ph /\ ps ) -> th ) $.
    $( Stoic logic Thema 1 (part a).

       The first thema of the four Stoic logic themata, in its basic form, was:

       "When from two (assertibles) a third follows, then from either of them
       together with the contradictory of the conclusion the contradictory of
       the other follows."  (Apuleius Int. 209.9-14), see [Bobzien] p. 117 and
       ~ https://plato.stanford.edu/entries/logic-ancient/

       We will represent thema 1 as two very similar rules ~ stoic1a and
       ~ stoic1b to represent each side.  (Contributed by David A. Wheeler,
       16-Feb-2019.)  (Proof shortened by Wolf Lammen, 21-May-2020.) $)
    stoic1a $p |- ( ( ph /\ -. th ) -> -. ps ) $=
      ( ex con3dimp ) ABCABCDEF $.

    $( Stoic logic Thema 1 (part b).  The other part of thema 1 of Stoic logic;
       see ~ stoic1a .  (Contributed by David A. Wheeler, 16-Feb-2019.) $)
    stoic1b $p |- ( ( ps /\ -. th ) -> -. ph ) $=
      ( ancoms stoic1a ) BACABCDEF $.
  $}

  ${
    $( Premise 1 for Stoic logic Thema 2 version a. $)
    stoic2a.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Premise 2 for Stoic logic Thema 2 version a. $)
    stoic2a.2 $e |- ( ( ph /\ ch ) -> th ) $.
    $( Stoic logic Thema 2 version a.  Statement T2 of [Bobzien] p. 117 shows a
       reconstructed version of Stoic logic thema 2 as follows:  "When from two
       assertibles a third follows, and from the third and one (or both) of the
       two another follows, then this other follows from the first two."
       Bobzien uses constructs such as ` ph , ps |- ch ` ; in Metamath we will
       represent that construct as ` ph /\ ps -> ch ` .  This version a is
       without the phrase "or both"; see ~ stoic2b for the version with the
       phrase "or both".  We already have this rule as ~ syldan , so here we
       show the equivalence and discourage its use.
       (New usage is discouraged.)  (Contributed by David A. Wheeler,
       17-Feb-2019.) $)
    stoic2a $p |- ( ( ph /\ ps ) -> th ) $=
      ( syldan ) ABCDEFG $.
  $}

  ${
    $( Premise 1 for Stoic logic Thema 2 version b. $)
    stoic2b.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Premise 2 for Stoic logic Thema 2 version b. $)
    stoic2b.2 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( Stoic logic Thema 2 version b.  See ~ stoic2a .  Version b is with the
       phrase "or both".  We already have this rule as ~ mpd3an3 , so here we
       prove the equivalence and discourage its use.
       (New usage is discouraged.)  (Contributed by David A. Wheeler,
       17-Feb-2019.) $)
    stoic2b $p |- ( ( ph /\ ps ) -> th ) $=
      ( mpd3an3 ) ABCDEFG $.
  $}

  ${
    $( Premise 1 for Stoic logic Thema 3. $)
    stoic3.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Premise 2 for Stoic logic Thema 3. $)
    stoic3.2 $e |- ( ( ch /\ th ) -> ta ) $.
    $( Stoic logic Thema 3.  Statement T3 of [Bobzien] p. 116-117 discusses
       Stoic logic Thema 3.  "When from two (assemblies) a third follows, and
       from the one that follows (i.e., the third) together with another,
       external assumption, another follows, then that other follows from the
       first two and the externally co-assumed one.  (Simp.  Cael. 237.2-4)"
       (Contributed by David A. Wheeler, 17-Feb-2019.) $)
    stoic3 $p |- ( ( ph /\ ps /\ th ) -> ta ) $=
      ( wa sylan 3impa ) ABDEABHCDEFGIJ $.
  $}

  ${
    $( Premise 1 for Stoic logic Thema 4a. $)
    stoic4a.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Premise 2 for Stoic logic Thema 4a. $)
    stoic4a.2 $e |- ( ( ch /\ ph /\ th ) -> ta ) $.
    $( Stoic logic Thema 4 version a.  Statement T4 of [Bobzien] p. 117 shows a
       reconstructed version of Stoic logic Thema 4:  "When from two
       assertibles a third follows, and from the third and one (or both) of the
       two and one (or more) external assertible(s) another follows, then this
       other follows from the first two and the external(s)."

       We use ` th ` to represent the "external" assertibles.  This is version
       a, which is without the phrase "or both"; see ~ stoic4b for the version
       with the phrase "or both".  (Contributed by David A. Wheeler,
       17-Feb-2019.) $)
    stoic4a $p |- ( ( ph /\ ps /\ th ) -> ta ) $=
      ( w3a 3adant3 simp1 simp3 syl3anc ) ABDHCADEABCDFIABDJABDKGL $.
  $}

  ${
    $( Premise 1 for Stoic logic Thema 4b. $)
    stoic4b.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Premise 2 for Stoic logic Thema 4b. $)
    stoic4b.2 $e |- ( ( ( ch /\ ph /\ ps ) /\ th ) -> ta ) $.
    $( Stoic logic Thema 4 version b.  This is version b, which is with the
       phrase "or both".  See ~ stoic4a for more information.  (Contributed by
       David A. Wheeler, 17-Feb-2019.) $)
    stoic4b $p |- ( ( ph /\ ps /\ th ) -> ta ) $=
      ( w3a 3adant3 simp1 simp2 simp3 syl31anc ) ABDHCABDEABCDFIABDJABDKABDLGM
      $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Predicate calculus with equality:  Tarski's system S2 (1 rule, 6 schemes)
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  Here we extend the language of wffs with predicate calculus, which allows us
  to talk about individual objects in a domain of discourse (which for us will
  be the universe of all sets, so we call them "setvar variables") and make
  true/false statements about predicates, which are relationships between
  objects, such as whether or not two objects are equal.  In addition, we
  introduce universal quantification ("for all", e.g., ~ ax-4 ) in order to
  make statements about whether a wff holds for every object in the domain of
  discourse.  Later we introduce existential quantification ("there exists",
  ~ df-ex ) which is defined in terms of universal quantification.

  Our axioms are really axiom _schemes_, and our wff and setvar variables are
  metavariables ranging over expressions in an underlying "object language".
  This is explained here:  ~ mmset.html#axiomnote .

  Our axiom system starts with the predicate calculus axiom schemes system S2
  of Tarski defined in his 1965 paper, "A Simplified Formalization of Predicate
  Logic with Identity" [Tarski].  System S2 is defined in the last paragraph on
  p. 77, and repeated on p. 81 of [KalishMontague].  We do not include scheme
  B5 (our ~ sp ) of system S2 since [KalishMontague] shows it to be logically
  redundant (Lemma 9, p. 87, which we prove as Theorem ~ spw below).

  Theorem ~ spw can be used to prove any _instance_ of ~ sp having mutually
  distinct setvar variables and no wff metavariables.  However, it seems that
  ~ sp in its general form cannot be derived from only Tarski's schemes.  We do
  not include B5 i.e. ~ sp as part of what we call "Tarski's system" because we
  want it to be the smallest set of axioms that is logically complete with
  no redundancies.  We later prove ~ sp as Theorem ~ axc5 using the auxiliary
  axiom schemes that make our system metalogically complete.

  Our version of Tarski's system S2 consists of propositional calculus
  ( ~ ax-mp , ~ ax-1 , ~ ax-2 , ~ ax-3 ) plus ~ ax-gen , ~ ax-4 , ~ ax-5 ,
  ~ ax-6 , ~ ax-7 , ~ ax-8 , and ~ ax-9 .  The last three are equality axioms
  that represent three sub-schemes of Tarski's scheme B8.  Due to its
  side-condition ("where ` ph ` is an atomic formula and ` ps ` is obtained by
  replacing an occurrence of the variable ` x ` by the variable ` y ` "), we
  cannot represent his B8 directly without greatly complicating our scheme
  language, but the simpler schemes ~ ax-7 , ~ ax-8 , and ~ ax-9 are sufficient
  for set theory and much easier to work with.

  Tarski's system is exactly equivalent to the traditional axiom system in most
  logic textbooks but has the advantage of being easy to manipulate with a
  computer program, and its simpler metalogic (with no built-in notions of
  "free variable" and "proper substitution") is arguably easier for a
  non-logician human to follow step by step in a proof (where "follow" means
  being able to identify the substitutions that were made, without necessarily
  a higher-level understanding).  In particular, it is logically complete in
  that it can derive all possible object-language theorems of predicate
  calculus with equality, i.e., the same theorems as the traditional system can
  derive.

  However, for efficiency (and indeed a key feature that makes Metamath
  successful), our system is designed to derive reusable theorem schemes
  (rather than object-language theorems) from other schemes.  From this
  "metalogical" point of view, Tarski's S2 is not complete.  For example, we
  cannot derive scheme ~ sp , even though (using ~ spw ) we can derive all
  instances of it that do not involve wff metavariables or bundled setvar
  variables.  (Two setvar variables are "bundled" if they can be substituted
  with the same setvar variable, i.e., do not have a "$d" disjoint variable
  condition.)  Later we will introduce auxiliary axiom schemes ~ ax-10 ,
  ~ ax-11 , ~ ax-12 , and ~ ax-13 that are metatheorems of Tarski's system
  (i.e. are logically redundant) but which give our system the property of
  "scheme completeness", allowing us to prove directly (instead of, say,
  by induction on formula length) all possible schemes that can be expressed in
  our language.

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Universal quantifier (continued); define "exists" and "not free"
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The universal quantifier was introduced above in ~ wal for use by ~ df-tru .
  See the comments in that section.  In this section, we continue with the
  first "real" use of it.

$)

  $( Declare some names for individual variables. $)
  $v x $.
  $v y $.
  $v z $.
  $v w $.
  $v v $.
  $v u $.
  $v t $.
  $( Let ` x ` be an individual variable. $)
  vx $f setvar x $.
  $( Let ` y ` be an individual variable. $)
  vy $f setvar y $.
  $( Let ` z ` be an individual variable. $)
  vz $f setvar z $.
  $( Let ` w ` be an individual variable. $)
  vw $f setvar w $.
  $( Let ` v ` be an individual variable. $)
  vv $f setvar v $.
  $( Let ` u ` be an individual variable. $)
  vu $f setvar u $.
  $( Let ` t ` be an individual variable. $)
  vt $f setvar t $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Existential quantifier
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Declare the existential quantifier symbol. $)
  $c E. $.  $( Backwards E (read:  "there exists") $)

  $( Extend wff definition to include the existential quantifier ("there
     exists"). $)
  wex $a wff E. x ph $.

  $( Define existential quantification. ` E. x ph ` means "there exists at
     least one set ` x ` such that ` ph ` is true".  Dual of ~ alex .  See also
     the dual pair ~ alnex / ~ exnal .  Definition of [Margaris] p. 49.
     (Contributed by NM, 10-Jan-1993.) $)
  df-ex $a |- ( E. x ph <-> -. A. x -. ph ) $.

  $( Universal quantification of negation is equivalent to negation of
     existential quantification.  Dual of ~ exnal (but does not depend on
     ~ ax-4 contrary to it).  See also the dual pair ~ df-ex / ~ alex .
     Theorem 19.7 of [Margaris] p. 89.  (Contributed by NM, 12-Mar-1993.) $)
  alnex $p |- ( A. x -. ph <-> -. E. x ph ) $=
    ( wex wn wal df-ex con2bii ) ABCADBEABFG $.

  $( An equivalence between an implication with an existentially quantified
     antecedent and an implication with a universally quantified consequent.
     An interesting case is when the same formula is substituted for both
     ` ph ` and ` ps ` , since then both implications express a type of
     nonfreeness.  See also ~ alimex .  (Contributed by BJ, 12-May-2019.) $)
  eximal $p |- ( ( E. x ph -> ps ) <-> ( -. ps -> A. x -. ph ) ) $=
    ( wex wi wn wal df-ex imbi1i con1b bitri ) ACDZBEAFCGZFZBEBFMELNBACHIMBJK
    $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Nonfreeness predicate
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c F/ $.  $( The not-free symbol. $)

  $( Extend wff definition to include the not-free predicate. $)
  wnf $a wff F/ x ph $.

  $( Define the not-free predicate for wffs.  This is read " ` x ` is not free
     in ` ph ` ".  Not-free means that the value of ` x ` cannot affect the
     value of ` ph ` , e.g., any occurrence of ` x ` in ` ph ` is effectively
     bound by a "for all" or something that expands to one (such as "there
     exists").  In particular, substitution for a variable not free in a wff
     does not affect its value ( ~ sbf ).  An example of where this is used is
     ~ stdpc5 .  See ~ nf5 for an alternate definition which involves nested
     quantifiers on the same variable.

     Not-free is a commonly used constraint, so it is useful to have a notation
     for it.  Surprisingly, there is no common formal notation for it, so here
     we devise one.  Our definition lets us work with the not-free notion
     within the logic itself rather than as a metalogical side condition.

     To be precise, our definition really means "effectively not free", because
     it is slightly less restrictive than the usual textbook definition for
     "not free" (which considers syntactic freedom).  For example, ` x ` is
     effectively not free in the formula ` x = x ` (even though ` x ` is
     syntactically free in it, so would be considered free in the usual
     textbook definition) because the value of ` x ` in the formula ` x = x `
     does not affect the truth of that formula (and thus substitutions will not
     change the result), see ~ nfequid .

     This definition of "not free" tightly ties to the quantifier ` A. x ` .
     At this state (no axioms restricting quantifiers yet) "nonfree" appears
     quite arbitrary.  Its intended semantics expresses single-valuedness
     (constness) across a parameter, but is only evolved as much as later
     axioms assign properties to quantifiers.  It seems the definition here is
     best suited in situations, where axioms are only partially in effect.  In
     particular, this definition more easily carries over to other logic models
     with weaker axiomization.

     The reverse implication of the definiens (the right hand side of the
     biconditional) always holds, see ~ 19.2 .

     This predicate only applies to wffs.  See ~ df-nfc for a not-free
     predicate for class variables.  (Contributed by Mario Carneiro,
     24-Sep-2016.)  Convert to definition.  (Revised by BJ, 6-May-2019.) $)
  df-nf $a |- ( F/ x ph <-> ( E. x ph -> A. x ph ) ) $.

  $( Alternate definition of nonfreeness.  (Contributed by BJ, 16-Sep-2021.) $)
  nf2 $p |- ( F/ x ph <-> ( A. x ph \/ -. E. x ph ) ) $=
    ( wnf wex wal wi wn wo df-nf imor orcom 3bitri ) ABCABDZABEZFMGZNHNOHABIMNJ
    ONKL $.

  $( Alternate definition of nonfreeness.  (Contributed by BJ, 16-Sep-2021.) $)
  nf3 $p |- ( F/ x ph <-> ( A. x ph \/ A. x -. ph ) ) $=
    ( wnf wal wex wn wo nf2 alnex orbi2i bitr4i ) ABCABDZABEFZGLAFBDZGABHNMLABI
    JK $.

  $( Alternate definition of nonfreeness.  This definition uses only primitive
     symbols ( ` -> , -. , A. ` ).  (Contributed by BJ, 16-Sep-2021.) $)
  nf4 $p |- ( F/ x ph <-> ( -. A. x ph -> A. x -. ph ) ) $=
    ( wnf wal wn wo wi nf3 df-or bitri ) ABCABDZAEBDZFKELGABHKLIJ $.

  ${
    nfi.1 $e |- ( E. x ph -> A. x ph ) $.
    $( Deduce that ` x ` is not free in ` ph ` from the definition.
       (Contributed by Wolf Lammen, 15-Sep-2021.) $)
    nfi $p |- F/ x ph $=
      ( wnf wex wal wi df-nf mpbir ) ABDABEABFGCABHI $.
  $}

  ${
    nfri.1 $e |- F/ x ph $.
    $( Consequence of the definition of not-free.  (Contributed by Wolf Lammen,
       16-Sep-2021.) $)
    nfri $p |- ( E. x ph -> A. x ph ) $=
      ( wnf wex wal wi df-nf mpbi ) ABDABEABFGCABHI $.
  $}

  ${
    nfd.1 $e |- ( ph -> ( E. x ps -> A. x ps ) ) $.
    $( Deduce that ` x ` is not free in ` ps ` in a context.  (Contributed by
       Wolf Lammen, 16-Sep-2021.) $)
    nfd $p |- ( ph -> F/ x ps ) $=
      ( wex wal wi wnf df-nf sylibr ) ABCEBCFGBCHDBCIJ $.
  $}

  ${
    nfrd.1 $e |- ( ph -> F/ x ps ) $.
    $( Consequence of the definition of not-free in a context.  (Contributed by
       Wolf Lammen, 15-Oct-2021.) $)
    nfrd $p |- ( ph -> ( E. x ps -> A. x ps ) ) $=
      ( wnf wex wal wi df-nf sylib ) ABCEBCFBCGHDBCIJ $.
  $}

  $( Closed form of ~ nfth .  (Contributed by Wolf Lammen, 19-Aug-2018.)
     (Proof shortened by BJ, 16-Sep-2021.)  (Proof shortened by Wolf Lammen,
     3-Sep-2022.) $)
  nftht $p |- ( A. x ph -> F/ x ph ) $=
    ( wal wex ax-1 nfd ) ABCZABGABDEF $.

  $( Closed form of ~ nfnth .  (Contributed by BJ, 16-Sep-2021.)  (Proof
     shortened by Wolf Lammen, 4-Sep-2022.) $)
  nfntht $p |- ( -. E. x ph -> F/ x ph ) $=
    ( wex wn wal pm2.21 nfd ) ABCZDABHABEFG $.

  $( Closed form of ~ nfnth .  (Contributed by BJ, 16-Sep-2021.)  (Proof
     shortened by Wolf Lammen, 4-Sep-2022.) $)
  nfntht2 $p |- ( A. x -. ph -> F/ x ph ) $=
    ( wn wal wex wnf alnex nfntht sylbi ) ACBDABECABFABGABHI $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Rule scheme ax-gen (Generalization)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    ax-gen.1 $e |- ph $.
    $( Rule of (universal) generalization.  In our axiomatization, this is the
       only postulated (that is, axiomatic) rule of inference of predicate
       calculus (together with the rule of modus ponens ~ ax-mp of
       propositional calculus).  See, e.g., Rule 2 of [Hamilton] p. 74.  This
       rule says that if something is unconditionally true, then it is true for
       all values of a variable.  For example, if we have proved ` x = x ` ,
       then we can conclude ` A. x x = x ` or even ` A. y x = x ` .  Theorem
       ~ altru shows the special case ` A. x T. ` .  The converse rule of
       inference ~ spi (universal instantiation, or universal specialization)
       shows that we can also go the other way: in other words, we can add or
       remove universal quantifiers from the beginning of any theorem as
       required.  Note that the closed form ` ( ph -> A. x ph ) ` need not hold
       (but may hold in special cases, see ~ ax-5 ).  (Contributed by NM,
       3-Jan-1993.) $)
    ax-gen $a |- A. x ph $.
  $}

  ${
    gen2.1 $e |- ph $.
    $( Generalization applied twice.  (Contributed by NM, 30-Apr-1998.) $)
    gen2 $p |- A. x A. y ph $=
      ( wal ax-gen ) ACEBACDFF $.
  $}

  ${
    mpg.1 $e |- ( A. x ph -> ps ) $.
    mpg.2 $e |- ph $.
    $( Modus ponens combined with generalization.  (Contributed by NM,
       24-May-1994.) $)
    mpg $p |- ps $=
      ( wal ax-gen ax-mp ) ACFBACEGDH $.
  $}

  ${
    mpgbi.1 $e |- ( A. x ph <-> ps ) $.
    mpgbi.2 $e |- ph $.
    $( Modus ponens on biconditional combined with generalization.
       (Contributed by NM, 24-May-1994.)  (Proof shortened by Stefan Allan,
       28-Oct-2008.) $)
    mpgbi $p |- ps $=
      ( wal ax-gen mpbi ) ACFBACEGDH $.
  $}

  ${
    mpgbir.1 $e |- ( ph <-> A. x ps ) $.
    mpgbir.2 $e |- ps $.
    $( Modus ponens on biconditional combined with generalization.
       (Contributed by NM, 24-May-1994.)  (Proof shortened by Stefan Allan,
       28-Oct-2008.) $)
    mpgbir $p |- ph $=
      ( wal ax-gen mpbir ) ABCFBCEGDH $.
  $}

  ${
    nex.1 $e |- -. ph $.
    $( Generalization rule for negated wff.  (Contributed by NM,
       18-May-1994.) $)
    nex $p |- -. E. x ph $=
      ( wn wex alnex mpgbi ) ADABEDBABFCG $.
  $}

  ${
    nfth.1 $e |- ph $.
    $( No variable is (effectively) free in a theorem.  (Contributed by Mario
       Carneiro, 11-Aug-2016.) ~ df-nf changed.  (Revised by Wolf Lammen,
       12-Sep-2021.) $)
    nfth $p |- F/ x ph $=
      ( wnf nftht mpg ) AABDBABECF $.
  $}

  ${
    nfnth.1 $e |- -. ph $.
    $( No variable is (effectively) free in a non-theorem.  (Contributed by
       Mario Carneiro, 6-Dec-2016.) ~ df-nf changed.  (Revised by Wolf Lammen,
       12-Sep-2021.) $)
    nfnth $p |- F/ x ph $=
      ( wn wnf nfntht2 mpg ) ADABEBABFCG $.
  $}

  ${
    hbth.1 $e |- ph $.
    $( No variable is (effectively) free in a theorem.

       This and later "hypothesis-building" lemmas, with labels starting
       "hb...", allow us to construct proofs of formulas of the form
       ` |- ( ph -> A. x ph ) ` from smaller formulas of this form.  These are
       useful for constructing hypotheses that state " ` x ` is (effectively)
       not free in ` ph ` ".  (Contributed by NM, 11-May-1993.)  This hb* idiom
       is generally being replaced by the nf* idiom (see ~ nfth ), but keeps
       its interest in some cases.  (Revised by BJ, 23-Sep-2022.) $)
    hbth $p |- ( ph -> A. x ph ) $=
      ( wal ax-gen a1i ) ABDAABCEF $.
  $}

  $( The true constant has no free variables.  (This can also be proven in one
     step with ~ nfv , but this proof does not use ~ ax-5 .)  (Contributed by
     Mario Carneiro, 6-Oct-2016.) $)
  nftru $p |- F/ x T. $=
    ( wtru tru nfth ) BACD $.

  $( The false constant has no free variables (see ~ nftru ).  (Contributed by
     BJ, 6-May-2019.) $)
  nffal $p |- F/ x F. $=
    ( wfal fal nfnth ) BACD $.

  ${
    sptruw.1 $e |- ph $.
    $( Version of ~ sp when ` ph ` is true.  Instance of ~ a1i .  Uses only
       Tarski's FOL axiom schemes.  (Contributed by NM, 23-Apr-2017.) $)
    sptruw $p |- ( A. x ph -> ph ) $=
      ( wal a1i ) AABDCE $.
  $}

  $( For all sets, ` T. ` is true.  (Contributed by Anthony Hart,
     13-Sep-2011.) $)
  altru $p |- A. x T. $=
    ( wtru tru ax-gen ) BACD $.

  $( For all sets, ` -. F. ` is true.  (Contributed by Anthony Hart,
     13-Sep-2011.) $)
  alfal $p |- A. x -. F. $=
    ( wfal wn fal ax-gen ) BCADE $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Axiom scheme ax-4 (Quantified Implication)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Axiom of Quantified Implication.  Axiom C4 of [Monk2] p. 105 and Theorem
     19.20 of [Margaris] p. 90.  It is restated as ~ alim for labeling
     consistency.  It should be used only by ~ alim .  (Contributed by NM,
     21-May-2008.)  Use ~ alim instead.  (New usage is discouraged.) $)
  ax-4 $a |- ( A. x ( ph -> ps ) -> ( A. x ph -> A. x ps ) ) $.

  $( Restatement of Axiom ~ ax-4 , for labeling consistency.  It should be the
     only theorem using ~ ax-4 .  (Contributed by NM, 10-Jan-1993.) $)
  alim $p |- ( A. x ( ph -> ps ) -> ( A. x ph -> A. x ps ) ) $=
    ( ax-4 ) ABCD $.

  ${
    alimi.1 $e |- ( ph -> ps ) $.
    $( Inference quantifying both antecedent and consequent.  (Contributed by
       NM, 5-Jan-1993.) $)
    alimi $p |- ( A. x ph -> A. x ps ) $=
      ( wi wal alim mpg ) ABEACFBCFECABCGDH $.

    $( Inference doubly quantifying both antecedent and consequent.
       (Contributed by NM, 3-Feb-2005.) $)
    2alimi $p |- ( A. x A. y ph -> A. x A. y ps ) $=
      ( wal alimi ) ADFBDFCABDEGG $.
  $}

  $( Add an antecedent in a universally quantified formula.  (Contributed by
     BJ, 6-Oct-2018.) $)
  ala1 $p |- ( A. x ph -> A. x ( ps -> ph ) ) $=
    ( wi ax-1 alimi ) ABADCABEF $.

  $( Closed form of ~ al2imi .  Version of ~ alim for a nested implication.
     (Contributed by Alan Sare, 31-Dec-2011.) $)
  al2im $p |- ( A. x ( ph -> ( ps -> ch ) ) ->
                                     ( A. x ph -> ( A. x ps -> A. x ch ) ) ) $=
    ( wi wal alim syl6 ) ABCEZEDFADFIDFBDFCDFEAIDGBCDGH $.

  ${
    al2imi.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference quantifying antecedent, nested antecedent, and consequent.
       (Contributed by NM, 10-Jan-1993.) $)
    al2imi $p |- ( A. x ph -> ( A. x ps -> A. x ch ) ) $=
      ( wi wal al2im mpg ) ABCFFADGBDGCDGFFDABCDHEI $.
  $}

  ${
    alanimi.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Variant of ~ al2imi with conjunctive antecedent.  (Contributed by Andrew
       Salmon, 8-Jun-2011.) $)
    alanimi $p |- ( ( A. x ph /\ A. x ps ) -> A. x ch ) $=
      ( wal ex al2imi imp ) ADFBDFCDFABCDABCEGHI $.
  $}

  ${
    alimdh.1 $e |- ( ph -> A. x ph ) $.
    alimdh.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction form of Theorem 19.20 of [Margaris] p. 90, see ~ alim .
       (Contributed by NM, 4-Jan-2002.) $)
    alimdh $p |- ( ph -> ( A. x ps -> A. x ch ) ) $=
      ( wal wi al2imi syl ) AADGBDGCDGHEABCDFIJ $.
  $}

  $( Theorem 19.15 of [Margaris] p. 90.  (Contributed by NM, 24-Jan-1993.) $)
  albi $p |- ( A. x ( ph <-> ps ) -> ( A. x ph <-> A. x ps ) ) $=
    ( wb wal biimp al2imi biimpr impbid ) ABDZCEACEBCEJABCABFGJBACABHGI $.

  ${
    albii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding universal quantifier to both sides of an equivalence.
       (Contributed by NM, 7-Aug-1994.) $)
    albii $p |- ( A. x ph <-> A. x ps ) $=
      ( wb wal albi mpg ) ABEACFBCFECABCGDH $.

    $( Theorem albii is the congruence law for universal quantification. $)
    $( $j congruence 'albii'; $)

    $( Inference adding two universal quantifiers to both sides of an
       equivalence.  (Contributed by NM, 9-Mar-1997.) $)
    2albii $p |- ( A. x A. y ph <-> A. x A. y ps ) $=
      ( wal albii ) ADFBDFCABDEGG $.
  $}

  $( Closed form of ~ sylg .  (Contributed by BJ, 2-May-2019.) $)
  sylgt $p |- ( A. x ( ps -> ch ) ->
                                ( ( ph -> A. x ps ) -> ( ph -> A. x ch ) ) ) $=
    ( wi wal alim imim2d ) BCEDFBDFCDFABCDGH $.

  ${
    sylg.1 $e |- ( ph -> A. x ps ) $.
    sylg.2 $e |- ( ps -> ch ) $.
    $( A syllogism combined with generalization.  Inference associated with
       ~ sylgt .  General form of ~ alrimih .  (Contributed by BJ,
       4-Oct-2019.) $)
    sylg $p |- ( ph -> A. x ch ) $=
      ( wal alimi syl ) ABDGCDGEBCDFHI $.
  $}

  ${
    alrimih.1 $e |- ( ph -> A. x ph ) $.
    alrimih.2 $e |- ( ph -> ps ) $.
    $( Inference form of Theorem 19.21 of [Margaris] p. 90.  See ~ 19.21 and
       ~ 19.21h .  Instance of ~ sylg .  (Contributed by NM, 9-Jan-1993.)
       (Revised by BJ, 31-Mar-2021.) $)
    alrimih $p |- ( ph -> A. x ps ) $=
      ( sylg ) AABCDEF $.
  $}

  ${
    hbxfrbi.1 $e |- ( ph <-> ps ) $.
    hbxfrbi.2 $e |- ( ps -> A. x ps ) $.
    $( A utility lemma to transfer a bound-variable hypothesis builder into a
       definition.  See ~ hbxfreq for equality version.  (Contributed by
       Jonathan Ben-Naim, 3-Jun-2011.) $)
    hbxfrbi $p |- ( ph -> A. x ph ) $=
      ( wal albii 3imtr4i ) BBCFAACFEDABCDGH $.
  $}

  $( Universal quantifier in terms of existential quantifier and negation.
     Dual of ~ df-ex .  See also the dual pair ~ alnex / ~ exnal .  Theorem
     19.6 of [Margaris] p. 89.  (Contributed by NM, 12-Mar-1993.) $)
  alex $p |- ( A. x ph <-> -. E. x -. ph ) $=
    ( wal wn wex notnotb albii alnex bitri ) ABCADZDZBCJBEDAKBAFGJBHI $.

  $( Existential quantification of negation is equivalent to negation of
     universal quantification.  Dual of ~ alnex .  See also the dual pair
     ~ df-ex / ~ alex .  Theorem 19.14 of [Margaris] p. 90.  (Contributed by
     NM, 12-Mar-1993.) $)
  exnal $p |- ( E. x -. ph <-> -. A. x ph ) $=
    ( wal wn wex alex con2bii ) ABCADBEABFG $.

  $( Part of theorem *11.5 in [WhiteheadRussell] p. 164.  (Contributed by
     Andrew Salmon, 24-May-2011.) $)
  2nalexn $p |- ( -. A. x A. y ph <-> E. x E. y -. ph ) $=
    ( wn wex wal df-ex alex albii xchbinxr bicomi ) ADCEZBEZACFZBFZDMLDZBFOLBGN
    PBACHIJK $.

  $( Theorem *11.22 in [WhiteheadRussell] p. 160.  (Contributed by Andrew
     Salmon, 24-May-2011.) $)
  2exnaln $p |- ( E. x E. y ph <-> -. A. x A. y -. ph ) $=
    ( wex wn wal df-ex alnex albii xchbinxr ) ACDZBDKEZBFAECFZBFKBGMLBACHIJ $.

  $( Theorem *11.25 in [WhiteheadRussell] p. 160.  (Contributed by Andrew
     Salmon, 24-May-2011.) $)
  2nexaln $p |- ( -. E. x E. y ph <-> A. x A. y -. ph ) $=
    ( wn wal wex 2exnaln bicomi con1bii ) ADCEBEZACFBFZKJDABCGHI $.

  $( An equivalence between an implication with a universally quantified
     consequent and an implication with an existentially quantified antecedent.
     An interesting case is when the same formula is substituted for both
     ` ph ` and ` ps ` , since then both implications express a type of
     nonfreeness.  See also ~ eximal .  (Contributed by BJ, 12-May-2019.) $)
  alimex $p |- ( ( ph -> A. x ps ) <-> ( E. x -. ps -> -. ph ) ) $=
    ( wal wi wn wex alex imbi2i con2b bitri ) ABCDZEABFCGZFZEMAFELNABCHIAMJK $.

  ${
    aleximi.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( A variant of ~ al2imi : instead of applying ` A. x ` quantifiers to the
       final implication, replace them with ` E. x ` .  A shorter proof is
       possible using ~ nfa1 , ~ sps and ~ eximd , but it depends on more
       axioms.  (Contributed by Wolf Lammen, 18-Aug-2019.) $)
    aleximi $p |- ( A. x ph -> ( E. x ps -> E. x ch ) ) $=
      ( wal wex wn con3d al2imi alnex 3imtr3g con4d ) ADFZCDGZBDGZNCHZDFBHZDFOH
      PHAQRDABCEIJCDKBDKLM $.
  $}

  ${
    alexbii.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Biconditional form of ~ aleximi .  (Contributed by BJ, 16-Nov-2020.) $)
    alexbii $p |- ( A. x ph -> ( E. x ps <-> E. x ch ) ) $=
      ( wal wex biimpd aleximi biimprd impbid ) ADFBDGCDGABCDABCEHIACBDABCEJIK
      $.
  $}

  $( Theorem 19.22 of [Margaris] p. 90.  (Contributed by NM, 10-Jan-1993.)
     (Proof shortened by Wolf Lammen, 4-Jul-2014.) $)
  exim $p |- ( A. x ( ph -> ps ) -> ( E. x ph -> E. x ps ) ) $=
    ( wi id aleximi ) ABDZABCGEF $.

  ${
    eximi.1 $e |- ( ph -> ps ) $.
    $( Inference adding existential quantifier to antecedent and consequent.
       (Contributed by NM, 10-Jan-1993.) $)
    eximi $p |- ( E. x ph -> E. x ps ) $=
      ( wi wex exim mpg ) ABEACFBCFECABCGDH $.

    $( Inference adding two existential quantifiers to antecedent and
       consequent.  (Contributed by NM, 3-Feb-2005.) $)
    2eximi $p |- ( E. x E. y ph -> E. x E. y ps ) $=
      ( wex eximi ) ADFBDFCABDEGG $.
  $}

  ${
    eximii.1 $e |- E. x ph $.
    eximii.2 $e |- ( ph -> ps ) $.
    $( Inference associated with ~ eximi .  (Contributed by BJ, 3-Feb-2018.) $)
    eximii $p |- E. x ps $=
      ( wex eximi ax-mp ) ACFBCFDABCEGH $.
  $}

  $( Add an antecedent in an existentially quantified formula.  (Contributed by
     BJ, 6-Oct-2018.) $)
  exa1 $p |- ( E. x ph -> E. x ( ps -> ph ) ) $=
    ( wi ax-1 eximi ) ABADCABEF $.

  $( Theorem 19.38 of [Margaris] p. 90.  The converse holds under nonfreeness
     conditions, see ~ 19.38a and ~ 19.38b .  (Contributed by NM, 12-Mar-1993.)
     Allow a shortening of ~ 19.21t .  (Revised by Wolf Lammen, 2-Jan-2018.) $)
  19.38 $p |- ( ( E. x ph -> A. x ps ) -> A. x ( ph -> ps ) ) $=
    ( wex wal wi wn alnex pm2.21 alimi sylbir ala1 ja ) ACDZBCEABFZCEZNGAGZCEPA
    CHQOCABIJKBACLM $.

  $( Under a nonfreeness hypothesis, the implication ~ 19.38 can be
     strengthened to an equivalence.  See also ~ 19.38b .  (Contributed by BJ,
     3-Nov-2021.)  (Proof shortened by Wolf Lammen, 9-Jul-2022.) $)
  19.38a $p |-
             ( F/ x ph -> ( ( E. x ph -> A. x ps ) <-> A. x ( ph -> ps ) ) ) $=
    ( wnf wex wal wi 19.38 id nfrd alim syl9 impbid2 ) ACDZACEZBCFZGABGCFZABCHN
    OACFQPNACNIJABCKLM $.

  $( Under a nonfreeness hypothesis, the implication ~ 19.38 can be
     strengthened to an equivalence.  See also ~ 19.38a .  (Contributed by BJ,
     3-Nov-2021.)  (Proof shortened by Wolf Lammen, 9-Jul-2022.) $)
  19.38b $p |-
             ( F/ x ps -> ( ( E. x ph -> A. x ps ) <-> A. x ( ph -> ps ) ) ) $=
    ( wnf wex wal wi 19.38 exim id nfrd syl9r impbid2 ) BCDZACEZBCFZGABGCFZABCH
    QOBCENPABCINBCNJKLM $.

  $( Quantified implication in terms of quantified negation of conjunction.
     (Contributed by BJ, 16-Jul-2021.) $)
  imnang $p |- ( A. x ( ph -> -. ps ) <-> A. x -. ( ph /\ ps ) ) $=
    ( wn wi wa imnan albii ) ABDEABFDCABGH $.

  $( A transformation of quantifiers and logical connectives.  (Contributed by
     NM, 19-Aug-1993.) $)
  alinexa $p |- ( A. x ( ph -> -. ps ) <-> -. E. x ( ph /\ ps ) ) $=
    ( wn wi wal wa wex imnang alnex bitri ) ABDECFABGZDCFLCHDABCILCJK $.

  $( Existential quantification of a conjunction expressed with only primitive
     symbols ( ` -> ` , ` -. ` , ` A. ` ).  (Contributed by NM, 10-May-1993.)
     State the most general instance.  (Revised by BJ, 29-Sep-2019.) $)
  exnalimn $p |- ( E. x ( ph /\ ps ) <-> -. A. x ( ph -> -. ps ) ) $=
    ( wn wi wal wa wex alinexa con2bii ) ABDECFABGCHABCIJ $.

  $( A relationship between two quantifiers and negation.  (Contributed by NM,
     18-Aug-1993.) $)
  alexn $p |- ( A. x E. y -. ph <-> -. E. x A. y ph ) $=
    ( wn wex wal exnal albii alnex bitri ) ADCEZBFACFZDZBFLBEDKMBACGHLBIJ $.

  $( Theorem *11.51 in [WhiteheadRussell] p. 164.  (Contributed by Andrew
     Salmon, 24-May-2011.)  (Proof shortened by Wolf Lammen, 25-Sep-2014.) $)
  2exnexn $p |- ( E. x A. y ph <-> -. A. x E. y -. ph ) $=
    ( wn wex wal alexn con2bii ) ADCEBFACFBEABCGH $.

  $( Theorem 19.18 of [Margaris] p. 90.  (Contributed by NM, 12-Mar-1993.) $)
  exbi $p |- ( A. x ( ph <-> ps ) -> ( E. x ph <-> E. x ps ) ) $=
    ( wb id alexbii ) ABDZABCGEF $.

  ${
    exbii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding existential quantifier to both sides of an equivalence.
       (Contributed by NM, 24-May-1994.) $)
    exbii $p |- ( E. x ph <-> E. x ps ) $=
      ( wb wex exbi mpg ) ABEACFBCFECABCGDH $.
  $}

  ${
    2exbii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding two existential quantifiers to both sides of an
       equivalence.  (Contributed by NM, 16-Mar-1995.) $)
    2exbii $p |- ( E. x E. y ph <-> E. x E. y ps ) $=
      ( wex exbii ) ADFBDFCABDEGG $.
  $}

  ${
    3exbii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding three existential quantifiers to both sides of an
       equivalence.  (Contributed by NM, 2-May-1995.) $)
    3exbii $p |- ( E. x E. y E. z ph <-> E. x E. y E. z ps ) $=
      ( wex exbii 2exbii ) AEGBEGCDABEFHI $.
  $}

  $( Equivalence theorem for the nonfreeness predicate.  Closed form of
     ~ nfbii .  (Contributed by Giovanni Mascellani, 10-Apr-2018.)  Reduce
     axiom usage.  (Revised by BJ, 6-May-2019.) $)
  nfbiit $p |- ( A. x ( ph <-> ps ) -> ( F/ x ph <-> F/ x ps ) ) $=
    ( wb wal wex wi wnf exbi albi imbi12d df-nf 3bitr4g ) ABDCEZACFZACEZGBCFZBC
    EZGACHBCHNOQPRABCIABCJKACLBCLM $.

  ${
    nfbii.1 $e |- ( ph <-> ps ) $.
    $( Equality theorem for the nonfreeness predicate.  (Contributed by Mario
       Carneiro, 11-Aug-2016.) ~ df-nf changed.  (Revised by Wolf Lammen,
       12-Sep-2021.) $)
    nfbii $p |- ( F/ x ph <-> F/ x ps ) $=
      ( wb wnf nfbiit mpg ) ABEACFBCFECABCGDH $.

    ${
      nfxfr.2 $e |- F/ x ps $.
      $( A utility lemma to transfer a bound-variable hypothesis builder into a
         definition.  (Contributed by Mario Carneiro, 11-Aug-2016.) $)
      nfxfr $p |- F/ x ph $=
        ( wnf nfbii mpbir ) ACFBCFEABCDGH $.
    $}

    ${
      nfxfrd.2 $e |- ( ch -> F/ x ps ) $.
      $( A utility lemma to transfer a bound-variable hypothesis builder into a
         definition.  (Contributed by Mario Carneiro, 24-Sep-2016.) $)
      nfxfrd $p |- ( ch -> F/ x ph ) $=
        ( wnf nfbii sylibr ) CBDGADGFABDEHI $.
    $}
  $}

  $( A variable is nonfree in a proposition if and only if it is so in its
     negation.  (Contributed by BJ, 6-May-2019.)  (Proof shortened by Wolf
     Lammen, 6-Oct-2024.) $)
  nfnbi $p |- ( F/ x ph <-> F/ x -. ph ) $=
    ( wn wex wal wi wnf exnal imbi1i df-nf nf4 3bitr4ri ) ACZBDZMBEZFABECZOFMBG
    ABGNPOABHIMBJABKL $.

  $( Obsolete version of ~ nfnbi as of 6-Oct-2024.  (Contributed by BJ,
     6-May-2019.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  nfnbiOLD $p |- ( F/ x ph <-> F/ x -. ph ) $=
    ( wal wn wo wnf orcom nf3 notnotb albii orbi2i bitr4i 3bitr4i ) ABCZADZBCZE
    PNEZABFOBFZNPGABHRPODZBCZEQOBHNTPASBAIJKLM $.

  $( If a variable is nonfree in a proposition, then it is nonfree in its
     negation.  (Contributed by Mario Carneiro, 24-Sep-2016.)  (Proof shortened
     by Wolf Lammen, 28-Dec-2017.)  (Revised by BJ, 24-Jul-2019.) ~ df-nf
     changed.  (Revised by Wolf Lammen, 4-Oct-2021.) $)
  nfnt $p |- ( F/ x ph -> F/ x -. ph ) $=
    ( wnf wn nfnbi biimpi ) ABCADBCABEF $.

  ${
    nfn.1 $e |- F/ x ph $.
    $( Inference associated with ~ nfnt .  (Contributed by Mario Carneiro,
       11-Aug-2016.) ~ df-nf changed.  (Revised by Wolf Lammen,
       18-Sep-2021.) $)
    nfn $p |- F/ x -. ph $=
      ( wnf wn nfnt ax-mp ) ABDAEBDCABFG $.
  $}

  ${
    nfnd.1 $e |- ( ph -> F/ x ps ) $.
    $( Deduction associated with ~ nfnt .  (Contributed by Mario Carneiro,
       24-Sep-2016.) $)
    nfnd $p |- ( ph -> F/ x -. ps ) $=
      ( wnf wn nfnt syl ) ABCEBFCEDBCGH $.
  $}

  $( A transformation of quantifiers and logical connectives.  (Contributed by
     NM, 25-Mar-1996.)  (Proof shortened by Wolf Lammen, 4-Sep-2014.) $)
  exanali $p |- ( E. x ( ph /\ -. ps ) <-> -. A. x ( ph -> ps ) ) $=
    ( wn wa wex wi wal annim exbii exnal bitri ) ABDEZCFABGZDZCFNCHDMOCABIJNCKL
    $.

  $( Theorem *11.521 in [WhiteheadRussell] p. 164.  (Contributed by Andrew
     Salmon, 24-May-2011.) $)
  2exanali $p |- ( -. E. x E. y ( ph /\ -. ps ) <->
        A. x A. y ( ph -> ps ) ) $=
    ( wi wn wex wal wa 2nalexn con1bii annim 2exbii xchnxbir ) ABEZFZDGCGZODHCH
    ZABFIZDGCGRQOCDJKSPCDABLMN $.

  $( Commutation of conjunction inside an existential quantifier.  (Contributed
     by NM, 18-Aug-1993.) $)
  exancom $p |- ( E. x ( ph /\ ps ) <-> E. x ( ps /\ ph ) ) $=
    ( wa ancom exbii ) ABDBADCABEF $.

  ${
    exan.1 $e |- E. x ph $.
    exan.2 $e |- ps $.
    $( Place a conjunct in the scope of an existential quantifier.
       (Contributed by NM, 18-Aug-1993.)  (Proof shortened by Andrew Salmon,
       25-May-2011.)  (Proof shortened by Wolf Lammen, 13-Jan-2018.)  Reduce
       axiom dependencies.  (Revised by BJ, 7-Jul-2021.)  (Proof shortened by
       Wolf Lammen, 6-Nov-2022.)  Expand hypothesis.  (Revised by Steven
       Nguyen, 19-Jun-2023.) $)
    exan $p |- E. x ( ph /\ ps ) $=
      ( wa jctr eximii ) AABFCDABEGH $.
  $}

  ${
    alrimdh.1 $e |- ( ph -> A. x ph ) $.
    alrimdh.2 $e |- ( ps -> A. x ps ) $.
    alrimdh.3 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction form of Theorem 19.21 of [Margaris] p. 90, see ~ 19.21 and
       ~ 19.21h .  (Contributed by NM, 10-Feb-1997.)  (Proof shortened by
       Andrew Salmon, 13-May-2011.) $)
    alrimdh $p |- ( ph -> ( ps -> A. x ch ) ) $=
      ( wal alimdh syl5 ) BBDHACDHFABCDEGIJ $.
  $}

  ${
    eximdh.1 $e |- ( ph -> A. x ph ) $.
    eximdh.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.22 of [Margaris] p. 90.  (Contributed by NM,
       20-May-1996.) $)
    eximdh $p |- ( ph -> ( E. x ps -> E. x ch ) ) $=
      ( wal wex wi aleximi syl ) AADGBDHCDHIEABCDFJK $.
  $}

  ${
    nexdh.1 $e |- ( ph -> A. x ph ) $.
    nexdh.2 $e |- ( ph -> -. ps ) $.
    $( Deduction for generalization rule for negated wff.  (Contributed by NM,
       2-Jan-2002.) $)
    nexdh $p |- ( ph -> -. E. x ps ) $=
      ( wn wal wex alrimih alnex sylib ) ABFZCGBCHFALCDEIBCJK $.
  $}

  ${
    albidh.1 $e |- ( ph -> A. x ph ) $.
    albidh.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for universal quantifier (deduction form).
       (Contributed by NM, 26-May-1993.) $)
    albidh $p |- ( ph -> ( A. x ps <-> A. x ch ) ) $=
      ( wb wal alrimih albi syl ) ABCGZDHBDHCDHGALDEFIBCDJK $.
  $}

  ${
    exbidh.1 $e |- ( ph -> A. x ph ) $.
    exbidh.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for existential quantifier (deduction form).
       (Contributed by NM, 26-May-1993.) $)
    exbidh $p |- ( ph -> ( E. x ps <-> E. x ch ) ) $=
      ( wal wex wb alexbii syl ) AADGBDHCDHIEABCDFJK $.
  $}

  $( Simplification of an existentially quantified conjunction.  (Contributed
     by Rodolfo Medina, 25-Sep-2010.)  (Proof shortened by Andrew Salmon,
     29-Jun-2011.) $)
  exsimpl $p |- ( E. x ( ph /\ ps ) -> E. x ph ) $=
    ( wa simpl eximi ) ABDACABEF $.

  $( Simplification of an existentially quantified conjunction.  (Contributed
     by Rodolfo Medina, 25-Sep-2010.)  (Proof shortened by Andrew Salmon,
     29-Jun-2011.) $)
  exsimpr $p |- ( E. x ( ph /\ ps ) -> E. x ps ) $=
    ( wa simpr eximi ) ABDBCABEF $.

  $( Theorem 19.26 of [Margaris] p. 90.  Also Theorem *10.22 of
     [WhiteheadRussell] p. 147.  (Contributed by NM, 12-Mar-1993.)  (Proof
     shortened by Wolf Lammen, 4-Jul-2014.) $)
  19.26 $p |- ( A. x ( ph /\ ps ) <-> ( A. x ph /\ A. x ps ) ) $=
    ( wa wal simpl alimi simpr jca id alanimi impbii ) ABDZCEZACEZBCEZDNOPMACAB
    FGMBCABHGIABMCMJKL $.

  $( Theorem ~ 19.26 with two quantifiers.  (Contributed by NM, 3-Feb-2005.) $)
  19.26-2 $p |- ( A. x A. y ( ph /\ ps ) <->
                ( A. x A. y ph /\ A. x A. y ps ) ) $=
    ( wa wal 19.26 albii bitri ) ABEDFZCFADFZBDFZEZCFKCFLCFEJMCABDGHKLCGI $.

  $( Theorem ~ 19.26 with triple conjunction.  (Contributed by NM,
     13-Sep-2011.) $)
  19.26-3an $p |- ( A. x ( ph /\ ps /\ ch )
                   <-> ( A. x ph /\ A. x ps /\ A. x ch ) ) $=
    ( wa wal w3a 19.26 anbi1i df-3an albii bitri 3bitr4i ) ABEZDFZCDFZEZADFZBDF
    ZEZPEABCGZDFZRSPGOTPABDHIUBNCEZDFQUAUCDABCJKNCDHLRSPJM $.

  $( Theorem 19.29 of [Margaris] p. 90.  See also ~ 19.29r .  (Contributed by
     NM, 21-Jun-1993.)  (Proof shortened by Andrew Salmon, 13-May-2011.) $)
  19.29 $p |- ( ( A. x ph /\ E. x ps ) -> E. x ( ph /\ ps ) ) $=
    ( wal wex wa pm3.2 aleximi imp ) ACDBCEABFZCEABJCABGHI $.

  $( Variation of ~ 19.29 .  (Contributed by NM, 18-Aug-1993.)  (Proof
     shortened by Wolf Lammen, 12-Nov-2020.) $)
  19.29r $p |- ( ( E. x ph /\ A. x ps ) -> E. x ( ph /\ ps ) ) $=
    ( wal wex wa pm3.21 aleximi impcom ) BCDACEABFZCEBAJCBAGHI $.

  $( Variation of ~ 19.29r with double quantification.  (Contributed by NM,
     3-Feb-2005.) $)
  19.29r2 $p |- ( ( E. x E. y ph /\ A. x A. y ps ) ->
             E. x E. y ( ph /\ ps ) ) $=
    ( wex wal wa 19.29r eximi syl ) ADEZCEBDFZCFGKLGZCEABGDEZCEKLCHMNCABDHIJ $.

  $( Variation of ~ 19.29 with mixed quantification.  (Contributed by NM,
     11-Feb-2005.) $)
  19.29x $p |- ( ( E. x A. y ph /\ A. x E. y ps ) ->
             E. x E. y ( ph /\ ps ) ) $=
    ( wal wex wa 19.29r 19.29 eximi syl ) ADEZCFBDFZCEGLMGZCFABGDFZCFLMCHNOCABD
    IJK $.

  $( Theorem 19.35 of [Margaris] p. 90.  This theorem is useful for moving an
     implication (in the form of the right-hand side) into the scope of a
     single existential quantifier.  (Contributed by NM, 12-Mar-1993.)  (Proof
     shortened by Wolf Lammen, 27-Jun-2014.) $)
  19.35 $p |- ( E. x ( ph -> ps ) <-> ( A. x ph -> E. x ps ) ) $=
    ( wi wex wal pm2.27 aleximi com12 wn exnal pm2.21 eximi sylbir exa1 impbii
    ja ) ABDZCEZACFZBCEZDTSUAARBCABGHITUASTJAJZCESACKUBRCABLMNBACOQP $.

  ${
    19.35i.1 $e |- E. x ( ph -> ps ) $.
    $( Inference associated with ~ 19.35 .  (Contributed by NM,
       21-Jun-1993.) $)
    19.35i $p |- ( A. x ph -> E. x ps ) $=
      ( wi wex wal 19.35 mpbi ) ABECFACGBCFEDABCHI $.
  $}

  ${
    19.35ri.1 $e |- ( A. x ph -> E. x ps ) $.
    $( Inference associated with ~ 19.35 .  (Contributed by NM,
       12-Mar-1993.) $)
    19.35ri $p |- E. x ( ph -> ps ) $=
      ( wi wex wal 19.35 mpbir ) ABECFACGBCFEDABCHI $.
  $}

  $( Theorem 19.25 of [Margaris] p. 90.  (Contributed by NM, 12-Mar-1993.) $)
  19.25 $p |- ( A. y E. x ( ph -> ps ) ->
              ( E. y A. x ph -> E. y E. x ps ) ) $=
    ( wi wex wal 19.35 biimpi aleximi ) ABECFZACGZBCFZDKLMEABCHIJ $.

  $( Theorem 19.30 of [Margaris] p. 90.  (Contributed by NM, 12-Mar-1993.)
     (Proof shortened by Andrew Salmon, 25-May-2011.) $)
  19.30 $p |- ( A. x ( ph \/ ps ) -> ( A. x ph \/ E. x ps ) ) $=
    ( wo wal wex wn exnal pm2.53 aleximi syl5bir orrd ) ABDZCEZACEZBCFZOGAGZCFN
    PACHMQBCABIJKL $.

  $( Theorem 19.43 of [Margaris] p. 90.  (Contributed by NM, 12-Mar-1993.)
     (Proof shortened by Wolf Lammen, 27-Jun-2014.) $)
  19.43 $p |- ( E. x ( ph \/ ps ) <-> ( E. x ph \/ E. x ps ) ) $=
    ( wo wex wn wi wal df-or exbii 19.35 alnex imbi1i 3bitri bitr4i ) ABDZCEZAC
    EZFZBCEZGZRTDQAFZBGZCEUBCHZTGUAPUCCABIJUBBCKUDSTACLMNRTIO $.

  $( Obsolete proof of ~ 19.43 .  Do not delete as it is referenced on the
     ~ mmrecent.html page and in ~ conventions-labels .  (Contributed by NM,
     5-Aug-1993.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  19.43OLD $p |- ( E. x ( ph \/ ps ) <-> ( E. x ph \/ E. x ps ) ) $=
    ( wo wn wal wex wa ioran albii 19.26 alnex anbi12i 3bitri notbii df-ex oran
    3bitr4i ) ABDZEZCFZEACGZEZBCGZEZHZESCGUBUDDUAUFUAAEZBEZHZCFUGCFZUHCFZHUFTUI
    CABIJUGUHCKUJUCUKUEACLBCLMNOSCPUBUDQR $.

  $( Theorem 19.33 of [Margaris] p. 90.  (Contributed by NM, 12-Mar-1993.) $)
  19.33 $p |- ( ( A. x ph \/ A. x ps ) -> A. x ( ph \/ ps ) ) $=
    ( wal wo orc alimi olc jaoi ) ACDABEZCDBCDAJCABFGBJCBAHGI $.

  $( The antecedent provides a condition implying the converse of ~ 19.33 .
     (Contributed by NM, 27-Mar-2004.)  (Proof shortened by Andrew Salmon,
     25-May-2011.)  (Proof shortened by Wolf Lammen, 5-Jul-2014.) $)
  19.33b $p |- ( -. ( E. x ph /\ E. x ps ) ->
               ( A. x ( ph \/ ps ) <-> ( A. x ph \/ A. x ps ) ) ) $=
    ( wex wa wn wo wal ianor alnex pm2.53 al2imi syl5bir olc syl6com orcomd ord
    wi 19.30 orc jaoi sylbi 19.33 impbid1 ) ACDZBCDZEFZABGZCHZACHZBCHZGZUGUEFZU
    FFZGUIULRZUEUFIUMUOUNUIUMUKULUMAFZCHUIUKACJUHUPBCABKLMUKUJNOUIUNUJULUIUFUJU
    IUJUFABCSPQUJUKTOUAUBABCUCUD $.

  $( Theorem 19.40 of [Margaris] p. 90.  (Contributed by NM, 26-May-1993.) $)
  19.40 $p |- ( E. x ( ph /\ ps ) -> ( E. x ph /\ E. x ps ) ) $=
    ( wa wex exsimpl exsimpr jca ) ABDCEACEBCEABCFABCGH $.

  $( Theorem *11.42 in [WhiteheadRussell] p. 163.  Theorem 19.40 of [Margaris]
     p. 90 with two quantifiers.  (Contributed by Andrew Salmon,
     24-May-2011.) $)
  19.40-2 $p |- ( E. x E. y ( ph /\ ps ) ->
                                          ( E. x E. y ph /\ E. x E. y ps ) ) $=
    ( wa wex 19.40 eximi syl ) ABEDFZCFADFZBDFZEZCFKCFLCFEJMCABDGHKLCGI $.

  $( The antecedent provides a condition implying the converse of ~ 19.40 .
     This is to ~ 19.40 what ~ 19.33b is to ~ 19.33 .  (Contributed by BJ,
     6-May-2019.)  (Proof shortened by Wolf Lammen, 13-Nov-2020.) $)
  19.40b $p |- ( ( A. x ph \/ A. x ps ) ->
                          ( ( E. x ph /\ E. x ps ) <-> E. x ( ph /\ ps ) ) ) $=
    ( wal wo wex wa wi pm3.21 aleximi pm3.2 jaoa orcoms 19.40 impbid1 ) ACDZBCD
    ZEACFZBCFZGZABGZCFZQPTUBHQRUBPSBAUACBAIJABUACABKJLMABCNO $.

  $( Split a biconditional and distribute quantifier.  (Contributed by NM,
     18-Aug-1993.) $)
  albiim $p |- ( A. x ( ph <-> ps ) <->
             ( A. x ( ph -> ps ) /\ A. x ( ps -> ph ) ) ) $=
    ( wb wal wi wa dfbi2 albii 19.26 bitri ) ABDZCEABFZBAFZGZCEMCENCEGLOCABHIMN
    CJK $.

  $( Split a biconditional and distribute two quantifiers.  (Contributed by NM,
     3-Feb-2005.) $)
  2albiim $p |- ( A. x A. y ( ph <-> ps ) <->
             ( A. x A. y ( ph -> ps ) /\ A. x A. y ( ps -> ph ) ) ) $=
    ( wb wal wi wa albiim albii 19.26 bitri ) ABEDFZCFABGDFZBAGDFZHZCFNCFOCFHMP
    CABDIJNOCKL $.

  $( Add/remove a conjunct in the scope of an existential quantifier.
     (Contributed by Raph Levien, 3-Jul-2006.) $)
  exintrbi $p |- ( A. x ( ph -> ps ) -> ( E. x ph <-> E. x ( ph /\ ps ) ) ) $=
    ( wi wa abai rbaibr alexbii ) ABDZAABEZCJAIABFGH $.

  $( Introduce a conjunct in the scope of an existential quantifier.
     (Contributed by NM, 11-Aug-1993.)  (Proof shortened by BJ,
     16-Sep-2022.) $)
  exintr $p |- ( A. x ( ph -> ps ) -> ( E. x ph -> E. x ( ph /\ ps ) ) ) $=
    ( wi wa ancl aleximi ) ABDAABECABFG $.

  $( Universally quantified and uncurried (imported) form of syllogism.
     Theorem *10.3 in [WhiteheadRussell] p. 150.  (Contributed by Andrew
     Salmon, 8-Jun-2011.) $)
  alsyl $p |- ( ( A. x ( ph -> ps ) /\ A. x ( ps -> ch ) ) ->
        A. x ( ph -> ch ) ) $=
    ( wi pm3.33 alanimi ) ABEBCEACEDABCFG $.

  ${
    nfimd.1 $e |- ( ph -> F/ x ps ) $.
    nfimd.2 $e |- ( ph -> F/ x ch ) $.
    $( If in a context ` x ` is not free in ` ps ` and ` ch ` , then it is not
       free in ` ( ps -> ch ) ` .  Deduction form of ~ nfim .  (Contributed by
       Mario Carneiro, 24-Sep-2016.)  (Proof shortened by Wolf Lammen,
       30-Dec-2017.) ~ df-nf changed.  (Revised by Wolf Lammen, 18-Sep-2021.)
       Eliminate curried form of ~ nfimt .  (Revised by Wolf Lammen,
       10-Jul-2022.) $)
    nfimd $p |- ( ph -> F/ x ( ps -> ch ) ) $=
      ( wi wex wal 19.35 biimpi nfrd imim12d 19.38 syl56 nfd ) ABCGZDQDHZBDIZCD
      HZGZABDHZCDIZGQDIRUABCDJKAUBSTUCABDELACDFLMBCDNOP $.
  $}

  $( Closed form of ~ nfim and ~ nfimd .  (Contributed by BJ, 20-Oct-2021.)
     Eliminate curried form, former name nfimt2.  (Revised by Wolf Lammen,
     6-Jul-2022.) $)
  nfimt $p |- ( ( F/ x ph /\ F/ x ps ) -> F/ x ( ph -> ps ) ) $=
    ( wnf wa simpl simpr nfimd ) ACDZBCDZEABCIJFIJGH $.

  ${
    nfim.1 $e |- F/ x ph $.
    nfim.2 $e |- F/ x ps $.
    $( If ` x ` is not free in ` ph ` and ` ps ` , then it is not free in
       ` ( ph -> ps ) ` .  Inference associated with ~ nfimt .  (Contributed by
       Mario Carneiro, 11-Aug-2016.)  (Proof shortened by Wolf Lammen,
       2-Jan-2018.) ~ df-nf changed.  (Revised by Wolf Lammen, 17-Sep-2021.) $)
    nfim $p |- F/ x ( ph -> ps ) $=
      ( wnf wi nfimt mp2an ) ACFBCFABGCFDEABCHI $.
  $}

  ${
    nfand.1 $e |- ( ph -> F/ x ps ) $.
    nfand.2 $e |- ( ph -> F/ x ch ) $.
    $( If in a context ` x ` is not free in ` ps ` and ` ch ` , then it is not
       free in ` ( ps /\ ch ) ` .  (Contributed by Mario Carneiro,
       7-Oct-2016.) $)
    nfand $p |- ( ph -> F/ x ( ps /\ ch ) ) $=
      ( wa wn wi df-an nfnd nfimd nfxfrd ) BCGBCHZIZHADBCJAODABNDEACDFKLKM $.

    nfand.3 $e |- ( ph -> F/ x th ) $.
    $( Deduction form of bound-variable hypothesis builder ~ nf3an .
       (Contributed by NM, 17-Feb-2013.)  (Revised by Mario Carneiro,
       16-Oct-2016.) $)
    nf3and $p |- ( ph -> F/ x ( ps /\ ch /\ th ) ) $=
      ( w3a wa df-3an nfand nfxfrd ) BCDIBCJZDJAEBCDKANDEABCEFGLHLM $.
  $}

  ${
    nfan.1 $e |- F/ x ph $.
    nfan.2 $e |- F/ x ps $.
    $( If ` x ` is not free in ` ph ` and ` ps ` , then it is not free in
       ` ( ph /\ ps ) ` .  (Contributed by Mario Carneiro, 11-Aug-2016.)
       (Proof shortened by Wolf Lammen, 13-Jan-2018.)  (Proof shortened by Wolf
       Lammen, 9-Oct-2021.) $)
    nfan $p |- F/ x ( ph /\ ps ) $=
      ( wa wnf wtru a1i nfand mptru ) ABFCGHABCACGHDIBCGHEIJK $.

    $( If ` x ` is not free in ` ph ` and ` ps ` , then it is not free in
       ` ( ph -/\ ps ) ` .  (Contributed by Scott Fenton, 2-Jan-2018.) $)
    nfnan $p |- F/ x ( ph -/\ ps ) $=
      ( wnan wa wn df-nan nfan nfn nfxfr ) ABFABGZHCABIMCABCDEJKL $.

    nfan.3 $e |- F/ x ch $.
    $( If ` x ` is not free in ` ph ` , ` ps ` , and ` ch ` , then it is not
       free in ` ( ph /\ ps /\ ch ) ` .  (Contributed by Mario Carneiro,
       11-Aug-2016.) $)
    nf3an $p |- F/ x ( ph /\ ps /\ ch ) $=
      ( w3a wa df-3an nfan nfxfr ) ABCHABIZCIDABCJMCDABDEFKGKL $.
  $}

  ${
    nfbid.1 $e |- ( ph -> F/ x ps ) $.
    nfbid.2 $e |- ( ph -> F/ x ch ) $.
    $( If in a context ` x ` is not free in ` ps ` and ` ch ` , then it is not
       free in ` ( ps <-> ch ) ` .  (Contributed by Mario Carneiro,
       24-Sep-2016.)  (Proof shortened by Wolf Lammen, 29-Dec-2017.) $)
    nfbid $p |- ( ph -> F/ x ( ps <-> ch ) ) $=
      ( wb wi wa dfbi2 nfimd nfand nfxfrd ) BCGBCHZCBHZIADBCJANODABCDEFKACBDFEK
      LM $.
  $}

  ${
    nf.1 $e |- F/ x ph $.
    nf.2 $e |- F/ x ps $.
    $( If ` x ` is not free in ` ph ` and ` ps ` , then it is not free in
       ` ( ph <-> ps ) ` .  (Contributed by NM, 26-May-1993.)  (Revised by
       Mario Carneiro, 11-Aug-2016.)  (Proof shortened by Wolf Lammen,
       2-Jan-2018.) $)
    nfbi $p |- F/ x ( ph <-> ps ) $=
      ( wb wnf wtru a1i nfbid mptru ) ABFCGHABCACGHDIBCGHEIJK $.

    $( If ` x ` is not free in ` ph ` and ` ps ` , then it is not free in
       ` ( ph \/ ps ) ` .  (Contributed by NM, 5-Aug-1993.)  (Revised by Mario
       Carneiro, 11-Aug-2016.) $)
    nfor $p |- F/ x ( ph \/ ps ) $=
      ( wo wn wi df-or nfn nfim nfxfr ) ABFAGZBHCABIMBCACDJEKL $.

    nf.3 $e |- F/ x ch $.
    $( If ` x ` is not free in ` ph ` , ` ps ` , and ` ch ` , then it is not
       free in ` ( ph \/ ps \/ ch ) ` .  (Contributed by Mario Carneiro,
       11-Aug-2016.) $)
    nf3or $p |- F/ x ( ph \/ ps \/ ch ) $=
      ( w3o wo df-3or nfor nfxfr ) ABCHABIZCIDABCJMCDABDEFKGKL $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The empty domain of discourse
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  This database develops mathematics from first-order logic, which has only
  nonempty models.  Before stating axioms excluding the empty model
  (typically, ~ ax-6 in logic and ~ ax-nul in set theory), we state in this
  short subsection a few results relative to the empty domain, which we
  characterize by the assumption ` -. E. x T. ` .  As expected, on the empty
  domain, every universally quantified formula is true ( ~ emptyal ) and every
  existential formula is false ( ~ emptyex ), and every variable is effectively
  nonfree in any formula ( ~ emptynf ).

$)

  $( Two characterizations of the empty domain.  (Contributed by G&eacute;rard
     Lang, 5-Feb-2024.) $)
  empty $p |- ( -. E. x T. <-> A. x F. ) $=
    ( wfal wal wtru wn wex df-fal albii alnex bitr2i ) BACDEZACDAFEBKAGHDAIJ $.

  $( On the empty domain, any existentially quantified formula is false.
     (Contributed by Wolf Lammen, 21-Jan-2024.) $)
  emptyex $p |- ( -. E. x T. -> -. E. x ph ) $=
    ( wex wtru trud eximi con3i ) ABCDBCADBAEFG $.

  $( On the empty domain, any universally quantified formula is true.
     (Contributed by Wolf Lammen, 12-Mar-2023.) $)
  emptyal $p |- ( -. E. x T. -> A. x ph ) $=
    ( wtru wex wn wal emptyex alex sylibr ) CBDEAEZBDEABFJBGABHI $.

  $( On the empty domain, any variable is effectively nonfree in any formula.
     (Contributed by Wolf Lammen, 12-Mar-2023.) $)
  emptynf $p |- ( -. E. x T. -> F/ x ph ) $=
    ( wtru wex wn wal wnf emptyal nftht syl ) CBDEABFABGABHABIJ $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Axiom scheme ax-5 (Distinctness) - first use of $d
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x ph $.
    $( Axiom of Distinctness.  This axiom quantifies a variable over a formula
       in which it does not occur.  Axiom C5 in [Megill] p. 444 (p. 11 of the
       preprint).  Also appears as Axiom B6 (p. 75) of system S2 of [Tarski]
       p. 77 and Axiom C5-1 of [Monk2] p. 113.

       (See comments in ~ ax5ALT about the logical redundancy of ~ ax-5 in the
       presence of our obsolete axioms.)

       This axiom essentially says that if ` x ` does not occur in ` ph ` ,
       i.e. ` ph ` does not depend on ` x ` in any way, then we can add the
       quantifier ` A. x ` to ` ph ` with no further assumptions.  By ~ sp , we
       can also remove the quantifier (unconditionally).

       For an explanation of disjoint variable conditions, see
       ~ https://us.metamath.org/mpeuni/mmset.html#distinct .  (Contributed by
       NM, 10-Jan-1993.) $)
    ax-5 $a |- ( ph -> A. x ph ) $.
  $}

  ${
    $d x ps $.
    $( Version of ~ ax-5 with antecedent.  Useful in proofs of deduction
       versions of bound-variable hypothesis builders.  (Contributed by NM,
       1-Mar-2013.) $)
    ax5d $p |- ( ph -> ( ps -> A. x ps ) ) $=
      ( wal wi ax-5 a1i ) BBCDEABCFG $.
  $}

  ${
    $d x ph $.
    $( A rephrasing of ~ ax-5 using the existential quantifier.  (Contributed
       by Wolf Lammen, 4-Dec-2017.) $)
    ax5e $p |- ( E. x ph -> ph ) $=
      ( wex wi wn wal ax-5 eximal mpbir ) ABCADAEZJBFDJBGAABHI $.
  $}

  ${
    $d x ph $.
    $( If a formula holds for some value of a variable not occurring in it,
       then it holds for all values of that variable.  (Contributed by BJ,
       28-Dec-2020.) $)
    ax5ea $p |- ( E. x ph -> A. x ph ) $=
      ( wex wal ax5e ax-5 syl ) ABCAABDABEABFG $.
  $}

  ${
    $d x ph $.
    $( If ` x ` is not present in ` ph ` , then ` x ` is not free in ` ph ` .
       (Contributed by Mario Carneiro, 11-Aug-2016.)  Definition change.
       (Revised by Wolf Lammen, 12-Sep-2021.) $)
    nfv $p |- F/ x ph $=
      ( ax5ea nfi ) ABABCD $.
  $}

  ${
    $d x ps $.
    $( ~ nfv with antecedent.  Useful in proofs of deduction versions of
       bound-variable hypothesis builders such as ~ nfimd .  (Contributed by
       Mario Carneiro, 6-Oct-2016.) $)
    nfvd $p |- ( ph -> F/ x ps ) $=
      ( wnf nfv a1i ) BCDABCEF $.
  $}

  ${
    $d x ph $.
    alimdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction form of Theorem 19.20 of [Margaris] p. 90, see ~ alim .  See
       ~ alimdh and ~ alimd for versions without a distinct variable condition.
       (Contributed by NM, 3-Apr-1994.) $)
    alimdv $p |- ( ph -> ( A. x ps -> A. x ch ) ) $=
      ( ax-5 alimdh ) ABCDADFEG $.

    $( Deduction form of Theorem 19.22 of [Margaris] p. 90, see ~ exim .  See
       ~ eximdh and ~ eximd for versions without a distinct variable condition.
       (Contributed by NM, 27-Apr-1994.) $)
    eximdv $p |- ( ph -> ( E. x ps -> E. x ch ) ) $=
      ( ax-5 eximdh ) ABCDADFEG $.
  $}

  ${
    $d x ph $.  $d y ph $.
    2alimdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction form of Theorem 19.20 of [Margaris] p. 90 with two
       quantifiers, see ~ alim .  (Contributed by NM, 27-Apr-2004.) $)
    2alimdv $p |- ( ph -> ( A. x A. y ps -> A. x A. y ch ) ) $=
      ( wal alimdv ) ABEGCEGDABCEFHH $.

    $( Deduction form of Theorem 19.22 of [Margaris] p. 90 with two
       quantifiers, see ~ exim .  (Contributed by NM, 3-Aug-1995.) $)
    2eximdv $p |- ( ph -> ( E. x E. y ps -> E. x E. y ch ) ) $=
      ( wex eximdv ) ABEGCEGDABCEFHH $.
  $}

  ${
    $d x ph $.
    albidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for universal quantifier (deduction form).  See
       also ~ albidh and ~ albid .  (Contributed by NM, 26-May-1993.) $)
    albidv $p |- ( ph -> ( A. x ps <-> A. x ch ) ) $=
      ( ax-5 albidh ) ABCDADFEG $.

    $( Formula-building rule for existential quantifier (deduction form).  See
       also ~ exbidh and ~ exbid .  (Contributed by NM, 26-May-1993.) $)
    exbidv $p |- ( ph -> ( E. x ps <-> E. x ch ) ) $=
      ( ax-5 exbidh ) ABCDADFEG $.

    $( An equality theorem for nonfreeness.  See ~ nfbidf for a version without
       disjoint variable condition but requiring more axioms.  (Contributed by
       Mario Carneiro, 4-Oct-2016.)  Remove dependency on ~ ax-6 , ~ ax-7 ,
       ~ ax-12 by adapting proof of ~ nfbidf .  (Revised by BJ,
       25-Sep-2022.) $)
    nfbidv $p |- ( ph -> ( F/ x ps <-> F/ x ch ) ) $=
      ( wex wal wi wnf exbidv albidv imbi12d df-nf 3bitr4g ) ABDFZBDGZHCDFZCDGZ
      HBDICDIAOQPRABCDEJABCDEKLBDMCDMN $.
  $}

  ${
    $d x ph $.  $d y ph $.
    2albidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for two universal quantifiers (deduction form).
       (Contributed by NM, 4-Mar-1997.) $)
    2albidv $p |- ( ph -> ( A. x A. y ps <-> A. x A. y ch ) ) $=
      ( wal albidv ) ABEGCEGDABCEFHH $.

    $( Formula-building rule for two existential quantifiers (deduction form).
       (Contributed by NM, 1-May-1995.) $)
    2exbidv $p |- ( ph -> ( E. x E. y ps <-> E. x E. y ch ) ) $=
      ( wex exbidv ) ABEGCEGDABCEFHH $.
  $}

  ${
    $d x ph $.  $d y ph $.  $d z ph $.
    3exbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for three existential quantifiers (deduction
       form).  (Contributed by NM, 1-May-1995.) $)
    3exbidv $p |- ( ph -> ( E. x E. y E. z ps <-> E. x E. y E. z ch ) ) $=
      ( wex exbidv 2exbidv ) ABFHCFHDEABCFGIJ $.
  $}

  ${
    $d x ph $.  $d y ph $.  $d z ph $.  $d w ph $.
    4exbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for four existential quantifiers (deduction form).
       (Contributed by NM, 3-Aug-1995.) $)
    4exbidv $p |- ( ph ->
                     ( E. x E. y E. z E. w ps <-> E. x E. y E. z E. w ch ) ) $=
      ( wex 2exbidv ) ABGIFICGIFIDEABCFGHJJ $.
  $}

  ${
    $d x ph $.
    alrimiv.1 $e |- ( ph -> ps ) $.
    $( Inference form of Theorem 19.21 of [Margaris] p. 90.  See ~ 19.21 and
       ~ 19.21v .  (Contributed by NM, 21-Jun-1993.) $)
    alrimiv $p |- ( ph -> A. x ps ) $=
      ( ax-5 alrimih ) ABCACEDF $.
  $}

  ${
    $d x ph $.  $d y ph $.
    alrimivv.1 $e |- ( ph -> ps ) $.
    $( Inference form of Theorem 19.21 of [Margaris] p. 90.  See ~ 19.21 and
       ~ 19.21v .  (Contributed by NM, 31-Jul-1995.) $)
    alrimivv $p |- ( ph -> A. x A. y ps ) $=
      ( wal alrimiv ) ABDFCABDEGG $.
  $}

  ${
    $d x ph $.  $d x ps $.
    alrimdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction form of Theorem 19.21 of [Margaris] p. 90.  See ~ 19.21 and
       ~ 19.21v .  (Contributed by NM, 10-Feb-1997.) $)
    alrimdv $p |- ( ph -> ( ps -> A. x ch ) ) $=
      ( ax-5 alrimdh ) ABCDADFBDFEG $.
  $}

  ${
    $d x ps $.
    exlimiv.1 $e |- ( ph -> ps ) $.
    $( Inference form of Theorem 19.23 of [Margaris] p. 90, see ~ 19.23 .

       See ~ exlimi for a more general version requiring more axioms.

       This inference, along with its many variants such as ~ rexlimdv , is
       used to implement a metatheorem called "Rule C" that is given in many
       logic textbooks.  See, for example, Rule C in [Mendelson] p. 81, Rule C
       in [Margaris] p. 40, or Rule C in Hirst and Hirst's _A Primer for Logic
       and Proof_ p. 59 (PDF p. 65) at
       ~ http://www.appstate.edu/~~hirstjl/primer/hirst.pdf .  In informal
       proofs, the statement "Let ` C ` be an element such that..." almost
       always means an implicit application of Rule C.

       In essence, Rule C states that if we can prove that some element ` x `
       exists satisfying a wff, i.e. ` E. x ph ( x ) ` where ` ph ( x ) ` has
       ` x ` free, then we can use ` ph ( C ) ` as a hypothesis for the proof
       where ` C ` is a new (fictitious) constant not appearing previously in
       the proof, nor in any axioms used, nor in the theorem to be proved.  The
       purpose of Rule C is to get rid of the existential quantifier.

       We cannot do this in Metamath directly.  Instead, we use the original
       ` ph ` (containing ` x ` ) as an antecedent for the main part of the
       proof.  We eventually arrive at ` ( ph -> ps ) ` where ` ps ` is the
       theorem to be proved and does not contain ` x ` .  Then we apply
       ~ exlimiv to arrive at ` ( E. x ph -> ps ) ` .  Finally, we separately
       prove ` E. x ph ` and detach it with modus ponens ~ ax-mp to arrive at
       the final theorem ` ps ` , see ~ exlimiiv .  (Contributed by NM,
       21-Jun-1993.)  Remove dependencies on ~ ax-6 and ~ ax-8 .  (Revised by
       Wolf Lammen, 4-Dec-2017.) $)
    exlimiv $p |- ( E. x ph -> ps ) $=
      ( wex eximi ax5e syl ) ACEBCEBABCDFBCGH $.

    exlimiiv.2 $e |- E. x ph $.
    $( Inference (Rule C) associated with ~ exlimiv .  (Contributed by BJ,
       19-Dec-2020.) $)
    exlimiiv $p |- ps $=
      ( wex exlimiv ax-mp ) ACFBEABCDGH $.
  $}

  ${
    $d x ps $.  $d y ps $.
    exlimivv.1 $e |- ( ph -> ps ) $.
    $( Inference form of Theorem 19.23 of [Margaris] p. 90, see ~ 19.23 .
       (Contributed by NM, 1-Aug-1995.) $)
    exlimivv $p |- ( E. x E. y ph -> ps ) $=
      ( wex exlimiv ) ADFBCABDEGG $.
  $}

  ${
    $d x ch $.  $d x ph $.
    exlimdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction form of Theorem 19.23 of [Margaris] p. 90, see ~ 19.23 .
       (Contributed by NM, 27-Apr-1994.)  Remove dependencies on ~ ax-6 ,
       ~ ax-7 .  (Revised by Wolf Lammen, 4-Dec-2017.) $)
    exlimdv $p |- ( ph -> ( E. x ps -> ch ) ) $=
      ( wex eximdv ax5e syl6 ) ABDFCDFCABCDEGCDHI $.
  $}

  ${
    $d x ch $.  $d x ph $.  $d y ch $.  $d y ph $.
    exlimdvv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction form of Theorem 19.23 of [Margaris] p. 90, see ~ 19.23 .
       (Contributed by NM, 31-Jul-1995.) $)
    exlimdvv $p |- ( ph -> ( E. x E. y ps -> ch ) ) $=
      ( wex exlimdv ) ABEGCDABCEFHH $.
  $}

  ${
    $d x ch $.  $d x ph $.
    exlimddv.1 $e |- ( ph -> E. x ps ) $.
    exlimddv.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Existential elimination rule of natural deduction (Rule C, explained in
       ~ exlimiv ).  (Contributed by Mario Carneiro, 15-Jun-2016.) $)
    exlimddv $p |- ( ph -> ch ) $=
      ( wex ex exlimdv mpd ) ABDGCEABCDABCFHIJ $.
  $}

  ${
    $d x ph $.
    nexdv.1 $e |- ( ph -> -. ps ) $.
    $( Deduction for generalization rule for negated wff.  (Contributed by NM,
       5-Aug-1993.)  Reduce dependencies on axioms.  (Revised by Wolf Lammen,
       13-Jul-2020.)  (Proof shortened by Wolf Lammen, 10-Oct-2021.) $)
    nexdv $p |- ( ph -> -. E. x ps ) $=
      ( ax-5 nexdh ) ABCACEDF $.
  $}

  ${
    $d x ph $.  $d y ph $.
    $( Quantification of two variables over a formula in which they do not
       occur.  (Contributed by Alan Sare, 12-Apr-2011.) $)
    2ax5 $p |- ( ph -> A. x A. y ph ) $=
      ( id alrimivv ) AABCADE $.
  $}

  ${
    $d x ph $.
    $( Version of ~ stdpc5 with a disjoint variable condition, requiring fewer
       axioms.  (Contributed by BJ, 7-Mar-2020.)  Revised to shorten ~ 19.21v .
       (Revised by Wolf Lammen, 12-Jul-2020.) $)
    stdpc5v $p |- ( A. x ( ph -> ps ) -> ( ph -> A. x ps ) ) $=
      ( wal wi ax-5 alim syl5 ) AACDABECDBCDACFABCGH $.

    $( Version of ~ 19.21 with a disjoint variable condition, requiring fewer
       axioms.

       _Notational convention_:  We sometimes suffix with "v" the label of a
       theorem using a distinct variable ("dv") condition instead of a
       nonfreeness hypothesis such as ` F/ x ph ` .  Conversely, we sometimes
       suffix with "f" the label of a theorem introducing such a nonfreeness
       hypothesis ("f" stands for "not free in", see ~ df-nf ) instead of a
       disjoint variable condition.  For instance, ~ 19.21v versus ~ 19.21 and
       ~ vtoclf versus ~ vtocl .  Note that "not free in" is less restrictive
       than "does not occur in".  Note that the version with a disjoint
       variable condition is easily proved from the version with the
       corresponding nonfreeness hypothesis, by using ~ nfv .  However, the dv
       version can often be proved from fewer axioms.  (Contributed by NM,
       21-Jun-1993.)  Reduce dependencies on axioms.  (Revised by Wolf Lammen,
       2-Jan-2020.)  (Proof shortened by Wolf Lammen, 12-Jul-2020.) $)
    19.21v $p |- ( A. x ( ph -> ps ) <-> ( ph -> A. x ps ) ) $=
      ( wi wal stdpc5v wex ax5e imim1i 19.38 syl impbii ) ABDCEZABCEZDZABCFOACG
      ZNDMPANACHIABCJKL $.
    $( $j usage '19.21v' avoids 'ax-6' 'ax-7' 'ax-12'; $)
  $}

  ${
    $d x ph $.
    $( Version of ~ 19.32 with a disjoint variable condition, requiring fewer
       axioms.  (Contributed by BJ, 7-Mar-2020.) $)
    19.32v $p |- ( A. x ( ph \/ ps ) <-> ( ph \/ A. x ps ) ) $=
      ( wn wi wal wo 19.21v df-or albii 3bitr4i ) ADZBEZCFLBCFZEABGZCFANGLBCHOM
      CABIJANIK $.
    $( $j usage '19.32v' avoids 'ax-6' 'ax-7' 'ax-12'; $)
  $}

  ${
    $d x ps $.
    $( Version of ~ 19.31 with a disjoint variable condition, requiring fewer
       axioms.  (Contributed by BJ, 7-Mar-2020.) $)
    19.31v $p |- ( A. x ( ph \/ ps ) <-> ( A. x ph \/ ps ) ) $=
      ( wo wal 19.32v orcom albii 3bitr4i ) BADZCEBACEZDABDZCEKBDBACFLJCABGHKBG
      I $.
    $( $j usage '19.31v' avoids 'ax-6' 'ax-7' 'ax-12'; $)
  $}

  ${
    $d x ps $.
    $( Version of ~ 19.23 with a disjoint variable condition instead of a
       nonfreeness hypothesis.  (Contributed by NM, 28-Jun-1998.)  Reduce
       dependencies on axioms.  (Revised by Wolf Lammen, 11-Jan-2020.)  Remove
       dependency on ~ ax-6 .  (Revised by Rohan Ridenour, 15-Apr-2022.) $)
    19.23v $p |- ( A. x ( ph -> ps ) <-> ( E. x ph -> ps ) ) $=
      ( wi wal wex exim ax5e syl6 ax-5 imim2i 19.38 syl impbii ) ABDCEZACFZBDZO
      PBCFBABCGBCHIQPBCEZDOBRPBCJKABCLMN $.
    $( $j usage '19.23v' avoids 'ax-6' 'ax-7' 'ax-12'; $)
  $}

  ${
    $d x ps $.  $d y ps $.
    $( Theorem ~ 19.23v extended to two variables.  (Contributed by NM,
       10-Aug-2004.) $)
    19.23vv $p |- ( A. x A. y ( ph -> ps ) <-> ( E. x E. y ph -> ps ) ) $=
      ( wi wal wex 19.23v albii bitri ) ABEDFZCFADGZBEZCFLCGBEKMCABDHILBCHJ $.
  $}

  ${
    $d ph y $.  $d ps x $.  $d x y $.
    $( Version of ~ pm11.53 with a disjoint variable condition, requiring fewer
       axioms.  (Contributed by BJ, 7-Mar-2020.) $)
    pm11.53v $p |- ( A. x A. y ( ph -> ps ) <-> ( E. x ph -> A. y ps ) ) $=
      ( wi wal wex 19.21v albii 19.23v bitri ) ABEDFZCFABDFZEZCFACGMELNCABDHIAM
      CJK $.
  $}

  ${
    $d x ps $.
    $( One direction of ~ 19.36v that can be proven without ~ ax-6 .
       (Contributed by Rohan Ridenour, 16-Apr-2022.)  (Proof shortened by Wolf
       Lammen, 22-Sep-2024.) $)
    19.36imv $p |- ( E. x ( ph -> ps ) -> ( A. x ph -> ps ) ) $=
      ( wal wi wex pm2.27 aleximi ax5e syl6com ) ACDABEZCFBCFBAKBCABGHBCIJ $.

    $( Obsolete version of ~ 19.36imv as of 22-Sep-2024.  (Contributed by Rohan
       Ridenour, 16-Apr-2022.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    19.36imvOLD $p |- ( E. x ( ph -> ps ) -> ( A. x ph -> ps ) ) $=
      ( wi wex wal 19.35 biimpi ax5e syl6 ) ABDCEZACFZBCEZBKLMDABCGHBCIJ $.
  $}

  ${
    $d x ps $.
    19.36iv.1 $e |- E. x ( ph -> ps ) $.
    $( Inference associated with ~ 19.36v .  Version of ~ 19.36i with a
       disjoint variable condition.  (Contributed by NM, 5-Aug-1993.)  Reduce
       dependencies on axioms.  (Revised by Wolf Lammen, 17-Jan-2020.)  Remove
       dependency on ~ ax-6 .  (Revised by Rohan Ridenour, 15-Apr-2022.) $)
    19.36iv $p |- ( A. x ph -> ps ) $=
      ( wi wex wal 19.36imv ax-mp ) ABECFACGBEDABCHI $.
  $}

  ${
    $d x ph $.
    $( One direction of ~ 19.37v that can be proven without ~ ax-6 .
       (Contributed by Rohan Ridenour, 16-Apr-2022.) $)
    19.37imv $p |- ( E. x ( ph -> ps ) -> ( ph -> E. x ps ) ) $=
      ( wal wi wex ax-5 19.35 biimpi syl5 ) AACDZABECFZBCFZACGLKMEABCHIJ $.
  $}

  ${
    $d x ph $.
    19.37iv.1 $e |- E. x ( ph -> ps ) $.
    $( Inference associated with ~ 19.37v .  (Contributed by NM, 5-Aug-1993.)
       Remove dependency on ~ ax-6 .  (Revised by Rohan Ridenour,
       15-Apr-2022.) $)
    19.37iv $p |- ( ph -> E. x ps ) $=
      ( wi wex 19.37imv ax-mp ) ABECFABCFEDABCGH $.
  $}

  ${
    $d x ps $.
    $( Version of ~ 19.41 with a disjoint variable condition, requiring fewer
       axioms.  (Contributed by NM, 21-Jun-1993.)  Remove dependency on
       ~ ax-6 .  (Revised by Rohan Ridenour, 15-Apr-2022.) $)
    19.41v $p |- ( E. x ( ph /\ ps ) <-> ( E. x ph /\ ps ) ) $=
      ( wa wex 19.40 ax5e anim2i syl pm3.21 eximdv impcom impbii ) ABDZCEZACEZB
      DZOPBCEZDQABCFRBPBCGHIBPOBANCBAJKLM $.
  $}

  ${
    $d x ps $.  $d y ps $.
    $( Version of ~ 19.41 with two quantifiers and a disjoint variable
       condition requiring fewer axioms.  (Contributed by NM, 30-Apr-1995.) $)
    19.41vv $p |- ( E. x E. y ( ph /\ ps ) <-> ( E. x E. y ph /\ ps ) ) $=
      ( wa wex 19.41v exbii bitri ) ABEDFZCFADFZBEZCFKCFBEJLCABDGHKBCGI $.
  $}

  ${
    $d x ps $.  $d y ps $.  $d z ps $.
    $( Version of ~ 19.41 with three quantifiers and a disjoint variable
       condition requiring fewer axioms.  (Contributed by NM, 30-Apr-1995.) $)
    19.41vvv $p |- ( E. x E. y E. z ( ph /\ ps ) <->
                     ( E. x E. y E. z ph /\ ps ) ) $=
      ( wa wex 19.41vv exbii 19.41v bitri ) ABFEGDGZCGAEGDGZBFZCGMCGBFLNCABDEHI
      MBCJK $.
  $}

  ${
    $d w ps $.  $d x ps $.  $d y ps $.  $d z ps $.
    $( Version of ~ 19.41 with four quantifiers and a disjoint variable
       condition requiring fewer axioms.  (Contributed by FL, 14-Jul-2007.) $)
    19.41vvvv $p |- ( E. w E. x E. y E. z ( ph /\ ps ) <->
                     ( E. w E. x E. y E. z ph /\ ps ) ) $=
      ( wa wex 19.41vvv exbii 19.41v bitri ) ABGEHDHCHZFHAEHDHCHZBGZFHNFHBGMOFA
      BCDEIJNBFKL $.
  $}

  ${
    $d x ph $.
    $( Version of ~ 19.42 with a disjoint variable condition requiring fewer
       axioms.  (Contributed by NM, 21-Jun-1993.) $)
    19.42v $p |- ( E. x ( ph /\ ps ) <-> ( ph /\ E. x ps ) ) $=
      ( wa wex 19.41v exancom ancom 3bitr4i ) BADCEBCEZADABDCEAJDBACFABCGAJHI
      $.
  $}

  ${
    $d y ph $.
    $( Distribution of existential quantifiers.  See also ~ exdistrv .
       (Contributed by NM, 9-Mar-1995.) $)
    exdistr $p |- ( E. x E. y ( ph /\ ps ) <-> E. x ( ph /\ E. y ps ) ) $=
      ( wa wex 19.42v exbii ) ABEDFABDFECABDGH $.
  $}

  ${
    $d y ph $.  $d x ps $.  $d x y $.
    $( Distribute a pair of existential quantifiers (over disjoint variables)
       over a conjunction.  Combination of ~ 19.41v and ~ 19.42v .  For a
       version with fewer disjoint variable conditions but requiring more
       axioms, see ~ eeanv .  (Contributed by BJ, 30-Sep-2022.) $)
    exdistrv $p |- ( E. x E. y ( ph /\ ps ) <-> ( E. x ph /\ E. y ps ) ) $=
      ( wa wex exdistr 19.41v bitri ) ABEDFCFABDFZECFACFJEABCDGAJCHI $.
  $}

  ${
    $d w ph $.  $d z ph $.  $d y ps $.  $d x ps $.  $d w y $.  $d y z $.
    $d w x $.  $d x z $.
    $( Distribute two pairs of existential quantifiers (over disjoint
       variables) over a conjunction.  For a version with fewer disjoint
       variable conditions but requiring more axioms, see ~ ee4anv .
       (Contributed by BJ, 5-Jan-2023.) $)
    4exdistrv $p |- ( E. x E. z E. y E. w ( ph /\ ps ) <->
                                          ( E. x E. y ph /\ E. z E. w ps ) ) $=
      ( wa wex exdistrv 2exbii bitri ) ABGFHDHZEHCHADHZBFHZGZEHCHMCHNEHGLOCEABD
      FIJMNCEIK $.
  $}

  ${
    $d x ph $.  $d y ph $.
    $( Version of ~ 19.42 with two quantifiers and a disjoint variable
       condition requiring fewer axioms.  (Contributed by NM, 16-Mar-1995.) $)
    19.42vv $p |- ( E. x E. y ( ph /\ ps ) <-> ( ph /\ E. x E. y ps ) ) $=
      ( wa wex exdistr 19.42v bitri ) ABEDFCFABDFZECFAJCFEABCDGAJCHI $.
  $}

  ${
    $d y ph $.  $d z ph $.
    $( Distribution of existential quantifiers.  (Contributed by NM,
       17-Mar-1995.) $)
    exdistr2 $p |- ( E. x E. y E. z ( ph /\ ps ) <->
                   E. x ( ph /\ E. y E. z ps ) ) $=
      ( wa wex 19.42vv exbii ) ABFEGDGABEGDGFCABDEHI $.
  $}

  ${
    $d x ph $.  $d y ph $.  $d z ph $.
    $( Version of ~ 19.42 with three quantifiers and a disjoint variable
       condition requiring fewer axioms.  (Contributed by NM, 21-Sep-2011.)
       (Proof shortened by Wolf Lammen, 27-Aug-2023.) $)
    19.42vvv $p |- ( E. x E. y E. z ( ph /\ ps )
                       <-> ( ph /\ E. x E. y E. z ps ) ) $=
      ( wa wex exdistr2 19.42v bitri ) ABFEGDGCGABEGDGZFCGAKCGFABCDEHAKCIJ $.
  $}

  ${
    $d y ph $.  $d z ph $.  $d z ps $.
    $( Distribution of existential quantifiers in a triple conjunction.
       (Contributed by NM, 9-Mar-1995.)  (Proof shortened by Andrew Salmon,
       25-May-2011.) $)
    3exdistr $p |- ( E. x E. y E. z ( ph /\ ps /\ ch ) <->
                E. x ( ph /\ E. y ( ps /\ E. z ch ) ) ) $=
      ( w3a wex wa 3anass 2exbii 19.42vv exdistr anbi2i 3bitri exbii ) ABCGZFHE
      HZABCFHIEHZIZDRABCIZIZFHEHAUAFHEHZITQUBEFABCJKAUAEFLUCSABCEFMNOP $.
  $}

  ${
    $d y ph $.  $d z ph $.  $d w ph $.  $d z ps $.  $d w ps $.  $d w ch $.
    $( Distribution of existential quantifiers in a quadruple conjunction.
       (Contributed by NM, 9-Mar-1995.)  (Proof shortened by Wolf Lammen,
       20-Jan-2018.) $)
    4exdistr $p |- ( E. x E. y E. z E. w ( ( ph /\ ps ) /\ ( ch /\ th ) ) <->
                E. x ( ph /\ E. y ( ps /\ E. z ( ch /\ E. w th ) ) ) ) $=
      ( wa wex w3a 19.42v anbi2i df-3an 3bitr4i 3exbii 3exdistr bitri ) ABIZCDI
      ZIHJZGJFJEJABCDHJIZKZGJFJEJABUBGJIFJIEJUAUCEFGSTHJZISUBIUAUCUDUBSCDHLMSTH
      LABUBNOPABUBEFGQR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Equality predicate (continued)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The equality predicate was introduced above in ~ wceq for use by ~ df-tru .
  See the comments in that section.  In this section, we continue with its
  first "real" use.

$)

  $( Extend wff definition to include atomic formulas using the equality
     predicate.

     (Instead of introducing ~ weq as an axiomatic statement, as was done in an
     older version of this database, we introduce it by "proving" a special
     case of set theory's more general ~ wceq .  This lets us avoid overloading
     the ` = ` connective, thus preventing ambiguity that would complicate
     certain Metamath parsers.  However, logically ~ weq is considered to be a
     primitive syntax, even though here it is artificially "derived" from
     ~ wceq .  Note:  To see the proof steps of this syntax proof, type "MM>
     SHOW PROOF weq / ALL" in the Metamath program.)  (Contributed by NM,
     24-Jan-2006.) $)
  weq $p wff x = y $=
    ( cv wceq ) ACBCD $.

  ${
    speimfw.2 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Specialization, with additional weakening (compared to ~ 19.2 ) to allow
       bundling of ` x ` and ` y ` .  Uses only Tarski's FOL axiom schemes.
       (Contributed by NM, 23-Apr-2017.)  (Proof shortened by Wolf Lammen,
       5-Dec-2017.) $)
    speimfw $p |- ( -. A. x -. x = y -> ( A. x ph -> E. x ps ) ) $=
      ( weq wn wal wex df-ex biimpri com12 aleximi syl5com ) CDFZGCHGZOCIZACHBC
      IQPOCJKAOBCOABELMN $.

    $( Alternate proof of ~ speimfw (longer compressed proof, but fewer
       essential steps).  (Contributed by NM, 23-Apr-2017.)  (Proof shortened
       by Wolf Lammen, 5-Aug-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    speimfwALT $p |- ( -. A. x -. x = y -> ( A. x ph -> E. x ps ) ) $=
      ( weq wex wi wn wal eximi df-ex 19.35 3imtr3i ) CDFZCGABHZCGOICJIACJBCGHO
      PCEKOCLABCMN $.
  $}

  ${
    spimfw.1 $e |- ( -. ps -> A. x -. ps ) $.
    spimfw.2 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Specialization, with additional weakening (compared to ~ sp ) to allow
       bundling of ` x ` and ` y ` .  Uses only Tarski's FOL axiom schemes.
       (Contributed by NM, 23-Apr-2017.)  (Proof shortened by Wolf Lammen,
       7-Aug-2017.) $)
    spimfw $p |- ( -. A. x -. x = y -> ( A. x ph -> ps ) ) $=
      ( weq wn wal wex speimfw df-ex con1i sylbi syl6 ) CDGHCIHACIBCJZBABCDFKPB
      HCIZHBBCLBQEMNO $.
  $}

  ${
    ax12i.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    ax12i.2 $e |- ( ps -> A. x ps ) $.
    $( Inference that has ~ ax-12 (without ` A. y ` ) as its conclusion.  Uses
       only Tarski's FOL axiom schemes.  The hypotheses may be eliminable
       without using ~ ax-12 in special cases.  Proof similar to Lemma 16 of
       [Tarski] p. 70.  (Contributed by NM, 20-May-2008.) $)
    ax12i $p |- ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) $=
      ( weq wi wal biimprcd alrimih syl6bi ) CDGZABMAHZCIEBNCFMABEJKL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Axiom scheme ax-6 (Existence)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Axiom of Existence.  One of the equality and substitution axioms of
     predicate calculus with equality.  This axiom tells us that at least one
     thing exists.  In this form (not requiring that ` x ` and ` y ` be
     distinct) it was used in an axiom system of Tarski (see Axiom B7' in
     footnote 1 of [KalishMontague] p. 81.)  It is equivalent to axiom scheme
     C10' in [Megill] p. 448 (p. 16 of the preprint); the equivalence is
     established by ~ axc10 and ~ ax6fromc10 .  A more convenient form of this
     axiom is ~ ax6e , which has additional remarks.

     Raph Levien proved the independence of this axiom from the other logical
     axioms on 12-Apr-2005.  See item 16 at
     ~ https://us.metamath.org/award2003.html .

     ~ ax-6 can be proved from the weaker version ~ ax6v requiring that the
     variables be distinct; see Theorem ~ ax6 .

     ~ ax-6 can also be proved from the Axiom of Separation (in the form that
     we use that axiom, where free variables are not universally quantified).
     See Theorem ~ ax6vsep .

     Except by ~ ax6v , this axiom should not be referenced directly.  Instead,
     use Theorem ~ ax6 .  (Contributed by NM, 10-Jan-1993.)
     (New usage is discouraged.) $)
  ax-6 $a |- -. A. x -. x = y $.

  ${
    $d x y $.
    $( Axiom B7 of [Tarski] p. 75, which requires that ` x ` and ` y ` be
       distinct.  This trivial proof is intended merely to weaken Axiom ~ ax-6
       by adding a distinct variable restriction ($d).  From here on, ~ ax-6
       should not be referenced directly by any other proof, so that Theorem
       ~ ax6 will show that we can recover ~ ax-6 from this weaker version if
       it were an axiom (as it is in the case of Tarski).

       Note:  Introducing ` x , y ` as a distinct variable group "out of the
       blue" with no apparent justification has puzzled some people, but it is
       perfectly sound.  All we are doing is adding an additional prerequisite,
       similar to adding an unnecessary logical hypothesis, that results in a
       weakening of the theorem.  This means that any _future_ theorem that
       references ~ ax6v must have a $d specified for the two variables that
       get substituted for ` x ` and ` y ` .  The $d does not propagate
       "backwards", i.e., it does not impose a requirement on ~ ax-6 .

       When possible, use of this theorem rather than ~ ax6 is preferred since
       its derivation is much shorter and requires fewer axioms.  (Contributed
       by NM, 7-Aug-2015.) $)
    ax6v $p |- -. A. x -. x = y $=
      ( ax-6 ) ABC $.
  $}

  ${
    $d x y $.
    $( At least one individual exists.  Weaker version of ~ ax6e .  When
       possible, use of this theorem rather than ~ ax6e is preferred since its
       derivation is much shorter and requires fewer axioms.  (Contributed by
       NM, 3-Aug-2017.) $)
    ax6ev $p |- E. x x = y $=
      ( weq wex wn wal ax6v df-ex mpbir ) ABCZADJEAFEABGJAHI $.
  $}

  ${
    $d x y $.
    spimw.1 $e |- ( -. ps -> A. x -. ps ) $.
    spimw.2 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Specialization.  Lemma 8 of [KalishMontague] p. 87.  Uses only Tarski's
       FOL axiom schemes.  (Contributed by NM, 19-Apr-2017.)  (Proof shortened
       by Wolf Lammen, 7-Aug-2017.) $)
    spimw $p |- ( A. x ph -> ps ) $=
      ( weq wn wal wi ax6v spimfw ax-mp ) CDGHCIHACIBJCDKABCDEFLM $.
  $}

  ${
    $d x y $.
    spimew.1 $e |- ( ph -> A. x ph ) $.
    spimew.2 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Existential introduction, using implicit substitution.  Compare Lemma 14
       of [Tarski] p. 70.  (Contributed by NM, 7-Aug-1994.)  (Proof shortened
       by Wolf Lammen, 22-Oct-2023.) $)
    spimew $p |- ( ph -> E. x ps ) $=
      ( weq wn wal wex ax6v speimfw mpsyl ) CDGHCIHAACIBCJCDKEABCDFLM $.
  $}

  ${
    $d x y $.
    speiv.1 $e |- ( x = y -> ( ps -> ph ) ) $.
    speiv.2 $e |- ps $.
    $( Inference from existential specialization.  (Contributed by NM,
       19-Aug-1993.)  (Revised by Wolf Lammen, 22-Oct-2023.) $)
    speiv $p |- E. x ph $=
      ( wex hbth spimew ax-mp ) BACGFBACDBCFHEIJ $.
  $}

  ${
    $d x y $.
    speivw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    speivw.2 $e |- ps $.
    $( Version of ~ spei with a disjoint variable condition, which does not
       require ~ ax-13 (neither ~ ax-7 nor ~ ax-12 ).  (Contributed by BJ,
       31-May-2019.) $)
    speivw $p |- E. x ph $=
      ( weq biimprd speiv ) ABCDCDGABEHFI $.
  $}

  ${
    $d x y $.
    exgen.1 $e |- ph $.
    $( Rule of existential generalization, similar to universal generalization
       ~ ax-gen , but valid only if an individual exists.  Its proof requires
       ~ ax-6 in our axiomatization but the equality predicate does not occur
       in its statement.  Some fundamental theorems of predicate calculus can
       be proven from ~ ax-gen , ~ ax-4 and this theorem alone, not requiring
       ~ ax-7 or excessive distinct variable conditions.  (Contributed by Wolf
       Lammen, 12-Nov-2017.)  (Proof shortened by Wolf Lammen, 20-Oct-2023.) $)
    exgen $p |- E. x ph $=
      ( vy weq idd speiv ) AABDBDEAFCG $.
  $}

  $( There exists a variable such that ` T. ` holds; that is, there exists a
     variable.  This corresponds under the standard translation to one of the
     formulations of the modal axiom (D), the other being ~ 19.2 .
     (Contributed by Anthony Hart, 13-Sep-2011.)  (Proof shortened by BJ,
     12-May-2019.) $)
  extru $p |- E. x T. $=
    ( wtru tru exgen ) BACD $.

  $( Theorem 19.2 of [Margaris] p. 89.  This corresponds to the axiom (D) of
     modal logic (the other standard formulation being ~ extru ).  Note:  This
     proof is very different from Margaris' because we only have Tarski's FOL
     axiom schemes available at this point.  See the later ~ 19.2g for a more
     conventional proof of a more general result, which uses additional axioms.
     The reverse implication is the defining property of effective nonfreeness
     (see ~ df-nf ).  (Contributed by NM, 2-Aug-2017.)  Remove dependency on
     ~ ax-7 .  (Revised by Wolf Lammen, 4-Dec-2017.) $)
  19.2 $p |- ( A. x ph -> E. x ph ) $=
    ( wi id exgen 19.35i ) AABAACBADEF $.

  ${
    19.2d.1 $e |- ( ph -> A. x ps ) $.
    $( Deduction associated with ~ 19.2 .  (Contributed by BJ, 12-May-2019.) $)
    19.2d $p |- ( ph -> E. x ps ) $=
      ( wal wex 19.2 syl ) ABCEBCFDBCGH $.
  $}

  ${
    19.8w.1 $e |- ( ph -> A. x ph ) $.
    $( Weak version of ~ 19.8a and instance of ~ 19.2d .  (Contributed by NM,
       1-Aug-2017.)  (Proof shortened by Wolf Lammen, 4-Dec-2017.)  (Revised by
       BJ, 31-Mar-2021.) $)
    19.8w $p |- ( ph -> E. x ph ) $=
      ( 19.2d ) AABCD $.
  $}

  ${
    $d x y $.  $d y ph $.
    spnfw.1 $e |- ( -. ph -> A. x -. ph ) $.
    $( Weak version of ~ sp .  Uses only Tarski's FOL axiom schemes.
       (Contributed by NM, 1-Aug-2017.)  (Proof shortened by Wolf Lammen,
       13-Aug-2017.) $)
    spnfw $p |- ( A. x ph -> ph ) $=
      ( vy weq idd spimw ) AABDCBDEAFG $.
  $}

  ${
    $d x ph $.
    $( Version of ~ sp when ` x ` does not occur in ` ph ` .  Converse of
       ~ ax-5 .  Uses only Tarski's FOL axiom schemes.  (Contributed by NM,
       10-Apr-2017.)  (Proof shortened by Wolf Lammen, 4-Dec-2017.)  Shorten
       ~ 19.3v .  (Revised by Wolf Lammen, 20-Oct-2023.) $)
    spvw $p |- ( A. x ph -> ph ) $=
      ( wn ax-5 spnfw ) ABACBDE $.
    $( $j usage 'spvw' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)

    $( Version of ~ 19.3 with a disjoint variable condition, requiring fewer
       axioms.  Any formula can be universally quantified using a variable
       which it does not contain.  See also ~ 19.9v .  (Contributed by Anthony
       Hart, 13-Sep-2011.)  Remove dependency on ~ ax-7 .  (Revised by Wolf
       Lammen, 4-Dec-2017.)  (Proof shortened by Wolf Lammen, 20-Oct-2023.) $)
    19.3v $p |- ( A. x ph <-> ph ) $=
      ( wal spvw ax-5 impbii ) ABCAABDABEF $.
    $( $j usage '19.3v' avoids 'ax-12'; $)

    $( Version of ~ 19.8a with a disjoint variable condition, requiring fewer
       axioms.  Converse of ~ ax5e .  (Contributed by BJ, 12-Mar-2020.) $)
    19.8v $p |- ( ph -> E. x ph ) $=
      ( ax-5 19.8w ) ABABCD $.
    $( $j usage '19.8v' avoids 'ax-12'; $)

    $( Version of ~ 19.9 with a disjoint variable condition, requiring fewer
       axioms.  Any formula can be existentially quantified using a variable
       which it does not contain.  See also ~ 19.3v .  (Contributed by NM,
       28-May-1995.)  Remove dependency on ~ ax-7 .  (Revised by Wolf Lammen,
       4-Dec-2017.) $)
    19.9v $p |- ( E. x ph <-> ph ) $=
      ( wex ax5e 19.8v impbii ) ABCAABDABEF $.
    $( $j usage '19.9v' avoids 'ax-12'; $)
  $}

  $( Theorem 19.39 of [Margaris] p. 90.  (Contributed by NM, 12-Mar-1993.) $)
  19.39 $p |- ( ( E. x ph -> E. x ps ) -> E. x ( ph -> ps ) ) $=
    ( wex wi wal 19.2 imim1i 19.35 sylibr ) ACDZBCDZEACFZLEABECDMKLACGHABCIJ $.

  $( Theorem 19.24 of [Margaris] p. 90.  (Contributed by NM, 12-Mar-1993.) $)
  19.24 $p |- ( ( A. x ph -> A. x ps ) -> E. x ( ph -> ps ) ) $=
    ( wal wi wex 19.2 imim2i 19.35 sylibr ) ACDZBCDZEKBCFZEABECFLMKBCGHABCIJ $.

  $( Theorem 19.34 of [Margaris] p. 90.  (Contributed by NM, 12-Mar-1993.) $)
  19.34 $p |- ( ( A. x ph \/ E. x ps ) -> E. x ( ph \/ ps ) ) $=
    ( wal wex wo 19.2 orim1i 19.43 sylibr ) ACDZBCEZFACEZLFABFCEKMLACGHABCIJ $.

  ${
    $d x ps $.
    $( Version of ~ 19.36 with a disjoint variable condition instead of a
       nonfreeness hypothesis.  (Contributed by NM, 18-Aug-1993.)  Reduce
       dependencies on axioms.  (Revised by Wolf Lammen, 17-Jan-2020.) $)
    19.36v $p |- ( E. x ( ph -> ps ) <-> ( A. x ph -> ps ) ) $=
      ( wi wex wal 19.35 19.9v imbi2i bitri ) ABDCEACFZBCEZDKBDABCGLBKBCHIJ $.
  $}

  ${
    $d x ps $.  $d y ph $.  $d x y $.
    $( Version of ~ 19.12vv with a disjoint variable condition, requiring fewer
       axioms.  See also ~ 19.12 .  (Contributed by BJ, 18-Mar-2020.) $)
    19.12vvv $p |- ( E. x A. y ( ph -> ps ) <-> A. y E. x ( ph -> ps ) ) $=
      ( wi wal wex 19.21v exbii 19.36v albii bitr2i 3bitri ) ABEZDFZCGABDFZEZCG
      ACFZPEZNCGZDFZOQCABDHIAPCJUARBEZDFSTUBDABCJKRBDHLM $.
  $}

  ${
    $d x ps $.
    $( Version of ~ 19.27 with a disjoint variable condition, requiring fewer
       axioms.  (Contributed by NM, 3-Jun-2004.) $)
    19.27v $p |- ( A. x ( ph /\ ps ) <-> ( A. x ph /\ ps ) ) $=
      ( wa wal 19.26 19.3v anbi2i bitri ) ABDCEACEZBCEZDJBDABCFKBJBCGHI $.
  $}

  ${
    $d x ph $.
    $( Version of ~ 19.28 with a disjoint variable condition, requiring fewer
       axioms.  (Contributed by NM, 25-Mar-2004.) $)
    19.28v $p |- ( A. x ( ph /\ ps ) <-> ( ph /\ A. x ps ) ) $=
      ( wa wal 19.26 19.3v anbi1i bitri ) ABDCEACEZBCEZDAKDABCFJAKACGHI $.
  $}

  ${
    $d x ph $.
    $( Version of ~ 19.37 with a disjoint variable condition, requiring fewer
       axioms.  (Contributed by NM, 21-Jun-1993.) $)
    19.37v $p |- ( E. x ( ph -> ps ) <-> ( ph -> E. x ps ) ) $=
      ( wi wex wal 19.35 19.3v imbi1i bitri ) ABDCEACFZBCEZDALDABCGKALACHIJ $.
  $}

  ${
    $d x ps $.
    $( Version of ~ 19.44 with a disjoint variable condition, requiring fewer
       axioms.  (Contributed by NM, 12-Mar-1993.) $)
    19.44v $p |- ( E. x ( ph \/ ps ) <-> ( E. x ph \/ ps ) ) $=
      ( wo wex 19.43 19.9v orbi2i bitri ) ABDCEACEZBCEZDJBDABCFKBJBCGHI $.
  $}

  ${
    $d x ph $.
    $( Version of ~ 19.45 with a disjoint variable condition, requiring fewer
       axioms.  (Contributed by NM, 12-Mar-1993.) $)
    19.45v $p |- ( E. x ( ph \/ ps ) <-> ( ph \/ E. x ps ) ) $=
      ( wo wex 19.43 19.9v orbi1i bitri ) ABDCEACEZBCEZDAKDABCFJAKACGHI $.
  $}

  ${
    $d x y $.  $d x ph $.
    spimevw.1 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Existential introduction, using implicit substitution.  This is to
       ~ spimew what ~ spimvw is to ~ spimw .  Version of ~ spimev and
       ~ spimefv with an additional disjoint variable condition, using only
       Tarski's FOL axiom schemes.  (Contributed by NM, 10-Jan-1993.)  (Revised
       by BJ, 17-Mar-2020.) $)
    spimevw $p |- ( ph -> E. x ps ) $=
      ( ax-5 spimew ) ABCDACFEG $.
  $}

  ${
    $d x y $.  $d x ps $.
    spimvw.1 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( A weak form of specialization.  Lemma 8 of [KalishMontague] p. 87.  Uses
       only Tarski's FOL axiom schemes.  For stronger forms using more axioms,
       see ~ spimv and ~ spimfv .  (Contributed by NM, 9-Apr-2017.) $)
    spimvw $p |- ( A. x ph -> ps ) $=
      ( wn ax-5 spimw ) ABCDBFCGEH $.
  $}

  ${
    $d x y $.  $d x ps $.
    spvv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Specialization, using implicit substitution.  Version of ~ spv with a
       disjoint variable condition, which does not require ~ ax-7 , ~ ax-12 ,
       ~ ax-13 .  (Contributed by NM, 30-Aug-1993.)  (Revised by BJ,
       31-May-2019.) $)
    spvv $p |- ( A. x ph -> ps ) $=
      ( weq biimpd spimvw ) ABCDCDFABEGH $.
  $}

  ${
    spfalw.1 $e |- -. ph $.
    $( Version of ~ sp when ` ph ` is false.  Uses only Tarski's FOL axiom
       schemes.  (Contributed by NM, 23-Apr-2017.)  (Proof shortened by Wolf
       Lammen, 25-Dec-2017.) $)
    spfalw $p |- ( A. x ph -> ph ) $=
      ( wn hbth spnfw ) ABADBCEF $.
  $}

  ${
    $d x y $.  $d x ps $.
    chvarvv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    chvarvv.2 $e |- ph $.
    $( Implicit substitution of ` y ` for ` x ` into a theorem.  Version of
       ~ chvarv with a disjoint variable condition, which does not require
       ~ ax-13 .  (Contributed by NM, 20-Apr-1994.)  (Revised by BJ,
       31-May-2019.) $)
    chvarvv $p |- ps $=
      ( spvv mpg ) ABCABCDEGFH $.
  $}

  ${
    $d x y $.
    $( Version of ~ equs4 with a disjoint variable condition, which requires
       fewer axioms.  (Contributed by NM, 10-May-1993.)  (Revised by BJ,
       31-May-2019.) $)
    equs4v $p |- ( A. x ( x = y -> ph ) -> E. x ( x = y /\ ph ) ) $=
      ( weq wi wal wex wa ax6ev exintr mpi ) BCDZAEBFLBGLAHBGBCILABJK $.
    $( $j usage 'equs4v' avoids 'ax-5' 'ax-7' 'ax-12' 'ax-13'; $)
  $}

  ${
    $d x y $.
    $( Version of ~ equs4v with its consequence simplified by ~ exsimpr .
       (Contributed by BJ, 9-Nov-2021.) $)
    alequexv $p |- ( A. x ( x = y -> ph ) -> E. x ph ) $=
      ( weq wi wal wex ax6ev exim mpi ) BCDZAEBFKBGABGBCHKABIJ $.
  $}

  ${
    $d x y $.  $d y ph $.
    $( One direction of the equivalence in ~ exsb is based on fewer axioms.
       (Contributed by Wolf Lammen, 2-Mar-2023.) $)
    exsbim $p |- ( E. y A. x ( x = y -> ph ) -> E. x ph ) $=
      ( weq wi wal wex alequexv exlimiv ) BCDAEBFABGCABCHI $.
  $}

  ${
    $d x y $.  $d x ph $.
    $( If a formula does not contain a variable ` x ` , then it is equivalent
       to the corresponding prototype of substitution with a fresh variable
       (see ~ sb6 ).  (Contributed by BJ, 23-Jul-2023.) $)
    equsv $p |- ( A. x ( x = y -> ph ) <-> ph ) $=
      ( weq wi wal wex 19.23v ax6ev a1bi bitr4i ) BCDZAEBFLBGZAEALABHMABCIJK $.
  $}

  ${
    $d x y $.  $d x ps $.
    equsalvw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Version of ~ equsalv with a disjoint variable condition, and of ~ equsal
       with two disjoint variable conditions, which requires fewer axioms.  See
       also the dual form ~ equsexvw .  (Contributed by BJ, 31-May-2019.) $)
    equsalvw $p |- ( A. x ( x = y -> ph ) <-> ps ) $=
      ( weq wi wal pm5.74i albii equsv bitri ) CDFZAGZCHMBGZCHBNOCMABEIJBCDKL
      $.
    $( $j usage 'equsalvw' avoids 'ax-7' 'ax-12' 'ax-13'; $)

    $( Version of ~ equsexv with a disjoint variable condition, and of ~ equsex
       with two disjoint variable conditions, which requires fewer axioms.  See
       also the dual form ~ equsalvw .  (Contributed by BJ, 31-May-2019.)
       (Proof shortened by Wolf Lammen, 23-Oct-2023.) $)
    equsexvw $p |- ( E. x ( x = y /\ ph ) <-> ps ) $=
      ( weq wa wex wn wi wal alinexa notbid equsalvw bitr3i con4bii ) CDFZAGCHZ
      BRIQAIZJCKBIZQACLSTCDQABEMNOP $.
    $( $j usage 'equsexvw' avoids 'ax-7' 'ax-12' 'ax-13'; $)
  $}

  ${
    $d x y $.
    cbvaliw.1 $e |- ( A. x ph -> A. y A. x ph ) $.
    cbvaliw.2 $e |- ( -. ps -> A. x -. ps ) $.
    cbvaliw.3 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Change bound variable.  Uses only Tarski's FOL axiom schemes.  Part of
       Lemma 7 of [KalishMontague] p. 86.  (Contributed by NM, 19-Apr-2017.) $)
    cbvaliw $p |- ( A. x ph -> A. y ps ) $=
      ( wal spimw alrimih ) ACHBDEABCDFGIJ $.
    $( $j usage 'cbvaliw' avoids 'ax-5' 'ax-7' 'ax-12' 'ax-13'; $)
  $}

  ${
    $d x y $.  $d x ps $.  $d y ph $.
    cbvalivw.1 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Change bound variable.  Uses only Tarski's FOL axiom schemes.  Part of
       Lemma 7 of [KalishMontague] p. 86.  (Contributed by NM, 9-Apr-2017.) $)
    cbvalivw $p |- ( A. x ph -> A. y ps ) $=
      ( wal spimvw alrimiv ) ACFBDABCDEGH $.
    $( $j usage 'cbvalivw' avoids 'ax-7' 'ax-12' 'ax-13'; $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Axiom scheme ax-7 (Equality)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Axiom of Equality.  One of the equality and substitution axioms of
     predicate calculus with equality.  It states that equality is a
     right-Euclidean binary relation (this is similar, but not identical, to
     being transitive, which is proved as ~ equtr ).  This axiom scheme is a
     sub-scheme of Axiom Scheme B8 of system S2 of [Tarski], p. 75, whose
     general form cannot be represented with our notation.  Also appears as
     Axiom C7 of [Monk2] p. 105 and Axiom Scheme C8' in [Megill] p. 448 (p. 16
     of the preprint).

     The equality symbol was invented in 1557 by Robert Recorde.  He chose a
     pair of parallel lines of the same length because "noe .2. thynges, can be
     moare equalle".

     We prove in ~ ax7 that this axiom can be recovered from its weakened
     version ~ ax7v where ` x ` and ` y ` are assumed to be disjoint variables.
     In particular, the only theorem referencing ~ ax-7 should be ~ ax7v .  See
     the comment of ~ ax7v for more details on these matters.  (Contributed by
     NM, 10-Jan-1993.)  (Revised by BJ, 7-Dec-2020.)  Use ~ ax7 instead.
     (New usage is discouraged.) $)
  ax-7 $a |- ( x = y -> ( x = z -> y = z ) ) $.

  ${
    $d x y $.
    $( Weakened version of ~ ax-7 , with a disjoint variable condition on
       ` x , y ` .  This should be the only proof referencing ~ ax-7 , and it
       should be referenced only by its two weakened versions ~ ax7v1 and
       ~ ax7v2 , from which ~ ax-7 is then rederived as ~ ax7 , which shows
       that either ~ ax7v or the conjunction of ~ ax7v1 and ~ ax7v2 is
       sufficient.

       In ~ ax7v , it is still allowed to substitute the same variable for
       ` x ` and ` z ` , or the same variable for ` y ` and ` z ` .  Therefore,
       ~ ax7v "bundles" (a term coined by Raph Levien) its "principal instance"
       ` ( x = y -> ( x = z -> y = z ) ) ` with ` x , y , z ` distinct, and its
       "degenerate instances" ` ( x = y -> ( x = x -> y = x ) ) ` and
       ` ( x = y -> ( x = y -> y = y ) ) ` with ` x , y ` distinct.  These
       degenerate instances are for instance used in the proofs of ~ equcomiv
       and ~ equid respectively.  (Contributed by BJ, 7-Dec-2020.)  Use ~ ax7
       instead.  (New usage is discouraged.) $)
    ax7v $p |- ( x = y -> ( x = z -> y = z ) ) $=
      ( ax-7 ) ABCD $.
  $}

  ${
    $d x y $.  $d x z $.
    $( First of two weakened versions of ~ ax7v , with an extra disjoint
       variable condition on ` x , z ` , see comments there.  (Contributed by
       BJ, 7-Dec-2020.) $)
    ax7v1 $p |- ( x = y -> ( x = z -> y = z ) ) $=
      ( ax7v ) ABCD $.
  $}

  ${
    $d x y $.  $d y z $.
    $( Second of two weakened versions of ~ ax7v , with an extra disjoint
       variable condition on ` y , z ` , see comments there.  (Contributed by
       BJ, 7-Dec-2020.) $)
    ax7v2 $p |- ( x = y -> ( x = z -> y = z ) ) $=
      ( ax7v ) ABCD $.
  $}

  ${
    $d x y $.
    $( Identity law for equality.  Lemma 2 of [KalishMontague] p. 85.  See also
       Lemma 6 of [Tarski] p. 68.  (Contributed by NM, 1-Apr-2005.)  (Revised
       by NM, 9-Apr-2017.)  (Proof shortened by Wolf Lammen, 22-Aug-2020.) $)
    equid $p |- x = x $=
      ( vy weq ax7v1 pm2.43i ax6ev exlimiiv ) BACZAACZBHIBAADEBAFG $.
  $}

  $( Bound-variable hypothesis builder for ` x = x ` .  This theorem tells us
     that any variable, including ` x ` , is effectively not free in
     ` x = x ` , even though ` x ` is technically free according to the
     traditional definition of free variable.  (Contributed by NM,
     13-Jan-2011.)  (Revised by NM, 21-Aug-2017.) $)
  nfequid $p |- F/ y x = x $=
    ( weq equid nfth ) AACBADE $.

  ${
    $d x y $.
    $( Weaker form of ~ equcomi with a disjoint variable condition on
       ` x , y ` .  This is an intermediate step and ~ equcomi is fully
       recovered later.  (Contributed by BJ, 7-Dec-2020.) $)
    equcomiv $p |- ( x = y -> y = x ) $=
      ( weq equid ax7v2 mpi ) ABCAACBACADABAEF $.
  $}

  ${
    $d x y $.
    $( A commuted form of ~ ax6ev .  (Contributed by BJ, 7-Dec-2020.) $)
    ax6evr $p |- E. x y = x $=
      ( weq ax6ev equcomiv eximii ) ABCBACAABDABEF $.
  $}

  ${
    $d t x $.  $d t y $.  $d t z $.
    $( Proof of ~ ax-7 from ~ ax7v1 and ~ ax7v2 (and earlier axioms), proving
       sufficiency of the conjunction of the latter two weakened versions of
       ~ ax7v , which is itself a weakened version of ~ ax-7 .

       Note that the weakened version of ~ ax-7 obtained by adding a disjoint
       variable condition on ` x , z ` (resp. on ` y , z ` ) does not permit,
       together with the other axioms, to prove reflexivity (resp. symmetry).
       (Contributed by BJ, 7-Dec-2020.) $)
    ax7 $p |- ( x = y -> ( x = z -> y = z ) ) $=
      ( vt weq wa wi ax7v2 ax7v1 imp a1i syl2and ax6evr exlimiiv ex ) ABEZACEZB
      CEZADEZPQFRGDSPDBEZQDCEZRADBHADCHTUAFRGSTUARDBCIJKLDAMNO $.
  $}

  $( Commutative law for equality.  Equality is a symmetric relation.  Lemma 3
     of [KalishMontague] p. 85.  See also Lemma 7 of [Tarski] p. 69.
     (Contributed by NM, 10-Jan-1993.)  (Revised by NM, 9-Apr-2017.) $)
  equcomi $p |- ( x = y -> y = x ) $=
    ( weq equid ax7 mpi ) ABCAACBACADABAEF $.

  $( Commutative law for equality.  Equality is a symmetric relation.
     (Contributed by NM, 20-Aug-1993.) $)
  equcom $p |- ( x = y <-> y = x ) $=
    ( weq equcomi impbii ) ABCBACABDBADE $.

  ${
    equcomd.1 $e |- ( ph -> x = y ) $.
    $( Deduction form of ~ equcom , symmetry of equality.  For the versions for
       classes, see ~ eqcom and ~ eqcomd .  (Contributed by BJ, 6-Oct-2019.) $)
    equcomd $p |- ( ph -> y = x ) $=
      ( weq equcom sylib ) ABCECBEDBCFG $.
  $}

  ${
    equcoms.1 $e |- ( x = y -> ph ) $.
    $( An inference commuting equality in antecedent.  Used to eliminate the
       need for a syllogism.  (Contributed by NM, 10-Jan-1993.) $)
    equcoms $p |- ( y = x -> ph ) $=
      ( weq equcomi syl ) CBEBCEACBFDG $.
  $}

  $( A transitive law for equality.  (Contributed by NM, 23-Aug-1993.) $)
  equtr $p |- ( x = y -> ( y = z -> x = z ) ) $=
    ( weq wi ax7 equcoms ) BCDACDEBABACFG $.

  $( A transitive law for equality.  Lemma L17 in [Megill] p. 446 (p. 14 of the
     preprint).  (Contributed by NM, 23-Aug-1993.) $)
  equtrr $p |- ( x = y -> ( z = x -> z = y ) ) $=
    ( weq equtr com12 ) CADABDCBDCABEF $.

  $( Commuted version of ~ equeucl (equality is left-Euclidean).  (Contributed
     by BJ, 12-Apr-2021.) $)
  equeuclr $p |- ( x = z -> ( y = z -> y = x ) ) $=
    ( weq wi equtrr equcoms ) BCDBADECACABFG $.

  $( Equality is a left-Euclidean binary relation.  (Right-Euclideanness is
     stated in ~ ax-7 .)  Curried (exported) form of ~ equtr2 .  (Contributed
     by BJ, 11-Apr-2021.) $)
  equeucl $p |- ( x = z -> ( y = z -> x = y ) ) $=
    ( weq equeuclr com12 ) BCDACDABDBACEF $.

  $( An equivalence law for equality.  (Contributed by NM, 1-Aug-1993.)  (Proof
     shortened by Wolf Lammen, 10-Dec-2017.) $)
  equequ1 $p |- ( x = y -> ( x = z <-> y = z ) ) $=
    ( weq ax7 equtr impbid ) ABDACDBCDABCEABCFG $.

  $( An equivalence law for equality.  (Contributed by NM, 21-Jun-1993.)
     (Proof shortened by Wolf Lammen, 4-Aug-2017.)  (Proof shortened by BJ,
     12-Apr-2021.) $)
  equequ2 $p |- ( x = y -> ( z = x <-> z = y ) ) $=
    ( weq equtrr equeuclr impbid ) ABDCADCBDABCEACBFG $.

  $( Equality is a left-Euclidean binary relation.  Uncurried (imported) form
     of ~ equeucl .  (Contributed by NM, 12-Aug-1993.)  (Proof shortened by
     Andrew Salmon, 25-May-2011.)  (Proof shortened by BJ, 11-Apr-2021.) $)
  equtr2 $p |- ( ( x = z /\ y = z ) -> x = y ) $=
    ( weq equeucl imp ) ACDBCDABDABCEF $.

  $( One of the two equality axioms of standard predicate calculus, called
     reflexivity of equality.  (The other one is ~ stdpc7 .)  Axiom 6 of
     [Mendelson] p. 95.  Mendelson doesn't say why he prepended the redundant
     quantifier, but it was probably to be compatible with free logic (which is
     valid in the empty domain).  (Contributed by NM, 16-Feb-2005.) $)
  stdpc6 $p |- A. x x = x $=
    ( weq equid ax-gen ) AABAACD $.

  ${
    $d x z $.  $d y z $.
    $( A variable introduction law for equality.  Lemma 15 of [Monk2] p. 109.
       (Contributed by NM, 9-Jan-1993.)  Remove dependencies on ~ ax-10 ,
       ~ ax-13 .  (Revised by Wolf Lammen, 10-Jun-2019.)  Move the quantified
       variable ( ` z ` ) to the left of the equality signs.  (Revised by Wolf
       Lammen, 11-Apr-2021.)  (Proof shortened by Wolf Lammen, 12-Jul-2022.) $)
    equvinv $p |- ( x = y <-> E. z ( z = x /\ z = y ) ) $=
      ( weq wa wex equequ1 equsexvw bicomi ) CADCBDZECFABDZJKCACABGHI $.
    $( $j usage 'equvinv' avoids 'ax-10' 'ax-12' 'ax-13'; $)

    $( A modified version of the forward implication of ~ equvinv adapted to
       common usage.  (Contributed by Wolf Lammen, 8-Sep-2018.) $)
    equvinva $p |- ( x = y -> E. z ( x = z /\ y = z ) ) $=
      ( weq wex wa ax6evr equtr ancrd eximdv mpi ) ABDZBCDZCEACDZMFZCECBGLMOCLM
      NABCHIJK $.
    $( $j usage 'equvinva' avoids 'ax-10' 'ax-12' 'ax-13'; $)

    $( A biconditional form of ~ equvel with disjoint variable conditions and
       proved from Tarski's FOL axiom schemes.  (Contributed by Andrew Salmon,
       2-Jun-2011.)  Reduce axiom usage.  (Revised by Wolf Lammen,
       10-Apr-2021.)  (Proof shortened by Wolf Lammen, 12-Jul-2022.) $)
    equvelv $p |- ( A. z ( z = x -> z = y ) <-> x = y ) $=
      ( weq equequ1 equsalvw ) CBDABDCACABEF $.
    $( $j usage 'equvelv' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)
  $}

  $( An equivalence between two ways of expressing ~ ax-13 .  See the comment
     for ~ ax-13 .  (Contributed by NM, 2-May-2017.)  (Proof shortened by Wolf
     Lammen, 26-Feb-2018.)  (Revised by BJ, 15-Sep-2020.) $)
  ax13b $p |- ( ( -. x = y -> ( y = z -> ph ) )
                       <-> ( -. x = y -> ( -. x = z -> ( y = z -> ph ) ) ) ) $=
    ( weq wn wi ax-1 equeuclr con3rr3 imim1d pm2.43 syl6 impbid2 pm5.74i ) BCEZ
    FZCDEZAGZBDEZFZSGZQSUBSUAHQUBRSGSQRUASRTPCBDIJKRALMNO $.
  $( $j usage 'ax13b' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)

  ${
    $d x y $.
    spfw.1 $e |- ( -. ps -> A. x -. ps ) $.
    spfw.2 $e |- ( A. x ph -> A. y A. x ph ) $.
    spfw.3 $e |- ( -. ph -> A. y -. ph ) $.
    spfw.4 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Weak version of ~ sp .  Uses only Tarski's FOL axiom schemes.  Lemma 9
       of [KalishMontague] p. 87.  This may be the best we can do with minimal
       distinct variable conditions.  (Contributed by NM, 19-Apr-2017.)  (Proof
       shortened by Wolf Lammen, 10-Oct-2021.) $)
    spfw $p |- ( A. x ph -> ph ) $=
      ( wal weq biimpd cbvaliw wi biimprd equcoms spimw syl ) ACIBDIAABCDFECDJZ
      ABHKLBADCGBAMCDRABHNOPQ $.
    $( $j usage 'spfw' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)
  $}

  ${
    $d x y $.  $d x ps $.  $d y ph $.
    spw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Weak version of the specialization scheme ~ sp .  Lemma 9 of
       [KalishMontague] p. 87.  While it appears that ~ sp in its general form
       does not follow from Tarski's FOL axiom schemes, from this theorem we
       can prove any _instance_ of ~ sp having mutually distinct setvar
       variables and no wff metavariables (see ~ ax12wdemo for an example of
       the procedure to eliminate the hypothesis).  Other approximations of
       ~ sp are ~ spfw (minimal distinct variable requirements), ~ spnfw (when
       ` x ` is not free in ` -. ph ` ), ~ spvw (when ` x ` does not appear in
       ` ph ` ), ~ sptruw (when ` ph ` is true), ~ spfalw (when ` ph ` is
       false), and ~ spvv (where ` ph ` is changed into ` ps ` ).  (Contributed
       by NM, 9-Apr-2017.)  (Proof shortened by Wolf Lammen, 27-Feb-2018.) $)
    spw $p |- ( A. x ph -> ph ) $=
      ( wn ax-5 wal spfw ) ABCDBFCGACHDGAFDGEI $.
    $( $j usage 'spw' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)
  $}

  ${
    $d x y $.
    cbvalw.1 $e |- ( A. x ph -> A. y A. x ph ) $.
    cbvalw.2 $e |- ( -. ps -> A. x -. ps ) $.
    cbvalw.3 $e |- ( A. y ps -> A. x A. y ps ) $.
    cbvalw.4 $e |- ( -. ph -> A. y -. ph ) $.
    cbvalw.5 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change bound variable.  Uses only Tarski's FOL axiom schemes.
       (Contributed by NM, 9-Apr-2017.) $)
    cbvalw $p |- ( A. x ph <-> A. y ps ) $=
      ( wal weq biimpd cbvaliw wi biimprd equcoms impbii ) ACJBDJABCDEFCDKZABIL
      MBADCGHBANCDRABIOPMQ $.
    $( $j usage 'cbvalw' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)
  $}

  ${
    $d x y $.  $d x ps $.  $d y ph $.
    cbvalvw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change bound variable.  Uses only Tarski's FOL axiom schemes.  See
       ~ cbvalv for a version with fewer disjoint variable conditions but
       requiring more axioms.  (Contributed by NM, 9-Apr-2017.)  (Proof
       shortened by Wolf Lammen, 28-Feb-2018.) $)
    cbvalvw $p |- ( A. x ph <-> A. y ps ) $=
      ( wal ax-5 wn cbvalw ) ABCDACFDGBHCGBDFCGAHDGEI $.
    $( $j usage 'cbvalvw' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)

    $( Change bound variable.  Uses only Tarski's FOL axiom schemes.  See
       ~ cbvexv for a version with fewer disjoint variable conditions but
       requiring more axioms.  (Contributed by NM, 19-Apr-2017.) $)
    cbvexvw $p |- ( E. x ph <-> E. y ps ) $=
      ( wn wal wex weq notbid cbvalvw notbii df-ex 3bitr4i ) AFZCGZFBFZDGZFACHB
      DHPROQCDCDIABEJKLACMBDMN $.
    $( $j usage 'cbvexvw' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)
  $}

  ${
    $d ps y $.  $d ch x $.  $d ph x y $.
    cbvaldvaw.1 $e |- ( ( ph /\ x = y ) -> ( ps <-> ch ) ) $.
    $( Rule used to change the bound variable in a universal quantifier with
       implicit substitution.  Deduction form.  Version of ~ cbvaldva with a
       disjoint variable condition, requiring fewer axioms.  (Contributed by
       David Moews, 1-May-2017.)  (Revised by Gino Giotto, 10-Jan-2024.)
       Reduce axiom usage, along an idea of Gino Giotto.  (Revised by Wolf
       Lammen, 10-Feb-2024.) $)
    cbvaldvaw $p |- ( ph -> ( A. x ps <-> A. y ch ) ) $=
      ( wal wi weq wb ancoms pm5.74da cbvalvw 19.21v 3bitr3i pm5.74ri ) ABDGZCE
      GZABHZDGACHZEGAQHARHSTDEDEIZABCAUABCJFKLMABDNACENOP $.

    $( Rule used to change the bound variable in an existential quantifier with
       implicit substitution.  Deduction form.  Version of ~ cbvexdva with a
       disjoint variable condition, requiring fewer axioms.  (Contributed by
       David Moews, 1-May-2017.)  (Revised by Gino Giotto, 10-Jan-2024.)
       Reduce axiom usage.  (Revised by Wolf Lammen, 10-Feb-2024.) $)
    cbvexdvaw $p |- ( ph -> ( E. x ps <-> E. y ch ) ) $=
      ( wex wn wal weq wa notbid cbvaldvaw alnex 3bitr3g con4bid ) ABDGZCEGZABH
      ZDICHZEIQHRHASTDEADEJKBCFLMBDNCENOP $.
  $}

  ${
    $d w z ph $.  $d x y ps $.  $d w x y z $.
    cbval2vw.1 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbval2vv with more disjoint variable conditions, which
       requires fewer axioms .  (Contributed by NM, 4-Feb-2005.)  (Revised by
       Gino Giotto, 10-Jan-2024.) $)
    cbval2vw $p |- ( A. x A. y ph <-> A. z A. w ps ) $=
      ( wal weq cbvaldvaw cbvalvw ) ADHBFHCECEIABDFGJK $.

    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbvex2vv with more disjoint variable conditions, which
       requires fewer axioms .  (Contributed by NM, 26-Jul-1995.)  (Revised by
       Gino Giotto, 10-Jan-2024.) $)
    cbvex2vw $p |- ( E. x E. y ph <-> E. z E. w ps ) $=
      ( wex weq cbvexdvaw cbvexvw ) ADHBFHCECEIABDFGJK $.
  $}

  ${
    $v f $.
    $v g $.
    $( Define temporary individual variables. $)
    cbvex4vw.vf $f setvar f $.
    cbvex4vw.vg $f setvar g $.
    $d w z ch $.  $d u v ph $.  $d x y ps $.  $d f g ps $.  $d f g w z $.
    $d u v w x y z $.
    cbvex4vw.1 $e |- ( ( x = v /\ y = u ) -> ( ph <-> ps ) ) $.
    cbvex4vw.2 $e |- ( ( z = f /\ w = g ) -> ( ps <-> ch ) ) $.
    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbvex4v with more disjoint variable conditions, which
       requires fewer axioms.  (Contributed by NM, 26-Jul-1995.)  (Revised by
       Gino Giotto, 10-Jan-2024.) $)
    cbvex4vw $p |- ( E. x E. y E. z E. w ph <-> E. v E. u E. f E. g ch ) $=
      ( wex weq wa 2exbidv cbvex2vw 2exbii bitri ) AGNFNZENDNBGNFNZINHNCKNJNZIN
      HNUAUBDEHIDHOEIOPABFGLQRUBUCHIBCFGJKMRST $.
  $}

  ${
    $d y z $.  $d x y $.  $d z ph $.  $d y ps $.
    alcomiw.1 $e |- ( y = z -> ( ph <-> ps ) ) $.
    $( Weak version of ~ alcom .  Uses only Tarski's FOL axiom schemes.
       (Contributed by NM, 10-Apr-2017.)  (Proof shortened by Wolf Lammen,
       28-Dec-2023.) $)
    alcomiw $p |- ( A. x A. y ph -> A. y A. x ph ) $=
      ( wal cbvalvw biimpi alimi ax-5 wi weq biimprd equcoms spimvw 2alimi 3syl
      ) ADGZCGBEGZCGZUADGACGDGSTCSTABDEFHIJUADKTADCBAEDBALDEDEMABFNOPQR $.
    $( $j usage 'alcomiw' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)
    $( Obsolete version of ~ alcomiw as of 28-Dec-2023.  (Contributed by NM,
       10-Apr-2017.)  (Proof shortened by Wolf Lammen, 12-Jul-2022.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    alcomiwOLD $p |- ( A. x A. y ph -> A. y A. x ph ) $=
      ( wal weq biimpd cbvalivw alimi ax-5 biimprd equcoms spimvw 2alimi 3syl
      wi ) ADGZCGBEGZCGZUADGACGDGSTCABDEDEHZABFIJKUADLTADCBAEDBARDEUBABFMNOPQ
      $.
  $}

  ${
    $d x y $.
    hbn1fw.1 $e |- ( A. x ph -> A. y A. x ph ) $.
    hbn1fw.2 $e |- ( -. ps -> A. x -. ps ) $.
    hbn1fw.3 $e |- ( A. y ps -> A. x A. y ps ) $.
    hbn1fw.4 $e |- ( -. ph -> A. y -. ph ) $.
    hbn1fw.5 $e |- ( -. A. y ps -> A. x -. A. y ps ) $.
    hbn1fw.6 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Weak version of ~ ax-10 from which we can prove any ~ ax-10 instance not
       involving wff variables or bundling.  Uses only Tarski's FOL axiom
       schemes.  (Contributed by NM, 19-Apr-2017.)  (Proof shortened by Wolf
       Lammen, 28-Feb-2018.) $)
    hbn1fw $p |- ( -. A. x ph -> A. x -. A. x ph ) $=
      ( wal wn cbvalw notbii hbxfrbi ) ACKZLBDKZLCPQABCDEFGHJMNIO $.
    $( $j usage 'hbn1fw' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)
  $}

  ${
    $d y ph $.  $d x ps $.  $d x y $.
    hbn1w.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Weak version of ~ hbn1 .  Uses only Tarski's FOL axiom schemes.
       (Contributed by NM, 9-Apr-2017.) $)
    hbn1w $p |- ( -. A. x ph -> A. x -. A. x ph ) $=
      ( wal ax-5 wn hbn1fw ) ABCDACFDGBHCGBDFZCGAHDGJHCGEI $.
    $( $j usage 'hbn1w' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)

    $( Weak version of ~ hba1 .  See comments for ~ ax10w .  Uses only Tarski's
       FOL axiom schemes.  (Contributed by NM, 9-Apr-2017.)  (Proof shortened
       by Wolf Lammen, 10-Oct-2021.) $)
    hba1w $p |- ( A. x ph -> A. x A. x ph ) $=
      ( wal wn wb weq cbvalvw notbii a1i spw con2i hbn1w con1i alimi 3syl ) ACF
      ZSGZCFZGZUBCFSCFUASTBDFZGZCDTUDHCDISUCABCDEJKLZMNTUDCDUEOUBSCSUAABCDEOPQR
      $.
    $( $j usage 'hba1w' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)

    $( Weak version of ~ hbe1 .  See comments for ~ ax10w .  Uses only Tarski's
       FOL axiom schemes.  (Contributed by NM, 19-Apr-2017.) $)
    hbe1w $p |- ( E. x ph -> A. x E. x ph ) $=
      ( wex wn wal df-ex weq notbid hbn1w hbxfrbi ) ACFAGZCHGCACINBGCDCDJABEKLM
      $.
    $( $j usage 'hbe1w' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)
  $}

  ${
    $d x z $.  $d x y $.  $d z ph $.  $d x ps $.
    hbalw.1 $e |- ( x = z -> ( ph <-> ps ) ) $.
    hbalw.2 $e |- ( ph -> A. x ph ) $.
    $( Weak version of ~ hbal .  Uses only Tarski's FOL axiom schemes.  Unlike
       ~ hbal , this theorem requires that ` x ` and ` y ` be distinct, i.e.,
       not be bundled.  (Contributed by NM, 19-Apr-2017.) $)
    hbalw $p |- ( A. y ph -> A. x A. y ph ) $=
      ( wal alimi alcomiw syl ) ADHZACHZDHLCHAMDGIABDCEFJK $.
    $( $j usage 'hbalw' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)
  $}

  ${
    $d x y $.  $d ps x $.  $d ph y $.
    19.8aw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( If a formula is true, then it is true for at least one instance.  This
       is to ~ 19.8a what ~ spw is to ~ sp .  (Contributed by SN,
       26-Sep-2024.) $)
    19.8aw $p |- ( ph -> E. x ph ) $=
      ( wex wn wal alnex weq notbid spw sylbir con4i ) ACFZAOGAGZCHPACIPBGCDCDJ
      ABEKLMN $.
  $}

  ${
    $d x y $.  $d ps x $.  $d ph y $.
    exexw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Existential quantification over a given variable is idempotent.  Weak
       version of ~ bj-exexbiex , requiring fewer axioms.  (Contributed by Gino
       Giotto, 4-Nov-2024.) $)
    exexw $p |- ( E. x ph <-> E. x E. x ph ) $=
      ( wal wex weq notbid hba1w spw alimi impbii notbii df-ex 2exnaln 3bitr4i
      wn ) ARZCFZRTCFZRACGZUBCGTUATUASBRZCDCDHABEIZJTSCSUCCDUDKLMNACOACCPQ $.
    $( $j usage 'exexw' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)
  $}

  ${
    $d x y z $.
    $( A special instance of ~ sp applied to an equality with a disjoint
       variable condition.  Unlike the more general ~ sp , we can prove this
       without ~ ax-12 .  Instance of ~ aeveq .

       The antecedent ` A. x x = y ` with distinct ` x ` and ` y ` is a
       characteristic of a degenerate universe, in which just one object
       exists.  Actually more than one object may still exist, but if so, we
       give up on equality as a discriminating term.

       Separating this degenerate case from a richer universe, where inequality
       is possible, is a common proof idea.  The name of this theorem follows a
       convention, where the condition ` A. x x = y ` is denoted by 'aev', a
       shorthand for 'all equal, with a distinct variable condition'.
       (Contributed by Wolf Lammen, 14-Mar-2021.) $)
    spaev $p |- ( A. x x = y -> x = y ) $=
      ( vz weq equequ1 spw ) ABDCBDACACBEF $.
    $( $j usage 'spaev' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)
  $}

  ${
    $d x y t $.  $d y z t $.
    $( Change bound variable in an equality with a disjoint variable condition.
       Instance of ~ aev .  (Contributed by NM, 22-Jul-2015.)  (Revised by BJ,
       18-Jun-2019.) $)
    cbvaev $p |- ( A. x x = y -> A. z z = y ) $=
      ( vt weq wal ax7 cbvalivw syl ) ABEZAFDBEZDFCBEZCFJKADADBGHKLDCDCBGHI $.
    $( $j usage 'cbvaev' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)
  $}

  ${
    $d x y z $.
    $( Lemma for ~ aevlem .  Instance of ~ aev .  (Contributed by NM,
       8-Jul-2016.)  (Proof shortened by Wolf Lammen, 17-Feb-2018.)  Remove
       dependency on ~ ax-12 .  (Revised by Wolf Lammen, 14-Mar-2021.)
       (Revised by BJ, 29-Mar-2021.)  (Proof shortened by Wolf Lammen,
       30-Mar-2021.) $)
    aevlem0 $p |- ( A. x x = y -> A. z z = x ) $=
      ( weq wal spaev alrimiv cbvaev equeuclr al2imi sylc ) ABDZAEZLCECBDZCECAD
      ZCEMLCABFGABCHLNOCACBIJK $.
  $}

  ${
    $d x y u $.  $d z t u $.
    $( Lemma for ~ aev and ~ axc16g .  Change free and bound variables.
       Instance of ~ aev .  (Contributed by NM, 22-Jul-2015.)  (Proof shortened
       by Wolf Lammen, 17-Feb-2018.)  Remove dependency on ~ ax-13 , along an
       idea of BJ. (Revised by Wolf Lammen, 30-Nov-2019.)  (Revised by BJ,
       29-Mar-2021.) $)
    aevlem $p |- ( A. x x = y -> A. z z = t ) $=
      ( vu weq wal cbvaev aevlem0 4syl ) ABFAGEBFEGAEFAGDEFDGCDFCGABEHEBAIAEDHD
      ECIJ $.
  $}

  ${
    $d x y $.  $d u z $.  $d u t $.
    $( The antecedent ` A. x x = y ` with a disjoint variable condition
       (typical of a one-object universe) forces equality of everything.
       (Contributed by Wolf Lammen, 19-Mar-2021.) $)
    aeveq $p |- ( A. x x = y -> z = t ) $=
      ( vu weq wal wex aevlem ax6ev ax7 aleximi mpi ax5e 3syl ) ABFAGECFZEGZCDF
      ZEHZRABECIQEDFZEHSEDJPTREECDKLMRENO $.
    $( $j usage 'aeveq' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)
  $}

  ${
    $d x y $.  $d v w z $.
    $( A "distinctor elimination" lemma with no disjoint variable conditions on
       variables in the consequent.  (Contributed by NM, 8-Nov-2006.)  Remove
       dependency on ~ ax-11 .  (Revised by Wolf Lammen, 7-Sep-2018.)  Remove
       dependency on ~ ax-13 , inspired by an idea of BJ. (Revised by Wolf
       Lammen, 30-Nov-2019.)  Remove dependency on ~ ax-12 .  (Revised by Wolf
       Lammen, 19-Mar-2021.) $)
    aev $p |- ( A. x x = y -> A. z t = u ) $=
      ( vv vw weq wal aevlem aeveq alrimiv syl ) ABHAIFGHFIZEDHZCIABFGJNOCFGEDK
      LM $.
    $( $j usage 'aev' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)
  $}

  ${
    $v s $.  $d w s z $.
    $( Define temporary individual variable s. $)
    v.vs $f setvar s $.
    $d x y $.  $d w s $.
    $( A version of ~ aev with two universal quantifiers in the consequent.
       One can prove similar statements with arbitrary numbers of universal
       quantifiers in the consequent (the series begins with ~ aeveq , ~ aev ,
       ~ aev2 ).

       Using ~ aev and ~ alrimiv , one can actually prove (with no more axioms)
       any scheme of the form ` ( A. x x = y -> ` PHI) , DV ` ( x , y ) ` where
       PHI involves only setvar variables and the connectors ` -> ` , ` <-> ` ,
       ` /\ ` , ` \/ ` , ` T. ` , ` = ` , ` A. ` , ` E. ` , ` E* ` , ` E! ` ,
       ` F/ ` .  An example is given by ~ aevdemo .  This list cannot be
       extended to ` -. ` or ` F. ` since the scheme ` A. x x = y ` is
       consistent with ~ ax-mp , ~ ax-gen , ~ ax-1 -- ~ ax-13 (as the
       one-element universe shows), so for instance ` ( A. x x = y -> F. ) , `
       DV ` ( x , y ) ` is not provable from these axioms alone (indeed, ~ dtru
       uses non-logical axioms as well).  (Contributed by BJ, 23-Mar-2021.) $)
    aev2 $p |- ( A. x x = y -> A. z A. t u = v ) $=
      ( vw v.vs weq wal aev alrimiv syl ) ABIAJGHIGJZEDIFJZCJABGHGKNOCGHFDEKLM
      $.
    $( $j usage 'aev2' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)
  $}

  ${
    $d x y $.
    $( All variables are effectively bound in an identical variable specifier.
       Version of ~ hbae with a disjoint variable condition, requiring fewer
       axioms.  Instance of ~ aev2 .  (Contributed by NM, 13-May-1993.)
       (Revised by Wolf Lammen, 22-Mar-2021.) $)
    hbaev $p |- ( A. x x = y -> A. z A. x x = y ) $=
      ( aev2 ) ABCBAAD $.
    $( $j usage 'hbaev' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)
  $}

  ${
    $d u v $.
    $( If some set variables can assume different values, then any two distinct
       set variables cannot always be the same.  (Contributed by Wolf Lammen,
       10-Aug-2019.) $)
    naev $p |- ( -. A. x x = y -> -. A. u u = v ) $=
      ( weq wal aev con3i ) DCEDFABEAFDCABAGH $.
    $( $j usage 'naev' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)
  $}

  ${
    $d t u $.  $d v w z $.
    $( Generalization of ~ hbnaev .  (Contributed by Wolf Lammen,
       9-Apr-2021.) $)
    naev2 $p |- ( -. A. x x = y -> A. z -. A. t t = u ) $=
      ( vv vw weq wal wn naev ax-5 alimi 3syl ) ABHAIJFGHFIJZOCIEDHEIJZCIABGFKO
      CLOPCFGDEKMN $.
    $( $j usage 'naev2' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)
  $}

  ${
    $d x y $.
    $( Any variable is free in ` -. A. x x = y ` , if ` x ` and ` y ` are
       distinct.  This condition is dropped in ~ hbnae , at the expense of more
       axiom dependencies.  Instance of ~ naev2 .  (Contributed by NM,
       13-May-1993.)  (Revised by Wolf Lammen, 9-Apr-2021.) $)
    hbnaev $p |- ( -. A. x x = y -> A. z -. A. x x = y ) $=
      ( naev2 ) ABCBAD $.
    $( $j usage 'hbnaev' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Define proper substitution
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.  $d t y z $.  $d ph y z $.
    $( Justification theorem for ~ df-sb proved from Tarski's FOL axiom
       schemes.  (Contributed by BJ, 22-Jan-2023.) $)
    sbjust $p |- ( A. y ( y = t -> A. x ( x = y -> ph ) ) <->
                   A. z ( z = t -> A. x ( x = z -> ph ) ) ) $=
      ( weq wi wal equequ1 equequ2 imbi1d albidv imbi12d cbvalvw ) CEFZBCFZAGZB
      HZGDEFZBDFZAGZBHZGCDCDFZOSRUBCDEIUCQUABUCPTACDBJKLMN $.
  $}

  $c [ $.  $( Left bracket $)
  $c / $.  $( Slash. $)
  $c ] $.  $( Right bracket $)

  $( Extend wff definition to include proper substitution.  Read:  "the wff
     that results when ` y ` is properly substituted for ` x ` in wff ` ph ` ".
     (Contributed by NM, 24-Jan-2006.) $)
  wsb $a wff [ y / x ] ph $.

  $( Indicate that the variable "y" is free in wsb even though it could
     potentially bind occurrences in "ph". $)
  $( $j free_var 'wsb' with 'y'; $)

  ${
    $d y x $.  $d y t $.  $d y ph $.
    $( Define proper substitution.  For our notation, we use ` [ t / x ] ph `
       to mean "the wff that results from the proper substitution of ` t ` for
       ` x ` in the wff ` ph ` ".  That is, ` t ` properly replaces ` x ` .
       For example, ` [ t / x ] z e. x ` is the same as ` z e. t ` (when ` x `
       and ` z ` are distinct), as shown in ~ elsb2 .

       Our notation was introduced in Haskell B. Curry's _Foundations of
       Mathematical Logic_ (1977), p. 316 and is frequently used in textbooks
       of lambda calculus and combinatory logic.  This notation improves the
       common but ambiguous notation, " ` ph ( t ) ` is the wff that results
       when ` t ` is properly substituted for ` x ` in ` ph ( x ) ` ".  For
       example, if the original ` ph ( x ) ` is ` x = t ` , then ` ph ( t ) `
       is ` t = t ` , from which we obtain that ` ph ( x ) ` is ` x = x ` .  So
       what exactly does ` ph ( x ) ` mean?  Curry's notation solves this
       problem.

       A very similar notation, namely ` ( y | x ) ph ` , was introduced in
       Bourbaki's Set Theory (Chapter 1, Description of Formal Mathematic,
       1953).

       In most books, proper substitution has a somewhat complicated recursive
       definition with multiple cases based on the occurrences of free and
       bound variables in the wff.  Instead, we use a single formula that is
       exactly equivalent and gives us a direct definition.  We later prove
       that our definition has the properties we expect of proper substitution
       (see Theorems ~ sbequ , ~ sbcom2 and ~ sbid2v ).

       Note that our definition is valid even when ` x ` and ` t ` are replaced
       with the same variable, as ~ sbid shows.  We achieve this by applying
       twice Tarski's definition ~ sb6 which is valid for disjoint variables,
       and introducing a dummy variable ` y ` which isolates ` x ` from ` t ` ,
       as in ~ dfsb7 with respect to ~ sb5 .  We can also achieve this by
       having ` x ` free in the first conjunct and bound in the second, as the
       alternate definition ~ dfsb1 shows.  Another version that mixes free and
       bound variables is ~ dfsb3 .  When ` x ` and ` t ` are distinct, we can
       express proper substitution with the simpler expressions of ~ sb5 and
       ~ sb6 .

       Note that the occurrences of a given variable in the definiens are
       either all bound ( ` x , y ` ) or all free ( ` t ` ).  Also note that
       the definiens uses only primitive symbols.

       This double level definition will make several proofs using it appear as
       doubled.  Alternately, one could often first prove as a lemma the same
       theorem with a disjoint variable condition on the substitute and the
       substituted variables, and then prove the original theorem by applying
       this lemma twice in a row.  (Contributed by NM, 10-May-1993.)  Revised
       from the original definition ~ dfsb1 .  (Revised by BJ, 22-Dec-2020.) $)
    df-sb $a |- ( [ t / x ] ph <-> A. y ( y = t -> A. x ( x = y -> ph ) ) ) $.
  $}

  ${
    $d x y $.  $d t y $.  $d ph y $.
    sbt.1 $e |- ph $.
    $( A substitution into a theorem yields a theorem.  See ~ sbtALT for a
       shorter proof requiring more axioms.  See ~ chvar and ~ chvarv for
       versions using implicit substitution.  (Contributed by NM, 21-Jan-2004.)
       (Proof shortened by Andrew Salmon, 25-May-2011.)  (Proof shortened by
       Wolf Lammen, 20-Jul-2018.)  Revise ~ df-sb .  (Revised by Steven Nguyen,
       6-Jul-2023.) $)
    sbt $p |- [ t / x ] ph $=
      ( vy wsb weq wi wal a1i ax-gen df-sb mpbir ) ABCFECGZBEGZAHZBIZHZEIREQNPB
      AODJKJKABECLM $.
  $}

  $( The result of substituting in the truth constant "true" is true.
     (Contributed by BJ, 2-Sep-2023.) $)
  sbtru $p |- [ y / x ] T. $=
    ( wtru tru sbt ) CABDE $.

  ${
    $d y x $.  $d y t $.  $d y ph $.
    $( The specialization axiom of standard predicate calculus.  It states that
       if a statement ` ph ` holds for all ` x ` , then it also holds for the
       specific case of ` t ` (properly) substituted for ` x ` .  Translated to
       traditional notation, it can be read:  " ` A. x ph ( x ) -> ph ( t ) ` ,
       provided that ` t ` is free for ` x ` in ` ph ( x ) ` ".  Axiom 4 of
       [Mendelson] p. 69.  See also ~ spsbc and ~ rspsbc .  (Contributed by NM,
       14-May-1993.)  Revise ~ df-sb .  (Revised by BJ, 22-Dec-2020.) $)
    stdpc4 $p |- ( A. x ph -> [ t / x ] ph ) $=
      ( vy wal weq wi wsb ala1 a1d alrimiv df-sb sylibr ) ABEZDCFZBDFZAGBEZGZDE
      ABCHNRDNQOAPBIJKABDCLM $.
  $}

  ${
    sbtALT.1 $e |- ph $.
    $( Alternate proof of ~ sbt , shorter but using ~ ax-4 and ~ ax-5 .
       (Contributed by NM, 21-Jan-2004.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sbtALT $p |- [ y / x ] ph $=
      ( wsb stdpc4 mpg ) AABCEBABCFDG $.
  $}

  $( A double specialization using explicit substitution.  This is Theorem
     PM*11.1 in [WhiteheadRussell] p. 159.  See ~ stdpc4 for the analogous
     single specialization.  See ~ 2sp for another double specialization.
     (Contributed by Andrew Salmon, 24-May-2011.)  (Revised by BJ,
     21-Oct-2018.) $)
  2stdpc4 $p |- ( A. x A. y ph -> [ z / x ] [ w / y ] ph ) $=
    ( wal wsb stdpc4 alimi syl ) ACFZBFACEGZBFLBDGKLBACEHILBDHJ $.

  ${
    $d y z $.  $d x z $.  $d ph z $.  $d ps z $.
    $( Distribute substitution over implication.  (Contributed by NM,
       14-May-1993.)  Remove dependencies on axioms.  (Revised by Steven
       Nguyen, 24-Jul-2023.) $)
    sbi1 $p |- ( [ y / x ] ( ph -> ps ) ->
                                          ( [ y / x ] ph -> [ y / x ] ps ) ) $=
      ( vz wi wsb weq wal df-sb ax-2 al2imi imim3i 3imtr4g sylbi ) ABFZCDGEDHZC
      EHZPFZCIZFZEIZACDGZBCDGZFPCEDJUBQRAFZCIZFZEIQRBFZCIZFZEIUCUDUAUGUJETUFUIQ
      SUEUHCRABKLMLACEDJBCEDJNO $.
  $}

  $( Distribute substitution over implication.  Closed form of ~ sbimi .
     Specialization of implication.  (Contributed by NM, 5-Aug-1993.)  (Proof
     shortened by Andrew Salmon, 25-May-2011.)  Revise ~ df-sb .  (Revised by
     BJ, 22-Dec-2020.)  (Proof shortened by Steven Nguyen, 24-Jul-2023.) $)
  spsbim $p |- ( A. x ( ph -> ps ) -> ( [ t / x ] ph -> [ t / x ] ps ) ) $=
    ( wi wal wsb stdpc4 sbi1 syl ) ABEZCFKCDGACDGBCDGEKCDHABCDIJ $.

  $( Biconditional property for substitution.  Closed form of ~ sbbii .
     Specialization of biconditional.  (Contributed by NM, 2-Jun-1993.)  Revise
     ~ df-sb .  (Revised by BJ, 22-Dec-2020.) $)
  spsbbi $p |- ( A. x ( ph <-> ps ) -> ( [ t / x ] ph <-> [ t / x ] ps ) ) $=
    ( wb wal wsb wi biimp alimi spsbim syl biimpr impbid ) ABEZCFZACDGZBCDGZPAB
    HZCFQRHOSCABIJABCDKLPBAHZCFRQHOTCABMJBACDKLN $.

  ${
    sbimi.1 $e |- ( ph -> ps ) $.
    $( Distribute substitution over implication.  (Contributed by NM,
       25-Jun-1998.)  Revise ~ df-sb .  (Revised by BJ, 22-Dec-2020.)  (Proof
       shortened by Steven Nguyen, 24-Jul-2023.) $)
    sbimi $p |- ( [ t / x ] ph -> [ t / x ] ps ) $=
      ( wi wsb sbt sbi1 ax-mp ) ABFZCDGACDGBCDGFKCDEHABCDIJ $.
  $}

  ${
    sb2imi.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Distribute substitution over implication.  Compare ~ al2imi .
       (Contributed by Steven Nguyen, 13-Aug-2023.) $)
    sb2imi $p |- ( [ t / x ] ph -> ( [ t / x ] ps -> [ t / x ] ch ) ) $=
      ( wsb wi sbimi sbi1 syl ) ADEGBCHZDEGBDEGCDEGHALDEFIBCDEJK $.
  $}

  ${
    sbbii.1 $e |- ( ph <-> ps ) $.
    $( Infer substitution into both sides of a logical equivalence.
       (Contributed by NM, 14-May-1993.) $)
    sbbii $p |- ( [ t / x ] ph <-> [ t / x ] ps ) $=
      ( wsb biimpi sbimi biimpri impbii ) ACDFBCDFABCDABEGHBACDABEIHJ $.

    $( Infer double substitution into both sides of a logical equivalence.
       (Contributed by AV, 30-Jul-2023.) $)
    2sbbii $p |- ( [ t / x ] [ u / y ] ph <-> [ t / x ] [ u / y ] ps ) $=
      ( wsb sbbii ) ADEHBDEHCFABDEGII $.
  $}

  ${
    $d x ph $.
    sbimdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction substituting both sides of an implication, with ` ph ` and
       ` x ` disjoint.  See also ~ sbimd .  (Contributed by Wolf Lammen,
       6-May-2023.)  Revise ~ df-sb .  (Revised by Steven Nguyen,
       6-Jul-2023.) $)
    sbimdv $p |- ( ph -> ( [ t / x ] ps -> [ t / x ] ch ) ) $=
      ( wi wal wsb alrimiv spsbim syl ) ABCGZDHBDEICDEIGAMDFJBCDEKL $.
  $}

  ${
    $d x ph $.
    sbbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduction substituting both sides of a biconditional, with ` ph ` and
       ` x ` disjoint.  See also ~ sbbid .  (Contributed by Wolf Lammen,
       6-May-2023.)  (Proof shortened by Steven Nguyen, 6-Jul-2023.) $)
    sbbidv $p |- ( ph -> ( [ t / x ] ps <-> [ t / x ] ch ) ) $=
      ( wb wal wsb alrimiv spsbbi syl ) ABCGZDHBDEICDEIGAMDFJBCDEKL $.
  $}

  $( Conjunction inside and outside of a substitution are equivalent.  Compare
     ~ 19.26 .  (Contributed by NM, 14-May-1993.)  (Proof shortened by Steven
     Nguyen, 13-Aug-2023.) $)
  sban $p |- ( [ y / x ] ( ph /\ ps ) <-> ( [ y / x ] ph /\ [ y / x ] ps ) ) $=
    ( wa wsb simpl sbimi simpr jca pm3.2 sb2imi imp impbii ) ABEZCDFZACDFZBCDFZ
    EPQROACDABGHOBCDABIHJQRPABOCDABKLMN $.

  $( Threefold conjunction inside and outside of a substitution are equivalent.
     (Contributed by NM, 14-Dec-2006.) $)
  sb3an $p |- ( [ y / x ] ( ph /\ ps /\ ch ) <->
              ( [ y / x ] ph /\ [ y / x ] ps /\ [ y / x ] ch ) ) $=
    ( wa wsb w3a sban anbi1i df-3an sbbii bitri 3bitr4i ) ABFZDEGZCDEGZFZADEGZB
    DEGZFZQFABCHZDEGZSTQHPUAQABDEIJUCOCFZDEGRUBUDDEABCKLOCDEIMSTQKN $.

  ${
    $d y x $.  $d y t $.  $d y ph $.
    $( Existential generalization: if a proposition is true for a specific
       instance, then there exists an instance where it is true.  (Contributed
       by NM, 29-Jun-1993.)  (Proof shortened by Wolf Lammen, 3-May-2018.)
       Revise ~ df-sb .  (Revised by BJ, 22-Dec-2020.)  (Proof shortened by
       Steven Nguyen, 11-Jul-2023.) $)
    spsbe $p |- ( [ t / x ] ph -> E. x ph ) $=
      ( vy wsb weq wi wal wex df-sb alequexv sylbi exsbim syl ) ABCEZBDFAGBHZDI
      ZABIODCFPGDHQABDCJPDCKLABDMN $.
  $}

  ${
    $d u x $.  $d u y $.  $d u z $.  $d u ph $.
    $( Equality property for substitution, from Tarski's system.  Used in proof
       of Theorem 9.7 in [Megill] p. 449 (p. 16 of the preprint).  (Contributed
       by NM, 14-May-1993.)  Revise ~ df-sb .  (Revised by BJ, 30-Dec-2020.) $)
    sbequ $p |- ( x = y -> ( [ x / z ] ph <-> [ y / z ] ph ) ) $=
      ( vu weq wi wal wsb equequ2 imbi1d albidv df-sb 3bitr4g ) BCFZEBFZDEFAGDH
      ZGZEHECFZQGZEHADBIADCIORTEOPSQBCEJKLADEBMADECMN $.
  $}

  $( An equality theorem for substitution.  (Contributed by NM, 14-May-1993.)
     (Proof shortened by Wolf Lammen, 15-Sep-2018.)  (Proof shortened by Steven
     Nguyen, 7-Jul-2023.) $)
  sbequi $p |- ( x = y -> ( [ x / z ] ph -> [ y / z ] ph ) ) $=
    ( weq wsb sbequ biimpd ) BCEADBFADCFABCDGH $.

  ${
    $d y x t $.  $d y ph $.
    $( Alternate definition of substitution when variables are disjoint.
       Compare Theorem 6.2 of [Quine] p. 40.  Also proved as Lemmas 16 and 17
       of [Tarski] p. 70.  The implication "to the left" also holds without a
       disjoint variable condition ( ~ sb2 ).  Theorem ~ sb6f replaces the
       disjoint variable condition with a nonfreeness hypothesis.  Theorem
       ~ sb4b replaces it with a distinctor antecedent.  (Contributed by NM,
       18-Aug-1993.)  (Proof shortened by Wolf Lammen, 21-Sep-2018.)  Revise
       ~ df-sb .  (Revised by BJ, 22-Dec-2020.)  Remove use of ~ ax-11 .
       (Revised by Steven Nguyen, 7-Jul-2023.)  (Proof shortened by Wolf
       Lammen, 16-Jul-2023.) $)
    sb6 $p |- ( [ t / x ] ph <-> A. x ( x = t -> ph ) ) $=
      ( vy wsb weq wi wal df-sb equequ2 imbi1d albidv equsalvw bitri ) ABCEDCFZ
      BDFZAGZBHZGDHBCFZAGZBHZABDCIRUADCOQTBOPSADCBJKLMN $.
  $}

  ${
    $d x y z $.  $d w y $.
    $( Equivalence for double substitution.  (Contributed by NM,
       3-Feb-2005.) $)
    2sb6 $p |- ( [ z / x ] [ w / y ] ph <->
               A. x A. y ( ( x = z /\ y = w ) -> ph ) ) $=
      ( wsb weq wi wal wa sb6 19.21v impexp albii imbi2i 3bitr4ri bitri ) ACEFZ
      BDFBDGZRHZBISCEGZJAHZCIZBIRBDKTUCBSUAAHZHZCISUDCIZHUCTSUDCLUBUECSUAAMNRUF
      SACEKOPNQ $.
  $}

  ${
    $d x y $.
    $( One direction of ~ sb5 , provable from fewer axioms.  Version of ~ sb1
       with a disjoint variable condition using fewer axioms.  (Contributed by
       NM, 13-May-1993.)  (Revised by Wolf Lammen, 20-Jan-2024.) $)
    sb1v $p |- ( [ y / x ] ph -> E. x ( x = y /\ ph ) ) $=
      ( wsb weq wi wal wa wex sb6 equs4v sylbi ) ABCDBCEZAFBGMAHBIABCJABCKL $.
  $}

  ${
    $d x ph $.
    $( Substitution for a variable not occurring in a proposition.  See ~ sbf
       for a version without disjoint variable condition on ` x , ph ` .  If
       one adds a disjoint variable condition on ` x , t ` , then ~ sbv can be
       proved directly by chaining ~ equsv with ~ sb6 .  (Contributed by BJ,
       22-Dec-2020.) $)
    sbv $p |- ( [ t / x ] ph <-> ph ) $=
      ( wsb wex spsbe ax5e syl wal ax-5 stdpc4 impbii ) ABCDZAMABEAABCFABGHAABI
      MABJABCKHL $.
  $}

  ${
    $d ph x $.  $d ph z $.
    $( Commutativity law for substitution.  This theorem was incorrectly used
       as our previous version of ~ pm11.07 but may still be useful.
       (Contributed by Andrew Salmon, 17-Jun-2011.)  (Proof shortened by Jim
       Kingdon, 22-Jan-2018.) $)
    sbcom4 $p |- ( [ w / x ] [ y / z ] ph <-> [ y / x ] [ w / z ] ph ) $=
      ( wsb sbv sbbii bitri 3bitr4i ) ABEFAADCFZBEFADEFZBCFZABEGKABEADCGHMABCFA
      LABCADEGHABCGIJ $.
  $}

  ${
    pm11.07.1 $e |- ph $.
    $( Axiom *11.07 in [WhiteheadRussell] p. 159.  The original reads: *11.07
       "Whatever possible argument ` x ` may be, ` ph ( x , y ) ` is true
       whatever possible argument ` y ` may be" implies the corresponding
       statement with ` x ` and ` y ` interchanged except
       in " ` ph ( x , y ) ` ".  Under our formalism this appears to correspond
       to ~ idi and not to ~ sbcom4 as earlier thought.  See
       ~ https://groups.google.com/g/metamath/c/iS0fOvSemC8/m/M1zTH8wxCAAJ .
       (Contributed by BJ, 16-Sep-2018.)  (New usage is discouraged.) $)
    pm11.07 $p |- ph $=
      (  ) B $.
  $}

  ${
    $d x y $.
    sbrimvlem.1 $e |- ( A. x ( ph -> ( x = y -> ps ) )
                                        <-> ( ph -> A. x ( x = y -> ps ) ) ) $.
    $( Common proof template for ~ sbrimvw and ~ sbrimv .  The hypothesis is an
       instance of ~ 19.21 .  (Contributed by Wolf Lammen, 29-Jan-2024.) $)
    sbrimvlem $p |- ( [ y / x ] ( ph -> ps ) <-> ( ph -> [ y / x ] ps ) ) $=
      ( wi wsb weq wal sb6 bi2.04 albii 3bitr2i imbi2i bitr4i ) ABFZCDGZACDHZBF
      ZCIZFZABCDGZFQRPFZCIASFZCIUAPCDJUDUCCARBKLEMUBTABCDJNO $.
  $}

  ${
    $d x y $.  $d x ph $.
    $( Substitution in an implication with a variable not free in the
       antecedent affects only the consequent.  Version of ~ sbrim and ~ sbrimv
       based on fewer axioms, but with more disjoint variable conditions.
       Based on an idea of Gino Giotto.  (Contributed by Wolf Lammen,
       29-Jan-2024.) $)
    sbrimvw $p |- ( [ y / x ] ( ph -> ps ) <-> ( ph -> [ y / x ] ps ) ) $=
      ( weq wi 19.21v sbrimvlem ) ABCDACDEBFCGH $.
  $}

  ${
    $d x y $.  $d x ps $.
    sbievw.is $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit substitution.  Version
       of ~ sbie and ~ sbiev with more disjoint variable conditions, requiring
       fewer axioms.  (Contributed by NM, 30-Jun-1994.)  (Revised by BJ,
       18-Jul-2023.) $)
    sbievw $p |- ( [ y / x ] ph <-> ps ) $=
      ( wsb weq wi wal sb6 equsalvw bitri ) ACDFCDGAHCIBACDJABCDEKL $.
  $}

  ${
    $d x ph $.  $d x ch $.  $d x y $.
    sbiedvw.1 $e |- ( ( ph /\ x = y ) -> ( ps <-> ch ) ) $.
    $( Conversion of implicit substitution to explicit substitution (deduction
       version of ~ sbievw ).  Version of ~ sbied and ~ sbiedv with more
       disjoint variable conditions, requiring fewer axioms.  (Contributed by
       NM, 30-Jun-1994.)  (Revised by Gino Giotto, 29-Jan-2024.) $)
    sbiedvw $p |- ( ph -> ( [ y / x ] ps <-> ch ) ) $=
      ( wsb wi sbrimvw weq wb expcom pm5.74d sbievw bitr3i pm5.74ri ) ABDEGZCAQ
      HABHZDEGACHZABDEIRSDEDEJZABCATBCKFLMNOP $.
  $}

  ${
    $d x y ps $.  $d x y t $.  $d u y $.
    2sbievw.1 $e |- ( ( x = t /\ y = u ) -> ( ph <-> ps ) ) $.
    $( Conversion of double implicit substitution to explicit substitution.
       Version of ~ 2sbiev with more disjoint variable conditions, requiring
       fewer axioms.  (Contributed by AV, 29-Jul-2023.)  (Revised by Gino
       Giotto, 10-Jan-2024.) $)
    2sbievw $p |- ( [ t / x ] [ u / y ] ph <-> ps ) $=
      ( wsb weq sbiedvw sbievw ) ADEHBCFCFIABDEGJK $.
  $}

  ${
    $d y z $.
    $( Substituting ` y ` for ` x ` and then ` z ` for ` y ` is equivalent to
       substituting ` z ` for both ` x ` and ` y ` .  Version of ~ sbcom3 with
       a disjoint variable condition using fewer axioms.  (Contributed by NM,
       27-May-1997.)  (Revised by Giovanni Mascellani, 8-Apr-2018.)  (Revised
       by BJ, 30-Dec-2020.)  (Proof shortened by Wolf Lammen, 19-Jan-2023.) $)
    sbcom3vv $p |- ( [ z / y ] [ y / x ] ph <-> [ z / y ] [ z / x ] ph ) $=
      ( weq wsb wi wal sbequ pm5.74i albii sb6 3bitr4i ) CDEZABCFZGZCHNABDFZGZC
      HOCDFQCDFPRCNOQACDBIJKOCDLQCDLM $.
  $}

  ${
    $d x w $.  $d w y $.  $d w ph $.  $d w ps $.  $d x ch $.
    sbievw2.1 $e |- ( x = w -> ( ph <-> ch ) ) $.
    sbievw2.2 $e |- ( w = y -> ( ch <-> ps ) ) $.
    $( ~ sbievw applied twice, avoiding a DV condition on ` x ` , ` y ` .
       Based on proofs by Wolf Lammen.  (Contributed by Steven Nguyen,
       29-Jul-2023.) $)
    sbievw2 $p |- ( [ y / x ] ph <-> ps ) $=
      ( wsb sbcom3vv sbievw sbbii sbv 3bitr3i bitr3i ) ADEIZCFEIZBADFIZFEIPFEIQ
      PADFEJRCFEACDFGKLPFEMNCBFEHKO $.
  $}

  ${
    $d x z w $.  $d z ph w $.  $d y w $.
    $( A composition law for substitution.  Version of ~ sbco2 with disjoint
       variable conditions and fewer axioms.  (Contributed by NM, 30-Jun-1994.)
       (Revised by BJ, 22-Dec-2020.)  (Proof shortened by Wolf Lammen,
       29-Apr-2023.) $)
    sbco2vv $p |- ( [ y / z ] [ z / x ] ph <-> [ y / x ] ph ) $=
      ( vw wsb sbequ sbievw2 ) ABDFABCFABEFDCEADEBGAECBGH $.
  $}

  ${
    $d x w z $.  $d y w $.
    $( Substitution in an equality.  (Contributed by Raph Levien and FL,
       4-Dec-2005.)  Reduce axiom usage.  (Revised by Wolf Lammen,
       23-Jul-2023.) $)
    equsb3 $p |- ( [ y / x ] x = z <-> y = z ) $=
      ( vw weq equequ1 sbievw2 ) ACEBCEDCEABDADCFDBCFG $.

    $( Substitution applied to the atomic wff with equality.  Variant of
       ~ equsb3 .  (Contributed by AV, 29-Jul-2023.)  (Proof shortened by Wolf
       Lammen, 2-Sep-2023.) $)
    equsb3r $p |- ( [ y / x ] z = x <-> z = y ) $=
      ( vw weq equequ2 sbievw2 ) CAECBECDEABDADCFDBCFG $.
  $}

  ${
    $d x y $.
    $( Substitution applied to an atomic wff.  Version of ~ equsb1 with a
       disjoint variable condition, which neither requires ~ ax-12 nor
       ~ ax-13 .  (Contributed by NM, 10-May-1993.)  (Revised by BJ,
       11-Sep-2019.)  Remove dependencies on axioms.  (Revised by Wolf Lammen,
       30-May-2023.)  (Proof shortened by Steven Nguyen, 19-Jun-2023.)  Revise
       ~ df-sb .  (Revised by Steven Nguyen, 11-Jul-2023.)  (Proof shortened by
       Steven Nguyen, 22-Jul-2023.) $)
    equsb1v $p |- [ y / x ] x = y $=
      ( weq wsb equid equsb3 mpbir ) ABCABDBBCBEABBFG $.
  $}

  $( Any substitution in an always false formula is false.  (Contributed by
     Steven Nguyen, 3-May-2023.) $)
  nsb $p |- ( A. x -. ph -> -. [ t / x ] ph ) $=
    ( wn wal wex wsb alnex biimpi spsbe nsyl ) ADBEZABFZABCGLMDABHIABCJK $.

  $( One direction of ~ sbn , using fewer axioms.  Compare ~ 19.2 .
     (Contributed by Steven Nguyen, 18-Aug-2023.) $)
  sbn1 $p |- ( [ t / x ] -. ph -> -. [ t / x ] ph ) $=
    ( wn wsb wfal nsb fal mpg pm2.21 sb2imi mtoi ) ADZBCEABCEFBCEZFDNDBFBCGHIMA
    FBCAFJKL $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Membership predicate
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare the membership predicate symbol. $)
  $c e. $.  $( Stylized lowercase Greek letter epsilon. $)

  ${
    $v A $.
    $v B $.
    wcel.cA $f class A $.
    wcel.cB $f class B $.
    $( Extend wff definition to include the membership connective between
       classes.

       For a general discussion of the theory of classes, see
       ~ mmset.html#class .

       The purpose of introducing ` wff A e. B ` here is to allow us to prove
       the ~ wel of predicate calculus in terms of the ~ wcel of set theory, so
       that we do not overload the ` e. ` connective with two syntax
       definitions.  This is done to prevent ambiguity that would complicate
       some Metamath parsers.  The class variables ` A ` and ` B ` are
       introduced temporarily for the purpose of this definition but otherwise
       not used in predicate calculus.  See ~ df-clab for more information on
       the set theory usage of ~ wcel . $)
    wcel $a wff A e. B $.

    $( Register class membership as a primitive expression (lacking a
       definition). $)
    $( $j primitive 'wcel'; $)
  $}

  $( Extend wff definition to include atomic formulas with the membership
     predicate.  This is read either " ` x ` is an element of ` y ` ",
     or " ` x ` is a member of ` y ` ", or " ` x ` belongs to ` y ` ",
     or " ` y ` contains ` x ` ".  Note:  The phrase " ` y ` includes
     ` x ` " means " ` x ` is a subset of ` y ` "; to use it also for
     ` x e. y ` , as some authors occasionally do, is poor form and causes
     confusion, according to George Boolos (1992 lecture at MIT).

     This syntactic construction introduces a binary non-logical predicate
     symbol ` e. ` (stylized lowercase epsilon) into our predicate calculus.
     We will eventually use it for the membership predicate of set theory, but
     that is irrelevant at this point: the predicate calculus axioms for ` e. `
     apply to any arbitrary binary predicate symbol.  "Non-logical" means that
     the predicate is presumed to have additional properties beyond the realm
     of predicate calculus, although these additional properties are not
     specified by predicate calculus itself but rather by the axioms of a
     theory (in our case set theory) added to predicate calculus.  "Binary"
     means that the predicate has two arguments.

     Instead of introducing ~ wel as an axiomatic statement, as was done in an
     older version of this database, we introduce it by "proving" a special
     case of set theory's more general ~ wcel .  This lets us avoid overloading
     the ` e. ` connective, thus preventing ambiguity that would complicate
     certain Metamath parsers.  However, logically ~ wel is considered to be a
     primitive syntax, even though here it is artificially "derived" from
     ~ wcel .  Note:  To see the proof steps of this syntax proof, type "MM>
     SHOW PROOF wel / ALL" in the Metamath program.  (Contributed by NM,
     24-Jan-2006.) $)
  wel $p wff x e. y $=
    ( cv wcel ) ACBCD $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Axiom scheme ax-8 (Left Equality for Binary Predicate)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Axiom of Left Equality for Binary Predicate.  One of the equality and
     substitution axioms for a non-logical predicate in our predicate calculus
     with equality.  It substitutes equal variables into the left-hand side of
     an arbitrary binary predicate ` e. ` , which we will use for the set
     membership relation when set theory is introduced.  This axiom scheme is a
     sub-scheme of Axiom Scheme B8 of system S2 of [Tarski], p. 75, whose
     general form cannot be represented with our notation.  Also appears as
     Axiom scheme C12' in [Megill] p. 448 (p. 16 of the preprint).
     "Non-logical" means that the predicate is not a primitive of predicate
     calculus proper but instead is an extension to it.  "Binary" means that
     the predicate has two arguments.  In a system of predicate calculus with
     equality, like ours, equality is not usually considered to be a
     non-logical predicate.  In systems of predicate calculus without equality,
     it typically would be.

     We prove in ~ ax8 that this axiom can be recovered from its weakened
     version ~ ax8v where ` x ` and ` y ` are assumed to be disjoint variables.
     In particular, the only theorem referencing ~ ax-8 should be ~ ax8v .  See
     the comment of ~ ax8v for more details on these matters.  (Contributed by
     NM, 30-Jun-1993.)  (Revised by BJ, 7-Dec-2020.)  Use ~ ax8 instead.
     (New usage is discouraged.) $)
  ax-8 $a |- ( x = y -> ( x e. z -> y e. z ) ) $.

  ${
    $d x y $.
    $( Weakened version of ~ ax-8 , with a disjoint variable condition on
       ` x , y ` .  This should be the only proof referencing ~ ax-8 , and it
       should be referenced only by its two weakened versions ~ ax8v1 and
       ~ ax8v2 , from which ~ ax-8 is then rederived as ~ ax8 , which shows
       that either ~ ax8v or the conjunction of ~ ax8v1 and ~ ax8v2 is
       sufficient.  (Contributed by BJ, 7-Dec-2020.)  Use ~ ax8 instead.
       (New usage is discouraged.) $)
    ax8v $p |- ( x = y -> ( x e. z -> y e. z ) ) $=
      ( ax-8 ) ABCD $.
  $}

  ${
    $d x y $.  $d x z $.
    $( First of two weakened versions of ~ ax8v , with an extra disjoint
       variable condition on ` x , z ` , see comments there.  (Contributed by
       BJ, 7-Dec-2020.) $)
    ax8v1 $p |- ( x = y -> ( x e. z -> y e. z ) ) $=
      ( ax8v ) ABCD $.
  $}

  ${
    $d x y $.  $d y z $.
    $( Second of two weakened versions of ~ ax8v , with an extra disjoint
       variable condition on ` y , z ` see comments there.  (Contributed by BJ,
       7-Dec-2020.) $)
    ax8v2 $p |- ( x = y -> ( x e. z -> y e. z ) ) $=
      ( ax8v ) ABCD $.
  $}

  ${
    $d t x $.  $d t y $.  $d t z $.
    $( Proof of ~ ax-8 from ~ ax8v1 and ~ ax8v2 , proving sufficiency of the
       conjunction of the latter two weakened versions of ~ ax8v , which is
       itself a weakened version of ~ ax-8 .  (Contributed by BJ, 7-Dec-2020.)
       (Proof shortened by Wolf Lammen, 11-Apr-2021.) $)
    ax8 $p |- ( x = y -> ( x e. z -> y e. z ) ) $=
      ( vt weq wa wex wel wi equvinv ax8v2 equcoms ax8v1 sylan9 exlimiv sylbi )
      ABEDAEZDBEZFZDGACHZBCHZIZABDJSUBDQTDCHZRUATUCIADADCKLDBCMNOP $.
  $}

  $( An identity law for the non-logical predicate.  (Contributed by NM,
     30-Jun-1993.) $)
  elequ1 $p |- ( x = y -> ( x e. z <-> y e. z ) ) $=
    ( weq wel ax8 wi equcoms impbid ) ABDACEZBCEZABCFKJGBABACFHI $.

  ${
    $d w x z $.  $d w y $.
    $( Substitution for the first argument of the non-logical predicate in an
       atomic formula.  See ~ elsb2 for substitution for the second argument.
       (Contributed by NM, 7-Nov-2006.)  (Proof shortened by Andrew Salmon,
       14-Jun-2011.)  Reduce axiom usage.  (Revised by Wolf Lammen,
       24-Jul-2023.) $)
    elsb1 $p |- ( [ y / x ] x e. z <-> y e. z ) $=
      ( vw wel elequ1 sbievw2 ) ACEBCEDCEABDADCFDBCFG $.
  $}

  ${
    $d x z $.  $d y z $.
    $( When the class variables in Definition ~ df-clel are replaced with
       setvar variables, this theorem of predicate calculus is the result.
       This theorem provides part of the justification for the consistency of
       that definition, which "overloads" the setvar variables in ~ wel with
       the class variables in ~ wcel .  (Contributed by NM, 28-Jan-2004.)
       Revised to use ~ equsexvw in order to remove dependencies on ~ ax-10 ,
       ~ ax-12 , ~ ax-13 .  Note that there is no disjoint variable condition
       on ` x , y ` , that is, on the variables of the left-hand side, as
       should be the case for definitions.  (Revised by BJ, 29-Dec-2020.) $)
    cleljust $p |- ( x e. y <-> E. z ( z = x /\ z e. y ) ) $=
      ( weq wel wa wex elequ1 equsexvw bicomi ) CADCBEZFCGABEZKLCACABHIJ $.
    $( $j usage 'cleljust' avoids 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Axiom scheme ax-9 (Right Equality for Binary Predicate)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Axiom of Right Equality for Binary Predicate.  One of the equality and
     substitution axioms for a non-logical predicate in our predicate calculus
     with equality.  It substitutes equal variables into the right-hand side of
     an arbitrary binary predicate ` e. ` , which we will use for the set
     membership relation when set theory is introduced.  This axiom scheme is a
     sub-scheme of Axiom Scheme B8 of system S2 of [Tarski], p. 75, whose
     general form cannot be represented with our notation.  Also appears as
     Axiom scheme C13' in [Megill] p. 448 (p. 16 of the preprint).

     We prove in ~ ax9 that this axiom can be recovered from its weakened
     version ~ ax9v where ` x ` and ` y ` are assumed to be disjoint variables.
     In particular, the only theorem referencing ~ ax-9 should be ~ ax9v .  See
     the comment of ~ ax9v for more details on these matters.  (Contributed by
     NM, 21-Jun-1993.)  (Revised by BJ, 7-Dec-2020.)  Use ~ ax9 instead.
     (New usage is discouraged.) $)
  ax-9 $a |- ( x = y -> ( z e. x -> z e. y ) ) $.

  ${
    $d x y $.
    $( Weakened version of ~ ax-9 , with a disjoint variable condition on
       ` x , y ` .  This should be the only proof referencing ~ ax-9 , and it
       should be referenced only by its two weakened versions ~ ax9v1 and
       ~ ax9v2 , from which ~ ax-9 is then rederived as ~ ax9 , which shows
       that either ~ ax9v or the conjunction of ~ ax9v1 and ~ ax9v2 is
       sufficient.  (Contributed by BJ, 7-Dec-2020.)  Use ~ ax9 instead.
       (New usage is discouraged.) $)
    ax9v $p |- ( x = y -> ( z e. x -> z e. y ) ) $=
      ( ax-9 ) ABCD $.
  $}

  ${
    $d x y $.  $d x z $.
    $( First of two weakened versions of ~ ax9v , with an extra disjoint
       variable condition on ` x , z ` , see comments there.  (Contributed by
       BJ, 7-Dec-2020.) $)
    ax9v1 $p |- ( x = y -> ( z e. x -> z e. y ) ) $=
      ( ax9v ) ABCD $.
  $}

  ${
    $d x y $.  $d y z $.
    $( Second of two weakened versions of ~ ax9v , with an extra disjoint
       variable condition on ` y , z ` see comments there.  (Contributed by BJ,
       7-Dec-2020.) $)
    ax9v2 $p |- ( x = y -> ( z e. x -> z e. y ) ) $=
      ( ax9v ) ABCD $.
  $}

  ${
    $d t x $.  $d t y $.  $d t z $.
    $( Proof of ~ ax-9 from ~ ax9v1 and ~ ax9v2 , proving sufficiency of the
       conjunction of the latter two weakened versions of ~ ax9v , which is
       itself a weakened version of ~ ax-9 .  (Contributed by BJ, 7-Dec-2020.)
       (Proof shortened by Wolf Lammen, 11-Apr-2021.) $)
    ax9 $p |- ( x = y -> ( z e. x -> z e. y ) ) $=
      ( vt weq wa wex wel wi equvinv ax9v2 equcoms ax9v1 sylan9 exlimiv sylbi )
      ABEDAEZDBEZFZDGCAHZCBHZIZABDJSUBDQTCDHZRUATUCIADADCKLDBCMNOP $.
  $}

  $( An identity law for the non-logical predicate.  (Contributed by NM,
     21-Jun-1993.) $)
  elequ2 $p |- ( x = y -> ( z e. x <-> z e. y ) ) $=
    ( weq wel ax9 wi equcoms impbid ) ABDCAEZCBEZABCFKJGBABACFHI $.

  ${
    $d x z $.  $d y z $.
    $( A form of ~ elequ2 with a universal quantifier.  Its converse is the
       axiom of extensionality ~ ax-ext .  (Contributed by BJ, 3-Oct-2019.) $)
    elequ2g $p |- ( x = y -> A. z ( z e. x <-> z e. y ) ) $=
      ( weq wel wb elequ2 alrimiv ) ABDCAECBEFCABCGH $.
  $}

  ${
    $d w x z $.  $d w y $.
    $( Substitution for the second argument of the non-logical predicate in an
       atomic formula.  See ~ elsb1 for substitution for the first argument.
       (Contributed by Rodolfo Medina, 3-Apr-2010.)  (Proof shortened by Andrew
       Salmon, 14-Jun-2011.)  Reduce axiom usage.  (Revised by Wolf Lammen,
       24-Jul-2023.) $)
    elsb2 $p |- ( [ y / x ] z e. x <-> z e. y ) $=
      ( vw wel elequ2 sbievw2 ) CAECBECDEABDADCFDBCFG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Logical redundancy of ax-10 , ax-11 , ax-12 , ax-13
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The original axiom schemes of Tarski's predicate calculus are ~ ax-4 ,
  ~ ax-5 , ~ ax6v , ~ ax-7 , ~ ax-8 , and ~ ax-9 , together with rule
  ~ ax-gen .  See ~ mmset.html#compare .  They are given as axiom schemes B4
  through B8 in [KalishMontague] p. 81.  These are shown to be logically
  complete by Theorem 1 of [KalishMontague] p. 85.

  The axiom system of set.mm includes the auxiliary axiom schemes ~ ax-10 ,
  ~ ax-11 , ~ ax-12 , and ~ ax-13 , which are not part of Tarski's axiom
  schemes.  Each object-language instance of them is provable from Tarski's
  axioms, so they are logically redundant.  However, they are conjectured not
  to be provable directly _as schemes_ from Tarski's axiom schemes using only
  Metamath's direct substitution rule.  They are used to make our system
  "scheme complete", i.e., able to prove directly all possible schemes
  with wff and setvar variables, bundled or not, whose object-language
  instances are valid.  ( ~ ax-12 has been proved to be required; see
  ~ https://us.metamath.org/award2003.html#9a .  Metalogical independence of
  the other three are open problems.)

  (There are additional predicate calculus axiom schemes included in set.mm
  such as ~ ax-c5 , but they can all be proved as theorems from the above.)

  Terminology:  Two setvar (individual) metavariables are "bundled" in an axiom
  or theorem scheme when there is no distinct variable constraint ($d) imposed
  on them.  (The term "bundled" is due to Raph Levien.)  For example, the ` x `
  and ` y ` in ~ ax-6 are bundled, but they are not in ~ ax6v . We also say
  that a scheme is bundled when it has at least one pair of bundled setvar
  variables.  If distinct variable conditions are added to all setvar variable
  pairs in a bundled scheme, we call that the "principal" instance
  of the bundled scheme.  For example, ~ ax6v is the principal instance of
  ~ ax-6 . Whenever a common variable is substituted for two or more bundled
  variables in an axiom or theorem scheme, we call the substitution instance
  "degenerate".  For example, the instance ` -. A. x -. x = x ` of ~ ax-6 is
  degenerate.  An advantage of bundling is ease of use since there are fewer
  distinct variable restrictions ($d) to be concerned with, and theorems
  are more general.  There may be some
  economy in being able to prove facts about principal and degenerate instances
  simultaneously.  A disadvantage is that bundling may present difficulties in
  translations to other proof languages, which typically lack the concept (in
  part because their variables often represent the variables of the
  object language rather than metavariables ranging over them).

  Because Tarski's axiom schemes are logically complete, they can be used to
  prove any object-language instance of ~ ax-10 , ~ ax-11 , ~ ax-12 , and
  ~ ax-13 .  "Translating" this to Metamath, it means that Tarski's axioms can
  prove any substitution instance of ~ ax-10 , ~ ax-11 , ~ ax-12 , or ~ ax-13
  in which (1) there are no wff metavariables and (2) all setvar variables
  are mutually distinct i.e. are not bundled.  In effect this is mimicking the
  object language by pretending that each setvar variable is an
  object-language variable.  (There may also be specific instances with wff
  metavariables and/or bundling that are directly provable from Tarski's axiom
  schemes, but it isn't guaranteed.  Whether all of them are possible is part
  of the still open metalogical independence problem for our additional axiom
  schemes.)

  It can be useful to see how this can be done, both to show that our
  additional schemes are valid metatheorems of Tarski's system and to be able
  to translate object-language instances of our proofs into proofs that would
  work with a system using only Tarski's original schemes.  In addition, it may
  (or may not) provide insight into the conjectured metalogical independence of
  our additional schemes.

  The theorem schemes ~ ax10w , ~ ax11w , ~ ax12w , and ~ ax13w are derived
  using only Tarski's axiom schemes, showing that Tarski's schemes can be used
  to derive all substitution instances of ~ ax-10 , ~ ax-11 , ~ ax-12 , and
  ~ ax-13 meeting Conditions (1) and (2).  (The "w" suffix stands for "weak
  version".)  Each hypothesis of ~ ax10w , ~ ax11w , and ~ ax12w is of the form
  ` ( x = y -> ( ph <-> ps ) ) ` where ` ps ` is an auxiliary or "dummy" wff
  metavariable in which ` x ` doesn't occur.  We can show by induction on
  formula length that the hypotheses can be eliminated in all cases meeting
  Conditions (1) and (2).  The example ~ ax12wdemo illustrates the techniques
  (equality theorems and bound variable renaming) used to achieve this.

  We also show the degenerate instances for axioms with bundled variables in
  ~ ax11dgen , ~ ax12dgen , ~ ax13dgen1 , ~ ax13dgen2 , ~ ax13dgen3 , and
  ~ ax13dgen4 . (Their proofs are trivial, but we include them to be thorough.)
  Combining the principal and degenerate cases _outside_ of Metamath, we show
  that the bundled schemes ~ ax-10 , ~ ax-11 , ~ ax-12 , and ~ ax-13 are
  schemes of Tarski's system, meaning that all object-language instances they
  generate are theorems of Tarski's system.

  It is interesting that Tarski used the bundled scheme ~ ax-6 in an older
  system, so it seems the main purpose of his later ~ ax6v was just to show
  that the weaker unbundled form is sufficient rather than an aesthetic
  objection to bundled free and bound variables.  Since we adopt the
  bundled ~ ax-6 as our official axiom, we show that the degenerate
  instance holds in ~ ax6dgen .  (Recall that in set.mm, the only statement
  referencing ~ ax-6 is ~ ax6v .)

  The case of ~ sp is curious:  originally an axiom scheme of Tarski's system,
  it was proved logically redundant by Lemma 9 of [KalishMontague] p. 86.
  However, the proof is by induction on formula length, and the scheme form
  ` A. x ph -> ph ` apparently cannot be proved directly from Tarski's other
  axiom schemes.  The best we can do seems to be ~ spw , again requiring
  substitution instances of ` ph ` that meet Conditions (1) and (2) above.
  Note that our direct proof ~ sp requires ~ ax-12 , which is not part of
  Tarski's system.

$)

  $( Tarski's system uses the weaker ~ ax6v instead of the bundled ~ ax-6 , so
     here we show that the degenerate case of ~ ax-6 can be derived.  Even
     though ~ ax-6 is in the list of axioms used, recall that in set.mm, the
     only statement referencing ~ ax-6 is ~ ax6v .  We later rederive from
     ~ ax6v the bundled form as ~ ax6 with the help of the auxiliary axiom
     schemes.  (Contributed by NM, 23-Apr-2017.) $)
  ax6dgen $p |- -. A. x -. x = x $=
    ( weq wn wal equid notnoti spfalw mt2 ) AABZCZADIAEZJAIKFGH $.

  ${
    $d y ph $.  $d x ps $.  $d x y $.
    ax10w.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Weak version of ~ ax-10 from which we can prove any ~ ax-10 instance not
       involving wff variables or bundling.  Uses only Tarski's FOL axiom
       schemes.  It is an alias of ~ hbn1w introduced for labeling consistency.
       (Contributed by NM, 9-Apr-2017.)  Use ~ hbn1w instead.
       (New usage is discouraged.) $)
    ax10w $p |- ( -. A. x ph -> A. x -. A. x ph ) $=
      ( hbn1w ) ABCDEF $.
  $}

  ${
    $d y z $.  $d x y $.  $d z ph $.  $d y ps $.
    ax11w.1 $e |- ( y = z -> ( ph <-> ps ) ) $.
    $( Weak version of ~ ax-11 from which we can prove any ~ ax-11 instance not
       involving wff variables or bundling.  Uses only Tarski's FOL axiom
       schemes.  Unlike ~ ax-11 , this theorem requires that ` x ` and ` y ` be
       distinct i.e. are not bundled.  It is an alias of ~ alcomiw introduced
       for labeling consistency.  (Contributed by NM, 10-Apr-2017.)  Use
       ~ alcomiw instead.  (New usage is discouraged.) $)
    ax11w $p |- ( A. x A. y ph -> A. y A. x ph ) $=
      ( alcomiw ) ABCDEFG $.
    $( $j usage 'ax11w' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)
  $}

  $( Degenerate instance of ~ ax-11 where bundled variables ` x ` and ` y `
     have a common substitution.  Uses only Tarski's FOL axiom schemes.
     (Contributed by NM, 13-Apr-2017.) $)
  ax11dgen $p |- ( A. x A. x ph -> A. x A. x ph ) $=
    ( wal id ) ABCBCD $.
  $( $j usage 'ax11dgen' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)

  ${
    $d x ps $.
    ax12wlemw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Lemma for weak version of ~ ax-12 .  Uses only Tarski's FOL axiom
       schemes.  In some cases, this lemma may lead to shorter proofs than
       ~ ax12w .  (Contributed by NM, 10-Apr-2017.) $)
    ax12wlem $p |- ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) $=
      ( ax-5 ax12i ) ABCDEBCFG $.
  $}

  ${
    $d y z $.  $d x ps $.  $d z ph $.  $d y ch $.
    ax12w.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    ax12w.2 $e |- ( y = z -> ( ph <-> ch ) ) $.
    $( Weak version of ~ ax-12 from which we can prove any ~ ax-12 instance not
       involving wff variables or bundling.  Uses only Tarski's FOL axiom
       schemes.  An instance of the first hypothesis will normally require that
       ` x ` and ` y ` be distinct (unless ` x ` does not occur in ` ph ` ).
       For an example of how the hypotheses can be eliminated when we
       substitute an expression without wff variables for ` ph ` , see
       ~ ax12wdemo .  (Contributed by NM, 10-Apr-2017.) $)
    ax12w $p |- ( x = y -> ( A. y ph -> A. x ( x = y -> ph ) ) ) $=
      ( wal weq wi spw ax12wlem syl5 ) AEIADEJZOAKDIACEFHLABDEGMN $.
    $( $j usage 'ax12w' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)
  $}

  $( Degenerate instance of ~ ax-12 where bundled variables ` x ` and ` y `
     have a common substitution.  Uses only Tarski's FOL axiom schemes.
     (Contributed by NM, 13-Apr-2017.) $)
  ax12dgen $p |- ( x = x -> ( A. x ph -> A. x ( x = x -> ph ) ) ) $=
    ( wal weq wi ala1 a1i ) ABCBBDZAEBCEHAHBFG $.
  $( $j usage 'ax12dgen' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)

  ${
    $d x y z w v $.
    $( Example of an application of ~ ax12w that results in an instance of
       ~ ax-12 for a contrived formula with mixed free and bound variables,
       ` ( x e. y /\ A. x z e. x /\ A. y A. z y e. x ) ` , in place of ` ph ` .
       The proof illustrates bound variable renaming with ~ cbvalvw to obtain
       fresh variables to avoid distinct variable clashes.  Uses only Tarski's
       FOL axiom schemes.  (Contributed by NM, 14-Apr-2017.) $)
    ax12wdemo $p |- ( x = y
              -> ( A. y ( x e. y /\ A. x z e. x /\ A. y A. z y e. x )
     -> A. x ( x = y -> ( x e. y /\ A. x z e. x /\ A. y A. z y e. x ) ) ) ) $=
      ( vw vv wel wal w3a weq elequ1 elequ2 cbvalvw a1i albidv syl5bb 3anbi123d
      wb 3anbi13d ax12w ) ABFZCAFZAGZBAFZCGZBGZHBBFZCDFZDGZEBFZCGZEGZHAEFZUBEAF
      ZCGZEGZHABEABIZTUFUBUHUEUKABBJUBUHQUPUAUGADADCKLMUEUOUPUKUDUNBEBEIZUCUMCB
      EAJNLZUPUNUJEUPUMUICABEKNNOPUQTULUEUOUBBEAKUEUOQUQURMRS $.
    $( $j usage 'ax12wdemo' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)
  $}

  ${
    $d x y $.  $d x z $.
    $( Weak version (principal instance) of ~ ax-13 .  (Because ` y ` and ` z `
       don't need to be distinct, this actually bundles the principal instance
       and the degenerate instance
       ` ( -. x = y -> ( y = y -> A. x y = y ) ) ` .)  Uses only Tarski's FOL
       axiom schemes.  The proof is trivial but is included to complete the set
       ~ ax10w , ~ ax11w , and ~ ax12w .  (Contributed by NM, 10-Apr-2017.) $)
    ax13w $p |- ( -. x = y -> ( y = z -> A. x y = z ) ) $=
      ( weq wn ax5d ) ABDEBCDAF $.
    $( $j usage 'ax13w' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
       'ax-13'; $)
  $}

  $( Degenerate instance of ~ ax-13 where bundled variables ` x ` and ` y `
     have a common substitution.  Uses only Tarski's FOL axiom schemes.
     (Contributed by NM, 13-Apr-2017.) $)
  ax13dgen1 $p |- ( -. x = x -> ( x = z -> A. x x = z ) ) $=
    ( weq wal wi equid pm2.24i ) AACABCZHADEAFG $.
  $( $j usage 'ax13dgen1' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
     'ax-13'; $)

  $( Degenerate instance of ~ ax-13 where bundled variables ` x ` and ` z `
     have a common substitution.  Uses only Tarski's FOL axiom schemes.
     (Contributed by NM, 13-Apr-2017.) $)
  ax13dgen2 $p |- ( -. x = y -> ( y = x -> A. x y = x ) ) $=
    ( weq wn wal equcomi pm2.21 syl5 ) BACZABCZJDIAEZBAFJKGH $.
  $( $j usage 'ax13dgen2' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
     'ax-13'; $)

  $( Degenerate instance of ~ ax-13 where bundled variables ` y ` and ` z `
     have a common substitution.  Uses only Tarski's FOL axiom schemes.
     (Contributed by NM, 13-Apr-2017.) $)
  ax13dgen3 $p |- ( -. x = y -> ( y = y -> A. x y = y ) ) $=
    ( weq wal wn equid ax-gen 2a1i ) BBCZADABCEIIABFGH $.
  $( $j usage 'ax13dgen3' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
     'ax-13'; $)

  $( Degenerate instance of ~ ax-13 where bundled variables ` x ` , ` y ` , and
     ` z ` have a common substitution.  Therefore, also a degenerate instance
     of ~ ax13dgen1 , ~ ax13dgen2 , and ~ ax13dgen3 .  Also an instance of the
     intuitionistic tautology ~ pm2.21 .  Uses only Tarski's FOL axiom schemes.
     (Contributed by NM, 13-Apr-2017.)  Reduce axiom usage.  (Revised by Wolf
     Lammen, 10-Oct-2021.) $)
  ax13dgen4 $p |- ( -. x = x -> ( x = x -> A. x x = x ) ) $=
    ( weq wal pm2.21 ) AABZEACD $.
  $( $j usage 'ax13dgen4' avoids 'ax-8' 'ax-9' 'ax-10' 'ax-11' 'ax-12'
     'ax-13'; $)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Predicate calculus with equality:  Auxiliary axiom schemes (4 schemes)
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  In this section we introduce four additional schemes ~ ax-10 , ~ ax-11 ,
  ~ ax-12 , and ~ ax-13 that are not part of Tarski's system but can be proved
  (outside of Metamath) as theorem schemes of Tarski's system.  These are
  needed to give our system the property of "scheme completeness", which
  means that we can prove (with Metamath) all possible theorem schemes
  expressible in our language of wff metavariables ranging over object-language
  wffs, and setvar variables ranging over object-language individual variables.

  To show that these schemes are valid metatheorems of Tarski's system S2,
  above we proved from Tarski's system theorems ~ ax10w , ~ ax11w , ~ ax12w ,
  and ~ ax13w , which show that any object-language instance of these schemes
  (emulated by having no wff metavariables and requiring all setvar variables
  to be mutually distinct) can be proved using only the schemes in Tarski's
  system S2.

  An open problem is to show that these four additional schemes are mutually
  _metalogically_ independent and metalogically independent from Tarski's.  So
  far, independence of ~ ax-12 from all others has been shown, and
  independence of Tarski's ~ ax-6 from all others has been shown; see
  items 9a and 11 on ~ https://us.metamath.org/award2003.html .

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Axiom scheme ax-10 (Quantified Negation)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Axiom of Quantified Negation.  Axiom C5-2 of [Monk2] p. 113.  This axiom
     scheme is logically redundant (see ~ ax10w ) but is used as an auxiliary
     axiom scheme to achieve scheme completeness.  It means that ` x ` is not
     free in ` -. A. x ph ` .  (Contributed by NM, 21-May-2008.)  Use its alias
     ~ hbn1 instead if you must use it.  Any theorem in first-order logic (FOL)
     that contains only set variables that are all mutually distinct, and has
     no wff variables, can be proved *without* using ~ ax-10 through ~ ax-13 ,
     by invoking ~ ax10w through ~ ax13w .  We encourage proving theorems
     *without* ~ ax-10 through ~ ax-13 and moving them up to the ~ ax-4 through
     ~ ax-9 section.  (New usage is discouraged.) $)
  ax-10 $a |- ( -. A. x ph -> A. x -. A. x ph ) $.

  $( Alias for ~ ax-10 to be used instead of it.  (Contributed by NM,
     24-Jan-1993.)  (Proof shortened by Wolf Lammen, 18-Aug-2014.) $)
  hbn1 $p |- ( -. A. x ph -> A. x -. A. x ph ) $=
    ( ax-10 ) ABC $.

  $( The setvar ` x ` is not free in ` E. x ph ` .  Corresponds to the axiom
     (5) of modal logic (see also ~ modal5 ).  (Contributed by NM,
     24-Jan-1993.) $)
  hbe1 $p |- ( E. x ph -> A. x E. x ph ) $=
    ( wex wn wal df-ex hbn1 hbxfrbi ) ABCADZBEDBABFIBGH $.

  $( Dual statement of ~ hbe1 .  Modified version of ~ axc7e with a universally
     quantified consequent.  (Contributed by Wolf Lammen, 15-Sep-2021.) $)
  hbe1a $p |- ( E. x A. x ph -> A. x ph ) $=
    ( wal wex wn df-ex hbn1 con1i sylbi ) ABCZBDJEBCZEJJBFJKABGHI $.

  $( One direction of ~ nf5 can be proved with a smaller footprint on axiom
     usage.  (Contributed by Wolf Lammen, 16-Sep-2021.) $)
  nf5-1 $p |- ( A. x ( ph -> A. x ph ) -> F/ x ph ) $=
    ( wal wi wex exim hbe1a syl6 nfd ) AABCZDBCZABKABEJBEJAJBFABGHI $.

  ${
    nf5i.1 $e |- ( ph -> A. x ph ) $.
    $( Deduce that ` x ` is not free in ` ph ` from the definition.
       (Contributed by Mario Carneiro, 11-Aug-2016.) $)
    nf5i $p |- F/ x ph $=
      ( wal wi wnf nf5-1 mpg ) AABDEABFBABGCH $.
  $}

  ${
    nf5dh.1 $e |- ( ph -> A. x ph ) $.
    nf5dh.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduce that ` x ` is not free in ` ps ` in a context.  (Contributed by
       Mario Carneiro, 24-Sep-2016.) ~ df-nf changed.  (Revised by Wolf Lammen,
       11-Oct-2021.) $)
    nf5dh $p |- ( ph -> F/ x ps ) $=
      ( wal wi wnf alrimih nf5-1 syl ) ABBCFGZCFBCHALCDEIBCJK $.
  $}

  ${
    $d x ph $.
    nf5dv.1 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Apply the definition of not-free in a context.  (Contributed by Mario
       Carneiro, 11-Aug-2016.) ~ df-nf changed.  (Revised by Wolf Lammen,
       18-Sep-2021.)  (Proof shortened by Wolf Lammen, 13-Jul-2022.) $)
    nf5dv $p |- ( ph -> F/ x ps ) $=
      ( ax-5 nf5dh ) ABCACEDF $.
  $}

  ${
    $d x y $.
    $( All variables are effectively bound in a distinct variable specifier.
       Version of ~ nfnae with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by Mario Carneiro, 11-Aug-2016.)
       (Revised by Gino Giotto, 10-Jan-2024.)  (Proof shortened by Wolf Lammen,
       25-Sep-2024.) $)
    nfnaew $p |- F/ z -. A. x x = y $=
      ( weq wal wn hbnaev nf5i ) ABDAEFCABCGH $.

    $( Obsolete version of ~ nfnaew as of 25-Sep-2024.  (Contributed by Mario
       Carneiro, 11-Aug-2016.)  (Revised by Gino Giotto, 10-Jan-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    nfnaewOLD $p |- F/ z -. A. x x = y $=
      ( weq wal hbaev nf5i nfn ) ABDAEZCICABCFGH $.
  $}

  $( The setvar ` x ` is not free in ` E. x ph ` .  (Contributed by Mario
     Carneiro, 11-Aug-2016.) $)
  nfe1 $p |- F/ x E. x ph $=
    ( wex hbe1 nf5i ) ABCBABDE $.

  $( The setvar ` x ` is not free in ` A. x ph ` .  (Contributed by Mario
     Carneiro, 11-Aug-2016.) ~ df-nf changed.  (Revised by Wolf Lammen,
     11-Sep-2021.)  Remove dependency on ~ ax-12 .  (Revised by Wolf Lammen,
     12-Oct-2021.) $)
  nfa1 $p |- F/ x A. x ph $=
    ( wal wn wex alex nfe1 nfn nfxfr ) ABCADZBEZDBABFKBJBGHI $.

  $( A convenience theorem particularly designed to remove dependencies on
     ~ ax-11 in conjunction with distinctors.  (Contributed by Wolf Lammen,
     2-Sep-2018.) $)
  nfna1 $p |- F/ x -. A. x ph $=
    ( wal nfa1 nfn ) ABCBABDE $.

  $( Lemma 23 of [Monk2] p. 114.  (Contributed by Mario Carneiro,
     24-Sep-2016.) $)
  nfia1 $p |- F/ x ( A. x ph -> A. x ps ) $=
    ( wal nfa1 nfim ) ACDBCDCACEBCEF $.

  $( The setvar ` x ` is not free in ` F/ x ph ` .  (Contributed by Mario
     Carneiro, 11-Aug-2016.)  Remove dependency on ~ ax-12 .  (Revised by Wolf
     Lammen, 12-Oct-2021.) $)
  nfnf1 $p |- F/ x F/ x ph $=
    ( wnf wex wal wi df-nf nfe1 nfa1 nfim nfxfr ) ABCABDZABEZFBABGLMBABHABIJK
    $.

  $( The analogue in our predicate calculus of axiom (5) of modal logic S5.
     See also ~ hbe1 .  (Contributed by NM, 5-Oct-2005.) $)
  modal5 $p |- ( -. A. x -. ph -> A. x -. A. x -. ph ) $=
    ( wn hbn1 ) ACBD $.

  ${
    $d x y $.
    $( The setvar ` x ` is not free in ` [ y / x ] ph ` when ` x ` and ` y `
       are distinct.  (Contributed by Mario Carneiro, 11-Aug-2016.)  Shorten
       ~ nfs1v and ~ hbs1 combined.  (Revised by Wolf Lammen, 28-Jul-2022.) $)
    nfs1v $p |- F/ x [ y / x ] ph $=
      ( wsb weq wi wal sb6 nfa1 nfxfr ) ABCDBCEAFZBGBABCHKBIJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Axiom scheme ax-11 (Quantifier Commutation)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Axiom of Quantifier Commutation.  This axiom says universal quantifiers
     can be swapped.  Axiom scheme C6' in [Megill] p. 448 (p. 16 of the
     preprint).  Also appears as Lemma 12 of [Monk2] p. 109 and Axiom C5-3 of
     [Monk2] p. 113.  This axiom scheme is logically redundant (see ~ ax11w )
     but is used as an auxiliary axiom scheme to achieve metalogical
     completeness.  (Contributed by NM, 12-Mar-1993.) $)
  ax-11 $a |- ( A. x A. y ph -> A. y A. x ph ) $.

  ${
    alcoms.1 $e |- ( A. x A. y ph -> ps ) $.
    $( Swap quantifiers in an antecedent.  (Contributed by NM, 11-May-1993.) $)
    alcoms $p |- ( A. y A. x ph -> ps ) $=
      ( wal ax-11 syl ) ACFDFADFCFBADCGEH $.
  $}

  $( Theorem 19.5 of [Margaris] p. 89.  (Contributed by NM, 30-Jun-1993.) $)
  alcom $p |- ( A. x A. y ph <-> A. y A. x ph ) $=
    ( wal ax-11 impbii ) ACDBDABDCDABCEACBEF $.

  $( Theorem *11.21 in [WhiteheadRussell] p. 160.  (Contributed by Andrew
     Salmon, 24-May-2011.) $)
  alrot3 $p |- ( A. x A. y A. z ph <-> A. y A. z A. x ph ) $=
    ( wal alcom albii bitri ) ADEZCEBEIBEZCEABEDEZCEIBCFJKCABDFGH $.

  $( Rotate four universal quantifiers twice.  (Contributed by NM, 2-Feb-2005.)
     (Proof shortened by Fan Zheng, 6-Jun-2016.) $)
  alrot4 $p |- ( A. x A. y A. z A. w ph <-> A. z A. w A. x A. y ph ) $=
    ( wal alrot3 albii bitri ) AEFDFCFZBFACFZEFDFZBFKBFEFDFJLBACDEGHKBDEGI $.

  ${
    $d w x y $.  $d w x z $.  $d w ph $.
    $( Move universal quantifier in and out of substitution.  (Contributed by
       NM, 16-May-1993.)  (Proof shortened by Wolf Lammen, 29-Sep-2018.)
       Reduce dependencies on axioms.  (Revised by Steven Nguyen,
       13-Aug-2023.) $)
    sbal $p |- ( [ z / y ] A. x ph <-> A. x [ z / y ] ph ) $=
      ( vw weq wi wal wsb alcom 19.21v albii bitr3i imbi2i df-sb 3bitr4i ) EDFZ
      CEFZAGZCHZGZBHZEHZUAEHZBHABHZCDIZACDIZBHUAEBJQRUEGZCHZGZEHQTBHZGZEHUFUCUJ
      ULEUIUKQUISBHZCHUKUMUHCRABKLSCBJMNLUECEDOUBULEQTBKLPUGUDBACEDOLP $.
  $}

  ${
    $d x z $.  $d y z $.
    sbalv.1 $e |- ( [ y / x ] ph <-> ps ) $.
    $( Quantify with new variable inside substitution.  (Contributed by NM,
       18-Aug-1993.) $)
    sbalv $p |- ( [ y / x ] A. z ph <-> A. z ps ) $=
      ( wal wsb sbal albii bitri ) AEGCDHACDHZEGBEGAECDILBEFJK $.
  $}

  ${
    $d x z $.  $d u v x w $.  $d u v y z $.  $d u v ph $.
    $( Commutativity law for substitution.  Used in proof of Theorem 9.7 of
       [Megill] p. 449 (p. 16 of the preprint).  (Contributed by NM,
       27-May-1997.)  (Proof shortened by Wolf Lammen, 23-Dec-2022.) $)
    sbcom2 $p |- ( [ w / z ] [ y / x ] ph <-> [ y / x ] [ w / z ] ph ) $=
      ( vv vu weq wsb wb wi wal 2sb6 alcom ancomst sbequ sbbidv ax6ev exlimiiv
      wa 2albii 3bitri bitr4i bitr3id sylan9bb sylan9bbr bitr3d ex ) FEHZABCIZD
      EIZADEIZBCIZJZFGCHZUIUNKGUOUIUNUOUITADFIZBGIZUKUMUOUQUJDFIZUIUKUQABGIZDFI
      ZUOURUTBGHZDFHZTAKZDLBLZUQUTVBVATAKZBLDLVEDLBLVDADBFGMVEDBNVEVCBDVBVAAOUA
      UBABDGFMUCUOUSUJDFAGCBPQUDUJFEDPUEUIUQULBGIUOUMUIUPULBGAFEDPQULGCBPUFUGUH
      GCRSFERS $.
  $}

  $( Theorem 19.11 of [Margaris] p. 89.  (Contributed by NM, 5-Aug-1993.)
     Remove dependencies on ~ ax-5 , ~ ax-6 , ~ ax-7 , ~ ax-10 , ~ ax-12 .
     (Revised by Wolf Lammen, 8-Jan-2018.)  (Proof shortened by Wolf Lammen,
     22-Aug-2020.) $)
  excom $p |- ( E. x E. y ph <-> E. y E. x ph ) $=
    ( wn wal wex alcom notbii 2exnaln 3bitr4i ) ADZCEBEZDKBECEZDACFBFABFCFLMKBC
    GHABCIACBIJ $.
  $( $j usage 'excom' avoids 'ax-5' 'ax-6' 'ax-7' 'ax-10' 'ax-12' 'ax-13'; $)

  $( One direction of Theorem 19.11 of [Margaris] p. 89.  (Contributed by NM,
     5-Aug-1993.)  (Revised by Mario Carneiro, 24-Sep-2016.)  Remove
     dependencies on ~ ax-5 , ~ ax-6 , ~ ax-7 , ~ ax-10 , ~ ax-12 .  (Revised
     by Wolf Lammen, 8-Jan-2018.) $)
  excomim $p |- ( E. x E. y ph -> E. y E. x ph ) $=
    ( wex excom biimpi ) ACDBDABDCDABCEF $.
  $( $j usage 'excomim' avoids 'ax-5' 'ax-6' 'ax-7' 'ax-10' 'ax-12' 'ax-13'; $)

  $( Swap 1st and 3rd existential quantifiers.  (Contributed by NM,
     9-Mar-1995.) $)
  excom13 $p |- ( E. x E. y E. z ph <-> E. z E. y E. x ph ) $=
    ( wex excom exbii 3bitri ) ADEZCEBEIBEZCEABEZDEZCEKCEDEIBCFJLCABDFGKCDFH $.

  $( Rotate existential quantifiers.  (Contributed by NM, 17-Mar-1995.) $)
  exrot3 $p |- ( E. x E. y E. z ph <-> E. y E. z E. x ph ) $=
    ( wex excom13 excom bitri ) ADECEBEABEZCEDEIDECEABCDFIDCGH $.

  $( Rotate existential quantifiers twice.  (Contributed by NM, 9-Mar-1995.) $)
  exrot4 $p |- ( E. x E. y E. z E. w ph <-> E. z E. w E. x E. y ph ) $=
    ( wex excom13 exbii bitri ) AEFDFCFZBFACFZDFEFZBFKBFEFDFJLBACDEGHKBEDGI $.

  ${
    hbal.1 $e |- ( ph -> A. x ph ) $.
    $( If ` x ` is not free in ` ph ` , it is not free in ` A. y ph ` .
       (Contributed by NM, 12-Mar-1993.) $)
    hbal $p |- ( A. y ph -> A. x A. y ph ) $=
      ( wal alimi ax-11 syl ) ACEZABEZCEIBEAJCDFACBGH $.
  $}

  ${
    hbald.1 $e |- ( ph -> A. y ph ) $.
    hbald.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hbal .
       (Contributed by NM, 2-Jan-2002.) $)
    hbald $p |- ( ph -> ( A. y ps -> A. x A. y ps ) ) $=
      ( wal alimdh ax-11 syl6 ) ABDGZBCGZDGKCGABLDEFHBDCIJ $.
  $}

  ${
    $d x z w $.  $d y z w $.  $d ph w $.
    hbsbw.1 $e |- ( ph -> A. z ph ) $.
    $( If ` z ` is not free in ` ph ` , it is not free in ` [ y / x ] ph ` when
       ` y ` and ` z ` are distinct.  Version of ~ hbsb with a disjoint
       variable condition, which requires fewer axioms.  (Contributed by NM,
       12-Aug-1993.)  (Revised by Gino Giotto, 23-May-2024.) $)
    hbsbw $p |- ( [ y / x ] ph -> A. z [ y / x ] ph ) $=
      ( vw wsb weq wal df-sb imim2i alimi 19.21v biimpri ax-11 3syl sylibr hbal
      wi hbxfrbi ) ABCGFCHZBFHZASZBIZSZFIDABFCJUEDFUEUAUDDIZSUEDIUDUFUAUDUBADIZ
      SZBIUCDIZBIUFUCUHBAUGUBEKLUHUIBUIUHUBADMNLUCBDOPKUAUDDMQRT $.
    $( $j usage 'hbsbw' avoids 'ax-6' 'ax-7' 'ax-10' 'ax-12' 'ax-13'; $)
  $}

  $( Lemma 24 of [Monk2] p. 114.  (Contributed by Mario Carneiro, 24-Sep-2016.)
     Remove dependency on ~ ax-12 .  (Revised by Wolf Lammen, 18-Oct-2021.) $)
  nfa2 $p |- F/ x A. y A. x ph $=
    ( wal alcom nfa1 nfxfr ) ABDCDACDZBDBACBEHBFG $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Axiom scheme ax-12 (Substitution)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Axiom of Substitution.  One of the 5 equality axioms of predicate
     calculus.  The final consequent ` A. x ( x = y -> ph ) ` is a way of
     expressing " ` y ` substituted for ` x ` in wff ` ph ` " (cf. ~ sb6 ).  It
     is based on Lemma 16 of [Tarski] p. 70 and Axiom C8 of [Monk2] p. 105,
     from which it can be proved by cases.

     The original version of this axiom was ~ ax-c15 and was replaced with this
     shorter ~ ax-12 in Jan. 2007.  The old axiom is proved from this one as
     Theorem ~ axc15 .  Conversely, this axiom is proved from ~ ax-c15 as
     Theorem ~ ax12 .

     Juha Arpiainen proved the metalogical independence of this axiom (in the
     form of the older axiom ~ ax-c15 ) from the others on 19-Jan-2006.  See
     item 9a at ~ https://us.metamath.org/award2003.html .

     See ~ ax12v and ~ ax12v2 for other equivalents of this axiom that (unlike
     this axiom) have distinct variable restrictions.

     This axiom scheme is logically redundant (see ~ ax12w ) but is used as an
     auxiliary axiom scheme to achieve scheme completeness.  (Contributed by
     NM, 22-Jan-2007.)  (New usage is discouraged.) $)
  ax-12 $a |- ( x = y -> ( A. y ph -> A. x ( x = y -> ph ) ) ) $.

  ${
    $d x y $.  $d y ph $.
    $( This is essentially Axiom ~ ax-12 weakened by additional restrictions on
       variables.  Besides ~ axc11r , this theorem should be the only one
       referencing ~ ax-12 directly.

       Both restrictions on variables have their own value.  If for a moment we
       assume ` x ` could be set to ` y ` , then, after elimination of the
       tautology ` y = y ` , immediately we have ` ph -> A. y ph ` for all
       ` ph ` and ` y ` , that is ~ ax-5 , a degenerate result.

       The second restriction is not necessary, but a simplification that makes
       the following interpretation easier to see.  Since ` ph ` textually at
       most depends on ` x ` , we can look at it at some given 'fixed' ` y ` .
       This theorem now states that the truth value of ` ph ` will stay
       constant, as long as we 'vary ` x ` around ` y ` ' only such that
       ` x = y ` still holds.  Or in other words, equality is the finest
       grained logical expression.  If you cannot differ two sets by ` = ` ,
       you won't find a whatever sophisticated expression that does.  One might
       wonder how the described variation of ` x ` is possible at all.  Note
       that Metamath is a text processor that easily sees a difference between
       text chunks ` { x | -. x = x } ` and ` { y | -. y = y } ` .  Our usual
       interpretation is to abstract from textual variations of the same set,
       but we are free to interpret Metamath's formalism differently, and in
       fact let ` x ` run through all textual representations of sets.

       Had we allowed ` ph ` to depend also on ` y ` , this idea is both harder
       to see, and it is less clear that this extra freedom introduces effects
       not covered by other axioms.  (Contributed by Wolf Lammen,
       8-Aug-2020.) $)
    ax12v $p |- ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) $=
      ( wal weq wi ax-5 ax-12 syl5 ) AACDBCEZJAFBDACGABCHI $.
  $}

  ${
    $d x y z $.  $d z ph $.
    $( It is possible to remove any restriction on ` ph ` in ~ ax12v .  Same as
       Axiom C8 of [Monk2] p. 105.  Use ~ ax12v instead when sufficient.
       (Contributed by NM, 5-Aug-1993.)  Remove dependencies on ~ ax-10 and
       ~ ax-13 .  (Revised by Jim Kingdon, 15-Dec-2017.)  (Proof shortened by
       Wolf Lammen, 8-Dec-2019.) $)
    ax12v2 $p |- ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) $=
      ( vz weq wi wal equtrr ax12v imim1d alimdv syl9r syld ax6evr exlimiiv ) C
      DEZBCEZAQAFZBGZFZFDPQBDEZTCDBHZUAAUAAFZBGPSABDIPUCRBPQUAAUBJKLMDCNO $.
    $( $j usage 'ax12v2' avoids 'ax-10' 'ax-11' 'ax-13'; $)
  $}

  ${
    $d x y $.  $d y ph $.
    $( If a wff is true, it is true for at least one instance.  Special case of
       Theorem 19.8 of [Margaris] p. 89.  See ~ 19.8v for a version with a
       disjoint variable condition requiring fewer axioms.  (Contributed by NM,
       9-Jan-1993.)  Allow a shortening of ~ sp .  (Revised by Wolf Lammen,
       13-Jan-2018.)  (Proof shortened by Wolf Lammen, 8-Dec-2019.) $)
    19.8a $p |- ( ph -> E. x ph ) $=
      ( vy weq wex wi wal ax12v alequexv syl6 ax6evr exlimiiv ) BCDZAABEZFCMAMA
      FBGNABCHABCIJCBKL $.
  $}

  ${
    19.8ad.1 $e |- ( ph -> ps ) $.
    $( If a wff is true, it is true for at least one instance.  Deduction form
       of ~ 19.8a .  (Contributed by DAW, 13-Feb-2017.) $)
    19.8ad $p |- ( ph -> E. x ps ) $=
      ( wex 19.8a syl ) ABBCEDBCFG $.
  $}

  $( Specialization.  A universally quantified wff implies the wff without a
     quantifier.  Axiom scheme B5 of [Tarski] p. 67 (under his system S2,
     defined in the last paragraph on p. 77).  Also appears as Axiom scheme C5'
     in [Megill] p. 448 (p. 16 of the preprint).  This corresponds to the axiom
     (T) of modal logic.

     For the axiom of specialization presented in many logic textbooks, see
     Theorem ~ stdpc4 .

     This theorem shows that our obsolete axiom ~ ax-c5 can be derived from the
     others.  The proof uses ideas from the proof of Lemma 21 of [Monk2]
     p. 114.

     It appears that this scheme cannot be derived directly from Tarski's
     axioms without auxiliary axiom scheme ~ ax-12 .  It is thought the best we
     can do using only Tarski's axioms is ~ spw .  Also see ~ spvw where ` x `
     and ` ph ` are disjoint, using fewer axioms.  (Contributed by NM,
     21-May-2008.)  (Proof shortened by Scott Fenton, 24-Jan-2011.)  (Proof
     shortened by Wolf Lammen, 13-Jan-2018.) $)
  sp $p |- ( A. x ph -> ph ) $=
    ( wal wn wex alex 19.8a con1i sylbi ) ABCADZBEZDAABFAKJBGHI $.

  ${
    spi.1 $e |- A. x ph $.
    $( Inference rule of universal instantiation, or universal specialization.
       Converse of the inference rule of (universal) generalization ~ ax-gen .
       Contrary to the rule of generalization, its closed form is valid, see
       ~ sp .  (Contributed by NM, 5-Aug-1993.) $)
    spi $p |- ph $=
      ( wal sp ax-mp ) ABDACABEF $.
  $}

  ${
    sps.1 $e |- ( ph -> ps ) $.
    $( Generalization of antecedent.  (Contributed by NM, 5-Jan-1993.) $)
    sps $p |- ( A. x ph -> ps ) $=
      ( wal sp syl ) ACEABACFDG $.
  $}

  $( A double specialization (see ~ sp ).  Another double specialization,
     closer to PM*11.1, is ~ 2stdpc4 .  (Contributed by BJ, 15-Sep-2018.) $)
  2sp $p |- ( A. x A. y ph -> ph ) $=
    ( wal sp sps ) ACDABACEF $.

  ${
    spsd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction generalizing antecedent.  (Contributed by NM, 17-Aug-1994.) $)
    spsd $p |- ( ph -> ( A. x ps -> ch ) ) $=
      ( wal sp syl5 ) BDFBACBDGEH $.
  $}

  $( Theorem 19.2 of [Margaris] p. 89, generalized to use two setvar variables.
     Use ~ 19.2 when sufficient.  (Contributed by Mel L. O'Cat,
     31-Mar-2008.) $)
  19.2g $p |- ( A. x ph -> E. y ph ) $=
    ( wex 19.8a sps ) AACDBACEF $.

  ${
    19.21bi.1 $e |- ( ph -> A. x ps ) $.
    $( Inference form of ~ 19.21 and also deduction form of ~ sp .
       (Contributed by NM, 26-May-1993.) $)
    19.21bi $p |- ( ph -> ps ) $=
      ( wal sp syl ) ABCEBDBCFG $.
  $}

  ${
    19.21bbi.1 $e |- ( ph -> A. x A. y ps ) $.
    $( Inference removing two universal quantifiers.  Version of ~ 19.21bi with
       two quantifiers.  (Contributed by NM, 20-Apr-1994.) $)
    19.21bbi $p |- ( ph -> ps ) $=
      ( wal 19.21bi ) ABDABDFCEGG $.
  $}

  ${
    19.23bi.1 $e |- ( E. x ph -> ps ) $.
    $( Inference form of Theorem 19.23 of [Margaris] p. 90, see ~ 19.23 .
       (Contributed by NM, 12-Mar-1993.) $)
    19.23bi $p |- ( ph -> ps ) $=
      ( wex 19.8a syl ) AACEBACFDG $.
  $}

  ${
    nexr.1 $e |- -. E. x ph $.
    $( Inference associated with the contrapositive of ~ 19.8a .  (Contributed
       by Jeff Hankins, 26-Jul-2009.) $)
    nexr $p |- -. ph $=
      ( wex 19.8a mto ) AABDCABEF $.
  $}

  $( Quantified excluded middle (see ~ exmid ).  Also known as the drinker
     paradox (if ` ph ( x ) ` is interpreted as " ` x ` drinks", then this
     theorem tells that there exists a person such that, if this person drinks,
     then everyone drinks).  Exercise 9.2a of Boolos, p. 111, _Computability
     and Logic_.  (Contributed by NM, 10-Dec-2000.) $)
  qexmid $p |- E. x ( ph -> A. x ph ) $=
    ( wal 19.8a 19.35ri ) AABCZBFBDE $.

  $( Consequence of the definition of not-free.  (Contributed by Mario
     Carneiro, 26-Sep-2016.) ~ df-nf changed.  (Revised by Wolf Lammen,
     11-Sep-2021.)  (Proof shortened by Wolf Lammen, 23-Nov-2023.) $)
  nf5r $p |- ( F/ x ph -> ( ph -> A. x ph ) ) $=
    ( wex wnf wal 19.8a id nfrd syl5 ) AABCABDZABEABFJABJGHI $.

  $( Obsolete version of ~ nfrd as of 23-Nov-2023.  (Contributed by Mario
     Carneiro, 26-Sep-2016.) ~ df-nf changed.  (Revised by Wolf Lammen,
     11-Sep-2021.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  nf5rOLD $p |- ( F/ x ph -> ( ph -> A. x ph ) ) $=
    ( wex wnf wal 19.8a wi df-nf biimpi syl5 ) AABCZABDZABEZABFLKMGABHIJ $.

  ${
    nf5ri.1 $e |- F/ x ph $.
    $( Consequence of the definition of not-free.  (Contributed by Mario
       Carneiro, 11-Aug-2016.)  (Proof shortened by Wolf Lammen,
       15-Mar-2023.) $)
    nf5ri $p |- ( ph -> A. x ph ) $=
      ( wal nfri 19.23bi ) AABDBABCEF $.
  $}

  ${
    nf5rd.1 $e |- ( ph -> F/ x ps ) $.
    $( Consequence of the definition of not-free in a context.  (Contributed by
       Mario Carneiro, 11-Aug-2016.) $)
    nf5rd $p |- ( ph -> ( ps -> A. x ps ) ) $=
      ( wnf wal wi nf5r syl ) ABCEBBCFGDBCHI $.
  $}

  ${
    $d x y $.
    spimedv.1 $e |- ( ch -> F/ x ph ) $.
    spimedv.2 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Deduction version of ~ spimev .  Version of ~ spimed with a disjoint
       variable condition, which does not require ~ ax-13 .  See ~ spime for a
       non-deduction version.  (Contributed by NM, 14-May-1993.)  (Revised by
       BJ, 31-May-2019.) $)
    spimedv $p |- ( ch -> ( ph -> E. x ps ) ) $=
      ( wal wex nf5rd weq wi ax6ev eximii 19.35i syl6 ) CAADHBDICADFJABDDEKABLD
      DEMGNOP $.
  $}

  ${
    $d x y $.
    spimefv.1 $e |- F/ x ph $.
    spimefv.2 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Version of ~ spime with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by BJ, 31-May-2019.) $)
    spimefv $p |- ( ph -> E. x ps ) $=
      ( wex wi wtru wnf a1i spimedv mptru ) ABCGHABICDACJIEKFLM $.
  $}

  ${
    nfim1.1 $e |- F/ x ph $.
    nfim1.2 $e |- ( ph -> F/ x ps ) $.
    $( A closed form of ~ nfim .  (Contributed by NM, 2-Jun-1993.)  (Revised by
       Mario Carneiro, 24-Sep-2016.)  (Proof shortened by Wolf Lammen,
       2-Jan-2018.) ~ df-nf changed.  (Revised by Wolf Lammen, 18-Sep-2021.) $)
    nfim1 $p |- F/ x ( ph -> ps ) $=
      ( wal wn wo wi wnf nf3 mpbi nftht sps nfimd pm2.21 alimi syl jaoi ax-mp )
      ACFZAGZCFZHZABIZCJZACJUDDACKLUAUFUCUAABCACMABCJCENOUCUECFUFUBUECABPQUECMR
      ST $.

    $( A closed form of ~ nfan .  (Contributed by Mario Carneiro, 3-Oct-2016.)
       ~ df-nf changed.  (Revised by Wolf Lammen, 18-Sep-2021.)  (Proof
       shortened by Wolf Lammen, 7-Jul-2022.) $)
    nfan1 $p |- F/ x ( ph /\ ps ) $=
      ( wa wn wi df-an nfnd nfim1 nfn nfxfr ) ABFABGZHZGCABIOCANCDABCEJKLM $.
  $}

  $( Closed form of ~ 19.3 and version of ~ 19.9t with a universal quantifier.
     (Contributed by NM, 9-Nov-2020.)  (Proof shortened by BJ, 9-Oct-2022.) $)
  19.3t $p |- ( F/ x ph -> ( A. x ph <-> ph ) ) $=
    ( wnf wal sp nf5r impbid2 ) ABCABDAABEABFG $.

  ${
    19.3.1 $e |- F/ x ph $.
    $( A wff may be quantified with a variable not free in it.  Version of
       ~ 19.9 with a universal quantifier.  Theorem 19.3 of [Margaris] p. 89.
       See ~ 19.3v for a version requiring fewer axioms.  (Contributed by NM,
       12-Mar-1993.)  (Revised by Mario Carneiro, 24-Sep-2016.) $)
    19.3 $p |- ( A. x ph <-> ph ) $=
      ( wal sp nf5ri impbii ) ABDAABEABCFG $.
  $}

  ${
    19.9d.1 $e |- ( ps -> F/ x ph ) $.
    $( A deduction version of one direction of ~ 19.9 .  (Contributed by NM,
       14-May-1993.)  (Revised by Mario Carneiro, 24-Sep-2016.)  Revised to
       shorten other proofs.  (Revised by Wolf Lammen, 14-Jul-2020.) ~ df-nf
       changed.  (Revised by Wolf Lammen, 11-Sep-2021.)  (Proof shortened by
       Wolf Lammen, 8-Jul-2022.) $)
    19.9d $p |- ( ps -> ( E. x ph -> ph ) ) $=
      ( wex wal nfrd sp syl6 ) BACEACFABACDGACHI $.
  $}

  $( Closed form of ~ 19.9 and version of ~ 19.3t with an existential
     quantifier.  (Contributed by NM, 13-May-1993.)  (Revised by Mario
     Carneiro, 24-Sep-2016.)  (Proof shortened by Wolf Lammen, 14-Jul-2020.) $)
  19.9t $p |- ( F/ x ph -> ( E. x ph <-> ph ) ) $=
    ( wnf wex id 19.9d 19.8a impbid1 ) ABCZABDAAIBIEFABGH $.

  ${
    19.9.1 $e |- F/ x ph $.
    $( A wff may be existentially quantified with a variable not free in it.
       Version of ~ 19.3 with an existential quantifier.  Theorem 19.9 of
       [Margaris] p. 89.  See ~ 19.9v for a version requiring fewer axioms.
       (Contributed by FL, 24-Mar-2007.)  (Revised by Mario Carneiro,
       24-Sep-2016.)  (Proof shortened by Wolf Lammen, 30-Dec-2017.)  Revised
       to shorten other proofs.  (Revised by Wolf Lammen, 14-Jul-2020.) $)
    19.9 $p |- ( E. x ph <-> ph ) $=
      ( wnf wex wb 19.9t ax-mp ) ABDABEAFCABGH $.
  $}

  $( Closed form of Theorem 19.21 of [Margaris] p. 90, see ~ 19.21 .
     (Contributed by NM, 27-May-1997.)  (Revised by Mario Carneiro,
     24-Sep-2016.)  (Proof shortened by Wolf Lammen, 3-Jan-2018.) ~ df-nf
     changed.  (Revised by Wolf Lammen, 11-Sep-2021.)  (Proof shortened by BJ,
     3-Nov-2021.) $)
  19.21t $p |- ( F/ x ph -> ( A. x ( ph -> ps ) <-> ( ph -> A. x ps ) ) ) $=
    ( wnf wex wal wi 19.38a 19.9t imbi1d bitr3d ) ACDZACEZBCFZGABGCFANGABCHLMAN
    ACIJK $.

  ${
    19.21.1 $e |- F/ x ph $.
    $( Theorem 19.21 of [Margaris] p. 90.  The hypothesis can be thought of
       as " ` x ` is not free in ` ph ` ".  See ~ 19.21v for a version
       requiring fewer axioms.  See also ~ 19.21h .  (Contributed by NM,
       14-May-1993.)  (Revised by Mario Carneiro, 24-Sep-2016.) ~ df-nf
       changed.  (Revised by Wolf Lammen, 18-Sep-2021.) $)
    19.21 $p |- ( A. x ( ph -> ps ) <-> ( ph -> A. x ps ) ) $=
      ( wnf wi wal wb 19.21t ax-mp ) ACEABFCGABCGFHDABCIJ $.
  $}

  ${
    stdpc5.1 $e |- F/ x ph $.
    $( An axiom scheme of standard predicate calculus that emulates Axiom 5 of
       [Mendelson] p. 69.  The hypothesis ` F/ x ph ` can be thought of as
       emulating " ` x ` is not free in ` ph ` ".  With this definition, the
       meaning of "not free" is less restrictive than the usual textbook
       definition; for example ` x ` would not (for us) be free in ` x = x ` by
       ~ nfequid .  This theorem scheme can be proved as a metatheorem of
       Mendelson's axiom system, even though it is slightly stronger than his
       Axiom 5.  See ~ stdpc5v for a version requiring fewer axioms.
       (Contributed by NM, 22-Sep-1993.)  (Revised by Mario Carneiro,
       12-Oct-2016.)  (Proof shortened by Wolf Lammen, 1-Jan-2018.)  Remove
       dependency on ~ ax-10 .  (Revised by Wolf Lammen, 4-Jul-2021.)  (Proof
       shortened by Wolf Lammen, 11-Oct-2021.) $)
    stdpc5 $p |- ( A. x ( ph -> ps ) -> ( ph -> A. x ps ) ) $=
      ( wi wal 19.21 biimpi ) ABECFABCFEABCDGH $.
  $}

  ${
    19.21-2.1 $e |- F/ x ph $.
    19.21-2.2 $e |- F/ y ph $.
    $( Version of ~ 19.21 with two quantifiers.  (Contributed by NM,
       4-Feb-2005.) $)
    19.21-2 $p |- ( A. x A. y ( ph -> ps ) <-> ( ph -> A. x A. y ps ) ) $=
      ( wi wal 19.21 albii bitri ) ABGDHZCHABDHZGZCHAMCHGLNCABDFIJAMCEIK $.
  $}

  $( Closed form of Theorem 19.23 of [Margaris] p. 90.  See ~ 19.23 .
     (Contributed by NM, 7-Nov-2005.)  (Proof shortened by Wolf Lammen,
     13-Aug-2020.) ~ df-nf changed.  (Revised by Wolf Lammen, 11-Sep-2021.)
     (Proof shortened by BJ, 8-Oct-2022.) $)
  19.23t $p |- ( F/ x ps -> ( A. x ( ph -> ps ) <-> ( E. x ph -> ps ) ) ) $=
    ( wnf wex wal wi 19.38b 19.3t imbi2d bitr3d ) BCDZACEZBCFZGABGCFMBGABCHLNBM
    BCIJK $.

  ${
    19.23.1 $e |- F/ x ps $.
    $( Theorem 19.23 of [Margaris] p. 90.  See ~ 19.23v for a version requiring
       fewer axioms.  (Contributed by NM, 24-Jan-1993.)  (Revised by Mario
       Carneiro, 24-Sep-2016.) $)
    19.23 $p |- ( A. x ( ph -> ps ) <-> ( E. x ph -> ps ) ) $=
      ( wnf wi wal wex wb 19.23t ax-mp ) BCEABFCGACHBFIDABCJK $.
  $}

  ${
    alimd.1 $e |- F/ x ph $.
    alimd.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction form of Theorem 19.20 of [Margaris] p. 90, see ~ alim .  See
       ~ alimdh , ~ alimdv for variants requiring fewer axioms.  (Contributed
       by Mario Carneiro, 24-Sep-2016.) $)
    alimd $p |- ( ph -> ( A. x ps -> A. x ch ) ) $=
      ( nf5ri alimdh ) ABCDADEGFH $.
  $}

  ${
    alrimi.1 $e |- F/ x ph $.
    alrimi.2 $e |- ( ph -> ps ) $.
    $( Inference form of Theorem 19.21 of [Margaris] p. 90, see ~ 19.21 .
       (Contributed by Mario Carneiro, 24-Sep-2016.) $)
    alrimi $p |- ( ph -> A. x ps ) $=
      ( nf5ri alrimih ) ABCACDFEG $.
  $}

  ${
    alrimdd.1 $e |- F/ x ph $.
    alrimdd.2 $e |- ( ph -> F/ x ps ) $.
    alrimdd.3 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction form of Theorem 19.21 of [Margaris] p. 90, see ~ 19.21 .
       (Contributed by Mario Carneiro, 24-Sep-2016.) $)
    alrimdd $p |- ( ph -> ( ps -> A. x ch ) ) $=
      ( wal nf5rd alimd syld ) ABBDHCDHABDFIABCDEGJK $.
  $}

  ${
    alrimd.1 $e |- F/ x ph $.
    alrimd.2 $e |- F/ x ps $.
    alrimd.3 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction form of Theorem 19.21 of [Margaris] p. 90, see ~ 19.21 .
       (Contributed by Mario Carneiro, 24-Sep-2016.) $)
    alrimd $p |- ( ph -> ( ps -> A. x ch ) ) $=
      ( wnf a1i alrimdd ) ABCDEBDHAFIGJ $.
  $}

  ${
    eximd.1 $e |- F/ x ph $.
    eximd.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction form of Theorem 19.22 of [Margaris] p. 90, see ~ exim .
       (Contributed by NM, 29-Jun-1993.)  (Revised by Mario Carneiro,
       24-Sep-2016.) $)
    eximd $p |- ( ph -> ( E. x ps -> E. x ch ) ) $=
      ( nf5ri eximdh ) ABCDADEGFH $.
  $}

  ${
    exlimi.1 $e |- F/ x ps $.
    exlimi.2 $e |- ( ph -> ps ) $.
    $( Inference associated with ~ 19.23 .  See ~ exlimiv for a version with a
       disjoint variable condition requiring fewer axioms.  (Contributed by NM,
       10-Jan-1993.)  (Revised by Mario Carneiro, 24-Sep-2016.) $)
    exlimi $p |- ( E. x ph -> ps ) $=
      ( wi wex 19.23 mpgbi ) ABFACGBFCABCDHEI $.
  $}

  ${
    exlimd.1 $e |- F/ x ph $.
    exlimd.2 $e |- F/ x ch $.
    exlimd.3 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction form of Theorem 19.9 of [Margaris] p. 89.  (Contributed by NM,
       23-Jan-1993.)  (Revised by Mario Carneiro, 24-Sep-2016.)  (Proof
       shortened by Wolf Lammen, 12-Jan-2018.) $)
    exlimd $p |- ( ph -> ( E. x ps -> ch ) ) $=
      ( wex eximd 19.9 syl6ib ) ABDHCDHCABCDEGICDFJK $.
  $}

  ${
    exlimdd.1 $e |- F/ x ph $.
    exlimdd.2 $e |- F/ x ch $.
    exlimdd.3 $e |- ( ph -> E. x ps ) $.
    ${
      exlimimdd.4 $e |- ( ph -> ( ps -> ch ) ) $.
      $( Existential elimination rule of natural deduction.  (Contributed by
         ML, 17-Jul-2020.)  Shorten ~ exlimdd .  (Revised by Wolf Lammen,
         3-Sep-2023.) $)
      exlimimdd $p |- ( ph -> ch ) $=
        ( wex exlimd mpd ) ABDICGABCDEFHJK $.
    $}

    ${
      exlimdd.4 $e |- ( ( ph /\ ps ) -> ch ) $.
      $( Existential elimination rule of natural deduction.  (Contributed by
         Mario Carneiro, 9-Feb-2017.)  (Proof shortened by Wolf Lammen,
         3-Sep-2023.) $)
      exlimdd $p |- ( ph -> ch ) $=
        ( ex exlimimdd ) ABCDEFGABCHIJ $.
    $}
  $}

  ${
    nexd.1 $e |- F/ x ph $.
    nexd.2 $e |- ( ph -> -. ps ) $.
    $( Deduction for generalization rule for negated wff.  (Contributed by
       Mario Carneiro, 24-Sep-2016.) $)
    nexd $p |- ( ph -> -. E. x ps ) $=
      ( nf5ri nexdh ) ABCACDFEG $.
  $}

  ${
    albid.1 $e |- F/ x ph $.
    albid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for universal quantifier (deduction form).
       (Contributed by Mario Carneiro, 24-Sep-2016.) $)
    albid $p |- ( ph -> ( A. x ps <-> A. x ch ) ) $=
      ( nf5ri albidh ) ABCDADEGFH $.

    $( Formula-building rule for existential quantifier (deduction form).
       (Contributed by Mario Carneiro, 24-Sep-2016.) $)
    exbid $p |- ( ph -> ( E. x ps <-> E. x ch ) ) $=
      ( nf5ri exbidh ) ABCDADEGFH $.

    $( An equality theorem for effectively not free.  (Contributed by Mario
       Carneiro, 4-Oct-2016.) ~ df-nf changed.  (Revised by Wolf Lammen,
       18-Sep-2021.) $)
    nfbidf $p |- ( ph -> ( F/ x ps <-> F/ x ch ) ) $=
      ( wex wal wi wnf exbid albid imbi12d df-nf 3bitr4g ) ABDGZBDHZICDGZCDHZIB
      DJCDJAPRQSABCDEFKABCDEFLMBDNCDNO $.
  $}

  ${
    19.16.1 $e |- F/ x ph $.
    $( Theorem 19.16 of [Margaris] p. 90.  (Contributed by NM, 12-Mar-1993.) $)
    19.16 $p |- ( A. x ( ph <-> ps ) -> ( ph <-> A. x ps ) ) $=
      ( wal wb 19.3 albi bitr3id ) AACEABFCEBCEACDGABCHI $.
  $}

  ${
    19.17.1 $e |- F/ x ps $.
    $( Theorem 19.17 of [Margaris] p. 90.  (Contributed by NM, 12-Mar-1993.) $)
    19.17 $p |- ( A. x ( ph <-> ps ) -> ( A. x ph <-> ps ) ) $=
      ( wb wal albi 19.3 bitrdi ) ABECFACFBCFBABCGBCDHI $.
  $}

  ${
    19.27.1 $e |- F/ x ps $.
    $( Theorem 19.27 of [Margaris] p. 90.  See ~ 19.27v for a version requiring
       fewer axioms.  (Contributed by NM, 21-Jun-1993.) $)
    19.27 $p |- ( A. x ( ph /\ ps ) <-> ( A. x ph /\ ps ) ) $=
      ( wa wal 19.26 19.3 anbi2i bitri ) ABECFACFZBCFZEKBEABCGLBKBCDHIJ $.
  $}

  ${
    19.28.1 $e |- F/ x ph $.
    $( Theorem 19.28 of [Margaris] p. 90.  See ~ 19.28v for a version requiring
       fewer axioms.  (Contributed by NM, 1-Aug-1993.) $)
    19.28 $p |- ( A. x ( ph /\ ps ) <-> ( ph /\ A. x ps ) ) $=
      ( wa wal 19.26 19.3 anbi1i bitri ) ABECFACFZBCFZEALEABCGKALACDHIJ $.
  $}

  ${
    19.19.1 $e |- F/ x ph $.
    $( Theorem 19.19 of [Margaris] p. 90.  (Contributed by NM, 12-Mar-1993.) $)
    19.19 $p |- ( A. x ( ph <-> ps ) -> ( ph <-> E. x ps ) ) $=
      ( wex wb wal 19.9 exbi bitr3id ) AACEABFCGBCEACDHABCIJ $.
  $}

  ${
    19.36.1 $e |- F/ x ps $.
    $( Theorem 19.36 of [Margaris] p. 90.  See ~ 19.36v for a version requiring
       fewer axioms.  (Contributed by NM, 24-Jun-1993.) $)
    19.36 $p |- ( E. x ( ph -> ps ) <-> ( A. x ph -> ps ) ) $=
      ( wi wex wal 19.35 19.9 imbi2i bitri ) ABECFACGZBCFZELBEABCHMBLBCDIJK $.

    19.36i.2 $e |- E. x ( ph -> ps ) $.
    $( Inference associated with ~ 19.36 .  See ~ 19.36iv for a version
       requiring fewer axioms.  (Contributed by NM, 24-Jun-1993.) $)
    19.36i $p |- ( A. x ph -> ps ) $=
      ( wi wex wal 19.36 mpbi ) ABFCGACHBFEABCDIJ $.
  $}

  ${
    19.37.1 $e |- F/ x ph $.
    $( Theorem 19.37 of [Margaris] p. 90.  See ~ 19.37v for a version requiring
       fewer axioms.  (Contributed by NM, 21-Jun-1993.) $)
    19.37 $p |- ( E. x ( ph -> ps ) <-> ( ph -> E. x ps ) ) $=
      ( wi wex wal 19.35 19.3 imbi1i bitri ) ABECFACGZBCFZEAMEABCHLAMACDIJK $.
  $}

  ${
    19.32.1 $e |- F/ x ph $.
    $( Theorem 19.32 of [Margaris] p. 90.  See ~ 19.32v for a version requiring
       fewer axioms.  (Contributed by NM, 14-May-1993.)  (Revised by Mario
       Carneiro, 24-Sep-2016.) $)
    19.32 $p |- ( A. x ( ph \/ ps ) <-> ( ph \/ A. x ps ) ) $=
      ( wn wi wal wo nfn 19.21 df-or albii 3bitr4i ) AEZBFZCGNBCGZFABHZCGAPHNBC
      ACDIJQOCABKLAPKM $.
  $}

  ${
    19.31.1 $e |- F/ x ps $.
    $( Theorem 19.31 of [Margaris] p. 90.  See ~ 19.31v for a version requiring
       fewer axioms.  (Contributed by NM, 14-May-1993.) $)
    19.31 $p |- ( A. x ( ph \/ ps ) <-> ( A. x ph \/ ps ) ) $=
      ( wo wal 19.32 orcom albii 3bitr4i ) BAEZCFBACFZEABEZCFLBEBACDGMKCABHILBH
      J $.
  $}

  ${
    19.41.1 $e |- F/ x ps $.
    $( Theorem 19.41 of [Margaris] p. 90.  See ~ 19.41v for a version requiring
       fewer axioms.  (Contributed by NM, 14-May-1993.)  (Proof shortened by
       Andrew Salmon, 25-May-2011.)  (Proof shortened by Wolf Lammen,
       12-Jan-2018.) $)
    19.41 $p |- ( E. x ( ph /\ ps ) <-> ( E. x ph /\ ps ) ) $=
      ( wa wex 19.40 19.9 anbi2i sylib pm3.21 eximd impcom impbii ) ABEZCFZACFZ
      BEZPQBCFZERABCGSBQBCDHIJBQPBAOCDBAKLMN $.
  $}

  ${
    19.42.1 $e |- F/ x ph $.
    $( Theorem 19.42 of [Margaris] p. 90.  See ~ 19.42v for a version requiring
       fewer axioms.  See ~ exan for an immediate version.  (Contributed by NM,
       18-Aug-1993.) $)
    19.42 $p |- ( E. x ( ph /\ ps ) <-> ( ph /\ E. x ps ) ) $=
      ( wa wex 19.41 exancom ancom 3bitr4i ) BAECFBCFZAEABECFAKEBACDGABCHAKIJ
      $.
  $}

  ${
    19.44.1 $e |- F/ x ps $.
    $( Theorem 19.44 of [Margaris] p. 90.  See ~ 19.44v for a version requiring
       fewer axioms.  (Contributed by NM, 12-Mar-1993.) $)
    19.44 $p |- ( E. x ( ph \/ ps ) <-> ( E. x ph \/ ps ) ) $=
      ( wo wex 19.43 19.9 orbi2i bitri ) ABECFACFZBCFZEKBEABCGLBKBCDHIJ $.
  $}

  ${
    19.45.1 $e |- F/ x ph $.
    $( Theorem 19.45 of [Margaris] p. 90.  See ~ 19.45v for a version requiring
       fewer axioms.  (Contributed by NM, 12-Mar-1993.) $)
    19.45 $p |- ( E. x ( ph \/ ps ) <-> ( ph \/ E. x ps ) ) $=
      ( wo wex 19.43 19.9 orbi1i bitri ) ABECFACFZBCFZEALEABCGKALACDHIJ $.
  $}

  ${
    $d x y $.
    spimfv.nf $e |- F/ x ps $.
    spimfv.1 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Specialization, using implicit substitution.  Version of ~ spim with a
       disjoint variable condition, which does not require ~ ax-13 .  See
       ~ spimvw for a version with two disjoint variable conditions, requiring
       fewer axioms, and ~ spimv for another variant.  (Contributed by NM,
       10-Jan-1993.)  (Revised by BJ, 31-May-2019.) $)
    spimfv $p |- ( A. x ph -> ps ) $=
      ( weq wi ax6ev eximii 19.36i ) ABCECDGABHCCDIFJK $.
  $}

  ${
    $d x y $.
    chvarfv.nf $e |- F/ x ps $.
    chvarfv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    chvarfv.2 $e |- ph $.
    $( Implicit substitution of ` y ` for ` x ` into a theorem.  Version of
       ~ chvar with a disjoint variable condition, which does not require
       ~ ax-13 .  (Contributed by Raph Levien, 9-Jul-2003.)  (Revised by BJ,
       31-May-2019.) $)
    chvarfv $p |- ps $=
      ( weq biimpd spimfv mpg ) ABCABCDECDHABFIJGK $.
  $}

  ${
    $d x y $.  $d y ph $.
    cbv3v2.nf $e |- F/ x ps $.
    cbv3v2.1 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Version of ~ cbv3 with two disjoint variable conditions, which does not
       require ~ ax-11 nor ~ ax-13 .  (Contributed by BJ, 24-Jun-2019.)  (Proof
       shortened by Wolf Lammen, 30-Aug-2021.) $)
    cbv3v2 $p |- ( A. x ph -> A. y ps ) $=
      ( wal spimfv alrimiv ) ACGBDABCDEFHI $.
  $}

  ${
    $d x t $.
    $( Equivalence of two ways to express proper substitution of a setvar for
       another setvar disjoint from it in a formula.  This proof of their
       equivalence does not use ~ df-sb .

       That both sides of the biconditional express proper substitution is
       proved by ~ sb5 and ~ sb6 .  The implication "to the left" is ~ equs4v
       and does not require ~ ax-10 nor ~ ax-12 .  It also holds without
       disjoint variable condition if we allow more axioms (see ~ equs4 ).
       Theorem 6.2 of [Quine] p. 40.  Theorem ~ equs5 replaces the disjoint
       variable condition with a distinctor antecedent.  Theorem ~ equs45f
       replaces the disjoint variable condition on ` x , t ` with the
       nonfreeness hypothesis of ` t ` in ` ph ` .  (Contributed by NM,
       14-Apr-2008.)  Revised to use ~ equsexv in place of ~ equsex in order to
       remove dependency on ~ ax-13 .  (Revised by BJ, 20-Dec-2020.)  Revise to
       remove dependency on ~ df-sb .  (Revised by BJ, 21-Sep-2024.) $)
    sbalex $p |- ( E. x ( x = t /\ ph ) <-> A. x ( x = t -> ph ) ) $=
      ( weq wa wex wi wal nfa1 ax12v2 imp exlimi equs4v impbii ) BCDZAEZBFOAGZB
      HZPRBQBIOARABCJKLABCMN $.
    $( $j usage 'sbalex' avoids 'ax-11' 'df-sb' 'ax-13'; $)
  $}

  ${
    $d x t $.
    $( Version of ~ sb4a with a disjoint variable condition, which does not
       require ~ ax-13 .  The distinctor antecedent from ~ sb4b is replaced by
       a disjoint variable condition in this theorem.  (Contributed by NM,
       2-Feb-2007.)  (Revised by BJ, 15-Dec-2023.) $)
    sb4av $p |- ( [ t / x ] A. t ph -> A. x ( x = t -> ph ) ) $=
      ( wal wsb weq wi sp sbimi sb6 sylib ) ACDZBCEABCEBCFAGBDLABCACHIABCJK $.
  $}

  ${
    sbimd.1 $e |- F/ x ph $.
    sbimd.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction substituting both sides of an implication.  (Contributed by
       Wolf Lammen, 24-Nov-2022.)  Revise ~ df-sb .  (Revised by Steven Nguyen,
       9-Jul-2023.) $)
    sbimd $p |- ( ph -> ( [ y / x ] ps -> [ y / x ] ch ) ) $=
      ( wi wal wsb alrimi spsbim syl ) ABCHZDIBDEJCDEJHANDFGKBCDELM $.
  $}

  ${
    sbbid.1 $e |- F/ x ph $.
    sbbid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduction substituting both sides of a biconditional.  (Contributed by
       NM, 30-Jun-1993.)  Remove dependency on ~ ax-10 and ~ ax-13 .  (Revised
       by Wolf Lammen, 24-Nov-2022.)  Revise ~ df-sb .  (Revised by Steven
       Nguyen, 11-Jul-2023.) $)
    sbbid $p |- ( ph -> ( [ y / x ] ps <-> [ y / x ] ch ) ) $=
      ( wb wal wsb alrimi spsbbi syl ) ABCHZDIBDEJCDEJHANDFGKBCDELM $.

    2sbbid.1 $e |- F/ y ph $.
    $( Deduction doubly substituting both sides of a biconditional.
       (Contributed by AV, 30-Jul-2023.) $)
    2sbbid $p |- ( ph -> ( [ t / x ] [ u / y ] ps
                       <-> [ t / x ] [ u / y ] ch ) ) $=
      ( wsb sbbid ) ABEFKCEFKDGHABCEFJILL $.
  $}

  ${
    $d y x $.  $d y t $.  $d y ph $.
    $( An equality theorem for substitution.  (Contributed by NM, 16-May-1993.)
       Revise ~ df-sb .  (Revised by BJ, 22-Dec-2020.) $)
    sbequ1 $p |- ( x = t -> ( ph -> [ t / x ] ph ) ) $=
      ( vy weq wi wal wsb equeucl ax12v syl6 com23 alrimdv df-sb syl6ibr ) BCEZ
      ADCEZBDEZAFBGZFZDGABCHPATDPQASPQRASFBDCIABDJKLMABDCNO $.
  $}

  ${
    $d y x $.  $d y t $.  $d y ph $.
    $( An equality theorem for substitution.  (Contributed by NM, 16-May-1993.)
       Revise ~ df-sb .  (Revised by BJ, 22-Dec-2020.)  (Proof shortened by
       Wolf Lammen, 3-Feb-2024.) $)
    sbequ2 $p |- ( x = t -> ( [ t / x ] ph -> ph ) ) $=
      ( vy wsb weq wex wi wal wa df-sb equvinva equcomi imim12i impcomd aleximi
      biimpi sp syl2im ax5e syl6com ) ABCEZBCFZADGZAUBDCFZBDFZAHZBIZHZDIZUCUFCD
      FZJZDGUDUBUJABDCKQBCDLUIULADUIUKUFAUKUEUHUGCDMUGBRNOPSADTUA $.

    $( Obsolete version of ~ sbequ2 as of 3-Feb-2024.  (Contributed by NM,
       16-May-1993.)  (Proof shortened by Wolf Lammen, 25-Feb-2018.)  Revise
       ~ df-sb .  (Revised by BJ, 22-Dec-2020.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    sbequ2OLD $p |- ( x = t -> ( [ t / x ] ph -> ph ) ) $=
      ( vy weq wa wex wsb equvinva wi df-sb equcomi imim12i impcomd alimi sylbi
      wal sp 19.23v sylib syl5com ) BCEBDEZCDEZFZDGZABCHZABCDIUFUDAJZDQZUEAJUFD
      CEZUBAJZBQZJZDQUHABDCKULUGDULUCUBAUCUIUKUJCDLUJBRMNOPUDADSTUA $.
  $}

  $( One of the two equality axioms of standard predicate calculus, called
     substitutivity of equality.  (The other one is ~ stdpc6 .)  Translated to
     traditional notation, it can be read:
      " ` x = y -> ( ph ( x , x ) -> ph ( x , y ) ) ` , provided that ` y ` is
     free for ` x ` in ` ph ( x , x ) ` ".  Axiom 7 of [Mendelson] p. 95.
     (Contributed by NM, 15-Feb-2005.) $)
  stdpc7 $p |- ( x = y -> ( [ x / y ] ph -> ph ) ) $=
    ( wsb wi sbequ2 equcoms ) ACBDAECBACBFG $.

  $( An equality theorem for substitution.  (Contributed by NM,
     14-May-1993.) $)
  sbequ12 $p |- ( x = y -> ( ph <-> [ y / x ] ph ) ) $=
    ( weq wsb sbequ1 sbequ2 impbid ) BCDAABCEABCFABCGH $.

  $( An equality theorem for substitution.  (Contributed by NM, 6-Oct-2004.)
     (Proof shortened by Andrew Salmon, 21-Jun-2011.) $)
  sbequ12r $p |- ( x = y -> ( [ x / y ] ph <-> ph ) ) $=
    ( wsb wb weq sbequ12 bicomd equcoms ) ACBDZAECBCBFAJACBGHI $.

  ${
    $d x y $.  $d x ph $.
    $( Elimination of substitution.  Also see ~ sbel2x .  (Contributed by NM,
       5-Aug-1993.)  Avoid ~ ax-13 .  (Revised by Wolf Lammen, 6-Aug-2023.)
       Avoid ~ ax-10 .  (Revised by Gino Giotto, 20-Aug-2023.) $)
    sbelx $p |- ( ph <-> E. x ( x = y /\ [ x / y ] ph ) ) $=
      ( weq wsb wa wex sbequ12r equsexvw bicomi ) BCDACBEZFBGAKABCABCHIJ $.
    $( $j usage 'sbelx' avoids 'ax-10' 'ax-11' 'ax-13'; $)
  $}

  $( An equality theorem for substitution.  (Contributed by NM, 2-Jun-1993.)
     (Proof shortened by Wolf Lammen, 23-Jun-2019.) $)
  sbequ12a $p |- ( x = y -> ( [ y / x ] ph <-> [ x / y ] ph ) ) $=
    ( weq wsb sbequ12r sbequ12 bitr2d ) BCDACBEAABCEABCFABCGH $.

  $( An identity theorem for substitution.  Remark 9.1 in [Megill] p. 447 (p.
     15 of the preprint).  (Contributed by NM, 26-May-1993.)  (Proof shortened
     by Wolf Lammen, 30-Sep-2018.) $)
  sbid $p |- ( [ x / x ] ph <-> ph ) $=
    ( weq wsb wb equid sbequ12r ax-mp ) BBCABBDAEBFABBGH $.

  ${
    $d x y $.
    $( A composition law for substitution.  Version of ~ sbco with a disjoint
       variable condition using fewer axioms.  (Contributed by NM,
       14-May-1993.)  (Revised by Gino Giotto, 7-Aug-2023.) $)
    sbcov $p |- ( [ y / x ] [ x / y ] ph <-> [ y / x ] ph ) $=
      ( wsb sbcom3vv sbid sbbii bitri ) ACBDBCDACCDZBCDABCDACBCEIABCACFGH $.
    $( $j usage 'sbcov' avoids 'ax-10' 'ax-11' 'ax-13'; $)
  $}

  ${
    $d x y $.
    $( Equivalence for substitution.  (Contributed by NM, 2-Jun-1993.)  (Proof
       shortened by Wolf Lammen, 23-Sep-2018.) $)
    sb6a $p |- ( [ y / x ] ph <-> A. x ( x = y -> [ x / y ] ph ) ) $=
      ( wsb weq wi wal sbcov sb6 bitr3i ) ABCDACBDZBCDBCEKFBGABCHKBCIJ $.
  $}

  ${
    $d t x $.  $d x ph $.
    $( Reverting substitution yields the original expression.  Based on fewer
       axioms than ~ sbid2v , at the expense of an extra distinct variable
       condition.  (Contributed by NM, 14-May-1993.)  (Revised by Wolf Lammen,
       5-Aug-2023.) $)
    sbid2vw $p |- ( [ t / x ] [ x / t ] ph <-> ph ) $=
      ( wsb sbequ12r sbievw ) ACBDABCABCEF $.
  $}

  ${
    $d w x y $.  $d w z $.  $d w ph $.
    $( Generalization of ~ axc16 .  Use the latter when sufficient.  This proof
       only requires, on top of { ~ ax-1 -- ~ ax-7 }, Theorem ~ ax12v .
       (Contributed by NM, 15-May-1993.)  (Proof shortened by Andrew Salmon,
       25-May-2011.)  (Proof shortened by Wolf Lammen, 18-Feb-2018.)  Remove
       dependency on ~ ax-13 , along an idea of BJ. (Revised by Wolf Lammen,
       30-Nov-2019.)  (Revised by BJ, 7-Jul-2021.)  Shorten ~ axc11rv .
       (Revised by Wolf Lammen, 11-Oct-2021.) $)
    axc16g $p |- ( A. x x = y -> ( ph -> A. z ph ) ) $=
      ( vw weq wal wi aevlem ax12v sps pm2.27 al2imi syld syl ) BCFBGDEFZDGZAAD
      GZHBCDEIQAPAHZDGZRPATHDADEJKPSADPALMNO $.
  $}

  ${
    $d x y $.
    $( Proof of older axiom ~ ax-c16 .  (Contributed by NM, 8-Nov-2006.)
       (Revised by NM, 22-Sep-2017.) $)
    axc16 $p |- ( A. x x = y -> ( ph -> A. x ph ) ) $=
      ( axc16g ) ABCBD $.
  $}

  ${
    $d x y $.
    $( Biconditional strengthening of ~ axc16g .  (Contributed by NM,
       15-May-1993.) $)
    axc16gb $p |- ( A. x x = y -> ( ph <-> A. z ph ) ) $=
      ( weq wal axc16g sp impbid1 ) BCEBFAADFABCDGADHI $.
  $}

  ${
    $d x y $.
    $( If ~ dtru is false, then there is only one element in the universe, so
       everything satisfies ` F/ ` .  (Contributed by Mario Carneiro,
       7-Oct-2016.)  Remove dependency on ~ ax-11 .  (Revised by Wolf Lammen,
       9-Sep-2018.)  (Proof shortened by BJ, 14-Jun-2019.)  Remove dependency
       on ~ ax-10 .  (Revised by Wolf Lammen, 12-Oct-2021.) $)
    axc16nf $p |- ( A. x x = y -> F/ z ph ) $=
      ( weq wal wex wn wi axc16g eximal sylibr syld nfd ) BCEBFZADOADGZAADFOAHZ
      QDFIPAIQBCDJAADKLABCDJMN $.
  $}

  ${
    $d x y $.
    $( Version of ~ axc11 with a disjoint variable condition on ` x ` and
       ` y ` , which is provable, on top of { ~ ax-1 -- ~ ax-7 }, from ~ ax12v
       (contrary to ~ axc11 which seems to require the full ~ ax-12 and
       ~ ax-13 ).  (Contributed by NM, 16-May-2008.)  (Revised by BJ,
       6-Jul-2021.)  (Proof shortened by Wolf Lammen, 11-Oct-2021.) $)
    axc11v $p |- ( A. x x = y -> ( A. x ph -> A. y ph ) ) $=
      ( weq wal axc16g spsd ) BCDBEAACEBABCCFG $.

    $( Version of ~ axc11r with a disjoint variable condition on ` x ` and
       ` y ` , which is provable, on top of { ~ ax-1 -- ~ ax-7 }, from ~ ax12v
       (contrary to ~ axc11 which seems to require the full ~ ax-12 and
       ~ ax-13 , and to ~ axc11r which seems to require the full ~ ax-12 ).
       (Contributed by BJ, 6-Jul-2021.)  (Proof shortened by Wolf Lammen,
       11-Oct-2021.) $)
    axc11rv $p |- ( A. x x = y -> ( A. y ph -> A. x ph ) ) $=
      ( weq wal axc16 spsd ) BCDBEAABECABCFG $.
  $}

  $( Formula-building lemma for use with the Distinctor Reduction Theorem.
     Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint).  (Contributed
     by NM, 27-Feb-2005.) $)
  drsb2 $p |- ( A. x x = y -> ( [ x / z ] ph <-> [ y / z ] ph ) ) $=
    ( weq wsb wb sbequ sps ) BCEADBFADCFGBABCDHI $.

  ${
    $d x y $.
    equsalv.nf $e |- F/ x ps $.
    equsalv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( An equivalence related to implicit substitution.  Version of ~ equsal
       with a disjoint variable condition, which does not require ~ ax-13 .
       See ~ equsalvw for a version with two disjoint variable conditions
       requiring fewer axioms.  See also the dual form ~ equsexv .
       (Contributed by NM, 2-Jun-1993.)  (Revised by BJ, 31-May-2019.) $)
    equsalv $p |- ( A. x ( x = y -> ph ) <-> ps ) $=
      ( weq wi wal wex 19.23 pm5.74i albii ax6ev a1bi 3bitr4i ) CDGZBHZCIQCJZBH
      QAHZCIBQBCEKTRCQABFLMSBCDNOP $.

    $( An equivalence related to implicit substitution.  Version of ~ equsex
       with a disjoint variable condition, which does not require ~ ax-13 .
       See ~ equsexvw for a version with two disjoint variable conditions
       requiring fewer axioms.  See also the dual form ~ equsalv .
       (Contributed by NM, 5-Aug-1993.)  (Revised by BJ, 31-May-2019.) $)
    equsexv $p |- ( E. x ( x = y /\ ph ) <-> ps ) $=
      ( weq wa wex wi wal sbalex equsalv bitri ) CDGZAHCIOAJCKBACDLABCDEFMN $.
  $}

  $( Substitution has no effect on a nonfree variable.  (Contributed by NM,
     30-May-2009.)  (Revised by Mario Carneiro, 12-Oct-2016.)  (Proof shortened
     by Wolf Lammen, 3-May-2018.) $)
  sbft $p |- ( F/ x ph -> ( [ y / x ] ph <-> ph ) ) $=
    ( wnf wsb wex spsbe 19.9t syl5ib wal nf5r stdpc4 syl6 impbid ) ABDZABCEZAPA
    BFOAABCGABHIOAABJPABKABCLMN $.

  ${
    sbf.1 $e |- F/ x ph $.
    $( Substitution for a variable not free in a wff does not affect it.  For a
       version requiring disjoint variables but fewer axioms, see ~ sbv .
       (Contributed by NM, 14-May-1993.)  (Revised by Mario Carneiro,
       4-Oct-2016.) $)
    sbf $p |- ( [ y / x ] ph <-> ph ) $=
      ( wnf wsb wb sbft ax-mp ) ABEABCFAGDABCHI $.
  $}

  $( Substitution has no effect on a bound variable.  (Contributed by NM,
     1-Jul-2005.) $)
  sbf2 $p |- ( [ y / x ] A. x ph <-> A. x ph ) $=
    ( wal nfa1 sbf ) ABDBCABEF $.

  ${
    sbh.1 $e |- ( ph -> A. x ph ) $.
    $( Substitution for a variable not free in a wff does not affect it.
       (Contributed by NM, 14-May-1993.) $)
    sbh $p |- ( [ y / x ] ph <-> ph ) $=
      ( nf5i sbf ) ABCABDEF $.
  $}

  ${
    $d x y $.
    $( The setvar ` x ` is not free in ` [ y / x ] ph ` when ` x ` and ` y `
       are distinct.  (Contributed by NM, 26-May-1993.) $)
    hbs1 $p |- ( [ y / x ] ph -> A. x [ y / x ] ph ) $=
      ( wsb nfs1v nf5ri ) ABCDBABCEF $.
  $}

  ${
    nfs1f.1 $e |- F/ x ph $.
    $( If ` x ` is not free in ` ph ` , it is not free in ` [ y / x ] ph ` .
       (Contributed by Mario Carneiro, 11-Aug-2016.) $)
    nfs1f $p |- F/ x [ y / x ] ph $=
      ( wsb sbf nfxfr ) ABCEABABCDFDG $.
  $}

  ${
    $d x y $.
    $( Alternate definition of substitution when variables are disjoint.
       Similar to Theorem 6.1 of [Quine] p. 40.  The implication "to the right"
       is ~ sb1v and even needs no disjoint variable condition, see ~ sb1 .
       Theorem ~ sb5f replaces the disjoint variable condition with a
       nonfreeness hypothesis.  (Contributed by NM, 18-Aug-1993.)  (Revised by
       Wolf Lammen, 4-Sep-2023.) $)
    sb5 $p |- ( [ y / x ] ph <-> E. x ( x = y /\ ph ) ) $=
      ( wsb weq wi wal wa wex sb6 sbalex bitr4i ) ABCDBCEZAFBGMAHBIABCJABCKL $.

    $( Obsolete version of ~ sb5 as of 21-Sep-2024.  (Contributed by NM,
       18-Aug-1993.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sb5OLD $p |- ( [ y / x ] ph <-> E. x ( x = y /\ ph ) ) $=
      ( weq wa wex wsb nfs1v sbequ12 equsexv bicomi ) BCDAEBFABCGZALBCABCHABCIJ
      K $.

    $( Obsolete version of ~ sbalex as of 21-Sep-2024.  Two equivalent ways of
       expressing the proper substitution of ` y ` for ` x ` in ` ph ` , when
       ` x ` and ` y ` are distinct, namely, alternate definitions ~ sb5 and
       ~ sb6 .  Theorem 6.2 of [Quine] p. 40.  The proof does not involve
       ~ df-sb .  The implication "to the left" is ~ equs4 and does not require
       any disjoint variable condition (but the version with a disjoint
       variable condition, ~ equs4v , requires fewer axioms).  Theorem
       ~ equs45f replaces the disjoint variable condition with a nonfreeness
       hypothesis and ~ equs5 replaces it with a distinctor as antecedent.
       (Contributed by NM, 14-Apr-2008.)  Revised to use ~ equsexv in place of
       ~ equsex in order to remove dependency on ~ ax-13 .  (Revised by BJ,
       20-Dec-2020.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sb56OLD $p |- ( E. x ( x = y /\ ph ) <-> A. x ( x = y -> ph ) ) $=
      ( weq wa wex wsb wi wal sb5 sb6 bitr3i ) BCDZAEBFABCGMAHBIABCJABCKL $.

    $( A property related to substitution that replaces the distinctor from
       ~ equs5 to a disjoint variable condition.  Version of ~ equs5a with a
       disjoint variable condition, which does not require ~ ax-13 .  See also
       ~ sbalex .  (Contributed by NM, 2-Feb-2007.)  (Revised by Gino Giotto,
       15-Dec-2023.) $)
    equs5av $p |- ( E. x ( x = y /\ A. y ph ) -> A. x ( x = y -> ph ) ) $=
      ( weq wal wa wi nfa1 ax12v2 spsd imp exlimi ) BCDZACEZFMAGZBEZBOBHMNPMAPC
      ABCIJKL $.
  $}

  ${
    $d x y z $.  $d w y $.
    $( Equivalence for double substitution.  (Contributed by NM,
       3-Feb-2005.) $)
    2sb5 $p |- ( [ z / x ] [ w / y ] ph <->
               E. x E. y ( ( x = z /\ y = w ) /\ ph ) ) $=
      ( wsb weq wa wex sb5 19.42v anass exbii anbi2i 3bitr4ri bitri ) ACEFZBDFB
      DGZQHZBIRCEGZHAHZCIZBIQBDJSUBBRTAHZHZCIRUCCIZHUBSRUCCKUAUDCRTALMQUERACEJN
      OMP $.
  $}

  ${
    $d v w ph $.  $d v w x $.  $d v w y $.
    $( Lemma for ~ sbco4 .  It replaces the temporary variable ` v ` with
       another temporary variable ` w ` .  (Contributed by Jim Kingdon,
       26-Sep-2018.)  (Proof shortened by Wolf Lammen, 12-Oct-2024.) $)
    sbco4lem $p |- ( [ x / v ] [ y / x ] [ v / y ] ph <->
        [ x / w ] [ y / x ] [ w / y ] ph ) $=
      ( wsb sbcom2 sbbii sbco2vv 2sbbii 3bitr3i ) ACDFZDEFZBCFZEBFLBCFZDEFZEBFA
      CEFZBCFEBFODBFNPEBLDEBCGHMQEBCBACEDIJODBEIK $.

    $( Obsolete version of ~ sbco4lem as of 12-Oct-2024.  (Contributed by Jim
       Kingdon, 26-Sep-2018.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sbco4lemOLD $p |- ( [ x / v ] [ y / x ] [ v / y ] ph <->
        [ x / w ] [ y / x ] [ w / y ] ph ) $=
      ( wsb sbcom2 sbbii sbco2vv 2sbbii bitri sbid2vw 3bitr3i ) ACDFZDEFZBCFZED
      FZDBFZOEDFZBCFZDBFACEFZBCFZEBFZNBCFDBFQTDBOBCEDGHRUBEDFDBFUCPUBDEDBOUABCA
      CEDIHJUBEBDIKSNDBCBNEDLJM $.
  $}

  ${
    $d t u v ph $.  $d t u v x $.  $d t u v y $.  $d w ph $.  $d w x $.
    $d w y $.  $d t w $.
    $( Two ways of exchanging two variables.  Both sides of the biconditional
       exchange ` x ` and ` y ` , either via two temporary variables ` u ` and
       ` v ` , or a single temporary ` w ` .  (Contributed by Jim Kingdon,
       25-Sep-2018.) $)
    sbco4 $p |- ( [ y / u ] [ x / v ] [ u / x ] [ v / y ] ph <->
        [ x / w ] [ y / x ] [ w / y ] ph ) $=
      ( vt wsb sbcom2 sbco2vv sbbii bitr3i sbco4lem 3bitri ) ACEHZBFHZEBHFCHZOB
      CHZEBHZACGHBCHGBHACDHBCHDBHQPFCHZEBHSPFCEBITREBOBCFJKLABCGEMABCDGMN $.
  $}

  ${
    $d y t $.  $d y x $.  $d y ph $.
    $( An alternate definition of proper substitution ~ df-sb .  By introducing
       a dummy variable ` y ` in the definiens, we are able to eliminate any
       distinct variable restrictions among the variables ` t ` , ` x ` , and
       ` ph ` of the definiendum.  No distinct variable conflicts arise because
       ` y ` effectively insulates ` t ` from ` x ` .  To achieve this, we use
       a chain of two substitutions in the form of ~ sb5 , first ` y ` for
       ` x ` then ` t ` for ` y ` .  Compare Definition 2.1'' of [Quine] p. 17,
       which is obtained from this theorem by applying ~ df-clab .  Theorem
       ~ sb7h provides a version where ` ph ` and ` y ` don't have to be
       distinct.  (Contributed by NM, 28-Jan-2004.)  Revise ~ df-sb .  (Revised
       by BJ, 25-Dec-2020.)  (Proof shortened by Wolf Lammen, 3-Sep-2023.) $)
    dfsb7 $p |- ( [ t / x ] ph <-> E. y ( y = t /\ E. x ( x = y /\ ph ) ) ) $=
      ( weq wi wal wa wex wsb sbalex anbi2i exbii df-sb 3bitr4ri ) CDEZBCEZAFBG
      ZHZCIPRFCGPQAHBIZHZCIABDJRCDKUASCTRPABCKLMABCDNO $.
  $}

  ${
    $d y t $.  $d y x $.  $d y ph $.
    $( Negation inside and outside of substitution are equivalent.
       (Contributed by NM, 14-May-1993.)  (Proof shortened by Wolf Lammen,
       30-Apr-2018.)  Revise ~ df-sb .  (Revised by BJ, 25-Dec-2020.) $)
    sbn $p |- ( [ t / x ] -. ph <-> -. [ t / x ] ph ) $=
      ( vy wn wsb weq wi wal wa wex df-sb alinexa imbi2i albii xchbinxr 3bitri
      dfsb7 ) AEZBCFDCGZBDGZSHBIZHZDITUAAJBKZEZHZDIZABCFZESBDCLUCUFDUBUETUAABMN
      OUGTUDJDKUHTUDDMABDCRPQ $.
  $}

  ${
    $d x y $.  $d x z $.
    $( Move existential quantifier in and out of substitution.  (Contributed by
       NM, 27-Sep-2003.) $)
    sbex $p |- ( [ z / y ] E. x ph <-> E. x [ z / y ] ph ) $=
      ( wn wal wsb wex sbn sbalv xchbinx df-ex sbbii 3bitr4i ) AEZBFZEZCDGZACDG
      ZEZBFZEABHZCDGSBHRPCDGUAPCDIOTCDBACDIJKUBQCDABLMSBLN $.
  $}

  $( Alternate definition of ~ df-nf .  (Contributed by Mario Carneiro,
     11-Aug-2016.) ~ df-nf changed.  (Revised by Wolf Lammen, 11-Sep-2021.) $)
  nf5 $p |- ( F/ x ph <-> A. x ( ph -> A. x ph ) ) $=
    ( wnf wex wal wi df-nf nfa1 19.23 bitr4i ) ABCABDABEZFAKFBEABGAKBABHIJ $.

  $( An alternate definition of ~ df-nf .  (Contributed by Mario Carneiro,
     24-Sep-2016.) $)
  nf6 $p |- ( F/ x ph <-> A. x ( E. x ph -> ph ) ) $=
    ( wnf wex wal wi df-nf nfe1 19.21 bitr4i ) ABCABDZABEFKAFBEABGKABABHIJ $.

  ${
    nf5d.1 $e |- F/ x ph $.
    nf5d.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduce that ` x ` is not free in ` ps ` in a context.  (Contributed by
       Mario Carneiro, 24-Sep-2016.) $)
    nf5d $p |- ( ph -> F/ x ps ) $=
      ( wal wi wnf alrimi nf5-1 syl ) ABBCFGZCFBCHALCDEIBCJK $.
  $}

  ${
    nf5di.1 $e |- ( ph -> F/ x ph ) $.
    $( Since the converse holds by ~ a1i , this inference shows that we can
       represent a not-free hypothesis with either ` F/ x ph ` (inference form)
       or ` ( ph -> F/ x ph ) ` (deduction form).  (Contributed by NM,
       17-Aug-2018.)  (Proof shortened by Wolf Lammen, 10-Jul-2019.) $)
    nf5di $p |- F/ x ph $=
      ( wal nf5rd pm2.43i nf5i ) ABAABDAABCEFG $.
  $}

  ${
    19.9h.1 $e |- ( ph -> A. x ph ) $.
    $( A wff may be existentially quantified with a variable not free in it.
       Theorem 19.9 of [Margaris] p. 89.  (Contributed by FL, 24-Mar-2007.)
       (Proof shortened by Wolf Lammen, 5-Jan-2018.)  (Proof shortened by Wolf
       Lammen, 14-Jul-2020.) $)
    19.9h $p |- ( E. x ph <-> ph ) $=
      ( nf5i 19.9 ) ABABCDE $.
  $}

  ${
    19.21h.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.21 of [Margaris] p. 90.  The hypothesis can be thought of
       as " ` x ` is not free in ` ph ` ".  See also ~ 19.21 and ~ 19.21v .
       (Contributed by NM, 1-Aug-2017.)  (Proof shortened by Wolf Lammen,
       1-Jan-2018.) $)
    19.21h $p |- ( A. x ( ph -> ps ) <-> ( ph -> A. x ps ) ) $=
      ( nf5i 19.21 ) ABCACDEF $.
  $}

  ${
    19.23h.1 $e |- ( ps -> A. x ps ) $.
    $( Theorem 19.23 of [Margaris] p. 90.  See ~ 19.23 .  (Contributed by NM,
       24-Jan-1993.)  (Revised by Mario Carneiro, 24-Sep-2016.)  (Proof
       shortened by Wolf Lammen, 1-Jan-2018.) $)
    19.23h $p |- ( A. x ( ph -> ps ) <-> ( E. x ph -> ps ) ) $=
      ( nf5i 19.23 ) ABCBCDEF $.
  $}

  ${
    exlimih.1 $e |- ( ps -> A. x ps ) $.
    exlimih.2 $e |- ( ph -> ps ) $.
    $( Inference associated with ~ 19.23 .  See ~ exlimiv for a version with a
       disjoint variable condition requiring fewer axioms.  (Contributed by NM,
       10-Jan-1993.)  (Proof shortened by Andrew Salmon, 13-May-2011.)  (Proof
       shortened by Wolf Lammen, 1-Jan-2018.) $)
    exlimih $p |- ( E. x ph -> ps ) $=
      ( nf5i exlimi ) ABCBCDFEG $.
  $}

  ${
    exlimdh.1 $e |- ( ph -> A. x ph ) $.
    exlimdh.2 $e |- ( ch -> A. x ch ) $.
    exlimdh.3 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction form of Theorem 19.9 of [Margaris] p. 89.  (Contributed by NM,
       28-Jan-1997.) $)
    exlimdh $p |- ( ph -> ( E. x ps -> ch ) ) $=
      ( nf5i exlimd ) ABCDADEHCDFHGI $.
  $}

  ${
    $d x y $.
    equsalhw.1 $e |- ( ps -> A. x ps ) $.
    equsalhw.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Version of ~ equsalh with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by NM, 29-Nov-2015.)  (Proof shortened
       by Wolf Lammen, 8-Jul-2022.) $)
    equsalhw $p |- ( A. x ( x = y -> ph ) <-> ps ) $=
      ( nf5i equsalv ) ABCDBCEGFH $.

    $( An equivalence related to implicit substitution.  Version of ~ equsexh
       with a disjoint variable condition, which does not require ~ ax-13 .
       (Contributed by NM, 5-Aug-1993.)  (Revised by BJ, 31-May-2019.) $)
    equsexhv $p |- ( E. x ( x = y /\ ph ) <-> ps ) $=
      ( nf5i equsexv ) ABCDBCEGFH $.
  $}

  $( The setvar ` x ` is not free in ` A. x ph ` .  This corresponds to the
     axiom (4) of modal logic.  Example in Appendix in [Megill] p. 450 (p. 19
     of the preprint).  Also Lemma 22 of [Monk2] p. 114.  (Contributed by NM,
     24-Jan-1993.)  (Proof shortened by Wolf Lammen, 12-Oct-2021.) $)
  hba1 $p |- ( A. x ph -> A. x A. x ph ) $=
    ( wal nfa1 nf5ri ) ABCBABDE $.

  $( Closed theorem version of bound-variable hypothesis builder ~ hbn .
     (Contributed by NM, 10-May-1993.)  (Proof shortened by Wolf Lammen,
     14-Oct-2021.) $)
  hbnt $p |- ( A. x ( ph -> A. x ph ) -> ( -. ph -> A. x -. ph ) ) $=
    ( wal wi wn nf5-1 nfnd nf5rd ) AABCDBCZAEBIABABFGH $.

  ${
    hbn.1 $e |- ( ph -> A. x ph ) $.
    $( If ` x ` is not free in ` ph ` , it is not free in ` -. ph ` .
       (Contributed by NM, 10-Jan-1993.)  (Proof shortened by Wolf Lammen,
       17-Dec-2017.) $)
    hbn $p |- ( -. ph -> A. x -. ph ) $=
      ( wal wi wn hbnt mpg ) AABDEAFZIBDEBABGCH $.
  $}

  ${
    hbnd.1 $e |- ( ph -> A. x ph ) $.
    hbnd.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hbn .
       (Contributed by NM, 3-Jan-2002.) $)
    hbnd $p |- ( ph -> ( -. ps -> A. x -. ps ) ) $=
      ( wal wi wn alrimih hbnt syl ) ABBCFGZCFBHZMCFGALCDEIBCJK $.
  $}

  ${
    hbim1.1 $e |- ( ph -> A. x ph ) $.
    hbim1.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( A closed form of ~ hbim .  (Contributed by NM, 2-Jun-1993.) $)
    hbim1 $p |- ( ( ph -> ps ) -> A. x ( ph -> ps ) ) $=
      ( wi wal a2i 19.21h sylibr ) ABFZABCGZFKCGABLEHABCDIJ $.
  $}

  ${
    hbimd.1 $e |- ( ph -> A. x ph ) $.
    hbimd.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    hbimd.3 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hbim .
       (Contributed by NM, 14-May-1993.)  (Proof shortened by Wolf Lammen,
       3-Jan-2018.) $)
    hbimd $p |- ( ph -> ( ( ps -> ch ) -> A. x ( ps -> ch ) ) ) $=
      ( wi nf5dh nfimd nf5rd ) ABCHDABCDABDEFIACDEGIJK $.
  $}

  ${
    hbim.1 $e |- ( ph -> A. x ph ) $.
    hbim.2 $e |- ( ps -> A. x ps ) $.
    $( If ` x ` is not free in ` ph ` and ` ps ` , it is not free in
       ` ( ph -> ps ) ` .  (Contributed by NM, 24-Jan-1993.)  (Proof shortened
       by Mel L. O'Cat, 3-Mar-2008.)  (Proof shortened by Wolf Lammen,
       1-Jan-2018.) $)
    hbim $p |- ( ( ph -> ps ) -> A. x ( ph -> ps ) ) $=
      ( wal wi a1i hbim1 ) ABCDBBCFGAEHI $.
  $}

  ${
    hb.1 $e |- ( ph -> A. x ph ) $.
    hb.2 $e |- ( ps -> A. x ps ) $.
    $( If ` x ` is not free in ` ph ` and ` ps ` , it is not free in
       ` ( ph /\ ps ) ` .  (Contributed by NM, 14-May-1993.)  (Proof shortened
       by Wolf Lammen, 2-Jan-2018.) $)
    hban $p |- ( ( ph /\ ps ) -> A. x ( ph /\ ps ) ) $=
      ( wa nf5i nfan nf5ri ) ABFCABCACDGBCEGHI $.
    hb.3 $e |- ( ch -> A. x ch ) $.
    $( If ` x ` is not free in ` ph ` , ` ps ` , and ` ch ` , it is not free in
       ` ( ph /\ ps /\ ch ) ` .  (Contributed by NM, 14-Sep-2003.)  (Proof
       shortened by Wolf Lammen, 2-Jan-2018.) $)
    hb3an $p |- ( ( ph /\ ps /\ ch ) -> A. x ( ph /\ ps /\ ch ) ) $=
      ( w3a nf5i nf3an nf5ri ) ABCHDABCDADEIBDFICDGIJK $.
  $}

  $( Introduction of implication into substitution.  (Contributed by NM,
     14-May-1993.) $)
  sbi2 $p |- ( ( [ y / x ] ph -> [ y / x ] ps ) -> [ y / x ] ( ph -> ps ) ) $=
    ( wsb wi wn sbn pm2.21 sbimi sylbir ax-1 ja ) ACDEZBCDEABFZCDEZNGAGZCDEPACD
    HQOCDABIJKBOCDBALJM $.

  $( Implication inside and outside of a substitution are equivalent.
     (Contributed by NM, 14-May-1993.) $)
  sbim $p |- ( [ y / x ] ( ph -> ps ) <-> ( [ y / x ] ph -> [ y / x ] ps ) ) $=
    ( wi wsb sbi1 sbi2 impbii ) ABECDFACDFBCDFEABCDGABCDHI $.

  ${
    sbrim.1 $e |- F/ x ph $.
    $( Substitution in an implication with a variable not free in the
       antecedent affects only the consequent.  See ~ sbrimv for a version with
       disjoint variables not requiring ~ ax-10 .  (Contributed by NM,
       2-Jun-1993.)  (Revised by Mario Carneiro, 4-Oct-2016.) $)
    sbrim $p |- ( [ y / x ] ( ph -> ps ) <-> ( ph -> [ y / x ] ps ) ) $=
      ( wi wsb sbim sbf imbi1i bitri ) ABFCDGACDGZBCDGZFAMFABCDHLAMACDEIJK $.

    $d x y $.
    $( Substitution in an implication with a variable not free in the
       antecedent affects only the consequent.  Version of ~ sbrim not
       depending on ~ ax-10 , but with disjoint variables.  (Contributed by
       Wolf Lammen, 28-Jan-2024.) $)
    sbrimv $p |- ( [ y / x ] ( ph -> ps ) <-> ( ph -> [ y / x ] ps ) ) $=
      ( weq wi 19.21 sbrimvlem ) ABCDACDFBGCEHI $.
  $}

  ${
    sblim.1 $e |- F/ x ps $.
    $( Substitution in an implication with a variable not free in the
       consequent affects only the antecedent.  (Contributed by NM,
       14-Nov-2013.)  (Revised by Mario Carneiro, 4-Oct-2016.) $)
    sblim $p |- ( [ y / x ] ( ph -> ps ) <-> ( [ y / x ] ph -> ps ) ) $=
      ( wi wsb sbim sbf imbi2i bitri ) ABFCDGACDGZBCDGZFLBFABCDHMBLBCDEIJK $.
  $}

  $( Disjunction inside and outside of a substitution are equivalent.
     (Contributed by NM, 29-Sep-2002.) $)
  sbor $p |- ( [ y / x ] ( ph \/ ps ) <-> ( [ y / x ] ph \/ [ y / x ] ps ) ) $=
    ( wn wi wsb wo sbim sbn imbi1i bitri df-or sbbii 3bitr4i ) AEZBFZCDGZACDGZE
    ZBCDGZFZABHZCDGSUAHRPCDGZUAFUBPBCDIUDTUAACDJKLUCQCDABMNSUAMO $.

  $( Equivalence inside and outside of a substitution are equivalent.
     (Contributed by NM, 14-May-1993.) $)
  sbbi $p |- ( [ y / x ] ( ph <-> ps )
     <-> ( [ y / x ] ph <-> [ y / x ] ps ) ) $=
    ( wb wsb wi wa dfbi2 sbbii sbim anbi12i sban 3bitr4i bitri ) ABEZCDFABGZBAG
    ZHZCDFZACDFZBCDFZEZPSCDABIJQCDFZRCDFZHUAUBGZUBUAGZHTUCUDUFUEUGABCDKBACDKLQR
    CDMUAUBINO $.

  ${
    sblbis.1 $e |- ( [ y / x ] ph <-> ps ) $.
    $( Introduce left biconditional inside of a substitution.  (Contributed by
       NM, 19-Aug-1993.) $)
    sblbis $p |- ( [ y / x ] ( ch <-> ph ) <-> ( [ y / x ] ch <-> ps ) ) $=
      ( wb wsb sbbi bibi2i bitri ) CAGDEHCDEHZADEHZGLBGCADEIMBLFJK $.
  $}

  ${
    sbrbis.1 $e |- ( [ y / x ] ph <-> ps ) $.
    $( Introduce right biconditional inside of a substitution.  (Contributed by
       NM, 18-Aug-1993.) $)
    sbrbis $p |- ( [ y / x ] ( ph <-> ch ) <-> ( ps <-> [ y / x ] ch ) ) $=
      ( wb wsb sbbi bibi1i bitri ) ACGDEHADEHZCDEHZGBMGACDEILBMFJK $.
  $}

  ${
    sbrbif.1 $e |- F/ x ch $.
    sbrbif.2 $e |- ( [ y / x ] ph <-> ps ) $.
    $( Introduce right biconditional inside of a substitution.  (Contributed by
       NM, 18-Aug-1993.)  (Revised by Mario Carneiro, 4-Oct-2016.) $)
    sbrbif $p |- ( [ y / x ] ( ph <-> ch ) <-> ( ps <-> ch ) ) $=
      ( wb wsb sbrbis sbf bibi2i bitri ) ACHDEIBCDEIZHBCHABCDEGJNCBCDEFKLM $.
  $}

  ${
    $d x y $.
    sbiev.1 $e |- F/ x ps $.
    sbiev.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit substitution.  Version
       of ~ sbie with a disjoint variable condition, not requiring ~ ax-13 .
       See ~ sbievw for a version with a disjoint variable condition requiring
       fewer axioms.  (Contributed by NM, 30-Jun-1994.)  (Revised by Wolf
       Lammen, 18-Jan-2023.)  Remove dependence on ~ ax-10 and shorten proof.
       (Revised by BJ, 18-Jul-2023.) $)
    sbiev $p |- ( [ y / x ] ph <-> ps ) $=
      ( wsb weq wi wal sb6 equsalv bitri ) ACDGCDHAICJBACDKABCDEFLM $.
  $}

  ${
    $d x y $.
    sbiedw.1 $e |- F/ x ph $.
    sbiedw.2 $e |- ( ph -> F/ x ch ) $.
    sbiedw.3 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Conversion of implicit substitution to explicit substitution (deduction
       version of ~ sbiev ).  Version of ~ sbied with a disjoint variable
       condition, requiring fewer axioms.  (Contributed by NM, 30-Jun-1994.)
       (Revised by Gino Giotto, 10-Jan-2024.)  Avoid ~ ax-10 .  (Revised by
       Wolf Lammen, 28-Jan-2024.) $)
    sbiedw $p |- ( ph -> ( [ y / x ] ps <-> ch ) ) $=
      ( wsb wi sbrimv nfim1 weq wb com12 pm5.74d sbiev bitr3i pm5.74ri ) ABDEIZ
      CATJABJZDEIACJZABDEFKUAUBDEACDFGLDEMZABCAUCBCNHOPQRS $.
    $( $j usage 'sbiedw' avoids 'ax-10' 'ax-11' 'ax-13'; $)

    $( Obsolete version of ~ sbiedw as of 28-Jan-2024.  (Contributed by Gino
       Giotto, 10-Jan-2024.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sbiedwOLD $p |- ( ph -> ( [ y / x ] ps <-> ch ) ) $=
      ( wsb wi sbrim nfim1 weq wb com12 pm5.74d sbiev bitr3i pm5.74ri ) ABDEIZC
      ATJABJZDEIACJZABDEFKUAUBDEACDFGLDEMZABCAUCBCNHOPQRS $.
  $}

  $( Show that the original axiom ~ ax-c7 can be derived from ~ ax-10
     ( ~ hbn1 ) , ~ sp and propositional calculus.  See ~ ax10fromc7 for the
     rederivation of ~ ax-10 from ~ ax-c7 .

     Normally, ~ axc7 should be used rather than ~ ax-c7 , except by theorems
     specifically studying the latter's properties.  (Contributed by NM,
     21-May-2008.) $)
  axc7 $p |- ( -. A. x -. A. x ph -> ph ) $=
    ( wal wn sp hbn1 nsyl4 ) ABCZAHDBCABEABFG $.

  $( Abbreviated version of ~ axc7 using the existential quantifier.
     Corresponds to the dual of Axiom (B) of modal logic.  (Contributed by NM,
     5-Aug-1993.)  (Proof shortened by Wolf Lammen, 8-Jul-2022.) $)
  axc7e $p |- ( E. x A. x ph -> ph ) $=
    ( wal wex hbe1a 19.21bi ) ABCBDABABEF $.

  $( The analogue in our predicate calculus of the Brouwer axiom (B) of modal
     logic S5.  (Contributed by NM, 5-Oct-2005.) $)
  modal-b $p |- ( ph -> A. x -. A. x -. ph ) $=
    ( wn wal axc7 con4i ) ACZBDCBDAGBEF $.

  $( A closed version of ~ 19.9h .  (Contributed by NM, 13-May-1993.)  (Proof
     shortened by Wolf Lammen, 3-Mar-2018.) $)
  19.9ht $p |- ( A. x ( ph -> A. x ph ) -> ( E. x ph -> ph ) ) $=
    ( wal wi nf5-1 19.9d ) AAABCDBCBABEF $.

  $( Show that the original axiom ~ ax-c4 can be derived from ~ ax-4
     ( ~ alim ), ~ ax-10 ( ~ hbn1 ), ~ sp and propositional calculus.  See
     ~ ax4fromc4 for the rederivation of ~ ax-4 from ~ ax-c4 .

     Part of the proof is based on the proof of Lemma 22 of [Monk2] p. 114.
     (Contributed by NM, 21-May-2008.)  (Proof modification is discouraged.) $)
  axc4 $p |- ( A. x ( A. x ph -> ps ) -> ( A. x ph -> A. x ps ) ) $=
    ( wal wi wn sp con2i hbn1 con1i alimi 3syl alim syl5 ) ACDZOCDZOBECDBCDOOFZ
    CDZFZSCDPROQCGHQCISOCORACIJKLOBCMN $.

  ${
    axc4i.1 $e |- ( A. x ph -> ps ) $.
    $( Inference version of ~ axc4 .  (Contributed by NM, 3-Jan-1993.) $)
    axc4i $p |- ( A. x ph -> A. x ps ) $=
      ( wal nfa1 alrimi ) ACEBCACFDG $.
  $}

  ${
    nfal.1 $e |- F/ x ph $.
    $( If ` x ` is not free in ` ph ` , then it is not free in ` A. y ph ` .
       (Contributed by Mario Carneiro, 11-Aug-2016.) $)
    nfal $p |- F/ x A. y ph $=
      ( wal nf5ri hbal nf5i ) ACEBABCABDFGH $.
  $}

  ${
    nfex.1 $e |- F/ x ph $.
    $( If ` x ` is not free in ` ph ` , then it is not free in ` E. y ph ` .
       (Contributed by Mario Carneiro, 11-Aug-2016.)  (Proof shortened by Wolf
       Lammen, 30-Dec-2017.)  Reduce symbol count in ~ nfex , ~ hbex .
       (Revised by Wolf Lammen, 16-Oct-2021.) $)
    nfex $p |- F/ x E. y ph $=
      ( wex wn wal df-ex nfn nfal nfxfr ) ACEAFZCGZFBACHMBLBCABDIJIK $.
  $}

  ${
    hbex.1 $e |- ( ph -> A. x ph ) $.
    $( If ` x ` is not free in ` ph ` , then it is not free in ` E. y ph ` .
       (Contributed by NM, 12-Mar-1993.)  Reduce symbol count in ~ nfex ,
       ~ hbex .  (Revised by Wolf Lammen, 16-Oct-2021.) $)
    hbex $p |- ( E. y ph -> A. x E. y ph ) $=
      ( wex nf5i nfex nf5ri ) ACEBABCABDFGH $.
  $}

  ${
    nfnf.1 $e |- F/ x ph $.
    $( If ` x ` is not free in ` ph ` , then it is not free in ` F/ y ph ` .
       (Contributed by Mario Carneiro, 11-Aug-2016.)  (Proof shortened by Wolf
       Lammen, 30-Dec-2017.) $)
    nfnf $p |- F/ x F/ y ph $=
      ( wnf wex wal wi df-nf nfex nfal nfim nfxfr ) ACEACFZACGZHBACINOBABCDJABC
      DKLM $.
  $}

  $( Theorem 19.12 of [Margaris] p. 89.  Assuming the converse is a mistake
     sometimes made by beginners!  But sometimes the converse does hold, as in
     ~ 19.12vv and ~ r19.12sn .  (Contributed by NM, 12-Mar-1993.)  (Proof
     shortened by Wolf Lammen, 3-Jan-2018.) $)
  19.12 $p |- ( E. x A. y ph -> A. y E. x ph ) $=
    ( wal wex nfa1 nfex sp eximi alrimi ) ACDZBEABECKCBACFGKABACHIJ $.

  ${
    nfald.1 $e |- F/ y ph $.
    nfald.2 $e |- ( ph -> F/ x ps ) $.
    $( Deduction form of ~ nfal .  (Contributed by Mario Carneiro,
       24-Sep-2016.)  (Proof shortened by Wolf Lammen, 16-Oct-2021.) $)
    nfald $p |- ( ph -> F/ x A. y ps ) $=
      ( wal wex 19.12 nfrd alimd ax-11 syl56 nfd ) ABDGZCOCHBCHZDGABCGZDGOCGBCD
      IAPQDEABCFJKBDCLMN $.

    $( If ` x ` is not free in ` ps ` , then it is not free in ` E. y ps ` .
       (Contributed by Mario Carneiro, 24-Sep-2016.) $)
    nfexd $p |- ( ph -> F/ x E. y ps ) $=
      ( wex wn wal df-ex nfnd nfald nfxfrd ) BDGBHZDIZHACBDJAOCANCDEABCFKLKM $.
  $}

  ${
    $d w x z $.  $d w y z $.  $d w ph $.
    nfsbv.nf $e |- F/ z ph $.
    $( If ` z ` is not free in ` ph ` , then it is not free in ` [ y / x ] ph `
       when ` z ` is disjoint from both ` x ` and ` y ` .  Version of ~ nfsb
       with an additional disjoint variable condition on ` x , z ` but not
       requiring ~ ax-13 .  (Contributed by Mario Carneiro, 11-Aug-2016.)
       (Revised by Wolf Lammen, 7-Feb-2023.)  Remove disjoint variable
       condition on ` x , y ` .  (Revised by Steven Nguyen, 13-Aug-2023.)
       (Proof shortened by Wolf Lammen, 25-Oct-2024.) $)
    nfsbv $p |- F/ z [ y / x ] ph $=
      ( wsb nf5ri hbsbw nf5i ) ABCFDABCDADEGHI $.

    $( Obsolete version of ~ nfsbv as of 25-Oct-2024.  (Contributed by Mario
       Carneiro, 11-Aug-2016.)  (Revised by Wolf Lammen, 7-Feb-2023.)  Remove
       disjoint variable condition on ` x , y ` .  (Revised by Steven Nguyen,
       13-Aug-2023.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    nfsbvOLD $p |- F/ z [ y / x ] ph $=
      ( vw wsb weq wi wal df-sb nfv nfim nfal nfxfr ) ABCGFCHZBFHZAIZBJZIZFJDAB
      FCKTDFPSDPDLRDBQADQDLEMNMNO $.
  $}

  ${
    $d x z $.  $d y z $.
    hbsbwOLD.1 $e |- ( ph -> A. z ph ) $.
    $( Obsolete version of ~ hbsbw as of 23-May-2024.  (Contributed by NM,
       12-Aug-1993.)  (Revised by Gino Giotto, 10-Jan-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    hbsbwOLD $p |- ( [ y / x ] ph -> A. z [ y / x ] ph ) $=
      ( wsb nf5i nfsbv nf5ri ) ABCFDABCDADEGHI $.
  $}

  ${
    $d x z $.  $d y z $.
    sbco2v.1 $e |- F/ z ph $.
    $( A composition law for substitution.  Version of ~ sbco2 with disjoint
       variable conditions but not requiring ~ ax-13 .  (Contributed by NM,
       30-Jun-1994.)  (Revised by Wolf Lammen, 29-Apr-2023.) $)
    sbco2v $p |- ( [ y / z ] [ z / x ] ph <-> [ y / x ] ph ) $=
      ( wsb nfsbv sbequ sbiev ) ABDFABCFDCABCDEGADCBHI $.
  $}

  ${
    aaan.1 $e |- F/ y ph $.
    aaan.2 $e |- F/ x ps $.
    $( Distribute universal quantifiers.  (Contributed by NM, 12-Aug-1993.) $)
    aaan $p |- ( A. x A. y ( ph /\ ps ) <-> ( A. x ph /\ A. y ps ) ) $=
      ( wa wal 19.28 albii nfal 19.27 bitri ) ABGDHZCHABDHZGZCHACHOGNPCABDEIJAO
      CBCDFKLM $.
  $}

  ${
    eeor.1 $e |- F/ y ph $.
    eeor.2 $e |- F/ x ps $.
    $( Distribute existential quantifiers.  (Contributed by NM, 8-Aug-1994.) $)
    eeor $p |- ( E. x E. y ( ph \/ ps ) <-> ( E. x ph \/ E. y ps ) ) $=
      ( wo wex 19.45 exbii nfex 19.44 bitri ) ABGDHZCHABDHZGZCHACHOGNPCABDEIJAO
      CBCDFKLM $.
  $}

  ${
    $d x y $.
    cbv3v.nf1 $e |- F/ y ph $.
    cbv3v.nf2 $e |- F/ x ps $.
    cbv3v.1 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbv3 with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by NM, 5-Aug-1993.)  (Revised by BJ,
       31-May-2019.) $)
    cbv3v $p |- ( A. x ph -> A. y ps ) $=
      ( wal nf5ri hbal spimfv alrimih ) ACHBDADCADEIJABCDFGKL $.
  $}

  ${
    $d x y $.
    cbv1v.1 $e |- F/ x ph $.
    cbv1v.2 $e |- F/ y ph $.
    cbv1v.3 $e |- ( ph -> F/ y ps ) $.
    cbv1v.4 $e |- ( ph -> F/ x ch ) $.
    cbv1v.5 $e |- ( ph -> ( x = y -> ( ps -> ch ) ) ) $.
    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbv1 with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by NM, 5-Aug-1993.)  (Revised by BJ,
       16-Jun-2019.) $)
    cbv1v $p |- ( ph -> ( A. x ps -> A. y ch ) ) $=
      ( wal wi nfim1 weq com12 a2d cbv3v 19.21 3imtr3i pm2.86i ) ABDKZCEKZABLZD
      KACLZEKAUALAUBLUCUDDEABEGHMACDFIMDENZABCAUEBCLJOPQABDFRACEGRST $.
  $}

  ${
    $d x y $.
    cbv2w.1 $e |- F/ x ph $.
    cbv2w.2 $e |- F/ y ph $.
    cbv2w.3 $e |- ( ph -> F/ y ps ) $.
    cbv2w.4 $e |- ( ph -> F/ x ch ) $.
    cbv2w.5 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbv2 with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by NM, 5-Aug-1993.)  (Revised by Gino
       Giotto, 10-Jan-2024.) $)
    cbv2w $p |- ( ph -> ( A. x ps <-> A. y ch ) ) $=
      ( wal weq wb wi biimp syl6 cbv1v equcomi biimpr syl56 impbid ) ABDKCEKABC
      DEFGHIADELZBCMZBCNJBCOPQACBEDGFIHEDLUBAUCCBNEDRJBCSTQUA $.
  $}

  ${
    $d x ph $.  $d x ch $.  $d x y $.
    cbvaldw.1 $e |- F/ y ph $.
    cbvaldw.2 $e |- ( ph -> F/ y ps ) $.
    cbvaldw.3 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Deduction used to change bound variables, using implicit substitution.
       Version of ~ cbvald with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by NM, 2-Jan-2002.)  (Revised by Gino
       Giotto, 10-Jan-2024.) $)
    cbvaldw $p |- ( ph -> ( A. x ps <-> A. y ch ) ) $=
      ( nfv nfvd cbv2w ) ABCDEADIFGACDJHK $.

    $( Deduction used to change bound variables, using implicit substitution.
       Version of ~ cbvexd with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by NM, 2-Jan-2002.)  (Revised by Gino
       Giotto, 10-Jan-2024.) $)
    cbvexdw $p |- ( ph -> ( E. x ps <-> E. y ch ) ) $=
      ( wex wn wal nfnd weq wb notbi syl6ib cbvaldw alnex 3bitr3g con4bid ) ABD
      IZCEIZABJZDKCJZEKUAJUBJAUCUDDEFABEGLADEMBCNUCUDNHBCOPQBDRCERST $.
  $}

  ${
    $d x y $.
    cbv3hv.nf1 $e |- ( ph -> A. y ph ) $.
    cbv3hv.nf2 $e |- ( ps -> A. x ps ) $.
    cbv3hv.1 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbv3h with a disjoint variable condition on ` x , y ` ,
       which does not require ~ ax-13 .  Was used in a proof of ~ axc11n (but
       of independent interest).  (Contributed by NM, 25-Jul-2015.)  (Proof
       shortened by Wolf Lammen, 29-Nov-2020.)  (Proof shortened by BJ,
       30-Nov-2020.) $)
    cbv3hv $p |- ( A. x ph -> A. y ps ) $=
      ( nf5i cbv3v ) ABCDADEHBCFHGI $.
  $}

  ${
    $d x y $.
    cbvalv1.nf1 $e |- F/ y ph $.
    cbvalv1.nf2 $e |- F/ x ps $.
    cbvalv1.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbval with a disjoint variable condition, which does not
       require ~ ax-13 .  See ~ cbvalvw for a version with two more disjoint
       variable conditions, requiring fewer axioms, and ~ cbvalv for another
       variant.  (Contributed by NM, 13-May-1993.)  (Revised by BJ,
       31-May-2019.) $)
    cbvalv1 $p |- ( A. x ph <-> A. y ps ) $=
      ( wal weq biimpd cbv3v wi biimprd equcoms impbii ) ACHBDHABCDEFCDIZABGJKB
      ADCFEBALCDPABGMNKO $.

    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbvex with a disjoint variable condition, which does not
       require ~ ax-13 .  See ~ cbvexvw for a version with two disjoint
       variable conditions, requiring fewer axioms, and ~ cbvexv for another
       variant.  (Contributed by NM, 21-Jun-1993.)  (Revised by BJ,
       31-May-2019.) $)
    cbvexv1 $p |- ( E. x ph <-> E. y ps ) $=
      ( wex wn wal nfn weq notbid cbvalv1 alnex 3bitr3i con4bii ) ACHZBDHZAIZCJ
      BIZDJRISITUACDADEKBCFKCDLABGMNACOBDOPQ $.
  $}

  ${
    $d x y z w $.
    cbval2v.1 $e |- F/ z ph $.
    cbval2v.2 $e |- F/ w ph $.
    cbval2v.3 $e |- F/ x ps $.
    cbval2v.4 $e |- F/ y ps $.
    cbval2v.5 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbval2 with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by NM, 22-Dec-2003.)  (Revised by BJ,
       16-Jun-2019.)  (Proof shortened by Gino Giotto, 10-Jan-2024.) $)
    cbval2v $p |- ( A. x A. y ph <-> A. z A. w ps ) $=
      ( wal nfal weq nfv wnf a1i wb ex cbv2w cbvalv1 ) ADLBFLCEAEDGMBCFIMCENZAB
      DFUBDOUBFOAFPUBHQBDPUBJQUBDFNABRKSTUA $.

    $( Obsolete version of ~ cbval2v as of 14-Jan-2024.  (Contributed by BJ,
       16-Jan-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    cbval2vOLD $p |- ( A. x A. y ph <-> A. z A. w ps ) $=
      ( wal nfal weq wi nfv nfim wb cbvalv1 19.21v pm5.74d 3bitr3i pm5.74ri
      expcom ) ADLZBFLZCEAEDGMBCFIMCENZUEUFUGAOZDLUGBOZFLUGUEOUGUFOUHUIDFUGAFUG
      FPHQUGBDUGDPJQDFNZUGABUGUJABRKUDUASUGADTUGBFTUBUCS $.

    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbvex2 with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by NM, 14-Sep-2003.)  (Revised by BJ,
       16-Jun-2019.) $)
    cbvex2v $p |- ( E. x E. y ph <-> E. z E. w ps ) $=
      ( wex wn wal nfn weq wa notbid cbval2v 2nexaln 3bitr4i con4bii ) ADLCLZBF
      LELZAMZDNCNBMZFNENUCMUDMUEUFCDEFAEGOAFHOBCIOBDJOCEPDFPQABKRSACDTBEFTUAUB
      $.
  $}

  ${
    $d x z $.  $d y z $.
    dvelimhw.1 $e |- ( ph -> A. x ph ) $.
    dvelimhw.2 $e |- ( ps -> A. z ps ) $.
    dvelimhw.3 $e |- ( z = y -> ( ph <-> ps ) ) $.
    dvelimhw.4 $e |- ( -. A. x x = y -> ( y = z -> A. x y = z ) ) $.
    $( Proof of ~ dvelimh without using ~ ax-13 but with additional distinct
       variable conditions.  (Contributed by NM, 1-Oct-2002.)  (Revised by
       Andrew Salmon, 21-Jul-2011.)  (Revised by NM, 1-Aug-2017.)  (Proof
       shortened by Wolf Lammen, 23-Dec-2018.) $)
    dvelimhw $p |- ( -. A. x x = y -> ( ps -> A. x ps ) ) $=
      ( weq wal wn wi wnf nfv equcom nfna1 nf5d nfxfrd nf5i a1i nfimd equsalhw
      nfald nfbii sylib nf5rd ) CDJZCKLZBCUIEDJZAMZEKZCNBCNUIUKCEUIEOUIUJACUJDE
      JZUICEDPUIUMCUHCQIRSACNUIACFTUAUBUDULBCABEDGHUCUEUFUG $.
  $}

  ${
    $d ph y $.  $d ps x $.
    $( Theorem *11.53 in [WhiteheadRussell] p. 164.  See ~ pm11.53v for a
       version requiring fewer axioms.  (Contributed by Andrew Salmon,
       24-May-2011.) $)
    pm11.53 $p |- ( A. x A. y ( ph -> ps ) <-> ( E. x ph -> A. y ps ) ) $=
      ( wi wal wex 19.21v albii nfv nfal 19.23 bitri ) ABEDFZCFABDFZEZCFACGOENP
      CABDHIAOCBCDBCJKLM $.
  $}

  ${
    $d x ps $.  $d y ph $.
    $( Special case of ~ 19.12 where its converse holds.  See ~ 19.12vvv for a
       version with a disjoint variable condition requiring fewer axioms.
       (Contributed by NM, 18-Jul-2001.)  (Revised by Andrew Salmon,
       11-Jul-2011.) $)
    19.12vv $p |- ( E. x A. y ( ph -> ps ) <-> A. y E. x ( ph -> ps ) ) $=
      ( wi wal wex 19.21v exbii nfv nfal 19.36 19.36v albii 19.21 bitr2i 3bitri
      ) ABEZDFZCGABDFZEZCGACFZTEZRCGZDFZSUACABDHIATCBCDBCJKLUEUBBEZDFUCUDUFDABC
      MNUBBDADCADJKOPQ $.
  $}

  ${
    eean.1 $e |- F/ y ph $.
    eean.2 $e |- F/ x ps $.
    $( Distribute existential quantifiers.  (Contributed by NM, 27-Oct-2010.)
       (Revised by Mario Carneiro, 6-Oct-2016.) $)
    eean $p |- ( E. x E. y ( ph /\ ps ) <-> ( E. x ph /\ E. y ps ) ) $=
      ( wa wex 19.42 exbii nfex 19.41 bitri ) ABGDHZCHABDHZGZCHACHOGNPCABDEIJAO
      CBCDFKLM $.
  $}

  ${
    $d y ph $.  $d x ps $.
    $( Distribute a pair of existential quantifiers over a conjunction.
       Combination of ~ 19.41v and ~ 19.42v .  For a version requiring fewer
       axioms but with additional disjoint variable conditions, see
       ~ exdistrv .  (Contributed by NM, 26-Jul-1995.) $)
    eeanv $p |- ( E. x E. y ( ph /\ ps ) <-> ( E. x ph /\ E. y ps ) ) $=
      ( nfv eean ) ABCDADEBCEF $.
  $}

  ${
    $d y ph $.  $d z ph $.  $d x ps $.  $d z ps $.  $d x ch $.  $d y ch $.
    $( Distribute three existential quantifiers over a conjunction.
       (Contributed by NM, 26-Jul-1995.)  (Proof shortened by Andrew Salmon,
       25-May-2011.)  Reduce distinct variable restrictions.  (Revised by Wolf
       Lammen, 20-Jan-2018.) $)
    eeeanv $p |- ( E. x E. y E. z ( ph /\ ps /\ ch ) <->
                                         ( E. x ph /\ E. y ps /\ E. z ch ) ) $=
      ( wa wex w3a eeanv anbi1i df-3an exbii 19.42v bitri 2exbii nfv nfex 19.41
      3bitri 3bitr4i ) ABGZEHZDHZCFHZGZADHZBEHZGZUEGABCIZFHZEHDHZUGUHUEIUDUIUEA
      BDEJKULUBUEGZEHZDHUCUEGZDHUFUKUMDEUKUBCGZFHUMUJUPFABCLMUBCFNOPUNUODUBUEEC
      EFCEQRSMUCUEDCDFCDQRSTUGUHUELUA $.
  $}

  ${
    $d z ph $.  $d w ph $.  $d x ps $.  $d y ps $.  $d y z $.  $d w x $.
    $( Distribute two pairs of existential quantifiers over a conjunction.  For
       a version requiring fewer axioms but with additional disjoint variable
       conditions, see ~ 4exdistrv .  (Contributed by NM, 31-Jul-1995.) $)
    ee4anv $p |- ( E. x E. y E. z E. w ( ph /\ ps ) <->
                                          ( E. x E. y ph /\ E. z E. w ps ) ) $=
      ( wa wex excom exbii eeanv 2exbii 3bitri ) ABGFHZEHDHZCHNDHZEHZCHADHZBFHZ
      GZEHCHRCHSEHGOQCNDEIJPTCEABDFKLRSCEKM $.
  $}

  ${
    $d x y $.
    sb8v.nf $e |- F/ y ph $.
    $( Substitution of variable in universal quantifier.  Version of ~ sb8 with
       a disjoint variable condition, not requiring ~ ax-13 .  (Contributed by
       NM, 16-May-1993.)  (Revised by Wolf Lammen, 19-Jan-2023.) $)
    sb8v $p |- ( A. x ph <-> A. y [ y / x ] ph ) $=
      ( wsb nfs1v sbequ12 cbvalv1 ) AABCEBCDABCFABCGH $.

    $( Substitution of variable in existential quantifier.  Version of ~ sb8e
       with a disjoint variable condition, not requiring ~ ax-13 .
       (Contributed by NM, 12-Aug-1993.)  (Revised by Wolf Lammen,
       19-Jan-2023.) $)
    sb8ev $p |- ( E. x ph <-> E. y [ y / x ] ph ) $=
      ( wsb nfs1v sbequ12 cbvexv1 ) AABCEBCDABCFABCGH $.
  $}

  ${
    $d z x $.  $d z w y $.
    2sb8ev.1 $e |- F/ w ph $.
    2sb8ev.2 $e |- F/ z ph $.
    $( An equivalent expression for double existence.  Version of ~ 2sb8e with
       more disjoint variable conditions, not requiring ~ ax-13 .  (Contributed
       by Wolf Lammen, 28-Jan-2023.) $)
    2sb8ev $p |- ( E. x E. y ph <->
                  E. z E. w [ z / x ] [ w / y ] ph ) $=
      ( wex wsb sb8ev exbii excom bitri nfsbv 3bitri ) ACHZBHZACEIZBHZEHZRBDIZD
      HZEHUAEHDHQREHZBHTPUCBACEFJKRBELMSUBERBDACEDGNJKUAEDLO $.
  $}

  ${
    $d x y $.
    sb6rfv.nf $e |- F/ y ph $.
    $( Reversed substitution.  Version of ~ sb6rf requiring disjoint variables,
       but fewer axioms.  (Contributed by NM, 1-Aug-1993.)  (Revised by Wolf
       Lammen, 7-Feb-2023.) $)
    sb6rfv $p |- ( ph <-> A. y ( y = x -> [ y / x ] ph ) ) $=
      ( weq wsb wi wal sbequ12r equsalv bicomi ) CBEABCFZGCHALACBDACBIJK $.
  $}

  ${
    $d x y z $.  $d y z ph $.
    $( Two ways of expressing " ` x ` is (effectively) not free in ` ph ` ".
       (Contributed by G&eacute;rard Lang, 14-Nov-2013.)  (Revised by Mario
       Carneiro, 6-Oct-2016.)  (Proof shortened by Wolf Lammen, 22-Sep-2018.)
       Avoid ~ ax-13 .  (Revised by Wolf Lammen, 30-Jan-2023.) $)
    sbnf2 $p |- ( F/ x ph
       <-> A. y A. z ( [ y / x ] ph <-> [ z / x ] ph ) ) $=
      ( wnf wa wsb wi wal wb wex nfv sb8ev imbi12i df-nf pm11.53v 3bitr4i alcom
      sb8v bitri anbi12i pm4.24 2albiim ) ABEZUDFABCGZABDGZHDICIZUFUEHZDICIZFUD
      UEUFJDICIUDUGUDUIABKZABIZHZUECKZUFDIZHUDUGUJUMUKUNABCACLZMABDADLZSNABOZUE
      UFCDPQUDUHCIDIZUIULUFDKZUECIZHUDURUJUSUKUTABDUPMABCUOSNUQUFUEDCPQUHDCRTUA
      UDUBUEUFCDUCQ $.
  $}

  ${
    $d x y $.  $d y ph $.
    $( An equivalent expression for existence.  One direction ( ~ exsbim )
       needs fewer axioms.  (Contributed by NM, 2-Feb-2005.)  Avoid ~ ax-13 .
       (Revised by Wolf Lammen, 16-Oct-2022.) $)
    exsb $p |- ( E. x ph <-> E. y A. x ( x = y -> ph ) ) $=
      ( weq wi wal nfv nfa1 ax12v sp com12 impbid cbvexv1 ) ABCDZAEZBFZBCACGOBH
      NAPABCIPNAOBJKLM $.
  $}

  ${
    $d x y z $.  $d y w $.  $d z w ph $.
    $( An equivalent expression for double existence.  (Contributed by NM,
       2-Feb-2005.)  (Proof shortened by Wolf Lammen, 30-Sep-2018.) $)
    2exsb $p |- ( E. x E. y ph <->
                  E. z E. w A. x A. y ( ( x = z /\ y = w ) -> ph ) ) $=
      ( wex wsb weq wa wi wal nfv 2sb8ev 2sb6 2exbii bitri ) ACFBFACEGBDGZEFDFB
      DHCEHIAJCKBKZEFDFABCDEAELADLMQRDEABCDENOP $.
  $}

  ${
    $d y x $.
    sbbib.y $e |- F/ y ph $.
    sbbib.x $e |- F/ x ps $.
    $( Reversal of substitution.  (Contributed by AV, 6-Aug-2023.)  (Proof
       shortened by Wolf Lammen, 4-Sep-2023.) $)
    sbbib $p |- ( A. y ( [ y / x ] ph <-> ps )
              <-> A. x ( ph <-> [ x / y ] ps ) ) $=
      ( wsb wb nfs1v nfbi weq sbequ12r sbequ12 bibi12d cbvalv1 ) ACDGZBHABDCGZH
      DCPBCACDIFJAQDEBDCIJDCKPABQADCLBDCMNO $.
  $}

  ${
    $d x ps $.  $d y ph $.  $d x y $.
    $( Reversal of substitution.  (Contributed by AV, 6-Aug-2023.) $)
    sbbibvv $p |- ( A. y ( [ y / x ] ph <-> ps )
              <-> A. x ( ph <-> [ x / y ] ps ) ) $=
      ( nfv sbbib ) ABCDADEBCEF $.
  $}

  ${
    $d x y w $.  $d ph w $.  $d ps w $.  $d w z $.
    sbievg.1 $e |- F/ y ph $.
    sbievg.2 $e |- F/ x ps $.
    sbievg.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Substitution applied to expressions linked by implicit substitution.
       The proof was part of a former ~ cbvabw version.  (Contributed by GG and
       WL, 26-Oct-2024.) $)
    sbievg $p |- ( [ z / x ] ph <-> [ z / y ] ps ) $=
      ( vw weq wi wal wsb nfv nfim equequ1 imbi12d cbvalv1 imbi2i df-sb 3bitr4i
      albii ) IEJZCIJZAKZCLZKZILUCDIJZBKZDLZKZILACEMBDEMUGUKIUFUJUCUEUICDUDADUD
      DNFOUHBCUHCNGOCDJUDUHABCDIPHQRSUBACIETBDIETUA $.
    $( $j usage 'sbievg' avoids 'ax-10' 'ax-13'; $)
  $}

  ${
    $d x z $.  $d y z $.
    $( Alternate proof of ~ cleljust .  It is kept here and should not be
       modified because it is referenced on the Metamath Proof Explorer Home
       Page (mmset.html) as an example of how disjoint variable conditions are
       inherited by substitutions.  (Contributed by NM, 28-Jan-2004.)  (Revised
       by BJ, 29-Dec-2020.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    cleljustALT $p |- ( x e. y <-> E. z ( z = x /\ z e. y ) ) $=
      ( weq wel wa wex ax-5 elequ1 equsexhv bicomi ) CADCBEZFCGABEZLMCAMCHCABIJ
      K $.

    $( Alternate proof of ~ cleljust .  Compared with ~ cleljustALT , it uses
       ~ nfv followed by ~ equsexv instead of ~ ax-5 followed by ~ equsexhv ,
       so it uses the idiom ` F/ x ph ` instead of ` ph -> A. x ph ` to express
       nonfreeness.  This style is generally preferred for later theorems.
       (Contributed by NM, 28-Jan-2004.)  (Revised by Mario Carneiro,
       21-Dec-2016.)  (Revised by BJ, 29-Dec-2020.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    cleljustALT2 $p |- ( x e. y <-> E. z ( z = x /\ z e. y ) ) $=
      ( weq wel wa wex nfv elequ1 equsexv bicomi ) CADCBEZFCGABEZLMCAMCHCABIJK
      $.
  $}

  $( Alternate proof of ~ equs5a .  Uses ~ ax-12 but not ~ ax-13 .
     (Contributed by NM, 2-Feb-2007.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  equs5aALT $p |- ( E. x ( x = y /\ A. y ph ) -> A. x ( x = y -> ph ) ) $=
    ( weq wal wa wi nfa1 ax-12 imp exlimi ) BCDZACEZFLAGZBEZBNBHLMOABCIJK $.

  $( Alternate proof of ~ equs5e .  Uses ~ ax-12 but not ~ ax-13 .
     (Contributed by NM, 2-Feb-2007.)  (Proof shortened by Wolf Lammen,
     15-Jan-2018.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  equs5eALT $p |- ( E. x ( x = y /\ ph ) -> A. x ( x = y -> E. y ph ) ) $=
    ( weq wa wex wi wal nfa1 hbe1 19.23bi ax-12 syl5 imp exlimi ) BCDZAEPACFZGZ
    BHZBRBIPASAQCHZPSATCACJKQBCLMNO $.

  $( Same as ~ axc11 but with reversed antecedent.  Note the use of ~ ax-12
     (and not merely ~ ax12v as in ~ axc11rv ).

     This theorem is mostly used to eliminate conditions requiring set
     variables be distinct (cf. ~ cbvaev and ~ aecom , for example) in proofs.
     In practice, theorems beyond elementary set theory do not really benefit
     from such eliminations.  As of 2024, it is used in conjunction with
     ~ ax-13 only, and like that, it should be applied only in niches where
     indispensable.  (Contributed by NM, 25-Jul-2015.) $)
  axc11r $p |- ( A. y y = x -> ( A. x ph -> A. y ph ) ) $=
    ( weq wal wi ax-12 sps pm2.27 al2imi syld ) CBDZCEABEZLAFZCEZACELMOFCACBGHL
    NACLAIJK $.

  ${
    $d x y $.
    dral1v.1 $e |- ( A. x x = y -> ( ph <-> ps ) ) $.
    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Version of ~ dral1 with a disjoint variable condition, which does not
       require ~ ax-13 .  Remark: the corresponding versions for ~ dral2 and
       ~ drex2 are instances of ~ albidv and ~ exbidv respectively.
       (Contributed by NM, 24-Nov-1994.)  (Revised by BJ, 17-Jun-2019.)  Base
       the proof on ~ ax12v .  (Revised by Wolf Lammen, 30-Mar-2024.) $)
    dral1v $p |- ( A. x x = y -> ( A. x ph <-> A. y ps ) ) $=
      ( weq wal nfa1 albid axc11v axc11rv impbid bitrd ) CDFZCGZACGBCGZBDGZOABC
      NCHEIOPQBCDJBCDKLM $.

    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Version of ~ drex1 with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by NM, 27-Feb-2005.)  (Revised by BJ,
       17-Jun-2019.) $)
    drex1v $p |- ( A. x x = y -> ( E. x ph <-> E. y ps ) ) $=
      ( weq wal wn wex notbid dral1v df-ex 3bitr4g ) CDFCGZAHZCGZHBHZDGZHACIBDI
      NPROQCDNABEJKJACLBDLM $.

    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Version of ~ drnf1 with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by Mario Carneiro, 4-Oct-2016.)
       (Revised by BJ, 17-Jun-2019.) $)
    drnf1v $p |- ( A. x x = y -> ( F/ x ph <-> F/ y ps ) ) $=
      ( weq wal wi wnf dral1v imbi12d nf5 3bitr4g ) CDFCGZAACGZHZCGBBDGZHZDGACI
      BDIPRCDNABOQEABCDEJKJACLBDLM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Axiom scheme ax-13 (Quantified Equality)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Axiom of Quantified Equality.  One of the equality and substitution axioms
     of predicate calculus with equality.

     An equivalent way to express this axiom that may be easier to understand
     is ` ( -. x = y -> ( -. x = z -> ( y = z -> A. x y = z ) ) ) ` (see
     ~ ax13b ).  Recall that in the intended interpretation, our variables are
     metavariables ranging over the variables of predicate calculus (the object
     language).  In order for the first antecedent ` -. x = y ` to hold, ` x `
     and ` y ` must have different values and thus cannot be the same
     object-language variable (so they are effectively "distinct variables"
     even though no $d is present).  Similarly, ` x ` and ` z ` cannot be the
     same object-language variable.  Therefore, ` x ` will not occur in the wff
     ` y = z ` when the first two antecedents hold, so analogous to ~ ax-5 ,
     the conclusion ` ( y = z -> A. x y = z ) ` follows.  Note that ~ ax-5
     cannot prove this because its distinct variable ($d) requirement is not
     satisfied directly but only indirectly (outside of Metamath) by the
     argument above.

     The original version of this axiom was ~ ax-c9 and was replaced with this
     shorter ~ ax-13 in December 2015.  The old axiom is proved from this one
     as Theorem ~ axc9 .

     The primary purpose of this axiom is to provide a way to introduce the
     quantifier ` A. x ` on ` y = z ` even when ` x ` and ` y ` are substituted
     with the same variable.  In this case, the first antecedent becomes
     ` -. x = x ` and the axiom still holds.

     This axiom is mostly used to eliminate conditions requiring set variables
     be distinct (cf. ~ ax6ev and ~ ax6e , for example) in proofs.  In
     practice, theorems beyond elementary set theory do not really benefit from
     such eliminations, so direct or indirect application of this axiom is
     discouraged now.  You need to explicitly confirm its use in case you see a
     sensible application in a niche.

     After some assisting contributions by others over the years, it was in
     particular the extensive work of Gino Giotto in 2024 that helped reducing
     dependencies on this axiom on a large scale.

     Although this version is shorter, the original version ~ axc9 may be more
     practical to work with because of the "distinctor" form of its
     antecedents.  A typical application of ~ axc9 is in ~ dvelimh which
     converts a distinct variable pair to the distinctor antecedent
     ` -. A. x x = y ` .  In particular, it is conjectured that it is not
     possible to prove ~ ax6 from ~ ax6v without this axiom.

     This axiom can be weakened if desired by adding distinct variable
     restrictions on pairs ` x , z ` and ` y , z ` .  To show that, we add
     these restrictions to Theorem ~ ax13v and use only ~ ax13v for further
     derivations.  Thus, ~ ax13v should be the only theorem referencing this
     axiom.  Other theorems can reference either ~ ax13v (preferred) or ~ ax13
     (if the stronger form is needed).

     This axiom scheme is logically redundant (see ~ ax13w ) but is used as an
     auxiliary axiom scheme to achieve scheme completeness (i.e. so that all
     possible cases of bundling can be proved; see text linked at
     ~ mmtheorems.html#ax6dgen ).  It is not known whether this axiom can be
     derived from the others.  (Contributed by NM, 21-Dec-2015.)
     (New usage is discouraged.) $)
  ax-13 $a |- ( -. x = y -> ( y = z -> A. x y = z ) ) $.

  ${
    $d x z $.  $d y z $.
    $( A weaker version of ~ ax-13 with distinct variable restrictions on pairs
       ` x , z ` and ` y , z ` .  In order to show (with ~ ax13 ) that this
       weakening is still adequate, this should be the only theorem referencing
       ~ ax-13 directly.

       Had we additionally required ` x ` and ` y ` be distinct, too, this
       theorem would have been a direct consequence of ~ ax-5 .  So essentially
       this theorem states, that a distinct variable condition can be replaced
       with an inequality between set variables.  Preferably, use the version
       ~ ax13w to avoid the propagation of ~ ax-13 .  (Contributed by NM,
       30-Jun-2016.)  (New usage is discouraged.) $)
    ax13v $p |- ( -. x = y -> ( y = z -> A. x y = z ) ) $=
      ( ax-13 ) ABCD $.
  $}

  ${
    $d x z w $.  $d y w $.
    $( A version of ~ ax13v with one distinct variable restriction dropped.
       For convenience, ` y ` is kept on the right side of equations.  The
       proof of ~ ax13 bases on ideas from NM, 24-Dec-2015.  (Contributed by
       Wolf Lammen, 8-Sep-2018.)  (New usage is discouraged.) $)
    ax13lem1 $p |- ( -. x = y -> ( z = y -> A. x z = y ) ) $=
      ( vw weq wa wex wal equvinva ax13v equeucl alimdv syl9 impd exlimdv syl5
      wn ) CBEZCDEZBDEZFZDGABEQZRAHZCBDIUBUAUCDUBSTUCUBTTAHSUCABDJSTRACBDKLMNOP
      $.
  $}

  ${
    $d x w $.  $d z w $.  $d y w $.
    $( Derive ~ ax-13 from ~ ax13v and Tarski's FOL. This shows that the
       weakening in ~ ax13v is still sufficient for a complete system.
       Preferably, use the weaker ~ ax13w to avoid the propagation of ~ ax-13 .
       (Contributed by NM, 21-Dec-2015.)  (Proof shortened by Wolf Lammen,
       31-Jan-2018.)  Reduce axiom usage.  (Revised by Wolf Lammen,
       2-Jun-2021.)  (New usage is discouraged.) $)
    ax13 $p |- ( -. x = y -> ( y = z -> A. x y = z ) ) $=
      ( vw weq wn wal wi wa wex equvinv ax13lem1 imp ax7v1 alanimi an4s exlimdv
      syl2an ex syl5bi ax13b mpbir ) ABEFZBCEZUDAGZHZHUCACEFZUFHHUCUGUFUDDBEZDC
      EZIZDJUCUGIZUEBCDKUKUJUEDUKUJUEUCUHUGUIUEUCUHIUHAGZUIAGZUEUGUIIUCUHULABDL
      MUGUIUMACDLMUHUIUDAUHUIUDDBCNMORPSQTSUEABCUAUB $.
  $}

  ${
    $d w x z $.  $d w y $.
    $( Lemma for ~ nfeqf2 .  This lemma is equivalent to ~ ax13v with one
       distinct variable constraint removed.  (Contributed by Wolf Lammen,
       8-Sep-2018.)  Reduce axiom usage.  (Revised by Wolf Lammen,
       18-Oct-2020.)  (New usage is discouraged.) $)
    ax13lem2 $p |- ( -. x = y -> ( E. x z = y -> z = y ) ) $=
      ( vw weq wn wex wi wal ax13lem1 equeucl eximi 19.36v syl9 alrimdv equequ2
      sylib equsalvw syl6ib ) ABEFZCBEZAGZDBEZCDEZHZDIUATUBUEDTUCUCAIZUBUDABDJU
      BUEAGUFUDHUAUEACDBKLUCUDAMQNOUDUADBDBCPRS $.
  $}

  ${
    $d x z $.
    $( An equation between setvar is free of any other setvar.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  (Contributed by
       Wolf Lammen, 9-Jun-2019.)  Remove dependency on ~ ax-12 .  (Revised by
       Wolf Lammen, 16-Dec-2022.)  (New usage is discouraged.) $)
    nfeqf2 $p |- ( -. A. x x = y -> F/ x z = y ) $=
      ( weq wal wex wnf exnal hbe1 ax13lem2 ax13lem1 syldc eximdh hbe1a syl6com
      wn nfd sylbir ) ABDZAEPSPZAFZCBDZAGSAHUAUBAUBAFZUAUBAEZAFUDUCTUDAUBAITUCU
      BUDABCJABCKLMUBANOQR $.
  $}

  ${
    $d x z $.
    $( Quantifier introduction when one pair of variables is distinct.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 2-Jan-2002.)  (Revised by NM, 20-Jul-2015.)  Remove
       dependency on ~ ax-11 .  (Revised by Wolf Lammen, 8-Sep-2018.)
       (New usage is discouraged.) $)
    dveeq2 $p |- ( -. A. x x = y -> ( z = y -> A. x z = y ) ) $=
      ( weq wal wn nfeqf2 nf5rd ) ABDAEFCBDAABCGH $.
  $}

  ${
    $d x z $.
    $( An equation between setvar is free of any other setvar.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  (Contributed by
       Wolf Lammen, 10-Jun-2019.)  (New usage is discouraged.) $)
    nfeqf1 $p |- ( -. A. x x = y -> F/ x y = z ) $=
      ( weq wal wn wnf nfeqf2 equcom nfbii sylib ) ABDAEFCBDZAGBCDZAGABCHLMACBI
      JK $.
  $}

  ${
    $d x z $.
    $( Quantifier introduction when one pair of variables is distinct.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 2-Jan-2002.)  Remove dependency on ~ ax-11 .
       (Revised by Wolf Lammen, 8-Sep-2018.)  (New usage is discouraged.) $)
    dveeq1 $p |- ( -. A. x x = y -> ( y = z -> A. x y = z ) ) $=
      ( weq wal wn nfeqf1 nf5rd ) ABDAEFBCDAABCGH $.
  $}

  ${
    $d x w $.  $d y w $.  $d z w $.
    $( A variable is effectively not free in an equality if it is not either of
       the involved variables. ` F/ ` version of ~ ax-c9 .  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  (Contributed by
       Mario Carneiro, 6-Oct-2016.)  Remove dependency on ~ ax-11 .  (Revised
       by Wolf Lammen, 6-Sep-2018.)  (New usage is discouraged.) $)
    nfeqf $p |- ( ( -. A. z z = x /\ -. A. z z = y ) -> F/ z x = y ) $=
      ( vw weq wal wn wa nfna1 nfan wex equvinva dveeq1 imp equtr2 alanimi an4s
      syl2an ex exlimdv syl5 nf5d ) CAEZCFGZCBEZCFGZHZABEZCUDUFCUCCIUECIJUHADEZ
      BDEZHZDKUGUHCFZABDLUGUKULDUGUKULUDUIUFUJULUDUIHUICFZUJCFZULUFUJHUDUIUMCAD
      MNUFUJUNCBDMNUIUJUHCABDOPRQSTUAUB $.
  $}

  $( Derive set.mm's original ~ ax-c9 from the shorter ~ ax-13 .  Usage is
     discouraged to avoid uninformed ~ ax-13 propagation.  (Contributed by NM,
     29-Nov-2015.)  (Revised by NM, 24-Dec-2015.)  (Proof shortened by Wolf
     Lammen, 29-Apr-2018.)  (New usage is discouraged.) $)
  axc9 $p |- ( -. A. z z = x -> ( -. A. z z = y
              -> ( x = y -> A. z x = y ) ) ) $=
    ( weq wal wn wi wa nfeqf nf5rd ex ) CADCEFZCBDCEFZABDZNCEGLMHNCABCIJK $.

  ${
    $d y w $.  $d x w $.
    $( At least one individual exists.  This is not a theorem of free logic,
       which is sound in empty domains.  For such a logic, we would add this
       theorem as an axiom of set theory (Axiom 0 of [Kunen] p. 10).  In the
       system consisting of ~ ax-4 through ~ ax-9 , all axioms other than
       ~ ax-6 are believed to be theorems of free logic, although the system
       without ~ ax-6 is not complete in free logic.

       Usage of this theorem is discouraged because it depends on ~ ax-13 .  It
       is preferred to use ~ ax6ev when it is sufficient.  (Contributed by NM,
       14-May-1993.)  Shortened after ~ ax13lem1 became available.  (Revised by
       Wolf Lammen, 8-Sep-2018.)  (New usage is discouraged.) $)
    ax6e $p |- E. x x = y $=
      ( vw weq wex 19.8a wn wi wal ax13lem1 ax6ev equtr eximii syl6com exlimiiv
      19.35i pm2.61i ) ABDZRAEZRAFCBDZRGZSHCUATTAISABCJTRAACDTRHAACKACBLMPNCBKO
      Q $.
  $}

  $( Theorem showing that ~ ax-6 follows from the weaker version ~ ax6v .
     (Even though this theorem depends on ~ ax-6 , all references of ~ ax-6 are
     made via ~ ax6v .  An earlier version stated ~ ax6v as a separate axiom,
     but having two axioms caused some confusion.)

     This theorem should be referenced in place of ~ ax-6 so that all proofs
     can be traced back to ~ ax6v .  When possible, use the weaker ~ ax6v
     rather than ~ ax6 since the ~ ax6v derivation is much shorter and requires
     fewer axioms.  (Contributed by NM, 12-Nov-2013.)  (Revised by NM,
     25-Jul-2015.)  (Proof shortened by Wolf Lammen, 4-Feb-2018.)  Usage of
     this theorem is discouraged because it depends on ~ ax-13 .  Use ~ ax6v
     instead.  (New usage is discouraged.) $)
  ax6 $p |- -. A. x -. x = y $=
    ( weq wex wn wal ax6e df-ex mpbi ) ABCZADJEAFEABGJAHI $.

  $( Show that the original axiom ~ ax-c10 can be derived from ~ ax6 and ~ axc7
     (on top of propositional calculus, ~ ax-gen , and ~ ax-4 ).  See
     ~ ax6fromc10 for the rederivation of ~ ax6 from ~ ax-c10 .

     Normally, ~ axc10 should be used rather than ~ ax-c10 , except by theorems
     specifically studying the latter's properties.  See ~ bj-axc10v for a
     weaker version requiring fewer axioms.  (Contributed by NM, 5-Aug-1993.)
     (Proof modification is discouraged.)  Usage of this theorem is discouraged
     because it depends on ~ ax-13 .  (New usage is discouraged.) $)
  axc10 $p |- ( A. x ( x = y -> A. x ph ) -> ph ) $=
    ( weq wal wi wn ax6 con3 al2imi mtoi axc7 syl ) BCDZABEZFZBEZOGZBEZGAQSNGZB
    EBCHPRTBNOIJKABLM $.

  $( Closed theorem form of ~ spim .  (Contributed by NM, 15-Jan-2008.)
     (Revised by Mario Carneiro, 17-Oct-2016.)  (Proof shortened by Wolf
     Lammen, 21-Mar-2023.)  Usage of this theorem is discouraged because it
     depends on ~ ax-13 .  (New usage is discouraged.) $)
  spimt $p |- ( ( F/ x ps /\ A. x ( x = y -> ( ph -> ps ) ) ) ->
                                                         ( A. x ph -> ps ) ) $=
    ( weq wi wal wex wnf ax6e exim mpi 19.35 sylib id 19.9d sylan9r ) CDEZABFZF
    CGZACGZBCHZBCIZBTSCHZUAUBFTRCHUDCDJRSCKLABCMNBUCCUCOPQ $.

  ${
    spim.1 $e |- F/ x ps $.
    spim.2 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Specialization, using implicit substitution.  Compare Lemma 14 of
       [Tarski] p. 70.  The ~ spim series of theorems requires that only one
       direction of the substitution hypothesis hold.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  See ~ spimw for a version
       requiring fewer axioms.  (Contributed by NM, 10-Jan-1993.)  (Revised by
       Mario Carneiro, 3-Oct-2016.)  (Proof shortened by Wolf Lammen,
       18-Feb-2018.)  (New usage is discouraged.) $)
    spim $p |- ( A. x ph -> ps ) $=
      ( weq wi ax6e eximii 19.36i ) ABCECDGABHCCDIFJK $.
  $}

  ${
    spimed.1 $e |- ( ch -> F/ x ph ) $.
    spimed.2 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Deduction version of ~ spime .  (Contributed by NM, 14-May-1993.)
       (Revised by Mario Carneiro, 3-Oct-2016.)  (Proof shortened by Wolf
       Lammen, 19-Feb-2018.)  Usage of this theorem is discouraged because it
       depends on ~ ax-13 .  Use ~ spimedv instead.
       (New usage is discouraged.) $)
    spimed $p |- ( ch -> ( ph -> E. x ps ) ) $=
      ( wal wex nf5rd weq wi ax6e eximii 19.35i syl6 ) CAADHBDICADFJABDDEKABLDD
      EMGNOP $.
  $}

  ${
    spime.1 $e |- F/ x ph $.
    spime.2 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Existential introduction, using implicit substitution.  Compare Lemma 14
       of [Tarski] p. 70.  See ~ spimew and ~ spimevw for weaker versions
       requiring fewer axioms.  (Contributed by NM, 7-Aug-1994.)  (Revised by
       Mario Carneiro, 3-Oct-2016.)  (Proof shortened by Wolf Lammen,
       6-Mar-2018.)  Usage of this theorem is discouraged because it depends on
       ~ ax-13 .  Use ~ spimefv instead.  (New usage is discouraged.) $)
    spime $p |- ( ph -> E. x ps ) $=
      ( wex wi wtru wnf a1i spimed mptru ) ABCGHABICDACJIEKFLM $.
  $}

  ${
    $d x ps $.
    spimv.1 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( A version of ~ spim with a distinct variable requirement instead of a
       bound-variable hypothesis.  See ~ spimfv and ~ spimvw for versions
       requiring fewer axioms.  (Contributed by NM, 31-Jul-1993.)  Usage of
       this theorem is discouraged because it depends on ~ ax-13 .  Use
       ~ spimvw instead.  (New usage is discouraged.) $)
    spimv $p |- ( A. x ph -> ps ) $=
      ( nfv spim ) ABCDBCFEG $.

    $( Alternate proof of ~ spimv .  Note that it requires only ~ ax-1 through
       ~ ax-5 together with ~ ax6e .  Currently, proofs derive from ~ ax6v ,
       but if ~ ax-6 could be used instead, this proof would reduce axiom
       usage.  (Contributed by NM, 31-Jul-1993.)  Remove dependency on
       ~ ax-10 .  (Revised by BJ, 29-Nov-2020.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    spimvALT $p |- ( A. x ph -> ps ) $=
      ( weq wi ax6e eximii 19.36iv ) ABCCDFABGCCDHEIJ $.
  $}

  ${
    $d x ph $.
    spimev.1 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Distinct-variable version of ~ spime .  (Contributed by NM,
       10-Jan-1993.)  Usage of this theorem is discouraged because it depends
       on ~ ax-13 .  Use ~ spimevw instead.  (New usage is discouraged.) $)
    spimev $p |- ( ph -> E. x ps ) $=
      ( nfv spime ) ABCDACFEG $.
  $}

  ${
    $d x ps $.
    spv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Specialization, using implicit substitution.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ spvv if
       possible.  (Contributed by NM, 30-Aug-1993.)
       (New usage is discouraged.) $)
    spv $p |- ( A. x ph -> ps ) $=
      ( weq biimpd spimv ) ABCDCDFABEGH $.
  $}

  ${
    spei.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    spei.2 $e |- ps $.
    $( Inference from existential specialization, using implicit substitution.
       Remove a distinct variable constraint.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ speiv if
       possible.  (Contributed by NM, 19-Aug-1993.)  (Proof shortened by Wolf
       Lammen, 12-May-2018.)  (New usage is discouraged.) $)
    spei $p |- E. x ph $=
      ( weq ax6e mpbiri eximii ) CDGZACCDHKABFEIJ $.
  $}

  ${
    chvar.1 $e |- F/ x ps $.
    chvar.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    chvar.3 $e |- ph $.
    $( Implicit substitution of ` y ` for ` x ` into a theorem.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  Use the weaker
       ~ chvarfv if possible.  (Contributed by Raph Levien, 9-Jul-2003.)
       (Revised by Mario Carneiro, 3-Oct-2016.)  (New usage is discouraged.) $)
    chvar $p |- ps $=
      ( weq biimpd spim mpg ) ABCABCDECDHABFIJGK $.
  $}

  ${
    $d x ps $.
    chvarv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    chvarv.2 $e |- ph $.
    $( Implicit substitution of ` y ` for ` x ` into a theorem.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  Use the weaker
       ~ chvarvv if possible.  (Contributed by NM, 20-Apr-1994.)  (Proof
       shortened by Wolf Lammen, 22-Apr-2018.)  (New usage is discouraged.) $)
    chvarv $p |- ps $=
      ( nfv chvar ) ABCDBCGEFH $.
  $}

  ${
    cbv3.1 $e |- F/ y ph $.
    cbv3.2 $e |- F/ x ps $.
    cbv3.3 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution, that
       does not use ~ ax-c9 .  Usage of this theorem is discouraged because it
       depends on ~ ax-13 .  Use the weaker ~ cbv3v if possible.  (Contributed
       by NM, 5-Aug-1993.)  (Proof shortened by Wolf Lammen, 12-May-2018.)
       (New usage is discouraged.) $)
    cbv3 $p |- ( A. x ph -> A. y ps ) $=
      ( wal nf5ri hbal spim alrimih ) ACHBDADCADEIJABCDFGKL $.
  $}

  ${
    cbval.1 $e |- F/ y ph $.
    cbval.2 $e |- F/ x ps $.
    cbval.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Check
       out ~ cbvalw , ~ cbvalvw , ~ cbvalv1 for versions requiring fewer
       axioms.  (Contributed by NM, 13-May-1993.)  (Revised by Mario Carneiro,
       3-Oct-2016.)  (New usage is discouraged.) $)
    cbval $p |- ( A. x ph <-> A. y ps ) $=
      ( wal weq biimpd cbv3 wi biimprd equcoms impbii ) ACHBDHABCDEFCDIZABGJKBA
      DCFEBALCDPABGMNKO $.

    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Check
       out ~ cbvexvw , ~ cbvexv1 for weaker versions requiring fewer axioms.
       (Contributed by NM, 21-Jun-1993.)  (New usage is discouraged.) $)
    cbvex $p |- ( E. x ph <-> E. y ps ) $=
      ( wex wn wal nfn weq notbid cbval alnex 3bitr3i con4bii ) ACHZBDHZAIZCJBI
      ZDJRISITUACDADEKBCFKCDLABGMNACOBDOPQ $.
  $}

  ${
    $d y ph $.  $d x ps $.
    cbvalv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  See
       ~ cbvalvw for a version requiring fewer axioms, to be preferred when
       sufficient.  (Contributed by NM, 5-Aug-1993.)  Remove dependency on
       ~ ax-10 , shorten.  (Revised by Wolf Lammen, 11-Sep-2023.)
       (New usage is discouraged.) $)
    cbvalv $p |- ( A. x ph <-> A. y ps ) $=
      ( nfv cbval ) ABCDADFBCFEG $.

    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  See
       ~ cbvexvw for a version requiring fewer axioms, to be preferred when
       sufficient.  (Contributed by NM, 21-Jun-1993.)  Remove dependency on
       ~ ax-10 , shorten.  (Revised by Wolf Lammen, 11-Sep-2023.)
       (New usage is discouraged.) $)
    cbvexv $p |- ( E. x ph <-> E. y ps ) $=
      ( nfv cbvex ) ABCDADFBCFEG $.
  $}

  ${
    cbv1.1 $e |- F/ x ph $.
    cbv1.2 $e |- F/ y ph $.
    cbv1.3 $e |- ( ph -> F/ y ps ) $.
    cbv1.4 $e |- ( ph -> F/ x ch ) $.
    cbv1.5 $e |- ( ph -> ( x = y -> ( ps -> ch ) ) ) $.
    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  See
       ~ cbv1v with disjoint variable conditions, not depending on ~ ax-13 .
       (Contributed by NM, 5-Aug-1993.)  (Revised by Mario Carneiro,
       3-Oct-2016.)  Format hypotheses to common style.  (Revised by Wolf
       Lammen, 13-May-2018.)  (New usage is discouraged.) $)
    cbv1 $p |- ( ph -> ( A. x ps -> A. y ch ) ) $=
      ( wal wi nfim1 weq com12 a2d cbv3 19.21 3imtr3i pm2.86i ) ABDKZCEKZABLZDK
      ACLZEKAUALAUBLUCUDDEABEGHMACDFIMDENZABCAUEBCLJOPQABDFRACEGRST $.
  $}

  ${
    cbv2.1 $e |- F/ x ph $.
    cbv2.2 $e |- F/ y ph $.
    cbv2.3 $e |- ( ph -> F/ y ps ) $.
    cbv2.4 $e |- ( ph -> F/ x ch ) $.
    cbv2.5 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  See
       ~ cbv2w with disjoint variable conditions, not depending on ~ ax-13 .
       (Contributed by NM, 5-Aug-1993.)  (Revised by Mario Carneiro,
       3-Oct-2016.)  Format hypotheses to common style, avoid ~ ax-10 .
       (Revised by Wolf Lammen, 10-Sep-2023.)  (New usage is discouraged.) $)
    cbv2 $p |- ( ph -> ( A. x ps <-> A. y ch ) ) $=
      ( wal weq wb wi biimp syl6 cbv1 equcomi biimpr syl56 impbid ) ABDKCEKABCD
      EFGHIADELZBCMZBCNJBCOPQACBEDGFIHEDLUBAUCCBNEDRJBCSTQUA $.
    $( $j usage 'cbv2' avoids 'ax-10'; $)
  $}

  ${
    cbv3h.1 $e |- ( ph -> A. y ph ) $.
    cbv3h.2 $e |- ( ps -> A. x ps ) $.
    cbv3h.3 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ cbv3hv if possible.  (Contributed by NM, 8-Jun-1993.)  (Proof
       shortened by Andrew Salmon, 25-May-2011.)  (Proof shortened by Wolf
       Lammen, 12-May-2018.)  (New usage is discouraged.) $)
    cbv3h $p |- ( A. x ph -> A. y ps ) $=
      ( nf5i cbv3 ) ABCDADEHBCFHGI $.
  $}

  ${
    cbv1h.1 $e |- ( ph -> ( ps -> A. y ps ) ) $.
    cbv1h.2 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    cbv1h.3 $e |- ( ph -> ( x = y -> ( ps -> ch ) ) ) $.
    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 11-May-1993.)  (Proof shortened by Wolf Lammen,
       13-May-2018.)  (New usage is discouraged.) $)
    cbv1h $p |- ( A. x A. y ph -> ( A. x ps -> A. y ch ) ) $=
      ( wal nfa1 nfa2 wi 2sp syl nf5d weq cbv1 ) AEIZDIZBCDERDJZAEDKZSBEUASABBE
      ILADEMZFNOSCDTSACCDILUBGNOSADEPBCLLUBHNQ $.
  $}

  ${
    cbv2h.1 $e |- ( ph -> ( ps -> A. y ps ) ) $.
    cbv2h.2 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    cbv2h.3 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 11-May-1993.)  (New usage is discouraged.) $)
    cbv2h $p |- ( A. x A. y ph -> ( A. x ps <-> A. y ch ) ) $=
      ( wal weq wb wi biimp syl6 cbv1h equcomi biimpr syl56 alcoms impbid ) AEI
      DIBDIZCEIZABCDEFGADEJZBCKZBCLHBCMNOAUBUALEDACBEDGFEDJUCAUDCBLEDPHBCQROST
      $.
  $}

  ${
    $d x ph $.  $d x ch $.
    cbvald.1 $e |- F/ y ph $.
    cbvald.2 $e |- ( ph -> F/ y ps ) $.
    cbvald.3 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Deduction used to change bound variables, using implicit substitution,
       particularly useful in conjunction with ~ dvelim .  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  See ~ cbvaldw
       for a version with ` x , y ` disjoint, not depending on ~ ax-13 .
       (Contributed by NM, 2-Jan-2002.)  (Revised by Mario Carneiro,
       6-Oct-2016.)  (Revised by Wolf Lammen, 13-May-2018.)
       (New usage is discouraged.) $)
    cbvald $p |- ( ph -> ( A. x ps <-> A. y ch ) ) $=
      ( nfv nfvd cbv2 ) ABCDEADIFGACDJHK $.

    $( Deduction used to change bound variables, using implicit substitution,
       particularly useful in conjunction with ~ dvelim .  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  Use the weaker
       ~ cbvexdw if possible.  (Contributed by NM, 2-Jan-2002.)  (Revised by
       Mario Carneiro, 6-Oct-2016.)  (New usage is discouraged.) $)
    cbvexd $p |- ( ph -> ( E. x ps <-> E. y ch ) ) $=
      ( wex wn wal nfnd weq wb notbi syl6ib cbvald alnex 3bitr3g con4bid ) ABDI
      ZCEIZABJZDKCJZEKUAJUBJAUCUDDEFABEGLADEMBCNUCUDNHBCOPQBDRCERST $.
  $}

  ${
    $d ps y $.  $d ch x $.  $d ph x $.  $d ph y $.
    cbvaldva.1 $e |- ( ( ph /\ x = y ) -> ( ps <-> ch ) ) $.
    $( Rule used to change the bound variable in a universal quantifier with
       implicit substitution.  Deduction form.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ cbvaldvaw
       if possible.  (Contributed by David Moews, 1-May-2017.)
       (New usage is discouraged.) $)
    cbvaldva $p |- ( ph -> ( A. x ps <-> A. y ch ) ) $=
      ( nfv nfvd weq wb ex cbvald ) ABCDEAEGABEHADEIBCJFKL $.

    $( Rule used to change the bound variable in an existential quantifier with
       implicit substitution.  Deduction form.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ cbvexdvaw
       if possible.  (Contributed by David Moews, 1-May-2017.)
       (New usage is discouraged.) $)
    cbvexdva $p |- ( ph -> ( E. x ps <-> E. y ch ) ) $=
      ( nfv nfvd weq wb ex cbvexd ) ABCDEAEGABEHADEIBCJFKL $.
  $}

  ${
    $d y x $.  $d y z $.  $d w x $.  $d w z $.
    cbval2.1 $e |- F/ z ph $.
    cbval2.2 $e |- F/ w ph $.
    cbval2.3 $e |- F/ x ps $.
    cbval2.4 $e |- F/ y ps $.
    cbval2.5 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ cbval2v if possible.  (Contributed by NM, 22-Dec-2003.)
       (Revised by Mario Carneiro, 6-Oct-2016.)  (Proof shortened by Wolf
       Lammen, 11-Sep-2023.)  (New usage is discouraged.) $)
    cbval2 $p |- ( A. x A. y ph <-> A. z A. w ps ) $=
      ( wal nfal weq nfv wnf a1i wb ex cbv2 cbval ) ADLBFLCEAEDGMBCFIMCENZABDFU
      BDOUBFOAFPUBHQBDPUBJQUBDFNABRKSTUA $.

    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ cbvex2v if possible.  (Contributed by NM, 14-Sep-2003.)
       (Revised by Mario Carneiro, 6-Oct-2016.)  (Proof shortened by Wolf
       Lammen, 16-Jun-2019.)  (New usage is discouraged.) $)
    cbvex2 $p |- ( E. x E. y ph <-> E. z E. w ps ) $=
      ( wex wn wal nfn weq wa notbid cbval2 2nexaln 3bitr4i con4bii ) ADLCLZBFL
      ELZAMZDNCNBMZFNENUCMUDMUEUFCDEFAEGOAFHOBCIOBDJOCEPDFPQABKRSACDTBEFTUAUB
      $.
  $}

  ${
    $d z w ph $.  $d x y ps $.  $d x w $.  $d z y $.
    cbval2vv.1 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ cbval2vw if possible.  (Contributed by NM, 4-Feb-2005.)  Remove
       dependency on ~ ax-10 .  (Revised by Wolf Lammen, 18-Jul-2021.)
       (New usage is discouraged.) $)
    cbval2vv $p |- ( A. x A. y ph <-> A. z A. w ps ) $=
      ( wal weq cbvaldva cbvalv ) ADHBFHCECEIABDFGJK $.

    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ cbvex2vw if possible.  (Contributed by NM, 26-Jul-1995.)
       Remove dependency on ~ ax-10 .  (Revised by Wolf Lammen, 18-Jul-2021.)
       (New usage is discouraged.) $)
    cbvex2vv $p |- ( E. x E. y ph <-> E. z E. w ps ) $=
      ( wex weq cbvexdva cbvexv ) ADHBFHCECEIABDFGJK $.
  $}

  ${
    $v f $.
    $v g $.
    $( Define temporary individual variables. $)
    cbvex4v.vf $f setvar f $.
    cbvex4v.vg $f setvar g $.
    $d w z ch $.  $d u v ph $.  $d x y ps $.  $d f g ps $.  $d f w $.
    $d g z $.  $d u v w z $.  $d u w x z $.  $d v w y z $.  $d w x y z $.
    cbvex4v.1 $e |- ( ( x = v /\ y = u ) -> ( ph <-> ps ) ) $.
    cbvex4v.2 $e |- ( ( z = f /\ w = g ) -> ( ps <-> ch ) ) $.
    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ cbvex4vw if possible.  (Contributed by NM, 26-Jul-1995.)
       (New usage is discouraged.) $)
    cbvex4v $p |- ( E. x E. y E. z E. w ph <-> E. v E. u E. f E. g ch ) $=
      ( wex weq wa 2exbidv cbvex2vv 2exbii bitri ) AGNFNZENDNBGNFNZINHNCKNJNZIN
      HNUAUBDEHIDHOEIOPABFGLQRUBUCHIBCFGJKMRST $.
  $}

  $( Lemma used in proofs of implicit substitution properties.  The converse
     requires either a disjoint variable condition ( ~ sbalex ) or a
     nonfreeness hypothesis ( ~ equs45f ).  Usage of this theorem is
     discouraged because it depends on ~ ax-13 .  See ~ equs4v for a weaker
     version requiring fewer axioms.  (Contributed by NM, 10-May-1993.)  (Proof
     shortened by Mario Carneiro, 20-May-2014.)  (Proof shortened by Wolf
     Lammen, 5-Feb-2018.)  (New usage is discouraged.) $)
  equs4 $p |- ( A. x ( x = y -> ph ) -> E. x ( x = y /\ ph ) ) $=
    ( weq wi wal wex wa ax6e exintr mpi ) BCDZAEBFLBGLAHBGBCILABJK $.

  ${
    equsal.1 $e |- F/ x ps $.
    equsal.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( An equivalence related to implicit substitution.  Usage of this theorem
       is discouraged because it depends on ~ ax-13 .  See ~ equsalvw and
       ~ equsalv for versions with disjoint variable conditions proved from
       fewer axioms.  See also the dual form ~ equsex .  (Contributed by NM,
       2-Jun-1993.)  (Proof shortened by Andrew Salmon, 12-Aug-2011.)  (Revised
       by Mario Carneiro, 3-Oct-2016.)  (Proof shortened by Wolf Lammen,
       5-Feb-2018.)  (New usage is discouraged.) $)
    equsal $p |- ( A. x ( x = y -> ph ) <-> ps ) $=
      ( weq wi wal wex 19.23 pm5.74i albii ax6e a1bi 3bitr4i ) CDGZBHZCIQCJZBHQ
      AHZCIBQBCEKTRCQABFLMSBCDNOP $.

    $( An equivalence related to implicit substitution.  Usage of this theorem
       is discouraged because it depends on ~ ax-13 .  See ~ equsexvw and
       ~ equsexv for versions with disjoint variable conditions proved from
       fewer axioms.  See also the dual form ~ equsal .  See ~ equsexALT for an
       alternate proof.  (Contributed by NM, 5-Aug-1993.)  (Revised by Mario
       Carneiro, 3-Oct-2016.)  (Proof shortened by Wolf Lammen, 6-Feb-2018.)
       (New usage is discouraged.) $)
    equsex $p |- ( E. x ( x = y /\ ph ) <-> ps ) $=
      ( weq wa wex biimpa exlimi wi wal equsal equs4 sylbir impbii ) CDGZAHZCIZ
      BSBCERABFJKBRALCMTABCDEFNACDOPQ $.

    $( Alternate proof of ~ equsex .  This proves the result directly, instead
       of as a corollary of ~ equsal via ~ equs4 .  Note in particular that
       only existential quantifiers appear in the proof and that the only step
       requiring ~ ax-13 is ~ ax6e .  This proof mimics that of ~ equsal (in
       particular, note that ~ pm5.32i , ~ exbii , ~ 19.41 , ~ mpbiran
       correspond respectively to ~ pm5.74i , ~ albii , ~ 19.23 , ~ a1bi ).
       (Contributed by BJ, 20-Aug-2020.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    equsexALT $p |- ( E. x ( x = y /\ ph ) <-> ps ) $=
      ( weq wa wex pm5.32i exbii ax6e 19.41 mpbiran bitri ) CDGZAHZCIPBHZCIZBQR
      CPABFJKSPCIBCDLPBCEMNO $.
  $}

  ${
    equsalh.1 $e |- ( ps -> A. x ps ) $.
    equsalh.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( An equivalence related to implicit substitution.  Usage of this theorem
       is discouraged because it depends on ~ ax-13 .  See ~ equsalhw for a
       version with a disjoint variable condition requiring fewer axioms.
       (Contributed by NM, 2-Jun-1993.)  (New usage is discouraged.) $)
    equsalh $p |- ( A. x ( x = y -> ph ) <-> ps ) $=
      ( nf5i equsal ) ABCDBCEGFH $.

    $( An equivalence related to implicit substitution.  Usage of this theorem
       is discouraged because it depends on ~ ax-13 .  See ~ equsexhv for a
       version with a disjoint variable condition which does not require
       ~ ax-13 .  (Contributed by NM, 5-Aug-1993.)
       (New usage is discouraged.) $)
    equsexh $p |- ( E. x ( x = y /\ ph ) <-> ps ) $=
      ( nf5i equsex ) ABCDBCEGFH $.
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.
    $( Derivation of set.mm's original ~ ax-c15 from ~ ax-c11n and the shorter
       ~ ax-12 that has replaced it.

       Theorem ~ ax12 shows the reverse derivation of ~ ax-12 from ~ ax-c15 .

       Normally, ~ axc15 should be used rather than ~ ax-c15 , except by
       theorems specifically studying the latter's properties.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  (Contributed by
       NM, 2-Feb-2007.)  (Proof shortened by Wolf Lammen, 26-Mar-2023.)
       (New usage is discouraged.) $)
    axc15 $p |- ( -. A. x x = y ->
                 ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $=
      ( vz weq wal wn wex ax6ev dveeq2 ax12v equeuclr sps imim1d al2imi imim12d
      wi imim2d syl6mpi exlimdv mpi ) BCEZBFGZDCEZDHUBAUBAQZBFZQZQZDCIUCUDUHDUC
      UDUDBFZBDEZAUJAQZBFZQZQUHBCDJABDKUIUBUJUMUGUDUBUJQBDBCLZMUIULUFAUDUKUEBUD
      UBUJAUNNORPSTUA $.
  $}

  $( Rederivation of Axiom ~ ax-12 from ~ ax12v (used only via ~ sp ) ,
     ~ axc11r , and ~ axc15 (on top of Tarski's FOL).  Since this version
     depends on ~ ax-13 , usage of the weaker ~ ax12v , ~ ax12w , ~ ax12i are
     preferred.  (Contributed by NM, 22-Jan-2007.)  Proof uses contemporary
     axioms.  (Revised by Wolf Lammen, 8-Aug-2020.)  (Proof shortened by BJ,
     4-Jul-2021.)  (New usage is discouraged.) $)
  ax12 $p |- ( x = y -> ( A. y ph -> A. x ( x = y -> ph ) ) ) $=
    ( weq wal wi axc11r ala1 syl6 a1d wn sp axc15 syl7 pm2.61i ) BCDZBEZPACEZPA
    FBEZFZFQTPQRABESACBGAPBHIJRAQKPSACLABCMNO $.

  $( A bidirectional version of ~ axc15 .  Usage of this theorem is discouraged
     because it depends on ~ ax-13 .  (Contributed by NM, 30-Jun-2006.)
     (New usage is discouraged.) $)
  ax12b $p |- ( ( -. A. x x = y /\ x = y ) ->
              ( ph <-> A. x ( x = y -> ph ) ) ) $=
    ( weq wal wn wa wi axc15 imp sp com12 adantl impbid ) BCDZBEFZOGAOAHZBEZPOA
    RHABCIJORAHPROAQBKLMN $.

  $( Alternate proof of ~ ax13 from FOL, ~ sp , and ~ axc9 .  (Contributed by
     NM, 21-Dec-2015.)  (Proof shortened by Wolf Lammen, 31-Jan-2018.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  ax13ALT $p |- ( -. x = y -> ( y = z -> A. x y = z ) ) $=
    ( weq wn wal wi sp con3i axc9 syl2im ax13b mpbir ) ABDZEZBCDZPAFZGZGOACDZEZ
    RGGONAFZETSAFZERUANNAHIUBSSAHIBCAJKQABCLM $.

  ${
    $d x z $.  $d y z $.
    $( Derive set.mm's original ~ ax-c11n from others.  Commutation law for
       identical variable specifiers.  The antecedent and consequent are true
       when ` x ` and ` y ` are substituted with the same variable.  Lemma L12
       in [Megill] p. 445 (p. 12 of the preprint).  If a disjoint variable
       condition is added on ` x ` and ` y ` , then this becomes an instance of
       ~ aevlem .  Use ~ aecom instead when this does not lengthen the proof.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 10-May-1993.)  (Revised by NM, 7-Nov-2015.)  (Proof
       shortened by Wolf Lammen, 6-Mar-2018.)  (Revised by Wolf Lammen,
       30-Nov-2019.)  (Proof shortened by BJ, 29-Mar-2021.)  (Proof shortened
       by Wolf Lammen, 2-Jul-2021.)  (New usage is discouraged.) $)
    axc11n $p |- ( A. x x = y -> A. y y = x ) $=
      ( vz weq wal wn dveeq1 com12 axc11r aev syl6 syl9 ax6evr exlimiiv pm2.18d
      wi ) ABDAEZBADBEZACDZQRFZRPPCSTSBEZQRTSUABACGHQUASAERSBAIACBABJKLCAMNO $.
  $}

  $( Commutation law for identical variable specifiers.  Both sides of the
     biconditional are true when ` x ` and ` y ` are substituted with the same
     variable.  Usage of this theorem is discouraged because it depends on
     ~ ax-13 .  (Contributed by NM, 10-May-1993.)  Change to a biconditional.
     (Revised by BJ, 26-Sep-2019.)  (New usage is discouraged.) $)
  aecom $p |- ( A. x x = y <-> A. y y = x ) $=
    ( weq wal axc11n impbii ) ABCADBACBDABEBAEF $.

  ${
    aecoms.1 $e |- ( A. x x = y -> ph ) $.
    $( A commutation rule for identical variable specifiers.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  (Contributed by
       NM, 10-May-1993.)  (New usage is discouraged.) $)
    aecoms $p |- ( A. y y = x -> ph ) $=
      ( weq wal aecom sylbi ) CBECFBCEBFACBGDH $.
  $}

  ${
    naecoms.1 $e |- ( -. A. x x = y -> ph ) $.
    $( A commutation rule for distinct variable specifiers.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  (Contributed by
       NM, 2-Jan-2002.)  (New usage is discouraged.) $)
    naecoms $p |- ( -. A. y y = x -> ph ) $=
      ( weq wal aecom sylnbir ) CBECFBCEBFABCGDH $.
  $}

  $( Show that ~ ax-c11 can be derived from ~ ax-c11n in the form of ~ axc11n .
     Normally, ~ axc11 should be used rather than ~ ax-c11 , except by theorems
     specifically studying the latter's properties.  Usage of this theorem is
     discouraged because it depends on ~ ax-13 .  Use the weaker ~ axc11v when
     possible.  (Contributed by NM, 16-May-2008.)  (Proof shortened by Wolf
     Lammen, 21-Apr-2018.)  (New usage is discouraged.) $)
  axc11 $p |- ( A. x x = y -> ( A. x ph -> A. y ph ) ) $=
    ( wal wi axc11r aecoms ) ABDACDECBABCFG $.

  $( All variables are effectively bound in an identical variable specifier.
     Usage of this theorem is discouraged because it depends on ~ ax-13 .  Use
     the weaker ~ hbaev when possible.  (Contributed by NM, 13-May-1993.)
     (Proof shortened by Wolf Lammen, 21-Apr-2018.)
     (New usage is discouraged.) $)
  hbae $p |- ( A. x x = y -> A. z A. x x = y ) $=
    ( weq wal wi wn sp axc9 syl7 axc11r axc11 pm2.43i syl5 pm2.61ii axc4i ax-11
    syl ) ABDZAEZSCEZAETCESUAACADCEZCBDCEZTUAFTSUBGUCGUASAHABCIJSACKTSBEZUCUATU
    DSABLMSBCKNOPSACQR $.

  $( All variables are effectively bound in a distinct variable specifier.
     Lemma L19 in [Megill] p. 446 (p. 14 of the preprint).  Usage of this
     theorem is discouraged because it depends on ~ ax-13 .  Use the weaker
     ~ hbnaev when possible.  (Contributed by NM, 13-May-1993.)
     (New usage is discouraged.) $)
  hbnae $p |- ( -. A. x x = y -> A. z -. A. x x = y ) $=
    ( weq wal hbae hbn ) ABDAECABCFG $.

  $( All variables are effectively bound in an identical variable specifier.
     Usage of this theorem is discouraged because it depends on ~ ax-13 .
     (Contributed by Mario Carneiro, 11-Aug-2016.)
     (New usage is discouraged.) $)
  nfae $p |- F/ z A. x x = y $=
    ( weq wal hbae nf5i ) ABDAECABCFG $.

  $( All variables are effectively bound in a distinct variable specifier.
     Usage of this theorem is discouraged because it depends on ~ ax-13 .  Use
     the weaker ~ nfnaew when possible.  (Contributed by Mario Carneiro,
     11-Aug-2016.)  (New usage is discouraged.) $)
  nfnae $p |- F/ z -. A. x x = y $=
    ( weq wal nfae nfn ) ABDAECABCFG $.

  ${
    hbnaes.1 $e |- ( A. z -. A. x x = y -> ph ) $.
    $( Rule that applies ~ hbnae to antecedent.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  (Contributed by NM,
       15-May-1993.)  (New usage is discouraged.) $)
    hbnaes $p |- ( -. A. x x = y -> ph ) $=
      ( weq wal wn hbnae syl ) BCFBGHZKDGABCDIEJ $.
  $}

  ${
    $d x y z $.  $d z ph $.
    axc16i.1 $e |- ( x = z -> ( ph <-> ps ) ) $.
    axc16i.2 $e |- ( ps -> A. x ps ) $.
    $( Inference with ~ axc16 as its conclusion.  (Contributed by NM,
       20-May-2008.)  (Proof modification is discouraged.)  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  Use ~ axc16
       instead.  (New usage is discouraged.) $)
    axc16i $p |- ( A. x x = y -> ( ph -> A. x ph ) ) $=
      ( weq wal wi nfv ax7 cbv3 spimvw equcomi syl syl5com alimdv mpcom alimi
      biimpcd nf5i biimprd syl6com 3syl ) CDHZCIEDHZEIZCEHZEIZAACIZJUFUGCEUFEKU
      GCKCEDLMUHECHZEIZUJUFUHUMUGUFECECDLNUFUGULEUFDCHZUGULCDOUGDEHUNULJEDODECL
      PQRSULUIEECOZTPAUJBEIUKAUIBEUIABFUARBAECBCGUBAEKULUIBAJUOUIABFUCPMUDUE $.
  $}

  ${
    $d x y $.
    $( Alternate proof of ~ axc16nf , shorter but requiring ~ ax-11 and
       ~ ax-13 .  (Contributed by Mario Carneiro, 7-Oct-2016.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    axc16nfALT $p |- ( A. x x = y -> F/ z ph ) $=
      ( weq wal nfae axc16g nf5d ) BCEBFADBCDGABCDHI $.
  $}

  ${
    dral1.1 $e |- ( A. x x = y -> ( ph <-> ps ) ) $.
    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint).  Usage of
       this theorem is discouraged because it depends on ~ ax-13 .  Usage of
       ~ albidv is preferred, which requires fewer axioms.  (Contributed by NM,
       27-Feb-2005.)  Allow a shortening of ~ dral1 .  (Revised by Wolf Lammen,
       4-Mar-2018.)  (New usage is discouraged.) $)
    dral2 $p |- ( A. x x = y -> ( A. z ph <-> A. z ps ) ) $=
      ( weq wal nfae albid ) CDGCHABECDEIFJ $.

    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint).  Usage of
       this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ dral1v if possible.  (Contributed by NM, 24-Nov-1994.)  Remove
       dependency on ~ ax-11 .  (Revised by Wolf Lammen, 6-Sep-2018.)
       (New usage is discouraged.) $)
    dral1 $p |- ( A. x x = y -> ( A. x ph <-> A. y ps ) ) $=
      ( weq wal nfa1 albid axc11 axc11r impbid bitrd ) CDFZCGZACGBCGZBDGZOABCNC
      HEIOPQBCDJBDCKLM $.

    $( Alternate proof of ~ dral1 , shorter but requiring ~ ax-11 .
       (Contributed by NM, 24-Nov-1994.)  (Proof shortened by Wolf Lammen,
       22-Apr-2018.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    dral1ALT $p |- ( A. x x = y -> ( A. x ph <-> A. y ps ) ) $=
      ( weq wal dral2 axc11 axc11r impbid bitrd ) CDFCGZACGBCGZBDGZABCDCEHMNOBC
      DIBDCJKL $.

    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint).  Usage of
       this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ drex1v if possible.  (Contributed by NM, 27-Feb-2005.)
       (New usage is discouraged.) $)
    drex1 $p |- ( A. x x = y -> ( E. x ph <-> E. y ps ) ) $=
      ( weq wal wn wex notbid dral1 df-ex 3bitr4g ) CDFCGZAHZCGZHBHZDGZHACIBDIN
      PROQCDNABEJKJACLBDLM $.

    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint).  Usage of
       this theorem is discouraged because it depends on ~ ax-13 .  Usage of
       ~ exbidv is preferred, which requires fewer axioms.  (Contributed by NM,
       27-Feb-2005.)  (New usage is discouraged.) $)
    drex2 $p |- ( A. x x = y -> ( E. z ph <-> E. z ps ) ) $=
      ( weq wal nfae exbid ) CDGCHABECDEIFJ $.

    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       (Contributed by Mario Carneiro, 4-Oct-2016.)  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use ~ drnf1v instead.
       (New usage is discouraged.) $)
    drnf1 $p |- ( A. x x = y -> ( F/ x ph <-> F/ y ps ) ) $=
      ( weq wal wi wnf dral1 imbi12d nf5 3bitr4g ) CDFCGZAACGZHZCGBBDGZHZDGACIB
      DIPRCDNABOQEABCDEJKJACLBDLM $.

    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       (Contributed by Mario Carneiro, 4-Oct-2016.)  (Proof shortened by Wolf
       Lammen, 5-May-2018.)  Usage of this theorem is discouraged because it
       depends on ~ ax-13 .  Use ~ nfbidv instead.
       (New usage is discouraged.) $)
    drnf2 $p |- ( A. x x = y -> ( F/ z ph <-> F/ z ps ) ) $=
      ( weq wal nfae nfbidf ) CDGCHABECDEIFJ $.
  $}

  ${
    nfald2.1 $e |- F/ y ph $.
    nfald2.2 $e |- ( ( ph /\ -. A. x x = y ) -> F/ x ps ) $.
    $( Variation on ~ nfald which adds the hypothesis that ` x ` and ` y ` are
       distinct in the inner subproof.  (Contributed by Mario Carneiro,
       8-Oct-2016.)  Usage of this theorem is discouraged because it depends on
       ~ ax-13 .  Use ~ nfald instead.  (New usage is discouraged.) $)
    nfald2 $p |- ( ph -> F/ x A. y ps ) $=
      ( weq wal wnf wn wa nfnae nfan nfald ex nfa1 biidd drnf1 mpbiri pm2.61d2
      ) ACDGCHZBDHZCIZAUAJZUCAUDKBCDAUDDECDDLMFNOUAUCUBDIBDPUBUBCDUAUBQRST $.

    $( Variation on ~ nfexd which adds the hypothesis that ` x ` and ` y ` are
       distinct in the inner subproof.  (Contributed by Mario Carneiro,
       8-Oct-2016.)  Usage of this theorem is discouraged because it depends on
       ~ ax-13 .  Use ~ nfexd instead.  (New usage is discouraged.) $)
    nfexd2 $p |- ( ph -> F/ x E. y ps ) $=
      ( wex wn wal df-ex weq wa nfnd nfald2 nfxfrd ) BDGBHZDIZHACBDJAQCAPCDEACD
      KCIHLBCFMNMO $.
  $}

  ${
    exdistrf.1 $e |- ( -. A. x x = y -> F/ y ph ) $.
    $( Distribution of existential quantifiers, with a bound-variable
       hypothesis saying that ` y ` is not free in ` ph ` , but ` x ` can be
       free in ` ph ` (and there is no distinct variable condition on ` x ` and
       ` y ` ).  (Contributed by Mario Carneiro, 20-Mar-2013.)  (Proof
       shortened by Wolf Lammen, 14-May-2018.)  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use ~ exdistr instead.
       (New usage is discouraged.) $)
    exdistrf $p |- ( E. x E. y ( ph /\ ps ) -> E. x ( ph /\ E. y ps ) ) $=
      ( wa wex weq wal wi 19.8a anim2i eximi biidd drex1 syl5ibr wn 19.40 19.9d
      nfe1 anim1d syl56 pm2.61i exlimi ) ABFZDGZABDGZFZCGZCUHCTCDHCIZUFUIJUFUIU
      JUHDGUEUHDBUGABDKLMUHUHCDUJUHNOPUFADGZUGFUJQZUHUIABDRULUKAUGAULDESUAUHCKU
      BUCUD $.
  $}

  ${
    dvelimf.1 $e |- F/ x ph $.
    dvelimf.2 $e |- F/ z ps $.
    dvelimf.3 $e |- ( z = y -> ( ph <-> ps ) ) $.
    $( Version of ~ dvelimv without any variable restrictions.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  (Contributed by
       NM, 1-Oct-2002.)  (Revised by Mario Carneiro, 6-Oct-2016.)  (Proof
       shortened by Wolf Lammen, 11-May-2018.)  (New usage is discouraged.) $)
    dvelimf $p |- ( -. A. x x = y -> F/ x ps ) $=
      ( weq wi wal wn equsal bicomi nfnae wa wnf nfeqf ancoms a1i nfald2 nfxfrd
      nfimd ) BEDIZAJZEKZCDICKLZCUFBABEDGHMNUGUECECDEOUGCEICKLZPZUDACUHUGUDCQED
      CRSACQUIFTUCUAUB $.
  $}

  ${
    dvelimdf.1 $e |- F/ x ph $.
    dvelimdf.2 $e |- F/ z ph $.
    dvelimdf.3 $e |- ( ph -> F/ x ps ) $.
    dvelimdf.4 $e |- ( ph -> F/ z ch ) $.
    dvelimdf.5 $e |- ( ph -> ( z = y -> ( ps <-> ch ) ) ) $.
    $( Deduction form of ~ dvelimf .  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  (Contributed by NM, 7-Apr-2004.)
       (Revised by Mario Carneiro, 6-Oct-2016.)  (Proof shortened by Wolf
       Lammen, 11-May-2018.)  (New usage is discouraged.) $)
    dvelimdf $p |- ( ph -> ( -. A. x x = y -> F/ x ch ) ) $=
      ( weq wal wn wi wnf nfim1 wb com12 pm5.74d dvelimf pm5.5 nfbidf syl5ib )
      DELDMNACOZDPACDPABOUEDEFABDGIQACFHJQFELZABCAUFBCRKSTUAAUECDGACUBUCUD $.
  $}

  ${
    dvelimh.1 $e |- ( ph -> A. x ph ) $.
    dvelimh.2 $e |- ( ps -> A. z ps ) $.
    dvelimh.3 $e |- ( z = y -> ( ph <-> ps ) ) $.
    $( Version of ~ dvelim without any variable restrictions.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  Check out
       ~ dvelimhw for a version requiring fewer axioms.  (Contributed by NM,
       1-Oct-2002.)  (Proof shortened by Wolf Lammen, 11-May-2018.)
       (New usage is discouraged.) $)
    dvelimh $p |- ( -. A. x x = y -> ( ps -> A. x ps ) ) $=
      ( weq wal wn nf5i dvelimf nf5rd ) CDICJKBCABCDEACFLBEGLHMN $.
  $}

  ${
    $d z ps $.
    dvelim.1 $e |- ( ph -> A. x ph ) $.
    dvelim.2 $e |- ( z = y -> ( ph <-> ps ) ) $.
    $( This theorem can be used to eliminate a distinct variable restriction on
       ` x ` and ` z ` and replace it with the "distinctor" ` -. A. x x = y `
       as an antecedent. ` ph ` normally has ` z ` free and can be read
       ` ph ( z ) ` , and ` ps ` substitutes ` y ` for ` z ` and can be read
       ` ph ( y ) ` .  We do not require that ` x ` and ` y ` be distinct: if
       they are not, the distinctor will become false (in multiple-element
       domains of discourse) and "protect" the consequent.

       To obtain a closed-theorem form of this inference, prefix the hypotheses
       with ` A. x A. z ` , conjoin them, and apply ~ dvelimdf .

       Other variants of this theorem are ~ dvelimh (with no distinct variable
       restrictions) and ~ dvelimhw (that avoids ~ ax-13 ).  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  Check out
       ~ dvelimhw for a version requiring fewer axioms.  (Contributed by NM,
       23-Nov-1994.)  (New usage is discouraged.) $)
    dvelim $p |- ( -. A. x x = y -> ( ps -> A. x ps ) ) $=
      ( ax-5 dvelimh ) ABCDEFBEHGI $.
  $}

  ${
    $d x ph $.  $d z ps $.
    dvelimv.1 $e |- ( z = y -> ( ph <-> ps ) ) $.
    $( Similar to ~ dvelim with first hypothesis replaced by a distinct
       variable condition.  Usage of this theorem is discouraged because it
       depends on ~ ax-13 .  Check out ~ dvelimhw for a version requiring fewer
       axioms.  (Contributed by NM, 25-Jul-2015.)  (Proof shortened by Wolf
       Lammen, 30-Apr-2018.)  (New usage is discouraged.) $)
    dvelimv $p |- ( -. A. x x = y -> ( ps -> A. x ps ) ) $=
      ( ax-5 dvelim ) ABCDEACGFH $.
  $}

  ${
    $d z ps $.
    dvelimnf.1 $e |- F/ x ph $.
    dvelimnf.2 $e |- ( z = y -> ( ph <-> ps ) ) $.
    $( Version of ~ dvelim using "not free" notation.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  (Contributed by Mario
       Carneiro, 9-Oct-2016.)  (New usage is discouraged.) $)
    dvelimnf $p |- ( -. A. x x = y -> F/ x ps ) $=
      ( nfv dvelimf ) ABCDEFBEHGI $.
  $}

  ${
    $d w x z $.  $d w y $.
    $( Alternate proof of ~ dveeq2 , shorter but requiring ~ ax-11 .
       (Contributed by NM, 2-Jan-2002.)  (Revised by NM, 20-Jul-2015.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    dveeq2ALT $p |- ( -. A. x x = y -> ( z = y -> A. x z = y ) ) $=
      ( vw weq equequ2 dvelimv ) CDECBEABDDBCFG $.
  $}

  $( A variable introduction law for equality.  Lemma 15 of [Monk2] p. 109,
     however we do not require ` z ` to be distinct from ` x ` and ` y ` .
     Usage of this theorem is discouraged because it depends on ~ ax-13 .  See
     ~ equvinv for a shorter proof requiring fewer axioms when ` z ` is
     required to be distinct from ` x ` and ` y ` .  (Contributed by NM,
     10-Jan-1993.)  (Proof shortened by Andrew Salmon, 25-May-2011.)  (Proof
     shortened by Wolf Lammen, 16-Sep-2023.)  (New usage is discouraged.) $)
  equvini $p |- ( x = y -> E. z ( x = z /\ z = y ) ) $=
    ( weq wa wex wi equtr equcomi jctild 19.8a syl6 wal ax13 ax6e eximii 19.35i
    wn pm2.61i ) CADZABDZACDZCBDZEZCFZGTUAUDUETUAUCUBCABHCAIJZUDCKLTRUAUACMUECA
    BNUAUDCTUAUDGCCAOUFPQLS $.

  $( A variable elimination law for equality with no distinct variable
     requirements.  Compare ~ equvini .  Usage of this theorem is discouraged
     because it depends on ~ ax-13 .  Use ~ equvelv when possible.
     (Contributed by NM, 1-Mar-2013.)  (Proof shortened by Mario Carneiro,
     17-Oct-2016.)  (Proof shortened by Wolf Lammen, 15-Jun-2019.)
     (New usage is discouraged.) $)
  equvel $p |- ( A. z ( z = x <-> z = y ) -> x = y ) $=
    ( weq wb wal wex albi wi ax6e biimpr ax7 syli com12 eximii 19.35i spsd a1dd
    sps wn wa nfeqf 19.9d ex bija sylc ) CADZCBDZEZCFUGCFZUHCFZEABDZCGZULUGUHCH
    UIULCUHUIULICCBJUIUHULUHUIUGULUGUHKCABLZMNOPUJUKUMULIZUJUKULUMUGUKULICUGUHU
    LCUNQSRUJTZUKTZUOULUPUQUACABCUBUCUDUEUF $.

  $( A property related to substitution that unlike ~ equs5 does not require a
     distinctor antecedent.  Usage of this theorem is discouraged because it
     depends on ~ ax-13 .  This proof uses ~ ax12 , see ~ equs5aALT for an
     alternative one using ~ ax-12 but not ~ ax13 .  Usage of the weaker
     ~ equs5av is preferred, which uses ~ ax12v2 , but not ~ ax-13 .
     (Contributed by NM, 2-Feb-2007.)  (New usage is discouraged.) $)
  equs5a $p |- ( E. x ( x = y /\ A. y ph ) -> A. x ( x = y -> ph ) ) $=
    ( weq wal wa wi nfa1 ax12 imp exlimi ) BCDZACEZFLAGZBEZBNBHLMOABCIJK $.

  $( A property related to substitution that unlike ~ equs5 does not require a
     distinctor antecedent.  This proof uses ~ ax12 , see ~ equs5eALT for an
     alternative one using ~ ax-12 but not ~ ax13 .  Usage of this theorem is
     discouraged because it depends on ~ ax-13 .  (Contributed by NM,
     2-Feb-2007.)  (Proof shortened by Wolf Lammen, 15-Jan-2018.)
     (New usage is discouraged.) $)
  equs5e $p |- ( E. x ( x = y /\ ph ) -> A. x ( x = y -> E. y ph ) ) $=
    ( weq wa wex wi wal nfa1 ax12 hbe1 19.23bi impel exlimi ) BCDZAEOACFZGZBHZB
    QBIOPCHZRAPBCJASCACKLMN $.

  ${
    equs45f.1 $e |- F/ y ph $.
    $( Two ways of expressing substitution when ` y ` is not free in ` ph ` .
       The implication "to the left" is ~ equs4 and does not require the
       nonfreeness hypothesis.  Theorem ~ sbalex replaces the nonfreeness
       hypothesis with a disjoint variable condition and ~ equs5 replaces it
       with a distinctor antecedent.  (Contributed by NM, 25-Apr-2008.)
       (Revised by Mario Carneiro, 4-Oct-2016.)  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use ~ sbalex instead.
       (New usage is discouraged.) $)
    equs45f $p |- ( E. x ( x = y /\ ph ) <-> A. x ( x = y -> ph ) ) $=
      ( weq wa wex wi wal nf5ri anim2i eximi equs5a syl equs4 impbii ) BCEZAFZB
      GZQAHBIZSQACIZFZBGTRUBBAUAQACDJKLABCMNABCOP $.
  $}

  $( Lemma used in proofs of substitution properties.  If there is a disjoint
     variable condition on ` x , y ` , then ~ sbalex can be used instead; if
     ` y ` is not free in ` ph ` , then ~ equs45f can be used.  Usage of this
     theorem is discouraged because it depends on ~ ax-13 .  (Contributed by
     NM, 14-May-1993.)  (Revised by BJ, 1-Oct-2018.)
     (New usage is discouraged.) $)
  equs5 $p |- ( -. A. x x = y ->
             ( E. x ( x = y /\ ph ) <-> A. x ( x = y -> ph ) ) ) $=
    ( weq wal wn wa wex wi nfna1 nfa1 axc15 impd exlimd equs4 impbid1 ) BCDZBEF
    ZQAGZBHQAIZBEZRSUABQBJTBKRQAUAABCLMNABCOP $.

  ${
    $d w z x $.  $d w y $.
    $( Quantifier introduction when one pair of variables is disjoint.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 2-Jan-2002.)  (New usage is discouraged.) $)
    dveel1 $p |- ( -. A. x x = y -> ( y e. z -> A. x y e. z ) ) $=
      ( vw wel elequ1 dvelimv ) DCEBCEABDDBCFG $.

    $( Quantifier introduction when one pair of variables is disjoint.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 2-Jan-2002.)  (New usage is discouraged.) $)
    dveel2 $p |- ( -. A. x x = y -> ( z e. y -> A. x z e. y ) ) $=
      ( vw wel elequ2 dvelimv ) CDECBEABDDBCFG $.
  $}

  ${
    $d w y $.  $d w z $.  $d w x $.
    $( Axiom ~ ax-c14 is redundant if we assume ~ ax-5 .  Remark 9.6 in
       [Megill] p. 448 (p. 16 of the preprint), regarding axiom scheme C14'.

       Note that ` w ` is a dummy variable introduced in the proof.  Its
       purpose is to satisfy the distinct variable requirements of ~ dveel2 and
       ~ ax-5 .  By the end of the proof it has vanished, and the final theorem
       has no distinct variable requirements.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  (Contributed by NM,
       29-Jun-1995.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    axc14 $p |- ( -. A. z z = x -> ( -. A. z z = y ->
              ( x e. y -> A. z x e. y ) ) ) $=
      ( vw weq wal wn wel hbn1 dveel2 hbim1 elequ1 imbi2d dvelim nfa1 nfn 19.21
      wi syl6ib pm2.86d ) CAECFGZCBEZCFZGZABHZUECFZUAUDUERZUGCFUDUFRUDDBHZRUGCA
      DUDUHCUBCICBDJKDAEUHUEUDDABLMNUDUECUCCUBCOPQST $.
  $}

  ${
    sb6x.1 $e |- F/ x ph $.
    $( Equivalence involving substitution for a variable not free.  Usage of
       this theorem is discouraged because it depends on ~ ax-13 .  Usage of
       ~ sb6 is preferred, which requires fewer axioms.  (Contributed by NM,
       2-Jun-1993.)  (Revised by Mario Carneiro, 4-Oct-2016.)
       (New usage is discouraged.) $)
    sb6x $p |- ( [ y / x ] ph <-> A. x ( x = y -> ph ) ) $=
      ( wsb weq wi wal sbf biidd equsal bitr4i ) ABCEABCFZAGBHABCDIAABCDMAJKL
      $.
  $}

  $( Substitution does not change an identical variable specifier.  Usage of
     this theorem is discouraged because it depends on ~ ax-13 .  (Contributed
     by NM, 15-May-1993.)  (New usage is discouraged.) $)
  sbequ5 $p |- ( [ w / z ] A. x x = y <-> A. x x = y ) $=
    ( weq wal nfae sbf ) ABEAFCDABCGH $.

  $( Substitution does not change a distinctor.  Usage of this theorem is
     discouraged because it depends on ~ ax-13 .  (Contributed by NM,
     5-Aug-1993.)  (New usage is discouraged.) $)
  sbequ6 $p |- ( [ w / z ] -. A. x x = y <-> -. A. x x = y ) $=
    ( weq wal wn nfnae sbf ) ABEAFGCDABCHI $.

  ${
    sb5rf.1 $e |- F/ y ph $.
    $( Reversed substitution.  Usage of this theorem is discouraged because it
       depends on ~ ax-13 .  (Contributed by NM, 3-Feb-2005.)  (Revised by
       Mario Carneiro, 6-Oct-2016.)  (Proof shortened by Wolf Lammen,
       20-Sep-2018.)  (New usage is discouraged.) $)
    sb5rf $p |- ( ph <-> E. y ( y = x /\ [ y / x ] ph ) ) $=
      ( weq wsb wa wex sbequ12r equsex bicomi ) CBEABCFZGCHALACBDACBIJK $.

    $( Reversed substitution.  For a version requiring disjoint variables, but
       fewer axioms, see ~ sb6rfv .  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  Use the weaker ~ sb6rfv if possible.
       (Contributed by NM, 1-Aug-1993.)  (Revised by Mario Carneiro,
       6-Oct-2016.)  (Proof shortened by Wolf Lammen, 21-Sep-2018.)
       (New usage is discouraged.) $)
    sb6rf $p |- ( ph <-> A. y ( y = x -> [ y / x ] ph ) ) $=
      ( weq wsb wi wal sbequ12r equsal bicomi ) CBEABCFZGCHALACBDACBIJK $.
  $}

  ${
    $d x y $.
    $( Alternate proof of ~ ax12v2 , shorter, but depending on more axioms.
       (Contributed by NM, 5-Aug-1993.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    ax12vALT $p |- ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) $=
      ( weq wal wi ax-1 axc16 syl5 a1d axc15 pm2.61i ) BCDZBEZMAMAFZBEZFZFNQMAO
      NPAMGOBCHIJABCKL $.
  $}

  $( We can always find values matching ` x ` and ` y ` , as long as they are
     represented by distinct variables.  This theorem merges two ~ ax6e
     instances ` E. z z = x ` and ` E. w w = y ` into a common expression.
     Alan Sare contributed a variant of this theorem with distinct variable
     conditions before, see ~ ax6e2nd .  Usage of this theorem is discouraged
     because it depends on ~ ax-13 .  (Contributed by Wolf Lammen,
     27-Sep-2018.)  (New usage is discouraged.) $)
  2ax6elem $p |- ( -. A. w w = z -> E. z E. w ( z = x /\ w = y ) ) $=
    ( weq wal wn wex ax6e nfnae nfan nfeqf pm3.21 spimed eximd mpi nfae equvini
    wa ex equtrr anim1d aleximi syl5 pm2.61d2 ) DCEDFGZDAEZDFZCAEZDBEZSZDHZCHZU
    FUHGZUMUFUNSZUICHUMCAIUOUIULCUFUNCDCCJDACJKUIUKUODBCADLUJUIMNOPTUHCBEZCHUMC
    BIUHUPULCDACQUPCDEZUJSZDHUHULCBDRUGURUKDUGUQUIUJDACUAUBUCUDOPUE $.

  ${
    $d w z $.
    $( We can always find values matching ` x ` and ` y ` , as long as they are
       represented by distinct variables.  Version of ~ 2ax6elem with a
       distinct variable constraint.  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  (Contributed by Wolf Lammen,
       28-Sep-2018.)  (Proof shortened by Wolf Lammen, 3-Oct-2023.)
       (New usage is discouraged.) $)
    2ax6e $p |- E. z E. w ( z = x /\ w = y ) $=
      ( weq wal wa wex aeveq jca 19.8ad 2ax6elem pm2.61i ) DCEDFZCAEZDBEZGZDHZC
      HNRCNQDNOPDCCAIDCDBIJKKABCDLM $.
  $}

  ${
    $d w z $.
    2sb5rf.1 $e |- F/ z ph $.
    2sb5rf.2 $e |- F/ w ph $.
    $( Reversed double substitution.  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  (Contributed by NM, 3-Feb-2005.)
       (Revised by Mario Carneiro, 6-Oct-2016.)  Remove distinct variable
       constraints.  (Revised by Wolf Lammen, 28-Sep-2018.)
       (New usage is discouraged.) $)
    2sb5rf $p |- ( ph <->
                E. z E. w ( ( z = x /\ w = y ) /\ [ z / x ] [ w / y ] ph ) ) $=
      ( weq wa wex 19.41 exbii 2ax6e biantrur 3bitr4ri sbequ12r sylan9bb 2exbii
      wsb pm5.32i bitr4i ) ADBHZECHZIZAIZEJZDJZUDACESZBDSZIZEJDJUDEJZAIZDJUKDJZ
      AIUGAUKADFKUFULDUDAEGKLUMABCDEMNOUJUEDEUDUIAUBUIUHUCAUHDBPAECPQTRUA $.

    $( Reversed double substitution.  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  (Contributed by NM, 3-Feb-2005.)
       (Revised by Mario Carneiro, 6-Oct-2016.)  Remove variable constraints.
       (Revised by Wolf Lammen, 28-Sep-2018.)  (Proof shortened by Wolf Lammen,
       13-Apr-2023.)  (New usage is discouraged.) $)
    2sb6rf $p |- ( ph <->
                A. z A. w ( ( z = x /\ w = y ) -> [ z / x ] [ w / y ] ph ) ) $=
      ( weq wa wi wal wsb wex 19.23 albii 2ax6e a1bi 3bitr4ri sbequ12r sylan9bb
      pm5.74i 2albii bitr4i ) ADBHZECHZIZAJZEKZDKZUFACELZBDLZJZEKDKUFEMZAJZDKUM
      DMZAJUIAUMADFNUHUNDUFAEGNOUOABCDEPQRULUGDEUFUKAUDUKUJUEAUJDBSAECSTUAUBUC
      $.
  $}

  ${
    $d x y ph $.
    $( Elimination of double substitution.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  (Contributed by NM,
       5-Aug-1993.)  (Proof shortened by Wolf Lammen, 29-Sep-2018.)
       (New usage is discouraged.) $)
    sbel2x $p |- ( ph <-> E. x E. y ( ( x = z /\ y = w ) /\
                     [ y / w ] [ x / z ] ph ) ) $=
      ( weq wa wsb wex nfv 2sb5rf ancom anbi1i 2exbii excom 3bitri ) ACEFZBDFZG
      ZADBHECHZGZBICIRQGZTGZBICIUCCIBIAEDCBACJABJKUAUCCBSUBTQRLMNUCCBOP $.
  $}

  ${
    $d y x $.  $d y t $.  $d y ph $.
    $( Simplified definition of substitution when variables are distinct.
       Version of ~ sb6 with a distinctor antecedent.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  (Contributed by NM,
       27-May-1997.)  Revise ~ df-sb .  (Revised by Wolf Lammen, 21-Feb-2024.)
       (New usage is discouraged.) $)
    sb4b $p |- ( -. A. x x = t -> ( [ t / x ] ph
                                              <-> A. x ( x = t -> ph ) ) ) $=
      ( vy weq wal wn wi wa nfna1 nfeqf2 nfan1 wb equequ2 imbi1d albid pm5.74da
      wsb adantl albidv df-sb wex ax6ev a1bi 19.23v bitr4i 3bitr4g ) BCEZBFGZDC
      EZBDEZAHZBFZHZDFUJUHAHZBFZHZDFZABCRUPUIUNUQDUIUJUMUPUIUJIULUOBUIUJBUHBJBC
      DKLUJULUOMUIUJUKUHADCBNOSPQTABDCUAUPUJDUBZUPHURUSUPDCUCUDUJUPDUEUFUG $.

    $( Obsolete version of ~ sb4b as of 21-Feb-2024.  (Contributed by NM,
       27-May-1997.)  Revise ~ df-sb .  (Revised by Wolf Lammen, 25-Jul-2023.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    sb4bOLD $p |- ( -. A. x x = t -> ( [ t / x ] ph
                                              <-> A. x ( x = t -> ph ) ) ) $=
      ( vy weq wal wn wi wsb wnf wb nfeqf2 wa nfnf1 nfan1 equequ2 imbi1d adantl
      id albid pm5.74da syl albidv df-sb wex ax6ev a1bi 19.23v bitr4i 3bitr4g )
      BCEZBFGZDCEZBDEZAHZBFZHZDFUMUKAHZBFZHZDFZABCIUSULUQUTDULUMBJZUQUTKBCDLVBU
      MUPUSVBUMMUOURBVBUMBUMBNVBSOUMUOURKVBUMUNUKADCBPQRTUAUBUCABDCUDUSUMDUEZUS
      HVAVCUSDCUFUGUMUSDUHUIUJ $.
  $}

  $( Simplified definition of substitution when variables are distinct.  This
     is the biconditional strengthening of ~ sb3 .  Usage of this theorem is
     discouraged because it depends on ~ ax-13 .  (Contributed by BJ,
     6-Oct-2018.)  Shorten ~ sb3 .  (Revised by Wolf Lammen, 21-Feb-2021.)
     (New usage is discouraged.) $)
  sb3b $p |- ( -. A. x x = y -> ( [ y / x ] ph <-> E. x ( x = y /\ ph ) ) ) $=
    ( weq wal wn wsb wi wa wex sb4b equs5 bitr4d ) BCDZBEFABCGNAHBENAIBJABCKABC
    LM $.

  $( One direction of a simplified definition of substitution when variables
     are distinct.  Usage of this theorem is discouraged because it depends on
     ~ ax-13 .  (Contributed by NM, 5-Aug-1993.)  (Proof shortened by Wolf
     Lammen, 21-Feb-2024.)  (New usage is discouraged.) $)
  sb3 $p |- ( -. A. x x = y -> ( E. x ( x = y /\ ph ) -> [ y / x ] ph ) ) $=
    ( weq wal wn wsb wa wex sb3b biimprd ) BCDZBEFABCGLAHBIABCJK $.

  $( One direction of a simplified definition of substitution.  The converse
     requires either a disjoint variable condition ( ~ sb5 ) or a nonfreeness
     hypothesis ( ~ sb5f ).  Usage of this theorem is discouraged because it
     depends on ~ ax-13 .  Use the weaker ~ sb1v when possible.  (Contributed
     by NM, 13-May-1993.)  Revise ~ df-sb .  (Revised by Wolf Lammen,
     21-Feb-2024.)  (New usage is discouraged.) $)
  sb1 $p |- ( [ y / x ] ph -> E. x ( x = y /\ ph ) ) $=
    ( weq wal wsb wa wex wi spsbe pm3.2 aleximi syl5 wn sb3b biimpd pm2.61i ) B
    CDZBEZABCFZRAGZBHZITABHSUBABCJRAUABRAKLMSNTUBABCOPQ $.

  $( One direction of a simplified definition of substitution.  The converse
     requires either a disjoint variable condition ( ~ sb6 ) or a nonfreeness
     hypothesis ( ~ sb6f ).  Usage of this theorem is discouraged because it
     depends on ~ ax-13 .  (Contributed by NM, 13-May-1993.)  Revise ~ df-sb .
     (Revised by Wolf Lammen, 26-Jul-2023.)  (New usage is discouraged.) $)
  sb2 $p |- ( A. x ( x = y -> ph ) -> [ y / x ] ph ) $=
    ( weq wal wi wsb pm2.27 al2imi stdpc4 syl6 wn sb4b biimprd pm2.61i ) BCDZBE
    ZPAFZBEZABCGZFQSABETPRABPAHIABCJKQLTSABCMNO $.

  $( Obsolete version of ~ sb3 as of 21-Feb-2024.  (Contributed by NM,
     5-Aug-1993.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  sb3OLD $p |- ( -. A. x x = y -> ( E. x ( x = y /\ ph ) -> [ y / x ] ph ) ) $=
    ( weq wal wn wa wex wi wsb equs5 sb2 syl6bi ) BCDZBEFNAGBHNAIBEABCJABCKABCL
    M $.

  $( Obsolete version of ~ sb1 as of 21-Feb-2024.  (Contributed by NM,
     13-May-1993.)  Revise ~ df-sb .  (Revised by Wolf Lammen, 29-Jul-2023.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  sb1OLD $p |- ( [ y / x ] ph -> E. x ( x = y /\ ph ) ) $=
    ( weq wal wsb wa wex wi sbequ2 19.8a ex syld sps sb4b equs4 syl6bi pm2.61i
    wn ) BCDZBEZABCFZTAGZBHZIZTUEBTUBAUDABCJTAUDUCBKLMNUASUBTAIBEUDABCOABCPQR
    $.

  $( Obsolete version of ~ sb3b as of 21-Feb-2024.  (Contributed by BJ,
     6-Oct-2018.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  sb3bOLD $p |- ( -. A. x x = y ->
                                 ( [ y / x ] ph <-> E. x ( x = y /\ ph ) ) ) $=
    ( weq wal wn wsb wa wex sb1 sb3 impbid2 ) BCDZBEFABCGMAHBIABCJABCKL $.

  $( A version of one implication of ~ sb4b that does not require a distinctor
     antecedent.  Usage of this theorem is discouraged because it depends on
     ~ ax-13 .  Use the weaker ~ sb4av when possible.  (Contributed by NM,
     2-Feb-2007.)  Revise ~ df-sb .  (Revised by Wolf Lammen, 28-Jul-2023.)
     (New usage is discouraged.) $)
  sb4a $p |- ( [ t / x ] A. t ph -> A. x ( x = t -> ph ) ) $=
    ( weq wal wsb wi sbequ2 sps axc11r ala1 syl6 syld wn sp imim2i alimi syl6bi
    sb4b pm2.61i ) BCDZBEZACEZBCFZUAAGZBEZGUBUDUCUFUAUDUCGBUCBCHIUBUCABEUFACBJA
    UABKLMUBNUDUAUCGZBEUFUCBCSUGUEBUCAUAACOPQRT $.

  $( Alternate definition of substitution.  Remark 9.1 in [Megill] p. 447 (p.
     15 of the preprint).  This was the original definition before ~ df-sb .
     Note that it does not require dummy variables in its definiens; this is
     done by having ` x ` free in the first conjunct and bound in the second.
     Usage of this theorem is discouraged because it depends on ~ ax-13 .
     (Contributed by BJ, 9-Jul-2023.)  Revise ~ df-sb .  (Revised by Wolf
     Lammen, 29-Jul-2023.)  (New usage is discouraged.) $)
  dfsb1 $p |- ( [ y / x ] ph <->
                ( ( x = y -> ph ) /\ E. x ( x = y /\ ph ) ) ) $=
    ( wsb weq wi wa wex sbequ2 com12 sb1 jca wal sbequ1 embantd sps adantrd sb3
    id wn adantld pm2.61i impbii ) ABCDZBCEZAFZUEAGBHZGZUDUFUGUEUDAABCIJABCKLUE
    BMZUHUDFUIUFUDUGUEUFUDFBUEUEAUDUESABCNOPQUITUGUDUFABCRUAUBUC $.

  $( Bound-variable hypothesis builder for substitution.  Usage of this theorem
     is discouraged because it depends on ~ ax-13 .  (Contributed by NM,
     14-May-1993.)  (New usage is discouraged.) $)
  hbsb2 $p |- ( -. A. x x = y -> ( [ y / x ] ph -> A. x [ y / x ] ph ) ) $=
    ( weq wal wn wsb wi sb4b sb2 axc4i syl6bi ) BCDZBEFABCGZMAHZBENBEABCIONBABC
    JKL $.

  $( Bound-variable hypothesis builder for substitution.  Usage of this theorem
     is discouraged because it depends on ~ ax-13 .  (Contributed by Mario
     Carneiro, 4-Oct-2016.)  (New usage is discouraged.) $)
  nfsb2 $p |- ( -. A. x x = y -> F/ x [ y / x ] ph ) $=
    ( weq wal wn wsb nfna1 hbsb2 nf5d ) BCDZBEFABCGBKBHABCIJ $.

  $( Special case of a bound-variable hypothesis builder for substitution.
     Usage of this theorem is discouraged because it depends on ~ ax-13 .
     (Contributed by NM, 2-Feb-2007.)  (New usage is discouraged.) $)
  hbsb2a $p |- ( [ y / x ] A. y ph -> A. x [ y / x ] ph ) $=
    ( wal wsb weq wi sb4a sb2 axc4i syl ) ACDBCEBCFAGZBDABCEZBDABCHLMBABCIJK $.

  $( One direction of a simplified definition of substitution that unlike
     ~ sb4b does not require a distinctor antecedent.  Usage of this theorem is
     discouraged because it depends on ~ ax-13 .  (Contributed by NM,
     2-Feb-2007.)  (New usage is discouraged.) $)
  sb4e $p |- ( [ y / x ] ph -> A. x ( x = y -> E. y ph ) ) $=
    ( wsb weq wa wex wi wal sb1 equs5e syl ) ABCDBCEZAFBGMACGHBIABCJABCKL $.

  $( Special case of a bound-variable hypothesis builder for substitution.
     Usage of this theorem is discouraged because it depends on ~ ax-13 .
     (Contributed by NM, 2-Feb-2007.)  (New usage is discouraged.) $)
  hbsb2e $p |- ( [ y / x ] ph -> A. x [ y / x ] E. y ph ) $=
    ( wsb weq wex wi wal sb4e sb2 axc4i syl ) ABCDBCEACFZGZBHMBCDZBHABCINOBMBCJ
    KL $.

  ${
    hbsb3.1 $e |- ( ph -> A. y ph ) $.
    $( If ` y ` is not free in ` ph ` , ` x ` is not free in ` [ y / x ] ph ` .
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       Check out ~ bj-hbsb3v for a weaker version requiring fewer axioms.
       (Contributed by NM, 14-May-1993.)  (New usage is discouraged.) $)
    hbsb3 $p |- ( [ y / x ] ph -> A. x [ y / x ] ph ) $=
      ( wsb wal sbimi hbsb2a syl ) ABCEZACFZBCEJBFAKBCDGABCHI $.
  $}

  ${
    nfs1.1 $e |- F/ y ph $.
    $( If ` y ` is not free in ` ph ` , ` x ` is not free in ` [ y / x ] ph ` .
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       Check out ~ nfs1v for a version requiring fewer axioms.  (Contributed by
       Mario Carneiro, 11-Aug-2016.)  (New usage is discouraged.) $)
    nfs1 $p |- F/ x [ y / x ] ph $=
      ( wsb nf5ri hbsb3 nf5i ) ABCEBABCACDFGH $.
  $}

  ${
    $d x y z $.  $d z ph $.
    $( Alternate proof of ~ axc16 , shorter but requiring ~ ax-10 , ~ ax-11 ,
       ~ ax-13 and using ~ df-nf and ~ df-sb .  (Contributed by NM,
       17-May-2008.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    axc16ALT $p |- ( A. x x = y -> ( ph -> A. x ph ) ) $=
      ( vz wsb sbequ12 ax-5 hbsb3 axc16i ) AABDEBCDABDFABDADGHI $.
  $}

  ${
    $d x y $.
    $( Alternate proof of ~ axc16g that uses ~ df-sb and requires ~ ax-10 ,
       ~ ax-11 , ~ ax-13 .  (Contributed by NM, 15-May-1993.)  (Proof shortened
       by Andrew Salmon, 25-May-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    axc16gALT $p |- ( A. x x = y -> ( ph -> A. z ph ) ) $=
      ( weq wal aev axc16ALT biidd dral1 biimprd sylsyld ) BCEBFDBEDFZAABFZADFZ
      BCDBDGABCHMONAADBMAIJKL $.
  $}

  $( Substitution applied to an atomic wff.  Usage of this theorem is
     discouraged because it depends on ~ ax-13 .  Use the weaker ~ equsb1v if
     possible.  (Contributed by NM, 10-May-1993.)
     (New usage is discouraged.) $)
  equsb1 $p |- [ y / x ] x = y $=
    ( weq wi wsb sb2 id mpg ) ABCZIDIABEAIABFIGH $.

  $( Substitution applied to an atomic wff.  Usage of this theorem is
     discouraged because it depends on ~ ax-13 .  Check out ~ equsb1v for a
     version requiring fewer axioms.  (Contributed by NM, 10-May-1993.)
     (New usage is discouraged.) $)
  equsb2 $p |- [ y / x ] y = x $=
    ( weq wi wsb sb2 equcomi mpg ) ABCBACZDIABEAIABFABGH $.

  $( An alternate definition of proper substitution that, like ~ dfsb1 , mixes
     free and bound variables to avoid distinct variable requirements.  Usage
     of this theorem is discouraged because it depends on ~ ax-13 .
     (Contributed by NM, 17-Feb-2005.)  (New usage is discouraged.) $)
  dfsb2 $p |- ( [ y / x ] ph <->
              ( ( x = y /\ ph ) \/ A. x ( x = y -> ph ) ) ) $=
    ( wsb weq wa wi wal wo sbequ2 sps orc syl6an sb4b olc syl6bi pm2.61i sbequ1
    sp wn imp sb2 jaoi impbii ) ABCDZBCEZAFZUFAGBHZIZUFBHZUEUIGUJUFUEAUIUFBSUFU
    EAGBABCJKUGUHLMUJTUEUHUIABCNUHUGOPQUGUEUHUFAUEABCRUAABCUBUCUD $.

  $( An alternate definition of proper substitution ~ df-sb that uses only
     primitive connectives (no defined terms) on the right-hand side.  Usage of
     this theorem is discouraged because it depends on ~ ax-13 .  (Contributed
     by NM, 6-Mar-2007.)  (New usage is discouraged.) $)
  dfsb3 $p |- ( [ y / x ] ph <->
              ( ( x = y -> -. ph ) -> A. x ( x = y -> ph ) ) ) $=
    ( weq wa wi wal wo wn wsb df-or dfsb2 imnan imbi1i 3bitr4i ) BCDZAEZPAFBGZH
    QIZRFABCJPAIFZRFQRKABCLTSRPAMNO $.

  $( Formula-building lemma for use with the Distinctor Reduction Theorem.
     Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint).  Usage of this
     theorem is discouraged because it depends on ~ ax-13 .  (Contributed by
     NM, 2-Jun-1993.)  (New usage is discouraged.) $)
  drsb1 $p |- ( A. x x = y -> ( [ z / x ] ph <-> [ z / y ] ph ) ) $=
    ( weq wal wi wa wex wsb wb equequ1 sps imbi1d anbi1d drex1 anbi12d 3bitr4g
    dfsb1 ) BCEZBFZBDEZAGZUBAHZBIZHCDEZAGZUFAHZCIZHABDJACDJUAUCUGUEUIUAUBUFATUB
    UFKBBCDLMZNUDUHBCUAUBUFAUJOPQABDSACDSR $.

  ${
    $d v y $.
    $( In the case of two successive substitutions for two always equal
       variables, the second substitution has no effect.  Usage of this theorem
       is discouraged because it depends on ~ ax-13 .  (Contributed by BJ and
       WL, 9-Aug-2023.)  (New usage is discouraged.) $)
    sb2ae $p |-
               ( A. x x = y -> ( [ u / x ] [ v / y ] ph <-> [ v / y ] ph ) ) $=
      ( weq wal wsb drsb1 nfs1v sbf bitrdi ) BCFBGACDHZBEHMCEHMMBCEIMCEACDJKL
      $.
  $}

  ${
    sb6f.1 $e |- F/ y ph $.
    $( Equivalence for substitution when ` y ` is not free in ` ph ` .  The
       implication "to the left" is ~ sb2 and does not require the nonfreeness
       hypothesis.  Theorem ~ sb6 replaces the nonfreeness hypothesis with a
       disjoint variable condition on ` x , y ` and requires fewer axioms.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 2-Jun-1993.)  (Revised by Mario Carneiro,
       4-Oct-2016.)  (New usage is discouraged.) $)
    sb6f $p |- ( [ y / x ] ph <-> A. x ( x = y -> ph ) ) $=
      ( wsb weq wi wal nf5ri sbimi sb4a syl sb2 impbii ) ABCEZBCFAGBHZOACHZBCEP
      AQBCACDIJABCKLABCMN $.

    $( Equivalence for substitution when ` y ` is not free in ` ph ` .  The
       implication "to the right" is ~ sb1 and does not require the nonfreeness
       hypothesis.  Theorem ~ sb5 replaces the nonfreeness hypothesis with a
       disjoint variable condition on ` x , y ` and requires fewer axioms.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 5-Aug-1993.)  (Revised by Mario Carneiro,
       4-Oct-2016.)  (New usage is discouraged.) $)
    sb5f $p |- ( [ y / x ] ph <-> E. x ( x = y /\ ph ) ) $=
      ( wsb weq wi wal wa wex sb6f equs45f bitr4i ) ABCEBCFZAGBHNAIBJABCDKABCDL
      M $.
  $}

  $( A variable not free in a proposition remains so after substitution in that
     proposition with a distinct variable (closed form of ~ nfsb4 ).  Usage of
     this theorem is discouraged because it depends on ~ ax-13 .  (Contributed
     by NM, 7-Apr-2004.)  (Revised by Mario Carneiro, 4-Oct-2016.)  (Proof
     shortened by Wolf Lammen, 11-May-2018.)  (New usage is discouraged.) $)
  nfsb4t $p |- ( A. x F/ z ph ->
                 ( -. A. z z = y -> F/ z [ y / x ] ph ) ) $=
    ( wnf wal weq wn wsb wi wa sbequ12 sps drnf2 biimpd spsd impcom nfnae nfan
    wb a1d nfnf1 nfal nfa1 sp adantr nfsb2 adantl a1i dvelimdf pm2.61dan ) ADEZ
    BFZBCGZBFZDCGDFHZABCIZDEZJUMUOKURUPUOUMURUOULURBUOULURAUQBCDUNAUQTZBABCLZMN
    OPQUAUMUOHZKZAUQDCBUMVADULDBADUBUCBCDRSUMVABULBUDBCBRSUMULVAULBUEUFVAUQBEUM
    ABCUGUHUNUSJVBUTUIUJUK $.

  ${
    nfsb4.1 $e |- F/ z ph $.
    $( A variable not free in a proposition remains so after substitution in
       that proposition with a distinct variable (inference associated with
       ~ nfsb4t ).  Theorem ~ nfsb replaces the distinctor antecedent with a
       disjoint variable condition.  See ~ nfsbv for a weaker version of ~ nfsb
       not requiring ~ ax-13 .  (Contributed by NM, 14-May-1993.)  (Revised by
       Mario Carneiro, 4-Oct-2016.)  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  Use ~ nfsbv instead.
       (New usage is discouraged.) $)
    nfsb4 $p |- ( -. A. z z = y -> F/ z [ y / x ] ph ) $=
      ( wnf weq wal wn wsb wi nfsb4t mpg ) ADFDCGDHIABCJDFKBABCDLEM $.
  $}

  $( Elimination of equality from antecedent after substitution.  Usage of this
     theorem is discouraged because it depends on ~ ax-13 .  (Contributed by
     NM, 5-Aug-1993.)  Reduce dependencies on axioms.  (Revised by Wolf Lammen,
     28-Jul-2018.)  Revise ~ df-sb .  (Revised by Wolf Lammen, 28-Jul-2023.)
     (New usage is discouraged.) $)
  sbequ8 $p |- ( [ y / x ] ph <-> [ y / x ] ( x = y -> ph ) ) $=
    ( wsb weq wi equsb1 a1bi sbim bitr4i ) ABCDZBCEZBCDZKFLAFBCDMKBCGHLABCIJ $.

  ${
    sbie.1 $e |- F/ x ps $.
    sbie.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit substitution.  For
       versions requiring disjoint variables, but fewer axioms, see ~ sbiev and
       ~ sbievw .  Usage of this theorem is discouraged because it depends on
       ~ ax-13 .  (Contributed by NM, 30-Jun-1994.)  (Revised by Mario
       Carneiro, 4-Oct-2016.)  (Proof shortened by Wolf Lammen, 13-Jul-2019.)
       (New usage is discouraged.) $)
    sbie $p |- ( [ y / x ] ph <-> ps ) $=
      ( wb wsb weq equsb1 sbimi ax-mp sbf sblbis mpbi ) ABGZCDHZACDHBGCDIZCDHQC
      DJRPCDFKLBBACDBCDEMNO $.
  $}

  ${
    sbied.1 $e |- F/ x ph $.
    sbied.2 $e |- ( ph -> F/ x ch ) $.
    sbied.3 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Conversion of implicit substitution to explicit substitution (deduction
       version of ~ sbie ) Usage of this theorem is discouraged because it
       depends on ~ ax-13 .  See ~ sbiedw , ~ sbiedvw for variants using
       disjoint variables, but requiring fewer axioms.  (Contributed by NM,
       30-Jun-1994.)  (Revised by Mario Carneiro, 4-Oct-2016.)  (Proof
       shortened by Wolf Lammen, 24-Jun-2018.)  (New usage is discouraged.) $)
    sbied $p |- ( ph -> ( [ y / x ] ps <-> ch ) ) $=
      ( wsb wi sbrim nfim1 weq wb com12 pm5.74d sbie bitr3i pm5.74ri ) ABDEIZCA
      TJABJZDEIACJZABDEFKUAUBDEACDFGLDEMZABCAUCBCNHOPQRS $.
  $}

  ${
    $d x ph $.  $d x ch $.
    sbiedv.1 $e |- ( ( ph /\ x = y ) -> ( ps <-> ch ) ) $.
    $( Conversion of implicit substitution to explicit substitution (deduction
       version of ~ sbie ).  Usage of this theorem is discouraged because it
       depends on ~ ax-13 .  Use the weaker ~ sbiedvw when possible.
       (Contributed by NM, 7-Jan-2017.)  (New usage is discouraged.) $)
    sbiedv $p |- ( ph -> ( [ y / x ] ps <-> ch ) ) $=
      ( nfv nfvd weq wb ex sbied ) ABCDEADGACDHADEIBCJFKL $.
  $}

  ${
    $d x y ps $.  $d t y $.
    2sbiev.1 $e |- ( ( x = t /\ y = u ) -> ( ph <-> ps ) ) $.
    $( Conversion of double implicit substitution to explicit substitution.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       See ~ 2sbievw for a version with extra disjoint variables, but based on
       fewer axioms.  (Contributed by AV, 29-Jul-2023.)
       (New usage is discouraged.) $)
    2sbiev $p |- ( [ t / x ] [ u / y ] ph <-> ps ) $=
      ( wsb nfv weq sbiedv sbie ) ADEHBCFBCICFJABDEGKL $.
  $}

  $( Substituting ` y ` for ` x ` and then ` z ` for ` y ` is equivalent to
     substituting ` z ` for both ` x ` and ` y ` .  Usage of this theorem is
     discouraged because it depends on ~ ax-13 .  For a version requiring a
     disjoint variable, but fewer axioms, see ~ sbcom3vv .  (Contributed by
     Giovanni Mascellani, 8-Apr-2018.)  Remove dependency on ~ ax-11 .
     (Revised by Wolf Lammen, 16-Sep-2018.)  (Proof shortened by Wolf Lammen,
     16-Sep-2018.)  (New usage is discouraged.) $)
  sbcom3 $p |- ( [ z / y ] [ y / x ] ph <-> [ z / y ] [ z / x ] ph ) $=
    ( weq wal wsb wb nfa1 drsb2 sbbid wn sb4b sbequ pm5.74i albii bitrdi bitr4d
    wi pm2.61i ) CDEZCFZABCGZCDGZABDGZCDGZHUBUCUECDUACIACDBJKUBLZUDUAUESZCFZUFU
    GUDUAUCSZCFUIUCCDMUJUHCUAUCUEACDBNOPQUECDMRT $.

  $( A composition law for substitution.  Usage of this theorem is discouraged
     because it depends on ~ ax-13 .  See ~ sbcov for a version with a disjoint
     variable condition requiring fewer axioms.  (Contributed by NM,
     14-May-1993.)  (Proof shortened by Wolf Lammen, 21-Sep-2018.)
     (New usage is discouraged.) $)
  sbco $p |- ( [ y / x ] [ x / y ] ph <-> [ y / x ] ph ) $=
    ( wsb sbcom3 sbid sbbii bitri ) ACBDBCDACCDZBCDABCDACBCEIABCACFGH $.

  ${
    sbid2.1 $e |- F/ x ph $.
    $( An identity law for substitution.  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  Check out ~ sbid2vw for a weaker
       version requiring fewer axioms.  (Contributed by NM, 14-May-1993.)
       (Revised by Mario Carneiro, 6-Oct-2016.)  (New usage is discouraged.) $)
    sbid2 $p |- ( [ y / x ] [ x / y ] ph <-> ph ) $=
      ( wsb sbco sbf bitri ) ACBEBCEABCEAABCFABCDGH $.
  $}

  ${
    $d x ph $.
    $( An identity law for substitution.  Used in proof of Theorem 9.7 of
       [Megill] p. 449 (p. 16 of the preprint).  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  See ~ sbid2vw for a version
       with an extra disjoint variable condition requiring fewer axioms.
       (Contributed by NM, 5-Aug-1993.)  (New usage is discouraged.) $)
    sbid2v $p |- ( [ y / x ] [ x / y ] ph <-> ph ) $=
      ( nfv sbid2 ) ABCABDE $.
  $}

  $( An idempotent law for substitution.  Usage of this theorem is discouraged
     because it depends on ~ ax-13 .  (Contributed by NM, 30-Jun-1994.)  (Proof
     shortened by Andrew Salmon, 25-May-2011.)  (Proof shortened by Wolf
     Lammen, 13-Jul-2019.)  (New usage is discouraged.) $)
  sbidm $p |- ( [ y / x ] [ y / x ] ph <-> [ y / x ] ph ) $=
    ( wsb sbcom3 sbid sbbii bitr3i ) ABCDZBCDABBDZBCDIABBCEJABCABFGH $.

  ${
    sbco2.1 $e |- F/ z ph $.
    $( A composition law for substitution.  For versions requiring fewer
       axioms, but more disjoint variable conditions, see ~ sbco2v and
       ~ sbco2vv .  Usage of this theorem is discouraged because it depends on
       ~ ax-13 .  (Contributed by NM, 30-Jun-1994.)  (Revised by Mario
       Carneiro, 6-Oct-2016.)  (Proof shortened by Wolf Lammen, 17-Sep-2018.)
       (New usage is discouraged.) $)
    sbco2 $p |- ( [ y / z ] [ z / x ] ph <-> [ y / x ] ph ) $=
      ( weq wal wsb wb sbequ12 sbequ bitr3d sps wn nfnae nfsb4 wi sbied pm2.61i
      a1i ) DCFZDGZABDHZDCHZABCHZIZUAUFDUAUCUDUEUCDCJADCBKZLMUBNZUCUEDCDCDOABCD
      EPUAUCUEIQUHUGTRS $.
  $}

  ${
    sbco2d.1 $e |- F/ x ph $.
    sbco2d.2 $e |- F/ z ph $.
    sbco2d.3 $e |- ( ph -> F/ z ps ) $.
    $( A composition law for substitution.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  (Contributed by NM,
       2-Jun-1993.)  (Revised by Mario Carneiro, 6-Oct-2016.)
       (New usage is discouraged.) $)
    sbco2d $p |- ( ph -> ( [ y / z ] [ z / x ] ps <-> [ y / x ] ps ) ) $=
      ( wsb wi nfim1 sbco2 sbrim sbbii bitri 3bitr3i pm5.74ri ) ABCEIZEDIZBCDIZ
      ABJZCEIZEDIZUACDIASJZATJUACDEABEGHKLUCARJZEDIUDUBUEEDABCEFMNAREDGMOABCDFM
      PQ $.
  $}

  $( A composition law for substitution.  Usage of this theorem is discouraged
     because it depends on ~ ax-13 .  (Contributed by NM, 2-Jun-1993.)  (Proof
     shortened by Wolf Lammen, 18-Sep-2018.)  (New usage is discouraged.) $)
  sbco3 $p |- ( [ z / y ] [ y / x ] ph <-> [ z / x ] [ x / y ] ph ) $=
    ( weq wal wsb wb drsb1 nfae sbequ12a sps sbbid bitr3d wn nfnae nfsb2 sbco2d
    sbco sbbii bitr3di pm2.61i ) BCEZBFZABCGZCDGZACBGZBDGZHUDUEBDGUFUHUEBCDIUDU
    EUGBDBCBJUCUEUGHBABCKLMNUDOZUECBGZBDGUFUHUIUECDBBCCPBCBPABCQRUJUGBDACBSTUAU
    B $.

  $( A commutativity law for substitution.  Usage of this theorem is
     discouraged because it depends on ~ ax-13 .  Check out ~ sbcom3vv for a
     version requiring fewer axioms.  (Contributed by NM, 27-May-1997.)  (Proof
     shortened by Wolf Lammen, 20-Sep-2018.)  (New usage is discouraged.) $)
  sbcom $p |- ( [ y / z ] [ y / x ] ph <-> [ y / x ] [ y / z ] ph ) $=
    ( wsb sbco3 sbcom3 3bitr3i ) ABDEDCEADBEBCEABCEDCEADCEBCEABDCFABDCGADBCGH
    $.

  ${
    sbtrt.nf $e |- F/ y ph $.
    $( Partially closed form of ~ sbtr .  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  (Contributed by BJ, 4-Jun-2019.)
       (New usage is discouraged.) $)
    sbtrt $p |- ( A. y [ y / x ] ph -> ph ) $=
      ( wsb wal stdpc4 sbid2 sylib ) ABCEZCFJCBEAJCBGACBDHI $.
  $}

  ${
    sbtr.nf $e |- F/ y ph $.
    sbtr.1 $e |- [ y / x ] ph $.
    $( A partial converse to ~ sbt .  If the substitution of a variable for a
       nonfree one in a wff gives a theorem, then the original wff is a
       theorem.  Usage of this theorem is discouraged because it depends on
       ~ ax-13 .  (Contributed by BJ, 15-Sep-2018.)
       (New usage is discouraged.) $)
    sbtr $p |- ph $=
      ( wsb sbtrt mpg ) ABCFACABCDGEH $.
  $}

  ${
    sb8.1 $e |- F/ y ph $.
    $( Substitution of variable in universal quantifier.  Usage of this theorem
       is discouraged because it depends on ~ ax-13 .  For a version requiring
       disjoint variables, but fewer axioms, see ~ sb8v .  (Contributed by NM,
       16-May-1993.)  (Revised by Mario Carneiro, 6-Oct-2016.)  (Proof
       shortened by Jim Kingdon, 15-Jan-2018.)  (New usage is discouraged.) $)
    sb8 $p |- ( A. x ph <-> A. y [ y / x ] ph ) $=
      ( wsb nfs1 sbequ12 cbval ) AABCEBCDABCDFABCGH $.

    $( Substitution of variable in existential quantifier.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  For a version
       requiring disjoint variables, but fewer axioms, see ~ sb8ev .
       (Contributed by NM, 12-Aug-1993.)  (Revised by Mario Carneiro,
       6-Oct-2016.)  (Proof shortened by Jim Kingdon, 15-Jan-2018.)
       (New usage is discouraged.) $)
    sb8e $p |- ( E. x ph <-> E. y [ y / x ] ph ) $=
      ( wsb nfs1 sbequ12 cbvex ) AABCEBCDABCDFABCGH $.
  $}

  $( Commutation of quantification and substitution variables.  Usage of this
     theorem is discouraged because it depends on ~ ax-13 .  (Contributed by
     NM, 5-Aug-1993.)  Allow a shortening of ~ sb9i .  (Revised by Wolf Lammen,
     15-Jun-2019.)  (New usage is discouraged.) $)
  sb9 $p |- ( A. x [ x / y ] ph <-> A. y [ y / x ] ph ) $=
    ( weq wal wsb wb sbequ12a equcoms sps dral1 wn nfnae wnf nfsb2 naecoms cbv2
    wi a1i pm2.61i ) BCDZBEZACBFZBEABCFZCEGUCUDBCUAUCUDGZBUECBACBHIZJKUBLZUCUDB
    CBCBMBCCMUCCNCBACBOPABCOUAUERUGUFSQT $.

  $( Commutation of quantification and substitution variables.  Usage of this
     theorem is discouraged because it depends on ~ ax-13 .  (Contributed by
     NM, 5-Aug-1993.)  (Proof shortened by Wolf Lammen, 15-Jun-2019.)
     (New usage is discouraged.) $)
  sb9i $p |- ( A. x [ x / y ] ph -> A. y [ y / x ] ph ) $=
    ( wsb wal sb9 biimpi ) ACBDBEABCDCEABCFG $.

  ${
    $d y ph $.
    $( Two ways of expressing " ` x ` is (effectively) not free in ` ph ` ".
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 29-May-2009.)  (New usage is discouraged.) $)
    sbhb $p |- ( ( ph -> A. x ph ) <-> A. y ( ph -> [ y / x ] ph ) ) $=
      ( wal wi wsb nfv sb8 imbi2i 19.21v bitr4i ) AABDZEAABCFZCDZEAMECDLNAABCAC
      GHIAMCJK $.
  $}

  ${
    $d y z $.
    nfsbd.1 $e |- F/ x ph $.
    nfsbd.2 $e |- ( ph -> F/ z ps ) $.
    $( Deduction version of ~ nfsb .  (Contributed by NM, 15-Feb-2013.)  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Use
       ~ nfsbv instead.  (New usage is discouraged.) $)
    nfsbd $p |- ( ph -> F/ z [ y / x ] ps ) $=
      ( weq wal wsb wnf wn wi alrimi nfsb4t syl axc16nf pm2.61d2 ) AEDHEIZBCDJZ
      EKZABEKZCISLUAMAUBCFGNBCDEOPTEDEQR $.
  $}

  ${
    $d y z $.
    nfsb.1 $e |- F/ z ph $.
    $( If ` z ` is not free in ` ph ` , then it is not free in ` [ y / x ] ph `
       when ` y ` and ` z ` are distinct.  See ~ nfsbv for a version with an
       additional disjoint variable condition on ` x , z ` but not requiring
       ~ ax-13 .  (Contributed by Mario Carneiro, 11-Aug-2016.)  (Proof
       shortened by Wolf Lammen, 25-Feb-2024.)  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use ~ nfsbv instead.
       (New usage is discouraged.) $)
    nfsb $p |- F/ z [ y / x ] ph $=
      ( wsb wnf wtru nftru a1i nfsbd mptru ) ABCFDGHABCDBIADGHEJKL $.

    $( Obsolete version of ~ nfsb as of 25-Feb-2024.  (Contributed by Mario
       Carneiro, 11-Aug-2016.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    nfsbOLD $p |- F/ z [ y / x ] ph $=
      ( weq wal wsb wnf axc16nf nfsb4 pm2.61i ) DCFDGABCHZDIMDCDJABCDEKL $.
  $}

  ${
    $d y z $.
    hbsb.1 $e |- ( ph -> A. z ph ) $.
    $( If ` z ` is not free in ` ph ` , then it is not free in ` [ y / x ] ph `
       when ` y ` and ` z ` are distinct.  (Contributed by NM, 12-Aug-1993.)
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       Use ~ hbsbw instead.  (New usage is discouraged.) $)
    hbsb $p |- ( [ y / x ] ph -> A. z [ y / x ] ph ) $=
      ( wsb nf5i nfsb nf5ri ) ABCFDABCDADEGHI $.
  $}

  ${
    $d y z $.
    sb7f.1 $e |- F/ z ph $.
    $( This version of ~ dfsb7 does not require that ` ph ` and ` z ` be
       disjoint.  This permits it to be used as a definition for substitution
       in a formalization that omits the logically redundant axiom ~ ax-5 ,
       i.e., that does not have the concept of a variable not occurring in a
       formula.  (Definition ~ dfsb1 is also suitable, but its mixing of free
       and bound variables is distasteful to some logicians.)  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  (Contributed by
       NM, 26-Jul-2006.)  (Revised by Mario Carneiro, 6-Oct-2016.)
       (New usage is discouraged.) $)
    sb7f $p |- ( [ y / x ] ph <->
               E. z ( z = y /\ E. x ( x = z /\ ph ) ) ) $=
      ( wsb weq wa wex sb5f sbbii sbco2 sb5 3bitr3i ) ABDFZDCFBDGAHBIZDCFABCFDC
      GPHDIOPDCABDEJKABCDELPDCMN $.
  $}

  ${
    $d y z $.
    sb7h.1 $e |- ( ph -> A. z ph ) $.
    $( This version of ~ dfsb7 does not require that ` ph ` and ` z ` be
       disjoint.  This permits it to be used as a definition for substitution
       in a formalization that omits the logically redundant axiom ~ ax-5 ,
       i.e., that does not have the concept of a variable not occurring in a
       formula.  (Definition ~ dfsb1 is also suitable, but its mixing of free
       and bound variables is distasteful to some logicians.)  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  (Contributed by
       NM, 26-Jul-2006.)  (Proof shortened by Andrew Salmon, 25-May-2011.)
       (New usage is discouraged.) $)
    sb7h $p |- ( [ y / x ] ph <->
               E. z ( z = y /\ E. x ( x = z /\ ph ) ) ) $=
      ( nf5i sb7f ) ABCDADEFG $.
  $}

  ${
    $d x y $.
    sb10f.1 $e |- F/ x ph $.
    $( Hao Wang's identity axiom P6 in Irving Copi, _Symbolic Logic_ (5th ed.,
       1979), p. 328.  In traditional predicate calculus, this is a sole axiom
       for identity from which the usual ones can be derived.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  (Contributed by
       NM, 9-May-2005.)  (Revised by Mario Carneiro, 6-Oct-2016.)
       (New usage is discouraged.) $)
    sb10f $p |- ( [ y / z ] ph <-> E. x ( x = y /\ [ x / z ] ph ) ) $=
      ( weq wsb wa wex nfsb sbequ equsexv bicomi ) BCFADBGZHBIADCGZNOBCADCBEJAB
      CDKLM $.
  $}

  ${
    $d x y $.
    $( Check out ~ sbal for a version not dependent on ~ ax-13 .  A theorem
       used in elimination of disjoint variable restriction on ` x ` and ` z `
       by replacing it with a distinctor ` -. A. x x = z ` .  (Contributed by
       NM, 15-May-1993.)  (Proof shortened by Wolf Lammen, 3-Oct-2018.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    sbal1 $p |- ( -. A. x x = z ->
             ( [ z / y ] A. x ph <-> A. x [ z / y ] ph ) ) $=
      ( weq wal wn wsb wb wa wi sb4b nfnae wnf nfeqf2 19.21t bicomd sbequ12 sps
      albid syl sylan9bbr alcom bitrdi adantl bitr4d ex dral2 bitr3d pm2.61d2 )
      BDEBFGZCDEZCFZABFZCDHZACDHZBFZIZUKUMGZURUKUSJUOULAKZBFZCFZUQUSUOULUNKZCFU
      KVBUNCDLUKVCVACBDCMUKULBNZVCVAIBDCOVDVAVCULABPQUATUBUSUQVBIUKUSUQUTCFZBFV
      BUSUPVEBCDBMACDLTUTBCUCUDUEUFUGUMUNUOUQULUNUOICUNCDRSAUPCDBULAUPICACDRSUH
      UIUJ $.
  $}

  ${
    $d z x $.
    $( Move quantifier in and out of substitution.  (Contributed by NM,
       2-Jan-2002.)  Remove a distinct variable constraint.  (Revised by Wolf
       Lammen, 24-Dec-2022.)  (Proof shortened by Wolf Lammen, 23-Sep-2023.)
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       Use ~ sbal instead.  (New usage is discouraged.) $)
    sbal2 $p |- ( -. A. x x = y ->
             ( [ z / y ] A. x ph <-> A. x [ z / y ] ph ) ) $=
      ( weq wal wn wsb wb sbequ12 dral2 bitr3d adantl wa sb4b nfnae albid alcom
      sps wi bitrdi wnf nfeqf1 19.21t syl sylan9bbr bitr4d pm2.61dan ) BCEBFGZC
      DEZCFZABFZCDHZACDHZBFZIZUKUPUIUKULUMUOUJULUMICULCDJSAUNCDBUJAUNICACDJSKLM
      UIUKGZNUMUJULTZCFZUOUQUMUSIUIULCDOMUQUOUJATZBFZCFZUIUSUQUOUTCFZBFVBUQUNVC
      BCDBPACDOQUTBCRUAUIVAURCBCCPUIUJBUBVAURIBCDUCUJABUDUEQUFUGUH $.
  $}

  ${
    $d z w ph $.
    $( An equivalent expression for double existence.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  For a version requiring
       more disjoint variables, but fewer axioms, see ~ 2sb8ev .  (Contributed
       by Wolf Lammen, 2-Nov-2019.)  (New usage is discouraged.) $)
    2sb8e $p |- ( E. x E. y ph <->
                  E. z E. w [ z / x ] [ w / y ] ph ) $=
      ( wex wsb nfv sb8e exbii excom bitri nfsb 3bitri ) ACFZBFZACEGZBFZEFZQBDG
      ZDFZEFTEFDFPQEFZBFSOUBBACEAEHIJQBEKLRUAEQBDACEDADHMIJTEDKN $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Uniqueness and unique existence
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  ${
    $d x y $.  $d y ph $.
    $( An elementary proof of ~ moeu in disguise, connecting an expression
       characterizing uniqueness ( ~ df-mo ) to that of existential uniqueness
       ( ~ eu6 ).  No particular order of definition is required, as one can be
       derived from the other.  This is shown here and in ~ dfeumo .
       (Contributed by Wolf Lammen, 27-May-2019.) $)
    dfmoeu $p |- ( ( E. x ph -> E. y A. x ( ph <-> x = y ) ) <->
                      E. y A. x ( ph -> x = y ) ) $=
      ( wex weq wb wal wi wn alnex pm2.21 alimi sylbir 19.8ad biimp eximi nfia1
      ja wa com12 ax12v embantd spsd ancld albiim syl6ibr exlimi eximdv impbii
      id ) ABDZABCEZFZBGZCDZHAULHZBGZCDZUKUOURUKIZUQCUSAIZBGUQABJUTUPBAULKLMNUN
      UQCUMUPBAULOLPRUKURUOUKUQUNCAUQUNHBUPUMBQAUQUQULAHBGZSUNAUQVAAUPVABAAULVA
      AUJULAVAABCUATUBUCUDAULBUEUFUGUHTUI $.

    $( An elementary proof showing the reverse direction of ~ dfmoeu .  Here
       the characterizing expression of existential uniqueness ( ~ eu6 ) is
       derived from that of uniqueness ( ~ df-mo ).  (Contributed by Wolf
       Lammen, 3-Oct-2023.) $)
    dfeumo $p |- ( ( E. x ph /\ E. y A. x ( ph -> x = y ) ) <->
                      E. y A. x ( ph <-> x = y ) ) $=
      ( weq wb wal wex wa ax6ev biimpr aleximi mpi exlimiv pm4.71ri abai dfmoeu
      wi anbi2i 3bitrri ) ABCDZEZBFZCGZABGZUCHUDUDUCQZHUDATQBFCGZHUCUDUBUDCUBTB
      GUDBCIUATABATJKLMNUDUCOUEUFUDABCPRS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Uniqueness: the at-most-one quantifier
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Token for the at-most-one quantifier. $)
  $c E* $.

  $( Extend wff definition to include the at-most-one quantifier ("there exists
     at most one ` x ` such that ` ph ` "). $)
  wmo $a wff E* x ph $.

  ${
    $d t x y $.  $d t x z $.  $d t y ph $.  $d t z ph $.
    $( Soundness justification theorem for ~ df-mo (note that ` y ` and ` z `
       need not be disjoint, although the weaker theorem with that disjoint
       variable condition added would be enough to justify the soundness of the
       definition).  (Contributed by NM, 11-Mar-2010.)  Added this theorem by
       adapting the proof of ~ eujust .  (Revised by BJ, 30-Sep-2022.) $)
    mojust $p |- ( E. y A. x ( ph -> x = y ) <-> E. z A. x ( ph -> x = z ) ) $=
      ( vt weq wi wal wex equequ2 imbi2d albidv cbvexvw bitri ) ABCFZGZBHZCIABE
      FZGZBHZEIABDFZGZBHZDIQTCECEFZPSBUDORACEBJKLMTUCEDEDFZSUBBUERUAAEDBJKLMN
      $.
  $}

  ${
    $d x y $.  $d ph y $.
    $( Define the at-most-one quantifier.  The expression ` E* x ph ` is read
       "there exists at most one ` x ` such that ` ph ` ".  This is also called
       the "uniqueness quantifier" but that expression is also used for the
       unique existential quantifier ~ df-eu , therefore we avoid that
       ambiguous name.

       Notation of [BellMachover] p. 460, whose definition we show as ~ mo3 .
       For other possible definitions see ~ moeu and ~ mo4 .  (Contributed by
       Wolf Lammen, 27-May-2019.)  Make this the definition (which used to be
       ~ moeu , while this definition was then proved as ~ dfmo ).  (Revised by
       BJ, 30-Sep-2022.) $)
    df-mo $a |- ( E* x ph <-> E. y A. x ( ph -> x = y ) ) $.
  $}

  ${
    $d x y $.  $d ph y $.
    $( Nonexistence implies uniqueness.  (Contributed by BJ, 30-Sep-2022.)
       Avoid ~ ax-11 .  (Revised by Wolf Lammen, 16-Oct-2022.) $)
    nexmo $p |- ( -. E. x ph -> E* x ph ) $=
      ( vy wn wal weq wi wex wmo pm2.21 alimi alrimiv 19.2d alnex df-mo 3imtr4i
      bicomi ) ADZBEZABCFZGZBEZCHABHDZABISUBCSUBCRUABATJKLMSUCABNQABCOP $.
    $( $j usage 'nexmo' avoids 'ax-11'; $)
  $}

  $( Any proposition holds for some ` x ` or holds for at most one ` x ` .
     (Contributed by NM, 8-Mar-1995.)  Shorten proof and avoid ~ df-eu .
     (Revised by BJ, 14-Oct-2022.) $)
  exmo $p |- ( E. x ph \/ E* x ph ) $=
    ( wex wmo nexmo orri ) ABCABDABEF $.

  $( Absorption of existence condition by uniqueness.  (Contributed by NM,
     4-Nov-2002.)  Shorten proof and avoid ~ df-eu .  (Revised by BJ,
     14-Oct-2022.) $)
  moabs $p |- ( E* x ph <-> ( E. x ph -> E* x ph ) ) $=
    ( wmo wex wi ax-1 nexmo id ja impbii ) ABCZABDZKEKLFLKKABGKHIJ $.

  ${
    $d x y $.  $d y ph $.  $d y ps $.
    $( The at-most-one quantifier reverses implication.  (Contributed by NM,
       22-Apr-1995.) $)
    moim $p |- ( A. x ( ph -> ps ) -> ( E* x ps -> E* x ph ) ) $=
      ( vy wi wal weq wex wmo imim1 al2imi eximdv df-mo 3imtr4g ) ABEZCFZBCDGZE
      ZCFZDHAQEZCFZDHBCIACIPSUADORTCABQJKLBCDMACDMN $.
  $}

  ${
    $d x y $.  $d y ph $.  $d y ps $.
    moimi.1 $e |- ( ph -> ps ) $.
    $( The at-most-one quantifier reverses implication.  (Contributed by NM,
       15-Feb-2006.)  Remove use of ~ ax-5 .  (Revised by Steven Nguyen,
       9-May-2023.) $)
    moimi $p |- ( E* x ps -> E* x ph ) $=
      ( vy weq wi wal wex wmo imim1i alimi eximi df-mo 3imtr4i ) BCEFZGZCHZEIAP
      GZCHZEIBCJACJRTEQSCABPDKLMBCENACENO $.
    $( $j usage 'moimi' avoids 'ax-5'; $)
  $}

  ${
    $d x ph $.
    moimdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( The at-most-one quantifier reverses implication, deduction form.
       (Contributed by Thierry Arnoux, 25-Feb-2017.) $)
    moimdv $p |- ( ph -> ( E* x ch -> E* x ps ) ) $=
      ( wi wal wmo alrimiv moim syl ) ABCFZDGCDHBDHFALDEIBCDJK $.
  $}

  $( Equivalence theorem for the at-most-one quantifier.  (Contributed by BJ,
     7-Oct-2022.)  (Proof shortened by Wolf Lammen, 18-Feb-2023.) $)
  mobi $p |- ( A. x ( ph <-> ps ) -> ( E* x ph <-> E* x ps ) ) $=
    ( wb wal wi wa wmo albiim moim impbid21d imp sylbi ) ABDCEABFCEZBAFCEZGACHZ
    BCHZDZABCINORNOPQBACJABCJKLM $.

  ${
    mobii.1 $e |- ( ps <-> ch ) $.
    $( Formula-building rule for the at-most-one quantifier (inference form).
       (Contributed by NM, 9-Mar-1995.)  (Revised by Mario Carneiro,
       17-Oct-2016.)  Avoid ~ ax-5 .  (Revised by Wolf Lammen, 24-Sep-2023.) $)
    mobii $p |- ( E* x ps <-> E* x ch ) $=
      ( wmo biimpri moimi biimpi impbii ) ACEBCEBACABDFGABCABDHGI $.
    $( $j usage 'mobii' avoids 'ax-5'; $)
  $}

  ${
    $d x ph $.
    mobidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for the at-most-one quantifier (deduction form).
       (Contributed by Mario Carneiro, 7-Oct-2016.)  Reduce axiom dependencies
       and shorten proof.  (Revised by BJ, 7-Oct-2022.) $)
    mobidv $p |- ( ph -> ( E* x ps <-> E* x ch ) ) $=
      ( wb wal wmo alrimiv mobi syl ) ABCFZDGBDHCDHFALDEIBCDJK $.
  $}

  ${
    mobid.1 $e |- F/ x ph $.
    mobid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for the at-most-one quantifier (deduction form).
       (Contributed by NM, 8-Mar-1995.)  Remove dependency on ~ ax-10 ,
       ~ ax-11 , ~ ax-13 .  (Revised by BJ, 14-Oct-2022.)  (Proof shortened by
       Wolf Lammen, 18-Feb-2023.) $)
    mobid $p |- ( ph -> ( E* x ps <-> E* x ch ) ) $=
      ( wb wal wmo alrimi mobi syl ) ABCGZDHBDICDIGAMDEFJBCDKL $.
  $}

  $( If an implication holds for at most one value, then its consequent holds
     for at most one value.  See also ~ ala1 and ~ exa1 .  (Contributed by NM,
     28-Jul-1995.)  (Proof shortened by Wolf Lammen, 22-Dec-2018.)  (Revised by
     BJ, 29-Mar-2021.) $)
  moa1 $p |- ( E* x ( ph -> ps ) -> E* x ps ) $=
    ( wi ax-1 moimi ) BABDCBAEF $.

  $( "At most one" is still the case when a conjunct is added.  (Contributed by
     NM, 22-Apr-1995.) $)
  moan $p |- ( E* x ph -> E* x ( ps /\ ph ) ) $=
    ( wa simpr moimi ) BADACBAEF $.

  ${
    moani.1 $e |- E* x ph $.
    $( "At most one" is still true when a conjunct is added.  (Contributed by
       NM, 9-Mar-1995.) $)
    moani $p |- E* x ( ps /\ ph ) $=
      ( wmo wa moan ax-mp ) ACEBAFCEDABCGH $.
  $}

  $( "At most one" is still the case when a disjunct is removed.  (Contributed
     by NM, 5-Apr-2004.) $)
  moor $p |- ( E* x ( ph \/ ps ) -> E* x ph ) $=
    ( wo orc moimi ) AABDCABEF $.

  $( "At most one" imports disjunction to conjunction.  (Contributed by NM,
     5-Apr-2004.)  (Proof shortened by Andrew Salmon, 9-Jul-2011.) $)
  mooran1 $p |- ( ( E* x ph \/ E* x ps ) -> E* x ( ph /\ ps ) ) $=
    ( wmo wa simpl moimi moan jaoi ) ACDABEZCDBCDJACABFGBACHI $.

  $( "At most one" exports disjunction to conjunction.  (Contributed by NM,
     5-Apr-2004.)  (Proof shortened by Andrew Salmon, 9-Jul-2011.) $)
  mooran2 $p |- ( E* x ( ph \/ ps ) -> ( E* x ph /\ E* x ps ) ) $=
    ( wo wmo moor olc moimi jca ) ABDZCEACEBCEABCFBJCBAGHI $.

  ${
    $d x y $.  $d ph y $.
    $( Bound-variable hypothesis builder for the at-most-one quantifier.
       (Contributed by NM, 8-Mar-1995.)  (Revised by Mario Carneiro,
       7-Oct-2016.)  Adapt to new definition.  (Revised by BJ, 1-Oct-2022.) $)
    nfmo1 $p |- F/ x E* x ph $=
      ( vy wmo weq wi wal wex df-mo nfa1 nfex nfxfr ) ABDABCEFZBGZCHBABCINBCMBJ
      KL $.
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.  $d z ps $.
    nfmod2.1 $e |- F/ y ph $.
    nfmod2.2 $e |- ( ( ph /\ -. A. x x = y ) -> F/ x ps ) $.
    $( Bound-variable hypothesis builder for the at-most-one quantifier.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  See
       ~ nfmodv for a version replacing the distinctor with a disjoint variable
       condition, not requiring ~ ax-13 .  (Contributed by Mario Carneiro,
       14-Nov-2016.)  Avoid ~ df-eu .  (Revised by BJ, 14-Oct-2022.)
       (New usage is discouraged.) $)
    nfmod2 $p |- ( ph -> F/ x E* y ps ) $=
      ( vz wmo weq wi wal wex df-mo nfv wn wa wnf nfeqf1 adantl nfimd nfald2
      nfexd nfxfrd ) BDHBDGIZJZDKZGLACBDGMAUFCGAGNAUECDEACDICKOZPBUDCFUGUDCQACD
      GRSTUAUBUC $.
  $}

  ${
    $d x y z $.  $d ph z $.  $d ps z $.
    nfmodv.1 $e |- F/ y ph $.
    nfmodv.2 $e |- ( ph -> F/ x ps ) $.
    $( Bound-variable hypothesis builder for the at-most-one quantifier.  See
       ~ nfmod for a version without disjoint variable conditions but requiring
       ~ ax-13 .  (Contributed by Mario Carneiro, 14-Nov-2016.)  (Revised by
       BJ, 28-Jan-2023.) $)
    nfmodv $p |- ( ph -> F/ x E* y ps ) $=
      ( vz wmo weq wi wal wex df-mo nfv nfvd nfimd nfald nfexd nfxfrd ) BDHBDGI
      ZJZDKZGLACBDGMAUBCGAGNAUACDEABTCFATCOPQRS $.
    $( $j usage 'nfmodv' avoids 'ax-13'; $)
  $}

  ${
    $d x y $.
    nfmov.1 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for the at-most-one quantifier.  See
       ~ nfmo for a version without disjoint variable conditions but requiring
       ~ ax-13 .  (Contributed by NM, 9-Mar-1995.)  (Revised by Wolf Lammen,
       2-Oct-2023.) $)
    nfmov $p |- F/ x E* y ph $=
      ( wmo wnf wtru nftru a1i nfmodv mptru ) ACEBFGABCCHABFGDIJK $.
    $( $j usage 'nfmov' avoids 'ax-13'; $)
  $}

  ${
    nfmod.1 $e |- F/ y ph $.
    nfmod.2 $e |- ( ph -> F/ x ps ) $.
    $( Bound-variable hypothesis builder for the at-most-one quantifier.
       Deduction version of ~ nfmo .  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  Use the weaker ~ nfmodv when possible.
       (Contributed by Mario Carneiro, 14-Nov-2016.)
       (New usage is discouraged.) $)
    nfmod $p |- ( ph -> F/ x E* y ps ) $=
      ( wnf weq wal wn adantr nfmod2 ) ABCDEABCGCDHCIJFKL $.
  $}

  ${
    nfmo.1 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for the at-most-one quantifier.  Note
       that ` x ` and ` y ` need not be disjoint.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ nfmov when
       possible.  (Contributed by NM, 9-Mar-1995.)
       (New usage is discouraged.) $)
    nfmo $p |- F/ x E* y ph $=
      ( wmo wnf wtru nftru a1i nfmod mptru ) ACEBFGABCCHABFGDIJK $.
  $}

  ${
    $d x y z $.  $d ph z $.
    mof.1 $e |- F/ y ph $.
    $( Version of ~ df-mo with disjoint variable condition replaced by
       nonfreeness hypothesis.  (Contributed by NM, 8-Mar-1995.)  Extract
       ~ dfmo from this proof, and prove ~ mof from it (as of 30-Sep-2022,
       directly from ~ df-mo ).  (Revised by Wolf Lammen, 28-May-2019.)  Avoid
       ~ ax-13 .  (Revised by Wolf Lammen, 16-Oct-2022.) $)
    mof $p |- ( E* x ph <-> E. y A. x ( ph -> x = y ) ) $=
      ( vz wmo weq wi wal wex df-mo nfv nfim nfal equequ2 imbi2d albidv cbvexv1
      bitri ) ABFABEGZHZBIZEJABCGZHZBIZCJABEKUBUEECUACBATCDTCLMNUEELECGZUAUDBUF
      TUCAECBOPQRS $.
  $}

  ${
    $d x y z $.  $d ph z $.
    mo3.nf $e |- F/ y ph $.
    $( Alternate definition of the at-most-one quantifier.  Definition of
       [BellMachover] p. 460, except that definition has the side condition
       that ` y ` not occur in ` ph ` in place of our hypothesis.  (Contributed
       by NM, 8-Mar-1995.)  (Proof shortened by Wolf Lammen, 18-Aug-2019.)
       Remove dependency on ~ ax-13 .  (Revised by BJ and WL, 29-Jan-2023.) $)
    mo3 $p |- ( E* x ph <->
               A. x A. y ( ( ph /\ [ y / x ] ph ) -> x = y ) ) $=
      ( vz wmo wsb wa weq wal nfmo1 nfmov wex df-mo spsbim equsb3 syl6ib alrimi
      wi sp anim12d equtr2 syl6 exlimiv sylbi nfs1v pm3.21 imim1d alimd aleximi
      com12 sb8ev mof 3imtr4g moabs sylibr alcoms impbii ) ABFZAABCGZHZBCIZSZCJ
      ZBJUSVDBABKUSVCCACBDLUSABEIZSZBJZEMVCABENVGVCEVGVAVECEIZHVBVGAVEUTVHVFBTV
      GUTVEBCGVHAVEBCOBCEPQUABCEUBUCUDUERRVCUSCBVCBJZCJZABMZUSSUSVJUTCMAVBSZBJZ
      CMVKUSVIUTVMCUTVIVMUTVCVLBABCUFUTAVAVBUTAUGUHUIUKUJABCDULABCDUMUNABUOUPUQ
      UR $.
  $}

  ${
    $d x y $.
    mo.nf $e |- F/ y ph $.
    $( Equivalent definitions of "there exists at most one".  (Contributed by
       NM, 7-Aug-1994.)  (Revised by Mario Carneiro, 7-Oct-2016.)  (Proof
       shortened by Wolf Lammen, 2-Dec-2018.) $)
    mo $p |- ( E. y A. x ( ph -> x = y ) <->
               A. x A. y ( ( ph /\ [ y / x ] ph ) -> x = y ) ) $=
      ( weq wi wal wex wmo wsb wa mof mo3 bitr3i ) ABCEZFBGCHABIAABCJKOFCGBGABC
      DLABCDMN $.
  $}

  ${
    $d x y $.  $d y z ph $.  $d x z ps $.
    mo4.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( At-most-one quantifier expressed using implicit substitution.  This
       theorem is also a direct consequence of ~ mo4f , but this proof is based
       on fewer axioms.

       By the way, swapping ` x ` , ` y ` and ` ph ` , ` ps ` leads to an
       expression for ` E* y ps ` , which is equivalent to ` E* x ph ` (is a
       proof line), so the right hand side is a rare instance of an expression
       where swapping the quantifiers can be done without ~ ax-11 .
       (Contributed by NM, 26-Jul-1995.)  Reduce axiom usage.  (Revised by Wolf
       Lammen, 18-Oct-2023.) $)
    mo4 $p |- ( E* x ph <-> A. x A. y ( ( ph /\ ps ) -> x = y ) ) $=
      ( vz wmo wa weq wi wal df-mo equequ1 imbi12d cbvalvw biimpi pm2.27 alimdv
      wex sylibr adantr adantl anim12d equtr2 syl6com com12 mpcom exlimiv sylbi
      cbvexvw biimpri ax6evr pm3.2 imim1d ax7 syl8 com4r impcom impancom eximdv
      ex mpi expcom aleximi ax5e syl56 exbii 3bitr4i moabs bitri impbii ) ACGZA
      BHZCDIZJZDKZCKZVLACFIZJZCKZFSZVQACFLZVTVQFBDFIZJZDKZVTVQVTWEVSWDCDVNABVRW
      CECDFMNOZPWEVSVPCVSWEVPVSWDVODVSWDVOVMVSWDHVRWCHVNVMVSVRWDWCAVSVRJBAVRQUA
      BWDWCJABWCQUBUCCDFUDUEVARUFRUGUHUIVQBDSZBDGZJZVLWGACSZVQWHCSWHWJWGABCDEUJ
      UKVPAWHCAVPWHAVPHZWEFSZWHWKVRFSWLFCULWKVRWEFAVRVPWEAVRHVOWDDVRAVOWDJAVOBV
      RWCAVOBVNVRWCJABVMVNABUMUNCDFUOUPUQURRUSUTVBBDFLZTVCVDWHCVEVFVLWHWIWAWLVL
      WHVTWEFWFVGWBWMVHBDVIVJTVK $.
  $}

  ${
    $d x y $.  $d y ph $.
    mo4f.1 $e |- F/ x ps $.
    mo4f.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( At-most-one quantifier expressed using implicit substitution.  Note that
       the disjoint variable condition on ` y , ph ` can be replaced by the
       nonfreeness hypothesis ` |- F/ y ph ` with essentially the same proof.
       (Contributed by NM, 10-Apr-2004.)  Remove dependency on ~ ax-13 .
       (Revised by Wolf Lammen, 19-Jan-2023.) $)
    mo4f $p |- ( E* x ph <-> A. x A. y ( ( ph /\ ps ) -> x = y ) ) $=
      ( wmo wsb wa weq wi wal nfv mo3 sbiev anbi2i imbi1i 2albii bitri ) ACGAAC
      DHZIZCDJZKZDLCLABIZUBKZDLCLACDADMNUCUECDUAUDUBTBAABCDEFOPQRS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Unique existence: the unique existential quantifier
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Token for the unique existential quantifier. $)
  $c E! $.

  $( Extend wff definition to include the unique existential quantifier ("there
     exists a unique ` x ` such that ` ph ` "). $)
  weu $a wff E! x ph $.

  $( Define the existential uniqueness quantifier.  This expresses unique
     existence, or existential uniqueness, which is the conjunction of
     existence ( ~ df-ex ) and uniqueness ( ~ df-mo ).  The expression
     ` E! x ph ` is read "there exists exactly one ` x ` such that ` ph ` " or
     "there exists a unique ` x ` such that ` ph ` ".  This is also called the
     "uniqueness quantifier" but that expression is also used for the
     at-most-one quantifier ~ df-mo , therefore we avoid that ambiguous name.

     Definition 10.1 of [BellMachover] p. 97; also Definition *14.02 of
     [WhiteheadRussell] p. 175.  Other possible definitions are given by
     ~ eu1 , ~ eu2 , ~ eu3v , and ~ eu6 .  As for double unique existence,
     beware that the expression ` E! x E! y ph ` means "there exists a unique
     ` x ` such that there exists a unique ` y ` such that ` ph ` " which is a
     weaker property than "there exists exactly one ` x ` and one ` y ` such
     that ` ph ` " (see ~ 2eu4 ).  (Contributed by NM, 12-Aug-1993.)  Make this
     the definition (which used to be ~ eu6 , while this definition was then
     proved as ~ dfeu ).  (Revised by BJ, 30-Sep-2022.) $)
  df-eu $a |- ( E! x ph <-> ( E. x ph /\ E* x ph ) ) $.

  ${
    $d x y $.  $d ph y $.
    $( An alternate way to express existential uniqueness.  (Contributed by NM,
       8-Jul-1994.)  Replace a nonfreeness hypothesis with a disjoint variable
       condition on ` ph ` , ` y ` to reduce axiom usage.  (Revised by Wolf
       Lammen, 29-May-2019.) $)
    eu3v $p |- ( E! x ph <-> ( E. x ph /\ E. y A. x ( ph -> x = y ) ) ) $=
      ( weu wex wmo wa weq wi wal df-eu df-mo anbi2i bitri ) ABDABEZABFZGOABCHI
      BJCEZGABKPQOABCLMN $.
  $}

  ${
    $d w x y $.  $d x z $.  $d y ph $.  $d w z ph $.
    $( Soundness justification theorem for ~ eu6 when this was the definition
       of the unique existential quantifier (note that ` y ` and ` z ` need not
       be disjoint, although the weaker theorem with that disjoint variable
       condition added would be enough to justify the soundness of the
       definition).  See ~ eujustALT for a proof that provides an example of
       how it can be achieved through the use of ~ dvelim .  (Contributed by
       NM, 11-Mar-2010.)  (Proof shortened by Andrew Salmon, 9-Jul-2011.) $)
    eujust $p |- ( E. y A. x ( ph <-> x = y )
               <-> E. z A. x ( ph <-> x = z ) ) $=
      ( vw weq wb wal wex equequ2 bibi2d albidv cbvexvw bitri ) ABCFZGZBHZCIABE
      FZGZBHZEIABDFZGZBHZDIQTCECEFZPSBUDORACEBJKLMTUCEDEDFZSUBBUERUAAEDBJKLMN
      $.

    $( Alternate proof of ~ eujust illustrating the use of ~ dvelim .
       (Contributed by NM, 11-Mar-2010.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    eujustALT $p |- ( E. y A. x ( ph <-> x = y )
                  <-> E. z A. x ( ph <-> x = z ) ) $=
      ( vw weq wal wb wex equequ2 bibi2d albidv sps wn hbnae ax-5 notbid dvelim
      wi df-ex drex1 alrimih naecoms a1i cbv2h syl 3bitr4g pm2.61i ) CDFZCGZABC
      FZHZBGZCIZABDFZHZBGZDIZHUMUQCDUIUMUQHCUIULUPBUIUKUOACDBJKLZMUAUJNZUMNZCGZ
      NUQNZDGZNUNURUTVBVDUTUTDGZCGVBVDHUTVECCDCOCDDOUBUTVAVCCDVAVADGSDCABEFZHZB
      GZNZVADCEVIDPECFZVHUMVJVGULBVJVFUKAECBJKLQRUCVIVCCDEVICPEDFZVHUQVKVGUPBVK
      VFUOAEDBJKLQRUIVAVCHSUTUIUMUQUSQUDUEUFQUMCTUQDTUGUH $.
  $}

  ${
    $d x y z $.  $d y z ph $.
    $( Lemma of ~ eu6im .  A dissection of an idiom characterizing existential
       uniqueness.  (Contributed by NM, 12-Aug-1993.)  This used to be the
       definition of the unique existential quantifier, while ~ df-eu was then
       proved as ~ dfeu .  (Revised by BJ, 30-Sep-2022.)  (Proof shortened by
       Wolf Lammen, 3-Jan-2023.)  Extract common proof lines.  (Revised by Wolf
       Lammen, 3-Mar-2023.) $)
    eu6lem $p |- ( E. y A. x ( ph <-> x = y ) <->
          ( E. y A. x ( x = y -> ph ) /\ E. z A. x ( ph -> x = z ) ) ) $=
      ( weq wb wal wex wi wa 19.42v alsyl equvelv sylib pm4.71i albiim biancomi
      equequ2 imbi2d exbii albidv anbi2d syl5bb pm5.32ri bitr4i ax6evr 3bitr4ri
      biantru exdistrv bitri ) ABCEZFBGZCHUKAIBGZABDEZIZBGZJZDHZCHUMCHUPDHJULUR
      CULCDEZJZDHULUSDHZJURULULUSDKUQUTDUQUQUSJUTUQUSUQUKUNIBGUSUKAUNBLCDBMNOUS
      ULUQULUMAUKIZBGZJUSUQULUMVCAUKBPQUSVCUPUMUSVBUOBUSUKUNACDBRSUAUBUCUDUETVA
      ULDCUFUHUGTUMUPCDUIUJ $.

    $( Alternate definition of the unique existential quantifier ~ df-eu not
       using the at-most-one quantifier.  (Contributed by NM, 12-Aug-1993.)
       This used to be the definition of the unique existential quantifier,
       while ~ df-eu was then proved as ~ dfeu .  (Revised by BJ, 30-Sep-2022.)
       (Proof shortened by Wolf Lammen, 3-Jan-2023.)  Remove use of ~ ax-11 .
       (Revised by SN, 21-Sep-2023.) $)
    eu6 $p |- ( E! x ph <-> E. y A. x ( ph <-> x = y ) ) $=
      ( weu wex weq wb wal wa wi dfmoeu anbi2i abai 3bitr4ri ancom biimpr alimi
      eu3v eximi exsbim syl biantru 3bitr4i bitri ) ABDZABEZABCFZGZBHZCEZIZUJUF
      UFUJJZIUFAUGJBHCEZIUKUEULUMUFABCKLUFUJMABCRNUJUFIUJUJUFJZIUKUJUJUFMUFUJOU
      NUJUJUGAJZBHZCEUFUIUPCUHUOBAUGPQSABCTUAUBUCUD $.

    $( One direction of ~ eu6 needs fewer axioms.  (Contributed by Wolf Lammen,
       2-Mar-2023.) $)
    eu6im $p |- ( E. y A. x ( ph <-> x = y ) -> E! x ph ) $=
      ( vz weq wi wal wex wa wb weu exsbim anim1i eu6lem eu3v 3imtr4i ) BCEZAFB
      GCHZABDEFBGDHZIABHZSIAQJBGCHABKRTSABCLMABCDNABDOP $.
  $}

  ${
    $d x y z $.  $d ph z $.
    euf.1 $e |- F/ y ph $.
    $( Version of ~ eu6 with disjoint variable condition replaced by
       nonfreeness hypothesis.  (Contributed by NM, 12-Aug-1993.)  (Proof
       shortened by Wolf Lammen, 30-Oct-2018.)  Avoid ~ ax-13 .  (Revised by
       Wolf Lammen, 16-Oct-2022.) $)
    euf $p |- ( E! x ph <-> E. y A. x ( ph <-> x = y ) ) $=
      ( vz weu weq wb wal wex eu6 nfbi nfal equequ2 bibi2d albidv cbvexv1 bitri
      nfv ) ABFABEGZHZBIZEJABCGZHZBIZCJABEKUBUEECUACBATCDTCSLMUEESECGZUAUDBUFTU
      CAECBNOPQR $.
  $}

  $( Existential uniqueness implies existence.  (Contributed by NM,
     15-Sep-1993.)  (Proof shortened by Andrew Salmon, 9-Jul-2011.)  (Proof
     shortened by Wolf Lammen, 4-Dec-2018.)  (Proof shortened by BJ,
     7-Oct-2022.) $)
  euex $p |- ( E! x ph -> E. x ph ) $=
    ( weu wex wmo df-eu simplbi ) ABCABDABEABFG $.

  $( Existential uniqueness implies uniqueness.  (Contributed by NM,
     23-Mar-1995.) $)
  eumo $p |- ( E! x ph -> E* x ph ) $=
    ( weu wex wmo df-eu simprbi ) ABCABDABEABFG $.

  ${
    eumoi.1 $e |- E! x ph $.
    $( Uniqueness inferred from existential uniqueness.  (Contributed by NM,
       5-Apr-1995.) $)
    eumoi $p |- E* x ph $=
      ( weu wmo eumo ax-mp ) ABDABECABFG $.
  $}

  $( Existence implies that uniqueness is equivalent to unique existence.
     (Contributed by NM, 5-Apr-2004.) $)
  exmoeub $p |- ( E. x ph -> ( E* x ph <-> E! x ph ) ) $=
    ( weu wex wmo df-eu baibr ) ABCABDABEABFG $.

  $( Existence is equivalent to uniqueness implying existential uniqueness.
     (Contributed by NM, 5-Apr-2004.)  (Proof shortened by Wolf Lammen,
     5-Dec-2018.)  (Proof shortened by BJ, 7-Oct-2022.) $)
  exmoeu $p |- ( E. x ph <-> ( E* x ph -> E! x ph ) ) $=
    ( wex wmo weu wi exmoeub biimpd nexmo con1i euex ja impbii ) ABCZABDZABEZFN
    OPABGHOPNNOABIJABKLM $.

  $( Uniqueness implies that existence is equivalent to unique existence.
     (Contributed by BJ, 7-Oct-2022.) $)
  moeuex $p |- ( E* x ph -> ( E. x ph <-> E! x ph ) ) $=
    ( weu wex wmo df-eu rbaibr ) ABCABDABEABFG $.

  $( Uniqueness is equivalent to existence implying unique existence.
     Alternate definition of the at-most-one quantifier, in terms of the
     existential quantifier and the unique existential quantifier.
     (Contributed by NM, 8-Mar-1995.)  This used to be the definition of the
     at-most-one quantifier, while ~ df-mo was then proved as ~ dfmo .
     (Revised by BJ, 30-Sep-2022.) $)
  moeu $p |- ( E* x ph <-> ( E. x ph -> E! x ph ) ) $=
    ( wmo wex wi weu moabs exmoeub pm5.74i bitri ) ABCZABDZKELABFZEABGLKMABHIJ
    $.

  $( Equivalence theorem for the unique existential quantifier.  Theorem
     *14.271 in [WhiteheadRussell] p. 192.  (Contributed by Andrew Salmon,
     11-Jul-2011.)  Reduce dependencies on axioms.  (Revised by BJ,
     7-Oct-2022.) $)
  eubi $p |- ( A. x ( ph <-> ps ) -> ( E! x ph <-> E! x ps ) ) $=
    ( wb wal wex wmo wa weu exbi mobi anbi12d df-eu 3bitr4g ) ABDCEZACFZACGZHBC
    FZBCGZHACIBCIOPRQSABCJABCKLACMBCMN $.

  ${
    eubii.1 $e |- ( ph <-> ps ) $.
    $( Introduce unique existential quantifier to both sides of an equivalence.
       (Contributed by NM, 9-Jul-1994.)  (Revised by Mario Carneiro,
       6-Oct-2016.)  Avoid ~ ax-5 .  (Revised by Wolf Lammen, 27-Sep-2023.) $)
    eubii $p |- ( E! x ph <-> E! x ps ) $=
      ( wex wmo wa weu exbii mobii anbi12i df-eu 3bitr4i ) ACEZACFZGBCEZBCFZGAC
      HBCHNPOQABCDIABCDJKACLBCLM $.
    $( $j usage 'eubii' avoids 'ax-5'; $)
  $}

  ${
    $d x ph $.
    eubidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for unique existential quantifier (deduction
       form).  (Contributed by NM, 9-Jul-1994.)  Reduce axiom dependencies and
       shorten proof.  (Revised by BJ, 7-Oct-2022.) $)
    eubidv $p |- ( ph -> ( E! x ps <-> E! x ch ) ) $=
      ( wb wal weu alrimiv eubi syl ) ABCFZDGBDHCDHFALDEIBCDJK $.
  $}

  ${
    eubid.1 $e |- F/ x ph $.
    eubid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for the unique existential quantifier (deduction
       form).  (Contributed by NM, 9-Jul-1994.)  (Proof shortened by Wolf
       Lammen, 19-Feb-2023.) $)
    eubid $p |- ( ph -> ( E! x ps <-> E! x ch ) ) $=
      ( wb wal weu alrimi eubi syl ) ABCGZDHBDICDIGAMDEFJBCDKL $.
  $}

  ${
    $d x y $.  $d y ph $.
    $( Bound-variable hypothesis builder for uniqueness.  See also ~ nfeu1ALT .
       (Contributed by NM, 9-Jul-1994.)  (Revised by Mario Carneiro,
       7-Oct-2016.) $)
    nfeu1 $p |- F/ x E! x ph $=
      ( vy weu weq wb wal wex eu6 nfa1 nfex nfxfr ) ABDABCEFZBGZCHBABCINBCMBJKL
      $.
  $}

  $( Alternate proof of ~ nfeu1 .  This illustrates the systematic way of
     proving nonfreeness in a defined expression: consider the definiens as a
     tree whose nodes are its subformulas, and prove by tree-induction
     nonfreeness of each node, starting from the leaves (generally using ~ nfv
     or nf* theorems for previously defined expressions) and up to the root.
     Here, the definiens is a conjunction of two previously defined
     expressions, which automatically yields the present proof.  (Contributed
     by BJ, 2-Oct-2022.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  nfeu1ALT $p |- F/ x E! x ph $=
    ( weu wex wmo wa df-eu nfe1 nfmo1 nfan nfxfr ) ABCABDZABEZFBABGLMBABHABIJK
    $.

  ${
    nfeud2.1 $e |- F/ y ph $.
    nfeud2.2 $e |- ( ( ph /\ -. A. x x = y ) -> F/ x ps ) $.
    $( Bound-variable hypothesis builder for uniqueness.  (Contributed by Mario
       Carneiro, 14-Nov-2016.)  (Proof shortened by Wolf Lammen, 4-Oct-2018.)
       (Proof shortened by BJ, 14-Oct-2022.)  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use ~ nfeudw instead.
       (New usage is discouraged.) $)
    nfeud2 $p |- ( ph -> F/ x E! y ps ) $=
      ( weu wex wmo wa df-eu nfexd2 nfmod2 nfand nfxfrd ) BDGBDHZBDIZJACBDKAPQC
      ABCDEFLABCDEFMNO $.
  $}

  ${
    $d x y $.
    nfeudw.1 $e |- F/ y ph $.
    nfeudw.2 $e |- ( ph -> F/ x ps ) $.
    $( Bound-variable hypothesis builder for the unique existential quantifier.
       Deduction version of ~ nfeu .  Version of ~ nfeud with a disjoint
       variable condition, which does not require ~ ax-13 .  (Contributed by
       NM, 15-Feb-2013.)  (Revised by Gino Giotto, 10-Jan-2024.) $)
    nfeudw $p |- ( ph -> F/ x E! y ps ) $=
      ( weu wex wmo wa df-eu nfexd nfmodv nfand nfxfrd ) BDGBDHZBDIZJACBDKAPQCA
      BCDEFLABCDEFMNO $.
    $( $j usage 'nfeudw' avoids 'ax-13'; $)
  $}

  ${
    nfeud.1 $e |- F/ y ph $.
    nfeud.2 $e |- ( ph -> F/ x ps ) $.
    $( Bound-variable hypothesis builder for the unique existential quantifier.
       Deduction version of ~ nfeu .  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  Use the weaker ~ nfeudw when possible.
       (Contributed by NM, 15-Feb-2013.)  (Revised by Mario Carneiro,
       7-Oct-2016.)  (New usage is discouraged.) $)
    nfeud $p |- ( ph -> F/ x E! y ps ) $=
      ( wnf weq wal wn adantr nfeud2 ) ABCDEABCGCDHCIJFKL $.
  $}

  ${
    $d x y $.
    nfeuw.1 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for the unique existential quantifier.
       Version of ~ nfeu with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by NM, 8-Mar-1995.)  (Revised by Gino
       Giotto, 10-Jan-2024.) $)
    nfeuw $p |- F/ x E! y ph $=
      ( weu wnf wtru nftru a1i nfeudw mptru ) ACEBFGABCCHABFGDIJK $.
    $( $j usage 'nfeuw' avoids 'ax-13'; $)
  $}

  ${
    nfeu.1 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for the unique existential quantifier.
       Note that ` x ` and ` y ` need not be disjoint.  Usage of this theorem
       is discouraged because it depends on ~ ax-13 .  Use the weaker ~ nfeuw
       when possible.  (Contributed by NM, 8-Mar-1995.)  (Revised by Mario
       Carneiro, 7-Oct-2016.)  (New usage is discouraged.) $)
    nfeu $p |- F/ x E! y ph $=
      ( weu wnf wtru nftru a1i nfeud mptru ) ACEBFGABCCHABFGDIJK $.
  $}

  $( Rederive ~ df-eu from the old definition ~ eu6 .  (Contributed by NM,
     23-Mar-1995.)  (Proof shortened by Wolf Lammen, 25-May-2019.)  (Proof
     shortened by BJ, 7-Oct-2022.)  (Proof modification is discouraged.)  Use
     ~ df-eu instead.  (New usage is discouraged.) $)
  dfeu $p |- ( E! x ph <-> ( E. x ph /\ E* x ph ) ) $=
    ( wex weu wa wi wmo abai euex pm4.71ri moeu anbi2i 3bitr4i ) ABCZABDZENNOFZ
    EONABGZENOHONABIJQPNABKLM $.

  ${
    $d x y $.  $d y ph $.
    $( Rederive ~ df-mo from the old definition ~ moeu .  (Contributed by Wolf
       Lammen, 27-May-2019.)  (Proof modification is discouraged.)  Use ~ df-mo
       instead.  (New usage is discouraged.) $)
    dfmo $p |- ( E* x ph <-> E. y A. x ( ph -> x = y ) ) $=
      ( wmo wex weu wi weq wb wal moeu eu6 imbi2i dfmoeu 3bitri ) ABDABEZABFZGP
      ABCHZIBJCEZGARGBJCEABKQSPABCLMABCNO $.
  $}

  ${
    $d x y z $.
    $( There exists a unique set equal to a given set.  Special case of ~ eueqi
       proved using only predicate calculus.  The proof needs ` y = z ` be free
       of ` x ` .  This is ensured by having ` x ` and ` y ` be distinct.
       Alternately, a distinctor ` -. A. x x = y ` could have been used
       instead.  See ~ eueq and ~ eueqi for classes.  (Contributed by Stefan
       Allan, 4-Dec-2008.)  (Proof shortened by Wolf Lammen, 8-Sep-2019.)
       Reduce axiom usage.  (Revised by Wolf Lammen, 1-Mar-2023.) $)
    euequ $p |- E! x x = y $=
      ( vz weq weu wex wi wal ax6ev equeuclr alrimiv eximii eu3v mpbir2an ) ABD
      ZAEOAFOACDGZAHZCFABICBDZQCCBIRPACABJKLOACMN $.
  $}

  $( substitution $)

  ${
    $d w y z $.  $d ph z w $.  $d w x z $.
    sb8eulem.nfsb $e |- F/ y [ w / x ] ph $.
    $( Lemma.  Factor out the common proof skeleton of ~ sb8euv and ~ sb8eu .
       Variable substitution in unique existential quantifier.  (Contributed by
       NM, 7-Aug-1994.)  (Revised by Mario Carneiro, 7-Oct-2016.)  (Proof
       shortened by Wolf Lammen, 24-Aug-2019.)  Factor out common proof lines.
       (Revised by Wolf Lammen, 9-Feb-2023.) $)
    sb8eulem $p |- ( E! x ph <-> E! y [ y / x ] ph ) $=
      ( vz weq wb wal wex wsb weu nfv sb8v equsb3 sblbis albii nfbi sbequ eu6
      equequ1 bibi12d cbvalv1 3bitri exbii 3bitr4i ) ABFGZHZBIZFJABCKZCFGZHZCIZ
      FJABLUJCLUIUMFUIUHBDKZDIABDKZDFGZHZDIUMUHBDUHDMNUNUQDUGUPABDBDFOPQUQULDCU
      OUPCEUPCMRULDMDCGUOUJUPUKADCBSDCFUAUBUCUDUEABFTUJCFTUF $.
  $}

  ${
    $d w x y $.  $d ph w $.
    sb8euv.nf $e |- F/ y ph $.
    $( Variable substitution in unique existential quantifier.  Version of
       ~ sb8eu requiring more disjoint variables, but fewer axioms.
       (Contributed by NM, 7-Aug-1994.)  (Revised by Wolf Lammen,
       7-Feb-2023.) $)
    sb8euv $p |- ( E! x ph <-> E! y [ y / x ] ph ) $=
      ( vw nfsbv sb8eulem ) ABCEABECDFG $.
    $( $j usage 'sb8euv' avoids 'ax-13'; $)
  $}

  ${
    $d w y $.  $d ph w $.  $d w x $.
    sb8eu.1 $e |- F/ y ph $.
    $( Variable substitution in unique existential quantifier.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  For a version
       requiring more disjoint variables, but fewer axioms, see ~ sb8euv .
       (Contributed by NM, 7-Aug-1994.)  (Revised by Mario Carneiro,
       7-Oct-2016.)  (Proof shortened by Wolf Lammen, 24-Aug-2019.)
       (New usage is discouraged.) $)
    sb8eu $p |- ( E! x ph <-> E! y [ y / x ] ph ) $=
      ( vw nfsb sb8eulem ) ABCEABECDFG $.

    $( Variable substitution for the at-most-one quantifier.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  (Contributed by
       Alexander van der Vekens, 17-Jun-2017.)  (New usage is discouraged.) $)
    sb8mo $p |- ( E* x ph <-> E* y [ y / x ] ph ) $=
      ( wex weu wi wsb wmo sb8e sb8eu imbi12i moeu 3bitr4i ) ABEZABFZGABCHZCEZQ
      CFZGABIQCIORPSABCDJABCDKLABMQCMN $.
  $}

  ${
    $d x y $.  $d x z ps $.  $d y z ph $.
    cbvmovw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change bound variable.  Uses only Tarski's FOL axiom schemes.  See
       ~ cbvmo and ~ cbvmow for versions with fewer disjoint variable
       conditions but requiring more axioms.  (Contributed by NM, 9-Mar-1995.)
       (Revised by Gino Giotto, 30-Sep-2024.) $)
    cbvmovw $p |- ( E* x ph <-> E* y ps ) $=
      ( vz weq wi wal wex wmo equequ1 imbi12d cbvalvw exbii df-mo 3bitr4i ) ACF
      GZHZCIZFJBDFGZHZDIZFJACKBDKTUCFSUBCDCDGABRUAECDFLMNOACFPBDFPQ $.
    $( $j usage 'cbvmovw' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)
  $}

  ${
    $d x y z $.  $d ph z $.  $d ps z $.
    cbvmow.1 $e |- F/ y ph $.
    cbvmow.2 $e |- F/ x ps $.
    cbvmow.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbvmo with a disjoint variable condition, which does not
       require ~ ax-10 , ~ ax-13 .  (Contributed by NM, 9-Mar-1995.)  (Revised
       by Gino Giotto, 23-May-2024.) $)
    cbvmow $p |- ( E* x ph <-> E* y ps ) $=
      ( vz weq wi wal wex wmo nfv nfim equequ1 imbi12d cbvalv1 exbii df-mo
      3bitr4i ) ACHIZJZCKZHLBDHIZJZDKZHLACMBDMUDUGHUCUFCDAUBDEUBDNOBUECFUECNOCD
      IABUBUEGCDHPQRSACHTBDHTUA $.
    $( $j usage 'cbvmow' avoids 'ax-10' 'ax-13'; $)
  $}

  ${
    $d x y $.
    cbvmowOLD.1 $e |- F/ y ph $.
    cbvmowOLD.2 $e |- F/ x ps $.
    cbvmowOLD.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Obsolete version of ~ cbvmow as of 23-May-2024.  (Contributed by NM,
       9-Mar-1995.)  (Revised by Gino Giotto, 10-Jan-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    cbvmowOLD $p |- ( E* x ph <-> E* y ps ) $=
      ( wmo wsb wex weu wi sb8ev sb8euv imbi12i moeu 3bitr4i sbiev mobii bitri
      ) ACHZACDIZDHZBDHACJZACKZLUBDJZUBDKZLUAUCUDUFUEUGACDEMACDENOACPUBDPQUBBDA
      BCDFGRST $.
    $( $j usage 'cbvmowOLD' avoids 'ax-13'; $)
  $}

  ${
    cbvmo.1 $e |- F/ y ph $.
    cbvmo.2 $e |- F/ x ps $.
    cbvmo.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ cbvmow , ~ cbvmovw when possible.  (Contributed by NM,
       9-Mar-1995.)  (Revised by Andrew Salmon, 8-Jun-2011.)  (Proof shortened
       by Wolf Lammen, 4-Jan-2023.)  (New usage is discouraged.) $)
    cbvmo $p |- ( E* x ph <-> E* y ps ) $=
      ( wmo wsb sb8mo sbie mobii bitri ) ACHACDIZDHBDHACDEJNBDABCDFGKLM $.
  $}

  ${
    $d x y $.  $d x ps $.  $d y ph $.
    cbveuvw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change bound variable.  Uses only Tarski's FOL axiom schemes.  See
       ~ cbveu for a version with fewer disjoint variable conditions but
       requiring more axioms.  (Contributed by NM, 25-Nov-1994.)  (Revised by
       Gino Giotto, 30-Sep-2024.) $)
    cbveuvw $p |- ( E! x ph <-> E! y ps ) $=
      ( wex wmo wa weu cbvexvw cbvmovw anbi12i df-eu 3bitr4i ) ACFZACGZHBDFZBDG
      ZHACIBDIOQPRABCDEJABCDEKLACMBDMN $.
    $( $j usage 'cbveuvw' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)
  $}

  ${
    $d x y $.
    cbveuw.1 $e |- F/ y ph $.
    cbveuw.2 $e |- F/ x ps $.
    cbveuw.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Version of ~ cbveu with a disjoint variable condition, which does not
       require ~ ax-10 , ~ ax-13 .  (Contributed by NM, 25-Nov-1994.)  (Revised
       by Gino Giotto, 23-May-2024.) $)
    cbveuw $p |- ( E! x ph <-> E! y ps ) $=
      ( wex wmo wa weu cbvexv1 cbvmow anbi12i df-eu 3bitr4i ) ACHZACIZJBDHZBDIZ
      JACKBDKQSRTABCDEFGLABCDEFGMNACOBDOP $.
    $( $j usage 'cbveuw' avoids 'ax-10' 'ax-13'; $)
  $}

  ${
    $d x y $.
    cbveuwOLD.1 $e |- F/ y ph $.
    cbveuwOLD.2 $e |- F/ x ps $.
    cbveuwOLD.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Obsolete version of ~ cbveuw as of 23-May-2024.  (Contributed by NM,
       25-Nov-1994.)  (Revised by Gino Giotto, 10-Jan-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    cbveuwOLD $p |- ( E! x ph <-> E! y ps ) $=
      ( weu wsb sb8euv sbiev eubii bitri ) ACHACDIZDHBDHACDEJNBDABCDFGKLM $.
    $( $j usage 'cbveuwOLD' avoids 'ax-13'; $)
  $}

  ${
    cbveu.1 $e |- F/ y ph $.
    cbveu.2 $e |- F/ x ps $.
    cbveu.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ cbveuw , ~ cbveuvw when possible.  (Contributed by NM,
       25-Nov-1994.)  (Revised by Mario Carneiro, 7-Oct-2016.)
       (New usage is discouraged.) $)
    cbveu $p |- ( E! x ph <-> E! y ps ) $=
      ( weu wsb sb8eu sbie eubii bitri ) ACHACDIZDHBDHACDEJNBDABCDFGKLM $.

    $( Alternative proof of ~ cbveu .  Since ~ df-eu combines two other
       quantifiers, one can base this theorem on their associated 'change
       bounded variable' kind of theorems as well.  (Contributed by Wolf
       Lammen, 5-Jan-2023.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    cbveuALT $p |- ( E! x ph <-> E! y ps ) $=
      ( wex wmo wa weu cbvex cbvmo anbi12i df-eu 3bitr4i ) ACHZACIZJBDHZBDIZJAC
      KBDKQSRTABCDEFGLABCDEFGMNACOBDOP $.
  $}

  ${
    $d x y $.
    eu2.nf $e |- F/ y ph $.
    $( An alternate way of defining existential uniqueness.  Definition 6.10 of
       [TakeutiZaring] p. 26.  (Contributed by NM, 8-Jul-1994.)  (Proof
       shortened by Wolf Lammen, 2-Dec-2018.) $)
    eu2 $p |- ( E! x ph <->
    ( E. x ph /\ A. x A. y ( ( ph /\ [ y / x ] ph ) -> x = y ) ) ) $=
      ( weu wex wmo wa wsb weq wi wal df-eu mo3 anbi2i bitri ) ABEABFZABGZHQAAB
      CIHBCJKCLBLZHABMRSQABCDNOP $.
  $}

  ${
    $d x y $.
    eu1.nf $e |- F/ y ph $.
    $( An alternate way to express uniqueness used by some authors.  Exercise
       2(b) of [Margaris] p. 110.  (Contributed by NM, 20-Aug-1993.)  (Revised
       by Mario Carneiro, 7-Oct-2016.)  (Proof shortened by Wolf Lammen,
       29-Oct-2018.)  Avoid ~ ax-13 .  (Revised by Wolf Lammen, 7-Feb-2023.) $)
    eu1 $p |- ( E! x ph <->
                E. x ( ph /\ A. y ( [ y / x ] ph -> x = y ) ) ) $=
      ( wsb weu weq wb wal wex wi wa nfs1v sb8euv sb6rfv equcom imbi2i anbi12ci
      euf albii albiim bitr4i exbii 3bitr4i ) ABCEZCFUECBGZHCIZBJABFAUEBCGZKZCI
      ZLZBJUECBABCMSABCDNUKUGBUKUEUFKZCIZUFUEKCIZLUGAUNUJUMABCDOUIULCUHUFUEBCPQ
      TRUEUFCUAUBUCUD $.
    $( $j usage 'eu1' avoids 'ax-13'; $)
  $}

  ${
    euor.nf $e |- F/ x ph $.
    $( Introduce a disjunct into a unique existential quantifier.  For a
       version requiring disjoint variables, but fewer axioms, see ~ euorv .
       (Contributed by NM, 21-Oct-2005.) $)
    euor $p |- ( ( -. ph /\ E! x ps ) -> E! x ( ph \/ ps ) ) $=
      ( wn weu wo nfn biorf eubid biimpa ) AEZBCFABGZCFLBMCACDHABIJK $.
  $}

  ${
    $d x ph $.
    $( Introduce a disjunct into a unique existential quantifier.  Version of
       ~ euor requiring disjoint variables, but fewer axioms.  (Contributed by
       NM, 23-Mar-1995.)  Reduce dependencies on axioms.  (Revised by Wolf
       Lammen, 14-Jan-2023.) $)
    euorv $p |- ( ( -. ph /\ E! x ps ) -> E! x ( ph \/ ps ) ) $=
      ( wn weu wo biorf eubidv biimpa ) ADZBCEABFZCEJBKCABGHI $.
  $}

  $( Introduce or eliminate a disjunct in a unique existential quantifier.
     (Contributed by NM, 21-Oct-2005.)  (Proof shortened by Andrew Salmon,
     9-Jul-2011.)  (Proof shortened by Wolf Lammen, 27-Dec-2018.) $)
  euor2 $p |- ( -. E. x ph -> ( E! x ( ph \/ ps ) <-> E! x ps ) ) $=
    ( wex wn wo nfe1 nfn wb 19.8a biorf bicomd nsyl5 eubid ) ACDZEABFZBCOCACGHA
    OPBIACJAEBPABKLMN $.

  ${
    $d w x z $.  $d w y z $.  $d w ph $.
    $( Substitution into an at-most-one quantifier.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    sbmo $p |- ( [ y / x ] E* z ph <-> E* z [ y / x ] ph ) $=
      ( vw weq wal wex wsb wmo sbex sblim sbalv exbii bitri df-mo sbbii 3bitr4i
      wi nfv ) ADEFZSZDGZEHZBCIZABCIZUASZDGZEHZADJZBCIUFDJUEUCBCIZEHUIUCEBCKUKU
      HEUBUGBCDAUABCUABTLMNOUJUDBCADEPQUFDEPR $.
  $}

  ${
    $d x y $.  $d y ph $.  $d x ps $.
    eu4.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Uniqueness using implicit substitution.  (Contributed by NM,
       26-Jul-1995.) $)
    eu4 $p |- ( E! x ph <-> ( E. x ph /\
             A. x A. y ( ( ph /\ ps ) -> x = y ) ) ) $=
      ( weu wex wmo wa weq wi wal df-eu mo4 anbi2i bitri ) ACFACGZACHZIQABICDJK
      DLCLZIACMRSQABCDENOP $.
  $}

  $( Existential uniqueness implies uniqueness through reverse implication.
     (Contributed by NM, 22-Apr-1995.) $)
  euimmo $p |- ( A. x ( ph -> ps ) -> ( E! x ps -> E* x ph ) ) $=
    ( weu wmo wi wal eumo moim syl5 ) BCDBCEABFCGACEBCHABCIJ $.

  $( Add unique existential quantifiers to an implication.  Note the reversed
     implication in the antecedent.  (Contributed by NM, 19-Oct-2005.)  (Proof
     shortened by Andrew Salmon, 14-Jun-2011.)  (Proof shortened by Wolf
     Lammen, 1-Oct-2023.) $)
  euim $p |- ( ( E. x ph /\ A. x ( ph -> ps ) ) -> ( E! x ps -> E! x ph ) ) $=
    ( wi wal weu wmo wex euimmo exmoeub biimpd sylan9r ) ABDCEBCFACGZACHZACFZAB
    CINMOACJKL $.

  ${
    moanimlem.1 $e |- ( ph -> ( E* x ps <-> E* x ( ph /\ ps ) ) ) $.
    moanimlem.2 $e |- ( E. x ( ph /\ ps ) -> ph ) $.
    $( Factor out the common proof skeleton of ~ moanimv and ~ moanim .
       (Contributed by NM, 3-Dec-2001.)  (Proof shortened by Wolf Lammen,
       24-Dec-2018.)  Factor out common proof lines.  (Revised by Wolf Lammen,
       8-Feb-2023.) $)
    moanimlem $p |- ( E* x ( ph /\ ps ) <-> ( ph -> E* x ps ) ) $=
      ( wa wmo wi biimprcd wex nexmo nsyl5 moan ja impbii ) ABFZCGZABCGZHARQDIA
      RQPCJAQEPCKLBACMNO $.
  $}

  ${
    $d x ph $.
    $( Introduction of a conjunct into an at-most-one quantifier.  Version of
       ~ moanim requiring disjoint variables, but fewer axioms.  (Contributed
       by NM, 23-Mar-1995.)  Reduce axiom usage .  (Revised by Wolf Lammen,
       8-Feb-2023.) $)
    moanimv $p |- ( E* x ( ph /\ ps ) <-> ( ph -> E* x ps ) ) $=
      ( wa ibar mobidv simpl exlimiv moanimlem ) ABCABABDZCABEFJACABGHI $.
  $}

  ${
    moanim.1 $e |- F/ x ph $.
    $( Introduction of a conjunct into "at most one" quantifier.  For a version
       requiring disjoint variables, but fewer axioms, see ~ moanimv .
       (Contributed by NM, 3-Dec-2001.)  (Proof shortened by Wolf Lammen,
       24-Dec-2018.) $)
    moanim $p |- ( E* x ( ph /\ ps ) <-> ( ph -> E* x ps ) ) $=
      ( wa ibar mobid simpl exlimi moanimlem ) ABCABABEZCDABFGKACDABHIJ $.

    $( Introduction of a conjunct into unique existential quantifier.
       (Contributed by NM, 19-Feb-2005.)  (Proof shortened by Andrew Salmon,
       9-Jul-2011.)  (Proof shortened by Wolf Lammen, 24-Dec-2018.) $)
    euan $p |- ( E! x ( ph /\ ps ) <-> ( ph /\ E! x ps ) ) $=
      ( wa weu wex euex simpl exlimi syl ibar eubid biimprcd jcai biimpa impbii
      ) ABEZCFZABCFZESATSRCGARCHRACDABIJKATSABRCDABLMZNOATSUAPQ $.
  $}

  $( Nested at-most-one quantifiers.  (Contributed by NM, 25-Jan-2006.) $)
  moanmo $p |- E* x ( ph /\ E* x ph ) $=
    ( wmo wa wi id nfmo1 moanim mpbir ancom mobii ) AABCZDZBCLADZBCZOLLELFLABAB
    GHIMNBALJKI $.

  $( Nested at-most-one and unique existential quantifiers.  (Contributed by
     NM, 25-Jan-2006.)  (Proof shortened by Wolf Lammen, 27-Dec-2018.) $)
  moaneu $p |- E* x ( ph /\ E! x ph ) $=
    ( wmo wa weu moanmo eumo anim2i moimi ax-mp ) AABCZDZBCAABEZDZBCABFNLBMKAAB
    GHIJ $.

  ${
    $d x ph $.
    $( Introduction of a conjunct into unique existential quantifier.
       (Contributed by NM, 23-Mar-1995.)  Reduce dependencies on axioms.
       (Revised by Wolf Lammen, 14-Jan-2023.) $)
    euanv $p |- ( E! x ( ph /\ ps ) <-> ( ph /\ E! x ps ) ) $=
      ( weu wex euex simpl exlimiv syl ibar eubidv biimprcd jcai biimpa impbii
      wa ) ABPZCDZABCDZPRASRQCEAQCFQACABGHIASRABQCABJKZLMASRTNO $.
  $}

  ${
    $d x y $.  $d y ph $.  $d y ps $.
    $( "At most one" picks a variable value, eliminating an existential
       quantifier.  (Contributed by NM, 27-Jan-1997.)  (Proof shortened by Wolf
       Lammen, 17-Sep-2019.) $)
    mopick $p |- ( ( E* x ph /\ E. x ( ph /\ ps ) ) -> ( ph -> ps ) ) $=
      ( vy wmo wa wex wi weq wal df-mo pm3.45 aleximi sbalex sylbi syl6 exlimiv
      sp syl5d imp ) ACEZABFZCGZABHZUAACDIZHZCJZDGUCUDHZACDKUGUHDUGAUEUCBUFCRUG
      UCUEBFZCGZUEBHZUFUBUICAUEBLMUJUKCJUKBCDNUKCROPSQOT $.
  $}

  ${
    moexexlem.1 $e |- F/ y ph $.
    moexexlem.2 $e |- F/ y E* x ph $.
    moexexlem.3 $e |- F/ x E* y E. x ( ph /\ ps ) $.
    $( Factor out the proof skeleton of ~ moexex and ~ moexexvw .  (Contributed
       by Wolf Lammen, 2-Oct-2023.) $)
    moexexlem $p |- ( ( E* x ph /\ A. x E* y ps ) -> E* y E. x ( ph /\ ps ) )
      $=
      ( wmo wal wa wex wi nfmo1 nfa1 nfim mopick ex com23 alrimd moim spsd syl6
      exlimd wn nfex exsimpl exlimi nexmo nsyl5 a1d pm2.61d1 imp ) ACHZBDHZCIZA
      BJCKZDHZUMACKZUOUQLZUMAUSCACMUOUQCUNCNGOUMAUPBLZDIZUSUMAUTDFEUMUPABUMUPAB
      LABCPQRSVAUNUQCUPBDTUAUBUCURUDUQUOUPDKURUQUPURDADCEUEABCUFUGUPDUHUIUJUKUL
      $.
  $}

  ${
    $d x y $.
    $( Double quantification with "at most one".  (Contributed by NM,
       3-Dec-2001.) $)
    2moexv $p |- ( E* x E. y ph -> A. y E* x ph ) $=
      ( wex wmo nfe1 nfmov 19.8a moimi alrimi ) ACDZBEABECKCBACFGAKBACHIJ $.
    $( $j usage '2moexv' avoids 'ax-13'; $)

    $d y ph $.
    $( "At most one" double quantification.  Version of ~ moexexv with an
       additional disjoint variable condition, which does not require ~ ax-13 .
       (Contributed by NM, 26-Jan-1997.)  (Revised by Gino Giotto,
       22-Aug-2023.)  Factor out common proof lines with ~ moexex .  (Revised
       by Wolf Lammen, 2-Oct-2023.) $)
    moexexvw $p |- ( ( E* x ph /\ A. x E* y ps ) -> E* y E. x ( ph /\ ps ) ) $=
      ( nfv wmo wa wex nfe1 nfmov moexexlem ) ABCDADEACFDEABGZCHCDLCIJK $.
    $( $j usage 'moexexvw' avoids 'ax-13'; $)
  $}

  ${
    $d x y $.
    $( A condition allowing to swap an existential quantifier and at
       at-most-one quantifier.  Version of ~ 2moswap with a disjoint variable
       condition, which does not require ~ ax-13 .  (Contributed by NM,
       10-Apr-2004.)  (Revised by Gino Giotto, 22-Aug-2023.)  Factor out common
       proof lines with ~ moexexvw .  (Revised by Wolf Lammen, 2-Oct-2023.) $)
    2moswapv $p |- ( A. x E* y ph -> ( E* x E. y ph -> E* y E. x ph ) ) $=
      ( wmo wal wex wa nfe1 nfmov moexexlem expcom 19.8a pm4.71ri exbii syl6ibr
      mobii ) ACDBEZACFZBDZRAGZBFZCDZABFZCDSQUBRABCACHZRCBUDIUABCTBHIJKUCUACATB
      ARACLMNPO $.
    $( $j usage '2moswapv' avoids 'ax-13'; $)
  $}

  ${
    $d x y $.
    $( A condition allowing to swap an existential quantifier and a unique
       existential quantifier.  Version of ~ 2euswap with a disjoint variable
       condition, which does not require ~ ax-13 .  (Contributed by NM,
       10-Apr-2004.)  (Revised by Gino Giotto, 22-Aug-2023.) $)
    2euswapv $p |- ( A. x E* y ph -> ( E! x E. y ph -> E! y E. x ph ) ) $=
      ( wmo wal wex wa weu wi excomim a1i 2moswapv anim12d df-eu 3imtr4g ) ACDB
      EZACFZBFZQBDZGABFZCFZTCDZGQBHTCHPRUASUBRUAIPABCJKABCLMQBNTCNO $.
    $( $j usage '2euswapv' avoids 'ax-13'; $)

    $( Double quantification with existential uniqueness.  Version of ~ 2euex
       with ` x ` and ` y ` distinct, but not requiring ~ ax-13 .  (Contributed
       by NM, 3-Dec-2001.)  (Revised by Wolf Lammen, 2-Oct-2023.) $)
    2euexv $p |- ( E! x E. y ph -> E. y E! x ph ) $=
      ( wex weu wmo wa df-eu excom nfe1 nfmov wi 19.8a moimi sylib eximd syl5bi
      moeu impcom sylbi ) ACDZBEUABDZUABFZGABEZCDZUABHUCUBUEUBABDZCDUCUEABCIUCU
      FUDCUACBACJKUCABFUFUDLAUABACMNABROPQST $.
    $( $j usage '2euexv' avoids 'ax-13'; $)

    $( Double existential uniqueness implies double unique existential
       quantification.  Version of ~ 2exeu with ` x ` and ` y ` distinct, but
       not requiring ~ ax-13 .  (Contributed by NM, 3-Dec-2001.)  (Revised by
       Wolf Lammen, 2-Oct-2023.) $)
    2exeuv $p |- ( ( E! x E. y ph /\ E! y E. x ph ) -> E! x E! y ph ) $=
      ( wex weu wa wmo eumo euex moimi syl 2euexv anim12ci df-eu sylibr ) ACDZB
      EZABDCEZFACEZBDZSBGZFSBEQUARTQPBGUAPBHSPBACIJKACBLMSBNO $.
    $( $j usage '2exeuv' avoids 'ax-13'; $)
  $}

  $( Existential uniqueness "picks" a variable value for which another wff is
     true.  If there is only one thing ` x ` such that ` ph ` is true, and
     there is also an ` x ` (actually the same one) such that ` ph ` and ` ps `
     are both true, then ` ph ` implies ` ps ` regardless of ` x ` .  This
     theorem can be useful for eliminating existential quantifiers in a
     hypothesis.  Compare Theorem *14.26 in [WhiteheadRussell] p. 192.
     (Contributed by NM, 10-Jul-1994.) $)
  eupick $p |- ( ( E! x ph /\ E. x ( ph /\ ps ) ) -> ( ph -> ps ) ) $=
    ( weu wmo wa wex wi eumo mopick sylan ) ACDACEABFCGABHACIABCJK $.

  $( Version of ~ eupick with closed formulas.  (Contributed by NM,
     6-Sep-2008.) $)
  eupicka $p |- ( ( E! x ph /\ E. x ( ph /\ ps ) ) -> A. x ( ph -> ps ) ) $=
    ( weu wa wex wi nfeu1 nfe1 nfan eupick alrimi ) ACDZABEZCFZEABGCMOCACHNCIJA
    BCKL $.

  $( Existential uniqueness "pick" showing wff equivalence.  (Contributed by
     NM, 25-Nov-1994.)  (Proof shortened by Wolf Lammen, 27-Dec-2018.) $)
  eupickb $p |- ( ( E! x ph /\ E! x ps /\ E. x ( ph /\ ps ) ) ->
               ( ph <-> ps ) ) $=
    ( weu wa wex w3a wi eupick 3adant2 exancom sylan2b 3adant1 impbid ) ACDZBCD
    ZABECFZGABOQABHPABCIJPQBAHZOQPBAECFRABCKBACILMN $.

  $( Theorem *14.26 in [WhiteheadRussell] p. 192.  (Contributed by Andrew
     Salmon, 11-Jul-2011.)  (Proof shortened by Wolf Lammen, 27-Dec-2018.) $)
  eupickbi $p |- ( E! x ph -> ( E. x ( ph /\ ps ) <-> A. x ( ph -> ps ) ) ) $=
    ( weu wa wex wi wal eupicka ex euex exintr syl5com impbid ) ACDZABECFZABGCH
    ZOPQABCIJOACFQPACKABCLMN $.

  $( "At most one" can show the existence of a common value.  In this case we
     can infer existence of conjunction from a conjunction of existence, and it
     is one way to achieve the converse of ~ 19.40 .  (Contributed by NM,
     5-Apr-2004.)  (Proof shortened by Andrew Salmon, 9-Jul-2011.) $)
  mopick2 $p |- ( ( E* x ph /\ E. x ( ph /\ ps ) /\ E. x ( ph /\ ch ) ) ->
                E. x ( ph /\ ps /\ ch ) ) $=
    ( wmo wa wex w3a nfmo1 nfe1 mopick ancld anim1d df-3an syl6ibr eximd 3impia
    nfan ) ADEZABFZDGZACFZDGABCHZDGSUAFZUBUCDSUADADITDJRUDUBTCFUCUDATCUDABABDKL
    MABCNOPQ $.

  ${
    moexex.1 $e |- F/ y ph $.
    $( "At most one" double quantification.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the version ~ moexexvw
       when possible.  (Contributed by NM, 3-Dec-2001.)  (Proof shortened by
       Wolf Lammen, 28-Dec-2018.)  Factor out common proof lines with
       ~ moexexvw .  (Revised by Wolf Lammen, 2-Oct-2023.)
       (New usage is discouraged.) $)
    moexex $p |- ( ( E* x ph /\ A. x E* y ps ) -> E* y E. x ( ph /\ ps ) ) $=
      ( nfmo wa wex nfe1 moexexlem ) ABCDEADCEFABGZCHCDKCIFJ $.
  $}

  ${
    $d y ph $.
    $( "At most one" double quantification.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ moexexvw
       when possible.  (Contributed by NM, 26-Jan-1997.)
       (New usage is discouraged.) $)
    moexexv $p |- ( ( E* x ph /\ A. x E* y ps ) -> E* y E. x ( ph /\ ps ) ) $=
      ( nfv moexex ) ABCDADEF $.
  $}

  $( Double quantification with "at most one".  Usage of this theorem is
     discouraged because it depends on ~ ax-13 .  Use the weaker ~ 2moexv when
     possible.  (Contributed by NM, 3-Dec-2001.)
     (New usage is discouraged.) $)
  2moex $p |- ( E* x E. y ph -> A. y E* x ph ) $=
    ( wex wmo nfe1 nfmo 19.8a moimi alrimi ) ACDZBEABECKCBACFGAKBACHIJ $.

  $( Double quantification with existential uniqueness.  Usage of this theorem
     is discouraged because it depends on ~ ax-13 .  Use the weaker ~ 2euexv
     when possible.  (Contributed by NM, 3-Dec-2001.)  (Proof shortened by
     Andrew Salmon, 9-Jul-2011.)  (New usage is discouraged.) $)
  2euex $p |- ( E! x E. y ph -> E. y E! x ph ) $=
    ( wex weu wmo wa df-eu excom nfe1 nfmo 19.8a moimi moeu sylib syl5bi impcom
    wi eximd sylbi ) ACDZBEUABDZUABFZGABEZCDZUABHUCUBUEUBABDZCDUCUEABCIUCUFUDCU
    ACBACJKUCABFUFUDRAUABACLMABNOSPQT $.

  $( Nested unique existential quantifier and at-most-one quantifier.
     (Contributed by NM, 3-Dec-2001.) $)
  2eumo $p |- ( E! x E* y ph -> E* x E! y ph ) $=
    ( weu wmo wi euimmo eumo mpg ) ACDZACEZFKBDJBEFBJKBGACHI $.

  $( Double existential uniqueness.  (Contributed by NM, 3-Dec-2001.) $)
  2eu2ex $p |- ( E! x E! y ph -> E. x E. y ph ) $=
    ( weu wex euex eximi syl ) ACDZBDIBEACEZBEIBFIJBACFGH $.

  $( A condition allowing to swap an existential quantifier and at at-most-one
     quantifier.  Usage of this theorem is discouraged because it depends on
     ~ ax-13 .  Use the weaker ~ 2moswapv when possible.  (Contributed by NM,
     10-Apr-2004.)  (New usage is discouraged.) $)
  2moswap $p |- ( A. x E* y ph -> ( E* x E. y ph -> E* y E. x ph ) ) $=
    ( wmo wal wex wa nfe1 moexex expcom 19.8a pm4.71ri exbii mobii syl6ibr ) AC
    DBEZACFZBDZQAGZBFZCDZABFZCDRPUAQABCACHIJUBTCASBAQACKLMNO $.

  $( A condition allowing to swap an existential quantifier and a unique
     existential quantifier.  Usage of this theorem is discouraged because it
     depends on ~ ax-13 .  Use the weaker ~ 2euswapv when possible.
     (Contributed by NM, 10-Apr-2004.)  (New usage is discouraged.) $)
  2euswap $p |- ( A. x E* y ph -> ( E! x E. y ph -> E! y E. x ph ) ) $=
    ( wmo wal wex wa weu wi excomim a1i 2moswap anim12d df-eu 3imtr4g ) ACDBEZA
    CFZBFZQBDZGABFZCFZTCDZGQBHTCHPRUASUBRUAIPABCJKABCLMQBNTCNO $.

  $( Double existential uniqueness implies double unique existential
     quantification.  The converse does not hold.  Usage of this theorem is
     discouraged because it depends on ~ ax-13 .  Use the weaker ~ 2exeuv when
     possible.  (Contributed by NM, 3-Dec-2001.)  (Proof shortened by Mario
     Carneiro, 22-Dec-2016.)  (New usage is discouraged.) $)
  2exeu $p |- ( ( E! x E. y ph /\ E! y E. x ph ) -> E! x E! y ph ) $=
    ( wex weu wa wmo eumo euex moimi syl 2euex anim12ci df-eu sylibr ) ACDZBEZA
    BDCEZFACEZBDZSBGZFSBEQUARTQPBGUAPBHSPBACIJKACBLMSBNO $.

  ${
    $d x y z w $.  $d z w ph $.
    $( Two ways of expressing "there exists at most one ordered pair
       ` <. x , y >. ` such that ` ph ( x , y ) ` holds.  Note that this is not
       equivalent to ` E* x E* y ph ` .  See also ~ 2mo .  This is the analogue
       of ~ 2eu4 for existential uniqueness.  (Contributed by Wolf Lammen,
       26-Oct-2019.)  Reduce dependencies on axioms.  (Revised by Wolf Lammen,
       3-Jan-2023.) $)
    2mo2 $p |- ( ( E* x E. y ph /\ E* y E. x ph ) <->
                          E. z E. w A. x A. y ( ph -> ( x = z /\ y = w ) ) ) $=
      ( wex weq wi wal wa wmo exdistrv jcab 2albii 19.26-2 19.23v albii anbi12i
      alcom df-mo bitri 3bitri 2exbii 3bitr4ri ) ACFZBDGZHZBIZABFZCEGZHZCIZJZEF
      DFUHDFZULEFZJAUFUJJHZCIBIZEFDFUEBKZUICKZJUHULDELUQUMDEUQAUFHZAUJHZJZCIBIU
      TCIZBIZVACIBIZJUMUPVBBCAUFUJMNUTVABCOVDUHVEULVCUGBAUFCPQVEVABIZCIULVABCSV
      FUKCAUJBPQUARUBUCURUNUSUOUEBDTUICETRUD $.
  $}

  ${
    $d x y z w $.  $d z w ph $.
    $( Two ways of expressing "there exists at most one ordered pair
       ` <. x , y >. ` such that ` ph ( x , y ) ` holds.  See also ~ 2mo2 .
       (Contributed by NM, 2-Feb-2005.)  (Revised by Mario Carneiro,
       17-Oct-2016.)  (Proof shortened by Wolf Lammen, 2-Nov-2019.) $)
    2mo $p |- ( E. z E. w A. x A. y ( ph -> ( x = z /\ y = w ) ) <->
              A. x A. y A. z A. w ( ( ph /\ [ z / x ] [ w / y ] ph ) ->
                                                      ( x = z /\ y = w ) ) ) $=
      ( weq wa wi wal wex wsb wmo nfmo1 nfe1 nfmov nfan 19.8a spsbe sbimi nfv
      2mo2 biimpi 19.21bbi syl2ani sbcom2 sylbi anim12ii alrimi alrimivv sylbir
      mo3 nfs1v nfsbv pm3.21 imim1d alimd aleximi 2nexaln 2sb8ev xchnxbi pm2.21
      com12 wn 2alimi 2eximi 19.23bi pm2.61d1 impbii alrot4 bitri ) ABDFZCEFZGZ
      HZCIZBIZEJZDJZAACEKZBDKZGZVMHZCIZBIZEIZDIZWBEIDICIBIVRWFVRACJZBLZABJZCLZG
      ZWFABCDEUAWKWDDEWKWCBWHWJBWGBMWIBCABNOPWKWBCWHWJCWGCBACNOWICMPWHWAVKWJVLA
      WHWGWGBDKZVKVTACQVSWGBDACERSWHWGWLGVKHZBDWHWMDIBIWGBDWGDTUKUBUCUDAWJWIWIC
      EKZVLVTABQVTABDKZCEKWNACEBDUEWOWICEABDRSUFWJWIWNGVLHZCEWJWPEICIWICEWIETUK
      UBUCUDUGUHUHUIUJWFVTEJZDJZVRWEWQVQDWDVTVPEVTWDVPVTWCVOBVSBDULVTWBVNCVSBDC
      ACEULUMVTAWAVMVTAUNUOUPUPVBUQUQWRVCAVCZCIBIZVRWGBJWTWRABCURABCDEAETADTUSU
      TWTVREWTEJVRDWTVPDEWSVNBCAVMVAVDVEVFVFUFVGVHWBDEBCVIVJ $.
  $}

  ${
    $d z w ph $.  $d x y ps $.  $d x y z w $.
    2mos.1 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Double "there exists at most one", using implicit substitution.
       (Contributed by NM, 10-Feb-2005.) $)
    2mos $p |- ( E. z E. w A. x A. y ( ph -> ( x = z /\ y = w ) ) <->
             A. x A. y A. z A. w ( ( ph /\ ps ) -> ( x = z /\ y = w ) ) ) $=
      ( weq wa wi wal wex wsb 2mo nfv sbrim wb expcom sbievw 2albii pm5.74ri
      pm5.74d bitr3i anbi2i imbi1i bitri ) ACEHZDFHZIZJDKCKFLELAADFMZCEMZIZUIJZ
      FKEKZDKCKABIZUIJZFKEKZDKCKACDEFNUNUQCDUMUPEFULUOUIUKBAUJBCEUGUJBUGUJJUGAJ
      ZDFMUGBJZUGADFUGDOPURUSDFUHUGABUGUHABQGRUBSUCUASUDUETTUF $.
  $}

  $( Double existential uniqueness.  This theorem shows a condition under which
     a "naive" definition matches the correct one.  Usage of this theorem is
     discouraged because it depends on ~ ax-13 .  Use the weaker ~ 2eu1v when
     possible.  (Contributed by NM, 3-Dec-2001.)  (Proof shortened by Wolf
     Lammen, 23-Apr-2023.)  (New usage is discouraged.) $)
  2eu1 $p |- ( A. x E* y ph ->
        ( E! x E! y ph <-> ( E! x E. y ph /\ E! y E. x ph ) ) ) $=
    ( wmo wal weu wex wa wi 2eu2ex moeu albii euim sylan2b pm2.43b 2euswap syld
    ex syl jcad 2exeu impbid1 ) ACDZBEZACFZBFZACGZBFZABGCFZHUDUFUHUIUDUFUHUFUGB
    GZUDUFUHIZIABCJUJUDUKUDUJUGUEIZBEUKUCULBACKLUGUEBMNRSOZUDUFUHUIUMABCPQTABCU
    AUB $.

  ${
    $d x y $.
    $( Double existential uniqueness.  This theorem shows a condition under
       which a "naive" definition matches the correct one.  Version of ~ 2eu1
       with ` x ` and ` y ` distinct, but not requiring ~ ax-13 .  (Contributed
       by NM, 3-Dec-2001.)  (Revised by Wolf Lammen, 2-Oct-2023.) $)
    2eu1v $p |- ( A. x E* y ph ->
          ( E! x E! y ph <-> ( E! x E. y ph /\ E! y E. x ph ) ) ) $=
      ( wmo wal weu wex wa wi 2eu2ex moeu albii sylan2b ex syl pm2.43b 2euswapv
      euim syld jcad 2exeuv impbid1 ) ACDZBEZACFZBFZACGZBFZABGCFZHUDUFUHUIUDUFU
      HUFUGBGZUDUFUHIZIABCJUJUDUKUDUJUGUEIZBEUKUCULBACKLUGUEBRMNOPZUDUFUHUIUMAB
      CQSTABCUAUB $.
    $( $j usage '2eu1v' avoids 'ax-13'; $)
  $}

  $( Double existential uniqueness.  Usage of this theorem is discouraged
     because it depends on ~ ax-13 .  (Contributed by NM, 3-Dec-2001.)
     (New usage is discouraged.) $)
  2eu2 $p |- ( E! y E. x ph -> ( E! x E! y ph <-> E! x E. y ph ) ) $=
    ( wex weu wmo wal wi eumo 2moex 2eu1 simpl syl6bi 3syl 2exeu expcom impbid
    wa ) ABDZCEZACEBEZACDBEZTSCFACFBGZUAUBHSCIACBJUCUAUBTRUBABCKUBTLMNUBTUAABCO
    PQ $.

  $( Double existential uniqueness.  Usage of this theorem is discouraged
     because it depends on ~ ax-13 .  (Contributed by NM, 3-Dec-2001.)  (Proof
     shortened by Wolf Lammen, 23-Apr-2023.)  (New usage is discouraged.) $)
  2eu3 $p |- ( A. x A. y ( E* x ph \/ E* y ph ) ->
 ( ( E! x E! y ph /\ E! y E! x ph ) <-> ( E! x E. y ph /\ E! y E. x ph ) ) ) $=
    ( wmo wo wal weu wa wb nfmo1 19.31 albii nfal 19.32 bitri 2eu1 biimpd ancom
    wex 2exeu syl6ib jaoa ancomsd ancoms jca impbid1 sylbi ) ABDZACDZECFZBFZUHC
    FZUIBFZEZACGBGZABGCGZHZACSBGZABSCGZHZIUKULUIEZBFUNUJVABUHUICACJKLULUIBUHBCA
    BJMNOUNUQUTUNUPUOUTULUPUTUMUOULUPUSURHZUTULUPVBACBPQUSURRUAUMUOUTABCPQUBUCU
    TUOUPABCTUSURUPACBTUDUEUFUG $.

  ${
    $d x y z w $.  $d z w ph $.
    $( This theorem provides us with a definition of double existential
       uniqueness ("exactly one ` x ` and exactly one ` y ` ").  Naively one
       might think (incorrectly) that it could be defined by ` E! x E! y ph ` .
       See ~ 2eu1 for a condition under which the naive definition holds and
       ~ 2exeu for a one-way implication.  See ~ 2eu5 and ~ 2eu8 for alternate
       definitions.  (Contributed by NM, 3-Dec-2001.)  (Proof shortened by Wolf
       Lammen, 14-Sep-2019.) $)
    2eu4 $p |- ( ( E! x E. y ph /\ E! y E. x ph ) <->
      ( E. x E. y ph /\ E. z E. w A. x A. y ( ph -> ( x = z /\ y = w ) ) ) ) $=
      ( wex weu wa wmo weq wi wal df-eu excom anbi1i anbi12i anandi 2mo2 anbi2i
      bitri 3bitr2i ) ACFZBGZABFZCGZHUBBFZUBBIZHZUFUDCIZHZHUFUGUIHZHUFABDJCEJHK
      CLBLEFDFZHUCUHUEUJUBBMUEUDCFZUIHUJUDCMUMUFUIACBNOTPUFUGUIQUKULUFABCDERSUA
      $.
    $( An alternate definition of double existential uniqueness (see ~ 2eu4 ).
       A mistake sometimes made in the literature is to use ` E! x E! y ` to
       mean "exactly one ` x ` and exactly one ` y ` ".  (For example, see
       Proposition 7.53 of [TakeutiZaring] p. 53.)  It turns out that this is
       actually a weaker assertion, as can be seen by expanding out the formal
       definitions.  This theorem shows that the erroneous definition can be
       repaired by conjoining ` A. x E* y ph ` as an additional condition.  The
       correct definition apparently has never been published.  ( ` E* ` means
       "there exists at most one".)  (Contributed by NM, 26-Oct-2003.)  Avoid
       ~ ax-13 .  (Revised by Wolf Lammen, 2-Oct-2023.) $)
    2eu5 $p |- ( ( E! x E! y ph /\ A. x E* y ph ) <->
      ( E. x E. y ph /\ E. z E. w A. x A. y ( ph -> ( x = z /\ y = w ) ) ) ) $=
      ( weu wmo wal wa wex weq wi 2eu1v pm5.32ri eumo 2moexv syl adantl pm4.71i
      2eu4 3bitr2i ) ACFBFZACGBHZIACJZBFZABJZCFZIZUCIUHUDBJABDKCEKILCHBHEJDJIUC
      UBUHABCMNUHUCUGUCUEUGUFCGUCUFCOACBPQRSABCDETUA $.
  $}

  ${
    $d x y z w $.  $d z w ph $.
    $( Two equivalent expressions for double existential uniqueness.
       (Contributed by NM, 2-Feb-2005.)  (Revised by Mario Carneiro,
       17-Oct-2016.)  (Proof shortened by Wolf Lammen, 2-Oct-2019.) $)
    2eu6 $p |- ( ( E! x E. y ph /\ E! y E. x ph ) <->
               E. z E. w A. x A. y ( ph <-> ( x = z /\ y = w ) ) ) $=
      ( wex weu wa weq wi wal wb 2eu4 imim2i sps exlimd syli wsb 2alimi 2eximi
      nfia1 nfa1 nfv simpl ax12v com12 spsd nfs1v sbequ1 imim2d al2imi sb6 2sb6
      simpr bitr3i syl6ib sylcom ancld 2albiim syl6ibr exlimi 2eximdv imp 2exsb
      biimpr sylibr biimp jca impbii bitri ) ACFZBGABFCGHVKBFZABDIZCEIZHZJZCKZB
      KZEFDFZHZAVOLZCKZBKZEFDFZABCDEMVTWDVLVSWDVLVRWCDEVKVRWCJBVQWBBUAVKVRVRVOA
      JZCKBKZHWCVKVRWFVKVRVMVKJZBKZWFVKVQWHBVQVKWHVKVQVMWHVQAVMCVPCUBZVMCUCVPAV
      MJCVOVMAVMVNUDNOPVKBDUEQUFUGVRWHVMACERZJZBKZWFVQWGWKBVQVKWJVMVQAWJCWIACEU
      HVPAWJJCAVPVNWJVOVNAVMVNUNNACEUIQOPUJUKWLWJBDRWFWJBDULABCDEUMUOUPUQURAVOB
      CUSUTVAVBVCWDVLVSWDWFEFDFVLWCWFDEWAWEBCAVOVESTABCDEVDVFWCVRDEWAVPBCAVOVGS
      TVHVIVJ $.
  $}

  $( Two equivalent expressions for double existential uniqueness.  Usage of
     this theorem is discouraged because it depends on ~ ax-13 .  (Contributed
     by NM, 19-Feb-2005.)  (New usage is discouraged.) $)
  2eu7 $p |- ( ( E! x E. y ph /\ E! y E. x ph ) <->
             E! x E! y ( E. x ph /\ E. y ph ) ) $=
    ( wex weu wa nfe1 nfeu euan ancom eubii 3bitri 3bitr4ri ) ABDZCEZACDZFZBEOP
    BEZFNPFZCEZBEROFOPBNBCABGHITQBTPNFZCEPOFQSUACNPJKPNCACGIPOJLKROJM $.

  $( Two equivalent expressions for double existential uniqueness.  Curiously,
     we can put ` E! ` on either of the internal conjuncts but not both.  We
     can also commute ` E! x E! y ` using ~ 2eu7 .  Usage of this theorem is
     discouraged because it depends on ~ ax-13 .  (Contributed by NM,
     20-Feb-2005.)  (New usage is discouraged.) $)
  2eu8 $p |- ( E! x E! y ( E. x ph /\ E. y ph ) <->
                E! x E! y ( E! x ph /\ E. y ph ) ) $=
    ( wex wa 2eu2 pm5.32i nfeu1 nfeu euan ancom eubii nfe1 3bitri 3bitr4ri 2eu7
    weu 3bitr3ri ) ACDZBQZABQZCQZEZTABDZCQZEUASEZCQZBQZUDSECQBQTUBUEACBFGUBSEZB
    QUBTEUHUCUBSBUABCABHIJUGUIBUGSUAEZCQSUBEUIUFUJCUASKLSUACACMJSUBKNLTUBKOABCP
    R $.

  ${
    $d x y $.
    $( Two ways to express "exactly one thing exists".  To paraphrase the
       statement and explain the label: there Exists a Unique thing if and only
       if for All ` x ` , ` x ` Equals some given (and disjoint) ` y ` .  Both
       sides are false in set theory, see Theorems ~ neutru and ~ dtru .
       (Contributed by NM, 5-Apr-2004.)  State the theorem using truth constant
       ` T. ` .  (Revised by BJ, 7-Oct-2022.)  Reduce axiom dependencies.
       (Revised by Wolf Lammen, 2-Mar-2023.) $)
    euae $p |- ( E! x T. <-> A. x x = y ) $=
      ( wtru weq wi wal wex wa extru biantrur hbaev 19.8w wn hbnaev alnex sylib
      weu con4i impbii trut albii exbii bitri eu3v 3bitr4ri ) CABDZEZAFZBGZCAGZ
      UIHUFAFZCAQUJUIAIJUKUKBGZUIUKULUKBABBKLUKULUKMZUMBFULMABBNUKBOPRSUKUHBUFU
      GAUFTUAUBUCCABUDUE $.

    $( Two ways to express "exactly one thing exists".  The left-hand side
       requires only one variable to express this.  Both sides are false in set
       theory, see Theorem ~ dtru .  (Contributed by NM, 5-Apr-2004.)  (Proof
       shortened by BJ, 7-Oct-2022.) $)
    exists1 $p |- ( E! x x = x <-> A. x x = y ) $=
      ( weq weu wtru wal equid bitru eubii euae bitri ) AACZADEADABCAFLEALAGHIA
      BJK $.

    $( A condition implying that at least two things exist.  (Contributed by
       NM, 10-Apr-2004.)  (Proof shortened by Andrew Salmon, 9-Jul-2011.)
       Reduce axiom usage.  (Revised by Wolf Lammen, 4-Mar-2023.) $)
    exists2 $p |- ( ( E. x ph /\ E. x -. ph ) -> -. E! x x = x ) $=
      ( vy wex weq weu wal axc16nf nfrd com12 exists1 alex bicomi 3imtr4g con2d
      wn imp ) ABDZAPBDZBBEBFZPRTSRBCEBGZABGZTSPZUARUBUAABABCBHIJBCKUBUCABLMNOQ
      $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Other axiomatizations related to classical predicate calculus
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Aristotelian logic: Assertic syllogisms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Model the Aristotelian assertic syllogisms using modern notation.  This
  section shows that the Aristotelian assertic syllogisms can be proven with
  our axioms of logic, and also provides generally useful theorems.

  In antiquity Aristotelian logic and Stoic logic (see ~ mptnan ) were the
  leading logical systems.  Aristotelian logic became the leading system in
  medieval Europe.  This section models this system (including later
  refinements).  Aristotle defined syllogisms very generally ("a discourse in
  which certain (specific) things having been supposed, something different
  from the things supposed results of necessity because these things are so")
  Aristotle, _Prior Analytics_ 24b18-20.  However, in _Prior Analytics_ he
  limits himself to categorical syllogisms that consist of three categorical
  propositions with specific structures.  The syllogisms are the valid subset
  of the possible combinations of these structures.  The medieval schools used
  vowels to identify the types of terms (a=all, e=none, i=some, and o=some are
  not), and named the different syllogisms with Latin words that had the vowels
  in the intended order.

  "There is a surprising amount of scholarly debate about how best to formalize
  Aristotle's syllogisms..." according to _Aristotle's Modal Proofs: Prior
  Analytics A8-22 in Predicate Logic_, Adriane Rini, Springer, 2011,
  ISBN 978-94-007-0049-9, page 28.  For example, Lukasiewicz believes it is
  important to note that "Aristotle does not introduce singular terms or
  premisses into his system".  Lukasiewicz also believes that Aristotelian
  syllogisms are predicates (having a true/false value), not inference rules:
  "The characteristic sign of an inference is the word 'therefore'... no
  syllogism is formulated by Aristotle primarily as an inference, but they are
  all implications."  Jan Lukasiewicz, _Aristotle's Syllogistic from the
  Standpoint of Modern Formal Logic_, Second edition, Oxford, 1957, page 1-2.
  Lukasiewicz devised a specialized prefix notation for representing
  Aristotelian syllogisms instead of using standard predicate logic notation.

  We instead translate each Aristotelian syllogism into an inference rule, and
  each rule is defined using standard predicate logic notation and predicates.
  The predicates are represented by wff variables that may depend on the
  quantified variable ` x ` .  Our translation is essentially identical to the
  one used in Rini page 18, Table 2 "Non-Modal Syllogisms in Lower Predicate
  Calculus (LPC)", which uses standard predicate logic with predicates.  Rini
  states, "the crucial point is that we capture the meaning Aristotle intends,
  and the method by which we represent that meaning is less important".  There
  are two differences: we make the existence criteria explicit, and we use
  ` ph ` , ` ps ` , and ` ch ` in the order they appear (a common Metamath
  convention).  Patzig also uses standard predicate logic notation and
  predicates (though he interprets them as conditional propositions, not as
  inference rules); see Gunther Patzig, _Aristotle's Theory of the Syllogism_
  second edition, 1963, English translation by Jonathan Barnes, 1968, page 38.
  Terms such as "all" and "some" are translated into predicate logic using the
  approach devised by Frege and Russell.  "Frege (and Russell) devised an
  ingenious procedure for regimenting binary quantifiers like "every" and
  "some" in terms of unary quantifiers like "everything" and "something": they
  formalized sentences of the form "Some A is B" and "Every A is B" as
  exists x (Ax and Bx) and all x (Ax implies Bx), respectively."
  "Quantifiers and Quantification", _Stanford Encyclopedia of Philosophy_,
  ~ http://plato.stanford.edu/entries/quantification/ .
  See _Principia Mathematica_ page 22 and *10 for more information
  (especially *10.3 and *10.26).

  Expressions of the form "no ` ph ` is ` ps ` " are consistently translated as
  ` A. x ( ph -> -. ps ) ` .  These can also be expressed as
  ` -. E. x ( ph /\ ps ) ` , per ~ alinexa .
  We translate "all ` ph ` is ` ps ` " to ` A. x ( ph -> ps ) ` ,
  "some ` ph ` is ` ps ` " to ` E. x ( ph /\ ps ) ` , and
  "some ` ph ` is not ` ps ` " to ` E. x ( ph /\ -. ps ) ` .
  It is traditional to use the singular form "is", not the plural form "are",
  in the generic expressions.  By convention the major premise is listed first.

  In traditional Aristotelian syllogisms the predicates have a restricted form
  ("x is a ..."); those predicates could be modeled in modern notation by more
  specific constructs such as ` x = A ` , ` x e. A ` , or ` x C_ A ` .  Here we
  use wff variables instead of specialized restricted forms.  This
  generalization makes the syllogisms more useful in more circumstances.  In
  addition, these expressions make it clearer that the syllogisms of
  Aristotelian logic are the forerunners of predicate calculus.  If we used
  restricted forms like ` x e. A ` instead, we would not only unnecessarily
  limit their use, but we would also need to use set and class axioms, making
  their relationship to predicate calculus less clear.  Using such specific
  constructs would also be anti-historical; Aristotle and others who directly
  followed his work focused on relating wholes to their parts, an approach now
  called part-whole theory.  The work of Cantor and Peano (over 2,000 years
  later) led to a sharper distinction between inclusion ( ` C_ ` ) and
  membership ( ` e. ` ); this distinction was not directly made in Aristotle's
  work.

  There are some widespread misconceptions about the existential assumptions
  made by Aristotle (aka "existential import").  Aristotle was not trying to
  develop something exactly corresponding to modern logic.  Aristotle devised
  "a companion-logic for science.  He relegates fictions like fairy godmothers
  and mermaids and unicorns to the realms of poetry and literature.  In his
  mind, they exist outside the ambit of science.  This is why he leaves no room
  for such nonexistent entities in his logic.  This is a thoughtful choice,
  not an inadvertent omission.  Technically, Aristotelian science is a search
  for definitions, where a definition is "a phrase signifying a thing's
  essence."  (Topics, I.5.102a37, Pickard-Cambridge.)...  Because non-existent
  entities cannot be anything, they do not, in Aristotle's mind, possess an
  essence...  This is why he leaves no place for fictional entities like
  goat-stags (or unicorns)."  Source: Louis F. Groarke, "Aristotle: Logic",
  section 7. (Existential Assumptions),
  _Internet Encyclopedia of Philosophy_ (A Peer-Reviewed Academic Resource),
  ~ http://www.iep.utm.edu/aris-log/ .
  Thus, some syllogisms have "extra" existence hypotheses that do not directly
  appear in Aristotle's original materials (since they were always assumed);
  they are added where they are needed.  This affects ~ barbari , ~ celaront ,
  ~ cesaro , ~ camestros , ~ felapton , ~ darapti , ~ calemos , ~ fesapo , and
  ~ bamalip .

  These are only the _assertic_ syllogisms.  Aristotle also defined modal
  syllogisms that deal with modal qualifiers such as "necessarily" and
  "possibly".  Historically, Aristotelian modal syllogisms were not as widely
  used.  For more about modal syllogisms in a modern context, see Rini as well
  as _Aristotle's Modal Syllogistic_ by Marko Malink, Harvard University Press,
  November 2013.  We do not treat them further here.

  Aristotelian logic is essentially the forerunner of predicate calculus (as
  well as set theory since it discusses membership in groups), while Stoic
  logic is essentially the forerunner of propositional calculus.

  The following twenty-four syllogisms (from ~ barbara to ~ bamalip ) are all
  proven from { ~ ax-mp , ~ ax-1 , ~ ax-2 , ~ ax-3 , ~ ax-gen , ~ ax-4 },
  which corresponds in the usual translation to modal logic (a universal (resp.
  existential) quantifier maps to necessity (resp. possibility)) to the weakest
  normal modal logic (K).  Some proofs could be shortened by using additionally
  ~ spi (inference form of ~ sp , which corresponds to the axiom (T) of modal
  logic), as demonstrated by ~ dariiALT , ~ barbariALT , ~ festinoALT ,
  ~ barocoALT , ~ daraptiALT .

$)

  $( Figure 1.  Aristotelian syllogisms are grouped by "figures", which does
     not matter for our purposes but is a reasonable way to order them. $)

  ${
    $( Major premise for the Aristotelian syllogism "Barbara", e.g., "All men
       are mortal".  By convention, the major premise is first. $)
    barbara.maj $e |- A. x ( ph -> ps ) $.
    $( Minor premise for Barbara, e.g., "Socrates is a man". $)
    barbara.min $e |- A. x ( ch -> ph ) $.
    $( "Barbara", one of the fundamental syllogisms of Aristotelian logic.  All
       ` ph ` is ` ps ` , and all ` ch ` is ` ph ` , therefore all ` ch ` is
       ` ps ` .  In Aristotelian notation, AAA-1:  MaP and SaM therefore SaP.
       For example, given "All men are mortal" and "Socrates is a man", we can
       prove "Socrates is mortal".  If H is the set of men, M is the set of
       mortal beings, and S is Socrates, these word phrases can be represented
       as ` A. x ( x e. H -> x e. M ) ` (all men are mortal) and
       ` A. x ( x = S -> x e. H ) ` (Socrates is a man) therefore
       ` A. x ( x = S -> x e. M ) ` (Socrates is mortal).  Russell and
       Whitehead note that "the syllogism in Barbara is derived from
       [[ ~ syl ]" (quote after Theorem *2.06 of [WhiteheadRussell] p. 101).
       Most of the proof is in ~ alsyl .  There are a legion of sources for
       Barbara, including ~ http://www.friesian.com/aristotl.htm ,
       ~ http://plato.stanford.edu/entries/aristotle-logic/ , and
       ~ https://en.wikipedia.org/wiki/Syllogism .  (Contributed by David A.
       Wheeler, 24-Aug-2016.) $)
    barbara $p |- A. x ( ch -> ps ) $=
      ( wi wal alsyl mp2an ) CAGDHABGDHCBGDHFECABDIJ $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Celarent", e.g., "No
       reptiles have fur". $)
    celarent.maj $e |- A. x ( ph -> -. ps ) $.
    $( Minor premise for Celarent, e.g., "All snakes are reptiles". $)
    celarent.min $e |- A. x ( ch -> ph ) $.
    $( "Celarent", one of the syllogisms of Aristotelian logic.  No ` ph ` is
       ` ps ` , and all ` ch ` is ` ph ` , therefore no ` ch ` is ` ps ` .
       Instance of ~ barbara .  In Aristotelian notation, EAE-1:  MeP and SaM
       therefore SeP. For example, given the "No reptiles have fur" and "All
       snakes are reptiles", therefore "No snakes have fur".  Example from
       ~ https://en.wikipedia.org/wiki/Syllogism .  (Contributed by David A.
       Wheeler, 24-Aug-2016.) $)
    celarent $p |- A. x ( ch -> -. ps ) $=
      ( wn barbara ) ABGCDEFH $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Darii", e.g., "All rabbits
       have fur". $)
    darii.maj $e |- A. x ( ph -> ps ) $.
    $( Minor premise for Darii, e.g., "Some pets are rabbits". $)
    darii.min $e |- E. x ( ch /\ ph ) $.
    $( "Darii", one of the syllogisms of Aristotelian logic.  All ` ph ` is
       ` ps ` , and some ` ch ` is ` ph ` , therefore some ` ch ` is ` ps ` .
       In Aristotelian notation, AII-1:  MaP and SiM therefore SiP. For
       example, given "All rabbits have fur" and "Some pets are rabbits",
       therefore "Some pets have fur".  Example from
       ~ https://en.wikipedia.org/wiki/Syllogism .  See ~ dariiALT for a
       shorter proof requiring more axioms.  (Contributed by David A. Wheeler,
       24-Aug-2016.)  Reduce dependencies on axioms.  (Revised by BJ,
       16-Sep-2022.) $)
    darii $p |- E. x ( ch /\ ps ) $=
      ( wa wi wal wex id anim2d alimi ax-mp exim mp2 ) CAGZCBGZHZDIZQDJRDJABHZD
      ITEUASDUAABCUAKLMNFQRDOP $.

    $( Alternate proof of ~ darii , shorter but using more axioms.  This shows
       how the use of ~ spi may shorten some proofs of the Aristotelian
       syllogisms, even though this adds axiom dependencies.  Note that ~ spi
       is the inference associated with ~ sp , which corresponds to the axiom
       (T) of modal logic.  (Contributed by David A. Wheeler, 27-Aug-2016.)
       Added precisions on axiom usage.  (Revised by BJ, 27-Sep-2022.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    dariiALT $p |- E. x ( ch /\ ps ) $=
      ( wa wi spi anim2i eximii ) CAGCBGDFABCABHDEIJK $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Ferio" ("Ferioque"), e.g.,
       "No homework is fun". $)
    ferio.maj $e |- A. x ( ph -> -. ps ) $.
    $( Minor premise for Ferio, e.g., "Some reading is homework". $)
    ferio.min $e |- E. x ( ch /\ ph ) $.
    $( "Ferio" ("Ferioque"), one of the syllogisms of Aristotelian logic.  No
       ` ph ` is ` ps ` , and some ` ch ` is ` ph ` , therefore some ` ch ` is
       not ` ps ` .  Instance of ~ darii .  In Aristotelian notation, EIO-1:
       MeP and SiM therefore SoP. For example, given "No homework is fun" and
       "Some reading is homework", therefore "Some reading is not fun".  This
       is essentially a logical axiom in Aristotelian logic.  Example from
       ~ https://en.wikipedia.org/wiki/Syllogism .  (Contributed by David A.
       Wheeler, 24-Aug-2016.) $)
    ferio $p |- E. x ( ch /\ -. ps ) $=
      ( wn darii ) ABGCDEFH $.
  $}

  ${
    barbarilem.min $e |- E. x ph $.
    barbarilem.maj $e |- A. x ( ph -> ps ) $.
    $( Lemma for ~ barbari and the other Aristotelian syllogisms with
       existential assumption.  (Contributed by BJ, 16-Sep-2022.) $)
    barbarilem $p |- E. x ( ph /\ ps ) $=
      ( wi wal wex wa exintr mp2 ) ABFCGACHABICHEDABCJK $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Barbari", e.g., "All men
       are mortal". $)
    barbari.maj $e |- A. x ( ph -> ps ) $.
    $( Minor premise for Barbari, e.g., "All Greeks are men". $)
    barbari.min $e |- A. x ( ch -> ph ) $.
    $( Existence premise for Barbari, e.g., "Greeks exist". $)
    barbari.e $e |- E. x ch $.
    $( "Barbari", one of the syllogisms of Aristotelian logic.  All ` ph ` is
       ` ps ` , all ` ch ` is ` ph ` , and some ` ch ` exist, therefore some
       ` ch ` is ` ps ` .  In Aristotelian notation, AAI-1:  MaP and SaM
       therefore SiP. For example, given "All men are mortal", "All Greeks are
       men", and "Greeks exist", therefore "Some Greeks are mortal".  Note the
       existence hypothesis (to prove the "some" in the conclusion).  Example
       from ~ https://en.wikipedia.org/wiki/Syllogism .  (Contributed by David
       A. Wheeler, 27-Aug-2016.)  Reduce dependencies on axioms.  (Revised by
       BJ, 16-Sep-2022.) $)
    barbari $p |- E. x ( ch /\ ps ) $=
      ( barbara barbarilem ) CBDGABCDEFHI $.

    $( Alternate proof of ~ barbari , shorter but using more axioms.  See
       comment of ~ dariiALT .  (Contributed by David A. Wheeler, 27-Aug-2016.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    barbariALT $p |- E. x ( ch /\ ps ) $=
      ( wa wi barbara spi ancli eximii ) CCBHDGCBCBIDABCDEFJKLM $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Celaront", e.g., "No
       reptiles have fur". $)
    celaront.maj $e |- A. x ( ph -> -. ps ) $.
    $( Minor premise for Celaront, e.g., "All Snakes are reptiles". $)
    celaront.min $e |- A. x ( ch -> ph ) $.
    $( Existence premise for Celaront, e.g., "Snakes exist". $)
    celaront.e $e |- E. x ch $.
    $( "Celaront", one of the syllogisms of Aristotelian logic.  No ` ph ` is
       ` ps ` , all ` ch ` is ` ph ` , and some ` ch ` exist, therefore some
       ` ch ` is not ` ps ` .  Instance of ~ barbari .  In Aristotelian
       notation, EAO-1:  MeP and SaM therefore SoP. For example, given "No
       reptiles have fur", "All snakes are reptiles", and "Snakes exist", prove
       "Some snakes have no fur".  Note the existence hypothesis.  Example from
       ~ https://en.wikipedia.org/wiki/Syllogism .  (Contributed by David A.
       Wheeler, 27-Aug-2016.) $)
    celaront $p |- E. x ( ch /\ -. ps ) $=
      ( wn barbari ) ABHCDEFGI $.
  $}

  $( Figure 2 $)

  ${
    $( Major premise for the Aristotelian syllogism "Cesare" $)
    cesare.maj $e |- A. x ( ph -> -. ps ) $.
    $( Minor premise for Cesare $)
    cesare.min $e |- A. x ( ch -> ps ) $.
    $( "Cesare", one of the syllogisms of Aristotelian logic.  No ` ph ` is
       ` ps ` , and all ` ch ` is ` ps ` , therefore no ` ch ` is ` ph ` .  In
       Aristotelian notation, EAE-2:  PeM and SaM therefore SeP. Related to
       ~ celarent .  (Contributed by David A. Wheeler, 27-Aug-2016.)  Reduce
       dependencies on axioms.  (Revised by BJ, 16-Sep-2022.) $)
    cesare $p |- A. x ( ch -> -. ph ) $=
      ( wn wi wal con2 alimi ax-mp celarent ) BACDABGHZDIBAGHZDIENODABJKLFM $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Camestres" $)
    camestres.maj $e |- A. x ( ph -> ps ) $.
    $( Minor premise for Camestres $)
    camestres.min $e |- A. x ( ch -> -. ps ) $.
    $( "Camestres", one of the syllogisms of Aristotelian logic.  All ` ph ` is
       ` ps ` , and no ` ch ` is ` ps ` , therefore no ` ch ` is ` ph ` .  In
       Aristotelian notation, AEE-2:  PaM and SeM therefore SeP. (Contributed
       by David A. Wheeler, 28-Aug-2016.)  Reduce dependencies on axioms.
       (Revised by BJ, 16-Sep-2022.) $)
    camestres $p |- A. x ( ch -> -. ph ) $=
      ( wn wi wal con3 alimi ax-mp celarent ) BGZACDABHZDINAGHZDIEOPDABJKLFM $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Festino" $)
    festino.maj $e |- A. x ( ph -> -. ps ) $.
    $( Minor premise for Festino $)
    festino.min $e |- E. x ( ch /\ ps ) $.
    $( "Festino", one of the syllogisms of Aristotelian logic.  No ` ph ` is
       ` ps ` , and some ` ch ` is ` ps ` , therefore some ` ch ` is not
       ` ph ` .  In Aristotelian notation, EIO-2:  PeM and SiM therefore SoP.
       (Contributed by David A. Wheeler, 25-Nov-2016.)  Reduce dependencies on
       axioms.  (Revised by BJ, 16-Sep-2022.) $)
    festino $p |- E. x ( ch /\ -. ph ) $=
      ( wa wn wi wal wex con2 anim2d alimi ax-mp exim mp2 ) CBGZCAHZGZIZDJZRDKT
      DKABHIZDJUBEUCUADUCBSCABLMNOFRTDPQ $.

    $( Alternate proof of ~ festino , shorter but using more axioms.  See
       comment of ~ dariiALT .  (Contributed by David A. Wheeler, 27-Aug-2016.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    festinoALT $p |- E. x ( ch /\ -. ph ) $=
      ( wa wn wi spi con2i anim2i eximii ) CBGCAHZGDFBNCABABHIDEJKLM $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Baroco" $)
    baroco.maj $e |- A. x ( ph -> ps ) $.
    $( Minor premise for Baroco $)
    baroco.min $e |- E. x ( ch /\ -. ps ) $.
    $( "Baroco", one of the syllogisms of Aristotelian logic.  All ` ph ` is
       ` ps ` , and some ` ch ` is not ` ps ` , therefore some ` ch ` is not
       ` ph ` .  In Aristotelian notation, AOO-2:  PaM and SoM therefore SoP.
       For example, "All informative things are useful", "Some websites are not
       useful", therefore "Some websites are not informative".  (Contributed by
       David A. Wheeler, 28-Aug-2016.)  Reduce dependencies on axioms.
       (Revised by BJ, 16-Sep-2022.) $)
    baroco $p |- E. x ( ch /\ -. ph ) $=
      ( wn wa wi wal wex con3 anim2d alimi ax-mp exim mp2 ) CBGZHZCAGZHZIZDJZSD
      KUADKABIZDJUCEUDUBDUDRTCABLMNOFSUADPQ $.

    $( Alternate proof of ~ festino , shorter but using more axioms.  See
       comment of ~ dariiALT .  (Contributed by David A. Wheeler, 27-Aug-2016.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    barocoALT $p |- E. x ( ch /\ -. ph ) $=
      ( wn wa wi spi con3i anim2i eximii ) CBGZHCAGZHDFNOCABABIDEJKLM $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Cesaro" $)
    cesaro.maj $e |- A. x ( ph -> -. ps ) $.
    $( Minor premise for Cesaro $)
    cesaro.min $e |- A. x ( ch -> ps ) $.
    $( Existence premise for Cesaro $)
    cesaro.e $e |- E. x ch $.
    $( "Cesaro", one of the syllogisms of Aristotelian logic.  No ` ph ` is
       ` ps ` , all ` ch ` is ` ps ` , and ` ch ` exist, therefore some ` ch `
       is not ` ph ` .  In Aristotelian notation, EAO-2:  PeM and SaM therefore
       SoP. (Contributed by David A. Wheeler, 28-Aug-2016.)  Reduce
       dependencies on axioms.  (Revised by BJ, 16-Sep-2022.) $)
    cesaro $p |- E. x ( ch /\ -. ph ) $=
      ( wn cesare barbarilem ) CAHDGABCDEFIJ $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Camestros" $)
    camestros.maj $e |- A. x ( ph -> ps ) $.
    $( Minor premise for Camestros $)
    camestros.min $e |- A. x ( ch -> -. ps ) $.
    $( Existence premise for Camestros $)
    camestros.e $e |- E. x ch $.
    $( "Camestros", one of the syllogisms of Aristotelian logic.  All ` ph ` is
       ` ps ` , no ` ch ` is ` ps ` , and ` ch ` exist, therefore some ` ch `
       is not ` ph ` .  In Aristotelian notation, AEO-2:  PaM and SeM therefore
       SoP. For example, "All horses have hooves", "No humans have hooves", and
       humans exist, therefore "Some humans are not horses".  (Contributed by
       David A. Wheeler, 28-Aug-2016.)  Reduce dependencies on axioms.
       (Revised by BJ, 16-Sep-2022.) $)
    camestros $p |- E. x ( ch /\ -. ph ) $=
      ( wn camestres barbarilem ) CAHDGABCDEFIJ $.
  $}

  $( Figure 3 $)

  ${
    $( Major premise for the Aristotelian syllogism "Datisi" $)
    datisi.maj $e |- A. x ( ph -> ps ) $.
    $( Minor premise for Datisi $)
    datisi.min $e |- E. x ( ph /\ ch ) $.
    $( "Datisi", one of the syllogisms of Aristotelian logic.  All ` ph ` is
       ` ps ` , and some ` ph ` is ` ch ` , therefore some ` ch ` is ` ps ` .
       In Aristotelian notation, AII-3:  MaP and MiS therefore SiP.
       (Contributed by David A. Wheeler, 28-Aug-2016.)  Shorten and reduce
       dependencies on axioms.  (Revised by BJ, 16-Sep-2022.) $)
    datisi $p |- E. x ( ch /\ ps ) $=
      ( wa wex exancom mpbi darii ) ABCDEACGDHCAGDHFACDIJK $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Disamis" $)
    disamis.maj $e |- E. x ( ph /\ ps ) $.
    $( Minor premise for Disamis $)
    disamis.min $e |- A. x ( ph -> ch ) $.
    $( "Disamis", one of the syllogisms of Aristotelian logic.  Some ` ph ` is
       ` ps ` , and all ` ph ` is ` ch ` , therefore some ` ch ` is ` ps ` .
       In Aristotelian notation, IAI-3:  MiP and MaS therefore SiP.
       (Contributed by David A. Wheeler, 28-Aug-2016.)  Reduce dependencies on
       axioms.  (Revised by BJ, 16-Sep-2022.) $)
    disamis $p |- E. x ( ch /\ ps ) $=
      ( wa wex datisi exancom mpbi ) BCGDHCBGDHACBDFEIBCDJK $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Ferison" $)
    ferison.maj $e |- A. x ( ph -> -. ps ) $.
    $( Minor premise for Ferison $)
    ferison.min $e |- E. x ( ph /\ ch ) $.
    $( "Ferison", one of the syllogisms of Aristotelian logic.  No ` ph ` is
       ` ps ` , and some ` ph ` is ` ch ` , therefore some ` ch ` is not
       ` ps ` .  Instance of ~ datisi .  In Aristotelian notation, EIO-3:  MeP
       and MiS therefore SoP. (Contributed by David A. Wheeler,
       28-Aug-2016.) $)
    ferison $p |- E. x ( ch /\ -. ps ) $=
      ( wn datisi ) ABGCDEFH $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Bocardo" $)
    bocardo.maj $e |- E. x ( ph /\ -. ps ) $.
    $( Minor premise for Bocardo $)
    bocardo.min $e |- A. x ( ph -> ch ) $.
    $( "Bocardo", one of the syllogisms of Aristotelian logic.  Some ` ph ` is
       not ` ps ` , and all ` ph ` is ` ch ` , therefore some ` ch ` is not
       ` ps ` .  Instance of ~ disamis .  In Aristotelian notation, OAO-3:  MoP
       and MaS therefore SoP. For example, "Some cats have no tails", "All cats
       are mammals", therefore "Some mammals have no tails".  (Contributed by
       David A. Wheeler, 28-Aug-2016.) $)
    bocardo $p |- E. x ( ch /\ -. ps ) $=
      ( wn disamis ) ABGCDEFH $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Darapti" $)
    darapti.maj $e |- A. x ( ph -> ps ) $.
    $( Minor premise for Darapti $)
    darapti.min $e |- A. x ( ph -> ch ) $.
    $( Existence premise for Darapti $)
    darapti.e $e |- E. x ph $.
    $( "Darapti", one of the syllogisms of Aristotelian logic.  All ` ph ` is
       ` ps ` , all ` ph ` is ` ch ` , and some ` ph ` exist, therefore some
       ` ch ` is ` ps ` .  In Aristotelian notation, AAI-3:  MaP and MaS
       therefore SiP. For example, "All squares are rectangles" and "All
       squares are rhombuses", therefore "Some rhombuses are rectangles".
       (Contributed by David A. Wheeler, 28-Aug-2016.)  Reduce dependencies on
       axioms.  (Revised by BJ, 16-Sep-2022.) $)
    darapti $p |- E. x ( ch /\ ps ) $=
      ( wa wi wal wex id alanimi mp2an pm3.43 alimi ax-mp exim mp2 ) ACBHZIZDJZ
      ADKTDKACIZABIZHZDJZUBUCDJUDDJUFFEUCUDUEDUELMNUEUADACBOPQGATDRS $.

    $( Alternate proof of ~ darapti , shorter but using more axioms.  See
       comment of ~ dariiALT .  (Contributed by David A. Wheeler, 27-Aug-2016.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    daraptiALT $p |- E. x ( ch /\ ps ) $=
      ( wa wi spi jca eximii ) ACBHDGACBACIDFJABIDEJKL $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Felapton" $)
    felapton.maj $e |- A. x ( ph -> -. ps ) $.
    $( Minor premise for Felapton $)
    felapton.min $e |- A. x ( ph -> ch ) $.
    $( Existence premise for Felapton $)
    felapton.e $e |- E. x ph $.
    $( "Felapton", one of the syllogisms of Aristotelian logic.  No ` ph ` is
       ` ps ` , all ` ph ` is ` ch ` , and some ` ph ` exist, therefore some
       ` ch ` is not ` ps ` .  Instance of ~ darapti .  In Aristotelian
       notation, EAO-3:  MeP and MaS therefore SoP. For example, "No flowers
       are animals" and "All flowers are plants", therefore "Some plants are
       not animals".  (Contributed by David A. Wheeler, 28-Aug-2016.) $)
    felapton $p |- E. x ( ch /\ -. ps ) $=
      ( wn darapti ) ABHCDEFGI $.
  $}

  $( Figure 4 $)

  ${
    $( Major premise for the Aristotelian syllogism "Calemes" $)
    calemes.maj $e |- A. x ( ph -> ps ) $.
    $( Minor premise for Calemes $)
    calemes.min $e |- A. x ( ps -> -. ch ) $.
    $( "Calemes", one of the syllogisms of Aristotelian logic.  All ` ph ` is
       ` ps ` , and no ` ps ` is ` ch ` , therefore no ` ch ` is ` ph ` .  In
       Aristotelian notation, AEE-4:  PaM and MeS therefore SeP. (Contributed
       by David A. Wheeler, 28-Aug-2016.)  Reduce dependencies on axioms.
       (Revised by BJ, 16-Sep-2022.) $)
    calemes $p |- A. x ( ch -> -. ph ) $=
      ( wn wi wal con2 alimi ax-mp camestres ) ABCDEBCGHZDICBGHZDIFNODBCJKLM $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Dimatis" $)
    dimatis.maj $e |- E. x ( ph /\ ps ) $.
    $( Minor premise for Dimatis $)
    dimatis.min $e |- A. x ( ps -> ch ) $.
    $( "Dimatis", one of the syllogisms of Aristotelian logic.  Some ` ph ` is
       ` ps ` , and all ` ps ` is ` ch ` , therefore some ` ch ` is ` ph ` .
       In Aristotelian notation, IAI-4:  PiM and MaS therefore SiP. For
       example, "Some pets are rabbits", "All rabbits have fur", therefore
       "Some fur bearing animals are pets".  Like ~ darii with positions
       interchanged.  (Contributed by David A. Wheeler, 28-Aug-2016.)  Shorten
       and reduce dependencies on axioms.  (Revised by BJ, 16-Sep-2022.) $)
    dimatis $p |- E. x ( ch /\ ph ) $=
      ( wa wex darii exancom mpbi ) ACGDHCAGDHBCADFEIACDJK $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Fresison" $)
    fresison.maj $e |- A. x ( ph -> -. ps ) $.
    $( Minor premise for Fresison $)
    fresison.min $e |- E. x ( ps /\ ch ) $.
    $( "Fresison", one of the syllogisms of Aristotelian logic.  No ` ph ` is
       ` ps ` (PeM), and some ` ps ` is ` ch ` (MiS), therefore some ` ch ` is
       not ` ph ` (SoP).  In Aristotelian notation, EIO-4:  PeM and MiS
       therefore SoP. (Contributed by David A. Wheeler, 28-Aug-2016.)  Shorten
       and reduce dependencies on axioms.  (Revised by BJ, 16-Sep-2022.) $)
    fresison $p |- E. x ( ch /\ -. ph ) $=
      ( wa wex exancom mpbi festino ) ABCDEBCGDHCBGDHFBCDIJK $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Calemos" $)
    calemos.maj $e |- A. x ( ph -> ps ) $.
    $( Minor premise for Calemos $)
    calemos.min $e |- A. x ( ps -> -. ch ) $.
    $( Existence premise for Calemos $)
    calemos.e $e |- E. x ch $.
    $( "Calemos", one of the syllogisms of Aristotelian logic.  All ` ph ` is
       ` ps ` (PaM), no ` ps ` is ` ch ` (MeS), and ` ch ` exist, therefore
       some ` ch ` is not ` ph ` (SoP).  In Aristotelian notation, AEO-4:  PaM
       and MeS therefore SoP. (Contributed by David A. Wheeler, 28-Aug-2016.)
       Shorten and reduce dependencies on axioms.  (Revised by BJ,
       16-Sep-2022.) $)
    calemos $p |- E. x ( ch /\ -. ph ) $=
      ( wn calemes barbarilem ) CAHDGABCDEFIJ $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Fesapo" $)
    fesapo.maj $e |- A. x ( ph -> -. ps ) $.
    $( Minor premise for Fesapo $)
    fesapo.min $e |- A. x ( ps -> ch ) $.
    $( Existence premise for Fesapo $)
    fesapo.e $e |- E. x ps $.
    $( "Fesapo", one of the syllogisms of Aristotelian logic.  No ` ph ` is
       ` ps ` , all ` ps ` is ` ch ` , and ` ps ` exist, therefore some ` ch `
       is not ` ph ` .  In Aristotelian notation, EAO-4:  PeM and MaS therefore
       SoP. (Contributed by David A. Wheeler, 28-Aug-2016.)  Reduce
       dependencies on axioms.  (Revised by BJ, 16-Sep-2022.) $)
    fesapo $p |- E. x ( ch /\ -. ph ) $=
      ( wn wi wal con2 alimi ax-mp felapton ) BACDABHIZDJBAHIZDJEOPDABKLMFGN $.
  $}

  ${
    $( Major premise for the Aristotelian syllogism "Bamalip" $)
    bamalip.maj $e |- A. x ( ph -> ps ) $.
    $( Minor premise for Bamalip $)
    bamalip.min $e |- A. x ( ps -> ch ) $.
    $( Existence premise for Bamalip $)
    bamalip.e $e |- E. x ph $.
    $( "Bamalip", one of the syllogisms of Aristotelian logic.  All ` ph ` is
       ` ps ` , all ` ps ` is ` ch ` , and ` ph ` exist, therefore some ` ch `
       is ` ph ` .  In Aristotelian notation, AAI-4:  PaM and MaS therefore
       SiP. Very similar to ~ barbari .  (Contributed by David A. Wheeler,
       28-Aug-2016.)  Shorten and reduce dependencies on axioms.  (Revised by
       BJ, 16-Sep-2022.) $)
    bamalip $p |- E. x ( ch /\ ph ) $=
      ( wa wex barbari exancom mpbi ) ACHDICAHDIBCADFEGJACDKL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Intuitionistic logic
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Intuitionistic (constructive) logic is similar to classical logic with the
  notable omission of ~ ax-3 and theorems such as ~ exmid or ~ peirce .  We
  mostly treat intuitionistic logic in a separate file, iset.mm, which is known
  as the Intuitionistic Logic Explorer on the web site.  However, iset.mm has a
  number of additional axioms (mainly to replace definitions like ~ df-or and
  ~ df-ex which are not valid in intuitionistic logic) and we want to prove
  those axioms here to demonstrate that adding those axioms in iset.mm does not
  make iset.mm any less consistent than set.mm.

  The following axioms are unchanged between set.mm and iset.mm: ~ ax-1 ,
  ~ ax-2 , ~ ax-mp , ~ ax-4 , ~ ax-11 , ~ ax-gen , ~ ax-7 , ~ ax-12 , ~ ax-8 ,
  ~ ax-9 , and ~ ax-5 .

  In this list of axioms, the ones that repeat earlier theorems are marked
  "(New usage is discouraged.)" so that the earlier theorems will be used
  consistently in other proofs.

$)

  $( Left 'and' elimination (intuitionistic logic axiom ax-ia1).  (Contributed
     by Jim Kingdon, 21-May-2018.)  (New usage is discouraged.) $)
  axia1 $p |- ( ( ph /\ ps ) -> ph ) $=
    ( simpl ) ABC $.

  $( Right 'and' elimination (intuitionistic logic axiom ax-ia2).  (Contributed
     by Jim Kingdon, 21-May-2018.)  (New usage is discouraged.) $)
  axia2 $p |- ( ( ph /\ ps ) -> ps ) $=
    ( simpr ) ABC $.

  $( 'And' introduction (intuitionistic logic axiom ax-ia3).  (Contributed by
     Jim Kingdon, 21-May-2018.)  (New usage is discouraged.) $)
  axia3 $p |- ( ph -> ( ps -> ( ph /\ ps ) ) ) $=
    ( pm3.2 ) ABC $.

  $( 'Not' introduction (intuitionistic logic axiom ax-in1).  (Contributed by
     Jim Kingdon, 21-May-2018.)  (New usage is discouraged.) $)
  axin1 $p |- ( ( ph -> -. ph ) -> -. ph ) $=
    ( pm2.01 ) AB $.

  $( 'Not' elimination (intuitionistic logic axiom ax-in2).  (Contributed by
     Jim Kingdon, 21-May-2018.)  (New usage is discouraged.) $)
  axin2 $p |- ( -. ph -> ( ph -> ps ) ) $=
    ( pm2.21 ) ABC $.

  $( Definition of 'or' (intuitionistic logic axiom ax-io).  (Contributed by
     Jim Kingdon, 21-May-2018.)  (New usage is discouraged.) $)
  axio $p |- ( ( ( ph \/ ch ) -> ps ) <->
      ( ( ph -> ps ) /\ ( ch -> ps ) ) ) $=
    ( jaob ) ABCD $.

  $( Specialization (intuitionistic logic axiom ax-4).  This is just ~ sp by
     another name.  (Contributed by Jim Kingdon, 31-Dec-2017.)
     (New usage is discouraged.) $)
  axi4 $p |- ( A. x ph -> ph ) $=
    ( sp ) ABC $.

  $( Converse of ~ axc4 (intuitionistic logic axiom ax-i5r).  (Contributed by
     Jim Kingdon, 31-Dec-2017.) $)
  axi5r $p |- ( ( A. x ph -> A. x ps ) -> A. x ( A. x ph -> ps ) ) $=
    ( wal wi hba1 hbim sp imim2i alrimih ) ACDZBCDZEKBECKLCACFBCFGLBKBCHIJ $.

  $( The setvar ` x ` is not free in ` A. x ph ` (intuitionistic logic axiom
     ax-ial).  (Contributed by Jim Kingdon, 31-Dec-2017.)
     (New usage is discouraged.) $)
  axial $p |- ( A. x ph -> A. x A. x ph ) $=
    ( hba1 ) ABC $.

  $( The setvar ` x ` is not free in ` E. x ph ` (intuitionistic logic axiom
     ax-ie1).  (Contributed by Jim Kingdon, 31-Dec-2017.)
     (New usage is discouraged.) $)
  axie1 $p |- ( E. x ph -> A. x E. x ph ) $=
    ( hbe1 ) ABC $.

  $( A key property of existential quantification (intuitionistic logic axiom
     ax-ie2).  (Contributed by Jim Kingdon, 31-Dec-2017.) $)
  axie2 $p |- ( A. x ( ps -> A. x ps ) ->
              ( A. x ( ph -> ps ) <-> ( E. x ph -> ps ) ) ) $=
    ( wal wi wnf wex wb nf5 19.23t sylbir ) BBCDECDBCFABECDACGBEHBCIABCJK $.

  $( Axiom of existence (intuitionistic logic axiom ax-i9).  In classical
     logic, this is equivalent to ~ ax-6 but in intuitionistic logic it needs
     to be stated using the existential quantifier.  (Contributed by Jim
     Kingdon, 31-Dec-2017.)  (New usage is discouraged.) $)
  axi9 $p |- E. x x = y $=
    ( ax6e ) ABC $.

  $( Axiom of Quantifier Substitution (intuitionistic logic axiom ax-10).  This
     is just ~ axc11n by another name.  (Contributed by Jim Kingdon,
     31-Dec-2017.)  (New usage is discouraged.) $)
  axi10 $p |- ( A. x x = y -> A. y y = x ) $=
    ( axc11n ) ABC $.

  $( Axiom of Quantifier Introduction (intuitionistic logic axiom ax-i12).  In
     classical logic, this is mostly a restatement of ~ axc9 (with one
     additional quantifier).  But in intuitionistic logic, changing the
     negations and implications to disjunctions makes it stronger.  Usage of
     this theorem is discouraged because it depends on ~ ax-13 .  (Contributed
     by Jim Kingdon, 31-Dec-2017.)  Avoid ~ ax-11 .  (Revised by Wolf Lammen,
     24-Apr-2023.)  (New usage is discouraged.) $)
  axi12 $p |- ( A. z z = x \/ ( A. z z = y \/
                A. z ( x = y -> A. z x = y ) ) ) $=
    ( weq wal wo wi nfa1 nfor 19.32 wn axc9 orrd orri orass mpbir mpgbi mpbi )
    CADZCEZCBDZCEZFZABDZUDCEGZCEZFZTUBUFFFUCUEFZUGCUCUECTUBCSCHUACHIJUHTUBUEFZF
    TUITKUBUEABCLMNTUBUEOPQTUBUFOR $.

  $( Axiom of Bundling (intuitionistic logic axiom ax-bnd).  In classical
     logic, this and ~ axi12 are fairly straightforward consequences of
     ~ axc9 .  But in intuitionistic logic, it is not easy to add the extra
     ` A. x ` to ~ axi12 and so we treat the two as separate axioms.  Usage of
     this theorem is discouraged because it depends on ~ ax-13 .  (Contributed
     by Jim Kingdon, 22-Mar-2018.)  (Proof shortened by Wolf Lammen,
     24-Apr-2023.)  (New usage is discouraged.) $)
  axbnd $p |- ( A. z z = x \/ ( A. z z = y \/
                 A. x A. z ( x = y -> A. z x = y ) ) ) $=
    ( weq wal wo wi nfae nfor 19.32 orass bitri axi12 mpbir mpgbi ) CADCEZCBDCE
    ZFZABDZSCEGCEZFZPQTAEZFFZAUAAERUBFUCRTAPQACAAHCBAHIJPQUBKLUAPQTFFABCMPQTKNO
    $.

$( End $[ set-pred.mm $] $)


$( Begin $[ set-class.mm $] $)
$( Skip $[ set-pred.mm $] $)
$(
###############################################################################
  ZF (ZERMELO-FRAENKEL) SET THEORY
###############################################################################

  Set theory uses the formalism of propositional and predicate calculus to
  assert properties of arbitrary mathematical objects called "sets".  A set can
  be an element of another set, and this relationship is indicated by the
  ` e. ` symbol.  Starting with the simplest mathematical object, called the
  empty set, set theory builds up more and more complex structures whose
  existence follows from the axioms, eventually resulting in extremely
  complicated sets that we identify with the real numbers and other familiar
  mathematical objects.

  A simplistic concept of sets, sometimes called "naive set theory", is
  vulnerable to a paradox called "Russell's Paradox" ( ~ ru ), a discovery that
  revolutionized the foundations of mathematics and logic.  Russell's Paradox
  spawned the development of set theories that countered the paradox, including
  the ZF set theory that is most widely used and is defined here.

  Except for Extensionality, the axioms basically say, "given an arbitrary set
  x (and, in the cases of Replacement and Regularity, provided that an
  antecedent is satisfied), there exists another set y based on or constructed
  from it, with the stated properties".  (The axiom of extensionality can also
  be restated this way as shown by ~ axexte .) The individual axiom links
  provide more detailed descriptions.  We derive the redundant ZF axioms of
  Separation, Null Set, and Pairing from the others as theorems.

$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  ZF Set Theory - start with the Axiom of Extensionality
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Introduce the Axiom of Extensionality
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( Axiom of extensionality.  An axiom of Zermelo-Fraenkel set theory.  It
       states that two sets are identical if they contain the same elements.
       Axiom Ext of [BellMachover] p. 461.  Its converse is a theorem of
       predicate logic, ~ elequ2g .

       Set theory can also be formulated with a _single_ primitive predicate
       ` e. ` on top of traditional predicate calculus _without_ equality.  In
       that case the Axiom of Extensionality becomes
       ` ( A. w ( w e. x <-> w e. y ) -> ( x e. z -> y e. z ) ) ` , and
       equality ` x = y ` is _defined_ as ` A. w ( w e. x <-> w e. y ) ` .  All
       of the usual axioms of equality then become theorems of set theory.
       See, for example, Axiom 1 of [TakeutiZaring] p. 8.

       To use the above "equality-free" version of Extensionality with
       Metamath's predicate calculus axioms, we would rewrite all axioms
       involving equality with equality expanded according to the above
       definition.  Some of those axioms may be provable from ax-ext and would
       become redundant, but this hasn't been studied carefully.

       _General remarks_:  Our set theory axioms are presented using defined
       connectives ( ` <-> ` , ` E. ` , etc.) for convenience.  However, it is
       implicitly understood that the actual axioms use only the primitive
       connectives ` -> ` , ` -. ` , ` A. ` , ` = ` , and ` e. ` .  It is
       straightforward to establish the equivalence between the actual axioms
       and the ones we display, and we will not do so.

       It is important to understand that strictly speaking, all of our set
       theory axioms are really schemes that represent an infinite number of
       actual axioms.  This is inherent in the design of Metamath
       ("metavariable math"), which manipulates only metavariables.  For
       example, the metavariable ` x ` in ~ ax-ext can represent any actual
       variable _v1_, _v2_, _v3_,... .  Distinct variable restrictions ($d)
       prevent us from substituting say _v1_ for both ` x ` and ` z ` .  This
       is in contrast to typical textbook presentations that present actual
       axioms (except for Replacement ~ ax-rep , which involves a wff
       metavariable).  In practice, though, the theorems and proofs are
       essentially the same.  The $d restrictions make each of the infinite
       axioms generated by the ~ ax-ext scheme exactly logically equivalent to
       each other and in particular to the actual axiom of the textbook
       version.  (Contributed by NM, 21-May-1993.) $)
    ax-ext $a |- ( A. z ( z e. x <-> z e. y ) -> x = y ) $.

    $( The axiom of extensionality ( ~ ax-ext ) restated so that it postulates
       the existence of a set ` z ` given two arbitrary sets ` x ` and ` y ` .
       This way to express it follows the general idea of the other ZFC axioms,
       which is to postulate the existence of sets given other sets.
       (Contributed by NM, 28-Sep-2003.) $)
    axexte $p |- E. z ( ( z e. x <-> z e. y ) -> x = y ) $=
      ( wel wb weq wi wex wal ax-ext 19.36v mpbir ) CADCBDEZABFZGCHMCINGABCJMNC
      KL $.
  $}

  ${
    $d z x w $.  $d z y w $.
    $( A generalization of the axiom of extensionality in which ` x ` and ` y `
       need not be distinct.  (Contributed by NM, 15-Sep-1993.)  (Proof
       shortened by Andrew Salmon, 12-Aug-2011.)  Remove dependencies on
       ~ ax-10 , ~ ax-12 , ~ ax-13 .  (Revised by BJ, 12-Jul-2019.)  (Revised
       by Wolf Lammen, 9-Dec-2019.) $)
    axextg $p |- ( A. z ( z e. x <-> z e. y ) -> x = y ) $=
      ( vw wel wb wal weq elequ2 bibi1d albidv equequ1 imbi12d ax-ext chvarvv
      wi ) CDEZCBEZFZCGZDBHZPCAEZRFZCGZABHZPDADAHZTUDUAUEUFSUCCUFQUBRDACIJKDABL
      MDBCNO $.

    $d z x $.  $d z y $.
    $( A bidirectional version of the axiom of extensionality.  Although this
       theorem looks like a definition of equality, it requires the axiom of
       extensionality for its proof under our axiomatization.  See the comments
       for ~ ax-ext and ~ df-cleq .  (Contributed by NM, 14-Nov-2008.) $)
    axextb $p |- ( x = y <-> A. z ( z e. x <-> z e. y ) ) $=
      ( weq wel wb wal elequ2g axextg impbii ) ABDCAECBEFCGABCHABCIJ $.
  $}

  ${
    $d x y z $.  $d ph z $.
    axextmo.1 $e |- F/ x ph $.
    $( There exists at most one set with prescribed elements.  Theorem 1.1 of
       [BellMachover] p. 462.  (Contributed by NM, 30-Jun-1994.)  (Proof
       shortened by Wolf Lammen, 13-Nov-2019.)  Use the at-most-one quantifier.
       (Revised by BJ, 17-Sep-2022.) $)
    axextmo $p |- E* x A. y ( y e. x <-> ph ) $=
      ( vz wel wb wal wmo wa weq biantr alanimi ax-ext syl gen2 nfv nfbi nfal
      wi elequ2 bibi1d albidv mo4f mpbir ) CBFZAGZCHZBIUHCEFZAGZCHZJZBEKZTZEHBH
      UNBEULUFUIGZCHUMUGUJUOCUFAUILMBECNOPUHUKBEUJBCUIABUIBQDRSUMUGUJCUMUFUIABE
      CUAUBUCUDUE $.
  $}

  ${
    $d x y $.
    $( There exists at most one empty set.  With either ~ axnul or ~ axnulALT
       or ~ ax-nul , this proves that there exists a unique empty set.  In
       practice, once the language of classes is available, we use the stronger
       characterization among classes ~ eq0 .  (Contributed by NM,
       22-Dec-2007.)  Use the at-most-one quantifier.  (Revised by BJ,
       17-Sep-2022.)  (Proof shortened by Wolf Lammen, 26-Apr-2023.) $)
    nulmo $p |- E* x A. y -. y e. x $=
      ( wel wn wal wmo wfal wb nfv axextmo nbfal albii mobii mpbir ) BACZDZBEZA
      FOGHZBEZAFGABGAIJQSAPRBOKLMN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constants used in class abstractions. $)
  $c { $.  $( Left brace $)
  $c | $.  $( Vertical bar $)
  $c } $.  $( Right brace $)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Class abstractions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Introduce the class abstraction (or class builder) notation:
     ` { x | ph } ` is the class of sets ` x ` such that ` ph ( x ) ` is true.
     A setvar variable can be expressed as a class abstraction per Theorem
     ~ cvjust , justifying the substitution of class variables for setvar
     variables via the use of ~ cv . $)
  cab $a class { x | ph } $.

  $( Register class abstraction as a primitive expression (lacking a definition
     in the strict sense). $)
  $( $j primitive 'cab'; $)

  $( Define class abstractions, that is, classes of the form ` { y | ph } ` ,
     which is read "the class of sets ` y ` such that ` ph ( y ) ` ".

     A few remarks are in order:

     1.  The axiomatic statement ~ df-clab does not define the class
     abstraction ` { y | ph } ` itself, that is, it does not have the form
     ` |- { y | ph } = ... ` that a standard definition should have (for a good
     reason: equality itself has not yet been defined or axiomatized for class
     abstractions; it is defined later in ~ df-cleq ).  Instead, ~ df-clab has
     the form ` |- ( x e. { y | ph } <-> ... ) ` , meaning that it only defines
     what it means for a setvar to be a member of a class abstraction.  As a
     consequence, one can say that ~ df-clab defines class abstractions if and
     only if a class abstraction is completely determined by which elements
     belong to it, which is the content of the axiom of extensionality
     ~ ax-ext .  Therefore, ~ df-clab can be considered a definition only in
     systems that can prove ~ ax-ext (and the necessary first-order logic).

     2.  As in all definitions, the definiendum (the left-hand side of the
     biconditional) has no disjoint variable conditions.  In particular, the
     setvar variables ` x ` and ` y ` need not be distinct, and the formula
     ` ph ` may depend on both ` x ` and ` y ` .  This is necessary, as with
     all definitions, since if there was for instance a disjoint variable
     condition on ` x , y ` , then one could not do anything with expressions
     like ` x e. { x | ph } ` which are sometimes useful to shorten proofs
     (because of ~ abid ).  Most often, however, ` x ` does not occur in
     ` { y | ph } ` and ` y ` is free in ` ph ` .

     3.  Remark 1 stresses that ~ df-clab does not have the standard form of a
     definition for a class, but one could be led to think it has the standard
     form of a definition for a formula.  However, it also fails that test
     since the membership predicate ` e. ` has already appeared earlier (e.g.,
     in the non-syntactic statement ~ ax-8 ).  Indeed, the definiendum extends,
     or "overloads", the membership predicate ` e. ` from formulas of the form
     "setvar ` e. ` setvar" to formulas of the form "setvar ` e. ` class
     abstraction".  This is possible because of ~ wcel and ~ cab , and it can
     be called an "extension" of the membership predicate because of ~ wel ,
     whose proof uses ~ cv .  An a posteriori justification for ~ cv is given
     by ~ cvjust , stating that every setvar can be written as a class
     abstraction (though conversely not every class abstraction is a set, as
     illustrated by Russell's paradox ~ ru ).

     4.  Proof techniques.  Because class variables can be substituted with
     compound expressions and setvar variables cannot, it is often useful to
     convert a theorem containing a free setvar variable to a more general
     version with a class variable.  This is done with theorems such as
     ~ vtoclg which is used, for example, to convert ~ elirrv to ~ elirr .

     5.  Definition or axiom?  The question arises with the three axiomatic
     statements introducing classes, ~ df-clab , ~ df-cleq , and ~ df-clel , to
     decide if they qualify as definitions or if they should be called axioms.
     Under the strict definition of "definition" (see ~ conventions ), they are
     not definitions (see Remarks 1 and 3 above, and similarly for ~ df-cleq
     and ~ df-clel ).  One could be less strict and decide to call "definition"
     every axiomatic statement which provides an eliminable and conservative
     extension of the considered axiom system.  But the notion of
     conservativity may be given two different meanings in set.mm, due to the
     difference between the "scheme level" of set.mm and the "object level" of
     classical treatments.  For a proof that these three axiomatic statements
     yield an eliminable and weakly (that is, object-level) conservative
     extension of FOL= plus ~ ax-ext , see Appendix of [Levy] p. 357.

     6.  References and history.  The concept of class abstraction dates back
     to at least Frege, and is used by Whitehead and Russell.  This definition
     is Definition 2.1 of [Quine] p. 16 and Axiom 4.3.1 of [Levy] p. 12.  It is
     called the "axiom of class comprehension" by [Levy] p. 358, who treats the
     theory of classes as an extralogical extension to predicate logic and set
     theory axioms.  He calls the construction ` { y | ph } ` a "class term".
     For a full description of how classes are introduced and how to recover
     the primitive language, see the books of Quine and Levy (and the comment
     of ~ abeq2 for a quick overview).  For a general discussion of the theory
     of classes, see ~ mmset.html#class .  (Contributed by NM, 26-May-1993.)
     (Revised by BJ, 19-Aug-2023.) $)
  df-clab $a |- ( x e. { y | ph } <-> [ x / y ] ph ) $.

  $( Extension (in the sense of Remark 3 of the comment of ~ df-clab ) of
     ~ elequ1 from formulas of the form "setvar ` e. ` setvar" to formulas of
     the form "setvar ` e. ` class abstraction".  This extension does not
     require ~ ax-8 contrary to ~ elequ1 , but recall from Remark 3 of the
     comment of ~ df-clab that it can be considered an extension only because
     of ~ cvjust , which does require ~ ax-8 .

     This is an instance of ~ eleq1w where the containing class is a class
     abstraction, and contrary to it, it can be proved without ~ df-clel .  See
     also ~ eleq1 for general classes.

     The straightforward yet important fact that this statement can be proved
     from FOL= plus ~ df-clab (hence without ~ ax-ext , ~ df-cleq or
     ~ df-clel ) was stressed by Mario Carneiro.  (Contributed by BJ,
     17-Aug-2023.) $)
  eleq1ab $p |- ( x = y -> ( x e. { z | ph } <-> y e. { z | ph } ) ) $=
    ( weq wsb cv cab wcel sbequ df-clab 3bitr4g ) BCEADBFADCFBGADHZICGMIABCDJAB
    DKACDKL $.
  $( TODO when metamath-knife bug fixed:
     DOLLARj usage 'eleq1ab' avoids 'ax-ext' 'df-cleq' 'df-clel' $)

  ${
    $d x z $.  $d y z $.  $d ph z $.
    $( Extension of ~ cleljust from formulas of the form "setvar ` e. ` setvar"
       to formulas of the form "setvar ` e. ` class abstraction".  This is an
       instance of ~ dfclel where the containing class is a class abstraction.
       The same remarks as for ~ eleq1ab apply.  (Contributed by BJ,
       8-Nov-2021.)  (Proof shortened by Steven Nguyen, 19-May-2023.) $)
    cleljustab $p |-
                   ( x e. { y | ph } <-> E. z ( z = x /\ z e. { y | ph } ) ) $=
      ( weq cv cab wcel wa wex eleq1ab equsexvw bicomi ) DBEDFACGZHZIDJBFNHZOPD
      BADBCKLM $.
    $( TODO when metamath-knife bug fixed:
       DOLLARj usage 'cleljustab' avoids 'ax-ext' 'df-cleq' 'df-clel' $)
  $}

  $( Simplification of class abstraction notation when the free and bound
     variables are identical.  (Contributed by NM, 26-May-1993.) $)
  abid $p |- ( x e. { x | ph } <-> ph ) $=
    ( cv cab wcel wsb df-clab sbid bitri ) BCABDEABBFAABBGABHI $.

  $( A standard theorem of predicate calculus ( ~ stdpc4 ) expressed using
     class abstractions.  Closed form of ~ vexw .  (Contributed by BJ,
     14-Jun-2019.) $)
  vexwt $p |- ( A. x ph -> y e. { x | ph } ) $=
    ( wal wsb cv cab wcel stdpc4 df-clab sylibr ) ABDABCECFABGHABCIACBJK $.

  ${
    vexw.1 $e |- ph $.
    $( If ` ph ` is a theorem, then any set belongs to the class
       ` { x | ph } ` .  Therefore, ` { x | ph } ` is "a" universal class.

       This is the closest one can get to defining a universal class, or
       proving ~ vex , without using ~ ax-ext .  Note that this theorem has no
       disjoint variable condition and does not use ~ df-clel nor ~ df-cleq
       either: only propositional logic and ~ ax-gen and ~ df-clab .  This is
       ~ sbt expressed using class abstractions.

       Without ~ ax-ext , one cannot define "the" universal class, since one
       could not prove for instance the justification theorem
       ` { x | T. } = { y | T. } ` (see ~ vjust ).  Indeed, in order to prove
       any equality of classes, one needs ~ df-cleq , which has ~ ax-ext as a
       hypothesis.  Therefore, the classes ` { x | T. } ` ,
       ` { y | ( ph -> ph ) } ` , ` { z | ( A. t t = t -> A. t t = t ) } ` and
       countless others are all universal classes whose equality cannot be
       proved without ~ ax-ext .  Once ~ dfcleq is available, we will define
       "the" universal class in ~ df-v .

       Its degenerate instance is also a simple consequence of ~ abid (using
       ~ mpbir ).  (Contributed by BJ, 13-Jun-2019.)  Reduce axiom
       dependencies.  (Revised by Steven Nguyen, 25-Apr-2023.) $)
    vexw $p |- y e. { x | ph } $=
      ( cv cab wcel wsb sbt df-clab mpbir ) CEABFGABCHABCDIACBJK $.
  $}

  $( Every setvar is a member of ` { x | T. } ` , which is therefore "a"
     universal class.  Once class extensionality ~ dfcleq is available, we can
     say "the" universal class (see ~ df-v ).  This is ~ sbtru expressed using
     class abstractions.  (Contributed by BJ, 2-Sep-2023.) $)
  vextru $p |- y e. { x | T. } $=
    ( wtru tru vexw ) CABDE $.

  ${
    $d x y $.
    $( Bound-variable hypothesis builder for a class abstraction.  (Contributed
       by Mario Carneiro, 11-Aug-2016.)  Remove use of ~ ax-12 .  (Revised by
       SN, 20-Sep-2023.) $)
    nfsab1 $p |- F/ x y e. { x | ph } $=
      ( cv cab wcel wsb df-clab nfs1v nfxfr ) CDABEFABCGBACBHABCIJ $.

    $( Bound-variable hypothesis builder for a class abstraction.  (Contributed
       by NM, 26-May-1993.)  (Proof shortened by Wolf Lammen, 25-Oct-2024.) $)
    hbab1 $p |- ( y e. { x | ph } -> A. x y e. { x | ph } ) $=
      ( cv cab wcel nfsab1 nf5ri ) CDABEFBABCGH $.

    $( Obsolete version of ~ hbab1 as of 25-Oct-2024.  (Contributed by NM,
       26-May-1993.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    hbab1OLD $p |- ( y e. { x | ph } -> A. x y e. { x | ph } ) $=
      ( cv cab wcel wsb df-clab hbs1 hbxfrbi ) CDABEFABCGBACBHABCIJ $.
  $}

  ${
    $d x y $.  $d x z $.
    hbab.1 $e |- ( ph -> A. x ph ) $.
    $( Bound-variable hypothesis builder for a class abstraction.  (Contributed
       by NM, 1-Mar-1995.)  Add disjoint variable condition to avoid ~ ax-13 .
       See ~ hbabg for a less restrictive version requiring more axioms.
       (Revised by Gino Giotto, 20-Jan-2024.) $)
    hbab $p |- ( z e. { y | ph } -> A. x z e. { y | ph } ) $=
      ( cv cab wcel wsb df-clab hbsbw hbxfrbi ) DFACGHACDIBADCJACDBEKL $.
    $( $j usage 'hbab' avoids 'ax-13'; $)
  $}

  ${
    $d x z $.
    hbabg.1 $e |- ( ph -> A. x ph ) $.
    $( Bound-variable hypothesis builder for a class abstraction.  Usage of
       this theorem is discouraged because it depends on ~ ax-13 .  See ~ hbab
       for a version with more disjoint variable conditions, but not requiring
       ~ ax-13 .  (Contributed by NM, 1-Mar-1995.)
       (New usage is discouraged.) $)
    hbabg $p |- ( z e. { y | ph } -> A. x z e. { y | ph } ) $=
      ( cv cab wcel wsb df-clab hbsb hbxfrbi ) DFACGHACDIBADCJACDBEKL $.
  $}

  ${
    $d x y $.  $d x z $.
    nfsab.1 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for a class abstraction.  (Contributed
       by Mario Carneiro, 11-Aug-2016.)  Add disjoint variable condition to
       avoid ~ ax-13 .  See ~ nfsabg for a less restrictive version requiring
       more axioms.  (Revised by Gino Giotto, 20-Jan-2024.) $)
    nfsab $p |- F/ x z e. { y | ph } $=
      ( cv cab wcel nf5ri hbab nf5i ) DFACGHBABCDABEIJK $.
    $( $j usage 'nfsab' avoids 'ax-13'; $)
  $}

  ${
    $d x z $.
    nfsabg.1 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for a class abstraction.  Usage of
       this theorem is discouraged because it depends on ~ ax-13 .  See ~ nfsab
       for a version with more disjoint variable conditions, but not requiring
       ~ ax-13 .  (Contributed by Mario Carneiro, 11-Aug-2016.)
       (New usage is discouraged.) $)
    nfsabg $p |- F/ x z e. { y | ph } $=
      ( cv cab wcel nf5ri hbabg nf5i ) DFACGHBABCDABEIJK $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Class equality
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  This section introduces class equality in ~ df-cleq .

  Note that apart from the local introduction of class variables to state the
  syntax axioms ~ wceq and ~ wcel , this section is the first to use class
  variables.  Therefore, the file set.mm contains declarations of class
  variables at the beginning of this section (not visible on the webpages).

$)

  $( Declare variable symbols that will be used to represent classes.  Note
     that even though any class variable can be chosen to represent a class, it
     is usual to give mnemonic names, like using ` R ` and ` S ` for relations,
     ` F ` and ` G ` for functions, ` .0. ` for an additive identity, etc. $)
  $v ./\ $.
  $v .\/ $.
  $v .<_ $.
  $v .< $.
  $v .+ $.
  $v .- $.
  $v .X. $.
  $v ./ $.
  $v .^ $.
  $v .0. $.
  $v .1. $.
  $v .|| $.
  $v .~ $.
  $v ._|_ $.
  $v .+^ $.
  $v .+b $.
  $v .(+) $.
  $v .* $.
  $v .x. $.
  $v .xb $.
  $v ., $.
  $v .(x) $.
  $v .o. $.
  $v .0b $.

  $v A $.
  $v B $.
  $v C $.
  $v D $.
  $v P $.
  $v Q $.
  $v R $.
  $v S $.
  $v T $.
  $v U $.

  $( Let ` A ` be a class variable. $)
  cA $f class A $.
  $( Let ` B ` be a class variable. $)
  cB $f class B $.
  $( Let ` C ` be a class variable. $)
  cC $f class C $.

  $( Define a connective symbol for use as a class variable. $)
  c.pa $f class .|| $.

  $( Let ` D ` be a class variable. $)
  cD $f class D $.

  $( Define a connective symbol for use as a class variable. $)
  c.dv $f class ./ $.

  $( Let ` P ` be a class variable. $)
  cP $f class P $.

  $( Define a connective symbol for use as a class variable. $)
  c.pl $f class .+ $.
  $( Define a connective symbol for use as a class variable. $)
  c.pd $f class .+^ $.
  $( Define a connective symbol for use as a class variable. $)
  c.pb $f class .+b $.
  $( Define a connective symbol for use as a class variable. $)
  c.po $f class .(+) $.

  $( Let ` Q ` be a class variable. $)
  cQ $f class Q $.

  $( Define a connective symbol for use as a class variable. $)
  c.sm $f class .~ $.

  $( Let ` R ` be a class variable. $)
  cR $f class R $.
  $( Let ` S ` be a class variable. $)
  cS $f class S $.

  $( Define a connective symbol for use as a class variable. $)
  c.lt $f class .< $.
  $( Define a connective symbol for use as a class variable. $)
  c.xb $f class .xb $.

  $( Let ` T ` be a class variable. $)
  cT $f class T $.

  $( Define a connective symbol for use as a class variable. $)
  c.x $f class .x. $.
  $( Define a connective symbol for use as a class variable. $)
  c.xp $f class .X. $.
  $( Define a connective symbol for use as a class variable. $)
  c.xo $f class .(x) $.

  $( Let ` U ` be a class variable. $)
  cU $f class U $.

  $( Define a connective symbol for use as a class variable. $)
  c.1 $f class .1. $.

  $( Declare variable symbols that will be used to represent setvars. $)
  $v e $.
  $v f $.
  $v g $.
  $v h $.
  $v i $.
  $v j $.
  $v k $.
  $v m $.
  $v n $.
  $v o $.
  $v E $.
  $v F $.
  $v G $.
  $v H $.
  $v I $.
  $v J $.
  $v K $.
  $v L $.
  $v M $.
  $v N $.
  $v V $.
  $v W $.
  $v X $.
  $v Y $.
  $v Z $.
  $v O $.
  $v s $.
  $v r $.
  $v q $.
  $v p $.
  $v a $.
  $v b $.
  $v c $.
  $v d $.
  $v l $.

  $( Let ` e ` be an individual variable. $)
  ve $f setvar e $.
  $( Let ` f ` be an individual variable. $)
  vf $f setvar f $.
  $( Let ` g ` be an individual variable. $)
  vg $f setvar g $.
  $( Let ` h ` be an individual variable. $)
  vh $f setvar h $.
  $( Let ` i ` be an individual variable. $)
  vi $f setvar i $.
  $( Let ` j ` be an individual variable. $)
  vj $f setvar j $.
  $( Let ` k ` be an individual variable. $)
  vk $f setvar k $.
  $( Let ` m ` be an individual variable. $)
  vm $f setvar m $.
  $( Let ` n ` be an individual variable. $)
  vn $f setvar n $.
  $( Let ` o ` be an individual variable. $)
  vo $f setvar o $.

  $( Let ` E ` be a class variable. $)
  cE $f class E $.

  $( Define a connective symbol for use as a class variable. $)
  c.ex $f class .^ $.

  $( Let ` F ` be a class variable. $)
  cF $f class F $.
  $( Let ` G ` be a class variable. $)
  cG $f class G $.
  $( Let ` H ` be a class variable. $)
  cH $f class H $.

  $( Define a connective symbol for use as a class variable. $)
  c.xi $f class ., $.

  $( Let ` I ` be a class variable. $)
  cI $f class I $.

  $( Define a connective symbol for use as a class variable. $)
  c.as $f class .* $.

  $( Let ` J ` be a class variable. $)
  cJ $f class J $.

  $( Define a connective symbol for use as a class variable. $)
  c.or $f class .\/ $.

  $( Let ` K ` be a class variable. $)
  cK $f class K $.
  $( Let ` L ` be a class variable. $)
  cL $f class L $.

  $( Define a connective symbol for use as a class variable. $)
  c.le $f class .<_ $.

  $( Let ` M ` be a class variable. $)
  cM $f class M $.

  $( Define a connective symbol for use as a class variable. $)
  c.an $f class ./\ $.
  $( Define a connective symbol for use as a class variable. $)
  c.mi $f class .- $.

  $( Let ` N ` be a class variable. $)
  cN $f class N $.

  $( Define a connective symbol for use as a class variable. $)
  c.pe $f class ._|_ $.

  $( Let ` O ` be a class variable. $)
  cO $f class O $.
  $( Let ` V ` be a class variable. $)
  cV $f class V $.
  $( Let ` W ` be a class variable. $)
  cW $f class W $.
  $( Let ` X ` be a class variable. $)
  cX $f class X $.
  $( Let ` Y ` be a class variable. $)
  cY $f class Y $.

  $( Define a connective symbol for use as a class variable. $)
  c.0 $f class .0. $.
  $( Define a connective symbol for use as a class variable. $)
  c.0b $f class .0b $.
  $( Define a connective symbol for use as a class variable. $)
  c.op $f class .o. $.

  $( Let ` Z ` be a class variable. $)
  cZ $f class Z $.

  $( Let ` s ` be an individual variable. $)
  vs $f setvar s $.
  $( Let ` r ` be an individual variable. $)
  vr $f setvar r $.
  $( Let ` q ` be an individual variable. $)
  vq $f setvar q $.
  $( Let ` p ` be an individual variable. $)
  vp $f setvar p $.
  $( Let ` a ` be an individual variable. $)
  va $f setvar a $.
  $( Let ` b ` be an individual variable. $)
  vb $f setvar b $.
  $( Let ` c ` be an individual variable. $)
  vc $f setvar c $.
  $( Let ` d ` be an individual variable. $)
  vd $f setvar d $.
  $( Let ` l ` be an individual variable. $)
  vl $f setvar l $.

  ${
    $d x y z t u v A $.  $d x y z t u v B $.
    df-cleq.1 $e |- ( y = z <-> A. u ( u e. y <-> u e. z ) ) $.
    df-cleq.2 $e |- ( t = t <-> A. v ( v e. t <-> v e. t ) ) $.
    $( Define the equality connective between classes.  Definition 2.7 of
       [Quine] p. 18.  Also Definition 4.5 of [TakeutiZaring] p. 13; Chapter 4
       provides its justification and methods for eliminating it.  Note that
       its elimination will not necessarily result in a single wff in the
       original language but possibly a "scheme" of wffs.

       The hypotheses express that all instances of the conclusion where class
       variables are replaced with setvar variables hold.  Therefore, this
       definition merely extends to class variables something that is true for
       setvar variables, hence is conservative.  This is only a proof sketch of
       conservativity; for details see Appendix of [Levy] p. 357.  This is the
       reason why we call this axiomatic statement a "definition", even though
       it does not have the usual form of a definition.  If we required a
       definition to have the usual form, we would call ~ df-cleq an axiom.

       See also comments under ~ df-clab , ~ df-clel , and ~ abeq2 .

       In the form of ~ dfcleq , this is called the "axiom of extensionality"
       by [Levy] p. 338, who treats the theory of classes as an extralogical
       extension to our logic and set theory axioms.

       While the three class definitions ~ df-clab , ~ df-cleq , and ~ df-clel
       are eliminable and conservative and thus meet the requirements for sound
       definitions, they are technically axioms in that they do not satisfy the
       requirements for the current definition checker.  The proofs of
       conservativity require external justification that is beyond the scope
       of the definition checker.

       For a general discussion of the theory of classes, see
       ~ mmset.html#class .  (Contributed by NM, 15-Sep-1993.)  (Revised by BJ,
       24-Jun-2019.) $)
    df-cleq $a |- ( A = B <-> A. x ( x e. A <-> x e. B ) ) $.
  $}

  ${
    $d x y z t u v A $.  $d x y z t u v B $.
    $( The defining characterization of class equality.  It is proved, over
       Tarski's FOL, from the axiom of (set) extensionality ( ~ ax-ext ) and
       the definition of class equality ( ~ df-cleq ).  Its forward implication
       is called "class extensionality".  Remark: the proof uses ~ axextb to
       prove also the hypothesis of ~ df-cleq that is a degenerate instance,
       but it could be proved also from minimal propositional calculus and {
       ~ ax-gen , ~ equid }.  (Contributed by NM, 15-Sep-1993.)  (Revised by
       BJ, 24-Jun-2019.) $)
    dfcleq $p |- ( A = B <-> A. x ( x e. A <-> x e. B ) ) $=
      ( vy vz vv vu vt axextb df-cleq ) ADEFGHBCDEGIHHFIJ $.
    $( $j usage 'dfcleq' avoids 'ax-8' 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'df-clab' 'df-clel'; $)
  $}

  ${
    $d x y z $.
    $( Every set is a class.  Proposition 4.9 of [TakeutiZaring] p. 13.  This
       theorem shows that a setvar variable can be expressed as a class
       abstraction.  This provides a motivation for the class syntax
       construction ~ cv , which allows us to substitute a setvar variable for
       a class variable.  See also ~ cab and ~ df-clab .  Note that this is not
       a rigorous justification, because ~ cv is used as part of the proof of
       this theorem, but a careful argument can be made outside of the
       formalism of Metamath, for example as is done in Chapter 4 of Takeuti
       and Zaring.  See also the discussion under the definition of class in
       [Jech] p. 4 showing that "Every set can be considered to be a class."
       See ~ abid1 for the version of ~ cvjust extended to classes.
       (Contributed by NM, 7-Nov-2006.)  Avoid ~ ax-13 .  (Revised by Wolf
       Lammen, 4-May-2023.) $)
    cvjust $p |- x = { y | y e. x } $=
      ( vz cv wel cab wceq wcel wb dfcleq wsb df-clab elsb1 bitr2i mpgbir ) ADZ
      BAEZBFZGCAEZCDRHZICCPRJTQBCKSQCBLBCAMNO $.
    $( $j usage 'cvjust' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13' 'df-clel'; $)
  $}

  ${
    $d t x $.  $d t y $.  $d t z $.
    $( Proof of ~ ax-9 from Tarski's FOL and ~ dfcleq .  For a version not
       using ~ ax-8 either, see ~ eleq2w2 .  This shows that ~ dfcleq is too
       powerful to be used as a definition instead of ~ df-cleq .  Note that
       ~ ax-ext is also a direct consequence of ~ dfcleq (as an instance of its
       forward implication).  (Contributed by BJ, 24-Jun-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ax9ALT $p |- ( x = y -> ( z e. x -> z e. y ) ) $=
      ( vt weq wel wi wal wb cv dfcleq biimpi biimp sylg equcoms imim12d spimvw
      ax8 syl ) ABEZDAFZDBFZGZDHCAFZCBFZGZTUAUBIZUCDTUGDHDAJBJKLUAUBMNUCUFDCDCE
      UDUAUBUEUDUAGCDCDARODCBRPQS $.
    $( $j usage 'ax9ALT' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13' 'df-clab'
       'df-clel'; $)
  $}

  ${
    $d A x $.  $d B x $.
    $( A weaker version of ~ eleq2 (but stronger than ~ ax-9 and ~ elequ2 )
       that uses ~ ax-12 to avoid ~ ax-8 and ~ df-clel .  Compare ~ eleq2w ,
       whose setvars appear where the class variables are in this theorem, and
       vice versa.  (Contributed by BJ, 24-Jun-2019.)  Strengthen from setvar
       variables to class variables.  (Revised by WL and SN, 23-Aug-2024.) $)
    eleq2w2 $p |- ( A = B -> ( x e. A <-> x e. B ) ) $=
      ( wceq cv wcel wb wal dfcleq biimpi 19.21bi ) BCDZAEZBFMCFGZALNAHABCIJK
      $.
    $( $j usage 'eleq2w2' avoids 'ax-8' 'ax-10' 'ax-11' 'ax-13' 'df-clab'
       'df-clel'; $)
  $}

  ${
    $d x A $.  $d x B $.
    eqriv.1 $e |- ( x e. A <-> x e. B ) $.
    $( Infer equality of classes from equivalence of membership.  (Contributed
       by NM, 21-Jun-1993.) $)
    eqriv $p |- A = B $=
      ( wceq cv wcel wb dfcleq mpgbir ) BCEAFZBGKCGHAABCIDJ $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    eqrdv.1 $e |- ( ph -> ( x e. A <-> x e. B ) ) $.
    $( Deduce equality of classes from equivalence of membership.  (Contributed
       by NM, 17-Mar-1996.) $)
    eqrdv $p |- ( ph -> A = B ) $=
      ( cv wcel wb wal wceq alrimiv dfcleq sylibr ) ABFZCGNDGHZBICDJAOBEKBCDLM
      $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    eqrdav.1 $e |- ( ( ph /\ x e. A ) -> x e. C ) $.
    eqrdav.2 $e |- ( ( ph /\ x e. B ) -> x e. C ) $.
    eqrdav.3 $e |- ( ( ph /\ x e. C ) -> ( x e. A <-> x e. B ) ) $.
    $( Deduce equality of classes from an equivalence of membership that
       depends on the membership variable.  (Contributed by NM, 7-Nov-2008.)
       (Proof shortened by Wolf Lammen, 19-Nov-2019.) $)
    eqrdav $p |- ( ph -> A = B ) $=
      ( cv wcel wa biimpd impancom mpd biimprd impbida eqrdv ) ABCDABIZCJZRDJZA
      SKREJZTFAUASTAUAKZSTHLMNATKUASGAUATSUBSTHOMNPQ $.
  $}

  ${
    $d x A $.
    $( Law of identity (reflexivity of class equality).  Theorem 6.4 of [Quine]
       p. 41.

       This is part of Frege's eighth axiom per Proposition 54 of [Frege1879]
       p. 50; see also ~ biid .  An early mention of this law can be found in
       Aristotle, _Metaphysics_, Z.17, 1041a10-20.  (Thanks to Stefan Allan and
       BJ for this information.)  (Contributed by NM, 21-Jun-1993.)  (Revised
       by BJ, 14-Oct-2017.) $)
    eqid $p |- A = A $=
      ( vx cv wcel biid eqriv ) BAABCADEF $.
  $}

  $( Class identity law with antecedent.  (Contributed by NM, 21-Aug-2008.) $)
  eqidd $p |- ( ph -> A = A ) $=
    ( wceq eqid a1i ) BBCABDE $.

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x ph $.
    eqeq1d.1 $e |- ( ph -> A = B ) $.
    $( Deduction from equality to equivalence of equalities.  (Contributed by
       NM, 27-Dec-1993.)  Reduce dependencies on axioms.  (Revised by Wolf
       Lammen, 5-Dec-2019.) $)
    eqeq1d $p |- ( ph -> ( A = C <-> B = C ) ) $=
      ( vx cv wcel wb wal wceq dfcleq biimpi bibi1 alimi albi 4syl 3bitr4g ) AF
      GZBHZSDHZIZFJZSCHZUAIZFJZBDKCDKABCKZTUDIZFJZUBUEIZFJUCUFIEUGUIFBCLMUHUJFT
      UDUANOUBUEFPQFBDLFCDLR $.
    $( $j usage 'eqeq1d' avoids 'ax-8' 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'df-clab'; $)

    $( Alternate proof of ~ eqeq1d , shorter but requiring ~ ax-12 .
       (Contributed by NM, 27-Dec-1993.)  (Revised by Wolf Lammen,
       19-Nov-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    eqeq1dALT $p |- ( ph -> ( A = C <-> B = C ) ) $=
      ( vx cv wcel wb wal wceq dfcleq sylib 19.21bi bibi1d albidv 3bitr4g ) AFG
      ZBHZRDHZIZFJRCHZTIZFJBDKCDKAUAUCFASUBTASUBIZFABCKUDFJEFBCLMNOPFBDLFCDLQ
      $.
  $}

  $( Equality implies equivalence of equalities.  (Contributed by NM,
     26-May-1993.)  (Proof shortened by Wolf Lammen, 19-Nov-2019.) $)
  eqeq1 $p |- ( A = B -> ( A = C <-> B = C ) ) $=
    ( wceq id eqeq1d ) ABDZABCGEF $.

  ${
    eqeq1i.1 $e |- A = B $.
    $( Inference from equality to equivalence of equalities.  (Contributed by
       NM, 15-Jul-1993.) $)
    eqeq1i $p |- ( A = C <-> B = C ) $=
      ( wceq wb eqeq1 ax-mp ) ABEACEBCEFDABCGH $.
  $}

  ${
    eqcomd.1 $e |- ( ph -> A = B ) $.
    $( Deduction from commutative law for class equality.  (Contributed by NM,
       15-Aug-1994.)  Allow shortening of ~ eqcom .  (Revised by Wolf Lammen,
       19-Nov-2019.) $)
    eqcomd $p |- ( ph -> B = A ) $=
      ( wceq eqid eqeq1d mpbii ) ABBECBEBFABCBDGH $.
  $}

  $( Commutative law for class equality.  Theorem 6.5 of [Quine] p. 41.
     (Contributed by NM, 26-May-1993.)  (Proof shortened by Wolf Lammen,
     19-Nov-2019.) $)
  eqcom $p |- ( A = B <-> B = A ) $=
    ( wceq id eqcomd impbii ) ABCZBACZGABGDEHBAHDEF $.

  ${
    eqcoms.1 $e |- ( A = B -> ph ) $.
    $( Inference applying commutative law for class equality to an antecedent.
       (Contributed by NM, 24-Jun-1993.) $)
    eqcoms $p |- ( B = A -> ph ) $=
      ( wceq eqcom sylbi ) CBEBCEACBFDG $.
  $}

  ${
    eqcomi.1 $e |- A = B $.
    $( Inference from commutative law for class equality.  (Contributed by NM,
       26-May-1993.) $)
    eqcomi $p |- B = A $=
      ( wceq eqcom mpbi ) ABDBADCABEF $.
  $}

  ${
    neqcomd.1 $e |- ( ph -> -. A = B ) $.
    $( Commute an inequality.  (Contributed by Rohan Ridenour, 3-Aug-2023.) $)
    neqcomd $p |- ( ph -> -. B = A ) $=
      ( wceq eqcom sylnib ) ABCECBEDBCFG $.
  $}

  ${
    eqeq2d.1 $e |- ( ph -> A = B ) $.
    $( Deduction from equality to equivalence of equalities.  (Contributed by
       NM, 27-Dec-1993.)  Allow shortening of ~ eqeq2 .  (Revised by Wolf
       Lammen, 19-Nov-2019.) $)
    eqeq2d $p |- ( ph -> ( C = A <-> C = B ) ) $=
      ( wceq eqeq1d eqcom 3bitr4g ) ABDFCDFDBFDCFABCDEGDBHDCHI $.
  $}

  $( Equality implies equivalence of equalities.  (Contributed by NM,
     26-May-1993.)  (Proof shortened by Wolf Lammen, 19-Nov-2019.) $)
  eqeq2 $p |- ( A = B -> ( C = A <-> C = B ) ) $=
    ( wceq id eqeq2d ) ABDZABCGEF $.

  ${
    eqeq2i.1 $e |- A = B $.
    $( Inference from equality to equivalence of equalities.  (Contributed by
       NM, 26-May-1993.) $)
    eqeq2i $p |- ( C = A <-> C = B ) $=
      ( wceq wb eqeq2 ax-mp ) ABECAECBEFDABCGH $.
  $}

  ${
    eqeqan12d.1 $e |- ( ph -> A = B ) $.
    eqeqan12d.2 $e |- ( ps -> C = D ) $.
    $( A useful inference for substituting definitions into an equality.  See
       also ~ eqeqan12dALT .  (Contributed by NM, 9-Aug-1994.)  (Proof
       shortened by Andrew Salmon, 25-May-2011.)  Shorten other proofs.
       (Revised by Wolf Lammen, 23-Oct-2024.) $)
    eqeqan12d $p |- ( ( ph /\ ps ) -> ( A = C <-> B = D ) ) $=
      ( wceq eqeq1d eqeq2d sylan9bb ) ACEIDEIBDFIACDEGJBEFDHKL $.
  $}

  ${
    eqeqan12rd.1 $e |- ( ph -> A = B ) $.
    eqeqan12rd.2 $e |- ( ps -> C = D ) $.
    $( A useful inference for substituting definitions into an equality.
       (Contributed by NM, 9-Aug-1994.) $)
    eqeqan12rd $p |- ( ( ps /\ ph ) -> ( A = C <-> B = D ) ) $=
      ( wceq wb eqeqan12d ancoms ) ABCEIDFIJABCDEFGHKL $.
  $}

  ${
    eqeq12d.1 $e |- ( ph -> A = B ) $.
    eqeq12d.2 $e |- ( ph -> C = D ) $.
    $( A useful inference for substituting definitions into an equality.
       (Contributed by NM, 5-Aug-1993.)  (Proof shortened by Andrew Salmon,
       25-May-2011.)  (Proof shortened by Wolf Lammen, 23-Oct-2024.) $)
    eqeq12d $p |- ( ph -> ( A = C <-> B = D ) ) $=
      ( wceq wb eqeqan12d anidms ) ABDHCEHIAABCDEFGJK $.
  $}

  $( Equality relationship among four classes.  (Contributed by NM,
     3-Aug-1994.)  (Proof shortened by Wolf Lammen, 23-Oct-2024.) $)
  eqeq12 $p |- ( ( A = B /\ C = D ) -> ( A = C <-> B = D ) ) $=
    ( wceq id eqeqan12d ) ABEZCDEZABCDHFIFG $.

  ${
    eqeq12i.1 $e |- A = B $.
    eqeq12i.2 $e |- C = D $.
    $( A useful inference for substituting definitions into an equality.
       (Contributed by NM, 15-Jul-1993.)  (Proof shortened by Andrew Salmon,
       25-May-2011.)  (Proof shortened by Wolf Lammen, 20-Nov-2019.) $)
    eqeq12i $p |- ( A = C <-> B = D ) $=
      ( wceq eqeq1i eqeq2i bitri ) ACGBCGBDGABCEHCDBFIJ $.

    $( Theorem eqeq12i is the congruence law for equality. $)
    $( $j congruence 'eqeq12i'; $)
  $}

  $( Obsolete version of ~ eqeq12 as of 23-Oct-2024.  (Contributed by NM,
     3-Aug-1994.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  eqeq12OLD $p |- ( ( A = B /\ C = D ) -> ( A = C <-> B = D ) ) $=
    ( wceq eqeq1 eqeq2 sylan9bb ) ABEACEBCECDEBDEABCFCDBGH $.

  ${
    eqeq12dOLD.1 $e |- ( ph -> A = B ) $.
    eqeq12dOLD.2 $e |- ( ph -> C = D ) $.
    $( Obsolete version of ~ eqeq12d as of 23-Oct-2024.  (Contributed by NM,
       5-Aug-1993.)  (Proof shortened by Andrew Salmon, 25-May-2011.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    eqeq12dOLD $p |- ( ph -> ( A = C <-> B = D ) ) $=
      ( wceq wb eqeq12OLD syl2anc ) ABCHDEHBDHCEHIFGBCDEJK $.
  $}

  ${
    eqeqan12dOLD.1 $e |- ( ph -> A = B ) $.
    eqeqan12dOLD.2 $e |- ( ps -> C = D ) $.
    $( Obsolete version of ~ eqeqan12d as of 23-Oct-2024.  (Contributed by NM,
       9-Aug-1994.)  (Proof shortened by Andrew Salmon, 25-May-2011.)  (Proof
       shortened by Wolf Lammen, 20-Nov-2019.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    eqeqan12dOLD $p |- ( ( ph /\ ps ) -> ( A = C <-> B = D ) ) $=
      ( wa wceq adantr adantl eqeq12dOLD ) ABICDEFACDJBGKBEFJAHLM $.

    $( Alternate proof of ~ eqeqan12d .  This proof has one more step but one
       fewer essential step.  (Contributed by NM, 9-Aug-1994.)  (Proof
       shortened by Andrew Salmon, 25-May-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eqeqan12dALT $p |- ( ( ph /\ ps ) -> ( A = C <-> B = D ) ) $=
      ( wceq wb eqeq12 syl2an ) ACDIEFICEIDFIJBGHCDEFKL $.
  $}

  $( Transitive law for class equality.  Proposition 4.7(3) of [TakeutiZaring]
     p. 13.  (Contributed by NM, 25-Jan-2004.) $)
  eqtr $p |- ( ( A = B /\ B = C ) -> A = C ) $=
    ( wceq eqeq1 biimpar ) ABDACDBCDABCEF $.

  $( A transitive law for class equality.  (Contributed by NM, 20-May-2005.)
     (Proof shortened by Andrew Salmon, 25-May-2011.)  (Proof shortened by Wolf
     Lammen, 24-Oct-2024.) $)
  eqtr2 $p |- ( ( A = B /\ A = C ) -> B = C ) $=
    ( wceq eqeq1 biimpa ) ABDACDBCDABCEF $.

  $( Obsolete version of eqtr2 as of 24-Oct-2024.  (Contributed by NM,
     20-May-2005.)  (Proof shortened by Andrew Salmon, 25-May-2011.)
     (New usage is discouraged.)  (Proof modification is discouraged.) $)
  eqtr2OLD $p |- ( ( A = B /\ A = C ) -> B = C ) $=
    ( wceq eqcom eqtr sylanb ) ABDBADACDBCDABEBACFG $.

  $( A transitive law for class equality.  (Contributed by NM, 20-May-2005.)
     (Proof shortened by Wolf Lammen, 24-Oct-2024.) $)
  eqtr3 $p |- ( ( A = C /\ B = C ) -> A = B ) $=
    ( wceq eqeq2 biimparc ) BCDABDACDBCAEF $.

  $( Obsolete version of ~ eqtr3 as of 24-Oct-2024.  (Contributed by NM,
     20-May-2005.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  eqtr3OLD $p |- ( ( A = C /\ B = C ) -> A = B ) $=
    ( wceq eqcom eqtr sylan2b ) BCDACDCBDABDBCEACBFG $.

  ${
    eqtri.1 $e |- A = B $.
    eqtri.2 $e |- B = C $.
    $( An equality transitivity inference.  (Contributed by NM,
       26-May-1993.) $)
    eqtri $p |- A = C $=
      ( wceq eqeq2i mpbi ) ABFACFDBCAEGH $.
  $}

  ${
    eqtr2i.1 $e |- A = B $.
    eqtr2i.2 $e |- B = C $.
    $( An equality transitivity inference.  (Contributed by NM,
       21-Feb-1995.) $)
    eqtr2i $p |- C = A $=
      ( eqtri eqcomi ) ACABCDEFG $.
  $}

  ${
    eqtr3i.1 $e |- A = B $.
    eqtr3i.2 $e |- A = C $.
    $( An equality transitivity inference.  (Contributed by NM, 6-May-1994.) $)
    eqtr3i $p |- B = C $=
      ( eqcomi eqtri ) BACABDFEG $.
  $}

  ${
    eqtr4i.1 $e |- A = B $.
    eqtr4i.2 $e |- C = B $.
    $( An equality transitivity inference.  (Contributed by NM,
       26-May-1993.) $)
    eqtr4i $p |- A = C $=
      ( eqcomi eqtri ) ABCDCBEFG $.
  $}

  $( Register '=' as an equality for its type (class). $)
  $( $j equality 'wceq' from 'eqid' 'eqcomi' 'eqtri'; $)

  ${
    3eqtri.1 $e |- A = B $.
    3eqtri.2 $e |- B = C $.
    3eqtri.3 $e |- C = D $.
    $( An inference from three chained equalities.  (Contributed by NM,
       29-Aug-1993.) $)
    3eqtri $p |- A = D $=
      ( eqtri ) ABDEBCDFGHH $.

    $( An inference from three chained equalities.  (Contributed by NM,
       3-Aug-2006.)  (Proof shortened by Andrew Salmon, 25-May-2011.) $)
    3eqtrri $p |- D = A $=
      ( eqtri eqtr2i ) ACDABCEFHGI $.
  $}

  ${
    3eqtr2i.1 $e |- A = B $.
    3eqtr2i.2 $e |- C = B $.
    3eqtr2i.3 $e |- C = D $.
    $( An inference from three chained equalities.  (Contributed by NM,
       3-Aug-2006.) $)
    3eqtr2i $p |- A = D $=
      ( eqtr4i eqtri ) ACDABCEFHGI $.

    $( An inference from three chained equalities.  (Contributed by NM,
       3-Aug-2006.)  (Proof shortened by Andrew Salmon, 25-May-2011.) $)
    3eqtr2ri $p |- D = A $=
      ( eqtr4i eqtr2i ) ACDABCEFHGI $.
  $}

  ${
    3eqtr3i.1 $e |- A = B $.
    3eqtr3i.2 $e |- A = C $.
    3eqtr3i.3 $e |- B = D $.
    $( An inference from three chained equalities.  (Contributed by NM,
       6-May-1994.)  (Proof shortened by Andrew Salmon, 25-May-2011.) $)
    3eqtr3i $p |- C = D $=
      ( eqtr3i ) BCDABCEFHGH $.

    $( An inference from three chained equalities.  (Contributed by NM,
       15-Aug-2004.) $)
    3eqtr3ri $p |- D = C $=
      ( eqtr3i ) BDCGABCEFHH $.
  $}

  ${
    3eqtr4i.1 $e |- A = B $.
    3eqtr4i.2 $e |- C = A $.
    3eqtr4i.3 $e |- D = B $.
    $( An inference from three chained equalities.  (Contributed by NM,
       26-May-1993.)  (Proof shortened by Andrew Salmon, 25-May-2011.) $)
    3eqtr4i $p |- C = D $=
      ( eqtr4i ) CADFDBAGEHH $.

    $( An inference from three chained equalities.  (Contributed by NM,
       2-Sep-1995.)  (Proof shortened by Andrew Salmon, 25-May-2011.) $)
    3eqtr4ri $p |- D = C $=
      ( eqtr4i ) DACDBAGEHFH $.
  $}

  ${
    eqtrd.1 $e |- ( ph -> A = B ) $.
    eqtrd.2 $e |- ( ph -> B = C ) $.
    $( An equality transitivity deduction.  (Contributed by NM,
       21-Jun-1993.) $)
    eqtrd $p |- ( ph -> A = C ) $=
      ( wceq eqeq2d mpbid ) ABCGBDGEACDBFHI $.
  $}

  ${
    eqtr2d.1 $e |- ( ph -> A = B ) $.
    eqtr2d.2 $e |- ( ph -> B = C ) $.
    $( An equality transitivity deduction.  (Contributed by NM,
       18-Oct-1999.) $)
    eqtr2d $p |- ( ph -> C = A ) $=
      ( eqtrd eqcomd ) ABDABCDEFGH $.
  $}

  ${
    eqtr3d.1 $e |- ( ph -> A = B ) $.
    eqtr3d.2 $e |- ( ph -> A = C ) $.
    $( An equality transitivity equality deduction.  (Contributed by NM,
       18-Jul-1995.) $)
    eqtr3d $p |- ( ph -> B = C ) $=
      ( eqcomd eqtrd ) ACBDABCEGFH $.
  $}

  ${
    eqtr4d.1 $e |- ( ph -> A = B ) $.
    eqtr4d.2 $e |- ( ph -> C = B ) $.
    $( An equality transitivity equality deduction.  (Contributed by NM,
       18-Jul-1995.) $)
    eqtr4d $p |- ( ph -> A = C ) $=
      ( eqcomd eqtrd ) ABCDEADCFGH $.
  $}

  ${
    3eqtrd.1 $e |- ( ph -> A = B ) $.
    3eqtrd.2 $e |- ( ph -> B = C ) $.
    3eqtrd.3 $e |- ( ph -> C = D ) $.
    $( A deduction from three chained equalities.  (Contributed by NM,
       29-Oct-1995.) $)
    3eqtrd $p |- ( ph -> A = D ) $=
      ( eqtrd ) ABCEFACDEGHII $.

    $( A deduction from three chained equalities.  (Contributed by NM,
       4-Aug-2006.)  (Proof shortened by Andrew Salmon, 25-May-2011.) $)
    3eqtrrd $p |- ( ph -> D = A ) $=
      ( eqtrd eqtr2d ) ABDEABCDFGIHJ $.
  $}

  ${
    3eqtr2d.1 $e |- ( ph -> A = B ) $.
    3eqtr2d.2 $e |- ( ph -> C = B ) $.
    3eqtr2d.3 $e |- ( ph -> C = D ) $.
    $( A deduction from three chained equalities.  (Contributed by NM,
       4-Aug-2006.) $)
    3eqtr2d $p |- ( ph -> A = D ) $=
      ( eqtr4d eqtrd ) ABDEABCDFGIHJ $.

    $( A deduction from three chained equalities.  (Contributed by NM,
       4-Aug-2006.) $)
    3eqtr2rd $p |- ( ph -> D = A ) $=
      ( eqtr4d eqtr2d ) ABDEABCDFGIHJ $.
  $}

  ${
    3eqtr3d.1 $e |- ( ph -> A = B ) $.
    3eqtr3d.2 $e |- ( ph -> A = C ) $.
    3eqtr3d.3 $e |- ( ph -> B = D ) $.
    $( A deduction from three chained equalities.  (Contributed by NM,
       4-Aug-1995.)  (Proof shortened by Andrew Salmon, 25-May-2011.) $)
    3eqtr3d $p |- ( ph -> C = D ) $=
      ( eqtr3d ) ACDEABCDFGIHI $.

    $( A deduction from three chained equalities.  (Contributed by NM,
       14-Jan-2006.) $)
    3eqtr3rd $p |- ( ph -> D = C ) $=
      ( eqtr3d ) ACEDHABCDFGII $.
  $}

  ${
    3eqtr4d.1 $e |- ( ph -> A = B ) $.
    3eqtr4d.2 $e |- ( ph -> C = A ) $.
    3eqtr4d.3 $e |- ( ph -> D = B ) $.
    $( A deduction from three chained equalities.  (Contributed by NM,
       4-Aug-1995.)  (Proof shortened by Andrew Salmon, 25-May-2011.) $)
    3eqtr4d $p |- ( ph -> C = D ) $=
      ( eqtr4d ) ADBEGAECBHFII $.

    $( A deduction from three chained equalities.  (Contributed by NM,
       21-Sep-1995.) $)
    3eqtr4rd $p |- ( ph -> D = C ) $=
      ( eqtr4d ) AEBDAECBHFIGI $.
  $}

  ${
    eqtrid.1 $e |- A = B $.
    eqtrid.2 $e |- ( ph -> B = C ) $.
    $( An equality transitivity deduction.  (Contributed by NM,
       21-Jun-1993.) $)
    eqtrid $p |- ( ph -> A = C ) $=
      ( wceq a1i eqtrd ) ABCDBCGAEHFI $.

    $( Renamed to ~ eqtrid .  Kept during a transition period.  DO NOT USE.
       (Contributed by NM, 21-Jun-1993.) $)
    syl5eq $p |- ( ph -> A = C ) $=
      ( wceq a1i eqtrd ) ABCDBCGAEHFI $.
  $}

  ${
    eqtr2id.1 $e |- A = B $.
    eqtr2id.2 $e |- ( ph -> B = C ) $.
    $( An equality transitivity deduction.  (Contributed by NM,
       29-Mar-1998.) $)
    eqtr2id $p |- ( ph -> C = A ) $=
      ( eqtrid eqcomd ) ABDABCDEFGH $.
  $}

  ${
    eqtr3id.1 $e |- B = A $.
    eqtr3id.2 $e |- ( ph -> B = C ) $.
    $( An equality transitivity deduction.  (Contributed by NM, 5-Aug-1993.) $)
    eqtr3id $p |- ( ph -> A = C ) $=
      ( eqcomi eqtrid ) ABCDCBEGFH $.
  $}

  ${
    eqtr3di.1 $e |- ( ph -> A = B ) $.
    eqtr3di.2 $e |- A = C $.
    $( An equality transitivity deduction.  (Contributed by NM,
       29-Mar-1998.) $)
    eqtr3di $p |- ( ph -> B = C ) $=
      ( eqcomi eqtr2id ) ADBCBDFGEH $.
  $}

  ${
    eqtrdi.1 $e |- ( ph -> A = B ) $.
    eqtrdi.2 $e |- B = C $.
    $( An equality transitivity deduction.  (Contributed by NM,
       21-Jun-1993.) $)
    eqtrdi $p |- ( ph -> A = C ) $=
      ( wceq a1i eqtrd ) ABCDECDGAFHI $.
  $}

  ${
    eqtr2di.1 $e |- ( ph -> A = B ) $.
    eqtr2di.2 $e |- B = C $.
    $( An equality transitivity deduction.  (Contributed by NM,
       29-Mar-1998.) $)
    eqtr2di $p |- ( ph -> C = A ) $=
      ( eqtrdi eqcomd ) ABDABCDEFGH $.
  $}

  ${
    eqtr4di.1 $e |- ( ph -> A = B ) $.
    eqtr4di.2 $e |- C = B $.
    $( An equality transitivity deduction.  (Contributed by NM,
       21-Jun-1993.) $)
    eqtr4di $p |- ( ph -> A = C ) $=
      ( eqcomi eqtrdi ) ABCDEDCFGH $.
  $}

  ${
    eqtr4id.2 $e |- A = B $.
    eqtr4id.1 $e |- ( ph -> C = B ) $.
    $( An equality transitivity deduction.  (Contributed by NM,
       29-Mar-1998.) $)
    eqtr4id $p |- ( ph -> A = C ) $=
      ( eqcomi eqtr2di ) ADCBFBCEGH $.
  $}

  ${
    sylan9eq.1 $e |- ( ph -> A = B ) $.
    sylan9eq.2 $e |- ( ps -> B = C ) $.
    $( An equality transitivity deduction.  (Contributed by NM, 8-May-1994.)
       (Proof shortened by Andrew Salmon, 25-May-2011.) $)
    sylan9eq $p |- ( ( ph /\ ps ) -> A = C ) $=
      ( wceq eqtr syl2an ) ACDHDEHCEHBFGCDEIJ $.
  $}

  ${
    sylan9req.1 $e |- ( ph -> B = A ) $.
    sylan9req.2 $e |- ( ps -> B = C ) $.
    $( An equality transitivity deduction.  (Contributed by NM,
       23-Jun-2007.) $)
    sylan9req $p |- ( ( ph /\ ps ) -> A = C ) $=
      ( eqcomd sylan9eq ) ABCDEADCFHGI $.
  $}

  ${
    sylan9eqr.1 $e |- ( ph -> A = B ) $.
    sylan9eqr.2 $e |- ( ps -> B = C ) $.
    $( An equality transitivity deduction.  (Contributed by NM, 8-May-1994.) $)
    sylan9eqr $p |- ( ( ps /\ ph ) -> A = C ) $=
      ( wceq sylan9eq ancoms ) ABCEHABCDEFGIJ $.
  $}

  ${
    3eqtr3g.1 $e |- ( ph -> A = B ) $.
    3eqtr3g.2 $e |- A = C $.
    3eqtr3g.3 $e |- B = D $.
    $( A chained equality inference, useful for converting from definitions.
       (Contributed by NM, 15-Nov-1994.) $)
    3eqtr3g $p |- ( ph -> C = D ) $=
      ( eqtr3id eqtrdi ) ADCEADBCGFIHJ $.
  $}

  ${
    3eqtr3a.1 $e |- A = B $.
    3eqtr3a.2 $e |- ( ph -> A = C ) $.
    3eqtr3a.3 $e |- ( ph -> B = D ) $.
    $( A chained equality inference, useful for converting from definitions.
       (Contributed by Mario Carneiro, 6-Nov-2015.) $)
    3eqtr3a $p |- ( ph -> C = D ) $=
      ( eqtrid eqtr3d ) ABDEGABCEFHIJ $.
  $}

  ${
    3eqtr4g.1 $e |- ( ph -> A = B ) $.
    3eqtr4g.2 $e |- C = A $.
    3eqtr4g.3 $e |- D = B $.
    $( A chained equality inference, useful for converting to definitions.
       (Contributed by NM, 21-Jun-1993.) $)
    3eqtr4g $p |- ( ph -> C = D ) $=
      ( eqtrid eqtr4di ) ADCEADBCGFIHJ $.
  $}

  ${
    3eqtr4a.1 $e |- A = B $.
    3eqtr4a.2 $e |- ( ph -> C = A ) $.
    3eqtr4a.3 $e |- ( ph -> D = B ) $.
    $( A chained equality inference, useful for converting to definitions.
       (Contributed by NM, 2-Feb-2007.)  (Proof shortened by Andrew Salmon,
       25-May-2011.) $)
    3eqtr4a $p |- ( ph -> C = D ) $=
      ( eqtrdi eqtr4d ) ADCEADBCGFIHJ $.
  $}

  ${
    eq2tri.1 $e |- ( A = C -> D = F ) $.
    eq2tri.2 $e |- ( B = D -> C = G ) $.
    $( A compound transitive inference for class equality.  (Contributed by NM,
       22-Jan-2004.) $)
    eq2tri $p |- ( ( A = C /\ B = F ) <-> ( B = D /\ A = G ) ) $=
      ( wceq wa ancom eqeq2d pm5.32i 3bitr3i ) ACIZBDIZJPOJOBEIZJPAFIZJOPKOPQOD
      EBGLMPORPCFAHLMN $.
  $}

  ${
    $d ph y $.  $d ps y $.  $d x y $.
    $( Equivalent formulas yield equal class abstractions (closed form).  This
       is the forward implication of ~ abbi , proved from fewer axioms.
       (Contributed by BJ and WL and SN, 20-Aug-2023.) $)
    abbi1 $p |- ( A. x ( ph <-> ps ) -> { x | ph } = { x | ps } ) $=
      ( vy wb wal cab wsb cv wcel spsbbi df-clab 3bitr4g eqrdv ) ABECFZDACGZBCG
      ZOACDHBCDHDIZPJRQJABCDKADCLBDCLMN $.
    $( $j usage 'abbi1' avoids 'ax-8' 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'df-clel' ; $)
  $}

  ${
    $d x ph $.
    abbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal class abstractions (deduction form).
       (Contributed by NM, 10-Aug-1993.)  Avoid ~ ax-12 , based on an idea of
       Steven Nguyen.  (Revised by Wolf Lammen, 6-May-2023.) $)
    abbidv $p |- ( ph -> { x | ps } = { x | ch } ) $=
      ( wb wal cab wceq alrimiv abbi1 syl ) ABCFZDGBDHCDHIAMDEJBCDKL $.
  $}

  ${
    abbii.1 $e |- ( ph <-> ps ) $.
    $( Equivalent wff's yield equal class abstractions (inference form).
       (Contributed by NM, 26-May-1993.)  Remove dependency on ~ ax-10 ,
       ~ ax-11 , and ~ ax-12 .  (Revised by Steven Nguyen, 3-May-2023.) $)
    abbii $p |- { x | ph } = { x | ps } $=
      ( wb cab wceq abbi1 mpg ) ABEACFBCFGCABCHDI $.
    $( Theorem abbii is the congruence law for class abstraction. $)
    $( $j congruence 'abbii'; $)
  $}

  ${
    abbid.1 $e |- F/ x ph $.
    abbid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal class abstractions (deduction form, with
       nonfreeness hypothesis).  (Contributed by NM, 21-Jun-1993.)  (Revised by
       Mario Carneiro, 7-Oct-2016.)  Avoid ~ ax-10 and ~ ax-11 .  (Revised by
       Wolf Lammen, 6-May-2023.) $)
    abbid $p |- ( ph -> { x | ps } = { x | ch } ) $=
      ( wb wal cab wceq alrimi abbi1 syl ) ABCGZDHBDICDIJANDEFKBCDLM $.
  $}

  ${
    $d ph y $.  $d ps y $.  $d x y $.
    $( Equivalent formulas define equal class abstractions, and conversely.
       (Contributed by NM, 25-Nov-2013.)  (Revised by Mario Carneiro,
       11-Aug-2016.)  Remove dependency on ~ ax-8 and ~ df-clel (by avoiding
       use of ~ cleqh ).  (Revised by BJ, 23-Jun-2019.) $)
    abbi $p |- ( A. x ( ph <-> ps ) <-> { x | ph } = { x | ps } ) $=
      ( vy cab wceq cv wcel wal dfcleq nfsab1 nfbi nfv weq wsb df-clab sbequ12r
      wb syl5bb bibi12d cbvalv1 bitr2i ) ACEZBCEZFDGZUCHZUEUDHZRZDIABRZCIDUCUDJ
      UHUIDCUFUGCACDKBCDKLUIDMDCNZUFAUGBUFACDOUJAADCPADCQSUGBCDOUJBBDCPBDCQSTUA
      UB $.
    $( $j usage 'abbi' avoids 'ax-8' 'df-clel' ; $)
  $}

  ${
    $d y z ph $.  $d x z ps $.  $d x y $.
    cbvabv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbvab with disjoint variable conditions requiring fewer
       axioms.  (Contributed by NM, 26-May-1999.)  Require ` x ` , ` y ` be
       disjoint to avoid ~ ax-11 and ~ ax-13 .  (Revised by Steven Nguyen,
       4-Dec-2022.) $)
    cbvabv $p |- { x | ph } = { y | ps } $=
      ( vz cab wsb cv wcel sbco2vv sbievw sbbii bitr3i df-clab 3bitr4i eqriv )
      FACGZBDGZACFHZBDFHZFIZRJUBSJTACDHZDFHUAACFDKUCBDFABCDELMNAFCOBFDOPQ $.
    $( $j usage 'cbvabv' avoids 'ax-8' 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'df-clel' ; $)
  $}

  ${
    $d x y z $.  $d ph z $.  $d ps z $.
    cbvabw.1 $e |- F/ y ph $.
    cbvabw.2 $e |- F/ x ps $.
    cbvabw.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbvab with a disjoint variable condition, which does not
       require ~ ax-10 , ~ ax-13 .  (Contributed by Andrew Salmon,
       11-Jul-2011.)  (Revised by Gino Giotto, 23-May-2024.) $)
    cbvabw $p |- { x | ph } = { y | ps } $=
      ( vz cab wsb cv wcel sbievg df-clab 3bitr4i eqriv ) HACIZBDIZACHJBDHJHKZQ
      LSRLABCDHEFGMAHCNBHDNOP $.
    $( $j usage 'cbvabw' avoids 'ax-8' 'ax-10' 'ax-13' 'df-clel'; $)

    $( Obsolete version of ~ cbvabw as of 23-May-2024.  (Contributed by Andrew
       Salmon, 11-Jul-2011.)  (Revised by Gino Giotto, 10-Jan-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    cbvabwOLD $p |- { x | ph } = { y | ps } $=
      ( vz cab wsb cv wcel sbco2v sbiev sbbii bitr3i df-clab 3bitr4i eqriv ) HA
      CIZBDIZACHJZBDHJZHKZTLUDUALUBACDJZDHJUCACHDEMUEBDHABCDFGNOPAHCQBHDQRS $.
    $( $j usage 'cbvabwOLD' avoids 'ax-8' 'ax-13' 'df-clel'; $)
  $}

  ${
    $d x z $.  $d y z $.  $d ph z $.  $d ps z $.
    cbvab.1 $e |- F/ y ph $.
    cbvab.2 $e |- F/ x ps $.
    cbvab.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Usage of
       the weaker ~ cbvabw and ~ cbvabv are preferred.  (Contributed by Andrew
       Salmon, 11-Jul-2011.)  (Proof shortened by Wolf Lammen, 16-Nov-2019.)
       (New usage is discouraged.) $)
    cbvab $p |- { x | ph } = { y | ps } $=
      ( vz cab wsb cv wcel sbco2 sbie sbbii bitr3i df-clab 3bitr4i eqriv ) HACI
      ZBDIZACHJZBDHJZHKZTLUDUALUBACDJZDHJUCACHDEMUEBDHABCDFGNOPAHCQBHDQRS $.
    $( $j usage 'cbvab' avoids 'ax-8' 'df-clel' ; $)
  $}

  ${
    $d x y $.  $d y A $.  $d ph y $.  $d ps x $.
    abeq2w.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Version of ~ abeq2 using implicit substitution, which requires fewer
       axioms.  (Contributed by GG and AV, 18-Sep-2024.) $)
    abeq2w $p |- ( A = { x | ph } <-> A. y ( y e. A <-> ps ) ) $=
      ( cab wceq cv wcel wb wal dfcleq wsb df-clab sbievw bitri bibi2i albii )
      EACGZHDIZEJZUATJZKZDLUBBKZDLDETMUDUEDUCBUBUCACDNBADCOABCDFPQRSQ $.
    $( $j usage 'abeq2w' avoids 'df-clel' 'ax-8' 'ax-10' 'ax-11' 'ax-12' $)
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Class membership
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y z t u v A $.  $d x y z t u v B $.
    df-clel.1 $e |- ( y e. z <-> E. u ( u = y /\ u e. z ) ) $.
    df-clel.2 $e |- ( t e. t <-> E. v ( v = t /\ v e. t ) ) $.
    $( Define the membership connective between classes.  Theorem 6.3 of
       [Quine] p. 41, or Proposition 4.6 of [TakeutiZaring] p. 13, which we
       adopt as a definition.  See these references for its metalogical
       justification.

       The hypotheses express that all instances of the conclusion where class
       variables are replaced with setvar variables hold.  Therefore, this
       definition merely extends to class variables something that is true for
       setvar variables, hence is conservative.  This is only a proof sketch of
       conservativity; for details see Appendix of [Levy] p. 357.  This is the
       reason why we call this axiomatic statement a "definition", even though
       it does not have the usual form of a definition.  If we required a
       definition to have the usual form, we would call ~ df-clel an axiom.

       See also comments under ~ df-clab , ~ df-cleq , and ~ abeq2 .

       Alternate characterizations of ` A e. B ` when either ` A ` or ` B ` is
       a set are given by ~ clel2g , ~ clel3g , and ~ clel4g .

       This is called the "axiom of membership" by [Levy] p. 338, who treats
       the theory of classes as an extralogical extension to our logic and set
       theory axioms.

       While the three class definitions ~ df-clab , ~ df-cleq , and ~ df-clel
       are eliminable and conservative and thus meet the requirements for sound
       definitions, they are technically axioms in that they do not satisfy the
       requirements for the current definition checker.  The proofs of
       conservativity require external justification that is beyond the scope
       of the definition checker.

       For a general discussion of the theory of classes, see
       ~ mmset.html#class .  (Contributed by NM, 26-May-1993.)  (Revised by BJ,
       27-Jun-2019.) $)
    df-clel $a |- ( A e. B <-> E. x ( x = A /\ x e. B ) ) $.
  $}

  ${
    $d x y z t u v A $.  $d x y z t u v B $.
    $( Characterization of the elements of a class.  (Contributed by BJ,
       27-Jun-2019.) $)
    dfclel $p |- ( A e. B <-> E. x ( x = A /\ x e. B ) ) $=
      ( vy vz vv vu vt cleljust df-clel ) ADEFGHBCDEGIHHFIJ $.
    $( $j usage 'dfclel' avoids 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'ax-ext' 'df-clab' 'df-cleq'; $)
  $}

  ${
    $d A x $.  $d V x $.
    $( An element of a class exists.  Version of ~ elisset with a disjoint
       variable condition on ` V , x ` , avoiding ~ df-clab .  Prefer its use
       over ~ elisset when sufficient (for instance in usages where ` x ` is a
       dummy variable).  (Contributed by BJ, 14-Sep-2019.) $)
    elissetv $p |- ( A e. V -> E. x x = A ) $=
      ( wcel cv wceq wa wex dfclel exsimpl sylbi ) BCDAEZBFZLCDZGAHMAHABCIMNAJK
      $.
    $( $j usage 'elissetv' avoids 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'ax-ext' 'df-clab' 'df-cleq'; $)
  $}

  ${
    $d A x y z $.  $d V y z $.
    $( An element of a class exists.  Use ~ elissetv instead when sufficient
       (for instance in usages where ` x ` is a dummy variable).  (Contributed
       by NM, 1-May-1995.)  Reduce dependencies on axioms.  (Revised by BJ,
       29-Apr-2019.) $)
    elisset $p |- ( A e. V -> E. x x = A ) $=
      ( vy vz wcel cv wceq wex elissetv wtru cab wa vextru biantru exbii dfclel
      bitr4i sylib ) BCFDGZBHZDIZAGZBHZAIZDBCJUBBKELZFZUEUBUATUFFZMZDIUGUAUIDUH
      UAEDNOPDBUFQRUEUDUCUFFZMZAIUGUDUKAUJUDEANOPABUFQRRS $.
    $( $j usage 'elisset' avoids 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'ax-ext' 'df-cleq'; $)
  $}

  ${
    $d z x $.  $d z y $.  $d z A $.
    $( Weaker version of ~ eleq1 (but more general than ~ elequ1 ) not
       depending on ~ ax-ext nor ~ df-cleq .

       Note that this provides a proof of ~ ax-8 from Tarski's FOL and ~ dfclel
       (simply consider an instance where ` A ` is replaced by a setvar and
       deduce the forward implication by ~ biimpd ), which shows that ~ dfclel
       is too powerful to be used as a definition instead of ~ df-clel .
       (Contributed by BJ, 24-Jun-2019.) $)
    eleq1w $p |- ( x = y -> ( x e. A <-> y e. A ) ) $=
      ( vz weq cv wcel wa wex equequ2 anbi1d exbidv dfclel 3bitr4g ) ABEZDAEZDF
      CGZHZDIDBEZQHZDIAFZCGBFZCGORTDOPSQABDJKLDUACMDUBCMN $.
    $( $j usage 'eleq1w' avoids 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'ax-ext' 'df-clab' 'df-cleq'; $)

    $( Weaker version of ~ eleq2 (but more general than ~ elequ2 ) not
       depending on ~ ax-ext nor ~ df-cleq .  (Contributed by BJ,
       29-Sep-2019.) $)
    eleq2w $p |- ( x = y -> ( A e. x <-> A e. y ) ) $=
      ( vz cv wceq wcel wa wex elequ2 anbi2d exbidv dfclel 3bitr4g ) AEZBEZFZDE
      ZCFZROGZHZDISRPGZHZDICOGCPGQUAUCDQTUBSABDJKLDCOMDCPMN $.
    $( $j usage 'eleq2w' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'ax-ext' 'df-clab' 'df-cleq'; $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x ph $.
    eleq1d.1 $e |- ( ph -> A = B ) $.
    $( Deduction from equality to equivalence of membership.  (Contributed by
       NM, 21-Jun-1993.)  Allow shortening of ~ eleq1 .  (Revised by Wolf
       Lammen, 20-Nov-2019.) $)
    eleq1d $p |- ( ph -> ( A e. C <-> B e. C ) ) $=
      ( vx cv wceq wcel wa wex eqeq2d anbi1d exbidv dfclel 3bitr4g ) AFGZBHZQDI
      ZJZFKQCHZSJZFKBDICDIATUBFARUASABCQELMNFBDOFCDOP $.

    $( Deduction from equality to equivalence of membership.  (Contributed by
       NM, 27-Dec-1993.)  Reduce dependencies on axioms.  (Revised by Wolf
       Lammen, 5-Dec-2019.) $)
    eleq2d $p |- ( ph -> ( C e. A <-> C e. B ) ) $=
      ( vx cv wceq wcel wa wex wb wal dfcleq sylib anbi2 alexbii dfclel 3bitr4g
      syl ) AFGZDHZUABIZJZFKZUBUACIZJZFKZDBIDCIAUCUFLZFMZUEUHLABCHUJEFBCNOUIUDU
      GFUCUFUBPQTFDBRFDCRS $.

    $( Alternate proof of ~ eleq2d , shorter at the expense of requiring
       ~ ax-12 .  (Contributed by NM, 27-Dec-1993.)  (Revised by Wolf Lammen,
       20-Nov-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    eleq2dALT $p |- ( ph -> ( C e. A <-> C e. B ) ) $=
      ( vx cv wceq wcel wa wex wb wal dfcleq sylib 19.21bi anbi2d exbidv dfclel
      3bitr4g ) AFGZDHZUABIZJZFKUBUACIZJZFKDBIDCIAUDUFFAUCUEUBAUCUELZFABCHUGFME
      FBCNOPQRFDBSFDCST $.
  $}

  $( Equality implies equivalence of membership.  (Contributed by NM,
     26-May-1993.)  (Proof shortened by Wolf Lammen, 20-Nov-2019.) $)
  eleq1 $p |- ( A = B -> ( A e. C <-> B e. C ) ) $=
    ( wceq id eleq1d ) ABDZABCGEF $.

  $( Equality implies equivalence of membership.  (Contributed by NM,
     26-May-1993.)  (Proof shortened by Wolf Lammen, 20-Nov-2019.) $)
  eleq2 $p |- ( A = B -> ( C e. A <-> C e. B ) ) $=
    ( wceq id eleq2d ) ABDZABCGEF $.

  $( Equality implies equivalence of membership.  (Contributed by NM,
     31-May-1999.) $)
  eleq12 $p |- ( ( A = B /\ C = D ) -> ( A e. C <-> B e. D ) ) $=
    ( wceq wcel eleq1 eleq2 sylan9bb ) ABEACFBCFCDEBDFABCGCDBHI $.

  ${
    eleq1i.1 $e |- A = B $.
    $( Inference from equality to equivalence of membership.  (Contributed by
       NM, 21-Jun-1993.) $)
    eleq1i $p |- ( A e. C <-> B e. C ) $=
      ( wceq wcel wb eleq1 ax-mp ) ABEACFBCFGDABCHI $.

    $( Inference from equality to equivalence of membership.  (Contributed by
       NM, 26-May-1993.) $)
    eleq2i $p |- ( C e. A <-> C e. B ) $=
      ( wceq wcel wb eleq2 ax-mp ) ABECAFCBFGDABCHI $.

    ${
      eleq12i.2 $e |- C = D $.
      $( Inference from equality to equivalence of membership.  (Contributed by
         NM, 31-May-1994.) $)
      eleq12i $p |- ( A e. C <-> B e. D ) $=
        ( wcel eleq2i eleq1i bitri ) ACGADGBDGCDAFHABDEIJ $.

      $( Theorem eleq12i is the congruence law for elementhood. $)
      $( $j congruence 'eleq12i'; $)
    $}
  $}

  ${
    eqneltri.1 $e |- A = B $.
    eqneltri.2 $e |- -. B e. C $.
    $( If a class is not an element of another class, an equal class is also
       not an element.  (Contributed by Glauco Siliprandi, 3-Jan-2021.) $)
    eqneltri $p |- -. A e. C $=
      ( wcel eleq1i mtbir ) ACFBCFEABCDGH $.
  $}

  ${
    eleq12d.1 $e |- ( ph -> A = B ) $.
    eleq12d.2 $e |- ( ph -> C = D ) $.
    $( Deduction from equality to equivalence of membership.  (Contributed by
       NM, 31-May-1994.) $)
    eleq12d $p |- ( ph -> ( A e. C <-> B e. D ) ) $=
      ( wcel eleq2d eleq1d bitrd ) ABDHBEHCEHADEBGIABCEFJK $.
  $}

  $( A transitive-type law relating membership and equality.  (Contributed by
     NM, 9-Apr-1994.) $)
  eleq1a $p |- ( A e. B -> ( C = A -> C e. B ) ) $=
    ( wceq wcel eleq1 biimprcd ) CADCBEABECABFG $.

  ${
    eqeltri.1 $e |- A = B $.
    eqeltri.2 $e |- B e. C $.
    $( Substitution of equal classes into membership relation.  (Contributed by
       NM, 21-Jun-1993.) $)
    eqeltri $p |- A e. C $=
      ( wcel eleq1i mpbir ) ACFBCFEABCDGH $.
  $}

  ${
    eqeltrri.1 $e |- A = B $.
    eqeltrri.2 $e |- A e. C $.
    $( Substitution of equal classes into membership relation.  (Contributed by
       NM, 21-Jun-1993.) $)
    eqeltrri $p |- B e. C $=
      ( eqcomi eqeltri ) BACABDFEG $.
  $}

  ${
    eleqtri.1 $e |- A e. B $.
    eleqtri.2 $e |- B = C $.
    $( Substitution of equal classes into membership relation.  (Contributed by
       NM, 15-Jul-1993.) $)
    eleqtri $p |- A e. C $=
      ( wcel eleq2i mpbi ) ABFACFDBCAEGH $.
  $}

  ${
    eleqtrri.1 $e |- A e. B $.
    eleqtrri.2 $e |- C = B $.
    $( Substitution of equal classes into membership relation.  (Contributed by
       NM, 15-Jul-1993.) $)
    eleqtrri $p |- A e. C $=
      ( eqcomi eleqtri ) ABCDCBEFG $.
  $}

  ${
    eqeltrd.1 $e |- ( ph -> A = B ) $.
    eqeltrd.2 $e |- ( ph -> B e. C ) $.
    $( Substitution of equal classes into membership relation, deduction form.
       (Contributed by Raph Levien, 10-Dec-2002.) $)
    eqeltrd $p |- ( ph -> A e. C ) $=
      ( wcel eleq1d mpbird ) ABDGCDGFABCDEHI $.
  $}

  ${
    eqeltrrd.1 $e |- ( ph -> A = B ) $.
    eqeltrrd.2 $e |- ( ph -> A e. C ) $.
    $( Deduction that substitutes equal classes into membership.  (Contributed
       by NM, 14-Dec-2004.) $)
    eqeltrrd $p |- ( ph -> B e. C ) $=
      ( eqcomd eqeltrd ) ACBDABCEGFH $.
  $}

  ${
    eleqtrd.1 $e |- ( ph -> A e. B ) $.
    eleqtrd.2 $e |- ( ph -> B = C ) $.
    $( Deduction that substitutes equal classes into membership.  (Contributed
       by NM, 14-Dec-2004.) $)
    eleqtrd $p |- ( ph -> A e. C ) $=
      ( wcel eleq2d mpbid ) ABCGBDGEACDBFHI $.
  $}

  ${
    eleqtrrd.1 $e |- ( ph -> A e. B ) $.
    eleqtrrd.2 $e |- ( ph -> C = B ) $.
    $( Deduction that substitutes equal classes into membership.  (Contributed
       by NM, 14-Dec-2004.) $)
    eleqtrrd $p |- ( ph -> A e. C ) $=
      ( eqcomd eleqtrd ) ABCDEADCFGH $.
  $}

  ${
    eqeltrid.1 $e |- A = B $.
    eqeltrid.2 $e |- ( ph -> B e. C ) $.
    $( A membership and equality inference.  (Contributed by NM,
       4-Jan-2006.) $)
    eqeltrid $p |- ( ph -> A e. C ) $=
      ( wceq a1i eqeltrd ) ABCDBCGAEHFI $.
  $}

  ${
    eqeltrrid.1 $e |- B = A $.
    eqeltrrid.2 $e |- ( ph -> B e. C ) $.
    $( A membership and equality inference.  (Contributed by NM,
       4-Jan-2006.) $)
    eqeltrrid $p |- ( ph -> A e. C ) $=
      ( eqcomi eqeltrid ) ABCDCBEGFH $.
  $}

  ${
    eleqtrid.1 $e |- A e. B $.
    eleqtrid.2 $e |- ( ph -> B = C ) $.
    $( A membership and equality inference.  (Contributed by NM,
       4-Jan-2006.) $)
    eleqtrid $p |- ( ph -> A e. C ) $=
      ( wcel a1i eleqtrd ) ABCDBCGAEHFI $.
  $}

  ${
    eleqtrrid.1 $e |- A e. B $.
    eleqtrrid.2 $e |- ( ph -> C = B ) $.
    $( A membership and equality inference.  (Contributed by NM,
       4-Jan-2006.) $)
    eleqtrrid $p |- ( ph -> A e. C ) $=
      ( eqcomd eleqtrid ) ABCDEADCFGH $.
  $}

  ${
    eqeltrdi.1 $e |- ( ph -> A = B ) $.
    eqeltrdi.2 $e |- B e. C $.
    $( A membership and equality inference.  (Contributed by NM,
       4-Jan-2006.) $)
    eqeltrdi $p |- ( ph -> A e. C ) $=
      ( wcel a1i eqeltrd ) ABCDECDGAFHI $.
  $}

  ${
    eqeltrrdi.1 $e |- ( ph -> B = A ) $.
    eqeltrrdi.2 $e |- B e. C $.
    $( A membership and equality inference.  (Contributed by NM,
       4-Jan-2006.) $)
    eqeltrrdi $p |- ( ph -> A e. C ) $=
      ( eqcomd eqeltrdi ) ABCDACBEGFH $.
  $}

  ${
    eleqtrdi.1 $e |- ( ph -> A e. B ) $.
    eleqtrdi.2 $e |- B = C $.
    $( A membership and equality inference.  (Contributed by NM,
       4-Jan-2006.) $)
    eleqtrdi $p |- ( ph -> A e. C ) $=
      ( wceq a1i eleqtrd ) ABCDECDGAFHI $.
  $}

  ${
    eleqtrrdi.1 $e |- ( ph -> A e. B ) $.
    eleqtrrdi.2 $e |- C = B $.
    $( A membership and equality inference.  (Contributed by NM,
       24-Apr-2005.) $)
    eleqtrrdi $p |- ( ph -> A e. C ) $=
      ( eqcomi eleqtrdi ) ABCDEDCFGH $.
  $}

  ${
    3eltr3i.1 $e |- A e. B $.
    3eltr3i.2 $e |- A = C $.
    3eltr3i.3 $e |- B = D $.
    $( Substitution of equal classes into membership relation.  (Contributed by
       Mario Carneiro, 6-Jan-2017.) $)
    3eltr3i $p |- C e. D $=
      ( eleqtri eqeltrri ) ACDFABDEGHI $.
  $}

  ${
    3eltr4i.1 $e |- A e. B $.
    3eltr4i.2 $e |- C = A $.
    3eltr4i.3 $e |- D = B $.
    $( Substitution of equal classes into membership relation.  (Contributed by
       Mario Carneiro, 6-Jan-2017.) $)
    3eltr4i $p |- C e. D $=
      ( eleqtrri eqeltri ) CADFABDEGHI $.
  $}

  ${
    3eltr3d.1 $e |- ( ph -> A e. B ) $.
    3eltr3d.2 $e |- ( ph -> A = C ) $.
    3eltr3d.3 $e |- ( ph -> B = D ) $.
    $( Substitution of equal classes into membership relation.  (Contributed by
       Mario Carneiro, 6-Jan-2017.) $)
    3eltr3d $p |- ( ph -> C e. D ) $=
      ( eleqtrd eqeltrrd ) ABDEGABCEFHIJ $.
  $}

  ${
    3eltr4d.1 $e |- ( ph -> A e. B ) $.
    3eltr4d.2 $e |- ( ph -> C = A ) $.
    3eltr4d.3 $e |- ( ph -> D = B ) $.
    $( Substitution of equal classes into membership relation.  (Contributed by
       Mario Carneiro, 6-Jan-2017.) $)
    3eltr4d $p |- ( ph -> C e. D ) $=
      ( eleqtrrd eqeltrd ) ADBEGABCEFHIJ $.
  $}

  ${
    3eltr3g.1 $e |- ( ph -> A e. B ) $.
    3eltr3g.2 $e |- A = C $.
    3eltr3g.3 $e |- B = D $.
    $( Substitution of equal classes into membership relation.  (Contributed by
       Mario Carneiro, 6-Jan-2017.)  (Proof shortened by Wolf Lammen,
       23-Nov-2019.) $)
    3eltr3g $p |- ( ph -> C e. D ) $=
      ( eqeltrrid eleqtrdi ) ADCEADBCGFIHJ $.
  $}

  ${
    3eltr4g.1 $e |- ( ph -> A e. B ) $.
    3eltr4g.2 $e |- C = A $.
    3eltr4g.3 $e |- D = B $.
    $( Substitution of equal classes into membership relation.  (Contributed by
       Mario Carneiro, 6-Jan-2017.)  (Proof shortened by Wolf Lammen,
       23-Nov-2019.) $)
    3eltr4g $p |- ( ph -> C e. D ) $=
      ( eqeltrid eleqtrrdi ) ADCEADBCGFIHJ $.
  $}

  ${
    eleq2s.1 $e |- ( A e. B -> ph ) $.
    eleq2s.2 $e |- C = B $.
    $( Substitution of equal classes into a membership antecedent.
       (Contributed by Jonathan Ben-Naim, 3-Jun-2011.) $)
    eleq2s $p |- ( A e. C -> ph ) $=
      ( wcel eleq2i sylbi ) BDGBCGADCBFHEI $.
  $}

  ${
    eqneltrd.1 $e |- ( ph -> A = B ) $.
    eqneltrd.2 $e |- ( ph -> -. B e. C ) $.
    $( If a class is not an element of another class, an equal class is also
       not an element.  Deduction form.  (Contributed by David Moews,
       1-May-2017.) $)
    eqneltrd $p |- ( ph -> -. A e. C ) $=
      ( wcel eleq1d mtbird ) ABDGCDGFABCDEHI $.
  $}

  ${
    eqneltrrd.1 $e |- ( ph -> A = B ) $.
    eqneltrrd.2 $e |- ( ph -> -. A e. C ) $.
    $( If a class is not an element of another class, an equal class is also
       not an element.  Deduction form.  (Contributed by David Moews,
       1-May-2017.)  (Proof shortened by Wolf Lammen, 13-Nov-2019.) $)
    eqneltrrd $p |- ( ph -> -. B e. C ) $=
      ( eqcomd eqneltrd ) ACBDABCEGFH $.
  $}

  ${
    neleqtrd.1 $e |- ( ph -> -. C e. A ) $.
    neleqtrd.2 $e |- ( ph -> A = B ) $.
    $( If a class is not an element of another class, it is also not an element
       of an equal class.  Deduction form.  (Contributed by David Moews,
       1-May-2017.) $)
    neleqtrd $p |- ( ph -> -. C e. B ) $=
      ( wcel eleq2d mtbid ) ADBGDCGEABCDFHI $.
  $}

  ${
    neleqtrrd.1 $e |- ( ph -> -. C e. B ) $.
    neleqtrrd.2 $e |- ( ph -> A = B ) $.
    $( If a class is not an element of another class, it is also not an element
       of an equal class.  Deduction form.  (Contributed by David Moews,
       1-May-2017.)  (Proof shortened by Wolf Lammen, 13-Nov-2019.) $)
    neleqtrrd $p |- ( ph -> -. C e. A ) $=
      ( eqcomd neleqtrd ) ACBDEABCFGH $.
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    cleqh.1 $e |- ( y e. A -> A. x y e. A ) $.
    cleqh.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Establish equality between classes, using bound-variable hypotheses
       instead of distinct variable conditions as in ~ dfcleq .  See also
       ~ cleqf .  (Contributed by NM, 26-May-1993.)  (Proof shortened by Wolf
       Lammen, 14-Nov-2019.)  Remove dependency on ~ ax-13 .  (Revised by BJ,
       30-Nov-2020.) $)
    cleqh $p |- ( A = B <-> A. x ( x e. A <-> x e. B ) ) $=
      ( wceq cv wcel wal dfcleq nfv nf5i nfbi weq eleq1w bibi12d cbvalv1 bitr4i
      wb ) CDGBHZCIZUADIZTZBJAHZCIZUEDIZTZAJBCDKUHUDABUHBLUBUCAUBAEMUCAFMNABOUF
      UBUGUCABCPABDPQRS $.
  $}

  $( A way of showing two classes are not equal.  (Contributed by NM,
     1-Apr-1997.) $)
  nelneq $p |- ( ( A e. C /\ -. B e. C ) -> -. A = B ) $=
    ( wcel wceq eleq1 biimpcd con3dimp ) ACDZABEZBCDZJIKABCFGH $.

  $( A way of showing two classes are not equal.  (Contributed by NM,
     12-Jan-2002.) $)
  nelneq2 $p |- ( ( A e. B /\ -. A e. C ) -> -. B = C ) $=
    ( wcel wceq eleq2 biimpcd con3dimp ) ABDZBCEZACDZJIKBCAFGH $.

  ${
    $d w x A $.  $d w y $.
    $( Substitution for the left-hand side in an equality.  Class version of
       ~ equsb3 .  (Contributed by Rodolfo Medina, 28-Apr-2010.) $)
    eqsb1 $p |- ( [ y / x ] x = A <-> y = A ) $=
      ( vw cv wceq eqeq1 sbievw2 ) AEZCFBEZCFDEZCFABDIKCGKJCGH $.
  $}

  ${
    $d w x A $.  $d w y $.
    $( Substitution for the first argument of the membership predicate in an
       atomic formula (class version of ~ elsb1 ).  (Contributed by Rodolfo
       Medina, 28-Apr-2010.)  (Proof shortened by Andrew Salmon,
       14-Jun-2011.) $)
    clelsb1 $p |- ( [ y / x ] x e. A <-> y e. A ) $=
      ( vw cv wcel eleq1w sbievw2 ) AECFBECFDECFABDADCGDBCGH $.
  $}

  ${
    $d w x A $.  $d w y $.
    $( Substitution for the second argument of the membership predicate in an
       atomic formula (class version of ~ elsb2 ).  (Contributed by Jim
       Kingdon, 22-Nov-2018.) $)
    clelsb2 $p |- ( [ y / x ] A e. x <-> A e. y ) $=
      ( vw cv wcel wsb nfv sbco2 eleq2 sbie sbbii 3bitr3i ) CDEZFZDAGZABGODBGCA
      EZFZABGCBEZFZODBAOAHIPRABORDARDHNQCJKLOTDBTDHNSCJKM $.
  $}

  ${
    hbxfr.1 $e |- A = B $.
    hbxfr.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( A utility lemma to transfer a bound-variable hypothesis builder into a
       definition.  See ~ hbxfrbi for equivalence version.  (Contributed by NM,
       21-Aug-2007.) $)
    hbxfreq $p |- ( y e. A -> A. x y e. A ) $=
      ( cv wcel eleq2i hbxfrbi ) BGZCHKDHACDKEIFJ $.
  $}

  ${
    $d y A $.  $d x z $.  $d x y $.
    hblem.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Change the free variable of a hypothesis builder.  (Contributed by NM,
       21-Jun-1993.)  (Revised by Andrew Salmon, 11-Jul-2011.)  Add disjoint
       variable condition to avoid ~ ax-13 .  See ~ hblemg for a less
       restrictive version requiring more axioms.  (Revised by Gino Giotto,
       20-Jan-2024.) $)
    hblem $p |- ( z e. A -> A. x z e. A ) $=
      ( cv wcel wsb wal hbsbw clelsb1 albii 3imtr3i ) BFDGZBCHZOAICFDGZPAINBCAE
      JBCDKZOPAQLM $.
    $( $j usage 'hblem' avoids 'ax-13'; $)
  $}

  ${
    $d y A $.  $d x z $.
    hblemg.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Change the free variable of a hypothesis builder.  Usage of this theorem
       is discouraged because it depends on ~ ax-13 .  See ~ hblem for a
       version with more disjoint variable conditions, but not requiring
       ~ ax-13 .  (Contributed by NM, 21-Jun-1993.)  (Revised by Andrew Salmon,
       11-Jul-2011.)  (New usage is discouraged.) $)
    hblemg $p |- ( z e. A -> A. x z e. A ) $=
      ( cv wcel wsb wal hbsb clelsb1 albii 3imtr3i ) BFDGZBCHZOAICFDGZPAINBCAEJ
      BCDKZOPAQLM $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Elementary properties of class abstractions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x A y $.  $d ph y $.
    $( Equality of a class variable and a class abstraction (also called a
       class builder).  Theorem 5.1 of [Quine] p. 34.  This theorem shows the
       relationship between expressions with class abstractions and expressions
       with class variables.  Note that ~ abbi and its relatives are among
       those useful for converting theorems with class variables to equivalent
       theorems with wff variables, by first substituting a class abstraction
       for each class variable.

       Class variables can always be eliminated from a theorem to result in an
       equivalent theorem with wff variables, and vice-versa.  The idea is
       roughly as follows.  To convert a theorem with a wff variable ` ph `
       (that has a free variable ` x ` ) to a theorem with a class variable
       ` A ` , we substitute ` x e. A ` for ` ph ` throughout and simplify,
       where ` A ` is a new class variable not already in the wff.  An example
       is the conversion of ~ zfauscl to ~ inex1 (look at the instance of
       ~ zfauscl that occurs in the proof of ~ inex1 ).  Conversely, to convert
       a theorem with a class variable ` A ` to one with ` ph ` , we substitute
       ` { x | ph } ` for ` A ` throughout and simplify, where ` x ` and ` ph `
       are new setvar and wff variables not already in the wff.  Examples
       include ~ dfsymdif2 and ~ cp ; the latter derives a formula containing
       wff variables from substitution instances of the class variables in its
       equivalent formulation ~ cplem2 .  For more information on class
       variables, see Quine pp. 15-21 and/or Takeuti and Zaring pp. 10-13.
       Usage of ~ abeq2w is preferred since it requires fewer axioms.
       (Contributed by NM, 26-May-1993.) $)
    abeq2 $p |- ( A = { x | ph } <-> A. x ( x e. A <-> ph ) ) $=
      ( vy cab wceq cv wcel wb wal ax-5 hbab1 cleqh abid bibi2i albii bitri ) C
      ABEZFBGZCHZSRHZIZBJTAIZBJBDCRDGCHBKABDLMUBUCBUAATABNOPQ $.
  $}

  ${
    $d x A $.
    $( Equality of a class variable and a class abstraction.  Commuted form of
       ~ abeq2 .  (Contributed by NM, 20-Aug-1993.) $)
    abeq1 $p |- ( { x | ph } = A <-> A. x ( ph <-> x e. A ) ) $=
      ( cab wceq cv wcel wb wal abeq2 eqcom bicom albii 3bitr4i ) CABDZEBFCGZAH
      ZBIOCEAPHZBIABCJOCKRQBAPLMN $.
  $}

  ${
    abeq2d.1 $e |- ( ph -> A = { x | ps } ) $.
    $( Equality of a class variable and a class abstraction (deduction form of
       ~ abeq2 ).  (Contributed by NM, 16-Nov-1995.) $)
    abeq2d $p |- ( ph -> ( x e. A <-> ps ) ) $=
      ( cv wcel cab eleq2d abid bitrdi ) ACFZDGLBCHZGBADMLEIBCJK $.
  $}

  ${
    abeq2i.1 $e |- A = { x | ph } $.
    $( Equality of a class variable and a class abstraction (inference form).
       (Contributed by NM, 3-Apr-1996.)  (Proof shortened by Wolf Lammen,
       15-Nov-2019.) $)
    abeq2i $p |- ( x e. A <-> ph ) $=
      ( cv wcel wb wtru cab wceq a1i abeq2d mptru ) BECFAGHABCCABIJHDKLM $.
  $}

  ${
    abeq1i.1 $e |- { x | ph } = A $.
    $( Equality of a class variable and a class abstraction (inference form).
       (Contributed by NM, 31-Jul-1994.)  (Proof shortened by Wolf Lammen,
       15-Nov-2019.) $)
    abeq1i $p |- ( ph <-> x e. A ) $=
      ( cv wcel cab eqcomi abeq2i bicomi ) BECFAABCABGCDHIJ $.
  $}

  ${
    $d x y A $.  $d ph x y $.  $d ps y $.
    abbi2dv.1 $e |- ( ph -> ( x e. A <-> ps ) ) $.
    $( Deduction from a wff to a class abstraction.  (Contributed by NM,
       9-Jul-1994.)  Avoid ~ ax-11 .  (Revised by Wolf Lammen, 6-May-2023.) $)
    abbi2dv $p |- ( ph -> A = { x | ps } ) $=
      ( vy cab cv wcel wsb sbbidv clelsb1 bicomi df-clab 3bitr4g eqrdv ) AFDBCG
      ZACHDIZCFJZBCFJFHZDIZTQIARBCFEKSUACFDLMBFCNOP $.
  $}

  ${
    $d x A $.  $d ph x $.
    abbi1dv.1 $e |- ( ph -> ( ps <-> x e. A ) ) $.
    $( Deduction from a wff to a class abstraction.  (Contributed by NM,
       9-Jul-1994.)  (Proof shortened by Wolf Lammen, 16-Nov-2019.) $)
    abbi1dv $p |- ( ph -> { x | ps } = A ) $=
      ( cab cv wcel bicomd abbi2dv eqcomd ) ADBCFABCDABCGDHEIJK $.
  $}

  ${
    $d x A $.
    abbi2i.1 $e |- ( x e. A <-> ph ) $.
    $( Equality of a class variable and a class abstraction (inference form).
       (Contributed by NM, 26-May-1993.)  Avoid ~ ax-11 .  (Revised by Wolf
       Lammen, 6-May-2023.) $)
    abbi2i $p |- A = { x | ph } $=
      ( cab wceq wtru cv wcel wb a1i abbi2dv mptru ) CABEFGABCBHCIAJGDKLM $.
  $}

  ${
    $d ph y $.  $d ps y $.  $d x y $.
    $( Obsolete proof of ~ abbi as of 7-Jan-2024.  (Contributed by NM,
       25-Nov-2013.)  (Revised by Mario Carneiro, 11-Aug-2016.)  (Proof
       shortened by Wolf Lammen, 16-Nov-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    abbiOLD $p |- ( A. x ( ph <-> ps ) <-> { x | ph } = { x | ps } ) $=
      ( vy cab wceq cv wcel wb wal hbab1 cleqh abid bibi12i albii bitr2i ) ACEZ
      BCEZFCGZQHZSRHZIZCJABIZCJCDQRACDKBCDKLUBUCCTAUABACMBCMNOP $.
  $}

  ${
    $d x A $.
    $( Every class is equal to a class abstraction (the class of sets belonging
       to it).  Theorem 5.2 of [Quine] p. 35.  This is a generalization to
       classes of ~ cvjust .  The proof does not rely on ~ cvjust , so ~ cvjust
       could be proved as a special instance of it.  Note however that ~ abid1
       necessarily relies on ~ df-clel , whereas ~ cvjust does not.

       This theorem requires ~ ax-ext , ~ df-clab , ~ df-cleq , ~ df-clel , but
       to prove that any specific class term not containing class variables is
       a setvar or is equal to a class abstraction does not require these
       $a-statements.  This last fact is a metatheorem, consequence of the fact
       that the only $a-statements with typecode ` class ` are ~ cv , ~ cab ,
       and statements corresponding to defined class constructors.

       Note on the simultaneous presence in set.mm of this ~ abid1 and its
       commuted form ~ abid2 :  It is rare that two forms so closely related
       both appear in set.mm.  Indeed, such equalities are generally used in
       later proofs as parts of transitive inferences, and with the many
       variants of ~ eqtri (search for *eqtr*), it would be rare that either
       one would shorten a proof compared to the other.  There is typically a
       choice between what we call a "definitional form", where the shorter
       expression is on the LHS (left-hand side), and a "computational form",
       where the shorter expression is on the RHS (right-hand side).  An
       example is ~ df-2 versus ~ 1p1e2 .  We do not need ~ 1p1e2 , but because
       it occurs "naturally" in computations, it can be useful to have it
       directly, together with a uniform set of 1-digit operations like
       ~ 1p2e3 , etc.  In most cases, we do not need both a definitional and a
       computational forms.  A definitional form would favor consistency with
       genuine definitions, while a computational form is often more natural.
       The situation is similar with biconditionals in propositional calculus:
       see for instance ~ pm4.24 and ~ anidm , while other biconditionals
       generally appear in a single form (either definitional, but more often
       computational).  In the present case, the equality is important enough
       that both ~ abid1 and ~ abid2 are in set.mm.

       (Contributed by NM, 26-Dec-1993.)  (Revised by BJ, 10-Nov-2020.) $)
    abid1 $p |- A = { x | x e. A } $=
      ( cv wcel biid abbi2i ) ACBDZABGEF $.
  $}

  ${
    $d x A $.
    $( A simplification of class abstraction.  Commuted form of ~ abid1 .  See
       comments there.  (Contributed by NM, 26-Dec-1993.) $)
    abid2 $p |- { x | x e. A } = A $=
      ( cv wcel cab abid1 eqcomi ) BACBDAEABFG $.
  $}

  ${
    $d x A y $.  $d ph y $.
    $( Membership of a class variable in a class abstraction.  (Contributed by
       NM, 23-Dec-1993.)  (Proof shortened by Wolf Lammen, 16-Nov-2019.)  Avoid
       ~ ax-11 , see ~ sbc5ALT for more details.  (Revised by SN,
       2-Sep-2024.) $)
    clelab $p |- ( A e. { x | ph } <-> E. x ( x = A /\ ph ) ) $=
      ( vy cab wcel cv wceq wex elisset exsimpl eqeq1 cbvexvw sylib weq df-clab
      wa wb wsb sb5 bitri eleq1 eqeq2 anbi1d exbidv bibi12d exlimiv pm5.21nii
      mpbii ) CABEZFZDGZCHZDIZBGZCHZAQZBIZDCUJJURUPBIUNUPABKUPUMBDUOULCLMNUMUKU
      RRZDUMULUJFZBDOZAQZBIZRUSUTABDSVCADBPABDTUAUMUTUKVCURULCUJUBUMVBUQBUMVAUP
      AULCUOUCUDUEUFUIUGUH $.
    $( $j usage 'clelab' avoids 'ax-11'; $)

    $( Obsolete version of ~ clelab as of 2-Sep-2024.  (Contributed by NM,
       23-Dec-1993.)  (Proof shortened by Wolf Lammen, 16-Nov-2019.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    clelabOLD $p |- ( A e. { x | ph } <-> E. x ( x = A /\ ph ) ) $=
      ( vy cab wcel cv wceq wa wex dfclel nfv nfsab1 nfan weq eqeq1 wsb sbequ12
      df-clab bitr4di anbi12d cbvexv1 bitr4i ) CABEZFDGZCHZUEUDFZIZDJBGZCHZAIZB
      JDCUDKUKUHBDUKDLUFUGBUFBLABDMNBDOZUJUFAUGUIUECPULAABDQUGABDRADBSTUAUBUC
      $.
  $}

  ${
    $d y A $.  $d y ph $.  $d x y $.
    $( Membership of a class abstraction in another class.  (Contributed by NM,
       17-Jan-2006.) $)
    clabel $p |- ( { x | ph } e. A <->
                 E. y ( y e. A /\ A. x ( x e. y <-> ph ) ) ) $=
      ( cab wcel cv wceq wa wex wb wal dfclel abeq2 anbi2ci exbii bitri ) ABEZD
      FCGZRHZSDFZIZCJUABGSFAKBLZIZCJCRDMUBUDCTUCUAABSNOPQ $.
  $}

  ${
    $d z A $.  $d z x $.  $d z y $.
    $( The right-hand side of the second equality is a way of representing
       proper substitution of ` y ` for ` x ` into a class variable.
       (Contributed by NM, 14-Sep-2003.) $)
    sbab $p |- ( x = y -> A = { z | [ y / x ] z e. A } ) $=
      ( weq cv wcel wsb sbequ12 abbi2dv ) ABECFDGZABHCDKABIJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Class form not-free predicate
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c F/_ $.  $( Underlined not-free symbol. $)

  $( Extend wff definition to include the not-free predicate for classes. $)
  wnfc $a wff F/_ x A $.

  ${
    $d x y z $.  $d y z A $.
    $( Justification theorem for ~ df-nfc .  (Contributed by Mario Carneiro,
       13-Oct-2016.) $)
    nfcjust $p |- ( A. y F/ x y e. A <-> A. z F/ x z e. A ) $=
      ( cv wcel wnf weq eleq1w nfbidv cbvalvw ) BEDFZAGCEDFZAGBCBCHLMABCDIJK $.
  $}

  ${
    $d x y $.  $d y A $.
    $( Define the not-free predicate for classes.  This is read " ` x ` is not
       free in ` A ` ".  Not-free means that the value of ` x ` cannot affect
       the value of ` A ` , e.g., any occurrence of ` x ` in ` A ` is
       effectively bound by a "for all" or something that expands to one (such
       as "there exists").  It is defined in terms of the not-free predicate
       ~ df-nf for wffs; see that definition for more information.
       (Contributed by Mario Carneiro, 11-Aug-2016.) $)
    df-nfc $a |- ( F/_ x A <-> A. y F/ x y e. A ) $.

    ${
      nfci.1 $e |- F/ x y e. A $.
      $( Deduce that a class ` A ` does not have ` x ` free in it.
         (Contributed by Mario Carneiro, 11-Aug-2016.) $)
      nfci $p |- F/_ x A $=
        ( wnfc cv wcel wnf df-nfc mpgbir ) ACEBFCGAHBABCIDJ $.
    $}

    ${
      nfcii.1 $e |- ( y e. A -> A. x y e. A ) $.
      $( Deduce that a class ` A ` does not have ` x ` free in it.
         (Contributed by Mario Carneiro, 11-Aug-2016.) $)
      nfcii $p |- F/_ x A $=
        ( cv wcel nf5i nfci ) ABCBECFADGH $.
    $}
  $}

  ${
    $d x y z $.  $d z A $.
    $( Consequence of the not-free predicate.  (Contributed by Mario Carneiro,
       11-Aug-2016.)  Drop ~ ax-12 but use ~ ax-8 , ~ df-clel , and avoid a DV
       condition on ` y ` , ` A ` .  (Revised by SN, 3-Jun-2024.) $)
    nfcr $p |- ( F/_ x A -> F/ x y e. A ) $=
      ( vz wnfc cv wcel wnf wal df-nfc weq eleq1w nfbidv spvv sylbi ) ACEDFCGZA
      HZDIBFCGZAHZADCJQSDBDBKPRADBCLMNO $.
    $( $j usage 'nfcr' avoids 'ax-12'; $)
  $}

  ${
    $d x y $.  $d y A $.
    $( Alternate version of ~ nfcr .  Avoids ~ ax-8 but uses ~ ax-12 .
       (Contributed by Mario Carneiro, 11-Aug-2016.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    nfcrALT $p |- ( F/_ x A -> F/ x y e. A ) $=
      ( wnfc cv wcel wnf wal df-nfc sp sylbi ) ACDBECFAGZBHLABCILBJK $.
    $( $j usage 'nfcrALT' avoids 'ax-8' 'df-clel'; $)
  $}

  ${
    $d x y $.
    nfcri.1 $e |- F/_ x A $.
    $( Consequence of the not-free predicate.  (Contributed by Mario Carneiro,
       11-Aug-2016.)  Avoid ~ ax-10 , ~ ax-11 .  (Revised by Gino Giotto,
       23-May-2024.)  Avoid ~ ax-12 (adopting Wolf Lammen's 13-May-2023 proof).
       (Revised by SN, 3-Jun-2024.) $)
    nfcri $p |- F/ x y e. A $=
      ( wnfc cv wcel wnf nfcr ax-mp ) ACEBFCGAHDABCIJ $.
    $( $j usage 'nfcri' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x y $.  $d y A $.
    nfcd.1 $e |- F/ y ph $.
    nfcd.2 $e |- ( ph -> F/ x y e. A ) $.
    $( Deduce that a class ` A ` does not have ` x ` free in it.  (Contributed
       by Mario Carneiro, 11-Aug-2016.) $)
    nfcd $p |- ( ph -> F/_ x A ) $=
      ( cv wcel wnf wal wnfc alrimi df-nfc sylibr ) ACGDHBIZCJBDKAOCEFLBCDMN $.
  $}

  ${
    $d x y $.
    nfcrd.1 $e |- ( ph -> F/_ x A ) $.
    $( Consequence of the not-free predicate.  (Contributed by Mario Carneiro,
       11-Aug-2016.) $)
    nfcrd $p |- ( ph -> F/ x y e. A ) $=
      ( wnfc cv wcel wnf nfcr syl ) ABDFCGDHBIEBCDJK $.
  $}

  ${
    $d w x y z $.  $d w z A $.
    nfcrii.1 $e |- F/_ x A $.
    $( Obsolete version of ~ nfcri as of 3-Jun-2024.  (Contributed by Mario
       Carneiro, 11-Aug-2016.)  Avoid ~ ax-10 , ~ ax-11 .  (Revised by Gino
       Giotto, 23-May-2024.)  Avoid ~ ax-12 .  (Revised by SN, 26-May-2024.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    nfcriOLD $p |- F/ x y e. A $=
      ( vz vw cv wcel wnf weq eleq1w nfbidv wnfc wal wex wi df-nfc biimpi df-nf
      albii exbidv albidv imbi12d spw sylbi mp2b nfi chvarvv ) EGCHZAIZBGCHZAIE
      BEBJUIUKAEBCKLUIAACMZUJENZUIAOZUIANZPZDULUMAECQRUMUPENUPUJUPEUIASTUPFGCHZ
      AOZUQANZPEFEFJZUNURUOUSUTUIUQAEFCKZUAUTUIUQAVAUBUCUDUEUFUGUH $.

    $( Obsolete version of ~ nfcri as of 26-May-2024.  (Contributed by Mario
       Carneiro, 11-Aug-2016.)  Avoid ~ ax-10 , ~ ax-11 .  (Revised by Gino
       Giotto, 23-May-2024.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    nfcriOLDOLD $p |- F/ x y e. A $=
      ( vz cv wcel wnf weq eleq1w nfbidv wnfc wal wex df-nfc biimpi df-nf albii
      wi sp sylbi mp2b nfi chvarvv ) EFCGZAHZBFCGZAHEBEBIUEUGAEBCJKUEAACLZUFEMZ
      UEANUEAMSZDUHUIAECOPUIUJEMUJUFUJEUEAQRUJETUAUBUCUD $.

    $( Consequence of the not-free predicate.  (Contributed by Mario Carneiro,
       11-Aug-2016.)  Avoid ~ ax-10 , ~ ax-11 .  (Revised by Gino Giotto,
       23-May-2024.) $)
    nfcrii $p |- ( y e. A -> A. x y e. A ) $=
      ( cv wcel nfcri nf5ri ) BECFAABCDGH $.
    $( $j usage 'nfcrii' avoids 'ax-10' 'ax-11'; $)
  $}

  ${
    $d x y z $.  $d z A $.
    nfcriOLD.1 $e |- F/_ x A $.
    $( Obsolete version of ~ nfcrii as of 23-May-2024.  (Contributed by Mario
       Carneiro, 11-Aug-2016.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    nfcriiOLD $p |- ( y e. A -> A. x y e. A ) $=
      ( vz cv wcel wsb wal nfcri nfsbv nf5ri clelsb1 albii 3imtr3i ) EFCGZEBHZQ
      AIBFCGZRAIQAPEBAAECDJKLEBCMZQRASNO $.

    $( Obsolete version of ~ nfcri as of 23-May-2024.  (Contributed by Mario
       Carneiro, 11-Aug-2016.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    nfcriOLDOLDOLD $p |- F/ x y e. A $=
      ( cv wcel nfcrii nf5i ) BECFAABCDGH $.
  $}

  ${
    $d x y $.  $d A y $.  $d B y $.  $d ph y $.
    nfceqdf.1 $e |- F/ x ph $.
    nfceqdf.2 $e |- ( ph -> A = B ) $.
    $( An equality theorem for effectively not free.  (Contributed by Mario
       Carneiro, 14-Oct-2016.)  Avoid ~ ax-8 and ~ df-clel .  (Revised by WL
       and SN, 23-Aug-2024.) $)
    nfceqdf $p |- ( ph -> ( F/_ x A <-> F/_ x B ) ) $=
      ( vy cv wcel wnf wal wnfc wceq eleq2w2 syl nfbidf albidv df-nfc 3bitr4g
      wb ) AGHZCIZBJZGKUADIZBJZGKBCLBDLAUCUEGAUBUDBEACDMUBUDTFGCDNOPQBGCRBGDRS
      $.
    $( $j usage 'nfceqdf' avoids 'ax-8' 'ax-10' 'ax-11' 'ax-13' 'df-clab'
       'df-clel'; $)

    $( Obsolete version of ~ nfceqdf as of 23-Aug-2024.  (Contributed by Mario
       Carneiro, 14-Oct-2016.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    nfceqdfOLD $p |- ( ph -> ( F/_ x A <-> F/_ x B ) ) $=
      ( vy cv wcel wnf wal wnfc eleq2d nfbidf albidv df-nfc 3bitr4g ) AGHZCIZBJ
      ZGKRDIZBJZGKBCLBDLATUBGASUABEACDRFMNOBGCPBGDPQ $.
  $}

  ${
    $d x y $.  $d A y $.  $d B y $.
    nfceqi.1 $e |- A = B $.
    $( Equality theorem for class not-free.  (Contributed by Mario Carneiro,
       11-Aug-2016.)  (Proof shortened by Wolf Lammen, 16-Nov-2019.)  Avoid
       ~ ax-12 .  (Revised by Wolf Lammen, 19-Jun-2023.) $)
    nfceqi $p |- ( F/_ x A <-> F/_ x B ) $=
      ( vy cv wcel wnf wal wnfc eleq2i nfbii albii df-nfc 3bitr4i ) EFZBGZAHZEI
      PCGZAHZEIABJACJRTEQSABCPDKLMAEBNAECNO $.
    $( $j usage 'nfceqi' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13' 'df-clab' ; $)
  $}

  ${
    nfcxfr.1 $e |- A = B $.
    ${
      nfcxfr.2 $e |- F/_ x B $.
      $( A utility lemma to transfer a bound-variable hypothesis builder into a
         definition.  (Contributed by Mario Carneiro, 11-Aug-2016.) $)
      nfcxfr $p |- F/_ x A $=
        ( wnfc nfceqi mpbir ) ABFACFEABCDGH $.
    $}

    ${
      nfcxfrd.2 $e |- ( ph -> F/_ x B ) $.
      $( A utility lemma to transfer a bound-variable hypothesis builder into a
         definition.  (Contributed by Mario Carneiro, 11-Aug-2016.) $)
      nfcxfrd $p |- ( ph -> F/_ x A ) $=
        ( wnfc nfceqi sylibr ) ABDGBCGFBCDEHI $.
    $}
  $}

  ${
    $d x y A $.
    $( If ` x ` is disjoint from ` A ` , then ` x ` is not free in ` A ` .
       (Contributed by Mario Carneiro, 11-Aug-2016.) $)
    nfcv $p |- F/_ x A $=
      ( vy cv wcel nfv nfci ) ACBCDBEAFG $.

    $( If ` x ` is disjoint from ` A ` , then ` x ` is not free in ` A ` .
       (Contributed by Mario Carneiro, 7-Oct-2016.) $)
    nfcvd $p |- ( ph -> F/_ x A ) $=
      ( wnfc nfcv a1i ) BCDABCEF $.
  $}

  ${
    $d x y $.  $d y A $.  $d y ph $.
    $( Bound-variable hypothesis builder for a class abstraction.  (Contributed
       by Mario Carneiro, 11-Aug-2016.) $)
    nfab1 $p |- F/_ x { x | ph } $=
      ( vy cab nfsab1 nfci ) BCABDABCEF $.

    $( The setvar ` x ` is bound in ` F/_ x A ` .  (Contributed by Mario
       Carneiro, 11-Aug-2016.) $)
    nfnfc1 $p |- F/ x F/_ x A $=
      ( vy wnfc cv wcel wnf wal df-nfc nfnf1 nfal nfxfr ) ABDCEBFZAGZCHAACBINAC
      MAJKL $.
  $}

  ${
    $d w x $.  $d w A $.  $d x y $.
    clelsb1fw.1 $e |- F/_ x A $.
    $( Substitution for the first argument of the membership predicate in an
       atomic formula (class version of ~ elsb1 ).  Version of ~ clelsb1f with
       a disjoint variable condition, which does not require ~ ax-13 .
       (Contributed by Rodolfo Medina, 28-Apr-2010.)  (Revised by Gino Giotto,
       10-Jan-2024.) $)
    clelsb1fw $p |- ( [ y / x ] x e. A <-> y e. A ) $=
      ( vw cv wcel wsb nfcri sbco2v clelsb1 sbbii 3bitr3i ) EFCGZEAHZABHNEBHAFC
      GZABHBFCGNEBAAECDIJOPABEACKLEBCKM $.
    $( $j usage 'clelsb1fw' avoids 'ax-13'; $)
  $}

  ${
    $d w x $.  $d w A $.  $d w y $.
    clelsb1f.1 $e |- F/_ x A $.
    $( Substitution for the first argument of the membership predicate in an
       atomic formula (class version of ~ elsb1 ).  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  See ~ clelsb1fw not
       requiring ~ ax-13 , but extra disjoint variables.  (Contributed by
       Rodolfo Medina, 28-Apr-2010.)  (Proof shortened by Andrew Salmon,
       14-Jun-2011.)  (Revised by Thierry Arnoux, 13-Mar-2017.)  (Proof
       shortened by Wolf Lammen, 7-May-2023.)  (New usage is discouraged.) $)
    clelsb1f $p |- ( [ y / x ] x e. A <-> y e. A ) $=
      ( vw cv wcel wsb nfcri sbco2 clelsb1 sbbii 3bitr3i ) EFCGZEAHZABHNEBHAFCG
      ZABHBFCGNEBAAECDIJOPABEACKLEBCKM $.
  $}

  ${
    $d x y z $.  $d z ph $.
    nfab.1 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for a class abstraction.  (Contributed
       by Mario Carneiro, 11-Aug-2016.)  Add disjoint variable condition to
       avoid ~ ax-13 .  See ~ nfabg for a less restrictive version requiring
       more axioms.  (Revised by Gino Giotto, 20-Jan-2024.) $)
    nfab $p |- F/_ x { y | ph } $=
      ( vz cab nfsab nfci ) BEACFABCEDGH $.
    $( $j usage 'nfab' avoids 'ax-13'; $)
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.
    nfabg.1 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for a class abstraction.  Usage of
       this theorem is discouraged because it depends on ~ ax-13 .  See ~ nfab
       for a version with more disjoint variable conditions, but not requiring
       ~ ax-13 .  (Contributed by Mario Carneiro, 11-Aug-2016.)
       (New usage is discouraged.) $)
    nfabg $p |- F/_ x { y | ph } $=
      ( vz cab nfsabg nfci ) BEACFABCEDGH $.
  $}

  ${
    $d x y $.
    $( Bound-variable hypothesis builder for a class abstraction.  (Contributed
       by Mario Carneiro, 14-Oct-2016.)  Add disjoint variable condition to
       avoid ~ ax-13 .  See ~ nfaba1g for a less restrictive version requiring
       more axioms.  (Revised by Gino Giotto, 20-Jan-2024.) $)
    nfaba1 $p |- F/_ x { y | A. x ph } $=
      ( wal nfa1 nfab ) ABDBCABEF $.
    $( $j usage 'nfaba1' avoids 'ax-13'; $)
  $}

  $( Bound-variable hypothesis builder for a class abstraction.  Usage of this
     theorem is discouraged because it depends on ~ ax-13 .  See ~ nfaba1 for a
     version with a disjoint variable condition, but not requiring ~ ax-13 .
     (Contributed by Mario Carneiro, 14-Oct-2016.)
     (New usage is discouraged.) $)
  nfaba1g $p |- F/_ x { y | A. x ph } $=
    ( wal nfa1 nfabg ) ABDBCABEF $.

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y ph $.
    nfeqd.1 $e |- ( ph -> F/_ x A ) $.
    nfeqd.2 $e |- ( ph -> F/_ x B ) $.
    $( Hypothesis builder for equality.  (Contributed by Mario Carneiro,
       7-Oct-2016.) $)
    nfeqd $p |- ( ph -> F/ x A = B ) $=
      ( vy wceq cv wcel wb wal dfcleq nfv wnf wnfc df-nfc sylib 19.21bi nfbid
      nfald nfxfrd ) CDHGIZCJZUCDJZKZGLABGCDMAUFBGAGNAUDUEBAUDBOZGABCPUGGLEBGCQ
      RSAUEBOZGABDPUHGLFBGDQRSTUAUB $.
    $( $j usage 'nfeqd' avoids 'ax-8'; $)

    $( Hypothesis builder for elementhood.  (Contributed by Mario Carneiro,
       7-Oct-2016.) $)
    nfeld $p |- ( ph -> F/ x A e. B ) $=
      ( vy wcel cv wceq wa wex dfclel nfv nfcvd nfeqd nfcrd nfand nfexd nfxfrd
      ) CDHGIZCJZUADHZKZGLABGCDMAUDBGAGNAUBUCBABUACABUAOEPABGDFQRST $.
  $}

  ${
    $d x z $.  $d y z $.  $d z A $.  $d z B $.
    nfnfc.1 $e |- F/_ x A $.
    $( Hypothesis builder for ` F/_ y A ` .  (Contributed by Mario Carneiro,
       11-Aug-2016.)  Remove dependency on ~ ax-13 .  (Revised by Wolf Lammen,
       10-Dec-2019.) $)
    nfnfc $p |- F/ x F/_ y A $=
      ( vz wnfc cv wcel wnf wal df-nfc mpbi spi nfnf nfal nfxfr ) BCFEGCHZBIZEJ
      ABECKRAEQABQAIZEACFSEJDAECKLMNOP $.
    $( $j usage 'nfnfc' avoids 'ax-8' 'ax-13'; $)

    nfeq.2 $e |- F/_ x B $.
    $( Hypothesis builder for equality.  (Contributed by NM, 21-Jun-1993.)
       (Revised by Mario Carneiro, 11-Aug-2016.)  (Proof shortened by Wolf
       Lammen, 16-Nov-2019.) $)
    nfeq $p |- F/ x A = B $=
      ( wceq wnf wtru wnfc a1i nfeqd mptru ) BCFAGHABCABIHDJACIHEJKL $.

    $( Hypothesis builder for elementhood.  (Contributed by NM, 1-Aug-1993.)
       (Revised by Mario Carneiro, 11-Aug-2016.)  (Proof shortened by Wolf
       Lammen, 16-Nov-2019.) $)
    nfel $p |- F/ x A e. B $=
      ( wcel wnf wtru wnfc a1i nfeld mptru ) BCFAGHABCABIHDJACIHEJKL $.
  $}

  ${
    $d x B $.
    nfeq1.1 $e |- F/_ x A $.
    $( Hypothesis builder for equality, special case.  (Contributed by Mario
       Carneiro, 10-Oct-2016.) $)
    nfeq1 $p |- F/ x A = B $=
      ( nfcv nfeq ) ABCDACEF $.

    $( Hypothesis builder for elementhood, special case.  (Contributed by Mario
       Carneiro, 10-Oct-2016.) $)
    nfel1 $p |- F/ x A e. B $=
      ( nfcv nfel ) ABCDACEF $.
  $}

  ${
    $d x A $.
    nfeq2.1 $e |- F/_ x B $.
    $( Hypothesis builder for equality, special case.  (Contributed by Mario
       Carneiro, 10-Oct-2016.) $)
    nfeq2 $p |- F/ x A = B $=
      ( nfcv nfeq ) ABCABEDF $.

    $( Hypothesis builder for elementhood, special case.  (Contributed by Mario
       Carneiro, 10-Oct-2016.) $)
    nfel2 $p |- F/ x A e. B $=
      ( nfcv nfel ) ABCABEDF $.
  $}

  ${
    $d w x $.  $d w y $.  $d w z $.  $d w A $.  $d w B $.
    drnfc1.1 $e |- ( A. x x = y -> A = B ) $.
    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by Mario Carneiro, 8-Oct-2016.)  Avoid ~ ax-8 , ~ ax-11 .
       (Revised by Wolf Lammen, 22-Sep-2024.)  (New usage is discouraged.) $)
    drnfc1 $p |- ( A. x x = y -> ( F/_ x A <-> F/_ y B ) ) $=
      ( vw weq wal cv wcel wnf wnfc wceq wb eleq2w2 drnf1 albidv df-nfc 3bitr4g
      syl ) ABGAHZFIZCJZAKZFHUBDJZBKZFHACLBDLUAUDUFFUCUEABUACDMUCUENEFCDOTPQAFC
      RBFDRS $.
    $( $j usage 'drnfc1' avoids 'ax-8' 'ax-11'; $)

    $( Obsolete version of ~ drnfc1 as of 22-Sep-2024.  (Contributed by Mario
       Carneiro, 8-Oct-2016.)  Avoid ~ ax-11 .  (Revised by Wolf Lammen,
       10-May-2023.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    drnfc1OLD $p |- ( A. x x = y -> ( F/_ x A <-> F/_ y B ) ) $=
      ( vw weq wal cv wcel wnf wnfc eleq2d drnf1 albidv df-nfc 3bitr4g ) ABGAHZ
      FIZCJZAKZFHSDJZBKZFHACLBDLRUAUCFTUBABRCDSEMNOAFCPBFDPQ $.

    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Proof revision is marked as discouraged because the minimizer replaces
       ~ albidv with ~ dral2 , leading to a one byte longer proof.  However
       feel free to manually edit it according to conventions.  (TODO: ~ dral2
       depends on ~ ax-13 , hence its usage during minimizing is discouraged.
       Check in the long run whether this is a permanent restriction).  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by Mario Carneiro, 8-Oct-2016.)  Avoid ~ ax-8 .  (Revised
       by Wolf Lammen, 22-Sep-2024.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    drnfc2 $p |- ( A. x x = y -> ( F/_ z A <-> F/_ z B ) ) $=
      ( vw weq wal cv wcel wnf wnfc wceq wb eleq2w2 syl drnf2 albidv df-nfc
      3bitr4g ) ABHAIZGJZDKZCLZGIUCEKZCLZGICDMCEMUBUEUGGUDUFABCUBDENUDUFOFGDEPQ
      RSCGDTCGETUA $.

    $( Obsolete version of ~ drnfc2 as of 22-Sep-2024.  (Contributed by Mario
       Carneiro, 8-Oct-2016.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    drnfc2OLD $p |- ( A. x x = y -> ( F/_ z A <-> F/_ z B ) ) $=
      ( vw weq wal cv wcel wnf wnfc eleq2d drnf2 albidv df-nfc 3bitr4g ) ABHAIZ
      GJZDKZCLZGITEKZCLZGICDMCEMSUBUDGUAUCABCSDETFNOPCGDQCGEQR $.
  $}

  ${
    $d x y z $.  $d z ph $.  $d z ps $.
    nfabdw.1 $e |- F/ y ph $.
    nfabdw.2 $e |- ( ph -> F/ x ps ) $.
    $( Bound-variable hypothesis builder for a class abstraction.  Version of
       ~ nfabd with a disjoint variable condition, which does not require
       ~ ax-13 .  (Contributed by Mario Carneiro, 8-Oct-2016.)  (Revised by
       Gino Giotto, 10-Jan-2024.)  (Proof shortened by Wolf Lammen,
       23-Sep-2024.) $)
    nfabdw $p |- ( ph -> F/_ x { y | ps } ) $=
      ( vz cab nfv cv wcel weq wi wal wsb df-clab sb6 bitri nfvd nfimd nfxfrd
      nfald nfcd ) ACGBDHZAGIGJUDKZDGLZBMZDNZACUEBDGOUHBGDPBDGQRAUGCDEAUFBCAUFC
      SFTUBUAUC $.
    $( $j usage 'nfabdw' avoids 'ax-9' 'ax-13' 'ax-ext'; $)

    $( Obsolete version of ~ nfabdw as of 23-Sep-2024.  (Contributed by Mario
       Carneiro, 8-Oct-2016.)  (Revised by Gino Giotto, 10-Jan-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    nfabdwOLD $p |- ( ph -> F/_ x { y | ps } ) $=
      ( vz cab nfv cv wcel wsb df-clab wnf wal alrimi wi weq nfim1 nfal nfa1 wb
      sb6 biimpri axc4i syl6bi nf5d sbequ12 imbi2d equsalv bicomi nfnf1 sp nfim
      a1i nfxfr pm5.5 nfbidf mpbii syl nfxfrd nfcd ) ACGBDHZAGIGJVCKBDGLZACBGDM
      ABCNZDOZVDCNZAVEDEFPVFVFVDQZCNVGVHDGRZVFBQZQZDOZCVLVHVJVHDGVFVDDVEDUAZVFV
      DDVMVFVDVIBQZDOZVDDOVDVOUBVFBDGUCZUOVNVDDVDVOVPUDUEUFUGSVIBVDVFBDGUHUIUJU
      KVKCDVIVJCVICIVFBCVECDBCULTZVEDUMSUNTUPVFVHVDCVQVFVDUQURUSUTVAVB $.
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.  $d z ps $.
    nfabd.1 $e |- F/ y ph $.
    nfabd.2 $e |- ( ph -> F/ x ps ) $.
    $( Bound-variable hypothesis builder for a class abstraction.  Usage of
       this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ nfabdw when possible.  (Contributed by Mario Carneiro,
       8-Oct-2016.)  Avoid ~ ax-9 and ~ ax-ext .  (Revised by Wolf Lammen,
       23-May-2023.)  (New usage is discouraged.) $)
    nfabd $p |- ( ph -> F/_ x { y | ps } ) $=
      ( vz cab nfv cv wcel wsb df-clab nfsbd nfxfrd nfcd ) ACGBDHZAGIGJQKBDGLAC
      BGDMABDGCEFNOP $.
    $( $j usage 'nfabd' avoids 'ax-9' 'ax-ext'; $)
  $}

  ${
    nfabd2.1 $e |- F/ y ph $.
    nfabd2.2 $e |- ( ( ph /\ -. A. x x = y ) -> F/ x ps ) $.
    $( Bound-variable hypothesis builder for a class abstraction.  Usage of
       this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by Mario Carneiro, 8-Oct-2016.)  (Proof shortened by Wolf
       Lammen, 10-May-2023.)  (New usage is discouraged.) $)
    nfabd2 $p |- ( ph -> F/_ x { y | ps } ) $=
      ( weq wal cab wnfc wn wa nfnae nfan nfabd ex nfab1 eqidd drnfc1 mpbiri
      pm2.61d2 ) ACDGCHZCBDIZJZAUBKZUDAUELBCDAUEDECDDMNFOPUBUDDUCJBDQCDUCUCUBUC
      RSTUA $.
  $}

  ${
    $d w x $.  $d w y $.  $d w z $.  $d w A $.  $d w B $.  $d w ph $.
    dvelimdc.1 $e |- F/ x ph $.
    dvelimdc.2 $e |- F/ z ph $.
    dvelimdc.3 $e |- ( ph -> F/_ x A ) $.
    dvelimdc.4 $e |- ( ph -> F/_ z B ) $.
    dvelimdc.5 $e |- ( ph -> ( z = y -> A = B ) ) $.
    $( Deduction form of ~ dvelimc .  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  (Contributed by Mario Carneiro,
       8-Oct-2016.)  (New usage is discouraged.) $)
    dvelimdc $p |- ( ph -> ( -. A. x x = y -> F/_ x B ) ) $=
      ( vw weq wal wn wnfc wa nfv wcel nfcrd cv wnf wceq wb eleq2 syl6 dvelimdf
      imp nfcd ex ) ABCMBNOZBFPAUKQZBLFULLRAUKLUAZFSZBUBAUMESZUNBCDGHABLEITADLF
      JTADCMEFUCUOUNUDKEFUMUEUFUGUHUIUJ $.
  $}

  ${
    dvelimc.1 $e |- F/_ x A $.
    dvelimc.2 $e |- F/_ z B $.
    dvelimc.3 $e |- ( z = y -> A = B ) $.
    $( Version of ~ dvelim for classes.  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  (Contributed by Mario Carneiro,
       8-Oct-2016.)  (New usage is discouraged.) $)
    dvelimc $p |- ( -. A. x x = y -> F/_ x B ) $=
      ( weq wal wn wnfc wi wtru nftru a1i wceq dvelimdc mptru ) ABIAJKAELMNABCD
      EAOCOADLNFPCELNGPCBIDEQMNHPRS $.
  $}

  ${
    $d x w z $.  $d y w z $.
    $( If ` x ` and ` y ` are distinct, then ` x ` is not free in ` y ` .
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       See ~ nfcv for a version that replaces the distinctor with a disjoint
       variable condition, requiring fewer axioms.  (Contributed by Mario
       Carneiro, 8-Oct-2016.)  Avoid ~ ax-ext .  (Revised by Wolf Lammen,
       10-May-2023.)  (New usage is discouraged.) $)
    nfcvf $p |- ( -. A. x x = y -> F/_ x y ) $=
      ( vw vz weq wal wn cv nfv wel elequ2 dvelimnf nfcd ) ABEAFGZACBHNCICDJZCB
      JABDOAIDBCKLM $.
    $( $j usage 'nfcvf' avoids 'ax-ext'; $)

    $( If ` x ` and ` y ` are distinct, then ` y ` is not free in ` x ` .
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       See ~ nfcv for a version that replaces the distinctor with a disjoint
       variable condition, requiring fewer axioms.  (Contributed by Mario
       Carneiro, 5-Dec-2016.)  (New usage is discouraged.) $)
    nfcvf2 $p |- ( -. A. x x = y -> F/_ y x ) $=
      ( cv wnfc nfcvf naecoms ) BACDBABAEF $.
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    cleqf.1 $e |- F/_ x A $.
    cleqf.2 $e |- F/_ x B $.
    $( Establish equality between classes, using bound-variable hypotheses
       instead of distinct variable conditions as in ~ dfcleq .  See also
       ~ cleqh .  (Contributed by NM, 26-May-1993.)  (Revised by Mario
       Carneiro, 7-Oct-2016.)  (Proof shortened by Wolf Lammen, 17-Nov-2019.)
       Avoid ~ ax-13 .  (Revised by Wolf Lammen, 10-May-2023.)  Avoid ~ ax-10 .
       (Revised by Gino Giotto, 20-Aug-2023.) $)
    cleqf $p |- ( A = B <-> A. x ( x e. A <-> x e. B ) ) $=
      ( vy wceq cv wcel wb wal dfcleq nfv nfcri nfbi weq eleq1w bibi12d cbvalv1
      bitr4i ) BCGFHZBIZUACIZJZFKAHZBIZUECIZJZAKFBCLUHUDAFUHFMUBUCAAFBDNAFCENOA
      FPUFUBUGUCAFBQAFCQRST $.
    $( $j usage 'cleqf' avoids 'ax-10' 'ax-13'; $)
  $}

  ${
    abid2f.1 $e |- F/_ x A $.
    $( A simplification of class abstraction.  Theorem 5.2 of [Quine] p. 35.
       (Contributed by NM, 5-Sep-2011.)  (Revised by Mario Carneiro,
       7-Oct-2016.)  (Proof shortened by Wolf Lammen, 17-Nov-2019.) $)
    abid2f $p |- { x | x e. A } = A $=
      ( cv wcel cab wceq wb nfab1 cleqf abid mpgbir ) ADZBEZAFZBGMOENHAAOBNAICJ
      NAKL $.
  $}

  ${
    abeq2f.0 $e |- F/_ x A $.
    $( Equality of a class variable and a class abstraction.  In this version,
       the fact that ` x ` is a nonfree variable in ` A ` is explicitly stated
       as a hypothesis.  (Contributed by Thierry Arnoux, 11-May-2017.)  Avoid
       ~ ax-13 .  (Revised by Wolf Lammen, 13-May-2023.) $)
    abeq2f $p |- ( A = { x | ph } <-> A. x ( x e. A <-> ph ) ) $=
      ( cab wceq cv wcel wb wal nfab1 cleqf abid bibi2i albii bitri ) CABEZFBGZ
      CHZRQHZIZBJSAIZBJBCQDABKLUAUBBTASABMNOP $.
    $( $j usage 'abeq2f' avoids 'ax-13'; $)
  $}

  ${
    $d v A $.  $d x z v $.  $d y z v $.  $d v ph $.
    sbabel.1 $e |- F/_ x A $.
    $( Theorem to move a substitution in and out of a class abstraction.
       (Contributed by NM, 27-Sep-2003.)  (Revised by Mario Carneiro,
       7-Oct-2016.)  (Proof shortened by Wolf Lammen, 28-Oct-2024.) $)
    sbabel $p |- ( [ y / x ] { z | ph } e. A <-> { z | [ y / x ] ph } e. A ) $=
      ( vv cab wcel wsb cv wel wb wal wa wex clabel sbbii sbex sban nfcri sbalv
      sbf sbv sbrbis anbi12i bitri exbii 3bitri bitr4i ) ADHEIZBCJZGKEIZDGLZABC
      JZMZDNZOZGPZUODHEIULUMUNAMZDNZOZGPZBCJVBBCJZGPUSUKVCBCADGEQRVBGBCSVDURGVD
      UMBCJZVABCJZOURUMVABCTVEUMVFUQUMBCBGEFUAUCUTUPBCDUNUNABCUNBCUDUEUBUFUGUHU
      IUODGEQUJ $.

    $( Obsolete version of ~ sbabel as of 28-Oct-2024.  (Contributed by NM,
       27-Sep-2003.)  (Revised by Mario Carneiro, 7-Oct-2016.)  (Proof
       shortened by Wolf Lammen, 26-Dec-2019.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    sbabelOLD $p |- ( [ y / x ] { z | ph } e. A
                                         <-> { z | [ y / x ] ph } e. A ) $=
      ( vv cv wcel wel wb wal wa wex wsb cab sbex sbf bitri clabel nfcri sbrbis
      sban nfv sbalv anbi12i exbii sbbii 3bitr4i ) GHEIZDGJZAKZDLZMZGNZBCOZUJUK
      ABCOZKZDLZMZGNZADPEIZBCOUQDPEIUPUNBCOZGNVAUNGBCQVCUTGVCUJBCOZUMBCOZMUTUJU
      MBCUCVDUJVEUSUJBCBGEFUARULURBCDUKUKABCUKBCUKBUDRUBUEUFSUGSVBUOBCADGETUHUQ
      DGETUI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Negated equality and membership
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Negated equality
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c =/= $.  $( Not equal to (equal sign with slash through it). $)

  $( Extend wff notation to include inequality. $)
  wne $a wff A =/= B $.

  $( Define inequality.  (Contributed by NM, 26-May-1993.) $)
  df-ne $a |- ( A =/= B <-> -. A = B ) $.

  ${
    neii.1 $e |- A =/= B $.
    $( Inference associated with ~ df-ne .  (Contributed by BJ, 7-Jul-2018.) $)
    neii $p |- -. A = B $=
      ( wne wceq wn df-ne mpbi ) ABDABEFCABGH $.
  $}

  ${
    neir.1 $e |- -. A = B $.
    $( Inference associated with ~ df-ne .  (Contributed by BJ, 7-Jul-2018.) $)
    neir $p |- A =/= B $=
      ( wne wceq wn df-ne mpbir ) ABDABEFCABGH $.
  $}

  $( Negation of inequality.  (Contributed by NM, 9-Jun-2006.) $)
  nne $p |- ( -. A =/= B <-> A = B ) $=
    ( wceq wne wn df-ne con2bii bicomi ) ABCZABDZEJIABFGH $.

  ${
    neneqd.1 $e |- ( ph -> A =/= B ) $.
    $( Deduction eliminating inequality definition.  (Contributed by Jonathan
       Ben-Naim, 3-Jun-2011.) $)
    neneqd $p |- ( ph -> -. A = B ) $=
      ( wne wceq wn df-ne sylib ) ABCEBCFGDBCHI $.
  $}

  $( From inequality to non-equality.  (Contributed by Glauco Siliprandi,
     11-Dec-2019.) $)
  neneq $p |- ( A =/= B -> -. A = B ) $=
    ( wne id neneqd ) ABCZABFDE $.

  ${
    neqned.1 $e |- ( ph -> -. A = B ) $.
    $( If it is not the case that two classes are equal, then they are unequal.
       Converse of ~ neneqd .  One-way deduction form of ~ df-ne .
       (Contributed by David Moews, 28-Feb-2017.)  Allow a shortening of
       ~ necon3bi .  (Revised by Wolf Lammen, 22-Nov-2019.) $)
    neqned $p |- ( ph -> A =/= B ) $=
      ( wceq wn wne df-ne sylibr ) ABCEFBCGDBCHI $.
  $}

  $( From non-equality to inequality.  (Contributed by Glauco Siliprandi,
     11-Dec-2019.) $)
  neqne $p |- ( -. A = B -> A =/= B ) $=
    ( wceq wn id neqned ) ABCDZABGEF $.

  $( No class is unequal to itself.  Inequality is irreflexive.  (Contributed
     by Stefan O'Rear, 1-Jan-2015.) $)
  neirr $p |- -. A =/= A $=
    ( wne wn wceq eqid nne mpbir ) AABCAADAEAAFG $.

  $( Excluded middle with equality and inequality.  (Contributed by NM,
     3-Feb-2012.)  (Proof shortened by Wolf Lammen, 17-Nov-2019.) $)
  exmidne $p |- ( A = B \/ A =/= B ) $=
    ( wceq wne neqne orri ) ABCABDABEF $.

  $( A contradiction concerning equality implies anything.  (Contributed by
     Alexander van der Vekens, 25-Jan-2018.) $)
  eqneqall $p |- ( A = B -> ( A =/= B -> ph ) ) $=
    ( wne wceq wn df-ne pm2.24 syl5bi ) BCDBCEZFJABCGJAHI $.

  $( Law of noncontradiction with equality and inequality.  (Contributed by NM,
     3-Feb-2012.)  (Proof shortened by Wolf Lammen, 21-Dec-2019.) $)
  nonconne $p |- -. ( A = B /\ A =/= B ) $=
    ( wceq wne wa wfal fal eqneqall imp mto ) ABCZABDZEFGKLFFABHIJ $.

  ${
    necon3ad.1 $e |- ( ph -> ( ps -> A = B ) ) $.
    $( Contrapositive law deduction for inequality.  (Contributed by NM,
       2-Apr-2007.)  (Proof shortened by Andrew Salmon, 25-May-2011.)  (Proof
       shortened by Wolf Lammen, 23-Nov-2019.) $)
    necon3ad $p |- ( ph -> ( A =/= B -> -. ps ) ) $=
      ( wceq wne neneq nsyli ) ABCDFCDGECDHI $.
  $}

  ${
    necon3bd.1 $e |- ( ph -> ( A = B -> ps ) ) $.
    $( Contrapositive law deduction for inequality.  (Contributed by NM,
       2-Apr-2007.)  (Proof shortened by Andrew Salmon, 25-May-2011.) $)
    necon3bd $p |- ( ph -> ( -. ps -> A =/= B ) ) $=
      ( wne wn wceq nne syl5bi con1d ) ACDFZBLGCDHABCDIEJK $.
  $}

  ${
    necon2ad.1 $e |- ( ph -> ( A = B -> -. ps ) ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       19-Apr-2007.)  (Proof shortened by Andrew Salmon, 25-May-2011.)  (Proof
       shortened by Wolf Lammen, 23-Nov-2019.) $)
    necon2ad $p |- ( ph -> ( ps -> A =/= B ) ) $=
      ( wn wne notnot necon3bd syl5 ) BBFZFACDGBHAKCDEIJ $.
  $}

  ${
    necon2bd.1 $e |- ( ph -> ( ps -> A =/= B ) ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       13-Apr-2007.) $)
    necon2bd $p |- ( ph -> ( A = B -> -. ps ) ) $=
      ( wceq wne wn df-ne syl6ib con2d ) ABCDFZABCDGLHECDIJK $.
  $}

  ${
    necon1ad.1 $e |- ( ph -> ( -. ps -> A = B ) ) $.
    $( Contrapositive deduction for inequality.  (Contributed by NM,
       2-Apr-2007.)  (Proof shortened by Wolf Lammen, 23-Nov-2019.) $)
    necon1ad $p |- ( ph -> ( A =/= B -> ps ) ) $=
      ( wne wn necon3ad notnotr syl6 ) ACDFBGZGBAKCDEHBIJ $.
  $}

  ${
    necon1bd.1 $e |- ( ph -> ( A =/= B -> ps ) ) $.
    $( Contrapositive deduction for inequality.  (Contributed by NM,
       21-Mar-2007.)  (Proof shortened by Andrew Salmon, 25-May-2011.)  (Proof
       shortened by Wolf Lammen, 23-Nov-2019.) $)
    necon1bd $p |- ( ph -> ( -. ps -> A = B ) ) $=
      ( wceq wn wne df-ne syl5bir con1d ) ACDFZBLGCDHABCDIEJK $.
  $}

  ${
    necon4ad.1 $e |- ( ph -> ( A =/= B -> -. ps ) ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       2-Apr-2007.)  (Proof shortened by Andrew Salmon, 25-May-2011.)  (Proof
       shortened by Wolf Lammen, 23-Nov-2019.) $)
    necon4ad $p |- ( ph -> ( ps -> A = B ) ) $=
      ( wn wceq notnot necon1bd syl5 ) BBFZFACDGBHAKCDEIJ $.
  $}

  ${
    necon4bd.1 $e |- ( ph -> ( -. ps -> A =/= B ) ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       1-Jun-2007.)  (Proof shortened by Andrew Salmon, 25-May-2011.)  (Proof
       shortened by Wolf Lammen, 23-Nov-2019.) $)
    necon4bd $p |- ( ph -> ( A = B -> ps ) ) $=
      ( wceq wn necon2bd notnotr syl6 ) ACDFBGZGBAKCDEHBIJ $.
  $}

  ${
    necon3d.1 $e |- ( ph -> ( A = B -> C = D ) ) $.
    $( Contrapositive law deduction for inequality.  (Contributed by NM,
       10-Jun-2006.) $)
    necon3d $p |- ( ph -> ( C =/= D -> A =/= B ) ) $=
      ( wne wceq wn necon3ad df-ne syl6ibr ) ADEGBCHZIBCGAMDEFJBCKL $.
  $}

  ${
    necon1d.1 $e |- ( ph -> ( A =/= B -> C = D ) ) $.
    $( Contrapositive law deduction for inequality.  (Contributed by NM,
       28-Dec-2008.)  (Proof shortened by Andrew Salmon, 25-May-2011.) $)
    necon1d $p |- ( ph -> ( C =/= D -> A = B ) ) $=
      ( wne wceq wn nne syl6ibr necon4ad ) ADEGZBCABCGDEHMIFDEJKL $.
  $}

  ${
    necon2d.1 $e |- ( ph -> ( A = B -> C =/= D ) ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       28-Dec-2008.) $)
    necon2d $p |- ( ph -> ( C = D -> A =/= B ) ) $=
      ( wceq wne wn df-ne syl6ib necon2ad ) ADEGZBCABCGDEHMIFDEJKL $.
  $}

  ${
    necon4d.1 $e |- ( ph -> ( A =/= B -> C =/= D ) ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       2-Apr-2007.)  (Proof shortened by Andrew Salmon, 25-May-2011.) $)
    necon4d $p |- ( ph -> ( C = D -> A = B ) ) $=
      ( wceq wne wn necon2bd nne syl6ib ) ADEGBCHZIBCGAMDEFJBCKL $.
  $}

  ${
    necon3ai.1 $e |- ( ph -> A = B ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       23-May-2007.)  (Proof shortened by Andrew Salmon, 25-May-2011.)  (Proof
       shortened by Wolf Lammen, 28-Oct-2024.) $)
    necon3ai $p |- ( A =/= B -> -. ph ) $=
      ( wne wceq neneq nsyl ) BCEBCFABCGDH $.

    $( Obsolete version of ~ necon3ai as of 28-Oct-2024.  (Contributed by NM,
       23-May-2007.)  (Proof shortened by Andrew Salmon, 25-May-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    necon3aiOLD $p |- ( A =/= B -> -. ph ) $=
      ( wne wceq wn nne sylibr con2i ) ABCEZABCFKGDBCHIJ $.
  $}

  ${
    necon3bi.1 $e |- ( A = B -> ph ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       1-Jun-2007.)  (Proof shortened by Andrew Salmon, 25-May-2011.)  (Proof
       shortened by Wolf Lammen, 22-Nov-2019.) $)
    necon3bi $p |- ( -. ph -> A =/= B ) $=
      ( wn wceq con3i neqned ) AEBCBCFADGH $.
  $}

  ${
    necon1ai.1 $e |- ( -. ph -> A = B ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       12-Feb-2007.)  (Proof shortened by Wolf Lammen, 22-Nov-2019.) $)
    necon1ai $p |- ( A =/= B -> ph ) $=
      ( wne wn necon3ai notnotrd ) BCEAAFBCDGH $.
  $}

  ${
    necon1bi.1 $e |- ( A =/= B -> ph ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       18-Mar-2007.)  (Proof shortened by Andrew Salmon, 25-May-2011.)  (Proof
       shortened by Wolf Lammen, 22-Nov-2019.) $)
    necon1bi $p |- ( -. ph -> A = B ) $=
      ( wceq wn wne df-ne sylbir con1i ) BCEZAKFBCGABCHDIJ $.
  $}

  ${
    necon2ai.1 $e |- ( A = B -> -. ph ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       16-Jan-2007.)  (Proof shortened by Andrew Salmon, 25-May-2011.)  (Proof
       shortened by Wolf Lammen, 22-Nov-2019.) $)
    necon2ai $p |- ( ph -> A =/= B ) $=
      ( wceq con2i neqned ) ABCBCEADFG $.
  $}

  ${
    necon2bi.1 $e |- ( ph -> A =/= B ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       1-Apr-2007.) $)
    necon2bi $p |- ( A = B -> -. ph ) $=
      ( wceq neneqd con2i ) ABCEABCDFG $.
  $}

  ${
    necon4ai.1 $e |- ( A =/= B -> -. ph ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       16-Jan-2007.)  (Proof shortened by Andrew Salmon, 25-May-2011.)  (Proof
       shortened by Wolf Lammen, 22-Nov-2019.) $)
    necon4ai $p |- ( ph -> A = B ) $=
      ( wn wceq notnot necon1bi syl ) AAEZEBCFAGJBCDHI $.
  $}

  ${
    necon3i.1 $e |- ( A = B -> C = D ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       9-Aug-2006.)  (Proof shortened by Wolf Lammen, 22-Nov-2019.) $)
    necon3i $p |- ( C =/= D -> A =/= B ) $=
      ( wne wceq necon3ai neqned ) CDFABABGCDEHI $.
  $}

  ${
    necon1i.1 $e |- ( A =/= B -> C = D ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       18-Mar-2007.) $)
    necon1i $p |- ( C =/= D -> A = B ) $=
      ( wceq wn wne df-ne sylbir necon1ai ) ABFZCDLGABHCDFABIEJK $.
  $}

  ${
    necon2i.1 $e |- ( A = B -> C =/= D ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       18-Mar-2007.) $)
    necon2i $p |- ( C = D -> A =/= B ) $=
      ( wceq neneqd necon2ai ) CDFABABFCDEGH $.
  $}

  ${
    necon4i.1 $e |- ( A =/= B -> C =/= D ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       17-Mar-2007.)  (Proof shortened by Andrew Salmon, 25-May-2011.)  (Proof
       shortened by Wolf Lammen, 24-Nov-2019.) $)
    necon4i $p |- ( C = D -> A = B ) $=
      ( wceq wne neneqd necon4ai ) CDFABABGCDEHI $.
  $}

  ${
    necon3abid.1 $e |- ( ph -> ( A = B <-> ps ) ) $.
    $( Deduction from equality to inequality.  (Contributed by NM,
       21-Mar-2007.) $)
    necon3abid $p |- ( ph -> ( A =/= B <-> -. ps ) ) $=
      ( wne wceq wn df-ne notbid syl5bb ) CDFCDGZHABHCDIALBEJK $.
  $}

  ${
    necon3bbid.1 $e |- ( ph -> ( ps <-> A = B ) ) $.
    $( Deduction from equality to inequality.  (Contributed by NM,
       2-Jun-2007.) $)
    necon3bbid $p |- ( ph -> ( -. ps <-> A =/= B ) ) $=
      ( wne wn wceq bicomd necon3abid ) ACDFBGABCDABCDHEIJI $.
  $}

  ${
    necon1abid.1 $e |- ( ph -> ( -. ps <-> A = B ) ) $.
    $( Contrapositive deduction for inequality.  (Contributed by NM,
       21-Aug-2007.)  (Proof shortened by Wolf Lammen, 24-Nov-2019.) $)
    necon1abid $p |- ( ph -> ( A =/= B <-> ps ) ) $=
      ( wn wne notnotb necon3bbid bitr2id ) BBFZFACDGBHAKCDEIJ $.
  $}

  ${
    necon1bbid.1 $e |- ( ph -> ( A =/= B <-> ps ) ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       31-Jan-2008.) $)
    necon1bbid $p |- ( ph -> ( -. ps <-> A = B ) ) $=
      ( wceq wn wne df-ne bitr3id con1bid ) ACDFZBLGCDHABCDIEJK $.
  $}

  ${
    necon4abid.1 $e |- ( ph -> ( A =/= B <-> -. ps ) ) $.
    $( Contrapositive law deduction for inequality.  (Contributed by NM,
       11-Jan-2008.)  (Proof shortened by Wolf Lammen, 24-Nov-2019.) $)
    necon4abid $p |- ( ph -> ( A = B <-> ps ) ) $=
      ( wn wceq notnotb necon1bbid bitr2id ) BBFZFACDGBHAKCDEIJ $.
  $}

  ${
    necon4bbid.1 $e |- ( ph -> ( -. ps <-> A =/= B ) ) $.
    $( Contrapositive law deduction for inequality.  (Contributed by NM,
       9-May-2012.) $)
    necon4bbid $p |- ( ph -> ( ps <-> A = B ) ) $=
      ( wceq wn wne bicomd necon4abid ) ACDFBABCDABGCDHEIJI $.
  $}

  ${
    necon2abid.1 $e |- ( ph -> ( A = B <-> -. ps ) ) $.
    $( Contrapositive deduction for inequality.  (Contributed by NM,
       18-Jul-2007.)  (Proof shortened by Wolf Lammen, 24-Nov-2019.) $)
    necon2abid $p |- ( ph -> ( ps <-> A =/= B ) ) $=
      ( wn wne notnotb necon3abid bitr4id ) ABBFZFCDGBHAKCDEIJ $.
  $}

  ${
    necon2bbid.1 $e |- ( ph -> ( ps <-> A =/= B ) ) $.
    $( Contrapositive deduction for inequality.  (Contributed by NM,
       13-Apr-2007.)  (Proof shortened by Wolf Lammen, 24-Nov-2019.) $)
    necon2bbid $p |- ( ph -> ( A = B <-> -. ps ) ) $=
      ( wn wne notnotb bitr3di necon4abid ) ABFZCDABCDGKFEBHIJ $.
  $}

  ${
    necon3bid.1 $e |- ( ph -> ( A = B <-> C = D ) ) $.
    $( Deduction from equality to inequality.  (Contributed by NM,
       23-Feb-2005.)  (Proof shortened by Andrew Salmon, 25-May-2011.) $)
    necon3bid $p |- ( ph -> ( A =/= B <-> C =/= D ) ) $=
      ( wne wceq wn df-ne necon3bbid syl5bb ) BCGBCHZIADEGBCJAMDEFKL $.
  $}

  ${
    necon4bid.1 $e |- ( ph -> ( A =/= B <-> C =/= D ) ) $.
    $( Contrapositive law deduction for inequality.  (Contributed by NM,
       29-Jun-2007.) $)
    necon4bid $p |- ( ph -> ( A = B <-> C = D ) ) $=
      ( wceq wne wn necon2bbid nne bitr2di ) ADEGBCHZIBCGAMDEFJBCKL $.
  $}

  ${
    necon3abii.1 $e |- ( A = B <-> ph ) $.
    $( Deduction from equality to inequality.  (Contributed by NM,
       9-Nov-2007.) $)
    necon3abii $p |- ( A =/= B <-> -. ph ) $=
      ( wne wceq df-ne xchbinx ) BCEBCFABCGDH $.
  $}

  ${
    necon3bbii.1 $e |- ( ph <-> A = B ) $.
    $( Deduction from equality to inequality.  (Contributed by NM,
       13-Apr-2007.) $)
    necon3bbii $p |- ( -. ph <-> A =/= B ) $=
      ( wne wn wceq bicomi necon3abii ) BCEAFABCABCGDHIH $.
  $}

  ${
    necon1abii.1 $e |- ( -. ph <-> A = B ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       17-Mar-2007.)  (Proof shortened by Wolf Lammen, 25-Nov-2019.) $)
    necon1abii $p |- ( A =/= B <-> ph ) $=
      ( wn wne notnotb necon3bbii bitr2i ) AAEZEBCFAGJBCDHI $.
  $}

  ${
    necon1bbii.1 $e |- ( A =/= B <-> ph ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       17-Mar-2007.)  (Proof shortened by Wolf Lammen, 24-Nov-2019.) $)
    necon1bbii $p |- ( -. ph <-> A = B ) $=
      ( wne wceq nne xchnxbi ) BCEBCFABCGDH $.
  $}

  ${
    necon2abii.1 $e |- ( A = B <-> -. ph ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       2-Mar-2007.) $)
    necon2abii $p |- ( ph <-> A =/= B ) $=
      ( wne wceq wn bicomi necon1abii ) BCEAABCBCFAGDHIH $.
  $}

  ${
    necon2bbii.1 $e |- ( ph <-> A =/= B ) $.
    $( Contrapositive inference for inequality.  (Contributed by NM,
       13-Apr-2007.) $)
    necon2bbii $p |- ( A = B <-> -. ph ) $=
      ( wn wceq wne bicomi necon1bbii ) AEBCFABCABCGDHIH $.
  $}

  ${
    necon3bii.1 $e |- ( A = B <-> C = D ) $.
    $( Inference from equality to inequality.  (Contributed by NM,
       23-Feb-2005.) $)
    necon3bii $p |- ( A =/= B <-> C =/= D ) $=
      ( wne wceq wn necon3abii df-ne bitr4i ) ABFCDGZHCDFLABEICDJK $.
  $}

  $( Commutation of inequality.  (Contributed by NM, 14-May-1999.) $)
  necom $p |- ( A =/= B <-> B =/= A ) $=
    ( eqcom necon3bii ) ABBAABCD $.

  ${
    necomi.1 $e |- A =/= B $.
    $( Inference from commutative law for inequality.  (Contributed by NM,
       17-Oct-2012.) $)
    necomi $p |- B =/= A $=
      ( wne necom mpbi ) ABDBADCABEF $.
  $}

  ${
    necomd.1 $e |- ( ph -> A =/= B ) $.
    $( Deduction from commutative law for inequality.  (Contributed by NM,
       12-Feb-2008.) $)
    necomd $p |- ( ph -> B =/= A ) $=
      ( wne necom sylib ) ABCECBEDBCFG $.
  $}

  $( Characterization of inequality in terms of reversed equality (see
     ~ bicom ).  (Contributed by BJ, 7-Jul-2018.) $)
  nesym $p |- ( A =/= B <-> -. B = A ) $=
    ( wceq eqcom necon3abii ) BACABABDE $.

  ${
    nesymi.1 $e |- A =/= B $.
    $( Inference associated with ~ nesym .  (Contributed by BJ, 7-Jul-2018.)
       (Proof shortened by Wolf Lammen, 25-Nov-2019.) $)
    nesymi $p |- -. B = A $=
      ( necomi neii ) BAABCDE $.
  $}

  ${
    nesymir.1 $e |- -. A = B $.
    $( Inference associated with ~ nesym .  (Contributed by BJ, 7-Jul-2018.)
       (Proof shortened by Wolf Lammen, 25-Nov-2019.) $)
    nesymir $p |- B =/= A $=
      ( neir necomi ) ABABCDE $.
  $}

  ${
    neeq1d.1 $e |- ( ph -> A = B ) $.
    $( Deduction for inequality.  (Contributed by NM, 25-Oct-1999.)  (Proof
       shortened by Wolf Lammen, 19-Nov-2019.) $)
    neeq1d $p |- ( ph -> ( A =/= C <-> B =/= C ) ) $=
      ( eqeq1d necon3bid ) ABDCDABCDEFG $.

    $( Deduction for inequality.  (Contributed by NM, 25-Oct-1999.)  (Proof
       shortened by Wolf Lammen, 19-Nov-2019.) $)
    neeq2d $p |- ( ph -> ( C =/= A <-> C =/= B ) ) $=
      ( eqeq2d necon3bid ) ADBDCABCDEFG $.

    neeq12d.2 $e |- ( ph -> C = D ) $.
    $( Deduction for inequality.  (Contributed by NM, 24-Jul-2012.)  (Proof
       shortened by Wolf Lammen, 25-Nov-2019.) $)
    neeq12d $p |- ( ph -> ( A =/= C <-> B =/= D ) ) $=
      ( eqeq12d necon3bid ) ABDCEABCDEFGHI $.
  $}

  $( Equality theorem for inequality.  (Contributed by NM, 19-Nov-1994.)
     (Proof shortened by Wolf Lammen, 18-Nov-2019.) $)
  neeq1 $p |- ( A = B -> ( A =/= C <-> B =/= C ) ) $=
    ( wceq id neeq1d ) ABDZABCGEF $.

  $( Equality theorem for inequality.  (Contributed by NM, 19-Nov-1994.)
     (Proof shortened by Wolf Lammen, 18-Nov-2019.) $)
  neeq2 $p |- ( A = B -> ( C =/= A <-> C =/= B ) ) $=
    ( wceq id neeq2d ) ABDZABCGEF $.

  ${
    neeq1i.1 $e |- A = B $.
    $( Inference for inequality.  (Contributed by NM, 29-Apr-2005.)  (Proof
       shortened by Wolf Lammen, 19-Nov-2019.) $)
    neeq1i $p |- ( A =/= C <-> B =/= C ) $=
      ( eqeq1i necon3bii ) ACBCABCDEF $.

    $( Inference for inequality.  (Contributed by NM, 29-Apr-2005.)  (Proof
       shortened by Wolf Lammen, 19-Nov-2019.) $)
    neeq2i $p |- ( C =/= A <-> C =/= B ) $=
      ( eqeq2i necon3bii ) CACBABCDEF $.

    neeq12i.2 $e |- C = D $.
    $( Inference for inequality.  (Contributed by NM, 24-Jul-2012.)  (Proof
       shortened by Wolf Lammen, 25-Nov-2019.) $)
    neeq12i $p |- ( A =/= C <-> B =/= D ) $=
      ( eqeq12i necon3bii ) ACBDABCDEFGH $.
  $}

  ${
    eqnetrd.1 $e |- ( ph -> A = B ) $.
    eqnetrd.2 $e |- ( ph -> B =/= C ) $.
    $( Substitution of equal classes into an inequality.  (Contributed by NM,
       4-Jul-2012.) $)
    eqnetrd $p |- ( ph -> A =/= C ) $=
      ( wne neeq1d mpbird ) ABDGCDGFABCDEHI $.
  $}

  ${
    eqnetrrd.1 $e |- ( ph -> A = B ) $.
    eqnetrrd.2 $e |- ( ph -> A =/= C ) $.
    $( Substitution of equal classes into an inequality.  (Contributed by NM,
       4-Jul-2012.) $)
    eqnetrrd $p |- ( ph -> B =/= C ) $=
      ( eqcomd eqnetrd ) ACBDABCEGFH $.
  $}

  ${
    neeqtrd.1 $e |- ( ph -> A =/= B ) $.
    neeqtrd.2 $e |- ( ph -> B = C ) $.
    $( Substitution of equal classes into an inequality.  (Contributed by NM,
       4-Jul-2012.) $)
    neeqtrd $p |- ( ph -> A =/= C ) $=
      ( wne neeq2d mpbid ) ABCGBDGEACDBFHI $.
  $}

  ${
    eqnetr.1 $e |- A = B $.
    eqnetr.2 $e |- B =/= C $.
    $( Substitution of equal classes into an inequality.  (Contributed by NM,
       4-Jul-2012.) $)
    eqnetri $p |- A =/= C $=
      ( wne neeq1i mpbir ) ACFBCFEABCDGH $.
  $}

  ${
    eqnetrr.1 $e |- A = B $.
    eqnetrr.2 $e |- A =/= C $.
    $( Substitution of equal classes into an inequality.  (Contributed by NM,
       4-Jul-2012.) $)
    eqnetrri $p |- B =/= C $=
      ( eqcomi eqnetri ) BACABDFEG $.
  $}

  ${
    neeqtr.1 $e |- A =/= B $.
    neeqtr.2 $e |- B = C $.
    $( Substitution of equal classes into an inequality.  (Contributed by NM,
       4-Jul-2012.) $)
    neeqtri $p |- A =/= C $=
      ( wne neeq2i mpbi ) ABFACFDBCAEGH $.
  $}

  ${
    neeqtrr.1 $e |- A =/= B $.
    neeqtrr.2 $e |- C = B $.
    $( Substitution of equal classes into an inequality.  (Contributed by NM,
       4-Jul-2012.) $)
    neeqtrri $p |- A =/= C $=
      ( eqcomi neeqtri ) ABCDCBEFG $.
  $}

  ${
    neeqtrrd.1 $e |- ( ph -> A =/= B ) $.
    neeqtrrd.2 $e |- ( ph -> C = B ) $.
    $( Substitution of equal classes into an inequality.  (Contributed by NM,
       4-Jul-2012.) $)
    neeqtrrd $p |- ( ph -> A =/= C ) $=
      ( eqcomd neeqtrd ) ABCDEADCFGH $.
  $}

  ${
    eqnetrrid.1 $e |- B = A $.
    eqnetrrid.2 $e |- ( ph -> B =/= C ) $.
    $( A chained equality inference for inequality.  (Contributed by NM,
       6-Jun-2012.)  (Proof shortened by Wolf Lammen, 19-Nov-2019.) $)
    eqnetrrid $p |- ( ph -> A =/= C ) $=
      ( wceq a1i eqnetrrd ) ACBDCBGAEHFI $.
  $}

  ${
    3netr3d.1 $e |- ( ph -> A =/= B ) $.
    3netr3d.2 $e |- ( ph -> A = C ) $.
    3netr3d.3 $e |- ( ph -> B = D ) $.
    $( Substitution of equality into both sides of an inequality.  (Contributed
       by NM, 24-Jul-2012.)  (Proof shortened by Wolf Lammen, 19-Nov-2019.) $)
    3netr3d $p |- ( ph -> C =/= D ) $=
      ( neeqtrd eqnetrrd ) ABDEGABCEFHIJ $.
  $}

  ${
    3netr4d.1 $e |- ( ph -> A =/= B ) $.
    3netr4d.2 $e |- ( ph -> C = A ) $.
    3netr4d.3 $e |- ( ph -> D = B ) $.
    $( Substitution of equality into both sides of an inequality.  (Contributed
       by NM, 24-Jul-2012.)  (Proof shortened by Wolf Lammen, 21-Nov-2019.) $)
    3netr4d $p |- ( ph -> C =/= D ) $=
      ( eqnetrd neeqtrrd ) ADCEADBCGFIHJ $.
  $}

  ${
    3netr3g.1 $e |- ( ph -> A =/= B ) $.
    3netr3g.2 $e |- A = C $.
    3netr3g.3 $e |- B = D $.
    $( Substitution of equality into both sides of an inequality.  (Contributed
       by NM, 24-Jul-2012.) $)
    3netr3g $p |- ( ph -> C =/= D ) $=
      ( wne neeq12i sylib ) ABCIDEIFBDCEGHJK $.
  $}

  ${
    3netr4g.1 $e |- ( ph -> A =/= B ) $.
    3netr4g.2 $e |- C = A $.
    3netr4g.3 $e |- D = B $.
    $( Substitution of equality into both sides of an inequality.  (Contributed
       by NM, 14-Jun-2012.) $)
    3netr4g $p |- ( ph -> C =/= D ) $=
      ( wne neeq12i sylibr ) ABCIDEIFDBECGHJK $.
  $}

  $( Contraposition law for inequality.  (Contributed by NM, 28-Dec-2008.) $)
  nebi $p |- ( ( A = B <-> C = D ) <-> ( A =/= B <-> C =/= D ) ) $=
    ( wceq wb wne id necon3bid necon4bid impbii ) ABECDEFZABGCDGFZLABCDLHIMABCD
    MHJK $.

  $( Theorem *13.18 in [WhiteheadRussell] p. 178.  (Contributed by Andrew
     Salmon, 3-Jun-2011.)  (Proof shortened by Wolf Lammen, 29-Oct-2024.) $)
  pm13.18 $p |- ( ( A = B /\ A =/= C ) -> B =/= C ) $=
    ( wceq wne neeq1 biimpa ) ABDACEBCEABCFG $.

  $( Theorem *13.181 in [WhiteheadRussell] p. 178.  (Contributed by Andrew
     Salmon, 3-Jun-2011.)  (Proof shortened by Wolf Lammen, 30-Oct-2024.) $)
  pm13.181 $p |- ( ( A = B /\ B =/= C ) -> A =/= C ) $=
    ( wceq wne neeq1 biimpar ) ABDACEBCEABCFG $.

  $( Obsolete version of ~ pm13.181 as of 30-Oct-2024.  (Contributed by Andrew
     Salmon, 3-Jun-2011.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  pm13.181OLD $p |- ( ( A = B /\ B =/= C ) -> A =/= C ) $=
    ( wceq wne eqcom pm13.18 sylanb ) ABDBADBCEACEABFBACGH $.

  ${
    pm2.61ine.1 $e |- ( A = B -> ph ) $.
    pm2.61ine.2 $e |- ( A =/= B -> ph ) $.
    $( Inference eliminating an inequality in an antecedent.  (Contributed by
       NM, 16-Jan-2007.)  (Proof shortened by Andrew Salmon, 25-May-2011.) $)
    pm2.61ine $p |- ph $=
      ( wne wn wceq nne sylbi pm2.61i ) BCFZAELGBCHABCIDJK $.
  $}

  ${
    pm2.21ddne.1 $e |- ( ph -> A = B ) $.
    pm2.21ddne.2 $e |- ( ph -> A =/= B ) $.
    $( A contradiction implies anything.  Equality/inequality deduction form.
       (Contributed by David Moews, 28-Feb-2017.) $)
    pm2.21ddne $p |- ( ph -> ps ) $=
      ( wceq neneqd pm2.21dd ) ACDGBEACDFHI $.
  $}

  ${
    pm2.61ne.1 $e |- ( A = B -> ( ps <-> ch ) ) $.
    pm2.61ne.2 $e |- ( ( ph /\ A =/= B ) -> ps ) $.
    pm2.61ne.3 $e |- ( ph -> ch ) $.
    $( Deduction eliminating an inequality in an antecedent.  (Contributed by
       NM, 24-May-2006.)  (Proof shortened by Andrew Salmon, 25-May-2011.)
       (Proof shortened by Wolf Lammen, 25-Nov-2019.) $)
    pm2.61ne $p |- ( ph -> ps ) $=
      ( wi wceq syl5ibr wne expcom pm2.61ine ) ABIDEABDEJCHFKADELBGMN $.
  $}

  ${
    pm2.61dne.1 $e |- ( ph -> ( A = B -> ps ) ) $.
    pm2.61dne.2 $e |- ( ph -> ( A =/= B -> ps ) ) $.
    $( Deduction eliminating an inequality in an antecedent.  (Contributed by
       NM, 1-Jun-2007.)  (Proof shortened by Andrew Salmon, 25-May-2011.) $)
    pm2.61dne $p |- ( ph -> ps ) $=
      ( wi wceq com12 wne pm2.61ine ) ABGCDACDHBEIACDJBFIK $.
  $}

  ${
    pm2.61dane.1 $e |- ( ( ph /\ A = B ) -> ps ) $.
    pm2.61dane.2 $e |- ( ( ph /\ A =/= B ) -> ps ) $.
    $( Deduction eliminating an inequality in an antecedent.  (Contributed by
       NM, 30-Nov-2011.) $)
    pm2.61dane $p |- ( ph -> ps ) $=
      ( wceq ex wne pm2.61dne ) ABCDACDGBEHACDIBFHJ $.
  $}

  ${
    pm2.61da2ne.1 $e |- ( ( ph /\ A = B ) -> ps ) $.
    pm2.61da2ne.2 $e |- ( ( ph /\ C = D ) -> ps ) $.
    pm2.61da2ne.3 $e |- ( ( ph /\ ( A =/= B /\ C =/= D ) ) -> ps ) $.
    $( Deduction eliminating two inequalities in an antecedent.  (Contributed
       by NM, 29-May-2013.) $)
    pm2.61da2ne $p |- ( ph -> ps ) $=
      ( wne wa wceq adantlr anassrs pm2.61dane ) ABCDGACDJZKBEFAEFLBPHMAPEFJBIN
      OO $.
  $}

  ${
    pm2.61da3ne.1 $e |- ( ( ph /\ A = B ) -> ps ) $.
    pm2.61da3ne.2 $e |- ( ( ph /\ C = D ) -> ps ) $.
    pm2.61da3ne.3 $e |- ( ( ph /\ E = F ) -> ps ) $.
    pm2.61da3ne.4 $e |- ( ( ph /\ ( A =/= B /\ C =/= D /\ E =/= F ) )
          -> ps ) $.
    $( Deduction eliminating three inequalities in an antecedent.  (Contributed
       by NM, 15-Jun-2013.)  (Proof shortened by Wolf Lammen, 25-Nov-2019.) $)
    pm2.61da3ne $p |- ( ph -> ps ) $=
      ( wne wa wi wceq a1d 3exp2 imp4b pm2.61dane imp pm2.61da2ne ) ABEFGHJKAEF
      MZGHMZNZBAUEBOCDACDPNBUEIQACDMZUCUDBAUFUCUDBLRSTUAUB $.
  $}

  ${
    pm2.61iine.1 $e |- ( ( A =/= C /\ B =/= D ) -> ph ) $.
    pm2.61iine.2 $e |- ( A = C -> ph ) $.
    pm2.61iine.3 $e |- ( B = D -> ph ) $.
    $( Equality version of ~ pm2.61ii .  (Contributed by Scott Fenton,
       13-Jun-2013.)  (Proof shortened by Wolf Lammen, 25-Nov-2019.) $)
    pm2.61iine $p |- ph $=
      ( wne wceq adantl pm2.61dane pm2.61ine ) ABDGBDIZACECEJANHKFLM $.
  $}

  $( Logical OR with an equality.  (Contributed by NM, 29-Apr-2007.) $)
  neor $p |- ( ( A = B \/ ps ) <-> ( A =/= B -> ps ) ) $=
    ( wceq wo wn wi wne df-or df-ne imbi1i bitr4i ) BCDZAEMFZAGBCHZAGMAIONABCJK
    L $.

  $( A De Morgan's law for inequality.  (Contributed by NM, 18-May-2007.) $)
  neanior $p |- ( ( A =/= B /\ C =/= D ) <-> -. ( A = B \/ C = D ) ) $=
    ( wne wa wceq wn wo df-ne anbi12i pm4.56 bitri ) ABEZCDEZFABGZHZCDGZHZFPRIH
    NQOSABJCDJKPRLM $.

  $( A De Morgan's law for inequality.  (Contributed by NM, 30-Sep-2013.) $)
  ne3anior $p |- ( ( A =/= B /\ C =/= D /\ E =/= F )
        <-> -. ( A = B \/ C = D \/ E = F ) ) $=
    ( wne w3a wn w3o wceq 3anor nne 3orbi123i xchbinx ) ABGZCDGZEFGZHPIZQIZRIZJ
    ABKZCDKZEFKZJPQRLSUBTUCUAUDABMCDMEFMNO $.

  $( A De Morgan's law for inequality.  (Contributed by NM, 18-May-2007.) $)
  neorian $p |- ( ( A =/= B \/ C =/= D ) <-> -. ( A = B /\ C = D ) ) $=
    ( wne wo wceq wn wa df-ne orbi12i ianor bitr4i ) ABEZCDEZFABGZHZCDGZHZFPRIH
    NQOSABJCDJKPRLM $.

  ${
    nemtbir.1 $e |- A =/= B $.
    nemtbir.2 $e |- ( ph <-> A = B ) $.
    $( An inference from an inequality, related to modus tollens.  (Contributed
       by NM, 13-Apr-2007.) $)
    nemtbir $p |- -. ph $=
      ( wceq neii mtbir ) ABCFBCDGEH $.
  $}

  $( Two classes are different if they don't contain the same element.
     (Contributed by NM, 3-Feb-2012.)  (Proof shortened by Wolf Lammen,
     14-May-2023.) $)
  nelne1 $p |- ( ( A e. B /\ -. A e. C ) -> B =/= C ) $=
    ( wcel wn wa nelneq2 neqned ) ABDACDEFBCABCGH $.

  $( Two classes are different if they don't belong to the same class.
     (Contributed by NM, 25-Jun-2012.)  (Proof shortened by Wolf Lammen,
     14-May-2023.) $)
  nelne2 $p |- ( ( A e. C /\ -. B e. C ) -> A =/= B ) $=
    ( wcel wn wa nelneq neqned ) ACDBCDEFABABCGH $.

  $( Two classes are different if they don't belong to the same class.
     (Contributed by Rodolfo Medina, 17-Oct-2010.)  (Proof shortened by AV,
     10-May-2020.) $)
  nelelne $p |- ( -. A e. B -> ( C e. B -> C =/= A ) ) $=
    ( wcel wn wne nelne2 expcom ) CBDABDECAFCABGH $.

  $( If two classes are different, a third class must be different of at least
     one of them.  (Contributed by Thierry Arnoux, 8-Aug-2020.) $)
  neneor $p |- ( A =/= B -> ( A =/= C \/ B =/= C ) ) $=
    ( wne wceq wa wn wo eqtr3 necon3ai neorian sylibr ) ABDACEBCEFZGACDBCDHMABA
    BCIJACBCKL $.

  ${
    nfne.1 $e |- F/_ x A $.
    nfne.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for inequality.  (Contributed by NM,
       10-Nov-2007.)  (Revised by Mario Carneiro, 7-Oct-2016.) $)
    nfne $p |- F/ x A =/= B $=
      ( wne wceq wn df-ne nfeq nfn nfxfr ) BCFBCGZHABCIMAABCDEJKL $.
  $}

  ${
    nfned.1 $e |- ( ph -> F/_ x A ) $.
    nfned.2 $e |- ( ph -> F/_ x B ) $.
    $( Bound-variable hypothesis builder for inequality.  (Contributed by NM,
       10-Nov-2007.)  (Revised by Mario Carneiro, 7-Oct-2016.) $)
    nfned $p |- ( ph -> F/ x A =/= B ) $=
      ( wne wceq wn df-ne nfeqd nfnd nfxfrd ) CDGCDHZIABCDJANBABCDEFKLM $.
  $}

  $( Not equivalent wff's correspond to not equal class abstractions.
     (Contributed by AV, 7-Apr-2019.)  (Proof shortened by Wolf Lammen,
     25-Nov-2019.) $)
  nabbi $p |- ( E. x ( ph <-> -. ps ) <-> { x | ph } =/= { x | ps } ) $=
    ( cab wne wceq wn wex df-ne wal exnal xor3 exbii bitr3i abbi xchnxbi bitr2i
    wb ) ACDZBCDZESTFZGABGRZCHZSTIABRZCJZUCUAUEGUDGZCHUCUDCKUFUBCABLMNABCOPQ $.

  ${
    mteqand.1 $e |- ( ph -> C =/= D ) $.
    mteqand.2 $e |- ( ( ph /\ A = B ) -> C = D ) $.
    $( A modus tollens deduction for inequality.  (Contributed by Steven
       Nguyen, 1-Jun-2023.) $)
    mteqand $p |- ( ph -> A =/= B ) $=
      ( wceq neneqd mtand neqned ) ABCABCHDEHADEFIGJK $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Negated membership
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c e/ $.  $( Not an element of (membership symbol with slash through it). $)

  $( Extend wff notation to include negated membership. $)
  wnel $a wff A e/ B $.

  $( Define negated membership.  (Contributed by NM, 7-Aug-1994.) $)
  df-nel $a |- ( A e/ B <-> -. A e. B ) $.

  ${
    neli.1 $e |- A e/ B $.
    $( Inference associated with ~ df-nel .  (Contributed by BJ,
       7-Jul-2018.) $)
    neli $p |- -. A e. B $=
      ( wnel wcel wn df-nel mpbi ) ABDABEFCABGH $.
  $}

  ${
    nelir.1 $e |- -. A e. B $.
    $( Inference associated with ~ df-nel .  (Contributed by BJ,
       7-Jul-2018.) $)
    nelir $p |- A e/ B $=
      ( wnel wcel wn df-nel mpbir ) ABDABEFCABGH $.
  $}

  ${
    neleq12d.1 $e |- ( ph -> A = B ) $.
    neleq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality theorem for negated membership.  (Contributed by FL,
       10-Aug-2016.)  (Proof shortened by Wolf Lammen, 25-Nov-2019.) $)
    neleq12d $p |- ( ph -> ( A e/ C <-> B e/ D ) ) $=
      ( wcel wn wnel eleq12d notbid df-nel 3bitr4g ) ABDHZICEHZIBDJCEJAOPABCDEF
      GKLBDMCEMN $.
  $}

  $( Equality theorem for negated membership.  (Contributed by NM,
     20-Nov-1994.)  (Proof shortened by Wolf Lammen, 25-Nov-2019.) $)
  neleq1 $p |- ( A = B -> ( A e/ C <-> B e/ C ) ) $=
    ( wceq id eqidd neleq12d ) ABDZABCCHEHCFG $.

  $( Equality theorem for negated membership.  (Contributed by NM,
     20-Nov-1994.)  (Proof shortened by Wolf Lammen, 25-Nov-2019.) $)
  neleq2 $p |- ( A = B -> ( C e/ A <-> C e/ B ) ) $=
    ( wceq eqidd id neleq12d ) ABDZCCABHCEHFG $.

  ${
    nfnel.1 $e |- F/_ x A $.
    nfnel.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for negated membership.  (Contributed
       by David Abernethy, 26-Jun-2011.)  (Revised by Mario Carneiro,
       7-Oct-2016.) $)
    nfnel $p |- F/ x A e/ B $=
      ( wnel wcel wn df-nel nfel nfn nfxfr ) BCFBCGZHABCIMAABCDEJKL $.
  $}

  ${
    nfneld.1 $e |- ( ph -> F/_ x A ) $.
    nfneld.2 $e |- ( ph -> F/_ x B ) $.
    $( Bound-variable hypothesis builder for negated membership.  (Contributed
       by David Abernethy, 26-Jun-2011.)  (Revised by Mario Carneiro,
       7-Oct-2016.) $)
    nfneld $p |- ( ph -> F/ x A e/ B ) $=
      ( wnel wcel wn df-nel nfeld nfnd nfxfrd ) CDGCDHZIABCDJANBABCDEFKLM $.
  $}

  $( Negation of negated membership, analogous to ~ nne .  (Contributed by
     Alexander van der Vekens, 18-Jan-2018.)  (Proof shortened by Wolf Lammen,
     25-Nov-2019.) $)
  nnel $p |- ( -. A e/ B <-> A e. B ) $=
    ( wcel wnel wn df-nel bicomi con1bii ) ABCZABDZJIEABFGH $.

  $( Two classes are different if they don't contain the same element.
     (Contributed by AV, 28-Jan-2020.) $)
  elnelne1 $p |- ( ( A e. B /\ A e/ C ) -> B =/= C ) $=
    ( wnel wcel wn wne df-nel nelne1 sylan2b ) ACDABEACEFBCGACHABCIJ $.

  $( Two classes are different if they don't belong to the same class.
     (Contributed by AV, 28-Jan-2020.) $)
  elnelne2 $p |- ( ( A e. C /\ B e/ C ) -> A =/= B ) $=
    ( wnel wcel wn wne df-nel nelne2 sylan2b ) BCDACEBCEFABGBCHABCIJ $.

  ${
    nelcon3d.1 $e |- ( ph -> ( A e. B -> C e. D ) ) $.
    $( Contrapositive law deduction for negated membership.  (Contributed by
       AV, 28-Jan-2020.) $)
    nelcon3d $p |- ( ph -> ( C e/ D -> A e/ B ) ) $=
      ( wcel wn wnel con3d df-nel 3imtr4g ) ADEGZHBCGZHDEIBCIANMFJDEKBCKL $.
  $}

  $( A contradiction concerning membership implies anything.  (Contributed by
     Alexander van der Vekens, 25-Jan-2018.) $)
  elnelall $p |- ( A e. B -> ( A e/ B -> ph ) ) $=
    ( wnel wcel wn df-nel pm2.24 syl5bi ) BCDBCEZFJABCGJAHI $.

  ${
    pm2.61danel.1 $e |- ( ( ph /\ A e. B ) -> ps ) $.
    pm2.61danel.2 $e |- ( ( ph /\ A e/ B ) -> ps ) $.
    $( Deduction eliminating an elementhood in an antecedent.  (Contributed by
       AV, 5-Dec-2021.) $)
    pm2.61danel $p |- ( ph -> ps ) $=
      ( wcel wn wnel df-nel sylan2br pm2.61dan ) ACDGZBEMHACDIBCDJFKL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Restricted quantification
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Extend wff notation to include restricted universal quantification. $)
  wral $a wff A. x e. A ph $.

  $( Extend wff notation to include restricted existential quantification. $)
  wrex $a wff E. x e. A ph $.

  $( Extend wff notation to include restricted existential uniqueness. $)
  wreu $a wff E! x e. A ph $.

  $( Extend wff notation to include restricted "at most one". $)
  wrmo $a wff E* x e. A ph $.

  $( Extend class notation to include the restricted class abstraction (class
     builder). $)
  crab $a class { x e. A | ph } $.

  $( Define restricted universal quantification.  Special case of Definition
     4.15(3) of [TakeutiZaring] p. 22.

     Note:  This notation is most often used to express that ` ph ` holds for
     all elements of a given class ` A ` .  For this reading ` F/_ x A ` is
     required, though, for example, asserted when ` x ` and ` A ` are disjoint.

     Should instead ` A ` depend on ` x ` , you rather focus on those ` x `
     that happen to be contained in the corresponding ` A ( x ) ` .  This
     hardly used interpretation could still occur naturally.  For some
     examples, look at ~ ralndv1 or ~ ralndv2 , courtesy of AV.

     So be careful to either keep ` A ` independent of ` x ` , or adjust your
     comments to include such exotic cases.  (Contributed by NM,
     19-Aug-1993.) $)
  df-ral $a |- ( A. x e. A ph <-> A. x ( x e. A -> ph ) ) $.

  $( Define restricted existential quantification.  Special case of Definition
     4.15(4) of [TakeutiZaring] p. 22.

     Note:  This notation is most often used to express that ` ph ` holds for
     at least one element of a given class ` A ` .  For this reading
     ` F/_ x A ` is required, though, for example, asserted when ` x ` and
     ` A ` are disjoint.

     Should instead ` A ` depend on ` x ` , you rather assert at least one
     ` x ` fulfilling ` ph ` happens to be contained in the corresponding
     ` A ( x ) ` .  This interpretation is rarely needed (see also ~ df-ral ).
     (Contributed by NM, 30-Aug-1993.) $)
  df-rex $a |- ( E. x e. A ph <-> E. x ( x e. A /\ ph ) ) $.

  $( Define restricted existential uniqueness.

     Note:  This notation is most often used to express that ` ph ` holds for
     exactly one element of a given class ` A ` .  For this reading ` F/_ x A `
     is required, though, for example, asserted when ` x ` and ` A ` are
     disjoint.

     Should instead ` A ` depend on ` x ` , you rather assert exactly one ` x `
     fulfilling ` ph ` happens to be contained in the corresponding
     ` A ( x ) ` .  This interpretation is rarely needed (see also ~ df-ral ).
     (Contributed by NM, 22-Nov-1994.) $)
  df-reu $a |- ( E! x e. A ph <-> E! x ( x e. A /\ ph ) ) $.

  $( Define restricted "at most one".

     Note:  This notation is most often used to express that ` ph ` holds for
     at most one element of a given class ` A ` .  For this reading ` F/_ x A `
     is required, though, for example, asserted when ` x ` and ` A ` are
     disjoint.

     Should instead ` A ` depend on ` x ` , you rather assert at most one ` x `
     fulfilling ` ph ` happens to be contained in the corresponding
     ` A ( x ) ` .  This interpretation is rarely needed (see also ~ df-ral ).
     (Contributed by NM, 16-Jun-2017.) $)
  df-rmo $a |- ( E* x e. A ph <-> E* x ( x e. A /\ ph ) ) $.

  $( Define a restricted class abstraction (class builder): ` { x e. A | ph } `
     is the class of all sets ` x ` in ` A ` such that ` ph ( x ) ` is true.
     Definition of [TakeutiZaring] p. 20.

     For the interpretation given in the previous paragraph to be correct, we
     need to assume ` F/_ x A ` , which is the case as soon as ` x ` and ` A `
     are disjoint, which is generally the case.  If ` A ` were to depend on
     ` x ` , then the interpretation would be less obvious (think of the two
     extreme cases ` A = { x } ` and ` A = x ` , for instance).  See also
     ~ df-ral .  (Contributed by NM, 22-Nov-1994.) $)
  df-rab $a |- { x e. A | ph } = { x | ( x e. A /\ ph ) } $.

  ${
    rgen.1 $e |- ( x e. A -> ph ) $.
    $( Generalization rule for restricted quantification.  (Contributed by NM,
       19-Nov-1994.) $)
    rgen $p |- A. x e. A ph $=
      ( wral cv wcel wi df-ral mpgbir ) ABCEBFCGAHBABCIDJ $.
  $}

  $( All elements of a class are elements of the class.  (Contributed by AV,
     30-Oct-2020.) $)
  ralel $p |- A. x e. A x e. A $=
    ( cv wcel id rgen ) ACBDZABGEF $.

  ${
    rgenw.1 $e |- ph $.
    $( Generalization rule for restricted quantification.  (Contributed by NM,
       18-Jun-2014.) $)
    rgenw $p |- A. x e. A ph $=
      ( cv wcel a1i rgen ) ABCABECFDGH $.

    $( Generalization rule for restricted quantification.  Note that ` x ` and
       ` y ` needn't be distinct.  (Contributed by NM, 18-Jun-2014.) $)
    rgen2w $p |- A. x e. A A. y e. B ph $=
      ( wral rgenw ) ACEGBDACEFHH $.
  $}

  ${
    mprg.1 $e |- ( A. x e. A ph -> ps ) $.
    mprg.2 $e |- ( x e. A -> ph ) $.
    $( Modus ponens combined with restricted generalization.  (Contributed by
       NM, 10-Aug-2004.) $)
    mprg $p |- ps $=
      ( wral rgen ax-mp ) ACDGBACDFHEI $.
  $}

  ${
    mprgbir.1 $e |- ( ph <-> A. x e. A ps ) $.
    mprgbir.2 $e |- ( x e. A -> ps ) $.
    $( Modus ponens on biconditional combined with restricted generalization.
       (Contributed by NM, 21-Mar-2004.) $)
    mprgbir $p |- ph $=
      ( wral rgen mpbir ) ABCDGBCDFHEI $.
  $}

  $( Universal quantification implies restricted quantification.  (Contributed
     by NM, 20-Oct-2006.) $)
  alral $p |- ( A. x ph -> A. x e. A ph ) $=
    ( wal cv wcel wi wral ala1 df-ral sylibr ) ABDBECFZAGBDABCHALBIABCJK $.

  $( Restricted universally quantified negation expressed as a universally
     quantified negation.  (Contributed by BJ, 16-Jul-2021.) $)
  raln $p |- ( A. x e. A -. ph <-> A. x -. ( x e. A /\ ph ) ) $=
    ( wn wral cv wcel wi wal wa df-ral imnang bitri ) ADZBCEBFCGZNHBIOAJDBINBCK
    OABLM $.

  ${
    ral2imi.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference quantifying antecedent, nested antecedent, and consequent,
       with a strong hypothesis.  (Contributed by NM, 19-Dec-2006.)  Allow
       shortening of ~ ralim .  (Revised by Wolf Lammen, 1-Dec-2019.) $)
    ral2imi $p |- ( A. x e. A ph -> ( A. x e. A ps -> A. x e. A ch ) ) $=
      ( wral cv wcel wi wal df-ral imim3i al2imi 3imtr4g sylbi ) ADEGDHEIZAJZDK
      ZBDEGZCDEGZJADELSQBJZDKQCJZDKTUARUBUCDABCQFMNBDELCDELOP $.
  $}

  $( Distribution of restricted quantification over implication.  (Contributed
     by NM, 9-Feb-1997.)  (Proof shortened by Wolf Lammen, 1-Dec-2019.) $)
  ralim $p |- ( A. x e. A ( ph -> ps ) ->
               ( A. x e. A ph -> A. x e. A ps ) ) $=
    ( wi id ral2imi ) ABEZABCDHFG $.

  ${
    ralimi2.1 $e |- ( ( x e. A -> ph ) -> ( x e. B -> ps ) ) $.
    $( Inference quantifying both antecedent and consequent.  (Contributed by
       NM, 22-Feb-2004.) $)
    ralimi2 $p |- ( A. x e. A ph -> A. x e. B ps ) $=
      ( cv wcel wi wal wral alimi df-ral 3imtr4i ) CGZDHAIZCJOEHBIZCJACDKBCEKPQ
      CFLACDMBCEMN $.
  $}

  ${
    ralimia.1 $e |- ( x e. A -> ( ph -> ps ) ) $.
    $( Inference quantifying both antecedent and consequent.  (Contributed by
       NM, 19-Jul-1996.) $)
    ralimia $p |- ( A. x e. A ph -> A. x e. A ps ) $=
      ( cv wcel a2i ralimi2 ) ABCDDCFDGABEHI $.
  $}

  ${
    ralimiaa.1 $e |- ( ( x e. A /\ ph ) -> ps ) $.
    $( Inference quantifying both antecedent and consequent.  (Contributed by
       NM, 4-Aug-2007.) $)
    ralimiaa $p |- ( A. x e. A ph -> A. x e. A ps ) $=
      ( cv wcel ex ralimia ) ABCDCFDGABEHI $.
  $}

  ${
    ralimi.1 $e |- ( ph -> ps ) $.
    $( Inference quantifying both antecedent and consequent, with strong
       hypothesis.  (Contributed by NM, 4-Mar-1997.) $)
    ralimi $p |- ( A. x e. A ph -> A. x e. A ps ) $=
      ( wi cv wcel a1i ralimia ) ABCDABFCGDHEIJ $.

    $( Inference quantifying both antecedent and consequent two times, with
       strong hypothesis.  (Contributed by AV, 3-Dec-2021.) $)
    2ralimi $p |- ( A. x e. A A. y e. B ph -> A. x e. A A. y e. B ps ) $=
      ( wral ralimi ) ADFHBDFHCEABDFGII $.
  $}

  ${
    ralbii2.1 $e |- ( ( x e. A -> ph ) <-> ( x e. B -> ps ) ) $.
    $( Inference adding different restricted universal quantifiers to each side
       of an equivalence.  (Contributed by NM, 15-Aug-2005.) $)
    ralbii2 $p |- ( A. x e. A ph <-> A. x e. B ps ) $=
      ( cv wcel wi wal wral albii df-ral 3bitr4i ) CGZDHAIZCJOEHBIZCJACDKBCEKPQ
      CFLACDMBCEMN $.
  $}

  ${
    ralbiia.1 $e |- ( x e. A -> ( ph <-> ps ) ) $.
    $( Inference adding restricted universal quantifier to both sides of an
       equivalence.  (Contributed by NM, 26-Nov-2000.) $)
    ralbiia $p |- ( A. x e. A ph <-> A. x e. A ps ) $=
      ( cv wcel pm5.74i ralbii2 ) ABCDDCFDGABEHI $.
  $}

  ${
    ralbii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding restricted universal quantifier to both sides of an
       equivalence.  (Contributed by NM, 23-Nov-1994.)  (Revised by Mario
       Carneiro, 17-Oct-2016.)  (Proof shortened by Wolf Lammen,
       4-Dec-2019.) $)
    ralbii $p |- ( A. x e. A ph <-> A. x e. A ps ) $=
      ( wb cv wcel a1i ralbiia ) ABCDABFCGDHEIJ $.

    $( Inference adding two restricted universal quantifiers to both sides of
       an equivalence.  (Contributed by NM, 1-Aug-2004.) $)
    2ralbii $p |- ( A. x e. A A. y e. B ph <-> A. x e. A A. y e. B ps ) $=
      ( wral ralbii ) ADFHBDFHCEABDFGII $.
  $}

  $( Distribute a restricted universal quantifier over a biconditional.
     Restricted quantification version of ~ albi .  (Contributed by NM,
     6-Oct-2003.)  Reduce axiom usage.  (Revised by Wolf Lammen,
     17-Jun-2023.) $)
  ralbi $p |- ( A. x e. A ( ph <-> ps ) ->
               ( A. x e. A ph <-> A. x e. A ps ) ) $=
    ( wb wral biimp ral2imi biimpr impbid ) ABEZCDFACDFBCDFKABCDABGHKBACDABIHJ
    $.
  $( $j usage 'ralbi' avoids 'ax-5' 'ax-6' 'ax-7' 'ax-10' 'ax-12' ; $)

  $( Cancellation law for restricted universal quantification.  (Contributed by
     Peter Mazsa, 30-Dec-2018.)  (Proof shortened by Wolf Lammen,
     29-Jun-2023.) $)
  ralanid $p |- ( A. x e. A ( x e. A /\ ph ) <-> A. x e. A ph ) $=
    ( cv wcel wa ibar bicomd ralbiia ) BDCEZAFZABCJAKJAGHI $.

  $( Restricted quantifier version of ~ 19.26 .  (Contributed by NM,
     28-Jan-1997.)  (Proof shortened by Andrew Salmon, 30-May-2011.) $)
  r19.26 $p |- ( A. x e. A ( ph /\ ps ) <->
               ( A. x e. A ph /\ A. x e. A ps ) ) $=
    ( wa wral simpl ralimi simpr jca pm3.2 ral2imi imp impbii ) ABEZCDFZACDFZBC
    DFZEPQROACDABGHOBCDABIHJQRPABOCDABKLMN $.

  $( Restricted quantifier version of ~ 19.26-2 .  Version of ~ r19.26 with two
     quantifiers.  (Contributed by NM, 10-Aug-2004.) $)
  r19.26-2 $p |- ( A. x e. A A. y e. B ( ph /\ ps ) <->
               ( A. x e. A A. y e. B ph /\ A. x e. A A. y e. B ps ) ) $=
    ( wa wral r19.26 ralbii bitri ) ABGDFHZCEHADFHZBDFHZGZCEHMCEHNCEHGLOCEABDFI
    JMNCEIK $.

  $( Version of ~ r19.26 with three quantifiers.  (Contributed by FL,
     22-Nov-2010.) $)
  r19.26-3 $p |- ( A. x e. A ( ph /\ ps /\ ch ) <->
               ( A. x e. A ph /\ A. x e. A ps /\ A. x e. A ch ) ) $=
    ( w3a wral wa df-3an ralbii r19.26 anbi1i bitr4i 3bitri ) ABCFZDEGABHZCHZDE
    GPDEGZCDEGZHZADEGZBDEGZSFZOQDEABCIJPCDEKTUAUBHZSHUCRUDSABDEKLUAUBSIMN $.

  $( Version of ~ 19.26 and ~ r19.26 with restricted quantifiers ranging over
     different classes.  (Contributed by NM, 22-Feb-2004.) $)
  r19.26m $p |- ( A. x ( ( x e. A -> ph ) /\ ( x e. B -> ps ) ) <->
               ( A. x e. A ph /\ A. x e. B ps ) ) $=
    ( cv wcel wi wa wal wral 19.26 df-ral anbi12i bitr4i ) CFZDGAHZPEGBHZICJQCJ
    ZRCJZIACDKZBCEKZIQRCLUASUBTACDMBCEMNO $.

  $( Split a biconditional and distribute quantifier.  Restricted quantifier
     version of ~ albiim .  (Contributed by NM, 3-Jun-2012.) $)
  ralbiim $p |- ( A. x e. A ( ph <-> ps ) <->
             ( A. x e. A ( ph -> ps ) /\ A. x e. A ( ps -> ph ) ) ) $=
    ( wb wral wi wa dfbi2 ralbii r19.26 bitri ) ABEZCDFABGZBAGZHZCDFNCDFOCDFHMP
    CDABIJNOCDKL $.

  $( Split a biconditional and distribute two restricted universal quantifiers,
     analogous to ~ 2albiim and ~ ralbiim .  (Contributed by Alexander van der
     Vekens, 2-Jul-2017.) $)
  2ralbiim $p |- ( A. x e. A A. y e. B ( ph <-> ps ) <->
                   ( A. x e. A A. y e. B ( ph -> ps )
                     /\ A. x e. A A. y e. B ( ps -> ph ) ) ) $=
    ( wb wral wi wa ralbiim ralbii r19.26 bitri ) ABGDFHZCEHABIDFHZBAIDFHZJZCEH
    PCEHQCEHJORCEABDFKLPQCEMN $.

  ${
    $d x ph $.
    $( Restricted quantifier version of ~ 19.21v .  (Contributed by NM,
       15-Oct-2003.)  (Proof shortened by Andrew Salmon, 30-May-2011.)  Reduce
       dependencies on axioms.  (Revised by Wolf Lammen, 2-Jan-2020.) $)
    r19.21v $p |- ( A. x e. A ( ph -> ps ) <-> ( ph -> A. x e. A ps ) ) $=
      ( cv wcel wi wal wral bi2.04 albii 19.21v bitri df-ral imbi2i 3bitr4i ) C
      EDFZABGZGZCHZAQBGZCHZGZRCDIABCDIZGTAUAGZCHUCSUECQABJKAUACLMRCDNUDUBABCDNO
      P $.
  $}

  ${
    $d x ph $.
    ralimdv2.1 $e |- ( ph -> ( ( x e. A -> ps ) -> ( x e. B -> ch ) ) ) $.
    $( Inference quantifying both antecedent and consequent.  (Contributed by
       NM, 1-Feb-2005.) $)
    ralimdv2 $p |- ( ph -> ( A. x e. A ps -> A. x e. B ch ) ) $=
      ( cv wcel wi wal wral alimdv df-ral 3imtr4g ) ADHZEIBJZDKPFICJZDKBDELCDFL
      AQRDGMBDENCDFNO $.
  $}

  ${
    $d x ph $.
    ralimdva.1 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.20 of [Margaris] p. 90.  (Contributed by NM, 22-May-1999.)  Reduce
       dependencies on axioms.  (Revised by Wolf Lammen, 5-Dec-2019.) $)
    ralimdva $p |- ( ph -> ( A. x e. A ps -> A. x e. A ch ) ) $=
      ( cv wcel wi ex a2d ralimdv2 ) ABCDEEADGEHZBCAMBCIFJKL $.
  $}

  ${
    $d x ph $.
    ralimdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.20 of [Margaris] p. 90 ( ~ alim ).  (Contributed by NM,
       8-Oct-2003.) $)
    ralimdv $p |- ( ph -> ( A. x e. A ps -> A. x e. A ch ) ) $=
      ( wi cv wcel adantr ralimdva ) ABCDEABCGDHEIFJK $.
  $}

  ${
    $d y A $.  $d x y ph $.
    ralimdvva.1 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> ( ps -> ch ) ) $.
    $( Deduction doubly quantifying both antecedent and consequent, based on
       Theorem 19.20 of [Margaris] p. 90 ( ~ alim ).  (Contributed by AV,
       27-Nov-2019.) $)
    ralimdvva $p |- ( ph
                   -> ( A. x e. A A. y e. B ps -> A. x e. A A. y e. B ch ) ) $=
      ( wral cv wcel wa wi anassrs ralimdva ) ABEGICEGIDFADJFKZLBCEGAPEJGKBCMHN
      OO $.
  $}

  ${
    hbralrimi.1 $e |- ( ph -> A. x ph ) $.
    hbralrimi.2 $e |- ( ph -> ( x e. A -> ps ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90 (restricted quantifier
       version).  This theorem contains the common proof steps for ~ ralrimi
       and ~ ralrimiv .  Its main advantage over these two is its minimal
       references to axioms.  The proof is extracted from NM's previous work.
       (Contributed by Wolf Lammen, 4-Dec-2019.) $)
    hbralrimi $p |- ( ph -> A. x e. A ps ) $=
      ( cv wcel wi wal wral alrimih df-ral sylibr ) ACGDHBIZCJBCDKAOCEFLBCDMN
      $.
  $}

  ${
    $d x ph $.
    ralrimiv.1 $e |- ( ph -> ( x e. A -> ps ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.)  (Contributed by NM, 22-Nov-1994.)  Reduce
       dependencies on axioms.  (Revised by Wolf Lammen, 4-Dec-2019.) $)
    ralrimiv $p |- ( ph -> A. x e. A ps ) $=
      ( ax-5 hbralrimi ) ABCDACFEG $.
  $}

  ${
    $d x ph $.
    ralrimiva.1 $e |- ( ( ph /\ x e. A ) -> ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.)  (Contributed by NM, 2-Jan-2006.) $)
    ralrimiva $p |- ( ph -> A. x e. A ps ) $=
      ( cv wcel ex ralrimiv ) ABCDACFDGBEHI $.
  $}

  ${
    $d x ph $.
    ralrimivw.1 $e |- ( ph -> ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.)  (Contributed by NM, 18-Jun-2014.) $)
    ralrimivw $p |- ( ph -> A. x e. A ps ) $=
      ( cv wcel a1d ralrimiv ) ABCDABCFDGEHI $.
  $}

  ${
    $d x ps $.
    $( Restricted quantitifer version of one direction of ~ 19.27 .  (Assuming
       ` F/_ x A ` , the other direction holds when ` A ` is nonempty, see
       ~ r19.27zv .)  (Contributed by NM, 3-Jun-2004.)  (Proof shortened by
       Andrew Salmon, 30-May-2011.)  (Proof shortened by Wolf Lammen,
       17-Jun-2023.) $)
    r19.27v $p |- ( ( A. x e. A ph /\ ps ) -> A. x e. A ( ph /\ ps ) ) $=
      ( wral wa id ralrimivw anim2i r19.26 sylibr ) ACDEZBFLBCDEZFABFCDEBMLBBCD
      BGHIABCDJK $.
  $}

  ${
    $d x ph $.
    $( Restricted quantifier version of one direction of ~ 19.28 .  (Assuming
       ` F/_ x A ` , the other direction holds when ` A ` is nonempty, see
       ~ r19.28zv .)  (Contributed by NM, 2-Apr-2004.)  (Proof shortened by
       Wolf Lammen, 17-Jun-2023.) $)
    r19.28v $p |- ( ( ph /\ A. x e. A ps ) -> A. x e. A ( ph /\ ps ) ) $=
      ( wral wa id ralrimivw anim1i r19.26 sylibr ) ABCDEZFACDEZLFABFCDEAMLAACD
      AGHIABCDJK $.
  $}

  ${
    $d x ph $.  $d x ps $.
    ralrimdv.1 $e |- ( ph -> ( ps -> ( x e. A -> ch ) ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.)  (Contributed by NM, 27-May-1998.)  Reduce
       dependencies on axioms.  (Revised by Wolf Lammen, 28-Dec-2019.) $)
    ralrimdv $p |- ( ph -> ( ps -> A. x e. A ch ) ) $=
      ( wral wa cv wcel wi imp ralrimiv ex ) ABCDEGABHCDEABDIEJCKFLMN $.
  $}

  ${
    $d x ph $.  $d x ps $.
    ralrimdva.1 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.)  (Contributed by NM, 2-Feb-2008.)  (Proof shortened
       by Wolf Lammen, 28-Dec-2019.) $)
    ralrimdva $p |- ( ph -> ( ps -> A. x e. A ch ) ) $=
      ( cv wcel expimpd expcomd ralrimdv ) ABCDEADGEHZBCALBCFIJK $.
  $}

  ${
    $d x y ph $.  $d y A $.
    ralrimivv.1 $e |- ( ph -> ( ( x e. A /\ y e. B ) -> ps ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version with double quantification.)  (Contributed by NM,
       24-Jul-2004.) $)
    ralrimivv $p |- ( ph -> A. x e. A A. y e. B ps ) $=
      ( wral cv wcel expd ralrimdv ralrimiv ) ABDFHCEACIEJZBDFANDIFJBGKLM $.
  $}

  ${
    $d ph x y $.  $d A y $.
    ralrimivva.1 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version with double quantification.)  (Contributed by Jeff
       Madsen, 19-Jun-2011.) $)
    ralrimivva $p |- ( ph -> A. x e. A A. y e. B ps ) $=
      ( cv wcel wa ex ralrimivv ) ABCDEFACHEIDHFIJBGKL $.
  $}

  ${
    $d ph x y z $.  $d A y z $.  $d B z $.
    ralrimivvva.1 $e |- ( ( ph /\ ( x e. A /\ y e. B /\ z e. C ) ) -> ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version with triple quantification.)  (Contributed by Mario
       Carneiro, 9-Jul-2014.) $)
    ralrimivvva $p |- ( ph -> A. x e. A A. y e. B A. z e. C ps ) $=
      ( wral cv wcel wa 3anassrs ralrimiva ) ABEHJZDGJCFACKFLZMZPDGRDKGLZMBEHAQ
      SEKHLBINOOO $.
  $}

  ${
    $d x y ph $.  $d x y ps $.  $d y A $.
    ralrimdvv.1 $e |- ( ph -> ( ps -> ( ( x e. A /\ y e. B ) -> ch ) ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version with double quantification.)  (Contributed by NM,
       1-Jun-2005.) $)
    ralrimdvv $p |- ( ph -> ( ps -> A. x e. A A. y e. B ch ) ) $=
      ( wral wa cv wcel wi imp ralrimivv ex ) ABCEGIDFIABJCDEFGABDKFLEKGLJCMHNO
      P $.
  $}

  ${
    $d x y ph $.  $d x y ps $.  $d y A $.
    ralrimdvva.1 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> ( ps -> ch ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version with double quantification.)  (Contributed by NM,
       2-Feb-2008.) $)
    ralrimdvva $p |- ( ph -> ( ps -> A. x e. A A. y e. B ch ) ) $=
      ( cv wcel wa wi ex com23 ralrimdvv ) ABCDEFGADIFJEIGJKZBCAPBCLHMNO $.
  $}

  ${
    $d x ph $.
    ralbidv2.1 $e |- ( ph -> ( ( x e. A -> ps ) <-> ( x e. B -> ch ) ) ) $.
    $( Formula-building rule for restricted universal quantifier (deduction
       form).  (Contributed by NM, 6-Apr-1997.) $)
    ralbidv2 $p |- ( ph -> ( A. x e. A ps <-> A. x e. B ch ) ) $=
      ( cv wcel wi wal wral albidv df-ral 3bitr4g ) ADHZEIBJZDKPFICJZDKBDELCDFL
      AQRDGMBDENCDFNO $.
  $}

  ${
    $d x ph $.
    ralbidva.1 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifier (deduction
       form).  (Contributed by NM, 4-Mar-1997.)  Reduce dependencies on axioms.
       (Revised by Wolf Lammen, 29-Dec-2019.) $)
    ralbidva $p |- ( ph -> ( A. x e. A ps <-> A. x e. A ch ) ) $=
      ( cv wcel pm5.74da ralbidv2 ) ABCDEEADGEHBCFIJ $.
  $}

  ${
    $d x ph $.
    ralbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifier (deduction
       form).  (Contributed by NM, 20-Nov-1994.)  Reduce dependencies on
       axioms.  (Revised by Wolf Lammen, 5-Dec-2019.) $)
    ralbidv $p |- ( ph -> ( A. x e. A ps <-> A. x e. A ch ) ) $=
      ( wb cv wcel adantr ralbidva ) ABCDEABCGDHEIFJK $.
  $}

  ${
    $d x y ph $.  $d y A $.
    2ralbidva.1 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifiers (deduction
       form).  (Contributed by NM, 4-Mar-1997.)  Reduce dependencies on axioms.
       (Revised by Wolf Lammen, 9-Dec-2019.) $)
    2ralbidva $p |- ( ph ->
                     ( A. x e. A A. y e. B ps <-> A. x e. A A. y e. B ch ) ) $=
      ( wral cv wcel wa wb anassrs ralbidva ) ABEGICEGIDFADJFKZLBCEGAPEJGKBCMHN
      OO $.
  $}

  ${
    $d x ph $.  $d y ph $.
    2ralbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifiers (deduction
       form).  (Contributed by NM, 28-Jan-2006.)  (Revised by Szymon
       Jaroszewicz, 16-Mar-2007.) $)
    2ralbidv $p |- ( ph ->
                     ( A. x e. A A. y e. B ps <-> A. x e. A A. y e. B ch ) ) $=
      ( wral ralbidv ) ABEGICEGIDFABCEGHJJ $.
  $}

  ${
    r2allem.1 $e |- ( A. y ( x e. A -> ( y e. B -> ph ) )
                      <-> ( x e. A -> A. y ( y e. B -> ph ) ) ) $.
    $( Lemma factoring out common proof steps of ~ r2alf and ~ r2al .
       Introduced to reduce dependencies on axioms.  (Contributed by Wolf
       Lammen, 9-Jan-2020.) $)
    r2allem $p |- ( A. x e. A A. y e. B ph <->
               A. x A. y ( ( x e. A /\ y e. B ) -> ph ) ) $=
      ( wral cv wcel wi wal wa df-ral impexp albii imbi2i 3bitr4i bitr4i ) ACEG
      ZBDGBHDIZSJZBKTCHEIZLAJZCKZBKSBDMUDUABTUBAJZJZCKTUECKZJUDUAFUCUFCTUBANOSU
      GTACEMPQOR $.
  $}

  ${
    $d x y $.  $d y A $.
    $( Double restricted universal quantification.  (Contributed by NM,
       19-Nov-1995.)  Reduce dependencies on axioms.  (Revised by Wolf Lammen,
       9-Jan-2020.) $)
    r2al $p |- ( A. x e. A A. y e. B ph <->
               A. x A. y ( ( x e. A /\ y e. B ) -> ph ) ) $=
      ( cv wcel wi 19.21v r2allem ) ABCDEBFDGCFEGAHCIJ $.
  $}

  ${
    $d x y z $.  $d y z A $.  $d z B $.
    $( Triple restricted universal quantification.  (Contributed by NM,
       19-Nov-1995.)  (Proof shortened by Wolf Lammen, 30-Dec-2019.) $)
    r3al $p |- ( A. x e. A A. y e. B A. z e. C ph <->
               A. x A. y A. z ( ( x e. A /\ y e. B /\ z e. C ) -> ph ) ) $=
      ( wral cv wcel wa wi wal w3a r2al 19.21v df-3an imbi1i impexp bitri albii
      df-ral imbi2i 3bitr4ri 2albii ) ADGHZCFHBEHBIEJZCIFJZKZUFLZCMBMUGUHDIGJZN
      ZALZDMZCMBMUFBCEFOUJUNBCUIUKALZLZDMUIUODMZLUNUJUIUODPUMUPDUMUIUKKZALUPULU
      RAUGUHUKQRUIUKASTUAUFUQUIADGUBUCUDUET $.
  $}

  ${
    $d x y $.  $d y A $.
    rgen2.1 $e |- ( ( x e. A /\ y e. B ) -> ph ) $.
    $( Generalization rule for restricted quantification, with two quantifiers.
       This theorem should be used in place of ~ rgen2a since it depends on a
       smaller set of axioms.  (Contributed by NM, 30-May-1999.) $)
    rgen2 $p |- A. x e. A A. y e. B ph $=
      ( wral cv wcel ralrimiva rgen ) ACEGBDBHDIACEFJK $.
    $( $j usage 'rgen2' avoids 'ax-6' 'ax-7' 'ax-8' 'ax-9' 'ax-10' 'ax-11'
       'ax-12' 'ax-13' 'ax-ext'; $)
  $}

  ${
    $d y z A $.  $d z B $.  $d x y z $.
    rgen3.1 $e |- ( ( x e. A /\ y e. B /\ z e. C ) -> ph ) $.
    $( Generalization rule for restricted quantification, with three
       quantifiers.  (Contributed by NM, 12-Jan-2008.) $)
    rgen3 $p |- A. x e. A A. y e. B A. z e. C ph $=
      ( wral cv wcel wa 3expa ralrimiva rgen2 ) ADGIBCEFBJEKZCJFKZLADGPQDJGKAHM
      NO $.
  $}

  ${
    $d x y A $.  $d x ps $.  $d y ph $.
    rspw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Restricted specialization.  Weak version of ~ rsp , requiring ~ ax-8 ,
       but not ~ ax-12 .  (Contributed by Gino Giotto, 3-Oct-2024.) $)
    rspw $p |- ( A. x e. A ph -> ( x e. A -> ph ) ) $=
      ( wral cv wcel wi wal df-ral weq eleq1w imbi12d spw sylbi ) ACEGCHEIZAJZC
      KSACELSDHEIZBJCDCDMRTABCDENFOPQ $.
    $( $j usage 'rspw' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  $( Restricted specialization.  (Contributed by NM, 17-Oct-1996.) $)
  rsp $p |- ( A. x e. A ph -> ( x e. A -> ph ) ) $=
    ( wral cv wcel wi wal df-ral sp sylbi ) ABCDBECFAGZBHLABCILBJK $.

  $( Restricted specialization.  (Contributed by Glauco Siliprandi,
     11-Dec-2019.) $)
  rspa $p |- ( ( A. x e. A ph /\ x e. A ) -> ph ) $=
    ( wral cv wcel rsp imp ) ABCDBECFAABCGH $.

  ${
    rspec.1 $e |- A. x e. A ph $.
    $( Specialization rule for restricted quantification.  (Contributed by NM,
       19-Nov-1994.) $)
    rspec $p |- ( x e. A -> ph ) $=
      ( wral cv wcel wi rsp ax-mp ) ABCEBFCGAHDABCIJ $.
  $}

  ${
    r19.21bi.1 $e |- ( ph -> A. x e. A ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.)  (Contributed by NM, 20-Nov-1994.)  (Proof
       shortened by Wolf Lammen, 11-Jun-2023.) $)
    r19.21bi $p |- ( ( ph /\ x e. A ) -> ps ) $=
      ( wral cv wcel rspa sylan ) ABCDFCGDHBEBCDIJ $.
  $}

  ${
    r19.21be.1 $e |- ( ph -> A. x e. A ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.)  (Contributed by NM, 21-Nov-1994.) $)
    r19.21be $p |- A. x e. A ( ph -> ps ) $=
      ( wi cv wcel r19.21bi expcom rgen ) ABFCDACGDHBABCDEIJK $.
  $}

  ${
    rspec2.1 $e |- A. x e. A A. y e. B ph $.
    $( Specialization rule for restricted quantification, with two quantifiers.
       (Contributed by NM, 20-Nov-1994.) $)
    rspec2 $p |- ( ( x e. A /\ y e. B ) -> ph ) $=
      ( cv wcel wral rspec r19.21bi ) BGDHACEACEIBDFJK $.
  $}

  ${
    rspec3.1 $e |- A. x e. A A. y e. B A. z e. C ph $.
    $( Specialization rule for restricted quantification, with three
       quantifiers.  (Contributed by NM, 20-Nov-1994.) $)
    rspec3 $p |- ( ( x e. A /\ y e. B /\ z e. C ) -> ph ) $=
      ( cv wcel wa wral rspec2 r19.21bi 3impa ) BIEJZCIFJZDIGJAPQKADGADGLBCEFHM
      NO $.
  $}

  $( Restricted specialization, with two quantifiers.  (Contributed by NM,
     11-Feb-1997.) $)
  rsp2 $p |- ( A. x e. A A. y e. B ph -> ( ( x e. A /\ y e. B ) -> ph ) ) $=
    ( wral cv wcel wi rsp syl6 impd ) ACEFZBDFZBGDHZCGEHZANOMPAIMBDJACEJKL $.

  $( Restricted quantifier version of ~ 19.21t ; closed form of ~ r19.21 .
     (Contributed by NM, 1-Mar-2008.)  (Proof shortened by Wolf Lammen,
     2-Jan-2020.) $)
  r19.21t $p |- ( F/ x ph ->
           ( A. x e. A ( ph -> ps ) <-> ( ph -> A. x e. A ps ) ) ) $=
    ( wnf cv wcel wi wal wral 19.21t df-ral bi2.04 albii bitri imbi2i 3bitr4g )
    ACEACFDGZBHZHZCIZASCIZHABHZCDJZABCDJZHASCKUDRUCHZCIUAUCCDLUFTCRABMNOUEUBABC
    DLPQ $.

  ${
    r19.21.1 $e |- F/ x ph $.
    $( Restricted quantifier version of ~ 19.21 .  (Contributed by Scott
       Fenton, 30-Mar-2011.) $)
    r19.21 $p |- ( A. x e. A ( ph -> ps ) <-> ( ph -> A. x e. A ps ) ) $=
      ( wnf wi wral wb r19.21t ax-mp ) ACFABGCDHABCDHGIEABCDJK $.
  $}

  ${
    ralrimi.1 $e |- F/ x ph $.
    ralrimi.2 $e |- ( ph -> ( x e. A -> ps ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90 (restricted quantifier
       version).  (Contributed by NM, 10-Oct-1999.)  Shortened after
       introduction of ~ hbralrimi .  (Revised by Wolf Lammen, 4-Dec-2019.) $)
    ralrimi $p |- ( ph -> A. x e. A ps ) $=
      ( nf5ri hbralrimi ) ABCDACEGFH $.
  $}

  ${
    ralimdaa.1 $e |- F/ x ph $.
    ralimdaa.2 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.20 of [Margaris] p. 90.  (Contributed by NM, 22-Sep-2003.)  (Proof
       shortened by Wolf Lammen, 29-Dec-2019.) $)
    ralimdaa $p |- ( ph -> ( A. x e. A ps -> A. x e. A ch ) ) $=
      ( wi wral cv wcel ex ralrimi ralim syl ) ABCHZDEIBDEICDEIHAPDEFADJEKPGLMB
      CDENO $.
  $}

  ${
    ralrimd.1 $e |- F/ x ph $.
    ralrimd.2 $e |- F/ x ps $.
    ralrimd.3 $e |- ( ph -> ( ps -> ( x e. A -> ch ) ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.)  (Contributed by NM, 16-Feb-2004.) $)
    ralrimd $p |- ( ph -> ( ps -> A. x e. A ch ) ) $=
      ( cv wcel wi wal wral alrimd df-ral syl6ibr ) ABDIEJCKZDLCDEMABQDFGHNCDEO
      P $.
  $}

  $( The setvar ` x ` is not free in ` A. x e. A ph ` .  (Contributed by NM,
     18-Oct-1996.)  (Revised by Mario Carneiro, 7-Oct-2016.) $)
  nfra1 $p |- F/ x A. x e. A ph $=
    ( wral cv wcel wi wal df-ral nfa1 nfxfr ) ABCDBECFAGZBHBABCILBJK $.

  $( The setvar ` x ` is not free in ` A. x e. A ph ` .  (Contributed by NM,
     18-Oct-1996.)  (Proof shortened by Wolf Lammen, 7-Dec-2019.) $)
  hbra1 $p |- ( A. x e. A ph -> A. x A. x e. A ph ) $=
    ( wral nfra1 nf5ri ) ABCDBABCEF $.

  ${
    hbral.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbral.2 $e |- ( ph -> A. x ph ) $.
    $( Bound-variable hypothesis builder for restricted quantification.
       (Contributed by NM, 1-Sep-1999.)  (Revised by David Abernethy,
       13-Dec-2009.) $)
    hbral $p |- ( A. y e. A ph -> A. x A. y e. A ph ) $=
      ( wral cv wcel wi wal df-ral hbim hbal hbxfrbi ) ACDGCHDIZAJZCKBACDLQBCPA
      BEFMNO $.
  $}

  ${
    $d x y $.
    r2alf.1 $e |- F/_ y A $.
    $( Double restricted universal quantification.  (Contributed by Mario
       Carneiro, 14-Oct-2016.)  Use ~ r2allem .  (Revised by Wolf Lammen,
       9-Jan-2020.) $)
    r2alf $p |- ( A. x e. A A. y e. B ph <->
               A. x A. y ( ( x e. A /\ y e. B ) -> ph ) ) $=
      ( cv wcel wi nfcri 19.21 r2allem ) ABCDEBGDHCGEHAICCBDFJKL $.
  $}

  ${
    $d x y $.
    nfraldw.1 $e |- F/ y ph $.
    nfraldw.2 $e |- ( ph -> F/_ x A ) $.
    nfraldw.3 $e |- ( ph -> F/ x ps ) $.
    $( Deduction version of ~ nfralw .  Version of ~ nfrald with a disjoint
       variable condition, which does not require ~ ax-13 .  (Contributed by
       NM, 15-Feb-2013.)  (Revised by Gino Giotto, 24-Sep-2024.) $)
    nfraldw $p |- ( ph -> F/ x A. y e. A ps ) $=
      ( wral cv wcel wi wal df-ral nfcrd nfimd nfald nfxfrd ) BDEIDJEKZBLZDMACB
      DENATCDFASBCACDEGOHPQR $.
    $( $j usage 'nfraldw' avoids 'ax-13' 'ax-9' 'df-cleq' 'ax-ext'; $)

    $( Obsolete version of ~ nfraldw as of 24-Sep-2024.  (Contributed by NM,
       15-Feb-2013.)  (Revised by Gino Giotto, 10-Jan-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    nfraldwOLD $p |- ( ph -> F/ x A. y e. A ps ) $=
      ( wral cv wcel wi wal df-ral nfcvd nfeld nfimd nfald nfxfrd ) BDEIDJZEKZB
      LZDMACBDENAUBCDFAUABCACTEACTOGPHQRS $.
    $( $j usage 'nfraldwOLD' avoids 'ax-13'; $)
  $}

  ${
    nfrald.1 $e |- F/ y ph $.
    nfrald.2 $e |- ( ph -> F/_ x A ) $.
    nfrald.3 $e |- ( ph -> F/ x ps ) $.
    $( Deduction version of ~ nfral .  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  Use the weaker ~ nfraldw when possible.
       (Contributed by NM, 15-Feb-2013.)  (Revised by Mario Carneiro,
       7-Oct-2016.)  (New usage is discouraged.) $)
    nfrald $p |- ( ph -> F/ x A. y e. A ps ) $=
      ( wral cv wcel wi wal df-ral weq wn wa wnfc nfcvf adantr adantl nfeld wnf
      nfimd nfald2 nfxfrd ) BDEIDJZEKZBLZDMACBDENAUICDFACDOCMPZQZUHBCUKCUGEUJCU
      GRACDSUAACERUJGTUBABCUCUJHTUDUEUF $.
  $}

  ${
    $d x y $.
    nfralw.1 $e |- F/_ x A $.
    nfralw.2 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for restricted quantification.
       Version of ~ nfral with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by NM, 1-Sep-1999.)  (Revised by Gino
       Giotto, 10-Jan-2024.) $)
    nfralw $p |- F/ x A. y e. A ph $=
      ( wral wnf wtru nftru wnfc a1i nfraldw mptru ) ACDGBHIABCDCJBDKIELABHIFLM
      N $.
    $( $j usage 'nfralw' avoids 'ax-13'; $)
  $}

  ${
    nfral.1 $e |- F/_ x A $.
    nfral.2 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for restricted quantification.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ nfralw when possible.  (Contributed by NM, 1-Sep-1999.)
       (Revised by Mario Carneiro, 7-Oct-2016.)  (New usage is discouraged.) $)
    nfral $p |- F/ x A. y e. A ph $=
      ( wral wnf wtru nftru wnfc a1i nfrald mptru ) ACDGBHIABCDCJBDKIELABHIFLMN
      $.
  $}

  ${
    $d A y $.  $d x y $.
    $( Similar to Lemma 24 of [Monk2] p. 114, except the quantification of the
       antecedent is restricted.  Derived automatically from ~ hbra2VD .
       Version of ~ nfra2 with a disjoint variable condition not requiring
       ~ ax-13 .  (Contributed by Alan Sare, 31-Dec-2011.)  (Revised by Gino
       Giotto, 24-Sep-2024.)  (Proof shortened by Wolf Lammen, 31-Oct-2024.) $)
    nfra2w $p |- F/ y A. x e. A A. y e. B ph $=
      ( wral cv wcel wa wi wal r2al alcom bitri nfa1 nfxfr ) ACEFBDFZBGDHCGEHIA
      JZBKZCKZCQRCKBKTABCDELRBCMNSCOP $.
    $( $j usage 'nfra2w' avoids 'ax-6' 'ax-7' 'ax-8' 'df-clel' 'ax-9' 'df-cleq'
       'ax-12' 'ax-13' 'ax-ext'; $)

    $( Obsolete version of ~ nfra2w as of 31-Oct-2024.  (Contributed by Alan
       Sare, 31-Dec-2011.)  (Revised by Gino Giotto, 24-Sep-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    nfra2wOLD $p |- F/ y A. x e. A A. y e. B ph $=
      ( wral cv wcel wi wal df-ral imbi2i albii bitri wnf nfa1 alcom nfbii mpbi
      19.21v nfxfr ) ACEFZBDFZBGDHZCGEHAIZCJZIZBJZCUCUDUBIZBJUHUBBDKUIUGBUBUFUD
      ACEKLMNUDUEIZBJZCJZCOUHCOUKCPULUHCULUJCJZBJUHUJCBQUMUGBUDUECTMNRSUA $.
    $( $j usage 'nfra2wOLD' avoids 'ax-6' 'ax-7' 'ax-8' 'df-clel' 'ax-9'
       'df-cleq' 'ax-12' 'ax-13' 'ax-ext'; $)

    $( Obsolete version of ~ nfra2w as of 24-Sep-2024.  (Contributed by Alan
       Sare, 31-Dec-2011.)  (Revised by Gino Giotto, 10-Jan-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    nfra2wOLDOLD $p |- F/ y A. x e. A A. y e. B ph $=
      ( wral nfcv nfra1 nfralw ) ACEFCBDCDGACEHI $.
    $( $j usage 'nfra2wOLDOLD' avoids 'ax-13'; $)
  $}

  ${
    $d A y $.
    $( Similar to Lemma 24 of [Monk2] p. 114, except the quantification of the
       antecedent is restricted.  Derived automatically from ~ hbra2VD .  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ nfra2w when possible.  (Contributed by Alan Sare, 31-Dec-2011.)
       (New usage is discouraged.) $)
    nfra2 $p |- F/ y A. x e. A A. y e. B ph $=
      ( wral nfcv nfra1 nfral ) ACEFCBDCDGACEHI $.
  $}

  ${
    $d y z A $.  $d x z $.
    rgen2a.1 $e |- ( ( x e. A /\ y e. A ) -> ph ) $.
    $( Generalization rule for restricted quantification.  Note that ` x ` and
       ` y ` are not required to be disjoint.  This proof illustrates the use
       of ~ dvelim .  This theorem relies on the full set of axioms up to
       ~ ax-ext and it should no longer be used.  Usage of ~ rgen2 is highly
       encouraged.  (Contributed by NM, 23-Nov-1994.)  (Proof shortened by
       Andrew Salmon, 25-May-2011.)  (Proof shortened by Wolf Lammen,
       1-Jan-2020.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    rgen2a $p |- A. x e. A A. y e. A ph $=
      ( vz wral cv wcel wi wal weq wn eleq1 dvelimv alimi syl6com biimpd syli
      ex pm2.61d2 df-ral sylibr rgen ) ACDGZBDBHZDIZCHZDIZAJZCKZUEUGCBLZCKZUKUM
      MUGUGCKUKFHZDIUGCBFUNUFDNOUGUJCUGUIAETZPQULUJCUIULUGAULUIUGUHUFDNRUOSPUAA
      CDUBUCUD $.
  $}

  ${
    ralbida.1 $e |- F/ x ph $.
    ralbida.2 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifier (deduction
       form).  (Contributed by NM, 6-Oct-2003.)  (Proof shortened by Wolf
       Lammen, 31-Oct-2024.) $)
    ralbida $p |- ( ph -> ( A. x e. A ps <-> A. x e. A ch ) ) $=
      ( wral cv wcel wa biimpd ralimdaa biimprd impbid ) ABDEHCDEHABCDEFADIEJKZ
      BCGLMACBDEFPBCGNMO $.

    $( Obsolete version of ~ ralbida as of 31-Oct-2024.  (Contributed by NM,
       6-Oct-2003.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ralbidaOLD $p |- ( ph -> ( A. x e. A ps <-> A. x e. A ch ) ) $=
      ( cv wcel wi wal wral pm5.74da albid df-ral 3bitr4g ) ADHEIZBJZDKQCJZDKBD
      ELCDELARSDFAQBCGMNBDEOCDEOP $.
  $}

  ${
    ralbid.1 $e |- F/ x ph $.
    ralbid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifier (deduction
       form).  (Contributed by NM, 27-Jun-1998.) $)
    ralbid $p |- ( ph -> ( A. x e. A ps <-> A. x e. A ch ) ) $=
      ( wb cv wcel adantr ralbida ) ABCDEFABCHDIEJGKL $.
  $}

  ${
    $d x y $.  $d y A $.
    2ralbida.1 $e |- F/ x ph $.
    2ralbida.2 $e |- F/ y ph $.
    2ralbida.3 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifier (deduction
       form).  (Contributed by NM, 24-Feb-2004.) $)
    2ralbida $p |- ( ph ->
                     ( A. x e. A A. y e. B ps <-> A. x e. A A. y e. B ch ) ) $=
      ( wral cv wcel wa nfv nfan wb anassrs ralbida ) ABEGKCEGKDFHADLFMZNBCEGAT
      EITEOPATELGMBCQJRSS $.
  $}

  ${
    raleqbii.1 $e |- A = B $.
    raleqbii.2 $e |- ( ps <-> ch ) $.
    $( Equality deduction for restricted universal quantifier, changing both
       formula and quantifier domain.  Inference form.  (Contributed by David
       Moews, 1-May-2017.) $)
    raleqbii $p |- ( A. x e. A ps <-> A. x e. B ch ) $=
      ( cv wcel eleq2i imbi12i ralbii2 ) ABCDECHZDIMEIABDEMFJGKL $.
  $}

  ${
    $d x y $.  $d y A $.
    $( Commutation of restricted and unrestricted universal quantifiers.
       (Contributed by NM, 26-Mar-2004.)  (Proof shortened by Andrew Salmon,
       8-Jun-2011.)  Reduce axiom dependencies.  (Revised by BJ, 13-Jun-2019.)
       (Proof shortened by Wolf Lammen, 31-Oct-2024.) $)
    ralcom4 $p |- ( A. x e. A A. y ph <-> A. y A. x e. A ph ) $=
      ( wal wral cv wcel wi 19.21v albii alcom df-ral 3bitr4ri bitr4i ) ACEZBDF
      ZBGDHZAIZBEZCEZABDFZCESCEZBERPIZBEUAQUCUDBRACJKSCBLPBDMNUBTCABDMKO $.

    $( Obsolete version of ~ ralcom4 as of 31-Oct-2024.  (Contributed by NM,
       26-Mar-2004.)  (Proof shortened by Andrew Salmon, 8-Jun-2011.)  Reduce
       axiom dependencies.  (Revised by BJ, 13-Jun-2019.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    ralcom4OLD $p |- ( A. x e. A A. y ph <-> A. y A. x e. A ph ) $=
      ( cv wcel wal wi wral 19.21v bicomi albii alcom bitri df-ral 3bitr4i ) BE
      DFZACGZHZBGZQAHZBGZCGZRBDIABDIZCGTUACGZBGUCSUEBUESQACJKLUABCMNRBDOUDUBCAB
      DOLP $.
  $}

  $( Relationship between restricted universal and existential quantifiers.
     (Contributed by NM, 21-Jan-1997.)  (Proof shortened by BJ,
     16-Jul-2021.) $)
  ralnex $p |- ( A. x e. A -. ph <-> -. E. x e. A ph ) $=
    ( wn wral cv wcel wa wal wrex raln wex alnex df-rex xchbinxr bitri ) ADBCEB
    FCGAHZDBIZABCJZDABCKRQBLSQBMABCNOP $.

  $( Relationship between restricted universal and existential quantifiers.
     (Contributed by NM, 21-Jan-1997.)  Allow shortening of ~ rexnal .
     (Revised by Wolf Lammen, 9-Dec-2019.) $)
  dfral2 $p |- ( A. x e. A ph <-> -. E. x e. A -. ph ) $=
    ( wral wn wrex notnotb ralbii ralnex bitri ) ABCDAEZEZBCDKBCFEALBCAGHKBCIJ
    $.

  $( Relationship between restricted universal and existential quantifiers.
     (Contributed by NM, 21-Jan-1997.)  (Proof shortened by Wolf Lammen,
     9-Dec-2019.) $)
  rexnal $p |- ( E. x e. A -. ph <-> -. A. x e. A ph ) $=
    ( wral wn wrex dfral2 con2bii ) ABCDAEBCFABCGH $.

  $( Relationship between restricted universal and existential quantifiers.
     (Contributed by NM, 21-Jan-1997.)  (Proof shortened by Wolf Lammen,
     26-Nov-2019.) $)
  dfrex2 $p |- ( E. x e. A ph <-> -. A. x e. A -. ph ) $=
    ( wn wral wrex ralnex con2bii ) ADBCEABCFABCGH $.

  $( Restricted existence implies existence.  (Contributed by NM,
     11-Nov-1995.) $)
  rexex $p |- ( E. x e. A ph -> E. x ph ) $=
    ( wrex cv wcel wa wex df-rex exsimpr sylbi ) ABCDBECFZAGBHABHABCILABJK $.

  $( Theorem 19.22 of [Margaris] p. 90.  (Restricted quantifier version.)
     (Contributed by NM, 22-Nov-1994.)  (Proof shortened by Andrew Salmon,
     30-May-2011.) $)
  rexim $p |- ( A. x e. A ( ph -> ps ) ->
               ( E. x e. A ph -> E. x e. A ps ) ) $=
    ( wi wral wn wrex con3 ral2imi con3d dfrex2 3imtr4g ) ABEZCDFZAGZCDFZGBGZCD
    FZGACDHBCDHOSQNRPCDABIJKACDLBCDLM $.

  $( Distribute restricted quantification over a biconditional.  (Contributed
     by Scott Fenton, 7-Aug-2024.)  (Proof shortened by Wolf Lammen,
     3-Nov-2024.) $)
  rexbi $p |- ( A. x e. A ( ph <-> ps ) ->
  ( E. x e. A ph <-> E. x e. A ps ) ) $=
    ( wb wral wrex wi biimp ralimi rexim syl biimpr impbid ) ABEZCDFZACDGZBCDGZ
    PABHZCDFQRHOSCDABIJABCDKLPBAHZCDFRQHOTCDABMJBACDKLN $.

  $( Obsolete version of ~ rexbi as of 31-Oct-2024.  (Contributed by Scott
     Fenton, 7-Aug-2024.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  rexbiOLD $p |- ( A. x e. A ( ph <-> ps ) ->
  ( E. x e. A ph <-> E. x e. A ps ) ) $=
    ( wn wb wral wrex ralbi notbid notbi ralbii dfrex2 bibi12i 3imtr4i ) AEZBEZ
    FZCDGZPCDGZEZQCDGZEZFABFZCDGACDHZBCDHZFSTUBPQCDIJUDRCDABKLUEUAUFUCACDMBCDMN
    O $.

  ${
    reximi2.1 $e |- ( ( x e. A /\ ph ) -> ( x e. B /\ ps ) ) $.
    $( Inference quantifying both antecedent and consequent, based on Theorem
       19.22 of [Margaris] p. 90.  (Contributed by NM, 8-Nov-2004.) $)
    reximi2 $p |- ( E. x e. A ph -> E. x e. B ps ) $=
      ( cv wcel wa wex wrex eximi df-rex 3imtr4i ) CGZDHAIZCJOEHBIZCJACDKBCEKPQ
      CFLACDMBCEMN $.
  $}

  ${
    reximia.1 $e |- ( x e. A -> ( ph -> ps ) ) $.
    $( Inference quantifying both antecedent and consequent.  (Contributed by
       NM, 10-Feb-1997.)  (Proof shortened by Wolf Lammen, 31-Oct-2024.) $)
    reximia $p |- ( E. x e. A ph -> E. x e. A ps ) $=
      ( cv wcel imdistani reximi2 ) ABCDDCFDGABEHI $.

    $( Obsolete version of ~ reximia as of 31-Oct-2024.  (Contributed by NM,
       10-Feb-1997.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    reximiaOLD $p |- ( E. x e. A ph -> E. x e. A ps ) $=
      ( wi wrex rexim mprg ) ABFACDGBCDGFCDABCDHEI $.
  $}

  ${
    reximi.1 $e |- ( ph -> ps ) $.
    $( Inference quantifying both antecedent and consequent.  (Contributed by
       NM, 18-Oct-1996.) $)
    reximi $p |- ( E. x e. A ph -> E. x e. A ps ) $=
      ( wi cv wcel a1i reximia ) ABCDABFCGDHEIJ $.
  $}

  ${
    rexbii2.1 $e |- ( ( x e. A /\ ph ) <-> ( x e. B /\ ps ) ) $.
    $( Inference adding different restricted existential quantifiers to each
       side of an equivalence.  (Contributed by NM, 4-Feb-2004.) $)
    rexbii2 $p |- ( E. x e. A ph <-> E. x e. B ps ) $=
      ( cv wcel wa wex wrex exbii df-rex 3bitr4i ) CGZDHAIZCJOEHBIZCJACDKBCEKPQ
      CFLACDMBCEMN $.
  $}

  ${
    rexbiia.1 $e |- ( x e. A -> ( ph <-> ps ) ) $.
    $( Inference adding restricted existential quantifier to both sides of an
       equivalence.  (Contributed by NM, 26-Oct-1999.) $)
    rexbiia $p |- ( E. x e. A ph <-> E. x e. A ps ) $=
      ( cv wcel pm5.32i rexbii2 ) ABCDDCFDGABEHI $.
  $}

  ${
    rexbii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding restricted existential quantifier to both sides of an
       equivalence.  (Contributed by NM, 23-Nov-1994.)  (Revised by Mario
       Carneiro, 17-Oct-2016.)  (Proof shortened by Wolf Lammen,
       6-Dec-2019.) $)
    rexbii $p |- ( E. x e. A ph <-> E. x e. A ps ) $=
      ( wb cv wcel a1i rexbiia ) ABCDABFCGDHEIJ $.

    $( Inference adding two restricted existential quantifiers to both sides of
       an equivalence.  (Contributed by NM, 11-Nov-1995.) $)
    2rexbii $p |- ( E. x e. A E. y e. B ph <-> E. x e. A E. y e. B ps ) $=
      ( wrex rexbii ) ADFHBDFHCEABDFGII $.
  $}

  ${
    $d x y $.  $d y A $.
    $( Commutation of restricted and unrestricted existential quantifiers.
       (Contributed by NM, 12-Apr-2004.)  (Proof shortened by Andrew Salmon,
       8-Jun-2011.)  Reduce axiom dependencies.  (Revised by BJ,
       13-Jun-2019.) $)
    rexcom4 $p |- ( E. x e. A E. y ph <-> E. y E. x e. A ph ) $=
      ( cv wcel wa wex wrex exdistr df-rex exbii excom bitri 3bitr4ri ) BEDFZAG
      ZCHBHZPACHZGBHABDIZCHZSBDIPABCJUAQBHZCHRTUBCABDKLQCBMNSBDKO $.
  $}

  ${
    $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d w x $.  $d w y $.  $d x z $.
    $d y z $.
    $( Rotate two existential quantifiers and two restricted existential
       quantifiers.  (Contributed by AV, 9-Nov-2023.) $)
    2ex2rexrot $p |- ( E. x E. y E. z e. A E. w e. B ph
                       <-> E. z e. A E. w e. B E. x E. y ph ) $=
      ( wex wrex rexcom4 rexbii bitri exbii 3bitrri ) ACHZBHEGIZDFIOEGIZBHZDFIQ
      DFIZBHAEGIZDFICHZBHPRDFOEBGJKQDBFJSUABSTCHZDFIUAQUBDFAECGJKTDCFJLMN $.
  $}

  ${
    $d x A $.  $d x y $.  $d x ph $.
    $( Specialized existential commutation lemma.  (Contributed by Jeff Madsen,
       1-Jun-2011.) $)
    rexcom4a $p |- ( E. x E. y e. A ( ph /\ ps ) <->
                                               E. y e. A ( ph /\ E. x ps ) ) $=
      ( wa wrex wex rexcom4 19.42v rexbii bitr3i ) ABFZDEGCHMCHZDEGABCHFZDEGMDC
      EINODEABCJKL $.
  $}

  $( Cancellation law for restricted existential quantification.  (Contributed
     by Peter Mazsa, 24-May-2018.)  (Proof shortened by Wolf Lammen,
     8-Jul-2023.) $)
  rexanid $p |- ( E. x e. A ( x e. A /\ ph ) <-> E. x e. A ph ) $=
    ( cv wcel wa ibar bicomd rexbiia ) BDCEZAFZABCJAKJAGHI $.

  $( Restricted quantifier version of ~ 19.29 .  See also ~ r19.29r .
     (Contributed by NM, 31-Aug-1999.)  (Proof shortened by Andrew Salmon,
     30-May-2011.) $)
  r19.29 $p |- ( ( A. x e. A ph /\ E. x e. A ps ) ->
               E. x e. A ( ph /\ ps ) ) $=
    ( wral wrex wa wi pm3.2 ralimi rexim syl imp ) ACDEZBCDFZABGZCDFZNBPHZCDEOQ
    HARCDABIJBPCDKLM $.

  $( Restricted quantifier version of ~ 19.29r ; variation of ~ r19.29 .
     (Contributed by NM, 31-Aug-1999.)  (Proof shortened by Wolf Lammen,
     29-Jun-2023.) $)
  r19.29r $p |- ( ( E. x e. A ph /\ A. x e. A ps ) ->
                E. x e. A ( ph /\ ps ) ) $=
    ( wrex wral wa r19.29 ancoms pm3.22 reximi syl ) ACDEZBCDFZGBAGZCDEZABGZCDE
    NMPBACDHIOQCDBAJKL $.

  ${
    r19.29imd.1 $e |- ( ph -> E. x e. A ps ) $.
    r19.29imd.2 $e |- ( ph -> A. x e. A ( ps -> ch ) ) $.
    $( Theorem 19.29 of [Margaris] p. 90 with an implication in the hypothesis
       containing the generalization, deduction version.  (Contributed by AV,
       19-Jan-2019.) $)
    r19.29imd $p |- ( ph -> E. x e. A ( ps /\ ch ) ) $=
      ( wi wa wrex wral r19.29r syl2anc abai rexbii sylibr ) ABBCHZIZDEJZBCIZDE
      JABDEJQDEKSFGBQDELMTRDEBCNOP $.
  $}

  $( Relationship between two restricted universal and existential quantifiers.
     (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  rexnal2 $p |- ( E. x e. A E. y e. B -. ph <-> -. A. x e. A A. y e. B ph ) $=
    ( wn wrex wral rexnal rexbii bitri ) AFCEGZBDGACEHZFZBDGMBDHFLNBDACEIJMBDIK
    $.

  $( Relationship between three restricted universal and existential
     quantifiers.  (Contributed by Thierry Arnoux, 12-Jul-2020.) $)
  rexnal3 $p |- ( E. x e. A E. y e. B E. z e. C -. ph
    <-> -. A. x e. A A. y e. B A. z e. C ph ) $=
    ( wn wrex wral rexnal 2rexbii rexnal2 bitri ) AHDGIZCFIBEIADGJZHZCFIBEIPCFJ
    BEJHOQBCEFADGKLPBCEFMN $.

  $( Relationship between two restricted universal and existential quantifiers.
     (Contributed by Glauco Siliprandi, 11-Dec-2019.)  (Proof shortened by Wolf
     Lammen, 18-May-2023.) $)
  ralnex2 $p |- ( A. x e. A A. y e. B -. ph <-> -. E. x e. A E. y e. B ph ) $=
    ( wn wral wrex ralnex ralbii bitri ) AFCEGZBDGACEHZFZBDGMBDHFLNBDACEIJMBDIK
    $.

  $( Relationship between three restricted universal and existential
     quantifiers.  (Contributed by Thierry Arnoux, 12-Jul-2020.)  (Proof
     shortened by Wolf Lammen, 18-May-2023.) $)
  ralnex3 $p |- ( A. x e. A A. y e. B A. z e. C -. ph
    <-> -. E. x e. A E. y e. B E. z e. C ph ) $=
    ( wn wral wrex ralnex 2ralbii ralnex2 bitri ) AHDGIZCFIBEIADGJZHZCFIBEIPCFJ
    BEJHOQBCEFADGKLPBCEFMN $.

  $( A transformation of restricted quantifiers and logical connectives.
     (Contributed by NM, 4-Sep-2005.) $)
  ralinexa $p |- ( A. x e. A ( ph -> -. ps ) <-> -. E. x e. A ( ph /\ ps ) ) $=
    ( wn wi wral wa wrex imnan ralbii ralnex bitri ) ABEFZCDGABHZEZCDGOCDIENPCD
    ABJKOCDLM $.

  $( A transformation of restricted quantifiers and logical connectives.
     (Contributed by NM, 4-Sep-2005.)  (Proof shortened by Wolf Lammen,
     27-Dec-2019.) $)
  rexanali $p |- ( E. x e. A ( ph /\ -. ps ) <-> -. A. x e. A ( ph -> ps ) ) $=
    ( wn wa wrex wral wi dfrex2 iman ralbii xchbinxr ) ABEFZCDGNEZCDHABIZCDHNCD
    JPOCDABKLM $.

  $( Negation of a complex predicate calculus formula.  (Contributed by FL,
     31-Jul-2009.) $)
  nrexralim $p |- ( -. E. x e. A A. y e. B ( ph -> ps )
     <-> A. x e. A E. y e. B ( ph /\ -. ps ) ) $=
    ( wn wa wrex wral wi rexanali ralbii ralnex bitr2i ) ABGHDFIZCEJABKDFJZGZCE
    JQCEIGPRCEABDFLMQCENO $.

  ${
    $d x A $.  $d x B $.
    $( Two ways to say " ` A ` belongs to ` B ` ".  (Contributed by NM,
       22-Nov-1994.) $)
    risset $p |- ( A e. B <-> E. x e. B x = A ) $=
      ( cv wcel wceq wa wex wrex exancom df-rex dfclel 3bitr4ri ) ADZCEZNBFZGAH
      POGAHPACIBCEOPAJPACKABCLM $.

    $( A definition of ` -. A e. B ` .  (Contributed by Thierry Arnoux,
       20-Nov-2023.)  (Proof shortened by SN, 23-Jan-2024.)  (Proof shortened
       by Wolf Lammen, 3-Nov-2024.) $)
    nelb $p |- ( -. A e. B <-> A. x e. B x =/= A ) $=
      ( cv wceq wrex wne wral wcel df-ne ralbii ralnex bitr2i risset xchnxbir
      wn ) ADZBEZACFZQBGZACHZBCIUARPZACHSPTUBACQBJKRACLMABCNO $.

    $( Obsolete version of ~ nelb as of 3-Nov-2024.  (Contributed by Thierry
       Arnoux, 20-Nov-2023.)  (Proof shortened by SN, 23-Jan-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    nelbOLD $p |- ( -. A e. B <-> A. x e. B x =/= A ) $=
      ( cv wne wral wcel wn wceq wrex df-ne ralbii ralnex bitri risset xchbinxr
      bicomi ) ADZBEZACFZBCGZHTRBIZACJZUATUBHZACFUCHSUDACRBKLUBACMNABCOPQ $.
  $}

  ${
    nrex.1 $e |- ( x e. A -> -. ps ) $.
    $( Inference adding restricted existential quantifier to negated wff.
       (Contributed by NM, 16-Oct-2003.) $)
    nrex $p |- -. E. x e. A ps $=
      ( wn wral wrex rgen ralnex mpbi ) AEZBCFABCGEKBCDHABCIJ $.
  $}

  ${
    $d x ph $.
    nrexdv.1 $e |- ( ( ph /\ x e. A ) -> -. ps ) $.
    $( Deduction adding restricted existential quantifier to negated wff.
       (Contributed by NM, 16-Oct-2003.)  (Proof shortened by Wolf Lammen,
       5-Jan-2020.) $)
    nrexdv $p |- ( ph -> -. E. x e. A ps ) $=
      ( wn wral wrex ralrimiva ralnex sylib ) ABFZCDGBCDHFALCDEIBCDJK $.
  $}

  ${
    $d x ph $.
    reximdv2.1 $e |- ( ph -> ( ( x e. A /\ ps ) -> ( x e. B /\ ch ) ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.22 of [Margaris] p. 90.  (Contributed by NM, 17-Sep-2003.) $)
    reximdv2 $p |- ( ph -> ( E. x e. A ps -> E. x e. B ch ) ) $=
      ( cv wcel wa wex wrex eximdv df-rex 3imtr4g ) ADHZEIBJZDKPFICJZDKBDELCDFL
      AQRDGMBDENCDFNO $.
  $}

  ${
    $d x ph $.
    reximdvai.1 $e |- ( ph -> ( x e. A -> ( ps -> ch ) ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.22 of [Margaris] p. 90.  (Contributed by NM, 14-Nov-2002.)  Reduce
       dependencies on axioms.  (Revised by Wolf Lammen, 8-Jan-2020.)  (Proof
       shortened by Wolf Lammen, 4-Nov-2024.) $)
    reximdvai $p |- ( ph -> ( E. x e. A ps -> E. x e. A ch ) ) $=
      ( cv wcel imdistand reximdv2 ) ABCDEEADGEHBCFIJ $.

    $( Obsolete version of ~ reximdvai as of 3-Nov-2024.  (Contributed by NM,
       14-Nov-2002.)  Reduce dependencies on axioms.  (Revised by Wolf Lammen,
       8-Jan-2020.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    reximdvaiOLD $p |- ( ph -> ( E. x e. A ps -> E. x e. A ch ) ) $=
      ( wi wral wrex ralrimiv rexim syl ) ABCGZDEHBDEICDEIGAMDEFJBCDEKL $.
  $}

  ${
    $d x ph $.
    reximdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.22 of [Margaris] p. 90.  (Restricted
       quantifier version with strong hypothesis.)  (Contributed by NM,
       24-Jun-1998.) $)
    reximdv $p |- ( ph -> ( E. x e. A ps -> E. x e. A ch ) ) $=
      ( wi cv wcel a1d reximdvai ) ABCDEABCGDHEIFJK $.
  $}

  ${
    $d x ph $.
    reximdva.1 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.22 of [Margaris] p. 90.  (Contributed by NM, 22-May-1999.) $)
    reximdva $p |- ( ph -> ( E. x e. A ps -> E. x e. A ch ) ) $=
      ( cv wcel wi ex reximdvai ) ABCDEADGEHBCIFJK $.
  $}

  ${
    $d x ph $.
    reximddva.1 $e |- ( ( ph /\ ( x e. A /\ ps ) ) -> ch ) $.
    reximddva.2 $e |- ( ph -> E. x e. A ps ) $.
    $( Deduction from Theorem 19.22 of [Margaris] p. 90.  (Contributed by
       Thierry Arnoux, 7-Dec-2016.) $)
    reximddv $p |- ( ph -> E. x e. A ch ) $=
      ( wrex cv wcel expr reximdva mpd ) ABDEHCDEHGABCDEADIEJBCFKLM $.
  $}

  ${
    $d x ph $.
    reximssdv.1 $e |- ( ph -> E. x e. B ps ) $.
    reximssdv.2 $e |- ( ( ph /\ ( x e. B /\ ps ) ) -> x e. A ) $.
    reximssdv.3 $e |- ( ( ph /\ ( x e. B /\ ps ) ) -> ch ) $.
    $( Derivation of a restricted existential quantification over a subset (the
       second hypothesis implies ` A C_ B ` ), deduction form.  (Contributed by
       AV, 21-Aug-2022.) $)
    reximssdv $p |- ( ph -> E. x e. A ch ) $=
      ( wrex cv wcel wa jca ex reximdv2 mpd ) ABDFJCDEJGABCDFEADKZFLBMZRELZCMAS
      MTCHINOPQ $.
  $}

  ${
    $d y A $.  $d x y ph $.
    reximdvva.1 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> ( ps -> ch ) ) $.
    $( Deduction doubly quantifying both antecedent and consequent, based on
       Theorem 19.22 of [Margaris] p. 90.  (Contributed by AV, 5-Jan-2022.) $)
    reximdvva $p |- ( ph
                   -> ( E. x e. A E. y e. B ps -> E. x e. A E. y e. B ch ) ) $=
      ( wrex cv wcel wa wi anassrs reximdva ) ABEGICEGIDFADJFKZLBCEGAPEJGKBCMHN
      OO $.
  $}

  ${
    $d A y $.  $d ph x y $.
    reximddv2.1 $e |- ( ( ( ( ph /\ x e. A ) /\ y e. B ) /\ ps ) -> ch ) $.
    reximddv2.2 $e |- ( ph -> E. x e. A E. y e. B ps ) $.
    $( Double deduction from Theorem 19.22 of [Margaris] p. 90.  (Contributed
       by Thierry Arnoux, 15-Dec-2019.) $)
    reximddv2 $p |- ( ph -> E. x e. A E. y e. B ch ) $=
      ( wrex cv wcel wa ex reximdva impr reximddv ) ABEGJZCEGJZDFADKFLZRSATMZBC
      EGUAEKGLMBCHNOPIQ $.
  $}

  ${
    $d x ps $.
    $( Restricted quantifier version of ~ 19.23v .  Version of ~ r19.23 with a
       disjoint variable condition.  (Contributed by NM, 31-Aug-1999.)  Reduce
       dependencies on axioms.  (Revised by Wolf Lammen, 14-Jan-2020.) $)
    r19.23v $p |- ( A. x e. A ( ph -> ps ) <-> ( E. x e. A ph -> ps ) ) $=
      ( wi wral wn wrex con34b ralbii r19.21v dfrex2 imbi1i con1b bitr2i 3bitri
      ) ABEZCDFBGZAGZEZCDFRSCDFZEZACDHZBEZQTCDABIJRSCDKUDUAGZBEUBUCUEBACDLMUABN
      OP $.
  $}

  ${
    $d x ps $.
    rexlimiv.1 $e |- ( x e. A -> ( ph -> ps ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90.  (Restricted
       quantifier version.)  (Contributed by NM, 20-Nov-1994.)  Reduce
       dependencies on axioms.  (Revised by Wolf Lammen, 14-Jan-2020.) $)
    rexlimiv $p |- ( E. x e. A ph -> ps ) $=
      ( wi wral wrex rgen r19.23v mpbi ) ABFZCDGACDHBFLCDEIABCDJK $.
  $}

  ${
    $d x ps $.
    rexlimiva.1 $e |- ( ( x e. A /\ ph ) -> ps ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version).  (Contributed by NM, 18-Dec-2006.) $)
    rexlimiva $p |- ( E. x e. A ph -> ps ) $=
      ( cv wcel ex rexlimiv ) ABCDCFDGABEHI $.
  $}

  ${
    $d ps x $.
    rexlimivw.1 $e |- ( ph -> ps ) $.
    $( Weaker version of ~ rexlimiv .  (Contributed by FL, 19-Sep-2011.) $)
    rexlimivw $p |- ( E. x e. A ph -> ps ) $=
      ( wi cv wcel a1i rexlimiv ) ABCDABFCGDHEIJ $.
  $}

  ${
    $d x ph $.  $d x ch $.
    rexlimdv.1 $e |- ( ph -> ( x e. A -> ( ps -> ch ) ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version).  (Contributed by NM, 14-Nov-2002.)  (Proof shortened by Eric
       Schmidt, 22-Dec-2006.)  Reduce dependencies on axioms.  (Revised by Wolf
       Lammen, 14-Jan-2020.) $)
    rexlimdv $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( wrex wi cv wcel com3l rexlimiv com12 ) BDEGACBACHDEADIEJBCFKLM $.
  $}

  ${
    $d x ph $.  $d x ch $.
    rexlimdva.1 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version).  (Contributed by NM, 20-Jan-2007.) $)
    rexlimdva $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( cv wcel wi ex rexlimdv ) ABCDEADGEHBCIFJK $.
  $}

  ${
    $d x ph $.  $d x ch $.
    rexlimdvaa.1 $e |- ( ( ph /\ ( x e. A /\ ps ) ) -> ch ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version).  (Contributed by Mario Carneiro, 15-Jun-2016.) $)
    rexlimdvaa $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( cv wcel expr rexlimdva ) ABCDEADGEHBCFIJ $.
  $}

  ${
    $d x ph $.  $d x ch $.
    rexlimdv3a.1 $e |- ( ( ph /\ x e. A /\ ps ) -> ch ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version).  Frequently-used variant of ~ rexlimdv .  (Contributed by NM,
       7-Jun-2015.) $)
    rexlimdv3a $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( cv wcel 3exp rexlimdv ) ABCDEADGEHBCFIJ $.
  $}

  ${
    $d ch x $.  $d ph x $.
    rexlimdva2.1 $e |- ( ( ( ph /\ x e. A ) /\ ps ) -> ch ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version).  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    rexlimdva2 $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( cv wcel exp31 rexlimdv ) ABCDEADGEHBCFIJ $.

    $( A commonly used pattern in the spirit of ~ r19.29 .  (Contributed by
       Thierry Arnoux, 29-Dec-2019.)  (Proof shortened by Wolf Lammen,
       17-Jun-2023.) $)
    r19.29an $p |- ( ( ph /\ E. x e. A ps ) -> ch ) $=
      ( wrex rexlimdva2 imp ) ABDEGCABCDEFHI $.

    r19.29a.1 $e |- ( ph -> E. x e. A ps ) $.
    $( A commonly used pattern in the spirit of ~ r19.29 .  (Contributed by
       Thierry Arnoux, 22-Nov-2017.)  Reduce axiom usage.  (Revised by Wolf
       Lammen, 17-Jun-2023.) $)
    r19.29a $p |- ( ph -> ch ) $=
      ( wrex rexlimdva2 mpd ) ABDEHCGABCDEFIJ $.
  $}

  ${
    $d x ph $.  $d x ch $.
    rexlimdvw.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version).  (Contributed by NM, 18-Jun-2014.) $)
    rexlimdvw $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( wi cv wcel a1d rexlimdv ) ABCDEABCGDHEIFJK $.
  $}

  ${
    $d x ph $.  $d x ch $.
    rexlimddv.1 $e |- ( ph -> E. x e. A ps ) $.
    rexlimddv.2 $e |- ( ( ph /\ ( x e. A /\ ps ) ) -> ch ) $.
    $( Restricted existential elimination rule of natural deduction.
       (Contributed by Mario Carneiro, 15-Jun-2016.) $)
    rexlimddv $p |- ( ph -> ch ) $=
      ( wrex rexlimdvaa mpd ) ABDEHCFABCDEGIJ $.
  $}

  ${
    $d x y ps $.  $d y A $.
    rexlimivv.1 $e |- ( ( x e. A /\ y e. B ) -> ( ph -> ps ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version).  (Contributed by NM, 17-Feb-2004.) $)
    rexlimivv $p |- ( E. x e. A E. y e. B ph -> ps ) $=
      ( wrex cv wcel rexlimdva rexlimiv ) ADFHBCECIEJABDFGKL $.
  $}

  ${
    $d x y ph $.  $d x y ch $.  $d y A $.
    rexlimdvv.1 $e |- ( ph -> ( ( x e. A /\ y e. B ) -> ( ps -> ch ) ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90.  (Restricted
       quantifier version.)  (Contributed by NM, 22-Jul-2004.) $)
    rexlimdvv $p |- ( ph -> ( E. x e. A E. y e. B ps -> ch ) ) $=
      ( wrex cv wcel wa wi expdimp rexlimdv rexlimdva ) ABEGICDFADJFKZLBCEGAQEJ
      GKBCMHNOP $.
  $}

  ${
    $d x y ph $.  $d x y ch $.  $d y A $.
    rexlimdvva.1 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> ( ps -> ch ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90.  (Restricted
       quantifier version.)  (Contributed by NM, 18-Jun-2014.) $)
    rexlimdvva $p |- ( ph -> ( E. x e. A E. y e. B ps -> ch ) ) $=
      ( cv wcel wa wi ex rexlimdvv ) ABCDEFGADIFJEIGJKBCLHMN $.
  $}

  ${
    $d x ph $.
    rexbidv2.1 $e |- ( ph -> ( ( x e. A /\ ps ) <-> ( x e. B /\ ch ) ) ) $.
    $( Formula-building rule for restricted existential quantifier (deduction
       form).  (Contributed by NM, 22-May-1999.) $)
    rexbidv2 $p |- ( ph -> ( E. x e. A ps <-> E. x e. B ch ) ) $=
      ( cv wcel wa wex wrex exbidv df-rex 3bitr4g ) ADHZEIBJZDKPFICJZDKBDELCDFL
      AQRDGMBDENCDFNO $.
  $}

  ${
    $d x ph $.
    rexbidva.1 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted existential quantifier (deduction
       form).  (Contributed by NM, 9-Mar-1997.)  Reduce dependencies on axioms.
       (Revised by Wolf Lammen, 6-Dec-2019.)  (Proof shortened by Wolf Lammen,
       10-Dec-2019.) $)
    rexbidva $p |- ( ph -> ( E. x e. A ps <-> E. x e. A ch ) ) $=
      ( cv wcel pm5.32da rexbidv2 ) ABCDEEADGEHBCFIJ $.
  $}

  ${
    $d x ph $.
    rexbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted existential quantifier (deduction
       form).  (Contributed by NM, 20-Nov-1994.)  Reduce dependencies on
       axioms.  (Revised by Wolf Lammen, 6-Dec-2019.) $)
    rexbidv $p |- ( ph -> ( E. x e. A ps <-> E. x e. A ch ) ) $=
      ( wb cv wcel adantr rexbidva ) ABCDEABCGDHEIFJK $.
  $}

  ${
    $d x y $.  $d y A $.
    2rexbiia.1 $e |- ( ( x e. A /\ y e. B ) -> ( ph <-> ps ) ) $.
    $( Inference adding two restricted existential quantifiers to both sides of
       an equivalence.  (Contributed by NM, 1-Aug-2004.) $)
    2rexbiia $p |- ( E. x e. A E. y e. B ph <-> E. x e. A E. y e. B ps ) $=
      ( wrex cv wcel rexbidva rexbiia ) ADFHBDFHCECIEJABDFGKL $.
  $}

  ${
    $d x y ph $.  $d y A $.
    2rexbidva.1 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted existential quantifiers (deduction
       form).  (Contributed by NM, 15-Dec-2004.) $)
    2rexbidva $p |- ( ph ->
                    ( E. x e. A E. y e. B ps <-> E. x e. A E. y e. B ch ) ) $=
      ( wrex cv wcel wa wb anassrs rexbidva ) ABEGICEGIDFADJFKZLBCEGAPEJGKBCMHN
      OO $.
  $}

  ${
    $d x ph $.  $d y ph $.
    2rexbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted existential quantifiers (deduction
       form).  (Contributed by NM, 28-Jan-2006.) $)
    2rexbidv $p |- ( ph ->
                    ( E. x e. A E. y e. B ps <-> E. x e. A E. y e. B ch ) ) $=
      ( wrex rexbidv ) ABEGICEGIDFABCEGHJJ $.

    $( Formula-building rule for restricted quantifiers (deduction form).
       (Contributed by NM, 28-Jan-2006.) $)
    rexralbidv $p |- ( ph ->
                    ( E. x e. A A. y e. B ps <-> E. x e. A A. y e. B ch ) ) $=
      ( wral ralbidv rexbidv ) ABEGICEGIDFABCEGHJK $.
  $}

  ${
    r2exlem.1 $e |- ( A. x e. A A. y e. B -. ph <->
               A. x A. y ( ( x e. A /\ y e. B ) -> -. ph ) ) $.
    $( Lemma factoring out common proof steps in ~ r2exf an ~ r2ex .
       Introduced to reduce dependencies on axioms.  (Contributed by Wolf
       Lammen, 10-Jan-2020.) $)
    r2exlem $p |- ( E. x e. A E. y e. B ph <->
                E. x E. y ( ( x e. A /\ y e. B ) /\ ph ) ) $=
      ( cv wcel wa wn wal wex wral wrex exnal xchbinxr exnalimn exbii ralnex2
      wi con2bii 3bitr4ri ) BGDHCGEHIZAJZTCKZJZBLZUDCEMBDMZJUCAICLZBLACENBDNZUG
      UEBKUHUEBOFPUIUFBUCACQRUHUJABCDESUAUB $.
  $}

  ${
    $d x y $.  $d y A $.
    $( Double restricted existential quantification.  (Contributed by NM,
       11-Nov-1995.)  Reduce dependencies on axioms.  (Revised by Wolf Lammen,
       10-Jan-2020.) $)
    r2ex $p |- ( E. x e. A E. y e. B ph <->
               E. x E. y ( ( x e. A /\ y e. B ) /\ ph ) ) $=
      ( wn r2al r2exlem ) ABCDEAFBCDEGH $.
  $}

  $( Restricted specialization.  (Contributed by NM, 12-Oct-1999.) $)
  rspe $p |- ( ( x e. A /\ ph ) -> E. x e. A ph ) $=
    ( cv wcel wa wex wrex 19.8a df-rex sylibr ) BDCEAFZLBGABCHLBIABCJK $.

  $( Restricted specialization.  (Contributed by FL, 4-Jun-2012.)  (Proof
     shortened by Wolf Lammen, 7-Jan-2020.) $)
  rsp2e $p |- ( ( x e. A /\ y e. B /\ ph ) -> E. x e. A E. y e. B ph ) $=
    ( cv wcel wrex wa rspe sylan2 3impb ) BFDGZCFEGZAACEHZBDHZNAIMOPACEJOBDJKL
    $.

  $( The setvar ` x ` is not free in ` E. x e. A ph ` .  (Contributed by NM,
     19-Mar-1997.)  (Revised by Mario Carneiro, 7-Oct-2016.) $)
  nfre1 $p |- F/ x E. x e. A ph $=
    ( wrex cv wcel wa wex df-rex nfe1 nfxfr ) ABCDBECFAGZBHBABCILBJK $.

  ${
    $d x y $.
    nfrexd.1 $e |- F/ y ph $.
    nfrexd.2 $e |- ( ph -> F/_ x A ) $.
    nfrexd.3 $e |- ( ph -> F/ x ps ) $.
    $( Deduction version of ~ nfrex .  (Contributed by Mario Carneiro,
       14-Oct-2016.)  Add disjoint variable condition to avoid ~ ax-13 .  See
       ~ nfrexdg for a less restrictive version requiring more axioms.
       (Revised by Gino Giotto, 20-Jan-2024.) $)
    nfrexd $p |- ( ph -> F/ x E. y e. A ps ) $=
      ( wrex wn wral dfrex2 nfnd nfraldw nfxfrd ) BDEIBJZDEKZJACBDELAQCAPCDEFGA
      BCHMNMO $.
    $( $j usage 'nfrexd' avoids 'ax-13'; $)
  $}

  ${
    nfrexdg.1 $e |- F/ y ph $.
    nfrexdg.2 $e |- ( ph -> F/_ x A ) $.
    nfrexdg.3 $e |- ( ph -> F/ x ps ) $.
    $( Deduction version of ~ nfrexg .  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  See ~ nfrexd for a version with a
       disjoint variable condition, but not requiring ~ ax-13 .  (Contributed
       by Mario Carneiro, 14-Oct-2016.)  (New usage is discouraged.) $)
    nfrexdg $p |- ( ph -> F/ x E. y e. A ps ) $=
      ( wrex wn wral dfrex2 nfnd nfrald nfxfrd ) BDEIBJZDEKZJACBDELAQCAPCDEFGAB
      CHMNMO $.
  $}

  ${
    $d x y $.
    nfrex.1 $e |- F/_ x A $.
    nfrex.2 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for restricted quantification.
       (Contributed by NM, 1-Sep-1999.)  (Revised by Mario Carneiro,
       7-Oct-2016.)  (Proof shortened by Wolf Lammen, 30-Dec-2019.)  Add
       disjoint variable condition to avoid ~ ax-13 .  See ~ nfrexg for a less
       restrictive version requiring more axioms.  (Revised by Gino Giotto,
       20-Jan-2024.) $)
    nfrex $p |- F/ x E. y e. A ph $=
      ( wrex wnf wtru nftru wnfc a1i nfrexd mptru ) ACDGBHIABCDCJBDKIELABHIFLMN
      $.
    $( $j usage 'nfrex' avoids 'ax-13'; $)
  $}

  ${
    nfrexg.1 $e |- F/_ x A $.
    nfrexg.2 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for restricted quantification.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  See
       ~ nfrex for a version with a disjoint variable condition, but not
       requiring ~ ax-13 .  (Contributed by NM, 1-Sep-1999.)  (Revised by Mario
       Carneiro, 7-Oct-2016.)  (Proof shortened by Wolf Lammen, 30-Dec-2019.)
       (New usage is discouraged.) $)
    nfrexg $p |- F/ x E. y e. A ph $=
      ( wrex wnf wtru nftru wnfc a1i nfrexdg mptru ) ACDGBHIABCDCJBDKIELABHIFLM
      N $.
  $}

  ${
    reximdai.1 $e |- F/ x ph $.
    reximdai.2 $e |- ( ph -> ( x e. A -> ( ps -> ch ) ) ) $.
    $( Deduction from Theorem 19.22 of [Margaris] p. 90.  (Restricted
       quantifier version.)  (Contributed by NM, 31-Aug-1999.) $)
    reximdai $p |- ( ph -> ( E. x e. A ps -> E. x e. A ch ) ) $=
      ( wi wral wrex ralrimi rexim syl ) ABCHZDEIBDEJCDEJHANDEFGKBCDELM $.
  $}

  ${
    reximd2a.1 $e |- F/ x ph $.
    reximd2a.2 $e |- ( ( ( ph /\ x e. A ) /\ ps ) -> x e. B ) $.
    reximd2a.3 $e |- ( ( ( ph /\ x e. A ) /\ ps ) -> ch ) $.
    reximd2a.4 $e |- ( ph -> E. x e. A ps ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.22 of [Margaris] p. 90.  (Contributed by Thierry Arnoux,
       27-Jan-2020.) $)
    reximd2a $p |- ( ph -> E. x e. B ch ) $=
      ( wrex cv wcel wa wex jca expl eximd df-rex 3imtr4g mpd ) ABDEKZCDFKZJADL
      ZEMZBNZDOUDFMZCNZDOUBUCAUFUHDGAUEBUHAUENBNUGCHIPQRBDESCDFSTUA $.
  $}

  $( Closed theorem form of ~ r19.23 .  (Contributed by NM, 4-Mar-2013.)
     (Revised by Mario Carneiro, 8-Oct-2016.) $)
  r19.23t $p |- ( F/ x ps ->
    ( A. x e. A ( ph -> ps ) <-> ( E. x e. A ph -> ps ) ) ) $=
    ( wnf cv wcel wa wal wex wral wrex 19.23t df-ral impexp albii bitr4i df-rex
    wi imbi1i 3bitr4g ) BCECFDGZAHZBSZCIZUCCJZBSABSZCDKZACDLZBSUCBCMUHUBUGSZCIU
    EUGCDNUDUJCUBABOPQUIUFBACDRTUA $.

  ${
    r19.23.1 $e |- F/ x ps $.
    $( Restricted quantifier version of ~ 19.23 .  See ~ r19.23v for a version
       requiring fewer axioms.  (Contributed by NM, 22-Oct-2010.)  (Proof
       shortened by Mario Carneiro, 8-Oct-2016.) $)
    r19.23 $p |- ( A. x e. A ( ph -> ps ) <-> ( E. x e. A ph -> ps ) ) $=
      ( wnf wi wral wrex wb r19.23t ax-mp ) BCFABGCDHACDIBGJEABCDKL $.
  $}

  ${
    rexlimi.1 $e |- F/ x ps $.
    rexlimi.2 $e |- ( x e. A -> ( ph -> ps ) ) $.
    $( Restricted quantifier version of ~ exlimi .  (Contributed by NM,
       30-Nov-2003.)  (Proof shortened by Andrew Salmon, 30-May-2011.) $)
    rexlimi $p |- ( E. x e. A ph -> ps ) $=
      ( wi wral wrex rgen r19.23 mpbi ) ABGZCDHACDIBGMCDFJABCDEKL $.
  $}

  ${
    rexlimd2.1 $e |- F/ x ph $.
    rexlimd2.2 $e |- ( ph -> F/ x ch ) $.
    rexlimd2.3 $e |- ( ph -> ( x e. A -> ( ps -> ch ) ) ) $.
    $( Version of ~ rexlimd with deduction version of second hypothesis.
       (Contributed by NM, 21-Jul-2013.)  (Revised by Mario Carneiro,
       8-Oct-2016.) $)
    rexlimd2 $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( wi wral wrex ralrimi wnf wb r19.23t syl mpbid ) ABCIZDEJZBDEKCIZARDEFHL
      ACDMSTNGBCDEOPQ $.
  $}

  ${
    rexlimd.1 $e |- F/ x ph $.
    rexlimd.2 $e |- F/ x ch $.
    rexlimd.3 $e |- ( ph -> ( x e. A -> ( ps -> ch ) ) ) $.
    $( Deduction form of ~ rexlimd .  (Contributed by NM, 27-May-1998.)  (Proof
       shortened by Andrew Salmon, 30-May-2011.)  (Proof shortened by Wolf
       Lammen, 14-Jan-2020.) $)
    rexlimd $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( wnf a1i rexlimd2 ) ABCDEFCDIAGJHK $.
  $}

  ${
    rexbida.1 $e |- F/ x ph $.
    rexbida.2 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted existential quantifier (deduction
       form).  (Contributed by NM, 6-Oct-2003.) $)
    rexbida $p |- ( ph -> ( E. x e. A ps <-> E. x e. A ch ) ) $=
      ( cv wcel wa wex wrex pm5.32da exbid df-rex 3bitr4g ) ADHEIZBJZDKQCJZDKBD
      ELCDELARSDFAQBCGMNBDEOCDEOP $.
  $}

  ${
    $d x ph $.
    rexbidvaALT.1 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Alternate proof of ~ rexbidva , shorter but requires more axioms.
       (Contributed by NM, 9-Mar-1997.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    rexbidvaALT $p |- ( ph -> ( E. x e. A ps <-> E. x e. A ch ) ) $=
      ( nfv rexbida ) ABCDEADGFH $.
  $}

  ${
    rexbid.1 $e |- F/ x ph $.
    rexbid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted existential quantifier (deduction
       form).  (Contributed by NM, 27-Jun-1998.) $)
    rexbid $p |- ( ph -> ( E. x e. A ps <-> E. x e. A ch ) ) $=
      ( wb cv wcel adantr rexbida ) ABCDEFABCHDIEJGKL $.
  $}

  ${
    $d x ph $.
    rexbidvALT.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Alternate proof of ~ rexbidv , shorter but requires more axioms.
       (Contributed by NM, 20-Nov-1994.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    rexbidvALT $p |- ( ph -> ( E. x e. A ps <-> E. x e. A ch ) ) $=
      ( nfv rexbid ) ABCDEADGFH $.
  $}

  ${
    ralrexbid.1 $e |- ( ph -> ( ps <-> th ) ) $.
    $( Formula-building rule for restricted existential quantifier, using a
       restricted universal quantifier to bind the quantified variable in the
       antecedent.  (Contributed by AV, 21-Oct-2023.)  Reduce axiom usage.
       (Revised by SN, 13-Nov-2023.)  (Proof shortened by Wolf Lammen,
       4-Nov-2024.) $)
    ralrexbid $p |- ( A. x e. A ph -> ( E. x e. A ps <-> E. x e. A th ) ) $=
      ( wral wb wrex ralimi rexbi syl ) ADEGBCHZDEGBDEICDEIHAMDEFJBCDEKL $.

    $( Obsolete version of ~ ralrexbid as of 4-Nov-2024.  (Contributed by AV,
       21-Oct-2023.)  Reduce axiom usage.  (Revised by SN, 13-Nov-2023.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ralrexbidOLD $p |- ( A. x e. A ph -> ( E. x e. A ps <-> E. x e. A th ) ) $=
      ( wral cv wcel wa wex wrex wi wal wb df-ral imim2i pm5.32d alexbii df-rex
      sylbi 3bitr4g ) ADEGZDHEIZBJZDKZUDCJZDKZBDELCDELUCUDAMZDNUFUHOADEPUIUEUGD
      UIUDBCABCOUDFQRSUABDETCDETUB $.

    $( Obsolete version of ~ ralrexbid as of 13-Nov-2023.  (Contributed by AV,
       21-Oct-2023.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ralrexbidOLDOLD $p |- ( A. x e. A ph ->
                                         ( E. x e. A ps <-> E. x e. A th ) ) $=
      ( wral nfra1 cv wcel wa wb rspa syl rexbida ) ADEGZBCDEADEHPDIEJKABCLADEM
      FNO $.
  $}

  ${
    $d x y $.  $d y A $.  $d x B $.
    $( Restricted quantifier version of ~ 19.12 .  (Contributed by NM,
       15-Oct-2003.)  (Proof shortened by Andrew Salmon, 30-May-2011.)  Avoid
       ~ ax-13 , ~ ax-ext .  (Revised by Wolf Lammen, 17-Jun-2023.)  (Proof
       shortened by Wolf Lammen, 4-Nov-2024.) $)
    r19.12 $p |- ( E. x e. A A. y e. B ph -> A. y e. B E. x e. A ph ) $=
      ( wral wrex cv wcel wa wex df-rex nfv nfra1 nfan nfex nfxfr com12 reximdv
      rsp ralrimi ) ACEFZBDGZABDGZCEUCBHDIZUBJZBKCUBBDLUFCBUEUBCUECMACENOPQCHEI
      ZUCUDUGUBABDUBUGAACETRSRUA $.
    $( $j usage 'r19.12' avoids 'ax-13' 'ax-ext'; $)

    $( Obsolete version of ~ 19.12 as of 4-Nov-2024.  (Contributed by NM,
       15-Oct-2003.)  (Proof shortened by Andrew Salmon, 30-May-2011.)  Avoid
       ~ ax-13 , ~ ax-ext .  (Revised by Wolf Lammen, 17-Jun-2023.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    r19.12OLD $p |- ( E. x e. A A. y e. B ph -> A. y e. B E. x e. A ph ) $=
      ( wral wrex cv wcel wex df-rex nfv nfra1 nfan nfex nfxfr ax-1 rsp com12
      wa reximdv sylcom ralrimi ) ACEFZBDGZABDGZCEUEBHDIZUDTZBJCUDBDKUHCBUGUDCU
      GCLACEMNOPUECHEIZUEUFUEUIQUIUDABDUDUIAACERSUAUBUC $.
    $( $j usage 'r19.12' avoids 'ax-13' 'ax-ext'; $)
  $}

  ${
    $d x y $.
    r2exf.1 $e |- F/_ y A $.
    $( Double restricted existential quantification.  (Contributed by Mario
       Carneiro, 14-Oct-2016.)  Use ~ r2exlem .  (Revised by Wolf Lammen,
       10-Jan-2020.) $)
    r2exf $p |- ( E. x e. A E. y e. B ph <->
               E. x E. y ( ( x e. A /\ y e. B ) /\ ph ) ) $=
      ( wn r2alf r2exlem ) ABCDEAGBCDEFHI $.
  $}

  ${
    rexeqbii.1 $e |- A = B $.
    rexeqbii.2 $e |- ( ps <-> ch ) $.
    $( Equality deduction for restricted existential quantifier, changing both
       formula and quantifier domain.  Inference form.  (Contributed by David
       Moews, 1-May-2017.) $)
    rexeqbii $p |- ( E. x e. A ps <-> E. x e. B ch ) $=
      ( cv wcel eleq2i anbi12i rexbii2 ) ABCDECHZDIMEIABDEMFJGKL $.
  $}

  $( Cancellation law for restricted unique existential quantification.
     (Contributed by Peter Mazsa, 12-Feb-2018.) $)
  reuanid $p |- ( E! x e. A ( x e. A /\ ph ) <-> E! x e. A ph ) $=
    ( cv wcel wa weu wreu anabs5 eubii df-reu 3bitr4i ) BDCEZMAFZFZBGNBGNBCHABC
    HONBMAIJNBCKABCKL $.

  $( Cancellation law for restricted at-most-one quantification.  (Contributed
     by Peter Mazsa, 24-May-2018.) $)
  rmoanid $p |- ( E* x e. A ( x e. A /\ ph ) <-> E* x e. A ph ) $=
    ( cv wcel wa wmo wrmo anabs5 mobii df-rmo 3bitr4i ) BDCEZMAFZFZBGNBGNBCHABC
    HONBMAIJNBCKABCKL $.

  ${
    r19.29af2.p $e |- F/ x ph $.
    r19.29af2.c $e |- F/ x ch $.
    r19.29af2.1 $e |- ( ( ( ph /\ x e. A ) /\ ps ) -> ch ) $.
    r19.29af2.2 $e |- ( ph -> E. x e. A ps ) $.
    $( A commonly used pattern based on ~ r19.29 .  (Contributed by Thierry
       Arnoux, 17-Dec-2017.)  (Proof shortened by OpenAI, 25-Mar-2020.) $)
    r19.29af2 $p |- ( ph -> ch ) $=
      ( wrex cv wcel exp31 rexlimd mpd ) ABDEJCIABCDEFGADKELBCHMNO $.
  $}

  ${
    $d x ch $.
    r19.29af.0 $e |- F/ x ph $.
    r19.29af.1 $e |- ( ( ( ph /\ x e. A ) /\ ps ) -> ch ) $.
    r19.29af.2 $e |- ( ph -> E. x e. A ps ) $.
    $( A commonly used pattern based on ~ r19.29 .  See ~ r19.29a , ~ r19.29an
       for a variant when ` x ` is disjoint from ` ph ` .  (Contributed by
       Thierry Arnoux, 29-Nov-2017.) $)
    r19.29af $p |- ( ph -> ch ) $=
      ( nfv r19.29af2 ) ABCDEFCDIGHJ $.
  $}

  $( Theorem ~ r19.29 with two quantifiers.  (Contributed by Rodolfo Medina,
     25-Sep-2010.) $)
  2r19.29 $p |- ( ( A. x e. A A. y e. B ph /\ E. x e. A E. y e. B ps )
                        -> E. x e. A E. y e. B ( ph /\ ps ) ) $=
    ( wral wrex wa r19.29 reximi syl ) ADFGZCEGBDFHZCEHIMNIZCEHABIDFHZCEHMNCEJO
    PCEABDFJKL $.

  ${
    r19.29d2r.1 $e |- ( ph -> A. x e. A A. y e. B ps ) $.
    r19.29d2r.2 $e |- ( ph -> E. x e. A E. y e. B ch ) $.
    $( Theorem 19.29 of [Margaris] p. 90 with two restricted quantifiers,
       deduction version.  (Contributed by Thierry Arnoux, 30-Jan-2017.)
       (Proof shortened by Wolf Lammen, 4-Nov-2024.) $)
    r19.29d2r $p |- ( ph -> E. x e. A E. y e. B ( ps /\ ch ) ) $=
      ( wral wrex wa jca 2r19.29 syl ) ABEGJDFJZCEGKDFKZLBCLEGKDFKAPQHIMBCDEFGN
      O $.

    $( Obsolete version of ~ r19.29d2r as of 4-Nov-2024.  (Contributed by
       Thierry Arnoux, 30-Jan-2017.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    r19.29d2rOLD $p |- ( ph -> E. x e. A E. y e. B ( ps /\ ch ) ) $=
      ( wral wrex wa r19.29 syl2anc reximi syl ) ABEGJZCEGKZLZDFKZBCLEGKZDFKAQD
      FJRDFKTHIQRDFMNSUADFBCEGMOP $.
  $}

  ${
    $d y A $.  $d x y ch $.  $d x y ph $.
    r19.29vva.1 $e |- ( ( ( ( ph /\ x e. A ) /\ y e. B ) /\ ps ) -> ch ) $.
    r19.29vva.2 $e |- ( ph -> E. x e. A E. y e. B ps ) $.
    $( A commonly used pattern based on ~ r19.29 , version with two restricted
       quantifiers.  (Contributed by Thierry Arnoux, 26-Nov-2017.)  (Proof
       shortened by Wolf Lammen, 4-Nov-2024.) $)
    r19.29vva $p |- ( ph -> ch ) $=
      ( wrex reximddv2 cv wcel wa idd rexlimivv syl ) ACEGJDFJCABCDEFGHIKCCDEFG
      DLFMELGMNCOPQ $.

    $( Obsolete version of ~ r19.29vva as of 4-Nov-2024.  (Contributed by
       Thierry Arnoux, 26-Nov-2017.)  (Proof shortened by Wolf Lammen,
       29-Jun-2023.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    r19.29vvaOLD $p |- ( ph -> ch ) $=
      ( wrex reximddv2 id rexlimivw reximi 3syl ) ACEGJZDFJCDFJCABCDEFGHIKPCDFC
      CEGCLZMNCCDFQMO $.
  $}

  $( Restricted quantifier version of ~ 19.30 .  (Contributed by Scott Fenton,
     25-Feb-2011.)  (Proof shortened by Wolf Lammen, 5-Nov-2024.) $)
  r19.30 $p |- ( A. x e. A ( ph \/ ps ) ->
                 ( A. x e. A ph \/ E. x e. A ps ) ) $=
    ( wo wral wrex wn wi pm2.53 ralimi rexnal biimpri rexim syl2im orrd ) ABEZC
    DFZACDFZBCDGZRAHZBIZCDFSHZUACDGZTQUBCDABJKUDUCACDLMUABCDNOP $.

  $( Obsolete version of ~ 19.30 as of 5-Nov-2024.  (Contributed by Scott
     Fenton, 25-Feb-2011.)  (Proof shortened by Wolf Lammen, 18-Jun-2023.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  r19.30OLD $p |- ( A. x e. A ( ph \/ ps ) ->
                 ( A. x e. A ph \/ E. x e. A ps ) ) $=
    ( wo wral wn wi wrex pm2.53 orcoms ralimi ralnex biimpri imim1i orrd orcomd
    ralim 3syl ) ABEZCDFBGZAHZCDFUACDFZACDFZHZUDBCDIZETUBCDBAUBBAJKLUAACDRUEUFU
    DUEUFUDUFGZUCUDUCUGBCDMNOPQS $.

  ${
    $d x ph $.
    $( Restricted quantifier version of ~ 19.32v .  (Contributed by NM,
       25-Nov-2003.) $)
    r19.32v $p |- ( A. x e. A ( ph \/ ps ) <-> ( ph \/ A. x e. A ps ) ) $=
      ( wn wi wral wo r19.21v df-or ralbii 3bitr4i ) AEZBFZCDGMBCDGZFABHZCDGAOH
      MBCDIPNCDABJKAOJL $.
  $}

  $( Restricted quantifier version of ~ 19.35 .  (Contributed by NM,
     20-Sep-2003.) $)
  r19.35 $p |- ( E. x e. A ( ph -> ps ) <->
               ( A. x e. A ph -> E. x e. A ps ) ) $=
    ( wi wrex wral pm2.27 ralimi rexim syl com12 wn rexnal pm2.21 reximi sylbir
    ax-1 ja impbii ) ABEZCDFZACDGZBCDFZEUCUBUDUCUABEZCDGUBUDEAUECDABHIUABCDJKLU
    CUDUBUCMAMZCDFUBACDNUFUACDABOPQBUACDBARPST $.

  ${
    $d x ps $.
    $( Restricted quantifier version of one direction of ~ 19.36 .  (The other
       direction holds iff ` A ` is nonempty, see ~ r19.36zv .)  (Contributed
       by NM, 22-Oct-2003.) $)
    r19.36v $p |- ( E. x e. A ( ph -> ps ) -> ( A. x e. A ph -> ps ) ) $=
      ( wi wrex wral r19.35 id rexlimivw imim2i sylbi ) ABECDFACDGZBCDFZEMBEABC
      DHNBMBBCDBIJKL $.
  $}

  ${
    r19.37.1 $e |- F/ x ph $.
    $( Restricted quantifier version of one direction of ~ 19.37 .  (The other
       direction does not hold when ` A ` is empty.)  (Contributed by FL,
       13-May-2012.)  (Revised by Mario Carneiro, 11-Dec-2016.) $)
    r19.37 $p |- ( E. x e. A ( ph -> ps ) -> ( ph -> E. x e. A ps ) ) $=
      ( wi wrex wral r19.35 cv wcel ax-1 ralrimi imim1i sylbi ) ABFCDGACDHZBCDG
      ZFAQFABCDIAPQAACDEACJDKLMNO $.
  $}

  ${
    $d x ph $.
    $( Restricted quantifier version of one direction of ~ 19.37v .  (The other
       direction holds iff ` A ` is nonempty, see ~ r19.37zv .)  (Contributed
       by NM, 2-Apr-2004.)  Reduce axiom usage.  (Revised by Wolf Lammen,
       18-Jun-2023.) $)
    r19.37v $p |- ( E. x e. A ( ph -> ps ) -> ( ph -> E. x e. A ps ) ) $=
      ( wral wi wrex id ralrimivw r19.35 biimpi syl5 ) AACDEZABFCDGZBCDGZAACDAH
      INMOFABCDJKL $.
  $}

  $( Restricted quantifier version of Theorem 19.40 of [Margaris] p. 90.
     (Contributed by NM, 2-Apr-2004.) $)
  r19.40 $p |- ( E. x e. A ( ph /\ ps )
        -> ( E. x e. A ph /\ E. x e. A ps ) ) $=
    ( wa wrex simpl reximi simpr jca ) ABEZCDFACDFBCDFKACDABGHKBCDABIHJ $.

  ${
    $d x ps $.
    $( Restricted quantifier version ~ 19.41v .  Version of ~ r19.41 with a
       disjoint variable condition, requiring fewer axioms.  (Contributed by
       NM, 17-Dec-2003.)  Reduce dependencies on axioms.  (Revised by BJ,
       29-Mar-2020.) $)
    r19.41v $p |- ( E. x e. A ( ph /\ ps ) <-> ( E. x e. A ph /\ ps ) ) $=
      ( cv wcel wa wex wrex anass exbii 19.41v bitr3i df-rex anbi1i 3bitr4i ) C
      EDFZABGZGZCHZQAGZCHZBGZRCDIACDIZBGTUABGZCHUCUESCQABJKUABCLMRCDNUDUBBACDNO
      P $.
  $}

  ${
    r19.41.1 $e |- F/ x ps $.
    $( Restricted quantifier version of ~ 19.41 .  See ~ r19.41v for a version
       with a disjoint variable condition, requiring fewer axioms.
       (Contributed by NM, 1-Nov-2010.) $)
    r19.41 $p |- ( E. x e. A ( ph /\ ps ) <-> ( E. x e. A ph /\ ps ) ) $=
      ( cv wcel wa wex wrex anass exbii 19.41 bitr3i df-rex anbi1i 3bitr4i ) CF
      DGZABHZHZCIZRAHZCIZBHZSCDJACDJZBHUAUBBHZCIUDUFTCRABKLUBBCEMNSCDOUEUCBACDO
      PQ $.
  $}

  ${
    $d x ps $.  $d y ps $.
    $( Version of ~ r19.41v with two quantifiers.  (Contributed by Thierry
       Arnoux, 25-Jan-2017.) $)
    r19.41vv $p |- ( E. x e. A E. y e. B ( ph /\ ps )
         <-> ( E. x e. A E. y e. B ph /\ ps ) ) $=
      ( wa wrex r19.41v rexbii bitri ) ABGDFHZCEHADFHZBGZCEHMCEHBGLNCEABDFIJMBC
      EIK $.
  $}

  ${
    $d x ph $.
    $( Restricted quantifier version of ~ 19.42v (see also ~ 19.42 ).
       (Contributed by NM, 27-May-1998.) $)
    r19.42v $p |- ( E. x e. A ( ph /\ ps ) <-> ( ph /\ E. x e. A ps ) ) $=
      ( wa wrex r19.41v ancom rexbii 3bitr4i ) BAEZCDFBCDFZAEABEZCDFALEBACDGMKC
      DABHIALHJ $.
  $}

  $( Restricted quantifier version of ~ 19.43 .  (Contributed by NM,
     27-May-1998.)  (Proof shortened by Andrew Salmon, 30-May-2011.) $)
  r19.43 $p |- ( E. x e. A ( ph \/ ps )
         <-> ( E. x e. A ph \/ E. x e. A ps ) ) $=
    ( wn wi wrex wral wo r19.35 df-or rexbii ralnex imbi1i bitr4i 3bitr4i ) AEZ
    BFZCDGQCDHZBCDGZFZABIZCDGACDGZTIZQBCDJUBRCDABKLUDUCEZTFUAUCTKSUETACDMNOP $.

  ${
    $d x ps $.
    $( One direction of a restricted quantifier version of ~ 19.44 .  The other
       direction holds when ` A ` is nonempty, see ~ r19.44zv .  (Contributed
       by NM, 2-Apr-2004.) $)
    r19.44v $p |- ( E. x e. A ( ph \/ ps ) -> ( E. x e. A ph \/ ps ) ) $=
      ( wo wrex r19.43 id rexlimivw orim2i sylbi ) ABECDFACDFZBCDFZELBEABCDGMBL
      BBCDBHIJK $.
  $}

  ${
    $d x ph $.
    $( Restricted quantifier version of one direction of ~ 19.45 .  The other
       direction holds when ` A ` is nonempty, see ~ r19.45zv .  (Contributed
       by NM, 2-Apr-2004.) $)
    r19.45v $p |- ( E. x e. A ( ph \/ ps ) -> ( ph \/ E. x e. A ps ) ) $=
      ( wo wrex r19.43 id rexlimivw orim1i sylbi ) ABECDFACDFZBCDFZEAMEABCDGLAM
      AACDAHIJK $.
  $}

  ${
    $d x y $.  $d x B $.  $d y A $.
    $( Commutation of restricted universal quantifiers.  See ~ ralcom2 for a
       version without disjoint variable condition on ` x , y ` .  This theorem
       should be used in place of ~ ralcom2 since it depends on a smaller set
       of axioms.  (Contributed by NM, 13-Oct-1999.)  (Revised by Mario
       Carneiro, 14-Oct-2016.) $)
    ralcom $p |- ( A. x e. A A. y e. B ph <-> A. y e. B A. x e. A ph ) $=
      ( cv wcel wa wi wal wral ancomst 2albii alcom bitri r2al 3bitr4i ) BFDGZC
      FEGZHAIZCJBJZSRHAIZBJCJZACEKBDKABDKCEKUAUBCJBJUCTUBBCRSALMUBBCNOABCDEPACB
      EDPQ $.
    $( $j usage 'ralcom' avoids 'ax-6' 'ax-7' 'ax-8' 'ax-9' 'ax-10' 'ax-12'
       'ax-13' 'ax-ext'; $)

    $( Commutation of restricted existential quantifiers.  (Contributed by NM,
       19-Nov-1995.)  (Revised by Mario Carneiro, 14-Oct-2016.)  (Proof
       shortened by BJ, 26-Aug-2023.) $)
    rexcom $p |- ( E. x e. A E. y e. B ph <-> E. y e. B E. x e. A ph ) $=
      ( wrex cv wcel wa wex df-rex rexbii rexcom4 r19.42v exbii bitr4i 3bitri )
      ACEFZBDFCGEHZAIZCJZBDFTBDFZCJZABDFZCEFZRUABDACEKLTBCDMUCSUDIZCJUEUBUFCSAB
      DNOUDCEKPQ $.
    $( $j usage 'rexcom' avoids 'ax-6' 'ax-7' 'ax-8' 'ax-9' 'ax-10' 'ax-12'
       'ax-13' 'ax-ext'; $)
  $}

  ${
    $d x y $.
    ralcomf.1 $e |- F/_ y A $.
    ralcomf.2 $e |- F/_ x B $.
    $( Commutation of restricted universal quantifiers.  (Contributed by Mario
       Carneiro, 14-Oct-2016.) $)
    ralcomf $p |- ( A. x e. A A. y e. B ph <-> A. y e. B A. x e. A ph ) $=
      ( cv wcel wa wi wal wral ancomst 2albii alcom bitri r2alf 3bitr4i ) BHDIZ
      CHEIZJAKZCLBLZUATJAKZBLCLZACEMBDMABDMCEMUCUDCLBLUEUBUDBCTUAANOUDBCPQABCDE
      FRACBEDGRS $.

    $( Commutation of restricted existential quantifiers.  (Contributed by
       Mario Carneiro, 14-Oct-2016.) $)
    rexcomf $p |- ( E. x e. A E. y e. B ph <-> E. y e. B E. x e. A ph ) $=
      ( cv wcel wa wex wrex ancom anbi1i 2exbii excom bitri r2exf 3bitr4i ) BHD
      IZCHEIZJZAJZCKBKZUATJZAJZBKCKZACELBDLABDLCELUDUFCKBKUGUCUFBCUBUEATUAMNOUF
      BCPQABCDEFRACBEDGRS $.
  $}

  ${
    $d y z A $.  $d x z B $.  $d x y C $.
    $( Swap first and third restricted universal quantifiers.  (Contributed by
       AV, 3-Dec-2021.) $)
    ralcom13 $p |- ( A. x e. A A. y e. B A. z e. C ph
         <-> A. z e. C A. y e. B A. x e. A ph ) $=
      ( wral ralcom ralbii 3bitri ) ADGHZCFHBEHLBEHZCFHABEHZDGHZCFHNCFHDGHLBCEF
      IMOCFABDEGIJNCDFGIK $.

    $( Swap first and third restricted existential quantifiers.  (Contributed
       by NM, 8-Apr-2015.) $)
    rexcom13 $p |- ( E. x e. A E. y e. B E. z e. C ph
         <-> E. z e. C E. y e. B E. x e. A ph ) $=
      ( wrex rexcom rexbii 3bitri ) ADGHZCFHBEHLBEHZCFHABEHZDGHZCFHNCFHDGHLBCEF
      IMOCFABDEGIJNCDFGIK $.
  $}

  ${
    $d z A $.  $d z B $.  $d x C $.  $d y C $.  $d x z $.  $d y z $.
    $( Rotate three restricted universal quantifiers.  (Contributed by AV,
       3-Dec-2021.) $)
    ralrot3 $p |- ( A. x e. A A. y e. B A. z e. C ph
                    <-> A. z e. C A. x e. A A. y e. B ph ) $=
      ( wral ralcom ralbii bitri ) ADGHCFHZBEHACFHZDGHZBEHMBEHDGHLNBEACDFGIJMBD
      EGIK $.
  $}

  ${
    $d w z A $.  $d w z B $.  $d w x C $.  $d w y C $.  $d x z D $.
    $d y z D $.
    $( Rotate four restricted existential quantifiers twice.  (Contributed by
       NM, 8-Apr-2015.) $)
    rexrot4 $p |- ( E. x e. A E. y e. B E. z e. C E. w e. D ph
        <-> E. z e. C E. w e. D E. x e. A E. y e. B ph ) $=
      ( wrex rexcom13 rexbii bitri ) AEIJDHJCGJZBFJACGJZDHJEIJZBFJOBFJEIJDHJNPB
      FACDEGHIKLOBEDFIHKM $.
  $}

  ${
    $d y A $.  $d x A $.
    $( Commutation of restricted universal quantifiers.  Note that ` x ` and
       ` y ` need not be disjoint (this makes the proof longer).  This theorem
       relies on the full set of axioms up to ~ ax-ext and it should no longer
       be used.  Usage of ~ ralcom is highly encouraged.  (Contributed by NM,
       24-Nov-1994.)  (Proof shortened by Mario Carneiro, 17-Oct-2016.)
       (New usage is discouraged.) $)
    ralcom2 $p |- ( A. x e. A A. y e. A ph -> A. y e. A A. x e. A ph ) $=
      ( weq wal wral wi cv wcel wb eleq1w dral1 df-ral 3bitr4g wa nfnae ralrimi
      nfan ex sps imbi1d bicomd imbi12d biimpd wn nfra2 nfra1 wnfc nfcvf adantr
      nfcvd nfeld nfan1 rsp2 ancomsd expdimp adantll pm2.61i ) BCEZBFZACDGZBDGZ
      ABDGZCDGZHVAVCVEVABIDJZVBHZBFCIZDJZVDHZCFVCVEVGVJBCVAVFVIVBVDUTVFVIKBBCDL
      UAZVAVIAHZCFZVFAHZBFZVBVDVAVOVMVNVLBCVAVFVIAVKUBMUCACDNABDNOUDMVBBDNVDCDN
      OUEVAUFZVCVEVPVCPZVDCDVPVCCBCCQABCDDUGSVQVIVDVQVIPABDVQVIBVPVCBBCBQVBBDUH
      SVQBVHDVPBVHUIVCBCUJUKVQBDULUMUNVCVIVNVPVCVIVFAVCVFVIAABCDDUOUPUQURRTRTUS
      $.
  $}

  $( A commutation law for restricted universal quantifiers that swaps the
     domains of the restriction.  (Contributed by NM, 22-Feb-2004.) $)
  ralcom3 $p |- ( A. x e. A ( x e. B -> ph ) <->
                  A. x e. B ( x e. A -> ph ) ) $=
    ( cv wcel wi wral pm2.04 ralimi2 impbii ) BEZDFZAGZBCHLCFZAGZBDHNPBCDOMAIJP
    NBDCMOAIJK $.

  ${
    $d y A $.  $d x y $.
    reeanlem.1 $e |- ( E. x E. y ( ( x e. A /\ ph ) /\ ( y e. B /\ ps ) )
                    <-> ( E. x ( x e. A /\ ph ) /\ E. y ( y e. B /\ ps ) ) ) $.
    $( Lemma factoring out common proof steps of ~ reeanv and ~ reean .
       (Contributed by Wolf Lammen, 20-Aug-2023.) $)
    reeanlem $p |- ( E. x e. A E. y e. B ( ph /\ ps ) <->
                 ( E. x e. A ph /\ E. y e. B ps ) ) $=
      ( cv wcel wa wex wrex an4 2exbii bitri r2ex df-rex anbi12i 3bitr4i ) CHEI
      ZDHFIZJABJZJZDKCKZTAJZCKZUABJZDKZJZUBDFLCELACELZBDFLZJUDUEUGJZDKCKUIUCULC
      DTUAABMNGOUBCDEFPUJUFUKUHACEQBDFQRS $.
  $}

  ${
    $d y A $.  $d x B $.  $d x y $.
    reean.1 $e |- F/ y ph $.
    reean.2 $e |- F/ x ps $.
    $( Rearrange restricted existential quantifiers.  (Contributed by NM,
       27-Oct-2010.)  (Proof shortened by Andrew Salmon, 30-May-2011.) $)
    reean $p |- ( E. x e. A E. y e. B ( ph /\ ps ) <->
                 ( E. x e. A ph /\ E. y e. B ps ) ) $=
      ( cv wcel wa nfv nfan eean reeanlem ) ABCDEFCIEJZAKDIFJZBKCDPADPDLGMQBCQC
      LHMNO $.
  $}

  ${
    $d y ph $.  $d x ps $.  $d x y $.  $d y A $.  $d x B $.
    $( Rearrange restricted existential quantifiers.  (Contributed by NM,
       9-May-1999.) $)
    reeanv $p |- ( E. x e. A E. y e. B ( ph /\ ps ) <->
                 ( E. x e. A ph /\ E. y e. B ps ) ) $=
      ( cv wcel wa exdistrv reeanlem ) ABCDEFCGEHAIDGFHBICDJK $.
  $}

  ${
    $d ph y z $.  $d ps x z $.  $d ch x y $.  $d A y $.  $d B x z $.
    $d C x y $.
    $( Rearrange three restricted existential quantifiers.  (Contributed by
       Jeff Madsen, 11-Jun-2010.) $)
    3reeanv $p |- ( E. x e. A E. y e. B E. z e. C ( ph /\ ps /\ ch )
                      <-> ( E. x e. A ph /\ E. y e. B ps /\ E. z e. C ch ) ) $=
      ( wa wrex w3a r19.41v reeanv anbi1i bitri df-3an 2rexbii rexbii 3bitr4i )
      ABJZEHKZCFIKZJZDGKZADGKZBEHKZJZUCJZABCLZFIKEHKZDGKUFUGUCLUEUBDGKZUCJUIUBU
      CDGMULUHUCABDEGHNOPUKUDDGUKUACJZFIKEHKUDUJUMEFHIABCQRUACEFHINPSUFUGUCQT
      $.
  $}

  ${
    $d ph y $.  $d ps x $.  $d A y $.  $d B x $.  $d x y $.
    $( Distribute restricted universal quantification over "or".  (Contributed
       by Jeff Madsen, 19-Jun-2010.) $)
    2ralor $p |- ( A. x e. A A. y e. B ( ph \/ ps ) <->
                  ( A. x e. A ph \/ A. y e. B ps ) ) $=
      ( wo wral wn wrex wa rexnal anbi12i rexbii bitr3i reeanv 3bitr3ri 3bitr4i
      ioran con4bii ) ABGZDFHZCEHZACEHZBDFHZGZAIZCEJZBIZDFJZKZUDIZUEIZKUCIZUFIU
      HULUJUMACELBDFLMUGUIKZDFJZCEJUBIZCEJUKUNUPUQCEUPUAIZDFJUQURUODFABSNUADFLO
      NUGUICDEFPUBCELQUDUESRT $.
  $}

  $( The setvar ` x ` is not free in ` E! x e. A ph ` .  (Contributed by NM,
     19-Mar-1997.) $)
  nfreu1 $p |- F/ x E! x e. A ph $=
    ( wreu cv wcel wa weu df-reu nfeu1 nfxfr ) ABCDBECFAGZBHBABCILBJK $.

  $( The setvar ` x ` is not free in ` E* x e. A ph ` .  (Contributed by NM,
     16-Jun-2017.) $)
  nfrmo1 $p |- F/ x E* x e. A ph $=
    ( wrmo cv wcel wa wmo df-rmo nfmo1 nfxfr ) ABCDBECFAGZBHBABCILBJK $.

  ${
    nfreud.1 $e |- F/ y ph $.
    nfreud.2 $e |- ( ph -> F/_ x A ) $.
    nfreud.3 $e |- ( ph -> F/ x ps ) $.
    $( Deduction version of ~ nfreu .  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  (Contributed by NM, 15-Feb-2013.)
       (Revised by Mario Carneiro, 8-Oct-2016.)  (New usage is discouraged.) $)
    nfreud $p |- ( ph -> F/ x E! y e. A ps ) $=
      ( wreu cv wcel wa weu df-reu weq wal wn wnfc nfcvf adantr nfeld wnf nfand
      adantl nfeud2 nfxfrd ) BDEIDJZEKZBLZDMACBDENAUICDFACDOCPQZLZUHBCUKCUGEUJC
      UGRACDSUDACERUJGTUAABCUBUJHTUCUEUF $.

    $( Deduction version of ~ nfrmo .  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  (Contributed by NM, 17-Jun-2017.)
       (New usage is discouraged.) $)
    nfrmod $p |- ( ph -> F/ x E* y e. A ps ) $=
      ( wrmo cv wcel wa wmo df-rmo weq wal wn wnfc nfcvf adantr nfeld wnf nfand
      adantl nfmod2 nfxfrd ) BDEIDJZEKZBLZDMACBDENAUICDFACDOCPQZLZUHBCUKCUGEUJC
      UGRACDSUDACERUJGTUAABCUBUJHTUCUEUF $.
  $}

  ${
    $d x y $.
    nfreuw.1 $e |- F/_ x A $.
    nfreuw.2 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for restricted unique existence.
       Version of ~ nfreu with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by NM, 30-Oct-2010.)  (Revised by Gino
       Giotto, 10-Jan-2024.) $)
    nfreuw $p |- F/ x E! y e. A ph $=
      ( wreu wnf cv wcel wa weu wtru df-reu nftru nfcvd wnfc a1i nfeld nfand
      nfeudw nfxfrd mptru ) ACDGZBHUDCIZDJZAKZCLMBACDNMUGBCCOMUFABMBUEDMBUEPBDQ
      MERSABHMFRTUAUBUC $.
    $( $j usage 'nfreuw' avoids 'ax-13'; $)

    $( Bound-variable hypothesis builder for restricted uniqueness.  Version of
       ~ nfrmo with a disjoint variable condition, which does not require
       ~ ax-13 .  (Contributed by NM, 16-Jun-2017.)  (Revised by Gino Giotto,
       10-Jan-2024.) $)
    nfrmow $p |- F/ x E* y e. A ph $=
      ( wrmo cv wcel wa wmo df-rmo wnf wtru nftru nfcvd wnfc a1i nfeld nfand
      nfmodv mptru nfxfr ) ACDGCHZDIZAJZCKZBACDLUGBMNUFBCCONUEABNBUDDNBUDPBDQNE
      RSABMNFRTUAUBUC $.
    $( $j usage 'nfrmow' avoids 'ax-13'; $)
  $}

  ${
    nfreu.1 $e |- F/_ x A $.
    nfreu.2 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for restricted unique existence.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       Use the weaker ~ nfreuw when possible.  (Contributed by NM,
       30-Oct-2010.)  (Revised by Mario Carneiro, 8-Oct-2016.)
       (New usage is discouraged.) $)
    nfreu $p |- F/ x E! y e. A ph $=
      ( wreu wnf wtru nftru wnfc a1i nfreud mptru ) ACDGBHIABCDCJBDKIELABHIFLMN
      $.

    $( Bound-variable hypothesis builder for restricted uniqueness.  Usage of
       this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ nfrmow when possible.  (Contributed by NM, 16-Jun-2017.)
       (New usage is discouraged.) $)
    nfrmo $p |- F/ x E* y e. A ph $=
      ( wrmo cv wcel wa wmo df-rmo wnf wtru nftru weq wal wn nfcvf a1i adantl
      wnfc nfeld nfand nfmod2 mptru nfxfr ) ACDGCHZDIZAJZCKZBACDLUKBMNUJBCCOBCP
      BQRZUJBMNULUIABULBUHDBCSBDUBULETUCABMULFTUDUAUEUFUG $.
  $}

  $( An "identity" law of concretion for restricted abstraction.  Special case
     of Definition 2.1 of [Quine] p. 16.  (Contributed by NM, 9-Oct-2003.) $)
  rabid $p |- ( x e. { x e. A | ph } <-> ( x e. A /\ ph ) ) $=
    ( cv wcel wa crab df-rab abeq2i ) BDCEAFBABCGABCHI $.

  $( Abstract builder restricted to another restricted abstract builder.
     (Contributed by Thierry Arnoux, 30-Aug-2017.) $)
  rabrab $p |- { x e. { x e. A | ph } | ps } = { x e. A | ( ph /\ ps ) } $=
    ( cv crab wcel wa cab rabid anbi1i anass bitri abbii df-rab 3eqtr4i ) CEZAC
    DFZGZBHZCIQDGZABHZHZCIBCRFUBCDFTUCCTUAAHZBHUCSUDBACDJKUAABLMNBCROUBCDOP $.

  $( Membership in a restricted abstraction, implication.  (Contributed by
     Glauco Siliprandi, 26-Jun-2021.) $)
  rabidim1 $p |- ( x e. { x e. A | ph } -> x e. A ) $=
    ( cv crab wcel rabid simplbi ) BDZABCEFICFAABCGH $.

  ${
    $d x A $.
    $( An "identity" law for restricted class abstraction.  (Contributed by NM,
       9-Oct-2003.)  (Proof shortened by Andrew Salmon, 30-May-2011.) $)
    rabid2 $p |- ( A = { x e. A | ph } <-> A. x e. A ph ) $=
      ( cv wcel wa cab wceq wi wal crab abeq2 pm4.71 albii bitr4i df-rab eqeq2i
      wral wb df-ral 3bitr4i ) CBDCEZAFZBGZHZUBAIZBJZCABCKZHABCRUEUBUCSZBJUGUCB
      CLUFUIBUBAMNOUHUDCABCPQABCTUA $.
  $}

  ${
    rabid2f.1 $e |- F/_ x A $.
    $( An "identity" law for restricted class abstraction.  (Contributed by NM,
       9-Oct-2003.)  (Proof shortened by Andrew Salmon, 30-May-2011.)  (Revised
       by Thierry Arnoux, 13-Mar-2017.) $)
    rabid2f $p |- ( A = { x e. A | ph } <-> A. x e. A ph ) $=
      ( cv wcel wa cab wceq wi wal crab wral abeq2f pm4.71 bitr4i df-rab eqeq2i
      wb albii df-ral 3bitr4i ) CBECFZAGZBHZIZUCAJZBKZCABCLZIABCMUFUCUDSZBKUHUD
      BCDNUGUJBUCAOTPUIUECABCQRABCUAUB $.
  $}

  $( Equivalent wff's correspond to equal restricted class abstractions.
     Closed theorem form of ~ rabbidva .  (Contributed by NM, 25-Nov-2013.) $)
  rabbi $p |- ( A. x e. A ( ps <-> ch )
       <-> { x e. A | ps } = { x e. A | ch } ) $=
    ( cv wcel wa wb wal wceq wral crab abbi wi df-ral pm5.32 albii bitri df-rab
    cab eqeq12i 3bitr4i ) CEDFZAGZUCBGZHZCIZUDCTZUECTZJABHZCDKZACDLZBCDLZJUDUEC
    MUKUCUJNZCIUGUJCDOUNUFCUCABPQRULUHUMUIACDSBCDSUAUB $.

  $( The abstraction variable in a restricted class abstraction isn't free.
     (Contributed by NM, 19-Mar-1997.) $)
  nfrab1 $p |- F/_ x { x e. A | ph } $=
    ( crab cv wcel wa cab df-rab nfab1 nfcxfr ) BABCDBECFAGZBHABCILBJK $.

  ${
    $d x y $.
    nfrabw.1 $e |- F/ x ph $.
    nfrabw.2 $e |- F/_ x A $.
    $( A variable not free in a wff remains so in a restricted class
       abstraction.  Version of ~ nfrab with a disjoint variable condition,
       which does not require ~ ax-13 .  (Contributed by NM, 13-Oct-2003.)
       (Revised by Gino Giotto, 10-Jan-2024.) $)
    nfrabw $p |- F/_ x { y e. A | ph } $=
      ( crab cv wcel wa cab df-rab wnfc wtru nftru wnf nfcri a1i nfand nfabdw
      mptru nfcxfr ) BACDGCHDIZAJZCKZACDLBUEMNUDBCCONUCABUCBPNBCDFQRABPNERSTUAU
      B $.
    $( $j usage 'nfrabw' avoids 'ax-13'; $)
  $}

  ${
    $d x z $.  $d y z $.  $d z A $.
    nfrab.1 $e |- F/ x ph $.
    nfrab.2 $e |- F/_ x A $.
    $( A variable not free in a wff remains so in a restricted class
       abstraction.  Usage of this theorem is discouraged because it depends on
       ~ ax-13 .  Use the weaker ~ nfrabw when possible.  (Contributed by NM,
       13-Oct-2003.)  (Revised by Mario Carneiro, 9-Oct-2016.)
       (New usage is discouraged.) $)
    nfrab $p |- F/_ x { y e. A | ph } $=
      ( vz crab cv wcel wa cab df-rab wnfc wtru nftru weq wal wn wnf eleq1w a1i
      nfcri dvelimnf nfand adantl nfabd2 mptru nfcxfr ) BACDHCIDJZAKZCLZACDMBUL
      NOUKBCCPBCQBRSZUKBTOUMUJABGIDJUJBCGBGDFUCGCDUAUDABTUMEUBUEUFUGUHUI $.
  $}

  ${
    reubida.1 $e |- F/ x ph $.
    reubida.2 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted existential quantifier (deduction
       form).  (Contributed by Mario Carneiro, 19-Nov-2016.) $)
    reubida $p |- ( ph -> ( E! x e. A ps <-> E! x e. A ch ) ) $=
      ( cv wcel wa weu wreu pm5.32da eubid df-reu 3bitr4g ) ADHEIZBJZDKQCJZDKBD
      ELCDELARSDFAQBCGMNBDEOCDEOP $.
  $}

  ${
    $d x ph $.
    reubidva.1 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted existential quantifier (deduction
       form).  (Contributed by NM, 13-Nov-2004.)  Reduce axiom usage.  (Revised
       by Wolf Lammen, 14-Jan-2023.) $)
    reubidva $p |- ( ph -> ( E! x e. A ps <-> E! x e. A ch ) ) $=
      ( cv wcel wa weu wreu pm5.32da eubidv df-reu 3bitr4g ) ADGEHZBIZDJPCIZDJB
      DEKCDEKAQRDAPBCFLMBDENCDENO $.
  $}

  ${
    $d x ph $.
    reubidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted existential quantifier (deduction
       form).  (Contributed by NM, 17-Oct-1996.) $)
    reubidv $p |- ( ph -> ( E! x e. A ps <-> E! x e. A ch ) ) $=
      ( wb cv wcel adantr reubidva ) ABCDEABCGDHEIFJK $.
  $}

  ${
    reubiia.1 $e |- ( x e. A -> ( ph <-> ps ) ) $.
    $( Formula-building rule for restricted existential quantifier (inference
       form).  (Contributed by NM, 14-Nov-2004.) $)
    reubiia $p |- ( E! x e. A ph <-> E! x e. A ps ) $=
      ( cv wcel wa weu wreu pm5.32i eubii df-reu 3bitr4i ) CFDGZAHZCIOBHZCIACDJ
      BCDJPQCOABEKLACDMBCDMN $.
  $}

  ${
    reubii.1 $e |- ( ph <-> ps ) $.
    $( Formula-building rule for restricted existential quantifier (inference
       form).  (Contributed by NM, 22-Oct-1999.) $)
    reubii $p |- ( E! x e. A ph <-> E! x e. A ps ) $=
      ( wb cv wcel a1i reubiia ) ABCDABFCGDHEIJ $.
  $}

  ${
    rmobida.1 $e |- F/ x ph $.
    rmobida.2 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted existential quantifier (deduction
       form).  (Contributed by NM, 16-Jun-2017.) $)
    rmobida $p |- ( ph -> ( E* x e. A ps <-> E* x e. A ch ) ) $=
      ( cv wcel wa wmo wrmo pm5.32da mobid df-rmo 3bitr4g ) ADHEIZBJZDKQCJZDKBD
      ELCDELARSDFAQBCGMNBDEOCDEOP $.
  $}

  ${
    $d x ph $.
    rmobidva.1 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted existential quantifier (deduction
       form).  (Contributed by NM, 16-Jun-2017.) $)
    rmobidva $p |- ( ph -> ( E* x e. A ps <-> E* x e. A ch ) ) $=
      ( nfv rmobida ) ABCDEADGFH $.
  $}

  ${
    $d x ph $.
    rmobidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted existential quantifier (deduction
       form).  (Contributed by NM, 16-Jun-2017.) $)
    rmobidv $p |- ( ph -> ( E* x e. A ps <-> E* x e. A ch ) ) $=
      ( wb cv wcel adantr rmobidva ) ABCDEABCGDHEIFJK $.
  $}

  ${
    rmobiia.1 $e |- ( x e. A -> ( ph <-> ps ) ) $.
    $( Formula-building rule for restricted existential quantifier (inference
       form).  (Contributed by NM, 16-Jun-2017.) $)
    rmobiia $p |- ( E* x e. A ph <-> E* x e. A ps ) $=
      ( cv wcel wa wmo wrmo pm5.32i mobii df-rmo 3bitr4i ) CFDGZAHZCIOBHZCIACDJ
      BCDJPQCOABEKLACDMBCDMN $.
  $}

  ${
    rmobii.1 $e |- ( ph <-> ps ) $.
    $( Formula-building rule for restricted existential quantifier (inference
       form).  (Contributed by NM, 16-Jun-2017.) $)
    rmobii $p |- ( E* x e. A ph <-> E* x e. A ps ) $=
      ( wb cv wcel a1i rmobiia ) ABCDABFCGDHEIJ $.
  $}

  ${
    raleq1f.1 $e |- F/_ x A $.
    raleq1f.2 $e |- F/_ x B $.
    $( Equality theorem for restricted universal quantifier, with
       bound-variable hypotheses instead of distinct variable restrictions.
       (Contributed by NM, 7-Mar-2004.)  (Revised by Andrew Salmon,
       11-Jul-2011.) $)
    raleqf $p |- ( A = B -> ( A. x e. A ph <-> A. x e. B ph ) ) $=
      ( wceq cv wcel wi wal wral nfeq eleq2 imbi1d albid df-ral 3bitr4g ) CDGZB
      HZCIZAJZBKTDIZAJZBKABCLABDLSUBUDBBCDEFMSUAUCACDTNOPABCQABDQR $.

    $( Equality theorem for restricted existential quantifier, with
       bound-variable hypotheses instead of distinct variable restrictions.
       (Contributed by NM, 9-Oct-2003.)  (Revised by Andrew Salmon,
       11-Jul-2011.) $)
    rexeqf $p |- ( A = B -> ( E. x e. A ph <-> E. x e. B ph ) ) $=
      ( wceq cv wcel wa wex wrex nfeq eleq2 anbi1d exbid df-rex 3bitr4g ) CDGZB
      HZCIZAJZBKTDIZAJZBKABCLABDLSUBUDBBCDEFMSUAUCACDTNOPABCQABDQR $.

    $( Equality theorem for restricted unique existential quantifier, with
       bound-variable hypotheses instead of distinct variable restrictions.
       (Contributed by NM, 5-Apr-2004.)  (Revised by Andrew Salmon,
       11-Jul-2011.) $)
    reueq1f $p |- ( A = B -> ( E! x e. A ph <-> E! x e. B ph ) ) $=
      ( wceq cv wcel wa weu wreu nfeq eleq2 anbi1d eubid df-reu 3bitr4g ) CDGZB
      HZCIZAJZBKTDIZAJZBKABCLABDLSUBUDBBCDEFMSUAUCACDTNOPABCQABDQR $.

    $( Equality theorem for restricted at-most-one quantifier, with
       bound-variable hypotheses instead of distinct variable restrictions.
       (Contributed by Alexander van der Vekens, 17-Jun-2017.) $)
    rmoeq1f $p |- ( A = B -> ( E* x e. A ph <-> E* x e. B ph ) ) $=
      ( wceq cv wcel wa wmo wrmo nfeq eleq2 anbi1d mobid df-rmo 3bitr4g ) CDGZB
      HZCIZAJZBKTDIZAJZBKABCLABDLSUBUDBBCDEFMSUAUCACDTNOPABCQABDQR $.
  $}

  ${
    $d x ph $.
    raleqbidv.1 $e |- ( ph -> A = B ) $.
    raleqbidv.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equality deduction for restricted universal quantifier.  (Contributed by
       NM, 6-Nov-2007.)  Remove usage of ~ ax-10 , ~ ax-11 , and ~ ax-12 and
       reduce distinct variable conditions.  (Revised by Steven Nguyen,
       30-Apr-2023.) $)
    raleqbidv $p |- ( ph -> ( A. x e. A ps <-> A. x e. B ch ) ) $=
      ( cv wcel eleq2d imbi12d ralbidv2 ) ABCDEFADIZEJNFJBCAEFNGKHLM $.

    $( Equality deduction for restricted universal quantifier.  (Contributed by
       NM, 6-Nov-2007.)  Remove usage of ~ ax-10 , ~ ax-11 , and ~ ax-12 and
       reduce distinct variable conditions.  (Revised by Steven Nguyen,
       30-Apr-2023.) $)
    rexeqbidv $p |- ( ph -> ( E. x e. A ps <-> E. x e. B ch ) ) $=
      ( cv wcel eleq2d anbi12d rexbidv2 ) ABCDEFADIZEJNFJBCAEFNGKHLM $.
  $}

  ${
    $d ph x $.  $d A x $.  $d B x $.
    raleqbidvv.1 $e |- ( ph -> A = B ) $.
    raleqbidvv.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Version of ~ raleqbidv with additional disjoint variable conditions, not
       requiring ~ ax-8 nor ~ df-clel .  (Contributed by BJ, 22-Sep-2024.) $)
    raleqbidvv $p |- ( ph -> ( A. x e. A ps <-> A. x e. B ch ) ) $=
      ( cv wcel wi wal wral wb wa alrimiv wceq dfcleq sylib df-ral 19.26 imbi12
      sylanbrc impcom sylg albi syl 3bitr4g ) ADIZEJZBKZDLZUIFJZCKZDLZBDEMCDFMA
      UKUNNZDLULUONABCNZUJUMNZOZUPDAUQDLURDLZUSDLAUQDHPAEFQUTGDEFRSUQURDUAUCURU
      QUPUJUMBCUBUDUEUKUNDUFUGBDETCDFTUH $.
    $( $j usage 'raleqbidvv' avoids 'ax-8' 'ax-10' 'ax-11' 'ax-12'
          'df-clel'; $)

    $( Version of ~ rexeqbidv with additional disjoint variable conditions, not
       requiring ~ ax-8 nor ~ df-clel .  (Contributed by Wolf Lammen,
       25-Sep-2024.) $)
    rexeqbidvv $p |- ( ph -> ( E. x e. A ps <-> E. x e. B ch ) ) $=
      ( wrex wn wral notbid raleqbidvv ralnex 3bitr3g con4bid ) ABDEIZCDFIZABJZ
      DEKCJZDFKQJRJASTDEFGABCHLMBDENCDFNOP $.
    $( $j usage 'rexeqbidvv' avoids 'ax-8' 'ax-10' 'ax-11' 'ax-12'
          'df-clel'; $)
  $}

  ${
    $d x A $.  $d x B $.
    raleqbi1dv.1 $e |- ( A = B -> ( ph <-> ps ) ) $.
    $( Equality deduction for restricted universal quantifier.  (Contributed by
       NM, 16-Nov-1995.)  (Proof shortened by Steven Nguyen, 5-May-2023.) $)
    raleqbi1dv $p |- ( A = B -> ( A. x e. A ph <-> A. x e. B ps ) ) $=
      ( wceq id raleqbidvv ) DEGZABCDEJHFI $.
    $( $j usage 'raleqbi1dv' avoids 'ax-8' 'ax-12'; $)

    $( Equality deduction for restricted existential quantifier.  (Contributed
       by NM, 18-Mar-1997.)  (Proof shortened by Steven Nguyen, 5-May-2023.) $)
    rexeqbi1dv $p |- ( A = B -> ( E. x e. A ph <-> E. x e. B ps ) ) $=
      ( wceq id rexeqbidvv ) DEGZABCDEJHFI $.
    $( $j usage 'rexeqbi1dv' avoids 'ax-8' 'ax-12'; $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Equality theorem for restricted universal quantifier.  (Contributed by
       NM, 16-Nov-1995.)  Remove usage of ~ ax-10 , ~ ax-11 , and ~ ax-12 .
       (Revised by Steven Nguyen, 30-Apr-2023.) $)
    raleq $p |- ( A = B -> ( A. x e. A ph <-> A. x e. B ph ) ) $=
      ( wceq biidd raleqbi1dv ) AABCDCDEAFG $.

    $( Equality theorem for restricted existential quantifier.  (Contributed by
       NM, 29-Oct-1995.)  Remove usage of ~ ax-10 , ~ ax-11 , and ~ ax-12 .
       (Revised by Steven Nguyen, 30-Apr-2023.) $)
    rexeq $p |- ( A = B -> ( E. x e. A ph <-> E. x e. B ph ) ) $=
      ( wceq biidd rexeqbi1dv ) AABCDCDEAFG $.

    $( Equality theorem for restricted unique existential quantifier.
       (Contributed by NM, 5-Apr-2004.)  Remove usage of ~ ax-10 , ~ ax-11 ,
       and ~ ax-12 .  (Revised by Steven Nguyen, 30-Apr-2023.) $)
    reueq1 $p |- ( A = B -> ( E! x e. A ph <-> E! x e. B ph ) ) $=
      ( wceq cv wcel wa weu wreu eleq2 anbi1d eubidv df-reu 3bitr4g ) CDEZBFZCG
      ZAHZBIQDGZAHZBIABCJABDJPSUABPRTACDQKLMABCNABDNO $.

    $( Equality theorem for restricted at-most-one quantifier.  (Contributed by
       Alexander van der Vekens, 17-Jun-2017.)  Remove usage of ~ ax-10 ,
       ~ ax-11 , and ~ ax-12 .  (Revised by Steven Nguyen, 30-Apr-2023.) $)
    rmoeq1 $p |- ( A = B -> ( E* x e. A ph <-> E* x e. B ph ) ) $=
      ( wceq cv wcel wa wmo wrmo eleq2 anbi1d mobidv df-rmo 3bitr4g ) CDEZBFZCG
      ZAHZBIQDGZAHZBIABCJABDJPSUABPRTACDQKLMABCNABDNO $.
  $}

  ${
    $d A x $.  $d B x $.
    raleq1i.1 $e |- A = B $.
    $( Equality inference for restricted universal quantifier.  (Contributed by
       Paul Chapman, 22-Jun-2011.) $)
    raleqi $p |- ( A. x e. A ph <-> A. x e. B ph ) $=
      ( wceq wral wb raleq ax-mp ) CDFABCGABDGHEABCDIJ $.

    $( Equality inference for restricted existential quantifier.  (Contributed
       by Mario Carneiro, 23-Apr-2015.) $)
    rexeqi $p |- ( E. x e. A ph <-> E. x e. B ph ) $=
      ( wceq wrex wb rexeq ax-mp ) CDFABCGABDGHEABCDIJ $.
  $}

  ${
    $d x A $.  $d x B $.
    raleq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for restricted universal quantifier.  (Contributed by
       NM, 13-Nov-2005.) $)
    raleqdv $p |- ( ph -> ( A. x e. A ps <-> A. x e. B ps ) ) $=
      ( wceq wral wb raleq syl ) ADEGBCDHBCEHIFBCDEJK $.

    $( Equality deduction for restricted existential quantifier.  (Contributed
       by NM, 14-Jan-2007.) $)
    rexeqdv $p |- ( ph -> ( E. x e. A ps <-> E. x e. B ps ) ) $=
      ( wceq wrex wb rexeq syl ) ADEGBCDHBCEHIFBCDEJK $.
  $}

  ${
    $d x A $.  $d x B $.
    raleqd.1 $e |- ( A = B -> ( ph <-> ps ) ) $.
    $( Equality deduction for restricted unique existential quantifier.
       (Contributed by NM, 5-Apr-2004.) $)
    reueqd $p |- ( A = B -> ( E! x e. A ph <-> E! x e. B ps ) ) $=
      ( wceq wreu reueq1 reubidv bitrd ) DEGZACDHACEHBCEHACDEILABCEFJK $.

    $( Equality deduction for restricted at-most-one quantifier.  (Contributed
       by Alexander van der Vekens, 17-Jun-2017.) $)
    rmoeqd $p |- ( A = B -> ( E* x e. A ph <-> E* x e. B ps ) ) $=
      ( wceq wrmo rmoeq1 rmobidv bitrd ) DEGZACDHACEHBCEHACDEILABCEFJK $.
  $}

  ${
    raleqbid.0 $e |- F/ x ph $.
    raleqbid.1 $e |- F/_ x A $.
    raleqbid.2 $e |- F/_ x B $.
    raleqbid.3 $e |- ( ph -> A = B ) $.
    raleqbid.4 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equality deduction for restricted universal quantifier.  (Contributed by
       Thierry Arnoux, 8-Mar-2017.) $)
    raleqbid $p |- ( ph -> ( A. x e. A ps <-> A. x e. B ch ) ) $=
      ( wral wceq wb raleqf syl ralbid bitrd ) ABDELZBDFLZCDFLAEFMSTNJBDEFHIOPA
      BCDFGKQR $.

    $( Equality deduction for restricted existential quantifier.  (Contributed
       by Thierry Arnoux, 8-Mar-2017.) $)
    rexeqbid $p |- ( ph -> ( E. x e. A ps <-> E. x e. B ch ) ) $=
      ( wrex wceq wb rexeqf syl rexbid bitrd ) ABDELZBDFLZCDFLAEFMSTNJBDEFHIOPA
      BCDFGKQR $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    raleqbidva.1 $e |- ( ph -> A = B ) $.
    raleqbidva.2 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Equality deduction for restricted universal quantifier.  (Contributed by
       Mario Carneiro, 5-Jan-2017.) $)
    raleqbidva $p |- ( ph -> ( A. x e. A ps <-> A. x e. B ch ) ) $=
      ( wral ralbidva raleqdv bitrd ) ABDEICDEICDFIABCDEHJACDEFGKL $.

    $( Equality deduction for restricted universal quantifier.  (Contributed by
       Mario Carneiro, 5-Jan-2017.) $)
    rexeqbidva $p |- ( ph -> ( E. x e. A ps <-> E. x e. B ch ) ) $=
      ( wrex rexbidva rexeqdv bitrd ) ABDEICDEICDFIABCDEHJACDEFGKL $.
  $}

  ${
    $d A x $.  $d B x $.
    $( All elements of a class are elements of a class equal to this class.
       (Contributed by AV, 30-Oct-2020.) $)
    raleleq $p |- ( A = B -> A. x e. A x e. B ) $=
      ( wceq cv wcel eleq2 biimpd ralrimiv ) BCDZAEZCFZABJKBFLBCKGHI $.

    $( Alternate proof of ~ raleleq using ~ ralel , being longer and using more
       axioms.  (Contributed by AV, 30-Oct-2020.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    raleleqALT $p |- ( A = B -> A. x e. A x e. B ) $=
      ( wceq cv wcel wral ralel id raleqdv mpbiri ) BCDZAECFZABGMACGACHLMABCLIJ
      K $.
  $}

  ${
    $d x y A $.
    $( "At most one" element in a set.  (Contributed by Thierry Arnoux,
       26-Jul-2018.) $)
    moel $p |- ( E* x x e. A <-> A. x e. A A. y e. A x = y ) $=
      ( cv wcel weq wi wal wmo ralcom4 df-ral ralbii wa alcom eleq1w mo4 impexp
      wral albii bitr4i 3bitr4i 3bitr4ri ) BDCEZABFZGZBHZACRUEACRZBHZUDBCRZACRA
      DCEZAIZUEABCJUIUFACUDBCKLUJUCMUDGZBHAHULAHZBHUKUHULABNUJUCABABCOPUGUMBUGU
      JUEGZAHUMUEACKULUNAUJUCUDQSTSUAUB $.
  $}

  $( Unrestricted "at most one" implies restricted "at most one".  (Contributed
     by NM, 16-Jun-2017.) $)
  mormo $p |- ( E* x ph -> E* x e. A ph ) $=
    ( wmo cv wcel wa wrmo moan df-rmo sylibr ) ABDBECFZAGBDABCHALBIABCJK $.

  $( Restricted uniqueness in terms of "at most one".  (Contributed by NM,
     23-May-1999.)  (Revised by NM, 16-Jun-2017.) $)
  reu5 $p |- ( E! x e. A ph <-> ( E. x e. A ph /\ E* x e. A ph ) ) $=
    ( cv wcel wa weu wex wmo wreu wrex wrmo df-eu df-reu df-rex anbi12i 3bitr4i
    df-rmo ) BDCEAFZBGSBHZSBIZFABCJABCKZABCLZFSBMABCNUBTUCUAABCOABCRPQ $.

  $( Restricted unique existence implies restricted existence.  (Contributed by
     NM, 19-Aug-1999.) $)
  reurex $p |- ( E! x e. A ph -> E. x e. A ph ) $=
    ( wreu wrex wrmo reu5 simplbi ) ABCDABCEABCFABCGH $.

  $( Double restricted existential uniqueness, analogous to ~ 2eu2ex .
     (Contributed by Alexander van der Vekens, 25-Jun-2017.) $)
  2reu2rex $p |- ( E! x e. A E! y e. B ph -> E. x e. A E. y e. B ph ) $=
    ( wreu wrex reurex reximi syl ) ACEFZBDFKBDGACEGZBDGKBDHKLBDACEHIJ $.

  $( Restricted existential uniqueness implies restricted "at most one."
     (Contributed by NM, 16-Jun-2017.) $)
  reurmo $p |- ( E! x e. A ph -> E* x e. A ph ) $=
    ( wreu wrex wrmo reu5 simprbi ) ABCDABCEABCFABCGH $.

  $( Restricted "at most one" in term of uniqueness.  (Contributed by NM,
     16-Jun-2017.) $)
  rmo5 $p |- ( E* x e. A ph <-> ( E. x e. A ph -> E! x e. A ph ) ) $=
    ( cv wcel wa wmo wex wi wrmo wrex wreu df-rmo df-rex df-reu imbi12i 3bitr4i
    weu moeu ) BDCEAFZBGTBHZTBRZIABCJABCKZABCLZITBSABCMUCUAUDUBABCNABCOPQ $.

  $( Nonexistence implies restricted "at most one".  (Contributed by NM,
     17-Jun-2017.) $)
  nrexrmo $p |- ( -. E. x e. A ph -> E* x e. A ph ) $=
    ( wrex wn wreu wi wrmo pm2.21 rmo5 sylibr ) ABCDZELABCFZGABCHLMIABCJK $.

  ${
    $d ph x $.
    reueubd.1 $e |- ( ( ph /\ ps ) -> x e. V ) $.
    $( Restricted existential uniqueness is equivalent to existential
       uniqueness if the unique element is in the restricting class.
       (Contributed by AV, 4-Jan-2021.) $)
    reueubd $p |- ( ph -> ( E! x e. V ps <-> E! x ps ) ) $=
      ( wreu cv wcel wa weu df-reu ex pm4.71rd eubidv bitr4id ) ABCDFCGDHZBIZCJ
      BCJBCDKABQCABPABPELMNO $.
  $}

  ${
    $d x y $.
    cbvralfw.1 $e |- F/_ x A $.
    cbvralfw.2 $e |- F/_ y A $.
    cbvralfw.3 $e |- F/ y ph $.
    cbvralfw.4 $e |- F/ x ps $.
    cbvralfw.5 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbvralf with a disjoint variable condition, which does not
       require ~ ax-10 , ~ ax-13 .  (Contributed by NM, 7-Mar-2004.)  (Revised
       by Gino Giotto, 23-May-2024.) $)
    cbvralfw $p |- ( A. x e. A ph <-> A. y e. A ps ) $=
      ( cv wcel wi wal wral nfcri nfim weq eleq1w df-ral imbi12d cbvalv1
      3bitr4i ) CKELZAMZCNDKELZBMZDNACEOBDEOUEUGCDUDADDCEGPHQUFBCCDEFPIQCDRUDUF
      ABCDESJUAUBACETBDETUC $.
    $( $j usage 'cbvralfw' avoids 'ax-10' 'ax-13'; $)
  $}

  ${
    $d x y z $.  $d z A $.  $d z ps $.  $d z ph $.
    cbvralfwOLD.1 $e |- F/_ x A $.
    cbvralfwOLD.2 $e |- F/_ y A $.
    cbvralfwOLD.3 $e |- F/ y ph $.
    cbvralfwOLD.4 $e |- F/ x ps $.
    cbvralfwOLD.5 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Obsolete version of ~ cbvralfw as of 23-May-2024.  (Contributed by NM,
       7-Mar-2004.)  (Revised by Gino Giotto, 10-Jan-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    cbvralfwOLD $p |- ( A. x e. A ph <-> A. y e. A ps ) $=
      ( vz cv wcel wi wal wral wsb nfv nfcri nfim nfs1v sbequ12 imbi12d cbvalv1
      weq eleq1w nfsbv sbequ sbiev bitrdi bitri df-ral 3bitr4i ) CLEMZANZCOZDLE
      MZBNZDOZACEPBDEPUPKLEMZACKQZNZKOUSUOVBCKUOKRUTVACCKEFSACKUATCKUEUNUTAVACK
      EUFACKUBUCUDVBURKDUTVADDKEGSACKDHUGTURKRKDUEZUTUQVABKDEUFVCVAACDQBAKDCUHA
      BCDIJUIUJUCUDUKACEULBDEULUM $.
    $( $j usage 'cbvralfwOLD' avoids 'ax-13'; $)
  $}

  ${
    $d x y $.
    cbvrexfw.1 $e |- F/_ x A $.
    cbvrexfw.2 $e |- F/_ y A $.
    cbvrexfw.3 $e |- F/ y ph $.
    cbvrexfw.4 $e |- F/ x ps $.
    cbvrexfw.5 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbvrexf with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by FL, 27-Apr-2008.)  (Revised by Gino
       Giotto, 10-Jan-2024.) $)
    cbvrexfw $p |- ( E. x e. A ph <-> E. y e. A ps ) $=
      ( wn wral wrex nfn weq notbid cbvralfw notbii dfrex2 3bitr4i ) AKZCELZKBK
      ZDELZKACEMBDEMUBUDUAUCCDEFGADHNBCINCDOABJPQRACESBDEST $.
    $( $j usage 'cbvrexfw' avoids 'ax-13'; $)
  $}

  ${
    $d x z $.  $d y z $.  $d z A $.  $d z ps $.  $d z ph $.
    cbvralf.1 $e |- F/_ x A $.
    cbvralf.2 $e |- F/_ y A $.
    cbvralf.3 $e |- F/ y ph $.
    cbvralf.4 $e |- F/ x ps $.
    cbvralf.5 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ cbvralfw when possible.  (Contributed by NM, 7-Mar-2004.)
       (Revised by Mario Carneiro, 9-Oct-2016.)  (New usage is discouraged.) $)
    cbvralf $p |- ( A. x e. A ph <-> A. y e. A ps ) $=
      ( vz cv wcel wi wal wral wsb nfv nfcri nfim nfs1v sbequ12 imbi12d cbvalv1
      weq eleq1w nfsb sbequ sbie bitrdi bitri df-ral 3bitr4i ) CLEMZANZCOZDLEMZ
      BNZDOZACEPBDEPUPKLEMZACKQZNZKOUSUOVBCKUOKRUTVACCKEFSACKUATCKUEUNUTAVACKEU
      FACKUBUCUDVBURKDUTVADDKEGSACKDHUGTURKRKDUEZUTUQVABKDEUFVCVAACDQBAKDCUHABC
      DIJUIUJUCUDUKACEULBDEULUM $.

    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ cbvrexfw when possible.  (Contributed by FL, 27-Apr-2008.)
       (Revised by Mario Carneiro, 9-Oct-2016.)  (New usage is discouraged.) $)
    cbvrexf $p |- ( E. x e. A ph <-> E. y e. A ps ) $=
      ( wn wral wrex nfn weq notbid cbvralf notbii dfrex2 3bitr4i ) AKZCELZKBKZ
      DELZKACEMBDEMUBUDUAUCCDEFGADHNBCINCDOABJPQRACESBDEST $.
  $}

  ${
    $d x y A $.
    cbvralw.1 $e |- F/ y ph $.
    cbvralw.2 $e |- F/ x ps $.
    cbvralw.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbvral with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by NM, 31-Jul-2003.)  (Revised by Gino
       Giotto, 10-Jan-2024.) $)
    cbvralw $p |- ( A. x e. A ph <-> A. y e. A ps ) $=
      ( nfcv cbvralfw ) ABCDECEIDEIFGHJ $.
    $( $j usage 'cbvralw' avoids 'ax-13'; $)

    $( Rule used to change bound variables, using implicit substitution.
       Version of ~ cbvrex with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by NM, 31-Jul-2003.)  (Revised by Gino
       Giotto, 10-Jan-2024.) $)
    cbvrexw $p |- ( E. x e. A ph <-> E. y e. A ps ) $=
      ( nfcv cbvrexfw ) ABCDECEIDEIFGHJ $.
    $( $j usage 'cbvrexw' avoids 'ax-13'; $)
  $}

  ${
    $d A x y z $.  $d ph z $.  $d ps z $.
    cbvreuw.1 $e |- F/ y ph $.
    cbvreuw.2 $e |- F/ x ps $.
    cbvreuw.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change the bound variable of a restricted unique existential quantifier
       using implicit substitution.  Version of ~ cbvreu with a disjoint
       variable condition, which does not require ~ ax-13 .  (Contributed by
       Mario Carneiro, 15-Oct-2016.)  (Revised by Gino Giotto, 10-Jan-2024.) $)
    cbvreuw $p |- ( E! x e. A ph <-> E! y e. A ps ) $=
      ( vz cv wcel wa weu wreu wsb nfv sb8euv sban eubii df-reu anbi1i nfan weq
      clelsb1 nfsbv eleq1w sbequ sbiev bitrdi anbi12d cbveuw 3bitri 3bitr4i
      bitri ) CJEKZALZCMZDJEKZBLZDMZACENBDENUQUPCIOZIMUOCIOZACIOZLZIMZUTUPCIUPI
      PQVAVDIUOACIRSVEIJEKZVCLZIMUTVDVGIVBVFVCCIEUDUASVGUSIDVFVCDVFDPACIDFUEUBU
      SIPIDUCZVFURVCBIDEUFVHVCACDOBAIDCUGABCDGHUHUIUJUKUNULACETBDETUM $.
    $( $j usage 'cbvreuw' avoids 'ax-13'; $)
  $}

  ${
    $d x y A $.
    cbvrmow.1 $e |- F/ y ph $.
    cbvrmow.2 $e |- F/ x ps $.
    cbvrmow.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change the bound variable of a restricted at-most-one quantifier using
       implicit substitution.  Version of ~ cbvrmo with a disjoint variable
       condition, which does not require ~ ax-10 , ~ ax-13 .  (Contributed by
       NM, 16-Jun-2017.)  (Revised by Gino Giotto, 23-May-2024.) $)
    cbvrmow $p |- ( E* x e. A ph <-> E* y e. A ps ) $=
      ( cv wcel wa wmo wrmo nfv nfan weq eleq1w anbi12d cbvmow df-rmo 3bitr4i )
      CIEJZAKZCLDIEJZBKZDLACEMBDEMUCUECDUBADUBDNFOUDBCUDCNGOCDPUBUDABCDEQHRSACE
      TBDETUA $.
    $( $j usage 'cbvrmow' avoids 'ax-10' 'ax-13'; $)
  $}

  ${
    $d x y A $.
    cbvrmowOLD.1 $e |- F/ y ph $.
    cbvrmowOLD.2 $e |- F/ x ps $.
    cbvrmowOLD.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Obsolete version of ~ cbvrmow as of 23-May-2024.  (Contributed by NM,
       16-Jun-2017.)  (Revised by Gino Giotto, 10-Jan-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    cbvrmowOLD $p |- ( E* x e. A ph <-> E* y e. A ps ) $=
      ( wrex wreu wi wrmo cbvrexw cbvreuw imbi12i rmo5 3bitr4i ) ACEIZACEJZKBDE
      IZBDEJZKACELBDELRTSUAABCDEFGHMABCDEFGHNOACEPBDEPQ $.
    $( $j usage 'cbvrmowOLD' avoids 'ax-13'; $)
  $}

  ${
    $d x z A $.  $d y z A $.  $d z ph $.  $d z ps $.
    cbvral.1 $e |- F/ y ph $.
    cbvral.2 $e |- F/ x ps $.
    cbvral.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ cbvralw when possible.  (Contributed by NM, 31-Jul-2003.)
       (New usage is discouraged.) $)
    cbvral $p |- ( A. x e. A ph <-> A. y e. A ps ) $=
      ( nfcv cbvralf ) ABCDECEIDEIFGHJ $.

    $( Rule used to change bound variables, using implicit substitution.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ cbvrexw when possible.  (Contributed by NM, 31-Jul-2003.)
       (Proof shortened by Andrew Salmon, 8-Jun-2011.)
       (New usage is discouraged.) $)
    cbvrex $p |- ( E. x e. A ph <-> E. y e. A ps ) $=
      ( nfcv cbvrexf ) ABCDECEIDEIFGHJ $.

    $( Change the bound variable of a restricted unique existential quantifier
       using implicit substitution.  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  Use the weaker ~ cbvreuw when possible.
       (Contributed by Mario Carneiro, 15-Oct-2016.)
       (New usage is discouraged.) $)
    cbvreu $p |- ( E! x e. A ph <-> E! y e. A ps ) $=
      ( vz cv wcel wa weu wreu wsb nfv sb8eu sban eubii df-reu anbi1i nfsb nfan
      clelsb1 weq eleq1w sbequ sbie bitrdi anbi12d cbveu bitri 3bitri 3bitr4i )
      CJEKZALZCMZDJEKZBLZDMZACENBDENUQUPCIOZIMUOCIOZACIOZLZIMZUTUPCIUPIPQVAVDIU
      OACIRSVEIJEKZVCLZIMUTVDVGIVBVFVCCIEUDUASVGUSIDVFVCDVFDPACIDFUBUCUSIPIDUEZ
      VFURVCBIDEUFVHVCACDOBAIDCUGABCDGHUHUIUJUKULUMACETBDETUN $.

    $( Change the bound variable of a restricted at-most-one quantifier using
       implicit substitution.  Usage of this theorem is discouraged because it
       depends on ~ ax-13 .  Use the weaker ~ cbvrmow , ~ cbvrmovw when
       possible.  (Contributed by NM, 16-Jun-2017.)
       (New usage is discouraged.) $)
    cbvrmo $p |- ( E* x e. A ph <-> E* y e. A ps ) $=
      ( wrex wreu wi wrmo cbvrex cbvreu imbi12i rmo5 3bitr4i ) ACEIZACEJZKBDEIZ
      BDEJZKACELBDELRTSUAABCDEFGHMABCDEFGHNOACEPBDEPQ $.
  $}

  ${
    $d x y A $.  $d y ph $.  $d x ps $.
    cbvralvw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change the bound variable of a restricted universal quantifier using
       implicit substitution.  Version of ~ cbvralv with a disjoint variable
       condition, which does not require ~ ax-10 , ~ ax-11 , ~ ax-12 ,
       ~ ax-13 .  (Contributed by NM, 28-Jan-1997.)  (Revised by Gino Giotto,
       10-Jan-2024.) $)
    cbvralvw $p |- ( A. x e. A ph <-> A. y e. A ps ) $=
      ( cv wcel wi wal wral weq eleq1w imbi12d cbvalvw df-ral 3bitr4i ) CGEHZAI
      ZCJDGEHZBIZDJACEKBDEKSUACDCDLRTABCDEMFNOACEPBDEPQ $.
    $( $j usage 'cbvralvw' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)

    $( Change the bound variable of a restricted existential quantifier using
       implicit substitution.  Version of ~ cbvrexv with a disjoint variable
       condition, which does not require ~ ax-10 , ~ ax-11 , ~ ax-12 ,
       ~ ax-13 .  (Contributed by NM, 2-Jun-1998.)  (Revised by Gino Giotto,
       10-Jan-2024.) $)
    cbvrexvw $p |- ( E. x e. A ph <-> E. y e. A ps ) $=
      ( cv wcel wa wex wrex weq eleq1w anbi12d cbvexvw df-rex 3bitr4i ) CGEHZAI
      ZCJDGEHZBIZDJACEKBDEKSUACDCDLRTABCDEMFNOACEPBDEPQ $.
    $( $j usage 'cbvrexvw' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)

    $( Change the bound variable of a restricted at-most-one quantifier using
       implicit substitution.  Version of ~ cbvrmov with a disjoint variable
       condition, which requires fewer axioms.  (Contributed by NM,
       16-Jun-2017.)  (Revised by Gino Giotto, 30-Sep-2024.) $)
    cbvrmovw $p |- ( E* x e. A ph <-> E* y e. A ps ) $=
      ( cv wcel wa wmo wrmo weq eleq1w anbi12d cbvmovw df-rmo 3bitr4i ) CGEHZAI
      ZCJDGEHZBIZDJACEKBDEKSUACDCDLRTABCDEMFNOACEPBDEPQ $.
    $( $j usage 'cbvrmovw' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)

    $( Change the bound variable of a restricted unique existential quantifier
       using implicit substitution.  Version of ~ cbvreuv with a disjoint
       variable condition, which requires fewer axioms.  (Contributed by NM,
       5-Apr-2004.)  (Revised by Gino Giotto, 30-Sep-2024.) $)
    cbvreuvw $p |- ( E! x e. A ph <-> E! y e. A ps ) $=
      ( cv wcel wa weu wreu weq eleq1w anbi12d cbveuvw df-reu 3bitr4i ) CGEHZAI
      ZCJDGEHZBIZDJACEKBDEKSUACDCDLRTABCDEMFNOACEPBDEPQ $.
    $( $j usage 'cbvreuvw' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)

    $( Obsolete version of ~ cbvreuvw as of 30-Sep-2024.  (Contributed by NM,
       5-Apr-2004.)  (Revised by Gino Giotto, 10-Jan-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    cbvreuvwOLD $p |- ( E! x e. A ph <-> E! y e. A ps ) $=
      ( nfv cbvreuw ) ABCDEADGBCGFH $.
    $( $j usage 'cbvreuvwOLD' avoids 'ax-13'; $)
  $}

  ${
    $d x A $.  $d y A $.  $d y ph $.  $d x ps $.
    cbvralv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change the bound variable of a restricted universal quantifier using
       implicit substitution.  See ~ cbvralvw based on fewer axioms , but extra
       disjoint variables.  Usage of this theorem is discouraged because it
       depends on ~ ax-13 .  Use the weaker ~ cbvralvw when possible.
       (Contributed by NM, 28-Jan-1997.)  (New usage is discouraged.) $)
    cbvralv $p |- ( A. x e. A ph <-> A. y e. A ps ) $=
      ( nfv cbvral ) ABCDEADGBCGFH $.

    $( Change the bound variable of a restricted existential quantifier using
       implicit substitution.  See ~ cbvrexvw based on fewer axioms , but extra
       disjoint variables.  Usage of this theorem is discouraged because it
       depends on ~ ax-13 .  Use the weaker ~ cbvrexvw when possible.
       (Contributed by NM, 2-Jun-1998.)  (New usage is discouraged.) $)
    cbvrexv $p |- ( E. x e. A ph <-> E. y e. A ps ) $=
      ( nfv cbvrex ) ABCDEADGBCGFH $.

    $( Change the bound variable of a restricted unique existential quantifier
       using implicit substitution.  See ~ cbvreuvw for a version without
       ~ ax-13 , but extra disjoint variables.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ cbvreuvw
       when possible.  (Contributed by NM, 5-Apr-2004.)  (Revised by Mario
       Carneiro, 15-Oct-2016.)  (New usage is discouraged.) $)
    cbvreuv $p |- ( E! x e. A ph <-> E! y e. A ps ) $=
      ( nfv cbvreu ) ABCDEADGBCGFH $.

    $( Change the bound variable of a restricted at-most-one quantifier using
       implicit substitution.  Usage of this theorem is discouraged because it
       depends on ~ ax-13 .  (Contributed by Alexander van der Vekens,
       17-Jun-2017.)  (New usage is discouraged.) $)
    cbvrmov $p |- ( E* x e. A ph <-> E* y e. A ps ) $=
      ( nfv cbvrmo ) ABCDEADGBCGFH $.
  $}

  ${
    $d A y $.  $d ps y $.  $d B x $.  $d ch x $.  $d x ph y $.
    cbvraldva2.1 $e |- ( ( ph /\ x = y ) -> ( ps <-> ch ) ) $.
    cbvraldva2.2 $e |- ( ( ph /\ x = y ) -> A = B ) $.
    $( Rule used to change the bound variable in a restricted universal
       quantifier with implicit substitution which also changes the quantifier
       domain.  Deduction form.  (Contributed by David Moews, 1-May-2017.) $)
    cbvraldva2 $p |- ( ph -> ( A. x e. A ps <-> A. y e. B ch ) ) $=
      ( cv wcel wi wal wral weq wb wa simpr 19.21v df-ral eleq12d pm5.74ri
      imbi12d expcom pm5.74d cbvalvw 3bitr3i 3bitr4g ) ADJZFKZBLZDMZEJZGKZCLZEM
      ZBDFNCEGNAULUPAUKLZDMAUOLZEMAULLAUPLUQURDEDEOZAUKUOAUSUKUOPAUSQZUJUNBCUTU
      IUMFGAUSRIUAHUCUDUEUFAUKDSAUOESUGUBBDFTCEGTUH $.

    $( Rule used to change the bound variable in a restricted existential
       quantifier with implicit substitution which also changes the quantifier
       domain.  Deduction form.  (Contributed by David Moews, 1-May-2017.)
       (Proof shortened by Wolf Lammen, 12-Aug-2023.) $)
    cbvrexdva2 $p |- ( ph -> ( E. x e. A ps <-> E. y e. B ch ) ) $=
      ( cv wcel wa wex wrex wb wi weq simpr 19.42v df-rex eleq12d ancoms pm5.32
      anbi12d pm5.32da cbvexvw 3bitr3i mpbir 3bitr4g ) ADJZFKZBLZDMZEJZGKZCLZEM
      ZBDFNCEGNAUMUQOPAUMLZAUQLZOAULLZDMAUPLZEMURUSUTVADEDEQZAULUPAVBULUPOAVBLZ
      UKUOBCVCUJUNFGAVBRIUAHUDUBUEUFAULDSAUPESUGAUMUQUCUHBDFTCEGTUI $.
  $}

  ${
    $d ps y $.  $d ch x $.  $d A x y $.  $d x ph y $.
    cbvraldva.1 $e |- ( ( ph /\ x = y ) -> ( ps <-> ch ) ) $.
    $( Rule used to change the bound variable in a restricted universal
       quantifier with implicit substitution.  Deduction form.  (Contributed by
       David Moews, 1-May-2017.) $)
    cbvraldva $p |- ( ph -> ( A. x e. A ps <-> A. y e. A ch ) ) $=
      ( weq wa eqidd cbvraldva2 ) ABCDEFFGADEHIFJK $.

    $( Rule used to change the bound variable in a restricted existential
       quantifier with implicit substitution.  Deduction form.  (Contributed by
       David Moews, 1-May-2017.) $)
    cbvrexdva $p |- ( ph -> ( E. x e. A ps <-> E. y e. A ch ) ) $=
      ( weq wa eqidd cbvrexdva2 ) ABCDEFFGADEHIFJK $.
  $}

  ${
    $d x z $.  $d w y $.  $d x A $.  $d z A $.  $d x y B $.  $d z y B $.
    $d w B $.  $d z ph $.  $d y ps $.  $d x ch $.  $d w ch $.
    cbvral2vw.1 $e |- ( x = z -> ( ph <-> ch ) ) $.
    cbvral2vw.2 $e |- ( y = w -> ( ch <-> ps ) ) $.
    $( Change bound variables of double restricted universal quantification,
       using implicit substitution.  Version of ~ cbvral2v with a disjoint
       variable condition, which does not require ~ ax-13 .  (Contributed by
       NM, 10-Aug-2004.)  (Revised by Gino Giotto, 10-Jan-2024.) $)
    cbvral2vw $p |- ( A. x e. A A. y e. B ph <-> A. z e. A A. w e. B ps ) $=
      ( wral weq ralbidv cbvralvw ralbii bitri ) AEILZDHLCEILZFHLBGILZFHLRSDFHD
      FMACEIJNOSTFHCBEGIKOPQ $.
    $( $j usage 'cbvral2vw' avoids 'ax-13'; $)
  $}

  ${
    $d x z $.  $d w y $.  $d A x $.  $d A z $.  $d B w $.  $d B x y $.
    $d B z y $.  $d ch w $.  $d ch x $.  $d ph z $.  $d ps y $.
    cbvrex2vw.1 $e |- ( x = z -> ( ph <-> ch ) ) $.
    cbvrex2vw.2 $e |- ( y = w -> ( ch <-> ps ) ) $.
    $( Change bound variables of double restricted universal quantification,
       using implicit substitution.  Version of ~ cbvrex2v with a disjoint
       variable condition, which does not require ~ ax-13 .  (Contributed by
       FL, 2-Jul-2012.)  (Revised by Gino Giotto, 10-Jan-2024.) $)
    cbvrex2vw $p |- ( E. x e. A E. y e. B ph <-> E. z e. A E. w e. B ps ) $=
      ( wrex weq rexbidv cbvrexvw rexbii bitri ) AEILZDHLCEILZFHLBGILZFHLRSDFHD
      FMACEIJNOSTFHCBEGIKOPQ $.
    $( $j usage 'cbvrex2vw' avoids 'ax-13'; $)
  $}

  ${
    $d w ph $.  $d z ps $.  $d x ch $.  $d v ch $.  $d y th $.  $d u th $.
    $d x A $.  $d u z $.  $d w A $.  $d x y B $.  $d w y B $.  $d v B $.
    $d x y z C $.  $d w x $.  $d w y z C $.  $d v z C $.  $d z y C $.
    $d z C $.  $d u C $.  $d v y $.
    cbvral3vw.1 $e |- ( x = w -> ( ph <-> ch ) ) $.
    cbvral3vw.2 $e |- ( y = v -> ( ch <-> th ) ) $.
    cbvral3vw.3 $e |- ( z = u -> ( th <-> ps ) ) $.
    $( Change bound variables of triple restricted universal quantification,
       using implicit substitution.  Version of ~ cbvral3v with a disjoint
       variable condition, which does not require ~ ax-13 .  (Contributed by
       NM, 10-May-2005.)  (Revised by Gino Giotto, 10-Jan-2024.) $)
    cbvral3vw $p |- ( A. x e. A A. y e. B A. z e. C ph <->
                     A. w e. A A. v e. B A. u e. C ps ) $=
      ( wral weq 2ralbidv cbvralvw cbvral2vw ralbii bitri ) AGMQFLQZEKQCGMQFLQZ
      HKQBJMQILQZHKQUDUEEHKEHRACFGLMNSTUEUFHKCBDFGIJLMOPUAUBUC $.
    $( $j usage 'cbvral3vw' avoids 'ax-13'; $)
  $}

  ${
    $d x A $.  $d z A $.  $d x y B $.  $d z y B $.  $d w B $.  $d z ph $.
    $d y ps $.  $d x ch $.  $d w ch $.
    cbvral2v.1 $e |- ( x = z -> ( ph <-> ch ) ) $.
    cbvral2v.2 $e |- ( y = w -> ( ch <-> ps ) ) $.
    $( Change bound variables of double restricted universal quantification,
       using implicit substitution.  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  Use the weaker ~ cbvral2vw when
       possible.  (Contributed by NM, 10-Aug-2004.)
       (New usage is discouraged.) $)
    cbvral2v $p |- ( A. x e. A A. y e. B ph <-> A. z e. A A. w e. B ps ) $=
      ( wral weq ralbidv cbvralv ralbii bitri ) AEILZDHLCEILZFHLBGILZFHLRSDFHDF
      MACEIJNOSTFHCBEGIKOPQ $.
  $}

  ${
    $d A x $.  $d A z $.  $d B w $.  $d B x y $.  $d B z y $.  $d ch w $.
    $d ch x $.  $d ph z $.  $d ps y $.
    cbvrex2v.1 $e |- ( x = z -> ( ph <-> ch ) ) $.
    cbvrex2v.2 $e |- ( y = w -> ( ch <-> ps ) ) $.
    $( Change bound variables of double restricted universal quantification,
       using implicit substitution.  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  Use the weaker ~ cbvrex2vw when
       possible.  (Contributed by FL, 2-Jul-2012.)
       (New usage is discouraged.) $)
    cbvrex2v $p |- ( E. x e. A E. y e. B ph <-> E. z e. A E. w e. B ps ) $=
      ( wrex weq rexbidv cbvrexv rexbii bitri ) AEILZDHLCEILZFHLBGILZFHLRSDFHDF
      MACEIJNOSTFHCBEGIKOPQ $.
  $}

  ${
    $d w ph $.  $d z ps $.  $d x ch $.  $d v ch $.  $d y th $.  $d u th $.
    $d x A $.  $d w A $.  $d x y B $.  $d w y B $.  $d v B $.  $d x y z C $.
    $d w y z C $.  $d v z C $.  $d z y C $.  $d z C $.  $d u C $.
    cbvral3v.1 $e |- ( x = w -> ( ph <-> ch ) ) $.
    cbvral3v.2 $e |- ( y = v -> ( ch <-> th ) ) $.
    cbvral3v.3 $e |- ( z = u -> ( th <-> ps ) ) $.
    $( Change bound variables of triple restricted universal quantification,
       using implicit substitution.  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  Use the weaker ~ cbvral3vw when
       possible.  (Contributed by NM, 10-May-2005.)
       (New usage is discouraged.) $)
    cbvral3v $p |- ( A. x e. A A. y e. B A. z e. C ph <->
                     A. w e. A A. v e. B A. u e. C ps ) $=
      ( wral weq 2ralbidv cbvralv cbvral2v ralbii bitri ) AGMQFLQZEKQCGMQFLQZHK
      QBJMQILQZHKQUDUEEHKEHRACFGLMNSTUEUFHKCBDFGIJLMOPUAUBUC $.
  $}

  ${
    $d z x A $.  $d y A $.  $d z y ph $.  $d x y $.
    $( Change bound variable by using a substitution.  Version of ~ cbvralsv
       with a disjoint variable condition, which does not require ~ ax-13 .
       (Contributed by NM, 20-Nov-2005.)  (Revised by Gino Giotto,
       10-Jan-2024.) $)
    cbvralsvw $p |- ( A. x e. A ph <-> A. y e. A [ y / x ] ph ) $=
      ( vz wral wsb nfv nfs1v sbequ12 cbvralw sbequ bitri ) ABDFABEGZEDFABCGZCD
      FANBEDAEHABEIABEJKNOECDNCHOEHAECBLKM $.
    $( $j usage 'cbvralsvw' avoids 'ax-13'; $)
  $}

  ${
    $d z x A $.  $d y z ph $.  $d y A $.  $d x y $.
    $( Change bound variable by using a substitution.  Version of ~ cbvrexsv
       with a disjoint variable condition, which does not require ~ ax-13 .
       (Contributed by NM, 2-Mar-2008.)  (Revised by Gino Giotto,
       10-Jan-2024.) $)
    cbvrexsvw $p |- ( E. x e. A ph <-> E. y e. A [ y / x ] ph ) $=
      ( vz wrex wsb nfv nfs1v sbequ12 cbvrexw sbequ bitri ) ABDFABEGZEDFABCGZCD
      FANBEDAEHABEIABEJKNOECDNCHOEHAECBLKM $.
    $( $j usage 'cbvrexsvw' avoids 'ax-13'; $)
  $}

  ${
    $d z x A $.  $d y A $.  $d z y ph $.
    $( Change bound variable by using a substitution.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ cbvralsvw
       when possible.  (Contributed by NM, 20-Nov-2005.)  (Revised by Andrew
       Salmon, 11-Jul-2011.)  (New usage is discouraged.) $)
    cbvralsv $p |- ( A. x e. A ph <-> A. y e. A [ y / x ] ph ) $=
      ( vz wral wsb nfv nfs1v sbequ12 cbvral nfsb sbequ bitri ) ABDFABEGZEDFABC
      GZCDFAOBEDAEHABEIABEJKOPECDABECACHLPEHAECBMKN $.
  $}

  ${
    $d z x A $.  $d y z ph $.  $d y A $.
    $( Change bound variable by using a substitution.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ cbvrexsvw
       when possible.  (Contributed by NM, 2-Mar-2008.)  (Revised by Andrew
       Salmon, 11-Jul-2011.)  (New usage is discouraged.) $)
    cbvrexsv $p |- ( E. x e. A ph <-> E. y e. A [ y / x ] ph ) $=
      ( vz wrex wsb nfv nfs1v sbequ12 cbvrex nfsb sbequ bitri ) ABDFABEGZEDFABC
      GZCDFAOBEDAEHABEIABEJKOPECDABECACHLPEHAECBMKN $.
  $}

  ${
    $d x y z $.  $d x z ps $.  $d y z ph $.
    sbralie.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Implicit to explicit substitution that swaps variables in a rectrictedly
       universally quantified expression.  (Contributed by NM, 5-Sep-2004.) $)
    sbralie $p |- ( A. x e. y ph <-> [ y / x ] A. y e. x ps ) $=
      ( vz cv wral wsb cbvralsvw sbbii raleq sbievw sbco2vv wb weq bicomd bitri
      equcoms ralbii 3bitrri ) BDCGZHZCDIBDFIZFUBHZCDIUDFDGZHZACUFHZUCUECDBDFUB
      JKUEUGCDUDFUBUFLMUGUDFCIZCUFHUHUDFCUFJUIACUFUIBDCIABDCFNBADCBAOCDCDPABEQS
      MRTRUA $.
  $}

  ${
    rabbiia.1 $e |- ( x e. A -> ( ph <-> ps ) ) $.
    $( Equivalent formulas yield equal restricted class abstractions (inference
       form).  (Contributed by NM, 22-May-1999.) $)
    rabbiia $p |- { x e. A | ph } = { x e. A | ps } $=
      ( cv wcel wa cab crab pm5.32i abbii df-rab 3eqtr4i ) CFDGZAHZCIOBHZCIACDJ
      BCDJPQCOABEKLACDMBCDMN $.
  $}

  ${
    rabbii.1 $e |- ( ph <-> ps ) $.
    $( Equivalent wff's correspond to equal restricted class abstractions.
       Inference form of ~ rabbidv .  (Contributed by Peter Mazsa,
       1-Nov-2019.) $)
    rabbii $p |- { x e. A | ph } = { x e. A | ps } $=
      ( wb cv wcel a1i rabbiia ) ABCDABFCGDHEIJ $.
  $}

  ${
    rabbida.n $e |- F/ x ph $.
    rabbida.1 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal restricted class abstractions (deduction
       form).  Version of ~ rabbidva with disjoint variable condition replaced
       by nonfreeness hypothesis.  (Contributed by BJ, 27-Apr-2019.) $)
    rabbida $p |- ( ph -> { x e. A | ps } = { x e. A | ch } ) $=
      ( wb wral crab wceq cv wcel ex ralrimi rabbi sylib ) ABCHZDEIBDEJCDEJKARD
      EFADLEMRGNOBCDEPQ $.
  $}

  ${
    rabbid.n $e |- F/ x ph $.
    rabbid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Version of ~ rabbidv with disjoint variable condition replaced by
       nonfreeness hypothesis.  (Contributed by BJ, 27-Apr-2019.) $)
    rabbid $p |- ( ph -> { x e. A | ps } = { x e. A | ch } ) $=
      ( wb cv wcel adantr rabbida ) ABCDEFABCHDIEJGKL $.
  $}

  ${
    $d x ph $.
    rabbidva2.1 $e |- ( ph -> ( ( x e. A /\ ps ) <-> ( x e. B /\ ch ) ) ) $.
    $( Equivalent wff's yield equal restricted class abstractions.
       (Contributed by Thierry Arnoux, 4-Feb-2017.) $)
    rabbidva2 $p |- ( ph -> { x e. A | ps } = { x e. B | ch } ) $=
      ( cv wcel wa cab crab abbidv df-rab 3eqtr4g ) ADHZEIBJZDKPFICJZDKBDELCDFL
      AQRDGMBDENCDFNO $.
  $}

  ${
    rabbia2.1 $e |- ( ( x e. A /\ ps ) <-> ( x e. B /\ ch ) ) $.
    $( Equivalent wff's yield equal restricted class abstractions.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    rabbia2 $p |- { x e. A | ps } = { x e. B | ch } $=
      ( crab wceq wtru cv wcel wa wb a1i rabbidva2 mptru ) ACDGBCEGHIABCDECJZDK
      ALQEKBLMIFNOP $.
  $}

  ${
    $d x ph $.
    rabbidva.1 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal restricted class abstractions (deduction
       form).  (Contributed by NM, 28-Nov-2003.)  (Proof shortened by SN,
       3-Dec-2023.) $)
    rabbidva $p |- ( ph -> { x e. A | ps } = { x e. A | ch } ) $=
      ( cv wcel pm5.32da rabbidva2 ) ABCDEEADGEHBCFIJ $.
    $( $j usage 'rabbidva' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)

    $( Obsolete proof of ~ rabbidva as of 4-Dec-2023.  (Contributed by NM,
       28-Nov-2003.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    rabbidvaOLD $p |- ( ph -> { x e. A | ps } = { x e. A | ch } ) $=
      ( wb wral crab wceq ralrimiva rabbi sylib ) ABCGZDEHBDEICDEIJANDEFKBCDELM
      $.
  $}

  ${
    $d x ph $.
    rabbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal restricted class abstractions (deduction
       form).  (Contributed by NM, 10-Feb-1995.) $)
    rabbidv $p |- ( ph -> { x e. A | ps } = { x e. A | ch } ) $=
      ( wb cv wcel adantr rabbidva ) ABCDEABCGDHEIFJK $.
  $}

  ${
    rabeqf.1 $e |- F/_ x A $.
    rabeqf.2 $e |- F/_ x B $.
    $( Equality theorem for restricted class abstractions, with bound-variable
       hypotheses instead of distinct variable restrictions.  (Contributed by
       NM, 7-Mar-2004.) $)
    rabeqf $p |- ( A = B -> { x e. A | ph } = { x e. B | ph } ) $=
      ( wceq cv wcel wa cab crab nfeq eleq2 anbi1d abbid df-rab 3eqtr4g ) CDGZB
      HZCIZAJZBKTDIZAJZBKABCLABDLSUBUDBBCDEFMSUAUCACDTNOPABCQABDQR $.
  $}

  ${
    rabeqi.1 $e |- A = B $.
    $( Equality theorem for restricted class abstractions.  Inference form of
       ~ rabeqf .  (Contributed by Glauco Siliprandi, 26-Jun-2021.)  Avoid
       ~ ax-10 , ~ ax-11 , ~ ax-12 .  (Revised by Gino Giotto, 3-Jun-2024.) $)
    rabeqi $p |- { x e. A | ph } = { x e. B | ph } $=
      ( cv wcel eleq2i anbi1i rabbia2 ) AABCDBFZCGKDGACDKEHIJ $.
    $( $j usage 'rabeqi' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Obsolete version of ~ rabeqi as of 3-Jun-2024.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.)  Avoid ~ ax-10 and ~ ax-11 .  (Revised by Gino
       Giotto, 20-Aug-2023.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    rabeqiOLD $p |- { x e. A | ph } = { x e. B | ph } $=
      ( wceq crab cv wcel wa cab nfth eleq2 anbi1d abbid df-rab 3eqtr4g ax-mp )
      CDFZABCGZABDGZFESBHZCIZAJZBKUBDIZAJZBKTUASUDUFBSBELSUCUEACDUBMNOABCPABDPQ
      R $.
    $( $j usage 'rabeqiOLD' avoids 'ax-10' 'ax-11'; $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Equality theorem for restricted class abstractions.  (Contributed by NM,
       15-Oct-2003.)  Avoid ~ ax-10 , ~ ax-11 , ~ ax-12 .  (Revised by Gino
       Giotto, 20-Aug-2023.) $)
    rabeq $p |- ( A = B -> { x e. A | ph } = { x e. B | ph } ) $=
      ( wceq cv wcel eleq2 anbi1d rabbidva2 ) CDEZAABCDKBFZCGLDGACDLHIJ $.
    $( $j usage 'rabeq' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    rabeqdv.1 $e |- ( ph -> A = B ) $.
    $( Equality of restricted class abstractions.  Deduction form of ~ rabeq .
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    rabeqdv $p |- ( ph -> { x e. A | ps } = { x e. B | ps } ) $=
      ( wceq crab rabeq syl ) ADEGBCDHBCEHGFBCDEIJ $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.
    rabeqbidv.1 $e |- ( ph -> A = B ) $.
    rabeqbidv.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equality of restricted class abstractions.  (Contributed by Jeff Madsen,
       1-Dec-2009.) $)
    rabeqbidv $p |- ( ph -> { x e. A | ps } = { x e. B | ch } ) $=
      ( crab rabeqdv rabbidv eqtrd ) ABDEIBDFICDFIABDEFGJABCDFHKL $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.
    rabeqbidva.1 $e |- ( ph -> A = B ) $.
    rabeqbidva.2 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Equality of restricted class abstractions.  (Contributed by Mario
       Carneiro, 26-Jan-2017.) $)
    rabeqbidva $p |- ( ph -> { x e. A | ps } = { x e. B | ch } ) $=
      ( crab rabbidva rabeqdv eqtrd ) ABDEICDEICDFIABCDEHJACDEFGKL $.
  $}

  ${
    rabeq2i.1 $e |- A = { x e. B | ph } $.
    $( Inference from equality of a class variable and a restricted class
       abstraction.  (Contributed by NM, 16-Feb-2004.) $)
    rabeq2i $p |- ( x e. A <-> ( x e. B /\ ph ) ) $=
      ( cv wcel crab wa eleq2i rabid bitri ) BFZCGMABDHZGMDGAICNMEJABDKL $.
  $}

  $( Swap with a membership relation in a restricted class abstraction.
     (Contributed by NM, 4-Jul-2005.) $)
  rabswap $p |- { x e. A | x e. B } = { x e. B | x e. A } $=
    ( cv wcel ancom rabbia2 ) ADZCEZHBEZABCJIFG $.

  ${
    $d x y z $.  $d A z $.  $d ph z $.  $d ps z $.
    cbvrabw.1 $e |- F/_ x A $.
    cbvrabw.2 $e |- F/_ y A $.
    cbvrabw.3 $e |- F/ y ph $.
    cbvrabw.4 $e |- F/ x ps $.
    cbvrabw.5 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule to change the bound variable in a restricted class abstraction,
       using implicit substitution.  Version of ~ cbvrab with a disjoint
       variable condition, which does not require ~ ax-13 .  (Contributed by
       Andrew Salmon, 11-Jul-2011.)  (Revised by Gino Giotto, 10-Jan-2024.) $)
    cbvrabw $p |- { x e. A | ph } = { y e. A | ps } $=
      ( vz cv wcel wa cab crab wsb nfv nfcri nfan eleq1w sbequ12 anbi12d cbvabw
      nfs1v weq nfsbv sbequ sbiev bitrdi eqtri df-rab 3eqtr4i ) CLEMZANZCOZDLEM
      ZBNZDOZACEPBDEPUPKLEMZACKQZNZKOUSUOVBCKUOKRUTVACCKEFSACKUETCKUFUNUTAVACKE
      UAACKUBUCUDVBURKDUTVADDKEGSACKDHUGTURKRKDUFZUTUQVABKDEUAVCVAACDQBAKDCUHAB
      CDIJUIUJUCUDUKACEULBDEULUM $.
    $( $j usage 'cbvrabw' avoids 'ax-13'; $)
  $}

  ${
    $d x z $.  $d y z $.  $d A z $.  $d ph z $.  $d ps z $.
    cbvrab.1 $e |- F/_ x A $.
    cbvrab.2 $e |- F/_ y A $.
    cbvrab.3 $e |- F/ y ph $.
    cbvrab.4 $e |- F/ x ps $.
    cbvrab.5 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule to change the bound variable in a restricted class abstraction,
       using implicit substitution.  This version has bound-variable hypotheses
       in place of distinct variable conditions.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ cbvrabw
       when possible.  (Contributed by Andrew Salmon, 11-Jul-2011.)  (Revised
       by Mario Carneiro, 9-Oct-2016.)  (New usage is discouraged.) $)
    cbvrab $p |- { x e. A | ph } = { y e. A | ps } $=
      ( vz cv wcel wa cab crab wsb nfv nfcri nfan nfs1v weq eleq1w sbequ12 nfsb
      anbi12d cbvab sbequ sbie bitrdi eqtri df-rab 3eqtr4i ) CLEMZANZCOZDLEMZBN
      ZDOZACEPBDEPUPKLEMZACKQZNZKOUSUOVBCKUOKRUTVACCKEFSACKUATCKUBUNUTAVACKEUCA
      CKUDUFUGVBURKDUTVADDKEGSACKDHUETURKRKDUBZUTUQVABKDEUCVCVAACDQBAKDCUHABCDI
      JUIUJUFUGUKACEULBDEULUM $.
  $}

  ${
    $d x y A $.  $d y ph $.  $d x ps $.
    cbvrabv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule to change the bound variable in a restricted class abstraction,
       using implicit substitution.  (Contributed by NM, 26-May-1999.)  Require
       ` x ` , ` y ` be disjoint to avoid ~ ax-11 and ~ ax-13 .  (Revised by
       Steven Nguyen, 4-Dec-2022.) $)
    cbvrabv $p |- { x e. A | ph } = { y e. A | ps } $=
      ( cv wcel wa cab crab weq eleq1w anbi12d cbvabv df-rab 3eqtr4i ) CGEHZAIZ
      CJDGEHZBIZDJACEKBDEKSUACDCDLRTABCDEMFNOACEPBDEPQ $.
  $}

  ${
    $d x y $.  $d A y $.  $d ch y $.
    rabrabi.1 $e |- ( x = y -> ( ch <-> ph ) ) $.
    $( Abstract builder restricted to another restricted abstract builder with
       implicit substitution.  (Contributed by AV, 2-Aug-2022.)  Avoid
       ~ ax-10 , ~ ax-11 and ~ ax-12 .  (Revised by Gino Giotto,
       12-Oct-2024.) $)
    rabrabi $p |- { x e. { y e. A | ph } | ps } = { x e. A | ( ch /\ ps ) } $=
      ( wa crab cv wcel cab df-rab eleq2i wsb df-clab weq eleq1w wb bitri anass
      bicomd equcoms anbi12d sbievw anbi1i rabbia2 ) BCBHZDAEFIZFDJZUIKZBHUJFKZ
      CHZBHULUHHUKUMBUKUJEJFKZAHZELZKZUMUIUPUJAEFMNUQUOEDOUMUODEPUOUMEDEDQUNULA
      CEDFRACSDEDEQCAGUBUCUDUETTUFULCBUATUG $.
    $( $j usage 'rabrabi' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d A x y $.  $d ph x $.  $d ch y $.
    rabrabiOLD.1 $e |- ( x = y -> ( ch <-> ph ) ) $.
    $( Obsolete version of ~ rabrabi as of 12-Oct-2024.  (Contributed by AV,
       2-Aug-2022.)  Avoid ~ ax-10 and ~ ax-11 .  (Revised by Gino Giotto,
       20-Aug-2023.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    rabrabiOLD $p |-
                   { x e. { y e. A | ph } | ps } = { x e. A | ( ch /\ ps ) } $=
      ( crab wa cbvrabv rabeqi rabrab eqtr3i ) BDCDFHZHBDAEFHZHCBIDFHBDNOCADEFG
      JKCBDFLM $.
    $( $j usage 'rabrabiOLD' avoids 'ax-10' 'ax-11'; $)
  $}

  ${
    $d x A $.  $d x ph $.
    rabeqcda.1 $e |- ( ( ph /\ x e. A ) -> ps ) $.
    $( When ` ps ` is always true in a context, a restricted class abstraction
       is equal to the restricting class.  Deduction form of ~ rabeqc .
       (Contributed by Steven Nguyen, 7-Jun-2023.) $)
    rabeqcda $p |- ( ph -> { x e. A | ps } = A ) $=
      ( crab cv wcel wa cab df-rab ex pm4.71d bicomd abbi1dv eqtrid ) ABCDFCGDH
      ZBIZCJDBCDKARCDAQRAQBAQBELMNOP $.
  $}

  ${
    ralrimia.1 $e |- F/ x ph $.
    ralrimia.2 $e |- ( ( ph /\ x e. A ) -> ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90 (restricted quantifier
       version).  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    ralrimia $p |- ( ph -> A. x e. A ps ) $=
      ( cv wcel ex ralrimi ) ABCDEACGDHBFIJ $.
  $}

  ${
    ralimda.1 $e |- F/ x ph $.
    ralimda.2 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Deduction quantifying both antecedent and consequent.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    ralimda $p |- ( ph -> ( A. x e. A ps -> A. x e. A ch ) ) $=
      ( wral wa nfra1 nfan cv wcel id adantlr rspa adantll sylc ralrimia ex ) A
      BDEHZCDEHAUAIZCDEAUADFBDEJKUBDLEMZIAUCIZBCAUCUDUAUDNOUAUCBABDEPQGRST $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The universal class
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare the symbol for the universal class. $)
  $c _V $.  $( Upright uppercase letter V (for the universal class) $)

  $( Extend class notation to include the universal class symbol. $)
  cvv $a class _V $.

  ${
    $d z x $.  $d z y $.
    $( Justification theorem for ~ df-v .  (Contributed by Rodolfo Medina,
       27-Apr-2010.) $)
    vjust $p |- { x | x = x } = { y | y = y } $=
      ( vz weq cab cv wcel equid vexw 2th eqriv ) CAADZAEZBBDZBEZCFZMGPOGLACAHI
      NBCBHIJK $.
  $}

  $( Define the universal class.  Definition 5.20 of [TakeutiZaring] p. 21.
     Also Definition 2.9 of [Quine] p. 19.  The class ` _V ` can be described
     as the "class of all sets"; ~ vprc proves that ` _V ` is not itself a set
     in ZF. We will frequently use the expression ` A e. _V ` as a short way to
     say " ` A ` is a set", and ~ isset proves that this expression has the
     same meaning as ` E. x x = A ` .

     In well-founded set theories without urelements, like ZF, the class ` _V `
     is equal to the von Neumann universe.  However, the letter "V" does not
     stand for "von Neumann".  The letter "V" was used earlier by Peano in 1889
     for the universe of sets, where the letter V is derived from the Latin
     word "Verum", referring to the true truth constant ` T ` .  Peano's
     notation ` _V ` was adopted by Whitehead and Russell in Principia
     Mathematica for the class of all sets in 1910.

     The class constant ` _V ` is the first class constant introduced in this
     database.  As a constant, as opposed to a variable, it cannot be
     substituted with anything, and in particular it is not part of any
     disjoint variable condition.

     For a general discussion of the theory of classes, see
     ~ mmset.html#class .  See ~ dfv2 for an alternate definition.
     (Contributed by NM, 26-May-1993.) $)
  df-v $a |- _V = { x | x = x } $.

  $( Alternate definition of the universal class (see ~ df-v ).  (Contributed
     by BJ, 30-Nov-2019.) $)
  dfv2 $p |- _V = { x | T. } $=
    ( cvv weq cab wtru df-v equid bitru abbii eqtri ) BAACZADEADAFKEAKAGHIJ $.

  $( All setvar variables are sets (see ~ isset ).  Theorem 6.8 of [Quine]
     p. 43.  A shorter proof is possible from ~ eleq2i but it uses more axioms.
     (Contributed by NM, 26-May-1993.)  Remove use of ~ ax-12 .  (Revised by
     SN, 28-Aug-2023.)  (Proof shortened by BJ, 4-Sep-2024.) $)
  vex $p |- x e. _V $=
    ( cv wtru cab cvv vextru dfv2 eleqtrri ) ABCADEAAFAGH $.

  $( Obsolete version of ~ vex as of 4-Sep-2024.  (Contributed by NM,
     26-May-1993.)  Remove use of ~ ax-12 .  (Revised by SN, 28-Aug-2023.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  vexOLD $p |- x e. _V $=
    ( cv weq cab cvv equid vexw df-v eleqtrri ) ABAACZADEJAAAFGAHI $.

  ${
    elv.1 $e |- ( x e. _V -> ph ) $.
    $( If a proposition is implied by ` x e. _V ` (which is true, see ~ vex ),
       then it is true.  (Contributed by Peter Mazsa, 13-Oct-2018.) $)
    elv $p |- ph $=
      ( cv cvv wcel vex ax-mp ) BDEFABGCH $.
  $}

  ${
    elvd.1 $e |- ( ( ph /\ x e. _V ) -> ps ) $.
    $( If a proposition is implied by ` x e. _V ` (which is true, see ~ vex )
       and another antecedent, then it is implied by that other antecedent.
       Deduction associated with ~ elv .  (Contributed by Peter Mazsa,
       23-Oct-2018.) $)
    elvd $p |- ( ph -> ps ) $=
      ( cv cvv wcel vex mpan2 ) ACEFGBCHDI $.
  $}

  ${
    el2v.1 $e |- ( ( x e. _V /\ y e. _V ) -> ph ) $.
    $( If a proposition is implied by ` x e. _V ` and ` y e. _V ` (which is
       true, see ~ vex ), then it is true.  (Contributed by Peter Mazsa,
       13-Oct-2018.) $)
    el2v $p |- ph $=
      ( cv cvv wcel vex mp2an ) BEFGCEFGABHCHDI $.
  $}

  ${
    $d x A $.
    $( The universe contains every set.  (Contributed by NM, 11-Sep-2006.)
       Remove dependency on ~ ax-10 , ~ ax-11 , ~ ax-13 .  (Revised by BJ,
       10-Aug-2022.) $)
    eqv $p |- ( A = _V <-> A. x x e. A ) $=
      ( cvv wceq cv wcel wb wal dfcleq vex tbt albii bitr4i ) BCDAEZBFZNCFZGZAH
      OAHABCIOQAPOAJKLM $.
    $( $j usage 'eqv' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)
  $}

  ${
    eqvf.1 $e |- F/_ x A $.
    $( The universe contains every set.  (Contributed by BJ, 15-Jul-2021.) $)
    eqvf $p |- ( A = _V <-> A. x x e. A ) $=
      ( cvv wceq cv wcel wb wal nfcv cleqf vex tbt albii bitr4i ) BDEAFZBGZPDGZ
      HZAIQAIABDCADJKQSARQALMNO $.
  $}

  ${
    $d y x $.  $d y ph $.
    $( The class of sets verifying a property is the universal class if and
       only if that property is a tautology.  The reverse implication
       ( ~ bj-abv ) requires fewer axioms.  (Contributed by BJ, 19-Mar-2021.)
       Avoid ~ df-clel , ~ ax-8 .  (Revised by Gino Giotto, 30-Aug-2024.)
       (Proof shortened by BJ, 30-Aug-2024.) $)
    abv $p |- ( { x | ph } = _V <-> A. x ph ) $=
      ( vy cab wtru wceq wsb wal cvv cv wcel wb dfcleq vextru tbt df-clab albii
      bitr3i bitri dfv2 eqeq2i nfv sb8v 3bitr4i ) ABDZEBDZFZABCGZCHZUEIFABHUGCJ
      ZUEKZUJUFKZLZCHUICUEUFMUMUHCUMUKUHULUKBCNOACBPRQSIUFUEBTUAABCACUBUCUD $.
    $( $j usage 'abv' avoids 'df-clel' 'ax-8' 'ax-13'; $)
  $}

  ${
    $d y x $.  $d y ph $.
    $( Alternate proof of ~ abv , shorter but using more axioms.  (Contributed
       by BJ, 19-Mar-2021.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    abvALT $p |- ( { x | ph } = _V <-> A. x ph ) $=
      ( vy cv cab wcel wal wsb cvv wceq df-clab albii eqv nfv sb8v 3bitr4i ) CD
      ABEZFZCGABCHZCGQIJABGRSCACBKLCQMABCACNOP $.
  $}

  ${
    $d x A $.
    $( Two ways to express that " ` A ` is a set":  A class ` A ` is a member
       of the universal class ` _V ` (see ~ df-v ) if and only if the class
       ` A ` exists (i.e., there exists some set ` x ` equal to class ` A ` ).
       Theorem 6.9 of [Quine] p. 43.

       A class ` A ` which is not a set is called a _proper class_.

       _Conventions_:  We will often use the expression " ` A e. _V ` " to
       mean " ` A ` is a set", for example in ~ uniex .  To make some theorems
       more readily applicable, we will also use the more general expression
       ` A e. V ` instead of ` A e. _V ` to mean " ` A ` is a set", typically
       in an antecedent, or in a hypothesis for theorems in deduction form (see
       for instance ~ uniexg compared with ~ uniex ).  That this is more
       general is seen either by substitution (when the variable ` V ` has no
       other occurrences), or by ~ elex .  (Contributed by NM, 26-May-1993.) $)
    isset $p |- ( A e. _V <-> E. x x = A ) $=
      ( cvv wcel cv wceq wa wex dfclel vex biantru exbii bitr4i ) BCDAEZBFZNCDZ
      GZAHOAHABCIOQAPOAJKLM $.
      $( $j usage 'isset' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)
  $}

  ${
    $d A y $.  $d x y $.
    issetf.1 $e |- F/_ x A $.
    $( A version of ~ isset that does not require ` x ` and ` A ` to be
       distinct.  (Contributed by Andrew Salmon, 6-Jun-2011.)  (Revised by
       Mario Carneiro, 10-Oct-2016.) $)
    issetf $p |- ( A e. _V <-> E. x x = A ) $=
      ( vy cvv wcel cv wceq wex isset nfeq2 nfv eqeq1 cbvexv1 bitri ) BEFDGZBHZ
      DIAGZBHZAIDBJQSDAAPBCKSDLPRBMNO $.
  $}

  ${
    $d x A $.
    isseti.1 $e |- A e. _V $.
    $( A way to say " ` A ` is a set" (inference form).  (Contributed by NM,
       24-Jun-1993.)  Remove dependencies on axioms.  (Revised by BJ,
       13-Jul-2019.) $)
    isseti $p |- E. x x = A $=
      ( cvv wcel cv wceq wex elissetv ax-mp ) BDEAFBGAHCABDIJ $.
      $( $j usage 'isseti' avoids 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'ax-ext' 'df-clab' 'df-cleq'; $)
  $}

  ${
    $d x A $.
    issetri.1 $e |- E. x x = A $.
    $( A way to say " ` A ` is a set" (inference form).  (Contributed by NM,
       21-Jun-1993.) $)
    issetri $p |- A e. _V $=
      ( cvv wcel cv wceq wex isset mpbir ) BDEAFBGAHCABIJ $.
  $}

  $( A class equal to a variable is a set.  Note the absence of disjoint
     variable condition, contrary to ~ isset and ~ issetri .  (Contributed by
     BJ, 27-Apr-2019.) $)
  eqvisset $p |- ( x = A -> A e. _V ) $=
    ( cv wceq cvv wcel vex eleq1 mpbii ) ACZBDJEFBEFAGJBEHI $.

  ${
    $d x A $.  $d x B $.
    $( If a class is a member of another class, then it is a set.  Theorem 6.12
       of [Quine] p. 44.  (Contributed by NM, 26-May-1993.)  (Proof shortened
       by Andrew Salmon, 8-Jun-2011.) $)
    elex $p |- ( A e. B -> A e. _V ) $=
      ( vx cv wceq wcel wa wex cvv exsimpl dfclel isset 3imtr4i ) CDZAEZNBFZGCH
      OCHABFAIFOPCJCABKCALM $.
  $}

  ${
    elexi.1 $e |- A e. B $.
    $( If a class is a member of another class, then it is a set.  Inference
       associated with ~ elex .  (Contributed by NM, 11-Jun-1994.) $)
    elexi $p |- A e. _V $=
      ( wcel cvv elex ax-mp ) ABDAEDCABFG $.
  $}

  ${
    elexd.1 $e |- ( ph -> A e. V ) $.
    $( If a class is a member of another class, then it is a set.  Deduction
       associated with ~ elex .  (Contributed by Glauco Siliprandi,
       11-Oct-2020.) $)
    elexd $p |- ( ph -> A e. _V ) $=
      ( wcel cvv elex syl ) ABCEBFEDBCGH $.
  $}

  ${
    $d x A $.  $d x B $.
    $( If a class contains another class, then it contains some set.
       (Contributed by Alan Sare, 25-Sep-2011.) $)
    elex2 $p |- ( A e. B -> E. x x e. B ) $=
      ( wcel cv wceq wi wal wex eleq1a alrimiv elisset exim sylc ) BCDZAEZBFZPC
      DZGZAHQAIRAIOSABCPJKABCLQRAMN $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( If two classes each contain another class, then both contain some set.
       (Contributed by Alan Sare, 24-Oct-2011.) $)
    elex22 $p |- ( ( A e. B /\ A e. C ) -> E. x ( x e. B /\ x e. C ) ) $=
      ( wcel wa cv wceq wi wal eleq1a anim12ii alrimiv elisset adantr exim sylc
      wex ) BCEZBDEZFZAGZBHZUBCEZUBDEZFZIZAJUCARZUFARUAUGASUCUDTUEBCUBKBDUBKLMS
      UHTABCNOUCUFAPQ $.
  $}

  $( A proper class doesn't belong to any class.  (Contributed by Glauco
     Siliprandi, 17-Aug-2020.)  (Proof shortened by AV, 14-Nov-2020.) $)
  prcnel $p |- ( -. A e. _V -> -. A e. V ) $=
    ( wcel cvv elex con3i ) ABCADCABEF $.

  $( A universal quantifier restricted to the universe is unrestricted.
     (Contributed by NM, 26-Mar-2004.) $)
  ralv $p |- ( A. x e. _V ph <-> A. x ph ) $=
    ( cvv wral cv wcel wi wal df-ral vex a1bi albii bitr4i ) ABCDBECFZAGZBHABHA
    BCIAOBNABJKLM $.

  $( An existential quantifier restricted to the universe is unrestricted.
     (Contributed by NM, 26-Mar-2004.) $)
  rexv $p |- ( E. x e. _V ph <-> E. x ph ) $=
    ( cvv wrex cv wcel wa wex df-rex vex biantrur exbii bitr4i ) ABCDBECFZAGZBH
    ABHABCIAOBNABJKLM $.

  $( A unique existential quantifier restricted to the universe is
     unrestricted.  (Contributed by NM, 1-Nov-2010.) $)
  reuv $p |- ( E! x e. _V ph <-> E! x ph ) $=
    ( cvv wreu cv wcel wa weu df-reu vex biantrur eubii bitr4i ) ABCDBECFZAGZBH
    ABHABCIAOBNABJKLM $.

  $( An at-most-one quantifier restricted to the universe is unrestricted.
     (Contributed by Alexander van der Vekens, 17-Jun-2017.) $)
  rmov $p |- ( E* x e. _V ph <-> E* x ph ) $=
    ( cvv wrmo cv wcel wa wmo df-rmo vex biantrur mobii bitr4i ) ABCDBECFZAGZBH
    ABHABCIAOBNABJKLM $.

  $( A class abstraction restricted to the universe is unrestricted.
     (Contributed by NM, 27-Dec-2004.)  (Proof shortened by Andrew Salmon,
     8-Jun-2011.) $)
  rabab $p |- { x e. _V | ph } = { x | ph } $=
    ( cvv crab cv wcel wa cab df-rab vex biantrur abbii eqtr4i ) ABCDBECFZAGZBH
    ABHABCIAOBNABJKLM $.

  ${
    $d x A $.  $d x B $.  $d x y $.  $d x ph $.
    rexcom4b.1 $e |- B e. _V $.
    $( Specialized existential commutation lemma.  (Contributed by Jeff Madsen,
       1-Jun-2011.) $)
    rexcom4b $p |- ( E. x E. y e. A ( ph /\ x = B ) <-> E. y e. A ph ) $=
      ( cv wceq wa wrex wex rexcom4a isseti biantru rexbii bitr4i ) ABGEHZICDJB
      KAQBKZIZCDJACDJAQBCDLASCDRABEFMNOP $.
  $}

  ${
    $d x A $.
    $( Closed theorem version of ~ ceqsalg .  (Contributed by NM, 28-Feb-2013.)
       (Revised by Mario Carneiro, 10-Oct-2016.) $)
    ceqsalt $p |- ( ( F/ x ps /\ A. x ( x = A -> ( ph <-> ps ) ) /\ A e. V )
         -> ( A. x ( x = A -> ph ) <-> ps ) ) $=
      ( wnf cv wceq wb wi wal wcel w3a elisset 3ad2ant3 biimp 3ad2ant2 3ad2ant1
      wex imim3i al2imi 19.23t sylibd biimpr imim2i com23 alimi 19.21t impbid
      mpid mpbid ) BCFZCGDHZABIZJZCKZDELZMZUMAJZCKZBURUTUMCSZBUQULVAUPCDENOURUT
      UMBJZCKZVABJZUPULUTVCJUQUOUSVBCUNABUMABPTUAQULUPVCVDIUQUMBCUBRUCUJURBUSJZ
      CKZBUTJZUPULVFUQUOVECUOUMBAUNBAJUMABUDUEUFUGQULUPVFVGIUQBUSCUHRUKUI $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Restricted quantifier version of ~ ceqsalt .  (Contributed by NM,
       28-Feb-2013.)  (Revised by Mario Carneiro, 10-Oct-2016.) $)
    ceqsralt $p |- ( ( F/ x ps
              /\ A. x ( x = A -> ( ph <-> ps ) ) /\ A e. B )
         -> ( A. x e. B ( x = A -> ph ) <-> ps ) ) $=
      ( wnf cv wceq wb wi wal wcel w3a wral df-ral eleq1 pm5.32ri imbi1i impexp
      wa 3bitr3i albii 19.21v 3bitri a1i biimt 3ad2ant3 ceqsalt 3bitr2d ) BCFZC
      GZDHZABIJCKZDELZMZULAJZCENZUNUPCKZJZURBUQUSIUOUQUKELZUPJZCKUNUPJZCKUSUPCE
      OVAVBCUTULTZAJUNULTZAJVAVBVCVDAULUTUNUKDEPQRUTULASUNULASUAUBUNUPCUCUDUEUN
      UJURUSIUMUNURUFUGABCDEUHUI $.
  $}

  ${
    $d x A $.
    ceqsalg.1 $e |- F/ x ps $.
    ceqsalg.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( A representation of explicit substitution of a class for a variable,
       inferred from an implicit substitution hypothesis.  For an alternate
       proof, see ~ ceqsalgALT .  (Contributed by NM, 29-Oct-2003.)  (Proof
       shortened by BJ, 29-Sep-2019.) $)
    ceqsalg $p |- ( A e. V -> ( A. x ( x = A -> ph ) <-> ps ) ) $=
      ( wnf cv wceq wb wi wal wcel ax-gen ceqsalt mp3an12 ) BCHCIDJZABKLZCMDENR
      ALCMBKFSCGOABCDEPQ $.

    $( Alternate proof of ~ ceqsalg , not using ~ ceqsalt .  (Contributed by
       NM, 29-Oct-2003.)  (Proof shortened by Andrew Salmon, 8-Jun-2011.)
       (Revised by BJ, 29-Sep-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ceqsalgALT $p |- ( A e. V -> ( A. x ( x = A -> ph ) <-> ps ) ) $=
      ( wcel cv wceq wi wal wex elisset nfa1 biimpd a2i sps exlimd syl5com
      biimprcd alrimi impbid1 ) DEHZCIDJZAKZCLZBUDUECMUGBCDENUGUEBCUFCOFUFUEBKC
      UEABUEABGPQRSTBUFCFUEABGUAUBUC $.
  $}

  ${
    $d x A $.
    ceqsal.1 $e |- F/ x ps $.
    ceqsal.2 $e |- A e. _V $.
    ceqsal.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( A representation of explicit substitution of a class for a variable,
       inferred from an implicit substitution hypothesis.  (Contributed by NM,
       18-Aug-1993.) $)
    ceqsal $p |- ( A. x ( x = A -> ph ) <-> ps ) $=
      ( cvv wcel cv wceq wi wal wb ceqsalg ax-mp ) DHICJDKALCMBNFABCDHEGOP $.
  $}

  ${
    $d x A $.  $d x ps $.
    ceqsalv.1 $e |- A e. _V $.
    ceqsalv.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( A representation of explicit substitution of a class for a variable,
       inferred from an implicit substitution hypothesis.  (Contributed by NM,
       18-Aug-1993.)  Avoid ~ ax-12 .  (Revised by SN, 8-Sep-2024.) $)
    ceqsalv $p |- ( A. x ( x = A -> ph ) <-> ps ) $=
      ( cv wceq wi wal wex pm5.74i albii 19.23v wb isseti pm5.5 ax-mp 3bitri )
      CGDHZAIZCJTBIZCJTCKZBIZBUAUBCTABFLMTBCNUCUDBOCDEPUCBQRS $.
    $( $j usage 'ceqsalv' avoids 'ax-12'; $)

    $( Obsolete version of ~ ceqsalv as of 8-Sep-2024.  (Contributed by NM,
       18-Aug-1993.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    ceqsalvOLD $p |- ( A. x ( x = A -> ph ) <-> ps ) $=
      ( nfv ceqsal ) ABCDBCGEFH $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.
    ceqsralv.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Restricted quantifier version of ~ ceqsalv .  (Contributed by NM,
       21-Jun-2013.)  Avoid ~ ax-9 , ~ ax-12 , ~ ax-ext .  (Revised by SN,
       8-Sep-2024.) $)
    ceqsralv $p |- ( A e. B -> ( A. x e. B ( x = A -> ph ) <-> ps ) ) $=
      ( cv wceq wi wral wcel pm5.74i ralbii wrex r19.23v wb risset pm5.5 syl5bb
      sylbi ) CGDHZAIZCEJUABIZCEJZDEKZBUBUCCEUAABFLMUDUACENZBIZUEBUABCEOUEUFUGB
      PCDEQUFBRTSS $.
    $( $j usage 'ceqsralv' avoids 'ax-9' 'ax-12' 'ax-ext'; $)

    $( Obsolete version of ~ ceqsalv as of 8-Sep-2024.  (Contributed by NM,
       21-Jun-2013.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    ceqsralvOLD $p |- ( A e. B -> ( A. x e. B ( x = A -> ph ) <-> ps ) ) $=
      ( wnf cv wceq wb wi wal wcel wral nfv ax-gen ceqsralt mp3an12 ) BCGCHDIZA
      BJKZCLDEMSAKCENBJBCOTCFPABCDEQR $.
  $}

  ${
    $d x ps $.
    gencl.1 $e |- ( th <-> E. x ( ch /\ A = B ) ) $.
    gencl.2 $e |- ( A = B -> ( ph <-> ps ) ) $.
    gencl.3 $e |- ( ch -> ph ) $.
    $( Implicit substitution for class with embedded variable.  (Contributed by
       NM, 17-May-1996.) $)
    gencl $p |- ( th -> ps ) $=
      ( wceq wa wex syl5ib impcom exlimiv sylbi ) DCFGKZLZEMBHSBERCBCARBJINOPQ
      $.
  $}

  ${
    $d x y $.  $d x R $.  $d x ps $.  $d y C $.  $d y S $.  $d y ch $.
    2gencl.1 $e |- ( C e. S <-> E. x e. R A = C ) $.
    2gencl.2 $e |- ( D e. S <-> E. y e. R B = D ) $.
    2gencl.3 $e |- ( A = C -> ( ph <-> ps ) ) $.
    2gencl.4 $e |- ( B = D -> ( ps <-> ch ) ) $.
    2gencl.5 $e |- ( ( x e. R /\ y e. R ) -> ph ) $.
    $( Implicit substitution for class with embedded variable.  (Contributed by
       NM, 17-May-1996.) $)
    2gencl $p |- ( ( C e. S /\ D e. S ) -> ch ) $=
      ( wcel wi cv wceq wrex wa wex df-rex bitri imbi2d ex gencl com12 impcom )
      IKQZHKQZCULBRULCRESJQZUKEGIUKGITZEJUAUMUNUBEUCMUNEJUDUEUNBCULOUFULUMBUMAR
      UMBRDSJQZULDFHULFHTZDJUAUOUPUBDUCLUPDJUDUEUPABUMNUFUOUMAPUGUHUIUHUJ $.
  $}

  ${
    $d x y z $.  $d y z D $.  $d z F $.  $d x y R $.  $d y z S $.  $d x ps $.
    $d y ch $.  $d z th $.
    3gencl.1 $e |- ( D e. S <-> E. x e. R A = D ) $.
    3gencl.2 $e |- ( F e. S <-> E. y e. R B = F ) $.
    3gencl.3 $e |- ( G e. S <-> E. z e. R C = G ) $.
    3gencl.4 $e |- ( A = D -> ( ph <-> ps ) ) $.
    3gencl.5 $e |- ( B = F -> ( ps <-> ch ) ) $.
    3gencl.6 $e |- ( C = G -> ( ch <-> th ) ) $.
    3gencl.7 $e |- ( ( x e. R /\ y e. R /\ z e. R ) -> ph ) $.
    $( Implicit substitution for class with embedded variable.  (Contributed by
       NM, 17-May-1996.) $)
    3gencl $p |- ( ( D e. S /\ F e. S /\ G e. S ) -> th ) $=
      ( wcel wa wi wceq wrex wex df-rex bitri imbi2d 3expia 2gencl com12 3impia
      cv gencl ) KMUCZNMUCZOMUCZDUTURUSUDZDVACUEVADUEGUPLUCZUTGJOUTJOUFZGLUGVBV
      CUDGUHRVCGLUIUJVCCDVAUAUKVAVBCVBAUEVBBUEVBCUEEFHIKNLMPQHKUFABVBSUKINUFBCV
      BTUKEUPLUCFUPLUCVBAUBULUMUNUQUNUO $.
  $}

  ${
    $d x A $.  $d x ps $.
    cgsexg.1 $e |- ( x = A -> ch ) $.
    cgsexg.2 $e |- ( ch -> ( ph <-> ps ) ) $.
    $( Implicit substitution inference for general classes.  (Contributed by
       NM, 26-Aug-2007.) $)
    cgsexg $p |- ( A e. V ->
                     ( E. x ( ch /\ ph ) <-> ps ) ) $=
      ( wcel wa wex biimpa exlimiv cv wceq elisset eximi syl biimprcd ancld
      eximdv syl5com impbid2 ) EFIZCAJZDKZBUEBDCABHLMUDCDKZBUFUDDNEOZDKUGDEFPUH
      CDGQRBCUEDBCACABHSTUAUBUC $.
  $}

  ${
    $d x y ps $.  $d x y A $.  $d x y B $.
    cgsex2g.1 $e |- ( ( x = A /\ y = B ) -> ch ) $.
    cgsex2g.2 $e |- ( ch -> ( ph <-> ps ) ) $.
    $( Implicit substitution inference for general classes.  (Contributed by
       NM, 26-Jul-1995.) $)
    cgsex2g $p |- ( ( A e. V /\ B e. W ) ->
                     ( E. x E. y ( ch /\ ph ) <-> ps ) ) $=
      ( wcel wa wex biimpa exlimivv cv wceq elisset anim12i exdistrv sylibr syl
      2eximi biimprcd ancld 2eximdv syl5com impbid2 ) FHLZGILZMZCAMZENDNZBUMBDE
      CABKOPULCENDNZBUNULDQFRZEQGRZMZENDNZUOULUPDNZUQENZMUSUJUTUKVADFHSEGISTUPU
      QDEUAUBURCDEJUDUCBCUMDEBCACABKUEUFUGUHUI $.
  $}

  ${
    $d x y z w v A $.  $d x y z w v B $.  $d x y z w v C $.  $d x y z w v D $.
    $d x y z w ps $.
    cgsex4g.1 $e |- ( ( ( x = A /\ y = B ) /\ ( z = C /\ w = D ) ) -> ch ) $.
    cgsex4g.2 $e |- ( ch -> ( ph <-> ps ) ) $.
    $( An implicit substitution inference for 4 general classes.  (Contributed
       by NM, 5-Aug-1995.)  Avoid ~ ax-10 , ~ ax-11 .  (Revised by Gino Giotto,
       28-Jun-2024.) $)
    cgsex4g $p |- ( ( ( A e. R /\ B e. S ) /\ ( C e. R /\ D e. S ) ) ->
                    ( E. x E. y E. z E. w ( ch /\ ph ) <-> ps ) ) $=
      ( vv wa wex cv wceq wcel biimpa exlimivv elisset anim12i exdistrv wal weq
      sylibr wn eqeq1 anbi1d anbi2d exbidv notbid alcomiw impbii notbii 2exnaln
      3bitr4i exbii 4exdistrv bitri 2eximi syl biimprcd 2eximdv syl5com impbid2
      ancld ) HLUAZIMUAZQZJLUAZKMUAZQZQZCAQZGRFRZERDRZBVSBDEVRBFGCABOUBUCUCVQCG
      RFRZERDRZBVTVQDSHTZESZITZQZFSZJTZGSKTZQZQZGRZFRZERZDRZWBVQWFERDRZWJGRFRZQ
      ZWOVMWPVPWQVMWCDRZWEERZQWPVKWSVLWTDHLUDEIMUDUEWCWEDEUFUIVPWHFRZWIGRZQWQVN
      XAVOXBFJLUDGKMUDUEWHWIFGUFUIUEWOWLERFRZDRWRWNXCDWLUJZFUGEUGZUJXDEUGFUGZUJ
      WNXCXEXFXEXFXDWFPSZJTZWIQZQZGRZUJEFPFPUHZWLXKXLWKXJGXLWJXIWFXLWHXHWIWGXGJ
      UKULUMUNUOUPXDWCXGITZQZWJQZGRZUJFEPEPUHZWLXPXQWKXOGXQWFXNWJXQWEXMWCWDXGIU
      KUMULUNUOUPUQURWLEFUSWLFEUSUTVAWFWJDEFGVBVCUIWMWADEWKCFGNVDVDVEBWAVSDEBCV
      RFGBCACABOVFVJVGVGVHVI $.
    $( $j usage 'cgsex4g' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.  $d x y z w D $.
    $d x y z w ps $.
    cgsex4gOLD.1 $e |- ( ( ( x = A /\ y = B ) /\ ( z = C /\ w = D ) )
                       -> ch ) $.
    cgsex4gOLD.2 $e |- ( ch -> ( ph <-> ps ) ) $.
    $( Obsolete version of ~ cgsex4g as of 28-Jun-2024.  (Contributed by NM,
       5-Aug-1995.)  Avoid ~ ax-10 .  (Revised by Gino Giotto, 20-Aug-2023.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    cgsex4gOLD $p |- ( ( ( A e. R /\ B e. S ) /\ ( C e. R /\ D e. S ) ) ->
                    ( E. x E. y E. z E. w ( ch /\ ph ) <-> ps ) ) $=
      ( wcel wa wex cv wceq biimpa exlimivv elisset exdistrv sylibr excom exbii
      anim12i 4exdistrv bitri 2eximi syl biimprcd ancld 2eximdv syl5com impbid2
      ) HLPZIMPZQZJLPZKMPZQZQZCAQZGRFRZERDRZBVFBDEVEBFGCABOUAUBUBVDCGRFRZERDRZB
      VGVDDSHTZESITZQZFSJTZGSKTZQZQZGRZFRZERZDRZVIVDVLERDRZVOGRFRZQZVTUTWAVCWBU
      TVJDRZVKERZQWAURWDUSWEDHLUCEIMUCUHVJVKDEUDUEVCVMFRZVNGRZQWBVAWFVBWGFJLUCG
      KMUCUHVMVNFGUDUEUHVTVQERFRZDRWCVSWHDVQEFUFUGVLVODEFGUIUJUEVRVHDEVPCFGNUKU
      KULBVHVFDEBCVEFGBCACABOUMUNUOUOUPUQ $.
    $( $j usage 'cgsex4g' avoids 'ax-10'; $)
  $}

  ${
    $d x A $.
    ceqsex.1 $e |- F/ x ps $.
    ceqsex.2 $e |- A e. _V $.
    ceqsex.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Elimination of an existential quantifier, using implicit substitution.
       (Contributed by NM, 2-Mar-1995.)  (Revised by Mario Carneiro,
       10-Oct-2016.) $)
    ceqsex $p |- ( E. x ( x = A /\ ph ) <-> ps ) $=
      ( cv wceq wa wex biimpa exlimi wal biimprcd alrimi isseti exintr mpisyl
      wi impbii ) CHDIZAJZCKZBUCBCEUBABGLMBUBATZCNUBCKUDBUECEUBABGOPCDFQUBACRSU
      A $.
  $}

  ${
    $d x A $.  $d x ps $.
    ceqsexv.1 $e |- A e. _V $.
    ceqsexv.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Elimination of an existential quantifier, using implicit substitution.
       (Contributed by NM, 2-Mar-1995.)  Avoid ~ ax-12 .  (Revised by Gino
       Giotto, 12-Oct-2024.) $)
    ceqsexv $p |- ( E. x ( x = A /\ ph ) <-> ps ) $=
      ( cv wceq wa wex biimpa exlimiv wal biimprcd alrimiv isseti exintr mpisyl
      wi impbii ) CGDHZAIZCJZBUBBCUAABFKLBUAASZCMUACJUCBUDCUAABFNOCDEPUAACQRT
      $.
    $( $j usage 'ceqsexv' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x A $.  $d x ps $.
    ceqsexvOLD.1 $e |- A e. _V $.
    ceqsexvOLD.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Obsolete version of ~ ceqsexv as of 12-Oct-2024.  (Contributed by NM,
       2-Mar-1995.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ceqsexvOLD $p |- ( E. x ( x = A /\ ph ) <-> ps ) $=
      ( nfv ceqsex ) ABCDBCGEFH $.
  $}

  ${
    $d x A $.  $d x ps $.
    ceqsexv2d.1 $e |- A e. _V $.
    ceqsexv2d.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsexv2d.3 $e |- ps $.
    $( Elimination of an existential quantifier, using implicit substitution.
       (Contributed by Thierry Arnoux, 10-Sep-2016.) $)
    ceqsexv2d $p |- E. x ph $=
      ( cv wceq wa wex ceqsexv biimpri exsimpr mp2b ) BCHDIZAJCKZACKGQBABCDEFLM
      PACNO $.
  $}

  ${
    $d x y A $.  $d x y B $.
    ceqsex2.1 $e |- F/ x ps $.
    ceqsex2.2 $e |- F/ y ch $.
    ceqsex2.3 $e |- A e. _V $.
    ceqsex2.4 $e |- B e. _V $.
    ceqsex2.5 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsex2.6 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( Elimination of two existential quantifiers, using implicit substitution.
       (Contributed by Scott Fenton, 7-Jun-2006.) $)
    ceqsex2 $p |- ( E. x E. y ( x = A /\ y = B /\ ph ) <-> ch ) $=
      ( cv wceq w3a wex wa exbii ceqsex 3anass 19.42v nfan anbi2d exbidv 3bitri
      bitri nfv nfex ) DNFOZENGOZAPZEQZDQUJUKARZEQZRZDQUKBRZEQZCUMUPDUMUJUNRZEQ
      UPULUSEUJUKAUASUJUNEUBUGSUOURDFUQDEUKBDUKDUHHUCUIJUJUNUQEUJABUKLUDUETBCEG
      IKMTUF $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x ps $.  $d y ch $.
    ceqsex2v.1 $e |- A e. _V $.
    ceqsex2v.2 $e |- B e. _V $.
    ceqsex2v.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsex2v.4 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( Elimination of two existential quantifiers, using implicit substitution.
       (Contributed by Scott Fenton, 7-Jun-2006.)  Avoid ~ ax-10 and ~ ax-11 .
       (Revised by Gino Giotto, 20-Aug-2023.) $)
    ceqsex2v $p |- ( E. x E. y ( x = A /\ y = B /\ ph ) <-> ch ) $=
      ( cv wceq w3a wex wa 3anass exbii 19.42v ceqsexv anbi2d exbidv 3bitri
      bitri ) DLFMZELGMZANZEOZDOUEUFAPZEOZPZDOUFBPZEOZCUHUKDUHUEUIPZEOUKUGUNEUE
      UFAQRUEUIESUDRUJUMDFHUEUIULEUEABUFJUAUBTBCEGIKTUC $.
    $( $j usage 'ceqsex2v' avoids 'ax-10' 'ax-11'; $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x ps $.  $d y ch $.
    $d z th $.
    ceqsex3v.1 $e |- A e. _V $.
    ceqsex3v.2 $e |- B e. _V $.
    ceqsex3v.3 $e |- C e. _V $.
    ceqsex3v.4 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsex3v.5 $e |- ( y = B -> ( ps <-> ch ) ) $.
    ceqsex3v.6 $e |- ( z = C -> ( ch <-> th ) ) $.
    $( Elimination of three existential quantifiers, using implicit
       substitution.  (Contributed by NM, 16-Aug-2011.) $)
    ceqsex3v $p |- ( E. x E. y E. z ( ( x = A /\ y = B /\ z = C ) /\ ph )
                 <-> th ) $=
      ( cv wceq wa wex anass 3anass anbi1i df-3an anbi2i 3bitr4i 2exbii 19.42vv
      w3a bitri exbii 3anbi3d 2exbidv ceqsexv ceqsex2v ) EQHRZFQIRZGQJRZUIZASZG
      TFTZETUPUQURAUIZGTFTZSZETZDVAVDEVAUPVBSZGTFTVDUTVFFGUPUQURSZSZASUPVGASZSU
      TVFUPVGAUAUSVHAUPUQURUBUCVBVIUPUQURAUDUEUFUGUPVBFGUHUJUKVEUQURBUIZGTFTZDV
      CVKEHKUPVBVJFGUPABUQURNULUMUNBCDFGIJLMOPUOUJUJ $.
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.  $d x y z w D $.
    $d x ps $.  $d y ch $.  $d z th $.  $d w ta $.
    ceqsex4v.1 $e |- A e. _V $.
    ceqsex4v.2 $e |- B e. _V $.
    ceqsex4v.3 $e |- C e. _V $.
    ceqsex4v.4 $e |- D e. _V $.
    ceqsex4v.7 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsex4v.8 $e |- ( y = B -> ( ps <-> ch ) ) $.
    ceqsex4v.9 $e |- ( z = C -> ( ch <-> th ) ) $.
    ceqsex4v.10 $e |- ( w = D -> ( th <-> ta ) ) $.
    $( Elimination of four existential quantifiers, using implicit
       substitution.  (Contributed by NM, 23-Sep-2011.) $)
    ceqsex4v $p |- ( E. x E. y E. z E. w
          ( ( x = A /\ y = B ) /\ ( z = C /\ w = D ) /\ ph ) <-> ta ) $=
      ( wceq w3a wex 19.42vv 3anass df-3an anbi2i bitr4i 2exbii 3bitr4i 3anbi3d
      cv wa 2exbidv ceqsex2v 3bitri ) FUMJUBZGUMKUBZUNZHUMLUBZIUMMUBZUNZAUCZIUD
      HUDZGUDFUDURUSVAVBAUCZIUDHUDZUCZGUDFUDVAVBCUCZIUDHUDZEVEVHFGUTVFUNZIUDHUD
      UTVGUNVEVHUTVFHIUEVDVKHIVDUTVCAUNZUNVKUTVCAUFVFVLUTVAVBAUGUHUIUJURUSVGUGU
      KUJVGVAVBBUCZIUDHUDVJFGJKNOURVFVMHIURABVAVBRULUOUSVMVIHIUSBCVAVBSULUOUPCD
      EHILMPQTUAUPUQ $.
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u D $.  $d x y z w v u E $.  $d x y z w v u F $.  $d x ps $.
    $d y ch $.  $d z th $.  $d w ta $.  $d v et $.  $d u ze $.
    ceqsex6v.1 $e |- A e. _V $.
    ceqsex6v.2 $e |- B e. _V $.
    ceqsex6v.3 $e |- C e. _V $.
    ceqsex6v.4 $e |- D e. _V $.
    ceqsex6v.5 $e |- E e. _V $.
    ceqsex6v.6 $e |- F e. _V $.
    ceqsex6v.7 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsex6v.8 $e |- ( y = B -> ( ps <-> ch ) ) $.
    ceqsex6v.9 $e |- ( z = C -> ( ch <-> th ) ) $.
    ceqsex6v.10 $e |- ( w = D -> ( th <-> ta ) ) $.
    ceqsex6v.11 $e |- ( v = E -> ( ta <-> et ) ) $.
    ceqsex6v.12 $e |- ( u = F -> ( et <-> ze ) ) $.
    $( Elimination of six existential quantifiers, using implicit substitution.
       (Contributed by NM, 21-Sep-2011.) $)
    ceqsex6v $p |- ( E. x E. y E. z E. w E. v E. u
          ( ( x = A /\ y = B /\ z = C ) /\ ( w = D /\ v = E /\ u = F ) /\ ph )
                 <-> ze ) $=
      ( cv wceq w3a wex wa 3anass 3exbii 19.42vvv bitri anbi2d 3exbidv ceqsex3v
      ) HULNUMZIULOUMZJULPUMZUNZKULQUMLULRUMMULSUMUNZAUNZMUOLUOKUOZJUOIUOHUOVGV
      HAUPZMUOLUOKUOZUPZJUOIUOHUOZGVJVMHIJVJVGVKUPZMUOLUOKUOVMVIVOKLMVGVHAUQURV
      GVKKLMUSUTURVNVHDUPZMUOLUOKUOZGVLVHBUPZMUOLUOKUOVHCUPZMUOLUOKUOVQHIJNOPTU
      AUBVDVKVRKLMVDABVHUFVAVBVEVRVSKLMVEBCVHUGVAVBVFVSVPKLMVFCDVHUHVAVBVCDEFGK
      LMQRSUCUDUEUIUJUKVCUTUT $.
  $}

  ${
    $d x y z w v u t s A $.  $d x y z w v u t s B $.  $d x y z w v u t s C $.
    $d x y z w v u t s D $.  $d x y z w v u t s E $.  $d x y z w v u t s F $.
    $d x y z w v u t s G $.  $d x y z w v u t s H $.  $d x ps $.  $d y ch $.
    $d z th $.  $d w ta $.  $d v et $.  $d u ze $.  $d t si $.  $d s rh $.
    ceqsex8v.1 $e |- A e. _V $.
    ceqsex8v.2 $e |- B e. _V $.
    ceqsex8v.3 $e |- C e. _V $.
    ceqsex8v.4 $e |- D e. _V $.
    ceqsex8v.5 $e |- E e. _V $.
    ceqsex8v.6 $e |- F e. _V $.
    ceqsex8v.7 $e |- G e. _V $.
    ceqsex8v.8 $e |- H e. _V $.
    ceqsex8v.9 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsex8v.10 $e |- ( y = B -> ( ps <-> ch ) ) $.
    ceqsex8v.11 $e |- ( z = C -> ( ch <-> th ) ) $.
    ceqsex8v.12 $e |- ( w = D -> ( th <-> ta ) ) $.
    ceqsex8v.13 $e |- ( v = E -> ( ta <-> et ) ) $.
    ceqsex8v.14 $e |- ( u = F -> ( et <-> ze ) ) $.
    ceqsex8v.15 $e |- ( t = G -> ( ze <-> si ) ) $.
    ceqsex8v.16 $e |- ( s = H -> ( si <-> rh ) ) $.
    $( Elimination of eight existential quantifiers, using implicit
       substitution.  (Contributed by NM, 23-Sep-2011.) $)
    ceqsex8v $p |- ( E. x E. y E. z E. w E. v E. u E. t E. s
              ( ( ( x = A /\ y = B ) /\ ( z = C /\ w = D ) )
         /\ ( ( v = E /\ u = F ) /\ ( t = G /\ s = H ) ) /\ ph ) <-> rh ) $=
      ( cv wceq wa w3a 19.42vv 2exbii bitri 3anass df-3an anbi2i bitr4i 3bitr4i
      wex 3anbi3d 4exbidv ceqsex4v ) JVBQVCZKVBRVCZVDZLVBSVCZMVBTVCZVDZVDZNVBUA
      VCOVBUBVCVDZPVBUCVCUEVBUDVCVDZVDZAVEZUEVNPVNZOVNNVNZMVNLVNZKVNJVNVTWCWEWF
      AVEZUEVNPVNZOVNNVNZVEZMVNLVNZKVNJVNZIWKWPJKWJWOLMWDWLVDZUEVNPVNZOVNNVNZWD
      WNVDZWJWOWTWDWMVDZOVNNVNXAWSXBNOWDWLPUEVFVGWDWMNOVFVHWIWSNOWHWRPUEWHWDWGA
      VDZVDWRWDWGAVIWLXCWDWEWFAVJVKVLVGVGVTWCWNVJVMVGVGWQWEWFEVEZUEVNPVNOVNNVNZ
      IWNWEWFBVEZUEVNPVNOVNNVNWEWFCVEZUEVNPVNOVNNVNWEWFDVEZUEVNPVNOVNNVNXEJKLMQ
      RSTUFUGUHUIVRWLXFNOPUEVRABWEWFUNVOVPVSXFXGNOPUEVSBCWEWFUOVOVPWAXGXHNOPUEW
      ACDWEWFUPVOVPWBXHXDNOPUEWBDEWEWFUQVOVPVQEFGHINOPUEUAUBUCUDUJUKULUMURUSUTV
      AVQVHVH $.
  $}

  ${
    $d x ps $.  $d y ph $.  $d x th $.  $d y ch $.  $d y A $.
    gencbvex.1 $e |- A e. _V $.
    gencbvex.2 $e |- ( A = y -> ( ph <-> ps ) ) $.
    gencbvex.3 $e |- ( A = y -> ( ch <-> th ) ) $.
    gencbvex.4 $e |- ( th <-> E. x ( ch /\ A = y ) ) $.
    $( Change of bound variable using implicit substitution.  (Contributed by
       NM, 17-May-1996.)  (Proof shortened by Andrew Salmon, 8-Jun-2011.) $)
    gencbvex $p |- ( E. x ( ch /\ ph ) <-> E. y ( th /\ ps ) ) $=
      ( cv wceq wa wex excom wb anbi12d bicomd exbii eqcoms ceqsexv simpr eqcom
      19.41v biimpi adantl eximi sylbi adantr ancri impbii bitri 3bitr3i ) FLZG
      MZDBNZNZFOZEOUREOZFOCANZEOUQFOUREFPUSVAEUQVAFGHUQVAQGUOGUOMZVAUQVBCDABJIR
      SUAUBTUTUQFUTUPEOZUQNZUQUPUQEUEVDUQVCUQUCUQVCDVCBDCVBNZEOVCKVEUPEVBUPCVBU
      PGUOUDUFUGUHUIUJUKULUMTUN $.
  $}

  ${
    $d x ps $.  $d y ph $.  $d x th $.  $d y ch $.  $d y A $.
    gencbvex2.1 $e |- A e. _V $.
    gencbvex2.2 $e |- ( A = y -> ( ph <-> ps ) ) $.
    gencbvex2.3 $e |- ( A = y -> ( ch <-> th ) ) $.
    gencbvex2.4 $e |- ( th -> E. x ( ch /\ A = y ) ) $.
    $( Restatement of ~ gencbvex with weaker hypotheses.  (Contributed by Jeff
       Hankins, 6-Dec-2006.) $)
    gencbvex2 $p |- ( E. x ( ch /\ ph ) <-> E. y ( th /\ ps ) ) $=
      ( cv wceq wa wex biimpac exlimiv impbii gencbvex ) ABCDEFGHIJDCGFLMZNZEOK
      UADETCDJPQRS $.
  $}

  ${
    $d x ps $.  $d y ph $.  $d x th $.  $d y ch $.  $d y A $.
    gencbval.1 $e |- A e. _V $.
    gencbval.2 $e |- ( A = y -> ( ph <-> ps ) ) $.
    gencbval.3 $e |- ( A = y -> ( ch <-> th ) ) $.
    gencbval.4 $e |- ( th <-> E. x ( ch /\ A = y ) ) $.
    $( Change of bound variable using implicit substitution.  (Contributed by
       NM, 17-May-1996.) $)
    gencbval $p |- ( A. x ( ch -> ph ) <-> A. y ( th -> ps ) ) $=
      ( wi wal wn wa wex cv wceq notbid exanali gencbvex 3bitr3i con4bii ) CALE
      MZDBLFMZCANZOEPDBNZOFPUDNUENUFUGCDEFGHGFQRABISJKUACAETDBFTUBUC $.
  $}

  ${
    $d A x $.  $d x y $.
    sbhypf.1 $e |- F/ x ps $.
    sbhypf.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Introduce an explicit substitution into an implicit substitution
       hypothesis.  See also ~ csbhypf .  (Contributed by Raph Levien,
       10-Apr-2004.) $)
    sbhypf $p |- ( y = A -> ( [ y / x ] ph <-> ps ) ) $=
      ( cv wceq wa wex wsb wb eqeq1 equsexvw nfs1v nfbi sbequ12 bicomd sylan9bb
      exlimi sylbir ) DHZEIZCHZUCIZUEEIZJZCKACDLZBMZUGUDCDUEUCENOUHUJCUIBCACDPF
      QUFUIAUGBUFAUIACDRSGTUAUB $.
  $}

  ${
    $d z A $.  $d x z $.
    $( Closed theorem form of ~ vtoclgf .  (Contributed by NM, 17-Feb-2013.)
       (Revised by Mario Carneiro, 12-Oct-2016.)  (Proof shortened by JJ,
       11-Aug-2021.)  Avoid ~ ax-13 .  (Revised by Gino Giotto, 6-Oct-2023.) $)
    vtoclgft $p |- ( ( ( F/_ x A /\ F/ x ps )
                  /\ ( A. x ( x = A -> ( ph <-> ps ) )
                     /\ A. x ph ) /\ A e. V ) -> ps ) $=
      ( vz wa cv wceq wb wi wal wex wn weq biimp cbv1v alnex syl5ib imp wnf w3a
      wnfc wcel elisset nfv nfnfc1 nfcvd nfeqd nfnd nfvd eqeq1 a1i notbi syl6ib
      id syl6 equcomi biimpr syl56 impbid 3bitr3g con4bid ad2antrr 3impia com23
      imim2i alanimi 19.23t adantl 3adant3 mpd ) CDUCZBCUAZGZCHZDIZABJZKZCLACLG
      ZDEUDZUBVQCMZBVOVTWAWBVMWAWBKVNVTWAFHZDIZFMZVMWBFDEUEVMWEWBVMWDNZFLZVQNZC
      LZWENWBNVMWGWIVMWFWHFCVMFUFZCDUGZVMWDCVMCWCDVMCWCUHVMUPUIUJZVMWHFUKZVMFCO
      ZWFWHJZWFWHKVMWNWDVQJZWOWNWPKVMWCVPDULUMWDVQUNUOZWFWHPUQQVMWHWFCFWKWJWMWL
      CFOWNVMWOWHWFKCFURWQWFWHUSUTQVAWDFRVQCRVBVCSVDVEVOVTWBBKZWAVOVTWRVTVQBKZC
      LZVOWRVSAWSCVSAWSVSVQABVRABKVQABPVGVFTVHVNWTWRJVMVQBCVIVJSTVKVL $.
    $( $j usage 'vtoclgft' avoids 'ax-13'; $)
  $}

  ${
    vtocld.1 $e |- ( ph -> A e. V ) $.
    vtocld.2 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    vtocld.3 $e |- ( ph -> ps ) $.
    ${
      vtocldf.4 $e |- F/ x ph $.
      vtocldf.5 $e |- ( ph -> F/_ x A ) $.
      vtocldf.6 $e |- ( ph -> F/ x ch ) $.
      $( Implicit substitution of a class for a setvar variable.  (Contributed
         by Mario Carneiro, 15-Oct-2016.) $)
      vtocldf $p |- ( ph -> ch ) $=
        ( wnfc wnf cv wceq wb wi wal alrimi wcel ex vtoclgft syl221anc ) ADEMCD
        NDOEPZBCQZRZDSBDSEFUACKLAUGDJAUEUFHUBTABDJITGBCDEFUCUD $.
    $}

    $d x A $.  $d x ph $.  $d x ch $.
    $( Implicit substitution of a class for a setvar variable.  (Contributed by
       Mario Carneiro, 15-Oct-2016.)  Avoid ~ ax-10 , ~ ax-11 , ~ ax-12 .
       (Revised by SN, 2-Sep-2024.) $)
    vtocld $p |- ( ph -> ch ) $=
      ( cv wceq wcel wex elisset syl wa adantr mpbid exlimddv ) ADJEKZCDAEFLTDM
      GDEFNOATPBCABTIQHRS $.
    $( $j usage 'vtocld' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Obsolete version of ~ vtocld as of 2-Sep-2024.  (Contributed by Mario
       Carneiro, 15-Oct-2016.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    vtocldOLD $p |- ( ph -> ch ) $=
      ( nfv nfcvd nfvd vtocldf ) ABCDEFGHIADJADEKACDLM $.
  $}

  ${
    $d A x $.  $d B x y $.  $d ch x y $.  $d ph x y $.
    vtocl2d.a $e |- ( ph -> A e. V ) $.
    vtocl2d.b $e |- ( ph -> B e. W ) $.
    vtocl2d.1 $e |- ( ( x = A /\ y = B ) -> ( ps <-> ch ) ) $.
    vtocl2d.3 $e |- ( ph -> ps ) $.
    $( Implicit substitution of two classes for two setvar variables.
       (Contributed by Thierry Arnoux, 25-Aug-2020.)  (Revised by BTernaryTau,
       19-Oct-2023.) $)
    vtocl2d $p |- ( ph -> ch ) $=
      ( cv wceq wa adantr wi wb vtocld adantll pm5.74da a1d imp 2thd ) ABCEGIKA
      ENGOZPBCABUFMQAUFCAUFBRUFCRDFHJADNFOZPUFBCUGUFBCSALUAUBABUFMUCTUDUEMT $.
  $}

  ${
    $d x A $.
    vtoclf.1 $e |- F/ x ps $.
    vtoclf.2 $e |- A e. _V $.
    vtoclf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclf.4 $e |- ph $.
    $( Implicit substitution of a class for a setvar variable.  This is a
       generalization of ~ chvar .  (Contributed by NM, 30-Aug-1993.) $)
    vtoclf $p |- ps $=
      ( cv wceq wi isseti biimpd eximii 19.36i mpg ) ABCABCECIDJZABKCCDFLQABGMN
      OHP $.
  $}

  ${
    $d x A $.  $d x ps $.
    vtocl.1 $e |- A e. _V $.
    vtocl.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl.3 $e |- ph $.
    $( Implicit substitution of a class for a setvar variable.  See also
       ~ vtoclALT .  (Contributed by NM, 30-Aug-1993.)  Remove dependency on
       ~ ax-10 .  (Revised by BJ, 29-Nov-2020.)  (Proof shortened by SN,
       20-Apr-2024.) $)
    vtocl $p |- ps $=
      ( cv wceq mpbii isseti exlimiiv ) CHDIZBCMABGFJCDEKL $.

    $( Alternate proof of ~ vtocl .  Shorter but requires more axioms.
       (Contributed by NM, 30-Aug-1993.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    vtoclALT $p |- ps $=
      ( nfv vtoclf ) ABCDBCHEFGI $.
  $}

  ${
    $d x y $.  $d x A $.  $d x y B $.  $d x y ps $.
    vtocl2.1 $e |- A e. _V $.
    vtocl2.2 $e |- B e. _V $.
    vtocl2.3 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    vtocl2.4 $e |- ph $.
    $( Implicit substitution of classes for setvar variables.  (Contributed by
       NM, 26-Jul-1995.)  (Proof shortened by Andrew Salmon, 8-Jun-2011.) $)
    vtocl2 $p |- ps $=
      ( cv wceq a1i wi pm5.74da vtocl 2thd ) ABDFHDKFLZABARJMZRANRBNCEGCKELRABI
      OSPQJP $.
  $}

  ${
    $d x y $.  $d x A $.  $d x y B $.  $d x y z C $.  $d x y z ps $.
    vtocl3.1 $e |- A e. _V $.
    vtocl3.2 $e |- B e. _V $.
    vtocl3.3 $e |- C e. _V $.
    vtocl3.4 $e |- ( ( x = A /\ y = B /\ z = C ) -> ( ph <-> ps ) ) $.
    vtocl3.5 $e |- ph $.
    $( Implicit substitution of classes for setvar variables.  (Contributed by
       NM, 3-Jun-1995.)  (Proof shortened by Andrew Salmon, 8-Jun-2011.)  Avoid
       ~ ax-10 and ~ ax-11 .  (Revised by Gino Giotto, 20-Aug-2023.)  (Proof
       shortened by Wolf Lammen, 23-Aug-2023.) $)
    vtocl3 $p |- ps $=
      ( cv wceq a1i wi wa wb 3expa pm5.74da vtocl2 2thd vtocl ) ABEHKENHOZABAUE
      MPZUEAQUEBQCDFGIJCNFOZDNGOZRUEABUGUHUEABSLTUAUFUBUCMUD $.
    $( $j usage 'vtocl3' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x A $.  $d x ch $.  $d x th $.
    vtoclb.1 $e |- A e. _V $.
    vtoclb.2 $e |- ( x = A -> ( ph <-> ch ) ) $.
    vtoclb.3 $e |- ( x = A -> ( ps <-> th ) ) $.
    vtoclb.4 $e |- ( ph <-> ps ) $.
    $( Implicit substitution of a class for a setvar variable.  (Contributed by
       NM, 23-Dec-1993.) $)
    vtoclb $p |- ( ch <-> th ) $=
      ( wb cv wceq bibi12d vtocl ) ABKCDKEFGELFMACBDHINJO $.
  $}

  ${
    vtoclgf.1 $e |- F/_ x A $.
    vtoclgf.2 $e |- F/ x ps $.
    vtoclgf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclgf.4 $e |- ph $.
    $( Implicit substitution of a class for a setvar variable, with
       bound-variable hypotheses in place of disjoint variable restrictions.
       (Contributed by NM, 21-Sep-2003.)  (Proof shortened by Mario Carneiro,
       10-Oct-2016.) $)
    vtoclgf $p |- ( A e. V -> ps ) $=
      ( wcel cvv elex cv wceq wex issetf mpbii exlimi sylbi syl ) DEJDKJZBDELUA
      CMDNZCOBCDFPUBBCGUBABIHQRST $.
  $}

  ${
    $d x A $.
    vtoclg1f.nf $e |- F/ x ps $.
    vtoclg1f.maj $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclg1f.min $e |- ph $.
    $( Version of ~ vtoclgf with one nonfreeness hypothesis replaced with a
       disjoint variable condition, thus avoiding dependency on ~ ax-11 and
       ~ ax-13 .  (Contributed by BJ, 1-May-2019.) $)
    vtoclg1f $p |- ( A e. V -> ps ) $=
      ( wcel cv wceq wex elisset mpbii exlimi syl ) DEICJDKZCLBCDEMQBCFQABHGNOP
      $.
  $}

  ${
    $d x A $.  $d x ps $.
    vtoclg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclg.2 $e |- ph $.
    $( Implicit substitution of a class expression for a setvar variable.
       (Contributed by NM, 17-Apr-1995.)  Avoid ~ ax-12 .  (Revised by SN,
       20-Apr-2024.) $)
    vtoclg $p |- ( A e. V -> ps ) $=
      ( wcel cv wceq wex elisset mpbii exlimiv syl ) DEHCIDJZCKBCDELPBCPABGFMNO
      $.
  $}

  ${
    $d x A $.  $d x ps $.
    vtoclgOLD.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclgOLD.2 $e |- ph $.
    $( Obsolete version of ~ vtoclg as of 20-Apr-2024.  (Contributed by NM,
       17-Apr-1995.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    vtoclgOLD $p |- ( A e. V -> ps ) $=
      ( nfv vtoclg1f ) ABCDEBCHFGI $.
  $}

  ${
    $d x A $.  $d x ch $.  $d x th $.
    vtoclbg.1 $e |- ( x = A -> ( ph <-> ch ) ) $.
    vtoclbg.2 $e |- ( x = A -> ( ps <-> th ) ) $.
    vtoclbg.3 $e |- ( ph <-> ps ) $.
    $( Implicit substitution of a class for a setvar variable.  (Contributed by
       NM, 29-Apr-1994.) $)
    vtoclbg $p |- ( A e. V -> ( ch <-> th ) ) $=
      ( wb cv wceq bibi12d vtoclg ) ABKCDKEFGELFMACBDHINJO $.
  $}

  ${
    vtocl2gf.1 $e |- F/_ x A $.
    vtocl2gf.2 $e |- F/_ y A $.
    vtocl2gf.3 $e |- F/_ y B $.
    vtocl2gf.4 $e |- F/ x ps $.
    vtocl2gf.5 $e |- F/ y ch $.
    vtocl2gf.6 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl2gf.7 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl2gf.8 $e |- ph $.
    $( Implicit substitution of a class for a setvar variable.  (Contributed by
       NM, 25-Apr-1995.) $)
    vtocl2gf $p |- ( ( A e. V /\ B e. W ) -> ch ) $=
      ( wcel cvv wi elex nfel1 nfim cv wceq imbi2d vtoclgf mpan9 ) FHRFSRZGIRCF
      HUAUIBTUICTEGILUICEEFSKUBNUCEUDGUEBCUIPUFABDFSJMOQUGUGUH $.
  $}

  ${
    vtocl3gf.a $e |- F/_ x A $.
    vtocl3gf.b $e |- F/_ y A $.
    vtocl3gf.c $e |- F/_ z A $.
    vtocl3gf.d $e |- F/_ y B $.
    vtocl3gf.e $e |- F/_ z B $.
    vtocl3gf.f $e |- F/_ z C $.
    vtocl3gf.1 $e |- F/ x ps $.
    vtocl3gf.2 $e |- F/ y ch $.
    vtocl3gf.3 $e |- F/ z th $.
    vtocl3gf.4 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl3gf.5 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl3gf.6 $e |- ( z = C -> ( ch <-> th ) ) $.
    vtocl3gf.7 $e |- ph $.
    $( Implicit substitution of a class for a setvar variable.  (Contributed by
       NM, 10-Aug-2013.)  (Revised by Mario Carneiro, 10-Oct-2016.) $)
    vtocl3gf $p |- ( ( A e. V /\ B e. W /\ C e. X ) -> th ) $=
      ( wcel cvv wa elex wi nfel1 nfim wceq imbi2d vtoclgf vtocl2gf mpan9 3impb
      cv ) HKUGZILUGZJMUGZDVAHUHUGZVBVCUIDHKUJVDBUKVDCUKVDDUKFGIJLMQRSVDCFFHUHO
      ULUAUMVDDGGHUHPULUBUMFUTIUNBCVDUDUOGUTJUNCDVDUEUOABEHUHNTUCUFUPUQURUS $.
  $}

  ${
    $d x A $.  $d y A $.  $d y B $.  $d x ps $.  $d y ch $.
    vtocl2g.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl2g.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl2g.3 $e |- ph $.
    $( Implicit substitution of 2 classes for 2 setvar variables.  (Contributed
       by NM, 25-Apr-1995.)  Remove dependency on ~ ax-10 , ~ ax-11 , and
       ~ ax-13 .  (Revised by Steven Nguyen, 29-Nov-2022.) $)
    vtocl2g $p |- ( ( A e. V /\ B e. W ) -> ch ) $=
      ( wcel cvv elex wi cv wceq imbi2d vtoclg mpan9 ) FHMFNMZGIMCFHOUBBPUBCPEG
      IEQGRBCUBKSABDFNJLTTUA $.
  $}

  ${
    $d x A $.  $d y A $.  $d z A $.  $d y B $.  $d z B $.  $d z C $.
    $d x ps $.  $d y ch $.  $d z th $.
    vtocl3g.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl3g.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl3g.3 $e |- ( z = C -> ( ch <-> th ) ) $.
    vtocl3g.4 $e |- ph $.
    $( Implicit substitution of a class for a setvar variable.  Version of
       ~ vtocl3gf with disjoint variable conditions instead of nonfreeness
       hypotheses, requiring fewer axioms.  (Contributed by Gino Giotto,
       3-Oct-2024.) $)
    vtocl3g $p |- ( ( A e. V /\ B e. W /\ C e. X ) -> th ) $=
      ( wcel cvv wi wa elex cv wceq imbi2d vtoclg vtocl2g mpan9 3impb ) HKRZILR
      ZJMRZDUJHSRZUKULUADHKUBUMBTUMCTUMDTFGIJLMFUCIUDBCUMOUEGUCJUDCDUMPUEABEHSN
      QUFUGUHUI $.
    $( $j usage 'vtocl3g' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x B $.
    vtoclgaf.1 $e |- F/_ x A $.
    vtoclgaf.2 $e |- F/ x ps $.
    vtoclgaf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclgaf.4 $e |- ( x e. B -> ph ) $.
    $( Implicit substitution of a class for a setvar variable.  (Contributed by
       NM, 17-Feb-2006.)  (Revised by Mario Carneiro, 10-Oct-2016.) $)
    vtoclgaf $p |- ( A e. B -> ps ) $=
      ( wcel cv wi nfel1 nfim wceq eleq1 imbi12d vtoclgf pm2.43i ) DEJZBCKZEJZA
      LTBLCDEFTBCCDEFMGNUADOUBTABUADEPHQIRS $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.
    vtoclga.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclga.2 $e |- ( x e. B -> ph ) $.
    $( Implicit substitution of a class for a setvar variable.  (Contributed by
       NM, 20-Aug-1995.)  Avoid ~ ax-10 and ~ ax-11 .  (Revised by Gino Giotto,
       20-Aug-2023.) $)
    vtoclga $p |- ( A e. B -> ps ) $=
      ( wcel cv wi wceq eleq1 imbi12d vtoclg pm2.43i ) DEHZBCIZEHZAJPBJCDEQDKRP
      ABQDELFMGNO $.
    $( $j usage 'vtoclga' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x y D $.  $d x ps $.  $d y ch $.
    vtocl2ga.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl2ga.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl2ga.3 $e |- ( ( x e. C /\ y e. D ) -> ph ) $.
    $( Implicit substitution of 2 classes for 2 setvar variables.  (Contributed
       by NM, 20-Aug-1995.)  Avoid ~ ax-10 and ~ ax-11 .  (Revised by Gino
       Giotto, 20-Aug-2023.)  (Proof shortened by Wolf Lammen, 23-Aug-2023.) $)
    vtocl2ga $p |- ( ( A e. C /\ B e. D ) -> ch ) $=
      ( wcel wi cv wceq imbi2d ex vtoclga com12 impcom ) GIMFHMZCUBBNUBCNEGIEOZ
      GPBCUBKQUBUCIMZBUDANUDBNDFHDOZFPABUDJQUEHMUDALRSTSUA $.
    $( $j usage 'vtocl2ga' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x y C $.  $d x y D $.
    vtocl2gaf.a $e |- F/_ x A $.
    vtocl2gaf.b $e |- F/_ y A $.
    vtocl2gaf.c $e |- F/_ y B $.
    vtocl2gaf.1 $e |- F/ x ps $.
    vtocl2gaf.2 $e |- F/ y ch $.
    vtocl2gaf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl2gaf.4 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl2gaf.5 $e |- ( ( x e. C /\ y e. D ) -> ph ) $.
    $( Implicit substitution of 2 classes for 2 setvar variables.  (Contributed
       by NM, 10-Aug-2013.) $)
    vtocl2gaf $p |- ( ( A e. C /\ B e. D ) -> ch ) $=
      ( wcel wa wi cv nfel1 nfan nfim wceq eleq1 anbi1d imbi12d anbi2d vtocl2gf
      nfv pm2.43i ) FHRZGIRZSZCDUAZHRZEUAZIRZSZATUMUSSZBTUOCTDEFGHIJKLVABDUMUSD
      DFHJUBUSDUKUCMUDUOCEUMUNEEFHKUBEGILUBUCNUDUPFUEZUTVAABVBUQUMUSUPFHUFUGOUH
      URGUEZVAUOBCVCUSUNUMURGIUFUIPUHQUJUL $.
  $}

  ${
    $d x y z R $.  $d x y z S $.  $d x y z T $.
    vtocl3gaf.a $e |- F/_ x A $.
    vtocl3gaf.b $e |- F/_ y A $.
    vtocl3gaf.c $e |- F/_ z A $.
    vtocl3gaf.d $e |- F/_ y B $.
    vtocl3gaf.e $e |- F/_ z B $.
    vtocl3gaf.f $e |- F/_ z C $.
    vtocl3gaf.1 $e |- F/ x ps $.
    vtocl3gaf.2 $e |- F/ y ch $.
    vtocl3gaf.3 $e |- F/ z th $.
    vtocl3gaf.4 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl3gaf.5 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl3gaf.6 $e |- ( z = C -> ( ch <-> th ) ) $.
    vtocl3gaf.7 $e |- ( ( x e. R /\ y e. S /\ z e. T ) -> ph ) $.
    $( Implicit substitution of 3 classes for 3 setvar variables.  (Contributed
       by NM, 10-Aug-2013.)  (Revised by Mario Carneiro, 11-Oct-2016.) $)
    vtocl3gaf $p |- ( ( A e. R /\ B e. S /\ C e. T ) -> th ) $=
      ( wcel w3a cv nfel1 nf3an nfim wceq eleq1 3anbi1d imbi12d 3anbi2d 3anbi3d
      wi nfv vtocl3gf pm2.43i ) HKUGZILUGZJMUGZUHZDEUIZKUGZFUIZLUGZGUIZMUGZUHZA
      USVCVJVLUHZBUSVCVDVLUHZCUSVFDUSEFGHIJKLMNOPQRSVNBEVCVJVLEEHKNUJVJEUTVLEUT
      UKTULVOCFVCVDVLFFHKOUJFILQUJVLFUTUKUAULVFDGVCVDVEGGHKPUJGILRUJGJMSUJUKUBU
      LVGHUMZVMVNABVPVHVCVJVLVGHKUNUOUCUPVIIUMZVNVOBCVQVJVDVCVLVIILUNUQUDUPVKJU
      MZVOVFCDVRVLVEVCVDVKJMUNURUEUPUFVAVB $.
  $}

  ${
    $d x y z A $.  $d y z B $.  $d z C $.  $d x y z D $.  $d x y z R $.
    $d x y z S $.  $d x ps $.  $d y ch $.  $d z th $.
    vtocl3ga.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl3ga.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl3ga.3 $e |- ( z = C -> ( ch <-> th ) ) $.
    vtocl3ga.4 $e |- ( ( x e. D /\ y e. R /\ z e. S ) -> ph ) $.
    $( Implicit substitution of 3 classes for 3 setvar variables.  (Contributed
       by NM, 20-Aug-1995.)  Reduce axiom usage.  (Revised by Gino Giotto,
       3-Oct-2024.) $)
    vtocl3ga $p |- ( ( A e. D /\ B e. R /\ C e. S ) -> th ) $=
      ( wcel w3a wi wceq eleq1 3anbi1d imbi12d 3anbi2d 3anbi3d vtocl3g pm2.43i
      cv ) HKRZILRZJMRZSZDEUIZKRZFUIZLRZGUIZMRZSZATUJUQUSSZBTUJUKUSSZCTUMDTEFGH
      IJKLMUNHUAZUTVAABVCUOUJUQUSUNHKUBUCNUDUPIUAZVAVBBCVDUQUKUJUSUPILUBUEOUDUR
      JUAZVBUMCDVEUSULUJUKURJMUBUFPUDQUGUH $.
    $( $j usage 'vtocl3ga' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x y z A $.  $d y z B $.  $d z C $.  $d x y z D $.  $d x y z R $.
    $d x y z S $.  $d x ps $.  $d y ch $.  $d z th $.
    vtocl3gaOLD.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl3gaOLD.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl3gaOLD.3 $e |- ( z = C -> ( ch <-> th ) ) $.
    vtocl3gaOLD.4 $e |- ( ( x e. D /\ y e. R /\ z e. S ) -> ph ) $.
    $( Obsolete version of ~ vtocl3ga as of 3-Oct-2024.  (Contributed by NM,
       20-Aug-1995.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    vtocl3gaOLD $p |- ( ( A e. D /\ B e. R /\ C e. S ) -> th ) $=
      ( nfcv nfv vtocl3gaf ) ABCDEFGHIJKLMEHRFHRGHRFIRGIRGJRBESCFSDGSNOPQT $.
  $}

  ${
    $d A x $.  $d A y $.  $d B y $.  $d ps x $.  $d ch y $.  $d C z $.
    $d C w $.  $d D w $.  $d A z $.  $d Q z $.  $d B z $.  $d R z $.
    $d rh z $.  $d A w $.  $d Q w $.  $d B w $.  $d R w $.  $d th w $.
    vtocl4g.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl4g.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl4g.3 $e |- ( z = C -> ( ch <-> rh ) ) $.
    vtocl4g.4 $e |- ( w = D -> ( rh <-> th ) ) $.
    vtocl4g.5 $e |- ph $.
    $( Implicit substitution of 4 classes for 4 setvar variables.  (Contributed
       by AV, 22-Jan-2019.) $)
    vtocl4g $p |- ( ( ( A e. Q /\ B e. R )
                     /\ ( C e. S /\ D e. T ) ) -> th ) $=
      ( wcel wa wi cv wceq imbi2d vtocl2g impcom ) LPUCMQUCUDJNUCKOUCUDZDUKCUEU
      KEUEUKDUEHILMPQHUFLUGCEUKTUHIUFMUGEDUKUAUHABCFGJKNORSUBUIUIUJ $.
  $}

  ${
    $d w x y z A $.  $d w y z B $.  $d w z C $.  $d w D $.  $d w x y z R $.
    $d w x y z S $.  $d w x y z T $.  $d w x y z Q $.  $d x ps $.  $d z rh $.
    $d w th $.  $d y ch $.
    vtocl4ga.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl4ga.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl4ga.3 $e |- ( z = C -> ( ch <-> rh ) ) $.
    vtocl4ga.4 $e |- ( w = D -> ( rh <-> th ) ) $.
    vtocl4ga.5 $e |- ( ( ( x e. Q /\ y e. R )
                         /\ ( z e. S /\ w e. T ) ) -> ph ) $.
    $( Implicit substitution of 4 classes for 4 setvar variables.  (Contributed
       by AV, 22-Jan-2019.) $)
    vtocl4ga $p |- ( ( ( A e. Q /\ B e. R )
                       /\ ( C e. S /\ D e. T ) ) -> th ) $=
      ( wcel wa cv wi wceq eleq1 anbi1d imbi12d anbi2d vtocl4g pm2.43i ) JNUCZK
      OUCZUDZLPUCZMQUCZUDZUDZDFUEZNUCZGUEZOUCZUDZHUEZPUCZIUEZQUCZUDZUDZAUFUNVDU
      DZVJUDZBUFUPVJUDZCUFUTDUFUPUQVIUDZUDZEUFFGHIJKLMNOPQVAJUGZVKVMABVQVEVLVJV
      QVBUNVDVAJNUHUIUIRUJVCKUGZVMVNBCVRVLUPVJVRVDUOUNVCKOUHUKUISUJVFLUGZVNVPCE
      VSVJVOUPVSVGUQVIVFLPUHUIUKTUJVHMUGZVPUTEDVTVOUSUPVTVIURUQVHMQUHUKUKUAUJUB
      ULUM $.
  $}

  ${
    $d x A $.  $d x ph $.
    vtocleg.1 $e |- ( x = A -> ph ) $.
    $( Implicit substitution of a class for a setvar variable.  (Contributed by
       NM, 21-Jun-1993.) $)
    vtocleg $p |- ( A e. V -> ph ) $=
      ( wcel cv wceq wex elisset exlimiv syl ) CDFBGCHZBIABCDJMABEKL $.
  $}

  ${
    $d x A $.
    $( Implicit substitution of a class for a setvar variable.  (Closed theorem
       version of ~ vtoclef .)  (Contributed by NM, 7-Nov-2005.)  (Revised by
       Mario Carneiro, 11-Oct-2016.) $)
    vtoclegft $p |- ( ( A e. B /\ F/ x ph /\
                   A. x ( x = A -> ph ) ) -> ph ) $=
      ( wcel wnf cv wceq wi wal w3a wex elisset mpan9 3adant2 wb 19.9t 3ad2ant2
      exim mpbid ) CDEZABFZBGCHZAIBJZKABLZAUAUDUEUBUAUCBLUDUEBCDMUCABSNOUBUAUEA
      PUDABQRT $.
  $}

  ${
    $d x A $.
    vtoclef.1 $e |- F/ x ph $.
    vtoclef.2 $e |- A e. _V $.
    vtoclef.3 $e |- ( x = A -> ph ) $.
    $( Implicit substitution of a class for a setvar variable.  (Contributed by
       NM, 18-Aug-1993.) $)
    vtoclef $p |- ph $=
      ( cv wceq wex isseti exlimi ax-mp ) BGCHZBIABCEJMABDFKL $.
  $}

  ${
    $d x A $.  $d x ph $.
    vtocle.1 $e |- A e. _V $.
    vtocle.2 $e |- ( x = A -> ph ) $.
    $( Implicit substitution of a class for a setvar variable.  (Contributed by
       NM, 9-Sep-1993.) $)
    vtocle $p |- ph $=
      ( cvv wcel vtocleg ax-mp ) CFGADABCFEHI $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.
    vtoclri.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclri.2 $e |- A. x e. B ph $.
    $( Implicit substitution of a class for a setvar variable.  (Contributed by
       NM, 21-Nov-1994.) $)
    vtoclri $p |- ( A e. B -> ps ) $=
      ( rspec vtoclga ) ABCDEFACEGHI $.
  $}

  ${
    spcimgft.1 $e |- F/ x ps $.
    spcimgft.2 $e |- F/_ x A $.
    $( A closed version of ~ spcimgf .  (Contributed by Mario Carneiro,
       4-Jan-2017.) $)
    spcimgft $p |- ( A. x ( x = A -> ( ph -> ps ) ) -> ( A e. B ->
                      ( A. x ph -> ps ) ) ) $=
      ( wcel cvv cv wceq wi wal elex wex issetf exim syl5bi 19.36 syl6ib syl5 )
      DEHDIHZCJDKZABLZLCMZACMBLZDENUEUBUDCOZUFUBUCCOUEUGCDGPUCUDCQRABCFSTUA $.

    $( A closed version of ~ spcgf .  (Contributed by Andrew Salmon,
       6-Jun-2011.)  (Revised by Mario Carneiro, 4-Jan-2017.) $)
    spcgft $p |- ( A. x ( x = A -> ( ph <-> ps ) ) -> ( A e. B ->
                      ( A. x ph -> ps ) ) ) $=
      ( cv wceq wb wi wal wcel biimp imim2i alimi spcimgft syl ) CHDIZABJZKZCLS
      ABKZKZCLDEMACLBKKUAUCCTUBSABNOPABCDEFGQR $.
  $}

  ${
    spcimgf.1 $e |- F/_ x A $.
    spcimgf.2 $e |- F/ x ps $.
    ${
      spcimgf.3 $e |- ( x = A -> ( ph -> ps ) ) $.
      $( Rule of specialization, using implicit substitution.  Compare Theorem
         7.3 of [Quine] p. 44.  (Contributed by Mario Carneiro, 4-Jan-2017.) $)
      spcimgf $p |- ( A e. V -> ( A. x ph -> ps ) ) $=
        ( cv wceq wi wcel wal spcimgft mpg ) CIDJABKKDELACMBKKCABCDEGFNHO $.
    $}

    spcimegf.3 $e |- ( x = A -> ( ps -> ph ) ) $.
    $( Existential specialization, using implicit substitution.  (Contributed
       by Mario Carneiro, 4-Jan-2017.) $)
    spcimegf $p |- ( A e. V -> ( ps -> E. x ph ) ) $=
      ( wcel wn wal wex nfn cv wceq con3d spcimgf con2d df-ex syl6ibr ) DEIZBAJ
      ZCKZJACLUAUCBUBBJCDEFBCGMCNDOBAHPQRACST $.
  $}

  ${
    spcgf.1 $e |- F/_ x A $.
    spcgf.2 $e |- F/ x ps $.
    spcgf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Rule of specialization, using implicit substitution.  Compare Theorem
       7.3 of [Quine] p. 44.  (Contributed by NM, 2-Feb-1997.)  (Revised by
       Andrew Salmon, 12-Aug-2011.) $)
    spcgf $p |- ( A e. V -> ( A. x ph -> ps ) ) $=
      ( cv wceq wb wi wcel wal spcgft mpg ) CIDJABKLDEMACNBLLCABCDEGFOHP $.

    $( Existential specialization, using implicit substitution.  (Contributed
       by NM, 2-Feb-1997.) $)
    spcegf $p |- ( A e. V -> ( ps -> E. x ph ) ) $=
      ( wcel wn wal wex nfn cv wceq notbid spcgf con2d df-ex syl6ibr ) DEIZBAJZ
      CKZJACLUAUCBUBBJCDEFBCGMCNDOABHPQRACST $.
  $}

  ${
    $d x A $.  $d x ph $.  $d x ch $.
    spcimdv.1 $e |- ( ph -> A e. B ) $.
    ${
      spcimdv.2 $e |- ( ( ph /\ x = A ) -> ( ps -> ch ) ) $.
      $( Restricted specialization, using implicit substitution.  (Contributed
         by Mario Carneiro, 4-Jan-2017.)  Avoid ~ ax-10 and ~ ax-11 .  (Revised
         by Gino Giotto, 20-Aug-2023.) $)
      spcimdv $p |- ( ph -> ( A. x ps -> ch ) ) $=
        ( wi wex wal cv wceq wcel elisset syl ex eximdv mpd 19.36v sylib ) ABCI
        ZDJZBDKCIADLEMZDJZUCAEFNUEGDEFOPAUDUBDAUDUBHQRSBCDTUA $.
      $( $j usage 'spcimdv' avoids 'ax-10' 'ax-11'; $)
    $}

    ${
      spcdv.2 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
      $( Rule of specialization, using implicit substitution.  Analogous to
         ~ rspcdv .  (Contributed by David Moews, 1-May-2017.) $)
      spcdv $p |- ( ph -> ( A. x ps -> ch ) ) $=
        ( cv wceq wa biimpd spcimdv ) ABCDEFGADIEJKBCHLM $.
    $}

    spcimedv.2 $e |- ( ( ph /\ x = A ) -> ( ch -> ps ) ) $.
    $( Restricted existential specialization, using implicit substitution.
       (Contributed by Mario Carneiro, 4-Jan-2017.) $)
    spcimedv $p |- ( ph -> ( ch -> E. x ps ) ) $=
      ( wn wal wex cv wceq wa con3d spcimdv con2d df-ex syl6ibr ) ACBIZDJZIBDKA
      UACATCIDEFGADLEMNCBHOPQBDRS $.
  $}

  ${
    $d x ps $.  $d x A $.
    spcgv.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Rule of specialization, using implicit substitution.  Compare Theorem
       7.3 of [Quine] p. 44.  (Contributed by NM, 22-Jun-1994.)  Avoid
       ~ ax-10 , ~ ax-11 .  (Revised by Wolf Lammen, 25-Aug-2023.) $)
    spcgv $p |- ( A e. V -> ( A. x ph -> ps ) ) $=
      ( wcel cvv wal wi elex id cv wceq wb adantl spcdv syl ) DEGDHGZACIBJDEKSA
      BCDHSLCMDNABOSFPQR $.

    $( Existential specialization, using implicit substitution.  (Contributed
       by NM, 14-Aug-1994.)  Avoid ~ ax-10 , ~ ax-11 .  (Revised by Wolf
       Lammen, 25-Aug-2023.) $)
    spcegv $p |- ( A e. V -> ( ps -> E. x ph ) ) $=
      ( wcel cv wceq wex elisset biimprcd eximdv syl5com ) DEGCHDIZCJBACJCDEKBO
      ACOABFLMN $.
  $}

  ${
    $d X x $.  $d ch x $.
    spcedv.1 $e |- ( ph -> X e. V ) $.
    spcedv.2 $e |- ( ph -> ch ) $.
    spcedv.3 $e |- ( x = X -> ( ps <-> ch ) ) $.
    $( Existential specialization, using implicit substitution, deduction
       version.  (Contributed by RP, 12-Aug-2020.)  (Revised by AV,
       16-Aug-2024.) $)
    spcedv $p |- ( ph -> E. x ps ) $=
      ( wcel wex spcegv sylc ) AFEJCBDKGHBCDFEILM $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ps $.
    spc2egv.1 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( Existential specialization with two quantifiers, using implicit
       substitution.  (Contributed by NM, 3-Aug-1995.) $)
    spc2egv $p |- ( ( A e. V /\ B e. W ) -> ( ps -> E. x E. y ph ) ) $=
      ( wcel wa cv wceq wex elisset anim12i exdistrv sylibr biimprcd 2eximdv
      syl5com ) EGJZFHJZKZCLEMZDLFMZKZDNCNZBADNCNUDUECNZUFDNZKUHUBUIUCUJCEGODFH
      OPUEUFCDQRBUGACDUGABISTUA $.

    $( Specialization with two quantifiers, using implicit substitution.
       (Contributed by NM, 27-Apr-2004.) $)
    spc2gv $p |- ( ( A e. V /\ B e. W ) -> ( A. x A. y ph -> ps ) ) $=
      ( wcel wa wal wn wex cv wceq notbid spc2egv 2nalexn syl6ibr con4d ) EGJFH
      JKZBADLCLZUBBMZAMZDNCNUCMUEUDCDEFGHCOEPDOFPKABIQRACDSTUA $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ph $.
    spc2ed.x $e |- F/ x ch $.
    spc2ed.y $e |- F/ y ch $.
    spc2ed.1 $e |- ( ( ph /\ ( x = A /\ y = B ) ) -> ( ps <-> ch ) ) $.
    $( Existential specialization with 2 quantifiers, using implicit
       substitution.  (Contributed by Thierry Arnoux, 23-Aug-2017.) $)
    spc2ed $p |- ( ( ph /\ ( A e. V /\ B e. W ) ) -> ( ch -> E. x E. y ps ) )
      $=
      ( wcel wa cv wceq wex elisset nfv nfan exdistrv sylibr anass ancom anbi1i
      wi anim12i bitr3i biimparc sylbir ex eximd impancom sylan2 ) FHMZGIMZNZAD
      OFPZEOGPZNZEQZDQZCBEQZDQZUFUQURDQZUSEQZNVBUOVEUPVFDFHREGIRUGURUSDEUAUBACV
      BVDACNZVAVCDACDADSJTVGUTBEACEAESKTVGUTBVGUTNZCAUTNZNZBVJCANZUTNVHCAUTUCVK
      VGUTCAUDUEUHVIBCLUIUJUKULULUMUN $.

    $( Specialization with 2 quantifiers, using implicit substitution.
       (Contributed by Thierry Arnoux, 23-Aug-2017.) $)
    spc2d $p |- ( ( ph /\ ( A e. V /\ B e. W ) ) -> ( A. x A. y ps -> ch ) ) $=
      ( wal wn wex wcel wa nfn cv wceq 2nalexn con1bii notbid spc2ed syl5bir
      con1d ) BEMDMZBNZEODOZNAFHPGIPQQZCUGUIBDEUAUBUJCUIAUHCNDEFGHICDJRCEKRADSF
      TESGTQQBCLUCUDUFUE $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z ps $.
    spc3egv.1 $e |- ( ( x = A /\ y = B /\ z = C ) -> ( ph <-> ps ) ) $.
    $( Existential specialization with three quantifiers, using implicit
       substitution.  (Contributed by NM, 12-May-2008.)  Avoid ~ ax-10 and
       ~ ax-11 .  (Revised by Gino Giotto, 20-Aug-2023.)  (Proof shortened by
       Wolf Lammen, 25-Aug-2023.) $)
    spc3egv $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
               ( ps -> E. x E. y E. z ph ) ) $=
      ( wcel cvv wex wi elex cv wceq wa w3a simp1 wb 3coml 3expa spc2egv 19.37v
      pm5.74da exbii bitri syl6ib pm2.86d 3adant1 imp spcimedv syl3an ) FIMFNMZ
      GJMGNMZHKMHNMZBAEOZDOZCOPFIQGJQHKQUQURUSUAZVABCFNUQURUSUBVBCRFSZBVAPZURUS
      VCVDPUQURUSTZVCBVAVEVCBPZVCAPZEOZDOZVCVAPZVGVFDEGHNNDRGSZERHSZTVCABVKVLVC
      ABUCZVCVKVLVMLUDUEUHUFVIVCUTPZDOVJVHVNDVCAEUGUIVCUTDUGUJUKULUMUNUOUP $.
    $( $j usage 'spc3egv' avoids 'ax-10' 'ax-11'; $)

    $( Specialization with three quantifiers, using implicit substitution.
       (Contributed by NM, 12-May-2008.) $)
    spc3gv $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
               ( A. x A. y A. z ph -> ps ) ) $=
      ( wcel w3a wal wn wex cv wceq exnal notbid spc3egv exbii bitr2i syl6ibr
      bitri con4d ) FIMGJMHKMNZBAEOZDOZCOZUHBPZAPZEQZDQZCQZUKPZUMULCDEFGHIJKCRF
      SDRGSERHSNABLUAUBUPUJPZCQUQUOURCUOUIPZDQURUNUSDAETUCUIDTUFUCUJCTUDUEUG $.
  $}

  ${
    $d x A $.  $d x ps $.
    spcv.1 $e |- A e. _V $.
    spcv.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Rule of specialization, using implicit substitution.  (Contributed by
       NM, 22-Jun-1994.) $)
    spcv $p |- ( A. x ph -> ps ) $=
      ( cvv wcel wal wi spcgv ax-mp ) DGHACIBJEABCDGFKL $.

    $( Existential specialization, using implicit substitution.  (Contributed
       by NM, 31-Dec-1993.)  (Proof shortened by Eric Schmidt, 22-Dec-2006.) $)
    spcev $p |- ( ps -> E. x ph ) $=
      ( cvv wcel wex wi spcegv ax-mp ) DGHBACIJEABCDGFKL $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ps $.
    spc2ev.1 $e |- A e. _V $.
    spc2ev.2 $e |- B e. _V $.
    spc2ev.3 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( Existential specialization, using implicit substitution.  (Contributed
       by NM, 3-Aug-1995.) $)
    spc2ev $p |- ( ps -> E. x E. y ph ) $=
      ( cvv wcel wex wi spc2egv mp2an ) EJKFJKBADLCLMGHABCDEFJJINO $.
  $}

  ${
    $d x A $.  $d x B $.
    rspct.1 $e |- F/ x ps $.
    $( A closed version of ~ rspc .  (Contributed by Andrew Salmon,
       6-Jun-2011.) $)
    rspct $p |- ( A. x ( x = A -> ( ph <-> ps ) ) -> ( A e. B ->
                   ( A. x e. B ph -> ps ) ) ) $=
      ( cv wceq wb wi wal wcel wral df-ral wa eleq1 adantr simpr imbi12d ex a2i
      alimi nfv nfim nfcv spcgft syl syl7bi com34 pm2.43d ) CGZDHZABIZJZCKZDELZ
      ACEMZBJUOUPUQUPBUQUKELZAJZCKZUOUPUPBJZACENUOULUSVAIZJZCKUPUTVAJJUNVCCULUM
      VBULUMVBULUMOURUPABULURUPIUMUKDEPQULUMRSTUAUBUSVACDEUPBCUPCUCFUDCDUEUFUGU
      HUIUJ $.
  $}

  ${
    $d x A $.  $d x B $.
    rspcdf.1 $e |- F/ x ph $.
    rspcdf.2 $e |- F/ x ch $.
    rspcdf.3 $e |- ( ph -> A e. B ) $.
    rspcdf.4 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    $( Restricted specialization, using implicit substitution.  (Contributed by
       Emmett Weisz, 16-Jan-2020.) $)
    rspcdf $p |- ( ph -> ( A. x e. B ps -> ch ) ) $=
      ( cv wceq wb wi wal wcel wral ex alrimi rspct sylc ) ADKELZBCMZNZDOEFPBDF
      QCNAUDDGAUBUCJRSIBCDEFHTUA $.
  $}

  ${
    $d x A $.  $d x B $.
    rspc.1 $e |- F/ x ps $.
    rspc.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Restricted specialization, using implicit substitution.  (Contributed by
       NM, 19-Apr-2005.)  (Revised by Mario Carneiro, 11-Oct-2016.) $)
    rspc $p |- ( A e. B -> ( A. x e. B ph -> ps ) ) $=
      ( wral cv wcel wi wal df-ral nfcv nfv nfim wceq eleq1 imbi12d spcgf
      pm2.43a syl5bi ) ACEHCIZEJZAKZCLZDEJZBACEMUFUGBUEUGBKCDECDNUGBCUGCOFPUCDQ
      UDUGABUCDERGSTUAUB $.

    $( Restricted existential specialization, using implicit substitution.
       (Contributed by NM, 26-May-1998.)  (Revised by Mario Carneiro,
       11-Oct-2016.) $)
    rspce $p |- ( ( A e. B /\ ps ) -> E. x e. B ph ) $=
      ( wcel wa cv wex wrex nfcv nfv nfan wceq eleq1 anbi12d spcegf anabsi5
      df-rex sylibr ) DEHZBIZCJZEHZAIZCKZACELUCBUHUGUDCDECDMUCBCUCCNFOUEDPUFUCA
      BUEDEQGRSTACEUAUB $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.  $d x ch $.
    rspcimdv.1 $e |- ( ph -> A e. B ) $.
    ${
      rspcimdv.2 $e |- ( ( ph /\ x = A ) -> ( ps -> ch ) ) $.
      $( Restricted specialization, using implicit substitution.  (Contributed
         by Mario Carneiro, 4-Jan-2017.) $)
      rspcimdv $p |- ( ph -> ( A. x e. B ps -> ch ) ) $=
        ( wral cv wcel wi wal df-ral wceq wa simpr eleq1d biimprd imim12d mpid
        spcimdv syl5bi ) BDFIDJZFKZBLZDMZACBDFNAUGEFKZCGAUFUHCLDEFGAUDEOZPZUHUE
        BCUJUEUHUJUDEFAUIQRSHTUBUAUC $.
    $}

    rspcimedv.2 $e |- ( ( ph /\ x = A ) -> ( ch -> ps ) ) $.
    $( Restricted existential specialization, using implicit substitution.
       (Contributed by Mario Carneiro, 4-Jan-2017.) $)
    rspcimedv $p |- ( ph -> ( ch -> E. x e. B ps ) ) $=
      ( wn wral wrex cv wceq wa con3d rspcimdv con2d dfrex2 syl6ibr ) ACBIZDFJZ
      IBDFKAUACATCIDEFGADLEMNCBHOPQBDFRS $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.  $d x ch $.
    rspcdv.1 $e |- ( ph -> A e. B ) $.
    rspcdv.2 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    $( Restricted specialization, using implicit substitution.  (Contributed by
       NM, 17-Feb-2007.)  (Revised by Mario Carneiro, 4-Jan-2017.) $)
    rspcdv $p |- ( ph -> ( A. x e. B ps -> ch ) ) $=
      ( cv wceq wa biimpd rspcimdv ) ABCDEFGADIEJKBCHLM $.

    $( Restricted existential specialization, using implicit substitution.
       (Contributed by FL, 17-Apr-2007.)  (Revised by Mario Carneiro,
       4-Jan-2017.) $)
    rspcedv $p |- ( ph -> ( ch -> E. x e. B ps ) ) $=
      ( cv wceq wa biimprd rspcimedv ) ABCDEFGADIEJKBCHLM $.

    rspcebdv.1 $e |- ( ( ph /\ ps ) -> x = A ) $.
    $( Restricted existential specialization, using implicit substitution in
       both directions.  (Contributed by AV, 8-Jan-2022.) $)
    rspcebdv $p |- ( ph -> ( E. x e. B ps <-> ch ) ) $=
      ( wrex wi wa cv wceq wb syldan biimpd expcom pm2.43b rexlimdvw rspcedv
      impbid ) ABDFJCABCDFABCABBCKABLBCABDMENBCOIHPQRSTABCDEFGHUAUB $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.
    rspcv.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Restricted specialization, using implicit substitution.  (Contributed by
       NM, 26-May-1998.)  Drop ~ ax-10 , ~ ax-11 , ~ ax-12 .  (Revised by SN,
       12-Dec-2023.) $)
    rspcv $p |- ( A e. B -> ( A. x e. B ph -> ps ) ) $=
      ( wcel id cv wceq wb adantl rspcdv ) DEGZABCDENHCIDJABKNFLM $.

    $( Obsolete version of ~ rspcv as of 12-Dec-2023.  Restricted
       specialization, using implicit substitution.  (Contributed by NM,
       26-May-1998.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    rspcvOLD $p |- ( A e. B -> ( A. x e. B ph -> ps ) ) $=
      ( nfv rspc ) ABCDEBCGFH $.

    $( Restricted specialization, using implicit substitution.  (Contributed by
       NM, 2-Feb-2006.) $)
    rspccv $p |- ( A. x e. B ph -> ( A e. B -> ps ) ) $=
      ( wcel wral rspcv com12 ) DEGACEHBABCDEFIJ $.

    $( Restricted specialization, using implicit substitution.  (Contributed by
       NM, 13-Sep-2005.) $)
    rspcva $p |- ( ( A e. B /\ A. x e. B ph ) -> ps ) $=
      ( wcel wral rspcv imp ) DEGACEHBABCDEFIJ $.

    $( Restricted specialization, using implicit substitution.  (Contributed by
       NM, 26-Jul-2006.)  (Proof shortened by Andrew Salmon, 8-Jun-2011.) $)
    rspccva $p |- ( ( A. x e. B ph /\ A e. B ) -> ps ) $=
      ( wcel wral rspcv impcom ) DEGACEHBABCDEFIJ $.

    $( Restricted existential specialization, using implicit substitution.
       (Contributed by NM, 26-May-1998.)  Drop ~ ax-10 , ~ ax-11 , ~ ax-12 .
       (Revised by SN, 12-Dec-2023.) $)
    rspcev $p |- ( ( A e. B /\ ps ) -> E. x e. B ph ) $=
      ( wcel wrex id cv wceq wb adantl rspcedv imp ) DEGZBACEHPABCDEPICJDKABLPF
      MNO $.

    $( Obsolete version of ~ rspce as of 12-Dec-2023.  Restricted existential
       specialization, using implicit substitution.  (Contributed by NM,
       26-May-1998.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    rspcevOLD $p |- ( ( A e. B /\ ps ) -> E. x e. B ph ) $=
      ( nfv rspce ) ABCDEBCGFH $.
  $}

  ${
    $d A x $.  $d C x $.  $d ch x $.
    rspcdva.1 $e |- ( x = C -> ( ps <-> ch ) ) $.
    rspcdva.2 $e |- ( ph -> A. x e. A ps ) $.
    rspcdva.3 $e |- ( ph -> C e. A ) $.
    $( Restricted specialization, using implicit substitution.  (Contributed by
       Thierry Arnoux, 21-Jun-2020.) $)
    rspcdva $p |- ( ph -> ch ) $=
      ( wcel wral rspcv sylc ) AFEJBDEKCIHBCDFEGLM $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.  $d x ch $.
    rspcedvd.1 $e |- ( ph -> A e. B ) $.
    rspcedvd.2 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    rspcedvd.3 $e |- ( ph -> ch ) $.
    $( Restricted existential specialization, using implicit substitution.
       Variant of ~ rspcedv .  (Contributed by AV, 27-Nov-2019.) $)
    rspcedvd $p |- ( ph -> E. x e. B ps ) $=
      ( wrex rspcedv mpd ) ACBDFJIABCDEFGHKL $.
  $}

  ${
    $d x ph $.  $d x B $.  $d x A $.
    rspcime.1 $e |- ( ( ph /\ x = A ) -> ps ) $.
    rspcime.2 $e |- ( ph -> A e. B ) $.
    $( Prove a restricted existential.  (Contributed by Rohan Ridenour,
       3-Aug-2023.) $)
    rspcime $p |- ( ph -> E. x e. B ps ) $=
      ( cv wceq wa simpl 2thd id rspcedvd ) ABACDEGACHDIZJBAFAOKLAMN $.
  $}

  ${
    $d x y A $.  $d x B $.  $d x C $.  $d x ps $.  $d x ch $.
    rspceaimv.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Restricted existential specialization of a universally quantified
       implication.  (Contributed by BJ, 24-Aug-2022.) $)
    rspceaimv $p |- ( ( A e. B /\ A. y e. C ( ps -> ch ) ) ->
                                          E. x e. B A. y e. C ( ph -> ch ) ) $=
      ( wi wral cv wceq imbi1d ralbidv rspcev ) ACJZEHKBCJZEHKDFGDLFMZQREHSABCI
      NOP $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    rspcedeqvd.1 $e |- ( ph -> A e. B ) $.
    rspcedeqvd.2 $e |- ( ( ph /\ x = A ) -> C = D ) $.
    ${
      $d x D $.
      $( Restricted existential specialization, using implicit substitution.
         Variant of ~ rspcedvd for equations, in which the left hand side
         depends on the quantified variable.  (Contributed by AV,
         24-Dec-2019.) $)
      rspcedeq1vd $p |- ( ph -> E. x e. B C = D ) $=
        ( wceq cv wa eqeq1d eqidd rspcedvd ) AEFIFFIBCDGABJCIKEFFHLAFMN $.
    $}

    $d x C $.
    $( Restricted existential specialization, using implicit substitution.
       Variant of ~ rspcedvd for equations, in which the right hand side
       depends on the quantified variable.  (Contributed by AV,
       24-Dec-2019.) $)
    rspcedeq2vd $p |- ( ph -> E. x e. B C = D ) $=
      ( wceq cv wa eqcomd eqeq2d eqidd rspcedvd ) AEFIEEIBCDGABJCIKZFEEPEFHLMAE
      NO $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x C $.  $d x y D $.
    rspc2.1 $e |- F/ x ch $.
    rspc2.2 $e |- F/ y ps $.
    rspc2.3 $e |- ( x = A -> ( ph <-> ch ) ) $.
    rspc2.4 $e |- ( y = B -> ( ch <-> ps ) ) $.
    $( Restricted specialization with two quantifiers, using implicit
       substitution.  (Contributed by NM, 9-Nov-2012.) $)
    rspc2 $p |- ( ( A e. C /\ B e. D ) -> ( A. x e. C A. y e. D ph ->
                  ps ) ) $=
      ( wcel wral nfcv nfralw cv wceq rspc ralbidv sylan9 ) FHNAEIOZDHOCEIOZGIN
      BUCUDDFHCDEIDIPJQDRFSACEILUATCBEGIKMTUB $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y V $.  $d x y W $.  $d x y ps $.
    rspc2gv.1 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( Restricted specialization with two quantifiers, using implicit
       substitution.  (Contributed by BJ, 2-Dec-2021.) $)
    rspc2gv $p |- ( ( A e. V /\ B e. W ) ->
                                          ( A. x e. V A. y e. W ph -> ps ) ) $=
      ( wral cv wcel wi wal wa df-ral albii wceq eleq1 syl5bi bi2anan9 imbi12d
      imbi2i 19.21v bicomi impexp bitr3id spc2gv pm2.43a ) ADHJZCGJCKZGLZUJMZCN
      ZEGLZFHLZOZBUJCGPUNULDKZHLZAMZDNZMZCNZUQBUMVBCUJVAULADHPUCQVCULUTMZDNZCNZ
      UQBVBVECVEVBULUTDUDUEQVFUQBVDUQBMZCDEFGHVDULUSOZAMUKERZURFRZOZVGULUSAUFVK
      VHUQABVIULUOVJUSUPUKEGSURFHSUAIUBUGUHUITTT $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x C $.  $d x y D $.  $d x ch $.  $d y ps $.
    rspc2v.1 $e |- ( x = A -> ( ph <-> ch ) ) $.
    rspc2v.2 $e |- ( y = B -> ( ch <-> ps ) ) $.
    $( 2-variable restricted specialization, using implicit substitution.
       (Contributed by NM, 13-Sep-1999.) $)
    rspc2v $p |- ( ( A e. C /\ B e. D ) -> ( A. x e. C A. y e. D ph ->
                  ps ) ) $=
      ( wcel wral cv wceq ralbidv rspcv sylan9 ) FHLAEIMZDHMCEIMZGILBSTDFHDNFOA
      CEIJPQCBEGIKQR $.

    $( 2-variable restricted specialization, using implicit substitution.
       (Contributed by NM, 18-Jun-2014.) $)
    rspc2va $p |- ( ( ( A e. C /\ B e. D ) /\ A. x e. C A. y e. D ph ) ->
                  ps ) $=
      ( wcel wa wral rspc2v imp ) FHLGILMAEINDHNBABCDEFGHIJKOP $.

    $( 2-variable restricted existential specialization, using implicit
       substitution.  (Contributed by NM, 16-Oct-1999.) $)
    rspc2ev $p |- ( ( A e. C /\ B e. D /\ ps ) -> E. x e. C E. y e. D ph ) $=
      ( wcel w3a wrex wa rspcev anim2i 3impb cv wceq rexbidv syl ) FHLZGILZBMUC
      CEINZOZAEINZDHNUCUDBUFUDBOUEUCCBEGIKPQRUGUEDFHDSFTACEIJUAPUB $.
  $}

  ${
    $d z ps $.  $d x ch $.  $d y th $.  $d x y z A $.  $d y z B $.  $d z C $.
    $d x R $.  $d x y S $.  $d x y z T $.
    rspc3v.1 $e |- ( x = A -> ( ph <-> ch ) ) $.
    rspc3v.2 $e |- ( y = B -> ( ch <-> th ) ) $.
    rspc3v.3 $e |- ( z = C -> ( th <-> ps ) ) $.
    $( 3-variable restricted specialization, using implicit substitution.
       (Contributed by NM, 10-May-2005.) $)
    rspc3v $p |- ( ( A e. R /\ B e. S /\ C e. T ) ->
                  ( A. x e. R A. y e. S A. z e. T ph -> ps ) ) $=
      ( wcel wral cv wceq wi wa ralbidv rspc2v rspcv sylan9 3impa ) HKQZILQZJMQ
      ZAGMRZFLREKRZBUAUHUIUBULDGMRZUJBUKUMCGMREFHIKLESHTACGMNUCFSITCDGMOUCUDDBG
      JMPUEUFUG $.

    $( 3-variable restricted existential specialization, using implicit
       substitution.  (Contributed by NM, 25-Jul-2012.) $)
    rspc3ev $p |- ( ( ( A e. R /\ B e. S /\ C e. T ) /\ ps ) ->
                  E. x e. R E. y e. S E. z e. T ph ) $=
      ( wcel wrex cv wceq w3a wa simpl1 simpl2 rspcev 3ad2antl3 rexbidv rspc2ev
      syl3anc ) HKQZILQZJMQZUABUBUJUKDGMRZAGMRZFLREKRUJUKULBUCUJUKULBUDULUJBUMU
      KDBGJMPUEUFUNUMCGMREFHIKLESHTACGMNUGFSITCDGMOUGUHUI $.
  $}

  ${
    $d A x $.  $d B x $.  $d D x $.  $d E x $.
    rspceeqv.1 $e |- ( x = A -> C = D ) $.
    $( Restricted existential specialization in an equality, using implicit
       substitution.  (Contributed by BJ, 2-Sep-2022.) $)
    rspceeqv $p |- ( ( A e. B /\ E = D ) -> E. x e. B E = C ) $=
      ( wceq cv eqeq2d rspcev ) FDHFEHABCAIBHDEFGJK $.
  $}

  ${
    $d ph x z $.  $d ph x y $.  $d ps y $.  $d ps z $.  $d A x $.  $d C x $.
    $d D x $.  $d ch x $.
    ralxpxfr2d.a $e |- A e. _V $.
    ralxpxfr2d.b $e |- ( ph -> ( x e. B <-> E. y e. C E. z e. D x = A ) ) $.
    ralxpxfr2d.c $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    $( Transfer a universal quantifier between one variable with pair-like
       semantics and two.  (Contributed by Stefan O'Rear, 27-Feb-2015.) $)
    ralxpxfr2d $p |- ( ph -> ( A. x e. B ps <-> A. y e. C A. z e. D ch ) ) $=
      ( wral wi wal wrex albidv ralcom4 ralbii wceq df-ral imbi1d syl5bb bitr2i
      wcel r19.23v albii 3bitr4ri bitrdi pm5.74da biidd ceqsalv 2ralbidv bitrd
      cv ) ABDHNZDUPZGUAZBOZDPZFJNZEINZCFJNEINAUQUSFJQZEIQZBOZDPZVCUQURHUFZBOZD
      PAVGBDHUBAVIVFDAVHVEBLUCRUDUTFJNZDPZEINVJEINZDPVCVGVJEDISVBVKEIUTFDJSTVFV
      LDVLVDBOZEINVFVJVMEIUSBFJUGTVDBEIUGUEUHUIUJAVACEFIJAVAUSCOZDPCAUTVNDAUSBC
      MUKRCCDGKUSCULUMUJUNUO $.
  $}

  ${
    $d A x z $.  $d Y x z $.  $d ph x $.  $d ps z $.  $d th z $.
    rexraleqim.1 $e |- ( x = z -> ( ps <-> ph ) ) $.
    rexraleqim.2 $e |- ( z = Y -> ( ph <-> th ) ) $.
    $( Statement following from existence and generalization with equality.
       (Contributed by AV, 9-Feb-2019.) $)
    rexraleqim $p |- ( ( E. z e. A ph /\ A. x e. A ( ps -> x = Y ) ) -> th ) $=
      ( wrex cv wceq wi wral wcel wa weq eqeq1 imbi12d rspcva syli impancom imp
      biimpd rexlimiva ) AEFJBDKZGLZMZDFNZCAUICMEFEKZFOZUIACAUKUIPUJGLZCUHAULMD
      UJFDEQBAUGULHUFUJGRSTULACIUDUAUBUEUC $.
  $}

  ${
    $d x A $.  $d x B $.
    $( A variable introduction law for class equality, closed form.
       (Contributed by Thierry Arnoux, 2-Mar-2017.) $)
    eqvincg $p |- ( A e. V -> ( A = B <-> E. x ( x = A /\ x = B ) ) ) $=
      ( wcel wceq cv wa wex wi elisset ax-1 eqtr ex jca eximi pm3.43 3syl sylib
      19.37v eqtr2 exlimiv impbid1 ) BDEZBCFZAGZBFZUFCFZHZAIZUDUEUIJZAIZUEUJJUD
      UGAIUEUGJZUEUHJZHZAIULABDKUGUOAUGUMUNUGUELUGUEUHUFBCMNOPUOUKAUEUGUHQPRUEU
      IATSUIUEAUFBCUAUBUC $.

    eqvinc.1 $e |- A e. _V $.
    $( A variable introduction law for class equality.  (Contributed by NM,
       14-Apr-1995.)  (Proof shortened by Andrew Salmon, 8-Jun-2011.)  (Proof
       shortened by Thierry Arnoux, 23-Jan-2022.) $)
    eqvinc $p |- ( A = B <-> E. x ( x = A /\ x = B ) ) $=
      ( cvv wcel wceq cv wa wex wb eqvincg ax-mp ) BEFBCGAHZBGNCGIAJKDABCELM $.
  $}

  ${
    $d A y $.  $d B y $.  $d x y $.
    eqvincf.1 $e |- F/_ x A $.
    eqvincf.2 $e |- F/_ x B $.
    eqvincf.3 $e |- A e. _V $.
    $( A variable introduction law for class equality, using bound-variable
       hypotheses instead of distinct variable conditions.  (Contributed by NM,
       14-Sep-2003.) $)
    eqvincf $p |- ( A = B <-> E. x ( x = A /\ x = B ) ) $=
      ( vy wceq cv wa wex eqvinc nfeq2 nfan nfv eqeq1 anbi12d cbvexv1 bitri ) B
      CHGIZBHZTCHZJZGKAIZBHZUDCHZJZAKGBCFLUCUGGAUAUBAATBDMATCEMNUGGOTUDHUAUEUBU
      FTUDBPTUDCPQRS $.
  $}

  ${
    $d x y A $.  $d y ph $.
    $( Two ways to express substitution of ` A ` for ` x ` in ` ph ` .  This is
       the analogue for classes of ~ sbalex .  (Contributed by NM, 2-Mar-1995.)
       (Revised by BJ, 27-Apr-2019.) $)
    alexeqg $p |- ( A e. V -> ( A. x ( x = A -> ph )
                                                <-> E. x ( x = A /\ ph ) ) ) $=
      ( vy wcel cv wceq wa wex wi wal eqeq2 anbi1d exbidv imbi1d albidv vtoclbg
      sbalex bicomd ) CDFBGZCHZAIZBJZUBAKZBLZUAEGZHZAIZBJUHAKZBLUDUFECDUGCHZUIU
      CBUKUHUBAUGCUAMZNOUKUJUEBUKUHUBAULPQABESRT $.
  $}

  ${
    $d x A $.
    $( Equality implies equivalence with substitution.  (Contributed by NM,
       2-Mar-1995.)  (Proof shortened by BJ, 1-May-2019.) $)
    ceqex $p |- ( x = A -> ( ph <-> E. x ( x = A /\ ph ) ) ) $=
      ( cv wceq wa wex 19.8a ex wi wal cvv wcel wb eqvisset alexeqg syl sylbird
      sp com12 impbid ) BDCEZAUBAFZBGZUBAUDUCBHIUBUDUBAJZBKZAUBCLMUFUDNBCOABCLP
      QUFUBAUEBSTRUA $.
  $}

  ${
    $d x A $.
    ceqsexg.1 $e |- F/ x ps $.
    ceqsexg.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( A representation of explicit substitution of a class for a variable,
       inferred from an implicit substitution hypothesis.  (Contributed by NM,
       11-Oct-2004.) $)
    ceqsexg $p |- ( A e. V -> ( E. x ( x = A /\ ph ) <-> ps ) ) $=
      ( wb cv wceq wa wex nfe1 nfbi ceqex bibi12d biid vtoclg1f ) AAHCIDJZAKZCL
      ZBHCDEUABCTCMFNSAUAABACDOGPAQR $.
  $}

  ${
    $d x A $.  $d x ps $.
    ceqsexgv.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Elimination of an existential quantifier, using implicit substitution.
       (Contributed by NM, 29-Dec-1996.)  Drop ~ ax-10 and ~ ax-12 .  (Revised
       by Gino Giotto, 1-Dec-2023.) $)
    ceqsexgv $p |- ( A e. V -> ( E. x ( x = A /\ ph ) <-> ps ) ) $=
      ( cv wceq id cgsexg ) ABCGDHZCDEKIFJ $.
    $( $j usage 'ceqsexgv' avoids 'ax-10' 'ax-12'; $)

    $( Obsolete version of ~ ceqsexgv as of 1-Dec-2023.  (Contributed by NM,
       29-Dec-1996.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ceqsexgvOLD $p |- ( A e. V -> ( E. x ( x = A /\ ph ) <-> ps ) ) $=
      ( nfv ceqsexg ) ABCDEBCGFH $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.
    ceqsrexv.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Elimination of a restricted existential quantifier, using implicit
       substitution.  (Contributed by NM, 30-Apr-2004.) $)
    ceqsrexv $p |- ( A e. B -> ( E. x e. B ( x = A /\ ph ) <-> ps ) ) $=
      ( cv wceq wa wrex wcel wex df-rex an12 exbii bitr4i eleq1 anbi12d bianabs
      ceqsexgv syl5bb ) CGZDHZAIZCEJZUCUBEKZAIZIZCLZDEKZBUEUFUDIZCLUIUDCEMUHUKC
      UCUFANOPUJUIBUGUJBICDEUCUFUJABUBDEQFRTSUA $.

    $( Elimination of a restricted existential quantifier, using implicit
       substitution.  (Contributed by Mario Carneiro, 14-Mar-2014.) $)
    ceqsrexbv $p |- ( E. x e. B ( x = A /\ ph ) <-> ( A e. B /\ ps ) ) $=
      ( wcel cv wceq wa wrex r19.42v eleq1 adantr pm5.32ri bicomi baib ceqsrexv
      wb rexbiia pm5.32i 3bitr3i ) DEGZCHZDIZAJZJZCEKUCUFCEKZJUHUCBJUCUFCELUGUF
      CEUGUDEGZUFUIUFJUGUFUIUCUEUIUCSAUDDEMNOPQTUCUHBABCDEFRUAUB $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x C $.  $d x y D $.  $d x ps $.  $d y ch $.
    ceqsrex2v.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsrex2v.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( Elimination of a restricted existential quantifier, using implicit
       substitution.  (Contributed by NM, 29-Oct-2005.) $)
    ceqsrex2v $p |- ( ( A e. C /\ B e. D ) ->
      ( E. x e. C E. y e. D ( ( x = A /\ y = B ) /\ ph ) <-> ch ) ) $=
      ( wcel cv wceq wa wrex anass rexbii r19.42v ceqsrexv bitri anbi2d rexbidv
      syl5bb sylan9bb ) FHLZDMFNZEMGNZOAOZEIPZDHPZUHBOZEIPZGILCUKUGUHAOZEIPZOZD
      HPUFUMUJUPDHUJUGUNOZEIPUPUIUQEIUGUHAQRUGUNEISUARUOUMDFHUGUNULEIUGABUHJUBU
      CTUDBCEGIKTUE $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Alternate definition of membership when the member is a set.
       (Contributed by NM, 18-Aug-1993.)  Strengthen from sethood hypothesis to
       sethood antecedent.  (Revised by BJ, 12-Feb-2022.)  Avoid ~ ax-12 .
       (Revised by BJ, 1-Sep-2024.) $)
    clel2g $p |- ( A e. V -> ( A e. B <-> A. x ( x = A -> x e. B ) ) ) $=
      ( wcel cv wceq wex wi wal wb elisset biimt syl 19.23v eleq1 pm5.74i albii
      bicomd bitr3i bitrdi ) BDEZBCEZAFZBGZAHZUCIZUEUDCEZIZAJZUBUFUCUGKABDLUFUC
      MNUGUEUCIZAJUJUEUCAOUKUIAUEUCUHUEUHUCUDBCPSQRTUA $.

    $( Obsolete version of ~ clel2g as of 1-Sep-2024.  (Contributed by NM,
       18-Aug-1993.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    clel2gOLD $p |- ( A e. V -> ( A e. B <-> A. x ( x = A -> x e. B ) ) ) $=
      ( wcel cv wceq wi wal nfv eleq1 ceqsalg bicomd ) BDEAFZBGNCEZHAIBCEZOPABD
      PAJNBCKLM $.
  $}

  ${
    $d x A $.  $d x B $.
    clel2.1 $e |- A e. _V $.
    $( Alternate definition of membership when the member is a set.
       (Contributed by NM, 18-Aug-1993.) $)
    clel2 $p |- ( A e. B <-> A. x ( x = A -> x e. B ) ) $=
      ( cvv wcel cv wceq wi wal wb clel2g ax-mp ) BEFBCFAGZBHNCFIAJKDABCELM $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Alternate definition of membership in a set.  (Contributed by NM,
       13-Aug-2005.) $)
    clel3g $p |- ( B e. V -> ( A e. B <-> E. x ( x = B /\ A e. x ) ) ) $=
      ( wcel cv wceq wa wex eleq2 ceqsexgv bicomd ) CDEAFZCGBMEZHAIBCEZNOACDMCB
      JKL $.
  $}

  ${
    $d x A $.  $d x B $.
    clel3.1 $e |- B e. _V $.
    $( Alternate definition of membership in a set.  (Contributed by NM,
       18-Aug-1993.) $)
    clel3 $p |- ( A e. B <-> E. x ( x = B /\ A e. x ) ) $=
      ( cvv wcel cv wceq wa wex wb clel3g ax-mp ) CEFBCFAGZCHBNFIAJKDABCELM $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Alternate definition of membership in a set.  (Contributed by NM,
       18-Aug-1993.)  Strengthen from sethood hypothesis to sethood antecedent
       and avoid ~ ax-12 .  (Revised by BJ, 1-Sep-2024.) $)
    clel4g $p |- ( B e. V -> ( A e. B <-> A. x ( x = B -> A e. x ) ) ) $=
      ( wcel cv wceq wi wal wex elisset biimt syl 19.23v bitr4di bicomd pm5.74i
      wb eleq2 albii bitrdi ) CDEZBCEZAFZCGZUCHZAIZUEBUDEZHZAIUBUCUEAJZUCHZUGUB
      UJUCUKRACDKUJUCLMUEUCANOUFUIAUEUCUHUEUHUCUDCBSPQTUA $.
  $}

  ${
    $d x A $.  $d x B $.
    clel4.1 $e |- B e. _V $.
    $( Alternate definition of membership in a set.  (Contributed by NM,
       18-Aug-1993.) $)
    clel4 $p |- ( A e. B <-> A. x ( x = B -> A e. x ) ) $=
      ( cvv wcel cv wceq wi wal wb clel4g ax-mp ) CEFBCFAGZCHBNFIAJKDABCELM $.

    $( Obsolete version of ~ clel4 as of 1-Sep-2024.  (Contributed by NM,
       18-Aug-1993.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    clel4OLD $p |- ( A e. B <-> A. x ( x = B -> A e. x ) ) $=
      ( cv wceq wcel wi wal eleq2 ceqsalv bicomi ) AEZCFBMGZHAIBCGZNOACDMCBJKL
      $.
  $}

  ${
    $d A x $.  $d X x $.
    $( Alternate definition of class membership: a class ` X ` is an element of
       another class ` A ` iff there is an element of ` A ` equal to ` X ` .
       (Contributed by AV, 13-Nov-2020.)  Remove use of ~ ax-10 , ~ ax-11 , and
       ~ ax-12 .  (Revised by Steven Nguyen, 19-May-2023.) $)
    clel5 $p |- ( X e. A <-> E. x e. A X = x ) $=
      ( wcel cv wceq wrex risset eqcom rexbii bitri ) CBDAEZCFZABGCLFZABGACBHMN
      ABLCIJK $.
  $}

  ${
    $d y A z $.  $d y B z $.
    $( Compare theorem *13.183 in [WhiteheadRussell] p. 178.  Only ` A ` is
       required to be a set.  (Contributed by Andrew Salmon, 3-Jun-2011.)
       Avoid ~ ax-13 .  (Revised by Wolf Lammen, 29-Apr-2023.) $)
    pm13.183 $p |- ( A e. V -> ( A = B <-> A. z ( z = A <-> z = B ) ) ) $=
      ( vy cv wceq weq wb wal eqeq1 eqeq2 bibi1d albidv alrimiv wsb stdpc4 sbbi
      eqsb1 sylbi bibi2i equsb1v biimp mpi syl impbii vtoclbg ) EFZCGZAEHZAFZCG
      ZIZAJZBCGUKBGZULIZAJEBDUHBCKUHBGZUMUPAUQUJUOULUHBUKLMNUIUNUIUMAUHCUKLOUNU
      MAEPZUIUMAEQURUJAEPZULAEPZIZUIUJULAERVAUSUIIZUIUTUIUSAECSUAVBUSUIAEUBUSUI
      UCUDTTUEUFUG $.
  $}

  ${
    $d y A $.  $d x y $.  $d y ph $.
    $( Restricted quantifier version of Theorem 19.3 of [Margaris] p. 89.  We
       don't need the nonempty class condition of ~ r19.3rzv when there is an
       outer quantifier.  (Contributed by NM, 25-Oct-2012.) $)
    rr19.3v $p |- ( A. x e. A A. y e. A ph <-> A. x e. A ph ) $=
      ( wral cv weq biidd rspcv ralimia wcel ax-1 ralrimiv ralimi impbii ) ACDE
      ZBDEABDEPABDAACBFDCBGAHIJAPBDAACDACFDKLMNO $.

    $( Restricted quantifier version of Theorem 19.28 of [Margaris] p. 90.  We
       don't need the nonempty class condition of ~ r19.28zv when there is an
       outer quantifier.  (Contributed by NM, 29-Oct-2012.) $)
    rr19.28v $p |- ( A. x e. A A. y e. A ( ph /\ ps )
                      <-> A. x e. A ( ph /\ A. y e. A ps ) ) $=
      ( wa wral cv wcel simpl ralimi weq biidd rspcv syl5 simpr ralimia r19.28v
      jca2 impbii ) ABFZDEGZCEGABDEGZFZCEGUBUDCECHZEIZUBAUCUBADEGUFAUAADEABJKAA
      DUEEDCLAMNOUABDEABPKSQUDUBCEABDERKT $.
  $}

  ${
    $d A x y $.  $d ph y $.
    $( Membership in a class abstraction.  Class version of ~ sb6 .
       (Contributed by SN, 5-Oct-2024.) $)
    elab6g $p |- ( A e. V -> ( A e. { x | ph } <-> A. x ( x = A -> ph ) ) ) $=
      ( vy cv cab wcel weq wal wceq eleq1 eqeq2 imbi1d albidv wsb df-clab bitri
      wi sb6 vtoclbg ) EFZABGZHZBEIZASZBJZCUCHBFZCKZASZBJECDUBCUCLUBCKZUFUJBUKU
      EUIAUBCUHMNOUDABEPUGAEBQABETRUA $.
  $}

  ${
    $d x ph $.  $d x ch $.  $d x A $.
    elabd2.ex $e |- ( ph -> A e. V ) $.
    elabd2.eq $e |- ( ph -> B = { x | ps } ) $.
    elabd2.is $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    $( Membership in a class abstraction, using implicit substitution.
       Deduction version of ~ elab .  (Contributed by Gino Giotto,
       12-Oct-2024.)  (Revised by BJ, 16-Oct-2024.) $)
    elabd2 $p |- ( ph -> ( A e. B <-> ch ) ) $=
      ( wcel wb wa cv wceq wi wal cab eleq2d sylan9bb elab6g wex elisset albidv
      pm5.74da 19.23v bitrdi pm5.5 sylan2 bitrd mpdan ) AEGKZEFKZCLHAULMUMDNEOZ
      BPZDQZCAUMEBDRZKULUPAFUQEISBDEGUATULAUNDUBZUPCLDEGUCAUPURCPZURCAUPUNCPZDQ
      USAUOUTDAUNBCJUEUDUNCDUFUGURCUHTUIUJUK $.
    $( $j usage 'elabd2' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x ph $.  $d x ch $.  $d x A $.
    elabd3.ex $e |- ( ph -> A e. V ) $.
    elabd3.is $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    $( Membership in a class abstraction, using implicit substitution.
       Deduction version of ~ elab .  (Contributed by Gino Giotto,
       12-Oct-2024.) $)
    elabd3 $p |- ( ph -> ( A e. { x | ps } <-> ch ) ) $=
      ( cab eqidd elabd2 ) ABCDEBDIZFGALJHK $.
    $( $j usage 'elabd3' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x A $.  $d x ps $.
    $( Membership in a class abstraction, using implicit substitution.  (Closed
       theorem version of ~ elabg .)  (Contributed by NM, 7-Nov-2005.)  (Proof
       shortened by Andrew Salmon, 8-Jun-2011.)  Reduce axiom usage.  (Revised
       by Gino Giotto, 12-Oct-2024.) $)
    elabgt $p |- ( ( A e. B /\ A. x ( x = A -> ( ph <-> ps ) ) ) ->
                 ( A e. { x | ph } <-> ps ) ) $=
      ( wcel cv wceq wb wi wal cab elab6g adantr wex elisset biimp imim3i syl
      wa al2imi 19.23v syl6ib com3r biimpr imim2i alimi bi2.04 albii 19.21v a1i
      sylbb impbidd imp bitrd ) DEFZCGDHZABIZJZCKZTDACLFZUQAJZCKZBUPVAVCIUTACDE
      MNUPUTVCBIZUPUQCOZUTVDJCDEPVEUTVCBUTVCVEBUTVCUQBJZCKVEBJUSVBVFCURABUQABQR
      UAUQBCUBUCUDUTBVCJZJVEUTUQBAJZJZCKZVGUSVICURVHUQABUEUFUGVJBVBJZCKVGVIVKCU
      QBAUHUIBVBCUJULSUKUMSUNUO $.
    $( $j usage 'elabgt' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x A $.  $d x ps $.
    $( Obsolete version of ~ elabgt as of 12-Oct-2024.  (Contributed by NM,
       7-Nov-2005.)  (Proof shortened by Andrew Salmon, 8-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    elabgtOLD $p |- ( ( A e. B /\ A. x ( x = A -> ( ph <-> ps ) ) ) ->
                 ( A e. { x | ph } <-> ps ) ) $=
      ( wcel cv wceq cab wb wi wal nfcv nfab1 nfel2 nfv nfbi pm5.5 spcgf abid
      eleq1 bitr3id bibi1d biimpd a2i alimi impel ) DEFCGZDHZDACIZFZBJZKZCLULUI
      ABJZKZCLUMULCDECDMUKBCCDUJACNOBCPQUIULRSUOUMCUIUNULUIUNULUIAUKBAUHUJFUIUK
      ACTUHDUJUAUBUCUDUEUFUG $.
  $}

  ${
    elabgf.1 $e |- F/_ x A $.
    elabgf.2 $e |- F/ x ps $.
    elabgf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction, using implicit substitution.  Compare
       Theorem 6.13 of [Quine] p. 44.  This version has bound-variable
       hypotheses in place of distinct variable restrictions.  (Contributed by
       NM, 21-Sep-2003.)  (Revised by Mario Carneiro, 12-Oct-2016.) $)
    elabgf $p |- ( A e. B -> ( A e. { x | ph } <-> ps ) ) $=
      ( cv cab wcel wb nfab1 nfel nfbi wceq eleq1 bibi12d abid vtoclgf ) CIZACJ
      ZKZALDUBKZBLCDEFUDBCCDUBFACMNGOUADPUCUDABUADUBQHRACST $.
  $}

  ${
    $d x A $.
    elabf.1 $e |- F/ x ps $.
    elabf.2 $e |- A e. _V $.
    elabf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction, using implicit substitution.
       (Contributed by NM, 1-Aug-1994.)  (Revised by Mario Carneiro,
       12-Oct-2016.) $)
    elabf $p |- ( A e. { x | ph } <-> ps ) $=
      ( cvv wcel cab wb nfcv elabgf ax-mp ) DHIDACJIBKFABCDHCDLEGMN $.
  $}

  ${
    $d x ps $.  $d x A $.
    elabg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction, using implicit substitution.  Compare
       Theorem 6.13 of [Quine] p. 44.  (Contributed by NM, 14-Apr-1995.)  Avoid
       ~ ax-13 .  (Revised by SN, 23-Nov-2022.)  Avoid ~ ax-10 , ~ ax-11 ,
       ~ ax-12 .  (Revised by SN, 5-Oct-2024.) $)
    elabg $p |- ( A e. V -> ( A e. { x | ph } <-> ps ) ) $=
      ( wcel cab cv wceq wi wal elab6g wex pm5.74i albii 19.23v bitri elisset
      wb pm5.5 syl syl5bb bitrd ) DEGZDACHGCIDJZAKZCLZBACDEMUHUFCNZBKZUEBUHUFBK
      ZCLUJUGUKCUFABFOPUFBCQRUEUIUJBTCDESUIBUAUBUCUD $.
    $( $j usage 'elabg' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)

    $( Obsolete version of ~ elabg as of 5-Oct-2024.  (Contributed by NM,
       14-Apr-1995.)  Remove dependency on ~ ax-13 .  (Revised by SN,
       23-Nov-2022.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    elabgOLD $p |- ( A e. V -> ( A e. { x | ph } <-> ps ) ) $=
      ( cv cab wcel wb nfab1 nfel2 nfv nfbi wceq eleq1 bibi12d abid vtoclg1f )
      CGZACHZIZAJDUAIZBJCDEUCBCCDUAACKLBCMNTDOUBUCABTDUAPFQACRS $.
  $}

  ${
    $d x ps $.  $d x A $.
    elab.1 $e |- A e. _V $.
    elab.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction, using implicit substitution.  Compare
       Theorem 6.13 of [Quine] p. 44.  (Contributed by NM, 1-Aug-1994.)  Avoid
       ~ ax-10 , ~ ax-11 , ~ ax-12 .  (Revised by SN, 5-Oct-2024.) $)
    elab $p |- ( A e. { x | ph } <-> ps ) $=
      ( cvv wcel cab wb elabg ax-mp ) DGHDACIHBJEABCDGFKL $.
    $( $j usage 'elab' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Obsolete version of ~ elab as of 5-Oct-2024.  (Contributed by NM,
       1-Aug-1994.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    elabOLD $p |- ( A e. { x | ph } <-> ps ) $=
      ( nfv elabf ) ABCDBCGEFH $.
  $}

  ${
    $d x ps $.  $d x A $.
    elab2g.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    elab2g.2 $e |- B = { x | ph } $.
    $( Membership in a class abstraction, using implicit substitution.
       (Contributed by NM, 13-Sep-1995.) $)
    elab2g $p |- ( A e. V -> ( A e. B <-> ps ) ) $=
      ( wcel cab eleq2i elabg syl5bb ) DEIDACJZIDFIBENDHKABCDFGLM $.
  $}

  ${
    $d A x $.  $d ch x $.
    elabd.1 $e |- ( ph -> A e. V ) $.
    elabd.2 $e |- ( ph -> ch ) $.
    elabd.3 $e |- ( x = A -> ( ps <-> ch ) ) $.
    $( Explicit demonstration the class ` { x | ps } ` is not empty by the
       example ` A ` .  (Contributed by RP, 12-Aug-2020.)  (Revised by AV,
       23-Mar-2024.) $)
    elabd $p |- ( ph -> A e. { x | ps } ) $=
      ( cab wcel wb elabg syl mpbird ) AEBDJKZCHAEFKPCLGBCDEFIMNO $.
  $}

  ${
    $d x ps $.  $d x A $.
    elab2.1 $e |- A e. _V $.
    elab2.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    elab2.3 $e |- B = { x | ph } $.
    $( Membership in a class abstraction, using implicit substitution.
       (Contributed by NM, 13-Sep-1995.) $)
    elab2 $p |- ( A e. B <-> ps ) $=
      ( cvv wcel wb elab2g ax-mp ) DIJDEJBKFABCDEIGHLM $.
  $}

  ${
    $d x ps $.  $d x A $.
    elab4g.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    elab4g.2 $e |- B = { x | ph } $.
    $( Membership in a class abstraction, using implicit substitution.
       (Contributed by NM, 17-Oct-2012.) $)
    elab4g $p |- ( A e. B <-> ( A e. _V /\ ps ) ) $=
      ( wcel cvv elex elab2g biadanii ) DEHDIHBDEJABCDEIFGKL $.
  $}

  ${
    elab3gf.1 $e |- F/_ x A $.
    elab3gf.2 $e |- F/ x ps $.
    elab3gf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction, with a weaker antecedent than
       ~ elabgf .  (Contributed by NM, 6-Sep-2011.) $)
    elab3gf $p |- ( ( ps -> A e. B ) -> ( A e. { x | ph } <-> ps ) ) $=
      ( wcel cab wb wn elabgf ibi pm2.21 impbid2 ja ) BDEIDACJZIZBKBLSBSBABCDRF
      GHMNBSOPABCDEFGHMQ $.
  $}

  ${
    $d x ps $.  $d x A $.
    elab3g.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction, with a weaker antecedent than
       ~ elabg .  (Contributed by NM, 29-Aug-2006.) $)
    elab3g $p |- ( ( ps -> A e. B ) -> ( A e. { x | ph } <-> ps ) ) $=
      ( wcel cab wb wn elabg ibi pm2.21 impbid2 ja ) BDEGDACHZGZBIBJQBQBABCDPFK
      LBQMNABCDEFKO $.
    $( $j usage 'elab3g' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x ps $.  $d x A $.
    elab3.1 $e |- ( ps -> A e. V ) $.
    elab3.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction using implicit substitution.
       (Contributed by NM, 10-Nov-2000.)  (Revised by AV, 16-Aug-2024.) $)
    elab3 $p |- ( A e. { x | ph } <-> ps ) $=
      ( wcel wi cab wb elab3g ax-mp ) BDEHIDACJHBKFABCDEGLM $.
  $}

  ${
    $d A y $.  $d V x y $.  $d ph y $.
    $( Implication for the membership in a restricted class abstraction.
       (Contributed by Alexander van der Vekens, 31-Dec-2017.)  Remove disjoint
       variable condition on ` A , x ` and avoid ~ ax-10 , ~ ax-11 , ~ ax-12 .
       (Revised by SN, 5-Aug-2024.) $)
    elrabi $p |- ( A e. { x e. V | ph } -> A e. V ) $=
      ( vy wcel cv wa cab crab wex dfclel wsb df-clab simpl sbimi clelsb1 sylib
      wceq sylbi eleq1 biimpa sylan2 exlimiv df-rab eleq2s ) CDFZCBGDFZAHZBIZAB
      DJCUJFEGZCSZUKUJFZHZEKUGECUJLUNUGEUMULUKDFZUGUMUIBEMZUOUIEBNUPUHBEMUOUIUH
      BEUHAOPBEDQRTULUOUGUKCDUAUBUCUDTABDUEUF $.
    $( $j usage 'elrabi' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $d A x $.
    $( Obsolete version of ~ elrabi as of 5-Aug-2024.  (Contributed by
       Alexander van der Vekens, 31-Dec-2017.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    elrabiOLD $p |- ( A e. { x e. V | ph } -> A e. V ) $=
      ( wcel cv wa cab crab wceq wex clelab eleq1 anbi1d simprbda exlimiv sylbi
      df-rab eleq2s ) CDEZCBFZDEZAGZBHZABDICUDEUACJZUCGZBKTUCBCLUFTBUEUCTAUEUBT
      AUACDMNOPQABDRS $.
  $}

  ${
    elrabf.1 $e |- F/_ x A $.
    elrabf.2 $e |- F/_ x B $.
    elrabf.3 $e |- F/ x ps $.
    elrabf.4 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a restricted class abstraction, using implicit
       substitution.  This version has bound-variable hypotheses in place of
       distinct variable restrictions.  (Contributed by NM, 21-Sep-2003.) $)
    elrabf $p |- ( A e. { x e. B | ph } <-> ( A e. B /\ ps ) ) $=
      ( crab wcel cvv wa elex adantr cv cab df-rab eleq2i nfel nfan wceq elabgf
      eleq1 anbi12d syl5bb pm5.21nii ) DACEJZKZDLKZDEKZBMZDUHNUKUJBDENOUIDCPZEK
      ZAMZCQZKUJULUHUPDACERSUOULCDLFUKBCCDEFGTHUAUMDUBUNUKABUMDEUDIUEUCUFUG $.
  $}

  ${
    $d x y $.  $d A y $.
    rabtru.1 $e |- F/_ x A $.
    $( Abstract builder using the constant wff ` T. ` .  (Contributed by
       Thierry Arnoux, 4-May-2020.) $)
    rabtru $p |- { x e. A | T. } = A $=
      ( vy wtru crab cv wcel tru nfcv nftru weq biidd elrabf mpbiran2 eqriv ) D
      EABFZBDGZQHRBHEIEEARBARJCAKADLEMNOP $.
  $}

  ${
    $d A x $.
    rabeqc.1 $e |- ( x e. A -> ph ) $.
    $( A restricted class abstraction equals the restricting class if its
       condition follows from the membership of the free setvar variable in the
       restricting class.  (Contributed by AV, 20-Apr-2022.) $)
    rabeqc $p |- { x e. A | ph } = A $=
      ( crab cv wcel wa cab df-rab wceq wb abeq1 pm4.71i bicomi mpgbir eqtri )
      ABCEBFCGZAHZBIZCABCJTCKSRLBSBCMRSRADNOPQ $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.
    $( Membership in a restricted class abstraction, using implicit
       substitution.  (Closed theorem version of ~ elrab3 .)  (Contributed by
       Thierry Arnoux, 31-Aug-2017.) $)
    elrab3t $p |- ( ( A. x ( x = A -> ( ph <-> ps ) ) /\ A e. B ) ->
                                           ( A e. { x e. B | ph } <-> ps ) ) $=
      ( crab wcel cv wa cab wceq wb wi wal df-rab eleq2i id nfa1 nfv nfan eleq1
      sp biimparc biantrurd bibi1d pm5.74da syl5ibcom imp alrimi elabgt syl2an2
      syl5bb ) DACEFZGDCHZEGZAIZCJZGZUNDKZABLZMZCNZDEGZIZBUMUQDACEOPVCVCVBUSUPB
      LZMZCNURBLVCQVDVFCVBVCCVACRVCCSTVBVCVFVBVAVCVFVACUBVCUSUTVEVCUSIZAUPBVGUO
      AUSUOVCUNDEUAUCUDUEUFUGUHUIUPBCDEUJUKUL $.
  $}

  ${
    $d x ps $.  $d x A $.  $d x B $.
    elrab.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a restricted class abstraction, using implicit
       substitution.  (Contributed by NM, 21-May-1999.)  Remove dependency on
       ~ ax-13 .  (Revised by Steven Nguyen, 23-Nov-2022.) $)
    elrab $p |- ( A e. { x e. B | ph } <-> ( A e. B /\ ps ) ) $=
      ( crab wcel cvv wa elex adantr wceq eleq1 anbi12d df-rab elab2g pm5.21nii
      cv ) DACEGZHDIHZDEHZBJZDTKUBUABDEKLCSZEHZAJUCCDTIUDDMUEUBABUDDENFOACEPQR
      $.

    $( Membership in a restricted class abstraction, using implicit
       substitution.  (Contributed by NM, 5-Oct-2006.) $)
    elrab3 $p |- ( A e. B -> ( A e. { x e. B | ph } <-> ps ) ) $=
      ( crab wcel elrab baib ) DACEGHDEHBABCDEFIJ $.
  $}

  ${
    $d A x $.  $d B x $.  $d ch x $.
    elrabd.1 $e |- ( x = A -> ( ps <-> ch ) ) $.
    elrabd.2 $e |- ( ph -> A e. B ) $.
    elrabd.3 $e |- ( ph -> ch ) $.
    $( Membership in a restricted class abstraction, using implicit
       substitution.  Deduction version of ~ elrab .  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    elrabd $p |- ( ph -> A e. { x e. B | ps } ) $=
      ( wcel crab elrab sylanbrc ) AEFJCEBDFKJHIBCDEFGLM $.
  $}

  ${
    $d x ps $.  $d x A $.  $d x B $.
    elrab2.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    elrab2.2 $e |- C = { x e. B | ph } $.
    $( Membership in a restricted class abstraction, using implicit
       substitution.  (Contributed by NM, 2-Nov-2006.) $)
    elrab2 $p |- ( A e. C <-> ( A e. B /\ ps ) ) $=
      ( wcel crab wa eleq2i elrab bitri ) DFIDACEJZIDEIBKFODHLABCDEGMN $.
  $}

  ${
    $d x y $.  $d y A $.  $d y ps $.
    ralab.1 $e |- ( y = x -> ( ph <-> ps ) ) $.
    $( Universal quantification over a class abstraction.  (Contributed by Jeff
       Madsen, 10-Jun-2010.)  Reduce axiom usage.  (Revised by Gino Giotto,
       2-Nov-2024.) $)
    ralab $p |- ( A. x e. { y | ph } ch <-> A. x ( ps -> ch ) ) $=
      ( cab wral cv wcel wal df-ral wsb df-clab sbievw bitri imbi1i biid albii
      wi ) CDAEGZHDIUAJZCTZDKBCTZDKCDUALUCUDDUCUDUDUBBCUBAEDMBADENABEDFOPQUDRPS
      P $.
    $( $j usage 'ralab' avoids 'ax-8' 'ax-9' 'df-clel' 'df-cleq' 'ax-ext'; $)

    $( Obsolete version of ~ ralab as of 2-Nov-2024.  (Contributed by Jeff
       Madsen, 10-Jun-2010.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ralabOLD $p |- ( A. x e. { y | ph } ch <-> A. x ( ps -> ch ) ) $=
      ( cab wral cv wcel wi wal df-ral vex elab imbi1i albii bitri ) CDAEGZHDIZ
      SJZCKZDLBCKZDLCDSMUBUCDUABCABETDNFOPQR $.

    $( Universal quantification over a restricted class abstraction.
       (Contributed by Jeff Madsen, 10-Jun-2010.) $)
    ralrab $p |- ( A. x e. { y e. A | ph } ch <-> A. x e. A ( ps -> ch ) ) $=
      ( wi crab cv wcel wa elrab imbi1i impexp bitri ralbii2 ) CBCHZDAEFIZFDJZS
      KZCHTFKZBLZCHUBRHUAUCCABETFGMNUBBCOPQ $.

    $( Existential quantification over a class abstraction.  (Contributed by
       Mario Carneiro, 23-Jan-2014.)  (Revised by Mario Carneiro, 3-Sep-2015.)
       Reduce axiom usage.  (Revised by Gino Giotto, 2-Nov-2024.) $)
    rexab $p |- ( E. x e. { y | ph } ch <-> E. x ( ps /\ ch ) ) $=
      ( cab wrex wa wn wal wex wi wral dfrex2 ralab xchbinx imnang df-ex bitr4i
      ) CDAEGZHZBCIZJDKZJUCDLUBBCJZMDKZUDUBUEDUANUFCDUAOABUEDEFPQBCDRQUCDST $.
    $( $j usage 'rexab' avoids 'ax-8' 'ax-9' 'df-clel' 'df-cleq' 'ax-ext'; $)

    $( Obsolete version of ~ rexab as of 2-Nov-2024.  (Contributed by Mario
       Carneiro, 23-Jan-2014.)  (Revised by Mario Carneiro, 3-Sep-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    rexabOLD $p |- ( E. x e. { y | ph } ch <-> E. x ( ps /\ ch ) ) $=
      ( cab wrex cv wcel wa wex df-rex vex elab anbi1i exbii bitri ) CDAEGZHDIZ
      SJZCKZDLBCKZDLCDSMUBUCDUABCABETDNFOPQR $.

    $( Existential quantification over a class abstraction.  (Contributed by
       Jeff Madsen, 17-Jun-2011.)  (Revised by Mario Carneiro, 3-Sep-2015.) $)
    rexrab $p |- ( E. x e. { y e. A | ph } ch <-> E. x e. A ( ps /\ ch ) ) $=
      ( wa crab cv wcel elrab anbi1i anass bitri rexbii2 ) CBCHZDAEFIZFDJZRKZCH
      SFKZBHZCHUAQHTUBCABESFGLMUABCNOP $.
  $}

  ${
    $d x y $.  $d x A $.  $d x ch $.  $d x ph $.  $d y ps $.
    ralab2.1 $e |- ( x = y -> ( ps <-> ch ) ) $.
    $( Universal quantification over a class abstraction.  (Contributed by
       Mario Carneiro, 3-Sep-2015.)  Drop ~ ax-8 .  (Revised by Gino Giotto,
       1-Dec-2023.) $)
    ralab2 $p |- ( A. x e. { y | ph } ps <-> A. y ( ph -> ch ) ) $=
      ( cab wral cv wcel wi wal df-ral nfsab1 nfv nfim weq eleq1ab abid bitrdi
      imbi12d cbvalv1 bitri ) BDAEGZHDIUDJZBKZDLACKZELBDUDMUFUGDEUEBEAEDNBEOPUG
      DODEQZUEABCUHUEEIUDJAADEERAESTFUAUBUC $.
    $( $j usage 'ralab2' avoids 'ax-8'; $)

    $( Obsolete version of ~ ralab2 as of 1-Dec-2023.  (Contributed by Mario
       Carneiro, 3-Sep-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ralab2OLD $p |- ( A. x e. { y | ph } ps <-> A. y ( ph -> ch ) ) $=
      ( cab wral cv wcel wi wal df-ral nfsab1 nfv nfim weq eleq1w abid bitrdi
      imbi12d cbvalv1 bitri ) BDAEGZHDIUDJZBKZDLACKZELBDUDMUFUGDEUEBEAEDNBEOPUG
      DODEQZUEABCUHUEEIUDJADEUDRAESTFUAUBUC $.

    $( Universal quantification over a restricted class abstraction.
       (Contributed by Mario Carneiro, 3-Sep-2015.) $)
    ralrab2 $p |- ( A. x e. { y e. A | ph } ps <-> A. y e. A ( ph -> ch ) ) $=
      ( crab wral cv wcel wa cab wi wal df-rab raleqi ralab2 impexp albii
      df-ral bitr4i 3bitri ) BDAEFHZIBDEJFKZALZEMZIUFCNZEOZACNZEFIZBDUDUGAEFPQU
      FBCDEGRUIUEUJNZEOUKUHULEUEACSTUJEFUAUBUC $.
    $( $j usage 'ralrab2' avoids 'ax-8'; $)

    $( Existential quantification over a class abstraction.  (Contributed by
       Mario Carneiro, 3-Sep-2015.)  Drop ~ ax-8 .  (Revised by Gino Giotto,
       1-Dec-2023.) $)
    rexab2 $p |- ( E. x e. { y | ph } ps <-> E. y ( ph /\ ch ) ) $=
      ( cab wrex cv wcel wa wex df-rex nfsab1 nfv nfan weq eleq1ab abid bitrdi
      anbi12d cbvexv1 bitri ) BDAEGZHDIUDJZBKZDLACKZELBDUDMUFUGDEUEBEAEDNBEOPUG
      DODEQZUEABCUHUEEIUDJAADEERAESTFUAUBUC $.
    $( $j usage 'rexab2' avoids 'ax-8'; $)

    $( Obsolete version of ~ rexab2 as of 1-Dec-2023.  (Contributed by Mario
       Carneiro, 3-Sep-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    rexab2OLD $p |- ( E. x e. { y | ph } ps <-> E. y ( ph /\ ch ) ) $=
      ( cab wrex cv wcel wa wex df-rex nfsab1 nfv nfan weq eleq1w abid bitrdi
      anbi12d cbvexv1 bitri ) BDAEGZHDIUDJZBKZDLACKZELBDUDMUFUGDEUEBEAEDNBEOPUG
      DODEQZUEABCUHUEEIUDJADEUDRAESTFUAUBUC $.

    $( Existential quantification over a class abstraction.  (Contributed by
       Mario Carneiro, 3-Sep-2015.) $)
    rexrab2 $p |- ( E. x e. { y e. A | ph } ps <-> E. y e. A ( ph /\ ch ) ) $=
      ( crab wrex cv wcel wa cab wex df-rab rexeqi rexab2 anass exbii df-rex
      bitr4i 3bitri ) BDAEFHZIBDEJFKZALZEMZIUECLZENZACLZEFIZBDUCUFAEFOPUEBCDEGQ
      UHUDUILZENUJUGUKEUDACRSUIEFTUAUB $.
  $}

  ${
    $d x z $.  $d A z $.
    $( Identity used to create closed-form versions of bound-variable
       hypothesis builders for class expressions.  (Contributed by NM,
       10-Nov-2005.)  (Proof shortened by Mario Carneiro, 12-Oct-2016.) $)
    abidnf $p |- ( F/_ x A -> { z | A. x z e. A } = A ) $=
      ( wnfc cv wcel wal sp nfcr nf5rd impbid2 abbi1dv ) ACDZBECFZAGZBCMONNAHMN
      AABCIJKL $.
  $}

  ${
    $d x z $.  $d z A $.
    dedhb.1 $e |- ( A = { z | A. x z e. A } -> ( ph <-> ps ) ) $.
    dedhb.2 $e |- ps $.
    $( A deduction theorem for converting the inference ` |- F/_ x A ` =>
       ` |- ph ` into a closed theorem.  Use ~ nfa1 and ~ nfab to eliminate the
       hypothesis of the substitution instance ` ps ` of the inference.  For
       converting the inference form into a deduction form, ~ abidnf is useful.
       (Contributed by NM, 8-Dec-2006.) $)
    dedhb $p |- ( F/_ x A -> ph ) $=
      ( wnfc cv wcel wal cab wceq wb abidnf eqcomd syl mpbiri ) CEHZABGSEDIEJCK
      DLZMABNSTECDEOPFQR $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    nelrdva.1 $e |- ( ( ph /\ x e. A ) -> x =/= B ) $.
    $( Deduce negative membership from an implication.  (Contributed by Thierry
       Arnoux, 27-Nov-2017.) $)
    nelrdva $p |- ( ph -> -. B e. A ) $=
      ( wcel wceq wa eqidd wne cv wi eleq1 anbi2d imbi12d vtoclg anabsi7 neneqd
      neeq1 pm2.65da ) ADCFZDDGAUAHZDIUBDDAUADDJZABKZCFZHZUDDJZLUBUCLBDCUDDGZUF
      UBUGUCUHUEUAAUDDCMNUDDDSOEPQRT $.
  $}

  ${
    $d y ph $.  $d x y ps $.  $d x y A $.
    eqeu.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( A condition which implies existential uniqueness.  (Contributed by Jeff
       Hankins, 8-Sep-2009.) $)
    eqeu $p |- ( ( A e. B /\ ps /\ A. x ( ph -> x = A ) ) -> E! x ph ) $=
      ( vy wcel cv wceq wi wal w3a wex weq weu spcegv imp 3adant3 eqeq2 3adant2
      imbi2d albidv eu3v sylanbrc ) DEHZBACIZDJZKZCLZMACNZACGOZKZCLZGNZACPUFBUK
      UJUFBUKABCDEFQRSUFUJUOBUFUJUOUNUJGDEGIZDJZUMUICUQULUHAUPDUGTUBUCQRUAACGUD
      UE $.
  $}

  ${
    $d x y A $.
    $( There exists at most one set equal to a given class.  (Contributed by
       NM, 8-Mar-1995.)  Shorten combined proofs of ~ moeq and ~ eueq .  (Proof
       shortened by BJ, 24-Sep-2022.) $)
    moeq $p |- E* x x = A $=
      ( vy cv wceq wmo wa weq wi wal eqtr3 gen2 eqeq1 mo4 mpbir ) ADZBEZAFQCDZB
      EZGACHIZCJAJTACPRBKLQSACPRBMNO $.
  $}

  ${
    $d x A $.
    $( A class is a set if and only if there exists a unique set equal to it.
       (Contributed by NM, 25-Nov-1994.)  Shorten combined proofs of ~ moeq and
       ~ eueq .  (Proof shortened by BJ, 24-Sep-2022.) $)
    eueq $p |- ( A e. _V <-> E! x x = A ) $=
      ( cv wceq wex wmo wa cvv wcel weu moeq biantru isset df-eu 3bitr4i ) ACBD
      ZAEZQPAFZGBHIPAJRQABKLABMPANO $.
  $}

  ${
    $d x A $.
    eueqi.1 $e |- A e. _V $.
    $( There exists a unique set equal to a given set.  Inference associated
       with ~ euequ .  See ~ euequ in the case of a setvar.  (Contributed by
       NM, 5-Apr-1995.) $)
    eueqi $p |- E! x x = A $=
      ( cvv wcel cv wceq weu eueq mpbi ) BDEAFBGAHCABIJ $.
  $}

  ${
    $d x ph $.  $d x A $.  $d x B $.
    eueq2.1 $e |- A e. _V $.
    eueq2.2 $e |- B e. _V $.
    $( Equality has existential uniqueness (split into 2 cases).  (Contributed
       by NM, 5-Apr-1995.) $)
    eueq2 $p |- E! x ( ( ph /\ x = A ) \/ ( -. ph /\ x = B ) ) $=
      ( cv wceq wa wn weu eueqi euanv biimpri mpan2 euorv bianfd eubidv mpbid
      wo notnot syl2anc orcom orbi2d syl5bb mpdan id orbi1d pm2.61i ) AABGZCHZI
      ZAJZUJDHZIZTZBKZAUMULTZBKZUQAUMJULBKZUSAUAZAUKBKZUTBCELUTAVBIAUKBMNOUMULB
      PUBAURUPBURULUMTAUPUMULUCAUMUOULAUMUNVAQUDUERSUMAUOTZBKZUQUMUOBKZVDUMUNBK
      ZVEBDFLVEUMVFIUMUNBMNOAUOBPUFUMVCUPBUMAULUOUMAUKUMUGQUHRSUI $.
  $}

  ${
    $d x ph $.  $d x ps $.  $d x A $.  $d x B $.  $d x C $.
    eueq3.1 $e |- A e. _V $.
    eueq3.2 $e |- B e. _V $.
    eueq3.3 $e |- C e. _V $.
    eueq3.4 $e |- -. ( ph /\ ps ) $.
    $( Equality has existential uniqueness (split into 3 cases).  (Contributed
       by NM, 5-Apr-1995.)  (Proof shortened by Mario Carneiro,
       28-Sep-2015.) $)
    eueq3 $p |- E! x ( ( ph /\ x = A ) \/ ( -. ( ph \/ ps ) /\ x = B )
                \/ ( ps /\ x = C ) ) $=
      ( wceq wa wo wn w3o weu eueqi ibar wb con2i cv pm2.45 imnani jaoi orbi12d
      bianfd mtbid biorf bitrd 3orrot df-3or bitri bitr4di eubidv adantr pm2.46
      syl mpbii simpl orim12i nsyl5 3orcomb ecase3 ) ABACUAZDKZLZABMZNZVDEKZLZB
      VDFKZLZOZCPZAVECPVNCDGQAVEVMCAVEVJVLMZVFMZVMAVEVFVPAVERAVONVFVPSAVHBMZVOV
      QAVHANBABUBZABABJUCZTUDTAVHVJBVLAVHVIVHAVRTUFABVKVSUFUEUGVOVFUHUQUIVMVJVL
      VFOVPVFVJVLUJVJVLVFUKULUMUNURBVKCPVNCFIQBVKVMCBVKVFVJMZVLMZVMBVKVLWABVKRB
      VTNVLWASVTBVFBNZVJAWBVEVSUOVHWBVIABUPUOUDTVTVLUHUQUIVFVJVLUKUMUNURVHVICPV
      NCEHQVHVIVMCVHVIVFVLMZVJMZVMVHVIVJWDVHVIRWCVGVJWDSVFAVLBAVEUSBVKUSUTWCVJU
      HVAUIVMVFVLVJOWDVFVJVLVBVFVLVJUKULUMUNURVC $.
  $}

  ${
    $d x y ph $.  $d x y ps $.  $d x y A $.  $d x y B $.  $d x y C $.
    moeq3.1 $e |- B e. _V $.
    moeq3.2 $e |- C e. _V $.
    moeq3.3 $e |- -. ( ph /\ ps ) $.
    $( "At most one" property of equality (split into 3 cases).  (The first two
       hypotheses could be eliminated with longer proof.)  (Contributed by NM,
       23-Apr-1995.) $)
    moeq3 $p |- E* x ( ( ph /\ x = A ) \/ ( -. ( ph \/ ps ) /\ x = B )
                \/ ( ps /\ x = C ) ) $=
      ( vy cvv cv wceq wa wo wn w3o weu biidd 3orass wmo eqeq2 anbi2d 3orbi123d
      wcel eubidv vex vtoclg eumo syl wi wal eqvisset pm2.21 syl5 anim2d orim1d
      eueq3 3imtr4g alrimiv euimmo mpisyl pm2.61i ) DKUEZACLZDMZNZABOPVEEMNZBVE
      FMNZQZCUAZVDVJCRZVKAVEJLZMZNZVHVIQZCRZVLJDKVMDMZVPVJCVRVOVGVHVHVIVIVRVNVF
      AVMDVEUBUCVRVHSVRVISUDUFABCVMEFJUGGHIURZUHVJCUIUJVDPZVJVPUKZCULVQVKVTWACV
      TVGVHVIOZOVOWBOVJVPVTVGVOWBVTVFVNAVFVDVTVNCDUMVDVNUNUOUPUQVGVHVITVOVHVITU
      SUTVSVJVPCVAVBVC $.
  $}

  ${
    $d x y A $.
    mosub.1 $e |- E* x ph $.
    $( "At most one" remains true after substitution.  (Contributed by NM,
       9-Mar-1995.) $)
    mosub $p |- E* x E. y ( y = A /\ ph ) $=
      ( cv wceq wmo wal wa wex moeq ax-gen moexexvw mp2an ) CFDGZCHABHZCIPAJCKB
      HCDLQCEMPACBNO $.
  $}

  ${
    $d x y z A $.  $d y z ph $.
    $( Theorem for inferring "at most one".  (Contributed by NM,
       17-Oct-1996.) $)
    mo2icl $p |- ( A. x ( ph -> x = A ) -> E* x ph ) $=
      ( vy vz cvv wcel cv wi wal wmo weq eqeq2 imbi2d albidv imbi1d wex equequ2
      wceq wn 19.8aw df-mo sylibr vtoclg imim2i con3rr3 alimdv alnex nexmo syl6
      eqvisset sylbi pm2.61i ) CFGZABHZCSZIZBJZABKZIZABDLZIZBJZUSIUTDCFDHZCSZVC
      URUSVEVBUQBVEVAUPAVDCUOMNOPVCVCDQUSVCABELZIZBJDEDELZVBVGBVHVAVFADEBRNOUAA
      BDUBUCUDUNTZURATZBJZUSVIUQVJBUQAUNUPUNABCUKUEUFUGVKABQTUSABUHABUIULUJUM
      $.
  $}

  ${
    $d x y A $.  $d y ph $.  $d x y ps $.
    moi2.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Consequence of "at most one".  (Contributed by NM, 2-Jan-2015.) $)
    mob2 $p |- ( ( A e. B /\ E* x ph /\ ph ) -> ( x = A <-> ps ) ) $=
      ( vy wcel wmo w3a cv wceq simp3 syl5ibcom wi wa wsb wal nfv sbhypf anbi2d
      eqeq2 imbi12d spcgv nfs1v sbequ12 mo4f sp sylbi impel expd 3impia impbid
      ) DEHZACIZAJZCKZDLZBUPAURBUNUOAMFNUNUOABUROUNUOPABURUNAACGQZPZUQGKZLZOZGR
      ZABPZUROZUOVCVFGDEVADLZUTVEVBURVGUSBAABCGDBCSFTUAVADUQUBUCUDUOVDCRVDAUSCG
      ACGUEACGUFUGVDCUHUIUJUKULUM $.

    $( Consequence of "at most one".  (Contributed by NM, 29-Jun-2008.) $)
    moi2 $p |- ( ( ( A e. B /\ E* x ph ) /\ ( ph /\ ps ) ) -> x = A ) $=
      ( wcel wmo wa cv wceq wb mob2 3expa biimprd impr ) DEGZACHZIZABCJDKZSAITB
      QRATBLABCDEFMNOP $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ch $.  $d x ps $.
    moi.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    moi.2 $e |- ( x = B -> ( ph <-> ch ) ) $.
    $( Equality implied by "at most one".  (Contributed by NM, 18-Feb-2006.) $)
    mob $p |- ( ( ( A e. C /\ B e. D ) /\ E* x ph /\ ps ) ->
                ( A = B <-> ch ) ) $=
      ( wcel wa wmo wceq wb wi cvv elex w3a nfv nfmo1 nf3an nfim 3anbi3d bibi1d
      cv eqeq1 imbi12d mob2 vtoclg1f com12 3expib syl com3r imp 3impib ) EGKZFH
      KZLADMZBEFNZCOZUQURUSBLZVAPURVBUQVAURFQKZVBUQVAPZPFHRVCUSBVDUQVCUSBSZVAVC
      USASZDUFZFNZCOZPVEVAPDEGVEVADVCUSBDVCDTADUABDTUBVADTUCVGENZVFVEVIVAVJABVC
      USIUDVJVHUTCVGEFUGUEUHACDFQJUIUJUKULUMUNUOUP $.

    $( Equality implied by "at most one".  (Contributed by NM, 18-Feb-2006.) $)
    moi $p |- ( ( ( A e. C /\ B e. D ) /\ E* x ph /\ ( ps /\ ch ) ) ->
              A = B ) $=
      ( wcel wa wmo wceq wi w3a mob biimprd 3expia impd 3impia ) EGKFHKLZADMZBC
      LEFNZUBUCLBCUDUBUCBCUDOUBUCBPUDCABCDEFGHIJQRSTUA $.
  $}

  ${
    $d B x $.  $d A x $.  $d ps x $.
    morex.1 $e |- B e. _V $.
    morex.2 $e |- ( x = B -> ( ph <-> ps ) ) $.
    $( Derive membership from uniqueness.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    morex $p |- ( ( E. x e. A ph /\ E* x ph ) -> ( ps -> B e. A ) ) $=
      ( wmo wrex wcel wi cv wa wex df-rex exancom bitri wal nfmo1 nfe1 nfan syl
      mopick alrimi wceq eleq1 imbi12d spcv sylan2b ancoms ) ACHZACDIZBEDJZKZUL
      UKACLZDJZMZCNZUNULUPAMCNURACDOUPACPQUKURMZAUPKZCRUNUSUTCUKURCACSUQCTUAAUP
      CUCUDUTUNCEFUOEUEABUPUMGUOEDUFUGUHUBUIUJ $.
  $}

  ${
    $d x ph $.  $d x A $.  $d x y $.
    euxfr2w.1 $e |- A e. _V $.
    euxfr2w.2 $e |- E* y x = A $.
    $( Transfer existential uniqueness from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  Version of ~ euxfr2 with
       a disjoint variable condition, which does not require ~ ax-13 .
       (Contributed by NM, 14-Nov-2004.)  (Revised by Gino Giotto,
       10-Jan-2024.) $)
    euxfr2w $p |- ( E! x E. y ( x = A /\ ph ) <-> E! y ph ) $=
      ( cv wceq wa wex weu wmo wi 2euswapv moani ancom mobii mpbi mpg moeq
      impbii biidd ceqsexv eubii bitri ) BGDHZAIZCJBKZUGBJZCKZACKUHUJUGCLZUHUJM
      BUGBCNAUFIZCLUKUFACFOULUGCAUFPZQRSUGBLZUJUHMCUGCBNULBLUNUFABBDTOULUGBUMQR
      SUAUIACAABDEUFAUBUCUDUE $.
    $( $j usage 'euxfr2w' avoids 'ax-13'; $)
  $}

  ${
    $d x ps $.  $d y ph $.  $d x A $.  $d x y $.
    euxfrw.1 $e |- A e. _V $.
    euxfrw.2 $e |- E! y x = A $.
    euxfrw.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Transfer existential uniqueness from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  Version of ~ euxfr with
       a disjoint variable condition, which does not require ~ ax-13 .
       (Contributed by NM, 14-Nov-2004.)  (Revised by Gino Giotto,
       10-Jan-2024.) $)
    euxfrw $p |- ( E! x ph <-> E! y ps ) $=
      ( weu cv wceq wa wex euex ax-mp biantrur 19.41v pm5.32i exbii 3bitr2i
      eubii eumoi euxfr2w bitri ) ACICJEKZBLZDMZCIBDIAUGCAUEDMZALUEALZDMUGUHAUE
      DIUHGUEDNOPUEADQUIUFDUEABHRSTUABCDEFUEDGUBUCUD $.
    $( $j usage 'euxfrw' avoids 'ax-13'; $)
  $}

  ${
    $d x ph $.  $d x A $.
    euxfr2.1 $e |- A e. _V $.
    euxfr2.2 $e |- E* y x = A $.
    $( Transfer existential uniqueness from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ euxfr2w
       when possible.  (Contributed by NM, 14-Nov-2004.)
       (New usage is discouraged.) $)
    euxfr2 $p |- ( E! x E. y ( x = A /\ ph ) <-> E! y ph ) $=
      ( cv wceq wa wex weu wmo wi 2euswap moani ancom mobii mpbi mpg moeq biidd
      impbii ceqsexv eubii bitri ) BGDHZAIZCJBKZUGBJZCKZACKUHUJUGCLZUHUJMBUGBCN
      AUFIZCLUKUFACFOULUGCAUFPZQRSUGBLZUJUHMCUGCBNULBLUNUFABBDTOULUGBUMQRSUBUIA
      CAABDEUFAUAUCUDUE $.
  $}

  ${
    $d x ps $.  $d y ph $.  $d x A $.
    euxfr.1 $e |- A e. _V $.
    euxfr.2 $e |- E! y x = A $.
    euxfr.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Transfer existential uniqueness from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ euxfrw
       when possible.  (Contributed by NM, 14-Nov-2004.)
       (New usage is discouraged.) $)
    euxfr $p |- ( E! x ph <-> E! y ps ) $=
      ( weu cv wceq wa wex euex ax-mp biantrur 19.41v pm5.32i exbii 3bitr2i
      eubii eumoi euxfr2 bitri ) ACICJEKZBLZDMZCIBDIAUGCAUEDMZALUEALZDMUGUHAUED
      IUHGUEDNOPUEADQUIUFDUEABHRSTUABCDEFUEDGUBUCUD $.
  $}

  ${
    $d y z w ph $.  $d x z ps $.  $d y z w A $.  $d x z B $.  $d x y w $.
    euind.1 $e |- B e. _V $.
    euind.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Existential uniqueness via an indirect equality.  (Contributed by NM,
       11-Oct-2010.) $)
    euind $p |- ( ( A. x A. y ( ( ph /\ ps ) -> A = B ) /\ E. x ph )
                 -> E! z A. x ( ph -> z = A ) ) $=
      ( vw wa wceq wi wal wex cv exbii bitri imim2i sylib cbvexvw isseti 19.41v
      weu biantrur excom 3bitr2i wb eqeq2 biimpr an31 imbi1i impexp 3bitr3i syl
      2alimi 19.23v albii 19.21v eximdv syl5bi pm4.24 biimpi anim12 eqtr3 syl56
      imp alanimi com12 alrimivv adantl eqeq1 imbi2d albidv eu4 sylanbrc ) ABKZ
      FGLZMZDNCNZACOZKAEPZFLZMZCNZEOZWEAJPZFLZMZCNZKZWBWGLZMZJNENZWEEUDVTWAWFWA
      WBGLZBKZDOZEOZVTWFWABDOZWRABCDIUAWSWOEOZBKZDOWPEOZDOWRBXADWTBEGHUBUEQXBXA
      DWOBEUCQWPDEUFUGRVTWQWEEVTWPWDMZDNZCNZWQWEMZVSXCCDVSVQWCWOUHZMZXCVRXGVQFG
      WBUISXHVQWOWCMZMZXCXGXIVQWCWOUJSVQWOKZWCMWPAKZWCMXJXCXKXLWCABWOUKULVQWOWC
      UMWPAWCUMUNTUOUPXEWQWDMZCNXFXDXMCWPWDDUQURWQWDCUSRTUTVAVGWAWNVTWAWMEJWKWA
      WLWKAWLMZCNWAWLMWDWIXNCAAAKZWDWIKWCWHKWLAXOAVBVCAWCAWHVDWBWGFVEVFVHAWLCUQ
      TVIVJVKWEWJEJWLWDWICWLWCWHAWBWGFVLVMVNVOVP $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y ph $.  $d x ps $.
    $( A way to express restricted uniqueness.  (Contributed by NM,
       22-Nov-1994.) $)
    reu2 $p |- ( E! x e. A ph <-> ( E. x e. A ph /\
               A. x e. A A. y e. A ( ( ph /\ [ y / x ] ph ) -> x = y ) ) ) $=
      ( cv wcel wa weu wex wsb weq wi wal wreu wral df-ral impexp albii 3bitr4i
      nfv wrex eu2 df-reu df-rex 19.21v nfs1v nfan eleq1w sbequ12 anbi12d sbiev
      anbi2i an4 bitri imbi1i 3bitri imbi2i bitr4i anbi12i ) BEDFZAGZBHVABIZVAV
      ABCJZGZBCKZLZCMZBMZGABDNABDUAZAABCJZGZVELZCDOZBDOZGVABCVACTUBABDUCVIVBVNV
      HABDUDVNUTVMLZBMVHVMBDPVGVOBUTCEDFZVLLZLZCMUTVQCMZLVGVOUTVQCUEVFVRCVFUTVP
      GZVKGZVELVTVLLVRVDWAVEVDVAVPVJGZGWAVCWBVAVAWBBCVPVJBVPBTABCUFUGVEUTVPAVJB
      CDUHABCUIUJUKULUTAVPVJUMUNUOVTVKVEQUTVPVLQUPRVMVSUTVLCDPUQSRURUSS $.

    $( A way to express restricted uniqueness.  (Contributed by NM,
       20-Oct-2006.) $)
    reu6 $p |- ( E! x e. A ph <-> E. y e. A A. x e. A ( ph <-> x = y ) ) $=
      ( wreu cv wcel wa weu weq wb wral wrex df-reu wal wex wi biimprcd 3bitr4i
      19.28v wsb eleq1w sbequ12 anbi12d equequ1 bibi12d equid tbt sylbir syl6bi
      simpl spimvw ibar bibi1d sps axc4i biimp imim2i impd adantl adantr simplr
      jca imp simpr biimpr syl6ci jcai ex impbid alimi impbii df-ral anbi2i eu6
      exbii df-rex bitri ) ABDEBFDGZAHZBIZABCJZKZBDLZCDMZABDNVTWBKZBOZCPCFDGZWD
      HZCPWAWEWGWICWHVSWCQZHZBOZWHWJBOZHWGWIWHWJBTWGWLWFWKBWGWHWJWFWHBCWBWFWHAB
      CUAZHZCCJZKZWHWBVTWOWBWPWBVSWHAWNBCDUBZABCUCUDBCCUEUFWQWOWHWPWOCUGUHWHWNU
      KUIUJULWFWJBVSWCWFVSAVTWBVSAUMUNRUOVCUPWKWFBWKVTWBWJVTWBQWHWJVSAWBWCAWBQV
      SAWBUQURUSUTWKWBVTWKWBHZVSAWKWBVSWHWBVSQWJWBVSWHWRRVAVDWSVSWCWBAWHWJWBVBW
      KWBVEAWBVFVGVHVIVJVKVLWDWMWHWCBDVMVNSVPVTBCVOWDCDVQSVR $.

    $( A way to express restricted uniqueness.  (Contributed by NM,
       24-Oct-2006.) $)
    reu3 $p |- ( E! x e. A ph <->
               ( E. x e. A ph /\ E. y e. A A. x e. A ( ph -> x = y ) ) ) $=
      ( wreu wrex weq wi wral wa reurex wb reu6 biimp ralimi reximi jca wex wal
      sylbi rexex anim2i wcel weu eu3v df-reu df-rex df-ral impexp albii bitr4i
      cv exbii anbi12i 3bitr4i sylibr impbii ) ABDEZABDFZABCGZHZBDIZCDFZJZURUSV
      CABDKURAUTLZBDIZCDFVCABCDMVFVBCDVEVABDAUTNOPTQVDUSVBCRZJZURVCVGUSVBCDUAUB
      BULDUCZAJZBUDVJBRZVJUTHZBSZCRZJURVHVJBCUEABDUFUSVKVGVNABDUGVBVMCVBVIVAHZB
      SVMVABDUHVLVOBVIAUTUIUJUKUMUNUOUPUQ $.

    $( A condition which implies existential uniqueness.  (Contributed by Mario
       Carneiro, 2-Oct-2015.) $)
    reu6i $p |- ( ( B e. A /\ A. x e. A ( ph <-> x = B ) ) -> E! x e. A ph ) $=
      ( vy wcel cv wceq wb wral wa wrex wreu eqeq2 bibi2d ralbidv rspcev sylibr
      reu6 ) DCFABGZDHZIZBCJZKATEGZHZIZBCJZECLABCMUGUCEDCUDDHZUFUBBCUHUEUAAUDDT
      NOPQABECSR $.

    eqreu.1 $e |- ( x = B -> ( ph <-> ps ) ) $.
    $( A condition which implies existential uniqueness.  (Contributed by Mario
       Carneiro, 2-Oct-2015.) $)
    eqreu $p |- ( ( B e. A /\ ps /\ A. x e. A ( ph -> x = B ) ) ->
      E! x e. A ph ) $=
      ( wcel cv wceq wi wral wreu wa wb ralbiim ceqsralv anbi2d syl5bb reu6i ex
      sylbird 3impib 3com23 ) EDGZACHEIZJCDKZBACDLZUDUFBUGUDUFBMZAUENCDKZUGUIUF
      UEAJCDKZMUDUHAUECDOUDUJBUFABCEDFPQRUDUIUGACDESTUAUBUC $.
  $}

  ${
    $d x y z A $.  $d y z ph $.  $d x z ps $.
    rmo4.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Restricted "at most one" using implicit substitution.  (Contributed by
       NM, 24-Oct-2006.)  (Revised by NM, 16-Jun-2017.) $)
    rmo4 $p |- ( E* x e. A ph <->
               A. x e. A A. y e. A ( ( ph /\ ps ) -> x = y ) ) $=
      ( wrmo cv wcel wa wmo weq wi wral df-rmo wal bitri impexp albii df-ral
      an4 ancom anbi1i imbi1i 3bitri r19.21v 3bitr2i eleq1w anbi12d mo4 3bitr4i
      ) ACEGCHEIZAJZCKZABJZCDLZMZDENZCENZACEOUMDHEIZBJZJZUPMZDPZCPULURMZCPUNUSV
      DVECVDUTULUQMZMZDPVFDENVEVCVGDVCUTULJZUOJZUPMVHUQMVGVBVIUPVBULUTJZUOJVIUL
      AUTBUAVJVHUOULUTUBUCQUDVHUOUPRUTULUQRUESVFDETULUQDEUFUGSUMVACDUPULUTABCDE
      UHFUIUJURCETUKQ $.

    $( Restricted uniqueness using implicit substitution.  (Contributed by NM,
       23-Nov-1994.) $)
    reu4 $p |- ( E! x e. A ph <-> ( E. x e. A ph /\
             A. x e. A A. y e. A ( ( ph /\ ps ) -> x = y ) ) ) $=
      ( wreu wrex wrmo wa weq wi wral reu5 rmo4 anbi2i bitri ) ACEGACEHZACEIZJR
      ABJCDKLDEMCEMZJACENSTRABCDEFOPQ $.

    $( Restricted uniqueness using implicit substitution.  (Contributed by NM,
       24-Oct-2006.) $)
    reu7 $p |- ( E! x e. A ph <-> ( E. x e. A ph /\
             E. x e. A A. y e. A ( ps -> x = y ) ) ) $=
      ( vz wreu wrex weq wi wral wa reu3 equequ1 equcom bitrdi imbi12d cbvralvw
      bitri rexbii imbi2d ralbidv cbvrexvw anbi2i ) ACEHACEIZACGJZKZCELZGEIZMUF
      BCDJZKZDELZCEIZMACGENUJUNUFUJBGDJZKZDELZGEIUNUIUQGEUHUPCDEUKABUGUOFUKUGDG
      JUOCDGODGPQRSUAUQUMGCEGCJZUPULDEURUOUKBGCDOUBUCUDTUET $.

    $( Restricted uniqueness using implicit substitution.  (Contributed by NM,
       24-Oct-2006.) $)
    reu8 $p |- ( E! x e. A ph <-> E. x e. A ( ph /\
                A. y e. A ( ps -> x = y ) ) ) $=
      ( wreu weq wb wral wrex wi wa cbvreuvw reu6 cv wcel ralbii wal syl5bb a1i
      dfbi2 r19.26 ancom equcom imbi2i biimt df-ral bi2.04 albii eleq1w imbi12d
      bicomd equcoms equsalvw 3bitrri bitrdi anbi12d bitr4id rexbiia 3bitri ) A
      CEGBDEGBDCHZIZDEJZCEKABCDHZLZDEJZMZCEKABCDEFNBDCEOVDVHCEVDBVBLZVBBLZMZDEJ
      ZCPEQZVHVCVKDEBVBUBRVMVLVIDEJZVJDEJZMZVHVIVJDEUCVHVGAMVMVPAVGUDVMVGVNAVOV
      GVNIVMVFVIDEVEVBBCDUEUFRUAVMAVMALZVOVMAUGVODPEQZVJLZDSVBVRBLZLZDSVQVJDEUH
      VSWADVRVBBUIUJVTVQDCVTVQICDVEVQVTVEVMVRABCDEUKFULUMUNUOUPUQURTUSTUTVA $.
  $}

  ${
    $d x y $.
    rmo3f.1 $e |- F/_ x A $.
    rmo3f.2 $e |- F/_ y A $.
    rmo3f.3 $e |- F/ y ph $.
    $( Restricted "at most one" using explicit substitution.  (Contributed by
       NM, 4-Nov-2012.)  (Revised by NM, 16-Jun-2017.)  (Revised by Thierry
       Arnoux, 8-Oct-2017.) $)
    rmo3f $p |- ( E* x e. A ph <->
               A. x e. A A. y e. A ( ( ph /\ [ y / x ] ph ) -> x = y ) ) $=
      ( cv wcel wa wsb wi wral wal anbi1i bitri 3bitri impexp albii df-ral wrmo
      wmo weq df-rmo sban clelsb1fw anbi2i an4 ancom imbi1i r19.21 3bitr2i nfan
      nfcri mo3 3bitr4i ) ABDUABHDIZAJZBUBZAABCKZJZBCUCZLZCDMZBDMZABDUDURURBCKZ
      JZVBLZCNZBNUQVDLZBNUSVEVIVJBVICHDIZUQVCLZLZCNVLCDMVJVHVMCVHVKUQJZVAJZVBLV
      NVCLVMVGVOVBVGURVKUTJZJUQVKJZVAJVOVFVPURVFUQBCKZUTJVPUQABCUEVRVKUTBCDEUFO
      PUGUQAVKUTUHVQVNVAUQVKUIOQUJVNVAVBRVKUQVCRQSVLCDTUQVCCDCBDFUNZUKULSURBCUQ
      ACVSGUMUOVDBDTUPP $.
  $}

  ${
    $d x y $.  $d y ph $.
    rmo4f.1 $e |- F/_ x A $.
    rmo4f.2 $e |- F/_ y A $.
    rmo4f.3 $e |- F/ x ps $.
    rmo4f.4 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Restricted "at most one" using implicit substitution.  (Contributed by
       NM, 24-Oct-2006.)  (Revised by Thierry Arnoux, 11-Oct-2016.)  (Revised
       by Thierry Arnoux, 8-Mar-2017.)  (Revised by Thierry Arnoux,
       8-Oct-2017.) $)
    rmo4f $p |- ( E* x e. A ph <->
               A. x e. A A. y e. A ( ( ph /\ ps ) -> x = y ) ) $=
      ( wrmo wsb wa weq wi wral nfv rmo3f sbiev anbi2i imbi1i 2ralbii bitri ) A
      CEJAACDKZLZCDMZNZDEOCEOABLZUENZDEOCEOACDEFGADPQUFUHCDEEUDUGUEUCBAABCDHIRS
      TUAUB $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.  $d ch x y $.  $d ps y $.
    $d th x y $.
    reu2eqd.1 $e |- ( x = B -> ( ps <-> ch ) ) $.
    reu2eqd.2 $e |- ( x = C -> ( ps <-> th ) ) $.
    reu2eqd.3 $e |- ( ph -> E! x e. A ps ) $.
    reu2eqd.4 $e |- ( ph -> B e. A ) $.
    reu2eqd.5 $e |- ( ph -> C e. A ) $.
    reu2eqd.6 $e |- ( ph -> ch ) $.
    reu2eqd.7 $e |- ( ph -> th ) $.
    $( Deduce equality from restricted uniqueness, deduction version.
       (Contributed by Thierry Arnoux, 27-Nov-2019.) $)
    reu2eqd $p |- ( ph -> B = C ) $=
      ( vy wceq wa wi nfv wsb cv wral wrex wreu reu2 sylib wcel nfs1v nfan nfim
      simprd anbi1d eqeq1 imbi12d sbhypf anbi2d eqeq2 rspc2 syl2anc mpd mp2and
      ) ACDGHQZNOABBEPUAZRZEUBZPUBZQZSZPFUCEFUCZCDRZVCSZABEFUDZVJABEFUEVMVJRKBE
      PFUFUGULAGFUHHFUHVJVLSLMVIVLCVDRZGVGQZSEPGHFFVNVOECVDECETBEPUIUJVOETUKVLP
      TVFGQZVEVNVHVOVPBCVDIUMVFGVGUNUOVGHQZVNVKVOVCVQVDDCBDEPHDETJUPUQVGHGURUOU
      SUTVAVB $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Equality has existential uniqueness.  (Contributed by Mario Carneiro,
       1-Sep-2015.) $)
    reueq $p |- ( B e. A <-> E! x e. A x = B ) $=
      ( wcel cv wceq wrex wreu risset wrmo wmo moeq mormo ax-mp mpbiran2 bitr4i
      reu5 ) CBDAECFZABGZRABHZACBITSRABJZRAKUAACLRABMNRABQOP $.
  $}

  ${
    $d x A $.
    $( Equality's restricted existential "at most one" property.  (Contributed
       by Thierry Arnoux, 30-Mar-2018.)  (Revised by AV, 27-Oct-2020.)  (Proof
       shortened by NM, 29-Oct-2020.) $)
    rmoeq $p |- E* x e. B x = A $=
      ( cv wceq wrmo wcel wa wmo moeq moani df-rmo mpbir ) ADZBEZACFNCGZOHAIOPA
      ABJKOACLM $.
  $}

  $( Restricted "at most one" still holds when a conjunct is added.
     (Contributed by NM, 16-Jun-2017.) $)
  rmoan $p |- ( E* x e. A ph -> E* x e. A ( ps /\ ph ) ) $=
    ( cv wcel wa wmo wrmo moan an12 mobii sylib df-rmo 3imtr4i ) CEDFZAGZCHZPBA
    GZGZCHZACDISCDIRBQGZCHUAQBCJUBTCBPAKLMACDNSCDNO $.

  $( Restricted "at most one" is preserved through implication (note wff
     reversal).  (Contributed by Alexander van der Vekens, 17-Jun-2017.) $)
  rmoim $p |- ( A. x e. A ( ph -> ps ) -> ( E* x e. A ps -> E* x e. A ph ) ) $=
    ( wi wral cv wcel wa wal wrmo df-ral imdistan albii wmo moim df-rmo 3imtr4g
    bitri sylbi ) ABEZCDFZCGDHZAIZUCBIZEZCJZBCDKZACDKZEUBUCUAEZCJUGUACDLUJUFCUC
    ABMNSUGUECOUDCOUHUIUDUECPBCDQACDQRT $.

  ${
    rmoimia.1 $e |- ( x e. A -> ( ph -> ps ) ) $.
    $( Restricted "at most one" is preserved through implication (note wff
       reversal).  (Contributed by Alexander van der Vekens, 17-Jun-2017.) $)
    rmoimia $p |- ( E* x e. A ps -> E* x e. A ph ) $=
      ( wi wrmo rmoim mprg ) ABFBCDGACDGFCDABCDHEI $.
  $}

  ${
    rmoimi.1 $e |- ( ph -> ps ) $.
    $( Restricted "at most one" is preserved through implication (note wff
       reversal).  (Contributed by Alexander van der Vekens, 17-Jun-2017.) $)
    rmoimi $p |- ( E* x e. A ps -> E* x e. A ph ) $=
      ( wi cv wcel a1i rmoimia ) ABCDABFCGDHEIJ $.
  $}

  ${
    rmoimi2.1 $e |- A. x ( ( x e. A /\ ph ) -> ( x e. B /\ ps ) ) $.
    $( Restricted "at most one" is preserved through implication (note wff
       reversal).  (Contributed by Alexander van der Vekens, 17-Jun-2017.) $)
    rmoimi2 $p |- ( E* x e. B ps -> E* x e. A ph ) $=
      ( cv wcel wa wmo wrmo wi wal moim ax-mp df-rmo 3imtr4i ) CGZEHBIZCJZRDHAI
      ZCJZBCEKACDKUASLCMTUBLFUASCNOBCEPACDPQ $.
  $}

  $( Double restricted existential uniqueness in terms of restricted existence
     and restricted "at most one".  (Contributed by Alexander van der Vekens,
     17-Jun-2017.) $)
  2reu5a $p |- ( E! x e. A E! y e. B ph <->
                ( E. x e. A ( E. y e. B ph /\ E* y e. B ph )
                  /\ E* x e. A ( E. y e. B ph /\ E* y e. B ph ) ) ) $=
    ( wreu wrex wrmo wa reu5 rexbii rmobii anbi12i bitri ) ACEFZBDFOBDGZOBDHZIA
    CEGACEHIZBDGZRBDHZIOBDJPSQTORBDACEJZKORBDUALMN $.

  $( Restricted uniqueness implies restricted "at most one" through
     implication, analogous to ~ euimmo .  (Contributed by Alexander van der
     Vekens, 25-Jun-2017.) $)
  reuimrmo $p |- ( A. x e. A ( ph -> ps )
                   -> ( E! x e. A ps -> E* x e. A ph ) ) $=
    ( wreu wrmo wi wral reurmo rmoim syl5 ) BCDEBCDFABGCDHACDFBCDIABCDJK $.

  ${
    $d x y $.  $d y A $.  $d x B $.
    $( A condition allowing swap of uniqueness and existential quantifiers.
       (Contributed by Thierry Arnoux, 7-Apr-2017.)  (Revised by NM,
       16-Jun-2017.) $)
    2reuswap $p |- ( A. x e. A E* y e. B ph ->
                   ( E! x e. A E. y e. B ph -> E! y e. B E. x e. A ph ) ) $=
      ( wral cv wcel wa wmo wrex wreu wal wex weu df-reu r19.42v df-rex bitri
      wi wrmo df-rmo ralbii df-ral moanimv albii bitr4i bitr3i an12 exbii eubii
      2euswapv 3imtr4g sylbi ) ACEUAZBDFCGEHZAIZCJZBDFZACEKZBDLZABDKZCELZTZUOUR
      BDACEUBUCUSBGDHZUQIZCJZBMZVDUSVEURTZBMVHURBDUDVGVIBVEUQCUEUFUGVHVFCNZBOZV
      FBNZCOZVAVCVFBCULVAVEUTIZBOVKUTBDPVNVJBVNUPVEAIZIZCNZVJVNVOCEKVQVEACEQVOC
      ERUHVPVFCUPVEAUIUJSUKSVCUPVBIZCOVMVBCEPVRVLCVRUQBDKVLUPABDQUQBDRUHUKSUMUN
      UN $.
  $}

  ${
    $d x y $.  $d y A $.  $d x B $.
    $( A condition allowing swap of uniqueness and existential quantifiers.
       (Contributed by Thierry Arnoux, 7-Apr-2017.) $)
    2reuswap2 $p |- ( A. x e. A E* y ( y e. B /\ ph ) ->
                   ( E! x e. A E. y e. B ph -> E! y e. B E. x e. A ph ) ) $=
      ( cv wcel wa wmo wal wrex wreu wex weu df-reu r19.42v df-rex bitr3i bitri
      wi wral df-ral moanimv albii bitr4i 2euswapv exbii eubii 3imtr4g sylbi
      an12 ) CFEGZAHZCIZBDUAZBFDGZUMHZCIZBJZACEKZBDLZABDKZCELZTUOUPUNTZBJUSUNBD
      UBURVDBUPUMCUCUDUEUSUQCMZBNZUQBMZCNZVAVCUQBCUFVAUPUTHZBNVFUTBDOVIVEBVIULU
      PAHZHZCMZVEVIVJCEKVLUPACEPVJCEQRVKUQCULUPAUKUGSUHSVCULVBHZCNVHVBCEOVMVGCV
      MUMBDKVGULABDPUMBDQRUHSUIUJ $.
  $}

  ${
    $d x y ph $.  $d x ps $.  $d x A $.  $d x y B $.  $d x y C $.
    reuxfrd.1 $e |- ( ( ph /\ y e. C ) -> A e. B ) $.
    reuxfrd.2 $e |- ( ( ph /\ x e. B ) -> E* y e. C x = A ) $.
    $( Transfer existential uniqueness from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  (Contributed by NM,
       16-Jan-2012.)  Separate variables ` B ` and ` C ` .  (Revised by Thierry
       Arnoux, 8-Oct-2017.) $)
    reuxfrd $p |- ( ph
        -> ( E! x e. B E. y e. C ( x = A /\ ps ) <-> E! y e. C ps ) ) $=
      ( cv wceq wa wrex wreu wrmo wi wcel syl ancom wmo wral rmoan rmobii sylib
      ralrimiva 2reuswap 2reuswap2 moeq moani an12 bitri mobii mpbi a1i impbid1
      mprg wb biidd ceqsrexv reubidva bitrd ) ACJZEKZBLZDGMCFNZVDCFMZDGNZBDGNAV
      EVGAVDDGOZCFUAVEVGPAVHCFAVBFQZLZBVCLZDGOZVHVJVCDGOVLIVCBDGUBRVKVDDGBVCSUC
      UDUEVDCDFGUFRVIVDLZCTZVGVEPDGVDDCGFUGVNDJGQZVIBLZVCLZCTVNVCVPCCEUHUIVQVMC
      VQVCVPLVMVPVCSVCVIBUJUKULUMUNUPUOAVFBDGAVOLEFQVFBUQHBBCEFVCBURUSRUTVA $.
  $}

  ${
    $d x ph $.  $d x A $.  $d x y B $.  $d x y C $.
    reuxfr.1 $e |- ( y e. C -> A e. B ) $.
    reuxfr.2 $e |- ( x e. B -> E* y e. C x = A ) $.
    $( Transfer existential uniqueness from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  (Contributed by NM,
       14-Nov-2004.)  (Revised by NM, 16-Jun-2017.) $)
    reuxfr $p |- ( E! x e. B E. y e. C ( x = A /\ ph ) <-> E! y e. C ph ) $=
      ( cv wceq wa wrex wreu wb wtru wcel adantl wrmo reuxfrd mptru ) BIZDJZAKC
      FLBEMACFMNOABCDEFCIFPDEPOGQUAEPUBCFROHQST $.
  $}

  ${
    $d x y ph $.  $d y ps $.  $d x ch $.  $d x A $.  $d x y B $.  $d x y C $.
    reuxfr1d.1 $e |- ( ( ph /\ y e. C ) -> A e. B ) $.
    reuxfr1d.2 $e |- ( ( ph /\ x e. B ) -> E! y e. C x = A ) $.
    reuxfr1d.3 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    $( Transfer existential uniqueness from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  Cf. ~ reuxfr1ds .
       (Contributed by Thierry Arnoux, 7-Apr-2017.) $)
    reuxfr1d $p |- ( ph -> ( E! x e. B ps <-> E! y e. C ch ) ) $=
      ( wreu cv wceq wa wrex wcel reurex syl bitrd biantrurd wb r19.41v rexbidv
      pm5.32da bitr3id adantr reubidva wrmo reurmo reuxfrd ) ABDGLDMZFNZCOZEHPZ
      DGLCEHLABUODGAULGQZOZBUMEHPZBOZUOUQURBUQUMEHLZURJUMEHRSUAAUSUOUBUPUSUMBOZ
      EHPAUOUMBEHUCAVAUNEHAUMBCKUEUDUFUGTUHACDEFGHIUQUTUMEHUIJUMEHUJSUKT $.
  $}

  ${
    $d x y ph $.  $d y ps $.  $d x ch $.  $d x A $.  $d x y B $.  $d x y C $.
    reuxfr1ds.1 $e |- ( ( ph /\ y e. C ) -> A e. B ) $.
    reuxfr1ds.2 $e |- ( ( ph /\ x e. B ) -> E! y e. C x = A ) $.
    reuxfr1ds.3 $e |- ( x = A -> ( ps <-> ch ) ) $.
    $( Transfer existential uniqueness from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  Use ~ reuhypd to
       eliminate the second hypothesis.  (Contributed by NM, 16-Jan-2012.) $)
    reuxfr1ds $p |- ( ph -> ( E! x e. B ps <-> E! y e. C ch ) ) $=
      ( cv wceq wb adantl reuxfr1d ) ABCDEFGHIJDLFMBCNAKOP $.
  $}

  ${
    $d x ps $.  $d y ph $.  $d x A $.  $d x y B $.  $d x y C $.
    reuxfr1.1 $e |- ( y e. C -> A e. B ) $.
    reuxfr1.2 $e |- ( x e. B -> E! y e. C x = A ) $.
    reuxfr1.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Transfer existential uniqueness from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  Use ~ reuhyp to
       eliminate the second hypothesis.  (Contributed by NM, 14-Nov-2004.) $)
    reuxfr1 $p |- ( E! x e. B ph <-> E! y e. C ps ) $=
      ( wreu wb wtru cv wcel adantl wceq reuxfr1ds mptru ) ACFKBDGKLMABCDEFGDNG
      OEFOMHPCNZFOTEQDGKMIPJRS $.
  $}

  ${
    $d w y z A $.  $d x z B $.  $d w x y z C $.  $d w y z ph $.  $d x z ps $.
    reuind.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    reuind.2 $e |- ( x = y -> A = B ) $.
    $( Existential uniqueness via an indirect equality.  (Contributed by NM,
       16-Oct-2010.) $)
    reuind $p |- ( ( A. x A. y ( ( ( A e. C /\ ph ) /\ ( B e. C /\ ps ) )
         -> A = B ) /\ E. x ( A e. C /\ ph ) )
                 -> E! z e. C A. x ( ( A e. C /\ ph ) -> z = A ) ) $=
      ( vw wcel wa wceq wi wal wex cv wrex bitri eleq1d anbi12d cbvexvw r19.41v
      wral wreu exbii rexcom4 risset anbi1i 3bitr4ri eqeq2 imim2i biimpr imbi1i
      wb an31 impexp 3bitr3i sylib syl 2alimi 19.23v an12 eleq1 adantr pm5.32ri
      bitr4i 19.42v albii 19.21v expd reximdvai syl5bi imp pm4.24 biimpi anim12
      eqtr3 syl56 alanimi com12 a1d ralrimivv adantl eqeq1 imbi2d reu4 sylanbrc
      albidv ) FHLZAMZGHLZBMZMZFGNZOZDPCPZWLCQZMWLERZFNZOZCPZEHSZXCWLKRZFNZOZCP
      ZMZWTXENZOZKHUEEHUEZXCEHUFWRWSXDWSWTGNZBMZDQZEHSZWRXDWSWNDQZXPWLWNCDCRDRN
      ZWKWMABXRFGHJUAIUBUCXNEHSZDQXMEHSZBMZDQXPXQXSYADXMBEHUDUGXNEDHUHWNYADWMXT
      BEGHUIUJUGUKTWRXOXCEHWRWTHLZXOXCWRXMWNMZXBOZDPZCPZYBXOMZXCOZWQYDCDWQWOXAX
      MUPZOZYDWPYIWOFGWTULUMYJWOXMXAOZOZYDYIYKWOXAXMUNUMWOXMMZXAOYCWLMZXAOYLYDY
      MYNXAWLWNXMUQUOWOXMXAURYCWLXAURUSUTVAVBYFYGXBOZCPYHYEYOCYEYCDQZXBOYOYCXBD
      VCYPYGXBYPYBXNMZDQYGYCYQDYCWMXNMYQXMWMBVDXNYBWMXMYBWMUPBWTGHVEVFVGVHUGYBX
      NDVITUOTVJYGXBCVKTUTVLVMVNVOWSXLWRWSXKEKHHWSXKYBXEHLMXIWSXJXIWLXJOZCPWSXJ
      OXBXGYRCWLWLWLMZXBXGMXAXFMXJWLYSWLVPVQWLXAWLXFVRWTXEFVSVTWAWLXJCVCUTWBWCW
      DWEXCXHEKHXJXBXGCXJXAXFWLWTXEFWFWGWJWHWI $.
  $}

  ${
    $d y A $.  $d x B $.  $d x y $.
    $( Double restricted quantification with "at most one", analogous to
       ~ 2moex .  (Contributed by Alexander van der Vekens, 17-Jun-2017.) $)
    2rmorex $p |- ( E* x e. A E. y e. B ph -> A. y e. B E* x e. A ph ) $=
      ( wrex wrmo nfcv nfre1 nfrmow wi wral cv wcel rmoim rspe ex syl11 ralrimi
      ralrimivw ) ACEFZBDGZABDGZCEUACBDCDHACEIJAUAKZBDLUBUCCMENZAUABDOUEUDBDUEA
      UAACEPQTRS $.
  $}

  ${
    $d y A $.  $d x y $.
    $( Lemma for ~ 2reu5 .  Note that ` E! x e. A E! y e. B ph ` does not mean
       "there is exactly one ` x ` in ` A ` and exactly one ` y ` in ` B ` such
       that ` ph ` holds"; see comment for ~ 2eu5 .  (Contributed by Alexander
       van der Vekens, 17-Jun-2017.) $)
    2reu5lem1 $p |- ( E! x e. A E! y e. B ph <->
                   E! x E! y ( x e. A /\ y e. B /\ ph ) ) $=
      ( wreu cv wcel wa weu w3a df-reu reubii euanv bicomi 3anass eubii bitri )
      ACEFZBDFCGEHZAIZCJZBDFZBGDHZTAKZCJZBJZSUBBDACELMUCUDUBIZBJUGUBBDLUHUFBUHU
      DUAIZCJZUFUJUHUDUACNOUIUECUEUIUDTAPOQRQRR $.

    $( Lemma for ~ 2reu5 .  (Contributed by Alexander van der Vekens,
       17-Jun-2017.) $)
    2reu5lem2 $p |- ( A. x e. A E* y e. B ph <->
                   A. x E* y ( x e. A /\ y e. B /\ ph ) ) $=
      ( wrmo wral cv wcel wa wmo w3a wal df-rmo ralbii wi df-ral moanimv bicomi
      bitri 3anass mobii albii ) ACEFZBDGCHEIZAJZCKZBDGZBHDIZUEALZCKZBMZUDUGBDA
      CENOUHUIUGPZBMULUGBDQUMUKBUMUIUFJZCKZUKUOUMUIUFCRSUNUJCUJUNUIUEAUASUBTUCT
      T $.
  $}

  ${
    $d w y z A $.  $d w x z B $.  $d x y $.  $d ph w $.  $d ph z $.
    $( Lemma for ~ 2reu5 .  This lemma is interesting in its own right, showing
       that existential restriction in the last conjunct (the "at most one"
       part) is optional; compare ~ rmo2 .  (Contributed by Alexander van der
       Vekens, 17-Jun-2017.) $)
    2reu5lem3 $p |- ( ( E! x e. A E! y e. B ph /\ A. x e. A E* y e. B ph )
                   <-> ( E. x e. A E. y e. B ph
                         /\ E. z E. w A. x e. A A. y e. B
                            ( ph -> ( x = z /\ y = w ) ) ) ) $=
      ( wreu wral wa cv wcel weu wal wex weq wi wrex exbii 3bitri w3a 2reu5lem1
      wrmo wmo 2reu5lem2 anbi12i 2eu5 3anass 19.42v df-rex bicomi anbi2i bitr4i
      3anan12 imbi1i impexp imbi2i albii df-ral r19.21v 3bitr2i ) ACGHBFHZACGUC
      BFIZJBKFLZCKGLZAUAZCMBMZVFCUDBNZJVFCOZBOZVFBDPCEPJZQZCNZBNZEOZDOZJACGRZBF
      RZAVKQZCGIZBFIZEOZDOZJVBVGVCVHABCFGUBABCFGUEUFVFBCDEUGVJVRVPWCVJVDVQJZBOV
      RVIWDBVIVDVEAJZJZCOVDWECOZJWDVFWFCVDVEAUHSVDWECUIWGVQVDVQWGACGUJUKULTSVQB
      FUJUMVOWBDVNWAEVNVDVTQZBNWAVMWHBVMVEVDVSQZQZCNWICGIWHVLWJCVLVEVDAJZJZVKQV
      EWKVKQZQWJVFWLVKVDVEAUNUOVEWKVKUPWMWIVEVDAVKUPUQTURWICGUSVDVSCGUTVAURVTBF
      USUMSSUFT $.

    $d x A $.  $d y B $.
    $( Double restricted existential uniqueness in terms of restricted
       existential quantification and restricted universal quantification,
       analogous to ~ 2eu5 and ~ reu3 .  (Contributed by Alexander van der
       Vekens, 17-Jun-2017.) $)
    2reu5 $p |- ( ( E! x e. A E! y e. B ph /\ A. x e. A E* y e. B ph )
                  <-> ( E. x e. A E. y e. B ph
                        /\ E. z e. A E. w e. B A. x e. A A. y e. B
                           ( ph -> ( x = z /\ y = w ) ) ) ) $=
      ( wrex weq wa wral wex cv wcel wreu r19.29r reximi eleq1w ex df-rex anass
      wi wrmo pm3.35 bi2anan9 biimpac ancomd rexlimivv pm4.71rd 2exbidv pm5.32i
      4syl bitrdi 2reu5lem3 r19.42v bitr3i exbii bitri anbi2i 3bitr4i ) ACGHZBF
      HZABDIZCEIZJZUBZCGKZBFKZELDLZJVBEMGNZDMFNZVHJZJZELZDLZJACGOBFOACGUCBFKJVB
      VHEGHZDFHZJVBVIVOVBVHVMDEVBVHVJVKJZVHJVMVBVHVRVBVHVRVBVHJVAVGJZBFHAVFJZCG
      HZBFHVECGHZBFHVRVAVGBFPVSWABFAVFCGPQWAWBBFVTVECGAVEUDQQVEVRBCFGBMFNZCMGNZ
      JZVEVRWEVEJVKVJVEWEVKVJJVCWCVKVDWDVJBDFRCEGRUEUFUGSUHULSUIVJVKVHUAUMUJUKA
      BCDEFGUNVQVOVBVQVKVPJZDLVOVPDFTWFVNDWFVLEGHVNVKVHEGUOVLEGTUPUQURUSUT $.
  $}

  $( Double restricted quantification with restricted existential uniqueness
     and restricted "at most one", analogous to ~ 2eumo .  (Contributed by
     Alexander van der Vekens, 24-Jun-2017.) $)
  2reurmo $p |- ( E! x e. A E* y e. B ph -> E* x e. A E! y e. B ph ) $=
    ( wreu wrmo wi reuimrmo cv wcel reurmo a1i mprg ) ACEFZACEGZHZPBDFOBDGHBDOP
    BDIQBJDKACELMN $.

  ${
    $d y A $.  $d x y $.  $d x B $.
    $( Double restricted quantification with existential uniqueness, analogous
       to ~ 2euex .  (Contributed by Alexander van der Vekens, 24-Jun-2017.) $)
    2reurex $p |- ( E! x e. A E. y e. B ph -> E. y e. B E! x e. A ph ) $=
      ( wrex wreu wrmo wa reu5 rexcom nfcv nfre1 nfrmow cv wcel wi wral impcom
      ex rspe ralrimivw rmoim syl rmo5 sylib reximdai syl5bi sylbi ) ACEFZBDGUJ
      BDFZUJBDHZIABDGZCEFZUJBDJULUKUNUKABDFZCEFULUNABCDEKULUOUMCEUJCBDCDLACEMNU
      LCOEPZUOUMQZULUPIABDHZUQUPULURUPAUJQZBDRULURQUPUSBDUPAUJACEUATUBAUJBDUCUD
      SABDUEUFTUGUHSUI $.

    $( A condition allowing to swap restricted "at most one" and restricted
       existential quantifiers, analogous to ~ 2moswap .  (Contributed by
       Alexander van der Vekens, 25-Jun-2017.) $)
    2rmoswap $p |- ( A. x e. A E* y e. B ph
                   -> ( E* x e. A E. y e. B ph -> E* y e. B E. x e. A ph ) ) $=
      ( wrmo wral cv wcel wa wmo wrex wi df-rmo wal r19.42v df-rex bitri bitr3i
      wex ralbii df-ral moanimv albii bitr4i 2moswapv exbii mobii 3imtr4g sylbi
      an12 ) ACEFZBDGCHEIZAJZCKZBDGZACELZBDFZABDLZCEFZMZULUOBDACENUAUPBHDIZUNJZ
      CKZBOZVAUPVBUOMZBOVEUOBDUBVDVFBVBUNCUCUDUEVEVCCTZBKZVCBTZCKZURUTVCBCUFURV
      BUQJZBKVHUQBDNVKVGBVKVBAJZCELZVGVBACEPVMUMVLJZCTVGVLCEQVNVCCUMVBAUKUGRSUH
      RUTUMUSJZCKVJUSCENVOVICVOUNBDLVIUMABDPUNBDQSUHRUIUJUJ $.

    $( Double restricted existential uniqueness implies double restricted
       unique existential quantification, analogous to ~ 2exeu .  (Contributed
       by Alexander van der Vekens, 25-Jun-2017.) $)
    2rexreu $p |- ( ( E! x e. A E. y e. B ph /\ E! y e. B E. x e. A ph )
                  -> E! x e. A E! y e. B ph ) $=
      ( wrex wreu wa wrmo reurmo reurex rmoimi syl 2reurex anim12ci reu5 sylibr
      ) ACEFZBDGZABDFCEGZHACEGZBDFZUABDIZHUABDGSUCTUBSRBDIUCRBDJUARBDACEKLMACBE
      DNOUABDPQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Conditional equality (experimental)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This is a very useless definition, which "abbreviates" ` ( x = y -> ph ) ` as
  ` CondEq ( x = y -> ph ) ` . What this display hides, though, is that the
  first expression, even though it has a shorter constant string, is actually
  much more complicated in its parse tree: it is parsed as
  (wi (wceq (cv vx) (cv vy)) wph), while the ` CondEq ` version is parsed as
  (wcdeq vx vy wph).  It also allows us to give a name to the specific ternary
  operation ` ( x = y -> ph ) ` .

  This is all used as part of a metatheorem: we want to say that
  ` |- ( x = y -> ( ph ( x ) <-> ph ( y ) ) ) ` and
  ` |- ( x = y -> A ( x ) = A ( y ) ) ` are provable, for any expressions
  ` ph ( x ) ` or ` A ( x ) ` in the language.  The proof is by induction, so
  the base case is each of the primitives, which is why you will see a theorem
  for each of the set.mm primitive operations.

  The metatheorem comes with a disjoint variables assumption: every variable in
  ` ph ( x ) ` is assumed disjoint from ` x ` except ` x ` itself.  For such a
  proof by induction, we must consider each of the possible forms of
  ` ph ( x ) ` .  If it is a variable other than ` x ` , then we have
  ` CondEq ( x = y -> A = A ) ` or ` CondEq ( x = y -> ( ph <-> ph ) ) ` ,
  which is provable by ~ cdeqth and reflexivity.  Since we are only working
  with class and wff expressions, it can't be ` x ` itself in set.mm, but if it
  was we'd have to also prove ` CondEq ( x = y -> x = y ) ` (where _set_
  equality is being used on the right).

  Otherwise, it is a primitive operation applied to smaller expressions.  In
  these cases, for each setvar variable parameter to the operation, we must
  consider if it is equal to ` x ` or not, which yields 2^n proof obligations.
  Luckily, all primitive operations in set.mm have either zero or one setvar
  variable, so we only need to prove one statement for the non-set constructors
  (like implication) and two for the constructors taking a set (the universal
  quantifier and the class builder).

  In each of the primitive proofs, we are allowed to assume that ` y ` is
  disjoint from ` ph ( x ) ` and vice versa, because this is maintained through
  the induction.  This is how we satisfy the disjoint variable conditions of
  ~ cdeqab1 and ~ cdeqab .

$)

  $c CondEq $.  $( conditional equality $)

  $( Extend wff notation to include conditional equality.  This is a technical
     device used in the proof that ` F/ ` is the not-free predicate, and that
     definitions are conservative as a result. $)
  wcdeq $a wff CondEq ( x = y -> ph ) $.

  $( Indicate that the variables "x" and "y" are free in wcdeq. $)
  $( $j free_var 'wcdeq' with 'x' 'y'; $)

  $( Define conditional equality.  All the notation to the left of the ` <-> `
     is fake; the parentheses and arrows are all part of the notation, which
     could equally well be written ` CondEq x y ph ` .  On the right side is
     the actual implication arrow.  The reason for this definition is to
     "flatten" the structure on the right side (whose tree structure is
     something like (wi (wceq (cv vx) (cv vy)) wph) ) into just (wcdeq vx vy
     wph).  (Contributed by Mario Carneiro, 11-Aug-2016.) $)
  df-cdeq $a |- ( CondEq ( x = y -> ph ) <-> ( x = y -> ph ) ) $.

  ${
    cdeqi.1 $e |- ( x = y -> ph ) $.
    $( Deduce conditional equality.  (Contributed by Mario Carneiro,
       11-Aug-2016.) $)
    cdeqi $p |- CondEq ( x = y -> ph ) $=
      ( wcdeq weq wi df-cdeq mpbir ) ABCEBCFAGDABCHI $.
  $}

  ${
    cdeqri.1 $e |- CondEq ( x = y -> ph ) $.
    $( Property of conditional equality.  (Contributed by Mario Carneiro,
       11-Aug-2016.) $)
    cdeqri $p |- ( x = y -> ph ) $=
      ( wcdeq weq wi df-cdeq mpbi ) ABCEBCFAGDABCHI $.
  $}

  ${
    cdeqth.1 $e |- ph $.
    $( Deduce conditional equality from a theorem.  (Contributed by Mario
       Carneiro, 11-Aug-2016.) $)
    cdeqth $p |- CondEq ( x = y -> ph ) $=
      ( weq a1i cdeqi ) ABCABCEDFG $.
  $}

  ${
    cdeqnot.1 $e |- CondEq ( x = y -> ( ph <-> ps ) ) $.
    $( Distribute conditional equality over negation.  (Contributed by Mario
       Carneiro, 11-Aug-2016.) $)
    cdeqnot $p |- CondEq ( x = y -> ( -. ph <-> -. ps ) ) $=
      ( wn wb weq cdeqri notbid cdeqi ) AFBFGCDCDHABABGCDEIJK $.

    ${
      $d x z $.  $d y z $.
      $( Distribute conditional equality over quantification.  (Contributed by
         Mario Carneiro, 11-Aug-2016.) $)
      cdeqal $p |- CondEq ( x = y -> ( A. z ph <-> A. z ps ) ) $=
        ( wal wb weq cdeqri albidv cdeqi ) AEGBEGHCDCDIABEABHCDFJKL $.

      $( Distribute conditional equality over abstraction.  (Contributed by
         Mario Carneiro, 11-Aug-2016.) $)
      cdeqab $p |- CondEq ( x = y -> { z | ph } = { z | ps } ) $=
        ( cab wceq weq wb cdeqri abbidv cdeqi ) AEGBEGHCDCDIABEABJCDFKLM $.
    $}

    ${
      $d x ps $.  $d y ph $.
      $( Distribute conditional equality over quantification.  Usage of this
         theorem is discouraged because it depends on ~ ax-13 .  (Contributed
         by Mario Carneiro, 11-Aug-2016.)  (New usage is discouraged.) $)
      cdeqal1 $p |- CondEq ( x = y -> ( A. x ph <-> A. y ps ) ) $=
        ( wal wb cdeqri cbvalv cdeqth ) ACFBDFGCDABCDABGCDEHIJ $.

      $( Distribute conditional equality over abstraction.  Usage of this
         theorem is discouraged because it depends on ~ ax-13 .  (Contributed
         by Mario Carneiro, 11-Aug-2016.)  (New usage is discouraged.) $)
      cdeqab1 $p |- CondEq ( x = y -> { x | ph } = { y | ps } ) $=
        ( cab wceq nfv wb cdeqri cbvab cdeqth ) ACFBDFGCDABCDADHBCHABICDEJKL $.
    $}

    cdeqim.1 $e |- CondEq ( x = y -> ( ch <-> th ) ) $.
    $( Distribute conditional equality over implication.  (Contributed by Mario
       Carneiro, 11-Aug-2016.) $)
    cdeqim $p |- CondEq ( x = y -> ( ( ph -> ch ) <-> ( ps -> th ) ) ) $=
      ( wi wb weq cdeqri imbi12d cdeqi ) ACIBDIJEFEFKABCDABJEFGLCDJEFHLMN $.
  $}

  $( Conditional equality for set-to-class promotion.  (Contributed by Mario
     Carneiro, 11-Aug-2016.) $)
  cdeqcv $p |- CondEq ( x = y -> x = y ) $=
    ( weq id cdeqi ) ABCZABFDE $.

  ${
    cdeqeq.1 $e |- CondEq ( x = y -> A = B ) $.
    cdeqeq.2 $e |- CondEq ( x = y -> C = D ) $.
    $( Distribute conditional equality over equality.  (Contributed by Mario
       Carneiro, 11-Aug-2016.) $)
    cdeqeq $p |- CondEq ( x = y -> ( A = C <-> B = D ) ) $=
      ( wceq wb weq cdeqri eqeq12d cdeqi ) CEIDFIJABABKCDEFCDIABGLEFIABHLMN $.

    $( Distribute conditional equality over elementhood.  (Contributed by Mario
       Carneiro, 11-Aug-2016.) $)
    cdeqel $p |- CondEq ( x = y -> ( A e. C <-> B e. D ) ) $=
      ( wcel wb weq wceq cdeqri eleq12d cdeqi ) CEIDFIJABABKCDEFCDLABGMEFLABHMN
      O $.
  $}

  ${
    $d x ps $.
    nfcdeq.1 $e |- F/ x ph $.
    nfcdeq.2 $e |- CondEq ( x = y -> ( ph <-> ps ) ) $.
    $( If we have a conditional equality proof, where ` ph ` is ` ph ( x ) `
       and ` ps ` is ` ph ( y ) ` , and ` ph ( x ) ` in fact does not have
       ` x ` free in it according to ` F/ ` , then ` ph ( x ) <-> ph ( y ) `
       unconditionally.  This proves that ` F/ x ph ` is actually a not-free
       predicate.  Usage of this theorem is discouraged because it depends on
       ~ ax-13 .  (Contributed by Mario Carneiro, 11-Aug-2016.)
       (New usage is discouraged.) $)
    nfcdeq $p |- ( ph <-> ps ) $=
      ( wsb sbf nfv wb cdeqri sbie bitr3i ) AACDGBACDEHABCDBCIABJCDFKLM $.
  $}

  ${
    $d x z B $.  $d y z $.  $d z A $.
    nfccdeq.1 $e |- F/_ x A $.
    nfccdeq.2 $e |- CondEq ( x = y -> A = B ) $.
    $( Variation of ~ nfcdeq for classes.  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  (Contributed by Mario Carneiro,
       11-Aug-2016.)  Avoid ~ ax-11 .  (Revised by Gino Giotto, 19-May-2023.)
       (New usage is discouraged.) $)
    nfccdeq $p |- A = B $=
      ( vz cv wcel nfcri weq eqid cdeqth cdeqel nfcdeq eqriv ) GCDGHZCIQDIABAGC
      EJABQQCDGGKABQLMFNOP $.
    $( $j usage 'nfccdeq' avoids 'ax-11'; $)
  $}

  $( Let the computer know the theorems to look for to prove the metatheorem $)
  $( $j
    condequality 'wcdeq' from 'cdeqth';
    condcongruence 'cdeqnot' 'cdeqim' 'cdeqal1' 'cdeqal' 'cdeqcv' 'cdeqeq'
      'cdeqel' 'cdeqab1' 'cdeqab';
    notfree 'wnf' from 'nfcdeq';
    notfree 'wnfc' from 'nfccdeq';
  $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Russell's Paradox
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y A $.
    $( Relative version of Russell's paradox ~ ru (which corresponds to the
       case ` A = _V ` ).

       Originally a subproof in ~ pwnss .  (Contributed by Stefan O'Rear,
       22-Feb-2015.)  Avoid ~ df-nel .  (Revised by Steven Nguyen,
       23-Nov-2022.)  Reduce axiom usage.  (Revised by Gino Giotto,
       30-Aug-2024.) $)
    rru $p |- -. { x e. A | -. x e. x } e. A $=
      ( vy wel wn crab wcel wa wb cv eleq12 anidms notbid cbvrabv elrab2 pclem6
      wceq weq ax-mp ) AADZEZABFZUBGZUBBGZUCEZHIUDECCDZEZUECUBBUBCJZUBQZUFUCUIU
      FUCIUHUBUHUBKLMUAUGACBACRZTUFUJTUFIAJZUHUKUHKLMNOUCUDPS $.
    $( $j usage 'rru' avoids 'df-nel' 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x y $.
    $( Russell's Paradox.  Proposition 4.14 of [TakeutiZaring] p. 14.

       In the late 1800s, Frege's Axiom of (unrestricted) Comprehension,
       expressed in our notation as ` A e. _V ` , asserted that any collection
       of sets ` A ` is a set i.e. belongs to the universe ` _V ` of all sets.
       In particular, by substituting ` { x | x e/ x } ` (the "Russell class")
       for ` A ` , it asserted ` { x | x e/ x } e. _V ` , meaning that the
       "collection of all sets which are not members of themselves" is a set.
       However, here we prove ` { x | x e/ x } e/ _V ` .  This contradiction
       was discovered by Russell in 1901 (published in 1903), invalidating the
       Comprehension Axiom and leading to the collapse of Frege's system, which
       Frege acknowledged in the second edition of his _Grundgesetze der
       Arithmetik_.

       In 1908, Zermelo rectified this fatal flaw by replacing Comprehension
       with a weaker Subset (or Separation) Axiom ~ ssex asserting that ` A `
       is a set only when it is smaller than some other set ` B ` .  However,
       Zermelo was then faced with a "chicken and egg" problem of how to show
       ` B ` is a set, leading him to introduce the set-building axioms of Null
       Set ~ 0ex , Pairing ~ prex , Union ~ uniex , Power Set ~ pwex , and
       Infinity ~ omex to give him some starting sets to work with (all of
       which, before Russell's Paradox, were immediate consequences of Frege's
       Comprehension).  In 1922 Fraenkel strengthened the Subset Axiom with our
       present Replacement Axiom ~ funimaex (whose modern formalization is due
       to Skolem, also in 1922).  Thus, in a very real sense Russell's Paradox
       spawned the invention of ZF set theory and completely revised the
       foundations of mathematics!

       Another mainstream formalization of set theory, devised by von Neumann,
       Bernays, and Goedel, uses class variables rather than setvar variables
       as its primitives.  The axiom system NBG in [Mendelson] p. 225 is
       suitable for a Metamath encoding.  NBG is a conservative extension of ZF
       in that it proves exactly the same theorems as ZF that are expressible
       in the language of ZF. An advantage of NBG is that it is finitely
       axiomatizable - the Axiom of Replacement can be broken down into a
       finite set of formulas that eliminate its wff metavariable.  Finite
       axiomatizability is required by some proof languages (although not by
       Metamath).  There is a stronger version of NBG called Morse-Kelley
       (axiom system MK in [Mendelson] p. 287).

       Russell himself continued in a different direction, avoiding the paradox
       with his "theory of types".  Quine extended Russell's ideas to formulate
       his New Foundations set theory (axiom system NF of [Quine] p. 331).  In
       NF, the collection of all sets is a set, contrarily to ZF and NBG set
       theories.  Russell's paradox has other consequences: when classes are
       too large (beyond the size of those used in standard mathematics), the
       axiom of choice ~ ac4 and Cantor's theorem ~ canth are provably false.
       (See ~ ncanth for some intuition behind the latter.)  Recent results (as
       of 2014) seem to show that NF is equiconsistent to Z (ZF in which
       ~ ax-sep replaces ~ ax-rep ) with ~ ax-sep restricted to only bounded
       quantifiers.  NF is finitely axiomatizable and can be encoded in
       Metamath using the axioms from T. Hailperin, "A set of axioms for
       logic", _J. Symb.  Logic_ 9:1-19 (1944).

       Under our ZF set theory, every set is a member of the Russell class by
       ~ elirrv (derived from the Axiom of Regularity), so for us the Russell
       class equals the universe ` _V ` (Theorem ~ ruv ).  See ~ ruALT for an
       alternate proof of ~ ru derived from that fact.  (Contributed by NM,
       7-Aug-1994.)  Remove use of ~ ax-13 .  (Revised by BJ, 12-Oct-2019.)
       (Proof modification is discouraged.) $)
    ru $p |- { x | x e/ x } e/ _V $=
      ( vy cv wnel cab cvv wcel wceq wex wel wb wn pm5.19 eleq1w df-nel eleq12d
      wal id notbid mtbir syl5bb bibi12d spvv mto abeq2 nex isset nelir ) ACZUI
      DZAEZFUKFGBCZUKHZBIUMBUMABJZUJKZAQZUPBBJZUQLZKZUQMUOUSABUIULHZUNUQUJURABU
      LNUJAAJZLUTURUIUIOUTVAUQUTUIULUIULUTRZVBPSUAUBUCUDUJAULUETUFBUKUGTUH $.
    $( $j usage 'ru' avoids 'ax-13' 'ax-reg'; $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Proper substitution of classes for sets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c [. $.
  $c ]. $.

  $( Extend wff notation to include the proper substitution of a class for a
     set.  Read this notation as "the proper substitution of class ` A ` for
     setvar variable ` x ` in wff ` ph ` ". $)
  wsbc $a wff [. A / x ]. ph $.

  $( Indicate that "x" is not bound in "A" in the definition of wsbc.
     This is similar to $d x A $. $)
  $( $j free_var_in 'wsbc' with 'A' 'x'; $)

  $( Define the proper substitution of a class for a set.

     When ` A ` is a proper class, our definition evaluates to false (see
     ~ sbcex ).  This is somewhat arbitrary: we could have, instead, chosen the
     conclusion of ~ sbc6 for our definition, whose right-hand side always
     evaluates to true for proper classes.

     Our definition also does not produce the same results as discussed in the
     proof of Theorem 6.6 of [Quine] p. 42 (although Theorem 6.6 itself does
     hold, as shown by ~ dfsbcq below).  For example, if ` A ` is a proper
     class, Quine's substitution of ` A ` for ` y ` in ` 0 e. y ` evaluates to
     ` 0 e. A ` rather than our falsehood.  (This can be seen by substituting
     ` A ` , ` y ` , and ` 0 ` for alpha, beta, and gamma in Subcase 1 of
     Quine's discussion on p. 42.)  Unfortunately, Quine's definition requires
     a recursive syntactic breakdown of ` ph ` , and it does not seem possible
     to express it with a single closed formula.

     If we did not want to commit to any specific proper class behavior, we
     could use this definition _only_ to prove Theorem ~ dfsbcq , which holds
     for both our definition and Quine's, and from which we can derive a weaker
     version of ~ df-sbc in the form of ~ sbc8g .  However, the behavior of
     Quine's definition at proper classes is similarly arbitrary, and for
     practical reasons (to avoid having to prove sethood of ` A ` in every use
     of this definition) we allow direct reference to ~ df-sbc and assert that
     ` [. A / x ]. ph ` is always false when ` A ` is a proper class.

     Theorem ~ sbc2or shows the apparently "strongest" statement we can make
     regarding behavior at proper classes if we start from ~ dfsbcq .

     The related definition ~ df-csb defines proper substitution into a class
     variable (as opposed to a wff variable).  (Contributed by NM,
     14-Apr-1995.)  (Revised by NM, 25-Dec-2016.) $)
  df-sbc $a |- ( [. A / x ]. ph <-> A e. { x | ph } ) $.

  $( Proper substitution of a class for a set in a wff given equal classes.
     This is the essence of the sixth axiom of Frege, specifically Proposition
     52 of [Frege1879] p. 50.

     This theorem, which is similar to Theorem 6.7 of [Quine] p. 42 and holds
     under both our definition and Quine's, provides us with a weak definition
     of the proper substitution of a class for a set.  Since our ~ df-sbc does
     not result in the same behavior as Quine's for proper classes, if we
     wished to avoid conflict with Quine's definition we could start with this
     theorem and ~ dfsbcq2 instead of ~ df-sbc .  ( ~ dfsbcq2 is needed because
     unlike Quine we do not overload the ~ df-sb syntax.)  As a consequence of
     these theorems, we can derive ~ sbc8g , which is a weaker version of
     ~ df-sbc that leaves substitution undefined when ` A ` is a proper class.

     However, it is often a nuisance to have to prove the sethood hypothesis of
     ~ sbc8g , so we will allow direct use of ~ df-sbc after Theorem ~ sbc2or
     below.  Proper substitution with a proper class is rarely needed, and when
     it is, we can simply use the expansion of Quine's definition.
     (Contributed by NM, 14-Apr-1995.) $)
  dfsbcq $p |- ( A = B -> ( [. A / x ]. ph <-> [. B / x ]. ph ) ) $=
    ( wceq cab wcel wsbc eleq1 df-sbc 3bitr4g ) CDECABFZGDLGABCHABDHCDLIABCJABD
    JK $.

  $( This theorem, which is similar to Theorem 6.7 of [Quine] p. 42 and holds
     under both our definition and Quine's, relates logic substitution ~ df-sb
     and substitution for class variables ~ df-sbc .  Unlike Quine, we use a
     different syntax for each in order to avoid overloading it.  See remarks
     in ~ dfsbcq .  (Contributed by NM, 31-Dec-2016.) $)
  dfsbcq2 $p |- ( y = A -> ( [ y / x ] ph <-> [. A / x ]. ph ) ) $=
    ( cv wceq cab wcel wsb wsbc eleq1 df-clab df-sbc bicomi 3bitr3g ) CEZDFPABG
    ZHDQHZABCIABDJZPDQKACBLSRABDMNO $.

  $( Show that ~ df-sb and ~ df-sbc are equivalent when the class term ` A ` in
     ~ df-sbc is a setvar variable.  This theorem lets us reuse theorems based
     on ~ df-sb for proofs involving ~ df-sbc .  (Contributed by NM,
     31-Dec-2016.)  (Proof modification is discouraged.) $)
  sbsbc $p |- ( [ y / x ] ph <-> [. y / x ]. ph ) $=
    ( weq wsb cv wsbc wb eqid dfsbcq2 ax-mp ) CCDABCEABCFZGHLIABCLJK $.

  ${
    sbceq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for class substitution.  (Contributed by Mario
       Carneiro, 9-Feb-2017.)  (Revised by NM, 30-Jun-2018.) $)
    sbceq1d $p |- ( ph -> ( [. A / x ]. ps <-> [. B / x ]. ps ) ) $=
      ( wceq wsbc wb dfsbcq syl ) ADEGBCDHBCEHIFBCDEJK $.

    sbceq1dd.2 $e |- ( ph -> [. A / x ]. ps ) $.
    $( Equality theorem for class substitution.  (Contributed by Mario
       Carneiro, 9-Feb-2017.)  (Revised by NM, 30-Jun-2018.) $)
    sbceq1dd $p |- ( ph -> [. B / x ]. ps ) $=
      ( wsbc sbceq1d mpbid ) ABCDHBCEHGABCDEFIJ $.
  $}

  ${
    $d x ph $.
    sbceqbid.1 $e |- ( ph -> A = B ) $.
    sbceqbid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equality theorem for class substitution.  (Contributed by Thierry
       Arnoux, 4-Sep-2018.) $)
    sbceqbid $p |- ( ph -> ( [. A / x ]. ps <-> [. B / x ]. ch ) ) $=
      ( cab wcel wsbc abbidv eleq12d df-sbc 3bitr4g ) AEBDIZJFCDIZJBDEKCDFKAEFP
      QGABCDHLMBDENCDFNO $.
  $}

  ${
    $d y A $.  $d y ph $.  $d x y $.
    $( This is the closest we can get to ~ df-sbc if we start from ~ dfsbcq
       (see its comments) and ~ dfsbcq2 .  (Contributed by NM, 18-Nov-2008.)
       (Proof shortened by Andrew Salmon, 29-Jun-2011.)
       (Proof modification is discouraged.) $)
    sbc8g $p |- ( A e. V -> ( [. A / x ]. ph <-> A e. { x | ph } ) ) $=
      ( vy cv wsbc cab wcel dfsbcq eleq1 wsb df-clab weq wb equid dfsbcq2 ax-mp
      bitr2i vtoclbg ) ABEFZGZUAABHZIZABCGCUCIECDABUACJUACUCKUDABELZUBAEBMEENUE
      UBOEPABEUAQRST $.
  $}

  ${
    $d x y A $.  $d y ph $.
    $( The disjunction of two equivalences for class substitution does not
       require a class existence hypothesis.  This theorem tells us that there
       are only 2 possibilities for ` [ A / x ] ph ` behavior at proper
       classes, matching the ~ sbc5 (false) and ~ sbc6 (true) conclusions.
       This is interesting since ~ dfsbcq and ~ dfsbcq2 (from which it is
       derived) do not appear to say anything obvious about proper class
       behavior.  Note that this theorem does not tell us that it is always one
       or the other at proper classes; it could "flip" between false (the first
       disjunct) and true (the second disjunct) as a function of some other
       variable ` y ` that ` ph ` or ` A ` may contain.  (Contributed by NM,
       11-Oct-2004.)  (Proof modification is discouraged.) $)
    sbc2or $p |- ( ( [. A / x ]. ph <-> E. x ( x = A /\ ph ) ) \/
                  ( [. A / x ]. ph <-> A. x ( x = A -> ph ) ) ) $=
      ( vy cvv wcel wsbc cv wceq wa wex wb wi wal wo wsb weq wn mpbii con3i sb5
      dfsbcq2 eqeq2 anbi1d exbidv vtoclbg pm5.15 vex eleq1 adantr nexdv pm2.21d
      orcd alrimiv 2thd bibi2d orbi2d pm2.61i ) CEFZABCGZBHZCIZAJZBKZLZUTVBAMZB
      NZLZOZUSVEVHABDPBDQZAJZBKUTVDDCEABDCUBDHZCIZVKVCBVMVJVBAVLCVAUCUDUEABDUAU
      FUMUSRZVEUTVDRZLZOVIUTVDUGVNVPVHVEVNVOVGUTVNVOVGVNVCBVCUSVBUSAVBVAEFUSBUH
      VACEUISZUJTUKVNVFBVNVBAVBUSVQTULUNUOUPUQSUR $.
  $}

  $( Direct use of ~ df-sbc is allowed from here on. -NM $)

  $( By our definition of proper substitution, it can only be true if the
     substituted expression is a set.  (Contributed by Mario Carneiro,
     13-Oct-2016.) $)
  sbcex $p |- ( [. A / x ]. ph -> A e. _V ) $=
    ( wsbc cab wcel cvv df-sbc elex sylbi ) ABCDCABEZFCGFABCHCKIJ $.

  $( Equality theorem for class substitution.  Class version of ~ sbequ12 .
     (Contributed by NM, 26-Sep-2003.) $)
  sbceq1a $p |- ( x = A -> ( ph <-> [. A / x ]. ph ) ) $=
    ( wsb cv wceq wsbc sbid dfsbcq2 bitr3id ) AABBDBECFABCGABHABBCIJ $.

  $( Equality theorem for class substitution.  Class version of ~ sbequ12r .
     (Contributed by NM, 4-Jan-2017.) $)
  sbceq2a $p |- ( A = x -> ( [. A / x ]. ph <-> ph ) ) $=
    ( cv wceq wsbc wb sbceq1a eqcoms bicomd ) CBDZEAABCFZALGKCABCHIJ $.

  ${
    $d ph y $.  $d A y $.  $d x y $.
    $( Specialization: if a formula is true for all sets, it is true for any
       class which is a set.  Similar to Theorem 6.11 of [Quine] p. 44.  This
       is Frege's ninth axiom per Proposition 58 of [Frege1879] p. 51.  See
       also ~ stdpc4 and ~ rspsbc .  (Contributed by NM, 16-Jan-2004.) $)
    spsbc $p |- ( A e. V -> ( A. x ph -> [. A / x ]. ph ) ) $=
      ( vy wal wsbc wi cv wceq wsb stdpc4 sbsbc sylib dfsbcq syl5ib vtocleg ) A
      BFZABCGZHECDRABEIZGZTCJSRABEKUAABELABEMNABTCOPQ $.

    spsbcd.1 $e |- ( ph -> A e. V ) $.
    spsbcd.2 $e |- ( ph -> A. x ps ) $.
    $( Specialization: if a formula is true for all sets, it is true for any
       class which is a set.  Similar to Theorem 6.11 of [Quine] p. 44.  See
       also ~ stdpc4 and ~ rspsbc .  (Contributed by Mario Carneiro,
       9-Feb-2017.) $)
    spsbcd $p |- ( ph -> [. A / x ]. ps ) $=
      ( wcel wal wsbc spsbc sylc ) ADEHBCIBCDJFGBCDEKL $.
  $}

  ${
    sbcth.1 $e |- ph $.
    $( A substitution into a theorem remains true (when ` A ` is a set).
       (Contributed by NM, 5-Nov-2005.) $)
    sbcth $p |- ( A e. V -> [. A / x ]. ph ) $=
      ( wcel wal wsbc ax-gen spsbc mpi ) CDFABGABCHABEIABCDJK $.
  $}

  ${
    $d x ph $.
    sbcthdv.1 $e |- ( ph -> ps ) $.
    $( Deduction version of ~ sbcth .  (Contributed by NM, 30-Nov-2005.)
       (Proof shortened by Andrew Salmon, 8-Jun-2011.) $)
    sbcthdv $p |- ( ( ph /\ A e. V ) -> [. A / x ]. ps ) $=
      ( wal wcel wsbc alrimiv spsbc mpan9 ) ABCGDEHBCDIABCFJBCDEKL $.
  $}

  $( An identity theorem for substitution.  See ~ sbid .  (Contributed by Mario
     Carneiro, 18-Feb-2017.) $)
  sbcid $p |- ( [. x / x ]. ph <-> ph ) $=
    ( cv wsbc wsb sbsbc sbid bitr3i ) ABBCDABBEAABBFABGH $.

  ${
    nfsbc1d.2 $e |- ( ph -> F/_ x A ) $.
    $( Deduction version of ~ nfsbc1 .  (Contributed by NM, 23-May-2006.)
       (Revised by Mario Carneiro, 12-Oct-2016.) $)
    nfsbc1d $p |- ( ph -> F/ x [. A / x ]. ps ) $=
      ( wsbc cab wcel df-sbc wnfc nfab1 a1i nfeld nfxfrd ) BCDFDBCGZHACBCDIACDO
      ECOJABCKLMN $.
  $}

  ${
    nfsbc1.1 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for class substitution.  (Contributed
       by NM, 5-Aug-1993.)  (Revised by Mario Carneiro, 12-Oct-2016.) $)
    nfsbc1 $p |- F/ x [. A / x ]. ph $=
      ( wsbc wnf wtru wnfc a1i nfsbc1d mptru ) ABCEBFGABCBCHGDIJK $.
  $}

  ${
    $d x A $.
    $( Bound-variable hypothesis builder for class substitution.  (Contributed
       by Mario Carneiro, 12-Oct-2016.) $)
    nfsbc1v $p |- F/ x [. A / x ]. ph $=
      ( nfcv nfsbc1 ) ABCBCDE $.
  $}

  ${
    $d x y $.
    nfsbcdw.1 $e |- F/ y ph $.
    nfsbcdw.2 $e |- ( ph -> F/_ x A ) $.
    nfsbcdw.3 $e |- ( ph -> F/ x ps ) $.
    $( Deduction version of ~ nfsbcw .  Version of ~ nfsbcd with a disjoint
       variable condition, which does not require ~ ax-13 .  (Contributed by
       NM, 23-Nov-2005.)  (Revised by Gino Giotto, 10-Jan-2024.) $)
    nfsbcdw $p |- ( ph -> F/ x [. A / y ]. ps ) $=
      ( wsbc cab wcel df-sbc nfabdw nfeld nfxfrd ) BDEIEBDJZKACBDELACEPGABCDFHM
      NO $.
    $( $j usage 'nfsbcdw' avoids 'ax-13'; $)
  $}

  ${
    $d x y $.
    nfsbcw.1 $e |- F/_ x A $.
    nfsbcw.2 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for class substitution.  Version of
       ~ nfsbc with a disjoint variable condition, which does not require
       ~ ax-13 .  (Contributed by NM, 7-Sep-2014.)  (Revised by Gino Giotto,
       10-Jan-2024.) $)
    nfsbcw $p |- F/ x [. A / y ]. ph $=
      ( wsbc wnf wtru nftru wnfc a1i nfsbcdw mptru ) ACDGBHIABCDCJBDKIELABHIFLM
      N $.
    $( $j usage 'nfsbcw' avoids 'ax-13'; $)
  $}

  ${
    $d x z $.  $d z A $.  $d y z ph $.  $d x y $.
    $( A composition law for class substitution.  Version of ~ sbcco with a
       disjoint variable condition, which requires fewer axioms.  (Contributed
       by NM, 26-Sep-2003.)  (Revised by Gino Giotto, 10-Jan-2024.) $)
    sbccow $p |- ( [. A / y ]. [. y / x ]. ph <-> [. A / x ]. ph ) $=
      ( vz cv wsbc cvv wcel sbcex dfsbcq wsb sbsbc sbbii sbco2vv 3bitr3ri bitri
      vtoclbg pm5.21nii ) ABCFGZCDGZDHIABDGZTCDJABDJTCEFZGZABUCGZUAUBEDHTCUCDKA
      BUCDKUDABELZUEABCLZCELTCELUFUDUGTCEABCMNABECOTCEMPABEMQRS $.
    $( $j usage 'sbccow' avoids 'ax-10' 'ax-11' 'ax-13'; $)
  $}

  ${
    nfsbcd.1 $e |- F/ y ph $.
    nfsbcd.2 $e |- ( ph -> F/_ x A ) $.
    nfsbcd.3 $e |- ( ph -> F/ x ps ) $.
    $( Deduction version of ~ nfsbc .  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  Use the weaker ~ nfsbcdw when possible.
       (Contributed by NM, 23-Nov-2005.)  (Revised by Mario Carneiro,
       12-Oct-2016.)  (New usage is discouraged.) $)
    nfsbcd $p |- ( ph -> F/ x [. A / y ]. ps ) $=
      ( wsbc cab wcel df-sbc nfabd nfeld nfxfrd ) BDEIEBDJZKACBDELACEPGABCDFHMN
      O $.
  $}

  ${
    nfsbc.1 $e |- F/_ x A $.
    nfsbc.2 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for class substitution.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  Use the weaker
       ~ nfsbcw when possible.  (Contributed by NM, 7-Sep-2014.)  (Revised by
       Mario Carneiro, 12-Oct-2016.)  (New usage is discouraged.) $)
    nfsbc $p |- F/ x [. A / y ]. ph $=
      ( wsbc wnf wtru nftru wnfc a1i nfsbcd mptru ) ACDGBHIABCDCJBDKIELABHIFLMN
      $.
  $}

  ${
    $d x z $.  $d z A $.  $d y z ph $.
    $( A composition law for class substitution.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ sbccow
       when possible.  (Contributed by NM, 26-Sep-2003.)  (Revised by Mario
       Carneiro, 13-Oct-2016.)  (New usage is discouraged.) $)
    sbcco $p |- ( [. A / y ]. [. y / x ]. ph <-> [. A / x ]. ph ) $=
      ( vz cv wsbc cvv wcel sbcex dfsbcq wsb sbsbc sbbii sbco2 3bitr3ri vtoclbg
      nfv bitri pm5.21nii ) ABCFGZCDGZDHIABDGZUACDJABDJUACEFZGZABUDGZUBUCEDHUAC
      UDDKABUDDKUEABELZUFABCLZCELUACELUGUEUHUACEABCMNABECACROUACEMPABEMSQT $.
  $}

  ${
    $d x y $.  $d y ph $.  $d A y $.
    sbcco2.1 $e |- ( x = y -> A = B ) $.
    $( A composition law for class substitution.  Importantly, ` x ` may occur
       free in the class expression substituted for ` A ` .  (Contributed by
       NM, 5-Sep-2004.)  (Proof shortened by Andrew Salmon, 8-Jun-2011.) $)
    sbcco2 $p |- ( [. x / y ]. [. B / x ]. ph <-> [. A / x ]. ph ) $=
      ( wsbc cv wsb sbsbc weq wceq wb equcoms dfsbcq bicomd syl sbievw bitr3i )
      ABEGZCBHGTCBIABDGZTCBJTUACBCBKDELZTUAMUBBCFNUBUATABDEOPQRS $.
  $}

  ${
    $d x y A $.  $d y ph $.
    $( An equivalence for class substitution.  (Contributed by NM,
       23-Aug-1993.)  (Revised by Mario Carneiro, 12-Oct-2016.)  (Proof
       shortened by SN, 2-Sep-2024.) $)
    sbc5 $p |- ( [. A / x ]. ph <-> E. x ( x = A /\ ph ) ) $=
      ( wsbc cab wcel cv wceq wa wex df-sbc clelab bitri ) ABCDCABEFBGCHAIBJABC
      KABCLM $.

    $( Alternate proof of ~ sbc5 .  This proof helps show how ~ clelab works,
       since it is equivalent but shorter thanks to now-available library
       theorems like ~ vtoclbg and ~ isset .  (Contributed by NM, 23-Aug-1993.)
       (Revised by Mario Carneiro, 12-Oct-2016.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    sbc5ALT $p |- ( [. A / x ]. ph <-> E. x ( x = A /\ ph ) ) $=
      ( vy wsbc cvv wcel cv wceq wex sbcex exsimpl isset sylibr wsb weq dfsbcq2
      wa eqeq2 anbi1d exbidv sb5 vtoclbg pm5.21nii ) ABCEZCFGZBHZCIZARZBJZABCKU
      JUHBJUFUHABLBCMNABDOBDPZARZBJUEUJDCFABDCQDHZCIZULUIBUNUKUHAUMCUGSTUAABDUB
      UCUD $.
  $}

  ${
    $d x A $.
    $( An equivalence for class substitution.  (Contributed by NM,
       11-Oct-2004.)  (Proof shortened by Andrew Salmon, 8-Jun-2011.)  (Proof
       shortened by SN, 5-Oct-2024.) $)
    sbc6g $p |- ( A e. V -> ( [. A / x ]. ph <-> A. x ( x = A -> ph ) ) ) $=
      ( wsbc cab wcel cv wceq wi wal df-sbc elab6g syl5bb ) ABCECABFGCDGBHCIAJB
      KABCLABCDMN $.

    $( Obsolete version of ~ sbc6g as of 5-Oct-2024.  (Contributed by NM,
       11-Oct-2004.)  (Proof shortened by Andrew Salmon, 8-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    sbc6gOLD $p |- ( A e. V -> ( [. A / x ]. ph <-> A. x ( x = A -> ph ) ) ) $=
      ( wcel wsbc cv wceq wa wex wi wal sbc5 alexeqg bitr4id ) CDEABCFBGCHZAIBJ
      PAKBLABCMABCDNO $.
  $}

  ${
    $d x A $.
    sbc6.1 $e |- A e. _V $.
    $( An equivalence for class substitution.  (Contributed by NM,
       23-Aug-1993.)  (Proof shortened by Eric Schmidt, 17-Jan-2007.) $)
    sbc6 $p |- ( [. A / x ]. ph <-> A. x ( x = A -> ph ) ) $=
      ( cvv wcel wsbc cv wceq wi wal wb sbc6g ax-mp ) CEFABCGBHCIAJBKLDABCEMN
      $.
  $}

  ${
    $d y A $.  $d y ph $.  $d x y $.
    $( An equivalence for class substitution in the spirit of ~ df-clab .  Note
       that ` x ` and ` A ` don't have to be distinct.  (Contributed by NM,
       18-Nov-2008.)  (Revised by Mario Carneiro, 13-Oct-2016.) $)
    sbc7 $p |- ( [. A / x ]. ph <-> E. y ( y = A /\ [. y / x ]. ph ) ) $=
      ( wsbc cv wceq wa wex sbccow sbc5 bitr3i ) ABDEABCFZEZCDEMDGNHCIABCDJNCDK
      L $.
  $}

  ${
    $d x y $.
    cbvsbcw.1 $e |- F/ y ph $.
    cbvsbcw.2 $e |- F/ x ps $.
    cbvsbcw.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change bound variables in a wff substitution.  Version of ~ cbvsbc with
       a disjoint variable condition, which does not require ~ ax-13 .
       (Contributed by Jeff Hankins, 19-Sep-2009.)  (Revised by Gino Giotto,
       10-Jan-2024.) $)
    cbvsbcw $p |- ( [. A / x ]. ph <-> [. A / y ]. ps ) $=
      ( cab wcel wsbc cbvabw eleq2i df-sbc 3bitr4i ) EACIZJEBDIZJACEKBDEKPQEABC
      DFGHLMACENBDENO $.
    $( $j usage 'cbvsbcw' avoids 'ax-13'; $)
  $}

  ${
    $d y ph $.  $d x ps $.  $d x y $.
    cbvsbcvw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change the bound variable of a class substitution using implicit
       substitution.  Version of ~ cbvsbcv with a disjoint variable condition,
       which does not require ~ ax-13 .  (Contributed by NM, 30-Sep-2008.)
       (Revised by Gino Giotto, 10-Jan-2024.) $)
    cbvsbcvw $p |- ( [. A / x ]. ph <-> [. A / y ]. ps ) $=
      ( cab wcel wsbc cbvabv eleq2i df-sbc 3bitr4i ) EACGZHEBDGZHACEIBDEINOEABC
      DFJKACELBDELM $.
    $( $j usage 'cbvsbcvw' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)
  $}

  ${
    cbvsbc.1 $e |- F/ y ph $.
    cbvsbc.2 $e |- F/ x ps $.
    cbvsbc.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change bound variables in a wff substitution.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ cbvsbcw
       when possible.  (Contributed by Jeff Hankins, 19-Sep-2009.)  (Proof
       shortened by Andrew Salmon, 8-Jun-2011.)  (New usage is discouraged.) $)
    cbvsbc $p |- ( [. A / x ]. ph <-> [. A / y ]. ps ) $=
      ( cab wcel wsbc cbvab eleq2i df-sbc 3bitr4i ) EACIZJEBDIZJACEKBDEKPQEABCD
      FGHLMACENBDENO $.
  $}

  ${
    $d y ph $.  $d x ps $.
    cbvsbcv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change the bound variable of a class substitution using implicit
       substitution.  Usage of this theorem is discouraged because it depends
       on ~ ax-13 .  Use the weaker ~ cbvsbcvw when possible.  (Contributed by
       NM, 30-Sep-2008.)  (Revised by Mario Carneiro, 13-Oct-2016.)
       (New usage is discouraged.) $)
    cbvsbcv $p |- ( [. A / x ]. ph <-> [. A / y ]. ps ) $=
      ( nfv cbvsbc ) ABCDEADGBCGFH $.
  $}

  ${
    $d x A $.
    $( Conversion of implicit substitution to explicit class substitution,
       using a bound-variable hypothesis instead of distinct variables.
       (Closed theorem version of ~ sbciegf .)  (Contributed by NM,
       10-Nov-2005.)  (Revised by Mario Carneiro, 13-Oct-2016.) $)
    sbciegft $p |- ( ( A e. V /\ F/ x ps /\
            A. x ( x = A -> ( ph <-> ps ) ) ) -> ( [. A / x ]. ph <-> ps ) ) $=
      ( wcel wnf cv wceq wb wi wal w3a wsbc imim2i alimi biimpa sylan2 3adant1
      wa wex sbc5 biimp impd 19.23t syl5bi biimpr com23 19.21t 3ad2ant1 sylibrd
      sbc6g impbid ) DEFZBCGZCHDIZABJZKZCLZMZACDNZBVAUPATZCUAZUTBACDUBUOUSVCBKZ
      UNUSUOVBBKZCLZVDURVECURUPABUQABKUPABUCOUDPUOVFVDVBBCUEQRSUFUTBUPAKZCLZVAU
      OUSBVHKZUNUSUOBVGKZCLZVIURVJCURUPBAUQBAKUPABUGOUHPUOVKVIBVGCUIQRSUNUOVAVH
      JUSACDEULUJUKUM $.
  $}

  ${
    $d x A $.
    sbciegf.1 $e |- F/ x ps $.
    sbciegf.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit class substitution.
       (Contributed by NM, 14-Dec-2005.)  (Revised by Mario Carneiro,
       13-Oct-2016.) $)
    sbciegf $p |- ( A e. V -> ( [. A / x ]. ph <-> ps ) ) $=
      ( wcel wnf cv wceq wb wi wal wsbc ax-gen sbciegft mp3an23 ) DEHBCICJDKABL
      MZCNACDOBLFSCGPABCDEQR $.
  $}

  ${
    $d x A $.  $d x ps $.
    sbcieg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit class substitution.
       (Contributed by NM, 10-Nov-2005.)  Avoid ~ ax-10 , ~ ax-12 .  (Revised
       by Gino Giotto, 12-Oct-2024.) $)
    sbcieg $p |- ( A e. V -> ( [. A / x ]. ph <-> ps ) ) $=
      ( wsbc cab wcel df-sbc elabg syl5bb ) ACDGDACHIDEIBACDJABCDEFKL $.
    $( $j usage 'sbcieg' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x A $.  $d x ps $.
    sbciegOLD.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Obsolete version of ~ sbcieg as of 12-Oct-2024.  (Contributed by NM,
       10-Nov-2005.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sbciegOLD $p |- ( A e. V -> ( [. A / x ]. ph <-> ps ) ) $=
      ( nfv sbciegf ) ABCDEBCGFH $.
  $}

  ${
    $d x y $.  $d A y $.  $d ch y $.  $d ph y $.  $d ps x $.
    sbcie2g.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    sbcie2g.2 $e |- ( y = A -> ( ps <-> ch ) ) $.
    $( Conversion of implicit substitution to explicit class substitution.
       This version of ~ sbcie avoids a disjointness condition on ` x , A ` by
       substituting twice.  (Contributed by Mario Carneiro, 15-Oct-2016.) $)
    sbcie2g $p |- ( A e. V -> ( [. A / x ]. ph <-> ch ) ) $=
      ( cv wsbc dfsbcq wsb sbsbc sbievw bitr3i vtoclbg ) ADEJZKZBADFKCEFGADRFLI
      SADEMBADENABDEHOPQ $.
  $}

  ${
    $d x A $.  $d x ps $.
    sbcie.1 $e |- A e. _V $.
    sbcie.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit class substitution.
       (Contributed by NM, 4-Sep-2004.) $)
    sbcie $p |- ( [. A / x ]. ph <-> ps ) $=
      ( cvv wcel wsbc wb sbcieg ax-mp ) DGHACDIBJEABCDGFKL $.
  $}

  ${
    $d x A $.
    sbcied.1 $e |- ( ph -> A e. V ) $.
    sbcied.2 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    ${
      sbciedf.3 $e |- F/ x ph $.
      sbciedf.4 $e |- ( ph -> F/ x ch ) $.
      $( Conversion of implicit substitution to explicit class substitution,
         deduction form.  (Contributed by NM, 29-Dec-2014.) $)
      sbciedf $p |- ( ph -> ( [. A / x ]. ps <-> ch ) ) $=
        ( wcel wnf cv wceq wb wi wal wsbc ex alrimi sbciegft syl3anc ) AEFKCDLD
        MENZBCOZPZDQBDERCOGJAUEDIAUCUDHSTBCDEFUAUB $.
    $}

    $d x ph $.  $d x ch $.
    $( Conversion of implicit substitution to explicit class substitution,
       deduction form.  (Contributed by NM, 13-Dec-2014.)  Avoid ~ ax-10 ,
       ~ ax-12 .  (Revised by Gino Giotto, 12-Oct-2024.) $)
    sbcied $p |- ( ph -> ( [. A / x ]. ps <-> ch ) ) $=
      ( wsbc cab wcel df-sbc elabd3 syl5bb ) BDEIEBDJKACBDELABCDEFGHMN $.
    $( $j usage 'sbcied' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x A $.  $d x ph $.  $d x ch $.
    sbciedOLD.1 $e |- ( ph -> A e. V ) $.
    sbciedOLD.2 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    $( Obsolete version of ~ sbcied as of 12-Oct-2024.  (Contributed by NM,
       13-Dec-2014.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sbciedOLD $p |- ( ph -> ( [. A / x ]. ps <-> ch ) ) $=
      ( nfv nfvd sbciedf ) ABCDEFGHADIACDJK $.
  $}

  ${
    $d x A $.  $d x ph $.  $d x ch $.
    sbcied2.1 $e |- ( ph -> A e. V ) $.
    sbcied2.2 $e |- ( ph -> A = B ) $.
    sbcied2.3 $e |- ( ( ph /\ x = B ) -> ( ps <-> ch ) ) $.
    $( Conversion of implicit substitution to explicit class substitution,
       deduction form.  (Contributed by NM, 13-Dec-2014.) $)
    sbcied2 $p |- ( ph -> ( [. A / x ]. ps <-> ch ) ) $=
      ( cv wceq wb id sylan9eqr syldan sbcied ) ABCDEGHADKZELZRFLBCMSAREFSNIOJP
      Q $.
  $}

  ${
    $d y A $.  $d y B $.  $d y ph $.  $d x y $.
    elrabsf.1 $e |- F/_ x B $.
    $( Membership in a restricted class abstraction, expressed with explicit
       class substitution.  (The variation ~ elrabf has implicit substitution).
       The hypothesis specifies that ` x ` must not be a free variable in
       ` B ` .  (Contributed by NM, 30-Sep-2003.)  (Proof shortened by Mario
       Carneiro, 13-Oct-2016.) $)
    elrabsf $p |- ( A e. { x e. B | ph }
          <-> ( A e. B /\ [. A / x ]. ph ) ) $=
      ( vy cv wsbc crab dfsbcq nfcv nfv nfsbc1v sbceq1a cbvrabw elrab2 ) ABFGZH
      ZABCHFCDABDIABQCJARBFDEFDKAFLABQMABQNOP $.
  $}

  ${
    $d x y B $.  $d y A $.
    $( Substitution for the left-hand side in an equality.  Class version of
       ~ eqsb1 .  (Contributed by Andrew Salmon, 29-Jun-2011.)  Avoid ~ ax-13 .
       (Revised by Wolf Lammen, 29-Apr-2023.) $)
    eqsbc1 $p |- ( A e. V -> ( [. A / x ]. x = B <-> A = B ) ) $=
      ( vy cv wceq wsbc dfsbcq eqeq1 wsb sbsbc eqsb1 bitr3i vtoclbg ) AFCGZAEFZ
      HZQCGZPABHBCGEBDPAQBIQBCJRPAEKSPAELAECMNO $.
  $}

  ${
    $d x y $.  $d y A $.  $d y ph $.  $d y ps $.
    $( Move negation in and out of class substitution.  (Contributed by NM,
       16-Jan-2004.) $)
    sbcng $p |- ( A e. V -> ( [. A / x ]. -. ph <-> -. [. A / x ]. ph ) ) $=
      ( vy wn wsb wsbc dfsbcq2 cv wceq notbid sbn vtoclbg ) AFZBEGABEGZFOBCHABC
      HZFECDOBECIEJCKPQABECILABEMN $.

    $( Distribution of class substitution over implication.  (Contributed by
       NM, 16-Jan-2004.) $)
    sbcimg $p |- ( A e. V ->
     ( [. A / x ]. ( ph -> ps ) <-> ( [. A / x ]. ph -> [. A / x ]. ps ) ) ) $=
      ( vy wi wsb wsbc dfsbcq2 cv wceq imbi12d sbim vtoclbg ) ABGZCFHACFHZBCFHZ
      GPCDIACDIZBCDIZGFDEPCFDJFKDLQSRTACFDJBCFDJMABCFNO $.

    $( Distribution of class substitution over conjunction.  (Contributed by
       NM, 31-Dec-2016.)  (Revised by NM, 17-Aug-2018.) $)
    sbcan $p |- ( [. A / x ]. ( ph /\ ps )
        <-> ( [. A / x ]. ph /\ [. A / x ]. ps ) ) $=
      ( vy wa wsbc cvv wcel sbcex adantl dfsbcq2 cv wceq anbi12d sban pm5.21nii
      wsb vtoclbg ) ABFZCDGZDHIZACDGZBCDGZFZTCDJUDUBUCBCDJKTCERACERZBCERZFUAUEE
      DHTCEDLEMDNUFUCUGUDACEDLBCEDLOABCEPSQ $.

    $( Distribution of class substitution over disjunction.  (Contributed by
       NM, 31-Dec-2016.)  (Revised by NM, 17-Aug-2018.) $)
    sbcor $p |- ( [. A / x ]. ( ph \/ ps )
         <-> ( [. A / x ]. ph \/ [. A / x ]. ps ) ) $=
      ( vy wo wsbc cvv wcel sbcex jaoi wsb dfsbcq2 cv wceq orbi12d sbor vtoclbg
      pm5.21nii ) ABFZCDGZDHIZACDGZBCDGZFZTCDJUCUBUDACDJBCDJKTCELACELZBCELZFUAU
      EEDHTCEDMENDOUFUCUGUDACEDMBCEDMPABCEQRS $.

    $( Distribution of class substitution over biconditional.  (Contributed by
       Raph Levien, 10-Apr-2004.) $)
    sbcbig $p |- ( A e. V ->
   ( [. A / x ]. ( ph <-> ps ) <-> ( [. A / x ]. ph <-> [. A / x ]. ps ) ) ) $=
      ( vy wb wsb wsbc dfsbcq2 cv wceq bibi12d sbbi vtoclbg ) ABGZCFHACFHZBCFHZ
      GPCDIACDIZBCDIZGFDEPCFDJFKDLQSRTACFDJBCFDJMABCFNO $.
  $}

  $( Move negation in and out of class substitution.  One direction of ~ sbcng
     that holds for proper classes.  (Contributed by NM, 17-Aug-2018.) $)
  sbcn1 $p |- ( [. A / x ]. -. ph -> -. [. A / x ]. ph ) $=
    ( cvv wcel wn wsbc sbcex sbcng biimpd mpcom ) CDEZAFZBCGZABCGFZMBCHLNOABCDI
    JK $.

  ${
    $d ph y $.  $d ps y $.  $d x y $.  $d A y $.
    $( Distribution of class substitution over implication.  One direction of
       ~ sbcimg that holds for proper classes.  (Contributed by NM,
       17-Aug-2018.)  Avoid ~ ax-10 , ~ ax-12 .  (Revised by SN,
       26-Oct-2024.) $)
    sbcim1 $p |- ( [. A / x ]. ( ph -> ps )
              -> ( [. A / x ]. ph -> [. A / x ]. ps ) ) $=
      ( vy cvv wcel wi wsbc sbcex wsb cv wceq dfsbcq2 imbi12d sbi1 vtoclg mpcom
      ) DFGABHZCDIZACDIZBCDIZHZSCDJSCEKZACEKZBCEKZHZHTUCHEDFELDMZUDTUGUCSCEDNUH
      UEUAUFUBACEDNBCEDNOOABCEPQR $.
    $( $j usage 'sbcim1' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  $( Obsolete version of ~ sbcim1 as of 26-Oct-2024.  (Contributed by NM,
     17-Aug-2018.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  sbcim1OLD $p |- ( [. A / x ]. ( ph -> ps )
          -> ( [. A / x ]. ph -> [. A / x ]. ps ) ) $=
    ( cvv wcel wi wsbc sbcex sbcimg biimpd mpcom ) DEFZABGZCDHZACDHBCDHGZNCDIMO
    PABCDEJKL $.

  ${
    sbcbid.1 $e |- F/ x ph $.
    sbcbid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building deduction for class substitution.  (Contributed by NM,
       29-Dec-2014.) $)
    sbcbid $p |- ( ph -> ( [. A / x ]. ps <-> [. A / x ]. ch ) ) $=
      ( cab wcel wsbc abbid eleq2d df-sbc 3bitr4g ) AEBDHZIECDHZIBDEJCDEJAOPEAB
      CDFGKLBDEMCDEMN $.
  $}

  ${
    $d x ph $.
    sbcbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building deduction for class substitution.  (Contributed by NM,
       29-Dec-2014.)  Drop ~ ax-12 .  (Revised by Gino Giotto, 1-Dec-2023.) $)
    sbcbidv $p |- ( ph -> ( [. A / x ]. ps <-> [. A / x ]. ch ) ) $=
      ( eqidd sbceqbid ) ABCDEEAEGFH $.
    $( $j usage 'sbcbidv' avoids 'ax-12'; $)

    $( Obsolete version of ~ sbcbidv as of 1-Dec-2023.  (Contributed by NM,
       29-Dec-2014.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sbcbidvOLD $p |- ( ph -> ( [. A / x ]. ps <-> [. A / x ]. ch ) ) $=
      ( nfv sbcbid ) ABCDEADGFH $.
  $}

  ${
    sbcbii.1 $e |- ( ph <-> ps ) $.
    $( Formula-building inference for class substitution.  (Contributed by NM,
       11-Nov-2005.) $)
    sbcbii $p |- ( [. A / x ]. ph <-> [. A / x ]. ps ) $=
      ( wsbc wb wtru a1i sbcbidv mptru ) ACDFBCDFGHABCDABGHEIJK $.
  $}

  $( Distribution of class substitution over biconditional.  One direction of
     ~ sbcbig that holds for proper classes.  (Contributed by NM,
     17-Aug-2018.) $)
  sbcbi1 $p |- ( [. A / x ]. ( ph <-> ps )
       -> ( [. A / x ]. ph <-> [. A / x ]. ps ) ) $=
    ( cvv wcel wb wsbc sbcex sbcbig biimpd mpcom ) DEFZABGZCDHZACDHBCDHGZNCDIMO
    PABCDEJKL $.

  $( Substituting into equivalent wff's gives equivalent results.  (Contributed
     by Giovanni Mascellani, 9-Apr-2018.)  (Proof shortened by Wolf Lammen,
     4-May-2023.)  Avoid ax-10, ax-12.  (Revised by Steven Nguyen,
     5-May-2024.) $)
  sbcbi2 $p |- ( A. x ( ph <-> ps ) ->
       ( [. A / x ]. ph <-> [. A / x ]. ps ) ) $=
    ( wb wal cab wcel wsbc wceq abbi1 eleq2 syl df-sbc 3bitr4g ) ABECFZDACGZHZD
    BCGZHZACDIBCDIPQSJRTEABCKQSDLMACDNBCDNO $.

  $( Obsolete proof of ~ sbcbi2 as of 5-May-2024.  (Contributed by Giovanni
     Mascellani, 9-Apr-2018.)  (Proof shortened by Wolf Lammen, 4-May-2023.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  sbcbi2OLD $p |- ( A. x ( ph <-> ps ) ->
       ( [. A / x ]. ph <-> [. A / x ]. ps ) ) $=
    ( wb wal nfa1 sp sbcbid ) ABEZCFABCDJCGJCHI $.

  ${
    $d x z A $.  $d x y z $.  $d z ph $.
    $( Move universal quantifier in and out of class substitution.
       (Contributed by NM, 31-Dec-2016.)  (Revised by NM, 18-Aug-2018.) $)
    sbcal $p |- ( [. A / y ]. A. x ph <-> A. x [. A / y ]. ph ) $=
      ( vz wal wsbc cvv wcel sbcex sps dfsbcq2 cv wceq albidv vtoclbg pm5.21nii
      wsb sbal ) ABFZCDGZDHIZACDGZBFZTCDJUCUBBACDJKTCERACERZBFUAUDEDHTCEDLEMDNU
      EUCBACEDLOABCESPQ $.

    $( Move existential quantifier in and out of class substitution.
       (Contributed by NM, 21-May-2004.)  (Revised by NM, 18-Aug-2018.) $)
    sbcex2 $p |- ( [. A / y ]. E. x ph <-> E. x [. A / y ]. ph ) $=
      ( vz wex wsbc cvv wcel sbcex exlimiv wsb dfsbcq2 wceq exbidv sbex vtoclbg
      cv pm5.21nii ) ABFZCDGZDHIZACDGZBFZTCDJUCUBBACDJKTCELACELZBFUAUDEDHTCEDME
      RDNUEUCBACEDMOABCEPQS $.
  $}

  ${
    $d x B $.  $d x A $.
    $( Class version of one implication of ~ equvelv .  (Contributed by Andrew
       Salmon, 28-Jun-2011.)  (Proof shortened by SN, 26-Oct-2024.) $)
    sbceqal $p |- ( A e. V -> ( A. x ( x = A -> x = B ) -> A = B ) ) $=
      ( cv wceq wi eqeq1 imbi12d eqid a1bi bitr4di spcgv ) AEZBFZNCFZGZBCFZABDO
      QBBFZRGROOSPRNBBHNBCHISRBJKLM $.
    $( $j usage 'sbceqal' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Obsolete version of ~ sbceqal as of 26-Oct-2024.  (Contributed by Andrew
       Salmon, 28-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sbceqalOLD $p |- ( A e. V -> ( A. x ( x = A -> x = B ) -> A = B ) ) $=
      ( wcel cv wceq wi wal wsbc spsbc sbcimg wb eqsbc1 mpbiri pm5.5 syl 3bitrd
      eqid sylibd ) BDEZAFZBGZUBCGZHZAIUEABJZBCGZUEABDKUAUFUCABJZUDABJZHZUIUGUC
      UDABDLUAUHUJUIMUAUHBBGBSABBDNOUHUIPQABCDNRT $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Theorem *14.121 in [WhiteheadRussell] p. 185.  (Contributed by Andrew
       Salmon, 28-Jun-2011.)  (Proof shortened by Wolf Lammen, 9-May-2013.) $)
    sbeqalb $p |- ( A e. V -> ( ( A. x ( ph <-> x = A ) /\ A. x ( ph <->
      x = B ) ) -> A = B ) ) $=
      ( cv wceq wb wal wa wi wcel bibi1 biimpa biimpd alanimi sbceqal syl5 ) AB
      FZCGZHZBIASDGZHZBIJTUBKZBICELCDGUAUCUDBUAUCJTUBUAUCTUBHATUBMNOPBCDEQR $.
  $}

  ${
    $d x B $.
    $( Substitution for the right-hand side in an equality.  (Contributed by
       Alan Sare, 24-Oct-2011.)  (Proof shortened by JJ, 7-Jul-2021.) $)
    eqsbc2 $p |- ( A e. V -> ( [. A / x ]. B = x <-> B = A ) ) $=
      ( wcel cv wceq wsbc eqsbc1 eqcom sbcbii 3bitr4g ) BDEAFZCGZABHBCGCMGZABHC
      BGABCDIONABCMJKCBJL $.
  $}

  $( Distribution of class substitution over triple conjunction.  (Contributed
     by NM, 14-Dec-2006.)  (Revised by NM, 17-Aug-2018.) $)
  sbc3an $p |- ( [. A / x ]. ( ph /\ ps /\ ch ) <->
              ( [. A / x ]. ph /\ [. A / x ]. ps /\ [. A / x ]. ch ) ) $=
    ( w3a wsbc wa df-3an sbcbii sbcan anbi1i 3bitri bitr4i ) ABCFZDEGZADEGZBDEG
    ZHZCDEGZHZQRTFPABHZCHZDEGUBDEGZTHUAOUCDEABCIJUBCDEKUDSTABDEKLMQRTIN $.

  ${
    $d y A $.  $d x y B $.
    $( Class substitution into a membership relation.  (Contributed by NM,
       17-Aug-2018.)  Avoid ~ ax-13 .  (Revised by Wolf Lammen,
       30-Apr-2023.) $)
    sbcel1v $p |- ( [. A / x ]. x e. B <-> A e. B ) $=
      ( vy wcel wsbc cvv sbcex elex wsb dfsbcq2 eleq1 clelsb1 vtoclbg pm5.21nii
      cv ) APCEZABFZBGEBCEZQABHBCIQADJDPZCERSDBGQADBKTBCLADCMNO $.
  $}

  ${
    $d y B $.  $d x y A $.
    $( Class substitution into a membership relation.  (Contributed by NM,
       17-Nov-2006.)  (Proof shortened by Andrew Salmon, 29-Jun-2011.) $)
    sbcel2gv $p |- ( B e. V -> ( [. B / x ]. A e. x <-> A e. B ) ) $=
      ( vy cv wcel eleq2 sbcie2g ) BAFZGBEFZGBCGAECDJKBHKCBHI $.

    $( Class substitution into a membership relation.  One direction of
       ~ sbcel2gv that holds for proper classes.  (Contributed by NM,
       17-Aug-2018.) $)
    sbcel21v $p |- ( [. B / x ]. A e. x -> A e. B ) $=
      ( cvv wcel cv wsbc sbcex sbcel2gv biimpd mpcom ) CDEZBAFEZACGZBCEZMACHLNO
      ABCDIJK $.
  $}

  ${
    $d x y ph $.  $d A y $.  $d y ps $.  $d y ch $.
    sbcimdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Substitution analogue of Theorem 19.20 of [Margaris] p. 90 ( ~ alim ).
       (Contributed by NM, 11-Nov-2005.)  (Revised by NM, 17-Aug-2018.)  (Proof
       shortened by JJ, 7-Jul-2021.)  Reduce axiom usage.  (Revised by Gino
       Giotto, 12-Oct-2024.) $)
    sbcimdv $p |- ( ph -> ( [. A / x ]. ps -> [. A / x ]. ch ) ) $=
      ( vy wsbc cv wsb wex cab wcel df-sbc dfclel df-clab anbi2i exbii biimpi
      wa wceq 3bitri sbimdv anim2d eximdv 3bitrri syl56 ) BDEHZGIZEUAZBDGJZTZGK
      ZAUJCDGJZTZGKZCDEHZUHUMUHEBDLZMUJUIURMZTZGKUMBDENGEUROUTULGUSUKUJBGDPQRUB
      SAULUOGAUKUNUJABCDGFUCUDUEUPUQUQECDLZMUJUIVAMZTZGKUPCDENGEVAOVCUOGVBUNUJC
      GDPQRUFSUG $.
    $( $j usage 'sbcimdv' avoids 'ax-9' 'df-cleq' 'ax-10' 'ax-11' 'ax-12'
       'ax-ext'; $)
  $}

  ${
    $d x ph $.
    sbcimdvOLD.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Obsolete version of ~ sbcimdv as of 12-Oct-2024.  (Contributed by NM,
       11-Nov-2005.)  (Revised by NM, 17-Aug-2018.)  (Proof shortened by JJ,
       7-Jul-2021.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sbcimdvOLD $p |- ( ph -> ( [. A / x ]. ps -> [. A / x ]. ch ) ) $=
      ( wsbc cvv wcel sbcex wi wal alrimiv spsbc sbcim1 syl56 com3l mpdi ) ABDE
      GZEHIZCDEGZBDEJTASUAABCKZDLTUBDEGSUAKAUBDFMUBDEHNBCDEOPQR $.
  $}

  ${
    $d x y $.  $d y A $.  $d y ph $.
    $( Substitution for a variable not free in a wff does not affect it.
       (Contributed by Mario Carneiro, 14-Oct-2016.) $)
    sbctt $p |- ( ( A e. V /\ F/ x ph ) -> ( [. A / x ]. ph <-> ph ) ) $=
      ( vy wcel wnf wsbc wb wsb wi wceq dfsbcq2 bibi1d imbi2d sbft vtoclg imp
      cv ) CDFABGZABCHZAIZTABEJZAIZKTUBKECDESCLZUDUBTUEUCUAAABECMNOABEPQR $.
  $}

  ${
    sbcgf.1 $e |- F/ x ph $.
    $( Substitution for a variable not free in a wff does not affect it.
       (Contributed by NM, 11-Oct-2004.)  (Proof shortened by Andrew Salmon,
       29-Jun-2011.) $)
    sbcgf $p |- ( A e. V -> ( [. A / x ]. ph <-> ph ) ) $=
      ( wcel wnf wsbc wb sbctt mpan2 ) CDFABGABCHAIEABCDJK $.

    $( Substitution for a variable not free in antecedent affects only the
       consequent.  (Contributed by NM, 11-Oct-2004.) $)
    sbc19.21g $p |- ( A e. V ->
            ( [. A / x ]. ( ph -> ps ) <-> ( ph -> [. A / x ]. ps ) ) ) $=
      ( wcel wi wsbc sbcimg sbcgf imbi1d bitrd ) DEGZABHCDIACDIZBCDIZHAPHABCDEJ
      NOAPACDEFKLM $.
  $}

  ${
    $d x y ph $.  $d A y $.  $d V y $.
    $( Substitution for a variable not occurring in a wff does not affect it.
       Distinct variable form of ~ sbcgf .  (Contributed by Alan Sare,
       10-Nov-2012.)  Reduce axiom usage.  (Revised by Gino Giotto,
       12-Oct-2024.) $)
    sbcg $p |- ( A e. V -> ( [. A / x ]. ph <-> ph ) ) $=
      ( vy wsbc cv wceq wa wex wcel cab df-sbc dfclel wsb df-clab sbv biimpi wi
      syl bitri anbi2i exbii 3bitrri wal simpr ax-gen 19.23v mp1i 2a1 imp ancrd
      wb eximi 19.37imv impbid bitr3id ) ABCFZEGZCHZAIZEJZCDKZAURCABLZKUTUSVDKZ
      IZEJVBABCMECVDNVFVAEVEAUTVEABEOAAEBPABEQUAUBUCUDVCUTUSDKZIZEJZVBAUMVCVIEC
      DNRVIVBAVAASZEUEZVBASZVIVJEUTAUFUGVKVLVAAEUHRUIVIAVASZEJAVBSVHVMEVHAUTUTV
      GAUTSUTVGAUJUKULUNAVAEUOTUPTUQ $.
    $( $j usage 'sbcg' avoids 'ax-9' 'df-cleq' 'ax-10' 'ax-11' 'ax-12'
       'ax-ext'; $)
  $}

  ${
    $d x ph $.
    $( Obsolete version of ~ sbcg as of 12-Oct-2024.  (Contributed by Alan
       Sare, 10-Nov-2012.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sbcgOLD $p |- ( A e. V -> ( [. A / x ]. ph <-> ph ) ) $=
      ( nfv sbcgf ) ABCDABEF $.
  $}

  ${
    sbcgfi.1 $e |- A e. _V $.
    sbcgfi.2 $e |- F/ x ph $.
    $( Substitution for a variable not free in a wff does not affect it, in
       inference form.  (Contributed by Giovanni Mascellani, 1-Jun-2019.) $)
    sbcgfi $p |- ( [. A / x ]. ph <-> ph ) $=
      ( cvv wcel wsbc wb sbcgf ax-mp ) CFGABCHAIDABCFEJK $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x V $.  $d y W $.
    sbc2iegf.1 $e |- F/ x ps $.
    sbc2iegf.2 $e |- F/ y ps $.
    sbc2iegf.3 $e |- F/ x B e. W $.
    sbc2iegf.4 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit class substitution.
       (Contributed by Mario Carneiro, 19-Dec-2013.) $)
    sbc2iegf $p |- ( ( A e. V /\ B e. W ) ->
            ( [. A / x ]. [. B / y ]. ph <-> ps ) ) $=
      ( wcel wa simpl cv wceq wb adantll nfv wsbc wnf a1i sbciedf nfan ) EGMZFH
      MZNZADFUAZBCEGUFUGOUGCPEQZUIBRUFUGUJNZABDFHUGUJOUJDPFQABRUGLSUKDTBDUBUKJU
      CUDSUFUGCUFCTKUEBCUBUHIUCUD $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y ps $.
    sbc2ie.1 $e |- A e. _V $.
    sbc2ie.2 $e |- B e. _V $.
    sbc2ie.3 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit class substitution.
       (Contributed by NM, 16-Dec-2008.)  (Revised by Mario Carneiro,
       19-Dec-2013.)  (Proof shortened by Gino Giotto, 12-Oct-2024.) $)
    sbc2ie $p |- ( [. A / x ]. [. B / y ]. ph <-> ps ) $=
      ( wsbc cv wceq cvv wcel a1i sbcied sbcie ) ADFJBCEGCKELZABDFMFMNRHOIPQ $.
    $( $j usage 'sbc2ie' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y ps $.
    sbc2ieOLD.1 $e |- A e. _V $.
    sbc2ieOLD.2 $e |- B e. _V $.
    sbc2ieOLD.3 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( Obsolete version of ~ sbc2ie as of 12-Oct-2024.  (Contributed by NM,
       16-Dec-2008.)  (Revised by Mario Carneiro, 19-Dec-2013.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    sbc2ieOLD $p |- ( [. A / x ]. [. B / y ]. ph <-> ps ) $=
      ( cvv wcel wsbc wb nfv nfth sbc2iegf mp2an ) EJKFJKZADFLCELBMGHABCDEFJJBC
      NBDNRCHOIPQ $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y ph $.  $d x y ch $.
    sbc2iedv.1 $e |- A e. _V $.
    sbc2iedv.2 $e |- B e. _V $.
    sbc2iedv.3 $e |- ( ph -> ( ( x = A /\ y = B ) -> ( ps <-> ch ) ) ) $.
    $( Conversion of implicit substitution to explicit class substitution.
       (Contributed by NM, 16-Dec-2008.)  (Proof shortened by Mario Carneiro,
       18-Oct-2016.) $)
    sbc2iedv $p |- ( ph -> ( [. A / x ]. [. B / y ]. ps <-> ch ) ) $=
      ( wsbc cvv wcel a1i cv wceq wa wb impl sbcied ) ABEGKCDFLFLMAHNADOFPZQZBC
      EGLGLMUBINAUAEOGPBCRJSTT $.
  $}

  ${
    $d x y z A $.  $d y z B $.  $d z C $.  $d x y z ps $.
    sbc3ie.1 $e |- A e. _V $.
    sbc3ie.2 $e |- B e. _V $.
    sbc3ie.3 $e |- C e. _V $.
    sbc3ie.4 $e |- ( ( x = A /\ y = B /\ z = C ) -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit class substitution.
       (Contributed by Mario Carneiro, 19-Jun-2014.)  (Revised by Mario
       Carneiro, 29-Dec-2014.) $)
    sbc3ie $p |- ( [. A / x ]. [. B / y ]. [. C / z ]. ph <-> ps ) $=
      ( wsbc cv wceq wa cvv wcel a1i wb 3expa sbcied sbc2ie ) AEHMBCDFGIJCNFOZD
      NGOZPZABEHQHQRUFKSUDUEENHOABTLUAUBUC $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Lemma for ~ sbccom .  (Contributed by NM, 14-Nov-2005.)  (Revised by
       Mario Carneiro, 18-Oct-2016.) $)
    sbccomlem $p |- ( [. A / x ]. [. B / y ]. ph
         <-> [. B / y ]. [. A / x ]. ph ) $=
      ( cv wceq wa wex wsbc excom exdistr an12 exbii bitri 3bitr3i sbc5 3bitr4i
      19.42v sbcbii ) CFEGZAHZCIZBDJZBFDGZAHZBIZCEJZACEJZBDJABDJZCEJUEUCHBIZUAU
      GHZCIZUDUHUEUBHZCIBIUNBIZCIUKUMUNBCKUEUBBCLUOULCUOUAUFHZBIULUNUPBUEUAAMNU
      AUFBSONPUCBDQUGCEQRUIUCBDACEQTUJUGCEABDQTR $.
  $}

  ${
    $d w y z A $.  $d w x z B $.  $d w z ph $.  $d x y $.
    $( Commutative law for double class substitution.  (Contributed by NM,
       15-Nov-2005.)  (Proof shortened by Mario Carneiro, 18-Oct-2016.) $)
    sbccom $p |- ( [. A / x ]. [. B / y ]. ph
          <-> [. B / y ]. [. A / x ]. ph ) $=
      ( vw vz cv wsbc sbccomlem sbcbii bitri 3bitr3i sbccow ) ACFHZIZFEIZBDIZAB
      GHZIZGDIZCEIZACEIZBDIABDIZCEIQBSIZGDIZUACOIZFEIZRUBTCOIZFEIZGDIUIGDIZFEIU
      FUHUIGFDEJUJUEGDUJPBSIZFEIUEUIULFEACBOSJKPFBESJLKUKUGFETGCDOJKMQBGDNUACFE
      NMQUCBDACFENKUAUDCEABGDNKM $.
  $}

  ${
    $d x y z $.  $d A z $.  $d B x z $.  $d V z $.  $d ph z $.
    $( Interchange class substitution and restricted quantifier.  (Contributed
       by NM, 1-Mar-2008.)  (Revised by David Abernethy, 22-Feb-2010.) $)
    sbcralt $p |- ( ( A e. V /\ F/_ y A ) ->
           ( [. A / x ]. A. y e. B ph <-> A. y e. B [. A / x ]. ph ) ) $=
      ( vz wral wsbc cv wcel wnfc wa sbccow simpl wsb wceq sbsbc nfcv wb nfralw
      nfs1v weq sbequ12 ralbidv sbiev bitr3i nfnfc1 nfcvd id nfeqd nfan1 adantl
      dfsbcq2 ralbid adantll syl5bb sbcied bitr3id ) ACEHZBDIUTBGJZIZGDIDFKZCDL
      ZMZABDIZCEHZUTBGDNVEVBVGGDFVCVDOVBABGPZCEHZVEVADQZMVGVBUTBGPVIUTBGRUTVIBG
      VHBCEBESABGUBUABGUCAVHCEABGUDUEUFUGVDVJVIVGTVCVDVJMVHVFCEVDVJCCDUHVDCVADV
      DCVAUIVDUJUKULVJVHVFTVDABGDUNUMUOUPUQURUS $.

    $( Interchange class substitution and restricted existential quantifier.
       (Contributed by NM, 1-Mar-2008.)  (Proof shortened by Mario Carneiro,
       13-Oct-2016.)  (Revised by NM, 18-Aug-2018.)  (Proof shortened by JJ,
       7-Jul-2021.) $)
    sbcrext $p |- ( F/_ y A ->
          ( [. A / x ]. E. y e. B ph <-> E. y e. B [. A / x ]. ph ) ) $=
      ( wnfc cvv wcel wrex wsbc wi sbcex a1i wb wral sbcng adantl bitrd dfrex2
      wn nfnfc1 id nfcvd nfeld cv 2a1i rexlimd2 wa sbcralt ancoms ralbid notbid
      nfan1 sbcbii 3bitr4g ex pm5.21ndd ) CDFZDGHZACEIZBDJZABDJZCEIZVAUSKURUTBD
      LMURVBUSCECDUAZURCDGURUBURCGUCUDZVBUSKURCUEEHABDLUFUGURUSVAVCNURUSUHZATZC
      EOZTZBDJZVBTZCEOZTZVAVCVFVJVHBDJZTZVMUSVJVONURVHBDGPQVFVNVLVFVNVGBDJZCEOZ
      VLUSURVNVQNVGBCDEGUIUJVFVPVKCEURUSCVDVEUMUSVPVKNURABDGPQUKRULRUTVIBDACESU
      NVBCESUOUPUQ $.
  $}

  ${
    $d y z A $.  $d x B $.  $d x y z $.  $d ph z $.  $d B z $.
    $( Interchange class substitution and restricted quantifier.  (Contributed
       by NM, 15-Nov-2005.)  (Proof shortened by Andrew Salmon,
       29-Jun-2011.) $)
    sbcralg $p |- ( A e. V ->
                 ( [. A / x ]. A. y e. B ph <-> A. y e. B [. A / x ]. ph ) ) $=
      ( wcel wnfc wral wsbc wb nfcv sbcralt mpan2 ) DFGCDHACEIBDJABDJCEIKCDLABC
      DEFMN $.

    $( Interchange class substitution and restricted existential quantifier.
       (Contributed by NM, 15-Nov-2005.)  (Revised by NM, 18-Aug-2018.) $)
    sbcrex $p |- ( [. A / x ]. E. y e. B ph <-> E. y e. B [. A / x ]. ph ) $=
      ( wnfc wrex wsbc wb nfcv sbcrext ax-mp ) CDFACEGBDHABDHCEGICDJABCDEKL $.

    $( Interchange class substitution and restricted unique existential
       quantifier.  (Contributed by NM, 24-Feb-2013.)  (Revised by NM,
       18-Aug-2018.) $)
    sbcreu $p |- ( [. A / x ]. E! y e. B ph <-> E! y e. B [. A / x ]. ph ) $=
      ( vz wreu wsbc cvv wcel sbcex reurex rexlimivw syl wsb dfsbcq2 cv reubidv
      wrex wceq nfcv nfs1v nfreuw weq sbequ12 sbiev vtoclbg pm5.21nii ) ACEGZBD
      HZDIJZABDHZCEGZUIBDKUMULCESUKULCELULUKCEABDKMNUIBFOABFOZCEGZUJUMFDIUIBFDP
      FQDTUNULCEABFDPRUIUOBFUNBCEBEUAABFUBUCBFUDAUNCEABFUERUFUGUH $.
  $}

  ${
    $d w x y A $.  $d w ph $.  $d w ps $.  $d y ch $.
    reu8nf.1 $e |- F/ x ps $.
    reu8nf.2 $e |- F/ x ch $.
    reu8nf.3 $e |- ( x = w -> ( ph <-> ch ) ) $.
    reu8nf.4 $e |- ( w = y -> ( ch <-> ps ) ) $.
    $( Restricted uniqueness using implicit substitution.  This version of
       ~ reu8 uses a nonfreeness hypothesis for ` x ` and ` ps ` instead of
       distinct variable conditions.  (Contributed by AV, 21-Jan-2022.) $)
    reu8nf $p |- ( E! x e. A ph <-> E. x e. A ( ph /\
                A. y e. A ( ps -> x = y ) ) ) $=
      ( wreu weq wi wral wa wrex nfv cbvreuw reu8 nfcv nfim nfralw nfan equcoms
      wb bicomd equequ1 imbi2d ralbidv anbi12d cbvrexw 3bitri ) ADGLCFGLCBFEMZN
      ZEGOZPZFGQABDEMZNZEGOZPZDGQACDFGAFRIJSCBFEGKTUQVAFDGCUPDIUODEGDGUABUNDHUN
      DRUBUCUDVAFRFDMZCAUPUTCAUFDFDFMACJUGUEVBUOUSEGVBUNURBFDEUHUIUJUKULUM $.
  $}

  ${
    $d y w A $.  $d w B $.  $d w ph $.  $d x y $.  $d w x $.
    sbcabel.1 $e |- F/_ x B $.
    $( Interchange class substitution and class abstraction.  (Contributed by
       NM, 5-Nov-2005.) $)
    sbcabel $p |- ( A e. V -> ( [. A / x ]. { y | ph } e. B <->
                  { y | [. A / x ]. ph } e. B ) ) $=
      ( vw wcel cvv cab wsbc wb cv wceq wa wex wal syl5bb abeq2 elex sbcan sbcg
      sbcex2 sbcal sbcbig bibi1d bitrd albidv sbcbii 3bitr4g nfcri sbcgf exbidv
      anbi12d dfclel syl ) DFIDJIZACKZEIZBDLZABDLZCKZEIZMDFUAURHNZUSOZVEEIZPZHQ
      ZBDLZVEVCOZVGPZHQZVAVDVJVHBDLZHQURVMVHHBDUDURVNVLHVNVFBDLZVGBDLZPURVLVFVG
      BDUBURVOVKVPVGURCNVEIZAMZCRZBDLZVQVBMZCRZVOVKVTVRBDLZCRURWBVRCBDUEURWCWAC
      URWCVQBDLZVBMWAVQABDJUFURWDVQVBVQBDJUCUGUHUISVFVSBDACVETUJVBCVETUKVGBDJBH
      EGULUMUOSUNSUTVIBDHUSEUPUJHVCEUPUKUQ $.
  $}

  ${
    $d y A $.  $d x y B $.  $d y ph $.
    $( Restricted quantifier version of Axiom 4 of [Mendelson] p. 69.  This
       provides an axiom for a predicate calculus for a restricted domain.
       This theorem generalizes the unrestricted ~ stdpc4 and ~ spsbc .  See
       also ~ rspsbca and ~ rspcsbela .  (Contributed by NM, 17-Nov-2006.)
       (Proof shortened by Mario Carneiro, 13-Oct-2016.) $)
    rspsbc $p |- ( A e. B -> ( A. x e. B ph -> [. A / x ]. ph ) ) $=
      ( vy wral wsb wcel wsbc cbvralsvw dfsbcq2 rspcv syl5bi ) ABDFABEGZEDFCDHA
      BCIZABEDJNOECDABECKLM $.

    $( Restricted quantifier version of Axiom 4 of [Mendelson] p. 69.
       (Contributed by NM, 14-Dec-2005.) $)
    rspsbca $p |- ( ( A e. B /\ A. x e. B ph ) -> [. A / x ]. ph ) $=
      ( wcel wral wsbc rspsbc imp ) CDEABDFABCGABCDHI $.

    $( Existence form of ~ rspsbca .  (Contributed by NM, 29-Feb-2008.)  (Proof
       shortened by Mario Carneiro, 13-Oct-2016.) $)
    rspesbca $p |- ( ( A e. B /\ [. A / x ]. ph ) -> E. x e. B ph ) $=
      ( vy wcel wsbc wa wsb wrex dfsbcq2 rspcev cbvrexsvw sylibr ) CDFABCGZHABE
      IZEDJABDJPOECDABECKLABEDMN $.

    $( Existence form of ~ spsbc .  (Contributed by Mario Carneiro,
       18-Nov-2016.) $)
    spesbc $p |- ( [. A / x ]. ph -> E. x ph ) $=
      ( wsbc cvv wrex wex wcel sbcex rspesbca mpancom rexv sylib ) ABCDZABEFZAB
      GCEHNOABCIABCEJKABLM $.

    spesbcd.1 $e |- ( ph -> [. A / x ]. ps ) $.
    $( form of ~ spsbc .  (Contributed by Mario Carneiro, 9-Feb-2017.) $)
    spesbcd $p |- ( ph -> E. x ps ) $=
      ( wsbc wex spesbc syl ) ABCDFBCGEBCDHI $.
  $}

  ${
    $d x B $.
    sbcth2.1 $e |- ( x e. B -> ph ) $.
    $( A substitution into a theorem.  (Contributed by NM, 1-Mar-2008.)  (Proof
       shortened by Mario Carneiro, 13-Oct-2016.) $)
    sbcth2 $p |- ( A e. B -> [. A / x ]. ph ) $=
      ( wcel wral wsbc rgen rspsbc mpi ) CDFABDGABCHABDEIABCDJK $.
  $}

  ${
    $d x ph $.
    $( Version of ~ ra4 with a disjoint variable condition, requiring fewer
       axioms.  This is ~ stdpc5v for a restricted domain.  (Contributed by BJ,
       27-Mar-2020.) $)
    ra4v $p |- ( A. x e. A ( ph -> ps ) -> ( ph -> A. x e. A ps ) ) $=
      ( wi wral r19.21v biimpi ) ABECDFABCDFEABCDGH $.
  $}

  ${
    ra4.1 $e |- F/ x ph $.
    $( Restricted quantifier version of Axiom 5 of [Mendelson] p. 69.  This is
       the axiom ~ stdpc5 of standard predicate calculus for a restricted
       domain.  See ~ ra4v for a version requiring fewer axioms.  (Contributed
       by NM, 16-Jan-2004.)  (Proof shortened by BJ, 27-Mar-2020.) $)
    ra4 $p |- ( A. x e. A ( ph -> ps ) -> ( ph -> A. x e. A ps ) ) $=
      ( wi wral r19.21 biimpi ) ABFCDGABCDGFABCDEHI $.
  $}

  ${
    $d x y $.  $d y A $.
    rmo2.1 $e |- F/ y ph $.
    $( Alternate definition of restricted "at most one".  Note that
       ` E* x e. A ph ` is not equivalent to
       ` E. y e. A A. x e. A ( ph -> x = y ) ` (in analogy to ~ reu6 ); to see
       this, let ` A ` be the empty set.  However, one direction of this
       pattern holds; see ~ rmo2i .  (Contributed by NM, 17-Jun-2017.) $)
    rmo2 $p |- ( E* x e. A ph <-> E. y A. x e. A ( ph -> x = y ) ) $=
      ( wrmo cv wcel wa wmo weq wi wal wex wral df-rmo nfv nfan mof impexp
      albii df-ral bitr4i exbii 3bitri ) ABDFBGDHZAIZBJUGBCKZLZBMZCNAUHLZBDOZCN
      ABDPUGBCUFACUFCQERSUJULCUJUFUKLZBMULUIUMBUFAUHTUAUKBDUBUCUDUE $.

    $( Condition implying restricted "at most one".  (Contributed by NM,
       17-Jun-2017.) $)
    rmo2i $p |- ( E. y e. A A. x e. A ( ph -> x = y ) -> E* x e. A ph ) $=
      ( weq wi wral wrex wex wrmo rexex rmo2 sylibr ) ABCFGBDHZCDIOCJABDKOCDLAB
      CDEMN $.

    $d x A $.
    $( Restricted "at most one" using explicit substitution.  (Contributed by
       NM, 4-Nov-2012.)  (Revised by NM, 16-Jun-2017.)  Avoid ~ ax-13 .
       (Revised by Wolf Lammen, 30-Apr-2023.) $)
    rmo3 $p |- ( E* x e. A ph <->
               A. x e. A A. y e. A ( ( ph /\ [ y / x ] ph ) -> x = y ) ) $=
      ( wrmo cv wcel wa wmo wsb wi wral anbi1i bitri 3bitri impexp albii df-ral
      wal weq df-rmo sban clelsb1 anbi2i an4 ancom r19.21v 3bitr2i nfv nfan mo3
      imbi1i 3bitr4i ) ABDFBGDHZAIZBJZAABCKZIZBCUAZLZCDMZBDMZABDUBUPUPBCKZIZUTL
      ZCTZBTUOVBLZBTUQVCVGVHBVGCGDHZUOVALZLZCTVJCDMVHVFVKCVFVIUOIZUSIZUTLVLVALV
      KVEVMUTVEUPVIURIZIUOVIIZUSIVMVDVNUPVDUOBCKZURIVNUOABCUCVPVIURBCDUDNOUEUOA
      VIURUFVOVLUSUOVIUGNPUMVLUSUTQVIUOVAQPRVJCDSUOVACDUHUIRUPBCUOACUOCUJEUKULV
      BBDSUNO $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x ps $.  $d x ch $.
    rmoi.b $e |- ( x = B -> ( ph <-> ps ) ) $.
    rmoi.c $e |- ( x = C -> ( ph <-> ch ) ) $.
    $( Consequence of "at most one", using implicit substitution.  (Contributed
       by NM, 2-Jan-2015.)  (Revised by NM, 16-Jun-2017.) $)
    rmob $p |- ( ( E* x e. A ph /\ ( B e. A /\ ps ) ) ->
        ( B = C <-> ( C e. A /\ ch ) ) ) $=
      ( wrmo cv wcel wa wmo wceq wb df-rmo simprl eleq1 anbi12d syl5ibcom simpl
      wi a1i anim1i simpll simplr mob syl3anc ex pm5.21ndd sylanb ) ADEJDKZELZA
      MZDNZFELZBMZFGOZGELZCMZPZADEQUPURMZUTUSVAVCUQUSUTUPUQBRZFGESUAVAUTUCVCUTC
      UBUDVCUTVBVCUTMUQUTMUPURVBVCUQUTVDUEUPURUTUFUPURUTUGUOURVADFGEEUMFOUNUQAB
      UMFESHTUMGOUNUTACUMGESITUHUIUJUKUL $.

    $( Consequence of "at most one", using implicit substitution.  (Contributed
       by NM, 4-Nov-2012.)  (Revised by NM, 16-Jun-2017.) $)
    rmoi $p |- ( ( E* x e. A ph
          /\ ( B e. A /\ ps ) /\ ( C e. A /\ ch ) ) -> B = C ) $=
      ( wrmo wcel wa wceq rmob biimp3ar ) ADEJFEKBLFGMGEKCLABCDEFGHINO $.
  $}

  ${
    $d A x $.  $d B x $.  $d ch x $.
    rmoi2.1 $e |- ( x = B -> ( ps <-> ch ) ) $.
    rmoi2.2 $e |- ( ph -> B e. A ) $.
    rmoi2.3 $e |- ( ph -> E* x e. A ps ) $.
    rmoi2.4 $e |- ( ph -> x e. A ) $.
    rmoi2.5 $e |- ( ph -> ps ) $.
    $( Consequence of "restricted at most one".  (Contributed by Thierry
       Arnoux, 9-Dec-2019.) $)
    rmob2 $p |- ( ph -> ( x = B <-> ch ) ) $=
      ( cv wceq wcel wa wmo wb wrmo df-rmo sylib eleq1 mob2 syl112anc mpbirand
      anbi12d ) ADLZFMZFENZCHAUHUFENZBOZDPZUIBUGUHCOZQHABDERUKIBDESTJKUJULDFEUG
      UIUHBCUFFEUAGUEUBUCUD $.

    rmoi2.6 $e |- ( ph -> ch ) $.
    $( Consequence of "restricted at most one".  (Contributed by Thierry
       Arnoux, 9-Dec-2019.) $)
    rmoi2 $p |- ( ph -> x = B ) $=
      ( cv wceq rmob2 mpbird ) ADMFNCLABCDEFGHIJKOP $.
  $}

  ${
    $d x y $.  $d y A $.  $d y ph $.  $d y ps $.
    rmoanim.1 $e |- F/ x ph $.
    $( Introduction of a conjunct into restricted "at most one" quantifier,
       analogous to ~ moanim .  (Contributed by Alexander van der Vekens,
       25-Jun-2017.)  Avoid ~ ax-10 and ~ ax-11 .  (Revised by Gino Giotto,
       24-Aug-2023.) $)
    rmoanim $p |- ( E* x e. A ( ph /\ ps ) <-> ( ph -> E* x e. A ps ) ) $=
      ( vy wa wi wral wex impexp exbii wmo wal df-rmo df-mo albii df-ral bitr4i
      wrmo weq ralbii r19.21 bitri cv wcel 3bitri imbi2i 19.37v 3bitr4i ) ABGZC
      FUAZHZCDIZFJZABULHZCDIZHZFJZUKCDTZABCDTZHZUNURFUNAUPHZCDIURUMVCCDABULKUBA
      UPCDEUCUDLUTCUEDUFZUKGZCMVEULHZCNZFJUOUKCDOVECFPVGUNFVGVDUMHZCNUNVFVHCVDU
      KULKQUMCDRSLUGVBAUQFJZHUSVAVIAVAVDBGZCMVJULHZCNZFJVIBCDOVJCFPVLUQFVLVDUPH
      ZCNUQVKVMCVDBULKQUPCDRSLUGUHAUQFUISUJ $.
    $( $j usage 'rmoanim' avoids 'ax-10' 'ax-11'; $)

    $( Alternate proof of ~ rmoanim , shorter but requiring ~ ax-10 and
       ~ ax-11 .  (Contributed by Alexander van der Vekens, 25-Jun-2017.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    rmoanimALT $p |- ( E* x e. A ( ph /\ ps ) <-> ( ph -> E* x e. A ps ) ) $=
      ( vy wa weq wi wral wex wrmo impexp ralbii r19.21 bitri exbii rmo2 imbi2i
      nfv 19.37v bitr4i 3bitr4i ) ABGZCFHZIZCDJZFKABUEIZCDJZIZFKZUDCDLABCDLZIZU
      GUJFUGAUHIZCDJUJUFUNCDABUEMNAUHCDEOPQUDCFDUDFTRUMAUIFKZIUKULUOABCFDBFTRSA
      UIFUAUBUC $.

    $( Introduction of a conjunct into restricted unique existential
       quantifier, analogous to ~ euan .  (Contributed by Alexander van der
       Vekens, 2-Jul-2017.) $)
    reuan $p |- ( E! x e. A ( ph /\ ps ) <-> ( ph /\ E! x e. A ps ) ) $=
      ( wa wreu wrex wrmo wi cv wcel simpl a1i rexlimi adantr simpr reximi reu5
      biimpa nfre1 ancrd impbid2 rmobida jca32 anbi2i 3imtr4i wb reubida impbii
      a1d ibar ) ABFZCDGZABCDGZFZUMCDHZUMCDIZFZABCDHZBCDIZFZFUNUPUSAUTVAUQAURUM
      ACDEUMAJCKDLZABMNOZPUQUTURUMBCDABQZRPUQURVAUQUMBCDUMCDUAUQVCFZUMBVEVFBAVF
      ABUQAVCVDPUKUBUCUDTUEUMCDSUOVBABCDSUFUGAUOUNABUMCDEABUMUHVCABULPUITUJ $.
  $}

  ${
    $d x y $.  $d y A $.  $d x B $.
    $( Double restricted existential uniqueness.  This theorem shows a
       condition under which a "naive" definition matches the correct one,
       analogous to ~ 2eu1 .  (Contributed by Alexander van der Vekens,
       25-Jun-2017.) $)
    2reu1 $p |- ( A. x e. A E* y e. B ph -> ( E! x e. A E! y e. B ph
                <-> ( E! x e. A E. y e. B ph /\ E! y e. B E. x e. A ph ) ) ) $=
      ( wrmo wral wreu wrex wa wi 2reu5a wcel simprr rsp jca sylib com12 reu5
      cv adantr impcom rmoimia nfra1 rmoanim ancrd 2rmoswap imdistani simplbiim
      ex syl6 2reu2rex rexcom jctild anbi12i an4 bitri syl6ibr 2rexreu impbid1
      ) ACEFZBDGZACEHBDHZACEIZBDHZABDIZCEHZJZVCVBVHVCVBVDBDIZVFCEIZJZVDBDFZVFCE
      FZJZJZVHVCVBVNVKVCVDVAJZBDIVPBDFZVBVNKABCDELVQVBVLVBJVNVQVBVLVQVBVDJZBDFV
      BVLKVRVPBDBTDMZVRVPVSVRJVDVAVSVBVDNVRVSVAVBVSVAKVDVABDOUAUBPUJUCVBVDBDVAB
      DUDUEQUFVLVBVMVBVLVMABCDEUGRUHUKUIVCVIVJABCDEULZVCVIVJVTABCDEUMQPUNVHVIVL
      JZVJVMJZJVOVEWAVGWBVDBDSVFCESUOVIVLVJVMUPUQURRABCDEUSUT $.

    $( Double restricted existential uniqueness, analogous to ~ 2eu2 .
       (Contributed by Alexander van der Vekens, 29-Jun-2017.) $)
    2reu2 $p |- ( E! y e. B E. x e. A ph
                  -> ( E! x e. A E! y e. B ph <-> E! x e. A E. y e. B ph ) ) $=
      ( wrex wreu wrmo wral wi reurmo 2rmorex wa 2reu1 simpl syl6bi 3syl expcom
      2rexreu impbid ) ABDFZCEGZACEGBDGZACEFBDGZUBUACEHACEHBDIZUCUDJUACEKACBEDL
      UEUCUDUBMUDABCDENUDUBOPQUDUBUCABCDESRT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Proper substitution of classes for sets into classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c [_ $.  $( Underlined left bracket $)
  $c ]_ $.  $( Underlined right bracket $)

  $( Extend class notation to include the proper substitution of a class for a
     set into another class. $)
  csb $a class [_ A / x ]_ B $.

  $( Indicate that "x" is not bound in "A" in the definition of csb.
     This is similar to $d x A $. $)
  $( $j free_var_in 'csb' with 'A' 'x'; $)

  ${
    $d y A $.  $d y B $.  $d x y $.
    $( Define the proper substitution of a class for a set into another class.
       The underlined brackets distinguish it from the substitution into a wff,
       ~ wsbc , to prevent ambiguity.  Theorem ~ sbcel1g shows an example of
       how ambiguity could arise if we did not use distinguished brackets.
       When ` A ` is a proper class, this evaluates to the empty set (see
       ~ csbprc ).  Theorem ~ sbccsb recovers substitution into a wff from this
       definition.  (Contributed by NM, 10-Nov-2005.) $)
    df-csb $a |- [_ A / x ]_ B = { y | [. A / x ]. y e. B } $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y $.
    $( Alternate expression for the proper substitution into a class, without
       referencing substitution into a wff.  Note that ` x ` can be free in
       ` B ` but cannot occur in ` A ` .  (Contributed by NM, 2-Dec-2013.) $)
    csb2 $p |- [_ A / x ]_ B = { y | E. x ( x = A /\ y e. B ) } $=
      ( csb cv wcel wsbc cab wceq wa wex df-csb sbc5 abbii eqtri ) ACDEBFDGZACH
      ZBIAFCJQKALZBIABCDMRSBQACNOP $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.
    $( Analogue of ~ dfsbcq for proper substitution into a class.  (Contributed
       by NM, 10-Nov-2005.) $)
    csbeq1 $p |- ( A = B -> [_ A / x ]_ C = [_ B / x ]_ C ) $=
      ( vy wceq cv wcel wsbc cab csb dfsbcq abbidv df-csb 3eqtr4g ) BCFZEGDHZAB
      IZEJQACIZEJABDKACDKPRSEQABCLMAEBDNAECDNO $.
  $}

  ${
    csbeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for proper substitution into a class.  (Contributed
       by NM, 3-Dec-2005.) $)
    csbeq1d $p |- ( ph -> [_ A / x ]_ C = [_ B / x ]_ C ) $=
      ( wceq csb csbeq1 syl ) ACDGBCEHBDEHGFBCDEIJ $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.
    $( Substituting into equivalent classes gives equivalent results.
       (Contributed by Giovanni Mascellani, 9-Apr-2018.) $)
    csbeq2 $p |- ( A. x B = C -> [_ A / x ]_ B = [_ A / x ]_ C ) $=
      ( vy wceq wal cv wcel cab csb wb eleq2 alimi sbcbi2 abbidv df-csb 3eqtr4g
      wsbc syl ) CDFZAGZEHZCIZABSZEJUCDIZABSZEJABCKABDKUBUEUGEUBUDUFLZAGUEUGLUA
      UHACDUCMNUDUFABOTPAEBCQAEBDQR $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.  $d y ph $.
    csbeq2d.1 $e |- F/ x ph $.
    csbeq2d.2 $e |- ( ph -> B = C ) $.
    $( Formula-building deduction for class substitution.  (Contributed by NM,
       22-Nov-2005.)  (Revised by Mario Carneiro, 1-Sep-2015.) $)
    csbeq2d $p |- ( ph -> [_ A / x ]_ B = [_ A / x ]_ C ) $=
      ( vy cv wcel wsbc cab csb eleq2d sbcbid abbidv df-csb 3eqtr4g ) AHIZDJZBC
      KZHLSEJZBCKZHLBCDMBCEMAUAUCHATUBBCFADESGNOPBHCDQBHCEQR $.
  $}

  ${
    $d x ph $.
    csbeq2dv.1 $e |- ( ph -> B = C ) $.
    $( Formula-building deduction for class substitution.  (Contributed by NM,
       10-Nov-2005.)  (Revised by Mario Carneiro, 1-Sep-2015.) $)
    csbeq2dv $p |- ( ph -> [_ A / x ]_ B = [_ A / x ]_ C ) $=
      ( nfv csbeq2d ) ABCDEABGFH $.
  $}

  ${
    csbeq2i.1 $e |- B = C $.
    $( Formula-building inference for class substitution.  (Contributed by NM,
       10-Nov-2005.)  (Revised by Mario Carneiro, 1-Sep-2015.) $)
    csbeq2i $p |- [_ A / x ]_ B = [_ A / x ]_ C $=
      ( csb wceq wtru a1i csbeq2dv mptru ) ABCFABDFGHABCDCDGHEIJK $.
  $}

  ${
    $d x ph $.
    csbeq12dv.1 $e |- ( ph -> A = C ) $.
    csbeq12dv.2 $e |- ( ph -> B = D ) $.
    $( Formula-building inference for class substitution.  (Contributed by SN,
       3-Nov-2023.) $)
    csbeq12dv $p |- ( ph -> [_ A / x ]_ B = [_ C / x ]_ D ) $=
      ( csb csbeq1d csbeq2dv eqtrd ) ABCDIBEDIBEFIABCEDGJABEDFHKL $.
  $}

  ${
    $d x y z $.  $d z A $.  $d z C $.  $d z D $.
    cbvcsbw.1 $e |- F/_ y C $.
    cbvcsbw.2 $e |- F/_ x D $.
    cbvcsbw.3 $e |- ( x = y -> C = D ) $.
    $( Change bound variables in a class substitution.  Interestingly, this
       does not require any bound variable conditions on ` A ` .  Version of
       ~ cbvcsb with a disjoint variable condition, which does not require
       ~ ax-13 .  (Contributed by Jeff Hankins, 13-Sep-2009.)  (Revised by Gino
       Giotto, 10-Jan-2024.) $)
    cbvcsbw $p |- [_ A / x ]_ C = [_ A / y ]_ D $=
      ( vz cv wcel wsbc cab csb nfcri weq eleq2d cbvsbcw abbii df-csb 3eqtr4i )
      IJZDKZACLZIMUBEKZBCLZIMACDNBCENUDUFIUCUEABCBIDFOAIEGOABPDEUBHQRSAICDTBICE
      TUA $.
    $( $j usage 'cbvcsbw' avoids 'ax-13'; $)
  $}

  ${
    $d x z $.  $d y z $.  $d z A $.  $d z C $.  $d z D $.
    cbvcsb.1 $e |- F/_ y C $.
    cbvcsb.2 $e |- F/_ x D $.
    cbvcsb.3 $e |- ( x = y -> C = D ) $.
    $( Change bound variables in a class substitution.  Interestingly, this
       does not require any bound variable conditions on ` A ` .  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  Use the weaker
       ~ cbvcsbw when possible.  (Contributed by Jeff Hankins, 13-Sep-2009.)
       (Revised by Mario Carneiro, 11-Dec-2016.)
       (New usage is discouraged.) $)
    cbvcsb $p |- [_ A / x ]_ C = [_ A / y ]_ D $=
      ( vz cv wcel wsbc cab csb nfcri weq eleq2d cbvsbc abbii df-csb 3eqtr4i )
      IJZDKZACLZIMUBEKZBCLZIMACDNBCENUDUFIUCUEABCBIDFOAIEGOABPDEUBHQRSAICDTBICE
      TUA $.
  $}

  ${
    $d x y $.  $d y B $.  $d x C $.
    cbvcsbv.1 $e |- ( x = y -> B = C ) $.
    $( Change the bound variable of a proper substitution into a class using
       implicit substitution.  (Contributed by NM, 30-Sep-2008.)  (Revised by
       Mario Carneiro, 13-Oct-2016.) $)
    cbvcsbv $p |- [_ A / x ]_ B = [_ A / y ]_ C $=
      ( nfcv cbvcsbw ) ABCDEBDGAEGFH $.
  $}

  ${
    $d x y $.  $d y A $.
    $( Analogue of ~ sbid for proper substitution into a class.  (Contributed
       by NM, 10-Nov-2005.) $)
    csbid $p |- [_ x / x ]_ A = A $=
      ( vy cv csb wcel wsbc cab df-csb sbcid abbii abid2 3eqtri ) AADZBECDBFZAN
      GZCHOCHBACNBIPOCOAJKCBLM $.
  $}

  $( Equality theorem for proper substitution into a class.  (Contributed by
     NM, 10-Nov-2005.) $)
  csbeq1a $p |- ( x = A -> B = [_ A / x ]_ B ) $=
    ( cv wceq csb csbid csbeq1 eqtr3id ) ADZBECAJCFABCFACGAJBCHI $.

  ${
    $d z A $.  $d x y z $.  $d y z B $.
    $( Composition law for chained substitutions into a class.  Version of
       ~ csbco with a disjoint variable condition, which does not require
       ~ ax-13 .  (Contributed by NM, 10-Nov-2005.)  (Revised by Gino Giotto,
       10-Jan-2024.) $)
    csbcow $p |- [_ A / y ]_ [_ y / x ]_ B = [_ A / x ]_ B $=
      ( vz cv csb wcel wsbc cab df-csb abeq2i sbcbii sbccow bitri abbii 3eqtr4i
      ) EFZABFZDGZHZBCIZEJRDHZACIZEJBCTGACDGUBUDEUBUCASIZBCIUDUAUEBCUEETAESDKLM
      UCABCNOPBECTKAECDKQ $.
    $( $j usage 'csbcow' avoids 'ax-13'; $)
  $}

  ${
    $d z A $.  $d y z B $.  $d x z $.
    $( Composition law for chained substitutions into a class.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  Use the weaker
       ~ csbcow when possible.  (Contributed by NM, 10-Nov-2005.)
       (New usage is discouraged.) $)
    csbco $p |- [_ A / y ]_ [_ y / x ]_ B = [_ A / x ]_ B $=
      ( vz cv csb wcel wsbc cab df-csb abeq2i sbcbii sbcco bitri abbii 3eqtr4i
      ) EFZABFZDGZHZBCIZEJRDHZACIZEJBCTGACDGUBUDEUBUCASIZBCIUDUAUEBCUEETAESDKLM
      UCABCNOPBECTKAECDKQ $.
  $}

  ${
    $d y A $.  $d y B $.  $d y V $.  $d x y $.
    $( Substitution doesn't affect a constant ` B ` (in which ` x ` is not
       free).  (Contributed by Mario Carneiro, 14-Oct-2016.) $)
    csbtt $p |- ( ( A e. V /\ F/_ x B ) -> [_ A / x ]_ B = B ) $=
      ( vy wcel wnfc wa csb cv wsbc cab df-csb wnf wb nfcr sbctt sylan2 abbi1dv
      eqtrid ) BDFZACGZHZABCIEJCFZABKZELCAEBCMUCUEECUBUAUDANUEUDOAECPUDABDQRST
      $.
  $}

  ${
    csbconstgf.1 $e |- F/_ x B $.
    $( Substitution doesn't affect a constant ` B ` (in which ` x ` is not
       free).  (Contributed by NM, 10-Nov-2005.) $)
    csbconstgf $p |- ( A e. V -> [_ A / x ]_ B = B ) $=
      ( wcel wnfc csb wceq csbtt mpan2 ) BDFACGABCHCIEABCDJK $.
  $}

  ${
    $d B x y z $.  $d A y $.
    $( Substitution doesn't affect a constant ` B ` (in which ` x ` does not
       occur). ~ csbconstgf with distinct variable requirement.  (Contributed
       by Alan Sare, 22-Jul-2012.)  Avoid ~ ax-12 .  (Revised by Gino Giotto,
       15-Oct-2024.) $)
    csbconstg $p |- ( A e. V -> [_ A / x ]_ B = B ) $=
      ( vy vz cv csb wceq csbeq1 eqeq1d wcel wsbc cab df-csb cvv sbcg elv abbii
      wb abid2 3eqtri vtoclg ) AEGZCHZCIABCHZCIEBDUDBIUEUFCAUDBCJKUEFGCLZAUDMZF
      NUGFNCAFUDCOUHUGFUHUGTEUGAUDPQRSFCUAUBUC $.
    $( $j usage 'csbconstg' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d B x $.
    $( Obsolete version of ~ csbconstg as of 15-Oct-2024.  (Contributed by Alan
       Sare, 22-Jul-2012.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    csbconstgOLD $p |- ( A e. V -> [_ A / x ]_ B = B ) $=
      ( nfcv csbconstgf ) ABCDACEF $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.
    csbgfi.1 $e |- A e. _V $.
    csbgfi.2 $e |- F/_ x B $.
    $( Substitution for a variable not free in a class does not affect it, in
       inference form.  (Contributed by Giovanni Mascellani, 4-Jun-2019.) $)
    csbgfi $p |- [_ A / x ]_ B = B $=
      ( vy csb cv wcel wsbc df-csb abeq2i nfcri sbcgfi bitri eqriv ) FABCGZCFHZ
      QIRCIZABJZSTFQAFBCKLSABDAFCEMNOP $.
  $}

  ${
    $d x y $.
    csbconstgi.1 $e |- A e. _V $.
    $( The proper substitution of a class for a variable in another variable
       does not modify it, in inference form.  (Contributed by Giovanni
       Mascellani, 30-May-2019.) $)
    csbconstgi $p |- [_ A / x ]_ y = y $=
      ( cvv wcel cv csb wceq csbconstg ax-mp ) CEFACBGZHLIDACLEJK $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y ph $.
    nfcsb1d.1 $e |- ( ph -> F/_ x A ) $.
    $( Bound-variable hypothesis builder for substitution into a class.
       (Contributed by Mario Carneiro, 12-Oct-2016.) $)
    nfcsb1d $p |- ( ph -> F/_ x [_ A / x ]_ B ) $=
      ( vy csb cv wcel wsbc cab df-csb nfv nfsbc1d nfabdw nfcxfrd ) ABBCDGFHDIZ
      BCJZFKBFCDLARBFAFMAQBCENOP $.
  $}

  ${
    nfcsb1.1 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for substitution into a class.
       (Contributed by Mario Carneiro, 12-Oct-2016.) $)
    nfcsb1 $p |- F/_ x [_ A / x ]_ B $=
      ( csb wnfc wtru a1i nfcsb1d mptru ) AABCEFGABCABFGDHIJ $.
  $}

  ${
    $d x A $.
    $( Bound-variable hypothesis builder for substitution into a class.
       (Contributed by NM, 17-Aug-2006.)  (Revised by Mario Carneiro,
       12-Oct-2016.) $)
    nfcsb1v $p |- F/_ x [_ A / x ]_ B $=
      ( nfcv nfcsb1 ) ABCABDE $.
  $}

  ${
    $d x z $.  $d y z $.  $d z A $.  $d z B $.  $d z ph $.
    nfcsbd.1 $e |- F/ y ph $.
    nfcsbd.2 $e |- ( ph -> F/_ x A ) $.
    nfcsbd.3 $e |- ( ph -> F/_ x B ) $.
    $( Deduction version of ~ nfcsb .  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  (Contributed by NM, 21-Nov-2005.)
       (Revised by Mario Carneiro, 12-Oct-2016.)
       (New usage is discouraged.) $)
    nfcsbd $p |- ( ph -> F/_ x [_ A / y ]_ B ) $=
      ( vz csb cv wcel wsbc cab df-csb nfv nfcrd nfsbcd nfabd nfcxfrd ) ABCDEJI
      KELZCDMZINCIDEOAUBBIAIPAUABCDFGABIEHQRST $.
  $}

  ${
    $d x y z $.  $d A z $.  $d B z $.
    nfcsbw.1 $e |- F/_ x A $.
    nfcsbw.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for substitution into a class.
       Version of ~ nfcsb with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by Mario Carneiro, 12-Oct-2016.)
       (Revised by Gino Giotto, 10-Jan-2024.) $)
    nfcsbw $p |- F/_ x [_ A / y ]_ B $=
      ( vz csb wnfc wtru cv wcel wsbc cab df-csb nftru a1i nfcrd nfsbcdw nfabdw
      nfcxfrd mptru ) ABCDHZIJAUCGKDLZBCMZGNBGCDOJUEAGGPJUDABCBPACIJEQJAGDADIJF
      QRSTUAUB $.
    $( $j usage 'nfcsbw' avoids 'ax-13'; $)
  $}

  ${
    nfcsb.1 $e |- F/_ x A $.
    nfcsb.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for substitution into a class.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ nfcsbw when possible.  (Contributed by Mario Carneiro,
       12-Oct-2016.)  (New usage is discouraged.) $)
    nfcsb $p |- F/_ x [_ A / y ]_ B $=
      ( csb wnfc wtru nftru a1i nfcsbd mptru ) ABCDGHIABCDBJACHIEKADHIFKLM $.
  $}

  ${
    $d x y $.
    csbhypf.1 $e |- F/_ x A $.
    csbhypf.2 $e |- F/_ x C $.
    csbhypf.3 $e |- ( x = A -> B = C ) $.
    $( Introduce an explicit substitution into an implicit substitution
       hypothesis.  See ~ sbhypf for class substitution version.  (Contributed
       by NM, 19-Dec-2008.) $)
    csbhypf $p |- ( y = A -> [_ y / x ]_ B = C ) $=
      ( cv wceq wi csb nfeq2 nfcsb1v nfeq nfim eqeq1 csbeq1a eqeq1d imbi12d
      chvarfv ) AIZCJZDEJZKBIZCJZAUEDLZEJZKABUFUHAAUECFMAUGEAUEDNGOPUBUEJZUCUFU
      DUHUBUECQUIDUGEAUEDRSTHUA $.
  $}

  ${
    $d x A $.
    $( Conversion of implicit substitution to explicit substitution into a
       class.  (Closed theorem version of ~ csbiegf .)  (Contributed by NM,
       11-Nov-2005.) $)
    csbiebt $p |- ( ( A e. V /\ F/_ x C ) ->
                 ( A. x ( x = A -> B = C ) <-> [_ A / x ]_ B = C ) ) $=
      ( wcel cvv wnfc cv wceq wi wal csb wb elex wa wsbc adantl a1i nfeqd spsbc
      adantr simpl biimt csbeq1a eqeq1d bitr3d nfv nfnfc1 nfcsb1v simpr sbciedf
      nfan sylibd id nfan1 biimprcd alrimi ex impbid sylan ) BEFBGFZADHZAIBJZCD
      JZKZALZABCMZDJZNBEOVBVCPZVGVIVJVGVFABQZVIVBVGVKKVCVFABGUAUBVJVFVIABGVBVCU
      CVDVFVINVJVDVEVFVIVDVEUDVDCVHDABCUEUFZUGRVBVCAVBAUHADUIZUMVJAVHDAVHHZVJAB
      CUJZSVBVCUKTULUNVCVIVGKVBVCVIVGVCVIPVFAVCVIAVMVCAVHDVNVCVOSVCUOTUPVIVFVCV
      DVEVIVLUQRURUSRUTVA $.

    csbiedf.1 $e |- F/ x ph $.
    csbiedf.2 $e |- ( ph -> F/_ x C ) $.
    csbiedf.3 $e |- ( ph -> A e. V ) $.
    csbiedf.4 $e |- ( ( ph /\ x = A ) -> B = C ) $.
    $( Conversion of implicit substitution to explicit substitution into a
       class.  (Contributed by Mario Carneiro, 13-Oct-2016.) $)
    csbiedf $p |- ( ph -> [_ A / x ]_ B = C ) $=
      ( cv wceq wi wal csb ex alrimi wcel wnfc wb csbiebt syl2anc mpbid ) ABKCL
      ZDELZMZBNZBCDOELZAUFBGAUDUEJPQACFRBESUGUHTIHBCDEFUAUBUC $.
  $}

  ${
    $d x A $.
    csbieb.1 $e |- A e. _V $.
    csbieb.2 $e |- F/_ x C $.
    $( Bidirectional conversion between an implicit class substitution
       hypothesis ` x = A -> B = C ` and its explicit substitution equivalent.
       (Contributed by NM, 2-Mar-2008.) $)
    csbieb $p |- ( A. x ( x = A -> B = C ) <-> [_ A / x ]_ B = C ) $=
      ( cvv wcel wnfc cv wceq wi wal csb wb csbiebt mp2an ) BGHADIAJBKCDKLAMABC
      NDKOEFABCDGPQ $.
  $}

  ${
    $d a x A $.  $d a B $.  $d a C $.
    csbiebg.2 $e |- F/_ x C $.
    $( Bidirectional conversion between an implicit class substitution
       hypothesis ` x = A -> B = C ` and its explicit substitution equivalent.
       (Contributed by NM, 24-Mar-2013.)  (Revised by Mario Carneiro,
       11-Dec-2016.) $)
    csbiebg $p |- ( A e. V ->
          ( A. x ( x = A -> B = C ) <-> [_ A / x ]_ B = C ) ) $=
      ( va cv wceq wal csb eqeq2 imbi1d albidv csbeq1 eqeq1d vex csbieb vtoclbg
      wi ) AHZGHZIZCDIZTZAJAUBCKZDIUABIZUDTZAJABCKZDIGBEUBBIZUEUHAUJUCUGUDUBBUA
      LMNUJUFUIDAUBBCOPAUBCDGQFRS $.
  $}

  ${
    $d x A $.
    csbiegf.1 $e |- ( A e. V -> F/_ x C ) $.
    csbiegf.2 $e |- ( x = A -> B = C ) $.
    $( Conversion of implicit substitution to explicit substitution into a
       class.  (Contributed by NM, 11-Nov-2005.)  (Revised by Mario Carneiro,
       13-Oct-2016.) $)
    csbiegf $p |- ( A e. V -> [_ A / x ]_ B = C ) $=
      ( wcel cv wceq wi wal csb ax-gen wnfc wb csbiebt mpdan mpbii ) BEHZAIBJCD
      JKZALZABCMDJZUAAGNTADOUBUCPFABCDEQRS $.
  $}

  ${
    $d x A $.
    csbief.1 $e |- A e. _V $.
    csbief.2 $e |- F/_ x C $.
    csbief.3 $e |- ( x = A -> B = C ) $.
    $( Conversion of implicit substitution to explicit substitution into a
       class.  (Contributed by NM, 26-Nov-2005.)  (Revised by Mario Carneiro,
       13-Oct-2016.) $)
    csbief $p |- [_ A / x ]_ B = C $=
      ( cvv wcel csb wceq wnfc a1i csbiegf ax-mp ) BHIZABCJDKEABCDHADLPFMGNO $.
  $}

  ${
    $d x y A $.  $d x y z C $.  $d B y z $.
    csbie.1 $e |- A e. _V $.
    csbie.2 $e |- ( x = A -> B = C ) $.
    $( Conversion of implicit substitution to explicit substitution into a
       class.  (Contributed by AV, 2-Dec-2019.)  Reduce axiom usage.  (Revised
       by Gino Giotto, 15-Oct-2024.) $)
    csbie $p |- [_ A / x ]_ B = C $=
      ( vy csb cv wcel wsbc cab df-csb wceq eleq2d sbcie abbii abid2 3eqtri ) A
      BCHGIZCJZABKZGLTDJZGLDAGBCMUBUCGUAUCABEAIBNCDTFOPQGDRS $.
    $( $j usage 'csbie' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x A $.  $d x C $.
    csbieOLD.1 $e |- A e. _V $.
    csbieOLD.2 $e |- ( x = A -> B = C ) $.
    $( Obsolete version of ~ csbie as of 15-Oct-2024.  (Contributed by AV,
       2-Dec-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    csbieOLD $p |- [_ A / x ]_ B = C $=
      ( nfcv csbief ) ABCDEADGFH $.
  $}

  ${
    $d x y z A $.  $d B y z $.  $d x y z C $.  $d x z ph $.
    csbied.1 $e |- ( ph -> A e. V ) $.
    csbied.2 $e |- ( ( ph /\ x = A ) -> B = C ) $.
    $( Conversion of implicit substitution to explicit substitution into a
       class.  (Contributed by Mario Carneiro, 2-Dec-2014.)  (Revised by Mario
       Carneiro, 13-Oct-2016.)  Reduce axiom usage.  (Revised by Gino Giotto,
       15-Oct-2024.) $)
    csbied $p |- ( ph -> [_ A / x ]_ B = C ) $=
      ( vy vz csb cv wcel wsbc cab df-csb wb wal wceq wa eleq2d alrimiv df-clab
      sbcied wsb eleq1w sbcbidv sbievw bitr2i bibi1i biimpi sylg dfcleq sylibr
      weq eqtrid ) ABCDKILDMZBCNZIOZEBICDPAJLZUSMZUTEMZQZJRUSESAUTDMZBCNZVBQZVC
      JAVFJAVDVBBCFGABLCSTDEUTHUAUDUBVFVCVEVAVBVAURIJUEVEURJIUCURVEIJIJUOUQVDBC
      IJDUFUGUHUIUJUKULJUSEUMUNUP $.
    $( $j usage 'csbied' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x A $.  $d x C $.  $d x ph $.
    csbiedOLD.1 $e |- ( ph -> A e. V ) $.
    csbiedOLD.2 $e |- ( ( ph /\ x = A ) -> B = C ) $.
    $( Obsolete version of ~ csbied as of 15-Oct-2024.  (Contributed by Mario
       Carneiro, 2-Dec-2014.)  (Revised by Mario Carneiro, 13-Oct-2016.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    csbiedOLD $p |- ( ph -> [_ A / x ]_ B = C ) $=
      ( nfv nfcvd csbiedf ) ABCDEFABIABEJGHK $.
  $}

  ${
    $d x A $.  $d x ph $.  $d x D $.
    csbied2.1 $e |- ( ph -> A e. V ) $.
    csbied2.2 $e |- ( ph -> A = B ) $.
    csbied2.3 $e |- ( ( ph /\ x = B ) -> C = D ) $.
    $( Conversion of implicit substitution to explicit class substitution,
       deduction form.  (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    csbied2 $p |- ( ph -> [_ A / x ]_ C = D ) $=
      ( cv wceq id sylan9eqr syldan csbied ) ABCEFGHABKZCLZQDLEFLRAQCDRMINJOP
      $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y D $.
    csbie2t.1 $e |- A e. _V $.
    csbie2t.2 $e |- B e. _V $.
    $( Conversion of implicit substitution to explicit substitution into a
       class (closed form of ~ csbie2 ).  (Contributed by NM, 3-Sep-2007.)
       (Revised by Mario Carneiro, 13-Oct-2016.) $)
    csbie2t $p |- ( A. x A. y ( ( x = A /\ y = B ) -> C = D ) ->
                  [_ A / x ]_ [_ B / y ]_ C = D ) $=
      ( cv wceq wa wi wal csb cvv nfa1 nfcvd wcel a1i csbiedf nfa2 nfv nfan 2sp
      impl ) AICJZBIDJZKEFJZLZBMZAMZACBDENFOUJAPUKAFQCORUKGSUKUFKZBDEFOUKUFBUIB
      AUAUFBUBUCULBFQDORULHSUKUFUGUHUIABUDUETT $.

    csbie2.3 $e |- ( ( x = A /\ y = B ) -> C = D ) $.
    $( Conversion of implicit substitution to explicit substitution into a
       class.  (Contributed by NM, 27-Aug-2007.) $)
    csbie2 $p |- [_ A / x ]_ [_ B / y ]_ C = D $=
      ( cv wceq wa wi wal csb gen2 csbie2t ax-mp ) AJCKBJDKLEFKMZBNANACBDEOOFKS
      ABIPABCDEFGHQR $.
  $}

  ${
    $d x y z $.  $d A y z $.  $d B y z $.  $d C x $.  $d D y z $.  $d V z $.
    csbie2g.1 $e |- ( x = y -> B = C ) $.
    csbie2g.2 $e |- ( y = A -> C = D ) $.
    $( Conversion of implicit substitution to explicit class substitution.
       This version of ~ csbie avoids a disjointness condition on ` x , A ` and
       ` x , D ` by substituting twice.  (Contributed by Mario Carneiro,
       11-Nov-2016.) $)
    csbie2g $p |- ( A e. V -> [_ A / x ]_ B = D ) $=
      ( vz wcel csb cv wsbc cab df-csb wceq eleq2d sbcie2g abbi1dv eqtrid ) CGK
      ZACDLJMZDKZACNZJOFAJCDPUBUEJFUDUCEKUCFKABCGAMBMZQDEUCHRUFCQEFUCIRSTUA $.
  $}

  ${
    $d x y z $.  $d A z $.  $d B z $.  $d ph z $.  $d ps z $.
    cbvrabcsfw.1 $e |- F/_ y A $.
    cbvrabcsfw.2 $e |- F/_ x B $.
    cbvrabcsfw.3 $e |- F/ y ph $.
    cbvrabcsfw.4 $e |- F/ x ps $.
    cbvrabcsfw.5 $e |- ( x = y -> A = B ) $.
    cbvrabcsfw.6 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Version of ~ cbvrabcsf with a disjoint variable condition, which does
       not require ~ ax-13 .  (Contributed by Andrew Salmon, 13-Jul-2011.)
       (Revised by Gino Giotto, 26-Jan-2024.) $)
    cbvrabcsfw $p |- { x e. A | ph } = { y e. B | ps } $=
      ( vz cv wcel wa cab crab csb nfv wsb nfcsb1v nfcri nfs1v nfan weq csbeq1a
      eleq12d sbequ12 anbi12d cbvabw nfcv nfcsbw nfsbv csbeq1 vex csbief eqtrdi
      id sbhypf eqtri df-rab 3eqtr4i ) CNZEOZAPZCQZDNZFOZBPZDQZACERBDFRVGMNZCVL
      ESZOZACMUAZPZMQVKVFVPCMVFMTVNVOCCMVMCVLEUBUCACMUDUECMUFZVEVNAVOVQVDVLEVMV
      QUSCVLEUGUHACMUIUJUKVPVJMDVNVODDMVMDCVLEDVLULGUMUCACMDIUNUEVJMTMDUFZVNVIV
      OBVRVLVHVMFVRUSVRVMCVHESFCVLVHEUOCVHEFDUPHKUQURUHABCMVHJLUTUJUKVAACEVBBDF
      VBVC $.
    $( $j usage 'cbvrabcsfw' avoids 'ax-13'; $)
  $}

  ${
    $d x v z $.  $d y v z $.  $d A v z $.  $d B v z $.  $d ph v z $.
    $d ps v z $.
    cbvralcsf.1 $e |- F/_ y A $.
    cbvralcsf.2 $e |- F/_ x B $.
    cbvralcsf.3 $e |- F/ y ph $.
    cbvralcsf.4 $e |- F/ x ps $.
    cbvralcsf.5 $e |- ( x = y -> A = B ) $.
    cbvralcsf.6 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( A more general version of ~ cbvralf that doesn't require ` A ` and ` B `
       to be distinct from ` x ` or ` y ` .  Changes bound variables using
       implicit substitution.  Usage of this theorem is discouraged because it
       depends on ~ ax-13 .  (Contributed by Andrew Salmon, 13-Jul-2011.)
       (New usage is discouraged.) $)
    cbvralcsf $p |- ( A. x e. A ph <-> A. y e. B ps ) $=
      ( vz vv cv wcel wi wal wsbc nfcri wral csb nfv nfcsb1v nfsbc1v id csbeq1a
      nfim weq eleq12d sbceq1a imbi12d cbvalv1 nfcv nfcsb csbeq1 cab df-csb wsb
      nfsbc eleq2d sbsbc bitr3i abbi2i eqtr4i eqtrdi dfsbcq bitrdi bitri df-ral
      sbie 3bitr4i ) COZEPZAQZCRZDOZFPZBQZDRZACEUABDFUAVPMOZCWAEUBZPZACWASZQZMR
      VTVOWECMVOMUCWCWDCCMWBCWAEUDTACWAUEUHCMUIZVNWCAWDWFVMWAEWBWFUFCWAEUGUJACW
      AUKULUMWEVSMDWCWDDDMWBDCWAEDWAUNZGUOTADCWAWGIUTUHVSMUCMDUIZWCVRWDBWHWAVQW
      BFWHUFWHWBCVQEUBZFCWAVQEUPWINOZEPZCVQSZNUQFCNVQEURWLNFWJFPZWKCDUSWLWKWMCD
      CNFHTCDUIEFWJKVAVKWKCDVBVCVDVEVFUJWHWDACVQSZBACWAVQVGWNACDUSBACDVBABCDJLV
      KVCVHULUMVIACEVJBDFVJVL $.

    $( A more general version of ~ cbvrexf that has no distinct variable
       restrictions.  Changes bound variables using implicit substitution.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by Andrew Salmon, 13-Jul-2011.)  (Proof shortened by Mario
       Carneiro, 7-Dec-2014.)  (New usage is discouraged.) $)
    cbvrexcsf $p |- ( E. x e. A ph <-> E. y e. B ps ) $=
      ( wn wral wrex nfn weq notbid cbvralcsf dfrex2 notbii 3bitr4i ) AMZCENZMB
      MZDFNZMACEOBDFOUDUFUCUECDEFGHADIPBCJPKCDQABLRSUAACETBDFTUB $.

    $( A more general version of ~ cbvreuv that has no distinct variable
       restrictions.  Changes bound variables using implicit substitution.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by Andrew Salmon, 13-Jul-2011.)
       (New usage is discouraged.) $)
    cbvreucsf $p |- ( E! x e. A ph <-> E! y e. B ps ) $=
      ( vz vv cv wcel wa weu wsb nfcri wreu csb nfv nfcsb1v nfan weq id csbeq1a
      nfs1v eleq12d sbequ12 anbi12d cbveu nfcv nfcsb nfsb csbeq1 cab wsbc sbsbc
      abbii eleq2d sbie bicomi abbi2i df-csb 3eqtr4ri eqtrdi sbequ bitrdi bitri
      df-reu 3bitr4i ) COZEPZAQZCRZDOZFPZBQZDRZACEUABDFUAVQMOZCWBEUBZPZACMSZQZM
      RWAVPWFCMVPMUCWDWECCMWCCWBEUDTACMUIUECMUFZVOWDAWEWGVNWBEWCWGUGCWBEUHUJACM
      UKULUMWFVTMDWDWEDDMWCDCWBEDWBUNGUOTACMDIUPUEVTMUCMDUFZWDVSWEBWHWBVRWCFWHU
      GWHWCCVREUBZFCWBVREUQNOZEPZCDSZNURWKCVRUSZNURFWIWLWMNWKCDUTVAWLNFWLWJFPZW
      KWNCDCNFHTCDUFEFWJKVBVCVDVECNVREVFVGVHUJWHWEACDSBAMDCVIABCDJLVCVJULUMVKAC
      EVLBDFVLVM $.

    $( A more general version of ~ cbvrab with no distinct variable
       restrictions.  Usage of this theorem is discouraged because it depends
       on ~ ax-13 .  (Contributed by Andrew Salmon, 13-Jul-2011.)
       (New usage is discouraged.) $)
    cbvrabcsf $p |- { x e. A | ph } = { y e. B | ps } $=
      ( vz vv cv wcel wa cab wsb nfcri crab csb nfv nfcsb1v nfan weq id csbeq1a
      nfs1v eleq12d sbequ12 anbi12d cbvab nfcv nfcsb csbeq1 df-csb eleq2d sbsbc
      nfsb wsbc bitr3i abbi2i eqtr4i eqtrdi sbequ bitrdi eqtri df-rab 3eqtr4i
      sbie ) COZEPZAQZCRZDOZFPZBQZDRZACEUABDFUAVOMOZCVTEUBZPZACMSZQZMRVSVNWDCMV
      NMUCWBWCCCMWACVTEUDTACMUIUECMUFZVMWBAWCWEVLVTEWAWEUGCVTEUHUJACMUKULUMWDVR
      MDWBWCDDMWADCVTEDVTUNGUOTACMDIUTUEVRMUCMDUFZWBVQWCBWFVTVPWAFWFUGWFWACVPEU
      BZFCVTVPEUPWGNOZEPZCVPVAZNRFCNVPEUQWJNFWHFPZWICDSWJWIWKCDCNFHTCDUFEFWHKUR
      VKWICDUSVBVCVDVEUJWFWCACDSBAMDCVFABCDJLVKVGULUMVHACEVIBDFVIVJ $.
  $}

  ${
    $d A y $.  $d ps y $.  $d B x $.  $d ch x $.
    cbvralv2.1 $e |- ( x = y -> ( ps <-> ch ) ) $.
    cbvralv2.2 $e |- ( x = y -> A = B ) $.
    $( Rule used to change the bound variable in a restricted universal
       quantifier with implicit substitution which also changes the quantifier
       domain.  Usage of this theorem is discouraged because it depends on
       ~ ax-13 .  (Contributed by David Moews, 1-May-2017.)
       (New usage is discouraged.) $)
    cbvralv2 $p |- ( A. x e. A ps <-> A. y e. B ch ) $=
      ( nfcv nfv cbvralcsf ) ABCDEFDEICFIADJBCJHGK $.

    $( Rule used to change the bound variable in a restricted existential
       quantifier with implicit substitution which also changes the quantifier
       domain.  Usage of this theorem is discouraged because it depends on
       ~ ax-13 .  (Contributed by David Moews, 1-May-2017.)
       (New usage is discouraged.) $)
    cbvrexv2 $p |- ( E. x e. A ps <-> E. y e. B ch ) $=
      ( nfcv nfv cbvrexcsf ) ABCDEFDEICFIADJBCJHGK $.
  $}

  ${
    $d A x y $.  $d B y $.  $d C x $.  $d D y $.  $d E x $.  $d ph x $.
    $d ch x $.  $d ps y $.
    rspc2vd.a $e |- ( x = A -> ( th <-> ch ) ) $.
    rspc2vd.b $e |- ( y = B -> ( ch <-> ps ) ) $.
    rspc2vd.c $e |- ( ph -> A e. C ) $.
    rspc2vd.d $e |- ( ( ph /\ x = A ) -> D = E ) $.
    rspc2vd.e $e |- ( ph -> B e. E ) $.
    $( Deduction version of 2-variable restricted specialization, using
       implicit substitution.  Notice that the class ` D ` for the second set
       variable ` y ` may depend on the first set variable ` x ` .
       (Contributed by AV, 29-Mar-2021.) $)
    rspc2vd $p |- ( ph -> ( A. x e. C A. y e. D th -> ps ) ) $=
      ( csb wcel wral csbied eleqtrrd nfcsb1v nfv nfralw wceq csbeq1a raleqbidv
      wi cv rspc syl rspcv sylsyld ) AHEGJQZRDFJSZEISZCFUNSZBAHKUNPAEGJKINOTUAA
      GIRUPUQUHNUOUQEGICEFUNEGJUBCEUCUDEUIGUEDCFJUNEGJUFLUGUJUKCBFHUNMULUM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Define basic set operations and relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new symbols. $)
  $c \ $.  $( Backslash (difference) $)
  $c u. $.  $( Cup (union) $)
  $c i^i $.  $( Cap (intersection) $)
  $c C_ $.  $( Subclass or subset symbol $)
  $c C. $.  $( Proper subclass or subset symbol $)

  $( Extend class notation to include class difference (read:  " ` A ` minus
     ` B ` "). $)
  cdif $a class ( A \ B ) $.

  $( Extend class notation to include union of two classes (read:  " ` A `
     union ` B ` "). $)
  cun $a class ( A u. B ) $.

  $( Extend class notation to include the intersection of two classes (read:
      " ` A ` intersect ` B ` "). $)
  cin $a class ( A i^i B ) $.

  $( Extend wff notation to include the subclass relation.  This is
     read " ` A ` is a subclass of ` B ` " or " ` B ` includes ` A ` ".  When
     ` A ` exists as a set, it is also read " ` A ` is a subset of ` B ` ". $)
  wss $a wff A C_ B $.

  $( Extend wff notation with proper subclass relation. $)
  wpss $a wff A C. B $.

  ${
    $d x A $.  $d x B $.  $d y A $.  $d y B $.  $d z x $.  $d z y $.  $d z A $.
    $d z B $.
    $( Soundness justification theorem for ~ df-dif .  (Contributed by Rodolfo
       Medina, 27-Apr-2010.)  (Proof shortened by Andrew Salmon,
       9-Jul-2011.) $)
    difjust $p |- { x | ( x e. A /\ -. x e. B ) }
                = { y | ( y e. A /\ -. y e. B ) } $=
      ( vz cv wcel wn wa cab weq eleq1w notbid anbi12d cbvabv eqtri ) AFZCGZQDG
      ZHZIZAJEFZCGZUBDGZHZIZEJBFZCGZUGDGZHZIZBJUAUFAEAEKZRUCTUEAECLULSUDAEDLMNO
      UFUKEBEBKZUCUHUEUJEBCLUMUDUIEBDLMNOP $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Define class difference, also called relative complement.  Definition
       5.12 of [TakeutiZaring] p. 20.  For example,
       ` ( { 1 , 3 } \ { 1 , 8 } ) = { 3 } ` ( ~ ex-dif ).  Contrast this
       operation with union ` ( A u. B ) ` ( ~ df-un ) and intersection
       ` ( A i^i B ) ` ( ~ df-in ).  Several notations are used in the
       literature; we chose the ` \ ` convention used in Definition 5.3 of
       [Eisenberg] p. 67 instead of the more common minus sign to reserve the
       latter for later use in, e.g., arithmetic.  We will use the
       terminology " ` A ` excludes ` B ` " to mean ` A \ B ` .  We will
       use " ` B ` is removed from ` A ` " to mean ` A \ { B } ` i.e. the
       removal of an element or equivalently the exclusion of a singleton.
       (Contributed by NM, 29-Apr-1994.) $)
    df-dif $a |- ( A \ B ) = { x | ( x e. A /\ -. x e. B ) } $.
  $}

  ${
    $d x A $.  $d x B $.  $d y A $.  $d y B $.  $d z x $.  $d z y $.  $d z A $.
    $d z B $.
    $( Soundness justification theorem for ~ df-un .  (Contributed by Rodolfo
       Medina, 28-Apr-2010.)  (Proof shortened by Andrew Salmon,
       9-Jul-2011.) $)
    unjust $p |- { x | ( x e. A \/ x e. B ) } = { y | ( y e. A \/ y e. B ) } $=
      ( vz cv wcel wo cab weq eleq1w orbi12d cbvabv eqtri ) AFZCGZODGZHZAIEFZCG
      ZSDGZHZEIBFZCGZUCDGZHZBIRUBAEAEJPTQUAAECKAEDKLMUBUFEBEBJTUDUAUEEBCKEBDKLM
      N $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Define the union of two classes.  Definition 5.6 of [TakeutiZaring]
       p. 16.  For example, ` ( { 1 , 3 } u. { 1 , 8 } ) = { 1 , 3 , 8 } `
       ( ~ ex-un ).  Contrast this operation with difference ` ( A \ B ) `
       ( ~ df-dif ) and intersection ` ( A i^i B ) ` ( ~ df-in ).  For an
       alternate definition in terms of class difference, requiring no dummy
       variables, see ~ dfun2 .  For union defined in terms of intersection,
       see ~ dfun3 .  (Contributed by NM, 23-Aug-1993.) $)
    df-un $a |- ( A u. B ) = { x | ( x e. A \/ x e. B ) } $.
  $}

  ${
    $d x A $.  $d x B $.  $d y A $.  $d y B $.  $d z x $.  $d z y $.  $d z A $.
    $d z B $.
    $( Soundness justification theorem for ~ df-in .  (Contributed by Rodolfo
       Medina, 28-Apr-2010.)  (Proof shortened by Andrew Salmon,
       9-Jul-2011.) $)
    injust $p |- { x | ( x e. A /\ x e. B ) }
               = { y | ( y e. A /\ y e. B ) } $=
      ( vz cv wcel wa cab weq eleq1w anbi12d cbvabv eqtri ) AFZCGZODGZHZAIEFZCG
      ZSDGZHZEIBFZCGZUCDGZHZBIRUBAEAEJPTQUAAECKAEDKLMUBUFEBEBJTUDUAUEEBCKEBDKLM
      N $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Define the intersection of two classes.  Definition 5.6 of
       [TakeutiZaring] p. 16.  For example,
       ` ( { 1 , 3 } i^i { 1 , 8 } ) = { 1 } ` ( ~ ex-in ).  Contrast this
       operation with union ` ( A u. B ) ` ( ~ df-un ) and difference
       ` ( A \ B ) ` ( ~ df-dif ).  For alternate definitions in terms of class
       difference, requiring no dummy variables, see ~ dfin2 and ~ dfin4 .  For
       intersection defined in terms of union, see ~ dfin3 .  (Contributed by
       NM, 29-Apr-1994.) $)
    df-in $a |- ( A i^i B ) = { x | ( x e. A /\ x e. B ) } $.

    $( Alternate definition for the intersection of two classes.  (Contributed
       by NM, 6-Jul-2005.) $)
    dfin5 $p |- ( A i^i B ) = { x e. A | x e. B } $=
      ( cin cv wcel wa cab crab df-in df-rab eqtr4i ) BCDAEZBFMCFZGAHNABIABCJNA
      BKL $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Alternate definition of class difference.  (Contributed by NM,
       25-Mar-2004.) $)
    dfdif2 $p |- ( A \ B ) = { x e. A | -. x e. B } $=
      ( cdif cv wcel wn wa cab crab df-dif df-rab eqtr4i ) BCDAEZBFNCFGZHAIOABJ
      ABCKOABLM $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Expansion of membership in a class difference.  (Contributed by NM,
       29-Apr-1994.) $)
    eldif $p |- ( A e. ( B \ C ) <-> ( A e. B /\ -. A e. C ) ) $=
      ( vx cdif wcel cvv wn wa elex adantr cv wceq notbid anbi12d df-dif elab2g
      eleq1 pm5.21nii ) ABCEZFAGFZABFZACFZHZIZATJUBUAUDABJKDLZBFZUFCFZHZIUEDATG
      UFAMZUGUBUIUDUFABRUJUHUCUFACRNODBCPQS $.
  $}

  ${
    eldifd.1 $e |- ( ph -> A e. B ) $.
    eldifd.2 $e |- ( ph -> -. A e. C ) $.
    $( If a class is in one class and not another, it is also in their
       difference.  One-way deduction form of ~ eldif .  (Contributed by David
       Moews, 1-May-2017.) $)
    eldifd $p |- ( ph -> A e. ( B \ C ) ) $=
      ( wcel wn cdif eldif sylanbrc ) ABCGBDGHBCDIGEFBCDJK $.
  $}

  ${
    eldifad.1 $e |- ( ph -> A e. ( B \ C ) ) $.
    $( If a class is in the difference of two classes, it is also in the
       minuend.  One-way deduction form of ~ eldif .  (Contributed by David
       Moews, 1-May-2017.) $)
    eldifad $p |- ( ph -> A e. B ) $=
      ( wcel wn cdif wa eldif sylib simpld ) ABCFZBDFGZABCDHFMNIEBCDJKL $.
  $}

  ${
    eldifbd.1 $e |- ( ph -> A e. ( B \ C ) ) $.
    $( If a class is in the difference of two classes, it is not in the
       subtrahend.  One-way deduction form of ~ eldif .  (Contributed by David
       Moews, 1-May-2017.) $)
    eldifbd $p |- ( ph -> -. A e. C ) $=
      ( wcel wn cdif wa eldif sylib simprd ) ABCFZBDFGZABCDHFMNIEBCDJKL $.
  $}

  $( The elements of a set difference and the minuend are not equal.
     (Contributed by AV, 21-Oct-2023.) $)
  elneeldif $p |- ( ( X e. A /\ Y e. ( B \ A ) ) -> X =/= Y ) $=
    ( wcel cdif wne wn wa eldif nelne2 ex adantld syl5bi imp ) CAEZDBAFEZCDGZQD
    BEZDAEHZIPRDBAJPTRSPTRCDAKLMNO $.

  $( Characterization of setvar elements of the complement of a class.
     (Contributed by Andrew Salmon, 15-Jul-2011.) $)
  velcomp $p |- ( x e. ( _V \ A ) <-> -. x e. A ) $=
    ( cv cvv cdif wcel wn vex eldif mpbiran ) ACZDBEFKDFKBFGAHKDBIJ $.

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Expansion of membership in an intersection of two classes.  Theorem 12
       of [Suppes] p. 25.  (Contributed by NM, 29-Apr-1994.) $)
    elin $p |- ( A e. ( B i^i C ) <-> ( A e. B /\ A e. C ) ) $=
      ( vx cin wcel wa elex adantl cv wceq eleq1 anbi12d df-in elab2g pm5.21nii
      cvv ) ABCEZFAQFZABFZACFZGZARHUASTACHIDJZBFZUCCFZGUBDARQUCAKUDTUEUAUCABLUC
      ACLMDBCNOP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subclasses and subsets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the subclass relationship.  Exercise 9 of [TakeutiZaring] p. 18.
     For example, ` { 1 , 2 } C_ { 1 , 2 , 3 } ` ( ~ ex-ss ).  Note that
     ` A C_ A ` (proved in ~ ssid ).  Contrast this relationship with the
     relationship ` A C. B ` (as will be defined in ~ df-pss ).  For a more
     traditional definition, but requiring a dummy variable, see ~ dfss2 .
     Other possible definitions are given by ~ dfss3 , ~ dfss4 , ~ sspss ,
     ~ ssequn1 , ~ ssequn2 , ~ sseqin2 , and ~ ssdif0 .

     We prefer the label "ss" ("subset") for ` C_ ` , despite the fact that it
     applies to classes.  It is much more common to refer to this as the subset
     relation than subclass, especially since most of the time the arguments
     are in fact sets (and for pragmatic reasons we don't want to need to use
     different operations for sets).  The way set.mm is set up, many things are
     technically classes despite morally (and provably) being sets, like ` 1 `
     (cf. ~ df-1 and ~ 1ex ) or ` RR ` ( cf. ~ df-r and ~ reex ).  This has to
     do with the fact that there are no "set expressions": classes are
     expressions but there are only set variables in set.mm (cf.
     ~ https://us.metamath.org/downloads/grammar-ambiguity.txt ).  This is why
     we use ` C_ ` both for subclass relations and for subset relations and
     call it "subset".  (Contributed by NM, 27-Apr-1994.) $)
  df-ss $a |- ( A C_ B <-> ( A i^i B ) = A ) $.

  $( Variant of subclass definition ~ df-ss .  (Contributed by NM,
     21-Jun-1993.) $)
  dfss $p |- ( A C_ B <-> A = ( A i^i B ) ) $=
    ( wss cin wceq df-ss eqcom bitri ) ABCABDZAEAIEABFIAGH $.

  $( Define proper subclass (or strict subclass) relationship between two
     classes.  Definition 5.9 of [TakeutiZaring] p. 17.  For example,
     ` { 1 , 2 } C. { 1 , 2 , 3 } ` ( ~ ex-pss ).  Note that ` -. A C. A `
     (proved in ~ pssirr ).  Contrast this relationship with the relationship
     ` A C_ B ` (as defined in ~ df-ss ).  Other possible definitions are given
     by ~ dfpss2 and ~ dfpss3 .  (Contributed by NM, 7-Feb-1996.) $)
  df-pss $a |- ( A C. B <-> ( A C_ B /\ A =/= B ) ) $.

  ${
    $d x A $.  $d x B $.
    $( Alternate definition of the subclass relationship between two classes.
       Definition 5.9 of [TakeutiZaring] p. 17.  (Contributed by NM,
       8-Jan-2002.)  Avoid ~ ax-10 , ~ ax-11 , ~ ax-12 .  (Revised by SN,
       16-May-2024.) $)
    dfss2 $p |- ( A C_ B <-> A. x ( x e. A -> x e. B ) ) $=
      ( cin wceq cv wcel wb wal wss wi dfcleq dfss wa pm4.71 elin bibi2i bitr4i
      albii 3bitr4i ) BBCDZEAFZBGZUBUAGZHZAIBCJUCUBCGZKZAIABUALBCMUGUEAUGUCUCUF
      NZHUEUCUFOUDUHUCUBBCPQRST $.
    $( $j usage 'dfss2' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Obsolete version of ~ dfss2 as of 16-May-2024.  (Contributed by NM,
       8-Jan-2002.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    dfss2OLD $p |- ( A C_ B <-> A. x ( x e. A -> x e. B ) ) $=
      ( wss cv wcel wa wb wal wi cin wceq dfss df-in eqeq2i abeq2 3bitri pm4.71
      cab albii bitr4i ) BCDZAEZBFZUDUCCFZGZHZAIZUDUEJZAIUBBBCKZLBUFASZLUHBCMUJ
      UKBABCNOUFABPQUIUGAUDUERTUA $.

    $( Alternate definition of subclass relationship.  (Contributed by NM,
       14-Oct-1999.) $)
    dfss3 $p |- ( A C_ B <-> A. x e. A x e. B ) $=
      ( wss cv wcel wi wal wral dfss2 df-ral bitr4i ) BCDAEZBFMCFZGAHNABIABCJNA
      BKL $.

    $( Alternate definition of subclass relationship.  (Contributed by RP,
       16-Apr-2020.) $)
    dfss6 $p |- ( A C_ B <-> -. E. x ( x e. A /\ -. x e. B ) ) $=
      ( wss cv wcel wi wal wn wa wex dfss2 notnotb bitri exanali xchbinxr ) BCD
      ZAEZBFZRCFZGAHZIZSTIJAKQUAUBIABCLUAMNSTAOP $.
  $}

  ${
    $d z A $.  $d z B $.  $d x z $.
    dfss2f.1 $e |- F/_ x A $.
    dfss2f.2 $e |- F/_ x B $.
    $( Equivalence for subclass relation, using bound-variable hypotheses
       instead of distinct variable conditions.  (Contributed by NM,
       3-Jul-1994.)  (Revised by Andrew Salmon, 27-Aug-2011.)  Avoid ~ ax-13 .
       (Revised by Gino Giotto, 19-May-2023.) $)
    dfss2f $p |- ( A C_ B <-> A. x ( x e. A -> x e. B ) ) $=
      ( vz wss cv wcel wi wal dfss2 nfcri nfim nfv eleq1w imbi12d cbvalv1 bitri
      weq ) BCGFHZBIZUACIZJZFKAHZBIZUECIZJZAKFBCLUDUHFAUBUCAAFBDMAFCEMNUHFOFATU
      BUFUCUGFABPFACPQRS $.
    $( $j usage 'dfss2f' avoids 'ax-13'; $)

    $( Equivalence for subclass relation, using bound-variable hypotheses
       instead of distinct variable conditions.  (Contributed by NM,
       20-Mar-2004.) $)
    dfss3f $p |- ( A C_ B <-> A. x e. A x e. B ) $=
      ( wss cv wcel wi wal wral dfss2f df-ral bitr4i ) BCFAGZBHOCHZIAJPABKABCDE
      LPABMN $.

    $( If ` x ` is not free in ` A ` and ` B ` , it is not free in ` A C_ B ` .
       (Contributed by NM, 27-Dec-1996.) $)
    nfss $p |- F/ x A C_ B $=
      ( wss cv wcel wral dfss3f nfra1 nfxfr ) BCFAGCHZABIAABCDEJMABKL $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Membership relationships follow from a subclass relationship.
       (Contributed by NM, 5-Aug-1993.)  Avoid ~ ax-12 .  (Revised by SN,
       27-May-2024.) $)
    ssel $p |- ( A C_ B -> ( C e. A -> C e. B ) ) $=
      ( vx wss cv wcel wi wal dfss2 wceq wa wex id anim2d aleximi 3imtr4g sylbi
      dfclel ) ABEDFZAGZTBGZHZDIZCAGZCBGZHDABJUDTCKZUALZDMUGUBLZDMUEUFUCUHUIDUC
      UAUBUGUCNOPDCASDCBSQR $.
    $( $j usage 'ssel' avoids 'ax-12'; $)

    $( Obsolete version of ~ ssel as of 27-May-2024.  (Contributed by NM,
       5-Aug-1993.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sselOLD $p |- ( A C_ B -> ( C e. A -> C e. B ) ) $=
      ( vx wss cv wceq wcel wa wex wi dfss2 biimpi 19.21bi anim2d eximdv dfclel
      wal 3imtr4g ) ABEZDFZCGZUAAHZIZDJUBUABHZIZDJCAHCBHTUDUFDTUCUEUBTUCUEKZDTU
      GDRDABLMNOPDCAQDCBQS $.
  $}

  $( Membership relationships follow from a subclass relationship.
     (Contributed by NM, 7-Jun-2004.) $)
  ssel2 $p |- ( ( A C_ B /\ C e. A ) -> C e. B ) $=
    ( wss wcel ssel imp ) ABDCAECBEABCFG $.

  ${
    sseli.1 $e |- A C_ B $.
    $( Membership implication from subclass relationship.  (Contributed by NM,
       5-Aug-1993.) $)
    sseli $p |- ( C e. A -> C e. B ) $=
      ( wss wcel wi ssel ax-mp ) ABECAFCBFGDABCHI $.

    ${
      sselii.2 $e |- C e. A $.
      $( Membership inference from subclass relationship.  (Contributed by NM,
         31-May-1999.) $)
      sselii $p |- C e. B $=
        ( wcel sseli ax-mp ) CAFCBFEABCDGH $.
    $}

    ${
      sselid.2 $e |- ( ph -> C e. A ) $.
      $( Membership inference from subclass relationship.  (Contributed by NM,
         25-Jun-2014.) $)
      sselid $p |- ( ph -> C e. B ) $=
        ( wcel sseli syl ) ADBGDCGFBCDEHI $.
    $}
  $}

  ${
    sseld.1 $e |- ( ph -> A C_ B ) $.
    $( Membership deduction from subclass relationship.  (Contributed by NM,
       15-Nov-1995.) $)
    sseld $p |- ( ph -> ( C e. A -> C e. B ) ) $=
      ( wss wcel wi ssel syl ) ABCFDBGDCGHEBCDIJ $.

    $( Membership deduction from subclass relationship.  (Contributed by NM,
       26-Jun-2014.) $)
    sselda $p |- ( ( ph /\ C e. A ) -> C e. B ) $=
      ( wcel sseld imp ) ADBFDCFABCDEGH $.

    ${
      sseldd.2 $e |- ( ph -> C e. A ) $.
      $( Membership inference from subclass relationship.  (Contributed by NM,
         14-Dec-2004.) $)
      sseldd $p |- ( ph -> C e. B ) $=
        ( wcel sseld mpd ) ADBGDCGFABCDEHI $.
    $}
  $}

  ${
    ssneld.1 $e |- ( ph -> A C_ B ) $.
    $( If a class is not in another class, it is also not in a subclass of that
       class.  Deduction form.  (Contributed by David Moews, 1-May-2017.) $)
    ssneld $p |- ( ph -> ( -. C e. B -> -. C e. A ) ) $=
      ( wcel sseld con3d ) ADBFDCFABCDEGH $.

    ssneldd.2 $e |- ( ph -> -. C e. B ) $.
    $( If an element is not in a class, it is also not in a subclass of that
       class.  Deduction form.  (Contributed by David Moews, 1-May-2017.) $)
    ssneldd $p |- ( ph -> -. C e. A ) $=
      ( wcel wn ssneld mpd ) ADCGHDBGHFABCDEIJ $.
  $}

  ${
    $d x A $.  $d x B $.
    ssriv.1 $e |- ( x e. A -> x e. B ) $.
    $( Inference based on subclass definition.  (Contributed by NM,
       21-Jun-1993.) $)
    ssriv $p |- A C_ B $=
      ( wss cv wcel wi dfss2 mpgbir ) BCEAFZBGKCGHAABCIDJ $.
  $}

  ${
    ssrd.0 $e |- F/ x ph $.
    ssrd.1 $e |- F/_ x A $.
    ssrd.2 $e |- F/_ x B $.
    ssrd.3 $e |- ( ph -> ( x e. A -> x e. B ) ) $.
    $( Deduction based on subclass definition.  (Contributed by Thierry Arnoux,
       8-Mar-2017.) $)
    ssrd $p |- ( ph -> A C_ B ) $=
      ( cv wcel wi wal wss alrimi dfss2f sylibr ) ABIZCJQDJKZBLCDMARBEHNBCDFGOP
      $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    ssrdv.1 $e |- ( ph -> ( x e. A -> x e. B ) ) $.
    $( Deduction based on subclass definition.  (Contributed by NM,
       15-Nov-1995.) $)
    ssrdv $p |- ( ph -> A C_ B ) $=
      ( cv wcel wi wal wss alrimiv dfss2 sylibr ) ABFZCGNDGHZBICDJAOBEKBCDLM $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Transitivity of subclass relationship.  Exercise 5 of [TakeutiZaring]
       p. 17.  (Contributed by NM, 24-Jun-1993.)  (Proof shortened by Andrew
       Salmon, 14-Jun-2011.) $)
    sstr2 $p |- ( A C_ B -> ( B C_ C -> A C_ C ) ) $=
      ( vx wss cv wcel wi wal ssel imim1d alimdv dfss2 3imtr4g ) ABEZDFZBGZPCGZ
      HZDIPAGZRHZDIBCEACEOSUADOTQRABPJKLDBCMDACMN $.
  $}

  $( Transitivity of subclass relationship.  Theorem 6 of [Suppes] p. 23.
     (Contributed by NM, 5-Sep-2003.) $)
  sstr $p |- ( ( A C_ B /\ B C_ C ) -> A C_ C ) $=
    ( wss sstr2 imp ) ABDBCDACDABCEF $.

  ${
    sstri.1 $e |- A C_ B $.
    sstri.2 $e |- B C_ C $.
    $( Subclass transitivity inference.  (Contributed by NM, 5-May-2000.) $)
    sstri $p |- A C_ C $=
      ( wss sstr2 mp2 ) ABFBCFACFDEABCGH $.
  $}

  ${
    sstrd.1 $e |- ( ph -> A C_ B ) $.
    sstrd.2 $e |- ( ph -> B C_ C ) $.
    $( Subclass transitivity deduction.  (Contributed by NM, 2-Jun-2004.) $)
    sstrd $p |- ( ph -> A C_ C ) $=
      ( wss sstr syl2anc ) ABCGCDGBDGEFBCDHI $.
  $}

  ${
    sstrid.1 $e |- A C_ B $.
    sstrid.2 $e |- ( ph -> B C_ C ) $.
    $( Subclass transitivity deduction.  (Contributed by NM, 6-Feb-2014.) $)
    sstrid $p |- ( ph -> A C_ C ) $=
      ( wss a1i sstrd ) ABCDBCGAEHFI $.
  $}

  ${
    sstrdi.1 $e |- ( ph -> A C_ B ) $.
    sstrdi.2 $e |- B C_ C $.
    $( Subclass transitivity deduction.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.) $)
    sstrdi $p |- ( ph -> A C_ C ) $=
      ( wss a1i sstrd ) ABCDECDGAFHI $.
  $}

  ${
    sylan9ss.1 $e |- ( ph -> A C_ B ) $.
    sylan9ss.2 $e |- ( ps -> B C_ C ) $.
    $( A subclass transitivity deduction.  (Contributed by NM, 27-Sep-2004.)
       (Proof shortened by Andrew Salmon, 14-Jun-2011.) $)
    sylan9ss $p |- ( ( ph /\ ps ) -> A C_ C ) $=
      ( wss sstr syl2an ) ACDHDEHCEHBFGCDEIJ $.
  $}

  ${
    sylan9ssr.1 $e |- ( ph -> A C_ B ) $.
    sylan9ssr.2 $e |- ( ps -> B C_ C ) $.
    $( A subclass transitivity deduction.  (Contributed by NM, 27-Sep-2004.) $)
    sylan9ssr $p |- ( ( ps /\ ph ) -> A C_ C ) $=
      ( wss sylan9ss ancoms ) ABCEHABCDEFGIJ $.
  $}

  ${
    $d x A $.  $d x B $.
    $( The subclass relationship is antisymmetric.  Compare Theorem 4 of
       [Suppes] p. 22.  (Contributed by NM, 21-May-1993.) $)
    eqss $p |- ( A = B <-> ( A C_ B /\ B C_ A ) ) $=
      ( vx cv wcel wb wal wi wa wceq wss albiim dfcleq dfss2 anbi12i 3bitr4i )
      CDZAEZQBEZFCGRSHCGZSRHCGZIABJABKZBAKZIRSCLCABMUBTUCUACABNCBANOP $.
  $}

  ${
    eqssi.1 $e |- A C_ B $.
    eqssi.2 $e |- B C_ A $.
    $( Infer equality from two subclass relationships.  Compare Theorem 4 of
       [Suppes] p. 22.  (Contributed by NM, 9-Sep-1993.) $)
    eqssi $p |- A = B $=
      ( wceq wss eqss mpbir2an ) ABEABFBAFCDABGH $.
  $}

  ${
    eqssd.1 $e |- ( ph -> A C_ B ) $.
    eqssd.2 $e |- ( ph -> B C_ A ) $.
    $( Equality deduction from two subclass relationships.  Compare Theorem 4
       of [Suppes] p. 22.  (Contributed by NM, 27-Jun-2004.) $)
    eqssd $p |- ( ph -> A = B ) $=
      ( wss wceq eqss sylanbrc ) ABCFCBFBCGDEBCHI $.
  $}

  $( If a class is a subclass of another class, then the classes are equal if
     and only if the other class is a subclass of the first class.
     (Contributed by AV, 23-Dec-2020.) $)
  sssseq $p |- ( B C_ A -> ( A C_ B <-> A = B ) ) $=
    ( wceq wss eqss rbaibr ) ABCABDBADABEF $.

  ${
    eqrd.0 $e |- F/ x ph $.
    eqrd.1 $e |- F/_ x A $.
    eqrd.2 $e |- F/_ x B $.
    eqrd.3 $e |- ( ph -> ( x e. A <-> x e. B ) ) $.
    $( Deduce equality of classes from equivalence of membership.  (Contributed
       by Thierry Arnoux, 21-Mar-2017.)  (Proof shortened by BJ,
       1-Dec-2021.) $)
    eqrd $p |- ( ph -> A = B ) $=
      ( cv wcel wb wal wceq alrimi cleqf sylibr ) ABIZCJQDJKZBLCDMARBEHNBCDFGOP
      $.
  $}

  ${
    eqri.1 $e |- F/_ x A $.
    eqri.2 $e |- F/_ x B $.
    eqri.3 $e |- ( x e. A <-> x e. B ) $.
    $( Infer equality of classes from equivalence of membership.  (Contributed
       by Thierry Arnoux, 7-Oct-2017.) $)
    eqri $p |- A = B $=
      ( wceq wtru nftru cv wcel wb a1i eqrd mptru ) BCGHABCAIDEAJZBKPCKLHFMNO
      $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.
    eqelssd.1 $e |- ( ph -> A C_ B ) $.
    eqelssd.2 $e |- ( ( ph /\ x e. B ) -> x e. A ) $.
    $( Equality deduction from subclass relationship and membership.
       (Contributed by AV, 21-Aug-2022.) $)
    eqelssd $p |- ( ph -> A = B ) $=
      ( cv wcel ex ssrdv eqssd ) ACDEABDCABGZDHLCHFIJK $.
  $}

  ${
    $d A x $.
    $( Any class is a subclass of itself.  Exercise 10 of [TakeutiZaring]
       p. 18.  (Contributed by NM, 21-Jun-1993.)  (Proof shortened by Andrew
       Salmon, 14-Jun-2011.) $)
    ssid $p |- A C_ A $=
      ( vx cv wcel id ssriv ) BAABCADEF $.
  $}

  $( Weakening of ~ ssid .  (Contributed by BJ, 1-Sep-2022.) $)
  ssidd $p |- ( ph -> A C_ A ) $=
    ( wss ssid a1i ) BBCABDE $.

  ${
    $d A x $.
    $( Any class is a subclass of the universal class.  (Contributed by NM,
       31-Oct-1995.) $)
    ssv $p |- A C_ _V $=
      ( vx cvv cv elex ssriv ) BACBDAEF $.
  $}

  $( Equality theorem for subclasses.  (Contributed by NM, 24-Jun-1993.)
     (Proof shortened by Andrew Salmon, 21-Jun-2011.) $)
  sseq1 $p |- ( A = B -> ( A C_ C <-> B C_ C ) ) $=
    ( wceq wss wa wb eqss wi sstr2 adantl adantr impbid sylbi ) ABDABEZBAEZFZAC
    EZBCEZGABHQRSPRSIOBACJKOSRIPABCJLMN $.

  $( Equality theorem for the subclass relationship.  (Contributed by NM,
     25-Jun-1998.) $)
  sseq2 $p |- ( A = B -> ( C C_ A <-> C C_ B ) ) $=
    ( wss wa wi wceq wb sstr2 com12 anim12i eqss dfbi2 3imtr4i ) ABDZBADZECADZC
    BDZFZRQFZEABGQRHOSPTQORCABIJRPQCBAIJKABLQRMN $.

  $( Equality theorem for the subclass relationship.  (Contributed by NM,
     31-May-1999.) $)
  sseq12 $p |- ( ( A = B /\ C = D ) -> ( A C_ C <-> B C_ D ) ) $=
    ( wceq wss sseq1 sseq2 sylan9bb ) ABEACFBCFCDEBDFABCGCDBHI $.

  ${
    sseq1i.1 $e |- A = B $.
    $( An equality inference for the subclass relationship.  (Contributed by
       NM, 18-Aug-1993.) $)
    sseq1i $p |- ( A C_ C <-> B C_ C ) $=
      ( wceq wss wb sseq1 ax-mp ) ABEACFBCFGDABCHI $.

    $( An equality inference for the subclass relationship.  (Contributed by
       NM, 30-Aug-1993.) $)
    sseq2i $p |- ( C C_ A <-> C C_ B ) $=
      ( wceq wss wb sseq2 ax-mp ) ABECAFCBFGDABCHI $.

    ${
      sseq12i.2 $e |- C = D $.
      $( An equality inference for the subclass relationship.  (Contributed by
         NM, 31-May-1999.)  (Proof shortened by Eric Schmidt, 26-Jan-2007.) $)
      sseq12i $p |- ( A C_ C <-> B C_ D ) $=
        ( wceq wss wb sseq12 mp2an ) ABGCDGACHBDHIEFABCDJK $.
    $}
  $}

  ${
    sseq1d.1 $e |- ( ph -> A = B ) $.
    $( An equality deduction for the subclass relationship.  (Contributed by
       NM, 14-Aug-1994.) $)
    sseq1d $p |- ( ph -> ( A C_ C <-> B C_ C ) ) $=
      ( wceq wss wb sseq1 syl ) ABCFBDGCDGHEBCDIJ $.

    $( An equality deduction for the subclass relationship.  (Contributed by
       NM, 14-Aug-1994.) $)
    sseq2d $p |- ( ph -> ( C C_ A <-> C C_ B ) ) $=
      ( wceq wss wb sseq2 syl ) ABCFDBGDCGHEBCDIJ $.

    ${
      sseq12d.2 $e |- ( ph -> C = D ) $.
      $( An equality deduction for the subclass relationship.  (Contributed by
         NM, 31-May-1999.) $)
      sseq12d $p |- ( ph -> ( A C_ C <-> B C_ D ) ) $=
        ( wss sseq1d sseq2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
    $}
  $}

  ${
    eqsstr.1 $e |- A = B $.
    eqsstr.2 $e |- B C_ C $.
    $( Substitution of equality into a subclass relationship.  (Contributed by
       NM, 16-Jul-1995.) $)
    eqsstri $p |- A C_ C $=
      ( wss sseq1i mpbir ) ACFBCFEABCDGH $.
  $}

  ${
    eqsstr3.1 $e |- B = A $.
    eqsstr3.2 $e |- B C_ C $.
    $( Substitution of equality into a subclass relationship.  (Contributed by
       NM, 19-Oct-1999.) $)
    eqsstrri $p |- A C_ C $=
      ( eqcomi eqsstri ) ABCBADFEG $.
  $}

  ${
    sseqtr.1 $e |- A C_ B $.
    sseqtr.2 $e |- B = C $.
    $( Substitution of equality into a subclass relationship.  (Contributed by
       NM, 28-Jul-1995.) $)
    sseqtri $p |- A C_ C $=
      ( wss sseq2i mpbi ) ABFACFDBCAEGH $.
  $}

  ${
    sseqtrri.1 $e |- A C_ B $.
    sseqtrri.2 $e |- C = B $.
    $( Substitution of equality into a subclass relationship.  (Contributed by
       NM, 4-Apr-1995.) $)
    sseqtrri $p |- A C_ C $=
      ( eqcomi sseqtri ) ABCDCBEFG $.
  $}

  ${
    eqsstrd.1 $e |- ( ph -> A = B ) $.
    eqsstrd.2 $e |- ( ph -> B C_ C ) $.
    $( Substitution of equality into a subclass relationship.  (Contributed by
       NM, 25-Apr-2004.) $)
    eqsstrd $p |- ( ph -> A C_ C ) $=
      ( wss sseq1d mpbird ) ABDGCDGFABCDEHI $.
  $}

  ${
    eqsstrrd.1 $e |- ( ph -> B = A ) $.
    eqsstrrd.2 $e |- ( ph -> B C_ C ) $.
    $( Substitution of equality into a subclass relationship.  (Contributed by
       NM, 25-Apr-2004.) $)
    eqsstrrd $p |- ( ph -> A C_ C ) $=
      ( eqcomd eqsstrd ) ABCDACBEGFH $.
  $}

  ${
    sseqtrd.1 $e |- ( ph -> A C_ B ) $.
    sseqtrd.2 $e |- ( ph -> B = C ) $.
    $( Substitution of equality into a subclass relationship.  (Contributed by
       NM, 25-Apr-2004.) $)
    sseqtrd $p |- ( ph -> A C_ C ) $=
      ( wss sseq2d mpbid ) ABCGBDGEACDBFHI $.
  $}

  ${
    sseqtrrd.1 $e |- ( ph -> A C_ B ) $.
    sseqtrrd.2 $e |- ( ph -> C = B ) $.
    $( Substitution of equality into a subclass relationship.  (Contributed by
       NM, 25-Apr-2004.) $)
    sseqtrrd $p |- ( ph -> A C_ C ) $=
      ( eqcomd sseqtrd ) ABCDEADCFGH $.
  $}

  ${
    3sstr3.1 $e |- A C_ B $.
    3sstr3.2 $e |- A = C $.
    3sstr3.3 $e |- B = D $.
    $( Substitution of equality in both sides of a subclass relationship.
       (Contributed by NM, 13-Jan-1996.)  (Proof shortened by Eric Schmidt,
       26-Jan-2007.) $)
    3sstr3i $p |- C C_ D $=
      ( wss sseq12i mpbi ) ABHCDHEACBDFGIJ $.
  $}

  ${
    3sstr4.1 $e |- A C_ B $.
    3sstr4.2 $e |- C = A $.
    3sstr4.3 $e |- D = B $.
    $( Substitution of equality in both sides of a subclass relationship.
       (Contributed by NM, 13-Jan-1996.)  (Proof shortened by Eric Schmidt,
       26-Jan-2007.) $)
    3sstr4i $p |- C C_ D $=
      ( wss sseq12i mpbir ) CDHABHECADBFGIJ $.
  $}

  ${
    3sstr3g.1 $e |- ( ph -> A C_ B ) $.
    3sstr3g.2 $e |- A = C $.
    3sstr3g.3 $e |- B = D $.
    $( Substitution of equality into both sides of a subclass relationship.
       (Contributed by NM, 1-Oct-2000.) $)
    3sstr3g $p |- ( ph -> C C_ D ) $=
      ( wss sseq12i sylib ) ABCIDEIFBDCEGHJK $.
  $}

  ${
    3sstr4g.1 $e |- ( ph -> A C_ B ) $.
    3sstr4g.2 $e |- C = A $.
    3sstr4g.3 $e |- D = B $.
    $( Substitution of equality into both sides of a subclass relationship.
       (Contributed by NM, 16-Aug-1994.)  (Proof shortened by Eric Schmidt,
       26-Jan-2007.) $)
    3sstr4g $p |- ( ph -> C C_ D ) $=
      ( wss sseq12i sylibr ) ABCIDEIFDBECGHJK $.
  $}

  ${
    3sstr3d.1 $e |- ( ph -> A C_ B ) $.
    3sstr3d.2 $e |- ( ph -> A = C ) $.
    3sstr3d.3 $e |- ( ph -> B = D ) $.
    $( Substitution of equality into both sides of a subclass relationship.
       (Contributed by NM, 1-Oct-2000.) $)
    3sstr3d $p |- ( ph -> C C_ D ) $=
      ( wss sseq12d mpbid ) ABCIDEIFABDCEGHJK $.
  $}

  ${
    3sstr4d.1 $e |- ( ph -> A C_ B ) $.
    3sstr4d.2 $e |- ( ph -> C = A ) $.
    3sstr4d.3 $e |- ( ph -> D = B ) $.
    $( Substitution of equality into both sides of a subclass relationship.
       (Contributed by NM, 30-Nov-1995.)  (Proof shortened by Eric Schmidt,
       26-Jan-2007.) $)
    3sstr4d $p |- ( ph -> C C_ D ) $=
      ( wss sseq12d mpbird ) ADEIBCIFADBECGHJK $.
  $}

  ${
    eqsstrid.1 $e |- A = B $.
    eqsstrid.2 $e |- ( ph -> B C_ C ) $.
    $( A chained subclass and equality deduction.  (Contributed by NM,
       25-Apr-2004.) $)
    eqsstrid $p |- ( ph -> A C_ C ) $=
      ( wss sseq1i sylibr ) ACDGBDGFBCDEHI $.
  $}

  ${
    eqsstrrid.1 $e |- B = A $.
    eqsstrrid.2 $e |- ( ph -> B C_ C ) $.
    $( A chained subclass and equality deduction.  (Contributed by NM,
       25-Apr-2004.) $)
    eqsstrrid $p |- ( ph -> A C_ C ) $=
      ( eqcomi eqsstrid ) ABCDCBEGFH $.
  $}

  ${
    sseqtrdi.1 $e |- ( ph -> A C_ B ) $.
    sseqtrdi.2 $e |- B = C $.
    $( A chained subclass and equality deduction.  (Contributed by NM,
       25-Apr-2004.) $)
    sseqtrdi $p |- ( ph -> A C_ C ) $=
      ( wss sseq2i sylib ) ABCGBDGECDBFHI $.
  $}

  ${
    sseqtrrdi.1 $e |- ( ph -> A C_ B ) $.
    sseqtrrdi.2 $e |- C = B $.
    $( A chained subclass and equality deduction.  (Contributed by NM,
       25-Apr-2004.) $)
    sseqtrrdi $p |- ( ph -> A C_ C ) $=
      ( eqcomi sseqtrdi ) ABCDEDCFGH $.
  $}

  ${
    sseqtrid.1 $e |- B C_ A $.
    sseqtrid.2 $e |- ( ph -> A = C ) $.
    $( Subclass transitivity deduction.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.) $)
    sseqtrid $p |- ( ph -> B C_ C ) $=
      ( wceq wss sseq2 biimpa sylancl ) ABDGZCBHZCDHZFELMNBDCIJK $.
  $}

  ${
    sseqtrrid.1 $e |- B C_ A $.
    sseqtrrid.2 $e |- ( ph -> C = A ) $.
    $( Subclass transitivity deduction.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.) $)
    sseqtrrid $p |- ( ph -> B C_ C ) $=
      ( wss a1i sseqtrrd ) ACBDCBGAEHFI $.
  $}

  ${
    eqsstrdi.1 $e |- ( ph -> A = B ) $.
    eqsstrdi.2 $e |- B C_ C $.
    $( A chained subclass and equality deduction.  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    eqsstrdi $p |- ( ph -> A C_ C ) $=
      ( wss a1i eqsstrd ) ABCDECDGAFHI $.
  $}

  ${
    eqsstrrdi.1 $e |- ( ph -> B = A ) $.
    eqsstrrdi.2 $e |- B C_ C $.
    $( A chained subclass and equality deduction.  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    eqsstrrdi $p |- ( ph -> A C_ C ) $=
      ( eqcomd eqsstrdi ) ABCDACBEGFH $.
  $}

  $( Equality implies inclusion.  (Contributed by NM, 21-Jun-1993.)  (Proof
     shortened by Andrew Salmon, 21-Jun-2011.) $)
  eqimss $p |- ( A = B -> A C_ B ) $=
    ( wceq wss eqss simplbi ) ABCABDBADABEF $.

  $( Equality implies inclusion.  (Contributed by NM, 23-Nov-2003.) $)
  eqimss2 $p |- ( B = A -> A C_ B ) $=
    ( wss eqimss eqcoms ) ABCABABDE $.

  ${
    eqimssi.1 $e |- A = B $.
    $( Infer subclass relationship from equality.  (Contributed by NM,
       6-Jan-2007.) $)
    eqimssi $p |- A C_ B $=
      ( ssid sseqtri ) AABADCE $.

    $( Infer subclass relationship from equality.  (Contributed by NM,
       7-Jan-2007.) $)
    eqimss2i $p |- B C_ A $=
      ( ssid sseqtrri ) BBABDCE $.
  $}

  $( Two classes are different if they don't include the same class.
     (Contributed by NM, 23-Apr-2015.) $)
  nssne1 $p |- ( ( A C_ B /\ -. A C_ C ) -> B =/= C ) $=
    ( wss wn wne wceq sseq2 biimpcd necon3bd imp ) ABDZACDZEBCFLMBCBCGLMBCAHIJK
    $.

  $( Two classes are different if they are not subclasses of the same class.
     (Contributed by NM, 23-Apr-2015.) $)
  nssne2 $p |- ( ( A C_ C /\ -. B C_ C ) -> A =/= B ) $=
    ( wss wn wne wceq sseq1 biimpcd necon3bd imp ) ACDZBCDZEABFLMABABGLMABCHIJK
    $.

  ${
    $d x A $.  $d x B $.
    $( Negation of subclass relationship.  Exercise 13 of [TakeutiZaring]
       p. 18.  (Contributed by NM, 25-Feb-1996.)  (Proof shortened by Andrew
       Salmon, 21-Jun-2011.) $)
    nss $p |- ( -. A C_ B <-> E. x ( x e. A /\ -. x e. B ) ) $=
      ( cv wcel wn wa wex wss wi wal exanali dfss2 xchbinxr bicomi ) ADZBEZPCEZ
      FGAHZBCIZFSQRJAKTQRALABCMNO $.
  $}

  $( Demonstrate by witnesses that two classes lack a subclass relation.
     (Contributed by Stefan O'Rear, 5-Feb-2015.) $)
  nelss $p |- ( ( A e. B /\ -. A e. C ) -> -. B C_ C ) $=
    ( wcel wss ssel com12 con3dimp ) ABDZBCEZACDZJIKBCAFGH $.

  ${
    ssrexf.1 $e |- F/_ x A $.
    ssrexf.2 $e |- F/_ x B $.
    $( Restricted existential quantification follows from a subclass
       relationship.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    ssrexf $p |- ( A C_ B -> ( E. x e. A ph -> E. x e. B ph ) ) $=
      ( wss cv wcel wa wex wrex nfss ssel anim1d eximd df-rex 3imtr4g ) CDGZBHZ
      CIZAJZBKTDIZAJZBKABCLABDLSUBUDBBCDEFMSUAUCACDTNOPABCQABDQR $.

    $( "At most one" existential quantification restricted to a subclass.
       (Contributed by Thierry Arnoux, 8-Oct-2017.) $)
    ssrmof $p |- ( A C_ B -> ( E* x e. B ph -> E* x e. A ph ) ) $=
      ( wss cv wcel wa wmo wrmo wi wal dfss2f biimpi pm3.45 alimi moim df-rmo
      3syl 3imtr4g ) CDGZBHZDIZAJZBKZUDCIZAJZBKZABDLABCLUCUHUEMZBNZUIUFMZBNUGUJ
      MUCULBCDEFOPUKUMBUHUEAQRUIUFBSUAABDTABCTUB $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Quantification restricted to a subclass.  (Contributed by NM,
       11-Mar-2006.) $)
    ssralv $p |- ( A C_ B -> ( A. x e. B ph -> A. x e. A ph ) ) $=
      ( wss cv wcel ssel imim1d ralimdv2 ) CDEZAABDCKBFZCGLDGACDLHIJ $.

    $( Existential quantification restricted to a subclass.  (Contributed by
       NM, 11-Jan-2007.) $)
    ssrexv $p |- ( A C_ B -> ( E. x e. A ph -> E. x e. B ph ) ) $=
      ( wss cv wcel ssel anim1d reximdv2 ) CDEZAABCDKBFZCGLDGACDLHIJ $.

    $d y A $.  $d y B $.
    $( Two quantifications restricted to a subclass.  (Contributed by AV,
       11-Mar-2023.) $)
    ss2ralv $p |- ( A C_ B -> ( A. x e. B A. y e. B ph
                                -> A. x e. A A. y e. A ph ) ) $=
      ( wss wral ssralv ralimdv syld ) DEFZACEGZBEGACDGZBEGMBDGKLMBEACDEHIMBDEH
      J $.

    $( Two existential quantifications restricted to a subclass.  (Contributed
       by AV, 11-Mar-2023.) $)
    ss2rexv $p |- ( A C_ B -> ( E. x e. A E. y e. A ph
                                -> E. x e. B E. y e. B ph ) ) $=
      ( wss wrex ssrexv reximdv syld ) DEFZACDGZBDGACEGZBDGMBEGKLMBDACDEHIMBDEH
      J $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Restricted universal quantification on a subset in terms of superset.
       (Contributed by Stefan O'Rear, 3-Apr-2015.) $)
    ralss $p |- ( A C_ B -> ( A. x e. A ph <->
          A. x e. B ( x e. A -> ph ) ) ) $=
      ( wss cv wcel wi wa ssel pm4.71rd imbi1d impexp bitrdi ralbidv2 ) CDEZABF
      ZCGZAHZBCDPSQDGZRIZAHTSHPRUAAPRTCDQJKLTRAMNO $.

    $( Restricted existential quantification on a subset in terms of superset.
       (Contributed by Stefan O'Rear, 3-Apr-2015.) $)
    rexss $p |- ( A C_ B -> ( E. x e. A ph <->
          E. x e. B ( x e. A /\ ph ) ) ) $=
      ( wss cv wcel wa ssel pm4.71rd anbi1d anass bitrdi rexbidv2 ) CDEZABFZCGZ
      AHZBCDORPDGZQHZAHSRHOQTAOQSCDPIJKSQALMN $.
  $}

  $( Class abstractions in a subclass relationship.  (Contributed by NM,
     3-Jul-1994.) $)
  ss2ab $p |- ( { x | ph } C_ { x | ps } <-> A. x ( ph -> ps ) ) $=
    ( cab wss cv wcel wi wal nfab1 dfss2f abid imbi12i albii bitri ) ACDZBCDZEC
    FZPGZRQGZHZCIABHZCICPQACJBCJKUAUBCSATBACLBCLMNO $.

  ${
    $d x A $.
    $( Class abstraction in a subclass relationship.  (Contributed by NM,
       16-Aug-2006.) $)
    abss $p |- ( { x | ph } C_ A <-> A. x ( ph -> x e. A ) ) $=
      ( cab wss cv wcel wi wal abid2 sseq2i ss2ab bitr3i ) ABDZCENBFCGZBDZEAOHB
      IPCNBCJKAOBLM $.

    $( Subclass of a class abstraction.  (Contributed by NM, 16-Aug-2006.) $)
    ssab $p |- ( A C_ { x | ph } <-> A. x ( x e. A -> ph ) ) $=
      ( cab wss cv wcel wi wal abid2 sseq1i ss2ab bitr3i ) CABDZEBFCGZBDZNEOAHB
      IPCNBCJKOABLM $.

    $( The relation for a subclass of a class abstraction is equivalent to
       restricted quantification.  (Contributed by NM, 6-Sep-2006.) $)
    ssabral $p |- ( A C_ { x | ph } <-> A. x e. A ph ) $=
      ( cab wss cv wcel wi wal wral ssab df-ral bitr4i ) CABDEBFCGAHBIABCJABCKA
      BCLM $.
  $}

  ${
    $d x y z ph $.  $d y z ch $.  $d y z ps $.
    ss2abdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction of abstraction subclass from implication.  (Contributed by NM,
       29-Jul-2011.)  Avoid ~ ax-8 , ~ ax-10 , ~ ax-11 , ~ ax-12 .  (Revised by
       Gino Giotto, 28-Jun-2024.) $)
    ss2abdv $p |- ( ph -> { x | ps } C_ { x | ch } ) $=
      ( vy vz cab cin wceq wss cv wcel wa df-in wsb df-clab bicomi sbequ wi weq
      anbi12i abbii anbi12d sbievw ax-1 impd sbimdv ancld impbid syl5bb 3bitr4g
      a1i eqrdv eqtr3id eqtrid df-ss sylibr ) ABDHZCDHZIZUSJUSUTKAVAFLZUSMZVBUT
      MZNZFHZUSFUSUTOAVFBDFPZCDFPZNZFHZUSVIVEFVGVCVHVDVCVGBFDQRVDVHCFDQRUBUCAGV
      JUSAVIFGPZBDGPZGLZVJMVMUSMVKVLCDGPZNZAVLVIVOFGFGUAVGVLVHVNBFGDSCFGDSUDUEA
      VOVLAVLVNVLVLVNVLTTAVLVNUFUMUGAVLVNABCDGEUHUIUJUKVIGFQBGDQULUNUOUPUSUTUQU
      R $.
    $( $j usage 'ss2abdv' avoids 'ax-8' 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x y ph $.  $d y ps $.  $d y ch $.
    ss2abdvALT.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Alternate proof of ~ ss2abdv .  Shorter, but requiring ~ ax-8 .
       (Contributed by Steven Nguyen, 28-Jun-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ss2abdvALT $p |- ( ph -> { x | ps } C_ { x | ch } ) $=
      ( vy cab wsb cv wcel sbimdv df-clab 3imtr4g ssrdv ) AFBDGZCDGZABDFHCDFHFI
      ZOJQPJABCDFEKBFDLCFDLMN $.
    $( $j usage 'ss2abdvALT' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x ph $.
    ss2abdvOLD.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Obsolete version of ~ ss2abdv as of 28-Jun-2024.  (Contributed by NM,
       29-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ss2abdvOLD $p |- ( ph -> { x | ps } C_ { x | ch } ) $=
      ( wi wal cab wss alrimiv ss2ab sylibr ) ABCFZDGBDHCDHIAMDEJBCDKL $.
  $}

  ${
    ss2abi.1 $e |- ( ph -> ps ) $.
    $( Inference of abstraction subclass from implication.  (Contributed by NM,
       31-Mar-1995.)  Avoid ~ ax-8 , ~ ax-10 , ~ ax-11 , ~ ax-12 .  (Revised by
       Gino Giotto, 28-Jun-2024.) $)
    ss2abi $p |- { x | ph } C_ { x | ps } $=
      ( wtru cab wss tru wi a1i ss2abdv ax-mp ) EACFBCFGHEABCABIEDJKL $.
    $( $j usage 'ss2abi' avoids 'ax-8' 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    ss2abiOLD.1 $e |- ( ph -> ps ) $.
    $( Obsolete version of ~ ss2abi as of 28-Jun-2024.  (Contributed by NM,
       31-Mar-1995.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ss2abiOLD $p |- { x | ph } C_ { x | ps } $=
      ( cab wss wi ss2ab mpgbir ) ACEBCEFABGCABCHDI $.
  $}

  ${
    $d x ph $.  $d x A $.
    abssdv.1 $e |- ( ph -> ( ps -> x e. A ) ) $.
    $( Deduction of abstraction subclass from implication.  (Contributed by NM,
       20-Jan-2006.) $)
    abssdv $p |- ( ph -> { x | ps } C_ A ) $=
      ( cv wcel wi wal cab wss alrimiv abss sylibr ) ABCFDGHZCIBCJDKAOCELBCDMN
      $.
  $}

  ${
    $d x A $.
    abssi.1 $e |- ( ph -> x e. A ) $.
    $( Inference of abstraction subclass from implication.  (Contributed by NM,
       20-Jan-2006.) $)
    abssi $p |- { x | ph } C_ A $=
      ( cab cv wcel ss2abi abid2 sseqtri ) ABEBFCGZBECAKBDHBCIJ $.
  $}

  $( Restricted abstraction classes in a subclass relationship.  (Contributed
     by NM, 30-May-1999.) $)
  ss2rab $p |- ( { x e. A | ph } C_ { x e. A | ps } <->
               A. x e. A ( ph -> ps ) ) $=
    ( crab wss cv wcel wa cab wi wal df-rab sseq12i ss2ab df-ral imdistan albii
    wral bitr2i 3bitri ) ACDEZBCDEZFCGDHZAIZCJZUDBIZCJZFUEUGKZCLZABKZCDSZUBUFUC
    UHACDMBCDMNUEUGCOULUDUKKZCLUJUKCDPUMUICUDABQRTUA $.

  ${
    $d x B $.
    $( Restricted class abstraction in a subclass relationship.  (Contributed
       by NM, 16-Aug-2006.) $)
    rabss $p |- ( { x e. A | ph } C_ B <-> A. x e. A ( ph -> x e. B ) ) $=
      ( crab wss cv wcel wa cab wal wral df-rab sseq1i abss impexp albii df-ral
      wi bitr4i 3bitri ) ABCEZDFBGZCHZAIZBJZDFUEUCDHZSZBKZAUGSZBCLZUBUFDABCMNUE
      BDOUIUDUJSZBKUKUHULBUDAUGPQUJBCRTUA $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Subclass of a restricted class abstraction.  (Contributed by NM,
       16-Aug-2006.) $)
    ssrab $p |- ( B C_ { x e. A | ph } <-> ( B C_ A /\ A. x e. B ph ) ) $=
      ( crab wss cv wcel wa cab wal wral df-rab sseq2i ssab dfss3 anbi1i r19.26
      wi df-ral 3bitr2ri 3bitri ) DABCEZFDBGZCHZAIZBJZFUDDHUFSBKZDCFZABDLZIZUCU
      GDABCMNUFBDOUKUEBDLZUJIUFBDLUHUIULUJBDCPQUEABDRUFBDTUAUB $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    ssrabdv.1 $e |- ( ph -> B C_ A ) $.
    ssrabdv.2 $e |- ( ( ph /\ x e. B ) -> ps ) $.
    $( Subclass of a restricted class abstraction (deduction form).
       (Contributed by NM, 31-Aug-2006.) $)
    ssrabdv $p |- ( ph -> B C_ { x e. A | ps } ) $=
      ( wss wral crab ralrimiva ssrab sylanbrc ) AEDHBCEIEBCDJHFABCEGKBCDELM $.
  $}

  ${
    $d x B $.  $d x ph $.
    rabssdv.1 $e |- ( ( ph /\ x e. A /\ ps ) -> x e. B ) $.
    $( Subclass of a restricted class abstraction (deduction form).
       (Contributed by NM, 2-Feb-2015.) $)
    rabssdv $p |- ( ph -> { x e. A | ps } C_ B ) $=
      ( cv wcel wi wral crab wss 3exp ralrimiv rabss sylibr ) ABCGZEHZIZCDJBCDK
      ELASCDAQDHBRFMNBCDEOP $.
  $}

  ${
    $d x ph $.
    ss2rabdv.1 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Deduction of restricted abstraction subclass from implication.
       (Contributed by NM, 30-May-2006.) $)
    ss2rabdv $p |- ( ph -> { x e. A | ps } C_ { x e. A | ch } ) $=
      ( wi wral crab wss ralrimiva ss2rab sylibr ) ABCGZDEHBDEICDEIJANDEFKBCDEL
      M $.
  $}

  ${
    ss2rabi.1 $e |- ( x e. A -> ( ph -> ps ) ) $.
    $( Inference of restricted abstraction subclass from implication.
       (Contributed by NM, 14-Oct-1999.) $)
    ss2rabi $p |- { x e. A | ph } C_ { x e. A | ps } $=
      ( crab wss wi ss2rab mprgbir ) ACDFBCDFGABHCDABCDIEJ $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Subclass law for restricted abstraction.  (Contributed by NM,
       18-Dec-2004.)  (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
    rabss2 $p |- ( A C_ B -> { x e. A | ph } C_ { x e. B | ph } ) $=
      ( wss cv wcel wa cab crab wi wal pm3.45 alimi dfss2 ss2ab 3imtr4i 3sstr4g
      df-rab ) CDEZBFZCGZAHZBIZUADGZAHZBIZABCJABDJUBUEKZBLUCUFKZBLTUDUGEUHUIBUB
      UEAMNBCDOUCUFBPQABCSABDSR $.

    $( Subclass relation for the restriction of a class abstraction.
       (Contributed by NM, 31-Mar-1995.) $)
    ssab2 $p |- { x | ( x e. A /\ ph ) } C_ A $=
      ( cv wcel wa simpl abssi ) BDCEZAFBCIAGH $.

    $d A x y $.  $d ph y $.
    $( Subclass relation for a restricted class.  (Contributed by NM,
       19-Mar-1997.)  (Proof shortened by BJ and SN, 8-Aug-2024.) $)
    ssrab2 $p |- { x e. A | ph } C_ A $=
      ( vy crab cv elrabi ssriv ) DABCECABDFCGH $.

    $( Obsolete version of ~ ssrab2 as of 8-Aug-2024.  (Contributed by NM,
       19-Mar-1997.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    ssrab2OLD $p |- { x e. A | ph } C_ A $=
      ( crab cv wcel wa cab df-rab ssab2 eqsstri ) ABCDBECFAGBHCABCIABCJK $.
  $}

  ${
    $d A x $.
    ssrab3.1 $e |- B = { x e. A | ph } $.
    $( Subclass relation for a restricted class abstraction.  (Contributed by
       Jonathan Ben-Naim, 3-Jun-2011.) $)
    ssrab3 $p |- B C_ A $=
      ( crab ssrab2 eqsstri ) DABCFCEABCGH $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.
    rabssrabd.1 $e |- ( ph -> A C_ B ) $.
    rabssrabd.2 $e |- ( ( ph /\ ps /\ x e. A ) -> ch ) $.
    $( Subclass of a restricted class abstraction.  (Contributed by AV,
       4-Jun-2022.) $)
    rabssrabd $p |- ( ph -> { x e. A | ps } C_ { x e. B | ch } ) $=
      ( crab cv wcel wa w3a 3anan32 sylbir ex ss2rabdv wss rabss2 syl sstrd ) A
      BDEICDEIZCDFIZABCDEADJEKZLZBCUEBLABUDMCABUDNHOPQAEFRUBUCRGCDEFSTUA $.
  $}

  ${
    $d V x $.
    $( If the restricting class of a restricted class abstraction is a subset
       of this restricted class abstraction, it is equal to this restricted
       class abstraction.  (Contributed by Alexander van der Vekens,
       31-Dec-2017.) $)
    ssrabeq $p |- ( V C_ { x e. V | ph } <-> V = { x e. V | ph } ) $=
      ( crab wss wa wceq ssrab2 biantru eqss bitr4i ) CABCDZEZMLCEZFCLGNMABCHIC
      LJK $.
  $}

  $( A restricted class is a subclass of the corresponding unrestricted class.
     (Contributed by Mario Carneiro, 23-Dec-2016.) $)
  rabssab $p |- { x e. A | ph } C_ { x | ph } $=
    ( crab cv wcel wa cab df-rab simpr ss2abi eqsstri ) ABCDBECFZAGZBHABHABCINA
    BMAJKL $.

  ${
    $d x y $.  $d y z A $.  $d y z B $.  $d x z C $.
    $( A subset relationship useful for converting union to indexed union using
       ~ dfiun2 or ~ dfiun2g and intersection to indexed intersection using
       ~ dfiin2 .  (Contributed by NM, 5-Oct-2006.)  (Proof shortened by Mario
       Carneiro, 26-Sep-2015.) $)
    uniiunlem $p |- ( A. x e. A B e. D ->
                     ( A. x e. A B e. C <-> { y | E. x e. A y = B } C_ C ) ) $=
      ( vz cv wceq wrex cab wss wcel wi wal wral eqeq1 rexbidv cbvabv wb sseq1i
      r19.23v albii ralcom4 abss 3bitr4i bitr4i nfv eleq1 ceqsalg ralbi bitr2id
      ralimi syl ) BHZDIZACJZBKZELZGHZDIZUTEMZNZGOZACPZDFMZACPZDEMZACPZUSVAACJZ
      GKZELZVEURVKEUQVJBGUOUTIUPVAACUOUTDQRSUAVCACPZGOVJVBNZGOVEVLVMVNGVAVBACUB
      UCVCAGCUDVJGEUEUFUGVGVDVHTZACPVEVITVFVOACVBVHGDFVHGUHUTDEUIUJUMVDVHACUKUN
      UL $.
  $}

  $( Alternate definition of proper subclass.  (Contributed by NM,
     7-Feb-1996.) $)
  dfpss2 $p |- ( A C. B <-> ( A C_ B /\ -. A = B ) ) $=
    ( wpss wss wne wa wceq wn df-pss df-ne anbi2i bitri ) ABCABDZABEZFMABGHZFAB
    INOMABJKL $.

  $( Alternate definition of proper subclass.  (Contributed by NM, 7-Feb-1996.)
     (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
  dfpss3 $p |- ( A C. B <-> ( A C_ B /\ -. B C_ A ) ) $=
    ( wpss wss wceq wn wa dfpss2 eqss baib notbid pm5.32i bitri ) ABCABDZABEZFZ
    GNBADZFZGABHNPRNOQONQABIJKLM $.

  $( Equality theorem for proper subclass.  (Contributed by NM, 7-Feb-1996.) $)
  psseq1 $p |- ( A = B -> ( A C. C <-> B C. C ) ) $=
    ( wceq wss wne wa wpss sseq1 neeq1 anbi12d df-pss 3bitr4g ) ABDZACEZACFZGBC
    EZBCFZGACHBCHNOQPRABCIABCJKACLBCLM $.

  $( Equality theorem for proper subclass.  (Contributed by NM, 7-Feb-1996.) $)
  psseq2 $p |- ( A = B -> ( C C. A <-> C C. B ) ) $=
    ( wceq wss wne wa wpss sseq2 neeq2 anbi12d df-pss 3bitr4g ) ABDZCAEZCAFZGCB
    EZCBFZGCAHCBHNOQPRABCIABCJKCALCBLM $.

  ${
    psseq1i.1 $e |- A = B $.
    $( An equality inference for the proper subclass relationship.
       (Contributed by NM, 9-Jun-2004.) $)
    psseq1i $p |- ( A C. C <-> B C. C ) $=
      ( wceq wpss wb psseq1 ax-mp ) ABEACFBCFGDABCHI $.

    $( An equality inference for the proper subclass relationship.
       (Contributed by NM, 9-Jun-2004.) $)
    psseq2i $p |- ( C C. A <-> C C. B ) $=
      ( wceq wpss wb psseq2 ax-mp ) ABECAFCBFGDABCHI $.

    ${
      psseq12i.2 $e |- C = D $.
      $( An equality inference for the proper subclass relationship.
         (Contributed by NM, 9-Jun-2004.) $)
      psseq12i $p |- ( A C. C <-> B C. D ) $=
        ( wpss psseq1i psseq2i bitri ) ACGBCGBDGABCEHCDBFIJ $.
    $}
  $}

  ${
    psseq1d.1 $e |- ( ph -> A = B ) $.
    $( An equality deduction for the proper subclass relationship.
       (Contributed by NM, 9-Jun-2004.) $)
    psseq1d $p |- ( ph -> ( A C. C <-> B C. C ) ) $=
      ( wceq wpss wb psseq1 syl ) ABCFBDGCDGHEBCDIJ $.

    $( An equality deduction for the proper subclass relationship.
       (Contributed by NM, 9-Jun-2004.) $)
    psseq2d $p |- ( ph -> ( C C. A <-> C C. B ) ) $=
      ( wceq wpss wb psseq2 syl ) ABCFDBGDCGHEBCDIJ $.

    ${
      psseq12d.2 $e |- ( ph -> C = D ) $.
      $( An equality deduction for the proper subclass relationship.
         (Contributed by NM, 9-Jun-2004.) $)
      psseq12d $p |- ( ph -> ( A C. C <-> B C. D ) ) $=
        ( wpss psseq1d psseq2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
    $}
  $}

  $( A proper subclass is a subclass.  Theorem 10 of [Suppes] p. 23.
     (Contributed by NM, 7-Feb-1996.) $)
  pssss $p |- ( A C. B -> A C_ B ) $=
    ( wpss wss wne df-pss simplbi ) ABCABDABEABFG $.

  $( Two classes in a proper subclass relationship are not equal.  (Contributed
     by NM, 16-Feb-2015.) $)
  pssne $p |- ( A C. B -> A =/= B ) $=
    ( wpss wss wne df-pss simprbi ) ABCABDABEABFG $.

  ${
    pssssd.1 $e |- ( ph -> A C. B ) $.
    $( Deduce subclass from proper subclass.  (Contributed by NM,
       29-Feb-1996.) $)
    pssssd $p |- ( ph -> A C_ B ) $=
      ( wpss wss pssss syl ) ABCEBCFDBCGH $.

    $( Proper subclasses are unequal.  Deduction form of ~ pssne .
       (Contributed by David Moews, 1-May-2017.) $)
    pssned $p |- ( ph -> A =/= B ) $=
      ( wpss wne pssne syl ) ABCEBCFDBCGH $.
  $}

  $( Subclass in terms of proper subclass.  (Contributed by NM,
     25-Feb-1996.) $)
  sspss $p |- ( A C_ B <-> ( A C. B \/ A = B ) ) $=
    ( wss wpss wceq wo wn dfpss2 simplbi2 con1d orrd pssss eqimss jaoi impbii )
    ABCZABDZABEZFPQRPRQQPRGABHIJKQPRABLABMNO $.

  $( Proper subclass is irreflexive.  Theorem 7 of [Suppes] p. 23.
     (Contributed by NM, 7-Feb-1996.) $)
  pssirr $p |- -. A C. A $=
    ( wpss wss wn wa pm3.24 dfpss3 mtbir ) AABAACZIDEIFAAGH $.

  $( Proper subclass has no 2-cycle loops.  Compare Theorem 8 of [Suppes]
     p. 23.  (Contributed by NM, 7-Feb-1996.)  (Proof shortened by Andrew
     Salmon, 26-Jun-2011.) $)
  pssn2lp $p |- -. ( A C. B /\ B C. A ) $=
    ( wpss wn wi wa wss dfpss3 simprbi pssss nsyl imnan mpbi ) ABCZBACZDENOFDNB
    AGZONABGPDABHIBAJKNOLM $.

  $( Two ways of stating trichotomy with respect to inclusion.  (Contributed by
     NM, 12-Aug-2004.) $)
  sspsstri $p |- ( ( A C_ B \/ B C_ A ) <-> ( A C. B \/ A = B \/ B C. A ) ) $=
    ( wpss wo wceq wss w3o or32 sspss eqcom orbi2i bitri orbi12i orordir bitr4i
    df-3or 3bitr4i ) ABCZBACZDABEZDZRTDZSDABFZBAFZDZRTSGRSTHUEUBSTDZDUAUCUBUDUF
    ABIUDSBAEZDUFBAIUGTSBAJKLMRSTNORTSPQ $.

  $( Partial trichotomy law for subclasses.  (Contributed by NM, 16-May-1996.)
     (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
  ssnpss $p |- ( A C_ B -> -. B C. A ) $=
    ( wpss wss wn dfpss3 simprbi con2i ) BACZABDZIBADJEBAFGH $.

  $( Transitive law for proper subclass.  Theorem 9 of [Suppes] p. 23.
     (Contributed by NM, 7-Feb-1996.) $)
  psstr $p |- ( ( A C. B /\ B C. C ) -> A C. C ) $=
    ( wpss wa wss wceq pssss sylan9ss pssn2lp psseq1 anbi1d mtbiri con2i dfpss2
    wn sylanbrc ) ABDZBCDZEZACFACGZPACDRSABCABHBCHIUATUATCBDZSECBJUARUBSACBKLMN
    ACOQ $.

  $( Transitive law for subclass and proper subclass.  (Contributed by NM,
     3-Apr-1996.) $)
  sspsstr $p |- ( ( A C_ B /\ B C. C ) -> A C. C ) $=
    ( wss wpss wceq wo sspss wi psstr ex psseq1 biimprd jaoi imp sylanb ) ABDAB
    EZABFZGZBCEZACEZABHSTUAQTUAIRQTUAABCJKRUATABCLMNOP $.

  $( Transitive law for subclass and proper subclass.  (Contributed by NM,
     3-Apr-1996.) $)
  psssstr $p |- ( ( A C. B /\ B C_ C ) -> A C. C ) $=
    ( wss wpss wceq wo sspss psstr ex psseq2 biimpcd jaod imp sylan2b ) BCDABEZ
    BCEZBCFZGZACEZBCHPSTPQTRPQTABCIJRPTBCAKLMNO $.

  ${
    psstrd.1 $e |- ( ph -> A C. B ) $.
    psstrd.2 $e |- ( ph -> B C. C ) $.
    $( Proper subclass inclusion is transitive.  Deduction form of ~ psstr .
       (Contributed by David Moews, 1-May-2017.) $)
    psstrd $p |- ( ph -> A C. C ) $=
      ( wpss psstr syl2anc ) ABCGCDGBDGEFBCDHI $.
  $}

  ${
    sspsstrd.1 $e |- ( ph -> A C_ B ) $.
    sspsstrd.2 $e |- ( ph -> B C. C ) $.
    $( Transitivity involving subclass and proper subclass inclusion.
       Deduction form of ~ sspsstr .  (Contributed by David Moews,
       1-May-2017.) $)
    sspsstrd $p |- ( ph -> A C. C ) $=
      ( wss wpss sspsstr syl2anc ) ABCGCDHBDHEFBCDIJ $.
  $}

  ${
    psssstrd.1 $e |- ( ph -> A C. B ) $.
    psssstrd.2 $e |- ( ph -> B C_ C ) $.
    $( Transitivity involving subclass and proper subclass inclusion.
       Deduction form of ~ psssstr .  (Contributed by David Moews,
       1-May-2017.) $)
    psssstrd $p |- ( ph -> A C. C ) $=
      ( wpss wss psssstr syl2anc ) ABCGCDHBDGEFBCDIJ $.
  $}

  $( A class is not a proper subclass of another iff it satisfies a
     one-directional form of ~ eqss .  (Contributed by Mario Carneiro,
     15-May-2015.) $)
  npss $p |- ( -. A C. B <-> ( A C_ B -> A = B ) ) $=
    ( wss wceq wi wpss wn wa pm4.61 dfpss2 bitr4i con1bii ) ABCZABDZEZABFZOGMNG
    HPMNIABJKL $.

  $( A subclass missing a member is a proper subclass.  (Contributed by NM,
     12-Jan-2002.) $)
  ssnelpss $p |- ( A C_ B -> ( ( C e. B /\ -. C e. A ) -> A C. B ) ) $=
    ( wcel wn wa wceq wss wpss nelneq2 eqcom sylnib dfpss2 baibr syl5ib ) CBDCA
    DEFZABGZEZABHZABIZPBAGQCBAJBAKLTSRABMNO $.

  ${
    ssnelpssd.1 $e |- ( ph -> A C_ B ) $.
    ssnelpssd.2 $e |- ( ph -> C e. B ) $.
    ssnelpssd.3 $e |- ( ph -> -. C e. A ) $.
    $( Subclass inclusion with one element of the superclass missing is proper
       subclass inclusion.  Deduction form of ~ ssnelpss .  (Contributed by
       David Moews, 1-May-2017.) $)
    ssnelpssd $p |- ( ph -> A C. B ) $=
      ( wcel wn wpss wss wa wi ssnelpss syl mp2and ) ADCHZDBHIZBCJZFGABCKQRLSME
      BCDNOP $.
  $}

  ${
    $d A x $.  $d B x $.
    $( If there is an element of a class which is not contained in a subclass,
       the subclass is a proper subclass.  (Contributed by AV, 29-Jan-2020.) $)
    ssexnelpss $p |- ( ( A C_ B /\ E. x e. B x e/ A ) -> A C. B ) $=
      ( wss cv wnel wrex wpss wcel df-nel ssnelpss expdimp syl5bi rexlimdva imp
      wn wa ) BCDZAEZBFZACGBCHZRTUAACTSBIPZRSCIZQUASBJRUCUBUABCSKLMNO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The difference, union, and intersection of two classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The difference of two classes
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A x $.  $d B x y $.
    $( Alternate definition of class difference.  (Contributed by BJ and Jim
       Kingdon, 16-Jun-2022.) $)
    dfdif3 $p |- ( A \ B ) = { x e. A | A. y e. B x =/= y } $=
      ( cdif cv wcel wn crab wne wral dfdif2 wi wal weq wex ax6ev bitr4i 3bitri
      wa biantrur 19.41v sbalex equcom imbi1i eleq1w notbid pm5.74i con2b df-ne
      bicomi imbi2i bitri albii df-ral rabbii eqtri ) CDEAFZDGZHZACIURBFZJZBDKZ
      ACIACDLUTVCACUTVADGZVBMZBNZVCUTBAOZUTTBPZVGUTMZBNVFUTVGBPZUTTVHVJUTBAQUAV
      GUTBUBRUTBAUCVIVEBVIABOZUTMZVEVGVKUTBAUDUEVLVKVDHZMVDVKHZMVEVKUTVMVKUSVDA
      BDUFUGUHVKVDUIVNVBVDVBVNURVAUJUKULSUMUNSVBBDUORUPUQ $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Equality theorem for class difference.  (Contributed by NM,
       10-Feb-1997.)  (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
    difeq1 $p |- ( A = B -> ( A \ C ) = ( B \ C ) ) $=
      ( vx wceq cv wcel wn crab cdif rabeq dfdif2 3eqtr4g ) ABEDFCGHZDAINDBIACJ
      BCJNDABKDACLDBCLM $.

    $( Equality theorem for class difference.  (Contributed by NM,
       10-Feb-1997.)  (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
    difeq2 $p |- ( A = B -> ( C \ A ) = ( C \ B ) ) $=
      ( vx wceq cv wcel wn crab cdif eleq2 notbid rabbidv dfdif2 3eqtr4g ) ABEZ
      DFZAGZHZDCIQBGZHZDCICAJCBJPSUADCPRTABQKLMDCANDCBNO $.
  $}

  $( Equality theorem for class difference.  (Contributed by FL,
     31-Aug-2009.) $)
  difeq12 $p |- ( ( A = B /\ C = D ) -> ( A \ C ) = ( B \ D ) ) $=
    ( wceq cdif difeq1 difeq2 sylan9eq ) ABECDEACFBCFBDFABCGCDBHI $.

  ${
    difeq1i.1 $e |- A = B $.
    $( Inference adding difference to the right in a class equality.
       (Contributed by NM, 15-Nov-2002.) $)
    difeq1i $p |- ( A \ C ) = ( B \ C ) $=
      ( wceq cdif difeq1 ax-mp ) ABEACFBCFEDABCGH $.

    $( Inference adding difference to the left in a class equality.
       (Contributed by NM, 15-Nov-2002.) $)
    difeq2i $p |- ( C \ A ) = ( C \ B ) $=
      ( wceq cdif difeq2 ax-mp ) ABECAFCBFEDABCGH $.

    ${
      difeq12i.2 $e |- C = D $.
      $( Equality inference for class difference.  (Contributed by NM,
         29-Aug-2004.) $)
      difeq12i $p |- ( A \ C ) = ( B \ D ) $=
        ( cdif difeq1i difeq2i eqtri ) ACGBCGBDGABCEHCDBFIJ $.
    $}
  $}

  ${
    difeq1d.1 $e |- ( ph -> A = B ) $.
    $( Deduction adding difference to the right in a class equality.
       (Contributed by NM, 15-Nov-2002.) $)
    difeq1d $p |- ( ph -> ( A \ C ) = ( B \ C ) ) $=
      ( wceq cdif difeq1 syl ) ABCFBDGCDGFEBCDHI $.

    $( Deduction adding difference to the left in a class equality.
       (Contributed by NM, 15-Nov-2002.) $)
    difeq2d $p |- ( ph -> ( C \ A ) = ( C \ B ) ) $=
      ( wceq cdif difeq2 syl ) ABCFDBGDCGFEBCDHI $.
  $}

  ${
    difeq12d.1 $e |- ( ph -> A = B ) $.
    difeq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality deduction for class difference.  (Contributed by FL,
       29-May-2014.) $)
    difeq12d $p |- ( ph -> ( A \ C ) = ( B \ D ) ) $=
      ( cdif difeq1d difeq2d eqtrd ) ABDHCDHCEHABCDFIADECGJK $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    difeqri.1 $e |- ( ( x e. A /\ -. x e. B ) <-> x e. C ) $.
    $( Inference from membership to difference.  (Contributed by NM,
       17-May-1998.)  (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
    difeqri $p |- ( A \ B ) = C $=
      ( cdif cv wcel wn wa eldif bitri eqriv ) ABCFZDAGZNHOBHOCHIJODHOBCKELM $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.
    nfdif.1 $e |- F/_ x A $.
    nfdif.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for class difference.  (Contributed by
       NM, 3-Dec-2003.)  (Revised by Mario Carneiro, 13-Oct-2016.) $)
    nfdif $p |- F/_ x ( A \ B ) $=
      ( vy cdif cv wcel wn crab dfdif2 nfcri nfn nfrabw nfcxfr ) ABCGFHCIZJZFBK
      FBCLRAFBQAAFCEMNDOP $.
  $}

  $( Implication of membership in a class difference.  (Contributed by NM,
     29-Apr-1994.) $)
  eldifi $p |- ( A e. ( B \ C ) -> A e. B ) $=
    ( cdif wcel wn eldif simplbi ) ABCDEABEACEFABCGH $.

  $( Implication of membership in a class difference.  (Contributed by NM,
     3-May-1994.) $)
  eldifn $p |- ( A e. ( B \ C ) -> -. A e. C ) $=
    ( cdif wcel wn eldif simprbi ) ABCDEABEACEFABCGH $.

  $( A set does not belong to a class excluding it.  (Contributed by NM,
     27-Jun-1994.) $)
  elndif $p |- ( A e. B -> -. A e. ( C \ B ) ) $=
    ( cdif wcel eldifn con2i ) ACBDEABEACBFG $.

  $( Implication of membership in a class difference.  (Contributed by NM,
     28-Jun-1994.) $)
  neldif $p |- ( ( A e. B /\ -. A e. ( B \ C ) ) -> A e. C ) $=
    ( wcel cdif wn eldif simplbi2 con1d imp ) ABDZABCEDZFACDZKMLLKMFABCGHIJ $.

  ${
    $d x A $.  $d x B $.
    $( Double class difference.  Exercise 11 of [TakeutiZaring] p. 22.
       (Contributed by NM, 17-May-1998.) $)
    difdif $p |- ( A \ ( B \ A ) ) = A $=
      ( vx cdif cv wcel wi wa wn pm4.45im eldif xchbinxr anbi2i bitr2i difeqri
      iman ) CABADZACEZAFZSRBFZSGZHSRQFZIZHSTJUAUCSUATSIHUBTSPRBAKLMNO $.

    $( Subclass relationship for class difference.  Exercise 14 of
       [TakeutiZaring] p. 22.  (Contributed by NM, 29-Apr-1994.) $)
    difss $p |- ( A \ B ) C_ A $=
      ( vx cdif cv eldifi ssriv ) CABDACEABFG $.
  $}

  $( A difference of two classes is contained in the minuend.  Deduction form
     of ~ difss .  (Contributed by David Moews, 1-May-2017.) $)
  difssd $p |- ( ph -> ( A \ B ) C_ A ) $=
    ( cdif wss difss a1i ) BCDBEABCFG $.

  $( If a class is contained in a difference, it is contained in the minuend.
     (Contributed by David Moews, 1-May-2017.) $)
  difss2 $p |- ( A C_ ( B \ C ) -> A C_ B ) $=
    ( cdif wss id difss sstrdi ) ABCDZEZAIBJFBCGH $.

  ${
    difss2d.1 $e |- ( ph -> A C_ ( B \ C ) ) $.
    $( If a class is contained in a difference, it is contained in the minuend.
       Deduction form of ~ difss2 .  (Contributed by David Moews,
       1-May-2017.) $)
    difss2d $p |- ( ph -> A C_ B ) $=
      ( cdif wss difss2 syl ) ABCDFGBCGEBCDHI $.
  $}

  $( Preservation of a subclass relationship by class difference.  (Contributed
     by NM, 15-Feb-2007.) $)
  ssdifss $p |- ( A C_ B -> ( A \ C ) C_ B ) $=
    ( cdif wss difss sstr mpan ) ACDZAEABEIBEACFIABGH $.

  ${
    $d x A $.
    $( Double complement under universal class.  Exercise 4.10(s) of
       [Mendelson] p. 231.  (Contributed by NM, 8-Jan-2002.) $)
    ddif $p |- ( _V \ ( _V \ A ) ) = A $=
      ( vx cvv cdif cv wcel wn wa eldif mpbiran con2bii biantrur bitr2i difeqri
      vex ) BCCADZABEZAFZQPFZGZQCFZTHSRSUARGBOZQCAIJKUATUBLMN $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Contraposition law for subsets.  (Contributed by NM, 22-Mar-1998.) $)
    ssconb $p |- ( ( A C_ C /\ B C_ C ) ->
                  ( A C_ ( C \ B ) <-> B C_ ( C \ A ) ) ) $=
      ( vx wss wa cv wcel cdif wi wal wn wb ssel pm5.1 jcab 3bitr4g eldif dfss2
      imbi2i syl2an con2b a1i anbi12d albidv ) ACEZBCEZFZDGZAHZUICBIZHZJZDKUIBH
      ZUICAIZHZJZDKAUKEBUOEUHUMUQDUHUJUICHZUNLZFZJZUNURUJLZFZJZUMUQUHUJURJZUJUS
      JZFUNURJZUNVBJZFVAVDUHVEVGVFVHUFVEVGVEVGMUGACUINBCUINVEVGOUAVFVHMUHUJUNUB
      UCUDUJURUSPUNURVBPQULUTUJUICBRTUPVCUNUICARTQUEDAUKSDBUOSQ $.

    $( Contraposition law for subsets.  Exercise 15 of [TakeutiZaring] p. 22.
       (Contributed by NM, 22-Mar-1998.) $)
    sscon $p |- ( A C_ B -> ( C \ B ) C_ ( C \ A ) ) $=
      ( vx wss cdif cv wcel wn wa ssel con3d anim2d eldif 3imtr4g ssrdv ) ABEZD
      CBFZCAFZQDGZCHZTBHZIZJUATAHZIZJTRHTSHQUCUEUAQUDUBABTKLMTCBNTCANOP $.

    $( Difference law for subsets.  (Contributed by NM, 28-May-1998.) $)
    ssdif $p |- ( A C_ B -> ( A \ C ) C_ ( B \ C ) ) $=
      ( vx wss cdif cv wcel wn wa ssel anim1d eldif 3imtr4g ssrdv ) ABEZDACFZBC
      FZPDGZAHZSCHIZJSBHZUAJSQHSRHPTUBUAABSKLSACMSBCMNO $.
  $}

  ${
    ssdifd.1 $e |- ( ph -> A C_ B ) $.
    $( If ` A ` is contained in ` B ` , then ` ( A \ C ) ` is contained in
       ` ( B \ C ) ` .  Deduction form of ~ ssdif .  (Contributed by David
       Moews, 1-May-2017.) $)
    ssdifd $p |- ( ph -> ( A \ C ) C_ ( B \ C ) ) $=
      ( wss cdif ssdif syl ) ABCFBDGCDGFEBCDHI $.

    $( If ` A ` is contained in ` B ` , then ` ( C \ B ) ` is contained in
       ` ( C \ A ) ` .  Deduction form of ~ sscon .  (Contributed by David
       Moews, 1-May-2017.) $)
    sscond $p |- ( ph -> ( C \ B ) C_ ( C \ A ) ) $=
      ( wss cdif sscon syl ) ABCFDCGDBGFEBCDHI $.

    $( If ` A ` is contained in ` B ` , then ` ( A \ C ) ` is also contained in
       ` B ` .  Deduction form of ~ ssdifss .  (Contributed by David Moews,
       1-May-2017.) $)
    ssdifssd $p |- ( ph -> ( A \ C ) C_ B ) $=
      ( wss cdif ssdifss syl ) ABCFBDGCFEBCDHI $.

    ssdif2d.2 $e |- ( ph -> C C_ D ) $.
    $( If ` A ` is contained in ` B ` and ` C ` is contained in ` D ` , then
       ` ( A \ D ) ` is contained in ` ( B \ C ) ` .  Deduction form.
       (Contributed by David Moews, 1-May-2017.) $)
    ssdif2d $p |- ( ph -> ( A \ D ) C_ ( B \ C ) ) $=
      ( cdif sscond ssdifd sstrd ) ABEHBDHCDHADEBGIABCDFJK $.
  $}

  $( Restricted universal quantification on a class difference in terms of an
     implication.  (Contributed by Alexander van der Vekens, 3-Jan-2018.) $)
  raldifb $p |- ( A. x e. A ( x e/ B -> ph ) <-> A. x e. ( A \ B ) ph ) $=
    ( cv wnel wi cdif wcel wa impexp df-nel anbi2i bitr4i imbi1i bitr3i ralbii2
    wn eldif ) BEZDFZAGZABCCDHZTCIZUBGUDUAJZAGTUCIZAGUDUAAKUEUFAUEUDTDIRZJUFUAU
    GUDTDLMTCDSNOPQ $.

  $( Restricted existential quantification over a difference.  (Contributed by
     AV, 25-Oct-2023.) $)
  rexdifi $p |- ( ( E. x e. A ph /\ A. x e. B -. ph )
                    -> E. x e. ( A \ B ) ph ) $=
    ( wrex wn wral wa cv cdif wcel wex wi df-rex df-ral nfa1 simprl con2 impcom
    wal sps com12 adantl eldifd simprr jca ex eximd syl2anb sylibr ) ABCEZAFZBD
    GZHBIZCDJZKZAHZBLZABUOEUKUNCKZAHZBLZUNDKZULMZBTZURUMABCNULBDOVDVAURVDUTUQBV
    CBPVDUTUQVDUTHZUPAVEUNCDVDUSAQUTVDVBFZAVDVFMUSVDAVFVCAVFMBVBARUAUBUCSUDVDUS
    AUEUFUGUHSUIABUONUJ $.

  $( Complementation reverses inclusion.  (Contributed by Andrew Salmon,
     15-Jul-2011.)  (Proof shortened by BJ, 19-Mar-2021.) $)
  complss $p |- ( A C_ B <-> ( _V \ B ) C_ ( _V \ A ) ) $=
    ( wss cvv cdif sscon ddif 3sstr3g impbii ) ABCDBEZDAEZCZABDFLDKEDJEABJKDFAG
    BGHI $.

  $( Two classes are equal if and only if their complements are equal.
     (Contributed by BJ, 19-Mar-2021.) $)
  compleq $p |- ( A = B <-> ( _V \ A ) = ( _V \ B ) ) $=
    ( wss wa cvv cdif wceq complss anbi12ci eqss 3bitr4i ) ABCZBACZDEAFZEBFZCZO
    NCZDABGNOGLQMPABHBAHIABJNOJK $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The union of two classes
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Expansion of membership in class union.  Theorem 12 of [Suppes] p. 25.
       (Contributed by NM, 7-Aug-1994.) $)
    elun $p |- ( A e. ( B u. C ) <-> ( A e. B \/ A e. C ) ) $=
      ( vx cun wcel cvv wo elex jaoi wceq eleq1 orbi12d df-un elab2g pm5.21nii
      cv ) ABCEZFAGFZABFZACFZHZARITSUAABIACIJDQZBFZUCCFZHUBDARGUCAKUDTUEUAUCABL
      UCACLMDBCNOP $.
  $}

  $( A member of a union that is not member of the first class, is member of
     the second class.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  elunnel1 $p |- ( ( A e. ( B u. C ) /\ -. A e. B ) -> A e. C ) $=
    ( cun wcel wo elun biimpi orcanai ) ABCDEZABEZACEZJKLFABCGHI $.

  ${
    $d x A $.  $d x B $.  $d x C $.
    uneqri.1 $e |- ( ( x e. A \/ x e. B ) <-> x e. C ) $.
    $( Inference from membership to union.  (Contributed by NM,
       21-Jun-1993.) $)
    uneqri $p |- ( A u. B ) = C $=
      ( cun cv wcel wo elun bitri eqriv ) ABCFZDAGZMHNBHNCHINDHNBCJEKL $.
  $}

  ${
    $d x A $.
    $( Idempotent law for union of classes.  Theorem 23 of [Suppes] p. 27.
       (Contributed by NM, 21-Jun-1993.) $)
    unidm $p |- ( A u. A ) = A $=
      ( vx cv wcel oridm uneqri ) BAAABCADEF $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Commutative law for union of classes.  Exercise 6 of [TakeutiZaring]
       p. 17.  (Contributed by NM, 25-Jun-1998.)  (Proof shortened by Andrew
       Salmon, 26-Jun-2011.) $)
    uncom $p |- ( A u. B ) = ( B u. A ) $=
      ( vx cun cv wcel wo orcom elun bitr4i uneqri ) CABBADZCEZAFZMBFZGONGMLFNO
      HMBAIJK $.
  $}

  $( If a class equals the union of two other classes, then it equals the union
     of those two classes commuted. ~ equncom was automatically derived from
     ~ equncomVD using the tools program translate__without__overwriting.cmd
     and minimizing.  (Contributed by Alan Sare, 18-Feb-2012.) $)
  equncom $p |- ( A = ( B u. C ) <-> A = ( C u. B ) ) $=
    ( cun uncom eqeq2i ) BCDCBDABCEF $.

  ${
    equncomi.1 $e |- A = ( B u. C ) $.
    $( Inference form of ~ equncom . ~ equncomi was automatically derived from
       ~ equncomiVD using the tools program translate__without__overwriting.cmd
       and minimizing.  (Contributed by Alan Sare, 18-Feb-2012.) $)
    equncomi $p |- A = ( C u. B ) $=
      ( cun wceq equncom mpbi ) ABCEFACBEFDABCGH $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Equality theorem for the union of two classes.  (Contributed by NM,
       15-Jul-1993.) $)
    uneq1 $p |- ( A = B -> ( A u. C ) = ( B u. C ) ) $=
      ( vx wceq cun cv wcel wo eleq2 orbi1d elun 3bitr4g eqrdv ) ABEZDACFZBCFZO
      DGZAHZRCHZIRBHZTIRPHRQHOSUATABRJKRACLRBCLMN $.
  $}

  $( Equality theorem for the union of two classes.  (Contributed by NM,
     5-Aug-1993.) $)
  uneq2 $p |- ( A = B -> ( C u. A ) = ( C u. B ) ) $=
    ( wceq cun uneq1 uncom 3eqtr4g ) ABDACEBCECAECBEABCFCAGCBGH $.

  $( Equality theorem for the union of two classes.  (Contributed by NM,
     29-Mar-1998.) $)
  uneq12 $p |- ( ( A = B /\ C = D ) -> ( A u. C ) = ( B u. D ) ) $=
    ( wceq cun uneq1 uneq2 sylan9eq ) ABECDEACFBCFBDFABCGCDBHI $.

  ${
    uneq1i.1 $e |- A = B $.
    $( Inference adding union to the right in a class equality.  (Contributed
       by NM, 30-Aug-1993.) $)
    uneq1i $p |- ( A u. C ) = ( B u. C ) $=
      ( wceq cun uneq1 ax-mp ) ABEACFBCFEDABCGH $.

    $( Inference adding union to the left in a class equality.  (Contributed by
       NM, 30-Aug-1993.) $)
    uneq2i $p |- ( C u. A ) = ( C u. B ) $=
      ( wceq cun uneq2 ax-mp ) ABECAFCBFEDABCGH $.

    ${
      uneq12i.2 $e |- C = D $.
      $( Equality inference for the union of two classes.  (Contributed by NM,
         12-Aug-2004.)  (Proof shortened by Eric Schmidt, 26-Jan-2007.) $)
      uneq12i $p |- ( A u. C ) = ( B u. D ) $=
        ( wceq cun uneq12 mp2an ) ABGCDGACHBDHGEFABCDIJ $.
    $}
  $}

  ${
    uneq1d.1 $e |- ( ph -> A = B ) $.
    $( Deduction adding union to the right in a class equality.  (Contributed
       by NM, 29-Mar-1998.) $)
    uneq1d $p |- ( ph -> ( A u. C ) = ( B u. C ) ) $=
      ( wceq cun uneq1 syl ) ABCFBDGCDGFEBCDHI $.

    $( Deduction adding union to the left in a class equality.  (Contributed by
       NM, 29-Mar-1998.) $)
    uneq2d $p |- ( ph -> ( C u. A ) = ( C u. B ) ) $=
      ( wceq cun uneq2 syl ) ABCFDBGDCGFEBCDHI $.

    ${
      uneq12d.2 $e |- ( ph -> C = D ) $.
      $( Equality deduction for the union of two classes.  (Contributed by NM,
         29-Sep-2004.)  (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
      uneq12d $p |- ( ph -> ( A u. C ) = ( B u. D ) ) $=
        ( wceq cun uneq12 syl2anc ) ABCHDEHBDICEIHFGBCDEJK $.
    $}
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.
    nfun.1 $e |- F/_ x A $.
    nfun.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for the union of classes.
       (Contributed by NM, 15-Sep-2003.)  (Revised by Mario Carneiro,
       14-Oct-2016.) $)
    nfun $p |- F/_ x ( A u. B ) $=
      ( vy cun cv wcel wo cab df-un nfcri nfor nfab nfcxfr ) ABCGFHZBIZQCIZJZFK
      FBCLTAFRSAAFBDMAFCEMNOP $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Associative law for union of classes.  Exercise 8 of [TakeutiZaring]
       p. 17.  (Contributed by NM, 3-May-1994.)  (Proof shortened by Andrew
       Salmon, 26-Jun-2011.) $)
    unass $p |- ( ( A u. B ) u. C ) = ( A u. ( B u. C ) ) $=
      ( vx cun cv wcel wo elun orbi2i orbi1i orass bitr2i 3bitrri uneqri ) DABE
      ZCABCEZEZDFZRGSAGZSQGZHTSBGZSCGZHZHZSPGZUCHZSAQIUAUDTSBCIJUGTUBHZUCHUEUFU
      HUCSABIKTUBUCLMNO $.
  $}

  $( A rearrangement of union.  (Contributed by NM, 12-Aug-2004.) $)
  un12 $p |- ( A u. ( B u. C ) ) = ( B u. ( A u. C ) ) $=
    ( cun uncom uneq1i unass 3eqtr3i ) ABDZCDBADZCDABCDDBACDDIJCABEFABCGBACGH
    $.

  $( A rearrangement of union.  (Contributed by NM, 12-Aug-2004.)  (Proof
     shortened by Andrew Salmon, 26-Jun-2011.) $)
  un23 $p |- ( ( A u. B ) u. C ) = ( ( A u. C ) u. B ) $=
    ( cun unass un12 uncom 3eqtri ) ABDCDABCDDBACDZDIBDABCEABCFBIGH $.

  $( A rearrangement of the union of 4 classes.  (Contributed by NM,
     12-Aug-2004.) $)
  un4 $p |- ( ( A u. B ) u. ( C u. D ) ) =
            ( ( A u. C ) u. ( B u. D ) ) $=
    ( cun un12 uneq2i unass 3eqtr4i ) ABCDEZEZEACBDEZEZEABEJEACELEKMABCDFGABJHA
    CLHI $.

  $( Union distributes over itself.  (Contributed by NM, 17-Aug-2004.) $)
  unundi $p |- ( A u. ( B u. C ) ) = ( ( A u. B ) u. ( A u. C ) ) $=
    ( cun unidm uneq1i un4 eqtr3i ) AADZBCDZDAJDABDACDDIAJAEFAABCGH $.

  $( Union distributes over itself.  (Contributed by NM, 17-Aug-2004.) $)
  unundir $p |- ( ( A u. B ) u. C ) = ( ( A u. C ) u. ( B u. C ) ) $=
    ( cun unidm uneq2i un4 eqtr3i ) ABDZCCDZDICDACDBCDDJCICEFABCCGH $.

  ${
    $d x A $.  $d x B $.
    $( Subclass relationship for union of classes.  Theorem 25 of [Suppes]
       p. 27.  (Contributed by NM, 5-Aug-1993.) $)
    ssun1 $p |- A C_ ( A u. B ) $=
      ( vx cun cv wcel wo orc elun sylibr ssriv ) CAABDZCEZAFZNMBFZGMLFNOHMABIJ
      K $.
  $}

  $( Subclass relationship for union of classes.  (Contributed by NM,
     30-Aug-1993.) $)
  ssun2 $p |- A C_ ( B u. A ) $=
    ( cun ssun1 uncom sseqtri ) AABCBACABDABEF $.

  $( Subclass law for union of classes.  (Contributed by NM, 5-Aug-1993.) $)
  ssun3 $p |- ( A C_ B -> A C_ ( B u. C ) ) $=
    ( wss cun ssun1 sstr2 mpi ) ABDBBCEZDAIDBCFABIGH $.

  $( Subclass law for union of classes.  (Contributed by NM, 14-Aug-1994.) $)
  ssun4 $p |- ( A C_ B -> A C_ ( C u. B ) ) $=
    ( wss cun ssun2 sstr2 mpi ) ABDBCBEZDAIDBCFABIGH $.

  $( Membership law for union of classes.  (Contributed by NM, 5-Aug-1993.) $)
  elun1 $p |- ( A e. B -> A e. ( B u. C ) ) $=
    ( cun ssun1 sseli ) BBCDABCEF $.

  $( Membership law for union of classes.  (Contributed by NM, 30-Aug-1993.) $)
  elun2 $p |- ( A e. B -> A e. ( C u. B ) ) $=
    ( cun ssun2 sseli ) BCBDABCEF $.

  $( A statement is true for every element of the union of a pair of classes if
     and only if it is true for every element of the first class and for every
     element of the second class.  (Contributed by BTernaryTau,
     27-Sep-2023.) $)
  elunant $p |- ( ( C e. ( A u. B ) -> ph ) <->
    ( ( C e. A -> ph ) /\ ( C e. B -> ph ) ) ) $=
    ( cun wcel wi wo wa elun imbi1i jaob bitri ) DBCEFZAGDBFZDCFZHZAGOAGPAGINQA
    DBCJKOAPLM $.

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Subclass law for union of classes.  (Contributed by NM, 14-Oct-1999.)
       (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
    unss1 $p |- ( A C_ B -> ( A u. C ) C_ ( B u. C ) ) $=
      ( vx wss cun cv wcel wo ssel orim1d elun 3imtr4g ssrdv ) ABEZDACFZBCFZODG
      ZAHZRCHZIRBHZTIRPHRQHOSUATABRJKRACLRBCLMN $.

    $( A relationship between subclass and union.  Theorem 26 of [Suppes]
       p. 27.  (Contributed by NM, 30-Aug-1993.)  (Proof shortened by Andrew
       Salmon, 26-Jun-2011.) $)
    ssequn1 $p |- ( A C_ B <-> ( A u. B ) = B ) $=
      ( vx cv wcel wi wal cun wb wceq wo bicom pm4.72 elun bibi1i 3bitr4i albii
      wss dfss2 dfcleq ) CDZAEZUABEZFZCGUAABHZEZUCIZCGABRUEBJUDUGCUCUBUCKZIUHUC
      IUDUGUCUHLUBUCMUFUHUCUAABNOPQCABSCUEBTP $.
  $}

  $( Subclass law for union of classes.  Exercise 7 of [TakeutiZaring] p. 18.
     (Contributed by NM, 14-Oct-1999.) $)
  unss2 $p |- ( A C_ B -> ( C u. A ) C_ ( C u. B ) ) $=
    ( wss cun unss1 uncom 3sstr4g ) ABDACEBCECAECBEABCFCAGCBGH $.

  $( Subclass law for union of classes.  (Contributed by NM, 2-Jun-2004.) $)
  unss12 $p |- ( ( A C_ B /\ C C_ D ) -> ( A u. C ) C_ ( B u. D ) ) $=
    ( wss cun unss1 unss2 sylan9ss ) ABECDEACFBCFBDFABCGCDBHI $.

  $( A relationship between subclass and union.  (Contributed by NM,
     13-Jun-1994.) $)
  ssequn2 $p |- ( A C_ B <-> ( B u. A ) = B ) $=
    ( wss cun wceq ssequn1 uncom eqeq1i bitri ) ABCABDZBEBADZBEABFJKBABGHI $.

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( The union of two subclasses is a subclass.  Theorem 27 of [Suppes] p. 27
       and its converse.  (Contributed by NM, 11-Jun-2004.) $)
    unss $p |- ( ( A C_ C /\ B C_ C ) <-> ( A u. B ) C_ C ) $=
      ( vx cun wss cv wcel wi wal wa dfss2 19.26 elunant anbi12i 3bitr4i bitr2i
      albii ) ABEZCFDGZSHTCHZIZDJZACFZBCFZKZDSCLTAHUAIZTBHUAIZKZDJUGDJZUHDJZKUC
      UFUGUHDMUBUIDUAABTNRUDUJUEUKDACLDBCLOPQ $.
  $}

  ${
    unssi.1 $e |- A C_ C $.
    unssi.2 $e |- B C_ C $.
    $( An inference showing the union of two subclasses is a subclass.
       (Contributed by Raph Levien, 10-Dec-2002.) $)
    unssi $p |- ( A u. B ) C_ C $=
      ( wss wa cun pm3.2i unss mpbi ) ACFZBCFZGABHCFLMDEIABCJK $.
  $}

  ${
    unssd.1 $e |- ( ph -> A C_ C ) $.
    unssd.2 $e |- ( ph -> B C_ C ) $.
    $( A deduction showing the union of two subclasses is a subclass.
       (Contributed by Jonathan Ben-Naim, 3-Jun-2011.) $)
    unssd $p |- ( ph -> ( A u. B ) C_ C ) $=
      ( wss cun wa unss biimpi syl2anc ) ABDGZCDGZBCHDGZEFMNIOBCDJKL $.
  $}

  ${
    unssad.1 $e |- ( ph -> ( A u. B ) C_ C ) $.
    $( If ` ( A u. B ) ` is contained in ` C ` , so is ` A ` .  One-way
       deduction form of ~ unss .  Partial converse of ~ unssd .  (Contributed
       by David Moews, 1-May-2017.) $)
    unssad $p |- ( ph -> A C_ C ) $=
      ( wss cun wa unss sylibr simpld ) ABDFZCDFZABCGDFLMHEBCDIJK $.

    $( If ` ( A u. B ) ` is contained in ` C ` , so is ` B ` .  One-way
       deduction form of ~ unss .  Partial converse of ~ unssd .  (Contributed
       by David Moews, 1-May-2017.) $)
    unssbd $p |- ( ph -> B C_ C ) $=
      ( wss cun wa unss sylibr simprd ) ABDFZCDFZABCGDFLMHEBCDIJK $.
  $}

  $( A condition that implies inclusion in the union of two classes.
     (Contributed by NM, 23-Nov-2003.) $)
  ssun $p |- ( ( A C_ B \/ A C_ C ) -> A C_ ( B u. C ) ) $=
    ( wss cun ssun3 ssun4 jaoi ) ABDABCEDACDABCFACBGH $.

  $( Restricted existential quantification over union.  (Contributed by Jeff
     Madsen, 5-Jan-2011.) $)
  rexun $p |- ( E. x e. ( A u. B ) ph <->
                          ( E. x e. A ph \/ E. x e. B ph ) ) $=
    ( cun wrex cv wcel wa wo df-rex 19.43 elun anbi1i andir bitri exbii orbi12i
    wex 3bitr4i ) ABCDEZFBGZUAHZAIZBSZABCFZABDFZJZABUAKUBCHZAIZUBDHZAIZJZBSUJBS
    ZULBSZJUEUHUJULBLUDUMBUDUIUKJZAIUMUCUPAUBCDMNUIUKAOPQUFUNUGUOABCKABDKRTP $.

  $( Restricted quantification over a union.  (Contributed by Scott Fenton,
     12-Apr-2011.)  (Proof shortened by Andrew Salmon, 29-Jun-2011.) $)
  ralunb $p |- ( A. x e. ( A u. B ) ph <->
                 ( A. x e. A ph /\ A. x e. B ph ) ) $=
    ( cv cun wcel wi wal wral elunant albii 19.26 bitri df-ral anbi12i 3bitr4i
    wa ) BEZCDFZGAHZBIZSCGAHZBIZSDGAHZBIZRZABTJABCJZABDJZRUBUCUERZBIUGUAUJBACDS
    KLUCUEBMNABTOUHUDUIUFABCOABDOPQ $.

  $( Restricted quantification over union.  (Contributed by Jeff Madsen,
     2-Sep-2009.) $)
  ralun $p |- ( ( A. x e. A ph /\ A. x e. B ph ) -> A. x e. ( A u. B ) ph ) $=
    ( cun wral wa ralunb biimpri ) ABCDEFABCFABDFGABCDHI $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The intersection of two classes
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    elini.1 $e |- A e. B $.
    elini.2 $e |- A e. C $.
    $( Membership in an intersection of two classes.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    elini $p |- A e. ( B i^i C ) $=
      ( cin wcel elin mpbir2an ) ABCFGABGACGDEABCHI $.
  $}

  ${
    elind.1 $e |- ( ph -> X e. A ) $.
    elind.2 $e |- ( ph -> X e. B ) $.
    $( Deduce membership in an intersection of two classes.  (Contributed by
       Jonathan Ben-Naim, 3-Jun-2011.) $)
    elind $p |- ( ph -> X e. ( A i^i B ) ) $=
      ( wcel cin elin sylanbrc ) ADBGDCGDBCHGEFDBCIJ $.
  $}

  $( Membership in an intersection implies membership in the first set.
     (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  elinel1 $p |- ( A e. ( B i^i C ) -> A e. B ) $=
    ( cin wcel elin simplbi ) ABCDEABEACEABCFG $.

  $( Membership in an intersection implies membership in the second set.
     (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  elinel2 $p |- ( A e. ( B i^i C ) -> A e. C ) $=
    ( cin wcel elin simprbi ) ABCDEABEACEABCFG $.

  ${
    elin2.x $e |- X = ( B i^i C ) $.
    $( Membership in a class defined as an intersection.  (Contributed by
       Stefan O'Rear, 29-Mar-2015.) $)
    elin2 $p |- ( A e. X <-> ( A e. B /\ A e. C ) ) $=
      ( wcel cin wa eleq2i elin bitri ) ADFABCGZFABFACFHDLAEIABCJK $.
  $}

  ${
    elin1d.1 $e |- ( ph -> X e. ( A i^i B ) ) $.
    $( Elementhood in the first set of an intersection - deduction version.
       (Contributed by Thierry Arnoux, 3-May-2020.) $)
    elin1d $p |- ( ph -> X e. A ) $=
      ( cin wcel elinel1 syl ) ADBCFGDBGEDBCHI $.

    $( Elementhood in the first set of an intersection - deduction version.
       (Contributed by Thierry Arnoux, 3-May-2020.) $)
    elin2d $p |- ( ph -> X e. B ) $=
      ( cin wcel elinel2 syl ) ADBCFGDCGEDBCHI $.
  $}

  ${
    elin3.x $e |- X = ( ( B i^i C ) i^i D ) $.
    $( Membership in a class defined as a ternary intersection.  (Contributed
       by Stefan O'Rear, 29-Mar-2015.) $)
    elin3 $p |- ( A e. X <-> ( A e. B /\ A e. C /\ A e. D ) ) $=
      ( cin wcel wa w3a elin anbi1i elin2 df-3an 3bitr4i ) ABCGZHZADHZIABHZACHZ
      IZRIAEHSTRJQUARABCKLAPDEFMSTRNO $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Commutative law for intersection of classes.  Exercise 7 of
       [TakeutiZaring] p. 17.  (Contributed by NM, 21-Jun-1993.)  (Proof
       shortened by SN, 12-Dec-2023.) $)
    incom $p |- ( A i^i B ) = ( B i^i A ) $=
      ( vx cv wcel crab cin rabswap dfin5 3eqtr4i ) CDZBECAFKAECBFABGBAGCABHCAB
      ICBAIJ $.
    $( $j usage 'incom' avoids 'ax-8' 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)

    $( Obsolete version of ~ incom as of 12-Dec-2023.  Commutative law for
       intersection of classes.  Exercise 7 of [TakeutiZaring] p. 17.
       (Contributed by NM, 21-Jun-1993.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    incomOLD $p |- ( A i^i B ) = ( B i^i A ) $=
      ( vx cin cv wcel wa ancom elin 3bitr4i eqriv ) CABDZBADZCEZAFZNBFZGPOGNLF
      NMFOPHNABINBAIJK $.
  $}

  $( Two ways of expressing that two classes have a given intersection.  This
     is often used when that given intersection is the empty set, in which case
     the statement displays two ways of expressing that two classes are
     disjoint (when ` C = (/) ` : ` ( ( A i^i B ) = (/) <-> `
     ` ( B i^i A ) = (/) ) ` ).  (Contributed by Peter Mazsa, 22-Mar-2017.) $)
  ineqcom $p |- ( ( A i^i B ) = C <-> ( B i^i A ) = C ) $=
    ( cin incom eqeq1i ) ABDBADCABEF $.

  ${
    ineqcomi.1 $e |- ( A i^i B ) = C $.
    $( Two ways of expressing that two classes have a given intersection.
       Inference form of ~ ineqcom .  Disjointness inference when ` C = (/) ` .
       (Contributed by Peter Mazsa, 26-Mar-2017.)  (Proof shortened by SN,
       20-Sep-2024.) $)
    ineqcomi $p |- ( B i^i A ) = C $=
      ( cin incom eqtri ) BAEABECBAFDG $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    ineqri.1 $e |- ( ( x e. A /\ x e. B ) <-> x e. C ) $.
    $( Inference from membership to intersection.  (Contributed by NM,
       21-Jun-1993.) $)
    ineqri $p |- ( A i^i B ) = C $=
      ( cin cv wcel wa elin bitri eqriv ) ABCFZDAGZMHNBHNCHINDHNBCJEKL $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Equality theorem for intersection of two classes.  (Contributed by NM,
       14-Dec-1993.)  (Proof shortened by SN, 20-Sep-2023.) $)
    ineq1 $p |- ( A = B -> ( A i^i C ) = ( B i^i C ) ) $=
      ( vx wceq cv wcel crab cin rabeq dfin5 3eqtr4g ) ABEDFCGZDAHMDBHACIBCIMDA
      BJDACKDBCKL $.
  $}

  $( Equality theorem for intersection of two classes.  (Contributed by NM,
     26-Dec-1993.) $)
  ineq2 $p |- ( A = B -> ( C i^i A ) = ( C i^i B ) ) $=
    ( wceq cin ineq1 incom 3eqtr4g ) ABDACEBCECAECBEABCFCAGCBGH $.

  $( Equality theorem for intersection of two classes.  (Contributed by NM,
     8-May-1994.) $)
  ineq12 $p |- ( ( A = B /\ C = D ) -> ( A i^i C ) = ( B i^i D ) ) $=
    ( wceq cin ineq1 ineq2 sylan9eq ) ABECDEACFBCFBDFABCGCDBHI $.

  ${
    ineq1i.1 $e |- A = B $.
    $( Equality inference for intersection of two classes.  (Contributed by NM,
       26-Dec-1993.) $)
    ineq1i $p |- ( A i^i C ) = ( B i^i C ) $=
      ( wceq cin ineq1 ax-mp ) ABEACFBCFEDABCGH $.

    $( Equality inference for intersection of two classes.  (Contributed by NM,
       26-Dec-1993.) $)
    ineq2i $p |- ( C i^i A ) = ( C i^i B ) $=
      ( wceq cin ineq2 ax-mp ) ABECAFCBFEDABCGH $.

    ${
      ineq12i.2 $e |- C = D $.
      $( Equality inference for intersection of two classes.  (Contributed by
         NM, 24-Jun-2004.)  (Proof shortened by Eric Schmidt, 26-Jan-2007.) $)
      ineq12i $p |- ( A i^i C ) = ( B i^i D ) $=
        ( wceq cin ineq12 mp2an ) ABGCDGACHBDHGEFABCDIJ $.
    $}
  $}

  ${
    ineq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for intersection of two classes.  (Contributed by NM,
       10-Apr-1994.) $)
    ineq1d $p |- ( ph -> ( A i^i C ) = ( B i^i C ) ) $=
      ( wceq cin ineq1 syl ) ABCFBDGCDGFEBCDHI $.

    $( Equality deduction for intersection of two classes.  (Contributed by NM,
       10-Apr-1994.) $)
    ineq2d $p |- ( ph -> ( C i^i A ) = ( C i^i B ) ) $=
      ( wceq cin ineq2 syl ) ABCFDBGDCGFEBCDHI $.

    ${
      ineq12d.2 $e |- ( ph -> C = D ) $.
      $( Equality deduction for intersection of two classes.  (Contributed by
         NM, 24-Jun-2004.)  (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
      ineq12d $p |- ( ph -> ( A i^i C ) = ( B i^i D ) ) $=
        ( wceq cin ineq12 syl2anc ) ABCHDEHBDICEIHFGBCDEJK $.
    $}

    ${
      ineqan12d.2 $e |- ( ps -> C = D ) $.
      $( Equality deduction for intersection of two classes.  (Contributed by
         NM, 7-Feb-2007.) $)
      ineqan12d $p |- ( ( ph /\ ps ) -> ( A i^i C ) = ( B i^i D ) ) $=
        ( wceq cin ineq12 syl2an ) ACDIEFICEJDFJIBGHCDEFKL $.
    $}
  $}

  $( A relationship between subclass and intersection.  Similar to Exercise 9
     of [TakeutiZaring] p. 18.  (Contributed by NM, 17-May-1994.) $)
  sseqin2 $p |- ( A C_ B <-> ( B i^i A ) = A ) $=
    ( wss cin wceq df-ss incom eqeq1i bitri ) ABCABDZAEBADZAEABFJKAABGHI $.

  ${
    $d x y $.  $d y A $.  $d y B $.
    nfin.1 $e |- F/_ x A $.
    nfin.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for the intersection of classes.
       (Contributed by NM, 15-Sep-2003.)  (Revised by Mario Carneiro,
       14-Oct-2016.) $)
    nfin $p |- F/_ x ( A i^i B ) $=
      ( vy cin cv wcel crab dfin5 nfcri nfrabw nfcxfr ) ABCGFHCIZFBJFBCKOAFBAFC
      ELDMN $.
  $}

  ${
    $d x ph $.  $d x A $.  $d x B $.
    rabbi2dva.1 $e |- ( ( ph /\ x e. A ) -> ( x e. B <-> ps ) ) $.
    $( Deduction from a wff to a restricted class abstraction.  (Contributed by
       NM, 14-Jan-2014.) $)
    rabbi2dva $p |- ( ph -> ( A i^i B ) = { x e. A | ps } ) $=
      ( cin cv wcel crab dfin5 rabbidva eqtrid ) ADEGCHEIZCDJBCDJCDEKANBCDFLM
      $.
  $}

  ${
    $d x A $.
    $( Idempotent law for intersection of classes.  Theorem 15 of [Suppes]
       p. 26.  (Contributed by NM, 5-Aug-1993.) $)
    inidm $p |- ( A i^i A ) = A $=
      ( vx cv wcel anidm ineqri ) BAAABCADEF $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Associative law for intersection of classes.  Exercise 9 of
       [TakeutiZaring] p. 17.  (Contributed by NM, 3-May-1994.) $)
    inass $p |- ( ( A i^i B ) i^i C ) = ( A i^i ( B i^i C ) ) $=
      ( vx cin cv wcel wa anass elin anbi2i bitr4i anbi1i 3bitr4i ineqri ) DABE
      ZCABCEZEZDFZAGZSBGZHZSCGZHZTSQGZHZSPGZUCHSRGUDTUAUCHZHUFTUAUCIUEUHTSBCJKL
      UGUBUCSABJMSAQJNO $.
  $}

  $( A rearrangement of intersection.  (Contributed by NM, 21-Apr-2001.) $)
  in12 $p |- ( A i^i ( B i^i C ) ) = ( B i^i ( A i^i C ) ) $=
    ( cin incom ineq1i inass 3eqtr3i ) ABDZCDBADZCDABCDDBACDDIJCABEFABCGBACGH
    $.

  $( A rearrangement of intersection.  (Contributed by NM, 21-Apr-2001.)
     (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
  in32 $p |- ( ( A i^i B ) i^i C ) = ( ( A i^i C ) i^i B ) $=
    ( cin inass in12 incom 3eqtri ) ABDCDABCDDBACDZDIBDABCEABCFBIGH $.

  $( A rearrangement of intersection.  (Contributed by NM, 27-Aug-2012.) $)
  in13 $p |- ( A i^i ( B i^i C ) ) = ( C i^i ( B i^i A ) ) $=
    ( cin in32 incom 3eqtr4i ) BCDZADBADZCDAHDCIDBCAEAHFCIFG $.

  $( A rearrangement of intersection.  (Contributed by NM, 27-Aug-2012.) $)
  in31 $p |- ( ( A i^i B ) i^i C ) = ( ( C i^i B ) i^i A ) $=
    ( cin in12 incom 3eqtr4i ) CABDZDACBDZDHCDIADCABEHCFIAFG $.

  $( Rotate the intersection of 3 classes.  (Contributed by NM,
     27-Aug-2012.) $)
  inrot $p |- ( ( A i^i B ) i^i C ) = ( ( C i^i A ) i^i B ) $=
    ( cin in31 in32 eqtri ) ABDCDCBDADCADBDABCECBAFG $.

  $( Rearrangement of intersection of 4 classes.  (Contributed by NM,
     21-Apr-2001.) $)
  in4 $p |- ( ( A i^i B ) i^i ( C i^i D ) ) =
            ( ( A i^i C ) i^i ( B i^i D ) ) $=
    ( cin in12 ineq2i inass 3eqtr4i ) ABCDEZEZEACBDEZEZEABEJEACELEKMABCDFGABJHA
    CLHI $.

  $( Intersection distributes over itself.  (Contributed by NM, 6-May-1994.) $)
  inindi $p |- ( A i^i ( B i^i C ) ) = ( ( A i^i B ) i^i ( A i^i C ) ) $=
    ( cin inidm ineq1i in4 eqtr3i ) AADZBCDZDAJDABDACDDIAJAEFAABCGH $.

  $( Intersection distributes over itself.  (Contributed by NM,
     17-Aug-2004.) $)
  inindir $p |- ( ( A i^i B ) i^i C ) = ( ( A i^i C ) i^i ( B i^i C ) ) $=
    ( cin inidm ineq2i in4 eqtr3i ) ABDZCCDZDICDACDBCDDJCICEFABCCGH $.

  ${
    $d x A $.  $d x B $.
    $( The intersection of two classes is a subset of one of them.  Part of
       Exercise 12 of [TakeutiZaring] p. 18.  (Contributed by NM,
       27-Apr-1994.) $)
    inss1 $p |- ( A i^i B ) C_ A $=
      ( vx cin cv elinel1 ssriv ) CABDACEABFG $.
  $}

  $( The intersection of two classes is a subset of one of them.  Part of
     Exercise 12 of [TakeutiZaring] p. 18.  (Contributed by NM,
     27-Apr-1994.) $)
  inss2 $p |- ( A i^i B ) C_ B $=
    ( cin incom inss1 eqsstrri ) ABCBACBBADBAEF $.

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Subclass of intersection.  Theorem 2.8(vii) of [Monk1] p. 26.
       (Contributed by NM, 15-Jun-2004.)  (Proof shortened by Andrew Salmon,
       26-Jun-2011.) $)
    ssin $p |- ( ( A C_ B /\ A C_ C ) <-> A C_ ( B i^i C ) ) $=
      ( vx cv wcel wi wal wa cin wss elin imbi2i albii jcab 19.26 3bitrri dfss2
      anbi12i 3bitr4i ) DEZAFZUABFZGZDHZUBUACFZGZDHZIZUBUABCJZFZGZDHZABKZACKZIA
      UJKUMUBUCUFIZGZDHUDUGIZDHUIULUQDUKUPUBUABCLMNUQURDUBUCUFONUDUGDPQUNUEUOUH
      DABRDACRSDAUJRT $.
  $}

  ${
    ssini.1 $e |- A C_ B $.
    ssini.2 $e |- A C_ C $.
    $( An inference showing that a subclass of two classes is a subclass of
       their intersection.  (Contributed by NM, 24-Nov-2003.) $)
    ssini $p |- A C_ ( B i^i C ) $=
      ( wss wa cin pm3.2i ssin mpbi ) ABFZACFZGABCHFLMDEIABCJK $.
  $}

  ${
    ssind.1 $e |- ( ph -> A C_ B ) $.
    ssind.2 $e |- ( ph -> A C_ C ) $.
    $( A deduction showing that a subclass of two classes is a subclass of
       their intersection.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.) $)
    ssind $p |- ( ph -> A C_ ( B i^i C ) ) $=
      ( wss wa cin jca ssin sylib ) ABCGZBDGZHBCDIGAMNEFJBCDKL $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Add right intersection to subclass relation.  (Contributed by NM,
       16-Aug-1994.)  (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
    ssrin $p |- ( A C_ B -> ( A i^i C ) C_ ( B i^i C ) ) $=
      ( vx wss cin cv wcel wa ssel anim1d elin 3imtr4g ssrdv ) ABEZDACFZBCFZODG
      ZAHZRCHZIRBHZTIRPHRQHOSUATABRJKRACLRBCLMN $.

    $( Add left intersection to subclass relation.  (Contributed by NM,
       19-Oct-1999.) $)
    sslin $p |- ( A C_ B -> ( C i^i A ) C_ ( C i^i B ) ) $=
      ( wss cin ssrin incom 3sstr4g ) ABDACEBCECAECBEABCFCAGCBGH $.
  $}

  ${
    ssrind.1 $e |- ( ph -> A C_ B ) $.
    $( Add right intersection to subclass relation.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    ssrind $p |- ( ph -> ( A i^i C ) C_ ( B i^i C ) ) $=
      ( wss cin ssrin syl ) ABCFBDGCDGFEBCDHI $.
  $}

  $( Intersection of subclasses.  (Contributed by NM, 5-May-2000.) $)
  ss2in $p |- ( ( A C_ B /\ C C_ D ) -> ( A i^i C ) C_ ( B i^i D ) ) $=
    ( wss cin ssrin sslin sylan9ss ) ABECDEACFBCFBDFABCGCDBHI $.

  $( Intersection preserves subclass relationship.  (Contributed by NM,
     14-Sep-1999.) $)
  ssinss1 $p |- ( A C_ C -> ( A i^i B ) C_ C ) $=
    ( cin wss wi inss1 sstr2 ax-mp ) ABDZAEACEJCEFABGJACHI $.

  $( Inclusion of an intersection of two classes.  (Contributed by NM,
     30-Oct-2014.) $)
  inss $p |- ( ( A C_ C \/ B C_ C ) -> ( A i^i B ) C_ C ) $=
    ( wss cin ssinss1 incom eqsstrid jaoi ) ACDABEZCDBCDZABCFKJBAECABGBACFHI $.

  $( Restricted existential quantification over intersection.  (Contributed by
     Peter Mazsa, 17-Dec-2018.) $)
  rexin $p |- ( E. x e. ( A i^i B ) ph <-> E. x e. A ( x e. B /\ ph ) ) $=
    ( cv wcel wa cin elin anbi1i anass bitri rexbii2 ) ABEZDFZAGZBCDHZCNQFZAGNC
    FZOGZAGSPGRTANCDIJSOAKLM $.

  ${
    $d x A $.  $d x B $.
    $( Alternate definition of subclass relationship.  (Contributed by AV,
       1-Aug-2022.) $)
    dfss7 $p |- ( B C_ A <-> { x e. A | x e. B } = B ) $=
      ( wss cin wceq cv wcel crab df-ss incom dfin5 eqtri eqeq1i bitri ) CBDCBE
      ZCFAGCHABIZCFCBJPQCPBCEQCBKABCLMNO $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The symmetric difference of two classes
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c /_\ $.  $( Symmetric difference $)

  $( Declare the syntax for symmetric difference. $)
  csymdif $a class ( A /_\ B ) $.

  $( Define the symmetric difference of two classes.  Alternate definitions are
     ~ dfsymdif2 , ~ dfsymdif3 and ~ dfsymdif4 .  (Contributed by Scott Fenton,
     31-Mar-2012.) $)
  df-symdif $a |- ( A /_\ B ) = ( ( A \ B ) u. ( B \ A ) ) $.

  $( Symmetric difference commutes.  (Contributed by Scott Fenton,
     24-Apr-2012.) $)
  symdifcom $p |- ( A /_\ B ) = ( B /_\ A ) $=
    ( cdif cun csymdif uncom df-symdif 3eqtr4i ) ABCZBACZDJIDABEBAEIJFABGBAGH
    $.

  $( Equality theorem for symmetric difference.  (Contributed by Scott Fenton,
     24-Apr-2012.) $)
  symdifeq1 $p |- ( A = B -> ( A /_\ C ) = ( B /_\ C ) ) $=
    ( wceq cdif cun csymdif difeq1 difeq2 uneq12d df-symdif 3eqtr4g ) ABDZACEZC
    AEZFBCEZCBEZFACGBCGMNPOQABCHABCIJACKBCKL $.

  $( Equality theorem for symmetric difference.  (Contributed by Scott Fenton,
     24-Apr-2012.) $)
  symdifeq2 $p |- ( A = B -> ( C /_\ A ) = ( C /_\ B ) ) $=
    ( wceq csymdif symdifeq1 symdifcom 3eqtr4g ) ABDACEBCECAECBEABCFCAGCBGH $.

  ${
    nfsymdif.1 $e |- F/_ x A $.
    nfsymdif.2 $e |- F/_ x B $.
    $( Hypothesis builder for symmetric difference.  (Contributed by Scott
       Fenton, 19-Feb-2013.)  (Revised by Mario Carneiro, 11-Dec-2016.) $)
    nfsymdif $p |- F/_ x ( A /_\ B ) $=
      ( csymdif cdif cun df-symdif nfdif nfun nfcxfr ) ABCFBCGZCBGZHBCIAMNABCDE
      JACBEDJKL $.
  $}

  $( Membership in a symmetric difference.  (Contributed by Scott Fenton,
     31-Mar-2012.) $)
  elsymdif $p |- ( A e. ( B /_\ C ) <-> -. ( A e. B <-> A e. C ) ) $=
    ( cdif cun wcel wn wa wo csymdif wb elun eldif orbi12i df-symdif eleq2i xor
    bitri 3bitr4i ) ABCDZCBDZEZFZABFZACFZGHZUEUDGHZIZABCJZFUDUEKGUCATFZAUAFZIUH
    ATUALUJUFUKUGABCMACBMNRUIUBABCOPUDUEQS $.

  ${
    $d x A $.  $d x B $.
    $( Alternate definition of the symmetric difference.  (Contributed by NM,
       17-Aug-2004.)  (Revised by AV, 17-Aug-2022.) $)
    dfsymdif4 $p |- ( A /_\ B ) = { x | -. ( x e. A <-> x e. B ) } $=
      ( cv wcel wb wn csymdif elsymdif abbi2i ) ADZBEKCEFGABCHKBCIJ $.
  $}

  $( Membership in a symmetric difference is an exclusive-or relationship.
     (Contributed by David A. Wheeler, 26-Apr-2020.)  (Proof shortened by BJ,
     13-Aug-2022.) $)
  elsymdifxor $p |- ( A e. ( B /_\ C ) <-> ( A e. B \/_ A e. C ) ) $=
    ( csymdif wcel wb wn wxo elsymdif df-xor bitr4i ) ABCDEABEZACEZFGLMHABCILMJ
    K $.

  ${
    $d x A $.  $d x B $.
    $( Alternate definition of the symmetric difference.  (Contributed by BJ,
       30-Apr-2020.) $)
    dfsymdif2 $p |- ( A /_\ B ) = { x | ( x e. A \/_ x e. B ) } $=
      ( cv wcel wxo csymdif elsymdifxor abbi2i ) ADZBEJCEFABCGJBCHI $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Symmetric difference is associative.  (Contributed by Scott Fenton,
       24-Apr-2012.)  (Proof shortened by BJ, 7-Sep-2022.) $)
    symdifass $p |- ( ( A /_\ B ) /_\ C ) = ( A /_\ ( B /_\ C ) ) $=
      ( vx csymdif cv wcel elsymdifxor biid xorbi12i xorass bicomi 3bitri eqriv
      wxo ) DABEZCEZABCEZEZDFZQGTPGZTCGZOZTAGZTRGZOZTSGZTPCHUCUDTBGZOZUBOUDUHUB
      OZOUFUAUIUBUBTABHUBIJUDUHUBKUDUDUJUEUDIUEUJTBCHLJMUGUFTARHLMN $.
  $}

  $( The symmetric difference contains one of the differences.  (Proposed by
     BJ, 18-Aug-2022.)  (Contributed by AV, 19-Aug-2022.) $)
  difsssymdif $p |- ( A \ B ) C_ ( A /_\ B ) $=
    ( cdif cun csymdif ssun1 df-symdif sseqtrri ) ABCZIBACZDABEIJFABGH $.

  ${
    difsymssdifssd.1 $e |- ( ph -> ( A /_\ B ) C_ C ) $.
    $( If the symmetric difference is contained in ` C ` , so is one of the
       differences.  (Contributed by AV, 17-Aug-2022.) $)
    difsymssdifssd $p |- ( ph -> ( A \ B ) C_ C ) $=
      ( cdif csymdif difsssymdif sstrid ) ABCFBCGDBCHEI $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Combinations of difference, union, and intersection of two classes
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Absorption law for union.  (Contributed by NM, 16-Apr-2006.) $)
  unabs $p |- ( A u. ( A i^i B ) ) = A $=
    ( cin wss cun wceq inss1 ssequn2 mpbi ) ABCZADAJEAFABGJAHI $.

  $( Absorption law for intersection.  (Contributed by NM, 16-Apr-2006.) $)
  inabs $p |- ( A i^i ( A u. B ) ) = A $=
    ( cun wss cin wceq ssun1 df-ss mpbi ) AABCZDAJEAFABGAJHI $.

  $( Negation of subclass expressed in terms of intersection and proper
     subclass.  (Contributed by NM, 30-Jun-2004.)  (Proof shortened by Andrew
     Salmon, 26-Jun-2011.) $)
  nssinpss $p |- ( -. A C_ B <-> ( A i^i B ) C. A ) $=
    ( cin wne wss wa wn wpss inss1 biantrur df-ss necon3bbii df-pss 3bitr4i ) A
    BCZADZOAEZPFABEZGOAHQPABIJROAABKLOAMN $.

  $( Negation of subclass expressed in terms of proper subclass and union.
     (Contributed by NM, 15-Sep-2004.) $)
  nsspssun $p |- ( -. A C_ B <-> B C. ( A u. B ) ) $=
    ( wss wn cun wa wpss ssun2 biantrur ssid biantru unss bitri xchnxbir dfpss3
    bitr4i ) ABCZDBABEZCZRBCZDZFZBRGTUBQSUABAHIQQBBCZFTUCQBJKABBLMNBROP $.

  ${
    $d x A $.  $d x B $.
    $( Subclass defined in terms of class difference.  See comments under
       ~ dfun2 .  (Contributed by NM, 22-Mar-1998.)  (Proof shortened by Andrew
       Salmon, 26-Jun-2011.) $)
    dfss4 $p |- ( A C_ B <-> ( B \ ( B \ A ) ) = A ) $=
      ( vx wss wceq cdif sseqin2 cv wcel wn wa eldif notbii anbi2i wi elin abai
      cin iman bitr4i 3bitri difeqri eqeq1i ) ABDBARZAEBBAFZFZAEABGUFUDACBUEUDC
      HZBIZUGUEIZJZKUHUHUGAIZJKZJZKZUGUDIZUJUMUHUIULUGBALMNUOUHUKKUHUHUKOZKUNUG
      BAPUHUKQUPUMUHUHUKSNUATUBUCT $.

    $( An alternate definition of the union of two classes in terms of class
       difference, requiring no dummy variables.  Along with ~ dfin2 and
       ~ dfss4 it shows we can express union, intersection, and subset directly
       in terms of the single "primitive" operation ` \ ` (class difference).
       (Contributed by NM, 10-Jun-2004.) $)
    dfun2 $p |- ( A u. B ) = ( _V \ ( ( _V \ A ) \ B ) ) $=
      ( vx cvv cdif cv wcel wo wn wa eldif mpbiran anbi1i ioran 3bitr4i con2bii
      vex bitr4i uneqri ) CABDDAEZBEZEZCFZAGZUCBGZHZUCUAGZIZUCUBGZUGUFUCTGZUEIZ
      JUDIZUKJUGUFIUJULUKUJUCDGZULCQZUCDAKLMUCTBKUDUENOPUIUMUHUNUCDUAKLRS $.

    $( An alternate definition of the intersection of two classes in terms of
       class difference, requiring no dummy variables.  See comments under
       ~ dfun2 .  Another version is given by ~ dfin4 .  (Contributed by NM,
       10-Jun-2004.) $)
    dfin2 $p |- ( A i^i B ) = ( A \ ( _V \ B ) ) $=
      ( vx cvv cdif cv wcel wa vex eldif mpbiran con2bii anbi2i bitr4i ineqri
      wn ) CABADBEZEZCFZAGZSBGZHTSQGZPZHSRGUAUCTUBUAUBSDGUAPCISDBJKLMSAQJNO $.

    $( Difference with intersection.  Theorem 33 of [Suppes] p. 29.
       (Contributed by NM, 31-Mar-1998.)  (Proof shortened by Andrew Salmon,
       26-Jun-2011.) $)
    difin $p |- ( A \ ( A i^i B ) ) = ( A \ B ) $=
      ( vx cin cdif cv wcel wi wn pm4.61 anclb elin imbi2i iman 3bitr2i con2bii
      wa eldif 3bitr4i difeqri ) CAABDZABEZCFZAGZUCBGZHZIUDUEIQUDUCUAGZIQZUCUBG
      UDUEJUFUHUFUDUDUEQZHUDUGHUHIUDUEKUGUIUDUCABLMUDUGNOPUCABRST $.
  $}

  $( Implication of a class difference with a subclass.  (Contributed by AV,
     3-Jan-2022.) $)
  ssdifim $p |- ( ( A C_ V /\ B = ( V \ A ) ) -> A = ( V \ B ) ) $=
    ( wss cdif wceq dfss4 eqcom sylbb difeq2 eqcomd sylan9eq ) ACDZBCAEZFZACNEZ
    CBEZMPAFAPFACGPAHIOQPBNCJKL $.

  $( Symmetric class differences for subclasses.  (Contributed by AV,
     3-Jan-2022.) $)
  ssdifsym $p |- ( ( A C_ V /\ B C_ V )
                   -> ( B = ( V \ A ) <-> A = ( V \ B ) ) ) $=
    ( wss wa cdif wceq wi ssdifim ex adantr adantl impbid ) ACDZBCDZEBCAFGZACBF
    GZNPQHONPQABCIJKOQPHNOQPBACIJLM $.

  ${
    $d A x $.  $d B x y $.
    $( Alternate definition of subclass relationship: a class ` A ` is a
       subclass of another class ` B ` iff each element of ` A ` is equal to an
       element of ` B ` .  (Contributed by AV, 13-Nov-2020.) $)
    dfss5 $p |- ( A C_ B <-> A. x e. A E. y e. B x = y ) $=
      ( wss cv wcel wral weq wrex dfss3 clel5 ralbii bitri ) CDEAFZDGZACHABIBDJ
      ZACHACDKPQACBDOLMN $.
  $}

  $( Union defined in terms of intersection (De Morgan's law).  Definition of
     union in [Mendelson] p. 231.  (Contributed by NM, 8-Jan-2002.) $)
  dfun3 $p |- ( A u. B ) = ( _V \ ( ( _V \ A ) i^i ( _V \ B ) ) ) $=
    ( cun cvv cdif cin dfun2 dfin2 ddif difeq2i eqtr2i eqtri ) ABCDDAEZBEZEDMDB
    EZFZEABGNPDPMDOEZENMOHQBMBIJKJL $.

  $( Intersection defined in terms of union (De Morgan's law).  Similar to
     Exercise 4.10(n) of [Mendelson] p. 231.  (Contributed by NM,
     8-Jan-2002.) $)
  dfin3 $p |- ( A i^i B ) = ( _V \ ( ( _V \ A ) u. ( _V \ B ) ) ) $=
    ( cvv cdif cun cin ddif dfun2 difeq1i difeq2i eqtri dfin2 3eqtr4ri ) CCACBD
    ZDZDZDOCCADZNEZDABFOGRPCRCCQDZNDZDPQNHTOCSANAGIJKJABLM $.

  $( Alternate definition of the intersection of two classes.  Exercise 4.10(q)
     of [Mendelson] p. 231.  (Contributed by NM, 25-Nov-2003.) $)
  dfin4 $p |- ( A i^i B ) = ( A \ ( A \ B ) ) $=
    ( cin cdif wss wceq inss1 dfss4 mpbi difin difeq2i eqtr3i ) AAABCZDZDZMAABD
    ZDMAEOMFABGMAHINPAABJKL $.

  $( Intersection with universal complement.  Remark in [Stoll] p. 20.
     (Contributed by NM, 17-Aug-2004.) $)
  invdif $p |- ( A i^i ( _V \ B ) ) = ( A \ B ) $=
    ( cvv cdif cin dfin2 ddif difeq2i eqtri ) ACBDZEACJDZDABDAJFKBABGHI $.

  $( Intersection with class difference.  Theorem 34 of [Suppes] p. 29.
     (Contributed by NM, 17-Aug-2004.) $)
  indif $p |- ( A i^i ( A \ B ) ) = ( A \ B ) $=
    ( cdif cin dfin4 difeq2i difin 3eqtr2i ) AABCZDAAICZCAABDZCIAIEKJAABEFABGH
    $.

  $( Bring an intersection in and out of a class difference.  (Contributed by
     Jeff Hankins, 15-Jul-2009.) $)
  indif2 $p |- ( A i^i ( B \ C ) ) = ( ( A i^i B ) \ C ) $=
    ( cin cvv cdif inass invdif ineq2i 3eqtr3ri ) ABDZECFZDABLDZDKCFABCFZDABLGK
    CHMNABCHIJ $.

  $( Bring an intersection in and out of a class difference.  (Contributed by
     Mario Carneiro, 15-May-2015.) $)
  indif1 $p |- ( ( A \ C ) i^i B ) = ( ( A i^i B ) \ C ) $=
    ( cdif cin indif2 incom difeq1i 3eqtr3i ) BACDZEBAEZCDJBEABEZCDBACFBJGKLCBA
    GHI $.

  $( Commutation law for intersection and difference.  (Contributed by Scott
     Fenton, 18-Feb-2013.) $)
  indifcom $p |- ( A i^i ( B \ C ) ) = ( B i^i ( A \ C ) ) $=
    ( cin cdif incom difeq1i indif2 3eqtr4i ) ABDZCEBADZCEABCEDBACEDJKCABFGABCH
    BACHI $.

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Distributive law for intersection over union.  Exercise 10 of
       [TakeutiZaring] p. 17.  (Contributed by NM, 30-Sep-2002.)  (Proof
       shortened by Andrew Salmon, 26-Jun-2011.) $)
    indi $p |- ( A i^i ( B u. C ) ) = ( ( A i^i B ) u. ( A i^i C ) ) $=
      ( vx cun cin cv wcel wo wa andi elin orbi12i bitr4i anbi2i 3bitr4i ineqri
      elun ) DABCEZABFZACFZEZDGZAHZUCBHZUCCHZIZJZUCTHZUCUAHZIZUDUCSHZJUCUBHUHUD
      UEJZUDUFJZIUKUDUEUFKUIUMUJUNUCABLUCACLMNULUGUDUCBCROUCTUARPQ $.

    $( Distributive law for union over intersection.  Exercise 11 of
       [TakeutiZaring] p. 17.  (Contributed by NM, 30-Sep-2002.)  (Proof
       shortened by Andrew Salmon, 26-Jun-2011.) $)
    undi $p |- ( A u. ( B i^i C ) ) = ( ( A u. B ) i^i ( A u. C ) ) $=
      ( vx cin cv wcel wo wa elin orbi2i ordi elun anbi12i bitr2i 3bitri uneqri
      cun ) DABCEZABRZACRZEZDFZAGZUCSGZHUDUCBGZUCCGZIZHUDUFHZUDUGHZIZUCUBGZUEUH
      UDUCBCJKUDUFUGLULUCTGZUCUAGZIUKUCTUAJUMUIUNUJUCABMUCACMNOPQ $.
  $}

  $( Distributive law for intersection over union.  Theorem 28 of [Suppes]
     p. 27.  (Contributed by NM, 30-Sep-2002.) $)
  indir $p |- ( ( A u. B ) i^i C ) = ( ( A i^i C ) u. ( B i^i C ) ) $=
    ( cun cin indi incom uneq12i 3eqtr4i ) CABDZECAEZCBEZDJCEACEZBCEZDCABFJCGMK
    NLACGBCGHI $.

  $( Distributive law for union over intersection.  Theorem 29 of [Suppes]
     p. 27.  (Contributed by NM, 30-Sep-2002.) $)
  undir $p |- ( ( A i^i B ) u. C ) = ( ( A u. C ) i^i ( B u. C ) ) $=
    ( cin cun undi uncom ineq12i 3eqtr4i ) CABDZECAEZCBEZDJCEACEZBCEZDCABFJCGMK
    NLACGBCGHI $.

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Infer equality from equalities of union and intersection.  Exercise 20
       of [Enderton] p. 32 and its converse.  (Contributed by NM,
       10-Aug-2004.) $)
    unineq $p |- ( ( ( A u. C ) = ( B u. C ) /\ ( A i^i C ) = ( B i^i C ) )
                 <-> A = B ) $=
      ( vx cun wceq cin wa wcel wb eleq2 elin 3bitr3g iba bibi12d syl5ibr uncom
      wo elun biorf cv wi adantld eqeq12i sylbi adantrd pm2.61i eqrdv uneq1 jca
      wn ineq1 impbii ) ACEZBCEZFZACGZBCGZFZHZABFZUTDABDUAZCIZUTVBAIZVBBIZJZUBV
      CUSVFUPUSVFVCVDVCHZVEVCHZJUSVBUQIVBURIVGVHUQURVBKVBACLVBBCLMVCVDVGVEVHVCV
      DNVCVENOPUCVCUKZUPVFUSUPVFVIVCVDRZVCVERZJUPVBCAEZIZVBCBEZIZVJVKUPVLVNFVMV
      OJUNVLUOVNACQBCQUDVLVNVBKUEVBCASVBCBSMVIVDVJVEVKVCVDTVCVETOPUFUGUHVAUPUSA
      BCUIABCULUJUM $.
  $}

  $( Equality of union and intersection implies equality of their arguments.
     (Contributed by NM, 16-Apr-2006.)  (Proof shortened by Andrew Salmon,
     26-Jun-2011.) $)
  uneqin $p |- ( ( A u. B ) = ( A i^i B ) <-> A = B ) $=
    ( cun cin wceq wss wa eqimss unss ssin sstr sylbir simpl anim12i syl sylibr
    eqss unidm inidm eqtr4i uneq2 ineq2 3eqtr3a impbii ) ABCZABDZEZABEZUGABFZBA
    FZGZUHUGUEUFFZUKUEUFHULAUFFZBUFFZGUKABUFIUMUIUNUJUMAAFUIGUIAABJAABKLUNUJBBF
    ZGUJBABJUJUOMLNLOABQPUHAACZAADZUEUFUPAUQARASTABAUAABAUBUCUD $.

  $( Distributive law for class difference.  Theorem 39 of [Suppes] p. 29.
     (Contributed by NM, 17-Aug-2004.) $)
  difundi $p |- ( A \ ( B u. C ) ) = ( ( A \ B ) i^i ( A \ C ) ) $=
    ( cun cdif cvv cin dfun3 difeq2i inindi dfin2 invdif ineq12i 3eqtr3i eqtri
    ) ABCDZEAFFBEZFCEZGZEZEZABEZACEZGZPTABCHIASGAQGZARGZGUAUDAQRJASKUEUBUFUCABL
    ACLMNO $.

  $( Distributive law for class difference.  (Contributed by NM,
     17-Aug-2004.) $)
  difundir $p |- ( ( A u. B ) \ C ) = ( ( A \ C ) u. ( B \ C ) ) $=
    ( cun cvv cdif cin indir invdif uneq12i 3eqtr3i ) ABDZECFZGAMGZBMGZDLCFACFZ
    BCFZDABMHLCINPOQACIBCIJK $.

  $( Distributive law for class difference.  Theorem 40 of [Suppes] p. 29.
     (Contributed by NM, 17-Aug-2004.) $)
  difindi $p |- ( A \ ( B i^i C ) ) = ( ( A \ B ) u. ( A \ C ) ) $=
    ( cin cdif cvv cun dfin3 difeq2i indi dfin2 invdif uneq12i 3eqtr3i eqtri )
    ABCDZEAFFBEZFCEZGZEZEZABEZACEZGZPTABCHIASDAQDZARDZGUAUDAQRJASKUEUBUFUCABLAC
    LMNO $.

  $( Distributive law for class difference.  (Contributed by NM,
     17-Aug-2004.) $)
  difindir $p |- ( ( A i^i B ) \ C ) = ( ( A \ C ) i^i ( B \ C ) ) $=
    ( cin cvv cdif inindir invdif ineq12i 3eqtr3i ) ABDZECFZDALDZBLDZDKCFACFZBC
    FZDABLGKCHMONPACHBCHIJ $.

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Distribute intersection over difference.  (Contributed by BTernaryTau,
       14-Aug-2024.) $)
    indifdi $p |- ( A i^i ( B \ C ) ) = ( ( A i^i B ) \ ( A i^i C ) ) $=
      ( vx cdif cin cv wcel wa wn elin eldif anbi2i wi abai an12 imnan xchbinxr
      bicomi anbi12i an21 3bitr2i 3bitr4i 3bitri eqriv ) DABCEZFZABFZACFZEZDGZU
      GHUKAHZUKUFHZIULUKBHZUKCHZJZIZIZUKUJHZUKAUFKUMUQULUKBCLMUNULUPIZIUNULULUP
      NZIZIZURUSUTVBUNULUPOMULUNUPPUSUKUHHZUKUIHZJZIULUNIZVAIVCUKUHUILVGVDVAVFV
      DVGUKABKSVAULUOIVEULUOQUKACKRTULUNVAUAUBUCUDUE $.
  $}

  $( Distribute intersection over difference.  (Contributed by Scott Fenton,
     14-Apr-2011.)  (Revised by BTernaryTau, 14-Aug-2024.) $)
  indifdir $p |- ( ( A \ B ) i^i C ) = ( ( A i^i C ) \ ( B i^i C ) ) $=
    ( cdif cin indifdi incom difeq12i 3eqtr4i ) CABDZECAEZCBEZDJCEACEZBCEZDCABF
    JCGMKNLACGBCGHI $.

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Obsolete version of ~ indifdir as of 14-Aug-2024.  (Contributed by Scott
       Fenton, 14-Apr-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    indifdirOLD $p |- ( ( A \ B ) i^i C ) = ( ( A i^i C ) \ ( B i^i C ) ) $=
      ( vx cdif cin cv wcel wn wa pm3.24 intnan anass mtbir biorfi 3bitr4i elin
      wo eldif bitri an32 andi ianor anbi2i bitr4i anbi1i notbii anbi12i eqriv
      ) DABEZCFZACFZBCFZEZDGZAHZUOBHZIZJZUOCHZJZUPUTJZUQUTJZIZJZUOUKHZUOUNHZVAV
      BURUTIZRZJZVEVBURJZVKVBVHJZRVAVJVLVKVLUPUTVHJZJVMUPUTKLUPUTVHMNOUPURUTUAV
      BURVHUBPVDVIVBUQUTUCUDUEVFUOUJHZUTJVAUOUJCQVNUSUTUOABSUFTVGUOULHZUOUMHZIZ
      JVEUOULUMSVOVBVQVDUOACQVPVCUOBCQUGUHTPUI $.
  $}

  $( Class difference by a class difference.  (Contributed by Thierry Arnoux,
     18-Dec-2017.) $)
  difdif2 $p |- ( A \ ( B \ C ) ) = ( ( A \ B ) u. ( A i^i C ) ) $=
    ( cvv cdif cin cun difindi invdif eqcomi difeq2i dfin2 uneq2i 3eqtr4i ) ABD
    CEZFZEABEZAOEZGABCEZEQACFZGABOHSPAPSBCIJKTRQACLMN $.

  $( De Morgan's law for union.  Theorem 5.2(13) of [Stoll] p. 19.
     (Contributed by NM, 18-Aug-2004.) $)
  undm $p |- ( _V \ ( A u. B ) ) = ( ( _V \ A ) i^i ( _V \ B ) ) $=
    ( cvv difundi ) CABD $.

  $( De Morgan's law for intersection.  Theorem 5.2(13') of [Stoll] p. 19.
     (Contributed by NM, 18-Aug-2004.) $)
  indm $p |- ( _V \ ( A i^i B ) ) = ( ( _V \ A ) u. ( _V \ B ) ) $=
    ( cvv difindi ) CABD $.

  $( A relationship involving double difference and union.  (Contributed by NM,
     29-Aug-2004.) $)
  difun1 $p |- ( A \ ( B u. C ) ) = ( ( A \ B ) \ C ) $=
    ( cvv cdif cin cun inass invdif eqtr3i undm ineq2i difeq1i ) ADBEZFZCEZABCG
    ZEZABEZCEANDCEZFZFZPROTFUBPANTHOCIJADQEZFUBRUCUAABCKLAQIJJOSCABIMJ $.

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( An equality involving class union and class difference.  The first
       equality of Exercise 13 of [TakeutiZaring] p. 22.  (Contributed by Alan
       Sare, 17-Apr-2012.)  (Proof shortened by JJ, 13-Jul-2021.) $)
    undif3 $p |- ( A u. ( B \ C ) ) = ( ( A u. B ) \ ( C \ A ) ) $=
      ( vx cdif cv wcel wn wa wo elun pm4.53 eldif xchnxbir anbi12i orbi2i ordi
      cun orcom anbi2i bitri 3bitri 3bitr4ri eqriv ) DABCEZRZABRZCAEZEZDFZUGGZU
      JUHGZHZIUJAGZUJBGZJZUJCGZHZUNJZIZUJUIGUJUFGZUKUPUMUSUJABKUQUNHIUSULUQUNLU
      JCAMNOUJUGUHMVAUNUJUEGZJUNUOURIZJZUTUJAUEKVBVCUNUJBCMPVDUPUNURJZIUTUNUOUR
      QVEUSUPUNURSTUAUBUCUD $.

    $( Represent a class difference as an intersection with a larger
       difference.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    difin2 $p |- ( A C_ C -> ( A \ B ) = ( ( C \ B ) i^i A ) ) $=
      ( vx wss cdif cin cv wcel wn ssel pm4.71d anbi1d eldif anbi1i ancom anass
      wa elin bitr4i 3bitri 3bitr4g eqrdv ) ACEZDABFZCBFZAGZUDDHZAIZUHBIJZRUIUH
      CIZRZUJRZUHUEIUHUGIZUDUIULUJUDUIUKACUHKLMUHABNUNUHUFIZUIRUKUJRZUIRZUMUHUF
      ASUOUPUIUHCBNOUQUIUPRUMUPUIPUIUKUJQTUAUBUC $.
  $}

  $( Swap second and third argument of double difference.  (Contributed by NM,
     18-Aug-2004.) $)
  dif32 $p |- ( ( A \ B ) \ C ) = ( ( A \ C ) \ B ) $=
    ( cun cdif uncom difeq2i difun1 3eqtr3i ) ABCDZEACBDZEABECEACEBEJKABCFGABCH
    ACBHI $.

  $( Absorption-like law for class difference: you can remove a class only
     once.  (Contributed by FL, 2-Aug-2009.) $)
  difabs $p |- ( ( A \ B ) \ B ) = ( A \ B ) $=
    ( cun cdif difun1 unidm difeq2i eqtr3i ) ABBCZDABDZBDJABBEIBABFGH $.

  $( Relative complementation reverses inclusion of subclasses.  Relativized
     version of ~ complss .  (Contributed by RP, 3-Jun-2021.) $)
  sscon34b $p |- ( ( A C_ C /\ B C_ C ) -> ( A C_ B
                                         <-> ( C \ B ) C_ ( C \ A ) ) ) $=
    ( wss wa cdif sscon wceq dfss4 biimpi adantr adantl sseq12d syl5ib impbid2
    ) ACDZBCDZEZABDZCBFZCAFZDZABCGUBCUAFZCTFZDRSTUACGRUCAUDBPUCAHZQPUEACIJKQUDB
    HZPQUFBCIJLMNO $.

  $( Two subclasses are equal if and only if their relative complements are
     equal.  Relativized version of ~ compleq .  (Contributed by RP,
     10-Jun-2021.) $)
  rcompleq $p |- ( ( A C_ C /\ B C_ C ) -> ( A = B
                                         <-> ( C \ A ) = ( C \ B ) ) ) $=
    ( wss wa cdif wceq ancom wb sscon34b ancoms anbi12d syl5bb eqss 3bitr4g ) A
    CDZBCDZEZABDZBADZEZCAFZCBFZDZUCUBDZEZABGUBUCGUATSERUFSTHRTUDSUEQPTUDIBACJKA
    BCJLMABNUBUCNO $.

  $( Alternate definition of the symmetric difference, given in Example 4.1 of
     [Stoll] p. 262 (the original definition corresponds to [Stoll] p. 13).
     (Contributed by NM, 17-Aug-2004.)  (Revised by BJ, 30-Apr-2020.) $)
  dfsymdif3 $p |- ( A /_\ B ) = ( ( A u. B ) \ ( A i^i B ) ) $=
    ( cin cdif cun csymdif difin incom difeq2i eqtri uneq12i difundir df-symdif
    3eqtr4ri ) AABCZDZBODZEABDZBADZEABEODABFPRQSABGQBBACZDSOTBABHIBAGJKABOLABMN
    $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Class abstractions with difference, union, and intersection of two classes
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y $.  $d ph y $.  $d ps y $.  $d ch x $.  $d th x $.
    unabw.1 $e |- ( x = y -> ( ph <-> ch ) ) $.
    unabw.2 $e |- ( x = y -> ( ps <-> th ) ) $.
    $( Union of two class abstractions.  Version of ~ unab using implicit
       substitution, which does not require ~ ax-8 , ~ ax-10 , ~ ax-12 .
       (Contributed by Gino Giotto, 15-Oct-2024.) $)
    unabw $p |- ( { x | ph } u. { x | ps } ) = { y | ( ch \/ th ) } $=
      ( cab cun cv wcel wo df-un wsb df-clab sbievw bitri orbi12i abbii eqtri )
      AEIZBEIZJFKZUBLZUDUCLZMZFICDMZFIFUBUCNUGUHFUECUFDUEAEFOCAFEPACEFGQRUFBEFO
      DBFEPBDEFHQRSTUA $.
    $( $j usage 'unabw' avoids 'df-clel' 'ax-8' 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x y $.  $d ph y $.  $d ps y $.
    $( Union of two class abstractions.  (Contributed by NM, 29-Sep-2002.)
       (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
    unab $p |- ( { x | ph } u. { x | ps } ) = { x | ( ph \/ ps ) } $=
      ( vy cab wo wsb cv wcel sbor df-clab orbi12i 3bitr4ri uneqri ) DACEZBCEZA
      BFZCEZQCDGACDGZBCDGZFDHZRIUAOIZUAPIZFABCDJQDCKUBSUCTADCKBDCKLMN $.

    $( Intersection of two class abstractions.  (Contributed by NM,
       29-Sep-2002.)  (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
    inab $p |- ( { x | ph } i^i { x | ps } ) = { x | ( ph /\ ps ) } $=
      ( vy cab wa wsb cv wcel sban df-clab anbi12i 3bitr4ri ineqri ) DACEZBCEZA
      BFZCEZQCDGACDGZBCDGZFDHZRIUAOIZUAPIZFABCDJQDCKUBSUCTADCKBDCKLMN $.

    $( Difference of two class abstractions.  (Contributed by NM, 23-Oct-2004.)
       (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
    difab $p |- ( { x | ph } \ { x | ps } ) = { x | ( ph /\ -. ps ) } $=
      ( vy cab wn wcel wsb df-clab sban bicomi xchbinxr anbi12i 3bitrri difeqri
      wa cv sbn ) DACEZBCEZABFZPZCEZDQZUCGUBCDHACDHZUACDHZPUDSGZUDTGZFZPUBDCIAU
      ACDJUEUGUFUIUGUEADCIKUFBCDHUHBCDRBDCILMNO $.
  $}

  ${
    $( A class abstraction with a conjunction is a subset of the class
       abstraction with the left conjunct only.  (Contributed by AV,
       7-Aug-2024.)  (Proof shortened by SN, 22-Aug-2024.) $)
    abanssl $p |- { f | ( ph /\ ps ) } C_ { f | ph } $=
      ( wa simpl ss2abi ) ABDACABEF $.

    $( A class abstraction with a conjunction is a subset of the class
       abstraction with the right conjunct only.  (Contributed by AV,
       7-Aug-2024.)  (Proof shortened by SN, 22-Aug-2024.) $)
    abanssr $p |- { f | ( ph /\ ps ) } C_ { f | ps } $=
      ( wa simpr ss2abi ) ABDBCABEF $.
  $}

  ${
    $d x y $.  $d y ph $.  $d x ps $.
    notabw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( A class abstraction defined by a negation.  Version of ~ notab using
       implicit substitution, which does not require ~ ax-10 , ~ ax-12 .
       (Contributed by Gino Giotto, 15-Oct-2024.) $)
    notabw $p |- { x | -. ph } = ( _V \ { y | ps } ) $=
      ( wn cab cv cvv wcel wa cdif vex biantrur wsb df-clab weq bicomd equcoms
      wb sbievw bitri xchnxbi abbii df-dif eqtr4i ) AFZCGCHZIJZUHBDGZJZFZKZCGIU
      JLUGUMCUKUMAUIULCMNUKBDCOABCDPBADCBATCDCDQABERSUAUBUCUDCIUJUEUF $.
    $( $j usage 'notabw' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  $( A class abstraction defined by a negation.  (Contributed by FL,
     18-Sep-2010.) $)
  notab $p |- { x | -. ph } = ( _V \ { x | ph } ) $=
    ( cv cvv wcel wn wa cab cdif crab df-rab rabab eqtr3i difab abid2 difeq1i )
    BCDEZAFZGBHZRBHZDABHZIZRBDJSTRBDKRBLMQBHZUAISUBQABNUCDUABDOPMM $.

  $( Union of two restricted class abstractions.  (Contributed by NM,
     25-Mar-2004.) $)
  unrab $p |- ( { x e. A | ph } u. { x e. A | ps } ) =
              { x e. A | ( ph \/ ps ) } $=
    ( crab cun cv wcel wa cab wo df-rab uneq12i unab andi abbii eqtr4i ) ACDEZB
    CDEZFCGDHZAIZCJZTBIZCJZFZABKZCDEZRUBSUDACDLBCDLMUGTUFIZCJZUEUFCDLUEUAUCKZCJ
    UIUAUCCNUHUJCTABOPQQQ $.

  $( Intersection of two restricted class abstractions.  (Contributed by NM,
     1-Sep-2006.) $)
  inrab $p |- ( { x e. A | ph } i^i { x e. A | ps } ) =
              { x e. A | ( ph /\ ps ) } $=
    ( crab cin cv wcel wa cab df-rab ineq12i inab anandi abbii eqtr4i ) ACDEZBC
    DEZFCGDHZAIZCJZSBIZCJZFZABIZCDEZQUARUCACDKBCDKLUFSUEIZCJZUDUECDKUDTUBIZCJUH
    TUBCMUGUICSABNOPPP $.

  ${
    $d x B $.
    $( Intersection with a restricted class abstraction.  (Contributed by NM,
       19-Nov-2007.) $)
    inrab2 $p |- ( { x e. A | ph } i^i B ) = { x e. ( A i^i B ) | ph } $=
      ( crab cin cv wcel wa cab df-rab abid1 ineq12i inab elin an32 bitri abbii
      anbi1i eqtr4i ) ABCEZDFBGZCHZAIZBJZUBDHZBJZFZABCDFZEZUAUEDUGABCKBDLMUJUBU
      IHZAIZBJZUHABUIKUHUDUFIZBJUMUDUFBNULUNBULUCUFIZAIUNUKUOAUBCDOSUCUFAPQRTTT
      $.
  $}

  $( Difference of two restricted class abstractions.  (Contributed by NM,
     23-Oct-2004.) $)
  difrab $p |- ( { x e. A | ph } \ { x e. A | ps } ) =
              { x e. A | ( ph /\ -. ps ) } $=
    ( crab cdif cv wcel wa wn df-rab difeq12i difab anass simpr con3i anim2i wi
    cab eqtr4i pm3.2 adantr con3d imdistani impbii bitr3i abbii ) ACDEZBCDEZFCG
    DHZAIZCSZUJBIZCSZFZABJZIZCDEZUHULUIUNACDKBCDKLURUJUQIZCSZUOUQCDKUOUKUMJZIZC
    SUTUKUMCMUSVBCUSUKUPIZVBUJAUPNVCVBUPVAUKUMBUJBOPQUKVAUPUKBUMUJBUMRAUJBUAUBU
    CUDUEUFUGTTT $.

  ${
    $d x A $.  $d x B $.
    $( Alternate definition of restricted class abstraction.  (Contributed by
       Mario Carneiro, 8-Sep-2013.) $)
    dfrab3 $p |- { x e. A | ph } = ( A i^i { x | ph } ) $=
      ( crab cv wcel wa cab cin df-rab inab abid2 ineq1i 3eqtr2i ) ABCDBECFZAGB
      HOBHZABHZICQIABCJOABKPCQBCLMN $.

    $( Alternate definition of restricted class abstraction.  (Contributed by
       NM, 20-Sep-2003.)  (Proof shortened by BJ, 22-Apr-2019.) $)
    dfrab2 $p |- { x e. A | ph } = ( { x | ph } i^i A ) $=
      ( crab cab cin dfrab3 incom eqtri ) ABCDCABEZFJCFABCGCJHI $.

    $( Complementation of restricted class abstractions.  (Contributed by Mario
       Carneiro, 3-Sep-2015.) $)
    notrab $p |- ( A \ { x e. A | ph } ) = { x e. A | -. ph } $=
      ( cv wcel cab cdif wn crab difab cin difin dfrab3 difeq2i difeq1i 3eqtr4i
      wa abid2 df-rab ) BDCEZBFZABFZGZTAHZQBFCABCIZGZUDBCITABJCCUBKZGCUBGUFUCCU
      BLUEUGCABCMNUACUBBCROPUDBCSP $.

    $( Restricted class abstraction with a common superset.  (Contributed by
       Stefan O'Rear, 12-Sep-2015.)  (Proof shortened by Mario Carneiro,
       8-Nov-2015.) $)
    dfrab3ss $p |- ( A C_ B -> { x e. A | ph } = ( A i^i { x e. B | ph } ) ) $=
      ( wss cab crab wceq df-ss ineq1 eqcomd sylbi dfrab3 ineq2i eqtr4i 3eqtr4g
      cin inass ) CDEZCABFZQZCDQZTQZABCGCABDGZQZSUBCHZUAUCHCDIUFUCUAUBCTJKLABCM
      UECDTQZQUCUDUGCABDMNCDTROP $.
  $}

  $( Abstraction restricted to a union.  (Contributed by Stefan O'Rear,
     5-Feb-2015.) $)
  rabun2 $p |- { x e. ( A u. B ) | ph } =
      ( { x e. A | ph } u. { x e. B | ph } ) $=
    ( cun crab cv wcel wa cab df-rab uneq12i elun anbi1i andir bitri abbii unab
    wo eqtr4i ) ABCDEZFBGZUAHZAIZBJZABCFZABDFZEZABUAKUHUBCHZAIZBJZUBDHZAIZBJZEZ
    UEUFUKUGUNABCKABDKLUEUJUMSZBJUOUDUPBUDUIULSZAIUPUCUQAUBCDMNUIULAOPQUJUMBRTT
    T $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Restricted uniqueness with difference, union, and intersection
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Transfer uniqueness to a smaller or larger class.  (Contributed by NM,
     21-Oct-2005.) $)
  reuun2 $p |- ( -. E. x e. B ph ->
           ( E! x e. ( A u. B ) ph <-> E! x e. A ph ) ) $=
    ( wrex wn cv wcel wa wo weu cun wreu wex df-rex euor2 sylnbi df-reu bitri
    wb elun anbi1i andir orcom eubii 3bitr4g ) ABDEZFBGZDHZAIZUHCHZAIZJZBKZULBK
    ZABCDLZMZABCMUGUJBNUNUOTABDOUJULBPQUQUHUPHZAIZBKUNABUPRUSUMBUSUKUIJZAIZUMUR
    UTAUHCDUAUBVAULUJJUMUKUIAUCULUJUDSSUESABCRUF $.

  ${
    $d x A $.  $d x B $.
    $( Transfer uniqueness to a smaller subclass.  (Contributed by NM,
       20-Oct-2005.) $)
    reuss2 $p |- ( ( ( A C_ B /\ A. x e. A ( ph -> ps ) ) /\
                 ( E. x e. A ph /\ E! x e. B ps ) ) -> E! x e. A ph ) $=
      ( wrex wreu wa wss wi wral wcel wex weu df-rex df-reu anbi12i wal sylan2b
      cv wmo df-ral ssel pm3.2 imim2d syl6 a2d imp4a alimdv imp euimmo simplbi2
      syl df-eu syl9 imp32 sylibr ) ACDFZBCEGZHDEIZABJZCDKZHZCTZDLZAHZCMZVDELZB
      HZCNZHZACDGZURVGUSVJACDOBCEPQVCVKHVFCNZVLVCVGVJVMVCVJVFCUAZVGVMVCVFVIJZCR
      ZVJVNJVBUTVEVAJZCRZVPVACDUBUTVRVPUTVQVOCUTVQVEAVIUTVEVAAVIJZUTVEVHVAVSJDE
      VDUCVHBVIAVHBUDUEUFUGUHUIUJSVFVICUKUMVMVGVNVFCUNULUOUPACDPUQS $.

    $( Transfer uniqueness to a smaller subclass.  (Contributed by NM,
       21-Aug-1999.) $)
    reuss $p |- ( ( A C_ B /\ E. x e. A ph /\ E! x e. B ph ) ->
                E! x e. A ph ) $=
      ( wss wrex wreu wi wral wa id rgenw reuss2 mpanl2 3impb ) CDEZABCFZABDGZA
      BCGZPAAHZBCIQRJSTBCAKLAABCDMNO $.

    $( Transfer uniqueness to a smaller class.  (Contributed by NM,
       21-Oct-2005.) $)
    reuun1 $p |- ( ( E. x e. A ph /\ E! x e. ( A u. B ) ( ph \/ ps ) )
                 -> E! x e. A ph ) $=
      ( cun wss wo wi wral wrex wreu wa ssun1 orc rgenw reuss2 mpanl12 ) DDEFZG
      AABHZIZCDJACDKTCSLMACDLDENUACDABOPATCDSQR $.

    $( Restricted uniqueness "picks" a member of a subclass.  (Contributed by
       NM, 21-Aug-1999.) $)
    reupick $p |- ( ( ( A C_ B /\ ( E. x e. A ph /\ E! x e. B ph ) ) /\ ph ) ->
                  ( x e. A <-> x e. B ) ) $=
      ( wss wrex wreu wa cv wcel wi ssel ad2antrr wex weu df-rex df-reu anbi12i
      ancrd anim1d an32 syl6ib eximdv eupick ex com23 imp32 sylan2b expcomd imp
      syl9 impbid ) CDEZABCFZABDGZHZHZAHBIZCJZURDJZUMUSUTKUPACDURLZMUQAUTUSKUQU
      TAUSUPUMUSAHZBNZUTAHZBOZHVDUSKZUNVCUOVEABCPABDQRUMVCVEVFUMVEVCVFUMVCVDUSH
      ZBNZVEVFUMVBVGBUMVBUTUSHZAHVGUMUSVIAUMUSUTVASTUTUSAUAUBUCVEVHVFVDUSBUDUEU
      KUFUGUHUIUJUL $.

    $( Restricted uniqueness "picks" a member of a subclass.  (Contributed by
       Mario Carneiro, 19-Nov-2016.) $)
    reupick3 $p |- ( ( E! x e. A ph /\ E. x e. A ( ph /\ ps ) /\ x e. A ) ->
       ( ph -> ps ) ) $=
      ( wreu wa wrex cv wcel wi weu wex df-reu df-rex anass exbii bitr4i eupick
      syl2anb expd 3impia ) ACDEZABFZCDGZCHDIZABJUBUDFUEABUBUEAFZCKUFBFZCLZUFBJ
      UDACDMUDUEUCFZCLUHUCCDNUGUICUEABOPQUFBCRSTUA $.

    $( Restricted uniqueness "picks" a member of a subclass.  (Contributed by
       Mario Carneiro, 15-Dec-2013.)  (Proof shortened by Mario Carneiro,
       19-Nov-2016.) $)
    reupick2 $p |- ( ( ( A. x e. A ( ps -> ph ) /\ E. x e. A ps /\
                       E! x e. A ph ) /\ x e. A ) -> ( ph <-> ps ) ) $=
      ( wi wral wrex wreu w3a cv wcel ancr ralimi rexim syl reupick3 3exp com12
      wa syl6 3imp1 rsp 3ad2ant1 imp impbid ) BAEZCDFZBCDGZACDHZIZCJDKZSABUGUHU
      IUKABEZUGUHABSZCDGZUIUKULEZEUGBUMEZCDFUHUNEUFUPCDBALMBUMCDNOUIUNUOUIUNUKU
      LABCDPQRTUAUJUKUFUGUHUKUFEUIUFCDUBUCUDUE $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Transfer uniqueness of an element to a smaller subclass.  (Contributed
       by AV, 14-Apr-2020.) $)
    euelss $p |- ( ( A C_ B /\ E. x x e. A /\ E! x x e. B ) -> E! x x e. A ) $=
      ( wss cv wcel wex weu w3a wtru wa wreu id ancom truan bitri sylbbr df-reu
      wrex eubii df-rex exbii reuss syl3an sylib bitr3i sylibr ) BCDZAEZBFZAGZU
      ICFZAHZIZUJJKZAHZUJAHUNJABLZUPUHUHUKJABSZUMJACLZUQUHMURUOAGUKJABUAUOUJAUO
      JUJKZUJUJJNUJOZPUBQUSULJKZAHUMJACRVBULAVBJULKULULJNULOPTQJABCUCUDJABRUEUJ
      UOAUJUTUOVAJUJNUFTUG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The empty set
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare the symbol for the empty set or null set. $)
  $c (/) $.  $( empty set $)

  $( Extend class notation to include the empty set. $)
  c0 $a class (/) $.

  $( Define the empty set.  More precisely, we should write "empty class".  It
     will be posited in ~ ax-nul that an empty set exists.  Then, by uniqueness
     among classes ( ~ eq0 , as opposed to the weaker uniqueness among sets,
     ~ nulmo ), it will follow that ` (/) ` is indeed a set ( ~ 0ex ).  Special
     case of Exercise 4.10(o) of [Mendelson] p. 231.  For a more traditional
     definition, but requiring a dummy variable, see ~ dfnul2 .  (Contributed
     by NM, 17-Jun-1993.)  Clarify that at this point, it is not established
     that it is a set.  (Revised by BJ, 22-Sep-2022.) $)
  df-nul $a |- (/) = ( _V \ _V ) $.

  $( Alternate definition of the empty class/set.  (Contributed by BJ,
     30-Nov-2019.)  Avoid ~ ax-8 , ~ df-clel .  (Revised by Gino Giotto,
     3-Sep-2024.)  Prove directly from definition to allow shortening
     ~ dfnul2 .  (Revised by BJ, 23-Sep-2024.) $)
  dfnul4 $p |- (/) = { x | F. } $=
    ( c0 cvv cdif cv wcel wn cab wfal df-nul df-dif pm3.24 bifal abbii 3eqtri
    wa ) BCCDAECFZQGPZAHIAHJACCKRIARQLMNO $.
  $( $j usage 'dfnul4' avoids 'df-clel' 'ax-8'; $)

  $( Alternate definition of the empty set.  Definition 5.14 of [TakeutiZaring]
     p. 20.  (Contributed by NM, 26-Dec-1996.)  Remove dependency on ~ ax-10 ,
     ~ ax-11 , and ~ ax-12 .  (Revised by Steven Nguyen, 3-May-2023.)  (Proof
     shortened by BJ, 23-Sep-2024.) $)
  dfnul2 $p |- (/) = { x | -. x = x } $=
    ( c0 wfal cab weq wn dfnul4 equid notnoti bifal abbii eqtr4i ) BCADAAEZFZAD
    AGNCANMAHIJKL $.

  $( Alternate definition of the empty set.  (Contributed by NM, 25-Mar-2004.)
     (Proof shortened by BJ, 23-Sep-2024.) $)
  dfnul3 $p |- (/) = { x e. A | -. x e. A } $=
    ( wfal cab cv wcel wn wa crab fal pm3.24 2false abbii dfnul4 df-rab 3eqtr4i
    c0 ) CADAEBFZRGZHZADQSABICTACTJRKLMANSABOP $.

  $( Obsolete version of ~ dfnul2 as of 23-Sep-2024.  (Contributed by NM,
     26-Dec-1996.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  dfnul2OLD $p |- (/) = { x | -. x = x } $=
    ( c0 cvv cdif cv wcel wn wa cab weq df-nul df-dif pm3.24 equid 2false abbii
    notnoti 3eqtri ) BCCDAECFZSGHZAIAAJZGZAIKACCLTUBATUBSMUAANQOPR $.

  $( Obsolete version of ~ dfnul4 as of 23-Sep-2024.  (Contributed by NM,
     25-Mar-2004.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  dfnul3OLD $p |- (/) = { x e. A | -. x e. A } $=
    ( weq wn cab cv wcel wa crab pm3.24 equid 2th con1bii dfnul2 df-rab 3eqtr4i
    c0 abbii ) AACZDZAEAFBGZUADZHZAEQUBABITUCAUCSUCDSUAJAKLMRANUBABOP $.

  $( Obsolete version of ~ dfnul4 as of 23-Sep-2024.  (Contributed by BJ,
     30-Nov-2019.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  dfnul4OLD $p |- (/) = { x | F. } $=
    ( c0 weq wn cab wfal dfnul2 equid notnoti bifal abbii eqtri ) BAACZDZAEFAEA
    GNFANMAHIJKL $.

  ${
    $d A x y $.
    $( The empty set has no elements.  Theorem 6.14 of [Quine] p. 44.
       (Contributed by NM, 21-Jun-1993.)  (Proof shortened by Mario Carneiro,
       1-Sep-2015.)  Remove dependency on ~ ax-10 , ~ ax-11 , and ~ ax-12 .
       (Revised by Steven Nguyen, 3-May-2023.)  (Proof shortened by BJ,
       23-Sep-2024.) $)
    noel $p |- -. A e. (/) $=
      ( vx vy c0 wcel cv wceq wa wex wfal wsb wn nsb fal mpg cab dfnul4 df-clab
      eleq2i mtbir bitri intnan nex dfclel ) ADEBFZAGZUEDEZHZBIUHBUGUFUGJCBKZJL
      UILCJCBMNOUGUEJCPZEUIDUJUECQSJBCRUATUBUCBADUDT $.

    $( Obsolete version of ~ noel as of 18-Sep-2024.  (Contributed by NM,
       21-Jun-1993.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    noelOLD $p |- -. A e. (/) $=
      ( vx vy c0 wcel cv wceq wa wex cvv cab pm3.24 nex wsb df-clab spsbe sylbi
      wn mto mtbir cdif df-nul df-dif eqtri eleq2i intnan dfclel ) ADEBFZAGZUHD
      EZHZBIUKBUJUIUJUHCFJEZULRHZCKZEZUOUMCIZUMCULLMUOUMCBNUPUMBCOUMCBPQSDUNUHD
      JJUAUNUBCJJUCUDUETUFMBADUGT $.
  $}

  $( The empty set has no elements.  (Contributed by Peter Mazsa,
     4-Jan-2018.) $)
  nel02 $p |- ( A = (/) -> -. B e. A ) $=
    ( c0 wceq wcel noel eleq2 mtbiri ) ACDBAEBCEBFACBGH $.

  $( If a class has elements, then it is not empty.  (Contributed by NM,
     31-Dec-1993.) $)
  n0i $p |- ( B e. A -> -. A = (/) ) $=
    ( c0 wceq wcel noel eleq2 mtbiri con2i ) ACDZBAEZJKBCEBFACBGHI $.

  $( If a class has elements, then it is nonempty.  (Contributed by NM,
     31-Dec-1993.) $)
  ne0i $p |- ( B e. A -> A =/= (/) ) $=
    ( wcel c0 n0i neqned ) BACADABEF $.

  ${
    ne0d.1 $e |- ( ph -> B e. A ) $.
    $( Deduction form of ~ ne0i .  If a class has elements, then it is
       nonempty.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    ne0d $p |- ( ph -> A =/= (/) ) $=
      ( wcel c0 wne ne0i syl ) ACBEBFGDBCHI $.
  $}

  ${
    n0ii.1 $e |- A e. B $.
    $( If a class has elements, then it is not empty.  Inference associated
       with ~ n0i .  (Contributed by BJ, 15-Jul-2021.) $)
    n0ii $p |- -. B = (/) $=
      ( wcel c0 wceq wn n0i ax-mp ) ABDBEFGCBAHI $.

    $( If a class has elements, then it is nonempty.  Inference associated with
       ~ ne0i .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    ne0ii $p |- B =/= (/) $=
      ( wcel c0 wne ne0i ax-mp ) ABDBEFCBAGH $.
  $}

  ${
    $d x y $.
    $( The universal class is not equal to the empty set.  (Contributed by NM,
       11-Sep-2008.)  Avoid ~ ax-8 , ~ df-clel .  (Revised by Gino Giotto,
       6-Sep-2024.) $)
    vn0 $p |- _V =/= (/) $=
      ( vy vx cvv c0 cv wtru cab wcel wfal wb wal wceq wex mtbi wsb df-clab sbv
      wn bitr2i eqcomi pm5.501 mptru exgen exnal mpbi bibi12i albii dfcleq dfv2
      fal dfnul4 eqeq12i bitr3i neir ) CDAEZFBGZHZUOIBGZHZJZAKZCDLZFIJZAKZVAVCR
      ZAMVDRVEAIVCUJIVCJFIUAUBNUCVCAUDUEVCUTAFUQIUSUQFBAOFFABPFBAQSUSIBAOIIABPI
      BAQSUFUGNVAUPURLVBAUPURUHUPCURDCUPBUITDURBUKTULUMNUN $.
    $( $j usage 'vn0' avoids 'df-clel' 'ax-8'; $)
  $}

  $( Alternate proof of ~ vn0 .  Shorter, but requiring ~ df-clel , ~ ax-8 .
     (Contributed by NM, 11-Sep-2008.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  vn0ALT $p |- _V =/= (/) $=
    ( vx cv cvv vex ne0ii ) ABCADE $.

  ${
    eq0f.1 $e |- F/_ x A $.
    $( A class is equal to the empty set if and only if it has no elements.
       Theorem 2 of [Suppes] p. 22.  (Contributed by BJ, 15-Jul-2021.) $)
    eq0f $p |- ( A = (/) <-> A. x -. x e. A ) $=
      ( c0 wceq cv wcel wb wal wn nfcv cleqf noel nbn albii bitr4i ) BDEAFZBGZQ
      DGZHZAIRJZAIABDCADKLUATASRQMNOP $.

    $( A class is not empty if and only if it has at least one element.
       Proposition 5.17(1) of [TakeutiZaring] p. 20.  This version of ~ neq0
       requires only that ` x ` not be free in, rather than not occur in,
       ` A ` .  (Contributed by BJ, 15-Jul-2021.) $)
    neq0f $p |- ( -. A = (/) <-> E. x x e. A ) $=
      ( c0 wceq wn cv wcel wal wex eq0f notbii df-ex bitr4i ) BDEZFAGBHZFAIZFPA
      JOQABCKLPAMN $.

    $( A class is nonempty if and only if it has at least one element.
       Proposition 5.17(1) of [TakeutiZaring] p. 20.  This version of ~ n0
       requires only that ` x ` not be free in, rather than not occur in,
       ` A ` .  (Contributed by NM, 17-Oct-2003.) $)
    n0f $p |- ( A =/= (/) <-> E. x x e. A ) $=
      ( c0 wne wceq wn cv wcel wex df-ne neq0f bitri ) BDEBDFGAHBIAJBDKABCLM $.
  $}

  ${
    $d x A $.  $d x y $.
    $( A class is equal to the empty set if and only if it has no elements.
       Theorem 2 of [Suppes] p. 22.  (Contributed by NM, 29-Aug-1993.)  Avoid
       ~ ax-11 , ~ ax-12 .  (Revised by Gino Giotto and Steven Nguyen,
       28-Jun-2024.)  Avoid ~ ax-8 , ~ df-clel .  (Revised by Gino Giotto,
       6-Sep-2024.) $)
    eq0 $p |- ( A = (/) <-> A. x -. x e. A ) $=
      ( vy c0 wceq wfal cab cv wcel wn wal dfnul4 eqeq2i dfcleq wsb df-clab sbv
      wb bitri bibi2i nbfal bitr4i albii ) BDEBFCGZEZAHZBIZJZAKZDUDBCLMUEUGUFUD
      IZRZAKUIABUDNUKUHAUKUGFRUHUJFUGUJFCAOFFACPFCAQSTUGUAUBUCSS $.
    $( $j usage 'eq0' avoids 'df-clel' 'ax-8' 'ax-10' 'ax-11' 'ax-12'; $)

    $( Alternate proof of ~ eq0 .  Shorter, but requiring ~ df-clel , ~ ax-8 .
       (Contributed by NM, 29-Aug-1993.)  Avoid ~ ax-11 , ~ ax-12 .  (Revised
       by Gino Giotto and Steven Nguyen, 28-Jun-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eq0ALT $p |- ( A = (/) <-> A. x -. x e. A ) $=
      ( c0 wceq cv wcel wb wal wn dfcleq noel nbn albii bitr4i ) BCDAEZBFZOCFZG
      ZAHPIZAHABCJSRAQPOKLMN $.
    $( $j usage 'eq0ALT' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( A class is not empty if and only if it has at least one element.
       Proposition 5.17(1) of [TakeutiZaring] p. 20.  (Contributed by NM,
       21-Jun-1993.)  Avoid ~ ax-11 , ~ ax-12 .  (Revised by Gino Giotto,
       28-Jun-2024.) $)
    neq0 $p |- ( -. A = (/) <-> E. x x e. A ) $=
      ( cv wcel wex c0 wceq wn wal df-ex eq0 xchbinxr bicomi ) ACBDZAEZBFGZHONH
      AIPNAJABKLM $.
    $( $j usage 'neq0' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( A class is nonempty if and only if it has at least one element.
       Proposition 5.17(1) of [TakeutiZaring] p. 20.  (Contributed by NM,
       29-Sep-2006.)  Avoid ~ ax-11 , ~ ax-12 .  (Revised by Gino Giotto,
       28-Jun-2024.) $)
    n0 $p |- ( A =/= (/) <-> E. x x e. A ) $=
      ( c0 wne wceq wn cv wcel wex df-ne neq0 bitri ) BCDBCEFAGBHAIBCJABKL $.
    $( $j usage 'n0' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x A $.
    $( Obsolete version of ~ eq0 as of 28-Jun-2024.  (Contributed by NM,
       29-Aug-1993.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    eq0OLDOLD $p |- ( A = (/) <-> A. x -. x e. A ) $=
      ( nfcv eq0f ) ABABCD $.

    $( Obsolete version of ~ neq0 as of 28-Jun-2024.  (Contributed by NM,
       21-Jun-1993.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    neq0OLD $p |- ( -. A = (/) <-> E. x x e. A ) $=
      ( nfcv neq0f ) ABABCD $.

    $( Obsolete version of ~ n0 as of 28-Jun-2024.  (Contributed by NM,
       29-Sep-2006.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    n0OLD $p |- ( A =/= (/) <-> E. x x e. A ) $=
      ( nfcv n0f ) ABABCD $.
  $}

  ${
    $d x A $.
    nel0.1 $e |- -. x e. A $.
    $( From the general negation of membership in ` A ` , infer that ` A ` is
       the empty set.  (Contributed by BJ, 6-Oct-2018.) $)
    nel0 $p |- A = (/) $=
      ( c0 wceq cv wcel wn eq0 mpgbir ) BDEAFBGHAABICJ $.
  $}

  ${
    $d x A $.  $d x ph $.
    reximdva0.1 $e |- ( ( ph /\ x e. A ) -> ps ) $.
    $( Restricted existence deduced from nonempty class.  (Contributed by NM,
       1-Feb-2012.) $)
    reximdva0 $p |- ( ( ph /\ A =/= (/) ) -> E. x e. A ps ) $=
      ( c0 wne wa cv wcel wex wrex n0 ex ancld eximdv imp sylan2b df-rex sylibr
      ) ADFGZHCIDJZBHZCKZBCDLUAAUBCKZUDCDMAUEUDAUBUCCAUBBAUBBENOPQRBCDST $.
  $}

  ${
    $d A x $.  $d ph x $.
    $( Specialization for restricted generalization with a nonempty class.
       (Contributed by Alexander van der Vekens, 6-Sep-2018.)  Avoid ~ ax-10 ,
       ~ ax-12 .  (Revised by Gino Giotto, 28-Jun-2024.) $)
    rspn0 $p |- ( A =/= (/) -> ( A. x e. A ph -> ph ) ) $=
      ( c0 wne cv wcel wex wral wi n0 wal df-ral exim ax5e syl6com syl5bi sylbi
      ) CDEBFCGZBHZABCIZAJBCKUASAJBLZTAABCMUBTABHASABNABOPQR $.
    $( $j usage 'rspn0' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d A x $.  $d ph x $.
    $( Obsolete version of ~ rspn0 as of 28-Jun-2024.  (Contributed by
       Alexander van der Vekens, 6-Sep-2018.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    rspn0OLD $p |- ( A =/= (/) -> ( A. x e. A ph -> ph ) ) $=
      ( c0 wne cv wcel wex wral wi n0 nfra1 nfv nfim rsp com12 exlimi sylbi ) C
      DEBFCGZBHABCIZAJZBCKSUABTABABCLABMNTSAABCOPQR $.
  $}

  ${
    $d A x $.
    $( There is an element in a nonempty class which is an element of the
       class.  (Contributed by AV, 17-Dec-2020.) $)
    n0rex $p |- ( A =/= (/) -> E. x e. A x e. A ) $=
      ( cv wcel wex wa c0 wne wrex id ancli eximi n0 df-rex 3imtr4i ) ACBDZAEPP
      FZAEBGHPABIPQAPPPJKLABMPABNO $.

    $d B x $.
    $( There is an element in a class with a nonempty subclass which is an
       element of the subclass.  (Contributed by AV, 17-Dec-2020.) $)
    ssn0rex $p |- ( ( A C_ B /\ A =/= (/) ) -> E. x e. B x e. A ) $=
      ( wss cv wcel wrex c0 wne ssrexv n0rex impel ) BCDAEBFZABGMACGBHIMABCJABK
      L $.
  $}

  ${
    $d A x $.
    $( A case of equivalence of "at most one" and "only one".  (Contributed by
       FL, 6-Dec-2010.) $)
    n0moeu $p |- ( A =/= (/) -> ( E* x x e. A <-> E! x x e. A ) ) $=
      ( c0 wne cv wcel wmo wex wa weu n0 biimpi biantrurd df-eu bitr4di ) BCDZA
      EBFZAGZQAHZRIQAJPSRPSABKLMQANO $.
  $}

  $( Vacuous restricted existential quantification is false.  (Contributed by
     NM, 15-Oct-2003.) $)
  rex0 $p |- -. E. x e. (/) ph $=
    ( c0 cv wcel wn noel pm2.21i nrex ) ABCBDZCEAFJGHI $.

  $( Vacuous restricted uniqueness is always false.  (Contributed by AV,
     3-Apr-2023.) $)
  reu0 $p |- -. E! x e. (/) ph $=
    ( c0 wreu wrex rex0 reurex mto ) ABCDABCEABFABCGH $.

  $( Vacuous restricted at-most-one quantifier is always true.  (Contributed by
     AV, 3-Apr-2023.) $)
  rmo0 $p |- E* x e. (/) ph $=
    ( c0 wrmo wrex wreu wi rex0 pm2.21i rmo5 mpbir ) ABCDABCEZABCFZGLMABHIABCJK
    $.

  ${
    $d x A $.  $d x y $.
    $( Membership of the empty set in another class.  (Contributed by NM,
       29-Jun-2004.) $)
    0el $p |- ( (/) e. A <-> E. x e. A A. y -. y e. x ) $=
      ( c0 wcel cv wceq wrex wn wal risset eq0 rexbii bitri ) DCEAFZDGZACHBFOEI
      BJZACHADCKPQACBOLMN $.
  $}

  ${
    $d x A $.  $d x u $.
    $( Negated membership of the empty set in another class.  (Contributed by
       Rodolfo Medina, 25-Sep-2010.) $)
    n0el $p |- ( -. (/) e. A <-> A. x e. A E. u u e. x ) $=
      ( cv wcel wn wal wral wi wex c0 df-ral df-ex ralbii alnex imnang wrex 0el
      wa 3bitr4ri df-rex bitri notbii ) BDADZEZFBGZFZACHUDCEZUGIAGZUEBJZACHKCEZ
      FZUGACLUJUGACUEBMNUHUFSZFAGUMAJZFUIULUMAOUHUFAPUKUNUKUFACQUNABCRUFACUAUBU
      CTT $.
  $}

  ${
    $d x y A $.
    $( A condition which implies the existence of a unique element of a class.
       (Contributed by AV, 4-Jan-2022.) $)
    eqeuel $p |- ( ( A =/= (/) /\ A. x A. y ( ( x e. A /\ y e. A ) -> x = y ) )
                   -> E! x x e. A ) $=
      ( c0 wne cv wcel wa weq wi wal wex weu n0 biimpi anim1i eleq1w eu4 sylibr
      ) CDEZAFCGZBFCGZHABIJBKAKZHUAALZUCHUAAMTUDUCTUDACNOPUAUBABABCQRS $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Subclass expressed in terms of difference.  Exercise 7 of
       [TakeutiZaring] p. 22.  (Contributed by NM, 29-Apr-1994.) $)
    ssdif0 $p |- ( A C_ B <-> ( A \ B ) = (/) ) $=
      ( vx cv wcel wi wal cdif wn wss c0 wceq wa eldif xchbinxr albii dfss2 eq0
      iman 3bitr4i ) CDZAEZUABEZFZCGUAABHZEZIZCGABJUEKLUDUGCUDUBUCIMUFUBUCSUAAB
      NOPCABQCUERT $.
  $}

  $( If the difference of two sets is not empty, then the sets are not equal.
     (Contributed by Thierry Arnoux, 28-Feb-2017.) $)
  difn0 $p |- ( ( A \ B ) =/= (/) -> A =/= B ) $=
    ( cdif c0 wceq wss eqimss ssdif0 sylib necon3i ) ABABCZDABEABFKDEABGABHIJ
    $.

  $( A proper subclass has a nonempty difference.  (Contributed by NM,
     3-May-1994.) $)
  pssdifn0 $p |- ( ( A C_ B /\ A =/= B ) -> ( B \ A ) =/= (/) ) $=
    ( wss wne cdif c0 wceq ssdif0 eqss simplbi2 syl5bir necon3d imp ) ABCZABDBA
    EZFDNOFABOFGBACZNABGZBAHQNPABIJKLM $.

  $( A proper subclass has a nonempty difference.  (Contributed by Mario
     Carneiro, 27-Apr-2016.) $)
  pssdif $p |- ( A C. B -> ( B \ A ) =/= (/) ) $=
    ( wpss wss wne wa cdif c0 df-pss pssdifn0 sylbi ) ABCABDABEFBAGHEABIABJK $.

  ${
    $d x A $.  $d x B $.
    $( Express that an intersection is not empty.  (Contributed by RP,
       16-Apr-2020.) $)
    ndisj $p |- ( ( A i^i B ) =/= (/) <-> E. x ( x e. A /\ x e. B ) ) $=
      ( cin c0 wne cv wcel wex wa n0 elin exbii bitri ) BCDZEFAGZOHZAIPBHPCHJZA
      IAOKQRAPBCLMN $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Difference, intersection, and subclass relationship.  (Contributed by
       NM, 30-Apr-1994.)  (Proof shortened by Wolf Lammen, 30-Sep-2014.) $)
    difin0ss $p |- ( ( ( A \ B ) i^i C ) = (/) -> ( C C_ A -> C C_ B ) ) $=
      ( vx cdif cin c0 wceq cv wcel wn wal wss wi eq0 wa iman elin eldif dfss2
      anbi2ci annim anbi2i 3bitri xchbinxr ax-2 sylbir al2imi 3imtr4g sylbi ) A
      BEZCFZGHDIZULJZKZDLZCAMZCBMZNDULOUPUMCJZUMAJZNZDLUSUMBJZNZDLUQURUOVAVCDUO
      USUTVBNZNZVAVCNVEUSVDKZPZUNUSVDQUNUMUKJZUSPUSUTVBKPZPVGUMUKCRVHVIUSUMABSU
      AVIVFUSUTVBUBUCUDUEUSUTVBUFUGUHDCATDCBTUIUJ $.

    $( Intersection, subclass, and difference relationship.  (Contributed by
       NM, 27-Oct-1996.)  (Proof shortened by Andrew Salmon, 26-Jun-2011.)
       (Proof shortened by Wolf Lammen, 30-Sep-2014.) $)
    inssdif0 $p |- ( ( A i^i B ) C_ C <-> ( A i^i ( B \ C ) ) = (/) ) $=
      ( vx cv cin wcel wi wal cdif wn wss c0 wceq elin imbi1i iman bitri eldif
      wa anbi2i anass 3bitr4ri xchbinx albii dfss2 eq0 3bitr4i ) DEZABFZGZUICGZ
      HZDIUIABCJZFZGZKZDIUJCLUOMNUMUQDUMUIAGZUIBGZTZULKZTZUPUMUTULHVBKUKUTULUIA
      BOPUTULQRURUIUNGZTURUSVATZTUPVBVCVDURUIBCSUAUIAUNOURUSVAUBUCUDUEDUJCUFDUO
      UGUH $.
  $}

  ${
    $d A x $.
    $( The difference between a class and itself is the empty set.  Proposition
       5.15 of [TakeutiZaring] p. 20.  Also Theorem 32 of [Suppes] p. 28.
       (Contributed by NM, 22-Apr-2004.)  (Revised by David Abernethy,
       17-Jun-2012.) $)
    difid $p |- ( A \ A ) = (/) $=
      ( vx cdif cv wcel wn crab c0 dfdif2 dfnul3 eqtr4i ) AACBDAEFBAGHBAAIBAJK
      $.
    $( $j usage 'difid' avoids 'ax-8' 'df-clel'; $)
  $}

  $( Alternate proof of ~ difid .  Shorter, but requiring ~ ax-8 , ~ df-clel .
     (Contributed by NM, 22-Apr-2004.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  difidALT $p |- ( A \ A ) = (/) $=
    ( wss cdif c0 wceq ssid ssdif0 mpbi ) AABAACDEAFAAGH $.

  $( The difference between a class and the empty set.  Part of Exercise 4.4 of
     [Stoll] p. 16.  (Contributed by NM, 17-Aug-2004.) $)
  dif0 $p |- ( A \ (/) ) = A $=
    ( cdif c0 difid difeq2i difdif eqtr3i ) AAABZBACBAHCAADEAAFG $.

  ${
    $d x y $.  $d y A $.  $d ph y $.  $d ps x $.
    ab0w.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( The class of sets verifying a property is the empty class if and only if
       that property is a contradiction.  Version of ~ ab0 using implicit
       substitution, which requires fewer axioms.  (Contributed by Gino Giotto,
       3-Oct-2024.) $)
    ab0w $p |- ( { x | ph } = (/) <-> A. y -. ps ) $=
      ( cab c0 wceq wfal wn wal dfnul4 wcel wb df-clab bitri bibi1i albii falim
      wsb eqeq2i cv dfcleq sbievw bicom sbv wi idd bija id pm5.21ni impbii ) AC
      FZGHUMICFZHZBJZDKZGUNUMCLUAUODUBZUNMZBNZDKZUQUOURUMMZUSNZDKVADUMUNUCVCUTD
      VCBUSNUTVBBUSVBACDTBADCOABCDEUDPQBUSUEPRPVAIBNZDKUQUTVDDUSIBUSICDTIIDCOIC
      DUFPQRVDUPDVDUPIBUPBUPUGSIJUPUHUIIBBBSBUJUKULRPPP $.
    $( $j usage 'ab0w' avoids 'df-clel' 'ax-8' 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  $( The class of sets verifying a property is the empty class if and only if
     that property is a contradiction.  See also ~ abn0 (from which it could be
     proved using as many essential proof steps but one fewer syntactic step,
     at the cost of depending on ~ df-ne ).  (Contributed by BJ, 19-Mar-2021.)
     Avoid ~ df-clel , ~ ax-8 .  (Revised by Gino Giotto, 30-Aug-2024.)  (Proof
     shortened by SN, 8-Sep-2024.) $)
  ab0 $p |- ( { x | ph } = (/) <-> A. x -. ph ) $=
    ( wfal wb wal cab wceq wn c0 abbi nbfal albii dfnul4 eqeq2i 3bitr4ri ) ACDZ
    BEABFZCBFZGAHZBEQIGACBJSPBAKLIRQBMNO $.
  $( $j usage 'ab0' avoids 'df-clel' 'ax-8'; $)

  ${
    $d x y $.  $d y ph $.
    $( Obsolete version of ~ ab0 as of 8-Sep-2024.  (Contributed by BJ,
       19-Mar-2021.)  Avoid ~ df-clel , ~ ax-8 .  (Revised by Gino Giotto,
       30-Aug-2024.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    ab0OLD $p |- ( { x | ph } = (/) <-> A. x -. ph ) $=
      ( vy cab c0 wceq wfal cv wb wal wn weq wi wsb df-clab bitri albii equcoms
      wcel 3bitri dfnul4 eqeq2i dfcleq sb6 sbv bibi12i nbfal bicomi pm2.27 spsd
      nfna1 nfv ax12v impbid notbid cbvalv1 ) ABDZEFUQGBDZFCHZUQSZUSURSZIZCJZAK
      ZBJZEURUQBUAUBCUQURUCVCBCLZAMZBJZGIZCJVHKZCJVEVBVICUTVHVAGUTABCNVHACBOABC
      UDPVAGBCNGGCBOGBCUEPUFQVIVJCVJVIVHUGUHQVJVDCBVGBUKVDCULCBLZVHAVKVHAVHAMBC
      VFVGABVFAUIUJRAVHMBCABCUMRUNUOUPTT $.
  $}

  $( Alternate proof of ~ ab0 , shorter but using more axioms.  (Contributed by
     BJ, 19-Mar-2021.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  ab0ALT $p |- ( { x | ph } = (/) <-> A. x -. ph ) $=
    ( cab c0 wceq cv wcel wn wal nfab1 eq0f abid notbii albii bitri ) ABCZDEBFP
    GZHZBIAHZBIBPABJKRSBQAABLMNO $.

  $( Characterization of nonfreeness in a formula in terms of its extension.
     (Contributed by BJ, 19-Mar-2021.) $)
  dfnf5 $p |- ( F/ x ph <-> ( { x | ph } = _V \/ { x | ph } = (/) ) ) $=
    ( wnf wal wn wo cab cvv wceq c0 nf3 abv ab0 orbi12i bitr4i ) ABCABDZAEBDZFA
    BGZHIZRJIZFABKSPTQABLABMNO $.

  ${
    $d x y ph $.
    $( The class abstraction defined by a formula not containing the
       abstraction variable is either the empty set or the universal class.
       (Contributed by Mario Carneiro, 29-Aug-2013.)  (Revised by BJ,
       22-Mar-2020.)  Reduce axiom usage.  (Revised by Gino Giotto,
       30-Aug-2024.) $)
    ab0orv $p |- ( { x | ph } = _V \/ { x | ph } = (/) ) $=
      ( vy wal wn wo cab cvv wceq mpbi wcel wtru wsb df-clab bitr2i 2th bibi12i
      c0 wb weq wnf nfv nf3 tbtru sbv tru vextru bitri albii dfcleq dfv2 eqcomi
      cv eqeq2i 3bitr2i equid nbn3 notbii a1i sbievw dfnul2 orbi12i ) ACDZAEZCD
      ZFZABGZHIZVGRIZFACUAVFACUBACUCJVCVHVEVIVCCUMZVGKZVJLBGZKZSZCDVGVLIVHAVNCA
      ALSVNAUDAVKLVMVKABCMAACBNABCUEOZLVMUFBCUGPQUHUICVGVLUJVLHVGHVLBUKULUNUOVE
      VKVJBBTZEZBGZKZSZCDVGVRIVIVDVTCVDACCTZEZSVTWAACUPZUQAVKWBVSVOVSVQBCMWBVQC
      BNVQWBBCVQWBSBCTVPWAVPWABUPWCPURUSUTOQUHUICVGVRUJVRRVGRVRBVAULUNUOVBJ $.
    $( $j usage 'ab0orv' avoids 'df-clel' 'ax-8' 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x ph $.
    $( Alternate proof of ~ ab0orv , shorter but using more axioms.
       (Contributed by Mario Carneiro, 29-Aug-2013.)  (Revised by BJ,
       22-Mar-2020.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ab0orvALT $p |- ( { x | ph } = _V \/ { x | ph } = (/) ) $=
      ( wnf cab cvv wceq c0 wo nfv dfnf5 mpbi ) ABCABDZEFLGFHABIABJK $.
  $}

  $( Nonempty class abstraction.  See also ~ ab0 .  (Contributed by NM,
     26-Dec-1996.)  (Proof shortened by Mario Carneiro, 11-Nov-2016.)  Avoid
     ~ df-clel , ~ ax-8 .  (Revised by Gino Giotto, 30-Aug-2024.) $)
  abn0 $p |- ( { x | ph } =/= (/) <-> E. x ph ) $=
    ( cab c0 wceq wn wal wne wex ab0 notbii df-ne df-ex 3bitr4i ) ABCZDEZFAFBGZ
    FODHABIPQABJKODLABMN $.
  $( $j usage 'abn0' avoids 'df-clel' 'ax-8'; $)

  $( Obsolete version of ~ abn0 as of 30-Aug-2024.  (Contributed by NM,
     26-Dec-1996.)  (Proof shortened by Mario Carneiro, 11-Nov-2016.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  abn0OLD $p |- ( { x | ph } =/= (/) <-> E. x ph ) $=
    ( cab c0 wne cv wcel wex nfab1 n0f abid exbii bitri ) ABCZDEBFNGZBHABHBNABI
    JOABABKLM $.

  $( Any restricted class abstraction restricted to the empty set is empty.
     (Contributed by NM, 15-Oct-2003.)  (Proof shortened by Andrew Salmon,
     26-Jun-2011.)  (Proof shortened by JJ, 14-Jul-2021.) $)
  rab0 $p |- { x e. (/) | ph } = (/) $=
    ( c0 crab cv wcel wa cab df-rab wceq wn ab0 noel intnanr mpgbir eqtri ) ABC
    DBEZCFZAGZBHZCABCITCJSKBSBLRAQMNOP $.

  ${
    $d x y A $.  $d x ps $.  $d y ph $.
    rabeq0w.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Condition for a restricted class abstraction to be empty.  Version of
       ~ rabeq0 using implicit substitution, which does not require ~ ax-10 ,
       ~ ax-11 , ~ ax-12 , but requires ~ ax-8 .  (Contributed by Gino Giotto,
       30-Sep-2024.) $)
    rabeq0w $p |- ( { x e. A | ph } = (/) <-> A. y e. A -. ps ) $=
      ( cv wcel wa cab c0 wceq wn wal crab wral weq eleq1w anbi12d ab0w 3bitr4i
      df-rab eqeq1i raln ) CGEHZAIZCJZKLDGEHZBIZMDNACEOZKLBMDEPUFUICDCDQUEUHABC
      DERFSTUJUGKACEUBUCBDEUDUA $.
    $( $j usage 'rabeq0w' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  $( Condition for a restricted class abstraction to be empty.  (Contributed by
     Jeff Madsen, 7-Jun-2010.)  (Revised by BJ, 16-Jul-2021.) $)
  rabeq0 $p |- ( { x e. A | ph } = (/) <-> A. x e. A -. ph ) $=
    ( cv wcel wa cab c0 wceq wn wal crab wral ab0 df-rab eqeq1i raln 3bitr4i )
    BDCEAFZBGZHISJBKABCLZHIAJBCMSBNUATHABCOPABCQR $.

  $( Nonempty restricted class abstraction.  (Contributed by NM, 29-Aug-1999.)
     (Revised by BJ, 16-Jul-2021.) $)
  rabn0 $p |- ( { x e. A | ph } =/= (/) <-> E. x e. A ph ) $=
    ( crab c0 wne wn wral wrex rabeq0 necon3abii dfrex2 bitr4i ) ABCDZEFAGBCHZG
    ABCIONEABCJKABCLM $.

  ${
    $d A x $.
    $( Law of excluded middle, in terms of restricted class abstractions.
       (Contributed by Jeff Madsen, 20-Jun-2011.) $)
    rabxm $p |- A = ( { x e. A | ph } u. { x e. A | -. ph } ) $=
      ( wn wo crab cun wceq rabid2 cv wcel exmidd mprgbir unrab eqtr4i ) CAADZE
      ZBCFZABCFPBCFGCRHQBCQBCIBJCKALMAPBCNO $.
  $}

  $( Law of noncontradiction, in terms of restricted class abstractions.
     (Contributed by Jeff Madsen, 20-Jun-2011.) $)
  rabnc $p |- ( { x e. A | ph } i^i { x e. A | -. ph } ) = (/) $=
    ( crab wn cin wa c0 inrab wceq wral pm3.24 rgenw rabeq0 mpbir eqtri ) ABCDA
    EZBCDFAQGZBCDZHAQBCISHJREZBCKTBCALMRBCNOP $.

  ${
    $d A s $.
    elneldisj.e $e |- E = { s e. A | B e. C } $.
    elneldisj.n $e |- N = { s e. A | B e/ C } $.
    $( The set of elements ` s ` determining classes ` C ` (which may depend on
       ` s ` ) containing a special element and the set of elements ` s `
       determining classes ` C ` not containing the special element are
       disjoint.  (Contributed by Alexander van der Vekens, 11-Jan-2018.)
       (Revised by AV, 9-Nov-2020.)  (Revised by AV, 17-Dec-2021.) $)
    elneldisj $p |- ( E i^i N ) = (/) $=
      ( cin wcel crab wn c0 wnel df-nel rabbii eqtri ineq12i rabnc ) DEIBCJZFAK
      ZTLZFAKZIMDUAEUCGEBCNZFAKUCHUDUBFABCOPQRTFASQ $.

    $( The union of the set of elements ` s ` determining classes ` C ` (which
       may depend on ` s ` ) containing a special element and the set of
       elements ` s ` determining classes ` C ` not containing the special
       element yields the original set.  (Contributed by Alexander van der
       Vekens, 11-Jan-2018.)  (Revised by AV, 9-Nov-2020.)  (Revised by AV,
       17-Dec-2021.) $)
    elnelun $p |- ( E u. N ) = A $=
      ( cun wcel crab wn wnel df-nel rabbii eqtri uneq12i rabxm eqtr4i ) DEIBCJ
      ZFAKZTLZFAKZIADUAEUCGEBCMZFAKUCHUDUBFABCNOPQTFARS $.
  $}

  ${
    $d x A $.
    $( The union of a class with the empty set is itself.  Theorem 24 of
       [Suppes] p. 27.  (Contributed by NM, 15-Jul-1993.) $)
    un0 $p |- ( A u. (/) ) = A $=
      ( vx c0 cv wcel wo noel biorfi bicomi uneqri ) BACABDZAEZLKCEZFMLKGHIJ $.

    $( The intersection of a class with the empty set is the empty set.
       Theorem 16 of [Suppes] p. 26.  (Contributed by NM, 21-Jun-1993.) $)
    in0 $p |- ( A i^i (/) ) = (/) $=
      ( vx c0 cv wcel wa noel bianfi bicomi ineqri ) BACCBDZCEZKAEZLFLMKGHIJ $.
  $}

  $( The union of the empty set with a class is itself.  (Contributed by Glauco
     Siliprandi, 17-Aug-2020.) $)
  0un $p |- ( (/) u. A ) = A $=
    ( c0 cun uncom un0 eqtri ) BACABCABADAEF $.

  $( The intersection of the empty set with a class is the empty set.
     (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
  0in $p |- ( (/) i^i A ) = (/) $=
    ( c0 cin incom in0 eqtri ) BACABCBBADAEF $.

  $( The intersection of a class with the universal class is itself.  Exercise
     4.10(k) of [Mendelson] p. 231.  (Contributed by NM, 17-May-1998.) $)
  inv1 $p |- ( A i^i _V ) = A $=
    ( cvv cin inss1 ssid ssv ssini eqssi ) ABCAABDAABAEAFGH $.

  $( The union of a class with the universal class is the universal class.
     Exercise 4.10(l) of [Mendelson] p. 231.  (Contributed by NM,
     17-May-1998.) $)
  unv $p |- ( A u. _V ) = _V $=
    ( cvv cun ssv ssun2 eqssi ) ABCZBGDBAEF $.

  ${
    $d A x $.
    $( The null set is a subset of any class.  Part of Exercise 1 of
       [TakeutiZaring] p. 22.  (Contributed by NM, 21-Jun-1993.) $)
    0ss $p |- (/) C_ A $=
      ( vx c0 cv wcel noel pm2.21i ssriv ) BCABDZCEIAEIFGH $.
  $}

  $( Any subset of the empty set is empty.  Theorem 5 of [Suppes] p. 23 and its
     converse.  (Contributed by NM, 17-Sep-2003.) $)
  ss0b $p |- ( A C_ (/) <-> A = (/) ) $=
    ( c0 wceq wss 0ss eqss mpbiran2 bicomi ) ABCZABDZIJBADAEABFGH $.

  $( Any subset of the empty set is empty.  Theorem 5 of [Suppes] p. 23.
     (Contributed by NM, 13-Aug-1994.) $)
  ss0 $p |- ( A C_ (/) -> A = (/) ) $=
    ( c0 wss wceq ss0b biimpi ) ABCABDAEF $.

  $( A subclass of an empty class is empty.  (Contributed by NM, 7-Mar-2007.)
     (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
  sseq0 $p |- ( ( A C_ B /\ B = (/) ) -> A = (/) ) $=
    ( c0 wceq wss sseq2 ss0 syl6bi impcom ) BCDZABEZACDZJKACELBCAFAGHI $.

  $( A class with a nonempty subclass is nonempty.  (Contributed by NM,
     17-Feb-2007.) $)
  ssn0 $p |- ( ( A C_ B /\ A =/= (/) ) -> B =/= (/) ) $=
    ( wss c0 wne wceq sseq0 ex necon3d imp ) ABCZADEBDEKBDADKBDFADFABGHIJ $.

  $( The difference between the empty set and a class.  Part of Exercise 4.4 of
     [Stoll] p. 16.  (Contributed by NM, 17-Aug-2004.) $)
  0dif $p |- ( (/) \ A ) = (/) $=
    ( c0 cdif wss wceq difss ss0 ax-mp ) BACZBDIBEBAFIGH $.

  ${
    abf.1 $e |- -. ph $.
    $( A class abstraction determined by a false formula is empty.
       (Contributed by NM, 20-Jan-2012.)  Avoid ~ ax-8 , ~ ax-10 , ~ ax-11 ,
       ~ ax-12 .  (Revised by Gino Giotto, 30-Jun-2024.) $)
    abf $p |- { x | ph } = (/) $=
      ( cab wfal c0 bifal abbii dfnul4 eqtr4i ) ABDEBDFAEBACGHBIJ $.
    $( $j usage 'abf' avoids 'ax-8' 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    abfOLD.1 $e |- -. ph $.
    $( Obsolete version of ~ abf as of 28-Jun-2024.  (Contributed by NM,
       20-Jan-2012.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    abfOLD $p |- { x | ph } = (/) $=
      ( cab c0 wceq wn ab0 mpgbir ) ABDEFAGBABHCI $.
  $}

  ${
    $d x A $.  $d x ph $.  $d x y $.
    eq0rdv.1 $e |- ( ph -> -. x e. A ) $.
    $( Deduction for equality to the empty set.  (Contributed by NM,
       11-Jul-2014.)  Avoid ~ ax-8 , ~ df-clel .  (Revised by Gino Giotto,
       6-Sep-2024.) $)
    eq0rdv $p |- ( ph -> A = (/) ) $=
      ( vy cv wcel wn wal c0 wceq alrimiv wfal cab wb dfnul4 eqeq2i bitri albii
      dfcleq wsb df-clab sbv bibi2i nbfal bicomi 3bitrri sylib ) ABFZCGZHZBIZCJ
      KZAUKBDLUMCMENZKUJUIUNGZOZBIZULJUNCEPQBCUNTUQUJMOZBIULUPURBUOMUJUOMEBUAMM
      BEUBMEBUCRUDSURUKBUKURUJUEUFSRUGUH $.
    $( $j usage 'eq0rdv' avoids 'df-clel' 'ax-8'; $)
  $}

  ${
    $d x A $.  $d x ph $.
    eq0rdvALT.1 $e |- ( ph -> -. x e. A ) $.
    $( Alternate proof of ~ eq0rdv .  Shorter, but requiring ~ df-clel ,
       ~ ax-8 .  (Contributed by NM, 11-Jul-2014.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eq0rdvALT $p |- ( ph -> A = (/) ) $=
      ( c0 wss wceq cv wcel pm2.21d ssrdv ss0 syl ) ACEFCEGABCEABHZCINEIDJKCLM
      $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.
    $( The proper substitution of a proper class for a set into a class results
       in the empty set.  (Contributed by NM, 17-Aug-2018.)  (Proof shortened
       by JJ, 27-Aug-2021.) $)
    csbprc $p |- ( -. A e. _V -> [_ A / x ]_ B = (/) ) $=
      ( vy cvv wcel wn cv wsbc cab wfal csb c0 sbcex pm5.21ni abbidv df-csb fal
      falim abf eqcomi 3eqtr4g ) BEFZGZDHCFZABIZDJKDJZABCLMUDUFKDUFUCKUEABNUCSO
      PADBCQUGMKDRTUAUB $.
  $}

  $( The proper substitution of a class into the empty set is the empty set.
     (Contributed by NM, 18-Aug-2018.) $)
  csb0 $p |- [_ A / x ]_ (/) = (/) $=
    ( cvv wcel c0 csb wceq csbconstg csbprc pm2.61i ) BCDABEFEGABECHABEIJ $.
  $( $j usage 'csb0' avoids 'ax-10' 'ax-11' 'ax-12'; $)

  ${
    $d x y z $.  $d y z A $.  $d y z B $.  $d y z C $.
    $( Distribute proper substitution through a membership relation.
       (Contributed by NM, 10-Nov-2005.)  (Revised by NM, 18-Aug-2018.) $)
    sbcel12 $p |- ( [. A / x ]. B e. C <-> [_ A / x ]_ B e. [_ A / x ]_ C ) $=
      ( vy vz cvv wcel wsbc csb cv cab dfsbcq2 abbidv eleq12d nfs1v nfab df-csb
      wsb sbab wb wceq nfel weq sbiev vtoclbg eleq12i bitr4di wn sbcex con3i c0
      noel csbprc eleq2d mtbiri 2falsed pm2.61i ) BGHZCDHZABIZABCJZABDJZHZUAUSV
      AEKZCHZABIZELZVEDHZABIZELZHZVDUTAFSVFAFSZELZVIAFSZELZHZVAVLFBGUTAFBMFKBUB
      ZVNVHVPVKVRVMVGEVFAFBMNVRVOVJEVIAFBMNOUTVQAFAVNVPVMAEVFAFPQVOAEVIAFPQUCAF
      UDCVNDVPAFECTAFEDTOUEUFVBVHVCVKAEBCRAEBDRUGUHUSUIZVAVDVAUSUTABUJUKVSVDVBU
      LHVBUMVSVCULVBABDUNUOUPUQUR $.

    $( Distribute proper substitution through an equality relation.
       (Contributed by NM, 10-Nov-2005.)  (Proof shortened by Andrew Salmon,
       29-Jun-2011.) $)
    sbceqg $p |- ( A e. V -> ( [. A / x ]. B = C <->
                   [_ A / x ]_ B = [_ A / x ]_ C ) ) $=
      ( vy vz wcel wceq wsbc cab csb wsb dfsbcq2 abbidv eqeq12d nfs1v nfab sbab
      cv nfeq weq sbiev vtoclbg df-csb eqeq12i bitr4di ) BEHCDIZABJZFTZCHZABJZF
      KZUJDHZABJZFKZIZABCLZABDLZIUHAGMUKAGMZFKZUNAGMZFKZIZUIUQGBEUHAGBNGTBIZVAU
      MVCUPVEUTULFUKAGBNOVEVBUOFUNAGBNOPUHVDAGAVAVCUTAFUKAGQRVBAFUNAGQRUAAGUBCV
      ADVCAGFCSAGFDSPUCUDURUMUSUPAFBCUEAFBDUEUFUG $.
  $}

  ${
    sbceqi.1 $e |- A e. _V $.
    sbceqi.2 $e |- [_ A / x ]_ B = D $.
    sbceqi.3 $e |- [_ A / x ]_ C = E $.
    $( Distribution of class substitution over equality, in inference form.
       (Contributed by Giovanni Mascellani, 27-May-2019.) $)
    sbceqi $p |- ( [. A / x ]. B = C <-> D = E ) $=
      ( wceq wsbc csb cvv wcel wb sbceqg ax-mp eqeq12i bitri ) CDJABKZABCLZABDL
      ZJZEFJBMNTUCOGABCDMPQUAEUBFHIRS $.
  $}

  $( Distribute proper substitution through negated membership.  (Contributed
     by Andrew Salmon, 18-Jun-2011.) $)
  sbcnel12g $p |- ( A e. V
        -> ( [. A / x ]. B e/ C <-> [_ A / x ]_ B e/ [_ A / x ]_ C ) ) $=
    ( wcel wn wsbc wnel csb sbcng df-nel sbcbii sbcel12 xchbinxr 3bitr4g ) BEFC
    DFZGZABHQABHZGCDIZABHABCJZABDJZIZQABEKTRABCDLMUCUAUBFSUAUBLABCDNOP $.

  $( Distribute proper substitution through an inequality.  (Contributed by
     Andrew Salmon, 18-Jun-2011.)  (Revised by NM, 18-Aug-2018.) $)
  sbcne12 $p |- ( [. A / x ]. B =/= C <-> [_ A / x ]_ B =/= [_ A / x ]_ C ) $=
    ( cvv wcel wne wsbc csb wb wceq nne sbcbii a1i sbcng sbceqg bitr4di 3bitr3d
    wn csbprc con4bid sbcex con3i c0 eqtr4d sylibr 2falsed pm2.61i ) BEFZCDGZAB
    HZABCIZABDIZGZJUIUKUNUIUJSZABHZCDKZABHZUKSUNSZUPURJUIUOUQABCDLMNUJABEOUIURU
    LUMKZUSABCDEPULUMLZQRUAUISZUKUNUKUIUJABUBUCVBUTUSVBULUDUMABCTABDTUEVAUFUGUH
    $.

  ${
    $d x C $.
    $( Move proper substitution in and out of a membership relation.  Note that
       the scope of ` [. A / x ]. ` is the wff ` B e. C ` , whereas the scope
       of ` [_ A / x ]_ ` is the class ` B ` .  (Contributed by NM,
       10-Nov-2005.) $)
    sbcel1g $p |- ( A e. V -> ( [. A / x ]. B e. C <->
                    [_ A / x ]_ B e. C ) ) $=
      ( wcel wsbc csb sbcel12 csbconstg eleq2d syl5bb ) CDFABGABCHZABDHZFBEFZMD
      FABCDIONDMABDEJKL $.

    $( Move proper substitution to first argument of an equality.  (Contributed
       by NM, 30-Nov-2005.) $)
    sbceq1g $p |- ( A e. V -> ( [. A / x ]. B = C <->
                    [_ A / x ]_ B = C ) ) $=
      ( wcel wceq wsbc csb sbceqg csbconstg eqeq2d bitrd ) BEFZCDGABHABCIZABDIZ
      GODGABCDEJNPDOABDEKLM $.
  $}

  ${
    $d x B $.
    $( Move proper substitution in and out of a membership relation.
       (Contributed by NM, 14-Nov-2005.)  (Revised by NM, 18-Aug-2018.) $)
    sbcel2 $p |- ( [. A / x ]. B e. C <-> B e. [_ A / x ]_ C ) $=
      ( cvv wcel wsbc wb sbcel12 csbconstg eleq1d syl5bb wn sbcex con3i c0 noel
      csb csbprc eleq2d mtbiri 2falsed pm2.61i ) BEFZCDFZABGZCABDRZFZHUFABCRZUG
      FUDUHABCDIUDUICUGABCEJKLUDMZUFUHUFUDUEABNOUJUHCPFCQUJUGPCABDSTUAUBUC $.

    $( Move proper substitution to second argument of an equality.
       (Contributed by NM, 30-Nov-2005.) $)
    sbceq2g $p |- ( A e. V -> ( [. A / x ]. B = C <->
                    B = [_ A / x ]_ C ) ) $=
      ( wcel wceq wsbc csb sbceqg csbconstg eqeq1d bitrd ) BEFZCDGABHABCIZABDIZ
      GCPGABCDEJNOCPABCEKLM $.
  $}

  ${
    $d y z A $.  $d x z B $.  $d z C $.  $d x y $.
    $( Commutative law for double substitution into a class.  (Contributed by
       NM, 14-Nov-2005.)  (Revised by NM, 18-Aug-2018.) $)
    csbcom $p |- [_ A / x ]_ [_ B / y ]_ C = [_ B / y ]_ [_ A / x ]_ C $=
      ( vz csb cv wcel wsbc sbccom sbcel2 sbcbii 3bitr3i eqriv ) FACBDEGZGZBDAC
      EGZGZFHZPIZACJZTRIZBDJZTQITSITEIZBDJZACJUEACJZBDJUBUDUEABCDKUFUAACBDTELMU
      GUCBDACTELMNACTPLBDTRLNO $.
  $}

  ${
    $d x y z $.  $d z A $.  $d z B $.  $d ph z $.
    $( Nest the composition of two substitutions.  Version of ~ sbcnestgf with
       a disjoint variable condition, which does not require ~ ax-13 .
       (Contributed by Mario Carneiro, 11-Nov-2016.)  (Revised by Gino Giotto,
       26-Jan-2024.) $)
    sbcnestgfw $p |- ( ( A e. V /\ A. y F/ x ph ) ->
         ( [. A / x ]. [. B / y ]. ph <-> [. [_ A / x ]_ B / y ]. ph ) ) $=
      ( vz wcel wnf wal wsbc csb wb cv wi wceq dfsbcq sbceq1d cvv a1i vex nfnf1
      csbeq1 bibi12d imbi2d csbeq1a adantl nfal nfa1 nfcsb1v sp nfsbcdw sbciedf
      wnfc vtoclg imp ) DFHABIZCJZACEKZBDKZACBDELZKZMZURUSBGNZKZACBVDELZKZMZOUR
      VCOGDFVDDPZVHVCURVIVEUTVGVBUSBVDDQVIACVFVABVDDEUCRUDUEURUSVGBVDSVDSHURGUA
      TBNVDPZUSVGMURVJACEVFBVDEUFRUGUQBCABUBUHURABCVFUQCUIBVFUNURBVDEUJTUQCUKUL
      UMUOUP $.
    $( $j usage 'sbcnestgfw' avoids 'ax-13'; $)
  $}

  ${
    $d x y z $.  $d z A $.  $d z B $.  $d z C $.
    $( Nest the composition of two substitutions.  Version of ~ csbnestgf with
       a disjoint variable condition, which does not require ~ ax-13 .
       (Contributed by NM, 23-Nov-2005.)  (Revised by Gino Giotto,
       26-Jan-2024.) $)
    csbnestgfw $p |- ( ( A e. V /\ A. y F/_ x C ) ->
         [_ A / x ]_ [_ B / y ]_ C = [_ [_ A / x ]_ B / y ]_ C ) $=
      ( vz wcel wnfc wal wa cv csb wsbc cab cvv wceq elex df-csb abeq2i wb nfcr
      sbcbii wnf alimi sbcnestgfw sylan2 syl5bb abbidv sylan 3eqtr4g ) CFHZAEIZ
      BJZKGLZBDEMZHZACNZGOZUOEHZBACDMZNZGOZACUPMBVAEMULCPHZUNUSVCQCFRVDUNKZURVB
      GURUTBDNZACNZVEVBUQVFACVFGUPBGDESTUCUNVDUTAUDZBJVGVBUAUMVHBAGEUBUEUTABCDP
      UFUGUHUIUJAGCUPSBGVAESUK $.
    $( $j usage 'csbnestgfw' avoids 'ax-13'; $)
  $}

  ${
    $d x y $.  $d x ph $.
    $( Nest the composition of two substitutions.  Version of ~ sbcnestg with a
       disjoint variable condition, which does not require ~ ax-13 .
       (Contributed by NM, 27-Nov-2005.)  (Revised by Gino Giotto,
       26-Jan-2024.) $)
    sbcnestgw $p |- ( A e. V ->
          ( [. A / x ]. [. B / y ]. ph <-> [. [_ A / x ]_ B / y ]. ph ) ) $=
      ( wcel wnf wal wsbc csb wb nfv ax-gen sbcnestgfw mpan2 ) DFGABHZCIACEJBDJ
      ACBDEKJLQCABMNABCDEFOP $.
    $( $j usage 'sbcnestgw' avoids 'ax-13'; $)
  $}

  ${
    $d x y $.  $d x C $.
    $( Nest the composition of two substitutions.  Version of ~ csbnestg with a
       disjoint variable condition, which does not require ~ ax-13 .
       (Contributed by NM, 23-Nov-2005.)  (Revised by Gino Giotto,
       26-Jan-2024.) $)
    csbnestgw $p |- ( A e. V ->
          [_ A / x ]_ [_ B / y ]_ C = [_ [_ A / x ]_ B / y ]_ C ) $=
      ( wcel wnfc wal csb wceq nfcv ax-gen csbnestgfw mpan2 ) CFGAEHZBIACBDEJJB
      ACDJEJKPBAELMABCDEFNO $.
    $( $j usage 'csbnestgw' avoids 'ax-13'; $)
  $}

  ${
    $d x A $.  $d x ph $.  $d x C $.  $d x y $.
    sbcco3gw.1 $e |- ( x = A -> B = C ) $.
    $( Composition of two substitutions.  Version of ~ sbcco3g with a disjoint
       variable condition, which does not require ~ ax-13 .  (Contributed by
       NM, 27-Nov-2005.)  (Revised by Gino Giotto, 26-Jan-2024.) $)
    sbcco3gw $p |- ( A e. V ->
         ( [. A / x ]. [. B / y ]. ph <-> [. C / y ]. ph ) ) $=
      ( wcel wsbc csb sbcnestgw cvv wceq wb elex nfcvd csbiegf dfsbcq 3syl
      bitrd ) DGIZACEJBDJACBDEKZJZACFJZABCDEGLUBDMIZUCFNUDUEODGPBDEFMUFBFQHRACU
      CFSTUA $.
    $( $j usage 'sbcco3gw' avoids 'ax-13'; $)
  $}

  ${
    $d x z $.  $d y z $.  $d z A $.  $d z B $.  $d z C $.  $d z ph $.
    $( Nest the composition of two substitutions.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ sbcnestgfw
       when possible.  (Contributed by Mario Carneiro, 11-Nov-2016.)
       (New usage is discouraged.) $)
    sbcnestgf $p |- ( ( A e. V /\ A. y F/ x ph ) ->
         ( [. A / x ]. [. B / y ]. ph <-> [. [_ A / x ]_ B / y ]. ph ) ) $=
      ( vz wcel wnf wal wsbc csb wb cv wi wceq dfsbcq sbceq1d cvv a1i vex nfnf1
      csbeq1 bibi12d imbi2d csbeq1a adantl nfal nfa1 wnfc nfcsb1v nfsbcd vtoclg
      sp sbciedf imp ) DFHABIZCJZACEKZBDKZACBDELZKZMZURUSBGNZKZACBVDELZKZMZOURV
      COGDFVDDPZVHVCURVIVEUTVGVBUSBVDDQVIACVFVABVDDEUCRUDUEURUSVGBVDSVDSHURGUAT
      BNVDPZUSVGMURVJACEVFBVDEUFRUGUQBCABUBUHURABCVFUQCUIBVFUJURBVDEUKTUQCUNULU
      OUMUP $.

    $( Nest the composition of two substitutions.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ csbnestgfw
       when possible.  (Contributed by NM, 23-Nov-2005.)  (Proof shortened by
       Mario Carneiro, 10-Nov-2016.)  (New usage is discouraged.) $)
    csbnestgf $p |- ( ( A e. V /\ A. y F/_ x C ) ->
         [_ A / x ]_ [_ B / y ]_ C = [_ [_ A / x ]_ B / y ]_ C ) $=
      ( vz wcel wnfc wal wa cv csb wsbc cab cvv wceq elex df-csb abeq2i wb nfcr
      sbcbii wnf alimi sbcnestgf sylan2 syl5bb abbidv sylan 3eqtr4g ) CFHZAEIZB
      JZKGLZBDEMZHZACNZGOZUOEHZBACDMZNZGOZACUPMBVAEMULCPHZUNUSVCQCFRVDUNKZURVBG
      URUTBDNZACNZVEVBUQVFACVFGUPBGDESTUCUNVDUTAUDZBJVGVBUAUMVHBAGEUBUEUTABCDPU
      FUGUHUIUJAGCUPSBGVAESUK $.

    $d x ph $.
    $( Nest the composition of two substitutions.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ sbcnestgw
       when possible.  (Contributed by NM, 27-Nov-2005.)  (Proof shortened by
       Mario Carneiro, 11-Nov-2016.)  (New usage is discouraged.) $)
    sbcnestg $p |- ( A e. V ->
          ( [. A / x ]. [. B / y ]. ph <-> [. [_ A / x ]_ B / y ]. ph ) ) $=
      ( wcel wnf wal wsbc csb wb nfv ax-gen sbcnestgf mpan2 ) DFGABHZCIACEJBDJA
      CBDEKJLQCABMNABCDEFOP $.

    $d x C $.
    $( Nest the composition of two substitutions.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ csbnestgw
       when possible.  (Contributed by NM, 23-Nov-2005.)  (Proof shortened by
       Mario Carneiro, 10-Nov-2016.)  (New usage is discouraged.) $)
    csbnestg $p |- ( A e. V ->
          [_ A / x ]_ [_ B / y ]_ C = [_ [_ A / x ]_ B / y ]_ C ) $=
      ( wcel wnfc wal csb wceq nfcv ax-gen csbnestgf mpan2 ) CFGAEHZBIACBDEJJBA
      CDJEJKPBAELMABCDEFNO $.
  $}

  ${
    $d x A $.  $d x ph $.  $d x C $.  $d x D $.
    sbcco3g.1 $e |- ( x = A -> B = C ) $.
    $( Composition of two substitutions.  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  Use the weaker ~ sbcco3gw when
       possible.  (Contributed by NM, 27-Nov-2005.)  (Revised by Mario
       Carneiro, 11-Nov-2016.)  (New usage is discouraged.) $)
    sbcco3g $p |- ( A e. V ->
         ( [. A / x ]. [. B / y ]. ph <-> [. C / y ]. ph ) ) $=
      ( wcel wsbc csb sbcnestg cvv wceq wb elex nfcvd csbiegf dfsbcq 3syl bitrd
      ) DGIZACEJBDJACBDEKZJZACFJZABCDEGLUBDMIZUCFNUDUEODGPBDEFMUFBFQHRACUCFSTUA
      $.

    $( Composition of two class substitutions.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  (Contributed by NM,
       27-Nov-2005.)  (Revised by Mario Carneiro, 11-Nov-2016.)
       (New usage is discouraged.) $)
    csbco3g $p |- ( A e. V ->
                 [_ A / x ]_ [_ B / y ]_ D = [_ C / y ]_ D ) $=
      ( wcel csb csbnestg cvv wceq elex nfcvd csbiegf syl csbeq1d eqtrd ) CGIZA
      CBDFJJBACDJZFJBEFJABCDFGKTBUAEFTCLIZUAEMCGNACDELUBAEOHPQRS $.
  $}

  ${
    $d x y $.  $d y C $.
    $( Nest the composition of two substitutions.  (Contributed by NM,
       23-May-2006.)  (Proof shortened by Mario Carneiro, 11-Nov-2016.) $)
    csbnest1g $p |- ( A e. V ->
         [_ A / x ]_ [_ B / x ]_ C = [_ [_ A / x ]_ B / x ]_ C ) $=
      ( vy wcel cv csb wnfc wceq nfcsb1v ax-gen csbnestgfw mpan2 csbcow csbeq2i
      wal 3eqtr3g ) BEGZABFCAFHZDIZIZIZFABCIZUBIZABACDIZIAUEDITAUBJZFRUDUFKUHFA
      UADLMAFBCUBENOABUCUGAFCDPQAFUEDPS $.
  $}

  ${
    $d x A $.
    $( Idempotent law for class substitutions.  (Contributed by NM,
       1-Mar-2008.)  (Revised by NM, 18-Aug-2018.) $)
    csbidm $p |- [_ A / x ]_ [_ A / x ]_ B = [_ A / x ]_ B $=
      ( cvv wcel csb wceq csbnest1g csbconstg csbeq1d eqtrd wn c0 csbprc eqtr4d
      pm2.61i ) BDEZABABCFZFZRGQSAABBFZCFRABBCDHQATBCABBDIJKQLSMRABRNABCNOP $.
  $}

  ${
    $d y z A $.  $d x y z $.
    $( The proper substitution of a class for setvar variable results in the
       class (if the class exists).  (Contributed by NM, 10-Nov-2005.) $)
    csbvarg $p |- ( A e. V -> [_ A / x ]_ x = A ) $=
      ( vz vy wcel cvv cv csb wceq elex wsbc cab df-csb sbcel2gv abbi1dv eqtrid
      elv csbeq2i csbcow 3eqtr3i syl ) BCFBGFZABAHZIZBJBCKUCUEDHZEHZFEBLZDMZBEB
      AUGUDIZIEBUGIUEUIEBUJUGUJUGJEUGGFZUJUFUDFAUGLZDMUGADUGUDNUKULDUGAUFUGGOPQ
      RSAEBUDTEDBUGNUAUCUHDBEUFBGOPQUB $.
  $}

  ${
    csbvargi.1 $e |- A e. _V $.
    $( The proper substitution of a class for a setvar variable results in the
       class (if the class exists), in inference form of ~ csbvarg .
       (Contributed by Giovanni Mascellani, 30-May-2019.) $)
    csbvargi $p |- [_ A / x ]_ x = A $=
      ( cvv wcel cv csb wceq csbvarg ax-mp ) BDEABAFGBHCABDIJ $.
  $}

  ${
    $d x y $.
    $( Substitution into a wff expressed in terms of substitution into a class.
       (Contributed by NM, 15-Aug-2007.)  (Revised by NM, 18-Aug-2018.) $)
    sbccsb $p |- ( [. A / x ]. ph <-> y e. [_ A / x ]_ { y | ph } ) $=
      ( wsbc cv cab wcel csb abid sbcbii sbcel2 bitr3i ) ABDECFZACGZHZBDENBDOIH
      PABDACJKBDNOLM $.
  $}

  $( Substitution into a wff expressed in using substitution into a class.
     (Contributed by NM, 27-Nov-2005.)  (Revised by NM, 18-Aug-2018.) $)
  sbccsb2 $p |- ( [. A / x ]. ph <-> A e. [_ A / x ]_ { x | ph } ) $=
    ( wsbc cvv wcel cab sbcex elex cv abid sbcbii sbcel12 csbvarg eleq1d syl5bb
    csb bitr3id pm5.21nii ) ABCDZCEFZCBCABGZQZFZABCHCUCITBJZUBFZBCDZUAUDUFABCAB
    KLUGBCUEQZUCFUAUDBCUEUBMUAUHCUCBCENOPRS $.

  ${
    $d x B $.  $d x D $.
    $( Special case related to ~ rspsbc .  (Contributed by NM, 10-Dec-2005.)
       (Proof shortened by Eric Schmidt, 17-Jan-2007.) $)
    rspcsbela $p |- ( ( A e. B /\ A. x e. B C e. D ) -> [_ A / x ]_ C e. D ) $=
      ( wcel wral csb wsbc rspsbc sbcel1g sylibd imp ) BCFZDEFZACGZABDHEFZNPOAB
      IQOABCJABDECKLM $.
  $}

  ${
    $d w x y z $.  $d w y z A $.
    $( Two ways of expressing " ` x ` is (effectively) not free in ` A ` ".
       (Contributed by Mario Carneiro, 14-Oct-2016.) $)
    sbnfc2 $p |- ( F/_ x A <-> A. y A. z [_ y / x ]_ A = [_ z / x ]_ A ) $=
      ( vw wnfc cv csb wceq wal cvv wcel vex csbtt mpan wsbc sbsbc sbcel2 bitri
      wsb eqtr4d alrimivv nfv wnf eleq2 3bitr4g 2alimi sbnf2 sylibr nfcd impbii
      wb ) ADFZABGZDHZACGZDHZIZCJBJZUMURBCUMUODUQUNKLUMUODIBMAUNDKNOUPKLUMUQDIC
      MAUPDKNOUAUBUSAEDUSEUCUSEGZDLZABTZVAACTZULZCJBJVAAUDURVDBCURUTUOLZUTUQLZV
      BVCUOUQUTUEVBVAAUNPVEVAABQAUNUTDRSVCVAAUPPVFVAACQAUPUTDRSUFUGVAABCUHUIUJU
      K $.
  $}

  ${
    $d y z A $.  $d z ph $.  $d x y z $.
    $( Move substitution into a class abstraction.  (Contributed by NM,
       13-Dec-2005.)  (Revised by NM, 19-Aug-2018.) $)
    csbab $p |- [_ A / x ]_ { y | ph } = { y | [. A / x ]. ph } $=
      ( vz cab csb wsbc cv wcel df-clab sbsbc bitri sbccom sbcbii bitr4i sbcel2
      wsb 3bitrri eqriv ) EBDACFZGZABDHZCFZEIZUDJZUCCUEHZUEUAJZBDHZUEUBJUFUCCER
      UGUCECKUCCELMUGACUEHZBDHUIACBUEDNUHUJBDUHACERUJAECKACELMOPBDUEUAQST $.
  $}

  ${
    $d A y $.  $d B y $.  $d C y $.  $d x y $.
    $( Distribution of class substitution over union of two classes.
       (Contributed by Drahflow, 23-Sep-2015.)  (Revised by Mario Carneiro,
       11-Dec-2016.)  (Revised by NM, 13-Sep-2018.) $)
    csbun $p |- [_ A / x ]_ ( B u. C ) = ( [_ A / x ]_ B u. [_ A / x ]_ C ) $=
      ( vy cvv wcel cun csb wceq cv csbeq1 uneq12d eqeq12d nfcsb1v nfun csbeq1a
      vex c0 csbprc weq csbief vtoclg wn un0 a1i 3eqtr4rd pm2.61i ) BFGZABCDHZI
      ZABCIZABDIZHZJZAEKZUJIZAUPCIZAUPDIZHZJUOEBFUPBJZUQUKUTUNAUPBUJLVAURULUSUM
      AUPBCLAUPBDLMNAUPUJUTERAURUSAUPCOAUPDOPAEUACURDUSAUPCQAUPDQMUBUCUIUDZSSHZ
      SUNUKVCSJVBSUEUFVBULSUMSABCTABDTMABUJTUGUH $.
  $}

  ${
    $d A y $.  $d B y $.  $d C y $.  $d x y $.
    $( Distribute proper substitution into a class through an intersection
       relation.  (Contributed by Alan Sare, 22-Jul-2012.)  (Revised by NM,
       18-Aug-2018.) $)
    csbin $p |- [_ A / x ]_ ( B i^i C )
                 = ( [_ A / x ]_ B i^i [_ A / x ]_ C ) $=
      ( vy cvv wcel cin csb wceq cv csbeq1 ineq12d eqeq12d nfcsb1v nfin csbeq1a
      vex c0 csbprc weq csbief vtoclg wn in0 eqtr2di eqtrd pm2.61i ) BFGZABCDHZ
      IZABCIZABDIZHZJZAEKZUJIZAUPCIZAUPDIZHZJUOEBFUPBJZUQUKUTUNAUPBUJLVAURULUSU
      MAUPBCLAUPBDLMNAUPUJUTERAURUSAUPCOAUPDOPAEUACURDUSAUPCQAUPDQMUBUCUIUDZUKS
      UNABUJTVBUNSSHSVBULSUMSABCTABDTMSUEUFUGUH $.
  $}

  ${
    $d x y $.  $d A y $.  $d B y $.  $d D y $.  $d ph y $.
    csbie2df.p $e |- F/ x ph $.
    csbie2df.c $e |- ( ph -> F/_ x C ) $.
    csbie2df.d $e |- ( ph -> F/_ x D ) $.
    csbie2df.a $e |- ( ph -> A e. V ) $.
    csbie2df.1 $e |- ( ( ph /\ x = y ) -> B = C ) $.
    csbie2df.2 $e |- ( ( ph /\ y = A ) -> C = D ) $.
    $( Conversion of implicit substitution to explicit class substitution.
       This version of ~ csbiedf avoids a disjointness condition on ` x , A `
       and ` x , D ` by substituting twice.  Deduction form of ~ csbie2 .
       (Contributed by AV, 29-Mar-2024.) $)
    csbie2df $p |- ( ph -> [_ A / x ]_ B = D ) $=
      ( csb wceq wi wsbc wb wa wcel eqidd cv dfsbcq sbceqg adantr sylan2 eqeq2d
      wnfc csbtt bitrd mpancom sylan9bb pm5.74da eqeq1d pm5.74d wsb sbsbc nfeqd
      expcom weq ex sbiedw bitr3id pm5.74i vtoclbg mpbiri mpcom ) DHUAZABDEOZGP
      ZLVIAVKQZAGGPZQZAGUBAEGPZBCUCZRZQAFGPZQVLVNCDHVPDPZAVQVKVSVQVOBDRZAVKVOBV
      PDUDVIAVTVKSLVIATZVTVJBDGOZPZVKVIVTWCSABDEGHUEUFWAWBGVJAVIBGUIWBGPKBDGHUJ
      UGUHUKULUMUNVSAVRVMAVSVRVMSAVSTFGGNUOUTUPAVQVRVQVOBCUQAVRVOBCURAVOVRBCIAB
      FGJKUSABCVAZVOVRSAWDTEFGMUOVBVCVDVEVFVGVH $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d X x y $.  $d ph y $.  $d ch x y $.
    $d ps x y $.
    2nreu.a $e |- ( x = A -> ( ph <-> ps ) ) $.
    2nreu.b $e |- ( x = B -> ( ph <-> ch ) ) $.
    $( If there are two different sets fulfilling a wff (by implicit
       substitution), then there is no unique set fulfilling the wff.
       (Contributed by AV, 20-Jun-2023.) $)
    2nreu $p |- ( ( A e. X /\ B e. X /\ A =/= B )
                  -> ( ( ps /\ ch ) -> -. E! x e. X ph ) ) $=
      ( vy wne wa wn wrex wsbc wb sbcan anbi12d syl5bb csb wcel w3a wreu wsb wi
      weq wo cv simpl1 simpl2 simprl sbcieg 3ad2ant2 biimprd adantld imp simpl3
      jca simp1 simp2 simp3 nfs1v sbcgf sbcne12 csbvarg csbconstg 3ad2ant1 sbcg
      neeq12d sbcbidv sbsbc sbcbii sbccow mpbird rspesbca syl2anc sbcrex sylibr
      a1i bitrd syl112anc pm4.61 df-ne bicomi anbi2i bitri 2rexbii olcd rexnal2
      wral ianor orbi2i reu2 xchnxbir ex ) EGUAZFGUAZEFKZUBZBCLZADGUCZMZWSWTLZA
      DGNZMZAADJUDZLZDJUFZUEZMZJGNDGNZUGZXBXCXKXEXCXGDUHZJUHZKZLZJGNZDGNZXKXCWP
      WQBADFOZLZWRXRWPWQWRWTUIWPWQWRWTUJXCBXSWSBCUKWSWTXSWSCXSBWSXSCWQWPXSCPWRA
      CDFGIULUMUNUOUPURWPWQWRWTUQWPWQXTWRLZUBZWPXQDEOZXRWPWQYAUSYBXPDEOZJGNZYCY
      BWQYDJFOZYEWPWQYAUTYBYFYAWPWQYAVAYBYFBXFLZEXNKZLZJFOZYAYBYDYIJFWPWQYDYIPY
      AYDXGDEOZXODEOZLWPYIXGXODEQWPYKYGYLYHYKADEOZXFDEOZLWPYGAXFDEQWPYMBYNXFABD
      EGHULXFDEGADJVBVCRSYLDEXMTZDEXNTZKWPYHDEXMXNVDWPYOEYPXNDEGVEDEXNGVFVISRSV
      GVJYJYGJFOZYHJFOZLYBYAYGYHJFQYBYQXTYRWRYQBJFOZXFJFOZLZYBXTBXFJFQWQWPUUAXT
      PYAWQYSBYTXSBJFGVHYTADXNOZJFOZWQXSXFUUBJFADJVKVLUUCXSPWQADJFVMVSSRUMSYRJF
      ETZJFXNTZKZYBWRJFEXNVDWQWPUUFWRPYAWQUUDEUUEFJFEGVFJFGVEVIUMSRSVTVNYDJFGVO
      VPXPDJEGVQVRXQDEGVOVPWAXJXPDJGGXJXGXHMZLXPXGXHWBUUGXOXGXOUUGXMXNWCWDWEWFW
      GVRWHXDXIJGWJDGWJZLZXLXAUUIMXEUUHMZUGXLXDUUHWKUUJXKXEXKUUJXIDJGGWIWDWLWFA
      DJGWMWNVRWO $.
  $}

  $( Two classes are empty iff their union is empty.  (Contributed by NM,
     11-Aug-2004.) $)
  un00 $p |- ( ( A = (/) /\ B = (/) ) <-> ( A u. B ) = (/) ) $=
    ( c0 wceq wa cun uneq12 un0 eqtrdi wss ssun1 sseq2 mpbii sylib ssun2 impbii
    ss0b jca ) ACDZBCDZEZABFZCDZUAUBCCFCACBCGCHIUCSTUCACJZSUCAUBJUDABKUBCALMAQN
    UCBCJZTUCBUBJUEBAOUBCBLMBQNRP $.

  $( Only the universal class has the universal class as a subclass.
     (Contributed by NM, 17-Sep-2003.)  (Proof shortened by Andrew Salmon,
     26-Jun-2011.) $)
  vss $p |- ( _V C_ A <-> A = _V ) $=
    ( cvv wss wa wceq ssv biantrur eqss bitr4i ) BACZABCZJDABEKJAFGABHI $.

  $( The null set is a proper subset of any nonempty set.  (Contributed by NM,
     27-Feb-1996.) $)
  0pss $p |- ( (/) C. A <-> A =/= (/) ) $=
    ( c0 wpss wne wss 0ss df-pss mpbiran necom bitri ) BACZBADZABDKBAELAFBAGHBA
    IJ $.

  $( No set is a proper subset of the empty set.  (Contributed by NM,
     17-Jun-1998.)  (Proof shortened by Andrew Salmon, 26-Jun-2011.)  (Proof
     shortened by JJ, 14-Jul-2021.) $)
  npss0 $p |- -. A C. (/) $=
    ( c0 wss wpss wn 0ss ssnpss ax-mp ) BACABDEAFBAGH $.

  $( Any non-universal class is a proper subclass of the universal class.
     (Contributed by NM, 17-May-1998.) $)
  pssv $p |- ( A C. _V <-> -. A = _V ) $=
    ( cvv wpss wss wceq wn ssv dfpss2 mpbiran ) ABCABDABEFAGABHI $.

  ${
    $d x y z A $.  $d x y z B $.  $d x y C $.
    $( Two ways of saying that two classes are disjoint (have no members in
       common).  (Contributed by NM, 17-Feb-2004.)  Avoid ~ ax-10 , ~ ax-11 ,
       ~ ax-12 .  (Revised by Gino Giotto, 28-Jun-2024.) $)
    disj $p |- ( ( A i^i B ) = (/) <-> A. x e. A -. x e. B ) $=
      ( vz cin c0 wceq cv wcel wn wi wal wral wa wb eleq1w biimpd eleq1a 3bitri
      albii cab df-in eqeq1i dfcleq wsb weq df-clab id anim12d embantd anim12ii
      sb6 spimvw alrimiv impbii bibi2i bitri eqcom bicom 3bitr4i imnan noel nbn
      bitr2i df-ral bitr4i ) BCEZFGZAHZBIZVICIZJZKZALZVLABMVHDHZBIZVOCIZNZDUAZF
      GZVJVKNZVIFIZOZALZVNVGVSFDBCUBUCFVSGZWBWAOZALZVTWDWEWBVIVSIZOZALWGAFVSUDW
      IWFAWHWAWBWHVRDAUEDAUFZVRKZDLZWAVRADUGVRDAULWLWAWKWADAWJWJVRWAWJUHWJVPVJV
      QVKWJVPVJDABPQWJVQVKDACPQUIUJUMWAWKDVJWJVPVKVQVIBVORVICVORUKUNUOSUPTUQVSF
      URWCWFAWAWBUSTUTWCVMAVMWAJWCVJVKVAWBWAVIVBVCVDTSVLABVEVF $.
    $( $j usage 'disj' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Obsolete version of ~ disj as of 28-Jun-2024.  (Contributed by NM,
       17-Feb-2004.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    disjOLD $p |- ( ( A i^i B ) = (/) <-> A. x e. A -. x e. B ) $=
      ( cin c0 wceq cv wcel wn wi wal wral wa cab df-in eqeq1i abeq1 imnan noel
      wb nbn bitr2i albii 3bitri df-ral bitr4i ) BCDZEFZAGZBHZUICHZIZJZAKZULABL
      UHUJUKMZANZEFUOUIEHZTZAKUNUGUPEABCOPUOAEQURUMAUMUOIURUJUKRUQUOUISUAUBUCUD
      ULABUEUF $.

    $( Two ways of saying that two classes are disjoint.  (Contributed by Jeff
       Madsen, 19-Jun-2011.) $)
    disjr $p |- ( ( A i^i B ) = (/) <-> A. x e. B -. x e. A ) $=
      ( cin c0 wceq cv wcel wn wral incom eqeq1i disj bitri ) BCDZEFCBDZEFAGBHI
      ACJOPEBCKLACBMN $.

    $( Two ways of saying that two classes are disjoint (have no members in
       common).  (Contributed by NM, 19-Aug-1993.) $)
    disj1 $p |- ( ( A i^i B ) = (/) <-> A. x ( x e. A -> -. x e. B ) ) $=
      ( cin c0 wceq cv wcel wn wral wi wal disj df-ral bitri ) BCDEFAGZCHIZABJP
      BHQKALABCMQABNO $.

    $( Two ways of saying that two classes are disjoint, using the complement
       of ` B ` relative to a universe ` C ` .  (Contributed by NM,
       15-Feb-2007.)  (Proof shortened by Andrew Salmon, 26-Jun-2011.)  Avoid
       ~ ax-12 .  (Revised by Gino Giotto, 28-Jun-2024.) $)
    reldisj $p |- ( A C_ C -> ( ( A i^i B ) = (/) <-> A C_ ( C \ B ) ) ) $=
      ( vx vy wss cv wcel wn wi wal cdif cin c0 wceq dfss2 weq eleq1w imbi12d
      wb spw wa pm5.44 eldif imbi2i bitr4di syl sylbi albidv disj1 3bitr4g ) AC
      FZDGZAHZUMBHIZJZDKUNUMCBLZHZJZDKABMNOAUQFULUPUSDULUNUMCHZJZDKZUPUSTZDACPV
      BVAVCVAEGZAHZVDCHZJDEDEQUNVEUTVFDEARDECRSUAVAUPUNUTUOUBZJUSUNUTUOUCURVGUN
      UMCBUDUEUFUGUHUIDABUJDAUQPUK $.
    $( $j usage 'reldisj' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Obsolete version of ~ reldisj as of 28-Jun-2024.  (Contributed by NM,
       15-Feb-2007.)  (Proof shortened by Andrew Salmon, 26-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    reldisjOLD $p |- ( A C_ C -> ( ( A i^i B ) = (/) <-> A C_ ( C \ B ) ) ) $=
      ( vx wss cv wcel wn wi wal cdif cin c0 wceq wb dfss2 pm5.44 eldif imbi2i
      wa bitr4di sps sylbi albidv disj1 3bitr4g ) ACEZDFZAGZUHBGHZIZDJUIUHCBKZG
      ZIZDJABLMNAULEUGUKUNDUGUIUHCGZIZDJUKUNOZDACPUPUQDUPUKUIUOUJTZIUNUIUOUJQUM
      URUIUHCBRSUAUBUCUDDABUEDAULPUF $.

    $( Two ways of saying that two classes are disjoint.  (Contributed by NM,
       19-May-1998.) $)
    disj3 $p |- ( ( A i^i B ) = (/) <-> A = ( A \ B ) ) $=
      ( vx cv wcel wn wi wal cdif wb cin c0 wa pm4.71 eldif bibi2i bitr4i albii
      wceq disj1 dfcleq 3bitr4i ) CDZAEZUCBEFZGZCHUDUCABIZEZJZCHABKLSAUGSUFUICU
      FUDUDUEMZJUIUDUENUHUJUDUCABOPQRCABTCAUGUAUB $.

    $( Members of disjoint sets are not equal.  (Contributed by NM,
       28-Mar-2007.)  (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
    disjne $p |- ( ( ( A i^i B ) = (/) /\ C e. A /\ D e. B ) -> C =/= D ) $=
      ( vx cin c0 wceq wcel wne cv wn wral wi disj eleq1 notbid rspccva eleq1a
      wa necon3bd syl5com sylanb 3impia ) ABFGHZCAIZDBIZCDJZUEEKZBIZLZEAMZUFUGU
      HNEABOULUFTCBIZLZUGUHUKUNECAUICHUJUMUICBPQRUGUMCDDBCSUAUBUCUD $.
  $}

  $( Two disjoint sets are equal iff both are empty.  (Contributed by AV,
     19-Jun-2022.) $)
  disjeq0 $p |- ( ( A i^i B ) = (/)
                  -> ( A = B <-> ( A = (/) /\ B = (/) ) ) ) $=
    ( cin c0 wceq wa ineq1 inidm eqtrdi eqeq1d eqtr simpr ex sylbid com12 eqtr3
    jca impbid1 ) ABCZDEZABEZADEZBDEZFZUATUDUATUCUDUASBDUASBBCBABBGBHIJUAUCUDUA
    UCFUBUCABDKUAUCLQMNOABDPR $.

  $( A set can't belong to both members of disjoint classes.  (Contributed by
     NM, 28-Feb-2015.) $)
  disjel $p |- ( ( ( A i^i B ) = (/) /\ C e. A ) -> -. C e. B ) $=
    ( cin c0 wceq wcel wn cdif wi disj3 eleq2 eldifn syl6bi sylbi imp ) ABDEFZC
    AGZCBGHZQAABIZFZRSJABKUARCTGSATCLCABMNOP $.

  $( Two ways of saying that two classes are disjoint.  (Contributed by NM,
     17-May-1998.) $)
  disj2 $p |- ( ( A i^i B ) = (/) <-> A C_ ( _V \ B ) ) $=
    ( cvv wss cin c0 wceq cdif wb ssv reldisj ax-mp ) ACDABEFGACBHDIAJABCKL $.

  $( Two ways of saying that two classes are disjoint.  (Contributed by NM,
     21-Mar-2004.) $)
  disj4 $p |- ( ( A i^i B ) = (/) <-> -. ( A \ B ) C. A ) $=
    ( cin c0 wceq cdif wpss disj3 eqcom wss difss dfpss2 mpbiran con2bii 3bitri
    wn ) ABCDEAABFZEQAEZQAGZPABHAQISRSQAJRPABKQALMNO $.

  $( Intersection with a subclass of a disjoint class.  (Contributed by FL,
     24-Jan-2007.)  (Proof shortened by JJ, 14-Jul-2021.) $)
  ssdisj $p |- ( ( A C_ B /\ ( B i^i C ) = (/) ) -> ( A i^i C ) = (/) ) $=
    ( wss cin c0 wceq wa ssrin eqimss sylan9ss ss0 syl ) ABDZBCEZFGZHACEZFDQFGN
    PQOFABCIOFJKQLM $.

  $( A class is a proper subset of its union with a disjoint nonempty class.
     (Contributed by NM, 15-Sep-2004.) $)
  disjpss $p |- ( ( ( A i^i B ) = (/) /\ B =/= (/) ) -> A C. ( A u. B ) ) $=
    ( cin c0 wceq wne wa wss wn cun wpss ssid biantru bitri sseq2 syl5bb syl6bi
    ssin ss0 necon3ad imp nsspssun uncom psseq2i sylib ) ABCZDEZBDFZGBAHZIZAABJ
    ZKZUGUHUJUGUIBDUGUIBDHZBDEUIBUFHZUGUMUIUIBBHZGUNUOUIBLMBABRNUFDBOPBSQTUAUJA
    BAJZKULBAUBUPUKABAUCUDNUE $.

  $( The union of disjoint classes is disjoint.  (Contributed by NM,
     26-Sep-2004.) $)
  undisj1 $p |- ( ( ( A i^i C ) = (/) /\ ( B i^i C ) = (/) ) <->
               ( ( A u. B ) i^i C ) = (/) ) $=
    ( cin c0 wceq wa cun un00 indir eqeq1i bitr4i ) ACDZEFBCDZEFGMNHZEFABHCDZEF
    MNIPOEABCJKL $.

  $( The union of disjoint classes is disjoint.  (Contributed by NM,
     13-Sep-2004.) $)
  undisj2 $p |- ( ( ( A i^i B ) = (/) /\ ( A i^i C ) = (/) ) <->
               ( A i^i ( B u. C ) ) = (/) ) $=
    ( cin c0 wceq wa cun un00 indi eqeq1i bitr4i ) ABDZEFACDZEFGMNHZEFABCHDZEFM
    NIPOEABCJKL $.

  $( Subclass expressed in terms of intersection with difference from the
     universal class.  (Contributed by NM, 17-Sep-2003.) $)
  ssindif0 $p |- ( A C_ B <-> ( A i^i ( _V \ B ) ) = (/) ) $=
    ( cvv cdif cin c0 wceq wss disj2 ddif sseq2i bitr2i ) ACBDZEFGACMDZHABHAMIN
    BABJKL $.

  $( The intersection of classes with a common member is nonempty.
     (Contributed by NM, 7-Apr-1994.) $)
  inelcm $p |- ( ( A e. B /\ A e. C ) -> ( B i^i C ) =/= (/) ) $=
    ( wcel wa cin c0 wne elin ne0i sylbir ) ABDACDEABCFZDLGHABCILAJK $.

  $( A minimum element of a class has no elements in common with the class.
     (Contributed by NM, 22-Jun-1994.)  (Proof shortened by JJ,
     14-Jul-2021.) $)
  minel $p |- ( ( A e. B /\ ( C i^i B ) = (/) ) -> -. A e. C ) $=
    ( wcel cin c0 wceq wn wne inelcm expcom necon2bd imp ) ABDZCBEZFGACDZHNPOFP
    NOFIACBJKLM $.

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Distribute union over difference.  (Contributed by NM, 17-May-1998.)
       (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
    undif4 $p |- ( ( A i^i C ) = (/) ->
                 ( A u. ( B \ C ) ) = ( ( A u. B ) \ C ) ) $=
      ( vx cv wcel wn wi wal cdif cun wb cin c0 wceq wo wa eldif elun 3bitr4g
      pm2.621 olc impbid1 anbi2d orbi2i bitri anbi1i alimi disj1 dfcleq 3imtr4i
      ordi ) DEZAFZUMCFGZHZDIUMABCJZKZFZUMABKZCJZFZLZDIACMNOURVAOUPVCDUPUNUMUQF
      ZPZUMUTFZUOQZUSVBUPUNUMBFZPZUNUOPZQZVIUOQVEVGUPVJUOVIUPVJUOUNUOUAUOUNUBUC
      UDVEUNVHUOQZPVKVDVLUNUMBCRUEUNVHUOULUFVFVIUOUMABSUGTUMAUQSUMUTCRTUHDACUID
      URVAUJUK $.

    $( Subset relation for disjoint classes.  (Contributed by NM, 25-Oct-2005.)
       (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
    disjssun $p |- ( ( A i^i B ) = (/) -> ( A C_ ( B u. C ) <-> A C_ C ) ) $=
      ( cin c0 wceq cun wss uneq2 indi equncomi un0 eqcomi 3eqtr4g eqeq1d df-ss
      3bitr4g ) ABDZEFZABCGZDZAFACDZAFATHACHSUAUBASUBRGUBEGZUAUBREUBIUARUBABCJK
      UCUBUBLMNOATPACPQ $.
  $}

  $( Universal class equality in terms of empty difference.  (Contributed by
     NM, 17-Sep-2003.) $)
  vdif0 $p |- ( A = _V <-> ( _V \ A ) = (/) ) $=
    ( cvv wceq wss cdif c0 vss ssdif0 bitr3i ) ABCBADBAEFCAGBAHI $.

  ${
    $d V x $.
    $( If the difference between the restricting class of a restricted class
       abstraction and the restricted class abstraction is empty, the
       restricting class is equal to this restricted class abstraction.
       (Contributed by Alexander van der Vekens, 31-Dec-2017.) $)
    difrab0eq $p |- ( ( V \ { x e. V | ph } ) = (/)
                      <-> V = { x e. V | ph } ) $=
      ( crab cdif c0 wceq wss ssdif0 ssrabeq bitr3i ) CABCDZEFGCLHCLGCLIABCJK
      $.
  $}

  ${
    $d x A $.  $d x B $.
    $( A proper subclass has a member in one argument that's not in both.
       (Contributed by NM, 29-Feb-1996.) $)
    pssnel $p |- ( A C. B -> E. x ( x e. B /\ -. x e. A ) ) $=
      ( wpss cv cdif wcel wex wn wa c0 wne pssdif n0 sylib eldif exbii ) BCDZAE
      ZCBFZGZAHZSCGSBGIJZAHRTKLUBBCMATNOUAUCASCBPQO $.
  $}

  $( A class and its relative complement are disjoint.  Theorem 38 of [Suppes]
     p. 29.  (Contributed by NM, 24-Mar-1998.) $)
  disjdif $p |- ( A i^i ( B \ A ) ) = (/) $=
    ( cin wss cdif c0 wceq inss1 inssdif0 mpbi ) ABCADABAECFGABHABAIJ $.

  $( A class and its relative complement are disjoint.  (Contributed by Thierry
     Arnoux, 29-Nov-2023.) $)
  disjdifr $p |- ( ( B \ A ) i^i A ) = (/) $=
    ( cdif cin c0 incom disjdif eqtr3i ) ABACZDIADEAIFABGH $.

  $( The difference of a class from its intersection is empty.  Theorem 37 of
     [Suppes] p. 29.  (Contributed by NM, 17-Aug-2004.)  (Proof shortened by
     Andrew Salmon, 26-Jun-2011.) $)
  difin0 $p |- ( ( A i^i B ) \ B ) = (/) $=
    ( cin wss cdif c0 wceq inss2 ssdif0 mpbi ) ABCZBDKBEFGABHKBIJ $.

  $( The union of a class and its complement is the universe.  Theorem 5.1(5)
     of [Stoll] p. 17.  (Contributed by NM, 17-Aug-2004.) $)
  unvdif $p |- ( A u. ( _V \ A ) ) = _V $=
    ( cvv cdif cun cin c0 dfun3 disjdif difeq2i dif0 3eqtri ) ABACZDBLBLCEZCBFC
    BALGMFBLBHIBJK $.

  $( Absorption of difference by union.  This decomposes a union into two
     disjoint classes (see ~ disjdif ).  Theorem 35 of [Suppes] p. 29.
     (Contributed by NM, 19-May-1998.) $)
  undif1 $p |- ( ( A \ B ) u. B ) = ( A u. B ) $=
    ( cvv cdif cin undir invdif uneq1i uncom unvdif eqtri ineq2i inv1 3eqtr3i
    cun ) ACBDZEZBOABOZPBOZEZABDZBORAPBFQUABABGHTRCERSCRSBPOCPBIBJKLRMKN $.

  $( Absorption of difference by union.  This decomposes a union into two
     disjoint classes (see ~ disjdif ).  Part of proof of Corollary 6K of
     [Enderton] p. 144.  (Contributed by NM, 19-May-1998.) $)
  undif2 $p |- ( A u. ( B \ A ) ) = ( A u. B ) $=
    ( cdif cun uncom undif1 3eqtri ) ABACZDHADBADABDAHEBAFBAEG $.

  $( Absorption of difference by union.  (Contributed by NM, 18-Aug-2013.) $)
  undifabs $p |- ( A u. ( A \ B ) ) = A $=
    ( cdif cun undif3 unidm difeq1i difdif 3eqtri ) AABCDAADZBACZCAKCAAABEJAKAF
    GABHI $.

  ${
    $d x A $.  $d x B $.
    $( The intersection and class difference of a class with another class
       unite to give the original class.  (Contributed by Paul Chapman,
       5-Jun-2009.)  (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
    inundif $p |- ( ( A i^i B ) u. ( A \ B ) ) = A $=
      ( vx cin cdif cv wcel wo wa wn elin eldif orbi12i pm4.42 bitr4i uneqri )
      CABDZABEZACFZQGZSRGZHSAGZSBGZIZUBUCJIZHUBTUDUAUESABKSABLMUBUCNOP $.
  $}

  $( The difference of a class and a class disjoint from it is the original
     class.  (Contributed by BJ, 21-Apr-2019.) $)
  disjdif2 $p |- ( ( A i^i B ) = (/) -> ( A \ B ) = A ) $=
    ( cin c0 wceq cdif difeq2 difin dif0 3eqtr3g ) ABCZDEAKFADFABFAKDAGABHAIJ
    $.

  $( Absorption of union by difference.  Theorem 36 of [Suppes] p. 29.
     (Contributed by NM, 19-May-1998.) $)
  difun2 $p |- ( ( A u. B ) \ B ) = ( A \ B ) $=
    ( cun cdif c0 difundir difid uneq2i un0 3eqtri ) ABCBDABDZBBDZCKECKABBFLEKB
    GHKIJ $.

  $( Union of complementary parts into whole.  (Contributed by NM,
     22-Mar-1998.) $)
  undif $p |- ( A C_ B <-> ( A u. ( B \ A ) ) = B ) $=
    ( wss cun wceq cdif ssequn1 undif2 eqeq1i bitr4i ) ABCABDZBEABAFDZBEABGLKBA
    BHIJ $.

  $( A subset of a difference does not intersect the subtrahend.  (Contributed
     by Jeff Hankins, 1-Sep-2013.)  (Proof shortened by Mario Carneiro,
     24-Aug-2015.) $)
  ssdifin0 $p |- ( A C_ ( B \ C ) -> ( A i^i C ) = (/) ) $=
    ( cdif wss cin c0 wceq ssrin disjdifr sseq0 sylancl ) ABCDZEACFZMCFZEOGHNGH
    AMCICBJNOKL $.

  $( A class is a subclass of itself subtracted from another iff it is the
     empty set.  (Contributed by Steve Rodriguez, 20-Nov-2015.) $)
  ssdifeq0 $p |- ( A C_ ( B \ A ) <-> A = (/) ) $=
    ( cdif wss wceq cin inidm ssdifin0 eqtr3id 0ss difeq2 sseq12d mpbiri impbii
    c0 id ) ABACZDZAOEZRAAAFOAGABAHISROBOCZDTJSAOQTSPAOBKLMN $.

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( A condition equivalent to inclusion in the union of two classes.
       (Contributed by NM, 26-Mar-2007.) $)
    ssundif $p |- ( A C_ ( B u. C ) <-> ( A \ B ) C_ C ) $=
      ( vx cv wcel cun wi wal cdif wss wn wa wo pm5.6 eldif imbi1i imbi2i dfss2
      elun 3bitr4ri albii 3bitr4i ) DEZAFZUDBCGZFZHZDIUDABJZFZUDCFZHZDIAUFKUICK
      UHULDUEUDBFZLMZUKHUEUMUKNZHULUHUEUMUKOUJUNUKUDABPQUGUOUEUDBCTRUAUBDAUFSDU
      ICSUC $.
  $}

  $( Swap the arguments of a class difference.  (Contributed by NM,
     29-Mar-2007.) $)
  difcom $p |- ( ( A \ B ) C_ C <-> ( A \ C ) C_ B ) $=
    ( cun wss cdif uncom sseq2i ssundif 3bitr3i ) ABCDZEACBDZEABFCEACFBEKLABCGH
    ABCIACBIJ $.

  $( Two ways to express overlapping subsets.  (Contributed by Stefan O'Rear,
     31-Oct-2014.) $)
  pssdifcom1 $p |- ( ( A C_ C /\ B C_ C ) ->
    ( ( C \ A ) C. B <-> ( C \ B ) C. A ) ) $=
    ( wss wa cdif wn wpss wb difcom ssconb ancoms notbid anbi12d dfpss3 3bitr4g
    a1i ) ACDZBCDZEZCAFZBDZBUADZGZECBFZADZAUEDZGZEUABHUEAHTUBUFUDUHUBUFITCABJQT
    UCUGSRUCUGIBACKLMNUABOUEAOP $.

  $( Two ways to express non-covering pairs of subsets.  (Contributed by Stefan
     O'Rear, 31-Oct-2014.) $)
  pssdifcom2 $p |- ( ( A C_ C /\ B C_ C ) ->
    ( B C. ( C \ A ) <-> A C. ( C \ B ) ) ) $=
    ( wss wa cdif wn wpss wb ssconb ancoms difcom notbii anbi12d dfpss3 3bitr4g
    a1i ) ACDZBCDZEZBCAFZDZUABDZGZEACBFZDZUEADZGZEBUAHAUEHTUBUFUDUHSRUBUFIBACJK
    UDUHITUCUGCABLMQNBUAOAUEOP $.

  $( Distributive law for class difference.  Exercise 4.8 of [Stoll] p. 16.
     (Contributed by NM, 18-Aug-2004.) $)
  difdifdir $p |- ( ( A \ B ) \ C ) = ( ( A \ C ) \ ( B \ C ) ) $=
    ( cdif cvv cun cin dif32 invdif eqtr4i un0 indi disjdif incom eqtr3i uneq2i
    c0 ddif indm difeq2i ineq2i 3eqtri ) ABDCDZACDZEBDZCFZGZUDEBCDZDZGUDUHDUCUD
    UEGZQFZUGUCUJUKUCUDBDUJABCHUDBIJUJKJUGUJUDCGZFUKUDUECLQULUJCUDGQULCAMCUDNOP
    JJUFUIUDUEEECDZDZFZUFUIUNCUECRPEBUMGZDUOUIBUMSUPUHEBCITOOUAUDUHIUB $.

  $( Two ways to say that ` A ` and ` B ` partition ` C ` (when ` A ` and ` B `
     don't overlap and ` A ` is a part of ` C ` ).  (Contributed by FL,
     17-Nov-2008.)  (Proof shortened by JJ, 14-Jul-2021.) $)
  uneqdifeq $p |- ( ( A C_ C /\ ( A i^i B ) = (/) )
     -> ( ( A u. B ) = C <-> ( C \ A ) = B ) ) $=
    ( wss cin c0 wceq wa cun cdif uncom eqcomd difeq1 difun2 incom eqeq1i disj3
    wi eqtr adantl bitri expcom eqcoms sylbi syl5com sylancl com12 simpl difssd
    syl mpan sseq1 mpbid unssd eqimss ssundif sylibr eqssd ex adantr impbid ) A
    CDZABEZFGZHABIZCGZCAJZBGZVDVFVHRVBVFVDVHBAIZVEGZVFVDVHRZBAKVJVFHZCVIGZVKVLV
    ICVIVECSLVMVGVIAJZGZVNBAJZGZVKCVIAMBANVOVQHVGVPGZVDVHVGVNVPSVDBVPGZVRVHRZVD
    BAEZFGVSVCWAFABOPBAQUAVTVPBVRVPBGVHVGVPBSUBUCUDUEUFUJUKUGTVBVHVFRVDVBVHVFVB
    VHHZVECWBABCVBVHUHVHBCDZVBVHVGCDWCVHCAUIVGBCULUMTUNVHCVEDZVBVHVGBDWDVGBUOCA
    BUPUQTURUSUTVA $.

  ${
    $d A x $.  $d B x $.
    raldifeq.1 $e |- ( ph -> A C_ B ) $.
    raldifeq.2 $e |- ( ph -> A. x e. ( B \ A ) ps ) $.
    $( Equality theorem for restricted universal quantifier.  (Contributed by
       Thierry Arnoux, 6-Jul-2019.) $)
    raldifeq $p |- ( ph -> ( A. x e. A ps <-> A. x e. B ps ) ) $=
      ( wral cdif cun wa biantrud ralunb bitr4di wceq undif sylib raleqdv bitrd
      wss ) ABCDHZBCDEDIZJZHZBCEHAUAUABCUBHZKUDAUEUAGLBCDUBMNABCUCEADETUCEOFDEP
      QRS $.
  $}

  ${
    $d x A $.
    $( Theorem 19.2 of [Margaris] p. 89 with restricted quantifiers (compare
       ~ 19.2 ).  The restricted version is valid only when the domain of
       quantification is not empty.  (Contributed by NM, 15-Nov-2003.) $)
    r19.2z $p |- ( ( A =/= (/) /\ A. x e. A ph ) -> E. x e. A ph ) $=
      ( wral c0 wne wrex cv wex wa wi wal df-ral exintr sylbi n0 df-rex 3imtr4g
      wcel impcom ) ABCDZCEFZABCGZUABHCSZBIZUDAJBIZUBUCUAUDAKBLUEUFKABCMUDABNOB
      CPABCQRT $.

    $( A response to the notion that the condition ` A =/= (/) ` can be removed
       in ~ r19.2z .  Interestingly enough, ` ph ` does not figure in the
       left-hand side.  (Contributed by Jeff Hankins, 24-Aug-2009.) $)
    r19.2zb $p |- ( A =/= (/) <-> ( A. x e. A ph -> E. x e. A ph ) ) $=
      ( c0 wral wrex wi r19.2z ex wceq cv wcel noel pm2.21i rgen raleq necon3bi
      wne mpbiri wex wa exsimpl df-rex n0 3imtr4i ja impbii ) CDRZABCEZABCFZGUH
      UIUJABCHIUIUJUHUICDCDJUIABDEABDBKZDLAUKMNOABCDPSQUKCLZAUABTULBTUJUHULABUB
      ABCUCBCUDUEUFUG $.
  $}

  ${
    $d x A $.
    r19.3rz.1 $e |- F/ x ph $.
    $( Restricted quantification of wff not containing quantified variable.
       (Contributed by FL, 3-Jan-2008.) $)
    r19.3rz $p |- ( A =/= (/) -> ( ph <-> A. x e. A ph ) ) $=
      ( c0 wne cv wcel wex wi wral wb n0 biimt sylbi df-ral 19.23 bitri bitr4di
      wal ) CEFZABGCHZBIZAJZABCKZUAUCAUDLBCMUCANOUEUBAJBTUDABCPUBABDQRS $.

    $( Restricted quantifier version of Theorem 19.28 of [Margaris] p. 90.  It
       is valid only when the domain of quantification is not empty.
       (Contributed by NM, 26-Oct-2010.) $)
    r19.28z $p |- ( A =/= (/) ->
                   ( A. x e. A ( ph /\ ps ) <-> ( ph /\ A. x e. A ps ) ) ) $=
      ( c0 wne wa wral r19.26 r19.3rz anbi1d bitr4id ) DFGZABHCDIACDIZBCDIZHAPH
      ABCDJNAOPACDEKLM $.
  $}

  ${
    $d x A $.  $d x ph $.
    $( Restricted quantification of wff not containing quantified variable.
       (Contributed by NM, 10-Mar-1997.) $)
    r19.3rzv $p |- ( A =/= (/) -> ( ph <-> A. x e. A ph ) ) $=
      ( nfv r19.3rz ) ABCABDE $.

    $( Restricted quantification of wff not containing quantified variable.
       (Contributed by NM, 27-May-1998.) $)
    r19.9rzv $p |- ( A =/= (/) -> ( ph <-> E. x e. A ph ) ) $=
      ( wrex wn wral c0 wne dfrex2 r19.3rzv con1bid bitr2id ) ABCDAEZBCFZECGHZA
      ABCIOANMBCJKL $.

    $( Restricted quantifier version of Theorem 19.28 of [Margaris] p. 90.  It
       is valid only when the domain of quantification is not empty.
       (Contributed by NM, 19-Aug-2004.) $)
    r19.28zv $p |- ( A =/= (/) ->
                   ( A. x e. A ( ph /\ ps ) <-> ( ph /\ A. x e. A ps ) ) ) $=
      ( nfv r19.28z ) ABCDACEF $.

    $( Restricted quantifier version of Theorem 19.37 of [Margaris] p. 90.  It
       is valid only when the domain of quantification is not empty.
       (Contributed by Paul Chapman, 8-Oct-2007.) $)
    r19.37zv $p |- ( A =/= (/) ->
                   ( E. x e. A ( ph -> ps ) <-> ( ph -> E. x e. A ps ) ) ) $=
      ( c0 wne wi wrex wral r19.35 r19.3rzv imbi1d bitr4id ) DEFZABGCDHACDIZBCD
      HZGAPGABCDJNAOPACDKLM $.

    $( Restricted version of Theorem 19.45 of [Margaris] p. 90.  (Contributed
       by NM, 27-May-1998.) $)
    r19.45zv $p |- ( A =/= (/) ->
                   ( E. x e. A ( ph \/ ps ) <-> ( ph \/ E. x e. A ps ) ) ) $=
      ( c0 wne wo wrex r19.43 r19.9rzv orbi1d bitr4id ) DEFZABGCDHACDHZBCDHZGAO
      GABCDIMANOACDJKL $.
  $}

  ${
    $d x A $.  $d x ps $.
    $( Restricted version of Theorem 19.44 of [Margaris] p. 90.  (Contributed
       by NM, 27-May-1998.) $)
    r19.44zv $p |- ( A =/= (/) ->
                   ( E. x e. A ( ph \/ ps ) <-> ( E. x e. A ph \/ ps ) ) ) $=
      ( c0 wne wo wrex r19.43 r19.9rzv orbi2d bitr4id ) DEFZABGCDHACDHZBCDHZGNB
      GABCDIMBONBCDJKL $.
  $}

  ${
    $d x A $.
    r19.27z.1 $e |- F/ x ps $.
    $( Restricted quantifier version of Theorem 19.27 of [Margaris] p. 90.  It
       is valid only when the domain of quantification is not empty.
       (Contributed by NM, 26-Oct-2010.) $)
    r19.27z $p |- ( A =/= (/) ->
                   ( A. x e. A ( ph /\ ps ) <-> ( A. x e. A ph /\ ps ) ) ) $=
      ( c0 wne wa wral r19.26 r19.3rz anbi2d bitr4id ) DFGZABHCDIACDIZBCDIZHOBH
      ABCDJNBPOBCDEKLM $.
  $}

  ${
    $d x A $.  $d x ps $.
    $( Restricted quantifier version of Theorem 19.27 of [Margaris] p. 90.  It
       is valid only when the domain of quantification is not empty.
       (Contributed by NM, 19-Aug-2004.) $)
    r19.27zv $p |- ( A =/= (/) ->
                   ( A. x e. A ( ph /\ ps ) <-> ( A. x e. A ph /\ ps ) ) ) $=
      ( nfv r19.27z ) ABCDBCEF $.

    $( Restricted quantifier version of Theorem 19.36 of [Margaris] p. 90.  It
       is valid only when the domain of quantification is not empty.
       (Contributed by NM, 20-Sep-2003.) $)
    r19.36zv $p |- ( A =/= (/) ->
                   ( E. x e. A ( ph -> ps ) <-> ( A. x e. A ph -> ps ) ) ) $=
      ( c0 wne wi wrex wral r19.35 r19.9rzv imbi2d bitr4id ) DEFZABGCDHACDIZBCD
      HZGOBGABCDJNBPOBCDKLM $.
  $}

  ${
    $d x y A $.  $d ph y $.  $d ps x $.
    ralidmw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Idempotent law for restricted quantifier.  Weak version of ~ ralidm ,
       which does not require ~ ax-10 , ~ ax-12 , but requires ~ ax-8 .
       (Contributed by Gino Giotto, 30-Sep-2024.) $)
    ralidmw $p |- ( A. x e. A A. x e. A ph <-> A. x e. A ph ) $=
      ( cv wcel wral wi wal df-ral imbi2i albii pm2.21 weq eleq1w imbi12d spw
      ja alimi hba1w ax-1 alrimih impbii bitri 3bitr4i ) CGEHZACEIZJZCKZUHAJZCK
      ZUICEIUIUKUHUMJZCKZUMUJUNCUIUMUHACELZMNUOUMUNULCUHUMULUHAOULDGEHZBJZCDCDP
      UHUQABCDEQFRZSTUAUMUNCULURCDUSUBUMUHUCUDUEUFUICELUPUG $.
    $( $j usage 'ralidmw' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x A $.  $d x y $.
    $( Vacuous quantification is always true.  (Contributed by NM,
       11-Mar-1997.)  (Proof shortened by Andrew Salmon, 26-Jun-2011.)  Avoid
       ~ df-clel , ~ ax-8 .  (Revised by Gino Giotto, 2-Sep-2024.) $)
    rzal $p |- ( A = (/) -> A. x e. A ph ) $=
      ( vy wfal cab wceq cv wcel wi wal c0 wral dfcleq biimpi wsb df-clab bitri
      wb sbv bibi2i nbfal pm2.21 sylbir sylbi sylg dfnul4 eqeq2i df-ral 3imtr4i
      wn ) CEDFZGZBHZCIZAJZBKCLGABCMUMUOUNULIZSZUPBUMURBKBCULNOURUOESZUPUQEUOUQ
      EDBPEEBDQEDBTRUAUSUOUKUPUOUBUOAUCUDUEUFLULCDUGUHABCUIUJ $.
    $( $j usage 'rzal' avoids 'df-clel' 'ax-8'; $)

    $( Alternate proof of ~ rzal .  Shorter, but requiring ~ df-clel , ~ ax-8 .
       (Contributed by NM, 11-Mar-1997.)  (Proof shortened by Andrew Salmon,
       26-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    rzalALT $p |- ( A = (/) -> A. x e. A ph ) $=
      ( c0 wceq cv wcel ne0i necon2bi pm2.21d ralrimiv ) CDEZABCLBFZCGZANCDCMHI
      JK $.

    $( Restricted existential quantification implies its restriction is
       nonempty.  (Contributed by Szymon Jaroszewicz, 3-Apr-2007.)  Avoid
       ~ df-clel , ~ ax-8 .  (Revised by Gino Giotto, 2-Sep-2024.) $)
    rexn0 $p |- ( E. x e. A ph -> A =/= (/) ) $=
      ( wrex c0 wn wral wceq dfrex2 rzal con3i sylbi neqned ) ABCDZCENAFZBCGZFC
      EHZFABCIQPOBCJKLM $.
    $( $j usage 'rexn0' avoids 'df-clel' 'ax-8'; $)
  $}

  $( Idempotent law for restricted quantifier.  (Contributed by NM,
     28-Mar-1997.)  Reduce axiom usage.  (Revised by Gino Giotto,
     2-Sep-2024.) $)
  ralidm $p |- ( A. x e. A A. x e. A ph <-> A. x e. A ph ) $=
    ( wral cv wcel wi df-ral ax-1 axc4i pm2.21 sp ja alimi impbii bicomi imbi2i
    wal albii 3bitrri bitri ) ABCDZBCDBECFZUBGZBRZUBUBBCHUBUCAGZBRZUCUGGZBRZUEA
    BCHZUGUIUFUHBUGUCIJUHUFBUCUGUFUCAKUFBLMNOUHUDBUGUBUCUBUGUJPQSTUA $.
  $( $j usage 'ralidm' avoids 'df-clel' 'df-cleq' 'ax-8' 'ax-9' 'ax-ext'; $)

  $( Vacuous universal quantification is always true.  (Contributed by NM,
     20-Oct-2005.)  Avoid ~ df-clel , ~ ax-8 .  (Revised by Gino Giotto,
     2-Sep-2024.) $)
  ral0 $p |- A. x e. (/) ph $=
    ( c0 wceq wral eqid rzal ax-mp ) CCDABCECFABCGH $.
  $( $j usage 'rzal' avoids 'df-clel' 'ax-8'; $)

  ${
    $d x A $.  $d x y $.
    ralf0.1 $e |- -. ph $.
    $( The quantification of a falsehood is vacuous when true.  (Contributed by
       NM, 26-Nov-2005.)  (Proof shortened by JJ, 14-Jul-2021.)  Avoid
       ~ df-clel , ~ ax-8 .  (Revised by Gino Giotto, 2-Sep-2024.) $)
    ralf0 $p |- ( A. x e. A ph <-> A = (/) ) $=
      ( vy wral c0 wceq wn wi wa r19.26 wfal cv wal pm2.24 impcom ralimi df-ral
      wcel dfnot bicomi albii sylbb cab wb falim pm5.21ni wsb df-clab sbv bitri
      id bitr4di alimi dfcleq sylibr dfnul4 eqtr4di 3syl sylbir a1i mprg impbii
      ex rzal ) ABCFZCGHZAIZVGVHJBCVIBCFZVGVHVJVGKVIAKZBCFZVHVIABCLVLMBCFZBNZCT
      ZIZBOZVHVKMBCAVIMAMPQRVMVOMJZBOVQMBCSVRVPBVPVRVOUAUBUCUDVQCMEUEZGVQVOVNVS
      TZUFZBOCVSHVPWABVPVOMVTVOVOMVOUMVOUGUHVTMEBUIMMBEUJMEBUKULUNUOBCVSUPUQEUR
      USUTVAVEVIVODVBVCABCVFVD $.
    $( $j usage 'ralf0' avoids 'df-clel' 'ax-8'; $)
  $}

  ${
    $d x A $.
    $( Obsolete version of ~ rexn0 as of 2-Sep-2024.  (Contributed by Szymon
       Jaroszewicz, 3-Apr-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    rexn0OLD $p |- ( E. x e. A ph -> A =/= (/) ) $=
      ( c0 wne cv wcel ne0i a1d rexlimiv ) ACDEZBCBFZCGKACLHIJ $.

    $( Obsolete version of ~ ralidm as of 2-Sep-2024.  (Contributed by NM,
       28-Mar-1997.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ralidmOLD $p |- ( A. x e. A A. x e. A ph <-> A. x e. A ph ) $=
      ( c0 wceq wral wb rzal 2thd wn cv wcel wex neq0 wi wal df-ral nfra1 19.23
      bitri biimt bitr4id sylbi pm2.61i ) CDEZABCFZBCFZUFGZUEUGUFUFBCHABCHIUEJB
      KCLZBMZUHBCNUJUGUJUFOZUFUGUIUFOBPUKUFBCQUIUFBABCRSTUJUFUAUBUCUD $.
  $}

  $( Obsolete version of ~ ral0 as of 2-Sep-2024.  (Contributed by NM,
     20-Oct-2005.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  ral0OLD $p |- A. x e. (/) ph $=
    ( c0 cv wcel noel pm2.21i rgen ) ABCBDZCEAIFGH $.

  ${
    $d x A $.
    ralf0OLD.1 $e |- -. ph $.
    $( Obsolete version of ~ ralf0 as of 2-Sep-2024.  (Contributed by NM,
       26-Nov-2005.)  (Proof shortened by JJ, 14-Jul-2021.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ralf0OLD $p |- ( A. x e. A ph <-> A = (/) ) $=
      ( cv wcel wn wal wi c0 wceq wral wb mtt ax-mp albii eq0 df-ral 3bitr4ri )
      BECFZGZBHTAIZBHCJKABCLUAUBBAGUAUBMDATNOPBCQABCRS $.
  $}

  ${
    $d A x $.
    $( A contradiction concerning restricted generalization for a nonempty set
       implies anything.  (Contributed by Alexander van der Vekens,
       4-Sep-2018.) $)
    ralnralall $p |- ( A =/= (/)
                       -> ( ( A. x e. A ph /\ A. x e. A -. ph ) -> ps ) ) $=
      ( wral wn wa c0 wne r19.26 wfal pm3.24 bifal ralbii r19.3rzv falim syl5bi
      syl6bir syl5bir ) ACDEAFZCDEGATGZCDEZDHIZBATCDJUBKCDEZUCBUAKCDUAALMNUCUDK
      BKCDOBPRQS $.

    $( A false statement can only be true for elements of an empty set.
       (Contributed by AV, 30-Oct-2020.) $)
    falseral0 $p |- ( ( A. x -. ph /\ A. x e. A ph ) -> A = (/) ) $=
      ( wral wn wal cv wcel wi c0 wceq df-ral 19.26 wex con3 impcom alimi alnex
      wa sylib notnotb neq0 xchbinx sylibr sylbir sylan2b ) ABCDAEZBFZBGCHZAIZB
      FZCJKZABCLUHUKSUGUJSZBFZULUGUJBMUNUIBNZEZULUNUIEZBFUPUMUQBUJUGUQUIAOPQUIB
      RTULULEUOULUABCUBUCUDUEUF $.
  $}

  ${
    $d x y A $.
    raaan.1 $e |- F/ y ph $.
    raaan.2 $e |- F/ x ps $.
    $( Rearrange restricted quantifiers.  (Contributed by NM, 26-Oct-2010.) $)
    raaan $p |- ( A. x e. A A. y e. A ( ph /\ ps ) <->
                  ( A. x e. A ph /\ A. y e. A ps ) ) $=
      ( wa wral wb c0 wceq rzal pm5.1 syl12anc wne r19.28z ralbidv nfcv nfralw
      r19.27z bitrd pm2.61ine ) ABHDEIZCEIZACEIZBDEIZHZJZEKEKLUEUFUGUIUDCEMACEM
      BDEMUEUHNOEKPZUEAUGHZCEIUHUJUDUKCEABDEFQRAUGCEBCDECESGTUAUBUC $.
  $}

  ${
    $d y ph $.  $d x ps $.  $d x y A $.
    $( Rearrange restricted quantifiers.  (Contributed by NM, 11-Mar-1997.) $)
    raaanv $p |- ( A. x e. A A. y e. A ( ph /\ ps ) <->
                  ( A. x e. A ph /\ A. y e. A ps ) ) $=
      ( wa wral wb wceq rzal pm5.1 syl12anc wne r19.28zv ralbidv r19.27zv bitrd
      c0 pm2.61ine ) ABFDEGZCEGZACEGZBDEGZFZHZERERIUAUBUCUETCEJACEJBDEJUAUDKLER
      MZUAAUCFZCEGUDUFTUGCEABDENOAUCCEPQS $.
  $}

  ${
    $d z y $.  $d z x A $.
    $( Set substitution into the first argument of a subset relation.
       (Contributed by Rodolfo Medina, 7-Jul-2010.)  (Proof shortened by Mario
       Carneiro, 14-Nov-2016.) $)
    sbss $p |- ( [ y / x ] x C_ A <-> y C_ A ) $=
      ( vz cv wss sseq1 sbievw2 ) AEZCFBEZCFDEZCFABDIKCGKJCGH $.
  $}

  ${
    $d A y $.  $d B y $.  $d C y $.  $d V y $.  $d x y $.
    $( Distribute proper substitution through a subclass relation.
       (Contributed by Alan Sare, 22-Jul-2012.)  (Proof shortened by Alexander
       van der Vekens, 23-Jul-2017.) $)
    sbcssg $p |- ( A e. V -> ( [. A / x ]. B C_ C <->
      [_ A / x ]_ B C_ [_ A / x ]_ C ) ) $=
      ( vy wcel cv wi wal wsbc csb wss sbcal sbcimg sbcel2 imbi12i bitrdi dfss2
      albidv syl5bb sbcbii 3bitr4g ) BEGZFHZCGZUEDGZIZFJZABKZUEABCLZGZUEABDLZGZ
      IZFJZCDMZABKUKUMMUJUHABKZFJUDUPUHFABNUDURUOFUDURUFABKZUGABKZIUOUFUGABEOUS
      ULUTUNABUECPABUEDPQRTUAUQUIABFCDSUBFUKUMSUC $.
  $}

  ${
    $d x y $.  $d x A $.  $d x y B $.
    raaan2.1 $e |- F/ y ph $.
    raaan2.2 $e |- F/ x ps $.
    $( Rearrange restricted quantifiers with two different restricting classes,
       analogous to ~ raaan .  It is necessary that either both restricting
       classes are empty or both are not empty.  (Contributed by Alexander van
       der Vekens, 29-Jun-2017.) $)
    raaan2 $p |- ( ( A = (/) <-> B = (/) )
                   -> ( A. x e. A A. y e. B ( ph /\ ps ) <->
                        ( A. x e. A ph /\ A. y e. B ps ) ) ) $=
      ( c0 wceq wb wa wn wo wral rzal adantr wne df-ne sylbir dfbi3 adantl nfcv
      pm5.1 syl12anc r19.28z ralbidv nfralw r19.27z sylan9bbr jaoi sylbi ) EIJZ
      FIJZKUMUNLZUMMZUNMZLZNABLDFOZCEOZACEOZBDFOZLZKZUMUNUAUOVDURUOUTVAVBVDUMUT
      UNUSCEPQUMVAUNACEPQUNVBUMBDFPUBUTVCUDUEUQUTAVBLZCEOZUPVCUQFIRZUTVFKFISVGU
      SVECEABDFGUFUGTUPEIRVFVCKEISAVBCEBCDFCFUCHUHUITUJUKUL $.
  $}

  ${
    $d z w ph $.  $d w x y z A $.  $d w x y z B $.
    $( Lemma for ~ 2reu4 .  (Contributed by Alexander van der Vekens,
       1-Jul-2017.) $)
    2reu4lem $p |- ( ( A =/= (/) /\ B =/= (/) )
                -> ( ( E! x e. A E. y e. B ph /\ E! y e. B E. x e. A ph ) <->
                    ( E. x e. A E. y e. B ph /\ E. z e. A E. w e. B
                      A. x e. A A. y e. B ( ph -> ( x = z /\ y = w ) ) ) ) ) $=
      ( c0 wne wa wrex wreu weq wi wral wb a1i bitri r19.26 adantr reu3 anbi12i
      an4 rexcom anbi2i anidm cv wcel nfra1 r19.3rz bicomd anbi2d ralbii bitr4d
      jcab bitr2id ad2antlr ralcom anbi12d syl5bb ralbidv r19.23v 2ralbii wn wo
      wceq neneq anim12i olcd dfbi3 sylibr nfv nfim raaan2 syl 3bitrd 2rexbidva
      nfre1 reeanv bitr2di ) FHIZGHIZJZACGKZBFLZABFKZCGLZJZWDBFKZWDBDMZNZBFOZDF
      KZJZWFCGKZWFCEMZNZCGOZEGKZJZJZWIWOJZWMWSJZJZWIAWJWPJNZCGOZBFOZEGKDFKZJWHX
      APWCWEWNWGWTWDBDFUAWFCEGUAUBQXAXDPWCWIWMWOWSUCQWCXBWIXCXHXBWIPWCXBWIWIJWI
      WOWIWIACBGFUDUEWIUFRQWCXHWLWRJZEGKDFKXCWCXGXIDEFGWCDUGFUHEUGGUHJZJZXGAWJN
      ZCGOZAWPNZBFOZJZCGOZBFOZWKWQJZCGOBFOZXIXKXGXMXNCGOZBFOZJZBFOZXRYDXMBFOZYB
      BFOZJZXKXGXMYBBFSXKYGYEYBJZXGXKYFYBYEWCYFYBPZXJWAYIWBWAYBYFYBBFYABFUIUJUK
      TTULXGYHPXKXGXMYAJZBFOYHXFYJBFXFXLXNJZCGOYJXEYKCGAWJWPUOUMXLXNCGSRUMXMYAB
      FSRQUNUPXKXQYCBFXQXMCGOZXOCGOZJXKYCXMXOCGSXKYLXMYMYBXKXMYLWBXMYLPWAXJXMCG
      XLCGUIUJUQUKYMYBPXKXNCBGFURQUSUTVAUNXRXTPXKXPXSBCFGXMWKXOWQAWJCGVBAWPBFVB
      UBVCQWCXTXIPZXJWCFHVFZGHVFZPZYNWCYOYPJZYOVDZYPVDZJZVEYQWCUUAYRWAYSWBYTFHV
      GGHVGVHVIYOYPVJVKWKWQBCFGWDWJCACGVRWJCVLVMWFWPBABFVRWPBVLVMVNVOTVPVQWLWRD
      EFGVSVTUSVP $.

    $( Definition of double restricted existential uniqueness ("exactly one
       ` x ` and exactly one ` y ` "), analogous to ~ 2eu4 .  (Contributed by
       Alexander van der Vekens, 1-Jul-2017.) $)
    2reu4 $p |- ( ( E! x e. A E. y e. B ph /\ E! y e. B E. x e. A ph ) <->
                    ( E. x e. A E. y e. B ph /\ E. z e. A E. w e. B
                      A. x e. A A. y e. B ( ph -> ( x = z /\ y = w ) ) ) ) $=
      ( wrex wreu wa c0 wne weq wral reurex rexn0 syl anim12i cv wcel rexlimivv
      wi ne0i a1d adantr 2reu4lem pm5.21nii ) ACGHZBFIZABFHZCGIZJFKLZGKLZJZUHBF
      HZABDMCEMJUBCGNBFNEGHDFHZJUIULUKUMUIUOULUHBFOUHBFPQUKUJCGHUMUJCGOUJCGPQRU
      OUNUPAUNBCFGBSZFTZCSZGTZJUNAURULUTUMFUQUCGUSUCRUDUAUEABCDEFGUFUG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The conditional operator for classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This subsection introduces the conditional operator for classes, denoted
  by ` if ( ph , A , B ) ` (see ~ df-if ).  It is the analogue for classes
   of the conditional operator for propositions, denoted by
  ` if- ( ph , ps , ch ) ` (see ~ df-ifp ).

$)

  $( Symbol for the conditional operator for classes. $)
  $c if $.

  $( Extend class notation to include the conditional operator for classes. $)
  cif $a class if ( ph , A , B ) $.

  ${
    $d x ph $.  $d x A $.  $d x B $.
    $( Definition of the conditional operator for classes.  The expression
       ` if ( ph , A , B ) ` is read "if ` ph ` then ` A ` else ` B ` ".  See
       ~ iftrue and ~ iffalse for its values.  In the mathematical literature,
       this operator is rarely defined formally but is implicit in informal
       definitions such as "let f(x)=0 if x=0 and 1/x otherwise".

       An important use for us is in conjunction with the weak deduction
       theorem, which is described in the next section, beginning at ~ dedth .
       (Contributed by NM, 15-May-1999.) $)
    df-if $a |- if ( ph , A , B ) =
                 { x | ( ( x e. A /\ ph ) \/ ( x e. B /\ -. ph ) ) } $.
  $}

  ${
    $d x y ph $.  $d x y A $.  $d x y B $.  $d x C $.
    $( An alternate definition of the conditional operator ~ df-if with one
       fewer connectives (but probably less intuitive to understand).
       (Contributed by NM, 30-Jan-2006.) $)
    dfif2 $p |- if ( ph , A , B ) =
                 { x | ( ( x e. B -> ph ) -> ( x e. A /\ ph ) ) } $=
      ( cif cv wcel wa wn wo cab wi df-if df-or orcom iman imbi1i 3bitr4i abbii
      eqtri ) ACDEBFZCGAHZUADGZAIHZJZBKUCALZUBLZBKABCDMUEUGBUDUBJUDIZUBLUEUGUDU
      BNUBUDOUFUHUBUCAPQRST $.

    $( An alternate definition of the conditional operator ~ df-if as a simple
       class abstraction.  (Contributed by Mario Carneiro, 8-Sep-2013.) $)
    dfif6 $p |- if ( ph , A , B ) =
                 ( { x e. A | ph } u. { x e. B | -. ph } ) $=
      ( vy cv wcel wa cab wn cun wo crab cif eleq1w anbi1d unabw df-rab uneq12i
      weq df-if 3eqtr4ri ) BFZCGZAHZBIZUCDGZAJZHZBIZKEFZCGZAHZUKDGZUHHZLEIABCMZ
      UHBDMZKACDNUEUIUMUOBEBETZUDULABECOPURUGUNUHBEDOPQUPUFUQUJABCRUHBDRSAECDUA
      UB $.
    $( $j usage 'dfif6' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Equality theorem for conditional operator.  (Contributed by NM,
       1-Sep-2004.)  (Revised by Mario Carneiro, 8-Sep-2013.) $)
    ifeq1 $p |- ( A = B -> if ( ph , A , C ) = if ( ph , B , C ) ) $=
      ( vx wceq crab wn cun cif rabeq uneq1d dfif6 3eqtr4g ) BCFZAEBGZAHEDGZIAE
      CGZQIABDJACDJOPRQAEBCKLAEBDMAECDMN $.

    $( Equality theorem for conditional operator.  (Contributed by NM,
       1-Sep-2004.)  (Revised by Mario Carneiro, 8-Sep-2013.) $)
    ifeq2 $p |- ( A = B -> if ( ph , C , A ) = if ( ph , C , B ) ) $=
      ( vx wceq crab wn cun cif rabeq uneq2d dfif6 3eqtr4g ) BCFZAEDGZAHZEBGZIP
      QECGZIADBJADCJORSPQEBCKLAEDBMAEDCMN $.

    $( Value of the conditional operator when its first argument is true.
       (Contributed by NM, 15-May-1999.)  (Proof shortened by Andrew Salmon,
       26-Jun-2011.) $)
    iftrue $p |- ( ph -> if ( ph , A , B ) = A ) $=
      ( vx cif cv wcel wi wa cab dfif2 dedlem0a abbi2dv eqtr4id ) AABCEDFZCGZAH
      OBGZAIHZDJBADBCKARDBAQPLMN $.
  $}

  ${
    iftruei.1 $e |- ph $.
    $( Inference associated with ~ iftrue .  (Contributed by BJ,
       7-Oct-2018.) $)
    iftruei $p |- if ( ph , A , B ) = A $=
      ( cif wceq iftrue ax-mp ) AABCEBFDABCGH $.
  $}

  ${
    iftrued.1 $e |- ( ph -> ch ) $.
    $( Value of the conditional operator when its first argument is true.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    iftrued $p |- ( ph -> if ( ch , A , B ) = A ) $=
      ( cif wceq iftrue syl ) ABBCDFCGEBCDHI $.
  $}

  ${
    $d x ph $.  $d x A $.  $d x B $.
    $( Value of the conditional operator when its first argument is false.
       (Contributed by NM, 14-Aug-1999.) $)
    iffalse $p |- ( -. ph -> if ( ph , A , B ) = B ) $=
      ( vx wn cif cv wcel wa wo cab df-if dedlemb abbi2dv eqtr4id ) AEZABCFDGZB
      HZAIQCHZPIJZDKCADBCLPTDCARSMNO $.
  $}

  ${
    iffalsei.1 $e |- -. ph $.
    $( Inference associated with ~ iffalse .  (Contributed by BJ,
       7-Oct-2018.) $)
    iffalsei $p |- if ( ph , A , B ) = B $=
      ( wn cif wceq iffalse ax-mp ) AEABCFCGDABCHI $.
  $}

  ${
    iffalsed.1 $e |- ( ph -> -. ch ) $.
    $( Value of the conditional operator when its first argument is false.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    iffalsed $p |- ( ph -> if ( ch , A , B ) = B ) $=
      ( wn cif wceq iffalse syl ) ABFBCDGDHEBCDIJ $.
  $}

  $( When values are unequal, but an "if" condition checks if they are equal,
     then the "false" branch results.  This is a simple utility to provide a
     slight shortening and simplification of proofs versus applying ~ iffalse
     directly in this case.  It happens, e.g., in ~ oevn0 .  (Contributed by
     David A. Wheeler, 15-May-2015.) $)
  ifnefalse $p |- ( A =/= B -> if ( A = B , C , D ) = D ) $=
    ( wne wceq wn cif df-ne iffalse sylbi ) ABEABFZGLCDHDFABILCDJK $.

  ${
    ifsb.1 $e |- ( if ( ph , A , B ) = A -> C = D ) $.
    ifsb.2 $e |- ( if ( ph , A , B ) = B -> C = E ) $.
    $( Distribute a function over an if-clause.  (Contributed by Mario
       Carneiro, 14-Aug-2013.) $)
    ifsb $p |- C = if ( ph , D , E ) $=
      ( cif wceq iftrue syl eqtr4d wn iffalse pm2.61i ) ADAEFIZJADEQAABCIZBJDEJ
      ABCKGLAEFKMANZDFQSRCJDFJABCOHLAEFOMP $.
  $}

  ${
    $d y A $.  $d y B $.  $d x y z ph $.
    dfif3.1 $e |- C = { x | ph } $.
    $( Alternate definition of the conditional operator ~ df-if .  Note that
       ` ph ` is independent of ` x ` i.e. a constant true or false.
       (Contributed by NM, 25-Aug-2013.)  (Revised by Mario Carneiro,
       8-Sep-2013.) $)
    dfif3 $p |- if ( ph , A , B )
                  = ( ( A i^i C ) u. ( B i^i ( _V \ C ) ) ) $=
      ( vy vz crab cun cin cvv cdif cab weq biidd cbvabv eqtri ineq2i eqtr4i wn
      cif dfif6 dfrab3 notabw difeq2i eqtr2i uneq12i ) ACDUBAGCIZAUAZGDIZJCEKZD
      LEMZKZJAGCDUCULUIUNUKULCAGNZKUIEUOCEABNZUOFAABGBGOAPQRSAGCUDTUKDUJGNZKUNU
      JGDUDUQUMDUQLAHNZMUMAAGHGHOAPUEEURLEUPURFAABHBHOAPQRUFTSUGUHT $.
    $( $j usage 'dfif3' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Alternate definition of the conditional operator ~ df-if .  Note that
       ` ph ` is independent of ` x ` i.e. a constant true or false.
       (Contributed by NM, 25-Aug-2013.) $)
    dfif4 $p |- if ( ph , A , B )
        = ( ( A u. B ) i^i ( ( A u. ( _V \ C ) ) i^i ( B u. C ) ) ) $=
      ( cif cin cvv cdif cun dfif3 undir undi uncom unvdif ineq12i 3eqtri inass
      inv1 eqtri ) ACDGCEHDIEJZHZKCUCKZEUCKZHZCDKZCUBKZDEKZHHZABCDEFLCEUCMUFUGU
      HHZUIHUJUDUKUEUICDUBNUEEDKZEUBKZHUIIHUIEDUBNULUIUMIEDOEPQUITRQUGUHUISUAR
      $.

    $( Alternate definition of the conditional operator ~ df-if .  Note that
       ` ph ` is independent of ` x ` i.e. a constant true or false (see also
       ~ ab0orv ).  (Contributed by G&eacute;rard Lang, 18-Aug-2013.) $)
    dfif5 $p |- if ( ph , A , B ) = ( ( A i^i B )
          u. ( ( ( A \ B ) i^i C ) u. ( ( B \ A ) i^i ( _V \ C ) ) ) ) $=
      ( cun cdif undir unidm unass undi 3eqtr3ri undifabs ineq1i undif2 3eqtr4i
      cin inabs eqtr4i cvv cif inindi dfif4 uneq1i 3eqtri uneq12i uncom 3eqtrri
      unundi uneq2i ineq2i ineq12i ) CDGZCUAEHZGZDEGZRRUNUPRZUNUQRZRZACDUBCDRCD
      HZERZDCHZUORZGZGZUNUPUQUCABCDEFUDVFCVEGZDVEGZRUTCDVEIURVGUSVHURCVBGZCVDGZ
      GZVGURCCDUORZGZGZVKCCGZVLGVMVNURVOCVLCJUECCVLKCDUOLZMVICVJVMVICVAGZCEGZRC
      VRRCCVAELVQCVRCDNOCESUFCVCGZUPRURVJVMVSUNUPCDPOCVCUOLVPQUGTCVBVDUJTCERZDG
      ZDVBGZDVDGZGZUSVHWADGVTDDGZGWDWAVTDDKWAWBDWCWADVAGZUQRZWBDVTGDCGZUQRWAWGD
      CELVTDUHWFWHUQDCPOQDVAELTWCDVCGZDUOGZRDWJRDDVCUOLWIDWJDCNODUOSUIUGWEDVTDJ
      UKMUSUNEDGZRWAUQWKUNDEUHULCEDITDVBVDUJQUMTQ $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.
    $( A conditional class is included in the union of its two alternatives.
       (Contributed by BJ, 15-Aug-2024.) $)
    ifssun $p |- if ( ph , A , B ) C_ ( A u. B ) $=
      ( vx cif cun cvv cab cdif cin eqid dfif4 inss1 eqsstri ) ABCEBCFZBGADHZIF
      CPFJZJOADBCPPKLOQMN $.
  $}

  $( Equality theorem for conditional operators.  (Contributed by NM,
     1-Sep-2004.) $)
  ifeq12 $p |- ( ( A = B /\ C = D ) ->
                if ( ph , A , C ) = if ( ph , B , D ) ) $=
    ( wceq cif ifeq1 ifeq2 sylan9eq ) BCFDEFABDGACDGACEGABCDHADECIJ $.

  ${
    ifeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for conditional operator.  (Contributed by NM,
       16-Feb-2005.) $)
    ifeq1d $p |- ( ph -> if ( ps , A , C ) = if ( ps , B , C ) ) $=
      ( wceq cif ifeq1 syl ) ACDGBCEHBDEHGFBCDEIJ $.

    $( Equality deduction for conditional operator.  (Contributed by NM,
       16-Feb-2005.) $)
    ifeq2d $p |- ( ph -> if ( ps , C , A ) = if ( ps , C , B ) ) $=
      ( wceq cif ifeq2 syl ) ACDGBECHBEDHGFBCDEIJ $.

    ifeq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality deduction for conditional operator.  (Contributed by NM,
       24-Mar-2015.) $)
    ifeq12d $p |- ( ph -> if ( ps , A , C ) = if ( ps , B , D ) ) $=
      ( cif ifeq1d ifeq2d eqtrd ) ABCEIBDEIBDFIABCDEGJABEFDHKL $.
  $}

  $( Equivalence theorem for conditional operators.  (Contributed by Raph
     Levien, 15-Jan-2004.) $)
  ifbi $p |- ( ( ph <-> ps ) -> if ( ph , A , B ) = if ( ps , A , B ) ) $=
    ( wb wa wn wo cif wceq dfbi3 iftrue eqcomd sylan9eq iffalse jaoi sylbi ) AB
    EABFZAGZBGZFZHACDIZBCDIZJZABKRUDUAABUBCUCACDLBUCCBCDLMNSTUBDUCACDOTUCDBCDOM
    NPQ $.

  ${
    ifbid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalence deduction for conditional operators.  (Contributed by NM,
       18-Apr-2005.) $)
    ifbid $p |- ( ph -> if ( ps , A , B ) = if ( ch , A , B ) ) $=
      ( wb cif wceq ifbi syl ) ABCGBDEHCDEHIFBCDEJK $.
  $}

  ${
    ifbieq1d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    ifbieq1d.2 $e |- ( ph -> A = B ) $.
    $( Equivalence/equality deduction for conditional operators.  (Contributed
       by JJ, 25-Sep-2018.) $)
    ifbieq1d $p |- ( ph -> if ( ps , A , C ) = if ( ch , B , C ) ) $=
      ( cif ifbid ifeq1d eqtrd ) ABDFICDFICEFIABCDFGJACDEFHKL $.
  $}

  ${
    ifbieq2i.1 $e |- ( ph <-> ps ) $.
    ifbieq2i.2 $e |- A = B $.
    $( Equivalence/equality inference for conditional operators.  (Contributed
       by Paul Chapman, 22-Jun-2011.) $)
    ifbieq2i $p |- if ( ph , C , A ) = if ( ps , C , B ) $=
      ( cif wb wceq ifbi ax-mp ifeq2 eqtri ) AECHZBECHZBEDHZABIOPJFABECKLCDJPQJ
      GBCDEMLN $.
  $}

  ${
    ifbieq2d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    ifbieq2d.2 $e |- ( ph -> A = B ) $.
    $( Equivalence/equality deduction for conditional operators.  (Contributed
       by Paul Chapman, 22-Jun-2011.) $)
    ifbieq2d $p |- ( ph -> if ( ps , C , A ) = if ( ch , C , B ) ) $=
      ( cif ifbid ifeq2d eqtrd ) ABFDICFDICFEIABCFDGJACDEFHKL $.
  $}

  ${
    ifbieq12i.1 $e |- ( ph <-> ps ) $.
    ifbieq12i.2 $e |- A = C $.
    ifbieq12i.3 $e |- B = D $.
    $( Equivalence deduction for conditional operators.  (Contributed by NM,
       18-Mar-2013.) $)
    ifbieq12i $p |- if ( ph , A , B ) = if ( ps , C , D ) $=
      ( cif wceq ifeq1 ax-mp ifbieq2i eqtri ) ACDJZAEDJZBEFJCEKPQKHACEDLMABDFEG
      INO $.
  $}

  ${
    ifbieq12d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    ifbieq12d.2 $e |- ( ph -> A = C ) $.
    ifbieq12d.3 $e |- ( ph -> B = D ) $.
    $( Equivalence deduction for conditional operators.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    ifbieq12d $p |- ( ph -> if ( ps , A , B ) = if ( ch , C , D ) ) $=
      ( cif ifbid ifeq12d eqtrd ) ABDEKCDEKCFGKABCDEHLACDFEGIJMN $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y ph $.  $d y ps $.
    nfifd.2 $e |- ( ph -> F/ x ps ) $.
    nfifd.3 $e |- ( ph -> F/_ x A ) $.
    nfifd.4 $e |- ( ph -> F/_ x B ) $.
    $( Deduction form of ~ nfif .  (Contributed by NM, 15-Feb-2013.)  (Revised
       by Mario Carneiro, 13-Oct-2016.) $)
    nfifd $p |- ( ph -> F/_ x if ( ps , A , B ) ) $=
      ( vy cif cv wcel wi wa cab dfif2 nfv nfcrd nfimd nfand nfabdw nfcxfrd ) A
      CBDEJIKZELZBMZUCDLZBNZMZIOBIDEPAUHCIAIQAUEUGCAUDBCACIEHRFSAUFBCACIDGRFTSU
      AUB $.
  $}

  ${
    nfif.1 $e |- F/ x ph $.
    nfif.2 $e |- F/_ x A $.
    nfif.3 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for a conditional operator.
       (Contributed by NM, 16-Feb-2005.)  (Proof shortened by Andrew Salmon,
       26-Jun-2011.) $)
    nfif $p |- F/_ x if ( ph , A , B ) $=
      ( cif wnfc wtru wnf a1i nfifd mptru ) BACDHIJABCDABKJELBCIJFLBDIJGLMN $.
  $}

  ${
    ifeq1da.1 $e |- ( ( ph /\ ps ) -> A = B ) $.
    $( Conditional equality.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    ifeq1da $p |- ( ph -> if ( ps , A , C ) = if ( ps , B , C ) ) $=
      ( cif wceq wa ifeq1d wn iffalse eqtr4d adantl pm2.61dan ) ABBCEGZBDEGZHZA
      BIBCDEFJBKZRASPEQBCELBDELMNO $.
  $}

  ${
    ifeq2da.1 $e |- ( ( ph /\ -. ps ) -> A = B ) $.
    $( Conditional equality.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    ifeq2da $p |- ( ph -> if ( ps , C , A ) = if ( ps , C , B ) ) $=
      ( cif wceq iftrue eqtr4d adantl wn wa ifeq2d pm2.61dan ) ABBECGZBEDGZHZBR
      ABPEQBECIBEDIJKABLMBCDEFNO $.
  $}

  ${
    ifeq12da.1 $e |- ( ( ph /\ ps ) -> A = C ) $.
    ifeq12da.2 $e |- ( ( ph /\ -. ps ) -> B = D ) $.
    $( Equivalence deduction for conditional operators.  (Contributed by Wolf
       Lammen, 24-Jun-2021.) $)
    ifeq12da $p |- ( ph -> if ( ps , A , B ) = if ( ps , C , D ) ) $=
      ( cif wceq ifeq1da iftrue eqtr4d sylan9eq wn ifeq2da iffalse pm2.61dan )
      ABBCDIZBEFIZJABSBEDIZTABCEDGKBUAETBEDLBEFLMNABOZSBCFIZTABDFCHPUBUCFTBCFQB
      EFQMNR $.
  $}

  ${
    ifbieq12d2.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    ifbieq12d2.2 $e |- ( ( ph /\ ps ) -> A = C ) $.
    ifbieq12d2.3 $e |- ( ( ph /\ -. ps ) -> B = D ) $.
    $( Equivalence deduction for conditional operators.  (Contributed by
       Thierry Arnoux, 14-Feb-2017.)  (Proof shortened by Wolf Lammen,
       24-Jun-2021.) $)
    ifbieq12d2 $p |- ( ph -> if ( ps , A , B ) = if ( ch , C , D ) ) $=
      ( cif ifeq12da ifbid eqtrd ) ABDEKBFGKCFGKABDEFGIJLABCFGHMN $.
  $}

  ${
    ifclda.1 $e |- ( ( ph /\ ps ) -> A e. C ) $.
    ifclda.2 $e |- ( ( ph /\ -. ps ) -> B e. C ) $.
    $( Conditional closure.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    ifclda $p |- ( ph -> if ( ps , A , B ) e. C ) $=
      ( cif wcel wa wceq iftrue adantl eqeltrd wn iffalse pm2.61dan ) ABBCDHZEI
      ABJRCEBRCKABCDLMFNABOZJRDESRDKABCDPMGNQ $.
  $}

  ${
    ifeqda.1 $e |- ( ( ph /\ ps ) -> A = C ) $.
    ifeqda.2 $e |- ( ( ph /\ -. ps ) -> B = C ) $.
    $( Separation of the values of the conditional operator.  (Contributed by
       Alexander van der Vekens, 13-Apr-2018.) $)
    ifeqda $p |- ( ph -> if ( ps , A , B ) = C ) $=
      ( cif wceq wa iftrue adantl eqtrd wn iffalse pm2.61dan ) ABBCDHZEIABJQCEB
      QCIABCDKLFMABNZJQDERQDIABCDOLGMP $.
  $}

  ${
    elimif.1 $e |- ( if ( ph , A , B ) = A -> ( ps <-> ch ) ) $.
    elimif.2 $e |- ( if ( ph , A , B ) = B -> ( ps <-> th ) ) $.
    $( Elimination of a conditional operator contained in a wff ` ps ` .
       (Contributed by NM, 15-Feb-2005.)  (Proof shortened by NM,
       25-Apr-2019.) $)
    elimif $p |- ( ps <-> ( ( ph /\ ch ) \/ ( -. ph /\ th ) ) ) $=
      ( cif wceq wb iftrue syl wn iffalse cases ) ABCDAAEFIZEJBCKAEFLGMANQFJBDK
      AEFOHMP $.
  $}

  ${
    ifboth.1 $e |- ( A = if ( ph , A , B ) -> ( ps <-> th ) ) $.
    ifboth.2 $e |- ( B = if ( ph , A , B ) -> ( ch <-> th ) ) $.
    ${
      ifbothda.3 $e |- ( ( et /\ ph ) -> ps ) $.
      ifbothda.4 $e |- ( ( et /\ -. ph ) -> ch ) $.
      $( A wff ` th ` containing a conditional operator is true when both of
         its cases are true.  (Contributed by NM, 15-Feb-2015.) $)
      ifbothda $p |- ( et -> th ) $=
        ( wa wb cif wceq iftrue eqcomd syl adantl mpbid wn iffalse pm2.61dan )
        EADEALBDJABDMZEAFAFGNZOUDAUEFAFGPQHRSTEAUAZLCDKUFCDMZEUFGUEOUGUFUEGAFGU
        BQIRSTUC $.
    $}

    $( A wff ` th ` containing a conditional operator is true when both of its
       cases are true.  (Contributed by NM, 3-Sep-2006.)  (Revised by Mario
       Carneiro, 15-Feb-2015.) $)
    ifboth $p |- ( ( ps /\ ch ) -> th ) $=
      ( wa simpll wn simplr ifbothda ) ABCDBCIEFGHBCAJBCAKLM $.
  $}

  $( Identical true and false arguments in the conditional operator.
     (Contributed by NM, 18-Apr-2005.) $)
  ifid $p |- if ( ph , A , A ) = A $=
    ( cif wceq iftrue iffalse pm2.61i ) AABBCBDABBEABBFG $.

  $( Expansion of an equality with a conditional operator.  (Contributed by NM,
     14-Feb-2005.) $)
  eqif $p |- ( A = if ( ph , B , C ) <->
             ( ( ph /\ A = B ) \/ ( -. ph /\ A = C ) ) ) $=
    ( cif wceq eqeq2 elimif ) ABACDEZFBCFBDFCDICBGIDBGH $.

  $( Another expression of the value of the ` if ` predicate, analogous to
     ~ eqif .  See also the more specialized ~ iftrue and ~ iffalse .
     (Contributed by BJ, 6-Apr-2019.) $)
  ifval $p |- ( A = if ( ph , B , C )
                             <-> ( ( ph -> A = B ) /\ ( -. ph -> A = C ) ) ) $=
    ( cif wceq wa wn wo wi eqif cases2 bitri ) BACDEFABCFZGAHZBDFZGIANJOPJGABCD
    KANPLM $.

  $( Membership in a conditional operator.  (Contributed by NM,
     14-Feb-2005.) $)
  elif $p |- ( A e. if ( ph , B , C ) <->
             ( ( ph /\ A e. B ) \/ ( -. ph /\ A e. C ) ) ) $=
    ( cif wcel eleq2 elimif ) ABACDEZFBCFBDFCDICBGIDBGH $.

  $( Membership of a conditional operator.  (Contributed by NM,
     10-Sep-2005.) $)
  ifel $p |- ( if ( ph , A , B ) e. C <->
             ( ( ph /\ A e. C ) \/ ( -. ph /\ B e. C ) ) ) $=
    ( cif wcel eleq1 elimif ) AABCEZDFBDFCDFBCIBDGICDGH $.

  $( Membership (closure) of a conditional operator.  (Contributed by NM,
     4-Apr-2005.) $)
  ifcl $p |- ( ( A e. C /\ B e. C ) -> if ( ph , A , B ) e. C ) $=
    ( wcel cif eleq1 ifboth ) ABDECDEABCFZDEBCBIDGCIDGH $.

  ${
    ifcld.a $e |- ( ph -> A e. C ) $.
    ifcld.b $e |- ( ph -> B e. C ) $.
    $( Membership (closure) of a conditional operator, deduction form.
       (Contributed by SO, 16-Jul-2018.) $)
    ifcld $p |- ( ph -> if ( ps , A , B ) e. C ) $=
      ( wcel cif ifcl syl2anc ) ACEHDEHBCDIEHFGBCDEJK $.
  $}

  ${
    ifcli.1 $e |- A e. C $.
    ifcli.2 $e |- B e. C $.
    $( Inference associated with ~ ifcl .  Membership (closure) of a
       conditional operator.  Also usable to keep a membership hypothesis for
       the weak deduction theorem ~ dedth when the special case ` B e. C ` is
       provable.  (Contributed by NM, 14-Aug-1999.)  (Proof shortened by BJ,
       1-Sep-2022.) $)
    ifcli $p |- if ( ph , A , B ) e. C $=
      ( wcel cif ifcl mp2an ) BDGCDGABCHDGEFABCDIJ $.
  $}

  ${
    ifexd.1 $e |- ( ph -> A e. V ) $.
    ifexd.2 $e |- ( ph -> B e. W ) $.
    $( Existence of the conditional operator (deduction form).  (Contributed by
       SN, 26-Jul-2024.) $)
    ifexd $p |- ( ph -> if ( ps , A , B ) e. _V ) $=
      ( cvv elexd ifcld ) ABCDIACEGJADFHJK $.
  $}

  $( Existence of the conditional operator (closed form).  (Contributed by NM,
     21-Mar-2011.)  (Proof shortened by BJ, 1-Sep-2022.) $)
  ifexg $p |- ( ( A e. V /\ B e. W ) -> if ( ph , A , B ) e. _V ) $=
    ( wcel wa simpl simpr ifexd ) BDFZCEFZGABCDEKLHKLIJ $.

  ${
    ifex.1 $e |- A e. _V $.
    ifex.2 $e |- B e. _V $.
    $( Existence of the conditional operator (inference form).  (Contributed by
       NM, 2-Sep-2004.) $)
    ifex $p |- if ( ph , A , B ) e. _V $=
      ( cvv ifcli ) ABCFDEG $.
  $}

  $( The possible values of a conditional operator.  (Contributed by NM,
     17-Jun-2007.)  (Proof shortened by Andrew Salmon, 26-Jun-2011.) $)
  ifeqor $p |- ( if ( ph , A , B ) = A \/ if ( ph , A , B ) = B ) $=
    ( cif wceq wn iftrue con3i iffalsed orri ) ABCDZBEZKCELFABCALABCGHIJ $.

  $( Negating the first argument swaps the last two arguments of a conditional
     operator.  (Contributed by NM, 21-Jun-2007.) $)
  ifnot $p |- if ( -. ph , A , B ) = if ( ph , B , A ) $=
    ( wn cif wceq notnot iffalsed iftrue eqtr4d iffalse pm2.61i ) AADZBCEZACBEZ
    FANCOAMBCAGHACBIJMNBOMBCIACBKJL $.

  $( Rewrite a conjunction in a conditional as two nested conditionals.
     (Contributed by Mario Carneiro, 28-Jul-2014.) $)
  ifan $p |- if ( ( ph /\ ps ) , A , B ) = if ( ph , if ( ps , A , B ) , B ) $=
    ( wa cif wceq iftrue ibar ifbid eqtr2d simpl con3i iffalsed iffalse pm2.61i
    wn eqtr4d ) AABEZCDFZABCDFZDFZGAUBUATAUADHABSCDABIJKAQZTDUBUCSCDSAABLMNAUAD
    ORP $.

  $( Rewrite a disjunction in a conditional as two nested conditionals.
     (Contributed by Mario Carneiro, 28-Jul-2014.) $)
  ifor $p |- if ( ( ph \/ ps ) , A , B ) = if ( ph , A , if ( ps , A , B ) ) $=
    ( wo cif wceq iftrue orcs eqtr4d wn iffalse biorf ifbid eqtr2d pm2.61i ) AA
    BEZCDFZACBCDFZFZGARCTABRCGQCDHIACSHJAKZTSRACSLUABQCDABMNOP $.

  ${
    2if2.1 $e |- ( ( ph /\ ps ) -> D = A ) $.
    2if2.2 $e |- ( ( ph /\ -. ps /\ th ) -> D = B ) $.
    2if2.3 $e |- ( ( ph /\ -. ps /\ -. th ) -> D = C ) $.
    $( Resolve two nested conditionals.  (Contributed by Alexander van der
       Vekens, 27-Mar-2018.) $)
    2if2 $p |- ( ph -> D = if ( ps , A , if ( th , B , C ) ) ) $=
      ( cif wceq wa iftrue adantl eqtr4d wn 3expa iffalse pm2.61dan eqcomd
      eqtrd ) ABGBDCEFKZKZLABMGDUDHBUDDLABDUCNOPABQZMZGUCUDUFCGUCLUFCMGEUCAUECG
      ELIRCUCELUFCEFNOPUFCQZMGFUCAUEUGGFLJRUGFUCLUFUGUCFCEFSUAOUBTUEUDUCLABDUCS
      OPT $.
  $}

  $( Commute the conditions in two nested conditionals if both conditions are
     not simultaneously true.  (Contributed by SO, 15-Jul-2018.) $)
  ifcomnan $p |- ( -. ( ph /\ ps ) -> if ( ph , A , if ( ps , B , C ) ) =
      if ( ps , B , if ( ph , A , C ) ) ) $=
    ( wa wn wo cif wceq pm3.13 iffalse ifeq2d eqtr4d jaoi syl ) ABFGAGZBGZHACBD
    EIZIZBDACEIZIZJZABKQUCRQTSUBACSLQBUAEDACELMNRTUAUBRASECBDELMBDUALNOP $.

  ${
    $d y A $.  $d y B $.  $d y C $.  $d y ph $.  $d x y $.
    $( Distribute proper substitution through the conditional operator.
       (Contributed by NM, 24-Feb-2013.)  (Revised by NM, 19-Aug-2018.) $)
    csbif $p |- [_ A / x ]_ if ( ph , B , C )
          = if ( [. A / x ]. ph , [_ A / x ]_ B , [_ A / x ]_ C ) $=
      ( vy cvv wcel cif csb wsbc cv wsb csbeq1 ifbieq12d nfcsb1v csbeq1a csbprc
      wceq c0 dfsbcq2 eqeq12d vex nfs1v nfif sbequ12 csbief vtoclg ifeq12d ifid
      weq wn eqtr2di eqtrd pm2.61i ) CGHZBCADEIZJZABCKZBCDJZBCEJZIZSZBFLZUQJZAB
      FMZBVDDJZBVDEJZIZSVCFCGVDCSZVEURVIVBBVDCUQNVJVFUSVGVHUTVAABFCUABVDCDNBVDC
      ENOUBBVDUQVIFUCVFBVGVHABFUDBVDDPBVDEPUEBFUKAVFDEVGVHABFUFBVDDQBVDEQOUGUHU
      PULZURTVBBCUQRVKVBUSTTITVKUSUTTVATBCDRBCERUIUSTUJUMUNUO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The weak deduction theorem for set theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This subsection contains a few results related to the weak deduction theorem
  in set theory.  For the weak deduction theorem in propositional calculus, see
  the section beginning with ~ elimh .  For more information on the weak
  deduction theorem, see the Weak Deduction Theorem page ~ mmdeduction.html .

  In a Hilbert system of logic (which consists of a set of axioms, modus
  ponens, and the generalization rule), converting a deduction to a proof using
  the Deduction Theorem (taught in introductory logic books) involves an
  exponential increase of the number of steps as hypotheses are successively
  eliminated.  Here is a trick that is not as general as the Deduction Theorem
  but requires only a linear increase in the number of steps.

  The general problem:  We want to convert a deduction
    P |- Q
  into a proof of the theorem
    |- P -> Q
  i.e., we want to eliminate the hypothesis P.  Normally this is done using the
  Deduction (meta)Theorem, which looks at the microscopic steps of the
  deduction and usually doubles or triples the number of these microscopic
  steps for each hypothesis that is eliminated.  We will look at a special case
  of this problem, without appealing to the Deduction Theorem.

  We assume ZF with class notation.  A and B are arbitrary (possibly proper)
  classes.  P, Q, R, S and T are wffs.

  We define the conditional operator, if(P, A, B), as follows:
    if(P, A, B) =def= { x | (x \in A & P) v (x \in B & -. P) }
  (where x does not occur in A, B, or P).

  Lemma 1.
    A = if(P, A, B) -> (P <-> R), B = if(P, A, B) -> (S <-> R), S |- R
  Proof:  Logic and Axiom of Extensionality.

  Lemma 2.
    A = if(P, A, B) -> (Q <-> T), T |- P -> Q
  Proof:  Logic and Axiom of Extensionality.

  Here is a simple example that illustrates how it works.  Suppose we have a
  deduction
    Ord A |- Tr A
  which means, "Assume A is an ordinal class.  Then A is a transitive class."
  Note that A is a class variable that may be substituted with any class
  expression, so this is really a deduction scheme.

  We want to convert this to a proof of the theorem (scheme)
    |- Ord A -> Tr A.

  The catch is that we must be able to prove "Ord A" for at least one object A
  (and this is what makes it weaker than the ordinary Deduction Theorem).
  However, it is easy to prove |- Ord 0 (the empty set is ordinal).  (For a
  typical textbook "theorem", i.e., deduction, there is usually at least one
  object satisfying each hypothesis, otherwise the theorem would not be very
  useful.  We can always go back to the standard Deduction Theorem for those
  hypotheses where this is not the case.)  Continuing with the example:

  Equality axioms (and Extensionality) yield
    |- A = if(Ord A, A, 0) -> (Ord A <-> Ord if(Ord A, A, 0))    (1)
    |- 0 = if(Ord A, A, 0) -> (Ord 0 <-> Ord if(Ord A, A, 0))    (2)
  From (1), (2) and |- Ord 0, Lemma 1 yields
    |- Ord if(Ord A, A, 0)                                       (3)
  From (3) and substituting if(Ord A, A, 0) for
  A in the original deduction,
    |- Tr if(Ord A, A, 0)                                        (4)
  Equality axioms (and Extensionality) yield
    |- A = if(Ord A, A, 0) -> (Tr A <-> Tr if(Ord A, A, 0))      (5)
  From (4) and (5), Lemma 2 yields
    |- Ord A -> Tr A                                             (Q.E.D.)

$)

  ${
    dedth.1 $e |- ( A = if ( ph , A , B ) -> ( ps <-> ch ) ) $.
    dedth.2 $e |- ch $.
    $( Weak deduction theorem that eliminates a hypothesis ` ph ` , making it
       become an antecedent.  We assume that a proof exists for ` ph ` when the
       class variable ` A ` is replaced with a specific class ` B ` .  The
       hypothesis ` ch ` should be assigned to the inference, and the inference
       hypothesis eliminated with ~ elimhyp .  If the inference has other
       hypotheses with class variable ` A ` , these can be kept by assigning
       ~ keephyp to them.  For more information, see the Weak Deduction Theorem
       page ~ mmdeduction.html .  (Contributed by NM, 15-May-1999.) $)
    dedth $p |- ( ph -> ps ) $=
      ( cif wceq wb iftrue eqcomd syl mpbiri ) ABCGADADEHZIBCJAODADEKLFMN $.
  $}

  ${
    dedth2h.1 $e |- ( A = if ( ph , A , C ) -> ( ch <-> th ) ) $.
    dedth2h.2 $e |- ( B = if ( ps , B , D ) -> ( th <-> ta ) ) $.
    dedth2h.3 $e |- ta $.
    $( Weak deduction theorem eliminating two hypotheses.  This theorem is
       simpler to use than ~ dedth2v but requires that each hypothesis have
       exactly one class variable.  See also comments in ~ dedth .
       (Contributed by NM, 15-May-1999.) $)
    dedth2h $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wi cif wceq imbi2d dedth imp ) ABCABCMBDMFHFAFHNOCDBJPBDEGIKLQQR $.
  $}

  ${
    dedth3h.1 $e |- ( A = if ( ph , A , D ) -> ( th <-> ta ) ) $.
    dedth3h.2 $e |- ( B = if ( ps , B , R ) -> ( ta <-> et ) ) $.
    dedth3h.3 $e |- ( C = if ( ch , C , S ) -> ( et <-> ze ) ) $.
    dedth3h.4 $e |- ze $.
    $( Weak deduction theorem eliminating three hypotheses.  See comments in
       ~ dedth2h .  (Contributed by NM, 15-May-1999.) $)
    dedth3h $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wa wi cif wceq imbi2d dedth2h dedth 3impib ) ABCDABCRZDSUFESHKHAHKTUADE
      UFNUBBCEFGIJLMOPQUCUDUE $.
  $}

  ${
    dedth4h.1 $e |- ( A = if ( ph , A , R ) -> ( ta <-> et ) ) $.
    dedth4h.2 $e |- ( B = if ( ps , B , S ) -> ( et <-> ze ) ) $.
    dedth4h.3 $e |- ( C = if ( ch , C , F ) -> ( ze <-> si ) ) $.
    dedth4h.4 $e |- ( D = if ( th , D , G ) -> ( si <-> rh ) ) $.
    dedth4h.5 $e |- rh $.
    $( Weak deduction theorem eliminating four hypotheses.  See comments in
       ~ dedth2h .  (Contributed by NM, 16-May-1999.) $)
    dedth4h $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $=
      ( wa wi cif wceq imbi2d dedth2h imp ) ABUCCDUCZEABUJEUDUJFUDUJGUDJKNOJAJN
      UEUFEFUJRUGKBKOUEUFFGUJSUGCDGHILMPQTUAUBUHUHUI $.
  $}

  ${
    dedth2v.1 $e |- ( A = if ( ph , A , C ) -> ( ps <-> ch ) ) $.
    dedth2v.2 $e |- ( B = if ( ph , B , D ) -> ( ch <-> th ) ) $.
    dedth2v.3 $e |- th $.
    $( Weak deduction theorem for eliminating a hypothesis with 2 class
       variables.  Note: if the hypothesis can be separated into two
       hypotheses, each with one class variable, then ~ dedth2h is simpler to
       use.  See also comments in ~ dedth .  (Contributed by NM, 13-Aug-1999.)
       (Proof shortened by Eric Schmidt, 28-Jul-2009.) $)
    dedth2v $p |- ( ph -> ps ) $=
      ( dedth2h anidms ) ABAABCDEFGHIJKLM $.
  $}

  ${
    dedth3v.1 $e |- ( A = if ( ph , A , D ) -> ( ps <-> ch ) ) $.
    dedth3v.2 $e |- ( B = if ( ph , B , R ) -> ( ch <-> th ) ) $.
    dedth3v.3 $e |- ( C = if ( ph , C , S ) -> ( th <-> ta ) ) $.
    dedth3v.4 $e |- ta $.
    $( Weak deduction theorem for eliminating a hypothesis with 3 class
       variables.  See comments in ~ dedth2v .  (Contributed by NM,
       13-Aug-1999.)  (Proof shortened by Eric Schmidt, 28-Jul-2009.) $)
    dedth3v $p |- ( ph -> ps ) $=
      ( dedth3h 3anidm12 anidms ) ABAABAAABCDEFGHIJKLMNOPQR $.
  $}

  ${
    dedth4v.1 $e |- ( A = if ( ph , A , R ) -> ( ps <-> ch ) ) $.
    dedth4v.2 $e |- ( B = if ( ph , B , S ) -> ( ch <-> th ) ) $.
    dedth4v.3 $e |- ( C = if ( ph , C , T ) -> ( th <-> ta ) ) $.
    dedth4v.4 $e |- ( D = if ( ph , D , U ) -> ( ta <-> et ) ) $.
    dedth4v.5 $e |- et $.
    $( Weak deduction theorem for eliminating a hypothesis with 4 class
       variables.  See comments in ~ dedth2v .  (Contributed by NM,
       21-Apr-2007.)  (Proof shortened by Eric Schmidt, 28-Jul-2009.) $)
    dedth4v $p |- ( ph -> ps ) $=
      ( anidms wa dedth4h ) ABAAUABAAAABCDEFGHIJKLMNOPQRSUBTT $.
  $}

  ${
    elimhyp.1 $e |- ( A = if ( ph , A , B ) -> ( ph <-> ps ) ) $.
    elimhyp.2 $e |- ( B = if ( ph , A , B ) -> ( ch <-> ps ) ) $.
    elimhyp.3 $e |- ch $.
    $( Eliminate a hypothesis containing class variable ` A ` when it is known
       for a specific class ` B ` .  For more information, see comments in
       ~ dedth .  (Contributed by NM, 15-May-1999.) $)
    elimhyp $p |- ps $=
      ( cif wceq wb iftrue eqcomd syl ibi wn iffalse mpbii pm2.61i ) ABABADADEI
      ZJABKATDADELMFNOAPZCBHUAETJCBKUATEADEQMGNRS $.
  $}

  ${
    elimhyp2v.1 $e |- ( A = if ( ph , A , C ) -> ( ph <-> ch ) ) $.
    elimhyp2v.2 $e |- ( B = if ( ph , B , D ) -> ( ch <-> th ) ) $.
    elimhyp2v.3 $e |- ( C = if ( ph , A , C ) -> ( ta <-> et ) ) $.
    elimhyp2v.4 $e |- ( D = if ( ph , B , D ) -> ( et <-> th ) ) $.
    elimhyp2v.5 $e |- ta $.
    $( Eliminate a hypothesis containing 2 class variables.  (Contributed by
       NM, 14-Aug-1999.) $)
    elimhyp2v $p |- th $=
      ( cif wceq wb iftrue eqcomd syl bitrd ibi wn iffalse mpbii pm2.61i ) ACAC
      AABCAFAFHOZPABQAUGFAFHRSJTAGAGIOZPBCQAUHGAGIRSKTUAUBAUCZDCNUIDECUIHUGPDEQ
      UIUGHAFHUDSLTUIIUHPECQUIUHIAGIUDSMTUAUEUF $.
  $}

  ${
    elimhyp3v.1 $e |- ( A = if ( ph , A , D ) -> ( ph <-> ch ) ) $.
    elimhyp3v.2 $e |- ( B = if ( ph , B , R ) -> ( ch <-> th ) ) $.
    elimhyp3v.3 $e |- ( C = if ( ph , C , S ) -> ( th <-> ta ) ) $.
    elimhyp3v.4 $e |- ( D = if ( ph , A , D ) -> ( et <-> ze ) ) $.
    elimhyp3v.5 $e |- ( R = if ( ph , B , R ) -> ( ze <-> si ) ) $.
    elimhyp3v.6 $e |- ( S = if ( ph , C , S ) -> ( si <-> ta ) ) $.
    elimhyp3v.7 $e |- et $.
    $( Eliminate a hypothesis containing 3 class variables.  (Contributed by
       NM, 14-Aug-1999.) $)
    elimhyp3v $p |- ta $=
      ( cif wceq wb iftrue eqcomd syl 3bitrd ibi wn iffalse mpbii pm2.61i ) ADA
      DAABCDAHAHKUAZUBABUCAUMHAHKUDUENUFAIAILUAZUBBCUCAUNIAILUDUEOUFAJAJMUAZUBC
      DUCAUOJAJMUDUEPUFUGUHAUIZEDTUPEFGDUPKUMUBEFUCUPUMKAHKUJUEQUFUPLUNUBFGUCUP
      UNLAILUJUERUFUPMUOUBGDUCUPUOMAJMUJUESUFUGUKUL $.
  $}

  ${
    elimhyp4v.1 $e |- ( A = if ( ph , A , D ) -> ( ph <-> ch ) ) $.
    elimhyp4v.2 $e |- ( B = if ( ph , B , R ) -> ( ch <-> th ) ) $.
    elimhyp4v.3 $e |- ( C = if ( ph , C , S ) -> ( th <-> ta ) ) $.
    elimhyp4v.4 $e |- ( F = if ( ph , F , G ) -> ( ta <-> ps ) ) $.
    elimhyp4v.5 $e |- ( D = if ( ph , A , D ) -> ( et <-> ze ) ) $.
    elimhyp4v.6 $e |- ( R = if ( ph , B , R ) -> ( ze <-> si ) ) $.
    elimhyp4v.7 $e |- ( S = if ( ph , C , S ) -> ( si <-> rh ) ) $.
    elimhyp4v.8 $e |- ( G = if ( ph , F , G ) -> ( rh <-> ps ) ) $.
    elimhyp4v.9 $e |- et $.
    $( Eliminate a hypothesis containing 4 class variables (for use with the
       weak deduction theorem ~ dedth ).  (Contributed by NM, 16-Apr-2005.) $)
    elimhyp4v $p |- ps $=
      ( cif wceq wb iftrue eqcomd syl bitrd 3bitrd ibi wn iffalse mpbii pm2.61i
      ) ABABAADEBAACDAJAJMUGZUHACUIAUTJAJMUJUKRULAKAKNUGZUHCDUIAVAKAKNUJUKSULUM
      ALALOUGZUHDEUIAVBLALOUJUKTULAPAPQUGZUHEBUIAVCPAPQUJUKUAULUNUOAUPZFBUFVDFH
      IBVDFGHVDMUTUHFGUIVDUTMAJMUQUKUBULVDNVAUHGHUIVDVANAKNUQUKUCULUMVDOVBUHHIU
      IVDVBOALOUQUKUDULVDQVCUHIBUIVDVCQAPQUQUKUEULUNURUS $.
  $}

  ${
    elimel.1 $e |- B e. C $.
    $( Eliminate a membership hypothesis for weak deduction theorem, when
       special case ` B e. C ` is provable.  (Contributed by NM,
       15-May-1999.) $)
    elimel $p |- if ( A e. C , A , B ) e. C $=
      ( wcel cif eleq1 elimhyp ) ACEZIABFZCEBCEABAJCGBJCGDH $.
  $}

  ${
    elimdhyp.1 $e |- ( ph -> ps ) $.
    elimdhyp.2 $e |- ( A = if ( ph , A , B ) -> ( ps <-> ch ) ) $.
    elimdhyp.3 $e |- ( B = if ( ph , A , B ) -> ( th <-> ch ) ) $.
    elimdhyp.4 $e |- th $.
    $( Version of ~ elimhyp where the hypothesis is deduced from the final
       antecedent.  See ~ divalg for an example of its use.  (Contributed by
       Paul Chapman, 25-Mar-2008.) $)
    elimdhyp $p |- ch $=
      ( cif wceq wb iftrue eqcomd syl mpbid wn iffalse mpbii pm2.61i ) ACABCGAE
      AEFKZLBCMAUBEAEFNOHPQARZDCJUCFUBLDCMUCUBFAEFSOIPTUA $.
  $}

  ${
    keephyp.1 $e |- ( A = if ( ph , A , B ) -> ( ps <-> th ) ) $.
    keephyp.2 $e |- ( B = if ( ph , A , B ) -> ( ch <-> th ) ) $.
    keephyp.3 $e |- ps $.
    keephyp.4 $e |- ch $.
    $( Transform a hypothesis ` ps ` that we want to keep (but contains the
       same class variable ` A ` used in the eliminated hypothesis) for use
       with the weak deduction theorem.  (Contributed by NM, 15-May-1999.) $)
    keephyp $p |- th $=
      ( ifboth mp2an ) BCDIJABCDEFGHKL $.
  $}

  ${
    keephyp2v.1 $e |- ( A = if ( ph , A , C ) -> ( ps <-> ch ) ) $.
    keephyp2v.2 $e |- ( B = if ( ph , B , D ) -> ( ch <-> th ) ) $.
    keephyp2v.3 $e |- ( C = if ( ph , A , C ) -> ( ta <-> et ) ) $.
    keephyp2v.4 $e |- ( D = if ( ph , B , D ) -> ( et <-> th ) ) $.
    keephyp2v.5 $e |- ps $.
    keephyp2v.6 $e |- ta $.
    $( Keep a hypothesis containing 2 class variables (for use with the weak
       deduction theorem ~ dedth ).  (Contributed by NM, 16-Apr-2005.) $)
    keephyp2v $p |- th $=
      ( wceq wb eqcomd syl cif iftrue bitrd mpbii wn iffalse pm2.61i ) ADABDOAB
      CDAGAGIUAZQBCRAUHGAGIUBSKTAHAHJUAZQCDRAUIHAHJUBSLTUCUDAUEZEDPUJEFDUJIUHQE
      FRUJUHIAGIUFSMTUJJUIQFDRUJUIJAHJUFSNTUCUDUG $.
  $}

  ${
    keephyp3v.1 $e |- ( A = if ( ph , A , D ) -> ( rh <-> ch ) ) $.
    keephyp3v.2 $e |- ( B = if ( ph , B , R ) -> ( ch <-> th ) ) $.
    keephyp3v.3 $e |- ( C = if ( ph , C , S ) -> ( th <-> ta ) ) $.
    keephyp3v.4 $e |- ( D = if ( ph , A , D ) -> ( et <-> ze ) ) $.
    keephyp3v.5 $e |- ( R = if ( ph , B , R ) -> ( ze <-> si ) ) $.
    keephyp3v.6 $e |- ( S = if ( ph , C , S ) -> ( si <-> ta ) ) $.
    keephyp3v.7 $e |- rh $.
    keephyp3v.8 $e |- et $.
    $( Keep a hypothesis containing 3 class variables.  (Contributed by NM,
       27-Sep-1999.) $)
    keephyp3v $p |- ta $=
      ( cif wceq wb iftrue eqcomd syl 3bitrd mpbii wn iffalse pm2.61i ) ADAHDUA
      AHBCDAIAILUCZUDHBUEAUNIAILUFUGOUHAJAJMUCZUDBCUEAUOJAJMUFUGPUHAKAKNUCZUDCD
      UEAUPKAKNUFUGQUHUIUJAUKZEDUBUQEFGDUQLUNUDEFUEUQUNLAILULUGRUHUQMUOUDFGUEUQ
      UOMAJMULUGSUHUQNUPUDGDUEUQUPNAKNULUGTUHUIUJUM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Power classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare the symbol for power class. $)
  $c ~P $.  $( Calligraphic P $)

  $( Extend class notation to include power class.  (The tilde in the Metamath
     token is meant to suggest the calligraphic font of the P.) $)
  cpw $a class ~P A $.

  ${
    $d x A $.  $d y A $.  $d z x $.  $d z y $.  $d z A $.
    $( Soundness justification theorem for ~ df-pw .  (Contributed by Rodolfo
       Medina, 28-Apr-2010.)  (Proof shortened by Andrew Salmon,
       29-Jun-2011.) $)
    pwjust $p |- { x | x C_ A } = { y | y C_ A } $=
      ( vz cv wss cab sseq1 cbvabv eqtri ) AEZCFZAGDEZCFZDGBEZCFZBGLNADKMCHINPD
      BMOCHIJ $.
  $}

  ${
    $d x A $.
    $( Define power class.  Definition 5.10 of [TakeutiZaring] p. 17, but we
       also let it apply to proper classes, i.e. those that are not members of
       ` _V ` .  When applied to a set, this produces its power set.  A power
       set of S is the set of all subsets of S, including the empty set and S
       itself.  For example, if ` A = { 3 , 5 , 7 } ` , then
       ` ~P A = { (/) , { 3 } , { 5 } , { 7 } , { 3 , 5 } , `
       ` { 3 , 7 } , { 5 , 7 } , { 3 , 5 , 7 } } ` ( ~ ex-pw ).  We will later
       introduce the Axiom of Power Sets ~ ax-pow , which can be expressed in
       class notation per ~ pwexg .  Still later we will prove, in ~ hashpw ,
       that the size of the power set of a finite set is 2 raised to the power
       of the size of the set.  (Contributed by NM, 24-Jun-1993.) $)
    df-pw $a |- ~P A = { x | x C_ A } $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Membership in a power class.  Theorem 86 of [Suppes] p. 47.  See also
       ~ elpw2g .  (Contributed by NM, 6-Aug-2000.)  (Proof shortened by BJ,
       31-Dec-2023.) $)
    elpwg $p |- ( A e. V -> ( A e. ~P B <-> A C_ B ) ) $=
      ( vx cv wss cpw sseq1 df-pw elab2g ) DEZBFABFDABGCKABHDBIJ $.
  $}

  ${
    elpw.1 $e |- A e. _V $.
    $( Membership in a power class.  Theorem 86 of [Suppes] p. 47.
       (Contributed by NM, 31-Dec-1993.)  (Proof shortened by BJ,
       31-Dec-2023.) $)
    elpw $p |- ( A e. ~P B <-> A C_ B ) $=
      ( cvv wcel cpw wss wb elpwg ax-mp ) ADEABFEABGHCABDIJ $.
  $}

  $( Setvar variable membership in a power class.  (Contributed by David A.
     Wheeler, 8-Dec-2018.) $)
  velpw $p |- ( x e. ~P A <-> x C_ A ) $=
    ( cv vex elpw ) ACBADE $.

  ${
    $d A x $.  $d B x $.
    ${
      elpwOLD.1 $e |- A e. _V $.
      $( Obsolete proof of ~ elpw as of 31-Dec-2023.
         (Proof modification is discouraged.)  (New usage is discouraged.)
         (Contributed by NM, 31-Dec-1993.) $)
      elpwOLD $p |- ( A e. ~P B <-> A C_ B ) $=
        ( vx cv wss cpw sseq1 df-pw elab2 ) DEZBFABFDABGCKABHDBIJ $.
    $}

    $( Obsolete proof of ~ elpwg as of 31-Dec-2023.  (Contributed by NM,
       6-Aug-2000.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    elpwgOLD $p |- ( A e. V -> ( A e. ~P B <-> A C_ B ) ) $=
      ( vx cv cpw wcel wss eleq1 sseq1 velpw vtoclbg ) DEZBFZGMBHANGABHDACMANIM
      ABJDBKL $.
  $}

  ${
    elpwd.1 $e |- ( ph -> A e. V ) $.
    elpwd.2 $e |- ( ph -> A C_ B ) $.
    $( Membership in a power class.  (Contributed by Glauco Siliprandi,
       11-Oct-2020.) $)
    elpwd $p |- ( ph -> A e. ~P B ) $=
      ( cpw wcel wss wb elpwg syl mpbird ) ABCGHZBCIZFABDHNOJEBCDKLM $.
  $}

  $( Subset relation implied by membership in a power class.  (Contributed by
     NM, 17-Feb-2007.) $)
  elpwi $p |- ( A e. ~P B -> A C_ B ) $=
    ( cpw wcel wss elpwg ibi ) ABCZDABEABHFG $.

  $( Characterization of the elements of a power class.  (Contributed by BJ,
     29-Apr-2021.) $)
  elpwb $p |- ( A e. ~P B <-> ( A e. _V /\ A C_ B ) ) $=
    ( cpw wcel cvv wss elex elpwg biadanii ) ABCZDAEDABFAJGABEHI $.

  ${
    elpwid.1 $e |- ( ph -> A e. ~P B ) $.
    $( An element of a power class is a subclass.  Deduction form of ~ elpwi .
       (Contributed by David Moews, 1-May-2017.) $)
    elpwid $p |- ( ph -> A C_ B ) $=
      ( cpw wcel wss elpwi syl ) ABCEFBCGDBCHI $.
  $}

  $( If ` A ` belongs to a part of ` C ` , then ` A ` belongs to ` C ` .
     (Contributed by FL, 3-Aug-2009.) $)
  elelpwi $p |- ( ( A e. B /\ B e. ~P C ) -> A e. C ) $=
    ( cpw wcel elpwi sseld impcom ) BCDEZABEACEIBCABCFGH $.

  ${
    $d A x $.  $d B x $.
    $( The powerclass preserves inclusion.  See ~ sspwb for the biconditional
       version.  (Contributed by NM, 13-Oct-1996.)  Extract forward implication
       of ~ sspwb since it requires fewer axioms.  (Revised by BJ,
       13-Apr-2024.) $)
    sspw $p |- ( A C_ B -> ~P A C_ ~P B ) $=
      ( vx wss cpw cv wcel sstr2 com12 velpw 3imtr4g ssrdv ) ABDZCAEZBEZMCFZADZ
      PBDZPNGPOGQMRPABHICAJCBJKL $.
  $}

  ${
    sspwi.1 $e |- A C_ B $.
    $( The powerclass preserves inclusion (inference form).  (Contributed by
       BJ, 13-Apr-2024.) $)
    sspwi $p |- ~P A C_ ~P B $=
      ( wss cpw sspw ax-mp ) ABDAEBEDCABFG $.
  $}

  ${
    sspwd.1 $e |- ( ph -> A C_ B ) $.
    $( The powerclass preserves inclusion (deduction form).  (Contributed by
       BJ, 13-Apr-2024.) $)
    sspwd $p |- ( ph -> ~P A C_ ~P B ) $=
      ( wss cpw sspw syl ) ABCEBFCFEDBCGH $.
  $}

  $( Equality theorem for power class.  (Contributed by NM, 21-Jun-1993.)
     (Proof shortened by BJ, 13-Apr-2024.) $)
  pweq $p |- ( A = B -> ~P A = ~P B ) $=
    ( wceq cpw eqimss sspwd eqimss2 eqssd ) ABCZADBDIABABEFIBABAGFH $.

  ${
    $d x A $.  $d x B $.
    $( Alternate proof of ~ pweq directly from the definition.  (Contributed by
       NM, 21-Jun-1993.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    pweqALT $p |- ( A = B -> ~P A = ~P B ) $=
      ( vx wceq cv wss cab cpw sseq2 abbidv df-pw 3eqtr4g ) ABDZCEZAFZCGNBFZCGA
      HBHMOPCABNIJCAKCBKL $.
  $}

  ${
    pweqi.1 $e |- A = B $.
    $( Equality inference for power class.  (Contributed by NM,
       27-Nov-2013.) $)
    pweqi $p |- ~P A = ~P B $=
      ( wceq cpw pweq ax-mp ) ABDAEBEDCABFG $.
  $}

  ${
    pweqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for power class.  (Contributed by NM,
       27-Nov-2013.) $)
    pweqd $p |- ( ph -> ~P A = ~P B ) $=
      ( wceq cpw pweq syl ) ABCEBFCFEDBCGH $.
  $}

  $( The power class of the union of two classes includes the union of their
     power classes.  Exercise 4.12(k) of [Mendelson] p. 235.  (Contributed by
     NM, 23-Nov-2003.)  Remove use of ~ ax-sep , ~ ax-nul , ~ ax-pr and shorten
     proof.  (Revised by BJ, 13-Apr-2024.) $)
  pwunss $p |- ( ~P A u. ~P B ) C_ ~P ( A u. B ) $=
    ( cpw cun ssun1 sspwi ssun2 unssi ) ACBCABDZCAIABEFBIBAGFH $.

  ${
    $d y A $.  $d x y $.
    nfpw.1 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for power class.  (Contributed by NM,
       28-Oct-2003.)  (Revised by Mario Carneiro, 13-Oct-2016.) $)
    nfpw $p |- F/_ x ~P A $=
      ( vy cpw cv wss cab df-pw nfcv nfss nfab nfcxfr ) ABEDFZBGZDHDBIOADANBANJ
      CKLM $.
  $}

  $( A set is an element of its power set.  (Contributed by Stefan O'Rear,
     1-Feb-2015.) $)
  pwidg $p |- ( A e. V -> A e. ~P A ) $=
    ( wcel cpw wss ssid elpwg mpbiri ) ABCAADCAAEAFAABGH $.

  $( A class is an element of its powerclass if and only if it is a set.
     (Contributed by BJ, 31-Dec-2023.) $)
  pwidb $p |- ( A e. _V <-> A e. ~P A ) $=
    ( cvv wcel cpw pwidg elex impbii ) ABCAADZCABEAHFG $.

  ${
    pwid.1 $e |- A e. _V $.
    $( A set is a member of its power class.  Theorem 87 of [Suppes] p. 47.
       (Contributed by NM, 5-Aug-1993.) $)
    pwid $p |- A e. ~P A $=
      ( cvv wcel cpw pwidg ax-mp ) ACDAAEDBACFG $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Subclass relationship for power class.  (Contributed by NM,
       21-Jun-2009.) $)
    pwss $p |- ( ~P A C_ B <-> A. x ( x C_ A -> x e. B ) ) $=
      ( cpw wss cv wcel wi wal dfss2 velpw imbi1i albii bitri ) BDZCEAFZOGZPCGZ
      HZAIPBEZRHZAIAOCJSUAAQTRABKLMN $.
  $}

  $( Break up the power class of a union into a union of smaller classes.
     (Contributed by NM, 25-Mar-2007.)  (Proof shortened by Thierry Arnoux,
     20-Dec-2016.)  Remove use of ~ ax-sep , ~ ax-nul , ~ ax-pr and shorten
     proof.  (Revised by BJ, 14-Apr-2024.) $)
  pwundif $p |- ~P ( A u. B ) = ( ( ~P ( A u. B ) \ ~P A ) u. ~P A ) $=
    ( cpw cun cdif wss wceq ssun1 sspwi undif mpbi uncom eqtr3i ) ACZABDZCZNEZD
    ZPQNDNPFRPGAOABHINPJKNQLM $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Unordered and ordered pairs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new symbols needed. $)
  $c <. $.  $( Bracket (the period distinguishes it from 'less than') $)
  $c >. $.  $( Bracket (the period distinguishes it from 'greater than') $)

  ${
    $d x A $.  $d y A $.  $d z x $.  $d z y $.  $d z A $.
    $( Soundness justification theorem for ~ df-sn .  (Contributed by Rodolfo
       Medina, 28-Apr-2010.)  (Proof shortened by Andrew Salmon,
       29-Jun-2011.) $)
    snjust $p |- { x | x = A } = { y | y = A } $=
      ( vz cv wceq cab eqeq1 cbvabv eqtri ) AEZCFZAGDEZCFZDGBEZCFZBGLNADKMCHINP
      DBMOCHIJ $.
  $}

  $( Extend class notation to include singleton. $)
  csn $a class { A } $.

  ${
    $d x A $.
    $( Define the singleton of a class.  Definition 7.1 of [Quine] p. 48.  For
       convenience, it is well-defined for proper classes, i.e., those that are
       not elements of ` _V ` , see ~ snprc .  For an alternate definition see
       ~ dfsn2 .  (Contributed by NM, 21-Jun-1993.) $)
    df-sn $a |- { A } = { x | x = A } $.
  $}

  $( Extend class notation to include unordered pair. $)
  cpr $a class { A , B } $.

  $( Define unordered pair of classes.  Definition 7.1 of [Quine] p. 48.  For
     example, ` A e. { 1 , -u 1 } -> ( A ^ 2 ) = 1 ` ( ~ ex-pr ).  They are
     unordered, so ` { A , B } = { B , A } ` as proven by ~ prcom .  For a more
     traditional definition, but requiring a dummy variable, see ~ dfpr2 .
     ` { A , A } ` is also an unordered pair, but also a singleton because of
     ` { A } = { A , A } ` (see ~ dfsn2 ).  Therefore, ` { A , B } ` is called
     a _proper_ (unordered) pair iff ` A =/= B ` and ` A ` and ` B ` are sets.

     Note: ordered pairs are a completely different object defined below in
     ~ df-op .  When the term "pair" is used without qualifier, it generally
     means "unordered pair", and the context makes it clear which version is
     meant.  (Contributed by NM, 21-Jun-1993.) $)
  df-pr $a |- { A , B } = ( { A } u. { B } ) $.

  $( Extend class notation to include unordered triple (sometimes called
     "unordered triplet"). $)
  ctp $a class { A , B , C } $.

  $( Define unordered triple of classes.  Definition of [Enderton] p. 19.

     Note: ordered triples are a completely different object defined below in
     ~ df-ot .  As with all tuples, when the term "triple" is used without
     qualifier, it means "ordered triple".  (Contributed by NM, 9-Apr-1994.) $)
  df-tp $a |- { A , B , C } = ( { A , B } u. { C } ) $.

  $( Extend class notation to include ordered pair. $)
  cop $a class <. A , B >. $.

  ${
    $d x A $.  $d x B $.
    $( Definition of an ordered pair, equivalent to Kuratowski's definition
       ` { { A } , { A , B } } ` when the arguments are sets.  Since the
       behavior of Kuratowski definition is not very useful for proper classes,
       we define it to be empty in this case (see ~ opprc1 , ~ opprc2 , and
       ~ 0nelop ).  For Kuratowski's actual definition when the arguments are
       sets, see ~ dfop .  For the justifying theorem (for sets) see ~ opth .
       See ~ dfopif for an equivalent formulation using the ` if ` operation.

       Definition 9.1 of [Quine] p. 58 defines an ordered pair unconditionally
       as ` <. A , B >. = { { A } , { A , B } } ` , which has different
       behavior from our ~ df-op when the arguments are proper classes.
       Ordinarily this difference is not important, since neither definition is
       meaningful in that case.  Our ~ df-op was chosen because it often makes
       proofs shorter by eliminating unnecessary sethood hypotheses.

       There are other ways to define ordered pairs.  The basic requirement is
       that two ordered pairs are equal iff their respective members are equal.
       In 1914 Norbert Wiener gave the first successful definition
       ` <. A , B >. `_2 ` = { { { A } , (/) } , { { B } } } ` , justified by
       ~ opthwiener .  This was simplified by Kazimierz Kuratowski in 1921 to
       our present definition.  An even simpler definition ` <. A , B >. `_3
       ` = { A , { A , B } } ` is justified by ~ opthreg , but it requires the
       Axiom of Regularity for its justification and is not commonly used.  A
       definition that also works for proper classes is ` <. A , B >. `_4
       ` = ( ( A X. { (/) } ) u. ( B X. { { (/) } } ) ) ` , justified by
       ~ opthprc .  Nearly at the same time as Norbert Wiener, Felix Hausdorff
       proposed the following definition in "Grundz&uuml;ge der Mengenlehre"
       ("Basics of Set Theory"), p. 32, in 1914: ` <. A , B >. `_5
       ` = { { A , O } , { B , T } } ` .  Hausdorff used ` 1 ` and ` 2 `
       instead of ` O ` and ` T ` , but actually any two different fixed sets
       will do (e.g., ` O = (/) ` and ` T = { (/) } ` , see ~ 0nep0 ).
       Furthermore, Hausdorff demanded that ` O ` and ` T ` are both different
       from ` A ` as well as ` B ` , which is actually not necessary (at least
       not in full extent), see ~ opthhausdorff0 and ~ opthhausdorff .  If we
       restrict our sets to nonnegative integers, an ordered pair definition
       that involves only elementary arithmetic is provided by ~ nn0opthi .  An
       ordered pair of real numbers can also be represented by a complex number
       as shown by ~ cru .  Kuratowski's ordered pair definition is standard
       for ZFC set theory, but it is very inconvenient to use in New
       Foundations theory because it is not type-level; a common alternate
       definition in New Foundations is the definition from [Rosser] p. 281.

       Since there are other ways to define ordered pairs, we discourage direct
       use of this definition so that most theorems won't depend on this
       particular construction; theorems will instead rely on ~ dfopif .
       (Contributed by NM, 28-May-1995.)  (Revised by Mario Carneiro,
       26-Apr-2015.)  (Avoid depending on this detail.) $)
    df-op $a |- <. A , B >. =
                { x | ( A e. _V /\ B e. _V /\ x e. { { A } , { A , B } } ) } $.
  $}

  $( Extend class notation to include ordered triple. $)
  cotp $a class <. A , B , C >. $.

  $( Define ordered triple of classes.  Definition of ordered triple in [Stoll]
     p. 25.  (Contributed by NM, 3-Apr-2015.) $)
  df-ot $a |- <. A , B , C >. = <. <. A , B >. , C >. $.

  ${
    $d x A $.  $d x B $.
    $( Equality theorem for singletons.  Part of Exercise 4 of [TakeutiZaring]
       p. 15.  (Contributed by NM, 21-Jun-1993.) $)
    sneq $p |- ( A = B -> { A } = { B } ) $=
      ( vx wceq cv cab csn eqeq2 abbidv df-sn 3eqtr4g ) ABDZCEZADZCFMBDZCFAGBGL
      NOCABMHICAJCBJK $.
  $}

  ${
    sneqi.1 $e |- A = B $.
    $( Equality inference for singletons.  (Contributed by NM, 22-Jan-2004.) $)
    sneqi $p |- { A } = { B } $=
      ( wceq csn sneq ax-mp ) ABDAEBEDCABFG $.
  $}

  ${
    sneqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for singletons.  (Contributed by NM, 22-Jan-2004.) $)
    sneqd $p |- ( ph -> { A } = { B } ) $=
      ( wceq csn sneq syl ) ABCEBFCFEDBCGH $.
  $}

  $( Alternate definition of singleton.  Definition 5.1 of [TakeutiZaring]
     p. 15.  (Contributed by NM, 24-Apr-1994.) $)
  dfsn2 $p |- { A } = { A , A } $=
    ( cpr csn cun df-pr unidm eqtr2i ) AABACZHDHAAEHFG $.

  ${
    $d A x $.  $d B x $.
    $( There is exactly one element in a singleton.  Exercise 2 of
       [TakeutiZaring] p. 15 (generalized).  (Contributed by NM, 13-Sep-1995.)
       (Proof shortened by Andrew Salmon, 29-Jun-2011.) $)
    elsng $p |- ( A e. V -> ( A e. { B } <-> A = B ) ) $=
      ( vx cv wceq csn eqeq1 df-sn elab2g ) DEZBFABFDABGCKABHDBIJ $.
  $}

  ${
    elsn.1 $e |- A e. _V $.
    $( There is exactly one element in a singleton.  Exercise 2 of
       [TakeutiZaring] p. 15.  (Contributed by NM, 13-Sep-1995.) $)
    elsn $p |- ( A e. { B } <-> A = B ) $=
      ( cvv wcel csn wceq wb elsng ax-mp ) ADEABFEABGHCABDIJ $.
  $}

  $( There is only one element in a singleton.  Exercise 2 of [TakeutiZaring]
     p. 15.  (Contributed by NM, 21-Jun-1993.) $)
  velsn $p |- ( x e. { A } <-> x = A ) $=
    ( cv vex elsn ) ACBADE $.

  $( There is at most one element in a singleton.  (Contributed by NM,
     5-Jun-1994.) $)
  elsni $p |- ( A e. { B } -> A = B ) $=
    ( csn wcel wceq elsng ibi ) ABCZDABEABHFG $.

  ${
    $d Y x $.
    $( Condition for a class abstraction to be a singleton.  Formerly part of
       proof of ~ dfiota2 .  (Contributed by Andrew Salmon, 30-Jun-2011.)
       (Revised by AV, 24-Aug-2022.) $)
    absn $p |- ( { x | ph } = { Y } <-> A. x ( ph <-> x = Y ) ) $=
      ( cab csn wceq cv wb wal df-sn eqeq2i abbi bitr4i ) ABDZCEZFNBGCFZBDZFAPH
      BIOQNBCJKAPBLM $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Alternate definition of a pair.  Definition 5.1 of [TakeutiZaring]
       p. 15.  (Contributed by NM, 24-Apr-1994.) $)
    dfpr2 $p |- { A , B } = { x | ( x = A \/ x = B ) } $=
      ( cpr csn cun cv wceq wo df-pr wcel elun velsn orbi12i bitri abbi2i eqtri
      cab ) BCDBEZCEZFZAGZBHZUBCHZIZARBCJUEAUAUBUAKUBSKZUBTKZIUEUBSTLUFUCUGUDAB
      MACMNOPQ $.
  $}

  ${
    $d x A $.
    $( Alternate definition of singleton, based on the (alternate) definition
       of pair.  Definition 5.1 of [TakeutiZaring] p. 15.  (Contributed by AV,
       12-Jun-2022.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    dfsn2ALT $p |- { A } = { A , A } $=
      ( vx cv wceq wo cab cpr csn oridm abbii dfpr2 df-sn 3eqtr4ri ) BCADZNEZBF
      NBFAAGAHONBNIJBAAKBALM $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( A member of a pair of classes is one or the other of them, and
       conversely as soon as it is a set.  Exercise 1 of [TakeutiZaring] p. 15,
       generalized.  (Contributed by NM, 13-Sep-1995.) $)
    elprg $p |- ( A e. V -> ( A e. { B , C } <-> ( A = B \/ A = C ) ) ) $=
      ( vx cv wceq wo cpr eqeq1 orbi12d dfpr2 elab2g ) EFZBGZNCGZHABGZACGZHEABC
      IDNAGOQPRNABJNACJKEBCLM $.
  $}

  $( If a class is an element of a pair, then it is one of the two paired
     elements.  (Contributed by Scott Fenton, 1-Apr-2011.) $)
  elpri $p |- ( A e. { B , C } -> ( A = B \/ A = C ) ) $=
    ( cpr wcel wceq wo elprg ibi ) ABCDZEABFACFGABCJHI $.

  ${
    elpr.1 $e |- A e. _V $.
    $( A member of a pair of classes is one or the other of them, and
       conversely as soon as it is a set.  Exercise 1 of [TakeutiZaring] p. 15.
       (Contributed by NM, 13-Sep-1995.) $)
    elpr $p |- ( A e. { B , C } <-> ( A = B \/ A = C ) ) $=
      ( cvv wcel cpr wceq wo wb elprg ax-mp ) AEFABCGFABHACHIJDABCEKL $.
  $}

  ${
    $( A member of a pair of sets is one or the other of them, and conversely.
       Exercise 1 of [TakeutiZaring] p. 15.  (Contributed by NM, 14-Oct-2005.)
       Generalize from sethood hypothesis to sethood antecedent.  (Revised by
       BJ, 25-May-2024.) $)
    elpr2g $p |-
       ( ( B e. V /\ C e. W ) -> ( A e. { B , C } <-> ( A = B \/ A = C ) ) ) $=
      ( wcel wa cvv cpr wceq wo wi elex a1i eleq1a syl jaao wb elprg pm5.21ndd
      ) BDFZCEFZGZAHFZABCIZFZABJZACJZKZUFUDLUCAUEMNUAUGUDUBUHUABHFUGUDLBDMBHAOP
      UBCHFUHUDLCEMCHAOPQUDUFUIRLUCABCHSNT $.
  $}

  ${
    elpr2.1 $e |- B e. _V $.
    elpr2.2 $e |- C e. _V $.
    $( A member of a pair of sets is one or the other of them, and conversely.
       Exercise 1 of [TakeutiZaring] p. 15.  (Contributed by NM, 14-Oct-2005.)
       (Proof shortened by JJ, 23-Jul-2021.) $)
    elpr2 $p |- ( A e. { B , C } <-> ( A = B \/ A = C ) ) $=
      ( cvv wcel cpr wceq wo wb elpr2g mp2an ) BFGCFGABCHGABIACIJKDEABCFFLM $.

    $( Obsolete version of ~ elpr2 as of 25-May-2024.  (Contributed by NM,
       14-Oct-2005.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    elpr2OLD $p |- ( A e. { B , C } <-> ( A = B \/ A = C ) ) $=
      ( cpr wcel cvv wceq wo elex eleq1 mpbiri jaoi elprg pm5.21nii ) ABCFZGAHG
      ZABIZACIZJAQKSRTSRBHGDABHLMTRCHGEACHLMNABCHOP $.
  $}

  ${
    nelpr2.a $e |- ( ph -> A e. V ) $.
    nelpr2.n $e |- ( ph -> -. A e. { B , C } ) $.
    $( If a class is not an element of an unordered pair, it is not the second
       listed element.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    nelpr2 $p |- ( ph -> A =/= C ) $=
      ( wceq cpr wcel wa wo animorr wb elprg syl adantr mpbird mtand neqned ) A
      BDABDHZBCDIJZGAUAKUBBCHZUALZAUAUCMAUBUDNZUAABEJUEFBCDEOPQRST $.
  $}

  ${
    nelpr1.a $e |- ( ph -> A e. V ) $.
    nelpr1.n $e |- ( ph -> -. A e. { B , C } ) $.
    $( If a class is not an element of an unordered pair, it is not the first
       listed element.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    nelpr1 $p |- ( ph -> A =/= B ) $=
      ( wceq cpr wcel wa wo animorrl wb elprg syl adantr mpbird mtand neqned )
      ABCABCHZBCDIJZGAUAKUBUABDHZLZAUAUCMAUBUDNZUAABEJUEFBCDEOPQRST $.
  $}

  ${
    nelpri.1 $e |- A =/= B $.
    nelpri.2 $e |- A =/= C $.
    $( If an element doesn't match the items in an unordered pair, it is not in
       the unordered pair.  (Contributed by David A. Wheeler, 10-May-2015.) $)
    nelpri $p |- -. A e. { B , C } $=
      ( wne cpr wcel wn wa wceq wo neanior elpri con3i sylbi mp2an ) ABFZACFZAB
      CGHZIZDERSJABKACKLZIUAABACMTUBABCNOPQ $.
  $}

  ${
    prneli.1 $e |- A =/= B $.
    prneli.2 $e |- A =/= C $.
    $( If an element doesn't match the items in an unordered pair, it is not in
       the unordered pair, using ` e/ ` .  (Contributed by David A. Wheeler,
       10-May-2015.) $)
    prneli $p |- A e/ { B , C } $=
      ( cpr nelpri nelir ) ABCFABCDEGH $.
  $}

  ${
    nelprd.1 $e |- ( ph -> A =/= B ) $.
    nelprd.2 $e |- ( ph -> A =/= C ) $.
    $( If an element doesn't match the items in an unordered pair, it is not in
       the unordered pair, deduction version.  (Contributed by Alexander van
       der Vekens, 25-Jan-2018.) $)
    nelprd $p |- ( ph -> -. A e. { B , C } ) $=
      ( wne cpr wcel wn wa wceq wo neanior elpri con3i sylbi syl2anc ) ABCGZBDG
      ZBCDHIZJZEFSTKBCLBDLMZJUBBCBDNUAUCBCDOPQR $.
  $}

  $( Membership in a set with two elements removed.  Similar to ~ eldifsn and
     ~ eldiftp .  (Contributed by Mario Carneiro, 18-Jul-2017.) $)
  eldifpr $p |- ( A e. ( B \ { C , D } ) <->
                ( A e. B /\ A =/= C /\ A =/= D ) ) $=
    ( wcel cpr wn wa wne cdif w3a wo elprg notbid neanior bitr4di pm5.32i eldif
    wceq 3anass 3bitr4i ) ABEZACDFZEZGZHUBACIZADIZHZHABUCJEUBUFUGKUBUEUHUBUEACS
    ADSLZGUHUBUDUIACDBMNACADOPQABUCRUBUFUGTUA $.

  $( Restricted existential quantification over a set with two elements
     removed.  (Contributed by Alexander van der Vekens, 7-Feb-2018.) $)
  rexdifpr $p |- ( E. x e. ( A \ { B , C } ) ph
      <-> E. x e. A ( x =/= B /\ x =/= C /\ ph ) ) $=
    ( cv wne w3a cpr cdif wcel eldifpr 3anass bitri anbi1i df-3an bicomi anbi2i
    wa anass rexbii2 ) ABFZDGZUBEGZAHZBCDEIJZCUBUFKZASUBCKZUCUDSZSZASZUHUESZUGU
    JAUGUHUCUDHUJUBCDELUHUCUDMNOUKUHUIASZSULUHUIATUMUEUHUEUMUCUDAPQRNNUA $.

  $( A set is a member of its singleton.  Part of Theorem 7.6 of [Quine] p. 49.
     (Contributed by NM, 28-Oct-2003.) $)
  snidg $p |- ( A e. V -> A e. { A } ) $=
    ( wcel csn wceq eqid elsng mpbiri ) ABCAADCAAEAFAABGH $.

  $( A class is a set iff it is a member of its singleton.  (Contributed by NM,
     5-Apr-2004.) $)
  snidb $p |- ( A e. _V <-> A e. { A } ) $=
    ( cvv wcel csn snidg elex impbii ) ABCAADZCABEAHFG $.

  ${
    snid.1 $e |- A e. _V $.
    $( A set is a member of its singleton.  Part of Theorem 7.6 of [Quine]
       p. 49.  (Contributed by NM, 31-Dec-1993.) $)
    snid $p |- A e. { A } $=
      ( cvv wcel csn snidb mpbi ) ACDAAEDBAFG $.
  $}

  $( A setvar variable is a member of its singleton.  (Contributed by David A.
     Wheeler, 8-Dec-2018.) $)
  vsnid $p |- x e. { x } $=
    ( cv vex snid ) ABACD $.

  $( There is exactly one element in a singleton.  Exercise 2 of
     [TakeutiZaring] p. 15.  This variation requires only that ` B ` , rather
     than ` A ` , be a set.  (Contributed by NM, 28-Oct-2003.) $)
  elsn2g $p |- ( B e. V -> ( A e. { B } <-> A = B ) ) $=
    ( wcel csn wceq elsni snidg eleq1 syl5ibrcom impbid2 ) BCDZABEZDZABFZABGLNO
    BMDBCHABMIJK $.

  ${
    elsn2.1 $e |- B e. _V $.
    $( There is exactly one element in a singleton.  Exercise 2 of
       [TakeutiZaring] p. 15.  This variation requires only that ` B ` , rather
       than ` A ` , be a set.  (Contributed by NM, 12-Jun-1994.) $)
    elsn2 $p |- ( A e. { B } <-> A = B ) $=
      ( cvv wcel csn wceq wb elsn2g ax-mp ) BDEABFEABGHCABDIJ $.
  $}

  $( If a class is not equal to the class in a singleton, then it is not in the
     singleton.  (Contributed by Glauco Siliprandi, 17-Aug-2020.)  (Proof
     shortened by BJ, 4-May-2021.) $)
  nelsn $p |- ( A =/= B -> -. A e. { B } ) $=
    ( csn wcel elsni necon3ai ) ABCDABABEF $.

  ${
    $d X x $.
    $( Conditions for a restricted class abstraction to be a singleton.
       (Contributed by AV, 18-Apr-2019.)  (Proof shortened by AV,
       26-Aug-2022.) $)
    rabeqsn $p |- ( { x e. V | ph } = { X }
                    <-> A. x ( ( x e. V /\ ph ) <-> x = X ) ) $=
      ( crab csn wceq cv wcel wa cab wb wal df-rab eqeq1i absn bitri ) ABCEZDFZ
      GBHZCIAJZBKZSGUATDGLBMRUBSABCNOUABDPQ $.

    $( Conditions for a restricted class abstraction to be a subset of a
       singleton, i.e. to be a singleton or the empty set.  (Contributed by AV,
       18-Apr-2019.) $)
    rabsssn $p |- ( { x e. V | ph } C_ { X } <-> A. x e. V ( ph -> x = X ) ) $=
      ( crab csn wss cv wcel wa cab wceq wi wal wral df-rab df-sn sseq12i ss2ab
      impexp albii df-ral bitr4i 3bitri ) ABCEZDFZGBHZCIZAJZBKZUGDLZBKZGUIUKMZB
      NZAUKMZBCOZUEUJUFULABCPBDQRUIUKBSUNUHUOMZBNUPUMUQBUHAUKTUAUOBCUBUCUD $.
  $}

  ${
    $d A x $.
    $( Substitution expressed in terms of quantification over a singleton.
       (Contributed by NM, 14-Dec-2005.)  (Revised by Mario Carneiro,
       23-Apr-2015.) $)
    ralsnsg $p |- ( A e. V -> ( A. x e. { A } ph <-> [. A / x ]. ph ) ) $=
      ( wcel csn wral cv wceq wi wal wsbc df-ral velsn imbi1i albii bitri sbc6g
      bitr4id ) CDEABCFZGZBHZCIZAJZBKZABCLUAUBTEZAJZBKUEABTMUGUDBUFUCABCNOPQABC
      DRS $.

    $( Restricted existential quantification over a singleton.  (Contributed by
       Mario Carneiro, 23-Apr-2015.)  (Revised by NM, 22-Aug-2018.) $)
    rexsns $p |- ( E. x e. { A } ph <-> [. A / x ]. ph ) $=
      ( cv csn wcel wex wceq wrex wsbc velsn anbi1i exbii df-rex sbc5 3bitr4i
      wa ) BDZCEZFZAQZBGRCHZAQZBGABSIABCJUAUCBTUBABCKLMABSNABCOP $.
  $}

  ${
    $d A x $.
    rexsngf.1 $e |- F/ x ps $.
    rexsngf.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Restricted existential quantification over a singleton.  (Contributed by
       NM, 29-Jan-2012.)  (Revised by Glauco Siliprandi, 17-Aug-2020.) $)
    rexsngf $p |- ( A e. V -> ( E. x e. { A } ph <-> ps ) ) $=
      ( csn wrex wsbc wcel rexsns sbciegf syl5bb ) ACDHIACDJDEKBACDLABCDEFGMN
      $.

    $( Restricted universal quantification over a singleton.  (Contributed by
       NM, 14-Dec-2005.)  (Revised by AV, 3-Apr-2023.) $)
    ralsngf $p |- ( A e. V -> ( A. x e. { A } ph <-> ps ) ) $=
      ( wcel csn wral wsbc ralsnsg sbciegf bitrd ) DEHACDIJACDKBACDELABCDEFGMN
      $.

    $d c w x A $.  $d c w ph $.
    $( Restricted existential uniqueness over a singleton.  (Contributed by AV,
       3-Apr-2023.) $)
    reusngf $p |- ( A e. V -> ( E! x e. { A } ph <-> ps ) ) $=
      ( vc vw csn wreu cv wsbc wi wral wa nfsbc1v dfsbcq wceq nfv weq wrex wcel
      sbceq1a reu8nf nfcv nfim nfralw nfan eqeq1 imbi2d ralbidv anbi12d rexsngf
      eqeq2 imbi12d ralsngf anbi2d eqidd biantru bitr4di bitrd syl5bb ) ACDJZKA
      ACHLZMZCHUAZNZHVDOZPZCVDUBZDEUCZBAVFACILZMCHIVDACVEQZACVMQACVMUDACVMVERUE
      VLVKBVFDVESZNZHVDOZPZBVJVRCDEBVQCFVPCHVDCVDUFVFVOCVNVOCTUGUHUICLZDSZABVIV
      QGVTVHVPHVDVTVGVOVFVSDVEUJUKULUMUNVLVRBACDMZDDSZNZPBVLVQWCBVPWCHDEWCHTVED
      SVFWAVOWBACVEDRVEDDUOUPUQURWCBWADUSUTVAVBVC $.
  $}

  ${
    $d A x $.  $d ps x $.
    ralsng.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Substitution expressed in terms of quantification over a singleton.
       (Contributed by NM, 14-Dec-2005.)  (Revised by Mario Carneiro,
       23-Apr-2015.)  Avoid ~ ax-10 , ~ ax-12 .  (Revised by Gino Giotto,
       30-Sep-2024.) $)
    ralsng $p |- ( A e. V -> ( A. x e. { A } ph <-> ps ) ) $=
      ( csn wral cv wceq wi wal wcel df-ral velsn imbi1i albii bitri wb a1i wex
      elisset pm5.74i 19.23v pm5.5 3bitrd syl syl5bb ) ACDGZHZCIZDJZAKZCLZDEMZB
      UJUKUIMZAKZCLUNACUINUQUMCUPULACDOPQRUOULCUAZUNBSCDEUBURUNULBKZCLZURBKZBUN
      UTSURUMUSCULABFUCQTUTVASURULBCUDTURBUEUFUGUH $.
    $( $j usage 'ralsng' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Restricted existential quantification over a singleton.  (Contributed by
       NM, 29-Jan-2012.)  Avoid ~ ax-10 , ~ ax-12 .  (Revised by Gino Giotto,
       30-Sep-2024.) $)
    rexsng $p |- ( A e. V -> ( E. x e. { A } ph <-> ps ) ) $=
      ( wcel wn wral wb wrex cv wceq notbid ralsng dfrex2 bicom1 con1bid syl5bb
      csn syl ) DEGAHZCDTZIZBHZJZACUCKZBJUBUECDECLDMABFNOUGUDHUFBACUCPUFBUDUDUE
      QRSUA $.
    $( $j usage 'rexsng' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Restricted existential uniqueness over a singleton.  (Contributed by AV,
       3-Apr-2023.) $)
    reusng $p |- ( A e. V -> ( E! x e. { A } ph <-> ps ) ) $=
      ( nfv reusngf ) ABCDEBCGFH $.

    $d A y $.  $d B x y $.  $d ch y $.
    2ralsng.1 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( Substitution expressed in terms of two quantifications over singletons.
       (Contributed by AV, 22-Dec-2019.) $)
    2ralsng $p |- ( ( A e. V /\ B e. W )
                    -> ( A. x e. { A } A. y e. { B } ph <-> ch ) ) $=
      ( wcel csn wral cv wceq ralbidv ralsng sylan9bb ) FHLAEGMZNZDFMNBETNZGILC
      UAUBDFHDOFPABETJQRBCEGIKRS $.
  $}

  ${
    $d A x $.  $d ps x $.
    ralsngOLD.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Obsolete version of ~ ralsng as of 30-Sep-2024.  (Contributed by NM,
       14-Dec-2005.)  (Revised by Mario Carneiro, 23-Apr-2015.)  (Proof
       shortened by AV, 7-Apr-2023.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ralsngOLD $p |- ( A e. V -> ( A. x e. { A } ph <-> ps ) ) $=
      ( nfv ralsngf ) ABCDEBCGFH $.

    $( Obsolete version of ~ rexsng as of 30-Sep-2024.  (Contributed by NM,
       29-Jan-2012.)  (Proof shortened by AV, 7-Apr-2023.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    rexsngOLD $p |- ( A e. V -> ( E. x e. { A } ph <-> ps ) ) $=
      ( nfv rexsngf ) ABCDEBCGFH $.
  $}

  ${
    $d A x y $.  $d ph y $.
    $( Restricted existential uniqueness over a singleton is equivalent to a
       restricted existential quantification over a singleton.  (Contributed by
       AV, 3-Apr-2023.) $)
    rexreusng $p |- ( A e. V -> ( E. x e. { A } ph <-> E! x e. { A } ph ) ) $=
      ( vy wcel csn wa wi wral wsbc cv wceq nfsbc1v nfv sbceq1a imbi12d ralsngf
      nfan nfim wrex wsb weq wreu eqidd dfsbcq2 anbi12d eqeq2 mpbiri nfcv nfs1v
      nfralw anbi1d eqeq1 ralbidv mpbird biantrud reu2 bitr4di ) CDFZABCGZUAZVB
      AABEUBZHZBEUCZIZEVAJZBVAJZHABVAUDUTVHVBUTVHABCKZVCHZCELZMZIZEVAJZUTVNVIEC
      KZVIHZCCMZIZVPCUEVMVRECDVPVQEVOVIEVIECNVIEOSVQEOTVKCMZVJVPVLVQVSVIVOVCVIV
      IECPABECUFUGVKCCUHQRUIVGVNBCDVMBEVABVAUJVJVLBVIVCBABCNABEUKSVLBOTULBLZCMZ
      VFVMEVAWAVDVJVEVLWAAVIVCABCPUMVTCVKUNQUORUPUQABEVAURUS $.
  $}

  $( There is a set being the element of a singleton if and only if there is an
     element of the singleton.  (Contributed by Alexander van der Vekens,
     1-Jan-2018.) $)
  exsnrex $p |- ( E. x M = { x } <-> E. x e. M M = { x } ) $=
    ( cv csn wceq wex wcel wrex vsnid eleq2 mpbiri pm4.71ri exbii df-rex bitr4i
    wa ) BACZDZEZAFQBGZSPZAFSABHSUAASTSTQRGAIBRQJKLMSABNO $.

  ${
    $d A x $.  $d ps x $.
    ralsn.1 $e |- A e. _V $.
    ralsn.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Convert a universal quantification restricted to a singleton to a
       substitution.  (Contributed by NM, 27-Apr-2009.) $)
    ralsn $p |- ( A. x e. { A } ph <-> ps ) $=
      ( cvv wcel csn wral wb ralsng ax-mp ) DGHACDIJBKEABCDGFLM $.

    $( Convert an existential quantification restricted to a singleton to a
       substitution.  (Contributed by Jeff Madsen, 5-Jan-2011.) $)
    rexsn $p |- ( E. x e. { A } ph <-> ps ) $=
      ( cvv wcel csn wrex wb rexsng ax-mp ) DGHACDIJBKEABCDGFLM $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Membership in an extension of a power class.  (Contributed by NM,
       26-Mar-2007.) $)
    elpwunsn $p |- ( A e. ( ~P ( B u. { C } ) \ ~P B ) -> C e. A ) $=
      ( vx csn cun cpw cdif wcel wn wa eldif cv wrex wral wss elpwg dfss3 sylbi
      wi bitrdi notbid biimpa rexnal sylibr wceq elpwi ssel wo elsni orim2i ord
      elun imim2i impd 3syl eleq1 biimpd syl6 com4r pm2.43b rexlimdv imp syldan
      expd ) ABCEZFZGZBGZHIAVHIZAVIIZJZKZCAIZAVHVILVJVLDMZBIZJZDANZVNVMVPDAOZJZ
      VRVJVLVTVJVKVSVJVKABPVSABVHQDABRUAUBUCVPDAUDUEVJVRVNVJVQVNDAVJVOAIZVQVNTV
      JWAVQWAVNVJWAVQWAVNTZVJWAVQKZVOCUFZWBVJAVGPWAVOVGIZTZWCWDTAVGUGAVGVOUHWFW
      AVQWDWEVQWDTZWAWEVPVOVFIZUIZWGVOBVFUMWIVPWDWHWDVPVOCUJUKULSUNUOUPWDWAVNVO
      CAUQURUSVEUTVAVBVCVDS $.
  $}

  $( An element of a set is either equal to another element of the set or a
     member of the difference of the set and the singleton containing the other
     element.  (Contributed by AV, 25-Aug-2020.)  (Proof shortened by JJ,
     23-Jul-2021.) $)
  eqoreldif $p |- ( B e. C
                    -> ( A e. C <-> ( A = B \/ A e. ( C \ { B } ) ) ) ) $=
    ( wcel wceq cdif wo wn wa simpl elsni con3i adantl eldifd ex orrd eleq1a wi
    csn eldifi a1i jaod impbid2 ) BCDZACDZABEZACBSZFDZGUEUFUHUEUFHZUHUEUIIACUGU
    EUIJUIAUGDZHUEUJUFABKLMNOPUDUFUEUHBCAQUHUERUDACUGTUAUBUC $.

  $( Members of an unordered triple of classes.  (Contributed by FL,
     2-Feb-2014.)  (Proof shortened by Mario Carneiro, 11-Feb-2015.) $)
  eltpg $p |- ( A e. V -> ( A e. { B , C , D } <->
     ( A = B \/ A = C \/ A = D ) ) ) $=
    ( wcel cpr csn wceq ctp w3o elprg elsng orbi12d cun df-tp eleq2i elun bitri
    wo df-3or 3bitr4g ) AEFZABCGZFZADHZFZTZABIZACIZTZADIZTABCDJZFZUIUJULKUCUEUK
    UGULABCELADEMNUNAUDUFOZFUHUMUOABCDPQAUDUFRSUIUJULUAUB $.

  $( Membership in a set with three elements removed.  Similar to ~ eldifsn and
     ~ eldifpr .  (Contributed by David A. Wheeler, 22-Jul-2017.) $)
  eldiftp $p |- ( A e. ( B \ { C , D , E } ) <->
                ( A e. B /\ ( A =/= C /\ A =/= D /\ A =/= E ) ) ) $=
    ( ctp cdif wcel wn wa wne w3a eldif wceq w3o eltpg ne3anior bitr4di pm5.32i
    notbid bitri ) ABCDEFZGHABHZAUBHZIZJUCACKADKAEKLZJABUBMUCUEUFUCUEACNADNAENO
    ZIUFUCUDUGACDEBPTACADAEQRSUA $.

  $( A member of an unordered triple of classes is one of them.  (Contributed
     by Mario Carneiro, 11-Feb-2015.) $)
  eltpi $p |- ( A e. { B , C , D } -> ( A = B \/ A = C \/ A = D ) ) $=
    ( ctp wcel wceq w3o eltpg ibi ) ABCDEZFABGACGADGHABCDKIJ $.

  ${
    eltp.1 $e |- A e. _V $.
    $( A member of an unordered triple of classes is one of them.  Special case
       of Exercise 1 of [TakeutiZaring] p. 17.  (Contributed by NM,
       8-Apr-1994.)  (Revised by Mario Carneiro, 11-Feb-2015.) $)
    eltp $p |- ( A e. { B , C , D } <-> ( A = B \/ A = C \/ A = D ) ) $=
      ( cvv wcel ctp wceq w3o wb eltpg ax-mp ) AFGABCDHGABIACIADIJKEABCDFLM $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Alternate definition of unordered triple of classes.  Special case of
       Definition 5.3 of [TakeutiZaring] p. 16.  (Contributed by NM,
       8-Apr-1994.) $)
    dftp2 $p |- { A , B , C } = { x | ( x = A \/ x = B \/ x = C ) } $=
      ( cv wceq w3o ctp vex eltp abbi2i ) AEZBFLCFLDFGABCDHLBCDAIJK $.
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    nfpr.1 $e |- F/_ x A $.
    nfpr.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for unordered pairs.  (Contributed by
       NM, 14-Nov-1995.) $)
    nfpr $p |- F/_ x { A , B } $=
      ( vy cpr cv wceq wo cab dfpr2 nfeq2 nfor nfab nfcxfr ) ABCGFHZBIZQCIZJZFK
      FBCLTAFRSAAQBDMAQCEMNOP $.
  $}

  $( Membership of a conditional operator in an unordered pair.  (Contributed
     by NM, 17-Jun-2007.) $)
  ifpr $p |- ( ( A e. C /\ B e. D ) -> if ( ph , A , B ) e. { A , B } ) $=
    ( wcel cvv cif cpr elex wa ifcl wceq wo ifeqor elprg mpbiri syl syl2an ) BD
    FBGFZCGFZABCHZBCIFZCEFBDJCEJTUAKUBGFZUCABCGLUDUCUBBMUBCMNABCOUBBCGPQRS $.

  ${
    $d x A $.  $d x B $.
    ralprgf.1 $e |- F/ x ps $.
    ralprgf.2 $e |- F/ x ch $.
    ralprgf.a $e |- ( x = A -> ( ph <-> ps ) ) $.
    ralprgf.b $e |- ( x = B -> ( ph <-> ch ) ) $.
    $( Convert a restricted universal quantification over a pair to a
       conjunction, using bound-variable hypotheses instead of distinct
       variable conditions.  (Contributed by NM, 17-Sep-2011.)  (Revised by AV,
       8-Apr-2023.) $)
    ralprgf $p |- ( ( A e. V /\ B e. W )
                    -> ( A. x e. { A , B } ph <-> ( ps /\ ch ) ) ) $=
      ( cpr wral csn wa wcel cun df-pr ralsngf raleqi ralunb bi2anan9 syl5bb
      bitri ) ADEFMZNZADEOZNZADFOZNZPZEGQZFHQZPBCPUGADUHUJRZNULADUFUOEFSUAADUHU
      JUBUEUMUIBUNUKCABDEGIKTACDFHJLTUCUD $.

    $( Convert a restricted existential quantification over a pair to a
       disjunction, using bound-variable hypotheses instead of distinct
       variable conditions.  (Contributed by NM, 17-Sep-2011.)  (Revised by AV,
       2-Apr-2023.) $)
    rexprgf $p |- ( ( A e. V /\ B e. W )
                    -> ( E. x e. { A , B } ph <-> ( ps \/ ch ) ) ) $=
      ( cpr wrex csn wo wcel wa cun rexsngf df-pr rexeqi orbi1d orbi2d sylan9bb
      rexun bitri syl5bb ) ADEFMZNZADEOZNZADFOZNZPZEGQZFHQZRBCPZUJADUKUMSZNUOAD
      UIUSEFUAUBADUKUMUFUGUPUOBUNPUQURUPULBUNABDEGIKTUCUQUNCBACDFHJLTUDUEUH $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x ps $.  $d x ch $.  $d x th $.
    ralprg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ralprg.2 $e |- ( x = B -> ( ph <-> ch ) ) $.
    $( Convert a restricted universal quantification over a pair to a
       conjunction.  (Contributed by NM, 17-Sep-2011.)  (Revised by Mario
       Carneiro, 23-Apr-2015.)  Avoid ~ ax-10 , ~ ax-12 .  (Revised by Gino
       Giotto, 30-Sep-2024.) $)
    ralprg $p |- ( ( A e. V /\ B e. W ) ->
      ( A. x e. { A , B } ph <-> ( ps /\ ch ) ) ) $=
      ( cpr wral csn wa wcel cun df-pr raleqi ralunb ralsng bi2anan9 syl5bb
      bitri ) ADEFKZLZADEMZLZADFMZLZNZEGOZFHOZNBCNUEADUFUHPZLUJADUDUMEFQRADUFUH
      SUCUKUGBULUICABDEGITACDFHJTUAUB $.
    $( $j usage 'ralprg' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Obsolete version of ~ ralprg as of 30-Sep-2024.  (Contributed by NM,
       17-Sep-2011.)  (Revised by Mario Carneiro, 23-Apr-2015.)  (Proof
       shortened by AV, 8-Apr-2023.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ralprgOLD $p |- ( ( A e. V /\ B e. W ) ->
      ( A. x e. { A , B } ph <-> ( ps /\ ch ) ) ) $=
      ( nfv ralprgf ) ABCDEFGHBDKCDKIJL $.

    $( Convert a restricted existential quantification over a pair to a
       disjunction.  (Contributed by NM, 17-Sep-2011.)  (Revised by Mario
       Carneiro, 23-Apr-2015.)  Avoid ~ ax-10 , ~ ax-12 .  (Revised by Gino
       Giotto, 30-Sep-2024.) $)
    rexprg $p |- ( ( A e. V /\ B e. W ) ->
      ( E. x e. { A , B } ph <-> ( ps \/ ch ) ) ) $=
      ( wcel wa wn cpr wral wb wrex wo wceq notbid ralprg ralnex pm4.56 bibi12i
      cv notbi sylbb2 syl ) EGKFHKLAMZDEFNZOZBMZCMZLZPZADUJQZBCRZPZUIULUMDEFGHD
      UEZESABITUSFSACJTUAUOUPMZUQMZPURUKUTUNVAADUJUBBCUCUDUPUQUFUGUH $.
    $( $j usage 'rexprg' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Obsolete version of ~ rexprg as of 30-Sep-2024.  (Contributed by NM,
       17-Sep-2011.)  (Revised by Mario Carneiro, 23-Apr-2015.)  (Proof
       shortened by AV, 8-Apr-2023.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    rexprgOLD $p |- ( ( A e. V /\ B e. W ) ->
      ( E. x e. { A , B } ph <-> ( ps \/ ch ) ) ) $=
      ( nfv rexprgf ) ABCDEFGHBDKCDKIJL $.

    raltpg.3 $e |- ( x = C -> ( ph <-> th ) ) $.
    $( Convert a restricted universal quantification over a triple to a
       conjunction.  (Contributed by NM, 17-Sep-2011.)  (Revised by Mario
       Carneiro, 23-Apr-2015.) $)
    raltpg $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
      ( A. x e. { A , B , C } ph <-> ( ps /\ ch /\ th ) ) ) $=
      ( wcel w3a cpr wral csn wa ctp wb ralprg ralsng bi2anan9 3impa cun raleqi
      df-tp ralunb bitri df-3an 3bitr4g ) FIOZGJOZHKOZPAEFGQZRZAEHSZRZTZBCTZDTZ
      AEFGHUAZRZBCDPUNUOUPVAVCUBUNUOTURVBUPUTDABCEFGIJLMUCADEHKNUDUEUFVEAEUQUSU
      GZRVAAEVDVFFGHUIUHAEUQUSUJUKBCDULUM $.

    $( Convert a restricted existential quantification over a triple to a
       disjunction.  (Contributed by Mario Carneiro, 23-Apr-2015.) $)
    rextpg $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
      ( E. x e. { A , B , C } ph <-> ( ps \/ ch \/ th ) ) ) $=
      ( wcel w3a cpr wrex csn wo ctp wb wa rexprg orbi1d rexsng orbi2d sylan9bb
      w3o 3impa cun df-tp rexeqi rexun bitri df-3or 3bitr4g ) FIOZGJOZHKOZPAEFG
      QZRZAEHSZRZTZBCTZDTZAEFGHUAZRZBCDUIURUSUTVEVGUBURUSUCZVEVFVDTUTVGVJVBVFVD
      ABCEFGIJLMUDUEUTVDDVFADEHKNUFUGUHUJVIAEVAVCUKZRVEAEVHVKFGHULUMAEVAVCUNUOB
      CDUPUQ $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.  $d x ch $.
    ralpr.1 $e |- A e. _V $.
    ralpr.2 $e |- B e. _V $.
    ralpr.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ralpr.4 $e |- ( x = B -> ( ph <-> ch ) ) $.
    $( Convert a restricted universal quantification over a pair to a
       conjunction.  (Contributed by NM, 3-Jun-2007.)  (Revised by Mario
       Carneiro, 23-Apr-2015.) $)
    ralpr $p |- ( A. x e. { A , B } ph <-> ( ps /\ ch ) ) $=
      ( cvv wcel cpr wral wa wb ralprg mp2an ) EKLFKLADEFMNBCOPGHABCDEFKKIJQR
      $.

    $( Convert a restricted existential quantification over a pair to a
       disjunction.  (Contributed by NM, 3-Jun-2007.)  (Revised by Mario
       Carneiro, 23-Apr-2015.) $)
    rexpr $p |- ( E. x e. { A , B } ph <-> ( ps \/ ch ) ) $=
      ( cvv wcel cpr wrex wo wb rexprg mp2an ) EKLFKLADEFMNBCOPGHABCDEFKKIJQR
      $.
  $}

  ${
    $d c w x A $.  $d c w x B $.  $d x ps $.  $d c w ph $.  $d x ch $.
    reuprg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    reuprg.2 $e |- ( x = B -> ( ph <-> ch ) ) $.
    $( Convert a restricted existential uniqueness over a pair to a disjunction
       of conjunctions.  (Contributed by AV, 2-Apr-2023.) $)
    reuprg0 $p |- ( ( A e. V /\ B e. W )
             -> ( E! x e. { A , B } ph <-> ( ( ps /\ ( ch -> A = B ) )
                                          \/ ( ch /\ ( ps -> A = B ) ) ) ) ) $=
      ( vc cv wsbc wceq wi wral wa nfv eqeq2 imbi12d cpr wreu wrex wcel nfsbc1v
      vw wo sbceq1a dfsbcq reu8nf nfcv nfim nfralw eqeq1 imbi2d ralbidv anbi12d
      nfan rexprgf ralprg eqidd biantrur wb sbcieg adantl imbi1d bitr3id anbi2d
      bitrd biantru adantr eqcom imbi2i anbi2i bitrdi orbi12d syl5bb ) ADEFUAZU
      BAADKLZMZDLZVSNZOZKVRPZQZDVRUCZEGUDZFHUDZQZBCEFNZOZQZCBWJOZQZUGZAVTADUFLZ
      MDKUFVRADVSUEZADWPUEADWPUHADWPVSUIUJWIWFBVTEVSNZOZKVRPZQZCVTFVSNZOZKVRPZQ
      ZUGWOWEXAXEDEFGHBWTDBDRWSDKVRDVRUKZVTWRDWQWRDRULUMURCXDDCDRXCDKVRXFVTXBDW
      QXBDRULUMURWAENZABWDWTIXGWCWSKVRXGWBWRVTWAEVSUNUOUPUQWAFNZACWDXDJXHWCXCKV
      RXHWBXBVTWAFVSUNUOUPUQUSWIXAWLXEWNWIWTWKBWIWTADEMZEENZOZADFMZWJOZQZWKWSXK
      XMKEFGHVSENZVTXIWRXJADVSEUIZVSEESTVSFNZVTXLWRWJADVSFUIZVSFESTUTXNXMWIWKXK
      XMXIEVAVBWIXLCWJWHXLCVCWGACDFHJVDVEVFVGVIVHWIXECBFENZOZQWNWIXDXTCWIXDXIXS
      OZXLFFNZOZQZXTXCYAYCKEFGHXOVTXIXBXSXPVSEFSTXQVTXLXBYBXRVSFFSTUTYDYAWIXTYC
      YAXLFVAVJWIXIBXSWGXIBVCWHABDEGIVDVKVFVGVIVHXTWMCXSWJBFEVLVMVNVOVPVIVQ $.

    $( Convert a restricted existential uniqueness over a pair to a disjunction
       and an implication .  (Contributed by AV, 2-Apr-2023.) $)
    reuprg $p |- ( ( A e. V /\ B e. W ) -> ( E! x e. { A , B } ph
                       <-> ( ( ps \/ ch ) /\ ( ( ch /\ ps ) -> A = B ) ) ) ) $=
      ( wcel wa cpr wreu wceq wi wo curryax bicomi bitri reuprg0 orddi biantrur
      biantru orcom mpbir pm4.79 anbi12i bitrdi ) EGKFHKLADEFMNBCEFOZPZLCBUJPZL
      QZBCQZCBLUJPZLZABCDEFGHIJUAUMUNBULQZLZUKCQZUKULQZLZLUPBUKCULUBURUNVAUOUNU
      RUQUNBUJRUDSVAUTUOUTVAUSUTUSCUKQCUJRUKCUEUFUCSUJCBUGTUHTUI $.

    $( Convert a restricted existential uniqueness over a pair to a restricted
       existential quantification and an implication .  (Contributed by AV,
       3-Apr-2023.) $)
    reurexprg $p |- ( ( A e. V /\ B e. W ) -> ( E! x e. { A , B } ph
               <-> ( E. x e. { A , B } ph /\ ( ( ch /\ ps ) -> A = B ) ) ) ) $=
      ( wcel wa cpr wreu wo wceq wi wrex reuprg rexprg bicomd anbi1d bitrd ) EG
      KFHKLZADEFMZNBCOZCBLEFPQZLADUERZUGLABCDEFGHIJSUDUFUHUGUDUHUFABCDEFGHIJTUA
      UBUC $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x ps $.  $d x ch $.  $d x th $.
    raltp.1 $e |- A e. _V $.
    raltp.2 $e |- B e. _V $.
    raltp.3 $e |- C e. _V $.
    raltp.4 $e |- ( x = A -> ( ph <-> ps ) ) $.
    raltp.5 $e |- ( x = B -> ( ph <-> ch ) ) $.
    raltp.6 $e |- ( x = C -> ( ph <-> th ) ) $.
    $( Convert a universal quantification over an unordered triple to a
       conjunction.  (Contributed by NM, 13-Sep-2011.)  (Revised by Mario
       Carneiro, 23-Apr-2015.) $)
    raltp $p |- ( A. x e. { A , B , C } ph <-> ( ps /\ ch /\ th ) ) $=
      ( cvv wcel ctp wral w3a wb raltpg mp3an ) FOPGOPHOPAEFGHQRBCDSTIJKABCDEFG
      HOOOLMNUAUB $.

    $( Convert an existential quantification over an unordered triple to a
       disjunction.  (Contributed by Mario Carneiro, 23-Apr-2015.) $)
    rextp $p |- ( E. x e. { A , B , C } ph <-> ( ps \/ ch \/ th ) ) $=
      ( cvv wcel ctp wrex w3o wb rextpg mp3an ) FOPGOPHOPAEFGHQRBCDSTIJKABCDEFG
      HOOOLMNUAUB $.
  $}

  ${
    nfsn.1 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for singletons.  (Contributed by NM,
       14-Nov-1995.) $)
    nfsn $p |- F/_ x { A } $=
      ( csn cpr dfsn2 nfpr nfcxfr ) ABDBBEBFABBCCGH $.
  $}

  ${
    $d A y $.  $d B y $.  $d V y $.  $d x y $.
    $( Distribute proper substitution through the singleton of a class.
       ~ csbsng is derived from the virtual deduction proof ~ csbsngVD .
       (Contributed by Alan Sare, 10-Nov-2012.) $)
    csbsng $p |- ( A e. V -> [_ A / x ]_ { B } = { [_ A / x ]_ B } ) $=
      ( vy wcel wceq cab csb csn wsbc csbab sbceq2g abbidv eqtrid df-sn csbeq2i
      cv 3eqtr4g ) BDFZABERZCGZEHZIZUAABCIZGZEHZABCJZIUEJTUDUBABKZEHUGUBAEBLTUI
      UFEABUACDMNOABUHUCECPQEUEPS $.
  $}

  $( Distribute proper substitution through a pair of classes.  (Contributed by
     Alexander van der Vekens, 4-Sep-2018.) $)
  csbprg $p |- ( C e. V
            -> [_ C / x ]_ { A , B } = { [_ C / x ]_ A , [_ C / x ]_ B } ) $=
    ( wcel csn cun csb cpr csbun csbsng uneq12d eqtrid df-pr csbeq2i 3eqtr4g )
    DEFZADBGZCGZHZIZADBIZGZADCIZGZHZADBCJZIUCUEJRUBADSIZADTIZHUGADSTKRUIUDUJUFA
    DBELADCELMNADUHUABCOPUCUEOQ $.

  $( If the intersection of two classes is a (proper) singleton, then the
     singleton element is a member of both classes.  (Contributed by AV,
     30-Dec-2021.) $)
  elinsn $p |- ( ( A e. V /\ ( B i^i C ) = { A } ) -> ( A e. B /\ A e. C ) ) $=
    ( wcel csn cin wceq wa snidg eleq2 elin biimpi syl6bir mpan9 ) ADEAAFZEZBCG
    ZPHZABEACEIZADJSQAREZTRPAKUATABCLMNO $.

  ${
    $d x A $.  $d x B $.
    $( Intersection with the singleton of a non-member is disjoint.
       (Contributed by NM, 22-May-1998.)  (Proof shortened by Andrew Salmon,
       29-Jun-2011.)  (Proof shortened by Wolf Lammen, 30-Sep-2014.) $)
    disjsn $p |- ( ( A i^i { B } ) = (/) <-> -. B e. A ) $=
      ( vx csn cin c0 wceq cv wcel wn wi wal wa disj1 con2b velsn imbi1i 3bitri
      imnan albii wex alnex dfclel xchbinxr ) ABDZEFGCHZAIZUFUEIZJKZCLUFBGZUGMZ
      JZCLZBAIZJCAUENUIULCUIUHUGJZKUJUOKULUGUHOUHUJUOCBPQUJUGSRTUMUKCUAUNUKCUBC
      BAUCUDR $.
  $}

  $( Two distinct singletons are disjoint.  (Contributed by NM,
     25-May-1998.) $)
  disjsn2 $p |- ( A =/= B -> ( { A } i^i { B } ) = (/) ) $=
    ( wne csn wcel wn cin c0 wceq elsni eqcomd necon3ai disjsn sylibr ) ABCBADZ
    EZFOBDGHIPABPBABAJKLOBMN $.

  $( Two completely distinct unordered pairs are disjoint.  (Contributed by
     Alexander van der Vekens, 11-Nov-2017.)  (Proof shortened by JJ,
     23-Jul-2021.) $)
  disjpr2 $p |- ( ( ( A =/= C /\ B =/= C ) /\ ( A =/= D /\ B =/= D ) )
                  -> ( { A , B } i^i { C , D } ) = (/) ) $=
    ( wne wa cpr cin csn cun df-pr eqtri wceq ineq1i indir disjsn2 anim12i un00
    c0 eqtrid ineq2i indi sylib adantr adantl uneq12d un0 eqtrdi ) ACEZBCEZFZAD
    EZBDEZFZFZABGZCDGZHZUPCIZHZUPDIZHZJZSURUPUSVAJZHVCUQVDUPCDKUAUPUSVAUBLUOVCS
    SJSUOUTSVBSUKUTSMUNUKUTAIZUSHZBIZUSHZJZSUTVEVGJZUSHVIUPVJUSABKZNVEVGUSOLUKV
    FSMZVHSMZFVISMUIVLUJVMACPBCPQVFVHRUCTUDUNVBSMUKUNVBVEVAHZVGVAHZJZSVBVJVAHVP
    UPVJVAVKNVEVGVAOLUNVNSMZVOSMZFVPSMULVQUMVRADPBDPQVNVORUCTUEUFSUGUHT $.

  $( The disjoint intersection of an unordered pair and a singleton.
     (Contributed by AV, 23-Jan-2021.) $)
  disjprsn $p |- ( ( A =/= C /\ B =/= C ) -> ( { A , B } i^i { C } ) = (/) ) $=
    ( wne wa cpr csn cin c0 dfsn2 ineq2i wceq disjpr2 anidms eqtrid ) ACDBCDEZA
    BFZCGZHQCCFZHZIRSQCJKPTILABCCMNO $.

  $( The disjoint intersection of an unordered triple and a singleton.
     (Contributed by AV, 14-Nov-2021.) $)
  disjtpsn $p |- ( ( A =/= D /\ B =/= D /\ C =/= D )
                   -> ( { A , B , C } i^i { D } ) = (/) ) $=
    ( wne w3a ctp csn cin cpr cun c0 df-tp ineq1i wceq disjprsn 3adant3 disjsn2
    wa 3ad2ant3 jca undisj1 sylib eqtrid ) ADEZBDEZCDEZFZABCGZDHZIABJZCHZKZUJIZ
    LUIUMUJABCMNUHUKUJILOZULUJILOZSUNLOUHUOUPUEUFUOUGABDPQUGUEUPUFCDRTUAUKULUJU
    BUCUD $.

  $( Two completely distinct unordered triples are disjoint.  (Contributed by
     AV, 14-Nov-2021.) $)
  disjtp2 $p |- ( ( ( A =/= D /\ B =/= D /\ C =/= D )
                    /\ ( A =/= E /\ B =/= E /\ C =/= E )
                    /\ ( A =/= F /\ B =/= F /\ C =/= F ) )
                  -> ( { A , B , C } i^i { D , E , F } ) = (/) ) $=
    ( wne w3a ctp cin cpr csn cun c0 df-tp wceq wa 3simpa 3ad2ant3 eqtrid incom
    ineq2i ineq1i disjpr2 syl2an 3adant3 necom biimpi disjprsn undisj1 disjtpsn
    jca sylib undisj2 ) ADGZBDGZCDGZHZAEGZBEGZCEGZHZAFGBFGCFGHZHZABCIZDEFIZJVED
    EKZFLZMZJZNVFVIVEDEFOUBVDVEVGJZNPZVEVHJNPZQVJNPVDVLVMVDVKABKZCLZMZVGJZNVEVP
    VGABCOUCVDVNVGJNPZVOVGJZNPZQVQNPVDVRVTURVBVRVCURUOUPQUSUTQVRVBUOUPUQRUSUTVA
    RABDEUDUEUFVDVSVGVOJZNVOVGUAURVBWANPZVCURDCGZECGZWBVBUQUOWCUPUQWCCDUGUHSVAU
    SWDUTVAWDCEUGUHSDECUIUEUFTULVNVOVGUJUMTVCURVMVBABCFUKSULVEVGVHUNUMT $.

  ${
    $d x A $.
    $( The singleton of a proper class (one that doesn't exist) is the empty
       set.  Theorem 7.2 of [Quine] p. 48.  (Contributed by NM,
       21-Jun-1993.) $)
    snprc $p |- ( -. A e. _V <-> { A } = (/) ) $=
      ( vx csn c0 wceq cvv wcel cv wex velsn exbii neq0 isset 3bitr4i con1bii
      wn ) ACZDEZAFGZBHZQGZBITAEZBIRPSUAUBBBAJKBQLBAMNO $.
  $}

  $( A singleton is nonempty iff its argument is a set.  (Contributed by Scott
     Fenton, 8-May-2018.) $)
  snnzb $p |- ( A e. _V <-> { A } =/= (/) ) $=
    ( cvv wcel csn c0 wne wn wceq snprc df-ne con2bii bitri con4bii ) ABCZADZEF
    ZNGOEHZPGAIPQOEJKLM $.

  ${
    $d A x $.
    $( A restricted at-most-one quantifier over a singleton is always true.
       (Contributed by AV, 3-Apr-2023.) $)
    rmosn $p |- E* x e. { A } ph $=
      ( cvv wcel csn wrmo wrex wreu wi wsbc idd nfsbc1v sbceq1a rexsngf reusngf
      3imtr4d rmo5 sylibr c0 wn rmo0 wceq wb snprc rmoeq1 sylbi mpbiri pm2.61i
      ) CDEZABCFZGZUJABUKHZABUKIZJULUJABCKZUOUMUNUJUOLAUOBCDABCMZABCNZOAUOBCDUP
      UQPQABUKRSUJUAZULABTGZABUBURUKTUCULUSUDCUEABUKTUFUGUHUI $.
  $}

  ${
    $d x y A $.  $d x B $.
    $( Special case of ~ r19.12 where its converse holds.  (Contributed by NM,
       19-May-2008.)  (Revised by Mario Carneiro, 23-Apr-2015.)  (Revised by
       BJ, 18-Mar-2020.) $)
    r19.12sn $p |- ( A e. V -> ( E. x e. { A } A. y e. B ph
                                         <-> A. y e. B E. x e. { A } ph ) ) $=
      ( wcel wral wsbc csn wrex sbcralg rexsns ralbii 3bitr4g ) DFGACEHZBDIABDI
      ZCEHPBDJZKABRKZCEHABCDEFLPBDMSQCEABDMNO $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Condition where a restricted class abstraction is a singleton.
       (Contributed by NM, 28-May-2006.)  (Proof shortened by AV,
       26-Aug-2022.) $)
    rabsn $p |- ( B e. A -> { x e. A | x = B } = { B } ) $=
      ( wcel cv wceq wa wal crab csn eleq1 pm5.32ri baib alrimiv rabeqsn sylibr
      wb ) CBDZAEZBDZSCFZGZUAQZAHUAABICJFRUCAUBRUAUATRSCBKLMNUAABCOP $.
  $}

  ${
    $d x y A $.  $d y ph $.
    $( A restricted class abstraction restricted to a singleton is either the
       empty set or the singleton itself.  (Contributed by AV, 21-Jul-2019.) $)
    rabsnifsb $p |- { x e. { A } | ph }
                    = if ( [. A / x ]. ph , { A } , (/) ) $=
      ( vy cv csn wcel wa cab wsbc c0 wn wo wi syl imdistani nfan eleq1w anbi1d
      nfv crab cif wceq elsni sbceq1a biimpd orcd biimprd pm2.21i adantr impbii
      noel jaoi abbii nfsbc1v nfn weq orbi12d cbvabw eqtri df-rab df-if 3eqtr4i
      nfor ) BEZCFZGZAHZBIZDEZVFGZABCJZHZVJKGZVLLZHZMZDIZABVFUAVLVFKUBVIVGVLHZV
      EKGZVOHZMZBIVRVHWBBVHWBVHVSWAVGAVLVGVECUCZAVLNVECUDZWCAVLABCUEZUFOPUGVSVH
      WAVGVLAVGWCVLANWDWCAVLWEUHOPVTVHVOVTVHVEULUIUJUMUKUNWBVQBDWBDTVMVPBVKVLBV
      KBTABCUOZQVNVOBVNBTVLBWFUPQVDBDUQZVSVMWAVPWGVGVKVLBDVFRSWGVTVNVOBDKRSURUS
      UTABVFVAVLDVFKVBVC $.
  $}

  ${
    $d x A $.  $d x ps $.
    rabsnif.f $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( A restricted class abstraction restricted to a singleton is either the
       empty set or the singleton itself.  (Contributed by AV, 12-Apr-2019.)
       (Proof shortened by AV, 21-Jul-2019.) $)
    rabsnif $p |- { x e. { A } | ph } = if ( ps , { A } , (/) ) $=
      ( cvv wcel csn crab cif wceq wsbc rabsnifsb sbcieg ifbid eqtrid rab0 ifid
      c0 wn eqtr4i snprc biimpi rabeqdv ifeq1d 3eqtr4a pm2.61i ) DFGZACDHZIZBUI
      SJZKUHUJACDLZUISJUKACDMUHULBUISABCDFENOPUHTZACSIZBSSJZUJUKUNSUOACQBSRUAUM
      ACUISUMUISKDUBUCZUDUMBUISSUPUEUFUG $.
  $}

  ${
    $d x A $.
    $( A restricted class abstraction restricted to a singleton is either the
       empty set or the singleton itself.  (Contributed by Alexander van der
       Vekens, 22-Dec-2017.)  (Proof shortened by AV, 21-Jul-2019.) $)
    rabrsn $p |- ( M = { x e. { A } | ph } -> ( M = (/) \/ M = { A } ) ) $=
      ( csn crab wceq wsbc c0 cif wo rabsnifsb eqeq2i ifeqor orcom mpbi orbi12d
      eqeq1 mpbiri sylbi ) DABCEZFZGDABCHZUAIJZGZDIGZDUAGZKZUBUDDABCLMUEUHUDIGZ
      UDUAGZKZUJUIKUKUCUAINUJUIOPUEUFUIUGUJDUDIRDUDUARQST $.
  $}

  ${
    $d x y $.  $d y ph $.  $d y A $.
    $( Another way to express existential uniqueness of a wff: its class
       abstraction is a singleton.  (Contributed by Mario Carneiro,
       14-Nov-2016.) $)
    euabsn2 $p |- ( E! x ph <-> E. y { x | ph } = { y } ) $=
      ( weu cv wceq wb wal wex cab csn eu6 absn exbii bitr4i ) ABDABECEZFGBHZCI
      ABJPKFZCIABCLRQCABPMNO $.

    $( Another way to express existential uniqueness of a wff: its class
       abstraction is a singleton.  (Contributed by NM, 22-Feb-2004.) $)
    euabsn $p |- ( E! x ph <-> E. x { x | ph } = { x } ) $=
      ( vy weu cab cv csn wceq wex euabsn2 nfv nfab1 sneq eqeq2d cbvexv1 bitr4i
      nfeq1 ) ABDABEZCFZGZHZCIRBFZGZHZBIABCJUDUABCUDCKBRTABLQUBSHUCTRUBSMNOP $.

    $( A way to express restricted existential uniqueness of a wff: its
       restricted class abstraction is a singleton.  (Contributed by NM,
       30-May-2006.)  (Proof shortened by Mario Carneiro, 14-Nov-2016.) $)
    reusn $p |- ( E! x e. A ph <-> E. y { x e. A | ph } = { y } ) $=
      ( cv wcel wa weu cab csn wceq wex wreu euabsn2 df-reu df-rab eqeq1i exbii
      crab 3bitr4i ) BEDFAGZBHUABIZCEJZKZCLABDMABDSZUCKZCLUABCNABDOUFUDCUEUBUCA
      BDPQRT $.

    $( Restricted existential uniqueness determined by a singleton.
       (Contributed by NM, 29-May-2006.) $)
    absneu $p |- ( ( A e. V /\ { x | ph } = { A } ) -> E! x ph ) $=
      ( vy wcel cab csn wceq wa wex weu sneq eqeq2d spcegv imp euabsn2 sylibr
      cv ) CDFZABGZCHZIZJUAESZHZIZEKZABLTUCUGUFUCECDUDCIUEUBUAUDCMNOPABEQR $.

    $( Restricted existential uniqueness determined by a singleton.
       (Contributed by NM, 29-May-2006.)  (Revised by Mario Carneiro,
       23-Dec-2016.) $)
    rabsneu $p |- ( ( A e. V /\ { x e. B | ph } = { A } ) -> E! x e. B ph ) $=
      ( wcel crab csn wceq wa cv weu df-rab eqeq1i absneu sylan2b df-reu sylibr
      wreu cab ) CEFZABDGZCHZIZJBKDFAJZBLZABDSUDUAUEBTZUCIUFUBUGUCABDMNUEBCEOPA
      BDQR $.
  $}

  ${
    $d x A $.
    $( Two ways to express " ` A ` is a singleton".  (Contributed by NM,
       30-Oct-2010.) $)
    eusn $p |- ( E! x x e. A <-> E. x A = { x } ) $=
      ( cv wcel weu cab csn wceq wex euabsn abid2 eqeq1i exbii bitri ) ACZBDZAE
      PAFZOGZHZAIBRHZAIPAJSTAQBRABKLMN $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.
    rabsnt.1 $e |- B e. _V $.
    rabsnt.2 $e |- ( x = B -> ( ph <-> ps ) ) $.
    $( Truth implied by equality of a restricted class abstraction and a
       singleton.  (Contributed by NM, 29-May-2006.)  (Proof shortened by Mario
       Carneiro, 23-Dec-2016.) $)
    rabsnt $p |- ( { x e. A | ph } = { B } -> ps ) $=
      ( crab csn wceq wcel snid id eleqtrrid elrab simprbi syl ) ACDHZEIZJZERKZ
      BTESREFLTMNUAEDKBABCEDGOPQ $.
  $}

  $( Commutative law for unordered pairs.  (Contributed by NM, 15-Jul-1993.) $)
  prcom $p |- { A , B } = { B , A } $=
    ( csn cun cpr uncom df-pr 3eqtr4i ) ACZBCZDJIDABEBAEIJFABGBAGH $.

  $( Equality theorem for unordered pairs.  (Contributed by NM,
     29-Mar-1998.) $)
  preq1 $p |- ( A = B -> { A , C } = { B , C } ) $=
    ( wceq csn cun cpr sneq uneq1d df-pr 3eqtr4g ) ABDZAEZCEZFBEZNFACGBCGLMONAB
    HIACJBCJK $.

  $( Equality theorem for unordered pairs.  (Contributed by NM,
     15-Jul-1993.) $)
  preq2 $p |- ( A = B -> { C , A } = { C , B } ) $=
    ( wceq cpr preq1 prcom 3eqtr4g ) ABDACEBCECAECBEABCFCAGCBGH $.

  $( Equality theorem for unordered pairs.  (Contributed by NM,
     19-Oct-2012.) $)
  preq12 $p |- ( ( A = C /\ B = D ) -> { A , B } = { C , D } ) $=
    ( wceq cpr preq1 preq2 sylan9eq ) ACEBDEABFCBFCDFACBGBDCHI $.

  ${
    preq1i.1 $e |- A = B $.
    $( Equality inference for unordered pairs.  (Contributed by NM,
       19-Oct-2012.) $)
    preq1i $p |- { A , C } = { B , C } $=
      ( wceq cpr preq1 ax-mp ) ABEACFBCFEDABCGH $.

    $( Equality inference for unordered pairs.  (Contributed by NM,
       19-Oct-2012.) $)
    preq2i $p |- { C , A } = { C , B } $=
      ( wceq cpr preq2 ax-mp ) ABECAFCBFEDABCGH $.

    ${
      preq12i.2 $e |- C = D $.
      $( Equality inference for unordered pairs.  (Contributed by NM,
         19-Oct-2012.) $)
      preq12i $p |- { A , C } = { B , D } $=
        ( wceq cpr preq12 mp2an ) ABGCDGACHBDHGEFACBDIJ $.
    $}
  $}

  ${
    preq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for unordered pairs.  (Contributed by NM,
       19-Oct-2012.) $)
    preq1d $p |- ( ph -> { A , C } = { B , C } ) $=
      ( wceq cpr preq1 syl ) ABCFBDGCDGFEBCDHI $.

    $( Equality deduction for unordered pairs.  (Contributed by NM,
       19-Oct-2012.) $)
    preq2d $p |- ( ph -> { C , A } = { C , B } ) $=
      ( wceq cpr preq2 syl ) ABCFDBGDCGFEBCDHI $.

    preq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality deduction for unordered pairs.  (Contributed by NM,
       19-Oct-2012.) $)
    preq12d $p |- ( ph -> { A , C } = { B , D } ) $=
      ( wceq cpr preq12 syl2anc ) ABCHDEHBDICEIHFGBDCEJK $.
  $}

  $( Equality theorem for unordered triples.  (Contributed by NM,
     13-Sep-2011.) $)
  tpeq1 $p |- ( A = B -> { A , C , D } = { B , C , D } ) $=
    ( wceq cpr csn cun ctp preq1 uneq1d df-tp 3eqtr4g ) ABEZACFZDGZHBCFZPHACDIB
    CDINOQPABCJKACDLBCDLM $.

  $( Equality theorem for unordered triples.  (Contributed by NM,
     13-Sep-2011.) $)
  tpeq2 $p |- ( A = B -> { C , A , D } = { C , B , D } ) $=
    ( wceq cpr csn cun ctp preq2 uneq1d df-tp 3eqtr4g ) ABEZCAFZDGZHCBFZPHCADIC
    BDINOQPABCJKCADLCBDLM $.

  $( Equality theorem for unordered triples.  (Contributed by NM,
     13-Sep-2011.) $)
  tpeq3 $p |- ( A = B -> { C , D , A } = { C , D , B } ) $=
    ( wceq cpr csn cun ctp sneq uneq2d df-tp 3eqtr4g ) ABEZCDFZAGZHOBGZHCDAICDB
    INPQOABJKCDALCDBLM $.

  ${
    tpeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for unordered triples.  (Contributed by NM,
       22-Jun-2014.) $)
    tpeq1d $p |- ( ph -> { A , C , D } = { B , C , D } ) $=
      ( wceq ctp tpeq1 syl ) ABCGBDEHCDEHGFBCDEIJ $.

    $( Equality theorem for unordered triples.  (Contributed by NM,
       22-Jun-2014.) $)
    tpeq2d $p |- ( ph -> { C , A , D } = { C , B , D } ) $=
      ( wceq ctp tpeq2 syl ) ABCGDBEHDCEHGFBCDEIJ $.

    $( Equality theorem for unordered triples.  (Contributed by NM,
       22-Jun-2014.) $)
    tpeq3d $p |- ( ph -> { C , D , A } = { C , D , B } ) $=
      ( wceq ctp tpeq3 syl ) ABCGDEBHDECHGFBCDEIJ $.

    tpeq123d.2 $e |- ( ph -> C = D ) $.
    tpeq123d.3 $e |- ( ph -> E = F ) $.
    $( Equality theorem for unordered triples.  (Contributed by NM,
       22-Jun-2014.) $)
    tpeq123d $p |- ( ph -> { A , C , E } = { B , D , F } ) $=
      ( ctp tpeq1d tpeq2d tpeq3d 3eqtrd ) ABDFKCDFKCEFKCEGKABCDFHLADECFIMAFGCEJ
      NO $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Rotation of the elements of an unordered triple.  (Contributed by Alan
       Sare, 24-Oct-2011.) $)
    tprot $p |- { A , B , C } = { B , C , A } $=
      ( vx cv wceq w3o cab ctp 3orrot abbii dftp2 3eqtr4i ) DEZAFZNBFZNCFZGZDHP
      QOGZDHABCIBCAIRSDOPQJKDABCLDBCALM $.
  $}

  $( Swap 1st and 2nd members of an unordered triple.  (Contributed by NM,
     22-May-2015.) $)
  tpcoma $p |- { A , B , C } = { B , A , C } $=
    ( cpr csn cun ctp prcom uneq1i df-tp 3eqtr4i ) ABDZCEZFBADZMFABCGBACGLNMABH
    IABCJBACJK $.

  $( Swap 2nd and 3rd members of an unordered triple.  (Contributed by NM,
     22-May-2015.) $)
  tpcomb $p |- { A , B , C } = { A , C , B } $=
    ( ctp tpcoma tprot 3eqtr4i ) BCADCBADABCDACBDBCAEABCFACBFG $.

  $( Split off the first element of an unordered triple.  (Contributed by Mario
     Carneiro, 5-Jan-2016.) $)
  tpass $p |- { A , B , C } = ( { A } u. { B , C } ) $=
    ( ctp cpr csn cun df-tp tprot uncom 3eqtr4i ) BCADBCEZAFZGABCDMLGBCAHABCIML
    JK $.

  $( Two ways to write an unordered quadruple.  (Contributed by Mario Carneiro,
     5-Jan-2016.) $)
  qdass $p |- ( { A , B } u. { C , D } ) = ( { A , B , C } u. { D } ) $=
    ( cpr csn cun ctp unass df-tp uneq1i df-pr uneq2i 3eqtr4ri ) ABEZCFZGZDFZGO
    PRGZGABCHZRGOCDEZGOPRITQRABCJKUASOCDLMN $.

  $( Two ways to write an unordered quadruple.  (Contributed by Mario Carneiro,
     5-Jan-2016.) $)
  qdassr $p |- ( { A , B } u. { C , D } ) = ( { A } u. { B , C , D } ) $=
    ( csn cun cpr ctp unass df-pr uneq1i tpass uneq2i 3eqtr4i ) AEZBEZFZCDGZFOP
    RFZFABGZRFOBCDHZFOPRITQRABJKUASOBCDLMN $.

  $( Unordered triple ` { A , A , B } ` is just an overlong way to write
     ` { A , B } ` .  (Contributed by David A. Wheeler, 10-May-2015.) $)
  tpidm12 $p |- { A , A , B } = { A , B } $=
    ( csn cun cpr ctp dfsn2 uneq1i df-pr df-tp 3eqtr4ri ) ACZBCZDAAEZMDABEAABFL
    NMAGHABIAABJK $.

  $( Unordered triple ` { A , B , A } ` is just an overlong way to write
     ` { A , B } ` .  (Contributed by David A. Wheeler, 10-May-2015.) $)
  tpidm13 $p |- { A , B , A } = { A , B } $=
    ( ctp cpr tprot tpidm12 eqtr3i ) AABCABACABDAABEABFG $.

  $( Unordered triple ` { A , B , B } ` is just an overlong way to write
     ` { A , B } ` .  (Contributed by David A. Wheeler, 10-May-2015.) $)
  tpidm23 $p |- { A , B , B } = { A , B } $=
    ( ctp cpr tprot tpidm12 prcom 3eqtri ) ABBCBBACBADABDABBEBAFBAGH $.

  $( Unordered triple ` { A , A , A } ` is just an overlong way to write
     ` { A } ` .  (Contributed by David A. Wheeler, 10-May-2015.) $)
  tpidm $p |- { A , A , A } = { A } $=
    ( ctp cpr csn tpidm12 dfsn2 eqtr4i ) AAABAACADAAEAFG $.

  $( An unordered triple is an unordered pair if one of its elements is
     identical with another element.  (Contributed by Alexander van der Vekens,
     6-Oct-2017.) $)
  tppreq3 $p |- ( B = C -> { A , B , C } = { A , B } ) $=
    ( wceq ctp cpr tpeq3 eqcoms tpidm23 eqtrdi ) BCDABCEZABBEZABFKLDCBCBABGHABI
    J $.

  $( An unordered pair contains its first member.  Part of Theorem 7.6 of
     [Quine] p. 49.  (Contributed by Stefan Allan, 8-Nov-2008.) $)
  prid1g $p |- ( A e. V -> A e. { A , B } ) $=
    ( wcel cpr wceq wo eqid orci elprg mpbiri ) ACDAABEDAAFZABFZGLMAHIAABCJK $.

  $( An unordered pair contains its second member.  Part of Theorem 7.6 of
     [Quine] p. 49.  (Contributed by Stefan Allan, 8-Nov-2008.) $)
  prid2g $p |- ( B e. V -> B e. { A , B } ) $=
    ( wcel cpr prid1g prcom eleqtrdi ) BCDBBAEABEBACFBAGH $.

  ${
    prid1.1 $e |- A e. _V $.
    $( An unordered pair contains its first member.  Part of Theorem 7.6 of
       [Quine] p. 49.  (Contributed by NM, 24-Jun-1993.) $)
    prid1 $p |- A e. { A , B } $=
      ( cvv wcel cpr prid1g ax-mp ) ADEAABFECABDGH $.
  $}

  ${
    prid2.1 $e |- B e. _V $.
    $( An unordered pair contains its second member.  Part of Theorem 7.6 of
       [Quine] p. 49.  (Note: the proof from ~ prid2g and ~ ax-mp has one fewer
       essential step but one more total step.)  (Contributed by NM,
       5-Aug-1993.) $)
    prid2 $p |- B e. { A , B } $=
      ( cpr prid1 prcom eleqtri ) BBADABDBACEBAFG $.
  $}

  $( An unordered pair is a singleton or a subset of itself.  This theorem is
     helpful to convert theorems about walks in arbitrary graphs into theorems
     about walks in pseudographs.  (Contributed by AV, 27-Feb-2021.) $)
  ifpprsnss $p |- ( P = { A , B }
                    -> if- ( A = B , P = { A } , { A , B } C_ P ) ) $=
    ( cpr wceq csn wss preq2 dfsn2 eqtr4di eqcoms eqeq2d biimpac eqimss2 adantr
    wn ifpimpda ) CABDZEZABEZCAFZEZRCGZTSUBTRUACRUAEBABAERAADUABAAHAIJKLMSUCTPR
    CNOQ $.

  $( A proper class vanishes in an unordered pair.  (Contributed by NM,
     15-Jul-1993.) $)
  prprc1 $p |- ( -. A e. _V -> { A , B } = { B } ) $=
    ( cvv wcel wn csn c0 wceq cpr snprc cun uneq1 df-pr uncom un0 3eqtr4g sylbi
    eqtr2i ) ACDEAFZGHZABIZBFZHAJTSUBKGUBKZUAUBSGUBLABMUCUBGKUBGUBNUBORPQ $.

  $( A proper class vanishes in an unordered pair.  (Contributed by NM,
     22-Mar-2006.) $)
  prprc2 $p |- ( -. B e. _V -> { A , B } = { A } ) $=
    ( cvv wcel wn cpr csn prcom prprc1 eqtrid ) BCDEABFBAFAGABHBAIJ $.

  $( An unordered pair containing two proper classes is the empty set.
     (Contributed by NM, 22-Mar-2006.) $)
  prprc $p |- ( ( -. A e. _V /\ -. B e. _V ) -> { A , B } = (/) ) $=
    ( cvv wcel wn cpr csn c0 prprc1 wceq snprc biimpi sylan9eq ) ACDEBCDEZABFBG
    ZHABINOHJBKLM $.

  ${
    tpid1.1 $e |- A e. _V $.
    $( One of the three elements of an unordered triple.  (Contributed by NM,
       7-Apr-1994.)  (Proof shortened by Andrew Salmon, 29-Jun-2011.) $)
    tpid1 $p |- A e. { A , B , C } $=
      ( ctp wcel wceq w3o eqid 3mix1i eltp mpbir ) AABCEFAAGZABGZACGZHMNOAIJAAB
      CDKL $.
  $}

  $( Closed theorem form of ~ tpid1 .  (Contributed by Glauco Siliprandi,
     23-Oct-2021.) $)
  tpid1g $p |- ( A e. B -> A e. { A , C , D } ) $=
    ( wcel ctp wceq w3o eqid 3mix1i eltpg mpbiri ) ABEAACDFEAAGZACGZADGZHMNOAIJ
    AACDBKL $.

  ${
    tpid2.1 $e |- B e. _V $.
    $( One of the three elements of an unordered triple.  (Contributed by NM,
       7-Apr-1994.)  (Proof shortened by Andrew Salmon, 29-Jun-2011.) $)
    tpid2 $p |- B e. { A , B , C } $=
      ( ctp wcel wceq w3o eqid 3mix2i eltp mpbir ) BABCEFBAGZBBGZBCGZHNMOBIJBAB
      CDKL $.
  $}

  $( Closed theorem form of ~ tpid2 .  (Contributed by Glauco Siliprandi,
     23-Oct-2021.) $)
  tpid2g $p |- ( A e. B -> A e. { C , A , D } ) $=
    ( wcel ctp wceq w3o eqid 3mix2i eltpg mpbiri ) ABEACADFEACGZAAGZADGZHNMOAIJ
    ACADBKL $.

  $( Closed theorem form of ~ tpid3 .  (Contributed by Alan Sare, 24-Oct-2011.)
     (Proof shortened by JJ, 30-Apr-2021.) $)
  tpid3g $p |- ( A e. B -> A e. { C , D , A } ) $=
    ( wcel ctp wceq w3o eqid 3mix3i eltpg mpbiri ) ABEACDAFEACGZADGZAAGZHOMNAIJ
    ACDABKL $.

  ${
    tpid3.1 $e |- C e. _V $.
    $( One of the three elements of an unordered triple.  (Contributed by NM,
       7-Apr-1994.)  (Proof shortened by Andrew Salmon, 29-Jun-2011.)  (Proof
       shortened by JJ, 30-Apr-2021.) $)
    tpid3 $p |- C e. { A , B , C } $=
      ( cvv wcel ctp tpid3g ax-mp ) CEFCABCGFDCEABHI $.
  $}

  $( The singleton of a set is not empty.  (Contributed by NM, 14-Dec-2008.) $)
  snnzg $p |- ( A e. V -> { A } =/= (/) ) $=
    ( wcel csn snidg ne0d ) ABCADAABEF $.

  ${
    snn0d.1 $e |- ( ph -> A e. V ) $.
    $( The singleton of a set is not empty.  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    snn0d $p |- ( ph -> { A } =/= (/) ) $=
      ( wcel csn c0 wne snnzg syl ) ABCEBFGHDBCIJ $.
  $}

  ${
    snnz.1 $e |- A e. _V $.
    $( The singleton of a set is not empty.  (Contributed by NM,
       10-Apr-1994.) $)
    snnz $p |- { A } =/= (/) $=
      ( cvv wcel csn c0 wne snnzg ax-mp ) ACDAEFGBACHI $.
  $}

  ${
    prnz.1 $e |- A e. _V $.
    $( A pair containing a set is not empty.  (Contributed by NM,
       9-Apr-1994.) $)
    prnz $p |- { A , B } =/= (/) $=
      ( cpr prid1 ne0ii ) AABDABCEF $.
  $}

  $( A pair containing a set is not empty.  (Contributed by FL, 19-Sep-2011.)
     (Proof shortened by JJ, 23-Jul-2021.) $)
  prnzg $p |- ( A e. V -> { A , B } =/= (/) ) $=
    ( wcel cpr prid1g ne0d ) ACDABEAABCFG $.

  ${
    tpnz.1 $e |- A e. _V $.
    $( An unordered triple containing a set is not empty.  (Contributed by NM,
       10-Apr-1994.) $)
    tpnz $p |- { A , B , C } =/= (/) $=
      ( ctp tpid1 ne0ii ) AABCEABCDFG $.
  $}

  ${
    tpnzd.1 $e |- ( ph -> A e. V ) $.
    $( An unordered triple containing a set is not empty.  (Contributed by
       Thierry Arnoux, 8-Apr-2019.) $)
    tpnzd $p |- ( ph -> { A , B , C } =/= (/) ) $=
      ( wcel ctp c0 wne tpid1g ne0i 3syl ) ABEGBBCDHZGNIJFBECDKNBLM $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x ph $.  $d x ch $.  $d x th $.
    $d x ta $.
    ralprd.1 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    ralprd.2 $e |- ( ( ph /\ x = B ) -> ( ps <-> th ) ) $.
    raltpd.3 $e |- ( ( ph /\ x = C ) -> ( ps <-> ta ) ) $.
    ralprd.a $e |- ( ph -> A e. V ) $.
    ralprd.b $e |- ( ph -> B e. W ) $.
    raltpd.c $e |- ( ph -> C e. X ) $.
    $( Convert a universal quantification over an unordered triple to a
       conjunction.  (Contributed by Thierry Arnoux, 8-Apr-2019.) $)
    raltpd $p |- ( ph -> ( A. x e. { A , B , C } ps <-> ( ch /\ th /\ ta ) ) )
      $=
      ( wa wb ctp wral w3a an3andi a1i wcel cv expcom pm5.32d raltpg syl3anc c0
      wceq wne tpnzd r19.28zv syl 3bitr2d bianabs bicomd ) ABFGHIUAZUBZCDEUCZAA
      VCSZVBAVDVBAVDACSZADSZAESZUCZABSZFVAUBZAVBSZVDVHTAACDEUDUEAGJUFHKUFILUFVJ
      VHTPQRVIVEVFVGFGHIJKLFUGZGUMZABCAVMBCTMUHUIVLHUMZABDAVNBDTNUHUIVLIUMZABEA
      VOBETOUHUIUJUKAVAULUNVJVKTAGHIJPUOABFVAUPUQURUSUTUS $.
  $}

  ${
    $d A x $.  $d B x $.
    $( The singleton of an element of a class is a subset of the class (general
       form of ~ snss ).  Theorem 7.4 of [Quine] p. 49.  (Contributed by NM,
       22-Jul-2001.) $)
    snssg $p |- ( A e. V -> ( A e. B <-> { A } C_ B ) ) $=
      ( vx wcel cv csn wi wal wceq wss wb velsn imbi1i albii a1i dfss2 3bitr4rd
      clel2g ) ACEZDFZAGZEZUABEZHZDIZUAAJZUDHZDIZUBBKZABEUFUILTUEUHDUCUGUDDAMNO
      PUJUFLTDUBBQPDABCSR $.
  $}

  ${
    snss.1 $e |- A e. _V $.
    $( The singleton of an element of a class is a subset of the class
       (inference form of ~ snssg ).  Theorem 7.4 of [Quine] p. 49.
       (Contributed by NM, 21-Jun-1993.) $)
    snss $p |- ( A e. B <-> { A } C_ B ) $=
      ( cvv wcel csn wss wb snssg ax-mp ) ADEABEAFBGHCABDIJ $.
  $}

  $( Membership in a set with an element removed.  (Contributed by NM,
     10-Oct-2007.) $)
  eldifsn $p |- ( A e. ( B \ { C } ) <-> ( A e. B /\ A =/= C ) ) $=
    ( csn cdif wcel wn wa wne eldif elsng necon3bbid pm5.32i bitri ) ABCDZEFABF
    ZAOFZGZHPACIZHABOJPRSPQACACBKLMN $.

  $( Subset of a set with an element removed.  (Contributed by Emmett Weisz,
     7-Jul-2021.)  (Proof shortened by JJ, 31-May-2022.) $)
  ssdifsn $p |- ( A C_ ( B \ { C } ) <-> ( A C_ B /\ -. C e. A ) ) $=
    ( csn cdif wss cin c0 wceq wa wcel wn difss2 reldisj bicomd biadanii disjsn
    anbi2i bitri ) ABCDZEFZABFZATGHIZJUBCAKLZJUAUBUCABTMUBUCUAATBNOPUCUDUBACQRS
    $.

  ${
    $d A x $.  $d S x $.  $d V x $.  $d W x $.
    $( A subset of a set is an element of the power set of the difference of
       the set with a singleton if the subset does not contain the singleton
       element.  (Contributed by AV, 10-Jan-2020.) $)
    elpwdifsn $p |- ( ( S e. W /\ S C_ V /\ A e/ S )
                      -> S e. ~P ( V \ { A } ) ) $=
      ( vx wcel wss wnel w3a csn cdif cpw cv wa wne simp2 sselda df-nel biimpi
      wn 3ad2ant3 anim1ci nelne2 syl sylanbrc ex ssrdv wb elpwg 3ad2ant1 mpbird
      eldifsn ) BDFZBCGZABHZIZBCAJKZLFZBUQGZUPEBUQUPEMZBFZUTUQFZUPVANZUTCFUTAOZ
      VBUPBCUTUMUNUOPQVCVAABFTZNVDUPVEVAUOUMVEUNUOVEABRSUAUBUTABUCUDUTCAULUEUFU
      GUMUNURUSUHUOBUQDUIUJUK $.
  $}

  $( Membership in a set with an element removed.  (Contributed by NM,
     10-Mar-2015.) $)
  eldifsni $p |- ( A e. ( B \ { C } ) -> A =/= C ) $=
    ( csn cdif wcel wne eldifsn simprbi ) ABCDEFABFACGABCHI $.

  $( An element of a difference with a singleton is not equal to the element of
     that singleton.  Note that ` ( -. A e. { C } -> -. A = C ) ` need not hold
     if ` A ` is a proper class.  (Contributed by BJ, 18-Mar-2023.)  (Proof
     shortened by Steven Nguyen, 1-Jun-2023.) $)
  eldifsnneq $p |- ( A e. ( B \ { C } ) -> -. A = C ) $=
    ( csn cdif wcel eldifsni neneqd ) ABCDEFACABCGH $.

  $( The class ` A ` is not in ` ( B \ { A } ) ` .  (Contributed by David
     Moews, 1-May-2017.) $)
  neldifsn $p |- -. A e. ( B \ { A } ) $=
    ( csn cdif wcel wne neirr eldifsni mto ) ABACDEAAFAGABAHI $.

  $( The class ` A ` is not in ` ( B \ { A } ) ` .  Deduction form.
     (Contributed by David Moews, 1-May-2017.) $)
  neldifsnd $p |- ( ph -> -. A e. ( B \ { A } ) ) $=
    ( csn cdif wcel wn neldifsn a1i ) BCBDEFGABCHI $.

  $( Restricted existential quantification over a set with an element removed.
     (Contributed by NM, 4-Feb-2015.) $)
  rexdifsn $p |- ( E. x e. ( A \ { B } ) ph
      <-> E. x e. A ( x =/= B /\ ph ) ) $=
    ( cv wne wa csn cdif wcel eldifsn anbi1i anass bitri rexbii2 ) ABEZDFZAGZBC
    DHIZCPSJZAGPCJZQGZAGUARGTUBAPCDKLUAQAMNO $.

  $( Rearrangement of a property of a singleton difference.  (Contributed by
     Stefan O'Rear, 27-Feb-2015.) $)
  raldifsni $p |- ( A. x e. ( A \ { B } ) -. ph <->
      A. x e. A ( ph -> x = B ) ) $=
    ( wn cv wceq wi csn cdif wcel wne eldifsn imbi1i impexp df-ne con34b bitr4i
    wa imbi2i 3bitri ralbii2 ) AEZABFZDGZHZBCDIJZCUDUGKZUCHUDCKZUDDLZSZUCHUIUJU
    CHZHUIUFHUHUKUCUDCDMNUIUJUCOULUFUIULUEEZUCHUFUJUMUCUDDPNAUEQRTUAUB $.

  $( Restricted universal quantification on a class difference with a singleton
     in terms of an implication.  (Contributed by Alexander van der Vekens,
     26-Jan-2018.) $)
  raldifsnb $p |- ( A. x e. A ( x =/= Y -> ph )
                    <-> A. x e. ( A \ { Y } ) ph ) $=
    ( cv wne wi wral csn wnel cdif wcel wceq wn velsn nnel nne 3bitr4ri con4bii
    imbi1i ralbii raldifb bitri ) BEZDFZAGZBCHUDDIZJZAGZBCHABCUGKHUFUIBCUEUHAUE
    UHUDUGLUDDMUHNUENBDOUDUGPUDDQRSTUAABCUGUBUC $.

  $( A set is an element of the universal class excluding a singleton iff it is
     not the singleton element.  (Contributed by AV, 7-Apr-2019.) $)
  eldifvsn $p |- ( A e. V -> ( A e. ( _V \ { B } ) <-> A =/= B ) ) $=
    ( wcel cvv csn cdif wne wa eldifsn elex biantrurd bitr4id ) ACDZAEBFGDAEDZA
    BHZIPAEBJNOPACKLM $.

  ${
    $d A x $.  $d B x $.
    $( An element not in a set can be removed without affecting the set.
       (Contributed by NM, 16-Mar-2006.)  (Proof shortened by Andrew Salmon,
       29-Jun-2011.) $)
    difsn $p |- ( -. A e. B -> ( B \ { A } ) = B ) $=
      ( vx wcel wn csn cdif cv wne wa eldifsn simpl nelelne ancld impbid2 eqrdv
      syl5bb ) ABDEZCBAFGZBCHZSDTBDZTAIZJZRUATBAKRUCUAUAUBLRUAUBABTMNOQP $.

    $( Removal of a singleton from an unordered pair.  (Contributed by NM,
       16-Mar-2006.)  (Proof shortened by Andrew Salmon, 29-Jun-2011.) $)
    difprsnss $p |- ( { A , B } \ { A } ) C_ { B } $=
      ( vx cpr csn cdif cv wcel wn wa wceq vex elpr velsn notbii biorf biimparc
      wo syl2anb eldif 3imtr4i ssriv ) CABDZAEZFZBEZCGZUCHZUGUDHZIZJUGBKZUGUEHU
      GUFHUHUGAKZUKRZULIZUKUJUGABCLMUIULCANOUNUKUMULUKPQSUGUCUDTCBNUAUB $.
  $}

  $( Removal of a singleton from an unordered pair.  (Contributed by Thierry
     Arnoux, 4-Feb-2017.) $)
  difprsn1 $p |- ( A =/= B -> ( { A , B } \ { A } ) = { B } ) $=
    ( wne cpr csn cdif wceq necom cun df-pr equncomi difeq1i difun2 cin disjsn2
    eqtri c0 disj3 sylib eqtr4id sylbir ) ABCBACZABDZAEZFZBEZGBAHUBUEUFUDFZUFUE
    UFUDIZUDFUGUCUHUDUCUDUFABJKLUFUDMPUBUFUDNQGUFUGGBAOUFUDRSTUA $.

  $( Removal of a singleton from an unordered pair.  (Contributed by Alexander
     van der Vekens, 5-Oct-2017.) $)
  difprsn2 $p |- ( A =/= B -> ( { A , B } \ { B } ) = { A } ) $=
    ( wne cpr csn cdif prcom difeq1i wceq necom difprsn1 sylbi eqtrid ) ABCZABD
    ZBEZFBADZPFZAEZOQPABGHNBACRSIABJBAKLM $.

  $( Removal of a singleton from an unordered triple.  (Contributed by
     Alexander van der Vekens, 5-Oct-2017.)  (Proof shortened by JJ,
     23-Jul-2021.) $)
  diftpsn3 $p |- ( ( A =/= C /\ B =/= C )
                    -> ( { A , B , C } \ { C } ) = { A , B } ) $=
    ( wne wa cpr csn cdif cun c0 ctp cin wceq disjprsn disj3 sylib eqcomd difid
    a1i uneq12d df-tp difeq1i difundir eqtr2i un0 3eqtr3g ) ACDBCDEZABFZCGZHZUI
    UIHZIZUHJIABCKZUIHZUHUGUJUHUKJUGUHUJUGUHUILJMUHUJMABCNUHUIOPQUKJMUGUIRSTUNU
    HUIIZUIHULUMUOUIABCUAUBUHUIUIUCUDUHUEUF $.

  $( Removing two elements as pair of elements corresponds to removing each of
     the two elements as singletons.  (Contributed by Alexander van der Vekens,
     13-Jul-2018.) $)
  difpr $p |- ( A \ { B , C } ) = ( ( A \ { B } ) \ { C } ) $=
    ( cpr cdif csn cun df-pr difeq2i difun1 eqtri ) ABCDZEABFZCFZGZEAMENELOABCH
    IAMNJK $.

  $( An unordered triple is an unordered pair if one of its elements is a
     proper class or is identical with another element.  (Contributed by
     Alexander van der Vekens, 6-Oct-2017.) $)
  tpprceq3 $p |- ( -. ( C e. _V /\ C =/= B ) -> { A , B , C } = { A , B } ) $=
    ( cvv wcel wne wa wn wo ctp cpr wceq ianor csn cun prprc2 tprot eqtri sylbi
    uneq1d df-tp prcom df-pr 3eqtr4g nne tppreq3 eqcoms jaoi ) CDEZCBFZGHUIHZUJ
    HZIABCJZABKZLZUIUJMUKUOULUKBCKZANZOZBNZUQOZUMUNUKUPUSUQBCPTUMBCAJURABCQBCAU
    ARUNBAKUTABUBBAUCRUDULCBLUOCBUEUOBCABCUFUGSUHS $.

  $( An unordered triple is an unordered pair if and only if one of its
     elements is a proper class or is identical with one of the another
     elements.  (Contributed by Alexander van der Vekens, 15-Jan-2018.) $)
  tppreqb $p |- ( -. ( C e. _V /\ C =/= A /\ C =/= B )
                     <-> { A , B , C } = { A , B } ) $=
    ( cvv wcel wne w3a wn ctp cpr wceq wo w3o wa ianor tpprceq3 sylbir jaoi nne
    sylbi 3ianor df-3or bitri orass tpcoma prcom 3eqtr3g orcom bitr4i csn df-tp
    cun eqeq1i wss ssequn2 wi snssg elpri 3mix2 3mix3 syl syl6bir 3mix1 pm2.61i
    orcs a1d sylibr impbii ) CDEZCAFZCBFZGHZABCIZABJZKZVLVIHZVJHZLZVKHZLZVOVLVP
    VQVSMZVTVIVJVKUAZVPVQVSUBUCVTVPVOVTVPLVRVSVPLZLVOVRVSVPUDVRVOWCVRBACIZBAJZV
    MVNVRVIVJNHWDWEKVIVJOBACPQBACUEBAUFUGWCVIVKNHZVOWCVPVSLWFVSVPUHVIVKOUIABCPT
    RTVETVOVNCUJZULZVNKZVLVMWHVNABCUKUMWIWGVNUNZVLWGVNUOWJWAVLVIWJWAUPVIWJCVNEZ
    WACVNDUQWKCAKZCBKZLWACABURWLWAWMWLVQWACASVQVPVSUSQWMVSWACBSVSVPVQUTQRVAVBVP
    WAWJVPVQVSVCVFVDWBVGQTVH $.

  $( ` ( B \ { A } ) ` equals ` B ` if and only if ` A ` is not a member of
     ` B ` .  Generalization of ~ difsn .  (Contributed by David Moews,
     1-May-2017.) $)
  difsnb $p |- ( -. A e. B <-> ( B \ { A } ) = B ) $=
    ( wcel wn csn cdif wceq difsn neldifsnd nelne1 mpdan necomd necon2bi impbii
    wne ) ABCZDBAEFZBGABHPQBPBQPAQCDBQOPABIABQJKLMN $.

  $( ` ( B \ { A } ) ` is a proper subclass of ` B ` if and only if ` A ` is a
     member of ` B ` .  (Contributed by David Moews, 1-May-2017.) $)
  difsnpss $p |- ( A e. B <-> ( B \ { A } ) C. B ) $=
    ( wcel wn csn cdif wpss notnotb wne wss wa difss biantrur difsnb necon3bbii
    df-pss 3bitr4i bitri ) ABCZSDZDZBAEZFZBGZSHUCBIZUCBJZUEKUAUDUFUEBUBLMTUCBAB
    NOUCBPQR $.

  $( The singleton of an element of a class is a subset of the class.
     (Contributed by NM, 6-Jun-1994.) $)
  snssi $p |- ( A e. B -> { A } C_ B ) $=
    ( wcel csn wss snssg ibi ) ABCADBEABBFG $.

  ${
    snssd.1 $e |- ( ph -> A e. B ) $.
    $( The singleton of an element of a class is a subset of the class
       (deduction form).  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.) $)
    snssd $p |- ( ph -> { A } C_ B ) $=
      ( wcel csn wss snssi syl ) ABCEBFCGDBCHI $.
  $}

  $( If we remove a single element from a class then put it back in, we end up
     with the original class.  (Contributed by NM, 2-Oct-2006.) $)
  difsnid $p |- ( B e. A -> ( ( A \ { B } ) u. { B } ) = A ) $=
    ( wcel csn cdif cun uncom wss wceq snssi undif sylib eqtrid ) BACZABDZEZOFO
    PFZAPOGNOAHQAIBAJOAKLM $.

  $( An element of a difference set is an element of the difference with a
     singleton.  (Contributed by AV, 2-Jan-2022.) $)
  eldifeldifsn $p |- ( ( X e. A /\ Y e. ( B \ A ) ) -> Y e. ( B \ { X } ) ) $=
    ( wcel cdif csn snssi sscond sselda ) CAEZBAFBCGZFDKLABCAHIJ $.

  $( Compute the power set of the empty set.  Theorem 89 of [Suppes] p. 47.
     (Contributed by NM, 5-Aug-1993.)  (Proof shortened by Andrew Salmon,
     29-Jun-2011.) $)
  pw0 $p |- ~P (/) = { (/) } $=
    ( vx cv c0 wss cab wceq cpw csn ss0b abbii df-pw df-sn 3eqtr4i ) ABZCDZAENC
    FZAECGCHOPANIJACKACLM $.

  ${
    $d x y $.
    $( Compute the power set of the power set of the empty set.  (See ~ pw0 for
       the power set of the empty set.)  Theorem 90 of [Suppes] p. 48.
       Although this theorem is a special case of ~ pwsn , we have chosen to
       show a direct elementary proof.  (Contributed by NM, 7-Aug-1994.) $)
    pwpw0 $p |- ~P { (/) } = { (/) , { (/) } } $=
      ( vx vy cv c0 csn wss cab wceq wo cpw cpr wn wa wcel wi dfss2 velsn sylbi
      wal wex imbi2i albii bitri neq0 exintr syl5bi exancom dfclel bitr4i snssi
      syl6 anc2li eqss syl6ibr orrd sseq1 mpbiri eqimss jaoi impbii abbii df-pw
      0ss dfpr2 3eqtr4i ) ACZDEZFZAGVFDHZVFVGHZIZAGVGJDVGKVHVKAVHVKVHVIVJVHVILZ
      VHVGVFFZMVJVHVLVMVHBCZVFNZVNDHZOZBSZVLVMOVHVOVNVGNZOZBSVRBVFVGPVTVQBVSVPV
      OBDQUAUBUCVRVLVOVPMBTZVMVLVOBTVRWABVFUDVOVPBUEUFWADVFNZVMWAVPVOMBTWBVOVPB
      UGBDVFUHUIDVFUJRUKRULVFVGUMUNUOVIVHVJVIVHDVGFVGVCVFDVGUPUQVFVGURUSUTVAAVG
      VBADVGVDVE $.
  $}

  $( A singleton is a subset of an unordered pair containing its member.
     (Contributed by NM, 27-Aug-2004.) $)
  snsspr1 $p |- { A } C_ { A , B } $=
    ( csn cun cpr ssun1 df-pr sseqtrri ) ACZIBCZDABEIJFABGH $.

  $( A singleton is a subset of an unordered pair containing its member.
     (Contributed by NM, 2-May-2009.) $)
  snsspr2 $p |- { B } C_ { A , B } $=
    ( csn cun cpr ssun2 df-pr sseqtrri ) BCZACZIDABEIJFABGH $.

  $( A singleton is a subset of an unordered triple containing its member.
     (Contributed by NM, 9-Oct-2013.) $)
  snsstp1 $p |- { A } C_ { A , B , C } $=
    ( csn cpr cun ctp snsspr1 ssun1 sstri df-tp sseqtrri ) ADZABEZCDZFZABCGMNPA
    BHNOIJABCKL $.

  $( A singleton is a subset of an unordered triple containing its member.
     (Contributed by NM, 9-Oct-2013.) $)
  snsstp2 $p |- { B } C_ { A , B , C } $=
    ( csn cpr cun ctp snsspr2 ssun1 sstri df-tp sseqtrri ) BDZABEZCDZFZABCGMNPA
    BHNOIJABCKL $.

  $( A singleton is a subset of an unordered triple containing its member.
     (Contributed by NM, 9-Oct-2013.) $)
  snsstp3 $p |- { C } C_ { A , B , C } $=
    ( csn cpr cun ctp ssun2 df-tp sseqtrri ) CDZABEZKFABCGKLHABCIJ $.

  $( A pair of elements of a class is a subset of the class.  Theorem 7.5 of
     [Quine] p. 49.  (Contributed by NM, 22-Mar-2006.)  (Proof shortened by
     Andrew Salmon, 29-Jun-2011.) $)
  prssg $p |- ( ( A e. V /\ B e. W )
              -> ( ( A e. C /\ B e. C ) <-> { A , B } C_ C ) ) $=
    ( wcel wa csn wss cpr snssg bi2anan9 cun unss df-pr sseq1i bitr4i bitrdi )
    ADFZBEFZGACFZBCFZGAHZCIZBHZCIZGZABJZCIZSUAUDTUBUFACDKBCEKLUGUCUEMZCIUIUCUEC
    NUHUJCABOPQR $.

  ${
    prss.1 $e |- A e. _V $.
    prss.2 $e |- B e. _V $.
    $( A pair of elements of a class is a subset of the class.  Theorem 7.5 of
       [Quine] p. 49.  (Contributed by NM, 30-May-1994.)  (Proof shortened by
       Andrew Salmon, 29-Jun-2011.)  (Proof shortened by JJ, 23-Jul-2021.) $)
    prss $p |- ( ( A e. C /\ B e. C ) <-> { A , B } C_ C ) $=
      ( cvv wcel wa cpr wss wb prssg mp2an ) AFGBFGACGBCGHABICJKDEABCFFLM $.
  $}

  $( A pair of elements of a class is a subset of the class.  (Contributed by
     NM, 16-Jan-2015.) $)
  prssi $p |- ( ( A e. C /\ B e. C ) -> { A , B } C_ C ) $=
    ( wcel wa cpr wss prssg ibi ) ACDBCDEABFCGABCCCHI $.

  ${
    prssd.1 $e |- ( ph -> A e. C ) $.
    prssd.2 $e |- ( ph -> B e. C ) $.
    $( Deduction version of ~ prssi :  A pair of elements of a class is a
       subset of the class.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    prssd $p |- ( ph -> { A , B } C_ C ) $=
      ( wcel cpr wss prssi syl2anc ) ABDGCDGBCHDIEFBCDJK $.
  $}

  $( An unordered pair belongs to the power class of a class iff each member
     belongs to the class.  (Contributed by Thierry Arnoux, 3-Oct-2016.)
     (Revised by NM, 18-Jan-2018.) $)
  prsspwg $p |- ( ( A e. V /\ B e. W ) -> ( { A , B } C_ ~P C
      <-> ( A C_ C /\ B C_ C ) ) ) $=
    ( wcel wa cpw cpr wss prssg elpwg bi2anan9 bitr3d ) ADFZBEFZGACHZFZBQFZGABI
    QJACJZBCJZGABQDEKORTPSUAACDLBCELMN $.

  $( A pair as subset of a pair.  (Contributed by AV, 26-Oct-2020.) $)
  ssprss $p |- ( ( A e. V /\ B e. W ) -> ( { A , B } C_ { C , D }
                        <-> ( ( A = C \/ A = D ) /\ ( B = C \/ B = D ) ) ) ) $=
    ( wcel wa cpr wss wceq wo prssg elprg bi2anan9 bitr3d ) AEGZBFGZHACDIZGZBSG
    ZHABISJACKADKLZBCKBDKLZHABSEFMQTUBRUAUCACDENBCDFNOP $.

  $( A proper pair is a subset of a pair iff it is equal to the superset.
     (Contributed by AV, 26-Oct-2020.) $)
  ssprsseq $p |- ( ( A e. V /\ B e. W /\ A =/= B ) -> ( { A , B } C_ { C , D }
                                               <-> { A , B } = { C , D } ) ) $=
    ( wcel wne w3a cpr wceq wo wa wi eqtr3 syl11 3ad2ant3 com12 preq12 a1d wss
    wb ssprss 3adant3 eqneqall prcom eqtrdi ccase sylbid eqimss impbid1 ) AEGZB
    FGZABHZIZABJZCDJZUAZUPUQKZUOURACKZADKZLBCKZBDKZLMZUSULUMURVDUBUNABCDEFUCUDV
    DUOUSUTVBVAVCUOUSNUOUTVBMZUSUNULVEUSNUMABKZUNUSVEUSABUEZABCOPQRVAVBMZUSUOVH
    UPDCJUQABDCSDCUFUGTUTVCMUSUOABCDSTUOVAVCMZUSUNULVIUSNUMVFUNUSVIVGABDOPQRUHR
    UIUPUQUJUK $.

  ${
    $d x A $.  $d x B $.
    $( The subsets of a singleton.  (Contributed by NM, 24-Apr-2004.) $)
    sssn $p |- ( A C_ { B } <-> ( A = (/) \/ A = { B } ) ) $=
      ( vx csn wss c0 wceq wo wn wa wcel cv wex neq0 ssel elsni syl6 eleq1 ibd
      wb exlimdv syl5bi snssi anc2li eqss syl6ibr orrd sseq1 mpbiri eqimss jaoi
      0ss impbii ) ABDZEZAFGZAUNGZHUOUPUQUOUPIZUOUNAEZJUQUOURUSUOURBAKZUSURCLZA
      KZCMUOUTCANUOVBUTCUOVBUTUOVBVABGZVBUTTUOVBVAUNKVCAUNVAOVABPQVABARQSUAUBBA
      UCQUDAUNUEUFUGUPUOUQUPUOFUNEUNULAFUNUHUIAUNUJUKUM $.

    $( The property of being sandwiched between two sets naturally splits under
       union with a singleton.  This is the induction hypothesis for the
       determination of large powersets such as ~ pwtp .  (Contributed by Mario
       Carneiro, 2-Jul-2016.) $)
    ssunsn2 $p |- ( ( B C_ A /\ A C_ ( C u. { D } ) )
                    <-> ( ( B C_ A /\ A C_ C ) \/
                      ( ( B u. { D } ) C_ A /\ A C_ ( C u. { D } ) ) ) ) $=
      ( wcel wss csn cun wa wo wb syl wi anim12d pm4.72 sylib bitrd bitr3i wceq
      a1i snssi unss bicomi rbaibr anbi1d biimpi expcom ssun3 cdif uncom sseq2i
      wn ssundif cin c0 disjsn disj3 sseq1 bitr4id anbi2d simplbi biimpd bitrdi
      sylbi orcom pm2.61i ) DAEZBAFZACDGZHZFZIZVHACFZIZBVIHAFZVKIZJZKVGVLVPVQVG
      VHVOVKVGVIAFZVHVOKDAUAZVOVHVRVHVRIZVOBVIAUBZUCZUDLUEVGVNVPMVPVQKVGVHVOVMV
      KVGVRVHVOMVSVHVRVOVTVOWAUFUGLVMVKMVGACVIUHTNVNVPOPQVGULZVLVNVQWCVKVMVHWCV
      KAVIUIZCFZVMVKAVICHZFWEWFVJAVICUJUKAVICUMRWCAWDSZVMWEKWCAVIUNUOSWGADUPAVI
      UQRAWDCURVDUSZUTWCVNVPVNJZVQWCVPVNMVNWIKWCVOVHVKVMVOVHMWCVOVHVRWBVATWCVKV
      MWHVBNVPVNOPVPVNVEVCQVF $.

    $( Possible values for a set sandwiched between another set and it plus a
       singleton.  (Contributed by Mario Carneiro, 2-Jul-2016.) $)
    ssunsn $p |- ( ( B C_ A /\ A C_ ( B u. { C } ) )
        <-> ( A = B \/ A = ( B u. { C } ) ) ) $=
      ( wss csn cun wa wo wceq ssunsn2 ancom eqss bitr4i orbi12i bitri ) BADZAB
      CEFZDZGPABDZGZQADZRGZHABIZAQIZHABBCJTUCUBUDTSPGUCPSKABLMUBRUAGUDUARKAQLMN
      O $.

    $( Two ways to express that a nonempty set equals a singleton.
       (Contributed by NM, 15-Dec-2007.)  (Proof shortened by JJ,
       23-Jul-2021.) $)
    eqsn $p |- ( A =/= (/) -> ( A = { B } <-> A. x e. A x = B ) ) $=
      ( c0 wne csn wceq wo cv wral wn wb df-ne biorf sylbi wss wcel dfss3 velsn
      sssn ralbii 3bitr3i bitrdi ) BDEZBCFZGZBDGZUFHZAIZCGZABJZUDUGKUFUHLBDMUGU
      FNOBUEPUIUEQZABJUHUKABUERBCTULUJABACSUAUBUC $.
  $}

  ${
    $d A w x y $.  $d A w x z $.
    $( A sufficient condition for a (nonempty) set to be a singleton.
       (Contributed by AV, 20-Sep-2020.) $)
    issn $p |- ( E. x e. A A. y e. A x = y -> E. z A = { z } ) $=
      ( weq wral cv csn wceq wex wcel wb equcom a1i ralbidv wne ne0i eqsn syl
      c0 bitr4d sneq eqeq2d spcegv sylbid rexlimiv ) ABEZBDFZDCGZHZIZCJZADAGZDK
      ZUHDUMHZIZULUNUHBAEZBDFZUPUNUGUQBDUGUQLUNABMNOUNDTPUPURLDUMQBDUMRSUAUKUPC
      UMDCAEUJUODUIUMUBUCUDUEUF $.
  $}

  ${
    $d A w y x $.  $d A w y $.  $d A w z $.
    $( A nonempty set is either a singleton or contains at least two different
       elements.  (Contributed by AV, 20-Sep-2020.) $)
    n0snor2el $p |- ( A =/= (/)
                      -> ( E. x e. A E. y e. A x =/= y \/ E. z A = { z } ) ) $=
      ( vw weq wral wrex c0 wne cv csn wceq wex wo wi issn olcd wn bitri rexbii
      a1d df-ne rexnal ralbii ralnex wa neeq1 rexbidv rspccva reximdva0 orcd ex
      sylbir pm2.61i ) EBFZBDGZEDHZDIJZAKZBKZJZBDHZADHZDCKLMCNZOZPZURVFUSURVEVD
      EBCDQRUBURSZEKZVAJZBDHZEDGZVGVLUQSZEDGVHVKVMEDVKUPSZBDHVMVJVNBDVIVAUCUAUP
      BDUDTUEUQEDUFTVLUSVFVLUSUGVDVEVLVCADVKVCEUTDEAFVJVBBDVIUTVAUHUIUJUKULUMUN
      UO $.
  $}

  $( Possible values for a set sandwiched between another set and it plus a
     singleton.  (Contributed by Mario Carneiro, 2-Jul-2016.) $)
  ssunpr $p |- ( ( B C_ A /\ A C_ ( B u. { C , D } ) )
      <-> ( ( A = B \/ A = ( B u. { C } ) ) \/
        ( A = ( B u. { D } ) \/ A = ( B u. { C , D } ) ) ) ) $=
    ( wss cpr cun wa csn wo wceq df-pr uneq2i unass eqtr4i sseq2i anbi2i ssunsn
    ssunsn2 3bitri un23 eqtr2i eqeq2i orbi2i orbi12i ) BAEZABCDFZGZEZHUFABCIZGZ
    DIZGZEZHUFAUKEHZBULGZAEZUNHZJABKAUKKJZAUPKZAUHKZJZJUIUNUFUHUMAUHBUJULGZGUMU
    GVCBCDLMBUJULNOZPQABUKDSUOUSURVBABCRURUQAUPUJGZEZHUTAVEKZJVBUNVFUQUMVEABUJU
    LUAZPQAUPCRVGVAUTVEUHAUHUMVEVDVHUBUCUDTUET $.

  $( The subsets of a pair.  (Contributed by NM, 16-Mar-2006.)  (Proof
     shortened by Mario Carneiro, 2-Jul-2016.) $)
  sspr $p |- ( A C_ { B , C }
        <-> ( ( A = (/) \/ A = { B } ) \/ ( A = { C } \/ A = { B , C } ) ) ) $=
    ( cpr wss c0 cun wa wceq csn wo uncom un0 sseq2i 0ss biantrur bitr3i eqeq2i
    eqtri orbi12i ssunpr orbi2i 3bitri ) ABCDZEZFAEZAFUDGZEZHZAFIZAFBJZGZIZKZAF
    CJZGZIZAUGIZKZKUJAUKIZKZAUOIZAUDIZKZKUEUHUIUGUDAUGUDFGUDFUDLUDMSZNUFUHAOPQA
    FBCUAUNVAUSVDUMUTUJULUKAULUKFGUKFUKLUKMSRUBUQVBURVCUPUOAUPUOFGUOFUOLUOMSRUG
    UDAVERTTUC $.

  $( The subsets of an unordered triple.  (Contributed by Mario Carneiro,
     2-Jul-2016.) $)
  sstp $p |- ( A C_ { B , C , D }
        <-> ( ( ( A = (/) \/ A = { B } ) \/ ( A = { C } \/ A = { B , C } ) ) \/
          ( ( A = { D } \/ A = { B , D } ) \/
            ( A = { C , D } \/ A = { B , C , D } ) ) ) ) $=
    ( wss cpr csn cun c0 wa wceq wo sseq2i biantrur uncom eqtr4i eqeq2i orbi12i
    df-pr 3bitri ctp df-tp 0ss ssunsn2 sspr bitr3i sseq1i anbi12i ssunpr orbi2i
    un0 eqtri eqtr2i bitri ) ABCDUAZEABCFZDGZHZEZIAEZUSJZAIKABGZKLACGZKAUPKLLZA
    UQKZABDFZKZLZACDFZKZAUOKZLZLZLZUOURABCDUBZMUTUSAUCZNVAUTAUPEZJZIUQHZAEZUSJZ
    LVNAIUPDUDVRVDWAVMVRVQVDUTVQVPNABCUEUFWAUQAEZAUQUPHZEZJVEAUQVBHZKZLZAUQVCHZ
    KZAWCKZLZLVMVTWBUSWDVSUQAVSUQIHUQIUQOUQUKULUGURWCAUPUQOZMUHAUQBCUIWGVHWKVLW
    FVGVEWEVFAWEVBUQHVFUQVBOBDSPQUJWIVJWJVKWHVIAWHVCUQHVIUQVCOCDSPQWCUOAUOURWCV
    OWLUMQRRTRUNT $.

  ${
    tpss.1 $e |- A e. _V $.
    tpss.2 $e |- B e. _V $.
    tpss.3 $e |- C e. _V $.
    $( An unordered triple of elements of a class is a subset of the class.
       (Contributed by NM, 9-Apr-1994.)  (Proof shortened by Andrew Salmon,
       29-Jun-2011.) $)
    tpss $p |- ( ( A e. D /\ B e. D /\ C e. D ) <-> { A , B , C } C_ D ) $=
      ( cpr wss csn wa cun wcel w3a ctp unss df-3an prss snss anbi12i 3bitr4i
      bitri df-tp sseq1i ) ABHZDIZCJZDIZKZUEUGLZDIADMZBDMZCDMZNZABCOZDIUEUGDPUN
      UKULKZUMKUIUKULUMQUPUFUMUHABDEFRCDGSTUBUOUJDABCUCUDUA $.
  $}

  $( An unordered triple of elements of a class is a subset of the class.
     (Contributed by Alexander van der Vekens, 1-Feb-2018.) $)
  tpssi $p |- ( ( A e. D /\ B e. D /\ C e. D ) -> { A , B , C } C_ D ) $=
    ( w3a ctp cpr csn cun df-tp wss prssi 3adant3 snssi 3ad2ant3 unssd eqsstrid
    wcel ) ADRZBDRZCDRZEZABCFABGZCHZIDABCJUBUCUDDSTUCDKUAABDLMUASUDDKTCDNOPQ $.

  $( Closed form of ~ sneqr .  (Contributed by Scott Fenton, 1-Apr-2011.)
     (Proof shortened by JJ, 23-Jul-2021.) $)
  sneqrg $p |- ( A e. V -> ( { A } = { B } -> A = B ) ) $=
    ( wcel csn wceq snidg eleq2 syl5ibcom elsng sylibd ) ACDZAEZBEZFZANDZABFLAM
    DOPACGMNAHIABCJK $.

  ${
    sneqr.1 $e |- A e. _V $.
    $( If the singletons of two sets are equal, the two sets are equal.  Part
       of Exercise 4 of [TakeutiZaring] p. 15.  (Contributed by NM,
       27-Aug-1993.) $)
    sneqr $p |- ( { A } = { B } -> A = B ) $=
      ( cvv wcel csn wceq wi sneqrg ax-mp ) ADEAFBFGABGHCABDIJ $.

    $( If a singleton is a subset of another, their members are equal.
       (Contributed by NM, 28-May-2006.) $)
    snsssn $p |- ( { A } C_ { B } -> A = B ) $=
      ( csn wss c0 wceq wo sssn snnz neii pm2.21i sneqr jaoi sylbi ) ADZBDZEPFG
      ZPQGZHABGZPBIRTSRTPFACJKLABCMNO $.
  $}

  ${
    $d x y A $.
    $( There exists at most one set whose singleton is equal to a given class.
       See also ~ moeq .  (Contributed by BJ, 24-Sep-2022.) $)
    mosneq $p |- E* x { x } = A $=
      ( vy cv csn wceq wmo wa weq wi wal eqtr3 vex sneqr gen2 sneq eqeq1d mpbir
      syl mo4 ) ADZEZBFZAGUCCDZEZBFZHZACIZJZCKAKUIACUGUBUEFUHUBUEBLUAUDAMNSOUCU
      FACUHUBUEBUAUDPQTR $.
  $}

  $( Two singletons of sets are equal iff their elements are equal.
     (Contributed by Scott Fenton, 16-Apr-2012.) $)
  sneqbg $p |- ( A e. V -> ( { A } = { B } <-> A = B ) ) $=
    ( wcel csn wceq sneqrg sneq impbid1 ) ACDAEBEFABFABCGABHI $.

  ${
    $d x A $.
    $( The singleton of a class is a subset of its power class.  (Contributed
       by NM, 21-Jun-1993.) $)
    snsspw $p |- { A } C_ ~P A $=
      ( vx csn cpw cv wceq wss wcel eqimss velsn velpw 3imtr4i ssriv ) BACZADZB
      EZAFPAGPNHPOHPAIBAJBAKLM $.
  $}

  ${
    prsspw.1 $e |- A e. _V $.
    prsspw.2 $e |- B e. _V $.
    $( An unordered pair belongs to the power class of a class iff each member
       belongs to the class.  (Contributed by NM, 10-Dec-2003.)  (Proof
       shortened by Andrew Salmon, 26-Jun-2011.)  (Proof shortened by OpenAI,
       25-Mar-2020.) $)
    prsspw $p |- ( { A , B } C_ ~P C <-> ( A C_ C /\ B C_ C ) ) $=
      ( cvv wcel cpr cpw wss wa wb prsspwg mp2an ) AFGBFGABHCIJACJBCJKLDEABCFFM
      N $.
  $}

  ${
    preq1b.a $e |- ( ph -> A e. V ) $.
    preq1b.b $e |- ( ph -> B e. W ) $.
    $( Biconditional equality lemma for unordered pairs, deduction form.  Two
       unordered pairs have the same second element iff the first elements are
       equal.  (Contributed by AV, 18-Dec-2020.) $)
    preq1b $p |- ( ph -> ( { A , C } = { B , C } <-> A = B ) ) $=
      ( cpr wceq wa wo wcel prid1g syl eleq2 wb elprg sylibd imp eqcom eqeq2 ex
      syl5ibcom syl5ibrcom oplem1 preq1 impbid1 ) ABDIZCDIZJZBCJZAUKULAUKKULBDJ
      ZCBJZCDJZAUKULUMLZAUKBUJMZUPABUIMZUKUQABEMZURGBDENOUIUJBPUDAUSUQUPQGBCDER
      OSTAUKUNUOLZAUKCUIMZUTAVAUKCUJMZACFMZVBHCDFNOUIUJCPUEAVCVAUTQHCBDFROSTBCU
      ABDCUBUFUCBCDUGUH $.

    $( Biconditional equality lemma for unordered pairs, deduction form.  Two
       unordered pairs have the same first element iff the second elements are
       equal.  (Contributed by AV, 18-Dec-2020.) $)
    preq2b $p |- ( ph -> ( { C , A } = { C , B } <-> A = B ) ) $=
      ( cpr wceq prcom eqeq12i preq1b syl5bb ) DBIZDCIZJBDIZCDIZJABCJOQPRDBKDCK
      LABCDEFGHMN $.
  $}

  ${
    preqr1.a $e |- A e. _V $.
    preqr1.b $e |- B e. _V $.
    $( Reverse equality lemma for unordered pairs.  If two unordered pairs have
       the same second element, the first elements are equal.  (Contributed by
       NM, 18-Oct-1995.) $)
    preqr1 $p |- ( { A , C } = { B , C } -> A = B ) $=
      ( cpr wceq cvv wcel wb id a1i preq1b ax-mp biimpi ) ACFBCFGZABGZAHIZPQJDR
      ABCHHRKBHIRELMNO $.

    $( Reverse equality lemma for unordered pairs.  If two unordered pairs have
       the same first element, the second elements are equal.  (Contributed by
       NM, 15-Jul-1993.) $)
    preqr2 $p |- ( { C , A } = { C , B } -> A = B ) $=
      ( cpr wceq prcom eqeq12i preqr1 sylbi ) CAFZCBFZGACFZBCFZGABGLNMOCAHCBHIA
      BCDEJK $.

    preq12b.c $e |- C e. _V $.
    preq12b.d $e |- D e. _V $.
    $( Equality relationship for two unordered pairs.  (Contributed by NM,
       17-Oct-1996.) $)
    preq12b $p |- ( { A , B } = { C , D } <->
                   ( ( A = C /\ B = D ) \/ ( A = D /\ B = C ) ) ) $=
      ( cpr wceq wa wo wcel preq1 eqeq1d preqr2 syl6bi com12 ancld prcom eqeq2i
      prid1 eleq2 mpbii elpr sylib sylbi orim12d mpd preq12 eqtrdi jaoi impbii
      wi ) ABIZCDIZJZACJZBDJZKZADJZBCJZKZLZUQURVALZVDUQAUPMZVEUQAUOMVFABEUBUOUP
      AUCUDACDEUEUFUQURUTVAVCUQURUSURUQUSURUQCBIZUPJUSURUOVGUPACBNOBDCFHPQRSUQV
      AVBUQUODCIZJZVAVBUNUPVHUOCDTUAVAVIVBVAVIDBIZVHJVBVAUOVJVHADBNOBCDFGPQRUGS
      UHUIUTUQVCABCDUJVCUOVHUPABDCUJDCTUKULUM $.

    $( An unordered pair has the ordered pair property (compare ~ opth ) under
       certain conditions.  (Contributed by NM, 27-Mar-2007.) $)
    opthpr $p |- ( A =/= D ->
                 ( { A , B } = { C , D } <-> ( A = C /\ B = D ) ) ) $=
      ( cpr wceq wa wo wne preq12b idd wn wi df-ne pm2.21 sylbi impd orc syl5bb
      jaod impbid1 ) ABICDIJACJBDJKZADJZBCJZKZLZADMZUFABCDEFGHNUKUJUFUKUFUFUIUK
      UFOUKUGUHUFUKUGPUGUHUFQZQADRUGULSTUAUDUFUIUBUEUC $.
  $}

  $( Reverse equality lemma for unordered pairs.  If two unordered pairs have
     the same second element, the first elements are equal.  Closed form of
     ~ preqr1 .  (Contributed by AV, 29-Jan-2021.)  (Revised by AV,
     18-Sep-2021.) $)
  preqr1g $p |- ( ( A e. V /\ B e. W )
                  -> ( { A , C } = { B , C } -> A = B ) ) $=
    ( wcel wa cpr wceq simpl simpr preq1b biimpd ) ADFZBEFZGZACHBCHIABIPABCDENO
    JNOKLM $.

  ${
    $d A x y z w $.  $d B x y z w $.  $d C x y z w $.  $d D x y z w $.
    $d V x y z w $.  $d W x y z w $.  $d X x y z w $.  $d Y x y z w $.
    $( Closed form of ~ preq12b .  (Contributed by Scott Fenton,
       28-Mar-2014.) $)
    preq12bg $p |- ( ( ( A e. V /\ B e. W ) /\ ( C e. X /\ D e. Y ) ) ->
       ( { A , B } = { C , D } <->
         ( ( A = C /\ B = D ) \/ ( A = D /\ B = C ) ) ) ) $=
      ( vx vy vz vw wcel wa cpr wceq wo wb wi cv weq preq1 eqeq1d eqeq1 orbi12d
      anbi1d bibi12d imbi2d preq2 anbi2d eqeq2 w3a vex preq12b vtoclbg vtocl3ga
      eqeq2d a1i 3expa impr ) AEMZBFMZNCGMZDHMZABOZCDOZPZACPZBDPZNZADPZBCPZNZQZ
      RZVAVBVCVDVOSZVDITZJTZOZKTZDOZPZIKUAZVRDPZNZVQDPZJKUAZNZQZRZSZVDAVROZWAPZ
      AVTPZWDNZVKWGNZQZRZSVDVEWAPZWNVINZVKBVTPZNZQZRZSVPIJKABCEFGVQAPZWJWRVDXEW
      BWMWIWQXEVSWLWAVQAVRUBUCXEWEWOWHWPXEWCWNWDVQAVTUDUFXEWFVKWGVQADUDUFUEUGUH
      VRBPZWRXDVDXFWMWSWQXCXFWLVEWAVRBAUIUCXFWOWTWPXBXFWDVIWNVRBDUDUJXFWGXAVKVR
      BVTUDUJUEUGUHVTCPZXDVOVDXGWSVGXCVNXGWAVFVEVTCDUBUQXGWTVJXBVMXGWNVHVIVTCAU
      KUFXGXAVLVKVTCBUKUJUEUGUHWKVQEMVRFMVTGMULVSVTLTZOZPWCJLUAZNZILUAZWGNZQWBW
      ILDHXHDPZXIWAVSXHDVTUIUQXNXKWEXMWHXNXJWDWCXHDVRUKUJXNXLWFWGXHDVQUKUFUEVQV
      RVTXHIUMJUMKUMLUMUNUOURUPUSUT $.
  $}

  $( Two pairs are not equal if at least one element of the first pair is not
     contained in the second pair.  (Contributed by Alexander van der Vekens,
     13-Aug-2017.) $)
  prneimg $p |- ( ( ( A e. U /\ B e. V ) /\ ( C e. X /\ D e. Y ) )
                  -> ( ( ( A =/= C /\ A =/= D ) \/ ( B =/= C /\ B =/= D ) )
                       -> { A , B } =/= { C , D } ) ) $=
    ( wcel wa wne wo cpr wceq wn ianor nne orbi12i bitr2i syl6ib preq12bg orddi
    simpll pm1.4 ad2antll jca sylbi syl6bi anbi12i pm4.56 necon2ad ) AEIBFIJCGI
    DHIJJZACKZADKZJZBCKZBDKZJZLZABMZCDMZULUTVANZUOOZUROZJZUSOULVBACNZADNZLZBCNZ
    BDNZLZJZVEULVBVFVJJVGVIJLZVLABCDEFGHUAVMVHVFVILZJZVJVGLZVJVILZJZJZVLVFVJVGV
    IUBVSVHVKVHVNVRUCVQVKVOVPVJVIUDUEUFUGUHVHVCVKVDVCUMOZUNOZLVHUMUNPVTVFWAVGAC
    QADQRSVDUPOZUQOZLVKUPUQPWBVIWCVJBCQBDQRSUITUOURUJTUK $.

  $( A (proper) pair is not equal to another (maybe improper) pair if and only
     if an element of the first pair is not contained in the second pair.
     (Contributed by Alexander van der Vekens, 16-Jan-2018.) $)
  prnebg $p |- ( ( ( A e. U /\ B e. V ) /\ ( C e. X /\ D e. Y ) /\ A =/= B )
                  -> ( ( ( A =/= C /\ A =/= D ) \/ ( B =/= C /\ B =/= D ) )
                       <-> { A , B } =/= { C , D } ) ) $=
    ( wcel wa wne wo cpr wi wn wceq ianor nne bitri jaoi prneimg ioran eqneqall
    w3a 3adant3 orbi12i anbi12i anddi eqtr3 syl preq12 a1d prcom com12 3ad2ant3
    eqtrdi syl5bi necon1ad impbid ) AEIBFIJZCGIDHIJZABKZUDZACKZADKZJZBCKZBDKZJZ
    LZABMZCDMZKZUTVAVJVMNVBABCDEFGHUAUEVCVJVKVLVJOZACPZADPZLZBCPZBDPZLZJZVCVKVL
    PZVNVFOZVIOZJWAVFVIUBWCVQWDVTWCVDOZVEOZLVQVDVEQWEVOWFVPACRADRUFSWDVGOZVHOZL
    VTVGVHQWGVRWHVSBCRBDRUFSUGSWAVOVRJZVOVSJZLZVPVRJZVPVSJZLZLZVCWBVOVPVRVSUHVB
    UTWOWBNVAWOVBWBWKVBWBNZWNWIWPWJWIABPZWPABCUIWBABUCZUJWJWBVBABCDUKULTWLWPWMW
    LWBVBWLVKDCMVLABDCUKDCUMUPULWMWQWPABDUIWRUJTTUNUOUQUQURUS $.

  $( A (proper) pair is equal to another (maybe improper) pair containing one
     element of the first pair if and only if the other element of the first
     pair is contained in the second pair.  (Contributed by Alexander van der
     Vekens, 26-Jan-2018.) $)
  pr1eqbg $p |- ( ( ( A e. U /\ B e. V /\ C e. X ) /\ A =/= B )
                  -> ( A = C <-> { A , B } = { B , C } ) ) $=
    ( wcel w3a wne wa wceq wo cpr wb eqid biantru orbi2i a1i wn syl neneq biorf
    adantl intnanrd 3simpa 3simpc jca adantr preq12bg 3bitr4d ) ADGZBEGZCFGZHZA
    BIZJZABKZBCKZJZACKZLZUSUTBBKZJZLZUTABMBCMKZVAVDNUPUTVCUSVBUTBOPQRUPUSSUTVAN
    UPUQURUOUQSUNABUAUCUDUSUTUBTUPUKULJZULUMJZJZVEVDNUNVHUOUNVFVGUKULUMUEUKULUM
    UFUGUHABBCDEEFUITUJ $.

  $( A (proper) pair is not equal to another (maybe improper) pair containing
     one element of the first pair if and only if the other element of the
     first pair is not contained in the second pair.  (Contributed by Alexander
     van der Vekens, 26-Jan-2018.) $)
  pr1nebg $p |- ( ( ( A e. U /\ B e. V /\ C e. X ) /\ A =/= B )
                  -> ( A =/= C <-> { A , B } =/= { B , C } ) ) $=
    ( wcel w3a wne wa cpr pr1eqbg necon3bid ) ADGBEGCFGHABIJACABKBCKABCDEFLM $.

  ${
    preqsnd.1 $e |- ( ph -> A e. V ) $.
    preqsnd.2 $e |- ( ph -> B e. W ) $.
    $( Equivalence for a pair equal to a singleton, deduction form.
       (Contributed by Thierry Arnoux, 27-Dec-2016.)  (Revised by AV,
       13-Jun-2022.)  (Revised by AV, 16-Aug-2024.) $)
    preqsnd $p |- ( ph -> ( { A , B } = { C } <-> ( A = C /\ B = C ) ) ) $=
      ( cvv wcel cpr csn wceq wa wb adantl wn c0 wi syl simpl dfsn2 wo preq12bg
      eqeq2i oridm bitrdi syl5bb syl22anc snprc biimpi adantr wne prnzg syl5com
      eqeq2d eqneqall sylbid eleq1 eqcoms notbid pm2.24 elex syl11 syl6bi com13
      impcom impd impbid pm2.61ian ) DIJZABCKZDLZMZBDMZCDMZNZOZVKANBEJZCFJZVKVK
      VRAVSVKGPAVTVKHPVKAUAZWAVNVLDDKZMZVSVTNVKVKNNZVQVMWBVLDUBUEWDWCVQVQUCVQBC
      DDEFIIUDVQUFUGUHUIVKQZANZVNVQWFVNVLRMZVQWFVMRVLWEVMRMZAWEWHDUJUKULUPAWGVQ
      SZWEAVSWIGVSVLRUMWGVQBCEUNVQVLRUQUOTPURWFVOVPVNAWEVOVPVNSZSZAVSWEWKSGVOWE
      VSWJVOWEBIJZQZVSWJSVOVKWLVKWLODBDBIUSUTVAWLWMWJVSWLWJVBBEVCVDVEVFTVGVHVIV
      J $.
  $}

  $( A proper unordered pair is not a (proper or improper) singleton.
     (Contributed by AV, 13-Jun-2022.) $)
  prnesn $p |- ( ( A e. V /\ B e. W /\ A =/= B ) -> { A , B } =/= { C } ) $=
    ( wcel wne w3a cpr csn wa wn eqtr3 necon3ai 3ad2ant3 simp1 simp2 necon3abid
    wceq preqsnd mpbird ) ADFZBEFZABGZHZABIZCJZGACSBCSKZLZUDUBUIUCUHABABCMNOUEU
    HUFUGUEABCDEUBUCUDPUBUCUDQTRUA $.

  $( A proper unordered pair is not an improper unordered pair.  (Contributed
     by AV, 13-Jun-2022.) $)
  prneprprc $p |- ( ( ( A e. V /\ B e. W /\ A =/= B ) /\ -. C e. _V )
                    -> { A , B } =/= { C , D } ) $=
    ( wcel wne w3a cvv wn wa cpr csn prnesn adantr wb prprc1 neeq2d adantl
    mpbird ) AEGBFGABHIZCJGKZLABMZCDMZHZUDDNZHZUBUHUCABDEFOPUCUFUHQUBUCUEUGUDCD
    RSTUA $.

  ${
    preqsn.1 $e |- A e. _V $.
    preqsn.2 $e |- B e. _V $.
    $( Equivalence for a pair equal to a singleton.  (Contributed by NM,
       3-Jun-2008.)  (Revised by AV, 12-Jun-2022.) $)
    preqsn $p |- ( { A , B } = { C } <-> ( A = B /\ B = C ) ) $=
      ( cpr csn wceq wa cvv wcel wb id a1i preqsnd ax-mp eqeq2 pm5.32ri bitr4i
      ) ABFCGHZACHZBCHZIZABHZUBIAJKZTUCLDUEABCJJUEMBJKUEENOPUBUDUABCAQRS $.
  $}

  $( Equality relationship for two proper unordered pairs.  (Contributed by AV,
     12-Jun-2022.) $)
  preq12nebg $p |- ( ( A e. V /\ B e. W /\ A =/= B )
                   -> ( { A , B } = { C , D }
                        <-> ( ( A = C /\ B = D ) \/ ( A = D /\ B = C ) ) ) ) $=
    ( cvv wcel wa wne cpr wceq wo wi ancoms ex wn prneprprc eqneqall syl5com wb
    w3a 3simpa anim1i preq12bg syl ianor prcom eqeq2i jaoian preq12 eqtrdi jaoi
    sylbi impbid1 pm2.61i ) CGHZDGHZIZAEHZBFHZABJZUBZABKZCDKZLZACLBDLIZADLBCLIZ
    MZUAZNZUSVCVJUSVCIUTVAIZUSIZVJVCUSVMVCVLUSUTVAVBUCUDOABCDEFGGUEUFPUSQUQQZUR
    QZMZVKUQURUGVPVCVJVPVCIVFVIVNVCVFVINVOVNVCIVDVEJZVFVIVCVNVQABCDEFROVIVDVEST
    VOVCIVDDCKZJZVFVIVCVOVSABDCEFROVFVDVRLVSVINVEVRVDCDUHUIVIVDVRSUNTUJVGVFVHAB
    CDUKVHVDVRVEABDCUKDCUHULUMUOPUNUP $.

  $( Equality of two unordered pairs.  (Contributed by NM, 17-Oct-1996.)
     (Revised by AV, 9-Dec-2018.)  (Revised by AV, 12-Jun-2022.) $)
  prel12g $p |- ( ( A e. V /\ B e. W /\ A =/= B )
                  -> ( { A , B } = { C , D }
                       <-> ( A e. { C , D } /\ B e. { C , D } ) ) ) $=
    ( wcel cpr wceq wa wo prid1g 3ad2ant1 preq1 prid2g 3ad2ant2 preq2 syl5ibcom
    eleq2d anim12d wne w3a preq12nebg adantr adantl eleqtrd ex wb elprg anbi12d
    jaod wi eqtr3 eqneqall syl olc a1d ccase com12 3ad2ant3 sylbid impbid bitrd
    orc ) AEGZBFGZABUAZUBZABHCDHZIACIZBDIZJZADIZBCIZJZKZAVIGZBVIGZJZABCDEFUCVHV
    PVSVHVLVSVOVHVJVQVKVRVHVJVQVHVJJAADHZVIVHAVTGZVJVEVFWAVGADELMUDVJVTVIIVHACD
    NUEUFUGVHBCBHZGZVKVRVFVEWCVGCBFOPVKWBVIBBDCQSRTVHVMVQVNVRVHACAHZGZVMVQVEVFW
    EVGCAEOMVMWDVIAADCQSRVHBBDHZGZVNVRVFVEWGVGBDFLPVNWFVIBBCDNSRTUKVHVSVJVMKZVN
    VKKZJZVPVHVQWHVRWIVEVFVQWHUHVGACDEUIMVFVEVRWIUHVGBCDFUIPUJVGVEWJVPULVFWJVGV
    PVJVNVMVKVGVPULZVJVNJABIZWKABCUMVPABUNZUOVOVPVGVOVLUPUQVLVPVGVLVOVDUQVMVKJW
    LWKABDUMWMUOURUSUTVAVBVC $.

  $( An unordered pair has the ordered pair property (compare ~ opth ) under
     certain conditions.  Variant of ~ opthpr in closed form.  (Contributed by
     AV, 13-Jun-2022.) $)
  opthprneg $p |- ( ( ( A e. V /\ B e. W ) /\ ( A =/= B /\ A =/= D ) )
                    -> ( { A , B } = { C , D } <-> ( A = C /\ B = D ) ) ) $=
    ( cvv wcel wa wne cpr wceq wb wi wo wn sylbi impbid1 prneprprc sylan pm2.21
    preq12bg adantlr idd df-ne impd jaod orc adantl ad2antlr bitrd expcom ianor
    w3a simpl anim2i df-3an sylibr ancoms eqneqall syl5com eqeq2i jaoian preq12
    prcom ex pm2.61i ) CGHZDGHZIZAEHZBFHZIZABJZADJZIZIZABKZCDKZLZACLBDLIZMZNZVQ
    VJWBVQVJIVTWAADLZBCLZIZOZWAVMVJVTWGMVPABCDEFGGUBUCVPWGWAMZVMVJVOWHVNVOWGWAV
    OWAWAWFVOWAUDVOWDWEWAVOWDPWDWEWANZNADUEWDWIUAQUFUGWAWFUHRUIUJUKULVJPVHPZVIP
    ZOZWCVHVIUMWLVQWBWLVQIVTWAWJVQVTWANWKWJVQIVRVSJZVTWAVQWJWMVQVKVLVNUNZWJWMVQ
    VMVNIWNVPVNVMVNVOUOUPVKVLVNUQURZABCDEFSTUSWAVRVSUTVAWKVQIVRDCKZJZVTWAVQWKWQ
    VQWNWKWQWOABDCEFSTUSVTVRWPLWQWANVSWPVRCDVEVBWAVRWPUTQVAVCABCDVDRVFQVG $.

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Lemma for ~ elpreqpr .  (Contributed by Scott Fenton, 7-Dec-2020.)
       (Revised by AV, 9-Dec-2020.) $)
    elpreqprlem $p |- ( B e. V -> E. x { B , C } = { B , x } ) $=
      ( cvv wcel cpr cv wceq wex wi eqid preq2 eqeq2d spcegv mpi a1d csn dfsn2
      wn prprc2 eqeq1d exbidv syl5ibr pm2.61i ) CEFZBDFZBCGZBAHZGZIZAJZKUFULUGU
      FUHUHIZULUHLUKUMACEUICIUJUHUHUICBMNOPQUGULUFTZBRZUJIZAJZUGUOBBGZIZUQBSUPU
      SABDUIBIUJURUOUIBBMNOPUNUKUPAUNUHUOUJBCUAUBUCUDUE $.

    $( Equality and membership rule for pairs.  (Contributed by Scott Fenton,
       7-Dec-2020.) $)
    elpreqpr $p |- ( A e. { B , C } -> E. x { B , C } = { A , x } ) $=
      ( cpr wcel wo cvv cv wex wi elpreqprlem eleq1 preq1 eqeq2d exbidv imbi12d
      wceq mpbiri imp elpri elex prcom eqeq1i exbii sylib jaoian syl2anc ) BCDE
      ZFBCRZBDRZGBHFZUIBAIZEZRZAJZBCDUABUIUBUJULUPUKUJULUPUJULUPKZCHFZUICUMEZRZ
      AJZKACDHLUJULURUPVABCHMUJUOUTAUJUNUSUIBCUMNOPQSTUKULUPUKUQDHFZUIDUMEZRZAJ
      ZKVBDCEZVCRZAJVEADCHLVGVDAVFUIVCDCUCUDUEUFUKULVBUPVEBDHMUKUOVDAUKUNVCUIBD
      UMNOPQSTUGUH $.

    $d V x $.
    $( A set is an element of an unordered pair iff there is another (maybe the
       same) set which is an element of the unordered pair.  (Proposed by BJ,
       8-Dec-2020.)  (Contributed by AV, 9-Dec-2020.) $)
    elpreqprb $p |- ( A e. V
                      -> ( A e. { B , C } <-> E. x { B , C } = { A , x } ) ) $=
      ( wcel cpr cv wceq wex elpreqpr prid1g eleq2 syl5ibrcom exlimdv impbid2 )
      BEFZBCDGZFZRBAHZGZIZAJABCDKQUBSAQSUBBUAFBTELRUABMNOP $.
  $}

  ${
    $d A b $.  $d V b $.  $d X b $.  $d Y b $.
    $( For an element ` A ` of an unordered pair which is a subset of a given
       set ` V ` , there is another (maybe the same) element ` b ` of the given
       set ` V ` being an element of the unordered pair.  (Contributed by AV,
       5-Dec-2020.) $)
    elpr2elpr $p |- ( ( X e. V /\ Y e. V /\ A e. { X , Y } )
                      -> E. b e. V { X , Y } = { A , b } ) $=
      ( wcel cpr cv wceq wo wa wb preq2 eqeq2d adantl eqcoms adantr rspcedvd ex
      wrex wi simprr preq1 simprl prcom eqtrdi jaoi elpri syl11 3impia ) CBFZDB
      FZACDGZFZUMAEHZGZIZEBTZACIZADIZJUKULKZURUNUSVAURUAUTUSVAURUSVAKZUQUMADGZI
      ZEDBUSUKULUBUODIZUQVDLVBVEUPVCUMUODAMNOUSVDVAVDCACADUCPQRSUTVAURUTVAKZUQU
      MACGZIZECBUTUKULUDUOCIZUQVHLVFVIUPVGUMUOCAMNOUTVHVAUTUMCAGZVGUMVJIDADACMP
      CAUEUFQRSUGACDUHUIUJ $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Rewrite ~ df-op using ` if ` .  When both arguments are sets, it reduces
       to the standard Kuratowski definition; otherwise, it is defined to be
       the empty set.  Avoid directly depending on this detail so that theorems
       will not depend on the Kuratowski construction.  (Contributed by Mario
       Carneiro, 26-Apr-2015.)  Avoid ~ ax-10 , ~ ax-11 , ~ ax-12 .  (Revised
       by SN, 1-Aug-2024.)  (Avoid depending on this detail.) $)
    dfopif $p |- <. A , B >. =
      if ( ( A e. _V /\ B e. _V ) , { { A } , { A , B } } , (/) ) $=
      ( vx vy cop cvv wcel wa csn cpr c0 cif cv w3a wn wo noel intnan 3bitr4i
      wb biorf ax-mp df-3an orcom weq eleq1 3anbi3d df-op elab2g elv elif eqriv
      ) CABEZAFGZBFGZHZAIABJJZKLZUNUOCMZUQGZNZUPUTHZUPOZUSKGZHZPZUSUMGZUSURGVBV
      EVBPZVAVFVEOVBVHTVDVCUSQRVEVBUAUBUNUOUTUCVBVEUDSVGVATCUNUODMZUQGZNVADUSUM
      FDCUEVJUTUNUOVIUSUQUFUGDABUHUIUJUPUSUQKUKSUL $.
    $( $j usage 'dfopif' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Obsolete version of ~ dfopif as of 1-Aug-2024.  (Contributed by Mario
       Carneiro, 26-Apr-2015.)  (Avoid depending on this detail.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    dfopifOLD $p |- <. A , B >. =
      if ( ( A e. _V /\ B e. _V ) , { { A } , { A , B } } , (/) ) $=
      ( vx cop cvv wcel cv csn cpr w3a cab wa c0 df-op df-3an abbii wceq iftrue
      cif ibar abbi2dv eqtr2d wss pm2.21 adantrd abssdv ss0 syl iffalse pm2.61i
      wn eqtr4d 3eqtri ) ABDAEFZBEFZCGZAHABIIZFZJZCKUNUOLZURLZCKZUTUQMSZCABNUSV
      ACUNUOUROPUTVBVCQUTVCUQVBUTUQMRUTVACUQUTURTUAUBUTUKZVBMVCVDVBMUCVBMQVDVAC
      MVDUTUPMFZURUTVEUDUEUFVBUGUHUTUQMUIULUJUM $.
  $}

  $( Value of the ordered pair when the arguments are sets.  (Contributed by
     Mario Carneiro, 26-Apr-2015.)  (Avoid depending on this detail.) $)
  dfopg $p |- ( ( A e. V /\ B e. W ) ->
    <. A , B >. = { { A } , { A , B } } ) $=
    ( wcel cvv cop csn cpr wceq elex wa c0 cif dfopif iftrue eqtrid syl2an ) AC
    EAFEZBFEZABGZAHABIIZJBDEACKBDKSTLZUAUCUBMNUBABOUCUBMPQR $.

  ${
    dfop.1 $e |- A e. _V $.
    dfop.2 $e |- B e. _V $.
    $( Value of an ordered pair when the arguments are sets, with the
       conclusion corresponding to Kuratowski's original definition.
       (Contributed by NM, 25-Jun-1998.)  (Avoid depending on this detail.) $)
    dfop $p |- <. A , B >. = { { A } , { A , B } } $=
      ( cvv wcel cop csn cpr wceq dfopg mp2an ) AEFBEFABGAHABIIJCDABEEKL $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Equality theorem for ordered pairs.  (Contributed by NM, 25-Jun-1998.)
       (Revised by Mario Carneiro, 26-Apr-2015.) $)
    opeq1 $p |- ( A = B -> <. A , C >. = <. B , C >. ) $=
      ( wceq cvv wcel wa csn cpr c0 cif cop eleq1 anbi1d preq1 preq12d ifbieq1d
      sneq dfopif 3eqtr4g ) ABDZAEFZCEFZGZAHZACIZIZJKBEFZUCGZBHZBCIZIZJKACLBCLU
      AUDUIUGULJUAUBUHUCABEMNUAUEUJUFUKABRABCOPQACSBCST $.
    $( $j usage 'opeq1' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Equality theorem for ordered pairs.  (Contributed by NM, 25-Jun-1998.)
       (Revised by Mario Carneiro, 26-Apr-2015.) $)
    opeq2 $p |- ( A = B -> <. C , A >. = <. C , B >. ) $=
      ( wceq cvv wcel wa csn cpr c0 cif cop eleq1 anbi2d preq2d ifbieq1d dfopif
      preq2 3eqtr4g ) ABDZCEFZAEFZGZCHZCAIZIZJKUABEFZGZUDCBIZIZJKCALCBLTUCUHUFU
      JJTUBUGUAABEMNTUEUIUDABCROPCAQCBQS $.
    $( $j usage 'opeq2' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  $( Equality theorem for ordered pairs.  (Contributed by NM, 28-May-1995.) $)
  opeq12 $p |- ( ( A = C /\ B = D ) -> <. A , B >. = <. C , D >. ) $=
    ( wceq cop opeq1 opeq2 sylan9eq ) ACEBDEABFCBFCDFACBGBDCHI $.

  ${
    opeq1i.1 $e |- A = B $.
    $( Equality inference for ordered pairs.  (Contributed by NM,
       16-Dec-2006.) $)
    opeq1i $p |- <. A , C >. = <. B , C >. $=
      ( wceq cop opeq1 ax-mp ) ABEACFBCFEDABCGH $.

    $( Equality inference for ordered pairs.  (Contributed by NM,
       16-Dec-2006.) $)
    opeq2i $p |- <. C , A >. = <. C , B >. $=
      ( wceq cop opeq2 ax-mp ) ABECAFCBFEDABCGH $.

    ${
      opeq12i.2 $e |- C = D $.
      $( Equality inference for ordered pairs.  (Contributed by NM,
         16-Dec-2006.)  (Proof shortened by Eric Schmidt, 4-Apr-2007.) $)
      opeq12i $p |- <. A , C >. = <. B , D >. $=
        ( wceq cop opeq12 mp2an ) ABGCDGACHBDHGEFACBDIJ $.
    $}
  $}

  ${
    opeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for ordered pairs.  (Contributed by NM,
       16-Dec-2006.) $)
    opeq1d $p |- ( ph -> <. A , C >. = <. B , C >. ) $=
      ( wceq cop opeq1 syl ) ABCFBDGCDGFEBCDHI $.

    $( Equality deduction for ordered pairs.  (Contributed by NM,
       16-Dec-2006.) $)
    opeq2d $p |- ( ph -> <. C , A >. = <. C , B >. ) $=
      ( wceq cop opeq2 syl ) ABCFDBGDCGFEBCDHI $.

    opeq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality deduction for ordered pairs.  (Contributed by NM, 16-Dec-2006.)
       (Proof shortened by Andrew Salmon, 29-Jun-2011.) $)
    opeq12d $p |- ( ph -> <. A , C >. = <. B , D >. ) $=
      ( wceq cop opeq12 syl2anc ) ABCHDEHBDICEIHFGBDCEJK $.
  $}

  $( Equality theorem for ordered triples.  (Contributed by NM, 3-Apr-2015.) $)
  oteq1 $p |- ( A = B -> <. A , C , D >. = <. B , C , D >. ) $=
    ( wceq cop cotp opeq1 opeq1d df-ot 3eqtr4g ) ABEZACFZDFBCFZDFACDGBCDGLMNDAB
    CHIACDJBCDJK $.

  $( Equality theorem for ordered triples.  (Contributed by NM, 3-Apr-2015.) $)
  oteq2 $p |- ( A = B -> <. C , A , D >. = <. C , B , D >. ) $=
    ( wceq cop cotp opeq2 opeq1d df-ot 3eqtr4g ) ABEZCAFZDFCBFZDFCADGCBDGLMNDAB
    CHICADJCBDJK $.

  $( Equality theorem for ordered triples.  (Contributed by NM, 3-Apr-2015.) $)
  oteq3 $p |- ( A = B -> <. C , D , A >. = <. C , D , B >. ) $=
    ( wceq cop cotp opeq2 df-ot 3eqtr4g ) ABECDFZAFKBFCDAGCDBGABKHCDAICDBIJ $.

  ${
    oteq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for ordered triples.  (Contributed by Mario Carneiro,
       11-Jan-2017.) $)
    oteq1d $p |- ( ph -> <. A , C , D >. = <. B , C , D >. ) $=
      ( wceq cotp oteq1 syl ) ABCGBDEHCDEHGFBCDEIJ $.

    $( Equality deduction for ordered triples.  (Contributed by Mario Carneiro,
       11-Jan-2017.) $)
    oteq2d $p |- ( ph -> <. C , A , D >. = <. C , B , D >. ) $=
      ( wceq cotp oteq2 syl ) ABCGDBEHDCEHGFBCDEIJ $.

    $( Equality deduction for ordered triples.  (Contributed by Mario Carneiro,
       11-Jan-2017.) $)
    oteq3d $p |- ( ph -> <. C , D , A >. = <. C , D , B >. ) $=
      ( wceq cotp oteq3 syl ) ABCGDEBHDECHGFBCDEIJ $.

    oteq123d.2 $e |- ( ph -> C = D ) $.
    oteq123d.3 $e |- ( ph -> E = F ) $.
    $( Equality deduction for ordered triples.  (Contributed by Mario Carneiro,
       11-Jan-2017.) $)
    oteq123d $p |- ( ph -> <. A , C , E >. = <. B , D , F >. ) $=
      ( cotp oteq1d oteq2d oteq3d 3eqtrd ) ABDFKCDFKCEFKCEGKABCDFHLADECFIMAFGCE
      JNO $.
  $}

  ${
    nfop.1 $e |- F/_ x A $.
    nfop.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for ordered pairs.  (Contributed by
       NM, 14-Nov-1995.) $)
    nfop $p |- F/_ x <. A , B >. $=
      ( cop cvv wcel wa csn cpr c0 cif dfopif nfel1 nfan nfsn nfpr nfcv nfif
      nfcxfr ) ABCFBGHZCGHZIZBJZBCKZKZLMBCNUDAUGLUBUCAABGDOACGEOPAUEUFABDQABCDE
      RRALSTUA $.
  $}

  ${
    $d z B $.  $d z A $.  $d x z $.
    nfopd.2 $e |- ( ph -> F/_ x A ) $.
    nfopd.3 $e |- ( ph -> F/_ x B ) $.
    $( Deduction version of bound-variable hypothesis builder ~ nfop .  This
       shows how the deduction version of a not-free theorem such as ~ nfop can
       be created from the corresponding not-free inference theorem.
       (Contributed by NM, 4-Feb-2008.) $)
    nfopd $p |- ( ph -> F/_ x <. A , B >. ) $=
      ( vz cv wcel wal cab cop wnfc nfaba1 nfop wb wa nfnfc1 wceq abidnf adantr
      nfan adantl opeq12d nfceqdf syl2anc mpbii ) ABGHZCIZBJGKZUHDIZBJGKZLZMZBC
      DLZMZBUJULUIBGNUKBGNOABCMZBDMZUNUPPEFUQURQZBUMUOUQURBBCRBDRUBUSUJCULDUQUJ
      CSURBGCTUAURULDSUQBGDTUCUDUEUFUG $.
  $}

  $( Distribution of class substitution over ordered pairs.  (Contributed by
     Drahflow, 25-Sep-2015.)  (Revised by Mario Carneiro, 29-Oct-2015.)
     (Revised by ML, 25-Oct-2020.) $)
  csbopg $p |- ( A e. V -> [_ A / x ]_ <. C , D >. =
                         <. [_ A / x ]_ C , [_ A / x ]_ D >. ) $=
    ( wcel cvv wa csn cpr c0 cif csb cop wsbc csbif sbcan sbcel1g csbprg dfopif
    anbi12d syl5bb csbsng preq12d csbconstg ifbieq12d eqtrid csbeq2i 3eqtr4g
    eqtrd ) BEFZABCGFZDGFZHZCIZCDJZJZKLZMZABCMZGFZABDMZGFZHZUTIZUTVBJZJZKLZABCD
    NZMUTVBNUKUSUNABOZABUQMZABKMZLVHUNABUQKPUKVJVDVKVLVGKVJULABOZUMABOZHUKVDULU
    MABQUKVMVAVNVCABCGERABDGERUAUBUKVKABUOMZABUPMZJVGAUOUPBESUKVOVEVPVFABCEUCAC
    DBESUDUJABKEUEUFUGABVIURCDTUHUTVBTUI $.

  $( The ordered pair ` <. A , A >. ` in Kuratowski's representation.  Closed
     form of ~ opid .  (Contributed by Peter Mazsa, 22-Jul-2019.)  (Avoid
     depending on this detail.) $)
  opidg $p |- ( A e. V -> <. A , A >. = { { A } } ) $=
    ( wcel cop csn cpr wceq dfopg anidms dfsn2 eqcomi preq2i eqtr4i eqtrdi ) AB
    CZAADZAEZAAFZFZQEZOPSGAABBHISQQFTRQQQRAJKLQJMN $.

  ${
    opid.1 $e |- A e. _V $.
    $( The ordered pair ` <. A , A >. ` in Kuratowski's representation.
       Inference form of ~ opidg .  (Contributed by FL, 28-Dec-2011.)  (Proof
       shortened by AV, 16-Feb-2022.)  (Avoid depending on this detail.) $)
    opid $p |- <. A , A >. = { { A } } $=
      ( cvv wcel cop csn wceq opidg ax-mp ) ACDAAEAFFGBACHI $.
  $}

  ${
    $d B x $.  $d ps x $.
    ralunsn.1 $e |- ( x = B -> ( ph <-> ps ) ) $.
    $( Restricted quantification over the union of a set and a singleton, using
       implicit substitution.  (Contributed by Paul Chapman, 17-Nov-2012.)
       (Revised by Mario Carneiro, 23-Apr-2015.) $)
    ralunsn $p |- ( B e. C -> ( A. x e. ( A u. { B } ) ph <->
                                ( A. x e. A ph /\ ps ) ) ) $=
      ( csn cun wral wa wcel ralunb ralsng anbi2d syl5bb ) ACDEHZIJACDJZACQJZKE
      FLZRBKACDQMTSBRABCEFGNOP $.
  $}

  ${
    $d A x $.  $d B x y $.  $d C x $.  $d ch x $.  $d ps y $.  $d th x $.
    2ralunsn.1 $e |- ( x = B -> ( ph <-> ch ) ) $.
    2ralunsn.2 $e |- ( y = B -> ( ph <-> ps ) ) $.
    2ralunsn.3 $e |- ( x = B -> ( ps <-> th ) ) $.
    $( Double restricted quantification over the union of a set and a
       singleton, using implicit substitution.  (Contributed by Paul Chapman,
       17-Nov-2012.) $)
    2ralunsn $p |- ( B e. C ->
                     ( A. x e. ( A u. { B } ) A. y e. ( A u. { B } ) ph <->
                       ( ( A. x e. A A. y e. A ph /\ A. x e. A ps ) /\
                         ( A. y e. A ch /\ th ) ) ) ) $=
      ( wcel csn cun wral wa ralunsn ralbidv cv wceq r19.26 anbi1i bitrdi bitrd
      anbi12d ) HIMZAFGHNOZPZEUHPAFGPZBQZEUHPZUJEGPBEGPQZCFGPZDQZQZUGUIUKEUHABF
      GHIKRSUGULUKEGPZUOQUPUKUOEGHIETHUAZUJUNBDURACFGJSLUFRUQUMUOUJBEGUBUCUDUE
      $.
  $}

  $( Expansion of an ordered pair when either member is a proper class.
     (Contributed by Mario Carneiro, 26-Apr-2015.) $)
  opprc $p |- ( -. ( A e. _V /\ B e. _V ) -> <. A , B >. = (/) ) $=
    ( cvv wcel wa wn cop csn cpr c0 cif dfopif iffalse eqtrid ) ACDBCDEZFABGOAH
    ABIIZJKJABLOPJMN $.

  $( Expansion of an ordered pair when the first member is a proper class.  See
     also ~ opprc .  (Contributed by NM, 10-Apr-2004.)  (Revised by Mario
     Carneiro, 26-Apr-2015.) $)
  opprc1 $p |- ( -. A e. _V -> <. A , B >. = (/) ) $=
    ( cvv wcel wa cop c0 wceq simpl opprc nsyl5 ) ACDZBCDZELABFGHLMIABJK $.

  $( Expansion of an ordered pair when the second member is a proper class.
     See also ~ opprc .  (Contributed by NM, 15-Nov-1994.)  (Revised by Mario
     Carneiro, 26-Apr-2015.) $)
  opprc2 $p |- ( -. B e. _V -> <. A , B >. = (/) ) $=
    ( cvv wcel wa cop c0 wceq simpr opprc nsyl5 ) ACDZBCDZEMABFGHLMIABJK $.

  $( If an ordered pair has an element, then its arguments are sets.
     (Contributed by Mario Carneiro, 26-Apr-2015.) $)
  oprcl $p |- ( C e. <. A , B >. -> ( A e. _V /\ B e. _V ) ) $=
    ( cop wcel c0 wceq cvv wa n0i opprc nsyl2 ) CABDZEMFGAHEBHEIMCJABKL $.

  ${
    $d A x $.
    $( The power set of a singleton.  (Contributed by NM, 5-Jun-2006.) $)
    pwsn $p |- ~P { A } = { (/) , { A } } $=
      ( vx cv csn wss cab c0 wceq wo cpw cpr sssn abbii df-pw dfpr2 3eqtr4i ) B
      CZADZEZBFQGHQRHIZBFRJGRKSTBQALMBRNBGROP $.
  $}

  ${
    $d x y A $.
    $( Obsolete version of ~ pwsn as of 14-Apr-2024.  Note that the proof is
       essentially the same once one inlines ~ sssn in the proof of ~ pwsn .
       (Contributed by NM, 5-Jun-2006.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    pwsnOLD $p |- ~P { A } = { (/) , { A } } $=
      ( vx vy cv csn wss cab c0 wceq wo cpw cpr wn wa wcel wal dfss2 wex sylbi
      wi velsn imbi2i albii bitri neq0 exintr syl5bi dfclel exancom bitr2i syl6
      snssi anc2li eqss syl6ibr orrd 0ss sseq1 mpbiri eqimss impbii abbii df-pw
      jaoi dfpr2 3eqtr4i ) BDZAEZFZBGVGHIZVGVHIZJZBGVHKHVHLVIVLBVIVLVIVJVKVIVJM
      ZVIVHVGFZNVKVIVMVNVICDZVGOZVOAIZTZCPZVMVNTVIVPVOVHOZTZCPVSCVGVHQWAVRCVTVQ
      VPCAUAUBUCUDVSVMVPVQNCRZVNVMVPCRVSWBCVGUEVPVQCUFUGWBAVGOZVNWCVQVPNCRWBCAV
      GUHVQVPCUIUJAVGULSUKSUMVGVHUNUOUPVJVIVKVJVIHVHFVHUQVGHVHURUSVGVHUTVDVAVBB
      VHVCBHVHVEVF $.
  $}

  ${
    $d A x $.  $d B x $.
    $( The power set of an unordered pair.  (Contributed by NM, 1-May-2009.) $)
    pwpr $p |- ~P { A , B } = ( { (/) , { A } } u. { { B } , { A , B } } ) $=
      ( vx cpr cpw c0 csn cun cv wss wcel wo wceq sspr vex orbi12i bitr4i velpw
      elpr elun 3bitr4i eqriv ) CABDZEZFAGZDZBGZUCDZHZCIZUCJZUJUFKZUJUHKZLZUJUD
      KUJUIKUKUJFMUJUEMLZUJUGMUJUCMLZLUNUJABNULUOUMUPUJFUECOZSUJUGUCUQSPQCUCRUJ
      UFUHTUAUB $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( The power set of an unordered triple.  (Contributed by Mario Carneiro,
       2-Jul-2016.) $)
    pwtp $p |- ~P { A , B , C } =
      ( ( { (/) , { A } } u. { { B } , { A , B } } ) u.
        ( { { C } , { A , C } } u. { { B , C } , { A , B , C } } ) ) $=
      ( vx ctp cpw c0 csn cpr cun cv wcel velpw wo wceq elun elpr orbi12i bitri
      wss vex sstp 3bitr4ri eqriv ) DABCEZFZGAHZIZBHZABIZIZJZCHZACIZIZBCIZUEIZJ
      ZJZDKZUFLUTUETZUTUSLZDUEMUTULLZUTURLZNUTGOUTUGONZUTUIOUTUJONZNZUTUMOUTUNO
      NZUTUPOUTUEONZNZNVBVAVCVGVDVJVCUTUHLZUTUKLZNVGUTUHUKPVKVEVLVFUTGUGDUAZQUT
      UIUJVMQRSVDUTUOLZUTUQLZNVJUTUOUQPVNVHVOVIUTUMUNVMQUTUPUEVMQRSRUTULURPUTAB
      CUBUCSUD $.
  $}

  $( Compute the power set of the power set of the power set of the empty set.
     (See also ~ pw0 and ~ pwpw0 .)  (Contributed by NM, 2-May-2009.) $)
  pwpwpw0 $p |- ~P { (/) , { (/) } } =
                ( { (/) , { (/) } } u. { { { (/) } } , { (/) , { (/) } } } ) $=
    ( c0 csn pwpr ) AABC $.

  $( The power class of the universe is the universe.  Exercise 4.12(d) of
     [Mendelson] p. 235.

     The collection of all classes is of course larger than ` _V ` , which is
     the collection of all sets.  But ` ~P _V ` , being a class, cannot contain
     proper classes, so ` ~P _V ` is actually no larger than ` _V ` .  This
     fact is exploited in ~ ncanth .  (Contributed by NM, 14-Sep-2003.) $)
  pwv $p |- ~P _V = _V $=
    ( vx cvv cpw cv wcel wss ssv velpw mpbir vex 2th eqriv ) ABCZBADZMEZNBEONBF
    NGABHIAJKL $.

  ${
    $d A v $.  $d B v $.  $d C v $.  $d V v $.
    $( For an element of a proper unordered pair of elements of a class ` V ` ,
       there is another (different) element of the class ` V ` which is an
       element of the proper pair.  (Contributed by AV, 18-Dec-2021.) $)
    prproe $p |- ( ( C e. { A , B } /\ A =/= B /\ ( A e. V /\ B e. V ) )
                   -> E. v e. ( V \ { C } ) v e. { A , B } ) $=
      ( wcel wne wa wceq wi neeq2 eqcoms biimpcd adantr impcom eldifsn sylanbrc
      wb eleq1 adantl cpr cv csn cdif wrex wo elpri necom sylbi prid2g rspcedvd
      simprrr ex simprrl prid1g jaoi syl 3impib ) DBCUAZFZBCGZBEFZCEFZHZAUBZUSF
      ZAEDUCUDZUEZUTDBIZDCIZUFVAVDHZVHJZDBCUGVIVLVJVIVKVHVIVKHZVFCUSFZACVGVMVCC
      DGZCVGFVIVAVBVCULVKVIVOVAVIVOJZVDVACBGZVPBCUHVIVQVOVQVORBDBDCKLMUINOCEDPQ
      VECIVFVNRVMVECUSSTVKVNVIVDVNVAVCVNVBBCEUJTTTUKUMVJVKVHVJVKHZVFBUSFZABVGVR
      VBBDGZBVGFVJVAVBVCUNVKVJVTVAVJVTJVDVJVAVTVAVTRCDCDBKLMNOBEDPQVEBIVFVSRVRV
      EBUSSTVKVSVJVDVSVAVBVSVCBCEUONTTUKUMUPUQUR $.
  $}

  $( If there are three elements in a proper unordered pair, and two of them
     are different from the third one, the two must be equal.  (Contributed by
     AV, 19-Dec-2021.) $)
  3elpr2eq $p |- ( ( ( X e. { A , B } /\ Y e. { A , B } /\ Z e. { A , B } )
                     /\ ( Y =/= X /\ Z =/= X ) ) -> Y = Z ) $=
    ( wcel wne wa wceq wo wi elpri eqtr3 eqneqall syl adantld ex a1d impd jaoi
    cpr w3a 2a1d com12 com13 3imp syl3an imp ) CABUAZFZDUIFZEUIFZUBDCGZECGZHZDE
    IZUJCAIZCBIZJZUKDAIZDBIZJZULEAIZEBIZJZUOUPKZCABLDABLEABLUSVBVEVFUQVBVEVFKKU
    RVEVBUQVFVCVBUQVFKZKVDVCVGVBVCUQVFVCUQHZUNUPUMVHECIZUNUPKZECAMUPECNZOPQRVBV
    DVGUTVDVGKVAUTVGVDUTUQVFUTUQHZUMUNUPVLDCIZUMVJKZDCAMVJDCNZOSQRVAVDVGVAVDHUP
    UQUODEBMUCQTUDTUEVEVBURVFVCVBURVFKZKVDVBVCVPUTVCVPKVAUTVCVPUTVCHUPURUODEAMU
    CQVAVPVCVAURVFVAURHZUMUNUPVQVMVNDCBMVOOSQRTUDVDVPVBVDURVFVDURHZUNUPUMVRVIVJ
    ECBMVKOPQRTUETUFUGUH $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The union of a class
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare class union symbol. $)
  $c U. $.  $( Big cup $)

  $( Extend class notation to include the union of a class.  Read:  "union (of)
     ` A ` ". $)
  cuni $a class U. A $.

  ${
    $d x y A $.
    $( Define the union of a class i.e. the collection of all members of the
       members of the class.  Definition 5.5 of [TakeutiZaring] p. 16.  For
       example, ` U. { { 1 , 3 } , { 1 , 8 } } = { 1 , 3 , 8 } ` ( ~ ex-uni ).
       This is similar to the union of two classes ~ df-un .  (Contributed by
       NM, 23-Aug-1993.) $)
    df-uni $a |- U. A = { x | E. y ( x e. y /\ y e. A ) } $.
  $}

  ${
    $d x y A $.
    $( Alternate definition of class union.  (Contributed by NM,
       28-Jun-1998.) $)
    dfuni2 $p |- U. A = { x | E. y e. A x e. y } $=
      ( cuni cv wcel wa wex cab wrex df-uni exancom df-rex bitr4i abbii eqtri )
      CDAEBEZFZQCFZGBHZAIRBCJZAIABCKTUAATSRGBHUARSBLRBCMNOP $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Membership in class union.  (Contributed by NM, 22-May-1994.) $)
    eluni $p |- ( A e. U. B <-> E. x ( A e. x /\ x e. B ) ) $=
      ( vy cuni wcel cvv cv wa wex elex adantr exlimiv wceq eleq1 anbi1d exbidv
      df-uni elab2g pm5.21nii ) BCEZFBGFZBAHZFZUCCFZIZAJZBUAKUFUBAUDUBUEBUCKLMD
      HZUCFZUEIZAJUGDBUAGUHBNZUJUFAUKUIUDUEUHBUCOPQDACRST $.

    $( Membership in class union.  Restricted quantifier version.  (Contributed
       by NM, 31-Aug-1999.) $)
    eluni2 $p |- ( A e. U. B <-> E. x e. B A e. x ) $=
      ( cv wcel wa wex cuni wrex exancom eluni df-rex 3bitr4i ) BADZEZNCEZFAGPO
      FAGBCHEOACIOPAJABCKOACLM $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Membership in class union.  (Contributed by NM, 24-Mar-1995.) $)
    elunii $p |- ( ( A e. B /\ B e. C ) -> A e. U. C ) $=
      ( vx wcel wa cv cuni wceq eleq2 eleq1 anbi12d spcegv anabsi7 eluni sylibr
      wex ) ABEZBCEZFZADGZEZUACEZFZDQZACHERSUEUDTDBCUABIUBRUCSUABAJUABCKLMNDACO
      P $.
  $}

  ${
    $d y z A $.  $d x y z $.  $d y z ph $.
    nfunid.3 $e |- ( ph -> F/_ x A ) $.
    $( Deduction version of ~ nfuni .  (Contributed by NM, 18-Feb-2013.) $)
    nfunid $p |- ( ph -> F/_ x U. A ) $=
      ( vy vz cuni wel wrex cab dfuni2 nfv nfvd nfrexd nfabdw nfcxfrd ) ABCGEFH
      ZFCIZEJEFCKARBEAELAQBFCAFLDAQBMNOP $.
  $}

  ${
    nfuni.1 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for union.  (Contributed by NM,
       30-Dec-1996.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
    nfuni $p |- F/_ x U. A $=
      ( wnfc cuni id nfunid ax-mp ) ABDZABEDCIABIFGH $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Subclass relationship for class union.  Theorem 61 of [Suppes] p. 39.
       (Contributed by NM, 22-Mar-1998.)  (Proof shortened by Andrew Salmon,
       29-Jun-2011.) $)
    uniss $p |- ( A C_ B -> U. A C_ U. B ) $=
      ( vx vy wss cuni cv wcel wa wex ssel anim2d eximdv eluni 3imtr4g ssrdv )
      ABEZCAFZBFZQCGZDGZHZUAAHZIZDJUBUABHZIZDJTRHTSHQUDUFDQUCUEUBABUAKLMDTANDTB
      NOP $.
  $}

  ${
    unissi.1 $e |- A C_ B $.
    $( Subclass relationship for subclass union.  Inference form of ~ uniss .
       (Contributed by David Moews, 1-May-2017.) $)
    unissi $p |- U. A C_ U. B $=
      ( wss cuni uniss ax-mp ) ABDAEBEDCABFG $.
  $}

  ${
    unissd.1 $e |- ( ph -> A C_ B ) $.
    $( Subclass relationship for subclass union.  Deduction form of ~ uniss .
       (Contributed by David Moews, 1-May-2017.) $)
    unissd $p |- ( ph -> U. A C_ U. B ) $=
      ( wss cuni uniss syl ) ABCEBFCFEDBCGH $.
  $}

  $( Equality theorem for class union.  Exercise 15 of [TakeutiZaring] p. 18.
     (Contributed by NM, 10-Aug-1993.)  (Proof shortened by Andrew Salmon,
     29-Jun-2011.)  (Proof shortened by BJ, 13-Apr-2024.) $)
  unieq $p |- ( A = B -> U. A = U. B ) $=
    ( wceq cuni eqimss unissd eqimss2 eqssd ) ABCZADBDIABABEFIBABAGFH $.

  ${
    $d x y A $.  $d x y B $.
    $( Obsolete version of ~ unieq as of 13-Apr-2024.  (Contributed by NM,
       10-Aug-1993.)  (Proof modification is discouraged.)
       (New usage is discouraged.) 29-Jun-2011.) $)
    unieqOLD $p |- ( A = B -> U. A = U. B ) $=
      ( vy vx wceq wel wrex cab cuni rexeq abbidv dfuni2 3eqtr4g ) ABEZCDFZDAGZ
      CHODBGZCHAIBINPQCODABJKCDALCDBLM $.
  $}

  ${
    unieqi.1 $e |- A = B $.
    $( Inference of equality of two class unions.  (Contributed by NM,
       30-Aug-1993.) $)
    unieqi $p |- U. A = U. B $=
      ( wceq cuni unieq ax-mp ) ABDAEBEDCABFG $.
  $}

  ${
    unieqd.1 $e |- ( ph -> A = B ) $.
    $( Deduction of equality of two class unions.  (Contributed by NM,
       21-Apr-1995.) $)
    unieqd $p |- ( ph -> U. A = U. B ) $=
      ( wceq cuni unieq syl ) ABCEBFCFEDBCGH $.
  $}

  ${
    $d x A y $.  $d ph y $.
    $( Membership in union of a class abstraction.  (Contributed by NM,
       11-Aug-1994.)  (Revised by Mario Carneiro, 14-Nov-2016.) $)
    eluniab $p |- ( A e. U. { x | ph } <-> E. x ( A e. x /\ ph ) ) $=
      ( vy cab cuni wcel cv wa wex eluni nfv nfsab1 nfan weq eleq2w eleq1w abid
      bitrdi anbi12d cbvexv1 bitri ) CABEZFGCDHZGZUDUCGZIZDJCBHZGZAIZBJDCUCKUGU
      JDBUEUFBUEBLABDMNUJDLDBOZUEUIUFADBCPUKUFUHUCGADBUCQABRSTUAUB $.

    $( Membership in union of a class abstraction.  (Contributed by NM,
       4-Oct-2006.) $)
    elunirab $p |- ( A e. U. { x e. B | ph } <->
                   E. x e. B ( A e. x /\ ph ) ) $=
      ( cv wcel cab cuni wex crab wrex eluniab df-rab unieqi eleq2i df-rex an12
      wa exbii bitri 3bitr4i ) CBEZDFZARZBGZHZFCUBFZUDRZBIZCABDJZHZFUGARZBDKZUD
      BCLUKUFCUJUEABDMNOUMUCULRZBIUIULBDPUNUHBUCUGAQSTUA $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d V x $.  $d W x $.
    $( The union of a pair is the union of its members.  Proposition 5.7 of
       [TakeutiZaring] p. 16.  (Contributed by NM, 25-Aug-2006.)  Avoid using
       ~ unipr to prove it from ~ uniprg .  (Revised by BJ, 1-Sep-2024.) $)
    uniprg $p |- ( ( A e. V /\ B e. W ) -> U. { A , B } = ( A u. B ) ) $=
      ( vx vy wcel wa wel cv cpr wex cab wo cuni wceq bitri wb clel3g bicomd
      cun vex elpr anbi2i ancom andir exbii adantr adantl orbi12d syl5bb abbidv
      19.43 df-uni df-un 3eqtr4g ) ACGZBDGZHZEFIZFJZABKZGZHZFLZEMEJZAGZVFBGZNZE
      MVBOABUAUSVEVIEVEVAAPZUTHZFLZVABPZUTHZFLZNZUSVIVEVKVNNZFLVPVDVQFVDUTVJVMN
      ZHZVQVCVRUTVAABFUBUCUDVSVRUTHVQUTVRUEVJVMUTUFQQUGVKVNFUMQUSVLVGVOVHUQVLVG
      RURUQVGVLFVFACSTUHURVOVHRUQURVHVOFVFBDSTUIUJUKULEFVBUNEABUOUP $.
  $}

  ${
    unipr.1 $e |- A e. _V $.
    unipr.2 $e |- B e. _V $.
    $( The union of a pair is the union of its members.  Proposition 5.7 of
       [TakeutiZaring] p. 16.  (Contributed by NM, 23-Aug-1993.)  (Proof
       shortened by BJ, 1-Sep-2024.) $)
    unipr $p |- U. { A , B } = ( A u. B ) $=
      ( cvv wcel cpr cuni cun wceq uniprg mp2an ) AEFBEFABGHABIJCDABEEKL $.

    $d x y A $.  $d x y B $.
    $( Obsolete version of ~ unipr as of 1-Sep-2024.  (Contributed by NM,
       23-Aug-1993.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    uniprOLD $p |- U. { A , B } = ( A u. B ) $=
      ( vx vy cv wcel wo cab cpr wa wex cun cuni wceq 19.43 bitri clel3 exancom
      vex elpr anbi2i andi exbii orbi12i 3bitr4ri abbii df-un df-uni 3eqtr4ri )
      EGZAHZULBHZIZEJULFGZHZUPABKZHZLZFMZEJABNUROUOVAEUQUPAPZLZUQUPBPZLZIZFMVCF
      MZVEFMZIVAUOVCVEFQUTVFFUTUQVBVDIZLVFUSVIUQUPABFUAUBUCUQVBVDUDRUEUMVGUNVHU
      MVBUQLFMVGFULACSVBUQFTRUNVDUQLFMVHFULBDSVDUQFTRUFUGUHEABUIEFURUJUK $.
  $}

  ${
    $d x y A $.  $d y B $.
    $( Obsolete version of ~ unipr as of 1-Sep-2024.  (Contributed by NM,
       25-Aug-2006.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    uniprgOLD $p |- ( ( A e. V /\ B e. W ) -> U. { A , B } = ( A u. B ) ) $=
      ( vx vy cv cpr cuni cun wceq preq1 unieqd uneq1 eqeq12d preq2 uneq2 unipr
      vex vtocl2g ) EGZFGZHZIZUAUBJZKAUBHZIZAUBJZKABHZIZABJZKEFABCDUAAKZUDUGUEU
      HULUCUFUAAUBLMUAAUBNOUBBKZUGUJUHUKUMUFUIUBBAPMUBBAQOUAUBESFSRT $.
  $}

  $( A set equals the union of its singleton.  Theorem 8.2 of [Quine] p. 53.
     (Contributed by NM, 13-Aug-2002.) $)
  unisng $p |- ( A e. V -> U. { A } = A ) $=
    ( wcel csn cuni cpr cun wceq dfsn2 unieqi a1i uniprg anidms unidm 3eqtrd )
    ABCZADZEZAAFZEZAAGZARTHPQSAIJKPTUAHAABBLMUAAHPANKO $.

  ${
    unisn.1 $e |- A e. _V $.
    $( A set equals the union of its singleton.  Theorem 8.2 of [Quine] p. 53.
       (Contributed by NM, 30-Aug-1993.) $)
    unisn $p |- U. { A } = A $=
      ( cvv wcel csn cuni wceq unisng ax-mp ) ACDAEFAGBACHI $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Union of a singleton in the form of a restricted class abstraction.
       (Contributed by NM, 3-Jul-2008.) $)
    unisn3 $p |- ( A e. B -> U. { x e. B | x = A } = A ) $=
      ( wcel cv wceq crab cuni csn rabsn unieqd unisng eqtrd ) BCDZAEBFACGZHBIZ
      HBNOPACBJKBCLM $.
  $}

  ${
    $d x y $.  $d y A $.
    $( An alternative statement of the effective freeness of a class ` A ` ,
       when it is a set.  (Contributed by Mario Carneiro, 14-Oct-2016.)  (Proof
       shortened by JJ, 26-Jul-2021.) $)
    dfnfc2 $p |- ( A. x A e. V -> ( F/_ x A <-> A. y F/ x y = A ) ) $=
      ( wcel wal wnfc cv wceq wnf nfcvd id nfeqd alrimiv csn df-nfc velsn nfbii
      cuni albii sylbbr nfunid nfa1 unisng sps nfceqdf syl5ib impbid2 ) CDEZAFZ
      ACGZBHZCIZAJZBFZUKUNBUKAULCUKAULKUKLMNUOACOZSZGUJUKUOAUPAUPGULUPEZAJZBFUO
      ABUPPUSUNBURUMABCQRTUAUBUJAUQCUIAUCUIUQCIACDUDUEUFUGUH $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The class union of the union of two classes.  Theorem 8.3 of [Quine]
       p. 53.  (Contributed by NM, 20-Aug-1993.) $)
    uniun $p |- U. ( A u. B ) = ( U. A u. U. B ) $=
      ( vx vy cun cuni cv wcel wa wo 19.43 elun anbi2i andi bitri exbii orbi12i
      wex eluni 3bitr4i eqriv ) CABEZFZAFZBFZEZCGZDGZHZUHUBHZIZDRZUGUDHZUGUEHZJ
      ZUGUCHUGUFHUIUHAHZIZUIUHBHZIZJZDRUQDRZUSDRZJULUOUQUSDKUKUTDUKUIUPURJZIUTU
      JVCUIUHABLMUIUPURNOPUMVAUNVBDUGASDUGBSQTDUGUBSUGUDUELTUA $.

    $( The class union of the intersection of two classes.  Exercise 4.12(n) of
       [Mendelson] p. 235.  See ~ uniinqs for a condition where equality holds.
       (Contributed by NM, 4-Dec-2003.)  (Proof shortened by Andrew Salmon,
       29-Jun-2011.) $)
    uniin $p |- U. ( A i^i B ) C_ ( U. A i^i U. B ) $=
      ( vx vy cin cuni cv wcel wex 19.40 elin anbi2i anandi bitri exbii anbi12i
      wa eluni 3imtr4i ssriv ) CABEZFZAFZBFZEZCGZDGZHZUGUAHZQZDIZUFUCHZUFUDHZQZ
      UFUBHUFUEHUHUGAHZQZUHUGBHZQZQZDIUPDIZURDIZQUKUNUPURDJUJUSDUJUHUOUQQZQUSUI
      VBUHUGABKLUHUOUQMNOULUTUMVADUFARDUFBRPSDUFUARUFUCUDKST $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Subclass relationship for class union.  (Contributed by NM,
       24-May-1994.)  (Proof shortened by Andrew Salmon, 29-Jun-2011.)  (Proof
       shortened by JJ, 26-Jul-2021.) $)
    ssuni $p |- ( ( A C_ B /\ B e. C ) -> A C_ U. C ) $=
      ( vx wcel wss cuni cv wi elunii expcom imim2d alimdv dfss2 3imtr4g impcom
      wal ) BCEZABFZACGZFZRDHZAEZUBBEZIZDQUCUBTEZIZDQSUARUEUGDRUDUFUCUDRUFUBBCJ
      KLMDABNDATNOP $.
  $}

  ${
    $d x y A $.
    $( The union of a set is empty iff the set is included in the singleton of
       the empty set.  (Contributed by NM, 12-Sep-2004.) $)
    uni0b $p |- ( U. A = (/) <-> A C_ { (/) } ) $=
      ( vx vy cv c0 csn wcel wral wceq wss cuni velsn ralbii dfss3 wn wrex neq0
      wex rexcom4 3bitr4ri rexbii eluni2 exbii rexnal 3bitri con4bii ) BDZEFZGZ
      BAHUGEIZBAHZAUHJAKZEIZUIUJBABELMBAUHNUMUKUMOCDZULGZCRZUJOZBAPZUKOCULQUNUG
      GZCRZBAPUSBAPZCRURUPUSBCASUQUTBACUGQUAUOVACBUNAUBUCTUJBAUDUEUFT $.

    $( The union of a set is empty iff all of its members are empty.
       (Contributed by NM, 16-Aug-2006.) $)
    uni0c $p |- ( U. A = (/) <-> A. x e. A x = (/) ) $=
      ( cuni c0 wceq csn wss cv wcel wral uni0b dfss3 velsn ralbii 3bitri ) BCD
      EBDFZGAHZPIZABJQDEZABJBKABPLRSABADMNO $.
  $}

  $( The union of the empty set is the empty set.  Theorem 8.7 of [Quine]
     p. 54.  (Contributed by NM, 16-Sep-1993.)  Remove use of ~ ax-nul .
     (Revised by Eric Schmidt, 4-Apr-2007.) $)
  uni0 $p |- U. (/) = (/) $=
    ( c0 cuni wceq csn wss 0ss uni0b mpbir ) ABACAADZEIFAGH $.

  ${
    $d A y z $.  $d B y z $.  $d x y z $.
    $( Distribute proper substitution through the union of a class.
       (Contributed by Alan Sare, 10-Nov-2012.)  (Revised by NM,
       22-Aug-2018.) $)
    csbuni $p |- [_ A / x ]_ U. B = U. [_ A / x ]_ B $=
      ( vz vy cvv wcel cuni csb wceq wel cv wa wex wsbc syl5bb df-uni c0 csbprc
      cab csbab sbcex2 anbi1d sbcel2 anbi2i bitrdi exbidv abbidv eqtrid csbeq2i
      sbcan sbcg 3eqtr4g wn unieqd uni0 eqtr2di eqtrd pm2.61i ) BFGZABCHZIZABCI
      ZHZJUTABDEKZELZCGZMZENZDTZIZVEVFVCGZMZENZDTZVBVDUTVKVIABOZDTVOVIADBUAUTVP
      VNDVPVHABOZENUTVNVHEABUBUTVQVMEVQVEABOZVGABOZMZUTVMVEVGABUKUTVTVEVSMVMUTV
      RVEVSVEABFULUCVSVLVEABVFCUDUEUFPUGPUHUIABVAVJDECQUJDEVCQUMUTUNZVBRVDABVAS
      WAVDRHRWAVCRABCSUOUPUQURUS $.
  $}

  $( An element of a class is a subclass of its union.  Theorem 8.6 of [Quine]
     p. 54.  Also the basis for Proposition 7.20 of [TakeutiZaring] p. 40.
     (Contributed by NM, 6-Jun-1994.) $)
  elssuni $p |- ( A e. B -> A C_ U. B ) $=
    ( wss wcel cuni ssid ssuni mpan ) AACABDABECAFAABGH $.

  $( Condition turning a subclass relationship for union into an equality.
     (Contributed by NM, 18-Jul-2006.) $)
  unissel $p |- ( ( U. A C_ B /\ B e. A ) -> U. A = B ) $=
    ( cuni wss wcel wa simpl elssuni adantl eqssd ) ACZBDZBAEZFKBLMGMBKDLBAHIJ
    $.

  ${
    $d x y A $.  $d x y B $.
    $( Relationship involving membership, subset, and union.  Exercise 5 of
       [Enderton] p. 26 and its converse.  (Contributed by NM, 20-Sep-2003.) $)
    unissb $p |- ( U. A C_ B <-> A. x e. A x C_ B ) $=
      ( vy cv cuni wcel wi wal wss wa wex eluni imbi1i 19.23v albii bitri dfss2
      wral 3bitr4i bitr4i alcom 19.21v impexp bi2.04 imbi2i df-ral ) DEZBFZGZUH
      CGZHZDIZAEZBGZUNCJZHZAIZUICJUPABSUMUHUNGZUOKZUKHZAIZDIZURULVBDULUTALZUKHV
      BUJVDUKAUHBMNUTUKAOUAPVCVADIZAIURVADAUBVEUQAUOUSUKHZHZDIUOVFDIZHVEUQUOVFD
      UCVAVGDVAUSUOUKHHVGUSUOUKUDUSUOUKUEQPUPVHUODUNCRUFTPQQDUICRUPABUGT $.
  $}

  ${
    $d x A $.  $d x y B $.
    $( A subclass condition on the members of two classes that implies a
       subclass relation on their unions.  Proposition 8.6 of [TakeutiZaring]
       p. 59.  See ~ iunss2 for a generalization to indexed unions.
       (Contributed by NM, 22-Mar-2004.) $)
    uniss2 $p |- ( A. x e. A E. y e. B x C_ y -> U. A C_ U. B ) $=
      ( cv wss wrex wral cuni wcel ssuni expcom rexlimiv ralimi unissb sylibr )
      AEZBEZFZBDGZACHQDIZFZACHCIUAFTUBACSUBBDSRDJUBQRDKLMNACUAOP $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( If the difference ` A \ B ` contains the largest members of ` A ` , then
       the union of the difference is the union of ` A ` .  (Contributed by NM,
       22-Mar-2004.) $)
    unidif $p |- ( A. x e. A E. y e. ( A \ B ) x C_ y ->
               U. ( A \ B ) = U. A ) $=
      ( cv wss cdif wrex wral cuni wceq uniss2 difss unissi jctil eqss sylibr
      wa ) AEBEFBCDGZHACIZSJZCJZFZUBUAFZRUAUBKTUDUCABCSLSCCDMNOUAUBPQ $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Relationship implying union.  (Contributed by NM, 10-Nov-1999.) $)
    ssunieq $p |- ( ( A e. B /\ A. x e. B x C_ A ) -> A = U. B ) $=
      ( wcel cv wss wral cuni wceq elssuni unissb biimpri anim12i eqss sylibr
      wa ) BCDZAEBFACGZPBCHZFZSBFZPBSIQTRUABCJUARACBKLMBSNO $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Any member of a class is the largest of those members that it includes.
       (Contributed by NM, 13-Aug-2002.) $)
    unimax $p |- ( A e. B -> U. { x e. B | x C_ A } = A ) $=
      ( vy wcel cv wss crab wral cuni wceq ssid sseq1 elrab3 elrab simprbi rgen
      mpbiri wa ssunieq eqcomd sylancl ) BCEZBAFZBGZACHZEZDFZBGZDUFIZUFJZBKUCUG
      BBGZBLUEULABCUDBBMNRUIDUFUHUFEUHCEUIUEUIAUHCUDUHBMOPQUGUJSBUKDBUFTUAUB $.
  $}

  ${
    $d A x $.
    $( A class is a subclass of the power class of its union.  Exercise 6(b) of
       [Enderton] p. 38.  (Contributed by NM, 14-Oct-1996.) $)
    pwuni $p |- A C_ ~P U. A $=
      ( vx cuni cpw cv wcel wss elssuni velpw sylibr ssriv ) BAACZDZBEZAFNLGNMF
      NAHBLIJK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The intersection of a class
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare class intersection symbol. $)
  $c |^| $.  $( Big cap $)

  $( Extend class notation to include the intersection of a class.  Read:
     "intersection (of) ` A ` ". $)
  cint $a class |^| A $.

  ${
    $d x y A $.
    $( Define the intersection of a class.  Definition 7.35 of [TakeutiZaring]
       p. 44.  For example, ` |^| { { 1 , 3 } , { 1 , 8 } } = { 1 } ` .
       Compare this with the intersection of two classes, ~ df-in .
       (Contributed by NM, 18-Aug-1993.) $)
    df-int $a |- |^| A = { x | A. y ( y e. A -> x e. y ) } $.
  $}

  ${
    $d x y A $.
    $( Alternate definition of class intersection.  (Contributed by NM,
       28-Jun-1998.) $)
    dfint2 $p |- |^| A = { x | A. y e. A x e. y } $=
      ( cint cv wcel wi wal cab wral df-int df-ral abbii eqtr4i ) CDBEZCFAEOFZG
      BHZAIPBCJZAIABCKRQAPBCLMN $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Equality law for intersection.  (Contributed by NM, 13-Sep-1999.) $)
    inteq $p |- ( A = B -> |^| A = |^| B ) $=
      ( vx vy wceq wel wral cab cint raleq abbidv dfint2 3eqtr4g ) ABEZCDFZDAGZ
      CHODBGZCHAIBINPQCODABJKCDALCDBLM $.
  $}

  ${
    inteqi.1 $e |- A = B $.
    $( Equality inference for class intersection.  (Contributed by NM,
       2-Sep-2003.) $)
    inteqi $p |- |^| A = |^| B $=
      ( wceq cint inteq ax-mp ) ABDAEBEDCABFG $.
  $}

  ${
    inteqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for class intersection.  (Contributed by NM,
       2-Sep-2003.) $)
    inteqd $p |- ( ph -> |^| A = |^| B ) $=
      ( wceq cint inteq syl ) ABCEBFCFEDBCGH $.
  $}

  ${
    $d A x y $.  $d B x y $.
    elint.1 $e |- A e. _V $.
    $( Membership in class intersection.  (Contributed by NM, 21-May-1994.) $)
    elint $p |- ( A e. |^| B <-> A. x ( x e. B -> A e. x ) ) $=
      ( vy cvv wcel cint cv wi wal wb wel wceq eleq1 imbi2d albidv df-int ax-mp
      elab2g ) BFGBCHZGAIZCGZBUBGZJZAKZLDUCEAMZJZAKUFEBUAFEIZBNZUHUEAUJUGUDUCUI
      BUBOPQEACRTS $.
    $( $j usage 'elint' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x A $.  $d x B $.
    elint2.1 $e |- A e. _V $.
    $( Membership in class intersection.  (Contributed by NM, 14-Oct-1999.) $)
    elint2 $p |- ( A e. |^| B <-> A. x e. B A e. x ) $=
      ( cint wcel cv wi wal wral elint df-ral bitr4i ) BCEFAGZCFBNFZHAIOACJABCD
      KOACLM $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Membership in class intersection, with the sethood requirement expressed
       as an antecedent.  (Contributed by NM, 20-Nov-2003.)  (Proof shortened
       by JJ, 26-Jul-2021.) $)
    elintg $p |- ( A e. V -> ( A e. |^| B <-> A. x e. B A e. x ) ) $=
      ( vy wel wral cv wcel cint wceq eleq1 ralbidv dfint2 elab2g ) EAFZACGBAHZ
      IZACGEBCJDEHZBKPRACSBQLMEACNO $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Membership in class intersection.  (Contributed by NM, 14-Oct-1999.)
       (Proof shortened by Andrew Salmon, 9-Jul-2011.) $)
    elinti $p |- ( A e. |^| B -> ( C e. B -> A e. C ) ) $=
      ( vx cint wcel wi cv wral elintg eleq2 rspccv syl6bi pm2.43i ) ABEZFZCBFA
      CFZGZPPADHZFZDBIRDABOJTQDCBSCAKLMN $.
  $}

  ${
    $d y z A $.  $d x y z $.
    nfint.1 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for intersection.  (Contributed by NM,
       2-Feb-1997.)  (Proof shortened by Andrew Salmon, 12-Aug-2011.) $)
    nfint $p |- F/_ x |^| A $=
      ( vy vz cint wel wral cab dfint2 nfv nfralw nfab nfcxfr ) ABFDEGZEBHZDIDE
      BJPADOAEBCOAKLMN $.
  $}

  ${
    $d A x y $.  $d ph y $.
    inteqab.1 $e |- A e. _V $.
    $( Membership in the intersection of a class abstraction.  (Contributed by
       NM, 30-Aug-1993.) $)
    elintab $p |- ( A e. |^| { x | ph } <-> A. x ( ph -> A e. x ) ) $=
      ( vy cab cint wcel cv wi wal elint nfsab1 nfv nfim weq eleq1w abid bitrdi
      eleq2w imbi12d cbvalv1 bitri ) CABFZGHEIZUDHZCUEHZJZEKACBIZHZJZBKECUDDLUH
      UKEBUFUGBABEMUGBNOUKENEBPZUFAUGUJULUFUIUDHAEBUDQABRSEBCTUAUBUC $.

    $( Membership in the intersection of a class abstraction.  (Contributed by
       NM, 17-Oct-1999.) $)
    elintrab $p |- ( A e. |^| { x e. B | ph } <->
                 A. x e. B ( ph -> A e. x ) ) $=
      ( cv wcel wa cab cint wi wal crab wral elintab impexp albii df-rab inteqi
      bitri eleq2i df-ral 3bitr4i ) CBFZDGZAHZBIZJZGZUEACUDGZKZKZBLZCABDMZJZGUK
      BDNUIUFUJKZBLUMUFBCEOUPULBUEAUJPQTUOUHCUNUGABDRSUAUKBDUBUC $.
  $}

  ${
    $d x y A $.  $d y B $.  $d y ph $.
    $( Membership in the intersection of a class abstraction.  (Contributed by
       NM, 17-Feb-2007.) $)
    elintrabg $p |- ( A e. V -> ( A e. |^| { x e. B | ph } <->
                 A. x e. B ( ph -> A e. x ) ) ) $=
      ( vy cv crab cint wcel wi wral eleq1 wceq imbi2d ralbidv elintrab vtoclbg
      vex ) FGZABDHIZJATBGZJZKZBDLCUAJACUBJZKZBDLFCETCUAMTCNZUDUFBDUGUCUEATCUBM
      OPABTDFSQR $.
  $}

  ${
    $d x y $.
    $( The intersection of the empty set is the universal class.  Exercise 2 of
       [TakeutiZaring] p. 44.  (Contributed by NM, 18-Aug-1993.)  (Proof
       shortened by JJ, 26-Jul-2021.) $)
    int0 $p |- |^| (/) = _V $=
      ( vy vx c0 cint cvv cv wcel wel wral ral0 vex elint2 mpbir 2th eqriv ) AC
      DZEAFZPGZQEGRABHZBCISBJBQCAKZLMTNO $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y ph $.
    $( An element of a class includes the intersection of the class.  Exercise
       4 of [TakeutiZaring] p. 44 (with correction), generalized to classes.
       (Contributed by NM, 18-Nov-1995.) $)
    intss1 $p |- ( A e. B -> |^| B C_ A ) $=
      ( vx vy wcel cint cv wal vex elint wceq eleq1 eleq2 imbi12d spcgv pm2.43a
      wi syl5bi ssrdv ) ABEZCBFZACGZUAEDGZBEZUBUCEZQZDHZTUBAEZDUBBCIJUGTUHUFTUH
      QDABUCAKUDTUEUHUCABLUCAUBMNOPRS $.

    $( Subclass of a class intersection.  Theorem 5.11(viii) of [Monk1] p. 52
       and its converse.  (Contributed by NM, 14-Oct-1999.) $)
    ssint $p |- ( A C_ |^| B <-> A. x e. B A C_ x ) $=
      ( vy cint wss cv wcel wral dfss3 vex elint2 ralbii ralcom bitr4i 3bitri )
      BCEZFDGZQHZDBIRAGZHZACIZDBIZBTFZACIZDBQJSUBDBARCDKLMUCUADBIZACIUEUADABCNU
      DUFACDBTJMOP $.

    $( Subclass of the intersection of a class abstraction.  (Contributed by
       NM, 31-Jul-2006.)  (Proof shortened by Andrew Salmon, 9-Jul-2011.) $)
    ssintab $p |- ( A C_ |^| { x | ph } <-> A. x ( ph -> A C_ x ) ) $=
      ( vy cab cint wss cv wral wi wal ssint sseq2 ralab2 bitri ) CABEZFGCDHZGZ
      DPIACBHZGZJBKDCPLARTDBQSCMNO $.

    $( Subclass of the least upper bound.  (Contributed by NM, 8-Aug-2000.) $)
    ssintub $p |- A C_ |^| { x e. B | A C_ x } $=
      ( vy cv wss crab cint ssint wcel sseq2 elrab simprbi mprgbir ) BBAEZFZACG
      ZHFBDEZFZDQDBQIRQJRCJSPSARCORBKLMN $.

    $( Subclass of the minimum value of class of supersets.  (Contributed by
       NM, 10-Aug-2006.) $)
    ssmin $p |- A C_ |^| { x | ( A C_ x /\ ph ) } $=
      ( cv wss wa cab cint wi ssintab simpl mpgbir ) CCBDEZAFZBGHENMIBNBCJMAKL
      $.

    $( Any member of a class is the smallest of those members that include it.
       (Contributed by NM, 13-Aug-2002.)  (Proof shortened by Andrew Salmon,
       9-Jul-2011.) $)
    intmin $p |- ( A e. B -> |^| { x e. B | A C_ x } = A ) $=
      ( vy wcel cv wss crab cint wi wral elintrab ssid wceq sseq2 eleq2 imbi12d
      vex rspcv mpii syl5bi ssrdv ssintub a1i eqssd ) BCEZBAFZGZACHIZBUFDUIBDFZ
      UIEUHUJUGEZJZACKZUFUJBEZUHAUJCDRLUFUMBBGZUNBMULUOUNJABCUGBNUHUOUKUNUGBBOU
      GBUJPQSTUAUBBUIGUFABCUCUDUE $.

    $( Intersection of subclasses.  (Contributed by NM, 14-Oct-1999.)  (Proof
       shortened by OpenAI, 25-Mar-2020.) $)
    intss $p |- ( A C_ B -> |^| B C_ |^| A ) $=
      ( vy vx wss wel wral cab cint ssralv ss2abdv dfint2 3sstr4g ) ABEZCDFZDBG
      ZCHODAGZCHBIAINPQCODABJKCDBLCDALM $.

    $( The intersection of a nonempty set is a subclass of its union.
       (Contributed by NM, 29-Jul-2006.) $)
    intssuni $p |- ( A =/= (/) -> |^| A C_ U. A ) $=
      ( vx vy c0 wne cint cuni cv wcel wral r19.2z ex vex elint2 eluni2 3imtr4g
      wrex ssrdv ) ADEZBAFZAGZSBHZCHIZCAJZUCCAQZUBTIUBUAISUDUEUCCAKLCUBABMNCUBA
      OPR $.
  $}

  ${
    $d x A $.
    $( Subclass of the intersection of a restricted class abstraction.
       (Contributed by NM, 30-Jan-2015.) $)
    ssintrab $p |- ( A C_ |^| { x e. B | ph }
           <-> A. x e. B ( ph -> A C_ x ) ) $=
      ( crab cint wss cv wcel wa cab wral df-rab inteqi sseq2i wal impexp albii
      wi ssintab df-ral 3bitr4i bitri ) CABDEZFZGCBHZDIZAJZBKZFZGZACUFGZSZBDLZU
      EUJCUDUIABDMNOUHULSZBPUGUMSZBPUKUNUOUPBUGAULQRUHBCTUMBDUAUBUC $.
  $}

  $( If the union of a class is included in its intersection, the class is
     either the empty set or a singleton ( ~ uniintsn ).  (Contributed by NM,
     30-Oct-2010.)  (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
  unissint $p |- ( U. A C_ |^| A <-> ( A = (/) \/ U. A = |^| A ) ) $=
    ( cuni cint wss c0 wo wn wa simpl wne df-ne intssuni sylbir adantl eqssd ex
    wceq orrd cvv ssv int0 sseqtrri inteq sseqtrrid eqimss jaoi impbii ) ABZACZ
    DZAEQZUHUIQZFUJUKULUJUKGZULUJUMHUHUIUJUMIUMUIUHDZUJUMAEJUNAEKALMNOPRUKUJULU
    KECZUHUIUHSUOUHTUAUBAEUCUDUHUIUEUFUG $.

  $( Subclass relationship for intersection and union.  (Contributed by NM,
     29-Jul-2006.) $)
  intssuni2 $p |- ( ( A C_ B /\ A =/= (/) ) -> |^| A C_ U. B ) $=
    ( c0 wne wss cint cuni intssuni uniss sylan9ssr ) ACDABEAFAGBGAHABIJ $.

  ${
    $d x A $.  $d x B $.  $d x ps $.
    intminss.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Under subset ordering, the intersection of a restricted class
       abstraction is less than or equal to any of its members.  (Contributed
       by NM, 7-Sep-2013.) $)
    intminss $p |- ( ( A e. B /\ ps ) -> |^| { x e. B | ph } C_ A ) $=
      ( wcel wa crab cint wss elrab intss1 sylbir ) DEGBHDACEIZGOJDKABCDEFLDOMN
      $.
  $}

  ${
    $d x A $.
    intmin2.1 $e |- A e. _V $.
    $( Any set is the smallest of all sets that include it.  (Contributed by
       NM, 20-Sep-2003.) $)
    intmin2 $p |- |^| { x | A C_ x } = A $=
      ( cv wss cvv crab cint cab rabab inteqi wcel wceq intmin ax-mp eqtr3i ) B
      ADEZAFGZHZQAIZHBRTQAJKBFLSBMCABFNOP $.
  $}

  ${
    $d x A $.  $d x ps $.
    intmin3.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    intmin3.3 $e |- ps $.
    $( Under subset ordering, the intersection of a class abstraction is less
       than or equal to any of its members.  (Contributed by NM,
       3-Jul-2005.) $)
    intmin3 $p |- ( A e. V -> |^| { x | ph } C_ A ) $=
      ( wcel cab cint wss elabg mpbiri intss1 syl ) DEHZDACIZHZQJDKPRBGABCDEFLM
      DQNO $.
  $}

  ${
    $d x y A $.  $d y ph $.
    $( Elimination of a conjunct in a class intersection.  (Contributed by NM,
       31-Jul-2006.) $)
    intmin4 $p |- ( A C_ |^| { x | ph } ->
                  |^| { x | ( A C_ x /\ ph ) } = |^| { x | ph } ) $=
      ( vy cab cint wss cv wa wcel wi wal wb ssintab simpr impbid2 imbi1d alimi
      ancr elintab albi syl sylbi vex 3bitr4g eqrdv ) CABEFZGZDCBHZGZAIZBEFZUGU
      HUKDHZUIJZKZBLZAUNKZBLZUMULJUMUGJUHAUJKZBLZUPURMZABCNUTUOUQMZBLVAUSVBBUSU
      KAUNUSUKAUJAOAUJSPQRUOUQBUAUBUCUKBUMDUDZTABUMVCTUEUF $.
  $}

  ${
    $d x z A $.  $d x z ph $.  $d x y z $.
    intab.1 $e |- A e. _V $.
    intab.2 $e |- { x | E. y ( ph /\ x = A ) } e. _V $.
    $( The intersection of a special case of a class abstraction. ` y ` may be
       free in ` ph ` and ` A ` , which can be thought of a ` ph ( y ) ` and
       ` A ( y ) ` .  Typically, ~ abrexex2 or ~ abexssex can be used to
       satisfy the second hypothesis.  (Contributed by NM, 28-Jul-2006.)
       (Proof shortened by Mario Carneiro, 14-Nov-2016.) $)
    intab $p |- |^| { x | A. y ( ph -> A e. x ) } =
                { x | E. y ( ph /\ x = A ) } $=
      ( vz cv wcel wi wal cab cint wceq wa wex wss ex alrimiv sylibr cvv anbi2d
      eqeq1 exbidv cbvabv eqeltri nfe1 nfab nfeq2 eleq2 imbi2d albid elab 19.8a
      wsbc sbc6 df-sbc sylib mpgbir intss1 19.29r simplr pm3.35 adantlr eqeltrd
      ax-mp exlimiv syl vex elintab abssi eqssi eqtri ) ADBHZIZJZCKZBLZMZAGHZDN
      ZOZCPZGLZAVNDNZOZCPZBLZVSWDWDVRIZVSWDQWIADWDIZJZCVQWKCKBWDWDWHUAWCWGGBVTV
      NNZWBWFCWLWAWEAVTVNDUCUBUDUEZFUFVNWDNZVPWKCCVNWDWCCGWBCUGUHUIWNVOWJAVNWDD
      UJUKULUMAWCGDUOZWJAWAWCJZGKWOAWPGAWAWCWBCUNRSWCGDEUPTWCGDUQURUSWDVRUTVFWC
      GVSWCVQVTVNIZJZBKVTVSIWCWRBWCVQWQWCVQOWBVPOZCPWQWBVPCVAWSWQCWSVTDVNAWAVPV
      BAVPVOWAAVOVCVDVEVGVHRSVQBVTGVIVJTVKVLWMVM $.
  $}

  $( The intersection of a class containing the empty set is empty.
     (Contributed by NM, 24-Apr-2004.) $)
  int0el $p |- ( (/) e. A -> |^| A = (/) ) $=
    ( c0 wcel cint intss1 wss 0ss a1i eqssd ) BACZADZBBAEBKFJKGHI $.

  ${
    $d x y A $.  $d x y B $.
    $( The class intersection of the union of two classes.  Theorem 78 of
       [Suppes] p. 42.  (Contributed by NM, 22-Sep-2002.) $)
    intun $p |- |^| ( A u. B ) = ( |^| A i^i |^| B ) $=
      ( vx vy cun cint cin cv wcel wi wal 19.26 elunant albii vex elint anbi12i
      wa 3bitr4i elin eqriv ) CABEZFZAFZBFZGZDHZUBICHZUGIZJZDKZUHUDIZUHUEIZRZUH
      UCIUHUFIUGAIUIJZUGBIUIJZRZDKUODKZUPDKZRUKUNUOUPDLUJUQDUIABUGMNULURUMUSDUH
      ACOZPDUHBUTPQSDUHUBUTPUHUDUETSUA $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d V x $.  $d W x $.
    $( The intersection of a pair is the intersection of its members.  Closed
       form of ~ intpr .  Theorem 71 of [Suppes] p. 42.  (Contributed by FL,
       27-Apr-2008.)  (Proof shortened by BJ, 1-Sep-2024.) $)
    intprg $p |- ( ( A e. V /\ B e. W ) -> |^| { A , B } = ( A i^i B ) ) $=
      ( vx vy wcel wa cv cpr cint cin wb wal wceq wel wi vex elint clel4g bitri
      wo elpr imbi1i jaob albii 19.26 3bitri elin bitr2id syl5bb alrimiv dfcleq
      bi2anan9 sylibr ) ACGZBDGZHZEIZABJZKZGZUSABLZGZMZENVAVCOURVEEVBFIZAOZEFPZ
      QZFNZVFBOZVHQZFNZHZURVDVBVFUTGZVHQZFNVIVLHZFNVNFUSUTERSVPVQFVPVGVKUBZVHQV
      QVOVRVHVFABFRUCUDVGVHVKUEUAUFVIVLFUGUHVDUSAGZUSBGZHURVNUSABUIUPVSVJUQVTVM
      FUSACTFUSBDTUNUJUKULEVAVCUMUO $.
  $}

  ${
    intpr.1 $e |- A e. _V $.
    intpr.2 $e |- B e. _V $.
    $( The intersection of a pair is the intersection of its members.  Theorem
       71 of [Suppes] p. 42.  (Contributed by NM, 14-Oct-1999.)  Prove from
       ~ intprg .  (Revised by BJ, 1-Sep-2024.) $)
    intpr $p |- |^| { A , B } = ( A i^i B ) $=
      ( cvv wcel cpr cint cin wceq intprg mp2an ) AEFBEFABGHABIJCDABEEKL $.

    $d x y A $.  $d x y B $.
    $( Obsolete version of ~ intpr as of 1-Sep-2024.  (Contributed by NM,
       14-Oct-1999.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    intprOLD $p |- |^| { A , B } = ( A i^i B ) $=
      ( vx vy cpr cint cin cv wcel wi wal wa wceq 19.26 wo vex clel4 3bitr4i
      elpr imbi1i jaob bitri albii anbi12i elint elin eqriv ) EABGZHZABIZFJZUJK
      ZEJZUMKZLZFMZUOAKZUOBKZNZUOUKKUOULKUMAOZUPLZUMBOZUPLZNZFMVCFMZVEFMZNURVAV
      CVEFPUQVFFUQVBVDQZUPLVFUNVIUPUMABFRUAUBVBUPVDUCUDUEUSVGUTVHFUOACSFUOBDSUF
      TFUOUJERUGUOABUHTUI $.
  $}

  ${
    $d x y A $.  $d y B $.
    $( Obsolete version of ~ intprg as of 1-Sep-2024.  (Contributed by FL,
       27-Apr-2008.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    intprgOLD $p |- ( ( A e. V /\ B e. W ) -> |^| { A , B } = ( A i^i B ) ) $=
      ( vx vy cv cpr cint cin wceq preq1 inteqd ineq1 eqeq12d preq2 ineq2 intpr
      vex vtocl2g ) EGZFGZHZIZUAUBJZKAUBHZIZAUBJZKABHZIZABJZKEFABCDUAAKZUDUGUEU
      HULUCUFUAAUBLMUAAUBNOUBBKZUGUJUHUKUMUFUIUBBAPMUBBAQOUAUBESFSRT $.
  $}

  $( Intersection of a singleton.  (Contributed by Stefan O'Rear,
     22-Feb-2015.) $)
  intsng $p |- ( A e. V -> |^| { A } = A ) $=
    ( wcel csn cint cpr dfsn2 inteqi cin wceq intprg anidms inidm eqtrdi eqtrid
    ) ABCZADZEAAFZEZAQRAGHPSAAIZAPSTJAABBKLAMNO $.

  ${
    intsn.1 $e |- A e. _V $.
    $( The intersection of a singleton is its member.  Theorem 70 of [Suppes]
       p. 41.  (Contributed by NM, 29-Sep-2002.) $)
    intsn $p |- |^| { A } = A $=
      ( cvv wcel csn cint wceq intsng ax-mp ) ACDAEFAGBACHI $.
  $}

  ${
    $d x y A $.  $d y ph $.
    $( Two ways to express " ` A ` is a singleton".  See also ~ en1 , ~ en1b ,
       ~ card1 , and ~ eusn .  (Contributed by NM, 2-Aug-2010.) $)
    uniintsn $p |- ( U. A = |^| A <-> E. x A = { x } ) $=
      ( vy cuni cint wceq cv wex wa wal c0 wne cvv inteq eqtrdi adantl unieq ex
      wcel wss csn wi vn0 int0 eqeq1 syl5ib imp eqtr3d necon3d mpi n0 sylib cpr
      uni0 vex prss cun cin uniss simpl sseqtrd intss sstrd unipr intpr 3sstr3g
      inss1 ssun1 sstri eqss uneqin bitr3i sylanblc syl5bi alrimivv jca weu cab
      euabsn eleq1w eu4 abid2 eqeq1i exbii 3bitr3i unisn 3eqtr4a exlimiv impbii
      intsn ) BDZBEZFZBAGZUAZFZAHZWMWNBSZAHZWRCGZBSZIZWNWTFZUBZCJAJZIZWQWMWSXEW
      MBKLZWSWMMKLXGUCWMBKMKWMBKFZMKFWMXHIWLMKXHWLMFWMXHWLKEMBKNUDOPWMXHWLKFZXH
      WKKFWMXIXHWKKDKBKQUNOWKWLKUEUFUGUHRUIUJABUKULWMXDACXBWNWTUMZBTZWMXCWNWTBA
      UOZCUOZUPWMXKXCWMXKIZWNWTUQZWNWTURZTZXPXOTZXCXNXJDZXJEZXOXPXNXSWLXTXNXSWK
      WLXKXSWKTWMXJBUSPWMXKUTVAXKWLXTTWMXJBVBPVCWNWTXLXMVDWNWTXLXMVEVFXPWNXOWNW
      TVGWNWTVHVIXQXRIXOXPFXCXOXPVJWNWTVKVLVMRVNVOVPWRAVQWRAVRZWOFZAHXFWQWRAVSW
      RXAACACBVTWAYBWPAYABWOABWBWCWDWEULWPWMAWPWODWNWKWLWNXLWFBWOQWPWLWOEWNBWON
      WNXLWJOWGWHWI $.

    $( The union and the intersection of a class abstraction are equal exactly
       when there is a unique satisfying value of ` ph ( x ) ` .  (Contributed
       by Mario Carneiro, 24-Dec-2016.) $)
    uniintab $p |- ( E! x ph <-> U. { x | ph } = |^| { x | ph } ) $=
      ( vy weu cab cv csn wceq wex cuni cint euabsn2 uniintsn bitr4i ) ABDABEZC
      FGHCIOJOKHABCLCOMN $.
  $}

  ${
    intunsn.1 $e |- B e. _V $.
    $( Theorem joining a singleton to an intersection.  (Contributed by NM,
       29-Sep-2002.) $)
    intunsn $p |- |^| ( A u. { B } ) = ( |^| A i^i B ) $=
      ( csn cun cint cin intun intsn ineq2i eqtri ) ABDZEFAFZLFZGMBGALHNBMBCIJK
      $.
  $}

  $( Relative intersection of an empty set.  (Contributed by Stefan O'Rear,
     3-Apr-2015.) $)
  rint0 $p |- ( X = (/) -> ( A i^i |^| X ) = A ) $=
    ( c0 wceq cint cin inteq ineq2d cvv int0 ineq2i inv1 eqtri eqtrdi ) BCDZABE
    ZFACEZFZAOPQABCGHRAIFAQIAJKALMN $.

  ${
    $d B y $.  $d X y $.
    $( Membership in a restricted intersection.  (Contributed by Stefan O'Rear,
       3-Apr-2015.) $)
    elrint $p |- ( X e. ( A i^i |^| B ) <-> ( X e. A /\ A. y e. B X e. y ) ) $=
      ( cint cin wcel wa cv wral elin elintg pm5.32i bitri ) DBCEZFGDBGZDOGZHPD
      AIGACJZHDBOKPQRADCBLMN $.

    $( Membership in a restricted intersection.  (Contributed by Stefan O'Rear,
       3-Apr-2015.) $)
    elrint2 $p |- ( X e. A -> ( X e. ( A i^i |^| B ) <->
          A. y e. B X e. y ) ) $=
      ( cint cin wcel cv wral elrint baib ) DBCEFGDBGDAHGACIABCDJK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Indexed union and intersection
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c U_ $.  $( Underlined big cup. $)
  $c |^|_ $.  $( Underlined big cap. $)

  $( Extend class notation to include indexed union.  Note:  Historically
     (prior to 21-Oct-2005), set.mm used the notation ` U. x e. A B ` , with
     the same union symbol as ~ cuni .  While that syntax was unambiguous, it
     did not allow for LALR parsing of the syntax constructions in set.mm.  The
     new syntax uses a distinguished symbol ` U_ ` instead of ` U. ` and does
     allow LALR parsing.  Thanks to Peter Backes for suggesting this change. $)
  ciun $a class U_ x e. A B $.

  $( Extend class notation to include indexed intersection.  Note:
     Historically (prior to 21-Oct-2005), set.mm used the notation
     ` |^| x e. A B ` , with the same intersection symbol as ~ cint .  Although
     that syntax was unambiguous, it did not allow for LALR parsing of the
     syntax constructions in set.mm.  The new syntax uses a distinguished
     symbol ` |^|_ ` instead of ` |^| ` and does allow LALR parsing.  Thanks to
     Peter Backes for suggesting this change. $)
  ciin $a class |^|_ x e. A B $.

  ${
    $d x y $.  $d y A $.  $d y B $.
    $( Define indexed union.  Definition indexed union in [Stoll] p. 45.  In
       most applications, ` A ` is independent of ` x ` (although this is not
       required by the definition), and ` B ` depends on ` x ` i.e. can be read
       informally as ` B ( x ) ` .  We call ` x ` the index, ` A ` the index
       set, and ` B ` the indexed set.  In most books, ` x e. A ` is written as
       a subscript or underneath a union symbol ` U. ` .  We use a special
       union symbol ` U_ ` to make it easier to distinguish from plain class
       union.  In many theorems, you will see that ` x ` and ` A ` are in the
       same distinct variable group (meaning ` A ` cannot depend on ` x ` ) and
       that ` B ` and ` x ` do not share a distinct variable group (meaning
       that can be thought of as ` B ( x ) ` i.e. can be substituted with a
       class expression containing ` x ` ).  An alternate definition tying
       indexed union to ordinary union is ~ dfiun2 .  Theorem ~ uniiun provides
       a definition of ordinary union in terms of indexed union.  Theorems
       ~ fniunfv and ~ funiunfv are useful when ` B ` is a function.
       (Contributed by NM, 27-Jun-1998.) $)
    df-iun $a |- U_ x e. A B = { y | E. x e. A y e. B } $.

    $( Define indexed intersection.  Definition of [Stoll] p. 45.  See the
       remarks for its sibling operation of indexed union ~ df-iun .  An
       alternate definition tying indexed intersection to ordinary intersection
       is ~ dfiin2 .  Theorem ~ intiin provides a definition of ordinary
       intersection in terms of indexed intersection.  (Contributed by NM,
       27-Jun-1998.) $)
    df-iin $a |- |^|_ x e. A B = { y | A. x e. A y e. B } $.
  $}

  ${
    $d A x y $.  $d B y $.  $d C y $.
    $( Membership in indexed union.  (Contributed by NM, 3-Sep-2003.) $)
    eliun $p |- ( A e. U_ x e. B C <-> E. x e. B A e. C ) $=
      ( vy ciun wcel wrex elex rexlimivw cv wceq eleq1 rexbidv df-iun pm5.21nii
      cvv elab2g ) BACDFZGBQGZBDGZACHZBSIUATACBDIJEKZDGZACHUBEBSQUCBLUDUAACUCBD
      MNAECDORP $.

    $( Membership in indexed intersection.  (Contributed by NM, 3-Sep-2003.) $)
    eliin $p |- ( A e. V -> ( A e. |^|_ x e. B C <-> A. x e. B A e. C ) ) $=
      ( vy cv wcel wral ciin wceq eleq1 ralbidv df-iin elab2g ) FGZDHZACIBDHZAC
      IFBACDJEPBKQRACPBDLMAFCDNO $.
  $}

  ${
    $d x A $.  $d x C $.  $d x D $.  $d x E $.
    eliuni.1 $e |- ( x = A -> B = C ) $.
    $( Membership in an indexed union, one way.  (Contributed by JJ,
       27-Jul-2021.) $)
    eliuni $p |- ( ( A e. D /\ E e. C ) -> E e. U_ x e. D B ) $=
      ( wcel wa wrex ciun cv wceq eleq2d rspcev eliun sylibr ) BEHFDHZIFCHZAEJF
      AECKHSRABEALBMCDFGNOAFECPQ $.
  $}

  ${
    $d y z A $.  $d x z B $.  $d z C $.  $d x y $.
    $( Commutation of indexed unions.  (Contributed by NM, 18-Dec-2008.) $)
    iuncom $p |- U_ x e. A U_ y e. B C = U_ y e. B U_ x e. A C $=
      ( vz ciun cv wcel wrex rexcom eliun rexbii 3bitr4i eqriv ) FACBDEGZGZBDAC
      EGZGZFHZPIZACJZTRIZBDJZTQITSITEIZBDJZACJUEACJZBDJUBUDUEABCDKUAUFACBTDELMU
      CUGBDATCELMNATCPLBTDRLNO $.
  $}

  ${
    $d y z A $.  $d y z B $.  $d x y z $.
    $( Commutation of union with indexed union.  (Contributed by Mario
       Carneiro, 18-Jan-2014.) $)
    iuncom4 $p |- U_ x e. A U. B = U. U_ x e. A B $=
      ( vy vz cuni ciun cv wcel wa wex df-rex rexbii rexcom4 bitri exbii eluni2
      wrex eliun 3bitr4i r19.41v anbi1i eqriv ) DABCFZGZABCGZFZDHZUDIZABRZUHEHZ
      IZEUFRZUHUEIUHUGIULECRZABRZUKCIZABRZULJZEKZUJUMUOUPULJZABRZEKZUSUOUTEKZAB
      RVBUNVCABULECLMUTAEBNOVAUREUPULABUAPOUIUNABEUHCQMUMUKUFIZULJZEKUSULEUFLVE
      UREVDUQULAUKBCSUBPOTAUHBUDSEUHUFQTUC $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Indexed union of a constant class, i.e. where ` B ` does not depend on
       ` x ` .  (Contributed by NM, 5-Sep-2004.)  (Proof shortened by Andrew
       Salmon, 25-Jul-2011.) $)
    iunconst $p |- ( A =/= (/) -> U_ x e. A B = B ) $=
      ( vy c0 wne ciun cv wcel wrex eliun r19.9rzv bitr4id eqrdv ) BEFZDABCGZCO
      DHZPIQCIZABJRAQBCKRABLMN $.

    $( Indexed intersection of a constant class, i.e. where ` B ` does not
       depend on ` x ` .  (Contributed by Mario Carneiro, 6-Feb-2015.) $)
    iinconst $p |- ( A =/= (/) -> |^|_ x e. A B = B ) $=
      ( vy c0 wne ciin cv wcel wral wb cvv eliin elv r19.3rzv bitr4id eqrdv ) B
      EFZDABCGZCRDHZSIZTCIZABJZUBUAUCKDATBCLMNUBABOPQ $.
  $}

  ${
    $d A x y $.  $d B y $.  $d C x y $.  $d X x y $.
    iuneqconst.p $e |- ( x = X -> B = C ) $.
    $( Indexed union of identical classes.  (Contributed by AV, 5-Mar-2024.) $)
    iuneqconst $p |- ( ( X e. A /\ A. x e. A B = C ) -> U_ x e. A B = C ) $=
      ( vy wcel wceq wral wa ciun cv wrex eliun eleq2d rspcev adantlr nfv wi ex
      nfra1 nfan rsp eleq2 biimpd syl6 adantl rexlimd impbid bitr4id eqrdv ) EB
      HZCDIZABJZKZGABCLZDUPGMZUQHURCHZABNZURDHZAURBCOUPVAUTUPVAUTUMVAUTUOUSVAAE
      BAMZEICDURFPQRUAUPUSVAABUMUOAUMASUNABUBUCVAASUOVBBHZUSVATZTUMUOVCUNVDUNAB
      UDUNUSVACDURUEUFUGUHUIUJUKUL $.
  $}

  ${
    $d x y $.  $d y z A $.  $d x z B $.  $d z C $.
    $( Law combining indexed union with indexed intersection.  Eq. 14 in
       [KuratowskiMostowski] p. 109.  This theorem also appears as the last
       example at ~ http://en.wikipedia.org/wiki/Union%5F%28set%5Ftheory%29 .
       (Contributed by NM, 17-Aug-2004.)  (Proof shortened by Andrew Salmon,
       25-Jul-2011.) $)
    iuniin $p |- U_ x e. A |^|_ y e. B C C_ |^|_ y e. B U_ x e. A C $=
      ( vz ciin ciun cv wcel wrex wral r19.12 wb cvv eliin rexbii eliun 3imtr4i
      elv ralbii ssriv ) FACBDEGZHZBDACEHZGZFIZUCJZACKZUGUEJZBDLZUGUDJUGUFJZUGE
      JZBDLZACKUMACKZBDLUIUKUMABCDMUHUNACUHUNNFBUGDEOPTQUJUOBDAUGCERUASAUGCUCRU
      LUKNFBUGDUEOPTSUB $.
  $}

  ${
    $d A x y $.  $d B y $.
    $( An indexed intersection is a subset of the corresponding indexed union.
       (Contributed by Thierry Arnoux, 31-Dec-2021.) $)
    iinssiun $p |- ( A =/= (/) -> |^|_ x e. A B C_ U_ x e. A B ) $=
      ( vy c0 wne ciin ciun cv wcel wral wrex r19.2z ex cvv eliin eliun 3imtr4g
      wb elv ssrdv ) BEFZDABCGZABCHZUBDIZCJZABKZUFABLZUEUCJZUEUDJUBUGUHUFABMNUI
      UGSDAUEBCOPTAUEBCQRUA $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.
    $( Subclass theorem for indexed union.  (Contributed by NM, 10-Dec-2004.)
       (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
    iunss1 $p |- ( A C_ B -> U_ x e. A C C_ U_ x e. B C ) $=
      ( vy wss ciun cv wcel wrex ssrexv eliun 3imtr4g ssrdv ) BCFZEABDGZACDGZOE
      HZDIZABJSACJRPIRQISABCKARBDLARCDLMN $.

    $( Subclass theorem for indexed intersection.  (Contributed by NM,
       24-Jan-2012.) $)
    iinss1 $p |- ( A C_ B -> |^|_ x e. B C C_ |^|_ x e. A C ) $=
      ( vy wss ciin cv wcel wral ssralv wb cvv eliin elv 3imtr4g ssrdv ) BCFZEA
      CDGZABDGZREHZDIZACJZUBABJZUASIZUATIZUBABCKUEUCLEAUACDMNOUFUDLEAUABDMNOPQ
      $.

    $( Equality theorem for indexed union.  (Contributed by NM,
       27-Jun-1998.) $)
    iuneq1 $p |- ( A = B -> U_ x e. A C = U_ x e. B C ) $=
      ( wss wa ciun wceq iunss1 anim12i eqss 3imtr4i ) BCEZCBEZFABDGZACDGZEZPOE
      ZFBCHOPHMQNRABCDIACBDIJBCKOPKL $.

    $( Equality theorem for indexed intersection.  (Contributed by NM,
       27-Jun-1998.) $)
    iineq1 $p |- ( A = B -> |^|_ x e. A C = |^|_ x e. B C ) $=
      ( vy wceq cv wcel wral cab ciin raleq abbidv df-iin 3eqtr4g ) BCFZEGDHZAB
      IZEJQACIZEJABDKACDKPRSEQABCLMAEBDNAECDNO $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.
    $( Subclass theorem for indexed union.  (Contributed by NM, 26-Nov-2003.)
       (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
    ss2iun $p |- ( A. x e. A B C_ C -> U_ x e. A B C_ U_ x e. A C ) $=
      ( vy wss wral ciun cv wcel wrex ssel ralimi rexim syl eliun 3imtr4g ssrdv
      wi ) CDFZABGZEABCHZABDHZUAEIZCJZABKZUDDJZABKZUDUBJUDUCJUAUEUGSZABGUFUHSTU
      IABCDUDLMUEUGABNOAUDBCPAUDBDPQR $.

    $( Equality theorem for indexed union.  (Contributed by NM,
       22-Oct-2003.) $)
    iuneq2 $p |- ( A. x e. A B = C -> U_ x e. A B = U_ x e. A C ) $=
      ( wss wral wa ciun wceq ss2iun anim12i eqss ralbii r19.26 bitri 3imtr4i )
      CDEZABFZDCEZABFZGZABCHZABDHZEZUCUBEZGCDIZABFZUBUCIRUDTUEABCDJABDCJKUGQSGZ
      ABFUAUFUHABCDLMQSABNOUBUCLP $.

    $( Equality theorem for indexed intersection.  (Contributed by NM,
       22-Oct-2003.)  (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
    iineq2 $p |- ( A. x e. A B = C -> |^|_ x e. A B = |^|_ x e. A C ) $=
      ( vy wceq wral cv wcel cab ciin wb eleq2 ralimi syl abbidv df-iin 3eqtr4g
      ralbi ) CDFZABGZEHZCIZABGZEJUBDIZABGZEJABCKABDKUAUDUFEUAUCUELZABGUDUFLTUG
      ABCDUBMNUCUEABSOPAEBCQAEBDQR $.
  $}

  ${
    iuneq2i.1 $e |- ( x e. A -> B = C ) $.
    $( Equality inference for indexed union.  (Contributed by NM,
       22-Oct-2003.) $)
    iuneq2i $p |- U_ x e. A B = U_ x e. A C $=
      ( wceq ciun iuneq2 mprg ) CDFABCGABDGFABABCDHEI $.

    $( Equality inference for indexed intersection.  (Contributed by NM,
       22-Oct-2003.) $)
    iineq2i $p |- |^|_ x e. A B = |^|_ x e. A C $=
      ( wceq ciin iineq2 mprg ) CDFABCGABDGFABABCDHEI $.
  $}

  ${
    iineq2d.1 $e |- F/ x ph $.
    iineq2d.2 $e |- ( ( ph /\ x e. A ) -> B = C ) $.
    $( Equality deduction for indexed intersection.  (Contributed by NM,
       7-Dec-2011.) $)
    iineq2d $p |- ( ph -> |^|_ x e. A B = |^|_ x e. A C ) $=
      ( wceq wral ciin cv wcel ex ralrimi iineq2 syl ) ADEHZBCIBCDJBCEJHAQBCFAB
      KCLQGMNBCDEOP $.
  $}

  ${
    $d x ph $.
    iuneq2dv.1 $e |- ( ( ph /\ x e. A ) -> B = C ) $.
    $( Equality deduction for indexed union.  (Contributed by NM,
       3-Aug-2004.) $)
    iuneq2dv $p |- ( ph -> U_ x e. A B = U_ x e. A C ) $=
      ( wceq wral ciun ralrimiva iuneq2 syl ) ADEGZBCHBCDIBCEIGAMBCFJBCDEKL $.

    $( Equality deduction for indexed intersection.  (Contributed by NM,
       3-Aug-2004.) $)
    iineq2dv $p |- ( ph -> |^|_ x e. A B = |^|_ x e. A C ) $=
      ( nfv iineq2d ) ABCDEABGFH $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.  $d y D $.  $d y ph $.
    iuneq12df.1 $e |- F/ x ph $.
    iuneq12df.2 $e |- F/_ x A $.
    iuneq12df.3 $e |- F/_ x B $.
    iuneq12df.4 $e |- ( ph -> A = B ) $.
    iuneq12df.5 $e |- ( ph -> C = D ) $.
    $( Equality deduction for indexed union, deduction version.  (Contributed
       by Thierry Arnoux, 31-Dec-2016.) $)
    iuneq12df $p |- ( ph -> U_ x e. A C = U_ x e. B D ) $=
      ( vy cv wcel wrex wb wal ciun cab df-iun wceq eleq2d rexeqbid alrimiv syl
      abbi1 3eqtr4g ) ALMZENZBCOZUHFNZBDOZPZLQZBCERZBDFRZUAAUMLAUIUKBCDGHIJAEFU
      HKUBUCUDUNUJLSULLSUOUPUJULLUFBLCETBLDFTUGUE $.
  $}

  ${
    $d x A $.  $d x B $.
    iuneq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for indexed union, deduction version.  (Contributed by
       Drahflow, 22-Oct-2015.) $)
    iuneq1d $p |- ( ph -> U_ x e. A C = U_ x e. B C ) $=
      ( wceq ciun iuneq1 syl ) ACDGBCEHBDEHGFBCDEIJ $.

    ${
      $d x ph $.
      iuneq12d.2 $e |- ( ph -> C = D ) $.
      $( Equality deduction for indexed union, deduction version.  (Contributed
         by Drahflow, 22-Oct-2015.) $)
      iuneq12d $p |- ( ph -> U_ x e. A C = U_ x e. B D ) $=
        ( ciun iuneq1d wceq cv wcel adantr iuneq2dv eqtrd ) ABCEIBDEIBDFIABCDEG
        JABDEFAEFKBLDMHNOP $.
    $}
  $}

  ${
    $d x ph $.
    iuneq2d.2 $e |- ( ph -> B = C ) $.
    $( Equality deduction for indexed union.  (Contributed by Drahflow,
       22-Oct-2015.) $)
    iuneq2d $p |- ( ph -> U_ x e. A B = U_ x e. A C ) $=
      ( wceq cv wcel adantr iuneq2dv ) ABCDEADEGBHCIFJK $.
  $}

  ${
    $d x y z $.  $d z A $.  $d z B $.
    nfiun.1 $e |- F/_ y A $.
    nfiun.2 $e |- F/_ y B $.
    $( Bound-variable hypothesis builder for indexed union.  (Contributed by
       Mario Carneiro, 25-Jan-2014.)  Add disjoint variable condition to avoid
       ~ ax-13 .  See ~ nfiung for a less restrictive version requiring more
       axioms.  (Revised by Gino Giotto, 20-Jan-2024.) $)
    nfiun $p |- F/_ y U_ x e. A B $=
      ( vz ciun cv wcel wrex cab df-iun nfcri nfrex nfab nfcxfr ) BACDHGIDJZACK
      ZGLAGCDMSBGRBACEBGDFNOPQ $.
    $( $j usage 'nfiun' avoids 'ax-13'; $)

    $( Bound-variable hypothesis builder for indexed intersection.
       (Contributed by Mario Carneiro, 25-Jan-2014.)  Add disjoint variable
       condition to avoid ~ ax-13 .  See ~ nfiing for a less restrictive
       version requiring more axioms.  (Revised by Gino Giotto,
       20-Jan-2024.) $)
    nfiin $p |- F/_ y |^|_ x e. A B $=
      ( vz ciin cv wcel wral cab df-iin nfcri nfralw nfab nfcxfr ) BACDHGIDJZAC
      KZGLAGCDMSBGRBACEBGDFNOPQ $.
    $( $j usage 'nfiin' avoids 'ax-13'; $)
  $}

  ${
    $d z A $.  $d z B $.  $d x z $.  $d y z $.
    nfiung.1 $e |- F/_ y A $.
    nfiung.2 $e |- F/_ y B $.
    $( Bound-variable hypothesis builder for indexed union.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  See ~ nfiun for
       a version with more disjoint variable conditions, but not requiring
       ~ ax-13 .  (Contributed by Mario Carneiro, 25-Jan-2014.)
       (New usage is discouraged.) $)
    nfiung $p |- F/_ y U_ x e. A B $=
      ( vz ciun cv wcel wrex cab df-iun nfcri nfrexg nfabg nfcxfr ) BACDHGIDJZA
      CKZGLAGCDMSBGRBACEBGDFNOPQ $.

    $( Bound-variable hypothesis builder for indexed intersection.  Usage of
       this theorem is discouraged because it depends on ~ ax-13 .  See ~ nfiin
       for a version with more disjoint variable conditions, but not requiring
       ~ ax-13 .  (Contributed by Mario Carneiro, 25-Jan-2014.)
       (New usage is discouraged.) $)
    nfiing $p |- F/_ y |^|_ x e. A B $=
      ( vz ciin cv wcel wral cab df-iin nfcri nfral nfabg nfcxfr ) BACDHGIDJZAC
      KZGLAGCDMSBGRBACEBGDFNOPQ $.
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    $( Bound-variable hypothesis builder for indexed union.  (Contributed by
       NM, 12-Oct-2003.) $)
    nfiu1 $p |- F/_ x U_ x e. A B $=
      ( vy ciun cv wcel wrex cab df-iun nfre1 nfab nfcxfr ) AABCEDFCGZABHZDIADB
      CJOADNABKLM $.

    $( Bound-variable hypothesis builder for indexed intersection.
       (Contributed by NM, 15-Oct-2003.) $)
    nfii1 $p |- F/_ x |^|_ x e. A B $=
      ( vy ciin cv wcel wral cab df-iin nfra1 nfab nfcxfr ) AABCEDFCGZABHZDIADB
      CJOADNABKLM $.
  $}

  ${
    $d y z w A $.  $d y z w B $.  $d w C z $.  $d w x y z $.
    $( Alternate definition of indexed union when ` B ` is a set.  Definition
       15(a) of [Suppes] p. 44.  (Contributed by NM, 23-Mar-2006.)  (Proof
       shortened by Andrew Salmon, 25-Jul-2011.)  (Proof shortened by Rohan
       Ridenour, 11-Aug-2023.) $)
    dfiun2g $p |- ( A. x e. A B e. C ->
                  U_ x e. A B = U. { y | E. x e. A y = B } ) $=
      ( vz wcel wral ciun cv wceq wrex cab cuni wa wex nfra1 wb rspa bitrdi syl
      clel3g rexbida rexcom4 r19.41v exbii exancom bitri eliun eluniab 3bitr4g
      eqrdv ) DEGZACHZFACDIZBJZDKZACLZBMNZUNFJZDGZACLZUTUPGZUROBPZUTUOGUTUSGUNV
      BUQVCOZACLZBPZVDUNVBVEBPZACLVGUNVAVHACUMACQUNAJCGOUMVAVHRUMACSBUTDEUBUAUC
      VEABCUDTVGURVCOZBPVDVFVIBUQVCACUEUFURVCBUGUHTAUTCDUIURBUTUJUKUL $.

    $( Alternate definition of indexed intersection when ` B ` is a set.
       (Contributed by Jeff Hankins, 27-Aug-2009.) $)
    dfiin2g $p |- ( A. x e. A B e. C
               -> |^|_ x e. A B = |^| { y | E. x e. A y = B } ) $=
      ( vw vz wcel wral cv cab wceq wrex wi wal df-ral wb eqeq1 albii bitr4i
      ciin cint eleq2 biimprcd alrimiv eqid imbi12d mpii impbid2 imim2i pm5.74d
      spcgv alimi albi syl sylbi alcom r19.23v vex rexbidv elab imbi1i 3bitr3ri
      19.21v bitrdi syl5bb abbidv df-iin df-int 3eqtr4g ) DEHZACIZFJZDHZACIZFKG
      JZBJZDLZACMZBKZHZVMVPHZNZGOZFKACDUAVTUBVLVOWDFVOAJCHZVNNZAOZVLWDVNACPVLWG
      WEVPDLZWBNZGOZNZAOZWDVLWEVKNZAOZWGWLQZVKACPWNWFWKQZAOWOWMWPAWMWEVNWJVKVNW
      JQWEVKVNWJVNWIGWHWBVNVPDVMUCZUDUEVKWJDDLZVNDUFWIWRVNNGDEWHWHWRWBVNVPDDRWQ
      UGULUHUIUJUKUMWFWKAUNUOUPWIACIZGOZWEWINZGOZAOZWDWLWTXAAOZGOXCWSXDGWIACPSX
      AAGUQTWSWCGWSWHACMZWBNWCWHWBACURWAXEWBVSXEBVPGUSVQVPLVRWHACVQVPDRUTVAVBTS
      XBWKAWEWIGVDSVCVEVFVGAFCDVHFGVTVIVJ $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.
    dfiun2.1 $e |- B e. _V $.
    $( Alternate definition of indexed union when ` B ` is a set.  Definition
       15(a) of [Suppes] p. 44.  (Contributed by NM, 27-Jun-1998.)  (Revised by
       David Abernethy, 19-Jun-2012.) $)
    dfiun2 $p |- U_ x e. A B = U. { y | E. x e. A y = B } $=
      ( cvv wcel ciun cv wceq wrex cab cuni dfiun2g a1i mprg ) DFGZACDHBIDJACKB
      LMJACABCDFNQAICGEOP $.

    $( Alternate definition of indexed intersection when ` B ` is a set.
       Definition 15(b) of [Suppes] p. 44.  (Contributed by NM, 28-Jun-1998.)
       (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
    dfiin2 $p |- |^|_ x e. A B = |^| { y | E. x e. A y = B } $=
      ( cvv wcel ciin cv wceq wrex cab cint dfiin2g a1i mprg ) DFGZACDHBIDJACKB
      LMJACABCDFNQAICGEOP $.
  $}

  ${
    $d x z $.  $d y z w $.  $d z A $.  $d z w B $.  $d z w C $.
    $( Define double indexed union.  (Contributed by FL, 6-Nov-2013.) $)
    dfiunv2 $p |- U_ x e. A U_ y e. B C =
      { z | E. x e. A E. y e. B z e. C } $=
      ( vw ciun cv wcel wrex cab wceq df-iun a1i iuneq2i vex weq eleq1w rexbidv
      elab rexbii abbii 3eqtri ) ADBEFHZHADGIFJZBEKZGLZHCIZUHJZADKZCLUIFJZBEKZA
      DKZCLADUEUHUEUHMAIDJBGEFNOPACDUHNUKUNCUJUMADUGUMGUICQGCRUFULBEGCFSTUAUBUC
      UD $.
  $}

  ${
    $d x y z A $.  $d z B $.  $d z C $.
    cbviun.1 $e |- F/_ y B $.
    cbviun.2 $e |- F/_ x C $.
    cbviun.3 $e |- ( x = y -> B = C ) $.
    $( Rule used to change the bound variables in an indexed union, with the
       substitution specified implicitly by the hypothesis.  (Contributed by
       NM, 26-Mar-2006.)  (Revised by Andrew Salmon, 25-Jul-2011.)  Add
       disjoint variable condition to avoid ~ ax-13 .  See ~ cbviung for a less
       restrictive version requiring more axioms.  (Revised by Gino Giotto,
       20-Jan-2024.) $)
    cbviun $p |- U_ x e. A B = U_ y e. A C $=
      ( vz cv wcel wrex cab ciun nfcri weq eleq2d cbvrexw abbii df-iun 3eqtr4i
      ) IJZDKZACLZIMUBEKZBCLZIMACDNBCENUDUFIUCUEABCBIDFOAIEGOABPDEUBHQRSAICDTBI
      CETUA $.
    $( $j usage 'cbviun' avoids 'ax-13'; $)

    $( Change bound variables in an indexed intersection.  (Contributed by Jeff
       Hankins, 26-Aug-2009.)  (Revised by Mario Carneiro, 14-Oct-2016.)  Add
       disjoint variable condition to avoid ~ ax-13 .  See ~ cbviing for a less
       restrictive version requiring more axioms.  (Revised by Gino Giotto,
       20-Jan-2024.) $)
    cbviin $p |- |^|_ x e. A B = |^|_ y e. A C $=
      ( vz cv wcel wral cab ciin nfcri weq eleq2d cbvralw abbii df-iin 3eqtr4i
      ) IJZDKZACLZIMUBEKZBCLZIMACDNBCENUDUFIUCUEABCBIDFOAIEGOABPDEUBHQRSAICDTBI
      CETUA $.
    $( $j usage 'cbviin' avoids 'ax-13'; $)
  $}

  ${
    $d z y A $.  $d z x A $.  $d z B $.  $d z C $.
    cbviung.1 $e |- F/_ y B $.
    cbviung.2 $e |- F/_ x C $.
    cbviung.3 $e |- ( x = y -> B = C ) $.
    $( Rule used to change the bound variables in an indexed union, with the
       substitution specified implicitly by the hypothesis.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  See ~ cbviun for
       a version with more disjoint variable conditions, but not requiring
       ~ ax-13 .  (Contributed by NM, 26-Mar-2006.)  (Revised by Andrew Salmon,
       25-Jul-2011.)  (New usage is discouraged.) $)
    cbviung $p |- U_ x e. A B = U_ y e. A C $=
      ( vz cv wcel wrex cab ciun nfcri weq eleq2d cbvrex abbii df-iun 3eqtr4i )
      IJZDKZACLZIMUBEKZBCLZIMACDNBCENUDUFIUCUEABCBIDFOAIEGOABPDEUBHQRSAICDTBICE
      TUA $.

    $( Change bound variables in an indexed intersection.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  See ~ cbviin for
       a version with more disjoint variable conditions, but not requiring
       ~ ax-13 .  (Contributed by Jeff Hankins, 26-Aug-2009.)  (Revised by
       Mario Carneiro, 14-Oct-2016.)  (New usage is discouraged.) $)
    cbviing $p |- |^|_ x e. A B = |^|_ y e. A C $=
      ( vz cv wcel wral cab ciin nfcri weq eleq2d cbvral abbii df-iin 3eqtr4i )
      IJZDKZACLZIMUBEKZBCLZIMACDNBCENUDUFIUCUEABCBIDFOAIEGOABPDEUBHQRSAICDTBICE
      TUA $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x C $.
    cbviunv.1 $e |- ( x = y -> B = C ) $.
    $( Rule used to change the bound variables in an indexed union, with the
       substitution specified implicitly by the hypothesis.  (Contributed by
       NM, 15-Sep-2003.)  Add disjoint variable condition to avoid ~ ax-13 .
       See ~ cbviunvg for a less restrictive version requiring more axioms.
       (Revised by Gino Giotto, 20-Jan-2024.) $)
    cbviunv $p |- U_ x e. A B = U_ y e. A C $=
      ( nfcv cbviun ) ABCDEBDGAEGFH $.
    $( $j usage 'cbviunv' avoids 'ax-13'; $)

    $( Change bound variables in an indexed intersection.  (Contributed by Jeff
       Hankins, 26-Aug-2009.)  Add disjoint variable condition to avoid
       ~ ax-13 .  See ~ cbviinvg for a less restrictive version requiring more
       axioms.  (Revised by Gino Giotto, 20-Jan-2024.) $)
    cbviinv $p |- |^|_ x e. A B = |^|_ y e. A C $=
      ( nfcv cbviin ) ABCDEBDGAEGFH $.
    $( $j usage 'cbviinv' avoids 'ax-13'; $)
  $}

  ${
    $d x A $.  $d y A $.  $d y B $.  $d x C $.
    cbviunvg.1 $e |- ( x = y -> B = C ) $.
    $( Rule used to change the bound variables in an indexed union, with the
       substitution specified implicitly by the hypothesis.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  Usage of the
       weaker ~ cbviunv is preferred.  (Contributed by NM, 15-Sep-2003.)
       (New usage is discouraged.) $)
    cbviunvg $p |- U_ x e. A B = U_ y e. A C $=
      ( nfcv cbviung ) ABCDEBDGAEGFH $.

    $( Change bound variables in an indexed intersection.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  Usage of the
       weaker ~ cbviinv is preferred.  (Contributed by Jeff Hankins,
       26-Aug-2009.)  (New usage is discouraged.) $)
    cbviinvg $p |- |^|_ x e. A B = |^|_ y e. A C $=
      ( nfcv cbviing ) ABCDEBDGAEGFH $.
  $}

  ${
    $d A y $.  $d B y $.  $d C y $.  $d x y $.
    iunssf.1 $e |- F/_ x C $.
    $( Subset theorem for an indexed union.  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    iunssf $p |- ( U_ x e. A B C_ C <-> A. x e. A B C_ C ) $=
      ( vy ciun wss cv wcel wrex cab wal wral df-iun sseq1i abss dfss2 ralbii
      wi ralcom4 nfcri r19.23 albii 3bitrri 3bitri ) ABCGZDHFIZCJZABKZFLZDHUJUH
      DJZTZFMZCDHZABNZUGUKDAFBCOPUJFDQUPUIULTZFMZABNUQABNZFMUNUOURABFCDRSUQAFBU
      AUSUMFUIULABAFDEUBUCUDUEUF $.
  $}

  ${
    $d x y C $.  $d y A $.  $d y B $.
    $( Subset theorem for an indexed union.  (Contributed by NM, 13-Sep-2003.)
       (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
    iunss $p |- ( U_ x e. A B C_ C <-> A. x e. A B C_ C ) $=
      ( vy ciun wss cv wcel wrex cab wal wral df-iun sseq1i abss ralbii ralcom4
      wi dfss2 r19.23v albii 3bitrri 3bitri ) ABCFZDGEHZCIZABJZEKZDGUHUFDIZSZEL
      ZCDGZABMZUEUIDAEBCNOUHEDPUNUGUJSZELZABMUOABMZELULUMUPABECDTQUOAEBRUQUKEUG
      UJABUAUBUCUD $.
  $}

  ${
    $d x y C $.  $d y A $.  $d y B $.
    $( Subset implication for an indexed union.  (Contributed by NM,
       3-Sep-2003.)  (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
    ssiun $p |- ( E. x e. A C C_ B -> C C_ U_ x e. A B ) $=
      ( vy wss wrex ciun cv wcel wi ssel reximi r19.37v syl eliun syl6ibr ssrdv
      ) DCFZABGZEDABCHZTEIZDJZUBCJZABGZUBUAJTUCUDKZABGUCUEKSUFABDCUBLMUCUDABNOA
      UBBCPQR $.
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    $( Identity law for subset of an indexed union.  (Contributed by NM,
       12-Oct-2003.)  (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
    ssiun2 $p |- ( x e. A -> B C_ U_ x e. A B ) $=
      ( vy cv wcel ciun wrex rspe ex eliun syl6ibr ssrdv ) AEBFZDCABCGZNDEZCFZQ
      ABHZPOFNQRQABIJAPBCKLM $.
  $}

  ${
    $d x A $.  $d x C $.  $d x D $.
    ssiun2s.1 $e |- ( x = C -> B = D ) $.
    $( Subset relationship for an indexed union.  (Contributed by NM,
       26-Oct-2003.) $)
    ssiun2s $p |- ( C e. A -> D C_ U_ x e. A B ) $=
      ( ciun wss nfcv nfiu1 nfss cv wceq sseq1d ssiun2 vtoclgaf ) CABCGZHEQHADB
      ADIAEQAEIABCJKALDMCEQFNABCOP $.
  $}

  ${
    $d x y $.  $d x B $.  $d y C $.  $d x D $.
    $( A subclass condition on the members of two indexed classes ` C ( x ) `
       and ` D ( y ) ` that implies a subclass relation on their indexed
       unions.  Generalization of Proposition 8.6 of [TakeutiZaring] p. 59.
       Compare ~ uniss2 .  (Contributed by NM, 9-Dec-2004.) $)
    iunss2 $p |- ( A. x e. A E. y e. B C C_ D ->
                 U_ x e. A C C_ U_ y e. B D ) $=
      ( wss wrex wral ciun ssiun ralimi iunss sylibr ) EFGBDHZACIEBDFJZGZACIACE
      JPGOQACBDFEKLACEPMN $.
  $}

  ${
    $d C x $.  $d ph x $.
    iunssd.1 $e |- ( ( ph /\ x e. A ) -> B C_ C ) $.
    $( Subset theorem for an indexed union.  (Contributed by Glauco Siliprandi,
       8-Apr-2021.) $)
    iunssd $p |- ( ph -> U_ x e. A B C_ C ) $=
      ( wss wral ciun ralrimiva iunss sylibr ) ADEGZBCHBCDIEGAMBCFJBCDEKL $.
  $}

  ${
    $d y A $.  $d x y $.  $d x B $.
    $( The indexed union of a class abstraction.  (Contributed by NM,
       27-Dec-2004.) $)
    iunab $p |- U_ x e. A { y | ph } = { y | E. x e. A ph } $=
      ( cab ciun wrex wceq cv wcel wb nfcv nfab1 nfiun cleqf abid eliun 3bitr4i
      rexbii mpgbir ) BDACEZFZABDGZCEZHCIZUBJZUEUDJZKCCUBUDBCDUACDLACMNUCCMOUEU
      AJZBDGUCUFUGUHABDACPSBUEDUAQUCCPRT $.

    $( The indexed union of a restricted class abstraction.  (Contributed by
       NM, 3-Jan-2004.)  (Proof shortened by Mario Carneiro, 14-Nov-2016.) $)
    iunrab $p |- U_ x e. A { y e. B | ph } = { y e. B | E. x e. A ph } $=
      ( cv wcel cab ciun wrex crab iunab wceq df-rab a1i iuneq2i r19.42v eqtr4i
      wa abbii 3eqtr4i ) BDCFEGZASZCHZIUCBDJZCHZBDACEKZIABDJZCEKZUCBCDLBDUGUDUG
      UDMBFDGACENOPUIUBUHSZCHUFUHCENUEUJCUBABDQTRUA $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.
    iunxdif2.1 $e |- ( x = y -> C = D ) $.
    $( Indexed union with a class difference as its index.  (Contributed by NM,
       10-Dec-2004.) $)
    iunxdif2 $p |- ( A. x e. A E. y e. ( A \ B ) C C_ D ->
                 U_ y e. ( A \ B ) D = U_ x e. A C ) $=
      ( wss cdif wrex wral ciun wceq iunss2 difss iunss1 ax-mp cbviunv sseqtrri
      wa jctil eqss sylibr ) EFHBCDIZJACKZBUDFLZACELZHZUGUFHZTUFUGMUEUIUHABCUDE
      FNUFBCFLZUGUDCHUFUJHCDOBUDCFPQABCEFGRSUAUFUGUBUC $.
  $}

  ${
    $d y A $.  $d y B $.  $d y C $.  $d x y $.
    ssiinf.1 $e |- F/_ x C $.
    $( Subset theorem for an indexed intersection.  (Contributed by FL,
       15-Oct-2012.)  (Proof shortened by Mario Carneiro, 14-Oct-2016.) $)
    ssiinf $p |- ( C C_ |^|_ x e. A B <-> A. x e. A C C_ B ) $=
      ( vy cv ciin wcel wral wss cvv eliin elv ralbii nfcv ralcomf bitri dfss3
      wb 3bitr4i ) FGZABCHZIZFDJZUBCIZFDJZABJZDUCKDCKZABJUEUFABJZFDJUHUDUJFDUDU
      JTFAUBBCLMNOUFFADBEFBPQRFDUCSUIUGABFDCSOUA $.
  $}

  ${
    $d x C $.
    $( Subset theorem for an indexed intersection.  (Contributed by NM,
       15-Oct-2003.) $)
    ssiin $p |- ( C C_ |^|_ x e. A B <-> A. x e. A C C_ B ) $=
      ( nfcv ssiinf ) ABCDADEF $.
  $}

  ${
    $d x y C $.  $d y A $.  $d y B $.
    $( Subset implication for an indexed intersection.  (Contributed by NM,
       15-Oct-2003.)  (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
    iinss $p |- ( E. x e. A B C_ C -> |^|_ x e. A B C_ C ) $=
      ( vy wss wrex ciin cv wcel wral wb cvv eliin elv ssel reximi r19.36v syl
      wi syl5bi ssrdv ) CDFZABGZEABCHZDEIZUEJZUFCJZABKZUDUFDJZUGUILEAUFBCMNOUDU
      HUJTZABGUIUJTUCUKABCDUFPQUHUJABRSUAUB $.
  $}

  ${
    $d A y $.  $d B y $.  $d x y $.
    $( An indexed intersection is included in any of its members.  (Contributed
       by FL, 15-Oct-2012.) $)
    iinss2 $p |- ( x e. A -> |^|_ x e. A B C_ B ) $=
      ( vy cv wcel ciin wral wb cvv eliin elv rsp com12 syl5bi ssrdv ) AEBFZDAB
      CGZCDEZRFZSCFZABHZQUATUBIDASBCJKLUBQUAUAABMNOP $.
  $}

  ${
    $d x y A $.
    $( Class union in terms of indexed union.  Definition in [Stoll] p. 43.
       (Contributed by NM, 28-Jun-1998.) $)
    uniiun $p |- U. A = U_ x e. A x $=
      ( vy cuni wel wrex cab cv ciun dfuni2 df-iun eqtr4i ) BDCAEABFCGABAHZICAB
      JACBMKL $.

    $( Class intersection in terms of indexed intersection.  Definition in
       [Stoll] p. 44.  (Contributed by NM, 28-Jun-1998.) $)
    intiin $p |- |^| A = |^|_ x e. A x $=
      ( vy cint wel wral cab cv ciin dfint2 df-iin eqtr4i ) BDCAEABFCGABAHZICAB
      JACBMKL $.

    $( An indexed union of singletons recovers the index set.  (Contributed by
       NM, 6-Sep-2005.) $)
    iunid $p |- U_ x e. A { x } = A $=
      ( vy cv csn ciun wceq cab wcel df-sn equcom abbii eqtri a1i iuneq2i iunab
      wrex risset abid2 3eqtr2i ) ABADZEZFABUACDZGZCHZFZBABUBUEUBUEGUABIUBUCUAG
      ZCHUECUAJUGUDCCAKLMNOUFUDABQZCHUCBIZCHBUDACBPUIUHCAUCBRLCBSTM $.
  $}

  ${
    $d x y $.  $d y A $.
    $( An indexed union of the empty set is empty.  (Contributed by NM,
       26-Mar-2003.)  (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
    iun0 $p |- U_ x e. A (/) = (/) $=
      ( vy c0 ciun cv wcel wrex wn noel a1i nrex eliun mtbir nel0 ) CABDEZCFZPG
      QDGZABHRABRIAFBGQJKLAQBDMNO $.

    $( An empty indexed union is empty.  (Contributed by NM, 4-Dec-2004.)
       (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
    0iun $p |- U_ x e. (/) A = (/) $=
      ( vy c0 ciun cv wcel wrex rex0 eliun mtbir nel0 ) CADBEZCFZMGNBGZADHOAIAN
      DBJKL $.

    $( An empty indexed intersection is the universal class.  (Contributed by
       NM, 20-Oct-2005.) $)
    0iin $p |- |^|_ x e. (/) A = _V $=
      ( vy c0 ciin cv wcel wral cab cvv df-iin vex ral0 2th abbi2i eqtr4i ) ADB
      ECFZBGZADHZCIJACDBKSCJQJGSCLRAMNOP $.

    $( Indexed intersection with a universal index class.  When ` A ` doesn't
       depend on ` x ` , this evaluates to ` A ` by ~ 19.3 and ~ abid2 .  When
       ` A = x ` , this evaluates to ` (/) ` by ~ intiin and ~ intv .
       (Contributed by NM, 11-Sep-2008.) $)
    viin $p |- |^|_ x e. _V A = { y | A. x y e. A } $=
      ( cvv ciin cv wcel wral cab wal df-iin ralv abbii eqtri ) ADCEBFCGZADHZBI
      OAJZBIABDCKPQBOALMN $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.
    $( Indexed union of a singleton.  Compare ~ dfiun2 and ~ rnmpt .
       (Contributed by Steven Nguyen, 7-Jun-2023.) $)
    iunsn $p |- U_ x e. A { B } = { y | E. x e. A y = B } $=
      ( csn ciun cv wcel wrex cab wceq df-iun velsn rexbii abbii eqtri ) ACDEZF
      BGZQHZACIZBJRDKZACIZBJABCQLTUBBSUAACBDMNOP $.
  $}

  ${
    $d x y A $.  $d y B $.
    $( There is a nonempty class in an indexed collection ` B ( x ) ` iff the
       indexed union of them is nonempty.  (Contributed by NM, 15-Oct-2003.)
       (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
    iunn0 $p |- ( E. x e. A B =/= (/) <-> U_ x e. A B =/= (/) ) $=
      ( vy cv wcel wex wrex c0 wne rexcom4 eliun exbii bitr4i n0 rexbii 3bitr4i
      ciun ) DEZCFZDGZABHZSABCRZFZDGZCIJZABHUCIJUBTABHZDGUETADBKUDUGDASBCLMNUFU
      AABDCOPDUCOQ $.
  $}

  ${
    $d y A $.  $d x y $.
    $( Indexed intersection of a class abstraction.  (Contributed by NM,
       6-Dec-2011.) $)
    iinab $p |- |^|_ x e. A { y | ph } = { y | A. x e. A ph } $=
      ( cab ciin wral wceq cv wcel nfcv nfab1 nfiin cleqf abid ralbii cvv eliin
      wb elv 3bitr4i mpgbir ) BDACEZFZABDGZCEZHCIZUDJZUGUFJZSCCUDUFBCDUCCDKACLM
      UECLNUGUCJZBDGZUEUHUIUJABDACOPUHUKSCBUGDUCQRTUECOUAUB $.

    $d x A $.  $d x B $.
    $( Indexed intersection of a restricted class abstraction.  (Contributed by
       NM, 6-Dec-2011.) $)
    iinrab $p |- ( A =/= (/)
          -> |^|_ x e. A { y e. B | ph } = { y e. B | A. x e. A ph } ) $=
      ( c0 wne cv wcel wa wral cab crab ciin r19.28zv abbidv df-rab a1i iineq2i
      wceq iinab eqtri 3eqtr4g ) DFGZCHEIZAJZBDKZCLZUEABDKZJZCLBDACEMZNZUICEMUD
      UGUJCUEABDOPULBDUFCLZNUHBDUKUMUKUMTBHDIACEQRSUFBCDUAUBUICEQUC $.

    $d y B $.
    $( Indexed intersection of a restricted class abstraction.  (Contributed by
       NM, 6-Dec-2011.) $)
    iinrab2 $p |- ( |^|_ x e. A { y e. B | ph } i^i B )
                      = { y e. B | A. x e. A ph } $=
      ( crab ciin cin wral wceq c0 cvv iineq1 0iin eqtrdi incom inv1 eqtri rzal
      ineq1d rabid2 ralcom bitr2i sylib wne iinrab wss ssrab2 dfss mpbi eqtr4di
      eqtrd pm2.61ine ) BDACEFZGZEHZABDIZCEFZJDKDKJZUPEURUSUPLEHZEUSUOLEUSUOBKU
      NGLBDKUNMBUNNOTUTELHELEPEQROUSACEIZBDIZEURJZVABDSVCUQCEIVBUQCEUAACBEDUBUC
      UDULDKUEZUPUREHZURVDUOUREABCDEUFTUREUGURVEJUQCEUHUREUIUJUKUM $.
  $}

  ${
    $d y A $.  $d x y B $.  $d y C $.
    $( Indexed union of intersection.  Generalization of half of theorem
       "Distributive laws" in [Enderton] p. 30.  Use ~ uniiun to recover
       Enderton's theorem.  (Contributed by NM, 26-Mar-2004.) $)
    iunin2 $p |- U_ x e. A ( B i^i C ) = ( B i^i U_ x e. A C ) $=
      ( vy cin ciun cv wcel wrex r19.42v elin rexbii eliun anbi2i 3bitr4i eqriv
      wa ) EABCDFZGZCABDGZFZEHZSIZABJZUCCIZUCUAIZRZUCTIUCUBIUFUCDIZRZABJUFUIABJ
      ZRUEUHUFUIABKUDUJABUCCDLMUGUKUFAUCBDNOPAUCBSNUCCUALPQ $.

    $( Indexed union of intersection.  Generalization of half of theorem
       "Distributive laws" in [Enderton] p. 30.  Use ~ uniiun to recover
       Enderton's theorem.  (Contributed by Mario Carneiro, 30-Aug-2015.) $)
    iunin1 $p |- U_ x e. A ( C i^i B ) = ( U_ x e. A C i^i B ) $=
      ( cin ciun iunin2 wceq cv wcel incom a1i iuneq2i 3eqtr4i ) ABCDEZFCABDFZE
      ABDCEZFPCEABCDGABQOQOHAIBJDCKLMPCKN $.

    $( Indexed intersection of union.  Generalization of half of theorem
       "Distributive laws" in [Enderton] p. 30.  Use ~ intiin to recover
       Enderton's theorem.  (Contributed by NM, 19-Aug-2004.) $)
    iinun2 $p |- |^|_ x e. A ( B u. C ) = ( B u. |^|_ x e. A C ) $=
      ( vy cun ciin cv wcel wral wo r19.32v elun ralbii wb cvv eliin elv orbi2i
      3bitr4i eqriv ) EABCDFZGZCABDGZFZEHZUBIZABJZUFCIZUFUDIZKZUFUCIZUFUEIUIUFD
      IZKZABJUIUMABJZKUHUKUIUMABLUGUNABUFCDMNUJUOUIUJUOOEAUFBDPQRSTULUHOEAUFBUB
      PQRUFCUDMTUA $.

    $( Indexed union of class difference.  Generalization of half of theorem
       "De Morgan's laws" in [Enderton] p. 31.  Use ~ intiin to recover
       Enderton's theorem.  (Contributed by NM, 19-Aug-2004.) $)
    iundif2 $p |- U_ x e. A ( B \ C ) = ( B \ |^|_ x e. A C ) $=
      ( vy cdif ciun ciin cv wcel wrex wn wa eldif rexbii r19.42v rexnal wb cvv
      wral eliin elv xchbinxr anbi2i 3bitri eliun 3bitr4i eqriv ) EABCDFZGZCABD
      HZFZEIZUIJZABKZUMCJZUMUKJZLZMZUMUJJUMULJUOUPUMDJZLZMZABKUPVAABKZMUSUNVBAB
      UMCDNOUPVAABPVCURUPVCUTABTZUQUTABQUQVDREAUMBDSUAUBUCUDUEAUMBUIUFUMCUKNUGU
      H $.
  $}

  ${
    $d A x y $.  $d B y $.  $d C x y $.
    $( Indexed intersection of class difference with the subtrahend held
       constant.  (Contributed by Thierry Arnoux, 21-Aug-2023.) $)
    iindif1 $p |- ( A =/= (/) -> |^|_ x e. A ( B \ C ) = ( |^|_ x e. A B \ C )
       ) $=
      ( vy c0 wne cdif ciin cv wcel wral wn wa eldif wb cvv eliin elv 3bitr4g
      r19.27zv ralbii anbi1i eqrdv ) BFGZEABCDHZIZABCIZDHZUEEJZUFKZABLZUJUHKZUJ
      DKMZNZUJUGKZUJUIKUEUJCKZUNNZABLUQABLZUNNULUOUQUNABUAUKURABUJCDOUBUMUSUNUM
      USPEAUJBCQRSUCTUPULPEAUJBUFQRSUJUHDOTUD $.
  $}

  ${
    $d x B $.  $d y C $.  $d x D $.  $d x y $.
    $( Rearrange indexed unions over intersection.  (Contributed by NM,
       18-Dec-2008.) $)
    2iunin $p |- U_ x e. A U_ y e. B ( C i^i D )
        = ( U_ x e. A C i^i U_ y e. B D ) $=
      ( cin ciun wceq cv wcel iunin2 a1i iuneq2i iunin1 eqtri ) ACBDEFGHZHACEBD
      FHZGZHACEHRGACQSQSIAJCKBDEFLMNACREOP $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.
    $( Indexed intersection of class difference.  Generalization of half of
       theorem "De Morgan's laws" in [Enderton] p. 31.  Use ~ uniiun to recover
       Enderton's theorem.  (Contributed by NM, 5-Oct-2006.) $)
    iindif2 $p |- ( A =/= (/) ->
                 |^|_ x e. A ( B \ C ) = ( B \ U_ x e. A C ) ) $=
      ( vy c0 wne cdif ciin ciun cv wcel wral wn wa r19.28zv bicomi ralbii wrex
      eldif ralnex eliun xchbinxr anbi2i 3bitr3g wb cvv eliin elv 3bitr4g eqrdv
      ) BFGZEABCDHZIZCABDJZHZULEKZUMLZABMZUQCLZUQUOLZNZOZUQUNLZUQUPLULUTUQDLZNZ
      OZABMUTVFABMZOUSVCUTVFABPVGURABURVGUQCDTQRVHVBUTVHVEABSVAVEABUAAUQBDUBUCU
      DUEVDUSUFEAUQBUMUGUHUIUQCUOTUJUK $.

    $( Indexed intersection of intersection.  Generalization of half of theorem
       "Distributive laws" in [Enderton] p. 30.  Use ~ intiin to recover
       Enderton's theorem.  (Contributed by Mario Carneiro, 19-Mar-2015.) $)
    iinin2 $p |- ( A =/= (/) ->
      |^|_ x e. A ( B i^i C ) = ( B i^i |^|_ x e. A C ) ) $=
      ( vy c0 wne cin ciin cv wcel wral wa r19.28zv elin cvv eliin elv 3bitr4g
      wb ralbii anbi2i eqrdv ) BFGZEABCDHZIZCABDIZHZUDEJZUEKZABLZUICKZUIUGKZMZU
      IUFKZUIUHKUDULUIDKZMZABLULUPABLZMUKUNULUPABNUJUQABUICDOUAUMURULUMURTEAUIB
      DPQRUBSUOUKTEAUIBUEPQRUICUGOSUC $.

    $( Indexed intersection of intersection.  Generalization of half of theorem
       "Distributive laws" in [Enderton] p. 30.  Use ~ intiin to recover
       Enderton's theorem.  (Contributed by Mario Carneiro, 19-Mar-2015.) $)
    iinin1 $p |- ( A =/= (/) ->
      |^|_ x e. A ( C i^i B ) = ( |^|_ x e. A C i^i B ) ) $=
      ( c0 wne cin ciin iinin2 wceq cv wcel incom a1i iineq2i 3eqtr4g ) BEFABCD
      GZHCABDHZGABDCGZHRCGABCDIABSQSQJAKBLDCMNORCMP $.
  $}

  ${
    $d x A $.
    $( The indexed intersection of a complement.  (Contributed by G&eacute;rard
       Lang, 5-Aug-2018.) $)
    iinvdif $p |- |^|_ x e. A ( _V \ B ) = ( _V \ U_ x e. A B ) $=
      ( cvv cdif ciin ciun wceq c0 dif0 0iun difeq2i 0iin iineq1 iuneq1 difeq2d
      3eqtr4ri 3eqtr4a iindif2 pm2.61ine ) ABDCEZFZDABCGZEZHBIBIHZAIUAFZDAICGZE
      ZUBUDDIEDUHUFDJUGIDACKLAUAMQABIUANUEUCUGDABICOPRABDCST $.
  $}

  ${
    $d A x y $.  $d X x y $.  $d B x $.
    $( Elementhood in a relative intersection.  (Contributed by Mario Carneiro,
       30-Dec-2016.) $)
    elriin $p |- ( B e. ( A i^i |^|_ x e. X S ) <->
      ( B e. A /\ A. x e. X B e. S ) ) $=
      ( ciin cin wcel wa wral elin eliin pm5.32i bitri ) CBAEDFZGHCBHZCOHZIPCDH
      AEJZICBOKPQRACEDBLMN $.

    $( Relative intersection of an empty family.  (Contributed by Stefan
       O'Rear, 3-Apr-2015.) $)
    riin0 $p |- ( X = (/) -> ( A i^i |^|_ x e. X S ) = A ) $=
      ( c0 wceq ciin cin iineq1 ineq2d cvv 0iin ineq2i inv1 eqtri eqtrdi ) DEFZ
      BADCGZHBAECGZHZBQRSBADECIJTBKHBSKBACLMBNOP $.

    $( Relative intersection of a nonempty family.  (Contributed by Stefan
       O'Rear, 3-Apr-2015.) $)
    riinn0 $p |- ( ( A. x e. X S C_ A /\ X =/= (/) ) ->
        ( A i^i |^|_ x e. X S ) = |^|_ x e. X S ) $=
      ( wss wral c0 wne wa ciin incom wceq wrex r19.2z ancoms iinss df-ss sylib
      cin syl eqtrid ) CBEZADFZDGHZIZBADCJZSUFBSZUFBUFKUEUFBEZUGUFLUEUBADMZUHUD
      UCUIUBADNOADCBPTUFBQRUA $.

    $( Relative intersection of a relative abstraction.  (Contributed by Stefan
       O'Rear, 3-Apr-2015.) $)
    riinrab $p |- ( A i^i |^|_ x e. X { y e. A | ph } ) =
        { y e. A | A. x e. X ph } $=
      ( crab ciin cin wral wceq c0 riin0 rzal ralrimivw rabid2 sylibr eqtrd wne
      wss ssrab2 rgenw riinn0 mpan iinrab pm2.61ine ) DBEACDFZGZHZABEIZCDFZJEKE
      KJZUHDUJBDUFELUKUICDIDUJJUKUICDABEMNUICDOPQEKRZUHUGUJUFDSZBEIULUHUGJUMBEA
      CDTUABDUFEUBUCABCEDUDQUE $.
  $}

  $( Symmetric difference with the empty class.  The empty class is the
     identity element for symmetric difference.  (Contributed by Scott Fenton,
     24-Apr-2012.) $)
  symdif0 $p |- ( A /_\ (/) ) = A $=
    ( c0 csymdif cdif cun df-symdif dif0 0dif uneq12i un0 3eqtri ) ABCABDZBADZE
    ABEAABFLAMBAGAHIAJK $.

  $( The symmetric difference with the universal class is the complement.
     (Contributed by Scott Fenton, 24-Apr-2012.) $)
  symdifv $p |- ( A /_\ _V ) = ( _V \ A ) $=
    ( cvv csymdif cdif cun df-symdif c0 wss wceq ssdif0 mpbi uneq1i uncom eqtri
    ssv un0 ) ABCABDZBADZEZRABFSGREZRQGRABHQGIAOABJKLTRGERGRMRPNNN $.

  $( The symmetric difference of a class with itself is the empty class.
     (Contributed by Scott Fenton, 25-Apr-2012.) $)
  symdifid $p |- ( A /_\ A ) = (/) $=
    ( csymdif cdif cun c0 df-symdif difid uneq12i un0 3eqtri ) AABAACZKDEEDEAAF
    KEKEAGZLHEIJ $.

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d y V $.
    iinxsng.1 $e |- ( x = A -> B = C ) $.
    $( A singleton index picks out an instance of an indexed intersection's
       argument.  (Contributed by NM, 15-Jan-2012.)  (Proof shortened by Mario
       Carneiro, 17-Nov-2016.) $)
    iinxsng $p |- ( A e. V -> |^|_ x e. { A } B = C ) $=
      ( vy wcel csn ciin cv wral cab df-iin wceq eleq2d ralsng abbi1dv eqtrid )
      BEHZABIZCJGKZCHZAUALZGMDAGUACNTUDGDUCUBDHABEAKBOCDUBFPQRS $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x y D $.  $d x y E $.  $d y V $.
    $d y W $.
    iinxprg.1 $e |- ( x = A -> C = D ) $.
    iinxprg.2 $e |- ( x = B -> C = E ) $.
    $( Indexed intersection with an unordered pair index.  (Contributed by NM,
       25-Jan-2012.) $)
    iinxprg $p |- ( ( A e. V /\ B e. W )
        -> |^|_ x e. { A , B } C = ( D i^i E ) ) $=
      ( vy wcel wa cv cpr wral cab ciin wceq eleq2d ralprg abbidv df-in 3eqtr4g
      cin df-iin ) BGLCHLMZKNZDLZABCOZPZKQUHELZUHFLZMZKQAUJDREFUEUGUKUNKUIULUMA
      BCGHANZBSDEUHITUOCSDFUHJTUAUBAKUJDUFKEFUCUD $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d y V $.
    iunxsng.1 $e |- ( x = A -> B = C ) $.
    $( A singleton index picks out an instance of an indexed union's argument.
       (Contributed by Mario Carneiro, 25-Jun-2016.) $)
    iunxsng $p |- ( A e. V -> U_ x e. { A } B = C ) $=
      ( vy wcel csn ciun cv wrex eliun wceq eleq2d rexsng syl5bb eqrdv ) BEHZGA
      BIZCJZDGKZUAHUBCHZATLSUBDHZAUBTCMUCUDABEAKBNCDUBFOPQR $.
  $}

  ${
    $d x A $.  $d x C $.
    iunxsn.1 $e |- A e. _V $.
    iunxsn.2 $e |- ( x = A -> B = C ) $.
    $( A singleton index picks out an instance of an indexed union's argument.
       (Contributed by NM, 26-Mar-2004.)  (Proof shortened by Mario Carneiro,
       25-Jun-2016.) $)
    iunxsn $p |- U_ x e. { A } B = C $=
      ( cvv wcel csn ciun wceq iunxsng ax-mp ) BGHABICJDKEABCDGFLM $.
  $}

  ${
    $d A x y $.  $d B y $.  $d C y $.  $d V y $.
    iunxsngf.1 $e |- F/_ x C $.
    iunxsngf.2 $e |- ( x = A -> B = C ) $.
    $( A singleton index picks out an instance of an indexed union's argument.
       (Contributed by Mario Carneiro, 25-Jun-2016.)  (Revised by Thierry
       Arnoux, 2-May-2020.)  Avoid ~ ax-13 .  (Revised by Gino Giotto,
       19-May-2023.) $)
    iunxsngf $p |- ( A e. V -> U_ x e. { A } B = C ) $=
      ( vy wcel csn ciun cv wrex eliun nfcri wceq eleq2d rexsngf syl5bb eqrdv )
      BEIZHABJZCKZDHLZUCIUDCIZAUBMUAUDDIZAUDUBCNUEUFABEAHDFOALBPCDUDGQRST $.
    $( $j usage 'iunxsngf' avoids 'ax-13'; $)
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.
    $( Separate a union in an indexed union.  (Contributed by NM, 27-Dec-2004.)
       (Proof shortened by Mario Carneiro, 17-Nov-2016.) $)
    iunun $p |- U_ x e. A ( B u. C ) = ( U_ x e. A B u. U_ x e. A C ) $=
      ( vy cun ciun cv wcel wrex r19.43 elun rexbii eliun orbi12i 3bitr4i eqriv
      wo ) EABCDFZGZABCGZABDGZFZEHZSIZABJZUDUAIZUDUBIZRZUDTIUDUCIUDCIZUDDIZRZAB
      JUJABJZUKABJZRUFUIUJUKABKUEULABUDCDLMUGUMUHUNAUDBCNAUDBDNOPAUDBSNUDUAUBLP
      Q $.

    $( Separate a union in the index of an indexed union.  (Contributed by NM,
       26-Mar-2004.)  (Proof shortened by Mario Carneiro, 17-Nov-2016.) $)
    iunxun $p |- U_ x e. ( A u. B ) C = ( U_ x e. A C u. U_ x e. B C ) $=
      ( vy cun ciun cv wcel wrex rexun eliun orbi12i bitr4i elun 3bitr4i eqriv
      wo ) EABCFZDGZABDGZACDGZFZEHZDIZASJZUDUAIZUDUBIZRZUDTIUDUCIUFUEABJZUEACJZ
      RUIUEABCKUGUJUHUKAUDBDLAUDCDLMNAUDSDLUDUAUBOPQ $.
  $}

  ${
    $d A x y $.  $d B y $.  $d E y $.
    iunxdif3.1 $e |- F/_ x E $.
    $( An indexed union where some terms are the empty set.  See ~ iunxdif2 .
       (Contributed by Thierry Arnoux, 4-May-2020.) $)
    iunxdif3 $p |- ( A. x e. E B = (/) -> U_ x e. ( A \ E ) B = U_ x e. A B )
      $=
      ( vy c0 wceq wral cin ciun cdif cun wss inss2 wcel wrex eliun ax-mp a1i
      nfcv nfin ssrexf 3imtr4g ssrdv iuneq2 iun0 eqtrdi sseqtrid ss0 syl uneq1d
      cv iunxun inundif nfth nfdif id eqidd iuneq12df eqtr3i uncom un0 3eqtr3rd
      nfun eqtri ) CGHADIZABDJZCKZABDLZCKZMZGVKMZABCKZVKVGVIGVKVGVIGNVIGHVGADCK
      ZVIGVHDNZVIVONBDOVPFVIVOVPFUMZCPZAVHQVRADQVQVIPVQVOPVRAVHDABDABUAZEUBZEUC
      AVQVHCRAVQDCRUDUESVGVOADGKGADCGUFADUGUHUIVIUJUKULVLVNHVGAVHVJMZCKZVLVNAVH
      VJCUNWABHZWBVNHBDUOZWCAWABCCWCAWDUPAVHVJVTABDVSEUQVEVSWCURWCCUSUTSVATVMVK
      HVGVMVKGMVKGVKVBVKVCVFTVD $.
  $}

  ${
    $d x A $.  $d x B $.  $d x D $.  $d x E $.
    iunxprg.1 $e |- ( x = A -> C = D ) $.
    iunxprg.2 $e |- ( x = B -> C = E ) $.
    $( A pair index picks out two instances of an indexed union's argument.
       (Contributed by Alexander van der Vekens, 2-Feb-2018.) $)
    iunxprg $p |- ( ( A e. V /\ B e. W )
                    -> U_ x e. { A , B } C = ( D u. E ) ) $=
      ( wcel wa cpr ciun csn cun wceq df-pr iuneq1 iunxsng iunxun adantr adantl
      ax-mp eqtri uneq12d eqtrid ) BGKZCHKZLZABCMZDNZABOZDNZACOZDNZPZEFPULAUMUO
      PZDNZUQUKURQULUSQBCRAUKURDSUDAUMUODUAUEUJUNEUPFUHUNEQUIABDEGITUBUIUPFQUHA
      CDFHJTUCUFUG $.
  $}

  ${
    $d x y z $.  $d x z A $.  $d z B $.  $d y z C $.
    $( Separate an indexed union in the index of an indexed union.
       (Contributed by Mario Carneiro, 5-Dec-2016.) $)
    iunxiun $p |- U_ x e. U_ y e. A B C = U_ y e. A U_ x e. B C $=
      ( vz ciun cv wcel wa wex eliun anbi1i r19.41v bitr4i exbii rexcom4 df-rex
      wrex 3bitr4i bitri rexbii eqriv ) FABCDGZEGZBCADEGZGZFHZEIZAUDSZUHUFIZBCS
      ZUHUEIUHUGIAHZUDIZUIJZAKZUMDIZUIJZAKZBCSZUJULUPURBCSZAKUTUOVAAUOUQBCSZUIJ
      VAUNVBUIBUMCDLMUQUIBCNOPURBACQOUIAUDRUKUSBCUKUIADSUSAUHDELUIADRUAUBTAUHUD
      ELBUHCUFLTUC $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( A relationship involving union and indexed intersection.  Exercise 23 of
       [Enderton] p. 33.  (Contributed by NM, 25-Nov-2003.)  (Proof shortened
       by Mario Carneiro, 17-Nov-2016.) $)
    iinuni $p |- ( A u. |^| B ) = |^|_ x e. B ( A u. x ) $=
      ( vy cv wcel cint cab cun wral ciin r19.32v elun ralbii vex elint2 orbi2i
      wo 3bitr4ri abbii df-un df-iin 3eqtr4i ) DEZBFZUDCGZFZRZDHUDBAEZIZFZACJZD
      HBUFIACUJKUHULDUEUDUIFZRZACJUEUMACJZRULUHUEUMACLUKUNACUDBUIMNUGUOUEAUDCDO
      PQSTDBUFUAADCUJUBUC $.

    $( A relationship involving union and indexed union.  Exercise 25 of
       [Enderton] p. 33.  (Contributed by NM, 25-Nov-2003.)  (Proof shortened
       by Mario Carneiro, 17-Nov-2016.) $)
    iununi $p |- ( ( B = (/) -> A = (/) ) <->
                ( A u. U. B ) = U_ x e. B ( A u. x ) ) $=
      ( c0 wceq wi cuni cun cv ciun wn wne iunconst sylbir iun0 iuneq2d 3eqtr4a
      df-ne id eqtrdi ja eqcomd uneq1d uniiun uneq2i iunun 3eqtr4g unieq uneq2d
      uni0 un0 iuneq1 0iun eqeq12d biimpcd impbii ) CDEZBDEZFZBCGZHZACBAIZHZJZE
      ZUSBACVBJZHACBJZVFHVAVDUSBVGVFUSVGBUQURVGBEZUQKCDLVHCDRACBMNURACDJDVGBACO
      URACBDURSZPVIQUAUBUCUTVFBACUDUEACBVBUFUGUQVEURUQVABVDDUQVABDHBUQUTDBUQUTD
      GDCDUHUJTUIBUKTUQVDADVCJDACDVCULAVCUMTUNUOUP $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Subclass relationship for power class and union.  (Contributed by NM,
       18-Jul-2006.) $)
    sspwuni $p |- ( A C_ ~P B <-> U. A C_ B ) $=
      ( vx cv cpw wcel wral wss cuni velpw ralbii dfss3 unissb 3bitr4i ) CDZBEZ
      FZCAGOBHZCAGAPHAIBHQRCACBJKCAPLCABMN $.

    $( Two ways to express a collection of subclasses.  (Contributed by NM,
       19-Jul-2006.) $)
    pwssb $p |- ( A C_ ~P B <-> A. x e. A x C_ B ) $=
      ( cpw wss cuni cv wral sspwuni unissb bitri ) BCDEBFCEAGCEABHBCIABCJK $.
  $}

  $( Characterization of the elements of a double power class: they are exactly
     the sets whose union is included in that class.  (Contributed by BJ,
     29-Apr-2021.) $)
  elpwpw $p |- ( A e. ~P ~P B <-> ( A e. _V /\ U. A C_ B ) ) $=
    ( cpw wcel cvv wss wa cuni elpwb sspwuni anbi2i bitri ) ABCZCDAEDZAMFZGNAHB
    FZGAMIOPNABJKL $.

  ${
    $d A x $.
    $( The double power class written as a class abstraction: the class of sets
       whose union is included in the given class.  (Contributed by BJ,
       29-Apr-2021.) $)
    pwpwab $p |- ~P ~P A = { x | U. x C_ A } $=
      ( cv cuni wss cpw wcel cvv vex elpwpw mpbiran abbi2i ) ACZDBEZABFFZMOGMHG
      NAIMBJKL $.
  $}

  ${
    $d A x $.
    $( The class of sets whose union is equal to a given class is included in
       the double power class of that class.  (Contributed by BJ,
       29-Apr-2021.) $)
    pwpwssunieq $p |- { x | U. x = A } C_ ~P ~P A $=
      ( cv cuni wceq cab wss cpw eqimss ss2abi pwpwab sseqtrri ) ACDZBEZAFMBGZA
      FBHHNOAMBIJABKL $.
  $}

  $( Relationship for power class and union.  (Contributed by NM,
     18-Jul-2006.) $)
  elpwuni $p |- ( B e. A -> ( A C_ ~P B <-> U. A = B ) ) $=
    ( cpw wss cuni wcel wceq sspwuni unissel expcom eqimss impbid1 syl5bb ) ABC
    DAEZBDZBAFZNBGZABHPOQOPQABIJNBKLM $.

  ${
    $d x y A $.
    $( The power class of an intersection in terms of indexed intersection.
       Exercise 24(a) of [Enderton] p. 33.  (Contributed by NM,
       29-Nov-2003.) $)
    iinpw $p |- ~P |^| A = |^|_ x e. A ~P x $=
      ( vy cint cpw cv ciin wss wcel ssint velpw ralbii bitr4i wb cvv eliin elv
      wral 3bitr4i eqriv ) CBDZEZABAFZEZGZCFZUAHZUFUDIZABRZUFUBIUFUEIZUGUFUCHZA
      BRUIAUFBJUHUKABCUCKLMCUAKUJUINCAUFBUDOPQST $.

    $( Inclusion of an indexed union of a power class in the power class of the
       union of its index.  Part of Exercise 24(b) of [Enderton] p. 33.
       (Contributed by NM, 25-Nov-2003.) $)
    iunpwss $p |- U_ x e. A ~P x C_ ~P U. A $=
      ( vy cv cpw ciun cuni wss wrex wcel ssiun eliun velpw rexbii bitri uniiun
      sseq2i 3imtr4i ssriv ) CABADZEZFZBGZEZCDZTHZABIZUEABTFZHZUEUBJZUEUDJZABTU
      EKUJUEUAJZABIUGAUEBUALULUFABCTMNOUKUEUCHUICUCMUCUHUEABPQORS $.
  $}

  $( A nonempty intersection of a family of subsets of a class is included in
     that class.  (Contributed by BJ, 7-Dec-2021.) $)
  intss2 $p |- ( A C_ ~P X -> ( A =/= (/) -> |^| A C_ X ) ) $=
    ( cpw wss cuni c0 wne cint sspwuni biimpi intssuni sstr expcom syl2im ) ABC
    DZAEZBDZAFGAHZPDZRBDZOQABIJAKSQTRPBLMN $.

  $( Relative intersection of a nonempty set.  (Contributed by Stefan O'Rear,
     3-Apr-2015.)  (Revised by Mario Carneiro, 5-Jun-2015.) $)
  rintn0 $p |- ( ( X C_ ~P A /\ X =/= (/) ) -> ( A i^i |^| X ) = |^| X ) $=
    ( cpw wss wne cint cin wceq cuni intssuni2 ssid sspwuni mpbi sstrdi sseqin2
    c0 wa sylib ) BACZDBPEQZBFZADAUAGUAHTUASIZABSJSSDUBADSKSALMNUAAOR $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Disjointness
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Disj_ $.

  $( Extend wff notation to include the statement that a family of classes
     ` B ( x ) ` , for ` x e. A ` , is a disjoint family. $)
  wdisj $a wff Disj_ x e. A B $.

  ${
    $d x y $.  $d y A $.  $d y B $.
    $( A collection of classes ` B ( x ) ` is disjoint when for each element
       ` y ` , it is in ` B ( x ) ` for at most one ` x ` .  (Contributed by
       Mario Carneiro, 14-Nov-2016.)  (Revised by NM, 16-Jun-2017.) $)
    df-disj $a |- ( Disj_ x e. A B <-> A. y E* x e. A y e. B ) $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.
    $( Alternate definition for disjoint classes.  (Contributed by NM,
       17-Jun-2017.) $)
    dfdisj2 $p |- ( Disj_ x e. A B <-> A. y E* x ( x e. A /\ y e. B ) ) $=
      ( wdisj cv wcel wrmo wal wa wmo df-disj df-rmo albii bitri ) ACDEBFDGZACH
      ZBIAFCGPJAKZBIABCDLQRBPACMNO $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.
    $( If each element of a collection is contained in a disjoint collection,
       the original collection is also disjoint.  (Contributed by Mario
       Carneiro, 14-Nov-2016.) $)
    disjss2 $p |- ( A. x e. A B C_ C ->
      ( Disj_ x e. A C -> Disj_ x e. A B ) ) $=
      ( vy wss wral cv wcel wrmo wal wdisj ssel ralimi rmoim syl alimdv df-disj
      wi 3imtr4g ) CDFZABGZEHZDIZABJZEKUCCIZABJZEKABDLABCLUBUEUGEUBUFUDSZABGUEU
      GSUAUHABCDUCMNUFUDABOPQAEBDRAEBCRT $.
  $}

  $( Equality theorem for disjoint collection.  (Contributed by Mario Carneiro,
     14-Nov-2016.) $)
  disjeq2 $p |- ( A. x e. A B = C ->
    ( Disj_ x e. A B <-> Disj_ x e. A C ) ) $=
    ( wceq wral wdisj wss wi eqimss2 ralimi disjss2 syl eqimss impbid ) CDEZABF
    ZABCGZABDGZQDCHZABFRSIPTABDCJKABDCLMQCDHZABFSRIPUAABCDNKABCDLMO $.

  ${
    $d x ph $.
    disjeq2dv.1 $e |- ( ( ph /\ x e. A ) -> B = C ) $.
    $( Equality deduction for disjoint collection.  (Contributed by Mario
       Carneiro, 14-Nov-2016.) $)
    disjeq2dv $p |- ( ph -> ( Disj_ x e. A B <-> Disj_ x e. A C ) ) $=
      ( wceq wral wdisj wb ralrimiva disjeq2 syl ) ADEGZBCHBCDIBCEIJANBCFKBCDEL
      M $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.
    $( A subset of a disjoint collection is disjoint.  (Contributed by Mario
       Carneiro, 14-Nov-2016.) $)
    disjss1 $p |- ( A C_ B -> ( Disj_ x e. B C -> Disj_ x e. A C ) ) $=
      ( vy wss cv wcel wmo wal wdisj ssel anim1d moimdv alimdv dfdisj2 3imtr4g
      wa ) BCFZAGZCHZEGDHZRZAIZEJTBHZUBRZAIZEJACDKABDKSUDUGESUFUCASUEUAUBBCTLMN
      OAECDPAEBDPQ $.

    $( Equality theorem for disjoint collection.  (Contributed by Mario
       Carneiro, 14-Nov-2016.) $)
    disjeq1 $p |- ( A = B -> ( Disj_ x e. A C <-> Disj_ x e. B C ) ) $=
      ( wceq wdisj wss wi eqimss2 disjss1 syl eqimss impbid ) BCEZABDFZACDFZNCB
      GOPHCBIACBDJKNBCGPOHBCLABCDJKM $.

    disjeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for disjoint collection.  (Contributed by Mario
       Carneiro, 14-Nov-2016.) $)
    disjeq1d $p |- ( ph -> ( Disj_ x e. A C <-> Disj_ x e. B C ) ) $=
      ( wceq wdisj wb disjeq1 syl ) ACDGBCEHBDEHIFBCDEJK $.

    $d x ph $.
    disjeq12d.1 $e |- ( ph -> C = D ) $.
    $( Equality theorem for disjoint collection.  (Contributed by Mario
       Carneiro, 14-Nov-2016.) $)
    disjeq12d $p |- ( ph -> ( Disj_ x e. A C <-> Disj_ x e. B D ) ) $=
      ( wdisj disjeq1d wceq cv wcel adantr disjeq2dv bitrd ) ABCEIBDEIBDFIABCDE
      GJABDEFAEFKBLDMHNOP $.
  $}

  ${
    $d x y z A $.  $d z B $.  $d z C $.
    cbvdisj.1 $e |- F/_ y B $.
    cbvdisj.2 $e |- F/_ x C $.
    cbvdisj.3 $e |- ( x = y -> B = C ) $.
    $( Change bound variables in a disjoint collection.  (Contributed by Mario
       Carneiro, 14-Nov-2016.) $)
    cbvdisj $p |- ( Disj_ x e. A B <-> Disj_ y e. A C ) $=
      ( vz cv wcel wrmo wal wdisj nfcri weq eleq2d cbvrmow albii df-disj
      3bitr4i ) IJZDKZACLZIMUBEKZBCLZIMACDNBCENUDUFIUCUEABCBIDFOAIEGOABPDEUBHQR
      SAICDTBICETUA $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x C $.
    cbvdisjv.1 $e |- ( x = y -> B = C ) $.
    $( Change bound variables in a disjoint collection.  (Contributed by Mario
       Carneiro, 11-Dec-2016.) $)
    cbvdisjv $p |- ( Disj_ x e. A B <-> Disj_ y e. A C ) $=
      ( nfcv cbvdisj ) ABCDEBDGAEGFH $.
  $}

  ${
    $d z A $.  $d z B $.  $d x y z $.
    nfdisjw.1 $e |- F/_ y A $.
    nfdisjw.2 $e |- F/_ y B $.
    $( Bound-variable hypothesis builder for disjoint collection.  Version of
       ~ nfdisj with a disjoint variable condition, which does not require
       ~ ax-13 .  (Contributed by Mario Carneiro, 14-Nov-2016.)  (Revised by
       Gino Giotto, 26-Jan-2024.) $)
    nfdisjw $p |- F/ y Disj_ x e. A B $=
      ( vz wdisj cv wcel wa wmo wal dfdisj2 wnf wtru nftru nfcvd wnfc a1i nfeld
      nfcri nfand nfmodv mptru nfal nfxfr ) ACDHAIZCJZGIDJZKZALZGMBAGCDNULBGULB
      OPUKBAAQPUIUJBPBUHCPBUHRBCSPETUAUJBOPBGDFUBTUCUDUEUFUG $.
    $( $j usage 'nfdisjw' avoids 'ax-13'; $)
  $}

  ${
    $d z A $.  $d z B $.  $d x z $.  $d y z $.
    nfdisj.1 $e |- F/_ y A $.
    nfdisj.2 $e |- F/_ y B $.
    $( Bound-variable hypothesis builder for disjoint collection.  Usage of
       this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ nfdisjw when possible.  (Contributed by Mario Carneiro,
       14-Nov-2016.)  (New usage is discouraged.) $)
    nfdisj $p |- F/ y Disj_ x e. A B $=
      ( vz wdisj cv wcel wa wmo wal dfdisj2 wnf wtru nftru weq wn a1i wnfc nfal
      nfcvf nfeld nfcri nfand adantl nfmod2 mptru nfxfr ) ACDHAIZCJZGIDJZKZALZG
      MBAGCDNUOBGUOBOPUNBAAQBARBMSZUNBOPUPULUMBUPBUKCBAUCBCUAUPETUDUMBOUPBGDFUE
      TUFUGUHUIUBUJ $.
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    $( Bound-variable hypothesis builder for disjoint collection.  (Contributed
       by Mario Carneiro, 14-Nov-2016.) $)
    nfdisj1 $p |- F/ x Disj_ x e. A B $=
      ( vy wdisj cv wcel wrmo wal df-disj nfrmo1 nfal nfxfr ) ABCEDFCGZABHZDIAA
      DBCJOADNABKLM $.
  $}

  ${
    $d i j x A $.  $d j x B $.  $d i x C $.
    disjor.1 $e |- ( i = j -> B = C ) $.
    $( Two ways to say that a collection ` B ( i ) ` for ` i e. A ` is
       disjoint.  (Contributed by Mario Carneiro, 26-Mar-2015.)  (Revised by
       Mario Carneiro, 14-Nov-2016.) $)
    disjor $p |- ( Disj_ i e. A B <->
      A. i e. A A. j e. A ( i = j \/ ( B i^i C ) = (/) ) ) $=
      ( vx wdisj cv wcel wrmo wal wo wral wi ralcom4 wex bitri bitr4i ralbii c0
      weq cin wceq df-disj wa orcom df-or neq0 elin imbi1i 19.23v 3bitri eleq2d
      wn exbii rmo4 albii 3bitr4i ) DABHGIZBJZDAKZGLZDEUBZBCUCZUAUDZMZEANZDANZD
      GABUEVAUTCJZUFZVDOZEANZGLZDANVMDANZGLVIVCVMDGAPVHVNDAVHVLGLZEANVNVGVPEAVG
      VFVDMVFUOZVDOZVPVDVFUGVFVDUHVRVKGQZVDOVPVQVSVDVQUTVEJZGQVSGVEUIVTVKGUTBCU
      JUPRUKVKVDGULSUMTVLEGAPRTVBVOGVAVJDEAVDBCUTFUNUQURUSS $.
  $}

  ${
    $d i j x A $.  $d i j B $.
    $( Two ways to say that a collection ` B ( i ) ` for ` i e. A ` is
       disjoint.  (Contributed by Mario Carneiro, 14-Nov-2016.) $)
    disjors $p |- ( Disj_ x e. A B <-> A. i e. A A. j e. A
      ( i = j \/ ( [_ i / x ]_ B i^i [_ j / x ]_ B ) = (/) ) ) $=
      ( wdisj cv csb wceq c0 wo wral nfcv nfcsb1v csbeq1a cbvdisj csbeq1 disjor
      cin bitri ) ABCFDBADGZCHZFUAEGZIUBAUCCHZSJIKEBLDBLADBCUBDCMAUACNAUACOPBUB
      UDDEAUAUCCQRT $.
  $}

  ${
    $d x y z A $.  $d y z B $.  $d x y z C $.  $d x z D $.  $d x y z X $.
    $d x z Y $.
    disji.1 $e |- ( x = X -> B = C ) $.
    disji.2 $e |- ( x = Y -> B = D ) $.
    $( Property of a disjoint collection: if ` B ( X ) = C ` and
       ` B ( Y ) = D ` , and ` X =/= Y ` , then ` C ` and ` D ` are disjoint.
       (Contributed by Mario Carneiro, 14-Nov-2016.) $)
    disji2 $p |- ( ( Disj_ x e. A B /\ ( X e. A /\ Y e. A ) /\
      X =/= Y ) -> ( C i^i D ) = (/) ) $=
      ( vy vz wcel wa cin c0 wceq wo cv csb nfcv wdisj df-ne wral disjors eqeq1
      wn csbhypf ineq1d eqeq1d orbi12d eqeq2 ineq2d rspc2v syl5bi impcom 3impia
      wne ord ) ABCUAZFBLGBLMZFGUQZDENZOPZVAFGPZUFUSUTMZVCFGUBVEVDVCUTUSVDVCQZU
      SJRZKRZPZAVGCSZAVHCSZNZOPZQZKBUCJBUCUTVFABCJKUDVNVFFVHPZDVKNZOPZQJKFGBBVG
      FPZVIVOVMVQVGFVHUEVRVLVPOVRVJDVKAJFCDAFTADTHUGUHUIUJVHGPZVOVDVQVCVHGFUKVS
      VPVBOVSVKEDAKGCEAGTAETIUGULUIUJUMUNUOURUNUP $.

    $( Property of a disjoint collection: if ` B ( X ) = C ` and
       ` B ( Y ) = D ` have a common element ` Z ` , then ` X = Y ` .
       (Contributed by Mario Carneiro, 14-Nov-2016.) $)
    disji $p |- ( ( Disj_ x e. A B /\ ( X e. A /\ Y e. A ) /\
      ( Z e. C /\ Z e. D ) ) -> X = Y ) $=
      ( wcel wa wdisj cin c0 wne wceq inelcm disji2 3expia necon1d syl3an3
      3impia ) HDKHEKLABCMZFBKGBKLZDENZOPZFGQZHDERUDUEUGUHUDUELFGUFOUDUEFGPUFOQ
      ABCDEFGIJSTUAUCUB $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d x C $.
    $( If there is a function ` C ( y ) ` such that ` C ( y ) = x ` for all
       ` y e. B ( x ) ` , then the sets ` B ( x ) ` for distinct ` x e. A ` are
       disjoint.  (Contributed by Mario Carneiro, 10-Dec-2016.) $)
    invdisj $p |- ( A. x e. A A. y e. B C = x -> Disj_ x e. A B ) $=
      ( cv wceq wral wcel wa wmo wal wdisj nfra2w wi df-ral eqcom syl6ib imim2i
      rsp impd alimi sylbi mo2icl syl alrimi dfdisj2 sylibr ) EAFZGZBDHZACHZUIC
      IZBFDIZJZAKZBLACDMULUPBUJABCDNULUOUIEGZOZALZUPULUMUKOZALUSUKACPUTURAUTUMU
      NUQUKUNUQOUMUKUNUJUQUJBDTEUIQRSUAUBUCUOAEUDUEUFABCDUGUH $.
  $}

  ${
    $d A z $.  $d B x z $.  $d C y z $.  $d x y z $.
    $( Version of ~ invdisjrab with a disjoint variable condition, which does
       not require ~ ax-13 .  (Contributed by Gino Giotto, 26-Jan-2024.) $)
    invdisjrabw $p |- Disj_ y e. A { x e. B | C = y } $=
      ( vz cv csb wceq crab wral wdisj wcel wa nfcsb1v nfeq1 weq csbeq1a eqeq1d
      nfcv elrabf simprr sylan2b rgen2 invdisj ax-mp ) AFGZEHZBGZIZFEUIIZADJZKB
      CKBCULLUJBFCULUGULMUICMZUGDMZUJNUJUKUJAUGDAUGTADTAUHUIAUGEOPAFQEUHUIAUGER
      SUAUMUNUJUBUCUDBFCULUHUEUF $.
    $( $j usage 'invdisjrabw' avoids 'ax-13'; $)
  $}

  ${
    $d A z $.  $d B x z $.  $d C y z $.  $d x y z $.
    $( The restricted class abstractions ` { x e. B | C = y } ` for distinct
       ` y e. A ` are disjoint.  (Contributed by AV, 6-May-2020.) $)
    invdisjrab $p |- Disj_ y e. A { x e. B | C = y } $=
      ( vz cv csb wceq crab wral wdisj wcel wi nfcsb1v nfeq1 weq csbeq1a eqeq1d
      nfcv elrabf ax-1 simplbiim impcom rgen2 invdisj ax-mp ) AFGZEHZBGZIZFEUJI
      ZADJZKBCKBCUMLUKBFCUMUHUMMZUJCMZUKUNUHDMUKUOUKNULUKAUHDAUHTADTAUIUJAUHEOP
      AFQEUIUJAUHERSUAUKUOUBUCUDUEBFCUMUIUFUG $.
  $}

  ${
    $d x y z A $.  $d y z B $.  $d x y z C $.  $d x y z D $.
    $( A disjoint collection yields disjoint indexed unions for disjoint index
       sets.  (Contributed by Mario Carneiro, 26-Mar-2015.)  (Revised by Mario
       Carneiro, 14-Nov-2016.) $)
    disjiun $p |- ( ( Disj_ x e. A B /\
      ( C C_ A /\ D C_ A /\ ( C i^i D ) = (/) ) ) ->
        ( U_ x e. C B i^i U_ x e. D B ) = (/) ) $=
      ( vy vz wss cin c0 wceq wa cv wcel wi wrex wral impcom syl syl5bi ciun wn
      wdisj w3a wal wrmo df-disj wne elin eliun anbi12i weq wex nfv rmo2 ssralv
      bitri an4 r19.29 id imp eleq1d biimpcd rexlimiv ex expimpd anim12d inelcm
      syl6 exlimiv expd sylbi necon2bd impancom 3impa alimdv eq0 sylibr ) ABCUC
      ZDBHZEBHZDEIZJKZUDZLFMZADCUAZAECUAZIZNZUBZFUEZWHJKWDVSWKVSWECNZABUFZFUEWD
      WKAFBCUGWDWMWJFVTWAWCWMWJOVTWALZWMWCWJWNWMLZWIWBJWIWLADPZWLAEPZLZWOWBJUHZ
      WIWEWFNZWEWGNZLWRWEWFWGUIWTWPXAWQAWEDCUJAWEECUJUKUQWMWNWRWSOZWMWLAGULZOZA
      BQZGUMZWNXBOWLAGBWLGUNUOXFWNWRWSWNWRLVTWPLZWAWQLZLZXFWSVTWAWPWQURXEXIWSOG
      XEXIGMZDNZXJENZLWSXEXGXKXHXLXEVTWPXKXEVTLXDADQZWPXKOVTXEXMXDADBUPRXMWPXKX
      MWPLXDWLLZADPXKXDWLADUSXNXKADXNAMZDNXKXNXOXJDXDWLXCXDUTVAZVBVCVDSVESVFXEW
      AWQXLXEWALXDAEQZWQXLOWAXEXQXDAEBUPRXQWQXLXQWQLXNAEPXLXDWLAEUSXNXLAEXNXOEN
      XLXNXOXJEXPVBVCVDSVESVFVGXJDEVHVIVJTVKVLRTVMVNVOVPTRFWHVQVR $.
  $}

  ${
    $d A b x $.  $d B a x $.  $d V a b x $.  $d ph a b x $.
    disjord.1 $e |- ( a = b -> A = B ) $.
    disjord.2 $e |- ( ( ph /\ x e. A /\ x e. B ) -> a = b ) $.
    $( Conditions for a collection of sets ` A ( a ) ` for ` a e. V ` to be
       disjoint.  (Contributed by AV, 9-Jan-2022.) $)
    disjord $p |- ( ph -> Disj_ a e. V A ) $=
      ( weq cin c0 wceq wo wral cv wcel wa wn sylibr wdisj orc a1d 3expia con3d
      wi impancom ralrimiv disj olcd expcom pm2.61i adantr ralrimivva disjor )
      AFGJZCDKLMZNZGEOFEOFECUAAURFGEEAURFPEQGPEQRUPAURUFUPURAUPUQUBUCAUPSZURAUS
      RZUQUPUTBPZDQZSZBCOUQUTVCBCAVACQZUSVCAVDRVBUPAVDVBUPIUDUEUGUHBCDUITUJUKUL
      UMUNECDFGHUOT $.
  $}

  ${
    $d A i j $.  $d B j x $.  $d C j $.  $d E i $.  $d D i x $.  $d i j x $.
    disjiunb.1 $e |- ( i = j -> B = D ) $.
    disjiunb.2 $e |- ( i = j -> C = E ) $.
    $( Two ways to say that a collection of index unions ` C ( i , x ) ` for
       ` i e. A ` and ` x e. B ` is disjoint.  (Contributed by AV,
       9-Jan-2022.) $)
    disjiunb $p |- ( Disj_ i e. A U_ x e. B C <-> A. i e. A A. j e. A
                        ( i = j \/ ( U_ x e. B C i^i U_ x e. D E ) = (/) ) ) $=
      ( ciun weq iuneq12d disjor ) BACDKAEHKFGFGLACEDHIJMN $.
  $}

  ${
    $d A c d x $.  $d C a d x $.  $d D b $.  $d V a c $.  $d W b c d x $.
    $d X a b d x $.  $d ph a b c d x $.
    disjiund.1 $e |- ( a = c -> A = C ) $.
    disjiund.2 $e |- ( b = d -> C = D ) $.
    disjiund.3 $e |- ( a = c -> W = X ) $.
    disjiund.4 $e |- ( ( ph /\ x e. A /\ x e. D ) -> a = c ) $.
    $( Conditions for a collection of index unions of sets ` A ( a , b ) ` for
       ` a e. V ` and ` b e. W ` to be disjoint.  (Contributed by AV,
       9-Jan-2022.) $)
    disjiund $p |- ( ph -> Disj_ a e. V U_ b e. W A ) $=
      ( wral cv wcel wa weq ciun c0 wceq wo wdisj wn wrex eliun eleq2d cbvrexvw
      cin wi 3exp rexlimdvw imp syl5bi con3d impancom ralrimiv disj sylibr orrd
      ex a1d ralrimivv disjiunb ) AIKUAZJGCUBZJHDUBZULUCUDZUEZKFQIFQIFVIUFAVLIK
      FFAVLIRFSKRFSTAVHVKAVHUGZVKAVMTZBRZVJSZUGZBVIQVKVNVQBVIVOVISVOCSZJGUHZVNV
      QJVOGCUIAVSVMVQAVSTZVPVHVPVODSZJHUHZVTVHJVOHDUIWBVOESZLHUHVTVHWAWCJLHJLUA
      DEVONUJUKVTWCVHLHAVSWCVHUMZAVRWDJGAVRWCVHPUNUOUPUOUQUQURUSUQUTBVIVJVAVBVD
      VCVEVFJFGCHIKDOMVGVB $.
  $}

  ${
    $d x y $.  $d y A $.
    $( Any collection of singletons is disjoint.  (Contributed by Mario
       Carneiro, 14-Nov-2016.) $)
    sndisj $p |- Disj_ x e. A { x } $=
      ( vy cv csn wdisj wcel wa wmo dfdisj2 weq simpr velsn sylib equcomd moimi
      moeq ax-mp mpgbir ) ABADZEZFTBGZCDZUAGZHZAIZCACBUAJACKZAIUFAUCQUEUGAUECAU
      EUDCAKUBUDLCTMNOPRS $.
  $}

  $( Any collection of empty sets is disjoint.  (Contributed by Mario Carneiro,
     14-Nov-2016.) $)
  0disj $p |- Disj_ x e. A (/) $=
    ( c0 cv csn wss wral wdisj 0ss rgenw sndisj disjss2 mp2 ) CADEZFZABGABNHABC
    HOABNIJABKABCNLM $.

  ${
    $d x y A $.  $d y B $.
    $( A singleton collection is disjoint.  (Contributed by Mario Carneiro,
       14-Nov-2016.) $)
    disjxsn $p |- Disj_ x e. { A } B $=
      ( vy csn wdisj cv wcel wa wmo dfdisj2 wceq moeq elsni adantr moimi mpgbir
      ax-mp ) ABEZCFAGZSHZDGCHZIZAJZDADSCKTBLZAJUDABMUCUEAUAUEUBTBNOPRQ $.

    $( An empty collection is disjoint.  (Contributed by Mario Carneiro,
       14-Nov-2016.) $)
    disjx0 $p |- Disj_ x e. (/) B $=
      ( c0 csn wss wdisj 0ss disjxsn disjss1 mp2 ) CCDZEAKBFACBFKGACBHACKBIJ $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d y z C $.  $d x y z D $.  $d x y z E $.
    disjprgw.1 $e |- ( x = A -> C = D ) $.
    disjprgw.2 $e |- ( x = B -> C = E ) $.
    $( Version of ~ disjprg with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by Gino Giotto, 26-Jan-2024.) $)
    disjprgw $p |- ( ( A e. V /\ B e. V /\ A =/= B ) ->
      ( Disj_ x e. { A , B } C <-> ( D i^i E ) = (/) ) ) $=
      ( vy vz wceq cin c0 wo wral wa wb nfcv wtru wcel wne w3a cv csb cpr wdisj
      eqeq1 csbhypf ineq1d eqeq1d orbi12d ralbidv ralprg 3adant3 id eqcomd orcd
      trud 2thd eqeq2 ineq2d simp3 neneq biorf tru biantrur bitrdi bitr4d eqcom
      wn 3syl incom eqtrdi biantru anbi12d bitrd disjors pm4.24 3bitr4g ) BGUAZ
      CGUAZBCUBZUCZJUDZKUDZLZAWEDUEZAWFDUEZMZNLZOZKBCUFZPZJWMPZEFMZNLZWQQZAWMDU
      GWQWDWOBWFLZEWIMZNLZOZKWMPZCWFLZFWIMZNLZOZKWMPZQZWRWAWBWOXIRWCWNXCXHJBCGG
      WEBLZWLXBKWMXJWGWSWKXAWEBWFUHXJWJWTNXJWHEWIAJBDEABSZAESZHUIUJUKULUMWECLZW
      LXGKWMXMWGXDWKXFWECWFUHXMWJXENXMWHFWIAJCDFACSZAFSZIUIUJUKULUMUNUOWDXCWQXH
      WQWDXCTBCLZWQOZQZWQWAWBXCXRRWCXBTXQKBCGGWFBLZXBTXSWSXAXSWFBXSUPUQURXSUSUT
      WFCLZWSXPXAWQWFCBVAXTWTWPNXTWIFEAKCDFXNXOIUIVBUKULUNUOWDWQXQXRWDWCXPVKWQX
      QRWAWBWCVCBCVDXPWQVEVLZTXQVFVGVHVIWDXHXQTQZWQWAWBXHYBRWCXGXQTKBCGGXSXDXPX
      FWQXSXDCBLXPWFBCVACBVJVHXSXEWPNXSXEFEMWPXSWIEFAKBDEXKXLHUIVBFEVMVNUKULXTX
      GTXTXDXFXTWFCXTUPUQURXTUSUTUNUOWDWQXQYBYATXQVFVOVHVIVPVQAWMDJKVRWQVSVT $.
    $( $j usage 'disjprgw' avoids 'ax-13'; $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d y z C $.  $d x y z D $.  $d x y z E $.
    disjprg.1 $e |- ( x = A -> C = D ) $.
    disjprg.2 $e |- ( x = B -> C = E ) $.
    $( A pair collection is disjoint iff the two sets in the family have empty
       intersection.  (Contributed by Mario Carneiro, 14-Nov-2016.) $)
    disjprg $p |- ( ( A e. V /\ B e. V /\ A =/= B ) ->
      ( Disj_ x e. { A , B } C <-> ( D i^i E ) = (/) ) ) $=
      ( vy vz wceq cin c0 wo wral wa wb nfcv wtru wcel wne w3a cv csb cpr wdisj
      eqeq1 csbhypf ineq1d eqeq1d orbi12d ralbidv ralprg 3adant3 id eqcomd orcd
      trud 2thd eqeq2 ineq2d wn simp3 neneqd biorf biantrur bitrdi bitr4d eqcom
      syl tru incom eqtrdi biantru anbi12d bitrd disjors pm4.24 3bitr4g ) BGUAZ
      CGUAZBCUBZUCZJUDZKUDZLZAWEDUEZAWFDUEZMZNLZOZKBCUFZPZJWMPZEFMZNLZWQQZAWMDU
      GWQWDWOBWFLZEWIMZNLZOZKWMPZCWFLZFWIMZNLZOZKWMPZQZWRWAWBWOXIRWCWNXCXHJBCGG
      WEBLZWLXBKWMXJWGWSWKXAWEBWFUHXJWJWTNXJWHEWIAJBDEABSZAESZHUIUJUKULUMWECLZW
      LXGKWMXMWGXDWKXFWECWFUHXMWJXENXMWHFWIAJCDFACSZAFSZIUIUJUKULUMUNUOWDXCWQXH
      WQWDXCTBCLZWQOZQZWQWAWBXCXRRWCXBTXQKBCGGWFBLZXBTXSWSXAXSWFBXSUPUQURXSUSUT
      WFCLZWSXPXAWQWFCBVAXTWTWPNXTWIFEAKCDFXNXOIUIVBUKULUNUOWDWQXQXRWDXPVCWQXQR
      WDBCWAWBWCVDVEXPWQVFVKZTXQVLVGVHVIWDXHXQTQZWQWAWBXHYBRWCXGXQTKBCGGXSXDXPX
      FWQXSXDCBLXPWFBCVACBVJVHXSXEWPNXSXEFEMWPXSWIEFAKBDEXKXLHUIVBFEVMVNUKULXTX
      GTXTXDXFXTWFCXTUPUQURXTUSUTUNUOWDWQXQYBYATXQVLVOVHVIVPVQAWMDJKVRWQVSVT $.
  $}

  ${
    $d r s u v x y z A $.  $d r s u v x z B $.  $d r s u v y z C $.
    $( An indexed union of a disjoint collection of disjoint collections is
       disjoint if each component is disjoint, and the disjoint unions in the
       collection are also disjoint.  Note that ` B ( y ) ` and ` C ( x ) ` may
       have the displayed free variables.  (Contributed by Mario Carneiro,
       14-Nov-2016.)  (Proof shortened by JJ, 27-May-2021.) $)
    disjxiun $p |- ( Disj_ y e. A B -> ( Disj_ x e. U_ y e. A B C <->
      ( A. y e. A Disj_ x e. B C /\ Disj_ y e. A U_ x e. B C ) ) ) $=
      ( vu vv vr vs vz wdisj ciun wral wa nfcv wss cv wcel csb weq nfiu1 ssiun2
      wi nfdisjw disjss1 syl11 ralrimi a1i c0 wceq wo wn simplr nfcsb1v csbeq1a
      cin cbviun sseqtrrdi adantr ad2antrl csbeq1 sseq1d vtoclga adantl cbvdisj
      sylbb rsp2 syl imp ord impr adantlr disjiun syl13anc expr orrd ralrimivva
      disjor iuneq1d sylibr nfiun ex jcad wrex eleq2i eliun bitri reeanv bitr4i
      anbi12i simplrr disjeq1d rspc disjors sylib ad2ant2r simplrl eleqtrrd jca
      impcom syl2an2r adantlrr ss2in syl2an biimpi ad3antlr id disji2 syl2an3an
      mpd wne sseq0 pm2.61dane rexlimdvva syl5bi ralrimivv impbid1 ) BCDKZABCDL
      ZEKZADEKZBCMZBCADELZKZNZXRXTYBYDXTYBUCXRXTYABCABXSEBCDUABEOZUDDXSPXTYABQC
      RADXSEUEBCDUBUFUGUHXRXTYDXRXTNZFCABFQZDSZELZKZYDYGFGTZYJABGQZDSZELZUPZUIU
      JZUKZGCMFCMYKYGYRFGCCYGYHCRZYMCRZNZNYLYQYGUUAYLULZYQYGUUAUUBNZNXTYIXSPZYN
      XSPZYIYNUPUIUJZYQXRXTUUCUMUUAUUDYGUUBYSUUDYTYSYIFCYILZXSFCYIUBBFCDYIFDOZB
      YHDUNZBYHDUOZUQZURZUSUTUUAUUEYGUUBYTUUEYSUUDUUEFYMCYLYIYNXSBYHYMDVAZVBUUL
      VCVDUTXRUUCUUFXTXRUUAUUBUUFXRUUANYLUUFXRUUAYLUUFUKZXRUUNGCMFCMZUUAUUNUCXR
      FCYIKUUOBFCDYIUUHUUIUUJVECYIYNFGUUMVRVFUUNFGCCVGVHVIVJVKVLAXSEYIYNVMVNVOV
      PVQCYJYOFGYLAYIYNEUUMVSVRVTBFCYCYJFYCOABYIEUUIYFWABFTZADYIEUUJVSVEVTWBWCY
      EHITZAHQZESZAIQZESZUPZUIUJZUKZIXSMHXSMXTYEUVDHIXSXSUURXSRZUUTXSRZNZUURYIR
      ZUUTYNRZNZGCWDFCWDZYEUVDUVGUVHFCWDZUVIGCWDZNUVKUVEUVLUVFUVMUVEUURUUGRUVLX
      SUUGUURUUKWEFUURCYIWFWGUVFUUTGCYNLZRUVMXSUVNUUTBGCDYNGDOBYMDUNBYMDUOUQWEG
      UUTCYNWFWGWJUVHUVIFGCCWHWIYEUVJUVDFGCCYEUUANZUVJUVDUVOUVJNZUUQUVCUVOUVJUU
      QULZUVCUVOUVJUVQNZNZUVCYHYMUVSYLNZUVQUVCUVOUVJUVQYLWKUVTUUQUVCUVOUVJYLUVD
      UVQUVPUVDIYIMHYIMZYLUVHUUTYIRZNZUVDUVOUWAUVJYBYSUWAYDYTYBYSNAYIEKZUWAYSYB
      UWDYAUWDBYHCABYIEUUIYFUDUUPADYIEUUJWLWMWTAYIEHIWNWOWPUSUVPYLNZUVHUWBUVOUV
      HUVIYLWQUWEUUTYNYIUVOUVHUVIYLWKYLYIYNUJUVPUUMVDWRWSUWAUWCUVDUVDHIYIYIVGVI
      XAXBVJXJUVSUVBYPPZYHYMXKZYQUVCUVJUWFUVOUVQUVHUUSYJPUVAYOPUWFUVIUVHUUSHYIU
      USLYJHYIUUSUBAHYIEUUSHEOAUUREUNAUUREUOUQURUVIUVAIYNUVALYOIYNUVAUBAIYNEUVA
      IEOAUUTEUNAUUTEUOUQURUUSYJUVAYOXCXDUTUVSJCABJQZDSZELZKZUUAUWGUWGYQYDUWKYB
      UUAUVRYDUWKBJCYCUWJJYCOABUWIEBUWHDUNYFWABJTADUWIEBUWHDUOVSVEXEXFYEUUAUVRU
      MUWGXGJCUWJYJYOYHYMJFTAUWIYIEBUWHYHDVAVSJGTAUWIYNEBUWHYMDVAVSXHXIUVBYPXLX
      AXMVOVPWBXNXOXPAXSEHIWNVTXQ $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w y z C $.  $d w x z D $.
    disjxun.1 $e |- ( x = y -> C = D ) $.
    $( The union of two disjoint collections.  (Contributed by Mario Carneiro,
       14-Nov-2016.) $)
    disjxun $p |- ( ( A i^i B ) = (/) -> ( Disj_ x e. ( A u. B ) C <->
      ( Disj_ x e. A C /\ Disj_ x e. B C /\
        A. x e. A A. y e. B ( C i^i D ) = (/) ) ) ) $=
      ( vz vw cin c0 wceq weq cv wo wral wa eqeq1d orbi12d bitri csb wdisj wcel
      cun w3a wn wb disjel eleq1w notbid syl5ibcom con2d biorf bicomd 2ralbidva
      impr syl anbi2d ralunb ralbii nfcv nfcsb1v nfin nfeq1 nfor nfralw equequ2
      nfv csbhypf ineq2d cbvralvw equequ1 csbeq1a ineq1d ralbidv bitr3id r19.26
      cbvralw 3bitr3i disjor anbi1i 3bitr4g equcom bitrdi eqtrdi ralcom disjors
      incom syl5bb anbi1d anbi2ci anbi12d df-3an anandir ) CDJKLZHIMZAHNZEUAZAI
      NZEUAZJZKLZOZICDUDZPZHCPZXEHDPZQZACEUBZEFJZKLZBDPACPZQZADEUBZXLQZQZAXDEUB
      ZXIXNXLUEZWOXFXMXGXOWOABMZXKOZBCPZACPZXTBDPZACPZQZYBXLQXFXMWOYDXLYBWOXTXK
      ABCDWOANZCUCZBNZDUCZQQZXKXTYJXSUFZXKXTUGWOYGYIYKWOYGQZXSYIYLYFDUCZUFXSYIU
      FCDYFUHXSYMYIABDUIUJUKULUPXSXKUMUQUNUOZURXTBXDPZACPYAYCQZACPXFYEYOYPACXTB
      CDUSUTYOXEAHCYOHVHXCAIXDAXDVAWPXBAWPAVHAXAKAWRWTAWQEVBAWSEVBVCVDVEZVFYOAI
      MZEWTJZKLZOZIXDPAHMZXEUUAXTIBXDIBMZYRXSYTXKIBAVGUUCYSXJKUUCWTFEAIYHEFAYHV
      AZAFVAZGVIVJRSVKUUBUUAXCIXDUUBYRWPYTXBAHIVLUUBYSXAKUUBEWRWTAWQEVMVNRSVOVP
      VRYAYCACVQVSXIYBXLCEFABGVTWAWBWOXCICPZHDPZXCIDPZHDPZQZXLUUIQXGXOWOUUGXLUU
      IUUGYDWOXLUUGXTACPZBDPYDUUFUUKHBDUUFHAMZWREJZKLZOZACPHBMZUUKUUOXCAICUUOIV
      HYQYRUULWPUUNXBAIHVGYRUUMXAKYREWTWRAWSEVMVJRSVRUUPUUOXTACUUPUULXSUUNXKUUP
      UULBAMXSHBAVLBAWCWDUUPUUMXJKUUPUUMFEJXJUUPWRFEAHYHEFUUDUUEGVIVNFEWHWERSVO
      VPVKXTBADCWFTYNWIWJXGUUFUUHQZHDPUUJXEUUQHDXCICDUSUTUUFUUHHDVQTXNUUIXLADEH
      IWGWKWBWLXQXEHXDPXHAXDEHIWGXEHCDUSTXRXIXNQXLQXPXIXNXLWMXIXNXLWNTWB $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.
    $( Expand a disjoint collection with any number of empty sets.
       (Contributed by Mario Carneiro, 15-Nov-2016.) $)
    disjss3 $p |- ( ( A C_ B /\ A. x e. ( B \ A ) C = (/) ) ->
      ( Disj_ x e. A C <-> Disj_ x e. B C ) ) $=
      ( vy wss c0 wceq wa wdisj wi cv wcel wmo wal wn syl simpl adantl dfdisj2
      cdif wral df-ral simprr n0i eldif syl5bir mpand mt3d jca alimi sylbi moim
      ex alimdv 3imtr4g disjss1 adantr impbid ) BCFZDGHZACBUAZUBZIABDJZACDJZVCV
      DVEKUTVCALZBMZELZDMZIZANZEOVFCMZVIIZANZEOVDVEVCVKVNEVCVMVJKZAOZVKVNKVCVFV
      BMZVAKZAOVPVAAVBUCVRVOAVRVMVJVRVMIZVGVIVSVGVAVSVIVAPVRVLVIUDZDVHUEQVSVLVG
      PZVAVMVLVRVLVIRSVLWAIVQVSVAVFCBUFVRVMRUGUHUIVTUJUNUKULVMVJAUMQUOAEBDTAECD
      TUPSUTVEVDKVCABCDUQURUS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Binary relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Extend wff notation to include the general binary relation predicate.
     Note that the syntax is simply three class symbols in a row.  Since binary
     relations are the only possible wff expressions consisting of three class
     expressions in a row, the syntax is unambiguous.  (For an example of how
     syntax could become ambiguous if we are not careful, see the comment in
     ~ cneg .) $)
  wbr $a wff A R B $.

  $( Define a general binary relation.  Note that the syntax is simply three
     class symbols in a row.  Definition 6.18 of [TakeutiZaring] p. 29
     generalized to arbitrary classes.  Class ` R ` often denotes a relation
     such as " ` < ` " that compares two classes ` A ` and ` B ` , which might
     be numbers such as ` 1 ` and ` 2 ` (see ~ df-ltxr for the specific
     definition of ` < ` ).  As a wff, relations are true or false.  For
     example, ` ( R = { <. 2 , 6 >. , <. 3 , 9 >. } -> 3 R 9 ) ` ( ~ ex-br ).
     Often class ` R ` meets the ` Rel ` criteria to be defined in ~ df-rel ,
     and in particular ` R ` may be a function (see ~ df-fun ).  This
     definition of relations is well-defined, although not very meaningful,
     when classes ` A ` and/or ` B ` are proper classes (i.e., are not sets).
     On the other hand, we often find uses for this definition when ` R ` is a
     proper class (see for example ~ iprc ).  (Contributed by NM,
     31-Dec-1993.) $)
  df-br $a |- ( A R B <-> <. A , B >. e. R ) $.

  $( Equality theorem for binary relations.  (Contributed by NM,
     4-Jun-1995.) $)
  breq $p |- ( R = S -> ( A R B <-> A S B ) ) $=
    ( wceq cop wcel wbr eleq2 df-br 3bitr4g ) CDEABFZCGLDGABCHABDHCDLIABCJABDJK
    $.

  $( Equality theorem for a binary relation.  (Contributed by NM,
     31-Dec-1993.) $)
  breq1 $p |- ( A = B -> ( A R C <-> B R C ) ) $=
    ( wceq cop wcel wbr opeq1 eleq1d df-br 3bitr4g ) ABEZACFZDGBCFZDGACDHBCDHMN
    ODABCIJACDKBCDKL $.

  $( Equality theorem for a binary relation.  (Contributed by NM,
     31-Dec-1993.) $)
  breq2 $p |- ( A = B -> ( C R A <-> C R B ) ) $=
    ( wceq cop wcel wbr opeq2 eleq1d df-br 3bitr4g ) ABEZCAFZDGCBFZDGCADHCBDHMN
    ODABCIJCADKCBDKL $.

  $( Equality theorem for a binary relation.  (Contributed by NM,
     8-Feb-1996.) $)
  breq12 $p |- ( ( A = B /\ C = D ) -> ( A R C <-> B R D ) ) $=
    ( wceq wbr breq1 breq2 sylan9bb ) ABFACEGBCEGCDFBDEGABCEHCDBEIJ $.

  ${
    breqi.1 $e |- R = S $.
    $( Equality inference for binary relations.  (Contributed by NM,
       19-Feb-2005.) $)
    breqi $p |- ( A R B <-> A S B ) $=
      ( wceq wbr wb breq ax-mp ) CDFABCGABDGHEABCDIJ $.
  $}

  ${
    breq1i.1 $e |- A = B $.
    $( Equality inference for a binary relation.  (Contributed by NM,
       8-Feb-1996.) $)
    breq1i $p |- ( A R C <-> B R C ) $=
      ( wceq wbr wb breq1 ax-mp ) ABFACDGBCDGHEABCDIJ $.

    $( Equality inference for a binary relation.  (Contributed by NM,
       8-Feb-1996.) $)
    breq2i $p |- ( C R A <-> C R B ) $=
      ( wceq wbr wb breq2 ax-mp ) ABFCADGCBDGHEABCDIJ $.

    ${
      breq12i.2 $e |- C = D $.
      $( Equality inference for a binary relation.  (Contributed by NM,
         8-Feb-1996.)  (Proof shortened by Eric Schmidt, 4-Apr-2007.) $)
      breq12i $p |- ( A R C <-> B R D ) $=
        ( wceq wbr wb breq12 mp2an ) ABHCDHACEIBDEIJFGABCDEKL $.
    $}
  $}

  ${
    breq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for a binary relation.  (Contributed by NM,
       8-Feb-1996.) $)
    breq1d $p |- ( ph -> ( A R C <-> B R C ) ) $=
      ( wceq wbr wb breq1 syl ) ABCGBDEHCDEHIFBCDEJK $.

    $( Equality deduction for a binary relation.  (Contributed by NM,
       29-Oct-2011.) $)
    breqd $p |- ( ph -> ( C A D <-> C B D ) ) $=
      ( wceq wbr wb breq syl ) ABCGDEBHDECHIFDEBCJK $.

    $( Equality deduction for a binary relation.  (Contributed by NM,
       8-Feb-1996.) $)
    breq2d $p |- ( ph -> ( C R A <-> C R B ) ) $=
      ( wceq wbr wb breq2 syl ) ABCGDBEHDCEHIFBCDEJK $.

    ${
      breq12d.2 $e |- ( ph -> C = D ) $.
      $( Equality deduction for a binary relation.  (Contributed by NM,
         8-Feb-1996.)  (Proof shortened by Andrew Salmon, 9-Jul-2011.) $)
      breq12d $p |- ( ph -> ( A R C <-> B R D ) ) $=
        ( wceq wbr wb breq12 syl2anc ) ABCIDEIBDFJCEFJKGHBCDEFLM $.
    $}

    ${
      breq123d.2 $e |- ( ph -> R = S ) $.
      breq123d.3 $e |- ( ph -> C = D ) $.
      $( Equality deduction for a binary relation.  (Contributed by NM,
         29-Oct-2011.) $)
      breq123d $p |- ( ph -> ( A R C <-> B S D ) ) $=
        ( wbr breq12d breqd bitrd ) ABDFKCEFKCEGKABCDEFHJLAFGCEIMN $.
    $}

    ${
      breqdi.1 $e |- ( ph -> C A D ) $.
      $( Equality deduction for a binary relation.  (Contributed by Thierry
         Arnoux, 5-Oct-2020.) $)
      breqdi $p |- ( ph -> C B D ) $=
        ( wbr breqd mpbid ) ADEBHDECHGABCDEFIJ $.
    $}

    ${
      breqan12i.2 $e |- ( ps -> C = D ) $.
      $( Equality deduction for a binary relation.  (Contributed by NM,
         8-Feb-1996.) $)
      breqan12d $p |- ( ( ph /\ ps ) -> ( A R C <-> B R D ) ) $=
        ( wceq wbr wb breq12 syl2an ) ACDJEFJCEGKDFGKLBHICDEFGMN $.

      $( Equality deduction for a binary relation.  (Contributed by NM,
         8-Feb-1996.) $)
      breqan12rd $p |- ( ( ps /\ ph ) -> ( A R C <-> B R D ) ) $=
        ( wbr wb breqan12d ancoms ) ABCEGJDFGJKABCDEFGHILM $.
    $}
  $}

  ${
    eqnbrtrd.1 $e |- ( ph -> A = B ) $.
    eqnbrtrd.2 $e |- ( ph -> -. B R C ) $.
    $( Substitution of equal classes into the negation of a binary relation.
       (Contributed by Glauco Siliprandi, 3-Jan-2021.) $)
    eqnbrtrd $p |- ( ph -> -. A R C ) $=
      ( wbr breq1d mtbird ) ABDEHCDEHGABCDEFIJ $.
  $}

  $( Two classes are different if they don't have the same relationship to a
     third class.  (Contributed by NM, 3-Jun-2012.) $)
  nbrne1 $p |- ( ( A R B /\ -. A R C ) -> B =/= C ) $=
    ( wbr wn wne wceq breq2 biimpcd necon3bd imp ) ABDEZACDEZFBCGMNBCBCHMNBCADI
    JKL $.

  $( Two classes are different if they don't have the same relationship to a
     third class.  (Contributed by NM, 3-Jun-2012.) $)
  nbrne2 $p |- ( ( A R C /\ -. B R C ) -> A =/= B ) $=
    ( wbr wn wne wceq breq1 biimpcd necon3bd imp ) ACDEZBCDEZFABGMNABABHMNABCDI
    JKL $.

  ${
    eqbrtr.1 $e |- A = B $.
    eqbrtr.2 $e |- B R C $.
    $( Substitution of equal classes into a binary relation.  (Contributed by
       NM, 1-Aug-1999.) $)
    eqbrtri $p |- A R C $=
      ( wbr breq1i mpbir ) ACDGBCDGFABCDEHI $.
  $}

  ${
    eqbrtrd.1 $e |- ( ph -> A = B ) $.
    eqbrtrd.2 $e |- ( ph -> B R C ) $.
    $( Substitution of equal classes into a binary relation.  (Contributed by
       NM, 8-Oct-1999.) $)
    eqbrtrd $p |- ( ph -> A R C ) $=
      ( wbr breq1d mpbird ) ABDEHCDEHGABCDEFIJ $.
  $}

  ${
    eqbrtrr.1 $e |- A = B $.
    eqbrtrr.2 $e |- A R C $.
    $( Substitution of equal classes into a binary relation.  (Contributed by
       NM, 1-Aug-1999.) $)
    eqbrtrri $p |- B R C $=
      ( eqcomi eqbrtri ) BACDABEGFH $.
  $}

  ${
    eqbrtrrd.1 $e |- ( ph -> A = B ) $.
    eqbrtrrd.2 $e |- ( ph -> A R C ) $.
    $( Substitution of equal classes into a binary relation.  (Contributed by
       NM, 24-Oct-1999.) $)
    eqbrtrrd $p |- ( ph -> B R C ) $=
      ( eqcomd eqbrtrd ) ACBDEABCFHGI $.
  $}

  ${
    breqtr.1 $e |- A R B $.
    breqtr.2 $e |- B = C $.
    $( Substitution of equal classes into a binary relation.  (Contributed by
       NM, 1-Aug-1999.) $)
    breqtri $p |- A R C $=
      ( wbr breq2i mpbi ) ABDGACDGEBCADFHI $.
  $}

  ${
    breqtrd.1 $e |- ( ph -> A R B ) $.
    breqtrd.2 $e |- ( ph -> B = C ) $.
    $( Substitution of equal classes into a binary relation.  (Contributed by
       NM, 24-Oct-1999.) $)
    breqtrd $p |- ( ph -> A R C ) $=
      ( wbr breq2d mpbid ) ABCEHBDEHFACDBEGIJ $.
  $}

  ${
    breqtrr.1 $e |- A R B $.
    breqtrr.2 $e |- C = B $.
    $( Substitution of equal classes into a binary relation.  (Contributed by
       NM, 1-Aug-1999.) $)
    breqtrri $p |- A R C $=
      ( eqcomi breqtri ) ABCDECBFGH $.
  $}

  ${
    breqtrrd.1 $e |- ( ph -> A R B ) $.
    breqtrrd.2 $e |- ( ph -> C = B ) $.
    $( Substitution of equal classes into a binary relation.  (Contributed by
       NM, 24-Oct-1999.) $)
    breqtrrd $p |- ( ph -> A R C ) $=
      ( eqcomd breqtrd ) ABCDEFADCGHI $.
  $}

  ${
    3brtr3.1 $e |- A R B $.
    3brtr3.2 $e |- A = C $.
    3brtr3.3 $e |- B = D $.
    $( Substitution of equality into both sides of a binary relation.
       (Contributed by NM, 11-Aug-1999.) $)
    3brtr3i $p |- C R D $=
      ( eqbrtrri breqtri ) CBDEACBEGFIHJ $.
  $}

  ${
    3brtr4.1 $e |- A R B $.
    3brtr4.2 $e |- C = A $.
    3brtr4.3 $e |- D = B $.
    $( Substitution of equality into both sides of a binary relation.
       (Contributed by NM, 11-Aug-1999.) $)
    3brtr4i $p |- C R D $=
      ( eqbrtri breqtrri ) CBDECABEGFIHJ $.
  $}

  ${
    3brtr3d.1 $e |- ( ph -> A R B ) $.
    3brtr3d.2 $e |- ( ph -> A = C ) $.
    3brtr3d.3 $e |- ( ph -> B = D ) $.
    $( Substitution of equality into both sides of a binary relation.
       (Contributed by NM, 18-Oct-1999.) $)
    3brtr3d $p |- ( ph -> C R D ) $=
      ( wbr breq12d mpbid ) ABCFJDEFJGABDCEFHIKL $.
  $}

  ${
    3brtr4d.1 $e |- ( ph -> A R B ) $.
    3brtr4d.2 $e |- ( ph -> C = A ) $.
    3brtr4d.3 $e |- ( ph -> D = B ) $.
    $( Substitution of equality into both sides of a binary relation.
       (Contributed by NM, 21-Feb-2005.) $)
    3brtr4d $p |- ( ph -> C R D ) $=
      ( wbr breq12d mpbird ) ADEFJBCFJGADBECFHIKL $.
  $}

  ${
    3brtr3g.1 $e |- ( ph -> A R B ) $.
    3brtr3g.2 $e |- A = C $.
    3brtr3g.3 $e |- B = D $.
    $( Substitution of equality into both sides of a binary relation.
       (Contributed by NM, 16-Jan-1997.) $)
    3brtr3g $p |- ( ph -> C R D ) $=
      ( wbr breq12i sylib ) ABCFJDEFJGBDCEFHIKL $.
  $}

  ${
    3brtr4g.1 $e |- ( ph -> A R B ) $.
    3brtr4g.2 $e |- C = A $.
    3brtr4g.3 $e |- D = B $.
    $( Substitution of equality into both sides of a binary relation.
       (Contributed by NM, 16-Jan-1997.) $)
    3brtr4g $p |- ( ph -> C R D ) $=
      ( wbr breq12i sylibr ) ABCFJDEFJGDBECFHIKL $.
  $}

  ${
    eqbrtrid.1 $e |- A = B $.
    eqbrtrid.2 $e |- ( ph -> B R C ) $.
    $( A chained equality inference for a binary relation.  (Contributed by NM,
       11-Oct-1999.) $)
    eqbrtrid $p |- ( ph -> A R C ) $=
      ( eqid 3brtr4g ) ACDBDEGFDHI $.
  $}

  ${
    eqbrtrrid.1 $e |- B = A $.
    eqbrtrrid.2 $e |- ( ph -> B R C ) $.
    $( A chained equality inference for a binary relation.  (Contributed by NM,
       17-Sep-2004.) $)
    eqbrtrrid $p |- ( ph -> A R C ) $=
      ( eqid 3brtr3g ) ACDBDEGFDHI $.
  $}

  ${
    breqtrid.1 $e |- A R B $.
    breqtrid.2 $e |- ( ph -> B = C ) $.
    $( A chained equality inference for a binary relation.  (Contributed by NM,
       11-Oct-1999.) $)
    breqtrid $p |- ( ph -> A R C ) $=
      ( wbr a1i breqtrd ) ABCDEBCEHAFIGJ $.
  $}

  ${
    breqtrrid.1 $e |- A R B $.
    breqtrrid.2 $e |- ( ph -> C = B ) $.
    $( A chained equality inference for a binary relation.  (Contributed by NM,
       24-Apr-2005.) $)
    breqtrrid $p |- ( ph -> A R C ) $=
      ( eqcomd breqtrid ) ABCDEFADCGHI $.
  $}

  ${
    eqbrtrdi.1 $e |- ( ph -> A = B ) $.
    eqbrtrdi.2 $e |- B R C $.
    $( A chained equality inference for a binary relation.  (Contributed by NM,
       12-Oct-1999.) $)
    eqbrtrdi $p |- ( ph -> A R C ) $=
      ( wbr breq1d mpbiri ) ABDEHCDEHGABCDEFIJ $.
  $}

  ${
    eqbrtrrdi.1 $e |- ( ph -> B = A ) $.
    eqbrtrrdi.2 $e |- B R C $.
    $( A chained equality inference for a binary relation.  (Contributed by NM,
       4-Jan-2006.) $)
    eqbrtrrdi $p |- ( ph -> A R C ) $=
      ( eqcomd eqbrtrdi ) ABCDEACBFHGI $.
  $}

  ${
    breqtrdi.1 $e |- ( ph -> A R B ) $.
    breqtrdi.2 $e |- B = C $.
    $( A chained equality inference for a binary relation.  (Contributed by NM,
       11-Oct-1999.) $)
    breqtrdi $p |- ( ph -> A R C ) $=
      ( eqid 3brtr3g ) ABCBDEFBHGI $.
  $}

  ${
    breqtrrdi.1 $e |- ( ph -> A R B ) $.
    breqtrrdi.2 $e |- C = B $.
    $( A chained equality inference for a binary relation.  (Contributed by NM,
       24-Apr-2005.) $)
    breqtrrdi $p |- ( ph -> A R C ) $=
      ( eqcomi breqtrdi ) ABCDEFDCGHI $.
  $}

  ${
    ssbrd.1 $e |- ( ph -> A C_ B ) $.
    $( Deduction from a subclass relationship of binary relations.
       (Contributed by NM, 30-Apr-2004.) $)
    ssbrd $p |- ( ph -> ( C A D -> C B D ) ) $=
      ( cop wcel wbr sseld df-br 3imtr4g ) ADEGZBHMCHDEBIDECIABCMFJDEBKDECKL $.
  $}

  $( Implication from a subclass relationship of binary relations.
     (Contributed by Peter Mazsa, 11-Nov-2019.) $)
  ssbr $p |- ( A C_ B -> ( C A D -> C B D ) ) $=
    ( wss id ssbrd ) ABEZABCDHFG $.

  ${
    ssbri.1 $e |- A C_ B $.
    $( Inference from a subclass relationship of binary relations.
       (Contributed by NM, 28-Mar-2007.)  (Revised by Mario Carneiro,
       8-Feb-2015.) $)
    ssbri $p |- ( C A D -> C B D ) $=
      ( wss wbr wi ssbr ax-mp ) ABFCDAGCDBGHEABCDIJ $.
  $}

  ${
    nfbrd.2 $e |- ( ph -> F/_ x A ) $.
    nfbrd.3 $e |- ( ph -> F/_ x R ) $.
    nfbrd.4 $e |- ( ph -> F/_ x B ) $.
    $( Deduction version of bound-variable hypothesis builder ~ nfbr .
       (Contributed by NM, 13-Dec-2005.)  (Revised by Mario Carneiro,
       14-Oct-2016.) $)
    nfbrd $p |- ( ph -> F/ x A R B ) $=
      ( wbr cop wcel df-br nfopd nfeld nfxfrd ) CDEICDJZEKABCDELABPEABCDFHMGNO
      $.
  $}

  ${
    nfbr.1 $e |- F/_ x A $.
    nfbr.2 $e |- F/_ x R $.
    nfbr.3 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for binary relation.  (Contributed by
       NM, 1-Sep-1999.)  (Revised by Mario Carneiro, 14-Oct-2016.) $)
    nfbr $p |- F/ x A R B $=
      ( wbr wnf wtru wnfc a1i nfbrd mptru ) BCDHAIJABCDABKJELADKJFLACKJGLMN $.
  $}

  ${
    $d x y $.  $d y z A $.  $d y z R $.
    $( Relationship between a binary relation and a class abstraction.
       (Contributed by Andrew Salmon, 8-Jul-2011.) $)
    brab1 $p |- ( x R A <-> x e. { z | z R A } ) $=
      ( vy cv wbr wsbc cab wcel wb cvv breq1 sbcie2g elv df-sbc bitr3i ) AFZCDG
      ZBFZCDGZBRHZRUABIJUBSKAUAEFZCDGSBERLTUCCDMUCRCDMNOUABRPQ $.
  $}

  $( The empty binary relation never holds.  (Contributed by NM,
     23-Aug-2018.) $)
  br0 $p |- -. A (/) B $=
    ( c0 wbr cop wcel noel df-br mtbir ) ABCDABEZCFJGABCHI $.

  $( If two sets are in a binary relation, the relation cannot be empty.
     (Contributed by Alexander van der Vekens, 7-Jul-2018.) $)
  brne0 $p |- ( A R B -> R =/= (/) ) $=
    ( wbr cop wcel c0 wne df-br ne0i sylbi ) ABCDABEZCFCGHABCICLJK $.

  $( The union of two binary relations.  (Contributed by NM, 21-Dec-2008.) $)
  brun $p |- ( A ( R u. S ) B <-> ( A R B \/ A S B ) ) $=
    ( cop cun wcel wo wbr elun df-br orbi12i 3bitr4i ) ABEZCDFZGNCGZNDGZHABOIAB
    CIZABDIZHNCDJABOKRPSQABCKABDKLM $.

  $( The intersection of two relations.  (Contributed by FL, 7-Oct-2008.) $)
  brin $p |- ( A ( R i^i S ) B <-> ( A R B /\ A S B ) ) $=
    ( cop cin wcel wa wbr elin df-br anbi12i 3bitr4i ) ABEZCDFZGNCGZNDGZHABOIAB
    CIZABDIZHNCDJABOKRPSQABCKABDKLM $.

  $( The difference of two binary relations.  (Contributed by Scott Fenton,
     11-Apr-2011.) $)
  brdif $p |- ( A ( R \ S ) B <-> ( A R B /\ -. A S B ) ) $=
    ( cop cdif wcel wn wa wbr eldif df-br notbii anbi12i 3bitr4i ) ABEZCDFZGPCG
    ZPDGZHZIABQJABCJZABDJZHZIPCDKABQLUARUCTABCLUBSABDLMNO $.

  ${
    $d y A $.  $d y B $.  $d y C $.  $d y R $.  $d x y $.
    $( Move substitution in and out of a binary relation.  (Contributed by NM,
       13-Dec-2005.)  (Revised by NM, 22-Aug-2018.) $)
    sbcbr123 $p |- ( [. A / x ]. B R C
           <-> [_ A / x ]_ B [_ A / x ]_ R [_ A / x ]_ C ) $=
      ( vy wbr wsbc cvv wcel csb sbcex wn c0 br0 csbprc csbeq1 breq123d nfcsb1v
      csbeq1a breqd mtbiri con4i wsb cv dfsbcq2 wceq nfbr weq vtoclbg pm5.21nii
      sbiev ) CDEGZABHZBIJZABCKZABDKZABEKZGZUMABLUOUSUOMZUSUPUQNGUPUQOUTURNUPUQ
      ABEPUAUBUCUMAFUDAFUEZCKZAVADKZAVAEKZGZUNUSFBIUMAFBUFVABUGVBUPVCUQVDURAVAB
      CQAVABEQAVABDQRUMVEAFAVBVCVDAVACSAVAESAVADSUHAFUICVBDVCEVDAVACTAVAETAVADT
      RULUJUK $.
  $}

  ${
    $d x B $.  $d x C $.
    $( Move substitution in and out of a binary relation.  (Contributed by NM,
       23-Aug-2018.) $)
    sbcbr $p |- ( [. A / x ]. B R C <-> B [_ A / x ]_ R C ) $=
      ( wbr wsbc csb sbcbr123 cvv wcel wb csbconstg breq12d wn br0 csbprc breqd
      c0 mtbiri 2falsed pm2.61i bitri ) CDEFABGABCHZABDHZABEHZFZCDUFFZABCDEIBJK
      ZUGUHLUIUDCUEDUFABCJMABDJMNUIOZUGUHUJUGUDUESFUDUEPUJUFSUDUEABEQZRTUJUHCDS
      FCDPUJUFSCDUKRTUAUBUC $.
  $}

  ${
    $d x R $.
    $( Move substitution in and out of a binary relation.  (Contributed by NM,
       13-Dec-2005.) $)
    sbcbr12g $p |- ( A e. V ->
                 ( [. A / x ]. B R C <-> [_ A / x ]_ B R [_ A / x ]_ C ) ) $=
      ( wbr wsbc csb wcel sbcbr123 csbconstg breqd syl5bb ) CDEGABHABCIZABDIZAB
      EIZGBFJZOPEGABCDEKRQEOPABEFLMN $.
  $}

  ${
    $d x C $.  $d x R $.
    $( Move substitution in and out of a binary relation.  (Contributed by NM,
       13-Dec-2005.) $)
    sbcbr1g $p |- ( A e. V -> ( [. A / x ]. B R C <-> [_ A / x ]_ B R C ) ) $=
      ( wcel wbr wsbc csb sbcbr12g csbconstg breq2d bitrd ) BFGZCDEHABIABCJZABD
      JZEHPDEHABCDEFKOQDPEABDFLMN $.
  $}

  ${
    $d x B $.  $d x R $.
    $( Move substitution in and out of a binary relation.  (Contributed by NM,
       13-Dec-2005.) $)
    sbcbr2g $p |- ( A e. V -> ( [. A / x ]. B R C <-> B R [_ A / x ]_ C ) ) $=
      ( wcel wbr wsbc csb sbcbr12g csbconstg breq1d bitrd ) BFGZCDEHABIABCJZABD
      JZEHCQEHABCDEFKOPCQEABCFLMN $.
  $}

  $( Characterization of the symmetric difference of two binary relations.
     (Contributed by Scott Fenton, 11-Apr-2012.) $)
  brsymdif $p |- ( A ( R /_\ S ) B <-> -. ( A R B <-> A S B ) ) $=
    ( csymdif wbr cop wcel wb wn df-br elsymdif bibi12i xchbinxr bitri ) ABCDEZ
    FABGZPHZABCFZABDFZIZJABPKRQCHZQDHZIUAQCDLSUBTUCABCKABDKMNO $.

  ${
    $d A x $.  $d B x y $.  $d R x $.  $d X x $.  $d Y x $.
    $( Restricted existential specialization with a restricted universal
       quantifier over a relation, closed form.  (Contributed by AV,
       20-Aug-2022.) $)
    brralrspcev $p |- ( ( B e. X /\ A. y e. Y A R B )
                        -> E. x e. X A. y e. Y A R x ) $=
      ( cv wbr wral wceq breq2 ralbidv rspcev ) CAHZEIZBGJCDEIZBGJADFODKPQBGODC
      ELMN $.

    $d ph x $.  $d ps x $.
    $( Restricted existential specialization with a restricted universal
       quantifier over an implication with a relation in the antecedent, closed
       form.  (Contributed by AV, 20-Aug-2022.) $)
    brimralrspcev $p |- ( ( B e. X /\ A. y e. Y ( ( ph /\ A R B ) -> ps ) )
                          -> E. x e. X A. y e. Y ( ( ph /\ A R x ) -> ps ) ) $=
      ( cv wbr wa wceq breq2 anbi2d rspceaimv ) AECJZGKZLAEFGKZLBCDFHIQFMRSAQFE
      GNOP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ordered-pair class abstractions (class builders)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Extend class notation to include ordered-pair class abstraction (class
     builder). $)
  copab $a class { <. x , y >. | ph } $.

  ${
    $d x z $.  $d y z $.  $d z ph $.
    $( Define the class abstraction of a collection of ordered pairs.
       Definition 3.3 of [Monk1] p. 34.  Usually ` x ` and ` y ` are distinct,
       although the definition does not require it (see ~ dfid2 for a case
       where they are not distinct).  The brace notation is called "class
       abstraction" by Quine; it is also called "class builder" in the
       literature.  An alternate definition using no existential quantifiers is
       shown by ~ dfopab2 .  An example is given by ~ ex-opab .  (Contributed
       by NM, 4-Jul-1994.) $)
    df-opab $a |- { <. x , y >. | ph } =
                                 { z | E. x E. y ( z = <. x , y >. /\ ph ) } $.
  $}

  ${
    $d x z R $.  $d y z R $.
    $( The collection of ordered pairs in a class is a subclass of it.
       (Contributed by NM, 27-Dec-1996.)  (Proof shortened by Andrew Salmon,
       9-Jul-2011.) $)
    opabss $p |- { <. x , y >. | x R y } C_ R $=
      ( vz cv wbr copab cop wceq wa wex cab df-opab df-br eleq1 biimpar sylan2b
      wcel exlimivv abssi eqsstri ) AEZBEZCFZABGDEZUBUCHZIZUDJZBKAKZDLCUDABDMUI
      DCUHUECRZABUDUGUFCRZUJUBUCCNUGUJUKUEUFCOPQSTUA $.
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.  $d z ps $.  $d z ch $.
    opabbid.1 $e |- F/ x ph $.
    opabbid.2 $e |- F/ y ph $.
    opabbid.3 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal ordered-pair class abstractions (deduction
       form).  (Contributed by NM, 21-Feb-2004.)  (Proof shortened by Andrew
       Salmon, 9-Jul-2011.) $)
    opabbid $p |- ( ph -> { <. x , y >. | ps } = { <. x , y >. | ch } ) $=
      ( vz cv cop wceq wa wex cab copab anbi2d exbid abbidv df-opab 3eqtr4g ) A
      IJDJEJKLZBMZENZDNZIOUBCMZENZDNZIOBDEPCDEPAUEUHIAUDUGDFAUCUFEGABCUBHQRRSBD
      EITCDEITUA $.
  $}

  ${
    $d ph x z $.  $d ph y z $.  $d ps z $.  $d ch z $.
    opabbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal ordered-pair class abstractions (deduction
       form).  (Contributed by NM, 15-May-1995.) $)
    opabbidv $p |- ( ph -> { <. x , y >. | ps } = { <. x , y >. | ch } ) $=
      ( vz cv cop wceq wa wex cab copab anbi2d 2exbidv abbidv df-opab 3eqtr4g )
      AGHDHEHIJZBKZELDLZGMTCKZELDLZGMBDENCDENAUBUDGAUAUCDEABCTFOPQBDEGRCDEGRS
      $.
    $( $j usage 'opabbidv' avoids 'ax-12'; $)
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.  $d z ps $.
    opabbii.1 $e |- ( ph <-> ps ) $.
    $( Equivalent wff's yield equal class abstractions.  (Contributed by NM,
       15-May-1995.) $)
    opabbii $p |- { <. x , y >. | ph } = { <. x , y >. | ps } $=
      ( vz cv wceq copab eqid wb a1i opabbidv ax-mp ) FGZOHZACDIBCDIHOJPABCDABK
      PELMN $.
  $}

  ${
    $d x z w $.  $d y z w $.  $d ph w $.  $d ps w $.
    nfopabd.1 $e |- F/ x ph $.
    nfopabd.2 $e |- F/ y ph $.
    nfopabd.4 $e |- ( ph -> F/ z ps ) $.
    $( Bound-variable hypothesis builder for class abstraction.  Deduction
       form.  (Contributed by Scott Fenton, 26-Oct-2024.) $)
    nfopabd $p |- ( ph -> F/_ z { <. x , y >. | ps } ) $=
      ( vw copab cv cop wceq wa wex cab df-opab nfv nfvd nfexd nfabdw nfcxfrd
      nfand ) AEBCDJIKCKDKLMZBNZDOZCOZIPBCDIQAUGEIAIRAUFECFAUEEDGAUDBEAUDESHUCT
      TUAUB $.
  $}

  ${
    $d x z $.  $d y z $.
    nfopab.1 $e |- F/ z ph $.
    $( Bound-variable hypothesis builder for class abstraction.  (Contributed
       by NM, 1-Sep-1999.)  Remove disjoint variable conditions.  (Revised by
       Andrew Salmon, 11-Jul-2011.)  (Revised by Scott Fenton, 26-Oct-2024.) $)
    nfopab $p |- F/_ z { <. x , y >. | ph } $=
      ( copab wnfc wtru nftru wnf a1i nfopabd mptru ) DABCFGHABCDBICIADJHEKLM
      $.
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.
    $( The first abstraction variable in an ordered-pair class abstraction is
       effectively not free.  (Contributed by NM, 16-May-1995.)  (Revised by
       Mario Carneiro, 14-Oct-2016.) $)
    nfopab1 $p |- F/_ x { <. x , y >. | ph } $=
      ( vz copab cv cop wceq wa wex cab df-opab nfe1 nfab nfcxfr ) BABCEDFBFCFG
      HAICJZBJZDKABCDLQBDPBMNO $.

    $( The second abstraction variable in an ordered-pair class abstraction is
       effectively not free.  (Contributed by NM, 16-May-1995.)  (Revised by
       Mario Carneiro, 14-Oct-2016.) $)
    nfopab2 $p |- F/_ y { <. x , y >. | ph } $=
      ( vz copab cv cop wceq wa wex cab df-opab nfe1 nfex nfab nfcxfr ) CABCEDF
      BFCFGHAIZCJZBJZDKABCDLSCDRCBQCMNOP $.
  $}

  ${
    $d x y z w v $.  $d v ph $.  $d v ps $.
    cbvopab.1 $e |- F/ z ph $.
    cbvopab.2 $e |- F/ w ph $.
    cbvopab.3 $e |- F/ x ps $.
    cbvopab.4 $e |- F/ y ps $.
    cbvopab.5 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables in an ordered-pair class
       abstraction, using implicit substitution.  (Contributed by NM,
       14-Sep-2003.) $)
    cbvopab $p |- { <. x , y >. | ph } = { <. z , w >. | ps } $=
      ( vv cv cop wceq wa wex cab nfv nfan copab opeq12 anbi12d cbvex2v df-opab
      eqeq2d abbii 3eqtr4i ) LMZCMZDMZNZOZAPZDQCQZLRUIEMZFMZNZOZBPZFQEQZLRACDUA
      BEFUAUOVALUNUTCDEFUMAEUMESGTUMAFUMFSHTUSBCUSCSITUSBDUSDSJTUJUPOUKUQOPZUMU
      SABVBULURUIUJUKUPUQUBUFKUCUDUGACDLUEBEFLUEUH $.
  $}

  ${
    $d x y z w $.  $d z w v ph $.  $d x y v ps $.
    cbvopabv.1 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables in an ordered-pair class
       abstraction, using implicit substitution.  (Contributed by NM,
       15-Oct-1996.)  Reduce axiom usage.  (Revised by Gino Giotto,
       15-Oct-2024.) $)
    cbvopabv $p |- { <. x , y >. | ph } = { <. z , w >. | ps } $=
      ( vv cv cop wceq wa wex cab copab weq opeq12 eqeq2d anbi12d df-opab abbii
      cbvex2vw 3eqtr4i ) HIZCIZDIZJZKZALZDMCMZHNUDEIZFIZJZKZBLZFMEMZHNACDOBEFOU
      JUPHUIUOCDEFCEPDFPLZUHUNABUQUGUMUDUEUFUKULQRGSUBUAACDHTBEFHTUC $.
    $( $j usage 'cbvopabv' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x y z w $.  $d z w ph $.  $d x y ps $.
    cbvopabvOLD.1 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Obsolete version of ~ cbvopabv as of 15-Oct-2024.  (Contributed by NM,
       15-Oct-1996.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    cbvopabvOLD $p |- { <. x , y >. | ph } = { <. z , w >. | ps } $=
      ( nfv cbvopab ) ABCDEFAEHAFHBCHBDHGI $.
  $}

  ${
    $d v w x y z $.  $d v w ph $.  $d v w ps $.
    cbvopab1.1 $e |- F/ z ph $.
    cbvopab1.2 $e |- F/ x ps $.
    cbvopab1.3 $e |- ( x = z -> ( ph <-> ps ) ) $.
    $( Change first bound variable in an ordered-pair class abstraction, using
       explicit substitution.  (Contributed by NM, 6-Oct-2004.)  (Revised by
       Mario Carneiro, 14-Oct-2016.)  Add disjoint variable condition to avoid
       ~ ax-13 .  See ~ cbvopab1g for a less restrictive version requiring more
       axioms.  (Revised by Gino Giotto, 17-Jan-2024.) $)
    cbvopab1 $p |- { <. x , y >. | ph } = { <. z , y >. | ps } $=
      ( vw vv cv cop wceq wa wex cab copab nfv nfan nfex wsb nfs1v opeq1 eqeq2d
      sbequ12 anbi12d exbidv cbvexv1 nfsbv sbhypf bitri abbii df-opab 3eqtr4i )
      IKZCKZDKZLZMZANZDOZCOZIPUOEKZUQLZMZBNZDOZEOZIPACDQBEDQVBVHIVBUOJKZUQLZMZA
      CJUAZNZDOZJOVHVAVNCJVAJRVMCDVKVLCVKCRACJUBSTUPVIMZUTVMDVOUSVKAVLVOURVJUOU
      PVIUQUCUDACJUEUFUGUHVNVGJEVMEDVKVLEVKERACJEFUISTVGJRVIVCMZVMVFDVPVKVEVLBV
      PVJVDUOVIVCUQUCUDABCJVCGHUJUFUGUHUKULACDIUMBEDIUMUN $.
    $( $j usage 'cbvopab1' avoids 'ax-13'; $)
  $}

  ${
    $d v w x y $.  $d v w y z $.  $d v w ph $.  $d v w ps $.
    cbvopab1g.1 $e |- F/ z ph $.
    cbvopab1g.2 $e |- F/ x ps $.
    cbvopab1g.3 $e |- ( x = z -> ( ph <-> ps ) ) $.
    $( Change first bound variable in an ordered-pair class abstraction, using
       explicit substitution.  Usage of this theorem is discouraged because it
       depends on ~ ax-13 .  See ~ cbvopab1 for a version with more disjoint
       variable conditions, but not requiring ~ ax-13 .  (Contributed by NM,
       6-Oct-2004.)  (Revised by Mario Carneiro, 14-Oct-2016.)
       (New usage is discouraged.) $)
    cbvopab1g $p |- { <. x , y >. | ph } = { <. z , y >. | ps } $=
      ( vw vv cv cop wceq wa wex cab copab wsb nfv nfan nfs1v nfex opeq1 eqeq2d
      sbequ12 anbi12d exbidv cbvexv1 nfsb sbequ sbie bitrdi bitri abbii df-opab
      3eqtr4i ) IKZCKZDKZLZMZANZDOZCOZIPUQEKZUSLZMZBNZDOZEOZIPACDQBEDQVDVJIVDUQ
      JKZUSLZMZACJRZNZDOZJOVJVCVPCJVCJSVOCDVMVNCVMCSACJUATUBURVKMZVBVODVQVAVMAV
      NVQUTVLUQURVKUSUCUDACJUEUFUGUHVPVIJEVOEDVMVNEVMESACJEFUITUBVIJSVKVEMZVOVH
      DVRVMVGVNBVRVLVFUQVKVEUSUCUDVRVNACERBAJECUJABCEGHUKULUFUGUHUMUNACDIUOBEDI
      UOUP $.
  $}

  ${
    $d w x y z $.  $d w ph $.  $d w ps $.
    cbvopab2.1 $e |- F/ z ph $.
    cbvopab2.2 $e |- F/ y ps $.
    cbvopab2.3 $e |- ( y = z -> ( ph <-> ps ) ) $.
    $( Change second bound variable in an ordered-pair class abstraction, using
       explicit substitution.  (Contributed by NM, 22-Aug-2013.) $)
    cbvopab2 $p |- { <. x , y >. | ph } = { <. x , z >. | ps } $=
      ( vw cv cop wceq wa wex cab copab nfv nfan opeq2 df-opab anbi12d cbvexv1
      eqeq2d exbii abbii 3eqtr4i ) IJZCJZDJZKZLZAMZDNZCNZIOUGUHEJZKZLZBMZENZCNZ
      IOACDPBCEPUNUTIUMUSCULURDEUKAEUKEQFRUQBDUQDQGRUIUOLZUKUQABVAUJUPUGUIUOUHS
      UCHUAUBUDUEACDITBCEITUF $.
  $}

  ${
    $d x y z w $.  $d z w ph $.
    $( Change first bound variable in an ordered-pair class abstraction, using
       explicit substitution.  (Contributed by NM, 31-Jul-2003.) $)
    cbvopab1s $p |- { <. x , y >. | ph } = { <. z , y >. | [ z / x ] ph } $=
      ( vw cv cop wceq wa wex cab wsb copab nfv nfs1v nfan opeq1 eqeq2d df-opab
      nfex sbequ12 anbi12d exbidv cbvexv1 abbii 3eqtr4i ) EFZBFZCFZGZHZAIZCJZBJ
      ZEKUGDFZUIGZHZABDLZIZCJZDJZEKABCMURDCMUNVAEUMUTBDUMDNUSBCUQURBUQBNABDOPTU
      HUOHZULUSCVBUKUQAURVBUJUPUGUHUOUIQRABDUAUBUCUDUEABCESURDCESUF $.
  $}

  ${
    $d x y z $.  $d z ph $.  $d x ps $.
    cbvopab1v.1 $e |- ( x = z -> ( ph <-> ps ) ) $.
    $( Rule used to change the first bound variable in an ordered pair
       abstraction, using implicit substitution.  (Contributed by NM,
       31-Jul-2003.)  (Proof shortened by Eric Schmidt, 4-Apr-2007.) $)
    cbvopab1v $p |- { <. x , y >. | ph } = { <. z , y >. | ps } $=
      ( nfv cbvopab1 ) ABCDEAEGBCGFH $.
  $}

  ${
    $d x y z w $.  $d z w ph $.  $d y w ps $.
    cbvopab2v.1 $e |- ( y = z -> ( ph <-> ps ) ) $.
    $( Rule used to change the second bound variable in an ordered pair
       abstraction, using implicit substitution.  (Contributed by NM,
       2-Sep-1999.) $)
    cbvopab2v $p |- { <. x , y >. | ph } = { <. x , z >. | ps } $=
      ( vw cv cop wceq wex cab copab opeq2 eqeq2d anbi12d cbvexvw exbii df-opab
      wa abbii 3eqtr4i ) GHZCHZDHZIZJZATZDKZCKZGLUCUDEHZIZJZBTZEKZCKZGLACDMBCEM
      UJUPGUIUOCUHUNDEUEUKJZUGUMABUQUFULUCUEUKUDNOFPQRUAACDGSBCEGSUB $.
  $}

  ${
    $d x z w $.  $d y z w $.  $d ph z w $.  $d ps z w $.
    $( Union of two ordered pair class abstractions.  (Contributed by NM,
       30-Sep-2002.) $)
    unopab $p |- ( { <. x , y >. | ph } u. { <. x , y >. | ps } ) =
               { <. x , y >. | ( ph \/ ps ) } $=
      ( vz vw cv cop wa wex cab cun wo copab anbi1d 2exbidv 19.43 exbii df-opab
      wceq weq eqeq1 unabw andi bitr2i bitr3i abbii eqtri uneq12i 3eqtr4i ) EGZ
      CGDGHZTZAIZDJCJZEKZUMBIZDJCJZEKZLZFGZULTZABMZIZDJZCJZFKZACDNZBCDNZLVCCDNU
      TVBAIZDJZCJZVBBIZDJZCJZMZFKVGUOURVLVOEFEFUAZUNVJCDVQUMVBAUKVAULUBZOPVQUQV
      MCDVQUMVBBVROPUCVPVFFVPVKVNMZCJVFVKVNCQVSVECVEVJVMMZDJVSVDVTDVBABUDRVJVMD
      QUERUFUGUHVHUPVIUSACDESBCDESUIVCCDFSUJ $.
    $( $j usage 'unopab' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Functions in maps-to notation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c |-> $.  $( Maps-to symbol $)

  $( Extend the definition of a class to include maps-to notation for defining
     a function via a rule. $)
  cmpt $a class ( x e. A |-> B ) $.

  ${
    $d x y $.  $d y A $.  $d y B $.
    $( Define maps-to notation for defining a function via a rule.  Read as
       "the function which maps ` x ` (in ` A ` ) to ` B ( x ) ` ".  The class
       expression ` B ` is the value of the function at ` x ` and normally
       contains the variable ` x ` .  An example is the square function for
       complex numbers, ` ( x e. CC |-> ( x ^ 2 ) ) ` .  Similar to the
       definition of mapping in [ChoquetDD] p. 2.  (Contributed by NM,
       17-Feb-2008.) $)
    df-mpt $a |- ( x e. A |-> B ) = { <. x , y >. | ( x e. A /\ y = B ) } $.
  $}

  ${
    $d A y $.  $d B y $.  $d C y $.  $d D y $.  $d ph y $.  $d x y $.
    mpteq12da.1 $e |- F/ x ph $.
    mpteq12da.2 $e |- ( ph -> A = C ) $.
    mpteq12da.3 $e |- ( ( ph /\ x e. A ) -> B = D ) $.
    $( An equality inference for the maps-to notation.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.)  Remove dependency on ~ ax-10 .  (Revised by
       SN, 11-Nov-2024.) $)
    mpteq12da $p |- ( ph -> ( x e. A |-> B ) = ( x e. C |-> D ) ) $=
      ( vy cv wcel wceq wa copab cmpt nfv eqeq2d pm5.32da df-mpt eleq2d opabbid
      anbi1d bitrd 3eqtr4g ) ABKZCLZJKZDMZNZBJOUFELZUHFMZNZBJOBCDPBEFPAUJUMBJGA
      JQAUJUGULNUMAUGUIULAUGNDFUHIRSAUGUKULACEUFHUAUCUDUBBJCDTBJEFTUE $.
  $}

  ${
    mpteq12df.1 $e |- F/ x ph $.
    mpteq12df.2 $e |- ( ph -> A = C ) $.
    mpteq12df.3 $e |- ( ph -> B = D ) $.
    $( An equality inference for the maps-to notation.  Compare ~ mpteq12dv .
       (Contributed by Scott Fenton, 8-Aug-2013.)  (Revised by Mario Carneiro,
       11-Dec-2016.)  (Proof shortened by SN, 11-Nov-2024.) $)
    mpteq12df $p |- ( ph -> ( x e. A |-> B ) = ( x e. C |-> D ) ) $=
      ( wceq cv wcel adantr mpteq12da ) ABCDEFGHADFJBKCLIMN $.

    $d A y $.  $d B y $.  $d C y $.  $d D y $.  $d ph y $.  $d x y $.
    $( Obsolete version of ~ mpteq12df as of 11-Nov-2024.  (Contributed by
       Scott Fenton, 8-Aug-2013.)  (Revised by Mario Carneiro, 11-Dec-2016.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    mpteq12dfOLD $p |- ( ph -> ( x e. A |-> B ) = ( x e. C |-> D ) ) $=
      ( vy cv wcel wceq wa copab cmpt nfv eleq2d eqeq2d df-mpt anbi12d opabbid
      3eqtr4g ) ABKZCLZJKZDMZNZBJOUDELZUFFMZNZBJOBCDPBEFPAUHUKBJGAJQAUEUIUGUJAC
      EUDHRADFUFISUAUBBJCDTBJEFTUC $.
  $}

  ${
    $d x y ph $.  $d y A $.  $d y B $.  $d y C $.  $d y D $.
    $( An equality theorem for the maps-to notation.  (Contributed by Mario
       Carneiro, 16-Dec-2013.) $)
    mpteq12f $p |- ( ( A. x A = C /\ A. x e. A B = D ) ->
                    ( x e. A |-> B ) = ( x e. C |-> D ) ) $=
      ( vy wceq wal wral wa cv wcel copab cmpt nfa1 nfra1 nfan nfv rspa df-mpt
      eqeq2d pm5.32da sp eleq2d anbi1d sylan9bbr opabbid 3eqtr4g ) BDGZAHZCEGZA
      BIZJZAKZBLZFKZCGZJZAFMUNDLZUPEGZJZAFMABCNADENUMURVAAFUJULAUIAOUKABPQUMFRU
      LURUOUTJUJVAULUOUQUTULUOJCEUPUKABSUAUBUJUOUSUTUJBDUNUIAUCUDUEUFUGAFBCTAFD
      ETUH $.

    mpteq12dv.1 $e |- ( ph -> A = C ) $.
    ${
      mpteq12dva.2 $e |- ( ( ph /\ x e. A ) -> B = D ) $.
      $( An equality inference for the maps-to notation.  (Contributed by Mario
         Carneiro, 26-Jan-2017.)  Remove dependency on ~ ax-10 , ~ ax-12 .
         (Revised by SN, 11-Nov-2024.) $)
      mpteq12dva $p |- ( ph -> ( x e. A |-> B ) = ( x e. C |-> D ) ) $=
        ( vy cv wcel wceq wa copab cmpt eqeq2d pm5.32da eleq2d anbi1d df-mpt
        bitrd opabbidv 3eqtr4g ) ABJZCKZIJZDLZMZBINUDEKZUFFLZMZBINBCDOBEFOAUHUK
        BIAUHUEUJMUKAUEUGUJAUEMDFUFHPQAUEUIUJACEUDGRSUAUBBICDTBIEFTUC $.
      $( $j usage 'mpteq12dva' avoids 'ax-10' 'ax-12'; $)

      $( Obsolete version of ~ mpteq12dva as of 11-Nov-2024.  (Contributed by
         Mario Carneiro, 26-Jan-2017.)  (Proof modification is discouraged.)
         (New usage is discouraged.) $)
      mpteq12dvaOLD $p |- ( ph -> ( x e. A |-> B ) = ( x e. C |-> D ) ) $=
        ( wceq wal wral cmpt alrimiv ralrimiva mpteq12f syl2anc ) ACEIZBJDFIZBC
        KBCDLBEFLIAQBGMARBCHNBCDEFOP $.
    $}

    mpteq12dv.2 $e |- ( ph -> B = D ) $.
    $( An equality inference for the maps-to notation.  (Contributed by NM,
       24-Aug-2011.)  (Revised by Mario Carneiro, 16-Dec-2013.)  Remove
       dependency on ~ ax-10 , ~ ax-12 .  (Revised by SN and Gino Giotto,
       1-Dec-2023.) $)
    mpteq12dv $p |- ( ph -> ( x e. A |-> B ) = ( x e. C |-> D ) ) $=
      ( wceq cv wcel adantr mpteq12dva ) ABCDEFGADFIBJCKHLM $.
    $( $j usage 'mpteq12dv' avoids 'ax-10' 'ax-12'; $)
  $}

  ${
    $d x A $.  $d x C $.
    $( An equality theorem for the maps-to notation.  (Contributed by NM,
       16-Dec-2013.) $)
    mpteq12 $p |- ( ( A = C /\ A. x e. A B = D ) ->
                    ( x e. A |-> B ) = ( x e. C |-> D ) ) $=
      ( wceq wal wral cmpt ax-5 mpteq12f sylan ) BDFZMAGCEFABHABCIADEIFMAJABCDE
      KL $.
  $}

  ${
    $d x A $.  $d x B $.
    $( An equality theorem for the maps-to notation.  (Contributed by Mario
       Carneiro, 16-Dec-2013.)  (Proof shortened by SN, 11-Nov-2024.) $)
    mpteq1 $p |- ( A = B -> ( x e. A |-> C ) = ( x e. B |-> C ) ) $=
      ( wceq id eqidd mpteq12dv ) BCEZABDCDIFIDGH $.
    $( $j usage 'mpteq1' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Obsolete version of ~ mpteq1 as of 11-Nov-2024.  (Contributed by Mario
       Carneiro, 16-Dec-2013.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    mpteq1OLD $p |- ( A = B -> ( x e. A |-> C ) = ( x e. B |-> C ) ) $=
      ( wceq wral cmpt cv wcel eqidd rgen mpteq12 mpan2 ) BCEDDEZABFABDGACDGENA
      BAHBIDJKABDCDLM $.

    mpteq1d.1 $e |- ( ph -> A = B ) $.
    $( An equality theorem for the maps-to notation.  (Contributed by Mario
       Carneiro, 11-Jun-2016.) $)
    mpteq1d $p |- ( ph -> ( x e. A |-> C ) = ( x e. B |-> C ) ) $=
      ( wceq cmpt mpteq1 syl ) ACDGBCEHBDEHGFBCDEIJ $.
  $}

  ${
    mpteq1i.1 $e |- A = B $.
    $( An equality theorem for the maps-to notation.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.)  Remove all disjoint variable conditions.
       (Revised by SN, 11-Nov-2024.) $)
    mpteq1i $p |- ( x e. A |-> C ) = ( x e. B |-> C ) $=
      ( cmpt wceq wtru a1i eqidd mpteq12dv mptru ) ABDFACDFGHABDCDBCGHEIHDJKL
      $.

    $d A x $.  $d B x $.
    $( An equality theorem for the maps-to notation.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    mpteq1iOLD $p |- ( x e. A |-> C ) = ( x e. B |-> C ) $=
      ( wceq cmpt mpteq1 ax-mp ) BCFABDGACDGFEABCDHI $.
  $}

  ${
    mpteq2da.1 $e |- F/ x ph $.
    mpteq2da.2 $e |- ( ( ph /\ x e. A ) -> B = C ) $.
    $( Slightly more general equality inference for the maps-to notation.
       (Contributed by FL, 14-Sep-2013.)  (Revised by Mario Carneiro,
       16-Dec-2013.)  (Proof shortened by SN, 11-Nov-2024.) $)
    mpteq2da $p |- ( ph -> ( x e. A |-> B ) = ( x e. A |-> C ) ) $=
      ( eqidd mpteq12da ) ABCDCEFACHGI $.

    $( Obsolete version of ~ mpteq2da as of 11-Nov-2024.  (Contributed by FL,
       14-Sep-2013.)  (Revised by Mario Carneiro, 16-Dec-2013.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    mpteq2daOLD $p |- ( ph -> ( x e. A |-> B ) = ( x e. A |-> C ) ) $=
      ( wceq wal wral cmpt eqid ax-gen cv wcel ex ralrimi mpteq12f sylancr ) AC
      CHZBIDEHZBCJBCDKBCEKHTBCLMAUABCFABNCOUAGPQBCDCERS $.
  $}

  ${
    $d x ph $.
    mpteq2dva.1 $e |- ( ( ph /\ x e. A ) -> B = C ) $.
    $( Slightly more general equality inference for the maps-to notation.
       (Contributed by Scott Fenton, 25-Apr-2012.)  Remove dependency on
       ~ ax-10 .  (Revised by SN, 11-Nov-2024.) $)
    mpteq2dva $p |- ( ph -> ( x e. A |-> B ) = ( x e. A |-> C ) ) $=
      ( eqidd mpteq12dva ) ABCDCEACGFH $.
    $( $j usage 'mpteq2dva' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Obsolete version of ~ mpteq2dva as of 11-Nov-2024.  (Contributed by
       Scott Fenton, 25-Apr-2012.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    mpteq2dvaOLD $p |- ( ph -> ( x e. A |-> B ) = ( x e. A |-> C ) ) $=
      ( nfv mpteq2da ) ABCDEABGFH $.
  $}

  ${
    $d x ph $.
    mpteq2dv.1 $e |- ( ph -> B = C ) $.
    $( An equality inference for the maps-to notation.  (Contributed by Mario
       Carneiro, 23-Aug-2014.) $)
    mpteq2dv $p |- ( ph -> ( x e. A |-> B ) = ( x e. A |-> C ) ) $=
      ( wceq cv wcel adantr mpteq2dva ) ABCDEADEGBHCIFJK $.
  $}

  ${
    mpteq2ia.1 $e |- ( x e. A -> B = C ) $.
    $( An equality inference for the maps-to notation.  (Contributed by Mario
       Carneiro, 16-Dec-2013.)  (Proof shortened by SN, 11-Nov-2024.) $)
    mpteq2ia $p |- ( x e. A |-> B ) = ( x e. A |-> C ) $=
      ( cmpt wceq wtru cv wcel adantl mpteq2dva mptru ) ABCFABDFGHABCDAIBJCDGHE
      KLM $.
    $( $j usage 'mpteq2ia' avoids 'ax-10' 'ax-12'; $)

    $( Obsolete version of ~ mpteq2ia as of 11-Nov-2024.  (Contributed by Mario
       Carneiro, 16-Dec-2013.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    mpteq2iaOLD $p |- ( x e. A |-> B ) = ( x e. A |-> C ) $=
      ( wceq wal wral cmpt eqid ax-gen rgen mpteq12f mp2an ) BBFZAGCDFZABHABCIA
      BDIFOABJKPABELABCBDMN $.
  $}

  ${
    mpteq2i.1 $e |- B = C $.
    $( An equality inference for the maps-to notation.  (Contributed by Mario
       Carneiro, 16-Dec-2013.) $)
    mpteq2i $p |- ( x e. A |-> B ) = ( x e. A |-> C ) $=
      ( wceq cv wcel a1i mpteq2ia ) ABCDCDFAGBHEIJ $.
  $}

  ${
    mpteq12i.1 $e |- A = C $.
    mpteq12i.2 $e |- B = D $.
    $( An equality inference for the maps-to notation.  (Contributed by Scott
       Fenton, 27-Oct-2010.)  (Revised by Mario Carneiro, 16-Dec-2013.) $)
    mpteq12i $p |- ( x e. A |-> B ) = ( x e. C |-> D ) $=
      ( cmpt wceq wtru a1i mpteq12dv mptru ) ABCHADEHIJABCDEBDIJFKCEIJGKLM $.
  $}

  ${
    $d z A $.  $d z B $.  $d x y z $.
    nfmpt.1 $e |- F/_ x A $.
    nfmpt.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for the maps-to notation.
       (Contributed by NM, 20-Feb-2013.) $)
    nfmpt $p |- F/_ x ( y e. A |-> B ) $=
      ( vz cmpt cv wcel wceq wa copab df-mpt nfcri nfeq2 nfan nfopab nfcxfr ) A
      BCDHBICJZGIZDKZLZBGMBGCDNUCBGATUBAABCEOAUADFPQRS $.
  $}

  ${
    $d A z $.  $d B z $.  $d x z $.
    $( Bound-variable hypothesis builder for the maps-to notation.
       (Contributed by FL, 17-Feb-2008.) $)
    nfmpt1 $p |- F/_ x ( x e. A |-> B ) $=
      ( vz cmpt cv wcel wceq wa copab df-mpt nfopab1 nfcxfr ) AABCEAFBGDFCHIZAD
      JADBCKNADLM $.
  $}

  ${
    $d x y z w $.  $d w z A $.  $d w z B $.  $d w z C $.
    cbvmptf.1 $e |- F/_ x A $.
    cbvmptf.2 $e |- F/_ y A $.
    cbvmptf.3 $e |- F/_ y B $.
    cbvmptf.4 $e |- F/_ x C $.
    cbvmptf.5 $e |- ( x = y -> B = C ) $.
    $( Rule to change the bound variable in a maps-to function, using implicit
       substitution.  This version has bound-variable hypotheses in place of
       distinct variable conditions.  (Contributed by NM, 11-Sep-2011.)
       (Revised by Thierry Arnoux, 9-Mar-2017.)  Add disjoint variable
       condition to avoid ~ ax-13 .  See ~ cbvmptfg for a less restrictive
       version requiring more axioms.  (Revised by Gino Giotto,
       17-Jan-2024.) $)
    cbvmptf $p |- ( x e. A |-> B ) = ( y e. A |-> C ) $=
      ( vz vw cv wcel wceq wa copab cmpt wsb weq nfv nfcri nfs1v eleq1w sbequ12
      nfan anbi12d cbvopab1 nfeq2 nfsbv sbequ eqeq2d sbiev bitrdi eqtri 3eqtr4i
      df-mpt ) AMCNZKMZDOZPZAKQZBMCNZUSEOZPZBKQZACDRBCERVBLMCNZUTALSZPZLKQVFVAV
      IAKLVALUAVGVHAALCFUBUTALUCUFALTURVGUTVHALCUDUTALUEUGUHVIVELKBVGVHBBLCGUBU
      TALBBUSDHUIUJUFVELUALBTZVGVCVHVDLBCUDVJVHUTABSVDUTLBAUKUTVDABAUSEIUIABTDE
      USJULUMUNUGUHUOAKCDUQBKCEUQUP $.
    $( $j usage 'cbvmptf' avoids 'ax-13'; $)
  $}

  ${
    $d w z x $.  $d w z y $.  $d w z A $.  $d w z B $.  $d w z C $.
    cbvmptfg.1 $e |- F/_ x A $.
    cbvmptfg.2 $e |- F/_ y A $.
    cbvmptfg.3 $e |- F/_ y B $.
    cbvmptfg.4 $e |- F/_ x C $.
    cbvmptfg.5 $e |- ( x = y -> B = C ) $.
    $( Rule to change the bound variable in a maps-to function, using implicit
       substitution.  This version has bound-variable hypotheses in place of
       distinct variable conditions.  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  See ~ cbvmptf for a version with more
       disjoint variable conditions, but not requiring ~ ax-13 .  (Contributed
       by NM, 11-Sep-2011.)  (Revised by Thierry Arnoux, 9-Mar-2017.)
       (New usage is discouraged.) $)
    cbvmptfg $p |- ( x e. A |-> B ) = ( y e. A |-> C ) $=
      ( vz vw cv wcel wceq wa copab cmpt wsb weq nfv nfcri nfs1v eleq1w sbequ12
      nfan anbi12d cbvopab1g nfeq2 nfsb sbequ eqeq2d sbie bitrdi df-mpt 3eqtr4i
      eqtri ) AMCNZKMZDOZPZAKQZBMCNZUSEOZPZBKQZACDRBCERVBLMCNZUTALSZPZLKQVFVAVI
      AKLVALUAVGVHAALCFUBUTALUCUFALTURVGUTVHALCUDUTALUEUGUHVIVELKBVGVHBBLCGUBUT
      ALBBUSDHUIUJUFVELUALBTZVGVCVHVDLBCUDVJVHUTABSVDUTLBAUKUTVDABAUSEIUIABTDEU
      SJULUMUNUGUHUQAKCDUOBKCEUOUP $.
  $}

  ${
    $d x y A $.
    cbvmpt.1 $e |- F/_ y B $.
    cbvmpt.2 $e |- F/_ x C $.
    cbvmpt.3 $e |- ( x = y -> B = C ) $.
    $( Rule to change the bound variable in a maps-to function, using implicit
       substitution.  This version has bound-variable hypotheses in place of
       distinct variable conditions.  (Contributed by NM, 11-Sep-2011.)  Add
       disjoint variable condition to avoid ~ ax-13 .  See ~ cbvmptg for a less
       restrictive version requiring more axioms.  (Revised by Gino Giotto,
       17-Jan-2024.) $)
    cbvmpt $p |- ( x e. A |-> B ) = ( y e. A |-> C ) $=
      ( nfcv cbvmptf ) ABCDEACIBCIFGHJ $.
    $( $j usage 'cbvmpt' avoids 'ax-13'; $)
  $}

  ${
    $d x A $.  $d y A $.
    cbvmptg.1 $e |- F/_ y B $.
    cbvmptg.2 $e |- F/_ x C $.
    cbvmptg.3 $e |- ( x = y -> B = C ) $.
    $( Rule to change the bound variable in a maps-to function, using implicit
       substitution.  This version has bound-variable hypotheses in place of
       distinct variable conditions.  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  See ~ cbvmpt for a version with more
       disjoint variable conditions, but not requiring ~ ax-13 .  (Contributed
       by NM, 11-Sep-2011.)  (New usage is discouraged.) $)
    cbvmptg $p |- ( x e. A |-> B ) = ( y e. A |-> C ) $=
      ( nfcv cbvmptfg ) ABCDEACIBCIFGHJ $.
  $}

  ${
    $d A x y $.  $d B y $.  $d C x $.
    cbvmptv.1 $e |- ( x = y -> B = C ) $.
    $( Rule to change the bound variable in a maps-to function, using implicit
       substitution.  (Contributed by Mario Carneiro, 19-Feb-2013.)  Add
       disjoint variable condition to avoid ~ ax-13 .  See ~ cbvmptvg for a
       less restrictive version requiring more axioms.  (Revised by Gino
       Giotto, 17-Jan-2024.) $)
    cbvmptv $p |- ( x e. A |-> B ) = ( y e. A |-> C ) $=
      ( nfcv cbvmpt ) ABCDEBDGAEGFH $.
    $( $j usage 'cbvmptv' avoids 'ax-13'; $)
  $}

  ${
    $d A x $.  $d A y $.  $d B y $.  $d C x $.
    cbvmptvg.1 $e |- ( x = y -> B = C ) $.
    $( Rule to change the bound variable in a maps-to function, using implicit
       substitution.  Usage of this theorem is discouraged because it depends
       on ~ ax-13 .  See ~ cbvmptv for a version with more disjoint variable
       conditions, but not requiring ~ ax-13 .  (Contributed by Mario Carneiro,
       19-Feb-2013.)  (New usage is discouraged.) $)
    cbvmptvg $p |- ( x e. A |-> B ) = ( y e. A |-> C ) $=
      ( nfcv cbvmptg ) ABCDEBDGAEGFH $.
  $}

  ${
    $d x y $.  $d y B $.
    $( Function with universal domain in maps-to notation.  (Contributed by NM,
       16-Aug-2013.) $)
    mptv $p |- ( x e. _V |-> B ) = { <. x , y >. | y = B } $=
      ( cvv cmpt cv wcel wceq wa copab df-mpt vex biantrur opabbii eqtr4i ) ADC
      EAFDGZBFCHZIZABJQABJABDCKQRABPQALMNO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Transitive classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare a new symbol. $)
  $c Tr $.  $( Transitive predicate.  Read:  "the following class is
              transitive". $)

  $( Extend wff notation to include transitive classes.  Notation from
     [TakeutiZaring] p. 35. $)
  wtr $a wff Tr A $.

  $( Define the transitive class predicate.  Not to be confused with a
     transitive relation (see ~ cotr ).  Definition of [Enderton] p. 71
     extended to arbitrary classes.  For alternate definitions, see ~ dftr2
     (which is suggestive of the word "transitive"), ~ dftr3 , ~ dftr4 ,
     ~ dftr5 , and (when ` A ` is a set) ~ unisuc .  The term "complete" is
     used instead of "transitive" in Definition 3 of [Suppes] p. 130.
     (Contributed by NM, 29-Aug-1993.) $)
  df-tr $a |- ( Tr A <-> U. A C_ A ) $.

  ${
    $d x y A $.
    $( An alternate way of defining a transitive class.  Exercise 7 of
       [TakeutiZaring] p. 40.  (Contributed by NM, 24-Apr-1994.) $)
    dftr2 $p |- ( Tr A <-> A. x A. y ( ( x e. y /\ y e. A ) -> x e. A ) ) $=
      ( cuni wss cv wcel wi wal wa dfss2 df-tr 19.23v eluni imbi1i bitr4i albii
      wtr wex 3bitr4i ) CDZCEAFZUAGZUBCGZHZAICRUBBFZGUFCGJZUDHBIZAIAUACKCLUHUEA
      UHUGBSZUDHUEUGUDBMUCUIUDBUBCNOPQT $.

    $( An alternate way of defining a transitive class.  (Contributed by NM,
       20-Mar-2004.) $)
    dftr5 $p |- ( Tr A <-> A. x e. A A. y e. x y e. A ) $=
      ( wtr cv wcel wa wi wal wral dftr2 alcom impexp albii df-ral bitr4i bitri
      r19.21v ) CDBEZAEZFZTCFZGSCFZHZAIBIZUCBTJZACJZBACKUEUDBIZAIZUGUDBALUIUBUF
      HZAIUGUHUJAUHUBUCHZBTJZUJUHUAUKHZBIULUDUMBUAUBUCMNUKBTOPUBUCBTRQNUFACOPQQ
      $.

    $( An alternate way of defining a transitive class.  Definition 7.1 of
       [TakeutiZaring] p. 35.  (Contributed by NM, 29-Aug-1993.) $)
    dftr3 $p |- ( Tr A <-> A. x e. A x C_ A ) $=
      ( vy wtr cv wcel wral wss dftr5 dfss3 ralbii bitr4i ) BDCEBFCAEZGZABGMBHZ
      ABGACBIONABCMBJKL $.
  $}

  $( An alternate way of defining a transitive class.  Definition of [Enderton]
     p. 71.  (Contributed by NM, 29-Aug-1993.) $)
  dftr4 $p |- ( Tr A <-> A C_ ~P A ) $=
    ( wtr cuni wss cpw df-tr sspwuni bitr4i ) ABACADAAEDAFAAGH $.

  $( Equality theorem for the transitive class predicate.  (Contributed by NM,
     17-Sep-1993.) $)
  treq $p |- ( A = B -> ( Tr A <-> Tr B ) ) $=
    ( wceq cuni wss wtr unieq sseq1d sseq2 bitrd df-tr 3bitr4g ) ABCZADZAEZBDZB
    EZAFBFMOPAEQMNPAABGHABPIJAKBKL $.

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( In a transitive class, the membership relation is transitive.
       (Contributed by NM, 19-Apr-1994.)  (Proof shortened by Andrew Salmon,
       9-Jul-2011.) $)
    trel $p |- ( Tr A -> ( ( B e. C /\ C e. A ) -> B e. A ) ) $=
      ( vy vx wtr cv wcel wa wi wal dftr2 eleq12 wb eleq1 adantl anbi12d adantr
      wceq imbi12d spc2gv pm2.43b sylbi ) AFDGZEGZHZUEAHZIZUDAHZJZEKDKZBCHZCAHZ
      IZBAHZJZDEALUKUNUOUJUPDEBCCAUDBSZUECSZIZUHUNUIUOUSUFULUGUMUDBUECMURUGUMNU
      QUECAOPQUQUIUONURUDBAORTUAUBUC $.
  $}

  $( In a transitive class, the membership relation is transitive.
     (Contributed by NM, 19-Apr-1994.) $)
  trel3 $p |- ( Tr A -> ( ( B e. C /\ C e. D /\ D e. A ) -> B e. A ) ) $=
    ( wtr wcel w3a wa 3anass trel anim2d syl5bi syld ) AEZBCFZCDFZDAFZGZOCAFZHZ
    BAFROPQHZHNTOPQINUASOACDJKLABCJM $.

  ${
    $d x A $.  $d x B $.
    $( An element of a transitive class is a subset of the class.  (Contributed
       by NM, 7-Aug-1994.)  (Proof shortened by JJ, 26-Jul-2021.) $)
    trss $p |- ( Tr A -> ( B e. A -> B C_ A ) ) $=
      ( vx wtr cv wss wral wcel wi dftr3 sseq1 rspccv sylbi ) ADCEZAFZCAGBAHBAF
      ZICAJOPCBANBAKLM $.
  $}

  ${
    $d x A $.  $d x B $.
    $( The intersection of transitive classes is transitive.  (Contributed by
       NM, 9-May-1994.) $)
    trin $p |- ( ( Tr A /\ Tr B ) -> Tr ( A i^i B ) ) $=
      ( vx wtr cin wss wral wcel elin trss im2anan9 syl5bi ssin syl6ib ralrimiv
      wa cv dftr3 sylibr ) ADZBDZPZCQZABEZFZCUDGUDDUBUECUDUBUCUDHZUCAFZUCBFZPZU
      EUFUCAHZUCBHZPUBUIUCABITUJUGUAUKUHAUCJBUCJKLUCABMNOCUDRS $.
  $}

  $( The empty set is transitive.  (Contributed by NM, 16-Sep-1993.) $)
  tr0 $p |- Tr (/) $=
    ( c0 wtr cpw wss 0ss dftr4 mpbir ) ABAACZDHEAFG $.

  $( The universe is transitive.  (Contributed by NM, 14-Sep-2003.) $)
  trv $p |- Tr _V $=
    ( cvv wtr cuni wss ssv df-tr mpbir ) ABACZADHEAFG $.

  ${
    $d y x $.  $d y A $.  $d y B $.
    $( An indexed union of a class of transitive sets is transitive.
       (Contributed by Mario Carneiro, 16-Nov-2014.) $)
    triun $p |- ( A. x e. A Tr B -> Tr U_ x e. A B ) $=
      ( vy wtr wral cv ciun wss wcel wrex eliun r19.29 nfcv nfiu1 nfss trss imp
      wa ssiun2 sstr2 syl2imc rexlimi syl sylan2b ralrimiva dftr3 sylibr ) CEZA
      BFZDGZABCHZIZDULFULEUJUMDULUKULJUJUKCJZABKZUMAUKBCLUJUOSUIUNSZABKUMUIUNAB
      MUPUMABAUKULAUKNABCOPUPUKCIZAGBJCULIUMUIUNUQCUKQRABCTUKCULUAUBUCUDUEUFDUL
      UGUH $.
  $}

  ${
    $d A x $.
    $( The union of a class of transitive sets is transitive.  Exercise 5(a) of
       [Enderton] p. 73.  (Contributed by Scott Fenton, 21-Feb-2011.)  (Proof
       shortened by Mario Carneiro, 26-Apr-2014.) $)
    truni $p |- ( A. x e. A Tr x -> Tr U. A ) $=
      ( cv wtr wral ciun cuni triun wceq wb uniiun treq ax-mp sylibr ) ACZDABEA
      BOFZDZBGZDZABOHRPISQJABKRPLMN $.
  $}

  ${
    $d y x $.  $d y A $.  $d y B $.
    $( An indexed intersection of a class of transitive sets is transitive.
       (Contributed by BJ, 3-Oct-2022.) $)
    triin $p |- ( A. x e. A Tr B -> Tr |^|_ x e. A B ) $=
      ( vy wtr wral cv ciin wss wcel wb cvv eliin elv wa r19.26 trss imp ralimi
      sylibr sylbir ssiin sylan2b ralrimiva dftr3 ) CEZABFZDGZABCHZIZDUIFUIEUGU
      JDUIUHUIJZUGUHCJZABFZUJUKUMKDAUHBCLMNUGUMOZUHCIZABFZUJUNUFULOZABFUPUFULAB
      PUQUOABUFULUOCUHQRSUAABCUHUBTUCUDDUIUET $.
  $}

  ${
    $d A x $.
    $( The intersection of a class of transitive sets is transitive.  Exercise
       5(b) of [Enderton] p. 73.  (Contributed by Scott Fenton, 25-Feb-2011.)
       (Proof shortened by BJ, 3-Oct-2022.) $)
    trint $p |- ( A. x e. A Tr x -> Tr |^| A ) $=
      ( cv wtr wral ciin cint triin wceq wb intiin treq ax-mp sylibr ) ACZDABEA
      BOFZDZBGZDZABOHRPISQJABKRPLMN $.
  $}

  ${
    $d x A $.
    $( Any nonempty transitive class includes its intersection.  Exercise 3 in
       [TakeutiZaring] p. 44 (which mistakenly does not include the
       nonemptiness hypothesis).  (Contributed by Scott Fenton, 3-Mar-2011.)
       (Proof shortened by Andrew Salmon, 14-Nov-2011.) $)
    trintss $p |- ( ( Tr A /\ A =/= (/) ) -> |^| A C_ A ) $=
      ( vx c0 wne wtr cint wss cv wcel wex wi intss1 trss com12 sylsyld exlimiv
      n0 sstr2 sylbi impcom ) ACDZAEZAFZAGZUABHZAIZBJUBUDKZBAQUFUGBUFUCUEGUBUEA
      GZUDUEALUBUFUHAUEMNUCUEAROPST $.
  $}

$( End $[ set-class.mm $] $)


$( Begin $[ set-zf.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  ZF Set Theory - add the Axiom of Replacement
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Introduce the Axiom of Replacement
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w $.
    $( Axiom of Replacement.  An axiom scheme of Zermelo-Fraenkel set theory.
       Axiom 5 of [TakeutiZaring] p. 19.  It tells us that the image of any set
       under a function is also a set (see the variant ~ funimaex ).  Although
       ` ph ` may be any wff whatsoever, this axiom is useful (i.e. its
       antecedent is satisfied) when we are given some function and ` ph `
       encodes the predicate "the value of the function at ` w ` is ` z ` ".
       Thus, ` ph ` will ordinarily have free variables ` w ` and ` z ` - think
       of it informally as ` ph ( w , z ) ` .  We prefix ` ph ` with the
       quantifier ` A. y ` in order to "protect" the axiom from any ` ph `
       containing ` y ` , thus allowing us to eliminate any restrictions on
       ` ph ` .  Another common variant is derived as ~ axrep5 , where you can
       find some further remarks.  A slightly more compact version is shown as
       ~ axrep2 .  A quite different variant is ~ zfrep6 , which if used in
       place of ~ ax-rep would also require that the Separation Scheme ~ axsep
       be stated as a separate axiom.

       There is a very strong generalization of Replacement that doesn't demand
       function-like behavior of ` ph ` .  Two versions of this generalization
       are called the Collection Principle ~ cp and the Boundedness Axiom
       ~ bnd .

       Many developments of set theory distinguish the uses of Replacement from
       uses of the weaker axioms of Separation ~ axsep , Null Set ~ axnul , and
       Pairing ~ axpr , all of which we derive from Replacement.  In order to
       make it easier to identify the uses of those redundant axioms, we
       restate them as Axioms ~ ax-sep , ~ ax-nul , and ~ ax-pr below the
       theorems that prove them.  (Contributed by NM, 23-Dec-1993.) $)
    ax-rep $a |- ( A. w E. y A. z ( A. y ph -> z = y ) ->
                     E. y A. z ( z e. y <-> E. w ( w e. x /\ A. y ph ) ) ) $.
  $}

  ${
    $d w y ph $.  $d w x y z $.
    $( The version of the Axiom of Replacement used in the Metamath Solitaire
       applet ~ https://us.metamath.org/mmsolitaire/mms.html .  Equivalence is
       shown via the path ~ ax-rep ` -> ` ~ axrep1 ` -> ` ~ axrep2 ` -> `
       ~ axrepnd ` -> ` ~ zfcndrep = ~ ax-rep .  (Contributed by NM,
       19-Nov-2005.)  (Proof shortened by Mario Carneiro, 17-Nov-2016.)  Remove
       dependency on ~ ax-13 .  (Revised by BJ, 31-May-2019.) $)
    axrep1 $p |- E. x ( E. y A. z ( ph -> z = y ) ->
                 A. z ( z e. x <-> E. x ( x e. y /\ ph ) ) ) $=
      ( vw weq wi wal wex wel wa elequ2 anbi1d exbidv bibi2d albidv albii exbii
      wb nfv imbi2d ax-rep imbi1i nfe1 nfbi nfal anbi2i bibi12d cbvexv1 3imtr3i
      19.3v a1i chvarvv 19.35ri ) ADCFZGZDHZCIZDBJZBCJZAKZBIZSZDHZBURBHZUSBEJZA
      KZBIZSZDHZBIZGVEVDBIZGECECFZVKVLVEVMVJVDBVMVIVCDVMVHVBUSVMVGVABVMVFUTAECB
      LMNOPNUAACHZUOGZDHZCIZBHDCJZVFVNKZBIZSZDHZCIVEVKAECDBUBVQURBVPUQCVOUPDVNA
      UOACUKZUCQRQWBVJCBWABDVRVTBVRBTVSBUDUEUFVJCTCBFZWAVIDWDVRUSVTVHCBDLVTVHSW
      DVSVGBVNAVFWCUGRULUHPUIUJUMUN $.
  $}

  ${
    $d u x $.  $d u y $.  $d v x $.  $d v y $.  $d w x $.  $d w y $.
    $( Lemma for ~ axrep2 and ~ axrep3 .  (Contributed by BJ, 6-Aug-2022.) $)
    axreplem $p |- ( x = y ->
                  ( E. u ( ph -> A. v ( ps <-> E. w ( z e. x /\ ch ) ) ) <->
                    E. u ( ph -> A. v ( ps <-> E. w ( z e. y /\ ch ) ) ) ) ) $=
      ( weq wel wa wex wb wal wi elequ2 anbi1d exbidv bibi2d albidv imbi2d ) DE
      JZABFDKZCLZGMZNZHOZPABFEKZCLZGMZNZHOZPIUCUHUMAUCUGULHUCUFUKBUCUEUJGUCUDUI
      CDEFQRSTUAUBS $.
  $}

  ${
    $d w ph $.  $d w x y z $.
    $( Axiom of Replacement expressed with the fewest number of different
       variables and without any restrictions on ` ph ` .  (Contributed by NM,
       15-Aug-2003.)  Remove dependency on ~ ax-13 .  (Revised by BJ,
       31-May-2019.) $)
    axrep2 $p |- E. x ( E. y A. z ( ph -> z = y ) ->
                        A. z ( z e. x <-> E. x ( x e. y /\ A. y ph ) ) ) $=
      ( vw wal weq wi wex wel nfe1 nfv nfim nfex axreplem axrep1 chvarfv imim1i
      wa wb sp alimi eximi nfa1 nfal equequ2 imbi2d albidv cbvexv1 sylib eximii
      ) ACFZDEGZHZDFZEIZDBJZBCJULSBITDFZHZADCGZHZDFZCIZURHBUPUQBEJULSBITDFHBIUS
      BIECUSEBUPUREUOEKURELMNUPUQULECBBDBOULBEDPQVCUPURVCULUTHZDFZCIUPVBVECVAVD
      DULAUTACUARUBUCVEUOCEVEELUNCDULUMCACUDUMCLMUECEGZVDUNDVFUTUMULCEDUFUGUHUI
      UJRUK $.
  $}

  ${
    $d w x y z $.
    $( Axiom of Replacement slightly strengthened from ~ axrep2 ; ` w ` may
       occur free in ` ph ` .  (Contributed by NM, 2-Jan-1997.)  Remove
       dependency on ~ ax-13 .  (Revised by BJ, 31-May-2019.) $)
    axrep3 $p |- E. x ( E. y A. z ( ph -> z = y ) ->
                 A. z ( z e. x <-> E. x ( x e. w /\ A. y ph ) ) ) $=
      ( weq wi wal wex wel wa wb nfe1 nfv nfa1 nfan nfex nfbi nfal nfim chvarfv
      axreplem axrep2 ) ADCFGDHZCIZDBJZBCJACHZKBILDHGBIUEUFBEJZUGKZBIZLZDHZGZBI
      CEUMCBUEULCUDCMUKCDUFUJCUFCNUICBUHUGCUHCNACOPQRSTQUEUFUGCEBBDBUBABCDUCUA
      $.
  $}

  ${
    $d x y z w $.
    axrep4.1 $e |- F/ z ph $.
    $( A more traditional version of the Axiom of Replacement.  (Contributed by
       NM, 14-Aug-1994.) $)
    axrep4 $p |- ( A. x E. z A. y ( ph -> y = z ) ->
                E. z A. y ( y e. z <-> E. x ( x e. w /\ ph ) ) ) $=
      ( weq wi wal wex wel wa wb axrep3 19.35i nfv nfa1 nfan nfbi nfal nfex a1i
      nfe1 elequ2 19.3 anbi2i exbii bibi12d albidv cbvexv1 sylib ) ACDGHCIDJZBI
      CBKZBEKZADIZLZBJZMZCIZBJCDKZUNALZBJZMZCIZDJULUSBABDCENOUSVDBDURDCUMUQDUMD
      PUPDBUNUODUNDPADQRUASTVCBCUTVBBUTBPVABUCSTBDGZURVCCVEUMUTUQVBBDCUDUQVBMVE
      UPVABUOAUNADFUEUFUGUBUHUIUJUK $.
  $}

  ${
    $d x y z w $.
    axrep5.1 $e |- F/ z ph $.
    $( Axiom of Replacement (similar to Axiom Rep of [BellMachover] p. 463).
       The antecedent tells us ` ph ` is analogous to a "function" from ` x `
       to ` y ` (although it is not really a function since it is a wff and not
       a class).  In the consequent we postulate the existence of a set ` z `
       that corresponds to the "image" of ` ph ` restricted to some other set
       ` w ` .  The hypothesis says ` z ` must not be free in ` ph ` .
       (Contributed by NM, 26-Nov-1995.)  (Revised by Mario Carneiro,
       14-Oct-2016.) $)
    axrep5 $p |- ( A. x ( x e. w -> E. z A. y ( ph -> y = z ) ) ->
                E. z A. y ( y e. z <-> E. x ( x e. w /\ ph ) ) ) $=
      ( wel weq wi wal wex wa wb 19.37v impexp albii 19.21v bitr2i exbii bitr3i
      nfv nfan axrep4 sylbi anabs5 bibi2i sylib ) BEGZACDHZIZCJZDKIZBJZCDGZUHUH
      ALZLZBKZMZCJZDKZUNUOBKZMZCJZDKUMUOUIIZCJZDKZBJUTULVFBULUHUKIZDKVFUHUKDNVG
      VEDVEUHUJIZCJVGVDVHCUHAUIOPUHUJCQRSTPUOBCDEUHADUHDUAFUBUCUDUSVCDURVBCUQVA
      UNUPUOBUHAUESUFPSUG $.
  $}

  ${
    $d w x y z $.  $d y ph $.
    $( A condensed form of ~ ax-rep .  (Contributed by SN, 18-Sep-2023.) $)
    axrep6 $p |- ( A. w E* z ph -> E. y A. z ( z e. y <-> E. w e. x ph ) ) $=
      ( wal weq wi wex wel wa wb wmo cv wrex ax-rep df-mo 19.3v albii exbii
      imbi1i bitr4i rexbii df-rex bitr3i bibi2i 3imtr4i ) ACFZDCGZHZDFZCIZEFDCJ
      ZEBJUHKEIZLZDFZCIADMZEFUMAEBNZOZLZDFZCIABCDEPUQULEUQAUIHZDFZCIULADCQUKVCC
      UJVBDUHAUIACRZUASTUBSVAUPCUTUODUSUNUMUSUHEUROUNUHAEURVDUCUHEURUDUEUFSTUG
      $.
  $}

  ${
    $d y z A v $.  $d z ph v $.  $d x y z v $.
    zfrepclf.1 $e |- F/_ x A $.
    zfrepclf.2 $e |- A e. _V $.
    zfrepclf.3 $e |- ( x e. A -> E. z A. y ( ph -> y = z ) ) $.
    $( An inference based on the Axiom of Replacement.  Typically, ` ph `
       defines a function from ` x ` to ` y ` .  (Contributed by NM,
       26-Nov-1995.) $)
    zfrepclf $p |- E. z A. y ( y e. z <-> E. x ( x e. A /\ ph ) ) $=
      ( vv wel cv wcel wa wex wb wal wceq wi nfeq2 eleq2 syl6bi nfv exbid mpbid
      alrimi axrep5 syl anbi1d bibi2d albidv exbidv vtocle ) CDJZBKZELZAMZBNZOZ
      CPZDNZIEGIKZEQZUMBIJZAMZBNZOZCPZDNZUTVBVCACKDKQRCPDNZRZBPVHVBVJBBVAEFSZVB
      VCUOVIVAEUNTZHUAUEABCDIADUBUFUGVBVGUSDVBVFURCVBVEUQUMVBVDUPBVKVBVCUOAVLUH
      UCUIUJUKUDUL $.
  $}

  ${
    $d x y z A $.  $d z ph $.
    zfrep3cl.1 $e |- A e. _V $.
    zfrep3cl.2 $e |- ( x e. A -> E. z A. y ( ph -> y = z ) ) $.
    $( An inference based on the Axiom of Replacement.  Typically, ` ph `
       defines a function from ` x ` to ` y ` .  (Contributed by NM,
       26-Nov-1995.) $)
    zfrep3cl $p |- E. z A. y ( y e. z <-> E. x ( x e. A /\ ph ) ) $=
      ( nfcv zfrepclf ) ABCDEBEHFGI $.
  $}

  ${
    $d ph y z $.  $d ps z $.  $d x y z $.
    zfrep4.1 $e |- { x | ph } e. _V $.
    zfrep4.2 $e |- ( ph -> E. z A. y ( ps -> y = z ) ) $.
    $( A version of Replacement using class abstractions.  (Contributed by NM,
       26-Nov-1995.) $)
    zfrep4 $p |- { y | E. x ( ph /\ ps ) } e. _V $=
      ( cv cab wcel wa wex cvv abid anbi1i exbii abbii wceq wb wal nfab1 sylbi
      wi zfrepclf abeq2 mpbir issetri eqeltrri ) CHACIZJZBKZCLZDIZABKZCLZDIMULU
      ODUKUNCUJABACNZOPQEUMEHZUMRZELDHZUQJULSDTZELBCDEUIACUAFUJABUSUQRUCDTELUPG
      UBUDURUTEULDUQUEPUFUGUH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derive the Axiom of Separation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w $.  $d y ph w $.
    $( A more general version ~ axsepg of the axiom scheme of separation
       ~ ax-sep derived from the axiom scheme of replacement ~ ax-rep (and
       first-order logic).  The extra generality consists in the absence of a
       disjoint variable condition on ` z , ph ` (that is, variable ` z ` may
       occur in formula ` ph ` ).  See linked statements for more information.
       (Contributed by NM, 11-Sep-2006.)  Remove dependencies on ~ ax-9 to
       ~ ax-13 .  (Revised by SN, 25-Sep-2023.)  Use ~ ax-sep instead (or
       ~ axsepg if the extra generality is needed).
       (New usage is discouraged.) $)
    axsepgfromrep $p |- E. y A. x ( x e. y <-> ( x e. z /\ ph ) ) $=
      ( vw wel weq wa cv wb wal wex wmo axrep6 euequ eumoi equcomi adantr exbii
      wrex moimi ax-mp mpg df-rex an12 elequ1 anbi1d equsexvw bibi2i albii mpbi
      3bitr2i ) BCFZEBGZAHZEDIZTZJZBKZCLZUMBDFZAHZJZBKZCLUOBMZUTEUODCBENBEGZBMV
      EVFBBEOPUOVFBUNVFAEBQRUAUBUCUSVDCURVCBUQVBUMUQEDFZUOHZELUNVGAHZHZELVBUOEU
      PUDVJVHEUNVGAUESVIVBEBUNVGVAAEBDUFUGUHULUIUJSUK $.
  $}

  ${
    $d x y z $.  $d y z ph $.
    $( Axiom scheme of separation ~ ax-sep derived from the axiom scheme of
       replacement ~ ax-rep .  The statement is identical to that of ~ ax-sep ,
       and therefore shows that ~ ax-sep is redundant when ~ ax-rep is allowed.
       See ~ ax-sep for more information.  (Contributed by NM, 11-Sep-2006.)
       Use ~ ax-sep instead.  (New usage is discouraged.) $)
    axsep $p |- E. y A. x ( x e. y <-> ( x e. z /\ ph ) ) $=
      ( axsepgfromrep ) ABCDE $.

    $( Axiom scheme of separation.  This is an axiom scheme of Zermelo and
       Zermelo-Fraenkel set theories.

       It was derived as ~ axsep above and is therefore redundant in ZF set
       theory, which contains ~ ax-rep as an axiom (contrary to Zermelo set
       theory).  We state it as a separate axiom here so that some of its uses
       can be identified more easily.  Some textbooks present the axiom scheme
       of separation as a separate axiom scheme in order to show that much of
       set theory can be derived without the stronger axiom scheme of
       replacement (which is not part of Zermelo set theory).

       The axiom scheme of separation is a weak form of Frege's axiom scheme of
       (unrestricted) comprehension, in that it conditions it with the
       condition ` x e. z ` , so that it asserts the existence of a collection
       only if it is smaller than some other collection ` z ` that already
       exists.  This prevents Russell's paradox ~ ru .  In some texts, this
       scheme is called "Aussonderung" (German for "separation") or "Subset
       Axiom".

       The variable ` x ` can occur in the formula ` ph ` , which in textbooks
       is often written ` ph ( x ) ` .  To specify this in the Metamath
       language, we _omit_ the distinct variable condition ($d) that ` x ` not
       occur in ` ph ` .

       For a version using a class variable, see ~ zfauscl , which requires the
       axiom of extensionality as well as the axiom scheme of separation for
       its derivation.

       If we omit the requirement that ` y ` not occur in ` ph ` , we can
       derive a contradiction, as ~ notzfaus shows (showing the necessity of
       that condition in ~ zfauscl ).

       Scheme Sep of [BellMachover] p. 463.  (Contributed by NM,
       11-Sep-2006.) $)
    ax-sep $a |- E. y A. x ( x e. y <-> ( x e. z /\ ph ) ) $.
    $( $j restatement 'ax-sep' of 'axsep'; $)
  $}

  ${
    $d x y z w $.  $d y ph w $.
    $( A more general version of the axiom scheme of separation ~ ax-sep ,
       where variable ` z ` can also occur (in addition to ` x ` ) in formula
       ` ph ` , which can therefore be thought of as ` ph ( x , z ) ` .  This
       version is derived from the more restrictive ~ ax-sep with no additional
       set theory axioms.  Note that it was also derived from ~ ax-rep but
       without ~ ax-sep as ~ axsepgfromrep .  (Contributed by NM, 10-Dec-2006.)
       (Proof shortened by Mario Carneiro, 17-Nov-2016.)  Remove dependency on
       ~ ax-12 and ~ ax-13 and shorten proof.  (Revised by BJ, 6-Oct-2019.) $)
    axsepg $p |- E. y A. x ( x e. y <-> ( x e. z /\ ph ) ) $=
      ( vw wel wa wal wex weq elequ2 anbi1d bibi2d albidv exbidv ax-sep chvarvv
      wb ) BCFZBEFZAGZRZBHZCISBDFZAGZRZBHZCIEDEDJZUCUGCUHUBUFBUHUAUESUHTUDAEDBK
      LMNOABCEPQ $.
  $}

  ${
    $d x y A z $.  $d y ph z $.
    zfauscl.1 $e |- A e. _V $.
    $( Separation Scheme (Aussonderung) using a class variable.  To derive this
       from ~ ax-sep , we invoke the Axiom of Extensionality (indirectly via
       ~ vtocl ), which is needed for the justification of class variable
       notation.

       If we omit the requirement that ` y ` not occur in ` ph ` , we can
       derive a contradiction, as ~ notzfaus shows.  (Contributed by NM,
       21-Jun-1993.) $)
    zfauscl $p |- E. y A. x ( x e. y <-> ( x e. A /\ ph ) ) $=
      ( vz cv wcel wa wb wal wex eleq2 anbi1d bibi2d albidv exbidv ax-sep vtocl
      wceq ) BGZCGHZUAFGZHZAIZJZBKZCLUBUADHZAIZJZBKZCLFDEUCDTZUGUKCULUFUJBULUEU
      IUBULUDUHAUCDUAMNOPQABCFRS $.
  $}

  ${
    $d x ph z $.  $d x y z $.
    bm1.3ii.1 $e |- E. x A. y ( ph -> y e. x ) $.
    $( Convert implication to equivalence using the Separation Scheme
       (Aussonderung) ~ ax-sep .  Similar to Theorem 1.3(ii) of [BellMachover]
       p. 463.  (Contributed by NM, 21-Jun-1993.) $)
    bm1.3ii $p |- E. x A. y ( y e. x <-> ph ) $=
      ( vz wel wi wal wa wb wex 19.42v bimsc1 eximi sylbir elequ2 imbi2d albidv
      alanimi weq cbvexvw mpbi ax-sep exan exlimiiv ) ACEFZGZCHZCBFZUFAIJZCHZBK
      ZIZUIAJZCHZBKZEUMUHUKIZBKUPUHUKBLUQUOBUGUJUNCAUFUIMSNOUHULEAUIGZCHZBKUHEK
      DUSUHBEBETZURUGCUTUIUFABECPQRUAUBACBEUCUDUE $.
  $}

  ${
    $d x y z $.
    $( Derive ~ ax6v (a weakened version of ~ ax-6 where ` x ` and ` y ` must
       be distinct), from Separation ~ ax-sep and Extensionality ~ ax-ext .
       See ~ ax6 for the derivation of ~ ax-6 from ~ ax6v .  (Contributed by
       NM, 12-Nov-2013.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ax6vsep $p |- -. A. x -. x = y $=
      ( vz cv wceq wex wn wal wcel wi wa wb ax-sep biantru bibi2i biimpri alimi
      id ax-ext syl eximi ax-mp df-ex mpbi ) ADZBDZEZAFZUGGAHGCDZUEIZUIUFIZUIUI
      EZULJZKZLZCHZAFUHUMCABMUPUGAUPUJUKLZCHUGUOUQCUQUOUKUNUJUMUKULRNOPQABCSTUA
      UBUGAUCUD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derive the Null Set Axiom
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w $.
    $( Alternate proof of ~ axnul , proved from propositional calculus,
       ~ ax-gen , ~ ax-4 , ~ sp , and ~ ax-rep .  To check this, replace ~ sp
       with the obsolete axiom ~ ax-c5 in the proof of ~ axnulALT and type the
       Metamath program "MM> SHOW TRACE__BACK axnulALT / AXIOMS" command.
       (Contributed by Jeff Hoffman, 3-Feb-2008.)  (Proof shortened by Mario
       Carneiro, 17-Nov-2016.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    axnulALT $p |- E. x A. y -. y e. x $=
      ( vw vz cv wcel wn wal wex wfal wa wb wi ax-rep sp con2i df-ex sylibr mpg
      wceq fal mto pm2.21i intnan nex nbn albii exbii mpbir ) BEZAEZFZGZBHZAIUL
      CEDEFZJAHZKZCIZLZBHZAIZUPUJUKTZMZBHZAIZVACJDABCNVCVEBVDVDGZAHZGVEVGVDVFAO
      PVDAQRUPVBUPJUAJAOUBZUCSSUNUTAUMUSBURULUQCUPUOVHUDUEUFUGUHUI $.

    $( The Null Set Axiom of ZF set theory: there exists a set with no
       elements.  Axiom of Empty Set of [Enderton] p. 18.  In some textbooks,
       this is presented as a separate axiom; here we show it can be derived
       from Separation ~ ax-sep .  This version of the Null Set Axiom tells us
       that at least one empty set exists, but does not tell us that it is
       unique - we need the Axiom of Extensionality to do that (see ~ nulmo ).

       This proof, suggested by Jeff Hoffman, uses only ~ ax-4 and ~ ax-gen
       from predicate calculus, which are valid in "free logic" i.e. logic
       holding in an empty domain (see Axiom A5 and Rule R2 of [LeBlanc]
       p. 277).  Thus, our ~ ax-sep implies the existence of at least one set.
       Note that Kunen's version of ~ ax-sep (Axiom 3 of [Kunen] p. 11) does
       not imply the existence of a set because his is universally closed,
       i.e., prefixed with universal quantifiers to eliminate all free
       variables.  His existence is provided by a separate axiom stating
       ` E. x x = x ` (Axiom 0 of [Kunen] p. 10).

       See ~ axnulALT for a proof directly from ~ ax-rep .

       This theorem should not be referenced by any proof.  Instead, use
       ~ ax-nul below so that the uses of the Null Set Axiom can be more easily
       identified.  (Contributed by Jeff Hoffman, 3-Feb-2008.)  (Revised by NM,
       4-Feb-2008.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    axnul $p |- E. x A. y -. y e. x $=
      ( vz wel wfal wa wb wal wn ax-sep fal intnan id mtbiri alimi eximii ) BAD
      ZBCDZEFZGZBHQIZBHAEBACJTUABTQSERKLTMNOP $.

    $( The Null Set Axiom of ZF set theory.  It was derived as ~ axnul above
       and is therefore redundant, but we state it as a separate axiom here so
       that its uses can be identified more easily.  (Contributed by NM,
       7-Aug-2003.) $)
    ax-nul $a |- E. x A. y -. y e. x $.
    $( $j restatement 'ax-nul' of 'axnul'; $)

    $( The Null Set Axiom of ZF set theory: the empty set exists.  Corollary
       5.16 of [TakeutiZaring] p. 20.  For the unabbreviated version, see
       ~ ax-nul .  (Contributed by NM, 21-Jun-1993.)  (Proof shortened by
       Andrew Salmon, 9-Jul-2011.) $)
    0ex $p |- (/) e. _V $=
      ( vx vy c0 cv wceq wex wel wn wal ax-nul eq0 exbii mpbir issetri ) ACADZC
      EZAFBAGHBIZAFABJPQABOKLMN $.
  $}

  ${
    $d X y $.
    $( The empty set is the unique class which is a subclass of any set.
       (Contributed by AV, 24-Aug-2022.) $)
    al0ssb $p |- ( A. y X C_ y <-> X = (/) ) $=
      ( cv wss wal c0 wceq 0ex sseq2 ss0b bitrdi 0ss ax-gen sseq1 albidv mpbiri
      spcv impbii ) BACZDZAEZBFGZTUBAFHSFGTBFDUBSFBIBJKQUBUAFSDZAEUCASLMUBTUCAB
      FSNOPR $.
  $}

  ${
    sseliALT.1 $e |- A C_ B $.
    $( Alternate proof of ~ sseli illustrating the use of the weak deduction
       theorem to prove it from the inference ~ sselii .  (Contributed by NM,
       24-Aug-2018.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sseliALT $p |- ( C e. A -> C e. B ) $=
      ( wcel csn cif wceq biidd eleq2 eleq1 wss sseq1 sseq2 ssid keephyp3v snid
      c0 0ex elimhyp3v sselii dedth3v ) CAEZCBEZUDCUCBRFZGZEUCCRGZUFEABCUEUERAU
      CAUEGZHUDIBUFCJCUGUFKUHUFUGUCUHBLUHUFLZUIUEUELUHUELUIABLABCUEUERAUHBMBUFU
      HNCUGHUIIUEUHUEMUEUFUHNRUGHUIIDUEOPUCCUHEZUJUGUHERUEERUHEZUKABCUEUERAUHCJ
      BUFHUJICUGUHKUEUHRJUEUFHUKIRUGUHKRSQTUAUB $.
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    $( The existence of proper substitution into a class.  (Contributed by NM,
       10-Nov-2005.)  (Revised by NM, 17-Aug-2018.) $)
    csbexg $p |- ( A. x B e. W -> [_ A / x ]_ B e. _V ) $=
      ( vy cvv wcel wal csb wa cv wsbc cab abid2 elex eqeltrid alimi spsbc syl5
      df-csb nfcv sbcabel sylibd imp wn c0 csbprc 0ex eqeltrdi adantr pm2.61ian
      ) BFGZCDGZAHZABCIZFGZULUNJUOEKCGZABLEMZFAEBCTULUNURFGZULUNUQEMZFGZABLZUSU
      NVAAHULVBUMVAAUMUTCFECNCDOPQVAABFRSUQAEBFFAFUAUBUCUDPULUEZUPUNVCUOUFFABCU
      GUHUIUJUK $.
  $}

  ${
    csbex.1 $e |- B e. _V $.
    $( The existence of proper substitution into a class.  (Contributed by NM,
       7-Aug-2007.)  (Proof shortened by Andrew Salmon, 29-Jun-2011.)  (Revised
       by NM, 17-Aug-2018.) $)
    csbex $p |- [_ A / x ]_ B e. _V $=
      ( cvv wcel csb csbexg mpg ) CEFABCGEFAABCEHDI $.
  $}

  $( A version of ~ unisn without the ` A e. _V ` hypothesis.  (Contributed by
     Stefan Allan, 14-Mar-2006.) $)
  unisn2 $p |- U. { A } e. { (/) , A } $=
    ( cvv wcel csn cuni c0 cpr unisng prid2g eqeltrd wn wceq biimpi unieqd uni0
    snprc 0ex prid1 eqeltri eqeltrdi pm2.61i ) ABCZADZEZFAGZCUBUDAUEABHFABIJUBK
    ZUDFEZUEUFUCFUFUCFLAPMNUGFUEOFAQRSTUA $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Theorems requiring subset and intersection existence
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( No set contains all sets.  Theorem 41 of [Suppes] p. 30.  (Contributed
       by NM, 23-Aug-1993.)  Remove use of ~ ax-12 and ~ ax-13 .  (Revised by
       BJ, 31-May-2019.) $)
    nalset $p |- -. E. x A. y y e. x $=
      ( vz wel wn wex wal alexn wa wb ax-sep elequ1 elequ2 bitrd notbid anbi12d
      weq bibi12d spvv pclem6 syl eximii mpgbi ) BADZEZBFUDBGAFEAUDABHCBDZCADZC
      CDZEZIZJZCGZUEBUICBAKULBBDZUDUMEZIZJZUEUKUPCBCBQZUFUMUJUOCBBLUQUGUDUIUNCB
      ALUQUHUMUQUHBCDUMCBCLCBBMNOPRSUMUDTUAUBUC $.
    $( $j usage 'nalset' avoids 'ax-12' 'ax-13'; $)
  $}

  ${
    $d x y $.
    $( The universal class does not exist as a set.  (Contributed by NM,
       4-Jul-2005.) $)
    vnex $p |- -. E. x x = _V $=
      ( vy wel wal wex cv cvv wceq nalset wcel wb vex albii dfcleq bitr4i exbii
      tbt mtbi ) BACZBDZAEAFZGHZAEABITUBATSBFGJZKZBDUBSUDBUCSBLQMBUAGNOPR $.
  $}

  $( The universal class is not a member of itself (and thus is not a set).
     Proposition 5.21 of [TakeutiZaring] p. 21; our proof, however, does not
     depend on the Axiom of Regularity.  (Contributed by NM, 23-Aug-1993.) $)
  vprc $p |- -. _V e. _V $=
    ( vx cvv wcel cv wceq wex vnex isset mtbir ) BBCADBEAFAGABHI $.

  $( The universal class does not belong to any class.  (Contributed by FL,
     31-Dec-2006.) $)
  nvel $p |- -. _V e. A $=
    ( cvv wcel vprc elex mto ) BACBBCDBAEF $.

  ${
    $d A x y $.  $d B x y $.
    inex1.1 $e |- A e. _V $.
    $( Separation Scheme (Aussonderung) using class notation.  Compare Exercise
       4 of [TakeutiZaring] p. 22.  (Contributed by NM, 21-Jun-1993.) $)
    inex1 $p |- ( A i^i B ) e. _V $=
      ( vx vy cin cv wceq wex wcel wa wb zfauscl dfcleq elin bibi2i albii bitri
      wal exbii mpbir issetri ) DABFZDGZUCHZDIEGZUDJZUFAJUFBJZKZLZESZDIUHEDACMU
      EUKDUEUGUFUCJZLZESUKEUDUCNUMUJEULUIUGUFABOPQRTUAUB $.
  $}

  ${
    inex2.1 $e |- A e. _V $.
    $( Separation Scheme (Aussonderung) using class notation.  (Contributed by
       NM, 27-Apr-1994.) $)
    inex2 $p |- ( B i^i A ) e. _V $=
      ( cin cvv incom inex1 eqeltri ) BADABDEBAFABCGH $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Closed-form, generalized Separation Scheme.  (Contributed by NM,
       7-Apr-1995.) $)
    inex1g $p |- ( A e. V -> ( A i^i B ) e. _V ) $=
      ( vx cv cin cvv wcel wceq ineq1 eleq1d vex inex1 vtoclg ) DEZBFZGHABFZGHD
      ACOAIPQGOABJKOBDLMN $.
  $}

  $( Sufficient condition for an intersection to be a set.  Commuted form of
     ~ inex1g .  (Contributed by Peter Mazsa, 19-Dec-2018.) $)
  inex2g $p |- ( A e. V -> ( B i^i A ) e. _V ) $=
    ( wcel cin cvv incom inex1g eqeltrid ) ACDBAEABEFBAGABCHI $.

  ${
    ssex.1 $e |- B e. _V $.
    $( The subset of a set is also a set.  Exercise 3 of [TakeutiZaring] p. 22.
       This is one way to express the Axiom of Separation ~ ax-sep (a.k.a.
       Subset Axiom).  (Contributed by NM, 27-Apr-1994.) $)
    ssex $p |- ( A C_ B -> A e. _V ) $=
      ( wss cin wceq cvv wcel df-ss inex2 eleq1 mpbii sylbi ) ABDABEZAFZAGHZABI
      ONGHPBACJNAGKLM $.
  $}

  ${
    ssexi.1 $e |- B e. _V $.
    ssexi.2 $e |- A C_ B $.
    $( The subset of a set is also a set.  (Contributed by NM, 9-Sep-1993.) $)
    ssexi $p |- A e. _V $=
      ( wss cvv wcel ssex ax-mp ) ABEAFGDABCHI $.
  $}

  ${
    $d x A $.  $d x B $.
    $( The subset of a set is also a set.  Exercise 3 of [TakeutiZaring] p. 22
       (generalized).  (Contributed by NM, 14-Aug-1994.) $)
    ssexg $p |- ( ( A C_ B /\ B e. C ) -> A e. _V ) $=
      ( vx wcel wss cvv cv wi wceq sseq2 imbi1d vex ssex vtoclg impcom ) BCEABF
      ZAGEZADHZFZRIQRIDBCSBJTQRSBAKLASDMNOP $.
  $}

  ${
    ssexd.1 $e |- ( ph -> B e. C ) $.
    ssexd.2 $e |- ( ph -> A C_ B ) $.
    $( A subclass of a set is a set.  Deduction form of ~ ssexg .  (Contributed
       by David Moews, 1-May-2017.) $)
    ssexd $p |- ( ph -> A e. _V ) $=
      ( wss wcel cvv ssexg syl2anc ) ABCGCDHBIHFEBCDJK $.
  $}

  $( The superclass of a proper class is a proper class.  (Contributed by AV,
     27-Dec-2020.) $)
  prcssprc $p |- ( ( A C_ B /\ A e/ _V ) -> B e/ _V ) $=
    ( wss cvv wnel wcel ssexg ex nelcon3d imp ) ABCZADEBDEKBDADKBDFADFABDGHIJ
    $.

  ${
    sselpwd.1 $e |- ( ph -> B e. V ) $.
    sselpwd.2 $e |- ( ph -> A C_ B ) $.
    $( Elementhood to a power set.  (Contributed by Thierry Arnoux,
       18-May-2020.) $)
    sselpwd $p |- ( ph -> A e. ~P B ) $=
      ( cvv ssexd elpwd ) ABCGABCDEFHFI $.
  $}

  $( Existence of a difference.  (Contributed by NM, 26-May-1998.) $)
  difexg $p |- ( A e. V -> ( A \ B ) e. _V ) $=
    ( cdif wss wcel cvv difss ssexg mpan ) ABDZAEACFKGFABHKACIJ $.

  ${
    difexi.1 $e |- A e. _V $.
    $( Existence of a difference, inference version of ~ difexg .  (Contributed
       by Glauco Siliprandi, 3-Mar-2021.)  (Revised by AV, 26-Mar-2021.) $)
    difexi $p |- ( A \ B ) e. _V $=
      ( cvv wcel cdif difexg ax-mp ) ADEABFDECABDGH $.
  $}

  ${
    difexd.1 $e |- ( ph -> A e. V ) $.
    $( Existence of a difference.  (Contributed by SN, 16-Jul-2024.) $)
    difexd $p |- ( ph -> ( A \ B ) e. _V ) $=
      ( wcel cdif cvv difexg syl ) ABDFBCGHFEBCDIJ $.
  $}

  ${
    $d x A $.
    zfausab.1 $e |- A e. _V $.
    $( Separation Scheme (Aussonderung) in terms of a class abstraction.
       (Contributed by NM, 8-Jun-1994.) $)
    zfausab $p |- { x | ( x e. A /\ ph ) } e. _V $=
      ( cv wcel wa cab ssab2 ssexi ) BECFAGBHCDABCIJ $.
  $}

  ${
    $d x A $.
    $( Separation Scheme in terms of a restricted class abstraction.
       (Contributed by NM, 23-Oct-1999.) $)
    rabexg $p |- ( A e. V -> { x e. A | ph } e. _V ) $=
      ( crab wss wcel cvv ssrab2 ssexg mpan ) ABCEZCFCDGLHGABCILCDJK $.
  $}

  ${
    $d x A $.
    rabex.1 $e |- A e. _V $.
    $( Separation Scheme in terms of a restricted class abstraction.
       (Contributed by NM, 19-Jul-1996.) $)
    rabex $p |- { x e. A | ph } e. _V $=
      ( cvv wcel crab rabexg ax-mp ) CEFABCGEFDABCEHI $.
  $}

  ${
    $d x A $.
    rabexd.1 $e |- B = { x e. A | ps } $.
    rabexd.2 $e |- ( ph -> A e. V ) $.
    $( Separation Scheme in terms of a restricted class abstraction, deduction
       form of ~ rabex2 .  (Contributed by AV, 16-Jul-2019.) $)
    rabexd $p |- ( ph -> B e. _V ) $=
      ( crab cvv wcel rabexg syl eqeltrid ) AEBCDIZJGADFKOJKHBCDFLMN $.
  $}

  ${
    $d x A $.
    rabex2.1 $e |- B = { x e. A | ps } $.
    rabex2.2 $e |- A e. _V $.
    $( Separation Scheme in terms of a restricted class abstraction.
       (Contributed by AV, 16-Jul-2019.)  (Revised by AV, 26-Mar-2021.) $)
    rabex2 $p |- B e. _V $=
      ( cvv wcel id rabexd ax-mp ) CGHZDGHFLABCDGELIJK $.
  $}

  ${
    $d x B $.  $d y A $.
    rab2ex.1 $e |- B = { y e. A | ps } $.
    rab2ex.2 $e |- A e. _V $.
    $( A class abstraction based on a class abstraction based on a set is a
       set.  (Contributed by AV, 16-Jul-2019.)  (Revised by AV,
       26-Mar-2021.) $)
    rab2ex $p |- { x e. B | ph } e. _V $=
      ( rabex2 rabex ) ACFBDEFGHIJ $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.
    elssabg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction involving a subset.  Unlike ~ elabg ,
       ` A ` does not have to be a set.  (Contributed by NM, 29-Aug-2006.) $)
    elssabg $p |- ( B e. V ->
                  ( A e. { x | ( x C_ B /\ ph ) } <-> ( A C_ B /\ ps ) ) ) $=
      ( wcel wss wa cvv wi cv cab wb ssexg expcom adantrd wceq sseq1 elab3g syl
      anbi12d ) EFHZDEIZBJZDKHZLDCMZEIZAJZCNHUFOUDUEUGBUEUDUGDEFPQRUJUFCDKUHDSU
      IUEABUHDETGUCUAUB $.
  $}

  ${
    $d x A $.
    $( The intersection of a nonempty class exists.  Exercise 5 of
       [TakeutiZaring] p. 44 and its converse.  (Contributed by NM,
       13-Aug-2002.) $)
    intex $p |- ( A =/= (/) <-> |^| A e. _V ) $=
      ( vx c0 wne cint cvv wcel cv wex n0 wss intss1 vex ssex syl exlimiv sylbi
      wceq vprc inteq int0 eqtrdi eleq1d mtbiri necon2ai impbii ) ACDZAEZFGZUGB
      HZAGZBIUIBAJUKUIBUKUHUJKUIUJALUHUJBMNOPQUIACACRZUIFFGSULUHFFULUHCEFACTUAU
      BUCUDUEUF $.
  $}

  $( If a class intersection is not a set, it must be the universe.
     (Contributed by NM, 3-Jul-2005.) $)
  intnex $p |- ( -. |^| A e. _V <-> |^| A = _V ) $=
    ( cint cvv wcel wn wceq intex necon1bbii inteq int0 eqtrdi sylbi vprc eleq1
    c0 mtbiri impbii ) ABZCDZEZRCFZTAOFZUASAOAGHUBROBCAOIJKLUASCCDMRCCNPQ $.

  $( The intersection of a nonempty class abstraction exists.  (Contributed by
     NM, 21-Oct-2003.) $)
  intexab $p |- ( E. x ph <-> |^| { x | ph } e. _V ) $=
    ( wex cab c0 wne cint cvv wcel abn0 intex bitr3i ) ABCABDZEFMGHIABJMKL $.

  $( The intersection of a nonempty restricted class abstraction exists.
     (Contributed by NM, 21-Oct-2003.) $)
  intexrab $p |- ( E. x e. A ph <-> |^| { x e. A | ph } e. _V ) $=
    ( cv wcel wa wex cab cint cvv wrex crab intexab df-rex df-rab inteqi eleq1i
    3bitr4i ) BDCEAFZBGSBHZIZJEABCKABCLZIZJESBMABCNUCUAJUBTABCOPQR $.

  ${
    $d A x y $.  $d B y $.
    $( The existence of a class intersection. ` x ` is normally a free-variable
       parameter in ` B ` , which should be read ` B ( x ) ` .  (Contributed by
       FL, 19-Sep-2011.) $)
    iinexg $p |- ( ( A =/= (/) /\ A. x e. A B e. C )
    -> |^|_ x e. A B e. _V ) $=
      ( vy c0 wne wcel wral wa ciin cv wceq wrex cab cint cvv wex wi sylib abn0
      dfiin2g adantl elisset rgenw r19.2z mpan2 r19.35 imp rexcom4 sylibr intex
      eqeltrd ) BFGZCDHZABIZJZABCKZELCMZABNZEOZPZQUPURVBMUNAEBCDUBUCUQVAFGZVBQH
      UQUTERZVCUQUSERZABNZVDUNUPVFUNUOVESZABNZUPVFSUNVGABIVHVGABECDUDUEVGABUFUG
      UOVEABUHTUIUSAEBUJTUTEUAUKVAULTUM $.
  $}

  ${
    $d x y $.  $d x A $.  $d y ph $.  $d x ps $.  $d x ch $.
    intabs.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    intabs.2 $e |- ( x = |^| { y | ps } -> ( ph <-> ch ) ) $.
    intabs.3 $e |- ( |^| { y | ps } C_ A /\ ch ) $.
    $( Absorption of a redundant conjunct in the intersection of a class
       abstraction.  (Contributed by NM, 3-Jul-2005.) $)
    intabs $p |- |^| { x | ( x C_ A /\ ph ) } = |^| { x | ph } $=
      ( cv wss wa cab cint cvv wcel wceq sseq1 anbi12d intmin3 intnex ssv sseq2
      wn mpbiri sylbi pm2.61i cbvabv inteqi sseqtrri simpr ss2abi intss ax-mp
      eqssi ) DJZFKZALZDMZNZADMZNZUTBEMZNZVBVDOPZUTVDKZURVDFKZCLDVDOUPVDQUQVGAC
      UPVDFRHSITVEUDVDOQZVFVCUAVHVFUTOKUTUBVDOUTUCUEUFUGVAVCABDEGUHUIUJUSVAKVBU
      TKURADUQAUKULUSVAUMUNUO $.
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( The intersection of a union ` U. A ` with a class ` B ` is equal to the
       union of the intersections of each element of ` A ` with ` B ` .
       (Contributed by FL, 24-Mar-2007.) $)
    inuni $p |- ( U. A i^i B ) = U. { x | E. y e. A x = ( y i^i B ) } $=
      ( vz cuni cin cv wceq wrex cab wcel wex eluni2 anbi1i elin r19.41v bitr4i
      wa bitri ancom exbii rexcom4 vex inex1 eleq2 ceqsexv rexbii 3bitr4i eqriv
      eluniab ) ECFZDGZAHZBHZDGZIZBCJZAKFZEHZUMLZUTUNLZURSZAMZUTUSLUTULLZUTDLZS
      UTUOLZBCJZVFSZVAVDVEVHVFBUTCNOUTULDPVDUQVBSZAMZBCJZVIVDVJBCJZAMVLVCVMAVCU
      RVBSVMVBURUAUQVBBCQRUBVJBACUCRVLVGVFSZBCJVIVKVNBCVKUTUPLZVNVBVOAUPUODBUDU
      EUNUPUTUFUGUTUODPTUHVGVFBCQTTUIURAUTUKRUJ $.
  $}

  $( Membership in a power class.  Theorem 86 of [Suppes] p. 47.  (Contributed
     by NM, 7-Aug-2000.) $)
  elpw2g $p |- ( B e. V -> ( A e. ~P B <-> A C_ B ) ) $=
    ( wcel cpw wss elpwi cvv ssexg elpwg biimparc syldan expcom impbid2 ) BCDZA
    BEDZABFZABGQOPQOAHDZPABCIRPQABHJKLMN $.

  ${
    elpw2.1 $e |- B e. _V $.
    $( Membership in a power class.  Theorem 86 of [Suppes] p. 47.
       (Contributed by NM, 11-Oct-2007.) $)
    elpw2 $p |- ( A e. ~P B <-> A C_ B ) $=
      ( cvv wcel cpw wss wb elpw2g ax-mp ) BDEABFEABGHCABDIJ $.
  $}

  ${
    elpwi2.1 $e |- B e. V $.
    elpwi2.2 $e |- A C_ B $.
    $( Membership in a power class.  (Contributed by Glauco Siliprandi,
       3-Mar-2021.)  (Proof shortened by Wolf Lammen, 26-May-2024.) $)
    elpwi2 $p |- A e. ~P B $=
      ( cpw wcel wss elexi elpw2 mpbir ) ABFGABHEABBCDIJK $.

    $( Obsolete version of ~ elpwi2 as of 26-May-2024.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    elpwi2OLD $p |- A e. ~P B $=
      ( cpw wcel wss wb elpw2g ax-mp mpbir ) ABFGZABHZEBCGMNIDABCJKL $.
  $}

  ${
    $d A x $.
    $( The power set of a set is never a subset.  (Contributed by Stefan
       O'Rear, 22-Feb-2015.) $)
    pwnss $p |- ( A e. V -> -. ~P A C_ A ) $=
      ( vx cpw wss wel wn crab wcel rru ssel mtoi ssrab2 elpw2g mpbiri nsyl3 )
      ADZAEZCCFGZCAHZQIZABIZRUATAICAJQATKLUBUATAESCAMTABNOP $.
  $}

  $( No set equals its power set.  The sethood antecedent is necessary; compare
     ~ pwv .  (Contributed by NM, 17-Nov-2008.)  (Proof shortened by Mario
     Carneiro, 23-Dec-2016.) $)
  pwne $p |- ( A e. V -> ~P A =/= A ) $=
    ( wcel cpw wss wn wne pwnss eqimss necon3bi syl ) ABCADZAEZFLAGABHMLALAIJK
    $.

  $( A difference is an element of the power set of its minuend.  (Contributed
     by AV, 9-Oct-2023.) $)
  difelpw $p |- ( A e. V -> ( A \ B ) e. ~P A ) $=
    ( wcel cdif cpw wss difss elpw2g mpbiri ) ACDABEZAFDKAGABHKACIJ $.

  ${
    $d A x $.
    $( A restricted class abstraction is an element of the power set of its
       restricting set.  (Contributed by AV, 9-Oct-2023.) $)
    rabelpw $p |- ( A e. V -> { x e. A | ph } e. ~P A ) $=
      ( wcel crab cpw wss ssrab2 elpw2g mpbiri ) CDEABCFZCGELCHABCILCDJK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Theorems requiring empty set existence
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.
    $( Construct, from any class ` A ` , a set equal to it when the class
       exists and equal to the empty set when the class is proper.  This
       theorem shows that the constructed set always exists.  (Contributed by
       NM, 16-Oct-2003.) $)
    class2set $p |- { x e. A | A e. _V } e. _V $=
      ( wcel crab rabexg wn c0 wrex wceq cv simpl nrexdv rabn0 necon1bbii sylib
      cvv 0ex eqeltrdi pm2.61i ) BPCZTABDZPCTABPETFZUAGPUBTABHZFUAGIUBTABUBAJBC
      KLUCUAGTABMNOQRS $.

    $( Equality theorem based on ~ class2set .  (Contributed by NM,
       13-Dec-2005.)  (Proof shortened by Raph Levien, 30-Jun-2006.) $)
    class2seteq $p |- ( A e. V -> { x e. A | A e. _V } = A ) $=
      ( wcel cvv crab wceq elex wral cv ax-1 ralrimiv rabid2 sylibr eqcomd syl
      ) BCDBEDZQABFZBGBCHQBRQQABIBRGQQABQAJBDKLQABMNOP $.
  $}

  $( Every power class contains the empty set.  (Contributed by NM,
     25-Oct-2007.) $)
  0elpw $p |- (/) e. ~P A $=
    ( c0 cpw wcel wss 0ss 0ex elpw mpbir ) BACDBAEAFBAGHI $.
  $( A power class is never empty.  (Contributed by NM, 3-Sep-2018.) $)
  pwne0 $p |- ~P A =/= (/) $=
    ( c0 cpw 0elpw ne0ii ) BACADE $.

  $( The empty set and its power set are not equal.  (Contributed by NM,
     23-Dec-1993.) $)
  0nep0 $p |- (/) =/= { (/) } $=
    ( c0 csn 0ex snnz necomi ) ABAACDE $.

  $( Something cannot be equal to both the null set and the power set of the
     null set.  (Contributed by NM, 21-Jun-1993.) $)
  0inp0 $p |- ( A = (/) -> -. A = { (/) } ) $=
    ( c0 wceq csn wne 0nep0 neeq1 mpbiri neneqd ) ABCZABDZJAKEBKEFABKGHI $.

  $( The removal of the empty set from a class does not affect its union.
     (Contributed by NM, 22-Mar-2004.) $)
  unidif0 $p |- U. ( A \ { (/) } ) = U. A $=
    ( c0 csn cdif cuni cun uniun undif1 uncom eqtr2i unieqi 0ex uneq2i 3eqtr4ri
    unisn un0 uneq1i 3eqtri ) ABCZDZEZBAEZFZUBBFUBUASAFZEZSEZUBFUCTSFZEUAUFFZUE
    UATSGUDUGUGASFUDASHASIJKUHUABFUAUFBUABLOZMUAPJNSAGUFBUBUIQRBUBIUBPR $.

  $( If a class is equal to the singleton of its union, then its union exists.
     (Contributed by BTernaryTau, 24-Sep-2024.) $)
  eqsnuniex $p |- ( A = { U. A } -> U. A e. _V ) $=
    ( cuni csn wceq c0 wn wcel wa unieq uni0 eqtrdi sylan9eq sneqd 0inp0 adantl
    cvv pm2.65da snprc bicomi con2bii sylibr ) AABZCZDZUCEDZFUBPGZUDUEUCECDZUDU
    EHUBEUDUEUBUCBZEAUCIUEUHEBEUCEIJKLMUEUGFUDUCNOQUEUFUFFUEUBRSTUA $.

  ${
    $d x A $.
    $( An indexed intersection of the empty set, with a nonempty index set, is
       empty.  (Contributed by NM, 20-Oct-2005.) $)
    iin0 $p |- ( A =/= (/) <-> |^|_ x e. A (/) = (/) ) $=
      ( c0 wne ciin wceq iinconst cvv 0ex n0ii 0iin eqeq1i iineq1 eqeq1d mtbiri
      mtbir necon2ai impbii ) BCDABCEZCFZABCGTBCBCFZTACCEZCFZUCHCFCHIJUBHCACKLP
      UASUBCABCCMNOQR $.
  $}

  ${
    $d x A $.
    notzfaus.1 $e |- A = { (/) } $.
    notzfaus.2 $e |- ( ph <-> -. x e. y ) $.
    $( In the Separation Scheme ~ zfauscl , we require that ` y ` not occur in
       ` ph ` (which can be generalized to "not be free in").  Here we show
       special cases of ` A ` and ` ph ` that result in a contradiction if that
       requirement is not met.  (Contributed by NM, 8-Feb-2006.)  (Proof
       shortened by BJ, 18-Nov-2023.) $)
    notzfaus $p |- -. E. y A. x ( x e. y <-> ( x e. A /\ ph ) ) $=
      ( cv wcel wa wb wal wn wex c0 wne csn 0ex snnz eqnetri mpbi pm5.19 bibi2d
      n0 ibar bitr3di mtbiri eximii exnal nex ) BGZCGHZUJDHZAIZJZBKZCUNLZBMUOLU
      LUPBDNOULBMDNPNENQRSBDUCTULUNUKUKLZJUKUAULUMUQUKULAUMUQULAUDFUEUBUFUGUNBU
      HTUI $.

    $( Obsolete proof of ~ notzfaus as of 18-Nov-2023.  (Contributed by NM,
       8-Feb-2006.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    notzfausOLD $p |- -. E. y A. x ( x e. y <-> ( x e. A /\ ph ) ) $=
      ( cv wcel wa wb wal wn wex c0 wne csn 0ex snnz eqnetri mpbi n0 biimt iman
      wi anbi2i xchbinxr bitrdi xor3 sylibr eximii exnal nex ) BGZCGHZUMDHZAIZJ
      ZBKZCUQLZBMURLUOUSBDNOUOBMDNPNENQRSBDUATUOUNUPLZJUSUOUNUOUNUDZUTUOUNUBVAU
      OUNLZIUPUOUNUCAVBUOFUEUFUGUNUPUHUIUJUQBUKTUL $.
  $}

  $( The intersection of the universal class is empty.  (Contributed by NM,
     11-Sep-2008.) $)
  intv $p |- |^| _V = (/) $=
    ( c0 cvv wcel cint wceq 0ex int0el ax-mp ) ABCBDAEFBGH $.

  ${
    $d A x y $.  $d A y z $.
    $( Two equivalent ways to express the Power Set Axiom.  Note that ~ ax-pow
       is not used by the proof.  When ~ ax-pow is assumed and ` A ` is a set,
       both sides of the biconditional hold.  In ZF, both sides hold if and
       only if ` A ` is a set (see ~ pwexr ).  (Contributed by NM,
       22-Jun-2009.) $)
    axpweq $p |- ( ~P A e. _V
                     <-> E. x A. y ( A. z ( z e. y -> z e. A ) -> y e. x ) ) $=
      ( cpw cvv wcel cv wex wel wal pwidg wceq pweq eleq2d spcegv mpd wss bitri
      wi elex exlimiv impbii vex elpw2 pwss dfss2 imbi1i albii exbii ) DEZFGZUK
      AHZEZGZAIZCBJCHDGTCKZBAJZTZBKZAIULUPULUKUKEZGZUPUKFLUOVBAUKFUMUKMUNVAUKUM
      UKNOPQUOULAUKUNUAUBUCUOUTAUOUKUMRZUTUKUMAUDUEVCBHZDRZURTZBKUTBDUMUFVFUSBV
      EUQURCVDDUGUHUISSUJS $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  ZF Set Theory - add the Axiom of Power Sets
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Introduce the Axiom of Power Sets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w $.
    $( Axiom of Power Sets.  An axiom of Zermelo-Fraenkel set theory.  It
       states that a set ` y ` exists that includes the power set of a given
       set ` x ` i.e. contains every subset of ` x ` .  The variant ~ axpow2
       uses explicit subset notation.  A version using class notation is
       ~ pwex .  (Contributed by NM, 21-Jun-1993.) $)
    ax-pow $a |- E. y A. z ( A. w ( w e. z -> w e. x ) -> z e. y ) $.

    $( Axiom of Power Sets expressed with the fewest number of different
       variables.  (Contributed by NM, 14-Aug-2003.) $)
    zfpow $p |- E. x A. y ( A. x ( x e. y -> x e. z ) -> y e. x ) $=
      ( vw wel wi wal wex ax-pow elequ1 imbi12d cbvalvw imbi1i albii exbii mpbi
      weq ) DBEZDCEZFZDGZBAEZFZBGZAHABEZACEZFZAGZUBFZBGZAHCABDIUDUJAUCUIBUAUHUB
      TUGDADAQRUESUFDABJDACJKLMNOP $.

    $( A variant of the Axiom of Power Sets ~ ax-pow using subset notation.
       Problem in [BellMachover] p. 466.  (Contributed by NM, 4-Jun-2006.) $)
    axpow2 $p |- E. y A. z ( z C_ x -> z e. y ) $=
      ( vw cv wss wel wi wal wex ax-pow dfss2 imbi1i albii exbii mpbir ) CEZAEZ
      FZCBGZHZCIZBJDCGDAGHDIZTHZCIZBJABCDKUBUEBUAUDCSUCTDQRLMNOP $.

    $( A variant of the Axiom of Power Sets ~ ax-pow .  For any set ` x ` ,
       there exists a set ` y ` whose members are exactly the subsets of ` x `
       i.e. the power set of ` x ` .  Axiom Pow of [BellMachover] p. 466.
       (Contributed by NM, 4-Jun-2006.) $)
    axpow3 $p |- E. y A. z ( z C_ x <-> z e. y ) $=
      ( cv wss wel wb wal wex axpow2 bm1.3ii bicom albii exbii mpbir ) CDADEZCB
      FZGZCHZBIQPGZCHZBIPBCABCJKSUABRTCPQLMNO $.
  $}

  ${
    $d x y z $.
    $( Every set is an element of some other set.  See ~ elALT for a shorter
       proof using more axioms.  (Contributed by NM, 4-Jan-2002.)  (Proof
       shortened by Andrew Salmon, 25-Jul-2011.) $)
    el $p |- E. y x e. y $=
      ( vz wel wi wal zfpow weq ax9 alrimiv ax8 embantd spimvw eximii ) BCDBADE
      ZBFZCBDZEZCFABDZBBCAGRSCACAHZPQSTOBCABIJCABKLMN $.
  $}

  ${
    $d w x y z $.
    $( At least two sets exist (or in terms of first-order logic, the universe
       of discourse has two or more objects).  Note that we may not substitute
       the same variable for both ` x ` and ` y ` (as indicated by the distinct
       variable requirement), for otherwise we would contradict ~ stdpc6 .

       This theorem is proved directly from set theory axioms (no set theory
       definitions) and does not use ~ ax-ext or ~ ax-sep .  See ~ dtruALT for
       a shorter proof using these axioms.

       The proof makes use of dummy variables ` z ` and ` w ` which do not
       appear in the final theorem.  They must be distinct from each other and
       from ` x ` and ` y ` .  In other words, if we were to substitute ` x `
       for ` z ` throughout the proof, the proof would fail.  (Contributed by
       NM, 7-Nov-2006.)  Avoid ~ ax-13 .  (Revised by Gino Giotto, 5-Sep-2023.)
       Avoid ~ ax-12 .  (Revised by Rohan Ridenour, 9-Oct-2024.) $)
    dtru $p |- -. A. x x = y $=
      ( vw vz cv wceq wn wex wal wel wa el ax-nul elequ1 notbid spw ax7v1 con3d
      wcel spimevw eximii exdistrv mpbir2an ax9v2 com12 con3dimp 2eximi equequ2
      weq wi syl6bi a1d pm2.61i exlimivv mp2b exnal mpbi ) AEZBEZFZGZAHZUTAIGAC
      JZURDEZSZGZKZDHCHZCEZVDFZGZDHCHVBVHVCCHVFDHACLVFAIVFDDAMVFVIVDSZGACURVIFZ
      VEVLACDNOPUAVCVFCDUBUCVGVKCDVCVJVEVJVCVECDAUDUEUFUGVKVBCDDBUIZVKVBUJVNVKV
      IUSFZGZVBVNVJVODBCUHOVPVAACVMUTVOACBQRTUKVNGZVBVKVQVAADURVDFUTVNADBQRTULU
      MUNUOUTAUPUQ $.
    $( $j usage 'dtru' avoids 'ax-10 'ax-11' 'ax-12' 'ax-13'; $)
  $}

  ${
    $d x y $.
    dtrucor.1 $e |- x = y $.
    $( Corollary of ~ dtru .  This example illustrates the danger of blindly
       trusting the standard Deduction Theorem without accounting for free
       variables: the theorem form of this deduction is not valid, as shown by
       ~ dtrucor2 .  (Contributed by NM, 27-Jun-2002.) $)
    dtrucor $p |- x =/= y $=
      ( weq cv wne wal dtru pm2.21i mpg ) ABDZAEBEFZAKAGLABHICJ $.
  $}

  ${
    dtrucor2.1 $e |- ( x = y -> x =/= y ) $.
    $( The theorem form of the deduction ~ dtrucor leads to a contradiction, as
       mentioned in the "Wrong!" example at ~ mmdeduction.html#bad .  Usage of
       this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 20-Oct-2007.)  (New usage is discouraged.) $)
    dtrucor2 $p |- ( ph /\ -. ph ) $=
      ( weq wex wn wa ax6e wi cv necon2bi pm2.01 ax-mp nex pm2.24ii ) BCEZBFAAG
      HBCIQBQQGZJRQBKCKDLQMNOP $.
  $}

  ${
    $d x y $.
    $( Demonstration of a theorem that requires the setvar variables ` x ` and
       ` y ` to be disjoint (but without any other disjointness conditions, and
       in particular, none on ` z ` ).

       That theorem bundles the theorems ( ` |- E. x ( x = y -> z e. x ) ` with
       ` x , y , z ` disjoint), often called its "principal instance", and the
       two "degenerate instances" ( ` |- E. x ( x = y -> x e. x ) ` with
       ` x , y ` disjoint) and ( ` |- E. x ( x = y -> y e. x ) ` with ` x , y `
       disjoint).

       Compare with ~ dvdemo2 , which has the same principal instance and one
       common degenerate instance but crucially differs in the other degenerate
       instance.

       See ~ https://us.metamath.org/mpeuni/mmset.html#distinct for details on
       the "disjoint variable" mechanism.  (The verb "bundle" to express this
       phenomenon was introduced by Raph Levien.)

       Note that ~ dvdemo1 is partially bundled, in that the pairs of setvar
       variables ` x , z ` and ` y , z ` need not be disjoint, and in spite of
       that, its proof does not require ~ ax-11 nor ~ ax-13 .  (Contributed by
       NM, 1-Dec-2006.)  (Revised by BJ, 13-Jan-2024.) $)
    dvdemo1 $p |- E. x ( x = y -> z e. x ) $=
      ( weq wn wel wi wex wal dtru exnal mpbir pm2.21 eximii ) ABDZEZOCAFZGAPAH
      OAIEABJOAKLOQMN $.
  $}

  ${
    $d x z $.
    $( Demonstration of a theorem that requires the setvar variables ` x ` and
       ` z ` to be disjoint (but without any other disjointness conditions, and
       in particular, none on ` y ` ).

       That theorem bundles the theorems ( ` |- E. x ( x = y -> z e. x ) ` with
       ` x , y , z ` disjoint), often called its "principal instance", and the
       two "degenerate instances" ( ` |- E. x ( x = x -> z e. x ) ` with
       ` x , z ` disjoint) and ( ` |- E. x ( x = z -> z e. x ) ` with ` x , z `
       disjoint).

       Compare with ~ dvdemo1 , which has the same principal instance and one
       common degenerate instance but crucially differs in the other degenerate
       instance.

       See ~ https://us.metamath.org/mpeuni/mmset.html#distinct for details on
       the "disjoint variable" mechanism.

       Note that ~ dvdemo2 is partially bundled, in that the pairs of setvar
       variables ` x , y ` and ` y , z ` need not be disjoint, and in spite of
       that, its proof does not require any of the auxiliary axioms ~ ax-10 ,
       ~ ax-11 , ~ ax-12 , ~ ax-13 .  (Contributed by NM, 1-Dec-2006.)
       (Revised by BJ, 13-Jan-2024.) $)
    dvdemo2 $p |- E. x ( x = y -> z e. x ) $=
      ( wel weq wi el ax-1 eximii ) CADZABEZJFACAGJKHI $.
  $}

  ${
    $d w x y z $.
    $( A setvar variable is not free from itself.  This theorem is not true in
       a one-element domain, as illustrated by the use of ~ dtru in its proof.
       (Contributed by Mario Carneiro, 8-Oct-2016.) $)
    nfnid $p |- -. F/_ x x $=
      ( vy vz vw cv wnfc wel wal weq dtru ax-ext sps alimi mto wnf df-nfc sbnf2
      wb wsb elsb2 bibi12i 2albii bitri albii alrot3 3bitri mtbir ) AAEZFZBCGZB
      DGZRZBHZDHZCHZUOCDIZCHCDJUNUPCUMUPDCDBKLMNUIBAGZAOZBHULDHCHZBHUOABUHPURUS
      BURUQACSZUQADSZRZDHCHUSUQACDQVBULCDUTUJVAUKACBTADBTUAUBUCUDULBCDUEUFUG $.
  $}

  $( The "distinctor" expression ` -. A. x x = y ` , stating that ` x ` and
     ` y ` are not the same variable, can be written in terms of ` F/ ` in the
     obvious way.  This theorem is not true in a one-element domain, because
     then ` F/_ x y ` and ` A. x x = y ` will both be true.  (Contributed by
     Mario Carneiro, 8-Oct-2016.)  Usage of this theorem is discouraged because
     it depends on ~ ax-13 .  (New usage is discouraged.) $)
  nfcvb $p |- ( F/_ x y <-> -. A. x x = y ) $=
    ( cv wnfc weq wal wn nfnid eqidd drnfc1 mtbiri con2i nfcvf impbii ) ABCZDZA
    BEAFZGQPQPBODBHABOOQOIJKLABMN $.

  ${
    $d x y z w $.
    $( Power set axiom: the powerclass of a set is a set.  Axiom 4 of
       [TakeutiZaring] p. 17.  (Contributed by NM, 30-Oct-2003.)  (Proof
       shortened by Andrew Salmon, 25-Jul-2011.)  Revised to prove ~ pwexg from
       ~ vpwex .  (Revised by BJ, 10-Aug-2022.) $)
    vpwex $p |- ~P x e. _V $=
      ( vw vy vz cv cpw wss cab cvv df-pw wceq wex wel wal axpow2 bm1.3ii sseq1
      wb abeq2w exbii mpbir issetri eqeltri ) AEZFBEZUDGZBHZIBUDJCUGCEZUGKZCLDC
      MDEZUDGZRDNZCLUKCDACDOPUIULCUFUKBDUHUEUJUDQSTUAUBUC $.
    $( $j usage 'vpwex' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x A $.
    $( Power set axiom expressed in class notation, with the sethood
       requirement as an antecedent.  (Contributed by NM, 30-Oct-2003.) $)
    pwexg $p |- ( A e. V -> ~P A e. _V ) $=
      ( vx cv cpw cvv wcel wceq pweq eleq1d vpwex vtoclg ) CDZEZFGAEZFGCABMAHNO
      FMAIJCKL $.
  $}

  ${
    pwexd.1 $e |- ( ph -> A e. V ) $.
    $( Deduction version of the power set axiom.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    pwexd $p |- ( ph -> ~P A e. _V ) $=
      ( wcel cpw cvv pwexg syl ) ABCEBFGEDBCHI $.
  $}

  ${
    pwex.1 $e |- A e. _V $.
    $( Power set axiom expressed in class notation.  (Contributed by NM,
       21-Jun-1993.) $)
    pwex $p |- ~P A e. _V $=
      ( cvv wcel cpw pwexg ax-mp ) ACDAECDBACFG $.
  $}

  $( Quantitative version of ~ pwexg : the powerset of an element of a class is
     an element of the double powerclass of the union of that class.  Exercise
     10 of [Enderton] p. 26.  (Contributed by NM, 13-Jan-2007.)  Remove use of
     ~ ax-nul and ~ ax-pr and shorten proof.  (Revised by BJ, 13-Apr-2024.) $)
  pwel $p |- ( A e. B -> ~P A e. ~P ~P U. B ) $=
    ( wcel cpw cuni cvv pwexg elssuni sspwd elpwd ) ABCZADBEZDFABGKALABHIJ $.

  ${
    $d x A $.
    $( Existence of a class of subsets.  (Contributed by NM, 15-Jul-2006.)
       (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
    abssexg $p |- ( A e. V -> { x | ( x C_ A /\ ph ) } e. _V ) $=
      ( wcel cpw cvv cv wss wa pwexg df-pw eleq1i simpl ss2abi ssexg mpan sylbi
      cab syl ) CDECFZGEZBHCIZAJZBSZGEZCDKUBUCBSZGEZUFUAUGGBCLMUEUGIUHUFUDUCBUC
      ANOUEUGGPQRT $.
  $}

  $( Alternate proof of ~ snex using Power Set ( ~ ax-pow ) instead of Pairing
     ( ~ ax-pr ).  Unlike in the proof of ~ zfpair , Replacement ( ~ ax-rep )
     is not needed.  (Contributed by NM, 7-Aug-1994.)  (Proof shortened by
     Andrew Salmon, 25-Jul-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  snexALT $p |- { A } e. _V $=
    ( cpw cvv wcel csn wss snsspw ssexg mpan wn pwexg con3i c0 snprc biimpi 0ex
    wceq eqeltrdi syl pm2.61i ) ABZCDZAEZCDZUCUAFUBUDAGUCUACHIUBJACDZJZUDUEUBAC
    KLUFUCMCUFUCMQANOPRST $.

  $( The power set of the empty set (the ordinal 1) is a set.  See also
     ~ p0exALT .  (Contributed by NM, 23-Dec-1993.) $)
  p0ex $p |- { (/) } e. _V $=
    ( c0 cpw csn cvv pw0 0ex pwex eqeltrri ) ABACDEAFGH $.

  $( Alternate proof of ~ p0ex which is quite different and longer if ~ snexALT
     is expanded.  (Contributed by NM, 23-Dec-1993.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  p0exALT $p |- { (/) } e. _V $=
    ( c0 snexALT ) AB $.

  $( The power set of the power set of the empty set (the ordinal 2) is a set.
     (Contributed by NM, 24-Jun-1993.) $)
  pp0ex $p |- { (/) , { (/) } } e. _V $=
    ( c0 csn cpw cpr cvv pwpw0 p0ex pwex eqeltrri ) ABZCAJDEFJGHI $.

  $( The ordinal number 3 is a set, proved without the Axiom of Union ~ ax-un .
     (Contributed by NM, 2-May-2009.) $)
  ord3ex $p |- { (/) , { (/) } , { (/) , { (/) } } } e. _V $=
    ( c0 csn cpr ctp cun cvv df-tp cpw pwpr pp0ex pwex eqeltrri wss unss2 ax-mp
    snsspr2 ssexi eqeltri ) AABZASCZDTTBZEZFASTGUBTSBZTCZEZTHUEFASITJKLUAUDMUBU
    EMUCTPUAUDTNOQR $.

  ${
    $d x y $.
    $( Alternate proof of ~ dtru which requires more axioms but is shorter and
       may be easier to understand.

       Assuming that ZF set theory is consistent, we cannot prove this theorem
       unless we specify that ` x ` and ` y ` be distinct.  Specifically,
       Theorem ~ spcev requires that ` x ` must not occur in the subexpression
       ` -. y = { (/) } ` in step 4 nor in the subexpression ` -. y = (/) ` in
       step 9.  The proof verifier will require that ` x ` and ` y ` be in a
       distinct variable group to ensure this.  You can check this by deleting
       the $d statement in set.mm and rerunning the verifier, which will print
       a detailed explanation of the distinct variable violation.  (Contributed
       by NM, 15-Jul-1994.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    dtruALT $p |- -. A. x x = y $=
      ( cv wceq wn wex wal c0 csn 0inp0 p0ex eqeq2 notbid spcev syl 0ex pm2.61i
      exnal eqcom albii xchbinx mpbi ) BCZACZDZEZAFZUDUCDZAGZEUCHDZUGUJUCHIZDZE
      ZUGUCJUFUMAUKKUDUKDUEULUDUKUCLMNOUFUJEAHPUDHDUEUJUDHUCLMNQUGUEAGUIUEARUEU
      HAUCUDSTUAUB $.
  $}

  ${
    $d x y $.
    $( This theorem shows that Axiom ~ ax-c16 is redundant in the presence of
       Theorem ~ dtru , which states simply that at least two things exist.
       This justifies the remark at ~ mmzfcnd.html#twoness (which links to this
       theorem).  (Proof modification is discouraged.)
       (New usage is discouraged.)  (Contributed by NM, 7-Nov-2006.) $)
    axc16b $p |- ( A. x x = y -> ( ph -> A. x ph ) ) $=
      ( weq wal wi dtru pm2.21i ) BCDBEAABEFBCGH $.
  $}

  ${
    $d x y $.  $d y ph $.
    $( Existential uniqueness implies there is a value for which the wff
       argument is false.  (Contributed by NM, 24-Oct-2010.)  (Proof shortened
       by BJ, 2-Jan-2023.) $)
    eunex $p |- ( E! x ph -> E. x -. ph ) $=
      ( vy weq wb wal wex wn weu dtru albi mtbiri exlimiv eu6 exnal 3imtr4i ) A
      BCDZEBFZCGABFZHZABIAHBGRTCRSQBFBCJAQBKLMABCNABOP $.
  $}

  ${
    $d x y z $.  $d A y z $.
    $( Two ways to express single-valuedness of a class expression
       ` A ( x ) ` .  (Contributed by NM, 14-Oct-2010.) $)
    eusv1 $p |- ( E! y A. x y = A <-> E. y A. x y = A ) $=
      ( vz cv wceq wal weu wex wa wi sp eqtr3 syl2an gen2 eqeq1 albidv mpbiran2
      eu4 ) BEZCFZAGZBHUBBIUBDEZCFZAGZJTUCFZKZDGBGUGBDUBUAUDUFUEUAALUDALTUCCMNO
      UBUEBDUFUAUDATUCCPQSR $.
  $}

  ${
    $d x y z w $.  $d A y z w $.
    $( Even if ` x ` is free in ` A ` , it is effectively bound when
       ` A ( x ) ` is single-valued.  (Contributed by NM, 14-Oct-2010.)
       (Revised by Mario Carneiro, 14-Oct-2016.) $)
    eusvnf $p |- ( E! y A. x y = A -> F/_ x A ) $=
      ( vz vw cv wceq wal weu csb wi cvv nfcsb1v nfeq2 weq csbeq1a eqeq2d spcgf
      nfcv elv wex wnfc euex eqtr3d alrimivv sbnfc2 sylibr exlimiv syl ) BFZCGZ
      AHZBIULBUAACUBZULBUCULUMBULADFZCJZAEFZCJZGZEHDHUMULURDEULUJUOUQULUJUOGZKD
      UKUSAUNLAUNSAUJUOAUNCMNADOCUOUJAUNCPQRTULUJUQGZKEUKUTAUPLAUPSAUJUQAUPCMNA
      EOCUQUJAUPCPQRTUDUEADECUFUGUHUI $.

    $( Two ways to say that ` A ( x ) ` is a set expression that does not
       depend on ` x ` .  (Contributed by Mario Carneiro, 18-Nov-2016.) $)
    eusvnfb $p |- ( E! y A. x y = A <-> ( F/_ x A /\ A e. _V ) ) $=
      ( wceq wal weu wnfc cvv wcel eusvnf wex euex eqvisset sps exlimiv syl jca
      cv wa isset nfcvd id nfeqd nf5rd eximdv syl5bi imp eusv1 sylibr impbii )
      BRZCDZAEZBFZACGZCHIZSZUNUOUPABCJUNUMBKZUPUMBLUMUPBULUPABCMNOPQUQURUNUOUPU
      RUPULBKUOURBCTUOULUMBUOULAUOAUKCUOAUKUAUOUBUCUDUEUFUGABCUHUIUJ $.
  $}

  ${
    $d x y $.  $d A y $.
    $( Two ways to express single-valuedness of a class expression
       ` A ( x ) ` .  (Contributed by NM, 14-Oct-2010.)  (Revised by Mario
       Carneiro, 18-Nov-2016.) $)
    eusv2i $p |- ( E! y A. x y = A -> E! y E. x y = A ) $=
      ( wceq wal weu wex nfeu1 nfcvd eusvnf nfeqd nfrd 19.2 impbid1 eubid ibir
      cv ) BQZCDZAEZBFZSAGZBFUAUBTBTBHUAUBTUASAUAARCUAARIABCJKLSAMNOP $.
  $}

  ${
    $d x y $.  $d A y $.
    eusv2.1 $e |- A e. _V $.
    $( Two ways to express single-valuedness of a class expression
       ` A ( x ) ` .  (Contributed by Mario Carneiro, 18-Nov-2016.) $)
    eusv2nf $p |- ( E! y E. x y = A <-> F/_ x A ) $=
      ( cv wceq wex weu wnfc wnf wal nfeu1 wi nfeuw wa isseti alrimi sylibr cvv
      nfe1 19.8a ancri eximii eupick mpan2 nf6 wcel dfnfc2 mpg eusvnfb mpbiran2
      wb eusv2i sylbir impbii ) BECFZAGZBHZACIZURUPAJZBKZUSURUTBUQBLURUQUPMZAKU
      TURVBAUQABUPATNURUQUPOZBGVBUPVCBBCDPUPUQUPAUAUBUCUQUPBUDUEQUPAUFRQCSUGZUS
      VAULAABCSUHDUIRUSUPAKBHZURVEUSVDDABCUJUKABCUMUNUO $.

    $( Two ways to express single-valuedness of a class expression
       ` A ( x ) ` .  (Contributed by NM, 15-Oct-2010.)  (Proof shortened by
       Mario Carneiro, 18-Nov-2016.) $)
    eusv2 $p |- ( E! y E. x y = A <-> E! y A. x y = A ) $=
      ( cv wceq wex weu wnfc wal eusv2nf cvv wcel eusvnfb mpbiran2 bitr4i ) BEC
      FZAGBHACIZQAJBHZABCDKSRCLMDABCNOP $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x ph $.  $d x y $.
    $( Two ways to express single-valuedness of a class expression
       ` C ( y ) ` .  (Contributed by NM, 16-Dec-2012.)  (Proof shortened by
       Mario Carneiro, 18-Nov-2016.)  (Proof shortened by JJ, 7-Aug-2021.) $)
    reusv1 $p |- ( E. y e. B ph -> ( E! x e. A A. y e. B ( ph -> x = C )
                   <-> E. x e. A A. y e. B ( ph -> x = C ) ) ) $=
      ( wrex cv wceq wi wral wmo wrmo wreu wb nfra1 nfmov wcel wal rsp alrimdv
      com3l mo2icl syl6 rexlimi mormo reu5 rbaib 3syl ) ACEGABHFIZJZCEKZBLZULBD
      MZULBDNZULBDGZOAUMCEULCBUKCEPQCHERZAULUJJZBSUMUQAURBULUQAUJUKCETUBUAULBFU
      CUDUEULBDUFUOUPUNULBDUGUHUI $.
  $}

  ${
    $d x y z A $.  $d x z B $.  $d x z C $.  $d x z ph $.
    $( Lemma for ~ reusv2 .  (Contributed by NM, 22-Oct-2010.)  (Proof
       shortened by Mario Carneiro, 19-Nov-2016.) $)
    reusv2lem1 $p |- ( A =/= (/) -> ( E! x A. y e. A x = B
                     <-> E. x A. y e. A x = B ) ) $=
      ( c0 wne cv wceq wral wmo weu wex wb wcel n0 nfra1 nfmov wi wal syl com12
      rsp alrimiv mo2icl exlimi sylbi df-eu rbaib ) CEFZAGDHZBCIZAJZUKAKZUKALZM
      UIBGCNZBLULBCOUOULBUKBAUJBCPQUOUKUJRZASULUOUPAUKUOUJUJBCUBUAUCUKADUDTUEUF
      UMUNULUKAUGUHT $.

    $( Lemma for ~ reusv2 .  (Contributed by NM, 27-Oct-2010.)  (Proof
       shortened by Mario Carneiro, 19-Nov-2016.)  (Proof shortened by JJ,
       7-Aug-2021.) $)
    reusv2lem2 $p |- ( E! x A. y e. A x = B -> E! x E. y e. A x = B ) $=
      ( vz cv wceq wral weu wrex wi c0 wn wex sylib wa simpr nfra1 adantr ex wb
      wal eunex exnal rzal alrimiv nsyl3 pm2.21d wcel rspa eqtr4d eqeq1 ralbidv
      wne biimprcd ad2antrr mpd exp31 rexlimd adantl r19.2z impbid exlimdv euex
      eubidv cbvexvw impel mpbird pm2.61ine ) AFZDGZBCHZAIZVKBCJZAIZKCLCLGZVMVO
      VMVLAUBZVPVMVLMANVQMVLAUCVLAUDOVPVLAVKBCUEUFUGUHCLUNZVMVOVRVMPVOVMVRVMQVR
      EFZDGZBCHZENZVOVMUAZVMVRWAWCEVRWAWCVRWAPZVNVLAWDVNVLWAVNVLKVRWAVKVLBCVTBC
      RVKBCRWABFCUIZVKVLWAWEPZVKPZVJVSGZVLWGVJDVSWFVKQWFVTVKVTBCUJSUKWAWHVLKWEV
      KWHVLWAWHVKVTBCVJVSDULUMZUOUPUQURUSUTVRVLVNKWAVRVLVNVKBCVATSVBVETVCVMVLAN
      WBVLAVDVLWAAEWIVFOVGVHTVI $.

    $( Lemma for ~ reusv2 .  (Contributed by NM, 14-Dec-2012.)  (Proof
       shortened by Mario Carneiro, 19-Nov-2016.) $)
    reusv2lem3 $p |- ( A. y e. A B e. _V ->
          ( E! x E. y e. A x = B <-> E! x A. y e. A x = B ) ) $=
      ( cvv wcel wral cv wceq wrex weu wa simpr nfv nfeu1 nfan wi wex c0 ex wne
      euex rexn0 exlimiv r19.2z adantl nfra1 nfre1 nfeuw rsp impcom isset sylib
      3syl adantrr rspe ancrd eximdv syldan eupick syl2an2 com3l ralrimd impbid
      imp eubid mpbird reusv2lem2 impbid1 ) DEFZBCGZAHDIZBCJZAKZVLBCGZAKZVKVNVP
      VKVNLZVPVNVKVNMZVQVOVMAVKVNAVKANVMAOPVQVOVMVNVOVMQZVKVNVMARCSUAZVSVMAUBVM
      VTAVLBCUCUDVTVOVMVLBCUETUNUFVQVMVLBCVKVNBVJBCUGVMBAVLBCUHZUIPWABHCFZVQVMV
      LWBVQVMVLQZVQVNWBVMVLLZARZWCVRWBVQVLARZWEWBVKWFVNWBVKLVJWFVKWBVJVJBCUJUKA
      DULUMUOWBWFWEWBVLWDAWBVLVMWBVLVMVLBCUPTUQURVEUSVMVLAUTVATVBVCVDVFVGTABCDV
      HVI $.

    $( Lemma for ~ reusv2 .  (Contributed by NM, 13-Dec-2012.) $)
    reusv2lem4 $p |- ( E! x e. A E. y e. B ( ph /\ x = C )
            <-> E! x A. y e. B ( ( C e. A /\ ph ) -> x = C ) ) $=
      ( vz cv wceq wa wrex wcel weu wi wral anass eleq1 nfv cvv wal wreu df-reu
      crab anbi1i anbi1d pm5.32ri bitr3i anbi2i 3bitr4ri rexbii2 r19.42v nfrab1
      csb rabid nfcsb1v nfeq2 csbeq1a eqeq2d cbvrexfw 3bitr3i eubii wb ad2antrl
      nfcv elex sylbi rgen nfel1 eleq1d mpbi reusv2lem3 ax-mp df-ral nfcri nfim
      cbvralfw imbi12d cbvalv1 imbi1i impexp bitri albii bitr4i 3bitr2i 3bitri
      ) ABHZFIZJZCEKZBDUAWFDLZWIJZBMWFCGHZFUMZIZGFDLZAJZCEUCZKZBMZWPWGNZCEOZBMZ
      WIBDUBWKWRBWJWHJZCEKWGCWQKWKWRXCWGCEWQCHZELZWPJZWGJXEWPWGJZJXDWQLZWGJXEXC
      JXEWPWGPXHXFWGWPCEUNZUDXCXGXEXCWJAJZWGJXGWJAWGPWGXJWPWGWJWOAWFFDQUEUFUGUH
      UIUJWJWHCEUKWGWNCGWQWPCEULZGWQVDZWGGRCWFWMCWLFUOZUPZXDWLIZFWMWFCWLFUQZURZ
      USUTVAWSWNGWQOZBMZXBWMSLZGWQOZWSXSVBFSLZCWQOYAYBCWQXHXFYBXIWOYBXEAFDVEVCV
      FVGYBXTCGWQXKXLYBGRCWMSXMVHXOFWMSXPVIVPVJBGWQWMVKVLXRXABXRWLWQLZWNNZGTXHW
      GNZCTZXAWNGWQVMYEYDCGYEGRYCWNCCGWQXKVNXNVOXOXHYCWGWNXDWLWQQXQVQVRYFXEWTNZ
      CTXAYEYGCYEXFWGNYGXHXFWGXIVSXEWPWGVTWAWBWTCEVMWCWDVAWAWE $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x C $.
    $( Lemma for ~ reusv2 .  (Contributed by NM, 4-Jan-2013.)  (Proof shortened
       by Mario Carneiro, 19-Nov-2016.) $)
    reusv2lem5 $p |- ( ( A. y e. B C e. A /\ B =/= (/) )
          -> ( E! x e. A E. y e. B x = C <-> E! x e. A A. y e. B x = C ) ) $=
      ( wcel wral c0 wne wa wtru cv wceq wi weu wrex wreu wb tru eubidv bitr4di
      biimt mpan2 ibar bitr3d eleq1 pm5.32ri ralimi ralbi syl r19.28zv sylan9bb
      biantrur rexbii reubii reusv2lem4 bitri df-reu 3bitr4g ) ECFZBDGZDHIZJUTK
      JZALZEMZNZBDGZAOZVDCFZVEBDGZJZAOZVEBDPZACQZVJACQVAVHVIVEJZBDGZAOVBVLVAVGV
      PAVAVFVORZBDGVGVPRUTVQBDUTVFUTVEJZVOUTVEVFVRUTKVEVFRSVCVEUBUCUTVEUDUEVEVI
      UTVDECUFUGUAUHVFVOBDUIUJTVBVPVKAVIVEBDUKTULVNKVEJZBDPZACQVHVMVTACVEVSBDKV
      ESUMUNUOKABCDEUPUQVJACURUS $.
  $}

  ${
    $d x y z A $.  $d x z B $.  $d x z C $.  $d x z ph $.
    $( Two ways to express single-valuedness of a class expression ` C ( y ) `
       that is constant for those ` y e. B ` such that ` ph ` .  The first
       antecedent ensures that the constant value belongs to the existential
       uniqueness domain ` A ` , and the second ensures that ` C ( y ) ` is
       evaluated for at least one ` y ` .  (Contributed by NM, 4-Jan-2013.)
       (Proof shortened by Mario Carneiro, 19-Nov-2016.) $)
    reusv2 $p |- ( ( A. y e. B ( ph -> C e. A ) /\ E. y e. B ph )
          -> ( E! x e. A E. y e. B ( ph /\ x = C )
                   <-> E! x e. A A. y e. B ( ph -> x = C ) ) ) $=
      ( vz wcel wi wral cv wceq wa wrex wreu nfv cbvralfw imbi1i bitri bitr3i
      csb crab c0 wne wb nfrab1 nfcv nfcsb1v nfel1 csbeq1a eleq1d rabid ralbii2
      impexp rabn0 reusv2lem5 nfeq2 eqeq2d cbvrexfw anbi1i anass rexbii2 reubii
      3bitr3g syl2anbr ) AFDHZIZCEJZCGKZFUAZDHZGACEUBZJZVLUCUDZABKZFLZMZCENZBDO
      ZAVPIZCEJZBDOZUEACENVMVFCVLJVHVFVKCGVLACEUFZGVLUGZVFGPCVJDCVIFUHZUICKZVIL
      ZFVJDCVIFUJZUKQVFVGCVLEWFVLHZVFIWFEHZAMZVFIWJVGIWIWKVFACEULZRWJAVFUNSUMTA
      CEUOVMVNMVOVJLZGVLNZBDOWMGVLJZBDOVSWBBGDVLVJUPWNVRBDWNVPCVLNVRVPWMCGVLWCW
      DVPGPZCVOVJWEUQZWGFVJVOWHURZUSVPVQCVLEWIVPMWKVPMWJVQMWIWKVPWLUTWJAVPVASVB
      TVCWOWABDWOVPCVLJWAVPWMCGVLWCWDWPWQWRQVPVTCVLEWIVPIWKVPIWJVTIWIWKVPWLRWJA
      VPUNSUMTVCVDVE $.
  $}

  ${
    $d x y z B $.  $d x z C $.  $d x y D $.  $d x z ph $.  $d x y ps $.
    reusv3.1 $e |- ( y = z -> ( ph <-> ps ) ) $.
    reusv3.2 $e |- ( y = z -> C = D ) $.
    $( Two ways of expressing existential uniqueness via an indirect equality.
       (Contributed by NM, 23-Dec-2012.) $)
    reusv3i $p |- ( E. x e. A A. y e. B ( ph -> x = C )
            -> A. y e. B A. z e. B ( ( ph /\ ps ) -> C = D ) ) $=
      ( cv wceq wi wral wa eqeq2d imbi12d cbvralvw biimpi raaanv anim12 2ralimi
      eqtr2 syl6 sylbir mpdan rexlimivw ) ACLZHMZNZDGOZABPZHIMZNZEGODGOZCFULBUI
      IMZNZEGOZUPULUSUKURDEGDLELMZABUJUQJUTHIUIKQRSTULUSPUKURPZEGODGOUPUKURDEGU
      AVAUODEGGVAUMUJUQPUNAUJBUQUBUIHIUDUEUCUFUGUH $.

    $d x y z A $.
    $( Two ways to express single-valuedness of a class expression
       ` C ( y ) ` .  See ~ reusv1 for the connection to uniqueness.
       (Contributed by NM, 27-Dec-2012.) $)
    reusv3 $p |- ( E. y e. B ( ph /\ C e. A )
          -> ( A. y e. B A. z e. B ( ( ph /\ ps ) -> C = D )
                   <-> E. x e. A A. y e. B ( ph -> x = C ) ) ) $=
      ( wcel wa wrex wceq wi wral cv bitri ralbii eleq1d cbvrexvw nfra2w risset
      anbi12d nfv nfim ralcom impexp bi2.04 r19.21v rsp sylbi com3l imp31 eqeq1
      eqcom bitrdi imbi2d ralbidv syl5ibrcom reximdv ex expimpd rexlimi reusv3i
      com23 syl5bi impbid1 ) AHFLZMZDGNZABMHIOZPZEGQDGQZACRZHOZPZDGQZCFNZVLBIFL
      ZMZEGNVOVTPZVKWBDEGDRERZOZABVJWAJWEHIFKUAUEUBWBWCEGVOVTEVNDEGGUCVTEUFUGWD
      GLZBWAWCWAVPIOZCFNZWFBMZWCCIFUDWIVOWHVTWIVOWHVTPWIVOMZWGVSCFWJVSWGAVMPZDG
      QZWFBVOWLVOWFBWLVOBWLPZEGQZWFWMPVOVNDGQZEGQWNVNDEGGUHWOWMEGWOBWKPZDGQWMVN
      WPDGVNABVMPPWPABVMUIABVMUJSTBWKDGUKSTSWMEGULUMUNUOWGVRWKDGWGVQVMAWGVQIHOV
      MVPIHUPIHUQURUSUTVAVBVCVGVHVDVEUMABCDEFGHIJKVFVI $.
  $}

  ${
    $d x y A $.  $d x B $.
    eusv4.1 $e |- B e. _V $.
    $( Two ways to express single-valuedness of a class expression
       ` B ( y ) ` .  (Contributed by NM, 27-Oct-2010.) $)
    eusv4 $p |- ( E! x E. y e. A x = B <-> E! x A. y e. A x = B ) $=
      ( cvv wcel cv wceq wrex weu wral wb reusv2lem3 a1i mprg ) DFGZAHDIZBCJAKR
      BCLAKMBCABCDNQBHCGEOP $.
  $}

  ${
    $d x A $.  $d y ph $.  $d x ps $.  $d x y $.
    alxfr.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Transfer universal quantification from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  (Contributed by NM,
       18-Feb-2007.) $)
    alxfr $p |- ( ( A. y A e. B /\ A. x E. y x = A ) ->
                ( A. x ph <-> A. y ps ) ) $=
      ( wcel wal cv wceq wex wa wi spcgv com12 alimdv adantr nfa1 nfv sp exlimd
      syl5ibrcom adantl impbid ) EFHZDIZCJEKZDLZCIZMACIZBDIZUGUKULNUJUKUGULUKUF
      BDUFUKBABCEFGOPQPRUJULUKNUGULUJUKULUIACULUHADBDSADTULAUHBBDUAGUCUBQPUDUE
      $.
  $}

  ${
    $d x A $.  $d x y B $.  $d x C $.  $d x ch $.  $d x y ph $.  $d y ps $.
    ralxfrd.1 $e |- ( ( ph /\ y e. C ) -> A e. B ) $.
    ralxfrd.2 $e |- ( ( ph /\ x e. B ) -> E. y e. C x = A ) $.
    ralxfrd.3 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    $( Transfer universal quantification from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  (Contributed by NM,
       15-Aug-2014.)  (Proof shortened by Mario Carneiro, 19-Nov-2016.)  (Proof
       shortened by JJ, 7-Aug-2021.) $)
    ralxfrd $p |- ( ph -> ( A. x e. B ps <-> A. y e. C ch ) ) $=
      ( wral cv wcel wa wceq wb adantlr ralrimdva wrex rspcdv wi r19.29 impcomd
      exbiri rexlimdvw syl5 adantr mpan2d impbid ) ABDGLZCEHLZAUKCEHAEMHNZOBCDF
      GIADMZFPZBCQUMKRUASAULBDGAUNGNZOULUOEHTZBJAULUQOZBUBUPURCUOOZEHTABCUOEHUC
      AUSBEHAUOCBAUOBCKUEUDUFUGUHUISUJ $.

    $( Transfer universal quantification from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  (Contributed by FL,
       10-Apr-2007.)  (Revised by Mario Carneiro, 15-Aug-2014.) $)
    rexxfrd $p |- ( ph -> ( E. x e. B ps <-> E. y e. C ch ) ) $=
      ( wn wral wrex cv wceq wa notbid ralxfrd dfrex2 3bitr4g ) ABLZDGMZLCLZEHM
      ZLBDGNCEHNAUCUEAUBUDDEFGHIJADOFPQBCKRSRBDGTCEHTUA $.
  $}

  ${
    $d x A $.  $d x y B $.  $d x C $.  $d x ch $.  $d x y ph $.  $d y ps $.
    ralxfr2d.1 $e |- ( ( ph /\ y e. C ) -> A e. V ) $.
    ralxfr2d.2 $e |- ( ph -> ( x e. B <-> E. y e. C x = A ) ) $.
    ralxfr2d.3 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    $( Transfer universal quantification from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  (Contributed by Mario
       Carneiro, 20-Aug-2014.) $)
    ralxfr2d $p |- ( ph -> ( A. x e. B ps <-> A. y e. C ch ) ) $=
      ( cv wcel wa wceq wex elisset syl wi wrex biimprd r19.23v sylibr r19.21bi
      wral eleq1 mpbidi exlimdv mpd biimpa ralxfrd ) ABCDEFGHAEMHNOZDMZFPZDQZFG
      NZUMFINUPJDFIRSUMUOUQDUOUNGNZUQUMAUOURTZEHAUOEHUAZURTUSEHUFAURUTKUBUOUREH
      UCUDUEUNFGUGUHUIUJAURUTKUKLUL $.

    $( Transfer universal quantification from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  (Contributed by Mario
       Carneiro, 20-Aug-2014.)  (Proof shortened by Mario Carneiro,
       19-Nov-2016.) $)
    rexxfr2d $p |- ( ph -> ( E. x e. B ps <-> E. y e. C ch ) ) $=
      ( wn wral wrex cv wceq wa notbid dfrex2 ralxfr2d 3bitr4g ) ABMZDGNZMCMZEH
      NZMBDGOCEHOAUDUFAUCUEDEFGHIJKADPFQRBCLSUASBDGTCEHTUB $.
  $}

  ${
    $d x A $.  $d x y B $.  $d x C $.  $d x ch $.  $d x y ph $.  $d y ps $.
    ralxfrd2.1 $e |- ( ( ph /\ y e. C ) -> A e. B ) $.
    ralxfrd2.2 $e |- ( ( ph /\ x e. B ) -> E. y e. C x = A ) $.
    ralxfrd2.3 $e |- ( ( ph /\ y e. C /\ x = A ) -> ( ps <-> ch ) ) $.
    $( Transfer universal quantification from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  Variant of ~ ralxfrd .
       (Contributed by Alexander van der Vekens, 25-Apr-2018.) $)
    ralxfrd2 $p |- ( ph -> ( A. x e. B ps <-> A. y e. C ch ) ) $=
      ( wral cv wcel wa wceq wb 3expa ralrimdva wrex rspcdv ad4ant134 rexlimdva
      r19.29 exbiri impcomd syl5 mpan2d impbid ) ABDGLZCEHLZAUJCEHAEMHNZOBCDFGI
      AULDMZFPZBCQZKRUASAUKBDGAUMGNZOZUKUNEHTZBJUKUROCUNOZEHTUQBCUNEHUDUQUSBEHU
      QULOZUNCBUTUNBCAULUNUOUPKUBUEUFUCUGUHSUI $.

    $( Transfer existence from a variable ` x ` to another variable ` y `
       contained in expression ` A ` .  Variant of ~ rexxfrd .  (Contributed by
       Alexander van der Vekens, 25-Apr-2018.) $)
    rexxfrd2 $p |- ( ph -> ( E. x e. B ps <-> E. y e. C ch ) ) $=
      ( wn wral wrex cv wcel wceq w3a notbid dfrex2 ralxfrd2 3bitr4g ) ABLZDGMZ
      LCLZEHMZLBDGNCEHNAUDUFAUCUEDEFGHIJAEOHPDOFQRBCKSUASBDGTCEHTUB $.
  $}

  ${
    $d x ps $.  $d y ph $.  $d x A $.  $d x y B $.  $d x C $.
    ralxfr.1 $e |- ( y e. C -> A e. B ) $.
    ralxfr.2 $e |- ( x e. B -> E. y e. C x = A ) $.
    ralxfr.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Transfer universal quantification from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  (Contributed by NM,
       10-Jun-2005.)  (Revised by Mario Carneiro, 15-Aug-2014.) $)
    ralxfr $p |- ( A. x e. B ph <-> A. y e. C ps ) $=
      ( wral wb wtru cv wcel adantl wceq wrex ralxfrd mptru ) ACFKBDGKLMABCDEFG
      DNGOEFOMHPCNZFOUAEQZDGRMIPUBABLMJPST $.

    $( Alternate proof of ~ ralxfr which does not use ~ ralxfrd .  (Contributed
       by NM, 10-Jun-2005.)  (Revised by Mario Carneiro, 15-Aug-2014.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ralxfrALT $p |- ( A. x e. B ph <-> A. y e. C ps ) $=
      ( wral cv wcel wi rspcv syl com12 ralrimiv wceq wrex nfv biimprcd rexlimd
      nfra1 rsp syl6 syl5 impbii ) ACFKZBDGKZUIBDGDLGMZUIBUKEFMUIBNHABCEFJOPQRU
      JACFCLZFMULESZDGTUJAIUJUMADGBDGUDADUAUJUKBUMANBDGUEUMABJUBUFUCUGRUH $.

    $( Transfer existence from a variable ` x ` to another variable ` y `
       contained in expression ` A ` .  (Contributed by NM, 10-Jun-2005.)
       (Revised by Mario Carneiro, 15-Aug-2014.) $)
    rexxfr $p |- ( E. x e. B ph <-> E. y e. C ps ) $=
      ( wrex wn wral dfrex2 cv wceq notbid ralxfr xchbinxr bitr4i ) ACFKALZCFMZ
      LBDGKZACFNUCBLZDGMUBBDGNUAUDCDEFGHICOEPABJQRST $.
  $}

  ${
    $d x A $.  $d x y D $.  $d y ph $.  $d y ps $.  $d x ch $.
    rabxfrd.1 $e |- F/_ y B $.
    rabxfrd.2 $e |- F/_ y C $.
    rabxfrd.3 $e |- ( ( ph /\ y e. D ) -> A e. D ) $.
    rabxfrd.4 $e |- ( x = A -> ( ps <-> ch ) ) $.
    rabxfrd.5 $e |- ( y = B -> A = C ) $.
    $( Membership in a restricted class abstraction after substituting an
       expression ` A ` (containing ` y ` ) for ` x ` in the formula defining
       the class abstraction.  (Contributed by NM, 16-Jan-2012.) $)
    rabxfrd $p |- ( ( ph /\ B e. D ) ->
                 ( C e. { x e. D | ps } <-> B e. { y e. D | ch } ) ) $=
      ( wcel crab wb wa wi imp cv ibibr sylib anbi1d elrab rabid 3bitr4g eleq2d
      ex rabbidva nfcv nfel1 wceq eleq1d elrabf nfrab1 nfel eleq1 pm5.32 sylibr
      3bitr3g ) AGIOZHBDIPZOZGCEIPZOZQZAVBVDRZVBVFRZQVBVGSAGFVCOZEIPZOGEUAZVEOZ
      EIPZOVHVIAVKVNGAVJVMEIAVLIOZRZFIOZCRVOCRVJVMVPVQVOCAVOVQVOQZAVOVQSVOVRSAV
      OVQLUIVOVQUBUCTUDBCDFIMUECEIUFUGUJUHVJVDEGIJEIUKZEHVCKULVLGUMFHVCNUNUOVMV
      FEGIJVSEGVEJCEIUPUQVLGVEURUOVAVBVDVFUSUTT $.
  $}

  ${
    $d x A $.  $d x y D $.  $d y ph $.  $d x ps $.
    rabxfr.1 $e |- F/_ y B $.
    rabxfr.2 $e |- F/_ y C $.
    rabxfr.3 $e |- ( y e. D -> A e. D ) $.
    rabxfr.4 $e |- ( x = A -> ( ph <-> ps ) ) $.
    rabxfr.5 $e |- ( y = B -> A = C ) $.
    $( Membership in a restricted class abstraction after substituting an
       expression ` A ` (containing ` y ` ) for ` x ` in the the formula
       defining the class abstraction.  (Contributed by NM, 10-Jun-2005.) $)
    rabxfr $p |- ( B e. D ->
                 ( C e. { x e. D | ph } <-> B e. { y e. D | ps } ) ) $=
      ( wtru wcel crab wb tru cv adantl rabxfrd mpan ) NFHOGACHPOFBDHPOQRNABCDE
      FGHIJDSHOEHONKTLMUAUB $.
  $}

  ${
    $d y ph $.  $d y B $.  $d y C $.  $d x y $.
    reuhypd.1 $e |- ( ( ph /\ x e. C ) -> B e. C ) $.
    reuhypd.2 $e |- ( ( ph /\ x e. C /\ y e. C ) -> ( x = A <-> y = B ) ) $.
    $( A theorem useful for eliminating the restricted existential uniqueness
       hypotheses in ~ riotaxfrd .  (Contributed by NM, 16-Jan-2012.) $)
    reuhypd $p |- ( ( ph /\ x e. C ) -> E! y e. C x = A ) $=
      ( cv wcel wa wceq weu wreu cvv elexd eueq sylib eleq1 syl5ibrcom pm4.71rd
      wb 3expa pm5.32da bitr4d eubidv mpbid df-reu sylibr ) ABIZFJZKZCIZFJZUJDL
      ZKZCMZUOCFNULUMELZCMZUQULEOJUSULEFGPCEQRULURUPCULURUNURKUPULURUNULUNUREFJ
      GUMEFSTUAULUNUOURAUKUNUOURUBHUCUDUEUFUGUOCFUHUI $.
  $}

  ${
    $d y B $.  $d y C $.  $d x y $.
    reuhyp.1 $e |- ( x e. C -> B e. C ) $.
    reuhyp.2 $e |- ( ( x e. C /\ y e. C ) -> ( x = A <-> y = B ) ) $.
    $( A theorem useful for eliminating the restricted existential uniqueness
       hypotheses in ~ reuxfr1 .  (Contributed by NM, 15-Nov-2004.) $)
    reuhyp $p |- ( x e. C -> E! y e. C x = A ) $=
      ( wtru cv wcel wceq wreu tru adantl wb 3adant1 reuhypd mpan ) HAIZEJZSCKZ
      BELMHABCDETDEJHFNTBIZEJUAUBDKOHGPQR $.
  $}

  ${
    $d x z w v $.  $d y z w v $.
    $( The Axiom of Pairing of Zermelo-Fraenkel set theory.  Axiom 2 of
       [TakeutiZaring] p. 15.  In some textbooks this is stated as a separate
       axiom; here we show it is redundant since it can be derived from the
       other axioms.

       This theorem should not be referenced by any proof other than
       ~ axprALT .  Instead, use ~ zfpair2 below so that the uses of the Axiom
       of Pairing can be more easily identified.  (Contributed by NM,
       18-Oct-1995.)  (New usage is discouraged.) $)
    zfpair $p |- { x , y } e. _V $=
      ( vw vz vv cv cpr weq wo cab cvv dfpr2 c0 wceq wex isseti mpbiran equequ2
      wa 19.41v csn 19.43 prlem2 exbii 0ex p0ex orbi12i 3bitr3ri abbii eqeltrri
      pp0ex wi wal 0inp0 prlem1 alrimdv spimevw orcom con2i syl7bi jaoi eqeltri
      zfrep4 ) AFZBFZGCAHZCBHZIZCJZKCVDVELVIDFZMNZVJMUAZNZIZVKVFSZVMVGSZIZSZDOZ
      CJKVHVSCVQDOVODOZVPDOZIVSVHVOVPDUBVQVRDVKVFVMVGUCUDVTVFWAVGVTVKDOVFDMUEPV
      KVFDTQWAVMDOVGDVLUFPVMVGDTQUGUHUIVNVQDCEMVLGVNDJKDMVLLUKUJVKVQCEHZULZCUMZ
      EOVMVKWDEAEAHZVKWCCWEVKVFVMVGWBEACRVJUNZUOUPUQVMWDEBEBHZVMWCCVQVPVOIWGVMW
      BVOVPURWGVMVGVKVFWBEBCRVKVMWFUSUOUTUPUQVAVCVBVB $.

    $( Alternate proof of ~ axpr .  (Contributed by NM, 14-Nov-2006.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    axprALT $p |- E. z A. w ( ( w = x \/ w = y ) -> w e. z ) $=
      ( cv cpr wceq wo wcel wi wal zfpair isseti dfcleq vex bibi2i biimpr sylbi
      wb elpr alimi eximii ) CEZAEZBEZFZGZDEZUDGUHUEGHZUHUCIZJZDKZCCUFABLMUGUJU
      HUFIZSZDKULDUCUFNUNUKDUNUJUISUKUMUIUJUHUDUEDOTPUJUIQRUARUB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derive the Axiom of Pairing
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w $.
    $( Lemma for ~ axpr .  There exists a set to which all empty sets belong.
       (Contributed by Rohan Ridenour, 10-Aug-2023.)  (Revised by BJ,
       13-Aug-2023.) $)
    axprlem1 $p |- E. x A. y ( A. z -. z e. y -> y e. x ) $=
      ( vw wel wn wal wex ax-pow pm2.21 alimi a1i imim1d alimdv eximdv exlimiiv
      wi mpi ax-nul ) CDEZFCGZCBEZFZCGZBAEZQZBGZAHZDUAUBTQZCGZUEQZBGZAHUHDABCIU
      AULUGAUAUKUFBUAUDUJUEUDUJQUAUCUICUBTJKLMNORDCSP $.
    $( $j usage 'axprlem1' avoids 'ax-ext' 'ax-sep'; $)
  $}

  ${
    $d x y z w v $.
    $( Lemma for ~ axpr .  There exists a set to which all sets whose only
       members are empty sets belong.  (Contributed by Rohan Ridenour,
       9-Aug-2023.)  (Revised by BJ, 13-Aug-2023.) $)
    axprlem2 $p |- E. x A. y ( A. z e. y A. w -. w e. z -> y e. x ) $=
      ( vv wel wn wal wi cv wex ax-pow df-ral imim2 al2imi syl5bi imim1d alimdv
      wral eximdv mpi axprlem1 exlimiiv ) DCFGDHZCEFZIZCHZUDCBJZSZBAFZIZBHZAKZE
      UGCBFZUEIZCHZUJIZBHZAKUMEABCLUGURULAUGUQUKBUGUIUPUJUIUNUDIZCHUGUPUDCUHMUF
      USUOCUDUEUNNOPQRTUAECDUBUC $.
    $( $j usage 'axprlem2' avoids 'ax-ext' 'ax-sep'; $)
  $}

  ${
    $d x z w $.  $d y z w $.  $d z w n $.  $d z w s p $.
    $( Lemma for ~ axpr .  Eliminate the antecedent of the relevant replacement
       instance.  (Contributed by Rohan Ridenour, 10-Aug-2023.) $)
    axprlem3 $p |- E. z A. w ( w e. z <->
                    E. s ( s e. p /\ if- ( E. n n e. s , w = x , w = y ) ) ) $=
      ( cv wcel wex weq wi wal wa ax6evr biimpd alrimiv expcom eximdv mpi wb wn
      wif axrep4 ifptru equtrr sylan9r ifpfal adantl simpl equtr syl6ci pm2.61i
      nfv mpg ) EHFHZIEJZDAKZDBKZUCZDCKZLZDMZCJZDHCHIUPGHIUTNFJUADMCJFUTFDCGUTC
      UNUDUQVDUQACKZCJVDCAOUQVEVCCVEUQVCVEUQNVBDUQUTURVEVAUQUTURUQURUSUEPACDUFU
      GQRSTUQUBZBCKZCJVDCBOVFVGVCCVGVFVCVGVFNZVBDVHUTUSVGVAVFUTUSLVGVFUTUSUQURU
      SUHPUIVGVFUJDBCUKULQRSTUMUO $.
    $( $j usage 'axprlem3' avoids 'ax-ext'; $)
  $}

  ${
    $d x s $.  $d w s $.  $d t n s $.
    $( Lemma for ~ axpr .  The first element of the pair is included in any
       superset of the set whose existence is asserted by the axiom of
       replacement.  (Contributed by Rohan Ridenour, 10-Aug-2023.)  (Revised by
       BJ, 13-Aug-2023.) $)
    axprlem4 $p |- ( ( A. s ( A. n e. s A. t -. t e. n -> s e. p ) /\ w = x )
      -> E. s ( s e. p /\ if- ( E. n n e. s , w = x , w = y ) ) ) $=
      ( wel wn wal cv wral wi weq wa wex nfa1 sp eximd mpi wif axprlem1 bm1.3ii
      wb nfv nfan biimp alimi df-ral sylibr mpan9 adantrr ax-nul biimprd simprr
      ifptru biimpar syl2an2r jca expcom ) DEHIDJZEFKZLZFGHZMZFJZCANZOZEFHZVAUD
      ZEJZFPVDVIEPZVGCBNZUAZOZFPVAFEFEDUBUCVHVKVOFVFVGFVEFQVGFUEUFVKVHVOVKVHOVD
      VNVKVFVDVGVKVCVFVDVKVIVAMZEJVCVJVPEVIVAUGUHVAEVBUIUJVEFRUKULVKVLVHVGVNVKV
      AEPVLEDUMVKVAVIEVJEQVKVIVAVJERUNSTVKVFVGUOVLVNVGVLVGVMUPUQURUSUTST $.
    $( $j usage 'axprlem4' avoids 'ax-ext'; $)
  $}

  ${
    $d y s $.  $d w s $.  $d n s $.
    $( Lemma for ~ axpr .  The second element of the pair is included in any
       superset of the set whose existence is asserted by the axiom of
       replacement.  (Contributed by Rohan Ridenour, 10-Aug-2023.)  (Revised by
       BJ, 13-Aug-2023.) $)
    axprlem5 $p |- ( ( A. s ( A. n e. s A. t -. t e. n -> s e. p ) /\ w = y )
       -> E. s ( s e. p /\ if- ( E. n n e. s , w = x , w = y ) ) ) $=
      ( wel wn wal cv wral wi weq wa wex wif ax-nul nfa1 nfv nfan pm2.21 adantr
      alimi df-ral sylibr ad2antrl mpd simpl alnex sylib simprr biimpar syl2anc
      sp ifpfal jca expcom eximd mpi ) DEHIDJZEFKZLZFGHZMZFJZCBNZOZEFHZIZEJZFPV
      DVIEPZCANZVGQZOZFPFERVHVKVOFVFVGFVEFSVGFTUAVKVHVOVKVHOZVDVNVPVCVDVPVIVAMZ
      EJZVCVKVRVHVJVQEVIVAUBUDUCVAEVBUEUFVFVEVKVGVEFUOUGUHVPVLIZVGVNVPVKVSVKVHU
      IVIEUJUKVKVFVGULVSVNVGVLVMVGUPUMUNUQURUSUT $.
    $( $j usage 'axprlem5' avoids 'ax-ext'; $)
  $}

  ${
    $d x z w s p $.  $d y z w s p $.  $d z w t n s p $.
    $( Unabbreviated version of the Axiom of Pairing of ZF set theory, derived
       as a theorem from the other axioms.

       This theorem should not be referenced by any proof.  Instead, use
       ~ ax-pr below so that the uses of the Axiom of Pairing can be more
       easily identified.

       For a shorter proof using ~ ax-ext , see ~ axprALT .  (Contributed by
       NM, 14-Nov-2006.)  Remove dependency on ~ ax-ext .  (Revised by Rohan
       Ridenour, 10-Aug-2023.)  (Proof shortened by BJ, 13-Aug-2023.)  Use
       ~ ax-pr instead.  (New usage is discouraged.) $)
    axpr $p |- E. z A. w ( ( w = x \/ w = y ) -> w e. z ) $=
      ( vt vn vs vp wel wn wal cv wral wi weq wo wex wif wa wb biimpr eximii ex
      axprlem3 alimi axprlem4 axprlem5 jaodan imim1d alimdv eximdv mpi axprlem2
      exlimiiv ) EFIJEKFGLMGHIZNGKZDAOZDBOZPZDCIZNZDKZCQZHUPUOFGIFQUQURRSGQZUTN
      ZDKZCQVCUTVDTZDKVFCABCDFGHUDVGVEDUTVDUAUEUBUPVFVBCUPVEVADUPUSVDUTUPUSVDUP
      UQVDURABDEFGHUFABDEFGHUGUHUCUIUJUKULHGFEUMUN $.
    $( $j usage 'axpr' avoids 'ax-ext'; $)
  $}

  ${
    $d x z w $.  $d y z w $.
    $( The Axiom of Pairing of ZF set theory.  It was derived as Theorem ~ axpr
       above and is therefore redundant, but we state it as a separate axiom
       here so that its uses can be identified more easily.  (Contributed by
       NM, 14-Nov-2006.) $)
    ax-pr $a |- E. z A. w ( ( w = x \/ w = y ) -> w e. z ) $.
    $( $j restatement 'ax-pr' of 'axpr'; $)

    $( Derive the abbreviated version of the Axiom of Pairing from ~ ax-pr .
       See ~ zfpair for its derivation from the other axioms.  (Contributed by
       NM, 14-Nov-2006.) $)
    zfpair2 $p |- { x , y } e. _V $=
      ( vz vw cv cpr wceq wex wcel wo wal ax-pr bm1.3ii dfcleq vex bibi2i albii
      wb elpr bitri exbii mpbir issetri ) CAEZBEZFZCEZUFGZCHDEZUGIZUIUDGUIUEGJZ
      RZDKZCHUKCDABCDLMUHUMCUHUJUIUFIZRZDKUMDUGUFNUOULDUNUKUJUIUDUEDOSPQTUAUBUC
      $.
  $}

  ${
    $d x A $.
    $( A singleton is a set.  Theorem 7.12 of [Quine] p. 51, proved using
       Extensionality, Separation, Null Set, and Pairing.  See also ~ snexALT .
       (Contributed by NM, 7-Aug-1994.)  (Revised by Mario Carneiro,
       19-May-2013.)  (Proof modification is discouraged.) $)
    snex $p |- { A } e. _V $=
      ( vx cvv wcel csn cpr dfsn2 cv wceq preq12 anidms eleq1d zfpair2 eqeltrid
      vtoclg wn c0 snprc biimpi 0ex eqeltrdi pm2.61i ) ACDZAEZCDUCUDAAFZCAGBHZU
      FFZCDUECDBACUFAIZUGUECUHUGUEIUFUFAAJKLBBMONUCPZUDQCUIUDQIARSTUAUB $.
  $}

  ${
    $d x A $.  $d x y B $.
    $( The Axiom of Pairing using class variables.  Theorem 7.13 of [Quine]
       p. 51.  By virtue of its definition, an unordered pair remains a set
       (even though no longer a pair) even when its components are proper
       classes (see ~ prprc ), so we can dispense with hypotheses requiring
       them to be sets.  (Contributed by NM, 15-Jul-1993.) $)
    prex $p |- { A , B } e. _V $=
      ( vx vy cvv wcel cpr wi wceq preq2 eleq1d zfpair2 vtoclg preq1 syl5ib csn
      cv wn snex eqeltrdi vtocleg prprc1 prprc2 pm2.61nii ) AEFZBEFZABGZEFZUFUH
      HCAEUFCQZBGZEFZUIAIZUHUIDQZGZEFUKDBEUMBIUNUJEUMBUIJKCDLMULUJUGEUIABNKOUAU
      ERUGBPEABUBBSTUFRUGAPEABUCASTUD $.
  $}

  ${
    $d x A $.
    $( If a class is a set, then it is a member of a set.  (Contributed by BJ,
       3-Apr-2019.) $)
    sels $p |- ( A e. V -> E. x A e. x ) $=
      ( wcel csn cv wex snidg snex eleq2 spcev syl ) BCDBBEZDZBAFZDZAGBCHPNAMBI
      OMBJKL $.
  $}

  ${
    $d x y $.
    $( Alternate proof of ~ el , shorter but requiring more axioms.
       (Contributed by NM, 4-Jan-2002.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    elALT $p |- E. y x e. y $=
      ( cv csn wcel wex vex snid snex eleq2 spcev ax-mp ) ACZMDZEZMBCZEZBFMAGHQ
      OBNMIPNMJKL $.
  $}

  ${
    $d x y $.
    $( Alternate proof of ~ dtru using ~ ax-pr instead of ~ ax-pow .
       (Contributed by Mario Carneiro, 31-Aug-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    dtruALT2 $p |- -. A. x x = y $=
      ( cv wceq wn wex wal c0 csn 0inp0 snex eqeq2 notbid spcev syl 0ex pm2.61i
      exnal eqcom albii xchbinx mpbi ) BCZACZDZEZAFZUDUCDZAGZEUCHDZUGUJUCHIZDZE
      ZUGUCJUFUMAUKHKUDUKDUEULUDUKUCLMNOUFUJEAHPUDHDUEUJUDHUCLMNQUGUEAGUIUEARUE
      UHAUCUDSTUAUB $.
  $}

  $( A singleton of a set belongs to the power class of a class containing the
     set.  (Contributed by Alan Sare, 25-Aug-2011.) $)
  snelpwi $p |- ( A e. B -> { A } e. ~P B ) $=
    ( wcel csn wss cpw snssi snex elpw sylibr ) ABCADZBEKBFCABGKBAHIJ $.

  ${
    snelpw.1 $e |- A e. _V $.
    $( A singleton of a set belongs to the power class of a class containing
       the set.  (Contributed by NM, 1-Apr-1998.) $)
    snelpw $p |- ( A e. B <-> { A } e. ~P B ) $=
      ( wcel csn wss cpw snss snex elpw bitr4i ) ABDAEZBFLBGDABCHLBAIJK $.
  $}

  $( A pair of two sets belongs to the power class of a class containing those
     two sets and vice versa.  (Contributed by AV, 8-Jan-2020.) $)
  prelpw $p |- ( ( A e. V /\ B e. W )
                 -> ( ( A e. C /\ B e. C ) <-> { A , B } e. ~P C ) ) $=
    ( wcel wa cpr wss cpw prssg prex elpw bitr4di ) ADFBEFGACFBCFGABHZCIOCJFABC
    DEKOCABLMN $.

  $( A pair of two sets belongs to the power class of a class containing those
     two sets.  (Contributed by Thierry Arnoux, 10-Mar-2017.)  (Proof shortened
     by AV, 23-Oct-2021.) $)
  prelpwi $p |- ( ( A e. C /\ B e. C ) -> { A , B } e. ~P C ) $=
    ( wcel wa cpr cpw prelpw ibi ) ACDBCDEABFCGDABCCCHI $.

  ${
    $d x y z $.
    $( A theorem similar to extensionality, requiring the existence of a
       singleton.  Exercise 8 of [TakeutiZaring] p. 16.  (Contributed by NM,
       10-Aug-1993.) $)
    rext $p |- ( A. z ( x e. z -> y e. z ) -> x = y ) $=
      ( cv wcel wi wal csn wceq vsnid snex eleq2 imbi12d spcv mpi velsn equcomi
      sylbi syl ) ADZCDZEZBDZUAEZFZCGZUCTHZEZTUCIZUFTUGEZUHAJUEUJUHFCUGTKUAUGIU
      BUJUDUHUAUGTLUAUGUCLMNOUHUCTIUIBTPBAQRS $.
  $}

  ${
    $d A x $.  $d B x $.
    $( The powerclass construction preserves and reflects inclusion.  Classes
       are subclasses if and only if their power classes are subclasses.
       Exercise 18 of [TakeutiZaring] p. 18.  (Contributed by NM,
       13-Oct-1996.) $)
    sspwb $p |- ( A C_ B <-> ~P A C_ ~P B ) $=
      ( vx wss cpw sspw cv csn wcel ssel snex elpw vex snss bitr4i ssrdv impbii
      3imtr3g ) ABDAEZBEZDZABFUACABUACGZHZSIZUCTIZUBAIZUBBIZSTUCJUDUCADUFUCAUBK
      ZLUBACMZNOUEUCBDUGUCBUHLUBBUINORPQ $.
  $}

  ${
    $d A x y $.
    $( A class equals the union of its power class.  Exercise 6(a) of
       [Enderton] p. 38.  (Contributed by NM, 14-Oct-1996.)  (Proof shortened
       by Alan Sare, 28-Dec-2008.) $)
    unipw $p |- U. ~P A = A $=
      ( vx vy cpw cuni cv wcel wa wex eluni elelpwi exlimiv sylbi vsnid snelpwi
      csn elunii sylancr impbii eqriv ) BADZEZABFZUBGZUCAGZUDUCCFZGUFUAGHZCIUEC
      UCUAJUGUECUCUFAKLMUEUCUCPZGUHUAGUDBNUCAOUCUHUAQRST $.
  $}

  $( The union of the universe is the universe.  Exercise 4.12(c) of
     [Mendelson] p. 235.  (Contributed by NM, 14-Sep-2003.) $)
  univ $p |- U. _V = _V $=
    ( cvv cpw cuni pwv unieqi unipw eqtr3i ) ABZCACAHADEAFG $.

  $( A class is transitive iff its power class is transitive.  (Contributed by
     Alan Sare, 25-Aug-2011.)  (Revised by Mario Carneiro, 15-Jun-2014.) $)
  pwtr $p |- ( Tr A <-> Tr ~P A ) $=
    ( cpw cuni wss wtr unipw sseq1i df-tr dftr4 3bitr4ri ) ABZCZKDAKDKEAELAKAFG
    KHAIJ $.

  ${
    $d A x $.  $d B x $.
    $( An extensionality-like principle defining subclass in terms of subsets.
       (Contributed by NM, 30-Jun-2004.) $)
    ssextss $p |- ( A C_ B <-> A. x ( x C_ A -> x C_ B ) ) $=
      ( wss cpw cv wcel wi wal sspwb dfss2 velpw imbi12i albii 3bitri ) BCDBEZC
      EZDAFZPGZRQGZHZAIRBDZRCDZHZAIBCJAPQKUAUDASUBTUCABLACLMNO $.

    $( An extensionality-like principle that uses the subset instead of the
       membership relation: two classes are equal iff they have the same
       subsets.  (Contributed by NM, 30-Jun-2004.) $)
    ssext $p |- ( A = B <-> A. x ( x C_ A <-> x C_ B ) ) $=
      ( wss wa cv wi wal wceq wb ssextss anbi12i eqss albiim 3bitr4i ) BCDZCBDZ
      EAFZBDZRCDZGAHZTSGAHZEBCISTJAHPUAQUBABCKACBKLBCMSTANO $.

    $( Negation of subclass relationship.  Compare ~ nss .  (Contributed by NM,
       30-Jun-2004.)  (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
    nssss $p |- ( -. A C_ B <-> E. x ( x C_ A /\ -. x C_ B ) ) $=
      ( cv wss wn wa wex wi wal exanali ssextss xchbinxr bicomi ) ADZBEZOCEZFGA
      HZBCEZFRPQIAJSPQAKABCLMN $.
  $}

  $( Classes are equal if and only if their power classes are equal.  Exercise
     19 of [TakeutiZaring] p. 18.  (Contributed by NM, 13-Oct-1996.) $)
  pweqb $p |- ( A = B <-> ~P A = ~P B ) $=
    ( wss wa cpw wceq sspwb anbi12i eqss 3bitr4i ) ABCZBACZDAEZBEZCZNMCZDABFMNF
    KOLPABGBAGHABIMNIJ $.

  ${
    $d x A $.
    intid.1 $e |- A e. _V $.
    $( The intersection of all sets to which a set belongs is the singleton of
       that set.  (Contributed by NM, 5-Jun-2009.) $)
    intid $p |- |^| { x | A e. x } = { A } $=
      ( cv wcel cab cint csn cvv wss snex eleq2 intmin3 ax-mp wi elintab mpgbir
      snid id snssi eqssi ) BADZEZAFGZBHZUEIEUDUEJBKUCBUEEAUEIUBUEBLBCRMNBUDEZU
      EUDJUFUCUCOAUCABCPUCSQBUDTNUA $.
  $}

  ${
    $d x y $.  $d y ph $.
    $( "At most one" existence implies a class abstraction exists.
       (Contributed by NM, 30-Dec-1996.) $)
    moabex $p |- ( E* x ph -> { x | ph } e. _V ) $=
      ( vy wmo weq wi wal wex cab cvv wcel df-mo cv csn abss velsn imbi2i albii
      wss bitri snex ssex sylbir exlimiv sylbi ) ABDABCEZFZBGZCHABIZJKZABCLUHUJ
      CUHUICMZNZSZUJUMABMULKZFZBGUHABULOUOUGBUNUFABUKPQRTUIULUKUAUBUCUDUE $.
  $}

  $( Restricted "at most one" existence implies a restricted class abstraction
     exists.  (Contributed by NM, 17-Jun-2017.) $)
  rmorabex $p |- ( E* x e. A ph -> { x e. A | ph } e. _V ) $=
    ( cv wcel wa wmo cab cvv wrmo crab moabex df-rmo df-rab eleq1i 3imtr4i ) BD
    CEAFZBGQBHZIEABCJABCKZIEQBLABCMSRIABCNOP $.

  $( The abstraction of a wff with existential uniqueness exists.  (Contributed
     by NM, 25-Nov-1994.) $)
  euabex $p |- ( E! x ph -> { x | ph } e. _V ) $=
    ( weu wmo cab cvv wcel eumo moabex syl ) ABCABDABEFGABHABIJ $.

  ${
    $d x y A $.
    $( A nonempty class (even if proper) has a nonempty subset.  (Contributed
       by NM, 23-Aug-2003.) $)
    nnullss $p |- ( A =/= (/) -> E. x ( x C_ A /\ x =/= (/) ) ) $=
      ( vy c0 wne cv wcel wex wss wa n0 csn vex snss snnz snex wceq sseq1 neeq1
      sylbi anbi12d spcev mpan2 exlimiv ) BDECFZBGZCHAFZBIZUGDEZJZAHZCBKUFUKCUF
      UELZBIZUKUEBCMZNUMULDEZUKUEUNOUJUMUOJAULUEPUGULQUHUMUIUOUGULBRUGULDSUAUBU
      CTUDT $.
  $}

  ${
    $d x y z A $.  $d y z ph $.
    $( Restricted existence in a class (even if proper) implies restricted
       existence in a subset.  (Contributed by NM, 23-Aug-2003.) $)
    exss $p |- ( E. x e. A ph -> E. y ( y C_ A /\ E. x e. y ph ) ) $=
      ( vz wrex cv wcel wa cab wex wss crab wne df-rab rabn0 sylbi wsb df-clab
      c0 neeq1i n0 3bitr3i csn vex snss ssab2 sstr2 mpi simpr weq equsb1v velsn
      sbbii mpbir jctil sban bitri eleq2i 3bitri 3imtr4i ne0d sylib sseq1 rexeq
      snex wceq anbi12d spcev syl2anc exlimiv ) ABDFZEGZBGZDHZAIZBJZHZEKZCGZDLZ
      ABVTFZIZCKZABDMZTNVQTNVLVSWEVQTABDOUAABDPEVQUBUCVRWDEVRVMUDZDLZABWFFZWDVR
      WFVQLZWGVMVQEUEUFWIVQDLWGABDUGWFVQDUHUIQVRABWFMZTNWHVRWJVMVOBERZABERZIZVN
      WFHZBERZWLIZVRVMWJHZWMWLWOWKWLUJWOBEUKZBERBEULWNWRBEBVMUMUNUOUPVRVPBERWMV
      PEBSVOABEUQURWQVMWNAIZBJZHWSBERWPWJWTVMABWFOUSWSEBSWNABEUQUTVAVBABWFPVCWC
      WGWHICWFVMVFVTWFVGWAWGWBWHVTWFDVDABVTWFVEVHVIVJVKQ $.
  $}

  $( An ordered pair of classes is a set.  Exercise 7 of [TakeutiZaring] p. 16.
     (Contributed by NM, 18-Aug-1993.)  (Revised by Mario Carneiro,
     26-Apr-2015.) $)
  opex $p |- <. A , B >. e. _V $=
    ( cop cvv wcel wa csn cpr c0 cif dfopif prex 0ex ifex eqeltri ) ABCADEBDEFZ
    AGZABHZHZIJDABKPSIQRLMNO $.

  $( An ordered triple of classes is a set.  (Contributed by NM,
     3-Apr-2015.) $)
  otex $p |- <. A , B , C >. e. _V $=
    ( cotp cop cvv df-ot opex eqeltri ) ABCDABEZCEFABCGJCHI $.

  $( Characterization of the elements of an ordered pair.  Closed form of
     ~ elop .  (Contributed by BJ, 22-Jun-2019.)  (Avoid depending on this
     detail.) $)
  elopg $p |- ( ( A e. V /\ B e. W ) ->
                   ( C e. <. A , B >. <-> ( C = { A } \/ C = { A , B } ) ) ) $=
    ( wcel wa cop csn cpr wceq wo wb dfopg eleq2 snex prex elpr2 bitrdi syl ) A
    DFBEFGABHZAIZABJZJZKZCUAFZCUBKCUCKLZMABDENUEUFCUDFUGUAUDCOCUBUCAPABQRST $.

  ${
    elop.1 $e |- B e. _V $.
    elop.2 $e |- C e. _V $.
    $( Characterization of the elements of an ordered pair.  Exercise 3 of
       [TakeutiZaring] p. 15.  (Contributed by NM, 15-Jul-1993.)  (Revised by
       Mario Carneiro, 26-Apr-2015.)  Remove an extraneous hypothesis.
       (Revised by BJ, 25-Dec-2020.)  (Avoid depending on this detail.) $)
    elop $p |- ( A e. <. B , C >. <-> ( A = { B } \/ A = { B , C } ) ) $=
      ( cvv wcel cop csn wceq cpr wo wb elopg mp2an ) BFGCFGABCHGABIJABCKJLMDEB
      CAFFNO $.
  $}

  ${
    opi1.1 $e |- A e. _V $.
    opi1.2 $e |- B e. _V $.
    $( One of the two elements in an ordered pair.  (Contributed by NM,
       15-Jul-1993.)  (Revised by Mario Carneiro, 26-Apr-2015.)  (Avoid
       depending on this detail.) $)
    opi1 $p |- { A } e. <. A , B >. $=
      ( csn cpr cop snex prid1 dfop eleqtrri ) AEZLABFZFABGLMAHIABCDJK $.

    $( One of the two elements of an ordered pair.  (Contributed by NM,
       5-Aug-1993.)  (Revised by Mario Carneiro, 26-Apr-2015.)  (Avoid
       depending on this detail.) $)
    opi2 $p |- { A , B } e. <. A , B >. $=
      ( cpr csn cop prex prid2 dfop eleqtrri ) ABEZAFZLEABGMLABHIABCDJK $.
  $}

  ${
    opeluu.1 $e |- A e. _V $.
    opeluu.2 $e |- B e. _V $.
    $( Each member of an ordered pair belongs to the union of the union of a
       class to which the ordered pair belongs.  Lemma 3D of [Enderton] p. 41.
       (Contributed by NM, 31-Mar-1995.)  (Revised by Mario Carneiro,
       27-Feb-2016.) $)
    opeluu $p |- ( <. A , B >. e. C ->
                 ( A e. U. U. C /\ B e. U. U. C ) ) $=
      ( cop wcel cuni cpr prid1 opi2 elunii mpan sylancr prid2 jca ) ABFZCGZACH
      ZHZGZBTGZRAABIZGUCSGZUAABDJUCQGRUDABDEKUCQCLMZAUCSLNRBUCGUDUBABEOUEBUCSLN
      P $.
  $}

  ${
    op1stb.1 $e |- A e. _V $.
    op1stb.2 $e |- B e. _V $.
    $( Extract the first member of an ordered pair.  Theorem 73 of [Suppes]
       p. 42.  (See ~ op2ndb to extract the second member, ~ op1sta for an
       alternate version, and ~ op1st for the preferred version.)  (Contributed
       by NM, 25-Nov-2003.) $)
    op1stb $p |- |^| |^| <. A , B >. = A $=
      ( cop cint csn cpr dfop inteqi cin snex prex intpr wss wceq snsspr1 df-ss
      mpbi eqtri intsn ) ABEZFZFAGZFAUCUDUCUDABHZHZFZUDUBUFABCDIJUGUDUEKZUDUDUE
      ALABMNUDUEOUHUDPABQUDUERSTTJACUAT $.
  $}

  $( Two classes are always in relation by ` _V ` .  This is simply equivalent
     to ` <. A , B >. e. _V ` , and does not imply that ` _V ` is a relation:
     see ~ nrelv .  (Contributed by Scott Fenton, 11-Apr-2012.) $)
  brv $p |- A _V B $=
    ( cvv wbr cop wcel opex df-br mpbir ) ABCDABECFABGABCHI $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ordered pair theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( An ordered pair is nonempty iff the arguments are sets.  (Contributed by
     NM, 24-Jan-2004.)  (Revised by Mario Carneiro, 26-Apr-2015.) $)
  opnz $p |- ( <. A , B >. =/= (/) <-> ( A e. _V /\ B e. _V ) ) $=
    ( cop c0 wne cvv wcel wa opprc necon1ai csn cpr dfopg snex prnz a1i eqnetrd
    impbii ) ABCZDEAFGBFGHZTSDABIJTSAKZABLZLZDABFFMUCDETUAUBANOPQR $.

  ${
    opth1.1 $e |- A e. _V $.
    opth1.2 $e |- B e. _V $.
    $( An ordered pair is nonempty if the arguments are sets.  (Contributed by
       Mario Carneiro, 26-Apr-2015.) $)
    opnzi $p |- <. A , B >. =/= (/) $=
      ( cop c0 wne cvv wcel opnz mpbir2an ) ABEFGAHIBHICDABJK $.

    $( Equality of the first members of equal ordered pairs.  (Contributed by
       NM, 28-May-2008.)  (Revised by Mario Carneiro, 26-Apr-2015.) $)
    opth1 $p |- ( <. A , B >. = <. C , D >. -> A = C ) $=
      ( cop wceq csn wcel opi1 id eleqtrid cpr wi sneqr a1i cvv oprcl syl eleq2
      simpld prid1g syl5ibrcom elsni eqcomd syl6 wo dfopg eleqtrd elpri mpjaod
      wa ) ABGZCDGZHZAIZUOJZACHZUPUQUNUOABEFKUPLMURUQCIZHZUSUQCDNZHZVAUSOURACEP
      QURVCCUQJZUSURVDVCCVBJZURCRJZVEURVFDRJZCDUQSZUBCDRUCTUQVBCUAUDVDCACAUEUFU
      GURUQUTVBNZJVAVCUHURUQUOVIURLURVFVGUMUOVIHVHCDRRUITUJUQUTVBUKTULT $.

    $d x B $.  $d x C $.  $d x D $.
    $( The ordered pair theorem.  If two ordered pairs are equal, their first
       elements are equal and their second elements are equal.  Exercise 6 of
       [TakeutiZaring] p. 16.  Note that ` C ` and ` D ` are not required to be
       sets due our specific ordered pair definition.  (Contributed by NM,
       28-May-1995.) $)
    opth $p |- ( <. A , B >. = <. C , D >. <-> ( A = C /\ B = D ) ) $=
      ( vx cop wceq wa cvv wcel cpr csn syl eqtr3d dfopg prex preqr2 wi opi1 id
      opth1 eleqtrid oprcl simprd opeq1d simpld sylancl cv preq2 eqeq2d imbi12d
      eqeq2 vex vtoclg sylc jca opeq12 impbii ) ABHZCDHZIZACIZBDIZJVCVDVEABCDEF
      UCZVCDKLZCBMZCDMZIZVEVCCKLZVGVCANZVBLVKVGJZVCVLVAVBABEFUAVCUBZUDCDVLUEOZU
      FVCCNZVHMZVPVIMZIVJVCVBVQVRVCCBHZVBVQVCVAVSVBVCACBVFUGVNPVCVKBKLVSVQIVCVK
      VGVOUHFCBKKQUIPVCVMVBVRIVOCDKKQOPVHVIVPCBRCDRSOVHCGUJZMZIZBVTIZTVJVETGDKV
      TDIZWBVJWCVEWDWAVIVHVTDCUKULVTDBUNUMBVTCFGUOSUPUQURABCDUSUT $.
    $( $j usage 'opth' avoids 'ax-reg'; $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x y D $.
    $( Ordered pair theorem. ` C ` and ` D ` are not required to be sets under
       our specific ordered pair definition.  (Contributed by NM, 14-Oct-2005.)
       (Revised by Mario Carneiro, 26-Apr-2015.) $)
    opthg $p |- ( ( A e. V /\ B e. W ) ->
                 ( <. A , B >. = <. C , D >. <-> ( A = C /\ B = D ) ) ) $=
      ( vx vy cv cop wceq wa wb opeq1 eqeq1d eqeq1 anbi1d bibi12d opeq2 vex
      anbi2d opth vtocl2g ) GIZHIZJZCDJZKZUDCKZUEDKZLZMAUEJZUGKZACKZUJLZMABJZUG
      KZUNBDKZLZMGHABEFUDAKZUHUMUKUOUTUFULUGUDAUENOUTUIUNUJUDACPQRUEBKZUMUQUOUS
      VAULUPUGUEBASOVAUJURUNUEBDPUARUDUECDGTHTUBUC $.
  $}

  $( Equality of the first members of equal ordered pairs.  Closed form of
     ~ opth1 .  (Contributed by AV, 14-Oct-2018.) $)
  opth1g $p |- ( ( A e. V /\ B e. W )
                 -> ( <. A , B >. = <. C , D >. -> A = C ) ) $=
    ( wcel wa cop wceq opthg simpl syl6bi ) AEGBFGHABICDIJACJZBDJZHNABCDEFKNOLM
    $.

  $( Ordered pair theorem.  (Contributed by NM, 14-Oct-2005.)  (Revised by
     Mario Carneiro, 26-Apr-2015.) $)
  opthg2 $p |- ( ( C e. V /\ D e. W ) ->
               ( <. A , B >. = <. C , D >. <-> ( A = C /\ B = D ) ) ) $=
    ( wcel wa cop wceq opthg eqcom anbi12i 3bitr4g ) CEGDFGHCDIZABIZJCAJZDBJZHP
    OJACJZBDJZHCDABEFKPOLSQTRACLBDLMN $.

  ${
    opth2.1 $e |- C e. _V $.
    opth2.2 $e |- D e. _V $.
    $( Ordered pair theorem.  (Contributed by NM, 21-Sep-2014.) $)
    opth2 $p |- ( <. A , B >. = <. C , D >. <-> ( A = C /\ B = D ) ) $=
      ( cvv wcel cop wceq wa wb opthg2 mp2an ) CGHDGHABICDIJACJBDJKLEFABCDGGMN
      $.
  $}

  $( Two ordered pairs are not equal iff their first components or their second
     components are not equal.  (Contributed by AV, 13-Dec-2018.) $)
  opthneg $p |- ( ( A e. V /\ B e. W ) -> ( <. A , B >. =/= <. C , D >.
                                            <-> ( A =/= C \/ B =/= D ) ) ) $=
    ( cop wne wceq wn wcel wa wo df-ne opthg notbid ianor orbi12i bitr4i bitrdi
    syl5bb ) ABGZCDGZHUBUCIZJZAEKBFKLZACHZBDHZMZUBUCNUFUEACIZBDIZLZJZUIUFUDULAB
    CDEFOPUMUJJZUKJZMUIUJUKQUGUNUHUOACNBDNRSTUA $.

  ${
    opthne.1 $e |- A e. _V $.
    opthne.2 $e |- B e. _V $.
    $( Two ordered pairs are not equal iff their first components or their
       second components are not equal.  (Contributed by AV, 13-Dec-2018.) $)
    opthne $p |- ( <. A , B >. =/= <. C , D >. <-> ( A =/= C \/ B =/= D ) ) $=
      ( cvv wcel cop wne wo wb opthneg mp2an ) AGHBGHABICDIJACJBDJKLEFABCDGGMN
      $.
  $}

  ${
    otth.1 $e |- A e. _V $.
    otth.2 $e |- B e. _V $.
    otth.3 $e |- R e. _V $.
    $( Ordered triple theorem, with triple expressed with ordered pairs.
       (Contributed by NM, 1-May-1995.)  (Revised by Mario Carneiro,
       26-Apr-2015.) $)
    otth2 $p |- ( <. <. A , B >. , R >. = <. <. C , D >. , S >. <->
                ( A = C /\ B = D /\ R = S ) ) $=
      ( cop wceq wa w3a opth anbi1i opex df-3an 3bitr4i ) ABJZCDJZKZEFKZLACKZBD
      KZLZUBLSEJTFJKUCUDUBMUAUEUBABCDGHNOSETFABPINUCUDUBQR $.

    $( Ordered triple theorem.  (Contributed by NM, 25-Sep-2014.)  (Revised by
       Mario Carneiro, 26-Apr-2015.) $)
    otth $p |- ( <. A , B , R >. = <. C , D , S >. <->
      ( A = C /\ B = D /\ R = S ) ) $=
      ( cotp wceq cop w3a df-ot eqeq12i otth2 bitri ) ABEJZCDFJZKABLELZCDLFLZKA
      CKBDKEFKMRTSUAABENCDFNOABCDEFGHIPQ $.
  $}

  $( Ordered triple theorem, closed form.  (Contributed by Alexander van der
     Vekens, 10-Mar-2018.) $)
  otthg $p |- ( ( A e. U /\ B e. V /\ C e. W )
                  -> ( <. A , B , C >. = <. D , E , F >.
                       <-> ( A = D /\ B = E /\ C = F ) ) ) $=
    ( cotp wceq cop wcel w3a df-ot eqeq12i wb wa cvv opthg anbi1d bitr4di 3impa
    opex mpan df-3an sylan9bbr syl5bb ) ABCJZDFGJZKABLZCLZDFLZGLZKZAEMZBHMZCIMZ
    NADKZBFKZCGKZNZUIULUJUNABCODFGOPUPUQURUOVBQURUOUKUMKZVARZUPUQRZVBUKSMURUOVD
    QABUDUKCUMGSITUEVEVDUSUTRZVARVBVEVCVFVAABDFEHTUAUSUTVAUFUBUGUCUH $.

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    eqvinop.1 $e |- B e. _V $.
    eqvinop.2 $e |- C e. _V $.
    $( A variable introduction law for ordered pairs.  Analogue of Lemma 15 of
       [Monk2] p. 109.  (Contributed by NM, 28-May-1995.) $)
    eqvinop $p |- ( A = <. B , C >. <-> E. x E. y ( A = <. x , y >. /\
                  <. x , y >. = <. B , C >. ) ) $=
      ( cv cop wceq wa wex opth2 anbi2i ancom anass 3bitri exbii eqeq2d ceqsexv
      19.42v opeq2 opeq1 bitr2i ) CAHZBHZIZJZUGDEIZJZKZBLZALUEDJZCUEEIZJZKZALCU
      IJZULUPAULUMUFEJZUHKZKZBLUMUSBLZKUPUKUTBUKUHUMURKZKVBUHKUTUJVBUHUEUFDEFGM
      NUHVBOUMURUHPQRUMUSBUAVAUOUMUHUOBEGURUGUNCUFEUEUBSTNQRUOUQADFUMUNUICUEDEU
      CSTUD $.
  $}

  ${
    $d a x y z $.  $d ph x y $.  $d ps z $.
    sbcop.z $e |- ( z = <. x , y >. -> ( ph <-> ps ) ) $.
    $( The proper substitution of an ordered pair for a setvar variable
       corresponds to a proper substitution of its first component.
       (Contributed by AV, 8-Apr-2023.) $)
    sbcop1 $p |- ( [. a / x ]. ps <-> [. <. a , y >. / z ]. ph ) $=
      ( cv wsbc cop wceq wi wal wa wex sbc5 syl6bi imp exlimiv sylbi weq eqeq2d
      opeq1 equcoms biimprd com23 alrimiv opex sbc6 sylibr biimpd com3l impbii
      vex ) BCFHZIZAEUODHZJZIZUPEHZURKZALZEMUSUPVBEUPCFUAZBNZCOVBBCUOPVDVBCVCBV
      BVCVABAVCVAUTCHZUQJZKZBALVCURVFUTURVFKFCUOVEUQUCUDUBZVGABGUEQUFRSTUGAEURU
      OUQUHUIUJUSVAANZEOUPAEURPVIUPEVIVCBLZCMUPVIVJCVAAVJVCVAABVCVAVGABLVHVGABG
      UKQULRUGBCUOFUNUIUJSTUM $.

    $d b x y z $.
    $( The proper substitution of an ordered pair for a setvar variable
       corresponds to a proper substitution of each of its components.
       (Contributed by AV, 8-Apr-2023.) $)
    sbcop $p |- ( [. b / y ]. [. a / x ]. ps <-> [. <. a , b >. / z ]. ph ) $=
      ( cv wsbc cop csb sbcop1 sbcbii wb cvv sbcnestgw elv wceq csbopg csbvargi
      vex csbconstgi opeq12i eqtri dfsbcq ax-mp 3bitri ) BCFIZJZDGIZJAEUIDIZKZJ
      ZDUKJZAEDUKUMLZJZAEUIUKKZJZUJUNDUKABCDEFHMNUOUQOGADEUKUMPQRUPURSUQUSOUPDU
      KUILZDUKULLZKZURUPVBSGDUKUIULPTRUTUIVAUKDFUKGUBZUCDUKVCUAUDUEAEUPURUFUGUH
      $.
  $}

  ${
    $d x y z w A $.  $d z w ph $.
    $( Version of ~ copsexg with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by Gino Giotto, 26-Jan-2024.) $)
    copsexgw $p |- ( A = <. x , y >. ->
                  ( ph <-> E. x E. y ( A = <. x , y >. /\ ph ) ) ) $=
      ( vz vw cv cop wceq wa wex wb wi vex 19.8a weq syl5 syl5bi weu euequ opth
      eqvinop 19.8ad ex anbi1i 2exbii nfe1 wal anim2i eximi biidd drex1v syl5ib
      anassrs wn anass exbii 19.40 nfvd 19.9d anim1d syl6 pm2.61i exlimi equcom
      eubii mpbi eupick com12 sylan9 sylbi impbid anbi1d 2exbidv bibi2d imbi12d
      mpan eqeq1 mpbiri adantr exlimivv pm2.43i ) DBGZCGZHZIZAWFAJZCKBKZLZWFDEG
      ZFGZHZIZWLWEIZJZFKEKWFWIMZEFDWCWDBNCNUBWOWPEFWMWPWNWMWPWNAWNAJZCKZBKZLZMW
      NAWSWNAWSWQWRBWQCOUCUDWNEBPZFCPZJZWSAMWJWKWCWDENFNUAZWSXCAJZCKZBKZXCAWQXE
      BCWNXCAXDUEUFXGXAXBAJZCKZJZBKZXCAXFXKBXJBUGCBPCUHZXFXKMXFXJCKXLXKXEXJCXAX
      BAXJXHXIXAXHCOUIUNUJXJXJCBXLXJUKULUMXLUOZXFXJXKXFXAXHJZCKZXMXJXEXNCXAXBAU
      PUQXOXACKZXIJXMXJXAXHCURXMXPXAXIXAXMCXMXACUSUTVAQRXJBOVBVCVDXAXKXIXBAXKXA
      XIXABSZXKXAXIMBEPZBSXQBETXRXABBEVEVFVGXAXIBVHVQVIXIXBAXBCSZXIXBAMCFPZCSXS
      CFTXTXBCCFVEVFVGXBACVHVQVIVJQRVKVLWMWFWNWIWTDWLWEVRZWMWHWSAWMWGWQBCWMWFWN
      AYAVMVNVOVPVSVTWAVKWB $.
    $( $j usage 'copsexgw' avoids 'ax-13'; $)
  $}

  ${
    $d x z w A $.  $d y z w A $.  $d z w ph $.
    $( Substitution of class ` A ` for ordered pair ` <. x , y >. ` .  Usage of
       this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ copsexgw when possible.  (Contributed by NM, 27-Dec-1996.)
       (Revised by Andrew Salmon, 11-Jul-2011.)  (Proof shortened by Wolf
       Lammen, 25-Aug-2019.)  (New usage is discouraged.) $)
    copsexg $p |- ( A = <. x , y >. ->
                  ( ph <-> E. x E. y ( A = <. x , y >. /\ ph ) ) ) $=
      ( vz vw cv cop wceq wa wex wb wi vex 19.8a weq syl5 syl5bi weu euequ opth
      eqvinop 19.23bi ex anbi1i 2exbii nfe1 wal anim2i eximi biidd drex1 syl5ib
      anassrs wn anass exbii 19.40 nfeqf2 19.9d anim1d syl6 exlimi equcom eubii
      pm2.61i mpbi eupick com12 sylan9 sylbi impbid eqeq1 anbi1d 2exbidv bibi2d
      mpan imbi12d mpbiri adantr exlimivv pm2.43i ) DBGZCGZHZIZAWFAJZCKBKZLZWFD
      EGZFGZHZIZWLWEIZJZFKEKWFWIMZEFDWCWDBNCNUBWOWPEFWMWPWNWMWPWNAWNAJZCKZBKZLZ
      MWNAWSWNAWSWQWSCWRBOUCUDWNEBPZFCPZJZWSAMWJWKWCWDENFNUAZWSXCAJZCKZBKZXCAWQ
      XEBCWNXCAXDUEUFXGXAXBAJZCKZJZBKZXCAXFXKBXJBUGCBPCUHZXFXKMXFXJCKXLXKXEXJCX
      AXBAXJXHXIXAXHCOUIUNUJXJXJCBXLXJUKULUMXLUOZXFXJXKXFXAXHJZCKZXMXJXEXNCXAXB
      AUPUQXOXACKZXIJXMXJXAXHCURXMXPXAXIXAXMCCBEUSUTVAQRXJBOVBVFVCXAXKXIXBAXKXA
      XIXABSZXKXAXIMBEPZBSXQBETXRXABBEVDVEVGXAXIBVHVQVIXIXBAXBCSZXIXBAMCFPZCSXS
      CFTXTXBCCFVDVEVGXBACVHVQVIVJQRVKVLWMWFWNWIWTDWLWEVMZWMWHWSAWMWGWQBCWMWFWN
      AYAVNVOVPVRVSVTWAVKWB $.
  $}

  ${
    $d x y ps $.  $d x y A $.  $d x y B $.
    $( Closed theorem form of ~ copsex2g .  (Contributed by NM,
       17-Feb-2013.) $)
    copsex2t $p |- ( ( A. x A. y ( ( x = A /\ y = B ) -> ( ph <-> ps ) )
      /\ ( A e. V /\ B e. W ) ) ->
                  ( E. x E. y ( <. A , B >. = <. x , y >. /\ ph ) <-> ps ) ) $=
      ( cv wceq wa wb wal wex cop wcel nfe1 nfv nfbi exlimd wi nfa1 nfa2 opeq12
      nfex copsexgw eqcoms syl adantl 2sp imp bitr3d ex elisset exdistrv sylibr
      anim12i impel ) CIZEJZDIZFJZKZABLZUAZDMZCMZVCDNZCNZEFOZUSVAOZJAKZDNZCNZBL
      ZEGPZFHPZKZVGVHVOCVFCUBVNBCVMCQBCRSVGVCVODVEDCUCVNBDVMDCVLDQUEBDRSVGVCVOV
      GVCKAVNBVCAVNLZVGVCVKVJJVSUSVAEFUDVSVJVKACDVJUFUGUHUIVGVCVDVECDUJUKULUMTT
      VRUTCNZVBDNZKVIVPVTVQWACEGUNDFHUNUQUTVBCDUOUPUR $.
  $}

  ${
    $d x y ps $.  $d x y A $.  $d x y B $.
    copsex2g.1 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( Implicit substitution inference for ordered pairs.  (Contributed by NM,
       28-May-1995.)  Use a similar proof to ~ copsex4g to reduce axiom usage.
       (Revised by SN, 1-Sep-2024.) $)
    copsex2g $p |- ( ( A e. V /\ B e. W ) ->
                  ( E. x E. y ( <. A , B >. = <. x , y >. /\ ph ) <-> ps ) ) $=
      ( cop cv wceq wa wex wcel eqcom vex opth bitri anbi1i 2exbii id cgsex2g
      syl5bb ) EFJZCKZDKZJZLZAMZDNCNUFELUGFLMZAMZDNCNEGOFHOMBUJULCDUIUKAUIUHUEL
      UKUEUHPUFUGEFCQDQRSTUAABUKCDEFGHUKUBIUCUD $.
    $( $j usage 'copsex2g' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Obsolete version of ~ copsex2g as of 1-Sep-2024.  (Contributed by NM,
       28-May-1995.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    copsex2gOLD $p |- ( ( A e. V /\ B e. W ) ->
                  ( E. x E. y ( <. A , B >. = <. x , y >. /\ ph ) <-> ps ) ) $=
      ( wcel cv wceq wex cop wa wb elisset nfe1 nfv nfbi exdistrv nfex copsexgw
      opeq12 eqcoms syl bitr3d exlimi sylbir syl2an ) EGJCKZELZCMZDKZFLZDMZEFNZ
      UKUNNZLAOZDMZCMZBPZFHJCEGQDFHQUMUPOULUOOZDMZCMVBULUOCDUAVDVBCVABCUTCRBCST
      VCVBDVABDUTDCUSDRUBBDSTVCAVABVCURUQLAVAPZUKUNEFUDVEUQURACDUQUCUEUFIUGUHUH
      UIUJ $.
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.  $d x y z w D $.
    $d x y z w ps $.  $d x y z w R $.  $d x y z w S $.
    copsex4g.1 $e |- ( ( ( x = A /\ y = B ) /\ ( z = C /\ w = D ) ) ->
                     ( ph <-> ps ) ) $.
    $( An implicit substitution inference for 2 ordered pairs.  (Contributed by
       NM, 5-Aug-1995.) $)
    copsex4g $p |- ( ( ( A e. R /\ B e. S ) /\ ( C e. R /\ D e. S ) ) ->
                      ( E. x E. y E. z E. w ( ( <. A , B >. = <. x , y >. /\
                      <. C , D >. = <. z , w >. ) /\ ph ) <-> ps ) ) $=
      ( wcel wa cop cv wceq wex vex eqcom opth bitri anbi12i anbi1i a1i 4exbidv
      wb id cgsex4g bitrd ) GKNHLNOIKNJLNOOZGHPZCQZDQZPZRZIJPZEQZFQZPZRZOZAOZFS
      ESDSCSUNGRUOHROZUSIRUTJROZOZAOZFSESDSCSBULVDVHCDEFVDVHUHULVCVGAUQVEVBVFUQ
      UPUMRVEUMUPUAUNUOGHCTDTUBUCVBVAURRVFURVAUAUSUTIJETFTUBUCUDUEUFUGABVGCDEFG
      HIJKLVGUIMUJUK $.
  $}

  $( A property of ordered pairs.  (Contributed by Mario Carneiro,
     26-Apr-2015.) $)
  0nelop $p |- -. (/) e. <. A , B >. $=
    ( c0 cop wcel csn cpr wo id cvv wa oprcl dfopg syl eleqtrd elpri wne necomd
    wceq wn simpld snn0d prnzg jca neanior sylib pm2.65i ) CABDZEZCAFZSCABGZSHZ
    UICUJUKGZEULUICUHUMUIIUIAJEZBJEZKUHUMSABCLZABJJMNOCUJUKPNUICUJQZCUKQZKULTUI
    UQURUIUJCUIAJUIUNUOUPUAZUBRUIUKCUIUNUKCQUSABJUCNRUDCUJCUKUEUFUG $.

  $( An ordered pair is equal to the ordered pair without the empty set.  This
     is because no ordered pair contains the empty set.  (Contributed by AV,
     15-Nov-2021.) $)
  opwo0id $p |- <. X , Y >. = ( <. X , Y >. \ { (/) } ) $=
    ( cop c0 csn cdif cin wceq wcel 0nelop disjsn mpbir disjdif2 ax-mp eqcomi
    wn ) ABCZDEZFZQQRGDHZSQHTDQIPABJQDKLQRMNO $.

  $( Equivalence of existence implied by equality of ordered pairs.
     (Contributed by NM, 28-May-2008.) $)
  opeqex $p |- ( <. A , B >. = <. C , D >. ->
    ( ( A e. _V /\ B e. _V ) <-> ( C e. _V /\ D e. _V ) ) ) $=
    ( cop wceq c0 wne cvv wcel wa neeq1 opnz 3bitr3g ) ABEZCDEZFOGHPGHAIJBIJKCI
    JDIJKOPGLABMCDMN $.

  $( Equivalence of existence implied by equality of ordered triples.
     (Contributed by NM, 26-Apr-2015.) $)
  oteqex2 $p |- ( <. <. A , B >. , C >. = <. <. R , S >. , T >. ->
    ( C e. _V <-> T e. _V ) ) $=
    ( cop wceq cvv wcel wa opeqex opex biantrur 3bitr4g ) ABGZCGDEGZFGHPIJZCIJZ
    KQIJZFIJZKSUAPCQFLRSABMNTUADEMNO $.

  $( Equivalence of existence implied by equality of ordered triples.
     (Contributed by NM, 28-May-2008.)  (Revised by Mario Carneiro,
     26-Apr-2015.) $)
  oteqex $p |- ( <. <. A , B >. , C >. = <. <. R , S >. , T >. ->
    ( ( A e. _V /\ B e. _V /\ C e. _V ) <->
      ( R e. _V /\ S e. _V /\ T e. _V ) ) ) $=
    ( cop wceq cvv wcel w3a wi simp3 a1i oteqex2 syl5ibr wb wa opex df-3an mpan
    opthg simprbda opeqex syl adantl anbi12d 3bitr4g expcom pm5.21ndd ) ABGZCGD
    EGZFGHZCIJZAIJZBIJZUNKZDIJZEIJZFIJZKZUQUNLUMUOUPUNMNVAUNUMUTURUSUTMABCDEFOZ
    PUNUMUQVAQUNUMRZUOUPRZUNRURUSRZUTRUQVAVCVDVEUNUTVCUKULHZVDVEQUNUMVFCFHZUKIJ
    UNUMVFVGRQABSUKCULFIIUBUAUCABDEUDUEUMUNUTQUNVBUFUGUOUPUNTURUSUTTUHUIUJ $.

  ${
    opcom.1 $e |- A e. _V $.
    opcom.2 $e |- B e. _V $.
    $( An ordered pair commutes iff its members are equal.  (Contributed by NM,
       28-May-2009.) $)
    opcom $p |- ( <. A , B >. = <. B , A >. <-> A = B ) $=
      ( cop wceq wa opth eqcom anbi2i anidm 3bitri ) ABEBAEFABFZBAFZGMMGMABBACD
      HNMMBAIJMKL $.
  $}

  ${
    $d x y A $.  $d y B $.
    moop2.1 $e |- B e. _V $.
    $( "At most one" property of an ordered pair.  (Contributed by NM,
       11-Apr-2004.)  (Revised by Mario Carneiro, 26-Apr-2015.) $)
    moop2 $p |- E* x A = <. B , x >. $=
      ( vy cv cop wceq wmo csb wa wal eqtr2 vex opth simprbi syl gen2 nfcsb1v
      wi nfcv nfop nfeq2 csbeq1a id opeq12d eqeq2d mo4f mpbir ) BCAFZGZHZAIULBA
      EFZCJZUMGZHZKZUJUMHZTZELALUSAEUQUKUOHZURBUKUOMUTCUNHURCUJUNUMDANOPQRULUPA
      EABUOAUNUMAUMCSAUMUAUBUCURUKUOBURCUNUJUMAUMCUDURUEUFUGUHUI $.
  $}

  $( Equivalence for an ordered pair equal to a singleton.  (Contributed by NM,
     3-Jun-2008.)  (Revised by AV, 15-Jul-2022.)  (Avoid depending on this
     detail.) $)
  opeqsng $p |- ( ( A e. V /\ B e. W )
                  -> ( <. A , B >. = { C } <-> ( A = B /\ C = { A } ) ) ) $=
    ( wcel wa cop csn wceq cpr dfopg eqeq1d wb snex prex a1i eqcom simpr bitrdi
    preqsn simpl preqsnd eqid impbii bitri syl5bb anbi1d wi dfsn2 preq2 eqtr2id
    jctl pm5.32d bitrd 3bitrd ) ADFZBEFZGZABHZCIZJAIZABKZKZVAJZVBVCJZVCCJZGZABJ
    ZCVBJZGZUSUTVDVAABDELMVEVHNUSVBVCCAOABPUAQUSVHVIVGGVKUSVFVIVGVFVCVBJZUSVIVB
    VCRUSVLAAJZBAJZGZVIUSABADEUQURUBUQURSUCVOVNVIVOVNVMVNSVNVMAUDUMUEBARUFTUGUH
    USVIVGVJVIVGVJNUIUSVIVGVBCJVJVIVCVBCVIVBAAKVCAUJABAUKULMVBCRTQUNUOUP $.

  ${
    opeqsn.1 $e |- A e. _V $.
    opeqsn.2 $e |- B e. _V $.
    $( Equivalence for an ordered pair equal to a singleton.  (Contributed by
       NM, 3-Jun-2008.)  (Revised by AV, 15-Jul-2022.)  (Avoid depending on
       this detail.) $)
    opeqsn $p |- ( <. A , B >. = { C } <-> ( A = B /\ C = { A } ) ) $=
      ( cvv wcel cop csn wceq wa wb opeqsng mp2an ) AFGBFGABHCIJABJCAIJKLDEABCF
      FMN $.
  $}

  ${
    opeqpr.1 $e |- A e. _V $.
    opeqpr.2 $e |- B e. _V $.
    opeqpr.3 $e |- C e. _V $.
    opeqpr.4 $e |- D e. _V $.
    $( Equivalence for an ordered pair equal to an unordered pair.
       (Contributed by NM, 3-Jun-2008.)  (Avoid depending on this detail.) $)
    opeqpr $p |- ( <. A , B >. = { C , D }
  <-> ( ( C = { A } /\ D = { A , B } ) \/ ( C = { A , B } /\ D = { A } ) ) ) $=
      ( cop cpr wceq csn wa wo eqcom dfop eqeq2i snex prex preq12b 3bitri ) ABI
      ZCDJZKUCUBKUCALZABJZJZKCUDKDUEKMCUEKDUDKMNUBUCOUBUFUCABEFPQCDUDUEGHARABST
      UA $.
  $}

  ${
    snopeqop.a $e |- A e. _V $.
    snopeqop.b $e |- B e. _V $.
    $( Equivalence for an ordered pair equal to a singleton of an ordered pair.
       (Contributed by AV, 18-Sep-2020.)  (Revised by AV, 15-Jul-2022.)  (Avoid
       depending on this detail.) $)
    snopeqop $p |- ( { <. A , B >. } = <. C , D >.
                     <-> ( A = B /\ C = D /\ C = { A } ) ) $=
      ( cvv wcel cop csn wceq wb wa a1i wn wi c0 eqeq2d syl6bi eleq1 w3a ancoms
      eqcom opeqsng syl5bb opeqsn anbi2d 3anan12 bicomi 3bitrd opprc2 opex snnz
      eqneqall adantr notbid eqcoms pm2.21 impd 3ad2ant2 com12 impbid pm2.61ian
      wne mpi opprc1 snex pm2.24i 3ad2ant3 pm2.61i ) CGHZABIZJZCDIZKZABKZCDKZCA
      JZKZUAZLZDGHZVKWAWBVKMZVOVQVLCJKZMZVQVPVSMZMZVTVOVNVMKZWCWEVMVNUCVKWBWHWE
      LCDVLGGUDUBUEWCWDWFVQWDWFLWCABCEFUFNUGWGVTLWCVTWGVPVQVSUHUINUJWBOZVKMZVOV
      TWIVOVTPVKWIVOVMQKZVTWIVNQVMCDUKRWKVMQVDVTVLABULUMVTVMQUNVEZSUOVTWJVOVQVP
      WJVOPVSVQWIVKVOVQWIVKOZVKVOPWIWMLDCDCKWBVKDCGTUPUQVKVOURSUSUTVAVBVCWMVOVT
      WMVOWKVTWMVNQVMCDVFRWLSVTWMVOVSVPWMVOPVQVSWMVRGHZOVOVSVKWNCVRGTUPWNVOAVGV
      HSVIVAVBVJ $.

    propeqop.c $e |- C e. _V $.
    propeqop.d $e |- D e. _V $.
    propeqop.e $e |- E e. _V $.
    propeqop.f $e |- F e. _V $.
    $( Equivalence for an ordered pair equal to a pair of ordered pairs.
       (Contributed by AV, 18-Sep-2020.)  (Proof shortened by AV, 16-Jun-2022.)
       (Avoid depending on this detail.) $)
    propeqop $p |- ( { <. A , B >. , <. C , D >. } = <. E , F >.
                     <-> ( ( A = C /\ E = { A } ) /\
                           ( ( A = B /\ F = { A , D } )
                             \/ ( A = D /\ F = { A , B } ) ) ) ) $=
      ( wceq wa wi adantr imp jca ex impcom cop csn cpr wo opeqsn anbi12i eqcom
      opeqpr orbi12i opex bitri simpl anim12i sneq eqeq2d biimpa adantl biimpcd
      simpr preq1 orcd ancoms eqeq1d biimpd a1dd olcd eqeq1 sneqr eqcomd syl6bi
      jaoi preqsn eqtr sylbi com12 preq1d impancom sylanbrc com23 com13 orim12d
      biimpi a1i13 com14 syl5bi sylbid com24 dfsn2 eqtrid anim1d orcoms 3bitr4i
      syl preq2 impbii ) ABUAZEUBZMZCDUAZEFUCZMZNZWPWTMZWSWQMZNZUDZABMZEAUBZMZN
      ZECUBZMZFCDUCZMZNZEXMMZFXKMZNZUDZNZXIFABUCZMZNZEYAMZFXHMZNZUDZCDMZXLNZNZU
      DZWPWSUCZEFUAZMZACMZXINZXGFADUCZMZNZADMZYBNZUDZNZXBXTXEYJWRXJXAXSABEGHUEC
      DEFIJKLUHUFXCYGXDYIABEFGHKLUHCDEIJUEUFUIYNYMYLMXFYLYMUGEFWPWSKLABUJCDUJUH
      UKUUCYKUUBYPYKYSYPYKOUUAYSYPYKYSYPNZXTYJUUDXJXSYSXGYPXIXGYRULYOXIUSZUMUUD
      XOXRUUDXLXNYPXLYSYOXIXLYOXHXKEACUNUOZUPUQYSYPXNYRYPXNOXGYPYRXNYPYQXMFYOYQ
      XMMXIACDUTPUOURUQQRVARVASUUAYPYKUUAYPNZYJXTUUGYGYIUUGYCYFYPUUAYCYPXIUUAYB
      UUEYTYBUSUMVBVAUUGYHXLUUAYPYHYTYPYHOYBYPYTYHYPACDYOXIULVCURPQYPUUAXLYOXIU
      UAXLOYOXIXLUUAYOXIXLUUFVDVEQTRRVFSVKTXTUUCYJXSXJUUCXSXJNZYPUUBUUHYOXIXJXS
      YOXIXSYOOXGXSXIYOXOXIYOOZXRXLUUIXNXLXIXKXHMZYOEXKXHVGUUJCACAIVHVIVJZPXPUU
      IXQXPXIXMXHMZYOEXMXHVGZUULYHDAMZNZYOCDAIJVLZUUOCACDAVMVIZVNVJPVKVOUQTXJXI
      XSXGXIUSUQRXJXSUUBXJXOYSXRUUAXJXOYSXJXONXGYRXJXGXOXGXIULPXOXJYRXLXJXNYRXL
      XJNZXNYRUURXMYQFUURCADXJXLCAMZXIXLUUSOXGXIXLXHXKMZUUSEXHXKVGUUTACACGVHVIV
      JZUQTVPUOVDVQTRSXGXIXRUUAOXRXIXGUUAXPXQXIXGUUAOZOXPXIXQUVBXPXIUULXQUVBOZU
      UMUULUUOUVCUUPUUOXGXQUUAUUOXGXQUUAOUUOXGNZXQUUAUVDXQNYTYBUVDYTXQUUOYTXGUU
      NYTYHUUNYTDAUGWBUQPPUVDXQYBUVDXKYAFUVDYAXKUVDXGBCMZYAXKMZUUOXGUSUVDCBUUOX
      GCBMUUOACBUUQVCUPVIABCGHVLZVRVIUOUPRSSVSVNVJVSQVTQWATRVBYGYIUUCYFYCYIUUCO
      YIYFYCUDZUUCYIUVHUUCYIUVHNYPUUBUVHYIYPYFYIYPOZYCYDYEUVIYIYEYDYPXLYHYEYDYP
      OOXLYDYEYHYPXLYDXKYAMZYEYHYPOOZEXKYAVGUVJXGUVENZXLUVKUVJUVFUVLXKYAUGUVGUK
      YHUVLYEXLYPYHUVLYEXLYPOUVLXLYPUVLXLNYOXIUVLYOXLABCVMZPUVLXLXIUVLXKXHEUVLU
      USUUJUVLACUVMVICAUNWMUOUPRSWCWDWEWFWGTVTQYCYIYPYCYINYOXIYCYIYOXIYIYOOYBYI
      XIYOXLUUIYHUUKUQVOPQYCXIYIXIYBULPRSVKTYIUVHUUBYIYFYSYCUUAYHXLYFYSOYFXLYHY
      SYDYEXLYHYSOZOYDXLYEUVNYDXLUVFYEUVNOZEYAXKVGUVFUVLUVOUVGUVLYHYEYSUVLYHYEY
      SOUVLYHNZYEYSUVPYENXGYRUVPXGYEUVLXGYHXGUVEULPPUVPYEYRUVPXHYQFUVLYHXHYQMZU
      VLYOYHUVQOUVMYOYHUVQYOYHNYTUVQACDVMYTXHAAUCYQAWHADAWNWIWMSWMQUOUPRSSVSVNV
      JVSQVTQYIXIYTYBYHXLXIYTOXIXLYHYTXIXLYHYTOXIXLNZYHYTUVRCADXIXLUUSUVAQVCVDS
      VTQWJWAQRSVOWKQVKWOWL $.

    $( If a pair of ordered pairs is a subset of an ordered pair, their first
       components are equal.  (Contributed by AV, 20-Sep-2020.)  (Proof
       shortened by AV, 16-Jun-2022.)  (Avoid depending on this detail.) $)
    propssopi $p |- ( { <. A , B >. , <. C , D >. } C_ <. E , F >.
                      -> A = C ) $=
      ( cop cpr csn wceq c0 wo wa sylbi wss dfop sseq2i sspr opex prnz eqneqall
      wne mpi preqsn opth simpl adantr jaoi wi a1d eqcomi eqeq2i propeqop bitri
      imp simpll ) ABMZCDMZNZEFMZUAVEEOZEFNZNZUAZACPZVFVIVEEFKLUBZUCVJVEQPZVEVG
      OPZRZVEVHOPZVEVIPZRZRVKVEVGVHUDVOVKVRVMVKVNVMVEQUHVKVCVDABUEZUFVKVEQUGUIV
      NVCVDPZVDVGPZSVKVCVDVGVSCDUEZUJVTVKWAVTVKBDPZSZVKABCDGHUKZVKWCULZTUMTUNVP
      VKVQVPVTVDVHPZSVKVCVDVHVSWBUJVTWGVKVTWDWGVKUOWEWDVKWGWFUPTVATVQVKEAOPZSAB
      PFADNPSADPFABNPSRZSZVKVQVEVFPWJVIVFVEVFVIVLUQURABCDEFGHIJKLUSUTVKWHWIVBTU
      NUNTT $.
  $}

  ${
    snopeqopsnid.a $e |- A e. _V $.
    $( Equivalence for an ordered pair of two identical singletons equal to a
       singleton of an ordered pair.  (Contributed by AV, 24-Sep-2020.)
       (Revised by AV, 15-Jul-2022.)  (Avoid depending on this detail.) $)
    snopeqopsnid $p |- { <. A , A >. } = <. { A } , { A } >. $=
      ( cop csn wceq eqid snopeqop mpbir3an ) AACDADZICEAAEIIEZJAFIFZKAAIIBBGH
      $.
  $}

  ${
    $d x y z A $.
    $( "At most one" remains true inside ordered pair quantification.
       (Contributed by NM, 28-Aug-2007.) $)
    mosubopt $p |- ( A. y A. z E* x ph ->
                 E* x E. y E. z ( A = <. y , z >. /\ ph ) ) $=
      ( wmo wal cv cop wceq wex wa nfa1 nfe1 nfmov wi nfex copsexgw sps exlimd
      mobidv biimpcd simpl 2eximi exlimiv nexmo nsyl5 pm2.61d1 ) ABFZDGZCGZECHD
      HIJZDKZCKZULALZDKZCKZBFZUKUMURCUJCMUQCBUPCNOUJUMURPCUJULURDUIDMUQDBUPDCUO
      DNQOUIULURPDULUIURULAUQBACDERUAUBSTSTUQBKUNURUQUNBUOULCDULAUCUDUEUQBUFUGU
      H $.
  $}

  ${
    $d x y z A $.
    mosubop.1 $e |- E* x ph $.
    $( "At most one" remains true inside ordered pair quantification.
       (Contributed by NM, 28-May-1995.) $)
    mosubop $p |- E* x E. y E. z ( A = <. y , z >. /\ ph ) $=
      ( wmo wal cv cop wceq wa wex gen2 mosubopt ax-mp ) ABGZDHCHECIDIJKALDMCMB
      GQCDFNABCDEOP $.
  $}

  ${
    $d x ph $.  $d x A $.  $d x y $.
    euop2.1 $e |- A e. _V $.
    $( Transfer existential uniqueness to second member of an ordered pair.
       (Contributed by NM, 10-Apr-2004.) $)
    euop2 $p |- ( E! x E. y ( x = <. A , y >. /\ ph ) <-> E! y ph ) $=
      ( cv cop opex moop2 euxfr2w ) ABCDCFZGDKHCBFDEIJ $.
  $}

  ${
    $d a b c x y A $.  $d a b c x y B $.  $d a b c x y C $.  $d a b c x ph $.
    $d y ps $.
    euotd.1 $e |- ( ph -> A e. U ) $.
    euotd.2 $e |- ( ph -> B e. V ) $.
    euotd.3 $e |- ( ph -> C e. W ) $.
    euotd.4 $e |- ( ph -> ( ps <-> ( a = A /\ b = B /\ c = C ) ) ) $.
    $( Prove existential uniqueness for an ordered triple.  (Contributed by
       Mario Carneiro, 20-May-2015.) $)
    euotd $p |- ( ph -> E! x E. a E. b E. c ( x = <. a , b , c >. /\ ps ) ) $=
      ( wceq wa wex wtru vy cv cotp wal weu w3a biimpa vex sylibr eqeq2d biimpd
      wb otth impancom expimpd exlimdv exlimdvv wcel wsbc adantr ad2antrr simpr
      tru eqcomd biimpar jca trud 2thd 3anassrs sbcied mpbiri spesbcd nfcv nfex
      nfsbc1v sbceq1a exbidv spcegf sylc 2exbidv excom13 sylib eqeq1 syl5ibrcom
      anbi1d 3exbidv impbid alrimiv otex eqeq2 bibi2d albidv spcev syl eu6 ) AC
      UBZJUBZKUBZLUBZUCZQZBRZLSZKSJSZWPUAUBZQZULZCUDZUASZXDCUEAXDWPDEFUCZQZULZC
      UDZXIAXLCAXDXKAXCXKJKAXBXKLAXABXKABXAXKABRZXAXKXNWTXJWPXNWQDQZWREQZWSFQZU
      FZWTXJQZABXRPUGWQWRDEWSFJUHKUHLUHUMZUIUJUKUNUOUPUQAXDXKXJWTQZBRZLSKSJSZAY
      BJSKSZLSZYCAFIURZYBLFUSZJSZKSZYEOAEHURZYGKEUSZJSZYINAYKJDAYKJDUSTVCAYKTJD
      GMAXORZYGTKEHAYJXONUTYMXPRYBTLFIAYFXOXPOVAAXOXPXQYBTULAXRRZYBTYNYABYNWTXJ
      YNXRXSAXRVBXTUIVDABXRPVEVFYNVGVHVIVJVJVJVKVLYHYLKEHKEVMYKKJYGKEVOVNXPYGYK
      JYGKEVPVQVRVSYDYILFILFVMYHLKYGLJYBLFVOVNVNXQYBYGKJYBLFVPVTVRVSYBLKJWAWBXK
      XBYBJKLXKXAYABWPXJWTWCWEWFWDWGWHXHXMUAXJDEFWIXEXJQZXGXLCYOXFXKXDXEXJWPWJW
      KWLWMWNXDCUAWOUI $.
  $}

  ${
    opthw.1 $e |- A e. _V $.
    opthw.2 $e |- B e. _V $.
    $( Justification theorem for the ordered pair definition in Norbert Wiener,
       _A simplification of the logic of relations_, Proceedings of the
       Cambridge Philosophical Society, 1914, vol. 17, pp.387-390.  It is also
       shown as a definition in [Enderton] p. 36 and as Exercise 4.8(b) of
       [Mendelson] p. 230.  It is meaningful only for classes that exist as
       sets (i.e., are not proper classes).  See ~ df-op for other ordered pair
       definitions.  (Contributed by NM, 28-Sep-2003.) $)
    opthwiener $p |- ( { { { A } , (/) } , { { B } } } =
                    { { { C } , (/) } , { { D } } } <-> ( A = C /\ B = D ) ) $=
      ( csn c0 cpr wceq wcel snex prid2 wn 0ex eqcom preq2d syl sneqr sneq elpr
      wa id wo eleq2 mpbii sylib wb snnz elsn bitri nemtbir nelneq2 mp2an biorf
      mtbi ax-mp sylibr eqtr4d prex preqr1 jca preq1d sylan9eq impbii ) AGZHIZB
      GZGZIZCGZHIZDGZGZIZJZACJZBDJZUBVPVQVRVPVFVKJZVQVPVGVLJZVSVPVJVLVIIZJVTVPV
      JVOWAVPUCVPVIVNVLVPVIVLJZVIVNJZUDZWCVPVIVOKZWDVPVIVJKWEVGVIVHLZMVJVOVIUEU
      FVIVLVNWFUAUGWBNWCWDUHVLVIJZWBHVLKHVIKZNWGNVKHOMWHVHHBFUIWHHVHJVHHJHVHOUJ
      HVHPUKULHVLVIUMUNVLVIPUPWBWCUOUQURZQUSVGVLVIVFHUTVKHUTVARVFVKHALCLVARACES
      RVPVHVMJZVRVPWCWJWIVHVMBLSRBDFSRVBVQVRVJWAVOVQVGVLVIVQVFVKHACTVCVCVRVIVNV
      LVRWJWCBDTVHVMTRQVDVE $.

    $( The union of an ordered pair.  Theorem 65 of [Suppes] p. 39.
       (Contributed by NM, 17-Aug-2004.)  (Revised by Mario Carneiro,
       26-Apr-2015.) $)
    uniop $p |- U. <. A , B >. = { A , B } $=
      ( cop cuni csn cpr cun dfop snex prex unipr wss wceq snsspr1 ssequn1 mpbi
      unieqi 3eqtri ) ABEZFAGZABHZHZFUBUCIZUCUAUDABCDJSUBUCAKABLMUBUCNUEUCOABPU
      BUCQRT $.

    $( Ordered pair membership is inherited by class union.  (Contributed by
       NM, 13-May-2008.)  (Revised by Mario Carneiro, 26-Apr-2015.) $)
    uniopel $p |- ( <. A , B >. e. C -> U. <. A , B >. e. U. C ) $=
      ( cop wcel cuni cpr uniop opi2 eqeltri elssuni sseld mpi ) ABFZCGZPHZPGRC
      HZGRABIPABDEJABDEKLQPSRPCMNO $.
  $}

  ${
    opthhausdorff.a $e |- A e. _V $.
    opthhausdorff.b $e |- B e. _V $.
    opthhausdorff.o $e |- A =/= O $.
    opthhausdorff.n $e |- B =/= O $.
    opthhausdorff.t $e |- B =/= T $.
    opthhausdorff.1 $e |- O e. _V $.
    opthhausdorff.2 $e |- T e. _V $.
    opthhausdorff.3 $e |- O =/= T $.
    $( Justification theorem for the ordered pair definition of Felix Hausdorff
       in "Grundz&uuml;ge der Mengenlehre" ("Basics of Set Theory"), 1914,
       p. 32: ` <. A , B >. `_H ` = { { A , O } , { B , T } } ` .  Hausdorff
       used ` 1 ` and ` 2 ` instead of ` O ` and ` T ` , but actually, any two
       different fixed sets will do (e.g., ` O = (/) ` and ` T = { (/) } ` ,
       see ~ 0nep0 ).  Furthermore, Hausdorff demanded that ` O ` and ` T ` are
       both different from ` A ` as well as ` B ` , which is actually not
       necessary in full extent ( ` A =/= T ` is not required).  This
       definition is meaningful only for classes ` A ` and ` B ` that exist as
       sets (i.e., are not proper classes):  If ` A ` and ` C ` were different
       proper classes ( ` A =/= C ` ), then
       ` { { A , O } , { B , T } } = { { C , O } , { D , T } `
       ` <-> { { O } , { B , T } } = { { O } , { D , T } ` is true if
       ` B = D ` , but ` ( A = C /\ B = D ) ` would be false.  See ~ df-op for
       other ordered pair definitions.  (Contributed by AV, 14-Jun-2022.) $)
    opthhausdorff $p |- ( { { A , O } , { B , T } } = { { C , O } , { D , T } }
                                                    <-> ( A = C /\ B = D ) ) $=
      ( cpr wceq wa wo cvv wne wcel wb prex pm3.2i necomi olci preq12nebg mp3an
      prneimg mp2 anim12i eqneqall mpi adantr ccase2 syl2anb wi adantl a1d jaoi
      simpl com12 imp sylbi preq1 preq12d impbii ) AFOZBEOZOCFOZDEOZOPZACPZBDPZ
      QZVLVHVJPZVIVKPZQZVHVKPZVIVJPZQZRZVOVHSUAVISUAVHVITZVLWBUBAFUCBEUCASUAZFS
      UAZQZBSUAZESUAZQZQABTAETQZFBTZFETZQZRWCWFWIWDWEGLUDWGWHHMUDUDWMWJWKWLBFJU
      ENUDUFAFBESSSSUIUJVHVIVJVKSSUGUHVRVOWAVPVMFFPZQZAFPZFCPZQZRZVNEEPZQZBEPZE
      DPZQZRZVOVQWDWEAFTZVPWSUBGLIAFCFSSUGUHWGWHBETZVQXEUBHMKBEDESSUGUHWOXAWRXD
      VOWOVMXAVNVMWNVAVNWTVAUKWPVOWQWPXFVOIVOAFULUMUNXBVOXCXBXGVOKVOBEULUMUNUOU
      PVSADPZFEPZQZAEPFDPQZRZBCPZEFPZQZBFPZECPZQZRZVOVTWDWEXFVSXLUBGLIAFDESSUGU
      HWGWHXGVTXSUBHMKBECFSSUGUHXLXSVOXJXSVOUQXKXJVOXSXIVOXHXIWLVONVOFEULUMURUS
      XSXKVOXOXKVOUQXRXOVOXKXNVOXMXNEFTVOFENUEVOEFULUMURUSXRVOXKXPVOXQXPBFTVOJV
      OBFULUMUNUSUTVBUTVCUPUTVDVOVHVJVIVKVMVPVNACFVEUNVNVQVMBDEVEURVFVG $.
  $}

  ${
    opthhausdorff0.a $e |- A e. _V $.
    opthhausdorff0.b $e |- B e. _V $.
    opthhausdorff0.c $e |- C e. _V $.
    opthhausdorff0.d $e |- D e. _V $.
    opthhausdorff0.1 $e |- O e. _V $.
    opthhausdorff0.2 $e |- T e. _V $.
    opthhausdorff0.3 $e |- O =/= T $.
    $( Justification theorem for the ordered pair definition of Felix Hausdorff
       in "Grundz&uuml;ge der Mengenlehre" ("Basics of Set Theory"), 1914,
       p. 32: ` <. A , B >. `_H ` = { { A , O } , { B , T } } ` .  Hausdorff
       used ` 1 ` and ` 2 ` instead of ` O ` and ` T ` , but actually, any two
       different fixed sets will do (e.g., ` O = (/) ` and ` T = { (/) } ` ,
       see ~ 0nep0 ).  Furthermore, Hausdorff demanded that ` O ` and ` T ` are
       both different from ` A ` as well as ` B ` , which is actually not
       necessary if all involved classes exist as sets (i.e. are not proper
       classes), in contrast to ~ opthhausdorff .  See ~ df-op for other
       ordered pair definitions.  (Contributed by AV, 12-Jun-2022.) $)
    opthhausdorff0 $p |- ( { { A , O } , { B , T } }
                           = { { C , O } , { D , T } }
                           <-> ( A = C /\ B = D ) ) $=
      ( cpr wceq wa wo prex preq12b adantl preqr1 anim12i wi wne eqneqall simpl
      mpi eqcoms simpr sylan9eqr sylan9eq jca jaoi sylbi com12 imp preq1 adantr
      ex preq12d impbii ) AFNZBENZNCFNZDENZNOZACOZBDOZPZVFVBVDOZVCVEOZPZVBVEOZV
      CVDOZPZQVIVBVCVDVEAFRBERCFRDERSVLVIVOVJVGVKVHACFGIUABDEHJUAUBVMVNVIVMADOZ
      FEOZPZAEOZFDOZPZQVNVIUCZAFDEGKJLSVRWBWAVQWBVPVQFEUDZWBMWBFEUEUGTVNWAVIVNB
      COZEFOZPZBFOZECOZPZQWAVIUCZBECFHLIKSWFWJWIWEWJWDWJFEVQWCWJMWJFEUEUGUHTWIW
      AVIWIWAPVGVHWAWIAECVSVTUFWGWHUIUJWIWABFDWGWHUFVSVTUIUKULUSUMUNUOUMUNUPUMU
      NVIVBVDVCVEVGVJVHACFUQURVHVKVGBDEUQTUTVA $.
  $}

  ${
    $d A c d $.  $d B c d $.  $d V c d $.  $d X c d $.  $d Y c d $.
    $( The singletons consisting of ordered triples which have distinct third
       components are disjoint.  (Contributed by Alexander van der Vekens,
       10-Mar-2018.) $)
    otsndisj $p |- ( ( A e. X /\ B e. Y )
                   -> Disj_ c e. V { <. A , B , c >. } ) $=
      ( vd wcel wa weq cv cotp csn cin c0 wceq wo wral wdisj wn wne otthg 3expa
      w3a wb simp3 syl6bi con3rr3 imp neqned disjsn2 syl expcom orrd ralrimivva
      adantrr oteq3 sneqd disjor sylibr ) ADHZBEHZIZFGJZABFKZLZMZABGKZLZMZNOPZQ
      ZGCRFCRFCVGSVCVLFGCCVCVECHZVLVHCHVCVMIZVDVKVDTZVNVKVOVNIZVFVIUAVKVPVFVIVO
      VNVFVIPZTVNVQVDVNVQAAPZBBPZVDUDZVDVAVBVMVQVTUEABVEADBVHECUBUCVRVSVDUFUGUH
      UIUJVFVIUKULUMUNUPUOCVGVJFGVDVFVIVEVHABUQURUSUT $.
  $}

  ${
    $d B a c d e s $.  $d V a c d e s $.  $d W a c d e s $.  $d X a c d e s $.
    $( The union of singletons consisting of ordered triples which have
       distinct first and third components are disjoint.  (Contributed by
       Alexander van der Vekens, 10-Mar-2018.) $)
    otiunsndisj $p |- ( B e. X
                 -> Disj_ a e. V U_ c e. ( W \ { a } ) { <. a , B , c >. } ) $=
      ( vd vs ve wcel weq cv csn cotp ciun wceq wral wa wn sylibr cdif c0 wdisj
      cin wo wrex eliun wi w3a otthg simp1 syl6bi con3d 3exp impcom com3r imp31
      velsn eqeq1 notbid syl5ibrcom imp sylnibr adantr nrexdv rexlimdva2 syl5bi
      wb sylbi ralrimiv oteq3 sneqd cbviunv eleq2i notbii ralbii expcom adantrr
      disj orrd ralrimivva sneq difeq2d oteq1 disjiunb ) ADJZEGKZFCELZMZUAZWHAF
      LZNZMZOZFCGLZMZUAZWOAWKNZMZOZUDUBPZUEZGBQEBQEBWNUCWFXBEGBBWFWHBJZXBWOBJWF
      XCRZWGXAWGSZXDXAXEXDRZHLZWTJZSZHWNQZXAXFXGIWQWOAILZNZMZOZJZSZHWNQXJXFXPHW
      NXGWNJXGWMJZFWJUFXFXPFXGWJWMUGXFXQXPFWJXFWKWJJZRZXQRZXGXMJZIWQUFXOXTYAIWQ
      XTYASXKWQJXTXGXLPZYAXSXQYBSZXSYCXQWLXLPZSZXEXDXRYEXDXRXEYEXCWFXRXEYEUHZUH
      XCWFXRYFXCWFXRUIZYDWGYGYDWGAAPZFIKZUIWGWHAWKWOBAXKDWJUJWGYHYIUKULUMUNUOUP
      UQXQXGWLPZYCYEVHHWLURYJYBYDXGWLXLUSUTVIVAVBHXLURVCVDVEIXGWQXMUGVCVFVGVJXI
      XPHWNXHXOWTXNXGFIWQWSXMYIWRXLWKXKWOAVKVLVMVNVOVPTHWNWTVSTVQVTVRWAFBWJWMWQ
      EGWSWGWIWPCWHWOWBWCWGWLWRWHWOAWKWDVLWET $.
  $}

  ${
    $d A x y z $.  $d B y $.  $d C x y $.  $d D x y $.
    iunopeqop.b $e |- B e. _V $.
    iunopeqop.c $e |- C e. _V $.
    iunopeqop.d $e |- D e. _V $.
    $( Implication of an ordered pair being equal to an indexed union of
       singletons of ordered pairs.  (Contributed by AV, 20-Sep-2020.)  (Avoid
       depending on this detail.) $)
    iunopeqop $p |- ( A =/= (/) -> ( U_ x e. A { <. x , B >. } = <. C , D >.
                                     -> E. z A = { z } ) ) $=
      ( vy wne cv wrex csn wceq cop wi wcel wa wss c0 wex n0snor2el nfiu1 nfeq1
      wo ciun nfv nfim ssiun2 nfcv nfcsb1v nfop nfsn nfss csbeq1a opeq12d sneqd
      csb id sseq1d vtoclgaf anim12i cun unss sseq2 cpr df-pr eqcomi sseq1i vex
      csbex propssopi eqneqall syl sylbi syl6bi com14 syl5bi mpd rexlimdva ax-1
      rexlimi jaoi ) CUAKALZJLZKZJCMZACMZCBLNOBUBZUFACWEDPZNZUGZEFPZOZWJQZAJBCU
      CWIWPWJWHWPACWOWJAAWMWNACWLUDZUEWJAUHUIWECRZWGWPJCWRWFCRZSZWLWMTZWFAWFDUS
      ZPZNZWMTZSZWGWPQZWRXAWSXEACWLUJZXAXEAWFCAWFUKZAXDWMAXCAWFXBXIAWFDULUMUNWQ
      UOWEWFOZWLXDWMXJWKXCXJWEWFDXBXJUTAWFDUPUQURVAXHVBVCXFWLXDVDZWMTZWTXGWLXDW
      MVEWOXLWGWTWJWOXLXKWNTZWGWTWJQZQZWMWNXKVFXMWKXCVGZWNTZXOXKXPWNXPXKWKXCVHV
      IVJXQXJXOWEDWFXBEFAVKGJVKAWFDGVLHIVMXNWEWFVNVOVPVQVRVSVTWAWCWJWOWBWDVO $.
  $}

  $( Binary relation for an ordered pair singleton.  (Contributed by Thierry
     Arnoux, 23-Sep-2023.) $)
  brsnop $p |- ( ( A e. V /\ B e. W )
                   -> ( X { <. A , B >. } Y <-> ( X = A /\ Y = B ) ) ) $=
    ( cop csn wbr wcel wa wceq df-br opex elsn opthg2 syl5bb ) EFABGZHZIEFGZSJZ
    ACJBDJKZEALFBLKZEFSMUATRLUBUCTREFNOEFABCDPQQ $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ordered-pair class abstractions (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.  $d ph z $.
    $( The law of concretion.  Special case of Theorem 9.5 of [Quine] p. 61.
       Version of ~ opabid with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by NM, 14-Apr-1995.)  (Revised by Gino
       Giotto, 26-Jan-2024.) $)
    opabidw $p |- ( <. x , y >. e. { <. x , y >. | ph } <-> ph ) $=
      ( vz cv cop wceq wa wex copab opex copsexgw bicomd df-opab elab2 ) DEZBEZ
      CEZFZGZAHCIBIZADSABCJQRKTAUAABCPLMABCDNO $.
    $( $j usage 'opabidw' avoids 'ax-13'; $)
  $}

  ${
    $d x z $.  $d y z $.  $d ph z $.
    $( The law of concretion.  Special case of Theorem 9.5 of [Quine] p. 61.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       Use the weaker ~ opabidw when possible.  (Contributed by NM,
       14-Apr-1995.)  (Proof shortened by Andrew Salmon, 25-Jul-2011.)
       (New usage is discouraged.) $)
    opabid $p |- ( <. x , y >. e. { <. x , y >. | ph } <-> ph ) $=
      ( vz cv cop wceq wa wex copab opex copsexg bicomd df-opab elab2 ) DEZBEZC
      EZFZGZAHCIBIZADSABCJQRKTAUAABCPLMABCDNO $.
  $}

  ${
    $d A x z $.  $d A y z $.  $d ph z $.
    $( Membership in a class abstraction of ordered pairs.  (Contributed by NM,
       24-Mar-1998.) $)
    elopab $p |- ( A e. { <. x , y >. | ph } <->
                 E. x E. y ( A = <. x , y >. /\ ph ) ) $=
      ( vz copab wcel cvv cv cop wceq wa elex opex eleq1 mpbiri adantr exlimivv
      wex eqeq1 anbi1d 2exbidv df-opab elab2g pm5.21nii ) DABCFZGDHGZDBIZCIZJZK
      ZALZCSBSZDUFMULUGBCUKUGAUKUGUJHGUHUINDUJHOPQREIZUJKZALZCSBSUMEDUFHUNDKZUP
      ULBCUQUOUKAUNDUJTUAUBABCEUCUDUE $.
  $}

  ${
    $d O o $.  $d o x y $.  $d ph o $.  $d ps x y $.  $d ch o $.
    rexopabb.o $e |- O = { <. x , y >. | ph } $.
    rexopabb.p $e |- ( o = <. x , y >. -> ( ps <-> ch ) ) $.
    $( Restricted existential quantification over an ordered-pair class
       abstraction.  (Contributed by AV, 8-Nov-2023.) $)
    rexopabb $p |- ( E. o e. O ps <-> E. x E. y ( ph /\ ch ) ) $=
      ( wrex copab wa wex rexeqi cv wcel impcom nfv nfrex exlimi wceq elopab wi
      cop simprr biimpd adantr ex 2eximdv sylanb rexlimiva nfopab1 nfopab2 wsbc
      jca opabidw opex sbcie rspesbca syl2anbr impbii bitri ) BFGJBFADEKZJZACLZ
      EMZDMZBFGVCHNVDVGBVGFVCFOZVCPVHDOZEOZUDZUAZALZEMDMZBVGADEVHUBBVNVGBVMVEDE
      BVMVEBVMLACBVLAUEVMBCVLBCUCAVLBCIUFUGQUOUHUIQUJUKVFVDDBDFVCADEULBDRSVEVDE
      BEFVCADEUMBERSAVKVCPBFVKUNVDCADEUPBCFVKVIVJUQIURBFVKVCUSUTTTVAVB $.
  $}

  ${
    $d x y z $.  $d x y w $.
    $( The law of concretion in terms of substitutions.  Version of
       ~ opelopabsb with set variables.  (Contributed by NM, 30-Sep-2002.)
       (Proof shortened by Andrew Salmon, 25-Jul-2011.)  Remove unnecessary
       commutation.  (Revised by SN, 1-Sep-2024.) $)
    vopelopabsb $p |- ( <. z , w >. e. { <. x , y >. | ph }
                 <-> [ z / x ] [ w / y ] ph ) $=
      ( cv cop wceq wex weq copab wcel wsb eqcom vex opth bitri anbi1i 2exbii
      wa elopab 2sb5 3bitr4i ) DFZEFZGZBFZCFZGZHZATZCIBIBDJCEJTZATZCIBIUFABCKLA
      CEMBDMUKUMBCUJULAUJUIUFHULUFUINUGUHUDUEBOCOPQRSABCUFUAABCDEUBUC $.
  $}

  ${
    $d x y z w $.  $d w z A $.  $d w x B $.  $d w z ph $.
    $( The law of concretion in terms of substitutions.  (Contributed by NM,
       30-Sep-2002.)  (Revised by Mario Carneiro, 18-Nov-2016.) $)
    opelopabsb $p |- ( <. A , B >. e. { <. x , y >. | ph }
                 <-> [. A / x ]. [. B / y ]. ph ) $=
      ( vz vw cop wcel cvv wa wsbc c0 wne wceq cv wex vex nex wb copab wn opnzi
      simpl eqcomd necon3ai ax-mp elopab mtbir eleq1 mtbiri necon2ai opnz sylib
      sbcex spesbc exlimiv syl jca wsb opeq1 eleq1d dfsbcq2 bibi12d vopelopabsb
      opeq2 sbcbidv vtocl2g pm5.21nii ) DEHZABCUAZIZDJIZEJIZKZACELZBDLZVLVJMNVO
      VLVJMVJMOVLMVKIZVRMBPZCPZHZOZAKZCQZBQWDBWCCWAMNWCUBVSVTBRCRUCWCWAMWCMWAWB
      AUDUEUFUGSSABCMUHUIVJMVKUJUKULDEUMUNVQVMVNVPBDUOVQVPBQVNVPBDUPVPVNBACEUOU
      QURUSFPZGPZHZVKIZACGUTZBFUTZTDWFHZVKIZWIBDLZTVLVQTFGDEJJWEDOZWHWLWJWMWNWG
      WKVKWEDWFVAVBWIBFDVCVDWFEOZWLVLWMVQWOWKVJVKWFEDVFVBWOWIVPBDACGEVCVGVDABCF
      GVEVHVI $.

    brabsb.1 $e |- R = { <. x , y >. | ph } $.
    $( The law of concretion in terms of substitutions.  (Contributed by NM,
       17-Mar-2008.) $)
    brabsb $p |- ( A R B <-> [. A / x ]. [. B / y ]. ph ) $=
      ( wbr cop wcel copab wsbc df-br eleq2i opelopabsb 3bitri ) DEFHDEIZFJQABC
      KZJACELBDLDEFMFRQGNABCDEOP $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ch $.
    $( Closed theorem form of ~ opelopab .  (Contributed by NM,
       19-Feb-2013.) $)
    opelopabt $p |- ( ( A. x A. y ( x = A -> ( ph <-> ps ) )
                     /\ A. x A. y ( y = B -> ( ps <-> ch ) )
                     /\ ( A e. V /\ B e. W ) ) ->
                    ( <. A , B >. e. { <. x , y >. | ph } <-> ch ) ) $=
      ( cop copab wcel cv wceq wa wex wb wi wal w3a elopab anim12 2alimi sylbir
      19.26-2 bitr syl6 copsex2t stoic3 syl5bb ) FGJZADEKLUKDMZEMZJNAOEPDPZULFN
      ZABQZRZESDSZUMGNZBCQZRZESDSZFHLGILOZTCADEUKUAURVBUOUSOZACQZRZESDSZVCUNCQU
      RVBOUQVAOZESDSVGUQVADEUEVHVFDEVHVDUPUTOVEUOUPUSUTUBABCUFUGUCUDACDEFGHIUHU
      IUJ $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ps $.
    opelopabga.1 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( The law of concretion.  Theorem 9.5 of [Quine] p. 61.  (Contributed by
       Mario Carneiro, 19-Dec-2013.) $)
    opelopabga $p |- ( ( A e. V /\ B e. W ) ->
                    ( <. A , B >. e. { <. x , y >. | ph } <-> ps ) ) $=
      ( cop copab wcel cv wceq wa wex elopab copsex2g syl5bb ) EFJZACDKLTCMDMJN
      AODPCPEGLFHLOBACDTQABCDEFGHIRS $.

    ${
      brabga.2 $e |- R = { <. x , y >. | ph } $.
      $( The law of concretion for a binary relation.  (Contributed by Mario
         Carneiro, 19-Dec-2013.) $)
      brabga $p |- ( ( A e. V /\ B e. W ) -> ( A R B <-> ps ) ) $=
        ( wbr cop copab wcel wa df-br eleq2i bitri opelopabga syl5bb ) EFGLZEFM
        ZACDNZOZEHOFIOPBUBUCGOUEEFGQGUDUCKRSABCDEFHIJTUA $.
    $}

    $d x y C $.  $d x y D $.
    $( Ordered pair membership in an ordered pair class abstraction.
       (Contributed by Mario Carneiro, 19-Dec-2013.) $)
    opelopab2a $p |- ( ( A e. C /\ B e. D ) -> ( <. A , B >. e.
                 { <. x , y >. | ( ( x e. C /\ y e. D ) /\ ph ) } <-> ps ) ) $=
      ( wcel wa cop cv copab wceq eleq1 bi2anan9 anbi12d opelopabga bianabs ) E
      GJZFHJZKZEFLCMZGJZDMZHJZKZAKZCDNJBUIUCBKCDEFGHUDEOZUFFOZKUHUCABUJUEUAUKUG
      UBUDEGPUFFHPQIRST $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ps $.
    opelopaba.1 $e |- A e. _V $.
    opelopaba.2 $e |- B e. _V $.
    opelopaba.3 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( The law of concretion.  Theorem 9.5 of [Quine] p. 61.  (Contributed by
       Mario Carneiro, 19-Dec-2013.) $)
    opelopaba $p |- ( <. A , B >. e. { <. x , y >. | ph } <-> ps ) $=
      ( cvv wcel cop copab wb opelopabga mp2an ) EJKFJKEFLACDMKBNGHABCDEFJJIOP
      $.

    ${
      braba.4 $e |- R = { <. x , y >. | ph } $.
      $( The law of concretion for a binary relation.  (Contributed by NM,
         19-Dec-2013.) $)
      braba $p |- ( A R B <-> ps ) $=
        ( cvv wcel wbr wb brabga mp2an ) ELMFLMEFGNBOHIABCDEFGLLJKPQ $.
    $}
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ch $.
    opelopabg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    opelopabg.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( The law of concretion.  Theorem 9.5 of [Quine] p. 61.  (Contributed by
       NM, 28-May-1995.)  (Revised by Mario Carneiro, 19-Dec-2013.) $)
    opelopabg $p |- ( ( A e. V /\ B e. W ) ->
                    ( <. A , B >. e. { <. x , y >. | ph } <-> ch ) ) $=
      ( cv wceq sylan9bb opelopabga ) ACDEFGHIDLFMABELGMCJKNO $.

    ${
      brabg.5 $e |- R = { <. x , y >. | ph } $.
      $( The law of concretion for a binary relation.  (Contributed by NM,
         16-Aug-1999.)  (Revised by Mario Carneiro, 19-Dec-2013.) $)
      brabg $p |- ( ( A e. C /\ B e. D ) -> ( A R B <-> ch ) ) $=
        ( cv wceq sylan9bb brabga ) ACDEFGJHIDNFOABENGOCKLPMQ $.
    $}
  $}

  ${
    $d x y A $.  $d x y B $.
    opelopabgf.x $e |- F/ x ps $.
    opelopabgf.y $e |- F/ y ch $.
    opelopabgf.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    opelopabgf.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( The law of concretion.  Theorem 9.5 of [Quine] p. 61.  This version of
       ~ opelopabg uses bound-variable hypotheses in place of distinct variable
       conditions.  (Contributed by Alexander van der Vekens, 8-Jul-2018.) $)
    opelopabgf $p |- ( ( A e. V /\ B e. W )
                       -> ( <. A , B >. e. { <. x , y >. | ph } <-> ch ) ) $=
      ( cop copab wcel wsbc wa opelopabsb sbciegf nfcv cv wceq sbcbidv sylan9bb
      nfsbcw syl5bb ) FGNADEOPAEGQZDFQZFHPZGIPZRCADEFGSUJUIBEGQZUKCUHULDFHBDEGD
      GUAJUFDUBFUCABEGLUDTBCEGIKMTUEUG $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x y ch $.
    opelopab2.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    opelopab2.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( Ordered pair membership in an ordered pair class abstraction.
       (Contributed by NM, 14-Oct-2007.)  (Revised by Mario Carneiro,
       19-Dec-2013.) $)
    opelopab2 $p |- ( ( A e. C /\ B e. D ) -> ( <. A , B >. e.
                 { <. x , y >. | ( ( x e. C /\ y e. D ) /\ ph ) } <-> ch ) ) $=
      ( cv wceq sylan9bb opelopab2a ) ACDEFGHIDLFMABELGMCJKNO $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ch $.
    opelopab.1 $e |- A e. _V $.
    opelopab.2 $e |- B e. _V $.
    opelopab.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    opelopab.4 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( The law of concretion.  Theorem 9.5 of [Quine] p. 61.  (Contributed by
       NM, 16-May-1995.) $)
    opelopab $p |- ( <. A , B >. e. { <. x , y >. | ph } <-> ch ) $=
      ( cvv wcel cop copab wb opelopabg mp2an ) FLMGLMFGNADEOMCPHIABCDEFGLLJKQR
      $.

    ${
      brab.5 $e |- R = { <. x , y >. | ph } $.
      $( The law of concretion for a binary relation.  (Contributed by NM,
         16-Aug-1999.) $)
      brab $p |- ( A R B <-> ch ) $=
        ( cvv wcel wbr wb brabg mp2an ) FNOGNOFGHPCQIJABCDEFGNNHKLMRS $.
    $}
  $}

  ${
    $d x y A $.  $d x y B $.
    opelopabaf.x $e |- F/ x ps $.
    opelopabaf.y $e |- F/ y ps $.
    opelopabaf.1 $e |- A e. _V $.
    opelopabaf.2 $e |- B e. _V $.
    opelopabaf.3 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( The law of concretion.  Theorem 9.5 of [Quine] p. 61.  This version of
       ~ opelopab uses bound-variable hypotheses in place of distinct variable
       conditions.  (Contributed by Mario Carneiro, 19-Dec-2013.)  (Proof
       shortened by Mario Carneiro, 18-Nov-2016.) $)
    opelopabaf $p |- ( <. A , B >. e. { <. x , y >. | ph } <-> ps ) $=
      ( cop copab wcel wsbc opelopabsb cvv wb nfv sbc2iegf mp2an bitri ) EFLACD
      MNADFOCEOZBACDEFPEQNFQNZUCBRIJABCDEFQQGHUDCSKTUAUB $.
  $}

  ${
    $d x y A $.  $d x y B $.
    opelopabf.x $e |- F/ x ps $.
    opelopabf.y $e |- F/ y ch $.
    opelopabf.1 $e |- A e. _V $.
    opelopabf.2 $e |- B e. _V $.
    opelopabf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    opelopabf.4 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( The law of concretion.  Theorem 9.5 of [Quine] p. 61.  This version of
       ~ opelopab uses bound-variable hypotheses in place of distinct variable
       conditions.  (Contributed by NM, 19-Dec-2008.) $)
    opelopabf $p |- ( <. A , B >. e. { <. x , y >. | ph } <-> ch ) $=
      ( cop wcel wsbc cvv wb sbciegf ax-mp copab opelopabsb nfcv nfsbcw cv wceq
      sbcbidv 3bitri ) FGNADEUAOAEGPZDFPZBEGPZCADEFGUBFQOUJUKRJUIUKDFQBDEGDGUCH
      UDDUEFUFABEGLUGSTGQOUKCRKBCEGQIMSTUH $.
  $}

  ${
    $d ph z $.  $d ps z $.  $d x z $.  $d y z $.
    $( Equivalence of ordered pair abstraction subclass and implication.
       (Contributed by NM, 27-Dec-1996.)  (Revised by Mario Carneiro,
       19-May-2013.) $)
    ssopab2 $p |- ( A. x A. y ( ph -> ps ) ->
        { <. x , y >. | ph } C_ { <. x , y >. | ps } ) $=
      ( vz wi wal cv cop wceq wa wex cab anim2d aleximi ss2abdv df-opab 3sstr4g
      copab id ) ABFZDGZCGZEHCHDHIJZAKZDLZCLZEMUDBKZDLZCLZEMACDSBCDSUCUGUJEUBUF
      UICUAUEUHDUAABUDUATNOOPACDEQBCDEQR $.
  $}

  ${
    $d x y $.
    $( Equivalence of ordered pair abstraction subclass and implication.
       Version of ~ ssopab2b with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by NM, 27-Dec-1996.)  (Revised by Gino
       Giotto, 26-Jan-2024.) $)
    ssopab2bw $p |- ( { <. x , y >. | ph } C_ { <. x , y >. | ps } <->
                 A. x A. y ( ph -> ps ) ) $=
      ( copab wss wal nfopab1 nfss nfopab2 cop wcel ssel opabidw 3imtr3g alrimi
      wi cv ssopab2 impbii ) ACDEZBCDEZFZABQZDGZCGUCUECCUAUBACDHBCDHIUCUDDDUAUB
      ACDJBCDJIUCCRDRKZUALUFUBLABUAUBUFMACDNBCDNOPPABCDST $.
    $( $j usage 'ssopab2bw' avoids 'ax-13'; $)

    $( Equivalence of ordered pair abstraction equality and biconditional.
       Version of ~ eqopab2b with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by Mario Carneiro, 4-Jan-2017.)
       (Revised by Gino Giotto, 26-Jan-2024.) $)
    eqopab2bw $p |- ( { <. x , y >. | ph } = { <. x , y >. | ps }
                  <-> A. x A. y ( ph <-> ps ) ) $=
      ( copab wss wa wi wal wceq wb ssopab2bw anbi12i eqss 2albiim 3bitr4i ) AC
      DEZBCDEZFZRQFZGABHDICIZBAHDICIZGQRJABKDICISUATUBABCDLBACDLMQRNABCDOP $.
    $( $j usage 'eqopab2bw' avoids 'ax-13'; $)
  $}

  $( Equivalence of ordered pair abstraction subclass and implication.  Usage
     of this theorem is discouraged because it depends on ~ ax-13 .  Use the
     weaker ~ ssopab2bw when possible.  (Contributed by NM, 27-Dec-1996.)
     (Proof shortened by Mario Carneiro, 18-Nov-2016.)
     (New usage is discouraged.) $)
  ssopab2b $p |- ( { <. x , y >. | ph } C_ { <. x , y >. | ps } <->
               A. x A. y ( ph -> ps ) ) $=
    ( copab wss wi wal nfopab1 nfss nfopab2 cop wcel ssel opabid 3imtr3g alrimi
    cv ssopab2 impbii ) ACDEZBCDEZFZABGZDHZCHUCUECCUAUBACDIBCDIJUCUDDDUAUBACDKB
    CDKJUCCRDRLZUAMUFUBMABUAUBUFNACDOBCDOPQQABCDST $.

  ${
    ssopab2i.1 $e |- ( ph -> ps ) $.
    $( Inference of ordered pair abstraction subclass from implication.
       (Contributed by NM, 5-Apr-1995.) $)
    ssopab2i $p |- { <. x , y >. | ph } C_ { <. x , y >. | ps } $=
      ( wi wal copab wss ssopab2 ax-gen mpg ) ABFZDGACDHBCDHICABCDJMDEKL $.
  $}

  ${
    $d x ph $.  $d y ph $.
    ssopab2dv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference of ordered pair abstraction subclass from implication.
       (Contributed by NM, 19-Jan-2014.)  (Revised by Mario Carneiro,
       24-Jun-2014.) $)
    ssopab2dv $p |- ( ph -> { <. x , y >. | ps } C_ { <. x , y >. | ch } ) $=
      ( wi wal copab wss alrimivv ssopab2 syl ) ABCGZEHDHBDEICDEIJANDEFKBCDELM
      $.
  $}

  $( Equivalence of ordered pair abstraction equality and biconditional.  Usage
     of this theorem is discouraged because it depends on ~ ax-13 .  Use the
     weaker ~ eqopab2bw when possible.  (Contributed by Mario Carneiro,
     4-Jan-2017.)  (New usage is discouraged.) $)
  eqopab2b $p |- ( { <. x , y >. | ph } = { <. x , y >. | ps }
                <-> A. x A. y ( ph <-> ps ) ) $=
    ( copab wss wa wi wal wceq wb ssopab2b anbi12i eqss 2albiim 3bitr4i ) ACDEZ
    BCDEZFZRQFZGABHDICIZBAHDICIZGQRJABKDICISUATUBABCDLBACDLMQRNABCDOP $.

  ${
    $d z ph $.  $d z x $.  $d z y $.
    $( Nonempty ordered pair class abstraction.  (Contributed by NM,
       10-Oct-2007.) $)
    opabn0 $p |- ( { <. x , y >. | ph } =/= (/) <-> E. x E. y ph ) $=
      ( vz copab c0 wne cv wcel wex n0 cop wceq elopab exbii exrot3 opex isseti
      wa bitri 19.41v mpbiran 2exbii ) ABCEZFGDHZUDIZDJZACJBJZDUDKUGUEBHZCHZLZM
      ZASZCJBJZDJZUHUFUNDABCUENOUOUMDJZCJBJUHUMDBCPUPABCUPULDJADUKUIUJQRULADUAU
      BUCTTT $.
  $}

  $( Empty ordered pair class abstraction.  (Contributed by AV,
     29-Oct-2021.) $)
  opab0 $p |- ( { <. x , y >. | ph } = (/) <-> A. x A. y -. ph ) $=
    ( copab c0 wceq wn wal wne wex opabn0 df-ne 2exnaln 3bitr3i con4bii ) ABCDZ
    EFZAGCHBHZPEIACJBJQGRGABCKPELABCMNO $.

  ${
    $d w y z A $.  $d w ph $.  $d w x y z $.
    $( Move substitution into a class abstraction.  Version of ~ csbopabgALT
       without a sethood antecedent but depending on more axioms.  (Contributed
       by NM, 6-Aug-2007.)  (Revised by NM, 23-Aug-2018.) $)
    csbopab $p |- [_ A / x ]_ { <. y , z >. | ph }
              = { <. y , z >. | [. A / x ]. ph } $=
      ( vw cvv wcel copab csb wsbc wceq cv wsb csbeq1 opabbidv wn c0 wex nexdv
      dfsbcq2 eqeq12d vex nfs1v nfopab sbequ12 csbief vtoclg csbprc sbcex con3i
      weq opabn0 necon1bbii sylib eqtr4d pm2.61i ) EGHZBEACDIZJZABEKZCDIZLZBFMZ
      USJZABFNZCDIZLVCFEGVDELZVEUTVGVBBVDEUSOVHVFVACDABFEUAPUBBVDUSVGFUCVFCDBAB
      FUDUEBFULAVFCDABFUFPUGUHURQZUTRVBBEUSUIVIVADSZCSZQVBRLVIVJCVIVADVAURABEUJ
      UKTTVKVBRVACDUMUNUOUPUQ $.

    $( Move substitution into a class abstraction.  Version of ~ csbopab with a
       sethood antecedent but depending on fewer axioms.  (Contributed by NM,
       6-Aug-2007.)  (Proof shortened by Mario Carneiro, 17-Nov-2016.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    csbopabgALT $p |- ( A e. V -> [_ A / x ]_ { <. y , z >. | ph }
              = { <. y , z >. | [. A / x ]. ph } ) $=
      ( vw cv copab csb wsb wceq wsbc csbeq1 dfsbcq2 opabbidv eqeq12d vex nfs1v
      nfopab sbequ12 csbief vtoclg ) BGHZACDIZJZABGKZCDIZLBEUEJZABEMZCDIZLGEFUD
      ELZUFUIUHUKBUDEUENULUGUJCDABGEOPQBUDUEUHGRUGCDBABGSTBHUDLAUGCDABGUAPUBUC
      $.
  $}

  ${
    $d A y z $.  $d V y z $.  $d Y y z $.  $d Z z $.  $d x y z $.
    $( Move substitution into a maps-to notation.  (Contributed by AV,
       26-Sep-2019.) $)
    csbmpt12 $p |- ( A e. V -> [_ A / x ]_ ( y e. Y |-> Z )
                             = ( y e. [_ A / x ]_ Y |-> [_ A / x ]_ Z ) ) $=
      ( vz wcel cv wceq copab csb cmpt wsbc csbopab sbcan sbcel12 syl5bb df-mpt
      wa csbconstg eleq1d sbceq2g anbi12d opabbidv eqtrid csbeq2i 3eqtr4g ) CDH
      ZACBIZEHZGIZFJZTZBGKZLZUJACELZHZULACFLZJZTZBGKZACBEFMZLBUQUSMUIUPUNACNZBG
      KVBUNABGCOUIVDVABGVDUKACNZUMACNZTUIVAUKUMACPUIVEURVFUTVEACUJLZUQHUIURACUJ
      EQUIVGUJUQACUJDUAUBRACULFDUCUDRUEUFACVCUOBGEFSUGBGUQUSSUH $.

    $d Y x $.
    $( Move substitution into the second part of a maps-to notation.
       (Contributed by AV, 26-Sep-2019.) $)
    csbmpt2 $p |- ( A e. V -> [_ A / x ]_ ( y e. Y |-> Z )
                              = ( y e. Y |-> [_ A / x ]_ Z ) ) $=
      ( wcel cmpt csb csbmpt12 csbconstg mpteq1d eqtrd ) CDGZACBEFHIBACEIZACFIZ
      HBEPHABCDEFJNBOEPACEDKLM $.
  $}

  ${
    $d ph w $.  $d A w x $.  $d A y $.  $d w y z $.  $d x z $.
    $( Move indexed union inside an ordered-pair class abstraction.
       (Contributed by Stefan O'Rear, 20-Feb-2015.) $)
    iunopab $p |- U_ z e. A { <. x , y >. | ph } =
        { <. x , y >. | E. z e. A ph } $=
      ( vw cv copab wcel wrex cab cop wceq wex ciun elopab rexcom4 exbii bitri
      wa rexbii r19.42v abbii df-iun df-opab 3eqtr4i ) FGZABCHZIZDEJZFKUGBGCGLM
      ZADEJZTZCNZBNZFKDEUHOULBCHUJUOFUJUKATZCNZBNZDEJZUOUIURDEABCUGPUAUSUQDEJZB
      NUOUQDBEQUTUNBUTUPDEJZCNUNUPDCEQVAUMCUKADEUBRSRSSUCDFEUHUDULBCFUEUF $.
  $}

  ${
    $d A x y $.  $d R x y $.
    $( Membership in an ordered-pair class abstraction defined by a binary
       relation.  (Contributed by AV, 16-Feb-2021.) $)
    elopabr $p |- ( A e. { <. x , y >. | x R y } -> A e. R ) $=
      ( cv wbr copab wcel cop wceq wa wex elopab df-br biimpi eleq1 syl5ibr imp
      exlimivv sylbi ) CAEZBEZDFZABGHCUAUBIZJZUCKZBLALCDHZUCABCMUFUGABUEUCUGUCU
      GUEUDDHZUCUHUAUBDNOCUDDPQRST $.

    $( Membership in an ordered-pair class abstraction defined by a restricted
       binary relation.  (Contributed by AV, 16-Feb-2021.) $)
    elopabran $p |- ( A e. { <. x , y >. | ( x R y /\ ps ) } -> A e. R ) $=
      ( cv wbr wa copab wcel simpl ssopab2i sseli elopabr syl ) DBFCFEGZAHZBCIZ
      JDPBCIZJDEJRSDQPBCPAKLMBCDENO $.
  $}

  ${
    $d F f p $.  $d P f p $.  $d W f p $.  $d ch f p $.
    rbropapd.1 $e |- ( ph -> M = { <. f , p >. | ( f W p /\ ps ) } ) $.
    rbropapd.2 $e |- ( ( f = F /\ p = P ) -> ( ps <-> ch ) ) $.
    $( Properties of a pair in an extended binary relation.  (Contributed by
       Alexander van der Vekens, 30-Oct-2017.) $)
    rbropapd $p |- ( ph -> ( ( F e. X /\ P e. Y )
                     -> ( F M P <-> ( F W P /\ ch ) ) ) ) $=
      ( wcel wa wbr wb cop cv wceq copab df-br eleq2d syl5bb anbi12d opelopabga
      breq12 sylan9bb ex ) AFINDJNOZFDGPZFDHPZCOZQAUKFDRZESZKSZHPZBOZEKUAZNZUJU
      MUKUNGNAUTFDGUBAGUSUNLUCUDURUMEKFDIJUOFTUPDTOUQULBCUOFUPDHUGMUEUFUHUI $.

    $( Properties of a pair in a restricted binary relation ` M ` expressed as
       an ordered-pair class abstraction: ` M ` is the binary relation ` W `
       restricted by the condition ` ps ` .  (Contributed by AV,
       31-Jan-2021.) $)
    rbropap $p |- ( ( ph /\ F e. X /\ P e. Y )
                    -> ( F M P <-> ( F W P /\ ch ) ) ) $=
      ( wcel wbr wa wb rbropapd 3impib ) AFINDJNFDGOFDHOCPQABCDEFGHIJKLMRS $.
  $}

  ${
    $d F f p $.  $d P f p $.  $d W f p $.  $d ch f p $.  $d th f p $.
    2rbropap.1 $e |- ( ph -> M = { <. f , p >. | ( f W p /\ ps /\ ta ) } ) $.
    2rbropap.2 $e |- ( ( f = F /\ p = P ) -> ( ps <-> ch ) ) $.
    2rbropap.3 $e |- ( ( f = F /\ p = P ) -> ( ta <-> th ) ) $.
    $( Properties of a pair in a restricted binary relation ` M ` expressed as
       an ordered-pair class abstraction: ` M ` is the binary relation ` W `
       restricted by the conditions ` ps ` and ` ta ` .  (Contributed by AV,
       31-Jan-2021.) $)
    2rbropap $p |- ( ( ph /\ F e. X /\ P e. Y )
                    -> ( F M P <-> ( F W P /\ ch /\ th ) ) ) $=
      ( wcel w3a wbr wa cv copab 3anass opabbii eqtrdi anbi12d rbropap bitr4di
      wceq ) AHKQFLQRHFISHFJSZCDTZTUJCDRABETZUKFGHIJKLMAIGUAZMUAZJSZBERZGMUBUOU
      LTZGMUBNUPUQGMUOBEUCUDUEUMHUIUNFUITBCEDOPUFUGUJCDUCUH $.
  $}

  $( The empty set is never an element in an ordered-pair class abstraction.
     (Contributed by Alexander van der Vekens, 5-Nov-2017.)  Reduce axiom usage
     and shorten proof.  (Revised by Gino Giotto, 3-Oct-2024.) $)
  0nelopab $p |- -. (/) e. { <. x , y >. | ph } $=
    ( c0 copab wcel cv cop wceq wex vex opnzi nesymi intnanr nex elopab mtbir
    wa ) DABCEFDBGZCGZHZIZARZCJZBJUDBUCCUBAUADSTBKCKLMNOOABCDPQ $.
  $( $j usage '0nelopab' avoids 'ax-10' 'ax-11' 'ax-12'; $)

  $( Obsolete version of ~ 0nelopab as of 3-Oct-2024.  (Contributed by
     Alexander van der Vekens, 5-Nov-2017.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  0nelopabOLD $p |- -. (/) e. { <. x , y >. | ph } $=
    ( c0 copab wcel wn cv cop wa wex elopab nfopab1 nfel2 nfn nfopab2 vex sylbi
    wceq exlimi wne wi opnzi nesym pm2.21 ax-mp adantr id pm2.61i ) DABCEZFZUKG
    ZUKDBHZCHZIZSZAJZCKZBKULABCDLURULBUKBBDUJABCMNOUQULCUKCCDUJABCPNOUPULAUODUA
    ZUPULUBZUMUNBQCQUCUSUPGUTUODUDUPULUERUFUGTTRULUHUI $.

  $( If two classes are in a relationship given by an ordered-pair class
     abstraction, the classes are sets.  (Contributed by Alexander van der
     Vekens, 5-Nov-2017.) $)
  brabv $p |- ( X { <. x , y >. | ph } Y -> ( X e. _V /\ Y e. _V ) ) $=
    ( copab wbr cop wcel cvv wa df-br wn wceq opprc 0nelopab eleq1 mtbiri syl
    c0 con4i sylbi ) DEABCFZGDEHZUCIZDJIEJIKZDEUCLUFUEUFMUDTNZUEMDEOUGUETUCIABC
    PUDTUCQRSUAUB $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Power class of union and intersection
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x $.  $d B x $.
    $( The power class of the intersection of two classes is the intersection
       of their power classes.  Exercise 4.12(j) of [Mendelson] p. 235.
       (Contributed by NM, 23-Nov-2003.) $)
    pwin $p |- ~P ( A i^i B ) = ( ~P A i^i ~P B ) $=
      ( vx cpw cin cv wss wa wcel ssin velpw anbi12i 3bitr4i ineqri eqcomi ) AD
      ZBDZEABEZDZCPQSCFZAGZTBGZHTRGTPIZTQIZHTSITABJUCUAUDUBCAKCBKLCRKMNO $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Obsolete version of ~ pwunss as of 30-Dec-2023.  (Contributed by NM,
       23-Nov-2003.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    pwunssOLD $p |- ( ~P A u. ~P B ) C_ ~P ( A u. B ) $=
      ( vx cpw cun cv wss wo wcel ssun elun velpw orbi12i bitri 3imtr4i ssriv )
      CADZBDZEZABEZDZCFZAGZUBBGZHZUBTGUBSIZUBUAIUBABJUFUBQIZUBRIZHUEUBQRKUGUCUH
      UDCALCBLMNCTLOP $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( The power class of the union of two classes is a subset of the union of
       their power classes, iff one class is a subclass of the other.  Exercise
       4.12(l) of [Mendelson] p. 235.  (Contributed by NM, 23-Nov-2003.) $)
    pwssun $p |- ( ( A C_ B \/ B C_ A ) <->
               ~P ( A u. B ) C_ ( ~P A u. ~P B ) ) $=
      ( vy vx wss wo cun cpw wceq pweq eqimss syl sylbi orim12i wn wa wcel elpw
      cv wi ssequn2 ssequn1 orcoms ssun cpr csn vex snss unss12 syl2anb zfpair2
      df-pr sseq1i bitr2i sylib ssel syl5 expcomd imp31 elun bitr4i simprbi ord
      prss simplbi impancom ssrdv exp31 con1b syl6ib com23 imp ex orrd impbii )
      ABEZBAEZFZABGZHZAHZBHZGZEZVRVTWAEZVTWBEZFZWDVQVPWGVQWEVPWFVQVSAIZWEBAUAWH
      VTWAIWEVSAJVTWAKLMVPVSBIZWFABUBWIVTWBIWFVSBJVTWBKLMNUCVTWAWBUDLWDVPVQWDVP
      OZVQWDWJPCBAWDWJCSZBQZWKAQZTWDWLWJWMWDWLWMOZVPTWJWMTWDWLWNVPWDWLPZWNPDABW
      ODSZAQZWNWPBQZWOWQPZWMWRWSWPWKUEZWAQZWTWBQZFZWMWRFWSWTWCQZXCWDWLWQXDWDWQW
      LXDWQWLPZWTVTQZWDXDXEWPUFZWKUFZGZVSEZXFWQXGAEXHBEXJWLWPADUGZUHWKBCUGZUHXG
      AXHBUIUJXFWTVSEXJWTVSDCUKZRWTXIVSWPWKULUMUNUOVTWCWTUPUQURUSWTWAWBUTUOXAWM
      XBWRXAWQWMXAWTAEWQWMPWTAXMRWPWKAXKXLVDVAVBXBWRWLXBWTBEWRWLPWTBXMRWPWKBXKX
      LVDVAVENLVCVFVGVHWMVPVIVJVKVLVGVMVNVO $.
  $}

  $( Obsolete proof of ~ pwundif as of 26-Dec-2023.  (Contributed by NM,
     25-Mar-2007.)  (Proof shortened by Thierry Arnoux, 20-Dec-2016.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  pwundifOLD $p |- ~P ( A u. B ) = ( ( ~P ( A u. B ) \ ~P A ) u. ~P A ) $=
    ( cun cpw cdif undif1 wss wceq pwunss unss mpbir simpli ssequn2 mpbi eqtr2i
    wa ) ABCDZADZERCQRCZQQRFRQGZSQHTBDZQGZTUBPRUACQGABIRUAQJKLRQMNO $.

  $( The power class of the union of two classes equals the union of their
     power classes, iff one class is a subclass of the other.  Part of Exercise
     7(b) of [Enderton] p. 28.  (Contributed by NM, 23-Nov-2003.) $)
  pwun $p |- ( ( A C_ B \/ B C_ A ) <-> ~P ( A u. B ) = ( ~P A u. ~P B ) ) $=
    ( cun cpw wss wa wo wceq pwunss biantru pwssun eqss 3bitr4i ) ABCDZADBDCZEZ
    PONEZFABEBAEGNOHQPABIJABKNOLM $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The identity relation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c _I $.  $( Letter I for the identity relation. $)

  $( Extend the definition of a class to include the identity relation. $)
  cid $a class _I $.

  ${
    $d x y $.
    $( Define the identity relation.  Definition 9.15 of [Quine] p. 64.  For
       example, ` 5 _I 5 ` and ` -. 4 _I 5 ` ( ~ ex-id ).  (Contributed by NM,
       13-Aug-1995.) $)
    df-id $a |- _I = { <. x , y >. | x = y } $.
  $}

  ${
    $d x y $.
    $( The identity function expressed using maps-to notation.  (Contributed by
       Scott Fenton, 15-Dec-2017.) $)
    dfid4 $p |- _I = ( x e. _V |-> x ) $=
      ( vy weq copab cv cvv wcel wa cid equcom vex biantrur bitri opabbii df-id
      cmpt df-mpt 3eqtr4i ) ABCZABDAEZFGZBACZHZABDIAFTPSUCABSUBUCABJUAUBAKLMNAB
      OABFTQR $.
  $}

  ${
    $d x y z u $.
    $( Alternate definition of the identity relation.  Instance of ~ dfid3 not
       requiring auxiliary axioms.  (Contributed by NM, 15-Mar-2007.)  Reduce
       axiom usage.  (Revised by Gino Giotto, 4-Nov-2024.)  (Proof shortened by
       BJ, 5-Nov-2024.)

       Use ~ df-id instead to make the semantics of the constructor ~ df-opab
       clearer.  (New usage is discouraged.) $)
    dfid2 $p |- _I = { <. x , x >. | x = x } $=
      ( vy vz vu cid weq copab df-id cv cop wceq wa wex cab opeq2d eqeq2d exbii
      equcomi bitri df-opab pm5.32ri ax6evr mpbiran2 pm4.71i id opeq12d eqeq12d
      19.42v eqidd anbi12d exexw abbii 3eqtr4i eqtri ) EABFZABGZAAFZAAGZABHCIZA
      IZBIZJZKZUOLZBMZAMZCNUSUTUTJZKZUQLZAMZAMZCNUPURVFVKCVFVJVKVEVIAVEVHVIVEVH
      UOLZBMZVHVDVLBUOVCVHUOVBVGUSUOVAUTUTABROPUAQVMVHUOBMBAUBVHUOBUHUCSVHUQVHU
      TUIUDSQVIUSDIZVNJZKZDDFZLADADFZVHVPUQVQVRVGVOUSVRUTVNUTVNVRUEZVSUFPVRUTVN
      UTVNVSVSUGUJUKSULUOABCTUQAACTUMUN $.
    $( $j usage 'dfid2' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)
  $}

  ${
    $d w z x $.  $d w z y $.
    $( A stronger version of ~ df-id that does not require ` x ` and ` y ` to
       be disjoint.  This is not the definition since, in order to pass our
       definition soundness test, a definition has to have disjoint dummy
       variables, see ~ conventions .  The proof can be instructive in showing
       how disjoint variable conditions may be eliminated, a task that is not
       necessarily obvious.  (Contributed by NM, 5-Feb-2008.)  (Revised by
       Mario Carneiro, 18-Nov-2016.)

       Use ~ df-id instead to make the semantics of the constructor ~ df-opab
       clearer (in usages, ` x , y ` will typically be dummy variables, so can
       be assumed disjoint).  (New usage is discouraged.) $)
    dfid3 $p |- _I = { <. x , y >. | x = y } $=
      ( vz vw weq copab cv cop wa wex cab wb exbii opeq2 eqeq2d equequ2 anbi12d
      wceq nfnae nfcvd cid df-id wal equcom anbi1ci equsexvw equid biantru nfe1
      3bitri 19.9 bitr4i sps drex1 drex2 syl5bb wn nfcvf2 nfopd nfeqd nfand a1i
      wi cbvexd exbid pm2.61i abbii df-opab 3eqtr4i eqtri ) UAACEZACFZABEZABFZA
      CUBDGZAGZCGZHZRZVKIZCJZAJZDKVOVPBGZHZRZVMIZBJZAJZDKVLVNWBWHDVMAUCZWBWHLWB
      VOVPVPHZRZAAEZIZAJZAJZWIWHWBWNWOWAWMAWACAEZVSIZCJWKWMVTWQCVKWPVSACUDUEMVS
      WKCAWPVRWJVOVQVPVPNOUFWLWKAUGUHUJMWNAWMAUIUKULWNWGABAWMWFABVMWMWFLAVMWKWE
      WLVMVMWJWDVOVPWCVPNOABAPQUMUNUOUPWIUQZWAWGAABASWRVTWFCBABBSWRVSVKBWRBVOVR
      WRBVOTWRBVPVQABURZWRBVQTZUSUTWRBVPVQWSWTUTVACBEZVTWFLVCWRXAVSWEVKVMXAVRWD
      VOVQWCVPNOCBAPQVBVDVEVFVGVKACDVHVMABDVHVIVJ $.
  $}

  $( Obsolete version of ~ dfid2 as of 4-Nov-2024.  (Contributed by NM,
     15-Mar-2007.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  dfid2OLD $p |- _I = { <. x , x >. | x = x } $=
    ( dfid3 ) AAB $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The membership relation (or epsilon relation)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c _E $.  $( Upright uppercase letter E for the membership relation. $)

  $( Extend class notation to include the membership relation. $)
  cep $a class _E $.

  ${
    $d x y $.
    $( Define the membership relation (also called "epsilon relation" since it
       is sometimes denoted by the lowercase Greek letter "epsilon").  Similar
       to Definition 6.22 of [TakeutiZaring] p. 30.  The membership relation
       and the membership predicate agree, that is, ` ( A _E B <-> A e. B ) ` ,
       when ` B ` is a set (see ~ epelg ).  Thus, ` |- 5 _E { 1 , 5 } `
       ( ~ ex-eprel ).  (Contributed by NM, 13-Aug-1995.) $)
    df-eprel $a |- _E = { <. x , y >. | x e. y } $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( The membership relation and the membership predicate agree when the
       "containing" class is a set.  General version of ~ epel and closed form
       of ~ epeli .  (Contributed by Scott Fenton, 27-Mar-2011.)  (Revised by
       Mario Carneiro, 28-Apr-2015.)  (Proof shortened by BJ, 14-Jul-2023.) $)
    epelg $p |- ( B e. V -> ( A _E B <-> A e. B ) ) $=
      ( vx vy wcel cvv cep wbr wi cop df-br c0 wceq cv 0nelopab df-eprel eqcomi
      copab a1i eleq2i mtbi eleq1 mtbiri con2i opprc1 nsyl2 sylbi eleq12 brabga
      elex wb expcom pm5.21ndd ) BCFZAGFZABHIZABFZUQUPJUOUQABKZHFZUPABHLUTUSMNZ
      UPVAUTVAUTMHFZMDOZEOZFZDESZFVBVEDEPVFHMHVFDEQZRUAUBUSMHUCUDUEABUFUGUHTURU
      PJUOABUKTUPUOUQURULVEURDEABHGCVCAVDBUIVGUJUMUN $.
  $}

  ${
    epeli.1 $e |- B e. _V $.
    $( The membership relation and the membership predicate agree when the
       "containing" class is a set.  Inference associated with ~ epelg .
       (Contributed by Scott Fenton, 11-Apr-2012.) $)
    epeli $p |- ( A _E B <-> A e. B ) $=
      ( cvv wcel cep wbr wb epelg ax-mp ) BDEABFGABEHCABDIJ $.
  $}

  $( The membership relation and the membership predicate agree when the
     "containing" class is a setvar.  (Contributed by NM, 13-Aug-1995.)
     Replace the first setvar variable with a class variable.  (Revised by BJ,
     13-Sep-2022.) $)
  epel $p |- ( A _E x <-> A e. x ) $=
    ( cv vex epeli ) BACADE $.

  $( An example for the membership relation.  (Contributed by AV,
     19-Jun-2022.) $)
  0sn0ep $p |- (/) _E { (/) } $=
    ( c0 csn cep wbr wcel 0ex snid snex epeli mpbir ) AABZCDAKEAFGAKAHIJ $.

  $( The membership relation is nonempty.  (Contributed by AV, 19-Jun-2022.) $)
  epn0 $p |- _E =/= (/) $=
    ( c0 csn cep wbr wne 0sn0ep brne0 ax-mp ) AABZCDCAEFAICGH $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Partial and total orderings
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  We have not yet defined relations ( ~ df-rel ), but here we introduce a few
  related notions we will use to develop ordinals.  The class variable ` R ` is
  no different from other class variables, but it reminds us that typically it
  represents what we will later call a "relation".

$)

  $( Declare new constant symbols. $)
  $c Po $.  $( Partial ordering predicate symbol (read: 'partial ordering'). $)
  $c Or $.  $( Strict total ordering predicate symbol (read: 'orders'). $)

  $( Extend wff notation to include the strict partial ordering predicate.
     Read:  " ` R ` is a partial order on ` A ` ". $)
  wpo $a wff R Po A $.

  $( Extend wff notation to include the strict total ordering predicate.  Read:
      " ` R ` orders ` A ` ". $)
  wor $a wff R Or A $.

  ${
    $d x y z R $.  $d x y z A $.
    $( Define the strict partial order predicate.  Definition of [Enderton]
       p. 168.  The expression ` R Po A ` means ` R ` is a partial order on
       ` A ` .  For example, ` < Po RR ` is true, while ` <_ Po RR ` is false
       ( ~ ex-po ).  (Contributed by NM, 16-Mar-1997.) $)
    df-po $a |- ( R Po A <-> A. x e. A A. y e. A A. z e. A
                ( -. x R x /\ ( ( x R y /\ y R z ) -> x R z ) ) ) $.

    $( Define the strict complete (linear) order predicate.  The expression
       ` R Or A ` is true if relationship ` R ` orders ` A ` .  For example,
       ` < Or RR ` is true ( ~ ltso ).  Equivalent to Definition 6.19(1) of
       [TakeutiZaring] p. 29.  (Contributed by NM, 21-Jan-1996.) $)
    df-so $a |- ( R Or A <-> ( R Po A /\ A. x e. A A. y e. A
                ( x R y \/ x = y \/ y R x ) ) ) $.
  $}

  ${
    $d x y z R $.  $d x y z A $.  $d x y z B $.
    $( Subset theorem for the partial ordering predicate.  (Contributed by NM,
       27-Mar-1997.)  (Proof shortened by Mario Carneiro, 18-Nov-2016.) $)
    poss $p |- ( A C_ B -> ( R Po B -> R Po A ) ) $=
      ( vx vy vz wss cv wbr wn wa wi wral wpo ssralv ss2ralv ralimdv syld df-po
      3imtr4g ) ABGZDHZUBCIJUBEHZCIUCFHZCIKUBUDCILKZFBMEBMZDBMZUEFAMEAMZDAMZBCN
      ACNUAUGUFDAMUIUFDABOUAUFUHDAUEEFABPQRDEFBCSDEFACST $.
  $}

  ${
    $d x y z R $.  $d x y z S $.  $d x y z A $.
    $( Equality theorem for partial ordering predicate.  (Contributed by NM,
       27-Mar-1997.) $)
    poeq1 $p |- ( R = S -> ( R Po A <-> S Po A ) ) $=
      ( vx vy vz wceq cv wbr wn wa wral wpo breq notbid anbi12d imbi12d ralbidv
      wi df-po 2ralbidv 3bitr4g ) BCGZDHZUDBIZJZUDEHZBIZUGFHZBIZKZUDUIBIZSZKZFA
      LZEALDALUDUDCIZJZUDUGCIZUGUICIZKZUDUICIZSZKZFALZEALDALABMACMUCUOVDDEAAUCU
      NVCFAUCUFUQUMVBUCUEUPUDUDBCNOUCUKUTULVAUCUHURUJUSUDUGBCNUGUIBCNPUDUIBCNQP
      RUADEFABTDEFACTUB $.
  $}

  $( Equality theorem for partial ordering predicate.  (Contributed by NM,
     27-Mar-1997.) $)
  poeq2 $p |- ( A = B -> ( R Po A <-> R Po B ) ) $=
    ( wceq wpo wss wi eqimss2 poss syl eqimss impbid ) ABDZACEZBCEZMBAFNOGBAHBA
    CIJMABFONGABKABCIJL $.

  ${
    $d R a b c $.  $d A a b c $.  $d x a b c $.
    nfpo.r $e |- F/_ x R $.
    nfpo.a $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for partial orders.  (Contributed by
       Stefan O'Rear, 20-Jan-2015.) $)
    nfpo $p |- F/ x R Po A $=
      ( va vb vc wpo cv wbr wn wa wi wral df-po nfcv nfbr nfan nfralw nfn nfxfr
      nfim ) BCIFJZUDCKZLZUDGJZCKZUGHJZCKZMZUDUICKZNZMZHBOZGBOZFBOAFGHBCPUPAFBE
      UOAGBEUNAHBEUFUMAUEAAUDUDCAUDQZDUQRUAUKULAUHUJAAUDUGCUQDAUGQZRAUGUICURDAU
      IQZRSAUDUICUQDUSRUCSTTTUB $.

    $( Bound-variable hypothesis builder for total orders.  (Contributed by
       Stefan O'Rear, 20-Jan-2015.) $)
    nfso $p |- F/ x R Or A $=
      ( va vb wor wpo cv wbr weq w3o wral wa df-so nfpo nfcv nfbr nfralw nf3or
      nfv nfan nfxfr ) BCHBCIZFJZGJZCKZFGLZUGUFCKZMZGBNZFBNZOAFGBCPUEUMAABCDEQU
      LAFBEUKAGBEUHUIUJAAUFUGCAUFRZDAUGRZSUIAUBAUGUFCUODUNSUATTUCUD $.
  $}

  ${
    $d x y z R $.  $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.
    $( Characteristic properties of a partial order in class notation.
       (Contributed by NM, 27-Mar-1997.)  Reduce axiom usage and shorten proof.
       (Revised by Gino Giotto, 3-Oct-2024.) $)
    pocl $p |- ( R Po A -> ( ( B e. A /\ C e. A /\ D e. A ) ->
               ( -. B R B /\ ( ( B R C /\ C R D ) -> B R D ) ) ) ) $=
      ( vx vy vz cv wbr wn wa wi wral wcel wceq breq1 imbi12d breq2 anbi2d wpo
      w3a df-po biimpi id breq12d notbid anbi1d anbi12d imbi1d rspc3v syl5com )
      AEUAZFIZUNEJZKZUNGIZEJZUQHIZEJZLZUNUSEJZMZLZHANGANFANZBAOCAODAOUBBBEJZKZB
      CEJZCDEJZLZBDEJZMZLZUMVEFGHAEUCUDVDVMVGBUQEJZUTLZBUSEJZMZLVGVHCUSEJZLZVPM
      ZLFGHBCDAAAUNBPZUPVGVCVQWAUOVFWAUNBUNBEWAUEZWBUFUGWAVAVOVBVPWAURVNUTUNBUQ
      EQUHUNBUSEQRUIUQCPZVQVTVGWCVOVSVPWCVNVHUTVRUQCBESUQCUSEQUIUJTUSDPZVTVLVGW
      DVSVJVPVKWDVRVIVHUSDCESTUSDBESRTUKUL $.
    $( $j usage 'pocl' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x y z R $.  $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.
    $( Obsolete version of ~ pocl as of 3-Oct-2024.  (Contributed by NM,
       27-Mar-1997.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    poclOLD $p |- ( R Po A -> ( ( B e. A /\ C e. A /\ D e. A ) ->
               ( -. B R B /\ ( ( B R C /\ C R D ) -> B R D ) ) ) ) $=
      ( vx vy vz wcel wbr wa wi cv wceq breq1 imbi2d breq2 anbi2d wal wral r3al
      w3a wpo wn id breq12d notbid anbi1d imbi12d anbi12d imbi1d df-po 19.21bbi
      sylbb 19.21bi com12 vtocl3ga ) BAICAIDAIUBAEUCZBBEJZUDZBCEJZCDEJZKZBDEJZL
      ZKZURFMZVGEJZUDZVGGMZEJZVJHMZEJZKZVGVLEJZLZKZLURUTBVJEJZVMKZBVLEJZLZKZLUR
      UTVACVLEJZKZVTLZKZLURVFLFGHBCDAAAVGBNZVQWBURWGVIUTVPWAWGVHUSWGVGBVGBEWGUE
      ZWHUFUGWGVNVSVOVTWGVKVRVMVGBVJEOUHVGBVLEOUIUJPVJCNZWBWFURWIWAWEUTWIVSWDVT
      WIVRVAVMWCVJCBEQVJCVLEOUJUKRPVLDNZWFVFURWJWEVEUTWJWDVCVTVDWJWCVBVAVLDCEQR
      VLDBEQUIRPURVGAIVJAIVLAIUBZVQURWKVQLZHURWLHSZFGURVQHATGATFATWMGSFSFGHAEUL
      VQFGHAAAUAUNUMUOUPUQUP $.
  $}

  ${
    $d x y z A $.  $d x y z R $.  $d x y z ph $.
    ispod.1 $e |- ( ( ph /\ x e. A ) -> -. x R x ) $.
    ispod.2 $e |- ( ( ph /\ ( x e. A /\ y e. A /\ z e. A ) ) ->
                    ( ( x R y /\ y R z ) -> x R z ) ) $.
    $( Sufficient conditions for a partial order.  (Contributed by NM,
       9-Jul-2014.) $)
    ispod $p |- ( ph -> R Po A ) $=
      ( cv wbr wn wa wi wral wpo wcel w3a 3ad2antr1 jca ralrimivvva sylibr
      df-po ) ABIZUCFJKZUCCIZFJUEDIZFJLUCUFFJMZLZDENCENBENEFOAUHBCDEEEAUCEPZUEE
      PZUFEPZQLUDUGAUJUIUDUKGRHSTBCDEFUBUA $.
  $}

  ${
    $d x y z A $.  $d x y z ph $.  $d x y z R $.  $d x y z X $.  $d y z Y $.
    $d z Z $.
    swopolem.1 $e |- ( ( ph /\ ( x e. A /\ y e. A /\ z e. A ) ) ->
                    ( x R y -> ( x R z \/ z R y ) ) ) $.
    $( Perform the substitutions into the strict weak ordering law.
       (Contributed by Mario Carneiro, 31-Dec-2014.) $)
    swopolem $p |- ( ( ph /\ ( X e. A /\ Y e. A /\ Z e. A ) ) ->
                    ( X R Y -> ( X R Z \/ Z R Y ) ) ) $=
      ( cv wbr wo wi wral wcel wceq breq1 imbi12d breq2 w3a ralrimivvva orbi12d
      orbi1d orbi2d imbi2d rspc3v mpan9 ) ABKZCKZFLZUIDKZFLZULUJFLZMZNZDEOCEOBE
      OGEPHEPIEPUAGHFLZGIFLZIHFLZMZNZAUPBCDEEEJUBUPVAGUJFLZGULFLZUNMZNUQVCULHFL
      ZMZNBCDGHIEEEUIGQZUKVBUOVDUIGUJFRVGUMVCUNUIGULFRUDSUJHQZVBUQVDVFUJHGFTVHU
      NVEVCUJHULFTUESULIQZVFUTUQVIVCURVEUSULIGFTULIHFRUCUFUGUH $.
  $}

  ${
    $d x y z A $.  $d x y z R $.  $d x y z ph $.
    swopo.1 $e |- ( ( ph /\ ( y e. A /\ z e. A ) ) ->
                    ( y R z -> -. z R y ) ) $.
    swopo.2 $e |- ( ( ph /\ ( x e. A /\ y e. A /\ z e. A ) ) ->
                    ( x R y -> ( x R z \/ z R y ) ) ) $.
    $( A strict weak order is a partial order.  (Contributed by Mario Carneiro,
       9-Jul-2014.) $)
    swopo $p |- ( ph -> R Po A ) $=
      ( cv wcel wa wbr wn wi wral weq breq1 breq2 notbid imbi12d ralrimivva w3a
      id ancli rspc2va syl2anr pm2.01d 3adantr1 wo imp orcomd ord expimpd ispod
      sylan2d ) ABCDEFABIZEJZKUPUPFLZUQUQUQKCIZDIZFLZUTUSFLZMZNZDEOCEOURURMZNZA
      UQUQUQUCUDAVDCDEEGUAVDVFUPUTFLZUTUPFLZMZNCDUPUPEECBPZVAVGVCVIUSUPUTFQVJVB
      VHUSUPUTFRSTDBPZVGURVIVEUTUPUPFRVKVHURUTUPUPFQSTUEUFUGAUQUSEJZUTEJZUBKZVA
      VCUPUSFLZVGAVLVMVDUQGUHVNVOVCVGVNVOKZVBVGVPVGVBVNVOVGVBUIHUJUKULUMUOUN $.
  $}

  $( A partial order is irreflexive.  (Contributed by NM, 27-Mar-1997.) $)
  poirr $p |- ( ( R Po A /\ B e. A ) -> -. B R B ) $=
    ( wcel wpo w3a wbr wn wa df-3an anabs1 anidm 3bitrri wi pocl simpld sylan2b
    imp ) BADZACEZSSSFZBBCGZHZUASSIZSIUDSSSSJSSKSLMTUAIUCUBUBIUBNZTUAUCUEIABBBC
    ORPQ $.

  $( A partial order is a transitive relation.  (Contributed by NM,
     27-Mar-1997.) $)
  potr $p |- ( ( R Po A /\ ( B e. A /\ C e. A /\ D e. A ) ) ->
             ( ( B R C /\ C R D ) -> B R D ) ) $=
    ( wpo wcel w3a wa wbr wn wi pocl imp simprd ) AEFZBAGCAGDAGHZIBBEJKZBCEJCDE
    JIBDEJLZPQRSIABCDEMNO $.

  $( A partial order has no 2-cycle loops.  (Contributed by NM,
     27-Mar-1997.) $)
  po2nr $p |- ( ( R Po A /\ ( B e. A /\ C e. A ) ) ->
              -. ( B R C /\ C R B ) ) $=
    ( wpo wcel wa wbr wn poirr adantrr wi potr 3exp2 com34 pm2.43d imp32 mtod )
    ADEZBAFZCAFZGGBCDHCBDHGZBBDHZSTUCIUAABDJKSTUAUBUCLZSTUAUDLSTUATUDSTUATUDABC
    BDMNOPQR $.

  $( A partial order has no 3-cycle loops.  (Contributed by NM,
     27-Mar-1997.) $)
  po3nr $p |- ( ( R Po A /\ ( B e. A /\ C e. A /\ D e. A ) ) ->
             -. ( B R C /\ C R D /\ D R B ) ) $=
    ( wpo wcel w3a wa wbr wn po2nr 3adantr2 df-3an potr anim1d syl5bi mtod ) AE
    FZBAGZCAGZDAGZHIZBCEJZCDEJZDBEJZHZBDEJZUFIZSTUBUIKUAABDELMUGUDUEIZUFIUCUIUD
    UEUFNUCUJUHUFABCDEOPQR $.

  $( Two sets related by a partial order are not equal.  (Contributed by AV,
     13-Mar-2023.) $)
  po2ne $p |- ( ( R Po V /\ ( A e. V /\ B e. V ) /\ A R B ) -> A =/= B ) $=
    ( wpo wcel wa wbr w3a wne wi breq1 wn poirr adantrl pm2.21d ex com13 syl6bi
    wceq com24 3impd ax-1 pm2.61ine ) DCEZADFZBDFZGZABCHZIZABJZKABABTZUEUHUIUKU
    LUIUHUEUKULUIBBCHZUHUEUKKKABBCLUEUHUMUKUEUHUMUKKUEUHGUMUKUEUGUMMUFDBCNOPQRS
    UAUBUKUJUCUD $.

  ${
    $d x y z R $.
    $( Any relation is a partial order on the empty set.  (Contributed by NM,
       28-Mar-1997.)  (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
    po0 $p |- R Po (/) $=
      ( vx vy vz c0 wpo cv wbr wn wa wi wral ral0 df-po mpbir ) EAFBGZPAHIPCGZA
      HQDGZAHJPRAHKJDELCELZBELSBMBCDEANO $.
  $}

  ${
    $d R v w x y z $.  $d S v w z $.  $d X v w y z $.  $d Y x z $.
    $d A v w x z $.  $d B v w x z $.
    pofun.1 $e |- S = { <. x , y >. | X R Y } $.
    pofun.2 $e |- ( x = y -> X = Y ) $.
    $( The inverse image of a partial order is a partial order.  (Contributed
       by Jeff Madsen, 18-Jun-2011.) $)
    pofun $p |- ( ( R Po B /\ A. x e. A X e. B ) -> S Po A ) $=
      ( vv vw vz wcel wa cv wbr csb weq cop wpo wn nfcsb1v nfel1 csbeq1a eleq1d
      wral rspc impcom poirr copab df-br eleq2i nfcv nfbr nfv vex breq1d csbeq1
      csbie eqtr3id breq2d opelopabf 3bitri sylnibr sylan2 anassrs w3a wi com12
      3anim123d imp adantll potr anbi12i 3imtr4g adantlr syldan ispod ) DEUAZGD
      NZACUGZOZKLMCFVTWBKPZCNZWDWDFQZUBZWBWEOVTAWDGRZDNZWGWEWBWIWAWIAWDCAWHDAWD
      GUCZUDAKSZGWHDAWDGUEZUFUHZUIVTWIOWHWHEQZWFDWHEUJWFWDWDTZFNWOGHEQZABUKZNWN
      WDWDFULFWQWOIUMWPWHHEQZWNABWDWDAWHHEWJAEUNZAHUNZUOZWNBUPKUQZXBWKGWHHEWLUR
      ZBKSZHWHWHEXDHABPZGRZWHAXEGHBUQJUTZAXEWDGUSVAVBVCVDVEVFVGWCWELPZCNZMPZCNZ
      VHZWIAXHGRZDNZAXJGRZDNZVHZWDXHFQZXHXJFQZOZWDXJFQZVIZWBXLXQVTWBXLXQWBWEWIX
      IXNXKXPWEWBWIWMVJXIWBXNWAXNAXHCAXMDAXHGUCZUDALSZGXMDAXHGUEZUFUHVJXKWBXPWA
      XPAXJCAXODAXJGUCUDAMSGXODAXJGUEUFUHVJVKVLVMVTXQYBWBVTXQOWHXMEQZXMXOEQZOWH
      XOEQZXTYADWHXMXOEVNXRYFXSYGXRWDXHTZFNYIWQNYFWDXHFULFWQYIIUMWPWRYFABWDXHXA
      YFBUPXBLUQZXCBLSZHXMWHEYKHXFXMXGAXEXHGUSVAVBVCVDXSXHXJTZFNYLWQNYGXHXJFULF
      WQYLIUMWPXMHEQYGABXHXJAXMHEYCWSWTUOYGBUPYJMUQZYDGXMHEYEURBMSZHXOXMEYNHXFX
      OXGAXEXJGUSVAZVBVCVDVOYAWDXJTZFNYPWQNYHWDXJFULFWQYPIUMWPWRYHABWDXJXAYHBUP
      XBYMXCYNHXOWHEYOVBVCVDVPVQVRVS $.
  $}

  ${
    $d x y R $.  $d x y A $.
    $( A strict linear order is a strict partial order.  (Contributed by NM,
       28-Mar-1997.) $)
    sopo $p |- ( R Or A -> R Po A ) $=
      ( vx vy wor wpo cv wbr weq w3o wral df-so simplbi ) ABEABFCGZDGZBHCDIONBH
      JDAKCAKCDABLM $.
  $}

  ${
    $d x y R $.  $d x y A $.  $d x y B $.
    $( Subset theorem for the strict ordering predicate.  (Contributed by NM,
       16-Mar-1997.)  (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
    soss $p |- ( A C_ B -> ( R Or B -> R Or A ) ) $=
      ( vx vy wss wpo cv wbr weq w3o wral wa poss ss2ralv anim12d df-so 3imtr4g
      wor ) ABFZBCGZDHZEHZCIDEJUCUBCIKZEBLDBLZMACGZUDEALDALZMBCSACSTUAUFUEUGABC
      NUDDEABOPDEBCQDEACQR $.
  $}

  ${
    $d x y R $.  $d x y S $.  $d x y A $.
    $( Equality theorem for the strict ordering predicate.  (Contributed by NM,
       16-Mar-1997.) $)
    soeq1 $p |- ( R = S -> ( R Or A <-> S Or A ) ) $=
      ( vx vy wceq wpo cv wbr w3o wral wa wor poeq1 breq biidd 2ralbidv anbi12d
      3orbi123d df-so 3bitr4g ) BCFZABGZDHZEHZBIZUDUEFZUEUDBIZJZEAKDAKZLACGZUDU
      ECIZUGUEUDCIZJZEAKDAKZLABMACMUBUCUKUJUOABCNUBUIUNDEAAUBUFULUGUGUHUMUDUEBC
      OUBUGPUEUDBCOSQRDEABTDEACTUA $.
  $}

  $( Equality theorem for the strict ordering predicate.  (Contributed by NM,
     16-Mar-1997.) $)
  soeq2 $p |- ( A = B -> ( R Or A <-> R Or B ) ) $=
    ( wceq wor wss wa wi wb soss anim12i eqss dfbi2 3imtr4i bicomd ) ABDZBCEZAC
    EZABFZBAFZGQRHZRQHZGPQRISUATUBABCJBACJKABLQRMNO $.

  $( A strict order relation is irreflexive.  (Contributed by NM,
     24-Nov-1995.) $)
  sonr $p |- ( ( R Or A /\ B e. A ) -> -. B R B ) $=
    ( wor wpo wcel wbr wn sopo poirr sylan ) ACDACEBAFBBCGHACIABCJK $.

  $( A strict order relation is a transitive relation.  (Contributed by NM,
     21-Jan-1996.) $)
  sotr $p |- ( ( R Or A /\ ( B e. A /\ C e. A /\ D e. A ) ) ->
             ( ( B R C /\ C R D ) -> B R D ) ) $=
    ( wor wpo wcel w3a wbr wa wi sopo potr sylan ) AEFAEGBAHCAHDAHIBCEJCDEJKBDE
    JLAEMABCDENO $.

  ${
    $d x y z A $.  $d x y B $.  $d x y C $.  $d x y z R $.
    $( A strict order relation is linear (satisfies trichotomy).  (Contributed
       by NM, 21-Jan-1996.) $)
    solin $p |- ( ( R Or A /\ ( B e. A /\ C e. A ) ) ->
              ( B R C \/ B = C \/ C R B ) ) $=
      ( vx vy vz wcel wa wbr wceq w3o cv weq breq1 breq2 3orbi123d imbi2d wral
      wi wor eqeq1 eqeq2 df-so equequ1 ralbidv rspw equequ2 syl6 impd simplbiim
      wpo com12 vtocl2ga impcom ) BAHCAHIADUAZBCDJZBCKZCBDJZLZUPEMZFMZDJZEFNZVB
      VADJZLZTUPBVBDJZBVBKZVBBDJZLZTUPUTTEFBCAAVABKZVFVJUPVKVCVGVDVHVEVIVABVBDO
      VABVBUBVABVBDPQRVBCKZVJUTUPVLVGUQVHURVIUSVBCBDPVBCBUCVBCBDOQRUPVAAHZVBAHZ
      IZVFUPADULVFFASZEASZVOVFTEFADUDVQVMVNVFVQVMVPVNVFTVPGMZVBDJZGFNZVBVRDJZLZ
      FASEGAEGNZVFWBFAWCVCVSVDVTVEWAVAVRVBDOEGFUEVAVRVBDPQUFUGVFVAVRDJZWCVRVADJ
      ZLFGAFGNVCWDVDWCVEWEVBVRVADPFGEUHVBVRVADOQUGUIUJUKUMUNUO $.
  $}

  $( A strict order relation has no 2-cycle loops.  (Contributed by NM,
     21-Jan-1996.) $)
  so2nr $p |- ( ( R Or A /\ ( B e. A /\ C e. A ) ) ->
              -. ( B R C /\ C R B ) ) $=
    ( wor wpo wcel wa wbr wn sopo po2nr sylan ) ADEADFBAGCAGHBCDICBDIHJADKABCDL
    M $.

  $( A strict order relation has no 3-cycle loops.  (Contributed by NM,
     21-Jan-1996.) $)
  so3nr $p |- ( ( R Or A /\ ( B e. A /\ C e. A /\ D e. A ) ) ->
             -. ( B R C /\ C R D /\ D R B ) ) $=
    ( wor wpo wcel w3a wbr wn sopo po3nr sylan ) AEFAEGBAHCAHDAHIBCEJCDEJDBEJIK
    AELABCDEMN $.

  $( A strict order relation satisfies strict trichotomy.  (Contributed by NM,
     19-Feb-1996.) $)
  sotric $p |- ( ( R Or A /\ ( B e. A /\ C e. A ) ) ->
              ( B R C <-> -. ( B = C \/ C R B ) ) ) $=
    ( wor wcel wa wceq wo wn wi sonr breq2 notbid syl5ibcom adantrr so2nr imnan
    wbr sylibr con2d jaod w3o solin 3orass sylib ord impbid con2bid ) ADEZBAFZC
    AFZGGZBCHZCBDSZIZBCDSZUMUPUQJZUMUNURUOUJUKUNURKULUJUKGBBDSZJUNURABDLUNUSUQB
    CBDMNOPUMUQUOUMUQUOGJUQUOJKABCDQUQUORTUAUBUMUQUPUMUQUNUOUCUQUPIABCDUDUQUNUO
    UEUFUGUHUI $.

  $( Trichotomy law for strict order relation.  (Contributed by NM,
     9-Apr-1996.)  (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
  sotrieq $p |- ( ( R Or A /\ ( B e. A /\ C e. A ) ) ->
              ( B = C <-> -. ( B R C \/ C R B ) ) ) $=
    ( wor wcel wa wo wceq wn sonr adantrr pm1.2 nsyl breq2 breq1 orbi12d notbid
    wbr sylib syl5ibcom con2d w3o solin 3orass or12 ord impbid con2bid ) ADEZBA
    FZCAFZGGZBCDSZCBDSZHZBCIZUMUPUQJUMUQUPUMBBDSZURHZJUQUPJUMURUSUJUKURJULABDKL
    URMNUQUSUPUQURUNURUOBCBDOBCBDPQRUAUBUMUQUPUMUNUQUOHHZUQUPHUMUNUQUOUCUTABCDU
    DUNUQUOUETUNUQUOUFTUGUHUI $.

  $( Trichotomy law for strict order relation.  (Contributed by NM,
     5-May-1999.) $)
  sotrieq2 $p |- ( ( R Or A /\ ( B e. A /\ C e. A ) ) ->
              ( B = C <-> ( -. B R C /\ -. C R B ) ) ) $=
    ( wor wcel wa wceq wbr wo wn sotrieq ioran bitrdi ) ADEBAFCAFGGBCHBCDIZCBDI
    ZJKOKPKGABCDLOPMN $.

  $( Asymmetry law for strict orderings.  (Contributed by Scott Fenton,
     24-Nov-2021.) $)
  soasym $p |- ( ( R Or A /\ ( X e. A /\ Y e. A ) ) ->
  ( X R Y -> -. Y R X ) ) $=
    ( wor wcel wa wbr wceq wo wn sotric pm2.46 syl6bi ) ABECAFDAFGGCDBHCDIZDCBH
    ZJKPKACDBLOPMN $.

  $( A transitivity relation.  (Read ` B <_ C ` and ` C < D ` implies
     ` B < D ` .)  (Contributed by Mario Carneiro, 10-May-2013.) $)
  sotr2 $p |- ( ( R Or A /\ ( B e. A /\ C e. A /\ D e. A ) ) ->
                ( ( -. C R B /\ C R D ) -> B R D ) ) $=
    ( wor wcel w3a wa wbr wn wceq wo wi sotric ancom2s 3adantr3 con2bid breq1
    wb biimpd a1i sotr expd jaod sylbird impd ) AEFZBAGZCAGZDAGZHIZCBEJZKZCDEJZ
    BDEJZULUNCBLZBCEJZMZUOUPNZULUMUSUHUIUJUMUSKTZUKUHUJUIVAACBEOPQRULUQUTURUQUT
    NULUQUOUPCBDESUAUBULURUOUPABCDEUCUDUEUFUG $.

  ${
    $d x y R $.  $d x y A $.  $d x y ph $.
    issod.1 $e |- ( ph -> R Po A ) $.
    issod.2 $e |- ( ( ph /\ ( x e. A /\ y e. A ) ) ->
                    ( x R y \/ x = y \/ y R x ) ) $.
    $( An irreflexive, transitive, linear relation is a strict ordering.
       (Contributed by NM, 21-Jan-1996.)  (Revised by Mario Carneiro,
       9-Jul-2014.) $)
    issod $p |- ( ph -> R Or A ) $=
      ( wpo cv wbr weq w3o wral wor ralrimivva df-so sylanbrc ) ADEHBIZCIZEJBCK
      SREJLZCDMBDMDENFATBCDDGOBCDEPQ $.
  $}

  ${
    $d x y z R $.  $d x y z A $.
    issoi.1 $e |- ( x e. A -> -. x R x ) $.
    issoi.2 $e |- ( ( x e. A /\ y e. A /\ z e. A ) ->
                  ( ( x R y /\ y R z ) -> x R z ) ) $.
    issoi.3 $e |- ( ( x e. A /\ y e. A ) -> ( x R y \/ x = y \/ y R x ) ) $.
    $( An irreflexive, transitive, linear relation is a strict ordering.
       (Contributed by NM, 21-Jan-1996.)  (Revised by Mario Carneiro,
       9-Jul-2014.) $)
    issoi $p |- R Or A $=
      ( wor wtru cv wcel wbr wn adantl w3a wa wi ispod weq w3o issod mptru ) DE
      IJABDEJABCDEAKZDLZUDUDEMNJFOUEBKZDLZCKZDLPUDUFEMZUFUHEMQUDUHEMRJGOSUEUGQU
      IABTUFUDEMUAJHOUBUC $.
  $}

  ${
    $d x y z R $.  $d x y z A $.
    isso2i.1 $e |- ( ( x e. A /\ y e. A ) ->
                     ( x R y <-> -. ( x = y \/ y R x ) ) ) $.
    isso2i.2 $e |- ( ( x e. A /\ y e. A /\ z e. A ) ->
                     ( ( x R y /\ y R z ) -> x R z ) ) $.
    $( Deduce strict ordering from its properties.  (Contributed by NM,
       29-Jan-1996.)  (Revised by Mario Carneiro, 9-Jul-2014.) $)
    isso2i $p |- R Or A $=
      ( cv wcel wbr wn wa weq wo equid orci wb wi nfv eleq1w anbi2d breq1 breq2
      equequ2 orbi12d notbid bibi12d imbi12d con2bid chvarfv anidms w3o biimprd
      mpbii orrd 3orass sylibr issoi ) ABCDEAHZDIZUSUSEJZKZUTUTLZAAMZVANZVBVDVA
      AOPUTBHZDIZLZABMZVFUSEJZNZUSVFEJZKZQZRVCVEVBQZRZBAVPBSBAMZVHVCVNVOVQVGUTU
      TBADTUAVQVKVEVMVBVQVIVDVJVABAAUDVFUSUSEUBUEVQVLVAVFUSUSEUCUFUGUHVHVLVKFUI
      ZUJUNUKGVHVLVKNVLVIVJULVHVLVKVHVKVMVRUMUOVLVIVJUPUQUR $.
  $}

  ${
    $d x y R $.
    $( Any relation is a strict ordering of the empty set.  (Contributed by NM,
       16-Mar-1997.)  (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
    so0 $p |- R Or (/) $=
      ( vx vy c0 wor wpo cv wbr weq w3o wral po0 ral0 df-so mpbir2an ) DAEDAFBG
      ZCGZAHBCIQPAHJCDKZBDKALRBMBCDANO $.
  $}

  ${
    $d x y z A $.  $d x y z R $.
    $( A totally ordered set has at most one minimal element.  (Contributed by
       Mario Carneiro, 24-Jun-2015.)  (Revised by NM, 16-Jun-2017.) $)
    somo $p |- ( R Or A -> E* x e. A A. y e. A -. y R x ) $=
      ( vz wor cv wbr wn wral wa weq wi wrmo wcel breq1 notbid rspcv wo sylib
      im2anan9 ancomsd imp ioran w3o solin df-3or or32 ord syl5bir syl5 pm2.43d
      exp4b ralrimivv breq2 ralbidv rmo4 sylibr ) CDFZBGZAGZDHZIZBCJZUTEGZDHZIZ
      BCJZKZAELZMZECJACJVDACNUSVKAECCUSVACOZVECOZKZVKUSVNVNVIVJVNVIKVAVEDHZIZVE
      VADHZIZKZUSVNKZVJVNVIVSVNVHVDVSVLVHVPVMVDVRVGVPBVACBALVFVOUTVAVEDPQRVCVRB
      VECBELVBVQUTVEVADPQRUAUBUCVSVOVQSZIVTVJVOVQUDVTWAVJVTVOVJSVQSZWAVJSVTVOVJ
      VQUEWBCVAVEDUFVOVJVQUGTVOVJVQUHTUIUJUKUMULUNVDVHAECVJVCVGBCVJVBVFVAVEUTDU
      OQUPUQUR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Founded and well-ordering relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constant symbols. $)
  $c Fr $.  $( Well-founded predicate symbol (read: "well-founded"). $)
  $c Se $.  $( Set-like predicate symbol (read: "set-like"). $)
  $c We $.  $( Well-ordering predicate symbol (read: "well-orders"). $)

  $( Extend wff notation to include the well-founded predicate.  Read:  " ` R `
     is a well-founded relation on ` A ` ". $)
  wfr $a wff R Fr A $.

  $( Extend wff notation to include the set-like predicate.  Read:  " ` R ` is
     set-like on ` A ` ". $)
  wse $a wff R Se A $.

  $( Extend wff notation to include the well-ordering predicate.  Read:
      " ` R ` well-orders ` A ` ". $)
  wwe $a wff R We A $.

  ${
    $d x y z R $.  $d x y z A $.
    $( Define the well-founded relation predicate.  Definition 6.24(1) of
       [TakeutiZaring] p. 30.  For alternate definitions, see ~ dffr2 and
       ~ dffr3 .  A class is called well-founded when the membership relation
       ` _E ` (see ~ df-eprel ) is well-founded on it, that is, ` A ` is
       well-founded if ` _E Fr A ` (some sources request that the membership
       relation be well-founded on its transitive closure).  (Contributed by
       NM, 3-Apr-1994.) $)
    df-fr $a |- ( R Fr A <-> A. x ( ( x C_ A /\ x =/= (/) ) ->
                                            E. y e. x A. z e. x -. z R y ) ) $.

    $( Define the set-like predicate.  (Contributed by Mario Carneiro,
       19-Nov-2014.) $)
    df-se $a |- ( R Se A <-> A. x e. A { y e. A | y R x } e. _V ) $.
  $}

  $( Define the well-ordering predicate.  For an alternate definition, see
     ~ dfwe2 .  (Contributed by NM, 3-Apr-1994.) $)
  df-we $a |- ( R We A <-> ( R Fr A /\ R Or A ) ) $.

  ${
    $d x y z A $.  $d x y z B $.  $d x y z R $.  $d x y V $.
    $( Property of well-founded relation (one direction of definition).
       (Contributed by NM, 18-Mar-1997.) $)
    fri $p |- ( ( ( B e. C /\ R Fr A ) /\ ( B C_ A /\ B =/= (/) ) ) ->
                E. x e. B A. y e. B -. y R x ) $=
      ( vz wcel wfr wss c0 wne wa cv wbr wn wral wrex wi wal df-fr wceq anbi12d
      sseq1 neeq1 raleq rexeqbi1dv imbi12d spcgv syl5bi imp31 ) DEHZCFIZDCJZDKL
      ZMZBNANFOPZBDQZADRZUMGNZCJZUTKLZMZUQBUTQZAUTRZSZGTULUPUSSZGABCFUAVFVGGDEU
      TDUBZVCUPVEUSVHVAUNVBUOUTDCUDUTDKUEUCVDURAUTDUQBUTDUFUGUHUIUJUK $.

    $( The ` R ` -preimage of an element of the base set in a set-like relation
       is a set.  (Contributed by Mario Carneiro, 19-Nov-2014.) $)
    seex $p |- ( ( R Se A /\ B e. A ) -> { x e. A | x R B } e. _V ) $=
      ( vy wse cv wbr crab cvv wcel wral df-se wceq breq2 rabbidv eleq1d sylanb
      rspccva ) BDFAGZEGZDHZABIZJKZEBLCBKTCDHZABIZJKZEABDMUDUGECBUACNZUCUFJUHUB
      UEABUACTDOPQSR $.

    $( Any relation on a set is set-like on it.  (Contributed by Mario
       Carneiro, 22-Jun-2015.) $)
    exse $p |- ( A e. V -> R Se A ) $=
      ( vy vx wcel cv wbr crab cvv wral wse rabexg ralrimivw df-se sylibr ) ACF
      ZDGEGBHZDAIJFZEAKABLQSEARDACMNEDABOP $.
  $}

  ${
    $d x y z w A $.  $d x y z w R $.
    $( Alternate definition of well-founded relation.  Similar to Definition
       6.21 of [TakeutiZaring] p. 30.  (Contributed by NM, 17-Feb-2004.)
       (Proof shortened by Andrew Salmon, 27-Aug-2011.)  (Proof shortened by
       Mario Carneiro, 23-Jun-2015.)  Avoid ~ ax-10 , ~ ax-11 , ~ ax-12 , but
       use ~ ax-8 .  (Revised by Gino Giotto, 3-Oct-2024.) $)
    dffr2 $p |- ( R Fr A <-> A. x ( ( x C_ A /\ x =/= (/) ) ->
                E. y e. x { z e. x | z R y } = (/) ) ) $=
      ( vw wfr cv wss c0 wne wa wbr wn wral wrex wi wal crab wceq df-fr rabeq0w
      breq1 rexbii imbi2i albii bitr4i ) DEGAHZDIUHJKLZFHZBHZEMZNFUHOZBUHPZQZAR
      UICHZUKEMZCUHSJTZBUHPZQZARABFDEUAUTUOAUSUNUIURUMBUHUQULCFUHUPUJUKEUCUBUDU
      EUFUG $.
    $( $j usage 'dffr2' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x y z A $.  $d x y z R $.
    $( Alternate proof of ~ dffr2 , which avoids ~ ax-8 but requires ~ ax-10 ,
       ~ ax-11 , ~ ax-12 .  (Contributed by NM, 17-Feb-2004.)  (Proof shortened
       by Andrew Salmon, 27-Aug-2011.)  (Proof shortened by Mario Carneiro,
       23-Jun-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    dffr2ALT $p |- ( R Fr A <-> A. x ( ( x C_ A /\ x =/= (/) ) ->
                E. y e. x { z e. x | z R y } = (/) ) ) $=
      ( wfr cv wss c0 wne wa wbr wn wral wrex wi wal crab wceq df-fr rabeq0
      rexbii imbi2i albii bitr4i ) DEFAGZDHUFIJKZCGBGELZMCUFNZBUFOZPZAQUGUHCUFR
      ISZBUFOZPZAQABCDETUNUKAUMUJUGULUIBUFUHCUFUAUBUCUDUE $.
    $( $j usage 'dffr2ALT' avoids 'ax-8'; $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z R $.
    frc.1 $e |- B e. _V $.
    $( Property of well-founded relation (one direction of definition using
       class variables).  (Contributed by NM, 17-Feb-2004.)  (Revised by Mario
       Carneiro, 19-Nov-2014.) $)
    frc $p |- ( ( R Fr A /\ B C_ A /\ B =/= (/) ) ->
                E. x e. B { y e. B | y R x } = (/) ) $=
      ( vz wfr wss c0 wne w3a cv wbr wn wral wrex crab wceq cvv wcel fri mpanl1
      wa 3impb breq1 rabeq0w rexbii sylibr ) CEHZDCIZDJKZLGMZAMZENZOGDPZADQZBMZ
      UNENZBDRJSZADQUJUKULUQDTUAUJUKULUDUQFAGCDTEUBUCUEUTUPADUSUOBGDURUMUNEUFUG
      UHUI $.
    $( $j usage 'frc' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z R $.  $d x y S $.
    $( Subset theorem for the well-founded predicate.  Exercise 1 of
       [TakeutiZaring] p. 31.  (Contributed by NM, 3-Apr-1994.)  (Proof
       shortened by Andrew Salmon, 25-Jul-2011.) $)
    frss $p |- ( A C_ B -> ( R Fr B -> R Fr A ) ) $=
      ( vx vz vy wss cv c0 wne wa wbr wn wral wrex wi wal wfr sstr2 df-fr com12
      anim1d imim1d alimdv 3imtr4g ) ABGZDHZBGZUGIJZKZEHFHCLMEUGNFUGOZPZDQUGAGZ
      UIKZUKPZDQBCRACRUFULUODUFUNUJUKUFUMUHUIUMUFUHUGABSUAUBUCUDDFEBCTDFEACTUE
      $.

    $( Subset theorem for the set-like predicate.  (Contributed by Mario
       Carneiro, 24-Jun-2015.) $)
    sess1 $p |- ( R C_ S -> ( S Se A -> R Se A ) ) $=
      ( vy vx wss cv wbr crab cvv wcel wral wi simpl ssbrd ss2rabdv ssexg df-se
      wse wa ex syl ralimdv 3imtr4g ) BCFZDGZEGZCHZDAIZJKZEALUFUGBHZDAIZJKZEALA
      CSABSUEUJUMEAUEULUIFZUJUMMUEUKUHDAUEUFAKZTBCUFUGUEUONOPUNUJUMULUIJQUAUBUC
      EDACREDABRUD $.

    $( Subset theorem for the set-like predicate.  (Contributed by Mario
       Carneiro, 24-Jun-2015.) $)
    sess2 $p |- ( A C_ B -> ( R Se B -> R Se A ) ) $=
      ( vy vx wss cv wbr crab cvv wcel wral wse ssralv wi rabss2 ssexg ex df-se
      syl ralimdv syld 3imtr4g ) ABFZDGEGCHZDBIZJKZEBLZUEDAIZJKZEALZBCMACMUDUHU
      GEALUKUGEABNUDUGUJEAUDUIUFFZUGUJOUEDABPULUGUJUIUFJQRTUAUBEDBCSEDACSUC $.
  $}

  ${
    $d x y z R $.  $d x y z S $.  $d x y z A $.
    $( Equality theorem for the well-founded predicate.  (Contributed by NM,
       9-Mar-1997.) $)
    freq1 $p |- ( R = S -> ( R Fr A <-> S Fr A ) ) $=
      ( vx vz vy wceq cv wss c0 wne wa wbr wn wral wrex wi wal wfr df-fr notbid
      breq rexralbidv imbi2d albidv 3bitr4g ) BCGZDHZAIUHJKLZEHZFHZBMZNZEUHOFUH
      PZQZDRUIUJUKCMZNZEUHOFUHPZQZDRABSACSUGUOUSDUGUNURUIUGUMUQFEUHUHUGULUPUJUK
      BCUBUAUCUDUEDFEABTDFEACTUF $.
  $}

  $( Equality theorem for the well-founded predicate.  (Contributed by NM,
     3-Apr-1994.) $)
  freq2 $p |- ( A = B -> ( R Fr A <-> R Fr B ) ) $=
    ( wceq wfr wss wi eqimss2 frss syl eqimss impbid ) ABDZACEZBCEZMBAFNOGBAHBA
    CIJMABFONGABKABCIJL $.

  $( Equality theorem for the set-like predicate.  (Contributed by Mario
     Carneiro, 24-Jun-2015.) $)
  seeq1 $p |- ( R = S -> ( R Se A <-> S Se A ) ) $=
    ( wceq wse wss wi eqimss2 sess1 syl eqimss impbid ) BCDZABEZACEZMCBFNOGCBHA
    CBIJMBCFONGBCKABCIJL $.

  $( Equality theorem for the set-like predicate.  (Contributed by Mario
     Carneiro, 24-Jun-2015.) $)
  seeq2 $p |- ( A = B -> ( R Se A <-> R Se B ) ) $=
    ( wceq wse wss wi eqimss2 sess2 syl eqimss impbid ) ABDZACEZBCEZMBAFNOGBAHB
    ACIJMABFONGABKABCIJL $.

  ${
    $d R a b c $.  $d A a b c $.  $d x a b c $.
    nffr.r $e |- F/_ x R $.
    nffr.a $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for well-founded relations.
       (Contributed by Stefan O'Rear, 20-Jan-2015.)  (Revised by Mario
       Carneiro, 14-Oct-2016.) $)
    nffr $p |- F/ x R Fr A $=
      ( va vc vb wfr cv wss c0 wne wa wbr wn wral wrex wi nfcv wal nfss nfv nfn
      df-fr nfan nfbr nfralw nfrex nfim nfal nfxfr ) BCIFJZBKZUMLMZNZGJZHJZCOZP
      ZGUMQZHUMRZSZFUAAFHGBCUEVCAFUPVBAUNUOAAUMBAUMTZEUBUOAUCUFVAAHUMVDUTAGUMVD
      USAAUQURCAUQTDAURTUGUDUHUIUJUKUL $.

    $( Bound-variable hypothesis builder for set-like relations.  (Contributed
       by Mario Carneiro, 24-Jun-2015.)  (Revised by Mario Carneiro,
       14-Oct-2016.) $)
    nfse $p |- F/ x R Se A $=
      ( va vb wse cv wbr crab cvv wcel wral df-se nfcv nfbr nfrabw nfel1 nfralw
      nfxfr ) BCHFIZGIZCJZFBKZLMZGBNAGFBCOUFAGBEAUELUDAFBAUBUCCAUBPDAUCPQERSTUA
      $.

    $( Bound-variable hypothesis builder for well-orderings.  (Contributed by
       Stefan O'Rear, 20-Jan-2015.)  (Revised by Mario Carneiro,
       14-Oct-2016.) $)
    nfwe $p |- F/ x R We A $=
      ( wwe wfr wor wa df-we nffr nfso nfan nfxfr ) BCFBCGZBCHZIABCJOPAABCDEKAB
      CDELMN $.
  $}

  ${
    $d x y A $.  $d x y z B $.  $d x y z R $.
    $( A well-founded relation is irreflexive.  Special case of Proposition
       6.23 of [TakeutiZaring] p. 30.  (Contributed by NM, 2-Jan-1994.)
       (Revised by Mario Carneiro, 22-Jun-2015.) $)
    frirr $p |- ( ( R Fr A /\ B e. A ) -> -. B R B ) $=
      ( vx vy vz wfr wcel wa cv wbr csn crab c0 wceq adantl wral breq1 notbid
      wn wrex wss wne simpl snssi snnzg snex frc syl3anc rabeq0w ralbidv syl5bb
      wb breq2 rexsng ralsng bitrd mpbid ) ACGZBAHZIZDJZEJZCKZDBLZMNOZEVEUAZBBC
      KZTZVAUSVEAUBZVENUCZVGUSUTUDUTVJUSBAUEPUTVKUSBAUFPEDAVECBUGUHUIUTVGVIUMUS
      UTVGFJZBCKZTZFVEQZVIVFVOEBAVFVLVCCKZTZFVEQVCBOZVOVDVPDFVEVBVLVCCRUJVRVQVN
      FVEVRVPVMVCBVLCUNSUKULUOVNVIFBAVLBOVMVHVLBBCRSUPUQPUR $.
    $( $j usage 'frirr' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y R $.
    $( A well-founded relation has no 2-cycle loops.  Special case of
       Proposition 6.23 of [TakeutiZaring] p. 30.  (Contributed by NM,
       30-May-1994.)  (Revised by Mario Carneiro, 22-Jun-2015.) $)
    fr2nr $p |- ( ( R Fr A /\ ( B e. A /\ C e. A ) ) ->
                -. ( B R C /\ C R B ) ) $=
      ( vx vy wcel wa wbr wn wo cv wral cvv adantl ad2antrl wceq notbid ralbidv
      breq2 wfr cpr wrex wss wne prex a1i simpl prssi prnzg fri syl22anc rexprg
      c0 wb mpbid wi prid2g ad2antll breq1 syl prid1g orim12d mpd orcomd sylibr
      rspcv ianor ) ADUAZBAGZCAGZHZHZBCDIZJZCBDIZJZKVNVPHJVMVQVOVMELZBDIZJZEBCU
      BZMZVRCDIZJZEWAMZKZVQVOKVMVRFLZDIZJZEWAMZFWAUCZWFVMWANGZVIWAAUDZWAUNUEZWK
      WLVMBCUFUGVIVLUHVLWMVIBCAUIOVJWNVIVKBCAUJPFEAWANDUKULVLWKWFUOVIWJWBWEFBCA
      AWGBQZWIVTEWAWOWHVSWGBVRDTRSWGCQZWIWDEWAWPWHWCWGCVRDTRSUMOUPVMWBVQWEVOVMC
      WAGZWBVQUQVKWQVIVJBCAURUSVTVQECWAVRCQVSVPVRCBDUTRVGVAVMBWAGZWEVOUQVJWRVIV
      KBCAVBPWDVOEBWAVRBQWCVNVRBCDUTRVGVAVCVDVEVNVPVHVF $.
  $}

  ${
    $d x y z R $.
    $( Any relation is well-founded on the empty set.  (Contributed by NM,
       17-Sep-1993.) $)
    fr0 $p |- R Fr (/) $=
      ( vx vz vy c0 wfr cv wss wne wa wbr crab wceq wrex dffr2 ss0 a1d necon1ad
      wi wn imp mpgbir ) EAFBGZEHZUCEIZJCGDGAKCUCLEMDUCNZSBBDCEAOUDUEUFUDUFUCEU
      DUCEMUFTUCPQRUAUB $.
  $}

  ${
    $d A x y z $.  $d R x y z $.  $d ph y z $.  $d ps x z $.
    frminex.1 $e |- A e. _V $.
    frminex.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( If an element of a well-founded set satisfies a property ` ph ` , then
       there is a minimal element that satisfies ` ph ` .  (Contributed by Jeff
       Madsen, 18-Jun-2010.)  (Proof shortened by Mario Carneiro,
       18-Nov-2016.) $)
    frminex $p |- ( R Fr A -> ( E. x e. A ph ->
                      E. x e. A ( ph /\ A. y e. A ( ps -> -. y R x ) ) ) ) $=
      ( vz wrex crab c0 wne cv wbr wn wi wral wa cvv wfr rabn0 wss rabex ssrab2
      wcel fri ralrab rexbii weq breq2 notbid imbi2d ralbidv rexrab2 bitri an4s
      sylib mpanl12 ex syl5bir ) ACEJACEKZLMZEFUAZABDNZCNZFOZPZQZDERZSCEJZACEUB
      VDVCVKVBTUFZVBEUCZVDVCSVKACEGUDACEUEVLVDVMVCVKVLVDSVMVCSSVEINZFOZPZDVBRZI
      VBJZVKIDEVBTFUGVRBVPQZDERZIVBJVKVQVTIVBABVPDCEHUHUIAVTVJICEICUJZVSVIDEWAV
      PVHBWAVOVGVNVFVEFUKULUMUNUOUPURUQUSUTVA $.
  $}

  $( A well-founded class does not belong to itself.  (Contributed by NM,
     18-Apr-1994.)  (Revised by Mario Carneiro, 22-Jun-2015.) $)
  efrirr $p |- ( _E Fr A -> -. A e. A ) $=
    ( cep wfr wcel wa wbr frirr wb epelg adantl mtbid pm2.01da ) ABCZAADZMNEAAB
    FZNAABGNONHMAAAIJKL $.

  $( A well-founded class contains no 2-cycle loops.  (Contributed by NM,
     19-Apr-1994.) $)
  efrn2lp $p |- ( ( _E Fr A /\ ( B e. A /\ C e. A ) ) ->
                -. ( B e. C /\ C e. B ) ) $=
    ( cep wfr wcel wa wbr fr2nr wb epelg bi2anan9r adantl mtbid ) ADEZBAFZCAFZG
    ZGBCDHZCBDHZGZBCFZCBFZGZABCDIRUAUDJOQSUBPTUCBCAKCBAKLMN $.

  ${
    $d x y A $.
    $( The membership relation is set-like on any class.  (This is the origin
       of the term "set-like": a set-like relation "acts like" the membership
       relation of sets and their elements.)  (Contributed by Mario Carneiro,
       22-Jun-2015.) $)
    epse $p |- _E Se A $=
      ( vy vx cep wse cv wbr crab cvv wcel wral cab epel bicomi abbi2i eqeltrri
      vex rabssab ssexi rgenw df-se mpbir ) ADEBFZCFZDGZBAHZIJZCAKUGCAUFUEBLZUD
      UHIUEBUDUEUCUDJCUCMNOCQPUEBARSTCBADUAUB $.
  $}

  $( Similar to Theorem 7.2 of [TakeutiZaring] p. 35, except that the Axiom of
     Regularity is not required due to the antecedent ` _E Fr A ` .
     (Contributed by NM, 4-May-1994.) $)
  tz7.2 $p |- ( ( Tr A /\ _E Fr A /\ B e. A ) -> ( B C_ A /\ B =/= A ) ) $=
    ( wtr cep wfr wcel wss wne wa trss wn wceq efrirr eleq1 syl5ibrcom necon2ad
    notbid anim12ii 3impia ) ACZADEZBAFZBAGZBAHZITUBUCUAUDABJUAUBBAUAUBKBALZAAF
    ZKAMUEUBUFBAANQOPRS $.
  $( $j usage 'tz7.2' avoids 'ax-reg'; $)

  ${
    $d x y z A $.
    $( An alternate way of saying that the membership relation is well-founded.
       (Contributed by NM, 17-Feb-2004.)  (Revised by Mario Carneiro,
       23-Jun-2015.) $)
    dfepfr $p |- ( _E Fr A <-> A. x ( ( x C_ A /\ x =/= (/) ) ->
                  E. y e. x ( x i^i y ) = (/) ) ) $=
      ( vz cep wfr cv wss c0 wne wa wbr crab wceq wrex wi wal cin dffr2 wel
      epel rabbii dfin5 eqtr4i eqeq1i rexbii imbi2i albii bitri ) CEFAGZCHUJIJK
      ZDGZBGZELZDUJMZINZBUJOZPZAQUKUJUMRZINZBUJOZPZAQABDCESURVBAUQVAUKUPUTBUJUO
      USIUODBTZDUJMUSUNVCDUJBULUAUBDUJUMUCUDUEUFUGUHUI $.
  $}

  ${
    $d x y A $.  $d x y B $.
    epfrc.1 $e |- B e. _V $.
    $( A subset of a well-founded class has a minimal element.  (Contributed by
       NM, 17-Feb-2004.)  (Revised by David Abernethy, 22-Feb-2011.) $)
    epfrc $p |- ( ( _E Fr A /\ B C_ A /\ B =/= (/) ) ->
                  E. x e. B ( B i^i x ) = (/) ) $=
      ( vy cep wfr wss c0 wne w3a cv wbr crab wceq wrex cin frc wel dfin5 epel
      rabbii eqtr4i eqeq1i rexbii sylibr ) BFGCBHCIJKELZALZFMZECNZIOZACPCUHQZIO
      ZACPAEBCFDRUMUKACULUJIULEASZECNUJECUHTUIUNECAUGUAUBUCUDUEUF $.
  $}

  $( Subset theorem for the well-ordering predicate.  Exercise 4 of
     [TakeutiZaring] p. 31.  (Contributed by NM, 19-Apr-1994.) $)
  wess $p |- ( A C_ B -> ( R We B -> R We A ) ) $=
    ( wss wfr wor wa wwe frss soss anim12d df-we 3imtr4g ) ABDZBCEZBCFZGACEZACF
    ZGBCHACHNOQPRABCIABCJKBCLACLM $.

  $( Equality theorem for the well-ordering predicate.  (Contributed by NM,
     9-Mar-1997.) $)
  weeq1 $p |- ( R = S -> ( R We A <-> S We A ) ) $=
    ( wceq wfr wor wa wwe freq1 soeq1 anbi12d df-we 3bitr4g ) BCDZABEZABFZGACEZ
    ACFZGABHACHNOQPRABCIABCJKABLACLM $.

  $( Equality theorem for the well-ordering predicate.  (Contributed by NM,
     3-Apr-1994.) $)
  weeq2 $p |- ( A = B -> ( R We A <-> R We B ) ) $=
    ( wceq wfr wor wa wwe freq2 soeq2 anbi12d df-we 3bitr4g ) ABDZACEZACFZGBCEZ
    BCFZGACHBCHNOQPRABCIABCJKACLBCLM $.

  $( A well-ordering is well-founded.  (Contributed by NM, 22-Apr-1994.) $)
  wefr $p |- ( R We A -> R Fr A ) $=
    ( wwe wfr wor df-we simplbi ) ABCABDABEABFG $.

  $( A well-ordering is a strict ordering.  (Contributed by NM,
     16-Mar-1997.) $)
  weso $p |- ( R We A -> R Or A ) $=
    ( wwe wfr wor df-we simprbi ) ABCABDABEABFG $.

  $( The elements of a class well-ordered by membership are comparable.
     (Contributed by NM, 17-May-1994.) $)
  wecmpep $p |- ( ( _E We A /\ ( x e. A /\ y e. A ) ) ->
                 ( x e. y \/ x = y \/ y e. x ) ) $=
    ( cep wwe wor cv wcel wa weq w3o weso solin epel biid 3orbi123i sylib sylan
    wbr ) CDECDFZAGZCHBGZCHIZUAUBHZABJZUBUAHZKZCDLTUCIUAUBDSZUEUBUADSZKUGCUAUBD
    MUHUDUEUEUIUFBUANUEOAUBNPQR $.

  $( On a class well-ordered by membership, the membership predicate is
     transitive.  (Contributed by NM, 22-Apr-1994.) $)
  wetrep $p |- ( ( _E We A /\ ( x e. A /\ y e. A /\ z e. A ) ) ->
             ( ( x e. y /\ y e. z ) -> x e. z ) ) $=
    ( cep wwe cv wcel w3a wa wbr wel wor weso sotr sylan epel anbi12i 3imtr3g
    wi ) DEFZAGZDHBGZDHCGZDHIZJUBUCEKZUCUDEKZJZUBUDEKZABLZBCLZJACLUADEMUEUHUITD
    ENDUBUCUDEOPUFUJUGUKBUBQCUCQRCUBQS $.

  ${
    $d y z A $.  $d x y z B $.
    $( A nonempty subclass of a class well-ordered by membership has a minimal
       element.  Special case of Proposition 6.26 of [TakeutiZaring] p. 31.
       (Contributed by NM, 17-Feb-2004.) $)
    wefrc $p |- ( ( _E We A /\ B C_ A /\ B =/= (/) ) ->
               E. x e. B ( B i^i x ) = (/) ) $=
      ( vy vz cep wwe wss c0 wne cv cin wceq wrex wi wcel wa eqeq1d ex wel wess
      wex ineq2 rspcev adantl inss1 wfr wefr vex inex2 epfrc syl3an1 3exp rexin
      n0 mpi syl6ib adantr wral elin w3a df-3an 3anrot bitr3i wetrep expd exp44
      sylan2b imp com34 impd syl5bi imp4a com23 ralrimdv dfss3 dfss in32 eqeq2i
      syl6ibr sylbb biimprd syl6 reximdvai syld pm2.61dne exlimdv syl6com 3imp
      ) BFGZCBHZCIJZCAKZLZIMZACNZWKWJCFGZWLWPOCBFUAWLDKZCPZDUBWQWPDCUOWQWSWPDWQ
      WSWPWQWSQZWPCWRLZIWSXAIMZWPOWQWSXBWPWOXBAWRCWMWRMWNXAIWMWRCUCRUDSUEWTXAIJ
      ZADTZXAWMLZIMZQZACNZWPWQXCXHOWSWQXCXFAXANZXHWQXACHZXCXIOCWRUFWQXJXCXIWQCF
      UGXJXCXICFUHACXAWRCDUIUJUKULUMUPXFACWRUNUQURWTXGWOACWTWMCPZXDXFWOWTXKXDXF
      WOOZWTXKXDQZWNWRHZXLWTXMEDTZEWNUSXNWTXMXOEWNWTEKZWNPZXMXOWTXQXKXDXOXQXPCP
      ZEATZQWTXKXDXOOZOZXPCWMUTWTXRXSYAWTXRXKXSXTWQWSXRXKXSXTOZOOWQWSXRXKYBWSXR
      QXKQZWQXRXKWSVAZYBYCWSXRXKVAYDWSXRXKVBWSXRXKVCVDWQYDQXSXDXOEADCVEVFVHVGVI
      VJVKVLVMVNVOEWNWRVPVTXNWOXFXNWNXEIXNWNWNWRLZMWNXEMWNWRVQYEXEWNCWMWRVRVSWA
      RWBWCVFVMWDWEWFSWGVLWHWI $.
  $}

  $( Any relation is a well-ordering of the empty set.  (Contributed by NM,
     16-Mar-1997.) $)
  we0 $p |- R We (/) $=
    ( c0 wwe wfr wor fr0 so0 df-we mpbir2an ) BACBADBAEAFAGBAHI $.

  ${
    $d x y z A $.  $d w x y z B $.  $d w x y z R $.
    $( A subset of a well-ordered set has a unique minimal element.
       (Contributed by NM, 18-Mar-1997.)  (Revised by Mario Carneiro,
       28-Apr-2015.) $)
    wereu $p |- ( ( R We A /\ ( B e. V /\ B C_ A /\ B =/= (/) ) ) ->
                E! x e. B A. y e. B -. y R x ) $=
      ( wwe wcel wss c0 wne w3a wa cv wbr wn wral wrex wi wor wrmo wreu wfr fri
      wefr exp32 expcom 3imp2 sylan weso soss mpan9 somo syl 3ad2antr2 sylanbrc
      reu5 ) CEGZDFHZDCIZDJKZLZMBNANEOPBDQZADRZVCADUAZVCADUBURCEUCZVBVDCEUEVFUS
      UTVAVDUSVFUTVAVDSSUSVFMUTVAVDABCDFEUDUFUGUHUIURUSUTVEVAURUTMDETZVEURCETUT
      VGCEUJDCEUKULABDEUMUNUOVCADUQUP $.

    $( All nonempty subclasses of a class having a well-ordered and set-like
       relation have a minimal element for that relation.  Proposition 6.26 of
       [TakeutiZaring] p. 31.  (Contributed by Scott Fenton, 29-Jan-2011.)
       (Revised by Mario Carneiro, 24-Jun-2015.) $)
    wereu2 $p |- ( ( ( R We A /\ R Se A ) /\ ( B C_ A /\ B =/= (/) ) ) ->
                E! x e. B A. y e. B -. y R x ) $=
      ( vz vw wa c0 cv wbr wn wral wrex wcel wi breq1 syl5bi sylc ad2antrr wrmo
      wwe wse wss wne wreu wex n0 crab rabeq0 weq notbid cbvralvw breq2 ralbidv
      wceq syl5bb rspcev ex ad2antll cvv wfr simprl simplr sess2 simprr syl2anc
      seex wefr ssrab2 sstrid fri expr syl21anc rexrab wor weso soss simpr sotr
      ralrab syl13anc ancomsd expdimp an32s con3d idd ralimdva expimpd reximdva
      jad syld pm2.61dne exlimdv impr somo syl reu5 sylanbrc ) CEUBZCEUCZHZDCUD
      ZDIUEZHZHZBJZAJZEKZLZBDMZADNZXKADUAZXKADUFXBXCXDXLXDFJZDOZFUGXBXCHZXLFDUH
      XPXOXLFXBXCXOXLXBXCXOHZHZXLGJZXNEKZGDUIZIYAIUPXTLZGDMZXRXLXTGDUJXOYCXLPXB
      XCXOYCXLXKYCAXNDXKXSXHEKZLZGDMAFUKZYCXJYEBGDBGUKXIYDXGXSXHEQULUMYFYEYBGDY
      FYDXTXHXNXSEUNULUOUQURUSUTRXRYAIUEZXJBYAMZAYANZXLXRYAVAOZCEVBZYACUDZYGYIP
      XRDEUCZXOYJXRXCXAYMXBXCXOVCZWTXAXQVDDCEVESXBXCXOVFZGDXNEVHVGWTYKXAXQCEVIT
      XRYADCXTGDVJYNVKYJYKHYLYGYIABCYAVAEVLVMVNYIXHXNEKZYHHZADNXRXLXTYPYHAGDXSX
      HXNEQVOXRYQXKADXRXHDOZHZYPYHXKYHXGXNEKZXJPZBDMYSYPHZXKXTYTXJBGDXSXGXNEQWA
      UUBUUAXJBDUUBXGDOZHZYTXJXJUUDXIYTYSUUCYPXIYTPYSUUCHZYPXIYTUUEXIYPYTUUEDEV
      PZUUCYRXOXIYPHYTPXRUUFYRUUCXRXCCEVPZUUFYNWTUUGXAXQCEVQZTDCEVRZSTYSUUCVSXR
      YRUUCVDXRXOYRUUCYOTDXGXHXNEVTWBWCWDWEWFUUDXJWGWKWHRWIWJRWLWMVMWNRWOXFUUFX
      MXFXCUUGUUFXBXCXDVCWTUUGXAXEUUHTUUISABDEWPWQXKADWRWS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c X. $.  $( Times symbol (Cartesian product symbol) $)
  $c `' $.  $( Small elevated smiley (converse operation) $)
  $c dom $.  $( Domain $)
  $c ran $.  $( Range $)
  $c |` $.  $( Right hook (restriction symbol) $)
  $c " $.  $( Left quote (image symbol) $)
  $c o. $.  $( Small circle (composition symbol) $)
  $c Rel $.  $( Relation predicate $)

  $( Extend the definition of a class to include the Cartesian product. $)
  cxp $a class ( A X. B ) $.

  $( Extend the definition of a class to include the converse of a class. $)
  ccnv $a class `' A $.

  $( Extend the definition of a class to include the domain of a class. $)
  cdm $a class dom A $.

  $( Extend the definition of a class to include the range of a class. $)
  crn $a class ran A $.

  $( Extend the definition of a class to include the restriction of a class.
     Read:  "the restriction of ` A ` to ` B ` ". $)
  cres $a class ( A |` B ) $.

  $( Extend the definition of a class to include the image of a class.  Read:
     "the image of ` B ` under ` A ` ". $)
  cima $a class ( A " B ) $.

  $( Extend the definition of a class to include the composition of two
     classes.  (Read:  The composition of ` A ` and ` B ` .) $)
  ccom $a class ( A o. B ) $.

  $( Extend the definition of a wff to include the relation predicate.  Read:
      " ` A ` is a relation". $)
  wrel $a wff Rel A $.

  ${
    $d x y z A $.  $d x y z B $.
    $( Define the Cartesian product of two classes.  This is also sometimes
       called the "cross product" but that term also has other meanings; we
       intentionally choose a less ambiguous term.  Definition 9.11 of [Quine]
       p. 64.  For example, ` ( { 1 , 5 } X. { 2 , 7 } ) = `
       ` ( { <. 1 , 2 >. , <. 1 , 7 >. } u. { <. 5 , 2 >. , <. 5 , 7 >. } ) `
       ( ~ ex-xp ).  Another example is that the set of rational numbers is
       defined in ~ df-q using the Cartesian product ` ( ZZ X. NN ) ` ; the
       left- and right-hand sides of the Cartesian product represent the top
       (integer) and bottom (natural) numbers of a fraction.  (Contributed by
       NM, 4-Jul-1994.) $)
    df-xp $a |- ( A X. B ) = { <. x , y >. | ( x e. A /\ y e. B ) } $.

    $( Define the relation predicate.  Definition 6.4(1) of [TakeutiZaring]
       p. 23.  For alternate definitions, see ~ dfrel2 and ~ dfrel3 .
       (Contributed by NM, 1-Aug-1994.) $)
    df-rel $a |- ( Rel A <-> A C_ ( _V X. _V ) ) $.

    $( Define the converse of a class.  Definition 9.12 of [Quine] p. 64.  The
       converse of a binary relation swaps its arguments, i.e., if ` A e. _V `
       and ` B e. _V ` then ` ( A ``' R B <-> B R A ) ` , as proven in ~ brcnv
       (see ~ df-br and ~ df-rel for more on relations).  For example,
       ` ``' { <. 2 , 6 >. , <. 3 , 9 >. } = { <. 6 , 2 >. , <. 9 , 3 >. } `
       ( ~ ex-cnv ).

       We use Quine's breve accent (smile) notation.  Like Quine, we use it as
       a prefix, which eliminates the need for parentheses.  "Converse" is
       Quine's terminology.  Some authors use a "minus one" exponent and call
       it "inverse", especially when the argument is a function, although this
       is not in general a genuine inverse.  (Contributed by NM,
       4-Jul-1994.) $)
    df-cnv $a |- `' A = { <. x , y >. | y A x } $.

    $( Define the composition of two classes.  Definition 6.6(3) of
       [TakeutiZaring] p. 24.  For example, ` ( ( exp o. cos ) `` 0 ) = _e `
       ( ~ ex-co ) because ` ( cos `` 0 ) = 1 ` (see ~ cos0 ) and
       ` ( exp `` 1 ) = _e ` (see ~ df-e ).  Note that Definition 7 of [Suppes]
       p. 63 reverses ` A ` and ` B ` , uses ` /. ` instead of ` o. ` , and
       calls the operation "relative product".  (Contributed by NM,
       4-Jul-1994.) $)
    df-co $a |- ( A o. B ) = { <. x , y >. | E. z ( x B z /\ z A y ) } $.

    $( Define the domain of a class.  Definition 3 of [Suppes] p. 59.  For
       example, ` F = { <. 2 , 6 >. , <. 3 , 9 >. } -> dom F = { 2 , 3 } `
       ( ~ ex-dm ).  Another example is the domain of the complex arctangent,
       ` ( A e. dom arctan <-> ( A e. CC /\ A =/= -u _i /\ A =/= _i ) ) ` (for
       proof see ~ atandm ).  Contrast with range (defined in ~ df-rn ).  For
       alternate definitions see ~ dfdm2 , ~ dfdm3 , and ~ dfdm4 .  The
       notation " ` dom ` " is used by Enderton; other authors sometimes use
       script D. (Contributed by NM, 1-Aug-1994.) $)
    df-dm $a |- dom A = { x | E. y x A y } $.

    $( Define the range of a class.  For example,
       ` F = { <. 2 , 6 >. , <. 3 , 9 >. } -> ran F = { 6 , 9 } ` ( ~ ex-rn ).
       Contrast with domain (defined in ~ df-dm ).  For alternate definitions,
       see ~ dfrn2 , ~ dfrn3 , and ~ dfrn4 .  The notation " ` ran ` " is used
       by Enderton.  The range of a function is often also called "the image of
       the function" (see definition in [Lang] p. ix), which can be justified
       by ~ imadmrn .  Not to be confused with "codomain" (see ~ df-f ), which
       may be a superset/superclass of the range (see ~ frn ).  (Contributed by
       NM, 1-Aug-1994.) $)
    df-rn $a |- ran A = dom `' A $.

    $( Define the restriction of a class.  Definition 6.6(1) of [TakeutiZaring]
       p. 24.  For example, the expression ` ( exp |`` RR ) ` (used in
       ~ reeff1 ) means "the exponential function e to the x, but the exponent
       x must be in the reals" ( ~ df-ef defines the exponential function,
       which normally allows the exponent to be a complex number).  Another
       example is ` ( F = { <. 2 , 6 >. , <. 3 , 9 >. } /\ B = { 1 , 2 } ) -> `
       ` ( F |`` B ) = { <. 2 , 6 >. } ` ( ~ ex-res ).  We do not introduce a
       special syntax for the corestriction of a class: it will be expressed
       either as the intersection ` ( A i^i ( _V X. B ) ) ` or as the converse
       of the restricted converse (see ~ cnvrescnv ).  (Contributed by NM,
       2-Aug-1994.) $)
    df-res $a |- ( A |` B ) = ( A i^i ( B X. _V ) ) $.

    $( Define the image of a class (as restricted by another class).
       Definition 6.6(2) of [TakeutiZaring] p. 24.  For example,
       ` ( F = { <. 2 , 6 >. , <. 3 , 9 >. } /\ B = { 1 , 2 } ) `
       ` -> ( F " B ) = { 6 } ` ( ~ ex-ima ).  Contrast with restriction
       ( ~ df-res ) and range ( ~ df-rn ).  For an alternate definition, see
       ~ dfima2 .  (Contributed by NM, 2-Aug-1994.) $)
    df-ima $a |- ( A " B ) = ran ( A |` B ) $.
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.
    $( Equality theorem for Cartesian product.  (Contributed by NM,
       4-Jul-1994.) $)
    xpeq1 $p |- ( A = B -> ( A X. C ) = ( B X. C ) ) $=
      ( vx vy wceq cv wcel wa copab cxp eleq2 anbi1d opabbidv df-xp 3eqtr4g ) A
      BFZDGZAHZEGCHZIZDEJRBHZTIZDEJACKBCKQUAUCDEQSUBTABRLMNDEACODEBCOP $.

    ${
      $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.
      $( Subset theorem for Cartesian product.  Generalization of Theorem 101
         of [Suppes] p. 52.  (Contributed by NM, 26-Aug-1995.)  (Proof
         shortened by Andrew Salmon, 27-Aug-2011.) $)
      xpss12 $p |- ( ( A C_ B /\ C C_ D ) -> ( A X. C ) C_ ( B X. D ) ) $=
        ( vx vy wss wa cv wcel copab cxp ssel im2anan9 ssopab2dv df-xp 3sstr4g
        ) ABGZCDGZHZEIZAJZFIZCJZHZEFKUABJZUCDJZHZEFKACLBDLTUEUHEFRUBUFSUDUGABUA
        MCDUCMNOEFACPEFBDPQ $.
    $}

    $( A Cartesian product is included in the ordered pair universe.  Exercise
       3 of [TakeutiZaring] p. 25.  (Contributed by NM, 2-Aug-1994.) $)
    xpss $p |- ( A X. B ) C_ ( _V X. _V ) $=
      ( cvv wss cxp ssv xpss12 mp2an ) ACDBCDABECCEDAFBFACBCGH $.

    $( Intersection with a Cartesian product is a subclass of restriction.
       (Contributed by Peter Mazsa, 19-Jul-2019.) $)
    inxpssres $p |- ( R i^i ( A X. B ) ) C_ ( R |` A ) $=
      ( cxp cin cvv cres wss ssid ssv xpss12 mp2an sslin ax-mp df-res sseqtrri
      ) CABDZEZCAFDZEZCAGQSHZRTHAAHBFHUAAIBJAABFKLQSCMNCAOP $.

    $( A Cartesian product is a relation.  Theorem 3.13(i) of [Monk1] p. 37.
       (Contributed by NM, 2-Aug-1994.) $)
    relxp $p |- Rel ( A X. B ) $=
      ( cxp wrel cvv wss xpss df-rel mpbir ) ABCZDJEECFABGJHI $.

    $( Subset relation for Cartesian product.  (Contributed by Jeff Hankins,
       30-Aug-2009.) $)
    xpss1 $p |- ( A C_ B -> ( A X. C ) C_ ( B X. C ) ) $=
      ( wss cxp ssid xpss12 mpan2 ) ABDCCDACEBCEDCFABCCGH $.

    $( Subset relation for Cartesian product.  (Contributed by Jeff Hankins,
       30-Aug-2009.) $)
    xpss2 $p |- ( A C_ B -> ( C X. A ) C_ ( C X. B ) ) $=
      ( wss cxp ssid xpss12 mpan ) CCDABDCAECBEDCFCCABGH $.

    $( Equality theorem for Cartesian product.  (Contributed by NM,
       5-Jul-1994.) $)
    xpeq2 $p |- ( A = B -> ( C X. A ) = ( C X. B ) ) $=
      ( vx vy wceq cv wcel wa copab cxp eleq2 anbi2d opabbidv df-xp 3eqtr4g ) A
      BFZDGCHZEGZAHZIZDEJRSBHZIZDEJCAKCBKQUAUCDEQTUBRABSLMNDECAODECBOP $.

    $( Membership in a Cartesian product.  Uses fewer axioms than ~ elxp .
       (Contributed by NM, 4-Jul-1994.) $)
    elxpi $p |- ( A e. ( B X. C ) -> E. x E. y ( A = <. x , y >. /\
                ( x e. B /\ y e. C ) ) ) $=
      ( vz cxp wcel cv cop wceq wa wex eqeq1 anbi1d 2exbidv copab df-xp df-opab
      cab eqtri elab2g ibi ) CDEGZHCAIZBIZJZKZUEDHUFEHLZLZBMAMZFIZUGKZUILZBMAMZ
      UKFCUDUDULCKZUNUJABUPUMUHUIULCUGNOPUDUIABQUOFTABDERUIABFSUAUBUC $.

    $( Membership in a Cartesian product.  (Contributed by NM, 4-Jul-1994.) $)
    elxp $p |- ( A e. ( B X. C ) <-> E. x E. y ( A = <. x , y >. /\
               ( x e. B /\ y e. C ) ) ) $=
      ( cxp wcel cv wa copab cop wceq wex df-xp eleq2i elopab bitri ) CDEFZGCAH
      ZDGBHZEGIZABJZGCSTKLUAIBMAMRUBCABDENOUAABCPQ $.

    $( Membership in a Cartesian product.  (Contributed by NM, 23-Feb-2004.)
       (Proof shortened by JJ, 13-Aug-2021.) $)
    elxp2 $p |- ( A e. ( B X. C ) <-> E. x e. B E. y e. C A = <. x , y >. ) $=
      ( cv cop wceq wcel wa wex cxp wrex ancom 2exbii elxp r2ex 3bitr4i ) CAFZB
      FZGHZSDITEIJZJZBKAKUBUAJZBKAKCDELIUABEMADMUCUDABUAUBNOABCDEPUAABDEQR $.
  $}

  $( Equality theorem for Cartesian product.  (Contributed by FL,
     31-Aug-2009.) $)
  xpeq12 $p |- ( ( A = B /\ C = D ) -> ( A X. C ) = ( B X. D ) ) $=
    ( wceq cxp xpeq1 xpeq2 sylan9eq ) ABECDEACFBCFBDFABCGCDBHI $.

  ${
    xpeq1i.1 $e |- A = B $.
    $( Equality inference for Cartesian product.  (Contributed by NM,
       21-Dec-2008.) $)
    xpeq1i $p |- ( A X. C ) = ( B X. C ) $=
      ( wceq cxp xpeq1 ax-mp ) ABEACFBCFEDABCGH $.

    $( Equality inference for Cartesian product.  (Contributed by NM,
       21-Dec-2008.) $)
    xpeq2i $p |- ( C X. A ) = ( C X. B ) $=
      ( wceq cxp xpeq2 ax-mp ) ABECAFCBFEDABCGH $.
  $}

  ${
    xpeq12i.1 $e |- A = B $.
    xpeq12i.2 $e |- C = D $.
    $( Equality inference for Cartesian product.  (Contributed by FL,
       31-Aug-2009.) $)
    xpeq12i $p |- ( A X. C ) = ( B X. D ) $=
      ( wceq cxp xpeq12 mp2an ) ABGCDGACHBDHGEFABCDIJ $.
  $}

  ${
    xpeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for Cartesian product.  (Contributed by Jeff Madsen,
       17-Jun-2010.) $)
    xpeq1d $p |- ( ph -> ( A X. C ) = ( B X. C ) ) $=
      ( wceq cxp xpeq1 syl ) ABCFBDGCDGFEBCDHI $.

    $( Equality deduction for Cartesian product.  (Contributed by Jeff Madsen,
       17-Jun-2010.) $)
    xpeq2d $p |- ( ph -> ( C X. A ) = ( C X. B ) ) $=
      ( wceq cxp xpeq2 syl ) ABCFDBGDCGFEBCDHI $.

    ${
      xpeq12d.2 $e |- ( ph -> C = D ) $.
      $( Equality deduction for Cartesian product.  (Contributed by NM,
         8-Dec-2013.) $)
      xpeq12d $p |- ( ph -> ( A X. C ) = ( B X. D ) ) $=
        ( wceq cxp xpeq12 syl2anc ) ABCHDEHBDICEIHFGBCDEJK $.
    $}

    $( Equality deduction for a Cartesian square, see Wikipedia "Cartesian
       product",
~ https://en.wikipedia.org/wiki/Cartesian_product#n-ary_Cartesian_power .
       (Contributed by AV, 13-Jan-2020.) $)
    sqxpeqd $p |- ( ph -> ( A X. A ) = ( B X. B ) ) $=
      ( xpeq12d ) ABCBCDDE $.
  $}

  ${
    $d y z A $.  $d y z B $.  $d x y z $.
    nfxp.1 $e |- F/_ x A $.
    nfxp.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for Cartesian product.  (Contributed
       by NM, 15-Sep-2003.)  (Revised by Mario Carneiro, 15-Oct-2016.) $)
    nfxp $p |- F/_ x ( A X. B ) $=
      ( vy vz cxp cv wcel wa copab df-xp nfcri nfan nfopab nfcxfr ) ABCHFIBJZGI
      CJZKZFGLFGBCMTFGARSAAFBDNAGCENOPQ $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( The empty set is not a member of a Cartesian product.  (Contributed by
       NM, 2-May-1996.)  (Revised by Mario Carneiro, 26-Apr-2015.)  (Proof
       shortened by JJ, 13-Aug-2021.) $)
    0nelxp $p |- -. (/) e. ( A X. B ) $=
      ( vx vy c0 cxp wcel cv cop wceq wa wex vex opnzi nesymi intnanr nex mtbir
      elxp ) EABFGECHZDHZIZJZTAGUABGKZKZDLZCLUFCUEDUCUDUBETUACMDMNOPQQCDEABSR
      $.

    $( A member of a Cartesian product (ordered pair) doesn't contain the empty
       set.  (Contributed by NM, 15-Dec-2008.) $)
    0nelelxp $p |- ( C e. ( A X. B ) -> -. (/) e. C ) $=
      ( vx vy cxp wcel cv cop wceq wa wex c0 wn elxp 0nelop eleq2 mtbiri adantr
      exlimivv sylbi ) CABFGCDHZEHZIZJZUBAGUCBGKZKZELDLMCGZNZDECABOUGUIDEUEUIUF
      UEUHMUDGUBUCPCUDMQRSTUA $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.
    $( Ordered pair membership in a Cartesian product.  (Contributed by NM,
       15-Nov-1994.)  (Proof shortened by Andrew Salmon, 12-Aug-2011.)
       (Revised by Mario Carneiro, 26-Apr-2015.) $)
    opelxp $p |- ( <. A , B >. e. ( C X. D ) <-> ( A e. C /\ B e. D ) ) $=
      ( vx vy cop cxp wcel cv wceq wrex wa elxp2 wb opth2 eleq1 bi2anan9 eqeq2d
      vex sylbi biimprcd rexlimivv eqid opeq1 opeq2 rspc2ev mp3an3 impbii bitri
      ) ABGZCDHIUKEJZFJZGZKZFDLECLZACIZBDIZMZEFUKCDNUPUSUOUSEFCDUOUSULCIZUMDIZM
      ZUOAULKZBUMKZMUSVBOABULUMETFTPVCUQUTVDURVAAULCQBUMDQRUAUBUCUQURUKUKKZUPUK
      UDUOVEUKAUMGZKEFABCDULAKUNVFUKULAUMUESUMBKVFUKUKUMBAUFSUGUHUIUJ $.
  $}

  $( Ordered pair membership in a Cartesian product (implication).
     (Contributed by NM, 28-May-1995.) $)
  opelxpi $p |- ( ( A e. C /\ B e. D ) -> <. A , B >. e. ( C X. D ) ) $=
    ( cop cxp wcel wa opelxp biimpri ) ABECDFGACGBDGHABCDIJ $.

  ${
    opelxpd.1 $e |- ( ph -> A e. C ) $.
    opelxpd.2 $e |- ( ph -> B e. D ) $.
    $( Ordered pair membership in a Cartesian product, deduction form.
       (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    opelxpd $p |- ( ph -> <. A , B >. e. ( C X. D ) ) $=
      ( wcel cop cxp opelxpi syl2anc ) ABDHCEHBCIDEJHFGBCDEKL $.
  $}

  ${
    opelvv.1 $e |- A e. _V $.
    opelvv.2 $e |- B e. _V $.
    $( Ordered pair membership in the universal class of ordered pairs.
       (Contributed by NM, 22-Aug-2013.)  (Revised by Mario Carneiro,
       26-Apr-2015.) $)
    opelvv $p |- <. A , B >. e. ( _V X. _V ) $=
      ( cvv wcel cop cxp opelxpi mp2an ) AEFBEFABGEEHFCDABEEIJ $.
  $}

  $( Ordered pair membership in the universal class of ordered pairs.
     (Contributed by Mario Carneiro, 3-May-2015.) $)
  opelvvg $p |- ( ( A e. V /\ B e. W ) -> <. A , B >. e. ( _V X. _V ) ) $=
    ( wcel cvv cop cxp elex opelxpi syl2an ) ACEAFEBFEABGFFHEBDEACIBDIABFFJK $.

  $( The first member of an ordered pair of classes in a Cartesian product
     belongs to first Cartesian product argument.  (Contributed by NM,
     28-May-2008.)  (Revised by Mario Carneiro, 26-Apr-2015.) $)
  opelxp1 $p |- ( <. A , B >. e. ( C X. D ) -> A e. C ) $=
    ( cop cxp wcel opelxp simplbi ) ABECDFGACGBDGABCDHI $.

  $( The second member of an ordered pair of classes in a Cartesian product
     belongs to second Cartesian product argument.  (Contributed by Mario
     Carneiro, 26-Apr-2015.) $)
  opelxp2 $p |- ( <. A , B >. e. ( C X. D ) -> B e. D ) $=
    ( cop cxp wcel opelxp simprbi ) ABECDFGACGBDGABCDHI $.

  $( The first member of an ordered triple of classes in a Cartesian product
     belongs to first Cartesian product argument.  (Contributed by NM,
     28-May-2008.) $)
  otelxp1 $p |- ( <. <. A , B >. , C >. e. ( ( R X. S ) X. T )
          -> A e. R ) $=
    ( cop cxp wcel opelxp1 syl ) ABGZCGDEHZFHILMIADILCMFJABDEJK $.

  $( An ordered triple is an element of a doubled Cartesian product.
     (Contributed by Alexander van der Vekens, 26-Feb-2018.) $)
  otel3xp $p |- ( ( T = <. A , B , C >. /\ ( A e. X /\ B e. Y /\ C e. Z ) )
                         -> T e. ( ( X X. Y ) X. Z ) ) $=
    ( cotp wceq wcel w3a cxp cop df-ot wa 3simpa opelxp sylibr simp3 opelxpd
    eqeltrid eleq1 syl5ibr imp ) DABCHZIZAEJZBFJZCGJZKZDEFLZGLZJZUJUMUFUEULJUJU
    EABMZCMULABCNUJUNCUKGUJUGUHOUNUKJUGUHUIPABEFQRUGUHUISTUADUEULUBUCUD $.

  ${
    $d A x z $.  $d A y $.  $d B x $.  $d B y z $.  $d ph x $.  $d ph y z $.
    $d ps z $.
    opabssxpd.x $e |- ( ( ph /\ ps ) -> x e. A ) $.
    opabssxpd.y $e |- ( ( ph /\ ps ) -> y e. B ) $.
    $( An ordered-pair class abstraction is a subset of a Cartesian product.
       Formerly part of proof for ~ opabex2 .  (Contributed by AV,
       26-Nov-2021.) $)
    opabssxpd $p |- ( ph -> { <. x , y >. | ps } C_ ( A X. B ) ) $=
      ( vz copab cv cop wceq wa wex cab cxp df-opab wcel simprl opelxpd adantrl
      eqeltrd ex exlimdvv abssdv eqsstrid ) ABCDJIKZCKZDKZLZMZBNZDOCOZIPEFQZBCD
      IRAUNIUOAUMUHUOSZCDAUMUPAUMNUHUKUOAULBTABUKUOSULABNUIUJEFGHUAUBUCUDUEUFUG
      $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d y z ph $.  $d x ps $.
    rabxp.1 $e |- ( x = <. y , z >. -> ( ph <-> ps ) ) $.
    $( Class abstraction restricted to a Cartesian product as an ordered-pair
       class abstraction.  (Contributed by NM, 20-Feb-2014.) $)
    rabxp $p |- { x e. ( A X. B ) | ph }
             = { <. y , z >. | ( y e. A /\ z e. B /\ ps ) } $=
      ( cv cxp wcel wa cab cop wceq w3a wex crab copab elxp anbi1i anass anbi2d
      19.41vv df-3an bitr4di pm5.32i bitri 2exbii 3bitr2i abbii df-opab 3eqtr4i
      df-rab ) CIZFGJZKZALZCMUODIZEIZNOZUSFKZUTGKZBPZLZEQDQZCMACUPRVDDESURVFCUR
      VAVBVCLZLZEQDQZALVHALZEQDQVFUQVIADEUOFGTUAVHADEUDVJVEDEVJVAVGALZLVEVAVGAU
      BVAVKVDVAVKVGBLVDVAABVGHUCVBVCBUEUFUGUHUIUJUKACUPUNVDDECULUM $.
  $}

  $( Binary relation on a Cartesian product.  (Contributed by NM,
     22-Apr-2004.) $)
  brxp $p |- ( A ( C X. D ) B <-> ( A e. C /\ B e. D ) ) $=
    ( cxp wbr cop wcel wa df-br opelxp bitri ) ABCDEZFABGMHACHBDHIABMJABCDKL $.

  $( A set is a binary relation if and only if it belongs to the powerclass of
     the cartesian square of the universal class.  (Contributed by Peter Mazsa,
     14-Jun-2018.)  (Revised by BJ, 16-Dec-2023.) $)
  pwvrel $p |- ( A e. V -> ( A e. ~P ( _V X. _V ) <-> Rel A ) ) $=
    ( wcel cvv cxp cpw wss wrel elpwg df-rel bitr4di ) ABCADDEZFCALGAHALBIAJK
    $.

  $( The powerclass of the cartesian square of the universal class is the class
     of all sets which are binary relations.  (Contributed by BJ,
     21-Dec-2023.) $)
  pwvabrel $p |- ~P ( _V X. _V ) = { x | Rel x } $=
    ( cv wrel cvv cxp cpw wcel wb pwvrel elv abbi2i ) ABZCZADDEFZLNGMHALDIJK $.

  $( Two classes related by a binary relation are sets.  (Contributed by Mario
     Carneiro, 26-Apr-2015.) $)
  brrelex12 $p |- ( ( Rel R /\ A R B ) -> ( A e. _V /\ B e. _V ) ) $=
    ( wrel wbr wa cvv cxp wcel wss df-rel biimpi ssbrd imp brxp sylib ) CDZABCE
    ZFABGGHZEZAGIBGIFQRTQCSABQCSJCKLMNABGGOP $.

  $( If two classes are related by a binary relation, then the first class is a
     set.  (Contributed by NM, 18-May-2004.)  (Revised by Mario Carneiro,
     26-Apr-2015.) $)
  brrelex1 $p |- ( ( Rel R /\ A R B ) -> A e. _V ) $=
    ( wrel wbr wa cvv wcel brrelex12 simpld ) CDABCEFAGHBGHABCIJ $.

  $( If two classes are related by a binary relation, then the second class is
     a set.  (Contributed by Mario Carneiro, 26-Apr-2015.) $)
  brrelex2 $p |- ( ( Rel R /\ A R B ) -> B e. _V ) $=
    ( wrel wbr wa cvv wcel brrelex12 simprd ) CDABCEFAGHBGHABCIJ $.

  ${
    brrelexi.1 $e |- Rel R $.
    $( Two classes that are related by a binary relation are sets.  Inference
       form.  (Contributed by BJ, 3-Oct-2022.) $)
    brrelex12i $p |- ( A R B -> ( A e. _V /\ B e. _V ) ) $=
      ( wrel wbr cvv wcel wa brrelex12 mpan ) CEABCFAGHBGHIDABCJK $.

    $( The first argument of a binary relation exists.  (An artifact of our
       ordered pair definition.)  (Contributed by NM, 4-Jun-1998.) $)
    brrelex1i $p |- ( A R B -> A e. _V ) $=
      ( wrel wbr cvv wcel brrelex1 mpan ) CEABCFAGHDABCIJ $.

    $( The second argument of a binary relation exists.  (An artifact of our
       ordered pair definition.)  (Contributed by Mario Carneiro,
       26-Apr-2015.) $)
    brrelex2i $p |- ( A R B -> B e. _V ) $=
      ( wrel wbr cvv wcel brrelex2 mpan ) CEABCFBGHDABCIJ $.
  $}

  ${
    nprrel12.1 $e |- Rel R $.
    $( Proper classes are not related via any relation.  (Contributed by AV,
       29-Oct-2021.) $)
    nprrel12 $p |- ( -. ( A e. _V /\ B e. _V ) -> -. A R B ) $=
      ( wbr cvv wcel wa brrelex12i con3i ) ABCEAFGBFGHABCDIJ $.

    nprrel.2 $e |- -. A e. _V $.
    $( No proper class is related to anything via any relation.  (Contributed
       by Roy F. Longton, 30-Jul-2005.) $)
    nprrel $p |- -. A R B $=
      ( wbr cvv wcel brrelex1i mto ) ABCFAGHEABCDIJ $.
  $}

  $( A binary relation does not contain the empty set.  (Contributed by AV,
     15-Nov-2021.)  (Revised by BJ, 14-Jul-2023.) $)
  0nelrel0 $p |- ( Rel R -> -. (/) e. R ) $=
    ( wrel cvv cxp c0 wss df-rel biimpi wcel wn 0nelxp a1i ssneldd ) ABZACCDZEN
    AOFAGHEOIJNCCKLM $.

  $( A binary relation does not contain the empty set.  (Contributed by AV,
     15-Nov-2021.) $)
  0nelrel $p |- ( Rel R -> (/) e/ R ) $=
    ( wrel c0 wcel wn wnel 0nelrel0 df-nel sylibr ) ABCADECAFAGCAHI $.

  ${
    $d x y A $.  $d x y B $.
    $( Representation of a constant function using the mapping operation.
       (Note that ` x ` cannot appear free in ` B ` .)  (Contributed by NM,
       12-Oct-1999.)  (Revised by Mario Carneiro, 16-Nov-2013.) $)
    fconstmpt $p |- ( A X. { B } ) = ( x e. A |-> B ) $=
      ( vy cv wcel csn wa copab wceq cxp cmpt velsn anbi2i opabbii df-xp df-mpt
      3eqtr4i ) AEBFZDEZCGZFZHZADISTCJZHZADIBUAKABCLUCUEADUBUDSDCMNOADBUAPADBCQ
      R $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y z C $.  $d x y z R $.
    vtoclr.1 $e |- Rel R $.
    vtoclr.2 $e |- ( ( x R y /\ y R z ) -> x R z ) $.
    $( Variable to class conversion of transitive relation.  (Contributed by
       NM, 9-Jun-1998.)  (Revised by Mario Carneiro, 26-Apr-2015.) $)
    vtoclr $p |- ( ( A R B /\ B R C ) -> A R C ) $=
      ( wbr wa wi cvv wcel cv wceq breq1 imbi12d imbi2d breq2 brrelex12i anbi1d
      brrelex2i anbi12d imbi1d anbi2d vtoclg vtocl2g syl2im imp pm2.43i ) DEGJZ
      EFGJZKZDFGJZULUMUNUOLZULDMNEMNKUMFMNZUPDEGHUAEFGHUCUQAOZBOZGJZUSFGJZKZURF
      GJZLZLUQDUSGJZVAKZUOLZLUQUPLABDEMMURDPZVDVGUQVHVBVFVCUOVHUTVEVAURDUSGQUBU
      RDFGQRSUSEPZVGUPUQVIVFUNUOVIVEULVAUMUSEDGTUSEFGQUDUESUTUSCOZGJZKZURVJGJZL
      VDCFMVJFPZVLVBVMVCVNVKVAUTVJFUSGTUFVJFURGTRIUGUHUIUJUK $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x D $.
    $( Justification theorem for an ordered pair definition that works for any
       classes, including proper classes.  This is a possible definition
       implied by the footnote in [Jech] p. 78, which says, "The sophisticated
       reader will not object to our use of a pair of classes."  (Contributed
       by NM, 28-Sep-2003.) $)
    opthprc $p |- ( ( ( A X. { (/) } ) u. ( B X. { { (/) } } ) ) =
                    ( ( C X. { (/) } ) u. ( D X. { { (/) } } ) )
                  <-> ( A = C /\ B = D ) ) $=
      ( vx c0 csn cxp cun wceq wa wcel wo opelxp mpbiran2 bianfi bitr4i orbi12i
      elun 3bitr4ri cv cop eleq2 0ex snid 0nep0 elsn nemtbir 3bitr4g eqrdv snex
      biorfi eqcom bitri wn wb biorf ax-mp jca xpeq1 uneq12 syl2an impbii ) AFG
      ZHZBVDGZHZIZCVDHZDVFHZIZJZACJZBDJZKVLVMVNVLEACVLEUAZFUBZVHLZVPVKLZVOALZVO
      CLZVHVKVPUCVPVELZVPVGLZMVSFVFLZMVQVSWAVSWBWCWAVSFVDLZFUDUEZVOFAVDNOWBVOBL
      ZWCKWCVOFBVFNWCWFWCFVDUFFVDUDUGUHZPQRVPVEVGSWCVSWGULTVPVILZVPVJLZMVTWCMVR
      VTWHVTWIWCWHVTWDWEVOFCVDNOWIVODLZWCKWCVOFDVFNWCWJWGPQRVPVIVJSWCVTWGULTUIU
      JVLEBDVLVOVDUBZVHLZWKVKLZWFWJVHVKWKUCWKVELZWKVGLZMVDVDLZWFMZWLWFWNWPWOWFW
      NVSWPKWPVOVDAVDNWPVSWPFVDUFWPVDFJFVDJVDFFUKZUGVDFUMUNUHZPQWOWFVDVFLZVDWRU
      EZVOVDBVFNORWKVEVGSWPUOZWFWQUPWSWPWFUQURTWKVILZWKVJLZMWPWJMZWMWJXCWPXDWJX
      CVTWPKWPVOVDCVDNWPVTWSPQXDWJWTXAVOVDDVFNORWKVIVJSXBWJXEUPWSWPWJUQURTUIUJU
      SVMVEVIJVGVJJVLVNACVDUTBDVFUTVEVIVGVJVAVBVC $.
  $}

  ${
    brel.1 $e |- R C_ ( C X. D ) $.
    $( Two things in a binary relation belong to the relation's domain.
       (Contributed by NM, 17-May-1996.)  (Revised by Mario Carneiro,
       26-Apr-2015.) $)
    brel $p |- ( A R B -> ( A e. C /\ B e. D ) ) $=
      ( wbr cxp wcel wa ssbri brxp sylib ) ABEGABCDHZGACIBDIJENABFKABCDLM $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Membership in a Cartesian product.  (Contributed by NM, 5-Mar-1995.) $)
    elxp3 $p |- ( A e. ( B X. C ) <->
            E. x E. y ( <. x , y >. = A /\ <. x , y >. e. ( B X. C ) ) ) $=
      ( cxp wcel cv cop wceq wa wex elxp eqcom opelxp anbi12i 2exbii bitr4i ) C
      DEFZGCAHZBHZIZJZTDGUAEGKZKZBLALUBCJZUBSGZKZBLALABCDEMUHUEABUFUCUGUDUBCNTU
      ADEOPQR $.
  $}

  ${
    $d y z A $.  $d y z B $.  $d y z C $.  $d x y z $.
    $( Membership in a union of Cartesian products.  (Contributed by Mario
       Carneiro, 29-Dec-2014.)  (Revised by Mario Carneiro, 1-Jan-2017.) $)
    opeliunxp $p |- ( <. x , C >. e. U_ x e. A ( { x } X. B ) <->
                     ( x e. A /\ C e. B ) ) $=
      ( vy vz cv cop csn cxp ciun wcel wrex wa wceq eleq2d anbi12d bitri 3bitri
      wex cab wsb csb df-iun eleq2i opex nfv nfs1v nfcv nfcsb1v nfxp nfcri nfan
      df-rex sbequ12 csbeq1a xpeq12d cbvexv1 anbi2d exbidv syl5bb opelxp anbi2i
      sneq eleq1 elab an12 velsn equcom anbi1i sbequ12r equcoms eqcomd equsexvw
      exbii ) AGZDHZABVPIZCJZKZLVQEGZVSLZABMZEUAZLVPBLZAFUBZVQFGZIZAWGCUCZJZLZN
      ZFTZWEDCLZNZVTWDVQAEBVSUDUEWCWMEVQVPDUFWCWFWAWJLZNZFTZWAVQOZWMWCWEWBNZATW
      RWBABUNWTWQAFWTFUGWFWPAWEAFUHAEWJAWHWIAWHUIAWGCUJUKULUMVPWGOZWEWFWBWPWEAF
      UOXAVSWJWAXAVRWHCWIVPWGVDAWGCUPZUQPQURRWSWQWLFWSWPWKWFWAVQWJVEUSUTVAVFWMW
      GVPOZWFDWILZNZNZFTWOWLXFFWLWFVPWHLZXDNZNXGXENXFWKXHWFVPDWHWIVBVCWFXGXDVGX
      GXCXEXGXAXCAWGVHAFVIRVJSVOXEWOFAXCWFWEXDWNWEFAVKXCWICDXCCWICWIOAFXBVLVMPQ
      VNRS $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Distributive law for Cartesian product over union.  Theorem 103 of
       [Suppes] p. 52.  (Contributed by NM, 12-Aug-2004.) $)
    xpundi $p |- ( A X. ( B u. C ) ) = ( ( A X. B ) u. ( A X. C ) ) $=
      ( vx vy cun cxp cv wcel wa copab df-xp uneq12i wo elun andi bitri opabbii
      anbi2i eqtr4i unopab ) ABCFZGDHAIZEHZUBIZJZDEKZABGZACGZFZDEAUBLUJUCUDBIZJ
      ZDEKZUCUDCIZJZDEKZFZUGUHUMUIUPDEABLDEACLMUGULUONZDEKUQUFURDEUFUCUKUNNZJUR
      UEUSUCUDBCOSUCUKUNPQRULUODEUATTT $.

    $( Distributive law for Cartesian product over union.  Similar to Theorem
       103 of [Suppes] p. 52.  (Contributed by NM, 30-Sep-2002.) $)
    xpundir $p |- ( ( A u. B ) X. C ) = ( ( A X. C ) u. ( B X. C ) ) $=
      ( vx vy cun cxp cv wcel wa copab df-xp uneq12i wo elun anbi1i andir bitri
      opabbii eqtr4i unopab ) ABFZCGDHZUBIZEHCIZJZDEKZACGZBCGZFZDEUBCLUJUCAIZUE
      JZDEKZUCBIZUEJZDEKZFZUGUHUMUIUPDEACLDEBCLMUGULUONZDEKUQUFURDEUFUKUNNZUEJU
      RUDUSUEUCABOPUKUNUEQRSULUODEUATTT $.
  $}

  ${
    $d w y z A $.  $d w y z B $.  $d w x y z C $.
    $( Distributive law for Cartesian product over indexed union.  (Contributed
       by Mario Carneiro, 27-Apr-2014.) $)
    xpiundi $p |- ( C X. U_ x e. A B ) = U_ x e. A ( C X. B ) $=
      ( vz vw vy ciun cxp cv wrex wcel wa wex eliun exbii df-rex rexbii 3bitr4i
      elxp2 cop wceq rexcom anbi1i rexcom4 r19.41v 3bitri eqriv ) EDABCHZIZABDC
      IZHZEJZFJGJZUAUBZGUIKZFDKZUMUKLZABKZUMUJLUMULLUOGCKZABKZFDKUTFDKZABKUQUSU
      TFADBUCUPVAFDUNUILZUOMZGNUNCLZABKZUOMZGNZUPVAVDVGGVCVFUOAUNBCOUDPUOGUIQVA
      VEUOMZGNZABKVIABKZGNVHUTVJABUOGCQRVIAGBUEVKVGGVEUOABUFPUGSRURVBABFGUMDCTR
      SFGUMDUITAUMBUKOSUH $.

    $( Distributive law for Cartesian product over indexed union.  (Contributed
       by Mario Carneiro, 27-Apr-2014.) $)
    xpiundir $p |- ( U_ x e. A B X. C ) = U_ x e. A ( B X. C ) $=
      ( vz vy vw ciun cxp cv cop wrex wcel wa df-rex rexbii eliun elxp2 3bitr4i
      wex wceq rexcom4 anbi1i r19.41v bitr4i exbii 3bitr4ri eqriv ) EABCHZDIZAB
      CDIZHZEJZFJZGJKUAGDLZFUILZUMUKMZABLZUMUJMUMULMUNUIMZUONZFTZUOFCLZABLZUPUR
      UNCMZUONZFTZABLVEABLZFTVCVAVEAFBUBVBVFABUOFCOPUTVGFUTVDABLZUONVGUSVHUOAUN
      BCQUCVDUOABUDUEUFUGUOFUIOUQVBABFGUMCDRPSFGUMUIDRAUMBUKQSUH $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Membership in a union of Cartesian products when the second factor is
       constant.  (Contributed by Mario Carneiro, 29-Dec-2014.) $)
    iunxpconst $p |- U_ x e. A ( { x } X. B ) = ( A X. B ) $=
      ( cv csn ciun cxp xpiundir iunid xpeq1i eqtr3i ) ABADEZFZCGABLCGFBCGABLCH
      MBCABIJK $.
  $}

  $( The Cartesian product of two unions.  (Contributed by NM, 12-Aug-2004.) $)
  xpun $p |- ( ( A u. B ) X. ( C u. D ) ) =
            ( ( ( A X. C ) u. ( A X. D ) ) u. ( ( B X. C ) u. ( B X. D ) ) ) $=
    ( cun cxp xpundi xpundir uneq12i un4 3eqtri ) ABEZCDEFLCFZLDFZEACFZBCFZEZAD
    FZBDFZEZEOREPSEELCDGMQNTABCHABDHIOPRSJK $.

  ${
    $d w x y z A $.
    $( Membership in universal class of ordered pairs.  (Contributed by NM,
       4-Jul-1994.) $)
    elvv $p |- ( A e. ( _V X. _V ) <-> E. x E. y A = <. x , y >. ) $=
      ( cvv cxp wcel cv cop wceq wa wex elxp vex pm3.2i biantru 2exbii bitr4i )
      CDDEFCAGZBGZHIZRDFZSDFZJZJZBKAKTBKAKABCDDLTUDABUCTUAUBAMBMNOPQ $.

    $( Membership in universal class of ordered triples.  (Contributed by NM,
       17-Dec-2008.) $)
    elvvv $p |- ( A e. ( ( _V X. _V ) X. _V )
                 <-> E. x E. y E. z A = <. <. x , y >. , z >. ) $=
      ( vw cvv cxp wcel cv cop wceq wa wex elxp ancom 2exbii 19.42vv elvv bitri
      3bitr2i anbi2i vex biantru anass 3bitrri exrot4 excom opex eqeq2d ceqsexv
      opeq1 exbii ) DFFGZFGHDEIZCIZJZKZUNUMHZUOFHZLLZCMEMZDAIZBIZJZUOJZKZCMZBMA
      MZECDUMFNVAUNVDKZUQLZBMAMZCMEMVJCMEMZBMAMVHUTVKECVKUQVILZBMAMZUQURLZUSLZU
      TVJVMABVIUQOPVNUQVIBMAMZLVOVPUQVIABQURVQUQABUNRUAUSVOCUBUCTUQURUSUDUEPVJA
      BECUFVLVGABVLVJEMZCMVGVJECUGVRVFCUQVFEVDVBVCUHVIUPVEDUNVDUOUKUIUJULSPTS
      $.

    $( An ordered pair contains its union.  (Contributed by NM,
       16-Sep-2006.) $)
    elvvuni $p |- ( A e. ( _V X. _V ) -> U. A e. A ) $=
      ( vx vy cvv cxp wcel cv cop wceq wex cuni elvv cpr vex uniop opi2 eqeltri
      unieq id eleq12d mpbiri exlimivv sylbi ) ADDEFABGZCGZHZIZCJBJAKZAFZBCALUG
      UIBCUGUIUFKZUFFUJUDUEMUFUDUEBNZCNZOUDUEUKULPQUGUHUJAUFAUFRUGSTUAUBUC $.
  $}

  $( Intersection of binary relation with Cartesian product.  (Contributed by
     NM, 3-Mar-2007.)  (Revised by Mario Carneiro, 26-Apr-2015.)  Group
     conjuncts and avoid ~ df-3an .  (Revised by Peter Mazsa, 18-Sep-2022.) $)
  brinxp2 $p |- ( C ( R i^i ( A X. B ) ) D <->
                ( ( C e. A /\ D e. B ) /\ C R D ) ) $=
    ( cxp cin wbr wa wcel brin ancom brxp anbi1i 3bitri ) CDEABFZGHCDEHZCDPHZIR
    QICAJDBJIZQICDEPKQRLRSQCDABMNO $.

  $( Intersection of binary relation with Cartesian product.  (Contributed by
     NM, 9-Mar-1997.) $)
  brinxp $p |- ( ( A e. C /\ B e. D ) ->
               ( A R B <-> A ( R i^i ( C X. D ) ) B ) ) $=
    ( cxp cin wbr wcel wa brinxp2 baibr ) ABECDFGHACIBDIJABEHCDABEKL $.

  $( Ordered pair element in an intersection with Cartesian product.
     (Contributed by Peter Mazsa, 21-Jul-2019.) $)
  opelinxp $p |- ( <. C , D >. e. ( R i^i ( A X. B ) ) <->
                   ( ( C e. A /\ D e. B ) /\ <. C , D >. e. R ) ) $=
    ( cxp cin wbr wcel wa cop brinxp2 df-br anbi2i 3bitr3i ) CDEABFGZHCAIDBIJZC
    DEHZJCDKZPIQSEIZJABCDELCDPMRTQCDEMNO $.

  ${
    $d x y z A $.  $d x y z R $.
    $( Intersection of partial order with Cartesian product of its field.
       (Contributed by Mario Carneiro, 10-Jul-2014.) $)
    poinxp $p |- ( R Po A <-> ( R i^i ( A X. A ) ) Po A ) $=
      ( vx vy vz cv wbr wn wa wi wral cxp cin wpo wcel wb brinxp ralbidva df-po
      anbi12d anidms ad2antrr notbid adantll adantlr imbi12d ralbiia 3bitr4i
      adantr ) CFZUJBGZHZUJDFZBGZUMEFZBGZIZUJUOBGZJZIZEAKZDAKZCAKUJUJBAALMZGZHZ
      UJUMVCGZUMUOVCGZIZUJUOVCGZJZIZEAKZDAKZCAKABNAVCNVBVMCAUJAOZVAVLDAVNUMAOZI
      ZUTVKEAVPUOAOZIZULVEUSVJVRUKVDVNUKVDPZVOVQVNVSUJUJAABQUAUBUCVRUQVHURVIVRU
      NVFUPVGVPUNVFPVQUJUMAABQUIVOVQUPVGPVNUMUOAABQUDTVNVQURVIPVOUJUOAABQUEUFTR
      RUGCDEABSCDEAVCSUH $.

    $( Intersection of total order with Cartesian product of its field.
       (Contributed by Mario Carneiro, 10-Jul-2014.) $)
    soinxp $p |- ( R Or A <-> ( R i^i ( A X. A ) ) Or A ) $=
      ( vx vy wpo cv wbr weq w3o wral wa cxp cin poinxp wcel brinxp biidd df-so
      wor wb ancoms 3orbi123d ralbidva ralbiia anbi12i 3bitr4i ) ABEZCFZDFZBGZC
      DHZUIUHBGZIZDAJZCAJZKABAALMZEZUHUIUPGZUKUIUHUPGZIZDAJZCAJZKABSAUPSUGUQUOV
      BABNUNVACAUHAOZUMUTDAVCUIAOZKZUJURUKUKULUSUHUIAABPVEUKQVDVCULUSTUIUHAABPU
      AUBUCUDUECDABRCDAUPRUF $.

    $( Intersection of well-founded relation with Cartesian product of its
       field.  (Contributed by Mario Carneiro, 10-Jul-2014.) $)
    frinxp $p |- ( R Fr A <-> ( R i^i ( A X. A ) ) Fr A ) $=
      ( vz vy vx cv wss c0 wa wbr wn wral wrex wi wal wfr wb wcel ssel df-fr
      wne cxp cin anim12d brinxp ancoms notbid ralbidva rexbidva adantr pm5.74i
      syl6 impl albii 3bitr4i ) CFZAGZUPHUAZIZDFZEFZBJZKZDUPLZEUPMZNZCOUSUTVABA
      AUBUCZJZKZDUPLZEUPMZNZCOABPAVGPVFVLCUSVEVKUQVEVKQURUQVDVJEUPUQVAUPRZIZVCV
      IDUPVNUTUPRZIVBVHUQVMVOVBVHQZUQVMVOIVAARZUTARZIVPUQVMVQVOVRUPAVASUPAUTSUD
      VRVQVPUTVAAABUEUFULUMUGUHUIUJUKUNCEDABTCEDAVGTUO $.

    $( Intersection of set-like relation with Cartesian product of its field.
       (Contributed by Mario Carneiro, 22-Jun-2015.) $)
    seinxp $p |- ( R Se A <-> ( R i^i ( A X. A ) ) Se A ) $=
      ( vy vx cv wbr crab cvv wcel cxp cin wse wb brinxp ancoms rabbidva eleq1d
      wral ralbiia df-se 3bitr4i ) CEZDEZBFZCAGZHIZDARUBUCBAAJKZFZCAGZHIZDARABL
      AUGLUFUJDAUCAIZUEUIHUKUDUHCAUBAIUKUDUHMUBUCAABNOPQSDCABTDCAUGTUA $.

    $( Intersection of well-ordering with Cartesian product of its field.
       (Contributed by NM, 9-Mar-1997.)  (Revised by Mario Carneiro,
       10-Jul-2014.) $)
    weinxp $p |- ( R We A <-> ( R i^i ( A X. A ) ) We A ) $=
      ( wfr wor wa cxp cin wwe frinxp soinxp anbi12i df-we 3bitr4i ) ABCZABDZEA
      BAAFGZCZAPDZEABHAPHNQORABIABJKABLAPLM $.
  $}

  ${
    $d x y z A $.  $d x y z R $.
    $( Partial ordering of a singleton.  (Contributed by NM, 27-Apr-2009.)
       (Revised by Mario Carneiro, 23-Apr-2015.) $)
    posn $p |- ( Rel R -> ( R Po { A } <-> -. A R A ) ) $=
      ( vx vy vz cvv wpo wbr wn wb wa c0 wceq cv wi breq2 anbi2d ralsng ralbidv
      wral wrel wcel csn po0 snprc poeq2 mpbiri adantl brrelex1 stoic1a 2thd ex
      sylbi df-po imbi12d simpl syl5ib bicomd bitrd breq12 anidms notbid syl5bb
      biantrud pm2.61d2 ) BUAZAFUBZAUCZBGZAABHZIZJZVFVGIZVLVFVMKVIVKVMVIVFVMVIL
      BGZBUDVMVHLMVIVNJAUEVHLBUFUMUGUHVFVJVGAABUIUJUKULVICNZVOBHZIZVODNZBHZVREN
      ZBHZKZVOVTBHZOZKZEVHTZDVHTZCVHTZVGVKCDEVHBUNVGWHVQCVHTVKVGWGVQCVHVGWGVQVS
      VRABHZKZVOABHZOZKZDVHTVQVGWFWMDVHWEWMEAFVTAMZWDWLVQWNWBWJWCWKWNWAWIVSVTAV
      RBPQVTAVOBPUOQRSWMVQDAFVRAMZVQWMWOWLVQWJVSWOWKVSWIUPVRAVOBPUQVDURRUSSVQVK
      CAFVOAMZVPVJWPVPVJJVOAVOABUTVAVBRUSVCVE $.

    $( Strict ordering on a singleton.  (Contributed by Mario Carneiro,
       28-Dec-2014.) $)
    sosn $p |- ( Rel R -> ( R Or { A } <-> -. A R A ) ) $=
      ( vx vy csn wor wpo wrel wbr wn cv weq wral wcel wa elsni eqcomd sylan9eq
      w3o 3mix2d rgen2 df-so mpbiran2 posn syl5bb ) AEZBFZUFBGZBHAABIJUGUHCKZDK
      ZBIZCDLZUJUIBIZSZDUFMCUFMUNCDUFUFUIUFNZUJUFNZOULUKUMUOUPUIAUJUIAPUPUJAUJA
      PQRTUACDUFBUBUCABUDUE $.

    $( Founded relation on a singleton.  (Contributed by Mario Carneiro,
       28-Dec-2014.)  (Revised by Mario Carneiro, 23-Apr-2015.) $)
    frsn $p |- ( Rel R -> ( R Fr { A } <-> -. A R A ) ) $=
      ( vz vy vx cvv wfr wbr wn wa c0 wceq adantl cv wral wrex wne wi wal imp
      wrel wcel csn wb snprc fr0 freq2 mpbiri sylbi brrelex1 stoic1a 2thd df-fr
      ex wss wo sssn neor sylbb eqimss snnzg neeq1 syl5ibrcom jca imbi1d albidv
      impbida snex raleq rexeqbi1dv ceqsalv bitrdi syl5bb notbid ralbidv rexsng
      breq2 breq1 ralsng 3bitrd pm2.61d2 ) BUAZAFUBZAUCZBGZAABHZIZUDZWBWCIZWHWB
      WIJWEWGWIWEWBWIWDKLZWEAUEWJWEKBGBUFWDKBUGUHUIMWBWFWCAABUJUKULUNWCWECNZDNZ
      BHZIZCWDOZDWDPZWKABHZIZCWDOZWGWEENZWDUOZWTKQZJZWNCWTOZDWTPZRZESZWCWPEDCWD
      BUMWCXGWTWDLZXERZESWPWCXFXIEWCXCXHXEWCXCXHXCXHWCXAXBXHXAWTKLXHUPXBXHRWTAU
      QXHWTKURUSTMWCXHJXAXBXHXAWCWTWDUTMWCXHXBWCXBXHWDKQAFVAWTWDKVBVCTVDVGVEVFX
      EWPEWDAVHXDWODWTWDWNCWTWDVIVJVKVLVMWOWSDAFWLALZWNWRCWDXJWMWQWLAWKBVQVNVOV
      PWRWGCAFWKALWQWFWKAABVRVNVSVTWA $.

    $( Well-ordering of a singleton.  (Contributed by Mario Carneiro,
       28-Dec-2014.) $)
    wesn $p |- ( Rel R -> ( R We { A } <-> -. A R A ) ) $=
      ( wrel csn wfr wor wa wbr wn wwe frsn sosn anbi12d df-we pm4.24 3bitr4g )
      BCZADZBEZRBFZGAABHIZUAGRBJUAQSUATUAABKABLMRBNUAOP $.
  $}

  ${
    $d A x y $.
    $( Membership in an ordered-pair class abstraction implies membership in a
       Cartesian product.  (Contributed by Alexander van der Vekens,
       23-Jun-2018.) $)
    elopaelxp $p |- ( A e. { <. x , y >. | ps } -> A e. ( _V X. _V ) ) $=
      ( cv cop wceq wa wex copab wcel cvv cxp simpl 2eximi elopab elvv 3imtr4i
      ) DBECEFGZAHZCIBISCIBIDABCJKDLLMKTSBCSANOABCDPBCDQR $.
  $}

  ${
    $d A x y $.  $d B x y $.
    bropaex12.1 $e |- R = { <. x , y >. | ps } $.
    $( Two classes related by an ordered-pair class abstraction are sets.
       (Contributed by AV, 21-Jan-2020.) $)
    bropaex12 $p |- ( A R B -> ( A e. _V /\ B e. _V ) ) $=
      ( wbr cop cvv cxp wcel wa copab df-br eleq2i bitri elopaelxp sylbi opelxp
      sylib ) DEFHZDEIZJJKLZDJLEJLMUBUCABCNZLZUDUBUCFLUFDEFOFUEUCGPQABCUCRSDEJJ
      TUA $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( An abstraction relation is a subset of a related Cartesian product.
       (Contributed by NM, 16-Jul-1995.) $)
    opabssxp $p |- { <. x , y >. | ( ( x e. A /\ y e. B ) /\ ph ) }
                   C_ ( A X. B ) $=
      ( cv wcel wa copab cxp simpl ssopab2i df-xp sseqtrri ) BFDGCFEGHZAHZBCIOB
      CIDEJPOBCOAKLBCDEMN $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x y ps $.
    brab2a.1 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    brab2a.2 $e |- R = { <. x , y >. | ( ( x e. C /\ y e. D ) /\ ph ) } $.
    $( The law of concretion for a binary relation.  Ordered pair membership in
       an ordered pair class abstraction.  (Contributed by Mario Carneiro,
       28-Apr-2015.) $)
    brab2a $p |- ( A R B <-> ( ( A e. C /\ B e. D ) /\ ps ) ) $=
      ( wbr wcel wa cv copab cxp opabssxp eqsstri brel eleq2i opelopab2a syl5bb
      cop df-br bitri biadanii ) EFILZEGMFHMNZBEFGHIICOGMDOHMNANCDPZGHQKACDGHRS
      TUHEFUDZUJMZUIBUHUKIMULEFIUEIUJUKKUAUFABCDEFGHJUBUCUG $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y ps $.
    optocl.1 $e |- D = ( B X. C ) $.
    optocl.2 $e |- ( <. x , y >. = A -> ( ph <-> ps ) ) $.
    optocl.3 $e |- ( ( x e. B /\ y e. C ) -> ph ) $.
    $( Implicit substitution of class for ordered pair.  (Contributed by NM,
       5-Mar-1995.) $)
    optocl $p |- ( A e. D -> ps ) $=
      ( cxp wcel cv cop wceq wa wex elxp3 sylbi opelxp syl5ib exlimivv eleq2s
      imp ) BEFGLZHEUFMCNZDNZOZEPZUIUFMZQZDRCRBCDEFGSULBCDUJUKBUKAUJBUKUGFMUHGM
      QAUGUHFGUAKTJUBUEUCTIUD $.
  $}

  ${
    $d x y z w A $.  $d z w B $.  $d x y z w C $.  $d x y z w D $.
    $d x y ps $.  $d z w ch $.  $d z w R $.
    2optocl.1 $e |- R = ( C X. D ) $.
    2optocl.2 $e |- ( <. x , y >. = A -> ( ph <-> ps ) ) $.
    2optocl.3 $e |- ( <. z , w >. = B -> ( ps <-> ch ) ) $.
    2optocl.4 $e |- ( ( ( x e. C /\ y e. D ) /\ ( z e. C /\ w e. D ) ) ->
                   ph ) $.
    $( Implicit substitution of classes for ordered pairs.  (Contributed by NM,
       12-Mar-1995.) $)
    2optocl $p |- ( ( A e. R /\ B e. R ) -> ch ) $=
      ( wcel wi cv cop wceq imbi2d wa ex optocl com12 impcom ) ILQHLQZCUHBRUHCR
      FGIJKLMFSZGSZTIUABCUHOUBUHUIJQUJKQUCZBUKARUKBRDEHJKLMDSZESZTHUAABUKNUBULJ
      QUMKQUCUKAPUDUEUFUEUG $.
  $}

  ${
    $d x y z w v u A $.  $d z w v u B $.  $d v u C $.  $d x y z w v u D $.
    $d x y z w v u F $.  $d z w v u R $.  $d x y ps $.  $d z w ch $.
    $d v u th $.
    3optocl.1 $e |- R = ( D X. F ) $.
    3optocl.2 $e |- ( <. x , y >. = A -> ( ph <-> ps ) ) $.
    3optocl.3 $e |- ( <. z , w >. = B -> ( ps <-> ch ) ) $.
    3optocl.4 $e |- ( <. v , u >. = C -> ( ch <-> th ) ) $.
    3optocl.5 $e |- ( ( ( x e. D /\ y e. F ) /\ ( z e. D /\ w e. F )
                    /\ ( v e. D /\ u e. F ) ) -> ph ) $.
    $( Implicit substitution of classes for ordered pairs.  (Contributed by NM,
       12-Mar-1995.) $)
    3optocl $p |- ( ( A e. R /\ B e. R /\ C e. R ) -> th ) $=
      ( wcel wa wi cv cop wceq imbi2d 3expia 2optocl com12 optocl impcom 3impa
      ) KOUBZLOUBZMOUBZDUQUOUPUCZDURCUDURDUDIJMNPOQIUEZJUEZUFMUGCDURTUHURUSNUBU
      TPUBUCZCVAAUDVABUDVACUDEFGHKLNPOQEUEZFUEZUFKUGABVARUHGUEZHUEZUFLUGBCVASUH
      VBNUBVCPUBUCVDNUBVEPUBUCVAAUAUIUJUKULUMUN $.
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u D $.  $d x y z w v u S $.  $d x y ph $.  $d z w v u ps $.
    opbrop.1 $e |- ( ( ( z = A /\ w = B ) /\ ( v = C /\ u = D ) ) ->
                     ( ph <-> ps ) ) $.
    opbrop.2 $e |- R = { <. x , y >. | ( ( x e. ( S X. S ) /\
                      y e. ( S X. S ) ) /\
                      E. z E. w E. v E. u ( ( x = <. z , w >. /\
                      y = <. v , u >. ) /\ ph ) ) } $.
    $( Ordered pair membership in a relation.  Special case.  (Contributed by
       NM, 5-Aug-1995.) $)
    opbrop $p |- ( ( ( A e. S /\ B e. S ) /\ ( C e. S /\ D e. S ) ) ->
                   ( <. A , B >. R <. C , D >. <-> ps ) ) $=
      ( wcel wa cv wex cop wbr cxp opelxpi anim12i wceq opex eleq1 anbi1d eqeq1
      4exbidv anbi12d anbi2d brab copsex4g syl5bb mpbirand ) INQJNQRZKNQLNQRZRZ
      IJUAZKLUAZMUBZVANNUCZQZVBVDQZRZBURVEUSVFIJNNUDKLNNUDUEVCVGVAESFSUAZUFZVBG
      SHSUAZUFZRZARZHTGTFTETZRZUTVGBRCSZVDQZDSZVDQZRZVPVHUFZVRVJUFZRZARZHTGTFTE
      TZRVEVSRZVIWBRZARZHTGTFTETZRVOCDVAVBMIJUGKLUGVPVAUFZVTWFWEWIWJVQVEVSVPVAV
      DUHUIWJWDWHEFGHWJWCWGAWJWAVIWBVPVAVHUJUIUIUKULVRVBUFZWFVGWIVNWKVSVFVEVRVB
      VDUHUMWKWHVMEFGHWKWGVLAWKWBVKVIVRVBVJUJUMUIUKULPUNUTVNBVGABEFGHIJKLNNOUOU
      MUPUQ $.
  $}

  ${
    $d x y z A $.
    $( The Cartesian product with the empty set is empty.  Part of Theorem
       3.13(ii) of [Monk1] p. 37.  (Contributed by NM, 4-Jul-1994.) $)
    0xp $p |- ( (/) X. A ) = (/) $=
      ( vz vx vy c0 cxp cv wcel cop wceq wa wex noel simprl mto elxp mtbir nel0
      nex ) BEAFZBGZTHUACGZDGZIJZUBEHZUCAHZKKZDLZCLUHCUGDUGUEUBMUDUEUFNOSSCDUAE
      APQR $.
  $}

  ${
    $d A w y z $.  $d B w y z $.  $d C w y z $.  $d w x y z $.
    $( Distribute proper substitution through the Cartesian product of two
       classes.  (Contributed by Alan Sare, 10-Nov-2012.)  (Revised by NM,
       23-Aug-2018.) $)
    csbxp $p |- [_ A / x ]_ ( B X. C ) = ( [_ A / x ]_ B X. [_ A / x ]_ C ) $=
      ( vz vw vy cv wcel wex cab csb cxp wsbc sbcex2 sbcan bitri intnand eqtri
      wa cop wceq csbab cvv wb sbcg sbcel2 anbi12i a1i anbi12d sbcex con3i noel
      wn c0 neleqtrrd 2falsed pm2.61i exbii abbii copab df-opab csbeq2i 3eqtr4i
      csbprc df-xp ) ABEHFHZGHZUAUBZVGCIZVHDIZTZTZGJZFJZEKZLZVIVGABCLZIZVHABDLZ
      IZTZTZGJZFJZEKZABCDMZLVRVTMZVQVOABNZEKWFVOAEBUCWIWEEWIVNABNZFJWEVNFABOWJW
      DFWJVMABNZGJWDVMGABOWKWCGWKVIABNZVLABNZTZWCVIVLABPBUDIZWNWCUEWOWLVIWMWBVI
      ABUDUFWMWBUEWOWMVJABNZVKABNZTWBVJVKABPWPVSWQWAABVGCUGABVHDUGUHQUIUJWOUNZW
      NWCWRWMWLWMWOVLABUKULRWRWBVIWRWAVSWRVTUOVHVHUOIUNWRVHUMUIABDVEUPRRUQURQUS
      QUSQUTSABWGVPWGVLFGVAVPFGCDVFVLFGEVBSVCWHWBFGVAWFFGVRVTVFWBFGEVBSVD $.
  $}

  $( Equality theorem for the relation predicate.  (Contributed by NM,
     1-Aug-1994.) $)
  releq $p |- ( A = B -> ( Rel A <-> Rel B ) ) $=
    ( wceq cvv cxp wss wrel sseq1 df-rel 3bitr4g ) ABCADDEZFBKFAGBGABKHAIBIJ $.

  ${
    releqi.1 $e |- A = B $.
    $( Equality inference for the relation predicate.  (Contributed by NM,
       8-Dec-2006.) $)
    releqi $p |- ( Rel A <-> Rel B ) $=
      ( wceq wrel wb releq ax-mp ) ABDAEBEFCABGH $.
  $}

  ${
    releqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for the relation predicate.  (Contributed by NM,
       8-Mar-2014.) $)
    releqd $p |- ( ph -> ( Rel A <-> Rel B ) ) $=
      ( wceq wrel wb releq syl ) ABCEBFCFGDBCHI $.
  $}

  ${
    nfrel.1 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for a relation.  (Contributed by NM,
       31-Jan-2004.)  (Revised by Mario Carneiro, 15-Oct-2016.) $)
    nfrel $p |- F/ x Rel A $=
      ( wrel cvv cxp wss df-rel nfcv nfss nfxfr ) BDBEEFZGABHABLCALIJK $.
  $}

  $( Distribute proper substitution through a relation predicate.  (Contributed
     by Alexander van der Vekens, 23-Jul-2017.) $)
  sbcrel $p |- ( A e. V -> ( [. A / x ]. Rel R <-> Rel [_ A / x ]_ R ) ) $=
    ( wcel cvv cxp wss wsbc sbcssg csbconstg sseq2d bitrd df-rel sbcbii 3bitr4g
    csb wrel ) BDEZCFFGZHZABIZABCQZTHZCRZABIUCRSUBUCABTQZHUDABCTDJSUFTUCABTDKLM
    UEUAABCNOUCNP $.

  $( Subclass theorem for relation predicate.  Theorem 2 of [Suppes] p. 58.
     (Contributed by NM, 15-Aug-1994.) $)
  relss $p |- ( A C_ B -> ( Rel B -> Rel A ) ) $=
    ( wss cvv cxp wrel sstr2 df-rel 3imtr4g ) ABCBDDEZCAJCBFAFABJGBHAHI $.

  ${
    $d x y z A $.  $d x y z B $.
    $( A subclass relationship depends only on a relation's ordered pairs.
       Theorem 3.2(i) of [Monk1] p. 33.  (Contributed by NM, 2-Aug-1994.)
       (Proof shortened by Andrew Salmon, 27-Aug-2011.)  Remove dependency on
       ~ ax-sep , ~ ax-nul , ~ ax-pr .  (Revised by KP, 25-Oct-2021.) $)
    ssrel $p |- ( Rel A -> ( A C_ B <->
                A. x A. y ( <. x , y >. e. A -> <. x , y >. e. B ) ) ) $=
      ( vz wrel wss cv cop wcel wi wal ssel alrimivv wceq wex cvv dfss2 eleq1
      wa cxp df-rel sylbb copab cab df-xp df-opab eqtri abeq2i simpl sylbi sylg
      2eximi imim2i imbi12d biimprcd 2alimi 19.23vv sylib com23 a2d alimdv syl5
      syl6ibr com12 impbid2 ) CFZCDGZAHZBHZIZCJZVKDJZKZBLALZVHVNABCDVKMNVOVGVHV
      OVGEHZCJZVPDJZKZELZVHVGVQVPVKOZBPAPZKZELVOVTVGVQVPQQUAZJZKZWCEVGCWDGWFELC
      UBECWDRUCWEWBVQWEWAVIQJVJQJTZTZBPAPZWBWIEWDWDWGABUDWIEUEABQQUFWGABEUGUHUI
      WHWAABWAWGUJUMUKUNULVOWCVSEVOVQWBVRVOWBVQVRVOWAVSKZBLALWBVSKVNWJABWAVSVNW
      AVQVLVRVMVPVKCSVPVKDSUOUPUQWAVSABURUSUTVAVBVCECDRVDVEVF $.

    $( Extensionality principle for relations.  Theorem 3.2(ii) of [Monk1]
       p. 33.  (Contributed by NM, 2-Aug-1994.) $)
    eqrel $p |- ( ( Rel A /\ Rel B ) -> ( A = B <->
                A. x A. y ( <. x , y >. e. A <-> <. x , y >. e. B ) ) ) $=
      ( wrel wa wss cv cop wcel wi wal wceq ssrel bi2anan9 eqss 2albiim 3bitr4g
      wb ) CEZDEZFCDGZDCGZFAHBHIZCJZUDDJZKBLALZUFUEKBLALZFCDMUEUFSBLALTUBUGUAUC
      UHABCDNABDCNOCDPUEUFABQR $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z R $.  $d x y z S $.
    $( A subclass relationship depends only on a relation's ordered pairs.
       This version of ~ ssrel is restricted to the relation's domain.
       (Contributed by Thierry Arnoux, 25-Jan-2018.) $)
    ssrel2 $p |- ( R C_ ( A X. B ) -> ( R C_ S <-> A. x e. A A. y e. B
      ( <. x , y >. e. R -> <. x , y >. e. S ) ) ) $=
      ( vz cxp wss cv cop wcel wi wral wrex wal eleq1 r19.23v bitri dfss2 sylib
      wa ssel ralrimivv wceq imbi12d biimprcd 2ralimi ralbii com23 alimdv elxp2
      a1d a2d imbi2i albii 3imtr4g com12 impbid2 ) ECDHZIZEFIZAJZBJZKZELZVEFLZM
      ZBDNACNZVBVHABCDVBVHVCCLVDDLUBEFVEUCUMUDVIVAVBVIGJZELZVJVEUEZBDOZACOZMZGP
      ZVKVJFLZMZGPVAVBVIVOVRGVIVKVNVQVIVNVKVQVIVLVRMZBDNZACNZVNVRMZVHVSABCDVLVR
      VHVLVKVFVQVGVJVEEQVJVEFQUFUGUHWAVMVRMZACNWBVTWCACVLVRBDRUIVMVRACRSUAUJUNU
      KVAVKVJUTLZMZGPVPGEUTTWEVOGWDVNVKABVJCDULUOUPSGEFTUQURUS $.
  $}

  ${
    $d x y A $.  $d x y B $.
    relssi.1 $e |- Rel A $.
    relssi.2 $e |- ( <. x , y >. e. A -> <. x , y >. e. B ) $.
    $( Inference from subclass principle for relations.  (Contributed by NM,
       31-Mar-1998.) $)
    relssi $p |- A C_ B $=
      ( wss cv cop wcel wi wal wrel wb ssrel ax-mp ax-gen mpgbir ) CDGZAHBHIZCJ
      TDJKZBLZACMSUBALNEABCDOPUABFQR $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ph $.
    relssdv.1 $e |- ( ph -> Rel A ) $.
    relssdv.2 $e |- ( ph -> ( <. x , y >. e. A -> <. x , y >. e. B ) ) $.
    $( Deduction from subclass principle for relations.  (Contributed by NM,
       11-Sep-2004.) $)
    relssdv $p |- ( ph -> A C_ B ) $=
      ( wss cv cop wcel wi wal alrimivv wrel wb ssrel syl mpbird ) ADEHZBICIJZD
      KUAEKLZCMBMZAUBBCGNADOTUCPFBCDEQRS $.
  $}

  ${
    $d x y A $.  $d x y B $.
    eqrelriv.1 $e |- ( <. x , y >. e. A <-> <. x , y >. e. B ) $.
    $( Inference from extensionality principle for relations.  (Contributed by
       FL, 15-Oct-2012.) $)
    eqrelriv $p |- ( ( Rel A /\ Rel B ) -> A = B ) $=
      ( wrel wa wceq cv cop wcel wb wal gen2 eqrel mpbiri ) CFDFGCDHAIBIJZCKQDK
      LZBMAMRABENABCDOP $.
  $}

  ${
    $d x y A $.  $d x y B $.
    eqreliiv.1 $e |- Rel A $.
    eqreliiv.2 $e |- Rel B $.
    eqreliiv.3 $e |- ( <. x , y >. e. A <-> <. x , y >. e. B ) $.
    $( Inference from extensionality principle for relations.  (Contributed by
       NM, 17-Mar-1995.) $)
    eqrelriiv $p |- A = B $=
      ( wrel wceq eqrelriv mp2an ) CHDHCDIEFABCDGJK $.
  $}

  ${
    $d x y A $.  $d x y B $.
    eqbrriv.1 $e |- Rel A $.
    eqbrriv.2 $e |- Rel B $.
    eqbrriv.3 $e |- ( x A y <-> x B y ) $.
    $( Inference from extensionality principle for relations.  (Contributed by
       NM, 12-Dec-2006.) $)
    eqbrriv $p |- A = B $=
      ( cv wbr cop wcel df-br 3bitr3i eqrelriiv ) ABCDEFAHZBHZCIOPDIOPJZCKQDKGO
      PCLOPDLMN $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d ph x $.  $d ph y $.
    eqrelrdv.1 $e |- Rel A $.
    eqrelrdv.2 $e |- Rel B $.
    eqrelrdv.3 $e |- ( ph -> ( <. x , y >. e. A <-> <. x , y >. e. B ) ) $.
    $( Deduce equality of relations from equivalence of membership.
       (Contributed by Rodolfo Medina, 10-Oct-2010.) $)
    eqrelrdv $p |- ( ph -> A = B ) $=
      ( cv cop wcel wb wal wceq alrimivv wrel eqrel mp2an sylibr ) ABICIJZDKTEK
      LZCMBMZDENZAUABCHODPEPUCUBLFGBCDEQRS $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d ph x $.  $d ph y $.
    eqbrrdv.1 $e |- ( ph -> Rel A ) $.
    eqbrrdv.2 $e |- ( ph -> Rel B ) $.
    eqbrrdv.3 $e |- ( ph -> ( x A y <-> x B y ) ) $.
    $( Deduction from extensionality principle for relations.  (Contributed by
       Mario Carneiro, 3-Jan-2017.) $)
    eqbrrdv $p |- ( ph -> A = B ) $=
      ( wceq cv cop wcel wb wal wbr df-br 3bitr3g alrimivv wrel eqrel syl2anc
      mpbird ) ADEIZBJZCJZKZDLZUFELZMZCNBNZAUIBCAUDUEDOUDUEEOUGUHHUDUEDPUDUEEPQ
      RADSESUCUJMFGBCDETUAUB $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d ph x $.  $d ph y $.
    eqbrrdiv.1 $e |- Rel A $.
    eqbrrdiv.2 $e |- Rel B $.
    eqbrrdiv.3 $e |- ( ph -> ( x A y <-> x B y ) ) $.
    $( Deduction from extensionality principle for relations.  (Contributed by
       Rodolfo Medina, 10-Oct-2010.) $)
    eqbrrdiv $p |- ( ph -> A = B ) $=
      ( cv wbr cop wcel df-br 3bitr3g eqrelrdv ) ABCDEFGABIZCIZDJPQEJPQKZDLRELH
      PQDMPQEMNO $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d ph x $.  $d ph y $.
    eqrelrdv2.1 $e |- ( ph
       -> ( <. x , y >. e. A <-> <. x , y >. e. B ) ) $.
    $( A version of ~ eqrelrdv .  (Contributed by Rodolfo Medina,
       10-Oct-2010.) $)
    eqrelrdv2 $p |- ( ( ( Rel A /\ Rel B ) /\ ph ) -> A = B ) $=
      ( wrel wa wceq cv cop wcel wb wal alrimivv eqrel syl5ibr imp ) DGEGHZADEI
      ZATSBJCJKZDLUAELMZCNBNAUBBCFOBCDEPQR $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.
    $( A subclass relationship determined by ordered triples.  Use ~ relrelss
       to express the antecedent in terms of the relation predicate.
       (Contributed by NM, 17-Dec-2008.)  (Proof shortened by Andrew Salmon,
       27-Aug-2011.) $)
    ssrelrel $p |- ( A C_ ( ( _V X. _V ) X. _V ) -> ( A C_ B <->
                   A. x A. y A. z ( <. <. x , y >. , z >. e. A
                       -> <. <. x , y >. , z >. e. B ) ) ) $=
      ( vw cvv cxp wss cv cop wcel wi wal ssel alrimiv wex eleq1 sylib dfss2
      alrimivv wceq elvvv imbi12d biimprcd alimi 19.23v 2alimi syl5bi com23 a2d
      19.23vv alimdv 3imtr4g com12 impbid2 ) DGGHGHZIZDEIZAJBJKCJKZDLZUTELZMZCN
      ZBNANZUSVDABUSVCCDEUTOPUAVEURUSVEFJZDLZVFUQLZMZFNVGVFELZMZFNURUSVEVIVKFVE
      VGVHVJVEVHVGVJVHVFUTUBZCQZBQAQZVEVKABCVFUCVEVMVKMZBNANVNVKMVDVOABVDVLVKMZ
      CNVOVCVPCVLVKVCVLVGVAVJVBVFUTDRVFUTERUDUEUFVLVKCUGSUHVMVKABULSUIUJUKUMFDU
      QTFDETUNUOUP $.

    $( Extensionality principle for ordered triples (used by 2-place operations
       ~ df-oprab ), analogous to ~ eqrel .  Use ~ relrelss to express the
       antecedent in terms of the relation predicate.  (Contributed by NM,
       17-Dec-2008.) $)
    eqrelrel $p |- ( ( A u. B ) C_ ( ( _V X. _V ) X. _V ) -> ( A = B <->
                   A. x A. y A. z ( <. <. x , y >. , z >. e. A
                       <-> <. <. x , y >. , z >. e. B ) ) ) $=
      ( cun cvv cxp wss wa wceq cv cop wcel wb wal unss wi ssrelrel bi2anan9
      eqss 2albiim albii 19.26 bitri 3bitr4g sylbir ) DEFGGHGHZIDUHIZEUHIZJZDEK
      ZALBLMCLMZDNZUMENZOCPBPZAPZODEUHQUKDEIZEDIZJUNUORCPBPZAPZUOUNRCPBPZAPZJZU
      LUQUIURVAUJUSVCABCDESABCEDSTDEUAUQUTVBJZAPVDUPVEAUNUOBCUBUCUTVBAUDUEUFUG
      $.
  $}

  ${
    $d x y A $.
    $( A member of a relation is an ordered pair.  (Contributed by NM,
       17-Sep-2006.) $)
    elrel $p |- ( ( Rel R /\ A e. R ) -> E. x E. y A = <. x , y >. ) $=
      ( wrel wcel wa cvv cxp cop wceq wex wss df-rel biimpi sselda elvv sylib
      cv ) DEZCDFGCHHIZFCASBSJKBLALTDUACTDUAMDNOPABCQR $.
  $}

  $( The empty set is a relation.  (Contributed by NM, 26-Apr-1998.) $)
  rel0 $p |- Rel (/) $=
    ( c0 wrel cvv cxp wss 0ss df-rel mpbir ) ABACCDZEIFAGH $.

  $( The universal class is not a relation.  (Contributed by Thierry Arnoux,
     23-Jan-2022.) $)
  nrelv $p |- -. Rel _V $=
    ( cvv wrel cxp wss c0 wcel wn 0ex 0nelxp nelss mp2an df-rel mtbir ) ABAAACZ
    DZEAFENFGOGHAAIEANJKALM $.

  $( A singleton is a relation iff it is a singleton on an ordered pair.
     (Contributed by NM, 24-Sep-2013.)  (Revised by BJ, 12-Feb-2022.) $)
  relsng $p |- ( A e. V -> ( Rel { A } <-> A e. ( _V X. _V ) ) ) $=
    ( wcel csn wrel cvv cxp wss df-rel snssg bitr4id ) ABCADZELFFGZHAMCLIAMBJK
    $.

  $( An at-most-singleton is a relation iff it is empty (because it is a
     "singleton on a proper class") or it is a singleton of an ordered pair.
     (Contributed by BJ, 26-Feb-2023.) $)
  relsnb $p |- ( Rel { A } <-> ( -. A e. _V \/ A e. ( _V X. _V ) ) ) $=
    ( csn wrel cvv wcel wn cxp wo wi relsng biimpcd imor sylib wceq snprc releq
    c0 rel0 mpbiri sylbi ibir jaoi impbii ) ABZCZADEZFZADDGZEZHZUEUFUIIUJUFUEUI
    ADJKUFUILMUGUEUIUGUDQNZUEAOUKUEQCRUDQPSTUIUEAUHJUAUBUC $.

  $( A singleton of an ordered pair is a relation.  (Contributed by NM,
     17-May-1998.)  (Revised by BJ, 12-Feb-2022.) $)
  relsnopg $p |- ( ( A e. V /\ B e. W ) -> Rel { <. A , B >. } ) $=
    ( wcel wa cop csn wrel cvv cxp opelvvg wb opex relsng mp1i mpbird ) ACEBDEF
    ZABGZHIZSJJKEZABCDLSJETUAMRABNSJOPQ $.

  ${
    relsn.1 $e |- A e. _V $.
    $( A singleton is a relation iff it is an ordered pair.  (Contributed by
       NM, 24-Sep-2013.) $)
    relsn $p |- ( Rel { A } <-> A e. ( _V X. _V ) ) $=
      ( cvv wcel csn wrel cxp wb relsng ax-mp ) ACDAEFACCGDHBACIJ $.

    relsnop.2 $e |- B e. _V $.
    $( A singleton of an ordered pair is a relation.  (Contributed by NM,
       17-May-1998.)  (Revised by Mario Carneiro, 26-Apr-2015.) $)
    relsnop $p |- Rel { <. A , B >. } $=
      ( cvv wcel cop csn wrel relsnopg mp2an ) AEFBEFABGHICDABEEJK $.
  $}

  ${
    $d x y A $.  $d x y ph $.
    copsex2ga.1 $e |- ( A = <. x , y >. -> ( ph <-> ps ) ) $.
    $( Implicit substitution inference for ordered pairs.  Compare
       ~ copsex2ga .  (Contributed by NM, 12-Mar-2014.) $)
    copsex2gb $p |- ( E. x E. y ( A = <. x , y >. /\ ps )
         <-> ( A e. ( _V X. _V ) /\ ph ) ) $=
      ( cvv cxp wcel wa cv cop wceq elvv anbi1i 19.41vv pm5.32i 2exbii 3bitr2ri
      wex ) EGGHIZAJECKDKLMZDTCTZAJUBAJZDTCTUBBJZDTCTUAUCACDENOUBACDPUDUECDUBAB
      FQRS $.

    $( Implicit substitution inference for ordered pairs.  Compare ~ copsex2g .
       (Contributed by NM, 26-Feb-2014.)  (Proof shortened by Mario Carneiro,
       31-Aug-2015.) $)
    copsex2ga $p |- ( A e. ( V X. W )
        -> ( ph <-> E. x E. y ( A = <. x , y >. /\ ps ) ) ) $=
      ( cxp wcel cvv cv cop wceq wa wex wb xpss sseli copsex2gb baibr syl ) EFG
      IZJEKKIZJZAECLDLMNBODPCPZQUCUDEFGRSUFUEAABCDEHTUAUB $.

    $( Membership in an ordered-pair class abstraction.  (Contributed by NM,
       25-Feb-2014.)  (Revised by Mario Carneiro, 31-Aug-2015.) $)
    elopaba $p |- ( A e. { <. x , y >. | ps } <->
            ( A e. ( _V X. _V ) /\ ph ) ) $=
      ( copab wcel cv cop wceq wa wex cvv cxp elopab copsex2gb bitri ) EBCDGHEC
      IDIJKBLDMCMENNOHALBCDEPABCDEFQR $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( A Cartesian product is included in the power of the power of the union
       of its arguments.  (Contributed by NM, 13-Sep-2006.) $)
    xpsspw $p |- ( A X. B ) C_ ~P ~P ( A u. B ) $=
      ( vx vy cxp cun cpw relxp cv wcel csn cpr wss snssi syl elpw sylibr sylib
      wa vex opelxp ssun3 snex adantr df-pr ssun4 anim12i unss eqsstrid zfpair2
      cop jca prex dfop eleq1i prss 3bitr4ri sylbi relssi ) CDABEZABFZGZGZABHCI
      ZDIZUKZUTJVDAJZVEBJZSZVFVCJZVDVEABUAVIVDKZVBJZVDVELZVBJZSZVJVIVLVNVGVLVHV
      GVKVAMZVLVGVKAMVPVDANVKABUBOZVKVAVDUCZPQUDVIVMVAMVNVIVMVKVEKZFZVAVDVEUEVI
      VPVSVAMZSVTVAMVGVPVHWAVQVHVSBMWAVEBNVSBAUFOUGVKVSVAUHRUIVMVACDUJZPQULVKVM
      LZVCJWCVBMVJVOWCVBVKVMUMPVFWCVCVDVECTDTUNUOVKVMVBVRWBUPUQRURUS $.
  $}

  $( The double class union of a Cartesian product is included in the union of
     its arguments.  (Contributed by NM, 16-Sep-2006.) $)
  unixpss $p |- U. U. ( A X. B ) C_ ( A u. B ) $=
    ( cxp cuni cun cpw xpsspw unissi unipw sseqtri ) ABCZDZDABEZFZDMLNLNFZDNKOA
    BGHNIJHMIJ $.

  $( The union of two relations is a relation.  Compare Exercise 5 of
     [TakeutiZaring] p. 25.  (Contributed by NM, 12-Aug-1994.) $)
  relun $p |- ( Rel ( A u. B ) <-> ( Rel A /\ Rel B ) ) $=
    ( cvv cxp wss wa cun wrel unss df-rel anbi12i 3bitr4ri ) ACCDZEZBMEZFABGZME
    AHZBHZFPHABMIQNROAJBJKPJL $.

  $( The intersection with a relation is a relation.  (Contributed by NM,
     16-Aug-1994.) $)
  relin1 $p |- ( Rel A -> Rel ( A i^i B ) ) $=
    ( cin wss wrel wi inss1 relss ax-mp ) ABCZADAEJEFABGJAHI $.

  $( The intersection with a relation is a relation.  (Contributed by NM,
     17-Jan-2006.) $)
  relin2 $p |- ( Rel B -> Rel ( A i^i B ) ) $=
    ( cin wss wrel wi inss2 relss ax-mp ) ABCZBDBEJEFABGJBHI $.

  $( Intersection with a Cartesian product is a relation.  (Contributed by
     Peter Mazsa, 4-Mar-2019.) $)
  relinxp $p |- Rel ( R i^i ( A X. B ) ) $=
    ( cxp wrel cin relxp relin2 ax-mp ) ABDZECJFEABGCJHI $.

  $( A difference cutting down a relation is a relation.  (Contributed by NM,
     31-Mar-1998.) $)
  reldif $p |- ( Rel A -> Rel ( A \ B ) ) $=
    ( cdif wss wrel wi difss relss ax-mp ) ABCZADAEJEFABGJAHI $.

  ${
    $d y A $.  $d y B $.  $d x y $.
    $( An indexed union is a relation iff each member of its indexed family is
       a relation.  (Contributed by NM, 19-Dec-2008.) $)
    reliun $p |- ( Rel U_ x e. A B <-> A. x e. A Rel B ) $=
      ( vy ciun wrel cv wcel wrex cab cvv cxp wss wral df-iun releqi df-rel wal
      wi 3bitri abss dfss2 bitri ralbii ralcom4 r19.23v albii bitr4i ) ABCEZFDG
      ZCHZABIZDJZFUMKKLZMZCFZABNZUIUMADBCOPUMQUOULUJUNHZSZDRZUQULDUNUAUQUKURSZD
      RZABNVAABNZDRUTUPVBABUPCUNMVBCQDCUNUBUCUDVAADBUEVCUSDUKURABUFUGTUHT $.
  $}

  $( An indexed intersection is a relation if at least one of the member of the
     indexed family is a relation.  (Contributed by NM, 8-Mar-2014.) $)
  reliin $p |- ( E. x e. A Rel B -> Rel |^|_ x e. A B ) $=
    ( cvv cxp wss wrex ciin wrel iinss df-rel rexbii 3imtr4i ) CDDEZFZABGABCHZN
    FCIZABGPIABCNJQOABCKLPKM $.

  ${
    $d x A $.
    $( The union of a class is a relation iff any member is a relation.
       Exercise 6 of [TakeutiZaring] p. 25 and its converse.  (Contributed by
       NM, 13-Aug-2004.) $)
    reluni $p |- ( Rel U. A <-> A. x e. A Rel x ) $=
      ( cuni wrel cv ciun wral uniiun releqi reliun bitri ) BCZDABAEZFZDMDABGLN
      ABHIABMJK $.

    $( The intersection of a class is a relation if at least one member is a
       relation.  (Contributed by NM, 8-Mar-2014.) $)
    relint $p |- ( E. x e. A Rel x -> Rel |^| A ) $=
      ( cv wrel wrex ciin cint reliin intiin releqi sylibr ) ACZDABEABLFZDBGZDA
      BLHNMABIJK $.
  $}

  ${
    $d x y $.
    relopabiv.1 $e |- A = { <. x , y >. | ph } $.
    $( A class of ordered pairs is a relation.  For a version without a
       disjoint variable condition, but a longer proof using ~ ax-11 and
       ~ ax-12 , see ~ relopabi .  (Contributed by BJ, 22-Jul-2023.) $)
    relopabiv $p |- Rel A $=
      ( wrel cvv cxp wss copab cv wcel wa vex pm3.2i a1i ssopab2i df-xp 3sstr4i
      df-rel mpbir ) DFDGGHZIABCJBKGLZCKGLZMZBCJDUBAUEBCUEAUCUDBNCNOPQEBCGGRSDT
      UA $.
  $}

  ${
    $d x y $.
    $( A class of ordered pairs is a relation.  For a version without a
       disjoint variable condition, but using ~ ax-11 and ~ ax-12 , see
       ~ relopab .  (Contributed by SN, 8-Sep-2024.) $)
    relopabv $p |- Rel { <. x , y >. | ph } $=
      ( copab eqid relopabiv ) ABCABCDZGEF $.
  $}

  ${
    $d ph z $.  $d A z $.  $d u x z $.  $d u y z $.
    relopabi.1 $e |- A = { <. x , y >. | ph } $.
    $( A class of ordered pairs is a relation.  (Contributed by Mario Carneiro,
       21-Dec-2013.)  Remove dependency on ~ ax-sep , ~ ax-nul , ~ ax-pr .
       (Revised by KP, 25-Oct-2021.) $)
    relopabi $p |- Rel A $=
      ( vz vu cvv cv wcel wex cop wceq wa copab cab df-opab eqtri 2eximi syl
      wrel cxp abeq2i simpl sylbi ax6evr pm3.21 eximdv opeq2 eqtr2 eqcomd sylan
      wss mpi eximi eqcoms excomim vex pm3.2i jctr df-xp sylibr 3syl ax5e ssriv
      df-rel mpbir ) DUADHHUBZUMFDVHFIZDJZVIVHJZCKZVKVJVIBIZCIZLZMZCKBKZVIVMGIZ
      LZMZGKZBKZCKZVLVJVPANZCKBKZVQWEFDDABCOWEFPEABCFQRUCWDVPBCVPAUDSUEVQWACKBK
      WCVPWABCWAVOVIVOVIMZVNVRMZWFNZGKZWAWFWGGKWIGCUFWFWGWHGWFWGUGUHUNWHVTGWGVO
      VSMZWFVTVNVRVMUIWJWFNVSVIVOVSVIUJUKULUOTUPSWABCUQTWBVKCWBVTVMHJZVRHJZNZNZ
      GKBKZVKVTWNBGVTWMWKWLBURGURUSUTSWOFVHVHWMBGOWOFPBGHHVAWMBGFQRUCVBUOVCVKCV
      DTVEDVFVG $.
    $( $j usage 'relopabi' avoids 'ax-sep' 'ax-nul' 'ax-pr'; $)

    $( Alternate proof of ~ relopabi (shorter but uses more axioms).
       (Contributed by Mario Carneiro, 21-Dec-2013.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    relopabiALT $p |- Rel A $=
      ( vz wrel cvv cxp wss cv cop wceq wa wex cab copab df-opab wcel vex eqtri
      opelvv eleq1 mpbiri adantr exlimivv abssi eqsstri df-rel mpbir ) DGDHHIZJ
      DFKZBKZCKZLZMZANZCOBOZFPZUKDABCQUSEABCFRUAURFUKUQULUKSZBCUPUTAUPUTUOUKSUM
      UNBTCTUBULUOUKUCUDUEUFUGUHDUIUJ $.
  $}

  $( A class of ordered pairs is a relation.  (Contributed by NM, 8-Mar-1995.)
     Remove disjoint variable conditions.  (Revised by Alan Sare, 9-Jul-2013.)
     (Proof shortened by Mario Carneiro, 21-Dec-2013.) $)
  relopab $p |- Rel { <. x , y >. | ph } $=
    ( copab eqid relopabi ) ABCABCDZGEF $.

  ${
    $d A y $.  $d B y $.  $d x y $.
    $( The maps-to notation always describes a binary relation.  (Contributed
       by Scott Fenton, 16-Apr-2012.) $)
    mptrel $p |- Rel ( x e. A |-> B ) $=
      ( vy cv wcel wceq wa cmpt df-mpt relopabiv ) AEBFDECGHADABCIADBCJK $.
  $}

  ${
    $d w x y z A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d ph z w $.
    $d ps z w $.
    $( The identity relation is a relation.  Part of Exercise 4.12(p) of
       [Mendelson] p. 235.  (Contributed by NM, 26-Apr-1998.)  (Revised by
       Mario Carneiro, 21-Dec-2013.) $)
    reli $p |- Rel _I $=
      ( vx vy weq cid df-id relopabiv ) ABCABDABEF $.

    $( The membership relation is a relation.  (Contributed by NM,
       26-Apr-1998.)  (Revised by Mario Carneiro, 21-Dec-2013.) $)
    rele $p |- Rel _E $=
      ( vx vy wel cep df-eprel relopabiv ) ABCABDABEF $.

    $( A relation expressed as an ordered pair abstraction.  (Contributed by
       NM, 11-Dec-2006.) $)
    opabid2 $p |- ( Rel A -> { <. x , y >. | <. x , y >. e. A } = A ) $=
      ( vz vw wrel cv cop wcel copab wceq wb wal vex opeq1 eleq1d opelopab gen2
      opeq2 relopabv eqrel mpan mpbiri ) CFZAGZBGZHZCIZABJZCKZDGZEGZHZUIIUMCIZL
      ZEMDMZUODEUHUKUFHZCIUNABUKULDNENUEUKKUGUQCUEUKUFOPUFULKUQUMCUFULUKSPQRUIF
      UDUJUPLUHABTDEUICUAUBUC $.

    $( Intersection of two ordered pair class abstractions.  (Contributed by
       NM, 30-Sep-2002.) $)
    inopab $p |- ( { <. x , y >. | ph } i^i { <. x , y >. | ps } ) =
               { <. x , y >. | ( ph /\ ps ) } $=
      ( vz vw copab cin wa wrel relopabv relin1 ax-mp cop wcel sban vopelopabsb
      cv wsb sbbii anbi12i 3bitr4ri elin 3bitr4i eqrelriiv ) EFACDGZBCDGZHZABIZ
      CDGZUFJUHJACDKUFUGLMUICDKERFRNZUFOZUKUGOZIZUIDFSZCESZUKUHOUKUJOADFSZBDFSZ
      IZCESUQCESZURCESZIUPUNUQURCEPUOUSCEABDFPTULUTUMVAACDEFQBCDEFQUAUBUKUFUGUC
      UICDEFQUDUE $.

    $( Difference of two ordered-pair class abstractions.  (Contributed by
       Stefan O'Rear, 17-Jan-2015.) $)
    difopab $p |- ( { <. x , y >. | ph } \ { <. x , y >. | ps } ) =
        { <. x , y >. | ( ph /\ -. ps ) } $=
      ( vz vw copab wn wa wrel relopabv cv wcel wsbc sbcan sbcbii opelopabsb wb
      cvv sbcng cdif reldif ax-mp cop elv notbii 3bitr4ri anbi12i eldif 3bitr4i
      eqrelriiv ) EFACDGZBCDGZUAZABHZIZCDGZULJUNJACDKULUMUBUCUPCDKELZFLZUDZULMZ
      UTUMMZHZIZUPDUSNZCURNZUTUNMUTUQMADUSNZUODUSNZIZCURNVGCURNZVHCURNZIVFVDVGV
      HCUROVEVICURAUODUSOPVAVJVCVKACDURUSQBDUSNZHZCURNZVLCURNZHZVKVCVNVPREVLCUR
      STUEVHVMCURVHVMRFBDUSSTUEPVBVOBCDURUSQUFUGUHUGUTULUMUIUPCDURUSQUJUK $.

    $( Intersection of two Cartesian products.  Exercise 9 of [TakeutiZaring]
       p. 25.  (Contributed by NM, 3-Aug-1994.)  (Proof shortened by Andrew
       Salmon, 27-Aug-2011.) $)
    inxp $p |- ( ( A X. B ) i^i ( C X. D ) ) =
                   ( ( A i^i C ) X. ( B i^i D ) ) $=
      ( vx vy cv wcel wa copab cin cxp inopab elin anbi12i bitr4i opabbii eqtri
      an4 df-xp ineq12i 3eqtr4i ) EGZAHZFGZBHZIZEFJZUCCHZUEDHZIZEFJZKZUCACKZHZU
      EBDKZHZIZEFJZABLZCDLZKUNUPLUMUGUKIZEFJUSUGUKEFMVBUREFVBUDUIIZUFUJIZIURUDU
      FUIUJSUOVCUQVDUCACNUEBDNOPQRUTUHVAULEFABTEFCDTUAEFUNUPTUB $.

    $( Distributive law for Cartesian product over intersection.  Theorem 102
       of [Suppes] p. 52.  (Contributed by NM, 26-Sep-2004.) $)
    xpindi $p |- ( A X. ( B i^i C ) ) = ( ( A X. B ) i^i ( A X. C ) ) $=
      ( cxp cin inxp inidm xpeq1i eqtr2i ) ABDACDEAAEZBCEZDAKDABACFJAKAGHI $.

    $( Distributive law for Cartesian product over intersection.  Similar to
       Theorem 102 of [Suppes] p. 52.  (Contributed by NM, 26-Sep-2004.) $)
    xpindir $p |- ( ( A i^i B ) X. C ) = ( ( A X. C ) i^i ( B X. C ) ) $=
      ( cxp cin inxp inidm xpeq2i eqtr2i ) ACDBCDEABEZCCEZDJCDACBCFKCJCGHI $.
  $}

  ${
    $d x y z A $.  $d x y z C $.  $d y z B $.
    $( Distributive law for Cartesian product over indexed intersection.
       (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    xpiindi $p |- ( A =/= (/) ->
      ( C X. |^|_ x e. A B ) = |^|_ x e. A ( C X. B ) ) $=
      ( vy vz ciin cxp wrel wa c0 wral relxp cv wcel cvv eliin opelxp 3bitr4g
      wb wne wceq wrex rgenw r19.2z mpan2 reliin syl cop r19.28zv bicomd anbi2i
      jctil elv ralbii opex ax-mp eqrelrdv2 mpancom ) DABCGZHZIZABDCHZGZIZJBKUA
      ZVAVDUBVFVEVBVFVCIZABUCZVEVFVGABLVHVGABDCMUDVGABUEUFABVCUGUHDUTMUMVFEFVAV
      DVFENZDOZFNZUTOZJZVIVKUIZVCOZABLZVNVAOVNVDOZVFVJVKCOZABLZJZVJVRJZABLZVMVP
      VFWBVTVJVRABUJUKVLVSVJVLVSTFAVKBCPQUNULVOWAABVIVKDCRUOSVIVKDUTRVNPOVQVPTV
      IVKUPAVNBVCPQUQSURUS $.

    $( Distributive law for Cartesian product over relativized indexed
       intersection.  (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    xpriindi $p |- ( C X. ( D i^i |^|_ x e. A B ) ) =
      ( ( C X. D ) i^i |^|_ x e. A ( C X. B ) ) $=
      ( ciin cin cxp wceq c0 cvv iineq1 0iin eqtrdi ineq2d xpeq2d eqtr4d xpindi
      inv1 wne xpiindi eqtrid pm2.61ine ) DEABCFZGZHZDEHZABDCHZFZGZIBJBJIZUFUGU
      JUKUEEDUKUEEKGEUKUDKEUKUDAJCFKABJCLACMNOESNPUKUJUGKGUGUKUIKUGUKUIAJUHFKAB
      JUHLAUHMNOUGSNQBJTZUFUGDUDHZGUJDEUDRULUMUIUGABCDUAOUBUC $.
  $}

  ${
    $d y A $.  $d y B $.  $d x y C $.  $d x D $.  $d x E $.
    $( Membership in a union of Cartesian products.  Analogue of ~ elxp for
       nonconstant ` B ( x ) ` .  (Contributed by Mario Carneiro,
       29-Dec-2014.) $)
    eliunxp $p |- ( C e. U_ x e. A ( { x } X. B ) <->
      E. x E. y ( C = <. x , y >. /\ ( x e. A /\ y e. B ) ) ) $=
      ( cv csn cxp ciun wcel cop wceq wex wa wrel wral relxp rgenw reliun exbii
      mpbir elrel mpan pm4.71ri nfiu1 nfel2 19.41 19.41v eleq1 opeliunxp bitrdi
      pm5.32i bitr3i 3bitr2i ) EACAFZGZDHZIZJZEUOBFZKZLZBMZAMZUSNVCUSNZAMVBUOCJ
      UTDJNZNZBMZAMUSVDUROZUSVDVIUQOZACPVJACUPDQRACUQSUAABEURUBUCUDVCUSAAEURACU
      QUEUFUGVEVHAVEVBUSNZBMVHVBUSBUHVKVGBVBUSVFVBUSVAURJVFEVAURUIACDUTUJUKULTU
      MTUN $.

    $d x A $.
    opeliunxp2.1 $e |- ( x = C -> B = E ) $.
    $( Membership in a union of Cartesian products.  (Contributed by Mario
       Carneiro, 14-Feb-2015.) $)
    opeliunxp2 $p |- ( <. C , D >. e. U_ x e. A ( { x } X. B ) <->
      ( C e. A /\ D e. E ) ) $=
      ( cop cv csn cxp ciun wcel cvv wa wbr df-br wrel wral wb reliun brrelex1i
      relxp rgenw mpbir sylbir elex adantr nfiu1 nfel2 nfbi opeq1 eleq1d eleq2d
      nfv wceq eleq1 anbi12d bibi12d opeliunxp vtoclg1f pm5.21nii ) DEHZABAIZJZ
      CKZLZMZDNMZDBMZEFMZOZVHDEVGPVIDEVGQDEVGVGRVFRZABSVMABVECUCUDABVFUAUEUBUFV
      JVIVKDBUGUHVDEHZVGMZVDBMZECMZOZTVHVLTADNVHVLAAVCVGABVFUIUJVLAUOUKVDDUPZVO
      VHVRVLVSVNVCVGVDDEULUMVSVPVJVQVKVDDBUQVSCFEGUNURUSABCEUTVAVB $.
  $}

  ${
    $d x y z A $.  $d x z B $.  $d y z ph $.  $d x ps $.
    ralxp.1 $e |- ( x = <. y , z >. -> ( ph <-> ps ) ) $.
    $( Write a double restricted quantification as one universal quantifier.
       In this version of ~ ralxp , ` B ( y ) ` is not assumed to be constant.
       (Contributed by Mario Carneiro, 29-Dec-2014.) $)
    raliunxp $p |- ( A. x e. U_ y e. A ( { y } X. B ) ph <->
      A. y e. A A. z e. B ps ) $=
      ( cv csn cxp ciun wcel wi wal wa wral wex albii bitri wceq eliunxp imbi1i
      cop 19.23vv bitr4i alrot3 impexp opex imbi2d ceqsalv 2albii r2al 3bitr4i
      df-ral ) CIZDFDIZJGKLZMZANZCOZUQFMEIZGMPZBNZEODOZACURQBEGQDFQVAUPUQVBUDZU
      AZVCPZANZEODOZCOZVEUTVJCUTVHERDRZANVJUSVLADEFGUPUBUCVHADEUEUFSVKVICOZEODO
      VEVICDEUGVMVDDEVMVGVCANZNZCOVDVIVOCVGVCAUHSVNVDCVFUQVBUIVGABVCHUJUKTULTTA
      CURUOBDEFGUMUN $.

    $( Write a double restricted quantification as one universal quantifier.
       In this version of ~ rexxp , ` B ( y ) ` is not assumed to be constant.
       (Contributed by Mario Carneiro, 14-Feb-2015.) $)
    rexiunxp $p |- ( E. x e. U_ y e. A ( { y } X. B ) ph <->
      E. y e. A E. z e. B ps ) $=
      ( wn cv csn cxp ciun wral wrex cop wceq notbid raliunxp dfrex2 3bitr4i
      ralnex ralbii bitri notbii ) AIZCDFDJZKGLMZNZIBEGOZIZDFNZIACUHOUJDFOUIULU
      IBIZEGNZDFNULUFUMCDEFGCJUGEJPQABHRSUNUKDFBEGUBUCUDUEACUHTUJDFTUA $.

    $d y B $.
    $( Universal quantification restricted to a Cartesian product is equivalent
       to a double restricted quantification.  The hypothesis specifies an
       implicit substitution.  (Contributed by NM, 7-Feb-2004.)  (Revised by
       Mario Carneiro, 29-Dec-2014.) $)
    ralxp $p |- ( A. x e. ( A X. B ) ph <-> A. y e. A A. z e. B ps ) $=
      ( cxp wral cv csn ciun iunxpconst raleqi raliunxp bitr3i ) ACFGIZJACDFDKL
      GIMZJBEGJDFJACSRDFGNOABCDEFGHPQ $.

    $( Existential quantification restricted to a Cartesian product is
       equivalent to a double restricted quantification.  (Contributed by NM,
       11-Nov-1995.)  (Revised by Mario Carneiro, 14-Feb-2015.) $)
    rexxp $p |- ( E. x e. ( A X. B ) ph <-> E. y e. A E. z e. B ps ) $=
      ( cxp wrex cv csn ciun iunxpconst rexeqi rexiunxp bitr3i ) ACFGIZJACDFDKL
      GIMZJBEGJDFJACSRDFGNOABCDEFGHPQ $.
  $}

  ${
    $d y z ph $.  $d x ps $.  $d x y z $.
    exopxfr.1 $e |- ( x = <. y , z >. -> ( ph <-> ps ) ) $.
    $( Transfer ordered-pair existence from/to single variable existence.
       (Contributed by NM, 26-Feb-2014.)  (Proof shortened by Mario Carneiro,
       31-Aug-2015.) $)
    exopxfr $p |- ( E. x e. ( _V X. _V ) ph <-> E. y E. z ps ) $=
      ( cvv cxp wrex wex rexxp rexv exbii 3bitri ) ACGGHIBEGIZDGIODJBEJZDJABCDE
      GGFKODLOPDBELMN $.
  $}

  ${
    $d x y z A $.  $d y z ph $.  $d x ps $.
    exopxfr2.1 $e |- ( x = <. y , z >. -> ( ph <-> ps ) ) $.
    $( Transfer ordered-pair existence from/to single variable existence.
       (Contributed by NM, 26-Feb-2014.) $)
    exopxfr2 $p |- ( Rel A -> ( E. x e. A ph
              <-> E. y E. z ( <. y , z >. e. A /\ ps ) ) ) $=
      ( wrel wrex cv wcel wa cvv cxp cop wex wss df-rel biimpi sseld wceq eleq1
      adantrd pm4.71rd rexbidv2 anbi12d exopxfr bitrdi ) FHZACFICJZFKZALZCMMNZI
      DJEJOZFKZBLZEPDPUIAULCFUMUIULUJUMKZUIUKUQAUIFUMUJUIFUMQFRSTUCUDUEULUPCDEU
      JUNUAUKUOABUJUNFUBGUFUGUH $.
  $}

  ${
    $d x A $.
    $( Disjoint union is a subset of a Cartesian product.  (Contributed by
       Stefan O'Rear, 21-Nov-2014.) $)
    djussxp $p |- U_ x e. A ( { x } X. B ) C_ ( A X. _V ) $=
      ( cv csn cxp ciun cvv wss iunss wcel snssi ssv xpss12 sylancl mprgbir ) A
      BADZEZCFZGBHFZISTIZABABSTJQBKRBICHIUAQBLCMRBCHNOP $.
  $}

  ${
    $d u v w x y A $.  $d u v w x y z B $.  $d u v w ph $.  $d u v w ps $.
    ralxpf.1 $e |- F/ y ph $.
    ralxpf.2 $e |- F/ z ph $.
    ralxpf.3 $e |- F/ x ps $.
    ralxpf.4 $e |- ( x = <. y , z >. -> ( ph <-> ps ) ) $.
    $( Version of ~ ralxp with bound-variable hypotheses.  (Contributed by NM,
       18-Aug-2006.)  (Revised by Mario Carneiro, 15-Oct-2016.) $)
    ralxpf $p |- ( A. x e. ( A X. B ) ph <-> A. y e. A A. z e. B ps ) $=
      ( vw vu vv wral wsb cv wceq vex nfsbv cxp cbvralsvw ralbii nfv nfcv nfs1v
      nfralw sbequ12 ralbidv cbvralw cop wa wex wb eqvinop nfbi sbhypf sylan9bb
      opth sylbi exlimi ralxp 3bitr4ri bitri ) ACFGUAZOACLPZLVEOZBEGOZDFOZACLVE
      UBBDMPZEGOZMFOVJENPZNGOZMFOVIVGVKVMMFVJENGUBUCVHVKDMFVHMUDVJDEGDGUEBDMUFZ
      UGDQZMQZRZBVJEGBDMUHZUIUJVFVLLMNFGLQZVPNQZUKZRVSVOEQZUKZRZWCWARZULZEUMZDU
      MVFVLUNZDEVSVPVTMSNSUOWGWHDVFVLDACLDHTVJENDVNTUPWFWHEVFVLEACLEITVJENUFUPW
      DVFBWEVLABCLWCJKUQWEVQWBVTRZULBVLUNVOWBVPVTDSESUSVQBVJWIVLVRVJENUHURUTURV
      AVAUTVBVCVD $.

    $( Version of ~ rexxp with bound-variable hypotheses.  (Contributed by NM,
       19-Dec-2008.)  (Revised by Mario Carneiro, 15-Oct-2016.) $)
    rexxpf $p |- ( E. x e. ( A X. B ) ph <-> E. y e. A E. z e. B ps ) $=
      ( wn cxp wral wrex nfn cv cop wceq dfrex2 notbid ralxpf ralnex 3bitr4i
      ralbii bitri notbii ) ALZCFGMZNZLBEGOZLZDFNZLACUIOUKDFOUJUMUJBLZEGNZDFNUM
      UHUNCDEFGADHPAEIPBCJPCQDQEQRSABKUAUBUOULDFBEGUCUEUFUGACUITUKDFTUD $.
  $}

  ${
    $d w x y A $.  $d w x y z B $.  $d w C $.  $d w D $.
    iunxpf.1 $e |- F/_ y C $.
    iunxpf.2 $e |- F/_ z C $.
    iunxpf.3 $e |- F/_ x D $.
    iunxpf.4 $e |- ( x = <. y , z >. -> C = D ) $.
    $( Indexed union on a Cartesian product equals a double indexed union.  The
       hypothesis specifies an implicit substitution.  (Contributed by NM,
       19-Dec-2008.) $)
    iunxpf $p |- U_ x e. ( A X. B ) C = U_ y e. A U_ z e. B D $=
      ( vw cxp ciun cv wcel wrex nfcri cop eliun wceq eleq2d rexxpf bitri eqriv
      rexbii 3bitr4i ) LADEMZFNZBDCEGNZNZLOZFPZAUHQULGPZCEQZBDQZULUIPULUKPZUMUN
      ABCDEBLFHRCLFIRALGJRAOBOCOSUAFGULKUBUCAULUHFTUQULUJPZBDQUPBULDUJTURUOBDCU
      LEGTUFUDUGUE $.
  $}

  ${
    $d x y A $.  $d x y ph $.
    opabbi2dv.1 $e |- Rel A $.
    opabbi2dv.3 $e |- ( ph -> ( <. x , y >. e. A <-> ps ) ) $.
    $( Deduce equality of a relation and an ordered-pair class abstraction.
       Compare ~ abbi2dv .  (Contributed by NM, 24-Feb-2014.) $)
    opabbi2dv $p |- ( ph -> A = { <. x , y >. | ps } ) $=
      ( cv cop wcel copab wrel wceq opabid2 ax-mp opabbidv eqtr3id ) AECHDHIEJZ
      CDKZBCDKELSEMFCDENOARBCDGPQ $.
  $}

  ${
    $d v w x y z A $.  $d v w x y z B $.
    relop.1 $e |- A e. _V $.
    relop.2 $e |- B e. _V $.
    $( A necessary and sufficient condition for a Kuratowski ordered pair to be
       a relation.  (Contributed by NM, 3-Jun-2008.)  A relation is a class of
       ordered pairs, so the fact that an ordered pair may sometimes be itself
       a relation is an "accident" depending on the specific encoding of
       ordered pairs as classes (in set.mm, the Kuratowski encoding).  A more
       meaningful statement is ~ relsnopg , as ~ funsng is to ~ funop .
       (New usage is discouraged.) $)
    relop $p |-
            ( Rel <. A , B >. <-> E. x E. y ( A = { x } /\ B = { x , y } ) ) $=
      ( vz vw vv cop cv wceq cpr wa wex wi wal bitri weq eqeq2d cvv cxp wss csn
      wrel df-rel wcel dfss2 elop elvv imbi12i jaob albii 19.26 eqeq1 eqcom vex
      snex opeqsn bitrdi 2exbidv imbi12d spcv sneq cbvexvw ax6evr mpbiran exbii
      wo 19.41v eqid a1bi 3bitr2ri sylib prex mpi opeqpr idd preqsn simplbi syl
      eqtr2 dfsn2 preq2 eqtr2id eqtrid biimpd expd com12 adantr mpd expcom impd
      anbi12d syl5bi 2eximdv exlimiv imp syl2an sylbi simpr equid sylibr eqtr4d
      jaod jctl opeq12 spc2ev adantlr preq12 biimpa dfop eqtr4di jaodan 3imtr4g
      ex ssrdv exlimivv impbii ) CDJZUEXTUAUAUBZUCZCAKZUDZLZDYCBKZMZLZNZBOAOZXT
      UFYBYJYBGKZCUDZLZYKYCYFJZLZBOAOZPZGQZYKCDMZLZYPPZGQZNZYJYBYKXTUGZYKYAUGZP
      ZGQZUUCGXTYAUHUUGYQUUANZGQUUCUUFUUHGUUFYMYTVIZYPPUUHUUDUUIUUEYPYKCDEFUIZA
      BYKUJUKYMYPYTULRUMYQUUAGUNRRYRCHKZUDZLZHOZYSYNLZBOAOZYJUUBYRYLYLLZABSZYEN
      ZBOZAOZPZUUNYQUVBGYLCURYMYMUUQYPUVAYKYLYLUOYMYOUUSABYMYOYLYNLZUUSYKYLYNUO
      UVCYNYLLUUSYLYNUPYCYFCAUQZBUQZUSRUTVAVBVCUUNYEAOUVAUVBUUMYEHAHASZUULYDCUU
      KYCVDTVEUUTYEAUUTUURBOYEBAVFUURYEBVJVGVHUUQUVAYLVKVLVMVNUUBYSYSLZUUPYSVKU
      UAUVGUUPPGYSCDVOYTYTUVGYPUUPYKYSYSUOYTYOUUOABYKYSYNUOVAVBVCVPUUNUUPYJUUMU
      UPYJPHUUMUUOYIABUUOYICYGLZDYDLZNZVIZUUMYIUUOYNYSLUVKYSYNUPYCYFCDUVDUVEEFV
      QRUUMYIYIUVJUUMYIVRUUMUVHUVIYIUVHUUMUVIYIPZUVHUUMNZUURUVLUVMYGUULLZUURCYG
      UULWBUVNUURBHSYCYFUUKUVDUVEVSVTWAUVHUURUVLPUUMUURUVHUVLUURUVHUVIYIUURUVJY
      IUURUVHYEUVIYHUURYGYDCUURYDYCYCMZYGYCWCZYCYFYCWDZWETUURYDYGDUURYDUVOYGUVP
      UVQWFTWNWGWHWIWJWKWLWMXEWOWPWQWRWSWTYIYBABYIGXTYAYIUUIYKUUKIKZJZLZIOHOZUU
      DUUEYIUUIUWAYIYMUWAYTYEYMUWAYHYEYMNZYKYCYCJZLZUWAUWBYKYLUWCYEYMXAYEUWCYLL
      ZYMYEAASZYENUWEYEUWFAXBXFYCYCCUVDUVDUSXCWJXDUVTUWDHIYCYCUVDUVDUVFIASNUVSU
      WCYKUUKUVRYCYCXGTXHWAXIYIYTNZYOUWAUWGYKYDYGMZYNYIYTYKUWHLYIYSUWHYKCDYDYGX
      JTXKYCYFUVDUVEXLXMUVTYOHIYCYFUVDUVEUVFIBSNUVSYNYKUUKUVRYCYFXGTXHWAXNXPUUJ
      HIYKUJXOXQXRXSR $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( For sets, the identity relation is the same as equality.  (Contributed
       by NM, 30-Apr-2004.)  (Proof shortened by Andrew Salmon,
       27-Aug-2011.) $)
    ideqg $p |- ( B e. V -> ( A _I B <-> A = B ) ) $=
      ( vx vy wcel cid wbr wceq wa reli brrelex1i anim12ci eleq1 biimparc elexd
      cvv id simpl cv jca eqeq1 eqeq2 df-id brabg pm5.21nd ) BCFZABGHZABIZAQFZU
      GJUGUGUHUJUGRABGKLMUGUIJZUJUGUKACUIACFUGABCNOPUGUISUADTZETZIAUMIUIDEABQCG
      ULAUMUBUMBAUCDEUDUEUF $.
  $}

  ${
    ideq.1 $e |- B e. _V $.
    $( For sets, the identity relation is the same as equality.  (Contributed
       by NM, 13-Aug-1995.) $)
    ideq $p |- ( A _I B <-> A = B ) $=
      ( cvv wcel cid wbr wceq wb ideqg ax-mp ) BDEABFGABHICABDJK $.
  $}

  $( A set is identical to itself.  (Contributed by NM, 28-May-2008.)  (Proof
     shortened by Andrew Salmon, 27-Aug-2011.) $)
  ididg $p |- ( A e. V -> A _I A ) $=
    ( wcel cid wbr wceq eqid ideqg mpbiri ) ABCAADEAAFAGAABHI $.

  $( Two ways of expressing set existence.  (Contributed by NM, 16-Feb-2008.)
     (Proof shortened by Andrew Salmon, 27-Aug-2011.)  (Revised by Mario
     Carneiro, 26-Apr-2015.) $)
  issetid $p |- ( A e. _V <-> A _I A ) $=
    ( cvv wcel cid wbr ididg reli brrelex1i impbii ) ABCAADEABFAADGHI $.

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.
    $( Subclass theorem for composition.  (Contributed by FL, 30-Dec-2010.) $)
    coss1 $p |- ( A C_ B -> ( A o. C ) C_ ( B o. C ) ) $=
      ( vx vy vz wss cv wbr wex copab ccom ssbr anim2d eximdv ssopab2dv 3sstr4g
      wa df-co ) ABGZDHEHZCIZUAFHZAIZRZEJZDFKUBUAUCBIZRZEJZDFKACLBCLTUFUIDFTUEU
      HETUDUGUBABUAUCMNOPDFEACSDFEBCSQ $.

    $( Subclass theorem for composition.  (Contributed by NM, 5-Apr-2013.) $)
    coss2 $p |- ( A C_ B -> ( C o. A ) C_ ( C o. B ) ) $=
      ( vx vy vz wss cv wbr wex copab ccom ssbr anim1d eximdv ssopab2dv 3sstr4g
      wa df-co ) ABGZDHZEHZAIZUBFHCIZRZEJZDFKUAUBBIZUDRZEJZDFKCALCBLTUFUIDFTUEU
      HETUCUGUDABUAUBMNOPDFECASDFECBSQ $.
  $}

  $( Equality theorem for composition of two classes.  (Contributed by NM,
     3-Jan-1997.) $)
  coeq1 $p |- ( A = B -> ( A o. C ) = ( B o. C ) ) $=
    ( wss wa ccom wceq coss1 anim12i eqss 3imtr4i ) ABDZBADZEACFZBCFZDZONDZEABG
    NOGLPMQABCHBACHIABJNOJK $.

  $( Equality theorem for composition of two classes.  (Contributed by NM,
     3-Jan-1997.) $)
  coeq2 $p |- ( A = B -> ( C o. A ) = ( C o. B ) ) $=
    ( wss wa ccom wceq coss2 anim12i eqss 3imtr4i ) ABDZBADZECAFZCBFZDZONDZEABG
    NOGLPMQABCHBACHIABJNOJK $.

  ${
    coeq1i.1 $e |- A = B $.
    $( Equality inference for composition of two classes.  (Contributed by NM,
       16-Nov-2000.) $)
    coeq1i $p |- ( A o. C ) = ( B o. C ) $=
      ( wceq ccom coeq1 ax-mp ) ABEACFBCFEDABCGH $.

    $( Equality inference for composition of two classes.  (Contributed by NM,
       16-Nov-2000.) $)
    coeq2i $p |- ( C o. A ) = ( C o. B ) $=
      ( wceq ccom coeq2 ax-mp ) ABECAFCBFEDABCGH $.
  $}

  ${
    coeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for composition of two classes.  (Contributed by NM,
       16-Nov-2000.) $)
    coeq1d $p |- ( ph -> ( A o. C ) = ( B o. C ) ) $=
      ( wceq ccom coeq1 syl ) ABCFBDGCDGFEBCDHI $.

    $( Equality deduction for composition of two classes.  (Contributed by NM,
       16-Nov-2000.) $)
    coeq2d $p |- ( ph -> ( C o. A ) = ( C o. B ) ) $=
      ( wceq ccom coeq2 syl ) ABCFDBGDCGFEBCDHI $.
  $}

  ${
    coeq12i.1 $e |- A = B $.
    coeq12i.2 $e |- C = D $.
    $( Equality inference for composition of two classes.  (Contributed by FL,
       7-Jun-2012.) $)
    coeq12i $p |- ( A o. C ) = ( B o. D ) $=
      ( ccom coeq1i coeq2i eqtri ) ACGBCGBDGABCEHCDBFIJ $.
  $}

  ${
    coeq12d.1 $e |- ( ph -> A = B ) $.
    coeq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality deduction for composition of two classes.  (Contributed by FL,
       7-Jun-2012.) $)
    coeq12d $p |- ( ph -> ( A o. C ) = ( B o. D ) ) $=
      ( ccom coeq1d coeq2d eqtrd ) ABDHCDHCEHABCDFIADECGJK $.
  $}

  ${
    $d w x y z $.  $d y z w A $.  $d y z w B $.
    nfco.1 $e |- F/_ x A $.
    nfco.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for function value.  (Contributed by
       NM, 1-Sep-1999.) $)
    nfco $p |- F/_ x ( A o. B ) $=
      ( vy vw vz ccom cv wbr wa wex copab df-co nfcv nfbr nfan nfex nfopab
      nfcxfr ) ABCIFJZGJZCKZUCHJZBKZLZGMZFHNFHGBCOUHFHAUGAGUDUFAAUBUCCAUBPEAUCP
      ZQAUCUEBUIDAUEPQRSTUA $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.
    $( Ordered pair membership in a composition.  (Contributed by NM,
       24-Feb-2015.) $)
    brcog $p |- ( ( A e. V /\ B e. W ) -> ( A ( C o. D ) B <->
                   E. x ( A D x /\ x C B ) ) ) $=
      ( vy vz cv wbr wa wex ccom wceq breq1 breq2 bi2anan9 exbidv df-co brabga
      ) HJZAJZEKZUCIJZDKZLZAMBUCEKZUCCDKZLZAMHIBCDENFGUBBOZUECOZLUGUJAUKUDUHULU
      FUIUBBUCEPUECUCDQRSHIADETUA $.

    $( Ordered pair membership in a composition.  (Contributed by NM,
       27-Jan-1997.)  (Revised by Mario Carneiro, 24-Feb-2015.) $)
    opelco2g $p |- ( ( A e. V /\ B e. W ) -> ( <. A , B >. e. ( C o. D ) <->
                   E. x ( <. A , x >. e. D /\ <. x , B >. e. C ) ) ) $=
      ( wcel wa ccom wbr cv wex cop brcog df-br anbi12i exbii 3bitr3g ) BFHCGHI
      BCDEJZKBALZEKZUACDKZIZAMBCNTHBUANEHZUACNDHZIZAMABCDEFGOBCTPUDUGAUBUEUCUFB
      UAEPUACDPQRS $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x D $.  $d x X $.
    $( Ordered pair membership in a composition.  (Contributed by Thierry
       Arnoux, 14-Jan-2018.) $)
    brcogw $p |- ( ( ( A e. V /\ B e. W /\ X e. Z ) /\ ( A D X /\ X C B ) )
      -> A ( C o. D ) B ) $=
      ( vx wcel w3a wa wbr cv wex ccom 3simpa wceq breq2 breq1 spcegv 3ad2antl3
      anbi12d imp brcog biimpar syl2an2r ) AEJZBFJZGHJZKUHUILZAGDMZGBCMZLZAINZD
      MZUOBCMZLZIOZABCDPMZUHUIUJQUJUHUNUSUIUJUNUSURUNIGHUOGRUPULUQUMUOGADSUOGBC
      TUCUAUDUBUKUTUSIABCDEFUEUFUG $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d ph x $.  $d ph y $.
    eqbrrdva.1 $e |- ( ph -> A C_ ( C X. D ) ) $.
    eqbrrdva.2 $e |- ( ph -> B C_ ( C X. D ) ) $.
    eqbrrdva.3 $e |- ( ( ph /\ x e. C /\ y e. D ) -> ( x A y <-> x B y ) ) $.
    $( Deduction from extensionality principle for relations, given an
       equivalence only on the relation domain and range.  (Contributed by
       Thierry Arnoux, 28-Nov-2017.) $)
    eqbrrdva $p |- ( ph -> A = B ) $=
      ( cvv cxp wss wrel sstrdi df-rel sylibr cv wcel wbr xpss wa ssbrd brxp wb
      syl6ib 3expib pm5.21ndd eqbrrdv ) ABCDEADKKLZMDNADFGLZUJHFGUAZODPQAEUJMEN
      AEUKUJIULOEPQABRZFSZCRZGSZUBZUMUODTZUMUOETZAURUMUOUKTZUQADUKUMUOHUCUMUOFG
      UDZUFAUSUTUQAEUKUMUOIUCVAUFAUNUPURUSUEJUGUHUI $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x D $.
    opelco.1 $e |- A e. _V $.
    opelco.2 $e |- B e. _V $.
    $( Binary relation on a composition.  (Contributed by NM, 21-Sep-2004.)
       (Revised by Mario Carneiro, 24-Feb-2015.) $)
    brco $p |- ( A ( C o. D ) B <-> E. x ( A D x /\ x C B ) ) $=
      ( cvv wcel ccom wbr cv wa wex wb brcog mp2an ) BHICHIBCDEJKBALZEKRCDKMANO
      FGABCDEHHPQ $.

    $( Ordered pair membership in a composition.  (Contributed by NM,
       27-Dec-1996.)  (Revised by Mario Carneiro, 24-Feb-2015.) $)
    opelco $p |- ( <. A , B >. e. ( C o. D ) <-> E. x ( A D x /\ x C B ) ) $=
      ( cop ccom wcel wbr cv wa wex df-br brco bitr3i ) BCHDEIZJBCRKBALZEKSCDKM
      ANBCROABCDEFGPQ $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Subset theorem for converse.  (Contributed by NM, 22-Mar-1998.)  (Proof
       shortened by Kyle Wyonch, 27-Apr-2021.) $)
    cnvss $p |- ( A C_ B -> `' A C_ `' B ) $=
      ( vy vx wss cv wbr copab ccnv ssbr ssopab2dv df-cnv 3sstr4g ) ABEZCFZDFZA
      GZDCHOPBGZDCHAIBINQRDCABOPJKDCALDCBLM $.
  $}

  $( Equality theorem for converse relation.  (Contributed by NM,
     13-Aug-1995.) $)
  cnveq $p |- ( A = B -> `' A = `' B ) $=
    ( wss wa ccnv wceq cnvss anim12i eqss 3imtr4i ) ABCZBACZDAEZBEZCZNMCZDABFMN
    FKOLPABGBAGHABIMNIJ $.

  ${
    cnveqi.1 $e |- A = B $.
    $( Equality inference for converse relation.  (Contributed by NM,
       23-Dec-2008.) $)
    cnveqi $p |- `' A = `' B $=
      ( wceq ccnv cnveq ax-mp ) ABDAEBEDCABFG $.
  $}

  ${
    cnveqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for converse relation.  (Contributed by NM,
       6-Dec-2013.) $)
    cnveqd $p |- ( ph -> `' A = `' B ) $=
      ( wceq ccnv cnveq syl ) ABCEBFCFEDBCGH $.
  $}

  ${
    $d x y A $.  $d x y R $.
    $( Membership in a converse relation.  Equation 5 of [Suppes] p. 62.
       (Contributed by NM, 24-Mar-1998.) $)
    elcnv $p |- ( A e. `' R <-> E. x E. y ( A = <. x , y >. /\ y R x ) ) $=
      ( ccnv wcel cv wbr copab cop wceq wa wex df-cnv eleq2i elopab bitri ) CDE
      ZFCBGZAGZDHZABIZFCTSJKUALBMAMRUBCABDNOUAABCPQ $.

    $( Membership in a converse relation.  Equation 5 of [Suppes] p. 62.
       (Contributed by NM, 11-Aug-2004.) $)
    elcnv2 $p |- ( A e. `' R <->
                 E. x E. y ( A = <. x , y >. /\ <. y , x >. e. R ) ) $=
      ( ccnv wcel cv cop wceq wbr wa wex elcnv df-br anbi2i 2exbii bitri ) CDEF
      CAGZBGZHIZSRDJZKZBLALTSRHDFZKZBLALABCDMUBUDABUAUCTSRDNOPQ $.
  $}

  ${
    $d y z A $.  $d x y z $.
    nfcnv.1 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for converse relation.  (Contributed
       by NM, 31-Jan-2004.)  (Revised by Mario Carneiro, 15-Oct-2016.) $)
    nfcnv $p |- F/_ x `' A $=
      ( vz vy ccnv cv wbr copab df-cnv nfcv nfbr nfopab nfcxfr ) ABFDGZEGZBHZED
      IEDBJQEDAAOPBAOKCAPKLMN $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.
    $( The converse of a binary relation swaps arguments.  Theorem 11 of
       [Suppes] p. 61.  (Contributed by NM, 10-Oct-2005.) $)
    brcnvg $p |- ( ( A e. C /\ B e. D ) -> ( A `' R B <-> B R A ) ) $=
      ( vy vx cv wbr ccnv breq2 breq1 df-cnv brabg ) FHZGHZEIOAEIBAEIGFABCDEJPA
      OEKOBAELGFEMN $.
  $}

  $( Ordered-pair membership in converse relation.  (Contributed by NM,
     13-May-1999.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
  opelcnvg $p |- ( ( A e. C /\ B e. D ) ->
                              ( <. A , B >. e. `' R <-> <. B , A >. e. R ) ) $=
    ( wcel wa ccnv wbr cop brcnvg df-br 3bitr3g ) ACFBDFGABEHZIBAEIABJNFBAJEFAB
    CDEKABNLBAELM $.

  ${
    opelcnv.1 $e |- A e. _V $.
    opelcnv.2 $e |- B e. _V $.
    $( Ordered-pair membership in converse relation.  (Contributed by NM,
       13-Aug-1995.) $)
    opelcnv $p |- ( <. A , B >. e. `' R <-> <. B , A >. e. R ) $=
      ( cvv wcel cop ccnv wb opelcnvg mp2an ) AFGBFGABHCIGBAHCGJDEABFFCKL $.

    $( The converse of a binary relation swaps arguments.  Theorem 11 of
       [Suppes] p. 61.  (Contributed by NM, 13-Aug-1995.) $)
    brcnv $p |- ( A `' R B <-> B R A ) $=
      ( cvv wcel ccnv wbr wb brcnvg mp2an ) AFGBFGABCHIBACIJDEABFFCKL $.
  $}

  ${
    $d y z A $.  $d y z F $.  $d y z V $.  $d x y z $.
    $( Move class substitution in and out of the converse of a relation.
       Version of ~ csbcnvgALT without a sethood antecedent but depending on
       more axioms.  (Contributed by Thierry Arnoux, 8-Feb-2017.)  (Revised by
       NM, 23-Aug-2018.) $)
    csbcnv $p |- `' [_ A / x ]_ F = [_ A / x ]_ `' F $=
      ( vz vy csb ccnv cv wbr copab wsbc sbcbr opabbii csbopab 3eqtr4ri csbeq2i
      df-cnv eqtr4i ) ABCFZGZABDHZEHZCIZEDJZFZABCGZFUCABKZEDJUAUBSIZEDJUETUGUHE
      DABUAUBCLMUCAEDBNEDSQOABUFUDEDCQPR $.

    $( Move class substitution in and out of the converse of a relation.
       Version of ~ csbcnv with a sethood antecedent but depending on fewer
       axioms.  (Contributed by Thierry Arnoux, 8-Feb-2017.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    csbcnvgALT $p |- ( A e. V -> `' [_ A / x ]_ F = [_ A / x ]_ `' F ) $=
      ( vz vy wcel csb ccnv cv wbr copab wsbc sbcbr123 csbconstg breq12d syl5bb
      opabbidv csbopabgALT df-cnv wceq a1i 3eqtr4rd csbeq2i eqtr4di ) BDGZABCHZ
      IZABEJZFJZCKZFELZHZABCIZHUFUKABMZFELUIUJUGKZFELZUMUHUFUOUPFEUOABUIHZABUJH
      ZUGKUFUPABUIUJCNUFURUIUSUJUGABUIDOABUJDOPQRUKAFEBDSUHUQUAUFFEUGTUBUCABUNU
      LFECTUDUE $.
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( Distributive law of converse over class composition.  Theorem 26 of
       [Suppes] p. 64.  (Contributed by NM, 19-Mar-1998.)  (Proof shortened by
       Andrew Salmon, 27-Aug-2011.) $)
    cnvco $p |- `' ( A o. B ) = ( `' B o. `' A ) $=
      ( vx vy vz cv ccom wbr copab ccnv wa wex exancom brco brcnv anbi12i exbii
      vex 3bitr4i opabbii df-cnv df-co 3eqtr4i ) CFZDFZABGZHZDCIUEEFZAJZHZUHUDB
      JZHZKZELZDCIUFJUKUIGUGUNDCUDUHBHZUHUEAHZKELUPUOKZELUGUNUOUPEMEUDUEABCRZDR
      ZNUMUQEUJUPULUOUEUHAUSERZOUHUDBUTUROPQSTDCUFUADCEUKUIUBUC $.
  $}

  ${
    $d x y z w A $.
    $( The converse of a class union is the (indexed) union of the converses of
       its members.  (Contributed by NM, 11-Aug-2004.) $)
    cnvuni $p |- `' U. A = U_ x e. A `' x $=
      ( vy vz vw cuni ccnv cv ciun wcel wrex cop wa elcnv2 eluni2 anbi2i bitr4i
      wceq wex rexcom4 r19.42v 2exbii rexbii exbii 3bitrri 3bitri eliun eqriv )
      CBFZGZABAHZGZIZCHZUJJZUNULJZABKZUNUMJUOUNDHZEHZLRZUSURLZUIJZMZESDSUTVAUKJ
      ZMZABKZESZDSZUQDEUNUINVCVFDEVCUTVDABKZMVFVBVIUTAVABOPUTVDABUAQUBUQVEESZDS
      ZABKVJABKZDSVHUPVKABDEUNUKNUCVJADBTVLVGDVEAEBTUDUEUFAUNBULUGQUH $.
  $}

  ${
    $d x y A $.
    $( Alternate definition of domain.  Definition 6.5(1) of [TakeutiZaring]
       p. 24.  (Contributed by NM, 28-Dec-1996.) $)
    dfdm3 $p |- dom A = { x | E. y <. x , y >. e. A } $=
      ( cdm cv wbr wex cab cop wcel df-dm df-br exbii abbii eqtri ) CDAEZBEZCFZ
      BGZAHPQICJZBGZAHABCKSUAARTBPQCLMNO $.

    $( Alternate definition of range.  Definition 4 of [Suppes] p. 60.
       (Contributed by NM, 27-Dec-1996.) $)
    dfrn2 $p |- ran A = { y | E. x x A y } $=
      ( crn ccnv cdm cv wbr wex cab df-rn df-dm vex brcnv exbii abbii 3eqtri )
      CDCEZFBGZAGZRHZAIZBJTSCHZAIZBJCKBARLUBUDBUAUCASTCBMAMNOPQ $.

    $( Alternate definition of range.  Definition 6.5(2) of [TakeutiZaring]
       p. 24.  (Contributed by NM, 28-Dec-1996.) $)
    dfrn3 $p |- ran A = { y | E. x <. x , y >. e. A } $=
      ( crn cv wbr wex cab cop wcel dfrn2 df-br exbii abbii eqtri ) CDAEZBEZCFZ
      AGZBHPQICJZAGZBHABCKSUABRTAPQCLMNO $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Membership in a range.  (Contributed by Scott Fenton, 2-Feb-2011.) $)
    elrn2g $p |- ( A e. V -> ( A e. ran B <-> E. x <. x , A >. e. B ) ) $=
      ( vy cv cop wcel wex crn wceq opeq2 eleq1d exbidv dfrn3 elab2g ) AFZEFZGZ
      CHZAIQBGZCHZAIEBCJDRBKZTUBAUCSUACRBQLMNAECOP $.

    $( Membership in a range.  (Contributed by Scott Fenton, 2-Feb-2011.) $)
    elrng $p |- ( A e. V -> ( A e. ran B <-> E. x x B A ) ) $=
      ( wcel crn cv cop wex wbr elrn2g df-br exbii bitr4di ) BDEBCFEAGZBHCEZAIO
      BCJZAIABCDKQPAOBCLMN $.
  $}

  ${
    $d A x $.  $d B x $.
    elrn.1 $e |- A e. _V $.
    $( Membership in a range.  (Contributed by NM, 10-Jul-1994.) $)
    elrn2 $p |- ( A e. ran B <-> E. x <. x , A >. e. B ) $=
      ( cvv wcel crn cv cop wex wb elrn2g ax-mp ) BEFBCGFAHBICFAJKDABCELM $.

    $( Membership in a range.  (Contributed by NM, 2-Apr-2004.) $)
    elrn $p |- ( A e. ran B <-> E. x x B A ) $=
      ( cvv wcel crn cv wbr wex wb elrng ax-mp ) BEFBCGFAHBCIAJKDABCELM $.
  $}

  ${
    $d A a $.  $d B a $.  $d R a $.  $d Y a $.
    $( If a relation is a subset of a cartesian product, then for each element
       of the range of the relation there is an element of the first set of the
       cartesian product which is related to the element of the range by the
       relation.  (Contributed by AV, 24-Oct-2020.) $)
    ssrelrn $p |- ( ( R C_ ( A X. B ) /\ Y e. ran R ) -> E. a e. A a R Y ) $=
      ( cxp wss crn wcel wa cv wbr wex wrex wi elrng ssbr brxp simplbi syl6 ex
      ancrd adantl eximdv com23 sylbid pm2.43i impcom df-rex sylibr ) CABFZGZDC
      HZIZJEKZAIZUODCLZJZEMZUQEANUNULUSUNULUSOZUNUNUQEMZUTEDCUMPUNULVAUSUNULVAU
      SOUNULJUQUREULUQUROUNULUQUPULUQUODUKLZUPCUKUODQVBUPDBIUODABRSTUBUCUDUAUEU
      FUGUHUQEAUIUJ $.
  $}

  ${
    $d x y A $.
    $( Alternate definition of domain.  (Contributed by NM, 28-Dec-1996.) $)
    dfdm4 $p |- dom A = ran `' A $=
      ( vy vx cv wbr wex cab crn cdm vex brcnv exbii abbii dfrn2 df-dm 3eqtr4ri
      ccnv ) BDZCDZAQZEZBFZCGSRAEZBFZCGTHAIUBUDCUAUCBRSABJCJKLMBCTNCBAOP $.
  $}

  ${
    $d x y w v $.  $d w v A $.
    dfdmf.1 $e |- F/_ x A $.
    dfdmf.2 $e |- F/_ y A $.
    $( Definition of domain, using bound-variable hypotheses instead of
       distinct variable conditions.  (Contributed by NM, 8-Mar-1995.)
       (Revised by Mario Carneiro, 15-Oct-2016.) $)
    dfdmf $p |- dom A = { x | E. y x A y } $=
      ( vw vv cdm cv wbr wex cab df-dm nfcv nfbr nfv breq2 cbvexv1 abbii nfex
      weq breq1 exbidv cbvabw 3eqtri ) CHFIZGIZCJZGKZFLUFBIZCJZBKZFLAIZUJCJZBKZ
      ALFGCMUIULFUHUKGBBUFUGCBUFNEBUGNOUKGPUGUJUFCQRSULUOFAUKABAUFUJCAUFNDAUJNO
      TUOFPFAUAUKUNBUFUMUJCUBUCUDUE $.
  $}

  ${
    $d A w y $.  $d B w y $.  $d x w y $.
    $( Distribute proper substitution through the domain of a class.
       (Contributed by Alexander van der Vekens, 23-Jul-2017.)  (Revised by NM,
       24-Aug-2018.) $)
    csbdm $p |- [_ A / x ]_ dom B = dom [_ A / x ]_ B $=
      ( vy vw cv cop wcel wex cab csb cdm csbab sbcex2 sbcel2 exbii bitri abbii
      wsbc dfdm3 eqtri csbeq2i 3eqtr4i ) ABDFEFGZCHZEIZDJZKZUDABCKZHZEIZDJZABCL
      ZKUILUHUFABSZDJULUFADBMUNUKDUNUEABSZEIUKUEEABNUOUJEABUDCOPQRUAABUMUGDECTU
      BDEUITUC $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Domain membership.  Theorem 4 of [Suppes] p. 59.  (Contributed by Mario
       Carneiro, 9-Jul-2014.) $)
    eldmg $p |- ( A e. V -> ( A e. dom B <-> E. y A B y ) ) $=
      ( vx cv wbr wex cdm wceq breq1 exbidv df-dm elab2g ) EFZAFZCGZAHBPCGZAHEB
      CIDOBJQRAOBPCKLEACMN $.

    $( Domain membership.  Theorem 4 of [Suppes] p. 59.  (Contributed by NM,
       27-Jan-1997.)  (Revised by Mario Carneiro, 9-Jul-2014.) $)
    eldm2g $p |- ( A e. V -> ( A e. dom B <-> E. y <. A , y >. e. B ) ) $=
      ( wcel cdm cv wbr wex cop eldmg df-br exbii bitrdi ) BDEBCFEBAGZCHZAIBOJC
      EZAIABCDKPQABOCLMN $.
  $}

  ${
    $d y A $.  $d y B $.
    eldm.1 $e |- A e. _V $.
    $( Membership in a domain.  Theorem 4 of [Suppes] p. 59.  (Contributed by
       NM, 2-Apr-2004.) $)
    eldm $p |- ( A e. dom B <-> E. y A B y ) $=
      ( cvv wcel cdm cv wbr wex wb eldmg ax-mp ) BEFBCGFBAHCIAJKDABCELM $.

    $( Membership in a domain.  Theorem 4 of [Suppes] p. 59.  (Contributed by
       NM, 1-Aug-1994.) $)
    eldm2 $p |- ( A e. dom B <-> E. y <. A , y >. e. B ) $=
      ( cvv wcel cdm cv cop wex wb eldm2g ax-mp ) BEFBCGFBAHICFAJKDABCELM $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Subset theorem for domain.  (Contributed by NM, 11-Aug-1994.) $)
    dmss $p |- ( A C_ B -> dom A C_ dom B ) $=
      ( vx vy wss cdm cv cop wcel wex ssel eximdv vex eldm2 3imtr4g ssrdv ) ABE
      ZCAFZBFZQCGZDGHZAIZDJUABIZDJTRITSIQUBUCDABUAKLDTACMZNDTBUDNOP $.
  $}

  $( Equality theorem for domain.  (Contributed by NM, 11-Aug-1994.) $)
  dmeq $p |- ( A = B -> dom A = dom B ) $=
    ( wss wa cdm wceq dmss anim12i eqss 3imtr4i ) ABCZBACZDAEZBEZCZNMCZDABFMNFK
    OLPABGBAGHABIMNIJ $.

  ${
    dmeqi.1 $e |- A = B $.
    $( Equality inference for domain.  (Contributed by NM, 4-Mar-2004.) $)
    dmeqi $p |- dom A = dom B $=
      ( wceq cdm dmeq ax-mp ) ABDAEBEDCABFG $.
  $}

  ${
    dmeqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for domain.  (Contributed by NM, 4-Mar-2004.) $)
    dmeqd $p |- ( ph -> dom A = dom B ) $=
      ( wceq cdm dmeq syl ) ABCEBFCFEDBCGH $.
  $}

  ${
    $d y A $.  $d y B $.  $d y C $.
    opeldmd.1 $e |- ( ph -> A e. V ) $.
    opeldmd.2 $e |- ( ph -> B e. W ) $.
    $( Membership of first of an ordered pair in a domain.  Deduction version
       of ~ opeldm .  (Contributed by AV, 11-Mar-2021.) $)
    opeldmd $p |- ( ph -> ( <. A , B >. e. C -> A e. dom C ) ) $=
      ( vy cop wcel cv wex cdm wi wceq opeq2 eleq1d spcegv syl eldm2g sylibrd
      wb ) ABCJZDKZBILZJZDKZIMZBDNKZACFKUEUIOHUHUEICFUFCPUGUDDUFCBQRSTABEKUJUIU
      CGIBDEUATUB $.
  $}

  ${
    $d y A $.  $d y B $.  $d y C $.
    opeldm.1 $e |- A e. _V $.
    opeldm.2 $e |- B e. _V $.
    $( Membership of first of an ordered pair in a domain.  (Contributed by NM,
       30-Jul-1995.) $)
    opeldm $p |- ( <. A , B >. e. C -> A e. dom C ) $=
      ( vy cop wcel cv wex cdm wceq opeq2 eleq1d spcev eldm2 sylibr ) ABGZCHZAF
      IZGZCHZFJACKHUBSFBETBLUARCTBAMNOFACDPQ $.

    $( Membership of first of a binary relation in a domain.  (Contributed by
       NM, 30-Jul-1995.) $)
    breldm $p |- ( A R B -> A e. dom R ) $=
      ( wbr cop wcel cdm df-br opeldm sylbi ) ABCFABGCHACIHABCJABCDEKL $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x R $.
    $( Membership of first of a binary relation in a domain.  (Contributed by
       NM, 21-Mar-2007.) $)
    breldmg $p |- ( ( A e. C /\ B e. D /\ A R B ) -> A e. dom R ) $=
      ( vx wcel wbr cdm wa cv wex breq2 spcegv imp eldmg syl5ibr 3impib ) ACGZB
      DGZABEHZAEIGZTUAJUBSAFKZEHZFLZTUAUEUDUAFBDUCBAEMNOFAECPQR $.

    $( The domain of a union is the union of domains.  Exercise 56(a) of
       [Enderton] p. 65.  (Contributed by NM, 12-Aug-1994.)  (Proof shortened
       by Andrew Salmon, 27-Aug-2011.) $)
    dmun $p |- dom ( A u. B ) = ( dom A u. dom B ) $=
      ( vy vx cv wbr wex cab cun cdm wo unab brun exbii 19.43 abbii eqtri df-dm
      bitr2i uneq12i 3eqtr4ri ) CEZDEZAFZDGZCHZUBUCBFZDGZCHZIZUBUCABIZFZDGZCHZA
      JZBJZIUKJUJUEUHKZCHUNUEUHCLUQUMCUMUDUGKZDGUQULURDUBUCABMNUDUGDOSPQUOUFUPU
      ICDARCDBRTCDUKRUA $.

    $( The domain of an intersection is included in the intersection of the
       domains.  Theorem 6 of [Suppes] p. 60.  (Contributed by NM,
       15-Sep-2004.) $)
    dmin $p |- dom ( A i^i B ) C_ ( dom A i^i dom B ) $=
      ( vx vy cin cdm cv cop wcel wa wex 19.40 eldm2 elin exbii anbi12i 3imtr4i
      vex bitri ssriv ) CABEZFZAFZBFZEZCGZDGHZAIZUGBIZJZDKZUHDKZUIDKZJZUFUBIZUF
      UEIZUHUIDLUOUGUAIZDKUKDUFUACRZMUQUJDUGABNOSUPUFUCIZUFUDIZJUNUFUCUDNUSULUT
      UMDUFAURMDUFBURMPSQT $.
  $}

  ${
    breldmd.1 $e |- ( ph -> A e. C ) $.
    breldmd.2 $e |- ( ph -> B e. D ) $.
    breldmd.3 $e |- ( ph -> A R B ) $.
    $( Membership of first of a binary relation in a domain.  (Contributed by
       Glauco Siliprandi, 23-Apr-2023.) $)
    breldmd $p |- ( ph -> A e. dom R ) $=
      ( wcel wbr cdm breldmg syl3anc ) ABDJCEJBCFKBFLJGHIBCDEFMN $.
  $}

  ${
    $d x y z $.  $d y z A $.  $d y z B $.
    $( The domain of an indexed union.  (Contributed by Mario Carneiro,
       26-Apr-2016.) $)
    dmiun $p |- dom U_ x e. A B = U_ x e. A dom B $=
      ( vy vz ciun cdm cv cop wcel wex wrex rexcom4 eldm2 rexbii eliun 3bitr4ri
      vex exbii 3bitr4i eqriv ) DABCFZGZABCGZFZDHZEHIZUBJZEKZUFUDJZABLZUFUCJUFU
      EJUGCJZEKZABLULABLZEKUKUIULAEBMUJUMABEUFCDRZNOUHUNEAUGBCPSQEUFUBUONAUFBUD
      PTUA $.

    $d x A $.
    $( The domain of a union.  Part of Exercise 8 of [Enderton] p. 41.
       (Contributed by NM, 3-Feb-2004.) $)
    dmuni $p |- dom U. A = U_ x e. A dom x $=
      ( vy vz cuni cdm cv ciun cop wcel wex wrex excom ancom 19.41v vex 3bitr4i
      wa eldm2 exbii anbi2i bitri eluni df-rex eliun eqriv ) CBEZFZABAGZFZHZCGZ
      DGIZUGJZDKZULUJJZABLZULUHJULUKJUMUIJZUIBJZRZAKZDKZUSUPRZAKZUOUQVBUTDKZAKV
      DUTDAMVEVCAURDKZUSRUSVFRVEVCVFUSNURUSDOUPVFUSDULUICPZSUAQTUBUNVADAUMBUCTU
      PABUDQDULUGVGSAULBUJUEQUF $.
  $}

  ${
    $d x y $.
    $( The domain of a class of ordered pairs.  (Contributed by NM,
       16-May-1995.)  (Revised by Mario Carneiro, 4-Dec-2016.) $)
    dmopab $p |- dom { <. x , y >. | ph } = { x | E. y ph } $=
      ( copab cdm cv wbr wex cab nfopab1 nfopab2 dfdmf wcel df-br opabidw bitri
      cop exbii abbii eqtri ) ABCDZEBFZCFZUAGZCHZBIACHZBIBCUAABCJABCKLUEUFBUDAC
      UDUBUCQUAMAUBUCUANABCOPRST $.
  $}

  ${
    $d X x y $.  $d ps x $.
    dmopabel.d $e |- ( x = X -> ( ph <-> ps ) ) $.
    $( A set is an element of the domain of a ordered pair class abstraction
       iff there is a second set so that both sets fulfil the wff of the class
       abstraction.  (Contributed by AV, 19-Oct-2023.) $)
    dmopabelb $p |- ( X e. V -> ( X e. dom { <. x , y >. | ph }
                                  <-> E. y ps ) ) $=
      ( copab cdm wcel wex cab dmopab eleq2i cv wceq exbidv eqid elab2g syl5bb
      ) FACDHIZJFADKZCLZJFEJBDKZUAUCFACDMNUBUDCFUCECOFPABDGQUCRST $.
  $}

  ${
    $d A x y z $.  $d B i x y z $.  $d C x y z $.  $d D x y z $.  $d I x y z $.
    $d U i x y z $.  $d V i x y z $.  $d W z $.  $d X i z $.  $d i u x y z $.
    $d i v x y z $.
    $( The domain of an ordered pair class abstraction with two nested
       restricted existential quantifiers.  (Contributed by AV,
       23-Oct-2023.) $)
    dmopab2rex $p |- ( A. u e. U ( A. v e. V B e. X /\ A. i e. I D e. W )
                       -> dom { <. x , y >. | E. u e. U ( E. v e. V
                         ( x = A /\ y = B ) \/ E. i e. I ( x = C /\ y = D ) ) }
                = { x | E. u e. U ( E. v e. V x = A \/ E. i e. I x = C ) } ) $=
      ( wa wceq wrex wo wex rexbidv vz wcel wral cv copab cdm cab rexcom4 19.43
      orbi12i bitr4i rexbii bitri exlimiv elisset ibar bicomd exbidv syl5ibrcom
      wb simpl impbid2 ralrexbid adantr adantl orbi12d bitr3id cvv eqeq1 anbi1d
      dmopabelb elv vex elab 3bitr4g eqrdv ) FNUBZCLUCZHMUBZJKUCZOZDIUCZUAAUDZE
      PZBUDZFPZOZCLQZWCGPZWEHPZOZJKQZRZDIQZABUEUFZWDCLQZWIJKQZRZDIQZAUGZWBUAUDZ
      EPZWFOZCLQZXAGPZWJOZJKQZRZDIQZBSZXBCLQZXEJKQZRZDIQZXAWOUBZXAWTUBXJXCBSZCL
      QZXFBSZJKQZRZDIQZWBXNYAXHBSZDIQXJXTYBDIXTXDBSZXGBSZRYBXQYCXSYDXCCBLUHXFJB
      KUHUJXDXGBUIUKULXHDBIUHUMWAXTXMDIWAXQXKXSXLVRXQXKUTVTVQXPXBCLVQXPXBXCXBBX
      BWFVAUNVQXPXBWFBSBFNUOXBXCWFBXBWFXCXBWFUPUQURUSVBVCVDVTXSXLUTVRVSXRXEJKVS
      XRXEXFXEBXEWJVAUNVSXRXEWJBSBHMUOXEXFWJBXEWJXFXEWJUPUQURUSVBVCVEVFVCVGXOXJ
      UTUAWNXIABVHXAWCXAPZWMXHDIYEWHXDWLXGYEWGXCCLYEWDXBWFWCXAEVIZVJTYEWKXFJKYE
      WIXEWJWCXAGVIZVJTVFTVKVLWSXNAXAUAVMYEWRXMDIYEWPXKWQXLYEWDXBCLYFTYEWIXEJKY
      GTVFTVNVOVP $.
  $}

  ${
    $d x y A $.
    $( Upper bound for the domain of a restricted class of ordered pairs.
       (Contributed by NM, 31-Jan-2004.) $)
    dmopabss $p |- dom { <. x , y >. | ( x e. A /\ ph ) } C_ A $=
      ( cv wcel wa copab cdm wex cab dmopab 19.42v abbii ssab2 eqsstri ) BEDFZA
      GZBCHIRCJZBKZDRBCLTQACJZGZBKDSUBBQACMNUABDOPP $.
  $}

  ${
    $d x y A $.
    $( The domain of a restricted class of ordered pairs.  (Contributed by NM,
       31-Jan-2004.) $)
    dmopab3 $p |- ( A. x e. A E. y ph <->
               dom { <. x , y >. | ( x e. A /\ ph ) } = A ) $=
      ( wex wral cv wcel wi wal wa wb copab cdm wceq df-ral pm4.71 albii dmopab
      cab 19.42v abbii eqtri eqeq1i eqcom abeq2 3bitr2ri 3bitri ) ACEZBDFBGDHZU
      IIZBJUJUJUIKZLZBJZUJAKZBCMNZDOZUIBDPUKUMBUJUIQRUQULBTZDODUROUNUPURDUPUOCE
      ZBTURUOBCSUSULBUJACUAUBUCUDDURUEULBDUFUGUH $.
  $}

  ${
    $d x y $.
    $( The domain of the empty set is empty.  Part of Theorem 3.8(v) of [Monk1]
       p. 36.  (Contributed by NM, 4-Jul-1994.)  (Proof shortened by Andrew
       Salmon, 27-Aug-2011.) $)
    dm0 $p |- dom (/) = (/) $=
      ( vx vy c0 cdm cv wcel cop wex noel nex vex eldm2 mtbir nel0 ) ACDZAEZOFP
      BEGZCFZBHRBQIJBPCAKLMN $.

    $( The domain of the identity relation is the universe.  (Contributed by
       NM, 30-Apr-1998.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
    dmi $p |- dom _I = _V $=
      ( vx vy cid cdm cvv wceq cv wcel eqv wbr wex ax6ev vex equcom bitri exbii
      ideq mpbir eldm mpgbir ) CDZEFAGZUAHZAAUAIUCUBBGZCJZBKZUFUDUBFZBKBALUEUGB
      UEUBUDFUGUBUDBMQABNOPRBUBCAMSRT $.

    $( The domain of the universe is the universe.  (Contributed by NM,
       8-Aug-2003.) $)
    dmv $p |- dom _V = _V $=
      ( cvv cdm ssv cid dmi wss dmss ax-mp eqsstrri eqssi ) ABZAKCADBZKEDAFLKFD
      CDAGHIJ $.
  $}

  ${
    $d x y $.
    $( The domain of the membership relation is the universal class.
       (Contributed by Scott Fenton, 27-Oct-2010.)  (Proof shortened by BJ,
       26-Dec-2023.) $)
    dmep $p |- dom _E = _V $=
      ( vx vy cep cdm cvv wceq cv wcel eqv wbr wex wel el epel exbii mpbir eldm
      vex mpgbir ) CDZEFAGZTHZAATIUBUABGCJZBKZUDABLZBKABMUCUEBBUANOPBUACARQPS
      $.

    $( Obsolete proof of ~ dmep as of 26-Dec-2023.  (Contributed by Scott
       Fenton, 27-Oct-2010.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    domepOLD $p |- dom _E = _V $=
      ( vx vy weq cab cv cep wbr wex cvv cdm equid wel el exbii mpbir 2th abbii
      epel df-v df-dm 3eqtr4ri ) AACZADAEZBEFGZBHZADIFJUBUEAUBUEAKUEABLZBHABMUD
      UFBBUCRNOPQASABFTUA $.
  $}

  ${
    $d x y A $.
    $( An empty domain is equivalent to an empty range.  (Contributed by NM,
       21-May-1998.) $)
    dm0rn0 $p |- ( dom A = (/) <-> ran A = (/) ) $=
      ( vx vy cv wbr wex cab c0 wceq wcel wb wal alnex noel albii abeq1 3bitr4i
      wn nbn eqeq1i cdm crn excom xchbinx bitr4i 3bitr3i df-dm dfrn2 ) BDZCDZAE
      ZCFZBGZHIZUKBFZCGZHIZAUAZHIAUBZHIULUIHJZKZBLZUOUJHJZKZCLZUNUQULRZBLZUORZC
      LZVBVEVGUOCFZRVIVGULBFVJULBMUKBCUCUDUOCMUEVFVABUTULUINSOVHVDCVCUOUJNSOUFU
      LBHPUOCHPQURUMHBCAUGTUSUPHBCAUHTQ $.
  $}

  $( The range of the empty set is empty.  Part of Theorem 3.8(v) of [Monk1]
     p. 36.  (Contributed by NM, 4-Jul-1994.) $)
  rn0 $p |- ran (/) = (/) $=
    ( c0 cdm wceq crn dm0 dm0rn0 mpbi ) ABACADACEAFG $.

  ${
    $d x y $.
    $( The range of the membership relation is the universal class minus the
       empty set.  (Contributed by BJ, 26-Dec-2023.) $)
    rnep $p |- ran _E = ( _V \ { (/) } ) $=
      ( vy vx cep crn cv wbr wex cab cvv c0 csn cdif dfrn2 nfab1 nfcv wcel abid
      wn bicomi 3bitri wel wceq epel exbii neq0 velsn notbii velcomp eqri eqtri
      ) CDAEZBEZCFZAGZBHZIJKZLZABCMBUOUQUNBNBUQOULUOPUNULUPPZRZULUQPZUNBQUNABUA
      ZAGZULJUBZRZUSUMVAABUKUCUDVDVBAULUESVCURURVCBJUFSUGTUTUSBUPUHSTUIUJ $.
  $}

  ${
    $d x y A $.
    $( A relation is empty iff its domain is empty.  (Contributed by NM,
       15-Sep-2004.) $)
    reldm0 $p |- ( Rel A -> ( A = (/) <-> dom A = (/) ) ) $=
      ( vx vy wrel c0 wceq cv cop wcel wb wal cdm rel0 eqrel mpan2 wn eq0 alnex
      wex albii vex eldm2 xchbinxr noel nbn bitr3i bitr2i bitrdi ) ADZAEFZBGZCG
      HZAIZULEIZJZCKZBKZALZEFZUIEDUJUQJMBCAENOUSUKURIZPZBKUQBURQVAUPBVAUMPZCKZU
      PVCUMCSUTUMCRCUKABUAUBUCVBUOCUNUMULUDUETUFTUGUH $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The domain of a Cartesian product.  Part of Theorem 3.13(x) of [Monk1]
       p. 37.  (Contributed by NM, 28-Jul-1995.)  (Proof shortened by Andrew
       Salmon, 27-Aug-2011.) $)
    dmxp $p |- ( B =/= (/) -> dom ( A X. B ) = A ) $=
      ( vy vx c0 wne cxp cdm cv wcel wa copab df-xp dmeqi wex wral n0 ralrimivw
      wceq biimpi dmopab3 sylib eqtrid ) BEFZABGZHCIAJDIBJZKCDLZHZAUEUGCDABMNUD
      UFDOZCAPUHASUDUICAUDUIDBQTRUFCDAUAUBUC $.
  $}

  $( The domain of a Cartesian square.  (Contributed by NM, 28-Jul-1995.) $)
  dmxpid $p |- dom ( A X. A ) = A $=
    ( cxp cdm wceq c0 dm0 xpeq1 0xp eqtrdi dmeqd id 3eqtr4a dmxp pm2.61ine ) AA
    BZCZADAEAEDZECEPAFQOEQOEABEAEAGAHIJQKLAAMN $.

  $( The domain of the intersection of two Cartesian squares.  Unlike in
     ~ dmin , equality holds.  (Contributed by NM, 29-Jan-2008.) $)
  dmxpin $p |- dom ( ( A X. A ) i^i ( B X. B ) ) = ( A i^i B ) $=
    ( cxp cin cdm inxp dmeqi dmxpid eqtri ) AACBBCDZEABDZKCZEKJLAABBFGKHI $.

  $( The Cartesian square is a one-to-one construction.  (Contributed by NM,
     5-Nov-2006.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
  xpid11 $p |- ( ( A X. A ) = ( B X. B ) <-> A = B ) $=
    ( cxp wceq cdm dmeq dmxpid 3eqtr3g xpeq12 anidms impbii ) AACZBBCZDZABDZNLE
    MEABLMFAGBGHONABABIJK $.

  $( The domain of the double converse of a class is equal to its domain (even
     when that class in not a relation, in which case ~ dfrel2 gives another
     proof).  (Contributed by NM, 8-Apr-2007.) $)
  dmcnvcnv $p |- dom `' `' A = dom A $=
    ( cdm ccnv crn dfdm4 df-rn eqtr2i ) ABACZDHCBAEHFG $.

  $( The range of the double converse of a class is equal to its range (even
     when that class in not a relation).  (Contributed by NM, 8-Apr-2007.) $)
  rncnvcnv $p |- ran `' `' A = ran A $=
    ( crn ccnv cdm df-rn dfdm4 eqtr2i ) ABACZDHCBAEHFG $.

  ${
    $d x y A $.  $d x y B $.
    $( The first member of an ordered pair in a relation belongs to the domain
       of the relation (see ~ op1stb ).  (Contributed by NM, 28-Jul-2004.) $)
    elreldm $p |- ( ( Rel A /\ B e. A ) -> |^| |^| B e. dom A ) $=
      ( vx vy wrel wcel cint cdm cv cop wceq wex cvv cxp wss wi df-rel ssel vex
      sylbi elvv syl6ib eleq1 opeldm syl6bi inteqd op1stb eqtrdi eleq1d sylibrd
      inteq exlimivv syli imp ) AEZBAFZBGZGZAHZFZUPUOBCIZDIZJZKZDLCLZUTUOUPBMMN
      ZFZVEUOAVFOUPVGPAQAVFBRTCDBUAUBVDUPUTPCDVDUPVAUSFZUTVDUPVCAFVHBVCAUCVAVBA
      CSZDSZUDUEVDURVAUSVDURVCGZGVAVDUQVKBVCUKUFVAVBVIVJUGUHUIUJULUMUN $.
  $}

  $( Equality theorem for range.  (Contributed by NM, 29-Dec-1996.) $)
  rneq $p |- ( A = B -> ran A = ran B ) $=
    ( wceq ccnv cdm crn cnveq dmeqd df-rn 3eqtr4g ) ABCZADZEBDZEAFBFKLMABGHAIBI
    J $.

  ${
    rneqi.1 $e |- A = B $.
    $( Equality inference for range.  (Contributed by NM, 4-Mar-2004.) $)
    rneqi $p |- ran A = ran B $=
      ( wceq crn rneq ax-mp ) ABDAEBEDCABFG $.
  $}

  ${
    rneqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for range.  (Contributed by NM, 4-Mar-2004.) $)
    rneqd $p |- ( ph -> ran A = ran B ) $=
      ( wceq crn rneq syl ) ABCEBFCFEDBCGH $.
  $}

  $( Subset theorem for range.  (Contributed by NM, 22-Mar-1998.) $)
  rnss $p |- ( A C_ B -> ran A C_ ran B ) $=
    ( wss ccnv cdm crn cnvss dmss syl df-rn 3sstr4g ) ABCZADZEZBDZEZAFBFLMOCNPC
    ABGMOHIAJBJK $.

  ${
    rnssi.1 $e |- A C_ B $.
    $( Subclass inference for range.  (Contributed by Peter Mazsa,
       24-Sep-2022.) $)
    rnssi $p |- ran A C_ ran B $=
      ( wss crn rnss ax-mp ) ABDAEBEDCABFG $.
  $}

  $( The second argument of a binary relation belongs to its range.
     (Contributed by NM, 29-Jun-2008.) $)
  brelrng $p |- ( ( A e. F /\ B e. G /\ A C B ) -> B e. ran C ) $=
    ( wcel wbr w3a ccnv cdm crn wb brcnvg ancoms biimp3ar 3com12 syld3an3 df-rn
    breldmg eleqtrrdi ) ADFZBEFZABCGZHBCIZJZCKUAUBUCBAUDGZBUEFZUAUBUFUCUBUAUFUC
    LBAEDCMNOUBUAUFUGBAEDUDSPQCRT $.

  ${
    brelrn.1 $e |- A e. _V $.
    brelrn.2 $e |- B e. _V $.
    $( The second argument of a binary relation belongs to its range.
       (Contributed by NM, 13-Aug-2004.) $)
    brelrn $p |- ( A C B -> B e. ran C ) $=
      ( cvv wcel wbr crn brelrng mp3an12 ) AFGBFGABCHBCIGDEABCFFJK $.

    $( Membership of second member of an ordered pair in a range.  (Contributed
       by NM, 23-Feb-1997.) $)
    opelrn $p |- ( <. A , B >. e. C -> B e. ran C ) $=
      ( cop wcel wbr crn df-br brelrn sylbir ) ABFCGABCHBCIGABCJABCDEKL $.
  $}

  $( The first argument of a binary relation belongs to its domain.  Note that
     ` A R B ` does not imply ` Rel R ` : see for example ~ nrelv and ~ brv .
     (Contributed by NM, 2-Jul-2008.) $)
  releldm $p |- ( ( Rel R /\ A R B ) -> A e. dom R ) $=
    ( wrel wbr wa cvv wcel cdm brrelex1 brrelex2 simpr breldmg syl3anc ) CDZABC
    EZFAGHBGHPACIHABCJABCKOPLABGGCMN $.

  $( The second argument of a binary relation belongs to its range.
     (Contributed by NM, 2-Jul-2008.) $)
  relelrn $p |- ( ( Rel R /\ A R B ) -> B e. ran R ) $=
    ( wrel wbr wa cvv wcel crn brrelex1 brrelex2 simpr brelrng syl3anc ) CDZABC
    EZFAGHBGHPBCIHABCJABCKOPLABCGGMN $.

  ${
    $d x A $.  $d x R $.
    $( Membership in a domain.  (Contributed by Mario Carneiro, 5-Nov-2015.) $)
    releldmb $p |- ( Rel R -> ( A e. dom R <-> E. x A R x ) ) $=
      ( wrel cdm wcel cv wbr wex eldmg ibi releldm ex exlimdv impbid2 ) CDZBCEZ
      FZBAGZCHZAIZRUAABCQJKPTRAPTRBSCLMNO $.

    $( Membership in a range.  (Contributed by Mario Carneiro, 5-Nov-2015.) $)
    relelrnb $p |- ( Rel R -> ( A e. ran R <-> E. x x R A ) ) $=
      ( wrel crn wcel cv wbr wex elrng ibi relelrn ex exlimdv impbid2 ) CDZBCEZ
      FZAGZBCHZAIZRUAABCQJKPTRAPTRSBCLMNO $.
  $}

  ${
    releldm.1 $e |- Rel R $.
    $( The first argument of a binary relation belongs to its domain.
       (Contributed by NM, 28-Apr-2015.) $)
    releldmi $p |- ( A R B -> A e. dom R ) $=
      ( wrel wbr cdm wcel releldm mpan ) CEABCFACGHDABCIJ $.

    $( The second argument of a binary relation belongs to its range.
       (Contributed by NM, 28-Apr-2015.) $)
    relelrni $p |- ( A R B -> B e. ran R ) $=
      ( wrel wbr crn wcel relelrn mpan ) CEABCFBCGHDABCIJ $.
  $}

  ${
    $d x y w v $.  $d w v A $.
    dfrnf.1 $e |- F/_ x A $.
    dfrnf.2 $e |- F/_ y A $.
    $( Definition of range, using bound-variable hypotheses instead of distinct
       variable conditions.  (Contributed by NM, 14-Aug-1995.)  (Revised by
       Mario Carneiro, 15-Oct-2016.) $)
    dfrnf $p |- ran A = { y | E. x x A y } $=
      ( vv vw crn cv wbr wex cab dfrn2 nfcv nfbr nfv breq1 cbvexv1 abbii nfex
      weq breq2 exbidv cbvabw 3eqtri ) CHFIZGIZCJZFKZGLAIZUGCJZAKZGLUJBIZCJZAKZ
      BLFGCMUIULGUHUKFAAUFUGCAUFNDAUGNOUKFPUFUJUGCQRSULUOGBUKBABUJUGCBUJNEBUGNO
      TUOGPGBUAUKUNAUGUMUJCUBUCUDUE $.
  $}

  ${
    $d x y z $.  $d y z A $.
    nfrn.1 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for domain.  (Contributed by NM,
       30-Jan-2004.)  (Revised by Mario Carneiro, 15-Oct-2016.) $)
    nfdm $p |- F/_ x dom A $=
      ( vy vz cdm cv wbr wex cab df-dm nfcv nfbr nfex nfab nfcxfr ) ABFDGZEGZBH
      ZEIZDJDEBKTADSAEAQRBAQLCARLMNOP $.

    $( Bound-variable hypothesis builder for range.  (Contributed by NM,
       1-Sep-1999.)  (Revised by Mario Carneiro, 15-Oct-2016.) $)
    nfrn $p |- F/_ x ran A $=
      ( crn ccnv cdm df-rn nfcnv nfdm nfcxfr ) ABDBEZFBGAKABCHIJ $.
  $}

  $( Domain of an intersection.  (Contributed by FL, 15-Oct-2012.) $)
  dmiin $p |- dom |^|_ x e. A B C_ |^|_ x e. A dom B $=
    ( ciin cdm wss nfii1 nfdm ssiinf cv wcel iinss2 dmss syl mprgbir ) ABCDZEZA
    BCEZDFQRFZABABRQAPABCGHIAJBKPCFSABCLPCMNO $.

  ${
    $d x y $.
    $( The range of a class of ordered pairs.  (Contributed by NM,
       14-Aug-1995.)  (Revised by Mario Carneiro, 4-Dec-2016.) $)
    rnopab $p |- ran { <. x , y >. | ph } = { y | E. x ph } $=
      ( copab crn cv wbr wex cab nfopab1 nfopab2 dfrnf wcel df-br opabidw bitri
      cop exbii abbii eqtri ) ABCDZEBFZCFZUAGZBHZCIABHZCIBCUAABCJABCKLUEUFCUDAB
      UDUBUCQUAMAUBUCUANABCOPRST $.
  $}

  ${
    $d y z A $.  $d y z B $.  $d x y z C $.
    rnmpt.1 $e |- F = ( x e. A |-> B ) $.
    $( The range of a function in maps-to notation.  (Contributed by Scott
       Fenton, 21-Mar-2011.)  (Revised by Mario Carneiro, 31-Aug-2015.) $)
    rnmpt $p |- ran F = { y | E. x e. A y = B } $=
      ( cv wcel wceq wa copab crn wex cab wrex rnopab cmpt df-mpt eqtri rneqi
      df-rex abbii 3eqtr4i ) AGCHBGDIZJZABKZLUEAMZBNELUDACOZBNUEABPEUFEACDQUFFA
      BCDRSTUHUGBUDACUAUBUC $.

    $( The range of a function in maps-to notation.  (Contributed by Mario
       Carneiro, 20-Feb-2015.) $)
    elrnmpt $p |- ( C e. V -> ( C e. ran F <-> E. x e. A C = B ) ) $=
      ( vy cv wceq wrex crn eqeq1 rexbidv rnmpt elab2g ) HIZCJZABKDCJZABKHDELFQ
      DJRSABQDCMNAHBCEGOP $.

    ${
      $d x A $.  $d x D $.
      elrnmpt1s.1 $e |- ( x = D -> B = C ) $.
      $( Elementhood in an image set.  (Contributed by Mario Carneiro,
         12-Sep-2015.) $)
      elrnmpt1s $p |- ( ( D e. A /\ C e. V ) -> C e. ran F ) $=
        ( wcel wceq wrex crn eqid rspceeqv mpan2 elrnmpt biimparc sylan ) EBJZD
        CKABLZDGJZDFMJZTDDKUADNAEBCDDIOPUBUCUAABCDFGHQRS $.
    $}

    $( Elementhood in an image set.  (Contributed by Mario Carneiro,
       31-Aug-2015.) $)
    elrnmpt1 $p |- ( ( x e. A /\ B e. V ) -> B e. ran F ) $=
      ( vz vy wcel cv crn csb wceq wa wex vex wb id csbeq1a nfcsb1v bitr2d wrex
      eleq12d biantrud equcoms spcev df-rex nfv nfcri nfeq2 nfan eqeq2d anbi12d
      cbvexv1 bitri eqeq1 anbi2d exbidv syl5bb rnmpt elab2g syl5ibr impcom ) CE
      IZAJZBIZCDKZIZVFVHVDGJZAVIBLZIZCAVICLZMZNZGOZVNVFGVEAPVNVFQAGVEVIMZVFVKVN
      VPVEVIBVJVPRAVIBSUCZVPVMVKAVICSZUDUAUEUFHJZCMZABUBZVOHCVGEWAVKVSVLMZNZGOZ
      VTVOWAVFVTNZAOWDVTABUGWEWCAGWEGUHVKWBAAGVJAVIBTUIAVSVLAVICTUJUKVPVFVKVTWB
      VQVPCVLVSVRULUMUNUOVTWCVNGVTWBVMVKVSCVLUPUQURUSAHBCDFUTVAVBVC $.

    $( Membership in the range of a function.  (Contributed by NM,
       27-Aug-2007.)  (Revised by Mario Carneiro, 31-Aug-2015.) $)
    elrnmptg $p |- ( A. x e. A B e. V ->
      ( C e. ran F <-> E. x e. A C = B ) ) $=
      ( vy crn wcel cv wceq wrex cab wral rnmpt eleq2i cvv wa syl wi wb rexbidv
      r19.29 eleq1 biimparc elexd rexlimivw ex eqeq1 elab3g syl5bb ) DEIZJDHKZC
      LZABMZHNZJZCFJZABOZDCLZABMZUMUQDAHBCEGPQUTVBDRJZUAURVBUBUTVBVCUTVBSUSVASZ
      ABMVCUSVAABUDVDVCABVDDFVADFJUSDCFUEUFUGUHTUIUPVBHDRUNDLUOVAABUNDCUJUCUKTU
      L $.

    elrnmpti.2 $e |- B e. _V $.
    $( Membership in the range of a function.  (Contributed by NM,
       30-Aug-2004.)  (Revised by Mario Carneiro, 31-Aug-2015.) $)
    elrnmpti $p |- ( C e. ran F <-> E. x e. A C = B ) $=
      ( cvv wcel wral crn wceq wrex wb rgenw elrnmptg ax-mp ) CHIZABJDEKIDCLABM
      NRABGOABCDEHFPQ $.
  $}

  ${
    $d C x $.
    elrnmptd.f $e |- F = ( x e. A |-> B ) $.
    elrnmptd.x $e |- ( ph -> E. x e. A C = B ) $.
    elrnmptd.c $e |- ( ph -> C e. V ) $.
    $( The range of a function in maps-to notation.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    elrnmptd $p |- ( ph -> C e. ran F ) $=
      ( crn wcel wceq wrex wb elrnmpt syl mpbird ) AEFKLZEDMBCNZIAEGLSTOJBCDEFG
      HPQR $.
  $}

  ${
    $d D x $.  $d x A $.  $d x C $.  $d x ph $.
    elrnmptdv.1 $e |- F = ( x e. A |-> B ) $.
    elrnmptdv.2 $e |- ( ph -> C e. A ) $.
    elrnmptdv.3 $e |- ( ph -> D e. V ) $.
    elrnmptdv.4 $e |- ( ( ph /\ x = C ) -> D = B ) $.
    $( Elementhood in the range of a function in maps-to notation, deduction
       form.  (Contributed by Rohan Ridenour, 3-Aug-2023.) $)
    elrnmptdv $p |- ( ph -> D e. ran F ) $=
      ( crn wcel wceq wrex rspcime wb elrnmpt syl mpbird ) AFGMNZFDOZBCPZAUCBEC
      LJQAFHNUBUDRKBCDFGHISTUA $.
  $}

  ${
    $d x C $.
    elrnmpt2d.1 $e |- F = ( x e. A |-> B ) $.
    elrnmpt2d.2 $e |- ( ph -> C e. ran F ) $.
    $( Elementhood in the range of a function in maps-to notation, deduction
       form.  (Contributed by Rohan Ridenour, 3-Aug-2023.) $)
    elrnmpt2d $p |- ( ph -> E. x e. A C = B ) $=
      ( crn wcel wceq wrex elrnmpt ibi syl ) AEFIZJZEDKBCLZHQRBCDEFPGMNO $.
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    $( Alternate definition of indexed union when ` B ` is a set.  (Contributed
       by Mario Carneiro, 31-Aug-2015.) $)
    dfiun3g $p |- ( A. x e. A B e. C ->
                  U_ x e. A B = U. ran ( x e. A |-> B ) ) $=
      ( vy wcel wral ciun wceq wrex cab cuni cmpt crn dfiun2g eqid rnmpt unieqi
      cv eqtr4di ) CDFABGABCHESCIABJEKZLABCMZNZLAEBCDOUCUAAEBCUBUBPQRT $.

    $( Alternate definition of indexed intersection when ` B ` is a set.
       (Contributed by Mario Carneiro, 31-Aug-2015.) $)
    dfiin3g $p |- ( A. x e. A B e. C
               -> |^|_ x e. A B = |^| ran ( x e. A |-> B ) ) $=
      ( vy wcel wral ciin wceq wrex cab cint cmpt crn dfiin2g eqid rnmpt inteqi
      cv eqtr4di ) CDFABGABCHESCIABJEKZLABCMZNZLAEBCDOUCUAAEBCUBUBPQRT $.
  $}

  ${
    dfiun3.1 $e |- B e. _V $.
    $( Alternate definition of indexed union when ` B ` is a set.  (Contributed
       by Mario Carneiro, 31-Aug-2015.) $)
    dfiun3 $p |- U_ x e. A B = U. ran ( x e. A |-> B ) $=
      ( cvv wcel ciun cmpt crn cuni wceq dfiun3g cv a1i mprg ) CEFZABCGABCHIJKA
      BABCELPAMBFDNO $.

    $( Alternate definition of indexed intersection when ` B ` is a set.
       (Contributed by Mario Carneiro, 31-Aug-2015.) $)
    dfiin3 $p |- |^|_ x e. A B = |^| ran ( x e. A |-> B ) $=
      ( cvv wcel ciin cmpt crn cint wceq dfiin3g cv a1i mprg ) CEFZABCGABCHIJKA
      BABCELPAMBFDNO $.
  $}

  ${
    $d V k $.  $d X k $.
    $( Express a relative indexed intersection as an intersection.
       (Contributed by Stefan O'Rear, 22-Feb-2015.) $)
    riinint $p |- ( ( X e. V /\ A. k e. I S C_ X ) ->
        ( X i^i |^|_ k e. I S ) = |^| ( { X } u. ran ( k e. I |-> S ) ) ) $=
      ( wcel wss wral wa ciin cin cmpt crn cint csn cun cvv wceq ssexg expcom
      ralimdv imp dfiin3g syl ineq2d intun intsng adantr ineq1d eqtrid eqtr4d )
      EDFZAEGZBCHZIZEBCAJZKEBCALMZNZKZEOZUQPNZUOUPUREUOAQFZBCHZUPURRULUNVCULUMV
      BBCUMULVBAEDSTUAUBBCAQUCUDUEUOVAUTNZURKUSUTUQUFUOVDEURULVDERUNEDUGUHUIUJU
      K $.
  $}

  ${
    $d x y A $.
    $( A relation is empty iff its range is empty.  (Contributed by NM,
       15-Sep-2004.) $)
    relrn0 $p |- ( Rel A -> ( A = (/) <-> ran A = (/) ) ) $=
      ( wrel c0 wceq cdm crn reldm0 dm0rn0 bitrdi ) ABACDAECDAFCDAGAHI $.

    $( The domain and range of a class are included in its double union.
       (Contributed by NM, 13-May-2008.) $)
    dmrnssfld $p |- ( dom A u. ran A ) C_ U. U. A $=
      ( vx vy cdm crn cuni cv cop wex vex eldm2 cpr prid1 wss sseld mpi exlimiv
      wcel sylbi ssriv uniop uniopel eqeltrrid elssuni syl elrn2 prid2 unssi )
      ADZAEZAFZFZBUIULBGZUIRUMCGZHZARZCIUMULRZCUMABJZKUPUQCUPUMUMUNLZRUQUMUNURM
      UPUSULUMUPUSUKRUSULNUPUSUOFUKUMUNURCJZUAUMUNAURUTUBUCUSUKUDUEZOPQSTCUJULU
      NUJRUPBIUNULRZBUNAUTUFUPVBBUPUNUSRVBUMUNUTUGUPUSULUNVAOPQSTUH $.
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( Domain of a composition.  Theorem 21 of [Suppes] p. 63.  (Contributed by
       NM, 19-Mar-1998.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
    dmcoss $p |- dom ( A o. B ) C_ dom B $=
      ( vx vy vz ccom cdm cv cop wcel wex wbr nfe1 wa exsimpl vex breq2 cbvexvw
      opelco 3imtr4i exlimi eldm2 eldm ssriv ) CABFZGZBGZCHZDHZIUEJZDKUHUIBLZDK
      ZUHUFJUHUGJUJULDUKDMUHEHZBLZUMUIALZNEKUNEKUJULUNUOEOEUHUIABCPZDPSUKUNDEUI
      UMUHBQRTUADUHUEUPUBDUHBUPUCTUD $.
  $}

  $( Range of a composition.  (Contributed by NM, 19-Mar-1998.) $)
  rncoss $p |- ran ( A o. B ) C_ ran A $=
    ( ccnv ccom cdm crn dmcoss df-rn cnvco dmeqi eqtri 3sstr4i ) BCZACZDZEZNEAB
    DZFZAFMNGRQCZEPQHSOABIJKAHL $.

  ${
    $d x y z A $.  $d x y z B $.
    $( Domain of a composition.  (Contributed by NM, 28-May-1998.)  (Proof
       shortened by Andrew Salmon, 27-Aug-2011.) $)
    dmcosseq $p |- ( ran B C_ dom A -> dom ( A o. B ) = dom B ) $=
      ( vx vy vz crn cdm wss ccom dmcoss a1i cv wbr wex wcel wi vex eldm eximdv
      syl6ibr wa ssel elrn imbi12i 19.8a imim1i pm3.2 sylcom sylbi excom opelco
      cop syl exbii eldm2 3imtr4g ssrdv eqssd ) BFZAGZHZABIZGZBGZVCVDHVAABJKVAC
      VDVCVACLZDLZBMZDNZVEELZULVBOZENZVEVDOVEVCOVAVHVGVFVIAMZUAZDNZENZVKVAVHVME
      NZDNVOVAVGVPDVAVFUSOZVFUTOZPZVGVPPZUSUTVFUBVSVGCNZVLENZPZVTVQWAVRWBCVFBDQ
      ZUCEVFAWDRUDWCVGWBVPVGWAWBVGCUEUFVGVLVMEVGVLUGSUHUIUMSVMEDUJTVJVNEDVEVIAB
      CQZEQUKUNTDVEBWEREVEVBWEUOUPUQUR $.

    $( Domain of a composition.  (Contributed by NM, 19-Mar-1998.) $)
    dmcoeq $p |- ( dom A = ran B -> dom ( A o. B ) = dom B ) $=
      ( cdm crn wceq wss ccom eqimss2 dmcosseq syl ) ACZBDZELKFABGCBCELKHABIJ
      $.
  $}

  $( Range of a composition.  (Contributed by NM, 19-Mar-1998.) $)
  rncoeq $p |- ( dom A = ran B -> ran ( A o. B ) = ran A ) $=
    ( ccnv cdm crn wceq ccom dmcoeq eqcom df-rn dfdm4 eqeq12i bitri cnvco dmeqi
    eqtri 3imtr4i ) BCZDZACZEZFZRTGZDZTDZFADZBEZFZABGZEZAEZFRTHUHUGUFFUBUFUGIUG
    SUFUABJAKLMUJUDUKUEUJUICZDUDUIJULUCABNOPAJLQ $.

  $( Equality theorem for restrictions.  (Contributed by NM, 7-Aug-1994.) $)
  reseq1 $p |- ( A = B -> ( A |` C ) = ( B |` C ) ) $=
    ( wceq cvv cxp cin cres ineq1 df-res 3eqtr4g ) ABDACEFZGBLGACHBCHABLIACJBCJ
    K $.

  $( Equality theorem for restrictions.  (Contributed by NM, 8-Aug-1994.) $)
  reseq2 $p |- ( A = B -> ( C |` A ) = ( C |` B ) ) $=
    ( wceq cvv cxp cin cres xpeq1 ineq2d df-res 3eqtr4g ) ABDZCAEFZGCBEFZGCAHCB
    HMNOCABEIJCAKCBKL $.

  ${
    reseqi.1 $e |- A = B $.
    $( Equality inference for restrictions.  (Contributed by NM,
       21-Oct-2014.) $)
    reseq1i $p |- ( A |` C ) = ( B |` C ) $=
      ( wceq cres reseq1 ax-mp ) ABEACFBCFEDABCGH $.

    $( Equality inference for restrictions.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    reseq2i $p |- ( C |` A ) = ( C |` B ) $=
      ( wceq cres reseq2 ax-mp ) ABECAFCBFEDABCGH $.

    reseqi.2 $e |- C = D $.
    $( Equality inference for restrictions.  (Contributed by NM,
       21-Oct-2014.) $)
    reseq12i $p |- ( A |` C ) = ( B |` D ) $=
      ( cres reseq1i reseq2i eqtri ) ACGBCGBDGABCEHCDBFIJ $.
  $}

  ${
    reseqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for restrictions.  (Contributed by NM,
       21-Oct-2014.) $)
    reseq1d $p |- ( ph -> ( A |` C ) = ( B |` C ) ) $=
      ( wceq cres reseq1 syl ) ABCFBDGCDGFEBCDHI $.

    $( Equality deduction for restrictions.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    reseq2d $p |- ( ph -> ( C |` A ) = ( C |` B ) ) $=
      ( wceq cres reseq2 syl ) ABCFDBGDCGFEBCDHI $.

    reseqd.2 $e |- ( ph -> C = D ) $.
    $( Equality deduction for restrictions.  (Contributed by NM,
       21-Oct-2014.) $)
    reseq12d $p |- ( ph -> ( A |` C ) = ( B |` D ) ) $=
      ( cres reseq1d reseq2d eqtrd ) ABDHCDHCEHABCDFIADECGJK $.
  $}

  ${
    nfres.1 $e |- F/_ x A $.
    nfres.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for restriction.  (Contributed by NM,
       15-Sep-2003.)  (Revised by David Abernethy, 19-Jun-2012.) $)
    nfres $p |- F/_ x ( A |` B ) $=
      ( cres cvv cxp cin df-res nfcv nfxp nfin nfcxfr ) ABCFBCGHZIBCJABODACGEAG
      KLMN $.
  $}

  $( Distribute proper substitution through the restriction of a class.
     (Contributed by Alan Sare, 10-Nov-2012.)  (Revised by NM, 23-Aug-2018.) $)
  csbres $p |- [_ A / x ]_ ( B |` C ) = ( [_ A / x ]_ B |` [_ A / x ]_ C ) $=
    ( cres csb cvv cxp cin df-res csbeq2i wcel csbxp csbconstg xpeq2d eqtrid wn
    wceq c0 csbprc 0xp a1i xpeq1d 3eqtr4rd pm2.61i ineq2i csbin 3eqtr4i eqtri )
    ABCDEZFABCDGHZIZFZABCFZABDFZEZABUJULCDJKUNABUKFZIUNUOGHZIUMUPUQURUNBGLZUQUR
    RUSUQUOABGFZHURABDGMUSUTGUOABGGNOPUSQZSGHZSURUQVBSRVAGUAUBVAUOSGABDTUCABUKT
    UDUEUFABCUKUGUNUOJUHUI $.

  $( A restriction to the empty set is empty.  (Contributed by NM,
     12-Nov-1994.) $)
  res0 $p |- ( A |` (/) ) = (/) $=
    ( c0 cres cvv cxp cin df-res 0xp ineq2i in0 3eqtri ) ABCABDEZFABFBABGLBADHI
    AJK $.

  ${
    $d A x y z $.  $d B x y z $.
    $( Alternate definition of restriction.  (Contributed by Scott Fenton,
       17-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    dfres3 $p |- ( A |` B ) = ( A i^i ( B X. ran A ) ) $=
      ( vx vy vz cres cvv cxp cin crn df-res cv wcel wa cop wceq wex vex elxp
      wb biantru opelrn biantrud bitr3id syl6bi pm5.32d 2exbidv 3bitr4g pm5.32i
      eleq1 com12 elin bitr4i ineqri eqtri ) ABFABGHZIABAJZHZIZABKCAUPUSCLZAMZU
      TUPMZNVAUTURMZNUTUSMVAVBVCVAUTDLZELZOZPZVDBMZVEGMZNZNZEQDQVGVHVEUQMZNZNZE
      QDQVBVCVAVKVNDEVAVGVJVMVGVAVJVMTZVGVAVFAMZVOUTVFAUJVJVHVPVMVIVHERZUAVPVLV
      HVDVEADRVQUBUCUDUEUKUFUGDEUTBGSDEUTBUQSUHUIUTAURULUMUNUO $.
  $}

  $( Ordered pair elementhood in a restriction.  Exercise 13 of [TakeutiZaring]
     p. 25.  (Contributed by NM, 13-Nov-1995.)  (Revised by BJ, 18-Feb-2022.)
     Commute the consequent.  (Revised by Peter Mazsa, 24-Sep-2022.) $)
  opelres $p |- ( C e. V ->
      ( <. B , C >. e. ( R |` A ) <-> ( B e. A /\ <. B , C >. e. R ) ) ) $=
    ( cop cres wcel cvv cxp wa df-res elin2 opelxp elex biantrud bitr4id syl5bb
    anbi1cd ) BCFZDAGZHTDHZTAIJZHZKCEHZBAHZUBKTDUCUADALMUEUDUFUBUEUDUFCIHZKUFBC
    AINUEUGUFCEOPQSR $.

  $( Binary relation on a restriction.  (Contributed by Mario Carneiro,
     4-Nov-2015.)  Commute the consequent.  (Revised by Peter Mazsa,
     24-Sep-2022.) $)
  brres $p |- ( C e. V -> ( B ( R |` A ) C <-> ( B e. A /\ B R C ) ) ) $=
    ( wcel cop cres wa wbr opelres df-br anbi2i 3bitr4g ) CEFBCGZDAHZFBAFZODFZI
    BCPJQBCDJZIABCDEKBCPLSRQBCDLMN $.

  ${
    opelresi.1 $e |- C e. _V $.
    $( Ordered pair membership in a restriction.  Exercise 13 of
       [TakeutiZaring] p. 25.  (Contributed by NM, 13-Nov-1995.) $)
    opelresi $p |- ( <. B , C >. e. ( R |` A ) <->
                     ( B e. A /\ <. B , C >. e. R ) ) $=
      ( cvv wcel cop cres wa wb opelres ax-mp ) CFGBCHZDAIGBAGNDGJKEABCDFLM $.

    $( Binary relation on a restriction.  (Contributed by NM, 12-Dec-2006.) $)
    brresi $p |- ( B ( R |` A ) C <-> ( B e. A /\ B R C ) ) $=
      ( cvv wcel cres wbr wa wb brres ax-mp ) CFGBCDAHIBAGBCDIJKEABCDFLM $.
  $}

  ${
    opres.1 $e |- B e. _V $.
    $( Ordered pair membership in a restriction when the first member belongs
       to the restricting class.  (Contributed by NM, 30-Apr-2004.)  (Proof
       shortened by Andrew Salmon, 27-Aug-2011.) $)
    opres $p |- ( A e. D ->
                    ( <. A , B >. e. ( C |` D ) <-> <. A , B >. e. C ) ) $=
      ( cop cres wcel opelresi baib ) ABFZCDGHADHKCHDABCEIJ $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( A restricted identity relation is equivalent to equality in its domain.
       (Contributed by NM, 30-Apr-2004.) $)
    resieq $p |- ( ( B e. A /\ C e. A ) -> ( B ( _I |` A ) C <-> B = C ) ) $=
      ( vx wcel cid cres wbr wceq wb cv wi breq2 eqeq2 bibi12d imbi2d cop opres
      vex df-br ideq bitr3i 3bitr4g vtoclg impcom ) CAEBAEZBCFAGZHZBCIZJZUFBDKZ
      UGHZBUKIZJZLUFUJLDCAUKCIZUNUJUFUOULUHUMUIUKCBUGMUKCBNOPUFBUKQZUGEUPFEZULU
      MBUKFADSZRBUKUGTUMBUKFHUQBUKURUABUKFTUBUCUDUE $.
  $}

  $( ` <. A , A >. ` belongs to a restriction of the identity class iff ` A `
     belongs to the restricting class.  (Contributed by FL, 27-Oct-2008.)
     (Revised by NM, 30-Mar-2016.) $)
  opelidres $p |- ( A e. V -> ( <. A , A >. e. ( _I |` B ) <-> A e. B ) ) $=
    ( wcel cop cid cres wbr ididg df-br sylib opelres mpbiran2d ) ACDZAAEZFBGDA
    BDOFDZNAAFHPACIAAFJKBAAFCLM $.

  $( The restriction of a restriction.  (Contributed by NM, 27-Mar-2008.) $)
  resres $p |- ( ( A |` B ) |` C ) = ( A |` ( B i^i C ) ) $=
    ( cres cvv cxp cin df-res ineq1i xpindir ineq2i inass 3eqtr4ri 3eqtri ) ABD
    ZCDOCEFZGABEFZGZPGZABCGZDZOCHORPABHIATEFZGAQPGZGUASUBUCABCEJKATHAQPLMN $.

  $( Distributive law for restriction over union.  Theorem 31 of [Suppes]
     p. 65.  (Contributed by NM, 30-Sep-2002.) $)
  resundi $p |- ( A |` ( B u. C ) ) = ( ( A |` B ) u. ( A |` C ) ) $=
    ( cun cvv cxp cin cres xpundir ineq2i indi eqtri df-res uneq12i 3eqtr4i ) A
    BCDZEFZGZABEFZGZACEFZGZDZAPHABHZACHZDRASUADZGUCQUFABCEIJASUAKLAPMUDTUEUBABM
    ACMNO $.

  $( Distributive law for restriction over union.  (Contributed by NM,
     23-Sep-2004.) $)
  resundir $p |- ( ( A u. B ) |` C ) = ( ( A |` C ) u. ( B |` C ) ) $=
    ( cun cvv cxp cin cres indir df-res uneq12i 3eqtr4i ) ABDZCEFZGANGZBNGZDMCH
    ACHZBCHZDABNIMCJQORPACJBCJKL $.

  $( Class restriction distributes over intersection.  (Contributed by FL,
     6-Oct-2008.) $)
  resindi $p |- ( A |` ( B i^i C ) ) = ( ( A |` B ) i^i ( A |` C ) ) $=
    ( cin cvv cxp cres xpindir ineq2i inindi eqtri df-res ineq12i 3eqtr4i ) ABC
    DZEFZDZABEFZDZACEFZDZDZAOGABGZACGZDQARTDZDUBPUEABCEHIARTJKAOLUCSUDUAABLACLM
    N $.

  $( Class restriction distributes over intersection.  (Contributed by NM,
     18-Dec-2008.) $)
  resindir $p |- ( ( A i^i B ) |` C ) = ( ( A |` C ) i^i ( B |` C ) ) $=
    ( cin cvv cxp cres inindir df-res ineq12i 3eqtr4i ) ABDZCEFZDAMDZBMDZDLCGAC
    GZBCGZDABMHLCIPNQOACIBCIJK $.

  $( Move intersection into class restriction.  (Contributed by NM,
     18-Dec-2008.) $)
  inres $p |- ( A i^i ( B |` C ) ) = ( ( A i^i B ) |` C ) $=
    ( cin cvv cxp cres inass df-res ineq2i 3eqtr4ri ) ABDZCEFZDABMDZDLCGABCGZDA
    BMHLCIONABCIJK $.

  $( Commutative law for restriction and difference.  (Contributed by AV,
     7-Jun-2021.) $)
  resdifcom $p |- ( ( A |` B ) \ C ) = ( ( A \ C ) |` B ) $=
    ( cdif cvv cxp cin cres indif1 df-res difeq1i 3eqtr4ri ) ACDZBEFZGANGZCDMBH
    ABHZCDANCIMBJPOCABJKL $.

  ${
    $d x C $.
    $( Distribution of restriction over indexed union.  (Contributed by Mario
       Carneiro, 29-May-2015.)  (Proof shortened by JJ, 25-Aug-2021.) $)
    resiun1 $p |- ( U_ x e. A B |` C ) = U_ x e. A ( B |` C ) $=
      ( cvv cxp cin ciun cres iunin1 wceq cv wcel df-res a1i iuneq2i 3eqtr4ri )
      ABCDEFZGZHABCHZRGABCDIZHTDIABRCJABUASUASKALBMCDNOPTDNQ $.

    $( Distribution of restriction over indexed union.  (Contributed by Mario
       Carneiro, 29-May-2015.) $)
    resiun2 $p |- ( C |` U_ x e. A B ) = U_ x e. A ( C |` B ) $=
      ( ciun cres cvv cxp cin df-res wceq cv a1i iuneq2i xpiundir ineq2i iunin2
      wcel eqtr4i ) DABCEZFDTGHZIZABDCFZEZDTJUDABDCGHZIZEZUBABUCUFUCUFKALBRDCJM
      NUBDABUEEZIUGUAUHDABCGOPABDUEQSSS $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The domain of a restriction.  Exercise 14 of [TakeutiZaring] p. 25.
       (Contributed by NM, 1-Aug-1994.) $)
    dmres $p |- dom ( A |` B ) = ( B i^i dom A ) $=
      ( vx vy cdm cin cres cv cop wex wa vex eldm2 19.42v opelresi exbii anbi2i
      wcel 3bitr4i bitr2i ineqri eqcomi ) BAEZFABGZEZCBUCUECHZUERUFDHZIZUDRZDJZ
      UFBRZUFUCRZKZDUFUDCLZMUKUHARZKZDJUKUODJZKUJUMUKUODNUIUPDBUFUGADLOPULUQUKD
      UFAUNMQSTUAUB $.
  $}

  $( A domain restricted to a subclass equals the subclass.  (Contributed by
     NM, 2-Mar-1997.) $)
  ssdmres $p |- ( A C_ dom B <-> dom ( B |` A ) = A ) $=
    ( cdm wss cin wceq cres df-ss dmres eqeq1i bitr4i ) ABCZDALEZAFBAGCZAFALHNM
    ABAIJK $.

  $( The domain of a restriction to a set exists.  (Contributed by NM,
     7-Apr-1995.) $)
  dmresexg $p |- ( B e. V -> dom ( A |` B ) e. _V ) $=
    ( wcel cres cdm cin cvv dmres inex1g eqeltrid ) BCDABEFBAFZGHABIBLCJK $.

  $( A class includes its restriction.  Exercise 15 of [TakeutiZaring] p. 25.
     (Contributed by NM, 2-Aug-1994.) $)
  resss $p |- ( A |` B ) C_ A $=
    ( cres cvv cxp cin df-res inss1 eqsstri ) ABCABDEZFAABGAJHI $.

  $( Commutative law for restriction.  (Contributed by NM, 27-Mar-1998.) $)
  rescom $p |- ( ( A |` B ) |` C ) = ( ( A |` C ) |` B ) $=
    ( cin cres incom reseq2i resres 3eqtr4i ) ABCDZEACBDZEABECEACEBEJKABCFGABCH
    ACBHI $.

  $( Subclass theorem for restriction.  (Contributed by NM, 16-Aug-1994.) $)
  ssres $p |- ( A C_ B -> ( A |` C ) C_ ( B |` C ) ) $=
    ( wss cvv cxp cin cres ssrin df-res 3sstr4g ) ABDACEFZGBLGACHBCHABLIACJBCJK
    $.

  $( Subclass theorem for restriction.  (Contributed by NM, 22-Mar-1998.)
     (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
  ssres2 $p |- ( A C_ B -> ( C |` A ) C_ ( C |` B ) ) $=
    ( wss cvv cxp cin cres xpss1 sslin syl df-res 3sstr4g ) ABDZCAEFZGZCBEFZGZC
    AHCBHNOQDPRDABEIOQCJKCALCBLM $.

  $( A restriction is a relation.  Exercise 12 of [TakeutiZaring] p. 25.
     (Contributed by NM, 2-Aug-1994.)  (Proof shortened by Andrew Salmon,
     27-Aug-2011.) $)
  relres $p |- Rel ( A |` B ) $=
    ( cres cvv cxp wss wrel cin df-res inss2 eqsstri relxp relss mp2 ) ABCZBDEZ
    FPGOGOAPHPABIAPJKBDLOPMN $.

  $( Absorption law for restriction.  Exercise 17 of [TakeutiZaring] p. 25.
     (Contributed by NM, 9-Aug-1994.) $)
  resabs1 $p |- ( B C_ C -> ( ( A |` C ) |` B ) = ( A |` B ) ) $=
    ( wss cres cin resres wceq sseqin2 reseq2 sylbi eqtrid ) BCDZACEBEACBFZEZAB
    EZACBGMNBHOPHBCINBAJKL $.

  ${
    resabs1d.b $e |- ( ph -> B C_ C ) $.
    $( Absorption law for restriction, deduction form.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    resabs1d $p |- ( ph -> ( ( A |` C ) |` B ) = ( A |` B ) ) $=
      ( wss cres wceq resabs1 syl ) ACDFBDGCGBCGHEBCDIJ $.
  $}

  $( Absorption law for restriction.  (Contributed by NM, 27-Mar-1998.) $)
  resabs2 $p |- ( B C_ C -> ( ( A |` B ) |` C ) = ( A |` B ) ) $=
    ( wss cres rescom resabs1 eqtrid ) BCDABEZCEACEBEIABCFABCGH $.

  $( Idempotent law for restriction.  (Contributed by NM, 27-Mar-1998.) $)
  residm $p |- ( ( A |` B ) |` B ) = ( A |` B ) $=
    ( wss cres wceq ssid resabs2 ax-mp ) BBCABDZBDIEBFABBGH $.

  $( A restriction to an image.  (Contributed by NM, 29-Sep-2004.) $)
  resima $p |- ( ( A |` B ) " B ) = ( A " B ) $=
    ( cres crn cima residm rneqi df-ima 3eqtr4i ) ABCZBCZDJDJBEABEKJABFGJBHABHI
    $.

  $( Image under a restricted class.  (Contributed by FL, 31-Aug-2009.)  (Proof
     shortened by JJ, 25-Aug-2021.) $)
  resima2 $p |- ( B C_ C -> ( ( A |` C ) " B ) = ( A " B ) ) $=
    ( wss cin cres crn cima wceq sseqin2 reseq2 sylbi rneqd df-ima resres rneqi
    eqtri 3eqtr4g ) BCDZACBEZFZGZABFZGACFZBHZABHSUAUCSTBIUAUCIBCJTBAKLMUEUDBFZG
    UBUDBNUFUAACBOPQABNR $.

  $( The range of a restriction is a subset of the whole range.  (Contributed
     by Glauco Siliprandi, 17-Aug-2020.) $)
  rnresss $p |- ran ( A |` B ) C_ ran A $=
    ( cres resss rnssi ) ABCAABDE $.

  $( Restriction of a constant function (or other Cartesian product).
     (Contributed by Stefan O'Rear, 24-Jan-2015.) $)
  xpssres $p |- ( C C_ A -> ( ( A X. B ) |` C ) = ( C X. B ) ) $=
    ( wss cxp cres cin cvv df-res inxp inv1 xpeq2i 3eqtri sseqin2 biimpi xpeq1d
    wceq eqtrid ) CADZABEZCFZACGZBEZCBEUATCHEGUBBHGZEUCTCIABCHJUDBUBBKLMSUBCBSU
    BCQCANOPR $.

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y R $.
    $( Membership in an intersection with a Cartesian product.  (Contributed by
       Peter Mazsa, 9-Sep-2022.) $)
    elinxp $p |- ( C e. ( R i^i ( A X. B ) ) <->
      E. x e. A E. y e. B ( C = <. x , y >. /\ <. x , y >. e. R ) ) $=
      ( cxp cin wcel cv cop wceq wa wrex wex wrel relinxp elrel mpan eleq1 an12
      biimpd opelinxp biimpi syl6com ancld syl6ib 2eximdv r2ex simplbi2 biimprd
      mpd sylibr syl9 impd rexlimivv impbii ) EFCDGHZIZEAJZBJZKZLZVBFIZMZBDNACN
      ZUSUTCIVADIMZVEMZBOAOZVFUSVCBOAOZVIURPUSVJCDFQABEURRSUSVCVHABUSVCVCVGVDMZ
      MVHUSVCVKVCUSVBURIZVKVCUSVLEVBURTZUBVLVKCDUTVAFUCZUDUEUFVCVGVDUAUGUHULVEA
      BCDUIUMVEUSABCDVGVCVDUSVGVDVLVCUSVLVGVDVNUJVCUSVLVMUKUNUOUPUQ $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Membership in a restriction.  (Contributed by Scott Fenton,
       17-Mar-2011.)  (Proof shortened by Peter Mazsa, 9-Sep-2022.) $)
    elres $p |- ( A e. ( B |` C )
          <-> E. x e. C E. y ( A = <. x , y >. /\ <. x , y >. e. B ) ) $=
      ( cres wcel cvv cxp cin cv cop wceq wa wrex wex df-res eleq2i elinxp rexv
      rexbii 3bitri ) CDEFZGCDEHIJZGCAKBKLZMUEDGNZBHOZAEOUFBPZAEOUCUDCDEQRABEHC
      DSUGUHAEUFBTUAUB $.

    $d x y A $.  $d x y B $.  $d x y C $.
    ${
      elsnres.1 $e |- C e. _V $.
      $( Membership in restriction to a singleton.  (Contributed by Scott
         Fenton, 17-Mar-2011.) $)
      elsnres $p |- ( A e. ( B |` { C } )
            <-> E. y ( A = <. C , y >. /\ <. C , y >. e. B ) ) $=
        ( vx csn cres wcel cv cop wceq wa wex elres rexcom4 opeq1 eqeq2d eleq1d
        wrex anbi12d rexsn exbii 3bitri ) BCDGZHIBFJZAJZKZLZUHCIZMZANFUETUKFUET
        ZANBDUGKZLZUMCIZMZANFABCUEOUKFAUEPULUPAUKUPFDEUFDLZUIUNUJUOUQUHUMBUFDUG
        QZRUQUHUMCURSUAUBUCUD $.
    $}

    $( Simplification law for restriction.  (Contributed by NM,
       16-Aug-1994.) $)
    relssres $p |- ( ( Rel A /\ dom A C_ B ) -> ( A |` B ) = A ) $=
      ( vx vy wrel cdm wss wa cres wceq simpl cv cop wcel vex opeldm ssel ancrd
      wi syl5 opelresi syl6ibr adantl relssdv resss jctil eqss sylibr ) AEZAFZB
      GZHZABIZAGZAUMGZHUMAJULUOUNULCDAUMUIUKKUKCLZDLZMZANZURUMNZSUIUKUSUPBNZUSH
      UTUKUSVAUSUPUJNUKVAUPUQACODOZPUJBUPQTRBUPUQAVBUAUBUCUDABUEUFUMAUGUH $.
  $}

  $( The domain of a restriction to a singleton is a singleton.  (Contributed
     by Alexander van der Vekens, 2-Jul-2017.) $)
  dmressnsn $p |- ( A e. dom F -> dom ( F |` { A } ) = { A } ) $=
    ( cdm wcel csn cres cin dmres wss wceq snssi df-ss sylib eqtrid ) ABCZDZBAE
    ZFCQOGZQBQHPQOIRQJAOKQOLMN $.

  $( The element of the domain of a restriction to a singleton is the element
     of the singleton.  (Contributed by Alexander van der Vekens,
     2-Jul-2017.) $)
  eldmressnsn $p |- ( A e. dom F -> A e. dom ( F |` { A } ) ) $=
    ( cdm wcel csn cres snidg dmressnsn eleqtrrd ) ABCZDAAEZBKFCAJGABHI $.

  $( An element of the domain (of a relation) is an element of the domain of
     the restriction (of the relation) to the singleton containing this
     element.  (Contributed by Alexander van der Vekens, 22-Jul-2018.) $)
  eldmeldmressn $p |- ( X e. dom F <-> X e. dom ( F |` { X } ) ) $=
    ( cdm wcel csn cres eldmressnsn cin elinel2 dmres eleq2s impbii ) BACZDZBAB
    EZFCZDBAGNBOMHPBOMIAOJKL $.

  $( A relation restricted to its domain equals itself.  (Contributed by NM,
     12-Dec-2006.) $)
  resdm $p |- ( Rel A -> ( A |` dom A ) = A ) $=
    ( wrel cdm wss cres wceq ssid relssres mpan2 ) ABACZJDAJEAFJGAJHI $.

  $( The restriction of a set is a set.  (Contributed by NM, 28-Mar-1998.)
     (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
  resexg $p |- ( A e. V -> ( A |` B ) e. _V ) $=
    ( cres wss wcel cvv resss ssexg mpan ) ABDZAEACFKGFABHKACIJ $.

  ${
    resexd.1 $e |- ( ph -> A e. V ) $.
    $( The restriction of a set is a set.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    resexd $p |- ( ph -> ( A |` B ) e. _V ) $=
      ( wcel cres cvv resexg syl ) ABDFBCGHFEBCDIJ $.
  $}

  ${
    resex.1 $e |- A e. _V $.
    $( The restriction of a set is a set.  (Contributed by Jeff Madsen,
       19-Jun-2011.) $)
    resex $p |- ( A |` B ) e. _V $=
      ( cvv wcel cres resexg ax-mp ) ADEABFDECABDGH $.
  $}

  $( When restricting a relation, intersecting with the domain of the relation
     has no effect.  (Contributed by FL, 6-Oct-2008.) $)
  resindm $p |- ( Rel A -> ( A |` ( B i^i dom A ) ) = ( A |` B ) ) $=
    ( wrel cres cdm cin resdm resindi incom inres inidm reseq1i 3eqtrri 3eqtr4g
    ineq2d ) ACZABDZAAEZDZFQAFZABRFDQPSAQAGOABRHTAQFAAFZBDQQAIAABJUAABAKLMN $.

  $( Restricting a relation to its domain without a set is the same as
     restricting the relation to the universe without this set.  (Contributed
     by AV, 2-Dec-2018.) $)
  resdmdfsn $p |- ( Rel R -> ( R |` ( _V \ { X } ) )
                             = ( R |` ( dom R \ { X } ) ) ) $=
    ( wrel cvv csn cdif cdm cin cres resindm indif1 incom eqtri difeq1i reseq2i
    inv1 eqtr3di ) ACADBEZFZAGZHZIASIATRFZIASJUAUBAUADTHZRFUBDTRKUCTRUCTDHTDTLT
    PMNMOQ $.

  ${
    $d x y A $.
    $( Restriction of a class abstraction of ordered pairs.  (Contributed by
       NM, 5-Nov-2002.) $)
    resopab $p |- ( { <. x , y >. | ph } |` A ) =
                  { <. x , y >. | ( x e. A /\ ph ) } $=
      ( copab cres cvv cxp cin cv wa df-res df-xp biantru opabbii eqtr4i ineq2i
      wcel vex eqtri incom inopab ) ABCEZDFUCDGHZIZBJDRZAKBCEZUCDLUEUFBCEZUCIZU
      GUEUCUHIUIUDUHUCUDUFCJGRZKZBCEUHBCDGMUFUKBCUJUFCSNOPQUCUHUATUFABCUBTT $.

    $( A subclass of the identity function is the identity function restricted
       to its domain.  (Contributed by NM, 13-Dec-2003.)  (Proof shortened by
       Andrew Salmon, 27-Aug-2011.) $)
    iss $p |- ( A C_ _I <-> A = ( _I |` dom A ) ) $=
      ( vx vy cid wss cdm cres wceq cv cop wcel wb wal wa vex opeldm a1i syl5bi
      wi wrel ssel jcad wbr df-br bitr3i wex eldm2 opeq2 eleq1d biimprcd sylcom
      ideq exlimdv imbi2d syl5ibcom impcomd impbid opelresi alrimivv reli relss
      bitr4di mpi relres eqrel sylancl mpbird resss sseq1 mpbiri impbii ) ADEZA
      DAFZGZHZVLVOBIZCIZJZAKZVRVNKZLZCMBMZVLWABCVLVSVPVMKZVRDKZNZVTVLVSWEVLVSWC
      WDVSWCSVLVPVQABOZCOZPQADVRUAZUBVLWDWCVSWDVPVQHZVLWCVSSZWDVPVQDUCWIVPVQDUD
      VPVQWGULUEZVLWCVPVPJZAKZSWIWJWCVSCUFVLWMCVPAWFUGVLVSWMCVLVSWDWMWHWDWIVSWM
      WKWIWMVSWIWLVRAVPVQVPUHUIZUJRUKUMRWIWMVSWCWNUNUORUPUQVMVPVQDWGURVBUSVLATZ
      VNTVOWBLVLDTWOUTADVAVCDVMVDBCAVNVEVFVGVOVLVNDEDVMVHAVNDVIVJVK $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.
    $( Restriction of a class abstraction of ordered pairs.  (Contributed by
       NM, 24-Aug-2007.) $)
    resopab2 $p |- ( A C_ B -> ( { <. x , y >. | ( x e. B /\ ph ) } |` A ) =
                  { <. x , y >. | ( x e. A /\ ph ) } ) $=
      ( wss cv wcel wa copab cres resopab pm4.71d anbi1d anass bitr2di opabbidv
      ssel eqtrid ) DEFZBGZEHZAIZBCJDKUADHZUCIZBCJUDAIZBCJUCBCDLTUEUFBCTUFUDUBI
      ZAIUETUDUGATUDUBDEUARMNUDUBAOPQS $.

    $( Restriction of the mapping operation.  (Contributed by Mario Carneiro,
       15-Jul-2013.) $)
    resmpt $p |- ( B C_ A -> ( ( x e. A |-> C ) |` B ) = ( x e. B |-> C ) ) $=
      ( vy wss cv wcel wceq wa copab cres cmpt resopab2 df-mpt reseq1i 3eqtr4g
      ) CBFAGZBHEGDIZJAEKZCLRCHSJAEKABDMZCLACDMSAECBNUATCAEBDOPAECDOQ $.

    $( Unconditional restriction of the mapping operation.  (Contributed by
       Stefan O'Rear, 24-Jan-2015.)  (Proof shortened by Mario Carneiro,
       22-Mar-2015.) $)
    resmpt3 $p |- ( ( x e. A |-> C ) |` B ) = ( x e. ( A i^i B ) |-> C ) $=
      ( cmpt cres cin resres wss wceq ssid resmpt ax-mp reseq1i inss1 3eqtr3i )
      ABDEZBFZCFQBCGZFZQCFASDEZQBCHRQCBBIRQJBKABBDLMNSBITUAJBCOABSDLMP $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.
    resmptf.a $e |- F/_ x A $.
    resmptf.b $e |- F/_ x B $.
    $( Restriction of the mapping operation.  (Contributed by Thierry Arnoux,
       28-Mar-2017.) $)
    resmptf $p |- ( B C_ A -> ( ( x e. A |-> C ) |` B ) = ( x e. B |-> C ) ) $=
      ( vy wss cv cmpt cres resmpt nfcv nfcsb1v csbeq1a cbvmptf reseq1i 3eqtr4g
      csb ) CBHGBAGIZDSZJZCKGCUAJABDJZCKACDJGBCUALUCUBCAGBDUAEGBMGDMZATDNZATDOZ
      PQAGCDUAFGCMUDUEUFPR $.
  $}

  ${
    $d A x $.  $d B x $.
    resmptd.b $e |- ( ph -> B C_ A ) $.
    $( Restriction of the mapping operation, deduction form.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    resmptd $p |- ( ph -> ( ( x e. A |-> C ) |` B ) = ( x e. B |-> C ) ) $=
      ( wss cmpt cres wceq resmpt syl ) ADCGBCEHDIBDEHJFBCDEKL $.
  $}

  ${
    $d w x y z A $.  $d w x y z R $.
    $( Alternate definition of the restriction operation.  (Contributed by
       Mario Carneiro, 5-Nov-2013.) $)
    dfres2 $p |- ( R |` A ) = { <. x , y >. | ( x e. A /\ x R y ) } $=
      ( vz vw cres cv wcel wbr copab relres relopabv cop vex weq eleq1w anbi12d
      wa breq1 breq2 anbi2d opelopab brresi df-br 3bitr2ri eqrelriiv ) EFDCGZAH
      ZCIZUIBHZDJZSZABKZDCLUMABMEHZFHZNZUNIUOCIZUOUPDJZSZUOUPUHJUQUHIUMURUOUKDJ
      ZSUTABUOUPEOFOZAEPUJURULVAAECQUIUOUKDTRBFPVAUSURUKUPUODUAUBUCCUOUPDVBUDUO
      UPUHUEUFUG $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Sufficient condition for inclusion among two functions in maps-to
       notation.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    mptss $p |- ( A C_ B -> ( x e. A |-> C ) C_ ( x e. B |-> C ) ) $=
      ( wss cmpt cres resmpt resss eqsstrrdi ) BCEABDFACDFZBGKACBDHKBIJ $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Characterization of the elements of the intersection of the identity
       relation with a Cartesian product.  (Contributed by Peter Mazsa,
       9-Sep-2022.) $)
    elidinxp $p |- ( C e. ( _I i^i ( A X. B ) ) <->
                                       E. x e. ( A i^i B ) C = <. x , x >. ) $=
      ( vy cv wcel cop wceq wa cid cin cxp risset anbi2ci r19.42v opeq2 equcoms
      wrex rexbii eqeq2d pm5.32ri wbr ideq equcom 3bitr3i anbi2i bitr4i 3bitr2i
      vex df-br rexin elinxp 3bitr4ri ) AFZCGZDUOUOHZIZJZABSDUOEFZHZIZVAKGZJZEC
      SZABSURABCLSDKBCMLGUSVEABUSURUTUOIZECSZJURVFJZECSVEUPVGUREUOCNOURVFECPVHV
      DECVHVBVFJVDVFURVBVFUQVADUQVAIAEUOUTUOQRUAUBVCVFVBUOUTKUCUOUTIVCVFUOUTEUJ
      UDUOUTKUKAEUEUFUGUHTUITURABCULAEBCDKUMUN $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Characterization of the elements of the intersection of the identity
       relation with a Cartesian square.  (Contributed by Peter Mazsa,
       9-Sep-2022.) $)
    elidinxpid $p |- ( B e. ( _I i^i ( A X. A ) ) <->
                                                 E. x e. A B = <. x , x >. ) $=
      ( cid cxp cin wcel cv cop wceq wrex elidinxp inidm rexeqi bitri ) CDBBEFG
      CAHZPIJZABBFZKQABKABBCLQARBBMNO $.
  $}

  ${
    $d x A $.  $d x X $.
    $( Characterization of the elements of a restricted identity relation.
       (Contributed by BJ, 28-Aug-2022.)  (Proof shortened by Peter Mazsa,
       9-Sep-2022.) $)
    elrid $p |- ( A e. ( _I |` X ) <-> E. x e. X A = <. x , x >. ) $=
      ( cid cres wcel cvv cxp cin cop wceq df-res eleq2i elidinxp rexeqi 3bitri
      cv wrex inv1 ) BDCEZFBDCGHIZFBAQZUBJKZACGIZRUCACRTUABDCLMACGBNUCAUDCCSOP
      $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The intersection of the identity relation with a cartesian product is
       the restriction of the identity relation to the intersection of the
       factors.  (Contributed by FL, 2-Aug-2009.)  (Proof shortened by Peter
       Mazsa, 9-Sep-2022.)  Generalize statement from cartesian square (now
       ~ idinxpresid ) to cartesian product.  (Revised by BJ, 23-Dec-2023.) $)
    idinxpres $p |- ( _I i^i ( A X. B ) ) = ( _I |` ( A i^i B ) ) $=
      ( vx vy cid cxp cin cres wcel cop wceq wrex elidinxp elrid bitr4i eqriv
      cv ) CEABFGZEABGZHZCQZRIUADQZUBJKDSLUATIDABUAMDUASNOP $.
  $}

  $( The intersection of the identity relation with the cartesian square of a
     class is the restriction of the identity relation to that class.
     (Contributed by FL, 2-Aug-2009.)  (Proof shortened by Peter Mazsa,
     9-Sep-2022.)  (Proof shortened by BJ, 23-Dec-2023.) $)
  idinxpresid $p |- ( _I i^i ( A X. A ) ) = ( _I |` A ) $=
    ( cid cxp cin cres idinxpres inidm reseq2i eqtri ) BAACDBAADZEBAEAAFJABAGHI
    $.

  $( A diagonal set as a subset of a Cartesian square.  (Contributed by Thierry
     Arnoux, 29-Dec-2019.)  (Proof shortened by BJ, 9-Sep-2022.) $)
  idssxp $p |- ( _I |` A ) C_ ( A X. A ) $=
    ( cid cres cxp cin idinxpresid inss2 eqsstrri ) BACBAADZEIAFBIGH $.

  ${
    $d A x y $.
    $( The restricted identity relation expressed as an ordered-pair class
       abstraction.  (Contributed by FL, 25-Apr-2012.) $)
    opabresid $p |- ( _I |` A ) = { <. x , y >. | ( x e. A /\ y = x ) } $=
      ( cid cres weq copab cv wcel df-id equcom opabbii eqtri reseq1i resopab
      wa ) DCEBAFZABGZCEAHCIQPABGDRCDABFZABGRABJSQABABKLMNQABCOM $.
  $}

  ${
    $d A x y $.
    $( The restricted identity relation expressed in maps-to notation.
       (Contributed by FL, 25-Apr-2012.) $)
    mptresid $p |- ( _I |` A ) = ( x e. A |-> x ) $=
      ( vy cid cres cv wcel weq wa copab cmpt opabresid df-mpt eqtr4i ) DBEAFZB
      GCAHIACJABOKACBLACBOMN $.
  $}

  ${
    $d A x y $.
    $( Obsolete version of ~ opabresid as of 26-Dec-2023.  (Contributed by FL,
       25-Apr-2012.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    opabresidOLD $p |- { <. x , y >. | ( x e. A /\ y = x ) } = ( _I |` A ) $=
      ( weq copab cres cv wcel cid resopab equcom opabbii eqtr4i reseq1i eqtr3i
      wa df-id ) BADZABEZCFAGCHRPABEICFRABCJSICSABDZABEIRTABBAKLABQMNO $.

    $( Obsolete version of ~ mptresid as of 26-Dec-2023.  (Contributed by FL,
       25-Apr-2012.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    mptresidOLD $p |- ( x e. A |-> x ) = ( _I |` A ) $=
      ( vy cv cmpt wcel weq wa copab cid cres df-mpt opabresidOLD eqtri ) ABADZ
      EOBFCAGHACIJBKACBOLACBMN $.
  $}

  $( The domain of a restricted identity function.  (Contributed by NM,
     27-Aug-2004.) $)
  dmresi $p |- dom ( _I |` A ) = A $=
    ( cid cdm wss cres wceq cvv ssv dmi sseqtrri ssdmres mpbi ) ABCZDBAECAFAGMA
    HIJABKL $.

  ${
    $d A x y $.
    $( Restriction of the identity to a singleton.  (Contributed by FL,
       2-Aug-2009.)  (Proof shortened by JJ, 25-Aug-2021.)  (Proof shortened by
       Peter Mazsa, 6-Oct-2022.) $)
    restidsing $p |- ( _I |` { A } ) = ( { A } X. { A } ) $=
      ( vx vy cid csn cres cxp relres relxp cv wcel cop wa wceq wbr anbi12i vex
      velsn ideq eqeq1 eqcom bitrdi bitri df-br anbi2i 3bitr2ri opelresi opelxp
      pm5.32i 3bitr4i eqrelriiv ) BCDAEZFZULULGZDULHULULIBJZULKZUOCJZLZDKZMZUPU
      QULKZMZURUMKURUNKVBUOANZUQANZMZUPUOUQDOZMZUTUPVCVAVDBARZCARPVGVCUOUQNZMVE
      UPVCVFVIVHUOUQCQZSPVCVIVDVCVIAUQNVDUOAUQTAUQUAUBUIUCVFUSUPUOUQDUDUEUFULUO
      UQDVJUGUOUQULULUHUJUK $.
  $}

  ${
    $d A x y $.
    $( The identity function restricted to a class ` A ` is empty iff the class
       ` A ` is empty.  (Contributed by AV, 30-Jan-2024.) $)
    iresn0n0 $p |- ( A = (/) <-> ( _I |` A ) = (/) ) $=
      ( vx vy cv wcel weq wa copab c0 wceq wal cid opab0 opabresid eqeq1i nel02
      wn cres wo sylbi intnanrd alrimivv ianor albii id ax6v pm2.21i jaoi alimi
      19.32v eq0 sylibr impbii 3bitr4ri ) BDZAEZCBFZGZBCHZIJURQZCKZBKZLARZIJAIJ
      ZURBCMVCUSIBCANOVDVBVDUTBCVDUPUQAUOPUAUBVBUPQZBKVDVAVEBVAVEUQQZSZCKZVEUTV
      GCUPUQUCUDVHVEVFCKZSVEVEVFCUJVEVEVIVEUEVIVECBUFUGUHTTUIBAUKULUMUN $.
  $}

  $( Equality theorem for image.  (Contributed by NM, 14-Aug-1994.) $)
  imaeq1 $p |- ( A = B -> ( A " C ) = ( B " C ) ) $=
    ( wceq cres crn cima reseq1 rneqd df-ima 3eqtr4g ) ABDZACEZFBCEZFACGBCGLMNA
    BCHIACJBCJK $.

  $( Equality theorem for image.  (Contributed by NM, 14-Aug-1994.) $)
  imaeq2 $p |- ( A = B -> ( C " A ) = ( C " B ) ) $=
    ( wceq cres crn cima reseq2 rneqd df-ima 3eqtr4g ) ABDZCAEZFCBEZFCAGCBGLMNA
    BCHICAJCBJK $.

  ${
    imaeq1i.1 $e |- A = B $.
    $( Equality theorem for image.  (Contributed by NM, 21-Dec-2008.) $)
    imaeq1i $p |- ( A " C ) = ( B " C ) $=
      ( wceq cima imaeq1 ax-mp ) ABEACFBCFEDABCGH $.

    $( Equality theorem for image.  (Contributed by NM, 21-Dec-2008.) $)
    imaeq2i $p |- ( C " A ) = ( C " B ) $=
      ( wceq cima imaeq2 ax-mp ) ABECAFCBFEDABCGH $.
  $}

  ${
    imaeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for image.  (Contributed by FL, 15-Dec-2006.) $)
    imaeq1d $p |- ( ph -> ( A " C ) = ( B " C ) ) $=
      ( wceq cima imaeq1 syl ) ABCFBDGCDGFEBCDHI $.

    $( Equality theorem for image.  (Contributed by FL, 15-Dec-2006.) $)
    imaeq2d $p |- ( ph -> ( C " A ) = ( C " B ) ) $=
      ( wceq cima imaeq2 syl ) ABCFDBGDCGFEBCDHI $.

    imaeq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality theorem for image.  (Contributed by Mario Carneiro,
       4-Dec-2016.) $)
    imaeq12d $p |- ( ph -> ( A " C ) = ( B " D ) ) $=
      ( cima imaeq1d imaeq2d eqtrd ) ABDHCDHCEHABCDFIADECGJK $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Alternate definition of image.  Compare definition (d) of [Enderton]
       p. 44.  (Contributed by NM, 19-Apr-2004.)  (Proof shortened by Andrew
       Salmon, 27-Aug-2011.)  (Proof shortened by Peter Mazsa, 2-Oct-2022.) $)
    dfima2 $p |- ( A " B ) = { y | E. x e. B x A y } $=
      ( cima cres crn cv wbr wex cab wrex df-ima dfrn2 wcel wa wb cvv brres elv
      exbii df-rex bitr4i abbii 3eqtri ) CDECDFZGAHZBHZUFIZAJZBKUGUHCIZADLZBKCD
      MABUFNUJULBUJUGDOUKPZAJULUIUMAUIUMQBDUGUHCRSTUAUKADUBUCUDUE $.

    $( Alternate definition of image.  Compare definition (d) of [Enderton]
       p. 44.  (Contributed by NM, 14-Aug-1994.)  (Proof shortened by Andrew
       Salmon, 27-Aug-2011.) $)
    dfima3 $p |- ( A " B ) = { y | E. x ( x e. B /\ <. x , y >. e. A ) } $=
      ( cima cv wbr wrex cab wcel cop wa dfima2 df-br rexbii df-rex bitri abbii
      wex eqtri ) CDEAFZBFZCGZADHZBIUADJUAUBKCJZLASZBIABCDMUDUFBUDUEADHUFUCUEAD
      UAUBCNOUEADPQRT $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Membership in an image.  Theorem 34 of [Suppes] p. 65.  (Contributed by
       NM, 20-Jan-2007.) $)
    elimag $p |- ( A e. V -> ( A e. ( B " C ) <-> E. x e. C x B A ) ) $=
      ( vy cv wbr wrex cima wceq breq2 rexbidv dfima2 elab2g ) AGZFGZCHZADIPBCH
      ZADIFBCDJEQBKRSADQBPCLMAFCDNO $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    elima.1 $e |- A e. _V $.
    $( Membership in an image.  Theorem 34 of [Suppes] p. 65.  (Contributed by
       NM, 19-Apr-2004.) $)
    elima $p |- ( A e. ( B " C ) <-> E. x e. C x B A ) $=
      ( cvv wcel cima cv wbr wrex wb elimag ax-mp ) BFGBCDHGAIBCJADKLEABCDFMN
      $.

    $( Membership in an image.  Theorem 34 of [Suppes] p. 65.  (Contributed by
       NM, 11-Aug-2004.) $)
    elima2 $p |- ( A e. ( B " C ) <-> E. x ( x e. C /\ x B A ) ) $=
      ( cima wcel cv wbr wrex wa wex elima df-rex bitri ) BCDFGAHZBCIZADJPDGQKA
      LABCDEMQADNO $.

    $( Membership in an image.  Theorem 34 of [Suppes] p. 65.  (Contributed by
       NM, 14-Aug-1994.) $)
    elima3 $p |- ( A e. ( B " C ) <-> E. x ( x e. C /\ <. x , A >. e. B ) ) $=
      ( cima wcel cv wbr wa wex cop elima2 df-br anbi2i exbii bitri ) BCDFGAHZD
      GZRBCIZJZAKSRBLCGZJZAKABCDEMUAUCATUBSRBCNOPQ $.
  $}

  ${
    nfima.1 $e |- F/_ x A $.
    nfima.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for image.  (Contributed by NM,
       30-Dec-1996.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
    nfima $p |- F/_ x ( A " B ) $=
      ( cima cres crn df-ima nfres nfrn nfcxfr ) ABCFBCGZHBCIAMABCDEJKL $.
  $}

  ${
    $d x z $.  $d B z $.  $d A z $.
    nfimad.2 $e |- ( ph -> F/_ x A ) $.
    nfimad.3 $e |- ( ph -> F/_ x B ) $.
    $( Deduction version of bound-variable hypothesis builder ~ nfima .
       (Contributed by FL, 15-Dec-2006.)  (Revised by Mario Carneiro,
       15-Oct-2016.) $)
    nfimad $p |- ( ph -> F/_ x ( A " B ) ) $=
      ( vz cv wcel wal cab cima wnfc nfaba1 nfima wb wa nfnfc1 nfan abidnf
      imaeq1d imaeq2d sylan9eq nfceqdf syl2anc mpbii ) ABGHZCIZBJGKZUGDIZBJGKZL
      ZMZBCDLZMZBUIUKUHBGNUJBGNOABCMZBDMZUMUOPEFUPUQQBULUNUPUQBBCRBDRSUPUQULCUK
      LUNUPUICUKBGCTUAUQUKDCBGDTUBUCUDUEUF $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The image of the domain of a class is the range of the class.
       (Contributed by NM, 14-Aug-1994.) $)
    imadmrn $p |- ( A " dom A ) = ran A $=
      ( vx vy cv cdm wcel cop wa wex cab cima crn vex opeldm ancom bitr2i exbii
      pm4.71i abbii dfima3 dfrn3 3eqtr4i ) BDZAEZFZUCCDZGAFZHZBIZCJUGBIZCJAUDKA
      LUIUJCUHUGBUGUGUEHUHUGUEUCUFABMCMNRUGUEOPQSBCAUDTBCAUAUB $.

    $( The image of a class is a subset of its range.  Theorem 3.16(xi) of
       [Monk1] p. 39.  (Contributed by NM, 31-Mar-1995.) $)
    imassrn $p |- ( A " B ) C_ ran A $=
      ( vx vy cv wcel cop wex cab cima crn exsimpr ss2abi dfima3 dfrn3 3sstr4i
      wa ) CEZBFZRDEGAFZQCHZDITCHZDIABJAKUAUBDSTCLMCDABNCDAOP $.
  $}

  ${
    $d A x $.  $d C x $.
    $( Image of a function in maps-to notation.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    mptima $p |- ( ( x e. A |-> B ) " C ) = ran ( x e. ( A i^i C ) |-> B ) $=
      ( cmpt cima cres crn cin df-ima resmpt3 rneqi eqtri ) ABCEZDFNDGZHABDICEZ
      HNDJOPABDCKLM $.
  $}

  ${
    $d x y A $.
    $( Image under the identity relation.  Theorem 3.16(viii) of [Monk1] p. 38.
       (Contributed by NM, 30-Apr-1998.) $)
    imai $p |- ( _I " A ) = A $=
      ( vx vy cid cima cv wcel cop wex cab dfima3 weq wbr df-br vex ideq bitr3i
      wa anbi1ci exbii eleq1w equsexvw bitri abbii abid2 3eqtri ) DAEBFZAGZUGCF
      ZHDGZRZBIZCJUIAGZCJABCDAKULUMCULBCLZUHRZBIUMUKUOBUJUNUHUJUGUIDMUNUGUIDNUG
      UICOPQSTUHUMBCBCAUAUBUCUDCAUEUF $.
  $}

  $( The range of the restricted identity function.  (Contributed by NM,
     27-Aug-2004.) $)
  rnresi $p |- ran ( _I |` A ) = A $=
    ( cid cima cres crn df-ima imai eqtr3i ) BACBADEABAFAGH $.

  $( The image of a restriction of the identity function.  (Contributed by FL,
     31-Dec-2006.) $)
  resiima $p |- ( B C_ A -> ( ( _I |` A ) " B ) = B ) $=
    ( wss cid cres cima crn wceq df-ima a1i resabs1 rneqd rnresi 3eqtrd ) BACZD
    AEZBFZPBEZGZDBEZGZBQSHOPBIJORTDBAKLUABHOBMJN $.

  $( Image of the empty set.  Theorem 3.16(ii) of [Monk1] p. 38.  (Contributed
     by NM, 20-May-1998.) $)
  ima0 $p |- ( A " (/) ) = (/) $=
    ( c0 cima cres crn df-ima res0 rneqi rn0 3eqtri ) ABCABDZEBEBABFKBAGHIJ $.

  $( Image under the empty relation.  (Contributed by FL, 11-Jan-2007.) $)
  0ima $p |- ( (/) " A ) = (/) $=
    ( c0 cima crn imassrn rn0 sseqtri 0ss eqssi ) BACZBJBDBBAEFGJHI $.

  ${
    $d A y $.  $d B y $.  $d x y $.  $d F y $.
    $( Move class substitution in and out of the image of a function.
       (Contributed by FL, 15-Dec-2006.)  (Revised by NM, 20-Aug-2018.) $)
    csbima12 $p |- [_ A / x ]_ ( F " B ) = ( [_ A / x ]_ F " [_ A / x ]_ B ) $=
      ( vy cvv wcel cima csb wceq csbeq1 imaeq12d eqeq12d nfcsb1v nfima csbeq1a
      cv vex c0 csbprc weq csbief vtoclg wn imaeq2d ima0 eqtr2di eqtrd pm2.61i
      ) BFGZABDCHZIZABDIZABCIZHZJZAEQZUKIZAUQDIZAUQCIZHZJUPEBFUQBJZURULVAUOAUQB
      UKKVBUSUMUTUNAUQBDKAUQBCKLMAUQUKVAERAUSUTAUQDNAUQCNOAEUADUSCUTAUQDPAUQCPL
      UBUCUJUDZULSUOABUKTVCUOUMSHSVCUNSUMABCTUEUMUFUGUHUI $.
  $}

  $( A class whose image under another is empty is disjoint with the other's
     domain.  (Contributed by FL, 24-Jan-2007.) $)
  imadisj $p |- ( ( A " B ) = (/) <-> ( dom A i^i B ) = (/) ) $=
    ( cima wceq cres crn cdm cin df-ima eqeq1i dm0rn0 dmres incom eqtri 3bitr2i
    c0 ) ABCZPDABEZFZPDRGZPDAGZBHZPDQSPABIJRKTUBPTBUAHUBABLBUAMNJO $.

  $( A preimage under any class is included in the domain of the class.
     (Contributed by FL, 29-Jan-2007.) $)
  cnvimass $p |- ( `' A " B ) C_ dom A $=
    ( ccnv cima crn cdm imassrn dfdm4 sseqtrri ) ACZBDJEAFJBGAHI $.

  $( The preimage of the range of a class is the domain of the class.
     (Contributed by Jeff Hankins, 15-Jul-2009.) $)
  cnvimarndm $p |- ( `' A " ran A ) = dom A $=
    ( ccnv cdm cima crn imadmrn df-rn imaeq2i dfdm4 3eqtr4i ) ABZKCZDKEKAEZDACK
    FMLKAGHAIJ $.

  ${
    $d x y A $.  $d x B $.  $d x y R $.
    $( The image of a singleton.  (Contributed by NM, 8-May-2005.) $)
    imasng $p |- ( A e. B -> ( R " { A } ) = { y | A R y } ) $=
      ( vx wcel cvv csn cima wbr cab wceq elex wrex dfima2 rexsng abbidv eqtrid
      cv breq1 syl ) BCFBGFZDBHZIZBASZDJZAKZLBCMUBUDESZUEDJZEUCNZAKUGEADUCOUBUJ
      UFAUIUFEBGUHBUEDTPQRUA $.

    $( The image of a singleton.  (Contributed by NM, 20-May-1998.) $)
    relimasn $p |- ( Rel R -> ( R " { A } ) = { y | A R y } ) $=
      ( wrel cvv wcel csn cima cv wbr cab wceq wn wa c0 snprc imaeq2 sylbi ima0
      eqtrdi adantl wex brrelex1 stoic1a nexdv abn0 necon1bbii eqtr4d ex imasng
      sylib pm2.61d2 ) CDZBEFZCBGZHZBAIZCJZAKZLZUMUNMZUTUMVANZUPOUSVAUPOLUMVAUP
      COHZOVAUOOLUPVCLBPUOOCQRCSTUAVBURAUBZMUSOLVBURAUMURUNBUQCUCUDUEVDUSOURAUF
      UGUKUHUIABECUJUL $.

    $( Elementhood in the image of a singleton.  (Contributed by Mario
       Carneiro, 3-Nov-2015.) $)
    elrelimasn $p |- ( Rel R -> ( B e. ( R " { A } ) <-> A R B ) ) $=
      ( vx wrel csn cima cv wbr cab relimasn eleq2d cvv wi wb brrelex2 ex breq2
      wcel elab3g syl bitrd ) CEZBCAFGZSBADHZCIZDJZSZABCIZUCUDUGBDACKLUCUIBMSZN
      UHUIOUCUIUJABCPQUFUIDBMUEBACRTUAUB $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d V x $.  $d W x $.
    $( Membership in an image of a singleton.  (Contributed by Raph Levien,
       21-Oct-2006.)  Revise to use ~ df-br and to prove ~ elimasn1 from it.
       (Revised by BJ, 16-Oct-2024.) $)
    elimasng1 $p |- ( ( B e. V /\ C e. W ) ->
                                          ( C e. ( A " { B } ) <-> B A C ) ) $=
      ( vx wcel wa cv wbr csn cima simpr cab wceq imasng adantr breq2d elabd2 )
      BDGZCEGZHZBFIZAJZBCAJFCABKLZETUAMTUEUDFNOUAFBDAPQUBUCCOZHUCCBAUBUFMRS $.
  $}

  ${
    elimasn1.1 $e |- B e. _V $.
    elimasn1.2 $e |- C e. _V $.
    $( Membership in an image of a singleton.  (Contributed by NM,
       15-Mar-2004.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.)  Use
       ~ df-br and shorten.  (Revised by BJ, 16-Oct-2024.) $)
    elimasn1 $p |- ( C e. ( A " { B } ) <-> B A C ) $=
      ( cvv wcel csn cima wbr wb elimasng1 mp2an ) BFGCFGCABHIGBCAJKDEABCFFLM
      $.
  $}

  $( Membership in an image of a singleton.  (Contributed by Raph Levien,
     21-Oct-2006.)  TODO: replace existing usages by usages of ~ elimasng1 ,
     remove, and relabel ~ elimasng1 to "elimasng". $)
  elimasng $p |- ( ( B e. V /\ C e. W ) ->
                   ( C e. ( A " { B } ) <-> <. B , C >. e. A ) ) $=
    ( wcel wa csn cima wbr cop elimasng1 df-br bitrdi ) BDFCEFGCABHIFBCAJBCKAFA
    BCDELBCAMN $.

  ${
    elimasn.1 $e |- B e. _V $.
    elimasn.2 $e |- C e. _V $.
    $( Membership in an image of a singleton.  (Contributed by NM,
       15-Mar-2004.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.)  (Proof
       shortened by BJ, 16-Oct-2024.)  TODO: replace existing usages by usages
       of ~ elimasn1 , remove, and relabel ~ elimasn1 to "elimasn". $)
    elimasn $p |- ( C e. ( A " { B } ) <-> <. B , C >. e. A ) $=
      ( cvv wcel csn cima cop wb elimasng mp2an ) BFGCFGCABHIGBCJAGKDEABCFFLM
      $.
  $}

  ${
    $d A y z $.  $d B y z $.  $d C y z $.
    $( Obsolete version of ~ elimasng as of 16-Oct-2024.  (Contributed by Raph
       Levien, 21-Oct-2006.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    elimasngOLD $p |- ( ( B e. V /\ C e. W ) ->
                   ( C e. ( A " { B } ) <-> <. B , C >. e. A ) ) $=
      ( vz vy cv csn cima wcel cop wceq sneq imaeq2d eleq2d eleq1d bibi12d vex
      wb opeq1 eleq1 opeq2 elimasn vtocl2g ) FHZAGHZIZJZKZUGUFLZAKZTUFABIZJZKZB
      UFLZAKZTCUNKZBCLZAKZTGFBCDEUGBMZUJUOULUQVAUIUNUFVAUHUMAUGBNOPVAUKUPAUGBUF
      UAQRUFCMZUOURUQUTUFCUNUBVBUPUSAUFCBUCQRAUGUFGSFSUDUE $.
  $}

  $( Membership in an image of a singleton.  (Contributed by NM,
     5-Aug-2010.) $)
  elimasni $p |- ( C e. ( A " { B } ) -> B A C ) $=
    ( cvv wcel wa csn cima wbr wn c0 noel wceq snprc biimpi imaeq2d ima0 eqtrdi
    eleq2d mtbiri con4i elex jca elimasng1 biimpd mpcom ) BDEZCDEZFZCABGZHZEZBC
    AIZULUGUHUGULUGJZULCKECLUNUKKCUNUKAKHKUNUJKAUNUJKMBNOPAQRSTUACUKUBUCUIULUMA
    BCDDUDUEUF $.

  ${
    $d y F $.  $d x y $.
    $( Two ways to express the class of unique-valued arguments of ` F ` ,
       which is the same as the domain of ` F ` whenever ` F ` is a function.
       The left-hand side of the equality is from Definition 10.2 of [Quine]
       p. 65.  Quine uses the notation "arg ` F ` " for this class (for which
       we have no separate notation).  Observe the resemblance to the alternate
       definition ~ dffv4 of function value, which is based on the idea in
       Quine's definition.  (Contributed by NM, 8-May-2005.) $)
    args $p |- { x | E. y ( F " { x } ) = { y } } = { x | E! y x F y } $=
      ( csn cima wceq wex wbr weu cab cvv imasng elv eqeq1i exbii euabsn bitr4i
      cv abbii ) CARZDEZBRZDZFZBGZTUBCHZBIZAUEUFBJZUCFZBGUGUDUIBUAUHUCUAUHFABTK
      CLMNOUFBPQS $.
  $}

  $( Membership in the inverse image of a singleton.  (Contributed by NM,
     28-Apr-2004.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.)  Put in
     closed form and shorten.  (Revised by BJ, 16-Oct-2024.) $)
  elinisegg $p |-
             ( ( B e. V /\ C e. W ) -> ( C e. ( `' A " { B } ) <-> C A B ) ) $=
    ( wcel wa ccnv csn cima wbr elimasng1 brcnvg bitrd ) BDFCEFGCAHZBIJFBCOKCBA
    KOBCDELBCDEAMN $.

  ${
    eliniseg.1 $e |- C e. _V $.
    $( Membership in the inverse image of a singleton.  An application is to
       express initial segments for an order relation.  See for example
       Definition 6.21 of [TakeutiZaring] p. 30.  (Contributed by NM,
       28-Apr-2004.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
    eliniseg $p |- ( B e. V -> ( C e. ( `' A " { B } ) <-> C A B ) ) $=
      ( wcel cvv ccnv csn cima wbr wb elinisegg mpan2 ) BDFCGFCAHBIJFCBAKLEABCD
      GMN $.
  $}

  ${
    $d A x $.  $d V x $.
    $( Any set is equal to its preimage under the converse membership relation.
       (Contributed by Mario Carneiro, 9-Mar-2013.)  Put in closed form.
       (Revised by BJ, 16-Oct-2024.) $)
    epin $p |- ( A e. V -> ( `' _E " { A } ) = A ) $=
      ( vx wcel cep ccnv csn cima cv wbr vex eliniseg epelg bitrd eqrdv ) ABDZC
      EFAGHZAPCIZQDRAEJRADEARBCKLRABMNO $.
  $}

  ${
    epini.1 $e |- A e. _V $.
    $( Any set is equal to its preimage under the converse membership relation.
       (Contributed by Mario Carneiro, 9-Mar-2013.) $)
    epini $p |- ( `' _E " { A } ) = A $=
      ( cvv wcel cep ccnv csn cima wceq epin ax-mp ) ACDEFAGHAIBACJK $.
  $}

  ${
    $d x A $.  $d x B $.
    $( An idiom that signifies an initial segment of an ordering, used, for
       example, in Definition 6.21 of [TakeutiZaring] p. 30.  (Contributed by
       NM, 28-Apr-2004.) $)
    iniseg $p |- ( B e. V -> ( `' A " { B } ) = { x | x A B } ) $=
      ( wcel cvv ccnv csn cima cv wbr cab wceq elex vex eliniseg abbi2dv syl )
      CDECFEZBGCHIZAJZCBKZALMCDNSUBATBCUAFAOPQR $.
  $}

  ${
    $d F a b $.  $d A a b $.
    $( Nonemptiness of an initial segment in terms of range.  (Contributed by
       Stefan O'Rear, 18-Jan-2015.) $)
    inisegn0 $p |- ( A e. ran F <-> ( `' F " { A } ) =/= (/) ) $=
      ( va vb crn wcel cvv ccnv csn cima c0 wne elex wn wceq snprc imaeq2d ima0
      biimpi cv eqtrdi necon1ai eleq1 sneq neeq1d wbr cab wex iniseg elv neeq1i
      abn0 vex elrn 3bitr4ri vtoclbg pm5.21nii ) ABEZFZAGFZBHZAIZJZKLZAURMUTVCK
      UTNZVCVAKJKVEVBKVAVEVBKOAPSQVARUAUBCTZURFZVAVFIZJZKLZUSVDCAGVFAURUCVFAOZV
      IVCKVKVHVBVAVFAUDQUEDTVFBUFZDUGZKLVLDUHVJVGVLDULVIVMKVIVMOCDBVFGUIUJUKDVF
      BCUMUNUOUPUQ $.
  $}

  ${
    $d x y z A $.  $d x y z R $.
    $( Alternate definition of well-founded relation.  Definition 6.21 of
       [TakeutiZaring] p. 30.  (Contributed by NM, 23-Apr-2004.)  (Revised by
       Mario Carneiro, 23-Jun-2015.) $)
    dffr3 $p |- ( R Fr A <-> A. x ( ( x C_ A /\ x =/= (/) ) ->
                E. y e. x ( x i^i ( `' R " { y } ) ) = (/) ) ) $=
      ( vz wfr cv wss c0 wne wa wbr crab wceq wrex wi wal ccnv csn cin cima cab
      dffr2 cvv iniseg ineq2i dfrab3 eqtr4i eqeq1i rexbii imbi2i albii bitr4i
      elv ) CDFAGZCHUOIJKZEGBGZDLZEUOMZINZBUOOZPZAQUPUODRUQSUAZTZINZBUOOZPZAQAB
      ECDUCVGVBAVFVAUPVEUTBUOVDUSIVDUOUREUBZTUSVCVHUOVCVHNBEDUQUDUEUNUFUREUOUGU
      HUIUJUKULUM $.
  $}

  ${
    $d x y A $.  $d x y R $.
    $( Alternate definition of set-like relation.  (Contributed by Mario
       Carneiro, 23-Jun-2015.) $)
    dfse2 $p |- ( R Se A <-> A. x e. A ( A i^i ( `' R " { x } ) ) e. _V ) $=
      ( vy wse wbr crab cvv wcel wral ccnv csn cima cin df-se cab dfrab3 iniseg
      cv wceq elv ineq2i eqtr4i eleq1i ralbii bitri ) BCEDSASZCFZDBGZHIZABJBCKU
      GLMZNZHIZABJADBCOUJUMABUIULHUIBUHDPZNULUHDBQUKUNBUKUNTADCUGHRUAUBUCUDUEUF
      $.
  $}

  $( Subset theorem for image.  (Contributed by NM, 16-Mar-2004.) $)
  imass1 $p |- ( A C_ B -> ( A " C ) C_ ( B " C ) ) $=
    ( wss cres crn cima ssres rnss syl df-ima 3sstr4g ) ABDZACEZFZBCEZFZACGBCGM
    NPDOQDABCHNPIJACKBCKL $.

  $( Subset theorem for image.  Exercise 22(a) of [Enderton] p. 53.
     (Contributed by NM, 22-Mar-1998.) $)
  imass2 $p |- ( A C_ B -> ( C " A ) C_ ( C " B ) ) $=
    ( wss cres crn cima ssres2 rnss syl df-ima 3sstr4g ) ABDZCAEZFZCBEZFZCAGCBG
    MNPDOQDABCHNPIJCAKCBKL $.

  $( The image of a singleton outside the domain is empty.  (Contributed by NM,
     22-May-1998.)  (Proof shortened by OpenAI, 3-Jul-2020.) $)
  ndmima $p |- ( -. A e. dom B -> ( B " { A } ) = (/) ) $=
    ( csn cima c0 wceq cdm cin wcel wn imadisj disjsn sylbbr ) BACZDEFBGZNHEFAO
    IJBNKOALM $.

  ${
    $d x y A $.
    $( A converse is a relation.  Theorem 12 of [Suppes] p. 62.  (Contributed
       by NM, 29-Oct-1996.) $)
    relcnv $p |- Rel `' A $=
      ( vy vx cv wbr ccnv df-cnv relopabiv ) BDCDAECBAFCBAGH $.
  $}

  $( When ` R ` is a relation, the sethood assumptions on ~ brcnv can be
     omitted.  (Contributed by Mario Carneiro, 28-Apr-2015.) $)
  relbrcnvg $p |- ( Rel R -> ( A `' R B <-> B R A ) ) $=
    ( wrel cvv wcel wa ccnv wbr wi relcnv brrelex12i a1i brrelex12 ancomd ex wb
    brcnvg pm5.21ndd ) CDZAEFZBEFZGZABCHZIZBACIZUEUCJTABUDCKLMTUFUCTUFGUBUABACN
    OPUCUEUFQJTABEECRMS $.

  $( Eliminate the class existence constraint in ~ eliniseg .  (Contributed by
     Mario Carneiro, 5-Dec-2014.)  (Revised by Mario Carneiro, 17-Nov-2015.) $)
  eliniseg2 $p |- ( Rel A -> ( C e. ( `' A " { B } ) <-> C A B ) ) $=
    ( ccnv csn cima wcel wbr wrel wb relcnv elrelimasn ax-mp relbrcnvg syl5bb )
    CADZBEFGZBCPHZAICBAHPIQRJAKBCPLMBCANO $.

  ${
    relbrcnv.1 $e |- Rel R $.
    $( When ` R ` is a relation, the sethood assumptions on ~ brcnv can be
       omitted.  (Contributed by Mario Carneiro, 28-Apr-2015.) $)
    relbrcnv $p |- ( A `' R B <-> B R A ) $=
      ( wrel ccnv wbr wb relbrcnvg ax-mp ) CEABCFGBACGHDABCIJ $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    $( Two ways of saying that the composition of two relations is included in
       a third relation.  See its special instance ~ cotr for the main
       application.  (Contributed by NM, 27-Dec-1996.)  (Proof shortened by
       Andrew Salmon, 27-Aug-2011.)  Generalized from its special instance
       ~ cotr .  (Revised by Richard Penner, 24-Dec-2019.) $)
    cotrg $p |-
      ( ( A o. B ) C_ C <-> A. x A. y A. z ( ( x B y /\ y A z ) -> x C z ) ) $=
      ( ccom wss cv cop wcel wi wal wbr wa wrel wb vex albii bitri df-co opelco
      wex relopabiv ssrel ax-mp df-br bicomi imbi12i 19.23v bitr4i alcom ) DEGZ
      FHZAIZCIZJZUMKZUQFKZLZCMZAMZUOBIZENVCUPDNOZUOUPFNZLZCMBMZAMUMPUNVBQVDBUCZ
      ACUMACBDEUAUDACUMFUEUFVAVGAVAVFBMZCMVGUTVICUTVHVELVIURVHUSVEBUOUPDEARCRUB
      VEUSUOUPFUGUHUIVDVEBUJUKSVFCBULTST $.
  $}

  ${
    $d x y z R $.
    $( Two ways of saying a relation is transitive.  Definition of transitivity
       in [Schechter] p. 51.  Special instance of ~ cotrg .  (Contributed by
       NM, 27-Dec-1996.) $)
    cotr $p |-
      ( ( R o. R ) C_ R <-> A. x A. y A. z ( ( x R y /\ y R z ) -> x R z ) ) $=
      ( cotrg ) ABCDDDE $.
  $}

  ${
    $d x y R $.  $d x y A $.
    $( Alternate proof of ~ idref not relying on definitions related to
       functions.  Two ways to state that a relation is reflexive on a class.
       (Contributed by FL, 15-Jan-2012.)  (Proof shortened by Mario Carneiro,
       3-Nov-2015.)  (Revised by NM, 30-Mar-2016.)  (Proof shortened by BJ,
       28-Aug-2022.)  The "proof modification is discouraged" tag is here only
       because this is an *ALT result.  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    idrefALT $p |- ( ( _I |` A ) C_ R <-> A. x e. A x R x ) $=
      ( vy cid cres wss cv wcel wal wbr wral dfss2 cop wceq wrex ralbii 3bitr2i
      wi elrid imbi1i r19.23v eleq1 df-br bitr4di pm5.74i albii ralcom4 ceqsalv
      opex biidd bitri ) EBFZCGDHZUMIZUNCIZSZDJZAHZUSCKZABLZDUMCMURUNUSUSNZOZUT
      SZABLZDJVDDJZABLVAUQVEDUQVCABPZUPSVCUPSZABLVEUOVGUPAUNBTUAVCUPABUBVHVDABV
      CUPUTVCUPVBCIUTUNVBCUCUSUSCUDUEUFQRUGVDADBUHVFUTABUTUTDVBUSUSUJVCUTUKUIQR
      UL $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z R $.  $d x y z S $.  $d z V $.
    $d z W $.
    $( Two ways of saying a relation is symmetric.  Similar to definition of
       symmetry in [Schechter] p. 51.  (Contributed by NM, 28-Dec-1996.)
       (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
    cnvsym $p |- ( `' R C_ R <-> A. x A. y ( x R y -> y R x ) ) $=
      ( cv cop ccnv wcel wi wal wss wbr alcom wrel relcnv ssrel ax-mp vex brcnv
      wb df-br bitr3i imbi12i 2albii 3bitr4i ) BDZADZEZCFZGZUGCGZHZAIBIZUKBIAIU
      HCJZUFUECKZUEUFCKZHZBIAIUKBALUHMUMULSCNBAUHCOPUPUKABUNUIUOUJUNUEUFUHKUIUE
      UFCBQAQRUEUFUHTUAUEUFCTUBUCUD $.

    $( Two ways of saying a relation is antisymmetric.  Definition of
       antisymmetry in [Schechter] p. 51.  (Contributed by NM, 9-Sep-2004.)
       (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
    intasym $p |- ( ( R i^i `' R ) C_ _I <->
                  A. x A. y ( ( x R y /\ y R x ) -> x = y ) ) $=
      ( ccnv cin cid wss cv cop wcel wi wal wbr wa weq wrel wb df-br vex bitr3i
      relcnv relin2 ssrel mp2b elin brcnv anbi12i bitr4i imbi12i 2albii bitri
      ideq ) CCDZEZFGZAHZBHZIZUNJZURFJZKZBLALZUPUQCMZUQUPCMZNZABOZKZBLALUMPUNPU
      OVBQCUACUMUBABUNFUCUDVAVGABUSVEUTVFUSURCJZURUMJZNVEURCUMUEVCVHVDVIUPUQCRV
      DUPUQUMMVIUPUQCASBSZUFUPUQUMRTUGUHUTUPUQFMVFUPUQFRUPUQVJULTUIUJUK $.

    $( Two ways of saying a relation is antisymmetric and reflexive.
       ` U. U. R ` is the field of a relation by ~ relfld .  (Contributed by
       NM, 6-May-2008.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
    asymref $p |- ( ( R i^i `' R ) = ( _I |` U. U. R ) <->
       A. x e. U. U. R A. y ( ( x R y /\ y R x ) <-> x = y ) ) $=
      ( cv wcel cid cuni wb wal wbr wa wceq wi df-br bitr3i bitri 3bitr4i albii
      vex wrel cop ccnv cin cres wral opeluu simpld adantr pm4.71ri bibi1i elin
      sylbi brcnv anbi12i bitr4i ideq anbi2i bibi12i pm5.32 19.21v relcnv ax-mp
      opelresi relin2 relres eqrel mp2an df-ral ) ADZBDZUAZCCUBZUCZEZVKFCGGZUDZ
      EZHZBIZAIZVIVOEZVIVJCJZVJVICJZKZVIVJLZHZBIZMZAIVMVPLZWGAVOUEVSWHAVSWAWFMZ
      BIWHVRWJBWDWAWEKZHWAWDKZWKHVRWJWDWLWKWDWAWBWAWCWBWAVJVOEZWBVKCEZWAWMKVIVJ
      CNZVIVJCASZBSZUFULUGUHUIUJVNWDVQWKVNWNVKVLEZKWDVKCVLUKWBWNWCWRWOWCVIVJVLJ
      WRVIVJCWPWQUMVIVJVLNOUNUOVQWAVKFEZKWKVOVIVJFWQVCWSWEWAWSVIVJFJWEVIVJFNVIV
      JWQUPOUQPURWAWDWEUSQRWAWFBUTPRVMTZVPTWIVTHVLTWTCVACVLVDVBFVOVEABVMVPVFVGW
      GAVOVHQ $.

    $( Two ways of saying a relation is antisymmetric and reflexive.
       (Contributed by NM, 6-May-2008.)  (Proof shortened by Mario Carneiro,
       4-Dec-2016.) $)
    asymref2 $p |- ( ( R i^i `' R ) = ( _I |` U. U. R ) <->
   ( A. x e. U. U. R x R x /\ A. x A. y ( ( x R y /\ y R x ) -> x = y ) ) ) $=
      ( ccnv cin cid cuni wceq cv wbr wa wral wi ralbii albii bitri wcel 3bitri
      wal vex cres asymref albiim r19.26 ancom equcom breq2 breq1 anbi12d anidm
      wb imbi1i bitrdi equsalvw df-ral wn cop df-br opeluu simpld sylbi pm2.24d
      adantr com12 alrimiv id ja ax-1 impbii anbi12i ) CCDEFCGGZUAHAIZBIZCJZVMV
      LCJZKZVLVMHZUKBSZAVKLVPVQMZBSZVQVPMZBSZKZAVKLZVLVLCJZAVKLZVTASZKZABCUBVRW
      CAVKVPVQBUCNWDVTAVKLZWBAVKLZKWJWIKWHVTWBAVKUDWIWJUEWJWFWIWGWBWEAVKWBVMVLH
      ZVPMZBSWEWAWLBVQWKVPABUFULOVPWEBAWKVPWEWEKWEWKVNWEVOWEVMVLVLCUGVMVLVLCUHU
      IWEUJUMUNPNWIVLVKQZVTMZASWGVTAVKUOWNVTAWNVTWMVTVTWMUPZVSBVPWOVQVPWMVQVNWM
      VOVNVLVMUQCQZWMVLVMCURWPWMVMVKQVLVMCATBTUSUTVAVCVBVDVEVTVFVGVTWMVHVIOPVJR
      R $.

    $( Two ways of saying a relation is irreflexive.  Definition of
       irreflexivity in [Schechter] p. 51.  (Contributed by NM, 9-Sep-2004.)
       (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
    intirr $p |- ( ( R i^i _I ) = (/) <-> A. x -. x R x ) $=
      ( vy cid cin c0 wceq cv cop wcel cvv cdif wi wal wbr wn wss incom 3bitr2i
      df-br eqeq1i disj2 wrel wb reli ssrel ax-mp 3bitri equcom vex wa biantrur
      ideq eldif bitr4i xchnxbir imbi12i 2albii breq2 notbid equsalvw albii
      opex ) BDEZFGZAHZCHZIZDJZVHKBLZJZMZCNANZVGVFGZVFVGBOZPZMZCNZANVFVFBOZPZAN
      VEDBEZFGDVJQZVMVDWAFBDRUADBUBDUCWBVMUDUEACDVJUFUGUHVQVLACVNVIVPVKVNVFVGGV
      FVGDOVICAUIVFVGCUJUMVFVGDTSVHBJZVKVOWCPZVHKJZWDUKVKWEWDVFVGVCULVHKBUNUOVF
      VGBTUPUQURVRVTAVPVTCAVNVOVSVGVFVFBUSUTVAVBS $.

    $( Two ways of saying that two elements have an upper bound.  (Contributed
       by Mario Carneiro, 3-Nov-2015.) $)
    brcodir $p |- ( ( A e. V /\ B e. W ) ->
      ( A ( `' R o. R ) B <-> E. z ( A R z /\ B R z ) ) ) $=
      ( wcel wa ccnv ccom wbr cv wex brcog wb cvv vex brcnvg mpan anbi2d adantl
      exbidv bitrd ) BEGZCFGZHZBCDIZDJKBALZDKZUHCUGKZHZAMUICUHDKZHZAMABCUGDEFNU
      FUKUMAUEUKUMOUDUEUJULUIUHPGUEUJULOAQUHCPFDRSTUAUBUC $.

    $( Two ways of saying a relation is directed.  (Contributed by Mario
       Carneiro, 22-Nov-2013.) $)
    codir $p |- ( ( A X. B ) C_ ( `' R o. R ) <-> A. x e. A A. y e. B
      E. z ( x R z /\ y R z ) ) $=
      ( cv cop cxp wcel ccnv ccom wi wal wa wbr wex wral wb cvv wss opelxp el2v
      df-br brcodir bitr3i imbi12i 2albii wrel relxp ssrel ax-mp r2al 3bitr4i )
      AGZBGZHZDEIZJZUQFKFLZJZMZBNANZUODJUPEJOZUOCGZFPUPVEFPOCQZMZBNANURUTUAZVFB
      ERADRVBVGABUSVDVAVFUOUPDEUBVAUOUPUTPZVFUOUPUTUDVIVFSABCUOUPFTTUEUCUFUGUHU
      RUIVHVCSDEUJABURUTUKULVFABDEUMUN $.

    $( A quantifier-free way of expressing the total order predicate.
       (Contributed by Mario Carneiro, 22-Nov-2013.) $)
    qfto $p |- ( ( A X. B ) C_ ( R u. `' R ) <->
                 A. x e. A A. y e. B ( x R y \/ y R x ) ) $=
      ( cv cop cxp wcel ccnv cun wi wal wa wbr wo wss wral opelxp vex brun wrel
      df-br brcnv orbi2i 3bitr3i imbi12i 2albii relxp ssrel ax-mp r2al 3bitr4i
      wb ) AFZBFZGZCDHZIZUQEEJZKZIZLZBMAMZUOCIUPDINZUOUPEOZUPUOEOZPZLZBMAMURVAQ
      ZVHBDRACRVCVIABUSVEVBVHUOUPCDSUOUPVAOVFUOUPUTOZPVBVHUOUPEUTUAUOUPVAUCVKVG
      VFUOUPEATBTUDUEUFUGUHURUBVJVDUNCDUIABURVAUJUKVHABCDULUM $.

    $( A Cartesian square is a transitive relation.  (Contributed by FL,
       31-Jul-2009.) $)
    xpidtr $p |- ( ( A X. A ) o. ( A X. A ) ) C_ ( A X. A ) $=
      ( vx vy vz cxp ccom wss cv wbr wa wi wal wcel simplbi2com simplbiim com12
      brxp adantr sylbi imp ax-gen gen2 cotr mpbir ) AAEZUEFUEGBHZCHZUEIZUGDHZU
      EIZJUFUIUEIZKZDLZCLBLUMBCULDUHUJUKUHUFAMZUGAMZJUJUKKZUFUGAAQUNUPUOUJUNUKU
      JUOUIAMZUNUKKUGUIAAQUKUNUQUFUIAAQNOPRSTUAUBBCDUEUCUD $.

    $( The intersection of two transitive classes is transitive.  (Contributed
       by FL, 31-Jul-2009.) $)
    trin2 $p |- ( ( ( R o. R ) C_ R /\ ( S o. S ) C_ S )
      -> ( ( R i^i S ) o. ( R i^i S ) ) C_ ( R i^i S ) ) $=
      ( vx vy vz ccom wss wa cv cin wbr wal cotr brin simpr simpl com12 alanimi
      wi sylbi anim12d an4s syl2anb syl6ibr ex imp sylibr ) AAFAGZBBFBGZHCIZDIZ
      ABJZKZUKEIZULKZHZUJUNULKZSZELZDLZCLZULULFULGUHUIVAUHUJUKAKZUKUNAKZHZUJUNA
      KZSZELZDLZCLZUIVASCDEAMUIVIVAUIUJUKBKZUKUNBKZHZUJUNBKZSZELZDLZCLZVIVASCDE
      BMVQVIVAVPVHUTCVOVGUSDVNVFUREVNVFHZUPVEVMHZUQUPVRVSUMVBVJHVCVKHVRVSSZUOUJ
      UKABNUKUNABNVBVCVJVKVTVRVDVLHVSVRVDVEVLVMVNVFOVNVFPUAQUBUCQUJUNABNUDRRRUE
      TQTUFCDEULMUG $.

    $( A partial order is irreflexive.  (Contributed by Mario Carneiro,
       2-Nov-2015.)  (Proof shortened by Peter Mazsa, 2-Oct-2022.) $)
    poirr2 $p |- ( R Po A -> ( R i^i ( _I |` A ) ) = (/) ) $=
      ( vx vy wpo cid cres cin c0 wss wceq wrel relres relin2 cv wcel wbr wa wn
      syl5bi mp1i cop df-br brin bitr3i wi vex brresi poirr wb ideq breq2 sylbi
      notbid syl5ibcom expimpd con2d imnan sylib pm2.21d relssdv ss0 syl ) ABEZ
      BFAGZHZIJVFIKVDCDVFIVELVFLVDFAMBVENUACOZDOZUBZVFPZVGVHBQZVGVHVEQZRZVDVIIP
      ZVJVGVHVFQVMVGVHVFUCVGVHBVEUDUEVDVMVNVDVKVLSUFVMSVDVLVKVLVGAPZVGVHFQZRVDV
      KSZAVGVHFDUGZUHVDVOVPVQVDVORVGVGBQZSVPVQAVGBUIVPVSVKVPVGVHKVSVKUJVGVHVRUK
      VGVHVGBULUMUNUOUPTUQVKVLURUSUTTVAVFVBVC $.
  $}

  $( The relation induced by a transitive relation on a part of its field is
     transitive.  (Taking the intersection of a relation with a Cartesian
     square is a way to restrict it to a subset of its field.)  (Contributed by
     FL, 31-Jul-2009.) $)
  trinxp $p |- ( ( R o. R ) C_ R ->
  ( ( R i^i ( A X. A ) ) o. ( R i^i ( A X. A ) ) ) C_ ( R i^i ( A X. A ) ) ) $=
    ( ccom wss cxp cin xpidtr trin2 mpan2 ) BBCBDAAEZJCJDBJFZKCKDAGBJHI $.

  ${
    soi.1 $e |- R Or S $.
    soi.2 $e |- R C_ ( S X. S ) $.
    $( A strict order relation is irreflexive.  (Contributed by NM,
       10-Feb-1996.)  (Revised by Mario Carneiro, 10-May-2013.) $)
    soirri $p |- -. A R A $=
      ( wcel wa wbr wn wor sonr mpan adantl brel con3i pm2.61i ) ACFZQGZAABHZIZ
      QTQCBJQTDCABKLMSRAACCBENOP $.

    $( A strict order relation is a transitive relation.  (Contributed by NM,
       10-Feb-1996.)  (Revised by Mario Carneiro, 10-May-2013.) $)
    sotri $p |- ( ( A R B /\ B R C ) -> A R C ) $=
      ( wcel wa wbr brel simpld anim12i wi wor w3a sotr mpan 3expb mpcom ) AEHZ
      BEHZCEHZIZIABDJZBCDJZIZACDJZUEUAUFUDUEUAUBABEEDGKLBCEEDGKMUAUBUCUGUHNZEDO
      UAUBUCPUIFEABCDQRST $.

    $( A strict order relation has no 2-cycle loops.  (Contributed by NM,
       10-Feb-1996.)  (Revised by Mario Carneiro, 10-May-2013.) $)
    son2lpi $p |- -. ( A R B /\ B R A ) $=
      ( wbr wa soirri sotri mto ) ABCGBACGHAACGACDEFIABACDEFJK $.

    $( A transitivity relation.  (Read ` A <_ B ` and ` B < C ` implies
       ` A < C ` .)  (Contributed by Mario Carneiro, 10-May-2013.) $)
    sotri2 $p |- ( ( A e. S /\ -. B R A /\ B R C ) -> A R C ) $=
      ( wbr wcel wn wi brel simpld wa wceq wo wor wb sotric mpan con2bid biimpd
      breq1 sotri ex jaoi syl6bir com3r mpand 3imp231 ) BCDHZAEIZBADHZJZACDHZUK
      BEIZULUNUOKUKUPCEIBCEEDGLMUPULNZUNUKUOUQUNBAOZABDHZPZUKUOKZUQUMUTEDQUQUMU
      TJRFEBADSTUAURVAUSURUKUOBACDUCUBUSUKUOABCDEFGUDUEUFUGUHUIUJ $.

    $( A transitivity relation.  (Read ` A < B ` and ` B <_ C ` implies
       ` A < C ` .)  (Contributed by Mario Carneiro, 10-May-2013.) $)
    sotri3 $p |- ( ( C e. S /\ A R B /\ -. C R B ) -> A R C ) $=
      ( wbr wcel wn wi brel simprd wa wceq wo wor wb sotric mpan con2bid expcom
      breq2 biimprd sotri jaoi syl6bir com3r mpan2d 3imp21 ) ABDHZCEIZCBDHZJZAC
      DHZUKULBEIZUNUOKUKAEIUPABEEDGLMULUPNZUNUKUOUQUNCBOZBCDHZPZUKUOKZUQUMUTEDQ
      UQUMUTJRFECBDSTUAURVAUSURUOUKCBADUCUDUKUSUOABCDEFGUEUBUFUGUHUIUJ $.
  $}

  $( Express "less than or equals" for general strict orders.  (Contributed by
     Stefan O'Rear, 17-Jan-2015.) $)
  poleloe $p |- ( B e. V -> ( A ( R u. _I ) B <-> ( A R B \/ A = B ) ) ) $=
    ( cid cun wbr wo wcel wceq brun ideqg orbi2d syl5bb ) ABCEFGABCGZABEGZHBDIZ
    OABJZHABCEKQPROABDLMN $.

  $( Transitive law for general strict orders.  (Contributed by Stefan O'Rear,
     17-Jan-2015.) $)
  poltletr $p |- ( ( R Po X /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
      ( ( A R B /\ B ( R u. _I ) C ) -> A R C ) ) $=
    ( wpo wcel w3a wa wbr cid cun wceq wo poleloe 3ad2ant3 adantl anbi2d com12
    wb wi potr breq2 biimpac a1d jaodan sylbid ) EDFZAEGZBEGZCEGZHZIZABDJZBCDKL
    JZIUNBCDJZBCMZNZIZACDJZUMUOURUNULUOURTZUHUKUIVAUJBCDEOPQRUSUMUTUNUPUMUTUAUQ
    UMUNUPIUTEABCDUBSUNUQIUTUMUQUNUTBCADUCUDUEUFSUG $.

  $( Property of a minimum in a strict order.  (Contributed by Stefan O'Rear,
     17-Jan-2015.) $)
  somin1 $p |- ( ( R Or X /\ ( A e. X /\ B e. X ) ) ->
      if ( A R B , A , B ) ( R u. _I ) A ) $=
    ( wor wcel wa wbr cif cid cun wceq wo iftrue olcd adantl wn sotric mpbird
    wb orcom eqcom orbi2i bitri notbii bitrdi con2bid biimpar iffalse breq1 syl
    eqeq1 orbi12d pm2.61dan poleloe ad2antrl ) DCEZADFZBDFZGGZABCHZABIZACJKHZVB
    ACHZVBALZMZUTVAVFVAVFUTVAVEVDVAABNOPUTVAQZGVFBACHZBALZMZUTVJVGUTVAVJUTVAABL
    ZVHMZQVJQDABCRVLVJVLVHVKMVJVKVHUAVKVIVHABUBUCUDUEUFUGUHVGVFVJTZUTVGVBBLZVMV
    AABUIVNVDVHVEVIVBBACUJVBBAULUMUKPSUNURVCVFTUQUSVBACDUOUPS $.

  $( Commutativity of minimum in a total order.  (Contributed by Stefan O'Rear,
     17-Jan-2015.) $)
  somincom $p |- ( ( R Or X /\ ( A e. X /\ B e. X ) ) ->
      if ( A R B , A , B ) = if ( B R A , B , A ) ) $=
    ( wor wcel wa wbr cif wn so2nr nan mpbi iffalsed eqcomd wceq sotric con2bid
    wi wo ifeq2 ifid eqtr2di iftrue jaoi syl6bir imp ifeqda ) DCEADFBDFGGZABCHZ
    ABBACHZBAIZUIUJGZULAUMUKBAUIUJUKGJSUMUKJSDABCKUIUJUKLMNOUIUJJZBULPZUIUNABPZ
    UKTZUOUIUJUQDABCQRUPUOUKUPULUKBBIBUKABBUAUKBUBUCUKULBUKBAUDOUEUFUGUH $.

  $( Property of a minimum in a strict order.  (Contributed by Stefan O'Rear,
     17-Jan-2015.) $)
  somin2 $p |- ( ( R Or X /\ ( A e. X /\ B e. X ) ) ->
      if ( A R B , A , B ) ( R u. _I ) B ) $=
    ( wor wcel wa wbr cif cid cun somincom somin1 ancom2s eqbrtrd ) DCEZADFZBDF
    ZGGABCHABIBACHBAIZBCJKZABCDLPRQSBTHBACDMNO $.

  $( Being less than a minimum, for a general total order.  (Contributed by
     Stefan O'Rear, 17-Jan-2015.) $)
  soltmin $p |- ( ( R Or X /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
      ( A R if ( B R C , B , C ) <-> ( A R B /\ A R C ) ) ) $=
    ( wor wcel w3a wa wbr cif wpo cid cun 3jca syl12anc poltletr syl22anc breq2
    imp sopo ad2antrr simplr1 simplr2 simplr3 ifcld simpll somin1 somin2 jca ex
    simpr ifboth impbid1 ) EDFZAEGZBEGZCEGZHZIZABCDJZBCKZDJZABDJZACDJZIZUTVCVFU
    TVCIZVDVEVGEDLZUPVBEGZUQHZVCVBBDMNZJZVDUOVHUSVCEDUAUBZVGUPVIUQUPUQURUOVCUCZ
    VGVABCEUPUQURUOVCUDZUPUQURUOVCUEZUFZVOOUTVCULZVGUOUQURVLUOUSVCUGZVOVPBCDEUH
    PVHVJIVCVLIVDAVBBDEQTRVGVHUPVIURHZVCVBCVKJZVEVMVGUPVIURVNVQVPOVRVGUOUQURWAV
    SVOVPBCDEUIPVHVTIVCWAIVEAVBCDEQTRUJUKVAVDVEVCBCBVBADSCVBADSUMUN $.

  ${
    $d x y z w $.  $d z w ph $.
    $( The converse of a class abstraction of ordered pairs.  (Contributed by
       NM, 11-Dec-2003.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
    cnvopab $p |- `' { <. x , y >. | ph } = { <. y , x >. | ph } $=
      ( vz vw copab ccnv relcnv relopabv cv cop wcel wsb vopelopabsb sbcom2 vex
      bitri opelcnv 3bitr4i eqrelriiv ) DEABCFZGZACBFZUAHACBIEJZDJZKUALZABEMCDM
      ZUEUDKZUBLUHUCLUFACDMBEMUGABCEDNACDBEOQUEUDUADPEPRACBDENST $.
  $}

  ${
    $d x y ph $.  $d x C $.  $d x D $.  $d y A $.  $d y B $.
    mptcnv.1 $e |- ( ph -> ( ( x e. A /\ y = B ) <-> ( y e. C /\ x = D ) ) ) $.
    $( The converse of a mapping function.  (Contributed by Thierry Arnoux,
       16-Jan-2017.) $)
    mptcnv $p |- ( ph -> `' ( x e. A |-> B ) = ( y e. C |-> D ) ) $=
      ( cv wcel wceq wa copab cmpt ccnv opabbidv df-mpt cnveqi cnvopab eqtri
      3eqtr4g ) ABIZDJCIZEKLZCBMZUCFJUBGKLZCBMBDENZOZCFGNAUDUFCBHPUHUDBCMZOUEUG
      UIBCDEQRUDBCSTCBFGQUA $.
  $}

  ${
    $d x y z $.
    $( The converse of the empty set.  (Contributed by NM, 6-Apr-1998.)  Remove
       dependency on ~ ax-sep , ~ ax-nul , ~ ax-pr .  (Revised by KP,
       25-Oct-2021.) $)
    cnv0 $p |- `' (/) = (/) $=
      ( vx vz vy c0 ccnv cv wcel cop wbr wa wex br0 intnan nex copab cab df-cnv
      wceq df-opab eqtri abeq2i mtbir nel0 ) ADEZAFZUDGUEBFZCFZHRZUGUFDIZJZCKZB
      KZUKBUJCUIUHUGUFLMNNULAUDUDUIBCOULAPBCDQUIBCASTUAUBUC $.

    $( The converse of the identity relation.  Theorem 3.7(ii) of [Monk1]
       p. 36.  (Contributed by NM, 26-Apr-1998.)  (Proof shortened by Andrew
       Salmon, 27-Aug-2011.) $)
    cnvi $p |- `' _I = _I $=
      ( vy vx cid wbr copab weq ccnv vex ideq equcom bitri opabbii df-cnv df-id
      cv 3eqtr4i ) AOZBOZCDZBAEBAFZBAECGCSTBASABFTQRBHIABJKLBACMBANP $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The converse of a union is the union of converses.  Theorem 16 of
       [Suppes] p. 62.  (Contributed by NM, 25-Mar-1998.)  (Proof shortened by
       Andrew Salmon, 27-Aug-2011.) $)
    cnvun $p |- `' ( A u. B ) = ( `' A u. `' B ) $=
      ( vy vx cun ccnv cv wbr copab df-cnv unopab brun opabbii eqtr4i uneq12i
      wo ) ABEZFZCGZDGZAHZDCIZSTBHZDCIZEZAFZBFZERSTQHZDCIZUEDCQJUEUAUCPZDCIUIUA
      UCDCKUHUJDCSTABLMNNUFUBUGUDDCAJDCBJON $.

    $( Distributive law for converse over class difference.  (Contributed by
       Mario Carneiro, 26-Jun-2014.) $)
    cnvdif $p |- `' ( A \ B ) = ( `' A \ `' B ) $=
      ( vx vy cdif ccnv relcnv wss wrel difss relss mp2 cv cop wcel wn wa eldif
      vex opelcnv notbii anbi12i bitri 3bitr4i eqrelriiv ) CDABEZFZAFZBFZEZUFGU
      JUHHUHIUJIUHUIJAGUJUHKLDMZCMZNZUFOUMAOZUMBOZPZQZULUKNZUGOURUJOZUMABRULUKU
      FCSZDSZTUSURUHOZURUIOZPZQUQURUHUIRVBUNVDUPULUKAUTVATVCUOULUKBUTVATUAUBUCU
      DUE $.

    $( Distributive law for converse over intersection.  Theorem 15 of [Suppes]
       p. 62.  (Contributed by NM, 25-Mar-1998.)  (Revised by Mario Carneiro,
       26-Jun-2014.) $)
    cnvin $p |- `' ( A i^i B ) = ( `' A i^i `' B ) $=
      ( cdif ccnv cin cnvdif difeq2i eqtri dfin4 cnveqi 3eqtr4i ) AABCZCZDZADZO
      BDZCZCZABEZDOPENOLDZCRALFTQOABFGHSMABIJOPIK $.
  $}

  $( Distributive law for range over union.  Theorem 8 of [Suppes] p. 60.
     (Contributed by NM, 24-Mar-1998.) $)
  rnun $p |- ran ( A u. B ) = ( ran A u. ran B ) $=
    ( cun ccnv cdm crn cnvun dmeqi dmun eqtri df-rn uneq12i 3eqtr4i ) ABCZDZEZA
    DZEZBDZEZCZNFAFZBFZCPQSCZEUAOUDABGHQSIJNKUBRUCTAKBKLM $.

  $( The range of an intersection belongs the intersection of ranges.  Theorem
     9 of [Suppes] p. 60.  (Contributed by NM, 15-Sep-2004.) $)
  rnin $p |- ran ( A i^i B ) C_ ( ran A i^i ran B ) $=
    ( cin ccnv cdm crn cnvin dmeqi dmin eqsstri df-rn ineq12i 3sstr4i ) ABCZDZE
    ZADZEZBDZEZCZNFAFZBFZCPQSCZEUAOUDABGHQSIJNKUBRUCTAKBKLM $.

  ${
    $d x y z $.  $d y z A $.  $d y z B $.
    $( The range of an indexed union.  (Contributed by Mario Carneiro,
       29-May-2015.) $)
    rniun $p |- ran U_ x e. A B = U_ x e. A ran B $=
      ( vz vy ciun crn cv cop wcel wex wrex rexcom4 elrn2 rexbii eliun 3bitr4ri
      vex exbii 3bitr4i eqriv ) DABCFZGZABCGZFZEHDHZIZUBJZEKZUFUDJZABLZUFUCJUFU
      EJUGCJZEKZABLULABLZEKUKUIULAEBMUJUMABEUFCDRZNOUHUNEAUGBCPSQEUFUBUONAUFBUD
      PTUA $.

    $d x A $.
    $( The range of a union.  Part of Exercise 8 of [Enderton] p. 41.
       (Contributed by NM, 17-Mar-2004.)  (Revised by Mario Carneiro,
       29-May-2015.) $)
    rnuni $p |- ran U. A = U_ x e. A ran x $=
      ( cuni crn cv ciun uniiun rneqi rniun eqtri ) BCZDABAEZFZDABLDFKMABGHABLI
      J $.
  $}

  $( Distributive law for image over union.  Theorem 35 of [Suppes] p. 65.
     (Contributed by NM, 30-Sep-2002.) $)
  imaundi $p |- ( A " ( B u. C ) ) = ( ( A " B ) u. ( A " C ) ) $=
    ( cun cres crn cima resundi rneqi rnun eqtri df-ima uneq12i 3eqtr4i ) ABCDZ
    EZFZABEZFZACEZFZDZAOGABGZACGZDQRTDZFUBPUEABCHIRTJKAOLUCSUDUAABLACLMN $.

  $( The image of a union.  (Contributed by Jeff Hoffman, 17-Feb-2008.) $)
  imaundir $p |- ( ( A u. B ) " C ) = ( ( A " C ) u. ( B " C ) ) $=
    ( cun cima cres crn df-ima resundir rneqi rnun 3eqtri uneq12i eqtr4i ) ABDZ
    CEZACFZGZBCFZGZDZACEZBCEZDPOCFZGQSDZGUAOCHUDUEABCIJQSKLUBRUCTACHBCHMN $.

  $( The preimage of a superset of the range of a class is the domain of the
     class.  Generalization of ~ cnvimarndm for subsets.  (Contributed by AV,
     18-Sep-2024.) $)
  cnvimassrndm $p |- ( ran F C_ A -> ( `' F " A ) = dom F ) $=
    ( crn wss cun wceq ccnv cdm ssequn1 imaeq2 imaundi eqtrdi cnvimarndm uneq1i
    cima cnvimass ssequn2 mpbi eqtri eqcoms sylbi ) BCZADUBAEZAFBGZAOZBHZFZUBAI
    UGAUCAUCFZUEUDUBOZUEEZUFUHUEUDUCOUJAUCUDJUDUBAKLUJUFUEEZUFUIUFUEBMNUEUFDUKU
    FFBAPUEUFQRSLTUA $.

  ${
    $d x y A $.  $d x y B $.  $d x y R $.
    $( An upper bound for intersection with a domain.  Theorem 40 of [Suppes]
       p. 66, who calls it "somewhat surprising".  (Contributed by NM,
       11-Aug-2004.) $)
    dminss $p |- ( dom R i^i A ) C_ ( `' R " ( R " A ) ) $=
      ( vx vy cdm cin ccnv cima cv wbr wcel wa 19.8a ancoms elima2 sylibr simpl
      wex vex brcnv jca eximi eldm anbi1i elin 19.41v 3bitr4i 3imtr4i ssriv ) C
      BEZAFZBGZBAHZHZCIZDIZBJZUOAKZLZDRZUPUMKZUPUOULJZLZDRUOUKKZUOUNKUSVCDUSVAV
      BUSURUQLZCRZVAURUQVFVECMNCUPBADSZOPUSUQVBUQURQUPUOBVGCSZTPUAUBUOUJKZURLUQ
      DRZURLVDUTVIVJURDUOBVHUCUDUOUJAUEUQURDUFUGDUOULUMVHOUHUI $.

    $( An upper bound for intersection with an image.  Theorem 41 of [Suppes]
       p. 66.  (Contributed by NM, 11-Aug-2004.) $)
    imainss $p |- ( ( R " A ) i^i B ) C_ ( R " ( A i^i ( `' R " B ) ) ) $=
      ( vy vx cima cin ccnv cv wcel wbr wa wex brcnv 19.8a sylan2br elin elima2
      vex anbi1i ancoms anim2i simprl anassrs anbi2i bitri sylibr eximi 3bitr4i
      jca 19.41v 3imtr4i ssriv ) DCAFZBGZCACHZBFZGZFZEIZAJZUTDIZCKZLZVBBJZLZEMZ
      UTURJZVCLZEMVBUOJZVBUSJVFVIEVFVAVEVBUTUPKZLZDMZLZVCLZVIVAVCVEVOVAVCVELZLV
      NVCVPVMVAVEVCVMVCVEVKVMVBUTCDSZESZNVLDOPUAUBVAVCVEUCUJUDVHVNVCVHVAUTUQJZL
      VNUTAUQQVSVMVADUTUPBVRRUEUFTUGUHVBUNJZVELVDEMZVELVJVGVTWAVEEVBCAVQRTVBUNB
      QVDVEEUKUIEVBCURVQRULUM $.
  $}

  $( The image of an intersection.  (Contributed by Thierry Arnoux,
     16-Dec-2017.) $)
  inimass $p |- ( ( A i^i B ) " C ) C_ ( ( A " C ) i^i ( B " C ) ) $=
    ( cres cin crn cima rnin df-ima resindir rneqi eqtri ineq12i 3sstr4i ) ACDZ
    BCDZEZFZOFZPFZEABEZCGZACGZBCGZEOPHUBUACDZFRUACIUEQABCJKLUCSUDTACIBCIMN $.

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x V $.
    $( The intersection of the image of singleton.  (Contributed by Thierry
       Arnoux, 16-Dec-2017.) $)
    inimasn $p |- ( C e. V
      -> ( ( A i^i B ) " { C } ) = ( ( A " { C } ) i^i ( B " { C } ) ) ) $=
      ( vx wcel cin csn cima cv elin cop a1i cvv elimasng elvd anbi12d 3bitr4rd
      wa wb bitr2id eqrdv ) CDFZEABGZCHZIZAUEIZBUEIZGZEJZUIFUJUGFZUJUHFZSZUCUJU
      FFZUJUGUHKUCCUJLZUDFZUOAFZUOBFZSZUNUMUPUSTUCUOABKMUCUNUPTEUDCUJDNOPUCUKUQ
      ULURUCUKUQTEACUJDNOPUCULURTEBCUJDNOPQRUAUB $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The converse of a Cartesian product.  Exercise 11 of [Suppes] p. 67.
       (Contributed by NM, 14-Aug-1999.)  (Proof shortened by Andrew Salmon,
       27-Aug-2011.) $)
    cnvxp $p |- `' ( A X. B ) = ( B X. A ) $=
      ( vy vx cv wcel copab ccnv cxp cnvopab ancom opabbii eqtri cnveqi 3eqtr4i
      wa df-xp ) CEAFZDEBFZPZCDGZHZSRPZDCGZABIZHBAIUBTDCGUDTCDJTUCDCRSKLMUEUACD
      ABQNDCBAQO $.
  $}

  $( The Cartesian product with the empty set is empty.  Part of Theorem
     3.13(ii) of [Monk1] p. 37.  (Contributed by NM, 12-Apr-2004.) $)
  xp0 $p |- ( A X. (/) ) = (/) $=
    ( c0 cxp ccnv 0xp cnveqi cnvxp cnv0 3eqtr3i ) BACZDBDABCBJBAEFBAGHI $.

  ${
    $d x y z A $.  $d x y z B $.
    $( The Cartesian product of nonempty classes is nonempty.  (Variation of a
       theorem contributed by Raph Levien, 30-Jun-2006.)  (Contributed by NM,
       30-Jun-2006.) $)
    xpnz $p |- ( ( A =/= (/) /\ B =/= (/) ) <-> ( A X. B ) =/= (/) ) $=
      ( vx vy vz c0 wne wa cxp wcel wex anbi12i exdistrv bitr4i cop wceq eqtrdi
      cv n0 necon3i eleq1 opelxp bitrdi spcev sylibr exlimivv sylbi xpeq1 xpeq2
      opex 0xp xp0 jca impbii ) AFGZBFGZHZABIZFGZUQCRZAJZDRZBJZHZDKCKZUSUQVACKZ
      VCDKZHVEUOVFUPVGCASDBSLVAVCCDMNVDUSCDVDERZURJZEKUSVIVDEUTVBOZUTVBUJVHVJPV
      IVJURJVDVHVJURUAUTVBABUBUCUDEURSUEUFUGUSUOUPAFURFAFPURFBIFAFBUHBUKQTBFURF
      BFPURAFIFBFAUIAULQTUMUN $.
  $}

  $( At least one member of an empty Cartesian product is empty.  (Contributed
     by NM, 27-Aug-2006.) $)
  xpeq0 $p |- ( ( A X. B ) = (/) <-> ( A = (/) \/ B = (/) ) ) $=
    ( cxp c0 wceq wne wa wn wo xpnz necon2bbii ianor nne orbi12i 3bitri ) ABCZD
    EADFZBDFZGZHQHZRHZIADEZBDEZISPDABJKQRLTUBUAUCADMBDMNO $.

  $( Cartesian products with disjoint sets are disjoint.  (Contributed by NM,
     13-Sep-2004.) $)
  xpdisj1 $p |- ( ( A i^i B ) = (/) -> ( ( A X. C ) i^i ( B X. D ) ) = (/) ) $=
    ( cin c0 wceq cxp xpeq1 inxp 0xp eqcomi 3eqtr4g ) ABEZFGNCDEZHFOHZACHBDHEFN
    FOIACBDJPFOKLM $.

  $( Cartesian products with disjoint sets are disjoint.  (Contributed by NM,
     13-Sep-2004.) $)
  xpdisj2 $p |- ( ( A i^i B ) = (/) -> ( ( C X. A ) i^i ( D X. B ) ) = (/) ) $=
    ( cin c0 wceq cxp xpeq2 inxp xp0 eqcomi 3eqtr4g ) ABEZFGCDEZNHOFHZCAHDBHEFN
    FOICADBJPFOKLM $.

  $( Cartesian products with two different singletons are disjoint.
     (Contributed by NM, 28-Jul-2004.) $)
  xpsndisj $p |- ( B =/= D -> ( ( A X. { B } ) i^i ( C X. { D } ) ) = (/) ) $=
    ( wne csn cin c0 wceq cxp disjsn2 xpdisj2 syl ) BDEBFZDFZGHIANJCOJGHIBDKNOA
    CLM $.

  ${
    $d A x y $.  $d B x y $.  $d C x y $.  $d D x y $.
    $( Difference of Cartesian products, expressed in terms of a union of
       Cartesian products of differences.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Revised by Mario Carneiro, 26-Jun-2014.) $)
    difxp $p |- ( ( C X. D ) \ ( A X. B ) ) =
                ( ( ( C \ A ) X. D ) u. ( C X. ( D \ B ) ) ) $=
      ( vx vy cxp cdif wrel relxp cv wn wa wo anbi2i bitri opelxp eldif 3bitr4i
      wcel cun wss difss relss mp2 relun mpbir2an cop ianor andi notbii anbi12i
      anbi1i an32 anass orbi12i elun eqrelriiv ) EFCDGZABGZHZCAHZDGZCDBHZGZUAZV
      AUSUBUSIVAIUSUTUCCDJVAUSUDUEVFIVCIVEIVBDJCVDJVCVEUFUGEKZFKZUHZUSTZVIUTTZL
      ZMZVIVCTZVIVETZNZVIVATVIVFTVGCTZVHDTZMZVGATZVHBTZMZLZMZVSVTLZMZVSWALZMZNZ
      VMVPWDVSWEWGNZMWIWCWJVSVTWAUIOVSWEWGUJPVJVSVLWCVGVHCDQVKWBVGVHABQUKULVNWF
      VOWHVNVGVBTZVRMZWFVGVHVBDQWLVQWEMZVRMWFWKWMVRVGCARUMVQWEVRUNPPVQVHVDTZMVQ
      VRWGMZMVOWHWNWOVQVHDBROVGVHCVDQVQVRWGUOSUPSVIUSUTRVIVCVEUQSUR $.
  $}

  $( Difference law for Cartesian product.  (Contributed by Scott Fenton,
     18-Feb-2013.)  (Revised by Mario Carneiro, 26-Jun-2014.) $)
  difxp1 $p |- ( ( A \ B ) X. C ) = ( ( A X. C ) \ ( B X. C ) ) $=
    ( cxp cdif cun c0 difxp difid xpeq2i xp0 eqtri uneq2i un0 3eqtrri ) ACDBCDE
    ABECDZACCEZDZFPGFPBCACHRGPRAGDGQGACIJAKLMPNO $.

  $( Difference law for Cartesian product.  (Contributed by Scott Fenton,
     18-Feb-2013.)  (Revised by Mario Carneiro, 26-Jun-2014.) $)
  difxp2 $p |- ( A X. ( B \ C ) ) = ( ( A X. B ) \ ( A X. C ) ) $=
    ( cxp cdif cun c0 difxp difid xpeq1i 0xp eqtri uneq1i uncom un0 3eqtrri ) A
    BDACDEAAEZBDZABCEDZFGSFZSACABHRGSRGBDGQGBAIJBKLMTSGFSGSNSOLP $.

  ${
    $d x A $.  $d y B $.
    $( Disjoint unions with disjoint index sets are disjoint.  (Contributed by
       Stefan O'Rear, 21-Nov-2014.) $)
    djudisj $p |- ( ( A i^i B ) = (/) -> ( U_ x e. A ( { x } X. C ) i^i
            U_ y e. B ( { y } X. D ) ) = (/) ) $=
      ( cin c0 wceq cv csn cxp ciun cvv wss djussxp incom eqtrid ssdisj sylancr
      xpdisj1 ) CDGHIZACAJKELMZCNLZOUDBDBJKFLMZGZHIUCUEGHIACEPUBUFUEUDGZHUDUEQU
      BUEDNLZOUHUDGZHIUGHIBDFPUBUIUDUHGHUHUDQCDNNUARUEUHUDSTRUCUDUEST $.
  $}

  ${
    $d A i j p x y $.  $d B i j p x y $.
    $( The set of distinct couples in a Cartesian product.  (Contributed by
       Thierry Arnoux, 25-May-2019.) $)
    xpdifid $p |- U_ x e. A ( { x } X. ( B \ { x } ) ) = ( ( A X. B ) \ _I ) $=
      ( vi vj vy cv csn cdif cid wcel wrex wceq wa wex wne wn necon3bbii eleq2d
      velsn vp cxp ciun cop elxp rexbii rexcom4 exbii 3bitri eliun eldif opelxp
      wbr df-br vex ideq bitr3i anbi12i bitri anbi2i 2exbii eldifi elxpi 2eximi
      simpl 3syl ancli 19.42vv sylibr ancom eleq1 adantl pm5.32da 2exbidv mpbid
      syl5bb biimpar impbii r19.42v simprl sylib eqeltrd simprr eldifad eldifbd
      wb exlimivv necomd eqnetrd jca31 adantll difeq2d anbi12d cbvrexvw r19.29a
      biimpi simpll vsnid a1i simplr simpr eldifd rspcev syl12anc 3bitr4i eqriv
      sneq ) UAABAGZHZCXIIZUBZUCZBCUBZJIZUAGZXKKZABLZXODGZEGZUDZMZXRXIKZXSXJKZN
      ZNZABLZEOZDOZXOXLKXOXNKZXQYEEOZDOZABLYJABLZDOYHXPYKABDEXOXIXJUEUFYJADBUGY
      LYGDYEAEBUGUHUIAXOBXKUJYAXTXNKZNZEODOZYAXRBKZXSCKZNZXRXSPZNZNZEODOYIYHYNU
      UADEYMYTYAYMXTXMKZXTJKZQZNYTXTXMJUKUUBYRUUDYSXRXSBCULUUCXRXSUUCXRXSJUMXRX
      SMXRXSJUNXRXSEUOUPUQRURUSUTVAYIYOYIYIYANZEODOZYOYIYIYAEODOZNUUFYIUUGYIXOX
      MKYAYRNZEODOUUGXOXMJVBDEXOBCVCUUHYADEYAYRVEVDVFVGYIYADEVHVIYIUUEYNDEUUEYA
      YINYIYNYIYAVJYIYAYIYMYAYIYMWFYIXOXTXNVKZVLVMVPVNVOYNYIDEYAYIYMUUIVQWGVRYF
      UUADEYFYAYDABLZNUUAYAYDABVSUUJYTYAUUJYTUUJXRFGZHZKZXSCUULIZKZNZYTFBUUKBKZ
      UUPYTUUJUUQUUPNZYPYQYSUURXRUUKBUURUUMXRUUKMUUQUUMUUOVTDUUKTWAZUUQUUPVEWBU
      URXSCUULUUQUUMUUOWCZWDUURXRUUKXSUUSUURXSUUKUURXSUULKZQXSUUKPUURXSCUULUUTW
      EUVAXSUUKEUUKTRWAWHWIWJWKUUJUUPFBLYDUUPAFBXHUUKMZYBUUMYCUUOUVBXIUULXRXHUU
      KXGZSUVBXJUUNXSUVBXIUULCUVCWLSWMWNWPWOYTYPXRXRHZKZXSCUVDIZKZUUJYPYQYSWQUV
      EYTDWRWSYTXSCUVDYPYQYSWTYTXSXRPXSUVDKZQYTXRXSYRYSXAWHUVHXSXREXRTRVIXBYDUV
      EUVGNAXRBXHXRMZYBUVEYCUVGUVIXIUVDXRXHXRXGZSUVIXJUVFXSUVIXIUVDCUVJWLSWMXCX
      DVRUTUSVAXEXEXF $.
  $}

  $( A double restriction to disjoint classes is the empty set.  (Contributed
     by NM, 7-Oct-2004.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
  resdisj $p |- ( ( A i^i B ) = (/) -> ( ( C |` A ) |` B ) = (/) ) $=
    ( cin c0 wceq cres reseq2 resres res0 eqcomi 3eqtr4g ) ABDZEFCMGCEGZCAGBGEM
    ECHCABINECJKL $.

  $( The range of a Cartesian product.  Part of Theorem 3.13(x) of [Monk1]
     p. 37.  (Contributed by NM, 12-Apr-2004.) $)
  rnxp $p |- ( A =/= (/) -> ran ( A X. B ) = B ) $=
    ( c0 wne cxp crn cdm ccnv df-rn cnvxp dmeqi eqtri dmxp eqtrid ) ACDABEZFZBA
    EZGZBPOHZGROISQABJKLBAMN $.

  $( The domain of a Cartesian product is included in its first factor.
     (Contributed by NM, 19-Mar-2007.) $)
  dmxpss $p |- dom ( A X. B ) C_ A $=
    ( cxp cdm wss c0 wceq xpeq2 xp0 eqtrdi dm0 0ss eqsstrdi wne dmxp eqimss syl
    dmeqd pm2.61ine ) ABCZDZAEZBFBFGZUAFAUCUAFDFUCTFUCTAFCFBFAHAIJRKJALMBFNUAAG
    UBABOUAAPQS $.

  $( The range of a Cartesian product is included in its second factor.
     (Contributed by NM, 16-Jan-2006.)  (Proof shortened by Andrew Salmon,
     27-Aug-2011.) $)
  rnxpss $p |- ran ( A X. B ) C_ B $=
    ( cxp crn ccnv cdm df-rn cnvxp dmeqi dmxpss eqsstri ) ABCZDLEZFZBLGNBACZFBM
    OABHIBAJKK $.

  $( The range of a Cartesian square.  (Contributed by FL, 17-May-2010.) $)
  rnxpid $p |- ran ( A X. A ) = A $=
    ( cxp crn wceq c0 rn0 xpeq2 xp0 eqtrdi rneqd id 3eqtr4a rnxp pm2.61ine ) AA
    BZCZADAEAEDZECEPAFQOEQOAEBEAEAGAHIJQKLAAMN $.

  $( A Cartesian product subclass relationship is equivalent to the conjunction
     of the analogous relationships for the factors.  (Contributed by NM,
     17-Dec-2008.) $)
  ssxpb $p |- ( ( A X. B ) =/= (/) -> ( ( A X. B ) C_ ( C X. D ) <->
              ( A C_ C /\ B C_ D ) ) ) $=
    ( cxp c0 wne wss wa cdm wceq xpnz dmxp adantl sylbir adantr eqsstrrd sstrdi
    dmss crn dmxpss rnxp rnss rnxpss jca ex xpss12 impbid1 ) ABEZFGZUICDEZHZACH
    ZBDHZIZUJULUOUJULIZUMUNUPAUKJZCUPAUIJZUQUJURAKZULUJAFGZBFGZIZUSABLZVAUSUTAB
    MNOPULURUQHUJUIUKSNQCDUARUPBUKTZDUPBUITZVDUJVEBKZULUJVBVFVCUTVFVAABUBPOPULV
    EVDHUJUIUKUCNQCDUDRUEUFACBDUGUH $.

  $( The Cartesian product of nonempty classes is a one-to-one "function" of
     its two "arguments".  In other words, two Cartesian products, at least one
     with nonempty factors, are equal if and only if their respective factors
     are equal.  (Contributed by NM, 31-May-2008.) $)
  xp11 $p |- ( ( A =/= (/) /\ B =/= (/) )
      -> ( ( A X. B ) = ( C X. D ) <-> ( A = C /\ B = D ) ) ) $=
    ( c0 wne wa cxp wceq wi xpnz anidm neeq1 anbi2d bitr3id wss ssxpb syl5ibcom
    eqimss eqss eqimss2 anim12d anbi12i bitr4i syl6ib sylbid com12 sylbi xpeq12
    an4 impbid1 ) AEFBEFGZABHZCDHZIZACIZBDIZGZULUMEFZUOURJABKUOUSURUOUSUSUNEFZG
    ZURUSUSUSGUOVAUSLUOUSUTUSUMUNEMNOUOVAACPZBDPZGZCAPZDBPZGZGZURUOUSVDUTVGUOUM
    UNPUSVDUMUNSABCDQRUOUNUMPUTVGUNUMUACDABQRUBVHVBVEGZVCVFGZGURVBVCVEVFUJUPVIU
    QVJACTBDTUCUDUEUFUGUHACBDUIUK $.

  $( Cancellation law for Cartesian product.  (Contributed by NM,
     30-Aug-2011.) $)
  xpcan $p |- ( C =/= (/) -> ( ( C X. A ) = ( C X. B ) <-> A = B ) ) $=
    ( c0 wne cxp wceq wb wa xp11 eqid biantrur bitr4di wn wi simpr xpeq2 eqtrdi
    nne xp0 eqeq1d eqcom bitrdi adantl df-ne wo xpeq0 orel1 syl5bi sylbi adantr
    sylbid eqtr3 syl6an sylan2b impbid1 pm2.61dan ) CDEZADEZCAFZCBFZGZABGZHURUS
    IVBCCGZVCIVCCACBJVDVCCKLMURUSNZIVBVCVEURADGZVBVCOADSURVFIZVFVBBDGZVCURVFPVG
    VBVADGZVHVFVBVIHURVFVBDVAGVIVFUTDVAVFUTCDFDADCQCTRUADVAUBUCUDURVIVHOZVFURCD
    GZNZVJCDUEVIVKVHUFVLVHCBUGVKVHUHUIUJUKULABDUMUNUOABCQUPUQ $.

  $( Cancellation law for Cartesian product.  (Contributed by NM,
     30-Aug-2011.) $)
  xpcan2 $p |- ( C =/= (/) -> ( ( A X. C ) = ( B X. C ) <-> A = B ) ) $=
    ( c0 wne cxp wceq wb wa xp11 eqid biantru bitr4di wn nne simpl xpeq1 eqtrdi
    0xp eqeq1d eqcom bitrdi adantr wi df-ne wo xpeq0 orel2 syl5bi adantl sylbid
    sylbi eqtr3 syl6an impbid1 sylanb pm2.61ian ) ADEZCDEZACFZBCFZGZABGZHZURUSI
    VBVCCCGZIVCACBCJVEVCCKLMURNADGZUSVDADOVFUSIZVBVCVGVFVBBDGZVCVFUSPVGVBVADGZV
    HVFVBVIHUSVFVBDVAGVIVFUTDVAVFUTDCFDADCQCSRTDVAUAUBUCUSVIVHUDZVFUSCDGZNZVJCD
    UEVIVHVKUFVLVHBCUGVKVHUHUIULUJUKABDUMUNABCQUOUPUQ $.

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Two ways to express surjectivity of a restricted and corestricted binary
       relation (intersection of a binary relation with a Cartesian product):
       the LHS expresses inclusion in the range of the restricted relation,
       while the RHS expresses equality with the range of the restricted and
       corestricted relation.  (Contributed by NM, 16-Jan-2006.)  (Proof
       shortened by Peter Mazsa, 2-Oct-2022.) $)
    ssrnres $p |- ( B C_ ran ( C |` A ) <-> ran ( C i^i ( A X. B ) ) = B ) $=
      ( vy vx cxp cin crn wceq wss cres inss2 rnssi rnxpss sstri cv wcel wex wa
      elrn2 eqss mpbiran inxpssres sstr mpan2 cop ssel syl6ib opelinxp opelresi
      vex ancld bianassc bitr4i exbii 19.42v 3bitri syl6ibr ssrdv impbii bitr2i
      ) CABFZGZHZBIZBVDJZBCAKZHZJZVEVDBJVFVDVBHBVCVBCVBLMABNOVDBUAUBVFVIVFVDVHJ
      VIVCVGABCUCMBVDVHUDUEVIDBVDVIDPZBQZVKEPZVJUFZVGQZERZSZVJVDQZVIVKVOVIVKVJV
      HQVOBVHVJUGEVJVGDUKZTUHULVQVMVCQZERVKVNSZERVPEVJVCVRTVSVTEVSVLAQZVKSVMCQZ
      SVTABVLVJCUIVNWAWBVKAVLVJCVRUJUMUNUOVKVNEUPUQURUSUTVA $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.
    $( Two ways to express surjectivity of a restricted and corestricted binary
       relation (intersection of a binary relation with a Cartesian product).
       (Contributed by NM, 17-Jan-2006.)  (Proof shortened by Andrew Salmon,
       27-Aug-2011.) $)
    rninxp $p |- ( ran ( C i^i ( A X. B ) ) = B <->
                 A. y e. B E. x e. A x C y ) $=
      ( cres crn wss wcel wral cxp cin wceq wbr wrex dfss3 ssrnres cima df-ima
      cv eleq2i vex elima bitr3i ralbii 3bitr3i ) DECFGZHBTZUGIZBDJECDKLGDMATUH
      ENACOZBDJBDUGPCDEQUIUJBDUIUHECRZIUJUKUGUHECSUAAUHECBUBUCUDUEUF $.
  $}

  ${
    $d x A $.  $d x y B $.  $d x y C $.
    $( Two ways to express totality of a restricted and corestricted binary
       relation (intersection of a binary relation with a Cartesian product).
       (Contributed by NM, 17-Jan-2006.) $)
    dminxp $p |- ( dom ( C i^i ( A X. B ) ) = A <->
                 A. x e. A E. y e. B x C y ) $=
      ( cxp cin cdm wceq ccnv crn cv wbr wrex wral dfdm4 cnvin cnvxp eqtri vex
      ineq2i rneqi eqeq1i rninxp brcnv rexbii ralbii 3bitri ) ECDFZGZHZCIEJZDCF
      ZGZKZCIBLZALZULMZBDNZACOUQUPEMZBDNZACOUKUOCUKUJJZKUOUJPVBUNVBULUIJZGUNEUI
      QVCUMULCDRUASUBSUCBADCULUDUSVAACURUTBDUPUQEBTATUEUFUGUH $.
  $}

  $( Image by a restricted and corestricted binary relation (intersection of a
     binary relation with a Cartesian product).  (Contributed by Stefan O'Rear,
     19-Feb-2015.) $)
  imainrect $p |- ( ( G i^i ( A X. B ) ) " Y ) =
      ( ( G " ( Y i^i A ) ) i^i B ) $=
    ( cxp cin cres crn cima df-res rneqi df-ima eqtri ineq1i ccnv ineq2i eqtr4i
    cvv cdm 3eqtr4ri cnvin inxp inv1 incom xpeq12i eqtr2i xpindir inass 3eqtr4i
    in32 cnveqi cnvxp dmeqi dmres df-rn ) CABEZFZDGZHUQDREZFZHZUQDICDAFZIZBFZUR
    UTUQDJKUQDLVDCVBREZFZHZBFZVAVCVGBVCCVBGZHVGCVBLVIVFCVBJKMNVFOZBGZSZUTOZSVHV
    AVKVMVFRBEZFZOVJVNOZFZVMVKVFVNUAUTVOCUSFZUPFVRAREZVNFZFZUTVOUPVTVRVTARFZRBF
    ZEUPARRBUBWBAWCBAUCWCBRFBRBUDBUCMUEUFPCUPUSUJVOVRVSFZVNFWAVFWDVNVFCUSVSFZFW
    DVEWECDARUGPCUSVSUHQNVRVSVNUHMUIUKVKVJBREZFVQVJBJVPWFVJRBULPQTUMBVJSZFWGBFV
    LVHBWGUDVJBUNVGWGBVFUONTUTUOTQUI $.

  $( Direct image by a Cartesian product.  (Contributed by Thierry Arnoux,
     4-Feb-2017.) $)
  xpima $p |- ( ( A X. B ) " C ) = if ( ( A i^i C ) = (/) , (/) , B ) $=
    ( cxp cima cin c0 wceq cif wa wn wo exmid crn cvv rneqi eqtrdi eqtrid ancli
    cres df-ima df-res eqtri inxp inv1 xpeq2i 3eqtri xpeq1 0xp rneqd df-ne rnxp
    rn0 wne sylbir orim12i ax-mp eqif mpbir ) ABDZCEZACFZGHZGBIHVCVAGHZJZVCKZVA
    BHZJZLZVCVFLVIVCMVCVEVFVHVCVDVCVAVBBDZNZGVAUTCODFZNZVBBOFZDZNVKVAUTCTZNVMUT
    CUAVPVLUTCUBPUCVLVOABCOUDPVOVJVNBVBBUEUFPUGZVCVKGNGVCVJGVCVJGBDGVBGBUHBUIQU
    JUMQRSVFVGVFVAVKBVQVFVBGUNVKBHVBGUKVBBULUORSUPUQVCVAGBURUS $.

  $( Direct image by a Cartesian product (case of empty intersection with the
     domain).  (Contributed by Thierry Arnoux, 16-Dec-2017.) $)
  xpima1 $p |- ( ( A i^i C ) = (/) -> ( ( A X. B ) " C ) = (/) ) $=
    ( cin c0 wceq cxp cima cif xpima iftrue eqtrid ) ACDEFZABGCHMEBIEABCJMEBKL
    $.

  $( Direct image by a Cartesian product (case of nonempty intersection with
     the domain).  (Contributed by Thierry Arnoux, 16-Dec-2017.) $)
  xpima2 $p |- ( ( A i^i C ) =/= (/) -> ( ( A X. B ) " C ) = B ) $=
    ( cin c0 wne cxp cima wceq cif xpima ifnefalse eqtrid ) ACDZEFABGCHNEIEBJBA
    BCKNEEBLM $.

  $( Direct image of a singleton by a Cartesian product.  (Contributed by
     Thierry Arnoux, 14-Jan-2018.)  (Proof shortened by BJ, 6-Apr-2019.) $)
  xpimasn $p |- ( X e. A -> ( ( A X. B ) " { X } ) = B ) $=
    ( wcel csn cin c0 wne cxp cima wceq disjsn necon3abii notnotb bitr4i xpima2
    wn sylbir ) CADZACEZFZGHZABITJBKUBSQZQSUCUAGACLMSNOABTPR $.

  ${
    $d x y A $.  $d x B $.  $d x y R $.
    $( The base set of a strict order is contained in the field of the
       relation, except possibly for one element (note that ` (/) Or { B } ` ).
       (Contributed by Mario Carneiro, 27-Apr-2015.) $)
    sossfld $p |- ( ( R Or A /\ B e. A ) ->
      ( A \ { B } ) C_ ( dom R u. ran R ) ) $=
      ( vx wor wcel wa csn cdif cdm crn cun cv wne eldifsn wbr wo wb wi 3expia
      sotrieq necon2abid breldmg ancoms brelrng orim12d syl6ibr adantll sylbird
      anass1rs elun expimpd syl5bi ssrdv ) ACEZBAFZGZDABHIZCJZCKZLZDMZURFVBAFZV
      BBNZGUQVBVAFZVBABOUQVCVDVEUQVCGVDVBBCPZBVBCPZQZVEUOVCUPVHVDRUOVCUPGGVHVBB
      AVBBCUAUBUJUPVCVHVESUOUPVCGZVHVBUSFZVBUTFZQVEVIVFVJVGVKVCUPVFVJSVCUPVFVJV
      BBAACUCTUDUPVCVGVKBVBCAAUETUFVBUSUTUKUGUHUIULUMUN $.

    $( The base set of a nonempty strict order is the same as the field of the
       relation.  (Contributed by Mario Carneiro, 15-May-2015.) $)
    sofld $p |- ( ( R Or A /\ R C_ ( A X. A ) /\ R =/= (/) ) ->
      A = ( dom R u. ran R ) ) $=
      ( vx vy wor cxp wss c0 cdm crn wa wrel ad2antlr wcel ssun1 sseqtrdi unssd
      cun cv ex wne w3a wn wceq relxp relss mpi cop wbr df-br csn cdif sseqtrri
      undif1 simpll dmxpid releldm sylancom sseldd sossfld syl2anc sselid snssd
      dmss sstrid syl5bir con3dimp pm2.21d relssdv ss0 syl necon1ad 3impia rnss
      rnxpid 3ad2ant2 eqssd ) ABEZBAAFZGZBHUAZUBABIZBJZRZVRVTWAAWDGZVRVTKZWEBHW
      FWEUCZBHUDZWFWGKZBHGWHWICDBHVTBLZVRWGVTVSLWJAAUEBVSUFUGZMWICSZDSZUHZBNZWN
      HNWFWOWEWOWLWMBUIZWFWEWLWMBUJWFWPWEWFWPKZAAWLUKZULZWRRZWDAAWRRWTAWROAWRUN
      UMWQWSWRWDWQVRWLANWSWDGVRVTWPUOWQWBAWLVTWBAGVRWPVTWBVSIABVSVDAUPPZMWFWPWJ
      WLWBNVTWJVRWPWKMWLWMBUQURZUSAWLBUTVAWQWLWDWQWBWDWLWBWCOXBVBVCQVETVFVGVHVI
      BVJVKTVLVMVTVRWDAGWAVTWBWCAXAVTWCVSJABVSVNAVOPQVPVQ $.
  $}

  ${
    $d x y R $.
    $( The set of all ordered pairs in a class is the same as the double
       converse.  (Contributed by Mario Carneiro, 16-Aug-2015.) $)
    cnvcnv3 $p |- `' `' R = { <. x , y >. | x R y } $=
      ( ccnv cv wbr copab df-cnv vex brcnv opabbii eqtri ) CDZDBEZAEZMFZABGONCF
      ZABGABMHPQABNOCBIAIJKL $.

    $( Alternate definition of relation.  Exercise 2 of [TakeutiZaring] p. 25.
       (Contributed by NM, 29-Dec-1996.) $)
    dfrel2 $p |- ( Rel R <-> `' `' R = R ) $=
      ( vx vy wrel ccnv wceq relcnv cv cop wcel vex opelcnv bitri eqrelriv mpan
      releq mpbii impbii ) ADZAEZEZAFZUADZSUBTGZBCUAABHZCHZIZUAJUFUEITJUGAJUEUF
      TBKZCKZLUFUEAUIUHLMNOUBUCSUDUAAPQR $.

    $( A relation can be expressed as the set of ordered pairs in it.  An
       analogue of ~ dffn5 for relations.  (Contributed by Mario Carneiro,
       16-Aug-2015.) $)
    dfrel4v $p |- ( Rel R <-> R = { <. x , y >. | x R y } ) $=
      ( wrel ccnv wceq cv wbr copab dfrel2 eqcom cnvcnv3 eqeq2i 3bitri ) CDCEEZ
      CFCOFCAGBGCHABIZFCJOCKOPCABCLMN $.
  $}

  ${
    $d a b x y $.  $d a b R $.
    dfrel4.1 $e |- F/_ x R $.
    dfrel4.2 $e |- F/_ y R $.
    $( A relation can be expressed as the set of ordered pairs in it.  An
       analogue of ~ dffn5 for relations.  (Contributed by Mario Carneiro,
       16-Aug-2015.)  (Revised by Thierry Arnoux, 11-May-2017.) $)
    dfrel4 $p |- ( Rel R <-> R = { <. x , y >. | x R y } ) $=
      ( va vb wrel cv wbr copab wceq dfrel4v nfcv nfbr nfv breq12 cbvopab bitri
      eqeq2i ) CHCFIZGIZCJZFGKZLCAIZBIZCJZABKZLFGCMUDUHCUCUGFGABAUAUBCAUANDAUBN
      OBUAUBCBUANEBUBNOUGFPUGGPUAUEUBUFCQRTS $.
  $}

  $( The double converse of a class strips out all elements that are not
     ordered pairs.  (Contributed by NM, 8-Dec-2003.)  (Proof shortened by BJ,
     26-Nov-2021.) $)
  cnvcnv $p |- `' `' A = ( A i^i ( _V X. _V ) ) $=
    ( ccnv cvv cxp cin cnvin cnveqi wceq wrel relcnv df-rel mpbi relxp sseqtrri
    wss dfrel2 dfss 3eqtr4ri relinxp eqtri ) ABZBZACCDZEZBZBZUDUAUCBZEZBUBUGBZE
    ZUFUBUAUGFUEUHAUCFGUBUIOUBUJHUBUCUIUBIUBUCOUAJUBKLUCIUIUCHCCMUCPLNUBUIQLRUD
    IUFUDHCCASUDPLT $.

  $( The double converse of a class equals its restriction to the universe.
     (Contributed by NM, 8-Oct-2007.) $)
  cnvcnv2 $p |- `' `' A = ( A |` _V ) $=
    ( ccnv cvv cxp cin cres cnvcnv df-res eqtr4i ) ABBACCDEACFAGACHI $.

  $( The double converse of a class is a subclass.  Exercise 2 of
     [TakeutiZaring] p. 25.  (Contributed by NM, 23-Jul-2004.) $)
  cnvcnvss $p |- `' `' A C_ A $=
    ( ccnv cvv cxp cin cnvcnv inss1 eqsstri ) ABBACCDZEAAFAIGH $.

  $( Two ways to express the corestriction of a class.  (Contributed by BJ,
     28-Dec-2023.) $)
  cnvrescnv $p |- `' ( `' R |` B ) = ( R i^i ( _V X. B ) ) $=
    ( ccnv cres cvv cxp cin df-res cnveqi cnvin cnvcnv cnvxp ineq12i inass inxp
    inv1 eqcomi ssv ssid 3eqtri ssini inss2 eqssi xpeq12i eqtr4i ineq2i ) BCZAD
    ZCUGAEFZGZCUGCZUICZGZBEAFZGZUHUJUGAHIUGUIJUMBEEFZGZUNGBUPUNGZGUOUKUQULUNBKA
    ELMBUPUNNURUNBUREEGZEAGZFUNEEEAOEUSAUTUSEEPQAUTAEAARASUAEAUBUCUDUEUFTT $.

  $( Equality theorem for converse.  (Contributed by FL, 19-Sep-2011.) $)
  cnveqb $p |- ( ( Rel A /\ Rel B ) -> ( A = B <-> `' A = `' B ) ) $=
    ( wrel wa wceq ccnv cnveq wi dfrel2 eqeq2 syl5ibr eqcoms sylbi eqeq1 imbi2d
    imp impbid2 ) ACZBCZDABEZAFZBFZEZABGRSUCTHZRUAFZAESUDHZAIUFAUESUDAUEEZUCUEB
    EZHZSUBFZBEUIBIUIBUJUCUHBUJEUEUJEUAUBGBUJUEJKLMUGTUHUCAUEBNOKLMPQ $.

  $( A relation empty iff its converse is empty.  (Contributed by FL,
     19-Sep-2011.) $)
  cnveq0 $p |- ( Rel A -> ( A = (/) <-> `' A = (/) ) ) $=
    ( c0 ccnv wceq wrel wb wi cnv0 rel0 cnveqb mpan2 eqeq2 bibi2d syl5ibr ax-mp
    eqcoms ) BCZBDAEZABDZACZBDZFZGZHUCBQRUBBQDZSTQDZFZRBEUFIABJKUDUAUESBQTLMNPO
    $.

  $( Alternate definition of relation.  (Contributed by NM, 14-May-2008.) $)
  dfrel3 $p |- ( Rel R <-> ( R |` _V ) = R ) $=
    ( wrel ccnv wceq cvv cres dfrel2 cnvcnv2 eqeq1i bitri ) ABACCZADAEFZADAGKLA
    AHIJ $.

  ${
    $d x A $.
    $( Characterization of the elements of the identity relation.  TODO:
       reorder theorems to move this theorem and ~ dfrel3 after ~ elrid .
       (Contributed by BJ, 28-Aug-2022.) $)
    elid $p |- ( A e. _I <-> E. x A = <. x , x >. ) $=
      ( cid wcel cvv cres cop wceq wrex wex wrel reli dfrel3 mpbi eqcomi eleq2i
      cv elrid rexv 3bitri ) BCDBCEFZDBAQZUBGHZAEIUCAJCUABUACCKUACHLCMNOPABERUC
      AST $.
  $}

  $( The domain of a universal restriction.  (Contributed by NM,
     14-May-2008.) $)
  dmresv $p |- dom ( A |` _V ) = dom A $=
    ( cvv cres cdm cin dmres incom inv1 3eqtri ) ABCDBADZEJBEJABFBJGJHI $.

  $( The range of a universal restriction.  (Contributed by NM,
     14-May-2008.) $)
  rnresv $p |- ran ( A |` _V ) = ran A $=
    ( ccnv crn cvv cres cnvcnv2 rneqi rncnvcnv eqtr3i ) ABBZCADEZCACJKAFGAHI $.

  $( Range defined in terms of image.  (Contributed by NM, 14-May-2008.) $)
  dfrn4 $p |- ran A = ( A " _V ) $=
    ( cvv cima cres crn df-ima rnresv eqtr2i ) ABCABDEAEABFAGH $.

  $( Distribute proper substitution through the range of a class.  (Contributed
     by Alan Sare, 10-Nov-2012.) $)
  csbrn $p |- [_ A / x ]_ ran B = ran [_ A / x ]_ B $=
    ( cvv cima csb crn csbima12 wcel wceq csbconstg imaeq2d wn c0 eqcomi csbprc
    0ima imaeq1d eqtrdi dfrn4 3eqtr4a pm2.61i eqtri csbeq2i 3eqtr4i ) ABCDEZFZA
    BCFZDEZABCGZFUHGUGUHABDFZEZUIABDCHBDIZULUIJUMUKDUHABDDKLUMMZNNDEZULUIUONDQO
    UNULNUKENUNUHNUKABCPZRUKQSUNUHNDUPRUAUBUCABUJUFCTUDUHTUE $.

  $( The restriction of the double converse of a class.  (Contributed by NM,
     8-Apr-2007.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
  rescnvcnv $p |- ( `' `' A |` B ) = ( A |` B ) $=
    ( ccnv cres cvv cin cnvcnv2 reseq1i resres wss wceq ssv sseqin2 mpbi 3eqtri
    reseq2i ) ACCZBDAEDZBDAEBFZDABDQRBAGHAEBISBABEJSBKBLBEMNPO $.

  $( The double converse of the restriction of a class.  (Contributed by NM,
     3-Jun-2007.) $)
  cnvcnvres $p |- `' `' ( A |` B ) = ( `' `' A |` B ) $=
    ( cres ccnv wrel wceq relres dfrel2 mpbi rescnvcnv eqtr4i ) ABCZDDZLADDBCLE
    MLFABGLHIABJK $.

  $( The image of the double converse of a class.  (Contributed by NM,
     8-Apr-2007.) $)
  imacnvcnv $p |- ( `' `' A " B ) = ( A " B ) $=
    ( ccnv cres crn cima rescnvcnv rneqi df-ima 3eqtr4i ) ACCZBDZEABDZEKBFABFLM
    ABGHKBIABIJ $.

  ${
    $d x y A $.
    $( The domain of a singleton is nonzero iff the singleton argument is an
       ordered pair.  (Contributed by NM, 14-Dec-2008.)  (Proof shortened by
       Andrew Salmon, 27-Aug-2011.) $)
    dmsnn0 $p |- ( A e. ( _V X. _V ) <-> dom { A } =/= (/) ) $=
      ( vx vy cv cop wceq wex csn cdm wcel cvv cxp wne wbr vex eldm df-br exbii
      c0 opex elsn eqcom 3bitri bitr2i elvv n0 3bitr4i ) ABDZCDZEZFZCGZBGUHAHZI
      ZJZBGAKKLJUNSMULUOBUOUHUIUMNZCGULCUHUMBOPUPUKCUPUJUMJUJAFUKUHUIUMQUJAUHUI
      TUAUJAUBUCRUDRBCAUEBUNUFUG $.
  $}

  $( The range of a singleton is nonzero iff the singleton argument is an
     ordered pair.  (Contributed by NM, 14-Dec-2008.) $)
  rnsnn0 $p |- ( A e. ( _V X. _V ) <-> ran { A } =/= (/) ) $=
    ( cvv cxp wcel csn cdm c0 wne crn dmsnn0 dm0rn0 necon3bii bitri ) ABBCDAEZF
    ZGHNIZGHAJOGPGNKLM $.

  $( The domain of the singleton of the empty set is empty.  (Contributed by
     NM, 30-Jan-2004.) $)
  dmsn0 $p |- dom { (/) } = (/) $=
    ( c0 csn cdm wceq cvv cxp wcel wn 0nelxp dmsnn0 necon2bbii mpbir ) ABCZADAE
    EFGZHEEINMAAJKL $.

  $( The converse of the singleton of the empty set is empty.  (Contributed by
     Mario Carneiro, 30-Aug-2015.) $)
  cnvsn0 $p |- `' { (/) } = (/) $=
    ( c0 csn ccnv wceq crn dfdm4 dmsn0 eqtr3i wrel wb relcnv relrn0 ax-mp mpbir
    cdm ) ABZCZADZQEZADZPOSAPFGHQIRTJPKQLMN $.

  $( The domain of a singleton is empty if the singleton's argument contains
     the empty set.  (Contributed by NM, 15-Dec-2008.) $)
  dmsn0el $p |- ( (/) e. A -> dom { A } = (/) ) $=
    ( c0 wcel csn cdm wne cvv cxp wn dmsnn0 0nelelxp sylbir necon4ai ) BACZADEZ
    BOBFAGGHCNIAJGGAKLM $.

  $( A singleton is a relation iff it has a nonempty domain.  (Contributed by
     NM, 25-Sep-2013.)  Make hypothesis an antecedent.  (Revised by BJ,
     12-Feb-2022.) $)
  relsn2 $p |- ( A e. V -> ( Rel { A } <-> dom { A } =/= (/) ) ) $=
    ( wcel csn wrel cvv cxp cdm c0 wne relsng dmsnn0 bitrdi ) ABCADZEAFFGCNHIJA
    BKALM $.

  ${
    $d x y A $.  $d x y B $.  $d x V $.
    $( The domain of a singleton of an ordered pair is the singleton of the
       first member.  (Contributed by Mario Carneiro, 26-Apr-2015.) $)
    dmsnopg $p |- ( B e. V -> dom { <. A , B >. } = { A } ) $=
      ( vx vy wcel cop csn cdm cv wceq wex vex opth1 exlimiv opeq1 opeq2 eqeq1d
      spcegv syl5 impbid2 eldm2 opex elsn exbii bitri velsn 3bitr4g eqrdv ) BCF
      ZDABGZHZIZAHZUJDJZEJZGZUKKZELZUOAKZUOUMFZUOUNFUJUSUTURUTEUOUPABDMZEMNOUTU
      OBGZUKKZUJUSUOABPURVDEBCUPBKUQVCUKUPBUOQRSTUAVAUQULFZELUSEUOULVBUBVEUREUQ
      UKUOUPUCUDUEUFDAUGUHUI $.

    $( The domain of a singleton of an ordered pair is a subset of the
       singleton of the first member (with no sethood assumptions on ` B ` ).
       (Contributed by Mario Carneiro, 30-Apr-2015.) $)
    dmsnopss $p |- dom { <. A , B >. } C_ { A } $=
      ( cvv wcel cop csn cdm wss dmsnopg eqimss syl wn opprc2 sneqd dmeqd dmsn0
      wceq c0 eqtrdi 0ss eqsstrdi pm2.61i ) BCDZABEZFZGZAFZHZUCUFUGQUHABCIUFUGJ
      KUCLZUFRUGUIUFRFZGRUIUEUJUIUDRABMNOPSUGTUAUB $.

    $( The domain of an unordered pair of ordered pairs.  (Contributed by Mario
       Carneiro, 26-Apr-2015.) $)
    dmpropg $p |- ( ( B e. V /\ D e. W ) ->
        dom { <. A , B >. , <. C , D >. } = { A , C } ) $=
      ( wcel wa cop csn cdm cun cpr wceq dmsnopg uneq12 syl2an df-pr dmeqi dmun
      eqtri 3eqtr4g ) BEGZDFGZHABIZJZKZCDIZJZKZLZAJZCJZLZUEUHMZKZACMUCUGULNUJUM
      NUKUNNUDABEOCDFOUGULUJUMPQUPUFUILZKUKUOUQUEUHRSUFUITUAACRUB $.
  $}

  ${
    dmsnop.1 $e |- B e. _V $.
    $( The domain of a singleton of an ordered pair is the singleton of the
       first member.  (Contributed by NM, 30-Jan-2004.)  (Proof shortened by
       Andrew Salmon, 27-Aug-2011.)  (Revised by Mario Carneiro,
       26-Apr-2015.) $)
    dmsnop $p |- dom { <. A , B >. } = { A } $=
      ( cvv wcel cop csn cdm wceq dmsnopg ax-mp ) BDEABFGHAGICABDJK $.

    dmprop.1 $e |- D e. _V $.
    $( The domain of an unordered pair of ordered pairs.  (Contributed by NM,
       13-Sep-2011.) $)
    dmprop $p |- dom { <. A , B >. , <. C , D >. } = { A , C } $=
      ( cvv wcel cop cpr cdm wceq dmpropg mp2an ) BGHDGHABICDIJKACJLEFABCDGGMN
      $.

    dmtpop.1 $e |- F e. _V $.
    $( The domain of an unordered triple of ordered pairs.  (Contributed by NM,
       14-Sep-2011.) $)
    dmtpop $p |- dom { <. A , B >. , <. C , D >. , <. E , F >. }
                        = { A , C , E } $=
      ( cop ctp cdm cpr csn cun df-tp dmeqi dmun dmprop dmsnop uneq12i 3eqtri
      eqtr4i ) ABJZCDJZEFJZKZLZACMZENZOZACEKUHUDUEMZUFNZOZLULLZUMLZOUKUGUNUDUEU
      FPQULUMRUOUIUPUJABCDGHSEFITUAUBACEPUC $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Double converse of a singleton of an ordered pair.  (Unlike ~ cnvsn ,
       this does not need any sethood assumptions on ` A ` and ` B ` .)
       (Contributed by Mario Carneiro, 26-Apr-2015.) $)
    cnvcnvsn $p |- `' `' { <. A , B >. } = `' { <. B , A >. } $=
      ( vx vy cop csn ccnv relcnv cv wcel vex opelcnv wceq wa opth 3bitr4i opex
      ancom elsn bitri eqrelriiv ) CDABEZFZGZGZBAEZFZGZUDHUGHCIZDIZEZUEJUJUIEZU
      DJZUKUHJZUIUJUDCKZDKZLUKUCJZULUGJZUMUNUKUBMZULUFMZUQURUIAMZUJBMZNVBVANUSU
      TVAVBRUIUJABUOUPOUJUIBAUPUOOPUKUBUIUJQSULUFUJUIQSPUJUIUCUPUOLUIUJUGUOUPLP
      TUA $.

    $( The domain of the singleton of the singleton of a singleton.
       (Contributed by NM, 15-Sep-2004.)  (Revised by Mario Carneiro,
       26-Apr-2015.) $)
    dmsnsnsn $p |- dom { { { A } } } = { A } $=
      ( vx cvv wcel csn cdm wceq cv cop vex opid sneq sneqd eqtrid dmeqd dmsnop
      eqeq12d vtoclg wn c0 0ex snid dmsn0el ax-mp snprc biimpi 3eqtr4a pm2.61i
      ) ACDZAEZEZEZFZUJGZBHZUOIZEZFZUOEZGUNBACUOAGZURUMUSUJUTUQULUTUPUKUTUPUSEU
      KUOBJZKUTUSUJUOALZMNMOVBQUOUOVAPRUISZTEZEZFZTUMUJTVDDVFTGTUAUBVDUCUDVCULV
      EVCUKVDVCUJTVCUJTGAUEUFZMMOVGUGUH $.
  $}

  $( The range of a singleton of an ordered pair is the singleton of the second
     member.  (Contributed by NM, 24-Jul-2004.)  (Revised by Mario Carneiro,
     30-Apr-2015.) $)
  rnsnopg $p |- ( A e. V -> ran { <. A , B >. } = { B } ) $=
    ( wcel cop csn crn cdm ccnv df-rn dfdm4 cnvcnvsn dmeqi 3eqtri eqtr4i eqtrid
    dmsnopg ) ACDABEFZGZBAEFZHZBFSRIZHZUARJUATIZGUDIZHUCTKUDJUEUBBALMNOBACQP $.

  $( The range of a pair of ordered pairs is the pair of second members.
     (Contributed by Thierry Arnoux, 3-Jan-2017.) $)
  rnpropg $p |- ( ( A e. V /\ B e. W )
    -> ran { <. A , C >. , <. B , D >. } = { C , D } ) $=
    ( wcel cop cpr crn csn cun df-pr rneqi wceq rnsnopg adantr adantl uneq12d
    wa rnun 3eqtr4g eqtrid ) AEGZBFGZTZACHZBDHZIZJUGKZUHKZLZJZCDIZUIULUGUHMNUFU
    JJZUKJZLCKZDKZLUMUNUFUOUQUPURUDUOUQOUEACEPQUEUPUROUDBDFPRSUJUKUACDMUBUC $.

  $( Converse of a singleton of an ordered pair.  (Contributed by NM,
     23-Jan-2015.)  (Proof shortened by BJ, 12-Feb-2022.) $)
  cnvsng $p |-
            ( ( A e. V /\ B e. W ) -> `' { <. A , B >. } = { <. B , A >. } ) $=
    ( wcel cop csn ccnv cnvcnvsn wrel wceq relsnopg ancoms dfrel2 sylib eqtr3id
    wa ) ACEZBDEZQZABFGHBAFGZHHZUABAITUAJZUBUAKSRUCBADCLMUANOP $.

  ${
    cnvsn.1 $e |- A e. _V $.
    $( The range of a singleton of an ordered pair is the singleton of the
       second member.  (Contributed by NM, 24-Jul-2004.)  (Revised by Mario
       Carneiro, 26-Apr-2015.) $)
    rnsnop $p |- ran { <. A , B >. } = { B } $=
      ( cvv wcel cop csn crn wceq rnsnopg ax-mp ) ADEABFGHBGICABDJK $.

    cnvsn.2 $e |- B e. _V $.
    $( Extract the first member of an ordered pair.  (See ~ op2nda to extract
       the second member, ~ op1stb for an alternate version, and ~ op1st for
       the preferred version.)  (Contributed by Raph Levien, 4-Dec-2003.) $)
    op1sta $p |- U. dom { <. A , B >. } = A $=
      ( cop csn cdm cuni dmsnop unieqi unisn eqtri ) ABEFGZHAFZHAMNABDIJACKL $.

    $( Converse of a singleton of an ordered pair.  (Contributed by NM,
       11-May-1998.)  (Revised by Mario Carneiro, 26-Apr-2015.)  (Proof
       shortened by BJ, 12-Feb-2022.) $)
    cnvsn $p |- `' { <. A , B >. } = { <. B , A >. } $=
      ( cvv wcel cop csn ccnv wceq cnvsng mp2an ) AEFBEFABGHIBAGHJCDABEEKL $.

    $( Extract the second member of an ordered pair.  Theorem 5.12(ii) of
       [Monk1] p. 52.  (See ~ op1stb to extract the first member, ~ op2nda for
       an alternate version, and ~ op2nd for the preferred version.)
       (Contributed by NM, 25-Nov-2003.) $)
    op2ndb $p |- |^| |^| |^| `' { <. A , B >. } = B $=
      ( cop csn ccnv cint cnvsn inteqi opex intsn eqtri op1stb ) ABEFGZHZHZHBAE
      ZHZHBQSPRPRFZHROTABCDIJRBAKLMJJBADCNM $.

    $( Extract the second member of an ordered pair.  (See ~ op1sta to extract
       the first member, ~ op2ndb for an alternate version, and ~ op2nd for the
       preferred version.)  (Contributed by NM, 17-Feb-2004.)  (Proof shortened
       by Andrew Salmon, 27-Aug-2011.) $)
    op2nda $p |- U. ran { <. A , B >. } = B $=
      ( cop csn crn cuni rnsnop unieqi unisn eqtri ) ABEFGZHBFZHBMNABCIJBDKL $.
  $}

  $( Swap the members of an ordered pair.  (Contributed by NM, 14-Dec-2008.)
     (Revised by Mario Carneiro, 30-Aug-2015.) $)
  opswap $p |- U. `' { <. A , B >. } = <. B , A >. $=
    ( cvv wcel wa cop ccnv cuni wceq cnvsng unieqd opex unisn eqtrdi wn c0 uni0
    csn opprc sneqd cnveqd cnvsn0 ancom sylnbi 3eqtr4a pm2.61i ) ACDZBCDZEZABFZ
    RZGZHZBAFZIUIUMUNRZHUNUIULUOABCCJKUNBALMNUIOZPHPUMUNQUPULPUPULPRZGPUPUKUQUP
    UJPABSTUAUBNKUIUHUGEUNPIUGUHUCBASUDUEUF $.

  ${
    $d s t A $.  $d s t B $.  $d s t F $.
    $( An image under the converse of a restriction.  (Contributed by Jeff
       Hankins, 12-Jul-2009.) $)
    cnvresima $p |- ( `' ( F |` A ) " B ) = ( ( `' F " B ) i^i A ) $=
      ( vt vs cres ccnv cima cin cv wcel cop wa wex 19.41v vex opelresi opelcnv
      3bitr4i elima3 anbi2ci bianass exbii anbi1i elin eqriv ) DCAFZGZBHZCGZBHZ
      AIZEJZBKZUMDJZLZUHKZMZENZUOUKKZUOAKZMZUOUIKUOULKUNUPUJKZMZVAMZENVDENZVAMU
      SVBVDVAEOURVEEUQVCVAUNUOUMLZUGKVAVGCKZMUQVCVAMAUOUMCEPZQUMUOUGVIDPZRVCVHV
      AUMUOCVIVJRUASUBUCUTVFVAEUOUJBVJTUDSEUOUHBVJTUOUKAUESUF $.
  $}

  $( A class restricted to its domain equals its double converse.  (Contributed
     by NM, 8-Apr-2007.) $)
  resdm2 $p |- ( A |` dom A ) = `' `' A $=
    ( ccnv cdm cres rescnvcnv wrel relcnv resdm ax-mp dmcnvcnv reseq2i 3eqtr3ri
    wceq ) ABZBZOCZDZAPDOAACZDAPEOFQOMNGOHIPRAAJKL $.

  $( Restriction to the domain of a restriction.  (Contributed by NM,
     8-Apr-2007.) $)
  resdmres $p |- ( A |` dom ( A |` B ) ) = ( A |` B ) $=
    ( cres cdm ccnv cvv cxp in12 df-res resdm2 eqtr3i ineq2i incom 3eqtri dmres
    cin xpeq1i xpindir eqtri 3eqtr4i rescnvcnv ) AABCZDZCZAEEZBCZUBABFGZADZFGZP
    ZPZUEUGPZUDUFUKUGAUIPZPUGUEPULAUGUIHUMUEUGAUHCUMUEAUHIAJKLUGUEMNUDAUCFGZPUK
    AUCIUNUJAUNBUHPZFGUJUCUOFABOQBUHFRSLSUEBITABUAS $.

  $( A restriction by an arbitrary set is a restriction by its domain.
     (Contributed by AV, 16-Nov-2020.) $)
  resresdm $p |- ( F = ( E |` A ) -> F = ( E |` dom F ) ) $=
    ( cres wceq cdm id dmeq reseq2d resdmres eqtr2di eqtrd ) CBADZEZCMBCFZDZNGN
    PBMFZDMNOQBCMHIBAJKL $.

  $( The image of the domain of a restriction.  (Contributed by NM,
     8-Apr-2007.) $)
  imadmres $p |- ( A " dom ( A |` B ) ) = ( A " B ) $=
    ( cres cdm crn cima resdmres rneqi df-ima 3eqtr4i ) AABCZDZCZEKEALFABFMKABG
    HALIABIJ $.

  $( Subset relationship for the domain of a restriction.  (Contributed by
     Scott Fenton, 9-Aug-2024.) $)
  resdmss $p |- dom ( A |` B ) C_ B $=
    ( cres cdm cin dmres inss1 eqsstri ) ABCDBADZEBABFBIGH $.

  $( Distributive law for restriction over difference.  (Contributed by
     BTernaryTau, 15-Aug-2024.) $)
  resdifdi $p |- ( A |` ( B \ C ) ) = ( ( A |` B ) \ ( A |` C ) ) $=
    ( cdif cres cvv cxp cin df-res difxp1 ineq2i indifdi 3eqtri difeq12i eqtr4i
    ) ABCDZEZABFGZHZACFGZHZDZABEZACEZDQAPFGZHARTDZHUBAPIUEUFABCFJKARTLMUCSUDUAA
    BIACINO $.

  $( Distributive law for restriction over difference.  (Contributed by
     BTernaryTau, 15-Aug-2024.) $)
  resdifdir $p |- ( ( A \ B ) |` C ) = ( ( A |` C ) \ ( B |` C ) ) $=
    ( cdif cvv cxp cin cres indifdir df-res difeq12i 3eqtr4i ) ABDZCEFZGANGZBNG
    ZDMCHACHZBCHZDABNIMCJQORPACJBCJKL $.

  ${
    $d x y C $.  $d y A $.  $d y B $.  $d y F $.  $d x V $.
    dmmpt.1 $e |- F = ( x e. A |-> B ) $.
    $( The preimage of a function in maps-to notation.  (Contributed by Stefan
       O'Rear, 25-Jan-2015.) $)
    mptpreima $p |- ( `' F " C ) = { x e. A | B e. C } $=
      ( vy ccnv cima cv wcel wceq wa copab crab eqtri crn wex cab bitri cnvopab
      cmpt df-mpt cnveqi imaeq1i df-ima resopab rneqi ancom anass 19.42v dfclel
      cres exbii bicomi anbi2i abbii rnopab df-rab 3eqtr4i ) EHZDIAJBKZGJZCLZMZ
      GANZDIZCDKZABOZVAVFDVAVEAGNZHVFEVJEABCUBVJFAGBCUCPUDVEAGUAPUEVGVFDUMZQZVI
      VFDUFVLVCDKZVEMZGANZQZVIVKVOVEGADUGUHVNGRZASVBVHMZASVPVIVQVRAVQVBVDVMMZMZ
      GRZVRVNVTGVNVEVMMVTVMVEUIVBVDVMUJTUNWAVBVSGRZMVRVBVSGUKWBVHVBVHWBGCDULUOU
      PTTUQVNGAURVHABUSUTPPP $.

    $( Converse singleton image of a function defined by maps-to.  (Contributed
       by Stefan O'Rear, 25-Jan-2015.) $)
    mptiniseg $p |- ( C e. V -> ( `' F " { C } ) = { x e. A | B = C } ) $=
      ( wcel ccnv csn cima crab wceq mptpreima elsn2g rabbidv eqtrid ) DFHZEIDJ
      ZKCSHZABLCDMZABLABCSEGNRTUAABCDFOPQ $.

    $( The domain of the mapping operation in general.  (Contributed by NM,
       16-May-1995.)  (Revised by Mario Carneiro, 22-Mar-2015.) $)
    dmmpt $p |- dom F = { x e. A | B e. _V } $=
      ( cdm ccnv crn cvv cima wcel crab dfdm4 dfrn4 mptpreima 3eqtri ) DFDGZHQI
      JCIKABLDMQNABCIDEOP $.

    $d x A $.
    $( The domain of a mapping is a subset of its base class.  (Contributed by
       Scott Fenton, 17-Jun-2013.) $)
    dmmptss $p |- dom F C_ A $=
      ( cvv wcel cdm dmmpt ssrab3 ) CFGABDHABCDEIJ $.
  $}

  ${
    $d A x $.
    $( The domain of the mapping operation is the stated domain, if the
       function value is always a set.  (Contributed by Mario Carneiro,
       9-Feb-2013.)  (Revised by Mario Carneiro, 14-Sep-2013.) $)
    dmmptg $p |- ( A. x e. A B e. V -> dom ( x e. A |-> B ) = A ) $=
      ( wcel wral cmpt cdm cvv crab eqid wceq elex ralimi rabid2 sylibr eqtr4id
      dmmpt ) CDEZABFZABCGZHCIEZABJZBABCUAUAKRTUBABFBUCLSUBABCDMNUBABOPQ $.
  $}

  ${
    $d A x $.
    rnmpt0f.1 $e |- F/ x ph $.
    rnmpt0f.2 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    rnmpt0f.3 $e |- F = ( x e. A |-> B ) $.
    $( The range of a function in maps-to notation is empty if and only if its
       domain is empty.  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    rnmpt0f $p |- ( ph -> ( ran F = (/) <-> A = (/) ) ) $=
      ( c0 wceq cmpt cdm crn wcel wral cv eqcomd eqeq1d a1i ex dmmptg wb dm0rn0
      ralrimi syl rneqi 3bitrrd ) ACJKBCDLZMZJKZUINZJKZENZJKACUJJAUJCADFOZBCPUJ
      CKAUOBCGABQCOUOHUAUEBCDFUBUFRSUKUMUCAUIUDTAULUNJAUNULUNULKAEUIIUGTRSUH $.

    rnmptn0.a $e |- ( ph -> A =/= (/) ) $.
    $( The range of a function in maps-to notation is nonempty if the domain is
       nonempty.  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    rnmptn0 $p |- ( ph -> ran F =/= (/) ) $=
      ( crn c0 wceq neneqd rnmpt0f mtbird neqned ) AEKZLARLMCLMACLJNABCDEFGHIOP
      Q $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w x y z C $.
    $( A composition is a relation.  Exercise 24 of [TakeutiZaring] p. 25.
       (Contributed by NM, 26-Jan-1997.) $)
    relco $p |- Rel ( A o. B ) $=
      ( vx vz vy cv wbr wa wex ccom df-co relopabiv ) CFDFZBGMEFAGHDICEABJCEDAB
      KL $.

    $( Alternate definition of a class composition, using only one bound
       variable.  (Contributed by NM, 19-Dec-2008.) $)
    dfco2 $p |- ( A o. B )
                = U_ x e. _V ( ( `' B " { x } ) X. ( A " { x } ) ) $=
      ( vy vz ccom cvv ccnv cv csn cima cxp wrel wcel cop wex vex elimasn bitri
      wa ciun relco reliun relxp a1i mprgbir wb opelco2g el2v wrex eliun opelxp
      rexv opelcnv anbi12i exbii 3bitrri eqrelriiv ) DEBCFZAGCHZAIZJZKZBVBKZLZU
      AZBCUBVFMVEMZAGAGVEUCVGVAGNVCVDUDUEUFDIZEIZOZUSNZVHVAOCNZVAVIOBNZTZAPZVJV
      FNZVKVOUGDEAVHVIBCGGUHUIVPVJVENZAGUJVQAPVOAVJGVEUKVQAUMVQVNAVQVHVCNZVIVDN
      ZTVNVHVIVCVDULVRVLVSVMVRVAVHOUTNVLUTVAVHAQZDQZRVAVHCVTWAUNSBVAVIVTEQRUOSU
      PUQSUR $.

    $( Generalization of ~ dfco2 , where ` C ` can have any value between
       ` dom A i^i ran B ` and ` _V ` .  (Contributed by NM, 21-Dec-2008.)
       (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
    dfco2a $p |- ( ( dom A i^i ran B ) C_ C -> ( A o. B )
         = U_ x e. C ( ( `' B " { x } ) X. ( A " { x } ) ) ) $=
      ( vy vz vw cvv cv cima ciun wcel wrex wex wa cop vex sylbi 3bitr4g eliun
      cdm crn cin wss ccom ccnv csn cxp wceq wbr wb eliniseg elv brelrn elimasn
      dfco2 opeldm anim12ci adantl exlimivv elxp elin ssel syl5 pm4.71rd exbidv
      3imtr4i rexv df-rex eqrdv eqtrid ) BUAZCUBZUCZDUDZBCUEAHCUFAIZUGZJZBVQJZU
      HZKZADVTKZABCUPVOEWAWBVOEIZVTLZAHMZWDADMZWCWALWCWBLVOWDANVPDLZWDOZANWEWFV
      OWDWHAVOWDWGWDVPVNLZVOWGWCFIZGIZPUIZWJVRLZWKVSLZOZOZGNFNVPVLLZVPVMLZOZWDW
      IWPWSFGWOWSWLWMWRWNWQWMWJVPCUJZWRWMWTUKACVPWJHFQZULUMWJVPCXAAQZUNRWNVPWKP
      BLWQBVPWKXBGQZUOVPWKBXBXCUQRURUSUTFGWCVRVSVAVPVLVMVBVGVNDVPVCVDVEVFWDAVHW
      DADVISAWCHVTTAWCDVTTSVJVK $.

    $( Class composition distributes over union.  (Contributed by NM,
       21-Dec-2008.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
    coundi $p |- ( A o. ( B u. C ) ) = ( ( A o. B ) u. ( A o. C ) ) $=
      ( vx vz vy cv wbr wa wex copab cun ccom wo unopab brun anbi1i andir bitri
      df-co exbii 19.43 bitr2i opabbii eqtri uneq12i 3eqtr4ri ) DGZEGZBHZUIFGAH
      ZIZEJZDFKZUHUICHZUKIZEJZDFKZLZUHUIBCLZHZUKIZEJZDFKZABMZACMZLAUTMUSUMUQNZD
      FKVDUMUQDFOVGVCDFVCULUPNZEJVGVBVHEVBUJUONZUKIVHVAVIUKUHUIBCPQUJUOUKRSUAUL
      UPEUBUCUDUEVEUNVFURDFEABTDFEACTUFDFEAUTTUG $.

    $( Class composition distributes over union.  (Contributed by NM,
       21-Dec-2008.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
    coundir $p |- ( ( A u. B ) o. C ) = ( ( A o. C ) u. ( B o. C ) ) $=
      ( vx vy vz cv wbr wa wex copab cun ccom wo unopab brun anbi2i bitri df-co
      andi exbii 19.43 bitr2i opabbii eqtri uneq12i 3eqtr4ri ) DGEGZCHZUHFGZAHZ
      IZEJZDFKZUIUHUJBHZIZEJZDFKZLZUIUHUJABLZHZIZEJZDFKZACMZBCMZLUTCMUSUMUQNZDF
      KVDUMUQDFOVGVCDFVCULUPNZEJVGVBVHEVBUIUKUONZIVHVAVIUIUHUJABPQUIUKUOTRUAULU
      PEUBUCUDUEVEUNVFURDFEACSDFEBCSUFDFEUTCSUG $.

    $( Restricted first member of a class composition.  (Contributed by NM,
       12-Oct-2004.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
    cores $p |- ( ran B C_ C -> ( ( A |` C ) o. B ) = ( A o. B ) ) $=
      ( vz vy vx crn wss cv wbr cres wa wex copab ccom wcel wb vex brelrn df-co
      ssel brresi baib syl56 pm5.32d exbidv opabbidv 3eqtr4g ) BGZCHZDIZEIZBJZU
      LFIZACKZJZLZEMZDFNUMULUNAJZLZEMZDFNUOBOABOUJURVADFUJUQUTEUJUMUPUSUMULUIPU
      JULCPZUPUSQUKULBDRERSUICULUAUPVBUSCULUNAFRUBUCUDUEUFUGDFEUOBTDFEABTUH $.

    $( Associative law for the restriction of a composition.  (Contributed by
       NM, 12-Dec-2006.) $)
    resco $p |- ( ( A o. B ) |` C ) = ( A o. ( B |` C ) ) $=
      ( vx vy vz ccom cres relres relco cv wcel wbr wa wex anbi2i 19.42v brresi
      vex brco anbi1i anass bitr2i exbii 3bitr2i 3bitr4i eqbrriv ) DEABGZCHZABC
      HZGZUHCIAUJJDKZCLZULEKZUHMZNZULFKZUJMZUQUNAMZNZFOZULUNUIMULUNUKMUPUMULUQB
      MZUSNZFOZNUMVCNZFOVAUOVDUMFULUNABDSZESZTPUMVCFQVEUTFUTUMVBNZUSNVEURVHUSCU
      LUQBFSRUAUMVBUSUBUCUDUECULUNUHVGRFULUNAUJVFVGTUFUG $.

    $( Image of the composition of two classes.  (Contributed by Jason
       Orendorff, 12-Dec-2006.) $)
    imaco $p |- ( ( A o. B ) " C ) = ( A " ( B " C ) ) $=
      ( vx vy vz ccom cima cv wbr wrex wcel wa wex df-rex vex elima exbii bitri
      rexcom4 r19.41v brco rexbii anbi1i 3bitr4i 3bitr4ri eqriv ) DABGZCHZABCHZ
      HZEIZDIZAJZEUJKULUJLZUNMZENZUMUKLUMUILZUNEUJOEUMAUJDPZQFIZULBJZUNMZENZFCK
      ZVAFCKZUNMZENZURUQVDVBFCKZENVGVBFECTVHVFEVAUNFCUARSURUTUMUHJZFCKVDFUMUHCU
      SQVIVCFCEUTUMABFPUSUBUCSUPVFEUOVEUNFULBCEPQUDRUEUFUG $.

    $( The range of the composition of two classes.  (Contributed by NM,
       12-Dec-2006.)  (Proof shortened by Peter Mazsa, 2-Oct-2022.) $)
    rnco $p |- ran ( A o. B ) = ran ( A |` ran B ) $=
      ( vy vx vz ccom crn cres cv wbr wex wcel vex brco exbii excom elrn anbi1i
      wa brresi 19.41v 3bitr4ri 3bitri 3bitr4i eqriv ) CABFZGZABGZHZGZDIZCIZUFJ
      ZDKZEIZULUIJZEKZULUGLULUJLUNUKUOBJZUOULAJZSZEKZDKUTDKZEKUQUMVADEUKULABDMC
      MZNOUTDEPVBUPEUOUHLZUSSURDKZUSSUPVBVDVEUSDUOBEMQRUHUOULAVCTURUSDUAUBOUCDU
      LUFVCQEULUIVCQUDUE $.
  $}

  $( The range of the composition of two classes.  (Contributed by NM,
     27-Mar-2008.) $)
  rnco2 $p |- ran ( A o. B ) = ( A " ran B ) $=
    ( ccom crn cres cima rnco df-ima eqtr4i ) ABCDABDZEDAJFABGAJHI $.

  $( The domain of a composition.  Exercise 27 of [Enderton] p. 53.
     (Contributed by NM, 4-Feb-2004.) $)
  dmco $p |- dom ( A o. B ) = ( `' B " dom A ) $=
    ( ccom cdm ccnv crn cima dfdm4 cnvco rneqi rnco2 imaeq2i eqtr4i 3eqtri ) AB
    CZDOEZFBEZAEZCZFZQADZGZOHPSABIJTQRFZGUBQRKUAUCQAHLMN $.

  $( A composition of two relations is empty iff there is no overlap between
     the range of the second and the domain of the first.  Useful in
     combination with ~ coundi and ~ coundir to prune meaningless terms in the
     result.  (Contributed by Stefan O'Rear, 8-Oct-2014.) $)
  coeq0 $p |- ( ( A o. B ) = (/) <-> ( dom A i^i ran B ) = (/) ) $=
    ( ccom c0 wceq crn cres cdm wrel wb relco relrn0 ax-mp eqeq1i relres reldm0
    cin rnco dmres incom eqtri 3bitr3i 3bitri ) ABCZDEZUDFZDEZABFZGZFZDEZAHZUHQ
    ZDEZUDIUEUGJABKUDLMUFUJDABRNUIDEZUIHZDEZUKUNUIIZUOUQJAUHOZUIPMURUOUKJUSUILM
    UPUMDUPUHULQUMAUHSUHULTUANUBUC $.

  ${
    $d w x y z A $.  $d w y z B $.  $d w y z C $.
    $( Composition with an indexed union.  (Contributed by NM, 21-Dec-2008.) $)
    coiun $p |- ( A o. U_ x e. C B ) = U_ x e. C ( A o. B ) $=
      ( vy vz vw ciun ccom relco wrel cv wcel cop wrex wbr wa wex eliun bitr4i
      reliun a1i mprgbir df-br rexbii 3bitr4i anbi1i r19.41v rexcom4 vex opelco
      exbii eqrelriiv ) EFBADCHZIZADBCIZHZBUNJUQKUPKZADADUPUAURALDMBCJUBUCELZFL
      ZNZUOMZVAUPMZADOZVAUQMUSGLZUNPZVEUTBPZQZGRZUSVECPZVGQZGRZADOZVBVDVIVKADOZ
      GRVMVHVNGVHVJADOZVGQVNVFVOVGUSVENZUNMVPCMZADOVFVOAVPDCSUSVEUNUDVJVQADUSVE
      CUDUEUFUGVJVGADUHTULVKAGDUITGUSUTBUNEUJZFUJZUKVCVLADGUSUTBCVRVSUKUEUFAVAD
      UPSTUM $.
  $}

  $( A composition is not affected by a double converse of its first argument.
     (Contributed by NM, 8-Oct-2007.) $)
  cocnvcnv1 $p |- ( `' `' A o. B ) = ( A o. B ) $=
    ( ccnv ccom cvv cres cnvcnv2 coeq1i crn wss wceq ssv cores ax-mp eqtri ) AC
    CZBDAEFZBDZABDZPQBAGHBIZEJRSKTLABEMNO $.

  $( A composition is not affected by a double converse of its second argument.
     (Contributed by NM, 8-Oct-2007.) $)
  cocnvcnv2 $p |- ( A o. `' `' B ) = ( A o. B ) $=
    ( ccnv ccom cres cnvcnv2 coeq2i resco wrel wceq relco dfrel3 mpbi 3eqtr2i
    cvv ) ABCCZDABOEZDABDZOEZRPQABFGABOHRISRJABKRLMN $.

  $( Absorption of a reverse (preimage) restriction of the second member of a
     class composition.  (Contributed by NM, 11-Dec-2006.) $)
  cores2 $p |- ( dom A C_ C -> ( A o. `' ( `' B |` C ) ) = ( A o. B ) ) $=
    ( cdm wss ccnv cres ccom wceq dfdm4 sseq1i cores sylbi cnvco cocnvcnv1 wrel
    crn relco dfrel2 mpbi eqtri 3eqtr4g cnveqd 3eqtr3g ) ADZCEZABFZCGZFZHZFZFZA
    BHZFZFZUJUMUFUKUNUFUHAFZHZUGUPHZUKUNUFUPQZCEUQURIUEUSCAJKUGUPCLMUKUIFUPHUQA
    UINUHUPOUAABNUBUCUJPULUJIAUIRUJSTUMPUOUMIABRUMSTUD $.

  ${
    $d x y z A $.
    $( Composition with the empty set.  Theorem 20 of [Suppes] p. 63.
       (Contributed by NM, 24-Apr-2004.) $)
    co02 $p |- ( A o. (/) ) = (/) $=
      ( vx vy vz c0 ccom relco rel0 cop wcel wbr wex br0 intnanr nex vex opelco
      cv wa mtbir noel 2false eqrelriiv ) BCAEFZEAEGHBRZCRZIZUDJZUGEJUHUEDRZEKZ
      UIUFAKZSZDLULDUJUKUEUIMNODUEUFAEBPCPQTUGUAUBUC $.

    $( Composition with the empty set.  (Contributed by NM, 24-Apr-2004.) $)
    co01 $p |- ( (/) o. A ) = (/) $=
      ( c0 ccnv ccom cnv0 cnvco coeq2i co02 3eqtri eqtr4i cnveqi wrel wceq rel0
      dfrel2 mpbi relco 3eqtr3ri ) BCZCZBADZCZCZBUASUBSBUBEUBACZSDUDBDBBAFSBUDE
      GUDHIJKBLTBMNBOPUALUCUAMBAQUAOPR $.

    $( Composition with the identity relation.  Part of Theorem 3.7(i) of
       [Monk1] p. 36.  (Contributed by NM, 22-Apr-2004.) $)
    coi1 $p |- ( Rel A -> ( A o. _I ) = A ) $=
      ( vx vy vz cid ccom wrel wceq relco cv cop wcel wbr wex vex opelco equcom
      wa ideq bitri anbi1i exbii breq1 equsexvw df-br eqrelriv mpan ) AEFZGAGUH
      AHAEIBCUHABJZCJZKZUHLZUIUJAMZUKALULUIDJZEMZUNUJAMZRZDNZUMDUIUJAEBOCOPURUN
      UIHZUPRZDNUMUQUTDUOUSUPUOUIUNHUSUIUNDOSBDQTUAUBUPUMDBUNUIUJAUCUDTTUIUJAUE
      TUFUG $.

    $( Composition with the identity relation.  Part of Theorem 3.7(i) of
       [Monk1] p. 36.  (Contributed by NM, 22-Apr-2004.) $)
    coi2 $p |- ( Rel A -> ( _I o. A ) = A ) $=
      ( wrel ccnv wceq ccom dfrel2 cnvco relcnv ax-mp cnveqi eqtr3i coeq2 coeq1
      cid coi1 cnvi sylan9eq mpan2 id 3eqtr3a sylbi ) ABACZCZADZNAEZADAFUDNCZUC
      EZUCUEAUBNEZCUGUCUBNGUHUBUBBUHUBDAHUBOIJKUDUFNDZUGUEDPUDUIUGUFAEUEUCAUFLU
      FNAMQRUDSTUA $.
  $}

  $( Composition with a restricted identity relation.  (Contributed by FL,
     19-Jun-2011.)  (Revised by Stefan O'Rear, 7-Mar-2015.) $)
  coires1 $p |- ( A o. ( _I |` B ) ) = ( A |` B ) $=
    ( ccnv cres ccom cocnvcnv1 wrel wceq relcnv coi1 ax-mp eqtr3i reseq1i resco
    cid rescnvcnv ) ACZCZBDZAOBDEZABDAOEZBDSTUARBROEZUARAOFRGUBRHQIRJKLMAOBNLAB
    PL $.

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.
    $( Associative law for class composition.  Theorem 27 of [Suppes] p. 64.
       Also Exercise 21 of [Enderton] p. 53.  Interestingly, this law holds for
       any classes whatsoever, not just functions or even relations.
       (Contributed by NM, 27-Jan-1997.) $)
    coass $p |- ( ( A o. B ) o. C ) = ( A o. ( B o. C ) ) $=
      ( vx vy vz vw ccom relco cv wbr wa wex cop wcel brco exbii opelco 3bitr4i
      vex excom anass 2exbii bitr4i anbi2i exdistr anbi1i 19.41v eqrelriiv ) DE
      ABHZCHZABCHZHZUJCIAULIDJZFJZCKZUOGJZBKZUQEJZAKZLZLZGMFMZUPURLZUTLZFMZGMZU
      NUSNZUKOZVHUMOZVCVBFMGMVGVBFGUAVEVBGFUPURUTUBUCUDUPUOUSUJKZLZFMUPVAGMZLZF
      MVIVCVLVNFVKVMUPGUOUSABFTETZPUEQFUNUSUJCDTZVORUPVAFGUFSUNUQULKZUTLZGMVDFM
      ZUTLZGMVJVGVRVTGVQVSUTFUNUQBCVPGTPUGQGUNUSAULVPVORVFVTGVDUTFUHQSSUI $.
  $}

  $( General form of ~ relcnvtr .  (Contributed by Peter Mazsa,
     17-Oct-2023.) $)
  relcnvtrg $p |- ( ( Rel R /\ Rel S /\ Rel T ) ->
                    ( ( R o. S ) C_ T <-> ( `' S o. `' R ) C_ `' T ) ) $=
    ( wrel w3a ccom wss ccnv cnvco cnvss eqsstrrid sseq1 dfrel2 biimpi 3ad2ant1
    wceq wi 3ad2ant2 coeq12d 3ad2ant3 sseq12d biimpcd syl6bi mpsyl impbid2
    com12 ) ADZBDZCDZEZABFZCGZBHZAHZFZCHZGZULUOUKHUPABIUKCJKUQUJULUOHZUNHZUMHZF
    ZPZUQURUPHZGZUJULQZUMUNIUOUPJVBVDVAVCGZVEURVAVCLUJVFULUJVAUKVCCUJUSAUTBUGUH
    USAPZUIUGVGAMNOUHUGUTBPZUIUHVHBMNRSUIUGVCCPZUHUIVICMNTUAUBUCUDUFUE $.

  $( A relation is transitive iff its converse is transitive.  (Contributed by
     FL, 19-Sep-2011.)  (Proof shortened by Peter Mazsa, 17-Oct-2023.) $)
  relcnvtr $p |- ( Rel R ->
     ( ( R o. R ) C_ R <-> ( `' R o. `' R ) C_ `' R ) ) $=
    ( wrel w3a ccom wss ccnv wb 3anidm relcnvtrg sylbir ) ABZKKKCAADAEAFZLDLEGK
    HAAAIJ $.

  ${
    $d x y A $.
    $( A relation is included in the Cartesian product of its domain and range.
       Exercise 4.12(t) of [Mendelson] p. 235.  (Contributed by NM,
       3-Aug-1994.) $)
    relssdmrn $p |- ( Rel A -> A C_ ( dom A X. ran A ) ) $=
      ( vx vy wrel cdm crn cxp id cv cop wi wex 19.8a wa opelxp vex eldm2 elrn2
      wcel anbi12i bitri sylanbrc a1i relssdv ) ADZBCAAEZAFZGZUEHBIZCIZJZASZUKU
      HSZKUEULULCLZULBLZUMULCMULBMUMUIUFSZUJUGSZNUNUONUIUJUFUGOUPUNUQUOCUIABPQB
      UJACPRTUAUBUCUD $.
  $}

  $( If the ` R ` -image of a class ` A ` is a subclass of ` B ` , then the
     restriction of ` R ` to ` A ` is a subset of the Cartesian product of
     ` A ` and ` B ` .  (Contributed by RP, 24-Dec-2019.) $)
  resssxp $p |- ( ( R " A ) C_ B <-> ( R |` A ) C_ ( A X. B ) ) $=
    ( cima wss cres crn cdm cxp df-ima sseq1i dmres inss1 eqsstri biantrur wrel
    wa cin relres sstrdi relssdmrn xpss12 sstrid dmss dmxpss rnss rnxpss impbii
    ax-mp jca 3bitri ) CADZBECAFZGZBEZUMHZAEZUOQZUMABIZEZULUNBCAJKUQUOUPACHZRAC
    ALAVAMNOURUTURUMUPUNIZUSUMPUMVBECASUMUAUIUPAUNBUBUCUTUQUOUTUPUSHAUMUSUDABUE
    TUTUNUSGBUMUSUFABUGTUJUHUK $.

  $( The converse is a subset of the cartesian product of range and domain.
     (Contributed by Mario Carneiro, 2-Jan-2017.) $)
  cnvssrndm $p |- `' A C_ ( ran A X. dom A ) $=
    ( ccnv cdm crn cxp wrel relcnv relssdmrn ax-mp df-rn dfdm4 xpeq12i sseqtrri
    wss ) ABZOCZODZEZADZACZEOFORNAGOHISPTQAJAKLM $.

  $( Composition as a subset of the Cartesian product of factors.  (Contributed
     by Mario Carneiro, 12-Jan-2017.) $)
  cossxp $p |- ( A o. B ) C_ ( dom B X. ran A ) $=
    ( ccom cdm crn cxp wrel wss relco relssdmrn ax-mp dmcoss rncoss mp2an sstri
    xpss12 ) ABCZQDZQEZFZBDZAEZFZQGQTHABIQJKRUAHSUBHTUCHABLABMRUASUBPNO $.

  $( Two ways to describe the structure of a two-place operation.  (Contributed
     by NM, 17-Dec-2008.) $)
  relrelss $p |- ( ( Rel A /\ Rel dom A ) <-> A C_ ( ( _V X. _V ) X. _V ) ) $=
    ( wrel cdm wa cvv cxp wss df-rel anbi2i crn relssdmrn xpss12 mpan2 sylan9ss
    ssv xpss sstr sylibr dmss c0 wne wceq vn0 dmxp ax-mp sseqtrdi impbii bitri
    jca ) ABZACZBZDUJUKEEFZGZDZAUMEFZGZULUNUJUKHIUOUQUJUNAUKAJZFZUPAKUNUREGUSUP
    GUROUKUMURELMNUQUJUNUQAUMGZUJUQUPUMGUTUMEPAUPUMQMAHRUQUKUPCZUMAUPSETUAVAUMU
    BUCUMEUDUEUFUIUGUH $.

  ${
    $d x y A $.  $d x y R $.
    $( The membership relation for a relation is inherited by class union.
       (Contributed by NM, 17-Sep-2006.) $)
    unielrel $p |- ( ( Rel R /\ A e. R ) -> U. A e. U. R ) $=
      ( vx vy wrel wcel wa cv cop wceq wex elrel simpr wi vex uniopel a1i eleq1
      cuni unieq eleq1d 3imtr4d exlimivv sylc ) BEZABFZGACHZDHZIZJZDKCKUFASZBSZ
      FZCDABLUEUFMUJUFUMNCDUJUIBFZUISZULFZUFUMUNUPNUJUGUHBCODOPQAUIBRUJUKUOULAU
      ITUAUBUCUD $.
  $}

  $( The double union of a relation is its field.  (Contributed by NM,
     17-Sep-2006.) $)
  relfld $p |- ( Rel R -> U. U. R = ( dom R u. ran R ) ) $=
    ( wrel cuni cdm crn cun cxp wss relssdmrn 3syl unixpss sstrdi dmrnssfld a1i
    uniss eqssd ) ABZACZCZADZAEZFZQSTUAGZCZCZUBQAUCHRUDHSUEHAIAUCORUDOJTUAKLUBS
    HQAMNP $.

  $( Restriction of a relation to its field.  (Contributed by FL,
     15-Apr-2012.) $)
  relresfld $p |- ( Rel R -> ( R |` U. U. R ) = R ) $=
    ( wrel cuni cres wceq cdm crn wi relfld reseq2d resundi wa eqtr resss resdm
    cun wss ssequn2 uneq1 eqeq2d ex syl6bi com3r sylbi syl5com sylancl pm2.43i
    mpsyl ) ABZAACCZDZAEZUIUKAAFZAGZPZDZEZUPAUMDZAUNDZPZEZUIULHUIUJUOAAIJAUMUNK
    UQVALUKUTEZUIULUKUPUTMUSAQZUIURAEZVBULHZAUNNAOVCAUSPZAEZVDVEHUSARVDVBVGULVD
    VBUKVFEZVGULHVDUTVFUKURAUSSTVHVGULUKVFAMUAUBUCUDUHUEUFUG $.

  $( Composition with the identity relation restricted to a relation's field.
     (Contributed by FL, 2-May-2011.) $)
  relcoi2 $p |- ( Rel R -> ( ( _I |` U. U. R ) o. R ) = R ) $=
    ( wrel cid cuni cres ccom cdm crn cun wss wceq dmrnssfld simpr sylbir cores
    wa unss mp2b coi2 eqtrid ) ABCADDZEAFZCAFZAAGZAHZIUAJZUEUAJZUBUCKALUFUDUAJZ
    UGPUGUDUEUAQUHUGMNCAUAORAST $.

  $( Composition with the identity relation restricted to a relation's field.
     (Contributed by FL, 8-May-2011.)  (Proof shortened by OpenAI,
     3-Jul-2020.) $)
  relcoi1 $p |- ( Rel R -> ( R o. ( _I |` U. U. R ) ) = R ) $=
    ( wrel cid cuni cres ccom coires1 relresfld eqtrid ) ABACADDZEFAJEAAJGAHI
    $.

  $( The double union of the converse of a class is its field.  (Contributed by
     NM, 4-Jun-2008.) $)
  unidmrn $p |- U. U. `' A = ( dom A u. ran A ) $=
    ( ccnv cuni crn cdm cun wrel wceq relcnv ax-mp equncomi dfdm4 df-rn uneq12i
    relfld eqtr4i ) ABZCCZQDZQEZFAEZADZFRTSQGRTSFHAIQOJKUASUBTALAMNP $.

  $( if ` R ` is a relation, its double union equals the double union of its
     converse.  (Contributed by FL, 5-Jan-2009.) $)
  relcnvfld $p |- ( Rel R -> U. U. R = U. U. `' R ) $=
    ( wrel cuni cdm crn cun ccnv relfld unidmrn eqtr4di ) ABACCADAEFAGCCAHAIJ
    $.

  $( Alternate definition of domain ~ df-dm that doesn't require dummy
     variables.  (Contributed by NM, 2-Aug-2010.) $)
  dfdm2 $p |- dom A = U. U. ( `' A o. A ) $=
    ( ccnv ccom cuni cdm crn cun cnvco cocnvcnv2 eqtri unieqi eqtr3i wceq df-rn
    unidmrn eqcomi dmcoeq ax-mp rncoeq dfdm4 eqtr4i uneq12i unidm 3eqtrri ) ABZ
    ACZDZDZUFEZUFFZGZAEZULGULUFBZDZDUHUKUNUGUMUFUMUEUEBCUFUEAHUEAIJKKUFOLUIULUJ
    ULUEEZAFZMZUIULMUPUOANPZUEAQRUJUEFZULUQUJUSMURUEASRATUAUBULUCUD $.

  $( The double class union of a nonempty Cartesian product is the union of it
     members.  (Contributed by NM, 17-Sep-2006.) $)
  unixp $p |- ( ( A X. B ) =/= (/) -> U. U. ( A X. B ) = ( A u. B ) ) $=
    ( cxp c0 wne cuni cdm crn cun wrel wceq relxp relfld ax-mp xpeq2 xp0 eqtrdi
    necon3i xpeq1 0xp dmxp rnxp uneq12 syl2an syl2anc eqtrid ) ABCZDEZUGFFZUGGZ
    UGHZIZABIZUGJUIULKABLUGMNUHBDEZADEZULUMKZBDUGDBDKUGADCDBDAOAPQRADUGDADKUGDB
    CDADBSBTQRUNUJAKUKBKUPUOABUAABUBUJAUKBUCUDUEUF $.

  ${
    $d x y z A $.  $d x y z B $.
    $( A Cartesian product is empty iff its union is empty.  (Contributed by
       NM, 20-Sep-2006.) $)
    unixp0 $p |- ( ( A X. B ) = (/) <-> U. ( A X. B ) = (/) ) $=
      ( vz vx vy cxp c0 wceq cuni unieq uni0 eqtrdi wne cv wex n0 cop vex sylbi
      wcel elxp3 wss elssuni opnzi ssn0 sylancl adantl exlimivv exlimiv necon4i
      wa impbii ) ABFZGHZUMIZGHUNUOGIGUMGJKLUMGUOGUMGMCNZUMTZCOUOGMZCUMPUQURCUQ
      DNZENZQZUPHZVAUMTZUKZEODOURDEUPABUAVDURDEVCURVBVCVAUOUBVAGMURVAUMUCUSUTDR
      ERUDVAUOUEUFUGUHSUISUJUL $.
  $}

  $( Field of a Cartesian square.  (Contributed by FL, 10-Oct-2009.) $)
  unixpid $p |- U. U. ( A X. A ) = A $=
    ( c0 wceq cxp cuni xpeq1 eqtrdi wi unieq unieqd uni0 unieqi eqtri wa expcom
    0xp eqtr eqcoms syl5com wne sylancl mpcom wn df-ne cun unixp unidm sylancbr
    xpnz sylbi pm2.61i ) ABCZAADZEZEZACZUMBCZULUPULUMBADBABAFAPGUQUOBEZEZCZUSBC
    ZULUPHUQUNURUMBIJUSURBURBKLKMUTVANUOBCZULUPUOUSBQVBUPHBAVBBACUPUOBAQORSUAUB
    ULUCABTZVCUPABUDZVDVCVCNUMBTZUPAAUIVEUOAAUEAAAUFAUGGUJUHUK $.

  ${
    $d x y A $.  $d x y B $.
    $( Restriction of a class to a singleton.  (Contributed by Mario Carneiro,
       28-Dec-2014.)  (Proof shortened by Peter Mazsa, 2-Oct-2022.) $)
    ressn $p |- ( A |` { B } ) = ( { B } X. ( A " { B } ) ) $=
      ( vx vy csn cres cima cxp relres relxp cv wcel cop wa elimasn elsni sneqd
      vex imaeq2d eleq2d bitr3id pm5.32i opelresi opelxp 3bitr4i eqrelriiv ) CD
      ABEZFZUGAUGGZHZAUGIUGUIJCKZUGLZUKDKZMZALZNULUMUILZNUNUHLUNUJLULUOUPUOUMAU
      KEZGZLULUPAUKUMCRDRZOULURUIUMULUQUGAULUKBUKBPQSTUAUBUGUKUMAUSUCUKUMUGUIUD
      UEUF $.
  $}

  ${
    $d A a b x $.  $d B a b $.
    $( The converse of an intersection is the intersection of the converse.
       (Contributed by FL, 15-Oct-2012.) $)
    cnviin $p |- ( A =/= (/) -> `' |^|_ x e. A B = |^|_ x e. A `' B ) $=
      ( va vb ciin ccnv wrel relcnv cvv wss wral df-rel cv cop wcel eliin ax-mp
      wb opex c0 wne wceq cxp wrex mpbi rgenw r19.2z mpan2 iinss syl sylibr vex
      opelcnv ralbii bitri 3bitr4i eqrelriv sylancr ) BUAUBZABCFZGZHABCGZFZHZVB
      VDUCVAIUTVDJJUDZKZVEUTVCVFKZABUEZVGUTVHABLVIVHABVCHVHCIVCMUFUGVHABUHUIABV
      CVFUJUKVDMULDEVBVDENZDNZOZVAPZVLCPZABLZVKVJOZVBPVPVDPZVLJPVMVOSVJVKTAVLBC
      JQRVKVJVADUMZEUMZUNVQVPVCPZABLZVOVPJPVQWASVKVJTAVPBVCJQRVTVNABVKVJCVRVSUN
      UOUPUQURUS $.
  $}

  ${
    $d x y z A $.  $d x y z R $.
    $( The converse of a partial order is a partial order.  (Contributed by NM,
       15-Jun-2005.) $)
    cnvpo $p |- ( R Po A <-> `' R Po A ) $=
      ( vx vy vz cv wbr wn wa wi wral wpo r19.26 brcnv ralbii bitr2i c0 3bitr4i
      vex ralcom weq id breq12d syl5bb notbid cbvralvw anbi12ci imbi12i anbi12i
      ccnv ralidm wb wceq rzal 2thd wne r19.3rzv ralbidv pm2.61ine anbi1i bitri
      df-po ) CFZVCBGZHZVCDFZBGZVFEFZBGZIZVCVHBGZJZIEAKZDAKCAKZVHVHBUJZGZHZVHVF
      VOGZVFVCVOGZIZVHVCVOGZJZIZCAKZDAKEAKZABLAVOLVMCAKZDAKWDEAKZDAKVNWEWFWGDAV
      ECAKZVLEAKZIZCAKZWCEAKZCAKWFWGWJWLCAWLVQEAKZWBEAKZIWJVQWBEAMWMWHWNWIVQVEE
      CAECUAZVPVDVPVHVHBGWOVDVHVHBESZWPNWOVHVCVHVCBWOUBZWQUCUDUEUFWBVLEAVTVJWAV
      KVRVIVSVGVHVFBWPDSZNVFVCBWRCSZNUGVHVCBWPWSNUHOUIPOVEEAKZWIIZCAKZWHCAKZWIC
      AKZIZWFWKXBWTCAKZXDIXEWTWICAMXFXCXDXCWHXFVECAUKWHXFULAQAQUMWHXFVECAUNWTCA
      UNUOAQUPVEWTCAVEEAUQURUSPUTVAVMXACAVEVLEAMOWHWICAMRWCECAATROVMCDAATWDEDAA
      TRCDEABVBEDCAVOVBR $.

    $( The converse of a strict order relation is a strict order relation.
       (Contributed by NM, 15-Jun-2005.) $)
    cnvso $p |- ( R Or A <-> `' R Or A ) $=
      ( vx vy wpo cv wbr weq w3o wral wa ccnv wor cnvpo ralcom vex brcnv equcom
      3orbi123i df-so 2ralbii bitr4i anbi12i 3bitr4i ) ABEZCFZDFZBGZCDHZUGUFBGZ
      IZDAJCAJZKABLZEZUGUFUMGZDCHZUFUGUMGZIZCAJDAJZKABMAUMMUEUNULUSABNULUKCAJDA
      JUSUKCDAAOURUKDCAAUOUHUPUIUQUJUGUFBDPZCPZQDCRUFUGBVAUTQSUAUBUCCDABTDCAUMT
      UD $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    $( Composition of two Cartesian products.  (Contributed by Thierry Arnoux,
       17-Nov-2017.) $)
    xpco $p |- ( B =/= (/) -> ( ( B X. C ) o. ( A X. B ) ) = ( A X. C ) ) $=
      ( vx vy vz c0 wne cv cxp wbr wa wex copab wcel ccom biimpi biantrurd brxp
      n0 ancom anbi1i anbi12i anandi 3bitr4i exbii 19.41v bitr2i opabbidv df-co
      bitr2di df-xp 3eqtr4g ) BGHZDIZEIZABJZKZUPFIZBCJZKZLZEMZDFNUOAOZUSCOZLZDF
      NUTUQPACJUNVCVFDFUNVFUPBOZEMZVFLZVCUNVHVFUNVHEBTQRVCVGVFLZEMVIVBVJEVDVGLZ
      VGVELZLVGVDLZVLLVBVJVKVMVLVDVGUAUBURVKVAVLUOUPABSUPUSBCSUCVGVDVEUDUEUFVGV
      FEUGUHUKUIDFEUTUQUJDFACULUM $.
  $}

  $( Composition of two Cartesian squares.  (Contributed by Thierry Arnoux,
     14-Jan-2018.) $)
  xpcoid $p |- ( ( A X. A ) o. ( A X. A ) ) = ( A X. A ) $=
    ( cxp ccom wceq c0 co01 sqxpeqd 0xp eqtrdi coeq12d 3eqtr4a xpco pm2.61ine
    id ) AABZOCZODAEAEDZEECEPOEFQOEOEQOEEBEQAEQNGEHIZRJRKAAALM $.

  ${
    $d A x y $.  $d V y $.  $d X x y $.  $d Z x y $.
    $( Membership in a Cartesian product with a singleton.  (Contributed by
       Thierry Arnoux, 10-Apr-2020.)  (Proof shortened by JJ, 14-Jul-2021.) $)
    elsnxp $p |- ( X e. V -> ( Z e. ( { X } X. A )
      <-> E. y e. A Z = <. X , y >. ) ) $=
      ( vx wcel csn cxp cv cop wceq wrex wa wex elxp df-rex an13 exbii bitr4i
      elsni opeq1d eqeq2d biimpa reximi exlimiv sylbi snidg opelxpi sylan eleq1
      sylbir syl5ibrcom rexlimdva impbid2 ) DCGZEDHZBIZGZEDAJZKZLZABMZUSEFJZUTK
      ZLZVDUQGZUTBGZNNZAOZFOVCFAEUQBPVJVCFVJVGVFNZABMZVCVLVHVKNZAOVJVKABQVIVMAV
      FVGVHRSTVKVBABVGVFVBVGVEVAEVGVDDUTVDDUAUBUCUDUEULUFUGUPVBUSABUPVHNUSVBVAU
      RGZUPDUQGVHVNDCUHDUTUQBUIUJEVAURUKUMUNUO $.
  $}

  ${
    $d X a b p q $.  $d X p q x y $.  $d Y a b p q $.  $d Y p q x y $.
    $d ps a b q x y $.  $d ch p $.
    reu3op.a $e |- ( p = <. a , b >. -> ( ps <-> ch ) ) $.
    $( There is a unique ordered pair fulfilling a wff iff there are uniquely
       two sets fulfilling a corresponding wff.  (Contributed by AV,
       1-Jul-2023.) $)
    reu3op $p |- ( E! p e. ( X X. Y ) ps
                  <-> ( E. a e. X E. b e. Y ch
                     /\ E. x e. X E. y e. Y A. a e. X A. b e. Y
                                     ( ch -> <. x , y >. = <. a , b >. ) ) ) $=
      ( vq wrex wi wral wa cv cop wceq rexxp wcel cxp wreu eqeq2 imbi2d ralbidv
      weq reu3 eqeq1 imbi12d ralxp wb eqcom a1i 2ralbidva syl5bb 2rexbiia bitri
      anbi12i ) AGEFUAZUBAGUSLZAGKUFZMZGUSNZKUSLZOBIFLHELZBCPZDPZQZHPZIPZQZRZMZ
      IFNHENZDFLCELZOAGKUSUGUTVEVDVOABGHIEFJSVDAGPZVHRZMZGUSNZDFLCELVOVCVSKCDEF
      KPZVHRZVBVRGUSWAVAVQAVTVHVPUCUDUESVSVNCDEFVSBVKVHRZMZIFNHENVFETVGFTOZVNVR
      WCGHIEFVPVKRABVQWBJVPVKVHUHUIUJWDWCVMHIEFWDVIETVJFTOOZWBVLBWBVLUKWEVKVHUL
      UMUDUNUOUPUQURUQ $.

    $d X a b c d p q x y $.  $d X p q w $.  $d Y c d $.  $d Y w $.
    $d c d ps $.  $d c ch d q $.  $d c d p q th $.  $d ps q w $.
    reuop.x $e |- ( p = <. x , y >. -> ( ps <-> th ) ) $.
    $( There is a unique ordered pair fulfilling a wff iff there are uniquely
       two sets fulfilling a corresponding wff.  (Contributed by AV,
       23-Jun-2023.) $)
    reuop $p |- ( E! p e. ( X X. Y ) ps
                  <-> E. a e. X E. b e. Y ( ch /\ A. x e. X A. y e. Y
                                     ( th -> <. x , y >. = <. a , b >. ) ) ) $=
      ( vq cv wsbc wceq wi wa wrex wcel vw vc cxp wreu wral cop nfsbc1v sbceq1a
      vd dfsbcq reu8nf elxp2 biimpcd adantr imp opelxpi wb eqeq2 imbi12d adantl
      rspcdv opex sbcie pm2.27 sylbir eqcom syl6ibr com12 eqcoms syl5ibrcom a1d
      imbi2d syl6 expimpd imp4c impcom ralrimivva jca ex reximdvva sylbi simprl
      rexlimiv nfv nfim opeq1 eqeq1d opeq2 rspc2 ad2antlr sbcop impd rexlimdvva
      expcom biimpi impel ralrimiva nfralw eqeq1 ralbidv anbi12d rspce syl12anc
      nfcv nfan rexlimivv impbii bitri ) AHFGUCZUDAAHMNZOZHNZXJPZQZMXIUEZRZHXIS
      ZBCDNZENZUFZINZJNZUFZPZQZEGUEDFUEZRZJGSIFSZAXKAHUANZOHMUAXIAHXJUGZAHYIUGA
      HYIUHAHYIXJUJUKXQYHXPYHHXIXLXITXLYCPZJGSIFSZXPYHQIJXLFGULXPYLYHXPYKYGIJFG
      XPYAFTYBGTRZRZYKYGYNYKRZBYFYNYKBXPYKBQZYMAYPXOYKABKUMUNUNUOYOYEDEFGXRFTXS
      GTRZYOYEYQXPYMYKYEYQAXOYMYKYEQZQZYQARXOAHXTOZXLXTPZQZYSYQXOUUBQAYQXNUUBMX
      TXIXRXSFGUPXJXTPZXNUUBUQYQUUCXKYTXMUUAAHXJXTUJXJXTXLURUSUTVAUNUUBYRYMUUBY
      EYKCXTXLPZQCUUBUUDCUUBUUAUUDCYTUUBUUAQACHXTXRXSVBLVCYTUUAVDVEXTXLVFVGVHYK
      YDUUDCYDUUDUQYCXLYCXLXTURVIVLVJVKVMVNVOVPVQVRVSVTVHWAWCYGXQIJFGYMYGXQYMYG
      RZYCXITZBXKYCXJPZQZMXIUEZXQYMUUFYGYAYBFGUPUNYMBYFWBUUEUUHMXIUUEXJUBNZUINZ
      UFZPZUIGSUBFSZUUHXJXITZUUEUUMUUHUBUIFGUUEUUJFTUUKGTRZRUUHUUMAHUULOZYCUULP
      ZQZUUPUUEUUSUUPYMYGUUSYMUUPYGUUSQYMUUPRZBYFUUSUUTBRYFCDUUJOZEUUKOZUULYCPZ
      QZUUSUUPYFUVDQYMBYEUVDUVAUUJXSUFZYCPZQDEUUJUUKFGUVAUVFDCDUUJUGUVFDWDWEUVB
      UVCEUVAEUUKUGUVCEWDWEXRUUJPZCUVAYDUVFCDUUJUHUVGXTUVEYCXRUUJXSWFWGUSXSUUKP
      ZUVAUVBUVFUVCUVAEUUKUHUVHUVEUULYCXSUUKUUJWHWGUSWIWJUUQUVDUURUUQUVDUVCUURU
      UQUVBUVDUVCQACDEHUBUILWKUVBUVCVDVEYCUULVFVGVHVMVNWNWLVPUUMXKUUQUUGUURAHXJ
      UULUJXJUULYCURUSVJWMUUOUUNUBUIXJFGULWOWPWQXPBUUIRHYCXIBUUIHBHWDUUHHMXIHXI
      XDXKUUGHYJUUGHWDWEWRXEYKABXOUUIKYKXNUUHMXIYKXMUUGXKXLYCXJWSVLWTXAXBXCVSXF
      XGXH $.
  $}

  ${
    $d A a b p x y $.  $d B a b p x y $.  $d ph a b x y $.  $d ch p x y $.
    opreu2reurex.a $e |- ( p = <. a , b >. -> ( ph <-> ch ) ) $.
    $( There is a unique ordered pair fulfilling a wff iff there are uniquely
       two sets fulfilling a corresponding wff.  (Contributed by AV,
       24-Jun-2023.)  (Revised by AV, 1-Jul-2023.) $)
    opreu2reurex $p |- ( E! p e. ( A X. B ) ph
                  <-> ( E! a e. A E. b e. B ch /\ E! b e. B E. a e. A ch ) ) $=
      ( vx vy wrex cv cop wceq wi wral wa weq wreu wcel cxp wb eqcom opth bitri
      vex imbi2i a1i 2ralbidva 2rexbiia anbi2i reu3op 2reu4 3bitr4i ) BGDKZFCKZ
      BILZJLZMZFLZGLZMZNZOZGDPFCPZJDKICKZQUPBFIRGJRQZOZGDPFCPZJDKICKZQAECDUASUO
      FCSBFCKGDSQVFVJUPVEVIIJCDUQCTURDTQZVDVHFGCDVDVHUBVKUTCTVADTQQVCVGBVCVBUSN
      VGUSVBUCUTVAUQURFUFGUFUDUEUGUHUIUJUKABIJCDEFGHULBFGIJCDUMUN $.

    $( If there is a unique ordered pair fulfilling a wff, then there is a
       double restricted unique existential qualification fulfilling a
       corresponding wff.  (Contributed by AV, 25-Jun-2023.)  (Revised by AV,
       2-Jul-2023.) $)
    opreu2reu $p |- ( E! p e. ( A X. B ) ph -> E! a e. A E! b e. B ch ) $=
      ( cxp wreu wrex wa opreu2reurex 2rexreu sylbi ) AECDIJBGDKFCJBFCKGDJLBGDJ
      FCJABCDEFGHMBFGCDNO $.
  $}

  ${
    $d R x y z w $.  $d A x y z w $.
    $( Quantifier-free definition of a partial ordering.  (Contributed by Scott
       Fenton, 22-Feb-2013.)  (Proof shortened by Peter Mazsa, 2-Oct-2022.) $)
    dfpo2 $p |- ( R Po A <-> ( ( R i^i ( _I |` A ) ) = (/) /\
           ( ( R i^i ( A X. A ) ) o. ( R i^i ( A X. A ) ) ) C_ R ) ) $=
      ( vx vy vz vw cid cin c0 wceq wa wb wbr wn wi wral wcel wal eleq1 df-br
      wpo cres cxp ccom wss po0 res0 ineq2i in0 eqtri xp0 coeq2i eqsstri pm3.2i
      0ss poeq2 reseq2 ineq2d eqeq1d xpeq2 coeq2d sseq1d anbi12d bibi12d mpbiri
      co02 2th wne cv r19.28zv ralbidv bitrd r19.26 bitrdi disj df-ral cop opex
      df-po bitr4di cvv opelidres notbid imbi12d spcv con2d alrimiv wrel relres
      elv wex elrel mpan ancri weq breq12 anidms spvv breq2 biimpcd impcomd syl
      imbi2d brresi ideq anbi2i 3bitr3ri syl5ibrcom exlimdvv impd impbii bitr4i
      vex syl5 3bitri wrex ralcom r19.23v ralbii bitri anbi12i an4 ancom anbi1i
      brin brxp anandi 3bitr4i anass exbii bitr3i df-rex r19.42v imbi12i 2albii
      brco r2al impexp relco ssrel ax-mp bitr2i 3bitr4g pm2.61ine ) ABUAZBGAUBZ
      HZIJZBAAUCZHZUUJUDZBUEZKZLZAIAIJZUUNIBUAZBGIUBZHZIJZUUJBAIUCZHZUDZBUEZKZL
      UUPUVDBUFUUSUVCUURBIHZIUUQIBGUGUHBUIZUJUVBIBUVBUUJIUDIUVAIUUJUVAUVEIUUTIB
      AUKUHUVFUJULUUJVFUJBUOUMUNVGUUOUUEUUPUUMUVDAIBUPUUOUUHUUSUULUVCUUOUUGUURI
      UUOUUFUUQBAIGUQURUSUUOUUKUVBBUUOUUJUVAUUJUUOUUIUUTBAIAUTURVAVBVCVDVEAIVHZ
      CVIZUVHBMZNZUVHDVIZBMZUVKEVIZBMZKZUVHUVMBMZOZKEAPZDAPZCAPZUVJCAPZUVQEAPZD
      APZCAPZKZUUEUUMUVGUVTUVJUWCKZCAPUWEUVGUVSUWFCAUVGUVSUVJUWBKZDAPUWFUVGUVRU
      WGDAUVJUVQEAVJVKUVJUWBDAVJVLVKUVJUWCCAVMVNCDEABVSUUHUWAUULUWDUUHFVIZUUFQZ
      NZFBPUWHBQZUWJOZFRZUWAFBUUFVOUWJFBVPUWMUVHAQZUVJOZCRZUWAUWMUWPUWMUWOCUWMU
      VIUWNUWLUVIUWNNZOFUVHUVHVQZUVHUVHVRUWHUWRJZUWKUVIUWJUWQUWSUWKUWRBQUVIUWHU
      WRBSUVHUVHBTVTUWSUWIUWNUWSUWIUWRUUFQZUWNUWHUWRUUFSUWTUWNLCUVHAWAWBWJVNWCW
      DWEWFWGUWPUWLFUWPUWIUWKUWIUWHUVKUVMVQZJZEWKDWKZUWIKUWPUWKNZUWIUXCUUFWHUWI
      UXCGAWIDEUWHUUFWLWMWNUWPUXCUWIUXDUWPUXBUWIUXDOZDEUWPUXEUXBUVKAQZDEWOZKZUV
      NNZOZUWPUXFUVKUVKBMZNZOZUXJUWOUXMCDCDWOZUWNUXFUVJUXLUVHUVKASUXNUVIUXKUXNU
      VIUXKLUVHUVKUVHUVKBWPWQWCWDWRUXMUXGUXFUXIUXGUXMUXFUXIOUXGUXLUXIUXFUXGUXKU
      VNUVKUVMUVKBWSWCXCWTXAXBUXBUWIUXHUXDUXIUXBUWIUXAUUFQZUXHUWHUXAUUFSUVKUVMU
      UFMUXFUVKUVMGMZKUXOUXHAUVKUVMGEXMZXDUVKUVMUUFTUXPUXGUXFUVKUVMUXQXEXFXGVTU
      XBUWKUVNUXBUWKUXABQUVNUWHUXABSUVKUVMBTVTWCWDXHXIXJXNWFWGXKUVJCAVPXLXOUWDU
      VODAXPZUVPOZEAPZCAPZUULUWCUXTCAUWCUVQDAPZEAPUXTUVQDEAAXQUYBUXSEAUVOUVPDAX
      RXSXTXSUWNUVMAQZKZUXRKZUVPOZERCRZUVHUVMVQZUUKQZUYHBQZOZERCRZUYAUULUYFUYKC
      EUYEUYIUVPUYJUVHUVKUUJMZUVKUVMUUJMZKZDWKZUXFUYDUVOKZKZDWKZUYIUYEUYOUYRDUY
      OUVLUVHUVKUUIMZKZUVNUVKUVMUUIMZKZKZUXFUYDKZUVOKZUYRUYMVUAUYNVUCUVHUVKBUUI
      YEUVKUVMBUUIYEYAVUDUVOUYTVUBKZKVUGUVOKVUFUVLUYTUVNVUBYBUVOVUGYCVUGVUEUVOU
      WNUXFKZUXFUYCKZKUXFUWNKZVUIKVUGVUEVUHVUJVUIUWNUXFYCYDUYTVUHVUBVUIUVHUVKAA
      YFUVKUVMAAYFYAUXFUWNUYCYGYHYDXOUXFUYDUVOYIXOYJUYPUVHUVMUUKMUYIDUVHUVMUUJU
      UJCXMUXQYPUVHUVMUUKTYKUYSUYQDAXPUYEUYQDAYLUYDUVODAYMYKXGUVHUVMBTYNYOUYAUY
      DUXSOZERCRUYGUXSCEAAYQUYFVUKCEUYDUXRUVPYRYOXLUUKWHUULUYLLUUJUUJYSCEUUKBYT
      UUAYHUUBYAUUCUUD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The Predecessor Class
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Pred $.
  $( The predecessors symbol. $)
  cpred $a class Pred ( R , A , X ) $.

  $( Define the predecessor class of a binary relation.  This is the class of
     all elements ` y ` of ` A ` such that ` y R X ` (see ~ elpred ).
     (Contributed by Scott Fenton, 29-Jan-2011.) $)
  df-pred $a |- Pred ( R , A , X ) = ( A i^i ( `' R " { X } ) ) $.

  $( Equality theorem for the predecessor class.  (Contributed by Scott Fenton,
     13-Jun-2018.) $)
  predeq123 $p |- ( ( R = S /\ A = B /\ X = Y ) ->
                    Pred ( R , A , X ) = Pred ( S , B , Y ) ) $=
    ( wceq w3a ccnv csn cima cin cpred simp2 3ad2ant1 3ad2ant3 imaeq12d df-pred
    cnveq sneq ineq12d 3eqtr4g ) CDGZABGZEFGZHZACIZEJZKZLBDIZFJZKZLACEMBDFMUFAB
    UIULUCUDUENUFUGUJUHUKUCUDUGUJGUECDSOUEUCUHUKGUDEFTPQUAACERBDFRUB $.

  $( Equality theorem for the predecessor class.  (Contributed by Scott Fenton,
     2-Feb-2011.) $)
  predeq1 $p |- ( R = S -> Pred ( R , A , X ) = Pred ( S , A , X ) ) $=
    ( wceq cpred eqid predeq123 mp3an23 ) BCEAAEDDEABDFACDFEAGDGAABCDDHI $.

  $( Equality theorem for the predecessor class.  (Contributed by Scott Fenton,
     2-Feb-2011.) $)
  predeq2 $p |- ( A = B -> Pred ( R , A , X ) = Pred ( R , B , X ) ) $=
    ( wceq cpred eqid predeq123 mp3an13 ) CCEABEDDEACDFBCDFECGDGABCCDDHI $.

  $( Equality theorem for the predecessor class.  (Contributed by Scott Fenton,
     2-Feb-2011.) $)
  predeq3 $p |- ( X = Y -> Pred ( R , A , X ) = Pred ( R , A , Y ) ) $=
    ( wceq cpred eqid predeq123 mp3an12 ) BBEAAECDEABCFABDFEBGAGAABBCDHI $.

  ${
    nfpred.1 $e |- F/_ x R $.
    nfpred.2 $e |- F/_ x A $.
    nfpred.3 $e |- F/_ x X $.
    $( Bound-variable hypothesis builder for the predecessor class.
       (Contributed by Scott Fenton, 9-Jun-2018.) $)
    nfpred $p |- F/_ x Pred ( R , A , X ) $=
      ( cpred ccnv csn cima cin df-pred nfcnv nfsn nfima nfin nfcxfr ) ABCDHBCI
      ZDJZKZLBCDMABUAFASTACENADGOPQR $.
  $}

  $( If ` A ` is a subset of ` B ` , then their predecessor classes are also
     subsets.  (Contributed by Scott Fenton, 2-Feb-2011.) $)
  predpredss $p |- ( A C_ B -> Pred ( R , A , X ) C_ Pred ( R , B , X ) ) $=
    ( wss ccnv csn cima cin cpred ssrin df-pred 3sstr4g ) ABEACFDGHZIBNIACDJBCD
    JABNKACDLBCDLM $.

  $( The predecessor class of ` A ` is a subset of ` A ` .  (Contributed by
     Scott Fenton, 2-Feb-2011.) $)
  predss $p |- Pred ( R , A , X ) C_ A $=
    ( cpred ccnv csn cima cin df-pred inss1 eqsstri ) ABCDABECFGZHAABCIALJK $.

  $( Another subset/predecessor class relationship.  (Contributed by Scott
     Fenton, 6-Feb-2011.) $)
  sspred $p |- ( ( B C_ A /\ Pred ( R , A , X ) C_ B ) ->
                 Pred ( R , A , X ) = Pred ( R , B , X ) ) $=
    ( wss cin wceq ccnv csn cima cpred sseqin2 df-pred sseq1i df-ss in32 eqeq1i
    3bitri wa ineq1 eqeq1d biimpa 3eqtr4g eqcomd syl2anb ) BAEABFZBGZUFCHDIJZFZ
    AUHFZGZACDKZBCDKZGULBEZBALUNUJBEUJBFZUJGUKULUJBACDMZNUJBOUOUIUJAUHBPQRUGUKS
    ZUMULUQBUHFZUJUMULUGUKURUJGUGUIURUJUFBUHTUAUBBCDMUPUCUDUE $.

  ${
    $d R y $.  $d X y $.
    dfpred2.1 $e |- X e. _V $.
    $( An alternate definition of predecessor class when ` X ` is a set.
       (Contributed by Scott Fenton, 8-Feb-2011.) $)
    dfpred2 $p |- Pred ( R , A , X ) = ( A i^i { y | y R X } ) $=
      ( cpred ccnv csn cima cin cv wbr cab df-pred cvv wcel iniseg ax-mp ineq2i
      wceq eqtri ) BCDFBCGDHIZJBAKDCLAMZJBCDNUBUCBDOPUBUCTEACDOQRSUA $.

    $d A y $.
    $( An alternate definition of predecessor class when ` X ` is a set.
       (Contributed by Scott Fenton, 13-Jun-2018.) $)
    dfpred3 $p |- Pred ( R , A , X ) = { y e. A | y R X } $=
      ( cv wbr cab cin cpred crab incom dfpred2 dfrab2 3eqtr4i ) BAFDCGZAHZIQBI
      BCDJPABKBQLABCDEMPABNO $.
  $}

  ${
    $d R x y $.  $d A x y $.  $d X x y $.
    $( An alternate definition of predecessor class when ` X ` is a set.
       (Contributed by Scott Fenton, 13-Jun-2018.) $)
    dfpred3g $p |- ( X e. V -> Pred ( R , A , X ) = { y e. A | y R X } ) $=
      ( vx cpred wbr crab wceq predeq3 breq2 rabbidv eqeq12d vex dfpred3 vtoclg
      cv ) BCFRZGZARZSCHZABIZJBCEGZUAECHZABIZJFEDSEJZTUDUCUFBCSEKUGUBUEABSEUACL
      MNABCSFOPQ $.
  $}

  $( Membership in a predecessor class.  (Contributed by Scott Fenton,
     17-Apr-2011.)  Generalize to closed form.  (Revised by BJ,
     16-Oct-2024.) $)
  elpredgg $p |- ( ( X e. V /\ Y e. W ) ->
                       ( Y e. Pred ( R , A , X ) <-> ( Y e. A /\ Y R X ) ) ) $=
    ( cpred wcel ccnv csn cima wa wbr df-pred elin2 elinisegg anbi2d syl5bb ) F
    ABEGZHFAHZFBIEJKZHZLECHFDHLZTFEBMZLFAUASABENOUCUBUDTBEFCDPQR $.

  $( Membership in a predecessor class.  (Contributed by Scott Fenton,
     17-Apr-2011.)  (Proof shortened by BJ, 16-Oct-2024.) $)
  elpredg $p |-
           ( ( X e. B /\ Y e. A ) -> ( Y e. Pred ( R , A , X ) <-> Y R X ) ) $=
    ( wcel wa cpred wbr elpredgg wb ibar bicomd adantl bitrd ) DBFZEAFZGEACDHFQ
    EDCIZGZRACBADEJQSRKPQRSQRLMNO $.

  $( Membership in a predecessor class - implicative version.  (Contributed by
     Scott Fenton, 9-May-2012.)  Generalize to closed form.  (Revised by BJ,
     16-Oct-2024.) $)
  elpredimg $p |- ( ( X e. V /\ Y e. Pred ( R , A , X ) ) -> Y R X ) $=
    ( wcel cpred wbr wa elpredgg simpr syl6bi syldbl2 ) DCFZEABDGZFZEDBHZNPIPEA
    FZQIQABCODEJRQKLM $.

  ${
    elpredim.1 $e |- X e. _V $.
    $( Membership in a predecessor class - implicative version.  (Contributed
       by Scott Fenton, 9-May-2012.)  (Proof shortened by BJ, 16-Oct-2024.) $)
    elpredim $p |- ( Y e. Pred ( R , A , X ) -> Y R X ) $=
      ( cvv wcel cpred wbr elpredimg mpan ) CFGDABCHGDCBIEABFCDJK $.
  $}

  ${
    elpred.1 $e |- Y e. _V $.
    $( Membership in a predecessor class.  (Contributed by Scott Fenton,
       4-Feb-2011.)  (Proof shortened by BJ, 16-Oct-2024.) $)
    elpred $p |- ( X e. D ->
                       ( Y e. Pred ( R , A , X ) <-> ( Y e. A /\ Y R X ) ) ) $=
      ( wcel cvv cpred wbr wa wb elpredgg mpan2 ) DBGEHGEACDIGEAGEDCJKLFACBHDEM
      N $.
  $}

  $( The predecessor class exists when ` A ` does.  (Contributed by Scott
     Fenton, 8-Feb-2011.)  Generalize to closed form.  (Revised by BJ,
     27-Oct-2024.) $)
  predexg $p |- ( A e. V -> Pred ( R , A , X ) e. _V ) $=
    ( wcel cpred ccnv csn cima cin cvv df-pred inex1g eqeltrid ) ACEABDFABGDHIZ
    JKABDLAOCMN $.

  ${
    predasetexOLD.1 $e |- A e. _V $.
    $( Obsolete form of ~ predexg as of 27-Oct-2024.  (Contributed by Scott
       Fenton, 8-Feb-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    predasetexOLD $p |- Pred ( R , A , X ) e. _V $=
      ( cvv wcel cpred predexg ax-mp ) AEFABCGEFDABECHI $.
  $}

  ${
    $d x y A $.  $d x y R $.
    $( Alternate definition of well-founded relation.  (Contributed by Scott
       Fenton, 2-Feb-2011.) $)
    dffr4 $p |- ( R Fr A <-> A. x ( ( x C_ A /\ x =/= (/) ) ->
                                      E. y e. x Pred ( R , x , y ) = (/) ) ) $=
      ( wfr cv wss c0 wne wa ccnv csn cima cin wceq wrex wi wal cpred dffr3
      df-pred eqeq1i rexbii imbi2i albii bitr4i ) CDEAFZCGUGHIJZUGDKBFZLMNZHOZB
      UGPZQZARUHUGDUISZHOZBUGPZQZARABCDTUQUMAUPULUHUOUKBUGUNUJHUGDUIUAUBUCUDUEU
      F $.
  $}

  $( Membership in the predecessor class implies membership in the base class.
     (Contributed by Scott Fenton, 11-Feb-2011.) $)
  predel $p |- ( Y e. Pred ( R , A , X ) -> Y e. A ) $=
    ( wcel ccnv csn cima cin cpred elinel1 df-pred eleq2s ) DAEDABFCGHZIABCJDAN
    KABCLM $.

  ${
    $d x A $.  $d x R $.  $d x X $.  $d x Y $.
    $( Closed form of ~ elpredim .  (Contributed by Scott Fenton, 13-Apr-2011.)
       (Revised by NM, 5-Apr-2016.) $)
    predbrg $p |- ( ( X e. V /\ Y e. Pred ( R , A , X ) ) -> Y R X ) $=
      ( vx wcel cpred wbr cv wi wceq predeq3 eleq2d imbi12d vex elpredim vtoclg
      breq2 imp ) DCGEABDHZGZEDBIZEABFJZHZGZEUDBIZKUBUCKFDCUDDLZUFUBUGUCUHUEUAE
      ABUDDMNUDDEBSOABUDEFPQRT $.
  $}

  ${
    $d A y z $.  $d R y z $.  $d X y z $.  $d Y y z $.
    $( If ` R ` is transitive over ` A ` and ` Y R X ` , then
       ` Pred ( R , A , Y ) ` is a subclass of ` Pred ( R , A , X ) ` .
       (Contributed by Scott Fenton, 28-Oct-2024.) $)
    predtrss $p |- (
     ( ( ( R i^i ( A X. A ) ) o. ( R i^i ( A X. A ) ) ) C_ R /\
       Y e. Pred ( R , A , X ) /\ X e. A ) ->
     Pred ( R , A , Y ) C_ Pred ( R , A , X ) ) $=
      ( vz vy cpred wcel cv wbr wa 3ad2ant2 adantr brxp sylanbrc brin wb mpan2d
      cvv elpred cxp cin wss w3a simpr predel predbrg ancoms 3adant1 simpl3 wex
      ccom wi breq2 breq1 anbi12d spcegv vex brcog sylancr sylibrd simpl1 ssbrd
      wceq syld syl5bir imdistanda 3ad2ant3 3imtr4d ssrdv ) BAAUAZUBZVLULZBUCZD
      ABCGZHZCAHZUDZEABDGZVOVREIZAHZVTDBJZKZWAVTCBJZKZVTVSHZVTVOHZVRWAWBWDVRWAK
      ZWBVTDVKJZWDWHWADAHZWIVRWAUEVRWJWAVPVNWJVQABCDUFLMZVTDAANOWBWIKVTDVLJZWHW
      DVTDBVKPWHWLDCVLJZWDWHDCBJZDCVKJZWMVRWNWAVPVQWNVNVQVPWNABACDUGUHUIMWHWJVQ
      WOWKVNVPVQWAUJZDCAANODCBVKPOWHWLWMKZVTCVMJZWDWHWQVTFIZVLJZWSCVLJZKZFUKZWR
      VRWQXCUMZWAVPVNXDVQXBWQFDVOWSDVDWTWLXAWMWSDVTVLUNWSDCVLUOUPUQLMWHVTSHVQWR
      XCQEURZWPFVTCVLVLSAUSUTVAWHVMBVTCVNVPVQWAVBVCVERVFRVGVPVNWFWCQVQAVOBDVTXE
      TLVQVNWGWEQVPAABCVTXETVHVIVJ $.
  $}

  ${
    $d R z $.  $d A z $.  $d X z $.  $d Y z $.
    $( Property of the predecessor class for partial orders.  (Contributed by
       Scott Fenton, 28-Apr-2012.)  (Proof shortened by Scott Fenton,
       28-Oct-2024.) $)
    predpo $p |- ( ( R Po A /\ X e. A ) ->
                   ( Y e. Pred ( R , A , X ) ->
                     Pred ( R , A , Y ) C_ Pred ( R , A , X ) ) ) $=
      ( wpo wcel wa cpred wss cxp cin ccom cid cres wceq dfpo2 simprbi ad2antrr
      c0 simpr simplr predtrss syl3anc ex ) ABEZCAFZGZDABCHZFZABDHUHIZUGUIGBAAJ
      KZUKLBIZUIUFUJUEULUFUIUEBMANKSOULABPQRUGUITUEUFUIUAABCDUBUCUD $.
  $}

  $( Property of the predecessor class for strict total orders.  (Contributed
     by Scott Fenton, 11-Feb-2011.) $)
  predso $p |- ( ( R Or A /\ X e. A ) ->
                  ( Y e. Pred ( R , A , X ) ->
                    Pred ( R , A , Y ) C_ Pred ( R , A , X ) ) ) $=
    ( wor wpo wcel cpred wss wi sopo predpo sylan ) ABEABFCAGDABCHZGABDHNIJABKA
    BCDLM $.

  ${
    $d R x $.  $d A x $.  $d X x $.
    $( If ` R ` is set-like in ` A ` , then all predecessor classes of elements
       of ` A ` exist.  (Contributed by Scott Fenton, 20-Feb-2011.)  (Revised
       by Mario Carneiro, 26-Jun-2015.) $)
    setlikespec $p |- ( ( X e. A /\ R Se A ) -> Pred ( R , A , X ) e. _V ) $=
      ( vx wcel wse wa cv wbr crab cpred cvv wceq cab df-rab vex elpred abbi2dv
      eqtr4id adantr seex ancoms eqeltrrd ) CAEZABFZGDHZCBIZDAJZABCKZLUDUHUIMUE
      UDUHUFAEUGGZDNUIUGDAOUDUJDUIAABCUFDPQRSTUEUDUHLEDACBUAUBUC $.
  $}

  $( Idempotent law for the predecessor class.  (Contributed by Scott Fenton,
     29-Mar-2011.) $)
  predidm $p |- Pred ( R , Pred ( R , A , X ) , X ) = Pred ( R , A , X ) $=
    ( cpred ccnv csn cima cin df-pred inidm ineq2i eqtr4i inass ineq1i ) ABCDZB
    CDOBECFGZHZOOBCIOAPHZPHZQOAPPHZHZSORUAABCIZTPAPJKLAPPMLORPUBNLL $.

  $( Intersection law for predecessor classes.  (Contributed by Scott Fenton,
     29-Mar-2011.) $)
  predin $p |- Pred ( R , ( A i^i B ) , X ) =
               ( Pred ( R , A , X ) i^i Pred ( R , B , X ) ) $=
    ( cin ccnv csn cima cpred inindir df-pred ineq12i 3eqtr4i ) ABEZCFDGHZEAOEZ
    BOEZENCDIACDIZBCDIZEABOJNCDKRPSQACDKBCDKLM $.

  $( Union law for predecessor classes.  (Contributed by Scott Fenton,
     29-Mar-2011.) $)
  predun $p |- Pred ( R , ( A u. B ) , X ) =
               ( Pred ( R , A , X ) u. Pred ( R , B , X ) ) $=
    ( cun ccnv csn cima cin cpred indir df-pred uneq12i 3eqtr4i ) ABEZCFDGHZIAP
    IZBPIZEOCDJACDJZBCDJZEABPKOCDLSQTRACDLBCDLMN $.

  $( Difference law for predecessor classes.  (Contributed by Scott Fenton,
     14-Apr-2011.) $)
  preddif $p |- Pred ( R , ( A \ B ) , X ) =
                  ( Pred ( R , A , X ) \ Pred ( R , B , X ) ) $=
    ( cdif ccnv csn cima cin cpred indifdir df-pred difeq12i 3eqtr4i ) ABEZCFDG
    HZIAPIZBPIZEOCDJACDJZBCDJZEABPKOCDLSQTRACDLBCDLMN $.

  ${
    $d X y $.  $d B y $.
    $( The predecessor under the membership relation is equivalent to an
       intersection.  (Contributed by Scott Fenton, 27-Mar-2011.)  (Proof
       shortened by Andrew Salmon, 27-Aug-2011.) $)
    predep $p |- ( X e. B -> Pred ( _E , A , X ) = ( A i^i X ) ) $=
      ( vy wcel cep cpred ccnv csn cima cin df-pred cv wbr cab wrel wceq relcnv
      relimasn eqtrid ax-mp wb cvv brcnvg elvd epelg bitrd abbi1dv ineq2d ) CBE
      ZAFCGAFHZCIJZKACKAFCLUJULCAUJULCDMZUKNZDOZCUKPULUOQFRDCUKSUAUJUNDCUJUNUMC
      FNZUMCEUJUNUPUBDCUMBUCFUDUEUMCBUFUGUHTUIT $.
  $}

  $( The class of predecessors of an element of a transitive class for the
     membership relation is that element.  (Contributed by BJ, 12-Oct-2024.) $)
  trpred $p |- ( ( Tr A /\ X e. A ) -> Pred ( _E , A , X ) = X ) $=
    ( wtr wcel wa cep cpred cin wceq predep adantl wss trss sseqin2 sylib eqtrd
    imp ) ACZBADZEZAFBGZABHZBSUAUBIRAABJKTBALZUBBIRSUCABMQBANOP $.

  ${
    $d A x y z $.  $d B x y z $.  $d R x y z $.  $d X y $.
    $( A property of classes that are downward closed under predecessor.
       (Contributed by Scott Fenton, 13-Apr-2011.) $)
    preddowncl $p |- ( ( B C_ A /\ A. x e. B Pred ( R , A , x ) C_ B ) ->
                     ( X e. B -> Pred ( R , B , X ) = Pred ( R , A , X ) ) ) $=
      ( vy vz wss cv cpred wral wa wcel wceq eleq1 predeq3 eqeq12d imbi2d vex
      wi imbi12d predpredss ad2antrr wbr weq sseq1d rspccva sseld elpredim jca2
      wb elpred adantl mpbird ssrdv adantll eqssd ex vtoclg pm2.43b ) CBHZBDAIZ
      JZCHZACKZLZECMZCDEJZBDEJZNZVFFIZCMZCDVKJZBDVKJZNZTZTVFVGVJTZTFECVKENZVPVQ
      VFVRVLVGVOVJVKECOVRVMVHVNVICDVKEPBDVKEPQUARVFVLVOVFVLLVMVNVAVMVNHVEVLCBDV
      KUBUCVEVLVNVMHVAVEVLLZGVNVMVSGIZVNMZVTVMMZTZWAVTCMZVTVKDUDZLZTZVSWAWDWEVS
      VNCVTVDVNCHAVKCAFUEVCVNCBDVBVKPUFUGUHBDVKVTFSUIUJVLWCWGUKVEVLWBWFWACCDVKV
      TGSULRUMUNUOUPUQURUSUT $.
  $}

  $( Given a partial ordering, a class is not a member of its predecessor
     class.  (Contributed by Scott Fenton, 17-Apr-2011.) $)
  predpoirr $p |- ( R Po A -> -. X e. Pred ( R , A , X ) ) $=
    ( wpo wcel cpred wn wa wbr poirr elpredg anidms notbid syl5ibr expd pm2.43b
    wb predel con3i pm2.61d1 ) ABDZCAEZCABCFEZGZUAUBUDUBUAUBUDUAUBHUDUBCCBIZGAC
    BJUBUCUEUBUCUEQAABCCKLMNOPUCUBABCCRST $.

  $( Given a well-founded relation, a class is not a member of its predecessor
     class.  (Contributed by Scott Fenton, 22-Apr-2011.) $)
  predfrirr $p |- ( R Fr A -> -. X e. Pred ( R , A , X ) ) $=
    ( wfr wcel cpred wn wa wbr frirr elpredg anidms notbid syl5ibr expd pm2.43b
    wb predel con3i pm2.61d1 ) ABDZCAEZCABCFEZGZUAUBUDUBUAUBUDUAUBHUDUBCCBIZGAC
    BJUBUCUEUBUCUEQAABCCKLMNOPUCUBABCCRST $.

  $( The predecessor class over ` (/) ` is always ` (/) ` .  (Contributed by
     Scott Fenton, 16-Apr-2011.)  (Proof shortened by AV, 11-Jun-2021.) $)
  pred0 $p |- Pred ( R , (/) , X ) = (/) $=
    ( c0 cpred ccnv csn cima cin df-pred 0in eqtri ) CABDCAEBFGZHCCABILJK $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Well-founded induction (variant)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x y z w $.  $d R x y z w $.  $d B x y z w $.
    $( Every nonempty (possibly proper) subclass of a class ` A ` with a
       well-founded set-like partial order ` R ` has a minimal element.  The
       additional condition of partial order over ~ frmin enables avoiding the
       axiom of infinity.  (Contributed by Scott Fenton, 11-Feb-2022.) $)
    frpomin $p |- ( ( ( R Fr A /\ R Po A /\ R Se A ) /\
    ( B C_ A /\ B =/= (/) ) ) -> E. x e. B A. y e. B -. y R x ) $=
      ( vz vw c0 cv wbr wn wral wrex wcel wa wi breq1 syl5bi expr ad2antrr crab
      wfr wpo wse w3a wss wne wex n0 wceq rabeq0 simprr notbid cbvralvw ralbidv
      weq breq2 syl5bb rspcev ex syl cvv simprl simpl3 sylc seex syl2anc simpl1
      sess2 ssrab2 sstrid syl21anc rexrab ralrab simplr simplrl simpll2 simpllr
      fri poss simplrr potr syl13anc mp2and con3d idd ralimdva expimpd reximdva
      jad syld pm2.61dne exlimdv impr ) CEUBZCEUCZCEUDZUEZDCUFZDHUGZBIZAIZEJZKZ
      BDLZADMZWTFIZDNZFUHWRWSOZXFFDUIXIXHXFFWRWSXHXFWRWSXHOZOZXFGIZXGEJZGDUAZHX
      NHUJXMKZGDLZXKXFXMGDUKXKXHXPXFPWRWSXHULZXHXPXFXEXPAXGDXEXLXBEJZKZGDLAFUPZ
      XPXDXSBGDBGUPXCXRXAXLXBEQUMUNXTXSXOGDXTXRXMXBXGXLEUQUMUOURUSUTVARXKXNHUGZ
      XDBXNLZAXNMZXFXKXNVBNZWOXNCUFZYAYCPXKDEUDZXHYDXKWSWQYFWRWSXHVCZWOWPWQXJVD
      DCEVIVEXQGDXGEVFVGWOWPWQXJVHXKXNDCXMGDVJYGVKYDWOOYEYAYCABCXNVBEVSSVLYCXBX
      GEJZYBOZADMXKXFXMYHYBAGDXLXBXGEQVMXKYIXEADXKXBDNZOZYHYBXEYBXAXGEJZXDPZBDL
      YKYHOZXEXMYLXDBGDXLXAXGEQVNYNYMXDBDYNXADNZOZYLXDXDYPXCYLYNYOXCYLYNYOXCOZO
      ZXCYHYLYNYOXCULYKYHYQVOYRDEUCZYOYJXHXCYHOYLPYRWSWPYSYKWSYHYQWRWSXHYJVPTYK
      WPYHYQWOWPWQXJYJVQTDCEVTVEYNYOXCVCXKYJYHYQVRYKXHYHYQWRWSXHYJWATDXAXBXGEWB
      WCWDSWEYPXDWFWJWGRWHWIRWKWLSWMRWN $.

    $( Every nonempty (possibly proper) subclass of a class ` A ` with a
       well-founded set-like partial order ` R ` has a minimal element.  The
       additional condition of partial order over ~ frmin enables avoiding the
       axiom of infinity.  (Contributed by Scott Fenton, 11-Feb-2022.) $)
    frpomin2 $p |- ( ( ( R Fr A /\ R Po A /\ R Se A ) /\
    ( B C_ A /\ B =/= (/) ) ) -> E. x e. B Pred ( R , B , x ) = (/) ) $=
      ( vy wfr wpo wse w3a wss c0 wne wa cv wbr wn wral wrex cpred wceq frpomin
      crab vex dfpred3 eqeq1i rabeq0 bitri rexbii sylibr ) BDFBDGBDHICBJCKLMMEN
      ANZDOZPECQZACRCDUJSZKTZACRAEBCDUAUNULACUNUKECUBZKTULUMUOKECDUJAUCUDUEUKEC
      UFUGUHUI $.
  $}

  ${
    $d A y $.  $d B y $.  $d R y $.
    $( The principle of well-founded induction over a partial order.  This
       theorem is a version of ~ frind that does not require the axiom of
       infinity and can be used to prove ~ wfi and ~ tfi .  (Contributed by
       Scott Fenton, 11-Feb-2022.) $)
    frpoind $p |- ( ( ( R Fr A /\ R Po A /\ R Se A ) /\ ( B C_ A /\
    A. y e. A ( Pred ( R , A , y ) C_ B -> y e. B ) ) ) -> A = B ) $=
      ( wfr wpo wss cpred wcel wa wn cdif c0 ssdif0 wceq wrex cin df-pred incom
      eqtri wse w3a cv wi wral wne necon3bbii difss frpomin2 eldif anbi1i anass
      ccnv csn cima indif2 difeq1i 3eqtr4i eqeq1i bitr4i anbi1ci anbi2i rexbii2
      3bitri rexanali bitri sylib mpani syl5bi con4d imp adantrl simprl eqssd
      ex ) BDEBDFBDUAUBZCBGZBDAUCZHZCGZVRCIZUDABUEZJJBCVPWBBCGZVQVPWBWCVPWCWBWC
      KBCLZMUFZVPWBKZWCWDMBCNUGVPWDBGZWEWFBCUHVPWGWEJZWFVPWHJWDDVRHZMOZAWDPZWFA
      BWDDUIWKVTWAKZJZABPWFWJWMAWDBVRWDIZWJJVRBIZWLJZWJJWOWLWJJZJWOWMJWNWPWJVRB
      CUJUKWOWLWJULWQWMWOWJVTWLWJVSCLZMOVTWIWRMDUMVRUNUOZWDQZWSBQZCLWIWRWSBCUPW
      IWDWSQWTWDDVRRWDWSSTVSXACVSBWSQXABDVRRBWSSTUQURUSVSCNUTVAVBVDVCVTWAABVEVF
      VGVOVHVIVJVKVLVPVQWBVMVN $.
  $}

  ${
    $d A w y z $.  $d ph w z $.  $d R w y z $.
    frpoinsg.1 $e |- ( ( ( R Fr A /\ R Po A /\ R Se A ) /\ y e. A ) ->
                       ( A. z e. Pred ( R , A , y ) [. z / y ]. ph -> ph ) ) $.
    $( Well-Founded Induction Schema (variant).  If a property passes from all
       elements less than ` y ` of a well-founded set-like partial order class
       ` A ` to ` y ` itself (induction hypothesis), then the property holds
       for all elements of ` A ` .  (Contributed by Scott Fenton,
       11-Feb-2022.) $)
    frpoinsg $p |- ( ( R Fr A /\ R Po A /\ R Se A ) -> A. y e. A ph ) $=
      ( vw wral wss cv cpred wcel wi wa wsbc nfcv elrabsf nfsbc1v nfim imbi12d
      wfr wpo wse w3a crab wceq dfss3 simprbi ralimi sylbi nfralw eleq1w anbi2d
      nfv predeq3 raleqdv sbceq1a chvarfv simpr jctild syl6ibr ralrimiva ssrab2
      weq syl5 jctil frpoind mpdan rabid2 sylib ) DEUADEUBDEUCUDZDABDUEZUFZABDH
      VKVLDIZDEGJZKZVLIZVOVLLZMZGDHZNVMVKVTVNVKVSGDVKVODLZNZVQWAABVOOZNVRWBVQWC
      WAVQABCJZOZCVPHZWBWCVQWDVLLZCVPHWFCVPVLUGWGWECVPWGWDDLWEABWDDBDPZQUHUIUJV
      KBJZDLZNZWECDEWIKZHZAMZMWBWFWCMZMBGWBWOBWBBUNWFWCBWEBCVPBVPPABWDRUKABVORS
      SBGVDZWKWBWNWOWPWJWAVKBGDULUMWPWMWFAWCWPWECWLVPDEWIVOUOUPABVOUQTTFURVEVKW
      AUSUTABVODWHQVAVBABDVCVFGDVLEVGVHABDVIVJ $.
  $}

  ${
    $d A y z $.  $d ph z $.  $d R y z $.
    frpoins2fg.1 $e |- ( y e. A -> ( A. z e. Pred ( R , A , y ) ps -> ph ) ) $.
    frpoins2fg.2 $e |- F/ y ps $.
    frpoins2fg.3 $e |- ( y = z -> ( ph <-> ps ) ) $.
    $( Well-Founded Induction schema, using implicit substitution.
       (Contributed by Scott Fenton, 24-Aug-2022.) $)
    frpoins2fg $p |- ( ( R Fr A /\ R Po A /\ R Se A ) -> A. y e. A ph ) $=
      ( cv wsbc cpred wral wfr wpo wse w3a wcel wa wsb sbsbc bitr3i wi frpoinsg
      sbiev ralbii adantl syl5bi ) ACDEFACDJKZDEFCJZLZMBDUKMZEFNEFOEFPQZUJERZSA
      UIBDUKUIACDTBACDUAABCDHIUEUBUFUNULAUCUMGUGUHUD $.
  $}

  ${
    $d A y z $.  $d ph z $.  $d R y z $.  $d ps y $.
    frpoins2g.1 $e |- ( y e. A -> ( A. z e. Pred ( R , A , y ) ps -> ph ) ) $.
    frpoins2g.3 $e |- ( y = z -> ( ph <-> ps ) ) $.
    $( Well-Founded Induction schema, using implicit substitution.
       (Contributed by Scott Fenton, 24-Aug-2022.) $)
    frpoins2g $p |- ( ( R Fr A /\ R Po A /\ R Se A ) -> A. y e. A ph ) $=
      ( nfv frpoins2fg ) ABCDEFGBCIHJ $.
  $}

  ${
    $d A x y $.  $d B x $.  $d ch x $.  $d ph y $.  $d ps x $.  $d R x y $.
    frpoins3g.1 $e |- ( x e. A -> ( A. y e. Pred ( R , A , x ) ps -> ph ) ) $.
    frpoins3g.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    frpoins3g.3 $e |- ( x = B -> ( ph <-> ch ) ) $.
    $( Well-Founded Induction schema, using implicit substitution.
       (Contributed by Scott Fenton, 19-Aug-2024.) $)
    frpoins3g $p |- ( ( ( R Fr A /\ R Po A /\ R Se A ) /\ B e. A ) -> ch ) $=
      ( wfr wpo wse w3a wral wcel frpoins2g rspccva sylan ) FHLFHMFHNOADFPGFQCA
      BDEFHIJRACDGFKST $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Well-ordered induction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y A $.  $d x y B $.  $d x y R $.
    $( All nonempty subclasses of a class having a well-ordered set-like
       relation have minimal elements for that relation.  Proposition 6.26 of
       [TakeutiZaring] p. 31.  (Contributed by Scott Fenton, 29-Jan-2011.)
       (Revised by Mario Carneiro, 26-Jun-2015.) $)
    tz6.26 $p |- ( ( ( R We A /\ R Se A ) /\ ( B C_ A /\ B =/= (/) ) ) ->
                    E. y e. B Pred ( R , B , y ) = (/) ) $=
      ( vx wwe wse wa wss c0 wne cv wbr wn wral wrex cpred wceq wreu wereu2 syl
      reurex crab rabeq0 cab cin dfrab3 vex dfpred2 eqtr4i eqeq1i bitr3i rexbii
      sylib ) BDFBDGHCBICJKHHZELALZDMZNECOZACPZCDUPQZJRZACPUOURACSUSAEBCDTURACU
      BUAURVAACURUQECUCZJRVAUQECUDVBUTJVBCUQEUEUFUTUQECUGECDUPAUHUIUJUKULUMUN
      $.
  $}

  ${
    $d A y $.  $d B y $.  $d R y $.
    tz6.26i.1 $e |- R We A $.
    tz6.26i.2 $e |- R Se A $.
    $( All nonempty subclasses of a class having a well-ordered set-like
       relation ` R ` have ` R `-minimal elements.  Proposition 6.26 of
       [TakeutiZaring] p. 31.  (Contributed by Scott Fenton, 14-Apr-2011.)
       (Revised by Mario Carneiro, 26-Jun-2015.) $)
    tz6.26i $p |- ( ( B C_ A /\ B =/= (/) ) ->
                    E. y e. B Pred ( R , B , y ) = (/) ) $=
      ( wwe wse wss c0 wne wa cv cpred wceq wrex tz6.26 mpanl12 ) BDGBDHCBICJKL
      CDAMNJOACPEFABCDQR $.
  $}

  ${
    $d A y $.  $d B y $.  $d R y $.
    $( The Principle of Well-Ordered Induction.  Theorem 6.27 of
       [TakeutiZaring] p. 32.  This principle states that if ` B ` is a
       subclass of a well-ordered class ` A ` with the property that every
       element of ` B ` whose inital segment is included in ` A ` is itself
       equal to ` A ` .  (Contributed by Scott Fenton, 29-Jan-2011.)  (Revised
       by Mario Carneiro, 26-Jun-2015.) $)
    wfi $p |- ( ( ( R We A /\ R Se A ) /\
                    ( B C_ A /\
                      A. y e. A ( Pred ( R , A , y ) C_ B -> y e. B ) ) )
                  -> A = B ) $=
      ( wwe wse wa wss cpred wcel wn cdif c0 ssdif0 wceq wrex cin df-pred incom
      eqtri cv wi wral wne necon3bbii difss tz6.26 eldif anbi1i anass ccnv cima
      indif2 difeq1i 3eqtr4i eqeq1i bitr4i anbi1ci anbi2i 3bitri rexanali bitri
      csn rexbii2 sylib ex mpani syl5bi con4d imp adantrl simprl eqssd ) BDEBDF
      GZCBHZBDAUAZIZCHZVPCJZUBABUCZGGBCVNVTBCHZVOVNVTWAVNWAVTWAKBCLZMUDZVNVTKZW
      AWBMBCNUEVNWBBHZWCWDBCUFVNWEWCGZWDVNWFGWBDVPIZMOZAWBPZWDABWBDUGWIVRVSKZGZ
      ABPWDWHWKAWBBVPWBJZWHGVPBJZWJGZWHGWMWJWHGZGWMWKGWLWNWHVPBCUHUIWMWJWHUJWOW
      KWMWHVRWJWHVQCLZMOVRWGWPMDUKVPVCULZWBQZWQBQZCLWGWPWQBCUMWGWBWQQWRWBDVPRWB
      WQSTVQWSCVQBWQQWSBDVPRBWQSTUNUOUPVQCNUQURUSUTVDVRVSABVAVBVEVFVGVHVIVJVKVN
      VOVTVLVM $.
  $}

  ${
    $d A y $.  $d B y $.  $d R y $.
    wfi.1 $e |- R We A $.
    wfi.2 $e |- R Se A $.
    $( The Principle of Well-Ordered Induction.  Theorem 6.27 of
       [TakeutiZaring] p. 32.  This principle states that if ` B ` is a
       subclass of a well-ordered class ` A ` with the property that every
       element of ` B ` whose inital segment is included in ` A ` is itself
       equal to ` A ` .  (Contributed by Scott Fenton, 29-Jan-2011.)  (Revised
       by Mario Carneiro, 26-Jun-2015.) $)
    wfii $p |- ( ( B C_ A /\
                    A. y e. A ( Pred ( R , A , y ) C_ B -> y e. B ) )
                  -> A = B ) $=
      ( wwe wse wss cv cpred wcel wi wral wa wceq wfi mpanl12 ) BDGBDHCBIBDAJZK
      CISCLMABNOBCPEFABCDQR $.
  $}

  ${
    $d A w y $.  $d A z $.  $d ph w $.  $d ph z $.  $d R w y $.  $d R z $.
    $d w y z $.
    wfisg.1 $e |- ( y e. A ->
                       ( A. z e. Pred ( R , A , y ) [. z / y ]. ph -> ph ) ) $.
    $( Well-Ordered Induction Schema.  If a property passes from all elements
       less than ` y ` of a well-ordered class ` A ` to ` y ` itself (induction
       hypothesis), then the property holds for all elements of ` A ` .
       (Contributed by Scott Fenton, 11-Feb-2011.) $)
    wfisg $p |- ( ( R We A /\ R Se A ) -> A. y e. A ph ) $=
      ( vw wa wceq wral wss cv cpred wcel wi wsbc nfcv elrabsf nfsbc1v nfim wwe
      wse crab ssrab2 dfss3 simprbi ralimi sylbi nfralw predeq3 raleqdv sbceq1a
      nfv eleq1w imbi12d chvarfv syl5 anc2li syl6ibr rgen mpanr12 rabid2 sylib
      wfi ) DEUADEUBHZDABDUCZIZABDJVEVFDKDEGLZMZVFKZVHVFNZOZGDJVGABDUDVLGDVHDNZ
      VJVMABVHPZHVKVMVJVNVJABCLZPZCVIJZVMVNVJVOVFNZCVIJVQCVIVFUEVRVPCVIVRVODNVP
      ABVODBDQZRUFUGUHBLZDNZVPCDEVTMZJZAOZOVMVQVNOZOBGVMWEBVMBUMVQVNBVPBCVIBVIQ
      ABVOSUIABVHSTTVTVHIZWAVMWDWEBGDUNWFWCVQAVNWFVPCWBVIDEVTVHUJUKABVHULUOUOFU
      PUQURABVHDVSRUSUTGDVFEVDVAABDVBVC $.
  $}

  ${
    $d A y z $.  $d ph z $.  $d R y z $.
    wfis.1 $e |- R We A $.
    wfis.2 $e |- R Se A $.
    wfis.3 $e |- ( y e. A ->
                    ( A. z e. Pred ( R , A , y ) [. z / y ]. ph -> ph ) ) $.
    $( Well-Ordered Induction Schema.  If all elements less than a given set
       ` x ` of the well-ordered class ` A ` have a property (induction
       hypothesis), then all elements of ` A ` have that property.
       (Contributed by Scott Fenton, 29-Jan-2011.) $)
    wfis $p |- ( y e. A -> ph ) $=
      ( wwe wse wral wfisg mp2an rspec ) ABDDEIDEJABDKFGABCDEHLMN $.
  $}

  ${
    $d A y z $.  $d ph z $.  $d R y z $.
    wfis2fg.1 $e |- F/ y ps $.
    wfis2fg.2 $e |- ( y = z -> ( ph <-> ps ) ) $.
    wfis2fg.3 $e |- ( y e. A -> ( A. z e. Pred ( R , A , y ) ps -> ph ) ) $.
    $( Well-Ordered Induction Schema, using implicit substitution.
       (Contributed by Scott Fenton, 11-Feb-2011.) $)
    wfis2fg $p |- ( ( R We A /\ R Se A ) -> A. y e. A ph ) $=
      ( cv wsbc cpred wral wcel wsb sbsbc sbiev bitr3i ralbii syl5bi wfisg ) AC
      DEFACDJKZDEFCJZLZMBDUDMUCENAUBBDUDUBACDOBACDPABCDGHQRSITUA $.
  $}

  ${
    $d A y z $.  $d ph z $.  $d R y z $.
    wfis2f.1 $e |- R We A $.
    wfis2f.2 $e |- R Se A $.
    wfis2f.3 $e |- F/ y ps $.
    wfis2f.4 $e |- ( y = z -> ( ph <-> ps ) ) $.
    wfis2f.5 $e |- ( y e. A -> ( A. z e. Pred ( R , A , y ) ps -> ph ) ) $.
    $( Well-Ordered Induction schema, using implicit substitution.
       (Contributed by Scott Fenton, 29-Jan-2011.) $)
    wfis2f $p |- ( y e. A -> ph ) $=
      ( wwe wse wral wfis2fg mp2an rspec ) ACEEFLEFMACENGHABCDEFIJKOPQ $.
  $}

  ${
    $d A y z $.  $d ph z $.  $d ps y $.  $d R y z $.
    wfis2g.1 $e |- ( y = z -> ( ph <-> ps ) ) $.
    wfis2g.2 $e |- ( y e. A -> ( A. z e. Pred ( R , A , y ) ps -> ph ) ) $.
    $( Well-Ordered Induction Schema, using implicit substitution.
       (Contributed by Scott Fenton, 11-Feb-2011.) $)
    wfis2g $p |- ( ( R We A /\ R Se A ) -> A. y e. A ph ) $=
      ( nfv wfis2fg ) ABCDEFBCIGHJ $.
  $}

  ${
    $d A y z $.  $d ph z $.  $d ps y $.  $d R y z $.
    wfis2.1 $e |- R We A $.
    wfis2.2 $e |- R Se A $.
    wfis2.3 $e |- ( y = z -> ( ph <-> ps ) ) $.
    wfis2.4 $e |- ( y e. A -> ( A. z e. Pred ( R , A , y ) ps -> ph ) ) $.
    $( Well-Ordered Induction schema, using implicit substitution.
       (Contributed by Scott Fenton, 29-Jan-2011.) $)
    wfis2 $p |- ( y e. A -> ph ) $=
      ( wwe wse wral wfis2g mp2an rspec ) ACEEFKEFLACEMGHABCDEFIJNOP $.
  $}

  ${
    $d A y z $.  $d B y $.  $d ch y $.  $d ph z $.  $d ps y $.  $d R y z $.
    wfis3.1 $e |- R We A $.
    wfis3.2 $e |- R Se A $.
    wfis3.3 $e |- ( y = z -> ( ph <-> ps ) ) $.
    wfis3.4 $e |- ( y = B -> ( ph <-> ch ) ) $.
    wfis3.5 $e |- ( y e. A -> ( A. z e. Pred ( R , A , y ) ps -> ph ) ) $.
    $( Well-Ordered Induction schema, using implicit substitution.
       (Contributed by Scott Fenton, 29-Jan-2011.) $)
    wfis3 $p |- ( B e. A -> ch ) $=
      ( wfis2 vtoclga ) ACDGFLABDEFHIJKMNO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ordinals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c Ord $.  $( Ordinal predicate $)
  $c On $.  $( The class of ordinal numbers $)
  $c Lim $.  $( Limit ordinal predicate $)
  $c suc $.  $( Successor function (read:  "successor of") $)

  $( Extend the definition of a wff to include the ordinal predicate. $)
  word $a wff Ord A $.

  $( Extend the definition of a class to include the class of all ordinal
     numbers.  (The 0 in the name prevents creating a file called con.html,
     which causes problems in Windows.) $)
  con0 $a class On $.

  $( Extend the definition of a wff to include the limit ordinal predicate. $)
  wlim $a wff Lim A $.

  $( Extend class notation to include the successor function. $)
  csuc $a class suc A $.

  $( Define the ordinal predicate, which is true for a class that is transitive
     and is well-ordered by the membership relation.  Variant of definition of
     [BellMachover] p. 468.

     Some sources will define a notation for ordinal order corresponding to
     ` < ` and ` <_ ` but we just use ` e. ` and ` C_ ` respectively.

     (Contributed by NM, 17-Sep-1993.) $)
  df-ord $a |- ( Ord A <-> ( Tr A /\ _E We A ) ) $.

  $( Define the class of all ordinal numbers.  Definition 7.11 of
     [TakeutiZaring] p. 38.  (Contributed by NM, 5-Jun-1994.) $)
  df-on $a |- On = { x | Ord x } $.

  $( Define the limit ordinal predicate, which is true for a nonempty ordinal
     that is not a successor (i.e. that is the union of itself).  Our
     definition combines the definition of Lim of [BellMachover] p. 471 and
     Exercise 1 of [TakeutiZaring] p. 42.  See ~ dflim2 , ~ dflim3 , and dflim4
     for alternate definitions.  (Contributed by NM, 22-Apr-1994.) $)
  df-lim $a |- ( Lim A <-> ( Ord A /\ A =/= (/) /\ A = U. A ) ) $.

  $( Define the successor of a class.  When applied to an ordinal number, the
     successor means the same thing as "plus 1" (see ~ oa1suc ).  Definition
     7.22 of [TakeutiZaring] p. 41, who use "+ 1" to denote this function.
     Ordinal natural numbers defined using this successor function and 0 as the
     empty set are also called von Neumann ordinals; 0 is the empty set {}, 1
     is {0, {0}}, 2 is {1, {1}}, and so on.  Our definition is a generalization
     to classes.  Although it is not conventional to use it with proper
     classes, it has no effect on a proper class ( ~ sucprc ), so that the
     successor of any ordinal class is still an ordinal class ( ~ ordsuc ),
     simplifying certain proofs.  Some authors denote the successor operation
     with a prime (apostrophe-like) symbol, such as Definition 6 of [Suppes]
     p. 134 and the definition of successor in [Mendelson] p. 246 (who uses the
     symbol "Suc" as a predicate to mean "is a successor ordinal").  The
     definition of successor of [Enderton] p. 68 denotes the operation with a
     plus-sign superscript.  (Contributed by NM, 30-Aug-1993.) $)
  df-suc $a |- suc A = ( A u. { A } ) $.

  $( Equality theorem for the ordinal predicate.  (Contributed by NM,
     17-Sep-1993.) $)
  ordeq $p |- ( A = B -> ( Ord A <-> Ord B ) ) $=
    ( wceq wtr cep wwe wa word treq weeq2 anbi12d df-ord 3bitr4g ) ABCZADZAEFZG
    BDZBEFZGAHBHNOQPRABIABEJKALBLM $.

  ${
    $d x A $.
    $( An ordinal number is an ordinal set.  (Contributed by NM,
       5-Jun-1994.) $)
    elong $p |- ( A e. V -> ( A e. On <-> Ord A ) ) $=
      ( vx cv word con0 ordeq df-on elab2g ) CDZEAECAFBJAGCHI $.
  $}

  ${
    elon.1 $e |- A e. _V $.
    $( An ordinal number is an ordinal set.  (Contributed by NM,
       5-Jun-1994.) $)
    elon $p |- ( A e. On <-> Ord A ) $=
      ( cvv wcel con0 word wb elong ax-mp ) ACDAEDAFGBACHI $.
  $}

  $( An ordinal number has the ordinal property.  (Contributed by NM,
     5-Jun-1994.) $)
  eloni $p |- ( A e. On -> Ord A ) $=
    ( con0 wcel word elong ibi ) ABCADABEF $.

  $( An ordinal number is an ordinal set.  (Contributed by NM, 8-Feb-2004.) $)
  elon2 $p |- ( A e. On <-> ( Ord A /\ A e. _V ) ) $=
    ( con0 wcel word cvv elex elong biadanii biancomi ) ABCZADZAECZJLKABFAEGHI
    $.

  $( Equality theorem for the limit predicate.  (Contributed by NM,
     22-Apr-1994.)  (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
  limeq $p |- ( A = B -> ( Lim A <-> Lim B ) ) $=
    ( wceq word c0 wne cuni w3a wlim ordeq neeq1 unieq eqeq12d 3anbi123d df-lim
    id 3bitr4g ) ABCZADZAEFZAAGZCZHBDZBEFZBBGZCZHAIBIRSUCTUDUBUFABJABEKRABUAUER
    PABLMNAOBOQ $.

  $( Membership well-orders every ordinal.  Proposition 7.4 of [TakeutiZaring]
     p. 36.  (Contributed by NM, 3-Apr-1994.) $)
  ordwe $p |- ( Ord A -> _E We A ) $=
    ( word wtr cep wwe df-ord simprbi ) ABACADEAFG $.

  $( An ordinal class is transitive.  (Contributed by NM, 3-Apr-1994.) $)
  ordtr $p |- ( Ord A -> Tr A ) $=
    ( word wtr cep wwe df-ord simplbi ) ABACADEAFG $.

  $( Membership is well-founded on an ordinal class.  In other words, an
     ordinal class is well-founded.  (Contributed by NM, 22-Apr-1994.) $)
  ordfr $p |- ( Ord A -> _E Fr A ) $=
    ( word cep wwe wfr ordwe wefr syl ) ABACDACEAFACGH $.

  $( An element of an ordinal class is a subset of it.  (Contributed by NM,
     30-May-1994.) $)
  ordelss $p |- ( ( Ord A /\ B e. A ) -> B C_ A ) $=
    ( word wtr wcel wss ordtr trss imp sylan ) ACADZBAEZBAFZAGKLMABHIJ $.

  $( A transitive subclass of an ordinal class is ordinal.  (Contributed by NM,
     29-May-1994.) $)
  trssord $p |- ( ( Tr A /\ A C_ B /\ Ord B ) -> Ord A ) $=
    ( wtr wss word w3a cep wwe wa wess ordwe impel anim2i 3impb df-ord sylibr )
    ACZABDZBEZFQAGHZIZAEQRSUARSITQRBGHTSABGJBKLMNAOP $.

  $( No ordinal class is a member of itself.  In other words, the membership
     relation is irreflexive on ordinal classes.  Theorem 2.2(i) of
     [BellMachover] p. 469, generalized to classes.  We prove this without
     invoking the Axiom of Regularity.  (Contributed by NM, 2-Jan-1994.) $)
  ordirr $p |- ( Ord A -> -. A e. A ) $=
    ( word cep wfr wcel wn ordfr efrirr syl ) ABACDAAEFAGAHI $.
  $( $j usage 'ordirr' avoids 'ax-reg'; $)

  $( A member of an ordinal class is not equal to it.  (Contributed by NM,
     25-May-1998.) $)
  nordeq $p |- ( ( Ord A /\ B e. A ) -> A =/= B ) $=
    ( word wcel wne wn wceq ordirr eleq1 notbid syl5ibcom necon2ad imp ) ACZBAD
    ZABENOABNAADZFABGZOFAHQPOABAIJKLM $.

  $( An ordinal class cannot be an element of one of its members.  Variant of
     first part of Theorem 2.2(vii) of [BellMachover] p. 469.  (Contributed by
     NM, 3-Apr-1994.) $)
  ordn2lp $p |- ( Ord A -> -. ( A e. B /\ B e. A ) ) $=
    ( word wcel wa ordirr wtr wi ordtr trel syl mtod ) ACZABDBADEZAADZAFMAGNOHA
    IAABJKL $.

  ${
    $d x B $.
    $( A nonempty subclass of an ordinal class has a minimal element.
       Proposition 7.5 of [TakeutiZaring] p. 36.  (Contributed by NM,
       18-Feb-2004.)  (Revised by David Abernethy, 16-Mar-2011.) $)
    tz7.5 $p |- ( ( Ord A /\ B C_ A /\ B =/= (/) ) ->
               E. x e. B ( B i^i x ) = (/) ) $=
      ( word cep wwe wss c0 wne cv cin wceq wrex ordwe wefrc syl3an1 ) BDBEFCBG
      CHICAJKHLACMBNABCOP $.
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( An element of an ordinal class is ordinal.  Proposition 7.6 of
       [TakeutiZaring] p. 36.  (Contributed by NM, 23-Apr-1994.) $)
    ordelord $p |- ( ( Ord A /\ B e. A ) -> Ord B ) $=
      ( vx vz vy word wcel cv wa wceq eleq1 anbi2d wtr cep wwe wel wal w3a syl
      wi ordeq imbi12d simpll 3anrot 3anass ordtr trel3 syl5bir impl trel imp31
      bitr3i expcomd adantrl simplr ordwe sylan syl13anc pm2.43d alrimivv dftr2
      wetrep ex sylibr wss trss wess syl6ci imp df-ord sylanbrc vtoclg anabsi7
      ) AFZBAGZBFZVNCHZAGZIZVQFZTVNVOIZVPTCBAVQBJZVSWAVTVPWBVRVOVNVQBAKLVQBUAUB
      VSVQMZVQNOZVTVSDEPZECPZIZDCPZTZEQDQWCVSWIDEVSWGWHVSWGWIVSWGIVNDHZAGZEHZAG
      ZVRWIVNVRWGUCVNVRWGWKVRWGIZWEWFVRRZVNWKWOVRWEWFRWNVRWEWFUDVRWEWFUEULVNAMZ
      WOWKTAUFZAWJWLVQUGSUHUIVSWFWMWEVNVRWFWMVNWFVRWMVNWPWFVRIWMTWQAWLVQUJSUMUK
      UNVNVRWGUOVNANOZWKWMVRRWIAUPZDECAVBUQURVCUSUTDEVQVAVDVNVRWDVNVRVQAVEZWRWD
      VNWPVRWTTWQAVQVFSWSVQANVGVHVIVQVJVKVLVM $.
  $}

  ${
    $d x y $.
    $( The class of all ordinal numbers is transitive.  (Contributed by NM,
       4-May-2009.) $)
    tron $p |- Tr On $=
      ( vx vy con0 wtr cv wss dftr3 wcel word vex elon ordelord sylanb ex ssrdv
      syl6ibr mprgbir ) CDAEZCFACACGRCHZBRCSBEZRHZTIZTCHSUAUBSRIUAUBRAJKRTLMNTB
      JKPOQ $.
  $}

  $( An element of an ordinal class is an ordinal number.  (Contributed by NM,
     26-Oct-2003.) $)
  ordelon $p |- ( ( Ord A /\ B e. A ) -> B e. On ) $=
    ( word wcel wa con0 ordelord wb elong adantl mpbird ) ACZBADZEBFDZBCZABGMNO
    HLBAIJK $.

  $( An element of an ordinal number is an ordinal number.  Theorem 2.2(iii) of
     [BellMachover] p. 469.  (Contributed by NM, 26-Oct-2003.) $)
  onelon $p |- ( ( A e. On /\ B e. A ) -> B e. On ) $=
    ( con0 wcel word eloni ordelon sylan ) ACDAEBADBCDAFABGH $.

  ${
    $d x y A $.  $d x y B $.
    $( A transitive class belongs to an ordinal class iff it is strictly
       included in it.  Proposition 7.7 of [TakeutiZaring] p. 37.  (Contributed
       by NM, 5-May-1994.) $)
    tz7.7 $p |- ( ( Ord A /\ Tr B ) ->
                ( B e. A <-> ( B C_ A /\ B =/= A ) ) ) $=
      ( vx vy word wtr wa wcel wss wne wi cep c0 cv wceq imp32 wn nsyli adantll
      imp wfr ordtr ordfr tz7.2 3exp sylc adantr cdif pssdifn0 wrex difss tz7.5
      cin mp3an2 eldifi difin0ss com12 syl56 syl ad2antrr eleq1w biimpcd eldifn
      trss adantl expcomd ex adantld w3o wwe ordwe ssel2 anim12i wecmpep syl2an
      trel adantlr ecase23d exp44 com34 imp31 ssrdv adantrr ad2antrl rexlimdvaa
      eqssd eqeltrrd syl5 exp4b com23 adantrd pm2.43i syl7 exp4a pm2.43d impbid
      impd ) AEZBFZGZBAHZBAIZBAJZGZWRXAXDKZWSWRAFZALUAZXEAUBZAUCXFXGXAXDABUDUEU
      FUGWTXBXCXAWTXBXCXAKWTXBXBXCXAXDABUHZMJZWTXBXABAUIWTXBXJXAKZKZWTWRXLWSWTX
      BWRXKWTXBWRXJXAWRXJGXICNZUMMOZCXIUJZWTXBGZXAWRXIAIXJXOABUKCAXIULUNXPXNXAC
      XIXPXMXIHZXNGGZXMBAXRXMBXPXQXNXMBIZWRXQXNXSKZKZWSXBWRXFYAXHXQXMAHZXFXMAIZ
      XTXMABUOZAXMVDXNYCXSABXMUPUQURUSUTPXPXQBXMIXNXPXQGDBXMWTXBXQDNZBHZYEXMHZK
      WTXBYFXQYGWTXBYFXQYGWTXBYFGZXQGZGYGYEXMOZXMYEHZYIYJQZWTYFXQYLXBYFXQYLYFYJ
      XMBHZXQYJYFYMDCBVAVBXMABVCZRTSVEWSYIYKQZWRWSYHXQYOWSYFXQYOKZXBWSYFYPWSYFG
      YKYMXQWSYFYKYMKWSYKYFYMBXMYEVPVFTYNRVGVHPSWRYIYGYJYKVIZWSWRALVJYEAHZYBGYQ
      YIAVKYHYRXQYBBAYEVLYDVMDCAVNVOVQVRVSVTWAWBWCWFXQYBXPXNYDWDWGWEWHWIWJWKWLW
      MWNWOWQWP $.
  $}

  $( For ordinal classes, membership is equivalent to strict inclusion.
     Corollary 7.8 of [TakeutiZaring] p. 37.  (Contributed by NM,
     25-Nov-1995.) $)
  ordelssne $p |- ( ( Ord A /\ Ord B ) ->
              ( A e. B <-> ( A C_ B /\ A =/= B ) ) ) $=
    ( word wcel wss wne wa wb wtr ordtr tz7.7 sylan2 ancoms ) BCZACZABDABEABFGH
    ZONAIPAJBAKLM $.

  $( For ordinal classes, membership is equivalent to strict inclusion.
     Corollary 7.8 of [TakeutiZaring] p. 37.  (Contributed by NM,
     17-Jun-1998.) $)
  ordelpss $p |- ( ( Ord A /\ Ord B ) -> ( A e. B <-> A C. B ) ) $=
    ( word wa wcel wss wne wpss ordelssne df-pss bitr4di ) ACBCDABEABFABGDABHAB
    IABJK $.

  $( For ordinal classes, inclusion is equivalent to membership or equality.
     (Contributed by NM, 25-Nov-1995.)  (Proof shortened by Andrew Salmon,
     25-Jul-2011.) $)
  ordsseleq $p |- ( ( Ord A /\ Ord B ) ->
                  ( A C_ B <-> ( A e. B \/ A = B ) ) ) $=
    ( word wa wss wpss wceq wo wcel sspss ordelpss orbi1d bitr4id ) ACBCDZABEAB
    FZABGZHABIZPHABJNQOPABKLM $.

  $( The intersection of two ordinal classes is ordinal.  Proposition 7.9 of
     [TakeutiZaring] p. 37.  (Contributed by NM, 9-May-1994.) $)
  ordin $p |- ( ( Ord A /\ Ord B ) -> Ord ( A i^i B ) ) $=
    ( word cin wtr ordtr trin syl2an wss inss2 trssord mp3an2 sylancom ) ACZBCZ
    ABDZEZPCZNAEBEQOAFBFABGHQPBIORABJPBKLM $.

  $( The intersection of two ordinal numbers is an ordinal number.
     (Contributed by NM, 7-Apr-1995.) $)
  onin $p |- ( ( A e. On /\ B e. On ) -> ( A i^i B ) e. On ) $=
    ( con0 wcel wa cin word eloni ordin syl2an cvv wb simpl inex1g elong mpbird
    3syl ) ACDZBCDZEZABFZCDZUAGZRAGBGUCSAHBHABIJTRUAKDUBUCLRSMABCNUAKOQP $.

  $( A trichotomy law for ordinals.  Proposition 7.10 of [TakeutiZaring] p. 38.
     (Contributed by NM, 10-May-1994.)  (Proof shortened by Andrew Salmon,
     25-Jul-2011.) $)
  ordtri3or $p |- ( ( Ord A /\ Ord B ) -> ( A e. B \/ A = B \/ B e. A ) ) $=
    ( word wa wcel wceq w3o wpss wss wo ordin sylib inss1 ordsseleq mpbii sylan
    cin wn ord df-ss ordirr syl ianor elin incom eleq1i anbi2i xchnxbir anabss1
    bitri syl6ibr anabss4 orim12d mpd sspsstri ordelpss ancoms 3orbi123d mpbird
    biidd wb ) ACZBCZDZABEZABFZBAEZGABHZVFBAHZGZVDABIZBAIZJZVJVDABQZAEZRZBAQZBE
    ZRZJZVMVDVNVNEZRZVTVDVNCZWBABKZVNUAUBVOVRDZVTWAVOVRUCWAVOVNBEZDWEVNABUDWFVR
    VOVNVQBABUEUFUGUJUHLVDVPVKVSVLVDVPVNAFZVKVDVOWGVBVCVOWGJZVDWCVBWHWDWCVBDVNA
    IWHABMVNANOPUISABTUKVDVSVQBFZVLVDVRWIVBVCVRWIJZVCVBDVQCZVCWJBAKWKVCDVQBIWJB
    AMVQBNOPULSBATUKUMUNABUOLVDVEVHVFVFVGVIABUPVDVFUTVCVBVGVIVABAUPUQURUS $.

  $( A trichotomy law for ordinals.  (Contributed by NM, 25-Mar-1995.)  (Proof
     shortened by Andrew Salmon, 25-Jul-2011.) $)
  ordtri1 $p |- ( ( Ord A /\ Ord B ) -> ( A C_ B <-> -. B e. A ) ) $=
    ( word wa wss wcel wceq wo wn ordsseleq wi imnan sylibr ordirr eleq2 notbid
    ordn2lp syl5ibrcom jaao w3o ordtri3or df-3or sylib orcomd ord impbid bitrd
    ) ACZBCZDZABEABFZABGZHZBAFZIZABJUJUMUOUHUKUOUIULUHUKUNDIUKUOKABQUKUNLMUIUOU
    LBBFZIBNULUNUPABBOPRSUJUNUMUJUMUNUJUKULUNTUMUNHABUAUKULUNUBUCUDUEUFUG $.

  $( A trichotomy law for ordinal numbers.  (Contributed by NM, 6-Nov-2003.) $)
  ontri1 $p |- ( ( A e. On /\ B e. On ) -> ( A C_ B <-> -. B e. A ) ) $=
    ( con0 wcel word wss wn wb eloni ordtri1 syl2an ) ACDAEBEABFBADGHBCDAIBIABJ
    K $.

  $( A trichotomy law for ordinals.  (Contributed by NM, 25-Nov-1995.) $)
  ordtri2 $p |- ( ( Ord A /\ Ord B ) ->
               ( A e. B <-> -. ( A = B \/ B e. A ) ) ) $=
    ( word wa wceq wcel wo wn wb wss ordsseleq eqcom orbi2i orcom bitri ordtri1
    bitrdi bitr3d ancoms con2bid ) ACZBCZDABEZBAFZGZABFZUBUAUEUFHZIUBUADZBAJZUE
    UGUHUIUDBAEZGZUEBAKUKUDUCGUEUJUCUDBALMUDUCNOQBAPRST $.

  $( A trichotomy law for ordinals.  (Contributed by NM, 18-Oct-1995.)  (Proof
     shortened by Andrew Salmon, 25-Jul-2011.)  (Proof shortened by JJ,
     24-Sep-2021.) $)
  ordtri3 $p |- ( ( Ord A /\ Ord B ) ->
               ( A = B <-> -. ( A e. B \/ B e. A ) ) ) $=
    ( word wa wceq wcel wo ordirr adantl eleq2 notbid syl5ibrcom pm4.71d pm5.61
    wn pm4.52 bitr3i bitrdi ordtri2 orbi1d bitr4d ) ACZBCZDZABEZUEBAFZGZOZUFGZO
    ZABFZUFGZOUDUEUEUFOZDZUJUDUEUMUDUMUEBBFZOZUCUPUBBHIUEUFUOABBJKLMUNUGUMDUJUE
    UFNUGUFPQRUDULUIUDUKUHUFABSTKUA $.

  $( A trichotomy law for ordinals.  (Contributed by NM, 1-Nov-2003.)  (Proof
     shortened by Andrew Salmon, 25-Jul-2011.) $)
  ordtri4 $p |- ( ( Ord A /\ Ord B ) ->
               ( A = B <-> ( A C_ B /\ -. A e. B ) ) ) $=
    ( wceq wss wa word wcel wn eqss wb ordtri1 ancoms anbi2d syl5bb ) ABCABDZBA
    DZEAFZBFZEZOABGHZEABISPTORQPTJBAKLMN $.

  $( An ordinal class and its singleton are disjoint.  (Contributed by NM,
     19-May-1998.) $)
  orddisj $p |- ( Ord A -> ( A i^i { A } ) = (/) ) $=
    ( word wcel wn csn cin c0 wceq ordirr disjsn sylibr ) ABAACDAAEFGHAIAAJK $.

  ${
    $d x y z $.
    $( The ordinal class is well-founded.  This proof does not require the
       axiom of regularity.  This lemma is used in ~ ordon (through ~ epweon )
       in order to eliminate the need for the axiom of regularity.
       (Contributed by NM, 17-May-1994.) $)
    onfr $p |- _E Fr On $=
      ( vx vz vy con0 cep wfr cv wss c0 wne cin wceq wrex dfepfr wel wex eqeq1d
      wa wi wcel n0 ineq2 rspcev adantll inss1 word ssel2 eloni ordfr inss2 vex
      3syl inex1 epfrc mp3an2 sylan wb inass syl elinel2 ordelss syl2an sseqin2
      sylib ineq2d eqtrid rexbidva adantr mpbid ssrexv mpsyl pm2.61dane exlimdv
      ex syl5bi imp mpgbir ) DEFAGZDHZVRIJZRVRBGZKZILZBVRMZSAABDNVSVTWDVTCAOZCP
      VSWDCVRUAVSWEWDCVSWEWDVSWERZWDVRCGZKZIWEWHILZWDVSWCWIBWGVRWAWGLWBWHIWAWGV
      RUBQUCUDWHVRHWFWHIJZRZWCBWHMZWDVRWGUEWKWHWAKZILZBWHMZWLWFWGEFZWJWOWFWGDTZ
      WGUFZWPVRDWGUGZWGUHZWGUIULWPWHWGHWJWOVRWGUJBWGWHVRWGAUKUMUNUOUPWFWOWLUQWJ
      WFWNWCBWHWFWAWHTZRZWMWBIXBWMVRWGWAKZKWBVRWGWAURXBXCWAVRXBWAWGHZXCWALWFWRB
      COXDXAWFWQWRWSWTUSWAVRWGUTWGWAVAVBWAWGVCVDVEVFQVGVHVIWCBWHVRVJVKVLVNVMVOV
      PVQ $.
    $( $j usage 'onfr' avoids 'ax-reg'; $)
  $}

  $( Relationship between membership and proper subset of an ordinal number.
     (Contributed by NM, 15-Sep-1995.) $)
  onelpss $p |- ( ( A e. On /\ B e. On ) ->
               ( A e. B <-> ( A C_ B /\ A =/= B ) ) ) $=
    ( con0 wcel word wss wne wa wb eloni ordelssne syl2an ) ACDAEBEABDABFABGHIB
    CDAJBJABKL $.

  $( Relationship between subset and membership of an ordinal number.
     (Contributed by NM, 15-Sep-1995.) $)
  onsseleq $p |- ( ( A e. On /\ B e. On ) ->
                 ( A C_ B <-> ( A e. B \/ A = B ) ) ) $=
    ( con0 wcel word wss wceq wo wb eloni ordsseleq syl2an ) ACDAEBEABFABDABGHI
    BCDAJBJABKL $.

  $( An element of an ordinal number is a subset of the number.  (Contributed
     by NM, 5-Jun-1994.)  (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
  onelss $p |- ( A e. On -> ( B e. A -> B C_ A ) ) $=
    ( con0 wcel word wss wi eloni ordelss ex syl ) ACDAEZBADZBAFZGAHLMNABIJK $.

  $( Transitive law for ordinal classes.  (Contributed by NM, 12-Dec-2004.) $)
  ordtr1 $p |- ( Ord C -> ( ( A e. B /\ B e. C ) -> A e. C ) ) $=
    ( word wtr wcel wa wi ordtr trel syl ) CDCEABFBCFGACFHCICABJK $.

  $( Transitive law for ordinal classes.  (Contributed by NM, 12-Dec-2004.)
     (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
  ordtr2 $p |- ( ( Ord A /\ Ord C ) -> ( ( A C_ B /\ B e. C ) -> A e. C ) ) $=
    ( word wa wss wcel wpss wi ordelord ex ancld anc2li ordelpss sspsstr expcom
    syl6bi com23 imp32 com12 syl9 impd adantl sylibrd ) ADZCDZEABFZBCGZEZACHZAC
    GUFUIUJIUEUFUGUHUJUFUHUFUHBDZEZEZUGUJUFUHULUFUHUKUFUHUKCBJKLMUMUGUJUFUHUKUG
    UJIZUFUKUHUNUKUFUHUNIUKUFEUHBCHZUNBCNUGUOUJABCOPQPRSTUAUBUCACNUD $.

  $( Transitive law for ordinal classes.  (Contributed by Mario Carneiro,
     30-Dec-2014.)  (Proof shortened by JJ, 24-Sep-2021.) $)
  ordtr3 $p |- ( ( Ord B /\ Ord C ) -> ( A e. B -> ( A e. C \/ C e. B ) ) ) $=
    ( word wa wcel wo wn wss nelss adantl wb ordtri1 con2bid adantr mpbird expr
    orrd ex ) BDCDEZABFZACFZCBFZGTUAEUBUCTUAUBHZUCTUAUDEZEUCBCIZHZUEUGTABCJKTUC
    UGLUETUFUCBCMNOPQRS $.

  $( Transitive law for ordinal numbers.  Theorem 7M(b) of [Enderton] p. 192.
     (Contributed by NM, 11-Aug-1994.) $)
  ontr1 $p |- ( C e. On -> ( ( A e. B /\ B e. C ) -> A e. C ) ) $=
    ( con0 wcel word wa wi eloni ordtr1 syl ) CDECFABEBCEGACEHCIABCJK $.

  $( Transitive law for ordinal numbers.  Exercise 3 of [TakeutiZaring] p. 40.
     (Contributed by NM, 6-Nov-2003.) $)
  ontr2 $p |- ( ( A e. On /\ C e. On ) ->
              ( ( A C_ B /\ B e. C ) -> A e. C ) ) $=
    ( con0 wcel word wss wa wi eloni ordtr2 syl2an ) ADEAFCFABGBCEHACEICDEAJCJA
    BCKL $.

  ${
    $d x y A $.  $d x y B $.
    $( The union of an ordinal stays the same if a subset equal to one of its
       elements is removed.  (Contributed by NM, 10-Dec-2004.) $)
    ordunidif $p |- ( ( Ord A /\ B e. A ) -> U. ( A \ B ) = U. A ) $=
      ( vx vy word wcel wa cv wss cdif wrex wi syl wn eldif adantl sseq2 rspcev
      cuni syl6 wral wceq con0 ordelon onelss eloni ordirr simplbi2 syl5 jctild
      mpd adantr biimpri ssid jctir ex pm2.61d ralrimiva unidif ) AEZBAFZGZCHZD
      HZIZDABJZKZCAUAVFSASUBVBVGCAVBVCAFZGZVCBFZVGVIVJBVFFZVCBIZGZVGVBVJVMLVHVB
      VJVLVKVBBUCFZVJVLLABUDZBVCUEMVBVNVKVOVAVNVKLUTVNBBFNZVAVKVNBEVPBUFBUGMVKV
      AVPBABOUHUIPUKUJULVEVLDBVFVDBVCQRTVHVJNZVGLVBVHVQVCVFFZVCVCIZGZVGVHVQVTVH
      VQGZVRVSVRWAVCABOUMVCUNUOUPVEVSDVCVFVDVCVCQRTPUQURCDABUSM $.

    $( If ` B ` is smaller than ` A ` , then it equals the intersection of the
       difference.  Exercise 11 in [TakeutiZaring] p. 44.  (Contributed by
       Andrew Salmon, 14-Nov-2011.) $)
    ordintdif $p |- ( ( Ord A /\ Ord B /\ ( A \ B ) =/= (/) )
      -> B = |^| ( A \ B ) ) $=
      ( vx cdif c0 wne word wss wn cint wceq ssdif0 necon3bbii w3a cv wcel crab
      dfdif2 wa ordtri1 inteqi con2bid wb ordelord an32s rabbidva inteqd intmin
      id syl2anr sylan9req ex sylbird 3impia eqtr2id syl3an3br ) ABDZEFAGZBGZAB
      HZIZBUQJZKUTUQEABLMURUSVANVBCOZBPIZCAQZJZBUQVECABRUAURUSVAVFBKZURUSSZVABA
      PZVGVHUTVIABTUBVHVIVGVHVIVFBVCHZCAQZJBVHVKVEVHVJVDCAURVCAPZUSVJVDUCZUSUSV
      CGVMURVLSUSUIAVCUDBVCTUJUEUFUGCBAUHUKULUMUNUOUP $.
  $}

  ${
    $d x ps $.  $d x A $.
    onintss.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( If a property is true for an ordinal number, then the minimum ordinal
       number for which it is true is smaller or equal.  Theorem Schema 61 of
       [Suppes] p. 228.  (Contributed by NM, 3-Oct-2003.) $)
    onintss $p |- ( A e. On -> ( ps -> |^| { x e. On | ph } C_ A ) ) $=
      ( con0 wcel crab cint wss intminss ex ) DFGBACFHIDJABCDFEKL $.
  $}

  ${
    $d x A $.  $d x B $.
    $( A way to show that an ordinal number equals the minimum of a collection
       of ordinal numbers: it must be in the collection, and it must not be
       larger than any member of the collection.  (Contributed by NM,
       14-Nov-2003.) $)
    oneqmini $p |- ( B C_ On -> ( ( A e. B /\ A. x e. A -. x e. B )
                    -> A = |^| B ) ) $=
      ( con0 wss wcel cv wn wral wa cint wceq ssint wi ssel anim12d ontri1 syl6
      wb expdimp pm5.74d con2b bitrdi syl5bb biimprd expimpd intss1 a1i adantrd
      ralbidv2 jcad eqss syl6ibr ) CDEZBCFZAGZCFZHZABIZJZBCKZEZVABEZJBVALUNUTVB
      VCUNUOUSVBUNUOJZVBUSVBBUPEZACIVDUSABCMVDVEURACBVDUQVENUQUPBFZHZNVFURNVDUQ
      VEVGUNUOUQVEVGSZUNUOUQJBDFZUPDFZJVHUNUOVIUQVJCDBOCDUPOPBUPQRTUAUQVFUBUCUJ
      UDUEUFUNUOVCUSUOVCNUNBCUGUHUIUKBVAULUM $.
  $}

  $( The empty set is an ordinal class.  (Contributed by NM, 11-May-1994.) $)
  ord0 $p |- Ord (/) $=
    ( c0 word wtr cep wwe tr0 we0 df-ord mpbir2an ) ABACADEFDGAHI $.

  $( The empty set is an ordinal number.  Corollary 7N(b) of [Enderton] p. 193.
     (Contributed by NM, 17-Sep-1993.) $)
  0elon $p |- (/) e. On $=
    ( c0 con0 wcel word ord0 0ex elon mpbir ) ABCADEAFGH $.

  $( A nonempty ordinal contains the empty set.  (Contributed by NM,
     25-Nov-1995.) $)
  ord0eln0 $p |- ( Ord A -> ( (/) e. A <-> A =/= (/) ) ) $=
    ( word c0 wcel ne0i wceq wo wi ord0 wa wn noel ordtri2 con2bid mpbiri mpan2
    wne neor sylib impbid2 ) ABZCADZACQZACEUAACFUBGZUCUBHUACBZUDIUAUEJZUDACDZKA
    LUFUGUDACMNOPUBACRST $.

  $( An ordinal number contains zero iff it is nonzero.  (Contributed by NM,
     6-Dec-2004.) $)
  on0eln0 $p |- ( A e. On -> ( (/) e. A <-> A =/= (/) ) ) $=
    ( con0 wcel word c0 wne wb eloni ord0eln0 syl ) ABCADEACAEFGAHAIJ $.

  $( An alternate definition of a limit ordinal.  (Contributed by NM,
     4-Nov-2004.) $)
  dflim2 $p |- ( Lim A <-> ( Ord A /\ (/) e. A /\ A = U. A ) ) $=
    ( wlim word c0 wne cuni wceq w3a wcel df-lim ord0eln0 anbi1d pm5.32i 3anass
    wa 3bitr4i bitr4i ) ABACZADEZAAFGZHZRDAIZTHZAJRUBTOZORSTOZOUCUARUDUERUBSTAK
    LMRUBTNRSTNPQ $.

  $( The intersection of the class of ordinal numbers is the empty set.
     (Contributed by NM, 20-Oct-2003.) $)
  inton $p |- |^| On = (/) $=
    ( c0 con0 wcel cint wceq 0elon int0el ax-mp ) ABCBDAEFBGH $.

  $( The empty set is not a limit ordinal.  (Contributed by NM, 24-Mar-1995.)
     (Proof shortened by Andrew Salmon, 25-Jul-2011.) $)
  nlim0 $p |- -. Lim (/) $=
    ( c0 wlim word wcel cuni wceq w3a noel simp2 mto dflim2 mtbir ) ABACZAADZAA
    EFZGZPNAHMNOIJAKL $.

  $( A limit ordinal is ordinal.  (Contributed by NM, 4-May-1995.) $)
  limord $p |- ( Lim A -> Ord A ) $=
    ( wlim word c0 wne cuni wceq df-lim simp1bi ) ABACADEAAFGAHI $.

  $( A limit ordinal is its own supremum (union).  (Contributed by NM,
     4-May-1995.) $)
  limuni $p |- ( Lim A -> A = U. A ) $=
    ( wlim word c0 wne cuni wceq df-lim simp3bi ) ABACADEAAFGAHI $.

  $( The union of a limit ordinal is a limit ordinal.  (Contributed by NM,
     19-Sep-2006.) $)
  limuni2 $p |- ( Lim A -> Lim U. A ) $=
    ( wlim cuni wceq wb limuni limeq syl ibi ) ABZACZBZJAKDJLEAFAKGHI $.

  $( A limit ordinal contains the empty set.  (Contributed by NM,
     15-May-1994.) $)
  0ellim $p |- ( Lim A -> (/) e. A ) $=
    ( wlim c0 wcel wne wceq nlim0 limeq mtbiri necon2ai word wb limord ord0eln0
    syl mpbird ) ABZCADZACEZQACACFQCBGACHIJQAKRSLAMANOP $.

  $( A limit ordinal class that is also a set is an ordinal number.
     (Contributed by NM, 26-Apr-2004.) $)
  limelon $p |- ( ( A e. B /\ Lim A ) -> A e. On ) $=
    ( wcel wlim con0 word limord elong syl5ibr imp ) ABCZADZAECZLMKAFAGABHIJ $.

  $( The class of all ordinal numbers is not empty.  (Contributed by NM,
     17-Sep-1995.) $)
  onn0 $p |- On =/= (/) $=
    ( c0 con0 0elon ne0ii ) ABCD $.

  $( Equality of successors.  (Contributed by NM, 30-Aug-1993.)  (Proof
     shortened by Andrew Salmon, 25-Jul-2011.) $)
  suceq $p |- ( A = B -> suc A = suc B ) $=
    ( wceq csn cun csuc id sneq uneq12d df-suc 3eqtr4g ) ABCZAADZEBBDZEAFBFLABM
    NLGABHIAJBJK $.

  $( Membership in a successor.  This one-way implication does not require that
     either ` A ` or ` B ` be sets.  (Contributed by NM, 6-Jun-1994.) $)
  elsuci $p |- ( A e. suc B -> ( A e. B \/ A = B ) ) $=
    ( csuc wcel csn wo wceq cun df-suc eleq2i elun bitri elsni orim2i sylbi ) A
    BCZDZABDZABEZDZFZRABGZFQABSHZDUAPUCABIJABSKLTUBRABMNO $.

  $( Membership in a successor.  Exercise 5 of [TakeutiZaring] p. 17.
     (Contributed by NM, 15-Sep-1995.) $)
  elsucg $p |- ( A e. V -> ( A e. suc B <-> ( A e. B \/ A = B ) ) ) $=
    ( csuc wcel csn wo wceq cun df-suc eleq2i elun bitri elsng orbi2d syl5bb )
    ABDZEZABEZABFZEZGZACEZSABHZGRABTIZEUBQUEABJKABTLMUCUAUDSABCNOP $.

  $( Variant of membership in a successor, requiring that ` B ` rather than
     ` A ` be a set.  (Contributed by NM, 28-Oct-2003.) $)
  elsuc2g $p |- ( B e. V -> ( A e. suc B <-> ( A e. B \/ A = B ) ) ) $=
    ( csuc wcel csn cun wceq wo df-suc eleq2i elun elsn2g orbi2d syl5bb ) ABDZE
    ABBFZGZEZBCEZABEZABHZIZPRABJKSUAAQEZITUCABQLTUDUBUAABCMNOO $.

  ${
    elsuc.1 $e |- A e. _V $.
    $( Membership in a successor.  Exercise 5 of [TakeutiZaring] p. 17.
       (Contributed by NM, 15-Sep-2003.) $)
    elsuc $p |- ( A e. suc B <-> ( A e. B \/ A = B ) ) $=
      ( cvv wcel csuc wceq wo wb elsucg ax-mp ) ADEABFEABEABGHICABDJK $.

    $( Membership in a successor.  (Contributed by NM, 15-Sep-2003.) $)
    elsuc2 $p |- ( B e. suc A <-> ( B e. A \/ B = A ) ) $=
      ( cvv wcel csuc wceq wo wb elsuc2g ax-mp ) ADEBAFEBAEBAGHICBADJK $.
  $}

  ${
    nfsuc.1 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for successor.  (Contributed by NM,
       15-Sep-2003.) $)
    nfsuc $p |- F/_ x suc A $=
      ( csuc csn cun df-suc nfsn nfun nfcxfr ) ABDBBEZFBGABKCABCHIJ $.
  $}

  $( Membership in a successor.  (Contributed by NM, 20-Jun-1998.) $)
  elelsuc $p |- ( A e. B -> A e. suc B ) $=
    ( wcel csuc wceq wo orc elsucg mpbird ) ABCZABDCJABEZFJKGABBHI $.

  ${
    $d x y A $.  $d x B $.
    $( Membership of a successor in another class.  (Contributed by NM,
       29-Jun-2004.) $)
    sucel $p |- ( suc A e. B <->
                E. x e. B A. y ( y e. x <-> ( y e. A \/ y = A ) ) ) $=
      ( csuc wcel cv wceq wrex wo wb wal risset dfcleq elsuc bibi2i albii bitri
      vex rexbii ) CEZDFAGZUAHZADIBGZUBFZUDCFUDCHJZKZBLZADIAUADMUCUHADUCUEUDUAF
      ZKZBLUHBUBUANUJUGBUIUFUEUDCBSOPQRTR $.
  $}

  $( The successor of the empty set.  (Contributed by NM, 1-Feb-2005.) $)
  suc0 $p |- suc (/) = { (/) } $=
    ( c0 csuc csn cun df-suc uncom un0 3eqtri ) ABAACZDIADIAEAIFIGH $.

  $( A proper class is its own successor.  (Contributed by NM, 3-Apr-1995.) $)
  sucprc $p |- ( -. A e. _V -> suc A = A ) $=
    ( cvv wcel wn csn cun c0 csuc snprc biimpi uneq2d df-suc un0 eqcomi 3eqtr4g
    wceq ) ABCDZAAEZFAGFZAHAQRGAQRGPAIJKALSAAMNO $.

  ${
    unisuc.1 $e |- A e. _V $.
    $( A transitive class is equal to the union of its successor.  Combines
       Theorem 4E of [Enderton] p. 72 and Exercise 6 of [Enderton] p. 73.
       (Contributed by NM, 30-Aug-1993.) $)
    unisuc $p |- ( Tr A <-> U. suc A = A ) $=
      ( cuni wss cun wceq wtr csuc ssequn1 df-tr csn df-suc unieqi uniun uneq2i
      unisn 3eqtri eqeq1i 3bitr4i ) ACZADTAEZAFAGAHZCZAFTAIAJUCUAAUCAAKZEZCTUDC
      ZEUAUBUEALMAUDNUFATABPOQRS $.
  $}

  $( A class is included in its own successor.  Part of Proposition 7.23 of
     [TakeutiZaring] p. 41 (generalized to arbitrary classes).  (Contributed by
     NM, 31-May-1994.) $)
  sssucid $p |- A C_ suc A $=
    ( csn cun csuc ssun1 df-suc sseqtrri ) AAABZCADAHEAFG $.

  $( Part of Proposition 7.23 of [TakeutiZaring] p. 41 (generalized).
     (Contributed by NM, 25-Mar-1995.)  (Proof shortened by Scott Fenton,
     20-Feb-2012.) $)
  sucidg $p |- ( A e. V -> A e. suc A ) $=
    ( wcel csuc wceq wo eqid olci elsucg mpbiri ) ABCAADCAACZAAEZFLKAGHAABIJ $.

  ${
    sucid.1 $e |- A e. _V $.
    $( A set belongs to its successor.  (Contributed by NM, 22-Jun-1994.)
       (Proof shortened by Alan Sare, 18-Feb-2012.)  (Proof shortened by Scott
       Fenton, 20-Feb-2012.) $)
    sucid $p |- A e. suc A $=
      ( cvv wcel csuc sucidg ax-mp ) ACDAAEDBACFG $.
  $}

  $( No successor is empty.  (Contributed by NM, 3-Apr-1995.) $)
  nsuceq0 $p |- suc A =/= (/) $=
    ( csuc c0 cvv wcel wceq wn noel sucidg eleq2 syl5ibcom mtoi 0ex eleq1 con3i
    mpbiri sucprc eqeq1d mtbird pm2.61i neir ) ABZCADEZUBCFZGUCUDACEZAHUCAUBEUD
    UEADIUBCAJKLUCGZUDACFZUGUCUGUCCDEMACDNPOUFUBACAQRSTUA $.

  ${
    eqelsuc.1 $e |- A e. _V $.
    $( A set belongs to the successor of an equal set.  (Contributed by NM,
       18-Aug-1994.) $)
    eqelsuc $p |- ( A = B -> A e. suc B ) $=
      ( wceq csuc sucid suceq eleqtrid ) ABDAAEBEACFABGH $.
  $}

  ${
    $d A x $.  $d C x $.
    iunsuc.1 $e |- A e. _V $.
    iunsuc.2 $e |- ( x = A -> B = C ) $.
    $( Inductive definition for the indexed union at a successor.  (Contributed
       by Mario Carneiro, 4-Feb-2013.)  (Proof shortened by Mario Carneiro,
       18-Nov-2016.) $)
    iunsuc $p |- U_ x e. suc A B = ( U_ x e. A B u. C ) $=
      ( csuc ciun csn cun wceq df-suc iuneq1 ax-mp iunxun iunxsn uneq2i 3eqtri
      ) ABGZCHZABBIZJZCHZABCHZAUACHZJUDDJSUBKTUCKBLASUBCMNABUACOUEDUDABCDEFPQR
      $.
  $}

  ${
    $d y z A $.
    $( The successor of a transitive class is transitive.  (Contributed by Alan
       Sare, 11-Apr-2009.)  (Proof shortened by JJ, 24-Sep-2021.) $)
    suctr $p |- ( Tr A -> Tr suc A ) $=
      ( vz vy wtr cv wcel csuc wa wi wal wceq elsuci trel expdimp eleq2 biimpcd
      wo adantl jaod syl5 expimpd elelsuc syl6 alrimivv dftr2 sylibr ) ADZBEZCE
      ZFZUIAGZFZHZUHUKFZIZCJBJUKDUGUOBCUGUMUHAFZUNUGUJULUPULUIAFZUIAKZQUGUJHZUP
      UIALUSUQUPURUGUJUQUPAUHUIMNUJURUPIUGURUJUPUIAUHOPRSTUAUHAUBUCUDBCUKUEUF
      $.
  $}

  $( A set whose successor belongs to a transitive class also belongs.
     (Contributed by NM, 5-Sep-2003.)  (Proof shortened by Andrew Salmon,
     12-Aug-2011.) $)
  trsuc $p |- ( ( Tr A /\ suc B e. A ) -> B e. A ) $=
    ( wtr csuc wcel wa trel cvv wss sssucid ssexg mpan sucidg syl ancri impel )
    ACBBDZEZQAEZFBAESABQGSRSBHEZRBQISTBJBQAKLBHMNOP $.

  $( A member of the successor of a transitive class is a subclass of it.
     (Contributed by NM, 4-Oct-2003.) $)
  trsucss $p |- ( Tr A -> ( B e. suc A -> B C_ A ) ) $=
    ( csuc wcel wceq wo wtr wss elsuci trss wi eqimss a1i jaod syl5 ) BACDBADZB
    AEZFAGZBAHZBAIRPSQABJQSKRBALMNO $.

  $( An ordinal is a subset of another ordinal if and only if it belongs to its
     successor.  (Contributed by NM, 28-Nov-2003.) $)
  ordsssuc $p |- ( ( A e. On /\ Ord B ) -> ( A C_ B <-> A e. suc B ) ) $=
    ( con0 wcel word wa wss wceq wo csuc wb eloni ordsseleq sylan elsucg adantr
    bitr4d ) ACDZBEZFABGZABDABHIZABJDZRAESTUAKALABMNRUBUAKSABCOPQ $.

  $( A subset of an ordinal number belongs to its successor.  (Contributed by
     NM, 15-Sep-1995.) $)
  onsssuc $p |- ( ( A e. On /\ B e. On ) -> ( A C_ B <-> A e. suc B ) ) $=
    ( con0 wcel word wss csuc wb eloni ordsssuc sylan2 ) BCDACDBEABFABGDHBIABJK
    $.

  $( An ordinal subset of an ordinal number belongs to its successor.
     (Contributed by NM, 1-Feb-2005.)  (Proof shortened by Andrew Salmon,
     12-Aug-2011.) $)
  ordsssuc2 $p |- ( ( Ord A /\ B e. On ) -> ( A C_ B <-> A e. suc B ) ) $=
    ( cvv wcel word con0 wa wss csuc wb wi elong biimprd anim1d onsssuc syl6 wn
    annim ssexg ex elex a1d pm5.21ni sylbi expcom adantld pm2.61i ) ACDZAEZBFDZ
    GZABHZABIZDZJZKUHUKAFDZUJGUOUHUIUPUJUHUPUIACLMNABOPUHQZUJUOUIUJUQUOUJUQGUJU
    HKZQUOUJUHRULURUNULUJUHABFSTUNUHUJAUMUAUBUCUDUEUFUG $.

  ${
    $d x A $.  $d x B $.
    $( When its successor is subtracted from a class of ordinal numbers, an
       ordinal number is less than the minimum of the resulting subclass.
       (Contributed by NM, 1-Dec-2003.) $)
    onmindif $p |- ( ( A C_ On /\ B e. On ) -> B e. |^| ( A \ suc B ) ) $=
      ( vx con0 wss wcel wa csuc cdif cint cv wral wn eldif wi wb ssel2 onsssuc
      ontri1 bitr3d con1bid sylan biimpd exp31 com23 imp4b syl5bi elintg adantl
      ralrimiv mpbird ) ADEZBDFZGZBABHZIZJFZBCKZFZCUPLZUNUSCUPURUPFURAFZURUOFZM
      ZGUNUSURAUONULUMVAVCUSULVAUMVCUSOZULVAUMVDULVAGZUMGVCUSVEURDFZUMVCUSPADUR
      QVFUMGZUSVBVGURBEUSMVBURBSURBRTUAUBUCUDUEUFUGUJUMUQUTPULCBUPDUHUIUK $.
  $}

  $( There is no set between an ordinal class and its successor.  Generalized
     Proposition 7.25 of [TakeutiZaring] p. 41.  (Contributed by NM,
     21-Jun-1998.)  (Proof shortened by JJ, 24-Sep-2021.) $)
  ordnbtwn $p |- ( Ord A -> -. ( A e. B /\ B e. suc A ) ) $=
    ( word wcel wceq wo wa ordirr wn ordn2lp wi pm2.24 eleq2 biimpac a1d jaodan
    csuc syl5com mtod elsuci anim2i nsyl ) ACZABDZBADZBAEZFZGZUDBAQDZGUCUHAADZA
    HUCUDUEGZIZUHUJABJUDUEULUJKUFUKUJLUDUFGUJULUFUDUJBAAMNOPRSUIUGUDBATUAUB $.

  $( There is no set between an ordinal number and its successor.  Proposition
     7.25 of [TakeutiZaring] p. 41.  (Contributed by NM, 9-Jun-1994.) $)
  onnbtwn $p |- ( A e. On -> -. ( A e. B /\ B e. suc A ) ) $=
    ( con0 wcel word csuc wa wn eloni ordnbtwn syl ) ACDAEABDBAFDGHAIABJK $.

  $( A set whose successor is a subset of another class is a member of that
     class.  (Contributed by NM, 16-Sep-1995.) $)
  sucssel $p |- ( A e. V -> ( suc A C_ B -> A e. B ) ) $=
    ( wcel csuc wss sucidg ssel syl5com ) ACDAAEZDJBFABDACGJBAHI $.

  $( Ordinal derived from its successor.  (Contributed by NM, 20-May-1998.) $)
  orddif $p |- ( Ord A -> A = ( suc A \ { A } ) ) $=
    ( word csn cin wceq csuc cdif orddisj disj3 cun df-suc difeq1i difun2 eqtri
    c0 eqeq2i bitr4i sylib ) ABAACZDOEZAAFZSGZEZAHTAASGZEUCASIUBUDAUBASJZSGUDUA
    UESAKLASMNPQR $.

  $( An ordinal class includes its union.  (Contributed by NM, 13-Sep-2003.) $)
  orduniss $p |- ( Ord A -> U. A C_ A ) $=
    ( word wtr cuni wss ordtr df-tr sylib ) ABACADAEAFAGH $.

  $( A trichotomy law for ordinal classes.  (Contributed by NM, 13-Sep-2003.)
     (Proof shortened by Andrew Salmon, 12-Aug-2011.) $)
  ordtri2or $p |- ( ( Ord A /\ Ord B ) -> ( A e. B \/ B C_ A ) ) $=
    ( word wa wcel wss wn wb ordtri1 ancoms biimprd orrd ) ACZBCZDZABEZBAFZOQPG
    ZNMQRHBAIJKL $.

  $( A trichotomy law for ordinal classes.  (Contributed by NM, 2-Nov-2003.) $)
  ordtri2or2 $p |- ( ( Ord A /\ Ord B ) -> ( A C_ B \/ B C_ A ) ) $=
    ( word wa wcel wss wo ordtri2or wi ordelss ex orim1d adantl mpd ) ACZBCZDAB
    EZBAFZGZABFZRGZABHPSUAIOPQTRPQTBAJKLMN $.

  $( A consequence of total ordering for ordinal classes.  Similar to
     ~ ordtri2or2 .  (Contributed by David Moews, 1-May-2017.) $)
  ordtri2or3 $p |- ( ( Ord A /\ Ord B ) ->
                     ( A = ( A i^i B ) \/ B = ( A i^i B ) ) ) $=
    ( word wa wss wo cin wceq ordtri2or2 dfss sseqin2 eqcom bitri orbi12i sylib
    ) ACBCDABEZBAEZFAABGZHZBRHZFABIPSQTABJQRBHTBAKRBLMNO $.

  $( The intersection of two ordinal classes is an element of a third if and
     only if either one of them is.  (Contributed by David Moews, 1-May-2017.)
     (Proof shortened by JJ, 24-Sep-2021.) $)
  ordelinel $p |- ( ( Ord A /\ Ord B /\ Ord C ) ->
                    ( ( A i^i B ) e. C <-> ( A e. C \/ B e. C ) ) ) $=
    ( word w3a cin wcel wo wceq ordtri2or3 3adant3 eleq1a orim12d syl5com ordin
    wi wa wss ordtr2 mpani inss1 inss2 jaod stoic3 impbid ) ADZBDZCDZEZABFZCGZA
    CGZBCGZHZUIAUJIZBUJIZHZUKUNUFUGUQUHABJKUKUOULUPUMUJCALUJCBLMNUFUGUJDZUHUNUK
    PABOURUHQZULUKUMUSUJARULUKABUAUJACSTUSUJBRUMUKABUBUJBCSTUCUDUE $.

  $( Property of a subclass of the maximum (i.e. union) of two ordinals.
     (Contributed by NM, 28-Nov-2003.) $)
  ordssun $p |- ( ( Ord B /\ Ord C ) ->
               ( A C_ ( B u. C ) <-> ( A C_ B \/ A C_ C ) ) ) $=
    ( word wa cun wss wo wi ordtri2or2 wceq wb ssequn1 sseq2 olc syl6bi ssequn2
    sylbi orc jaoi syl ssun impbid1 ) BDCDEZABCFZGZABGZACGZHZUDBCGZCBGZHUFUIIZB
    CJUJULUKUJUFUHUIUJUECKUFUHLBCMUECANRUHUGOPUKUFUGUIUKUEBKUFUGLCBQUEBANRUGUHS
    PTUAABCUBUC $.

  $( The maximum (i.e. union) of two ordinals is either one or the other.
     Similar to Exercise 14 of [TakeutiZaring] p. 40.  (Contributed by NM,
     28-Nov-2003.) $)
  ordequn $p |- ( ( Ord B /\ Ord C ) ->
               ( A = ( B u. C ) -> ( A = B \/ A = C ) ) ) $=
    ( word wa wss wo cun wceq ordtri2or2 orcomd ssequn2 bitr4id ssequn1 orbi12d
    eqeq1 syl5ibcom ) BDCDEZCBFZBCFZGABCHZIZABIZACIZGRTSBCJKUBSUCTUDUBSUABIUCCB
    LAUABPMUBTUACIUDBCNAUACPMOQ $.

  $( The maximum (i.e. union) of two ordinals is ordinal.  Exercise 12 of
     [TakeutiZaring] p. 40.  (Contributed by NM, 28-Nov-2003.) $)
  ordun $p |- ( ( Ord A /\ Ord B ) -> Ord ( A u. B ) ) $=
    ( word wa cun wceq wo eqid ordequn mpi ordeq biimprcd jaao mpd ) ACZBCZDZAB
    EZAFZRBFZGZRCZQRRFUARHRABIJOSUBPTSUBORAKLTUBPRBKLMN $.

  ${
    $d x A $.  $d x B $.
    $( A subclass relationship for union and successor of ordinal classes.
       (Contributed by NM, 28-Nov-2003.) $)
    ordunisssuc $p |- ( ( A C_ On /\ Ord B ) ->
                      ( U. A C_ B <-> A C_ suc B ) ) $=
      ( vx con0 word wa cv wral csuc wcel cuni wb ssel2 ordsssuc sylan ralbidva
      wss an32s unissb dfss3 3bitr4g ) ADQZBEZFZCGZBQZCAHUEBIZJZCAHAKBQAUGQUDUF
      UHCAUBUEAJZUCUFUHLZUBUIFUEDJUCUJADUEMUEBNORPCABSCAUGTUA $.
  $}

  $( The successor operation behaves like a one-to-one function.  Compare
     Exercise 16 of [Enderton] p. 194.  (Contributed by NM, 3-Sep-2003.) $)
  suc11 $p |- ( ( A e. On /\ B e. On ) -> ( suc A = suc B <-> A = B ) ) $=
    ( con0 wcel wa csuc wceq wn wo wi word eloni ordn2lp wss sucssel elsuci ord
    syl5 com12 syl9 pm3.13 3syl adantr eqimss eqimss2 eqcom syl6ib jaao impbid1
    mpd suceq ) ACDZBCDZEZAFZBFZGZABGZUNABDZHZBADZHZIZUQURJZULVCUMULAKUSVAEHVCA
    LABMUSVAUAUBUCULUTVDUMVBULUQAUPDZUTURUQUOUPNULVEUOUPUDAUPCORVEUTURVEUSURABP
    QSTUMUQBUODZVBURUQUPUONUMVFUPUOUEBUOCORVFVBURVFVBBAGZURVFVAVGBAPQBAUFUGSTUH
    UJABUKUI $.

  $( The union of two ordinals is an ordinal.  (Contributed by Scott Fenton,
     9-Aug-2024.) $)
  onun2 $p |- ( ( A e. On /\ B e. On ) -> ( A u. B ) e. On ) $=
    ( con0 wcel wa wss wceq ssequn1 wi eleq1a adantl syl5bi ssequn2 adantr word
    cun wo eloni ordtri2or2 syl2an mpjaod ) ACDZBCDZEZABFZABPZCDZBAFZUEUFBGZUDU
    GABHUCUIUGIUBBCUFJKLUHUFAGZUDUGBAMUBUJUGIUCACUFJNLUBAOBOUEUHQUCARBRABSTUA
    $.

  ${
    on.1 $e |- A e. On $.
    $( An ordinal number is an ordinal class.  (Contributed by NM,
       11-Jun-1994.) $)
    onordi $p |- Ord A $=
      ( con0 wcel word eloni ax-mp ) ACDAEBAFG $.

    $( An ordinal number is a transitive class.  (Contributed by NM,
       11-Jun-1994.) $)
    ontrci $p |- Tr A $=
      ( word wtr onordi ordtr ax-mp ) ACADABEAFG $.

    $( An ordinal number is not a member of itself.  Theorem 7M(c) of
       [Enderton] p. 192.  (Contributed by NM, 11-Jun-1994.) $)
    onirri $p |- -. A e. A $=
      ( word wcel wn onordi ordirr ax-mp ) ACAADEABFAGH $.

    $( A member of an ordinal number is an ordinal number.  Theorem 7M(a) of
       [Enderton] p. 192.  (Contributed by NM, 11-Jun-1994.) $)
    oneli $p |- ( B e. A -> B e. On ) $=
      ( con0 wcel onelon mpan ) ADEBAEBDECABFG $.

    $( A member of an ordinal number is a subset of it.  (Contributed by NM,
       11-Aug-1994.) $)
    onelssi $p |- ( B e. A -> B C_ A ) $=
      ( con0 wcel wss wi onelss ax-mp ) ADEBAEBAFGCABHI $.

    $( An ordering law for ordinal numbers.  (Contributed by NM,
       13-Jun-1994.) $)
    onssneli $p |- ( A C_ B -> -. B e. A ) $=
      ( wss wcel ssel con0 word wn oneli eloni ordirr 3syl nsyli pm2.01d ) ABDZ
      BAEZPQBBEZQABBFQBGEBHRIABCJBKBLMNO $.

    $( An ordering law for ordinal numbers.  (Contributed by NM,
       13-Jun-1994.) $)
    onssnel2i $p |- ( B C_ A -> -. A e. B ) $=
      ( wss wcel onirri ssel mtoi ) BADABEAAEACFBAAGH $.

    $( An element of an ordinal number equals the intersection with it.
       (Contributed by NM, 11-Jun-1994.) $)
    onelini $p |- ( B e. A -> B = ( B i^i A ) ) $=
      ( wcel wss cin wceq onelssi dfss sylib ) BADBAEBBAFGABCHBAIJ $.

    $( An ordinal number equals its union with any element.  (Contributed by
       NM, 13-Jun-1994.) $)
    oneluni $p |- ( B e. A -> ( A u. B ) = A ) $=
      ( wcel wss cun wceq onelssi ssequn2 sylib ) BADBAEABFAGABCHBAIJ $.

    $( An ordinal number is equal to the union of its successor.  (Contributed
       by NM, 12-Jun-1994.) $)
    onunisuci $p |- U. suc A = A $=
      ( wtr csuc cuni wceq ontrci con0 elexi unisuc mpbi ) ACADEAFABGAAHBIJK $.

    ${
      on.2 $e |- B e. On $.
      $( Subset is equivalent to membership or equality for ordinal numbers.
         (Contributed by NM, 15-Sep-1995.) $)
      onsseli $p |- ( A C_ B <-> ( A e. B \/ A = B ) ) $=
        ( con0 wcel wss wceq wo wb onsseleq mp2an ) AEFBEFABGABFABHIJCDABKL $.

      $( The union of two ordinal numbers is an ordinal number.  (Contributed
         by NM, 13-Jun-1994.) $)
      onun2i $p |- ( A u. B ) e. On $=
        ( con0 wcel cun onun2 mp2an ) AEFBEFABGEFCDABHI $.
    $}
  $}

  $( An ordinal equal to its own union is either zero or a limit ordinal.
     (Contributed by NM, 1-Oct-2003.) $)
  unizlim $p |- ( Ord A -> ( A = U. A <-> ( A = (/) \/ Lim A ) ) ) $=
    ( word cuni wceq c0 wlim wo wa wn wne df-ne w3a df-lim biimpri 3exp syl5bir
    wi com23 imp orrd ex uni0 eqcomi id unieq 3eqtr4a limuni jaoi impbid1 ) ABZ
    AACZDZAEDZAFZGZUJULUOUJULHUMUNUJULUMIZUNQUJUPULUNUPAEJZUJULUNQAEKUJUQULUNUN
    UJUQULLAMNOPRSTUAUMULUNUMEECZAUKUREUBUCUMUDAEUEUFAUGUHUI $.

  $( An ordinal number either equals zero or contains zero.  (Contributed by
     NM, 1-Jun-2004.) $)
  on0eqel $p |- ( A e. On -> ( A = (/) \/ (/) e. A ) ) $=
    ( con0 wcel c0 wceq wo wss 0ss 0elon onsseleq mpan mpbii eqcom orbi2i orcom
    wb bitri sylib ) ABCZDACZDAEZFZADEZTFZSDAGZUBAHDBCSUEUBPIDAJKLUBTUCFUDUAUCT
    DAMNTUCOQR $.

  $( The singleton of the singleton of the empty set is not an ordinal (nor a
     natural number by ~ omsson ).  It can be used to represent an "undefined"
     value for a partial operation on natural or ordinal numbers.  See also
     ~ onxpdisj .  (Contributed by NM, 21-May-2004.)  (Proof shortened by
     Andrew Salmon, 12-Aug-2011.) $)
  snsn0non $p |- -. { { (/) } } e. On $=
    ( c0 csn con0 wcel wceq snex snid n0ii 0ex eqcom mtbir elsn pm3.2ni on0eqel
    wo mto ) ABZBZCDRAEZARDZOSTQRQAFGHTAQEZUAQAEAQAIGHAQJKAQILKMRNP $.

  $( Ordinal numbers and ordered pairs are disjoint collections.  This theorem
     can be used if we want to extend a set of ordinal numbers or ordered pairs
     with disjoint elements.  See also ~ snsn0non .  (Contributed by NM,
     1-Jun-2004.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
  onxpdisj $p |- ( On i^i ( _V X. _V ) ) = (/) $=
    ( vx con0 cvv cxp cin c0 wceq cv wcel wn disj on0eqel 0nelxp eleq1 0nelelxp
    wo mtbiri con2i jaoi syl mprgbir ) BCCDZEFGAHZUBIZJZABABUBKUCBIUCFGZFUCIZPU
    EUCLUFUEUGUFUDFUBICCMUCFUBNQUDUGCCUCORSTUA $.

  $( The class of ordinal numbers is not equal to the universe.  (Contributed
     by NM, 16-Jun-2007.)  (Proof shortened by Mario Carneiro, 10-Jan-2013.)
     (Proof shortened by Wolf Lammen, 27-May-2024.) $)
  onnev $p |- On =/= _V $=
    ( con0 cvv wceq c0 csn wcel snsn0non snex id eleqtrrid mto neir ) ABABCZDEZ
    EZAFGMOBANHMIJKL $.

  $( Obsolete version of ~ onnev as of 27-May-2024.  (Contributed by NM,
     16-Jun-2007.)  (Proof shortened by Mario Carneiro, 10-Jan-2013.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  onnevOLD $p |- On =/= _V $=
    ( c0 csn con0 wcel wn cvv wne snsn0non wceq snex eleqtrrid necon3bi ax-mp
    id ) ABZBZCDZECFGHQCFCFIZPFCOJRNKLM $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definite description binder (inverted iota)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c iota $.
  $( Extend class notation with Russell's definition description binder
     (inverted iota). $)
  cio $a class ( iota x ph ) $.

  ${
    $d w x z $.  $d ph w z $.  $d ph w y $.  $d x y $.
    $( Soundness justification theorem for ~ df-iota .  (Contributed by Andrew
       Salmon, 29-Jun-2011.) $)
    iotajust $p |- U. { y | { x | ph } = { y } } =
                   U. { z | { x | ph } = { z } } $=
      ( vw cab cv csn wceq sneq eqeq2d cbvabv eqtri unieqi ) ABFZCGZHZIZCFZODGZ
      HZIZDFZSOEGZHZIZEFUCRUFCEPUDIQUEOPUDJKLUFUBEDUDTIUEUAOUDTJKLMN $.
  $}

  ${
    $d y x $.  $d y ph $.
    $( Define Russell's definition description binder, which can be read as
       "the unique ` x ` such that ` ph ` ", where ` ph ` ordinarily contains
       ` x ` as a free variable.  Our definition is meaningful only when there
       is exactly one ` x ` such that ` ph ` is true (see ~ iotaval );
       otherwise, it evaluates to the empty set (see ~ iotanul ).  Russell used
       the inverted iota symbol ` iota ` to represent the binder.

       Sometimes proofs need to expand an iota-based definition.  That is,
       given "X = the x for which ... x ... x ..." holds, the proof needs to
       get to "...  X ...  X ...".  A general strategy to do this is to use
       ~ riotacl2 (or ~ iotacl for unbounded iota), as demonstrated in the
       proof of ~ supub .  This can be easier than applying ~ riotasbc or a
       version that applies an explicit substitution, because substituting an
       iota into its own property always has a bound variable clash which must
       be first renamed or else guarded with NF.

       (Contributed by Andrew Salmon, 30-Jun-2011.) $)
    df-iota $a |- ( iota x ph ) = U. { y | { x | ph } = { y } } $.
  $}

  ${
    $d x y $.  $d y ph $.
    $( Alternate definition for descriptions.  Definition 8.18 in [Quine]
       p. 56.  (Contributed by Andrew Salmon, 30-Jun-2011.) $)
    dfiota2 $p |- ( iota x ph ) = U. { y | A. x ( ph <-> x = y ) } $=
      ( cio cab cv csn wceq cuni wb wal df-iota absn abbii unieqi eqtri ) ABDAB
      ECFZGHZCEZIABFQHJBKZCEZIABCLSUARTCABQMNOP $.
  $}

  ${
    $d x y $.  $d y ph $.
    $( Bound-variable hypothesis builder for the ` iota ` class.  (Contributed
       by Andrew Salmon, 11-Jul-2011.)  (Revised by Mario Carneiro,
       15-Oct-2016.) $)
    nfiota1 $p |- F/_ x ( iota x ph ) $=
      ( vy cio weq wb wal cab cuni dfiota2 nfaba1 nfuni nfcxfr ) BABDABCEFZBGCH
      ZIABCJBONBCKLM $.
  $}

  ${
    $d z ps $.  $d z ph $.  $d x y z $.
    nfiotadw.1 $e |- F/ y ph $.
    nfiotadw.2 $e |- ( ph -> F/ x ps ) $.
    $( Deduction version of ~ nfiotaw .  Version of ~ nfiotad with a disjoint
       variable condition, which does not require ~ ax-13 .  (Contributed by
       NM, 18-Feb-2013.)  (Revised by Gino Giotto, 26-Jan-2024.) $)
    nfiotadw $p |- ( ph -> F/_ x ( iota y ps ) ) $=
      ( vz cio weq wb wal cab cuni dfiota2 nfv nfvd nfbid nfald nfabdw nfunid
      nfcxfrd ) ACBDHBDGIZJZDKZGLZMBDGNACUEAUDCGAGOAUCCDEABUBCFAUBCPQRSTUA $.
    $( $j usage 'nfiotadw' avoids 'ax-13'; $)
  $}

  ${
    $d x y $.
    nfiotaw.1 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for the ` iota ` class.  Version of
       ~ nfiota with a disjoint variable condition, which does not require
       ~ ax-13 .  (Contributed by NM, 23-Aug-2011.)  (Revised by Gino Giotto,
       26-Jan-2024.) $)
    nfiotaw $p |- F/_ x ( iota y ph ) $=
      ( cio wnfc wtru nftru wnf a1i nfiotadw mptru ) BACEFGABCCHABIGDJKL $.
    $( $j usage 'nfiotaw' avoids 'ax-13'; $)
  $}

  ${
    $d z ps $.  $d z ph $.  $d x z $.  $d y z $.
    nfiotad.1 $e |- F/ y ph $.
    nfiotad.2 $e |- ( ph -> F/ x ps ) $.
    $( Deduction version of ~ nfiota .  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  Use the weaker ~ nfiotadw when
       possible.  (Contributed by NM, 18-Feb-2013.)
       (New usage is discouraged.) $)
    nfiotad $p |- ( ph -> F/_ x ( iota y ps ) ) $=
      ( vz cio weq wb wal cab cuni dfiota2 nfv wn wa wnf adantr nfeqf1 nfcxfrd
      adantl nfbid nfald2 nfabd nfunid ) ACBDHBDGIZJZDKZGLZMBDGNACUJAUICGAGOAUH
      CDEACDICKPZQBUGCABCRUKFSUKUGCRACDGTUBUCUDUEUFUA $.
  $}

  ${
    nfiota.1 $e |- F/ x ph $.
    $( Bound-variable hypothesis builder for the ` iota ` class.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  Use the weaker
       ~ nfiotaw when possible.  (Contributed by NM, 23-Aug-2011.)
       (New usage is discouraged.) $)
    nfiota $p |- F/_ x ( iota y ph ) $=
      ( cio wnfc wtru nftru wnf a1i nfiotad mptru ) BACEFGABCCHABIGDJKL $.
  $}

  ${
    $d z w x y $.  $d z w ph $.  $d z w ps $.
    cbviotaw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    cbviotaw.2 $e |- F/ y ph $.
    cbviotaw.3 $e |- F/ x ps $.
    $( Change bound variables in a description binder.  Version of ~ cbviota
       with a disjoint variable condition, which does not require ~ ax-13 .
       (Contributed by Andrew Salmon, 1-Aug-2011.)  (Revised by Gino Giotto,
       26-Jan-2024.) $)
    cbviotaw $p |- ( iota x ph ) = ( iota y ps ) $=
      ( vw vz weq wb wal cab cuni cio nfv nfbi equequ1 bibi12d cbvalv1 nfs1v cv
      wsb sbequ12 nfsbv sbhypf bitri abbii unieqi dfiota2 3eqtr4i ) ACHJZKZCLZH
      MZNBDHJZKZDLZHMZNACOBDOUOUSUNURHUNACIUCZIHJZKZILURUMVBCIUMIPUTVACACIUAVAC
      PQCIJAUTULVAACIUDCIHRSTVBUQIDUTVADACIDFUEVADPQUQIPIDJUTBVAUPABCIDUBGEUFID
      HRSTUGUHUIACHUJBDHUJUK $.
    $( $j usage 'cbviotaw' avoids 'ax-13'; $)
  $}

  ${
    $d ph y z $.  $d ps x z $.  $d x y $.
    cbviotavw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change bound variables in a description binder.  Version of ~ cbviotav
       with a disjoint variable condition, which requires fewer axioms .
       (Contributed by Andrew Salmon, 1-Aug-2011.)  (Revised by Gino Giotto,
       30-Sep-2024.) $)
    cbviotavw $p |- ( iota x ph ) = ( iota y ps ) $=
      ( vz cab cv csn wceq cuni cio cbvabv eqeq1i abbii unieqi df-iota 3eqtr4i
      ) ACGZFHIZJZFGZKBDGZTJZFGZKACLBDLUBUEUAUDFSUCTABCDEMNOPACFQBDFQR $.
    $( $j usage 'cbviotavw' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)
  $}

  ${
    $d ph y $.  $d ps x $.  $d x y $.
    cbviotavwOLD.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Obsolete version of ~ cbviotavw as of 30-Sep-2024.  (Contributed by
       Andrew Salmon, 1-Aug-2011.)  (Revised by Gino Giotto, 26-Jan-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    cbviotavwOLD $p |- ( iota x ph ) = ( iota y ps ) $=
      ( nfv cbviotaw ) ABCDEADFBCFG $.
    $( $j usage 'cbviotavwOLD' avoids 'ax-13'; $)
  $}

  ${
    $d z w x $.  $d z w y $.  $d z w ph $.  $d z w ps $.
    cbviota.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    cbviota.2 $e |- F/ y ph $.
    cbviota.3 $e |- F/ x ps $.
    $( Change bound variables in a description binder.  Usage of this theorem
       is discouraged because it depends on ~ ax-13 .  Use the weaker
       ~ cbviotaw when possible.  (Contributed by Andrew Salmon, 1-Aug-2011.)
       (New usage is discouraged.) $)
    cbviota $p |- ( iota x ph ) = ( iota y ps ) $=
      ( vw vz weq wb wal cab cuni cio wsb nfv nfbi equequ1 bibi12d sbequ12 nfsb
      nfs1v cbvalv1 sbequ sbie bitrdi bitri abbii unieqi dfiota2 3eqtr4i ) ACHJ
      ZKZCLZHMZNBDHJZKZDLZHMZNACOBDOUPUTUOUSHUOACIPZIHJZKZILUSUNVCCIUNIQVAVBCAC
      IUCVBCQRCIJAVAUMVBACIUACIHSTUDVCURIDVAVBDACIDFUBVBDQRURIQIDJZVABVBUQVDVAA
      CDPBAIDCUEABCDGEUFUGIDHSTUDUHUIUJACHUKBDHUKUL $.
  $}

  ${
    $d ph y $.  $d ps x $.
    cbviotav.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change bound variables in a description binder.  Usage of this theorem
       is discouraged because it depends on ~ ax-13 .  Use the weaker
       ~ cbviotavw when possible.  (Contributed by Andrew Salmon, 1-Aug-2011.)
       (New usage is discouraged.) $)
    cbviotav $p |- ( iota x ph ) = ( iota y ps ) $=
      ( nfv cbviota ) ABCDEADFBCFG $.
  $}

  ${
    $d w z ph $.  $d w z x $.  $d w z y $.
    sb8iota.1 $e |- F/ y ph $.
    $( Variable substitution in description binder.  Compare ~ sb8eu .  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 18-Mar-2013.)  (New usage is discouraged.) $)
    sb8iota $p |- ( iota x ph ) = ( iota y [ y / x ] ph ) $=
      ( vz vw weq wal cab cuni wsb cio nfv sb8 sbbi nfsb equsb3 nfxfr dfiota2
      wb nfbi sbequ cbvalv1 sblbis albii 3bitri abbii unieqi 3eqtr4i ) ABEGZTZB
      HZEIZJABCKZCEGZTZCHZEIZJABLUNCLUMURULUQEULUKBFKZFHUKBCKZCHUQUKBFUKFMNUSUT
      FCUSABFKZUJBFKZTCAUJBFOVAVBCABFCDPVBFEGZCBFEQVCCMRUARUTFMUKFCBUBUCUTUPCUJ
      UOABCBCEQUDUEUFUGUHABESUNCESUI $.
  $}

  ${
    $d y z $.  $d x z $.  $d ph z $.
    $( Equality theorem for descriptions.  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  (Contributed by Andrew Salmon,
       30-Jun-2011.)  (New usage is discouraged.) $)
    iotaeq $p |- ( A. x x = y -> ( iota x ph ) = ( iota y ph ) ) $=
      ( vz cv wceq wal cab csn cuni cio wcel drsb1 df-clab 3bitr4g eqrdv eqeq1d
      wsb abbidv df-iota unieqd 3eqtr4g ) BECEFBGZABHZDEZIZFZDHZJACHZUFFZDHZJAB
      KACKUCUHUKUCUGUJDUCUDUIUFUCDUDUIUCABDRACDRUEUDLUEUILABCDMADBNADCNOPQSUAAB
      DTACDTUB $.
  $}

  ${
    $d ph z $.  $d ps z $.  $d x y z $.
    $( Equivalence theorem for descriptions.  (Contributed by Andrew Salmon,
       30-Jun-2011.) $)
    iotabi $p |- ( A. x ( ph <-> ps ) -> ( iota x ph ) = ( iota x ps ) ) $=
      ( vz wb wal cab cv csn wceq cuni cio eqeq1d abbidv unieqd df-iota 3eqtr4g
      abbi1 ) ABECFZACGZDHIZJZDGZKBCGZUAJZDGZKACLBCLSUCUFSUBUEDSTUDUAABCRMNOACD
      PBCDPQ $.

    $( Part of Theorem 8.17 in [Quine] p. 56.  This theorem serves as a lemma
       for the fundamental property of iota.  (Contributed by Andrew Salmon,
       11-Jul-2011.) $)
    uniabio $p |- ( A. x ( ph <-> x = y ) -> U. { x | ph } = y ) $=
      ( weq wb wal cab cuni cv csn abbi1 df-sn eqtr4di unieqd vex unisn eqtrdi
      ) ABCDZEBFZABGZHCIZJZHUASTUBSTRBGUBARBKBUALMNUACOPQ $.

    $( Theorem 8.19 in [Quine] p. 57.  This theorem is the fundamental property
       of iota.  (Contributed by Andrew Salmon, 11-Jul-2011.) $)
    iotaval $p |- ( A. x ( ph <-> x = y ) -> ( iota x ph ) = y ) $=
      ( vz weq wb wal cio cab cuni cv dfiota2 wceq wa wi cvv sbeqalb ex equequ2
      elv bibi2d biimpd alimdv impbid equcom bitrdi alrimiv uniabio syl eqtrid
      com12 ) ABCEZFZBGZABHABDEZFZBGZDIJZCKZABDLUNUQDCEZFZDGURUSMUNVADUNUQCDEZU
      TUNUQVBUNUQVBUNUQNVBOCABUSDKPQTRVBUNUQVBUMUPBVBUMUPVBULUOACDBSUAUBUCUKUDC
      DUEUFUGUQDCUHUIUJ $.

    $( Equivalence between two different forms of ` iota ` .  (Contributed by
       Andrew Salmon, 12-Jul-2011.) $)
    iotauni $p |- ( E! x ph -> ( iota x ph ) = U. { x | ph } ) $=
      ( vz weu cv wceq wb wal wex cio cab cuni eu6 iotaval uniabio eqtr4d sylbi
      exlimiv ) ABDABECEZFGBHZCIABJZABKLZFZABCMTUCCTUASUBABCNABCOPRQ $.

    $( Equivalence between two different forms of ` iota ` .  (Contributed by
       Mario Carneiro, 24-Dec-2016.) $)
    iotaint $p |- ( E! x ph -> ( iota x ph ) = |^| { x | ph } ) $=
      ( weu cio cab cuni cint iotauni wceq uniintab biimpi eqtrd ) ABCZABDABEZF
      ZNGZABHMOPIABJKL $.

    $( Property of iota.  (Contributed by NM, 23-Aug-2011.)  (Revised by Mario
       Carneiro, 23-Dec-2016.) $)
    iota1 $p |- ( E! x ph -> ( ph <-> ( iota x ph ) = x ) ) $=
      ( vz weu cv wceq wb wal wex cio eu6 sp iotaval eqeq2d bitr4d eqcom bitrdi
      exlimiv sylbi ) ABDABEZCEZFZGZBHZCIAABJZTFZGZABCKUDUGCUDATUEFZUFUDAUBUHUC
      BLUDUEUATABCMNOTUEPQRS $.

    $( Theorem 8.22 in [Quine] p. 57.  This theorem is the result if there
       isn't exactly one ` x ` that satisfies ` ph ` .  (Contributed by Andrew
       Salmon, 11-Jul-2011.) $)
    iotanul $p |- ( -. E! x ph -> ( iota x ph ) = (/) ) $=
      ( vz weu weq wb wal wex cio c0 wceq eu6 wn cab dfiota2 alnex dfnul2 equid
      cuni tbt biimpi con1bid alimi abbi1 syl eqtr2id sylbir unieqd uni0 eqtrdi
      eqtrid sylnbi ) ABDABCEFBGZCHZABIZJKABCLUNMZUOUMCNZSZJABCOUPURJSJUPUQJUPU
      MMZCGZUQJKUMCPUTJCCEZMZCNZUQCQUTVBUMFZCGVCUQKUSVDCUSUMVAUSUSVAFVAUSCRTUAU
      BUCVBUMCUDUEUFUGUHUIUJUKUL $.

    $( The ` iota ` class is a subset of the union of all elements satisfying
       ` ph ` .  (Contributed by Mario Carneiro, 24-Dec-2016.) $)
    iotassuni $p |- ( iota x ph ) C_ U. { x | ph } $=
      ( weu cio cab cuni wss wceq iotauni eqimss syl wn c0 iotanul 0ss eqsstrdi
      pm2.61i ) ABCZABDZABEFZGZRSTHUAABISTJKRLSMTABNTOPQ $.

    $( Theorem 8.23 in [Quine] p. 58.  This theorem proves the existence of the
       ` iota ` class under our definition.  (Contributed by Andrew Salmon,
       11-Jul-2011.) $)
    iotaex $p |- ( iota x ph ) e. _V $=
      ( vz weu cio cvv wcel cv wceq wb wal wex iotaval eqcomd eximi eu6 3imtr4i
      isset wn c0 iotanul 0ex eqeltrdi pm2.61i ) ABDZABEZFGZABHCHZIJBKZCLUHUFIZ
      CLUEUGUIUJCUIUFUHABCMNOABCPCUFRQUESUFTFABUAUBUCUD $.

    $( Theorem *14.22 in [WhiteheadRussell] p. 190.  (Contributed by Andrew
       Salmon, 12-Jul-2011.) $)
    iota4 $p |- ( E! x ph -> [. ( iota x ph ) / x ]. ph ) $=
      ( vz weu weq wb wal wex cio eu6 wsb wi biimpr alimi sb6 sylibr cv iotaval
      wsbc wceq eqcomd dfsbcq2 syl mpbid exlimiv sylbi ) ABDABCEZFZBGZCHABABIZS
      ZABCJUIUKCUIABCKZUKUIUGALZBGULUHUMBAUGMNABCOPUICQZUJTULUKFUIUJUNABCRUAABC
      UJUBUCUDUEUF $.
  $}

  $( Theorem *14.23 in [WhiteheadRussell] p. 191.  (Contributed by Andrew
     Salmon, 12-Jul-2011.) $)
  iota4an $p |- ( E! x ( ph /\ ps )
            -> [. ( iota x ( ph /\ ps ) ) / x ]. ph ) $=
    ( wa weu cio wsbc iota4 wi cvv wcel iotaex simpl sbcth ax-mp wb sbcimg mpbi
    syl ) ABDZCETCTCFZGZACUAGZTCHTAIZCUAGZUBUCIZUAJKZUETCLZUDCUAJABMNOUGUEUFPUH
    TACUAJQORS $.

  ${
    $d x y A $.  $d x V $.  $d x ph $.  $d y ps $.
    iota5.1 $e |- ( ( ph /\ A e. V ) -> ( ps <-> x = A ) ) $.
    $( A method for computing iota.  (Contributed by NM, 17-Sep-2013.) $)
    iota5 $p |- ( ( ph /\ A e. V ) -> ( iota x ps ) = A ) $=
      ( vy wcel wa cv wceq wb wal cio alrimiv wi eqeq2 bibi2d albidv imbi12d
      iotaval vtoclg adantl mpd ) ADEHZIZBCJZDKZLZCMZBCNZDKZUFUICFOUEUJULPZABUG
      GJZKZLZCMZUKUNKZPUMGDEUNDKZUQUJURULUSUPUICUSUOUHBUNDUGQRSUNDUKQTBCGUAUBUC
      UD $.
  $}

  ${
    $d x ph $.
    iotabidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building deduction for iota.  (Contributed by NM,
       20-Aug-2011.) $)
    iotabidv $p |- ( ph -> ( iota x ps ) = ( iota x ch ) ) $=
      ( wb wal cio wceq alrimiv iotabi syl ) ABCFZDGBDHCDHIAMDEJBCDKL $.
  $}

  ${
    iotabii.1 $e |- ( ph <-> ps ) $.
    $( Formula-building deduction for iota.  (Contributed by Mario Carneiro,
       2-Oct-2015.) $)
    iotabii $p |- ( iota x ph ) = ( iota x ps ) $=
      ( wb cio wceq iotabi mpg ) ABEACFBCFGCABCHDI $.
  $}

  $( Membership law for descriptions.

     This can be useful for expanding an unbounded iota-based definition (see
     ~ df-iota ).  If you have a bounded iota-based definition, ~ riotacl2 may
     be useful.

     (Contributed by Andrew Salmon, 1-Aug-2011.) $)
  iotacl $p |- ( E! x ph -> ( iota x ph ) e. { x | ph } ) $=
    ( weu cio wsbc cab wcel iota4 df-sbc sylib ) ABCABABDZEKABFGABHABKIJ $.

  ${
    iota2df.1 $e |- ( ph -> B e. V ) $.
    iota2df.2 $e |- ( ph -> E! x ps ) $.
    iota2df.3 $e |- ( ( ph /\ x = B ) -> ( ps <-> ch ) ) $.
    ${
      iota2df.4 $e |- F/ x ph $.
      iota2df.5 $e |- ( ph -> F/ x ch ) $.
      iota2df.6 $e |- ( ph -> F/_ x B ) $.
      $( A condition that allows us to represent "the unique element such that
         ` ph ` " with a class expression ` A ` .  (Contributed by NM,
         30-Dec-2014.) $)
      iota2df $p |- ( ph -> ( ch <-> ( iota x ps ) = B ) ) $=
        ( cio cv wceq wb wa simpr eqeq2d bibi12d weu iota1 syl wnfc nfiota1 a1i
        nfeqd nfbid vtocldf ) ABBDMZDNZOZPZCUJEOZPDEFGAUKEOZQZBCULUNIUPUKEUJAUO
        RSTABDUAUMHBDUBUCJLACUNDKADUJEDUJUDABDUEUFLUGUHUI $.
    $}

    $d x B $.  $d x ph $.  $d x ch $.
    $( A condition that allows us to represent "the unique element such that
       ` ph ` " with a class expression ` A ` .  (Contributed by NM,
       30-Dec-2014.) $)
    iota2d $p |- ( ph -> ( ch <-> ( iota x ps ) = B ) ) $=
      ( nfv nfvd nfcvd iota2df ) ABCDEFGHIADJACDKADELM $.
  $}

  ${
    $d A x $.  $d ps x $.
    iota2.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( The unique element such that ` ph ` .  (Contributed by Jeff Madsen,
       1-Jun-2011.)  (Revised by Mario Carneiro, 23-Dec-2016.) $)
    iota2 $p |- ( ( A e. B /\ E! x ph ) -> ( ps <-> ( iota x ph ) = A ) ) $=
      ( wcel cvv weu cio wceq wb elex wa simpl simpr cv adantl nfv nfeu1 nfcvd
      nfan nfvd iota2df sylan ) DEGDHGZACIZBACJDKLDEMUFUGNZABCDHUFUGOUFUGPCQDKA
      BLUHFRUFUGCUFCSACTUBUHBCUCUHCDUAUDUE $.
  $}

  ${
    $d A x $.  $d ps x $.
    iotan0.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Representation of "the unique element such that ` ph ` " with a class
       expression ` A ` which is not the empty set (that means that "the unique
       element such that ` ph ` " exists).  (Contributed by AV,
       30-Jan-2024.) $)
    iotan0 $p |- ( ( A e. V /\ A =/= (/) /\ A = ( iota x ph ) ) -> ps ) $=
      ( wcel c0 wne cio wceq w3a weu pm13.18 expcom iotanul necon1ai syl6 a1i
      wi 3imp wa eqcom iota2 biimprd syl5bi impancom 3adant2 mpd ) DEGZDHIZDACJ
      ZKZLACMZBUJUKUMUNUKUMUNTTUJUKUMULHIZUNUMUKUODULHNOUNULHACPQRSUAUJUMUNBTUK
      UJUNUMBUMULDKZUJUNUBZBDULUCUQBUPABCDEFUDUEUFUGUHUI $.
  $}

  $( A class abstraction with a unique member can be expressed as a singleton.
     (Contributed by Mario Carneiro, 23-Dec-2016.) $)
  sniota $p |- ( E! x ph -> { x | ph } = { ( iota x ph ) } ) $=
    ( weu cab cio nfeu1 nfab1 nfiota1 nfsn cv wceq wcel iota1 eqcom bitrdi abid
    csn velsn 3bitr4g eqrd ) ABCZBABDZABEZQZABFABGBUCABHIUAABJZUCKZUEUBLUEUDLUA
    AUCUEKUFABMUCUENOABPBUCRST $.

  $( The ` iota ` operation using the ` if ` operator.  (Contributed by Scott
     Fenton, 6-Oct-2017.)  (Proof shortened by JJ, 28-Oct-2021.) $)
  dfiota4 $p |- ( iota x ph ) = if ( E! x ph , U. { x | ph } , (/) ) $=
    ( cio weu cab cuni c0 cif wceq wi wn iotauni iotanul ifval mpbir2an ) ABCZA
    BDZABEFZGHIQPRIJQKPGIJABLABMQPRGNO $.

  ${
    $d A y z $.  $d x y z $.  $d ph z $.
    $( Class substitution within a description binder.  (Contributed by Scott
       Fenton, 6-Oct-2017.)  (Revised by NM, 23-Aug-2018.) $)
    csbiota $p |- [_ A / x ]_ ( iota y ph ) = ( iota y [. A / x ]. ph ) $=
      ( vz cvv wcel cio csb wsbc wceq cv wsb csbeq1 dfsbcq2 iotabidv eqeq12d wn
      c0 con3i vex nfs1v nfiotaw weq sbequ12 csbief vtoclg csbprc wex weu sbcex
      nexdv euex iotanul 3syl eqtr4d pm2.61i ) DFGZBDACHZIZABDJZCHZKZBELZUSIZAB
      EMZCHZKVCEDFVDDKZVEUTVGVBBVDDUSNVHVFVACABEDOPQBVDUSVGEUAVFBCABEUBUCBEUDAV
      FCABEUEPUFUGURRZUTSVBBDUSUHVIVACUIZRVACUJZRVBSKVIVACVAURABDUKTULVKVJVACUM
      TVACUNUOUPUQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c : $.  $( Colon $)
  $c Fun $.  $( Function predicate $)
  $c Fn $.  $( Function connective $)
  $c --> $.  $( Domain-codomain connective $)
  $c -1-1-> $.  $( 'One-to-one' domain-codomain connective $)
  $c -onto-> $.  $( 'Onto' domain-codomain connective $)
  $c -1-1-onto-> $.  $( 'One-to-one' and 'onto' domain-codomain connective $)
  $c ` $.  $( Left apostrophe or backtick, backquote (function value symbol) $)
  $c Isom $.  $( Isomorphism $)

  $( Extend the definition of a wff to include the function predicate.  (Read:
     ` A ` is a function.) $)
  wfun $a wff Fun A $.

  $( Extend the definition of a wff to include the function predicate with a
     domain.  (Read: ` A ` is a function on ` B ` .) $)
  wfn $a wff A Fn B $.

  $( Extend the definition of a wff to include the function predicate with
     domain and codomain.  (Read: ` F ` maps ` A ` into ` B ` .) $)
  wf $a wff F : A --> B $.

  $( Extend the definition of a wff to include one-to-one functions.  (Read:
     ` F ` maps ` A ` one-to-one into ` B ` .)  The notation ("1-1" above the
     arrow) is from Definition 6.15(5) of [TakeutiZaring] p. 27. $)
  wf1 $a wff F : A -1-1-> B $.

  $( Extend the definition of a wff to include onto functions.  (Read: ` F `
     maps ` A ` onto ` B ` .)  The notation ("onto" below the arrow) is from
     Definition 6.15(4) of [TakeutiZaring] p. 27. $)
  wfo $a wff F : A -onto-> B $.

  $( Extend the definition of a wff to include one-to-one onto functions.
     (Read: ` F ` maps ` A ` one-to-one onto ` B ` .)  The notation ("1-1"
     above the arrow and "onto" below the arrow) is from Definition 6.15(6) of
     [TakeutiZaring] p. 27. $)
  wf1o $a wff F : A -1-1-onto-> B $.

  $( Extend the definition of a class to include the value of a function.
     Read:  "the value of ` F ` at ` A ` ", or " ` F ` of ` A ` ". $)
  cfv $a class ( F ` A ) $.

  $( Extend the definition of a wff to include the isomorphism property.  Read:
      " ` H ` is an ` R ` , ` S ` isomorphism of ` A ` onto ` B ` ". $)
  wiso $a wff H Isom R , S ( A , B ) $.

  ${
    $d x A $.  $d x F $.
    $( Define predicate that determines if some class ` A ` is a function.
       Definition 10.1 of [Quine] p. 65.  For example, the expression
       ` Fun cos ` is true once we define cosine ( ~ df-cos ).  This is not the
       same as defining a specific function's mapping, which is typically done
       using the format of ~ cmpt with the maps-to notation (see ~ df-mpt and
       ~ df-mpo ).  Contrast this predicate with the predicates to determine if
       some class is a function with a given domain ( ~ df-fn ), a function
       with a given domain and codomain ( ~ df-f ), a one-to-one function
       ( ~ df-f1 ), an onto function ( ~ df-fo ), or a one-to-one onto function
       ( ~ df-f1o ).  For alternate definitions, see ~ dffun2 , ~ dffun3 ,
       ~ dffun4 , ~ dffun5 , ~ dffun6 , ~ dffun7 , ~ dffun8 , and ~ dffun9 .
       (Contributed by NM, 1-Aug-1994.) $)
    df-fun $a |- ( Fun A <-> ( Rel A /\ ( A o. `' A ) C_ _I ) ) $.

    $( Define a function with domain.  Definition 6.15(1) of [TakeutiZaring]
       p. 27.  For alternate definitions, see ~ dffn2 , ~ dffn3 , ~ dffn4 , and
       ~ dffn5 .  (Contributed by NM, 1-Aug-1994.) $)
    df-fn $a |- ( A Fn B <-> ( Fun A /\ dom A = B ) ) $.

    $( Define a function (mapping) with domain and codomain.  Definition
       6.15(3) of [TakeutiZaring] p. 27. ` F : A --> B ` can be read as " ` F `
       is a function from ` A ` to ` B ` ".  For alternate definitions, see
       ~ dff2 , ~ dff3 , and ~ dff4 .  (Contributed by NM, 1-Aug-1994.) $)
    df-f $a |- ( F : A --> B <-> ( F Fn A /\ ran F C_ B ) ) $.

    $( Define a one-to-one function.  For equivalent definitions see ~ dff12
       and ~ dff13 .  Compare Definition 6.15(5) of [TakeutiZaring] p. 27.  We
       use their notation ("1-1" above the arrow).

       A one-to-one function is also called an "injection" or an "injective
       function", ` F : A -1-1-> B ` can be read as " ` F ` is an injection
       from ` A ` into ` B ` ".  Injections are precisely the monomorphisms in
       the category ` SetCat ` of sets and set functions, see ~ setcmon .
       (Contributed by NM, 1-Aug-1994.) $)
    df-f1 $a |- ( F : A -1-1-> B <-> ( F : A --> B /\ Fun `' F ) ) $.

    $( Define an onto function.  Definition 6.15(4) of [TakeutiZaring] p. 27.
       We use their notation ("onto" under the arrow).  For alternate
       definitions, see ~ dffo2 , ~ dffo3 , ~ dffo4 , and ~ dffo5 .

       An onto function is also called a "surjection" or a "surjective
       function", ` F : A -onto-> B ` can be read as " ` F ` is a surjection
       from ` A ` onto ` B ` ".  Surjections are precisely the epimorphisms in
       the category ` SetCat ` of sets and set functions, see ~ setcepi .
       (Contributed by NM, 1-Aug-1994.) $)
    df-fo $a |- ( F : A -onto-> B <-> ( F Fn A /\ ran F = B ) ) $.

    $( Define a one-to-one onto function.  For equivalent definitions see
       ~ dff1o2 , ~ dff1o3 , ~ dff1o4 , and ~ dff1o5 .  Compare Definition
       6.15(6) of [TakeutiZaring] p. 27.  We use their notation ("1-1" above
       the arrow and "onto" below the arrow).

       A one-to-one onto function is also called a "bijection" or a "bijective
       function", ` F : A -1-1-onto-> B ` can be read as " ` F ` is a bijection
       between ` A ` and ` B ` ".  Bijections are precisely the isomorphisms in
       the category ` SetCat ` of sets and set functions, see ~ setciso .
       Therefore, two sets are called "isomorphic" if there is a bijection
       between them.  According to ~ isof1oidb , two sets are isomorphic iff
       there is an isomorphism ` Isom ` regarding the identity relation.  In
       this case, the two sets are also "equinumerous", see ~ bren .
       (Contributed by NM, 1-Aug-1994.) $)
    df-f1o $a |- ( F : A -1-1-onto-> B <->
                ( F : A -1-1-> B /\ F : A -onto-> B ) ) $.

    $( Define the value of a function, ` ( F `` A ) ` , also known as function
       application.  For example, ` ( cos `` 0 ) = 1 ` (we prove this in ~ cos0
       after we define cosine in ~ df-cos ).  Typically, function ` F ` is
       defined using maps-to notation (see ~ df-mpt and ~ df-mpo ), but this is
       not required.  For example,
       ` F = { <. 2 , 6 >. , <. 3 , 9 >. } -> ( F `` 3 ) = 9 ` ( ~ ex-fv ).
       Note that ~ df-ov will define two-argument functions using ordered pairs
       as ` ( A F B ) = ( F `` <. A , B >. ) ` .  This particular definition is
       quite convenient: it can be applied to any class and evaluates to the
       empty set when it is not meaningful (as shown by ~ ndmfv and ~ fvprc ).
       The left apostrophe notation originated with Peano and was adopted in
       Definition *30.01 of [WhiteheadRussell] p. 235, Definition 10.11 of
       [Quine] p. 68, and Definition 6.11 of [TakeutiZaring] p. 26.  It means
       the same thing as the more familiar ` F ( A ) ` notation for a
       function's value at ` A ` , i.e., " ` F ` of ` A ` ", but without
       context-dependent notational ambiguity.  Alternate definitions are
       ~ dffv2 , ~ dffv3 , ~ fv2 , and ~ fv3 (the latter two previously
       required ` A ` to be a set.)  Restricted equivalents that require ` F `
       to be a function are shown in ~ funfv and ~ funfv2 .  For the familiar
       definition of function value in terms of ordered pair membership, see
       ~ funopfvb .  (Contributed by NM, 1-Aug-1994.)  Revised to use
       ` iota ` .  Original version is now Theorem ~ dffv4 .  (Revised by Scott
       Fenton, 6-Oct-2017.) $)
    df-fv $a |- ( F ` A ) = ( iota x A F x ) $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.  $d x y S $.  $d x y H $.
    $( Define the isomorphism predicate.  We read this as " ` H ` is an ` R ` ,
       ` S ` isomorphism of ` A ` onto ` B ` ".  Normally, ` R ` and ` S ` are
       ordering relations on ` A ` and ` B ` respectively.  Definition 6.28 of
       [TakeutiZaring] p. 32, whose notation is the same as ours except that
       ` R ` and ` S ` are subscripts.  (Contributed by NM, 4-Mar-1997.) $)
    df-isom $a |- ( H Isom R , S ( A , B ) <-> ( H : A -1-1-onto-> B /\
                 A. x e. A A. y e. A ( x R y <-> ( H ` x ) S ( H ` y ) ) ) ) $.
  $}

  ${
    $d x y z A $.
    $( Alternate definition of a function.  (Contributed by NM,
       29-Dec-1996.) $)
    dffun2 $p |- ( Fun A <-> ( Rel A /\
                 A. x A. y A. z ( ( x A y /\ x A z ) -> y = z ) ) ) $=
      ( wfun wrel cid wss wa cv wbr wal wex copab 3bitri vex albii alcom bitri
      wi ccnv weq df-fun df-id sseq2i df-co sseq1i ssopab2bw brcnv anbi1i exbii
      ccom imbi1i 19.23v bitr4i anbi2i ) DEDFZDDUAZULZGHZIUQAJZBJZDKZVACJDKZIZB
      CUBZTZCLZBLALZIDUCUTVIUQUTVBVAURKZVDIZAMZVFTZCLZBLZVHALZBLVIUTUSVFBCNZHVL
      BCNZVQHVOGVQUSBCUDUEUSVRVQBCADURUFUGVLVFBCUHOVNVPBVNVGALZCLVPVMVSCVMVEAMZ
      VFTVSVLVTVFVKVEAVJVCVDVBVADBPAPUIUJUKUMVEVFAUNUOQVGCARSQVHBAROUPS $.

    $( Alternate definition of function.  (Contributed by NM, 29-Dec-1996.) $)
    dffun3 $p |- ( Fun A <-> ( Rel A /\
                 A. x E. z A. y ( x A y -> y = z ) ) ) $=
      ( wfun wrel cv wbr wa weq wal wex dffun2 wmo breq2 mo4 df-mo bitr3i albii
      wi anbi2i bitri ) DEDFZAGZBGZDHZUDCGZDHZIBCJZTCKBKZAKZIUCUFUITBKCLZAKZIAB
      CDMUKUMUCUJULAUJUFBNULUFUHBCUEUGUDDOPUFBCQRSUAUB $.

    $( Alternate definition of a function.  Definition 6.4(4) of
       [TakeutiZaring] p. 24.  (Contributed by NM, 29-Dec-1996.) $)
    dffun4 $p |- ( Fun A <-> ( Rel A /\
                 A. x A. y A. z ( ( <. x , y >. e. A /\ <. x , z >. e. A )
                 -> y = z ) ) ) $=
      ( wfun wrel cv wbr wa weq wal cop wcel dffun2 df-br anbi12i imbi1i 2albii
      wi albii anbi2i bitri ) DEDFZAGZBGZDHZUDCGZDHZIZBCJZSZCKZBKAKZIUCUDUELDMZ
      UDUGLDMZIZUJSZCKZBKAKZIABCDNUMUSUCULURABUKUQCUIUPUJUFUNUHUOUDUEDOUDUGDOPQ
      TRUAUB $.

    $( Alternate definition of function.  (Contributed by NM, 29-Dec-1996.) $)
    dffun5 $p |- ( Fun A <-> ( Rel A /\
                 A. x E. z A. y ( <. x , y >. e. A -> y = z ) ) ) $=
      ( wfun wrel cv wbr weq wi wal wex wa wcel dffun3 df-br imbi1i albii exbii
      cop anbi2i bitri ) DEDFZAGZBGZDHZBCIZJZBKZCLZAKZMUCUDUETDNZUGJZBKZCLZAKZM
      ABCDOUKUPUCUJUOAUIUNCUHUMBUFULUGUDUEDPQRSRUAUB $.
  $}

  ${
    $d x y w v u $.  $d A w v u $.
    dffun6f.1 $e |- F/_ x A $.
    dffun6f.2 $e |- F/_ y A $.
    $( Definition of function, using bound-variable hypotheses instead of
       distinct variable conditions.  (Contributed by NM, 9-Mar-1995.)
       (Revised by Mario Carneiro, 15-Oct-2016.) $)
    dffun6f $p |- ( Fun A <-> ( Rel A /\ A. x E* y x A y ) ) $=
      ( vw vv vu wfun wrel cv wbr weq wal wa wmo nfcv nfbr nfv albii wex dffun3
      wi breq2 cbvmow df-mo nfmov breq1 mobidv cbvalv1 3bitr3ri anbi2i bitr4i )
      CICJZFKZGKZCLZGHMUCGNHUAZFNZOUNAKZBKZCLZBPZANZOFGHCUBVDUSUNUQGPZFNUOVACLZ
      BPZFNUSVDVEVGFUQVFGBBUOUPCBUOQEBUPQRVFGSUPVAUOCUDUETVEURFUQGHUFTVGVCFAVFA
      BAUOVACAUOQDAVAQRUGVCFSFAMVFVBBUOUTVACUHUIUJUKULUM $.
  $}

  ${
    $d x y A $.  $d x y F $.
    $( Alternate definition of a function using "at most one" notation.
       (Contributed by NM, 9-Mar-1995.) $)
    dffun6 $p |- ( Fun F <-> ( Rel F /\ A. x E* y x F y ) ) $=
      ( nfcv dffun6f ) ABCACDBCDE $.

    $( A function has at most one value for each argument.  (Contributed by NM,
       24-May-1998.) $)
    funmo $p |- ( Fun F -> E* y A F y ) $=
      ( vx wfun cv wbr cvv wcel wa wi wal wrel dffun6 simplbi brrelex1 ex ancrd
      wmo syl alrimiv breq1 mobidv imbi2d simprbi 19.21bi vtoclg moanimv sylibr
      wceq com12 moim sylc ) CEZBAFZCGZBHIZUPJZKZALURASZUPASZUNUSAUNUPUQUNCMZUP
      UQKUNVBDFZUOCGZASZDLZDACNZOVBUPUQBUOCPQTRUAUNUQVAKUTUQUNVAUNVEKUNVAKDBHVC
      BUJZVEVAUNVHVDUPAVCBUOCUBUCUDUNVEDUNVBVFVGUEUFUGUKUQUPAUHUIUPURAULUM $.
  $}

  $( A function is a relation.  (Contributed by NM, 1-Aug-1994.) $)
  funrel $p |- ( Fun A -> Rel A ) $=
    ( wfun wrel ccnv ccom cid wss df-fun simplbi ) ABACAADEFGAHI $.

  $( A function does not contain the empty set.  (Contributed by BJ,
     26-Nov-2021.) $)
  0nelfun $p |- ( Fun R -> (/) e/ R ) $=
    ( wfun wrel c0 wnel funrel 0nelrel syl ) ABACDAEAFAGH $.

  $( Subclass theorem for function predicate.  (Contributed by NM,
     16-Aug-1994.)  (Proof shortened by Mario Carneiro, 24-Jun-2014.) $)
  funss $p |- ( A C_ B -> ( Fun B -> Fun A ) ) $=
    ( wss wrel ccnv ccom cid wa wfun relss wi coss1 cnvss coss2 syl sstrd sstr2
    anim12d df-fun 3imtr4g ) ABCZBDZBBEZFZGCZHADZAAEZFZGCZHBIAIUAUBUFUEUIABJUAU
    HUDCUEUIKUAUHBUGFZUDABUGLUAUGUCCUJUDCABMUGUCBNOPUHUDGQORBSAST $.

  $( Equality theorem for function predicate.  (Contributed by NM,
     16-Aug-1994.) $)
  funeq $p |- ( A = B -> ( Fun A <-> Fun B ) ) $=
    ( wceq wfun wss wi eqimss2 funss syl eqimss impbid ) ABCZADZBDZLBAEMNFBAGBA
    HILABENMFABJABHIK $.

  ${
    funeqi.1 $e |- A = B $.
    $( Equality inference for the function predicate.  (Contributed by Jonathan
       Ben-Naim, 3-Jun-2011.) $)
    funeqi $p |- ( Fun A <-> Fun B ) $=
      ( wceq wfun wb funeq ax-mp ) ABDAEBEFCABGH $.
  $}

  ${
    funeqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for the function predicate.  (Contributed by NM,
       23-Feb-2013.) $)
    funeqd $p |- ( ph -> ( Fun A <-> Fun B ) ) $=
      ( wceq wfun wb funeq syl ) ABCEBFCFGDBCHI $.
  $}

  ${
    nffun.1 $e |- F/_ x F $.
    $( Bound-variable hypothesis builder for a function.  (Contributed by NM,
       30-Jan-2004.) $)
    nffun $p |- F/ x Fun F $=
      ( wfun wrel ccnv ccom cid wa df-fun nfrel nfcnv nfco nfcv nfss nfan nfxfr
      wss ) BDBEZBBFZGZHRZIABJSUBAABCKAUAHABTCABCLMAHNOPQ $.
  $}

  ${
    $d A w y z $.  $d F w y z $.  $d V w y z $.  $d x w y z $.
    $( Distribute proper substitution through the function predicate.
       (Contributed by Alexander van der Vekens, 23-Jul-2017.) $)
    sbcfung $p |- ( A e. V -> ( [. A / x ]. Fun F <-> Fun [_ A / x ]_ F ) ) $=
      ( vw vz vy wrel cv wbr wi wal wex wa wsbc csb wfun sbcal csbconstg syl5bb
      wcel weq sbcan sbcrel sbcex2 sbcimg sbcbr123 breq12d imbi12d bitrd albidv
      sbcg exbidv anbi12d dffun3 sbcbii 3bitr4g ) BDUAZCHZEIZFIZCJZFGUBZKZFLZGM
      ZELZNZABOZABCPZHZUTVAVJJZVCKZFLZGMZELZNZCQZABOVJQVIUSABOZVGABOZNURVQUSVGA
      BUCURVSVKVTVPABCDUDVTVFABOZELURVPVFEABRURWAVOEWAVEABOZGMURVOVEGABUEURWBVN
      GWBVDABOZFLURVNVDFABRURWCVMFURWCVBABOZVCABOZKVMVBVCABDUFURWDVLWEVCWDABUTP
      ZABVAPZVJJURVLABUTVACUGURWFUTWGVAVJABUTDSABVADSUHTVCABDULUIUJUKTUMTUKTUNT
      VRVHABEFGCUOUPEFGVJUOUQ $.
  $}

  ${
    $d y A $.  $d y F $.
    $( There is exactly one value of a function.  (Contributed by NM,
       22-Apr-2004.)  (Proof shortened by Andrew Salmon, 17-Sep-2011.) $)
    funeu $p |- ( ( Fun F /\ A F B ) -> E! y A F y ) $=
      ( wfun wbr wa cv wex weu cdm wcel wrel funrel releldm sylan eldmg ibi syl
      wmo wi funmo adantr moeu sylib mpd ) DEZBCDFZGZBAHDFZAIZUJAJZUIBDKZLZUKUG
      DMUHUNDNBCDOPUNUKABDUMQRSUIUJATZUKULUAUGUOUHABDUBUCUJAUDUEUF $.

    $( There is exactly one value of a function.  (Contributed by NM,
       3-Aug-1994.) $)
    funeu2 $p |- ( ( Fun F /\ <. A , B >. e. F ) -> E! y <. A , y >. e. F ) $=
      ( cop wcel wfun wbr cv weu df-br wa funeu eubii sylib sylan2br ) BCEDFDGZ
      BCDHZBAIZEDFZAJZBCDKQRLBSDHZAJUAABCDMUBTABSDKNOP $.
  $}

  ${
    $d x y A $.
    $( Alternate definition of a function.  One possibility for the definition
       of a function in [Enderton] p. 42.  (Enderton's definition is ambiguous
       because "there is only one" could mean either "there is at most one" or
       "there is exactly one".  However, ~ dffun8 shows that it does not matter
       which meaning we pick.)  (Contributed by NM, 4-Nov-2002.) $)
    dffun7 $p |- ( Fun A <-> ( Rel A /\ A. x e. dom A E* y x A y ) ) $=
      ( wfun wrel cv wbr wmo wal wa cdm wral dffun6 wcel wi wex vex eldm bitr4i
      moabs imbi1i albii df-ral anbi2i bitri ) CDCEZAFZBFCGZBHZAIZJUFUIACKZLZJA
      BCMUJULUFUJUGUKNZUIOZAIULUIUNAUIUHBPZUIOUNUHBTUMUOUIBUGCAQRUASUBUIAUKUCSU
      DUE $.

    $( Alternate definition of a function.  One possibility for the definition
       of a function in [Enderton] p. 42.  Compare ~ dffun7 .  (Contributed by
       NM, 4-Nov-2002.)  (Proof shortened by Andrew Salmon, 17-Sep-2011.) $)
    dffun8 $p |- ( Fun A <-> ( Rel A /\ A. x e. dom A E! y x A y ) ) $=
      ( wfun wrel cv wbr wmo cdm wral wa weu dffun7 wex wi wcel moeu vex eldm
      wb pm5.5 sylbi syl5bb ralbiia anbi2i bitri ) CDCEZAFZBFCGZBHZACIZJZKUGUIB
      LZAUKJZKABCMULUNUGUJUMAUKUJUIBNZUMOZUHUKPZUMUIBQUQUOUPUMTBUHCARSUOUMUAUBU
      CUDUEUF $.

    $( Alternate definition of a function.  (Contributed by NM, 28-Mar-2007.)
       (Revised by NM, 16-Jun-2017.) $)
    dffun9 $p |- ( Fun A <->
                 ( Rel A /\ A. x e. dom A E* y e. ran A x A y ) ) $=
      ( wfun wrel cv wbr wmo cdm wral wa wrmo dffun7 wcel brelrn pm4.71ri mobii
      crn vex df-rmo bitr4i ralbii anbi2i bitri ) CDCEZAFZBFZCGZBHZACIZJZKUEUHB
      CRZLZAUJJZKABCMUKUNUEUIUMAUJUIUGULNZUHKZBHUMUHUPBUHUOUFUGCASBSOPQUHBULTUA
      UBUCUD $.
  $}

  $( A class is a function if and only if it is a function on its domain.
     (Contributed by NM, 13-Aug-2004.) $)
  funfn $p |- ( Fun A <-> A Fn dom A ) $=
    ( wfun cdm wceq wa wfn eqid biantru df-fn bitr4i ) ABZKACZLDZEALFMKLGHALIJ
    $.

  ${
    funfnd.1 $e |- ( ph -> Fun A ) $.
    $( A function is a function on its domain.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    funfnd $p |- ( ph -> A Fn dom A ) $=
      ( wfun cdm wfn funfn sylib ) ABDBBEFCBGH $.
  $}

  $( The identity relation is a function.  Part of Theorem 10.4 of [Quine]
     p. 65.  See also ~ idfn .  (Contributed by NM, 30-Apr-1998.) $)
  funi $p |- Fun _I $=
    ( cid wfun wrel ccnv ccom wss reli wceq relcnv coi2 ax-mp cnvi eqtri df-fun
    eqimssi mpbir2an ) ABACAADZEZAFGRARQAQCRQHAIQJKLMOANP $.

  $( The universal class is not a function.  (Contributed by Raph Levien,
     27-Jan-2004.) $)
  nfunv $p |- -. Fun _V $=
    ( cvv wfun wrel nrelv funrel mto ) ABACDAEF $.

  ${
    $d t u v w x y z A $.  $d t u v w x y z B $.
    $( A Kuratowski ordered pair of sets is a function only if its components
       are equal.  (Contributed by NM, 5-Jun-2008.)  (Revised by Mario
       Carneiro, 26-Apr-2015.)  A function is a class of ordered pairs, so the
       fact that an ordered pair may sometimes be itself a function is an
       "accident" depending on the specific encoding of ordered pairs as
       classes (in set.mm, the Kuratowski encoding).  A more meaningful
       statement is ~ funsng , as ~ relsnopg is to ~ relop .
       (New usage is discouraged.) $)
    funopg $p |- ( ( A e. V /\ B e. W /\ Fun <. A , B >. ) -> A = B ) $=
      ( vu vt vx vy vz vw vv wcel cop wceq cv weq wi cpr vex cvv funeqd imbi12d
      wfun opeq1 eqeq1 opeq2 eqeq2 csn wa wex wrel funrel relop sylib opth opid
      preq1i dfop preq2i snex zfpair2 3eqtr4ri eqeq2i bitr3i wal dffun4 simprbi
      prid1 eleq2 mpbiri prid2 jca w3a opeq12 3adant3 eleq1d 3adant2 anbi12d wb
      opex eqeq12 3adant1 spc3gv mp3an syl2im syl5bi dfsn2 preq2 eqtr2id eqeq2d
      eqtr3 expcom syl6bi com13 imp sylcom exlimdvv mpd vtocl2g 3impia ) ACLBDL
      ABMZUCZABNZEOZFOZMZUCZEFPZQAXEMZUCZAXENZQXBXCQEFABCDXDANZXGXJXHXKXLXFXIXD
      AXEUDUAXDAXEUEUBXEBNZXJXBXKXCXMXIXAXEBAUFUAXEBAUGUBXGXDGOZUHZNZXEXNHOZRZN
      ZUIZHUJGUJZXHXGXFUKZYAXFULGHXDXEESZFSZUMUNXGXTXHGHXGXTGHPZXHXTXFXNXNMZXNX
      QMZRZNZXGYEXTXFXOXRMZNYIXDXEXOXRYCYDUOYJYHXFYFXOXRRZRXOUHZYKRYHYJYFYLYKXN
      GSZUPUQYGYKYFXNXQYMHSZURUSXOXRXNUTGHVAURVBVCVDXGIOZJOZMZXFLZYOKOZMZXFLZUI
      ZJKPZQZKVEJVEIVEZYIYFXFLZYGXFLZUIZYEXGYBUUEIJKXFVFVGYIUUFUUGYIUUFYFYHLYFY
      GXNXNVTVHXFYHYFVIVJYIUUGYGYHLYFYGXNXQVTVKXFYHYGVIVJVLXNTLZUUIXQTLUUEUUHYE
      QZQYMYMYNUUDUUJIJKXNXNXQTTTIGPZJGPZKHPZVMZUUBUUHUUCYEUUNYRUUFUUAUUGUUNYQY
      FXFUUKUULYQYFNUUMYOYPXNXNVNVOVPUUNYTYGXFUUKUUMYTYGNUULYOYSXNXQVNVQVPVRUUL
      UUMUUCYEVSUUKYPXNYSXQWAWBUBWCWDWEWFXPXSYEXHQYEXSXPXHYEXSXEXONZXPXHQYEXRXO
      XEYEXOXNXNRXRXNWGXNXQXNWHWIWJXPUUOXHXDXEXOWKWLWMWNWOWPWQWRWSWT $.
  $}

  ${
    $d x y $.
    $( A class of ordered pairs is a function when there is at most one second
       member for each pair.  (Contributed by NM, 16-May-1995.) $)
    funopab $p |- ( Fun { <. x , y >. | ph } <-> A. x E* y ph ) $=
      ( copab wfun cv wbr wmo wal wrel relopabv nfopab1 nfopab2 dffun6f mpbiran
      cop wcel df-br opabidw bitri mobii albii ) ABCDZEZBFZCFZUCGZCHZBIZACHZBIU
      DUCJUIABCKBCUCABCLABCMNOUHUJBUGACUGUEUFPUCQAUEUFUCRABCSTUAUBT $.
  $}

  ${
    $d x y $.  $d y A $.
    $( A class of ordered pairs of values is a function.  (Contributed by NM,
       14-Nov-1995.) $)
    funopabeq $p |- Fun { <. x , y >. | y = A } $=
      ( cv wceq copab wfun wmo funopab moeq mpgbir ) BDCEZABFGLBHALABIBCJK $.

    $( A class of ordered pairs of values in the form used by ~ df-mpt is a
       function.  (Contributed by NM, 17-Feb-2013.) $)
    funopab4 $p |- Fun { <. x , y >. | ( ph /\ y = A ) } $=
      ( cv wceq wa copab wss wfun simpr ssopab2i funopabeq funss mp2 ) ACEDFZGZ
      BCHZPBCHZISJRJQPBCAPKLBCDMRSNO $.
  $}

  ${
    $d A y $.  $d B y $.  $d x y $.
    $( A function in maps-to notation is a function.  (Contributed by Mario
       Carneiro, 13-Jan-2013.) $)
    funmpt $p |- Fun ( x e. A |-> B ) $=
      ( vy cmpt wfun cv wcel wceq wa copab funopab4 df-mpt funeqi mpbir ) ABCEZ
      FAGBHZDGCIJADKZFQADCLPRADBCMNO $.
  $}

  ${
    funmpt2.1 $e |- F = ( x e. A |-> B ) $.
    $( Functionality of a class given by a maps-to notation.  (Contributed by
       FL, 17-Feb-2008.)  (Revised by Mario Carneiro, 31-May-2014.) $)
    funmpt2 $p |- Fun F $=
      ( wfun cmpt funmpt funeqi mpbir ) DFABCGZFABCHDKEIJ $.
  $}

  ${
    $d x y z F $.  $d x y z G $.
    $( The composition of two functions is a function.  Exercise 29 of
       [TakeutiZaring] p. 25.  (Contributed by NM, 26-Jan-1997.)  (Proof
       shortened by Andrew Salmon, 17-Sep-2011.) $)
    funco $p |- ( ( Fun F /\ Fun G ) -> Fun ( F o. G ) ) $=
      ( vx vz vy wfun wa cv wbr wex copab ccom wmo wal alrimiv moexexvw syl2anr
      funmo funopab sylibr df-co funeqi ) AFZBFZGZCHZDHZBIZUGEHAIZGDJZCEKZFZABL
      ZFUEUJEMZCNULUEUNCUDUHDMUIEMZDNUNUCDUFBRUCUODEUGAROUHUIDEPQOUJCESTUMUKCED
      ABUAUBT $.
  $}

  $( Composition of two functions, generalization of ~ funco .  (Contributed by
     Alexander van der Vekens, 25-Jul-2017.) $)
  funresfunco $p |- ( ( Fun ( F |` ran G ) /\ Fun G ) -> Fun ( F o. G ) ) $=
    ( crn cres wfun ccom funco wss wceq ssid cores ax-mp eqcomi funeqi sylibr
    wa ) ABCZDZEBEPRBFZEABFZERBGTSSTQQHSTIQJABQKLMNO $.

  $( A restriction of a function is a function.  Compare Exercise 18 of
     [TakeutiZaring] p. 25.  (Contributed by NM, 16-Aug-1994.) $)
  funres $p |- ( Fun F -> Fun ( F |` A ) ) $=
    ( cres wss wfun wi resss funss ax-mp ) BACZBDBEJEFBAGJBHI $.

  ${
    funresd.1 $e |- ( ph -> Fun F ) $.
    $( A restriction of a function is a function.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    funresd $p |- ( ph -> Fun ( F |` A ) ) $=
      ( wfun cres funres syl ) ACECBFEDBCGH $.
  $}

  ${
    $d x y F $.  $d x y G $.
    $( The restriction of a function to the domain of a subclass equals the
       subclass.  (Contributed by NM, 15-Aug-1994.) $)
    funssres $p |- ( ( Fun F /\ G C_ F ) -> ( F |` dom G ) = G ) $=
      ( vx vy wfun wss wa cdm cres wceq cv cop wcel wb wal vex wi wex imp wrel
      opelresi opeldm a1i ssel jcad adantl weu funeu2 eldm2 ancrd eximdv syl5bi
      eupick syl2an exp43 pm2.43d impcomd impbid bitr4id alrimivv relres funrel
      com23 com34 relss mpan9 eqrel sylancr mpbird ) AEZBAFZGZABHZIZBJZCKZDKZLZ
      VNMZVRBMZNZDOCOZVLWACDVLVSVPVMMZVRAMZGZVTVMVPVQADPZUAVLVTWEVKVTWEQVJVKVTW
      CWDVTWCQVKVPVQBCPZWFUBUCBAVRUDZUEUFVLWDWCVTVLWDWCVTQVLWDWCWDVTVJVKWDWCWDV
      TQZQZQVJWDVKWJVJWDVKWCWIVJWDGWDDUGWDVTGZDRZWIVKWCGDVPVQAUHVKWCWLWCVTDRVKW
      LDVPBWGUIVKVTWKDVKVTWDWHUJUKULSWDVTDUMUNUOVCSVDUPUQURUSUTVLVNTBTZVOWBNAVM
      VAVJATVKWMAVBBAVEVFCDVNBVGVHVI $.
  $}

  $( Equality of restrictions of a function and a subclass.  (Contributed by
     NM, 16-Aug-1994.) $)
  fun2ssres $p |- ( ( Fun F /\ G C_ F /\ A C_ dom G ) ->
                  ( F |` A ) = ( G |` A ) ) $=
    ( wfun wss cdm cres wceq wa resabs1 eqcomd funssres reseq1d sylan9eqr 3impa
    ) BDZCBEZACFZEZBAGZCAGZHSPQIZTBRGZAGZUASUDTBARJKUBUCCABCLMNO $.

  ${
    $d x y z F $.  $d x y z G $.
    $( The union of functions with disjoint domains is a function.  Theorem 4.6
       of [Monk1] p. 43.  (Contributed by NM, 12-Aug-1994.) $)
    funun $p |- ( ( ( Fun F /\ Fun G ) /\ ( dom F i^i dom G ) = (/) ) ->
                Fun ( F u. G ) ) $=
      ( vx vy vz wfun wa cdm wrel cv wi wal anim12i wo wn 19.21bi opeldm dffun4
      wcel vex cin c0 wceq cun cop funrel relun sylibr elun anbi12i anddi bitri
      adantr disj1 biimpi imnan sylib nsyl orel2 syl con2d orel1 orim12d adantl
      syl5bi simprbi 19.21bbi jaao syld alrimiv alrimivv sylanbrc ) AFZBFZGZAHZ
      BHZUAUBUCZGZABUDZIZCJZDJZUEZVTSZWBEJZUEZVTSZGZWCWFUCZKZELZDLCLVTFVOWAVRVO
      AIZBIZGWAVMWMVNWNAUFBUFMABUGUHUMVSWLCDVSWKEVSWIWDASZWGASZGZWDBSZWGBSZGZNZ
      WJWIWQWOWSGZNZWRWPGZWTNZNZVSXAWIWOWRNZWPWSNZGXFWEXGWHXHWDABUIWGABUIUJWOWR
      WPWSUKULVRXFXAKVOVRXCWQXEWTVRXBOXCWQKVRWBVPSZWBVQSZGZXBVRXIXJOKZXKOVRXLCV
      RXLCLCVPVQUNUOPZXIXJUPUQWOXIWSXJWBWCACTZDTZQWBWFBXNETZQMURXBWQUSUTVRXDOXE
      WTKVRXJXIGZXDVRXJXIOKXQOVRXIXJXMVAXJXIUPUQWRXJWPXIWBWCBXNXOQWBWFAXNXPQMUR
      XDWTVBUTVCVDVEVOXAWJKVRVMWQWJVNWTVMWQWJKZDEVMXRELDLZCVMWMXSCLCDEARVFPVGVN
      WTWJKZDEVNXTELDLZCVNWNYACLCDEBRVFPVGVHUMVIVJVKCDEVTRVL $.
  $}

  ${
    $d x y $.  $d F y $.  $d G y $.
    $( If the union of classes is a function, there is at most one element in
       relation to an arbitrary element regarding one of these classes.
       (Contributed by AV, 18-Jul-2019.) $)
    fununmo $p |- ( Fun ( F u. G ) -> E* y x F y ) $=
      ( cun wfun cv wbr wmo funmo wo orc brun sylibr moimi syl ) CDEZFAGZBGZQHZ
      BIRSCHZBIBRQJUATBUAUARSDHZKTUAUBLRSCDMNOP $.
  $}

  ${
    $d F x y $.  $d G x y $.
    $( If the union of classes is a function, the classes itselves are
       functions.  (Contributed by AV, 18-Jul-2019.) $)
    fununfun $p |- ( Fun ( F u. G ) -> ( Fun F /\ Fun G ) ) $=
      ( vx vy wrel wa cun funrel relun sylib cv wbr wmo fununmo alrimiv anim12i
      wfun wal dffun6 sylibr simpl simpr uncom funeqi sylbi jca mpancom ) AEZBE
      ZFZABGZQZAQZBQZFULUKEUJUKHABIJUJULFZUMUNUOUHCKZDKZALDMZCRZFUMUJUHULUSUHUI
      UAULURCCDABNOPCDASTUOUIUPUQBLDMZCRZFUNUJUIULVAUHUIUBULUTCULBAGZQUTUKVBABU
      CUDCDBANUEOPCDBSTUFUG $.
  $}

  ${
    $d A x y z $.  $d F x y z $.
    $( A function with removed elements is still a function.  (Contributed by
       AV, 7-Jun-2021.) $)
    fundif $p |- ( Fun F -> Fun ( F \ A ) ) $=
      ( vx vy vz wrel cv wbr wa weq wi wal cdif reldif wn brdif pm2.27 ad2ant2r
      wfun dffun2 syl2anb com12 alimi 2alimi anim12i 3imtr4i ) BFZCGZDGZBHZUHEG
      ZBHZIZDEJZKZELZDLCLZIBAMZFZUHUIURHZUHUKURHZIZUNKZELZDLCLZIBSURSUGUSUQVEBA
      NUPVDCDUOVCEVBUOUNUTUJUHUIAHOZIULUHUKAHOZIUOUNKZVAUHUIBAPUHUKBAPUJULVHVFV
      GUMUNQRUAUBUCUDUECDEBTCDEURTUF $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The converse singleton of an ordered pair is a function.  This is
       equivalent to ~ funsn via ~ cnvsn , but stating it this way allows us to
       skip the sethood assumptions on ` A ` and ` B ` .  (Contributed by NM,
       30-Apr-2015.) $)
    funcnvsn $p |- Fun `' { <. A , B >. } $=
      ( vx vy cop csn ccnv wfun wrel cv wbr wmo wal relcnv wceq moeq wcel brcnv
      vex df-br bitri elsni opth1 syl sylbi moimi ax-mp ax-gen dffun6 mpbir2an
      ) ABEZFZGZHUMICJZDJZUMKZDLZCMULNUQCUOAOZDLUQDAPUPURDUPUOUNEZULQZURUPUOUNU
      LKUTUNUOULCSZDSZRUOUNULTUAUTUSUKOURUSUKUBUOUNABVBVAUCUDUEUFUGUHCDUMUIUJ
      $.

    $( A singleton of an ordered pair is a function.  Theorem 10.5 of [Quine]
       p. 65.  (Contributed by NM, 28-Jun-2011.) $)
    funsng $p |- ( ( A e. V /\ B e. W ) -> Fun { <. A , B >. } ) $=
      ( wcel wa cop csn ccnv wfun funcnvsn wceq cnvsng ancoms funeqd mpbii ) AC
      EZBDEZFZBAGHIZJABGHZJBAKSTUARQTUALBADCMNOP $.

    $( Functionality and domain of the singleton of an ordered pair.
       (Contributed by Mario Carneiro, 30-Apr-2015.) $)
    fnsng $p |- ( ( A e. V /\ B e. W ) -> { <. A , B >. } Fn { A } ) $=
      ( wcel wa cop csn wfun cdm wceq wfn funsng dmsnopg adantl df-fn sylanbrc
      ) ACEZBDEZFABGHZITJAHZKZTUALABCDMSUBRABDNOTUAPQ $.

    funsn.1 $e |- A e. _V $.
    funsn.2 $e |- B e. _V $.
    $( A singleton of an ordered pair is a function.  Theorem 10.5 of [Quine]
       p. 65.  (Contributed by NM, 12-Aug-1994.) $)
    funsn $p |- Fun { <. A , B >. } $=
      ( cvv wcel cop csn wfun funsng mp2an ) AEFBEFABGHICDABEEJK $.
  $}

  $( A set of two pairs is a function if their first members are different.
     (Contributed by FL, 26-Jun-2011.)  (Proof shortened by JJ,
     14-Jul-2021.) $)
  funprg $p |- ( ( ( A e. V /\ B e. W ) /\ ( C e. X /\ D e. Y ) /\ A =/= B )
     -> Fun { <. A , C >. , <. B , D >. } ) $=
    ( wcel wa wne w3a cop csn wfun cdm cin c0 funsng dmsnopg cun wceq ineqan12d
    cpr anim12i an4s 3adant3 disjsn2 sylan9eq 3adant1 funun df-pr funeqi sylibr
    syl2anc ) AEIZBFIZJZCGIZDHIZJZABKZLZACMZNZBDMZNZUAZOZVDVFUDZOVCVEOZVGOZJZVE
    PZVGPZQZRUBZVIURVAVMVBUPUSUQUTVMUPUSJVKUQUTJVLACEGSBDFHSUEUFUGVAVBVQURVAVBV
    PANZBNZQRUSUTVNVRVOVSACGTBDHTUCABUHUIUJVEVGUKUOVJVHVDVFULUMUN $.

  $( A set of three pairs is a function if their first members are different.
     (Contributed by Alexander van der Vekens, 5-Dec-2017.)  (Proof shortened
     by JJ, 14-Jul-2021.) $)
  funtpg $p |- ( ( ( X e. U /\ Y e. V /\ Z e. W )
                   /\ ( A e. F /\ B e. G /\ C e. H )
                   /\ ( X =/= Y /\ X =/= Z /\ Y =/= Z ) )
                 -> Fun { <. X , A >. , <. Y , B >. , <. Z , C >. } ) $=
    ( wcel w3a wne cop cpr wfun c0 wceq csn cun ctp cdm cin 3simpa simp1 funprg
    syl3an simp3 funsng syl2an 3adant3 dmpropg dmsnopg ineqan12d 3impa disjprsn
    wa 3adant1 sylan9eq funun syl21anc df-tp funeqi sylibr ) JDMZKHMZLIMZNZAEMZ
    BFMZCGMZNZJKOZJLOZKLOZNZNZJAPZKBPZQZLCPZUAZUBZRZVTWAWCUCZRVSWBRZWDRZWBUDZWD
    UDZUEZSTZWFVJVGVHUSVNVKVLUSZVRVOWHVGVHVIUFVKVLVMUFVOVPVQUGJKABDHEFUHUIVJVNW
    IVRVJVIVMWIVNVGVHVIUJVKVLVMUJLCIGUKULUMVNVRWMVJVNVRWLJKQZLUAZUEZSVKVLVMWLWQ
    TWNVMWJWOWKWPJAKBEFUNLCGUOUPUQVPVQWQSTVOJKLURUTVAUTWBWDVBVCWGWEVTWAWCVDVEVF
    $.

  ${
    funpr.1 $e |- A e. _V $.
    funpr.2 $e |- B e. _V $.
    funpr.3 $e |- C e. _V $.
    funpr.4 $e |- D e. _V $.
    $( A function with a domain of two elements.  (Contributed by Jeff Madsen,
       20-Jun-2010.) $)
    funpr $p |- ( A =/= B -> Fun { <. A , C >. , <. B , D >. } ) $=
      ( cvv wcel wa wne cop cpr wfun pm3.2i funprg mp3an12 ) AIJZBIJZKCIJZDIJZK
      ABLACMBDMNOSTEFPUAUBGHPABCDIIIIQR $.
  $}

  ${
    funtp.1 $e |- A e. _V $.
    funtp.2 $e |- B e. _V $.
    funtp.3 $e |- C e. _V $.
    funtp.4 $e |- D e. _V $.
    funtp.5 $e |- E e. _V $.
    funtp.6 $e |- F e. _V $.
    $( A function with a domain of three elements.  (Contributed by NM,
       14-Sep-2011.) $)
    funtp $p |- ( ( A =/= B /\ A =/= C /\ B =/= C )
                    -> Fun { <. A , D >. , <. B , E >. , <. C , F >. } ) $=
      ( wne cop csn wfun wa cin c0 wceq w3a cpr cun ctp funpr funsn jctir df-pr
      cdm dmprop eqtri dmsnop ineq12i disjsn2 anim12i sylib eqtrid funun syl2an
      undisj1 3impb df-tp funeqi sylibr ) ABMZACMZBCMZUAADNZBENZUBZCFNZOZUCZPZV
      HVIVKUDZPVEVFVGVNVEVJPZVLPZQVJUIZVLUIZRZSTVNVFVGQZVEVPVQABDEGHJKUECFILUFU
      GWAVTAOZBOZUCZCOZRZSVRWDVSWEVRABUBWDADBEJKUJABUHUKCFLULUMWAWBWERSTZWCWERS
      TZQWFSTVFWGVGWHACUNBCUNUOWBWCWEUTUPUQVJVLURUSVAVOVMVHVIVKVBVCVD $.
  $}

  ${
    fnsn.1 $e |- A e. _V $.
    fnsn.2 $e |- B e. _V $.
    $( Functionality and domain of the singleton of an ordered pair.
       (Contributed by Jonathan Ben-Naim, 3-Jun-2011.) $)
    fnsn $p |- { <. A , B >. } Fn { A } $=
      ( cvv wcel cop csn wfn fnsng mp2an ) AEFBEFABGHAHICDABEEJK $.
  $}

  $( Function with a domain of two different values.  (Contributed by FL,
     26-Jun-2011.)  (Revised by Mario Carneiro, 26-Apr-2015.) $)
  fnprg $p |- ( ( ( A e. V /\ B e. W ) /\ ( C e. X /\ D e. Y ) /\ A =/= B )
         -> { <. A , C >. , <. B , D >. } Fn { A , B } ) $=
    ( wcel wa wne w3a cop cpr wfun cdm wceq wfn funprg dmpropg 3ad2ant2 df-fn
    sylanbrc ) AEIBFIJZCGIDHIJZABKZLACMBDMNZOUGPABNZQZUGUHRABCDEFGHSUEUDUIUFACB
    DGHTUAUGUHUBUC $.

  $( Function with a domain of three different values.  (Contributed by
     Alexander van der Vekens, 5-Dec-2017.) $)
  fntpg $p |- ( ( ( X e. U /\ Y e. V /\ Z e. W )
                  /\ ( A e. F /\ B e. G /\ C e. H )
                  /\ ( X =/= Y /\ X =/= Z /\ Y =/= Z ) )
           -> { <. X , A >. , <. Y , B >. , <. Z , C >. } Fn { X , Y , Z } ) $=
    ( wcel w3a wne cop cdm wceq csn cun ctp wfun wfn funtpg wa dmsnopg 3ad2ant1
    cpr 3ad2ant2 jca uneq12 syl df-pr eqtr4di dmeqi eqeq1i dmun sylibr 3ad2ant3
    bitri uneq12d df-tp eqtri 3eqtr4g df-fn sylanbrc ) JDMKHMLIMNZAEMZBFMZCGMZN
    ZJKOJLOKLONZNZJAPZKBPZLCPZUAZUBVQQZJKLUAZRVQVSUCABCDEFGHIJKLUDVMVNVOUHZQZVP
    SZQZTZJKUHZLSZTVRVSVMWAWEWCWFVMVNSZQZVOSZQZTZWERZWAWERZVMWKJSZKSZTZWEVMWHWN
    RZWJWORZUEZWKWPRVKVGWSVLVKWQWRVHVIWQVJJAEUFUGVIVHWRVJKBFUFUIUJUIWHWNWJWOUKU
    LJKUMUNWMWGWITZQZWERWLWAXAWEVTWTVNVOUMUOUPXAWKWEWGWIUQUPUTURVKVGWCWFRZVLVJV
    HXBVILCGUFUSUIVAVRVTWBTZQWDVQXCVNVOVPVBUOVTWBUQVCJKLVBVDVQVSVEVF $.

  ${
    fntp.1 $e |- A e. _V $.
    fntp.2 $e |- B e. _V $.
    fntp.3 $e |- C e. _V $.
    fntp.4 $e |- D e. _V $.
    fntp.5 $e |- E e. _V $.
    fntp.6 $e |- F e. _V $.
    $( A function with a domain of three elements.  (Contributed by NM,
       14-Sep-2011.)  (Revised by Mario Carneiro, 26-Apr-2015.) $)
    fntp $p |- ( ( A =/= B /\ A =/= C /\ B =/= C )
          -> { <. A , D >. , <. B , E >. , <. C , F >. } Fn { A , B , C } ) $=
      ( wne w3a cop ctp wfun cdm wceq wfn funtp dmtpop df-fn sylanblrc ) ABMACM
      BCMNADOBEOCFOPZQUERABCPZSUEUFTABCDEFGHIJKLUAADBECFJKLUBUEUFUCUD $.
  $}

  $( The converse pair of ordered pairs is a function if the second members are
     different.  Note that the second members need not be sets.  (Contributed
     by AV, 23-Jan-2021.) $)
  funcnvpr $p |- ( ( A e. U /\ C e. V /\ B =/= D )
                   -> Fun `' { <. A , B >. , <. C , D >. } ) $=
    ( wcel cop csn ccnv cun wfun cdm cin c0 wceq funcnvsn crn df-rn rnsnopg wne
    w3a cpr pm3.2i eqtr3id ineqan12d 3adant3 disjsn2 3ad2ant3 eqtrd funun df-pr
    wa sylancr cnveqi cnvun eqtri funeqi sylibr ) AEGZCFGZBDUAZUBZABHZIZJZCDHZI
    ZJZKZLZVDVGUCZJZLVCVFLZVILZUMVFMZVIMZNZOPVKVNVOABQCDQUDVCVRBIZDIZNZOUTVAVRW
    APVBUTVAVPVSVQVTUTVPVERVSVESABETUEVAVQVHRVTVHSCDFTUEUFUGVBUTWAOPVABDUHUIUJV
    FVIUKUNVMVJVMVEVHKZJVJVLWBVDVGULUOVEVHUPUQURUS $.

  $( The converse triple of ordered pairs is a function if the second members
     are pairwise different.  Note that the second members need not be sets.
     (Contributed by AV, 23-Jan-2021.) $)
  funcnvtp $p |- ( ( ( A e. U /\ C e. V /\ E e. W )
                     /\ ( B =/= D /\ B =/= F /\ D =/= F ) )
                   -> Fun `' { <. A , B >. , <. C , D >. , <. E , F >. } ) $=
    ( wcel w3a wne wa cop cpr ccnv csn wfun c0 wceq cun ctp cdm cin simp1 simp2
    funcnvpr syl2an3an funcnvsn a1i crn rnpropg eqtr3id 3adant3 rnsnopg ineq12d
    df-rn 3ad2ant3 disjprsn 3adant1 sylan9eq funun syl21anc df-tp cnveqi funeqi
    cnvun eqtri sylibr ) AEJZCHJZFIJZKZBDLZBGLZDGLZKZMZABNZCDNZOZPZFGNZQZPZUAZR
    ZVSVTWCUBZPZRVRWBRZWERZWBUCZWEUCZUDZSTWGVMVJVKVQVNWJVJVKVLUEVJVKVLUFVNVOVPU
    EABCDEHUGUHWKVRFGUIUJVMVQWNBDOZGQZUDZSVMWLWOWMWPVJVKWLWOTVLVJVKMWLWAUKWOWAU
    QACBDEHULUMUNVLVJWMWPTVKVLWMWDUKWPWDUQFGIUOUMURUPVOVPWQSTVNBDGUSUTVAWBWEVBV
    CWIWFWIWAWDUAZPWFWHWRVSVTWCVDVEWAWDVGVHVFVI $.

  $( The converse quadruple of ordered pairs is a function if the second
     members are pairwise different.  Note that the second members need not be
     sets.  (Contributed by AV, 23-Jan-2021.)  (Proof shortened by JJ,
     14-Jul-2021.) $)
  funcnvqp $p |- ( ( ( ( A e. U /\ C e. V ) /\ ( E e. W /\ G e. T ) )
                     /\ ( ( B =/= D /\ B =/= F /\ B =/= H )
                          /\ ( D =/= F /\ D =/= H ) /\ F =/= H ) )
                   -> Fun `' ( { <. A , B >. , <. C , D >. }
                               u. { <. E , F >. , <. G , H >. } ) ) $=
    ( wcel wa wne cop cpr ccnv wfun c0 w3a cun cdm cin funcnvpr 3expa 3ad2antr1
    wceq ad2ant2r 3adantr2 ad2ant2l crn df-rn rnpropg eqtr3id ineqan12d disjpr2
    an4s 3adantl1 3adant3 sylan9eq funun syl21anc cnvun funeqi sylibr ) AFMZCKM
    ZNZGLMZIEMZNZNZBDOZBHOZBJOZUAZDHOZDJOZNZHJOZUAZNZABPCDPQZRZGHPIJPQZRZUBZSZW
    DWFUBRZSWCWESZWGSZWEUCZWGUCZUDZTUHWIVMVQWAWKVTVIVQWKVLWAVIVOVNWKVPVGVHVNWKA
    BCDFKUEUFUGUIUJVMVQWAWLVTVLWAWLVIVQVJVKWAWLGHIJLEUEUFUKUJVMWBWOBDQZHJQZUDZT
    VIVLWMWPWNWQVIWMWDULWPWDUMACBDFKUNUOVLWNWFULWQWFUMGIHJLEUNUOUPVQVTWRTUHZWAV
    OVPVTWSVNVOVRVPVSWSBDHJUQURUSUTVAWEWGVBVCWJWHWDWFVDVEVF $.

  $( The empty set is a function.  Theorem 10.3 of [Quine] p. 65.  (Contributed
     by NM, 7-Apr-1998.) $)
  fun0 $p |- Fun (/) $=
    ( c0 cop csn wss wfun 0ss 0ex funsn funss mp2 ) AAABCZDKEAEKFAAGGHAKIJ $.

  $( The converse of the empty set is a function.  (Contributed by AV,
     7-Jan-2021.) $)
  funcnv0 $p |- Fun `' (/) $=
    ( c0 ccnv wfun fun0 cnv0 funeqi mpbir ) ABZCACDHAEFG $.

  $( The double converse of a function is a function.  (Contributed by NM,
     21-Sep-2004.) $)
  funcnvcnv $p |- ( Fun A -> Fun `' `' A ) $=
    ( ccnv wss wfun wi cnvcnvss funss ax-mp ) ABBZACADIDEAFIAGH $.

  ${
    $d x y A $.
    $( A simpler equivalence for single-rooted (see ~ funcnv ).  (Contributed
       by NM, 9-Aug-2004.) $)
    funcnv2 $p |- ( Fun `' A <-> A. y E* x x A y ) $=
      ( ccnv wfun cv wbr wmo wrel relcnv dffun6 mpbiran brcnv mobii albii bitri
      wal vex ) CDZEZBFZAFZSGZAHZBQZUBUACGZAHZBQTSIUECJBASKLUDUGBUCUFAUAUBCBRAR
      MNOP $.

    $( The converse of a class is a function iff the class is single-rooted,
       which means that for any ` y ` in the range of ` A ` there is at most
       one ` x ` such that ` x A y ` .  Definition of single-rooted in
       [Enderton] p. 43.  See ~ funcnv2 for a simpler version.  (Contributed by
       NM, 13-Aug-2004.) $)
    funcnv $p |- ( Fun `' A <-> A. y e. ran A E* x x A y ) $=
      ( cv wbr wmo wal crn wcel wi ccnv wfun wral wa vex pm4.71ri mobii moanimv
      brelrn bitri albii funcnv2 df-ral 3bitr4i ) ADZBDZCEZAFZBGUFCHZIZUHJZBGCK
      LUHBUIMUHUKBUHUJUGNZAFUKUGULAUGUJUEUFCAOBOSPQUJUGARTUAABCUBUHBUIUCUD $.

    $( A condition showing a class is single-rooted.  (See ~ funcnv ).
       (Contributed by NM, 26-May-2006.) $)
    funcnv3 $p |- ( Fun `' A <-> A. y e. ran A E! x e. dom A x A y ) $=
      ( cv wbr wmo crn wral wex ccnv wfun cdm wreu wcel dfrn2 abeq2i biimpi weu
      wa vex biantrurd ralbiia funcnv df-reu breldm pm4.71ri eubii df-eu ralbii
      3bitr2i 3bitr4i ) ADZBDZCEZAFZBCGZHUNAIZUOSZBUPHCJKUNACLZMZBUPHUOURBUPUMU
      PNZUQUOVAUQUQBUPABCOPQUAUBABCUCUTURBUPUTULUSNZUNSZARUNARURUNAUSUDUNVCAUNV
      BULUMCATBTUEUFUGUNAUHUJUIUK $.

    $( The double converse of a class is a function iff the class is
       single-valued.  Each side is equivalent to Definition 6.4(2) of
       [TakeutiZaring] p. 23, who use the notation "Un(A)" for single-valued.
       Note that ` A ` is not necessarily a function.  (Contributed by NM,
       13-Aug-2004.) $)
    fun2cnv $p |- ( Fun `' `' A <-> A. x E* y x A y ) $=
      ( ccnv wfun cv wbr wmo wal funcnv2 vex brcnv mobii albii bitri ) CDZDEBFZ
      AFZPGZBHZAIRQCGZBHZAIBAPJTUBASUABQRCBKAKLMNO $.

    $( A single-valued relation is a function.  (See ~ fun2cnv for
       "single-valued.") Definition 6.4(4) of [TakeutiZaring] p. 24.
       (Contributed by NM, 17-Jan-2006.) $)
    svrelfun $p |- ( Fun A <-> ( Rel A /\ Fun `' `' A ) ) $=
      ( vx vy wfun wrel cv wbr wmo wal wa ccnv dffun6 fun2cnv anbi2i bitr4i ) A
      DAEZBFCFAGCHBIZJPAKKDZJBCALRQPBCAMNO $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.
    $( Single-rootedness (see ~ funcnv ) of a class cut down by a Cartesian
       product.  (Contributed by NM, 5-Mar-2007.) $)
    fncnv $p |- ( `' ( R i^i ( A X. B ) ) Fn B <->
                  A. y e. B E! x e. A x R y ) $=
      ( cxp cin ccnv wfn wfun cdm wceq wa cv wbr wral wmo wcel wi 3bitr4i df-fn
      crn wreu df-rn eqeq1i anbi2i wrex wrmo rninxp anbi1i funcnv raleq moanimv
      brinxp2 an21 bitri mobii df-rmo imbi2i biimt bitr4id bitrdi syl5bb r19.26
      ralbiia pm5.32i ancom reu5 ralbii 3bitr2i ) ECDFGZHZDIVLJZVLKZDLZMVMVKUBZ
      DLZMZANZBNZEOZACUCZBDPZVLDUAVQVOVMVPVNDVKUDUEUFVQVMMZWAACUGZWAACUHZMZBDPZ
      VRWCVQWFBDPZMWEBDPZWIMWDWHVQWJWIABCDEUIUJVQVMWIVMVSVTVKOZAQZBVPPZVQWIABVK
      UKVQWMWLBDPWIWLBVPDULWLWFBDVTDRZWLWNWFSZWFWNVSCRZWAMZMZAQWNWQAQZSWLWOWNWQ
      AUMWKWRAWKWPWNMWAMWRCDVSVTEUNWPWNWAUOUPUQWFWSWNWAACURUSTWNWFUTVAVEVBVCVFW
      EWFBDVDTVMVQVGWBWGBDWAACVHVITVJ $.
  $}

  ${
    $d x y z w A $.
    $( Two ways of stating that ` A ` is one-to-one (but not necessarily a
       function).  Each side is equivalent to Definition 6.4(3) of
       [TakeutiZaring] p. 24, who use the notation "Un_2 (A)" for one-to-one
       (but not necessarily a function).  (Contributed by NM, 17-Jan-2006.) $)
    fun11 $p |- ( ( Fun `' `' A /\ Fun `' A ) <->
         A. x A. y A. z A. w ( ( x A y /\ z A w ) -> ( x = z <-> y = w ) ) ) $=
      ( cv wbr wa weq wi wal ccnv wfun bi2.04 anbi12i 2albii alcom albii 3bitri
      19.26-2 wb dfbi2 imbi2i pm4.76 3bitr2i breq1 anbi1d imbi1d equsalvw bitri
      breq2 bitr2i wmo fun2cnv mo4 funcnv2 alrot4 3bitr4i ) CFZBFZEGZUSDFZEGZHZ
      BDIZJZBKZDKZCKZAFZVBEGZVCHZACIZJZAKZDKCKZHZVJUTEGZVCHZVMVEUAZJZBKAKZDKCKZ
      ELZLMZWDMZHWADKCKBKAKWCVGVOHZDKCKVQWBWGCDWBVMVSVEJZJZVEVSVMJZJZHZBKAKWIBK
      AKZWKBKZAKZHWGWAWLABWAVSVMVEJZVEVMJZHZJVSWPJZVSWQJZHWLVTWRVSVMVEUBUCVSWPW
      QUDWSWIWTWKVSVMVENVSVEVMNOUEPWIWKABTWMVGWOVOWMWIAKZBKVGWIABQXAVFBWHVFACVM
      VSVDVEVMVRVAVCVJUSUTEUFUGUHUIRUJWNVNAWJVNBDVEVSVLVMVEVRVKVCUTVBVJEUKUGUHU
      IROSPVGVOCDTULWEVIWFVPWEVABUMZCKVFDKBKZCKVICBEUNXBXCCVAVCBDUTVBUSEUKUORXC
      VHCVFBDQRSWFVKAUMZDKVNCKAKZDKZVPADEUPXDXEDVKVCACVJUSVBEUFUORXFVOCKZDKVPXE
      XGDVNACQRVODCQUJSOWAABCDUQUR $.
  $}

  ${
    $d f g x y z v w A $.
    $( The union of a chain (with respect to inclusion) of functions is a
       function.  (Contributed by NM, 10-Aug-2004.) $)
    fununi $p |- ( A. f e. A ( Fun f /\ A. g e. A ( f C_ g \/ g C_ f ) ) ->
                 Fun U. A ) $=
      ( vx vy vz vw vv cv wfun wss wo wral wa wrel wcel weq wi wal wex cuni cop
      funrel adantr ralimi reluni sylibr r19.28v anim1d dffun4 simprbi 19.21bbi
      ssel 19.21bi syl9r adantl anim2d jaod 2ralimi funeq sseq1 orbi12d anbi12d
      sseq2 anbi2d cbvral2vw ralcom orcom syl5bb bitri anbi12i anandir r19.26-2
      imp anidm 2ralbii bitr2i 3bitr3i eluni exdistrv an4 2exbii 3bitr2i imbi1i
      biancomi 19.23v impexp 2albii albii 3bitr2ri 3imtr4i alrimiv alrimivv syl
      r2al sylanbrc ) BIZJZWQCIZKZWSWQKZLZCAMZNZBAMZAUAZOZDIZEIUBZXFPZXHFIUBZXF
      PZNZEFQZRZFSZESDSZXFJXEWQOZBAMXGXDXRBAWRXRXCWQUCUDUEBAUFUGXEWRXBNZCAMZBAM
      ZXQXDXTBAWRXBCAUHUEYAXPDEYAXOFGIZJZHIZJZNZYBYDKZYDYBKZLZNZHAMGAMZXIYBPZXK
      YDPZNZXNRZHAMGAMZYAXOYJYOGHAAYFYIYOYFYGYOYHYEYGYORYCYGYNXIYDPZYMNZYEXNYGY
      LYQYMYBYDXIUMUIYEYRXNRZFYEYSFSZDEYEYDOYTESDSDEFYDUJUKULUNUOUPYCYHYORYEYHY
      NYLXKYBPZNZYCXNYHYMUUAYLYDYBXKUMUQYCUUBXNRZFYCUUCFSZDEYCYBOUUDESDSDEFYBUJ
      UKULUNUOUDURVNUSYAYANYCYINZHAMGAMZYEYINZHAMGAMZNZYAYKYAUUFYAUUHXSUUEYCYBW
      SKZWSYBKZLZNBCGHAABGQZWRYCXBUULWQYBUTUUMWTUUJXAUUKWQYBWSVAWQYBWSVDVBVCCHQ
      ZUULYIYCUUNUUJYGUUKYHWSYDYBVDWSYDYBVAVBVEVFYAXSBAMCAMUUHXSBCAAVGXSUUGWRYB
      WQKZWQYBKZLZNCBGHAACGQZXBUUQWRXBXAWTLUURUUQWTXAVHUURXAUUOWTUUPWSYBWQVAWSY
      BWQVDVBVIVEBHQZWRYEUUQYIWQYDUTUUSUUOYGUUPYHWQYDYBVDWQYDYBVAVBVCVFVJVKYAVO
      YKUUEUUGNZHAMGAMUUIYJUUTGHAAYCYEYIVLVPUUEUUGGHAAVMVQVRXOYBAPZYDAPZNZYNNZH
      TZGTZXNRUVEXNRZGSZYPXMUVFXNXMYLUVANZGTZYMUVBNZHTZNUVIUVKNZHTGTUVFXJUVJXLU
      VLGXIAVSHXKAVSVKUVIUVKGHVTUVMUVDGHUVMUVCYNYLUVAYMUVBWAWEWBWCWDUVEXNGWFYPU
      VCYORZHSGSUVDXNRZHSZGSUVHYOGHAAWOUVOUVNGHUVCYNXNWGWHUVPUVGGUVDXNHWFWIWJWC
      WKWLWMWNDEFXFUJWP $.
  $}

  $( The intersection with a function is a function.  Exercise 14(a) of
     [Enderton] p. 53.  (Contributed by NM, 19-Mar-2004.)  (Proof shortened by
     Andrew Salmon, 17-Sep-2011.) $)
  funin $p |- ( Fun F -> Fun ( F i^i G ) ) $=
    ( cin wss wfun wi inss1 funss ax-mp ) ABCZADAEJEFABGJAHI $.

  $( The restriction of a one-to-one function is one-to-one.  (Contributed by
     NM, 25-Mar-1998.) $)
  funres11 $p |- ( Fun `' F -> Fun `' ( F |` A ) ) $=
    ( cres wss ccnv wfun wi resss cnvss funss mp2b ) BACZBDLEZBEZDNFMFGBAHLBIMN
    JK $.

  $( The converse of a restricted function.  (Contributed by NM,
     27-Mar-1998.) $)
  funcnvres $p |- ( Fun `' F -> `' ( F |` A ) = ( `' F |` ( F " A ) ) ) $=
    ( ccnv wfun cima cres cdm df-ima df-rn eqtri reseq2i wceq resss cnvss ax-mp
    crn wss funssres mpan2 eqtr2id ) BCZDZUABAEZFUABAFZCZGZFZUEUCUFUAUCUDPUFBAH
    UDIJKUBUEUAQZUGUELUDBQUHBAMUDBNOUAUERST $.

  $( Converse of a restricted identity function.  (Contributed by FL,
     4-Mar-2007.) $)
  cnvresid $p |- `' ( _I |` A ) = ( _I |` A ) $=
    ( cid ccnv wceq wfun cres cnvi eqcomi funi funeq cima funcnvres imai eqtrdi
    mpbii reseq12i mp2b ) BBCZDZREZBAFZCZUADRBGHSBETIBRJOTUBRBAKZFUAABLRBUCAGAM
    PNQ $.

  $( The converse of a restriction of the converse of a function equals the
     function restricted to the image of its converse.  (Contributed by NM,
     4-May-2005.) $)
  funcnvres2 $p |- ( Fun F -> `' ( `' F |` A ) = ( F |` ( `' F " A ) ) ) $=
    ( wfun ccnv cres cima wceq funcnvcnv funcnvres syl wrel funrel dfrel2 sylib
    reseq1d eqtrd ) BCZBDZAEDZRDZRAFZEZBUAEQTCSUBGBHARIJQTBUAQBKTBGBLBMNOP $.

  $( The image of the preimage of a function.  (Contributed by NM,
     25-May-2004.) $)
  funimacnv $p |- ( Fun F -> ( F " ( `' F " A ) ) = ( A i^i ran F ) ) $=
    ( wfun ccnv cima crn cin df-ima funcnvres2 rneqd eqtr4id df-rn ineq2i dmres
    cres cdm dfdm4 3eqtr2ri eqtrdi ) BCZBBDZAEZEZUAAOZDZFZABFZGZTUCBUBOZFUFBUBH
    TUEUIABIJKUHAUAPZGUDPUFUGUJABLMUAANUDQRS $.

  $( A kind of contraposition law that infers a subclass of an image from a
     preimage subclass.  (Contributed by NM, 25-May-2004.) $)
  funimass1 $p |- ( ( Fun F /\ A C_ ran F ) ->
                 ( ( `' F " A ) C_ B -> A C_ ( F " B ) ) ) $=
    ( ccnv cima wss wfun crn wa imass2 funimacnv wceq dfss biimpi eqcomd sseq1d
    cin sylan9eq syl5ib ) CDAEZBFCTEZCBEZFCGZACHZFZIZAUBFTBCJUFUAAUBUCUEUAAUDQZ
    AACKUEAUGUEAUGLAUDMNORPS $.

  $( A kind of contraposition law that infers an image subclass from a subclass
     of a preimage.  (Contributed by NM, 25-May-2004.) $)
  funimass2 $p |- ( ( Fun F /\ A C_ ( `' F " B ) ) -> ( F " A ) C_ B ) $=
    ( wfun cima ccnv wss crn cin funimacnv sseq2d inss1 sstr2 mpi syl6bi imass2
    impel ) CDZCAEZCCFBEZEZGZSBGZATGRUBSBCHZIZGZUCRUAUESBCJKUFUEBGUCBUDLSUEBMNO
    ATCPQ $.

  ${
    $d x y A $.  $d x y B $.  $d x y F $.
    $( The image of a difference is the difference of images.  (Contributed by
       NM, 24-May-1998.) $)
    imadif $p |- ( Fun `' F ->
                 ( F " ( A \ B ) ) = ( ( F " A ) \ ( F " B ) ) ) $=
      ( vy vx cdif cima cv wcel wbr wa wex wn exbii wi wmo vex sylib wo elima2
      ccnv wfun anandir 19.40 sylbi wal nfv nfe1 funmo brcnv mobii mopick sylan
      nfan con2d imnan alrimi exancom alnex 3imtr3g anim2d syl5 19.29r sylan2br
      ex andi ianor anbi2i an32 pm3.24 intnan anass mtbir bitri 3bitr4i impbid1
      biorfi eldif anbi1i notbii anbi12i 3bitr4g eqrdv ) CUAZUBZDCABFZGZCAGZCBG
      ZFZWEEHZWFIZWKDHZCJZKZELZWMWHIZWMWIIZMZKZWMWGIWMWJIWEWKAIZWKBIZMZKZWNKZEL
      ZXAWNKZELZXBWNKZELZMZKZWPWTWEXFXLXFXHXCWNKZELZKZWEXLXFXGXMKZELXOXEXPEXAXC
      WNUCNXGXMEUDUEWEXNXKXHWEWNXCKZELZXIMZEUFZXNXKWEXRXTWEXRKZXSEWEXREWEEUGXQE
      UHUNYAXBWNMZOXSYAWNXBWEWNEPZXRWNXCOWEWMWKWDJZEPYCEWMWDUIYDWNEWMWKCDQZEQUJ
      UKRWNXCEULUMUOXBWNUPRUQVEWNXCEURXIEUSZUTVAVBXLXGXSKZELZXFXKXHXTYHYFXGXSEV
      CVDYGXEEXGXCYBSZKXGXCKZXGYBKZSZYGXEXGXCYBVFXSYIXGXBWNVGVHXEYJYLXAXCWNVIYK
      YJYKXAWNYBKZKYMXAWNVJVKXAWNYBVLVMVQVNVONRVPWOXEEWLXDWNWKABVRVSNWQXHWSXKEW
      MCAYETWRXJEWMCBYETVTWAWBEWMCWFYETWMWHWIVRWBWC $.
  $}

  $( The image of an intersection is the intersection of images.  (Contributed
     by Paul Chapman, 11-Apr-2009.) $)
  imain $p |- ( Fun `' F ->
                ( F " ( A i^i B ) ) = ( ( F " A ) i^i ( F " B ) ) ) $=
    ( ccnv wfun cdif cima cin imadif difeq2d eqtrd dfin4 imaeq2i 3eqtr4g ) CDEZ
    CAABFZFZGZCAGZSCBGZFZFZCABHZGSTHORSCPGZFUBAPCIOUDUASABCIJKUCQCABLMSTLN $.

  ${
    $d w B $.  $d x y z w A $.
    $( Axiom of Replacement using abbreviations.  Axiom 39(vi) of [Quine]
       p. 284.  Compare Exercise 9 of [TakeutiZaring] p. 29.  (Contributed by
       NM, 10-Sep-2006.) $)
    funimaexg $p |- ( ( Fun A /\ B e. C ) -> ( A " B ) e. _V ) $=
      ( vw vx vy vz wcel wfun cima cvv cv wceq imaeq2 eleq1d wal wex wel bitri
      wi imbi2d cop dffun5 wa wb nfv axrep4 isset cab dfima3 eqeq2i abeq2 exbii
      wrel sylibr simplbiim vtoclg impcom ) BCHAIZABJZKHZUSADLZJZKHZTUSVATDBCVB
      BMZVDVAUSVEVCUTKVBBANOUAUSAUNELFLZUBAHZVFGLZMTFPGQEPZVDEFGAUCVIFGREDRVGUD
      EQZUEFPZGQZVDVGEFGDVGGUFUGVDVHVCMZGQVLGVCUHVMVKGVMVHVJFUIZMVKVCVNVHEFAVBU
      JUKVJFVHULSUMSUOUPUQUR $.
  $}

  ${
    zfrep5.1 $e |- B e. _V $.
    $( The image of a set under any function is also a set.  Equivalent of
       Axiom of Replacement ~ ax-rep .  Axiom 39(vi) of [Quine] p. 284.
       Compare Exercise 9 of [TakeutiZaring] p. 29.  (Contributed by NM,
       17-Nov-2002.) $)
    funimaex $p |- ( Fun A -> ( A " B ) e. _V ) $=
      ( wfun cvv wcel cima funimaexg mpan2 ) ADBEFABGEFCABEHI $.
  $}

  ${
    $d x z A $.  $d b x y z $.  $d z ph $.
    $( Part of a study of the Axiom of Replacement used by the Isabelle prover.
       The object PrimReplace is apparently the image of the function encoded
       by ` ph ( x , y ) ` i.e. the class ` ( { <. x , y >. | ph } " A ) ` .
       If so, we can prove Isabelle's "Axiom of Replacement" conclusion without
       using the Axiom of Replacement, for which I (N. Megill) currently have
       no explanation.  (Contributed by NM, 26-Oct-2006.)  (Proof shortened by
       Mario Carneiro, 4-Dec-2016.) $)
    isarep1 $p |- ( b e. ( { <. x , y >. | ph } " A ) <->
                 E. x e. A [ b / y ] ph ) $=
      ( vz copab cima wcel wbr wrex wsb vex elima cop wsbc df-br sbsbc 3bitri
      cv opelopabsb sbbii bitr2i rexbii nfs1v nfv sbequ12r cbvrexw ) ETZABCGZDH
      IFTZUIUJJZFDKACELZBFLZFDKUMBDKFUIUJDEMNULUNFDULUKUIOUJIACUIPZBUKPZUNUKUIU
      JQABCUKUIUAUNUOBFLUPUMUOBFACERUBUOBFRUCSUDUNUMFBDUMBFUEUMFUFUMFBUGUHS $.
  $}

  ${
    $d w x y A $.  $d x y $.  $d y z $.  $d w ph $.  $d z ph $.
    isarep2.1 $e |- A e. _V $.
    isarep2.2 $e |- A. x e. A A. y A. z ( ( ph /\ [ z / y ] ph ) -> y = z ) $.
    $( Part of a study of the Axiom of Replacement used by the Isabelle prover.
       In Isabelle, the sethood of PrimReplace is apparently postulated
       implicitly by its type signature " ` [ ` i, ` [ ` i, i ` ] ` => o ` ] `
       => i", which automatically asserts that it is a set without using any
       axioms.  To prove that it is a set in Metamath, we need the hypotheses
       of Isabelle's "Axiom of Replacement" as well as the Axiom of Replacement
       in the form ~ funimaex .  (Contributed by NM, 26-Oct-2006.) $)
    isarep2 $p |- E. w w = ( { <. x , y >. | ph } " A ) $=
      ( copab cima cv wcel wa cvv cres resima resopab wmo wi wal imaeq1i eqtr3i
      wfun funopab wsb weq rspec nfv sylibr moanimv mpbir mpgbir funimaex ax-mp
      mo3 eqeltri isseti ) EABCIZFJZUSBKFLZAMZBCIZFJZNURFOZFJUSVCURFPVDVBFABCFQ
      UAUBVBUCZVCNLVEVACRZBVABCUDVFUTACRZSUTAACDUEMCDUFSDTCTZVGVHBFHUGACDADUHUO
      UIUTACUJUKULVBFGUMUNUPUQ $.
  $}

  $( Equality theorem for function predicate with domain.  (Contributed by NM,
     1-Aug-1994.) $)
  fneq1 $p |- ( F = G -> ( F Fn A <-> G Fn A ) ) $=
    ( wceq wfun cdm wa wfn funeq dmeq eqeq1d anbi12d df-fn 3bitr4g ) BCDZBEZBFZ
    ADZGCEZCFZADZGBAHCAHOPSRUABCIOQTABCJKLBAMCAMN $.

  $( Equality theorem for function predicate with domain.  (Contributed by NM,
     1-Aug-1994.) $)
  fneq2 $p |- ( A = B -> ( F Fn A <-> F Fn B ) ) $=
    ( wceq wfun cdm wa wfn eqeq2 anbi2d df-fn 3bitr4g ) ABDZCEZCFZADZGNOBDZGCAH
    CBHMPQNABOIJCAKCBKL $.

  ${
    fneq1d.1 $e |- ( ph -> F = G ) $.
    $( Equality deduction for function predicate with domain.  (Contributed by
       Paul Chapman, 22-Jun-2011.) $)
    fneq1d $p |- ( ph -> ( F Fn A <-> G Fn A ) ) $=
      ( wceq wfn wb fneq1 syl ) ACDFCBGDBGHEBCDIJ $.
  $}

  ${
    fneq2d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for function predicate with domain.  (Contributed by
       Paul Chapman, 22-Jun-2011.) $)
    fneq2d $p |- ( ph -> ( F Fn A <-> F Fn B ) ) $=
      ( wceq wfn wb fneq2 syl ) ABCFDBGDCGHEBCDIJ $.
  $}

  ${
    fneq12d.1 $e |- ( ph -> F = G ) $.
    fneq12d.2 $e |- ( ph -> A = B ) $.
    $( Equality deduction for function predicate with domain.  (Contributed by
       NM, 26-Jun-2011.) $)
    fneq12d $p |- ( ph -> ( F Fn A <-> G Fn B ) ) $=
      ( wfn fneq1d fneq2d bitrd ) ADBHEBHECHABDEFIABCEGJK $.
  $}

  $( Equality theorem for function predicate with domain.  (Contributed by
     Thierry Arnoux, 31-Jan-2017.) $)
  fneq12 $p |- ( ( F = G /\ A = B ) -> ( F Fn A <-> G Fn B ) ) $=
    ( wceq wa simpl simpr fneq12d ) CDEZABEZFABCDJKGJKHI $.

  ${
    fneq1i.1 $e |- F = G $.
    $( Equality inference for function predicate with domain.  (Contributed by
       Paul Chapman, 22-Jun-2011.) $)
    fneq1i $p |- ( F Fn A <-> G Fn A ) $=
      ( wceq wfn wb fneq1 ax-mp ) BCEBAFCAFGDABCHI $.
  $}

  ${
    fneq2i.1 $e |- A = B $.
    $( Equality inference for function predicate with domain.  (Contributed by
       NM, 4-Sep-2011.) $)
    fneq2i $p |- ( F Fn A <-> F Fn B ) $=
      ( wceq wfn wb fneq2 ax-mp ) ABECAFCBFGDABCHI $.
  $}

  ${
    nffn.1 $e |- F/_ x F $.
    nffn.2 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for a function with domain.
       (Contributed by NM, 30-Jan-2004.) $)
    nffn $p |- F/ x F Fn A $=
      ( wfn wfun cdm wceq wa df-fn nffun nfdm nfeq nfan nfxfr ) CBFCGZCHZBIZJAC
      BKQSAACDLARBACDMENOP $.
  $}

  $( A function with domain is a function.  (Contributed by NM, 1-Aug-1994.) $)
  fnfun $p |- ( F Fn A -> Fun F ) $=
    ( wfn wfun cdm wceq df-fn simplbi ) BACBDBEAFBAGH $.

  ${
    fnfund.1 $e |- ( ph -> F Fn A ) $.
    $( A function with domain is a function, deduction form.  (Contributed by
       Jonathan Ben-Naim, 3-Jun-2011.) $)
    fnfund $p |- ( ph -> Fun F ) $=
      ( wfn wfun fnfun syl ) ACBECFDBCGH $.
  $}

  $( A function with domain is a relation.  (Contributed by NM, 1-Aug-1994.) $)
  fnrel $p |- ( F Fn A -> Rel F ) $=
    ( wfn wfun wrel fnfun funrel syl ) BACBDBEABFBGH $.

  $( The domain of a function.  (Contributed by NM, 2-Aug-1994.) $)
  fndm $p |- ( F Fn A -> dom F = A ) $=
    ( wfn wfun cdm wceq df-fn simprbi ) BACBDBEAFBAGH $.

  ${
    fndmi.1 $e |- F Fn A $.
    $( The domain of a function.  (Contributed by Wolf Lammen, 1-Jun-2024.) $)
    fndmi $p |- dom F = A $=
      ( wfn cdm wceq fndm ax-mp ) BADBEAFCABGH $.
  $}

  ${
    fndmd.1 $e |- ( ph -> F Fn A ) $.
    $( The domain of a function.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    fndmd $p |- ( ph -> dom F = A ) $=
      ( wfn cdm wceq fndm syl ) ACBECFBGDBCHI $.
  $}

  ${
    funfni.1 $e |- ( ( Fun F /\ B e. dom F ) -> ph ) $.
    $( Inference to convert a function and domain antecedent.  (Contributed by
       NM, 22-Apr-2004.) $)
    funfni $p |- ( ( F Fn A /\ B e. A ) -> ph ) $=
      ( wfn wfun wcel cdm fnfun fndm eleq2d biimpar syl2an2r ) DBFZDGCBHZCDIZHZ
      ABDJORPOQBCBDKLMEN $.
  $}

  $( A function has a unique domain.  (Contributed by NM, 11-Aug-1994.) $)
  fndmu $p |- ( ( F Fn A /\ F Fn B ) -> A = B ) $=
    ( wfn cdm fndm sylan9req ) CADCBDACEBACFBCFG $.

  $( The first argument of binary relation on a function belongs to the
     function's domain.  (Contributed by NM, 7-May-2004.) $)
  fnbr $p |- ( ( F Fn A /\ B F C ) -> B e. A ) $=
    ( wfn wbr cdm wcel wrel fnrel releldm sylan fndm eleq2d biimpa syldan ) DAE
    ZBCDFZBDGZHZBAHZQDIRTADJBCDKLQTUAQSABADMNOP $.

  $( The first argument of an ordered pair in a function belongs to the
     function's domain.  (Contributed by NM, 8-Aug-1994.) $)
  fnop $p |- ( ( F Fn A /\ <. B , C >. e. F ) -> B e. A ) $=
    ( cop wcel wfn wbr df-br fnbr sylan2br ) BCEDFDAGBCDHBAFBCDIABCDJK $.

  ${
    $d y F $.  $d y B $.
    $( There is exactly one value of a function.  (Contributed by NM,
       22-Apr-2004.)  (Proof shortened by Andrew Salmon, 17-Sep-2011.) $)
    fneu $p |- ( ( F Fn A /\ B e. A ) -> E! y B F y ) $=
      ( cv wbr weu wfun cdm wa wmo funmo adantr wex wb eldmg ibi adantl exmoeub
      wcel syl mpbid funfni ) CAEDFZAGZBCDDHZCDIZTZJZUDAKZUEUFUJUHACDLMUIUDANZU
      JUEOUHUKUFUHUKACDUGPQRUDASUAUBUC $.

    $( There is exactly one value of a function.  (Contributed by NM,
       7-Nov-1995.) $)
    fneu2 $p |- ( ( F Fn A /\ B e. A ) -> E! y <. B , y >. e. F ) $=
      ( wfn wcel wa cv wbr weu cop fneu df-br eubii sylib ) DBECBFGCAHZDIZAJCPK
      DFZAJABCDLQRACPDMNO $.
  $}

  $( The union of two functions with disjoint domains.  (Contributed by NM,
     22-Sep-2004.) $)
  fnun $p |- ( ( ( F Fn A /\ G Fn B ) /\ ( A i^i B ) = (/) ) ->
             ( F u. G ) Fn ( A u. B ) ) $=
    ( wfn wa cin c0 wceq cun wfun cdm wi df-fn ineq12 eqeq1d funun syl6bir dmun
    anbi2d uneq12 eqtrid jctird syl6ibr expd impcom an4s syl2anb imp ) CAEZDBEZ
    FABGZHIZCDJZABJZEZUJCKZCLZAIZFDKZDLZBIZFUMUPMZUKCANDBNUQUTUSVBVCUSVBFZUQUTF
    ZVCVDVEUMUPVDVEUMFZUNKZUNLZUOIZFUPVDVFVGVIVDVFVEURVAGZHIZFVGVDVKUMVEVDVJULH
    URAVABOPTCDQRVDVHURVAJUOCDSURAVABUAUBUCUNUONUDUEUFUGUHUI $.

  ${
    fnund.1 $e |- ( ph -> F Fn A ) $.
    fnund.2 $e |- ( ph -> G Fn B ) $.
    fnund.3 $e |- ( ph -> ( A i^i B ) = (/) ) $.
    $( The union of two functions with disjoint domains, a deduction version.
       (Contributed by metakunt, 28-May-2024.) $)
    fnund $p |- ( ph -> ( F u. G ) Fn ( A u. B ) ) $=
      ( wfn cin c0 wceq cun fnun syl21anc ) ADBIECIBCJKLDEMBCMIFGHBCDENO $.
  $}

  ${
    fnunop.x $e |- ( ph -> X e. V ) $.
    fnunop.y $e |- ( ph -> Y e. W ) $.
    fnunop.f $e |- ( ph -> F Fn D ) $.
    fnunop.g $e |- G = ( F u. { <. X , Y >. } ) $.
    fnunop.e $e |- E = ( D u. { X } ) $.
    fnunop.d $e |- ( ph -> -. X e. D ) $.
    $( Extension of a function with a new ordered pair.  (Contributed by NM,
       28-Sep-2013.)  (Revised by Mario Carneiro, 30-Apr-2015.)  (Revised by
       AV, 16-Aug-2024.) $)
    fnunop $p |- ( ph -> G Fn E ) $=
      ( csn cun wfn wcel sylibr cop fnsng syl2anc wn cin c0 disjsn fnund fneq1i
      wceq fneq2i bitri ) ADHIUAPZQZBHPZQZRZECRZABUODUMLAHFSIGSUMUORJKHIFGUBUCA
      HBSUDBUOUEUFUJOBHUGTUHURUNCRUQCEUNMUICUPUNNUKULT $.
  $}

  $( Composition of a function with domain and a function as a function with
     domain.  Generalization of ~ fnco .  (Contributed by AV, 17-Sep-2024.) $)
  fncofn $p |- ( ( F Fn A /\ Fun G ) -> ( F o. G ) Fn ( `' G " A ) ) $=
    ( wfn wfun wa ccom ccnv cima cdm fnfun funco funfnd wceq fndm adantr eqcomd
    sylan imaeq2d dmco eqtr4di fneq2d mpbird ) BADZCEZFZBCGZCHZAIZDUGUGJZDUFUGU
    DBEUEUGEABKBCLRMUFUIUJUGUFUIUHBJZIUJUFAUKUHUFUKAUDUKANUEABOPQSBCTUAUBUC $.

  $( Composition of two functions with domains as a function with domain.
     (Contributed by NM, 22-May-2006.)  (Proof shortened by AV,
     20-Sep-2024.) $)
  fnco $p |- ( ( F Fn A /\ G Fn B /\ ran G C_ A ) -> ( F o. G ) Fn B ) $=
    ( wfn crn wss w3a ccom ccnv cima wfun fnfun fncofn 3adant3 cdm cnvimassrndm
    sylan2 wceq 3ad2ant3 fndm 3ad2ant2 eqtr2d fneq2d mpbird ) CAEZDBEZDFAGZHZCD
    IZBEUJDJAKZEZUFUGULUHUGUFDLULBDMACDNROUIBUKUJUIUKDPZBUHUFUKUMSUGADQTUGUFUMB
    SUHBDUAUBUCUDUE $.

  $( Obsolete version of ~ fnco as of 20-Sep-2024.  (Contributed by NM,
     22-May-2006.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  fncoOLD $p |- ( ( F Fn A /\ G Fn B /\ ran G C_ A ) -> ( F o. G ) Fn B ) $=
    ( wfn crn wss w3a ccom wfun cdm wceq fnfun funco syl2an 3adant3 fndm sseq2d
    wa biimpar dmcosseq syl 3adant2 3ad2ant2 eqtrd df-fn sylanbrc ) CAEZDBEZDFZ
    AGZHZCDIZJZUMKZBLUMBEUHUIUNUKUHCJDJUNUIACMBDMCDNOPULUODKZBUHUKUOUPLZUIUHUKS
    UJCKZGZUQUHUSUKUHURAUJACQRTCDUAUBUCUIUHUPBLUKBDQUDUEUMBUFUG $.

  $( A function does not change when restricted to its domain.  (Contributed by
     NM, 5-Sep-2004.) $)
  fnresdm $p |- ( F Fn A -> ( F |` A ) = F ) $=
    ( wfn wrel cdm wss cres wceq fnrel fndm eqimss syl relssres syl2anc ) BACZB
    DBEZAFZBAGBHABIOPAHQABJPAKLBAMN $.

  $( A function restricted to a class disjoint with its domain is empty.
     (Contributed by NM, 23-Sep-2004.) $)
  fnresdisj $p |- ( F Fn A -> ( ( A i^i B ) = (/) <-> ( F |` B ) = (/) ) ) $=
    ( cres c0 wceq cdm wfn wrel wb relres reldm0 ax-mp dmres incom eqtri ineq1d
    cin fndm eqtrid eqeq1d bitr2id ) CBDZEFZUCGZEFZCAHZABRZEFUCIUDUFJCBKUCLMUGU
    EUHEUGUECGZBRZUHUEBUIRUJCBNBUIOPUGUIABACSQTUAUB $.

  $( Membership in two functions restricted by each other's domain.
     (Contributed by NM, 8-Aug-1994.) $)
  2elresin $p |- ( ( F Fn A /\ G Fn B ) ->
                 ( ( <. x , y >. e. F /\ <. x , z >. e. G ) <->
                   ( <. x , y >. e. ( F |` ( A i^i B ) ) /\
                     <. x , z >. e. ( G |` ( A i^i B ) ) ) ) ) $=
    ( wfn wa cv cop wcel cin cres fnop anim12i vex opres resss sseli wi anbi12d
    an4s elin sylibr biimprd syl ex pm2.43d impbid1 ) FDHZGEHZIZAJZBJZKZFLZUNCJ
    ZKZGLZIZUPFDEMZNZLZUSGVBNZLZIZUMVAVGUMVAVAVGUAZUMVAIZUNVBLZVHVIUNDLZUNELZIZ
    VJUKUQULUTVMUKUQIVKULUTIVLDUNUOFOEUNURGOPUCUNDEUDUEVJVGVAVJVDUQVFUTUNUOFVBB
    QRUNURGVBCQRUBUFUGUHUIVDUQVFUTVCFUPFVBSTVEGUSGVBSTPUJ $.

  $( Restriction of a function with a subclass of its domain.  (Contributed by
     NM, 10-Oct-2007.) $)
  fnssresb $p |- ( F Fn A -> ( ( F |` B ) Fn B <-> B C_ A ) ) $=
    ( cres wfn wfun cdm wceq wa wss df-fn funresd biantrurd ssdmres fndm sseq2d
    fnfun bitr3id bitr3d syl5bb ) CBDZBEUAFZUAGBHZIZCAEZBAJZUABKUEUCUDUFUEUBUCU
    EBCACQLMUCBCGZJUEUFBCNUEUGABACOPRST $.

  $( Restriction of a function with a subclass of its domain.  (Contributed by
     NM, 2-Aug-1994.) $)
  fnssres $p |- ( ( F Fn A /\ B C_ A ) -> ( F |` B ) Fn B ) $=
    ( wfn cres wss fnssresb biimpar ) CADCBEBDBAFABCGH $.

  ${
    fnssresd.1 $e |- ( ph -> F Fn A ) $.
    fnssresd.2 $e |- ( ph -> B C_ A ) $.
    $( Restriction of a function to a subclass of its domain.  (Contributed by
       Glauco Siliprandi, 5-Feb-2022.) $)
    fnssresd $p |- ( ph -> ( F |` B ) Fn B ) $=
      ( wfn wss cres fnssres syl2anc ) ADBGCBHDCICGEFBCDJK $.
  $}

  $( Restriction of a function's domain with an intersection.  (Contributed by
     NM, 9-Aug-1994.) $)
  fnresin1 $p |- ( F Fn A -> ( F |` ( A i^i B ) ) Fn ( A i^i B ) ) $=
    ( wfn cin wss cres inss1 fnssres mpan2 ) CADABEZAFCKGKDABHAKCIJ $.

  $( Restriction of a function's domain with an intersection.  (Contributed by
     NM, 9-Aug-1994.) $)
  fnresin2 $p |- ( F Fn A -> ( F |` ( B i^i A ) ) Fn ( B i^i A ) ) $=
    ( wfn cin wss cres inss2 fnssres mpan2 ) CADBAEZAFCKGKDBAHAKCIJ $.

  ${
    $d x y A $.  $d x y F $.
    $( An equivalence for functionality of a restriction.  Compare ~ dffun8 .
       (Contributed by Mario Carneiro, 20-May-2015.)  (Proof shortened by Peter
       Mazsa, 2-Oct-2022.) $)
    fnres $p |- ( ( F |` A ) Fn A <-> A. x e. A E! y x F y ) $=
      ( cres wfun cdm wceq wa cv wbr wmo wral wal vex bitri mpbiran 3bitr4i wss
      wcel wex wfn weu ancom wi brresi mobii moanimv albii relres dffun6 df-ral
      wrel cin dmres inss1 eqsstri eqss dfss3 elin2 baib bitrdi ralbiia anbi12i
      eldm r19.26 df-fn df-eu ralbii ) DCEZFZVJGZCHZIZAJZBJZDKZBUAZVQBLZIZACMZV
      JCUBVQBUCZACMVSACMZVRACMZIWDWCIVNWAWCWDUDVKWCVMWDVOVPVJKZBLZANZVOCTZVSUEZ
      ANVKWCWFWIAWFWHVQIZBLWIWEWJBCVOVPDBOUFUGWHVQBUHPUIVKVJUMWGDCUJABVJUKQVSAC
      ULRVMCVLSZWDVMVLCSWKVLCDGZUNCDCUOZCWLUPUQVLCURQWKVOVLTZACMWDACVLUSWNVRACW
      HWNVOWLTZVRWNWHWOVOCWLVLWMUTVABVODAOVEVBVCPPVDVRVSACVFRVJCVGWBVTACVQBVHVI
      R $.
  $}

  $( The identity relation is a function on the universal class.  See also
     ~ funi .  (Contributed by BJ, 23-Dec-2023.) $)
  idfn $p |- _I Fn _V $=
    ( cid cvv wfn wfun cdm wceq funi dmi df-fn mpbir2an ) ABCADAEBFGHABIJ $.

  $( The restricted identity relation is a function on the restricting class.
     (Contributed by NM, 27-Aug-2004.)  (Proof shortened by BJ,
     27-Dec-2023.) $)
  fnresi $p |- ( _I |` A ) Fn A $=
    ( cid cvv wfn wss cres idfn ssv fnssres mp2an ) BCDACEBAFADGAHCABIJ $.

  $( Obsolete proof of ~ fnresi as of 27-Dec-2023.  (Contributed by NM,
     27-Aug-2004.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  fnresiOLD $p |- ( _I |` A ) Fn A $=
    ( cid cres wfn wfun cdm wceq funi funres ax-mp dmresi df-fn mpbir2an ) BACZ
    ADNEZNFAGBEOHABIJAKNALM $.

  $( The image of a function's domain is its range.  (Contributed by NM,
     4-Nov-2004.)  (Proof shortened by Andrew Salmon, 17-Sep-2011.) $)
  fnima $p |- ( F Fn A -> ( F " A ) = ran F ) $=
    ( wfn cima cres crn df-ima fnresdm rneqd eqtrid ) BACZBADBAEZFBFBAGKLBABHIJ
    $.

  $( A function with empty domain is empty.  (Contributed by NM, 15-Apr-1998.)
     (Proof shortened by Andrew Salmon, 17-Sep-2011.) $)
  fn0 $p |- ( F Fn (/) <-> F = (/) ) $=
    ( c0 wfn wceq wrel cdm fnrel fndm reldm0 biimpar syl2anc wfun fun0 mpbir2an
    dm0 df-fn fneq1 mpbiri impbii ) ABCZABDZTAEZAFBDZUABAGBAHUBUAUCAIJKUATBBCZU
    DBLBFBDMOBBPNBABQRS $.

  $( A class that is disjoint with the domain of a function has an empty image
     under the function.  (Contributed by FL, 24-Jan-2007.) $)
  fnimadisj $p |- ( ( F Fn A /\ ( A i^i C ) = (/) ) -> ( F " C ) = (/) ) $=
    ( wfn cin c0 wceq wa cdm cima fndm ineq1d eqeq1d biimpar imadisj sylibr ) C
    ADZABEZFGZHCIZBEZFGZCBJFGQUBSQUARFQTABACKLMNCBOP $.

  $( Images under a function never map nonempty sets to empty sets.
     _EDITORIAL_: usable in ~ fnwe2lem2 .  (Contributed by Stefan O'Rear,
     21-Jan-2015.) $)
  fnimaeq0 $p |- ( ( F Fn A /\ B C_ A ) ->
      ( ( F " B ) = (/) <-> B = (/) ) ) $=
    ( cima c0 wceq cdm cin wfn wa imadisj incom fndm sseq2d biimpar df-ss sylib
    wss eqtrid eqeq1d syl5bb ) CBDEFCGZBHZEFCAIZBARZJZBEFCBKUFUCBEUFUCBUBHZBUBB
    LUFBUBRZUGBFUDUHUEUDUBABACMNOBUBPQSTUA $.

  ${
    $d y z A $.  $d y z B $.  $d x y z $.
    $( Alternate definition for the maps-to notation ~ df-mpt .  (Contributed
       by Mario Carneiro, 30-Dec-2016.) $)
    dfmpt3 $p |- ( x e. A |-> B ) = U_ x e. A ( { x } X. { B } ) $=
      ( vy vz cmpt cv wcel wceq copab csn cxp ciun df-mpt cop wex anbi2i 2exbii
      wa velsn eliunxp elopab 3bitr4i eqriv eqtr4i ) ABCFAGZBHZDGZCIZSZADJZABUF
      KCKZLMZADBCNEUMUKEGZUFUHOIZUGUHULHZSZSZDPAPUOUJSZDPAPUNUMHUNUKHURUSADUQUJ
      UOUPUIUGDCTQQRADBULUNUAUJADUNUBUCUDUE $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.
    mptfnf.0 $e |- F/_ x A $.
    $( The maps-to notation defines a function with domain.  (Contributed by
       Scott Fenton, 21-Mar-2011.)  (Revised by Thierry Arnoux,
       10-May-2017.) $)
    mptfnf $p |- ( A. x e. A B e. _V <-> ( x e. A |-> B ) Fn A ) $=
      ( vy wcel wral cv wceq wfn ralbii wex wmo wa wal wi albii df-ral 3bitr4ri
      cab cvv weu cmpt eueq r19.26 df-eu copab wfun df-mpt fneq1i df-fn moanimv
      cdm bitri funopab eqcom dmopab 19.42v abbii eqtri eqeq1i wb pm4.71 abeq2f
      3bitr4i anbi12i ancom 3bitr2i bitr4i ) CUAFZABGEHCIZEUBZABGZABCUCZBJZVJVL
      ABECUDKVKELZVKEMZNZABGVPABGZVQABGZNZVMVOVPVQABUEVLVRABVKEUFKVOAHBFZVKNZAE
      UGZUHZWDUMZBIZNZVTVSNWAVOWDBJWHBVNWDAEBCUIUJWDBUKUNVTWEVSWGWCEMZAOWBVQPZA
      OWEVTWIWJAWBVKEULQWCAEUOVQABRSWBVPNZATZBIBWLIZWGVSWLBUPWFWLBWFWCELZATWLWC
      AEUQWNWKAWBVKEURUSUTVAWBVPPZAOWBWKVBZAOVSWMWOWPAWBVPVCQVPABRWKABDVDVESVFV
      TVSVGVHSVI $.

    $( The maps-to notation defines a function with domain.  (Contributed by
       NM, 9-Apr-2013.)  (Revised by Thierry Arnoux, 10-May-2017.) $)
    fnmptf $p |- ( A. x e. A B e. V -> ( x e. A |-> B ) Fn A ) $=
      ( wcel wral cvv cmpt wfn elex ralimi mptfnf sylib ) CDFZABGCHFZABGABCIBJO
      PABCDKLABCEMN $.
  $}

  ${
    $d x y A $.
    fnopabg.1 $e |- F = { <. x , y >. | ( x e. A /\ ph ) } $.
    $( Functionality and domain of an ordered-pair class abstraction.
       (Contributed by NM, 30-Jan-2004.)  (Proof shortened by Mario Carneiro,
       4-Dec-2016.) $)
    fnopabg $p |- ( A. x e. A E! y ph <-> F Fn A ) $=
      ( wmo wex wa wral cv wcel copab wfn weu wfun cdm wceq wal 3bitr4i moanimv
      albii funopab df-ral 3bitr4ri dmopab3 anbi12i r19.26 df-fn df-eu biancomi
      wi ralbii fneq1i ) ACGZACHZIZBDJZBKDLZAIZBCMZDNZACOZBDJEDNUOBDJZUPBDJZIVA
      PZVAQDRZIURVBVDVFVEVGUTCGZBSUSUOULZBSVFVDVHVIBUSACUAUBUTBCUCUOBDUDUEABCDU
      FUGUOUPBDUHVADUITVCUQBDVCUOUPACUJUKUMDEVAFUNT $.
  $}

  ${
    $d x y A $.
    fnopab.1 $e |- ( x e. A -> E! y ph ) $.
    fnopab.2 $e |- F = { <. x , y >. | ( x e. A /\ ph ) } $.
    $( Functionality and domain of an ordered-pair class abstraction.
       (Contributed by NM, 5-Mar-1996.) $)
    fnopab $p |- F Fn A $=
      ( weu wral wfn rgen fnopabg mpbi ) ACHZBDIEDJNBDFKABCDEGLM $.
  $}

  ${
    $d x y A $.  $d y B $.
    mptfng.1 $e |- F = ( x e. A |-> B ) $.
    $( The maps-to notation defines a function with domain.  (Contributed by
       Scott Fenton, 21-Mar-2011.) $)
    mptfng $p |- ( A. x e. A B e. _V <-> F Fn A ) $=
      ( vy cvv wcel wral cv wceq weu wfn eueq ralbii cmpt wa copab df-mpt eqtri
      fnopabg bitri ) CGHZABIFJCKZFLZABIDBMUCUEABFCNOUDAFBDDABCPAJBHUDQAFREAFBC
      STUAUB $.

    $( The maps-to notation defines a function with domain.  (Contributed by
       NM, 9-Apr-2013.) $)
    fnmpt $p |- ( A. x e. A B e. V -> F Fn A ) $=
      ( wcel wral cvv wfn elex ralimi mptfng sylib ) CEGZABHCIGZABHDBJOPABCEKLA
      BCDFMN $.
  $}

  ${
    $d A x $.
    fnmptd.1 $e |- F/ x ph $.
    fnmptd.2 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    fnmptd.3 $e |- F = ( x e. A |-> B ) $.
    $( The maps-to notation defines a function with domain.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    fnmptd $p |- ( ph -> F Fn A ) $=
      ( wcel wral wfn cv ex ralrimi fnmpt syl ) ADFJZBCKECLARBCGABMCJRHNOBCDEFI
      PQ $.
  $}

  $( A mapping operation with empty domain.  (Contributed by Mario Carneiro,
     28-Dec-2014.) $)
  mpt0 $p |- ( x e. (/) |-> A ) = (/) $=
    ( c0 cmpt wfn wceq cvv wcel wral ral0 eqid fnmpt ax-mp fn0 mpbi ) ACBDZCEZP
    CFBGHZACIQRAJACBPGPKLMPNO $.

  ${
    $d x A $.
    fnmpti.1 $e |- B e. _V $.
    fnmpti.2 $e |- F = ( x e. A |-> B ) $.
    $( Functionality and domain of an ordered-pair class abstraction.
       (Contributed by NM, 29-Jan-2004.)  (Revised by Mario Carneiro,
       31-Aug-2015.) $)
    fnmpti $p |- F Fn A $=
      ( cvv wcel wral wfn rgenw mptfng mpbi ) CGHZABIDBJNABEKABCDFLM $.

    $( Domain of the mapping operation.  (Contributed by NM, 6-Sep-2005.)
       (Revised by Mario Carneiro, 31-Aug-2015.) $)
    dmmpti $p |- dom F = A $=
      ( fnmpti fndmi ) BDABCDEFGH $.
  $}

  ${
    $d B x $.  $d ph x $.
    dmmptd.a $e |- A = ( x e. B |-> C ) $.
    dmmptd.c $e |- ( ( ph /\ x e. B ) -> C e. V ) $.
    $( The domain of the mapping operation, deduction form.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    dmmptd $p |- ( ph -> dom A = B ) $=
      ( cdm cvv wcel crab dmmpt wral wceq cv wa elexd ralrimiva rabid2 eqtr4id
      sylibr ) ACIEJKZBDLZDBDECGMAUCBDNDUDOAUCBDABPDKQEFHRSUCBDTUBUA $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.
    $( Union of mappings which are mutually compatible.  (Contributed by Mario
       Carneiro, 31-Aug-2015.) $)
    mptun $p |- ( x e. ( A u. B ) |-> C ) =
        ( ( x e. A |-> C ) u. ( x e. B |-> C ) ) $=
      ( vy cmpt cv wcel wceq wa copab df-mpt uneq12i wo elun anbi1i andir bitri
      cun eqtr4i opabbii unopab ) ABCSZDFAGZUCHZEGDIZJZAEKZABDFZACDFZSZAEUCDLUK
      UDBHZUFJZAEKZUDCHZUFJZAEKZSZUHUIUNUJUQAEBDLAECDLMUHUMUPNZAEKURUGUSAEUGULU
      ONZUFJUSUEUTUFUDBCOPULUOUFQRUAUMUPAEUBTTT $.
  $}

  $( Rewrite a function defined by parts, using a mapping and an if construct,
     into a union of functions on disjoint domains.  (Contributed by Thierry
     Arnoux, 30-Mar-2017.) $)
  partfun $p |- ( x e. A |-> if ( x e. B , C , D ) ) =
                ( ( x e. ( A i^i B ) |-> C ) u. ( x e. ( A \ B ) |-> D ) ) $=
    ( cin cdif cun cv wcel cif cmpt mptun inundif eqid mpteq12i elinel2 iftrued
    mpteq2ia eldifn iffalsed uneq12i 3eqtr3i ) ABCFZBCGZHZAIZCJZDEKZLAUDUILZAUE
    UILZHABUILAUDDLZAUEELZHAUDUEUIMAUFUIBUIBCNUIOPUJULUKUMAUDUIDUGUDJUHDEUGBCQR
    SAUEUIEUGUEJUHDEUGBCTUASUBUC $.

  $( Equality theorem for functions.  (Contributed by NM, 1-Aug-1994.) $)
  feq1 $p |- ( F = G -> ( F : A --> B <-> G : A --> B ) ) $=
    ( wceq wfn crn wss wa wf fneq1 rneq sseq1d anbi12d df-f 3bitr4g ) CDEZCAFZC
    GZBHZIDAFZDGZBHZIABCJABDJQRUATUCACDKQSUBBCDLMNABCOABDOP $.

  $( Equality theorem for functions.  (Contributed by NM, 1-Aug-1994.) $)
  feq2 $p |- ( A = B -> ( F : A --> C <-> F : B --> C ) ) $=
    ( wceq wfn crn wss wa wf fneq2 anbi1d df-f 3bitr4g ) ABEZDAFZDGCHZIDBFZQIAC
    DJBCDJOPRQABDKLACDMBCDMN $.

  $( Equality theorem for functions.  (Contributed by NM, 1-Aug-1994.) $)
  feq3 $p |- ( A = B -> ( F : C --> A <-> F : C --> B ) ) $=
    ( wceq wfn crn wss wa wf sseq2 anbi2d df-f 3bitr4g ) ABEZDCFZDGZAHZIPQBHZIC
    ADJCBDJORSPABQKLCADMCBDMN $.

  $( Equality theorem for functions.  (Contributed by FL, 14-Jul-2007.)  (Proof
     shortened by Andrew Salmon, 17-Sep-2011.) $)
  feq23 $p |- ( ( A = C /\ B = D ) -> ( F : A --> B <-> F : C --> D ) ) $=
    ( wceq wf feq2 feq3 sylan9bb ) ACFABEGCBEGBDFCDEGACBEHBDCEIJ $.

  ${
    feq1d.1 $e |- ( ph -> F = G ) $.
    $( Equality deduction for functions.  (Contributed by NM, 19-Feb-2008.) $)
    feq1d $p |- ( ph -> ( F : A --> B <-> G : A --> B ) ) $=
      ( wceq wf wb feq1 syl ) ADEGBCDHBCEHIFBCDEJK $.
  $}

  ${
    feq2d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for functions.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    feq2d $p |- ( ph -> ( F : A --> C <-> F : B --> C ) ) $=
      ( wceq wf wb feq2 syl ) ABCGBDEHCDEHIFBCDEJK $.

    $( Equality deduction for functions.  (Contributed by AV, 1-Jan-2020.) $)
    feq3d $p |- ( ph -> ( F : X --> A <-> F : X --> B ) ) $=
      ( wceq wf wb feq3 syl ) ABCGEBDHECDHIFBCEDJK $.
  $}

  ${
    feq12d.1 $e |- ( ph -> F = G ) $.
    feq12d.2 $e |- ( ph -> A = B ) $.
    $( Equality deduction for functions.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    feq12d $p |- ( ph -> ( F : A --> C <-> G : B --> C ) ) $=
      ( wf feq1d feq2d bitrd ) ABDEIBDFICDFIABDEFGJABCDFHKL $.

    feq123d.3 $e |- ( ph -> C = D ) $.
    $( Equality deduction for functions.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    feq123d $p |- ( ph -> ( F : A --> C <-> G : B --> D ) ) $=
      ( wf feq12d feq3d bitrd ) ABDFKCDGKCEGKABCDFGHILADEGCJMN $.
  $}

  $( Equality theorem for functions.  (Contributed by FL, 16-Nov-2008.) $)
  feq123 $p |- ( ( F = G /\ A = C /\ B = D ) ->
    ( F : A --> B <-> G : C --> D ) ) $=
    ( wceq w3a simp1 simp2 simp3 feq123d ) EFGZACGZBDGZHACBDEFMNOIMNOJMNOKL $.

  ${
    feq1i.1 $e |- F = G $.
    $( Equality inference for functions.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    feq1i $p |- ( F : A --> B <-> G : A --> B ) $=
      ( wceq wf wb feq1 ax-mp ) CDFABCGABDGHEABCDIJ $.
  $}

  ${
    feq2i.1 $e |- A = B $.
    $( Equality inference for functions.  (Contributed by NM, 5-Sep-2011.) $)
    feq2i $p |- ( F : A --> C <-> F : B --> C ) $=
      ( wceq wf wb feq2 ax-mp ) ABFACDGBCDGHEABCDIJ $.
  $}

  ${
    feq12i.1 $e |- F = G $.
    feq12i.2 $e |- A = B $.
    $( Equality inference for functions.  (Contributed by AV, 7-Feb-2021.) $)
    feq12i $p |- ( F : A --> C <-> G : B --> C ) $=
      ( wceq wf wb eqid feq123 mp3an ) DEHABHCCHACDIBCEIJFGCKACBCDELM $.
  $}

  ${
    feq23i.1 $e |- A = C $.
    feq23i.2 $e |- B = D $.
    $( Equality inference for functions.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    feq23i $p |- ( F : A --> B <-> F : C --> D ) $=
      ( wceq wf wb feq23 mp2an ) ACHBDHABEICDEIJFGABCDEKL $.
  $}

  ${
    feq23d.1 $e |- ( ph -> A = C ) $.
    feq23d.2 $e |- ( ph -> B = D ) $.
    $( Equality deduction for functions.  (Contributed by NM, 8-Jun-2013.) $)
    feq23d $p |- ( ph -> ( F : A --> B <-> F : C --> D ) ) $=
      ( eqidd feq123d ) ABDCEFFAFIGHJ $.
  $}

  ${
    nff.1 $e |- F/_ x F $.
    nff.2 $e |- F/_ x A $.
    nff.3 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for a mapping.  (Contributed by NM,
       29-Jan-2004.)  (Revised by Mario Carneiro, 15-Oct-2016.) $)
    nff $p |- F/ x F : A --> B $=
      ( wf wfn crn wss wa df-f nffn nfrn nfss nfan nfxfr ) BCDHDBIZDJZCKZLABCDM
      SUAAABDEFNATCADEOGPQR $.
  $}

  ${
    $d V x $.  $d X x $.
    $( Distribute proper substitution through the function predicate with a
       domain.  (Contributed by Alexander van der Vekens, 15-Jul-2018.) $)
    sbcfng $p |- ( X e. V -> ( [. X / x ]. F Fn A
                              <-> [_ X / x ]_ F Fn [_ X / x ]_ A ) ) $=
      ( wcel wfn wsbc wfun cdm wa csb wb df-fn a1i sbcbidv sbcfung sbceqg csbdm
      wceq eqeq1i bitrdi anbi12d sbcan 3bitr4g bitrd ) EDFZCBGZAEHCIZCJZBTZKZAE
      HZAECLZAEBLZGZUGUHULAEUHULMUGCBNOPUGUIAEHZUKAEHZKUNIZUNJZUOTZKUMUPUGUQUSU
      RVAAECDQUGURAEUJLZUOTVAAEUJBDRVBUTUOAECSUAUBUCUIUKAEUDUNUONUEUF $.

    $( Distribute proper substitution through the function predicate with
       domain and codomain.  (Contributed by Alexander van der Vekens,
       15-Jul-2018.) $)
    sbcfg $p |- ( X e. V -> ( [. X / x ]. F : A --> B
                 <-> [_ X / x ]_ F : [_ X / x ]_ A --> [_ X / x ]_ B ) ) $=
      ( wcel wf wsbc wfn crn wss wa csb wb df-f a1i sbcbidv sbcfng sbcssg csbrn
      sseq1i bitrdi anbi12d sbcan 3bitr4g bitrd ) FEGZBCDHZAFIDBJZDKZCLZMZAFIZA
      FBNZAFCNZAFDNZHZUHUIUMAFUIUMOUHBCDPQRUHUJAFIZULAFIZMUQUOJZUQKZUPLZMUNURUH
      USVAUTVCABDEFSUHUTAFUKNZUPLVCAFUKCETVDVBUPAFDUAUBUCUDUJULAFUEUOUPUQPUFUG
      $.
  $}

  ${
    elimf.1 $e |- G : A --> B $.
    $( Eliminate a mapping hypothesis for the weak deduction theorem ~ dedth ,
       when a special case ` G : A --> B ` is provable, in order to convert
       ` F : A --> B ` from a hypothesis to an antecedent.  (Contributed by NM,
       24-Aug-2006.) $)
    elimf $p |- if ( F : A --> B , F , G ) : A --> B $=
      ( wf cif feq1 elimhyp ) ABCFZABJCDGZFABDFCDABCKHABDKHEI $.
  $}

  $( A mapping is a function with domain.  (Contributed by NM, 2-Aug-1994.) $)
  ffn $p |- ( F : A --> B -> F Fn A ) $=
    ( wf wfn crn wss df-f simplbi ) ABCDCAECFBGABCHI $.

  ${
    ffnd.1 $e |- ( ph -> F : A --> B ) $.
    $( A mapping is a function with domain, deduction form.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    ffnd $p |- ( ph -> F Fn A ) $=
      ( wf wfn ffn syl ) ABCDFDBGEBCDHI $.
  $}

  $( Any function is a mapping into ` _V ` .  (Contributed by NM, 31-Oct-1995.)
     (Proof shortened by Andrew Salmon, 17-Sep-2011.) $)
  dffn2 $p |- ( F Fn A <-> F : A --> _V ) $=
    ( wfn crn cvv wss wa wf ssv biantru df-f bitr4i ) BACZMBDZEFZGAEBHOMNIJAEBK
    L $.

  $( A mapping is a function.  (Contributed by NM, 3-Aug-1994.) $)
  ffun $p |- ( F : A --> B -> Fun F ) $=
    ( wf wfn wfun ffn fnfun syl ) ABCDCAECFABCGACHI $.

  ${
    ffund.1 $e |- ( ph -> F : A --> B ) $.
    $( A mapping is a function, deduction version.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    ffund $p |- ( ph -> Fun F ) $=
      ( wf wfun ffun syl ) ABCDFDGEBCDHI $.
  $}

  $( A mapping is a relation.  (Contributed by NM, 3-Aug-1994.) $)
  frel $p |- ( F : A --> B -> Rel F ) $=
    ( wf wfn wrel ffn fnrel syl ) ABCDCAECFABCGACHI $.

  ${
    freld.1 $e |- ( ph -> F : A --> B ) $.
    $( A mapping is a relation.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    freld $p |- ( ph -> Rel F ) $=
      ( wf wrel frel syl ) ABCDFDGEBCDHI $.
  $}

  $( The range of a mapping.  (Contributed by NM, 3-Aug-1994.) $)
  frn $p |- ( F : A --> B -> ran F C_ B ) $=
    ( wf wfn crn wss df-f simprbi ) ABCDCAECFBGABCHI $.

  ${
    frnd.1 $e |- ( ph -> F : A --> B ) $.
    $( Deduction form of ~ frn .  The range of a mapping.  (Contributed by
       Glauco Siliprandi, 26-Jun-2021.) $)
    frnd $p |- ( ph -> ran F C_ B ) $=
      ( wf crn wss frn syl ) ABCDFDGCHEBCDIJ $.
  $}

  $( The domain of a mapping.  (Contributed by NM, 2-Aug-1994.)  (Proof
     shortened by Wolf Lammen, 29-May-2024.) $)
  fdm $p |- ( F : A --> B -> dom F = A ) $=
    ( wf ffn fndmd ) ABCDACABCEF $.

  $( Obsolete version of ~ fdm as of 29-May-2024.  (Contributed by NM,
     2-Aug-1994.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  fdmOLD $p |- ( F : A --> B -> dom F = A ) $=
    ( wf wfn cdm wceq ffn fndm syl ) ABCDCAECFAGABCHACIJ $.

  ${
    fdmd.1 $e |- ( ph -> F : A --> B ) $.
    $( Deduction form of ~ fdm .  The domain of a mapping.  (Contributed by
       Glauco Siliprandi, 26-Jun-2021.) $)
    fdmd $p |- ( ph -> dom F = A ) $=
      ( wf cdm wceq fdm syl ) ABCDFDGBHEBCDIJ $.
  $}

  ${
    fdmi.1 $e |- F : A --> B $.
    $( Inference associated with ~ fdm .  The domain of a mapping.
       (Contributed by NM, 28-Jul-2008.) $)
    fdmi $p |- dom F = A $=
      ( wf cdm wceq fdm ax-mp ) ABCECFAGDABCHI $.
  $}

  $( A function maps to its range.  (Contributed by NM, 1-Sep-1999.) $)
  dffn3 $p |- ( F Fn A <-> F : A --> ran F ) $=
    ( wfn crn wss wa wf ssid biantru df-f bitr4i ) BACZLBDZMEZFAMBGNLMHIAMBJK
    $.

  $( A function maps to its range.  (Contributed by Glauco Siliprandi,
     3-Mar-2021.) $)
  ffrn $p |- ( F : A --> B -> F : A --> ran F ) $=
    ( wf wfn crn ffn dffn3 sylib ) ABCDCAEACFCDABCGACHI $.

  $( Characterization of a function with domain and codomain (essentially using
     that the range is always included in the codomain).  Generalization of
     ~ ffrn .  (Contributed by BJ, 21-Sep-2024.) $)
  ffrnb $p |- ( F : A --> B <-> ( F : A --> ran F /\ ran F C_ B ) ) $=
    ( wf wfn crn wss wa df-f dffn3 anbi1i bitri ) ABCDCAEZCFZBGZHANCDZOHABCIMPO
    ACJKL $.

  ${
    ffrnbd.r $e |- ( ph -> ran F C_ B ) $.
    $( A function maps to its range iff the the range is a subset of its
       codomain.  Generalization of ~ ffrn .  (Contributed by AV,
       20-Sep-2024.) $)
    ffrnbd $p |- ( ph -> ( F : A --> B <-> F : A --> ran F ) ) $=
      ( wf crn wss wa ffrnb biantrud bitr4id ) ABCDFBDGZDFZMCHZINBCDJAONEKL $.
  $}

  $( Expanding the codomain of a mapping.  (Contributed by NM, 10-May-1998.)
     (Proof shortened by Andrew Salmon, 17-Sep-2011.) $)
  fss $p |- ( ( F : A --> B /\ B C_ C ) -> F : A --> C ) $=
    ( wss wf wfn crn wa sstr2 com12 anim2d df-f 3imtr4g impcom ) BCEZABDFZACDFZ
    PDAGZDHZBEZISTCEZIQRPUAUBSUAPUBTBCJKLABDMACDMNO $.

  ${
    fssd.f $e |- ( ph -> F : A --> B ) $.
    fssd.b $e |- ( ph -> B C_ C ) $.
    $( Expanding the codomain of a mapping, deduction form.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    fssd $p |- ( ph -> F : A --> C ) $=
      ( wf wss fss syl2anc ) ABCEHCDIBDEHFGBCDEJK $.
  $}

  ${
    fssdmd.f $e |- ( ph -> F : A --> B ) $.
    fssdmd.d $e |- ( ph -> D C_ dom F ) $.
    $( Expressing that a class is a subclass of the domain of a function
       expressed in maps-to notation, deduction form.  (Contributed by AV,
       21-Aug-2022.) $)
    fssdmd $p |- ( ph -> D C_ A ) $=
      ( cdm fdmd sseqtrd ) ADEHBGABCEFIJ $.
  $}

  ${
    fssdm.d $e |- D C_ dom F $.
    fssdm.f $e |- ( ph -> F : A --> B ) $.
    $( Expressing that a class is a subclass of the domain of a function
       expressed in maps-to notation, semi-deduction form.  (Contributed by AV,
       21-Aug-2022.) $)
    fssdm $p |- ( ph -> D C_ A ) $=
      ( cdm fdmd sseqtrid ) AEHDBFABCEGIJ $.
  $}

  $( The image of a class under a function with domain and codomain is a subset
     of its codomain.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
  fimass $p |- ( F : A --> B -> ( F " X ) C_ B ) $=
    ( wf cima crn imassrn frn sstrid ) ABCECDFCGBCDHABCIJ $.

  $( The preimage of the codomain of a function is the function's domain.
     (Contributed by FL, 25-Jan-2007.)  (Proof shortened by AV,
     20-Sep-2024.) $)
  fimacnv $p |- ( F : A --> B -> ( `' F " B ) = A ) $=
    ( wf ccnv cima cdm crn wss wceq frn cnvimassrndm syl fdm eqtrd ) ABCDZCEBFZ
    CGZAPCHBIQRJABCKBCLMABCNO $.

  $( Composition of a function with domain and codomain and a function as a
     function with domain and codomain.  Generalization of ~ fco .
     (Contributed by AV, 18-Sep-2024.) $)
  fcof $p |- ( ( F : A --> B /\ Fun G ) -> ( F o. G ) : ( `' G " A ) --> B ) $=
    ( wf wfun wa ccom ccnv cima wfn crn wss df-f wi fncofn adantr rncoss sstr
    ex mpan adantl jctird imp sylanb sylibr ) ABCEZDFZGCDHZDIAJZKZUILZBMZGZUJBU
    IEUGCAKZCLZBMZGZUHUNABCNURUHUNURUHUKUMUOUHUKOUQUOUHUKACDPTQUQUMUOULUPMUQUMC
    DRULUPBSUAUBUCUDUEUJBUINUF $.

  $( Composition of two functions with domain and codomain as a function with
     domain and codomain.  (Contributed by NM, 29-Aug-1999.)  (Proof shortened
     by Andrew Salmon, 17-Sep-2011.)  (Proof shortened by AV, 20-Sep-2024.) $)
  fco $p |- ( ( F : B --> C /\ G : A --> B ) -> ( F o. G ) : A --> C ) $=
    ( wf ccom ccnv cima wfun ffun fcof sylan2 wceq fimacnv eqcomd adantl mpbird
    wa feq2d ) BCDFZABEFZSZACDEGZFEHBIZCUDFZUBUAEJUFABEKBCDELMUCAUECUDUBAUENUAU
    BUEAABEOPQTR $.

  $( Obsolete version of ~ fco as of 20-Sep-2024.  (Contributed by NM,
     29-Aug-1999.)  (Proof shortened by Andrew Salmon, 17-Sep-2011.)
     (New usage is discouraged.)  (Proof modification is discouraged.) $)
  fcoOLD $p |- ( ( F : B --> C /\ G : A --> B ) -> ( F o. G ) : A --> C ) $=
    ( wf wa ccom wfn crn wss df-f wi fnco 3expib adantr rncoss sstr mpan adantl
    jctird imp syl2anb sylibr ) BCDFZABEFZGDEHZAIZUGJZCKZGZACUGFUEDBIZDJZCKZGZE
    AIZEJBKZGZUKUFBCDLABELUOURUKUOURUHUJULURUHMUNULUPUQUHBADENOPUNUJULUIUMKUNUJ
    DEQUIUMCRSTUAUBUCACUGLUD $.

  ${
    fcod.1 $e |- ( ph -> F : B --> C ) $.
    fcod.2 $e |- ( ph -> G : A --> B ) $.
    $( Composition of two mappings.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    fcod $p |- ( ph -> ( F o. G ) : A --> C ) $=
      ( wf ccom fco syl2anc ) ACDEIBCFIBDEFJIGHBCDEFKL $.
  $}

  $( Functionality of a composition with weakened out of domain condition on
     the first argument.  (Contributed by Stefan O'Rear, 11-Mar-2015.) $)
  fco2 $p |- ( ( ( F |` B ) : B --> C /\ G : A --> B ) ->
      ( F o. G ) : A --> C ) $=
    ( cres wf wa ccom fco wceq crn wss frn cores syl adantl feq1d mpbid ) BCDBF
    ZGZABEGZHZACTEIZGACDEIZGABCTEJUCACUDUEUBUDUEKZUAUBELBMUFABENDEBOPQRS $.

  $( A mapping is a class of ordered pairs.  (Contributed by NM, 3-Aug-1994.)
     (Proof shortened by Andrew Salmon, 17-Sep-2011.) $)
  fssxp $p |- ( F : A --> B -> F C_ ( A X. B ) ) $=
    ( wf cdm crn cxp wrel wss frel relssdmrn syl wceq fdm eqimss xpss12 syl2anc
    frn sstrd ) ABCDZCCEZCFZGZABGZTCHCUCIABCJCKLTUAAIZUBBIUCUDITUAAMUEABCNUAAOL
    ABCRUAAUBBPQS $.

  $( Two ways of specifying a partial function from ` A ` to ` B ` .
     (Contributed by NM, 13-Nov-2007.) $)
  funssxp $p |- ( ( Fun F /\ F C_ ( A X. B ) ) <->
             ( F : dom F --> B /\ dom F C_ A ) ) $=
    ( wfun cxp wss wa cdm wf wfn funfn biimpi rnss rnxpss sstrdi anim12i sylibr
    crn df-f jca dmss dmxpss adantl ffun adantr fssxp xpss1 sylan9ss impbii ) C
    DZCABEZFZGZCHZBCIZUNAFZGZUMUOUPUMCUNJZCRZBFZGUOUJURULUTUJURCKLULUSUKRBCUKMA
    BNOPUNBCSQULUPUJULUNUKHACUKUAABUBOUCTUQUJULUOUJUPUNBCUDUEUOUPCUNBEUKUNBCUFU
    NABUGUHTUI $.

  $( A mapping is a partial function.  (Contributed by NM, 25-Nov-2007.) $)
  ffdm $p |- ( F : A --> B -> ( F : dom F --> B /\ dom F C_ A ) ) $=
    ( wf cdm wss fdm feq2d ibir wceq eqimss syl jca ) ABCDZCEZBCDZOAFZNPNOABCAB
    CGZHINOAJQROAKLM $.

  ${
    ffdmd.1 $e |- ( ph -> F : A --> B ) $.
    $( The domain of a function.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    ffdmd $p |- ( ph -> F : dom F --> B ) $=
      ( cdm wf wss wa ffdm syl simpld ) ADFZCDGZMBHZABCDGNOIEBCDJKL $.
  $}

  $( A different way to write ` F ` is a function.  (Contributed by Thierry
     Arnoux, 7-Dec-2016.) $)
  fdmrn $p |- ( Fun F <-> F : dom F --> ran F ) $=
    ( cdm crn wf wfn wfun wss ssid df-f mpbiran2 wceq eqid df-fn bitr2i ) ABZAC
    ZADZAOEZAFZQRPPGPHOPAIJRSOOKOLAOMJN $.

  ${
    funcofd.1 $e |- ( ph -> Fun F ) $.
    funcofd.2 $e |- ( ph -> Fun G ) $.
    $( Composition of two functions as a function with domain and codomain.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.)  (Proof shortened by
       AV, 20-Sep-2024.) $)
    funcofd $p |- ( ph -> ( F o. G ) : ( `' G " dom F ) --> ran F ) $=
      ( cdm crn wf wfun ccnv cima ccom fdmrn sylib fcof syl2anc ) ABFZBGZBHZCIC
      JQKRBCLHABISDBMNEQRBCOP $. $( 6 s, 96 b $)
  $}

  ${
    fco3OLD.1 $e |- ( ph -> Fun F ) $.
    fco3OLD.2 $e |- ( ph -> Fun G ) $.
    $( Obsolete version of ~ funcofd as 20-Sep-2024.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    fco3OLD $p |- ( ph -> ( F o. G ) : ( `' G " dom F ) --> ran F ) $=
      ( ccnv cdm cima ccom crn wf wfun funco syl2anc fdmrn sylib dmco feq2i wss
      rncoss a1i fssd ) ACFBGHZBCIZJZBJZUDAUDGZUEUDKZUCUEUDKAUDLZUHABLCLUIDEBCM
      NUDOPUGUCUEUDBCQRPUEUFSABCTUAUB $.
  $}

  $( The members of an ordered pair element of a mapping belong to the
     mapping's domain and codomain.  (Contributed by NM, 10-Dec-2003.)
     (Revised by Mario Carneiro, 26-Apr-2015.) $)
  opelf $p |- ( ( F : A --> B /\ <. C , D >. e. F ) ->
              ( C e. A /\ D e. B ) ) $=
    ( wf cop wcel wa cxp fssxp sseld opelxp syl6ib imp ) ABEFZCDGZEHZCAHDBHIZPR
    QABJZHSPETQABEKLCDABMNO $.

  $( The union of two functions with disjoint domains.  (Contributed by NM,
     22-Sep-2004.) $)
  fun $p |- ( ( ( F : A --> C /\ G : B --> D ) /\ ( A i^i B ) = (/) ) ->
             ( F u. G ) : ( A u. B ) --> ( C u. D ) ) $=
    ( cin c0 wceq wf wa cun wfn crn wss fnun expcom rnun unss12 df-f an4 impcom
    eqsstrid anim12d1 anbi12i bitri 3imtr4g ) ABGHIZACEJZBDFJZKZABLZCDLZEFLZJZU
    HEAMZFBMZKZENZCOZFNZDOZKZKZUNULMZUNNZUMOZKUKUOUHURVEVCVGURUHVEABEFPQVCVFUSV
    ALUMEFRUSCVADSUCUDUKUPUTKZUQVBKZKVDUIVHUJVIACETBDFTUEUPUTUQVBUAUFULUMUNTUGU
    B $.

  $( The union of two functions with disjoint domains.  (Contributed by Mario
     Carneiro, 12-Mar-2015.) $)
  fun2 $p |- ( ( ( F : A --> C /\ G : B --> C ) /\ ( A i^i B ) = (/) ) ->
             ( F u. G ) : ( A u. B ) --> C ) $=
    ( wf wa cin c0 wceq cun fun wb unidm feq3 ax-mp sylib ) ACDFBCEFGABHIJGABKZ
    CCKZDEKZFZRCTFZABCCDELSCJUAUBMCNSCRTOPQ $.

  ${
    fun2d.f $e |- ( ph -> F : A --> C ) $.
    fun2d.g $e |- ( ph -> G : B --> C ) $.
    fun2d.i $e |- ( ph -> ( A i^i B ) = (/) ) $.
    $( The union of functions with disjoint domains is a function, deduction
       version of ~ fun2 .  (Contributed by AV, 11-Oct-2020.)  (Revised by AV,
       24-Oct-2021.) $)
    fun2d $p |- ( ph -> ( F u. G ) : ( A u. B ) --> C ) $=
      ( wf cin c0 wceq cun fun2 syl21anc ) ABDEJCDFJBCKLMBCNDEFNJGHIBCDEFOP $.
  $}

  $( Composition of two functions.  (Contributed by NM, 22-May-2006.) $)
  fnfco $p |- ( ( F Fn A /\ G : B --> A ) -> ( F o. G ) Fn B ) $=
    ( wf wfn crn wss wa ccom df-f fnco 3expb sylan2b ) BADECAFZDBFZDGAHZICDJBFZ
    BADKOPQRABCDLMN $.

  $( Restriction of a function with a subclass of its domain.  (Contributed by
     NM, 23-Sep-2004.) $)
  fssres $p |- ( ( F : A --> B /\ C C_ A ) -> ( F |` C ) : C --> B ) $=
    ( wf wss wa cres wfn crn df-f fnssres resss rnssi sstr anim12i an32s sylanb
    mpan sylibr ) ABDEZCAFZGDCHZCIZUCJZBFZGZCBUCEUADAIZDJZBFZGUBUGABDKUHUBUJUGU
    HUBGUDUJUFACDLUEUIFUJUFUCDDCMNUEUIBOSPQRCBUCKT $.

  ${
    fssresd.1 $e |- ( ph -> F : A --> B ) $.
    fssresd.2 $e |- ( ph -> C C_ A ) $.
    $( Restriction of a function with a subclass of its domain, deduction form.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fssresd $p |- ( ph -> ( F |` C ) : C --> B ) $=
      ( wf wss cres fssres syl2anc ) ABCEHDBIDCEDJHFGBCDEKL $.
  $}

  $( Restriction of a restricted function with a subclass of its domain.
     (Contributed by NM, 21-Jul-2005.) $)
  fssres2 $p |- ( ( ( F |` A ) : A --> B /\ C C_ A ) ->
                ( F |` C ) : C --> B ) $=
    ( cres wf wss wa fssres wb resabs1 feq1d adantl mpbid ) ABDAEZFZCAGZHCBOCEZ
    FZCBDCEZFZABCOIQSUAJPQCBRTDCAKLMN $.

  $( An identity for the mapping relationship under restriction.  (Contributed
     by Scott Fenton, 4-Sep-2011.)  (Proof shortened by Mario Carneiro,
     26-May-2016.) $)
  fresin $p |- ( F : A --> B -> ( F |` X ) : ( A i^i X ) --> B ) $=
    ( wf cin cres wss inss1 fssres mpan2 resres wfn ffn fnresdm reseq1d eqtr3id
    wceq syl feq1d mpbid ) ABCEZADFZBCUCGZEZUCBCDGZEUBUCAHUEADIABUCCJKUBUCBUDUF
    UBUDCAGZDGUFCADLUBUGCDUBCAMUGCRABCNACOSPQTUA $.

  $( If two functions agree on their common domain, express their union as a
     union of three functions with pairwise disjoint domains.  (Contributed by
     Stefan O'Rear, 9-Oct-2014.) $)
  resasplit $p |- ( ( F Fn A /\ G Fn B /\
      ( F |` ( A i^i B ) ) = ( G |` ( A i^i B ) ) ) -> ( F u. G ) =
  ( ( F |` ( A i^i B ) ) u. ( ( F |` ( A \ B ) ) u. ( G |` ( B \ A ) ) ) ) ) $=
    ( wfn cin cres w3a cun fnresdm uneq12 syl2an inundif reseq2i resundi eqtr3i
    wceq cdif uneq1i eqtrdi 3adant3 incom eqtri uneq12i simp3 uneq1d uneq2d un4
    eqtr4id unidm eqtr3d ) CAEZDBEZCABFZGZDUNGZQZHZCAGZDBGZIZCDIZUOCABRZGZDBARZ
    GZIZIZULUMVAVBQZUQULUSCQUTDQVIUMACJBDJUSCUTDKLUAURVAUOUOIZVGIZVHURVAUOVDIZU
    OVFIZIZVKURVAVLUPVFIZIVNUSVLUTVOCUNVCIZGUSVLVPACABMNCUNVCOPDUNVEIZGUTVOVQBD
    VQBAFZVEIBUNVRVEABUBSBAMUCNDUNVEOPUDURVMVOVLURUOUPVFULUMUQUEUFUGUIUOVDUOVFU
    HTVJUOVGUOUJSTUK $.

  $( The union of two functions which agree on their common domain is a
     function.  (Contributed by Stefan O'Rear, 9-Oct-2014.) $)
  fresaun $p |- ( ( F : A --> C /\ G : B --> C /\
      ( F |` ( A i^i B ) ) = ( G |` ( A i^i B ) ) ) ->
    ( F u. G ) : ( A u. B ) --> C ) $=
    ( wf cin cres wceq cun wss fssres sylancl difss c0 disjdif 3eqtri a1i fun2d
    cdif simp1 inss1 simp2 indifdir difeq1i 0dif indi inass ineq2i incom ineq1i
    w3a in0 eqtri uneq12i un0 un12 uneq1i inundif uneq2i undif1 feq2i resasplit
    wfn ffn id syl3an feq1d bitr4id mpbid ) ACDFZBCEFZDABGZHZEVMHIZULZVMABTZBAT
    ZJZJZCVNDVQHZEVRHZJZJZFZABJZCDEJZFZVPVMVSCVNWCVPVKVMAKVMCVNFVKVLVOUAZABUBAC
    VMDLMVPVQVRCWAWBVPVKVQAKVQCWAFWIABNACVQDLMVPVLVRBKVRCWBFVKVLVOUCBANBCVRELMV
    QVRGZOIVPWJAVRGZBVRGZTOWLTOABVRUDWKOWLABPZUEWLUFQRSVMVSGZOIVPWNVMVQGZVMVRGZ
    JOOJOVMVQVRUGWOOWPOWOABVQGZGAOGOABVQUHWQOABAPUIAUMQWPBAGZVRGZOVMWRVRABUJZUK
    WSBWKGBOGOBAVRUHWKOBWMUIBUMQUNUOOUPQRSVPWEWFCWDFWHVTWFCWDVTVQVMVRJZJVQBJWFV
    MVQVRUQXABVQXAWRVRJBVMWRVRWTURBAUSUNUTABVAQVBVPWFCWGWDVKDAVDVLEBVDVOVOWGWDI
    ACDVEBCEVEVOVFABDEVCVGVHVIVJ $.

  $( From the union of two functions that agree on the domain overlap, either
     component can be recovered by restriction.  (Contributed by Stefan O'Rear,
     9-Oct-2014.) $)
  fresaunres2 $p |- ( ( F : A --> C /\ G : B --> C /\
      ( F |` ( A i^i B ) ) = ( G |` ( A i^i B ) ) ) ->
    ( ( F u. G ) |` B ) = G ) $=
    ( wf cin cres wceq cun cdif wfn ffn resundir wss ax-mp c0 cdm eqtri eqtrid
    w3a id resasplit syl3an reseq1d inss2 resabs2 uneq12i ineq2i disjdif ineq1i
    dmres inass 0in 3eqtr3i wb relres reldm0 mpbir difss uneq2i simp3 uneq1d wa
    wrel uncom un0 resundi incom uneq1i inundif reseq2i fnresdm eqtr3id 3adant3
    syl adantl eqtrd ) ACDFZBCEFZDABGZHZEWAHZIZUAZDEJZBHWBDABKZHZEBAKZHZJZJZBHZ
    EWEWFWLBVSDALVTEBLZWDWDWFWLIACDMBCEMZWDUBABDEUCUDUEWEWMWBBHZWKBHZJZEWBWKBNW
    EWRWBWHBHZWJBHZJZJZEWPWBWQXAWABOWPWBIABUFDWABUGPWHWJBNUHWEXBWBQWJJZJZEXAXCW
    BWSQWTWJWSQIZWSRZQIZXFBWHRZGZQWHBULXIBWGDRZGZGZQXHXKBDWGULUIBWGGZXJGQXJGXLQ
    XMQXJBAUJUKBWGXJUMXJUNUOSSWSVEXEXGUPWHBUQWSURPUSWIBOWTWJIBAUTEWIBUGPUHVAWEX
    DWCXCJZEWEWBWCXCVSVTWDVBVCVSVTXNEIWDVSVTVDZXNWCWJJZEXCWJWCXCWJQJWJQWJVFWJVG
    SVAXOXPEWAWIJZHZEEWAWIVHXOXREBHZEXQBEXQBAGZWIJBWAXTWIABVIVJBAVKSVLVTXSEIZVS
    VTWNYAWOBEVMVPVQTVNTVOVRTTTVR $.

  $( From the union of two functions that agree on the domain overlap, either
     component can be recovered by restriction.  (Contributed by Mario
     Carneiro, 16-Feb-2015.) $)
  fresaunres1 $p |- ( ( F : A --> C /\ G : B --> C /\
      ( F |` ( A i^i B ) ) = ( G |` ( A i^i B ) ) ) ->
    ( ( F u. G ) |` A ) = F ) $=
    ( wf cin cres w3a cun uncom reseq1i incom reseq2i eqeq12i eqcom fresaunres2
    wceq bitri 3com12 syl3an3b eqtrid ) ACDFZBCEFZDABGZHZEUEHZRZIDEJZAHEDJZAHZD
    UIUJADEKLUHUCUDEBAGZHZDULHZRZUKDRZUHUNUMRUOUFUNUGUMUEULDABMZNUEULEUQNOUNUMP
    SUDUCUOUPBACEDQTUAUB $.

  $( Composition of a mapping and restricted identity.  (Contributed by NM,
     13-Dec-2003.)  (Proof shortened by Andrew Salmon, 17-Sep-2011.) $)
  fcoi1 $p |- ( F : A --> B -> ( F o. ( _I |` A ) ) = F ) $=
    ( wf wfn cid cres ccom wceq ffn wfun cdm df-fn wss eqimss ccnv cnvi reseq1i
    wa syl cnveqi eqtr2i coeq2i cores2 eqtrid wrel funrel coi1 sylan9eqr sylbi
    cnvresid ) ABCDCAEZCFAGZHZCIZABCJULCKZCLZAIZSUOCAMURUPUNCFHZCURUQANZUNUSIUQ
    AOUTUNCFPZAGZPZHUSUMVCCVCUMPUMVBUMVAFAQRUAAUKUBUCCFAUDUETUPCUFUSCICUGCUHTUI
    UJT $.

  $( Composition of restricted identity and a mapping.  (Contributed by NM,
     13-Dec-2003.)  (Proof shortened by Andrew Salmon, 17-Sep-2011.) $)
  fcoi2 $p |- ( F : A --> B -> ( ( _I |` B ) o. F ) = F ) $=
    ( wf wfn crn wss wa cid cres ccom wceq df-f cores wrel fnrel coi2 sylan9eqr
    syl sylbi ) ABCDCAEZCFBGZHIBJCKZCLABCMUBUAUCICKZCICBNUACOUDCLACPCQSRT $.

  ${
    $d y F $.  $d y A $.  $d y B $.  $d y C $.
    $( There is exactly one value of a function in its codomain.  (Contributed
       by NM, 10-Dec-2003.) $)
    feu $p |- ( ( F : A --> B /\ C e. A ) -> E! y e. B <. C , y >. e. F ) $=
      ( wf wcel wa cv cop weu wreu wfn ffn fneu2 sylan wb opelf simprd ex mpbid
      pm4.71rd eubidv adantr df-reu sylibr ) BCEFZDBGZHZAIZCGZDUJJEGZHZAKZULACL
      UIULAKZUNUGEBMUHUOBCENABDEOPUGUOUNQUHUGULUMAUGULUKUGULUKUGULHUHUKBCDUJERS
      TUBUCUDUAULACUEUF $.
  $}

  ${
    $d x y F $.  $d x y A $.  $d x y B $.
    $( The converse of a restriction of a function.  (Contributed by NM,
       26-Mar-1998.) $)
    fcnvres $p |- ( F : A --> B -> `' ( F |` A ) = ( `' F |` B ) ) $=
      ( vy vx wf cres ccnv relcnv cv cop wcel wa ex pm4.71rd vex opelresi bitri
      opelcnv bitr4di relres opelf simpld simprd anbi2i bitr3d eqrelrdv ) ABCFZ
      DECAGZHZCHZBGZUIIUKBUAUHEJZDJZKZCLZUNUMKZUJLZUQULLZUHUPUMALZUPMZURUHUPUTU
      HUPUTUHUPMZUTUNBLZABUMUNCUBZUCNOURUOUILVAUNUMUIDPZEPZSAUMUNCVEQRTUHUPVCUP
      MZUSUHUPVCUHUPVCVBUTVCVDUDNOUSVCUQUKLZMVGBUNUMUKVFQVHUPVCUNUMCVEVFSUERTUF
      UG $.
  $}

  $( The preimage of a class disjoint with a mapping's codomain is empty.
     (Contributed by FL, 24-Jan-2007.) $)
  fimacnvdisj $p |- ( ( F : A --> B /\ ( B i^i C ) = (/) ) ->
    ( `' F " C ) = (/) ) $=
    ( wf cin c0 wceq wa ccnv cdm cima wss crn df-rn frn adantr eqsstrrid ssdisj
    sylancom imadisj sylibr ) ABDEZBCFGHZIZDJZKZCFGHZUFCLGHUCUDUGBMUHUEUGDNZBDO
    UCUIBMUDABDPQRUGBCSTUFCUAUB $.

  ${
    $d x A $.  $d x B $.  $d x F $.
    fint.1 $e |- B =/= (/) $.
    $( Function into an intersection.  (Contributed by NM, 14-Oct-1999.)
       (Proof shortened by Andrew Salmon, 17-Sep-2011.) $)
    fint $p |- ( F : A --> |^| B <-> A. x e. B F : A --> x ) $=
      ( wfn crn cint wss wa cv wral wf ssint anbi2i c0 wne wb r19.28zv df-f
      ax-mp bitr4i ralbii 3bitr4i ) DBFZDGZCHZIZJZUEUFAKZIZJZACLZBUGDMBUJDMZACL
      UIUEUKACLZJZUMUHUOUEAUFCNOCPQUMUPREUEUKACSUAUBBUGDTUNULACBUJDTUCUD $.
  $}

  $( Mapping into an intersection.  (Contributed by NM, 14-Sep-1999.)  (Proof
     shortened by Andrew Salmon, 17-Sep-2011.) $)
  fin $p |- ( F : A --> ( B i^i C ) <-> ( F : A --> B /\ F : A --> C ) ) $=
    ( wfn crn cin wss wa wf ssin anbi2i anandi bitr3i df-f anbi12i 3bitr4i ) DA
    EZDFZBCGZHZIZRSBHZIZRSCHZIZIZATDJABDJZACDJZIUBRUCUEIZIUGUJUARSBCKLRUCUEMNAT
    DOUHUDUIUFABDOACDOPQ $.

  $( The empty function.  (Contributed by NM, 14-Aug-1999.) $)
  f0 $p |- (/) : (/) --> A $=
    ( c0 wf wfn crn wss wceq eqid fn0 mpbir rn0 0ss eqsstri df-f mpbir2an ) BAB
    CBBDZBEZAFPBBGBHBIJQBAKALMBABNO $.

  $( A class is a function with empty codomain iff it and its domain are empty.
     (Contributed by NM, 10-Dec-2003.) $)
  f00 $p |- ( F : A --> (/) <-> ( F = (/) /\ A = (/) ) ) $=
    ( c0 wf wceq wa wfn wfun cdm ffun crn wss frn ss0 syl dm0rn0 df-fn sylanbrc
    sylibr fn0 sylib fdm eqtr3d jca f0 feq1 feq2 sylan9bb mpbiri impbii ) ACBDZ
    BCEZACEZFZUKULUMUKBCGZULUKBHBIZCEZUOACBJUKBKZCEZUQUKURCLUSACBMURNOBPSZBCQRB
    TUAUKUPACACBUBUTUCUDUNUKCCCDZCUEULUKACCDUMVAACBCUFACCCUGUHUIUJ $.

  $( A function with empty domain is empty.  (Contributed by Alexander van der
     Vekens, 30-Jun-2018.) $)
  f0bi $p |- ( F : (/) --> X <-> F = (/) ) $=
    ( c0 wf wceq wfn ffn fn0 sylib f0 feq1 mpbiri impbii ) CBADZACEZNACFOCBAGAH
    IONCBCDBJCBACKLM $.

  $( A function is empty iff it has an empty domain.  (Contributed by AV,
     10-Feb-2019.) $)
  f0dom0 $p |- ( F : X --> Y -> ( X = (/) <-> F = (/) ) ) $=
    ( wf c0 wceq feq2 f0bi biimpi syl6bi com12 feq1 cdm fdm dm0 eqtr3di impbid
    ) BCADZBEFZAEFZSRTSRECADZTBECAGUATACHIJKTRSTRBCEDZSBCAELUBEMBEBCENOPJKQ $.

  ${
    $d E y $.  $d Y y $.
    $( If there is no element in the range of a function, its domain must be
       empty.  (Contributed by Alexander van der Vekens, 12-Jul-2018.) $)
    f0rn0 $p |- ( ( E : X --> Y /\ -. E. y e. Y y e. ran E ) -> X = (/) ) $=
      ( wf cv crn wcel wrex wn c0 wceq cdm wi fdm wa cin sylbi syl5bir imp wral
      wss frn ralnex df-ss incom eqeq1i eqtr2 ex syl adantl dm0rn0 sylibr eqeq1
      disj wb eqcoms adantr mpbird exp32 mpcom ) CDBEZAFBGZHZADIJZCKLZBMZCLZVBV
      EVFNCDBOVHVBVEVFVHVBVEPZPZVFVGKLZVJVCKLZVKVIVLVHVBVEVLVBVCDUBZVEVLNCDBUCV
      EVDJADUAZVMVLVDADUDVNDVCQZKLZVMVLADVCUOVMVCDQZVCLZVPVLNZVCDUEVRVOVCLZVSVQ
      VOVCVCDUFUGVTVPVLVOVCKUHUIRRSSUJTUKBULUMVHVFVKUPZVIWACVGCVGKUNUQURUSUTVAT
      $.
  $}

  ${
    $d x A $.  $d x B $.
    fconst.1 $e |- B e. _V $.
    $( A Cartesian product with a singleton is a constant function.
       (Contributed by NM, 14-Aug-1999.)  (Proof shortened by Andrew Salmon,
       17-Sep-2011.) $)
    fconst $p |- ( A X. { B } ) : A --> { B } $=
      ( vx csn cxp wf wfn crn wss fconstmpt fnmpti rnxpss df-f mpbir2an ) ABEZA
      PFZGQAHQIPJDABQCDABKLAPMAPQNO $.
  $}

  ${
    $d x A $.  $d x B $.
    $( A Cartesian product with a singleton is a constant function.
       (Contributed by NM, 19-Oct-2004.) $)
    fconstg $p |- ( B e. V -> ( A X. { B } ) : A --> { B } ) $=
      ( vx cv csn cxp wf wceq sneq xpeq2d feq1 feq3 sylan9bb syl2anc vex fconst
      wb vtoclg ) ADEZFZAUAGZHZABFZAUDGZHZDBCTBIZUBUEIZUAUDIZUCUFRUGUAUDATBJZKU
      JUHUCAUAUEHUIUFAUAUBUELUAUDAUEMNOATDPQS $.
  $}

  $( A Cartesian product with a singleton is a constant function.  (Contributed
     by NM, 24-Jul-2014.) $)
  fnconstg $p |- ( B e. V -> ( A X. { B } ) Fn A ) $=
    ( wcel csn cxp fconstg ffnd ) BCDABEZAIFABCGH $.

  $( Constant function with loose range.  (Contributed by Stefan O'Rear,
     1-Feb-2015.) $)
  fconst6g $p |- ( B e. C -> ( A X. { B } ) : A --> C ) $=
    ( wcel csn cxp fconstg snssi fssd ) BCDABEZCAJFABCGBCHI $.

  ${
    fconst6.1 $e |- B e. C $.
    $( A constant function as a mapping.  (Contributed by Jeff Madsen,
       30-Nov-2009.)  (Revised by Mario Carneiro, 22-Apr-2015.) $)
    fconst6 $p |- ( A X. { B } ) : A --> C $=
      ( wcel csn cxp wf fconst6g ax-mp ) BCEACABFGHDABCIJ $.
  $}

  $( Equality theorem for one-to-one functions.  (Contributed by NM,
     10-Feb-1997.) $)
  f1eq1 $p |- ( F = G -> ( F : A -1-1-> B <-> G : A -1-1-> B ) ) $=
    ( wceq wf ccnv wfun wa wf1 feq1 cnveq funeqd anbi12d df-f1 3bitr4g ) CDEZAB
    CFZCGZHZIABDFZDGZHZIABCJABDJQRUATUCABCDKQSUBCDLMNABCOABDOP $.

  $( Equality theorem for one-to-one functions.  (Contributed by NM,
     10-Feb-1997.) $)
  f1eq2 $p |- ( A = B -> ( F : A -1-1-> C <-> F : B -1-1-> C ) ) $=
    ( wceq wf ccnv wfun wa wf1 feq2 anbi1d df-f1 3bitr4g ) ABEZACDFZDGHZIBCDFZQ
    IACDJBCDJOPRQABCDKLACDMBCDMN $.

  $( Equality theorem for one-to-one functions.  (Contributed by NM,
     10-Feb-1997.) $)
  f1eq3 $p |- ( A = B -> ( F : C -1-1-> A <-> F : C -1-1-> B ) ) $=
    ( wceq wf ccnv wfun wa wf1 feq3 anbi1d df-f1 3bitr4g ) ABEZCADFZDGHZICBDFZQ
    ICADJCBDJOPRQABCDKLCADMCBDMN $.

  ${
    nff1.1 $e |- F/_ x F $.
    nff1.2 $e |- F/_ x A $.
    nff1.3 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for a one-to-one function.
       (Contributed by NM, 16-May-2004.) $)
    nff1 $p |- F/ x F : A -1-1-> B $=
      ( wf1 wf ccnv wfun wa df-f1 nff nfcnv nffun nfan nfxfr ) BCDHBCDIZDJZKZLA
      BCDMSUAAABCDEFGNATADEOPQR $.
  $}

  ${
    $d x y F $.
    $( Alternate definition of a one-to-one function.  (Contributed by NM,
       31-Dec-1996.) $)
    dff12 $p |- ( F : A -1-1-> B <-> ( F : A --> B /\ A. y E* x x F y ) ) $=
      ( wf1 wf ccnv wfun wa cv wbr wmo wal df-f1 funcnv2 anbi2i bitri ) CDEFCDE
      GZEHIZJSAKBKELAMBNZJCDEOTUASABEPQR $.
  $}

  $( A one-to-one mapping is a mapping.  (Contributed by NM, 31-Dec-1996.) $)
  f1f $p |- ( F : A -1-1-> B -> F : A --> B ) $=
    ( wf1 wf ccnv wfun df-f1 simplbi ) ABCDABCECFGABCHI $.

  $( A one-to-one mapping is a function on its domain.  (Contributed by NM,
     8-Mar-2014.) $)
  f1fn $p |- ( F : A -1-1-> B -> F Fn A ) $=
    ( wf1 f1f ffnd ) ABCDABCABCEF $.

  $( A one-to-one mapping is a function.  (Contributed by NM, 8-Mar-2014.) $)
  f1fun $p |- ( F : A -1-1-> B -> Fun F ) $=
    ( wf1 wfn wfun f1fn fnfun syl ) ABCDCAECFABCGACHI $.

  $( A one-to-one onto mapping is a relation.  (Contributed by NM,
     8-Mar-2014.) $)
  f1rel $p |- ( F : A -1-1-> B -> Rel F ) $=
    ( wf1 wfn wrel f1fn fnrel syl ) ABCDCAECFABCGACHI $.

  $( The domain of a one-to-one mapping.  (Contributed by NM, 8-Mar-2014.)
     (Proof shortened by Wolf Lammen, 29-May-2024.) $)
  f1dm $p |- ( F : A -1-1-> B -> dom F = A ) $=
    ( wf1 f1fn fndmd ) ABCDACABCEF $.

  $( Obsolete version of ~ f1dm as of 29-May-2024.  (Contributed by NM,
     8-Mar-2014.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  f1dmOLD $p |- ( F : A -1-1-> B -> dom F = A ) $=
    ( wf1 wfn cdm wceq f1fn fndm syl ) ABCDCAECFAGABCHACIJ $.

  $( A function that is one-to-one is also one-to-one on some superset of its
     codomain.  (Contributed by Mario Carneiro, 12-Jan-2013.) $)
  f1ss $p |- ( ( F : A -1-1-> B /\ B C_ C ) -> F : A -1-1-> C ) $=
    ( wf1 wss wa wf ccnv wfun f1f fss sylan df-f1 simprbi adantr sylanbrc ) ABD
    EZBCFZGACDHZDIJZACDERABDHZSTABDKABCDLMRUASRUBUAABDNOPACDNQ $.

  $( A function that is one-to-one is also one-to-one on some superset of its
     range.  (Contributed by Stefan O'Rear, 20-Feb-2015.) $)
  f1ssr $p |- ( ( F : A -1-1-> B /\ ran F C_ C ) -> F : A -1-1-> C ) $=
    ( wf1 crn wss wa wf ccnv wfun f1fn adantr simpr df-f sylanbrc df-f1 simprbi
    wfn ) ABDEZDFCGZHZACDIZDJKZACDEUBDASZUAUCTUEUAABDLMTUANACDOPTUDUATABDIUDABD
    QRMACDQP $.

  $( A function that is one-to-one is also one-to-one on any subclass of its
     domain.  (Contributed by Mario Carneiro, 17-Jan-2015.) $)
  f1ssres $p |- ( ( F : A -1-1-> B /\ C C_ A ) -> ( F |` C ) : C -1-1-> B ) $=
    ( wf1 wss wa cres wf ccnv wfun fssres sylan df-f1 funres11 simplbiim adantr
    f1f sylanbrc ) ABDEZCAFZGCBDCHZIZUBJKZCBUBETABDIZUAUCABDRABCDLMTUDUATUEDJKU
    DABDNCDOPQCBUBNS $.

  $( The restriction of an injective function is injective.  (Contributed by
     AV, 28-Jun-2022.) $)
  f1resf1 $p |- ( ( F : A -1-1-> B /\ C C_ A /\ ( F |` C ) : C --> D )
                  -> ( F |` C ) : C -1-1-> D ) $=
    ( wf1 wss cres wf w3a crn f1ssres 3adant3 frn 3ad2ant3 f1ssr syl2anc ) ABEF
    ZCAGZCDECHZIZJCBTFZTKDGZCDTFRSUBUAABCELMUARUCSCDTNOCBDTPQ $.

  $( Two ways to express that a set ` A ` (not necessarily a function) is
     one-to-one.  Each side is equivalent to Definition 6.4(3) of
     [TakeutiZaring] p. 24, who use the notation "Un_2 (A)" for one-to-one.  We
     do not introduce a separate notation since we rarely use it.  (Contributed
     by NM, 13-Aug-2004.) $)
  f1cnvcnv $p |-
               ( `' `' A : dom A -1-1-> _V <-> ( Fun `' A /\ Fun `' `' A ) ) $=
    ( cdm cvv ccnv wf1 wf wfun wa df-f1 wfn dffn2 wceq dmcnvcnv mpbiran2 bitr3i
    df-fn wrel relcnv dfrel2 mpbi funeqi anbi12ci bitri ) ABZCADZDZEUDCUFFZUFDZ
    GZHUEGZUFGZHUDCUFIUGUKUIUJUGUFUDJZUKUDUFKULUKUFBUDLAMUFUDPNOUHUEUEQUHUELARU
    ESTUAUBUC $.

  $( Composition of two one-to-one functions.  Generalization of ~ f1co .
     (Contributed by AV, 18-Sep-2024.) $)
  f1cof1 $p |- ( ( F : C -1-1-> D /\ G : A -1-1-> B )
                -> ( F o. G ) : ( `' G " C ) -1-1-> D ) $=
    ( wf1 wa ccnv cima ccom wf wfun df-f1 ffun fcof sylan2 funco cnvco sylibr
    funeqi ancoms anim12i an4s syl2anb ) CDEGZABFGZHFIZCJZDEFKZLZUJIZMZHZUIDUJG
    UFCDELZEIZMZHABFLZUHMZHUNUGCDENABFNUOURUQUSUNUOURHUKUQUSHUMURUOFMUKABFOCDEF
    PQUSUQUMUSUQHUHUPKZMUMUHUPRULUTEFSUATUBUCUDUEUIDUJNT $.

  $( Composition of one-to-one functions when the codomain of the first matches
     the domain of the second.  Exercise 30 of [TakeutiZaring] p. 25.
     (Contributed by NM, 28-May-1998.)  (Proof shortened by AV,
     20-Sep-2024.) $)
  f1co $p |-
         ( ( F : B -1-1-> C /\ G : A -1-1-> B ) -> ( F o. G ) : A -1-1-> C ) $=
    ( wf1 wa ccom ccnv cima f1cof1 wceq wb f1f fimacnv syl adantl eqcomd f1eq2
    wf mpbird ) BCDFZABEFZGZACDEHZFZEIBJZCUEFZABBCDEKUDAUGLUFUHMUDUGAUCUGALZUBU
    CABETUIABENABEOPQRAUGCUESPUA $.

  $( Obsolete version of ~ f1co as of 20-Sep-2024.  (Contributed by NM,
     28-May-1998.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  f1coOLD $p |-
         ( ( F : B -1-1-> C /\ G : A -1-1-> B ) -> ( F o. G ) : A -1-1-> C ) $=
    ( wf1 wa ccom wf ccnv wfun df-f1 fco funco cnvco funeqi sylibr anim12i an4s
    ancoms syl2anb ) BCDFZABEFZGACDEHZIZUDJZKZGZACUDFUBBCDIZDJZKZGABEIZEJZKZGUH
    UCBCDLABELUIULUKUNUHUIULGUEUKUNGUGABCDEMUNUKUGUNUKGUMUJHZKUGUMUJNUFUODEOPQT
    RSUAACUDLQ $.

  $( Equality theorem for onto functions.  (Contributed by NM, 1-Aug-1994.) $)
  foeq1 $p |- ( F = G -> ( F : A -onto-> B <-> G : A -onto-> B ) ) $=
    ( wceq wfn crn wa wfo fneq1 rneq eqeq1d anbi12d df-fo 3bitr4g ) CDEZCAFZCGZ
    BEZHDAFZDGZBEZHABCIABDIPQTSUBACDJPRUABCDKLMABCNABDNO $.

  $( Equality theorem for onto functions.  (Contributed by NM, 1-Aug-1994.) $)
  foeq2 $p |- ( A = B -> ( F : A -onto-> C <-> F : B -onto-> C ) ) $=
    ( wceq wfn crn wa wfo fneq2 anbi1d df-fo 3bitr4g ) ABEZDAFZDGCEZHDBFZPHACDI
    BCDINOQPABDJKACDLBCDLM $.

  $( Equality theorem for onto functions.  (Contributed by NM, 1-Aug-1994.) $)
  foeq3 $p |- ( A = B -> ( F : C -onto-> A <-> F : C -onto-> B ) ) $=
    ( wceq wfn crn wa wfo eqeq2 anbi2d df-fo 3bitr4g ) ABEZDCFZDGZAEZHOPBEZHCAD
    ICBDINQROABPJKCADLCBDLM $.

  ${
    nffo.1 $e |- F/_ x F $.
    nffo.2 $e |- F/_ x A $.
    nffo.3 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for an onto function.  (Contributed by
       NM, 16-May-2004.) $)
    nffo $p |- F/ x F : A -onto-> B $=
      ( wfo wfn crn wceq wa df-fo nffn nfrn nfeq nfan nfxfr ) BCDHDBIZDJZCKZLAB
      CDMSUAAABDEFNATCADEOGPQR $.
  $}

  $( An onto mapping is a mapping.  (Contributed by NM, 3-Aug-1994.) $)
  fof $p |- ( F : A -onto-> B -> F : A --> B ) $=
    ( wfn crn wceq wa wss wfo wf eqimss anim2i df-fo df-f 3imtr4i ) CADZCEZBFZG
    PQBHZGABCIABCJRSPQBKLABCMABCNO $.

  $( An onto mapping is a function.  (Contributed by NM, 29-Mar-2008.) $)
  fofun $p |- ( F : A -onto-> B -> Fun F ) $=
    ( wfo fof ffund ) ABCDABCABCEF $.

  $( An onto mapping is a function on its domain.  (Contributed by NM,
     16-Dec-2008.) $)
  fofn $p |- ( F : A -onto-> B -> F Fn A ) $=
    ( wfo fof ffnd ) ABCDABCABCEF $.

  $( The codomain of an onto function is its range.  (Contributed by NM,
     3-Aug-1994.) $)
  forn $p |- ( F : A -onto-> B -> ran F = B ) $=
    ( wfo wfn crn wceq df-fo simprbi ) ABCDCAECFBGABCHI $.

  $( Alternate definition of an onto function.  (Contributed by NM,
     22-Mar-2006.) $)
  dffo2 $p |- ( F : A -onto-> B <-> ( F : A --> B /\ ran F = B ) ) $=
    ( wfo wf crn wceq wa fof forn jca wfn ffn df-fo biimpri sylan impbii ) ABCD
    ZABCEZCFBGZHRSTABCIABCJKSCALZTRABCMRUATHABCNOPQ $.

  $( The image of the domain of an onto function.  (Contributed by NM,
     29-Nov-2002.) $)
  foima $p |- ( F : A -onto-> B -> ( F " A ) = B ) $=
    ( wfo cdm cima crn imadmrn fof fdmd imaeq2d forn 3eqtr3a ) ABCDZCCEZFCGCAFB
    CHNOACNABCABCIJKABCLM $.

  $( A function maps onto its range.  (Contributed by NM, 10-May-1998.) $)
  dffn4 $p |- ( F Fn A <-> F : A -onto-> ran F ) $=
    ( wfn crn wceq wa wfo eqid biantru df-fo bitr4i ) BACZLBDZMEZFAMBGNLMHIAMBJ
    K $.

  $( A function maps its domain onto its range.  (Contributed by NM,
     23-Jul-2004.) $)
  funforn $p |- ( Fun A <-> A : dom A -onto-> ran A ) $=
    ( wfun cdm wfn crn wfo funfn dffn4 bitri ) ABAACZDJAEAFAGJAHI $.

  $( An onto function has unique domain and range.  (Contributed by NM,
     5-Nov-2006.) $)
  fodmrnu $p |- ( ( F : A -onto-> B /\ F : C -onto-> D ) ->
                ( A = C /\ B = D ) ) $=
    ( wfo wa wceq wfn fofn fndmu syl2an crn forn sylan9req jca ) ABEFZCDEFZGACH
    ZBDHQEAIECISRABEJCDEJACEKLQRBEMDABENCDENOP $.

  $( A function is a function onto the image of its domain.  (Contributed by
     AV, 1-Dec-2022.) $)
  fimadmfo $p |- ( F : A --> B -> F : A -onto-> ( F " A ) ) $=
    ( wf cdm wceq cima wfo fdm wa crn wfn ffn adantr dffn4 sylib imaeq2 imadmrn
    wb eqtrdi eqcoms adantl foeq3 syl mpbird mpdan ) ABCDZCEZAFZACAGZCHZABCIUGU
    IJZUKACKZCHZULCALZUNUGUOUIABCMNACOPULUJUMFZUKUNSUIUPUGUPAUHAUHFUJCUHGUMAUHC
    QCRTUAUBUJUMACUCUDUEUF $.

  $( Restriction of an onto function.  (Contributed by NM, 4-Mar-1997.) $)
  fores $p |- ( ( Fun F /\ A C_ dom F ) ->
              ( F |` A ) : A -onto-> ( F " A ) ) $=
    ( wfun cdm wss cres cima wfo funres anim1i wfn wceq df-fn crn df-ima eqcomi
    wa df-fo mpbiran2 ssdmres anbi2i 3bitr4i sylibr ) BCZABDEZQBAFZCZUEQZABAGZU
    FHZUDUGUEABIJUFAKZUGUFDALZQUJUHUFAMUJUKUFNZUILUIUMBAOPAUIUFRSUEULUGABTUAUBU
    C $.

  $( Alternate proof of ~ fimadmfo , based on ~ fores .  A function is a
     function onto the image of its domain.  (Contributed by AV, 1-Dec-2022.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  fimadmfoALT $p |- ( F : A --> B -> F : A -onto-> ( F " A ) ) $=
    ( wf cres wceq cima wfo cdm fdm wrel resdm eqcomd syl reseq2 sylan9eq mpdan
    frel wa wfun wss ffun eqimss2 jca adantr fores wb foeq1 adantl mpbird ) ABC
    DZCCAEZFZACAGZCHZUKCIZAFZUMABCJZUKUQCCUPEZULUKCKZCUSFABCRUTUSCCLMNUPACOPQUK
    UMSZUOAUNULHZVACTZAUPUAZSZVBUKVEUMUKVCVDABCUBUKUQVDURAUPUCNUDUEACUFNUMUOVBU
    GUKAUNCULUHUIUJQ $.

  $( The preimage of the codomain of a surjection is its domain.  (Contributed
     by AV, 29-Sep-2024.) $)
  focnvimacdmdm $p |- ( G : A -onto-> B -> ( `' G " B ) = A ) $=
    ( wfo ccnv cima cdm crn forn eqcomd imaeq2d cnvimarndm eqtrdi fdmd eqtrd
    fof ) ABCDZCEZBFZCGZAQSRCHZFTQBUARQUABABCIJKCLMQABCABCPNO $.

  $( Composition of onto functions.  Generalisation of ~ foco .  (Contributed
     by AV, 29-Sep-2024.) $)
  focofo $p |- ( ( F : A -onto-> B /\ Fun G /\ A C_ ran G )
                 -> ( F o. G ) : ( `' G " A ) -onto-> B ) $=
    ( wfo wfun crn wss w3a ccnv cima ccom wceq fcof sylan 3adant3 cres 3ad2ant1
    wf fof rnco cdm freld fdm eqcomd syl sseq1d biimpa relssres rneqd 3imp3i2an
    wrel wa forn eqtrd eqtrid dffo2 sylanbrc ) ABCEZDFZADGZHZIZDJAKZBCDLZSZVEGZ
    BMVDBVEEUSUTVFVBUSABCSZUTVFABCTZABCDNOPVCVGCVAQZGZBCDUAVCVKCGZBUSUTVBCULZCU
    BZVAHZVKVLMUSUTVMVBUSABCVIUCRUSVBVOUSAVNVAUSVHAVNMVIVHVNAABCUDUEUFUGUHVMVOU
    MVJCCVAUIUJUKUSUTVLBMVBABCUNRUOUPVDBVEUQUR $.

  $( Composition of onto functions.  (Contributed by NM, 22-Mar-2006.)  (Proof
     shortened by AV, 29-Sep-2024.) $)
  foco $p |- ( ( F : B -onto-> C /\ G : A -onto-> B ) ->
             ( F o. G ) : A -onto-> C ) $=
    ( wfo ccom ccnv cima wfun crn wss simpl fofun adantl wceq forn eqimss2 syl
    wa focofo syl3anc wb focnvimacdmdm eqcomd foeq2 mpbird ) BCDFZABEFZTZACDEGZ
    FZEHBIZCUKFZUJUHEJZBEKZLZUNUHUIMUIUOUHABENOUIUQUHUIUPBPUQABEQBUPRSOBCDEUAUB
    UJAUMPZULUNUCUIURUHUIUMAABEUDUEOAUMCUKUFSUG $.

  $( A nonzero constant function is onto.  (Contributed by NM, 12-Jan-2007.) $)
  foconst $p |- ( ( F : A --> { B } /\ F =/= (/) ) -> F : A -onto-> { B } ) $=
    ( csn wf c0 wne wa crn wceq wfo wn wrel wb frel relrn0 necon3abid syl wss
    wo frn sssn sylib ord sylbid imdistani dffo2 sylibr ) ABDZCEZCFGZHUJCIZUIJZ
    HAUICKUJUKUMUJUKULFJZLZUMUJCMZUKUONAUICOUPUNCFCPQRUJUNUMUJULUISUNUMTAUICUAU
    LBUBUCUDUEUFAUICUGUH $.

  $( Equality theorem for one-to-one onto functions.  (Contributed by NM,
     10-Feb-1997.) $)
  f1oeq1 $p |- ( F = G -> ( F : A -1-1-onto-> B <-> G : A -1-1-onto-> B ) ) $=
    ( wceq wf1 wfo wa wf1o f1eq1 foeq1 anbi12d df-f1o 3bitr4g ) CDEZABCFZABCGZH
    ABDFZABDGZHABCIABDIOPRQSABCDJABCDKLABCMABDMN $.

  $( Equality theorem for one-to-one onto functions.  (Contributed by NM,
     10-Feb-1997.) $)
  f1oeq2 $p |- ( A = B -> ( F : A -1-1-onto-> C <-> F : B -1-1-onto-> C ) ) $=
    ( wceq wf1 wfo wa wf1o f1eq2 foeq2 anbi12d df-f1o 3bitr4g ) ABEZACDFZACDGZH
    BCDFZBCDGZHACDIBCDIOPRQSABCDJABCDKLACDMBCDMN $.

  $( Equality theorem for one-to-one onto functions.  (Contributed by NM,
     10-Feb-1997.) $)
  f1oeq3 $p |- ( A = B -> ( F : C -1-1-onto-> A <-> F : C -1-1-onto-> B ) ) $=
    ( wceq wf1 wfo wa wf1o f1eq3 foeq3 anbi12d df-f1o 3bitr4g ) ABEZCADFZCADGZH
    CBDFZCBDGZHCADICBDIOPRQSABCDJABCDKLCADMCBDMN $.

  $( Equality theorem for one-to-one onto functions.  (Contributed by FL,
     14-Jul-2012.) $)
  f1oeq23 $p |- ( ( A = B /\ C = D ) ->
   ( F : A -1-1-onto-> C <-> F : B -1-1-onto-> D ) ) $=
    ( wceq wf1o f1oeq2 f1oeq3 sylan9bb ) ABFACEGBCEGCDFBDEGABCEHCDBEIJ $.

  ${
    f1eq123d.1 $e |- ( ph -> F = G ) $.
    f1eq123d.2 $e |- ( ph -> A = B ) $.
    f1eq123d.3 $e |- ( ph -> C = D ) $.
    $( Equality deduction for one-to-one functions.  (Contributed by Mario
       Carneiro, 27-Jan-2017.) $)
    f1eq123d $p |- ( ph -> ( F : A -1-1-> C <-> G : B -1-1-> D ) ) $=
      ( wf1 wceq wb f1eq1 syl f1eq2 f1eq3 3bitrd ) ABDFKZBDGKZCDGKZCEGKZAFGLSTM
      HBDFGNOABCLTUAMIBCDGPOADELUAUBMJDECGQOR $.

    $( Equality deduction for onto functions.  (Contributed by Mario Carneiro,
       27-Jan-2017.) $)
    foeq123d $p |- ( ph -> ( F : A -onto-> C <-> G : B -onto-> D ) ) $=
      ( wfo wceq wb foeq1 syl foeq2 foeq3 3bitrd ) ABDFKZBDGKZCDGKZCEGKZAFGLSTM
      HBDFGNOABCLTUAMIBCDGPOADELUAUBMJDECGQOR $.

    $( Equality deduction for one-to-one onto functions.  (Contributed by Mario
       Carneiro, 27-Jan-2017.) $)
    f1oeq123d $p |- ( ph ->
      ( F : A -1-1-onto-> C <-> G : B -1-1-onto-> D ) ) $=
      ( wf1o wceq wb f1oeq1 syl f1oeq2 f1oeq3 3bitrd ) ABDFKZBDGKZCDGKZCEGKZAFG
      LSTMHBDFGNOABCLTUAMIBCDGPOADELUAUBMJDECGQOR $.
  $}

  ${
    f1oeq1d.1 $e |- ( ph -> F = G ) $.
    $( Equality deduction for one-to-one onto functions.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    f1oeq1d $p |- ( ph -> ( F : A -1-1-onto-> B <-> G : A -1-1-onto-> B ) ) $=
      ( wceq wf1o wb f1oeq1 syl ) ADEGBCDHBCEHIFBCDEJK $.
  $}

  ${
    f1oeq2d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for one-to-one onto functions.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    f1oeq2d $p |- ( ph -> ( F : A -1-1-onto-> C <-> F : B -1-1-onto-> C ) ) $=
      ( wceq wf1o wb f1oeq2 syl ) ABCGBDEHCDEHIFBCDEJK $.
  $}

  ${
    f1oeq3d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for one-to-one onto functions.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    f1oeq3d $p |- ( ph -> ( F : C -1-1-onto-> A <-> F : C -1-1-onto-> B ) ) $=
      ( wceq wf1o wb f1oeq3 syl ) ABCGDBEHDCEHIFBCDEJK $.
  $}

  ${
    nff1o.1 $e |- F/_ x F $.
    nff1o.2 $e |- F/_ x A $.
    nff1o.3 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for a one-to-one onto function.
       (Contributed by NM, 16-May-2004.) $)
    nff1o $p |- F/ x F : A -1-1-onto-> B $=
      ( wf1o wf1 wfo wa df-f1o nff1 nffo nfan nfxfr ) BCDHBCDIZBCDJZKABCDLQRAAB
      CDEFGMABCDEFGNOP $.
  $}

  $( A one-to-one onto mapping is a one-to-one mapping.  (Contributed by NM,
     12-Dec-2003.) $)
  f1of1 $p |- ( F : A -1-1-onto-> B -> F : A -1-1-> B ) $=
    ( wf1o wf1 wfo df-f1o simplbi ) ABCDABCEABCFABCGH $.

  $( A one-to-one onto mapping is a mapping.  (Contributed by NM,
     12-Dec-2003.) $)
  f1of $p |- ( F : A -1-1-onto-> B -> F : A --> B ) $=
    ( wf1o wf1 wf f1of1 f1f syl ) ABCDABCEABCFABCGABCHI $.

  $( A one-to-one onto mapping is function on its domain.  (Contributed by NM,
     12-Dec-2003.) $)
  f1ofn $p |- ( F : A -1-1-onto-> B -> F Fn A ) $=
    ( wf1o f1of ffnd ) ABCDABCABCEF $.

  $( A one-to-one onto mapping is a function.  (Contributed by NM,
     12-Dec-2003.) $)
  f1ofun $p |- ( F : A -1-1-onto-> B -> Fun F ) $=
    ( wf1o wfn wfun f1ofn fnfun syl ) ABCDCAECFABCGACHI $.

  $( A one-to-one onto mapping is a relation.  (Contributed by NM,
     13-Dec-2003.) $)
  f1orel $p |- ( F : A -1-1-onto-> B -> Rel F ) $=
    ( wf1o wfun wrel f1ofun funrel syl ) ABCDCECFABCGCHI $.

  $( The domain of a one-to-one onto mapping.  (Contributed by NM,
     8-Mar-2014.) $)
  f1odm $p |- ( F : A -1-1-onto-> B -> dom F = A ) $=
    ( wf1o wfn cdm wceq f1ofn fndm syl ) ABCDCAECFAGABCHACIJ $.

  $( Alternate definition of one-to-one onto function.  (Contributed by NM,
     10-Feb-1997.)  (Proof shortened by Andrew Salmon, 22-Oct-2011.) $)
  dff1o2 $p |- ( F : A -1-1-onto-> B
        <-> ( F Fn A /\ Fun `' F /\ ran F = B ) ) $=
    ( wf1o wf1 wfo wa wfn ccnv wfun crn w3a df-f1o wf df-f1 df-fo anbi12i anass
    wceq bitri 3anan12 anbi1i eqimss df-f biimpri sylan2 3adant2 ancom 3bitr4ri
    wss pm4.71i ) ABCDABCEZABCFZGZCAHZCIJZCKZBSZLZABCMUNABCNZUPGZUOURGZGZUSULVA
    UMVBABCOABCPQVCUTUPVBGZGZUSUTUPVBRUSUTGVDUTGUSVEUSVDUTUOUPURUAUBUSUTUOURUTU
    PURUOUQBUJZUTUQBUCUTUOVFGABCUDUEUFUGUKUTVDUHUITTT $.

  $( Alternate definition of one-to-one onto function.  (Contributed by NM,
     25-Mar-1998.)  (Proof shortened by Andrew Salmon, 22-Oct-2011.) $)
  dff1o3 $p |- ( F : A -1-1-onto-> B <-> ( F : A -onto-> B /\ Fun `' F ) ) $=
    ( wfn ccnv wfun crn wceq w3a wf1o wfo 3anan32 dff1o2 df-fo anbi1i 3bitr4i
    wa ) CADZCEFZCGBHZIRTQZSQABCJABCKZSQRSTLABCMUBUASABCNOP $.

  $( A one-to-one onto function is an onto function.  (Contributed by NM,
     28-Apr-2004.) $)
  f1ofo $p |- ( F : A -1-1-onto-> B -> F : A -onto-> B ) $=
    ( wf1o wfo ccnv wfun dff1o3 simplbi ) ABCDABCECFGABCHI $.

  $( Alternate definition of one-to-one onto function.  (Contributed by NM,
     25-Mar-1998.)  (Proof shortened by Andrew Salmon, 22-Oct-2011.) $)
  dff1o4 $p |- ( F : A -1-1-onto-> B <-> ( F Fn A /\ `' F Fn B ) ) $=
    ( wf1o wfn ccnv wfun crn w3a wa dff1o2 3anass cdm df-rn eqeq1i anbi2i df-fn
    wceq bitr4i 3bitri ) ABCDCAEZCFZGZCHZBRZIUAUCUEJZJUAUBBEZJABCKUAUCUELUFUGUA
    UFUCUBMZBRZJUGUEUIUCUDUHBCNOPUBBQSPT $.

  $( Alternate definition of one-to-one onto function.  (Contributed by NM,
     10-Dec-2003.)  (Proof shortened by Andrew Salmon, 22-Oct-2011.) $)
  dff1o5 $p |- ( F : A -1-1-onto-> B <-> ( F : A -1-1-> B /\ ran F = B ) ) $=
    ( wf1o wf1 wfo wa crn wceq df-f1o dffo2 f1f biantrurd bitr4id pm5.32i bitri
    wf ) ABCDABCEZABCFZGRCHBIZGABCJRSTRSABCQZTGTABCKRUATABCLMNOP $.

  $( A one-to-one function maps onto its range.  (Contributed by NM,
     13-Aug-2004.) $)
  f1orn $p |- ( F : A -1-1-onto-> ran F <-> ( F Fn A /\ Fun `' F ) ) $=
    ( crn wf1o wfn ccnv wfun wceq w3a wa dff1o2 eqid df-3an mpbiran2 bitri ) AB
    CZBDBAEZBFGZPPHZIZQRJZAPBKTUASPLQRSMNO $.

  $( A one-to-one function maps one-to-one onto its range.  (Contributed by NM,
     4-Sep-2004.) $)
  f1f1orn $p |- ( F : A -1-1-> B -> F : A -1-1-onto-> ran F ) $=
    ( wf1 wfn ccnv wfun crn wf1o f1fn wf df-f1 simprbi f1orn sylanbrc ) ABCDZCA
    ECFGZACHCIABCJPABCKQABCLMACNO $.

  $( The converse of a one-to-one onto function is also one-to-one onto.
     (Contributed by NM, 11-Feb-1997.)  (Proof shortened by Andrew Salmon,
     22-Oct-2011.) $)
  f1ocnv $p |- ( F : A -1-1-onto-> B -> `' F : B -1-1-onto-> A ) $=
    ( wfn ccnv wa wf1o wrel fnrel wceq dfrel2 fneq1 biimprd sylbi mpcom anim1ci
    wi dff1o4 3imtr4i ) CADZCEZBDZFUBUAEZADZFABCGBAUAGTUDUBCHZTUDACIUEUCCJZTUDQ
    CKUFUDTAUCCLMNOPABCRBAUARS $.

  $( A relation is a one-to-one onto function iff its converse is a one-to-one
     onto function with domain and range interchanged.  (Contributed by NM,
     8-Dec-2003.) $)
  f1ocnvb $p |- ( Rel F ->
                ( F : A -1-1-onto-> B <-> `' F : B -1-1-onto-> A ) ) $=
    ( wrel wf1o ccnv f1ocnv wceq wb dfrel2 f1oeq1 sylbi syl5ib impbid2 ) CDZABC
    EZBACFZEZABCGRABQFZEZOPBAQGOSCHTPICJABSCKLMN $.

  $( The restriction of a one-to-one function maps one-to-one onto the image.
     (Contributed by NM, 25-Mar-1998.) $)
  f1ores $p |- ( ( F : A -1-1-> B /\ C C_ A ) -> ( F |` C ) : C -1-1-onto->
            ( F " C ) ) $=
    ( wf1 wss wa cres crn wf1o cima f1ssres f1f1orn wceq wb df-ima f1oeq3 ax-mp
    syl sylibr ) ABDECAFGZCDCHZIZUBJZCDCKZUBJZUACBUBEUDABCDLCBUBMSUEUCNUFUDODCP
    UEUCCUBQRT $.

  $( The converse of a one-to-one-onto restricted function.  (Contributed by
     Paul Chapman, 21-Apr-2008.) $)
  f1orescnv $p |- ( ( Fun `' F /\ ( F |` R ) : R -1-1-onto-> P ) ->
                    ( `' F |` P ) : P -1-1-onto-> R ) $=
    ( ccnv wfun cres wf1o wa f1ocnv adantl cima funcnvres crn df-ima wf1 dff1o5
    wceq simprbi eqtrid reseq2d sylan9eq f1oeq1d mpbid ) CDZEZBACBFZGZHZABUFDZG
    ZABUDAFZGUGUJUEBAUFIJUHABUIUKUEUGUIUDCBKZFUKBCLUGULAUDUGULUFMZACBNUGBAUFOUM
    AQBAUFPRSTUAUBUC $.

  $( Preimage of an image.  (Contributed by NM, 30-Sep-2004.) $)
  f1imacnv $p |- ( ( F : A -1-1-> B /\ C C_ A )
                 -> ( `' F " ( F " C ) ) = C ) $=
    ( wf1 wss wa ccnv cima cres resima wfun wceq df-f1 simprbi adantr funcnvres
    wf syl wf1o imaeq1d f1ores f1ocnv cdm crn imadmrn f1odm imaeq2d wfo 3eqtr3a
    f1ofo forn eqtr3d eqtr3id ) ABDEZCAFZGZDHZDCIZIURUSJZUSIZCURUSKUQDCJZHZUSIZ
    VACUQVCUTUSUQURLZVCUTMUOVEUPUOABDRVEABDNOPCDQSUAUQUSCVCTZVDCMUQCUSVBTVFABCD
    UBCUSVBUCSVFVCVCUDZIVCUEZVDCVCUFVFVGUSVCUSCVCUGUHVFUSCVCUIVHCMUSCVCUKUSCVCU
    LSUJSUMUN $.

  $( A reverse version of ~ f1imacnv .  (Contributed by Jeff Hankins,
     16-Jul-2009.) $)
  foimacnv $p |- ( ( F : A -onto-> B /\ C C_ B )
                 -> ( F " ( `' F " C ) ) = C ) $=
    ( wfo wss wa ccnv cima cres resima wfun wceq fofun adantr syl crn cdm df-rn
    eqtr3id funcnvres2 imaeq1d wfn resss cnvss ax-mp cnvcnvss sstri funss mpsyl
    df-ima eqtr2i df-fn sylanblrc dfdm4 forn sseq2d biimpar ssdmres sylib df-fo
    sseqtrdi sylanbrc foima eqtr3d ) ABDEZCBFZGZDDHZCIZIDVJJZVJIZCDVJKVHVICJZHZ
    VJIZVLCVHVNVKVJVHDLZVNVKMVFVPVGABDNZOCDUAPUBVHVJCVNEZVOCMVHVNVJUCZVNQZCMVRV
    HVNLZVNRZVJMVSVFWAVGVNDFVFVPWAVNVIHZDVMVIFVNWCFVICUDVMVIUEUFDUGUHVQVNDUIUJO
    VJVMQWBVICUKVMSULVNVJUMUNVHVTVMRZCVMUOVHCVIRZFWDCMVHCDQZWEVFCWFFVGVFWFBCABD
    UPUQURDSVBCVIUSUTTVJCVNVAVCVJCVNVDPVET $.

  $( The union of two onto functions with disjoint domains is an onto function.
     (Contributed by Mario Carneiro, 22-Jun-2016.) $)
  foun $p |- ( ( ( F : A -onto-> B /\ G : C -onto-> D )
            /\ ( A i^i C ) = (/) )
           -> ( F u. G ) : ( A u. C ) -onto-> ( B u. D ) ) $=
    ( wfo wa cin c0 wceq cun wfn crn fofn anim12i fnun sylan rnun forn ad2antrr
    ad2antlr uneq12d eqtrid df-fo sylanbrc ) ABEGZCDFGZHZACIJKZHZEFLZACLZMZULNZ
    BDLZKUMUPULGUIEAMZFCMZHUJUNUGUQUHURABEOCDFOPACEFQRUKUOENZFNZLUPEFSUKUSBUTDU
    GUSBKUHUJABETUAUHUTDKUGUJCDFTUBUCUDUMUPULUEUF $.

  $( The union of two one-to-one onto functions with disjoint domains and
     ranges.  (Contributed by NM, 26-Mar-1998.) $)
  f1oun $p |- ( ( ( F : A -1-1-onto-> B /\ G : C -1-1-onto-> D )
            /\ ( ( A i^i C ) = (/) /\ ( B i^i D ) = (/) ) )
           -> ( F u. G ) : ( A u. C ) -1-1-onto-> ( B u. D ) ) $=
    ( wf1o wa cin c0 wceq cun wfn ccnv wi dff1o4 fnun ex cnvun fneq1i im2anan9
    sylibr an4s syl2anb syl6ibr imp ) ABEGZCDFGZHZACIJKZBDIJKZHZACLZBDLZEFLZGZU
    IULUOUMMZUONZUNMZHZUPUGEAMZENZBMZHFCMZFNZDMZHULUTOZUHABEPCDFPVAVDVCVFVGVAVD
    HZUJUQVCVFHZUKUSVHUJUQACEFQRVIUKUSVIUKHVBVELZUNMUSBDVBVEQUNURVJEFSTUBRUAUCU
    DUMUNUOPUEUF $.

  $( The restriction of a one-to-one onto function to a difference maps onto
     the difference of the images.  (Contributed by Paul Chapman,
     11-Apr-2009.) $)
  resdif $p |- ( ( Fun `' F /\ ( F |` A ) : A -onto-> C /\
                               ( F |` B ) : B -onto-> D ) ->
                 ( F |` ( A \ B ) ) : ( A \ B ) -1-1-onto-> ( C \ D ) ) $=
    ( ccnv wfun cres wfo cdif cima wf1o wceq wb ax-mp crn df-ima wa forn eqtrid
    w3a cdm wss fofun difss fof fdmd sseqtrrid fores syl2anc cin resres reseq2i
    indif eqtri foeq1 rneqi 3eqtr4i foeq3 bitri funres11 dff1o3 biimpri syl2anr
    sylib 3adant3 anim12i imadif difeq12 sylan9eq sylan2 3impb f1oeq3d mpbid )
    EFGZACEAHZIZBDEBHZIZUAZABJZEWAKZEWAHZLZWACDJZWCLVOVQWDVSVQWAWBWCIZWCFGZWDVO
    VQWAVPWAKZVPWAHZIZWFVQVPGWAVPUBZUCWJACVPUDVQAWAWKABUEVQACVPACVPUFUGUHWAVPUI
    UJWJWAWHWCIZWFWIWCMWJWLNWIEAWAUKZHWCEAWAULWMWAEABUNUMUOZWAWHWIWCUPOWHWBMWLW
    FNWIPWCPWHWBWIWCWNUQVPWAQEWAQURWHWBWAWCUSOUTVEWAEVAWDWFWGRWAWBWCVBVCVDVFVTW
    BWEWAWCVOVQVSWBWEMZVQVSRVOEAKZCMZEBKZDMZRZWOVQWQVSWSVQWPVPPCEAQACVPSTVSWRVR
    PDEBQBDVRSTVGVOWTWBWPWRJWEABEVHWPCWRDVIVJVKVLVMVN $.

  $( The restriction of a one-to-one onto function to an intersection maps onto
     the intersection of the images.  (Contributed by Paul Chapman,
     11-Apr-2009.) $)
  resin $p |- ( ( Fun `' F /\ ( F |` A ) : A -onto-> C /\
                               ( F |` B ) : B -onto-> D ) ->
      ( F |` ( A i^i B ) ) : ( A i^i B ) -1-1-onto-> ( C i^i D ) ) $=
    ( ccnv wfun cres wfo w3a cdif wf1o cin resdif f1ofo syl wceq wb dfin4 ax-mp
    syld3an3 f1oeq3 f1oeq2 reseq2i f1oeq1 3bitrri sylib ) EFGZACEAHIZBDEBHIZJZA
    ABKZKZCCDKZKZEUMHZLZABMZCDMZEURHZLZUHUIUJULUNEULHZIZUQUKULUNVBLVCABCDENULUN
    VBOPAULCUNENUAVAURUOUTLZUMUOUTLZUQUSUOQVAVDRCDSUSUOURUTUBTURUMQVDVERABSZURU
    MUOUTUCTUTUPQVEUQRURUMEVFUDUMUOUTUPUETUFUG $.

  $( Composition of one-to-one onto functions.  (Contributed by NM,
     19-Mar-1998.) $)
  f1oco $p |- ( ( F : B -1-1-onto-> C /\ G : A -1-1-onto-> B ) ->
              ( F o. G ) : A -1-1-onto-> C ) $=
    ( wf1o wa ccom wf1 wfo df-f1o f1co foco anim12i an4s syl2anb sylibr ) BCDFZ
    ABEFZGACDEHZIZACTJZGZACTFRBCDIZBCDJZGABEIZABEJZGUCSBCDKABEKUDUFUEUGUCUDUFGU
    AUEUGGUBABCDELABCDEMNOPACTKQ $.

  $( The converse of an injective function is bijective.  (Contributed by FL,
     11-Nov-2011.) $)
  f1cnv $p |- ( F : A -1-1-> B -> `' F : ran F -1-1-onto-> A ) $=
    ( wf1 crn wf1o ccnv f1f1orn f1ocnv syl ) ABCDACEZCFKACGFABCHAKCIJ $.

  $( Composition with the converse.  (Contributed by Jeff Madsen,
     2-Sep-2009.) $)
  funcocnv2 $p |- ( Fun F -> ( F o. `' F ) = ( _I |` ran F ) ) $=
    ( wfun ccnv ccom cid wss crn cres wceq wrel df-fun simprbi cdm dfdm4 dmcoeq
    iss ax-mp df-rn eqtr4i reseq2i eqeq2i bitri sylib ) ABZAACZDZEFZUFEAGZHZIZU
    DAJUGAKLUGUFEUFMZHZIUJUFPULUIUFUKUHEUKUEMZUHAMUEGIUKUMIANAUEOQARSTUAUBUC $.

  $( The composition of an onto function and its converse.  (Contributed by
     Stefan O'Rear, 12-Feb-2015.) $)
  fococnv2 $p |- ( F : A -onto-> B -> ( F o. `' F ) = ( _I |` B ) ) $=
    ( wfo ccnv ccom cid crn cres wfun wceq fofun funcocnv2 forn reseq2d eqtrd
    syl ) ABCDZCCEFZGCHZIZGBIRCJSUAKABCLCMQRTBGABCNOP $.

  $( The composition of a one-to-one onto function and its converse equals the
     identity relation restricted to the function's range.  (Contributed by NM,
     13-Dec-2003.)  (Proof shortened by Stefan O'Rear, 12-Feb-2015.) $)
  f1ococnv2 $p |- ( F : A -1-1-onto-> B -> ( F o. `' F ) = ( _I |` B ) ) $=
    ( wf1o wfo ccnv ccom cid cres wceq f1ofo fococnv2 syl ) ABCDABCECCFGHBIJABC
    KABCLM $.

  $( Composition of an injective function with its converse.  (Contributed by
     FL, 11-Nov-2011.) $)
  f1cocnv2 $p |- ( F : A -1-1-> B -> ( F o. `' F ) = ( _I |` ran F ) ) $=
    ( wf1 wfun ccnv ccom cid crn cres wceq f1fun funcocnv2 syl ) ABCDCECCFGHCIJ
    KABCLCMN $.

  $( The composition of a one-to-one onto function's converse and itself equals
     the identity relation restricted to the function's domain.  (Contributed
     by NM, 13-Dec-2003.) $)
  f1ococnv1 $p |- ( F : A -1-1-onto-> B -> ( `' F o. F ) = ( _I |` A ) ) $=
    ( wf1o ccnv ccom cres wrel wceq f1orel dfrel2 sylib coeq2d f1ocnv f1ococnv2
    cid syl eqtr3d ) ABCDZCEZTEZFZTCFPAGZSUACTSCHUACIABCJCKLMSBATDUBUCIABCNBATO
    QR $.

  $( Composition of an injective function with its converse.  (Contributed by
     FL, 11-Nov-2011.) $)
  f1cocnv1 $p |- ( F : A -1-1-> B -> ( `' F o. F ) = ( _I |` A ) ) $=
    ( wf1 crn wf1o ccnv ccom cid cres wceq f1f1orn f1ococnv1 syl ) ABCDACEZCFCG
    CHIAJKABCLAOCMN $.

  $( Express a constraint on a composition as a constraint on the composand.
     (Contributed by Stefan O'Rear, 7-Mar-2015.) $)
  funcoeqres $p |- ( ( Fun G /\ ( F o. G ) = H ) ->
      ( F |` ran G ) = ( H o. `' G ) ) $=
    ( wfun ccom wceq crn cres cid funcocnv2 coeq2d coass eqcomi coires1 3eqtr3g
    ccnv coeq1 sylan9req ) BDZABEZCFABGZHZTBPZEZCUCESABUCEZEZAIUAHZEUDUBSUEUGAB
    JKUDUFABUCLMAUANOTCUCQR $.

  $( A subset of an injective function is injective.  (Contributed by AV,
     20-Nov-2020.) $)
  f1ssf1 $p |- ( ( Fun F /\ Fun `' F /\ G C_ F ) -> Fun `' G ) $=
    ( wfun ccnv wss wi wa cdm cres wceq funssres funres11 funeqd syl5ibr eqcoms
    cnveq syl ex com23 3imp ) ACZADCZBAEZBDZCZUAUCUBUEUAUCUBUEFZUAUCGABHZIZBJUF
    ABKUFBUHUBUEBUHJZUHDZCUGALUIUDUJBUHPMNOQRST $.

  $( The empty set maps one-to-one into any class.  (Contributed by NM,
     7-Apr-1998.) $)
  f10 $p |- (/) : (/) -1-1-> A $=
    ( c0 wf1 wf ccnv wfun f0 funcnv0 df-f1 mpbir2an ) BABCBABDBEFAGHBABIJ $.

  ${
    f10d.f $e |- ( ph -> F = (/) ) $.
    $( The empty set maps one-to-one into any class, deduction version.
       (Contributed by AV, 25-Nov-2020.) $)
    f10d $p |- ( ph -> F : dom F -1-1-> A ) $=
      ( cdm wf1 c0 f10 wceq dm0 f1eq2 ax-mp mpbir dmeqd eqidd f1eq123d mpbiri
      wb ) ACEZBCFGEZBGFZUAGBGFZBHTGIUAUBRJTGBGKLMASTBBCGDACGDNABOPQ $.
  $}

  $( One-to-one onto mapping of the empty set.  (Contributed by NM,
     15-Apr-1998.) $)
  f1o00 $p |- ( F : (/) -1-1-onto-> A <-> ( F = (/) /\ A = (/) ) ) $=
    ( c0 wf1o wfn ccnv wa wceq dff1o4 fn0 biimpi adantr cnveq cnv0 eqtrdi sylbi
    cdm fneq1d biimpa jca fndmd dm0 eqtr3di biimpri mpbir fneq2 sylan9bb mpbiri
    eqid impbii bitri ) CABDBCEZBFZAEZGZBCHZACHZGZCABIUOURUOUPUQULUPUNULUPBJZKL
    UOCQACUOACULUNCAEZULAUMCULUPUMCHUSUPUMCFCBCMNOZPRSUAUBUCTURULUNUPULUQULUPUS
    UDLURUNCCEZVBCCHCUICJUEUPUNUTUQVBUPAUMCVARACCUFUGUHTUJUK $.

  $( Onto mapping of the empty set.  (Contributed by NM, 22-Mar-2006.) $)
  fo00 $p |- ( F : (/) -onto-> A <-> ( F = (/) /\ A = (/) ) ) $=
    ( c0 wfo wf1o wceq wf1 wfn fofn fn0 f10 f1eq1 mpbiri sylbi syl ancri df-f1o
    wa sylibr f1ofo impbii f1o00 bitri ) CABDZCABEZBCFZACFRUDUEUDCABGZUDRUEUDUG
    UDBCHZUGCABIUHUFUGBJUFUGCACGAKCABCLMNOPCABQSCABTUAABUBUC $.

  $( One-to-one onto mapping of the empty set.  (Contributed by NM,
     10-Sep-2004.) $)
  f1o0 $p |- (/) : (/) -1-1-onto-> (/) $=
    ( c0 wf1o wceq eqid f1o00 mpbir2an ) AAABAACZGADZHAAEF $.

  $( A restriction of the identity relation is a one-to-one onto function.
     (Contributed by NM, 30-Apr-1998.)  (Proof shortened by Andrew Salmon,
     22-Oct-2011.) $)
  f1oi $p |- ( _I |` A ) : A -1-1-onto-> A $=
    ( cid cres wf1o wfn ccnv fnresi cnvresid fneq1i mpbir dff1o4 mpbir2an ) AAB
    ACZDMAEZMFZAEZAGZPNQAOMAHIJAAMKL $.

  $( The identity relation is a one-to-one onto function on the universe.
     (Contributed by NM, 16-May-2004.) $)
  f1ovi $p |- _I : _V -1-1-onto-> _V $=
    ( cvv cid cres wf1o f1oi wceq wb wrel reli dfrel3 mpbi f1oeq1 ax-mp ) AABAC
    ZDZAABDZAENBFZOPGBHQIBJKAANBLMK $.

  ${
    f1osn.1 $e |- A e. _V $.
    f1osn.2 $e |- B e. _V $.
    $( A singleton of an ordered pair is one-to-one onto function.
       (Contributed by NM, 18-May-1998.)  (Proof shortened by Andrew Salmon,
       22-Oct-2011.) $)
    f1osn $p |- { <. A , B >. } : { A } -1-1-onto-> { B } $=
      ( csn cop wf1o wfn ccnv fnsn cnvsn fneq1i mpbir dff1o4 mpbir2an ) AEZBEZA
      BFEZGRPHRIZQHZABCDJTBAFEZQHBADCJQSUAABCDKLMPQRNO $.
  $}

  ${
    $d A a b $.  $d B b $.
    $( A singleton of an ordered pair is one-to-one onto function.
       (Contributed by Mario Carneiro, 12-Jan-2013.) $)
    f1osng $p |- ( ( A e. V /\ B e. W ) ->
                   { <. A , B >. } : { A } -1-1-onto-> { B } ) $=
      ( va vb cv csn cop wf1o wceq sneq f1oeq2d opeq1 sneqd f1oeq1d bitrd opeq2
      f1oeq3d vex f1osn vtocl2g ) EGZHZFGZHZUCUEIZHZJZAHZUFAUEIZHZJZUJBHZABIZHZ
      JZEFABCDUCAKZUIUJUFUHJUMURUDUJUFUHUCALMURUJUFUHULURUGUKUCAUENOPQUEBKZUMUJ
      UNULJUQUSUFUNUJULUEBLSUSUJUNULUPUSUKUOUEBAROPQUCUEETFTUAUB $.

    $( A singleton of an ordered pair is a one-to-one function.  (Contributed
       by AV, 17-Apr-2021.) $)
    f1sng $p |- ( ( A e. V /\ B e. W ) ->
                   { <. A , B >. } : { A } -1-1-> W ) $=
      ( wcel wa csn cop wf1 wss wf1o f1osng f1of1 syl snssi adantl f1ss syl2anc
      ) ACEZBDEZFZAGZBGZABHGZIZUCDJZUBDUDIUAUBUCUDKUEABCDLUBUCUDMNTUFSBDOPUBUCD
      UDQR $.
  $}

  ${
    fsnd.a $e |- ( ph -> A e. V ) $.
    fsnd.b $e |- ( ph -> B e. W ) $.
    $( A singleton of an ordered pair is a function.  (Contributed by AV,
       17-Apr-2021.) $)
    fsnd $p |- ( ph -> { <. A , B >. } : { A } --> W ) $=
      ( wcel wa csn cop wf1 wf jca f1sng f1f 3syl ) ABDHZCEHZIBJZEBCKJZLTEUAMAR
      SFGNBCDEOTEUAPQ $.
  $}

  $( A two-element swap is a bijection on a pair.  (Contributed by Mario
     Carneiro, 23-Jan-2015.) $)
  f1oprswap $p |- ( ( A e. V /\ B e. W ) ->
      { <. A , B >. , <. B , A >. } : { A , B } -1-1-onto-> { A , B } ) $=
    ( wcel wa cpr cop wf1o wceq csn f1osng anidms ad2antrr dfsn2 eqtrid wfn cun
    ccnv cnvsng wb opeq2 opeq1 preq12d preq2 f1oeq123d adantl wne simpll simplr
    mpbid simpr fnprg syl221anc ancoms uneq12d uncom eqtrdi adantr df-pr cnveqi
    cnvun eqtri 3eqtr4g fneq1d mpbird dff1o4 sylanbrc pm2.61dane ) ACEZBDEZFZAB
    GZVMABHZBAHZGZIZABVLABJZFAKZVSAAHZKZIZVQVJWBVKVRVJWBAACCLMNVRWBVQUAVLVRVSVM
    VSVMWAVPVRWAVTVTGVPVTOVRVTVNVTVOABAUBABAUCUDPVRVSAAGVMAOABAUEPZWCUFUGUKVLAB
    UHZFZVPVMQZVPSZVMQZVQWEVJVKVKVJWDWFVJVKWDUIZVJVKWDUJZWJWIVLWDULABBACDDCUMUN
    ZWEWHWFWKWEVMWGVPWEVNKZSZVOKZSZRZWLWNRZWGVPVLWPWQJWDVLWPWNWLRWQVLWMWNWOWLAB
    CDTVKVJWOWLJBADCTUOUPWNWLUQURUSWGWQSWPVPWQVNVOUTZVAWLWNVBVCWRVDVEVFVMVMVPVG
    VHVI $.

  $( An unordered pair of ordered pairs with different elements is a one-to-one
     onto function, analogous to ~ f1oprswap .  (Contributed by Alexander van
     der Vekens, 14-Aug-2017.) $)
  f1oprg $p |- ( ( ( A e. V /\ B e. W ) /\ ( C e. X /\ D e. Y ) )
      -> ( ( A =/= C /\ B =/= D )
      -> { <. A , B >. , <. C , D >. } : { A , C } -1-1-onto-> { B , D } ) ) $=
    ( wcel wa wne cpr cop wf1o csn cun wceq df-pr eqcomi a1i c0 f1osng ad2antrr
    cin ad2antlr disjsn2 ad2antrl ad2antll f1oun syl22anc f1oeq123d mpbid ex )
    AEIBFIJZCGIDHIJZJZACKZBDKZJZACLZBDLZABMZCDMZLZNZUPUSJZAOZCOZPZBOZDOZPZVBOZV
    COZPZNZVEVFVGVJVMNZVHVKVNNZVGVHUDUAQZVJVKUDUAQZVPUNVQUOUSABEFUBUCUOVRUNUSCD
    GHUBUEUQVSUPURACUFUGURVTUPUQBDUFUHVGVJVHVKVMVNUIUJVFVIUTVLVAVOVDVOVDQVFVDVO
    VBVCRSTVIUTQVFUTVIACRSTVLVAQVFVAVLBDRSTUKULUM $.

  ${
    $d x F $.  $d x A $.
    $( Function value when ` F ` is not a function.  Theorem 6.12(2) of
       [TakeutiZaring] p. 27.  (Contributed by NM, 30-Apr-2004.)  (Proof
       shortened by Mario Carneiro, 31-Aug-2015.) $)
    tz6.12-2 $p |- ( -. E! x A F x -> ( F ` A ) = (/) ) $=
      ( cv wbr weu wn cfv cio c0 df-fv iotanul eqtrid ) BADCEZAFGBCHNAIJABCKNAL
      M $.

    $( The value of a function at a unique point.  (Contributed by Scott
       Fenton, 6-Oct-2017.) $)
    fveu $p |- ( E! x A F x -> ( F ` A ) = U. { x | A F x } ) $=
      ( cv wbr weu cfv cio cab cuni df-fv iotauni eqtrid ) BADCEZAFBCGNAHNAIJAB
      CKNALM $.
  $}

  ${
    $d x y A $.  $d x y F $.
    $( If ` A ` is a proper class and ` F ` is any class, then there is no
       unique set which is related to ` A ` through the binary relation ` F ` .
       (Contributed by Scott Fenton, 7-Oct-2017.) $)
    brprcneu $p |- ( -. A e. _V -> -. E! x A F x ) $=
      ( vy wcel wn cv wbr wex wi wa weq cop c0 exnal sylibr opprc1 eleq1d df-br
      wal cvv wmo weu dtru equcom albii xchbinx mpbir jctr 19.42v anbi12d anidm
      bitrdi anbi1d exbidv imbi12d mpbiri anbi12i anbi1i 3imtr4g eximdv exanali
      exbii breq2 mo4 notbii 3bitr4ri syl6ibr df-eu imnan bitr4i ) BUAEFZBAGZCH
      ZAIZVNAUBZFZJZVNAUCZFZVLVOVNBDGZCHZKZADLZFZKZDIZAIZVQVLVNWGAVLBVMMZCEZWJB
      WAMZCEZKZWEKZDIZVNWGVLWJWOJNCEZWPWEKZDIZJWPWPWEDIZKWRWPWSWSDALZDTZFDAUDWS
      WDDTXAWDDOWDWTDADUEUFUGUHUIWPWEDUJPVLWJWPWOWRVLWINCBVMQRZVLWNWQDVLWMWPWEV
      LWMWPWPKWPVLWJWPWLWPXBVLWKNCBWAQRUKWPULUMUNUOUPUQBVMCSZWFWNDWCWMWEVNWJWBW
      LXCBWACSURUSVCUTVAWCWDJDTZFZAIXDATZFWHVQXDAOWGXEAWCWDDVBVCVPXFVNWBADVMWAB
      CVDVEVFVGVHVTVOVPKZFVRVSXGVNAVIVFVOVPVJVKP $.
  $}

  ${
    $d A x y $.  $d F x y $.
    $( A function's value at a proper class is the empty set.  See ~ fvprcALT
       for a proof that uses ~ ax-pow instead of ~ ax-sep and ~ ax-pr .
       (Contributed by NM, 20-May-1998.)  Avoid ~ ax-pow .  (Revised by
       BTernaryTau, 3-Aug-2024.) $)
    fvprc $p |- ( -. A e. _V -> ( F ` A ) = (/) ) $=
      ( vx vy wcel wn cv wbr wex wi wa weq cop exnal sylibr opprc1 eleq1d df-br
      wal exbii cvv weu cfv wceq wmo dtruALT2 equcom albii xchbinx mpbir 19.42v
      c0 jctr anbi12d anidm bitrdi anbi1d exbidv imbi12d mpbiri anbi12i 3imtr4g
      anbi1i eximdv exanali breq2 notbii 3bitr4ri syl6ibr df-eu bitr4i tz6.12-2
      mo4 imnan syl ) AUAEFZACGZBHZCUBZFZABUCULZUDVPVRCIZVRCUEZFZJZVTVPWBVRADGZ
      BHZKZCDLZFZKZDIZCIZWDVPVRWLCVPAVQMZBEZWOAWFMZBEZKZWJKZDIZVRWLVPWOWTJWABEZ
      XAWJKZDIZJXAXAWJDIZKXCXAXDXDDCLZDSZFDCUFXDWIDSXFWIDNWIXEDCDUGUHUIUJUMXAWJ
      DUKOVPWOXAWTXCVPWNWABAVQPQZVPWSXBDVPWRXAWJVPWRXAXAKXAVPWOXAWQXAXGVPWPWABA
      WFPQUNXAUOUPUQURUSUTAVQBRZWKWSDWHWRWJVRWOWGWQXHAWFBRVAVCTVBVDWHWIJDSZFZCI
      XICSZFWMWDXICNWLXJCWHWIDVETWCXKVRWGCDVQWFABVFVMVGVHVIVTWBWCKZFWEVSXLVRCVJ
      VGWBWCVNVKOCABVLVO $.
    $( $j usage 'fvprc' avoids 'ax-pow'; $)
  $}

  ${
    $d x A $.  $d x F $.
    $( Alternate proof of ~ fvprc using ~ ax-pow instead of ~ ax-sep and
       ~ ax-pr .  (Contributed by NM, 20-May-1998.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    fvprcALT $p |- ( -. A e. _V -> ( F ` A ) = (/) ) $=
      ( vx cvv wcel wn cv wbr weu cfv c0 wceq brprcneu tz6.12-2 syl ) ADEFACGBH
      CIFABJKLCABMCABNO $.
    $( $j usage 'fvprcALT' avoids 'ax-sep' 'ax-pr'; $)
  $}

  ${
    rnfvprc.y $e |- Y = ( F ` X ) $.
    $( The range of a function value at a proper class is empty.  (Contributed
       by AV, 20-Aug-2022.) $)
    rnfvprc $p |- ( -. X e. _V -> ran Y = (/) ) $=
      ( cvv wcel wn crn c0 cfv fvprc eqtrid rneqd rn0 eqtrdi ) BEFGZCHIHIPCIPCB
      AJIDBAKLMNO $.
  $}

  ${
    $d x y A $.  $d x y F $.
    $( Alternate definition of function value.  Definition 10.11 of [Quine]
       p. 68.  (Contributed by NM, 30-Apr-2004.)  (Proof shortened by Andrew
       Salmon, 17-Sep-2011.)  (Revised by Mario Carneiro, 31-Aug-2015.) $)
    fv2 $p |- ( F ` A ) = U. { x | A. y ( A F y <-> y = x ) } $=
      ( cfv cv wbr cio weq wb wal cab cuni df-fv dfiota2 eqtri ) CDECBFDGZBHQBA
      IJBKALMBCDNQBAOP $.
  $}

  ${
    $d F x $.  $d A x $.
    $( A definition of function value in terms of iota.  (Contributed by Scott
       Fenton, 19-Feb-2013.) $)
    dffv3 $p |- ( F ` A ) = ( iota x x e. ( F " { A } ) ) $=
      ( cvv wcel cfv cv csn cima cio wceq wbr df-fv wb wa iotabidv wn c0 eqtrdi
      cop elimasng df-br bitr4di elvd eqtr4id fvprc snprc biimpi imaeq2d eleq2d
      ima0 weu wex noel nex euex mto iotanul ax-mp eqtr4d pm2.61i ) BDEZBCFZAGZ
      CBHZIZEZAJZKVBVCBVDCLZAJVHABCMVBVGVIAVBVGVINAVBVDDEOVGBVDTCEVICBVDDDUABVD
      CUBUCUDPUEVBQZVCRVHBCUFVJVHVDREZAJZRVJVGVKAVJVFRVDVJVFCRIRVJVERCVJVERKBUG
      UHUICUKSUJPVKAULZQVLRKVMVKAUMVKAVDUNUOVKAUPUQVKAURUSSUTVA $.
  $}

  ${
    $d x y A $.  $d x y F $.
    $( The previous definition of function value, from before the ` iota `
       operator was introduced.  Although based on the idea embodied by
       Definition 10.2 of [Quine] p. 65 (see ~ args ), this definition
       apparently does not appear in the literature.  (Contributed by NM,
       1-Aug-1994.) $)
    dffv4 $p |- ( F ` A ) = U. { x | ( F " { A } ) = { x } } $=
      ( vy cfv csn cima wcel cio cab wceq cuni dffv3 df-iota abid2 eqeq1i abbii
      cv unieqi 3eqtri ) BCEDRCBFGZHZDIUBDJZARFZKZAJZLUAUDKZAJZLDBCMUBDANUFUHUE
      UGAUCUAUDDUAOPQST $.
  $}

  ${
    $d x A $.  $d x y B $.  $d x y F $.
    $( Membership in a function value.  (Contributed by NM, 30-Apr-2004.) $)
    elfv $p |- ( A e. ( F ` B ) <->
               E. x ( A e. x /\ A. y ( B F y <-> y = x ) ) ) $=
      ( cfv wcel cv wbr weq wb wal cab cuni wa wex fv2 eleq2i eluniab bitri ) C
      DEFZGCDBHEIBAJKBLZAMNZGCAHGUBOAPUAUCCABDEQRUBACST $.
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.  $d x G $.
    $( Equality theorem for function value.  (Contributed by NM,
       29-Dec-1996.) $)
    fveq1 $p |- ( F = G -> ( F ` A ) = ( G ` A ) ) $=
      ( vx wceq cv wbr cio cfv breq iotabidv df-fv 3eqtr4g ) BCEZADFZBGZDHAOCGZ
      DHABIACINPQDAOBCJKDABLDACLM $.

    $( Equality theorem for function value.  (Contributed by NM,
       29-Dec-1996.) $)
    fveq2 $p |- ( A = B -> ( F ` A ) = ( F ` B ) ) $=
      ( vx wceq cv wbr cio cfv breq1 iotabidv df-fv 3eqtr4g ) ABEZADFZCGZDHBOCG
      ZDHACIBCINPQDABOCJKDACLDBCLM $.
  $}

  ${
    fveq1i.1 $e |- F = G $.
    $( Equality inference for function value.  (Contributed by NM,
       2-Sep-2003.) $)
    fveq1i $p |- ( F ` A ) = ( G ` A ) $=
      ( wceq cfv fveq1 ax-mp ) BCEABFACFEDABCGH $.
  $}

  ${
    fveq1d.1 $e |- ( ph -> F = G ) $.
    $( Equality deduction for function value.  (Contributed by NM,
       2-Sep-2003.) $)
    fveq1d $p |- ( ph -> ( F ` A ) = ( G ` A ) ) $=
      ( wceq cfv fveq1 syl ) ACDFBCGBDGFEBCDHI $.
  $}

  ${
    fveq2i.1 $e |- A = B $.
    $( Equality inference for function value.  (Contributed by NM,
       28-Jul-1999.) $)
    fveq2i $p |- ( F ` A ) = ( F ` B ) $=
      ( wceq cfv fveq2 ax-mp ) ABEACFBCFEDABCGH $.
  $}

  ${
    fveq2d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for function value.  (Contributed by NM,
       29-May-1999.) $)
    fveq2d $p |- ( ph -> ( F ` A ) = ( F ` B ) ) $=
      ( wceq cfv fveq2 syl ) ABCFBDGCDGFEBCDHI $.
  $}

  $( Equality theorem for nested function values.  (Contributed by AV,
     14-Aug-2022.) $)
  2fveq3 $p |- ( A = B -> ( F ` ( G ` A ) ) = ( F ` ( G ` B ) ) ) $=
    ( wceq cfv fveq2 fveq2d ) ABEADFBDFCABDGH $.

  ${
    fveq12i.1 $e |- F = G $.
    fveq12i.2 $e |- A = B $.
    $( Equality deduction for function value.  (Contributed by FL,
       27-Jun-2014.) $)
    fveq12i $p |- ( F ` A ) = ( G ` B ) $=
      ( cfv fveq1i fveq2i eqtri ) ACGADGBDGACDEHABDFIJ $.
  $}

  ${
    fveq12d.1 $e |- ( ph -> F = G ) $.
    fveq12d.2 $e |- ( ph -> A = B ) $.
    $( Equality deduction for function value.  (Contributed by FL,
       22-Dec-2008.) $)
    fveq12d $p |- ( ph -> ( F ` A ) = ( G ` B ) ) $=
      ( cfv fveq1d fveq2d eqtrd ) ABDHBEHCEHABDEFIABCEGJK $.
  $}

  ${
    fveqeq2d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for function value.  (Contributed by BJ,
       30-Aug-2022.) $)
    fveqeq2d $p |- ( ph -> ( ( F ` A ) = C <-> ( F ` B ) = C ) ) $=
      ( cfv fveq2d eqeq1d ) ABEGCEGDABCEFHI $.
  $}

  $( Equality deduction for function value.  (Contributed by BJ,
     31-Aug-2022.) $)
  fveqeq2 $p |- ( A = B -> ( ( F ` A ) = C <-> ( F ` B ) = C ) ) $=
    ( wceq id fveqeq2d ) ABEZABCDHFG $.

  ${
    $d y F $.  $d y A $.  $d x y $.
    nffv.1 $e |- F/_ x F $.
    nffv.2 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for function value.  (Contributed by
       NM, 14-Nov-1995.)  (Revised by Mario Carneiro, 15-Oct-2016.) $)
    nffv $p |- F/_ x ( F ` A ) $=
      ( vy cfv cv wbr cio df-fv nfcv nfbr nfiotaw nfcxfr ) ABCGBFHZCIZFJFBCKQAF
      ABPCEDAPLMNO $.
  $}

  ${
    $d x C $.
    $( Bound-variable hypothesis builder for mapping, special case.
       (Contributed by Mario Carneiro, 25-Dec-2016.) $)
    nffvmpt1 $p |- F/_ x ( ( x e. A |-> B ) ` C ) $=
      ( cmpt nfmpt1 nfcv nffv ) ADABCEABCFADGH $.
  $}

  ${
    $d z A $.  $d z F $.  $d x z $.
    nffvd.2 $e |- ( ph -> F/_ x F ) $.
    nffvd.3 $e |- ( ph -> F/_ x A ) $.
    $( Deduction version of bound-variable hypothesis builder ~ nffv .
       (Contributed by NM, 10-Nov-2005.)  (Revised by Mario Carneiro,
       15-Oct-2016.) $)
    nffvd $p |- ( ph -> F/_ x ( F ` A ) ) $=
      ( vz cv wcel wal cab cfv wnfc nfaba1 nffv wb wa nfnfc1 wceq abidnf adantr
      nfan adantl fveq12d nfceqdf syl2anc mpbii ) ABGHZCIZBJGKZUHDIZBJGKZLZMZBC
      DLZMZBUJULUKBGNUIBGNOABDMZBCMZUNUPPEFUQURQZBUMUOUQURBBDRBCRUBUSUJCULDUQUL
      DSURBGDTUAURUJCSUQBGCTUCUDUEUFUG $.
  $}

  ${
    $d x A $.  $d x F $.
    $( The value of a class exists.  Corollary 6.13 of [TakeutiZaring] p. 27.
       (Contributed by NM, 30-Dec-1996.) $)
    fvex $p |- ( F ` A ) e. _V $=
      ( vx cfv cv wbr cio cvv df-fv iotaex eqeltri ) ABDACEBFZCGHCABILCJK $.
  $}

  ${
    fvexi.1 $e |- A = ( F ` B ) $.
    $( The value of a class exists.  Inference form of ~ fvex .  (Contributed
       by Glauco Siliprandi, 23-Oct-2021.) $)
    fvexi $p |- A e. _V $=
      ( cfv cvv fvex eqeltri ) ABCEFDBCGH $.
  $}

  $( The value of a class exists (as consequent of anything).  (Contributed by
     Glauco Siliprandi, 23-Oct-2021.) $)
  fvexd $p |- ( ph -> ( F ` A ) e. _V ) $=
    ( cfv cvv wcel fvex a1i ) BCDEFABCGH $.

  $( Move a conditional outside of a function.  (Contributed by Jeff Madsen,
     2-Sep-2009.) $)
  fvif $p |- ( F ` if ( ph , A , B ) ) = if ( ph , ( F ` A ) , ( F ` B ) ) $=
    ( cif cfv fveq2 ifsb ) ABCABCEZDFBDFCDFIBDGICDGH $.

  $( Move a conditional outside of a function.  (Contributed by Thierry Arnoux,
     28-Sep-2018.) $)
  iffv $p |- ( if ( ph , F , G ) ` A ) = if ( ph , ( F ` A ) , ( G ` A ) ) $=
    ( cif cfv fveq1 ifsb ) ACDBACDEZFBCFBDFBICGBIDGH $.

  ${
    $d x y z F $.  $d x y z A $.
    $( Alternate definition of the value of a function.  Definition 6.11 of
       [TakeutiZaring] p. 26.  (Contributed by NM, 30-Apr-2004.)  (Revised by
       Mario Carneiro, 31-Aug-2015.) $)
    fv3 $p |- ( F ` A ) = { x | ( E. y ( x e. y /\ A F y ) /\
              E! y A F y ) } $=
      ( vz cv wcel wbr wa wex weu cfv weq wb wal elfv wi biimpr breq2 sylib eu6
      alimi equsalvw anim2i eximi elequ2 anbi12d cbvexvw exsimpr sylibr jca nfv
      nfeu1 nfa1 nfan nfex nfim biimp ax9 syl6 impcomd sps anc2ri eximdv syl5bi
      com12 exlimi imp impbii bitri abbi2i ) AFZBFZGZCVMDHZIZBJZVOBKZIZACDLZVLV
      TGVLEFZGZVOBEMZNZBOZIZEJZVSEBVLCDPWGVSWGVQVRWGWBCWADHZIZEJVQWFWIEWEWHWBWE
      WCVOQZBOWHWDWJBVOWCRUBVOWHBEVMWACDSUCTUDUEWIVPEBEBMWBVNWHVOEBAUFWAVMCDSUG
      UHTWGWEEJZVRWBWEEUIVOBEUAZUJUKVQVRWGVPVRWGQBVRWGBVOBUMWFBEWBWEBWBBULWDBUN
      UOUPUQVRWKVPWGWLVPWEWFEWEVPWFWEVPWBWDVPWBQBWDVOVNWBWDVOWCVNWBQVOWCURBEAUS
      UTVAVBVCVFVDVEVGVHVIVJVK $.
  $}

  ${
    $d x F $.  $d x A $.  $d x B $.
    $( The value of a restricted function.  (Contributed by NM, 2-Aug-1994.) $)
    fvres $p |- ( A e. B -> ( ( F |` B ) ` A ) = ( F ` A ) ) $=
      ( vx wcel cv cres wbr cio cfv vex brresi baib iotabidv df-fv 3eqtr4g ) AB
      EZADFZCBGZHZDIARCHZDIASJACJQTUADTQUABARCDKLMNDASODACOP $.
  $}

  ${
    fvresd.1 $e |- ( ph -> A e. B ) $.
    $( The value of a restricted function, deduction version of ~ fvres .
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    fvresd $p |- ( ph -> ( ( F |` B ) ` A ) = ( F ` A ) ) $=
      ( wcel cres cfv wceq fvres syl ) ABCFBDCGHBDHIEBCDJK $.
  $}

  $( The value of a member of the domain of a subclass of a function.
     (Contributed by NM, 15-Aug-1994.) $)
  funssfv $p |- ( ( Fun F /\ G C_ F /\ A e. dom G ) ->
                ( F ` A ) = ( G ` A ) ) $=
    ( wfun wss cdm wcel cfv wceq wa cres fvres eqcomd funssres fveq1d sylan9eqr
    3impa ) BDZCBEZACFZGZABHZACHZIUARSJZUBABTKZHZUCUAUFUBATBLMUDAUECBCNOPQ $.

  ${
    $d y F $.  $d y A $.
    $( Function value.  Theorem 6.12(1) of [TakeutiZaring] p. 27.  (Contributed
       by NM, 30-Apr-2004.) $)
    tz6.12-1 $p |- ( ( A F y /\ E! y A F y ) -> ( F ` A ) = y ) $=
      ( cv wbr weu wa cfv cio df-fv wceq iota1 biimpac eqtrid ) BADZCEZPAFZGBCH
      PAIZOABCJQPROKPALMN $.

    $( Function value.  Theorem 6.12(1) of [TakeutiZaring] p. 27.  (Contributed
       by NM, 10-Jul-1994.) $)
    tz6.12 $p |- ( ( <. A , y >. e. F /\ E! y <. A , y >. e. F ) ->
                 ( F ` A ) = y ) $=
      ( cv cop wcel wbr weu cfv wceq df-br eubii tz6.12-1 syl2anbr ) BADZECFZBO
      CGZQAHBCIOJPAHBOCKZQPARLABCMN $.
  $}

  ${
    $d A y z $.  $d z F $.
    tz6.12f.1 $e |- F/_ y F $.
    $( Function value, using bound-variable hypotheses instead of distinct
       variable conditions.  (Contributed by NM, 30-Aug-1999.) $)
    tz6.12f $p |- ( ( <. A , y >. e. F /\ E! y <. A , y >. e. F ) ->
                 ( F ` A ) = y ) $=
      ( vz cv cop wcel weu wa cfv wceq wi opeq2 eleq1d wb nfel2 nfv cbveuw a1i
      anbi12d eqeq2 imbi12d tz6.12 chvarvv ) BEFZGZCHZUHEIZJZBCKZUFLZMBAFZGZCHZ
      UOAIZJZUKUMLZMEAUFUMLZUJUQULURUSUHUOUIUPUSUGUNCUFUMBNOZUIUPPUSUHUOEAAUGCD
      QUOERUTSTUAUFUMUKUBUCEBCUDUE $.
  $}

  ${
    $d y F $.  $d y A $.
    $( Corollary of Theorem 6.12(1) of [TakeutiZaring] p. 27.  (Contributed by
       NM, 30-Apr-2004.) $)
    tz6.12c $p |- ( E! y A F y -> ( ( F ` A ) = y <-> A F y ) ) $=
      ( wbr weu cfv wceq nfeu1 nfv euex tz6.12-1 expcom breq2 biimprd exlimimdd
      cv syli syl5ibcom impbid ) BAPZCDZAEZBCFZTGZUAUBBUCCDZUDUAUBUAUEAUAAHUEAI
      UAAJUAUBUDUEUAUBUDABCKLZUDUEUAUCTBCMZNQOUGRUFS $.
  $}

  ${
    $d y F $.  $d y A $.  $d y B $.
    $( Corollary of Theorem 6.12(2) of [TakeutiZaring] p. 27.  (Contributed by
       Mario Carneiro, 17-Nov-2014.) $)
    tz6.12i $p |- ( B =/= (/) -> ( ( F ` A ) = B -> A F B ) ) $=
      ( vy cfv wceq c0 wne wbr wi fvex cv neeq1 tz6.12-2 necon1ai tz6.12c breq2
      weu wb 3imtr3d syl biimpcd sylbird eqcoms vtocle a1i com12 ) ACEZBFZBGHZA
      BCIZUIUHGHZAUHCIZUJUKULUMJZUIUNDUHACKDLZUHFUOGHZAUOCIZULUMUPUQJUHUOUHUOFZ
      UPULUQUHUOGMULURUQULUQDRZURUQSUSUHGDACNODACPUAUBUCUDUOUHGMUOUHACQTUEUFUHB
      GMUHBACQTUG $.
  $}

  $( Two possibilities for the behavior of a function value.  (Contributed by
     Stefan O'Rear, 2-Nov-2014.)  (Proof shortened by Mario Carneiro,
     31-Aug-2015.) $)
  fvbr0 $p |- ( X F ( F ` X ) \/ ( F ` X ) = (/) ) $=
    ( cfv wbr c0 wceq wne eqid tz6.12i mpi necon1bi orri ) BBACZADZMEFNMEMEGMMF
    NMHBMAIJKL $.

  $( A function value is a member of the range plus null.  (Contributed by
     Scott Fenton, 8-Jun-2011.)  (Revised by Stefan O'Rear, 3-Jan-2015.) $)
  fvrn0 $p |- ( F ` X ) e. ( ran F u. { (/) } ) $=
    ( cfv c0 wceq crn csn cun wcel id ssun2 0ex snid sselii eqeltrdi wn cvv wbr
    ssun1 con1i fvprc fvexd fvbr0 ori brelrng syl3anc sselid pm2.61i ) BACZDEZU
    IAFZDGZHZIUJUIDUMUJJULUMDULUKKDLMNOUJPZUKUMUIUKULSUNBQIZUIQIBUIARZUIUKIUOUJ
    BAUATUNBAUBUPUJUPUJABUCUDTBUIAQQUEUFUGUH $.

  $( The result of a function value is always a subset of the union of the
     range, even if it is invalid and thus empty.  (Contributed by Stefan
     O'Rear, 2-Nov-2014.)  (Revised by Mario Carneiro, 31-Aug-2015.) $)
  fvssunirn $p |- ( F ` X ) C_ U. ran F $=
    ( cfv crn c0 csn cun cuni wcel wss fvrn0 elssuni ax-mp uniun 0ex uneq2i un0
    unisn 3eqtri sseqtri ) BACZADZEFZGZHZUBHZUAUDIUAUEJABKUAUDLMUEUFUCHZGUFEGUF
    UBUCNUGEUFEORPUFQST $.

  ${
    $d x A $.  $d x F $.
    $( The value of a class outside its domain is the empty set.  (An artifact
       of our function value definition.)  (Contributed by NM, 24-Aug-1995.) $)
    ndmfv $p |- ( -. A e. dom F -> ( F ` A ) = (/) ) $=
      ( vx cvv wcel cdm wn cfv c0 wceq wi cv wbr weu wex eldmg syl5ibr tz6.12-2
      euex con3d syl6 fvprc a1d pm2.61i ) ADEZABFEZGZABHIJZKUEUGACLBMZCNZGUHUEU
      JUFUJUFUEUICOUICSCABDPQTCABRUAUEGUHUGABUBUCUD $.
  $}

  ${
    ndmfvrcl.1 $e |- dom F = S $.
    ndmfvrcl.2 $e |- -. (/) e. S $.
    $( Reverse closure law for function with the empty set not in its domain.
       (Contributed by NM, 26-Apr-1996.) $)
    ndmfvrcl $p |- ( ( F ` A ) e. S -> A e. S ) $=
      ( cfv wcel cdm wn c0 ndmfv eleq1d mtbiri con4i eleqtrdi ) ACFZBGZACHZBARG
      ZQSIZQJBGETPJBACKLMNDO $.
  $}

  $( If a function value has a member, then the argument belongs to the domain.
     (An artifact of our function value definition.)  (Contributed by NM,
     12-Feb-2007.)  (Proof shortened by BJ, 22-Oct-2022.) $)
  elfvdm $p |- ( A e. ( F ` B ) -> B e. dom F ) $=
    ( cfv wcel c0 wceq cdm n0i ndmfv nsyl2 ) ABCDZELFGBCHELAIBCJK $.

  $( If a function value has a member, then the argument is a set.  (An
     artifact of our function value definition.)  (Contributed by Mario
     Carneiro, 6-Nov-2015.) $)
  elfvex $p |- ( A e. ( F ` B ) -> B e. _V ) $=
    ( cfv wcel cdm elfvdm elexd ) ABCDEBCFABCGH $.

  ${
    elfvexd.1 $e |- ( ph -> A e. ( B ` C ) ) $.
    $( If a function value has a member, then its argument is a set.  Deduction
       form of ~ elfvex .  (An artifact of our function value definition.)
       (Contributed by David Moews, 1-May-2017.) $)
    elfvexd $p |- ( ph -> C e. _V ) $=
      ( cfv wcel cvv elfvex syl ) ABDCFGDHGEBDCIJ $.
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.
    $( A nonempty function value is an element of the image of the function.
       (Contributed by Thierry Arnoux, 25-Jun-2019.) $)
    eliman0 $p |- ( ( A e. B /\ -. ( F ` A ) = (/) )
      -> ( F ` A ) e. ( F " B ) ) $=
      ( vx wcel cfv c0 wceq wn wa cv wbr wrex cima fvbr0 orcom mpbi ori breq1
      wo rspcev sylan2 fvex elima sylibr ) ABEZACFZGHZIZJDKZUGCLZDBMZUGCBNEUIUF
      AUGCLZULUHUMUMUHTUHUMTCAOUMUHPQRUKUMDABUJAUGCSUAUBDUGCBACUCUDUE $.
  $}

  $( The value of a non-member of a restriction is the empty set.  (An artifact
     of our function value definition.)  (Contributed by NM, 13-Nov-1995.) $)
  nfvres $p |- ( -. A e. B -> ( ( F |` B ) ` A ) = (/) ) $=
    ( cres cdm wcel cfv c0 wceq cin dmres inss1 eqsstri sseli ndmfv nsyl5 ) ACB
    DZEZFABFAQGHIRBARBCEZJBCBKBSLMNAQOP $.

  ${
    $d x y A $.  $d x y F $.
    $( If the restriction of a class to a singleton is not a function, then its
       value is the empty set.  (An artifact of our function value definition.)
       (Contributed by NM, 8-Aug-2010.)  (Proof shortened by Andrew Salmon,
       22-Oct-2011.) $)
    nfunsn $p |- ( -. Fun ( F |` { A } ) -> ( F ` A ) = (/) ) $=
      ( vx vy cfv c0 wceq csn cres wfun wn wrel cv wbr wmo wal weu eumo sylbi
      wa wcel vex brresi wb velsn breq1 biimpa moimi syl tz6.12-2 nsyl4 alrimiv
      relres jctil dffun6 sylibr con1i ) ABEFGZBAHZIZJZURKZUTLZCMZDMZUTNZDOZCPZ
      TVAVBVHVCVBVGCAVEBNZDQZVGURVJVIDOVGVIDRVFVIDVFVDUSUAZVDVEBNZTVIUSVDVEBDUB
      UCVKVLVIVKVDAGVLVIUDCAUEVDAVEBUFSUGSUHUIDABUJUKULBUSUMUNCDUTUOUPUQ $.
  $}

  $( If the "value of a class" at an argument is not the empty set, then the
     argument is in the domain of the class and the class restricted to the
     singleton formed on that argument is a function.  (Contributed by
     Alexander van der Vekens, 26-May-2017.)  (Proof shortened by BJ,
     13-Aug-2022.) $)
  fvfundmfvn0 $p |- ( ( F ` A ) =/= (/)
                      -> ( A e. dom F /\ Fun ( F |` { A } ) ) ) $=
    ( cfv c0 wne cdm wcel csn cres wfun ndmfv necon1ai nfunsn jca ) ABCZDEABFGZ
    BAHIJZPODABKLQODABMLN $.

  $( Function value of the empty set.  (Contributed by Stefan O'Rear,
     26-Nov-2014.) $)
  0fv $p |- ( (/) ` A ) = (/) $=
    ( c0 cdm wcel wn cfv wceq noel dm0 eleq2i mtbir ndmfv ax-mp ) ABCZDZEABFBGO
    ABDAHNBAIJKABLM $.

  $( A function value of a function value at a proper class is the empty set.
     (Contributed by AV, 8-Apr-2021.) $)
  fv2prc $p |- ( -. A e. _V -> ( ( F ` A ) ` B ) = (/) ) $=
    ( cvv wcel wn cfv c0 fvprc fveq1d 0fv eqtrdi ) ADEFZBACGZGBHGHMBNHACIJBKL
    $.

  $( If a function value of a function value has a member, then the first
     argument is a set.  (Contributed by AV, 8-Apr-2021.) $)
  elfv2ex $p |- ( A e. ( ( F ` B ) ` C ) -> B e. _V ) $=
    ( cvv wcel cfv wi ax-1 wn c0 fv2prc eleq2d noel pm2.21i syl6bi pm2.61i ) BE
    FZACBDGGZFZRHRTIRJZTAKFZRUASKABCDLMUBRANOPQ $.

  $( Equal values imply equal values in a restriction.  (Contributed by NM,
     13-Nov-1995.) $)
  fveqres $p |- ( ( F ` A ) = ( G ` A ) ->
                ( ( F |` B ) ` A ) = ( ( G |` B ) ` A ) ) $=
    ( wcel cfv wceq cres wi fvres eqeq12d biimprd wn nfvres eqtr4d a1d pm2.61i
    c0 ) ABEZACFZADFZGZACBHFZADBHFZGZISUEUBSUCTUDUAABCJABDJKLSMZUEUBUFUCRUDABCN
    ABDNOPQ $.

  ${
    $d y A $.  $d y B $.  $d y F $.  $d x y $.
    $( Move class substitution in and out of a function value.  (Contributed by
       NM, 11-Nov-2005.)  (Revised by NM, 20-Aug-2018.) $)
    csbfv12 $p |- [_ A / x ]_ ( F ` B ) = ( [_ A / x ]_ F ` [_ A / x ]_ B ) $=
      ( vy cvv wcel cfv csb wceq cv wbr cio csbiota sbcbr123 csbconstg df-fv c0
      wsbc csbprc breq2d syl5bb iotabidv eqtrid csbeq2i 3eqtr4g wn fveq1d eqtrd
      0fv eqtr2di pm2.61i ) BFGZABCDHZIZABCIZABDIZHZJUMABCEKZDLZEMZIZUPUSUQLZEM
      ZUOURUMVBUTABSZEMVDUTAEBNUMVEVCEVEUPABUSIZUQLUMVCABCUSDOUMVFUSUPUQABUSFPU
      AUBUCUDABUNVAECDQUEEUPUQQUFUMUGZUORURABUNTVGURUPRHRVGUPUQRABDTUHUPUJUKUIU
      L $.
  $}

  ${
    $d x F $.
    $( Move class substitution in and out of a function value.  (Contributed by
       NM, 10-Nov-2005.) $)
    csbfv2g $p |- ( A e. C -> [_ A / x ]_ ( F ` B ) =
                  ( F ` [_ A / x ]_ B ) ) $=
      ( wcel cfv csb csbfv12 csbconstg fveq1d eqtrid ) BDFZABCEGHABCHZABEHZGNEG
      ABCEIMNOEABEDJKL $.

    $( Substitution for a function value.  (Contributed by NM, 1-Jan-2006.)
       (Revised by NM, 20-Aug-2018.) $)
    csbfv $p |- [_ A / x ]_ ( F ` x ) = ( F ` A ) $=
      ( cvv wcel cv cfv csb csbfv2g csbvarg fveq2d eqtrd wn csbprc fvprc eqtr4d
      wceq c0 pm2.61i ) BDEZABAFZCGZHZBCGZQTUCABUAHZCGUDABUADCITUEBCABDJKLTMUCR
      UDABUBNBCOPS $.
  $}

  ${
    $d y A $.  $d y F $.  $d y B $.
    $( The second argument of a binary relation on a function is the function's
       value.  (Contributed by NM, 30-Apr-2004.)  (Revised by Mario Carneiro,
       28-Apr-2015.) $)
    funbrfv $p |- ( Fun F -> ( A F B -> ( F ` A ) = B ) ) $=
      ( vy wfun wbr cfv wceq cvv wcel wa wrel funrel brrelex2 sylan cv wi breq2
      anbi2d eqeq2 imbi12d weu funeu tz6.12-1 sylan2 anabss7 vtoclg mpcom ex )
      CEZABCFZACGZBHZBIJZUJUKKZUMUJCLUKUNCMABCNOUJADPZCFZKZULUPHZQUOUMQDBIUPBHZ
      URUOUSUMUTUQUKUJUPBACRSUPBULTUAUJUQUSURUQUQDUBUSDAUPCUCDACUDUEUFUGUHUI $.
  $}

  $( The second element in an ordered pair member of a function is the
     function's value.  (Contributed by NM, 19-Jul-1996.) $)
  funopfv $p |- ( Fun F -> ( <. A , B >. e. F -> ( F ` A ) = B ) ) $=
    ( cop wcel wbr wfun cfv wceq df-br funbrfv syl5bir ) ABDCEABCFCGACHBIABCJAB
    CKL $.

  ${
    $d x F $.  $d x A $.  $d x B $.
    $( Equivalence of function value and binary relation.  (Contributed by NM,
       19-Apr-2004.)  (Revised by Mario Carneiro, 28-Apr-2015.) $)
    fnbrfvb $p |- ( ( F Fn A /\ B e. A ) -> ( ( F ` B ) = C <-> B F C ) ) $=
      ( vx wfn wcel wa cfv wceq wbr eqid cv wb wi fvex eqeq2 breq2 bibi12d syl
      imbi2d weu fneu tz6.12c vtocl mpbii syl5ibcom fnfun funbrfv adantr impbid
      wfun ) DAFZBAGZHZBDIZCJZBCDKZUOBUPDKZUQURUOUPUPJZUSUPLUOUPEMZJZBVADKZNZOU
      OUTUSNZOEUPBDPVAUPJZVDVEUOVFVBUTVCUSVAUPUPQVAUPBDRSUAUOVCEUBVDEABDUCEBDUD
      TUEUFUPCBDRUGUMURUQOZUNUMDULVGADUHBCDUITUJUK $.
  $}

  $( Equivalence of function value and ordered pair membership.  (Contributed
     by NM, 7-Nov-1995.) $)
  fnopfvb $p |- ( ( F Fn A /\ B e. A ) ->
                 ( ( F ` B ) = C <-> <. B , C >. e. F ) ) $=
    ( wfn wcel wa cfv wceq wbr cop fnbrfvb df-br bitrdi ) DAEBAFGBDHCIBCDJBCKDF
    ABCDLBCDMN $.

  $( Equivalence of function value and binary relation.  (Contributed by NM,
     26-Mar-2006.) $)
  funbrfvb $p |- ( ( Fun F /\ A e. dom F ) -> ( ( F ` A ) = B <-> A F B ) ) $=
    ( wfun cdm wfn wcel cfv wceq wbr wb funfn fnbrfvb sylanb ) CDCCEZFAOGACHBIA
    BCJKCLOABCMN $.

  $( Equivalence of function value and ordered pair membership.  Theorem
     4.3(ii) of [Monk1] p. 42.  (Contributed by NM, 26-Jan-1997.) $)
  funopfvb $p |- ( ( Fun F /\ A e. dom F ) ->
                 ( ( F ` A ) = B <-> <. A , B >. e. F ) ) $=
    ( wfun cdm wfn wcel cfv wceq cop wb funfn fnopfvb sylanb ) CDCCEZFAOGACHBIA
    BJCGKCLOABCMN $.

  $( Version of ~ fnbrfvb for functions on Cartesian products: function value
     expressed as a binary relation.  See ~ fnbrovb for the form when ` F ` is
     seen as a binary operation.  (Contributed by BJ, 15-Feb-2022.) $)
  fnbrfvb2 $p |- ( ( F Fn ( V X. W ) /\ ( A e. V /\ B e. W ) ) ->
                           ( ( F ` <. A , B >. ) = C <-> <. A , B >. F C ) ) $=
    ( wcel wa cxp wfn cop cfv wceq wbr wb opelxpi fnbrfvb sylan2 ) AEGBFGHDEFIZ
    JABKZSGTDLCMTCDNOABEFPSTCDQR $.

  ${
    $d x y A $.  $d x y B $.  $d x y F $.  $d x Y $.
    $( Function value in terms of a binary relation.  (Contributed by Mario
       Carneiro, 19-Mar-2014.) $)
    funbrfv2b $p |- ( Fun F ->
                       ( A F B <-> ( A e. dom F /\ ( F ` A ) = B ) ) ) $=
      ( wfun wbr cdm wcel wa cfv wceq wrel funrel releldm syl pm4.71rd funbrfvb
      wi ex pm5.32da bitr4d ) CDZABCEZACFGZUBHUCACIBJZHUAUBUCUACKZUBUCQCLUEUBUC
      ABCMRNOUAUCUDUBABCPST $.

    $( Representation of a function in terms of its values.  (Contributed by
       FL, 14-Sep-2013.)  (Proof shortened by Mario Carneiro, 31-Aug-2015.) $)
    dffn5 $p |- ( F Fn A <-> F = ( x e. A |-> ( F ` x ) ) ) $=
      ( vy wfn cv cfv cmpt wceq wcel wa copab wbr wrel fnrel dfrel4v sylib fnbr
      ex pm4.71rd eqcom fnbrfvb syl5bb pm5.32da bitr4d opabbidv eqtrd fvex eqid
      df-mpt eqtr4di fnmpti fneq1 mpbiri impbii ) CBEZCABAFZCGZHZIZUPCUQBJZDFZU
      RIZKZADLZUSUPCUQVBCMZADLZVEUPCNCVGIBCOADCPQUPVFVDADUPVFVAVFKVDUPVFVAUPVFV
      ABUQVBCRSTUPVAVCVFVCURVBIUPVAKVFVBURUABUQVBCUBUCUDUEUFUGADBURUJUKUTUPUSBE
      ABURUSUQCUHUSUIULBCUSUMUNUO $.

    $( The range of a function expressed as a collection of the function's
       values.  (Contributed by NM, 20-Oct-2005.)  (Proof shortened by Mario
       Carneiro, 31-Aug-2015.) $)
    fnrnfv $p |- ( F Fn A -> ran F = { y | E. x e. A y = ( F ` x ) } ) $=
      ( wfn crn cv cfv cmpt wceq wrex cab dffn5 rneq sylbi eqid rnmpt eqtrdi )
      DCEZDFZACAGDHZIZFZBGUAJACKBLSDUBJTUCJACDMDUBNOABCUAUBUBPQR $.

    $( A member of a function's range is a value of the function.  (Contributed
       by NM, 31-Oct-1995.) $)
    fvelrnb $p |- ( F Fn A -> ( B e. ran F <-> E. x e. A ( F ` x ) = B ) ) $=
      ( vy wfn crn wcel cv cfv wceq wrex cab fnrnfv eleq2d cvv fvex eleq1 mpbii
      bitrdi rexlimivw eqeq1 eqcom rexbidv elab3 ) DBFZCDGZHCEIZAIZDJZKZABLZEMZ
      HUJCKZABLZUFUGUMCAEBDNOULUOECPUNCPHZABUNUJPHUPUIDQUJCPRSUAUHCKZUKUNABUQUK
      CUJKUNUHCUJUBCUJUCTUDUET $.

    $( A member of a surjective function's codomain is a value of the function.
       (Contributed by Thierry Arnoux, 23-Jan-2020.) $)
    foelrni $p |- ( ( F : A -onto-> B /\ Y e. B ) -> E. x e. A ( F ` x ) = Y )
      $=
      ( wfo wcel cv cfv wceq wrex crn forn eleq2d wfn fofn fvelrnb syl bitr3d
      wb biimpa ) BCDFZECGZAHDIEJABKZUBEDLZGZUCUDUBUECEBCDMNUBDBOUFUDTBCDPABEDQ
      RSUA $.

    $( Alternate definition of the image of a function.  (Contributed by Raph
       Levien, 20-Nov-2006.) $)
    dfimafn $p |- ( ( Fun F /\ A C_ dom F ) ->
                  ( F " A ) = { y | E. x e. A ( F ` x ) = y } ) $=
      ( wfun cdm wss wa cima cv wbr wrex cab cfv wceq dfima2 wcel ssel funbrfvb
      wb ex syl9r imp31 rexbidva abbidv eqtr4id ) DEZCDFZGZHZDCIAJZBJZDKZACLZBM
      UKDNULOZACLZBMABDCPUJUPUNBUJUOUMACUGUIUKCQZUOUMTZUIUQUKUHQZUGURCUHUKRUGUS
      URUKULDSUAUBUCUDUEUF $.

    $( Alternate definition of the image of a function as an indexed union of
       singletons of function values.  (Contributed by Raph Levien,
       20-Nov-2006.) $)
    dfimafn2 $p |- ( ( Fun F /\ A C_ dom F ) ->
                   ( F " A ) = U_ x e. A { ( F ` x ) } ) $=
      ( vy wfun cdm wss wa cima cv cfv wceq cab ciun wrex dfimafn iunab eqtr4di
      csn wcel df-sn eqcom abbii eqtri a1i iuneq2i ) CEBCFGHZCBIZABAJZCKZDJZLZD
      MZNZABUJSZNUGUHULABODMUNADBCPULADBQRABUOUMUOUMLUIBTUOUKUJLZDMUMDUJUAUPULD
      UKUJUBUCUDUEUFR $.

    $( Membership relation for the values of a function whose image is a
       subclass.  (Contributed by Raph Levien, 20-Nov-2006.) $)
    funimass4 $p |- ( ( Fun F /\ A C_ dom F ) ->
                    ( ( F " A ) C_ B <-> A. x e. A ( F ` x ) e. B ) ) $=
      ( vy cdm wss wfun cima cv cfv wcel wral wb wi wal wa wceq wrex syl5bb wbr
      dfss2 vex elima eqcom ssel funbrfvb ex syl9 imp31 rexbidva bitr4id imbi1d
      r19.23v bitr4di albidv ralcom4 eleq1 ceqsalv ralbii bitr3i bitrdi ancoms
      fvex ) BDFZGZDHZDBIZCGZAJZDKZCLZABMZNVIEJZVHLZVNCLZOZEPZVFVGQZVMEVHCUBVSV
      RVNVKRZVPOZABMZEPZVMVSVQWBEVSVQVTABSZVPOWBVSVOWDVPVSVOVJVNDUAZABSWDAVNDBE
      UCUDVSVTWEABVTVKVNRZVSVJBLZQWEVNVKUEVFVGWGWFWENZVFWGVJVELZVGWHBVEVJUFVGWI
      WHVJVNDUGUHUIUJTUKULUMVTVPABUNUOUPWCWAEPZABMVMWAAEBUQWJVLABVPVLEVKVJDVDVN
      VKCURUSUTVAVBTVC $.

    $( Function value in an image.  Part of Theorem 4.4(iii) of [Monk1] p. 42.
       (Contributed by NM, 29-Apr-2004.)  (Proof shortened by Andrew Salmon,
       22-Oct-2011.) $)
    fvelima $p |- ( ( Fun F /\ A e. ( F " B ) ) ->
                  E. x e. B ( F ` x ) = A ) $=
      ( wfun cv wbr wrex cfv wceq cima wcel funbrfv reximdv elimag ibi impel )
      DEZAFZBDGZACHZSDIBJZACHBDCKZLZRTUBACSBDMNUDUAABDCUCOPQ $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.  $d F y $.  $d ph y $.
    fvelimad.x $e |- F/_ x F $.
    fvelimad.f $e |- ( ph -> F Fn A ) $.
    fvelimad.c $e |- ( ph -> C e. ( F " B ) ) $.
    $( Function value in an image.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    fvelimad $p |- ( ph -> E. x e. ( A i^i B ) ( F ` x ) = C ) $=
      ( vy cv cfv wceq cin wrex wcel syl nfv cvv adantr wbr cima elimag ibi w3a
      nfre1 wa cdm vex a1i simpr breldmd fndmd eleqtrd 3adant2 simp2 elind wfun
      wfn fnfun 3ad2ant1 simp3 funbrfv sylc rspe syl2anc 3exp rexlimd nfcv nffv
      mpd nfeq1 fveqeq2 cbvrexw sylibr ) AJKZFLZEMZJCDNZOZBKZFLEMZBVSOAVPEFUAZJ
      DOZVTAEFDUBZPZWDIWFWDJEFDWEUCUDQAWCVTJDAJRVRJVSUFAVPDPZWCVTAWGWCUEZVPVSPV
      RVTWHCDVPAWCVPCPWGAWCUGZVPFUHZCWIVPESWEFVPSPWIJUIUJAWFWCITAWCUKULAWJCMWCA
      CFHUMTUNUOAWGWCUPUQWHFURZWCVRAWGWKWCAFCUSWKHCFUTQVAAWGWCVBVPEFVCVDVRJVSVE
      VFVGVHVKWBVRBJVSWBJRBVQEBVPFGBVPVIVJVLWAVPEFVMVNVO $.
  $}

  ${
    $d x A $.  $d x C $.  $d x F $.
    feqmptd.1 $e |- ( ph -> F : A --> B ) $.
    $( Deduction form of ~ dffn5 .  (Contributed by Mario Carneiro,
       8-Jan-2015.) $)
    feqmptd $p |- ( ph -> F = ( x e. A |-> ( F ` x ) ) ) $=
      ( wfn cv cfv cmpt wceq ffnd dffn5 sylib ) AECGEBCBHEIJKACDEFLBCEMN $.

    feqresmpt.2 $e |- ( ph -> C C_ A ) $.
    $( Express a restricted function as a mapping.  (Contributed by Mario
       Carneiro, 18-May-2016.) $)
    feqresmpt $p |- ( ph -> ( F |` C ) = ( x e. C |-> ( F ` x ) ) ) $=
      ( cres cv cfv cmpt fssresd feqmptd fvres mpteq2ia eqtrdi ) AFEIZBEBJZRKZL
      BESFKZLABEDRACDEFGHMNBETUASEFOPQ $.
  $}

  ${
    $d x y $.  $d y A $.  $d y F $.
    feqmptdf.1 $e |- F/_ x A $.
    feqmptdf.2 $e |- F/_ x F $.
    feqmptdf.3 $e |- ( ph -> F : A --> B ) $.
    $( Deduction form of ~ dffn5f .  (Contributed by Mario Carneiro,
       8-Jan-2015.)  (Revised by Thierry Arnoux, 10-May-2017.) $)
    feqmptdf $p |- ( ph -> F = ( x e. A |-> ( F ` x ) ) ) $=
      ( vy wf wfn cv cfv cmpt wceq ffn wcel wa copab wbr wrel fnrel nfcv dfrel4
      sylib nffn nfv fnbr pm4.71rd eqcom fnbrfvb syl5bb pm5.32da bitr4d opabbid
      ex eqtrd df-mpt eqtr4di 3syl ) ACDEJECKZEBCBLZEMZNZOHCDEPVAEVBCQZILZVCOZR
      ZBISZVDVAEVBVFETZBISZVIVAEUAEVKOCEUBBIEGIEUCUDUEVAVJVHBIBCEGFUFVAIUGVAVJV
      EVJRVHVAVJVEVAVJVECVBVFEUHUPUIVAVEVGVJVGVCVFOVAVERVJVFVCUJCVBVFEUKULUMUNU
      OUQBICVCURUSUT $.
  $}

  ${
    $d x z $.  $d x z A $.  $d z F $.
    dffn5f.1 $e |- F/_ x F $.
    $( Representation of a function in terms of its values.  (Contributed by
       Mario Carneiro, 3-Jul-2015.) $)
    dffn5f $p |- ( F Fn A <-> F = ( x e. A |-> ( F ` x ) ) ) $=
      ( vz wfn cv cfv cmpt wceq dffn5 nfcv nffv fveq2 cbvmpt eqeq2i bitri ) CBF
      CEBEGZCHZIZJCABAGZCHZIZJEBCKTUCCEABSUBARCDARLMEUBLRUACNOPQ $.
  $}

  ${
    $d y A $.  $d x y B $.  $d x y C $.  $d x y F $.
    $( Function value in an image.  (Contributed by NM, 20-Jan-2007.)  (Proof
       shortened by Andrew Salmon, 22-Oct-2011.)  (Revised by David Abernethy,
       17-Dec-2011.) $)
    fvelimab $p |- ( ( F Fn A /\ B C_ A ) -> ( C e. ( F " B ) <->
                  E. x e. B ( F ` x ) = C ) ) $=
      ( vy wfn wss wa cima wcel cv cfv wceq wrex cvv anim2i eleq1 wb wi rexbidv
      elex fvex mpbii rexlimivw eqeq2 bibi12d imbi2d wfun cdm fnfun fndm sseq2d
      cab biimpar dfimafn syl2an2r abeq2d vtoclg impcom pm5.21nd ) EBGZCBHZIZDE
      CJZKZALZEMZDNZACOZVDDPKZIVFVKVDDVEUBQVJVKVDVIVKACVIVHPKVKVGEUCVHDPRUDUEQV
      KVDVFVJSZVDFLZVEKZVHVMNZACOZSZTVDVLTFDPVMDNZVQVLVDVRVNVFVPVJVMDVERVRVOVIA
      CVMDVHUFUAUGUHVDVPFVEVBEUIVCCEUJZHZVEVPFUNNBEUKVBVTVCVBVSBCBEULUMUOAFCEUP
      UQURUSUTVA $.
  $}

  ${
    $d B x $.  $d C x $.  $d F x $.
    fvelimabd.1 $e |- ( ph -> F Fn A ) $.
    fvelimabd.2 $e |- ( ph -> B C_ A ) $.
    $( Deduction form of ~ fvelimab .  (Contributed by Stanislas Polu,
       9-Mar-2020.) $)
    fvelimabd $p |- ( ph -> ( C e. ( F " B ) <-> E. x e. B ( F ` x ) = C ) ) $=
      ( wfn wss cima wcel cv cfv wceq wrex wb fvelimab syl2anc ) AFCIDCJEFDKLBM
      FNEOBDPQGHBCDEFRS $.
  $}

  ${
    $d A y $.  $d B x y $.  $d C x y $.  $d F x y $.
    $( Image of a union.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    unima $p |- ( ( F Fn A /\ B C_ A /\ C C_ A )
                -> ( F " ( B u. C ) ) = ( ( F " B ) u. ( F " C ) ) ) $=
      ( vy vx wfn wss w3a cun cima cv wcel wo cfv wceq wrex simp1 wb fvelimab
      simpl simpr unssd 3adant1 fvelimabd bitrdi 3adant3 3adant2 orbi12d bitr4d
      wa rexun elun bitr4di eqrdv ) DAGZBAHZCAHZIZEDBCJZKZDBKZDCKZJZUSELZVAMZVE
      VBMZVEVCMZNZVEVDMUSVFFLDOVEPZFBQZVJFCQZNZVIUSVFVJFUTQVMUSFAUTVEDUPUQURRUQ
      URUTAHUPUQURUKBCAUQURUAUQURUBUCUDUEVJFBCULUFUSVGVKVHVLUPUQVGVKSURFABVEDTU
      GUPURVHVLSUQFACVEDTUHUIUJVEVBVCUMUNUO $.
  $}

  $( The value of the identity function.  (Contributed by NM, 1-May-2004.)
     (Revised by Mario Carneiro, 28-Apr-2015.) $)
  fvi $p |- ( A e. V -> ( _I ` A ) = A ) $=
    ( cid wfun wcel wbr cfv wceq funi ididg funbrfv mpsyl ) CDABEAACFACGAHIABJA
    ACKL $.

  ${
    $d x y A $.  $d y B $.  $d x y F $.
    $( The value of the identity function is a subset of the argument.  (An
       artifact of our function value definition.)  (Contributed by Mario
       Carneiro, 27-Feb-2016.) $)
    fviss $p |- ( _I ` A ) C_ A $=
      ( vx cid cfv cv wcel id cvv wceq elfvex fvi syl eleqtrd ssriv ) BACDZABEZ
      OFZPOAQGQAHFOAIPACJAHKLMN $.

    $( The indexed intersection of a function's values is the intersection of
       its range.  (Contributed by NM, 20-Oct-2005.) $)
    fniinfv $p |- ( F Fn A -> |^|_ x e. A ( F ` x ) = |^| ran F ) $=
      ( vy wfn cv cfv ciin wceq wrex cab cint fvex dfiin2 fnrnfv inteqd eqtr4id
      crn ) CBEZABAFZCGZHDFUAIABJDKZLCRZLADBUATCMNSUCUBADBCOPQ $.

    $( Singleton of function value.  (Contributed by NM, 22-May-1998.)  (Proof
       shortened by Scott Fenton, 8-Aug-2024.) $)
    fnsnfv $p |- ( ( F Fn A /\ B e. A ) -> { ( F ` B ) } = ( F " { B } ) ) $=
      ( vy wfn wcel wa csn cima cv wbr cab wceq imasng adantl velsn eqcom bitri
      cfv fnbrfvb bitr2id abbi1dv eqtr2d ) CAEZBAFZGZCBHIZBDJZCKZDLZBCSZHZUEUGU
      JMUDDBACNOUFUIDULUHULFZUKUHMZUFUIUMUHUKMUNDUKPUHUKQRABUHCTUAUBUC $.

    $( Obsolete version of ~ fnsnfv as of 8-Aug-2024.  (Contributed by NM,
       22-May-1998.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    fnsnfvOLD $p |- ( ( F Fn A /\ B e. A )
                                          -> { ( F ` B ) } = ( F " { B } ) ) $=
      ( vy wfn wcel wa cv cfv wceq cab wbr csn cima eqcom fnbrfvb syl5bb abbidv
      df-sn a1i wrel fnrel relimasn syl adantr 3eqtr4d ) CAEZBAFZGZDHZBCIZJZDKZ
      BUJCLZDKZUKMZCBMNZUIULUNDULUKUJJUIUNUJUKOABUJCPQRUPUMJUIDUKSTUGUQUOJZUHUG
      CUAURACUBDBCUCUDUEUF $.
  $}

  ${
    $d x y z B $.  $d x y z F $.  $d z ph $.  $d x z ps $.
    opabiota.1 $e |- F = { <. x , y >. | { y | ph } = { y } } $.
    $( Define a function whose value is "the unique ` y ` such that
       ` ph ( x , y ) ` ".  (Contributed by NM, 19-May-2015.) $)
    opabiotafun $p |- Fun F $=
      ( vz wfun cab cv csn wceq copab wmo funopab cuni mo2icl unieq vex mpbir
      wi unisn eqtr2di mpg nfv nfab1 nfeq1 sneq eqeq2d cbvmow mpgbir funeqi ) D
      GACHZCIZJZKZBCLZGZUQUOCMZBUOBCNURULFIZJZKZFMZVAUSULOZKTVBFVAFVCPVAVCUTOUS
      ULUTQUSFRUAUBUCUOVACFUOFUDCULUTACUEUFUMUSKUNUTULUMUSUGUHUISUJDUPEUKS $.

    $( Define a function whose value is "the unique ` y ` such that
       ` ph ( x , y ) ` ".  (Contributed by NM, 16-Nov-2013.) $)
    opabiotadm $p |- dom F = { x | E! y ph } $=
      ( cab cv csn wceq copab cdm wex weu dmopab dmeqi euabsn abbii 3eqtr4i ) A
      CFCGHIZBCJZKSCLZBFDKACMZBFSBCNDTEOUBUABACPQR $.

    opabiota.2 $e |- ( x = B -> ( ph <-> ps ) ) $.
    $( Define a function whose value is "the unique ` y ` such that
       ` ph ( x , y ) ` ".  (Contributed by NM, 16-Nov-2013.) $)
    opabiota $p |- ( B e. dom F -> ( F ` B ) = ( iota y ps ) ) $=
      ( cv cfv cio wceq cdm fveq2 iotabidv eqeq12d wcel vex sylib sylbi wbr wex
      eldm nfiota1 nfeq2 wfun opabiotafun funbrfv ax-mp cab csn cop copab df-br
      wi eleq2i opabidw 3bitri vsnid id eleqtrrid abid weu wb breldm opabiotadm
      abeq2i iota1 syl mpbid eqtr4d exlimi vtoclga ) CIZFJZADKZLZEFJZBDKZLCEFMZ
      VNELZVOVRVPVSVNEFNWAABDHOPVNVTQZVNDIZFUAZDUBVQDVNFCRZUCWDVQDDVOVPADUDUEWD
      VOWCVPFUFWDVOWCLUOACDFGUGVNWCFUHUIWDAVPWCLZWDADUJZWCUKZLZAWDVNWCULZFQWJWI
      CDUMZQWIVNWCFUNFWKWJGUPWICDUQURWIWCWGQAWIWCWHWGDUSWIUTVAADVBSTWDADVCZAWFV
      DWDWBWLVNWCFWEDRVEWLCVTACDFGVFVGSADVHVIVJVKVLTVM $.
  $}

  $( The image of a pair under a function.  (Contributed by Jeff Madsen,
     6-Jan-2011.) $)
  fnimapr $p |- ( ( F Fn A /\ B e. A /\ C e. A ) ->
                          ( F " { B , C } ) = { ( F ` B ) , ( F ` C ) } ) $=
    ( wfn wcel w3a csn cima cun cfv fnsnfv 3adant3 3adant2 uneq12d eqcomd df-pr
    cpr wceq imaeq2i imaundi eqtri 3eqtr4g ) DAEZBAFZCAFZGZDBHZIZDCHZIZJZBDKZHZ
    CDKZHZJZDBCRZIZUMUORUGUQULUGUNUIUPUKUDUEUNUISUFABDLMUDUFUPUKSUEACDLNOPUSDUH
    UJJZIULURUTDBCQTDUHUJUAUBUMUOQUC $.

  ${
    $d w x y z A $.  $d w x y z B $.  $d w x y z F $.
    ssimaex.1 $e |- A e. _V $.
    $( The existence of a subimage.  (Contributed by NM, 8-Apr-2007.) $)
    ssimaex $p |- ( ( Fun F /\ B C_ ( F " A ) ) ->
                 E. x ( x C_ A /\ B = ( F " x ) ) ) $=
      ( vy vz vw cima wss cdm cv wceq wa wex cfv wcel wi ex adantr wfun imaeq2i
      cin cres dmres imadmres eqtr3i sseq2i ssrab2 ssel2 adantll fvelima eleq1a
      crab wrex anim2d fveq2 eleq1d elrab syl6ibr simpr jca2 reximdv2 adantl wb
      wfn funfn inss2 sstri fvelimab mpan2 sylbi sylibrd syld adantlr mpd eleq1
      biimpcd rexlimiv syl6 impbid eqrdv inex1 rabex sseq1 imaeq2 anbi12d spcev
      eqeq2d sylancr inss1 sstr anim1i eximi syl sylan2br ) CDBIZJDUAZCDBDKZUCZ
      IZJZALZBJZCDXCIZMZNZAOZXAWQCDDBUDKZIXAWQXIWTDDBUEUBDBUFUGUHWRXBNZXCWTJZXF
      NZAOZXHXJFLZDPZCQZFWTUNZWTJZCDXQIZMZXMXPFWTUIZXJGCXSXJGLZCQZYBXSQZXJYCYDX
      JYCNYBXAQZYDXBYCYEWRCXAYBUJUKWRYCYEYDRXBWRYCNZYEHLZDPZYBMZHWTUOZYDWRYEYJR
      YCWRYEYJHYBWTDULSTYFYJYIHXQUOZYDYCYJYKRWRYCYIYIHWTXQYCYGWTQZYINZYGXQQZYIY
      CYMYLYHCQZNZYNYCYIYOYLYBCYHUMUPXPYOFYGWTXNYGMXOYHCXNYGDUQURUSZUTYLYIVAVBV
      CVDWRYDYKVEZYCWRDWSVFZYRDVGYSXQWSJYRXQWTWSYABWSVHVIHWSXQYBDVJVKVLTVMVNVOV
      PSWRYDYCRXBWRYDYKYCWRYDYKHYBXQDULSYIYCHXQYNYPYIYCRZYQYOYTYLYIYOYCYHYBCVQV
      RVDVLVSVTTWAWBXLXRXTNAXQXPFWTBWSEWCWDXCXQMZXKXRXFXTXCXQWTWEUUAXEXSCXCXQDW
      FWIWGWHWJXLXGAXKXDXFXKWTBJXDBWSWKXCWTBWLVKWMWNWOWP $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d F x y $.
    $( The existence of a subimage.  (Contributed by FL, 15-Apr-2007.) $)
    ssimaexg $p |- ( ( A e. C /\ Fun F /\ B C_ ( F " A ) ) ->
                 E. x ( x C_ A /\ B = ( F " x ) ) ) $=
      ( vy wcel wfun cima wss cv wceq wa wex imaeq2 sseq2d anbi2d sseq2 anbi1d
      wi exbidv imbi12d vex ssimaex vtoclg 3impib ) BDGEHZCEBIZJZAKZBJZCEUJILZM
      ZANZUGCEFKZIZJZMZUJUOJZULMZANZTUGUIMZUNTFBDUOBLZURVBVAUNVCUQUIUGVCUPUHCUO
      BEOPQVCUTUMAVCUSUKULUOBUJRSUAUBAUOCEFUCUDUEUF $.
  $}

  $( A simplified expression for the value of a function when we know it is a
     function.  (Contributed by NM, 22-May-1998.) $)
  funfv $p |- ( Fun F -> ( F ` A ) = U. ( F " { A } ) ) $=
    ( wfun cdm wcel cfv csn cima cuni wceq fvex unisn wfn df-fn mpbiran2 fnsnfv
    wa eqid unieqd c0 sylanbr eqtr3id ex wn ndmfv ndmima eqtrdi eqtr4d pm2.61d1
    uni0 ) BCZABDZEZABFZBAGHZIZJZUKUMUQUKUMQZUNUNGZIUPUNABKLURUSUOUKBULMZUMUSUO
    JUTUKULULJULRBULNOULABPUASUBUCUMUDZUNTUPABUEVAUPTITVAUOTABUFSUJUGUHUI $.

  ${
    $d y A $.  $d y F $.
    $( The value of a function.  Definition of function value in [Enderton]
       p. 43.  (Contributed by NM, 22-May-1998.) $)
    funfv2 $p |- ( Fun F -> ( F ` A ) = U. { y | A F y } ) $=
      ( wfun cfv csn cima cuni cv wbr cab funfv wrel funrel relimasn syl unieqd
      wceq eqtrd ) CDZBCECBFGZHBAICJAKZHBCLTUAUBTCMUAUBRCNABCOPQS $.
  $}

  ${
    $d w A $.  $d w F $.  $d w y $.
    funfv2f.1 $e |- F/_ y A $.
    funfv2f.2 $e |- F/_ y F $.
    $( The value of a function.  Version of ~ funfv2 using a bound-variable
       hypotheses instead of distinct variable conditions.  (Contributed by NM,
       19-Feb-2006.) $)
    funfv2f $p |- ( Fun F -> ( F ` A ) = U. { y | A F y } ) $=
      ( vw wfun cfv cv wbr cab cuni funfv2 nfcv nfbr breq2 cbvabw unieqi eqtrdi
      nfv ) CGBCHBFIZCJZFKZLBAIZCJZAKZLFBCMUCUFUBUEFAABUACDEAUANOUEFTUAUDBCPQRS
      $.
  $}

  $( Value of the union of two functions when the domains are separate.
     (Contributed by FL, 7-Nov-2011.) $)
  fvun $p |- ( ( ( Fun F /\ Fun G ) /\ ( dom F i^i dom G ) = (/) ) ->
                ( ( F u. G ) ` A ) = ( ( F ` A ) u. ( G ` A ) ) ) $=
    ( wfun wa cdm cin c0 wceq cun cfv csn cima cuni funun funfv imaundir eqcomd
    syl a1i unieqd uniun anim12i adantr uneq12 eqtrid 3eqtrd ) BDZCDZEZBFCFGHIZ
    EZABCJZKZUMALZMZNZBUOMZCUOMZJZNZABKZACKZJZULUMDUNUQIBCOAUMPSULUPUTUPUTIULBC
    UOQTUAULVAURNZUSNZJZVDURUSUBULVEVBIZVFVCIZEZVGVDIUJVJUKUHVHUIVIUHVBVEABPRUI
    VCVFACPRUCUDVEVBVFVCUESUFUG $.

  $( The value of a union when the argument is in the first domain.
     (Contributed by Scott Fenton, 29-Jun-2013.) $)
  fvun1 $p |- ( ( F Fn A /\ G Fn B /\ ( ( A i^i B ) = (/) /\ X e. A ) ) ->
    ( ( F u. G ) ` X ) = ( F ` X ) ) $=
    ( wfn cin c0 wceq wcel wa w3a cun cfv wfun cdm fnfun 3ad2ant1 fndm wn ndmfv
    3ad2ant2 ineqan12d eqeq1d biimprd 3impia fvun syl21anc disjel adantl eleq2d
    adantrd wb adantr mtbird 3adant1 syl uneq2d un0 eqtrdi eqtrd ) CAFZDBFZABGZ
    HIZEAJZKZLZECDMNZECNZEDNZMZVJVHCOZDOZCPZDPZGZHIZVIVLIVBVCVMVGACQRVCVBVNVGBD
    QUBVBVCVGVRVBVCKZVEVRVFVSVRVEVSVQVDHVBVCVOAVPBACSBDSZUCUDUEULUFECDUGUHVHVLV
    JHMVJVHVKHVJVHEVPJZTZVKHIVCVGWBVBVCVGKWAEBJZVGWCTVCABEUIUJVCWAWCUMVGVCVPBEV
    TUKUNUOUPEDUAUQURVJUSUTVA $.

  $( The value of a union when the argument is in the second domain.
     (Contributed by Scott Fenton, 29-Jun-2013.) $)
  fvun2 $p |- ( ( F Fn A /\ G Fn B /\ ( ( A i^i B ) = (/) /\ X e. B ) ) ->
    ( ( F u. G ) ` X ) = ( G ` X ) ) $=
    ( wfn cin c0 wceq wcel w3a cun cfv uncom fveq1i incom eqeq1i anbi1i fvun1
    wa syl3an3b 3com12 eqtrid ) CAFZDBFZABGZHIZEBJZTZKECDLZMEDCLZMZEDMZEUJUKCDN
    OUEUDUIULUMIZUIUEUDBAGZHIZUHTUNUGUPUHUFUOHABPQRBADCESUAUBUC $.

  ${
    fvun1d.1 $e |- ( ph -> F Fn A ) $.
    fvun1d.2 $e |- ( ph -> G Fn B ) $.
    fvun1d.3 $e |- ( ph -> ( A i^i B ) = (/) ) $.
    fvun1d.4 $e |- ( ph -> X e. A ) $.
    $( The value of a union when the argument is in the first domain, a
       deduction version.  (Contributed by metakunt, 28-May-2024.) $)
    fvun1d $p |- ( ph -> ( ( F u. G ) ` X ) = ( F ` X ) ) $=
      ( wfn cin c0 wceq wcel wa w3a cun cfv jca 3jca fvun1 syl ) ADBKZECKZBCLMN
      ZFBOZPZQFDERSFDSNAUDUEUHGHAUFUGIJTUABCDEFUBUC $.
  $}

  ${
    fvun2d.1 $e |- ( ph -> F Fn A ) $.
    fvun2d.2 $e |- ( ph -> G Fn B ) $.
    fvun2d.3 $e |- ( ph -> ( A i^i B ) = (/) ) $.
    fvun2d.4 $e |- ( ph -> X e. B ) $.
    $( The value of a union when the argument is in the second domain, a
       deduction version.  (Contributed by metakunt, 28-May-2024.) $)
    fvun2d $p |- ( ph -> ( ( F u. G ) ` X ) = ( G ` X ) ) $=
      ( wfn cin c0 wceq wcel wa w3a cun cfv jca 3jca fvun2 syl ) ADBKZECKZBCLMN
      ZFCOZPZQFDERSFESNAUDUEUHGHAUFUGIJTUABCDEFUBUC $.
  $}

  ${
    $d x y z A $.  $d x y z F $.
    $( Alternate definition of function value ~ df-fv that doesn't require
       dummy variables.  (Contributed by NM, 4-Aug-2010.) $)
    dffv2 $p |- ( F ` A ) = U. ( ( F " { A } )
            \ U. U. ( ( ( F |` { A } ) o. `' ( F |` { A } ) ) \ _I ) ) $=
      ( vy vz vx cid cdif cuni wceq cvv wcel wn c0 wss unieqd eqtrdi wa wbr wex
      wal csn cres wfun cfv cima ccnv ccom snidb fvres sylbi fvprc eqtr4d funfv
      pm2.61i resima dif0 eqtr4i wrel df-fun simprbi sylib uni0 difeq2d eqtr4id
      ssdif0 eqtrd eqtr3id nfunsn cdm cv weq wi relres mpbiran iman albii alnex
      dffun3 bitri exbii exnal 3bitrri con1bii eximi snssi residm dmeqi ssdmres
      sp biimpi syl vex breldm eleq2 bitrdi biimpa syl2an breq1d biimpd pm2.43d
      velsn ex anim1d eximdv exlimdv mpan9 eleq2i elimasni sylbir cpr cop uniop
      opex unisn wb brrelex1i brcnvg sylancr biimpar adantl breq2 breq1 anbi12d
      wrex rspcev mpancom ancoms syldan anim1i an32s eldif rexv brco df-br ideq
      3bitr2ri equcom 3bitr3i notbii eqsstrrid anbi12i bitr2i uniss 3syl unissd
      prss sylibr simpld syl5 exlimiv ssrdv ndmima difeq1d 0dif pm2.61d1 ) BAUA
      ZUBZUCZABUDZBUUPUEZUUQUUQUFZUGZFGZHZHZGZHZIUURUUSAUUQUDZUVGAJKZUVHUUSIZUV
      IAUUPKUVJAUHAUUPBUIUJUVILUVHMUUSAUUQUKABUKULUNUURUVHUUQUUPUEZHUVGAUUQUMUU
      RUVKUVFUURUVKUUTMGZUVFUVKUUTUVLBUUPUOZUUTUPUQUURUVEMUUTUURUVEMHZMUURUVDMU
      URUVDUVNMUURUVCMUURUVBFNZUVCMIUURUUQURZUVOUUQUSUTUVBFVEVAOVBPOVBPVCVDOVFV
      GUURLZUUSMUVGABVHUVQUVGUVNMUVQUVFMUVQAUUQVIZKZUVFMIZUVQUVSUVTUVQUVSQZUUTU
      VENUVTUWACUUTUVEUWAADVJZUUQRZDCVKZLZQZDSZCVJZUUTKZUWHUVEKZVLZUVQEVJZUWBUU
      QRZUWEQZDSZESZUVSUWGUVQUWOCTZESZUWPUWRUURUURUWMUWDVLZDTZCSZETZUWQLZETUWRL
      UURUVPUXBBUUPVMZEDCUUQVRVNUXAUXCEUXAUWOLZCSUXCUWTUXECUWTUWNLZDTUXEUWSUXFD
      UWMUWDVOVPUWNDVQVSVTUWOCWAVSVPUWQEVQWBWCUWQUWOEUWOCWIWDUJUVSUWOUWGEUVSUWN
      UWFDUVSUWMUWCUWEUVSUWMUWCUVSUWMUWMUWCVLUVSUWMQZUWMUWCUXGUWLAUWBUUQUVSUVRU
      UPIZUWLUVRKZUWLAIZUWMUVSUUPUVRNZUXHAUVRWEUXKUVRUUQUUPUBZVIZUUPUXLUUQBUUPW
      FWGUXKUXMUUPIUUPUUQWHWJVGWKUWLUWBUUQEWLDWLZWMUXHUXIUXJUXHUXIUWLUUPKUXJUVR
      UUPUWLWNEAXAWOWPWQWRWSXBWTXCXDXEXFUWFUWKDUWIAUWHUUQRZUWFUWJUWIUWHUVKKUXOU
      VKUUTUWHUVMXGUUQAUWHXHXIUWFUXOUWJUWFUXOQZUWJUWBUVEKZUXPUWHUWBXJZUVENUWJUX
      QQUXPUXRUWHUWBXKZHUVEUWHUWBCWLZUXNXLUXPUXSUVDUXPUXSUXSUAZHZUVDUXSUWHUWBXM
      XNUXPUXSUVCKZUYAUVCNUYBUVDNUXPUWHUWLUVARZUWMQZEJYDZUWEQZUYCUWCUXOUWEUYGUW
      CUXOQUYFUWEUWCUXOUWHAUVARZUYFUWCUYHUXOUWCUWHJKUVIUYHUXOXOUXTAUWBUUQUXDXPZ
      UWHAJJUUQXQXRXSUYHUWCUYFUVIUYHUWCQZUYFUWCUVIUYHUYIXTUYEUYJEAJUXJUYDUYHUWM
      UWCUWLAUWHUVAYAUWLAUWBUUQYBYCYEYFYGYHYIYJUYCUXSUVBKZUXSFKZLZQUYGUXSUVBFYK
      UYKUYFUYMUWEUYFUYEESUWHUWBUVBRUYKUYEEYLEUWHUWBUUQUVAUXTUXNYMUWHUWBUVBYNYP
      UYLUWDUWHUWBFRCDVKUYLUWDUWHUWBUXNYOUWHUWBFYNCDYQYRYSUUAUUBVAUXSUVCWEUYAUV
      CUUCUUDYTUUEYTUWHUWBUVEUXTUXNUUFUUGUUHXBUUIUUJWKUUKUUTUVEVEVAXBUVSLZUVFMU
      VEGMUYNUUTMUVEUYNUUTUVKMUVMAUUQUULVGUUMUVEUUNPUUOOVBPULUN $.
  $}

  ${
    $d x y A $.  $d x y F $.  $d x y G $.  $d x X $.
    $( Domains of a function composition.  (Contributed by NM, 27-Jan-1997.) $)
    dmfco $p |- ( ( Fun G /\ A e. dom G ) ->
               ( A e. dom ( F o. G ) <-> ( G ` A ) e. dom F ) ) $=
      ( vx vy wfun cdm wcel wa ccom cv cop wex cfv wb eldm2g exbidv wceq syl5bb
      cvv opelco2g elvd bitrd adantl eldm2 opeq1 eleq1d ceqsexv funopfvb anbi1d
      fvex eqcom bitr3id bitr4d ) CFZACGZHZIZABCJZGHZADKZLCHZVAEKZLZBHZIZDMZEMZ
      ACNZBGHZUQUTVHOUOUQUTAVCLUSHZEMVHEAUSUPPUQVKVGEUQVKVGOEDAVCBCUPTUAUBQUCUD
      VJVIVCLZBHZEMURVHEVIBACUKZUEURVMVGEVMVAVIRZVEIZDMURVGVEVMDVIVNVOVDVLBVAVI
      VCUFUGUHURVPVFDURVOVBVEVOVIVARURVBVAVIULAVACUISUJQUMQSUN $.

    $( Value of a function composition.  Similar to second part of Theorem 3H
       of [Enderton] p. 47.  (Contributed by NM, 9-Oct-2004.)  (Proof shortened
       by Andrew Salmon, 22-Oct-2011.)  (Revised by Stefan O'Rear,
       16-Oct-2014.) $)
    fvco2 $p |- ( ( G Fn A /\ X e. A ) -> ( ( F o. G ) ` X ) =
          ( F ` ( G ` X ) ) ) $=
      ( vx wfn wcel wa cv ccom csn cima cio imaco fnsnfv imaeq2d eqtr4id eleq2d
      cfv dffv3 iotabidv 3eqtr4g ) CAFDAGHZEIZBCJZDKZLZGZEMUDBDCSZKZLZGZEMDUESU
      IBSUCUHULEUCUGUKUDUCUGBCUFLZLUKBCUFNUCUJUMBADCOPQRUAEDUETEUIBTUB $.
  $}

  $( Value of a function composition.  Similar to Exercise 5 of [TakeutiZaring]
     p. 28.  (Contributed by NM, 22-Apr-2006.)  (Proof shortened by Mario
     Carneiro, 26-Dec-2014.) $)
  fvco $p |- ( ( Fun G /\ A e. dom G ) ->
               ( ( F o. G ) ` A ) = ( F ` ( G ` A ) ) ) $=
    ( wfun cdm wfn wcel ccom cfv wceq funfn fvco2 sylanb ) CDCCEZFANGABCHIACIBI
    JCKNBCALM $.

  $( Value of a function composition.  (Contributed by NM, 3-Jan-2004.)
     (Revised by Mario Carneiro, 26-Dec-2014.) $)
  fvco3 $p |- ( ( G : A --> B /\ C e. A ) ->
             ( ( F o. G ) ` C ) = ( F ` ( G ` C ) ) ) $=
    ( wf wfn wcel ccom cfv wceq ffn fvco2 sylan ) ABEFEAGCAHCDEIJCEJDJKABELADEC
    MN $.

  ${
    fvco3d.1 $e |- ( ph -> G : A --> B ) $.
    fvco3d.2 $e |- ( ph -> C e. A ) $.
    $( Value of a function composition.  Deduction form of ~ fvco3 .
       (Contributed by Stanislas Polu, 9-Mar-2020.) $)
    fvco3d $p |- ( ph -> ( ( F o. G ) ` C ) = ( F ` ( G ` C ) ) ) $=
      ( wf wcel ccom cfv wceq fvco3 syl2anc ) ABCFIDBJDEFKLDFLELMGHBCDEFNO $.
  $}

  ${
    fvco4i.a $e |- (/) = ( F ` (/) ) $.
    fvco4i.b $e |- Fun G $.
    $( Conditions for a composition to be expandable without conditions on the
       argument.  (Contributed by Stefan O'Rear, 31-Mar-2015.) $)
    fvco4i $p |- ( ( F o. G ) ` X ) = ( F ` ( G ` X ) ) $=
      ( cdm wcel ccom cfv wceq wfn wfun funfn mpbi fvco2 mpan wn dmcoss ndmfv
      c0 sseli nsyl5 fveq2d 3eqtr4a pm2.61i ) CBFZGZCABHZIZCBIZAIZJZBUFKZUGULBL
      UMEBMNUFABCOPUGQZTTAIUIUKDCUHFZGUGUITJUOUFCABRUACUHSUBUNUJTACBSUCUDUE $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y ch $.
    fvopab3g.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    fvopab3g.3 $e |- ( y = B -> ( ps <-> ch ) ) $.
    fvopab3g.4 $e |- ( x e. C -> E! y ph ) $.
    fvopab3g.5 $e |- F = { <. x , y >. | ( x e. C /\ ph ) } $.
    $( Value of a function given by ordered-pair class abstraction.
       (Contributed by NM, 6-Mar-1996.)  (Revised by Mario Carneiro,
       28-Apr-2015.) $)
    fvopab3g $p |- ( ( A e. C /\ B e. D ) -> ( ( F ` A ) = B <-> ch ) ) $=
      ( wcel wa cv wceq wb adantr cop copab cfv anbi12d anbi2d opelopabg fnopab
      eleq1 wfn fnopfvb mpan eleq2i bitrdi ibar 3bitr4d ) FHOZGIOZPFGUAZDQZHOZA
      PZDEUBZOZUPCPZFJUCGRZCVAUPBPVDDEFGHIUSFRUTUPABUSFHUHKUDEQGRBCUPLUEUFUPVEV
      CSUQUPVEURJOZVCJHUIUPVEVFSADEHJMNUGHFGJUJUKJVBURNULUMTUPCVDSUQUPCUNTUO $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y ch $.
    fvopab3ig.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    fvopab3ig.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    fvopab3ig.3 $e |- ( x e. C -> E* y ph ) $.
    fvopab3ig.4 $e |- F = { <. x , y >. | ( x e. C /\ ph ) } $.
    $( Value of a function given by ordered-pair class abstraction.
       (Contributed by NM, 23-Oct-1999.) $)
    fvopab3ig $p |- ( ( A e. C /\ B e. D ) -> ( ch -> ( F ` A ) = B ) ) $=
      ( wcel wa cv cfv wceq wi cop copab eleq1 anbi12d anbi2d opelopabg biimpar
      exp43 pm2.43a imp fveq1i wfun funopab moanimv mpbir mpgbir funopfv eqtrid
      wmo ax-mp syl6 ) FHOZGIOZPZCFGUADQZHOZAPZDEUBZOZFJRZGSVBVCCVITZVCVBVKVBVC
      VBCVIVDVIVBCPZVGVBBPVLDEFGHIVEFSVFVBABVEFHUCKUDEQGSBCVBLUEUFUGUHUIUJVIVJF
      VHRZGFJVHNUKVHULZVIVMGSTVNVGEUSZDVGDEUMVOVFAEUSTMVFAEUNUOUPFGVHUQUTURVA
      $.
  $}

  ${
    $d B x y $.  $d X x y $.  $d Y x y $.  $d Z x y $.  $d ps x y $.
    brfvopabrbr.1 $e |- ( A ` Z ) = { <. x , y >. |
                                      ( x ( B ` Z ) y /\ ph ) } $.
    brfvopabrbr.2 $e |- ( ( x = X /\ y = Y ) -> ( ph <-> ps ) ) $.
    brfvopabrbr.3 $e |- Rel ( B ` Z ) $.
    $( The binary relation of a function value which is an ordered-pair class
       abstraction of a restricted binary relation is the restricted binary
       relation.  The first hypothesis can often be obtained by using
       ~ fvmptopab .  (Contributed by AV, 29-Oct-2021.) $)
    brfvopabrbr $p |- ( X ( A ` Z ) Y <-> ( X ( B ` Z ) Y /\ ps ) ) $=
      ( cfv wbr cvv wcel wa c0 wne brne0 w3a fvprc necon1ai relopabiv brrelex1i
      syl cv brrelex2i 3jca adantr copab wceq a1i rbropap pm5.21nii ) GHIEMZNZI
      OPZGOPZHOPZUAZGHIFMZNZBQUQURUSUTUQUPRSURGHUPTURUPRIEUBUCUFGHUPCUGDUGVBNAQ
      ZCDUPJUDZUEGHUPVEUHUIVCVABVCURUSUTVCVBRSURGHVBTURVBRIFUBUCUFGHVBLUEGHVBLU
      HUIUJURABHCGUPVBOODUPVDCDUKULURJUMKUNUO $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x C y $.  $d x D y $.
    fvmptg.1 $e |- ( x = A -> B = C ) $.
    fvmptg.2 $e |- F = ( x e. D |-> B ) $.
    $( Value of a function given in maps-to notation.  (Contributed by NM,
       2-Oct-2007.)  (Revised by Mario Carneiro, 31-Aug-2015.) $)
    fvmptg $p |- ( ( A e. D /\ C e. R ) -> ( F ` A ) = C ) $=
      ( vy wcel wa wceq cfv eqid cv eqeq2d eqeq1 wmo moeq a1i cmpt copab df-mpt
      eqtri fvopab3ig mpi ) BEKDFKLDDMZBGNDMDOJPZCMZUIDMUHAJBDEFGAPZBMCDUIHQUID
      DRUJJSUKEKZJCTUAGAECUBULUJLAJUCIAJECUDUEUFUG $.

    $( Value of a function given in maps-to notation.  (Contributed by Mario
       Carneiro, 23-Apr-2014.) $)
    fvmpti $p |- ( A e. D -> ( F ` A ) = ( _I ` C ) ) $=
      ( wcel cvv cfv cid wceq wa fvmptg fvi adantl eqtr4d wn c0 cv eleq1d dmmpt
      cdm elrab2 baib notbid ndmfv syl6bir imp fvprc pm2.61dan ) BEIZDJIZBFKZDL
      KZMUMUNNUODUPABCDEJFGHOUNUPDMUMDJPQRUMUNSZNUOTUPUMUQUOTMZUMUQBFUDZIZSURUM
      UTUNUTUMUNCJIUNABEUSAUABMCDJGUBAECFHUCUEUFUGBFUHUIUJUQUPTMUMDLUKQRUL $.

    ${
      fvmpt.3 $e |- C e. _V $.
      $( Value of a function given in maps-to notation.  (Contributed by NM,
         17-Aug-2011.) $)
      fvmpt $p |- ( A e. D -> ( F ` A ) = C ) $=
        ( wcel cvv cfv wceq fvmptg mpan2 ) BEJDKJBFLDMIABCDEKFGHNO $.
    $}
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.
    fvmpt2f.0 $e |- F/_ x A $.
    $( Value of a function given by the maps-to notation.  (Contributed by
       Thierry Arnoux, 9-Mar-2017.) $)
    fvmpt2f $p |- ( ( x e. A /\ B e. C ) -> ( ( x e. A |-> B ) ` x ) = B ) $=
      ( vy csb cmpt weq csbeq1 csbid eqtrdi nfcv nfcsb1v csbeq1a cbvmptf fvmptg
      cv ) FARZAFRZCGZCBDABCHFAIUAASCGCATSCJACKLAFBCUAEFBMFCMATCNATCOPQ $.
  $}

  ${
    $d B x $.  $d V x $.  $d X x $.
    fvtresfn.f $e |- F = ( x e. B |-> ( x |` V ) ) $.
    $( Functionality of a tuple-restriction function.  (Contributed by Stefan
       O'Rear, 24-Jan-2015.) $)
    fvtresfn $p |- ( X e. B -> ( F ` X ) = ( X |` V ) ) $=
      ( wcel cres cvv cfv wceq resexg cv reseq1 fvmptg mpdan ) EBGEDHZIGECJQKED
      BLAEAMZDHQBICREDNFOP $.
  $}

  ${
    $d y A $.  $d y B $.  $d x y C $.
    fvmpts.1 $e |- F = ( x e. C |-> B ) $.
    $( Value of a function given in maps-to notation, using explicit class
       substitution.  (Contributed by Scott Fenton, 17-Jul-2013.)  (Revised by
       Mario Carneiro, 31-Aug-2015.) $)
    fvmpts $p |- ( ( A e. C /\ [_ A / x ]_ B e. V ) ->
        ( F ` A ) = [_ A / x ]_ B ) $=
      ( vy cv csb csbeq1 cmpt nfcv nfcsb1v csbeq1a cbvmpt eqtri fvmptg ) HBAHIZ
      CJZABCJDFEASBCKEADCLHDTLGAHDCTHCMASCNASCOPQR $.
  $}

  ${
    $d x A $.  $d x C $.  $d x D $.  $d x V $.
    fvmpt3.a $e |- ( x = A -> B = C ) $.
    fvmpt3.b $e |- F = ( x e. D |-> B ) $.
    ${
      fvmpt3.c $e |- ( x e. D -> B e. V ) $.
      $( Value of a function given in maps-to notation, with a slightly
         different sethood condition.  (Contributed by Stefan O'Rear,
         30-Jan-2015.) $)
      fvmpt3 $p |- ( A e. D -> ( F ` A ) = C ) $=
        ( wcel cfv wceq cv eleq1d vtoclga fvmptg mpdan ) BEKDGKZBFLDMCGKSABEANB
        MCDGHOJPABCDEGFHIQR $.
    $}

    fvmpt3i.c $e |- B e. _V $.
    $( Value of a function given in maps-to notation, with a slightly different
       sethood condition.  (Contributed by Mario Carneiro, 11-Sep-2015.) $)
    fvmpt3i $p |- ( A e. D -> ( F ` A ) = C ) $=
      ( cvv wcel cv a1i fvmpt3 ) ABCDEFJGHCJKALEKIMN $.
  $}

  ${
    $d D x $.
    fvmptd.1 $e |- ( ph -> F = ( x e. D |-> B ) ) $.
    fvmptd.2 $e |- ( ( ph /\ x = A ) -> B = C ) $.
    fvmptd.3 $e |- ( ph -> A e. D ) $.
    fvmptd.4 $e |- ( ph -> C e. V ) $.
    ${
      $d A y $.  $d B y $.  $d C y $.  $d ph y $.  $d x y $.
      fvmptdf.p $e |- F/ x ph $.
      fvmptdf.a $e |- F/_ x A $.
      fvmptdf.c $e |- F/_ x C $.
      $( Deduction version of ~ fvmptd using bound-variable hypotheses instead
         of distinct variable conditions.  (Contributed by AV, 29-Mar-2024.) $)
      fvmptdf $p |- ( ph -> ( F ` A ) = C ) $=
        ( vy cfv wcel wceq a1i cmpt csb fveq1d cv nfcsb1v weq csbeq1a adantl wa
        wnfc cvv nfeq2 nfan eqtr ancoms sylan2 anassrs csbiedf csbie2df eqeltrd
        vex eqid fvmpts syl2anc 3eqtrd ) ACGQCBFDUAZQZBCDUBZEACGVFIUCACFRVHHRVG
        VHSKAVHEHABPCDBPUDZDUBZEFMBVJUJABVIDUETBEUJZAOTKBPUFZDVJSABVIDUGUHAVICS
        ZUIZBVIDEUKAVMBMBVICNULUMVKVNOTVIUKRVNPVATAVMVLDESZVMVLUIABUDZCSZVOVLVM
        VQVPVICUNUOJUPUQURUSZLUTBCDFVFHVFVBVCVDVRVE $.
    $}

    $d x A $.  $d x C $.  $d x ph $.
    $( Deduction version of ~ fvmpt .  (Contributed by Scott Fenton,
       18-Feb-2013.)  (Revised by Mario Carneiro, 31-Aug-2015.)  (Proof
       shortened by AV, 29-Mar-2024.) $)
    fvmptd $p |- ( ph -> ( F ` A ) = C ) $=
      ( nfv nfcv fvmptdf ) ABCDEFGHIJKLABMBCNBENO $.
  $}

  ${
    $d A x $.  $d C x $.  $d D x $.  $d ph x $.
    fvmptd2.1 $e |- F = ( x e. D |-> B ) $.
    fvmptd2.2 $e |- ( ( ph /\ x = A ) -> B = C ) $.
    fvmptd2.3 $e |- ( ph -> A e. D ) $.
    fvmptd2.4 $e |- ( ph -> C e. V ) $.
    $( Deduction version of ~ fvmpt (where the definition of the mapping does
       not depend on the common antecedent ` ph ` ).  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    fvmptd2 $p |- ( ph -> ( F ` A ) = C ) $=
      ( cmpt wceq a1i fvmptd ) ABCDEFGHGBFDMNAIOJKLP $.
  $}

  ${
    $d A x $.
    mptrcl.1 $e |- F = ( x e. A |-> B ) $.
    $( Reverse closure for a mapping:  If the function value of a mapping has a
       member, the argument belongs to the base class of the mapping.
       (Contributed by AV, 4-Apr-2020.) $)
    mptrcl $p |- ( I e. ( F ` X ) -> X e. A ) $=
      ( cfv wcel c0 wceq wn n0i cdm dmmptss sseli ndmfv nsyl4 syl ) EFDHZITJKZL
      FBIZTEMFDNZIUBUAUCBFABCDGOPFDQRS $.

    $d x y A $.  $d y B $.  $d y D $.  $d y F $.
    $( Value of a function given by the maps-to notation.  (Contributed by
       Mario Carneiro, 23-Apr-2014.) $)
    fvmpt2i $p |- ( x e. A -> ( F ` x ) = ( _I ` B ) ) $=
      ( vy cv csb weq csbeq1 csbid eqtrdi cmpt nfcv nfcsb1v cbvmpt eqtri fvmpti
      csbeq1a ) FAGZAFGZCHZCBDFAIUBATCHCAUATCJACKLDABCMFBUBMEAFBCUBFCNAUACOAUAC
      SPQR $.

    $( Value of a function given by the maps-to notation.  (Contributed by FL,
       21-Jun-2010.) $)
    fvmpt2 $p |- ( ( x e. A /\ B e. C ) -> ( F ` x ) = B ) $=
      ( cv wcel cfv cid fvmpt2i fvi sylan9eq ) AGZBHCDHNEICJICABCEFKCDLM $.

    $d x y C $.
    $( If all the values of the mapping are subsets of a class ` C ` , then so
       is any evaluation of the mapping, even if ` D ` is not in the base set
       ` A ` .  (Contributed by Mario Carneiro, 13-Feb-2015.) $)
    fvmptss $p |- ( A. x e. A B C_ C -> ( F ` D ) C_ C ) $=
      ( vy wss wcel cfv cv wi wceq fveq2 sseq1d imbi2d nfcv wa c0 dmmptss sseli
      wral cdm nfra1 cmpt nfmpt1 nfcxfr nffv nfss nfim cvv dmmpt rabeq2i fvmpt2
      eqimss syl sylbi wn ndmfv 0ss eqsstrdi pm2.61i rsp impcom sstrid vtoclgaf
      ex vtoclga sylan2 adantl pm2.61dan ) CDIZABUCZEFUDZJZEFKZDIZVPVNEBJZVRVOB
      EABCFGUAUBVSVNVRVNHLZFKZDIZMZVNVRMHEBVTENZWBVRVNWDWAVQDVTEFOPQVNALZFKZDIZ
      MWCAVTBAVTRZVNWBAVMABUEAWADAVTFAFABCUFGABCUGUHWHUIADRUJUKWEVTNZWGWBVNWIWF
      WADWEVTFOPQWEBJZVNWGWJVNSWFCDWEVOJZWFCIZWKWJCULJZSZWLWMAVOBABCFGUMUNWNWFC
      NWLABCULFGUOWFCUPUQURWKUSWFTCWEFUTCVAVBVCVNWJVMVMABVDVEVFVHVGVIVEVJVNVPUS
      ZSVQTDWOVQTNVNEFUTVKDVAVBVL $.
  $}

  ${
    $d x A $.
    fvmpt2d.1 $e |- ( ph -> F = ( x e. A |-> B ) ) $.
    fvmpt2d.4 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    $( Deduction version of ~ fvmpt2 .  (Contributed by Thierry Arnoux,
       8-Dec-2016.) $)
    fvmpt2d $p |- ( ( ph /\ x e. A ) -> ( F ` x ) = B ) $=
      ( cv wcel wa cfv cmpt wceq fveq1d adantr id eqid fvmpt2 syl2an2 eqtrd ) A
      BIZCJZKUBELZUBBCDMZLZDAUDUFNUCAUBEUEGOPUCUCADFJUFDNUCQHBCDFUEUERSTUA $.
  $}

  ${
    $d x y A $.  $d y B $.  $d y C $.
    fvmptex.1 $e |- F = ( x e. A |-> B ) $.
    fvmptex.2 $e |- G = ( x e. A |-> ( _I ` B ) ) $.
    $( Express a function ` F ` whose value ` B ` may not always be a set in
       terms of another function ` G ` for which sethood is guaranteed.  (Note
       that ` ( _I `` B ) ` is just shorthand for
       ` if ( B e. _V , B , (/) ) ` , and it is always a set by ~ fvex .)  Note
       also that these functions are not the same; wherever ` B ( C ) ` is not
       a set, ` C ` is not in the domain of ` F ` (so it evaluates to the empty
       set), but ` C ` is in the domain of ` G ` , and ` G ( C ) ` is defined
       to be the empty set.  (Contributed by Mario Carneiro, 14-Jul-2013.)
       (Revised by Mario Carneiro, 23-Apr-2014.) $)
    fvmptex $p |- ( F ` C ) = ( G ` C ) $=
      ( vy wcel cfv wceq csb cid cv cmpt nfcv cbvmpt eqtri c0 nfcsb1v nffv fvex
      csbeq1 csbeq1a fvmpti fveq2d fvmpt eqtr4d wn cdm sseli ndmfv nsyl5 dmmpti
      dmmptss eleq2i sylnbir pm2.61i ) DBJZDEKZDFKZLUTVAADCMZNKZVBIDAIOZCMZVCBE
      AVEDCUDZEABCPIBVFPGAIBCVFICQAVECUAZAVECUEZRSUFIDVFNKZVDBFVEDLVFVCNVGUGFAB
      CNKZPIBVJPHAIBVKVJIVKQAVFNANQVHUBAOVELCVFNVIUGRSVCNUCUHUIUTUJVATVBDEUKZJU
      TVATLVLBDABCEGUPULDEUMUNUTDFUKZJVBTLVMBDABVKFCNUCHUOUQDFUMURUIUS $.
  $}

  ${
    $d x A $.  $d x D $.
    fvmptd2f.1 $e |- ( ph -> A e. D ) $.
    fvmptd2f.2 $e |- ( ( ph /\ x = A ) -> B e. V ) $.
    fvmptd2f.3 $e |- ( ( ph /\ x = A ) -> ( ( F ` A ) = B -> ps ) ) $.
    ${
      fvmptd3f.4 $e |- F/_ x F $.
      fvmptd3f.5 $e |- F/ x ps $.
      fvmptd3f.6 $e |- F/ x ph $.
      $( Alternate deduction version of ~ fvmpt with three nonfreeness
         hypotheses instead of distinct variable conditions.  (Contributed by
         AV, 19-Jan-2022.) $)
      fvmptd3f $p |- ( ph -> ( F = ( x e. D |-> B ) -> ps ) ) $=
        ( cv wceq cmpt wi wcel cfv nfmpt1 nfeq nfim cvv elexd isset sylib fveq1
        wa simpr fveq2d adantr eqeltrd eqid fvmpt2 syl2anc eqtr3d eqeq2d sylbid
        wex syl5 exlimdd ) ACOZDPZGCFEQZPZBRCNVFBCCGVELCFEUAUBMUCADUDSVDCUTADFI
        UECDUFUGVFDGTZDVETZPZAVDUIZBDGVEUHVJVIVGEPBVJVHEVGVJVCVETZVHEVJVCDVEAVD
        UJZUKVJVCFSEHSVKEPVJVCDFVLADFSVDIULUMJCFEHVEVEUNUOUPUQURKUSVAVB $.
    $}

    $d x ph $.
    ${
      fvmptd2f.4 $e |- F/_ x F $.
      fvmptd2f.5 $e |- F/ x ps $.
      $( Alternate deduction version of ~ fvmpt , suitable for iteration.
         (Contributed by Mario Carneiro, 7-Jan-2017.)  (Proof shortened by AV,
         19-Jan-2022.) $)
      fvmptd2f $p |- ( ph -> ( F = ( x e. D |-> B ) -> ps ) ) $=
        ( nfv fvmptd3f ) ABCDEFGHIJKLMACNO $.
    $}

    $d x F $.  $d x ps $.
    $( Alternate deduction version of ~ fvmpt , suitable for iteration.
       (Contributed by Mario Carneiro, 7-Jan-2017.) $)
    fvmptdv $p |- ( ph -> ( F = ( x e. D |-> B ) -> ps ) ) $=
      ( nfcv nfv fvmptd2f ) ABCDEFGHIJKCGLBCMN $.
  $}

  ${
    $d x A $.  $d x C $.  $d x D $.  $d x ph $.
    fvmptdv2.1 $e |- ( ph -> A e. D ) $.
    fvmptdv2.2 $e |- ( ( ph /\ x = A ) -> B e. V ) $.
    fvmptdv2.3 $e |- ( ( ph /\ x = A ) -> B = C ) $.
    $( Alternate deduction version of ~ fvmpt , suitable for iteration.
       (Contributed by Mario Carneiro, 7-Jan-2017.) $)
    fvmptdv2 $p |- ( ph -> ( F = ( x e. D |-> B ) -> ( F ` A ) = C ) ) $=
      ( cfv wceq cmpt cvv eqidd cv wcel wex elexd isset sylib eqeltrrd exlimddv
      wa fvmptd fveq1 eqeq1d syl5ibrcom ) ACGLZEMGBFDNZMZCUKLZEMABCDEFUKOAUKPKI
      ABQCMZEORBACORUNBSACFITBCUAUBAUNUEZDEOKUODHJTUCUDUFULUJUMECGUKUGUHUI $.
  $}

  ${
    $d x A $.
    $( Bidirectional equality theorem for a mapping abstraction.  Equivalent to
       ~ eqfnfv .  (Contributed by Mario Carneiro, 14-Nov-2014.) $)
    mpteqb $p |- ( A. x e. A B e. V ->
      ( ( x e. A |-> B ) = ( x e. A |-> C ) <->
        A. x e. A B = C ) ) $=
      ( wcel wral cvv cmpt wceq wb wfn eqid mptfng wa wi nfmpt1 cfv fvmpt2 syl
      elex ralimi fneq1 3bitr4g biimpd r19.26 nfeq cv simpll ad2ant2lr ad2ant2l
      fveq1d 3eqtr3d exp31 ralrimi ralim syl5bir expd mpdd mpteq12 mpan impbid1
      com12 ) CEFZABGCHFZABGZABCIZABDIZJZCDJZABGZKVDVEABCEUAUBVFVIVKVIVFVKVIVFD
      HFZABGZVKVIVFVMVIVGBLVHBLVFVMBVGVHUCABCVGVGMZNABDVHVHMZNUDUEVIVFVMVKVFVMO
      VEVLOZABGZVIVKVEVLABUFVIVPVJPZABGVQVKPVIVRABAVGVHABCQABDQUGVIAUHZBFZVPVJV
      IVTOVPOZVSVGRZVSVHRZCDWAVSVGVHVIVTVPUIULVTVEWBCJVIVLABCHVGVNSUJVTVLWCDJVI
      VEABDHVHVOSUKUMUNUOVPVJABUPTUQURUSVCBBJVKVIBMABCBDUTVAVBT $.
  $}

  ${
    $d x A $.  $d x C $.  $d x D $.
    $( Closed theorem form of ~ fvmpt .  (Contributed by Scott Fenton,
       21-Feb-2013.)  (Revised by Mario Carneiro, 11-Sep-2015.) $)
    fvmptt $p |- ( ( A. x ( x = A -> B = C ) /\
      F = ( x e. D |-> B ) /\ ( A e. D /\ C e. V ) ) -> ( F ` A ) = C ) $=
      ( cv wceq wi wal cmpt wcel wa w3a cfv simp2 fveq1d wrex cvv elex nfa1 nfv
      risset nfeq1 nfim simprl simplr simprr eqeltrd eqid fvmpt2 syl2anc simpll
      nffvmpt1 fveq2d 3eqtr3d exp43 a2i com23 rexlimd syl7 syl5bi imp32 3adant2
      sps eqtrd ) AHZBIZCDIZJZAKZFAECLZIZBEMZDGMZNZOZBFPBVMPZDVRBFVMVLVNVQQRVLV
      QVSDIZVNVLVOVPVTVOVIAESZVLVPVTJABEUDVPDTMZVLWAVTDGUAVLVIWBVTJZAEVKAUBWBVT
      AWBAUCAVSDAECBUOUEUFVKVHEMZVIWCJJAVKVIWDWCVIVJWDWCJVIVJWDWBVTVIVJNZWDWBNZ
      NZVHVMPZCVSDWGWDCTMWHCIWEWDWBUGWGCDTVIVJWFUHZWEWDWBUIUJAECTVMVMUKULUMWGVH
      BVMVIVJWFUNUPWIUQURUSUTVFVAVBVCVDVEVG $.
  $}

  ${
    $d x D $.
    fvmptf.1 $e |- F/_ x A $.
    fvmptf.2 $e |- F/_ x C $.
    fvmptf.3 $e |- ( x = A -> B = C ) $.
    fvmptf.4 $e |- F = ( x e. D |-> B ) $.
    $( Value of a function given by an ordered-pair class abstraction.  This
       version of ~ fvmptg uses bound-variable hypotheses instead of distinct
       variable conditions.  (Contributed by NM, 8-Nov-2005.)  (Revised by
       Mario Carneiro, 15-Oct-2016.) $)
    fvmptf $p |- ( ( A e. D /\ C e. V ) -> ( F ` A ) = C ) $=
      ( wcel cvv cfv wceq cv wi nfel1 cmpt nfmpt1 nfcxfr nffv nfeq eleq1d fveq2
      nfim eqeq12d imbi12d fvmpt2 ex vtoclgaf elex impel ) BELDMLZBFNZDOZDGLCML
      ZAPZFNZCOZQUNUPQABEHUNUPAADMIRAUODABFAFAECSKAECTUAHUBIUCUFURBOZUQUNUTUPVA
      CDMJUDVAUSUOCDURBFUEJUGUHURELUQUTAECMFKUIUJUKDGULUM $.

    $( The value of a function given by an ordered-pair class abstraction is
       the empty set when the class it would otherwise map to is a proper
       class.  This version of ~ fvmptn uses bound-variable hypotheses instead
       of distinct variable conditions.  (Contributed by NM, 21-Oct-2003.)
       (Revised by Mario Carneiro, 11-Sep-2015.) $)
    fvmptnf $p |- ( -. C e. _V -> ( F ` A ) = (/) ) $=
      ( cvv wcel wn cdm cfv c0 wceq dmmptss sseli cid cmpt eqid fvmptex fvex cv
      nfcv nffv fveq2d fvmptf mpan2 eqtrid fvprc sylan9eq expcom ndmfv pm2.61d1
      syl5 ) DKLMZBFNZLZBFOZPQZUTBELZURVBUSEBAECFJRSVCURVBVCURVADTOZPVCVABAECTO
      ZUAZOZVDAECBFVFJVFUBZUCVCVDKLVGVDQDTUDABVEVDEVFKGADTATUFHUGAUEBQCDTIUHVHU
      IUJUKDTULUMUNUQBFUOUP $.
  $}

  ${
    $d A x $.  $d C x $.  $d D x $.
    fvmptd3.1 $e |- F = ( x e. D |-> B ) $.
    fvmptd3.2 $e |- ( x = A -> B = C ) $.
    fvmptd3.3 $e |- ( ph -> A e. D ) $.
    fvmptd3.4 $e |- ( ph -> C e. V ) $.
    $( Deduction version of ~ fvmpt .  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    fvmptd3 $p |- ( ph -> ( F ` A ) = C ) $=
      ( wcel cfv wceq fvmptg syl2anc ) ACFMEHMCGNEOKLBCDEFHGJIPQ $.
  $}

  ${
    $d x A $.  $d x C $.  $d x D $.
    fvmptn.1 $e |- ( x = D -> B = C ) $.
    fvmptn.2 $e |- F = ( x e. A |-> B ) $.
    $( This somewhat non-intuitive theorem tells us the value of its function
       is the empty set when the class ` C ` it would otherwise map to is a
       proper class.  This is a technical lemma that can help eliminate
       redundant sethood antecedents otherwise required by ~ fvmptg .
       (Contributed by NM, 21-Oct-2003.)  (Revised by Mario Carneiro,
       9-Sep-2013.) $)
    fvmptn $p |- ( -. C e. _V -> ( F ` D ) = (/) ) $=
      ( nfcv fvmptnf ) AECDBFAEIADIGHJ $.

    $( A mapping always evaluates to a subset of the substituted expression in
       the mapping, even if this is a proper class, or we are out of the
       domain.  (Contributed by Mario Carneiro, 13-Feb-2015.) $)
    fvmptss2 $p |- ( F ` D ) C_ C $=
      ( cdm wcel cfv wss cvv wa cv wceq eleq1d dmmpt elrab2 fvmptg eqimss sylbi
      syl wn c0 ndmfv 0ss eqsstrdi pm2.61i ) EFIZJZEFKZDLZUKEBJDMJZNZUMCMJUNAEB
      UJAOEPCDMGQABCFHRSUOULDPUMAECDBMFGHTULDUAUCUBUKUDULUEDEFUFDUGUHUI $.
  $}

  ${
    $d M x y $.  $d V x $.  $d X x y $.  $d Y y $.  $d m x y $.
    elfvmptrab1w.f $e |- F = ( x e. V |-> { y e. [_ x / m ]_ M | ph } ) $.
    elfvmptrab1w.v $e |- ( X e. V -> [_ X / m ]_ M e. _V ) $.
    $( Implications for the value of a function defined by the maps-to notation
       with a class abstraction as a result having an element.  Here, the base
       set of the class abstraction depends on the argument of the function.
       Version of ~ elfvmptrab1 with a disjoint variable condition, which does
       not require ~ ax-13 .  (Contributed by Alexander van der Vekens,
       15-Jul-2018.)  (Revised by Gino Giotto, 26-Jan-2024.) $)
    elfvmptrab1w $p |- ( Y e. ( F ` X )
                        -> ( X e. V /\ Y e. [_ X / m ]_ M ) ) $=
      ( cdm wcel cfv csb wa crab cvv wceq nfcv elfvdm wsbc dmmptss sseli rabexg
      3syl nfsbc1v nfcsbw nfrabw csbeq1 sbceq1a rabeqbidv fvmptf syl2anc eleq2d
      cv elrabi anim12i ex sylbid mpcom ) HELZMZIHENZMZHGMZIDHFOZMZPZIHEUAVCVEI
      ABHUBZCVGQZMZVIVCVDVKIVCVFVKRMZVDVKSVBGHBGACDBUPZFOZQZEJUCUDZVCVFVGRMVMVQ
      KVJCVGRUEUFBHVPVKGERBHTZVJBCVGABHUGBDHFVRBFTUHUIVNHSAVJCVOVGDVNHFUJABHUKU
      LJUMUNUOVCVLVIVCVFVLVHVQVJCIVGUQURUSUTVA $.
    $( $j usage 'elfvmptrab1w' avoids 'ax-13'; $)
  $}

  ${
    $d M x y $.  $d V x $.  $d X x y $.  $d Y y $.  $d m y $.
    elfvmptrab1.f $e |- F = ( x e. V |-> { y e. [_ x / m ]_ M | ph } ) $.
    elfvmptrab1.v $e |- ( X e. V -> [_ X / m ]_ M e. _V ) $.
    $( Implications for the value of a function defined by the maps-to notation
       with a class abstraction as a result having an element.  Here, the base
       set of the class abstraction depends on the argument of the function.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       Use the weaker ~ elfvmptrab1w when possible.  (Contributed by Alexander
       van der Vekens, 15-Jul-2018.)  (New usage is discouraged.) $)
    elfvmptrab1 $p |- ( Y e. ( F ` X )
                        -> ( X e. V /\ Y e. [_ X / m ]_ M ) ) $=
      ( cfv wcel csb c0 crab cvv wceq 3syl nfcv wa wne ne0i ndmfv necon1ai wsbc
      cdm wi dmmptss sseli rabexg nfsbc1v nfcsb csbeq1 sbceq1a rabeqbidv fvmptf
      cv nfrab syl2anc eleq2d elrabi anim12i ex sylbid pm2.43i ) IHELZMZHGMZIDH
      FNZMZUAZVHVGOUBHEUGZMZVHVLUHVGIUCVNVGOHEUDUEVNVHIABHUFZCVJPZMZVLVNVGVPIVN
      VIVPQMZVGVPRVMGHBGACDBURZFNZPZEJUIUJZVNVIVJQMVRWBKVOCVJQUKSBHWAVPGEQBHTZV
      OBCVJABHULBDHFWCBFTUMUSVSHRAVOCVTVJDVSHFUNABHUOUPJUQUTVAVNVQVLVNVIVQVKWBV
      OCIVJVBVCVDVESVF $.
  $}

  ${
    $d M m x y $.  $d V x $.  $d X x y $.  $d Y y $.
    elfvmptrab.f $e |- F = ( x e. V |-> { y e. M | ph } ) $.
    elfvmptrab.v $e |- ( X e. V -> M e. _V ) $.
    $( Implications for the value of a function defined by the maps-to notation
       with a class abstraction as a result having an element.  (Contributed by
       Alexander van der Vekens, 15-Jul-2018.) $)
    elfvmptrab $p |- ( Y e. ( F ` X ) -> ( X e. V /\ Y e. M ) ) $=
      ( vm cfv wcel csb wa crab cmpt wceq csbconstg syl cv rabeq mpteq2ia eqtri
      eqcomd cvv eqeltrd elfvmptrab1w eleq2d biimpd imdistani ) HGDLMGFMZHKGENZ
      MZOULHEMZOABCKDEFGHDBFACEPZQBFACKBUAZENZPZQIBFUPUSUQFMZEURRUPUSRUTUREKUQE
      FSUEACEURUBTUCUDULUMEUFKGEFSZJUGUHULUNUOULUNUOULUMEHVAUIUJUKT $.
  $}

  ${
    $d x y A $.
    fvopab4ndm.1 $e |- F = { <. x , y >. | ( x e. A /\ ph ) } $.
    $( Value of a function given by an ordered-pair class abstraction, outside
       of its domain.  (Contributed by NM, 28-Mar-2008.) $)
    fvopab4ndm $p |- ( -. B e. A -> ( F ` B ) = (/) ) $=
      ( cdm wcel cfv c0 wceq cv wa copab dmeqi dmopabss eqsstri sseli ndmfv
      nsyl5 ) EFHZIEDIEFJKLUBDEUBBMDIANBCOZHDFUCGPABCDQRSEFTUA $.
  $}

  ${
    $d A x y $.  $d B y $.
    fvmptndm.1 $e |- F = ( x e. A |-> B ) $.
    $( Value of a function given by the maps-to notation, outside of its
       domain.  (Contributed by AV, 31-Dec-2020.) $)
    fvmptndm $p |- ( -. X e. A -> ( F ` X ) = (/) ) $=
      ( vy cv wceq cmpt wcel wa copab df-mpt eqtri fvopab4ndm ) GHCIZAGBEDDABCJ
      AHBKQLAGMFAGBCNOP $.
  $}

  ${
    $d G x y $.  $d X x y $.  $d ps x $.
    fvmptrabfv.f $e |- F = ( x e. _V |-> { y e. ( G ` x ) | ph } ) $.
    fvmptrabfv.r $e |- ( x = X -> ( ph <-> ps ) ) $.
    $( Value of a function mapping a set to a class abstraction restricting the
       value of another function.  (Contributed by AV, 18-Feb-2022.) $)
    fvmptrabfv $p |- ( F ` X ) = { y e. ( G ` X ) | ps } $=
      ( cvv wcel cfv crab wceq cv fveq2 rabeqbidv fvex c0 fvprc wn rabeqdv rab0
      rabex fvmpt eqtr2di eqtrd pm2.61i ) GJKZGELZBDGFLZMZNCGADCOZFLZMULJEUMGNA
      BDUNUKUMGFPIQHBDUKGFRUDUEUIUAZUJSULGETUOULBDSMSUOBDUKSGFTUBBDUCUFUGUH $.
  $}

  ${
    $d x y z A $.  $d z F $.  $d x ps $.
    fvopab5.1 $e |- F = { <. x , y >. | ph } $.
    fvopab5.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( The value of a function that is expressed as an ordered pair
       abstraction.  (Contributed by NM, 19-Feb-2006.)  (Revised by Mario
       Carneiro, 11-Sep-2015.) $)
    fvopab5 $p |- ( A e. V -> ( F ` A ) = ( iota y ps ) ) $=
      ( vz wcel cvv cio wceq cv wbr nfcv nfcxfr nfbr nfv elex df-fv breq2 copab
      cfv nfopab2 cbviotaw eqtri wb nfopab1 nfbi breq1 bibi12d cop df-br eleq2i
      opabidw 3bitri vtoclg1f iotabidv eqtrid syl ) EGKELKZEFUEZBDMZNEGUAVCVDED
      OZFPZDMZVEVDEJOZFPZJMVHJEFUBVJVGJDVIVFEFUCDEVIFDEQDFACDUDZHACDUFRDVIQSVGJ
      TUGUHVCVGBDCOZVFFPZAUIVGBUICELVGBCCEVFFCEQCFVKHACDUJRCVFQSBCTUKVLENVMVGAB
      VLEVFFULIUMVMVLVFUNZFKVNVKKAVLVFFUOFVKVNHUPACDUQURUSUTVAVB $.
  $}

  ${
    $d A x y $.  $d ps x y $.  $d B y $.  $d C x y $.
    fvopab6.1 $e |- F = { <. x , y >. | ( ph /\ y = B ) } $.
    fvopab6.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    fvopab6.3 $e |- ( x = A -> B = C ) $.
    $( Value of a function given by ordered-pair class abstraction.
       (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro,
       11-Sep-2015.) $)
    fvopab6 $p |- ( ( A e. D /\ C e. R /\ ps ) -> ( F ` A ) = C ) $=
      ( wcel cfv wceq cvv cv wa copab elex eqeq2d anbi12d iba bicomd moeq moani
      wi wmo a1i vex biantrur opabbii eqtri fvopab3ig sylan 3impia ) EHNZGINZBE
      JOGPZUREQNUSBUTUHEHUAADRZFPZSZBVAGPZSZBCDEGQIJCRZEPZABVBVDLVGFGVAMUBUCVDB
      VEVDBUDUEVCDUIVFQNZVBADDFUFUGUJJVCCDTVHVCSZCDTKVCVICDVHVCCUKULUMUNUOUPUQ
      $.
  $}

  ${
    $d x A $.  $d x F $.  $d x G $.  $d x ph $.
    $( Equality of functions is determined by their values.  Special case of
       Exercise 4 of [TakeutiZaring] p. 28 (with domain equality omitted).
       (Contributed by NM, 3-Aug-1994.)  (Proof shortened by Andrew Salmon,
       22-Oct-2011.)  (Proof shortened by Mario Carneiro, 31-Aug-2015.) $)
    eqfnfv $p |- ( ( F Fn A /\ G Fn A ) -> ( F = G <->
                 A. x e. A ( F ` x ) = ( G ` x ) ) ) $=
      ( wfn wa wceq cv cfv cmpt wral dffn5 eqeq12 syl2anb cvv wcel rgenw mpteqb
      wb fvex ax-mp bitrdi ) CBEZDBEZFCDGZABAHZCIZJZABUFDIZJZGZUGUIGABKZUCCUHGD
      UJGUEUKSUDABCLABDLCUHDUJMNUGOPZABKUKULSUMABUFCTQABUGUIORUAUB $.

    $( Equality of functions is determined by their values.  Exercise 4 of
       [TakeutiZaring] p. 28.  (Contributed by NM, 3-Aug-1994.)  (Revised by
       Mario Carneiro, 31-Aug-2015.) $)
    eqfnfv2 $p |- ( ( F Fn A /\ G Fn B ) -> ( F = G <->
                 ( A = B /\ A. x e. A ( F ` x ) = ( G ` x ) ) ) ) $=
      ( wfn wa wceq cv cfv wral dmeq fndm eqeqan12d syl5ib pm4.71rd wb biimparc
      cdm fneq2 eqfnfv sylan2 anassrs pm5.32da bitrd ) DBFZECFZGZDEHZBCHZUIGUJA
      IZDJUKEJHABKZGUHUIUJUIDSZESZHUHUJDELUFUGUMBUNCBDMCEMNOPUHUJUIULUFUGUJUIUL
      QZUGUJGUFEBFZUOUJUPUGBCETRABDEUAUBUCUDUE $.

    $d x B $.
    $( Derive equality of functions from equality of their values.
       (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    eqfnfv3 $p |- ( ( F Fn A /\ G Fn B ) -> ( F = G <-> ( B C_ A /\ A. x e. A
                                  ( x e. B /\ ( F ` x ) = ( G ` x ) ) ) ) ) $=
      ( wfn wa wceq cfv wral wss wcel eqfnfv2 eqss biancomi anbi1i anass r19.26
      cv dfss3 bitr4i anbi2i 3bitri bitrdi ) DBFECFGDEHBCHZASZDIUFEIHZABJZGZCBK
      ZUFCLZUGGABJZGZABCDEMUIUJBCKZGZUHGUJUNUHGZGUMUEUOUHUEUJUNBCNOPUJUNUHQUPUL
      UJUPUKABJZUHGULUNUQUHABCTPUKUGABRUAUBUCUD $.

    eqfnfvd.1 $e |- ( ph -> F Fn A ) $.
    eqfnfvd.2 $e |- ( ph -> G Fn A ) $.
    eqfnfvd.3 $e |- ( ( ph /\ x e. A ) -> ( F ` x ) = ( G ` x ) ) $.
    $( Deduction for equality of functions.  (Contributed by Mario Carneiro,
       24-Jul-2014.) $)
    eqfnfvd $p |- ( ph -> F = G ) $=
      ( wceq cv cfv wral ralrimiva wfn wb eqfnfv syl2anc mpbird ) ADEIZBJZDKTEK
      IZBCLZAUABCHMADCNECNSUBOFGBCDEPQR $.
  $}

  ${
    $d x z A $.  $d z F $.  $d z G $.
    eqfnfv2f.1 $e |- F/_ x F $.
    eqfnfv2f.2 $e |- F/_ x G $.
    $( Equality of functions is determined by their values.  Special case of
       Exercise 4 of [TakeutiZaring] p. 28 (with domain equality omitted).
       This version of ~ eqfnfv uses bound-variable hypotheses instead of
       distinct variable conditions.  (Contributed by NM, 29-Jan-2004.) $)
    eqfnfv2f $p |- ( ( F Fn A /\ G Fn A ) -> ( F = G <->
                 A. x e. A ( F ` x ) = ( G ` x ) ) ) $=
      ( vz wfn wa wceq cv cfv wral eqfnfv nfcv nffv nfeq nfv fveq2 eqeq12d
      cbvralw bitrdi ) CBHDBHICDJGKZCLZUCDLZJZGBMAKZCLZUGDLZJZABMGBCDNUFUJGABAU
      DUEAUCCEAUCOZPAUCDFUKPQUJGRUCUGJUDUHUEUIUCUGCSUCUGDSTUAUB $.
  $}

  ${
    $d F x $.  $d G x $.
    $( Equality of functions is determined by their values.  (Contributed by
       Scott Fenton, 19-Jun-2011.) $)
    eqfunfv $p |- ( ( Fun F /\ Fun G ) -> ( F = G <->
                    ( dom F = dom G /\
                      A. x e. dom F ( F ` x ) = ( G ` x ) ) ) ) $=
      ( wfun cdm wfn wceq cv cfv wral wa wb funfn eqfnfv2 syl2anb ) BDBBEZFCCEZ
      FBCGPQGAHZBIRCIGAPJKLCDBMCMAPQBCNO $.
  $}

  ${
    $d x B $.  $d x F $.  $d x G $.
    $( Equality of restricted functions is determined by their values (for
       functions with different domains).  (Contributed by AV, 6-Jan-2019.) $)
    fvreseq0 $p |- ( ( ( F Fn A /\ G Fn C ) /\ ( B C_ A /\ B C_ C ) ) ->
           ( ( F |` B ) = ( G |` B ) <-> A. x e. B ( F ` x ) = ( G ` x ) ) ) $=
      ( wfn wss cres wceq cv cfv wral wb wa fnssres eqfnfv wcel fvres eqeq12d
      ralbiia bitrdi syl2an an4s ) EBGZCBHZFDGZCDHZECIZFCIZJZAKZELZULFLZJZACMZN
      ZUEUFOUICGZUJCGZUQUGUHOBCEPDCFPURUSOUKULUILZULUJLZJZACMUPACUIUJQVBUOACULC
      RUTUMVAUNULCESULCFSTUAUBUCUD $.

    $( Equality of a function restricted to the domain of another function.
       (Contributed by AV, 6-Jan-2019.) $)
    fvreseq1 $p |- ( ( ( F Fn A /\ G Fn B ) /\ B C_ A ) ->
                    ( ( F |` B ) = G <-> A. x e. B ( F ` x ) = ( G ` x ) ) ) $=
      ( wfn wa wss cres wceq cv cfv wral fnresdm ad2antlr eqcomd eqeq2d wb ssid
      fvreseq0 mpanr2 bitrd ) DBFZECFZGZCBHZGZDCIZEJUHECIZJZAKZDLUKELJACMZUGEUI
      UHUGUIEUDUIEJUCUFCENOPQUEUFCCHUJULRCSABCCDETUAUB $.
  $}

  ${
    $d x B $.  $d x F $.  $d x G $.
    $( Equality of restricted functions is determined by their values.
       (Contributed by NM, 3-Aug-1994.)  (Proof shortened by AV,
       4-Mar-2019.) $)
    fvreseq $p |- ( ( ( F Fn A /\ G Fn A ) /\ B C_ A ) ->
         ( ( F |` B ) = ( G |` B ) <-> A. x e. B ( F ` x ) = ( G ` x ) ) ) $=
      ( wfn wa wss cres wceq cv cfv wral wb fvreseq0 anabsan2 ) DBFEBFGCBHDCIEC
      IJAKZDLQELJACMNABCBDEOP $.
  $}

  ${
    $d A a i $.  $d C i $.  $d D a $.  $d M a i $.  $d U a i $.  $d V a i $.
    $d ph a i $.
    fnmptfvd.m $e |- ( ph -> M Fn A ) $.
    fnmptfvd.s $e |- ( i = a -> D = C ) $.
    fnmptfvd.d $e |- ( ( ph /\ i e. A ) -> D e. U ) $.
    fnmptfvd.c $e |- ( ( ph /\ a e. A ) -> C e. V ) $.
    $( A function with a given domain is a mapping defined by its function
       values.  (Contributed by AV, 1-Mar-2019.) $)
    fnmptfvd $p |- ( ph -> ( M = ( a e. A |-> C )
                              <-> A. i e. A ( M ` i ) = D ) ) $=
      ( cmpt wceq cfv wral wfn wcel eqid cv ralrimiva fnmpt syl syl2anc cbvmptv
      wb eqfnfv eqcomi a1i fveq1d eqeq2d ralbidv simpr fvmpt2 ralbidva 3bitrd
      wa ) AGIBCNZOZFUAZGPZVAUSPZOZFBQZVBVAFBDNZPZOZFBQVBDOZFBQAGBRUSBRZUTVEUGJ
      ACHSZIBQVJAVKIBMUBIBCUSHUSTUCUDFBGUSUHUEAVDVHFBAVCVGVBAVAUSVFUSVFOAVFUSFI
      BDCKUFUIUJUKULUMAVHVIFBAVABSZURZVGDVBVMVLDESVGDOAVLUNLFBDEVFVFTUOUEULUPUQ
      $.
  $}

  ${
    $d F x y $.  $d G x y $.  $d A x y $.
    $( Two ways to express the locus of differences between two functions.
       (Contributed by Stefan O'Rear, 17-Jan-2015.) $)
    fndmdif $p |- ( ( F Fn A /\ G Fn A ) -> dom ( F \ G ) =
          { x e. A | ( F ` x ) =/= ( G ` x ) } ) $=
      ( vy wfn wa cdm cv cfv wss wceq wcel wbr wex wn wb eqcom fnbrfvb syl5bb
      cdif cin wne crab difss dmss ax-mp fndm adantr sseqtrid sseqin2 sylib vex
      eldm adantll necon3abid breq2 notbid ceqsexv bitr4di adantlr anbi1d brdif
      fvex exbidv bitr2d rabbi2dva eqtr3d ) CBFZDBFZGZBCDUAZHZUBZVMAIZCJZVODJZU
      CZABUDVKVMBKVNVMLVKCHZVMBVLCKVMVSKCDUEVLCUFUGVIVSBLVJBCUHUIUJVMBUKULVKVRA
      BVMVOVMMVOEIZVLNZEOZVKVOBMZGZVREVOVLAUMUNWDVRVTVPLZVOVTDNZPZGZEOZWBWDVRVO
      VPDNZPZWIWDWJVPVQVJWCVPVQLZWJQVIWLVQVPLVJWCGWJVPVQRBVOVPDSTUOUPWGWKEVPVOC
      VDWEWFWJVTVPVODUQURUSUTWDWHWAEWDWHVOVTCNZWGGWAWDWEWMWGVIWCWEWMQVJWEVPVTLV
      IWCGWMVTVPRBVOVTCSTVAVBVOVTCDVCUTVEVFTVGVH $.

    $( The difference set between two functions is commutative.  (Contributed
       by Stefan O'Rear, 17-Jan-2015.) $)
    fndmdifcom $p |- ( ( F Fn A /\ G Fn A ) ->
        dom ( F \ G ) = dom ( G \ F ) ) $=
      ( vx wfn wa cv cfv wne crab cdif necom rabbii fndmdif wceq ancoms 3eqtr4a
      cdm ) BAEZCAEZFDGZBHZUACHZIZDAJUCUBIZDAJZBCKRCBKRZUDUEDAUBUCLMDABCNTSUGUF
      ODACBNPQ $.

    $( The difference set of two functions is empty if and only if the
       functions are equal.  (Contributed by Stefan O'Rear, 17-Jan-2015.) $)
    fndmdifeq0 $p |- ( ( F Fn A /\ G Fn A ) ->
        ( dom ( F \ G ) = (/) <-> F = G ) ) $=
      ( vx wfn wa cdif cdm c0 wceq cv cfv wne crab fndmdif eqeq1d wn rabeq0 nne
      wral ralbii bitri eqfnfv bitr4id bitrd ) BAECAEFZBCGHZIJDKZBLZUHCLZMZDANZ
      IJZBCJZUFUGULIDABCOPUFUMUIUJJZDATZUNUMUKQZDATUPUKDARUQUODAUIUJSUAUBDABCUC
      UDUE $.

    $( Two ways to express the locus of equality between two functions.
       (Contributed by Stefan O'Rear, 17-Jan-2015.) $)
    fndmin $p |- ( ( F Fn A /\ G Fn A ) -> dom ( F i^i G ) =
          { x e. A | ( F ` x ) = ( G ` x ) } ) $=
      ( vy wfn wa cin cdm cv cfv wceq copab cmpt dffn5 biimpi df-mpt eqtrdi wex
      cab wcel ineqan12d inopab dmeqd 19.42v anandi exbii eqeq1 ceqsexv 3bitr3i
      crab fvex anbi2i abbii dmopab df-rab 3eqtr4i ) CBFZDBFZGZCDHZIAJZBUAZEJZV
      BCKZLZGZVCVDVBDKZLZGZGZAEMZIZVEVHLZABUKZUTVAVLUTVAVGAEMZVJAEMZHVLURUSCVPD
      VQURCABVENZVPURCVRLABCOPAEBVEQRUSDABVHNZVQUSDVSLABDOPAEBVHQRUBVGVJAEUCRUD
      VKESZATVCVNGZATVMVOVTWAAVCVFVIGZGZESVCWBESZGVTWAVCWBEUEWCVKEVCVFVIUFUGWDV
      NVCVIVNEVEVBCULVDVEVHUHUIUMUJUNVKAEUOVNABUPUQR $.
  $}

  ${
    $d F x $.  $d G x $.  $d A x $.
    $( Two functions are equal iff their equalizer is the whole domain.
       (Contributed by Stefan O'Rear, 7-Mar-2015.) $)
    fneqeql $p |- ( ( F Fn A /\ G Fn A ) ->
        ( F = G <-> dom ( F i^i G ) = A ) ) $=
      ( vx wfn wa wceq cfv crab cin cdm wral eqfnfv eqcom rabid2 bitr4di fndmin
      cv bitri eqeq1d bitr4d ) BAECAEFZBCGZDRZBHUDCHGZDAIZAGZBCJKZAGUBUCUEDALZU
      GDABCMUGAUFGUIUFANUEDAOSPUBUHUFADABCQTUA $.

    $( Two functions are equal iff their equalizer contains the whole domain.
       (Contributed by Stefan O'Rear, 9-Mar-2015.) $)
    fneqeql2 $p |- ( ( F Fn A /\ G Fn A ) ->
        ( F = G <-> A C_ dom ( F i^i G ) ) ) $=
      ( wfn wceq cin cdm wss fneqeql eqss inss1 dmss ax-mp fndm adantr sseqtrid
      wa biantrurd bitr4id bitrd ) BADZCADZQZBCEBCFZGZAEZAUEHZABCIUCUFUEAHZUGQU
      GUEAJUCUHUGUCBGZUEAUDBHUEUIHBCKUDBLMUAUIAEUBABNOPRST $.

    $( Two functions are equal on a subset iff their equalizer contains that
       subset.  (Contributed by Stefan O'Rear, 7-Mar-2015.) $)
    fnreseql $p |- ( ( F Fn A /\ G Fn A /\ X C_ A ) ->
        ( ( F |` X ) = ( G |` X ) <-> X C_ dom ( F i^i G ) ) ) $=
      ( wfn wss w3a cin cdm wb fnssres 3adant2 3adant1 fneqeql syl2anc resindir
      cres wceq dmeqi dmres eqtr3i eqeq1i df-ss bitr4i bitrdi ) BAEZCAEZDAFZGZB
      DQZCDQZRZUJUKHZIZDRZDBCHZIZFZUIUJDEZUKDEZULUOJUFUHUSUGADBKLUGUHUTUFADCKMD
      UJUKNOUODUQHZDRURUNVADUPDQZIUNVAVBUMBCDPSUPDTUAUBDUQUCUDUE $.
  $}

  ${
    $d x y A $.  $d x y F $.
    $( The range of a choice function (a function that chooses an element from
       each member of its domain) is included in the union of its domain.
       (Contributed by NM, 31-Aug-1999.) $)
    chfnrn $p |- ( ( F Fn A /\ A. x e. A ( F ` x ) e. x ) -> ran F C_ U. A ) $=
      ( vy wfn cv cfv wcel wral wa crn cuni wrex wceq fvelrnb biimpd wi biimpcd
      eleq1 ralimi rexim syl sylan9 eluni2 syl6ibr ssrdv ) CBEZAFZCGZUHHZABIZJZ
      DCKZBLZULDFZUMHZUOUHHZABMZUOUNHUGUPUIUONZABMZUKURUGUPUTABUOCOPUKUSUQQZABI
      UTURQUJVAABUSUJUQUIUOUHSRTUSUQABUAUBUCAUOBUDUEUF $.
  $}

  $( Ordered pair with function value.  Part of Theorem 4.3(i) of [Monk1]
     p. 41.  (Contributed by NM, 14-Oct-1996.) $)
  funfvop $p |- ( ( Fun F /\ A e. dom F ) -> <. A , ( F ` A ) >. e. F ) $=
    ( wfun cdm wcel wa cfv wceq cop eqid funopfvb mpbii ) BCABDEFABGZMHAMIBEMJA
    MBKL $.

  $( Two ways to say that ` A ` is in the domain of ` F ` .  (Contributed by
     Mario Carneiro, 1-May-2014.) $)
  funfvbrb $p |- ( Fun F -> ( A e. dom F <-> A F ( F ` A ) ) ) $=
    ( wfun cdm wcel cfv wbr wa funfvop df-br sylibr wrel funrel releldm impbida
    cop sylan ) BCZABDEZAABFZBGZRSHATPBEUAABIATBJKRBLUASBMATBNQO $.

  $( A member of a preimage is a function value argument.  (Contributed by NM,
     4-May-2007.) $)
  fvimacnvi $p |- ( ( Fun F /\ A e. ( `' F " B ) ) -> ( F ` A ) e. B ) $=
    ( wfun ccnv cima wcel cfv csn wss snssi funimass2 sylan2 fvex snss cdm wceq
    wa cnvimass sseli wfn funfn fnsnfv sylanb sseq1d syl5bb mpbird ) CDZACEBFZG
    ZRZACHZBGZCAIZFZBJZUJUHUNUIJUPAUIKUNBCLMUMULIZBJUKUPULBACNOUKUQUOBUJUHACPZG
    ZUQUOQZUIURACBSTUHCURUAUSUTCUBURACUCUDMUEUFUG $.

  $( The argument of a function value belongs to the preimage of any class
     containing the function value.  Raph Levien remarks:  "This proof is
     unsatisfying, because it seems to me that ~ funimass2 could probably be
     strengthened to a biconditional."  (Contributed by Raph Levien,
     20-Nov-2006.) $)
  fvimacnv $p |- ( ( Fun F /\ A e. dom F ) ->
                 ( ( F ` A ) e. B <-> A e. ( `' F " B ) ) ) $=
    ( wfun cdm wcel wa cfv ccnv cima csn cop funfvop wb fvex mpan adantl mpbird
    cvv wss opelcnvg elimasng imass2 sylbi sseld syl5com wi fvimacnvi ex adantr
    snss impbid ) CDZACEZFZGZACHZBFZACIZBJZFZUPAUSUQKZJZFZURVAUPVDUQALUSFZUPVEA
    UQLCFZACMUOVEVFNZUMUQSFZUOVGACOZUQASUNCUAPQRUOVDVENZUMVHUOVJVIUSUQASUNUBPQR
    URVCUTAURVBBTVCUTTUQBVIUKVBBUSUCUDUEUFUMVAURUGUOUMVAURABCUHUIUJUL $.

  ${
    $d F x $.  $d A x $.  $d B x $.
    $( A kind of contraposition law that infers an image subclass from a
       subclass of a preimage.  Raph Levien remarks:  "Likely this could be
       proved directly, and ~ fvimacnv would be the special case of ` A ` being
       a singleton, but it works this way round too."  (Contributed by Raph
       Levien, 20-Nov-2006.) $)
    funimass3 $p |- ( ( Fun F /\ A C_ dom F ) ->
                    ( ( F " A ) C_ B <-> A C_ ( `' F " B ) ) ) $=
      ( vx wfun cdm wss wa cima cv ccnv wcel wral funimass4 wb ssel fvimacnv ex
      cfv syl9r imp31 ralbidva bitrd dfss3 bitr4di ) CEZACFZGZHZCAIBGZDJZCKBIZL
      ZDAMZAULGUIUJUKCSBLZDAMUNDABCNUIUOUMDAUFUHUKALZUOUMOZUHUPUKUGLZUFUQAUGUKP
      UFURUQUKBCQRTUAUBUCDAULUDUE $.

    $( A subclass of a preimage in terms of function values.  (Contributed by
       NM, 15-May-2007.) $)
    funimass5 $p |- ( ( Fun F /\ A C_ dom F ) ->
                    ( A C_ ( `' F " B ) <-> A. x e. A ( F ` x ) e. B ) ) $=
      ( wfun cdm wss wa cima ccnv cv cfv wcel wral funimass3 funimass4 bitr3d )
      DEBDFGHDBICGBDJCIGAKDLCMABNBCDOABCDPQ $.

    $( Two ways of specifying that a function is constant on a subdomain.
       (Contributed by NM, 8-Mar-2007.) $)
    funconstss $p |- ( ( Fun F /\ A C_ dom F ) ->
                     ( A. x e. A ( F ` x ) = B <-> A C_ ( `' F " { B } ) ) ) $=
      ( wfun cdm wss wa cv cfv wceq wral cima csn ccnv wcel funimass4 fvex elsn
      ralbii bitr2di funimass3 bitrd ) DEBDFGHZAIZDJZCKZABLZDBMCNZGZBDOUIMGUDUJ
      UFUIPZABLUHABUIDQUKUGABUFCUEDRSTUABUIDUBUC $.
  $}

  $( Alternate proof of ~ fvimacnv , based on ~ funimass3 .  If ~ funimass3 is
     ever proved directly, as opposed to using ~ funimacnv pointwise, then the
     proof of ~ funimacnv should be replaced with this one.  (Contributed by
     Raph Levien, 20-Nov-2006.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  fvimacnvALT $p |- ( ( Fun F /\ A e. dom F ) ->
                    ( ( F ` A ) e. B <-> A e. ( `' F " B ) ) ) $=
    ( wfun cdm wcel wa csn cima wss ccnv cfv wb snssi funimass3 sylan2 fvex wfn
    snss wceq eqid df-fn biimpri mpan2 fnsnfv sylan sseq1d syl5bb snssg 3bitr4d
    adantl ) CDZACEZFZGZCAHZIZBJZUPCKBIZJZACLZBFZAUSFZUNULUPUMJURUTMAUMNUPBCOPV
    BVAHZBJUOURVABACQSUOVDUQBULCUMRZUNVDUQTULUMUMTZVEUMUAVEULVFGCUMUBUCUDUMACUE
    UFUGUHUNVCUTMULAUSUMUIUKUJ $.

  $( Membership in the preimage of a set under a function.  (Contributed by
     Jeff Madsen, 2-Sep-2009.) $)
  elpreima $p |- ( F Fn A -> ( B e. ( `' F " C )
                              <-> ( B e. A /\ ( F ` B ) e. C ) ) ) $=
    ( wfn ccnv cima wcel cfv wa cdm cnvimass sseli fndm eleq2d syl5ib fvimacnvi
    wfun fnfun sylan ex jcad wb fvimacnv funfni biimpd expimpd impbid ) DAEZBDF
    CGZHZBAHZBDICHZJUIUKULUMUKBDKZHUIULUJUNBDCLMUIUNABADNOPUIUKUMUIDRUKUMADSBCD
    QTUAUBUIULUMUKUIULJUMUKUMUKUCABDBCDUDUEUFUGUH $.

  ${
    elpreimad.f $e |- ( ph -> F Fn A ) $.
    elpreimad.b $e |- ( ph -> B e. A ) $.
    elpreimad.c $e |- ( ph -> ( F ` B ) e. C ) $.
    $( Membership in the preimage of a set under a function.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    elpreimad $p |- ( ph -> B e. ( `' F " C ) ) $=
      ( ccnv cima wcel cfv wfn wa wb elpreima syl mpbir2and ) ACEIDJKZCBKZCELDK
      ZGHAEBMSTUANOFBCDEPQR $.
  $}

  $( Membership in the preimage of a singleton, under a function.  (Contributed
     by Mario Carneiro, 12-May-2014.)  (Proof shortened by Mario Carneiro ,
     28-Apr-2015.) $)
  fniniseg $p |- ( F Fn A -> ( C e. ( `' F " { B } ) <->
                   ( C e. A /\ ( F ` C ) = B ) ) ) $=
    ( wfn ccnv csn cima wcel cfv wa wceq elpreima fvex elsn anbi2i bitrdi ) DAE
    CDFBGZHICAIZCDJZRIZKSTBLZKACRDMUAUBSTBCDNOPQ $.

  ${
    $d x A $.  $d x F $.  $d x B $.
    $( Inverse images under functions expressed as abstractions.  (Contributed
       by Stefan O'Rear, 1-Feb-2015.) $)
    fncnvima2 $p |- ( F Fn A -> ( `' F " B ) = { x e. A | ( F ` x ) e. B } ) $=
      ( wfn ccnv cima cv wcel cfv wa cab crab elpreima abbi2dv df-rab eqtr4di )
      DBEZDFCGZAHZBITDJCIZKZALUAABMRUBASBTCDNOUAABPQ $.

    $( Inverse point images under functions expressed as abstractions.
       (Contributed by Stefan O'Rear, 1-Feb-2015.) $)
    fniniseg2 $p |- ( F Fn A -> ( `' F " { B } ) =
          { x e. A | ( F ` x ) = B } ) $=
      ( wfn ccnv csn cima cfv wcel crab wceq fncnvima2 fvex elsn rabbii eqtrdi
      cv ) DBEDFCGZHARZDIZSJZABKUACLZABKABSDMUBUCABUACTDNOPQ $.
  $}

  ${
    $d x F $.  $d x A $.  $d x B $.
    $( Preimage of a union.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    unpreima $p |- ( Fun F -> ( `' F " ( A u. B ) )
                                  = ( ( `' F " A ) u. ( `' F " B ) ) ) $=
      ( vx wfun cdm wfn ccnv cun cima wceq funfn cv wcel cfv wa elpreima anbi2i
      wo elun andi bitri orbi12d syl5bb bitr4id bitrd eqrdv sylbi ) CECCFZGZCHZ
      ABIZJZUKAJZUKBJZIZKCLUJDUMUPUJDMZUMNUQUINZUQCOZULNZPZUQUPNZUIUQULCQUJVAUR
      USANZPZURUSBNZPZSZVBVAURVCVESZPVGUTVHURUSABTRURVCVEUAUBVBUQUNNZUQUONZSUJV
      GUQUNUOTUJVIVDVJVFUIUQACQUIUQBCQUCUDUEUFUGUH $.

    $( Preimage of an intersection.  (Contributed by Jeff Madsen, 2-Sep-2009.)
       (Proof shortened by Mario Carneiro, 14-Jun-2016.) $)
    inpreima $p |- ( Fun F -> ( `' F " ( A i^i B ) )
                                  = ( ( `' F " A ) i^i ( `' F " B ) ) ) $=
      ( wfun ccnv cin cima wceq funcnvcnv imain syl ) CDCEZEDLABFGLAGLBGFHCIABL
      JK $.

    $( Preimage of a difference.  (Contributed by Mario Carneiro,
       14-Jun-2016.) $)
    difpreima $p |- ( Fun F -> ( `' F " ( A \ B ) )
                                  = ( ( `' F " A ) \ ( `' F " B ) ) ) $=
      ( wfun ccnv cdif cima wceq funcnvcnv imadif syl ) CDCEZEDLABFGLAGLBGFHCIA
      BLJK $.

    $( The preimage of a restricted function.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    respreima $p |- ( Fun F -> ( `' ( F |` B ) " A )
                                    = ( ( `' F " A ) i^i B ) ) $=
      ( vx wfun cres ccnv cima cin cdm wfn cv wb funfn cfv wa biancomi elpreima
      wcel elin anbi1i fvres eleq1d adantl pm5.32i bitri an32 bitrdi wceq fnfun
      a1i funresd dmres df-fn sylanblrc syl anbi1d syl5bb 3bitr4d sylbi eqrdv )
      CEZDCBFZGAHZCGAHZBIZVBCCJZKZDLZVDSZVIVFSZMCNVHVIBVGIZSZVIVCOZASZPZVIVGSZV
      ICOZASZPZVIBSZPZVJVKVHVPVQWAPZVSPZWBVPWDMVHVPWCVOPWDVMWCVOVMVQWAVIBVGTQUA
      WCVOVSWAVOVSMVQWAVNVRAVIBCUBUCUDUEUFUKVQWAVSUGUHVHVCVLKZVJVPMVHVCEVCJVLUI
      WEVHBCVGCUJULCBUMVCVLUNUOVLVIAVCRUPVKVIVESZWAPVHWBVIVEBTVHWFVTWAVGVIACRUQ
      URUSUTVA $.
  $}

  $( The preimage of the intersection of the range of a class and a class ` A `
     is the preimage of the class ` A ` .  (Contributed by AV, 17-Sep-2024.) $)
  cnvimainrn $p |- ( Fun F -> ( `' F " ( ran F i^i A ) ) = ( `' F " A ) ) $=
    ( wfun ccnv crn cin cima inpreima wss wceq cdm cnvimass cnvimarndm sseqtrri
    df-ss mpbi ineqcomi eqtrdi ) BCBDZBEZAFGSTGZSAGZFUBTABHUBUAUBUBUAIUBUAFUBJU
    BBKUABALBMNUBUAOPQR $.

  $( The preimage of a subset is a subset of the preimage.  (Contributed by
     Brendan Leahy, 23-Sep-2017.) $)
  sspreima $p |- ( ( Fun F /\ A C_ B ) -> ( `' F " A ) C_ ( `' F " B ) ) $=
    ( wfun wss wa ccnv cima wceq inpreima df-ss biimpi imaeq2d sylan9req sylibr
    cin ) CDZABEZFCGZAHZSBHZPZTITUAEQRUBSABPZHTABCJRUCASRUCAIABKLMNTUAKO $.

  ${
    $d A x y $.  $d B y $.  $d F x y $.
    $( Preimage of an intersection.  (Contributed by FL, 16-Apr-2012.) $)
    iinpreima $p |- ( ( Fun F /\ A =/= (/) )
        -> ( `' F " |^|_ x e. A B ) = |^|_ x e. A ( `' F " B ) ) $=
      ( vy ciin cima wcel wral simpll cnvimass sseli adantl cvv fvimacnvi eliin
      wa biimpa wb wi wfun c0 wne ccnv cv cdm cfv fvex adantlr sylancr fvimacnv
      ralbidv syl21anc elv sylibr biimpd ralimdv sylc ax-mp wrex r19.2zb biimpi
      ex rexlimivw syl6 syl5bi imp syl2anc mpbid impbida eqrdv ) DUAZBUBUCZQZED
      UDZABCFZGZABVOCGZFZVNEUEZVQHZVTVSHZVNWAQZVTVRHZABIZWBWCVLVTDUFZHZVTDUGZCH
      ZABIZWEVLVMWAJWAWGVNVQWFVTDVPKLMWCWHNHZWHVPHZWJVTDUHZVLWAWLVMVTVPDOUIWKWL
      WJAWHBCNPZRUJVLWGQZWJWEWOWIWDABVTCDUKULRUMWBWESEAVTBVRNPZUNZUOVNWBQZWLWAW
      RWJWLWRVLWEWJVLVMWBJZWBWEVNWBWETEVTNHWBWEWPUPUNMVLWDWIABVLWDWIVTCDOVCUQUR
      WKWLWJSWMWNUSUOWRVLWGWLWASWSVNWBWGVMWBWGTVLWBWEVMWGWQVMWEWDABUTZWGVMWEWTT
      WDABVAVBWDWGABVRWFVTDCKLVDVEVFMVGVTVPDUKVHVIVJVK $.

    $( Preimage of an intersection.  (Contributed by FL, 28-Apr-2012.) $)
    intpreima $p |- ( ( Fun F /\ A =/= (/) )
        -> ( `' F " |^| A ) = |^|_ x e. A ( `' F " x ) ) $=
      ( wfun c0 wne wa ccnv cint cima cv ciin intiin imaeq2i iinpreima eqtrid )
      CDBEFGCHZBIZJQABAKZLZJABQSJLRTQABMNABSCOP $.
  $}

  $( Obsolete version of ~ fimacnv as of 20-Sep-2024.  (Contributed by FL,
     25-Jan-2007.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  fimacnvOLD $p |- ( F : A --> B -> ( `' F " B ) = A ) $=
    ( wf ccnv cima crn imassrn cdm dfdm4 fdm ssid eqsstrdi eqsstrrid sstrid wss
    fimass wfun wb ffun sseqtrrid funimass3 syl2anc mpbid eqssd ) ABCDZCEZBFZAU
    FUHUGGZAUGBHUFUICIZACJUFUJAAABCKZALZMNOUFCAFBPZAUHPZABCAQUFCRAUJPUMUNSABCTU
    FAAUJULUKUAABCUBUCUDUE $.

  $( Taking the converse image of a set can be limited to the range of the
     function used.  (Contributed by Thierry Arnoux, 21-Jan-2017.) $)
  fimacnvinrn $p |- ( Fun F -> ( `' F " A ) = ( `' F " ( A i^i ran F ) ) ) $=
    ( wfun ccnv crn cin cima cdm inpreima wf wceq wfo funforn fof sylbi fimacnv
    syl ineq2d cres cnvresima resdm2 funrel dfrel2 sylib eqtrid imaeq1d eqtr3id
    wrel cnveqd 3eqtrrd ) BCZBDZABEZFGULAGZULUMGZFUNBHZFZUNAUMBIUKUOUPUNUKUPUMB
    JZUOUPKUKUPUMBLURBMUPUMBNOUPUMBPQRUKUQBUPSZDZAGUNUPABTUKUTULAUKUSBUKUSULDZB
    BUAUKBUHVABKBUBBUCUDUEUIUFUGUJ $.

  $( Taking the converse image of a set can be limited to the range of the
     function used.  (Contributed by Thierry Arnoux, 17-Feb-2017.) $)
  fimacnvinrn2 $p |- ( ( Fun F /\ ran F C_ B ) ->
                                    ( `' F " A ) = ( `' F " ( A i^i B ) ) ) $=
    ( wfun crn wss ccnv cin cima inass wceq sseqin2 biimpi adantl ineq2d eqtrid
    wa imaeq2d fimacnvinrn adantr 3eqtr4rd ) CDZCEZBFZQZCGZABHZUCHZIZUFAUCHZIZU
    FUGIZUFAIZUEUHUJUFUEUHABUCHZHUJABUCJUEUNUCAUDUNUCKZUBUDUOUCBLMNOPRUBULUIKUD
    UGCSTUBUMUKKUDACSTUA $.

  ${
    rescnvimafod.f $e |- ( ph -> F Fn A ) $.
    rescnvimafod.e $e |- ( ph -> E = ( ran F i^i B ) ) $.
    rescnvimafod.d $e |- ( ph -> D = ( `' F " B ) ) $.
    $( The restriction of a function to a preimage of a class is a function
       onto the intersection of this class and the range of the function.
       (Contributed by AV, 13-Sep-2024.)  (Revised by AV, 29-Sep-2024.) $)
    rescnvimafod $p |- ( ph -> ( F |` D ) : D -onto-> E ) $=
      ( cres wfn crn wceq wfo ccnv cima cdm wss a1i cin cnvimass eqcomd 3sstr4d
      fndmd fnssresd df-ima imaeq2d fnfun funimacnv incom 3eqtrd eqtr3id eqtr4d
      wfun 3syl df-fo sylanbrc ) AFDJZDKURLZEMDEURNABDFGAFOCPZFQZDBUTVARAFCUASI
      AVABABFGUDUBUCUEAUSFLZCTZEAUSFDPZVCFDUFAVDFUTPZCVBTZVCADUTFIUGAFBKFUNVEVF
      MGBFUHCFUIUOVFVCMACVBUJSUKULHUMDEURUPUQ $.
  $}

  ${
    $d D a p $.  $d D x y z $.  $d F p $.  $d F a w x y z $.
    $( If a class' function values for certain arguments is not the empty set,
       the arguments are contained in the domain of the class, and the class
       restricted to the arguments is a function, analogous to ~ fvfundmfvn0 .
       (Contributed by AV, 27-Jan-2020.)  (Proof shortened by Peter Mazsa,
       2-Oct-2022.) $)
    fvn0ssdmfun $p |- ( A. a e. D ( F ` a ) =/= (/)
                        -> ( D C_ dom F /\ Fun ( F |` D ) ) ) $=
      ( vx vz vy vw cv wral wcel cres wfun wa weq wi wal wex sylibr albii exbii
      vp cfv wne cdm csn wss fvfundmfvn0 ralimi r19.26 eleq1w rspccv ssrdv ciun
      wrel cop funrel reliun sneq reseq2d funeqd rspcva dffun5 wceq vex elsnres
      c0 imbi1i equcom opeq12 syl5bi adantr impcom opeq2 equcoms eleq1d biimpcd
      adantl jca spimevw imim1d alimdv eximdv spimvw sylbi simplbiim syl expcom
      impexp 19.21v 19.37v 3bitri alrimiv resiun2 eqcomi iunid reseq2i opelresi
      ex eleq2i sylanbrc funeqi bitri anim12i ) CHZBUBVFUCZCAIXDBUDZJZBXDUEZKZL
      ZMZCAIZAXFUFZBAKZLZMZXEXKCAXDBUGUHXLXGCAIZXJCAIZMXPXGXJCAUIXQXMXRXOXQUAAX
      FXGUAHZXFJCXSACUAXFUJUKULXRCAXIUMZLZXOXRXTUNZDHZEHZUOZXTJZEFNZOZEPZFQZDPZ
      YAXRXIUNZCAIYBXJYLCAXIUPUHCAXIUQRXRYCAJZYEBJZMZYGOZEPZFQZDPYKXRYRDXRYMYNY
      GOZEPZFQZOZYRYMXRUUAYMXRMBYCUEZKZLZUUAXJUUECYCACDNZXIUUDUUFXHUUCBXDYCURUS
      UTVAUUEUUDUNGHZYDUOZUUDJZYGOZEPZFQZGPZUUAGEFUUDVBUUMUUHYCXDUOZVCZUUNBJZMZ
      CQZYGOZEPZFQZGPUUAUULUVAGUUKUUTFUUJUUSEUUIUURYGCUUHBYCDVDVEVGSTSUVAUUAGDG
      DNZUUTYTFUVBUUSYSEUVBYNUURYGUVBYNUURUVBYNMZUUQCECENZUVCUUQUVDUVCMUUOUUPUV
      CUVDUUOUVBUVDUUOOYNUVDECNZUVBUUOCEVHUVBUVEUUOUUGYDYCXDVIWRVJVKVLUVCUVDUUP
      YNUVDUUPOUVBUVDYNUUPUVDYEUUNBYEUUNVCECYDXDYCVMVNVOVPVQVLVRWRVSWRVTWAWBWCW
      DWEWFWGYRYMYSOZEPZFQYMYTOZFQUUBYQUVGFYPUVFEYMYNYGWHSTUVGUVHFYMYSEWITYMYTF
      WJWKRWLYJYRDYIYQFYHYPEYFYOYGYFYEBCAXHUMZKZJYEXNJYOXTUVJYEUVJXTCAXHBWMZWNW
      SUVJXNYEUVIABCAWOZWPWSAYCYDBEVDWQWKVGSTSRDEFXTVBWTXOUVJLYAXNUVJAUVIBUVIAU
      VLWNWPXAUVJXTUVKXAXBRXCWDWF $.
  $}

  $( Ordered pair with function value.  Part of Theorem 4.3(i) of [Monk1]
     p. 41.  (Contributed by NM, 30-Sep-2004.) $)
  fnopfv $p |- ( ( F Fn A /\ B e. A ) -> <. B , ( F ` B ) >. e. F ) $=
    ( cfv cop wcel funfvop funfni ) BBCDECFABCBCGH $.

  ${
    $d x y F $.  $d x A $.
    $( A function's value belongs to its range.  (Contributed by NM,
       14-Oct-1996.) $)
    fvelrn $p |- ( ( Fun F /\ A e. dom F ) -> ( F ` A ) e. ran F ) $=
      ( vx vy wfun cdm wcel cfv cv wa wi wceq eleq1 anbi2d fveq2 eleq1d imbi12d
      crn cop wex funfvop vex opeq1 spcev syl fvex elrn2 sylibr vtoclg anabsi7
      ) BEZABFZGZABHZBRZGZUKCIZULGZJZUQBHZUOGZKUKUMJZUPKCAULUQALZUSVBVAUPVCURUM
      UKUQAULMNVCUTUNUOUQABOPQUSDIZUTSZBGZDTZVAUSUQUTSZBGZVGUQBUAVFVIDUQCUBVDUQ
      LVEVHBVDUQUTUCPUDUEDUTBUQBUFUGUHUIUJ $.
  $}

  $( A function value cannot be any element not contained in the range of the
     function.  (Contributed by AV, 28-Jan-2020.) $)
  nelrnfvne $p |- ( ( Fun F /\ X e. dom F /\ Y e/ ran F )
                    -> ( F ` X ) =/= Y ) $=
    ( wfun cdm wcel cfv crn wnel wne fvelrn elnelne2 stoic3 ) ADBAEFBAGZAHZFCOI
    NCJBAKNCOLM $.

  ${
    $d A a b x $.  $d B a b x $.  $d D a x $.
    fveqdmss.1 $e |- D = dom B $.
    $( If the empty set is not contained in the range of a function, and the
       function values of another class (not necessarily a function) are equal
       to the function values of the function for all elements of the domain of
       the function, then the domain of the function is contained in the domain
       of the class.  (Contributed by AV, 28-Jan-2020.) $)
    fveqdmss $p |- ( ( Fun B /\ (/) e/ ran B
                       /\ A. x e. D ( A ` x ) = ( B ` x ) ) -> D C_ dom A ) $=
      ( va vb wfun c0 crn wnel cv cfv wceq w3a cdm wcel wi fveq2 com12 wral weq
      wa eqeq12d rspcva wne nelrnfvne wex n0 eleq2 eqcoms elfvdm syl6bi exlimiv
      wb sylbi syl 3exp eleq2s com24 adantr mpd ex com23 com14 3imp ssrdv ) CHZ
      ICJKZALZBMZVJCMZNZADUAZOFDBPZVHVIVNFLZDQZVPVOQZRVQVIVNVHVRVQVNVIVHVRRZVQV
      NVIVSRZVQVNUCVPBMZVPCMZNZVTVMWCAVPDAFUBVKWAVLWBVJVPBSVJVPCSUDUEVQWCVTRVNV
      QVHVIWCVRVHVIWCVRRZRZRVPCPZDVHVPWFQZWEVHWGVIWDVHWGVIOWBIUFZWDCVPIUGWHGLZW
      BQZGUHWDGWBUIWJWDGWCWJVRWCWJWIWAQZVRWJWKUOWBWAWBWAWIUJUKWIVPBULUMTUNUPUQU
      RTEUSUTVAVBVCVDVEVFVG $.

    $( If the empty set is not contained in the range of a function, and the
       function values of another class (not necessarily a function) are equal
       to the function values of the function for all elements of the domain of
       the function, then the class restricted to the domain of the function is
       the function itself.  (Contributed by AV, 28-Jan-2020.) $)
    fveqressseq $p |- ( ( Fun B /\ (/) e/ ran B
                    /\ A. x e. D ( A ` x ) = ( B ` x ) ) -> ( A |` D ) = B ) $=
      ( wfun c0 cfv wceq wral cdm cin biimpi eqtrid syl wa wcel adantl ralimdva
      3impia crn wnel cv w3a cres wss fveqdmss dmres incom sseqin2 eqtrdi fvres
      id sylan9eq ex raleqdv mpbird wb wne simpll eleq2i simplr nelrnfvne neeq1
      syl3anc syl5ibrcom fvn0ssdmfun simprd simp1 eqfunfv syl2anc mpbir2and ) C
      FZGCUAUBZAUCZBHZVOCHZIZADJZUDZBDUEZCIZWAKZCKZIZVOWAHZVQIZAWCJZVTDBKZUFZWE
      ABCDEUGZWJWCDWDWJWCDWILZDBDUHZWJWLWIDLZDDWIUIWJWNDIDWIUJMNZNEUKOVTWHWGADJ
      ZVMVNVSWPVMVNPZVRWGADWQVODQZPZVRWGWSVRWFVPVQWRWFVPIWQVODBULRVRUMUNUOSTVTW
      GAWCDVTWCWLDWMVTWJWLDIWKWOONUPUQVTWAFZVMWBWEWHPURVTVPGUSZADJZWTVMVNVSXBWQ
      VRXAADWSXAVRVQGUSZWSVMVOWDQZVNXCVMVNWRUTWRXDWQWRXDDWDVOEVAMRVMVNWRVBCVOGV
      CVEVPVQGVDVFSTXBWJWTDBAVGVHOVMVNVSVIAWACVJVKVL $.
  $}

  $( A function's value belongs to its range.  (Contributed by NM,
     15-Oct-1996.) $)
  fnfvelrn $p |- ( ( F Fn A /\ B e. A ) -> ( F ` B ) e. ran F ) $=
    ( cfv crn wcel fvelrn funfni ) BCDCEFABCBCGH $.

  $( A function's value belongs to its codomain.  (Contributed by NM,
     12-Aug-1999.) $)
  ffvelrn $p |- ( ( F : A --> B /\ C e. A ) -> ( F ` C ) e. B ) $=
    ( wf wcel wa cfv crn wfn ffn fnfvelrn sylan wi frn sseld adantr mpd ) ABDEZ
    CAFZGCDHZDIZFZUABFZSDAJTUCABDKACDLMSUCUDNTSUBBUAABDOPQR $.

  ${
    ffvrni.1 $e |- F : A --> B $.
    $( A function's value belongs to its codomain.  (Contributed by NM,
       6-Apr-2005.) $)
    ffvelrni $p |- ( C e. A -> ( F ` C ) e. B ) $=
      ( wf wcel cfv ffvelrn mpan ) ABDFCAGCDHBGEABCDIJ $.
  $}

  ${
    ffvelrnd.1 $e |- ( ph -> F : A --> B ) $.
    $( A function's value belongs to its codomain.  (Contributed by Mario
       Carneiro, 29-Dec-2016.) $)
    ffvelrnda $p |- ( ( ph /\ C e. A ) -> ( F ` C ) e. B ) $=
      ( wf wcel cfv ffvelrn sylan ) ABCEGDBHDEICHFBCDEJK $.

    ffvelrnd.2 $e |- ( ph -> C e. A ) $.
    $( A function's value belongs to its codomain.  (Contributed by Mario
       Carneiro, 29-Dec-2016.) $)
    ffvelrnd $p |- ( ph -> ( F ` C ) e. B ) $=
      ( wcel cfv ffvelrnda mpdan ) ADBHDEICHGABCDEFJK $.
  $}

  ${
    $d x y A $.  $d x y F $.  $d x ps $.  $d y ph $.
    rexrn.1 $e |- ( x = ( F ` y ) -> ( ph <-> ps ) ) $.
    $( Restricted existential quantification over the range of a function.
       (Contributed by Mario Carneiro, 24-Dec-2013.)  (Revised by Mario
       Carneiro, 20-Aug-2014.) $)
    rexrn $p |- ( F Fn A -> ( E. x e. ran F ph <-> E. y e. A ps ) ) $=
      ( wfn cv cfv crn cvv wcel wa fvexd wceq wrex fvelrnb eqcom rexbii bitrdi
      wb adantl rexxfr2d ) FEHZABCDDIZFJZFKZELUEUFEMNUFFOUECIZUHMUGUIPZDEQUIUGP
      ZDEQDEUIFRUJUKDEUGUISTUAUKABUBUEGUCUD $.

    $( Restricted universal quantification over the range of a function.
       (Contributed by Mario Carneiro, 24-Dec-2013.)  (Revised by Mario
       Carneiro, 20-Aug-2014.) $)
    ralrn $p |- ( F Fn A -> ( A. x e. ran F ph <-> A. y e. A ps ) ) $=
      ( wfn cv cfv crn cvv wcel wa fvexd wceq wrex fvelrnb eqcom rexbii bitrdi
      wb adantl ralxfr2d ) FEHZABCDDIZFJZFKZELUEUFEMNUFFOUECIZUHMUGUIPZDEQUIUGP
      ZDEQDEUIFRUJUKDEUGUISTUAUKABUBUEGUCUD $.
  $}

  ${
    $d F x y $.  $d Y x y $.
    $( For any element in the range of a function there is an element in the
       domain of the function for which the function value is the element of
       the range.  (Contributed by Alexander van der Vekens, 8-Dec-2017.) $)
    elrnrexdm $p |- ( Fun F -> ( Y e. ran F
                                 -> E. x e. dom F Y = ( F ` x ) ) ) $=
      ( vy wfun crn wcel cv wceq cfv cdm wa eqidd ancli adantl eqeq2 rspcev syl
      wrex ex wfn wb funfn rexrn sylbi sylibd ) BEZCBFZGZCDHZIZDUHSZCAHBJZIZABK
      ZSZUGUIULUGUILUICCIZLZULUIURUGUIUQUICMNOUKUQDCUHUJCCPQRTUGBUOUAULUPUBBUCU
      KUNDAUOBUJUMCPUDUEUF $.

    $( For any element in the range of a function there is an element in the
       domain of the function for which the function value is the element of
       the range.  (Contributed by Alexander van der Vekens, 17-Dec-2017.) $)
    elrnrexdmb $p |- ( Fun F -> ( Y e. ran F
                                 <-> E. x e. dom F Y = ( F ` x ) ) ) $=
      ( wfun crn wcel cv cfv wceq cdm wrex wfn funfn fvelrnb sylbi eqcom rexbii
      wb bitr4di ) BDZCBEFZAGBHZCIZABJZKZCUBIZAUDKTBUDLUAUERBMAUDCBNOUFUCAUDCUB
      PQS $.

    $( For any element in the domain of a function there is an element in the
       range of the function which is the function value for the element of the
       domain.  (Contributed by Alexander van der Vekens, 8-Dec-2017.) $)
    eldmrexrn $p |- ( Fun F -> ( Y e. dom F
                                 -> E. x e. ran F x = ( F ` Y ) ) ) $=
      ( wfun cdm wcel cv cfv wceq crn wrex wa fvelrn eqid eqeq1 rspcev sylancl
      ex ) BDZCBEFZAGZCBHZIZABJZKZSTLUBUDFUBUBIZUECBMUBNUCUFAUBUDUAUBUBOPQR $.

    $( For any element in the domain of a function, there is an element in the
       range of the function which is the value of the function at that
       element.  Because of the definition ~ df-fv of the value of a function,
       the theorem is only valid in general if the empty set is not contained
       in the range of the function (the implication "to the right" is always
       valid).  Indeed, with the definition ~ df-fv of the value of a function,
       ` ( F `` Y ) = (/) ` may mean that the value of ` F ` at ` Y ` is the
       empty set or that ` F ` is not defined at ` Y ` .  (Contributed by
       Alexander van der Vekens, 17-Dec-2017.) $)
    eldmrexrnb $p |- ( ( Fun F /\ (/) e/ ran F )
                         -> ( Y e. dom F <-> E. x e. ran F x = ( F ` Y ) ) ) $=
      ( vy wfun c0 crn wnel wa cdm wcel cv cfv wceq wrex eldmrexrn adantr eleq1
      wi wne elnelne2 wex n0 elfvdm exlimiv sylbi syl expcom adantl com12 com13
      syl6bi rexlimdv impbid ) BEZFBGZHZIZCBJKZALZCBMZNZAUPOZUOUSVCSUQABCPQURVB
      USAUPVBUTUPKZURUSVBVDVAUPKZURUSSUTVAUPRURVEUSUQVEUSSUOVEUQUSVEUQIVAFTZUSV
      AFUPUAVFDLZVAKZDUBUSDVAUCVHUSDVGCBUDUEUFUGUHUIUJULUKUMUN $.
  $}

  ${
    $d x F $.  $d x G $.  $d x H $.  $d x K $.  $d x X $.
    $( The values of two function compositions are equal if the values of the
       composed functions are pairwise equal.  (Contributed by AV,
       26-Jan-2019.) $)
    fvcofneq $p |- ( ( G Fn A /\ K Fn B )
                  -> ( ( X e. ( A i^i B ) /\ ( G ` X ) = ( K ` X )
                         /\ A. x e. ( ran G i^i ran K ) ( F ` x ) = ( H ` x ) )
                       -> ( ( F o. G ) ` X ) = ( ( H o. K ) ` X ) ) ) $=
      ( wfn wa cin wcel cfv wceq crn ccom 3ad2ant1 fvco2 fveq2 ex cv wral simpl
      elinel1 syl2an simpr elinel2 eqcoms 3ad2ant2 adantl wi id syl2anr anim12d
      fnfvelrn wb eleq1 anbi2d elin biimpri syl6bi sylan9 eqeq12d rspcva eqcomd
      w3a syl6 com23 3impia impcom 3eqtrrd eqtrd ) EBIZGCIZJZHBCKLZHEMZHGMZNZAU
      AZDMZVTFMZNZAEOZGOZKZUBZVFZHDEPMZHFGPMZNVOWHJZWIVQDMZWJVOVMHBLZWIWLNWHVMV
      NUCVPVSWMWGHBCUDZQBDEHRUEWKWJVRFMZVQFMZWLVOVNHCLZWJWONWHVMVNUFVPVSWQWGHBC
      UGZQCFGHRUEWHWOWPNZVOVSVPWSWGWSVRVQVRVQFSUHUIUJWHVOWPWLNZVPVSWGVOWTUKVPVS
      JZVOWGWTXAVOVQWFLZWGWTUKVPVOVQWDLZVRWELZJZVSXBVPVMXCVNXDVPVMXCVMVMWMXCVPV
      MULWNBHEUOUMTVPVNXDVNVNWQXDVPVNULWRCHGUOUMTUNVSXEXCVQWELZJZXBVSXDXFXCXDXF
      UPVRVQVRVQWEUQUHURXBXGVQWDWEUSUTVAVBXBWGWTXBWGJWLWPWCWLWPNAVQWFVTVQNWAWLW
      BWPVTVQDSVTVQFSVCVDVETVGVHVIVJVKVLT $.
  $}

  ${
    $d w z A $.  $d x y z $.  $d x z A $.  $d w y z $.  $d y B $.  $d y ch $.
    $d w y z F $.  $d w z ps $.  $d x z ps $.
    ralrnmptw.1 $e |- F = ( x e. A |-> B ) $.
    ralrnmptw.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( A restricted quantifier over an image set.  Version of ~ ralrnmpt with a
       disjoint variable condition, which does not require ~ ax-13 .
       (Contributed by Mario Carneiro, 20-Aug-2015.)  (Revised by Gino Giotto,
       26-Jan-2024.) $)
    ralrnmptw $p |- ( A. x e. A B e. V ->
      ( A. y e. ran F ps <-> A. x e. A ch ) ) $=
      ( vw vz wcel wral cv cfv wsbc wb syl nfv crn fnmpt dfsbcq nfsbc1v sbceq2a
      wfn ralrn cbvralw cmpt nfmpt1 nfcxfr nfcv nffv nfsbcw weq sbceq1d 3bitr3g
      fveq2 wa fvmpt2 sbcieg adantl bitrd ralimiaa ralbi ) FHMZCENZADGUAZNZADCO
      ZGPZQZCENZBCENZVGADKOZQZKVHNZADLOZGPZQZLENZVIVMVGGEUFVQWARCEFGHIUBVPVTKLE
      GADVOVSUCUGSVPAKDVHADVOUDAKTADVOUEUHVTVLLCEACDVSCVRGCGCEFUIICEFUJUKCVRULU
      MACTUNVLLTLCUOADVSVKVRVJGURUPUHUQVGVLBRZCENVMVNRVFWBCEVJEMZVFUSZVLADFQZBW
      DADVKFCEFHGIUTUPVFWEBRWCABDFHJVAVBVCVDVLBCEVESVC $.
    $( $j usage 'ralrnmptw' avoids 'ax-13'; $)
  $}

  ${
    $d x y $.  $d A x $.  $d B y $.  $d ch y $.  $d F y $.  $d ps x $.
    rexrnmptw.1 $e |- F = ( x e. A |-> B ) $.
    rexrnmptw.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( A restricted quantifier over an image set.  Version of ~ rexrnmpt with a
       disjoint variable condition, which does not require ~ ax-13 .
       (Contributed by Mario Carneiro, 20-Aug-2015.)  (Revised by Gino Giotto,
       26-Jan-2024.) $)
    rexrnmptw $p |- ( A. x e. A B e. V ->
      ( E. y e. ran F ps <-> E. x e. A ch ) ) $=
      ( wcel wral wn crn wrex cv wceq notbid ralrnmptw dfrex2 3bitr4g ) FHKCELZ
      AMZDGNZLZMBMZCELZMADUDOBCEOUBUEUGUCUFCDEFGHIDPFQABJRSRADUDTBCETUA $.
    $( $j usage 'rexrnmptw' avoids 'ax-13'; $)
  $}

  ${
    $d w x z A $.  $d y B $.  $d y ch $.  $d w y z F $.  $d w x z ps $.
    ralrnmpt.1 $e |- F = ( x e. A |-> B ) $.
    ralrnmpt.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( A restricted quantifier over an image set.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ ralrnmptw
       when possible.  (Contributed by Mario Carneiro, 20-Aug-2015.)
       (New usage is discouraged.) $)
    ralrnmpt $p |- ( A. x e. A B e. V ->
      ( A. y e. ran F ps <-> A. x e. A ch ) ) $=
      ( vw vz wcel wral cv cfv wsbc wb syl nfv crn fnmpt dfsbcq nfsbc1v sbceq1a
      wfn ralrn cbvral bicomi cmpt nfmpt1 nfcxfr nfcv nfsbc weq sbceq1d 3bitr3g
      nffv fveq2 wa fvmpt2 sbcieg adantl bitrd ralimiaa ralbi ) FHMZCENZADGUAZN
      ZADCOZGPZQZCENZBCENZVHADKOZQZKVINZADLOZGPZQZLENZVJVNVHGEUFVRWBRCEFGHIUBVQ
      WAKLEGADVPVTUCUGSVJVRAVQDKVIAKTADVPUDADVPUEUHUIWAVMLCEACDVTCVSGCGCEFUJICE
      FUKULCVSUMURACTUNVMLTLCUOADVTVLVSVKGUSUPUHUQVHVMBRZCENVNVORVGWCCEVKEMZVGU
      TZVMADFQZBWEADVLFCEFHGIVAUPVGWFBRWDABDFHJVBVCVDVEVMBCEVFSVD $.

    $( A restricted quantifier over an image set.  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use the weaker ~ rexrnmptw
       when possible.  (Contributed by Mario Carneiro, 20-Aug-2015.)
       (New usage is discouraged.) $)
    rexrnmpt $p |- ( A. x e. A B e. V ->
      ( E. y e. ran F ps <-> E. x e. A ch ) ) $=
      ( wcel wral wn crn wrex cv wceq notbid ralrnmpt dfrex2 3bitr4g ) FHKCELZA
      MZDGNZLZMBMZCELZMADUDOBCEOUBUEUGUCUFCDEFGHIDPFQABJRSRADUDTBCETUA $.
  $}

  ${
    f0cl.1 $e |- F : A --> B $.
    f0cl.2 $e |- (/) e. B $.
    $( Unconditional closure of a function when the range includes the empty
       set.  (Contributed by Mario Carneiro, 12-Sep-2013.) $)
    f0cli $p |- ( F ` C ) e. B $=
      ( wcel cfv ffvelrni cdm fdmi eleq2i wn c0 ndmfv eqeltrdi sylnbir pm2.61i
      ) CAGZCDHZBGZABCDEISCDJZGZUAUBACABDEKLUCMTNBCDOFPQR $.
  $}

  $( Alternate definition of a mapping.  (Contributed by NM, 14-Nov-2007.) $)
  dff2 $p |- ( F : A --> B <-> ( F Fn A /\ F C_ ( A X. B ) ) ) $=
    ( wf wfn cxp wss wa ffn fssxp jca crn rnss rnxpss sstrdi anim2i df-f sylibr
    impbii ) ABCDZCAEZCABFZGZHZTUAUCABCIABCJKUDUACLZBGZHTUCUFUAUCUEUBLBCUBMABNO
    PABCQRS $.

  ${
    $d f g x y z A $.  $d f g x y z B $.  $d x y z F $.
    $( Alternate definition of a mapping.  (Contributed by NM, 20-Mar-2007.) $)
    dff3 $p |- ( F : A --> B <->
              ( F C_ ( A X. B ) /\ A. x e. A E! y x F y ) ) $=
      ( vz cxp wss cv wbr weu wa wcel wex cop sylibr adantr sylanbrc wi syl6 wf
      wral fssxp wmo cfv wfun cdm ffun fdm eleq2d biimpar funfvop syl2an2r fvex
      df-br breq2 spcev syl funmo df-eu ralrimiva jca wfn crn wceq wrel wal cvv
      xpss sstr df-rel df-ral eumo imim2i adantl wn ssel syl5bi opelxp1 exlimdv
      mpan2 con3d nexmo pm2.61d alimdv imp dffun6 dmss dmxpss sstrdi weq eubidv
      ex breq1 rspccv euex vex eldm ssrdv anim12i eqss df-fn rnss rnxpss impbii
      df-f ) CDEUAZECDGZHZAIZBIZEJZBKZACUBZLZXGXIXNCDEUCXGXMACXGXJCMZLZXLBNZXLB
      UDZXMXQXJXJEUEZEJZXRXQXJXTOEMZYAXGEUFZXPXJEUGZMZYBCDEUHZXGYEXPXGYDCXJCDEU
      IUJUKXJEULUMXJXTEUOPXLYABXTXJEUNXKXTXJEUPUQURXGXSXPXGYCXSYFBXJEUSURQXLBUT
      RVAVBXOECVCZEVDZDHZXGXOYCYDCVEZYGXOEVFZXSAVGZYCXIYKXNXIEVHVHGZHZYKXIXHYMH
      YNCDVIEXHYMVJWAEVKPQXIXNYLXNXPXMSZAVGXIYLXMACVLXIYOXSAXIYOXSXIYOLXPXSYOXP
      XSSXIXMXSXPXLBVMVNVOXIXPVPZXSSYOXIYPXRVPXSXIXRXPXIXLXPBXIXLXJXKOZXHMZXPXL
      YQEMXIYRXJXKEUOEXHYQVQVRXJXKCDVSTVTWBXLBWCTQWDWMWEVRWFABEWGRXOYDCHZCYDHZL
      YJXIYSXNYTXIYDXHUGCEXHWHCDWIWJXNFCYDXNFIZCMUUAXKEJZBKZUUAYDMZXMUUCAUUACAF
      WKXLUUBBXJUUAXKEWNWLWOUUCUUBBNUUDUUBBWPBUUAEFWQWRPTWSWTYDCXAPECXBRXIYIXNX
      IYHXHVDDEXHXCCDXDWJQCDEXFRXE $.

    $( Alternate definition of a mapping.  (Contributed by NM, 20-Mar-2007.) $)
    dff4 $p |- ( F : A --> B <->
              ( F C_ ( A X. B ) /\ A. x e. A E! y e. B x F y ) ) $=
      ( wf cxp wss cv wbr weu wral wa wreu dff3 wcel cop df-br ssel opelxp2
      syl6 syl5bi pm4.71rd eubidv df-reu bitr4di ralbidv pm5.32i bitri ) CDEFEC
      DGZHZAIZBIZEJZBKZACLZMUKUNBDNZACLZMABCDEOUKUPURUKUOUQACUKUOUMDPZUNMZBKUQU
      KUNUTBUKUNUSUNULUMQZEPZUKUSULUMERUKVBVAUJPUSEUJVASULUMCDTUAUBUCUDUNBDUEUF
      UGUHUI $.

    $( An onto mapping expressed in terms of function values.  (Contributed by
       NM, 29-Oct-2006.) $)
    dffo3 $p |- ( F : A -onto-> B <-> ( F : A --> B /\
                  A. y e. B E. x e. A y = ( F ` x ) ) ) $=
      ( wfo wf crn wceq wa cv cfv wrex wral dffo2 cab wb wcel wal wi wfn fnrnfv
      ffn eqeq1d dfbi2 simpr ffvelrn adantr eqeltrd rexlimdva2 biantrurd albidv
      syl bitr4id abeq1 df-ral 3bitr4g bitrd pm5.32i bitri ) CDEFCDEGZEHZDIZJVA
      BKZAKZELZIZACMZBDNZJCDEOVAVCVIVAVCVHBPZDIZVIVAECUAZVCVKQCDEUCVLVBVJDABCEU
      BUDUMVAVHVDDRZQZBSVMVHTZBSVKVIVAVNVOBVAVNVHVMTZVOJVOVHVMUEVAVPVOVAVGVMACV
      AVECRJZVGJVDVFDVQVGUFVQVFDRVGCDVEEUGUHUIUJUKUNULVHBDUOVHBDUPUQURUSUT $.

    $( Alternate definition of an onto mapping.  (Contributed by NM,
       20-Mar-2007.) $)
    dffo4 $p |- ( F : A -onto-> B <->
                ( F : A --> B /\ A. y e. B E. x e. A x F y ) ) $=
      ( wfo wf cv wbr wrex wral wa crn wceq dffo2 simpl wcel wex vex wi bitr3id
      elrn eleq2 biimpar adantll wfn ffn fnbr syl ancrd eximdv syl6ibr ad2antrr
      ex df-rex mpd ralrimiva jca sylbi cfv fnbrfvb eqcom syl6ib sylan reximdva
      biimprd ralimdv imdistani dffo3 sylibr impbii ) CDEFZCDEGZAHZBHZEIZACJZBD
      KZLZVLVMEMZDNZLZVSCDEOWBVMVRVMWAPWBVQBDWBVODQZLVPARZVQWAWCWDVMWAWDWCWDVOV
      TQWAWCAVOEBSUBVTDVOUCUAUDUEVMWDVQTWAWCVMWDVNCQZVPLZARVQVMVPWFAVMVPWEVMECU
      FZVPWETCDEUGZWGVPWECVNVOEUHUNUIUJUKVPACUOULUMUPUQURUSVSVMVOVNEUTZNZACJZBD
      KZLVLVMVRWLVMVQWKBDVMVPWJACVMWGWEVPWJTWHWGWELZVPWIVONZWJWMWNVPCVNVOEVAVFW
      IVOVBVCVDVEVGVHABCDEVIVJVK $.

    $( Alternate definition of an onto mapping.  (Contributed by NM,
       20-Mar-2007.) $)
    dffo5 $p |- ( F : A -onto-> B <->
                ( F : A --> B /\ A. y e. B E. x x F y ) ) $=
      ( wfo wf cv wbr wrex wral wa wex dffo4 rexex ralimi anim2i wcel wfn wi ex
      ffn fnbr syl ancrd eximdv df-rex syl6ibr ralimdv imdistani impbii bitri )
      CDEFCDEGZAHZBHZEIZACJZBDKZLZUMUPAMZBDKZLZABCDENUSVBURVAUMUQUTBDUPACOPQUMV
      AURUMUTUQBDUMUTUNCRZUPLZAMUQUMUPVDAUMUPVCUMECSZUPVCTCDEUBVEUPVCCUNUOEUCUA
      UDUEUFUPACUGUHUIUJUKUL $.

    $( A relation equivalent to the existence of an onto mapping.  The
       right-hand ` f ` is not necessarily a function.  (Contributed by NM,
       20-Mar-2007.) $)
    exfo $p |- ( E. f f : A -onto-> B <->
           E. f ( A. x e. A E! y e. B x f y /\ A. x e. B E. y e. A y f x ) ) $=
      ( vg cv wfo wex wbr wreu wral wrex wa wf dffo4 wss dff4 sylibr foeq1 wceq
      cxp simprbi anim1i sylbi eximi cin crn wcel brinxp reubidva ralimia inss2
      biimpd jctil rninxp biimpri anim12i dffo2 vex inex1 spcev exlimiv cbvexvw
      syl sylib impbii ) CDEGZHZEIZAGZBGZVHJZBDKZACLZVLVKVHJBCMADLZNZEIZVIVQEVI
      CDVHOZVPNVQBACDVHPVSVOVPVSVHCDUBZQVOABCDVHRUCUDUEUFVRCDFGZHZFIZVJVQWCEVQC
      DVHVTUGZHZWCVQCDWDOZWDUHDUAZNWEVOWFVPWGVOWDVTQZVKVLWDJZBDKZACLZNWFVOWKWHV
      NWJACVKCUIZVNWJWLVMWIBDVKVLCDVHUJUKUNULVHVTUMUOABCDWDRSWGVPBACDVHUPUQURCD
      WDUSSWBWEFWDVHVTEUTVACDWAWDTVBVEVCWBVIFECDWAVHTVDVFVG $.
  $}

  ${
    $d F x y $.  $d A x y $.  $d B x y $.  $d C x y $.
    $( Property of a surjective function.  (Contributed by Jeff Madsen,
       4-Jan-2011.) $)
    foelrn $p |- ( ( F : A -onto-> B /\ C e. B )
                                  -> E. x e. A C = ( F ` x ) ) $=
      ( vy wfo cv wceq wrex wral wcel dffo3 simprbi eqeq1 rexbidv rspccva sylan
      cfv wf ) BCEGZFHZAHESZIZABJZFCKZDCLDUCIZABJZUABCETUFAFBCEMNUEUHFDCUBDIUDU
      GABUBDUCOPQR $.
  $}

  ${
    $d F x y z $.  $d G x y z $.  $d A y z $.  $d B x y z $.  $d C x y z $.
    $( If a composition of two functions is surjective, then the function on
       the left is surjective.  (Contributed by Jeff Madsen, 16-Jun-2011.)
       (Proof shortened by JJ, 14-Jul-2021.) $)
    foco2 $p |- ( ( F : B --> C /\ G : A --> B /\
                        ( F o. G ) : A -onto-> C ) -> F : B -onto-> C ) $=
      ( vy vx vz wf ccom wfo wa cv cfv wceq wrex wral w3a wcel foelrn rexlimdva
      ffvelrn fvco3 fveq2 rspceeqv syl2anc eqeq1 syl5ibrcom syl5 impl ralrimiva
      rexbidv anim2i 3anass dffo3 3imtr4i ) BCDIZABEIZACDEJZKZLZLUQFMZGMZDNZOZG
      BPZFCQZLUQURUTRBCDKVAVGUQVAVFFCURUTVBCSZVFUTVHLVBHMZUSNZOZHAPURVFHACVBUST
      URVKVFHAURVIASLZVFVKVJVDOZGBPZVLVIENZBSVJVODNZOVNABVIEUBABVIDEUCGVOBVDVPV
      JVCVODUDUEUFVKVEVMGBVBVJVDUGULUHUAUIUJUKUMUQURUTUNGFBCDUOUP $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d y z C $.  $d y z F $.
    fmpt.1 $e |- F = ( x e. A |-> C ) $.
    $( Functionality of the mapping operation.  (Contributed by Mario Carneiro,
       26-Jul-2013.)  (Revised by Mario Carneiro, 31-Aug-2015.) $)
    fmpt $p |- ( A. x e. A C e. B <-> F : A --> B ) $=
      ( vy wcel wral wf wfn crn wss fnmpt cv wceq wrex cab rnmpt wa biimparc ex
      r19.29 rexlimivw syl abssdv eqsstrid df-f sylanbrc crab ccnv cima fimacnv
      eleq1 mptpreima eqtr3di rabid2 sylib impbii ) DCHZABIZBCEJZVAEBKELZCMVBAB
      DECFNVAVCGOZDPZABQZGRCAGBDEFSVAVFGCVAVFVDCHZVAVFTUTVETZABQVGUTVEABUCVHVGA
      BVEVGUTVDDCUNUAUDUEUBUFUGBCEUHUIVBBUTABUJZPVAVBEUKCULBVIBCEUMABDCEFUOUPUT
      ABUQURUS $.

    $( Express bijection for a mapping operation.  (Contributed by Mario
       Carneiro, 30-May-2015.)  (Revised by Mario Carneiro, 4-Dec-2016.) $)
    f1ompt $p |- ( F : A -1-1-onto-> B <->
        ( A. x e. A C e. B /\ A. y e. B E! x e. A y = C ) ) $=
      ( vz wa cv wceq wral wcel wfn wbr weu nfcv bitri vex 3bitr4i wf wf1o wreu
      ccnv wb ffn dff1o4 baib syl cres fnres cmpt nfmpt1 nfcxfr nfv breq1 copab
      nfbr df-mpt eqtri breqi cop df-br bitrdi cbveuw brcnv eubii df-reu ralbii
      opabidw wrel cdm wss relcnv crn df-rn frn relssres sylancr fneq1d bitr3id
      eqsstrrid bitr4d pm5.32i f1of pm4.71ri fmpt anbi1i ) CDFUAZCDFUBZIWIBJZEK
      ZACUCZBDLZIWJEDMACLZWNIWIWJWNWIWJFUDZDNZWNWIFCNZWJWQUECDFUFWJWRWQCDFUGUHU
      IWNWPDUJZDNZWIWQWTWKHJZWPOZHPZBDLWNBHDWPUKXCWMBDXAWKFOZHPAJZCMWLIZAPXCWMX
      DXFHAAXAWKFAXAQAFACEULZGACEUMUNAWKQURXFHUOXAXEKXDXEWKFOZXFXAXEWKFUPXHXEWK
      XFABUQZOZXFXEWKFXIFXGXIGABCEUSUTVAXJXEWKVBXIMXFXEWKXIVCXFABVJRRVDVEXBXDHW
      KXAFBSHSVFVGWLACVHTVIRWIDWSWPWIWPVKWPVLZDVMWSWPKFVNWIXKFVODFVPCDFVQWBWPDV
      RVSVTWAWCWDWJWICDFWEWFWOWIWNACDEFGWGWHT $.

    fmpti.2 $e |- ( x e. A -> C e. B ) $.
    $( Functionality of the mapping operation.  (Contributed by NM,
       19-Mar-2005.)  (Revised by Mario Carneiro, 1-Sep-2015.) $)
    fmpti $p |- F : A --> B $=
      ( wcel wral wf rgen fmpt mpbi ) DCHZABIBCEJNABGKABCDEFLM $.
  $}

  ${
    $d A x $.  $d C x $.
    fvmptelrn.1 $e |- ( ph -> ( x e. A |-> B ) : A --> C ) $.
    $( The value of a function at a point of its domain belongs to its
       codomain.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    fvmptelrn $p |- ( ( ph /\ x e. A ) -> B e. C ) $=
      ( wcel cmpt wf wral eqid fmpt sylibr r19.21bi ) ADEGZBCACEBCDHZIOBCJFBCED
      PPKLMN $.
  $}

  ${
    $d x A $.  $d x C $.  $d x ph $.
    fmptd.1 $e |- ( ( ph /\ x e. A ) -> B e. C ) $.
    fmptd.2 $e |- F = ( x e. A |-> B ) $.
    $( Domain and codomain of the mapping operation; deduction form.
       (Contributed by Mario Carneiro, 13-Jan-2013.) $)
    fmptd $p |- ( ph -> F : A --> C ) $=
      ( wcel wral wf ralrimiva fmpt sylib ) ADEIZBCJCEFKAOBCGLBCEDFHMN $.
  $}

  ${
    $d x A $.  $d x C $.  $d x ph $.
    fmpttd.1 $e |- ( ( ph /\ x e. A ) -> B e. C ) $.
    $( Version of ~ fmptd with inlined definition.  Domain and codomain of the
       mapping operation; deduction form.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.)  (Proof shortened by BJ, 16-Aug-2022.) $)
    fmpttd $p |- ( ph -> ( x e. A |-> B ) : A --> C ) $=
      ( cmpt eqid fmptd ) ABCDEBCDGZFJHI $.
  $}

  ${
    $d x A $.  $d x C $.  $d x ph $.
    fmpt3d.1 $e |- ( ph -> F = ( x e. A |-> B ) ) $.
    fmpt3d.2 $e |- ( ( ph /\ x e. A ) -> B e. C ) $.
    $( Domain and codomain of the mapping operation; deduction form.
       (Contributed by Thierry Arnoux, 4-Jun-2017.) $)
    fmpt3d $p |- ( ph -> F : A --> C ) $=
      ( wf cmpt fmpttd feq1d mpbird ) ACEFICEBCDJZIABCDEHKACEFNGLM $.
  $}

  ${
    $d A x $.  $d C x $.
    fmptdf.1 $e |- F/ x ph $.
    fmptdf.2 $e |- ( ( ph /\ x e. A ) -> B e. C ) $.
    fmptdf.3 $e |- F = ( x e. A |-> B ) $.
    $( A version of ~ fmptd using bound-variable hypothesis instead of a
       distinct variable condition for ` ph ` .  (Contributed by Glauco
       Siliprandi, 29-Jun-2017.) $)
    fmptdf $p |- ( ph -> F : A --> C ) $=
      ( wcel wral wf cv ex ralrimi fmpt sylib ) ADEJZBCKCEFLARBCGABMCJRHNOBCEDF
      IPQ $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y F $.
    $( A function maps to a class to which all values belong.  (Contributed by
       NM, 3-Dec-2003.) $)
    ffnfv $p |- ( F : A --> B <-> ( F Fn A /\ A. x e. A ( F ` x ) e. B ) ) $=
      ( vy wf wfn cv cfv wcel wral ffn ffvelrn ralrimiva jca crn wss simpl wceq
      wa wrex fvelrnb biimpd nfra1 nfv wi rsp eleq1 biimpcd syl6 rexlimd sylan9
      ssrdv df-f sylanbrc impbii ) BCDFZDBGZAHZDIZCJZABKZTZUQURVBBCDLUQVAABBCUS
      DMNOVCURDPZCQUQURVBRVCEVDCUREHZVDJZUTVESZABUAZVBVECJZURVFVHABVEDUBUCVBVGV
      IABVAABUDVIAUEVBUSBJVAVGVIUFVAABUGVGVAVIUTVECUHUIUJUKULUMBCDUNUOUP $.
  $}

  ${
    $d z A $.  $d z B $.  $d z F $.  $d x z $.
    ffnfvf.1 $e |- F/_ x A $.
    ffnfvf.2 $e |- F/_ x B $.
    ffnfvf.3 $e |- F/_ x F $.
    $( A function maps to a class to which all values belong.  This version of
       ~ ffnfv uses bound-variable hypotheses instead of distinct variable
       conditions.  (Contributed by NM, 28-Sep-2006.) $)
    ffnfvf $p |- ( F : A --> B <-> ( F Fn A /\ A. x e. A ( F ` x ) e. B ) ) $=
      ( vz wf wfn cv cfv wcel wral wa ffnfv nfcv nffv nfel nfv weq fveq2 eleq1d
      cbvralfw anbi2i bitri ) BCDIDBJZHKZDLZCMZHBNZOUGAKZDLZCMZABNZOHBCDPUKUOUG
      UJUNHABHBQEAUICAUHDGAUHQRFSUNHTHAUAUIUMCUHULDUBUCUDUEUF $.
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.
    $( An upper bound for range determined by function values.  (Contributed by
       NM, 8-Oct-2004.) $)
    fnfvrnss $p |- ( ( F Fn A /\ A. x e. A ( F ` x ) e. B ) -> ran F C_ B ) $=
      ( wfn cv cfv wcel wral wa wf crn wss ffnfv frn sylbir ) DBEAFDGCHABIJBCDK
      DLCMABCDNBCDOP $.
  $}

  ${
    $d A k $.  $d F k $.  $d V k $.
    $( A function is a function into a subset of its codomain if all of its
       values are elements of this subset.  (Contributed by AV, 7-Feb-2021.) $)
    frnssb $p |- ( ( V C_ W /\ A. k e. A ( F ` k ) e. V )
                   -> ( F : A --> W <-> F : A --> V ) ) $=
      ( wss cv cfv wcel wa wf wfn simpr ffn anim12ci ffnfv sylibr simpl anim1ci
      wral fss syl impbida ) DEFZBGCHDIBATZJZAECKZADCKZUFUGJCALZUEJUHUFUEUGUIUD
      UEMAECNOBADCPQUFUHJUHUDJUGUFUDUHUDUERSADECUAUBUC $.
  $}

  ${
    $d x A $.  $d x C $.
    rnmptss.1 $e |- F = ( x e. A |-> B ) $.
    $( The range of an operation given by the maps-to notation as a subset.
       (Contributed by Thierry Arnoux, 24-Sep-2017.) $)
    rnmptss $p |- ( A. x e. A B e. C -> ran F C_ C ) $=
      ( wcel wral wf crn wss fmpt frn sylbi ) CDGABHBDEIEJDKABDCEFLBDEMN $.
  $}

  ${
    $d x A $.  $d y A $.  $d y C $.  $d y F $.  $d x ph $.  $d y ph $.
    fmpt2d.2 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    fmpt2d.1 $e |- ( ph -> F = ( x e. A |-> B ) ) $.
    fmpt2d.3 $e |- ( ( ph /\ y e. A ) -> ( F ` y ) e. C ) $.
    $( Domain and codomain of the mapping operation; deduction form.
       (Contributed by NM, 27-Dec-2014.) $)
    fmpt2d $p |- ( ph -> F : A --> C ) $=
      ( wfn cv cfv wcel wral wf cmpt ralrimiva eqid fnmpt fneq1d ffnfv sylanbrc
      syl mpbird ) AGDLZCMGNFOZCDPDFGQAUGBDERZDLZAEHOZBDPUJAUKBDISBDEUIHUITUAUE
      ADGUIJUBUFAUHCDKSCDFGUCUD $.
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.
    $( A necessary and sufficient condition for a restricted function.
       (Contributed by Mario Carneiro, 14-Nov-2013.) $)
    ffvresb $p |- ( Fun F -> ( ( F |` A ) : A --> B <->
        A. x e. A ( x e. dom F /\ ( F ` x ) e. B ) ) ) $=
      ( wfun cres wf cv cdm wcel cfv wa wral fdm cin dmres inss2 adantl wfn wss
      eqsstri eqsstrrdi sselda wceq fvres ffvelrn eqeltrrd jca ralrimiva ralimi
      crn simpl dfss3 sylibr funfn fnssres sylanb sylan2 eleq1d syl5ibr ralimia
      simpr fnfvrnss syl2anc df-f sylanbrc ex impbid2 ) DEZBCDBFZGZAHZDIZJZVLDK
      ZCJZLZABMZVKVQABVKVLBJZLZVNVPVKBVMVLVKBVJIZVMBCVJNWABVMOVMDBPBVMQUAUBUCVT
      VLVJKZVOCVSWBVOUDVKVLBDUEZRBCVLVJUFUGUHUIVIVRVKVIVRLZVJBSZVJUKCTZVKVRVIBV
      MTZWEVRVNABMWGVQVNABVNVPULUJABVMUMUNVIDVMSWGWEDUOVMBDUPUQURZWDWEWBCJZABMZ
      WFWHVRWJVIVQWIABVQWIVSVPVNVPVBVSWBVOCWCUSUTVARABCVJVCVDBCVJVEVFVGVH $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x y ph $.  $d y ps $.  $d x ch $.
    f1oresrab.1 $e |- F = ( x e. A |-> C ) $.
    f1oresrab.2 $e |- ( ph -> F : A -1-1-onto-> B ) $.
    f1oresrab.3 $e |- ( ( ph /\ x e. A /\ y = C ) -> ( ch <-> ps ) ) $.
    $( Build a bijection between restricted abstract builders, given a
       bijection between the base classes, deduction version.  (Contributed by
       Thierry Arnoux, 17-Aug-2018.) $)
    f1oresrab $p |- ( ph -> ( F |` { x e. A | ps } ) :
                               { x e. A | ps } -1-1-onto-> { y e. B | ch } ) $=
      ( crab ccnv cres wf1o wfun 3syl wcel wb f1ofun funcnvcnv wf1 f1ocnv f1of1
      cima wss ssrab2 f1ores sylancl mptpreima cv wa wceq wi wal 3expia alrimiv
      wf wral f1of fmpt sylibr r19.21bi elrab3t syl2anc rabbidva eqtrid f1oeq3d
      syl mpbid f1orescnv rescnvcnv f1oeq1 ax-mp sylib ) ABDFMZCEGMZINZNZVQOZPZ
      VQVRIVQOZPZAVTQZVRVQVSVROZPZWBAFGIPZIQWEKFGIUAIUBRAVRVSVRUFZWFPZWGAGFVSUC
      ZVRGUGWJAWHGFVSPWKKFGIUDGFVSUERCEGUHGFVRVSUIUJAWIVQVRWFAWIHVRSZDFMVQDFHVR
      IJUKAWLBDFADULFSZUMZEULHUNZCBTZUOZEUPHGSZWLBTWNWQEAWMWOWPLUQURAWRDFAFGIUS
      ZWRDFUTAWHWSKFGIVAVJDFGHIJVBVCVDCBEHGVEVFVGVHVIVKVQVRVSVLVFWAWCUNWBWDTIVQ
      VMVQVRWAWCVNVOVP $.
  $}

  ${
    $d A w x $.  $d B y $.  $d C x y $.  $d X x $.  $d Y x y $.  $d ph x y $.
    $d ps x $.  $d ch x y $.  $d ta x $.  $d w x y $.
    f1ossf1o.x $e |- X = { w e. A | ( ps /\ ch ) } $.
    f1ossf1o.y $e |- Y = { w e. A | ps } $.
    f1ossf1o.f $e |- F = ( x e. X |-> B ) $.
    f1ossf1o.g $e |- G = ( x e. Y |-> B ) $.
    f1ossf1o.b $e |- ( ph -> G : Y -1-1-onto-> C ) $.
    f1ossf1o.s $e |- ( ( ph /\ x e. Y /\ y = B )
                       -> ( ta <-> [ x / w ] ch ) ) $.
    $( Restricting a bijection, which is a mapping from a restricted class
       abstraction, to a subset is a bijection.  (Contributed by AV,
       7-Aug-2022.) $)
    f1ossf1o $p |- ( ph -> F : X -1-1-onto-> { y e. C | ta } ) $=
      ( crab wf1o wsb cres f1oresrab cmpt wss wa wi cv wcel a1i ss2rabi 3sstr4i
      simpl resmptd wceq rabeqi nfs1v sbequ12 elrabf anbi1i anass bitri rabbia2
      nfcv nfan anbi12d cbvrabw eqtr2i 3eqtri reseq12d 3eqtr4rd eqidd f1oeq123d
      nfv mpbird ) AMDFJUAZKUBCGEUCZENUAZVRLVTUDZUBAVSDEFNJILRSTUEAMVTVRVRKWAAE
      NIUFZMUDEMIUFZWAKAENMIMNUGABCUHZGHUAZBGHUAZMNWDBGHWDBUIGUJZHUKBCUOULUMOPU
      NULUPALWBVTMLWBUQARULVTMUQAVTVSEWFUAZBGEUCZVSUHZEHUAZMVSENWFPURZVSWJEWFHE
      UJZWFUKZVSUHWMHUKZWIUHZVSUHWOWJUHWNWPVSBWIGWMHGWMVFGHVFZBGEUSZBGEUTZVAVBW
      OWIVSVCVDVEZMWEWKOWDWJGEHWQEHVFWDEVPWIVSGWRCGEUSVGWGWMUQBWICVSWSCGEUTVHVI
      ZVJVKULVLKWCUQAQULVMMVTUQAMWEWKVTOXAVTWHWKWLWTVJVKULAVRVNVOVQ $.
  $}

  ${
    $d u v w x z A $.  $d u x y B $.  $d u w z F $.  $d u w z G $.  $d u y R $.
    $d u w x z ph $.  $d u x S $.  $d u v w y z T $.
    fmptco.1 $e |- ( ( ph /\ x e. A ) -> R e. B ) $.
    fmptco.2 $e |- ( ph -> F = ( x e. A |-> R ) ) $.
    fmptco.3 $e |- ( ph -> G = ( y e. B |-> S ) ) $.
    fmptco.4 $e |- ( y = R -> S = T ) $.
    $( Composition of two functions expressed as ordered-pair class
       abstractions.  If ` F ` has the equation ` ( x + 2 ) ` and ` G ` the
       equation ` ( 3 * z ) ` then ` ( G o. F ) ` has the equation
       ` ( 3 * ( x + 2 ) ) ` .  (Contributed by FL, 21-Jun-2012.)  (Revised by
       Mario Carneiro, 24-Jul-2014.) $)
    fmptco $p |- ( ph -> ( G o. F ) = ( x e. A |-> T ) ) $=
      ( vu cv wbr wa wcel wceq vz vw vv ccom cmpt relco mptrel wex csb cop wfun
      cfv fmpt3d ffund funbrfv imp sylan eqcomd a1d expimpd pm4.71rd fvex breq2
      exbidv breq1 anbi12d ceqsexv cdm wb funfvbrb syl fdmd eleq2d bitr3d eqidd
      fveq1d breq123d wi nfcv nfv nffvmpt1 nfbr nfcsb1v nfeq2 nfbi fveq2 breq1d
      nfim csbeq1a eqeq2d bibi12d imbi2d cvv vex simpl eleq1d eqeqan12rd df-mpt
      id brabga sylancl fvmpt2 syl2an2 biantrurd 3bitr4d expcom vtoclgaf impcom
      eqid pm5.32da bitrd syl5bb opelco copab eleq2i nfan eqeq1 opelopabf bitri
      eleq1w anbi2d 3bitr4g eqrelrdv ) AUAUBJIUDZBDHUEZJIUFBDHUGAUAPZOPZIQZYGUB
      PZJQZRZOUHZYFDSZYIBYFHUIZTZRZYFYIUJZYDSYQYESZAYLYGYFIULZTZYKRZOUHZYPAYKUU
      AOAYKYTAYHYJYTAYHRZYTYJUUCYSYGAIUKZYHYSYGTZADEIABDFEILKUMZUNZUUDYHUUEYFYG
      IUOUPUQURUSUTVAVDUUBYFYSIQZYSYIJQZRZAYPYKUUJOYSYFIVBYTYHUUHYJUUIYGYSYFIVC
      YGYSYIJVEVFVGAUUJYMYFBDFUEZULZYICEGUEZQZRYPAUUHYMUUIUUNAYFIVHZSZUUHYMAUUD
      UUPUUHVIUUGYFIVJVKAUUODYFADEIUUFVLVMVNAYSUULYIYIJUUMAYFIUUKLVPMAYIVOVQVFA
      YMUUNYOYMAUUNYOVIZABPZUUKULZYIUUMQZYIHTZVIZVRAUUQVRBYFDBYFVSAUUQBABVTUUNY
      OBBUULYIUUMBDFYFWABUUMVSBYIVSWBBYIYNBYFHWCZWDWEWHUURYFTZUVBUUQAUVDUUTUUNU
      VAYOUVDUUSUULYIUUMUURYFUUKWFWGUVDHYNYIBYFHWIZWJWKWLAUURDSZUVBAUVFRZFYIUUM
      QZFESZUVARZUUTUVAUVGUVIYIWMSUVHUVJVIKUBWNZCPZESZYGGTZRUVJCOFYIUUMEWMUVLFT
      ZYGYITZRZUVMUVIUVNUVAUVQUVLFEUVOUVPWOWPUVPUVOYGYIGHUVPWSNWQVFCOEGWRWTXAUV
      GUUSFYIUUMUVFUVFAUVIUUSFTUVFWSKBDFEUUKUUKXIXBXCWGUVGUVIUVAKXDXEXFXGXHXJXK
      XLXKOYFYIJIUAWNZUVKXMYRYQUVFUCPZHTZRZBUCXNZSYPYEUWBYQBUCDHWRXOUWAYMUVSYNT
      ZRYPBUCYFYIYMUWCBYMBVTBUVSYNUVCWDXPYPUCVTUVRUVKUVDUVFYMUVTUWCBUADXTUVDHYN
      UVSUVEWJVFUVSYITUWCYOYMUVSYIYNXQYAXRXSYBYC $.
  $}

  ${
    $d w x y z B $.  $d w y z R $.  $d w x z S $.  $d x z A $.  $d y z T $.
    $d z ph $.
    fmptcof.1 $e |- ( ph -> A. x e. A R e. B ) $.
    fmptcof.2 $e |- ( ph -> F = ( x e. A |-> R ) ) $.
    fmptcof.3 $e |- ( ph -> G = ( y e. B |-> S ) ) $.
    ${
      fmptcof.4 $e |- ( y = R -> S = T ) $.
      $( Version of ~ fmptco where ` ph ` needn't be distinct from ` x ` .
         (Contributed by NM, 27-Dec-2014.) $)
      fmptcof $p |- ( ph -> ( G o. F ) = ( x e. A |-> T ) ) $=
        ( vz vw csb cmpt wceq nfcv ccom cv wcel wral nfcsb1v nfel1 csbeq1a rspc
        eleq1d mpan9 cbvmpt eqtrdi csbeq1 fmptco nfcsbw csbeq1d eqtr4di csbiegf
        eqid nfcvd ralimi mpteq12 sylancr syl eqtrd ) AJIUAZBDCFGQZRZBDHRZAVFOD
        CBOUBZFQZGQZRVHAOPDEVKCPUBZGQZVLIJAFEUCZBDUDZVJDUCVKEUCZKVOVQBVJDBVKEBV
        JFUEZUFBUBVJSZFVKEBVJFUGZUIUHUJAIBDFRODVKRLBODFVKOFTVRVTUKULAJCEGRPEVNR
        MCPEGVNPGTCVMGUECVMGUGUKULCVMVKGUMUNBODVGVLOVGTBCVKGVRBGTUOVSCFVKGVTUPU
        KUQAVPVHVISZKVPDDSVGHSZBDUDWADUSVOWBBDCFGHEVOCHUTNURVABDVGDHVBVCVDVE $.
    $}

    $( Composition of two functions expressed as mapping abstractions.
       (Contributed by NM, 22-May-2006.)  (Revised by Mario Carneiro,
       31-Aug-2015.) $)
    fmptcos $p |- ( ph -> ( G o. F ) = ( x e. A |-> [_ R / y ]_ S ) ) $=
      ( vz cv csb cmpt nfcv nfcsb1v csbeq1a cbvmpt eqtrdi csbeq1 fmptcof ) ABMD
      EFCMNZGOZCFGOHIJKAICEGPMEUEPLCMEGUEMGQCUDGRCUDGSTUACUDFGUBUC $.
  $}

  ${
    $d x A $.  $d y B $.  $d x y C $.  $d x y F $.  $d x ph $.
    cofmpt.1 $e |- ( ph -> F : C --> D ) $.
    cofmpt.2 $e |- ( ( ph /\ x e. A ) -> B e. C ) $.
    $( Express composition of a maps-to function with another function in a
       maps-to notation.  (Contributed by Thierry Arnoux, 29-Jun-2017.) $)
    cofmpt $p |- ( ph ->
                     ( F o. ( x e. A |-> B ) ) = ( x e. A |-> ( F ` B ) ) ) $=
      ( vy cv cfv cmpt eqidd feqmptd fveq2 fmptco ) ABJCEDJKZGLDGLBCDMZGIASNAJE
      FGHORDGPQ $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x C $.  $d x y D $.  $d x E $.
    $( Express composition of two functions as a maps-to applying both in
       sequence.  (Contributed by Stefan O'Rear, 5-Oct-2014.)  (Proof shortened
       by Mario Carneiro, 27-Dec-2014.) $)
    fcompt $p |- ( ( A : D --> E /\ B : C --> D ) -> ( A o. B ) = ( x e. C |->
        ( A ` ( B ` x ) ) ) ) $=
      ( vy wf wa cv cfv wcel ffvelrn adantll wfn cmpt wceq ffn dffn5 sylib
      adantl adantr fveq2 fmptco ) EFBHZDECHZIZAGDEAJZCKZGJZBKZUIBKCBUFUHDLUIEL
      UEDEUHCMNUGCDOZCADUIPQUFULUEDECRUAADCSTUGBEOZBGEUKPQUEUMUFEFBRUBGEBSTUJUI
      BUCUD $.
  $}

  ${
    $d F x y $.  $d I x $.  $d X x y $.  $d Y x y $.
    $( Composition with a constant function.  (Contributed by Stefan O'Rear,
       11-Mar-2015.) $)
    fcoconst $p |- ( ( F Fn X /\ Y e. X ) ->
        ( F o. ( I X. { Y } ) ) = ( I X. { ( F ` Y ) } ) ) $=
      ( vx vy wfn wcel wa csn cxp ccom cfv cmpt simplr wceq fconstmpt a1i cvv
      cv wf simpl dffn2 sylib feqmptd fveq2 fmptco eqtr4di ) ACGZDCHZIZABDJKZLE
      BDAMZNBUMJKUKEFBCDFTZAMUMULAUIUJETBHOULEBDNPUKEBDQRUKFCSAUKUICSAUAUIUJUBC
      AUCUDUEUNDAUFUGEBUMQUH $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y F $.
    fsn.1 $e |- A e. _V $.
    fsn.2 $e |- B e. _V $.
    $( A function maps a singleton to a singleton iff it is the singleton of an
       ordered pair.  (Contributed by NM, 10-Dec-2003.) $)
    fsn $p |- ( F : { A } --> { B } <-> F = { <. A , B >. } ) $=
      ( vx vy csn cop wceq cv wcel wb wal wa velsn weu eleq1d bitr2i wrel opelf
      wf anbi12i sylib ex wreu snid feu mpan2 anbi1i opeq2 biancomi eubii eueqi
      pm5.32i biantru euanv bitr4i df-reu 3bitr4i sylibr opeq12 syl5ibrcom opex
      impbid elsn opth2 bitrdi alrimivv frel relsnop eqrel sylancl mpbird f1osn
      wf1o f1oeq1 mpbiri f1of syl impbii ) AHZBHZCUBZCABIZHZJZWDWGFKZGKZIZCLZWJ
      WFLZMZGNFNZWDWMFGWDWKWHAJZWIBJZOZWLWDWKWQWDWKWQWDWKOWHWBLZWIWCLZOWQWBWCWH
      WICUAWRWOWSWPFAPGBPZUCUDUEWDWKWQWECLZWDAWIIZCLZGWCUFZXAWDAWBLXDADUGGWBWCA
      CUHUIXAWPOZGQZWSXCOZGQXAXDXEXGGXGWPXCOZXEWSWPXCWTUJXHXAWPWPXCXAWPXBWECWIB
      AUKRUOULSUMXAXAWPGQZOXFXIXAGBEUNUPXAWPGUQURXCGWCUSUTVAWQWJWECWHWIABVBRVCV
      EWLWJWEJWQWJWEWHWIVDVFWHWIABDEVGSVHVIWDCTWFTWGWNMWBWCCVJABDEVKFGCWFVLVMVN
      WGWBWCCVPZWDWGXJWBWCWFVPABDEVOWBWCCWFVQVRWBWCCVSVTWA $.
  $}

  ${
    fsn2.1 $e |- A e. _V $.
    $( A function that maps a singleton to a class is the singleton of an
       ordered pair.  (Contributed by NM, 19-May-2004.) $)
    fsn2 $p |- ( F : { A } --> B <->
               ( ( F ` A ) e. B /\ F = { <. A , ( F ` A ) >. } ) ) $=
      ( csn wf cfv wcel wa cop wceq snid ffvelrn mpan2 wfn ffn crn dffn3 biimpi
      cima cdm imadmrn fndm imaeq2d eqtr3id fnsnfv eqtr4d feq3d mpbid syl snssi
      jca wss fss ancoms sylan impbii fvex fsn anbi2i bitri ) AEZBCFZACGZBHZVBV
      DEZCFZIZVECAVDJEKZIVCVHVCVEVGVCAVBHZVEADLZVBBACMNVCCVBOZVGVBBCPVLVBCQZCFZ
      VGVLVNVBCRSVLVMVFCVBVLVMCVBTZVFVLVMCCUAZTVOCUBVLVPVBCVBCUCUDUEVLVJVFVOKVK
      VBACUFNUGUHUIUJULVEVFBUMZVGVCVDBUKVGVQVCVBVFBCUNUOUPUQVGVIVEAVDCDACURUSUT
      VA $.
  $}

  ${
    $d A a b $.  $d B a b $.  $d F a b $.
    $( A function maps a singleton to a singleton iff it is the singleton of an
       ordered pair.  (Contributed by NM, 26-Oct-2012.) $)
    fsng $p |- ( ( A e. C /\ B e. D ) ->
                 ( F : { A } --> { B } <-> F = { <. A , B >. } ) ) $=
      ( va vb cv csn wf cop wceq wb sneq feq2d opeq1 sneqd eqeq2d bibi12d vex
      feq3d opeq2 fsn vtocl2g ) FHZIZGHZIZEJZEUEUGKZIZLZMAIZUHEJZEAUGKZIZLZMUMB
      IZEJZEABKZIZLZMFGABCDUEALZUIUNULUQVCUFUMUHEUEANOVCUKUPEVCUJUOUEAUGPQRSUGB
      LZUNUSUQVBVDUHUREUMUGBNUAVDUPVAEVDUOUTUGBAUBQRSUEUGEFTGTUCUD $.

    $( A function that maps a singleton to a class is the singleton of an
       ordered pair.  (Contributed by Thierry Arnoux, 11-Jul-2020.) $)
    fsn2g $p |- ( A e. V -> ( F : { A } --> B <->
               ( ( F ` A ) e. B /\ F = { <. A , ( F ` A ) >. } ) ) ) $=
      ( va cv csn wf cfv wcel cop wceq wa sneq feq2d fveq2 eleq1d opeq12d sneqd
      id eqeq2d anbi12d vex fsn2 vtoclbg ) EFZGZBCHUFCIZBJZCUFUHKZGZLZMAGZBCHAC
      IZBJZCAUNKZGZLZMEADUFALZUGUMBCUFANOUSUIUOULURUSUHUNBUFACPZQUSUKUQCUSUJUPU
      SUFAUHUNUSTUTRSUAUBUFBCEUCUDUE $.
  $}

  $( The Cartesian product of two singletons is the singleton consisting in the
     associated ordered pair.  (Contributed by Mario Carneiro, 30-Apr-2015.) $)
  xpsng $p |- ( ( A e. V /\ B e. W ) ->
    ( { A } X. { B } ) = { <. A , B >. } ) $=
    ( wcel wa csn cxp wf cop wceq fconstg adantl fsng mpbid ) ACEZBDEZFAGZBGZRS
    HZIZTABJGKQUAPRBDLMABCDTNO $.

  $( The Cartesian product of an unordered pair and a singleton.  (Contributed
     by AV, 20-May-2019.) $)
  xpprsng $p |- ( ( A e. V /\ B e. W /\ C e. U ) ->
    ( { A , B } X. { C } ) = { <. A , C >. , <. B , C >. } ) $=
    ( wcel w3a cpr csn cxp cun df-pr xpeq1i wceq xpsng 3adant2 3adant1 uneq12d
    cop xpundir 3eqtr4g eqtrid ) AEGZBFGZCDGZHZABIZCJZKAJZBJZLZUIKZACTZBCTZIZUH
    ULUIABMNUGUJUIKZUKUIKZLUNJZUOJZLUMUPUGUQUSURUTUDUFUQUSOUEACEDPQUEUFURUTOUDB
    CFDPRSUJUKUIUAUNUOMUBUC $.

  ${
    xpsn.1 $e |- A e. _V $.
    xpsn.2 $e |- B e. _V $.
    $( The Cartesian product of two singletons is the singleton consisting in
       the associated ordered pair.  (Contributed by NM, 4-Nov-2006.) $)
    xpsn $p |- ( { A } X. { B } ) = { <. A , B >. } $=
      ( cvv wcel csn cxp cop wceq xpsng mp2an ) AEFBEFAGBGHABIGJCDABEEKL $.
  $}

  $( A singleton consisting in a nested ordered pair is a one-to-one function
     from the cartesian product of two singletons onto a singleton (case where
     the two singletons are equal).  (Contributed by AV, 15-Aug-2019.) $)
  f1o2sn $p |- ( ( E e. V /\ X e. W )
       -> { <. <. E , E >. , X >. } : ( { E } X. { E } ) -1-1-onto-> { X } ) $=
    ( wcel wa cop csn wf1o cxp cvv opex simpr f1osng sylancr wceq anidms eqcomd
    xpsng adantr f1oeq2d mpbid ) ABEZDCEZFZAAGZHZDHZUFDGHZIZAHZUKJZUHUIIUEUFKEU
    DUJAALUCUDMUFDKCNOUEUGULUHUIUCUGULPUDUCULUGUCULUGPAABBSQRTUAUB $.

  $( Restriction of the identity to a pair.  (Contributed by AV,
     11-Dec-2018.) $)
  residpr $p |- ( ( A e. V /\ B e. W ) -> ( _I |` { A , B } )
                                          = { <. A , A >. , <. B , B >. } ) $=
    ( wcel cid cpr cres csn cun cop df-pr reseq2i resundi cxp wceq xpsng anidms
    wa restidsing eqtri adantr adantl uneq12d uneq12i 3eqtr4g eqtrid ) ACEZBDEZ
    SZFABGZHZFAIZHZFBIZHZJZAAKZBBKZGZULFUMUOJZHUQUKVAFABLMFUMUONUAUJUMUMOZUOUOO
    ZJURIZUSIZJUQUTUJVBVDVCVEUHVBVDPZUIUHVFAACCQRUBUIVCVEPZUHUIVGBBDDQRUCUDUNVB
    UPVCATBTUEURUSLUFUG $.

  ${
    dfmpt.1 $e |- B e. _V $.
    $( Alternate definition for the maps-to notation ~ df-mpt (although it
       requires that ` B ` be a set).  (Contributed by NM, 24-Aug-2010.)
       (Revised by Mario Carneiro, 30-Dec-2016.) $)
    dfmpt $p |- ( x e. A |-> B ) = U_ x e. A { <. x , B >. } $=
      ( cmpt cv csn cxp ciun cop dfmpt3 wceq wcel vex xpsn a1i iuneq2i eqtri )
      ABCEABAFZGCGHZIABSCJGZIABCKABTUATUALSBMSCANDOPQR $.

    $d x y $.  $d y A $.  $d y B $.
    $( A function expressed as the range of another function.  (Contributed by
       Mario Carneiro, 22-Jun-2013.)  (Proof shortened by Mario Carneiro,
       31-Aug-2015.) $)
    fnasrn $p |- ( x e. A |-> B ) = ran ( x e. A |-> <. x , B >. ) $=
      ( vy cmpt cv cop csn ciun crn dfmpt wcel wrex cab wceq rnmpt velsn eqtr4i
      eqid rexbii abbii df-iun ) ABCFABAGCHZIZJZABUDFZKZABCDLUHEGZUEMZABNZEOZUF
      UHUIUDPZABNZEOULAEBUDUGUGTQUKUNEUJUMABEUDRUAUBSAEBUEUCSS $.
  $}

  ${
    $d A x $.  $d R x $.
    $( Two ways to state that a relation is reflexive on a class.  (Contributed
       by FL, 15-Jan-2012.)  (Proof shortened by Mario Carneiro, 3-Nov-2015.)
       (Revised by NM, 30-Mar-2016.) $)
    idref $p |- ( ( _I |` A ) C_ R <-> A. x e. A x R x ) $=
      ( cv cop wcel wral cmpt crn wss wbr cid cres wf eqid fmpt wfn opex fnmpti
      df-f mpbiran bitri df-br ralbii mptresid vex fnasrn eqtri sseq1i 3bitr4ri
      ) ADZUKEZCFZABGZABULHZIZCJZUKUKCKZABGLBMZCJUNBCUONZUQABCULUOUOOZPUTUOBQUQ
      ABULUOUKUKRVASBCUOTUAUBURUMABUKUKCUCUDUSUPCUSABUKHUPABUEABUKAUFUGUHUIUJ
      $.
  $}

  ${
    $d F x $.
    $( A function is a union of singletons of ordered pairs indexed by its
       domain.  (Contributed by AV, 18-Sep-2020.) $)
    funiun $p |- ( Fun F -> F = U_ x e. dom F { <. x , ( F ` x ) >. } ) $=
      ( wfun cdm cv cfv cmpt cop csn ciun wfn wceq funfn dffn5 sylbb fvex dfmpt
      eqtrdi ) BCZBABDZAEZBFZGZATUAUBHIJSBTKBUCLBMATBNOATUBUABPQR $.
  $}

  ${
    $d F a x $.  $d X a x $.  $d Y a x $.
    funopsn.x $e |- X e. _V $.
    funopsn.y $e |- Y e. _V $.
    $( If a function is an ordered pair then it is a singleton of an ordered
       pair.  (Contributed by AV, 20-Sep-2020.)  (Proof shortened by AV,
       15-Jul-2021.)  A function is a class of ordered pairs, so the fact that
       an ordered pair may sometimes be itself a function is an "accident"
       depending on the specific encoding of ordered pairs as classes (in
       set.mm, the Kuratowski encoding).  A more meaningful statement is
       ~ funsng , as ~ relsnopg is to ~ relop .  (New usage is discouraged.) $)
    funopsn $p |- ( ( Fun F /\ F = <. X , Y >. )
                              -> E. a ( X = { a } /\ F = { <. a , a >. } ) ) $=
      ( vx cop wceq cv cfv csn ciun wa wex wb adantl c0 wne wi cdm funiun eqeq1
      wfun eqcom bitrdi opnzi neeq1 eqcoms wrel funrel reldm0 syl biimprd com12
      necon3d syl6bi com3l impd ax-mp iunopeqop sylbid imp iuneq1 vex weq fveq2
      fvex id sneqd iunxsn eqtrdi eqeq2d w3a snopeqop sylbb simpr3 simp1 eqcomd
      opeq12d opeq2d biimpac jca ex a1dd mpd impancom eximdv mpidan ) AUDZABCHZ
      IZAGAUAZGJZWNAKZHZLZMZIZBDJZLZIZAWTWTHZLZIZNZDOZGAUBWJWLNZWSNZWMXAIZDOZXG
      XHWSXKXHWSWRWKIZXKWLWSXLPWJWLWSWKWRIXLAWKWRUCWKWRUEUFQXHWMRSZXLXKTWKRSZXH
      XMTBCEFUGXNWJWLXMWLXNWJXMWLXNARSZWJXMTXNXOPWKAWKARUHUIWJXOXMWJWMRARWJARIZ
      WMRIZWJAUJXPXQPAUKAULUMUNUPUOUQURUSUTGDWMWOBCWNAVHEFVAUMVBVCXIXJXFDXHXJWS
      XFXHXJNZWSAWTWTAKZHZLZIZXFXRWRYAAXJWRYAIXHXJWRGXAWQMYAGWMXAWQVDGWTWQYADVE
      ZGDVFZWPXTYDWNWTWOXSYDVIWNWTAVGVTVJVKVLQVMXHYBXJXFXHYBNZWTXSIZBCIZXBVNZXJ
      XFTXHYBYHXHYBWKYAIZYHWLYBYIPWJAWKYAUCQYIYAWKIYHWKYAUEWTXSBCYCWTAVHVOVPUQV
      CYEYHXFXJYBYHXFTXHYBYHXFYBYHNXBXEYBYFYGXBVQYHYBXEYHYAXDAYHXTXCYHXSWTWTYHW
      TXSYFYGXBVRVSWAVJVMWBWCWDQWEWFWGVBWGWHWFWI $.

    $( An ordered pair is a function iff it is a singleton of an ordered pair.
       (Contributed by AV, 20-Sep-2020.)  A function is a class of ordered
       pairs, so the fact that an ordered pair may sometimes be itself a
       function is an "accident" depending on the specific encoding of ordered
       pairs as classes (in set.mm, the Kuratowski encoding).  A more
       meaningful statement is ~ funsng , as ~ relsnopg is to ~ relop .
       (New usage is discouraged.) $)
    funop $p |- ( Fun <. X , Y >.
                  <-> E. a ( X = { a } /\ <. X , Y >. = { <. a , a >. } ) ) $=
      ( cop wfun cv csn wceq wa wex funopsn mpan2 vex funsn funeq mpbiri adantl
      eqid exlimiv impbii ) ABFZGZACHZIJZUCUEUEFIZJZKZCLZUDUCUCJUJUCTUCABCDEMNU
      IUDCUHUDUFUHUDUGGUEUECOZUKPUCUGQRSUAUB $.
  $}

  ${
    $d A x $.  $d B x $.  $d G x $.  $d X x $.  $d Y x $.
    funopdmsn.g $e |- G = <. X , Y >. $.
    funopdmsn.x $e |- X e. V $.
    funopdmsn.y $e |- Y e. W $.
    $( The domain of a function which is an ordered pair is a singleton.
       (Contributed by AV, 15-Nov-2021.)  (Avoid depending on this detail.) $)
    funopdmsn $p |- ( ( Fun G /\ A e. dom G /\ B e. dom G ) -> A = B ) $=
      ( vx wfun cdm wcel wceq csn cop wa elexi eleq2 cv wex funeqi funop eqcomi
      bitri eqeq1i dmeq vex dmsnop eqtrdi anbi12d elsni eqtr3 syl2an syl6bi syl
      wi sylbi adantl exlimiv 3impib ) CLZACMZNZBVDNZABOZVCFKUAZPZOZFGQZVHVHQPZ
      OZRZKUBZVEVFRZVGURZVCVKLVOCVKHUCFGKFDISGEJSUDUFVNVQKVMVQVJVMCVLOZVQVKCVLC
      VKHUEUGVRVDVIOZVQVRVDVLMVICVLUHVHVHKUIUJUKVSVPAVINZBVINZRVGVSVEVTVFWAVDVI
      ATVDVIBTULVTAVHOBVHOVGWAAVHUMBVHUMABVHUNUOUPUQUSUTVAUSVB $.
  $}

  ${
    $d A a x y $.  $d B a x y $.  $d G a x y $.
    funsndifnop.a $e |- A e. _V $.
    funsndifnop.b $e |- B e. _V $.
    funsndifnop.g $e |- G = { <. A , B >. } $.
    $( A singleton of an ordered pair is not an ordered pair if the components
       are different.  (Contributed by AV, 23-Sep-2020.)  (Avoid depending on
       this detail.) $)
    funsndifnop $p |- ( A =/= B -> -. G e. ( _V X. _V ) ) $=
      ( vx vy va cvv cv cop wceq wex wfun csn funeq ax-mp wa wi wcel elvv funsn
      cxp mpbiri vex funop bitrdi eqeq2 eqeq1 opex sneqr eqtr3 a1d sylbi syl6bi
      opth syl com23 impcom exlimiv com12 sylbid mpi exlimivv necon3ai ) CJJUDU
      AZABVGCGKZHKZLZMZHNGNABMZGHCUBVKVLGHVKCOZVLCABLZPZMZVMFVPVMVOOABDEUCCVOQU
      ERVKVMVHIKZPMZVJVQVQLZPZMZSZINZVLVKVMVJOWCCVJQVHVIIGUFHUFUGUHWCVKVLWBVKVL
      TZIWAVRWDWAVKVRVLWAVKCVTMZVRVLTZVJVTCUIVPWEWFTFVPWEVOVTMZWFCVOVTUJWGVNVSM
      ZWFVNVSABUKULWHAVQMBVQMSZWFABVQVQDEUQWIVLVRABVQUMUNUOURUPRUPUSUTVAVBVCVDV
      EUOVF $.

    $( A singleton of an ordered pair is an ordered pair iff the components are
       equal.  (Contributed by AV, 24-Sep-2020.)  (Avoid depending on this
       detail.) $)
    funsneqopb $p |- ( A = B <-> G e. ( _V X. _V ) ) $=
      ( wceq cvv cxp wcel csn cop opeq1 sneqd snopeqopsnid eqtrdi eqtrid opelvv
      snex eqeltrdi funsndifnop necon4ai impbii ) ABGZCHHIZJZUDCBKZUGLZUEUDCABL
      ZKZUHFUDUJBBLZKUHUDUIUKABBMNBEOPQUGUGBSZULRTUFABABCDEFUAUBUC $.
  $}

  $( If ` A ` is not in ` C ` , then the restriction of a singleton of
     ` <. A , B >. ` to ` C ` is null.  (Contributed by Scott Fenton,
     15-Apr-2011.) $)
  ressnop0 $p |- ( -. A e. C -> ( { <. A , B >. } |` C ) = (/) ) $=
    ( cop cvv cxp wcel csn cres c0 wceq opelxp1 cin df-res incom disjsn biimpri
    wn eqtri eqtrid nsyl5 ) ABDZCEFZGZACGUBHZCIZJKABCELUDRZUFUCUEMZJUFUEUCMUHUE
    CNUEUCOSUHJKUGUCUBPQTUA $.

  ${
    fpr.1 $e |- A e. _V $.
    fpr.2 $e |- B e. _V $.
    fpr.3 $e |- C e. _V $.
    fpr.4 $e |- D e. _V $.
    $( A function with a domain of two elements.  (Contributed by Jeff Madsen,
       20-Jun-2010.)  (Proof shortened by Andrew Salmon, 22-Oct-2011.) $)
    fpr $p |- ( A =/= B
                -> { <. A , C >. , <. B , D >. } : { A , B } --> { C , D } ) $=
      ( wne cop cpr wfn crn wss wf sylanblrc csn cun df-pr rnsnop wfun cdm wceq
      funpr dmprop df-fn rneqi rnun uneq12i eqtr4i 3eqtri eqimssi df-f ) ABIZAC
      JZBDJZKZABKZLZUQMZCDKZNURVAUQOUNUQUAUQUBURUCUSABCDEFGHUDACBDGHUEUQURUFPUT
      VAUTUOQZUPQZRZMVBMZVCMZRZVAUQVDUOUPSUGVBVCUHVGCQZDQZRVAVEVHVFVIACETBDFTUI
      CDSUJUKULURVAUQUMP $.
  $}

  $( A function with a domain of two elements.  (Contributed by FL,
     2-Feb-2014.) $)
  fprg $p |- ( ( ( A e. E /\ B e. F ) /\ ( C e. G /\ D e. H ) /\ A =/= B )
                -> { <. A , C >. , <. B , D >. } : { A , B } --> { C , D } ) $=
    ( wcel wa cpr cop wf cvv wi elex c0 cif wceq 0ex anim12i neeq1 opeq1 preq1d
    wne preq1 feq12d imbi12d neeq2 preq2d preq2 opeq2 feq123d imbi2d elimel fpr
    eqidd dedth4h syl2an 3impia ) AEIZBFIZJZCGIZDHIZJZABUEZABKZCDKZACLZBDLZKZMZ
    VCANIZBNIZJCNIZDNIZJVGVMOZVFVAVNVBVOAEPBFPUAVDVPVEVQCGPDHPUAVNVOVPVQVRVNAQR
    ZBUEZVSBKZVIVSCLZVKKZMZOVSVOBQRZUEZVSWEKZVIWBWEDLZKZMZOWFWGVPCQRZDKZVSWKLZW
    HKZMZOWFWGWKVQDQRZKZWMWEWPLZKZMZOABCDQQQQAVSSZVGVTVMWDAVSBUBXAVHWAVIVLWCXAV
    JWBVKAVSCUCUDAVSBUFUGUHBWESZVTWFWDWJBWEVSUIXBWAWGVIWCWIXBVKWHWBBWEDUCUJBWEV
    SUKUGUHCWKSZWJWOWFXCWGWGVIWLWIWNXCWBWMWHCWKVSULUDXCWGUQCWKDUFUMUNDWPSZWOWTW
    FXDWGWGWLWQWNWSXDWHWRWMDWPWEULUJXDWGUQDWPWKUKUMUNVSWEWKWPAQNTUOBQNTUOCQNTUO
    DQNTUOUPURUSUT $.

  $( A function with a domain of three elements.  (Contributed by Alexander van
     der Vekens, 4-Dec-2017.) $)
  ftpg $p |- ( ( ( X e. U /\ Y e. V /\ Z e. W )
                 /\ ( A e. F /\ B e. G /\ C e. H )
                 /\ ( X =/= Y /\ X =/= Z /\ Y =/= Z ) )
               -> { <. X , A >. , <. Y , B >. , <. Z , C >. } :
                  { X , Y , Z } --> { A , B , C } ) $=
    ( wcel w3a wne cpr wf wceq wa wn csn cun cop ctp cin c0 3simpa simp1 syl3an
    fprg eqidd wb simp3 anim12i 3adant3 fsng syl mpbird elpri eqcom nne orbi12i
    bitr4i ianor sylbb2 con2i 3adant1 3ad2ant3 disjsn sylibr fun syl21anc df-tp
    wo feq1i feq23i bitri ) JDMZKHMZLIMZNZAEMZBFMZCGMZNZJKOZJLOZKLOZNZNZJKPZLUA
    ZUBZABPZCUAZUBZJAUCZKBUCZPZLCUCZUAZUBZQZJKLUDZABCUDZWQWRWTUDZQZWJWKWNWSQZWL
    WOXAQZWKWLUEUFRZXCWAVRVSSWEWBWCSWIWFXHVRVSVTUGWBWCWDUGWFWGWHUHJKABDHEFUJUIW
    JXIXAXARZWJXAUKWJVTWDSZXIXKULWAWEXLWIWAVTWEWDVRVSVTUMWBWCWDUMUNUOLCIGXAUPUQ
    URWJLWKMZTZXJWIWAXNWEWGWHXNWFXMWGWHSZXMLJRZLKRZVNZXOTZLJKUSXRWGTZWHTZVNXSXP
    XTXQYAXPJLRXTLJUTJLVAVCXQKLRYALKUTKLVAVCVBWGWHVDVEUQVFVGVHWKLVIVJWKWLWNWOWS
    XAVKVLXGXDXEXBQXCXDXEXFXBWQWRWTVMVOXDXEWMWPXBJKLVMABCVMVPVQVJ $.

  ${
    ftp.a $e |- A e. _V $.
    ftp.b $e |- B e. _V $.
    ftp.c $e |- C e. _V $.
    ftp.d $e |- X e. _V $.
    ftp.e $e |- Y e. _V $.
    ftp.f $e |- Z e. _V $.
    ftp.g $e |- A =/= B $.
    ftp.h $e |- A =/= C $.
    ftp.i $e |- B =/= C $.
    $( A function with a domain of three elements.  (Contributed by Stefan
       O'Rear, 17-Oct-2014.)  (Proof shortened by Alexander van der Vekens,
       23-Jan-2018.) $)
    ftp $p |- { <. A , X >. , <. B , Y >. , <. C , Z >. } : { A , B , C } -->
        { X , Y , Z } $=
      ( cvv wcel w3a wne ctp cop wf 3pm3.2i ftpg mp3an ) APQZBPQZCPQZRDPQZEPQZF
      PQZRABSZACSZBCSZRABCTDEFTADUABEUACFUATUBUFUGUHGHIUCUIUJUKJKLUCULUMUNMNOUC
      DEFPPPPPPABCUDUE $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x F $.
    $( A function restricted to a singleton.  (Contributed by NM,
       9-Oct-2004.) $)
    fnressn $p |- ( ( F Fn A /\ B e. A ) ->
                  ( F |` { B } ) = { <. B , ( F ` B ) >. } ) $=
      ( vx wcel wfn csn cres cfv cop wceq cv wi sneq reseq2d fveq2 opeq12 mpdan
      wa cvv sneqd eqeq12d imbi2d wss vex snss fnssres sylan2b wf fsn2 biantrur
      dffn2 vsnid fvres ax-mp opeq2i eqeq2i bitr3i 3bitri expcom vtoclga impcom
      fvex sneqi sylib ) BAECAFZCBGZHZBBCIZJZGZKZVFCDLZGZHZVMVMCIZJZGZKZMVFVLMD
      BAVMBKZVSVLVFVTVOVHVRVKVTVNVGCVMBNOVTVQVJVTVPVIKVQVJKVMBCPVMVPBVIQRUAUBUC
      VFVMAEZVSVFWASVOVNFZVSWAVFVNAUDWBVMADUEZUFAVNCUGUHWBVNTVOUIVMVOIZTEZVOVMW
      DJZGZKZSZVSVNVOULVMTVOWCUJWIWHVSWEWHVMVOVCUKWGVRVOWFVQWDVPVMVMVNEWDVPKDUM
      VMVNCUNUOUPVDUQURUSVEUTVAVB $.

    $( A function restricted to a singleton.  (Contributed by Mario Carneiro,
       16-Nov-2014.) $)
    funressn $p |- ( Fun F -> ( F |` { B } ) C_ { <. B , ( F ` B ) >. } ) $=
      ( wfun cdm wcel csn cres cfv cop wss wceq wfn funfn fnressn sylanb eqimss
      wa syl wn c0 cin disjsn fnresdisj sylbi bitr3id biimpa eqsstrdi pm2.61dan
      wb 0ss ) BCZABDZEZBAFZGZAABHIFZJZUKUMQUOUPKZUQUKBULLZUMURBMZULABNOUOUPPRU
      KUMSZQUOTUPUKVAUOTKZVAULUNUATKZUKVBULAUBUKUSVCVBUIUTULUNBUCUDUEUFUPUJUGUH
      $.

    $( The value of a function restricted to a singleton.  (Contributed by NM,
       9-Oct-2004.) $)
    fressnfv $p |- ( ( F Fn A /\ B e. A ) ->
                 ( ( F |` { B } ) : { B } --> C <-> ( F ` B ) e. C ) ) $=
      ( vx wcel wfn csn cres wf cfv wb cv wi wceq sneq reseq2 syl wa cop eleq1d
      feq1d feq2 bitrd fveq2 bibi12d imbi2d fnressn vsnid fvres ax-mp sneqi vex
      opeq2i eqeq2i fsn2 iba eleq1i bitr3di syl5bb sylbir expcom vtoclga impcom
      ) BAFDAGZBHZCDVFIZJZBDKZCFZLZVEEMZHZCDVMIZJZVLDKZCFZLZNVEVKNEBAVLBOZVRVKV
      EVSVOVHVQVJVSVMVFOZVOVHLVLBPVTVOVMCVGJVHVTVMCVNVGVMVFDQUBVMVFCVGUCUDRVSVP
      VICVLBDUEUAUFUGVEVLAFZVRVEWASVNVLVPTZHZOZVRAVLDUHWDVNVLVLVNKZTZHZOZVRWGWC
      VNWFWBWEVPVLVLVMFWEVPOEUIVLVMDUJUKZUNULUOVOWECFZWHSZWHVQVLCVNEUMUPWHWJWKV
      QWHWJUQWEVPCWIURUSUTVARVBVCVD $.
  $}

  ${
    $d F x $.  $d X x $.
    $( If the value of a function is in the range of the function restricted to
       the singleton containing the argument, then the value of the function is
       in the range of the function.  (Contributed by Alexander van der Vekens,
       22-Jul-2018.) $)
    fvrnressn $p |- ( X e. V -> ( ( F ` X ) e. ran ( F |` { X } )
                                  -> ( F ` X ) e. ran F ) ) $=
      ( vx cfv csn cres crn wcel cima df-ima eleq2i cop cv wex opeq1 eleq1d cvv
      wceq wb spcegv fvex elimasng mpan2 elrn2g mp1i 3imtr4d syl5bir ) CAEZACFZ
      GHZIUIAUJJZIZCBIZUIAHIZULUKUIAUJKLUNCUIMZAIZDNZUIMZAIZDOZUMUOUTUQDCBURCSU
      SUPAURCUIPQUAUNUIRIZUMUQTCAUBZACUIBRUCUDVBUOVATUNVCDUIARUEUFUGUH $.
  $}

  $( The value of a function restricted to the singleton containing the
     argument equals the value of the function for this argument.  (Contributed
     by Alexander van der Vekens, 22-Jul-2018.) $)
  fvressn $p |- ( X e. V -> ( ( F |` { X } ) ` X ) = ( F ` X ) ) $=
    ( wcel csn snidg fvresd ) CBDCCEACBFG $.

  $( If the value of a function is not null, the value is an element of the
     range of the function.  (Contributed by Alexander van der Vekens,
     22-Jul-2018.) $)
  fvn0fvelrn $p |- ( ( F ` X ) =/= (/) -> ( F ` X ) e. ran F ) $=
    ( cfv c0 wne cdm wcel csn cres wfun wa crn fvfundmfvn0 wi eldmressnsn pm3.2
    fvelrn syl ex com13 mpd imp fvressn eleq1d fvrnressn sylbid impcom 3syl ) B
    ACZDEBAFZGZABHIZJZKBULCZULLZGZUKKZUIALGZBAMUKUMUQUKBULFGZUMUQNBAOUMUSUKUQUM
    USUKUQNZUMUSKUPUTBULQUPUKPRSTUAUBUKUPURUKUPUIUOGURUKUNUIUOAUJBUCUDAUJBUEUFU
    GUH $.

  $( The value of a constant function.  (Contributed by NM, 30-May-1999.) $)
  fvconst $p |- ( ( F : A --> { B } /\ C e. A ) -> ( F ` C ) = B ) $=
    ( csn wf wcel wa cfv wceq ffvelrn elsni syl ) ABEZDFCAGHCDIZNGOBJANCDKOBLM
    $.

  $( If a class belongs to a function on a singleton, then that class is the
     obvious ordered pair.  Note that this theorem also holds when ` A ` is a
     proper class, but its meaning is then different.  (Contributed by Jonathan
     Ben-Naim, 3-Jun-2011.)  (Proof shortened by Mario Carneiro,
     22-Dec-2016.) $)
  fnsnr $p |- ( F Fn { A } -> ( B e. F -> B = <. A , ( F ` A ) >. ) ) $=
    ( csn wfn wcel cfv cop wceq cres fnresdm wfun fnfun funressn eqsstrrd sseld
    wss syl elsni syl6 ) CADZEZBCFBAACGHZDZFBUCIUBCUDBUBCCUAJZUDUACKUBCLUEUDQUA
    CMACNROPBUCST $.

  ${
    $d x A $.  $d x F $.
    fnsnb.1 $e |- A e. _V $.
    $( A function whose domain is a singleton can be represented as a singleton
       of an ordered pair.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       Revised to add reverse implication.  (Revised by NM, 29-Dec-2018.) $)
    fnsnb $p |- ( F Fn { A } <-> F = { <. A , ( F ` A ) >. } ) $=
      ( vx csn wfn cfv cop wceq cv wcel fnsnr wfun cdm df-fn snid mpbiri anim2i
      wa eleq2 sylbi funfvop syl eleq1 syl5ibrcom velsn bitr4di eqrdv fvex fnsn
      impbid fneq1 impbii ) BAEZFZBAABGZHZEZIZUODBURUODJZBKZUTUQIZUTURKUOVAVBAU
      TBLUOVAVBUQBKZUOBMZABNZKZSZVCUOVDVEUNIZSVGBUNOVHVFVDVHVFAUNKACPVEUNATQRUA
      ABUBUCUTUQBUDUEUKDUQUFUGUHUSUOURUNFAUPCABUIUJUNBURULQUM $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Express a singleton function in maps-to notation.  (Contributed by NM,
       6-Jun-2006.)  (Proof shortened by Andrew Salmon, 22-Oct-2011.)  (Revised
       by Stefan O'Rear, 28-Feb-2015.) $)
    fmptsn $p |- ( ( A e. V /\ B e. W ) ->
        { <. A , B >. } = ( x e. { A } |-> B ) ) $=
      ( wcel wa csn cxp cop cmpt xpsng fconstmpt eqtr3di ) BDFCEFGBHZCHIBCJHAOC
      KBCDELAOCMN $.
  $}

  ${
    $d A p x y $.  $d B p y $.  $d C p x y $.  $d V p $.  $d W p $.
    fmptsng.1 $e |- ( x = A -> B = C ) $.
    $( Express a singleton function in maps-to notation.  Version of ~ fmptsn
       allowing the value ` B ` to depend on the variable ` x ` .  (Contributed
       by AV, 27-Feb-2019.) $)
    fmptsng $p |- ( ( A e. V /\ C e. W ) ->
        { <. A , C >. } = ( x e. { A } |-> B ) ) $=
      ( vy vp wcel wa cv wceq copab csn cop velsn eqidd eqeq1 adantr opabbii wb
      cmpt bicomi anbi1i eqeq2d sylan9bbr opelopabga mpbir2and eleq1 syl5ibrcom
      anbi12d syl5bi elopab wi opeq12 opeq2d opex snid eqeltrdi sylbid exlimivv
      wex impcom a1i impbid eqrdv df-mpt 3eqtr4a ) BEJDFJKZALZBMZHLZCMZKZAHNZVK
      BOZJZVNKZAHNZBDPZOZAVQCUCZVOVSAHVLVRVNVRVLABQUDUEUAVJIWBVPVJILZWBJZWDVPJZ
      WEWDWAMZVJWFIWAQVJWFWGWAVPJZVJWHBBMZDDMZVJBRVJDRVOWIWJKAHBDEFVLVMDMZKVLWI
      VNWJVLVLWIUBWKVKBBSTWKVNDCMVLWJVMDCSVLCDDGUFUGULUHUIWDWAVPUJUKUMWFWDVKVMP
      ZMZVOKZHVCAVCZVJWEVOAHWDUNWOWEUOVJWNWEAHVOWMWEVOWMWDBCPZMZWEVOWLWPWDVKVMB
      CUPUFVOWEWQWPWBJVOWPWAWBVOCDBVLCDMVNGTUQWABDURUSUTWDWPWBUJUKVAVDVBVEUMVFV
      GWCVTMVJAHVQCVHVEVI $.
  $}

  ${
    $d A p x y $.  $d B p y $.  $d C p x y $.  $d V p $.  $d W p $.
    $d ph p x y $.
    fmptsnd.1 $e |- ( ( ph /\ x = A ) -> B = C ) $.
    fmptsnd.2 $e |- ( ph -> A e. V ) $.
    fmptsnd.3 $e |- ( ph -> C e. W ) $.
    $( Express a singleton function in maps-to notation.  Deduction form of
       ~ fmptsng .  (Contributed by AV, 4-Aug-2019.) $)
    fmptsnd $p |- ( ph -> { <. A , C >. } = ( x e. { A } |-> B ) ) $=
      ( vy vp cv wceq wa copab wcel cop wsbc wb csn velsn bicomi anbi1i opabbii
      cmpt eqidd sbcan eqsbc1 anbi12d syl5bb sbcbidv eqeq1 adantl eqeq2d sbcied
      sbcg syl bitrd mpbir2and opelopabsb sylibr eleq1 syl5ibrcom syl5bi elopab
      wex wi opeq12 adantrr opeq2d opex snid eqeltrdi sylbid ex exlimdvv impbid
      impcomd eqrdv df-mpt a1i 3eqtr4a ) ABMZCNZKMZDNZOZBKPZWDCUAZQZWGOZBKPZCER
      ZUAZBWJDUFZWHWLBKWEWKWGWKWEBCUBUCUDUEALWOWIALMZWOQZWQWIQZWRWQWNNZAWSLWNUB
      AWSWTWNWIQZAWHKESZBCSZXAAXCCCNZEENZACUGAEUGAXCWEEDNZOZBCSXDXEOZAXBXGBCXBW
      EKESZWGKESZOAXGWEWGKEUHAXIWEXJXFAEGQZXIWETJWEKEGUQURAXKXJXFTJKEDGUIURUJUK
      ULAXGXHBCFIAWEOZWEXDXFXEWEWEXDTAWDCCUMUNXLDEEHUOUJUPUSUTWHBKCEVAVBWQWNWIV
      CVDVEWSWQWDWFRZNZWHOZKVGBVGAWRWHBKWQVFAXOWRBKAWHXNWRAWHXNWRVHAWHOZXNWQCDR
      ZNZWRXPXMXQWQWHXMXQNAWDWFCDVIUNUOXPWRXRXQWOQXPXQWNWOXPDECAWEDENWGHVJVKWNC
      EVLVMVNWQXQWOVCVDVOVPVSVQVEVRVTWPWMNABKWJDWAWBWC $.
  $}

  ${
    $d x A $.  $d x B $.  $d x R $.  $d x S $.
    fmptap.0a $e |- A e. _V $.
    fmptap.0b $e |- B e. _V $.
    fmptap.1 $e |- ( R u. { A } ) = S $.
    fmptap.2 $e |- ( x = A -> C = B ) $.
    $( Append an additional value to a function.  (Contributed by NM,
       6-Jun-2006.)  (Revised by Mario Carneiro, 31-Aug-2015.) $)
    fmptap $p |- ( ( x e. R |-> C ) u. { <. A , B >. } ) = ( x e. S |-> C ) $=
      ( cmpt cop csn cun cvv wcel wceq fmptsn mp2an cv elsni syl mpteq2ia mptun
      eqtr4i uneq2i mpteq1i 3eqtr2i ) AEDKZBCLMZNUIABMZDKZNAEUKNZDKAFDKUJULUIUJ
      AUKCKZULBOPCOPUJUNQGHABCOORSAUKDCATZUKPUOBQDCQUOBUAJUBUCUEUFAEUKDUDAUMFDI
      UGUH $.
  $}

  ${
    $d x A $.  $d x B $.  $d x R $.  $d x S $.  $d x ph $.
    fmptapd.a $e |- ( ph -> A e. V ) $.
    fmptapd.b $e |- ( ph -> B e. W ) $.
    fmptapd.s $e |- ( ph -> ( R u. { A } ) = S ) $.
    fmptapd.c $e |- ( ( ph /\ x = A ) -> C = B ) $.
    $( Append an additional value to a function.  (Contributed by Thierry
       Arnoux, 3-Jan-2017.)  (Revised by AV, 10-Aug-2024.) $)
    fmptapd $p |- ( ph ->
      ( ( x e. R |-> C ) u. { <. A , B >. } ) = ( x e. S |-> C ) ) $=
      ( cmpt cop csn cun fmptsnd uneq2d wceq mptun a1i mpteq1d 3eqtr2d ) ABFENZ
      CDOPZQUEBCPZENZQZBFUGQZENZBGENAUFUHUEABCEDHIMJKRSUKUITABFUGEUAUBABUJGELUC
      UD $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x D $.  $d x ph $.
    fmptpr.1 $e |- ( ph -> A e. V ) $.
    fmptpr.2 $e |- ( ph -> B e. W ) $.
    fmptpr.3 $e |- ( ph -> C e. X ) $.
    fmptpr.4 $e |- ( ph -> D e. Y ) $.
    fmptpr.5 $e |- ( ( ph /\ x = A ) -> E = C ) $.
    fmptpr.6 $e |- ( ( ph /\ x = B ) -> E = D ) $.
    $( Express a pair function in maps-to notation.  (Contributed by Thierry
       Arnoux, 3-Jan-2017.) $)
    fmptpr $p |- ( ph ->
      { <. A , C >. , <. B , D >. } = ( x e. { A , B } |-> E ) ) $=
      ( cop csn cun cpr cmpt wceq df-pr fmptsnd uneq1d eqcomi fmptapd 3eqtrd
      a1i ) ACERZDFRZUAZUKSZULSZTZBCSZGUBZUOTBCDUAZGUBUMUPUCAUKULUDUJAUNURUOABC
      GEHJPLNUEUFABDFGUQUSIKMOUQDSTZUSUCAUSUTCDUDUGUJQUHUI $.
  $}

  $( The value of a restricted identity function.  (Contributed by NM,
     19-May-2004.) $)
  fvresi $p |- ( B e. A -> ( ( _I |` A ) ` B ) = B ) $=
    ( wcel cid cres cfv fvres fvi eqtrd ) BACBDAEFBDFBBADGBAHI $.

  ${
    $d F x $.  $d A x $.  $d X x $.
    $( Express the class of fixed points of a function.  (Contributed by Stefan
       O'Rear, 1-Feb-2015.) $)
    fninfp $p |- ( F Fn A -> dom ( F i^i _I ) = { x e. A | ( F ` x ) = x } ) $=
      ( wfn cid cin cdm cres cv cfv wceq crab fnresdm inres incom reseq1i eqtri
      ineq1d 3eqtr4i eqtr3di dmeqd fnresi fndmin wcel fvresi eqeq2d rabbiia a1i
      mpan2 3eqtrd ) CBDZCEFZGCEBHZFZGZAIZCJZUPUMJZKZABLZUQUPKZABLZUKULUNUKCBHZ
      EFZULUNUKVCCEBCMREVCFZULBHZVDUNVEECFZBHVFECBNVGULBECOPQVCEOCEBNSTUAUKUMBD
      UOUTKBUBABCUMUCUIUTVBKUKUSVAABUPBUDURUPUQBUPUEUFUGUHUJ $.

    $( Property of a fixed point of a function.  (Contributed by Stefan O'Rear,
       1-Feb-2015.) $)
    fnelfp $p |- ( ( F Fn A /\ X e. A ) -> ( X e. dom ( F i^i _I ) <->
          ( F ` X ) = X ) ) $=
      ( vx wfn cid cin cdm wcel cv cfv wceq crab fninfp eleq2d fveq2 id eqeq12d
      elrab3 sylan9bb ) BAEZCBFGHZICDJZBKZUCLZDAMZICAICBKZCLZUAUBUFCDABNOUEUHDC
      AUCCLZUDUGUCCUCCBPUIQRST $.

    $( Express the class of non-fixed points of a function.  (Contributed by
       Stefan O'Rear, 14-Aug-2015.) $)
    fndifnfp $p |- ( F Fn A -> dom ( F \ _I ) =
          { x e. A | ( F ` x ) =/= x } ) $=
      ( wfn cid cdif cdm cres cv cfv wne crab cvv cxp cun c0 wss wceq wf dffn2
      fssxp sylbi ssdif0 sylib uneq2d un0 eqtr2di difeq2i difindi eqtri eqtr4di
      cin df-res dmeqd fnresi fndmdif mpan2 wcel fvresi neeq2d rabbiia 3eqtrd
      a1i ) CBDZCEFZGCEBHZFZGZAIZCJZVIVFJZKZABLZVJVIKZABLZVDVEVGVDVEVECBMNZFZOZ
      VGVDVRVEPOVEVDVQPVEVDCVPQZVQPRVDBMCSVSBCTBMCUAUBCVPUCUDUEVEUFUGVGCEVPULZF
      VRVFVTCEBUMUHCEVPUIUJUKUNVDVFBDVHVMRBUOABCVFUPUQVMVORVDVLVNABVIBURVKVIVJB
      VIUSUTVAVCVB $.

    $( Property of a non-fixed point of a function.  (Contributed by Stefan
       O'Rear, 15-Aug-2015.) $)
    fnelnfp $p |- ( ( F Fn A /\ X e. A ) -> ( X e. dom ( F \ _I ) <->
          ( F ` X ) =/= X ) ) $=
      ( vx wfn cid cdif cdm wcel cv cfv crab fndifnfp eleq2d wceq fveq2 neeq12d
      wne id elrab3 sylan9bb ) BAEZCBFGHZICDJZBKZUDRZDALZICAICBKZCRZUBUCUGCDABM
      NUFUIDCAUDCOZUEUHUDCUDCBPUJSQTUA $.

    $( A function is the identity iff it moves no points.  (Contributed by
       Stefan O'Rear, 25-Aug-2015.) $)
    fnnfpeq0 $p |- ( F Fn A -> ( dom ( F \ _I ) = (/) <->
          F = ( _I |` A ) ) ) $=
      ( vx wfn cv cfv wne crab c0 wceq cid cres wral cdif cdm wn rabeq0 wcel wa
      wb nne fvresi eqeq2d adantl ralbidva syl5bb fndifnfp eqeq1d fnresi eqfnfv
      bitr4id mpan2 3bitr4d ) BADZCEZBFZUOGZCAHZIJZUPUOKALZFZJZCAMZBKNOZIJBUTJZ
      USUQPZCAMUNVCUQCAQUNVFVBCAUNUOARZSVFUPUOJZVBUPUOUAVGVBVHTUNVGVAUOUPAUOUBU
      CUDUKUEUFUNVDURICABUGUHUNUTADVEVCTAUICABUTUJULUM $.
  $}

  $( Remove an ordered pair not participating in a function value.
     (Contributed by NM, 1-Oct-2013.)  (Revised by Mario Carneiro,
     28-May-2014.) $)
  fvunsn $p |- ( B =/= D
       -> ( ( A u. { <. B , C >. } ) ` D ) = ( A ` D ) ) $=
    ( wne cop csn cun cres cfv resundir c0 wcel wceq cvv fvressn eqtr4d pm2.61i
    wn fvprc nelsn ressnop0 syl uneq2d un0 eqtrdi eqtrid fveq1d 3eqtr3g ) BDEZD
    ABCFGZHZDGZIZJZDAUMIZJZDULJZDAJZUJDUNUPUJUNUPUKUMIZHZUPAUKUMKUJVAUPLHUPUJUT
    LUPUJBUMMSUTLNBDUABCUMUBUCUDUPUEUFUGUHDOMZUOURNULODPVBSZUOLURDUNTDULTQRVBUQ
    USNAODPVCUQLUSDUPTDATQRUI $.

  $( The value of a singleton of an ordered pair is the second member.
     (Contributed by NM, 26-Oct-2012.)  (Proof shortened by BJ,
     25-Feb-2023.) $)
  fvsng $p |- ( ( A e. V /\ B e. W ) -> ( { <. A , B >. } ` A ) = B ) $=
    ( wcel wa cop csn wfun cfv wceq funsng opex snid funopfv mpisyl ) ACEBDEFAB
    GZHZIQREARJBKABCDLQABMNABROP $.

  ${
    fvsn.1 $e |- A e. _V $.
    fvsn.2 $e |- B e. _V $.
    $( The value of a singleton of an ordered pair is the second member.
       (Contributed by NM, 12-Aug-1994.)  (Proof shortened by BJ,
       25-Feb-2023.) $)
    fvsn $p |- ( { <. A , B >. } ` A ) = B $=
      ( cvv wcel cop csn cfv wceq fvsng mp2an ) AEFBEFAABGHIBJCDABEEKL $.
  $}

  ${
    fvsnun.1 $e |- ( ph -> A e. V ) $.
    fvsnun.2 $e |- ( ph -> B e. W ) $.
    fvsnun.3 $e |- G = ( { <. A , B >. } u. ( F |` ( C \ { A } ) ) ) $.
    $( The value of a function with one of its ordered pairs replaced, at the
       replaced ordered pair.  See also ~ fvsnun2 .  (Contributed by NM,
       23-Sep-2007.)  Put in deduction form.  (Revised by BJ, 25-Feb-2023.) $)
    fvsnun1 $p |- ( ph -> ( G ` A ) = B ) $=
      ( csn cres cfv cun c0 wceq eqtri wcel fvresd cop reseq1i resundir resdisj
      cdif cin disjdifr ax-mp uneq2i un0 fveq1i snidg syl fvsng syl2anc 3eqtr3a
      eqtrd ) ABFBLZMZNBBCUALZURMZNZBFNCBUSVAUSUTEDURUEZMZOZURMZVAFVEURKUBVFVAV
      DURMZOZVAUTVDURUCVHVAPOVAVGPVAVCURUFPQVGPQURDUGVCUREUDUHUIVAUJRRRUKABURFA
      BGSZBURSIBGULUMZTAVBBUTNZCABURUTVJTAVICHSVKCQIJBCGHUNUOUQUP $.

    fvsnun2.4 $e |- ( ph -> D e. ( C \ { A } ) ) $.
    $( The value of a function with one of its ordered pairs replaced, at
       arguments other than the replaced one.  See also ~ fvsnun1 .
       (Contributed by NM, 23-Sep-2007.)  Put in deduction form.  (Revised by
       BJ, 25-Feb-2023.) $)
    fvsnun2 $p |- ( ph -> ( G ` D ) = ( F ` D ) ) $=
      ( csn cres cfv cun wceq a1i c0 cdif cop reseq1i resundir cin disjdif wcel
      wfn wb fnsng syl2anc fnresdisj syl mpbii residm uneq12d un0 3eqtrd fveq1d
      uncom fvresd 3eqtr3d ) AEGDBNZUAZOZPEFVDOZPEGPEFPAEVEVFAVEBCUBNZVFQZVDOZV
      GVDOZVFVDOZQZVFVEVIRAGVHVDLUCSVIVLRAVGVFVDUDSAVLTVFQZVFTQZVFAVJTVKVFAVCVD
      UETRZVJTRZVCDUFAVGVCUHZVOVPUIABHUGCIUGVQJKBCHIUJUKVCVDVGULUMUNVKVFRAFVDUO
      SUPVMVNRATVFUTSVNVFRAVFUQSURURUSAEVDGMVAAEVDFMVAVB $.
  $}

  $( Split a function into a single point and all the rest.  (Contributed by
     Stefan O'Rear, 27-Feb-2015.) $)
  fnsnsplit $p |- ( ( F Fn A /\ X e. A ) ->
      F = ( ( F |` ( A \ { X } ) ) u. { <. X , ( F ` X ) >. } ) ) $=
    ( wfn wcel wa cres csn cdif cfv cop cun wceq fnresdm adantr resundi difsnid
    adantl reseq2d fnressn uneq2d 3eqtr3a eqtr3d ) BADZCAEZFZBAGZBBACHZIZGZCCBJ
    KHZLZUDUGBMUEABNOUFBUIUHLZGUJBUHGZLUGULBUIUHPUFUMABUEUMAMUDACQRSUFUNUKUJACB
    TUAUBUC $.

  $( Adjoining a point to a function gives a function.  (Contributed by Stefan
     O'Rear, 28-Feb-2015.) $)
  fsnunf $p |- ( ( F : S --> T /\ ( X e. V /\ -. X e. S ) /\ Y e. T ) ->
      ( F u. { <. X , Y >. } ) : ( S u. { X } ) --> T ) $=
    ( wf wcel wn wa w3a csn cun cop cin c0 wceq simp1 wf1o simp2l simp3 syl2anc
    f1osng f1of syl simp2r disjsn fun syl21anc wss snssi 3ad2ant3 ssequn2 sylib
    sylibr feq3d mpbid ) ABCGZEDHZEAHIZJZFBHZKZAELZMZBFLZMZCEFNLZMZGZVEBVIGVCUR
    VDVFVHGZAVDOPQZVJURVAVBRVCVDVFVHSZVKVCUSVBVMURUSUTVBTURVAVBUAEFDBUCUBVDVFVH
    UDUEVCUTVLURUSUTVBUFAEUGUOAVDBVFCVHUHUIVCVGBVIVEVCVFBUJZVGBQVBURVNVAFBUKULV
    FBUMUNUPUQ $.

  $( Adjoining a point to a punctured function gives a function.  (Contributed
     by Stefan O'Rear, 28-Feb-2015.) $)
  fsnunf2 $p |- ( ( F : ( S \ { X } ) --> T /\ X e. S /\ Y e. T ) ->
      ( F u. { <. X , Y >. } ) : S --> T ) $=
    ( csn cdif wf wcel w3a cun cop simp1 simp2 neldifsnd simp3 fsnunf syl121anc
    wn wceq difsnid 3ad2ant2 feq2d mpbid ) ADFZGZBCHZDAIZEBIZJZUFUEKZBCDELFKZHZ
    ABULHUJUGUHDUFISUIUMUGUHUIMUGUHUINUJDAOUGUHUIPUFBCADEQRUJUKABULUHUGUKATUIAD
    UAUBUCUD $.

  $( Recover the added point from a point-added function.  (Contributed by
     Stefan O'Rear, 28-Feb-2015.)  (Revised by NM, 18-May-2017.) $)
  fsnunfv $p |- ( ( X e. V /\ Y e. W /\ -. X e. dom F ) ->
      ( ( F u. { <. X , Y >. } ) ` X ) = Y ) $=
    ( wcel cdm wn w3a cop csn cun cres cfv c0 wceq cin dmres incom 3adant3 wrel
    eqtri disjsn biimpri eqtrid 3ad2ant3 relres reldm0 ax-mp sylibr wfn fnresdm
    wb fnsng syl uneq12d resundir uncom un0 eqtr2i fveq1d snidg 3ad2ant1 fvresd
    3eqtr4g fvsng 3eqtr3d ) DBFZECFZDAGZFHZIZDADEJKZLZDKZMZNDVMNZDVNNEVLDVPVMVL
    AVOMZVMVOMZLOVMLZVPVMVLVROVSVMVLVRGZOPZVROPZVKVHWBVIVKWAVJVOQZOWAVOVJQWDAVO
    RVOVJSUBWDOPVKVJDUCUDUEUFVRUAWCWBUMAVOUGVRUHUIUJVLVMVOUKZVSVMPVHVIWEVKDEBCU
    NTVOVMULUOUPAVMVOUQVTVMOLVMOVMURVMUSUTVEVAVLDVOVNVHVIDVOFVKDBVBVCVDVHVIVQEP
    VKDEBCVFTVG $.

  $( Recover the original function from a point-added function.  (Contributed
     by Stefan O'Rear, 28-Feb-2015.) $)
  fsnunres $p |- ( ( F Fn S /\ -. X e. S ) ->
      ( ( F u. { <. X , Y >. } ) |` S ) = F ) $=
    ( wfn wcel wn wa cres cop csn cun c0 fnresdm adantr ressnop0 adantl uneq12d
    wceq resundir un0 eqcomi 3eqtr4g ) BAEZCAFGZHZBAIZCDJKZAIZLBMLZBUHLAIBUFUGB
    UIMUDUGBSUEABNOUEUIMSUDCDAPQRBUHATUJBBUAUBUC $.

  $( Restricting a function to a domain without one element of the domain of
     the function, and adding a pair of this element and the function value of
     the element results in the function itself.  (Contributed by AV,
     2-Dec-2018.) $)
  funresdfunsn $p |- ( ( Fun F /\ X e. dom F ) ->
                ( ( F |` ( _V \ { X } ) ) u. { <. X , ( F ` X ) >. } ) = F ) $=
    ( wfun cdm wcel wa cvv csn cdif cres cfv cop cun wceq wrel funrel resdmdfsn
    syl adantr uneq1d wfn funfn fnsnsplit sylanb eqtr4d ) ACZBADZEZFZAGBHZIJZBB
    AKLHZMAUGUJIJZULMZAUIUKUMULUFUKUMNZUHUFAOUOAPABQRSTUFAUGUAUHAUNNAUBUGABUCUD
    UE $.

  $( The value of a function with a domain of (at most) two elements.
     (Contributed by Alexander van der Vekens, 3-Dec-2017.) $)
  fvpr1g $p |- ( ( A e. V /\ C e. W /\ A =/= B )
                 -> ( { <. A , C >. , <. B , D >. } ` A ) = C ) $=
    ( wcel wne w3a cop cpr cfv csn wceq cun df-pr fveq1i necom fvunsn sylbi
    syl5eq 3ad2ant3 fvsng 3adant3 eqtrd ) AEGZCFGZABHZIAACJZBDJZKZLZAUIMZLZCUHU
    FULUNNUGUHULAUMUJMOZLZUNAUKUOUIUJPQUHBAHUPUNNABRUMBDASTUAUBUFUGUNCNUHACEFUC
    UDUE $.

  $( The value of a function with a domain of (at most) two elements.
     (Contributed by Alexander van der Vekens, 3-Dec-2017.)  (Proof shortened
     by BJ, 26-Sep-2024.) $)
  fvpr2g $p |- ( ( B e. V /\ D e. W /\ A =/= B )
                 -> ( { <. A , C >. , <. B , D >. } ` B ) = D ) $=
    ( wcel wne w3a cop cpr cfv prcom fveq1i wceq necom fvpr1g syl3an3b syl5eq )
    BEGZDFGZABHZIBACJZBDJZKZLBUDUCKZLZDBUEUFUCUDMNUBTUABAHUGDOABPBADCEFQRS $.

  $( Obsolete version of ~ fvpr2g as of 26-Sep-2024.  (Contributed by Alexander
     van der Vekens, 3-Dec-2017.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  fvpr2gOLD $p |- ( ( B e. V /\ D e. W /\ A =/= B )
                 -> ( { <. A , C >. , <. B , D >. } ` B ) = D ) $=
    ( wcel wne w3a cop cpr cfv csn wceq cun prcom df-pr eqtri fveq1i fvunsn
    syl5eq 3ad2ant3 fvsng 3adant3 eqtrd ) BEGZDFGZABHZIBACJZBDJZKZLZBUJMZLZDUHU
    FULUNNUGUHULBUMUIMOZLUNBUKUOUKUJUIKUOUIUJPUJUIQRSUMACBTUAUBUFUGUNDNUHBDEFUC
    UDUE $.

  ${
    fvpr1.1 $e |- A e. _V $.
    fvpr1.2 $e |- C e. _V $.
    $( The value of a function with a domain of two elements.  (Contributed by
       Jeff Madsen, 20-Jun-2010.)  (Proof shortened by BJ, 26-Sep-2024.) $)
    fvpr1 $p |- ( A =/= B -> ( { <. A , C >. , <. B , D >. } ` A ) = C ) $=
      ( cvv wcel wne cop cpr cfv wceq fvpr1g mp3an12 ) AGHCGHABIAACJBDJKLCMEFAB
      CDGGNO $.

    $( Obsolete version of ~ fvpr1 as of 26-Sep-2024.  (Contributed by Jeff
       Madsen, 20-Jun-2010.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    fvpr1OLD $p |- ( A =/= B -> ( { <. A , C >. , <. B , D >. } ` A ) = C ) $=
      ( wne cop cpr cfv csn df-pr fveq1i wceq necom fvunsn sylbi syl5eq fvsn
      cun eqtrdi ) ABGZAACHZBDHZIZJZAUCKZJZCUBUFAUGUDKTZJZUHAUEUIUCUDLMUBBAGUJU
      HNABOUGBDAPQRACEFSUA $.
  $}

  ${
    fvpr2.1 $e |- B e. _V $.
    fvpr2.2 $e |- D e. _V $.
    $( The value of a function with a domain of two elements.  (Contributed by
       Jeff Madsen, 20-Jun-2010.)  (Proof shortened by BJ, 26-Sep-2024.) $)
    fvpr2 $p |- ( A =/= B -> ( { <. A , C >. , <. B , D >. } ` B ) = D ) $=
      ( cvv wcel wne cop cpr cfv wceq fvpr2g mp3an12 ) BGHDGHABIBACJBDJKLDMEFAB
      CDGGNO $.

    $( Obsolete version of ~ fvpr2 as of 26-Sep-2024.  (Contributed by Jeff
       Madsen, 20-Jun-2010.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    fvpr2OLD $p |- ( A =/= B -> ( { <. A , C >. , <. B , D >. } ` B ) = D ) $=
      ( wne cop cpr cfv prcom fveq1i wceq necom fvpr1 sylbi syl5eq ) ABGZBACHZB
      DHZIZJBTSIZJZDBUAUBSTKLRBAGUCDMABNBADCEFOPQ $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d F x y $.  $d R x y $.
    fprb.1 $e |- A e. _V $.
    fprb.2 $e |- B e. _V $.
    $( A condition for functionhood over a pair.  (Contributed by Scott Fenton,
       16-Sep-2013.) $)
    fprb $p |- ( A =/= B -> ( F : { A , B } --> R <->
       E. x e. R E. y e. R F = { <. A , x >. , <. B , y >. } ) ) $=
      ( cpr wf cv cop wceq wrex wa cfv wcel ffvelrn mpan2 fveq2 wne prid1 prid2
      adantr wral fvpr1 fvpr2 eqeq12d eqcom bitrdi ralpr sylanbrc adantl wfn wb
      fvex ffn fpr ffnd eqfnfv syl2an mpbird opeq2 preq1d eqeq2d preq2d rspc2ev
      syl3anc expcom wi wss vex prssi fss feq1 biimprcd syl6 rexlimdvv impbid
      ex ) CDUAZCDIZEFJZFCAKZLZDBKZLZIZMZBENAENZWCWAWJWCWAOZCFPZEQZDFPZEQZFCWLL
      ZDWNLZIZMZWJWCWMWAWCCWBQWMCDGUBWBECFRSUDWCWOWAWCDWBQWOCDHUCWBEDFRSUDWKWSW
      DFPZWDWRPZMZAWBUEZWAXCWCWACWRPZWLMZDWRPZWNMZXCCDWLWNGCFUPZUFCDWLWNHDFUPZU
      GXBXEXGACDGHWDCMZXBWLXDMXEXJWTWLXAXDWDCFTWDCWRTUHWLXDUIUJWDDMZXBWNXFMXGXK
      WTWNXAXFWDDFTWDDWRTUHWNXFUIUJUKULUMWCFWBUNWRWBUNWSXCUOWAWBEFUQWAWBWLWNIWR
      CDWLWNGHXHXIURUSAWBFWRUTVAVBWIWSFWPWGIZMABWLWNEEWDWLMZWHXLFXMWEWPWGWDWLCV
      CVDVEWFWNMZXLWRFXNWGWQWPWFWNDVCVFVEVGVHVIWAWIWCABEEWAWDEQWFEQOZWBEWHJZWIW
      CVJWAXOXPWAWBWDWFIZWHJXQEVKXPXOCDWDWFGHAVLBVLURWDWFEVMWBXQEWHVNVAVTWIWCXP
      WBEFWHVOVPVQVRVS $.
  $}

  ${
    fvtp1.1 $e |- A e. _V $.
    fvtp1.4 $e |- D e. _V $.
    $( The first value of a function with a domain of three elements.
       (Contributed by NM, 14-Sep-2011.) $)
    fvtp1 $p |- ( ( A =/= B /\ A =/= C )
             -> ( { <. A , D >. , <. B , E >. , <. C , F >. } ` A ) = D ) $=
      ( wne wa cop ctp cfv cpr csn cun df-tp fveq1i wceq necom fvunsn sylan9eqr
      sylbi fvpr1 eqtrid ) ABIZACIZJAADKZBEKZCFKZLZMAUHUINZUJOPZMZDAUKUMUHUIUJQ
      RUGUFUNAULMZDUGCAIUNUOSACTULCFAUAUCABDEGHUDUBUE $.
  $}

  ${
    fvtp2.1 $e |- B e. _V $.
    fvtp2.4 $e |- E e. _V $.
    $( The second value of a function with a domain of three elements.
       (Contributed by NM, 14-Sep-2011.) $)
    fvtp2 $p |- ( ( A =/= B /\ B =/= C )
             -> ( { <. A , D >. , <. B , E >. , <. C , F >. } ` B ) = E ) $=
      ( wne wa cop ctp cfv tprot fveq1i wceq necom fvtp1 ancoms sylanb eqtrid )
      ABIZBCIZJBADKZBEKZCFKZLZMBUEUFUDLZMZEBUGUHUDUEUFNOUBBAIZUCUIEPZABQUCUJUKB
      CAEFDGHRSTUA $.
  $}

  ${
    fvtp3.1 $e |- C e. _V $.
    fvtp3.4 $e |- F e. _V $.
    $( The third value of a function with a domain of three elements.
       (Contributed by NM, 14-Sep-2011.) $)
    fvtp3 $p |- ( ( A =/= C /\ B =/= C )
             -> ( { <. A , D >. , <. B , E >. , <. C , F >. } ` C ) = F ) $=
      ( wne wa cop ctp cfv tprot fveq1i wceq necom fvtp2 sylan2b ancoms eqtrid
      ) ACIZBCIZJCADKZBEKZCFKZLZMCUEUFUDLZMZFCUGUHUDUEUFNOUCUBUIFPZUBUCCAIUJACQ
      BCAEFDGHRSTUA $.
  $}

  $( The value of a function with a domain of (at most) three elements.
     (Contributed by Alexander van der Vekens, 4-Dec-2017.) $)
  fvtp1g $p |- ( ( ( A e. V /\ D e. W ) /\ ( A =/= B /\ A =/= C ) )
                -> ( { <. A , D >. , <. B , E >. , <. C , F >. } ` A ) = D ) $=
    ( wcel wa wne cop ctp cfv cpr csn cun df-tp fveq1i wceq necom fvunsn fvpr1g
    sylbi ad2antll 3expa adantrr eqtrd eqtrid ) AGIZDHIZJZABKZACKZJJZAADLZBELZC
    FLZMZNAUPUQOZURPQZNZDAUSVAUPUQURRSUOVBAUTNZDUNVBVCTZULUMUNCAKVDACUAUTCFAUBU
    DUEULUMVCDTZUNUJUKUMVEABDEGHUCUFUGUHUI $.

  $( The value of a function with a domain of (at most) three elements.
     (Contributed by Alexander van der Vekens, 4-Dec-2017.) $)
  fvtp2g $p |- ( ( ( B e. V /\ E e. W ) /\ ( A =/= B /\ B =/= C ) )
                -> ( { <. A , D >. , <. B , E >. , <. C , F >. } ` B ) = E ) $=
    ( wcel wa wne cop ctp cfv tprot fveq1i wceq wi necom fvtp1g expcom ancoms
    sylanb impcom eqtrid ) BGIEHIJZABKZBCKZJZJBADLZBELZCFLZMZNBUKULUJMZNZEBUMUN
    UJUKULOPUIUFUOEQZUGBAKZUHUFUPRZABSUHUQURUFUHUQJUPBCAEFDGHTUAUBUCUDUE $.

  $( The value of a function with a domain of (at most) three elements.
     (Contributed by Alexander van der Vekens, 4-Dec-2017.) $)
  fvtp3g $p |- ( ( ( C e. V /\ F e. W ) /\ ( A =/= C /\ B =/= C ) )
                -> ( { <. A , D >. , <. B , E >. , <. C , F >. } ` C ) = F ) $=
    ( wcel wa wne cop ctp cfv tprot fveq1i wceq wi necom fvtp2g expcom sylan2b
    ancoms impcom eqtrid ) CGIFHIJZACKZBCKZJZJCADLZBELZCFLZMZNCUKULUJMZNZFCUMUN
    UJUKULOPUIUFUOFQZUHUGUFUPRZUGUHCAKZUQACSUFUHURJUPBCAEFDGHTUAUBUCUDUE $.

  ${
    $d A a b x $.  $d B a b x $.  $d C a b x $.  $d D a b x $.  $d E a b x $.
    $d F a b x $.  $d ph a b x $.  $d T x $.
    tpres.t $e |- ( ph -> T = { <. A , D >. , <. B , E >. , <. C , F >. } ) $.
    tpres.b $e |- ( ph -> B e. V ) $.
    tpres.c $e |- ( ph -> C e. V ) $.
    tpres.e $e |- ( ph -> E e. V ) $.
    tpres.f $e |- ( ph -> F e. V ) $.
    tpres.1 $e |- ( ph -> B =/= A ) $.
    tpres.2 $e |- ( ph -> C =/= A ) $.
    $( An unordered triple of ordered pairs restricted to all but one first
       components of the pairs is an unordered pair of ordered pairs.
       (Contributed by AV, 14-Mar-2020.) $)
    tpres $p |- ( ph -> ( T |` ( _V \ { A } ) )
                        = { <. B , E >. , <. C , F >. } ) $=
      ( cvv wcel wa wceq vx va vb csn cdif cres cxp cin cop cpr df-res elin wex
      cv elxp anbi2i ctp wi eleq2d wo w3o vex eltp eldifsn wb eqeq1 adantl opth
      wne eqneqall com12 impd syl5bi adantr sylbid ex sylbi impcom exlimdvv orc
      a1d olc 3jaoi elpr expd 3mix2 3mix3 jaoi bitrdi mpbird elexd jca31 anim2i
      syl6ibr opeq12 eqeq2d eleq1 neeq1 anbi12d bi2anan9 spc2egv syl2anc jaoian
      mpd anbi1i 2exbii sylibr jca impbid syl5bb eqrdv eqtrid ) AFQBUDUEZUFFXMQ
      UGZUHZCGUIZDHUIZUJZFXMUKAUAXOXRUAUNZXORXSFRZXSXNRZSZAXSXRRZXSFXNULYBXTXSU
      BUNZUCUNZUIZTZYDXMRZYEQRZSZSZUCUMUBUMZSZAYCYAYLXTUBUCXSXMQUOUPAYMYCAXTYLY
      CAXTXSBEUIZXPXQUQZRZYLYCURZAFYOXSJUSZYPAYQYPAYLYCYPAYLSZXSXPTZXSXQTZUTZYC
      YPXSYNTZYTUUAVAZYSUUBURZXSYNXPXQUAVBZVCZUUCUUEYTUUAUUCAYLUUBUUCAYLUUBURUU
      CASZYKUUBUBUCYKUUHUUBYJYGUUHUUBURZYHYGUUIURZYIYHYDQRZYDBVIZSZUUJYDQBVDZUU
      LUUJUUKUULYGUUIUULYGSZUUCAUUBUUOUUCYFYNTZAUUBURZYGUUCUUPVEUULXSYFYNVFVGUU
      LUUPUUQURYGUUPYDBTZYEETZSUULUUQYDYEBEUBVBUCVBVHUULUURUUSUUQUURUULUUSUUQUR
      ZUUTYDBVJVKVLVMVNVOVLVPVGVQVNVRVKVSVPVLYTUUBYSYTUUAVTWAUUAUUBYSUUAYTWBWAW
      CVQXSXPXQUUFWDZWNWEVKVOVLYCAYMYCUUBAYMURUVAUUBAYMUUBASZXTYLUVBXTUUDUUBUUD
      AYTUUDUUAYTUUCUUAWFUUAUUCYTWGWHVNAXTUUDVEUUBAXTYPUUDYRUUGWIVGWJUVBYGUUMYI
      SZSZUCUMUBUMZYLYTAUVEUUAYTASYTCQRZCBVIZSZGQRZSZSZUVEAUVJYTAUVFUVGUVIACIKW
      KOAGIMWKWLWMAUVKUVEURZYTACIRGIRUVLKMUVDUVKUBUCCGIIYDCTZYEGTZSZYGYTUVCUVJU
      VOYFXPXSYDYECGWOWPUVMUUMUVHUVNYIUVIUVMUUKUVFUULUVGYDCQWQYDCBWRWSYEGQWQWTW
      SXAXBVGXDUUAASUUADQRZDBVIZSZHQRZSZSZUVEAUVTUUAAUVPUVQUVSADILWKPAHINWKWLWM
      AUWAUVEURZUUAADIRHIRUWBLNUVDUWAUBUCDHIIYDDTZYEHTZSZYGUUAUVCUVTUWEYFXQXSYD
      YEDHWOWPUWCUUMUVRUWDYIUVSUWCUUKUVPUULUVQYDDQWQYDDBWRWSYEHQWQWTWSXAXBVGXDX
      CYKUVDUBUCYJUVCYGYHUUMYIUUNXEUPXFXGXHVPVQVKXIXJXJXKXL $.
  $}

  $( The value of a constant function.  (Contributed by NM, 20-Aug-2005.) $)
  fvconst2g $p |- ( ( B e. D /\ C e. A ) -> ( ( A X. { B } ) ` C ) = B ) $=
    ( wcel csn cxp wf cfv wceq fconstg fvconst sylan ) BDEABFZANGZHCAECOIBJABDK
    ABCOLM $.

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x F $.
    $( A constant function expressed as a Cartesian product.  (Contributed by
       NM, 27-Nov-2007.) $)
    fconst2g $p |- ( B e. C -> ( F : A --> { B } <-> F = ( A X. { B } ) ) ) $=
      ( vx wcel csn wf cxp wceq wa cv cfv wral fvconst adantlr fvconst2g eqtr4d
      adantll wfn ralrimiva wb ffn fnconstg eqfnfv syl2an mpbird expcom fconstg
      feq1 syl5ibrcom impbid ) BCFZABGZDHZDAUNIZJZUOUMUQUOUMKZUQELZDMZUSUPMZJZE
      ANZURVBEAURUSAFZKUTBVAUOVDUTBJUMABUSDOPUMVDVABJUOABUSCQSRUAUODATUPATUQVCU
      BUMAUNDUCABCUDEADUPUEUFUGUHUMUOUQAUNUPHABCUIAUNDUPUJUKUL $.
  $}

  ${
    fvconst2.1 $e |- B e. _V $.
    $( The value of a constant function.  (Contributed by NM, 16-Apr-2005.) $)
    fvconst2 $p |- ( C e. A -> ( ( A X. { B } ) ` C ) = B ) $=
      ( cvv wcel csn cxp cfv wceq fvconst2g mpan ) BEFCAFCABGHIBJDABCEKL $.

    $( A constant function expressed as a Cartesian product.  (Contributed by
       NM, 20-Aug-1999.) $)
    fconst2 $p |- ( F : A --> { B } <-> F = ( A X. { B } ) ) $=
      ( cvv wcel csn wf cxp wceq wb fconst2g ax-mp ) BEFABGZCHCANIJKDABECLM $.
  $}

  $( Two ways to express that a function is constant.  (Contributed by NM,
     27-Nov-2007.) $)
  fconst5 $p |- ( ( F Fn A /\ A =/= (/) ) -> ( F = ( A X. { B } ) <->
                 ran F = { B } ) ) $=
    ( wfn c0 wne wa csn cxp wceq crn wi eqeq2d syl5ib adantl cvv adantrd adantr
    rneq wb rnxp wcel wf wfo df-fo fof sylbir fconst2g expd wn wrel fnrel snprc
    relrn0 biimprd eqeq2 xpeq2 xp0 eqtrdi 3imtr4d ex sylbi syl5 pm2.61i impbid
    ) CADZAEFZGZCABHZIZJZCKZVIJZVGVKVMLVFVKVLVJKZJVGVMCVJSVGVNVIVLAVIUAMNOBPUBZ
    VHVMVKLZLVOVFVPVGVOVFVMVKVFVMGZAVICUCZVOVKVQAVICUDVRAVICUEAVICUFUGABPCUHNUI
    QVOUJZVFVPVGVFCUKZVSVPACULVSVIEJZVTVPLBUMWAVTVPWAVTGVLEJZCEJZVMVKVTWBWCLWAV
    TWCWBCUNUOOWAVMWBTVTVIEVLUPRWAVKWCTVTWAVJECWAVJAEIEVIEAUQAURUSMRUTVAVBVCQVD
    VE $.

  ${
    $d A x $.  $d B x $.
    rnmptc.f $e |- F = ( x e. A |-> B ) $.
    rnmptc.a $e |- ( ph -> A =/= (/) ) $.
    $( Range of a constant function in maps-to notation.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.)  Remove extra hypothesis.  (Revised by
       SN, 17-Apr-2024.) $)
    rnmptc $p |- ( ph -> ran F = { B } ) $=
      ( c0 wne crn csn wceq cxp cmpt fconstmpt eqtr4i rneqi rnxp eqtrid syl ) A
      CHIZEJZDKZLGUAUBCUCMZJUCEUDEBCDNUDFBCDOPQCUCRST $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d ph x $.
    rnmptcOLD.f $e |- F = ( x e. A |-> B ) $.
    rnmptcOLD.b $e |- ( ( ph /\ x e. A ) -> B e. C ) $.
    rnmptcOLD.a $e |- ( ph -> A =/= (/) ) $.
    $( Obsolete version of ~ rnmptc as of 17-Apr-2024.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    rnmptcOLD $p |- ( ph -> ran F = { B } ) $=
      ( csn cxp wceq crn cmpt fconstmpt eqtr4i wfn c0 wne wb fmptd ffnd fconst5
      syl2anc mpbii ) AFCDJZKZLZFMUFLZFBCDNUGGBCDOPAFCQCRSUHUITACEFABCDEFHGUAUB
      ICDFUCUDUE $.
  $}

  ${
    $d F x $.  $d A x $.  $d B x $.
    fnprb.a $e |- A e. _V $.
    fnprb.b $e |- B e. _V $.
    $( A function whose domain has at most two elements can be represented as a
       set of at most two ordered pairs.  (Contributed by FL, 26-Jun-2011.)
       (Proof shortened by Scott Fenton, 12-Oct-2017.)  Eliminate unnecessary
       antecedent ` A =/= B ` .  (Revised by NM, 29-Dec-2018.) $)
    fnprb $p |- ( F Fn { A , B }
        <-> F = { <. A , ( F ` A ) >. , <. B , ( F ` B ) >. } ) $=
      ( vx cpr wfn cfv cop wceq wb csn dfsn2 fveq2 wa cdm fvex adantl wcel wral
      fnsnb fneq2i eqeq2i 3bitr3i preq2 fneq2d id opeq12d preq2d eqeq2d 3bitr3d
      a1i wne cv fndm dmprop eqtr4di eleq2d wo elpr fvpr1 adantr eqcomd eqeq12d
      vex syl5ibrcom fvpr2 jaod syl5bi sylbid ralrimiv wfun fnfun funpr eqfunfv
      syl2anr mpbir2and df-fn sylanblrc fneq1 biimprd mpan9 impbida pm2.61ine )
      CABGZHZCAACIZJZBBCIZJZGZKZLABABKZCAAGZHZCWIWIGZKZWGWMWPWRLWNCAMZHCWIMZKWP
      WRACDUBWSWOCANUCWTWQCWINUDUEUMWNWOWFCABAUFUGWNWQWLCWNWIWKWIWNABWHWJWNUHAB
      COUIUJUKULABUNZWGWMXAWGPZWMCQZWLQZKZFUOZCIZXFWLIZKZFXCUAZWGXEXAWGXCWFXDWF
      CUPZAWHBWJACRZBCRZUQZURSXBXIFXCXBXFXCTXFWFTZXIXBXCWFXFWGXCWFKXAXKSUSXOXFA
      KZXFBKZUTXBXIXFABFVFVAXBXPXIXQXBXIXPWHAWLIZKXBXRWHXAXRWHKWGABWHWJDXLVBVCV
      DXPXGWHXHXRXFACOXFAWLOVEVGXBXIXQWJBWLIZKXBXSWJXAXSWJKWGABWHWJEXMVHVCVDXQX
      GWJXHXSXFBCOXFBWLOVEVGVIVJVKVLWGCVMWLVMZWMXEXJPLXAWFCVNABWHWJDEXLXMVOZFCW
      LVPVQVRXAWLWFHZWMWGXAXTXDWFKYBYAXNWLWFVSVTWMWGYBWFCWLWAWBWCWDWE $.

    $d C x $.
    fntpb.c $e |- C e. _V $.
    $( A function whose domain has at most three elements can be represented as
       a set of at most three ordered pairs.  (Contributed by AV,
       26-Jan-2021.) $)
    fntpb $p |- ( F Fn { A , B , C } <-> F = { <. A , ( F ` A ) >. ,
                                               <. B , ( F ` B ) >. ,
                                               <. C , ( F ` C ) >. } ) $=
      ( vx ctp wfn cfv cop wceq wb wne wa cpr eqcomi fneq2i fveq2 fnprb tpidm23
      wi eqeq2i 3bitr3i a1i tpeq3 fneq2d opeq12d tpeq3d eqeq2d 3bitr3d a1d wral
      id cdm fndm fvex dmtpop eqtr4di adantl wcel eleq2d w3o vex fvtp1 ad2antrr
      eltp eqcomd eqeq12d syl5ibrcom fvtp2 ad4ant13 fvtp3 ad4ant23 3jaod syl5bi
      cv sylbid ralrimiv wfun fnfun funtp 3expa eqfunfv syl2anr mpbir2and fneq1
      fntp biimprd mpan9 impbida expcom tpidm12 tpeq2 tpeq2d tpidm13 pm2.61iine
      pm2.61ine ) DABCIZJZDAADKZLZBBDKZLZCCDKZLZIZMZNZAABCABOZACOZPZXJUCBCBCMZX
      JXMXNDABBIZJZDXCXEXEIZMZXAXIXPXRNXNDABQZJZDXCXEQZMZXPXRABDEFUAZXSXODXOXSA
      BUBRSYAXQDXQYAXCXEUBRUDUEUFXNXOWTDBCABUGUHXNXQXHDXNXEXGXCXEXNBCXDXFXNUOBC
      DTUIUJUKULUMXMBCOZXJXMYDPZXAXIYEXAPZXIDUPZXHUPZMZHVRZDKZYJXHKZMZHYGUNZXAY
      IYEXAYGWTYHWTDUQZAXBBXDCXFADURZBDURZCDURZUSUTVAYFYMHYGYFYJYGVBYJWTVBZYMYF
      YGWTYJXAYGWTMYEYOVAVCYSYJAMZYJBMZYJCMZVDYFYMYJABCHVEVHYFYTYMUUAUUBYFYMYTX
      BAXHKZMYFUUCXBXMUUCXBMYDXAABCXBXDXFEYPVFVGVIYTYKXBYLUUCYJADTYJAXHTVJVKYFY
      MUUAXDBXHKZMYFUUDXDXKYDUUDXDMXLXAABCXBXDXFFYQVLVMVIUUAYKXDYLUUDYJBDTYJBXH
      TVJVKYFYMUUBXFCXHKZMYFUUEXFXLYDUUEXFMXKXAABCXBXDXFGYRVNVOVIUUBYKXFYLUUEYJ
      CDTYJCXHTVJVKVPVQVSVTXADWAXHWAZXIYIYNPNYEWTDWBXKXLYDUUFABCXBXDXFEFGYPYQYR
      WCWDHDXHWEWFWGYEXHWTJZXIXAXKXLYDUUGABCXBXDXFEFGYPYQYRWIWDXIXAUUGWTDXHWHWJ
      WKWLWMWSABMZDAACIZJZDXCXCXGIZMZXAXIUUJUULNUUHDACQZJDXCXGQZMUUJUULACDEGUAU
      UMUUIDUUIUUMACWNRSUUNUUKDUUKUUNXCXGWNRUDUEUFUUHUUIWTDABACWOUHUUHUUKXHDUUH
      XCXEXCXGUUHABXBXDUUHUOABDTUIWPUKULACMZDABAIZJZDXCXEXCIZMZXAXIUUQUUSNUUOXT
      YBUUQUUSYCXSUUPDUUPXSABWQRSYAUURDUURYAXCXEWQRUDUEUFUUOUUPWTDACABUGUHUUOUU
      RXHDUUOXCXGXCXEUUOACXBXFUUOUOACDTUIUJUKULWR $.
  $}

  ${
    $d A a b $.  $d B b $.  $d F a b $.
    $( A function whose domain has at most two elements can be represented as a
       set of at most two ordered pairs.  (Contributed by Thierry Arnoux,
       12-Jul-2020.) $)
    fnpr2g $p |- ( ( A e. V /\ B e. W ) -> ( F Fn { A , B }
        <-> F = { <. A , ( F ` A ) >. , <. B , ( F ` B ) >. } ) ) $=
      ( va vb cv cpr wfn cfv cop wceq wb fneq2d id fveq2 opeq12d eqeq2d bibi12d
      preq1 preq1d preq2 preq2d vex fnprb vtocl2g ) CFHZGHZIZJZCUHUHCKZLZUIUICK
      ZLZIZMZNCAUIIZJZCAACKZLZUOIZMZNCABIZJZCVABBCKZLZIZMZNFGABDEUHAMZUKUSUQVCV
      JUJURCUHAUIUAOVJUPVBCVJUMVAUOVJUHAULUTVJPUHACQRUBSTUIBMZUSVEVCVIVKURVDCUI
      BAUCOVKVBVHCVKUOVGVAVKUIBUNVFVKPUIBCQRUDSTUHUICFUEGUEUFUG $.
  $}

  $( A function that maps a pair to a class is a pair of ordered pairs.
     (Contributed by Thierry Arnoux, 12-Jul-2020.) $)
  fpr2g $p |- ( ( A e. V /\ B e. W ) -> ( F : { A , B } --> C
    <-> ( ( F ` A ) e. C /\ ( F ` B ) e. C
    /\ F = { <. A , ( F ` A ) >. , <. B , ( F ` B ) >. } ) ) ) $=
    ( wcel wa cpr wf cfv cop wceq w3a prid1g ad2antrr ffvelrnd ad2antlr opelxpd
    simpr prid2g wfn ffn adantl wb fnpr2g adantr 3jca cxp wss biimpar 3ad2antr3
    mpbid simpr3 simpr1 simpr2 prssd eqsstrd dff2 sylanbrc impbida ) AEGZBFGZHZ
    ABIZCDJZADKZCGZBDKZCGZDAVGLZBVILZIZMZNZVDVFHZVHVJVNVPVECADVDVFTZVBAVEGZVCVF
    ABEOZPQVPVECBDVQVCBVEGZVBVFABFUAZRQVPDVEUBZVNVFWBVDVECDUCUDVDWBVNUEVFABDEFU
    FZUGUMUHVDVOHZWBDVECUIZUJVFVDVHVNWBVJVDWBVNWCUKULWDDVMWEVDVHVJVNUNWDVKVLWEW
    DAVGVECVBVRVCVOVSPVDVHVJVNUOSWDBVIVECVCVTVBVOWARVDVHVJVNUPSUQURVECDUSUTVA
    $.

  ${
    $d x A $.  $d x B $.  $d x F $.
    $( A constant function expressed in terms of its functionality, domain, and
       value.  See also ~ fconst2 .  (Contributed by NM, 27-Aug-2004.)  (Proof
       shortened by OpenAI, 25-Mar-2020.) $)
    fconstfv $p |- ( F : A --> { B } <->
                   ( F Fn A /\ A. x e. A ( F ` x ) = B ) ) $=
      ( csn wf wfn cv cfv wcel wral wa wceq ffnfv fvex elsn ralbii anbi2i bitri
      ) BCEZDFDBGZAHZDIZTJZABKZLUAUCCMZABKZLABTDNUEUGUAUDUFABUCCUBDOPQRS $.

    $( Two ways to express a constant function.  (Contributed by NM,
       15-Mar-2007.) $)
    fconst3 $p |- ( F : A --> { B } <->
                  ( F Fn A /\ A C_ ( `' F " { B } ) ) ) $=
      ( vx csn wf wfn cv cfv wceq wral wa ccnv cima wss fconstfv wfun cdm fnfun
      wb fndm eqimss2 syl funconstss syl2anc pm5.32i bitri ) ABEZCFCAGZDHCIBJDA
      KZLUIACMUHNOZLDABCPUIUJUKUICQACRZOZUJUKTACSUIULAJUMACUAAULUBUCDABCUDUEUFU
      G $.
  $}

  $( Two ways to express a constant function.  (Contributed by NM,
     8-Mar-2007.) $)
  fconst4 $p |- ( F : A --> { B } <->
                ( F Fn A /\ ( `' F " { B } ) = A ) ) $=
    ( csn wf wfn ccnv cima wss wa wceq fconst3 cnvimass fndm sseqtrid biantrurd
    cdm eqss bitr4di pm5.32i bitri ) ABDZCECAFZACGUBHZIZJUCUDAKZJABCLUCUEUFUCUE
    UDAIZUEJUFUCUGUEUCCQUDACUBMACNOPUDARSTUA $.

  ${
    $d x A $.  $d x B $.
    $( The restriction of a function to a set exists.  Compare Proposition 6.17
       of [TakeutiZaring] p. 28.  (Contributed by NM, 7-Apr-1995.)  (Revised by
       Mario Carneiro, 22-Jun-2013.) $)
    resfunexg $p |- ( ( Fun A /\ B e. C ) -> ( A |` B ) e. _V ) $=
      ( vx wfun wcel wa cres cdm cv cfv cop cmpt cima cvv crn wfn funres adantr
      wceq funfnd dffn5 sylib fvex fnasrn eqtrdi dmmpti imaeq2i imadmrn eqtr4di
      opex eqid eqtr3i funmpt dmresexg adantl funimaexg sylancr eqeltrd ) AEZBC
      FZGZABHZDVCIZDJZVEVCKZLZMZVDNZOVBVCVHPZVIVBVCDVDVFMZVJVBVCVDQVCVKTVBVCUTV
      CEVABARSUADVDVCUBUCDVDVFVEVCUDUEUFVHVHIZNVIVJVLVDVHDVDVGVHVEVFUKVHULUGUHV
      HUIUMUJVBVHEVDOFZVIOFDVDVGUNVAVMUTABCUOUPVHVDOUQURUS $.
  $}

  ${
    resiexd.b $e |- ( ph -> B e. V ) $.
    $( The restriction of the identity relation to a set is a set.
       (Contributed by AV, 15-Feb-2020.) $)
    resiexd $p |- ( ph -> ( _I |` B ) e. _V ) $=
      ( cid wfun wcel cres cvv funi resfunexg sylancr ) AEFBCGEBHIGJDEBCKL $.
  $}

  $( If the domain of a function is a set, the function is a set.  Theorem
     6.16(1) of [TakeutiZaring] p. 28.  This theorem is derived using the Axiom
     of Replacement in the form of ~ resfunexg .  See ~ fnexALT for alternate
     proof.  (Contributed by NM, 14-Aug-1994.)  (Proof shortened by Andrew
     Salmon, 17-Sep-2011.) $)
  fnex $p |- ( ( F Fn A /\ A e. B ) -> F e. _V ) $=
    ( wfn wrel wcel cdm cres cvv fnrel wfun wceq eleq1a impcom resfunexg sylan2
    wa df-fn anassrs sylanb resdm eleq1d biimpa syl2an2r ) CADZCEZABFZCCGZHZIFZ
    CIFZACJUECKZUHALZQUGUJCARULUMUGUJUMUGQULUHBFZUJUGUMUNABUHMNCUHBOPSTUFUJUKUF
    UICICUAUBUCUD $.

  ${
    fnexd.1 $e |- ( ph -> F Fn A ) $.
    fnexd.2 $e |- ( ph -> A e. V ) $.
    $( If the domain of a function is a set, the function is a set.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    fnexd $p |- ( ph -> F e. _V ) $=
      ( wfn wcel cvv fnex syl2anc ) ACBGBDHCIHEFBDCJK $.
  $}

  $( If the domain of a function exists, so does the function.  Part of Theorem
     4.15(v) of [Monk1] p. 46.  This theorem is derived using the Axiom of
     Replacement in the form of ~ fnex .  (Note:  Any resemblance between
     F.U.N.E.X. and "Have You Any Eggs" is purely a coincidence originated by
     Swedish chefs.)  (Contributed by NM, 11-Nov-1995.) $)
  funex $p |- ( ( Fun F /\ dom F e. B ) -> F e. _V ) $=
    ( wfun cdm wfn wcel cvv funfn fnex sylanb ) BCBBDZEKAFBGFBHKABIJ $.

  ${
    $d x y A $.
    opabex.1 $e |- A e. _V $.
    opabex.2 $e |- ( x e. A -> E* y ph ) $.
    $( Existence of a function expressed as class of ordered pairs.
       (Contributed by NM, 21-Jul-1996.) $)
    opabex $p |- { <. x , y >. | ( x e. A /\ ph ) } e. _V $=
      ( cv wcel wa copab wfun cdm cvv wmo funopab moanimv mpbir mpgbir dmopabss
      wi ssexi funex mp2an ) BGDHZAIZBCJZKZUFLZMHUFMHUGUECNZBUEBCOUIUDACNTFUDAC
      PQRUHDEABCDSUAMUFUBUC $.
  $}

  ${
    $d x A $.
    $( If the domain of a function given by maps-to notation is a set, the
       function is a set.  (Contributed by FL, 6-Jun-2011.)  (Revised by Mario
       Carneiro, 31-Aug-2015.) $)
    mptexg $p |- ( A e. V -> ( x e. A |-> B ) e. _V ) $=
      ( wcel cmpt wfun cdm cvv funmpt wss eqid dmmptss ssexg mpan funex sylancr
      ) BDEZABCFZGSHZIEZSIEABCJTBKRUAABCSSLMTBDNOISPQ $.
  $}

  ${
    mptexgf.a $e |- F/_ x A $.
    $( If the domain of a function given by maps-to notation is a set, the
       function is a set.  (Contributed by FL, 6-Jun-2011.)  (Revised by Mario
       Carneiro, 31-Aug-2015.)  (Revised by Thierry Arnoux, 17-May-2020.) $)
    mptexgf $p |- ( A e. V -> ( x e. A |-> B ) e. _V ) $=
      ( wcel cmpt wfun cdm cvv funmpt wss crab eqid dmmpt wtru wral trud rgenw
      wi ss2rab mpbir rabtru sseqtri eqsstri ssexg mpan funex sylancr ) BDFZABC
      GZHUKIZJFZUKJFABCKULBLUJUMULCJFZABMZBABCUKUKNOUOPABMZBUOUPLUNPTZABQUQABUN
      RSUNPABUAUBABEUCUDUEULBDUFUGJUKUHUI $.
  $}

  ${
    $d x A $.
    mptex.1 $e |- A e. _V $.
    $( If the domain of a function given by maps-to notation is a set, the
       function is a set.  Inference version of ~ mptexg .  (Contributed by NM,
       22-Apr-2005.)  (Revised by Mario Carneiro, 20-Dec-2013.) $)
    mptex $p |- ( x e. A |-> B ) e. _V $=
      ( cvv wcel cmpt mptexg ax-mp ) BEFABCGEFDABCEHI $.
  $}

  ${
    $d A x $.
    mptexd.1 $e |- ( ph -> A e. V ) $.
    $( If the domain of a function given by maps-to notation is a set, the
       function is a set.  Deduction version of ~ mptexg .  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    mptexd $p |- ( ph -> ( x e. A |-> B ) e. _V ) $=
      ( wcel cmpt cvv mptexg syl ) ACEGBCDHIGFBCDEJK $.
  $}

  ${
    $d x y A $.  $d x ph $.
    mptrabex.1 $e |- A e. _V $.
    $( If the domain of a function given by maps-to notation is a class
       abstraction based on a set, the function is a set.  (Contributed by AV,
       16-Jul-2019.)  (Revised by AV, 26-Mar-2021.) $)
    mptrabex $p |- ( x e. { y e. A | ph } |-> B ) e. _V $=
      ( crab rabex mptex ) BACDGEACDFHI $.
  $}

  $( If the domain of a mapping is a set, the function is a set.  (Contributed
     by NM, 3-Oct-1999.) $)
  fex $p |- ( ( F : A --> B /\ A e. C ) -> F e. _V ) $=
    ( wf wfn wcel cvv ffn fnex sylan ) ABDEDAFACGDHGABDIACDJK $.

  ${
    fexd.1 $e |- ( ph -> F : A --> B ) $.
    fexd.2 $e |- ( ph -> A e. C ) $.
    $( If the domain of a mapping is a set, the function is a set.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    fexd $p |- ( ph -> F e. _V ) $=
      ( wf wcel cvv fex syl2anc ) ABCEHBDIEJIFGBCDEKL $.
  $}

  ${
    $d A y $.  $d V x y $.  $d W y $.  $d Y y $.
    mptfvmpt.y $e |- ( y = Y -> M = ( x e. V |-> A ) ) $.
    mptfvmpt.g $e |- G = ( y e. W |-> M ) $.
    mptfvmpt.v $e |- V = ( F ` X ) $.
    $( A function in maps-to notation as the value of another function in
       maps-to notation.  (Contributed by AV, 20-Aug-2022.) $)
    mptfvmpt $p |- ( Y e. W -> ( G ` Y ) = ( x e. V |-> A ) ) $=
      ( cmpt fvexi mptex fvmpt ) BJFAGCNHEKLAGCGIDMOPQ $.
  $}

  ${
    $d f x z A $.  $d f z B $.
    eufnfv.1 $e |- A e. _V $.
    eufnfv.2 $e |- B e. _V $.
    $( A function is uniquely determined by its values.  (Contributed by NM,
       31-Aug-2011.) $)
    eufnfv $p |- E! f ( f Fn A /\ A. x e. A ( f ` x ) = B ) $=
      ( vz cv wfn cfv wceq wral wa weu wb wal wex cmpt mptex cvv eqeq2 pm4.71ri
      bibi2d albidv spcev eqid fnmpti fneq1 mpbiri dffn5 eqeq1 sylbi wcel rgenw
      fvex mpteqb ax-mp bitrdi pm5.32i bitr2i mpg eu6 mpbir ) DHZBIZAHZVDJZCKAB
      LZMZDNVIVDGHZKZOZDPZGQZVIVDABCRZKZOZVNDVMVQDPGVOABCESVJVOKZVLVQDVRVKVPVIV
      JVOVDUAUCUDUEVPVEVPMVIVPVEVPVEVOBIABCVOFVOUFUGBVDVOUHUIUBVEVPVHVEVPABVGRZ
      VOKZVHVEVDVSKVPVTOABVDUJVDVSVOUKULVGTUMZABLVTVHOWAABVFVDUOUNABVGCTUPUQURU
      SUTVAVIDGVBVC $.
  $}

  $( A function's value in a preimage belongs to the image.  (Contributed by
     NM, 23-Sep-2003.) $)
  funfvima $p |- ( ( Fun F /\ B e. dom F ) -> ( B e. A ->
                 ( F ` B ) e. ( F " A ) ) ) $=
    ( wfun cdm wcel wa cfv cima cres dmres elin2 crn funres fvelrn sylan df-ima
    wi eleq2i fvres eleq1d bitr4id syl5ibrcom syl5bir expd com12 impd pm2.43b
    ex ) CDZBCEZFZGBAFZBCHZCAIZFZUMUJULUMUPRZUJUMULUQRUJUMULUQUMULGBCAJZEZFZUJU
    QBAUKUSCAKLUJUTUQUJUTGUPUMBURHZURMZFZUJURDUTVCACNBUROPUMUPUNVBFVCUOVBUNCAQS
    UMVAUNVBBACTUAUBUCUIUDUEUFUGUH $.

  $( A function's value in an included preimage belongs to the image.
     (Contributed by NM, 3-Feb-1997.) $)
  funfvima2 $p |- ( ( Fun F /\ A C_ dom F ) -> ( B e. A ->
                  ( F ` B ) e. ( F " A ) ) ) $=
    ( wfun wcel cdm wi cfv cima wss funfvima ex com23 a2d ssel impel ) CDZBAEZB
    CFZEZGRBCHCAIEZGZASJQRTUAQTRUAQTUBABCKLMNASBOP $.

  ${
    funfvima2d.1 $e |- ( ph -> F : A --> B ) $.
    $( A function's value in a preimage belongs to the image.  (Contributed by
       Stanislas Polu, 9-Mar-2020.)  (Revised by AV, 23-Mar-2024.) $)
    funfvima2d $p |- ( ( ph /\ X e. A ) -> ( F ` X ) e. ( F " A ) ) $=
      ( wcel cfv cima wfun cdm wss wi ffund fdmd sseqtrrd funfvima2 syl2anc imp
      ssidd ) AEBGZEDHDBIGZADJBDKZLUAUBMABCDFNABBUCABTABCDFOPBEDQRS $.
  $}

  $( The function value of an operand in a set is contained in the image of
     that set, using the ` Fn ` abbreviation.  (Contributed by Stefan O'Rear,
     10-Mar-2015.) $)
  fnfvima $p |- ( ( F Fn A /\ S C_ A /\ X e. S ) -> ( F ` X ) e. ( F " S ) ) $=
    ( wfn wss wcel w3a wfun cdm wa cima fnfun 3ad2ant1 simp2 wceq fndm sseqtrrd
    cfv jca simp3 funfvima2 sylc ) CAEZBAFZDBGZHZCIZBCJZFZKUFDCSCBLGUGUHUJUDUEU
    HUFACMNUGBAUIUDUEUFOUDUEUIAPUFACQNRTUDUEUFUABDCUBUC $.

  ${
    fnfvimad.1 $e |- ( ph -> F Fn A ) $.
    fnfvimad.2 $e |- ( ph -> B e. A ) $.
    fnfvimad.3 $e |- ( ph -> B e. C ) $.
    $( A function's value belongs to the image.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    fnfvimad $p |- ( ph -> ( F ` B ) e. ( F " C ) ) $=
      ( cin cima cfv wss inss2 imass2 ax-mp wfn wcel inss1 a1i elind fnfvima
      syl3anc sselid ) AEBDIZJZEDJZCEKZUDDLUEUFLBDMUDDENOAEBPUDBLZCUDQUGUEQFUHA
      BDRSABDCGHTBUDECUAUBUC $.
  $}

  ${
    resfvresima.f $e |- ( ph -> Fun F ) $.
    resfvresima.s $e |- ( ph -> S C_ dom F ) $.
    resfvresima.x $e |- ( ph -> X e. S ) $.
    $( The value of the function value of a restriction for a function
       restricted to the image of the restricting subset.  (Contributed by AV,
       6-Mar-2021.) $)
    resfvresima $p |- ( ph -> ( ( H |` ( F " S ) ) ` ( ( F |` S ) ` X ) )
                              = ( H ` ( F ` X ) ) ) $=
      ( cres cfv cima fvresd fveq2d wfun cdm wss wa wcel jca funfvima2 eqtrd
      sylc ) AECBIJZDCBKZIZJECJZUEJUFDJAUCUFUEAEBCHLMAUFUDDACNZBCOPZQEBRUFUDRAU
      GUHFGSHBECTUBLUA $.
  $}

  ${
    $d x A $.  $d x F $.  $d x G $.
    $( A class including a function contains the function's value in the image
       of the singleton of the argument.  (Contributed by NM, 23-Mar-2004.) $)
    funfvima3 $p |- ( ( Fun F /\ F C_ G ) -> ( A e. dom F ->
                    ( F ` A ) e. ( G " { A } ) ) ) $=
      ( vx wss wfun cdm wcel cfv csn cima wi wa cop ssel funfvop impel wb wceq
      cv sneq imaeq2d eleq2d opeq1 eleq1d vex fvex elimasn vtoclbg mpbird exp32
      ad2antll impcom ) BCEZBFZABGZHZABIZCAJZKZHZLUNUOUQVAUNUOUQMZMVAAURNZCHZUN
      VCBHVDVBBCVCOABPQUQVAVDRUNUOURCDTZJZKZHVEURNZCHVAVDDAUPVEASZVGUTURVIVFUSC
      VEAUAUBUCVIVHVCCVEAURUDUECVEURDUFABUGUHUIULUJUKUM $.
  $}

  ${
    $d ph y $.  $d ps x $.  $d F x y $.  $d B x y $.  $d A x y $.
    rexima.x $e |- ( x = ( F ` y ) -> ( ph <-> ps ) ) $.
    $( Existential quantification under an image in terms of the base set.
       (Contributed by Stefan O'Rear, 21-Jan-2015.) $)
    rexima $p |- ( ( F Fn A /\ B C_ A ) ->
        ( E. x e. ( F " B ) ph <-> E. y e. B ps ) ) $=
      ( wfn wss wa cv cfv cima cvv wcel fvexd wceq wrex fvelimab eqcom rexxfr2d
      rexbii bitrdi wb adantl ) GEIFEJKZABCDDLZGMZGFNZFOUGUHFPKUHGQUGCLZUJPUIUK
      RZDFSUKUIRZDFSDEFUKGTULUMDFUIUKUAUCUDUMABUEUGHUFUB $.

    $( Universal quantification under an image in terms of the base set.
       (Contributed by Stefan O'Rear, 21-Jan-2015.) $)
    ralima $p |- ( ( F Fn A /\ B C_ A ) ->
        ( A. x e. ( F " B ) ph <-> A. y e. B ps ) ) $=
      ( wfn wss wa cv cfv cima cvv wcel fvexd wceq wrex fvelimab eqcom ralxfr2d
      rexbii bitrdi wb adantl ) GEIFEJKZABCDDLZGMZGFNZFOUGUHFPKUHGQUGCLZUJPUIUK
      RZDFSUKUIRZDFSDEFUKGTULUMDFUIUKUAUCUDUMABUEUGHUFUB $.
  $}

  ${
    $d x y F $.
    $( Upper bound for the class of values of a class.  (Contributed by NM,
       9-Nov-1995.) $)
    fvclss $p |- { y | E. x y = ( F ` x ) } C_ ( ran F u. { (/) } ) $=
      ( cv cfv wceq wex cab crn wcel c0 csn wo cun wn wne eqcom tz6.12i syl6ibr
      wbr syl5bi eximdv elrn com12 necon1bd velsn orrd ss2abi df-un sseqtrri
      vex ) BDZADZCEZFZAGZBHULCIZJZULKLZJZMZBHUQUSNUPVABUPURUTUPUROULKFUTUPURUL
      KULKPZUPURVBUPUMULCTZAGURVBUOVCAUOUNULFVBVCULUNQUMULCRUAUBAULCBUKUCSUDUEB
      KUFSUGUHBUQUSUIUJ $.
  $}

  ${
    $d y z B $.  $d x y z A $.
    elabrex.1 $e |- B e. _V $.
    $( Elementhood in an image set.  (Contributed by Mario Carneiro,
       14-Jan-2014.) $)
    elabrex $p |- ( x e. A -> B e. { y | E. x e. A y = B } ) $=
      ( vz cv wcel csb wceq wrex cab wtru tru csbeq1a equcoms trud rspcev mpan2
      2thd eqeq1 rexbidv elab sylibr nfv nfcsb1v nfeq2 eqeq2d cbvrexw eleqtrrdi
      abbii ) AGZCHZDBGZAFGZDIZJZFCKZBLZUNDJZACKZBLUMDUPJZFCKZDUSHUMMVCNVBMFULC
      UOULJZVBMVBAFAUODOZPVDQTRSURVCBDEUTUQVBFCUNDUPUAUBUCUDVAURBUTUQAFCUTFUEAU
      NUPAUODUFUGULUOJDUPUNVEUHUIUKUJ $.
  $}

  ${
    $d A y z $.  $d B y z $.  $d C w $.  $d D y $.  $d w x y $.  $d w z y $.
    abrexco.1 $e |- B e. _V $.
    abrexco.2 $e |- ( y = B -> C = D ) $.
    $( Composition of two image maps ` C ( y ) ` and ` B ( w ) ` .
       (Contributed by NM, 27-May-2013.) $)
    abrexco $p |- { x | E. y e. { z | E. w e. A z = B } x = C } =
        { x | E. w e. A x = D } $=
      ( cv wceq wrex cab wa wex wcel df-rex bitr4i bitri vex eqeq1 rexbidv elab
      anbi1i r19.41v exbii rexcom4 eqeq2d ceqsexv rexbii abbii ) AKZGLZBCKZFLZD
      EMZCNZMZUMHLZDEMZAUSBKZFLZUNOZBPZDEMZVAUSVDDEMZBPZVFUSVBURQZUNOZBPVHUNBUR
      RVJVGBVJVCDEMZUNOVGVIVKUNUQVKCVBBUAUOVBLUPVCDEUOVBFUBUCUDUEVCUNDEUFSUGTVD
      DBEUHSVEUTDEUNUTBFIVCGHUMJUIUJUKTUL $.
  $}

  ${
    $d x y z A $.  $d y z B $.  $d y z C $.
    $( The image of an indexed union is the indexed union of the images.
       (Contributed by Mario Carneiro, 18-Jun-2014.) $)
    imaiun $p |- ( A " U_ x e. B C ) = U_ x e. B ( A " C ) $=
      ( vy vz ciun cima cv wcel cop wa wex wrex rexcom4 vex elima3 rexbii eliun
      anbi1i r19.41v bitr4i exbii 3bitr4ri 3bitr4i eqriv ) EBACDGZHZACBDHZGZFIZ
      UGJZUKEIZKBJZLZFMZUMUIJZACNZUMUHJUMUJJUKDJZUNLZFMZACNUTACNZFMURUPUTAFCOUQ
      VAACFUMBDEPZQRUOVBFUOUSACNZUNLVBULVDUNAUKCDSTUSUNACUAUBUCUDFUMBUGVCQAUMCU
      ISUEUF $.
  $}

  ${
    $d x A $.  $d x B $.
    $( The image of a union is the indexed union of the images.  Theorem 3K(a)
       of [Enderton] p. 50.  (Contributed by NM, 9-Aug-2004.)  (Proof shortened
       by Mario Carneiro, 18-Jun-2014.) $)
    imauni $p |- ( A " U. B ) = U_ x e. B ( A " x ) $=
      ( cuni cima cv ciun uniiun imaeq2i imaiun eqtri ) BCDZEBACAFZGZEACBMEGLNB
      ACHIABCMJK $.
  $}

  ${
    $d x y A $.  $d x y F $.
    $( The indexed union of a function's values is the union of its range.
       Compare Definition 5.4 of [Monk1] p. 50.  (Contributed by NM,
       27-Sep-2004.) $)
    fniunfv $p |- ( F Fn A -> U_ x e. A ( F ` x ) = U. ran F ) $=
      ( vy wfn cv cfv ciun wceq wrex cab cuni fvex dfiun2 fnrnfv unieqd eqtr4id
      crn ) CBEZABAFZCGZHDFUAIABJDKZLCRZLADBUATCMNSUCUBADBCOPQ $.

    $( The indexed union of a function's values is the union of its image under
       the index class.

       Note:  This theorem depends on the fact that our function value is the
       empty set outside of its domain.  If the antecedent is changed to
       ` F Fn A ` , the theorem can be proved without this dependency.
       (Contributed by NM, 26-Mar-2006.)  (Proof shortened by Mario Carneiro,
       31-Aug-2015.) $)
    funiunfv $p |- ( Fun F -> U_ x e. A ( F ` x ) = U. ( F " A ) ) $=
      ( wfun cres cdm cv cfv ciun crn cuni cima wfn wceq syl eqtri wcel iuneq2i
      cun c0 funres funfnd fniunfv cdif undif2 wss cin dmres inss1 eqsstri mpbi
      ssequn1 iuneq1 ax-mp iunxun eldifn ndmfv uneq2i un0 fvres 3eqtr3ri df-ima
      wn iun0 unieqi 3eqtr4g ) CDZACBEZFZAGZVHHZIZVHJZKZABVJCHZIZCBLZKVGVHVIMVL
      VNNVGVHBCUAUBAVIVHUCOAVIBVIUDZSZVKIZABVKIZVLVPVSBNVTWANVSVIBSZBVIBUEVIBUF
      WBBNVIBCFZUGBCBUHBWCUIUJVIBULUKPAVSBVKUMUNVTVLAVRVKIZSZVLAVIVRVKUOWEVLTSV
      LWDTVLWDAVRTITAVRVKTVJVRQVJVIQVCVKTNVJBVIUPVJVHUQORAVRVDPURVLUSPPABVKVOVJ
      BCUTRVAVQVMCBVBVEVF $.
  $}

  ${
    $d x z A $.  $d z F $.
    funiunfvf.1 $e |- F/_ x F $.
    $( The indexed union of a function's values is the union of its image under
       the index class.  This version of ~ funiunfv uses a bound-variable
       hypothesis in place of a distinct variable condition.  (Contributed by
       NM, 26-Mar-2006.)  (Revised by David Abernethy, 15-Apr-2013.) $)
    funiunfvf $p |- ( Fun F -> U_ x e. A ( F ` x ) = U. ( F " A ) ) $=
      ( vz wfun cv cfv ciun cima cuni nfcv nffv fveq2 cbviun funiunfv eqtr3id )
      CFABAGZCHZIEBEGZCHZICBJKEABUASATCDATLMESLTRCNOEBCPQ $.
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.
    $( Membership in the union of an image of a function.  (Contributed by NM,
       28-Sep-2006.) $)
    eluniima $p |- ( Fun F ->
                   ( B e. U. ( F " A ) <-> E. x e. A B e. ( F ` x ) ) ) $=
      ( wfun cv cfv ciun wcel cima cuni wrex funiunfv eleq2d eliun bitr3di ) DE
      ZCABAFDGZHZICDBJKZICRIABLQSTCABDMNACBROP $.
  $}

  ${
    $d x y A $.  $d x y F $.
    $( Membership in the union of the range of a function.  See ~ elunirnALT
       for a shorter proof which uses ~ ax-pow .  (Contributed by NM,
       24-Sep-2006.) $)
    elunirn $p |- ( Fun F ->
                        ( A e. U. ran F <-> E. x e. dom F A e. ( F ` x ) ) ) $=
      ( vy crn cuni wcel cv wa wex wfun cfv cdm wrex eluni wceq wfn funfn eleq2
      wb fvelrnb sylbi anbi2d r19.42v bitr4di biimparc reximi syl6bi fvelrn a1d
      exlimdv ancld fvex eleq1 anbi12d spcev syl6 rexlimdva impbid syl5bb ) BCE
      ZFGBDHZGZVBVAGZIZDJZCKZBAHZCLZGZACMZNZDBVAOVGVFVLVGVEVLDVGVEVCVIVBPZIZAVK
      NZVLVGVEVCVMAVKNZIVOVGVDVPVCVGCVKQVDVPTCRAVKVBCUAUBUCVCVMAVKUDUEVNVJAVKVM
      VJVCVIVBBSUFUGUHUKVGVJVFAVKVGVHVKGIZVJVJVIVAGZIZVFVQVJVRVQVRVJVHCUIUJULVE
      VSDVIVHCUMVBVIPVCVJVDVRVBVIBSVBVIVAUNUOUPUQURUSUT $.
  $}

  ${
    $d x A $.  $d x F $.
    $( Alternate proof of ~ elunirn .  It is shorter but requires ~ ax-pow
       (through ~ eluniima , ~ funiunfv , ~ ndmfv ).  (Contributed by NM,
       24-Sep-2006.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    elunirnALT $p |- ( Fun F ->
                        ( A e. U. ran F <-> E. x e. dom F A e. ( F ` x ) ) ) $=
      ( crn cuni wcel cdm cima wfun cv cfv wrex imadmrn unieqi eluniima bitr3id
      eleq2i ) BCDZEZFBCCGZHZEZFCIBAJCKFATLUBSBUARCMNQATBCOP $.
  $}

  ${
    $d x A $.  $d x I $.  $d x F $.
    $( Membership in a union of some function-defined family of sets.
       (Contributed by Stefan O'Rear, 30-Jan-2015.) $)
    fnunirn $p |- ( F Fn I -> ( A e. U. ran F <->
        E. x e. I A e. ( F ` x ) ) ) $=
      ( wfn crn cuni wcel cv cfv cdm wrex wfun fnfun elunirn fndm rexeqdv bitrd
      wb syl ) CDEZBCFGHZBAICJHZACKZLZUCADLUACMUBUESDCNABCOTUAUCAUDDDCPQR $.
  $}

  ${
    $d x y z A $.  $d z B $.  $d x y z F $.
    $( A one-to-one function in terms of function values.  Compare Theorem
       4.8(iv) of [Monk1] p. 43.  (Contributed by NM, 29-Oct-1996.) $)
    dff13 $p |- ( F : A -1-1-> B <-> ( F : A --> B /\
             A. x e. A A. y e. A ( ( F ` x ) = ( F ` y ) -> x = y ) ) ) $=
      ( vz cv wbr wal wa cfv wceq wi wral wb wcel vex breldm eleq2d bitri dff12
      wf1 wf wmo wfn ffn cdm fndm syl5ib anim12d pm4.71rd eqcom syl5bb bi2anan9
      fnbrfvb anandis pm5.32da bitr4d imbi1d impexp bitrdi albidv 19.21v 19.23v
      wex fvex eqvinc imbi1i bitr4i imbi2i 2albidv breq1 mo4 albii r2al 3bitr4g
      alrot3 syl pm5.32i ) CDEUBCDEUCZAGZFGZEHZAUDZFIZJVTWAEKZBGZEKZLZWAWGLZMZB
      CNACNZJAFCDEUAVTWEWLVTECUEZWEWLOCDEUFWMWCWGWBEHZJZWJMZFIZBIAIZWACPZWGCPZJ
      ZWKMZBIAIWEWLWMWQXBABWMWQXAWBWFLZWBWHLZJZWJMZMZFIZXBWMWPXGFWMWPXAXEJZWJMX
      GWMWOXIWJWMWOXAWOJXIWMWOXAWMWCWSWNWTWCWAEUGZPWMWSWAWBEAQFQZRWMXJCWACEUHZS
      UIWNWGXJPWMWTWGWBEBQXKRWMXJCWGXLSUIUJUKWMXAXEWOWMWSWTXEWOOWMWSJZXCWCWMWTJ
      ZXDWNXCWFWBLXMWCWBWFULCWAWBEUOUMXDWHWBLXNWNWBWHULCWGWBEUOUMUNUPUQURUSXAXE
      WJUTVAVBXHXAXFFIZMXBXAXFFVCXOWKXAXOXEFVEZWJMWKXEWJFVDWIXPWJFWFWHWAEVFVGVH
      VIVJTVAVKWEWPBIAIZFIWRWDXQFWCWNABWAWGWBEVLVMVNWPFABVQTWKABCCVOVPVRVST $.
  $}

  ${
    $d x y w v A $.  $d w v B $.  $d w v F $.
    dff13f.1 $e |- F/_ x F $.
    dff13f.2 $e |- F/_ y F $.
    $( A one-to-one function in terms of function values.  Compare Theorem
       4.8(iv) of [Monk1] p. 43.  (Contributed by NM, 31-Jul-2003.) $)
    dff13f $p |- ( F : A -1-1-> B <-> ( F : A --> B /\
             A. x e. A A. y e. A ( ( F ` x ) = ( F ` y ) -> x = y ) ) ) $=
      ( vw vv cv cfv wceq weq wi wral wa nfcv nffv nfeq nfv wf dff13 nfim fveq2
      eqeq2d equequ2 imbi12d cbvralw ralbii nfralw fveqeq2 equequ1 bitri anbi2i
      wf1 ralbidv ) CDEUOCDEUAZHJZEKZIJZEKZLZHIMZNZICOZHCOZPUQAJZEKBJZEKZLZABMZ
      NZBCOZACOZPHICDEUBVFVNUQVFUSVILZHBMZNZBCOZHCOVNVEVRHCVDVQIBCVBVCBBUSVABUR
      EGBURQRBUTEGBUTQRSVCBTUCVQITIBMZVBVOVCVPVSVAVIUSUTVHEUDUEIBHUFUGUHUIVRVMH
      ACVQABCACQVOVPAAUSVIAUREFAURQRAVHEFAVHQRSVPATUCUJVMHTHAMZVQVLBCVTVOVJVPVK
      URVGVIEUKHABULUGUPUHUMUNUM $.
  $}

  ${
    $d A c d $.  $d C c d $.  $d D d $.  $d F c d $.
    $( If the values of a one-to-one function for two arguments are equal, the
       arguments themselves must be equal.  (Contributed by Alexander van der
       Vekens, 12-Nov-2017.) $)
    f1veqaeq $p |- ( ( F : A -1-1-> B /\ ( C e. A /\ D e. A ) ) ->
                     ( ( F ` C ) = ( F ` D ) -> C = D ) ) $=
      ( vc vd wf1 wcel wa cfv wceq wi wf cv weq wral dff13 fveqeq2 imbi12d imp
      eqeq1 fveq2 eqeq2d eqeq2 rspc2v com12 simplbiim ) ABEHZCAIDAIJZCEKZDEKZLZ
      CDLZMZUIABENFOZEKGOZEKZLZFGPZMZGAQFAQZUJUOMFGABERUJVBUOVAUOUKURLZCUQLZMFG
      CDAAUPCLUSVCUTVDUPCURESUPCUQUBTUQDLZVCUMVDUNVEURULUKUQDEUCUDUQDCUETUFUGUH
      UA $.
  $}

  $( If the values of a composition of one-to-one functions for two arguments
     are equal, the arguments themselves must be equal.  (Contributed by AV,
     3-Feb-2021.) $)
  f1cofveqaeq $p |- ( ( ( F : B -1-1-> C /\ G : A -1-1-> B )
                        /\ ( X e. A /\ Y e. A ) )
                      -> ( ( F ` ( G ` X ) ) = ( F ` ( G ` Y ) )
                           -> X = Y ) ) $=
    ( wf1 wa wcel cfv wceq wi simpl wf f1f ffvelrn ex anim12d f1veqaeq syl2an2r
    syl adantl imp adantll syld ) BCDHZABEHZIZFAJZGAJZIZIFEKZDKGEKZDKLZUMUNLZFG
    LZUIUGULUMBJZUNBJZIZUOUPMUGUHNUIULUTUHULUTMZUGUHABEOZVAABEPVBUJURUKUSVBUJUR
    ABFEQRVBUKUSABGEQRSUBUCUDBCUMUNDTUAUHULUPUQMUGABFGETUEUF $.

  $( Alternate proof of ~ f1cofveqaeq , 1 essential step shorter, but having
     more bytes (305 versus 282).  (Contributed by AV, 3-Feb-2021.)
     (New usage is discouraged.)  (Proof modification is discouraged.) $)
  f1cofveqaeqALT $p |- ( ( ( F : B -1-1-> C /\ G : A -1-1-> B )
                           /\ ( X e. A /\ Y e. A ) )
                         -> ( ( F ` ( G ` X ) ) = ( F ` ( G ` Y ) )
                              -> X = Y ) ) $=
    ( wf1 wa wcel cfv wceq ccom wb wi wf f1f fvco3 adantrr adantrl eqeq12d f1co
    ex syl adantl imp f1veqaeq sylan sylbird ) BCDHZABEHZIZFAJZGAJZIZIFEKDKZGEK
    DKZLZFDEMZKZGUSKZLZFGLZULUOVBURNZUKUOVDOZUJUKABEPZVEABEQVFUOVDVFUOIUTUPVAUQ
    VFUMUTUPLUNABFDERSVFUNVAUQLUMABGDERTUAUCUDUEUFULACUSHUOVBVCOABCDEUBACFGUSUG
    UHUI $.

  $( If two one-to-one functions are applied on different arguments, also the
     values are different.  (Contributed by Alexander van der Vekens,
     25-Jan-2018.) $)
  2f1fvneq $p |- ( ( ( E : D -1-1-> R /\ F : C -1-1-> D )
                       /\ ( A e. C /\ B e. C ) /\ A =/= B )
                   -> ( ( ( E ` ( F ` A ) ) = X /\ ( E ` ( F ` B ) ) = Y )
                        -> X =/= Y ) ) $=
    ( wf1 wa wcel wne cfv wceq wn wi f1veqaeq ffvelrn ex necon3ad 3impia simpll
    w3a adantll f1f anim12dan syl adantl imp syl2anc eqeq12 notbid neqne syl6bi
    wf con3dimp syl5com 3adant3 mpd ) DEFJZCDGJZKZACLZBCLZKZABMZUDAGNZBGNZOZPZV
    HFNZHOVIFNZIOKZHIMZQZVCVFVGVKVCVFKZVJABVBVFVJABOQVACDABGRUEUAUBVCVFVKVPQVGV
    QVKVPVQVKKVLVMOZPZVNVOVQVRVJVQVAVHDLZVIDLZKZVRVJQVAVBVFUCVCVFWBVBVFWBQZVAVB
    CDGUPZWCCDGUFWDVFWBWDVDVTVEWACDAGSCDBGSUGTUHUIUJDEVHVIFRUKUQVNVSHIOZPVOVNVR
    WEVLHVMIULUMHIUNUOURTUSUT $.

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.  $d y F $.
    f1mpt.1 $e |- F = ( x e. A |-> C ) $.
    f1mpt.2 $e |- ( x = y -> C = D ) $.
    $( Express injection for a mapping operation.  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    f1mpt $p |- ( F : A -1-1-> B <->
      ( A. x e. A C e. B /\ A. x e. A A. y e. A ( C = D -> x = y ) ) ) $=
      ( wf1 wf cv cfv wceq wi wral wa wcel wb ralbi nfmpt1 nfcxfr dff13f anbi1i
      cmpt nfcv fmpt eleq1d cbvralvw raaanv fvmpt2 fvmptg eqeqan12d an4s imbi1d
      ex ralimdva syl6 ralimia syl sylbir sylan2b anidms pm5.32i 3bitr2i ) CDGJ
      CDGKZALZGMZBLZGMZNZVGVINZOZBCPZACPZQEDRZACPZVOQVQEFNZVLOZBCPZACPZQABCDGAG
      ACEUEHACEUAUBBGUFUCVQVFVOACDEGHUGUDVQVOWAVQVOWASZVQVQFDRZBCPZWBVPWCABCVLE
      FDIUHUIVQWDQVPWCQZBCPZACPZWBVPWCABCUJWGVNVTSZACPWBWFWHACVGCRZWFVMVSSZBCPW
      HWIWEWJBCWIVICRZQZWEWJWLWEQVKVRVLWIVPWKWCVKVRSWIVPQWKWCQVHEVJFACEDGHUKAVI
      EFCDGIHULUMUNUOUPUQVMVSBCTURUSVNVTACTUTVAVBVCVDVE $.
  $}

  $( Equality of function values for a one-to-one function.  (Contributed by
     NM, 11-Feb-1997.) $)
  f1fveq $p |- ( ( F : A -1-1-> B /\ ( C e. A /\ D e. A ) ) ->
               ( ( F ` C ) = ( F ` D ) <-> C = D ) ) $=
    ( wf1 wcel wa cfv wceq f1veqaeq fveq2 impbid1 ) ABEFCAGDAGHHCEIDEIJCDJABCDE
    KCDELM $.

  ${
    $d F z $.  $d A z $.  $d Y z $.  $d X z $.  $d B z $.
    $( Membership in the image of a 1-1 map.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    f1elima $p |- ( ( F : A -1-1-> B /\ X e. A /\ Y C_ A )
                                -> ( ( F ` X ) e. ( F " Y ) <-> X e. Y ) ) $=
      ( vz wf1 wcel wss w3a cfv cima cv wceq wrex wb wfn wi wa anassrs fvelimab
      f1fn sylan 3adant2 ssel impac f1fveq ancom2s biimpd biimpcd sylan9 anasss
      eleq1 sylan2 rexlimdva 3impa eqid fveqeq2 rspcev mpan2 impbid1 bitrd ) AB
      CGZDAHZEAIZJZDCKZCELHZFMZCKVGNZFEOZDEHZVCVEVHVKPZVDVCCAQVEVMABCUBFAEVGCUA
      UCUDVFVKVLVCVDVEVKVLRVCVDSZVESVJVLFEVNVEVIEHZVJVLRZVEVOSVNVIAHZVOSVPVEVOV
      QEAVIUEUFVNVQVOVPVNVQSVJVIDNZVOVLVCVDVQVJVRRVCVDVQSSVJVRVCVQVDVJVRPABVIDC
      UGUHUITVRVOVLVIDEUMUJUKULUNTUOUPVLVGVGNZVKVGUQVJVSFDEVIDVGCURUSUTVAVB $.
  $}

  ${
    $d F a $.  $d A a $.  $d B a $.  $d C a $.  $d D a $.
    $( Taking images under a one-to-one function preserves subsets.
       (Contributed by Stefan O'Rear, 30-Oct-2014.) $)
    f1imass $p |- ( ( F : A -1-1-> B /\ ( C C_ A /\ D C_ A ) ) ->
      ( ( F " C ) C_ ( F " D ) <-> C C_ D ) ) $=
      ( va wf1 wss wa cima cv wcel wi simplrl sseld wb 3expa f1elima syl3anc ex
      simplr simplll simpr simp1rl simp1rr 3imtr3d pm2.43d ssrdv imass2 impbid1
      cfv syld ) ABEGZCAHZDAHZIZIZECJZEDJZHZCDHZUQUTVAUQUTIZFCDVBFKZCLZVCDLZVBV
      DVCALZVDVEMZVBCAVCUMUNUOUTNOVBVFVGVBVFIZVCEUKZURLZVIUSLZVDVEVHURUSVIUQUTV
      FUAOVHUMVFUNVJVDPUMUPUTVFUBZVBVFUCZUQUTVFUNUNUOUMUTVFUDQABEVCCRSVHUMVFUOV
      KVEPVLVMUQUTVFUOUNUOUMUTVFUEQABEVCDRSUFTULUGUHTCDEUIUJ $.

    $( Taking images under a one-to-one function preserves equality.
       (Contributed by Stefan O'Rear, 30-Oct-2014.) $)
    f1imaeq $p |- ( ( F : A -1-1-> B /\ ( C C_ A /\ D C_ A ) ) ->
      ( ( F " C ) = ( F " D ) <-> C = D ) ) $=
      ( wf1 wss wa cima wceq f1imass wb ancom2s anbi12d eqss 3bitr4g ) ABEFZCAG
      ZDAGZHHZECIZEDIZGZUBUAGZHCDGZDCGZHUAUBJCDJTUCUEUDUFABCDEKQSRUDUFLABDCEKMN
      UAUBOCDOP $.

    $( Taking images under a one-to-one function preserves proper subsets.
       (Contributed by Stefan O'Rear, 30-Oct-2014.) $)
    f1imapss $p |- ( ( F : A -1-1-> B /\ ( C C_ A /\ D C_ A ) ) ->
      ( ( F " C ) C. ( F " D ) <-> C C. D ) ) $=
      ( wf1 wss wa cima wceq wpss f1imass f1imaeq notbid anbi12d dfpss2 3bitr4g
      wn ) ABEFCAGDAGHHZECIZEDIZGZTUAJZRZHCDGZCDJZRZHTUAKCDKSUBUEUDUGABCDELSUCU
      FABCDEMNOTUAPCDPQ $.
  $}

  ${
    $d F x y $.  $d X x y $.  $d Y x y $.
    fpropnf1.f $e |- F = { <. X , Z >. , <. Y , Z >. } $.
    $( A function, given by an unordered pair of ordered pairs, which is not
       injective/one-to-one.  (Contributed by Alexander van der Vekens,
       22-Oct-2017.)  (Revised by AV, 8-Jan-2021.) $)
    fpropnf1 $p |- ( ( ( X e. U /\ Y e. V /\ Z e. W ) /\ X =/= Y )
                     -> ( Fun F /\ -. Fun `' F ) ) $=
      ( vx vy w3a wa adantr syl wceq cfv wi wral imbi12d eqeq2d wcel wne wn cop
      wfun ccnv cpr 3adant3 jca 3ad2ant3 simpr 3jca funprg funeqi sylibr adantl
      id neneq wf fprg eqcomi feq1i sylib wf1 df-f1 cv dff13 wb fveqeq2 ralbidv
      eqeq1 ralprg fveq2 eqeq2 fveq1i 3simpb anim1i df-3an fvpr1g eqtrid 3simpc
      weq anbi12d fvpr2g eqtr2id eqtrd idd embantd adantld adantrd sylbid mpand
      syl5bi syl5bir mtod ) EAUAZFCUAZGDUAZKZEFUBZLZBUEZBUFUEZUCXAEGUDFGUDUGZUE
      ZXBXAWPWQLZWRWRLZWTKZXEXAXFXGWTWSXFWTWPWQXFWRXFUQUHMWSXGWTWRWPXGWQWRWRWRW
      RUQZXIUIUJMWSWTUKULZEFGGACDDUMNBXDHUNUOXAXCEFOZWTXKUCWSEFURUPXAEFUGZGGUGZ
      BUSZXCXKXAXLXMXDUSZXNXAXHXOXJEFGGACDDUTNXLXMXDBBXDHVAVBVCXNXCLXLXMBVDZXAX
      KXLXMBVEXPXNIVFZBPJVFZBPZOZIJWBZQZJXLRZIXLRZLXAXKIJXLXMBVGXAYDXKXNXAYDEBP
      ZXSOZEXROZQZJXLRZFBPZXSOZFXROZQZJXLRZLZXKWSYDYOVHZWTWPWQYPWRYCYIYNIEFACXQ
      EOZYBYHJXLYQXTYFYAYGXQEXSBVIXQEXRVKSVJXQFOZYBYMJXLYRXTYKYAYLXQFXSBVIXQFXR
      VKSVJVLUHMXAYOYEYEOZEEOZQZYEYJOZXKQZLZYJYEOZFEOZQZYJYJOZFFOZQZLZLZXKWSYOU
      ULVHZWTWPWQUUMWRXFYIUUDYNUUKYHUUAUUCJEFACXREOZYFYSYGYTUUNXSYEYEXREBVMZTXR
      EEVNSXRFOZYFUUBYGXKUUPXSYJYEXRFBVMZTXRFEVNSVLYMUUGUUJJEFACUUNYKUUEYLUUFUU
      NXSYEYJUUOTXREFVNSUUPYKUUHYLUUIUUPXSYJYJUUQTXRFFVNSVLWCUHMXAUUDXKUUKXAUUC
      XKUUAXAUUBXKXKXAYEGYJXAYEEXDPZGEBXDHVOXAWPWRWTKZUURGOXAWPWRLZWTLUUSWSUUTW
      TWPWQWRVPVQWPWRWTVRUOEFGGADVSNVTXAYJFXDPZGFBXDHVOXAWQWRWTKZUVAGOXAWQWRLZW
      TLUVBWSUVCWTWPWQWRWAVQWQWRWTVRUOEFGGCDWDNWEWFXAXKWGWHWIWJWKWKWIWMWNWLWOUI
      $.
  $}

  ${
    f1dom3fv3dif.v $e |- ( ph -> ( A e. X /\ B e. Y /\ C e. Z ) ) $.
    f1dom3fv3dif.n $e |- ( ph -> ( A =/= B /\ A =/= C /\ B =/= C ) ) $.
    f1dom3fv3dif.f $e |- ( ph -> F : { A , B , C } -1-1-> R ) $.
    $( The function values for a 1-1 function from a set with three different
       elements are different.  (Contributed by AV, 20-Mar-2019.) $)
    f1dom3fv3dif $p |- ( ph -> ( ( F ` A ) =/= ( F ` B )
                   /\ ( F ` A ) =/= ( F ` C ) /\ ( F ` B ) =/= ( F ` C ) ) ) $=
      ( cfv wne wcel wceq wb syl mpbird f1fveq simp1d ctp wf1 w3o 3mix1d 3mix2d
      eqidd eltpg simp2d syl12anc necon3bid simp3d tpid3g 3jca ) ABFMZCFMZNZUOD
      FMZNZUPURNZAUQBCNZAVABDNZCDNZKUAAUOUPBCABCDUBZEFUCZBVDOZCVDOZUOUPPBCPZQLA
      VFBBPZVHBDPZUDZAVIVHVJABUGUEABGOZVFVKQAVLCHOZDIOZJUABBCDGUHRSZAVGCBPZCCPZ
      CDPZUDZAVQVPVRACUGUFAVMVGVSQAVLVMVNJUICBCDHUHRSZVDEBCFTUJUKSAUSVBAVAVBVCK
      UIAUOURBDAVEVFDVDOZUOURPVJQLVOAVNWAAVLVMVNJULDIBCUMRZVDEBDFTUJUKSAUTVCAVA
      VBVCKULAUPURCDAVEVGWAUPURPVRQLVTWBVDECDFTUJUKSUN $.

    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d F x y z $.  $d R x y z $.
    $( The range of a 1-1 function from a set with three different elements has
       (at least) three different elements.  (Contributed by AV,
       20-Mar-2019.) $)
    f1dom3el3dif $p |- ( ph -> E. x e. R E. y e. R E. z e. R
                               ( x =/= y /\ x =/= z /\ y =/= z ) ) $=
      ( wcel w3a wne wceq syl cfv cv wrex ctp wf1 wf wi f1f wa simpr w3o 3mix1d
      eqidd wb simp1d mpbird adantr ffvelrnd 3mix2d simp2d simp3d tpid3g expcom
      eltpg mpcom f1dom3fv3dif neeq1 3anbi12d 3anbi13d 3anbi23d rspc3ev syl2anc
      3jca neeq2 ) AEIUAZHPZFIUAZHPZGIUAZHPZQZVOVQRZVOVSRZVQVSRZQZBUBZCUBZRZWFD
      UBZRZWGWIRZQZDHUCCHUCBHUCEFGUDZHIUEZAWAOWNWMHIUFZAWAUGWMHIUHAWOWAAWOUIZVP
      VRVTWPWMHEIAWOUJZAEWMPZWOAWREESZEFSZEGSZUKZAWSWTXAAEUMULAEJPZWRXBUNAXCFKP
      ZGLPZMUOEEFGJVDTUPUQURWPWMHFIWQAFWMPZWOAXFFESZFFSZFGSZUKZAXHXGXIAFUMUSAXD
      XFXJUNAXCXDXEMUTFEFGKVDTUPUQURWPWMHGIWQAGWMPZWOAXEXKAXCXDXEMVAGLEFVBTUQUR
      VMVCTVEAEFGHIJKLMNOVFWLWEVOWGRZVOWIRZWKQWBXMVQWIRZQBCDVOVQVSHHHWFVOSWHXLW
      JXMWKWFVOWGVGWFVOWIVGVHWGVQSXLWBWKXNXMWGVQVOVNWGVQWIVGVIWIVSSXMWCXNWDWBWI
      VSVOVNWIVSVQVNVJVKVL $.
  $}

  ${
    $d x y A $.  $d x y F $.
    $( A one-to-one function in terms of different function values for
       different arguments.  (Contributed by Alexander van der Vekens,
       26-Jan-2018.) $)
    dff14a $p |- ( F : A -1-1-> B <-> ( F : A --> B /\
             A. x e. A A. y e. A ( x =/= y -> ( F ` x ) =/= ( F ` y ) ) ) ) $=
      ( wf1 wf cv cfv wceq weq wi wral wa wne dff13 wn df-ne bicomi bitri
      con34b imbi12i 2ralbii anbi2i ) CDEFCDEGZAHZEIZBHZEIZJZABKZLZBCMACMZNUEUF
      UHOZUGUIOZLZBCMACMZNABCDEPUMUQUEULUPABCCULUKQZUJQZLUPUJUKUAURUNUSUOUNURUF
      UHRSUOUSUGUIRSUBTUCUDT $.

    $( A one-to-one function in terms of different function values for
       different arguments.  (Contributed by Alexander van der Vekens,
       26-Jan-2018.) $)
    dff14b $p |- ( F : A -1-1-> B <-> ( F : A --> B /\
             A. x e. A A. y e. ( A \ { x } ) ( F ` x ) =/= ( F ` y ) ) ) $=
      ( wf1 wf cv wne cfv wi wral wa csn cdif dff14a necom imbi1i ralbii bitri
      raldifsnb anbi2i ) CDEFCDEGZAHZBHZIZUDEJUEEJIZKZBCLZACLZMUCUGBCUDNOLZACLZ
      MABCDEPUJULUCUIUKACUIUEUDIZUGKZBCLUKUHUNBCUFUMUGUDUEQRSUGBCUDUATSUBT $.
  $}

  ${
    $d x y A $.  $d x y F $.  $d x y X $.  $d x y Y $.
    f12dfv.a $e |- A = { X , Y } $.
    $( A one-to-one function with a domain with at least two different elements
       in terms of function values.  (Contributed by Alexander van der Vekens,
       2-Mar-2018.) $)
    f12dfv $p |- ( ( ( X e. U /\ Y e. V ) /\ X =/= Y )
      -> ( F : A -1-1-> B <-> ( F : A --> B /\ ( F ` X ) =/= ( F ` Y ) ) ) ) $=
      ( vx vy cfv wne csn cdif wral wa wb wceq fveq2 adantr wf1 wcel dff14b cpr
      wf cv raleqi sneq difeq2d neeq1d raleqbidv ralprg difeq1i difprsn1 eqtrid
      adantl raleqdv neeq2d ralsng bitrd difprsn2 anbi12d necom pm4.71i bitr4di
      biimpi syl5bb anbi2d ) ABDUAABDUEZIUFZDKZJUFZDKZLZJAVJMZNZOZIAOZPFCUBZGEU
      BZPZFGLZPZVIFDKZGDKZLZPIJABDUCWCVRWFVIVRVQIFGUDZOZWCWFVQIAWGHUGWCWHWDVMLZ
      JAFMZNZOZWEVMLZJAGMZNZOZPZWFWAWHWQQWBVQWLWPIFGCEVJFRZVNWIJVPWKWRVOWJAVJFU
      HUIWRVKWDVMVJFDSUJUKVJGRZVNWMJVPWOWSVOWNAVJGUHUIWSVKWEVMVJGDSUJUKULTWCWQW
      FWEWDLZPWFWCWLWFWPWTWCWLWIJWNOZWFWCWIJWKWNWBWKWNRWAWBWKWGWJNWNAWGWJHUMFGU
      NUOUPUQWAXAWFQZWBVTXBVSWIWFJGEVLGRVMWEWDVLGDSURUSUPTUTWCWPWMJWJOZWTWCWMJW
      OWJWBWOWJRWAWBWOWGWNNWJAWGWNHUMFGVAUOUPUQWAXCWTQZWBVSXDVTWMWTJFCVLFRVMWDW
      EVLFDSURUSTTUTVBWFWTWFWTWDWEVCVFVDVEUTVGVHVG $.
  $}

  ${
    $d x y A $.  $d x y F $.  $d x y X $.  $d x y Y $.  $d x y Z $.
    f13dfv.a $e |- A = { X , Y , Z } $.
    $( A one-to-one function with a domain with at least three different
       elements in terms of function values.  (Contributed by Alexander van der
       Vekens, 26-Jan-2018.) $)
    f13dfv $p |- ( ( ( X e. U /\ Y e. V /\ Z e. W )
                     /\ ( X =/= Y /\ X =/= Z /\ Y =/= Z ) )
        -> ( F : A -1-1-> B <-> ( F : A --> B /\ ( ( F ` X ) =/= ( F ` Y )
              /\ ( F ` X ) =/= ( F ` Z ) /\ ( F ` Y ) =/= ( F ` Z ) ) ) ) ) $=
      ( vx vy wne cdif wral wa w3a wceq fveq2 necom wf1 cfv csn wcel dff14b ctp
      wf cv raleqi wb sneq difeq2d neeq1d raleqbidv raltpg adantr difeq1i tprot
      cpr anbi12i biimpi 3adant3 diftpsn3 syl eqtrid adantl neeq2d ralprg bitrd
      raleqdv 3adant1 tpcomb anim2i 3adant2 3anbi123d ancom 3anbi2i 3an6 3anrot
      bicomi 3anbi123i anidm 3ancoma bitri 3bitri bitrdi syl5bb anbi2d ) ABDUAA
      BDUGZKUHZDUBZLUHZDUBZMZLAWJUCZNZOZKAOZPGCUDZHEUDZIFUDZQZGHMZGIMZHIMZQZPZW
      IGDUBZHDUBZMZXHIDUBZMZXIXKMZQZPKLABDUEXGWRXNWIWRWQKGHIUFZOZXGXNWQKAXOJUIX
      GXPXHWMMZLAGUCZNZOZXIWMMZLAHUCZNZOZXKWMMZLAIUCZNZOZQZXNXBXPYIUJXFWQXTYDYH
      KGHICEFWJGRZWNXQLWPXSYJWOXRAWJGUKULYJWKXHWMWJGDSUMUNWJHRZWNYALWPYCYKWOYBA
      WJHUKULYKWKXIWMWJHDSUMUNWJIRZWNYELWPYGYLWOYFAWJIUKULYLWKXKWMWJIDSUMUNUOUP
      XGYIXJXLPZXIXHMZXMPZXKXHMZXKXIMZPZQZXNXGXTYMYDYOYHYRXGXTXQLHIUSZOZYMXGXQL
      XSYTXFXSYTRXBXFXSXOXRNZYTAXOXRJUQXFUUBHIGUFZXRNZYTXOUUCXRGHIURUQXFHGMZIGM
      ZPZUUDYTRXCXDUUGXEXCXDPUUGXCUUEXDUUFGHTGITUTVAVBHIGVCVDVEVEVFVJXBUUAYMUJZ
      XFWTXAUUHWSXQXJXLLHIEFWLHRZWMXIXHWLHDSZVGWLIRZWMXKXHWLIDSZVGVHVKUPVIXGYDY
      ALGIUSZOZYOXGYALYCUUMXFYCUUMRXBXFYCXOYBNZUUMAXOYBJUQXFUUOGIHUFZYBNZUUMXOU
      UPYBGHIVLUQXFXCIHMZPZUUQUUMRXCXEUUSXDXEUURXCXEUURHITVAVMVNGIHVCVDVEVEVFVJ
      XBUUNYOUJZXFWSXAUUTWTYAYNXMLGICFWLGRZWMXHXIWLGDSZVGUUKWMXKXIUULVGVHVNUPVI
      XGYHYELGHUSZOZYRXGYELYGUVCXFYGUVCRXBXFYGXOYFNZUVCAXOYFJUQXDXEUVEUVCRXCGHI
      VCVKVEVFVJXBUVDYRUJZXFWSWTUVFXAYEYPYQLGHCEUVAWMXHXKUVBVGUUIWMXIXKUUJVGVHV
      BUPVIVOYSYMXMYNPZYRQXJXMYPQZXLYNYQQZPZXNYOUVGYMYRYNXMVPVQXJXLXMYNYPYQVRUV
      JYPXJXMQZUVKPUVKXNUVHUVKUVIUVKUVKUVHYPXJXMVSVTXLYPYNXJYQXMXHXKTXIXHTXKXIT
      WAUTUVKWBUVKXJYPXMQXNYPXJXMWCYPXLXJXMXKXHTVQWDWEWEWFVIWGWHWG $.
  $}

  ${
    $d x y A $.  $d x y F $.
    $( A one-to-one onto function in terms of function values.  (Contributed by
       NM, 29-Mar-2008.) $)
    dff1o6 $p |- ( F : A -1-1-onto-> B <-> ( F Fn A /\ ran F = B /\
             A. x e. A A. y e. A ( ( F ` x ) = ( F ` y ) -> x = y ) ) ) $=
      ( wf1o wf1 wfo wa wf cv cfv wceq wi wral wfn crn w3a df-f1o dff13 anbi12i
      df-fo df-3an wss eqimss anim2i df-f sylibr pm4.71ri anbi1i 3bitrri 3bitri
      an32 ) CDEFCDEGZCDEHZICDEJZAKZELBKZELMUQURMNBCOACOZIZECPZEQZDMZIZIZVAVCUS
      RZCDESUNUTUOVDABCDETCDEUBUAVFVDUSIUPVDIZUSIVEVAVCUSUCVDVGUSVDUPVDVAVBDUDZ
      IUPVCVHVAVBDUEUFCDEUGUHUIUJUPVDUSUMUKUL $.
  $}

  $( The converse value of the value of a one-to-one onto function.
     (Contributed by NM, 20-May-2004.) $)
  f1ocnvfv1 $p |- ( ( F : A -1-1-onto-> B /\ C e. A ) ->
                 ( `' F ` ( F ` C ) ) = C ) $=
    ( wf1o wcel wa ccnv ccom cfv cid cres wceq f1ococnv1 fveq1d adantr wf fvco3
    f1of sylan fvresi adantl 3eqtr3d ) ABDEZCAFZGCDHZDIZJZCKALZJZCDJUFJZCUDUHUJ
    MUEUDCUGUIABDNOPUDABDQUEUHUKMABDSABCUFDRTUEUJCMUDACUAUBUC $.

  $( The value of the converse value of a one-to-one onto function.
     (Contributed by NM, 20-May-2004.) $)
  f1ocnvfv2 $p |- ( ( F : A -1-1-onto-> B /\ C e. B ) ->
                 ( F ` ( `' F ` C ) ) = C ) $=
    ( wf1o wcel ccnv ccom cfv cid cres wceq f1ococnv2 fveq1d adantr f1ocnv f1of
    wa wf syl fvco3 sylan fvresi adantl 3eqtr3d ) ABDEZCBFZRCDDGZHZIZCJBKZIZCUH
    IDIZCUFUJULLUGUFCUIUKABDMNOUFBAUHSZUGUJUMLUFBAUHEUNABDPBAUHQTBACDUHUAUBUGUL
    CLUFBCUCUDUE $.

  $( Relationship between the value of a one-to-one onto function and the value
     of its converse.  (Contributed by Raph Levien, 10-Apr-2004.) $)
  f1ocnvfv $p |- ( ( F : A -1-1-onto-> B /\ C e. A ) ->
                  ( ( F ` C ) = D -> ( `' F ` D ) = C ) ) $=
    ( cfv wceq ccnv wf1o wcel wa fveq2 eqcoms f1ocnvfv1 eqeq2d syl5ib ) CEFZDGD
    EHZFZQRFZGZABEICAJKZSCGUADQDQRLMUBTCSABCENOP $.

  $( Relationship between the value of a one-to-one onto function and the value
     of its converse.  (Contributed by NM, 20-May-2004.) $)
  f1ocnvfvb $p |- ( ( F : A -1-1-onto-> B /\ C e. A /\ D e. B ) ->
                  ( ( F ` C ) = D <-> ( `' F ` D ) = C ) ) $=
    ( wf1o wcel w3a cfv wceq ccnv wi f1ocnvfv 3adant3 wa fveq2 eqcoms f1ocnvfv2
    eqeq2d syl5ib 3adant2 impbid ) ABEFZCAGZDBGZHCEIZDJZDEKIZCJZUCUDUGUILUEABCD
    EMNUCUEUIUGLUDUIUFUHEIZJZUCUEOZUGUKCUHCUHEPQULUJDUFABDERSTUAUB $.

  $( An involution is a bijection.  (Contributed by Thierry Arnoux,
     7-Dec-2016.) $)
  nvof1o $p |- ( ( F Fn A /\ `' F = F ) -> F : A -1-1-onto-> A ) $=
    ( wfn ccnv wceq wa wf1 wfo wf1o wfun cdm crn fnfun fdmrn sylib adantr df-rn
    wf fndm sylanbrc eqtrid sylan9eqr feq23d mpbid wb funeq adantl mpbird df-f1
    dmeq simpl df-fo df-f1o ) BACZBDZBEZFZAABGZAABHZAABIUQAABRZUOJZURUQBKZBLZBR
    ZUTUNVDUPUNBJZVDABMZBNOPUQVBVCAABUNVBAEUPABSZPUPUNVCVBAUPVCUOKVBBQUOBUJUAVG
    UBZUCUDUQVAVEUNVEUPVFPUPVAVEUEUNUOBUFUGUHAABUITUQUNVCAEUSUNUPUKVHAABULTAABU
    MT $.

  ${
    $d x y z A $.  $d x y z F $.
    $( The converse of an involution is the function itself.  (Contributed by
       Thierry Arnoux, 7-May-2019.) $)
    nvocnv $p |- ( ( F : A --> A /\ A. x e. A ( F ` ( F ` x ) ) = x )
      -> `' F = F ) $=
      ( vz vy cv cfv wceq wa cmpt ccnv wcel simprr simpll simprl eqeltrd fveq2d
      ffvelrnd 2fveq3 id wral eqeq12d simplr rspcdva eqtr2d jca impbida wfn ffn
      wf mptcnv dffn5 biimpi adantr sylan cnveqd 3eqtr4d ) BBCUJZAFZCGCGZUSHZAB
      UAZIZDBDFZCGZJZKEBEFZCGZJZCKCVCDEBVEBVHVCVDBLZVGVEHZIZVGBLZVDVHHZIZVCVLIZ
      VMVNVPVGVEBVCVJVKMZVPBBVDCURVBVLNVCVJVKOZRPVPVHVECGZVDVPVGVECVQQVPVAVSVDH
      ABVDUSVDHZUTVSUSVDUSVDCCSVTTUBURVBVLUCVRUDUEUFVCVOIZVJVKWAVDVHBVCVMVNMZWA
      BBVGCURVBVONVCVMVNOZRPWAVEVHCGZVGWAVDVHCWBQWAVAWDVGHABVGUSVGHZUTWDUSVGUSV
      GCCSWETUBURVBVOUCWCUDUEUFUGUKVCCVFURCBUHZVBCVFHZBBCUIZWFWGVBWFWGDBCULUMUN
      UOUPURWFVBCVIHZWHWFWIVBWFWIEBCULUMUNUOUQ $.
  $}

  ${
    $d A f x $.  $d D f x $.  $d V f x $.  $d f ps $.  $d ph x $.
    $( TODO: there must be a more elegant way to prove this theorem using
       ~ exxfr $)
    fsnex.1 $e |- ( x = ( f ` A ) -> ( ps <-> ph ) ) $.
    $( Relate a function with a singleton as domain and one variable.
       (Contributed by Thierry Arnoux, 12-Jul-2020.) $)
    fsnex $p |- ( A e. V
      -> ( E. f ( f : { A } --> D /\ ph ) <-> E. x e. D ps ) ) $=
      ( wcel csn cv wf wa wex cfv cop wceq ex cvv elvd wrex simprbda adantrr wb
      fsn2g adantl simprr rspcedvd exlimdv imp nfre1 nfan wf1o f1osng ad3antrrr
      nfv f1of syl simplr snssd fssd fvsng eqcomd snex feq1 fveq1 anbi12d spcev
      eqeq2d syl2anc simprl simpllr simplrr mpbid mpdan jca eximdv mpd r19.29af
      simpr impbida ) DGIZDJZEFKZLZAMZFNZBCEUAZWBWGWHWBWFWHFWBWFWHWBWFMZBACDWDO
      ZEWBWEWJEIZAWBWEWKWDDWJPJQDEWDGUEUBUCCKZWJQZBAUDZWIHUFWBWEAUGUHRUIUJWBWHM
      ZBWGCEWBWHCWBCUPBCEUKULWOWLEIZMZBMZWEWMMZFNZWGWRWCEDWLPZJZLZWLDXBOZQZWTWR
      WCWLJZEXBWRWCXFXBUMZWCXFXBLWBXGWHWPBWBXGCDWLGSUNTUOWCXFXBUQURWRWLEWOWPBUS
      UTVAWBXEWHWPBWBXDWLWBXDWLQCDWLGSVBTVCUOWSXCXEMFXBXAVDWDXBQZWEXCWMXEWCEWDX
      BVEXHWJXDWLDWDXBVFVIVGVHVJWRWSWFFWRWSWFWRWSMZWEAWRWEWMVKZXIWEAXJXIWEMZBAW
      QBWSWEVLXKWMWNWRWEWMWEVMHURVNVOVPRVQVRWBWHVTVSWA $.
  $}

  ${
    $d A f x y $.  $d B f x y $.  $d D f x y $.  $d V f x y $.  $d W f x y $.
    $d ch x $.  $d ps f $.  $d ph x y $.
    f1prex.1 $e |- ( x = ( f ` A ) -> ( ps <-> ch ) ) $.
    f1prex.2 $e |- ( y = ( f ` B ) -> ( ch <-> ph ) ) $.
    $( Relate a one-to-one function with a pair as domain and two different
       variables.  (Contributed by Thierry Arnoux, 12-Jul-2020.) $)
    f1prex $p |- ( ( A e. V /\ B e. W /\ A =/= B )
      -> ( E. f ( f : { A , B } -1-1-> D /\ ph )
        <-> E. x e. D E. y e. D ( x =/= y /\ ps ) ) ) $=
      ( wcel wne w3a wa syl wceq jca cpr cv wf1 wex cfv wf simpl1 simpl2 simprl
      f1f cop fpr2g biimpa simp1d syl21anc simp2d prid1g prid2g simpl3 f1veqaeq
      wrex necon3d imp simprr neeq1 anbi12d rspc2ev syl3anc ex exlimdv wss wf1o
      neeq2 simpll1 simplrl simpll2 simplrr simpll3 f1oprg syl22anc f1of1 prssd
      f1ss syl2anc fvpr1g eqcomd fvpr2g prex f1eq1 fveq1 spcev syl12anc simprrl
      eqeq2d wb mpbid simprrr eximdv mpd rexlimdvva impbid ) FJNZGKNZFGOZPZFGUA
      ZHIUBZUCZAQZIUDZDUBZEUBZOZBQZEHVADHVAZXEXIXOIXEXIXOXEXIQZFXGUEZHNZGXGUEZH
      NZXQXSOZAQZXOXPXBXCXFHXGUFZXRXBXCXDXIUGZXBXCXDXIUHZXPXHYCXEXHAUIZXFHXGUJR
      ZXBXCQZYCQZXRXTXGFXQUKGXSUKUASZYHYCXRXTYJPFGHXGJKULUMZUNUOXPXBXCYCXTYDYEY
      GYIXRXTYJYKUPUOXPYAAXPXHFXFNZGXFNZQZXDYAYFXPYLYMXPXBYLYDFGJUQRXPXCYMYEFGK
      URRTXBXCXDXIUSXHYNQZXDYAYOXQXSFGXFHFGXGUTVBVCUOXEXHAVDTXNYBXQXLOZCQDEXQXS
      HHXKXQSZXMYPBCXKXQXLVELVFXLXSSZYPYACAXLXSXQVMMVFVGVHVIVJXEXNXJDEHHXEXKHNZ
      XLHNZQZQZXNXJUUBXNQZXHYQYRQZQZIUDZXJUUCXFHFXKUKZGXLUKZUAZUCZXKFUUIUEZSZXL
      GUUIUEZSZUUFUUCXFXKXLUAZUUIUCZUUOHVKUUJUUCXFUUOUUIVLZUUPUUCXBYSQZXCYTQZXD
      XMUUQUUCXBYSXBXCXDUUAXNVNZXEYSYTXNVOZTUUCXCYTXBXCXDUUAXNVPZXEYSYTXNVQZTXB
      XCXDUUAXNVRZUUBXMBUIUURUUSQXDXMQUUQFXKGXLJHKHVSVCVTXFUUOUUIWARUUCXKXLHUVA
      UVCWBXFUUOHUUIWCWDUUCXBYSXDUULUUTUVAUVDXBYSXDPUUKXKFGXKXLJHWEWFVHUUCXCYTX
      DUUNUVBUVCUVDXCYTXDPUUMXLFGXKXLKHWGWFVHUUEUUJUULUUNQZQIUUIUUGUUHWHXGUUISZ
      XHUUJUUDUVEXFHXGUUIWIUVFYQUULYRUUNUVFXQUUKXKFXGUUIWJWNUVFXSUUMXLGXGUUIWJW
      NVFVFWKWLUUCUUEXIIUUCUUEXIUUCUUEQZXHAUUCXHUUDUIUVGCAUVGBCUUBXMBUUEVQUVGYQ
      BCWOUUCXHYQYRWMLRWPUVGYRCAWOUUCXHYQYRWQMRWPTVIWRWSVIWTXA $.
  $}

  $( The value of the converse of a one-to-one onto function belongs to its
     domain.  (Contributed by NM, 26-May-2006.) $)
  f1ocnvdm $p |- ( ( F : A -1-1-onto-> B /\ C e. B ) ->
                    ( `' F ` C ) e. A ) $=
    ( wf1o ccnv wf f1ocnv f1of syl ffvelrnda ) ABDEZBACDFZLBAMEBAMGABDHBAMIJK
    $.

  $( If the values of a one-to-one function for two arguments from the range of
     the function are equal, the arguments themselves must be equal.
     (Contributed by Alexander van der Vekens, 12-Nov-2017.) $)
  f1ocnvfvrneq $p |- ( ( F : A -1-1-> B /\ ( C e. ran F /\ D e. ran F ) ) ->
                  ( ( `' F ` C ) = ( `' F ` D ) -> C = D ) ) $=
    ( wf1 crn wcel wa ccnv cfv wceq wi wf1o f1f1orn f1ocnv f1of1 f1veqaeq 4syl
    ex imp ) ABEFZCEGZHDUCHIZCEJZKDUEKLCDLMZUBAUCENUCAUENUCAUEFZUDUFMABEOAUCEPU
    CAUEQUGUDUFUCACDUERTSUA $.

  ${
    $d A x y $.  $d B x y $.  $d F x y $.  $d R x y $.
    $( An application is injective if a retraction exists.  Proposition 8 of
       [BourbakiEns] p.  E.II.18.  (Contributed by FL, 11-Nov-2011.)  (Revised
       by Mario Carneiro, 27-Dec-2014.) $)
    fcof1 $p |- ( ( F : A --> B /\ ( R o. F ) = ( _I |` A ) )
         -> F : A -1-1-> B ) $=
      ( vx vy wf ccom wceq wa cfv wral wcel fvco3 syl2anc fveq1d 3eqtr3d fvresi
      cv syl cid cres wi wf1 simpl simprr fveq2d simpll simprll simprlr 3eqtr4d
      simplr expr ralrimivva dff13 sylanbrc ) ABDGZCDHZUAAUBZIZJZUQESZDKZFSZDKZ
      IZVBVDIZUCZFALEALABDUDUQUTUEVAVHEFAAVAVBAMZVDAMZJZVFVGVAVKVFJZJZVBUSKZVDU
      SKZVBVDVMVBURKZVDURKZVNVOVMVCCKZVECKZVPVQVMVCVECVAVKVFUFUGVMUQVIVPVRIUQUT
      VLUHZVAVIVJVFUIZABVBCDNOVMUQVJVQVSIVTVAVIVJVFUJZABVDCDNOUKVMVBURUSUQUTVLU
      LZPVMVDURUSWCPQVMVIVNVBIWAAVBRTVMVJVOVDIWBAVDRTQUMUNEFABDUOUP $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d F x y $.  $d S x y $.
    $( An application is surjective if a section exists.  Proposition 8 of
       [BourbakiEns] p.  E.II.18.  (Contributed by FL, 17-Nov-2011.)  (Proof
       shortened by Mario Carneiro, 27-Dec-2014.) $)
    fcofo $p |- ( ( F : A --> B /\ S : B --> A /\ ( F o. S ) = ( _I |` B ) )
         -> F : A -onto-> B ) $=
      ( vy vx wf ccom cid cres wceq w3a cfv wrex wral wfo simp1 wcel 3ad2antl2
      cv wa ffvelrn simpl3 fveq1d fvco3 fvresi adantl 3eqtr3rd rspceeqv syl2anc
      fveq2 ralrimiva dffo3 sylanbrc ) ABDGZBACGZDCHZIBJZKZLZUOETZFTZDMZKFANZEB
      OABDPUOUPUSQUTVDEBUTVABRZUAZVACMZARZVAVGDMZKVDUPUOVEVHUSBAVACUBSVFVAUQMZV
      AURMZVIVAVFVAUQURUOUPUSVEUCUDUPUOVEVJVIKUSBAVADCUESVEVKVAKUTBVAUFUGUHFVGA
      VCVIVAVBVGDUKUIUJULFEABDUMUN $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y F $.  $d y ph $.  $d x ps $.
    cbvfo.1 $e |- ( ( F ` x ) = y -> ( ph <-> ps ) ) $.
    $( Change bound variable between domain and range of function.
       (Contributed by NM, 23-Feb-1997.)  (Proof shortened by Mario Carneiro,
       21-Mar-2015.) $)
    cbvfo $p |- ( F : A -onto-> B -> ( A. x e. A ph <-> A. y e. B ps ) ) $=
      ( wfo crn wral wfn wb fofn cv cfv wceq bicomd eqcoms ralrn raleqdv bitr3d
      syl forn ) EFGIZBDGJZKZACEKZBDFKUEGELUGUHMEFGNBADCEGBAMCOGPZDOZUIUJQABHRS
      TUCUEBDUFFEFGUDUAUB $.

    $( Change bound variable between domain and range of function.
       (Contributed by NM, 23-Feb-1997.) $)
    cbvexfo $p |- ( F : A -onto-> B -> ( E. x e. A ph <-> E. y e. B ps ) ) $=
      ( wfo wn wral wrex cv cfv wceq notbid cbvfo dfrex2 3bitr4g ) EFGIZAJZCEKZ
      JBJZDFKZJACELBDFLTUBUDUAUCCDEFGCMGNDMOABHPQPACERBDFRS $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d F x $.  $d H x $.  $d K x $.
    $( An injection is left-cancelable.  (Contributed by FL, 2-Aug-2009.)
       (Revised by Mario Carneiro, 21-Mar-2015.) $)
    cocan1 $p |- ( ( F : B -1-1-> C /\ H : A --> B /\ K : A --> B ) ->
      ( ( F o. H ) = ( F o. K ) <-> H = K ) ) $=
      ( vx wf ccom cfv wceq wral wcel fvco3 3ad2antl2 3ad2antl3 wb ffnd syl2anc
      wfn wf1 w3a cv wa eqeq12d simpl1 ffvelrn syl12anc bitrd ralbidva 3ad2ant1
      f1fveq f1f simp2 fnfco simp3 eqfnfv 3bitr4d ) BCDUAZABEHZABFHZUBZGUCZDEIZ
      JZVCDFIZJZKZGALZVCEJZVCFJZKZGALZVDVFKZEFKZVBVHVLGAVBVCAMZUDZVHVJDJZVKDJZK
      ZVLVQVEVRVGVSUTUSVPVEVRKVAABVCDENOVAUSVPVGVSKUTABVCDFNPUEVQUSVJBMZVKBMZVT
      VLQUSUTVAVPUFUTUSVPWAVAABVCEUGOVAUSVPWBUTABVCFUGPBCVJVKDULUHUIUJVBVDATZVF
      ATZVNVIQVBDBTZUTWCVBBCDUSUTBCDHVABCDUMUKRZUSUTVAUNZBADEUOSVBWEVAWDWFUSUTV
      AUPZBADFUOSGAVDVFUQSVBEATFATVOVMQVBABEWGRVBABFWHRGAEFUQSUR $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y F $.  $d x y H $.  $d x y K $.
    $( A surjection is right-cancelable.  (Contributed by FL, 21-Nov-2011.)
       (Proof shortened by Mario Carneiro, 21-Mar-2015.) $)
    cocan2 $p |- ( ( F : A -onto-> B /\ H Fn B /\ K Fn B ) ->
      ( ( H o. F ) = ( K o. F ) <-> H = K ) ) $=
      ( vy vx wfn cv ccom cfv wceq wral 3ad2ant1 fvco3 sylan eqeq12d wb syl2anc
      fveq2 wfo w3a wcel wa fof ralbidva cbvfo bitrd simp2 fnfco eqfnfv 3bitr4d
      wf simp3 ) ABCUAZDBHZEBHZUBZFIZDCJZKZUSECJZKZLZFAMZGIZDKZVFEKZLZGBMZUTVBL
      ZDELZURVEUSCKZDKZVMEKZLZFAMZVJURVDVPFAURUSAUCZUDVAVNVCVOURABCUMZVRVAVNLUO
      UPVSUQABCUENZABUSDCOPURVSVRVCVOLVTABUSECOPQUFUOUPVQVJRUQVPVIFGABCVMVFLVNV
      GVOVHVMVFDTVMVFETQUGNUHURUTAHZVBAHZVKVERURUPVSWAUOUPUQUIZVTBADCUJSURUQVSW
      BUOUPUQUNZVTBAECUJSFAUTVBUKSURUPUQVLVJRWCWDGBDEUKSUL $.
  $}

  ${
    fcof1oinvd.f $e |- ( ph -> F : A -1-1-onto-> B ) $.
    fcof1oinvd.g $e |- ( ph -> G : B --> A ) $.
    fcof1oinvd.b $e |- ( ph -> ( F o. G ) = ( _I |` B ) ) $.
    $( Show that a function is the inverse of a bijective function if their
       composition is the identity function.  Formerly part of proof of
       ~ fcof1o .  (Contributed by Mario Carneiro, 21-Mar-2015.)  (Revised by
       AV, 15-Dec-2019.) $)
    fcof1oinvd $p |- ( ph -> `' F = G ) $=
      ( ccnv ccom cid cres coeq2d coass wf1o wceq f1ococnv1 syl coeq1d wf fcoi2
      eqtrd eqtr3id f1ocnv f1of fcoi1 3eqtr3rd ) ADIZDEJZJZUHKCLZJZEUHAUIUKUHHM
      AUJUHDJZEJZEUHDENAUNKBLZEJZEAUMUOEABCDOZUMUOPFBCDQRSACBETUPEPGCBEUARUBUCA
      CBUHTZULUHPACBUHOZURAUQUSFBCDUDRCBUHUERCBUHUFRUG $.
  $}

  ${
    fcof1od.f $e |- ( ph -> F : A --> B ) $.
    fcof1od.g $e |- ( ph -> G : B --> A ) $.
    fcof1od.a $e |- ( ph -> ( G o. F ) = ( _I |` A ) ) $.
    fcof1od.b $e |- ( ph -> ( F o. G ) = ( _I |` B ) ) $.
    $( A function is bijective if a "retraction" and a "section" exist, see
       comments for ~ fcof1 and ~ fcofo .  Formerly part of proof of ~ fcof1o .
       (Contributed by Mario Carneiro, 21-Mar-2015.)  (Revised by AV,
       15-Dec-2019.) $)
    fcof1od $p |- ( ph -> F : A -1-1-onto-> B ) $=
      ( wf1 wfo wf1o wf ccom cid cres wceq fcof1 syl2anc fcofo syl3anc sylanbrc
      df-f1o ) ABCDJZBCDKZBCDLABCDMZEDNOBPQUDFHBCEDRSAUFCBEMDENOCPQUEFGIBCEDTUA
      BCDUCUB $.

    $( Show that a function is the inverse of a function if their compositions
       are the identity functions.  (Contributed by Mario Carneiro,
       21-Mar-2015.)  (Revised by AV, 15-Dec-2019.) $)
    2fcoidinvd $p |- ( ph -> `' F = G ) $=
      ( fcof1od fcof1oinvd ) ABCDEABCDEFGHIJGIK $.
  $}

  $( Show that two functions are inverse to each other by computing their
     compositions.  (Contributed by Mario Carneiro, 21-Mar-2015.)  (Proof
     shortened by AV, 15-Dec-2019.) $)
  fcof1o $p |- ( ( ( F : A --> B /\ G : B --> A ) /\
      ( ( F o. G ) = ( _I |` B ) /\ ( G o. F ) = ( _I |` A ) ) ) ->
      ( F : A -1-1-onto-> B /\ `' F = G ) ) $=
    ( wf wa ccom cid cres wceq wf1o ccnv simpll simplr simprr simprl 2fcoidinvd
    fcof1od jca ) ABCEZBADEZFZCDGHBIJZDCGHAIJZFZFZABCKCLDJUFABCDTUAUEMZTUAUENZU
    BUCUDOZUBUCUDPZRUFABCDUGUHUIUJQS $.

  ${
    $d A a x $.  $d B x $.  $d F a x $.  $d G a x $.  $d ph x $.
    2fvcoidd.f $e |- ( ph -> F : A --> B ) $.
    2fvcoidd.g $e |- ( ph -> G : B --> A ) $.
    2fvcoidd.i $e |- ( ph -> A. a e. A ( G ` ( F ` a ) ) = a ) $.
    $( Show that the composition of two functions is the identity function by
       applying both functions to each value of the domain of the first
       function.  (Contributed by AV, 15-Dec-2019.) $)
    2fvcoidd $p |- ( ph -> ( G o. F ) = ( _I |` A ) ) $=
      ( vx ccom cv cfv cmpt cid cres wf wceq fcompt syl2anc wcel wral wi 2fveq3
      weq id eqeq12d rspccv syl imp mpteq2dva mptresid eqtr4di eqtrd ) AEDKZJBJ
      LZDMEMZNZOBPZACBEQBCDQUOURRHGJEDBCBSTAURJBUPNUSAJBUQUPAUPBUAZUQUPRZAFLZDM
      EMZVBRZFBUBUTVAUCIVDVAFUPBFJUEZVCUQVBUPVBUPEDUDVEUFUGUHUIUJUKJBULUMUN $.

    $d B b $.  $d F b $.  $d G b $.
    2fvidf1od.i $e |- ( ph -> A. b e. B ( F ` ( G ` b ) ) = b ) $.
    $( A function is bijective if it has an inverse function.  (Contributed by
       AV, 15-Dec-2019.) $)
    2fvidf1od $p |- ( ph -> F : A -1-1-onto-> B ) $=
      ( 2fvcoidd fcof1od ) ABCDEHIABCDEFHIJLACBEDGIHKLM $.

    $( Show that two functions are inverse to each other by applying them twice
       to each value of their domains.  (Contributed by AV, 13-Dec-2019.) $)
    2fvidinvd $p |- ( ph -> `' F = G ) $=
      ( 2fvcoidd 2fcoidinvd ) ABCDEHIABCDEFHIJLACBEDGIHKLM $.
  $}

  ${
    $d F x y $.  $d G x y $.  $d A x y $.  $d B x y $.
    $( Condition for function equality in terms of vanishing of the composition
       with the converse. _EDITORIAL_:  Is there a relation-algebraic proof of
       this?  (Contributed by Stefan O'Rear, 12-Feb-2015.) $)
    foeqcnvco $p |- ( ( F : A -onto-> B /\ G : A -onto-> B ) ->
        ( F = G <-> ( F o. `' G ) = ( _I |` B ) ) ) $=
      ( vx vy wfo wa wceq ccnv ccom adantr wfn fofn ad2antlr cv wcel cfv sylibr
      wbr cid wi fococnv2 cnveq coeq2d eqeq1d syl5ibcom ad2antrr wex cop adantl
      cres fnopfv sylan vex brcnv df-br bitri breq2 breq1 anbi12d spcev syl2anc
      fvex weq brco adantlr wb breq mpbid wf ffvelrnda resieq eqcomd eqfnfvd ex
      fof impbid ) ABCGZABDGZHZCDIZCDJZKZUABULZIZVSWBWFUBVTVSCCJZKZWEIWBWFABCUC
      WBWHWDWEWBWGWCCCDUDUEUFUGLWAWFWBWAWFHZEACDVSCAMZVTWFABCNZUHVTDAMZVSWFABDN
      ZOWIEPZAQZHZWNDRZWNCRZWPWQWRWETZWQWRIZWPWQWRWDTZWSWAWOXAWFWAWOHZWQFPZWCTZ
      XCWRCTZHZFUIZXAXBWQWNWCTZWNWRCTZXGXBWNWQUJDQZXHWAWLWOXJVTWLVSWMUKAWNDUMUN
      XHWNWQDTXJWQWNDWNDVDZEUOZUPWNWQDUQURSXBWNWRUJCQZXIWAWJWOXMVSWJVTWKLAWNCUM
      UNWNWRCUQSXFXHXIHFWNXLFEVEXDXHXEXIXCWNWQWCUSXCWNWRCUTVAVBVCFWQWRCWCXKWNCV
      DVFSVGWFXAWSVHWAWOWQWRWDWEVIOVJWAWOWSWTVHZWFXBWQBQWRBQXNWAABWNDVTABDVKVSA
      BDVQUKVLWAABWNCVSABCVKVTABCVQLVLBWQWRVMVCVGVJVNVOVPVR $.

    $( Condition for function equality in terms of vanishing of the composition
       with the inverse.  (Contributed by Stefan O'Rear, 12-Feb-2015.)  (Proof
       shortened by Wolf Lammen, 29-May-2024.) $)
    f1eqcocnv $p |- ( ( F : A -1-1-> B /\ G : A -1-1-> B ) ->
        ( F = G <-> ( `' F o. G ) = ( _I |` A ) ) ) $=
      ( vx vy wf1 wa wceq ccom wi adantr wfn f1fn adantl cv wcel wbr cfv wb cid
      ccnv cres f1cocnv1 coeq2 eqeq1d syl5ibcom equid resieq mpbiri anidms breq
      ad2antlr mpbird wex cop wfun cdm fnfun syl fndmd eleq2d funopfvb syl2an2r
      biimpar bicomd df-br eqcom 3bitr4g biimpd bitr4id vex anim12d eximdv brco
      brcnv fvex eqvinc 3imtr4g adantlr mpd eqfnfvd eqcomd ex impbid ) ABCGZABD
      GZHZCDIZCUBZDJZUAAUCZIZWFWIWMKWGWFWJCJZWLIWIWMABCUDWIWNWKWLCDWJUEUFUGLWHW
      MWIWHWMHZDCWOEADCWHDAMZWMWGWPWFABDNOZLWHCAMZWMWFWRWGABCNLZLWOEPZAQZHZWTWT
      WKRZWTDSZWTCSZIZXBXCWTWTWLRZXAXGWOXAXGXAXAHXGWTWTIEUHAWTWTUIUJUKOWMXCXGTW
      HXAWTWTWKWLULUMUNWHXAXCXFKWMWHXAHZWTFPZDRZXIWTWJRZHZFUOXIXDIZXIXEIZHZFUOX
      CXFXHXLXOFXHXJXMXKXNXHXJXMXHWTXIUPZDQZXDXIIZXJXMXHXRXQWHDUQZXAWTDURZQZXRX
      QTWHWPXSWQADUSUTWHYAXAWHXTAWTWHADWQVAVBVEWTXIDVCVDVFWTXIDVGXIXDVHVIVJXHXK
      XNXHWTXICRZXEXIIZXKXNXHYBXPCQZYCWTXICVGWHCUQZXAWTCURZQZYCYDTWHWRYEWSACUSU
      TWHYGXAWHYFAWTWHACWSVAVBVEWTXICVCVDVKXIWTCFVLEVLZVPXIXEVHVIVJVMVNFWTWTWJD
      YHYHVOFXDXEWTDVQVRVSVTWAWBWCWDWE $.

    $( Obsolete version of ~ f1eqcocnv as of 29-May-2024.  (Contributed by
       Stefan O'Rear, 12-Feb-2015.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    f1eqcocnvOLD $p |- ( ( F : A -1-1-> B /\ G : A -1-1-> B ) ->
        ( F = G <-> ( `' F o. G ) = ( _I |` A ) ) ) $=
      ( vx vy wf1 wa wceq ccom wi adantr wfn f1fn adantl cv wcel wbr wb syl cid
      ccnv cres f1cocnv1 coeq2 eqeq1d syl5ibcom equid resieq mpbiri anidms breq
      cfv ad2antlr mpbird wex cop wfun cdm fnfun fndm biimpar funopfvb syl2an2r
      eleq2d bicomd df-br eqcom 3bitr4g biimpd bitr4id vex brcnv anim12d eximdv
      brco fvex eqvinc 3imtr4g adantlr mpd eqfnfvd eqcomd ex impbid ) ABCGZABDG
      ZHZCDIZCUBZDJZUAAUCZIZWFWIWMKWGWFWJCJZWLIWIWMABCUDWIWNWKWLCDWJUEUFUGLWHWM
      WIWHWMHZDCWOEADCWHDAMZWMWGWPWFABDNOZLWHCAMZWMWFWRWGABCNLZLWOEPZAQZHZWTWTW
      KRZWTDUMZWTCUMZIZXBXCWTWTWLRZXAXGWOXAXGXAXAHXGWTWTIEUHAWTWTUIUJUKOWMXCXGS
      WHXAWTWTWKWLULUNUOWHXAXCXFKWMWHXAHZWTFPZDRZXIWTWJRZHZFUPXIXDIZXIXEIZHZFUP
      XCXFXHXLXOFXHXJXMXKXNXHXJXMXHWTXIUQZDQZXDXIIZXJXMXHXRXQWHDURZXAWTDUSZQZXR
      XQSWHWPXSWQADUTTWHYAXAWHXTAWTWHWPXTAIWQADVATVEVBWTXIDVCVDVFWTXIDVGXIXDVHV
      IVJXHXKXNXHWTXICRZXEXIIZXKXNXHYBXPCQZYCWTXICVGWHCURZXAWTCUSZQZYCYDSWHWRYE
      WSACUTTWHYGXAWHYFAWTWHWRYFAIWSACVATVEVBWTXICVCVDVKXIWTCFVLEVLZVMXIXEVHVIV
      JVNVOFWTWTWJDYHYHVPFXDXEWTDVQVRVSVTWAWBWCWDWE $.
  $}

  ${
    fveqf1o.1 $e |- G = ( F o. ( ( _I |` ( A \ { C , ( `' F ` D ) } ) ) u.
      { <. C , ( `' F ` D ) >. , <. ( `' F ` D ) , C >. } ) ) $.
    $( Given a bijection ` F ` , produce another bijection ` G ` which
       additionally maps two specified points.  (Contributed by Mario Carneiro,
       30-May-2015.) $)
    fveqf1o $p |- ( ( F : A -1-1-onto-> B /\ C e. A /\ D e. B ) ->
      ( G : A -1-1-onto-> B /\ ( G ` C ) = D ) ) $=
      ( wf1o wcel cfv wceq cpr cop cun a1i wf f1of syl2anc syl eqtrd ccnv simp1
      w3a cid cdif cres ccom c0 f1oi simp2 f1ocnv 3syl simp3 ffvelrnd f1oprswap
      cin disjdifr f1oun syl22anc uncom prssd undif sylib f1oeq2d mpbid f1oeq3d
      wss eqtrid f1oco f1oeq1 ax-mp sylibr fveq1i fvco3 wfn fnresi f1ofn prid1g
      wb fvun2 syl112anc wfun f1ofun opex prid1 funopfv mpisyl fveq2d f1ocnvfv2
      jca ) ABEHZCAIZDBIZUCZABFHZCFJZDKWNABEUDACDEUAZJZLZUEZUFZCWRMZWRCMZLZNZUG
      ZHZWOWNWKAAXEHZXGWKWLWMUBZWNAWTWSNZXEHZXHWNXJXJXEHZXKWNWTWTXAHZWSWSXDHZWT
      WSUPUHKZXOXLXMWNWTUIOWNWLWRAIXNWKWLWMUJZWNBADWQWNWKBAWQHBAWQPXIABEUKBAWQQ
      ULWKWLWMUMZUNZCWRAAUORZXOWNWSAUQOZXTWTWTWSWSXAXDURUSWNXJAXJXEWNXJWSWTNZAW
      TWSUTWNWSAVGYAAKWNCWRAXPXRVAWSAVBVCVHZVDVEWNXJAAXEYBVFVEZAABEXEVIRFXFKWOX
      GVSGABFXFVJVKVLWNWPCXEJZEJZDWNWPCXFJZYECFXFGVMWNAAXEPZWLYFYEKWNXHYGYCAAXE
      QSXPAACEXEVNRVHWNYEWREJZDWNYDWREWNYDCXDJZWRWNXAWTVOZXDWSVOZXOCWSIZYDYIKYJ
      WNWTVPOWNXNYKXSWSWSXDVQSXTWNWLYLXPCWRAVRSWTWSXAXDCVTWAWNXDWBZXBXDIYIWRKWN
      XNYMXSWSWSXDWCSXBXCCWRWDWECWRXDWFWGTWHWNWKWMYHDKXIXQABDEWIRTTWJ $.
  $}

  ${
    $d A x y $.  $d F x y $.  $d X x y $.  $d Y x y $.
    $( A constant function from at least two elements is not one-to-one.
       (Contributed by AV, 30-Mar-2024.) $)
    nf1const $p |- ( ( F : A --> { B } /\ ( X e. A /\ Y e. A /\ X =/= Y ) )
                   -> -. F : A -1-1-> C ) $=
      ( vx vy wf wcel wa wn cv cfv wceq wi wral wrex fvconst sylan2 csn wne w3a
      weq wo wf1 simp1 simp2 eqtr4d neneq 3ad2ant3 adantl fveqeq2 eqeq1 imbi12d
      jcnd notbid fveq2 eqeq2 rspc2ev syl2an23an rexnal2 sylib olcd ianor dff13
      eqeq2d xchnxbir sylibr ) ABUADIZEAJZFAJZEFUBZUCZKZACDIZLZGMZDNHMZDNZOZGHU
      DZPZHAQGAQZLZUEZACDUFZLVOWEVQVOWCLZHARGARZWEVNVKVLVJEDNZFDNZOZEFOZPZLZWIV
      KVLVMUGZVKVLVMUHZVOWLWMVOWJBWKVNVJVKWJBOWPABEDSTVNVJVLWKBOWQABFDSTUIVNWML
      ZVJVMVKWRVLEFUJUKULUPWHWOWJVTOZEVSOZPZLGHEFAAVREOZWCXAXBWAWSWBWTVREVTDUMV
      REVSUNUOUQVSFOZXAWNXCWSWLWTWMXCVTWKWJVSFDURVGVSFEUSUOUQUTVAWCGHAAVBVCVDVP
      WDKWFWGVPWDVEGHACDVFVHVI $.
  $}

  $( A constant function from at least two elements is not bijective.
     (Contributed by AV, 30-Mar-2024.) $)
  nf1oconst $p |- ( ( F : A --> { B } /\ ( X e. A /\ Y e. A /\ X =/= Y ) )
                    -> -. F : A -1-1-onto-> C ) $=
    ( csn wf wcel wne w3a wa wf1 wn wfo wo wf1o nf1const orcd ianor xchnxbir
    df-f1o sylibr ) ABGDHEAIFAIEFJKLZACDMZNZACDOZNZPZACDQZNUDUFUHABCDEFRSUEUGLU
    IUJUEUGTACDUBUAUC $.

  $( Swapping two values in a bijection between two classes yields another
     bijection between those classes.  (Contributed by BTernaryTau,
     31-Aug-2024.) $)
  f1ofvswap $p |- ( ( F : A -1-1-onto-> B /\ X e. A /\ Y e. A ) ->
      ( ( F |` ( A \ { X , Y } ) ) u.
      { <. X , ( F ` Y ) >. , <. Y , ( F ` X ) >. } ) : A -1-1-onto-> B ) $=
    ( wf1o wcel w3a cpr cres cop cun ccom cfv wa wceq csn cxp xpsng cvv cid cin
    cdif f1oi f1oprswap c0 disjdifr f1oun mpanr12 sylancr wss prssi undif uncom
    wb eqeq1i bitri sylib f1oeq23 syl2anc mpbid f1oco sylan2 3impb f1ofn coundi
    wfn fcoconst 3adant2 coeq2d 3adant1 mpan2 3ad2ant2 3eqtr3d 3adant3 3ad2ant3
    fvex ancoms uneq12d df-pr coeq2i eqtri 3eqtr4g uneq2d eqtrid coires1 uneq1i
    eqtrdi syl3an1 f1oeq1d ) ABCFZDAGZEAGZHZABCUAADEIZUCZJZDEKZEDKZIZLZMZFZABCW
    PJZDECNZKZEDCNZKZIZLZFWKWLWMXCWLWMOZWKAAXAFZXCXKWPWOLZXMXAFZXLXKWPWPWQFZWOW
    OWTFZXNWPUDDEAAUEXOXPOWPWOUBUFPZXQXNWOAUGZXRWPWPWOWOWQWTUHUIUJXKXMAPZXSXNXL
    UOXKWOAUKZXSDEAULXTWOWPLZAPXSWOAUMYAXMAWOWPUNUPUQURZYBXMAXMAXAUSUTVAAABCXAV
    BVCVDWNABXBXJWKCAVGZWLWMXBXJPABCVEYCWLWMHZXBCWQMZXILZXJYDXBYECWTMZLYFCWQWTV
    FYDYGXIYEYDCWRQZMZCWSQZMZLZXFQZXHQZLYGXIYDYIYMYKYNYDCDQZEQZRZMZYOXEQRZYIYMY
    CWMYRYSPWLCYOAEVHVIWLWMYRYIPYCXKYQYHCDEAASVJVKWLYCYSYMPZWMWLXETGYTECVQDXEAT
    SVLVMVNYDCYPYORZMZYPXGQRZYKYNYCWLUUBUUCPWMCYPADVHVOWLWMUUBYKPZYCWMWLUUDWMWL
    OUUAYJCEDAASVJVRVKWMYCUUCYNPZWLWMXGTGUUEDCVQEXGATSVLVPVNVSYGCYHYJLZMYLWTUUF
    CWRWSVTWACYHYJVFWBXFXHVTWCWDWEYEXDXICWPWFWGWHWIWJVA $.

  ${
    $d u v y z A $.  $d u v y z B $.  $d u v x z C $.  $d x y z R $.  $d x Y $.
    $d u v x z D $.  $d u v y z F $.  $d u v x y z ph $.  $d u v x y z X $.
    $d x y z S $.
    flift.1 $e |- F = ran ( x e. X |-> <. A , B >. ) $.
    flift.2 $e |- ( ( ph /\ x e. X ) -> A e. R ) $.
    flift.3 $e |- ( ( ph /\ x e. X ) -> B e. S ) $.
    $( ` F ` , a function lift, is a subset of ` R X. S ` .  (Contributed by
       Mario Carneiro, 23-Dec-2016.) $)
    fliftrel $p |- ( ph -> F C_ ( R X. S ) ) $=
      ( cop cmpt crn cxp cv wcel wa opelxpd fmpttd frnd eqsstrid ) AGBHCDLZMZNE
      FOZIAHUEUDABHUCUEABPHQRCDEFJKSTUAUB $.

    $( Elementhood in the relation ` F ` .  (Contributed by Mario Carneiro,
       23-Dec-2016.) $)
    fliftel $p |- ( ph -> ( C F D <-> E. x e. X ( C = A /\ D = B ) ) ) $=
      ( wbr cop wceq wrex wa wcel cmpt crn df-br eleq2i eqid elrnmpti 3bitri cv
      opex wb opthg2 syl2anc rexbidva syl5bb ) EFINZEFOZCDOZPZBJQZAECPFDPRZBJQU
      NUOISUOBJUPTZUAZSUREFIUBIVAUOKUCBJUPUOUTUTUDCDUHUEUFAUQUSBJABUGJSRCGSDHSU
      QUSUILMEFCDGHUJUKULUM $.

    $( Elementhood in the relation ` F ` .  (Contributed by Mario Carneiro,
       23-Dec-2016.) $)
    fliftel1 $p |- ( ( ph /\ x e. X ) -> A F B ) $=
      ( cv wcel wa cop wbr cmpt crn cvv opex eqid mpan2 adantl eleqtrrdi sylibr
      elrnmpt1 df-br ) ABLHMZNZCDOZGMCDGPUIUJBHUJQZRZGUHUJULMZAUHUJSMUMCDTBHUJU
      KSUKUAUFUBUCIUDCDGUGUE $.

    $( Converse of the relation ` F ` .  (Contributed by Mario Carneiro,
       23-Dec-2016.) $)
    fliftcnv $p |- ( ph -> `' F = ran ( x e. X |-> <. B , A >. ) ) $=
      ( vy vz wrel cop wa wceq cv wbr wcel ccnv cmpt crn cxp wss fliftrel relxp
      eqid relss mpisyl relcnv jctil wrex fliftel vex brcnv ancom rexbii bitr4d
      3bitr4g df-br 3bitr3g eqrelrdv2 mpancom ) GUAZNZBHDCOUBUCZNZPAVEVGQAVHVFA
      VGFEUDZUEVINVHABDCFEVGHVGUHZKJUFFEUGVGVIUIUJGUKULALMVEVGALRZMRZVESZVKVLVG
      SZVKVLOZVETVOVGTAVMVKDQZVLCQZPZBHUMZVNAVLVKGSVQVPPZBHUMVMVSABCDVLVKEFGHIJ
      KUNVKVLGLUOMUOUPVRVTBHVPVQUQURUTABDCVKVLFEVGHVJKJUNUSVKVLVEVAVKVLVGVAVBVC
      VD $.

    ${
      fliftfun.4 $e |- ( x = y -> A = C ) $.
      fliftfun.5 $e |- ( x = y -> B = D ) $.
      $( The function ` F ` is the unique function defined by ` F `` A = B ` ,
         provided that the well-definedness condition holds.  (Contributed by
         Mario Carneiro, 23-Dec-2016.) $)
      fliftfun $p |- ( ph -> ( Fun F <->
        A. x e. X A. y e. X ( A = C -> B = D ) ) ) $=
        ( wceq cv wa wrex vz vu vv wfun wi wral nfv cop cmpt nfmpt1 nfrn nfcxfr
        crn nffun wcel cfv fveq2 wbr simplr fliftel1 ad2ant2r sylc simprr eqidd
        funbrfv eqeq2d anbi12d rspcev syl12anc wb fliftel mpbird eqeq12d syl5ib
        ad2antrr anassrs ralrimiva ralrimd cbvrexvw bitrdi biimpd reeanv r19.29
        exp31 wal eqtr2 imim1i imp simprlr simprrr 3eqtr4d rexlimivw ex syl5bir
        syl syl9 alrimdv wrel cxp wss fliftrel relxp mpisyl dffun2 baib sylibrd
        relss impbid ) AJUDZDFQZEGQZUEZCKUFZBKUFZAXIXMBKABUGBJBJBKDEUHZUIZUMLBX
        PBKXOUJUKULUNAXIBRZKUOZXMAXISZXRSXLCKXSXRCRZKUOZXLXJDJUPZFJUPZQXSXRYASZ
        SZXKDFJUQYEYBEYCGYEXIDEJURZYBEQAXIYDUSZAXRYFXIYAABDEHIJKLMNUTVADEJVEVBY
        EXIFGJURZYCGQYGYEYHFDQZGEQZSZBKTZYEYAFFQZGGQZYLXSXRYAVCYEFVDYEGVDYKYMYN
        SBXTKXQXTQZYIYMYJYNYODFFOVFYOEGGPVFVGVHVIAYHYLVJXIYDABDEFGHIJKLMNVKVOVL
        FGJVEVBVMVNVPVQWDVRAXNUARZUBRZJURZYPUCRZJURZSZYQYSQZUEZUCWEZUBWEZUAWEZX
        IAXNUUEUAAXNUUDUBAXNUUCUCAUUAYPDQZYQEQZSZBKTZYPFQZYSGQZSZCKTZSZXNUUBAUU
        AUUOAYRUUJYTUUNABDEYPYQHIJKLMNVKAYTUUGYSEQZSZBKTUUNABDEYPYSHIJKLMNVKUUQ
        UUMBCKYOUUGUUKUUPUULYODFYPOVFYOEGYSPVFVGVSVTVGWAUUOUUIUUMSZCKTZBKTZXNUU
        BUUIUUMBCKKWBXNUUTUUBXNUUTSXMUUSSZBKTUUBXMUUSBKWCUVAUUBBKUVAXLUURSZCKTU
        UBXLUURCKWCUVBUUBCKUVBEGYQYSXLUURXKUURXJXKUUGUUKXJUUHUULYPDFWFVAWGWHXLU
        UGUUHUUMWIXLUUIUUKUULWJWKWLWOWLWOWMWNWPWQWQWQAJWRZXIUUFVJAJHIWSZWTUVDWR
        UVCABDEHIJKLMNXAHIXBJUVDXGXCXIUVCUUFUAUBUCJXDXEWOXFXH $.

      fliftfund.6 $e |- ( ( ph /\ ( x e. X /\ y e. X /\ A = C ) ) -> B = D ) $.
      $( The function ` F ` is the unique function defined by ` F `` A = B ` ,
         provided that the well-definedness condition holds.  (Contributed by
         Mario Carneiro, 23-Dec-2016.) $)
      fliftfund $p |- ( ph -> Fun F ) $=
        ( wceq wral cv wfun wi wcel 3exp2 imp32 ralrimivva fliftfun mpbird ) AJ
        UADFRZEGRZUBZCKSBKSAUKBCKKABTKUCZCTKUCZUKAULUMUIUJQUDUEUFABCDEFGHIJKLMN
        OPUGUH $.
    $}

    $( The function ` F ` is the unique function defined by ` F `` A = B ` ,
       provided that the well-definedness condition holds.  (Contributed by
       Mario Carneiro, 23-Dec-2016.) $)
    fliftfuns $p |- ( ph -> ( Fun F <-> A. y e. X A. z e. X
      ( [_ y / x ]_ A = [_ z / x ]_ A -> [_ y / x ]_ B = [_ z / x ]_ B ) ) ) $=
      ( cv csb cop cmpt crn nfcsb1v wcel nfcv nfop csbeq1a opeq12d cbvmpt rneqi
      weq eqtri wral ralrimiva nfel1 eleq1d rspc mpan9 csbeq1 fliftfun ) ACDBCN
      ZEOZBUQFOZBDNZEOBUTFOGHIJIBJEFPZQZRCJURUSPZQZRKVBVDBCJVAVCCVAUABURUSBUQES
      ZBUQFSZUBBCUGZEURFUSBUQEUCZBUQFUCZUDUEUFUHAEGTZBJUIUQJTZURGTZAVJBJLUJVJVL
      BUQJBURGVEUKVGEURGVHULUMUNAFHTZBJUIVKUSHTZAVMBJMUJVMVNBUQJBUSHVFUKVGFUSHV
      IULUMUNBUQUTEUOBUQUTFUOUP $.

    $( The domain and range of the function ` F ` .  (Contributed by Mario
       Carneiro, 23-Dec-2016.) $)
    fliftf $p |- ( ph -> ( Fun F <-> F : ran ( x e. X |-> A ) --> S ) ) $=
      ( vy vz crn wa wss wceq cv wex wrex wfun cmpt wf wfn cdm simpr wbr cab wb
      fliftel exbidv adantr rexcom4 19.42v elisset syl biantrud bitr4id bitr3id
      wcel rexbidva bitrd abbidv df-dm eqid rnmpt 3eqtr4g sylanbrc cxp fliftrel
      df-fn rnss rnxpss sstrdi df-f ex ffun impbid1 ) AGUAZBHCUBZNZFGUCZAVSWBAV
      SOZGWAUDZGNZFPWBWCVSGUEZWAQWDAVSUFWCLRZMRZGUGZMSZLUHWGCQZBHTZLUHWFWAWCWJW
      LLWCWJWKWHDQZOZBHTZMSZWLAWJWPUIVSAWIWOMABCDWGWHEFGHIJKUJUKULWPWNMSZBHTZWC
      WLWNBMHUMAWRWLUIVSAWQWKBHABRHUTOZWQWKWMMSZOWKWKWMMUNWSWTWKWSDFUTWTKMDFUOU
      PUQURVAULUSVBVCLMGVDBLHCVTVTVEVFVGGWAVKVHWCWEEFVIZNZFWCGXAPZWEXBPAXCVSABC
      DEFGHIJKVJULGXAVLUPEFVMVNWAFGVOVHVPWAFGVQVR $.

    fliftval.4 $e |- ( x = Y -> A = C ) $.
    fliftval.5 $e |- ( x = Y -> B = D ) $.
    fliftval.6 $e |- ( ph -> Fun F ) $.
    $( The value of the function ` F ` .  (Contributed by Mario Carneiro,
       23-Dec-2016.) $)
    fliftval $p |- ( ( ph /\ Y e. X ) -> ( F ` C ) = D ) $=
      ( wa wceq adantr wcel wfun wbr cfv simpr eqidd anim12ci cv eqeq2d anbi12d
      wrex rspcev syl2anc wb fliftel mpbird funbrfv sylc ) AKJUAZRZIUBZEFIUCZEI
      UDFSAVAUSQTUTVBECSZFDSZRZBJUKZUTUSEESZFFSZRZVFAUSUEAVHUSVGAFUFUSEUFUGVEVI
      BKJBUHKSZVCVGVDVHVJCEEOUIVJDFFPUIUJULUMAVBVFUNUSABCDEFGHIJLMNUOTUPEFIUQUR
      $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y H $.  $d x y G $.
    $d x y R $.  $d x y S $.  $d x y T $.
    $( Equality theorem for isomorphisms.  (Contributed by NM, 17-May-2004.) $)
    isoeq1 $p |- ( H = G ->
          ( H Isom R , S ( A , B ) <-> G Isom R , S ( A , B ) ) ) $=
      ( vx vy wceq wf1o cv wbr cfv wb wral wa wiso f1oeq1 fveq1 df-isom breq12d
      bibi2d 2ralbidv anbi12d 3bitr4g ) FEIZABFJZGKZHKZCLZUHFMZUIFMZDLZNZHAOGAO
      ZPABEJZUJUHEMZUIEMZDLZNZHAOGAOZPABCDFQABCDEQUFUGUPUOVAABFERUFUNUTGHAAUFUM
      USUJUFUKUQULURDUHFESUIFESUAUBUCUDGHABCDFTGHABCDETUE $.

    $( Equality theorem for isomorphisms.  (Contributed by NM, 17-May-2004.) $)
    isoeq2 $p |- ( R = T ->
          ( H Isom R , S ( A , B ) <-> H Isom T , S ( A , B ) ) ) $=
      ( vx vy wceq wf1o cv wbr cfv wb wral wa wiso breq bibi1d df-isom 2ralbidv
      anbi2d 3bitr4g ) CEIZABFJZGKZHKZCLZUFFMUGFMDLZNZHAOGAOZPUEUFUGELZUINZHAOG
      AOZPABCDFQABEDFQUDUKUNUEUDUJUMGHAAUDUHULUIUFUGCERSUAUBGHABCDFTGHABEDFTUC
      $.

    $( Equality theorem for isomorphisms.  (Contributed by NM, 17-May-2004.) $)
    isoeq3 $p |- ( S = T ->
          ( H Isom R , S ( A , B ) <-> H Isom R , T ( A , B ) ) ) $=
      ( vx vy wceq wf1o cv wbr cfv wb wral wa wiso breq bibi2d df-isom 2ralbidv
      anbi2d 3bitr4g ) DEIZABFJZGKZHKZCLZUFFMZUGFMZDLZNZHAOGAOZPUEUHUIUJELZNZHA
      OGAOZPABCDFQABCEFQUDUMUPUEUDULUOGHAAUDUKUNUHUIUJDERSUAUBGHABCDFTGHABCEFTU
      C $.

    $( Equality theorem for isomorphisms.  (Contributed by NM, 17-May-2004.) $)
    isoeq4 $p |- ( A = C ->
          ( H Isom R , S ( A , B ) <-> H Isom R , S ( C , B ) ) ) $=
      ( vx vy wceq wf1o cv wbr cfv wb wral wa wiso f1oeq2 raleq df-isom anbi12d
      raleqbi1dv 3bitr4g ) ACIZABFJZGKZHKZDLUFFMUGFMELNZHAOZGAOZPCBFJZUHHCOZGCO
      ZPABDEFQCBDEFQUDUEUKUJUMACBFRUIULGACUHHACSUBUAGHABDEFTGHCBDEFTUC $.

    $( Equality theorem for isomorphisms.  (Contributed by NM, 17-May-2004.) $)
    isoeq5 $p |- ( B = C ->
          ( H Isom R , S ( A , B ) <-> H Isom R , S ( A , C ) ) ) $=
      ( vx vy wceq wf1o cv wbr cfv wb wral wa wiso f1oeq3 anbi1d df-isom
      3bitr4g ) BCIZABFJZGKZHKZDLUDFMUEFMELNHAOGAOZPACFJZUFPABDEFQACDEFQUBUCUGU
      FBCAFRSGHABDEFTGHACDEFTUA $.
  $}

  ${
    $d y z H $.  $d y z R $.  $d y z S $.  $d y z A $.  $d y z B $.
    $d x y z $.
    nfiso.1 $e |- F/_ x H $.
    nfiso.2 $e |- F/_ x R $.
    nfiso.3 $e |- F/_ x S $.
    nfiso.4 $e |- F/_ x A $.
    nfiso.5 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for an isomorphism.  (Contributed by
       NM, 17-May-2004.)  (Proof shortened by Andrew Salmon, 22-Oct-2011.) $)
    nfiso $p |- F/ x H Isom R , S ( A , B ) $=
      ( vy vz cv wbr cfv wral nfcv nfbr nffv wiso wf1o wb wa df-isom nff1o nfbi
      nfralw nfan nfxfr ) BCDEFUABCFUBZLNZMNZDOZULFPZUMFPZEOZUCZMBQZLBQZUDALMBC
      DEFUEUKUTAABCFGJKUFUSALBJURAMBJUNUQAAULUMDAULRZHAUMRZSAUOUPEAULFGVATIAUMF
      GVBTSUGUHUHUIUJ $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.  $d x y S $.  $d x y H $.
    $( An isomorphism is a one-to-one onto function.  (Contributed by NM,
       27-Apr-2004.) $)
    isof1o $p |- ( H Isom R , S ( A , B ) -> H : A -1-1-onto-> B ) $=
      ( vx vy wiso wf1o cv wbr cfv wb wral df-isom simplbi ) ABCDEHABEIFJZGJZCK
      QELRELDKMGANFANFGABCDEOP $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d H x y $.
    $( A function is a bijection iff it is an isomorphism regarding the
       identity relation.  (Contributed by AV, 9-May-2021.) $)
    isof1oidb $p |- ( H : A -1-1-onto-> B <-> H Isom _I , _I ( A , B ) ) $=
      ( vx vy wf1o cv cid wbr cfv wb wral wiso wcel wceq weq wf1 f1of1 f1fveq
      wa sylan fvex ideq a1i ideqg ad2antll 3bitr4rd ralrimivva pm4.71i df-isom
      bitr4i ) ABCFZULDGZEGZHIZUMCJZUNCJZHIZKZEALDALZTABHHCMULUTULUSDEAAULUMANZ
      UNANZTZTZUPUQOZDEPZURUOULABCQVCVEVFKABCRABUMUNCSUAURVEKVDUPUQUNCUBUCUDVBU
      OVFKULVAUMUNAUEUFUGUHUIDEABHHCUJUK $.

    $( A function is a bijection iff it is an isomorphism regarding the
       universal class of ordered pairs as relations.  (Contributed by AV,
       9-May-2021.) $)
    isof1oopb $p |- ( H : A -1-1-onto-> B
                    <-> H Isom ( _V X. _V ) , ( _V X. _V ) ( A , B ) ) $=
      ( vx vy wf1o cv cvv cxp wbr cfv wb wral wiso wcel cop fvex opelvv df-br
      wa mpbir a1i opelvvg sylibr a1d impbid2 adantl ralrimivva pm4.71i df-isom
      bitr4i ) ABCFZULDGZEGZHHIZJZUMCKZUNCKZUOJZLZEAMDAMZTABUOUOCNULVAULUTDEAAU
      MAOUNAOTZUTULVBUPUSUSUPUSUQURPUOOUQURUMCQUNCQRUQURUOSUAUBVBUPUSVBUMUNPUOO
      UPUMUNAAUCUMUNUOSUDUEUFUGUHUIDEABUOUOCUJUK $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.  $d x y S $.  $d x y H $.
    $d x y C $.  $d x y D $.
    $( An isomorphism connects binary relations via its function values.
       (Contributed by NM, 27-Apr-2004.) $)
    isorel $p |- ( ( H Isom R , S ( A , B ) /\ ( C e. A /\ D e. A ) ) ->
                 ( C R D <-> ( H ` C ) S ( H ` D ) ) ) $=
      ( vx vy wiso cv wbr cfv wb wral wcel wa wceq fveq2 bibi12d df-isom breq1d
      wf1o simprbi breq1 breq2 breq2d rspc2v mpan9 ) ABEFGJZHKZIKZELZUKGMZULGMZ
      FLZNZIAOHAOZCAPDAPQCDELZCGMZDGMZFLZNZUJABGUCURHIABEFGUAUDUQVCCULELZUTUOFL
      ZNHICDAAUKCRZUMVDUPVEUKCULEUEVFUNUTUOFUKCGSUBTULDRZVDUSVEVBULDCEUFVGUOVAU
      TFULDGSUGTUHUI $.
  $}

  ${
    $d w x y z A $.  $d w z B $.  $d w z C $.  $d w x y z F $.  $d w x y z R $.
    $d w x y z S $.
    $( Express the condition of isomorphism on two strict orders for a
       function's restriction.  (Contributed by Mario Carneiro,
       22-Jan-2015.) $)
    soisores $p |- ( ( ( R Or B /\ S Or C ) /\ ( F : B --> C /\ A C_ B ) ) ->
      ( ( F |` A ) Isom R , S ( A , ( F " A ) ) <->
        A. x e. A A. y e. A ( x R y -> ( F ` x ) S ( F ` y ) ) ) ) $=
      ( vz vw wa cv wbr cfv wi wral wcel wb weq fveq2 wor wf wss cima cres wiso
      isorel fvres breqan12d adantl biimpd ralrimivva w3a wf1o wfn crn wceq ffn
      bitrd ad2antrl simprr fnssres syl2anc 3adant3 df-ima eqcomi a1i eqeqan12d
      wo simprl simpl3 breq1 breq1d imbi12d breq2 breq2d rspc2va syl21anc con3d
      orim12d simpl1r simpl2l simpl2r ffvelrnd sotrieq syl12anc simpl1l 3imtr4d
      sseldd sylbid dff1o6 sotric impbid bitr4d df-isom sylanbrc 3expia impbid2
      wn syl3anbrc ) DFUAZEGUAZKZDEHUBZCDUCZKZKZCHCUDZFGHCUEZUFZALZBLZFMZXKHNZX
      LHNZGMZOZBCPACPZXJXQABCCXJXKCQZXLCQZKZKZXMXPYBXMXKXINZXLXINZGMZXPCXHXKXLF
      GXIUGYAYEXPRXJXSXTYCXNYDXOGXKCHUHXLCHUHUIUJUSUKULXCXFXRXJXCXFXRUMZCXHXIUN
      ZILZJLZFMZYHXINZYIXINZGMZRZJCPICPXJYFXICUOZXIUPZXHUQZYKYLUQZIJSZOZJCPICPY
      GXCXFYOXRXGHDUOZXEYOXDUUAXCXEDEHURUTXCXDXEVADCHVBVCVDYQYFXHYPHCVEVFVGYFYT
      IJCCYFYHCQZYICQZKZKZYRYHHNZYIHNZUQZYSUUDYRUUHRYFUUBUUCYKUUFYLUUGYHCHUHZYI
      CHUHZVHUJUUEUUFUUGGMZUUGUUFGMZVIZWSZYJYIYHFMZVIZWSZUUHYSUUEUUPUUMUUEYJUUK
      UUOUULUUEUUBUUCXRYJUUKOZYFUUBUUCVJZYFUUBUUCVAZXCXFXRUUDVKZXQUURYHXLFMZUUF
      XOGMZOABYHYICCAISZXMUVBXPUVCXKYHXLFVLUVDXNUUFXOGXKYHHTVMVNBJSZUVBYJUVCUUK
      XLYIYHFVOUVEXOUUGUUFGXLYIHTVPVNVQVRZUUEUUCUUBXRUUOUULOZUUTUUSUVAXQUVGYIXL
      FMZUUGXOGMZOABYIYHCCAJSZXMUVHXPUVIXKYIXLFVLUVJXNUUGXOGXKYIHTVMVNBISZUVHUU
      OUVIUULXLYHYIFVOUVKXOUUFUUGGXLYHHTVPVNVQVRZVTVSUUEXBUUFEQZUUGEQZUUHUUNRXA
      XBXFXRUUDWAZUUEDEYHHXDXEXCXRUUDWBZUUECDYHXDXEXCXRUUDWCZUUSWIZWDZUUEDEYIHU
      VPUUECDYIUVQUUTWIZWDZEUUFUUGGWEWFUUEXAYHDQZYIDQZYSUUQRXAXBXFXRUUDWGZUVRUV
      TDYHYIFWEWFWHWJULIJCXHXIWKWTYFYNIJCCUUEYJUUKYMUUEYJUUKUVFUUEUUHUULVIZWSZY
      SUUOVIZWSZUUKYJUUEUWGUWEUUEYSUUHUUOUULYSUUHOUUEYHYIHTVGUVLVTVSUUEXBUVMUVN
      UUKUWFRUVOUVSUWAEUUFUUGGWLWFUUEXAUWBUWCYJUWHRUWDUVRUVTDYHYIFWLWFWHWMUUDYM
      UUKRYFUUBUUCYKUUFYLUUGGUUIUUJUIUJWNULIJCXHFGXIWOWPWQWR $.
  $}

  ${
    $d R x y a b $.  $d S x y a b $.  $d H x y a b $.  $d A x y a b $.
    $d B x y a b $.
    $( Infer isomorphism from one direction of an order proof for isomorphisms
       between strict orders.  (Contributed by Stefan O'Rear, 2-Nov-2014.) $)
    soisoi $p |- ( ( ( R Or A /\ S Po B ) /\ ( H : A -onto-> B /\
          A. x e. A A. y e. A ( x R y -> ( H ` x ) S ( H ` y ) ) ) ) ->
        H Isom R , S ( A , B ) ) $=
      ( va vb wa cv wbr cfv wi wral weq wcel wn fveq2 imbi12d wor wpo wf1o wiso
      wfo wb wf1 wf wceq simprl fof syl wo sotrieq ad4ant14 simprr breq1 breq1d
      con2bid breq2 breq2d rspc2va ancoms sylan simpllr simplrl ffvelrnd notbid
      poirr syl5ibrcom syl2anc con2d syld ancom2s jaod sylbird con4d ralrimivva
      dff13 sylanbrc df-f1o sotric po2nr sylibr syl12anc impcon4bid df-isom
      imnan ) CEUAZDFUBZJZCDGUEZAKZBKZELZWMGMZWNGMZFLZNZBCOACOZJZJZCDGUCZHKZIKZ
      ELZXDGMZXEGMZFLZUFZICOHCOCDEFGUDXBCDGUGZWLXCXBCDGUHZXGXHUIZHIPZNZICOHCOXK
      XBWLXLWKWLWTUJZCDGUKZULXBXOHICCXBXDCQZXECQZJZJZXNXMYAXNRZXFXEXDELZUMZXMRZ
      WIXTYDYBUFWJXAWIXTJZXNYDCXDXEEUNUSUOYAXFYEYCYAXFXIYEXBWTXTXFXINZWKWLWTUPZ
      XTWTYGWSYGXDWNELZXGWQFLZNABXDXECCAHPZWOYIWRYJWMXDWNEUQYKWPXGWQFWMXDGSURTB
      IPZYIXFYJXIWNXEXDEUTYLWQXHXGFWNXEGSVATVBVCVDZYAXMXIYAWJXHDQZXMXIRZNWIWJXA
      XTVEZYACDXEGYAWLXLWKWLWTXTVFXQULZXBXRXSUPVGZWJYNJZYOXMXHXHFLZRZDXHFVIZXMX
      IYTXGXHXHFUQVHVJVKVLVMYAYCXHXGFLZYEXBWTXTYCUUCNZYHWTXSXRUUDXSXRJWTUUDWSUU
      DXEWNELZXHWQFLZNABXEXDCCAIPZWOUUEWRUUFWMXEWNEUQUUGWPXHWQFWMXEGSURTBHPZUUE
      YCUUFUUCWNXDXEEUTUUHWQXGXHFWNXDGSVATVBVCVNVDZYAXMUUCYAWJYNXMUUCRZNYPYRYSU
      UJXMUUAUUBXMUUCYTXGXHXHFUTVHVJVKVLVMVOVPVQVRHICDGVSVTXPCDGWAVTXBXJHICCYAX
      FXIYMYAXFRZXNYCUMZYOWIXTUULUUKUFWJXAYFXFUULCXDXEEWBUSUOYAXNYOYCYAWJYNXNYO
      NYPYRYSYOXNUUAUUBXNXIYTXNXGXHXHFXDXEGSURVHVJVKYAYCUUCYOUUIYAWJYNXGDQZUUCY
      ONZYPYRYACDXDGYQXBXRXSUJVGWJYNUUMJJUUCXIJRUUNDXHXGFWCUUCXIWHWDWEVMVOVPWFV
      RHICDEFGWGVT $.
  $}

  ${
    $d x y A $.  $d x y R $.
    $( Identity law for isomorphism.  Proposition 6.30(1) of [TakeutiZaring]
       p. 33.  (Contributed by NM, 27-Apr-2004.) $)
    isoid $p |- ( _I |` A ) Isom R , R ( A , A ) $=
      ( vx vy cid cres wiso wf1o wbr cfv wral f1oi wcel fvresi breqan12d bicomd
      cv wb wa rgen2 df-isom mpbir2an ) AABBEAFZGAAUCHCQZDQZBIZUDUCJZUEUCJZBIZR
      ZDAKCAKALUJCDAAUDAMZUEAMZSUIUFUKULUGUDUHUEBAUDNAUENOPTCDAABBUCUAUB $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d x y C $.  $d x y D $.  $d w x y z H $.
    $d w x y z R $.  $d w x y z S $.
    $( Converse law for isomorphism.  Proposition 6.30(2) of [TakeutiZaring]
       p. 33.  (Contributed by NM, 27-Apr-2004.) $)
    isocnv $p |- ( H Isom R , S ( A , B ) -> `' H Isom S , R ( B , A ) ) $=
      ( vx vy vz vw wf1o cv wbr cfv wb wral wa wiso wcel wceq f1ocnvfv2 adantrr
      ccnv f1ocnv adantr adantrl breq12d adantlr wf syl ffvelrn anim12dan breq1
      f1of fveq2 breq1d bibi12d bicom bitrdi breq2d breq2 rspc2va sylan sylanl1
      an32s bitr3d ralrimivva jca df-isom 3imtr4i ) ABEJZFKZGKZCLZVKEMZVLEMZDLZ
      NZGAOFAOZPZBAEUBZJZHKZIKZDLZWBVTMZWCVTMZCLZNZIBOHBOZPABCDEQBADCVTQVSWAWIV
      JWAVRABEUCZUDVSWHHIBBVSWBBRZWCBRZPZPWEEMZWFEMZDLZWDWGVJWMWPWDNVRVJWMPWNWB
      WOWCDVJWKWNWBSWLABWBETUAVJWLWOWCSWKABWCETUEUFUGVJBAVTUHZVRWMWPWGNZVJWAWQW
      JBAVTUMUIWQWMVRWRWQWMPWEARZWFARZPVRWRWQWKWSWLWTBAWBVTUJBAWCVTUJUKVQWRWNVO
      DLZWEVLCLZNZFGWEWFAAVKWESZVQXBXANXCXDVMXBVPXAVKWEVLCULXDVNWNVODVKWEEUNUOU
      PXBXAUQURVLWFSZXAWPXBWGXEVOWOWNDVLWFEUNUSVLWFWECUTUPVAVBVDVCVEVFVGFGABCDE
      VHHIBADCVTVHVI $.

    $( Converse law for isomorphism.  (Contributed by Mario Carneiro,
       30-Jan-2014.) $)
    isocnv2 $p |- ( H Isom R , S ( A , B ) <->
                    H Isom `' R , `' S ( A , B ) ) $=
      ( vy vx wf1o cv wbr cfv wb wral wa ccnv wiso vex brcnv fvex df-isom
      ralcom bibi12i 2ralbii bitr4i anbi2i 3bitr4i ) ABEHZFIZGIZCJZUHEKZUIEKZDJ
      ZLZGAMFAMZNUGUIUHCOZJZULUKDOZJZLZFAMGAMZNABCDEPABUPUREPUOVAUGUOUNFAMGAMVA
      UNFGAAUAUTUNGFAAUQUJUSUMUIUHCGQFQRULUKDUIESUHESRUBUCUDUEFGABCDETGFABUPURE
      TUF $.

    isocnv3.1 $e |- C = ( ( A X. A ) \ R ) $.
    isocnv3.2 $e |- D = ( ( B X. B ) \ S ) $.
    $( Complementation law for isomorphism.  (Contributed by Mario Carneiro,
       9-Sep-2015.) $)
    isocnv3 $p |- ( H Isom R , S ( A , B ) <-> H Isom C , D ( A , B ) ) $=
      ( vx vy cv wbr cfv wb wral wa wiso wcel wn wf1o notbi cxp brxp cdif breqi
      brdif bitri baib sylbir adantl wf f1of ffvelrn anim12dan sylibr sylan syl
      bibi12d bitr4id 2ralbidva pm5.32i df-isom 3bitr4i ) ABGUAZJLZKLZEMZVFGNZV
      GGNZFMZOZKAPJAPZQVEVFVGCMZVIVJDMZOZKAPJAPZQABEFGRABCDGRVEVMVQVEVLVPJKAAVE
      VFASZVGASZQZQZVLVHTZVKTZOVPVHVKUBWAVNWBVOWCVTVNWBOZVEVTVFVGAAUCZMZWDVFVGA
      AUDVNWFWBVNVFVGWEEUEZMWFWBQVFVGCWGHUFVFVGWEEUGUHUIUJUKWAVIVJBBUCZMZVOWCOV
      EABGULZVTWIABGUMWJVTQVIBSZVJBSZQWIWJVRWKVSWLABVFGUNABVGGUNUOVIVJBBUDUPUQV
      OWIWCVOVIVJWHFUEZMWIWCQVIVJDWMIUFVIVJWHFUGUHUIURUSUTVAVBJKABEFGVCJKABCDGV
      CVD $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d H x y $.  $d R x y $.  $d S x y $.
    $( An isomorphism from one well-order to another can be restricted on
       either well-order.  (Contributed by Mario Carneiro, 15-Jan-2013.) $)
    isores2 $p |- ( H Isom R , S ( A , B ) <->
                      H Isom R , ( S i^i ( B X. B ) ) ( A , B ) ) $=
      ( vx vy wf1o cv wbr cfv wb wral wa cxp wiso wcel ffvelrn ralbidva df-isom
      cin wf f1of adantrr adantrl brinxp syl2anc anassrs bibi2d pm5.32i 3bitr4i
      sylan ) ABEHZFIZGIZCJZUNEKZUOEKZDJZLZGAMZFAMZNUMUPUQURDBBOUAZJZLZGAMZFAMZ
      NABCDEPABCVCEPUMVBVGUMVAVFFAUMUNAQZNZUTVEGAVIUOAQZNUSVDUPUMVHVJUSVDLZUMAB
      EUBZVHVJNZVKABEUCVLVMNUQBQZURBQZVKVLVHVNVJABUNERUDVLVJVOVHABUOERUEUQURBBD
      UFUGULUHUISSUJFGABCDETFGABCVCETUK $.
  $}

  $( An isomorphism from one well-order to another can be restricted on either
     well-order.  (Contributed by Mario Carneiro, 15-Jan-2013.) $)
  isores1 $p |- ( H Isom R , S ( A , B ) <->
                    H Isom ( R i^i ( A X. A ) ) , S ( A , B ) ) $=
    ( wiso cxp cin ccnv isocnv isores2 sylib syl wf1o isof1o isoeq1 sylbi mpbid
    wb 3syl wrel f1orel wceq dfrel2 sylibr impbii ) ABCDEFZABCAAGHZDEFZUGABUHDE
    IZIZFZUIUGBADUHUJFZULUGBADCUJFZUMABCDEJBADCUJKZLBADUHUJJMUGABENZEUAZULUISZA
    BCDEOABEUBZUQUKEUCZUREUDZABUHDEUKPQTRUIABCDUKFZUGUIUNVBUIUMUNABUHDEJUOUEBAD
    CUJJMUIUPUQVBUGSZABUHDEOUSUQUTVCVAABCDEUKPQTRUF $.

  ${
    $d H a b $.  $d R a b $.  $d S a b $.  $d K a b $.  $d A a b $.
    $d B a b $.  $d X a b $.
    $( Induced isomorphism on a subset.  (Contributed by Stefan O'Rear,
       5-Nov-2014.) $)
    isores3 $p |- ( ( H Isom R , S ( A , B ) /\ K C_ A /\ X = ( H " K ) ) ->
        ( H |` K ) Isom R , S ( K , X ) ) $=
      ( va vb wiso wa wf1o cv wbr cfv wb wral ssralv wcel fvres cima wceq f1of1
      wss cres wf1 f1ores expcom syl5 adantr breqan12d adantll biimprd ralimdva
      wi bibi2d syld anim12d df-isom 3imtr4g impcom isoeq5 syl5ibrcom 3impia )
      ABCDEJZFAUDZGEFUAZUBZFGCDEFUEZJZVEVFKVJVHFVGCDVIJZVFVEVKVFABELZHMZIMZCNZV
      MEOZVNEOZDNZPZIAQZHAQZKFVGVILZVOVMVIOZVNVIOZDNZPZIFQZHFQZKVEVKVFVLWBWAWHV
      LABEUFZVFWBABEUCWIVFWBABFEUGUHUIVFWAVTHFQWHVTHFARVFVTWGHFVFVMFSZKZVTVSIFQ
      ZWGVFVTWLUOWJVSIFARUJWKVSWFIFWKVNFSZKZWFVSWNWEVRVOWJWMWEVRPVFWJWMWCVPWDVQ
      DVMFETVNFETUKULUPUMUNUQUNUQURHIABCDEUSHIFVGCDVIUSUTVAFGVGCDVIVBVCVD $.
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.  $d x y z w R $.
    $d x y z w S $.  $d x y z w T $.  $d x y z w G $.  $d x y z w H $.
    $( Composition (transitive) law for isomorphism.  Proposition 6.30(3) of
       [TakeutiZaring] p. 33.  (Contributed by NM, 27-Apr-2004.)  (Proof
       shortened by Mario Carneiro, 5-Dec-2016.) $)
    isotr $p |- ( ( H Isom R , S ( A , B ) /\ G Isom S , T ( B , C ) ) ->
               ( G o. H ) Isom R , T ( A , C ) ) $=
      ( vx vy vz vw cv wbr cfv wb wral wa wcel wceq wf1o simpl f1oco syl2anr wf
      ccom wiso f1of ad2antrr simprl ffvelrnd simprr simplrr breq1 fveq2 breq1d
      bibi12d breq2 breq2d rspc2va syl21anc fvco3 syl2anc breq12d bitr4d bibi2d
      2ralbidva biimpd impancom imp jca df-isom anbi12i 3imtr4i ) ABHUAZIMZJMZD
      NZVPHOZVQHOZENZPZJAQIAQZRZBCGUAZKMZLMZENZWFGOZWGGOZFNZPZLBQKBQZRZRZACGHUF
      ZUAZVRVPWPOZVQWPOZFNZPZJAQIAQZRABDEHUGZBCEFGUGZRACDFWPUGWOWQXBWNWEVOWQWDW
      EWMUBVOWCUBABCGHUCUDWDWNXBVOWNWCXBVOWNRZWCXBXEWBXAIJAAXEVPASZVQASZRZRZWAW
      TVRXIWAVSGOZVTGOZFNZWTXIVSBSVTBSWMWAXLPZXIABVPHVOABHUEZWNXHABHUHUIZXEXFXG
      UJZUKXIABVQHXOXEXFXGULZUKVOWEWMXHUMWLXMVSWGENZXJWJFNZPKLVSVTBBWFVSTZWHXRW
      KXSWFVSWGEUNXTWIXJWJFWFVSGUOUPUQWGVTTZXRWAXSXLWGVTVSEURYAWJXKXJFWGVTGUOUS
      UQUTVAXIWRXJWSXKFXIXNXFWRXJTXOXPABVPGHVBVCXIXNXGWSXKTXOXQABVQGHVBVCVDVEVF
      VGVHVIVJVKXCWDXDWNIJABDEHVLKLBCEFGVLVMIJACDFWPVLVN $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.  $d x y S $.  $d x y H $.
    $d x y C $.  $d x y D $.
    $( Isomorphisms preserve minimal elements.  Note that ` ( ``' R " { D } ) `
       is Takeuti and Zaring's idiom for the initial segment
       ` { x | x R D } ` .  Proposition 6.31(1) of [TakeutiZaring] p. 33.
       (Contributed by NM, 19-Apr-2004.) $)
    isomin $p |- ( ( H Isom R , S ( A , B ) /\ ( C C_ A /\ D e. A ) ) ->
               ( ( C i^i ( `' R " { D } ) ) = (/) <->
               ( ( H " C ) i^i ( `' S " { ( H ` D ) } ) ) = (/) ) ) $=
      ( vy vx wcel wa cima wceq wex wrex wbr wb wi syl9r cvv wss csn cin c0 cfv
      wiso ccnv wn cv neq0 vex elima ssel wf1o wfn isof1o f1ofn fnbrfvb ex 3syl
      imp31 rexbidva bitr4id fvex eliniseg mp1i anbi12d r19.41v 3bitr4g adantrr
      elin breq1 biimpar ad2antll isorel bitrd syl5ibr exp32 com34 imp32 sylbid
      reximdvai exbii df-rex 3bitr4i syl6ibr exlimdv syl5bi con4d fnfvima sylan
      syl 3expia adantrd biimpd ax-mp impd jcad 3imtr4g n0i syl6 impcon4bid ) A
      BEFGUFZCAUAZDAJZKZKZCEUGDUBLZUCZUDMZGCLZFUGDGUEZUBLZUCZUDMZXGXOXJXOUHZHUI
      ZXNJZHNXGXJUHZHXNUJXGXRXSHXGXRIUIZXHJZICOZXSXGXRXTGUEZXQMZXQXLFPZKZICOZYB
      XCXDXRYGQXEXCXDKZXQXKJZXQXMJZKYDICOZYEKXRYGYHYIYKYJYEYHYIXTXQGPZICOYKIXQG
      CHUKZULYHYDYLICXCXDXTCJZYDYLQZXDYNXTAJZXCYOCAXTUMZXCABGUNZGAUOZYPYORABEFG
      UPZABGUQZYSYPYOAXTXQGURUSUTSVAVBVCXLTJZYJYEQYHDGVDZFXLXQTYMVEVFVGXQXKXMVK
      YDYEICVHVIVJXGYFYAICXCXDXEYNYFYARZRXCXDYNXEUUDXDYNYPXCXEUUDRYQXCYPXEUUDYF
      YAXCYPXEKKZYCXLFPZYDUUFYEYCXQXLFVLVMUUEYAXTDEPZUUFXEYAUUGQXCYPEDXTAIUKVEV
      NZABXTDEFGVOZVPVQVRSVSVTWBWAXTXIJZINZYNYAKZINXSYBUUJUULIXTCXHVKZWCIXIUJZY
      AICWDWEWFWGWHWIXSUUKXGXPUUNXGUUJXPIXGUUJYCXNJZXPXGUULYCXKJZYCXMJZKUUJUUOX
      GUULUUPUUQXGYNUUPYAXCYSXFYNUUPRZXCYRYSYTUUAWLYSXDUURXEYSXDYNUUPACGXTWJWMV
      JWKWNXGYNYAUUQXCXDXEYNYAUUQRZRXCXDYNXEUUSXDYNYPXCXEUUSRYQXCYPXEUUSUUEYAUU
      GUUQUUHUUEUUGUUFUUQUUEUUGUUFUUIWOUUBUUQUUFQUUCFXLYCTXTGVDVEWPWFWAVRSVSVTW
      QWRUUMYCXKXMVKWSXNYCWTXAWGWHXB $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.  $d x y S $.  $d x y H $.
    $d x y D $.
    $( Isomorphisms preserve initial segments.  Proposition 6.31(2) of
       [TakeutiZaring] p. 33.  (Contributed by NM, 20-Apr-2004.) $)
    isoini $p |- ( ( H Isom R , S ( A , B ) /\ D e. A ) ->
               ( H " ( A i^i ( `' R " { D } ) ) ) =
               ( B i^i ( `' S " { ( H ` D ) } ) ) ) $=
      ( vx vy wcel wa ccnv csn cima cin cv wbr wrex cfv wb bitrdi wiso cab elin
      dfima2 wceq crn wf1o wfo isof1o f1ofo forn eleq2d 3syl wfn fvelrnb bitr3d
      f1ofn cvv fvex vex eliniseg mp1i adantr anbi2d syl5bb anbi1d anass adantl
      anbi12d isorel syl fnbrfvb bicomd sylan adantrr ancom breq1 pm5.32i bitri
      wi exp32 com23 imp pm5.32d bitrd rexbidv2 r19.41v bitr4d abbi2dv eqtr4id
      ) ABDEFUAZCAIZJZFADKCLMZNZMGOZHOZFPZGWOQZHUBBEKCFRZLMZNZGHFWOUDWMWSHXBWQX
      BIWQBIZWQXAIZJZWMWSWQBXAUCWMXEWPFRZWQUEZGAQZWQWTEPZJZWSWKXEXJSWLWKXCXHXDX
      IWKWQFUFZIZXCXHWKABFUGZABFUHZXLXCSABDEFUIZABFUJXNXKBWQABFUKULUMWKXMFAUNZX
      LXHSXOABFUQZGAWQFUOUMUPWTURIXDXISWKCFUSEWTWQURHUTVAVBVIVCWMWSXGXIJZGAQXJW
      MWRXRGWOAWMWPWOIZWRJZWPAIZWPCDPZWRJZJZYAXRJWLXTYDSWKWLXTYAYBJZWRJYDWLXSYE
      WRXSYAWPWNIZJWLYEWPAWNUCWLYFYBYADCWPAGUTVAVDVEVFYAYBWRVGTVHWMYAYCXRWKWLYA
      YCXRSZVTWKYAWLYGWKYAWLYGWKYAWLJJZYCXFWTEPZXGJZXRYHYBYIWRXGABWPCDEFVJWKYAW
      RXGSZWLWKXPYAYKWKXMXPXOXQVKXPYAJXGWRAWPWQFVLVMVNVOVIYJXGYIJXRYIXGVPXGYIXI
      XFWQWTEVQVRVSTWAWBWCWDWEWFXGXIGAWGTWHVEWIWJ $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x y H $.
    $d x y R $.  $d x y S $.
    isoini2.1 $e |- C = ( A i^i ( `' R " { X } ) ) $.
    isoini2.2 $e |- D = ( B i^i ( `' S " { ( H ` X ) } ) ) $.
    $( Isomorphisms are isomorphisms on their initial segments.  (Contributed
       by Mario Carneiro, 29-Mar-2014.) $)
    isoini2 $p |- ( ( H Isom R , S ( A , B ) /\ X e. A ) ->
                    ( H |` C ) Isom R , S ( C , D ) ) $=
      ( vx vy wiso wcel wa wf1o wbr cfv wral cima cres cv wb wf1 wss isof1o syl
      f1of1 adantr ccnv csn inss1 eqsstri f1ores sylancl isoini imaeq2i 3eqtr4g
      f1oeq3d mpbid df-isom simprbi ssralv ralimdv mpsyl fvres breqan12d bibi2d
      cin ralbidva ralbiia sylibr sylanbrc ) ABEFGMZHANZOZCDGCUAZPZKUBZLUBZEQZV
      SVQRZVTVQRZFQZUCZLCSZKCSZCDEFVQMVPCGCTZVQPZVRVPABGUDZCAUEZWIVNWJVOVNABGPZ
      WJABEFGUFABGUHUGUICAEUJHUKTZVIZAIAWMULUMZABCGUNUOVPWHDCVQVPGWNTBFUJHGRUKT
      VIWHDABHEFGUPCWNGIUQJURUSUTVPWAVSGRZVTGRZFQZUCZLCSZKCSZWGWKVPWTKASZXAWOWK
      VPWSLASZKASZXBWOVNXDVOVNWLXDKLABEFGVAVBUIWKXCWTKAWSLCAVCVDVEWTKCAVCVEWFWT
      KCVSCNZWEWSLCXEVTCNZOWDWRWAXEXFWBWPWCWQFVSCGVFVTCGVFVGVHVJVKVLKLCDEFVQVAV
      M $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w x y z H $.  $d w x y z ph $.
    $d w x y z R $.  $d w x y z S $.
    isofrlem.1 $e |- ( ph -> H Isom R , S ( A , B ) ) $.
    isofrlem.2 $e |- ( ph -> ( H " x ) e. _V ) $.
    $( Lemma for ~ isofr .  (Contributed by NM, 29-Apr-2004.)  (Revised by
       Mario Carneiro, 18-Nov-2014.) $)
    isofrlem $p |- ( ph -> ( S Fr B -> R Fr A ) ) $=
      ( vy vw vz cv c0 wa cima cin wceq wi syl wfr wss wne ccnv csn wrex isof1o
      wal wf1o wiso wfn f1ofn wcel wex n0 w3a cfv fnfvima 3expia exlimdv syl5bi
      ne0d expimpd wfo f1ofo crn imassrn forn sseqtrid jctild dffr3 sseq1 neeq1
      cvv anbi12d ineq1 eqeq1d rexeqbi1dv imbi12d spcgv syl5d wfun adantr simpl
      f1ofun fvelima syl2an simpr wb ssel imdistani isomin sneq ineq2d sylan9bb
      imaeq2d syl5ibr exp42 imp com3l com4t reximdvai mpd rexlimdvaa ex adantrd
      a2d syld alrimdv syl6ibr ) ADFUAZBMZCUBZXLNUCZOZXLEUDJMZUEPQNRZJXLUFZSZBU
      HCEUAAXKXSBAXKXOGXLPZFUDZKMZUEZPZQZNRZKXTUFZSXSAXOXTDUBZXTNUCZOZXKYGACDGU
      IZXOYJSACDEFGUJZYKHCDEFGUGTZYKXOYIYHYKGCUKZXOYISCDGULYNXMXNYIXNXPXLUMZJUN
      YNXMOZYIJXLUOYPYOYIJYNXMYOYIYNXMYOUPXTXPGUQZCXLGXPURVBUSUTVAVCTYKCDGVDZYH
      CDGVEYRGVFXTDGXLVGCDGVHVITVJTXKLMZDUBZYSNUCZOZYSYDQZNRZKYSUFZSZLUHZAYJYGS
      ZLKDFVKAXTVNUMUUGUUHSIUUFUUHLXTVNYSXTRZUUBYJUUEYGUUIYTYHUUAYIYSXTDVLYSXTN
      VMVOUUDYFKYSXTUUIUUCYENYSXTYDVPVQVRVSVTTVAWAAXOYGXRAXMYGXRSZXNAXMUUJAXMOZ
      YFXRKXTUUKYBXTUMZYFOZOZYQYBRZJXLUFZXRUUKGWBZUULUUPUUMUUKYKUUQAYKXMYMWCCDG
      WETUULYFWDJYBXLGWFWGUUNUUOXQJXLUUKUUMYOUUOXQSSYOUUOUUKUUMXQUUKYOUUOUUMXQS
      ZAXMYOUUOUURSSAXMYOUUOUURUUMXQAXMYOOZOZUUOOYFUULYFWHUUTXQXTYAYQUEZPZQZNRZ
      UUOYFAYLXMXPCUMZOXQUVDWIUUSHXMYOUVEXLCXPWJWKCDXLXPEFGWLWGUUOUVCYENUUOUVBY
      DXTUUOUVAYCYAYQYBWMWPWNVQWOWQWRWSWTXAWSXBXCXDXEXFXGXHXIBJCEVKXJ $.

    $( Lemma for ~ isose .  (Contributed by Mario Carneiro, 23-Jun-2015.) $)
    isoselem $p |- ( ph -> ( R Se A -> S Se B ) ) $=
      ( vy vz cv csn cima cin cvv wcel wral wi wceq wse ccnv cfv dfse2 r19.21bi
      biimpi expcom adantl imaeq2 eleq1d imbi2d vtoclg com12 adantr wiso isoini
      wa sylan sylibd syld ralrimdva crn wf1o wfn wb isof1o sneq imaeq2d ineq2d
      f1ofn ralrn 4syl wfo f1ofo forn raleqdv bitr3d syl6ibr ) ACEUAZDFUBZJLZMZ
      NZOZPQZJDRZDFUAAVSDVTKLZGUCZMZNZOZPQZKCRZWFAVSWLKCAWGCQZUQZVSCEUBWGMNOZPQ
      ZWLWNVSWQSAVSWNWQVSWQKCVSWQKCRKCEUDUFUEUGUHWOWQGWPNZPQZWLAWQWSSWNWQAWSAGB
      LZNZPQZSAWSSBWPPWTWPTZXBWSAXCXAWRPWTWPGUIUJUKIULUMUNWOWRWKPACDEFGUOZWNWRW
      KTHCDWGEFGUPURUJUSUTVAAWEJGVBZRZWMWFAXDCDGVCZGCVDXFWMVEHCDEFGVFZCDGVJWEWL
      JKCGWAWHTZWDWKPXIWCWJDXIWBWIVTWAWHVGVHVIUJVKVLAWEJXEDAXDXGCDGVMXEDTHXHCDG
      VNCDGVOVLVPVQUSJDFUDVR $.
  $}

  ${
    $d x A $.  $d x B $.  $d x H $.  $d x R $.  $d x S $.  $d x V $.
    $( An isomorphism preserves well-foundedness.  Proposition 6.32(1) of
       [TakeutiZaring] p. 33.  (Contributed by NM, 30-Apr-2004.)  (Revised by
       Mario Carneiro, 18-Nov-2014.) $)
    isofr $p |- ( H Isom R , S ( A , B ) -> ( R Fr A <-> S Fr B ) ) $=
      ( vx wiso wfr ccnv id wf1o wfun cima cvv wcel isof1o f1ofun funimaex 3syl
      isofrlem wi isocnv cv vex syl impbid ) ABCDEGZACHZBDHZUGBADCEIZGZUHUIUAAB
      CDEUBUKFBADCUJUKJUKBAUJKUJLUJFUCZMNOBADCUJPBAUJQUJULFUDZRSTUEUGFABCDEUGJU
      GABEKELEULMNOABCDEPABEQEULUMRSTUF $.

    $( An isomorphism preserves set-like relations.  (Contributed by Mario
       Carneiro, 23-Jun-2015.) $)
    isose $p |- ( H Isom R , S ( A , B ) -> ( R Se A <-> S Se B ) ) $=
      ( vx wiso wse wf1o wfun cima cvv wcel isof1o f1ofun vex funimaex isoselem
      id cv 3syl ccnv isocnv 4syl impbid ) ABCDEGZACHBDHUFFABCDEUFSUFABEIEJEFTZ
      KLMABCDENABEOEUGFPZQUARUFFBADCEUBZABCDEUCZUFBADCUIGBAUIIUIJUIUGKLMUJBADCU
      INBAUIOUIUGUHQUDRUE $.

    $( A weak form of ~ isofr that does not need Replacement.  (Contributed by
       Mario Carneiro, 18-Nov-2014.) $)
    isofr2 $p |- ( ( H Isom R , S ( A , B ) /\ B e. V ) ->
                   ( S Fr B -> R Fr A ) ) $=
      ( vx wiso wcel wa simpl cv cima wss cvv crn imassrn wf1o wf isof1o sstrid
      f1of frn 3syl ssexg sylan isofrlem ) ABCDEHZBFIZJGABCDEUHUIKUHEGLZMZBNUIU
      KOIUHUKEPZBEUJQUHABERABESULBNABCDETABEUBABEUCUDUAUKBFUEUFUG $.
  $}

  ${
    $d H a b c d e f $.  $d R a b c d e f $.  $d S a b c d e f $.
    $d A a b c d e f $.  $d B a b c d e f $.
    $( Lemma for ~ isopo .  (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    isopolem $p |- ( H Isom R , S ( A , B ) -> ( S Po B -> R Po A ) ) $=
      ( va vb vc vd ve vf cv wbr wa wi wral wcel ex wb anbi12d wiso wpo w3a cfv
      wn wf1o isof1o f1of ffvelrn 3anim123d 3syl imp breq12 anidms notbid breq1
      wf wceq anbi1d imbi12d breq2 imbi1d anbi2d rspc3v syl simpl simpr1 isorel
      syl12anc simpr2 simpr3 sylibrd com23 imp31 ralrimivvva df-po 3imtr4g ) AB
      CDEUAZFLZVSDMZUEZVSGLZDMZWBHLZDMZNZVSWDDMZOZNZHBPGBPFBPZILZWKCMZUEZWKJLZC
      MZWNKLZCMZNZWKWPCMZOZNZKAPJAPIAPZBDUBACUBVRWJXBVRWJNXAIJKAAAVRWJWKAQZWNAQ
      ZWPAQZUCZXAVRXFWJXAVRXFWJXAOVRXFNZWJWKEUDZXHDMZUEZXHWNEUDZDMZXKWPEUDZDMZN
      ZXHXMDMZOZNZXAXGXHBQZXKBQZXMBQZUCZWJXROVRXFYBVRABEUFABEUQZXFYBOABCDEUGABE
      UHYCXCXSXDXTXEYAYCXCXSABWKEUIRYCXDXTABWNEUIRYCXEYAABWPEUIRUJUKULWIXRXJXHW
      BDMZWENZXHWDDMZOZNXJXLXKWDDMZNZYFOZNFGHXHXKXMBBBVSXHURZWAXJWHYGYKVTXIYKVT
      XISVSXHVSXHDUMUNUOYKWFYEWGYFYKWCYDWEVSXHWBDUPUSVSXHWDDUPUTTWBXKURZYGYJXJY
      LYEYIYFYLYDXLWEYHWBXKXHDVAWBXKWDDUPTVBVCWDXMURZYJXQXJYMYIXOYFXPYMYHXNXLWD
      XMXKDVAVCWDXMXHDVAUTVCVDVEXGWMXJWTXQXGWLXIXGVRXCXCWLXISVRXFVFZVRXCXDXEVGZ
      YOABWKWKCDEVHVIUOXGWRXOWSXPXGWOXLWQXNXGVRXCXDWOXLSYNYOVRXCXDXEVJZABWKWNCD
      EVHVIXGVRXDXEWQXNSYNYPVRXCXDXEVKZABWNWPCDEVHVITXGVRXCXEWSXPSYNYOYQABWKWPC
      DEVHVIUTTVLRVMVNVORFGHBDVPIJKACVPVQ $.

    $( An isomorphism preserves the property of being a partial order.
       (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    isopo $p |- ( H Isom R , S ( A , B ) -> ( R Po A <-> S Po B ) ) $=
      ( wiso wpo ccnv wi isocnv isopolem syl impbid ) ABCDEFZACGZBDGZNBADCEHZFO
      PIABCDEJBADCQKLABCDEKM $.

    $( Lemma for ~ isoso .  (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    isosolem $p |- ( H Isom R , S ( A , B ) -> ( S Or B -> R Or A ) ) $=
      ( va vb vc vd wpo cv wbr weq w3o wral wa wor wcel wceq 3orbi123d isopolem
      wiso cfv wi wf1o wf isof1o f1of ffvelrn ex anim12d 3syl breq1 eqeq1 breq2
      imp eqeq2 rspc2v syl isorel wf1 f1of1 f1fveq sylan bicomd ancom2s sylibrd
      wb ralrimdvva df-so 3imtr4g ) ABCDEUBZBDJZFKZGKZDLZFGMZVOVNDLZNZGBOFBOZPA
      CJZHKZIKZCLZHIMZWCWBCLZNZIAOHAOZPBDQACQVLVMWAVTWHABCDEUAVLVTWGHIAAVLWBARZ
      WCARZPZPZVTWBEUCZWCEUCZDLZWMWNSZWNWMDLZNZWGWLWMBRZWNBRZPZVTWRUDVLWKXAVLAB
      EUEZABEUFZWKXAUDABCDEUGZABEUHXCWIWSWJWTXCWIWSABWBEUIUJXCWJWTABWCEUIUJUKUL
      UPVSWRWMVODLZWMVOSZVOWMDLZNFGWMWNBBVNWMSVPXEVQXFVRXGVNWMVODUMVNWMVOUNVNWM
      VODUOTVOWNSXEWOXFWPXGWQVOWNWMDUOVOWNWMUQVOWNWMDUMTURUSWLWDWOWEWPWFWQABWBW
      CCDEUTWLWPWEVLABEVAZWKWPWEVHVLXBXHXDABEVBUSABWBWCEVCVDVEVLWJWIWFWQVHABWCW
      BCDEUTVFTVGVIUKFGBDVJHIACVJVK $.

    $( An isomorphism preserves the property of being a strict total order.
       (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    isoso $p |- ( H Isom R , S ( A , B ) -> ( R Or A <-> S Or B ) ) $=
      ( wiso wor ccnv wi isocnv isosolem syl impbid ) ABCDEFZACGZBDGZNBADCEHZFO
      PIABCDEJBADCQKLABCDEKM $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.  $d x y S $.  $d x y H $.
    $( An isomorphism preserves the property of being a well-ordering.
       Proposition 6.32(3) of [TakeutiZaring] p. 33.  (Contributed by NM,
       30-Apr-2004.)  (Revised by Mario Carneiro, 18-Nov-2014.) $)
    isowe $p |- ( H Isom R , S ( A , B ) -> ( R We A <-> S We B ) ) $=
      ( wiso wfr wor wa wwe isofr isoso anbi12d df-we 3bitr4g ) ABCDEFZACGZACHZ
      IBDGZBDHZIACJBDJPQSRTABCDEKABCDELMACNBDNO $.

    $( A weak form of ~ isowe that does not need Replacement.  (Contributed by
       Mario Carneiro, 18-Nov-2014.) $)
    isowe2 $p |- ( ( H Isom R , S ( A , B ) /\ A. x ( H " x ) e. _V ) ->
                   ( S We B -> R We A ) ) $=
      ( vy wiso cv cima cvv wcel wal wa wfr wor wwe simpl weq df-we imaeq2 spvv
      eleq1d adantl isofrlem wi isosolem adantr anim12d 3imtr4g ) BCDEFHZFAIZJZ
      KLZAMZNZCEOZCEPZNBDOZBDPZNCEQBDQUPUQUSURUTUPGBCDEFUKUORUOFGIZJZKLZUKUNVCA
      GAGSUMVBKULVAFUAUCUBUDUEUKURUTUFUOBCDEFUGUHUICETBDTUJ $.
  $}

  ${
    $d x y z w v u A $.  $d x y v u B $.  $d x y z w v u H $.
    $d x y z w v u R $.  $d v u S $.
    $( Any one-to-one onto function determines an isomorphism with an induced
       relation ` S ` .  Proposition 6.33 of [TakeutiZaring] p. 34.
       (Contributed by NM, 30-Apr-2004.) $)
    f1oiso $p |- ( ( H : A -1-1-onto-> B /\ S = { <. z , w >. |
     E. x e. A E. y e. A ( ( z = ( H ` x ) /\ w = ( H ` y ) ) /\ x R y ) } ) ->
                  H Isom R , S ( A , B ) ) $=
      ( vv vu cv cfv wceq wa wbr wrex wb wcel anbi1d wf1o copab wral wiso simpl
      wf1 f1of1 cop df-br eleq2 eqeq1 2rexbidv anbi2d opelopab weq anass f1fveq
      fvex equcom bitrdi anassrs syl5bb rexbidv r19.42v rexbidva breq1 ceqsrexv
      adantl bitrd breq2 sylan9bb anandis sylan9bbr an32s bitr2id sylan df-isom
      ralrimivva sylanbrc ) EFIUAZHCLZALZIMZNZDLZBLZIMZNZOZWBWFGPZOZBEQAEQZCDUB
      ZNZOVTJLZKLZGPZWOIMZWPIMZHPZRZKEUCJEUCZEFGHIUDVTWNUEVTEFIUFZWNXBEFIUGXCWN
      OZXAJKEEWTWRWSUHZHSZXDWOESZWPESZOZOWQWRWSHUIXCXIWNXFWQRWNXFXEWMSZXCXIOZWQ
      HWMXEUJXJWRWCNZWSWGNZOZWJOZBEQZAEQZXKWQWLXLWHOZWJOZBEQAEQXQCDWRWSWOIURWPI
      URWAWRNZWKXSABEEXTWIXRWJXTWDXLWHWAWRWCUKTTULWEWSNZXSXOABEEYAXRXNWJYAWHXMX
      LWEWSWGUKUMTULUNXCXGXHXQWQRXCXGOZXQXMWOWFGPZOZBEQZXCXHOZWQYBXQAJUOZXMWJOZ
      BEQZOZAEQZYEYBXPYJAEYBWBESZOZXPYGYHOZBEQYJYMXOYNBEXOXLYHOYMYNXLXMWJUPYMXL
      YGYHXCXGYLXLYGRXCXGYLOOXLJAUOYGEFWOWBIUQJAUSUTVATVBVCYGYHBEVDUTVEXGYKYERX
      CYIYEAWOEYGYHYDBEYGWJYCXMWBWOWFGVFUMVCVGVHVIYFYEBKUOZYCOZBEQZWQYFYDYPBEYF
      WFESZOXMYOYCXCXHYRXMYORXCXHYROOXMKBUOYOEFWPWFIUQKBUSUTVATVEXHYQWQRXCYCWQB
      WPEWFWPWOGVJVGVHVIVKVLVBVMVNVOVRVPJKEFGHIVQVS $.
  $}

  ${
    $d A w x y z $.  $d B w x y z $.  $d H w x y z $.  $d R w x y z $.
    f1oiso2.1 $e |- S = { <. x , y >. |
      ( ( x e. B /\ y e. B ) /\ ( `' H ` x ) R ( `' H ` y ) ) } $.
    $( Any one-to-one onto function determines an isomorphism with an induced
       relation ` S ` .  (Contributed by Mario Carneiro, 9-Mar-2013.) $)
    f1oiso2 $p |- ( H : A -1-1-onto-> B -> H Isom R , S ( A , B ) ) $=
      ( vz vw cv cfv wceq wa wbr wrex wcel 3adant3 eqcomd syl2anc wf1o wiso w3a
      copab ccnv f1ocnvdm adantrr f1ocnvfv2 anim12dan simp3 fveq2 eqeq2d anbi2d
      adantrl breq2 anbi12d rspcev syl12anc anbi1d breq1 rexbidv 3expib simp3ll
      simp1 simp2l f1of ffvelrnda eqeltrd simp3lr simp2r simp3r wi f1ocnvfv mpd
      3brtr4d jca31 3exp rexlimdvv impbid opabbidv eqtrid f1oiso mpdan ) CDGUAZ
      FAKZIKZGLZMZBKZJKZGLZMZNZWFWJEOZNZJCPZICPZABUDZMCDEFGUBWDFWEDQZWIDQZNZWEG
      UEZLZWIXBLZEOZNZABUDWRHWDXFWQABWDXFWQWDXAXEWQWDXAXEUCZXCCQZWEXCGLZMZWLNZX
      CWJEOZNZJCPZWQWDXAXHXEWDWSXHWTCDWEGUFUGRXGXDCQZXJWIXDGLZMZNZXEXNWDXAXOXEW
      DWTXOWSCDWIGUFUNRWDXAXRXEWDWSXJWTXQWDWSNXIWECDWEGUHSWDWTNXPWICDWIGUHSUIRW
      DXAXEUJXMXRXENJXDCWJXDMZXKXRXLXEXSWLXQXJXSWKXPWIWJXDGUKULUMWJXDXCEUOUPUQU
      RWPXNIXCCWFXCMZWOXMJCXTWMXKWNXLXTWHXJWLXTWGXIWEWFXCGUKULUSWFXCWJEUTUPVAUQ
      TVBWDWOXFIJCCWDWFCQZWJCQZNZWOXFWDYCWOUCZWSWTXEYDWEWGDWHWLWNWDYCVCZYDWDYAW
      GDQWDYCWOVDZWDYAYBWOVEZWDCDWFGCDGVFZVGTVHYDWIWKDWHWLWNWDYCVIZYDWDYBWKDQYF
      WDYAYBWOVJZWDCDWJGYHVGTVHYDWFWJXCXDEWDYCWMWNVKYDWGWEMZXCWFMZYDWEWGYESYDWD
      YAYKYLVLYFYGCDWFWEGVMTVNYDWKWIMZXDWJMZYDWIWKYISYDWDYBYMYNVLYFYJCDWJWIGVMT
      VNVOVPVQVRVSVTWAIJABCDEFGWBWC $.
  $}

  ${
    $d z w R $.  $d x y z w S $.  $d z w A $.  $d z w B $.  $d x y z w F $.
    f1owe.1 $e |- R = { <. x , y >. | ( F ` x ) S ( F ` y ) } $.
    $( Well-ordering of isomorphic relations.  (Contributed by NM,
       4-Mar-1997.) $)
    f1owe $p |- ( F : A -1-1-onto-> B -> ( S We B -> R We A ) ) $=
      ( vz vw wf1o wwe cv wbr cfv wb wral weq fveq2 breq1d breq2d brabg wa wiso
      rgen2 df-isom isowe sylbir mpan2 biimprd ) CDGKZCELZDFLZUKIMZJMZENUNGOZUO
      GOZFNZPZJCQICQZULUMPZUSIJCCAMZGOZBMZGOZFNUPVEFNURABUNUOCCEAIRVCUPVEFVBUNG
      STBJRVEUQUPFVDUOGSUAHUBUEUKUTUCCDEFGUDVAIJCDEFGUFCDEFGUGUHUIUJ $.
  $}

  ${
    $d A a b c $.  $d R b c $.  $d F a b c $.
    $( A set-like well-ordering has no nontrivial automorphisms.  (Contributed
       by Stefan O'Rear, 16-Nov-2014.)  (Revised by Mario Carneiro,
       25-Jun-2015.) $)
    weniso $p |- ( ( R We A /\ R Se A /\ F Isom R , R ( A , A ) ) ->
        F = ( _I |` A ) ) $=
      ( va vc vb wceq cfv wral wn wbr wa syl wcel wi fveq2 id eqeq12d wb adantr
      wwe wse wiso w3a cid cres cv crab c0 wne wrex rabn0 rexnal bitri wreu wss
      simpl1 simpl2 ssrab2 a1i simpr wereu2 syl22anc reurex notbid elrab ralrab
      ex con34b bicomi ralbii wf1o wf simpl3 isof1o f1of ffvelrnd breq1 imbi12d
      simprl rspcv com23 f1of1 f1fveq syl12anc pm2.21 ad2antll sylbid syld ccnv
      imp wf1 f1ocnv 3syl isorel f1ocnvfv2 syl2anc breq1d bitr2d biimpa simplrr
      sylc adantl fveq2d 3eqtr3d wo simprr weso sotrieq con2bid mpbird mpjaodan
      wor syl5bi rexlimdv syl5bir pm2.18d fvresi biimprd ralimia 3ad2ant3 f1ofn
      eqeq2d wfn fnresi eqfnfv ) ABUAZABUBZAABBCUCZUDZCUEAUFZGZDUGZCHZYMYKHZGZD
      AIZYJYNYMGZDAIZYQYJYSYSJZYRJZDAUHZUIUJZYJYSUUCUUADAUKYTUUADAULYRDAUMUNYJU
      UCEUGZFUGZBKZJZEUUBIZFUUBUKZYSYJUUCUUIYJUUCLZUUHFUUBUOZUUIUUJYGYHUUBAUPZU
      UCUUKYGYHYIUUCUQYGYHYIUUCURUULUUJUUADAUSUTYJUUCVAFEAUUBBVBVCUUHFUUBVDMVHY
      JUUHYSFUUBUUEUUBNUUEANZUUECHZUUEGZJZLZYJUUHYSOZUUAUUPDUUEAYMUUEGZYRUUOUUS
      YNUUNYMUUEYMUUECPUUSQRVEVFYJUUQUURUUHUUFUUDCHZUUDGZOZEAIZYJUUQLZYSUUHUVAJ
      ZUUGOZEAIUVCUUAUVEUUGEDAYMUUDGZYRUVAUVGYNUUTYMUUDYMUUDCPUVGQRVEVGUVFUVBEA
      UVBUVFUUFUVAVIVJVKUNUVDUUNUUEBKZUVCYSOUUEUUNBKZUVDUVHLUVCUUNCHZUUNGZYSUVD
      UVHUVCUVKOUVDUVCUVHUVKUVDUUNANZUVCUVHUVKOZOUVDAAUUECUVDAACVLZAACVMUVDYIUV
      NYGYHYIUUQVNZAABBCVOZMZAACVPMYJUUMUUPVTZVQZUVBUVMEUUNAUUDUUNGZUUFUVHUVAUV
      KUUDUUNUUEBVRUVTUUTUVJUUDUUNUUDUUNCPUVTQRVSWAMWBWKUVDUVKYSOUVHUVDUVKUUOYS
      UVDAACWLZUVLUUMUVKUUOSUVDUVNUWAUVQAACWCMUVSUVRAAUUNUUECWDWEUUPUUOYSOYJUUM
      UUOYSWFZWGWHTWIUVDUVILZUVCUUECWJZHZCHZUWEGZYSUWCUWEANZUWEUUEBKZUVCUWGOUVD
      UWHUVIUVDAAUUEUWDUVDUVNAAUWDVLAAUWDVMUVQAACWMAAUWDVPWNUVRVQZTUVDUVIUWIUVD
      UWIUWFUUNBKZUVIUVDYIUWHUUMUWIUWKSUVOUWJUVRAAUWEUUEBBCWOWEUVDUWFUUEUUNBUVD
      UVNUUMUWFUUEGZUVQUVRAAUUECWPWQZWRWSWTUWHUVCUWIUWGUVBUWIUWGOEUWEAUUDUWEGZU
      UFUWIUVAUWGUUDUWEUUEBVRUWNUUTUWFUUDUWEUUDUWECPUWNQRVSWAWBXBUVDUWGYSOUVIUV
      DUWGYSUVDUWGLZUUPUUOYSYJUUMUUPUWGXAUWOUWFCHZUWFUUNUUEUWGUWPUWFGUVDUWFUWEC
      PXCUVDUWPUUNGUWGUVDUWFUUECUWMXDTUVDUWLUWGUWMTXEUWBXBVHTWIUVDUVHUVIXFZUUPY
      JUUMUUPXGUVDUUOUWQUVDABXMZUVLUUMUUOUWQJSUVDYGUWRYGYHYIUUQUQABXHMUVSUVRAUU
      NUUEBXIWEXJXKXLXNVHXNXOWIXPXQYRYPDAYMANZYPYRUWSYOYMYNAYMXRYCXSXTMYJCAYDZY
      KAYDZYLYQSYJUVNUWTYIYGUVNYHUVPYAAACYBMUXAYJAYEUTDACYKYFWQXK $.

    $( Thus, there is at most one isomorphism between any two set-like
       well-ordered classes.  Class version of ~ wemoiso .  (Contributed by
       Mario Carneiro, 25-Jun-2015.) $)
    weisoeq $p |- ( ( ( R We A /\ R Se A ) /\
      ( F Isom R , S ( A , B ) /\ G Isom R , S ( A , B ) ) ) -> F = G ) $=
      ( wwe wse wa wiso wceq ccnv ccom cid cres wf1 wf1o isof1o f1of1 3syl id
      isocnv isotr syl2anr weniso sylan2 simprl simprr f1eqcocnv syl2anc mpbird
      3expa wb ) ACGZACHZIZABCDEJZABCDFJZIZIZEFKZELZFMZNAOKZUSUPAACCVCJZVDURURB
      ADCVBJVEUQURUAABCDEUBABACDCVBFUCUDUNUOVEVDACVCUEULUFUTABEPZABFPZVAVDUMUTU
      QABEQVFUPUQURUGABCDERABESTUTURABFQVGUPUQURUHABCDFRABFSTABEFUIUJUK $.

    $( Thus, there is at most one isomorphism between any two set-like
       well-ordered classes.  Class version of ~ wemoiso2 .  (Contributed by
       Mario Carneiro, 25-Jun-2015.) $)
    weisoeq2 $p |- ( ( ( S We B /\ S Se B ) /\
      ( F Isom R , S ( A , B ) /\ G Isom R , S ( A , B ) ) ) -> F = G ) $=
      ( wwe wse wa wiso wceq ccnv isocnv anim12i weisoeq wrel wf1o isof1o 3syl
      f1orel sylan2 wb simprl simprr cnveqb syl2anc mpbird ) BDGBDHIZABCDEJZABC
      DFJZIZIZEFKZELZFLZKZUKUHBADCUNJZBADCUOJZIUPUIUQUJURABCDEMABCDFMNBADCUNUOO
      UAULEPZFPZUMUPUBULUIABEQUSUHUIUJUCABCDERABETSULUJABFQUTUHUIUJUDABCDFRABFT
      SEFUEUFUG $.
  $}

  ${
    $d w x y z A $.  $d w x y z F $.  $d w V $.  $d w x y X $.
    knatar.1 $e |- X = |^| { z e. ~P A | ( F ` z ) C_ z } $.
    $( The Knaster-Tarski theorem says that every monotone function over a
       complete lattice has a (least) fixpoint.  Here we specialize this
       theorem to the case when the lattice is the powerset lattice ` ~P A ` .
       (Contributed by Mario Carneiro, 11-Jun-2015.) $)
    knatar $p |- ( ( A e. V /\ ( F ` A ) C_ A /\
        A. x e. ~P A A. y e. ~P x ( F ` y ) C_ ( F ` x ) ) ->
      ( X C_ A /\ ( F ` X ) = X ) ) $=
      ( vw wcel cfv wss cv cpw wral wceq fveq2 id rspcdva sylibr w3a crab pwidg
      cint 3ad2ant1 simp2 sseq12d intminss syl2anc eqsstrid wi wa sseq1d sseq2d
      pweq raleqbidv simpl3 simprl adantl vex elpw2 simprr sstrd expr ralrimiva
      ssintrab cbvrabv inteqi eqtri sseqtrrdi simp3 sselpwd fvex elpw eqssd jca
      ) DFJZDEKZDLZBMZEKZAMZEKZLZBWBNZOZADNZOZUAZGDLGEKZGPWIGCMZEKZWKLZCWGUBZUD
      ZDHWIDWGJZVSWODLVQVSWPWHDFUCUEZVQVSWHUFZWMVSCDWGWKDPZWLVRWKDWKDEQWSRUGUHU
      IUJZWIWJGWIWJIMZEKZXALZIWGUBZUDZGWIXCWJXALZUKZIWGOWJXELWIXGIWGWIXAWGJZXCX
      FWIXHXCULZULZWJXBXAXJWAXBLZWJXBLBXANZGVTGPZWAWJXBVTGEQZUMXJWFXKBXLOAWGXAW
      BXAPZWDXKBWEXLWBXAUOXOWCXBWAWBXAEQUNUPVQVSWHXIUQWIXHXCURSXJGXALGXLJXJGWOX
      AHXIWOXALWIWMXCCXAWGWKXAPZWLXBWKXAWKXAEQXPRUGZUHUSUJGXAIUTVATSWIXHXCVBVCV
      DVEXCIWJWGVFTGWOXEHWNXDWMXCCIWGXQVGVHVIZVJZWIGXEWJXRWIWJWGJZWJEKZWJLZXEWJ
      LWIWJDLXTWIWJVRDWIWAVRLZWJVRLBWGGXMWAWJVRXNUMWIWFYCBWGOAWGDWBDPZWDYCBWEWG
      WBDUOYDWCVRWAWBDEQUNUPVQVSWHVKZWQSWIGDWGWQWTVLZSWRVCWJDGEVMZVNTWIWAWJLZYB
      BGNZWJVTWJPWAYAWJVTWJEQUMWIWFYHBYIOAWGGWBGPZWDYHBWEYIWBGUOYJWCWJWAWBGEQUN
      UPYEYFSWIWJGLWJYIJXSWJGYGVNTSXCYBIWJWGXAWJPZXBYAXAWJXAWJEQYKRUGUHUIUJVOVP
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cantor's Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y A $.  $d x y F $.
    canth.1 $e |- A e. _V $.
    $( No set ` A ` is equinumerous to its power set (Cantor's theorem), i.e.,
       no function can map ` A ` onto its power set.  Compare Theorem 6B(b) of
       [Enderton] p. 132.  For the equinumerosity version, see ~ canth2 .  Note
       that ` A ` must be a set: this theorem does not hold when ` A ` is too
       large to be a set; see ~ ncanth for a counterexample.  (Use ~ nex if you
       want the form ` -. E. f f : A -onto-> ~P A ` .)  (Contributed by NM,
       7-Aug-1994.)  (Proof shortened by Mario Carneiro, 7-Jun-2016.) $)
    canth $p |- -. F : A -onto-> ~P A $=
      ( vx vy cpw wfo cv cfv wcel wn crab crn ssrab2 elpwi2 forn eleqtrrid wceq
      cvv wb wrex id fveq2 eleq12d notbid elrab baibr nbbn sylib eleq2 nsyl wfn
      nrex fofn fvelrnb syl mtbiri pm2.65i ) AAFZBGZDHZVABIZJZKZDALZBMZJZUTVEUS
      VFVEASCVDDANOAUSBPQUTVGEHZBIZVERZEAUAZVJEAVHAJZVHVIJZVHVEJZTZVJVLVMKZVNTV
      OKVNVLVPVDVPDVHAVAVHRZVCVMVQVAVHVBVIVQUBVAVHBUCUDUEUFUGVMVNUHUIVIVEVHUJUK
      UMUTBAULVGVKTAUSBUNEAVEBUOUPUQUR $.
  $}

  $( Cantor's theorem fails for the universal class (which is not a set but a
     proper class by ~ vprc ).  Specifically, the identity function maps the
     universe onto its power class.  Compare ~ canth that works for sets.

     This failure comes from a limitation of the collection principle (which is
     necessary to avoid Russell's paradox ~ ru ): ` ~P _V ` , being a class,
     cannot contain proper classes, so it is no larger than ` _V ` , which is
     why the identity function "succeeds" in being surjective onto ` ~P _V `
     (see ~ pwv ).  See also the remark in ~ ru about NF, in which Cantor's
     theorem fails for sets that are "too large".  This theorem gives some
     intuition behind that failure: in NF the universal class is a set, and it
     equals its own power set.  (Contributed by NM, 29-Jun-2004.)  (Proof
     shortened by BJ, 29-Dec-2023.) $)
  ncanth $p |- _I : _V -onto-> ~P _V $=
    ( cvv cpw cid wfo wf1o f1ovi f1ofo ax-mp wceq wb pwv foeq3 mpbir ) AABZCDZA
    ACDZAACEPFAACGHNAIOPJKNAACLHM $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Restricted iota (description binder)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c iota_ $.

  $( Extend class notation with restricted description binder. $)
  crio $a class ( iota_ x e. A ph ) $.

  $( Define restricted description binder.  In case there is no unique ` x `
     such that ` ( x e. A /\ ph ) ` holds, it evaluates to the empty set.  See
     also comments for ~ df-iota .  (Contributed by NM, 15-Sep-2011.)  (Revised
     by Mario Carneiro, 15-Oct-2016.)  (Revised by NM, 2-Sep-2018.) $)
  df-riota $a |- ( iota_ x e. A ph ) = ( iota x ( x e. A /\ ph ) ) $.

  ${
    $d x ph $.
    riotaeqdv.1 $e |- ( ph -> A = B ) $.
    $( Formula-building deduction for iota.  (Contributed by NM,
       15-Sep-2011.) $)
    riotaeqdv $p |- ( ph -> ( iota_ x e. A ps ) = ( iota_ x e. B ps ) ) $=
      ( cv wcel wa cio crio eleq2d anbi1d iotabidv df-riota 3eqtr4g ) ACGZDHZBI
      ZCJQEHZBIZCJBCDKBCEKASUACARTBADEQFLMNBCDOBCEOP $.
  $}

  ${
    $d x ph $.
    riotabidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building deduction for restricted iota.  (Contributed by NM,
       15-Sep-2011.) $)
    riotabidv $p |- ( ph -> ( iota_ x e. A ps ) = ( iota_ x e. A ch ) ) $=
      ( cv wcel wa cio crio anbi2d iotabidv df-riota 3eqtr4g ) ADGEHZBIZDJPCIZD
      JBDEKCDEKAQRDABCPFLMBDENCDENO $.
  $}

  ${
    $d x ph $.
    riotaeqbidv.1 $e |- ( ph -> A = B ) $.
    riotaeqbidv.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equality deduction for restricted universal quantifier.  (Contributed by
       NM, 15-Sep-2011.) $)
    riotaeqbidv $p |- ( ph -> ( iota_ x e. A ps ) = ( iota_ x e. B ch ) ) $=
      ( crio riotabidv riotaeqdv eqtrd ) ABDEICDEICDFIABCDEHJACDEFGKL $.
  $}

  $( Restricted iota is a set.  (Contributed by NM, 15-Sep-2011.) $)
  riotaex $p |- ( iota_ x e. A ps ) e. _V $=
    ( crio cv wcel wa cio cvv df-riota iotaex eqeltri ) ABCDBECFAGZBHIABCJMBKL
    $.

  $( An iota restricted to the universe is unrestricted.  (Contributed by NM,
     18-Sep-2011.) $)
  riotav $p |- ( iota_ x e. _V ph ) = ( iota x ph ) $=
    ( cvv crio cv wcel wa cio df-riota vex biantrur iotabii eqtr4i ) ABCDBECFZA
    GZBHABHABCIAOBNABJKLM $.

  $( Restricted iota in terms of class union.  (Contributed by NM,
     11-Oct-2011.) $)
  riotauni $p |- ( E! x e. A ph
                    -> ( iota_ x e. A ph ) = U. { x e. A | ph } ) $=
    ( wreu cv wcel wa cio cab cuni crio crab wceq df-reu iotauni sylbi df-riota
    weu df-rab unieqi 3eqtr4g ) ABCDZBECFAGZBHZUCBIZJZABCKABCLZJUBUCBRUDUFMABCN
    UCBOPABCQUGUEABCSTUA $.

  ${
    $d x A $.
    $( The abstraction variable in a restricted iota descriptor isn't free.
       (Contributed by NM, 12-Oct-2011.)  (Revised by Mario Carneiro,
       15-Oct-2016.) $)
    nfriota1 $p |- F/_ x ( iota_ x e. A ph ) $=
      ( crio cv wcel wa cio df-riota nfiota1 nfcxfr ) BABCDBECFAGZBHABCILBJK $.
  $}

  ${
    $d x y w $.  $d A w $.  $d ps w $.
    nfriotadw.1 $e |- F/ y ph $.
    nfriotadw.2 $e |- ( ph -> F/ x ps ) $.
    nfriotadw.3 $e |- ( ph -> F/_ x A ) $.
    $( Deduction version of ~ nfriota with a disjoint variable condition, which
       contrary to ~ nfriotad does not require ~ ax-13 .  (Contributed by NM,
       18-Feb-2013.)  (Revised by Gino Giotto, 26-Jan-2024.) $)
    nfriotadw $p |- ( ph -> F/_ x ( iota_ y e. A ps ) ) $=
      ( vw crio cv wcel wa cio df-riota wal wnfc adantr wnf df-nfc weq wn nfcvd
      nfnaew adantl nfeld nfand nfiotadw ex nfiota1 biidd drnf1v albidv 3bitr4g
      nfan mpbiri pm2.61d2 nfcxfrd ) ACBDEJDKZELZBMZDNZBDEOACDUACPZCVBQZAVCUBZV
      DAVEMZVACDAVEDFCDDUDUOVFUTBCVFCUSEVECUSQAVECUSUCUEACEQVEHRUFABCSVEGRUGUHU
      IVCVDDVBQZVADUJVCIKVBLZCSZIPVHDSZIPVDVGVCVIVJIVHVHCDVCVHUKULUMCIVBTDIVBTU
      NUPUQUR $.
    $( $j usage 'nfriotadw' avoids 'ax-13'; $)
  $}

  ${
    $d x z A $.  $d y z A $.  $d z ph $.  $d z ps $.  $d x y $.
    cbvriotaw.1 $e |- F/ y ph $.
    cbvriotaw.2 $e |- F/ x ps $.
    cbvriotaw.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change bound variable in a restricted description binder.  Version of
       ~ cbvriota with a disjoint variable condition, which does not require
       ~ ax-13 .  (Contributed by NM, 18-Mar-2013.)  (Revised by Gino Giotto,
       26-Jan-2024.) $)
    cbvriotaw $p |- ( iota_ x e. A ph ) = ( iota_ y e. A ps ) $=
      ( vz cv wcel wa cio crio weq eleq1w anbi12d nfv nfan cbviotaw wsb sbequ12
      nfs1v sbhypf nfsbv eqtri df-riota 3eqtr4i ) CJEKZALZCMZDJZEKZBLZDMZACENBD
      ENUKIJEKZACIUAZLZIMUOUJURCICIOUIUPAUQCIEPACIUBQUJIRUPUQCUPCRACIUCSTURUNID
      IDOUPUMUQBIDEPABCIULGHUDQUPUQDUPDRACIDFUESUNIRTUFACEUGBDEUGUH $.
    $( $j usage 'cbvriotaw' avoids 'ax-13'; $)
  $}

  ${
    $d x y A $.  $d y ph $.  $d x ps $.
    cbvriotavw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change bound variable in a restricted description binder.  Version of
       ~ cbvriotav with a disjoint variable condition, which requires fewer
       axioms .  (Contributed by NM, 18-Mar-2013.)  (Revised by Gino Giotto,
       30-Sep-2024.) $)
    cbvriotavw $p |- ( iota_ x e. A ph ) = ( iota_ y e. A ps ) $=
      ( cv wcel wa cio crio weq eleq1w anbi12d cbviotavw df-riota 3eqtr4i ) CGE
      HZAIZCJDGEHZBIZDJACEKBDEKSUACDCDLRTABCDEMFNOACEPBDEPQ $.
    $( $j usage 'cbvriotavw' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-13'; $)
  $}

  ${
    $d x y A $.  $d y ph $.  $d x ps $.
    cbvriotavwOLD.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Obsolete version of ~ cbvriotavw as of 30-Sep-2024.  (Contributed by NM,
       18-Mar-2013.)  (Revised by Gino Giotto, 26-Jan-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    cbvriotavwOLD $p |- ( iota_ x e. A ph ) = ( iota_ y e. A ps ) $=
      ( nfv cbvriotaw ) ABCDEADGBCGFH $.
    $( $j usage 'cbvriotavwOLD' avoids 'ax-13'; $)
  $}

  ${
    nfriotad.1 $e |- F/ y ph $.
    nfriotad.2 $e |- ( ph -> F/ x ps ) $.
    nfriotad.3 $e |- ( ph -> F/_ x A ) $.
    $( Deduction version of ~ nfriota .  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  Use the weaker ~ nfriotadw when
       possible.  (Contributed by NM, 18-Feb-2013.)  (Revised by Mario
       Carneiro, 15-Oct-2016.)  (New usage is discouraged.) $)
    nfriotad $p |- ( ph -> F/_ x ( iota_ y e. A ps ) ) $=
      ( crio cv wcel wa cio df-riota weq wal wnfc wn nfnae adantr nfcvf nfiotad
      nfan adantl nfeld wnf nfand nfiota1 eqidd drnfc1 mpbiri pm2.61d2 nfcxfrd
      ex ) ACBDEIDJZEKZBLZDMZBDENACDOCPZCURQZAUSRZUTAVALZUQCDAVADFCDDSUCVBUPBCV
      BCUOEVACUOQACDUAUDACEQVAHTUEABCUFVAGTUGUBUNUSUTDURQUQDUHCDURURUSURUIUJUKU
      LUM $.
  $}

  ${
    $d x y $.
    nfriota.1 $e |- F/ x ph $.
    nfriota.2 $e |- F/_ x A $.
    $( A variable not free in a wff remains so in a restricted iota descriptor.
       (Contributed by NM, 12-Oct-2011.) $)
    nfriota $p |- F/_ x ( iota_ y e. A ph ) $=
      ( crio wnfc wtru nftru wnf a1i nfriotadw mptru ) BACDGHIABCDCJABKIELBDHIF
      LMN $.
  $}

  ${
    $d x z A $.  $d y z A $.  $d z ph $.  $d z ps $.
    cbvriota.1 $e |- F/ y ph $.
    cbvriota.2 $e |- F/ x ps $.
    cbvriota.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change bound variable in a restricted description binder.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  Use the weaker
       ~ cbvriotaw when possible.  (Contributed by NM, 18-Mar-2013.)  (Revised
       by Mario Carneiro, 15-Oct-2016.)  (New usage is discouraged.) $)
    cbvriota $p |- ( iota_ x e. A ph ) = ( iota_ y e. A ps ) $=
      ( vz cv wcel wa cio crio wsb weq eleq1w anbi12d nfv nfan nfs1v sbequ sbie
      sbequ12 cbviota bitrdi nfsb eqtri df-riota 3eqtr4i ) CJEKZALZCMZDJEKZBLZD
      MZACENBDENUMIJEKZACIOZLZIMUPULUSCICIPUKUQAURCIEQACIUDRULISUQURCUQCSACIUAT
      UEUSUOIDIDPZUQUNURBIDEQUTURACDOBAIDCUBABCDGHUCUFRUQURDUQDSACIDFUGTUOISUEU
      HACEUIBDEUIUJ $.
  $}

  ${
    $d x A $.  $d y A $.  $d y ph $.  $d x ps $.
    cbvriotav.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change bound variable in a restricted description binder.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 .  Use the weaker
       ~ cbvriotavw when possible.  (Contributed by NM, 18-Mar-2013.)  (Revised
       by Mario Carneiro, 15-Oct-2016.)  (New usage is discouraged.) $)
    cbvriotav $p |- ( iota_ x e. A ph ) = ( iota_ y e. A ps ) $=
      ( nfv cbvriota ) ABCDEADGBCGFH $.
  $}

  ${
    $d y z A $.  $d x z B $.  $d z ph $.  $d x y $.
    $( Interchange class substitution and restricted description binder.
       (Contributed by NM, 24-Feb-2013.)  (Revised by NM, 2-Sep-2018.) $)
    csbriota $p |- [_ A / x ]_ ( iota_ y e. B ph )
          = ( iota_ y e. B [. A / x ]. ph ) $=
      ( vz cvv wcel crio csb wsbc wceq wsb csbeq1 dfsbcq2 riotabidv eqeq12d vex
      cv c0 nfs1v nfcv nfriota weq sbequ12 csbief vtoclg wn csbprc cio df-riota
      weu wex euex sbcex adantl exlimiv syl iotanul nsyl5 eqtr2id eqtrd pm2.61i
      wa ) DGHZBDACEIZJZABDKZCEIZLZBFSZVFJZABFMZCEIZLVJFDGVKDLZVLVGVNVIBVKDVFNV
      OVMVHCEABFDOPQBVKVFVNFRVMBCEABFUABEUBUCBFUDAVMCEABFUEPUFUGVEUHZVGTVIBDVFU
      IVPVICSEHZVHVDZCUJZTVHCEUKVRCULZVEVSTLVTVRCUMVEVRCUNVRVECVHVEVQABDUOUPUQU
      RVRCUSUTVAVBVC $.
  $}

  $( Membership law for "the unique element in ` A ` such that ` ph ` ".
     (Contributed by NM, 21-Aug-2011.)  (Revised by Mario Carneiro,
     23-Dec-2016.) $)
  riotacl2 $p |- ( E! x e. A ph -> ( iota_ x e. A ph ) e. { x e. A | ph } ) $=
    ( wreu cv wcel wa cio cab crio crab weu df-reu iotacl sylbi df-riota df-rab
    3eltr4g ) ABCDZBECFAGZBHZTBIZABCJABCKSTBLUAUBFABCMTBNOABCPABCQR $.

  ${
    $d x A $.
    $( Closure of restricted iota.  (Contributed by NM, 21-Aug-2011.) $)
    riotacl $p |- ( E! x e. A ph -> ( iota_ x e. A ph ) e. A ) $=
      ( wreu crab crio ssrab2 riotacl2 sselid ) ABCDABCECABCFABCGABCHI $.
  $}

  $( Substitution law for descriptions.  Compare ~ iotasbc .  (Contributed by
     NM, 23-Aug-2011.)  (Proof shortened by Mario Carneiro, 24-Dec-2016.) $)
  riotasbc $p |- ( E! x e. A ph -> [. ( iota_ x e. A ph ) / x ]. ph ) $=
    ( wreu crio cab wcel wsbc crab rabssab riotacl2 sselid df-sbc sylibr ) ABCD
    ZABCEZABFZGABPHOABCIQPABCJABCKLABPMN $.

  ${
    $d x ph $.
    riotabidva.1 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal restricted class abstractions (deduction
       form).  ( ~ rabbidva analog.)  (Contributed by NM, 17-Jan-2012.) $)
    riotabidva $p |- ( ph -> ( iota_ x e. A ps ) = ( iota_ x e. A ch ) ) $=
      ( cv wcel wa cio crio pm5.32da iotabidv df-riota 3eqtr4g ) ADGEHZBIZDJPCI
      ZDJBDEKCDEKAQRDAPBCFLMBDENCDENO $.
  $}

  ${
    riotabiia.1 $e |- ( x e. A -> ( ph <-> ps ) ) $.
    $( Equivalent wff's yield equal restricted iotas (inference form).
       ( ~ rabbiia analog.)  (Contributed by NM, 16-Jan-2012.) $)
    riotabiia $p |- ( iota_ x e. A ph ) = ( iota_ x e. A ps ) $=
      ( cvv wceq crio eqid cv wcel wb adantl riotabidva ax-mp ) FFGZACDHBCDHGFI
      PABCDCJDKABLPEMNO $.
  $}

  ${
    $d x A $.
    $( Property of restricted iota.  Compare ~ iota1 .  (Contributed by Mario
       Carneiro, 15-Oct-2016.) $)
    riota1 $p |- ( E! x e. A ph ->
      ( ( x e. A /\ ph ) <-> ( iota_ x e. A ph ) = x ) ) $=
      ( wreu cv wcel wa cio wceq crio weu wb df-reu iota1 sylbi df-riota eqeq1i
      bitr4di ) ABCDZBEZCFAGZUABHZTIZABCJZTISUABKUAUCLABCMUABNOUDUBTABCPQR $.
  $}

  $( Property of iota.  (Contributed by NM, 23-Aug-2011.) $)
  riota1a $p |- ( ( x e. A /\ E! x e. A ph ) ->
          ( ph <-> ( iota x ( x e. A /\ ph ) ) = x ) ) $=
    ( cv wcel wa wreu cio wceq ibar weu wb df-reu iota1 sylbi sylan9bb ) BDZCEZ
    ARAFZABCGZSBHQIZRAJTSBKSUALABCMSBNOP $.

  ${
    $d x A $.
    riota2df.1 $e |- F/ x ph $.
    riota2df.2 $e |- ( ph -> F/_ x B ) $.
    riota2df.3 $e |- ( ph -> F/ x ch ) $.
    riota2df.4 $e |- ( ph -> B e. A ) $.
    riota2df.5 $e |- ( ( ph /\ x = B ) -> ( ps <-> ch ) ) $.
    $( A deduction version of ~ riota2f .  (Contributed by NM, 17-Feb-2013.)
       (Revised by Mario Carneiro, 15-Oct-2016.) $)
    riota2df $p |- ( ( ph /\ E! x e. A ps ) ->
            ( ch <-> ( iota_ x e. A ps ) = B ) ) $=
      ( wreu wa cv wcel cio wceq crio adantr simpr weu df-reu eqeltrd biantrurd
      sylib adantlr bitr3d nfreu1 nfan wnf wnfc iota2df df-riota eqeq1i bitr4di
      wb ) ABDELZMZCDNZEOZBMZDPZFQBDERZFQURVACDFEAFEOZUQJSZURUQVADUAAUQTBDEUBUE
      URUSFQZMZBVACVGUTBVGUSFEURVFTURVDVFVESUCUDAVFBCUPUQKUFUGAUQDGBDEUHUIACDUJ
      UQISADFUKUQHSULVCVBFBDEUMUNUO $.
  $}

  ${
    $d x A $.
    riota2f.1 $e |- F/_ x B $.
    riota2f.2 $e |- F/ x ps $.
    riota2f.3 $e |- ( x = B -> ( ph <-> ps ) ) $.
    $( This theorem shows a condition that allows us to represent a descriptor
       with a class expression ` B ` .  (Contributed by NM, 23-Aug-2011.)
       (Revised by Mario Carneiro, 15-Oct-2016.) $)
    riota2f $p |- ( ( B e. A /\ E! x e. A ph ) ->
            ( ps <-> ( iota_ x e. A ph ) = B ) ) $=
      ( wcel nfel1 wnfc a1i wnf id cv wceq wb adantl riota2df ) EDIZABCDECEDFJC
      EKTFLBCMTGLTNCOEPABQTHRS $.
  $}

  ${
    $d x ps $.  $d x A $.  $d x B $.
    riota2.1 $e |- ( x = B -> ( ph <-> ps ) ) $.
    $( This theorem shows a condition that allows us to represent a descriptor
       with a class expression ` B ` .  (Contributed by NM, 23-Aug-2011.)
       (Revised by Mario Carneiro, 10-Dec-2016.) $)
    riota2 $p |- ( ( B e. A /\ E! x e. A ph ) ->
            ( ps <-> ( iota_ x e. A ph ) = B ) ) $=
      ( nfcv nfv riota2f ) ABCDECEGBCHFI $.
  $}

  ${
    $d I a $.  $d J a $.  $d V a $.  $d X a $.  $d Y a $.
    riotaeqimp.i $e |- I = ( iota_ a e. V X = A ) $.
    riotaeqimp.j $e |- J = ( iota_ a e. V Y = A ) $.
    riotaeqimp.x $e |- ( ph -> E! a e. V X = A ) $.
    riotaeqimp.y $e |- ( ph -> E! a e. V Y = A ) $.
    $( If two restricted iota descriptors for an equality are equal, then the
       terms of the equality are equal.  (Contributed by AV, 6-Dec-2020.) $)
    riotaeqimp $p |- ( ( ph /\ I = J ) -> X = Y ) $=
      ( wceq wa crio csb wb wcel nfcvd adantl eqcomi eqeq2i bicomd wreu riotacl
      a1i biimpa eqeq1i syl eqeltrid nfcsb1d nfeqd id cv csbeq1a eqeq2d syl2anc
      nfv riota2df syl5bb wi bitrdi adantr csbeq1 eqcoms eqeq12 syl5ibrcom expd
      eqcom ancoms sylbird mp2d ) ACDMZNZCGBMZHEOZMZFHDBPZMZFGMZAVMVQAVQVMVQVMQ
      AVPDCDVPJUAUBUFUCUGAVMVSVMFBMZHEOZDMZAVSCWBDIUHADERZWAHEUDZWCVSQADVPEJAVO
      HEUDZVPERLVOHEUEUIUJKWDWENVSWCWDWAVSHEDWDHURWDHDSZWDHFVRWDHFSWDHDBWGUKULW
      DUMHUNZDMZWAVSQWDWIBVRFHDBUOUPTUSUCUQUTUGVNVQGHCBPZMZVSVTVAZAWKVQQVMAWKVP
      CMZVQACERZWFWKWMQACWBEIAWEWBERKWAHEUEUIUJLWNVOWKHECWNHURWNHCSZWNHGWJWNHGS
      WNHCBWOUKULWNUMWHCMZVOWKQWNWPBWJGHCBUOUPTUSUQVPCVIVBVCVMWKWLVAAVMWKVSVTVM
      VTWKVSNVRWJMZWQDCHDCBVDVEVSWKVTWQQFVRGWJVFVJVGVHTVKVL $.
  $}

  ${
    $d x A $.
    riotaprop.0 $e |- F/ x ps $.
    riotaprop.1 $e |- B = ( iota_ x e. A ph ) $.
    riotaprop.2 $e |- ( x = B -> ( ph <-> ps ) ) $.
    $( Properties of a restricted definite description operator.  (Contributed
       by NM, 23-Nov-2013.) $)
    riotaprop $p |- ( E! x e. A ph -> ( B e. A /\ ps ) ) $=
      ( wreu wcel crio riotacl eqeltrid wa wceq eqcomi nfriota1 nfcxfr riota2f
      mpbiri mpancom jca ) ACDIZEDJZBUCEACDKZDGACDLMZUDUCBUFUDUCNBUEEOEUEGPABCD
      ECEUEGACDQRFHSTUAUB $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y ph $.  $d y ps $.
    riota5f.1 $e |- ( ph -> F/_ x B ) $.
    riota5f.2 $e |- ( ph -> B e. A ) $.
    riota5f.3 $e |- ( ( ph /\ x e. A ) -> ( ps <-> x = B ) ) $.
    $( A method for computing restricted iota.  (Contributed by NM,
       16-Apr-2013.)  (Revised by Mario Carneiro, 15-Oct-2016.) $)
    riota5f $p |- ( ph -> ( iota_ x e. A ps ) = B ) $=
      ( vy cv wceq wb wral ralrimiva wi wcel wa wtru trud nfv crio reu6i adantl
      wsbc wreu nfra1 nfan nfcvd nfvd simprl simpr simplrr simplrl eqeltrd sylc
      mpbird 2thd riota2df mpdan mpbid rspsbc nfeqd nfan1 eqeq2d bibi2d imbi12d
      rsp expr ralbid sbcied mpd ) ABCJZEKZLZCDMZBCDUAZEKZAVNCDHNABVLIJZKZLZCDM
      ZVPVRKZOZIEUDZVOVQOZAEDPWCIDMWDGAWCIDAVRDPZWAWBAWFWAQZQZRWBWHSWHBCDUEZRWB
      LWGWIABCDVRUBUCWHBRCDVRAWGCACTZWFWACWFCTVTCDUFUGUGWHCVRUHWHRCUIAWFWAUJWHV
      SQZBRWKBVSWHVSUKZWKWAVLDPVTAWFWAVSULWKVLVRDWLAWFWAVSUMUNVTCDVGUOUPWKSUQUR
      USUTVHNWCIEDVAUOAWCWEIEDGAVREKZQZWAVOWBVQWNVTVNCDAWMCWJACVREACVRUHFVBVCWN
      VSVMBWNVREVLAWMUKZVDVEVIWNVREVPWOVDVFVJUTVK $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    riota5.1 $e |- ( ph -> B e. A ) $.
    riota5.2 $e |- ( ( ph /\ x e. A ) -> ( ps <-> x = B ) ) $.
    $( A method for computing restricted iota.  (Contributed by NM,
       20-Oct-2011.)  (Revised by Mario Carneiro, 6-Dec-2016.) $)
    riota5 $p |- ( ph -> ( iota_ x e. A ps ) = B ) $=
      ( nfcvd riota5f ) ABCDEACEHFGI $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Restriction of a unique element to a smaller class.  (Contributed by NM,
       21-Aug-2011.)  (Revised by NM, 22-Mar-2013.) $)
    riotass2 $p |- ( ( ( A C_ B /\ A. x e. A ( ph -> ps ) )
           /\ ( E. x e. A ph /\ E! x e. B ps ) )
         -> ( iota_ x e. A ph ) = ( iota_ x e. B ps ) ) $=
      ( wi wral wa wrex wreu crio wsbc wceq reuss2 simplr riotasbc wcel riotacl
      wss syl rspsbc sbcimg sylibd mpid sylc wb ssel ad2antrr mpd simprr nfsbc1
      nfriota1 sbceq1a riota2f syl2anc mpbid eqcomd ) DESZABFZCDGZHZACDIZBCEJZH
      ZHZBCEKZACDKZVEBCVGLZVFVGMZVEACDJZUTVHABCDENZURUTVDOVJUTACVGLZVHACDPVJVGD
      QZUTVLVHFZFACDRZVMUTUSCVGLVNUSCVGDUAABCVGDUBUCTUDUEVEVGEQZVCVHVIUFVEVMVPV
      EVJVMVKVOTURVMVPFUTVDDEVGUGUHUIVAVBVCUJBVHCEVGACDULZBCVGVQUKBCVGUMUNUOUPU
      Q $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Restriction of a unique element to a smaller class.  (Contributed by NM,
       19-Oct-2005.)  (Revised by Mario Carneiro, 24-Dec-2016.) $)
    riotass $p |- ( ( A C_ B /\ E. x e. A ph /\ E! x e. B ph ) ->
                ( iota_ x e. A ph ) = ( iota_ x e. B ph ) ) $=
      ( wss wrex wreu w3a crio wsbc wceq reuss riotasbc syl wcel riotacl sseldd
      wb simp1 simp3 nfriota1 nfsbc1 sbceq1a riota2f syl2anc mpbid eqcomd ) CDE
      ZABCFZABDGZHZABDIZABCIZUKABUMJZULUMKZUKABCGZUNABCDLZABCMNUKUMDOUJUNUORUKC
      DUMUHUIUJSUKUPUMCOUQABCPNQUHUIUJTAUNBDUMABCUAZABUMURUBABUMUCUDUEUFUG $.

    $( Restriction of a unique element to a smaller class.  (Contributed by NM,
       19-Feb-2006.)  (Revised by NM, 16-Jun-2017.) $)
    moriotass $p |- ( ( A C_ B /\ E. x e. A ph /\ E* x e. B ph ) ->
                ( iota_ x e. A ph ) = ( iota_ x e. B ph ) ) $=
      ( wss wrex wrmo wreu crio wceq w3a ssrexv imp 3adant3 simp3 reu5 sylanbrc
      riotass syld3an3 ) CDEZABCFZABDGZABDHZABCIABDIJTUAUBKABDFZUBUCTUAUDUBTUAU
      DABCDLMNTUAUBOABDPQABCDRS $.
  $}

  $( A restricted class abstraction with a unique member can be expressed as a
     singleton.  (Contributed by NM, 30-May-2006.) $)
  snriota $p |- ( E! x e. A ph ->
                 { x e. A | ph } = { ( iota_ x e. A ph ) } ) $=
    ( wreu cv wcel wa cab cio csn crab crio weu wceq df-reu sniota sylbi df-rab
    df-riota sneqi 3eqtr4g ) ABCDZBECFAGZBHZUCBIZJZABCKABCLZJUBUCBMUDUFNABCOUCB
    PQABCRUGUEABCSTUA $.

  ${
    $d x B $.  $d x C $.  $d x y A $.  $d x y ph $.  $d ps y $.  $d ch x $.
    riotaxfrd.1 $e |- F/_ y C $.
    riotaxfrd.2 $e |- ( ( ph /\ y e. A ) -> B e. A ) $.
    riotaxfrd.3 $e |- ( ( ph /\ ( iota_ y e. A ch ) e. A ) -> C e. A ) $.
    riotaxfrd.4 $e |- ( x = B -> ( ps <-> ch ) ) $.
    riotaxfrd.5 $e |- ( y = ( iota_ y e. A ch ) -> B = C ) $.
    riotaxfrd.6 $e |- ( ( ph /\ x e. A ) -> E! y e. A x = B ) $.
    $( Change the variable ` x ` in the expression for "the unique ` x ` such
       that ` ps ` " to another variable ` y ` contained in expression ` B ` .
       Use ~ reuhypd to eliminate the last hypothesis.  (Contributed by NM,
       16-Jan-2012.)  (Revised by Mario Carneiro, 15-Oct-2016.) $)
    riotaxfrd $p |- ( ( ph /\ E! x e. A ps )
         -> ( iota_ x e. A ps ) = C ) $=
      ( wreu wa crio crab wcel adantl cv baib riotabiia wceq reuxfr1ds riotacl2
      rabid wb riotacl nfriota1 rabxfrd sylan2 mpbird sylbid syl5 baibr reubiia
      ex imp biimpi nfcv nfrab1 nfel2 eleq1 riota2f syl2anc mpbid eqtr3id ) ABD
      FOZPZBDFQDUAZBDFRZSZDFQZHVMBDFVMVKFSZBBDFUGZUBUCVJHVLSZVNHUDZAVIVQAVICEFO
      ZVQABCDEGFFJNLUEZAVSVQAVSPVQCEFQZCEFRSZVSWBACEFUFTVSAWAFSZVQWBUHCEFUIZABC
      DEGWAHFCEFUJIJLMUKULUMURUNUSVJHFSZVMDFOZVQVRUHAVIWEAVIVSWEVTVSWCAWEWDAWCW
      EKURUOUNUSVIWFAVIWFBVMDFVMVOBVPUPUQUTTVMVQDFHDHVADHVLBDFVBVCVKHVLVDVEVFVG
      VH $.
  $}

  ${
    $d x y z A $.  $d x z B $.
    eusvobj1.1 $e |- B e. _V $.
    $( Specify the same property in two ways when class ` B ( y ) ` is
       single-valued.  (Contributed by NM, 1-Nov-2010.)  (Proof shortened by
       Mario Carneiro, 24-Dec-2016.) $)
    eusvobj2 $p |- ( E! x E. y e. A x = B
       -> ( E. y e. A x = B <-> A. y e. A x = B ) ) $=
      ( vz cv wceq wrex weu wral cab csn wex wi euabsn2 wcel eleq2 abid exlimiv
      velsn 3bitr3g nfre1 nfeq1 elabrex eqcom bitri bitrdi syl5ib ralrimi eqeq1
      nfab elsn ralbidv syl5ibrcom sylbid sylbi c0 wne euex rexn0 r19.2z impbid
      ex 3syl ) AGZDHZBCIZAJZVHVGBCKZVIVHALZFGZMZHZFNVHVJOZVHAFPVNVOFVNVHVFVLHZ
      VJVNVFVKQVFVMQVHVPVKVMVFRVHASAVLUAUBVNVJVPVLDHZBCKVNVQBCBVKVMVHBAVGBCUCUL
      UDBGCQDVKQZVNVQBACDEUEVNVRDVMQZVQVKVMDRVSDVLHVQDVLEUMDVLUFUGUHUIUJVPVGVQB
      CVFVLDUKUNUOUPTUQVIVHANCURUSZVJVHOVHAUTVHVTAVGBCVATVTVJVHVGBCVBVDVEVC $.

    $( Specify the same object in two ways when class ` B ( y ) ` is
       single-valued.  (Contributed by NM, 1-Nov-2010.)  (Proof shortened by
       Mario Carneiro, 19-Nov-2016.) $)
    eusvobj1 $p |- ( E! x E. y e. A x = B
       -> ( iota x E. y e. A x = B ) = ( iota x A. y e. A x = B ) ) $=
      ( cv wceq wrex weu wral wb wal cio nfeu1 eusvobj2 alrimi iotabi syl ) AFD
      GZBCHZAIZTSBCJZKZALTAMUBAMGUAUCATANABCDEOPTUBAQR $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x F $.
    $( There is one domain element for each value of a one-to-one onto
       function.  (Contributed by NM, 26-May-2006.) $)
    f1ofveu $p |- ( ( F : A -1-1-onto-> B /\ C e. B ) ->
                  E! x e. A ( F ` x ) = C ) $=
      ( wf1o wcel wa cv cfv wceq wreu cop ccnv wf f1ocnv f1of syl wb wfn 3com23
      feu sylan f1ocnvfvb dff1o4 simprbi fnopfvb 3adant3 syl3an1 bitrd reubidva
      w3a 3expa mpbird ) BCEFZDCGZHZAIZEJDKZABLDURMENZGZABLZUOCBUTOZUPVBUOCBUTF
      VCBCEPCBUTQRACBDUTUBUCUQUSVAABUOUPURBGZUSVASUOUPVDULUSDUTJURKZVAUOVDUPUSV
      ESBCURDEUDUAUOUTCTZUPVDVEVASZUOEBTVFBCEUEUFVFUPVGVDCDURUTUGUHUIUJUMUKUN
      $.

    $( Value of the converse of a one-to-one onto function.  (Contributed by
       NM, 26-May-2006.)  (Proof shortened by Mario Carneiro, 24-Dec-2016.) $)
    f1ocnvfv3 $p |- ( ( F : A -1-1-onto-> B /\ C e. B ) ->
                  ( `' F ` C ) = ( iota_ x e. A ( F ` x ) = C ) ) $=
      ( wf1o wcel wa cv cfv wceq crio ccnv f1ocnvdm f1ocnvfvb 3expa an32s eqcom
      wb bitr4di riota5 eqcomd ) BCEFZDCGZHZAIZEJDKZABLDEMJZUEUGABUHBCDENUEUFBG
      ZHUGUHUFKZUFUHKUCUIUDUGUJSZUCUIUDUKBCUFDEOPQUFUHRTUAUB $.
  $}

  ${
    $d x A $.
    $( Restricted iota equals the empty set when not meaningful.  (Contributed
       by NM, 16-Jan-2012.)  (Revised by Mario Carneiro, 15-Oct-2016.)
       (Revised by NM, 13-Sep-2018.) $)
    riotaund $p |- ( -. E! x e. A ph -> ( iota_ x e. A ph ) = (/) ) $=
      ( wreu wn crio cv wcel cio df-riota weu wceq df-reu iotanul sylnbi eqtrid
      wa c0 ) ABCDZEABCFBGCHAQZBIZRABCJSTBKUARLABCMTBNOP $.

    $( The restricted iota class is limited in size by the base set.
       (Contributed by Mario Carneiro, 24-Dec-2016.) $)
    riotassuni $p |- ( iota_ x e. A ph ) C_ ( ~P U. A u. U. A ) $=
      ( wreu crio cuni cpw cun crab riotauni ssrab2 unissi ssun2 sstri eqsstrdi
      wss wn c0 riotaund 0ss pm2.61i ) ABCDZABCEZCFZGZUDHZPUBUCABCIZFZUFABCJUHU
      DUFUGCABCKLUDUEMNOUBQUCRUFABCSUFTOUA $.

    $( Bidirectional closure of restricted iota when domain is not empty.
       (Contributed by NM, 28-Feb-2013.)  (Revised by Mario Carneiro,
       24-Dec-2016.)  (Revised by NM, 13-Sep-2018.) $)
    riotaclb $p |- ( -. (/) e. A
          -> ( E! x e. A ph <-> ( iota_ x e. A ph ) e. A ) ) $=
      ( c0 wcel wreu crio riotacl riotaund eleq1d notbid biimprcd con4d impbid2
      wn ) DCEZOZABCFZABCGZCEZABCHQRTROZTOQUATPUASDCABCIJKLMN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Operations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Extend class notation to include the value of an operation ` F ` (such as
     ` + ` ) for two arguments ` A ` and ` B ` .  Note that the syntax is
     simply three class symbols in a row surrounded by parentheses.  Since
     operation values are the only possible class expressions consisting of
     three class expressions in a row surrounded by parentheses, the syntax is
     unambiguous.  (For an example of how syntax could become ambiguous if we
     are not careful, see the comment in ~ cneg .) $)
  co $a class ( A F B ) $.

  $( Extend class notation to include class abstraction (class builder) of
     nested ordered pairs. $)
  coprab $a class { <. <. x , y >. , z >. | ph } $.

  $( Extend the definition of a class to include maps-to notation for defining
     an operation via a rule. $)
  cmpo $a class ( x e. A , y e. B |-> C ) $.

  $( Define the value of an operation.  Definition of operation value in
     [Enderton] p. 79.  Note that the syntax is simply three class expressions
     in a row bracketed by parentheses.  There are no restrictions of any kind
     on what those class expressions may be, although only certain kinds of
     class expressions - a binary operation ` F ` and its arguments ` A ` and
     ` B ` - will be useful for proving meaningful theorems.  For example, if
     class ` F ` is the operation ` + ` and arguments ` A ` and ` B ` are ` 3 `
     and ` 2 ` , the expression ` ( 3 + 2 ) ` can be proved to equal ` 5 ` (see
     ~ 3p2e5 ).  This definition is well-defined, although not very meaningful,
     when classes ` A ` and/or ` B ` are proper classes (i.e. are not sets);
     see ~ ovprc1 and ~ ovprc2 .  On the other hand, we often find uses for
     this definition when ` F ` is a proper class, such as ` +o ` in ~ oav .
     ` F ` is normally equal to a class of nested ordered pairs of the form
     defined by ~ df-oprab .  (Contributed by NM, 28-Feb-1995.) $)
  df-ov $a |- ( A F B ) = ( F ` <. A , B >. ) $.

  ${
    $d x w $.  $d y w $.  $d z w $.  $d w ph $.
    $( Define the class abstraction (class builder) of a collection of nested
       ordered pairs (for use in defining operations).  This is a special case
       of Definition 4.16 of [TakeutiZaring] p. 14.  Normally ` x ` , ` y ` ,
       and ` z ` are distinct, although the definition doesn't strictly require
       it.  See ~ df-ov for the value of an operation.  The brace notation is
       called "class abstraction" by Quine; it is also called a "class builder"
       in the literature.  The value of an operation given by a class
       abstraction is given by ~ ovmpo .  (Contributed by NM, 12-Mar-1995.) $)
    df-oprab $a |- { <. <. x , y >. , z >. | ph } =
                  { w | E. x E. y E. z ( w = <. <. x , y >. , z >. /\ ph ) } $.
  $}

  ${
    $d x z $.  $d y z $.  $d z A $.  $d z B $.  $d z C $.
    $( Define maps-to notation for defining an operation via a rule.  Read as
       "the operation defined by the map from ` x , y ` (in ` A X. B ` ) to
       ` C ( x , y ) ` ".  An extension of ~ df-mpt for two arguments.
       (Contributed by NM, 17-Feb-2008.) $)
    df-mpo $a |- ( x e. A , y e. B |-> C ) =
             { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B ) /\ z = C ) } $.
  $}

  $( Equality theorem for operation value.  (Contributed by NM,
     28-Feb-1995.) $)
  oveq $p |- ( F = G -> ( A F B ) = ( A G B ) ) $=
    ( wceq cop cfv co fveq1 df-ov 3eqtr4g ) CDEABFZCGLDGABCHABDHLCDIABCJABDJK
    $.

  $( Equality theorem for operation value.  (Contributed by NM,
     28-Feb-1995.) $)
  oveq1 $p |- ( A = B -> ( A F C ) = ( B F C ) ) $=
    ( wceq cop cfv co opeq1 fveq2d df-ov 3eqtr4g ) ABEZACFZDGBCFZDGACDHBCDHMNOD
    ABCIJACDKBCDKL $.

  $( Equality theorem for operation value.  (Contributed by NM,
     28-Feb-1995.) $)
  oveq2 $p |- ( A = B -> ( C F A ) = ( C F B ) ) $=
    ( wceq cop cfv co opeq2 fveq2d df-ov 3eqtr4g ) ABEZCAFZDGCBFZDGCADHCBDHMNOD
    ABCIJCADKCBDKL $.

  $( Equality theorem for operation value.  (Contributed by NM,
     16-Jul-1995.) $)
  oveq12 $p |- ( ( A = B /\ C = D ) -> ( A F C ) = ( B F D ) ) $=
    ( wceq co oveq1 oveq2 sylan9eq ) ABFCDFACEGBCEGBDEGABCEHCDBEIJ $.

  ${
    oveq1i.1 $e |- A = B $.
    $( Equality inference for operation value.  (Contributed by NM,
       28-Feb-1995.) $)
    oveq1i $p |- ( A F C ) = ( B F C ) $=
      ( wceq co oveq1 ax-mp ) ABFACDGBCDGFEABCDHI $.

    $( Equality inference for operation value.  (Contributed by NM,
       28-Feb-1995.) $)
    oveq2i $p |- ( C F A ) = ( C F B ) $=
      ( wceq co oveq2 ax-mp ) ABFCADGCBDGFEABCDHI $.

    ${
      oveq12i.2 $e |- C = D $.
      $( Equality inference for operation value.  (Contributed by NM,
         28-Feb-1995.)  (Proof shortened by Andrew Salmon, 22-Oct-2011.) $)
      oveq12i $p |- ( A F C ) = ( B F D ) $=
        ( wceq co oveq12 mp2an ) ABHCDHACEIBDEIHFGABCDEJK $.
    $}

    $( Equality inference for operation value.  (Contributed by NM,
       24-Nov-2007.) $)
    oveqi $p |- ( C A D ) = ( C B D ) $=
      ( wceq co oveq ax-mp ) ABFCDAGCDBGFECDABHI $.
  $}

  ${
    oveq123i.1 $e |- A = C $.
    oveq123i.2 $e |- B = D $.
    oveq123i.3 $e |- F = G $.
    $( Equality inference for operation value.  (Contributed by FL,
       11-Jul-2010.) $)
    oveq123i $p |- ( A F B ) = ( C G D ) $=
      ( co oveq12i oveqi eqtri ) ABEJCDEJCDFJACBDEGHKEFCDILM $.
  $}

  ${
    oveq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for operation value.  (Contributed by NM,
       13-Mar-1995.) $)
    oveq1d $p |- ( ph -> ( A F C ) = ( B F C ) ) $=
      ( wceq co oveq1 syl ) ABCGBDEHCDEHGFBCDEIJ $.

    $( Equality deduction for operation value.  (Contributed by NM,
       13-Mar-1995.) $)
    oveq2d $p |- ( ph -> ( C F A ) = ( C F B ) ) $=
      ( wceq co oveq2 syl ) ABCGDBEHDCEHGFBCDEIJ $.

    $( Equality deduction for operation value.  (Contributed by NM,
       9-Sep-2006.) $)
    oveqd $p |- ( ph -> ( C A D ) = ( C B D ) ) $=
      ( wceq co oveq syl ) ABCGDEBHDECHGFDEBCIJ $.

    ${
      oveq12d.2 $e |- ( ph -> C = D ) $.
      $( Equality deduction for operation value.  (Contributed by NM,
         13-Mar-1995.)  (Proof shortened by Andrew Salmon, 22-Oct-2011.) $)
      oveq12d $p |- ( ph -> ( A F C ) = ( B F D ) ) $=
        ( wceq co oveq12 syl2anc ) ABCIDEIBDFJCEFJIGHBCDEFKL $.
    $}

    ${
      opreqan12i.2 $e |- ( ps -> C = D ) $.
      $( Equality deduction for operation value.  (Contributed by NM,
         10-Aug-1995.) $)
      oveqan12d $p |- ( ( ph /\ ps ) -> ( A F C ) = ( B F D ) ) $=
        ( wceq co oveq12 syl2an ) ACDJEFJCEGKDFGKJBHICDEFGLM $.

      $( Equality deduction for operation value.  (Contributed by NM,
         10-Aug-1995.) $)
      oveqan12rd $p |- ( ( ps /\ ph ) -> ( A F C ) = ( B F D ) ) $=
        ( co wceq oveqan12d ancoms ) ABCEGJDFGJKABCDEFGHILM $.
    $}
  $}

  ${
    oveq123d.1 $e |- ( ph -> F = G ) $.
    oveq123d.2 $e |- ( ph -> A = B ) $.
    oveq123d.3 $e |- ( ph -> C = D ) $.
    $( Equality deduction for operation value.  (Contributed by FL,
       22-Dec-2008.) $)
    oveq123d $p |- ( ph -> ( A F C ) = ( B G D ) ) $=
      ( co oveqd oveq12d eqtrd ) ABDFKBDGKCEGKAFGBDHLABCDEGIJMN $.
  $}

  ${
    fvoveq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for nested function and operation value.
       (Contributed by AV, 23-Jul-2022.) $)
    fvoveq1d $p |- ( ph -> ( F ` ( A O C ) ) = ( F ` ( B O C ) ) ) $=
      ( co oveq1d fveq2d ) ABDFHCDFHEABCDFGIJ $.
  $}

  $( Equality theorem for nested function and operation value.  Closed form of
     ~ fvoveq1d .  (Contributed by AV, 23-Jul-2022.) $)
  fvoveq1 $p |- ( A = B -> ( F ` ( A O C ) ) = ( F ` ( B O C ) ) ) $=
    ( wceq id fvoveq1d ) ABFZABCDEIGH $.

  ${
    $d B x $.  $d X x $.
    ovanraleqv.1 $e |- ( B = X -> ( ph <-> ps ) ) $.
    $( Equality theorem for a conjunction with an operation values within a
       restricted universal quantification.  Technical theorem to be used to
       reduce the size of a significant number of proofs.  (Contributed by AV,
       13-Aug-2022.) $)
    ovanraleqv $p |- ( B = X -> ( A. x e. V ( ph /\ ( A .x. B ) = C )
                               <-> A. x e. V ( ps /\ ( A .x. X ) = C ) ) ) $=
      ( wceq co wa oveq2 eqeq1d anbi12d ralbidv ) EIKZADEGLZFKZMBDIGLZFKZMCHRAB
      TUBJRSUAFEIDGNOPQ $.
  $}

  ${
    imbrov2fvoveq.1 $e |- ( X = Y -> ( ph <-> ps ) ) $.
    $( Equality theorem for nested function and operation value in an
       implication for a binary relation.  Technical theorem to be used to
       reduce the size of a significant number of proofs.  (Contributed by AV,
       17-Aug-2022.) $)
    imbrov2fvoveq $p |- ( X = Y -> ( ( ph -> ( F ` ( ( G ` X ) .x. O ) ) R A )
                           <-> ( ps -> ( F ` ( ( G ` Y ) .x. O ) ) R A ) ) ) $=
      ( wceq cfv co wbr fveq2 fvoveq1d breq1d imbi12d ) IJLZABIGMZHENFMZCDOJGMZ
      HENFMZCDOKTUBUDCDTUAUCHFEIJGPQRS $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y F $.  $d x y ph $.  $d y Y $.
    $d x y G $.  $d x y X $.
    $( If an operation value is element of a class for all operands of two
       classes, then the operation value is an element of the class for
       specific operands of the two classes.  (Contributed by Mario Carneiro,
       6-Dec-2014.) $)
    ovrspc2v $p |- ( ( ( X e. A /\ Y e. B ) /\
      A. x e. A A. y e. B ( x F y ) e. C ) -> ( X F Y ) e. C ) $=
      ( cv co wcel wceq oveq1 eleq1d oveq2 rspc2va ) AIZBIZFJZEKGHFJZEKGRFJZEKA
      BGHCDQGLSUAEQGRFMNRHLUATERHGFONP $.

    oveqrspc2v.1 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) ->
                         ( x F y ) = ( x G y ) ) $.
    $( Restricted specialization of operands, using implicit substitution.
       (Contributed by Mario Carneiro, 6-Dec-2014.) $)
    oveqrspc2v $p |- ( ( ph /\ ( X e. A /\ Y e. B ) ) ->
                         ( X F Y ) = ( X G Y ) ) $=
      ( cv co wceq wral wcel wa ralrimivva oveq1 eqeq12d oveq2 rspc2v mpan9 ) A
      BKZCKZFLZUCUDGLZMZCENBDNHDOIEOPHIFLZHIGLZMZAUGBCDEJQUGUJHUDFLZHUDGLZMBCHI
      DEUCHMUEUKUFULUCHUDFRUCHUDGRSUDIMUKUHULUIUDIHFTUDIHGTSUAUB $.
  $}

  ${
    oveqdr.1 $e |- ( ph -> F = G ) $.
    $( Equality of two operations for any two operands.  Useful in proofs using
       *propd theorems.  (Contributed by Mario Carneiro, 29-Jun-2015.) $)
    oveqdr $p |- ( ( ph /\ ps ) -> ( x F y ) = ( x G y ) ) $=
      ( cv co wceq oveqd adantr ) ACHZDHZEIMNFIJBAEFMNGKL $.
  $}

  ${
    nfovd.2 $e |- ( ph -> F/_ x A ) $.
    nfovd.3 $e |- ( ph -> F/_ x F ) $.
    nfovd.4 $e |- ( ph -> F/_ x B ) $.
    $( Deduction version of bound-variable hypothesis builder ~ nfov .
       (Contributed by NM, 13-Dec-2005.)  (Proof shortened by Andrew Salmon,
       22-Oct-2011.) $)
    nfovd $p |- ( ph -> F/_ x ( A F B ) ) $=
      ( co cop cfv df-ov nfopd nffvd nfcxfrd ) ABCDEICDJZEKCDELABPEGABCDFHMNO
      $.
  $}

  ${
    nfov.1 $e |- F/_ x A $.
    nfov.2 $e |- F/_ x F $.
    nfov.3 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for operation value.  (Contributed by
       NM, 4-May-2004.) $)
    nfov $p |- F/_ x ( A F B ) $=
      ( co wnfc wtru a1i nfovd mptru ) ABCDHIJABCDABIJEKADIJFKACIJGKLM $.
  $}

  ${
    $d a ph r s t w $.  $d a r s t w x $.  $d a r s t w y $.  $d a r s t w z $.
    $d x y z $.
    $( The law of concretion.  Special case of Theorem 9.5 of [Quine] p. 61.
       Version of ~ oprabid with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by Mario Carneiro, 20-Mar-2013.)
       (Revised by Gino Giotto, 26-Jan-2024.) $)
    oprabidw $p |- ( <. <. x , y >. , z >. e.
        { <. <. x , y >. , z >. | ph } <-> ph ) $=
      ( vw va vt vr vs cv cop wceq wa wex wi vex weq 19.8a anim2i eximi eqvinop
      coprab opex biimpi eqeq1 opth1 syl6bi opeq1 eqeq2d w3a otth2 euequ eupick
      mpan syl6 3impd syl5bi df-3an bitri anbi1i anass 3bitri 3exbii nfe1 biidd
      weu wal drex1v syl5ibr 19.40 nfvd 19.9d anim1d syl56 pm2.61i exlimi excom
      3imtr4i 3syl sylbi syl11 eqcom bitrdi anbi1d 3exbidv imbi1d mpbiri adantr
      wn imbi12d exlimivv com3l mpdd mpcom ex impbid df-oprab elab2 ) EJZBJZCJZ
      KZDJZKZLZAMZDNZCNZBNZAEXDABCDUBXBXCUCXEXIAWSFJZGJZKZLZXLXDLZMZGNFNZXEXIAO
      ZXEXPFGWSXBXCWTXAUCDPZUAUDXOXEXQOZFGXMXSXNXMXEXJXBLZXQXMXEXNXTWSXLXDUEXJX
      KXBXCFPGPUFUGXTXMXEXQXTXJHJZIJZKZLZYCXBLZMZINHNXMXSOZHIXJWTXABPZCPZUAYFYG
      HIYDYGYEYDXMWSYCXKKZLZXSYDXLYJWSXJYCXKUHUIYKXSXDYJLZYLAMZDNCNBNZAOZOBHQZC
      IQZDGQZAMZDNZMZCNZMZBNZYLAYNYLYPYQYRUJZUUDAWTXAYAYBXCXKYHYIXRUKZUUDYPYQYR
      AUUDYPUUBYQYRAOZOYPBVFUUDYPUUBOBHULYPUUBBUMUNUUBYQYTUUGYQCVFUUBYQYTOCIULY
      QYTCUMUNYRDVFYTUUGDGULYRADUMUNUOUOUPUQYNYPYQYSMZMZDNZCNBNZUUDYMUUIBCDYMYP
      YQMZYRMZAMUULYSMUUIYLUUMAYLUUEUUMUUFYPYQYRURUSUTUULYRAVAYPYQYSVAVBVCUUKYP
      UUHDNZMZCNZBNZYPUUNCNZMZBNZUUDUUJBNZCNUUOBNZCNUUKUUQUVAUVBCUUJUVBBUUOBVDB
      DQBVGZUUJUVBOUUJUVBUVCUUODNUUIUUODUUHUUNYPUUHDRSTUUOUUOBDUVCUUOVEVHVIUUJY
      PDNZUUNMUVCWIZUUOUVBYPUUHDVJUVEUVDYPUUNYPUVEDUVEYPDVKVLVMUUOBRVNVOVPTUUJB
      CVQUUOBCVQVRUUPUUTBUUSBVDBCQBVGZUUPUUTOUUPUUTUVFUUSCNUUOUUSCUUNUURYPUUNCR
      STUUSUUSBCUVFUUSVEVHVIUUPYPCNZUURMUVFWIZUUSUUTYPUUNCVJUVHUVGYPUURYPUVHCUV
      HYPCVKVLVMUUSBRVNVOVPUUSUUCBUURUUBYPUUNUUBCUUACVDCDQCVGZUUNUUBOUUNUUBUVIU
      UADNUUHUUADYSYTYQYSDRSTUUAUUACDUVIUUAVEVHVIUUNYQDNZYTMUVIWIZUUAUUBYQYSDVJ
      UVKUVJYQYTYQUVKDUVKYQDVKVLVMUUACRVNVOVPSTVSVTWAYKXEYLXQYOYKXEYJXDLYLWSYJX
      DUEYJXDWBWCZYKXIYNAYKXFYMBCDYKXEYLAUVLWDWEWFWJWGUGWHWKVTWLWMWHWKWNXEAXIXF
      XGXHXIXFDRXGCRXHBRVSWOWPABCDEWQWR $.
    $( $j usage 'oprabidw' avoids 'ax-13'; $)
  $}

  ${
    $d a ph r s t w $.  $d a r s t w x $.  $d a r s t w y $.  $d a r s t w z $.
    $( The law of concretion.  Special case of Theorem 9.5 of [Quine] p. 61.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       Use the weaker ~ oprabidw when possible.  (Contributed by Mario
       Carneiro, 20-Mar-2013.)  (New usage is discouraged.) $)
    oprabid $p |- ( <. <. x , y >. , z >. e.
        { <. <. x , y >. , z >. | ph } <-> ph ) $=
      ( vw va vt vr vs cv cop wceq wa wex wi vex weq weu euequ eupick eqeq1 w3a
      coprab opex biimpi opth1 syl6bi opeq1 eqeq2d otth2 mpan syl6 3impd syl5bi
      eqvinop df-3an bitri anbi1i anass 3bitri 3exbii wal wn nfcvf2 nfcvd nfeqd
      exdistrf eximi excom 3imtr4i anim2i 3syl sylbi syl11 eqcom bitrdi 3exbidv
      anbi1d imbi1d imbi12d mpbiri adantr exlimivv com3l mpdd mpcom ex df-oprab
      19.8a impbid elab2 ) EJZBJZCJZKZDJZKZLZAMZDNZCNZBNZAEWQABCDUCWOWPUDWRXBAW
      LFJZGJZKZLZXEWQLZMZGNFNZWRXBAOZWRXIFGWLWOWPWMWNUDDPZUOUEXHWRXJOZFGXFXLXGX
      FWRXCWOLZXJXFWRXGXMWLXEWQUAXCXDWOWPFPGPUFUGXMXFWRXJXMXCHJZIJZKZLZXPWOLZMZ
      INHNXFXLOZHIXCWMWNBPZCPZUOXSXTHIXQXTXRXQXFWLXPXDKZLZXLXQXEYCWLXCXPXDUHUIY
      DXLWQYCLZYEAMZDNCNBNZAOZOBHQZCIQZDGQZAMZDNZMCNZMZBNZYEAYGYEYIYJYKUBZYPAWM
      WNXNXOWPXDYAYBXKUJZYPYIYJYKAYPYIYNYJYKAOZOYIBRYPYIYNOBHSYIYNBTUKYNYJYMYSY
      JCRYNYJYMOCISYJYMCTUKYKDRYMYSDGSYKADTUKULULUMUNYGYIYJYLMZMZDNZCNBNZYPYFUU
      ABCDYFYIYJMZYKMZAMUUDYLMUUAYEUUEAYEYQUUEYRYIYJYKUPUQURUUDYKAUSYIYJYLUSUTV
      AUUCYIYTDNZMZCNBNZYIUUFCNZMZBNYPUUBBNZCNUUGBNZCNUUCUUHUUKUULCYIYTBDBDQBVB
      VCZDWMXNBDVDUUMDXNVEVFVGVHUUBBCVIUUGBCVIVJYIUUFBCBCQBVBVCZCWMXNBCVDUUNCXN
      VEVFVGUUJYOBUUIYNYIYJYLCDCDQCVBVCZDWNXOCDVDUUODXOVEVFVGVKVHVLVMVNYDWRYEXJ
      YHYDWRYCWQLYEWLYCWQUAYCWQVOVPZYDXBYGAYDWSYFBCDYDWRYEAUUPVRVQVSVTWAUGWBWCV
      MWDWEWBWCWFWRAXBWSWTXAXBWSDWIWTCWIXABWIVLWGWJABCDEWHWK $.
  $}

  $( The result of an operation is a set.  (Contributed by NM, 13-Mar-1995.) $)
  ovex $p |- ( A F B ) e. _V $=
    ( co cop df-ov fvexi ) ABCDABECABCFG $.

  ${
    ovexi.1 $e |- A = ( B F C ) $.
    $( The result of an operation is a set.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    ovexi $p |- A e. _V $=
      ( co cvv ovex eqeltri ) ABCDFGEBCDHI $.
  $}

  $( The result of an operation is a set.  (Contributed by Glauco Siliprandi,
     23-Oct-2021.) $)
  ovexd $p |- ( ph -> ( A F B ) e. _V ) $=
    ( co cvv wcel ovex a1i ) BCDEFGABCDHI $.

  $( The result of an operation value is always a subset of the union of the
     range.  (Contributed by Mario Carneiro, 12-Jan-2017.) $)
  ovssunirn $p |- ( X F Y ) C_ U. ran F $=
    ( co cop cfv crn cuni df-ov fvssunirn eqsstri ) BCADBCEZAFAGHBCAIALJK $.

  $( Operation value of the empty set.  (Contributed by AV, 15-May-2021.) $)
  0ov $p |- ( A (/) B ) = (/) $=
    ( c0 co cop cfv df-ov 0fv eqtri ) ABCDABEZCFCABCGJHI $.

  ${
    ovprc1.1 $e |- Rel dom F $.
    $( The value of an operation when the one of the arguments is a proper
       class.  Note: this theorem is dependent on our particular definitions of
       operation value, function value, and ordered pair.  (Contributed by
       Mario Carneiro, 26-Apr-2015.) $)
    ovprc $p |- ( -. ( A e. _V /\ B e. _V ) -> ( A F B ) = (/) ) $=
      ( cvv wcel wa wn co cop cfv c0 df-ov cdm wceq wbr df-br brrelex12i sylbir
      ndmfv nsyl5 eqtrid ) AEFBEFGZHABCIABJZCKZLABCMUDCNZFZUCUELOUGABUFPUCABUFQ
      ABUFDRSUDCTUAUB $.

    $( The value of an operation when the first argument is a proper class.
       (Contributed by NM, 16-Jun-2004.) $)
    ovprc1 $p |- ( -. A e. _V -> ( A F B ) = (/) ) $=
      ( cvv wcel wa co c0 wceq simpl ovprc nsyl5 ) AEFZBEFZGNABCHIJNOKABCDLM $.

    $( The value of an operation when the second argument is a proper class.
       (Contributed by Mario Carneiro, 26-Apr-2015.) $)
    ovprc2 $p |- ( -. B e. _V -> ( A F B ) = (/) ) $=
      ( cvv wcel wa co c0 wceq simpr ovprc nsyl5 ) AEFZBEFZGOABCHIJNOKABCDLM $.

    $( Reverse closure for an operation value.  (Contributed by Mario Carneiro,
       5-May-2015.) $)
    ovrcl $p |- ( C e. ( A F B ) -> ( A e. _V /\ B e. _V ) ) $=
      ( co wcel c0 wceq cvv wa n0i ovprc nsyl2 ) CABDFZGOHIAJGBJGKOCLABDEMN $.
  $}

  ${
    $d y A $.  $d y B $.  $d y C $.  $d y F $.  $d x y $.
    $( Move class substitution in and out of an operation.  (Contributed by NM,
       12-Nov-2005.)  (Revised by NM, 23-Aug-2018.) $)
    csbov123 $p |- [_ A / x ]_ ( B F C ) =
           ( [_ A / x ]_ B [_ A / x ]_ F [_ A / x ]_ C ) $=
      ( vy cvv wcel co csb cv csbeq1 oveq123d eqeq12d nfcsb1v csbeq1a c0 csbprc
      wceq cfv vex nfov weq csbief vtoclg wn cop df-ov fveq1d 0fv eqtr2id eqtrd
      eqtrdi pm2.61i ) BGHZABCDEIZJZABCJZABDJZABEJZIZSZAFKZUPJZAVCCJZAVCDJZAVCE
      JZIZSVBFBGVCBSZVDUQVHVAAVCBUPLVIVEURVFUSVGUTAVCBELAVCBCLAVCBDLMNAVCUPVHFU
      AAVEVFVGAVCCOAVCEOAVCDOUBAFUCCVEDVFEVGAVCEPAVCCPAVCDPMUDUEUOUFZUQQVAABUPR
      VJVAURUSUGZUTTZQURUSUTUHVJVLVKQTQVJVKUTQABERUIVKUJUMUKULUN $.
  $}

  ${
    $d x B $.  $d x C $.
    $( Move class substitution in and out of an operation.  (Contributed by NM,
       23-Aug-2018.) $)
    csbov $p |- [_ A / x ]_ ( B F C ) = ( B [_ A / x ]_ F C ) $=
      ( co csb csbov123 cvv wcel wceq csbconstg oveq12d wn c0 cop cfv 0fv df-ov
      oveqd 0ov 3eqtr4ri csbprc 3eqtr4a pm2.61i eqtri ) ABCDEFGABCGZABDGZABEGZF
      ZCDUIFZABCDEHBIJZUJUKKULUGCUHDUIABCILABDILMULNZUGUHOFZCDOFZUJUKCDPZOQOUOU
      NUPRCDOSUGUHUAUBUMUIOUGUHABEUCZTUMUIOCDUQTUDUEUF $.
  $}

  ${
    $d x F $.
    $( Move class substitution in and out of an operation.  (Contributed by NM,
       12-Nov-2005.) $)
    csbov12g $p |- ( A e. V ->
                 [_ A / x ]_ ( B F C ) = ( [_ A / x ]_ B F [_ A / x ]_ C ) ) $=
      ( wcel co csb csbov123 csbconstg oveqd eqtrid ) BFGZABCDEHIABCIZABDIZABEI
      ZHOPEHABCDEJNQEOPABEFKLM $.
  $}

  ${
    $d x C $.  $d x F $.
    $( Move class substitution in and out of an operation.  (Contributed by NM,
       12-Nov-2005.) $)
    csbov1g $p |- ( A e. V ->
                  [_ A / x ]_ ( B F C ) = ( [_ A / x ]_ B F C ) ) $=
      ( wcel co csb csbov12g csbconstg oveq2d eqtrd ) BFGZABCDEHIABCIZABDIZEHOD
      EHABCDEFJNPDOEABDFKLM $.
  $}

  ${
    $d x B $.  $d x F $.
    $( Move class substitution in and out of an operation.  (Contributed by NM,
       12-Nov-2005.) $)
    csbov2g $p |- ( A e. V ->
                  [_ A / x ]_ ( B F C ) = ( B F [_ A / x ]_ C ) ) $=
      ( wcel co csb csbov12g csbconstg oveq1d eqtrd ) BFGZABCDEHIABCIZABDIZEHCP
      EHABCDEFJNOCPEABCFKLM $.
  $}

  ${
    $d x A $.  $d x y B $.  $d x y C $.  $d y D $.  $d x y F $.  $d x y S $.
    $( A frequently used special case of ~ rspc2ev for operation values.
       (Contributed by NM, 21-Mar-2007.) $)
    rspceov $p |- ( ( C e. A /\ D e. B /\ S = ( C F D ) ) ->
                 E. x e. A E. y e. B S = ( x F y ) ) $=
      ( cv co wceq oveq1 eqeq2d oveq2 rspc2ev ) GAIZBIZHJZKGEFHJZKGEQHJZKABEFCD
      PEKRTGPEQHLMQFKTSGQFEHNMO $.
  $}

  ${
    elovimad.1 $e |- ( ph -> A e. C ) $.
    elovimad.2 $e |- ( ph -> B e. D ) $.
    elovimad.3 $e |- ( ph -> Fun F ) $.
    elovimad.4 $e |- ( ph -> ( C X. D ) C_ dom F ) $.
    $( Elementhood of the image set of an operation value.  (Contributed by
       Thierry Arnoux, 13-Mar-2017.) $)
    elovimad $p |- ( ph -> ( A F B ) e. ( F " ( C X. D ) ) ) $=
      ( co cop cfv cxp cima df-ov wcel opelxpd wfun cdm sseldd funfvima syl2anc
      wi mpd eqeltrid ) ABCFKBCLZFMZFDENZOZBCFPAUGUIQZUHUJQZABCDEGHRZAFSUGFTZQU
      KULUDIAUIUNUGJUMUAUIUGFUBUCUEUF $.
  $}

  $( Value of a binary operation expressed as a binary relation.  See also
     ~ fnbrfvb for functions on Cartesian products.  (Contributed by BJ,
     15-Feb-2022.) $)
  fnbrovb $p |- ( ( F Fn ( V X. W ) /\ ( A e. V /\ B e. W ) ) ->
                                     ( ( A F B ) = C <-> <. A , B >. F C ) ) $=
    ( co wceq cop cfv cxp wfn wcel wa wbr df-ov eqeq1i fnbrfvb2 syl5bb ) ABDGZC
    HABIZDJZCHDEFKLAEMBFMNNUACDOTUBCABDPQABCDEFRS $.

  $( Equivalence of operation value and ordered triple membership, analogous to
     ~ fnopfvb .  (Contributed by NM, 17-Dec-2008.)  (Revised by Mario
     Carneiro, 28-Apr-2015.)  (Proof shortened by BJ, 15-Feb-2022.) $)
  fnotovb $p |- ( ( F Fn ( A X. B ) /\ C e. A /\ D e. B ) ->
                                ( ( C F D ) = R <-> <. C , D , R >. e. F ) ) $=
    ( cxp wfn wcel co wceq cotp wb wa cop wbr fnbrovb df-br a1i df-ot eqcomi
    eleq1i 3bitrd 3impb ) FABGHZCAIZDBIZCDFJEKZCDELZFIZMUEUFUGNNZUHCDOZEFPZULEO
    ZFIZUJCDEFABQUMUOMUKULEFRSUOUJMUKUNUIFUIUNCDETUAUBSUCUD $.

  $( A collection of ordered pairs with an extension of a binary relation is a
     set.  (Contributed by Alexander van der Vekens, 1-Nov-2017.)  (Revised by
     BJ/AV, 20-Jun-2019.)  (Proof shortened by OpenAI, 25-Mar-2020.) $)
  opabbrex $p |- ( ( A. x A. y ( x R y -> ph ) /\ { <. x , y >. | ph } e. V )
                   -> { <. x , y >. | ( x R y /\ ps ) } e. _V ) $=
    ( cv wbr wi wal copab wcel wa simpr wss pm3.41 2alimi adantr ssopab2 syl
    ssexd ) CGDGEHZAIZDJCJZACDKZFLZMZUBBMZCDKZUEFUDUFNUGUHAIZDJCJZUIUEOUDUKUFUC
    UJCDUBBAPQRUHACDSTUA $.

  ${
    $d ph x $.  $d ph y $.
    opabresex2d.1 $e |- ( ( ph /\ x ( W ` G ) y ) -> ps ) $.
    opabresex2d.2 $e |- ( ph -> { <. x , y >. | ps } e. V ) $.
    $( Restrictions of a collection of ordered pairs of related elements are
       sets.  (Contributed by Alexander van der Vekens, 1-Nov-2017.)  (Revised
       by AV, 15-Jan-2021.) $)
    opabresex2d $p |- ( ph -> { <. x , y >. |
                                ( x ( W ` G ) y /\ th ) } e. _V ) $=
      ( cv cfv wbr wi wal copab wcel wa cvv ex alrimivv opabbrex syl2anc ) ADKE
      KFHLZMZBNZEODOBDEPGQUECRDEPSQAUFDEAUEBITUAJBCDEUDGUBUC $.
  $}

  ${
    $d F z $.  $d Z x y z $.  $d ph x y z $.  $d ps z $.
    fvmptopab.1 $e |- ( ( ph /\ z = Z ) -> ( ch <-> ps ) ) $.
    fvmptopab.2 $e |- ( ph -> { <. x , y >. | x ( F ` Z ) y } e. _V ) $.
    fvmptopab.3 $e |- M = ( z e. _V |-> { <. x , y >. |
                                             ( x ( F ` z ) y /\ ch ) } ) $.
    $( The function value of a mapping ` M ` to a restricted binary relation
       expressed as an ordered-pair class abstraction:  The restricted binary
       relation is a binary relation given as value of a function ` F `
       restricted by the condition ` ps ` .  (Contributed by AV, 31-Jan-2021.)
       (Revised by AV, 29-Oct-2021.) $)
    fvmptopab $p |- ( ph -> ( M ` Z )
                             = { <. x , y >. | ( x ( F ` Z ) y /\ ps ) } ) $=
      ( cvv wcel cfv cv wbr wa wal c0 copab wceq wi fveq2 breqd adantll anbi12d
      wb adantl opabbidv simpl id gen2 opabbrex sylancr fvmptd2 ex wn fvprc br0
      mtbiri intnanrd alrimivv opab0 sylibr eqtr4d a1d pm2.61i ) IMNZAIHOZDPZEP
      ZIGOZQZBRZDEUAZUBZUCVIAVQVIARZFIVKVLFPZGOZQZCRZDEUAVPMHMLVRVSIUBZRZWBVODE
      WDWAVNCBWCWAVNUHVRWCVTVMVKVLVSIGUDUEUIAWCCBUHVIJUFUGUJVIAUKVRVNVNUCZESDSV
      NDEUAMNZVPMNWEDEVNULUMAWFVIKUIVNBDEVMMUNUOUPUQVIURZVQAWGVJTVPIHUSWGVOURZE
      SDSVPTUBWGWHDEWGVNBWGVNVKVLTQVKVLUTWGVMTVKVLIGUSUEVAVBVCVODEVDVEVFVGVH $.
  $}

  ${
    $d A r s t u v w $.  $d B r s t u v w $.  $d F r s t u v w $.
    $( Condition for an operation to be one-to-one.  (Contributed by Jeff
       Madsen, 17-Jun-2010.) $)
    f1opr $p |- ( F : ( A X. B ) -1-1-> C <-> ( F : ( A X. B ) --> C /\
                          A. r e. A A. s e. B A. t e. A A. u e. B
                    ( ( r F s ) = ( t F u ) -> ( r = t /\ s = u ) ) ) ) $=
      ( vv vw cv cfv wceq weq wi wral wa co cop fveq2 cxp wf dff13 df-ov eqeq1d
      wf1 eqtr4di eqeq1 imbi12d ralbidv ralxp eqeq2d eqeq2 bitrdi 2ralbii bitri
      vex opth anbi2i ) CDUAZEFUFUTEFUBZIKZFLZJKZFLZMZIJNZOZJUTPZIUTPZQVAHKZGKZ
      FRZBKZAKZFRZMZHBNGANQZOZADPBCPZGDPHCPZQIJUTEFUCVJWAVAVJVMVEMZVKVLSZVDMZOZ
      JUTPZGDPHCPWAVIWFIHGCDVBWCMZVHWEJUTWGVFWBVGWDWGVCVMVEWGVCWCFLVMVBWCFTVKVL
      FUDUGUEVBWCVDUHUIUJUKWFVTHGCDWEVSJBACDVDVNVOSZMZWBVQWDVRWIVEVPVMWIVEWHFLV
      PVDWHFTVNVOFUDUGULWIWDWCWHMVRVDWHWCUMVKVLVNVOHUQGUQURUNUIUKUOUPUSUP $.
  $}

  ${
    brfvopab.1 $e |- ( X e. _V -> ( F ` X ) = { <. y , z >. | ph } ) $.
    $( The classes involved in a binary relation of a function value which is
       an ordered-pair class abstraction are sets.  (Contributed by AV,
       7-Jan-2021.) $)
    brfvopab $p |- ( A ( F ` X ) B -> ( X e. _V /\ A e. _V /\ B e. _V ) ) $=
      ( cvv wcel cfv wbr w3a wi wa copab breqd brabv syl6bi c0 imdistani 3anass
      sylibr ex wn wceq fvprc breq br0 pm2.21i syl pm2.61i ) GIJZDEGFKZLZUMDIJZ
      EIJZMZNZUMUOURUMUOOUMUPUQOZOURUMUOUTUMUODEABCPZLUTUMUNVADEHQABCDERSUAUMUP
      UQUBUCUDUMUEUNTUFZUSGFUGVBUODETLZURDEUNTUHVCURDEUIUJSUKUL $.
  $}

  ${
    $d x z w v $.  $d y z w v $.  $d w ph v $.
    $( Class abstraction for operations in terms of class abstraction of
       ordered pairs.  (Contributed by NM, 12-Mar-1995.) $)
    dfoprab2 $p |- { <. <. x , y >. , z >. | ph } =
                   { <. w , z >. | E. x E. y ( w = <. x , y >. /\ ph ) } $=
      ( vv cv cop wceq wa wex cab coprab copab excom exrot4 opeq1 3bitr3i bitri
      eqeq2d pm5.32ri anbi1i anass an32 exbii opex isseti 19.42v 3exbii 19.42vv
      mpbiran2 2exbii abbii df-oprab df-opab 3eqtr4i ) FGZBGZCGZHZDGZHZIZAJZDKC
      KBKZFLUQEGZVAHZIZVFUTIZAJZCKBKZJZDKEKZFLABCDMVKEDNVEVMFVHVJJZCKBKZEKDKZVO
      DKEKVEVMVODEOVPVNEKZDKCKBKVEVNDEBCPVQVDBCDVQVDVIJZEKZVDVNVREVHVIJZAJVCVIJ
      ZAJVNVRVTWAAVIVHVCVIVGVBUQVFUTVAQTUAUBVHVIAUCVCVIAUDRUEVSVDVIEKEUTURUSUFU
      GVDVIEUHUKSUISVOVLEDVHVJBCUJULRUMABCDFUNVKEDFUOUP $.

    $( An operation class abstraction is a relation.  (Contributed by NM,
       16-Jun-2004.) $)
    reloprab $p |- Rel { <. <. x , y >. , z >. | ph } $=
      ( vw cv cop wceq wa wex coprab dfoprab2 relopabiv ) EFBFCFGHAICJBJEDABCDK
      ABCDELM $.
  $}

  ${
    $d X w x y z $.  $d Y w x y z $.  $d Z w x y z $.  $d ph w $.
    $( If a pair and a class are in a relationship given by a class abstraction
       of a collection of nested ordered pairs, the involved classes are sets.
       (Contributed by Alexander van der Vekens, 8-Jul-2018.) $)
    oprabv $p |- ( <. X , Y >. { <. <. x , y >. , z >. | ph } Z
                   -> ( X e. _V /\ Y e. _V /\ Z e. _V ) ) $=
      ( vw cop cvv wcel wa wi cv wceq wex nfcv nfeq1 nfan nfex wbr w3a reloprab
      coprab brrelex12i df-br copab wsbc opex nfv nfsbc1v eqeq1 2exbidv sbceq1a
      anbi1d anbi2d opelopabgf mpan eqcom vex opth bitri eqvisset anim12i sylbi
      wb adantr exlimivv anim1i df-3an sylibr expcom sylbid com12 eleq2s adantl
      dfoprab2 mpcom ) EFIZJKZGJKZLVSGABCDUDZUAZEJKZFJKZWAUBZVSGWBABCDUCUEWAWCW
      FMVTWCWAWFWCVSGIZWBKWAWFMZVSGWBUFWHWGHNZBNZCNZIZOZALZCPBPZHDUGZWBWAWGWPKZ
      WFWAWQVSWLOZADGUHZLZCPZBPZWFVTWAWQXBVFEFUIWOWRALZCPZBPXBHDVSGJJXDHBXCHCWR
      AHHVSWLHVSQRAHUJSTTXADBWTDCWRWSDDVSWLDVSQRADGUKSTTWIVSOZWNXCBCXEWMWRAWIVS
      WLULUOUMDNGOZXCWTBCXFAWSWRADGUNUPUMUQURXBWAWFXBWALWDWELZWALWFXBXGWAWTXGBC
      WRXGWSWRWJEOZWKFOZLZXGWRWLVSOXJVSWLUSWJWKEFBUTCUTVAVBXHWDXIWEBEVCCFVCVDVE
      VGVHVIWDWEWAVJVKVLVMVNABCDHVQVOVEVNVPVR $.
  $}

$(
  @{
    @d x y z w v @.  @d ph v @.
    dfoprab2f.1 @e |- ( ph -> A. w ph ) @.
    @( Class abstraction for operations in terms of class abstraction of
       ordered pairs.  This is a version of ~ dfoprab2 with bound-variable
       hypothesis instead of distinct variable requirement. @)
    dfoprab2f @p |- { <. <. x , y >. , z >. | ph } =
                   { <. w , z >. | E. x E. y ( w = <. x , y >. /\ ph ) } @=
      ( vv coprab cv cop wceq wa wex copab dfoprab2 ax-5 hban hbex weq
      eqeq1 anbi1d 2exbidv cbvopab1
      eqtri ) ABCDHGIZBICIJZKZALZCMZBMZGDNEIZUFKZALZCMBM
      ZEDNABCDGOUJUNGDEUIEBUHECUGAEUGEPFQRRUNGPGESZUHUMBCUOUGULAUEUKUFTUAUBUCUD
      @.
  @}
$)

  ${
    $d w x $.  $d w y $.  $d w z $.  $d w ph $.
    $( The abstraction variables in an operation class abstraction are not
       free.  (Contributed by NM, 25-Apr-1995.)  (Revised by David Abernethy,
       19-Jun-2012.) $)
    nfoprab1 $p |- F/_ x { <. <. x , y >. , z >. | ph } $=
      ( vw coprab cv cop wceq wa wex cab df-oprab nfe1 nfab nfcxfr ) BABCDFEGBG
      CGHDGHIAJDKCKZBKZELABCDEMRBEQBNOP $.

    $( The abstraction variables in an operation class abstraction are not
       free.  (Contributed by NM, 25-Apr-1995.)  (Revised by David Abernethy,
       30-Jul-2012.) $)
    nfoprab2 $p |- F/_ y { <. <. x , y >. , z >. | ph } $=
      ( vw coprab cv cop wceq wa wex cab df-oprab nfe1 nfex nfab nfcxfr ) CABCD
      FEGBGCGHDGHIAJDKZCKZBKZELABCDEMTCESCBRCNOPQ $.

    $( The abstraction variables in an operation class abstraction are not
       free.  (Contributed by NM, 22-Aug-2013.) $)
    nfoprab3 $p |- F/_ z { <. <. x , y >. , z >. | ph } $=
      ( vw coprab cv cop wceq wa wex cab df-oprab nfe1 nfex nfab nfcxfr ) DABCD
      FEGBGCGHDGHIAJZDKZCKZBKZELABCDEMUADETDBSDCRDNOOPQ $.
  $}

  ${
    $d v w x $.  $d v w y $.  $d v w z $.  $d v ph $.
    nfoprab.1 $e |- F/ w ph $.
    $( Bound-variable hypothesis builder for an operation class abstraction.
       (Contributed by NM, 22-Aug-2013.) $)
    nfoprab $p |- F/_ w { <. <. x , y >. , z >. | ph } $=
      ( vv coprab cv cop wceq wa wex cab df-oprab nfv nfan nfex nfab nfcxfr ) E
      ABCDHGIBICIJDIJKZALZDMZCMZBMZGNABCDGOUEEGUDEBUCECUBEDUAAEUAEPFQRRRST $.
  $}

  ${
    $d x z w $.  $d y z w $.  $d w ph $.  $d w ps $.  $d w ch $.
    oprabbid.1 $e |- F/ x ph $.
    oprabbid.2 $e |- F/ y ph $.
    oprabbid.3 $e |- F/ z ph $.
    oprabbid.4 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal operation class abstractions (deduction
       form).  (Contributed by NM, 21-Feb-2004.)  (Revised by Mario Carneiro,
       24-Jun-2014.) $)
    oprabbid $p |- ( ph ->
           { <. <. x , y >. , z >. | ps } = { <. <. x , y >. , z >. | ch } ) $=
      ( vw cv cop wceq wa wex cab coprab exbid df-oprab anbi2d abbidv 3eqtr4g )
      AKLDLELMFLMNZBOZFPZEPZDPZKQUDCOZFPZEPZDPZKQBDEFRCDEFRAUHULKAUGUKDGAUFUJEH
      AUEUIFIABCUDJUASSSUBBDEFKTCDEFKTUC $.
  $}

  ${
    $d x z w ph $.  $d y z w ph $.  $d w ps $.  $d w ch $.
    oprabbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal operation class abstractions (deduction
       form).  (Contributed by NM, 21-Feb-2004.) $)
    oprabbidv $p |- ( ph ->
           { <. <. x , y >. , z >. | ps } = { <. <. x , y >. , z >. | ch } ) $=
      ( vw cv cop wceq wa wex cab coprab anbi2d exbidv abbidv df-oprab 3eqtr4g
      ) AHIDIEIJFIJKZBLZFMZEMZDMZHNUACLZFMZEMZDMZHNBDEFOCDEFOAUEUIHAUDUHDAUCUGE
      AUBUFFABCUAGPQQQRBDEFHSCDEFHST $.
    $( $j usage 'oprabbidv' avoids 'ax-12'; $)
  $}

  ${
    $d x z w $.  $d y z w $.  $d w ph $.  $d w ps $.
    oprabbii.1 $e |- ( ph <-> ps ) $.
    $( Equivalent wff's yield equal operation class abstractions.  (Contributed
       by NM, 28-May-1995.)  (Revised by David Abernethy, 19-Jun-2012.) $)
    oprabbii $p |- { <. <. x , y >. , z >. | ph }
                 = { <. <. x , y >. , z >. | ps } $=
      ( vw cv wceq coprab eqid wb a1i oprabbidv ax-mp ) GHZPIZACDEJBCDEJIPKQABC
      DEABLQFMNO $.
  $}

  ${
    $d ph w $.  $d ps w $.  $d x w $.  $d y w $.  $d z w $.
    $( Equivalence of ordered pair abstraction subclass and implication.
       Compare ~ ssopab2 .  (Contributed by FL, 6-Nov-2013.)  (Proof shortened
       by Mario Carneiro, 11-Dec-2016.) $)
    ssoprab2 $p |- ( A. x A. y A. z ( ph -> ps ) ->
        { <. <. x , y >. , z >. | ph } C_ { <. <. x , y >. , z >. | ps } ) $=
      ( vw wi wal cv cop wceq wa wex cab coprab anim2d aleximi ss2abdv df-oprab
      id 3sstr4g ) ABGZEHZDHZCHZFICIDIJEIJKZALZEMZDMZCMZFNUFBLZEMZDMZCMZFNACDEO
      BCDEOUEUJUNFUDUIUMCUCUHULDUBUGUKEUBABUFUBTPQQQRACDEFSBCDEFSUA $.
  $}

  $( Equivalence of ordered pair abstraction subclass and implication.  Compare
     ~ ssopab2b .  Usage of this theorem is discouraged because it depends on
     ~ ax-13 .  (Contributed by FL, 6-Nov-2013.)  (Proof shortened by Mario
     Carneiro, 11-Dec-2016.)  (New usage is discouraged.) $)
  ssoprab2b $p |- ( { <. <. x , y >. , z >. | ph } C_
    { <. <. x , y >. , z >. | ps } <-> A. x A. y A. z ( ph -> ps ) ) $=
    ( coprab wss wi wal nfoprab1 nfss nfoprab2 nfoprab3 cv wcel oprabid 3imtr3g
    cop ssel alrimi ssoprab2 impbii ) ACDEFZBCDEFZGZABHZEIZDIZCIUEUHCCUCUDACDEJ
    BCDEJKUEUGDDUCUDACDELBCDELKUEUFEEUCUDACDEMBCDEMKUECNDNRENRZUCOUIUDOABUCUDUI
    SACDEPBCDEPQTTTABCDEUAUB $.

  ${
    $d x y z $.
    $( Equivalence of ordered pair abstraction subclass and biconditional.
       Version of ~ eqoprab2b with a disjoint variable condition, which does
       not require ~ ax-13 .  (Contributed by Mario Carneiro, 4-Jan-2017.)
       (Revised by Gino Giotto, 26-Jan-2024.) $)
    eqoprab2bw $p |- ( { <. <. x , y >. , z >. | ph } =
      { <. <. x , y >. , z >. | ps } <-> A. x A. y A. z ( ph <-> ps ) ) $=
      ( coprab wss wa wi wal nfoprab1 nfss nfoprab2 nfoprab3 wcel ssel oprabidw
      cv cop alrimi wceq wb 3imtr3g ssoprab2 impbii anbi12i 2albiim albii 19.26
      eqss bitri 3bitr4i ) ACDEFZBCDEFZGZUNUMGZHABIZEJZDJZCJZBAIZEJZDJZCJZHZUMU
      NUAABUBEJDJZCJZUOUTUPVDUOUTUOUSCCUMUNACDEKZBCDEKZLUOURDDUMUNACDEMZBCDEMZL
      UOUQEEUMUNACDENZBCDENZLUOCRDRSERSZUMOZVNUNOZABUMUNVNPACDEQZBCDEQZUCTTTABC
      DEUDUEUPVDUPVCCCUNUMVIVHLUPVBDDUNUMVKVJLUPVAEEUNUMVMVLLUPVPVOBAUNUMVNPVRV
      QUCTTTBACDEUDUEUFUMUNUJVGUSVCHZCJVEVFVSCABDEUGUHUSVCCUIUKUL $.
    $( $j usage 'eqoprab2bw' avoids 'ax-13'; $)
  $}

  $( Equivalence of ordered pair abstraction subclass and biconditional.
     Compare ~ eqopab2b .  Usage of this theorem is discouraged because it
     depends on ~ ax-13 .  Use the weaker ~ eqoprab2bw when possible.
     (Contributed by Mario Carneiro, 4-Jan-2017.)
     (New usage is discouraged.) $)
  eqoprab2b $p |- ( { <. <. x , y >. , z >. | ph } =
    { <. <. x , y >. , z >. | ps } <-> A. x A. y A. z ( ph <-> ps ) ) $=
    ( coprab wss wa wi wceq wb ssoprab2b anbi12i eqss 2albiim albii 19.26 bitri
    wal 3bitr4i ) ACDEFZBCDEFZGZUBUAGZHABIESDSZCSZBAIESDSZCSZHZUAUBJABKESDSZCSZ
    UCUFUDUHABCDELBACDELMUAUBNUKUEUGHZCSUIUJULCABDEOPUEUGCQRT $.

  ${
    $d x y z A $.  $d y z B $.  $d x y z D $.  $d y z E $.  $d z C $.
    $d z F $.
    $( An equality theorem for the maps-to notation.  (Contributed by Mario
       Carneiro, 16-Dec-2013.)  (Revised by Mario Carneiro, 19-Mar-2015.) $)
    mpoeq123 $p |- ( ( A = D /\ A. x e. A ( B = E /\ A. y e. B C = F ) ) ->
                 ( x e. A , y e. B |-> C ) = ( x e. D , y e. E |-> F ) ) $=
      ( vz wceq wral wa cv wcel coprab cmpo nfv nfra1 nfan wb nfcv nfralw eqeq2
      syl6 pm5.32d eleq2 anbi1d sylan9bbr anass 3bitr4g oprabbid df-mpo 3eqtr4g
      rsp ) CFJZDGJZEHJZBDKZLZACKZLZAMZCNZBMZDNZLIMZEJZLZABIOVBFNZVDGNZLVFHJZLZ
      ABIOABCDEPABFGHPVAVHVLABIUOUTAUOAQUSACRSUOUTBUOBQUSBACBCUAUPURBUPBQUQBDRS
      UBSVAIQVAVCVEVGLZLZVIVJVKLZLZVHVLUTVNVCVOLUOVPUTVCVMVOUTVCUSVMVOTUSACUNUR
      VMVEVKLUPVOURVEVGVKURVEUQVGVKTUQBDUNEHVFUCUDUEUPVEVJVKDGVDUFUGUHUDUEUOVCV
      IVOCFVBUFUGUHVCVEVGUIVIVJVKUIUJUKABICDEULABIFGHULUM $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.
    $( An equality theorem for the maps-to notation.  (Contributed by Mario
       Carneiro, 16-Dec-2013.) $)
    mpoeq12 $p |- ( ( A = C /\ B = D ) ->
                 ( x e. A , y e. B |-> E ) = ( x e. C , y e. D |-> E ) ) $=
      ( wceq wral wa cmpo eqid rgenw jctr ralrimivw mpoeq123 sylan2 ) DFHZCEHRG
      GHZBDIZJZACIABCDGKABEFGKHRUAACRTSBDGLMNOABCDGEFGPQ $.
  $}

  ${
    $d z A $.  $d z B $.  $d z C $.  $d z D $.  $d z E $.  $d x z ph $.
    $d z F $.  $d y z ph $.
    mpoeq123dv.1 $e |- ( ph -> A = D ) $.
    ${
      mpoeq123dva.2 $e |- ( ( ph /\ x e. A ) -> B = E ) $.
      mpoeq123dva.3 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> C = F ) $.
      $( An equality deduction for the maps-to notation.  (Contributed by Mario
         Carneiro, 26-Jan-2017.) $)
      mpoeq123dva $p |- ( ph
              -> ( x e. A , y e. B |-> C ) = ( x e. D , y e. E |-> F ) ) $=
        ( vz cv wcel wa wceq coprab cmpo pm5.32da eqeq2d eleq2d bitrd oprabbidv
        anbi1d df-mpo 3eqtr4g ) ABNZDOZCNZEOZPZMNZFQZPZBCMRUHGOZUJHOZPZUMIQZPZB
        CMRBCDEFSBCGHISAUOUTBCMAUOULUSPUTAULUNUSAULPFIUMLUATAULURUSAULUIUQPURAU
        IUKUQAUIPEHUJKUBTAUIUPUQADGUHJUBUEUCUEUCUDBCMDEFUFBCMGHIUFUG $.
    $}

    mpoeq123dv.2 $e |- ( ph -> B = E ) $.
    mpoeq123dv.3 $e |- ( ph -> C = F ) $.
    $( An equality deduction for the maps-to notation.  (Contributed by NM,
       12-Sep-2011.) $)
    mpoeq123dv $p |- ( ph
            -> ( x e. A , y e. B |-> C ) = ( x e. D , y e. E |-> F ) ) $=
      ( wceq cv wcel adantr wa mpoeq123dva ) ABCDEFGHIJAEHMBNDOZKPAFIMSCNEOQLPR
      $.
  $}

  ${
    mpoeq123i.1 $e |- A = D $.
    mpoeq123i.2 $e |- B = E $.
    mpoeq123i.3 $e |- C = F $.
    $( An equality inference for the maps-to notation.  (Contributed by NM,
       15-Jul-2013.) $)
    mpoeq123i $p |- ( x e. A , y e. B |-> C ) = ( x e. D , y e. E |-> F ) $=
      ( cmpo wceq wtru a1i mpoeq123dv mptru ) ABCDELABFGHLMNABCDEFGHCFMNIODGMNJ
      OEHMNKOPQ $.
  $}

  ${
    $d x z ph $.  $d y z ph $.  $d z A $.  $d z B $.  $d z C $.  $d z D $.
    mpoeq3dva.1 $e |- ( ( ph /\ x e. A /\ y e. B ) -> C = D ) $.
    $( Slightly more general equality inference for the maps-to notation.
       (Contributed by NM, 17-Oct-2013.) $)
    mpoeq3dva $p |- ( ph -> ( x e. A , y e. B |-> C )
              = ( x e. A , y e. B |-> D ) ) $=
      ( vz cv wcel wa wceq coprab cmpo 3expb eqeq2d pm5.32da oprabbidv df-mpo
      3eqtr4g ) ABJDKZCJEKZLZIJZFMZLZBCINUDUEGMZLZBCINBCDEFOBCDEGOAUGUIBCIAUDUF
      UHAUDLFGUEAUBUCFGMHPQRSBCIDEFTBCIDEGTUA $.
  $}

  ${
    mpoeq3ia.1 $e |- ( ( x e. A /\ y e. B ) -> C = D ) $.
    $( An equality inference for the maps-to notation.  (Contributed by Mario
       Carneiro, 16-Dec-2013.) $)
    mpoeq3ia $p |- ( x e. A , y e. B |-> C ) = ( x e. A , y e. B |-> D ) $=
      ( cmpo wceq wtru cv wcel 3adant1 mpoeq3dva mptru ) ABCDEHABCDFHIJABCDEFAK
      CLBKDLEFIJGMNO $.
  $}

  ${
    $d ph x $.  $d ph y $.
    mpoeq3dv.1 $e |- ( ph -> C = D ) $.
    $( An equality deduction for the maps-to notation restricted to the value
       of the operation.  (Contributed by SO, 16-Jul-2018.) $)
    mpoeq3dv $p |- ( ph -> ( x e. A , y e. B |-> C ) =
        ( x e. A , y e. B |-> D ) ) $=
      ( cv wcel wceq 3ad2ant1 mpoeq3dva ) ABCDEFGABIDJFGKCIEJHLM $.
  $}

  ${
    $d z A $.  $d z B $.  $d z C $.  $d z x $.  $d z y $.
    $( Bound-variable hypothesis builder for an operation in maps-to notation.
       (Contributed by NM, 27-Aug-2013.) $)
    nfmpo1 $p |- F/_ x ( x e. A , y e. B |-> C ) $=
      ( vz cmpo cv wcel wa wceq coprab df-mpo nfoprab1 nfcxfr ) AABCDEGAHCIBHDI
      JFHEKJZABFLABFCDEMPABFNO $.

    $( Bound-variable hypothesis builder for an operation in maps-to notation.
       (Contributed by NM, 27-Aug-2013.) $)
    nfmpo2 $p |- F/_ y ( x e. A , y e. B |-> C ) $=
      ( vz cmpo cv wcel wa wceq coprab df-mpo nfoprab2 nfcxfr ) BABCDEGAHCIBHDI
      JFHEKJZABFLABFCDEMPABFNO $.
  $}

  ${
    $d w x z $.  $d w y z $.  $d w A $.  $d w B $.  $d w C $.
    nfmpo.1 $e |- F/_ z A $.
    nfmpo.2 $e |- F/_ z B $.
    nfmpo.3 $e |- F/_ z C $.
    $( Bound-variable hypothesis builder for the maps-to notation.
       (Contributed by NM, 20-Feb-2013.) $)
    nfmpo $p |- F/_ z ( x e. A , y e. B |-> C ) $=
      ( vw cmpo cv wcel wa wceq coprab df-mpo nfcri nfan nfeq2 nfoprab nfcxfr )
      CABDEFKALDMZBLEMZNZJLZFOZNZABJPABJDEFQUHABJCUEUGCUCUDCCADGRCBEHRSCUFFITSU
      AUB $.
  $}

  ${
    $d A w y z v $.  $d A w x z $.  $d B w x z v $.  $d B w y z $.
    $d C w z v $.
    $( A mapping operation with empty domain is empty.  Generalization of
       ~ mpo0 .  (Contributed by AV, 27-Jan-2024.) $)
    0mpo0 $p |- ( ( A = (/) \/ B = (/) )
                  -> ( x e. A , y e. B |-> C ) = (/) ) $=
      ( vz vw vv c0 wceq wo cv cop wcel wa wex wn nel02 sylibr nexdv cab coprab
      cmpo df-mpo df-oprab eqtri orim12i ianor simprl nsyl alrimiv eqeq1 anbi1d
      wal weq 3exbidv ab0w eqtrid ) CIJZDIJZKZABCDEUCZFLZALZBLZMGLZMZJZVDCNZVED
      NZOZVFEJZOZOZGPBPAPZFUAZIVBVMABGUBVPABGCDEUDVMABGFUEUFVAHLZVGJZVMOZGPZBPZ
      APZQZHUNVPIJVAWCHVAWAAVAVTBVAVSGVAVKVSVAVIQZVJQZKVKQUSWDUTWECVDRDVERUGVIV
      JUHSVRVKVLUIUJTTTUKVOWBFHFHUOZVNVSABGWFVHVRVMVCVQVGULUMUPUQSUR $.
  $}

  ${
    $d B x $.  $d B y $.
    $( A mapping operation with empty domain.  (Contributed by Stefan O'Rear,
       29-Jan-2015.)  (Revised by Mario Carneiro, 15-May-2015.)  (Proof
       shortened by AV, 27-Jan-2024.) $)
    mpo0v $p |- ( x e. (/) , y e. B |-> C ) = (/) $=
      ( c0 wceq wo cmpo eqid orci 0mpo0 ax-mp ) EEFZCEFZGABECDHEFMNEIJABECDKL
      $.
  $}

  ${
    $d w x z $.  $d w y z $.  $d w z B $.  $d w z C $.
    $( A mapping operation with empty domain.  In this version of ~ mpo0v , the
       class of the second operator may depend on the first operator.
       (Contributed by Stefan O'Rear, 29-Jan-2015.)  (Revised by Mario
       Carneiro, 15-May-2015.) $)
    mpo0 $p |- ( x e. (/) , y e. B |-> C ) = (/) $=
      ( vz vw c0 cmpo cv wcel wceq coprab cop wex cab df-mpo df-oprab noel nex
      wa simprll mto abf 3eqtri ) ABGCDHAIZGJZBIZCJZTEIZDKZTZABELFIUEUGMUIMKZUK
      TZENZBNZANZFOGABEGCDPUKABEFQUPFUOAUNBUMEUMUFUERULUFUHUJUAUBSSSUCUD $.
  $}

  ${
    $d x y z $.
    $( Two ways to state the domain of an operation.  (Contributed by FL,
       24-Jan-2010.) $)
    oprab4 $p |-
      { <. <. x , y >. , z >. | ( <. x , y >. e. ( A X. B ) /\ ph ) } =
        { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B ) /\ ph ) } $=
      ( cv cop cxp wcel wa opelxp anbi1i oprabbii ) BGZCGZHEFIJZAKOEJPFJKZAKBCD
      QRAOPEFLMN $.
  $}

  ${
    $d x y z w v $.  $d v ph $.  $d v ps $.
    cbvoprab1.1 $e |- F/ w ph $.
    cbvoprab1.2 $e |- F/ x ps $.
    cbvoprab1.3 $e |- ( x = w -> ( ph <-> ps ) ) $.
    $( Rule used to change first bound variable in an operation abstraction,
       using implicit substitution.  (Contributed by NM, 20-Dec-2008.)
       (Revised by Mario Carneiro, 5-Dec-2016.) $)
    cbvoprab1 $p |- { <. <. x , y >. , z >. | ph }
                  = { <. <. w , y >. , z >. | ps } $=
      ( vv cv cop wceq wa wex copab coprab nfv nfan nfex eqeq2d anbi12d cbvexv1
      opeq1 exbidv opabbii dfoprab2 3eqtr4i ) JKZCKZDKZLZMZANZDOZCOZJEPUIFKZUKL
      ZMZBNZDOZFOZJEPACDEQBFDEQUPVBJEUOVACFUNFDUMAFUMFRGSTUTCDUSBCUSCRHSTUJUQMZ
      UNUTDVCUMUSABVCULURUIUJUQUKUDUAIUBUEUCUFACDEJUGBFDEJUGUH $.
  $}

  ${
    $d v w x y z $.  $d ph v $.  $d ps v $.
    cbvoprab2.1 $e |- F/ w ph $.
    cbvoprab2.2 $e |- F/ y ps $.
    cbvoprab2.3 $e |- ( y = w -> ( ph <-> ps ) ) $.
    $( Change the second bound variable in an operation abstraction.
       (Contributed by Jeff Madsen, 11-Jun-2010.)  (Revised by Mario Carneiro,
       11-Dec-2016.) $)
    cbvoprab2 $p |- { <. <. x , y >. , z >. | ph } =
                    { <. <. x , w >. , z >. | ps } $=
      ( vv cv cop wceq wa wex cab coprab nfv nfan nfex opeq2 opeq1d exbii abbii
      eqeq2d anbi12d exbidv cbvexv1 df-oprab 3eqtr4i ) JKZCKZDKZLZEKZLZMZANZEOZ
      DOZCOZJPUKULFKZLZUOLZMZBNZEOZFOZCOZJPACDEQBCFEQVAVIJUTVHCUSVGDFURFEUQAFUQ
      FRGSTVFDEVEBDVEDRHSTUMVBMZURVFEVJUQVEABVJUPVDUKVJUNVCUOUMVBULUAUBUEIUFUGU
      HUCUDACDEJUIBCFEJUIUJ $.
  $}

  ${
    $d x y z w v u $.  $d u ph $.  $d u ps $.
    cbvoprab12.1 $e |- F/ w ph $.
    cbvoprab12.2 $e |- F/ v ph $.
    cbvoprab12.3 $e |- F/ x ps $.
    cbvoprab12.4 $e |- F/ y ps $.
    cbvoprab12.5 $e |- ( ( x = w /\ y = v ) -> ( ph <-> ps ) ) $.
    $( Rule used to change first two bound variables in an operation
       abstraction, using implicit substitution.  (Contributed by NM,
       21-Feb-2004.)  (Proof shortened by Andrew Salmon, 22-Oct-2011.) $)
    cbvoprab12 $p |- { <. <. x , y >. , z >. | ph }
                   = { <. <. w , v >. , z >. | ps } $=
      ( vu cv cop wceq wa wex nfv nfan anbi12d cbvex2v opabbii dfoprab2 3eqtr4i
      copab coprab opeq12 eqeq2d ) MNZCNZDNZOZPZAQZDRCRZMEUFUJFNZGNZOZPZBQZGRFR
      ZMEUFACDEUGBFGEUGUPVBMEUOVACDFGUNAFUNFSHTUNAGUNGSITUTBCUTCSJTUTBDUTDSKTUK
      UQPULURPQZUNUTABVCUMUSUJUKULUQURUHUILUAUBUCACDEMUDBFGEMUDUE $.
  $}

  ${
    $d x y z w v $.  $d w v ph $.  $d x y ps $.
    cbvoprab12v.1 $e |- ( ( x = w /\ y = v ) -> ( ph <-> ps ) ) $.
    $( Rule used to change first two bound variables in an operation
       abstraction, using implicit substitution.  (Contributed by NM,
       8-Oct-2004.) $)
    cbvoprab12v $p |- { <. <. x , y >. , z >. | ph }
                    = { <. <. w , v >. , z >. | ps } $=
      ( nfv cbvoprab12 ) ABCDEFGAFIAGIBCIBDIHJ $.
  $}

  ${
    $d x z w v $.  $d y z w v $.  $d v ph $.  $d v ps $.
    cbvoprab3.1 $e |- F/ w ph $.
    cbvoprab3.2 $e |- F/ z ps $.
    cbvoprab3.3 $e |- ( z = w -> ( ph <-> ps ) ) $.
    $( Rule used to change the third bound variable in an operation
       abstraction, using implicit substitution.  (Contributed by NM,
       22-Aug-2013.) $)
    cbvoprab3 $p |- { <. <. x , y >. , z >. | ph } =
                     { <. <. x , y >. , w >. | ps } $=
      ( vv cv wceq wa wex copab coprab nfv nfan nfex dfoprab2 2exbidv cbvopab2
      cop anbi2d 3eqtr4i ) JKCKDKUCLZAMZDNZCNZJEOUFBMZDNZCNZJFOACDEPBCDFPUIULJE
      FUHFCUGFDUFAFUFFQGRSSUKECUJEDUFBEUFEQHRSSEKFKLZUGUJCDUMABUFIUDUAUBACDEJTB
      CDFJTUE $.
  $}

  ${
    $d x z w $.  $d y z w $.  $d w ph $.  $d z ps $.
    cbvoprab3v.1 $e |- ( z = w -> ( ph <-> ps ) ) $.
    $( Rule used to change the third bound variable in an operation
       abstraction, using implicit substitution.  (Contributed by NM,
       8-Oct-2004.)  (Revised by David Abernethy, 19-Jun-2012.) $)
    cbvoprab3v $p |- { <. <. x , y >. , z >. | ph } =
                     { <. <. x , y >. , w >. | ps } $=
      ( nfv cbvoprab3 ) ABCDEFAFHBEHGI $.
  $}

  ${
    $d u w x y z $.  $d u w x y z A $.  $d u w B $.  $d u C $.  $d u y D $.
    $d u E $.
    cbvmpox.1 $e |- F/_ z B $.
    cbvmpox.2 $e |- F/_ x D $.
    cbvmpox.3 $e |- F/_ z C $.
    cbvmpox.4 $e |- F/_ w C $.
    cbvmpox.5 $e |- F/_ x E $.
    cbvmpox.6 $e |- F/_ y E $.
    cbvmpox.7 $e |- ( x = z -> B = D ) $.
    cbvmpox.8 $e |- ( ( x = z /\ y = w ) -> C = E ) $.
    $( Rule to change the bound variable in a maps-to function, using implicit
       substitution.  This version of ~ cbvmpo allows ` B ` to be a function of
       ` x ` .  (Contributed by NM, 29-Dec-2014.) $)
    cbvmpox $p |- ( x e. A , y e. B |-> C ) = ( z e. A , w e. D |-> E ) $=
      ( vu cv nfan wcel wceq coprab cmpo nfv nfcri nfeq2 nfcv weq eleq1w adantr
      wa wb eleq2d sylan9bb anbi12d eqeq2d cbvoprab12 df-mpo 3eqtr4i ) ASEUAZBS
      ZFUAZULZRSZGUBZULZABRUCCSEUAZDSHUAZULZVEIUBZULZCDRUCABEFGUDCDEHIUDVGVLABR
      CDVDVFCVAVCCVACUECBFJUFTCVEGLUGTVDVFDVAVCDVADUEDBFDFUHUFTDVEGMUGTVJVKAVHV
      IAVHAUEADHKUFTAVEINUGTVJVKBVJBUEBVEIOUGTACUIZBDUIZULZVDVJVFVKVOVAVHVCVIVM
      VAVHUMVNACEUJUKVMVCVBHUAVNVIVMFHVBPUNBDHUJUOUPVOGIVEQUQUPURABREFGUSCDREHI
      USUT $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.
    cbvmpo.1 $e |- F/_ z C $.
    cbvmpo.2 $e |- F/_ w C $.
    cbvmpo.3 $e |- F/_ x D $.
    cbvmpo.4 $e |- F/_ y D $.
    cbvmpo.5 $e |- ( ( x = z /\ y = w ) -> C = D ) $.
    $( Rule to change the bound variable in a maps-to function, using implicit
       substitution.  (Contributed by NM, 17-Dec-2013.) $)
    cbvmpo $p |- ( x e. A , y e. B |-> C ) = ( z e. A , w e. B |-> D ) $=
      ( nfcv weq eqidd cbvmpox ) ABCDEFGFHCFNAFNIJKLACOFPMQ $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w z C $.  $d x y D $.
    cbvmpov.1 $e |- ( x = z -> C = E ) $.
    cbvmpov.2 $e |- ( y = w -> E = D ) $.
    $( Rule to change the bound variable in a maps-to function, using implicit
       substitution.  With a longer proof analogous to ~ cbvmpt , some distinct
       variable requirements could be eliminated.  (Contributed by NM,
       11-Jun-2013.) $)
    cbvmpov $p |- ( x e. A , y e. B |-> C ) = ( z e. A , w e. B |-> D ) $=
      ( nfcv weq sylan9eq cbvmpo ) ABCDEFGHCGLDGLAHLBHLACMBDMGIHJKNO $.
  $}

  ${
    elimdelov.1 $e |- ( ph -> C e. ( A F B ) ) $.
    elimdelov.2 $e |- Z e. ( X F Y ) $.
    $( Eliminate a hypothesis which is a predicate expressing membership in the
       result of an operator (deduction version).  (Contributed by Paul
       Chapman, 25-Mar-2008.) $)
    elimdelov $p |- if ( ph , C , Z ) e.
                     ( if ( ph , A , X ) F if ( ph , B , Y ) ) $=
      ( cif co wcel iftrue oveq12d 3eltr4d wn iffalse eqeltrdi eleqtrrd pm2.61i
      ) AADHKZABFKZACGKZELZMADBCELUBUEIADHNAUCBUDCEABFNACGNOPAQZUBFGELZUEUFUBHU
      GADHRJSUFUCFUDGEABFRACGROTUA $.
  $}

  $( Move a conditional outside of an operation.  (Contributed by Thierry
     Arnoux, 25-Jan-2017.) $)
  ovif $p |- ( if ( ph , A , B ) F C ) = if ( ph , ( A F C ) , ( B F C ) ) $=
    ( cif co oveq1 ifsb ) ABCABCFZDEGBDEGCDEGJBDEHJCDEHI $.

  $( Move a conditional outside of an operation.  (Contributed by Thierry
     Arnoux, 1-Oct-2018.) $)
  ovif2 $p |- ( A F if ( ph , B , C ) ) = if ( ph , ( A F B ) , ( A F C ) ) $=
    ( cif co oveq2 ifsb ) ACDBACDFZEGBCEGBDEGJCBEHJDBEHI $.

  $( Move a conditional outside of an operation.  (Contributed by Thierry
     Arnoux, 25-Jan-2017.) $)
  ovif12 $p |- ( if ( ph , A , B ) F if ( ph , C , D ) )
    = if ( ph , ( A F C ) , ( B F D ) ) $=
    ( cif co wceq iftrue oveq12d eqtr4d wn iffalse pm2.61i ) AABCGZADEGZFHZABDF
    HZCEFHZGZIARSUAAPBQDFABCJADEJKASTJLAMZRTUAUBPCQEFABCNADENKASTNLO $.

  $( Move a conditional outside of an operation.  (Contributed by AV,
     11-Nov-2019.) $)
  ifov $p |- ( A if ( ph , F , G ) B ) = if ( ph , ( A F B ) , ( A G B ) ) $=
    ( cif co oveq ifsb ) ADEBCADEFZGBCDGBCEGBCJDHBCJEHI $.

  ${
    $d x z w $.  $d y z w $.  $d w ph $.
    $( The domain of an operation class abstraction.  (Contributed by NM,
       17-Mar-1995.)  (Revised by David Abernethy, 19-Jun-2012.) $)
    dmoprab $p |- dom { <. <. x , y >. , z >. | ph } =
                  { <. x , y >. | E. z ph } $=
      ( vw coprab cdm cv cop wceq wa wex copab cab dfoprab2 dmeqi dmopab exrot3
      19.42v 2exbii bitri abbii df-opab eqtr4i 3eqtri ) ABCDFZGEHBHCHIJZAKZCLBL
      ZEDMZGUIDLZENZADLZBCMZUFUJABCDEOPUIEDQULUGUMKZCLBLZENUNUKUPEUKUHDLZCLBLUP
      UHDBCRUQUOBCUGADSTUAUBUMBCEUCUDUE $.
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( The domain of an operation class abstraction.  (Contributed by NM,
       24-Aug-1995.) $)
    dmoprabss $p |- dom { <. <. x , y >. , z >. |
           ( ( x e. A /\ y e. B ) /\ ph ) } C_ ( A X. B ) $=
      ( cv wcel wa coprab cdm wex copab dmoprab 19.42v opabbii opabssxp eqsstri
      cxp ) BGEHCGFHIZAIZBCDJKUADLZBCMZEFSZUABCDNUCTADLZIZBCMUDUBUFBCTADOPUEBCE
      FQRR $.
  $}

  ${
    $d x z w $.  $d y z w $.  $d w ph $.
    $( The range of an operation class abstraction.  (Contributed by NM,
       30-Aug-2004.)  (Revised by David Abernethy, 19-Apr-2013.) $)
    rnoprab $p |- ran { <. <. x , y >. , z >. | ph } =
                  { z | E. x E. y ph } $=
      ( vw coprab crn cv cop wceq wa wex copab cab dfoprab2 rneqi rnopab exrot3
      opex isseti 19.41v mpbiran 2exbii bitri abbii 3eqtri ) ABCDFZGEHBHZCHZIZJ
      ZAKZCLBLZEDMZGUMELZDNACLBLZDNUGUNABCDEOPUMEDQUOUPDUOULELZCLBLUPULEBCRUQAB
      CUQUKELAEUJUHUISTUKAEUAUBUCUDUEUF $.
  $}

  ${
    $d A y $.  $d x y z $.
    $( The range of a restricted operation class abstraction.  (Contributed by
       Scott Fenton, 21-Mar-2012.) $)
    rnoprab2 $p |- ran { <. <. x , y >. , z >. |
                          ( ( x e. A /\ y e. B ) /\ ph ) } =
                    { z | E. x e. A E. y e. B ph } $=
      ( cv wcel wa coprab crn wex cab wrex rnoprab r2ex abbii eqtr4i ) BGEHCGFH
      IAIZBCDJKSCLBLZDMACFNBENZDMSBCDOUATDABCEFPQR $.
  $}

  ${
    $d x y z $.
    $( The domain of an operation class abstraction is a relation.
       (Contributed by NM, 17-Mar-1995.) $)
    reldmoprab $p |- Rel dom { <. <. x , y >. , z >. | ph } $=
      ( wex coprab cdm dmoprab relopabiv ) ADEBCABCDFGABCDHI $.

    $( Structure of an operation class abstraction.  (Contributed by NM,
       28-Nov-2006.) $)
    oprabss $p |- { <. <. x , y >. , z >. | ph } C_ ( ( _V X. _V ) X. _V ) $=
      ( coprab cdm crn cxp wrel reloprab relssdmrn ax-mp reldmoprab df-rel mpbi
      cvv wss ssv xpss12 mp2an sstri ) ABCDEZUBFZUBGZHZPPHZPHZUBIUBUEQABCDJUBKL
      UCUFQZUDPQUEUGQUCIUHABCDMUCNOUDRUCUFUDPSTUA $.
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.  $d w ph $.
    $d x y z w ps $.
    eloprabga.1 $e |- ( ( x = A /\ y = B /\ z = C ) -> ( ph <-> ps ) ) $.
    $( The law of concretion for operation class abstraction.  Compare
       ~ elopab .  (Contributed by NM, 14-Sep-1999.)  Remove unnecessary
       distinct variable conditions.  (Revised by David Abernethy,
       19-Jun-2012.)  (Revised by Mario Carneiro, 19-Dec-2013.)  Avoid
       ~ ax-10 , ~ ax-11 .  (Revised by Wolf Lammen, 15-Oct-2024.) $)
    eloprabga $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
       ( <. <. A , B >. , C >. e. { <. <. x , y >. , z >. | ph } <-> ps ) ) $=
      ( vw wcel cvv cop cv wceq wa wex coprab wb elex w3a wi simpr eqeq1d eqcom
      opex vex otth2 bitri bitrdi anbi1d pm5.32i 3exbidv df-oprab eleq2i bitr2i
      cab eleq1 syl5bb adantl 19.41vvv elisset 3anim123i 3exdistr 19.41v anbi2i
      3bitri 3anass bitr4i sylibr biantrurd bitr4id adantr expcom vtocle syl3an
      abid 3bitr3d ) FINFONZGJNGONZHKNHONZFGPZHPZACDEUAZNZBUBZFIUCGJUCHKUCWBWCW
      DUDZWIUEMWFWEHUIWJMQZWFRZWIWJWLSZWKCQZDQZPEQZPZRZASZETDTCTZWNFRZWOGRZWPHR
      ZUDZBSZETDTCTZWHBWMWSXECDEWMWSXDASXEWMWRXDAWMWRWFWQRZXDWMWKWFWQWJWLUFUGXG
      WQWFRXDWFWQUHWNWOFGWPHCUJDUJEUJUKULUMUNXDABLUOUMUPWLWTWHUBWJWTWKWGNZWLWHX
      HWKWTMUTZNWTWGXIWKACDEMUQURWTMVTUSWKWFWGVAVBVCWJXFBUBWLWJXFXDETDTCTZBSBXD
      BCDEVDWJXJBWJXACTZXBDTZXCETZUDZXJWBXKWCXLWDXMCFOVEDGOVEEHOVEVFXJXKXLXMSZS
      ZXNXJXAXBXMSDTZSCTXKXQSXPXAXBXCCDEVGXAXQCVHXQXOXKXBXMDVHVIVJXKXLXMVKVLVMV
      NVOVPWAVQVRVS $.
    $( $j usage 'eloprabga' avoids 'ax-10' 'ax-11'; $)

    $( Obsolete version of ~ eloprabga as of 15-Oct-2024.  (Contributed by NM,
       14-Sep-1999.)  Remove unnecessary distinct variable conditions.
       (Revised by David Abernethy, 19-Jun-2012.)  (Revised by Mario Carneiro,
       19-Dec-2013.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    eloprabgaOLD $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
       ( <. <. A , B >. , C >. e. { <. <. x , y >. , z >. | ph } <-> ps ) ) $=
      ( vw wcel cvv cop cv wceq wa wex coprab wb elex w3a wi simpr eqeq1d eqcom
      opex vex otth2 bitri bitrdi anbi1d pm5.32i 3exbidv df-oprab eleq2i bitr2i
      cab abid syl5bb adantl 19.41vvv elisset 3anim123i eeeanv sylibr biantrurd
      eleq1 bitr4id adantr 3bitr3d expcom vtocle syl3an ) FINFONZGJNGONZHKNHONZ
      FGPZHPZACDEUAZNZBUBZFIUCGJUCHKUCVQVRVSUDZWDUEMWAVTHUIWEMQZWARZWDWEWGSZWFC
      QZDQZPEQZPZRZASZETDTCTZWIFRZWJGRZWKHRZUDZBSZETDTCTZWCBWHWNWTCDEWHWNWSASWT
      WHWMWSAWHWMWAWLRZWSWHWFWAWLWEWGUFUGXBWLWARWSWAWLUHWIWJFGWKHCUJDUJEUJUKULU
      MUNWSABLUOUMUPWGWOWCUBWEWOWFWBNZWGWCXCWFWOMUTZNWOWBXDWFACDEMUQURWOMVAUSWF
      WAWBVJVBVCWEXABUBWGWEXAWSETDTCTZBSBWSBCDEVDWEXEBWEWPCTZWQDTZWRETZUDXEVQXF
      VRXGVSXHCFOVEDGOVEEHOVEVFWPWQWRCDEVGVHVIVKVLVMVNVOVP $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z th $.
    eloprabg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    eloprabg.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    eloprabg.3 $e |- ( z = C -> ( ch <-> th ) ) $.
    $( The law of concretion for operation class abstraction.  Compare
       ~ elopab .  (Contributed by NM, 14-Sep-1999.)  (Revised by David
       Abernethy, 19-Jun-2012.) $)
    eloprabg $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
       ( <. <. A , B >. , C >. e. { <. <. x , y >. , z >. | ph } <-> th ) ) $=
      ( cv wceq syl3an9b eloprabga ) ADEFGHIJKLMEQHRABFQIRCGQJRDNOPST $.
  $}

  ${
    $d ph w $.  $d ps w $.  $d x z w $.  $d y z w $.
    ssoprab2i.1 $e |- ( ph -> ps ) $.
    $( Inference of operation class abstraction subclass from implication.
       (Contributed by NM, 11-Nov-1995.)  (Revised by David Abernethy,
       19-Jun-2012.) $)
    ssoprab2i $p |- { <. <. x , y >. , z >. | ph } C_
                    { <. <. x , y >. , z >. | ps } $=
      ( vw cv cop wceq wex copab coprab anim2i 2eximi ssopab2i dfoprab2 3sstr4i
      wa ) GHCHDHIJZASZDKCKZGELTBSZDKCKZGELACDEMBCDEMUBUDGEUAUCCDABTFNOPACDEGQB
      CDEGQR $.
  $}

  ${
    $d x z $.  $d y z $.  $d z C $.
    $( Operation with universal domain in maps-to notation.  (Contributed by
       NM, 16-Aug-2013.) $)
    mpov $p |- ( x e. _V , y e. _V |-> C )
                     = { <. <. x , y >. , z >. | z = C } $=
      ( cvv cmpo cv wcel wceq coprab df-mpo vex pm3.2i biantrur oprabbii eqtr4i
      wa ) ABEEDFAGEHZBGEHZQZCGDIZQZABCJUAABCJABCEEDKUAUBABCTUARSALBLMNOP $.
  $}

  ${
    $d w x y z A $.  $d w y z B $.  $d w x y C $.  $d w z D $.
    mpompt.1 $e |- ( z = <. x , y >. -> C = D ) $.
    $( Express a two-argument function as a one-argument function, or
       vice-versa.  In this version ` B ( x ) ` is not assumed to be constant
       w.r.t ` x ` .  (Contributed by Mario Carneiro, 29-Dec-2014.) $)
    mpomptx $p |- ( z e. U_ x e. A ( { x } X. B ) |-> C ) =
      ( x e. A , y e. B |-> D ) $=
      ( vw cv csn cxp ciun cmpt wcel wceq wa copab wex eqtr4i df-mpt coprab cop
      df-mpo eliunxp anbi1i 19.41vv anass eqeq2d anbi2d pm5.32i 3bitr2i opabbii
      cmpo bitri 2exbii dfoprab2 ) CADAJZKELMZFNCJZUSOZIJZFPZQZCIRZABDEGUNZCIUS
      FUAVFURDOBJZEOQZVBGPZQZABIUBZVEABIDEGUDVEUTURVGUCPZVJQZBSASZCIRVKVDVNCIVD
      VLVHQZBSASZVCQVOVCQZBSASVNVAVPVCABDEUTUEUFVOVCABUGVQVMABVQVLVHVCQZQVMVLVH
      VCUHVLVRVJVLVCVIVHVLFGVBHUIUJUKUOUPULUMVJABICUQTTT $.

    $d x B $.
    $( Express a two-argument function as a one-argument function, or
       vice-versa.  (Contributed by Mario Carneiro, 17-Dec-2013.)  (Revised by
       Mario Carneiro, 29-Dec-2014.) $)
    mpompt $p |- ( z e. ( A X. B ) |-> C ) = ( x e. A , y e. B |-> D ) $=
      ( cv csn cxp ciun cmpt cmpo iunxpconst mpteq1i mpomptx eqtr3i ) CADAIJEKL
      ZFMCDEKZFMABDEGNCSTFADEOPABCDEFGHQR $.
  $}

  $( A mapping with two arguments with the first argument from a difference set
     with a singleton and a conditional as result.  (Contributed by AV,
     13-Feb-2019.) $)
  mpodifsnif $p |- ( i e. ( A \ { X } ) , j e. B |-> if ( i = X , C , D ) )
                  = ( i e. ( A \ { X } ) , j e. B |-> D ) $=
    ( csn cdif cv wceq cif wcel wa wn eldifsnneq adantr iffalsed mpoeq3ia ) EFA
    GHIZBEJZGKZCDLDUATMZFJBMZNUBCDUCUBOUDUAAGPQRS $.

  $( A mapping with two arguments with the first argument from a singleton and
     a conditional as result.  (Contributed by AV, 14-Feb-2019.) $)
  mposnif $p |- ( i e. { X } , j e. B |-> if ( i = X , C , D ) )
               = ( i e. { X } , j e. B |-> C ) $=
    ( csn cv wceq cif wcel wa elsni adantr iftrued mpoeq3ia ) DEFGZADHZFIZBCJBR
    QKZEHAKZLSBCTSUARFMNOP $.

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.
    $( Representation of a constant operation using the mapping operation.
       (Contributed by SO, 11-Jul-2018.) $)
    fconstmpo $p |- ( ( A X. B ) X. { C } ) = ( x e. A , y e. B |-> C ) $=
      ( vz cxp csn cmpt cmpo fconstmpt cv cop wceq eqidd mpompt eqtri ) CDGZEHG
      FREIABCDEJFREKABFCDEEFLALBLMNEOPQ $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w ph $.
    $( Restriction of an operation class abstraction.  (Contributed by NM,
       10-Feb-2007.) $)
    resoprab $p |- ( { <. <. x , y >. , z >. | ph } |` ( A X. B ) ) =
                  { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B ) /\ ph ) } $=
      ( vw cv cop wceq wex copab cxp cres wcel coprab resopab 19.42vv dfoprab2
      wa eleq1 opelxp bitrdi anbi1d pm5.32i bitri 2exbii bitr3i opabbii reseq1i
      an12 eqtri 3eqtr4i ) GHZBHZCHZIZJZATZCKBKZGDLZEFMZNZURUOEOUPFOTZATZTZCKBK
      ZGDLZABCDPZVBNVEBCDPVCUNVBOZUTTZGDLVHUTGDVBQVKVGGDVKVJUSTZCKBKVGVJUSBCRVL
      VFBCVLURVJATZTVFVJURAUKURVMVEURVJVDAURVJUQVBOVDUNUQVBUAUOUPEFUBUCUDUEUFUG
      UHUIULVIVAVBABCDGSUJVEBCDGSUM $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d D x y z $.  $d E z $.
    $( Restriction of an operator abstraction.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    resoprab2 $p |- ( ( C C_ A /\ D C_ B ) -> ( { <. <. x , y >. , z >. |
                  ( ( x e. A /\ y e. B ) /\ ph ) } |` ( C X. D ) ) =
              { <. <. x , y >. , z >. | ( ( x e. C /\ y e. D ) /\ ph ) } ) $=
      ( wss wa cv wcel coprab cxp cres resoprab anass ssel pm4.71d bicomd an4
      bi2anan9 syl5bb anbi1d bitr3id oprabbidv eqtrid ) GEIZHFIZJZBKZELZCKZFLZJ
      ZAJZBCDMGHNOUKGLZUMHLZJZUPJZBCDMUSAJZBCDMUPBCDGHPUJUTVABCDUTUSUOJZAJUJVAU
      SUOAQUJVBUSAVBUQULJZURUNJZJUJUSUQURULUNUAUHVCUQUIVDURUHUQVCUHUQULGEUKRSTU
      IURVDUIURUNHFUMRSTUBUCUDUEUFUG $.

    $( Restriction of the mapping operation.  (Contributed by Mario Carneiro,
       17-Dec-2013.) $)
    resmpo $p |- ( ( C C_ A /\ D C_ B ) ->
                    ( ( x e. A , y e. B |-> E ) |` ( C X. D ) ) =
                      ( x e. C , y e. D |-> E ) ) $=
      ( vz wss wa cv wcel wceq coprab cxp cres cmpo resoprab2 df-mpo reseq1i
      3eqtr4g ) ECIFDIJAKZCLBKZDLJHKGMZJABHNZEFOZPUBELUCFLJUDJABHNABCDGQZUFPABE
      FGQUDABHCDEFRUGUEUFABHCDGSTABHEFGSUA $.
  $}

  ${
    $d x y z w $.  $d w ph $.
    $( "At most one" is a sufficient condition for an operation class
       abstraction to be a function.  (Contributed by NM, 28-Aug-2007.) $)
    funoprabg $p |- ( A. x A. y E* z ph ->
                    Fun { <. <. x , y >. , z >. | ph } ) $=
      ( vw wmo wal cv cop wceq wa wex coprab wfun mosubopt alrimiv copab funeqi
      dfoprab2 funopab bitr2i sylib ) ADFCGBGZEHZBHCHIJAKCLBLZDFZEGZABCDMZNZUCU
      FEADBCUDOPUIUEEDQZNUGUHUJABCDESRUEEDTUAUB $.
  $}

  ${
    $d x y z $.
    funoprab.1 $e |- E* z ph $.
    $( "At most one" is a sufficient condition for an operation class
       abstraction to be a function.  (Contributed by NM, 17-Mar-1995.) $)
    funoprab $p |- Fun { <. <. x , y >. , z >. | ph } $=
      ( wmo wal coprab wfun gen2 funoprabg ax-mp ) ADFZCGBGABCDHIMBCEJABCDKL $.
  $}

  ${
    $d x y z $.  $d z ph $.
    $( Functionality and domain of an operation class abstraction.
       (Contributed by NM, 28-Aug-2007.) $)
    fnoprabg $p |- ( A. x A. y ( ph -> E! z ps ) ->
  { <. <. x , y >. , z >. | ( ph /\ ps ) } Fn { <. x , y >. | ph } ) $=
      ( weu wi wal wa coprab wfun cdm copab wceq wfn wmo eumo imim2i wex sps wb
      moanimv sylibr 2alimi funoprabg syl dmoprab nfa1 nfa2 simpl exlimiv ancld
      euex 19.42v syl6ibr impbid2 opabbid eqtrid df-fn sylanbrc ) ABEFZGZDHZCHZ
      ABIZCDEJZKZVFLZACDMZNVFVIOVDVEEPZDHCHVGVBVJCDVBABEPZGVJVAVKABEQRABEUBUCUD
      VECDEUEUFVDVHVEESZCDMVIVECDEUGVDVLACDVCCUHVBDCUIVCVLAUAZCVBVMDVBVLAVEAEAB
      UJUKVBAABESZIVLVBAVNVAVNABEUMRULABEUNUOUPTTUQURVFVIUSUT $.
  $}

  ${
    $d A w z $.  $d B w z $.  $d C w z $.  $d x y w z $.
    mpofun.1 $e |- F = ( x e. A , y e. B |-> C ) $.
    $( The maps-to notation for an operation is always a function.
       (Contributed by Scott Fenton, 21-Mar-2012.)  (Proof shortened by SN,
       23-Jul-2024.) $)
    mpofun $p |- Fun F $=
      ( vz wfun cv wcel wa wceq coprab moeq moani funoprab cmpo df-mpo eqtri
      funeqi mpbir ) FIAJCKBJDKLZHJEMZLZABHNZIUEABHUDUCHHEOPQFUFFABCDERUFGABHCD
      ESTUAUB $.

    $( Obsolete version of ~ mpofun as of 23-Jul-2024.  (Contributed by Scott
       Fenton, 21-Mar-2012.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    mpofunOLD $p |- Fun F $=
      ( vz vw wfun cv wcel wa wceq coprab wmo weq wi wal mpbir eqtr3 gen2 eqeq1
      ad2ant2l anbi2d mo4 funoprab cmpo df-mpo eqtri funeqi ) FJAKCLBKDLMZHKZEN
      ZMZABHOZJUOABHUOHPUOULIKZENZMZMHIQZRZISHSVAHIUNURUTULULUMUQEUAUDUBUOUSHIU
      TUNURULUMUQEUCUEUFTUGFUPFABCDEUHUPGABHCDEUIUJUKT $.
  $}

  ${
    $d x y z $.  $d z ph $.
    fnoprab.1 $e |- ( ph -> E! z ps ) $.
    $( Functionality and domain of an operation class abstraction.
       (Contributed by NM, 15-May-1995.) $)
    fnoprab $p |- { <. <. x , y >. , z >. | ( ph /\ ps ) } Fn
                    { <. x , y >. | ph } $=
      ( weu wi wal wa coprab copab wfn gen2 fnoprabg ax-mp ) ABEGHZDICIABJCDEKA
      CDLMQCDFNABCDEOP $.
  $}

  ${
    $d x y w A $.  $d x y w B $.  $d x y w C $.  $d x y w F $.
    $( An operation maps to a class to which all values belong.  (Contributed
       by NM, 7-Feb-2004.) $)
    ffnov $p |- ( F : ( A X. B ) --> C <-> ( F Fn ( A X. B ) /\
         A. x e. A A. y e. B ( x F y ) e. C ) ) $=
      ( vw cxp wf wfn cv cfv wcel wral wa co ffnfv cop wceq fveq2 df-ov eqtr4di
      eleq1d ralxp anbi2i bitri ) CDHZEFIFUGJZGKZFLZEMZGUGNZOUHAKZBKZFPZEMZBDNA
      CNZOGUGEFQULUQUHUKUPGABCDUIUMUNRZSZUJUOEUSUJURFLUOUIURFTUMUNFUAUBUCUDUEUF
      $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x y F $.  $d x y R $.  $d x y S $.
    fovcl.1 $e |- F : ( R X. S ) --> C $.
    $( Closure law for an operation.  (Contributed by NM, 19-Apr-2007.) $)
    fovcl $p |- ( ( A e. R /\ B e. S ) -> ( A F B ) e. C ) $=
      ( vx vy wcel wa cv co wral cxp wf wfn ffnov wceq eleq1d ax-mp oveq1 oveq2
      simprbi rspc2v mpi ) ADJBEJKHLZILZFMZCJZIENHDNZABFMZCJZDEOZCFPZUKGUOFUNQU
      KHIDECFRUDUAUJUMAUHFMZCJHIABDEUGASUIUPCUGAUHFUBTUHBSUPULCUHBAFUCTUEUF $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d z C $.  $d z D $.  $d x y z F $.
    $d x y z G $.
    $( Equality of two operations is determined by their values.  (Contributed
       by NM, 1-Sep-2005.) $)
    eqfnov $p |- ( ( F Fn ( A X. B ) /\ G Fn ( C X. D ) ) -> ( F = G <->
( ( A X. B ) = ( C X. D ) /\ A. x e. A A. y e. B ( x F y ) = ( x G y ) ) ) ) $=
      ( vz cxp wfn wa wceq cv cfv wral co eqfnfv2 fveq2 df-ov cop eqeq12d ralxp
      eqeq12i bitr4di anbi2i bitrdi ) GCDJZKHEFJZKLGHMUHUIMZINZGOZUKHOZMZIUHPZL
      UJANZBNZGQZUPUQHQZMZBDPACPZLIUHUIGHRUOVAUJUNUTIABCDUKUPUQUAZMZUNVBGOZVBHO
      ZMUTVCULVDUMVEUKVBGSUKVBHSUBURVDUSVEUPUQGTUPUQHTUDUEUCUFUG $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d F x y $.  $d G x y $.
    $( Two operators with the same domain are equal iff their values at each
       point in the domain are equal.  (Contributed by Jeff Madsen,
       7-Jun-2010.) $)
    eqfnov2 $p |- ( ( F Fn ( A X. B ) /\ G Fn ( A X. B ) ) ->
                  ( F = G <-> A. x e. A A. y e. B ( x F y ) = ( x G y ) ) ) $=
      ( cxp wfn wa wceq cv co wral eqfnov simpr eqidd ancri impbii bitrdi ) ECD
      GZHFTHIEFJTTJZAKZBKZELUBUCFLJBDMACMZIZUDABCDCDEFNUEUDUAUDOUDUAUDTPQRS $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z F $.
    $( Representation of a function in terms of its values.  (Contributed by
       NM, 7-Feb-2004.)  (Revised by Mario Carneiro, 31-Aug-2015.) $)
    fnov $p |- ( F Fn ( A X. B ) <->
                    F = ( x e. A , y e. B |-> ( x F y ) ) ) $=
      ( vz cxp wfn cv cfv cmpt wceq cmpo dffn5 cop fveq2 df-ov eqtr4di mpompt
      co eqeq2i bitri ) ECDGZHEFUCFIZEJZKZLEABCDAIZBIZETZMZLFUCENUFUJEABFCDUEUI
      UDUGUHOZLUEUKEJUIUDUKEPUGUHEQRSUAUB $.
  $}

  ${
    $d x y z A $.  $d y z B $.  $d z C $.  $d z D $.
    $( Bidirectional equality theorem for a mapping abstraction.  Equivalent to
       ~ eqfnov2 .  (Contributed by Mario Carneiro, 4-Jan-2017.) $)
    mpo2eqb $p |- ( A. x e. A A. y e. B C e. V ->
      ( ( x e. A , y e. B |-> C ) = ( x e. A , y e. B |-> D ) <->
        A. x e. A A. y e. B C = D ) ) $=
      ( vz wcel wral cmpo wceq cv wb wal wa coprab df-mpo wi ralimi pm5.32 r2al
      eqeq12i eqoprab2bw albii 19.21v bitr3i 2albii bitr4i 3bitri ralbi bitr4id
      pm13.183 syl ) EGIZBDJZACJZABCDEKZABCDFKZLZHMZELZVAFLZNZHOZBDJZACJZEFLZBD
      JZACJZUTAMCIBMDIPZVBPZABHQZVKVCPZABHQZLVLVNNZHOZBOAOZVGURVMUSVOABHCDERABH
      CDFRUCVLVNABHUDVRVKVESZBOAOVGVQVSABVQVKVDSZHOVSVTVPHVKVBVCUAUEVKVDHUFUGUH
      VEABCDUBUIUJUQVIVFNZACJVJVGNUPWAACUPVHVENZBDJWAUOWBBDHEFGUMTVHVEBDUKUNTVI
      VFACUKUNUL $.
  $}

  ${
    $d w x $.  $d w y z A $.  $d w z B $.  $d w z C $.  $d w z F $.  $d z ps $.
    $d x y z D $.  $d x y ph $.
    rngop.1 $e |- F = ( x e. A , y e. B |-> C ) $.
    $( The range of an operation given by the maps-to notation.  (Contributed
       by FL, 20-Jun-2011.) $)
    rnmpo $p |- ran F = { z | E. x e. A E. y e. B z = C } $=
      ( crn cv wcel wa wceq coprab wrex cab cmpo df-mpo eqtri rneqi rnoprab2 )
      GIAJDKBJEKLCJFMZLABCNZIUBBEOADOCPGUCGABDEFQUCHABCDEFRSTUBABCDEUAS $.

    $( The domain of an operation defined by maps-to notation is a relation.
       (Contributed by Stefan O'Rear, 27-Nov-2014.) $)
    reldmmpo $p |- Rel dom F $=
      ( vz cdm wrel cv wcel wa wceq coprab reldmoprab cmpo df-mpo eqtri dmeqi
      releqi mpbir ) FIZJAKCLBKDLMHKENMZABHOZIZJUDABHPUCUFFUEFABCDEQUEGABHCDERS
      TUAUB $.

    $( Membership in the range of an operation class abstraction.  (Contributed
       by NM, 27-Aug-2007.)  (Revised by Mario Carneiro, 31-Aug-2015.) $)
    elrnmpog $p |- ( D e. V ->
                     ( D e. ran F <-> E. x e. A E. y e. B D = C ) ) $=
      ( vz cv wceq wrex crn eqeq1 2rexbidv rnmpo elab2g ) JKZELZBDMACMFELZBDMAC
      MJFGNHSFLTUAABCDSFEOPABJCDEGIQR $.

    ${
      elrnmpo.1 $e |- C e. _V $.
      $( Membership in the range of an operation class abstraction.
         (Contributed by NM, 1-Aug-2004.)  (Revised by Mario Carneiro,
         31-Aug-2015.) $)
      elrnmpo $p |- ( D e. ran F <-> E. x e. A E. y e. B D = C ) $=
        ( vz crn wcel cv wceq wrex cab rnmpo eleq2i cvv rexlimivw eleq1 mpbiri
        eqeq1 2rexbidv elab3 bitri ) FGKZLFJMZENZBDOACOZJPZLFENZBDOZACOZUGUKFAB
        JCDEGHQRUJUNJFSUMFSLZACULUOBDULUOESLIFESUAUBTTUHFNUIULABCDUHFEUCUDUEUF
        $.
    $}

    ${
      $d x y z $.  $d A p y z $.  $d B p z $.  $d C p z $.  $d F z $.
      $d D x y z $.  $d R p x y z $.
      $( Membership in the range of a restricted operation class abstraction.
         (Contributed by Thierry Arnoux, 25-May-2019.) $)
      elrnmpores $p |- ( D e. V -> ( D e. ran ( F |` R )
        <-> E. x e. A E. y e. B ( D = C /\ x R y ) ) ) $=
        ( vz vp wcel cres cv wa wceq wex anbi2d copab crn wbr wrex eqeq1 anbi1d
        2exbidv coprab cab cop ancom eleq1 df-br bitr4di bitr3id syl5bb pm5.32i
        an12 bitri 2exbii 19.42vv bitr3i opabbii dfoprab2 df-mpo 3eqtri reseq1i
        cmpo resopab eqtri 3eqtr4ri rneqi rnoprab elab2g r2ex ) FIMFHGNZUAZMAOZ
        CMBOZDMPZFEQZVQVRGUBZPZPZBRARZWBBDUCACUCVSKOZEQZWAPZPZBRARZWDKFVPIWEFQZ
        WHWCABWJWGWBVSWJWFVTWAWEFEUDUESUFVPWHABKUGZUAWIKUHVOWKLOZVQVRUIZQZWHPZB
        RARZLKTWLGMZWNVSWFPZPZBRARZPZLKTZWKVOWPXALKWPWQWSPZBRARXAXCWOABXCWNWQWR
        PZPWOWQWNWRUQWNXDWHXDVSWQWFPZPWNWHWQVSWFUQWNXEWGVSXEWFWQPWNWGWFWQUJWNWQ
        WAWFWNWQWMGMWAWLWMGUKVQVRGULUMSUNSUOUPURUSWQWSABUTVAVBWHABKLVCVOWTLKTZG
        NXBHXFGHABCDEVGWRABKUGXFJABKCDEVDWRABKLVCVEVFWTLKGVHVIVJVKWHABKVLVIVMWB
        ABCDVNUM $.
    $}

    ralrnmpo.2 $e |- ( z = C -> ( ph <-> ps ) ) $.
    $( A restricted quantifier over an image set.  (Contributed by Mario
       Carneiro, 1-Sep-2015.) $)
    ralrnmpo $p |- ( A. x e. A A. y e. B C e. V ->
      ( A. z e. ran F ph <-> A. x e. A A. y e. B ps ) ) $=
      ( vw wral cv wceq wrex wi wal wb crn wcel cab rnmpo raleqi eqeq1 2rexbidv
      ralab ralcom4 r19.23v albii bitr2i 3bitri bitri nfv ceqsalg ralbi bitr3id
      ralimi syl syl5bb ) AEIUAZNZEOZHPZDGQZARZESZCFNZHJUBZDGNZCFNZBDGNZCFNZVCA
      EMOZHPZDGQCFQZMUCZNVFCFQZARZESZVIAEVBVRCDMFGHIKUDUEVQVSAEMVOVDPVPVECDFGVO
      VDHUFUGUHVIVGCFNZESWAVGCEFUIWBVTEVFACFUJUKULUMVLVHVMTZCFNVIVNTVKWCCFVHVEA
      RZESZDGNZVKVMWFWDDGNZESVHWDDEGUIWGVGEVEADGUJUKUNVKWEBTZDGNWFVMTVJWHDGABEH
      JBEUOLUPUSWEBDGUQUTURUSVHVMCFUQUTVA $.

    $( A restricted quantifier over an image set.  (Contributed by Mario
       Carneiro, 1-Sep-2015.) $)
    rexrnmpo $p |- ( A. x e. A A. y e. B C e. V ->
      ( E. z e. ran F ph <-> E. x e. A E. y e. B ps ) ) $=
      ( wcel wral wn crn wrex cv notbid dfrex2 wceq rexbii rexnal bitri 3bitr4g
      ralrnmpo ) HJMDGNCFNZAOZEIPZNZOBOZDGNZCFNZOZAEUIQBDGQZCFQZUGUJUMUHUKCDEFG
      HIJKERHUAABLSUFSAEUITUPULOZCFQUNUOUQCFBDGTUBULCFUCUDUE $.
  $}

  ${
    $d x y z $.  $d z R $.  $d z S $.
    ovid.1 $e |- ( ( x e. R /\ y e. S ) -> E! z ph ) $.
    ovid.2 $e |- F =
                  { <. <. x , y >. , z >. | ( ( x e. R /\ y e. S ) /\ ph ) } $.
    $( The value of an operation class abstraction.  (Contributed by NM,
       16-May-1995.)  (Revised by David Abernethy, 19-Jun-2012.) $)
    ovid $p |- ( ( x e. R /\ y e. S ) -> ( ( x F y ) = z <-> ph ) ) $=
      ( cv co wceq cop cfv wcel wa df-ov eqeq1i copab wfn coprab fnoprab fneq1i
      wb mpbir opabidw biimpri fnopfvb sylancr eleq2i oprabidw bitri baib bitrd
      syl5bb ) BJZCJZGKZDJZLUPUQMZGNZUSLZUPEOUQFOPZAURVAUSUPUQGQRVCVBUTUSMZGOZA
      VCGVCBCSZTZUTVFOZVBVEUDVGVCAPZBCDUAZVFTVCABCDHUBVFGVJIUCUEVHVCVCBCUFUGVFU
      TUSGUHUIVEVCAVEVDVJOVIGVJVDIUJVIBCDUKULUMUNUO $.
  $}

  ${
    $d x y z $.
    ovidig.1 $e |- E* z ph $.
    ovidig.2 $e |- F = { <. <. x , y >. , z >. | ph } $.
    $( The value of an operation class abstraction.  Compare ~ ovidi .  The
       condition ` ( x e. R /\ y e. S ) ` is been removed.  (Contributed by
       Mario Carneiro, 29-Dec-2014.) $)
    ovidig $p |- ( ph -> ( x F y ) = z ) $=
      ( cv cop cfv df-ov wfun wcel wceq coprab funoprab funeqi mpbir oprabidw
      co biimpri eleqtrrdi funopfv mpsyl eqtrid ) ABHZCHZETUFUGIZEJZDHZUFUGEKEL
      ZAUHUJIZEMUIUJNUKABCDOZLABCDFPEUMGQRAULUMEULUMMAABCDSUAGUBUHUJEUCUDUE $.
  $}

  ${
    $d x y z $.  $d z R $.  $d z S $.
    ovidi.2 $e |- ( ( x e. R /\ y e. S ) -> E* z ph ) $.
    ovidi.3 $e |- F =
                  { <. <. x , y >. , z >. | ( ( x e. R /\ y e. S ) /\ ph ) } $.
    $( The value of an operation class abstraction (weak version).
       (Contributed by Mario Carneiro, 29-Dec-2014.) $)
    ovidi $p |- ( ( x e. R /\ y e. S ) -> ( ph -> ( x F y ) = z ) ) $=
      ( cv wcel wa co wceq wmo wi moanimv mpbir ovidig ex ) BJZEKCJZFKLZAUAUBGM
      DJNUCALZBCDGUDDOUCADOPHUCADQRIST $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.  $d x y z S $.
    $d x y z th $.
    ov.1 $e |- C e. _V $.
    ov.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ov.3 $e |- ( y = B -> ( ps <-> ch ) ) $.
    ov.4 $e |- ( z = C -> ( ch <-> th ) ) $.
    ov.5 $e |- ( ( x e. R /\ y e. S ) -> E! z ph ) $.
    ov.6 $e |- F =
                  { <. <. x , y >. , z >. | ( ( x e. R /\ y e. S ) /\ ph ) } $.
    $( The value of an operation class abstraction.  (Contributed by NM,
       16-May-1995.)  (Revised by David Abernethy, 19-Jun-2012.) $)
    ov $p |- ( ( A e. R /\ B e. S ) -> ( ( A F B ) = C <-> th ) ) $=
      ( wcel wa co wceq cop cv coprab cfv df-ov fveq1i eqtri eqeq1i wfn fnoprab
      copab eleq1 anbi1d anbi2d opelopabg ibir fnopfvb sylancr anbi12d eloprabg
      wb cvv mp3an3 bitrd syl5bb bianabs ) HKTZILTZUAZHIMUBZJUCZDVNHIUDZEUEZKTZ
      FUEZLTZUAZAUAZEFGUFZUGZJUCZVLVLDUAZVMWCJVMVOMUGWCHIMUHVOMWBSUIUJUKVLWDVOJ
      UDWBTZWEVLWBVTEFUNZULVOWGTZWDWFVDVTAEFGRUMVLWHVTVJVSUAZVLEFHIKLVPHUCZVQVJ
      VSVPHKUOUPZVRIUCZVSVKVJVRILUOUQZURUSWGVOJWBUTVAVJVKJVETWFWEVDNWAWIBUAVLCU
      AWEEFGHIJKLVEWJVTWIABWKOVBWLWIVLBCWMPVBGUEJUCCDVLQUQVCVFVGVHVI $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z ps $.
    ovigg.1 $e |- ( ( x = A /\ y = B /\ z = C ) -> ( ph <-> ps ) ) $.
    ovigg.4 $e |- E* z ph $.
    ovigg.5 $e |- F = { <. <. x , y >. , z >. | ph } $.
    $( The value of an operation class abstraction.  Compared with ~ ovig , the
       condition ` ( x e. R /\ y e. S ) ` is removed.  (Contributed by FL,
       24-Mar-2007.)  (Revised by Mario Carneiro, 19-Dec-2013.) $)
    ovigg $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
                         ( ps -> ( A F B ) = C ) ) $=
      ( wcel w3a cop wceq cfv coprab eloprabga df-ov fveq1i eqtri wfun funoprab
      co wi funopfv ax-mp eqtrid syl6bir ) FJPGKPHLPQBFGRZHRACDEUAZPZFGIUHZHSAB
      CDEFGHJKLMUBUPUQUNUOTZHUQUNITURFGIUCUNIUOOUDUEUOUFUPURHSUIACDENUGUNHUOUJU
      KULUM $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.  $d x y z S $.
    $d x y z ps $.
    ovig.1 $e |- ( ( x = A /\ y = B /\ z = C ) -> ( ph <-> ps ) ) $.
    ovig.2 $e |- ( ( x e. R /\ y e. S ) -> E* z ph ) $.
    ovig.3 $e |- F =
                  { <. <. x , y >. , z >. | ( ( x e. R /\ y e. S ) /\ ph ) } $.
    $( The value of an operation class abstraction (weak version).
       (Contributed by NM, 14-Sep-1999.)  Remove unnecessary distinct variable
       conditions.  (Revised by David Abernethy, 19-Jun-2012.)  (Revised by
       Mario Carneiro, 19-Dec-2013.) $)
    ovig $p |- ( ( A e. R /\ B e. S /\ C e. D ) ->
                         ( ps -> ( A F B ) = C ) ) $=
      ( wcel w3a wa wceq cv co 3simpa wb eleq1 bi2anan9 3adant3 anbi12d moanimv
      wmo wi mpbir ovigg mpand ) FJPZGKPZHIPZQUNUORZBFGLUAHSUNUOUPUBCTZJPZDTZKP
      ZRZARZUQBRCDEFGHLJKIURFSZUTGSZETHSZQVBUQABVDVEVBUQUCVFVDUSUNVEVAUOURFJUDU
      TGKUDUEUFMUGVCEUIVBAEUIUJNVBAEUHUKOULUM $.
  $}

  ${
    $d x y z $.  $d z A $.  $d z B $.  $d z C $.  $d z F $.
    ovmpt4g.3 $e |- F = ( x e. A , y e. B |-> C ) $.
    $( Value of a function given by the maps-to notation.  (This is the
       operation analogue of ~ fvmpt2 .)  (Contributed by NM, 21-Feb-2004.)
       (Revised by Mario Carneiro, 1-Sep-2015.) $)
    ovmpt4g $p |- ( ( x e. A /\ y e. B /\ C e. V ) -> ( x F y ) = C ) $=
      ( vz cv wcel co wceq wex wa elisset wmo moeq a1i cmpo coprab df-mpo eqtri
      ovidi eqeq2 mpbidi exlimdv syl5 3impia ) AJZCKZBJZDKZEGKZUJULFLZEMZUNIJZE
      MZINUKUMOZUPIEGPUSURUPIURUOUQMUPUSURABICDFURIQUSIERSFABCDETUSUROABIUAHABI
      CDEUBUCUDUQEUOUEUFUGUHUI $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.
    ovmpos.3 $e |- F = ( x e. C , y e. D |-> R ) $.
    $( Value of a function given by the maps-to notation, expressed using
       explicit substitution.  (Contributed by Mario Carneiro, 30-Apr-2015.) $)
    ovmpos $p |- ( ( A e. C /\ B e. D /\ [_ A / x ]_ [_ B / y ]_ R e. V ) ->
      ( A F B ) = [_ A / x ]_ [_ B / y ]_ R ) $=
      ( wcel csb co wceq cvv cv wi nfcv nfcsb1v nfel1 elex nfmpo1 nfcxfr nfmpo2
      wa cmpo nfov nfeq nfim csbeq1a eleq1d oveq1 eqeq12d imbi12d oveq2 ovmpt4g
      3expia vtocl2gaf csbcom eleq1i eqeq2i 3imtr4g syl5 3impia ) CEKZDFKZACBDG
      LLZIKZCDHMZVGNZVHVGOKZVEVFUEZVJVGIUAVLBDACGLZLZOKZVIVNNZVKVJGOKZAPZBPZHMZ
      GNZQVMOKZCVSHMZVMNZQVOVPQABCDEFACRZBCRZBDRZWBWDAAVMOACGSZTAWCVMACVSHWEAHA
      BEFGUFZJABEFGUBUCAVSRUGWHUHUIVOVPBBVNOBDVMSZTBVIVNBCDHWFBHWIJABEFGUDUCWGU
      GWJUHUIVRCNZVQWBWAWDWKGVMOACGUJZUKWKVTWCGVMVRCVSHULWLUMUNVSDNZWBVOWDVPWMV
      MVNOBDVMUJZUKWMWCVIVMVNVSDCHUOWNUMUNVREKVSFKVQWAABEFGHOJUPUQURVGVNOABCDGU
      SZUTVGVNVIWOVAVBVCVD $.
  $}

  ${
    $d x y C $.  $d x y D $.
    ov2gf.a $e |- F/_ x A $.
    ov2gf.c $e |- F/_ y A $.
    ov2gf.d $e |- F/_ y B $.
    ov2gf.1 $e |- F/_ x G $.
    ov2gf.2 $e |- F/_ y S $.
    ov2gf.3 $e |- ( x = A -> R = G ) $.
    ov2gf.4 $e |- ( y = B -> G = S ) $.
    ov2gf.5 $e |- F = ( x e. C , y e. D |-> R ) $.
    $( The value of an operation class abstraction.  A version of ~ ovmpog
       using bound-variable hypotheses.  (Contributed by NM, 17-Aug-2006.)
       (Revised by Mario Carneiro, 19-Dec-2013.) $)
    ov2gf $p |- ( ( A e. C /\ B e. D /\ S e. H ) -> ( A F B ) = S ) $=
      ( wcel co wceq wa elex cv wi nfel1 cmpo nfmpo1 nfcxfr nfcv nfov nfeq nfim
      nfmpo2 eleq1d oveq1 eqeq12d imbi12d oveq2 ovmpt4g 3expia vtocl2gaf 3impia
      cvv syl5 ) CETZDFTZHKTZCDIUAZHUBZVIHVETZVGVHUCVKHKUDGVETZAUEZBUEZIUAZGUBZ
      UFJVETZCVOIUAZJUBZUFVLVKUFABCDEFLMNVRVTAAJVEOUGAVSJACVOILAIABEFGUHZSABEFG
      UIUJAVOUKULOUMUNVLVKBBHVEPUGBVJHBCDIMBIWASABEFGUOUJNULPUMUNVNCUBZVMVRVQVT
      WBGJVEQUPWBVPVSGJVNCVOIUQQURUSVODUBZVRVLVTVKWCJHVERUPWCVSVJJHVODCIUTRURUS
      VNETVOFTVMVQABEFGIVESVAVBVCVFVD $.
  $}

  ${
    $d x y $.  $d x A $.  $d y B $.
    ovmpodx.1 $e |- ( ph -> F = ( x e. C , y e. D |-> R ) ) $.
    ovmpodx.2 $e |- ( ( ph /\ ( x = A /\ y = B ) ) -> R = S ) $.
    ovmpodx.3 $e |- ( ( ph /\ x = A ) -> D = L ) $.
    ovmpodx.4 $e |- ( ph -> A e. C ) $.
    ovmpodx.5 $e |- ( ph -> B e. L ) $.
    ovmpodx.6 $e |- ( ph -> S e. X ) $.
    ${
      ovmpodxf.px $e |- F/ x ph $.
      ovmpodxf.py $e |- F/ y ph $.
      ovmpodxf.ay $e |- F/_ y A $.
      ovmpodxf.bx $e |- F/_ x B $.
      ovmpodxf.sx $e |- F/_ x S $.
      ovmpodxf.sy $e |- F/_ y S $.
      $( Value of an operation given by a maps-to rule, deduction form.
         (Contributed by Mario Carneiro, 29-Dec-2014.) $)
      ovmpodxf $p |- ( ph -> ( A F B ) = S ) $=
        ( co cmpo oveqd cv wcel cvv w3a wceq wi wsbc eqid ovmpt4g alrimi spsbcd
        a1i wa adantr simplr ad2antrr eqeltrd simpr 3eltr4d anassrs elexd biimt
        wb syl3anc oveq12d eqeq12d bitr3d nfeq2 nfan wnf nfcv nfov nfeq sbciedf
        nfmpo2 nfmpo1 mpbid eqtrd ) ADEJUEDEBCFGHUFZUEZIAJWFDEMUGABUHZFUIZCUHZG
        UIZHUJUIZUKZWHWJWFUEZHULZUMZCEUNZBDUNWGIULZAWQBDFPAWQBSAWPCEKQAWPCTWPAB
        CFGHWFUJWFUOUPUSUQURUQURAWQWRBDFPAWHDULZUTZWPWRCEKAEKUIZWSQVAWTWJEULZUT
        ZWOWPWRXCWIWKWLWOWPVJXCWHDFAWSXBVBZADFUIWSXBPVCVDXCEKWJGAXAWSXBQVCWTXBV
        EZWTGKULXBOVAVFXCHIUJAWSXBHIULNVGZAIUJUIWSXBAILRVHVCVDWMWOVIVKXCWNWGHIX
        CWHDWJEWFXDXEVLXFVMVNAWSCTCWHDUAVOVPWRCVQWTCWGICDEWFUABCFGHWBCEVRVSUDVT
        USWASWRBVQABWGIBDEWFBDVRBCFGHWCUBVSUCVTUSWAWDWE $.
    $}

    $d y A $.  $d x B $.  $d x y S $.  $d x y ph $.
    $( Value of an operation given by a maps-to rule, deduction form.
       (Contributed by Mario Carneiro, 29-Dec-2014.) $)
    ovmpodx $p |- ( ph -> ( A F B ) = S ) $=
      ( nfv nfcv ovmpodxf ) ABCDEFGHIJKLMNOPQRABSACSCDTBETBITCITUA $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y S $.  $d x y ph $.
    ovmpod.1 $e |- ( ph -> F = ( x e. C , y e. D |-> R ) ) $.
    ovmpod.2 $e |- ( ( ph /\ ( x = A /\ y = B ) ) -> R = S ) $.
    ovmpod.3 $e |- ( ph -> A e. C ) $.
    ovmpod.4 $e |- ( ph -> B e. D ) $.
    ovmpod.5 $e |- ( ph -> S e. X ) $.
    $( Value of an operation given by a maps-to rule, deduction form.
       (Contributed by Mario Carneiro, 7-Dec-2014.) $)
    ovmpod $p |- ( ph -> ( A F B ) = S ) $=
      ( cv wceq wa eqidd ovmpodx ) ABCDEFGHIJGKLMABQDRSGTNOPUA $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y L $.  $d x y S $.
    ovmpox.1 $e |- ( ( x = A /\ y = B ) -> R = S ) $.
    ovmpox.2 $e |- ( x = A -> D = L ) $.
    ovmpox.3 $e |- F = ( x e. C , y e. D |-> R ) $.
    $( The value of an operation class abstraction.  Variant of ~ ovmpoga which
       does not require ` D ` and ` x ` to be distinct.  (Contributed by Jeff
       Madsen, 10-Jun-2010.)  (Revised by Mario Carneiro, 20-Dec-2013.) $)
    ovmpox $p |- ( ( A e. C /\ B e. L /\ S e. H ) -> ( A F B ) = S ) $=
      ( wcel cvv co wceq cv adantl elex w3a cmpo wa simp1 simp2 ovmpodx syl3an3
      a1i simp3 ) HJOCEOZDKOZHPOZCDIQHRHJUAUKULUMUBZABCDEFGHIKPIABEFGUCRUNNUIAS
      CRZBSDRUDGHRUNLTUOFKRUNMTUKULUMUEUKULUMUFUKULUMUJUGUH $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x y S $.
    ovmpoga.1 $e |- ( ( x = A /\ y = B ) -> R = S ) $.
    ovmpoga.2 $e |- F = ( x e. C , y e. D |-> R ) $.
    $( Value of an operation given by a maps-to rule.  (Contributed by Mario
       Carneiro, 19-Dec-2013.) $)
    ovmpoga $p |- ( ( A e. C /\ B e. D /\ S e. H ) -> ( A F B ) = S ) $=
      ( wcel cvv co wceq elex w3a cmpo cv a1i adantl simp1 simp2 ovmpod syl3an3
      wa simp3 ) HJMCEMZDFMZHNMZCDIOHPHJQUIUJUKRZABCDEFGHINIABEFGSPULLUAATCPBTD
      PUGGHPULKUBUIUJUKUCUIUJUKUDUIUJUKUHUEUF $.

    ovmpoa.4 $e |- S e. _V $.
    $( Value of an operation given by a maps-to rule.  (Contributed by NM,
       19-Dec-2013.) $)
    ovmpoa $p |- ( ( A e. C /\ B e. D ) -> ( A F B ) = S ) $=
      ( wcel cvv co wceq ovmpoga mp3an3 ) CEMDFMHNMCDIOHPLABCDEFGHINJKQR $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y ph $.
    ovmpodf.1 $e |- ( ph -> A e. C ) $.
    ovmpodf.2 $e |- ( ( ph /\ x = A ) -> B e. D ) $.
    ovmpodf.3 $e |- ( ( ph /\ ( x = A /\ y = B ) ) -> R e. V ) $.
    ovmpodf.4 $e |- ( ( ph /\ ( x = A /\ y = B ) ) ->
      ( ( A F B ) = R -> ps ) ) $.
    ${
      ovmpodf.5 $e |- F/_ x F $.
      ovmpodf.6 $e |- F/ x ps $.
      ovmpodf.7 $e |- F/_ y F $.
      ovmpodf.8 $e |- F/ y ps $.
      $( Alternate deduction version of ~ ovmpo , suitable for iteration.
         (Contributed by Mario Carneiro, 7-Jan-2017.) $)
      ovmpodf $p |- ( ph -> ( F = ( x e. C , y e. D |-> R ) -> ps ) ) $=
        ( wcel cv wceq cmpo wi nfv nfmpo1 nfeq cvv wex elexd isset sylib nfmpo2
        nfim wa co simprl simprr oveq12d adantr eqeltrd adantrr ovmpt4g syl3anc
        oveq eqid eqtr3d eqeq2d sylbid syl5 expr exlimimdd exlimdd ) ACUAZEUBZJ
        CDGHIUCZUBZBUDZCACUEVQBCCJVPPCDGHIUFUGQUNAEUHTVOCUIAEGLUJCEUKULAVOUOZDU
        AZFUBZVRDVSDUEVQBDDJVPRCDGHIUMUGSUNVSFUHTWADUIVSFHMUJDFUKULAVOWAVRVQEFJ
        UPZEFVPUPZUBZAVOWAUOZUOZBEFJVPVEWFWDWBIUBBWFWCIWBWFVNVTVPUPZWCIWFVNEVTF
        VPAVOWAUQZAVOWAURZUSWFVNGTVTHTIKTWGIUBWFVNEGWHAEGTWELUTVAWFVTFHWIAVOFHT
        WAMVBVANCDGHIVPKVPVFVCVDVGVHOVIVJVKVLVM $.
    $}

    $d x y F $.  $d x y ps $.
    $( Alternate deduction version of ~ ovmpo , suitable for iteration.
       (Contributed by Mario Carneiro, 7-Jan-2017.) $)
    ovmpodv $p |- ( ph -> ( F = ( x e. C , y e. D |-> R ) -> ps ) ) $=
      ( nfcv nfv ovmpodf ) ABCDEFGHIJKLMNOCJPBCQDJPBDQR $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ph $.  $d x y S $.
    ovmpodv2.1 $e |- ( ph -> A e. C ) $.
    ovmpodv2.2 $e |- ( ( ph /\ x = A ) -> B e. D ) $.
    ovmpodv2.3 $e |- ( ( ph /\ ( x = A /\ y = B ) ) -> R e. V ) $.
    ovmpodv2.4 $e |- ( ( ph /\ ( x = A /\ y = B ) ) -> R = S ) $.
    $( Alternate deduction version of ~ ovmpo , suitable for iteration.
       (Contributed by Mario Carneiro, 7-Jan-2017.) $)
    ovmpodv2 $p |- ( ph ->
      ( F = ( x e. C , y e. D |-> R ) -> ( A F B ) = S ) ) $=
      ( co wceq cv wa nfcv cmpo eqidd eqeq2d biimpd nfmpo1 nfeq1 nfmpo2 ovmpodf
      nfov mpd oveq eqeq1d syl5ibrcom ) ADEJPZIQJBCFGHUAZQZDEUOPZIQZAUOUOQURAUO
      UBAURBCDEFGHUOKLMNABRDQCREQSSZUQHQURUSHIUQOUCUDBCFGHUEZBUQIBDEUOBDTUTBETU
      IUFBCFGHUGZCUQICDEUOCDTVACETUIUFUHUJUPUNUQIDEJUOUKULUM $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x y S $.
    ovmpog.1 $e |- ( x = A -> R = G ) $.
    ovmpog.2 $e |- ( y = B -> G = S ) $.
    ovmpog.3 $e |- F = ( x e. C , y e. D |-> R ) $.
    $( Value of an operation given by a maps-to rule.  Special case.
       (Contributed by NM, 14-Sep-1999.)  (Revised by David Abernethy,
       19-Jun-2012.) $)
    ovmpog $p |- ( ( A e. C /\ B e. D /\ S e. H ) -> ( A F B ) = S ) $=
      ( cv wceq sylan9eq ovmpoga ) ABCDEFGHIKAOCPBODPGJHLMQNR $.

    ovmpo.4 $e |- S e. _V $.
    $( Value of an operation given by a maps-to rule.  Special case.
       (Contributed by NM, 16-May-1995.)  (Revised by David Abernethy,
       19-Jun-2012.) $)
    ovmpo $p |- ( ( A e. C /\ B e. D ) -> ( A F B ) = S ) $=
      ( wcel cvv co wceq ovmpog mp3an3 ) CEODFOHPOCDIQHRNABCDEFGHIJPKLMST $.
  $}

  ${
    $d ph c d $.  $d C c d $.  $d A a b c d $.  $d B a b c d $.
    fvmpopr2d.1 $e |- ( ph -> F = ( a e. A , b e. B |-> C ) ) $.
    fvmpopr2d.2 $e |- ( ph -> P = <. a , b >. ) $.
    fvmpopr2d.3 $e |- ( ( ph /\ a e. A /\ b e. B ) -> C e. V ) $.
    $( Value of an operation given by maps-to notation.  (Contributed by Rohan
       Ridenour, 14-May-2024.) $)
    fvmpopr2d $p |- ( ( ph /\ a e. A /\ b e. B ) -> ( F ` P ) = C ) $=
      ( vc vd cv wcel cmpo co wceq nfcv w3a cfv cop fveq12d eqtr4id csb nfcsb1v
      df-ov 3ad2ant1 nfcsbw csbeq1a sylan9eq cbvmpo oveqi equcom anbi12i sylbir
      eqidd wa eqcomd adantl simp2 simp3 ovmpod eqtrid eqtr3d ) AHOZBPZIOZCPZUA
      ZVGVIHIBCDQZRZEFUBZDVKVMVGVIUCZVLUBVNVGVIVLUHVKEVOFVLAVHFVLSVJJUIAVHEVOSV
      JKUIUDUEVKVMVGVIMNBCINOZHMOZDUFZUFZQZRDVLVTVGVIHIMNBCDVSMDTNDTHIVPVRHVPTH
      VQDUGUJIVPVRUGVGVQSZVIVPSZDVRVSHVQDUKIVPVRUKULZUMUNVKMNVGVIBCVSDVTGVKVTUR
      VQVGSZVPVISZUSZVSDSVKWFDVSWFWAWBUSDVSSWAWDWBWEHMUOINUOUPWCUQUTVAAVHVJVBAV
      HVJVCLVDVEVF $.
  $}

  ${
    $d f u v w x y z A $.  $d f u v w x y z B $.  $d x y z R $.
    $d f u v w y z C $.  $d f u v w y z D $.  $d f u v w x y z H $.
    $d f u v w z S $.
    ov3.1 $e |- S e. _V $.
    ov3.2 $e |- ( ( ( w = A /\ v = B ) /\ ( u = C /\ f = D ) ) ->
         R = S ) $.
    ov3.3 $e |- F = { <. <. x , y >. , z >. | ( ( x e. ( H X. H ) /\
                      y e. ( H X. H ) ) /\
                      E. w E. v E. u E. f ( ( x = <. w , v >. /\
                      y = <. u , f >. ) /\ z = R ) ) } $.
    $( The value of an operation class abstraction.  Special case.
       (Contributed by NM, 28-May-1995.)  (Revised by Mario Carneiro,
       29-Dec-2014.) $)
    ov3 $p |- ( ( ( A e. H /\ B e. H ) /\ ( C e. H /\ D e. H ) ) ->
        ( <. A , B >. F <. C , D >. ) = S ) $=
      ( wa wex wcel cv wceq cop isseti nfv nfcv cxp coprab nfoprab3 nfcxfr nfov
      co nfeq1 eqeq2d copsex4g wi opelxpi nfoprab1 nfim nfoprab2 anbi1d 4exbidv
      eqeq1 oveq1 eqeq1d imbi12d anbi2d oveq2 moeq mosubop anass 2exbii 19.42vv
      wmo bitri mobii mpbir a1i ovidi vtocl2gaf syl2an sylbird eqeq2 mpbidi mpi
      exlimd ) GOUAHOUASZIOUAJOUASZSZCUBZLUCZCTGHUDZIJUDZNUMZLUCZCLPUEWJWLWPCWJ
      CUFCWOLCWMWNNCWMUGCNAUBZOOUHZUABUBZWRUASZWQDUBZEUBZUDZUCZWSFUBZMUBZUDZUCZ
      SZWKKUCZSZMTFTZETDTZSZABCUIZRXNABCUJUKCWNUGULUNWLWOWKUCZWPWJWJWLWMXCUCZWN
      XGUCZSZXJSZMTFTETDTZXPXJWLDEFMGHIJOOXAGUCXBHUCSXEIUCXFJUCSSKLWKQUOUPWHWMW
      RUAWNWRUAYAXPUQZWIGHOOURIJOOURXMWQWSNUMZWKUCZUQXQXHSZXJSZMTFTETDTZWMWSNUM
      ZWKUCZUQYBABWMWNWRWRAWMUGZBWMUGZBWNUGZYGYIAYGAUFAYHWKAWMWSNYJANXORXNABCUS
      UKAWSUGULUNUTYAXPBYABUFBWOWKBWMWNNYKBNXORXNABCVAUKYLULUNUTWQWMUCZXMYGYDYI
      YMXKYFDEFMYMXIYEXJYMXDXQXHWQWMXCVDVBVBVCYMYCYHWKWQWMWSNVEVFVGWSWNUCZYGYAY
      IXPYNYFXTDEFMYNYEXSXJYNXHXRXQWSWNXGVDVHVBVCYNYHWOWKWSWNWMNVIVFVGXMABCWRWR
      NXMCVOZWTYOXDXHXJSZMTFTZSZETDTZCVOYQCDEWQXJCFMWSCKVJVKVKXMYSCXLYRDEXLXDYP
      SZMTFTYRXKYTFMXDXHXJVLVMXDYPFMVNVPVMVQVRVSRVTWAWBWCWKLWOWDWEWGWF $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w x y z C $.  $d w z R $.
    $d w x y z S $.
    ov6g.1 $e |- ( <. x , y >. = <. A , B >. -> R = S ) $.
    ov6g.2 $e |- F = { <. <. x , y >. , z >. | ( <. x , y >. e. C
                      /\ z = R ) } $.
    $( The value of an operation class abstraction.  Special case.
       (Contributed by NM, 13-Nov-2006.) $)
    ov6g $p |- ( ( ( A e. G /\ B e. H /\ <. A , B >. e. C ) /\ S e. J )
                     -> ( A F B ) = S ) $=
      ( vw wcel wa cv wceq wex cop w3a co cfv df-ov eqid biidd copsex2g 3adant3
      mpbiri adantr wi eqeq1 anbi1d eqeq2d eqcoms pm5.32i bitrdi 2exbidv anbi2d
      wb wmo moeq mosubop a1i coprab copab dfoprab2 eleq1 bitr3i 2exbii 19.42vv
      an12 bitri opabbii 3eqtri fvopab3ig 3ad2antl3 mpd eqtrid ) DJPZEKPZDEUAZF
      PZUBZHLPZQZDEIUCWCIUDZHDEIUEWGWCARZBRZUAZSZHHSZQZBTATZWHHSZWEWOWFWAWBWOWD
      WAWBQWOWMHUFWMWMABDEJKWIDSWJESQWMUGUHUJUIUKWDWAWFWOWPULWBORZWKSZCRZGSZQZB
      TATZWLWSHSZQZBTATWOOCWCHFLIWQWCSZXAXDABXEXAWLWTQXDXEWRWLWTWQWCWKUMUNWLWTX
      CWTXCVAWKWCWKWCSGHWSMUOUPUQURUSXCXDWNABXCXCWMWLWSHHUMUTUSXBCVBWQFPZWTCABW
      QCGVCVDVEIWKFPZWTQZABCVFWRXHQZBTATZOCVGXFXBQZOCVGNXHABCOVHXJXKOCXJXFXAQZB
      TATXKXIXLABXIWRXFWTQZQXLWRXMXHWRXFXGWTWQWKFVIUNUQWRXFWTVMVJVKXFXAABVLVNVO
      VPVQVRVSVT $.
  $}

  ${
    $d ph c $.  $d ps x $.  $d ch x y $.  $d th x y z $.  $d ta x y c $.
    $d R x y z c $.  $d S x y z c $.  $d A x y z c $.  $d B x y z c $.
    $d C x y z c $.
    ovg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ovg.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    ovg.3 $e |- ( z = C -> ( ch <-> th ) ) $.
    ovg.4 $e |- ( ( ta /\ ( x e. R /\ y e. S ) ) -> E! z ph ) $.
    ovg.5 $e |- F = { <. <. x , y >. , z >. |
                                            ( ( x e. R /\ y e. S ) /\ ph ) } $.
    $( The value of an operation class abstraction.  (Contributed by Jeff
       Madsen, 10-Jun-2010.) $)
    ovg $p |- ( ( ta /\ ( A e. R /\ B e. S /\ C e. D ) )
                                            -> ( ( A F B ) = C <-> th ) ) $=
      ( vc wcel w3a wa co wceq cop cv coprab df-ov fveq1i eqtri eqeq1i wb eqeq2
      cfv wi opeq2 eleq1d bibi12d imbi2d copab wfn weu wal ex alrimivv fnoprabg
      syl eleq1 anbi1d anbi2d opelopabg fnopfvb syl2an vtoclg com12 exp32 3imp2
      ibir anbi12d eloprabg adantl bitrd syl5bb biidd bianabs 3adant3 ) EIMUBZJ
      NUBZKLUBZUCZUDZIJOUEZKUFZWIWJUDZDUDZDWOIJUGZFUHZMUBZGUHZNUBZUDZAUDZFGHUIZ
      UPZKUFZWMWQWNXFKWNWROUPXFIJOUJWROXETUKULUMWMXGWRKUGZXEUBZWQEWIWJWKXGXIUNZ
      EWIWJWKXJUQWKEWPUDZXJXKXFUAUHZUFZWRXLUGZXEUBZUNZUQXKXJUQUAKLXLKUFZXPXJXKX
      QXMXGXOXIXLKXFUOXQXNXHXEXLKWRURUSUTVAEXEXCFGVBZVCZWRXRUBZXPWPEXCAHVDZUQZG
      VEFVEXSEYBFGEXCYASVFVGXCAFGHVHVIWPXTXCWIXBUDZWPFGIJMNWSIUFZWTWIXBWSIMVJVK
      ZXAJUFZXBWJWIXAJNVJVLZVMVTXRWRXLXEVNVOVPVQVRVSWLXIWQUNEXDYCBUDWPCUDWQFGHI
      JKMNLYDXCYCABYEPWAYFYCWPBCYGQWAHUHKUFCDWPRVLWBWCWDWEWLWQDUNZEWIWJYHWKWPWQ
      DWPWQWFWGWHWCWD $.
  $}

  $( The value of a restricted operation.  (Contributed by FL, 10-Nov-2006.) $)
  ovres $p |- ( ( A e. C /\ B e. D ) -> ( A ( F |` ( C X. D ) ) B )
    = ( A F B ) ) $=
    ( wcel wa cop cxp cres cfv co opelxpi fvresd df-ov 3eqtr4g ) ACFBDFGZABHZEC
    DIZJZKREKABTLABELQRSEABCDMNABTOABEOP $.

  ${
    ovresd.1 $e |- ( ph -> A e. X ) $.
    ovresd.2 $e |- ( ph -> B e. X ) $.
    $( Lemma for converting metric theorems to metric space theorems.
       (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    ovresd $p |- ( ph -> ( A ( D |` ( X X. X ) ) B ) = ( A D B ) ) $=
      ( wcel cxp cres co wceq ovres syl2anc ) ABEHCEHBCDEEIJKBCDKLFGBCEEDMN $.
  $}

  ${
    $d F x y $.  $d G x y $.  $d Y x y $.  $d ph x y $.
    oprres.v $e |- ( ( ph /\ x e. Y /\ y e. Y ) -> ( x F y ) = ( x G y ) ) $.
    oprres.s $e |- ( ph -> Y C_ X ) $.
    oprres.f $e |- ( ph -> F : ( Y X. Y ) --> R ) $.
    oprres.g $e |- ( ph -> G : ( X X. X ) --> S ) $.
    $( The restriction of an operation is an operation.  (Contributed by NM,
       1-Feb-2008.)  (Revised by AV, 19-Oct-2021.) $)
    oprres $p |- ( ph -> F = ( G |` ( Y X. Y ) ) ) $=
      ( cxp wceq cv co wa wfn syl2anc cres 3expb ovres adantl eqtr4d ralrimivva
      wral wcel eqid jctil wb ffnd wss xpss12 fnssres eqfnov mpbird ) AFGIINZUA
      ZOZURUROZBPZCPZFQZVBVCUSQZOZCIUGBIUGZRZAVGVAAVFBCIIAVBIUHZVCIUHZRZRVDVBVC
      GQZVEAVIVJVDVLOJUBVKVEVLOAVBVCIIGUCUDUEUFURUIUJAFURSUSURSZUTVHUKAURDFLULA
      GHHNZSURVNUMZVMAVNEGMULAIHUMZVPVOKKIHIHUNTVNURGUOTBCIIIIFUSUPTUQ $.
  $}

  $( The value of a member of the domain of a subclass of an operation.
     (Contributed by NM, 23-Aug-2007.) $)
  oprssov $p |- ( ( ( Fun F /\ G Fn ( C X. D ) /\ G C_ F ) /\
        ( A e. C /\ B e. D ) ) -> ( A F B ) = ( A G B ) ) $=
    ( wfun cxp wfn wss w3a wcel wa cres co wceq ovres adantl cdm eqtr3d reseq2d
    fndm 3ad2ant2 funssres 3adant2 oveqd adantr ) EGZFCDHZIZFEJZKZACLBDLMZMABEU
    INZOZABEOZABFOZUMUOUPPULABCDEQRULUOUQPUMULUNFABULEFSZNZUNFUJUHUSUNPUKUJURUI
    EUIFUBUAUCUHUKUSFPUJEFUDUETUFUGT $.

  $( An operation's value belongs to its codomain.  (Contributed by NM,
     27-Aug-2006.) $)
  fovrn $p |- ( ( F : ( R X. S ) --> C /\ A e. R /\ B e. S ) ->
               ( A F B ) e. C ) $=
    ( cxp wf wcel co wa cop opelxpi cfv df-ov ffvelrn eqeltrid sylan2 3impb ) D
    EGZCFHZADIZBEIZABFJZCIZUBUCKUAABLZTIZUEABDEMUAUGKUDUFFNCABFOTCUFFPQRS $.

  ${
    fovrnd.1 $e |- ( ph -> F : ( R X. S ) --> C ) $.
    $( An operation's value belongs to its codomain.  (Contributed by Mario
       Carneiro, 29-Dec-2016.) $)
    fovrnda $p |- ( ( ph /\ ( A e. R /\ B e. S ) ) -> ( A F B ) e. C ) $=
      ( wcel co cxp wf fovrn syl3an1 3expb ) ABEIZCFIZBCGJDIZAEFKDGLPQRHBCDEFGM
      NO $.

    fovrnd.2 $e |- ( ph -> A e. R ) $.
    fovrnd.3 $e |- ( ph -> B e. S ) $.
    $( An operation's value belongs to its codomain.  (Contributed by Mario
       Carneiro, 29-Dec-2016.) $)
    fovrnd $p |- ( ph -> ( A F B ) e. C ) $=
      ( cxp wf wcel co fovrn syl3anc ) AEFKDGLBEMCFMBCGNDMHIJBCDEFGOP $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w z C $.  $d w x y z F $.
    $( The range of an operation expressed as a collection of the operation's
       values.  (Contributed by NM, 29-Oct-2006.) $)
    fnrnov $p |- ( F Fn ( A X. B ) -> ran F = { z | E. x e. A E. y e. B
                     z = ( x F y ) } ) $=
      ( vw cxp wfn crn cv cfv wceq wrex cab co fnrnfv cop fveq2 df-ov eqtr4di
      eqeq2d rexxp abbii eqtrdi ) FDEHZIFJCKZGKZFLZMZGUFNZCOUGAKZBKZFPZMZBENADN
      ZCOGCUFFQUKUPCUJUOGABDEUHULUMRZMZUIUNUGURUIUQFLUNUHUQFSULUMFTUAUBUCUDUE
      $.

    $( An onto mapping of an operation expressed in terms of operation values.
       (Contributed by NM, 29-Oct-2006.) $)
    foov $p |- ( F : ( A X. B ) -onto-> C <-> ( F : ( A X. B ) --> C /\
                  A. z e. C E. x e. A E. y e. B z = ( x F y ) ) ) $=
      ( vw cxp wfo wf cv cfv wceq wrex wral wa co dffo3 cop fveq2 df-ov eqtr4di
      eqeq2d rexxp ralbii anbi2i bitri ) DEIZFGJUIFGKZCLZHLZGMZNZHUIOZCFPZQUJUK
      ALZBLZGRZNZBEOADOZCFPZQHCUIFGSUPVBUJUOVACFUNUTHABDEULUQURTZNZUMUSUKVDUMVC
      GMUSULVCGUAUQURGUBUCUDUEUFUGUH $.
  $}

  $( An operation's value belongs to its range.  (Contributed by NM,
     10-Feb-2007.) $)
  fnovrn $p |- ( ( F Fn ( A X. B ) /\ C e. A /\ D e. B ) ->
                   ( C F D ) e. ran F ) $=
    ( cxp wfn wcel co crn cop opelxpi cfv df-ov fnfvelrn eqeltrid sylan2 3impb
    wa ) EABFZGZCAHZDBHZCDEIZEJZHZUBUCSUACDKZTHZUFCDABLUAUHSUDUGEMUECDENTUGEOPQ
    R $.

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.  $d x y z F $.
    $( A member of an operation's range is a value of the operation.
       (Contributed by NM, 7-Feb-2007.)  (Revised by Mario Carneiro,
       30-Jan-2014.) $)
    ovelrn $p |- ( F Fn ( A X. B ) -> ( C e. ran F <->
                  E. x e. A E. y e. B C = ( x F y ) ) ) $=
      ( vz cxp wfn crn wcel cv co wceq wrex cab fnrnov eleq2d cvv rexlimivw
      ovex eleq1 mpbiri eqeq1 2rexbidv elab3 bitrdi ) FCDHIZEFJZKEGLZALZBLZFMZN
      ZBDOACOZGPZKEUMNZBDOZACOZUHUIUPEABGCDFQRUOUSGESURESKZACUQUTBDUQUTUMSKUKUL
      FUAEUMSUBUCTTUJENUNUQABCDUJEUMUDUEUFUG $.

    $( Membership relation for the values of a function whose image is a
       subclass.  (Contributed by Mario Carneiro, 23-Dec-2013.) $)
    funimassov $p |- ( ( Fun F /\ ( A X. B ) C_ dom F ) ->
        ( ( F " ( A X. B ) ) C_ C <-> A. x e. A A. y e. B ( x F y ) e. C ) ) $=
      ( vz wfun cxp cdm wss wa cima cv cfv wcel wral co funimass4 cop eqtr4di
      wceq fveq2 df-ov eleq1d ralxp bitrdi ) FHCDIZFJKLFUHMEKGNZFOZEPZGUHQANZBN
      ZFRZEPZBDQACQGUHEFSUKUOGABCDUIULUMTZUBZUJUNEUQUJUPFOUNUIUPFUCULUMFUDUAUEU
      FUG $.

    $( Operation value in an image.  (Contributed by Mario Carneiro,
       23-Dec-2013.)  (Revised by Mario Carneiro, 29-Jan-2014.) $)
    ovelimab $p |- ( ( F Fn A /\ ( B X. C ) C_ A ) ->
        ( D e. ( F " ( B X. C ) ) <-> E. x e. B E. y e. C D = ( x F y ) ) ) $=
      ( vz wfn cxp wss wa cima wcel cv cfv wceq wrex co bitrdi fvelimab eqtr4di
      cop fveq2 df-ov eqeq1d eqcom rexxp ) GCIDEJZCKLFGUIMNHOZGPZFQZHUIRFAOZBOZ
      GSZQZBERADRHCUIFGUAULUPHABDEUJUMUNUCZQZULUOFQUPURUKUOFURUKUQGPUOUJUQGUDUM
      UNGUEUBUFUOFUGTUHT $.
  $}

  $( An operation value is a member of the image plus null.  (Contributed by
     Thierry Arnoux, 25-Jun-2019.) $)
  ovima0 $p |- ( ( X e. A /\ Y e. B )
    -> ( X R Y ) e. ( ( R " ( A X. B ) ) u. { (/) } ) ) $=
    ( wcel wa co c0 wceq cxp cima csn cun simpr ssun2 0ex snid sselii wn eqeq1i
    eqeltrdi ssun1 cop cfv opelxpi notbii biimpi eliman0 syl2an eqeltrid sselid
    df-ov pm2.61dan ) DAFEBFGZDECHZIJZUPCABKZLZIMZNZFUOUQGUPIVAUOUQOUTVAIUTUSPI
    QRSUBUOUQTZGZUSVAUPUSUTUCVCUPDEUDZCUEZUSDECUMZUOVDURFVEIJZTZVEUSFVBDEABUFVB
    VHUQVGUPVEIVFUAUGUHVDURCUIUJUKULUN $.

  ${
    oprvalconst2.1 $e |- C e. _V $.
    $( The value of a constant operation.  (Contributed by NM, 5-Nov-2006.) $)
    ovconst2 $p |- ( ( R e. A /\ S e. B ) ->
                       ( R ( ( A X. B ) X. { C } ) S ) = C ) $=
      ( wcel wa cxp csn co cop cfv df-ov wceq opelxpi fvconst2 syl eqtrid ) DAG
      EBGHZDEABIZCJIZKDELZUBMZCDEUBNTUCUAGUDCODEABPUACUCFQRS $.
  $}

  ${
    $d x y S $.  $d x y F $.
    oprssdm.1 $e |- -. (/) e. S $.
    oprssdm.2 $e |- ( ( x e. S /\ y e. S ) -> ( x F y ) e. S ) $.
    $( Domain of closure of an operation.  (Contributed by NM, 24-Aug-1995.) $)
    oprssdm $p |- ( S X. S ) C_ dom F $=
      ( cxp cdm relxp cv cop wcel wa opelxp cfv co df-ov eqeltrrid wn c0 eleq1d
      ndmfv mtbiri con4i syl sylbi relssi ) ABCCGZDHZCCIAJZBJZKZUHLUJCLUKCLMZUL
      UILZUJUKCCNUMULDOZCLZUNUMUOUJUKDPCUJUKDQFRUNUPUNSZUPTCLEUQUOTCULDUBUAUCUD
      UEUFUG $.
  $}

  $( The value of an operation outside its domain.  (Contributed by Alexander
     van der Vekens, 7-Sep-2017.) $)
  nssdmovg $p |- ( ( dom F C_ ( R X. S ) /\ -. ( A e. R /\ B e. S ) )
              -> ( A F B ) = (/) ) $=
    ( cdm cxp wss wcel wa wn co cop cfv c0 df-ov wceq ssel2 opelxp sylib eqtrid
    stoic1a ndmfv syl ) EFZCDGZHZACIBDIJZKJZABELABMZENZOABEPUIUJUEIZKUKOQUGULUH
    UGULJUJUFIUHUEUFUJRABCDSTUBUJEUCUDUA $.

  $( The value of an operation outside its domain.  (Contributed by NM,
     28-Mar-2008.) $)
  ndmovg $p |- ( ( dom F = ( R X. S ) /\ -. ( A e. R /\ B e. S ) )
              -> ( A F B ) = (/) ) $=
    ( cdm cxp wceq wcel wa wn co cop cfv c0 df-ov eleq2 opelxp bitrdi notbid
    ndmfv syl6bir imp eqtrid ) EFZCDGZHZACIBDIJZKZJABELABMZENZOABEPUGUIUKOHZUGU
    IUJUEIZKULUGUMUHUGUMUJUFIUHUEUFUJQABCDRSTUJEUAUBUCUD $.

  ${
    ndmov.1 $e |- dom F = ( S X. S ) $.
    $( The value of an operation outside its domain.  (Contributed by NM,
       24-Aug-1995.) $)
    ndmov $p |- ( -. ( A e. S /\ B e. S ) -> ( A F B ) = (/) ) $=
      ( cdm cxp wceq wcel wa wn co c0 ndmovg mpan ) DFCCGHACIBCIJKABDLMHEABCCDN
      O $.

    ${
      ndmovcl.2 $e |- ( ( A e. S /\ B e. S ) -> ( A F B ) e. S ) $.
      ndmovcl.3 $e |- (/) e. S $.
      $( The closure of an operation outside its domain, when the domain
         includes the empty set.  This technical lemma can make the operation
         more convenient to work in some cases.  It is dependent on our
         particular definitions of operation value, function value, and ordered
         pair.  (Contributed by NM, 24-Sep-2004.) $)
      ndmovcl $p |- ( A F B ) e. S $=
        ( wcel wa co wn c0 ndmov eqeltrdi pm2.61i ) ACHBCHIZABDJZCHFPKQLCABCDEM
        GNO $.
    $}

    ${
      ndmovrcl.3 $e |- -. (/) e. S $.
      $( Reverse closure law, when an operation's domain doesn't contain the
         empty set.  (Contributed by NM, 3-Feb-1996.) $)
      ndmovrcl $p |- ( ( A F B ) e. S -> ( A e. S /\ B e. S ) ) $=
        ( wcel wa co wn c0 ndmov eleq1d mtbiri con4i ) ACGBCGHZABDIZCGZPJZRKCGF
        SQKCABCDELMNO $.
    $}

    $( Any operation is commutative outside its domain.  (Contributed by NM,
       24-Aug-1995.) $)
    ndmovcom $p |- ( -. ( A e. S /\ B e. S ) -> ( A F B ) = ( B F A ) ) $=
      ( wcel wa wn co c0 ndmov wceq ancom sylnbi eqtr4d ) ACFZBCFZGZHABDIJBADIZ
      ABCDEKRQPGSJLPQMBACDEKNO $.

    ${
      ndmov.5 $e |- -. (/) e. S $.
      $( Any operation is associative outside its domain, if the domain doesn't
         contain the empty set.  (Contributed by NM, 24-Aug-1995.) $)
      ndmovass $p |- ( -. ( A e. S /\ B e. S /\ C e. S ) ->
              ( ( A F B ) F C ) = ( A F ( B F C ) ) ) $=
        ( wcel w3a wn co c0 wa wceq ndmovrcl anim1i df-3an sylibr ndmov nsyl5
        anim2i 3anass eqtr4d ) ADHZBDHZCDHZIZJABEKZCEKZLABCEKZEKZUHDHZUFMZUGUIL
        NUMUDUEMZUFMUGULUNUFABDEFGOPUDUEUFQRUHCDEFSTUDUJDHZMZUGUKLNUPUDUEUFMZMU
        GUOUQUDBCDEFGOUAUDUEUFUBRAUJDEFSTUC $.

      ndmov.6 $e |- dom G = ( S X. S ) $.
      $( Any operation is distributive outside its domain, if the domain
         doesn't contain the empty set.  (Contributed by NM, 24-Aug-1995.) $)
      ndmovdistr $p |- ( -. ( A e. S /\ B e. S /\ C e. S ) ->
          ( A G ( B F C ) ) = ( ( A G B ) F ( A G C ) ) ) $=
        ( wcel w3a wn co c0 wa wceq ndmovrcl sylibr ndmov nsyl5 anim12i anandi3
        anim2i 3anass eqtr4d ) ADJZBDJZCDJZKZLABCEMZFMZNABFMZACFMZEMZUFUJDJZOZU
        IUKNPUPUFUGUHOZOUIUOUQUFBCDEGHQUCUFUGUHUDRAUJDFISTULDJZUMDJZOZUIUNNPUTU
        FUGOZUFUHOZOUIURVAUSVBABDFIHQACDFIHQUAUFUGUHUBRULUMDEGSTUE $.
    $}

    ndmovord.4 $e |- R C_ ( S X. S ) $.
    ndmovord.5 $e |- -. (/) e. S $.
    ndmovord.6 $e |- ( ( A e. S /\ B e. S /\ C e. S ) ->
                   ( A R B <-> ( C F A ) R ( C F B ) ) ) $.
    $( Elimination of redundant antecedents in an ordering law.  (Contributed
       by NM, 7-Mar-1996.) $)
    ndmovord $p |- ( C e. S -> ( A R B <-> ( C F A ) R ( C F B ) ) ) $=
      ( wcel wa wbr co wb wi 3expia brel ndmovrcl simprd wn anim12i syl pm2.61i
      pm5.21ni a1d ) AEKZBEKZLZCEKZABDMZCAFNZCBFNZDMZOZPUGUHUJUOJQUIUAUOUJUKUIU
      NABEEDHRUNULEKZUMEKZLUIULUMEEDHRUPUGUQUHUPUJUGCAEFGISTUQUJUHCBEFGISTUBUCU
      EUFUD $.
  $}

  ${
    ndmovordi.2 $e |- dom F = ( S X. S ) $.
    ndmovordi.4 $e |- R C_ ( S X. S ) $.
    ndmovordi.5 $e |- -. (/) e. S $.
    ndmovordi.6 $e |- ( C e. S -> ( A R B <-> ( C F A ) R ( C F B ) ) ) $.
    $( Elimination of redundant antecedent in an ordering law.  (Contributed by
       NM, 25-Jun-1998.) $)
    ndmovordi $p |- ( ( C F A ) R ( C F B ) -> A R B ) $=
      ( wcel co wbr brel simpld ndmovrcl syl biimprd mpcom ) CEKZCAFLZCBFLZDMZA
      BDMZUCUAEKZTUCUEUBEKUAUBEEDHNOUETAEKCAEFGIPOQTUDUCJRS $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Variable-to-class conversion for operations
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x y D $.  $d x y E $.  $d x y ph $.
    $d x y F $.
    caovclg.1 $e |- ( ( ph /\ ( x e. C /\ y e. D ) ) -> ( x F y ) e. E ) $.
    $( Convert an operation closure law to class notation.  (Contributed by
       Mario Carneiro, 26-May-2014.) $)
    caovclg $p |- ( ( ph /\ ( A e. C /\ B e. D ) ) -> ( A F B ) e. E ) $=
      ( cv co wcel wral wa ralrimivva wceq oveq1 eleq1d oveq2 rspc2v mpan9 ) AB
      KZCKZILZHMZCGNBFNDFMEGMODEILZHMZAUFBCFGJPUFUHDUDILZHMBCDEFGUCDQUEUIHUCDUD
      IRSUDEQUIUGHUDEDITSUAUB $.

    caovcld.2 $e |- ( ph -> A e. C ) $.
    caovcld.3 $e |- ( ph -> B e. D ) $.
    $( Convert an operation closure law to class notation.  (Contributed by
       Mario Carneiro, 30-Dec-2014.) $)
    caovcld $p |- ( ph -> ( A F B ) e. E ) $=
      ( wcel co id caovclg syl12anc ) AADFMEGMDEINHMAOKLABCDEFGHIJPQ $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y F $.  $d x y S $.
    caovcl.1 $e |- ( ( x e. S /\ y e. S ) -> ( x F y ) e. S ) $.
    $( Convert an operation closure law to class notation.  (Contributed by NM,
       4-Aug-1995.)  (Revised by Mario Carneiro, 26-May-2014.) $)
    caovcl $p |- ( ( A e. S /\ B e. S ) -> ( A F B ) e. S ) $=
      ( wtru wcel wa co tru cv adantl caovclg mpan ) HCEIDEIJCDFKEILHABCDEEEFAM
      ZEIBMZEIJQRFKEIHGNOP $.
  $}

  ${
    $( General laws for commutative, associative, distributive operations. $)
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.  $d x y z ph $.
    $d x y z F $.  $d x y z G $.  $d x y z H $.  $d x y z K $.  $d x y z R $.
    $d x y z S $.  $d x y z T $.
    ${
      caovcomg.1 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) ->
                          ( x F y ) = ( y F x ) ) $.
      $( Convert an operation commutative law to class notation.  (Contributed
         by Mario Carneiro, 1-Jun-2013.) $)
      caovcomg $p |- ( ( ph /\ ( A e. S /\ B e. S ) ) ->
                        ( A F B ) = ( B F A ) ) $=
        ( cv co wceq wral wcel wa ralrimivva oveq1 oveq2 eqeq12d rspc2v mpan9 )
        ABIZCIZGJZUBUAGJZKZCFLBFLDFMEFMNDEGJZEDGJZKZAUEBCFFHOUEUHDUBGJZUBDGJZKB
        CDEFFUADKUCUIUDUJUADUBGPUADUBGQRUBEKUIUFUJUGUBEDGQUBEDGPRST $.

      caovcomd.2 $e |- ( ph -> A e. S ) $.
      caovcomd.3 $e |- ( ph -> B e. S ) $.
      $( Convert an operation commutative law to class notation.  (Contributed
         by Mario Carneiro, 30-Dec-2014.) $)
      caovcomd $p |- ( ph -> ( A F B ) = ( B F A ) ) $=
        ( wcel co wceq id caovcomg syl12anc ) AADFKEFKDEGLEDGLMANIJABCDEFGHOP
        $.
    $}

    ${
      caovcom.1 $e |- A e. _V $.
      caovcom.2 $e |- B e. _V $.
      caovcom.3 $e |- ( x F y ) = ( y F x ) $.
      $( Convert an operation commutative law to class notation.  (Contributed
         by NM, 26-Aug-1995.)  (Revised by Mario Carneiro, 1-Jun-2013.) $)
      caovcom $p |- ( A F B ) = ( B F A ) $=
        ( cvv wcel wa co wceq pm3.2i cv a1i caovcomg mp2an ) CIJZSDIJZKCDELDCEL
        MFSTFGNSABCDIEAOZBOZELUBUAELMSUAIJUBIJKKHPQR $.
    $}

    ${
      caovassg.1 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ z e. S ) ) ->
        ( ( x F y ) F z ) = ( x F ( y F z ) ) ) $.
      $( Convert an operation associative law to class notation.  (Contributed
         by Mario Carneiro, 1-Jun-2013.)  (Revised by Mario Carneiro,
         26-May-2014.) $)
      caovassg $p |- ( ( ph /\ ( A e. S /\ B e. S /\ C e. S ) ) ->
          ( ( A F B ) F C ) = ( A F ( B F C ) ) ) $=
        ( cv co wceq wral wcel oveq1 oveq1d eqeq12d oveq2 oveq2d rspc3v mpan9
        w3a ralrimivvva ) ABKZCKZILZDKZILZUEUFUHILZILZMZDHNCHNBHNEHOFHOGHOUCEFI
        LZGILZEFGILZILZMZAULBCDHHHJUDULUQEUFILZUHILZEUJILZMUMUHILZEFUHILZILZMBC
        DEFGHHHUEEMZUIUSUKUTVDUGURUHIUEEUFIPQUEEUJIPRUFFMZUSVAUTVCVEURUMUHIUFFE
        ISQVEUJVBEIUFFUHIPTRUHGMZVAUNVCUPUHGUMISVFVBUOEIUHGFISTRUAUB $.

      caovassd.2 $e |- ( ph -> A e. S ) $.
      caovassd.3 $e |- ( ph -> B e. S ) $.
      caovassd.4 $e |- ( ph -> C e. S ) $.
      $( Convert an operation associative law to class notation.  (Contributed
         by Mario Carneiro, 30-Dec-2014.) $)
      caovassd $p |- ( ph -> ( ( A F B ) F C ) = ( A F ( B F C ) ) ) $=
        ( wcel co wceq id caovassg syl13anc ) AAEHNFHNGHNEFIOGIOEFGIOIOPAQKLMAB
        CDEFGHIJRS $.
    $}

    ${
      caovass.1 $e |- A e. _V $.
      caovass.2 $e |- B e. _V $.
      caovass.3 $e |- C e. _V $.
      caovass.4 $e |- ( ( x F y ) F z ) = ( x F ( y F z ) ) $.
      $( Convert an operation associative law to class notation.  (Contributed
         by NM, 26-Aug-1995.)  (Revised by Mario Carneiro, 26-May-2014.) $)
      caovass $p |- ( ( A F B ) F C ) = ( A F ( B F C ) ) $=
        ( cvv wcel co wceq wtru w3a tru cv wa a1i caovassg mpan mp3an ) DLMZELM
        ZFLMZDEGNFGNDEFGNGNOZHIJPUEUFUGQUHRPABCDEFLGASZBSZGNCSZGNUIUJUKGNGNOPUI
        LMUJLMUKLMQTKUAUBUCUD $.
    $}

    ${
      caovcang.1 $e |- ( ( ph /\ ( x e. T /\ y e. S /\ z e. S ) ) ->
                         ( ( x F y ) = ( x F z ) <-> y = z ) ) $.
      $( Convert an operation cancellation law to class notation.  (Contributed
         by NM, 20-Aug-1995.)  (Revised by Mario Carneiro, 30-Dec-2014.) $)
      caovcang $p |- ( ( ph /\ ( A e. T /\ B e. S /\ C e. S ) ) ->
                       ( ( A F B ) = ( A F C ) <-> B = C ) ) $=
        ( cv co wceq wb wral wcel oveq1 oveq2 bibi12d ralrimivvva bibi1d eqeq1d
        w3a eqeq12d eqeq1 eqeq2d eqeq2 rspc3v mpan9 ) ABLZCLZJMZUKDLZJMZNZULUNN
        ZOZDHPCHPBIPEIQFHQGHQUDEFJMZEGJMZNZFGNZOZAURBCDIHHKUAURVCEULJMZEUNJMZNZ
        UQOUSVENZFUNNZOBCDEFGIHHUKENZUPVFUQVIUMVDUOVEUKEULJRUKEUNJRUEUBULFNZVFV
        GUQVHVJVDUSVEULFEJSUCULFUNUFTUNGNZVGVAVHVBVKVEUTUSUNGEJSUGUNGFUHTUIUJ
        $.

      caovcand.2 $e |- ( ph -> A e. T ) $.
      caovcand.3 $e |- ( ph -> B e. S ) $.
      caovcand.4 $e |- ( ph -> C e. S ) $.
      $( Convert an operation cancellation law to class notation.  (Contributed
         by Mario Carneiro, 30-Dec-2014.) $)
      caovcand $p |- ( ph -> ( ( A F B ) = ( A F C ) <-> B = C ) ) $=
        ( wcel co wceq wb id caovcang syl13anc ) AAEIOFHOGHOEFJPEGJPQFGQRASLMNA
        BCDEFGHIJKTUA $.

      caovcanrd.5 $e |- ( ph -> A e. S ) $.
      caovcanrd.6 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) ->
                          ( x F y ) = ( y F x ) ) $.
      $( Commute the arguments of an operation cancellation law.  (Contributed
         by Mario Carneiro, 30-Dec-2014.) $)
      caovcanrd $p |- ( ph -> ( ( B F A ) = ( C F A ) <-> B = C ) ) $=
        ( co wceq caovcomd eqeq12d caovcand bitr3d ) AEFJQZEGJQZRFEJQZGEJQZRFGR
        AUCUEUDUFABCEFHJPOMSABCEGHJPONSTABCDEFGHIJKLMNUAUB $.
    $}

    ${
      caovcan.1 $e |- C e. _V $.
      caovcan.2 $e |- ( ( x e. S /\ y e. S ) ->
                   ( ( x F y ) = ( x F z ) -> y = z ) ) $.
      $( Convert an operation cancellation law to class notation.  (Contributed
         by NM, 20-Aug-1995.) $)
      caovcan $p |- ( ( A e. S /\ B e. S ) ->
                   ( ( A F B ) = ( A F C ) -> B = C ) ) $=
        ( cv co wceq wi oveq1 eqeq12d imbi1d oveq2 imbi12d wcel eqeq1d eqeq1 wa
        eqeq2d eqeq2 imbi2d vtocl vtocl2ga ) AKZBKZHLZUIFHLZMZUJFMZNZDUJHLZDFHL
        ZMZUNNDEHLZUQMZEFMZNABDEGGUIDMZUMURUNVBUKUPULUQUIDUJHOUIDFHOPQUJEMZURUT
        UNVAVCUPUSUQUJEDHRUAUJEFUBSUIGTUJGTUCZUKUICKZHLZMZUJVEMZNZNVDUONCFIVEFM
        ZVIUOVDVJVGUMVHUNVJVFULUKVEFUIHRUDVEFUJUESUFJUGUH $.
    $}

    ${
      caovordig.1 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ z e. S ) ) ->
                         ( x R y -> ( z F x ) R ( z F y ) ) ) $.
      $( Convert an operation ordering law to class notation.  (Contributed by
         Mario Carneiro, 31-Dec-2014.) $)
      caovordig $p |- ( ( ph /\ ( A e. S /\ B e. S /\ C e. S ) ) ->
                      ( A R B -> ( C F A ) R ( C F B ) ) ) $=
        ( cv wbr co wi wral wcel wceq oveq2 imbi12d w3a ralrimivvva breq1 breq2
        breq1d breq2d oveq1 breq12d imbi2d rspc3v mpan9 ) ABLZCLZHMZDLZULJNZUOU
        MJNZHMZOZDIPCIPBIPEIQFIQGIQUAEFHMZGEJNZGFJNZHMZOZAUSBCDIIIKUBUSVDEUMHMZ
        UOEJNZUQHMZOUTVFUOFJNZHMZOBCDEFGIIIULERZUNVEURVGULEUMHUCVJUPVFUQHULEUOJ
        SUETUMFRZVEUTVGVIUMFEHUDVKUQVHVFHUMFUOJSUFTUOGRZVIVCUTVLVFVAVHVBHUOGEJU
        GUOGFJUGUHUIUJUK $.

      caovordid.2 $e |- ( ph -> A e. S ) $.
      caovordid.3 $e |- ( ph -> B e. S ) $.
      caovordid.4 $e |- ( ph -> C e. S ) $.
      $( Convert an operation ordering law to class notation.  (Contributed by
         Mario Carneiro, 31-Dec-2014.) $)
      caovordid $p |- ( ph -> ( A R B -> ( C F A ) R ( C F B ) ) ) $=
        ( wcel wbr co wi id caovordig syl13anc ) AAEIOFIOGIOEFHPGEJQGFJQHPRASLM
        NABCDEFGHIJKTUA $.
    $}

    ${
      caovordg.1 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ z e. S ) ) ->
                         ( x R y <-> ( z F x ) R ( z F y ) ) ) $.
      $( Convert an operation ordering law to class notation.  (Contributed by
         NM, 19-Feb-1996.)  (Revised by Mario Carneiro, 30-Dec-2014.) $)
      caovordg $p |- ( ( ph /\ ( A e. S /\ B e. S /\ C e. S ) ) ->
                      ( A R B <-> ( C F A ) R ( C F B ) ) ) $=
        ( cv wbr co wb wral wcel wceq oveq2 bibi12d w3a ralrimivvva breq1 breq2
        breq1d breq2d oveq1 breq12d bibi2d rspc3v mpan9 ) ABLZCLZHMZDLZULJNZUOU
        MJNZHMZOZDIPCIPBIPEIQFIQGIQUAEFHMZGEJNZGFJNZHMZOZAUSBCDIIIKUBUSVDEUMHMZ
        UOEJNZUQHMZOUTVFUOFJNZHMZOBCDEFGIIIULERZUNVEURVGULEUMHUCVJUPVFUQHULEUOJ
        SUETUMFRZVEUTVGVIUMFEHUDVKUQVHVFHUMFUOJSUFTUOGRZVIVCUTVLVFVAVHVBHUOGEJU
        GUOGFJUGUHUIUJUK $.

      caovordd.2 $e |- ( ph -> A e. S ) $.
      caovordd.3 $e |- ( ph -> B e. S ) $.
      caovordd.4 $e |- ( ph -> C e. S ) $.
      $( Convert an operation ordering law to class notation.  (Contributed by
         Mario Carneiro, 30-Dec-2014.) $)
      caovordd $p |- ( ph -> ( A R B <-> ( C F A ) R ( C F B ) ) ) $=
        ( wcel wbr co wb id caovordg syl13anc ) AAEIOFIOGIOEFHPGEJQGFJQHPRASLMN
        ABCDEFGHIJKTUA $.

      caovord2d.com $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) ->
                            ( x F y ) = ( y F x ) ) $.
      $( Operation ordering law with commuted arguments.  (Contributed by Mario
         Carneiro, 30-Dec-2014.) $)
      caovord2d $p |- ( ph -> ( A R B <-> ( A F C ) R ( B F C ) ) ) $=
        ( wbr co caovordd caovcomd breq12d bitrd ) AEFHPGEJQZGFJQZHPEGJQZFGJQZH
        PABCDEFGHIJKLMNRAUBUDUCUEHABCGEIJONLSABCGFIJONMSTUA $.

      caovord3d.5 $e |- ( ph -> D e. S ) $.
      $( Ordering law.  (Contributed by Mario Carneiro, 30-Dec-2014.) $)
      caovord3d $p |- ( ph ->
        ( ( A F B ) = ( C F D ) -> ( A R C <-> D R B ) ) ) $=
        ( co wbr wb wceq breq1 caovord2d caovordd bibi12d syl5ibr ) EFKRZGHKRZU
        AEGISZHFISZTAUGGFKRZISZUHUKISZTUGUHUKIUBAUIULUJUMABCDEGFIJKLMONPUCABCDH
        FGIJKLQNOUDUEUF $.
    $}

    ${
      caovord.1 $e |- A e. _V $.
      caovord.2 $e |- B e. _V $.
      caovord.3 $e |- ( z e. S -> ( x R y <-> ( z F x ) R ( z F y ) ) ) $.
      $( Convert an operation ordering law to class notation.  (Contributed by
         NM, 19-Feb-1996.) $)
      caovord $p |- ( C e. S -> ( A R B <-> ( C F A ) R ( C F B ) ) ) $=
        ( wbr cv co wb wceq oveq1 wi oveq2 breq12d bibi2d wcel wa breq1 bibi12d
        breq1d breq2 breq2d sylan9bb imbi2d vtocl2 vtoclga ) DEGMZCNZDIOZUOEIOZ
        GMZPZUNFDIOZFEIOZGMZPCFHUOFQZURVBUNVCUPUTUQVAGUOFDIRUOFEIRUAUBUOHUCZANZ
        BNZGMZUOVEIOZUOVFIOZGMZPZSVDUSSABDEJKVEDQZVFEQZUDVKUSVDVLVKDVFGMZUPVIGM
        ZPVMUSVLVGVNVJVOVEDVFGUEVLVHUPVIGVEDUOITUGUFVMVNUNVOURVFEDGUHVMVIUQUPGV
        FEUOITUIUFUJUKLULUM $.

      $( (We don't bother to eliminate this redundant hypothesis.) $)
      caovord2.3 $e |- C e. _V $.
      caovord2.com $e |- ( x F y ) = ( y F x ) $.
      $( Operation ordering law with commuted arguments.  (Contributed by NM,
         27-Feb-1996.) $)
      caovord2 $p |- ( C e. S -> ( A R B <-> ( A F C ) R ( B F C ) ) ) $=
        ( wcel wbr co caovord caovcom breq12i bitrdi ) FHODEGPFDIQZFEIQZGPDFIQZ
        EFIQZGPABCDEFGHIJKLRUBUDUCUEGABFDIMJNSABFEIMKNSTUA $.

      $( (We don't bother to eliminate redundant hypotheses.) $)
      caovord3.4 $e |- D e. _V $.
      $( Ordering law.  (Contributed by NM, 29-Feb-1996.) $)
      caovord3 $p |- ( ( ( B e. S /\ C e. S ) /\
                ( A F B ) = ( C F D ) ) -> ( A R C <-> D R B ) ) $=
        ( wcel wa co wbr wceq wb caovord2 adantr breq1 sylan9bb ad2antlr bitr4d
        caovord ) EIQZFIQZRZDEJSZFGJSZUAZRDFHTZUNFEJSZHTZGEHTZULUPUMUQHTZUOURUJ
        UPUTUBUKABCDFEHIJKNMLOUCUDUMUNUQHUEUFUKUSURUBUJUOABCGEFHIJPLMUIUGUH $.
    $}

    ${
      caovdig.1 $e |- ( ( ph /\ ( x e. K /\ y e. S /\ z e. S ) ) ->
        ( x G ( y F z ) ) = ( ( x G y ) H ( x G z ) ) ) $.
      $( Convert an operation distributive law to class notation.  (Contributed
         by NM, 25-Aug-1995.)  (Revised by Mario Carneiro, 26-Jul-2014.) $)
      caovdig $p |- ( ( ph /\ ( A e. K /\ B e. S /\ C e. S ) ) ->
        ( A G ( B F C ) ) = ( ( A G B ) H ( A G C ) ) ) $=
        ( cv co wceq wral wcel oveq1 eqeq12d oveq12d oveq2d oveq2 oveq1d rspc3v
        w3a ralrimivvva mpan9 ) ABNZCNZDNZIOZJOZUIUJJOZUIUKJOZKOZPZDHQCHQBLQELR
        FHRGHRUFEFGIOZJOZEFJOZEGJOZKOZPZAUQBCDLHHMUGUQVCEULJOZEUJJOZEUKJOZKOZPE
        FUKIOZJOZUTVFKOZPBCDEFGLHHUIEPZUMVDUPVGUIEULJSVKUNVEUOVFKUIEUJJSUIEUKJS
        UATUJFPZVDVIVGVJVLULVHEJUJFUKISUBVLVEUTVFKUJFEJUCUDTUKGPZVIUSVJVBVMVHUR
        EJUKGFIUCUBVMVFVAUTKUKGEJUCUBTUEUH $.

      caovdid.2 $e |- ( ph -> A e. K ) $.
      caovdid.3 $e |- ( ph -> B e. S ) $.
      caovdid.4 $e |- ( ph -> C e. S ) $.
      $( Convert an operation distributive law to class notation.  (Contributed
         by Mario Carneiro, 30-Dec-2014.) $)
      caovdid $p |- ( ph -> ( A G ( B F C ) ) = ( ( A G B ) H ( A G C ) ) ) $=
        ( wcel co wceq id caovdig syl13anc ) AAELQFHQGHQEFGIRJREFJREGJRKRSATNOP
        ABCDEFGHIJKLMUAUB $.
    $}

    ${
      caovdir2d.1 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ z e. S ) ) ->
        ( x G ( y F z ) ) = ( ( x G y ) F ( x G z ) ) ) $.
      caovdir2d.2 $e |- ( ph -> A e. S ) $.
      caovdir2d.3 $e |- ( ph -> B e. S ) $.
      caovdir2d.4 $e |- ( ph -> C e. S ) $.
      caovdir2d.cl $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) ->
                           ( x F y ) e. S ) $.
      caovdir2d.com $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) ->
                            ( x G y ) = ( y G x ) ) $.
      $( Convert an operation distributive law to class notation.  (Contributed
         by Mario Carneiro, 30-Dec-2014.) $)
      caovdir2d $p |- ( ph
          -> ( ( A F B ) G C ) = ( ( A G C ) F ( B G C ) ) ) $=
        ( co caovdid caovcld caovcomd oveq12d 3eqtr4d ) AGEFIQZJQGEJQZGFJQZIQUC
        GJQEGJQZFGJQZIQABCDGEFHIJIHKNLMRABCUCGHJPABCEFHHHIOLMSNTAUFUDUGUEIABCEG
        HJPLNTABCFGHJPMNTUAUB $.
    $}

    ${
      caovdirg.1 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ z e. K ) ) ->
        ( ( x F y ) G z ) = ( ( x G z ) H ( y G z ) ) ) $.
      $( Convert an operation reverse distributive law to class notation.
         (Contributed by Mario Carneiro, 19-Oct-2014.) $)
      caovdirg $p |- ( ( ph /\ ( A e. S /\ B e. S /\ C e. K ) ) ->
        ( ( A F B ) G C ) = ( ( A G C ) H ( B G C ) ) ) $=
        ( cv co wceq wral wcel oveq1 oveq2 w3a ralrimivvva oveq1d oveq2d rspc3v
        eqeq12d oveq12d mpan9 ) ABNZCNZIOZDNZJOZUIULJOZUJULJOZKOZPZDLQCHQBHQEHR
        FHRGLRUAEFIOZGJOZEGJOZFGJOZKOZPZAUQBCDHHLMUBUQVCEUJIOZULJOZEULJOZUOKOZP
        URULJOZVFFULJOZKOZPBCDEFGHHLUIEPZUMVEUPVGVKUKVDULJUIEUJISUCVKUNVFUOKUIE
        ULJSUCUFUJFPZVEVHVGVJVLVDURULJUJFEITUCVLUOVIVFKUJFULJSUDUFULGPZVHUSVJVB
        ULGURJTVMVFUTVIVAKULGEJTULGFJTUGUFUEUH $.

      caovdird.2 $e |- ( ph -> A e. S ) $.
      caovdird.3 $e |- ( ph -> B e. S ) $.
      caovdird.4 $e |- ( ph -> C e. K ) $.
      $( Convert an operation distributive law to class notation.  (Contributed
         by Mario Carneiro, 30-Dec-2014.) $)
      caovdird $p |- ( ph -> ( ( A F B ) G C ) = ( ( A G C ) H ( B G C ) ) ) $=
        ( wcel co wceq id caovdirg syl13anc ) AAEHQFHQGLQEFIRGJREGJRFGJRKRSATNO
        PABCDEFGHIJKLMUAUB $.
    $}

    ${
      caovdi.1 $e |- A e. _V $.
      caovdi.2 $e |- B e. _V $.
      caovdi.3 $e |- C e. _V $.
      caovdi.4 $e |- ( x G ( y F z ) ) = ( ( x G y ) F ( x G z ) ) $.
      $( Convert an operation distributive law to class notation.  (Contributed
         by NM, 25-Aug-1995.)  (Revised by Mario Carneiro, 28-Jun-2013.) $)
      caovdi $p |- ( A G ( B F C ) ) = ( ( A G B ) F ( A G C ) ) $=
        ( cvv wcel co wceq wtru w3a tru cv wa a1i caovdig mpan mp3an ) DMNZEMNZ
        FMNZDEFGOHODEHODFHOGOPZIJKQUFUGUHRUISQABCDEFMGHGMATZBTZCTZGOHOUJUKHOUJU
        LHOGOPQUJMNUKMNULMNRUALUBUCUDUE $.
    $}

    ${
      caovd.1 $e |- ( ph -> A e. S ) $.
      caovd.2 $e |- ( ph -> B e. S ) $.
      caovd.3 $e |- ( ph -> C e. S ) $.
      caovd.com $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) ->
        ( x F y ) = ( y F x ) ) $.
      caovd.ass $e |- ( ( ph /\ ( x e. S /\ y e. S /\ z e. S ) ) ->
        ( ( x F y ) F z ) = ( x F ( y F z ) ) ) $.
      $( Rearrange arguments in a commutative, associative operation.
         (Contributed by NM, 26-Aug-1995.)  (Revised by Mario Carneiro,
         30-Dec-2014.) $)
      caov32d $p |- ( ph -> ( ( A F B ) F C ) = ( ( A F C ) F B ) ) $=
        ( co caovcomd oveq2d caovassd 3eqtr4d ) AEFGIOZIOEGFIOZIOEFIOGIOEGIOFIO
        ATUAEIABCFGHIMKLPQABCDEFGHINJKLRABCDEGFHINJLKRS $.

      $( Rearrange arguments in a commutative, associative operation.
         (Contributed by NM, 26-Aug-1995.)  (Revised by Mario Carneiro,
         30-Dec-2014.) $)
      caov12d $p |- ( ph -> ( A F ( B F C ) ) = ( B F ( A F C ) ) ) $=
        ( co caovcomd oveq1d caovassd 3eqtr3d ) AEFIOZGIOFEIOZGIOEFGIOIOFEGIOIO
        ATUAGIABCEFHIMJKPQABCDEFGHINJKLRABCDFEGHINKJLRS $.

      $( Rearrange arguments in a commutative, associative operation.
         (Contributed by NM, 26-Aug-1995.)  (Revised by Mario Carneiro,
         30-Dec-2014.) $)
      caov31d $p |- ( ph -> ( ( A F B ) F C ) = ( ( C F B ) F A ) ) $=
        ( co caovcomd oveq1d caov32d 3eqtr4d ) AEGIOZFIOGEIOZFIOEFIOGIOGFIOEIOA
        TUAFIABCEGHIMJLPQABCDEFGHIJKLMNRABCDGFEHILKJMNRS $.

      $( Rearrange arguments in a commutative, associative operation.
         (Contributed by NM, 26-Aug-1995.)  (Revised by Mario Carneiro,
         30-Dec-2014.) $)
      caov13d $p |- ( ph -> ( A F ( B F C ) ) = ( C F ( B F A ) ) ) $=
        ( co caov31d caovassd 3eqtr3d ) AEFIOGIOGFIOEIOEFGIOIOGFEIOIOABCDEFGHIJ
        KLMNPABCDEFGHINJKLQABCDGFEHINLKJQR $.

      ${
        caovd.4 $e |- ( ph -> D e. S ) $.
        caovd.cl $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x F y ) e. S ) $.
        $( Rearrange arguments in a commutative, associative operation.
           (Contributed by NM, 26-Aug-1995.)  (Revised by Mario Carneiro,
           30-Dec-2014.) $)
        caov4d $p |- ( ph -> ( ( A F B ) F ( C F D ) ) =
                             ( ( A F C ) F ( B F D ) ) ) $=
          ( co caovcld caovassd caov12d oveq2d 3eqtr4d ) AEFGHJRZJRZJREGFHJRZJR
          ZJREFJRUDJREGJRUFJRAUEUGEJABCDFGHIJLMPNOUAUBABCDEFUDIJOKLABCGHIIIJQMP
          STABCDEGUFIJOKMABCFHIIIJQLPSTUC $.

        $( Rearrange arguments in a commutative, associative operation.
           (Contributed by NM, 26-Aug-1995.)  (Revised by Mario Carneiro,
           30-Dec-2014.) $)
        caov411d $p |- ( ph -> ( ( A F B ) F ( C F D ) ) =
                               ( ( C F B ) F ( A F D ) ) ) $=
          ( co caovcomd oveq1d caov4d 3eqtr3d ) AFEJRZGHJRZJRFGJRZEHJRZJREFJRZU
          DJRGFJRZUFJRABCDFEGHIJLKMNOPQUAAUCUGUDJABCFEIJNLKSTAUEUHUFJABCFGIJNLM
          STUB $.

        $( Rearrange arguments in a commutative, associative operation.
           (Contributed by NM, 26-Aug-1995.)  (Revised by Mario Carneiro,
           30-Dec-2014.) $)
        caov42d $p |- ( ph -> ( ( A F B ) F ( C F D ) ) =
                              ( ( A F C ) F ( D F B ) ) ) $=
          ( co caov4d caovcomd oveq2d eqtrd ) AEFJRGHJRJREGJRZFHJRZJRUCHFJRZJRA
          BCDEFGHIJKLMNOPQSAUDUEUCJABCFHIJNLPTUAUB $.
      $}
    $}

    ${
      caov.1 $e |- A e. _V $.
      caov.2 $e |- B e. _V $.
      caov.3 $e |- C e. _V $.
      caov.com $e |- ( x F y ) = ( y F x ) $.
      caov.ass $e |- ( ( x F y ) F z ) = ( x F ( y F z ) ) $.
      $( Rearrange arguments in a commutative, associative operation.
         (Contributed by NM, 26-Aug-1995.) $)
      caov32 $p |- ( ( A F B ) F C ) = ( ( A F C ) F B ) $=
        ( co caovcom oveq2i caovass 3eqtr4i ) DEFGMZGMDFEGMZGMDEGMFGMDFGMEGMRSD
        GABEFGIJKNOABCDEFGHIJLPABCDFEGHJILPQ $.

      $( Rearrange arguments in a commutative, associative operation.
         (Contributed by NM, 26-Aug-1995.) $)
      caov12 $p |- ( A F ( B F C ) ) = ( B F ( A F C ) ) $=
        ( co caovcom oveq1i caovass 3eqtr3i ) DEGMZFGMEDGMZFGMDEFGMGMEDFGMGMRSF
        GABDEGHIKNOABCDEFGHIJLPABCEDFGIHJLPQ $.

      $( Rearrange arguments in a commutative, associative operation.
         (Contributed by NM, 26-Aug-1995.) $)
      caov31 $p |- ( ( A F B ) F C ) = ( ( C F B ) F A ) $=
        ( co caovass caov12 eqtri caov32 eqtr3i 3eqtr4i ) DFGMEGMZFDEGMZGMZUAFG
        MFEGMZDGMZTDUCGMUBABCDFEGHJILNABCDFEGHJIKLOPABCDEFGHIJKLQFDGMEGMUDUBABC
        FDEGJHIKLQABCFDEGJHILNRS $.

      $( Rearrange arguments in a commutative, associative operation.
         (Contributed by NM, 26-Aug-1995.) $)
      caov13 $p |- ( A F ( B F C ) ) = ( C F ( B F A ) ) $=
        ( co caov31 caovass 3eqtr3i ) DEGMFGMFEGMDGMDEFGMGMFEDGMGMABCDEFGHIJKLN
        ABCDEFGHIJLOABCFEDGJIHLOP $.

      ${
        caov.4 $e |- D e. _V $.
        $( Rearrange arguments in a commutative, associative operation.
           (Contributed by NM, 26-Aug-1995.) $)
        caov4 $p |- ( ( A F B ) F ( C F D ) ) = ( ( A F C ) F ( B F D ) ) $=
          ( co caov12 oveq2i ovex caovass 3eqtr4i ) DEFGHOZHOZHODFEGHOZHOZHODEH
          OUAHODFHOUCHOUBUDDHABCEFGHJKNLMPQABCDEUAHIJFGHRMSABCDFUCHIKEGHRMST $.

        $( Rearrange arguments in a commutative, associative operation.
           (Contributed by NM, 26-Aug-1995.) $)
        caov411 $p |- ( ( A F B ) F ( C F D ) ) = ( ( C F B ) F ( A F D ) ) $=
          ( co caov31 oveq1i ovex caovass 3eqtr3i ) DEHOZFHOZGHOFEHOZDHOZGHOUAF
          GHOHOUCDGHOHOUBUDGHABCDEFHIJKLMPQABCUAFGHDEHRKNMSABCUCDGHFEHRINMST $.

        $( Rearrange arguments in a commutative, associative operation.
           (Contributed by NM, 26-Aug-1995.) $)
        caov42 $p |- ( ( A F B ) F ( C F D ) ) =
                        ( ( A F C ) F ( D F B ) ) $=
          ( co caov4 caovcom oveq2i eqtri ) DEHOFGHOHODFHOZEGHOZHOTGEHOZHOABCDE
          FGHIJKLMNPUAUBTHABEGHJNLQRS $.
      $}
    $}

    ${
      caovdir.1 $e |- A e. _V $.
      caovdir.2 $e |- B e. _V $.
      caovdir.3 $e |- C e. _V $.
      caovdir.com $e |- ( x G y ) = ( y G x ) $.
      caovdir.distr $e |- ( x G ( y F z ) ) = ( ( x G y ) F ( x G z ) ) $.
      $( Reverse distributive law.  (Contributed by NM, 26-Aug-1995.) $)
      caovdir $p |- ( ( A F B ) G C ) = ( ( A G C ) F ( B G C ) ) $=
        ( co caovdi ovex caovcom oveq12i 3eqtr3i ) FDEGNZHNFDHNZFEHNZGNTFHNDFHN
        ZEFHNZGNABCFDEGHKIJMOABFTHKDEGPLQUAUCUBUDGABFDHKILQABFEHKJLQRS $.

      $d x y z H $.  $d x y z R $.
      caovdl.4 $e |- D e. _V $.
      caovdl.5 $e |- H e. _V $.
      caovdl.ass $e |- ( ( x G y ) G z ) = ( x G ( y G z ) ) $.
      $( Lemma used by real number construction.  (Contributed by NM,
         26-Aug-1995.) $)
      caovdilem $p |- ( ( ( A G C ) F ( B G D ) ) G H ) =
                       ( ( A G ( C G H ) ) F ( B G ( D G H ) ) ) $=
        ( co ovex caovdir caovass oveq12i eqtri ) DFISZEGISZHSJISUEJISZUFJISZHS
        DFJISISZEGJISISZHSABCUEUFJHIDFITEGITQNOUAUGUIUHUJHABCDFJIKMQRUBABCEGJIL
        PQRUBUCUD $.

      caovdl2.6 $e |- R e. _V $.
      caovdl2.com $e |- ( x F y ) = ( y F x ) $.
      caovdl2.ass $e |- ( ( x F y ) F z ) = ( x F ( y F z ) ) $.
      $( Lemma used in real number construction.  (Contributed by NM,
         26-Aug-1995.) $)
      caovlem2 $p |- ( ( ( ( A G C ) F ( B G D ) ) G H ) F
                        ( ( ( A G D ) F ( B G C ) ) G R ) ) =
   ( ( A G ( ( C G H ) F ( D G R ) ) ) F ( B G ( ( C G R ) F ( D G H ) ) ) ) $=
        ( co ovex caov42 caovdilem oveq12i caovdi 3eqtr4i ) DFKJUCZJUCZEGKJUCZJ
        UCZIUCZDGHJUCZJUCZEFHJUCZJUCZIUCZIUCUKUPIUCZURUMIUCZIUCDFJUCEGJUCIUCKJU
        CZDGJUCEFJUCIUCHJUCZIUCDUJUOIUCJUCZEUQULIUCJUCZIUCABCUKUMUPURIDUJJUDEUL
        JUDDUOJUDUAUBEUQJUDUEVBUNVCUSIABCDEFGIJKLMNOPQRSUFABCDEGFIJHLMQOPNTSUFU
        GVDUTVEVAIABCDUJUOIJLFKJUDGHJUDPUHABCEUQULIJMFHJUDGKJUDPUHUGUI $.
    $}

    ${
      $d u w A $.  $d u v w x y B $.  $d u v w x y z F $.  $d w x S $.
      $( Identity element. $)
      caovmo.2 $e |- B e. S $.
      caovmo.dom $e |- dom F = ( S X. S ) $.
      caovmo.3 $e |- -. (/) e. S $.
      caovmo.com $e |- ( x F y ) = ( y F x ) $.
      caovmo.ass $e |- ( ( x F y ) F z ) = ( x F ( y F z ) ) $.
      caovmo.id $e |- ( x e. S -> ( x F B ) = x ) $.
      $( Uniqueness of inverse element in commutative, associative operation
         with identity.  Remark in proof of Proposition 9-2.4 of [Gleason]
         p. 119.  (Contributed by NM, 4-Mar-1996.) $)
      caovmo $p |- E* w ( A F w ) = B $=
        ( vv wcel cv co wceq wa vu wmo oveq1 eqeq1d mobidv wal oveq2 mo4 oveq2d
        wi simpr simpl oveq1d caovass caov12 eqtri elexi caovcom 3eqtr3g eqtr3d
        vex eqeltrdi ndmovrcl id eqeq12d vtoclga simpl2im 3eqtr3d ax-gen mpgbir
        syl vtoclg moanimv mpbir eleq1 mpbiri simpld ancri moimi ax-mp ) EGPZED
        QZHRZFSZTZDUBZWDDUBZWFWAWGUJUAQZWBHRZFSZDUBZWGUAEGWHESZWJWDDWLWIWCFWHEW
        BHUCUDUEWKWJWHOQZHRZFSZTZWBWMSZUJZOUFDWJWODOWQWIWNFWBWMWHHUGUDUHWROWPWB
        FHRZWMFHRZWBWMWPWBWNHRZWSWTWPWNFWBHWJWOUKZUIWPWIWMHRZFWMHRXAWTWPWIFWMHW
        JWOULZUMXCWHWBWMHRHRXAABCWHWBWMHUAVAZDVAZOVAZMUNABCWHWBWMHXEXFXGLMUOUPA
        BFWMHFGIUQXGLURUSUTWPWHGPZWBGPZWSWBSZWPWIGPXHXITWPWIFGXDIVBWHWBGHJKVCVK
        AQZFHRZXKSZXJAWBGXKWBSZXLWSXKWBXKWBFHUCXNVDVENVFVGWPXHWMGPZWTWMSZWPWNGP
        XHXOTWPWNFGXBIVBWHWMGHJKVCVKXMXPAWMGXKWMSZXLWTXKWMXKWMFHUCXQVDVENVFVGVH
        VIVJVLWAWDDVMVNWDWEDWDWAWDWAXIWDWCGPZWAXITWDXRFGPIWCFGVOVPEWBGHJKVCVKVQ
        VRVSVT $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Maps-to notation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.  $d X x y z $.  $d Y x y z $.  $d C z $.
    mpondm0.f $e |- F = ( x e. X , y e. Y |-> C ) $.
    $( The value of an operation given by a maps-to rule is the empty set if
       the arguments are not contained in the base sets of the rule.
       (Contributed by Alexander van der Vekens, 12-Oct-2017.) $)
    mpondm0 $p |- ( -. ( V e. X /\ W e. Y ) -> ( V F W ) = (/) ) $=
      ( vz cdm cxp wss wcel wa wn co c0 wceq cv coprab cmpo eqtri dmeqi eqsstri
      df-mpo dmoprabss nssdmovg mpan ) DKZGHLZMEGNFHNOPEFDQRSUJATGNBTHNOJTCSZOA
      BJUAZKUKDUMDABGHCUBUMIABJGHCUFUCUDULABJGHUGUEEFGHDUHUI $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C z $.
    elmpocl.f $e |- F = ( x e. A , y e. B |-> C ) $.
    $( If a two-parameter class is not empty, constrain the implicit pair.
       (Contributed by Stefan O'Rear, 7-Mar-2015.) $)
    elmpocl $p |- ( X e. ( S F T ) -> ( S e. A /\ T e. B ) ) $=
      ( vz co wcel cop cxp wa cdm cv wceq coprab df-mpo eqtri dmoprabss eqsstri
      cmpo dmeqi cfv elfvdm df-ov eleq2s sselid opelxp sylib ) IFGHLZMZFGNZCDOZ
      MFCMGDMPUOHQZUQUPURARCMBRDMPKRESZPABKTZQUQHUTHABCDEUEUTJABKCDEUAUBUFUSABK
      CDUCUDUPURMIUPHUGUNIUPHUHFGHUIUJUKFGCDULUM $.

    $( If a two-parameter class is not empty, the first argument is in its
       nominal domain.  (Contributed by FL, 15-Oct-2012.)  (Revised by Stefan
       O'Rear, 7-Mar-2015.) $)
    elmpocl1 $p |- ( X e. ( S F T ) -> S e. A ) $=
      ( co wcel elmpocl simpld ) IFGHKLFCLGDLABCDEFGHIJMN $.

    $( If a two-parameter class is not empty, the second argument is in its
       nominal domain.  (Contributed by FL, 15-Oct-2012.)  (Revised by Stefan
       O'Rear, 7-Mar-2015.) $)
    elmpocl2 $p |- ( X e. ( S F T ) -> T e. B ) $=
      ( co wcel elmpocl simprd ) IFGHKLFCLGDLABCDEFGHIJMN $.
  $}

  ${
    $d A a b $.  $d B a b $.  $d E a b $.  $d F a b $.  $d X a b $.
    $d Y a b $.
    elovmpo.d $e |- D = ( a e. A , b e. B |-> C ) $.
    elovmpo.c $e |- C e. _V $.
    elovmpo.e $e |- ( ( a = X /\ b = Y ) -> C = E ) $.
    $( Utility lemma for two-parameter classes.

       _EDITORIAL_: can simplify ~ isghm , ~ islmhm .  (Contributed by Stefan
       O'Rear, 21-Jan-2015.) $)
    elovmpo $p |- ( F e. ( X D Y ) <-> ( X e. A /\ Y e. B /\ F e. E ) ) $=
      ( co wcel wa cvv wceq wal cv w3a elmpocl eleq1d spc2gv mpi ovmpoga eleq2d
      gen2 mpd3an3 biadanii df-3an bitr4i ) FGHDNZOZGAOZHBOZPZFEOZPUOUPURUAUNUQ
      URIJABCGHDFKUBUQUMEFUOUPEQOZUMERUQCQOZJSISUSUTIJLUHUTUSIJGHABITGRJTHRPCEQ
      MUCUDUEIJGHABCEDQMKUFUIUGUJUOUPURUKUL $.
  $}

  ${
    $d M x y z $.  $d X x y z $.  $d Y x y z $.  $d Z z $.
    elovmporab.o $e |- O = ( x e. _V , y e. _V |-> { z e. M | ph } ) $.
    elovmporab.v $e |- ( ( X e. _V /\ Y e. _V ) -> M e. _V ) $.
    $( Implications for the value of an operation, defined by the maps-to
       notation with a class abstraction as a result, having an element.
       (Contributed by Alexander van der Vekens, 15-Jul-2018.) $)
    elovmporab $p |- ( Z e. ( X O Y ) -> ( X e. _V /\ Y e. _V /\ Z e. M ) ) $=
      ( cvv wcel wa crab wsbc wceq cv nfcv nfel1 co w3a elmpocl cmpo wb sbceq1a
      a1i sylan9bbr adantl rabbidv eqidd simpl simpr rabexg nfan nfsbc1v nfrabw
      syl nfsbcw ovmpodxf eleq2d df-3an simplbi2com elrabi syl11 sylbid mpcom )
      GLMZHLMZNZIGHFUAZMZVHVIIEMZUBZBCLLADEOZGHFIJUCVJVLIACHPZBGPZDEOZMZVNVJVKV
      RIVJBCGHLLVOVRFLLFBCLLVOUDQVJJUGVJBRGQZCRHQZNZNAVQDEWBAVQUEVJWAAVPVTVQACH
      UFVPBGUFUHUIUJVJVTNLUKVHVIULVHVIUMVJELMVRLMKVQDELUNURVHVIBBGLBGSTBHLBHSZT
      UOVHVICCGLCGSZTCHLCHSTUOWDWCVQBDEVPBGUPBESUQVQCDEVPCBGWDACHUPUSCESUQUTVAV
      MVJVNVSVNVJVMVHVIVMVBVCVQDIEVDVEVFVG $.
  $}

  ${
    $d M x y z $.  $d X x y z $.  $d Y x y z $.  $d Z z $.  $d m x y z $.
    elovmporab1w.o $e |- O = ( x e. _V , y e. _V
                              |-> { z e. [_ x / m ]_ M | ph } ) $.
    elovmporab1w.v $e |- ( ( X e. _V /\ Y e. _V ) -> [_ X / m ]_ M e. _V ) $.
    $( Implications for the value of an operation, defined by the maps-to
       notation with a class abstraction as a result, having an element.  Here,
       the base set of the class abstraction depends on the first operand.
       Version of ~ elovmporab1 with a disjoint variable condition, which does
       not require ~ ax-13 .  (Contributed by Alexander van der Vekens,
       15-Jul-2018.)  (Revised by Gino Giotto, 26-Jan-2024.) $)
    elovmporab1w $p |- ( Z e. ( X O Y )
                         -> ( X e. _V /\ Y e. _V /\ Z e. [_ X / m ]_ M ) ) $=
      ( cvv wcel wa csb cv wceq nfcv nfel1 co w3a crab elmpocl wsbc cmpo csbeq1
      a1i ad2antrl wb sbceq1a sylan9bbr adantl rabeqbidv eqidd simpl rabexg syl
      simpr nfan nfcsbw nfrabw nfsbcw ovmpodxf eleq2d df-3an simplbi2com elrabi
      nfsbc1v syl11 sylbid mpcom ) HMNZIMNZOZJHIGUAZNZVMVNJEHFPZNZUBZBCMMADEBQZ
      FPZUCZHIGJKUDVOVQJACIUEZBHUEZDVRUCZNZVTVOVPWFJVOBCHIMMWCWFGMMGBCMMWCUFRVO
      KUHVOWAHRZCQIRZOZOAWEDWBVRWHWBVRRVOWIEWAHFUGUIWJAWEUJVOWIAWDWHWEACIUKWDBH
      UKULUMUNVOWHOMUOVMVNUPVMVNUSVOVRMNWFMNLWEDVRMUQURVMVNBBHMBHSZTBIMBISZTUTV
      MVNCCHMCHSZTCIMCISTUTWMWLWEBDVRWDBHVIBEHFWKBFSVAVBWECDVRWDCBHWMACIVIVCCEH
      FWMCFSVAVBVDVEVSVOVTWGVTVOVSVMVNVSVFVGWEDJVRVHVJVKVL $.
    $( $j usage 'elovmporab1w' avoids 'ax-13'; $)
  $}

  ${
    $d M x y z $.  $d X x y z $.  $d Y x y z $.  $d Z z $.  $d m z $.
    elovmporab1.o $e |- O = ( x e. _V , y e. _V
                              |-> { z e. [_ x / m ]_ M | ph } ) $.
    elovmporab1.v $e |- ( ( X e. _V /\ Y e. _V ) -> [_ X / m ]_ M e. _V ) $.
    $( Implications for the value of an operation, defined by the maps-to
       notation with a class abstraction as a result, having an element.  Here,
       the base set of the class abstraction depends on the first operand.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       Use the weaker ~ elovmporab1w when possible.  (Contributed by Alexander
       van der Vekens, 15-Jul-2018.)  (New usage is discouraged.) $)
    elovmporab1 $p |- ( Z e. ( X O Y )
                         -> ( X e. _V /\ Y e. _V /\ Z e. [_ X / m ]_ M ) ) $=
      ( cvv wcel wa csb cv wceq nfcv nfel1 co w3a crab elmpocl wsbc cmpo csbeq1
      a1i ad2antrl wb sbceq1a sylan9bbr adantl rabeqbidv eqidd simpl rabexg syl
      simpr nfsbc1v nfcsb nfrab nfsbc ovmpodxf eleq2d df-3an simplbi2com elrabi
      nfan syl11 sylbid mpcom ) HMNZIMNZOZJHIGUAZNZVMVNJEHFPZNZUBZBCMMADEBQZFPZ
      UCZHIGJKUDVOVQJACIUEZBHUEZDVRUCZNZVTVOVPWFJVOBCHIMMWCWFGMMGBCMMWCUFRVOKUH
      VOWAHRZCQIRZOZOAWEDWBVRWHWBVRRVOWIEWAHFUGUIWJAWEUJVOWIAWDWHWEACIUKWDBHUKU
      LUMUNVOWHOMUOVMVNUPVMVNUSVOVRMNWFMNLWEDVRMUQURVMVNBBHMBHSZTBIMBISZTVIVMVN
      CCHMCHSZTCIMCISTVIWMWLWEBDVRWDBHUTBEHFWKBFSVAVBWECDVRWDCBHWMACIUTVCCEHFWM
      CFSVAVBVDVEVSVOVTWGVTVOVSVMVNVSVFVGWEDJVRVHVJVKVL $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C s t $.  $d D s t $.
    2mpo0.o $e |- O = ( x e. A , y e. B |-> E ) $.
    2mpo0.u $e |- ( ( X e. A /\ Y e. B )
                     -> ( X O Y ) = ( s e. C , t e. D |-> F ) ) $.
    $( If the operation value of the operation value of two nested maps-to
       notation is not empty, all involved arguments belong to the
       corresponding base classes of the maps-to notations.  (Contributed by
       AV, 21-May-2021.) $)
    2mpo0 $p |- ( -. ( ( X e. A /\ Y e. B ) /\ ( S e. C /\ T e. D ) )
                   -> ( S ( X O Y ) T ) = (/) ) $=
      ( wcel wa c0 wn wo co wceq ianor mpondm0 oveqd eqtrdi notnotb cmpo adantr
      0ov eqid adantl eqtrd sylanbr jaoi3 sylbi ) MDRNERSZHFRIGRSZSUAUSUAZUTUAZ
      UBHIMNLUCZUCZTUDZUSUTUEVAVEVBVAVDHITUCTVAVCTHIABJLMNDEPUFUGHIULUHVAUAUSVB
      VEUSUIUSVBSZVDHIOCFGKUJZUCZTVFVCVGHIUSVCVGUDVBQUKUGVBVHTUDUSOCKVGHIFGVGUM
      UFUNUOUPUQUR $.
  $}

  ${
    $d x A $.
    relmptopab.1 $e |- F = ( x e. A |-> { <. y , z >. | ph } ) $.
    $( Any function to sets of ordered pairs produces a relation on function
       value unconditionally.  (Contributed by Mario Carneiro, 7-Aug-2014.)
       (Proof shortened by Mario Carneiro, 24-Dec-2016.) $)
    relmptopab $p |- Rel ( F ` B ) $=
      ( cfv wrel cvv cxp wss copab fvmptss cv wcel relopab df-rel mpbi a1i mprg
      mpbir ) FGIZJUDKKLZMZACDNZUEMZUFBEBEUGUEFGHOUHBPEQUGJUHACDRUGSTUAUBUDSUC
      $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.  $d x y ph $.
    f1od.1 $e |- F = ( x e. A |-> C ) $.
    ${
      f1od.2 $e |- ( ( ph /\ x e. A ) -> C e. W ) $.
      f1od.3 $e |- ( ( ph /\ y e. B ) -> D e. X ) $.
      f1od.4 $e |- ( ph -> ( ( x e. A /\ y = C ) <-> ( y e. B /\ x = D ) ) ) $.
      $( Describe an implicit one-to-one onto function.  (Contributed by Mario
         Carneiro, 30-Apr-2015.) $)
      f1ocnvd $p |- ( ph ->
        ( F : A -1-1-onto-> B /\ `' F = ( y e. B |-> D ) ) ) $=
        ( ccnv cmpt wceq wfn wcel copab wf1o wral ralrimiva fnmpt eqid opabbidv
        cv wa df-mpt eqtri cnveqi cnvopab 3eqtr4g fneq1d mpbird dff1o4 sylanbrc
        syl jca ) ADEHUAZHOZCEGPZQAHDRZVAERZUTAFISZBDUBVCAVEBDLUCBDFHIKUDURAVDV
        BERZAGJSZCEUBVFAVGCEMUCCEGVBJVBUEUDURAEVAVBABUGZDSCUGZFQUHZCBTZVIESVHGQ
        UHZCBTVAVBAVJVLCBNUFVAVJBCTZOVKHVMHBDFPVMKBCDFUIUJUKVJBCULUJCBEGUIUMZUN
        UODEHUPUQVNUS $.

      $( Describe an implicit one-to-one onto function.  (Contributed by Mario
         Carneiro, 12-May-2014.) $)
      f1od $p |- ( ph -> F : A -1-1-onto-> B ) $=
        ( wf1o ccnv cmpt wceq f1ocnvd simpld ) ADEHOHPCEGQRABCDEFGHIJKLMNST $.
    $}

    f1o2d.2 $e |- ( ( ph /\ x e. A ) -> C e. B ) $.
    f1o2d.3 $e |- ( ( ph /\ y e. B ) -> D e. A ) $.
    f1o2d.4 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) ->
                    ( x = D <-> y = C ) ) $.
    $( Describe an implicit one-to-one onto function.  (Contributed by Mario
       Carneiro, 30-Apr-2015.) $)
    f1ocnv2d $p |- ( ph ->
      ( F : A -1-1-onto-> B /\ `' F = ( y e. B |-> D ) ) ) $=
      ( cv wcel wceq wa wi eleq1a syl impr biimpar exp42 com34 imp32 jcai com23
      biimpa impbida f1ocnvd ) ABCDEFGHEDIJKABMZDNZCMZFOZPZULENZUJGOZPZAUNPUOUP
      AUKUMUOAUKPFENUMUOQJFEULRSTAUKUMUOUPQAUKUOUMUPAUKUOUMUPAUKUOPPZUPUMLUAUBU
      CUDUEAUQPUKUMAUOUPUKAUOPGDNUPUKQKGDUJRSTAUOUPUKUMQAUOUKUPUMAUKUOUPUMQAUKU
      OUPUMURUPUMLUGUBUFUCUDUEUHUI $.

    $( Describe an implicit one-to-one onto function.  (Contributed by Mario
       Carneiro, 12-May-2014.) $)
    f1o2d $p |- ( ph -> F : A -1-1-onto-> B ) $=
      ( wf1o ccnv cmpt wceq f1ocnv2d simpld ) ADEHMHNCEGOPABCDEFGHIJKLQR $.
  $}

  ${
    $d a b A $.  $d a b B $.  $d a b F $.  $d a b ph $.
    f1opw2.1 $e |- ( ph -> F : A -1-1-onto-> B ) $.
    f1opw2.2 $e |- ( ph -> ( `' F " a ) e. _V ) $.
    f1opw2.3 $e |- ( ph -> ( F " b ) e. _V ) $.
    $( A one-to-one mapping induces a one-to-one mapping on power sets.  This
       version of ~ f1opw avoids the Axiom of Replacement.  (Contributed by
       Mario Carneiro, 26-Jun-2015.) $)
    f1opw2 $p |- ( ph ->
        ( b e. ~P A |-> ( F " b ) ) : ~P A -1-1-onto-> ~P B ) $=
      ( cpw cv cima wcel cvv crn imassrn wceq syl sseqtrid adantr ccnv cmpt wfo
      eqid wf1o f1ofo forn elpwd cdm dfdm4 f1odm eqtr3id wa wss adantl foimacnv
      elpwi syl2an eqcomd imaeq2 eqeq2d syl5ibrcom f1of1 f1imacnv impbid f1o2d
      wf1 ) AFEBJZCJZDFKZLZDUAZEKZLZFVHVKUBZVOUDAVKVIMVJVHMZAVKCNIADOZVKCDVJPAB
      CDUCZVQCQABCDUEZVRGBCDUFRZBCDUGRSUHTAVNVHMVMVIMZAVNBNHAVLOZVNBVLVMPAWBDUI
      ZBDUJAVSWCBQGBCDUKRULSUHTAVPWAUMZUMZVJVNQZVMVKQZWEWGWFVMDVNLZQWEWHVMAVRVM
      CUNZWHVMQWDVTWAWIVPVMCUQUOBCVMDUPURUSWFVKWHVMVJVNDUTVAVBWEWFWGVJVLVKLZQWE
      WJVJABCDVGZVJBUNZWJVJQWDAVSWKGBCDVCRVPWLWAVJBUQTBCVJDVDURUSWGVNWJVJVMVKVL
      UTVAVBVEVF $.
  $}

  ${
    $d a b A $.  $d a b B $.  $d a b F $.
    $( A one-to-one mapping induces a one-to-one mapping on power sets.
       (Contributed by Stefan O'Rear, 18-Nov-2014.)  (Revised by Mario
       Carneiro, 26-Jun-2015.) $)
    f1opw $p |- ( F : A -1-1-onto-> B -> ( b e. ~P A |-> ( F " b ) ) :
          ~P A -1-1-onto-> ~P B ) $=
      ( va wf1o id wfo ccnv wfun cv cima cvv wcel dff1o3 vex funimaex simplbiim
      f1ofun syl f1opw2 ) ABCFZABCEDUBGUBABCHCIZJUCEKZLMNABCOUCUDEPQRUBCJCDKZLM
      NABCSCUEDPQTUA $.
  $}

  ${
    $d x y $.
    elovmpt3imp.o $e |- O = ( x e. _V , y e. _V |-> ( z e. M |-> B ) ) $.
    $( If the value of a function which is the result of an operation defined
       by the maps-to notation is not empty, the operands must be sets.
       Remark: a function which is the result of an operation can be regared as
       operation with 3 operands - therefore the abbreviation "mpt3" is used in
       the label.  (Contributed by AV, 16-May-2019.) $)
    elovmpt3imp $p |- ( A e. ( ( X O Y ) ` Z ) -> ( X e. _V /\ Y e. _V ) ) $=
      ( co cfv wcel c0 wne cvv wa ne0i wceq wi ax-1 wn mpondm0 fveq1 0fv eqtrdi
      cmpt eqneqall 3syl pm2.61i syl ) DJHIGLZMZNUNOPZHQNIQNRZUNDSUPUOUPUAZUPUO
      UBUPUCUMOTZUNOTUQABCFEUHGHIQQKUDURUNJOMOJUMOUEJUFUGUPUNOUIUJUKUL $.
  $}

  ${
    $d K x y z $.  $d L a x y $.  $d N a $.  $d V x y $.  $d W x y $.
    $d U x y $.  $d X a x y z $.  $d Y a x y z $.
    ovmpt3rab1.o $e |- O = ( x e. _V , y e. _V
                             |-> ( z e. M |-> { a e. N | ph } ) ) $.
    ovmpt3rab1.m $e |- ( ( x = X /\ y = Y ) -> M = K ) $.
    ovmpt3rab1.n $e |- ( ( x = X /\ y = Y ) -> N = L ) $.
    ${
      ovmpt3rab1.p $e |- ( ( x = X /\ y = Y ) -> ( ph <-> ps ) ) $.
      ovmpt3rab1.x $e |- F/ x ps $.
      ovmpt3rab1.y $e |- F/ y ps $.
      $( The value of an operation defined by the maps-to notation with a
         function into a class abstraction as a result.  The domain of the
         function and the base set of the class abstraction may depend on the
         operands, using implicit substitution.  (Contributed by AV,
         16-Jul-2018.)  (Revised by AV, 16-May-2019.) $)
      ovmpt3rab1 $p |- ( ( X e. V /\ Y e. W /\ K e. U )
                         -> ( X O Y ) = ( z e. K |-> { a e. L | ps } ) ) $=
        ( wcel w3a cvv crab cmpt cmpo wceq a1i cv wa rabeqbidv mpteq12dv adantl
        eqidd elex 3ad2ant1 3ad2ant2 mptexg 3ad2ant3 nfcv nfrabw nfmpt ovmpodxf
        nfv ) NLUCZOMUCZGFUCZUDZCDNOUEUEEIAPJUFZUGZEGBPHUFZUGZKUEUEKCDUEUEVLUHU
        IVJQUJCUKNUIZDUKOUIULZVLVNUIVJVPEIVKGVMRVPABPJHSTUMUNUOVJVOULUEUPVGVHNU
        EUCVINLUQURVHVGOUEUCVIOMUQUSVIVGVNUEUCVHEGVMFUTVAVJCVFVJDVFDNVBCOVBCEGV
        MCGVBBCPHUACHVBVCVDDEGVMDGVBBDPHUBDHVBVCVDVE $.
    $}

    $d L z $.  $d T z $.  $d U z $.  $d V z $.  $d W z $.
    $( If the value of a function which is the result of an operation defined
       by the maps-to notation is not empty, the operands and the argument of
       the function must be sets.  (Contributed by AV, 16-May-2019.) $)
    ovmpt3rabdm $p |- ( ( ( X e. V /\ Y e. W /\ K e. U ) /\ L e. T )
                        -> dom ( X O Y ) = K ) $=
      ( wcel w3a wa co cdm wsbc crab cmpt wceq sbceq1a sylan9bbr nfsbc1v nfsbcw
      cv nfcv ovmpt3rab1 adantr dmeqd wral rabexg adantl ralrimivw dmmptg eqtrd
      cvv syl ) NLTOMTGFTUAZHETZUBZNOKUCZUDDGACOUEZBNUEZPHUFZUGZUDZGVHVIVMVFVIV
      MUHVGAVKBCDFGHIJKLMNOPQRSCUMOUHAVJBUMNUHVKACOUIVJBNUIUJVJBNUKVJCBNCNUNACO
      UKULUOUPUQVHVLVDTZDGURVNGUHVHVODGVGVOVFVKPHEUSUTVADGVLVDVBVEVC $.

    $d A a $.  $d Z a z $.
    $( Implications for the value of an operation defined by the maps-to
       notation with a function into a class abstraction as a result having an
       element.  The domain of the function and the base set of the class
       abstraction may depend on the operands, using implicit substitution.
       (Contributed by AV, 16-Jul-2018.)  (Revised by AV, 16-May-2019.) $)
    elovmpt3rab1 $p |- ( ( K e. U /\ L e. T ) -> ( A e. ( ( X O Y ) ` Z )
                   -> ( ( X e. _V /\ Y e. _V ) /\ ( Z e. K /\ A e. L ) ) ) ) $=
      ( wcel co cfv wa cvv crab elovmpt3imp simprl cdm elfvdm wceq simpl adantr
      wi simplr simprr ovmpt3rabdm syl31anc eleq2d biimpcd imp wsbc adantl cmpt
      w3a anim2i df-3an sylibr ad2antll cv sbceq1a sylan9bbr nfsbc1v ovmpt3rab1
      nfcv nfsbcw fveq1d rabexg nfrabw rabbidv eqid fvmptf sylan2 eqtr2d elrabi
      syl eleqtrrd jca mpancom exp31 mpcom exp32 mpd com12 ) EOMNLUAZUBZTZHGTZI
      FTZUCZMUDTZNUDTZUCZOHTZEITZUCZUCZWPXBWSXFUMBCDEAPKUEJLMNOQUFWPXBWSXFWPXBW
      SUCZUCXBXEWPXBWSUGWPXGXEOWNUHZTZWPXGXEUMEOWNUIXIWPXGXEXCXIWPUCZXGUCZXEXJX
      GXCXIXGXCUMWPXGXIXCXGXHHOXGWTXAWQWRXHHUJXBWTWSWTXAUKULWTXAWSUNXBWQWRUGXBW
      QWRUOABCDFGHIJKLUDUDMNPQRSUPUQURUSULUTXCXKUCZXCXDXCXKUKXLEACNVAZBMVAZDOVA
      ZPIUEZTXDXLEWOXPXKWPXCXIWPXGUNVBXLWOODHXNPIUEZVCZUBZXPXLWTXAWQVDZWOXSUJXG
      XTXCXJXGXBWQUCXTWSWQXBWQWRUKVEWTXAWQVFVGVHXTOWNXRAXNBCDGHIJKLUDUDMNPQRSCV
      INUJAXMBVIMUJXNACNVJXMBMVJVKXMBMVLXMCBMCMVNACNVLVOVMVPWEXKXCXPUDTZXSXPUJW
      SYAXJXBWRYAWQXOPIFVQVBVHDOXQXPHXRUDDOVNXODPIXNDOVLDIVNVRDVIOUJXNXOPIXNDOV
      JVSXRVTWAWBWCWFXOPEIWDWEWGWHWIWJUTWGWKWLWM $.
  $}

  ${
    $d A a $.  $d M a x y z $.  $d N a x y z $.  $d T z $.  $d U x y z $.
    $d X a x y z $.  $d Y a x y z $.  $d Z a z $.
    elovmpt3rab.o $e |- O = ( x e. _V , y e. _V
                              |-> ( z e. M |-> { a e. N | ph } ) ) $.
    $( Implications for the value of an operation defined by the maps-to
       notation with a class abstraction as a result having an element.
       (Contributed by AV, 17-Jul-2018.)  (Revised by AV, 16-May-2019.) $)
    elovmpt3rab $p |- ( ( M e. U /\ N e. T ) -> ( A e. ( ( X O Y ) ` Z )
                   -> ( ( X e. _V /\ Y e. _V ) /\ ( Z e. M /\ A e. N ) ) ) ) $=
      ( cv wceq wa eqidd elovmpt3rab1 ) ABCDEFGHIHIJKLMNOBPKQCPLQRZHSUAIST $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Function operation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c oF $.
  $c oR $.

  $( Extend class notation to include mapping of an operation to a function
     operation. $)
  cof $a class oF R $.

  $( Extend class notation to include mapping of a binary relation to a
     function relation. $)
  cofr $a class oR R $.

  ${
    $d f g x R $.
    $( Define the function operation map.  The definition is designed so that
       if ` R ` is a binary operation, then ` oF R ` is the analogous operation
       on functions which corresponds to applying ` R ` pointwise to the values
       of the functions.  (Contributed by Mario Carneiro, 20-Jul-2014.) $)
    df-of $a |- oF R = ( f e. _V , g e. _V |->
     ( x e. ( dom f i^i dom g ) |-> ( ( f ` x ) R ( g ` x ) ) ) ) $.

    $( Define the function relation map.  The definition is designed so that if
       ` R ` is a binary relation, then ` oR R ` is the analogous relation on
       functions which is true when each element of the left function relates
       to the corresponding element of the right function.  (Contributed by
       Mario Carneiro, 28-Jul-2014.) $)
    df-ofr $a |- oR R = { <. f , g >. |
      A. x e. ( dom f i^i dom g ) ( f ` x ) R ( g ` x ) } $.
  $}

  ${
    $d ph f g x $.  $d R f g x $.  $d S f g x $.
    ofeqd.1 $e |- ( ph -> R = S ) $.
    $( Equality theorem for function operation, deduction form.  (Contributed
       by SN, 11-Nov-2024.) $)
    ofeqd $p |- ( ph -> oF R = oF S ) $=
      ( vf vg vx cvv cv cdm cin cfv cmpt cmpo cof oveqd mpteq2dv mpoeq3dv df-of
      co 3eqtr4g ) AEFHHGEIZJFIZJKZGIZUBLZUEUCLZBTZMZNEFHHGUDUFUGCTZMZNBOCOAEFH
      HUIUKAGUDUHUJABCUFUGDPQRGBEFSGCEFSUA $.
  $}

  ${
    $d f g x R $.  $d f g x S $.
    $( Equality theorem for function operation.  (Contributed by Mario
       Carneiro, 20-Jul-2014.) $)
    ofeq $p |- ( R = S -> oF R = oF S ) $=
      ( wceq id ofeqd ) ABCZABFDE $.

    $( Equality theorem for function relation.  (Contributed by Mario Carneiro,
       28-Jul-2014.) $)
    ofreq $p |- ( R = S -> oR R = oR S ) $=
      ( vx vf vg wceq cv cfv wbr cdm cin wral cofr breq ralbidv opabbidv df-ofr
      copab 3eqtr4g ) ABFZCGZDGZHZUAEGZHZAIZCUBJUDJKZLZDERUCUEBIZCUGLZDERAMBMTU
      HUJDETUFUICUGUCUEABNOPCADEQCBDEQS $.

    $( A function operation restricted to a set is a set.  (Contributed by NM,
       28-Jul-2014.) $)
    ofexg $p |- ( A e. V -> ( oF R |` A ) e. _V ) $=
      ( vf vg vx cof wfun wcel cres cvv cv cdm cin cfv co cmpt mpofun resfunexg
      df-of mpan ) BGZHACIUBAJKIDEKKFDLZMELZMNFLZUCOUEUDOBPQUBFBDETRUBACSUA $.
  $}

  ${
    $d R u v w $.  $d u v w x $.
    nfof.1 $e |- F/_ x R $.
    $( Hypothesis builder for function operation.  (Contributed by Mario
       Carneiro, 20-Jul-2014.) $)
    nfof $p |- F/_ x oF R $=
      ( vu vv vw cof cvv cv cdm cin cfv cmpt cmpo df-of nfcv nfov nfmpt nfmpo
      co nfcxfr ) ABGDEHHFDIZJEIZJKZFIZUBLZUEUCLZBTZMZNFBDEODEAHHUIAHPZUJAFUDUH
      AUDPAUFUGBAUFPCAUGPQRSUA $.

    $( Hypothesis builder for function relation.  (Contributed by Mario
       Carneiro, 28-Jul-2014.) $)
    nfofr $p |- F/_ x oR R $=
      ( vw vu vv cofr cfv wbr cdm cin wral copab df-ofr nfcv nfbr nfralw nfopab
      cv nfcxfr ) ABGDSZESZHZUAFSZHZBIZDUBJUDJKZLZEFMDBEFNUHEFAUFADUGAUGOAUCUEB
      AUCOCAUEOPQRT $.
  $}

  ${
    $d A x $.  $d F f g x $.  $d G f g x $.  $d ph x $.  $d S x $.
    $d R f g x $.
    ofrfvalg.1 $e |- ( ph -> F Fn A ) $.
    ofrfvalg.2 $e |- ( ph -> G Fn B ) $.
    ofrfvalg.3 $e |- ( ph -> F e. V ) $.
    ofrfvalg.4 $e |- ( ph -> G e. W ) $.
    ofrfvalg.5 $e |- ( A i^i B ) = S $.
    ofrfvalg.6 $e |- ( ( ph /\ x e. A ) -> ( F ` x ) = C ) $.
    ofrfvalg.7 $e |- ( ( ph /\ x e. B ) -> ( G ` x ) = D ) $.
    $( Value of a relation applied to two functions.  Originally part of
       ~ ofrfval , this version assumes the functions are sets rather than
       their domains, avoiding ~ ax-rep .  (Contributed by SN, 5-Aug-2024.) $)
    ofrfvalg $p |- ( ph -> ( F oR R G <-> A. x e. S C R D ) ) $=
      ( wcel vf vg cofr wbr cv cfv cdm cin wral wb wceq wa dmeq ineqan12d fveq1
      breqan12d raleqbidv df-ofr brabga syl2anc ineq12d eqtrdi raleqdv eqsstrri
      fndmd inss1 sseli sylan2 inss2 breq12d ralbidva 3bitrd ) AIJGUCZUDZBUEZIU
      FZVOJUFZGUDZBIUGZJUGZUHZUIZVRBHUIEFGUDZBHUIAIKTJLTVNWBUJOPVOUAUEZUFZVOUBU
      EZUFZGUDZBWDUGZWFUGZUHZUIWBUAUBIJVMKLWDIUKZWFJUKZULWHVRBWKWAWLWMWIVSWJVTW
      DIUMWFJUMUNWLWMWEVPWGVQGVOWDIUOVOWFJUOUPUQBGUAUBURUSUTAVRBWAHAWACDUHZHAVS
      CVTDACIMVEADJNVEVAQVBVCAVRWCBHAVOHTZULVPEVQFGWOAVOCTVPEUKHCVOHWNCQCDVFVDV
      GRVHWOAVODTVQFUKHDVOHWNDQCDVIVDVGSVHVJVKVL $.
    $( $j usage 'ofrfvalg' avoids 'ax-rep'; $)
  $}

  ${
    $d x A $.  $d f g x F $.  $d f g x G $.  $d x ph $.  $d x S $.  $d x X $.
    $d f g x R $.
    offval.1 $e |- ( ph -> F Fn A ) $.
    offval.2 $e |- ( ph -> G Fn B ) $.
    offval.3 $e |- ( ph -> A e. V ) $.
    offval.4 $e |- ( ph -> B e. W ) $.
    offval.5 $e |- ( A i^i B ) = S $.
    ${
      offval.6 $e |- ( ( ph /\ x e. A ) -> ( F ` x ) = C ) $.
      offval.7 $e |- ( ( ph /\ x e. B ) -> ( G ` x ) = D ) $.
      $( Value of an operation applied to two functions.  (Contributed by Mario
         Carneiro, 20-Jul-2014.) $)
      offval $p |- ( ph -> ( F oF R G ) = ( x e. S |-> ( C R D ) ) ) $=
        ( cvv vf vg cof co cdm cin cv cfv cmpt wcel wceq wfn fnex syl2anc fndmd
        ineq12d eqtrdi mpteq1d inex1g eqeltrrid 3syl eqeltrd wa ineqan12d fveq1
        mptexg oveqan12d mpteq12dv df-of ovmpoga syl3anc eleq2i adantrr adantrl
        dmeq elin bitr3i oveq12d sylan2b mpteq2dva 3eqtrd ) AIJGUCZUDZBIUEZJUEZ
        UFZBUGZIUHZWGJUHZGUDZUIZBHWJUIZBHEFGUDZUIAITUJZJTUJZWKTUJWCWKUKAICULCKU
        JZWNMOCKIUMUNAJDULDLUJWONPDLJUMUNAWKWLTABWFHWJAWFCDUFZHAWDCWEDACIMUOADJ
        NUOUPQUQURZAWPHTUJWLTUJOWPHWQTQCDKUSUTBHWJTVFVAVBUAUBIJTTBUAUGZUEZUBUGZ
        UEZUFZWGWSUHZWGXAUHZGUDZUIWKWBTWSIUKZXAJUKZVCBXCXFWFWJXGXHWTWDXBWEWSIVO
        XAJVOVDXGXHXDWHXEWIGWGWSIVEWGXAJVEVGVHBGUAUBVIVJVKWRABHWJWMWGHUJZAWGCUJ
        ZWGDUJZVCZWJWMUKXIWGWQUJXLWQHWGQVLWGCDVPVQAXLVCWHEWIFGAXJWHEUKXKRVMAXKW
        IFUKXJSVNVRVSVTWA $.

      $( Value of a relation applied to two functions.  (Contributed by Mario
         Carneiro, 28-Jul-2014.) $)
      ofrfval $p |- ( ph -> ( F oR R G <-> A. x e. S C R D ) ) $=
        ( cvv fnexd ofrfvalg ) ABCDEFGHIJTTMNACIKMOUAADJLNPUAQRSUB $.
    $}

    ${
      ofval.6 $e |- ( ( ph /\ X e. A ) -> ( F ` X ) = C ) $.
      ofval.7 $e |- ( ( ph /\ X e. B ) -> ( G ` X ) = D ) $.
      $( Evaluate a function operation at a point.  (Contributed by Mario
         Carneiro, 20-Jul-2014.) $)
      ofval $p |- ( ( ph /\ X e. S ) -> ( ( F oF R G ) ` X ) = ( C R D ) ) $=
        ( cfv vx wcel wa cof co cv cmpt wceq eqidd offval fveq1d adantr oveq12d
        fveq2 eqid ovex fvmpt adantl inss1 eqsstrri sseli sylan2 inss2 3eqtrd
        cin ) ALGUBZUCZLHIFUDUEZTZLUAGUAUFZHTZVJITZFUEZUGZTZLHTZLITZFUEZDEFUEAV
        IVOUHVFALVHVNAUABCVKVLFGHIJKMNOPQAVJBUBUCVKUIAVJCUBUCVLUIUJUKULVFVOVRUH
        AUALVMVRGVNVJLUHVKVPVLVQFVJLHUNVJLIUNUMVNUOVPVQFUPUQURVGVPDVQEFVFALBUBV
        PDUHGBLGBCVEZBQBCUSUTVARVBVFALCUBVQEUHGCLGVSCQBCVCUTVASVBUMVD $.

      $( Exhibit a function relation at a point.  (Contributed by Mario
         Carneiro, 28-Jul-2014.) $)
      ofrval $p |- ( ( ph /\ F oR R G /\ X e. S ) -> C R D ) $=
        ( wcel vx cofr wbr w3a cfv wa cv wral eqidd ofrfval biimpa wceq breq12d
        wi fveq2 rspccv syl 3impia simp1 cin inss1 eqsstrri simp3 syl2anc inss2
        sselid 3brtr3d ) AHIFUBUCZLGTZUDZLHUEZLIUEZDEFAVHVIVKVLFUCZAVHUFUAUGZHU
        EZVNIUEZFUCZUAGUHZVIVMUNAVHVRAUABCVOVPFGHIJKMNOPQAVNBTUFVOUIAVNCTUFVPUI
        UJUKVQVMUALGVNLULVOVKVPVLFVNLHUOVNLIUOUMUPUQURVJALBTVKDULAVHVIUSZVJGBLG
        BCUTZBQBCVAVBAVHVIVCZVFRVDVJALCTVLEULVSVJGCLGVTCQBCVEVBWAVFSVDVG $.
    $}

    $( The function operation produces a function.  (Contributed by Mario
       Carneiro, 22-Jul-2014.) $)
    offn $p |- ( ph -> ( F oF R G ) Fn S ) $=
      ( vx co wfn cfv wcel wa cof cv cmpt ovex eqid fnmpti offval fneq1d mpbiri
      eqidd ) AFGDUAPZEQOEOUBZFRZULGRZDPZUCZEQOEUOUPUMUNDUDUPUEUFAEUKUPAOBCUMUN
      DEFGHIJKLMNAULBSTUMUJAULCSTUNUJUGUHUI $.
  $}

  ${
    offun.1 $e |- ( ph -> F Fn A ) $.
    offun.2 $e |- ( ph -> G Fn B ) $.
    offun.3 $e |- ( ph -> A e. V ) $.
    offun.4 $e |- ( ph -> B e. W ) $.
    $( The function operation produces a function.  (Contributed by SN,
       23-Jul-2024.) $)
    offun $p |- ( ph -> Fun ( F oF R G ) ) $=
      ( cof co cin wfn wfun eqid offn fnfun syl ) AEFDMNZBCOZPUBQABCDUCEFGHIJKL
      UCRSUCUBTUA $.
  $}

  ${
    $d y A $.  $d y B $.  $d y C $.  $d y F $.  $d y G $.  $d y ph $.
    $d x y R $.
    offval2f.0 $e |- F/ x ph $.
    offval2f.a $e |- F/_ x A $.
    offval2f.1 $e |- ( ph -> A e. V ) $.
    offval2f.2 $e |- ( ( ph /\ x e. A ) -> B e. W ) $.
    offval2f.3 $e |- ( ( ph /\ x e. A ) -> C e. X ) $.
    offval2f.4 $e |- ( ph -> F = ( x e. A |-> B ) ) $.
    offval2f.5 $e |- ( ph -> G = ( x e. A |-> C ) ) $.
    $( The function operation expressed as a mapping.  (Contributed by Thierry
       Arnoux, 23-Jun-2017.) $)
    offval2f $p |- ( ph -> ( F oF R G ) = ( x e. A |-> ( B R C ) ) ) $=
      ( vy cmpt cof co cv cfv wfn wcel wral ex ralrimi fnmptf syl fneq1d mpbird
      inidm wa wceq adantr fveq1d offval nfcv nffvmpt1 nfov fveq2 oveq12d simpr
      cbvmptf fvmpt2f syl2anc mpteq2da eqtrid eqtrd ) AGHFUAUBSCSUCZBCDTZUDZVLB
      CETZUDZFUBZTZBCDEFUBZTZASCCVNVPFCGHIIAGCUEVMCUEZADJUFZBCUGWAAWBBCLABUCZCU
      FZWBOUHUIBCDJMUJUKACGVMQULUMAHCUEVOCUEZAEKUFZBCUGWEAWFBCLAWDWFPUHUIBCEKMU
      JUKACHVORULUMNNCUNAVLCUFZUOZVLGVMAGVMUPWGQUQURWHVLHVOAHVOUPWGRUQURUSAVRBC
      WCVMUDZWCVOUDZFUBZTVTSBCVQWKSCUTMBVNVPFBCDVLVABFUTBCEVLVAVBSWKUTVLWCUPVNW
      IVPWJFVLWCVMVCVLWCVOVCVDVFABCWKVSLAWDUOZWIDWJEFWLWDWBWIDUPAWDVEZOBCDJMVGV
      HWLWDWFWJEUPWMPBCEKMVGVHVDVIVJVK $.
  $}

  ${
    ofmresval.f $e |- ( ph -> F e. A ) $.
    ofmresval.g $e |- ( ph -> G e. B ) $.
    $( Value of a restriction of the function operation map.  (Contributed by
       NM, 20-Oct-2014.) $)
    ofmresval $p |- ( ph -> ( F ( oF R |` ( A X. B ) ) G ) = ( F oF R G ) ) $=
      ( wcel cof cxp cres co wceq ovres syl2anc ) AEBIFCIEFDJZBCKLMEFQMNGHEFBCQ
      OP $.
  $}

  $( Function value of a pointwise composition.  (Contributed by Stefan O'Rear,
     5-Oct-2014.)  (Proof shortened by Mario Carneiro, 5-Jun-2015.) $)
  fnfvof $p |- ( ( ( F Fn A /\ G Fn A ) /\ ( A e. V /\ X e. A ) ) ->
      ( ( F oF R G ) ` X ) = ( ( F ` X ) R ( G ` X ) ) ) $=
    ( wfn wa wcel cof co cfv wceq simpll simplr simpr inidm eqidd ofval anasss
    ) CAGZDAGZHZAEIZFAIZFCDBJKLFCLZFDLZBKMUCUDHZAAUFUGBACDEEFUAUBUDNUAUBUDOUCUD
    PZUIAQUHUEHZUFRUJUGRST $.

  ${
    $d z A $.  $d z C $.  $d y z G $.  $d x y z ph $.  $d x y S $.  $d x y T $.
    $d x y z F $.  $d x y z R $.  $d x y z U $.
    off.1 $e |- ( ( ph /\ ( x e. S /\ y e. T ) ) -> ( x R y ) e. U ) $.
    off.2 $e |- ( ph -> F : A --> S ) $.
    off.3 $e |- ( ph -> G : B --> T ) $.
    off.4 $e |- ( ph -> A e. V ) $.
    off.5 $e |- ( ph -> B e. W ) $.
    off.6 $e |- ( A i^i B ) = C $.
    $( The function operation produces a function.  (Contributed by Mario
       Carneiro, 20-Jul-2014.) $)
    off $p |- ( ph -> ( F oF R G ) : C --> U ) $=
      ( vz cv cfv co cof ffnd wcel wa eqidd offval wral wf inss1 eqsstrri sseli
      cin ffvelrn syl2an inss2 ralrimivva adantr ovrspc2v syl21anc fmpt3d ) AUA
      FUAUBZKUCZVELUCZGUDZJKLGUEUDAUADEVFVGGFKLMNADHKPUFAEILQUFRSTAVEDUGZUHVFUI
      AVEEUGZUHVGUIUJAVEFUGZUHVFHUGZVGIUGZBUBCUBGUDJUGZCIUKBHUKZVHJUGADHKULVIVL
      VKPFDVEFDEUPZDTDEUMUNUODHVEKUQURAEILULVJVMVKQFEVEFVPETDEUSUNUOEIVELUQURAV
      OVKAVNBCHIOUTVABCHIJGVFVGVBVCVD $.
  $}

  ${
    $d x A $.  $d x C $.  $d x F $.  $d x G $.  $d x ph $.  $d x R $.
    ofres.1 $e |- ( ph -> F Fn A ) $.
    ofres.2 $e |- ( ph -> G Fn B ) $.
    ofres.3 $e |- ( ph -> A e. V ) $.
    ofres.4 $e |- ( ph -> B e. W ) $.
    ofres.5 $e |- ( A i^i B ) = C $.
    $( Restrict the operands of a function operation to the same domain as that
       of the operation itself.  (Contributed by Mario Carneiro,
       15-Sep-2014.) $)
    ofres $p |- ( ph -> ( F oF R G ) = ( ( F |` C ) oF R ( G |` C ) ) ) $=
      ( vx co cfv wcel cvv wfn cof cv cmpt cres eqidd offval wss inss1 eqsstrri
      wa cin fnssres sylancl inss2 ssexg sylancr inidm wceq fvres adantl eqtr4d
      ) AFGEUAZPODOUBZFQZVCGQZEPUCFDUDZGDUDZVBPAOBCVDVEEDFGHIJKLMNAVCBRUJVDUEAV
      CCRUJVEUEUFAODDVDVEEDVFVGSSAFBTDBUGZVFDTJDBCUKZBNBCUHUIZBDFULUMAGCTDCUGVG
      DTKDVICNBCUNUICDGULUMAVHBHRDSRVJLDBHUOUPZVKDUQVCDRZVCVFQVDURAVCDFUSUTVLVC
      VGQVEURAVCDGUSUTUFVA $.
  $}

  ${
    $d x y A $.  $d y B $.  $d y C $.  $d y F $.  $d y G $.  $d x y ph $.
    $d x y R $.
    offval2.1 $e |- ( ph -> A e. V ) $.
    offval2.2 $e |- ( ( ph /\ x e. A ) -> B e. W ) $.
    offval2.3 $e |- ( ( ph /\ x e. A ) -> C e. X ) $.
    offval2.4 $e |- ( ph -> F = ( x e. A |-> B ) ) $.
    offval2.5 $e |- ( ph -> G = ( x e. A |-> C ) ) $.
    $( The function operation expressed as a mapping.  (Contributed by Mario
       Carneiro, 20-Jul-2014.) $)
    offval2 $p |- ( ph -> ( F oF R G ) = ( x e. A |-> ( B R C ) ) ) $=
      ( vy co cmpt wceq cof cv cfv wcel wral ralrimiva eqid fnmpt fneq1d mpbird
      wfn inidm wa adantr fveq1d offval nffvmpt1 nfcv nfov fveq2 oveq12d cbvmpt
      syl simpr fvmpt2 syl2anc mpteq2dva eqtrid eqtrd ) AGHFUARQCQUBZBCDSZUCZVJ
      BCESZUCZFRZSZBCDEFRZSZAQCCVLVNFCGHIIAGCUKVKCUKZADJUDZBCUEVSAVTBCMUFBCDVKJ
      VKUGZUHVCACGVKOUIUJAHCUKVMCUKZAEKUDZBCUEWBAWCBCNUFBCEVMKVMUGZUHVCACHVMPUI
      UJLLCULAVJCUDZUMZVJGVKAGVKTWEOUNUOWFVJHVMAHVMTWEPUNUOUPAVPBCBUBZVKUCZWGVM
      UCZFRZSVRQBCVOWJBVLVNFBCDVJUQBFURBCEVJUQUSQWJURVJWGTVLWHVNWIFVJWGVKUTVJWG
      VMUTVAVBABCWJVQAWGCUDZUMZWHDWIEFWLWKVTWHDTAWKVDZMBCDJVKWAVEVFWLWKWCWIETWM
      NBCEKVMWDVEVFVAVGVHVI $.

    $( The function relation acting on maps.  (Contributed by Mario Carneiro,
       20-Jul-2014.) $)
    ofrfval2 $p |- ( ph -> ( F oR R G <-> A. x e. A B R C ) ) $=
      ( vy wbr wral wceq cofr cmpt cfv wfn wcel ralrimiva eqid fnmpt syl fneq1d
      cv mpbird inidm wa adantr fveq1d ofrfval nffvmpt1 nfcv nfbr fveq2 breq12d
      nfv cbvralw simpr fvmpt2 syl2anc ralbidva syl5bb bitrd ) AGHFUARQUKZBCDUB
      ZUCZVKBCEUBZUCZFRZQCSZDEFRZBCSZAQCCVMVOFCGHIIAGCUDVLCUDZADJUEZBCSVTAWABCM
      UFBCDVLJVLUGZUHUIACGVLOUJULAHCUDVNCUDZAEKUEZBCSWCAWDBCNUFBCEVNKVNUGZUHUIA
      CHVNPUJULLLCUMAVKCUEZUNZVKGVLAGVLTWFOUOUPWGVKHVNAHVNTWFPUOUPUQVQBUKZVLUCZ
      WHVNUCZFRZBCSAVSVPWKQBCBVMVOFBCDVKURBFUSBCEVKURUTWKQVCVKWHTVMWIVOWJFVKWHV
      LVAVKWHVNVAVBVDAWKVRBCAWHCUEZUNZWIDWJEFWMWLWAWIDTAWLVEZMBCDJVLWBVFVGWMWLW
      DWJETWNNBCEKVNWEVFVGVBVHVIVJ $.
  $}

  ${
    $d A x a $.  $d V a $.  $d B a $.  $d C a $.  $d R a x $.
    $( Value of a pointwise operation on two functions defined using maps-to
       notation.  (Contributed by Stefan O'Rear, 5-Oct-2014.) $)
    ofmpteq $p |- ( ( A e. V /\ ( x e. A |-> B ) Fn A
        /\ ( x e. A |-> C ) Fn A )
  -> ( ( x e. A |-> B ) oF R ( x e. A |-> C ) ) = ( x e. A |-> ( B R C ) ) ) $=
      ( va wcel cmpt wfn co cv csb cvv wral eqid mptfng wceq nfcv cbvmpt w3a wa
      cof simp1 simpr simpl2 sylibr nfcsb1v csbeq1a eleq1d rspc sylc simpl3 a1i
      nfel1 offval2 nfov oveq12d eqtr4di ) BFHZABCIZBJZABDIZBJZUAZVAVCEUCKGBAGL
      ZCMZAVFDMZEKZIABCDEKZIVEGBVGVHEVAVCFNNUTVBVDUDVEVFBHZUBZVKCNHZABOZVGNHZVE
      VKUEZVLVBVNUTVBVDVKUFABCVAVAPQUGVMVOAVFBAVGNAVFCUHZUOALVFRZCVGNAVFCUIZUJU
      KULVLVKDNHZABOZVHNHZVPVLVDWAUTVBVDVKUMABDVCVCPQUGVTWBAVFBAVHNAVFDUHZUOVRD
      VHNAVFDUIZUJUKULVAGBVGIRVEAGBCVGGCSVQVSTUNVCGBVHIRVEAGBDVHGDSWCWDTUNUPAGB
      VJVIGVJSAVGVHEVQAESWCUQVRCVGDVHEVSWDURTUS $.
  $}

  ${
    $d y A $.  $d x y C $.  $d x y F $.  $d x y G $.  $d x y H $.  $d x y ph $.
    $d x D $.  $d x y R $.
    ofco.1 $e |- ( ph -> F Fn A ) $.
    ofco.2 $e |- ( ph -> G Fn B ) $.
    ofco.3 $e |- ( ph -> H : D --> C ) $.
    ofco.4 $e |- ( ph -> A e. V ) $.
    ofco.5 $e |- ( ph -> B e. W ) $.
    ofco.6 $e |- ( ph -> D e. X ) $.
    ofco.7 $e |- ( A i^i B ) = C $.
    $( The composition of a function operation with another function.
       (Contributed by Mario Carneiro, 19-Dec-2014.) $)
    ofco $p |- ( ph ->
      ( ( F oF R G ) o. H ) = ( ( F o. H ) oF R ( G o. H ) ) ) $=
      ( cfv vx vy cof co ccom cv cmpt ffvelrnda feqmptd wcel eqidd offval fveq2
      wa oveq12d fmptco wfn wf wss cin inss1 eqsstrri fss sylancl fnfco syl2anc
      wceq inss2 inidm ffnd fvco2 sylan eqtr4d ) AGHFUCZUDZIUEUAEUAUFZITZGTZVQH
      TZFUDZUGGIUEZHIUEZVNUDAUAUBEDVQUBUFZGTZWCHTZFUDVTIVOAEDVPIOUHAUAEDIOUIAUB
      BCWDWEFDGHJKMNPQSAWCBUJUNWDUKAWCCUJUNWEUKULWCVQVGWDVRWEVSFWCVQGUMWCVQHUMU
      OUPAUAEEVRVSFEWAWBLLAGBUQEBIURZWAEUQMAEDIURZDBUSWFODBCUTZBSBCVAVBEDBIVCVD
      BEGIVEVFAHCUQECIURZWBEUQNAWGDCUSWIODWHCSBCVHVBEDCIVCVDCEHIVEVFRREVIAIEUQZ
      VPEUJZVPWATVRVGAEDIOVJZEGIVPVKVLAWJWKVPWBTVSVGWLEHIVPVKVLULVM $.
  $}

  ${
    $d x A $.  $d x F $.  $d x G $.  $d x H $.  $d x ph $.  $d x R $.
    offveq.1 $e |- ( ph -> A e. V ) $.
    offveq.2 $e |- ( ph -> F Fn A ) $.
    offveq.3 $e |- ( ph -> G Fn A ) $.
    offveq.4 $e |- ( ph -> H Fn A ) $.
    offveq.5 $e |- ( ( ph /\ x e. A ) -> ( F ` x ) = B ) $.
    offveq.6 $e |- ( ( ph /\ x e. A ) -> ( G ` x ) = C ) $.
    ${
      offveq.7 $e |- ( ( ph /\ x e. A ) -> ( B R C ) = ( H ` x ) ) $.
      $( Convert an identity of the operation to the analogous identity on the
         function operation.  (Contributed by Mario Carneiro, 24-Jul-2014.) $)
      offveq $p |- ( ph -> ( F oF R G ) = H ) $=
        ( cof co cfv inidm offn cv wcel wa ofval eqtrd eqfnfvd ) ABCGHFRSZIACCF
        CGHJJLMKKCUAZUBNABUCZCUDUEUKUITDEFSUKITACCDEFCGHJJUKLMKKUJOPUFQUGUH $.
    $}

    $d x F $.
    $( Equivalent expressions for equality with a function operation.
       (Contributed by NM, 9-Oct-2014.)  (Proof shortened by Mario Carneiro,
       5-Dec-2016.) $)
    offveqb $p |- ( ph
          -> ( H = ( F oF R G ) <-> A. x e. A ( H ` x ) = ( B R C ) ) ) $=
      ( co wceq cmpt wral cof cfv wfn dffn5 sylib inidm offval eqeq12d cvv wcel
      cv wb fvexd ralrimivw mpteqb syl bitrd ) AIGHFUAQZRBCBUKZIUBZSZBCDEFQZSZR
      ZUTVBRBCTZAIVAURVCAICUCIVARNBCIUDUEABCCDEFCGHJJLMKKCUFOPUGUHAUTUIUJZBCTVD
      VEULAVFBCAUSIUMUNBCUTVBUIUOUPUQ $.
  $}

  ${
    ofc1.1 $e |- ( ph -> A e. V ) $.
    ofc1.2 $e |- ( ph -> B e. W ) $.
    ofc1.3 $e |- ( ph -> F Fn A ) $.
    ofc1.4 $e |- ( ( ph /\ X e. A ) -> ( F ` X ) = C ) $.
    $( Left operation by a constant.  (Contributed by Mario Carneiro,
       24-Jul-2014.) $)
    ofc1 $p |- ( ( ph /\ X e. A ) ->
      ( ( ( A X. { B } ) oF R F ) ` X ) = ( B R C ) ) $=
      ( csn cxp wcel wfn fnconstg syl inidm cfv wceq fvconst2g sylan ofval ) AB
      BCDEBBCNOZFGGIACHPZUFBQKBCHRSLJJBTAUGIBPIUFUACUBKBCIHUCUDMUE $.
  $}

  ${
    ofc2.1 $e |- ( ph -> A e. V ) $.
    ofc2.2 $e |- ( ph -> B e. W ) $.
    ofc2.3 $e |- ( ph -> F Fn A ) $.
    ofc2.4 $e |- ( ( ph /\ X e. A ) -> ( F ` X ) = C ) $.
    $( Right operation by a constant.  (Contributed by NM, 7-Oct-2014.) $)
    ofc2 $p |- ( ( ph /\ X e. A ) ->
      ( ( F oF R ( A X. { B } ) ) ` X ) = ( C R B ) ) $=
      ( csn cxp wcel wfn fnconstg syl inidm cfv wceq fvconst2g sylan ofval ) AB
      BDCEBFBCNOZGGILACHPZUFBQKBCHRSJJBTMAUGIBPIUFUACUBKBCIHUCUDUE $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x ph $.  $d x R $.  $d x W $.
    $d x X $.
    ofc12.1 $e |- ( ph -> A e. V ) $.
    ofc12.2 $e |- ( ph -> B e. W ) $.
    ofc12.3 $e |- ( ph -> C e. X ) $.
    $( Function operation on two constant functions.  (Contributed by Mario
       Carneiro, 28-Jul-2014.) $)
    ofc12 $p |- ( ph ->
      ( ( A X. { B } ) oF R ( A X. { C } ) ) = ( A X. { ( B R C ) } ) ) $=
      ( vx csn cxp co cmpt wcel adantr wceq fconstmpt cof a1i offval2 eqtr4di
      cv ) ABCMNZBDMNZEUAOLBCDEOZPBUHMNALBCDEUFUGFGHIACGQLUEBQZJRADHQUIKRUFLBCP
      SALBCTUBUGLBDPSALBDTUBUCLBUHTUD $.
  $}

  ${
    $d w x B $.  $d w x C $.  $d w x y z F $.  $d w x y z G $.  $d w x y z H $.
    $d w x y z O $.  $d w x y z P $.  $d w x y z ph $.  $d w x y z R $.
    $d w A $.  $d w x y z S $.  $d w x y z T $.  $d w x y z U $.
    caofref.1 $e |- ( ph -> A e. V ) $.
    caofref.2 $e |- ( ph -> F : A --> S ) $.
    ${
      caofref.3 $e |- ( ( ph /\ x e. S ) -> x R x ) $.
      $( Transfer a reflexive law to the function relation.  (Contributed by
         Mario Carneiro, 28-Jul-2014.) $)
      caofref $p |- ( ph -> F oR R F ) $=
        ( vw cofr wbr cv cfv wral wcel wa wceq ralrimiva breq12d adantr rspcdva
        id ffvelrnda ffnd inidm eqidd ofrfval mpbird ) AFFDLMKNZFOZULDMZKCPAUMK
        CAUKCQZRZBNZUPDMZUMBEULUPULSZUPULUPULDURUDZUSUAAUQBEPUNAUQBEJTUBACEUKFI
        UEUCTAKCCULULDCFFGGACEFIUFZUTHHCUGUOULUHZVAUIUJ $.
    $}

    ${
      $d v A $.  $d v F $.  $d x v N $.  $d v S $.  $d v ph $.  $d v w $.
      caofinv.3 $e |- ( ph -> B e. W ) $.
      caofinv.4 $e |- ( ph -> N : S --> S ) $.
      caofinv.5 $e |- ( ph -> G = ( v e. A |-> ( N ` ( F ` v ) ) ) ) $.
      ${
        caofinvl.6 $e |- ( ( ph /\ x e. S ) -> ( ( N ` x ) R x ) = B ) $.
        $( Transfer a left inverse law to the function operation.  (Contributed
           by NM, 22-Oct-2014.) $)
        caofinvl $p |- ( ph -> ( G oF R F ) = ( A X. { B } ) ) $=
          ( vw cfv cof co cmpt csn cxp cv wcel adantr ffvelrnda ffvelrnd fmpt3d
          wa wf wceq fvex eqid fnmpti fneq1d mpbiri dffn5 sylib feqmptd offval2
          fveq1d 2fveq3 fvmpt sylan9eq oveq1d fveq2 id oveq12d eqeq1d ralrimiva
          wfn wral rspcdva eqtrd mpteq2dva fconstmpt eqtr4di ) AIHFUAUBZSDEUCZD
          EUDUEAWASDSUFZITZWCHTZFUBZUCWBASDWDWEFIHKGGMADGWCIACDCUFZHTZJTZGIQAWG
          DUGZULGGWHJAGGJUMWJPUHADGWGHNUIUJUKUIADGWCHNUIZAIDVNZISDWDUCUNAWLCDWI
          UCZDVNCDWIWMWHJUOWMUPZUQADIWMQURUSSDIUTVAASDGHNVBVCASDWFEAWCDUGZULZWF
          WEJTZWEFUBZEWPWDWQWEFAWOWDWCWMTWQAWCIWMQVDCWCWIWQDWMWGWCJHVEWNWEJUOVF
          VGVHWPBUFZJTZWSFUBZEUNZWREUNBGWEWSWEUNZXAWREXCWTWQWSWEFWSWEJVIXCVJVKV
          LAXBBGVOWOAXBBGRVMUHWKVPVQVRVQSDEVSVT $.
      $}
    $}

    ${
      caofid0.3 $e |- ( ph -> B e. W ) $.
      ${
        caofid0l.5 $e |- ( ( ph /\ x e. S ) -> ( B R x ) = x ) $.
        $( Transfer a left identity law to the function operation.
           (Contributed by NM, 21-Oct-2014.) $)
        caofid0l $p |- ( ph -> ( ( A X. { B } ) oF R F ) = F ) $=
          ( vw cv cfv csn wcel wceq co cxp wfn fnconstg ffnd fvconst2g sylan wa
          syl eqidd wral ralrimiva ffvelrnda id eqeq12d rspccva syl2an2r offveq
          oveq2 ) ANCDNOZGPZECDQUAZGGHJADIRZVACUBLCDIUCUHACFGKUDZVCAVBUSCRZUSVA
          PDSLCDUSIUEUFAVDUGUTUIADBOZETZVESZBFUJVDUTFRDUTETZUTSZAVGBFMUKACFUSGK
          ULVGVIBUTFVEUTSZVFVHVEUTVEUTDEURVJUMUNUOUPUQ $.
      $}

      ${
        caofid0r.5 $e |- ( ( ph /\ x e. S ) -> ( x R B ) = x ) $.
        $( Transfer a right identity law to the function operation.
           (Contributed by NM, 21-Oct-2014.) $)
        caofid0r $p |- ( ph -> ( F oF R ( A X. { B } ) ) = F ) $=
          ( vw cv cfv csn wcel wceq co cxp ffnd wfn fnconstg wa eqidd fvconst2g
          syl sylan wral ralrimiva ffvelrnda id eqeq12d rspccva syl2an2r offveq
          oveq1 ) ANCNOZGPZDEGCDQUAZGHJACFGKUBZADIRZVACUCLCDIUDUHVBAUSCRZUEUTUF
          AVCVDUSVAPDSLCDUSIUGUIABOZDETZVESZBFUJVDUTFRUTDETZUTSZAVGBFMUKACFUSGK
          ULVGVIBUTFVEUTSZVFVHVEUTVEUTDEURVJUMUNUOUPUQ $.
      $}

      caofid1.4 $e |- ( ph -> C e. X ) $.
      ${
        caofid1.5 $e |- ( ( ph /\ x e. S ) -> ( x R B ) = C ) $.
        $( Transfer a right absorption law to the function operation.
           (Contributed by Mario Carneiro, 28-Jul-2014.) $)
        caofid1 $p |- ( ph -> ( F oF R ( A X. { B } ) ) = ( A X. { C } ) ) $=
          ( vw cfv wcel wceq cv csn cxp ffnd wfn fnconstg eqidd fvconst2g sylan
          syl wa co wral ralrimiva ffvelrnda oveq1 eqeq1d rspccva eqtr4d offveq
          syl2an2r ) AQCQUAZHRZDFHCDUBUCZCEUBUCZILACGHMUDADJSZVDCUENCDJUFUJAEKS
          ZVECUEOCEKUFUJAVBCSZUKZVCUGAVFVHVBVDRDTNCDVBJUHUIVIVCDFULZEVBVERZABUA
          ZDFULZETZBGUMVHVCGSVJETZAVNBGPUNACGVBHMUOVNVOBVCGVLVCTVMVJEVLVCDFUPUQ
          URVAAVGVHVKETOCEVBKUHUIUSUT $.
      $}

      caofid2.5 $e |- ( ( ph /\ x e. S ) -> ( B R x ) = C ) $.
      $( Transfer a right absorption law to the function operation.
         (Contributed by Mario Carneiro, 28-Jul-2014.) $)
      caofid2 $p |- ( ph -> ( ( A X. { B } ) oF R F ) = ( A X. { C } ) ) $=
        ( vw cfv wcel wceq cv csn cxp wfn fnconstg syl fvconst2g sylan wa eqidd
        ffnd co ralrimiva ffvelrnda oveq2 eqeq1d rspccva syl2an2r eqtr4d offveq
        wral ) AQCDQUAZHRZFCDUBUCZHCEUBUCZILADJSZVDCUDNCDJUEUFACGHMUKAEKSZVECUD
        OCEKUEUFAVFVBCSZVBVDRDTNCDVBJUGUHAVHUIZVCUJVIDVCFULZEVBVERZADBUAZFULZET
        ZBGVAVHVCGSVJETZAVNBGPUMACGVBHMUNVNVOBVCGVLVCTVMVJEVLVCDFUOUPUQURAVGVHV
        KETOCEVBKUGUHUSUT $.
    $}

    caofcom.3 $e |- ( ph -> G : A --> S ) $.
    ${
      caofcom.4 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) ->
                        ( x R y ) = ( y R x ) ) $.
      $( Transfer a commutative law to the function operation.  (Contributed by
         Mario Carneiro, 26-Jul-2014.) $)
      caofcom $p |- ( ph -> ( F oF R G ) = ( G oF R F ) ) $=
        ( vw cfv co cmpt wcel wa ffvelrnda cv cof jca caovcomg syldan mpteq2dva
        wceq feqmptd offval2 3eqtr4d ) ANDNUAZGOZUKHOZEPZQNDUMULEPZQGHEUBZPHGUP
        PANDUNUOAUKDRZULFRZUMFRZSUNUOUGAUQSURUSADFUKGKTZADFUKHLTZUCABCULUMFEMUD
        UEUFANDULUMEGHIFFJUTVAANDFGKUHZANDFHLUHZUIANDUMULEHGIFFJVAUTVCVBUIUJ $.
    $}

    ${
      caofrss.4 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) ->
                        ( x R y -> x T y ) ) $.
      $( Transfer a relation subset law to the function relation.  (Contributed
         by Mario Carneiro, 28-Jul-2014.) $)
      caofrss $p |- ( ph -> ( F oR R G -> F oR T G ) ) $=
        ( vw cv wbr wral wcel wi cofr wa ffvelrnda ralrimivva adantr wceq breq1
        cfv imbi12d breq2 rspc2va syl21anc ralimdva inidm eqidd ofrfval 3imtr4d
        ffnd ) AOPZHUHZUSIUHZEQZODRUTVAGQZODRHIEUAQHIGUAQAVBVCODAUSDSZUBZUTFSVA
        FSBPZCPZEQZVFVGGQZTZCFRBFRZVBVCTZADFUSHLUCADFUSIMUCAVKVDAVJBCFFNUDUEVJV
        LUTVGEQZUTVGGQZTBCUTVAFFVFUTUFVHVMVIVNVFUTVGEUGVFUTVGGUGUIVGVAUFVMVBVNV
        CVGVAUTEUJVGVAUTGUJUIUKULUMAODDUTVAEDHIJJADFHLURZADFIMURZKKDUNZVEUTUOZV
        EVAUOZUPAODDUTVAGDHIJJVOVPKKVQVRVSUPUQ $.
    $}

    caofass.4 $e |- ( ph -> H : A --> S ) $.
    ${
      caofass.5 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ z e. S ) ) ->
                        ( ( x R y ) T z ) = ( x O ( y P z ) ) ) $.
      $( Transfer an associative law to the function operation.  (Contributed
         by Mario Carneiro, 26-Jul-2014.) $)
      caofass $p |- ( ph ->
        ( ( F oF R G ) oF T H ) = ( F oF O ( G oF P H ) ) ) $=
        ( co vw cv cfv cmpt cof wcel wa wceq ralrimivvva adantr ffvelrnda oveq1
        wral oveq1d eqeq12d oveq2 oveq2d rspc3v syl3anc mpd mpteq2dva cvv ovexd
        wi feqmptd offval2 3eqtr4d ) AUAEUAUBZJUCZVHKUCZGTZVHLUCZITZUDUAEVIVJVL
        FTZMTZUDJKGUETZLIUETJKLFUETZMUETAUAEVMVOAVHEUFZUGZBUBZCUBZGTZDUBZITZVTW
        AWCFTZMTZUHZDHUMCHUMBHUMZVMVOUHZAWHVRAWGBCDHHHSUIUJVSVIHUFVJHUFVLHUFWHW
        IVDAEHVHJPUKZAEHVHKQUKZAEHVHLRUKZWGWIVIWAGTZWCITZVIWEMTZUHVKWCITZVIVJWC
        FTZMTZUHBCDVIVJVLHHHVTVIUHZWDWNWFWOWSWBWMWCIVTVIWAGULUNVTVIWEMULUOWAVJU
        HZWNWPWOWRWTWMVKWCIWAVJVIGUPUNWTWEWQVIMWAVJWCFULUQUOWCVLUHZWPVMWRVOWCVL
        VKIUPXAWQVNVIMWCVLVJFUPUQUOURUSUTVAAUAEVKVLIVPLNVBHOVSVIVJGVCWLAUAEVIVJ
        GJKNHHOWJWKAUAEHJPVEZAUAEHKQVEZVFAUAEHLRVEZVFAUAEVIVNMJVQNHVBOWJVSVJVLF
        VCXBAUAEVJVLFKLNHHOWKWLXCXDVFVFVG $.
    $}

    ${
      caoftrn.5 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ z e. S ) ) ->
                        ( ( x R y /\ y T z ) -> x U z ) ) $.
      $( Transfer a transitivity law to the function relation.  (Contributed by
         Mario Carneiro, 28-Jul-2014.) $)
      caoftrn $p |- ( ph -> ( ( F oR R G /\ G oR T H ) -> F oR U H ) ) $=
        ( vw wbr cv cfv wa wral cofr wcel wi ralrimivvva adantr ffvelrnda breq1
        wceq anbi1d imbi12d breq2 anbi12d imbi1d anbi2d rspc3v syl3anc ralimdva
        mpd ffnd inidm eqidd ofrfval r19.26 bitr4di 3imtr4d ) ASUAZJUBZVJKUBZFT
        ZVLVJLUBZHTZUCZSEUDZVKVNITZSEUDJKFUETZKLHUETZUCZJLIUETAVPVRSEAVJEUFZUCZ
        BUAZCUAZFTZWEDUAZHTZUCZWDWGITZUGZDGUDCGUDBGUDZVPVRUGZAWLWBAWKBCDGGGRUHU
        IWCVKGUFVLGUFVNGUFWLWMUGAEGVJJOUJAEGVJKPUJAEGVJLQUJWKWMVKWEFTZWHUCZVKWG
        ITZUGVMVLWGHTZUCZWPUGBCDVKVLVNGGGWDVKULZWIWOWJWPWSWFWNWHWDVKWEFUKUMWDVK
        WGIUKUNWEVLULZWOWRWPWTWNVMWHWQWEVLVKFUOWEVLWGHUKUPUQWGVNULZWRVPWPVRXAWQ
        VOVMWGVNVLHUOURWGVNVKIUOUNUSUTVBVAAWAVMSEUDZVOSEUDZUCVQAVSXBVTXCASEEVKV
        LFEJKMMAEGJOVCZAEGKPVCZNNEVDZWCVKVEZWCVLVEZVFASEEVLVNHEKLMMXEAEGLQVCZNN
        XFXHWCVNVEZVFUPVMVOSEVGVHASEEVKVNIEJLMMXDXINNXFXGXJVFVI $.
    $}
  $}

  ${
    $d w x y z A $.  $d w x y z F $.  $d w x y z G $.  $d w x y z ph $.
    $d w x y z H $.  $d w x y z K $.  $d w x y z O $.  $d w x y z R $.
    $d w x y z S $.  $d w x y z T $.
    caofdi.1 $e |- ( ph -> A e. V ) $.
    caofdi.2 $e |- ( ph -> F : A --> K ) $.
    caofdi.3 $e |- ( ph -> G : A --> S ) $.
    caofdi.4 $e |- ( ph -> H : A --> S ) $.
    ${
      caofdi.5 $e |- ( ( ph /\ ( x e. K /\ y e. S /\ z e. S ) ) ->
                          ( x T ( y R z ) ) = ( ( x T y ) O ( x T z ) ) ) $.
      $( Transfer a distributive law to the function operation.  (Contributed
         by Mario Carneiro, 26-Jul-2014.) $)
      caofdi $p |- ( ph ->
        ( F oF T ( G oF R H ) ) = ( ( F oF T G ) oF O ( F oF T H ) ) ) $=
        ( co vw cv cfv cmpt cof wcel wa w3a adantlr ffvelrnda caovdid mpteq2dva
        wceq cvv ovexd feqmptd offval2 3eqtr4d ) AUAEUAUBZIUCZUSJUCZUSKUCZFTZHT
        ZUDUAEUTVAHTZUTVBHTZMTZUDIJKFUETZHUEZTIJVITZIKVITZMUETAUAEVDVGAUSEUFZUG
        ZBCDUTVAVBGFHMLABUBZLUFCUBZGUFDUBZGUFUHVNVOVPFTHTVNVOHTVNVPHTMTUMVLSUIA
        ELUSIPUJZAEGUSJQUJZAEGUSKRUJZUKULAUAEUTVCHIVHNLUNOVQVMVAVBFUOAUAELIPUPZ
        AUAEVAVBFJKNGGOVRVSAUAEGJQUPZAUAEGKRUPZUQUQAUAEVEVFMVJVKNUNUNOVMUTVAHUO
        VMUTVBHUOAUAEUTVAHIJNLGOVQVRVTWAUQAUAEUTVBHIKNLGOVQVSVTWBUQUQUR $.
    $}

    ${
      caofdir.5 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ z e. K ) ) ->
                          ( ( x R y ) T z ) = ( ( x T z ) O ( y T z ) ) ) $.
      $( Transfer a reverse distributive law to the function operation.
         (Contributed by NM, 19-Oct-2014.) $)
      caofdir $p |- ( ph ->
        ( ( G oF R H ) oF T F ) = ( ( G oF T F ) oF O ( H oF T F ) ) ) $=
        ( co vw cfv cmpt cof wcel w3a wceq adantlr ffvelrnda caovdird mpteq2dva
        cv wa cvv ovexd feqmptd offval2 3eqtr4d ) AUAEUAULZJUBZUSKUBZFTZUSIUBZH
        TZUCUAEUTVCHTZVAVCHTZMTZUCJKFUDTZIHUDZTJIVITZKIVITZMUDTAUAEVDVGAUSEUEZU
        MZBCDUTVAVCGFHMLABULZGUECULZGUEDULZLUEUFVNVOFTVPHTVNVPHTVOVPHTMTUGVLSUH
        AEGUSJQUIZAEGUSKRUIZAELUSIPUIZUJUKAUAEVBVCHVHINUNLOVMUTVAFUOVSAUAEUTVAF
        JKNGGOVQVRAUAEGJQUPZAUAEGKRUPZUQAUAELIPUPZUQAUAEVEVFMVJVKNUNUNOVMUTVCHU
        OVMVAVCHUOAUAEUTVCHJINGLOVQVSVTWBUQAUAEVAVCHKINGLOVRVSWAWBUQUQUR $.
    $}
  $}

  ${
    $d ph x y z $.  $d A x y z $.  $d B y z $.  $d I z $.  $d M x y z $.
    $d S x y $.
    caonncan.i $e |- ( ph -> I e. V ) $.
    caonncan.a $e |- ( ph -> A : I --> S ) $.
    caonncan.b $e |- ( ph -> B : I --> S ) $.
    caonncan.z $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) ->
        ( x M ( x M y ) ) = y ) $.
    $( Transfer ~ nncan -shaped laws to vectors of numbers.  (Contributed by
       Stefan O'Rear, 27-Mar-2015.) $)
    caonncan $p |- ( ph -> ( A oF M ( A oF M B ) ) = B ) $=
      ( vz cv cfv co wcel wceq cvv cmpt cof wa wral ffvelrnda ralrimivva adantr
      id oveq1 oveq12d eqeq1d oveq2 oveq2d eqeq12d rspc2va syl21anc fvexd ovexd
      mpteq2dva feqmptd offval2 3eqtr4d ) ANGNOZDPZVDVCEPZHQZHQZUANGVEUADDEHUBZ
      QZVHQEANGVGVEAVCGRZUCZVDFRVEFRBOZVLCOZHQZHQZVMSZCFUDBFUDZVGVESZAGFVCDKUEA
      GFVCELUEAVQVJAVPBCFFMUFUGVPVRVDVDVMHQZHQZVMSBCVDVEFFVLVDSZVOVTVMWAVLVDVNV
      SHWAUHVLVDVMHUIUJUKVMVESZVTVGVMVEWBVSVFVDHVMVEVDHULUMWBUHUNUOUPUSANGVDVFH
      DVIITTJVKVCDUQZVKVDVEHURANGFDKUTZANGVDVEHDEITTJWCVKVCEUQWDANGFELUTZVAVAWE
      VB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Proper subset relation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c [C.] $.

  $( Extend class notation to include the reified proper subset relation. $)
  crpss $a class [C.] $.

  ${
    $d x y A $.  $d x y B $.
    $( Define a relation which corresponds to proper subsethood ~ df-pss on
       sets.  This allows us to use proper subsethood with general concepts
       that require relations, such as strict ordering, see ~ sorpss .
       (Contributed by Stefan O'Rear, 2-Nov-2014.) $)
    df-rpss $a |- [C.] = { <. x , y >. | x C. y } $.

    $( The proper subset relation is a relation.  (Contributed by Stefan
       O'Rear, 2-Nov-2014.) $)
    relrpss $p |- Rel [C.] $=
      ( vx vy cv wpss crpss df-rpss relopabiv ) ACBCDABEABFG $.

    $( The proper subset relation on sets is the same as class proper
       subsethood.  (Contributed by Stefan O'Rear, 2-Nov-2014.) $)
    brrpssg $p |- ( B e. V -> ( A [C.] B <-> A C. B ) ) $=
      ( vx vy wcel crpss wbr wpss cvv elex relrpss brrelex1i anim12i adantr wss
      wa pssss ssexg cv syl2anr jca psseq1 psseq2 df-rpss brabg ancoms pm5.21nd
      wb ) BCFZABGHZABIZBJFZAJFZQUJUMUKUNBCKZABGLMNUJULQUMUNUJUMULUOOULABPUMUNU
      JABRUOABJSUAUBUNUMUKULUIDTZETZIAUQIULDEABJJGUPAUQUCUQBAUDDEUEUFUGUH $.
  $}

  ${
    brrpss.a $e |- B e. _V $.
    $( The proper subset relation on sets is the same as class proper
       subsethood.  (Contributed by Stefan O'Rear, 2-Nov-2014.) $)
    brrpss $p |- ( A [C.] B <-> A C. B ) $=
      ( cvv wcel crpss wbr wpss wb brrpssg ax-mp ) BDEABFGABHICABDJK $.
  $}

  ${
    $d x y z A $.
    $( Every class is partially ordered by proper subsets.  (Contributed by
       Stefan O'Rear, 2-Nov-2014.) $)
    porpss $p |- [C.] Po A $=
      ( vx vy vz crpss wpo cv wbr wn wa wi wral wpss pssirr psstr brrpss notbii
      vex anbi12i imbi12i mpbir2an rgenw rgen2w df-po mpbir ) AEFBGZUFEHZIZUFCG
      ZEHZUIDGZEHZJZUFUKEHZKZJZDALZCALBALUQBCAAUPDAUPUFUFMZIZUFUIMZUIUKMZJZUFUK
      MZKZUFNUFUIUKOUHUSUOVDUGURUFUFBRPQUMVBUNVCUJUTULVAUFUICRPUIUKDRZPSUFUKVEP
      TSUAUBUCBCDAEUDUE $.

    $( Express strict ordering under proper subsets, i.e. the notion of a chain
       of sets.  (Contributed by Stefan O'Rear, 2-Nov-2014.) $)
    sorpss $p |- ( [C.] Or A <-> A. x e. A A. y e. A ( x C_ y \/ y C_ x ) ) $=
      ( cv crpss wbr weq w3o wral wpo wss wor porpss biantrur wpss sspsstri vex
      wa wo brrpss biid 3orbi123i bitr4i 2ralbii df-so 3bitr4ri ) ADZBDZEFZABGZ
      UHUGEFZHZBCIACIZCEJZUMRUGUHKUHUGKSZBCIACICELUNUMCMNUOULABCCUOUGUHOZUJUHUG
      OZHULUGUHPUIUPUJUJUKUQUGUHBQTUJUAUHUGAQTUBUCUDABCEUEUF $.
  $}

  $( Property of a chain of sets.  (Contributed by Stefan O'Rear,
     2-Nov-2014.) $)
  sorpssi $p |- ( ( [C.] Or A /\ ( B e. A /\ C e. A ) ) ->
      ( B C_ C \/ C C_ B ) ) $=
    ( crpss wor wcel wa wpss wceq w3o wss wo wbr solin wb elex ad2antll brrpssg
    cvv syl biidd ad2antrl 3orbi123d mpbid sspsstri sylibr ) ADEZBAFZCAFZGGZBCH
    ZBCIZCBHZJZBCKCBKLUJBCDMZULCBDMZJUNABCDNUJUOUKULULUPUMUJCSFZUOUKOUIUQUGUHCA
    PQBCSRTUJULUAUJBSFZUPUMOUHURUGUIBAPUBCBSRTUCUDBCUEUF $.

  $( A chain of sets is closed under binary union.  (Contributed by Mario
     Carneiro, 16-May-2015.) $)
  sorpssun $p |- ( ( [C.] Or A /\ ( B e. A /\ C e. A ) ) ->
      ( B u. C ) e. A ) $=
    ( crpss wor wcel wa wss cun simprr wb ssequn1 eleq1 sylbi syl5ibrcom simprl
    wceq ssequn2 sorpssi mpjaod ) ADEZBAFZCAFZGGZBCHZBCIZAFZCBHZUDUGUEUCUAUBUCJ
    UEUFCQUGUCKBCLUFCAMNOUDUGUHUBUAUBUCPUHUFBQUGUBKCBRUFBAMNOABCST $.

  $( A chain of sets is closed under binary intersection.  (Contributed by
     Mario Carneiro, 16-May-2015.) $)
  sorpssin $p |- ( ( [C.] Or A /\ ( B e. A /\ C e. A ) ) ->
      ( B i^i C ) e. A ) $=
    ( crpss wor wcel wa wss cin simprl wceq df-ss eleq1 sylbi syl5ibrcom simprr
    wb sseqin2 sorpssi mpjaod ) ADEZBAFZCAFZGGZBCHZBCIZAFZCBHZUDUGUEUBUAUBUCJUE
    UFBKUGUBQBCLUFBAMNOUDUGUHUCUAUBUCPUHUFCKUGUCQCBRUFCAMNOABCST $.

  ${
    $d Y u v $.
    $( In a chain of sets, a maximal element is the union of the chain.
       (Contributed by Stefan O'Rear, 2-Nov-2014.) $)
    sorpssuni $p |- ( [C.] Or Y -> ( E. u e. Y A. v e. Y -. u C. v <->
        U. Y e. Y ) ) $=
      ( crpss wor cv wpss wn wral wrex cuni wcel w3a wss wa sorpssi syl elssuni
      wo wi anassrs sspss orel1 eqimss2 syl6com sylbi ax-1 jaoi ralimdva 3impia
      weq unissb sylibr 3ad2ant2 eqssd simp2 rexlimdv3a ssnpss rgen wceq psseq1
      eqeltrd notbid ralbidv rspcev mpan2 impbid1 ) CDEZBFZAFZGZHZACIZBCJZCKZCL
      ZVHVMVPBCVHVICLZVMMZVOVICVRVOVIVRVJVINZACIZVOVINVHVQVMVTVHVQOZVLVSACWAVJC
      LZOVIVJNZVSSZVLVSTZVHVQWBWDCVIVJPUAWCWEVSWCVKBAUKZSZWEVIVJUBVLWGWFVSVKWFU
      CVJVIUDUEUFVSVLUGUHQUIUJACVIULUMVQVHVIVONVMVICRUNUOVHVQVMUPVBUQVPVOVJGZHZ
      ACIZVNWIACWBVJVONWIVJCRVJVOURQUSVMWJBVOCVIVOUTZVLWIACWKVKWHVIVOVJVAVCVDVE
      VFVG $.

    $( In a chain of sets, a minimal element is the intersection of the chain.
       (Contributed by Stefan O'Rear, 2-Nov-2014.) $)
    sorpssint $p |- ( [C.] Or Y -> ( E. u e. Y A. v e. Y -. v C. u <->
        |^| Y e. Y ) ) $=
      ( crpss wor cv wpss wn wral wrex cint wcel w3a wss intss1 3ad2ant2 wa syl
      wo wi sorpssi anassrs weq sspss orel1 eqimss2 sylbi jao1i ralimdva 3impia
      syl6com ssint sylibr eqssd simp2 eqeltrd rexlimdv3a ssnpss psseq2 ralbidv
      rgen wceq notbid rspcev mpan2 impbid1 ) CDEZAFZBFZGZHZACIZBCJZCKZCLZVGVLV
      OBCVGVICLZVLMZVNVICVQVNVIVPVGVNVINVLVICOPVQVIVHNZACIZVIVNNVGVPVLVSVGVPQZV
      KVRACVTVHCLZQVRVHVINZSZVKVRTZVGVPWAWCCVIVHUAUBVRWBVKWBVJABUCZSZWDVHVIUDVK
      WFWEVRVJWEUEVIVHUFUKUGUHRUIUJAVICULUMUNVGVPVLUOUPUQVOVHVNGZHZACIZVMWHACWA
      VNVHNWHVHCOVNVHURRVAVLWIBVNCVIVNVBZVKWHACWJVJWGVIVNVHUSVCUTVDVEVF $.
  $}

  ${
    $d Y x y $.  $d A x y $.  $d Y u $.  $d A u $.  $d u x y $.
    $( The componentwise complement of a chain of sets is also a chain of sets.
       (Contributed by Stefan O'Rear, 2-Nov-2014.) $)
    sorpsscmpl $p |- ( [C.] Or Y -> [C.] Or { u e. ~P A | ( A \ u ) e. Y } ) $=
      ( vx vy crpss wor cv wss wo cdif wcel wral wa difeq2 eleq1d elrab syl2anb
      weq wi cpw crab biimpi sorpssi expcom wceq velpw dfss4 bitri sscon sseq12
      an4 syl5ib wb ancoms orim12d com12 orcoms syl6 impd syl5 ralrimivv sorpss
      com3l sylibr ) CFGZDHZEHZIZVHVGIZJZEBAHZKZCLZABUAZUBZMDVPMVPFGVFVKDEVPVPV
      GVPLZVHVPLZNVGVOLZVHVOLZNZBVGKZCLZBVHKZCLZNZNZVFVKVQVSWCNZVTWENZWGVRVNWCA
      VGVOADSVMWBCVLVGBOPQVNWEAVHVOAESVMWDCVLVHBOPQWHWINWGVSWCVTWEULUCRVFWAWFVK
      WFVFWAVKWFVFWBWDIZWDWBIZJZWAVKTZVFWFWLCWBWDUDUEWKWJWMWAWKWJJZVKVSBWBKZVGU
      FZBWDKZVHUFZWNVKTVTVSVGBIWPDBUGVGBUHUIVTVHBIWREBUGVHBUHUIWPWRNZWKVIWJVJWK
      WOWQIWSVIWDWBBUJWOVGWQVHUKUMWJWQWOIZWSVJWBWDBUJWRWPWTVJUNWQVHWOVGUKUOUMUP
      RUQURUSVDUTVAVBDEVPVCVE $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  ZF Set Theory - add the Axiom of Union
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Introduce the Axiom of Union
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d w x y z $.
    $( Axiom of Union.  An axiom of Zermelo-Fraenkel set theory.  It states
       that a set ` y ` exists that includes the union of a given set ` x `
       i.e. the collection of all members of the members of ` x ` .  The
       variant ~ axun2 states that the union itself exists.  A version with the
       standard abbreviation for union is ~ uniex2 .  A version using class
       notation is ~ uniex .

       The union of a class ~ df-uni should not be confused with the union of
       two classes ~ df-un .  Their relationship is shown in ~ unipr .
       (Contributed by NM, 23-Dec-1993.) $)
    ax-un $a |- E. y A. z ( E. w ( z e. w /\ w e. x ) -> z e. y ) $.

    $( Axiom of Union expressed with the fewest number of different variables.
       (Contributed by NM, 14-Aug-2003.)  Use ~ ax-un instead.
       (New usage is discouraged.) $)
    zfun $p |- E. x A. y ( E. x ( y e. x /\ x e. z ) -> y e. x ) $=
      ( vw wel wa wex wi wal ax-un weq elequ2 elequ1 anbi12d imbi1i albii exbii
      cbvexvw mpbi ) BDEZDCEZFZDGZBAEZHZBIZAGUDACEZFZAGZUDHZBIZAGCABDJUFUKAUEUJ
      BUCUIUDUBUHDADAKTUDUAUGDABLDACMNROPQS $.

    $( A variant of the Axiom of Union ~ ax-un .  For any set ` x ` , there
       exists a set ` y ` whose members are exactly the members of the members
       of ` x ` i.e. the union of ` x ` .  Axiom Union of [BellMachover]
       p. 466.  (Contributed by NM, 4-Jun-2006.) $)
    axun2 $p |- E. y A. z ( z e. y <-> E. w ( z e. w /\ w e. x ) ) $=
      ( wel wa wex ax-un bm1.3ii ) CDEDAEFDGBCABCDHI $.

    $( The Axiom of Union using the standard abbreviation for union.  Given any
       set ` x ` , its union ` y ` exists.  (Contributed by NM, 4-Jun-2006.) $)
    uniex2 $p |- E. y y = U. x $=
      ( vz vw cv cuni wceq wex wel wcel wb wi wa ax-un eluni imbi1i albii exbii
      wal mpbir bm1.3ii dfcleq ) BEZAEZFZGZBHCBIZCEZUEJZKCSZBHUIBCUIUGLZCSZBHCD
      IDAIMDHZUGLZCSZBHABCDNULUOBUKUNCUIUMUGDUHUDOPQRTUAUFUJBCUCUEUBRT $.
  $}

  ${
    $d x y $.
    $( The union of a setvar is a set.  (Contributed by BJ, 3-May-2021.)
       (Revised by BJ, 6-Apr-2024.) $)
    vuniex $p |- U. x e. _V $=
      ( vy cv cuni uniex2 issetri ) BACDABEF $.
  $}

  ${
    $d x A $.
    $( The ZF Axiom of Union in class notation, in the form of a theorem
       instead of an inference.  We use the antecedent ` A e. V ` instead of
       ` A e. _V ` to make the theorem more general and thus shorten some
       proofs; obviously the universal class constant ` _V ` is one possible
       substitution for class variable ` V ` .  (Contributed by NM,
       25-Nov-1994.) $)
    uniexg $p |- ( A e. V -> U. A e. _V ) $=
      ( vx cv cuni cvv wcel wceq unieq eleq1d vuniex vtoclg ) CDZEZFGAEZFGCABMA
      HNOFMAIJCKL $.
  $}

  ${
    uniex.1 $e |- A e. _V $.
    $( The Axiom of Union in class notation.  This says that if ` A ` is a set
       i.e. ` A e. _V ` (see ~ isset ), then the union of ` A ` is also a set.
       Same as Axiom 3 of [TakeutiZaring] p. 16.  (Contributed by NM,
       11-Aug-1993.) $)
    uniex $p |- U. A e. _V $=
      ( cvv wcel cuni uniexg ax-mp ) ACDAECDBACFG $.
  $}

  ${
    uniexd.1 $e |- ( ph -> A e. V ) $.
    $( Deduction version of the ZF Axiom of Union in class notation.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    uniexd $p |- ( ph -> U. A e. _V ) $=
      ( wcel cuni cvv uniexg syl ) ABCEBFGEDBCHI $.
  $}

  ${
    unex.1 $e |- A e. _V $.
    unex.2 $e |- B e. _V $.
    $( The union of two sets is a set.  Corollary 5.8 of [TakeutiZaring] p. 16.
       (Contributed by NM, 1-Jul-1994.) $)
    unex $p |- ( A u. B ) e. _V $=
      ( cpr cuni cun cvv unipr prex uniex eqeltrri ) ABEZFABGHABCDIMABJKL $.
  $}

  $( An unordered triple of classes exists.  (Contributed by NM,
     10-Apr-1994.) $)
  tpex $p |- { A , B , C } e. _V $=
    ( ctp cpr csn cun cvv df-tp prex snex unex eqeltri ) ABCDABEZCFZGHABCINOABJ
    CKLM $.

  ${
    $d x y A $.  $d x y B $.
    $( Existence of union is equivalent to existence of its components.
       (Contributed by NM, 11-Jun-1998.) $)
    unexb $p |- ( ( A e. _V /\ B e. _V ) <-> ( A u. B ) e. _V ) $=
      ( vx vy cvv wcel wa cun cv wceq uneq1 eleq1d uneq2 vex unex vtocl2g ssun1
      wss ssexg mpan ssun2 jca impbii ) AEFZBEFZGABHZEFZCIZDIZHZEFAUIHZEFUGCDAB
      EEUHAJUJUKEUHAUIKLUIBJUKUFEUIBAMLUHUICNDNOPUGUDUEAUFRUGUDABQAUFESTBUFRUGU
      EBAUABUFESTUBUC $.
  $}

  $( A union of two sets is a set.  Corollary 5.8 of [TakeutiZaring] p. 16.
     (Contributed by NM, 18-Sep-2006.) $)
  unexg $p |- ( ( A e. V /\ B e. W ) -> ( A u. B ) e. _V ) $=
    ( wcel cvv cun elex wa unexb biimpi syl2an ) ACEAFEZBFEZABGFEZBDEACHBDHMNIO
    ABJKL $.

  $( The Cartesian product of two sets is a set.  Proposition 6.2 of
     [TakeutiZaring] p. 23.  See also ~ xpexgALT .  (Contributed by NM,
     14-Aug-1994.) $)
  xpexg $p |- ( ( A e. V /\ B e. W ) -> ( A X. B ) e. _V ) $=
    ( wcel wa cxp cun cpw wss cvv xpsspw unexg pwexg 3syl ssexg sylancr ) ACEBD
    EFZABGZABHZIZIZJUBKEZSKEABLRTKEUAKEUCABCDMTKNUAKNOSUBKPQ $.

  ${
    xpexd.1 $e |- ( ph -> A e. V ) $.
    xpexd.2 $e |- ( ph -> B e. W ) $.
    $( The Cartesian product of two sets is a set.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    xpexd $p |- ( ph -> ( A X. B ) e. _V ) $=
      ( wcel cxp cvv xpexg syl2anc ) ABDHCEHBCIJHFGBCDEKL $.
  $}

  $( The Cartesian product of three sets is a set.  (Contributed by Alexander
     van der Vekens, 21-Feb-2018.) $)
  3xpexg $p |- ( V e. W -> ( ( V X. V ) X. V ) e. _V ) $=
    ( cxp cvv wcel xpexg anidms mpancom ) AACZDEZABEZIACDEKJAABBFGIADBFH $.

  ${
    xpex.1 $e |- A e. _V $.
    xpex.2 $e |- B e. _V $.
    $( The Cartesian product of two sets is a set.  Proposition 6.2 of
       [TakeutiZaring] p. 23.  (Contributed by NM, 14-Aug-1994.) $)
    xpex $p |- ( A X. B ) e. _V $=
      ( cvv wcel cxp xpexg mp2an ) AEFBEFABGEFCDABEEHI $.
  $}

  ${
    unexd.1 $e |- ( ph -> A e. V ) $.
    unexd.2 $e |- ( ph -> B e. W ) $.
    $( The union of two sets is a set.  (Contributed by SN, 16-Jul-2024.) $)
    unexd $p |- ( ph -> ( A u. B ) e. _V ) $=
      ( wcel cun cvv unexg syl2anc ) ABDHCEHBCIJHFGBCDEKL $.
  $}

  $( The Cartesian square of a set is a set.  (Contributed by AV,
     13-Jan-2020.) $)
  sqxpexg $p |- ( A e. V -> ( A X. A ) e. _V ) $=
    ( wcel cxp cvv xpexg anidms ) ABCAADECAABBFG $.

  ${
    $d A x y $.  $d F y $.
    $( Sufficient condition for a class abstraction to be a proper class.  The
       class ` F ` can be thought of as an expression in ` x ` and the
       abstraction appearing in the statement as the class of values ` F ` as
       ` x ` varies through ` A ` .  Assuming the antecedents, if that class is
       a set, then so is the "domain" ` A ` .  The converse holds without
       antecedent, see ~ abrexexg .  Note that the second antecedent
       ` A. x e. A x e. F ` cannot be translated to ` A C_ F ` since ` F ` may
       depend on ` x ` .  In applications, one may take ` F = { x } ` or
       ` F = ~P x ` (see ~ snnex and ~ pwnex respectively, proved from
       ~ abnex , which is a consequence of ~ abnexg with ` A = _V ` ).
       (Contributed by BJ, 2-Dec-2021.) $)
    abnexg $p |- ( A. x e. A ( F e. V /\ x e. F ) ->
                               ( { y | E. x e. A y = F } e. W -> A e. _V ) ) $=
      ( cv wceq wrex cab wcel cuni cvv wa wral ciun wi ralimi syl wss simpl csn
      uniexg dfiun2g eleq1d biimprd simpr iunid snssi ss2iun eqsstrrid ssexg ex
      3syl syld syl5 ) BGDHACIBJZFKUQLZMKZDEKZAGZDKZNZACOZCMKZUQFUCVDUSACDPZMKZ
      VEVDUTACOZUSVGQVCUTACUTVBUARVHVGUSVHVFURMABCDEUDUEUFSVDVBACOZCVFTZVGVEQVC
      VBACUTVBUGRVICACVAUBZPZVFACUHVIVKDTZACOVLVFTVBVMACVADUIRACVKDUJSUKVJVGVEC
      VFMULUMUNUOUP $.
  $}

  ${
    $d x y $.  $d F y $.
    $( Sufficient condition for a class abstraction to be a proper class.
       Lemma for ~ snnex and ~ pwnex .  See the comment of ~ abnexg .
       (Contributed by BJ, 2-May-2021.) $)
    abnex $p |- ( A. x ( F e. V /\ x e. F ) -> -. { y | E. x y = F } e. _V ) $=
      ( wcel cv wa wal wceq wex cab cvv vprc wral wrex alral rexv bicomi eleq1i
      abbii biimpi abnexg syl2im mtoi ) CDEAFCEGZAHZBFCIZAJZBKZLEZLLEZMUFUEALNU
      JUGALOZBKZLEZUKUEALPUJUNUIUMLUHULBULUHUGAQRTSUAABLCDLUBUCUD $.
  $}

  ${
    $d x y $.
    $( The class of all singletons is a proper class.  See also ~ pwnex .
       (Contributed by NM, 10-Oct-2008.)  (Proof shortened by Eric Schmidt,
       7-Dec-2008.)  (Proof shortened by BJ, 5-Dec-2021.) $)
    snnex $p |- { x | E. y x = { y } } e/ _V $=
      ( cv csn cvv wcel wa wceq wex cab wnel wal abnex df-nel sylibr snex vsnid
      wn pm3.2i mpg ) BCZDZEFZUAUBFZGZACUBHBIAJZEKZBUEBLUFEFRUGBAUBEMUFENOUCUDU
      APBQST $.
  $}

  ${
    $d x y $.
    $( The class of all power sets is a proper class.  See also ~ snnex .
       (Contributed by BJ, 2-May-2021.) $)
    pwnex $p |- { x | E. y x = ~P y } e/ _V $=
      ( cv cpw cvv wcel wa wceq wex cab wnel wal abnex df-nel sylibr vpwex pwid
      wn vex pm3.2i mpg ) BCZDZEFZUBUCFZGZACUCHBIAJZEKZBUFBLUGEFRUHBAUCEMUGENOU
      DUEBPUBBSQTUA $.
  $}

  $( If the subtrahend of a class difference exists, then the minuend exists
     iff the difference exists.  (Contributed by NM, 12-Nov-2003.)  (Proof
     shortened by Andrew Salmon, 12-Aug-2011.) $)
  difex2 $p |- ( B e. C -> ( A e. _V <-> ( A \ B ) e. _V ) ) $=
    ( wcel cvv cdif difexg wa cun ssun2 uncom undif2 eqtr2i sseqtri unexg ssexg
    wss sylancr expcom impbid2 ) BCDZAEDZABFZEDZABEGUDUAUBUDUAHAUCBIZQUEEDUBABA
    IZUEABJUEBUCIUFUCBKBALMNUCBECOAUEEPRST $.

  $( If the difference of a class and a singleton is a set, the class itself is
     a set.  (Contributed by AV, 15-Jan-2019.) $)
  difsnexi $p |- ( ( N \ { K } ) e. _V -> N e. _V ) $=
    ( wcel csn cdif cvv wi wa simpr snex unexg sylancl wb difsnid eqcomd eleq1d
    cun adantr mpbird ex wn difsn biimpd pm2.61i ) ABCZBADZEZFCZBFCZGUEUHUIUEUH
    HZUIUGUFQZFCZUJUHUFFCULUEUHIAJUGUFFFKLUEUIULMUHUEBUKFUEUKBBANOPRSTUEUAZUHUI
    UMUGBFABUBPUCUD $.

  ${
    $d A x y v z $.  $d A x y u z $.
    $( Expression for double union that moves union into a class abstraction.
       (Contributed by FL, 28-May-2007.) $)
    uniuni $p |- U. U. A = U. { x | E. y ( x = U. y /\ y e. A ) } $=
      ( vz vu vv wel cv cuni wcel wex cab wceq eluni anbi2i exbii 19.42v bicomi
      wa 3bitri excom anass ancom bitr3i 2exbii exdistr ceqsexv exancom 3bitr2i
      vuniex eleq2 bitri vex eqeq1 anbi1d exbidv elab abbii df-uni 3eqtr4i ) DE
      GZEHZCIZJZSZEKZDLDFGZFHZAHZBHZIZMZVJCJZSZBKZALZJZSZFKZDLVCIVPIVFVSDVFVAEB
      GZVMSZBKZSZEKZVMDHZVKJZSZBKZVSVEWCEVDWBVABVBCNOPWDVAWASZBKZEKZVMVAVTSZEKZ
      SZBKZWHWCWJEWJWCVAWABQRPWKWIEKBKVMWLSZEKBKWOWIEBUAWIWPBEWIWLVMSWPVAVTVMUB
      WLVMUCUDUEVMWLBEUFTWNWGBWMWFVMWFWMEWEVJNROPTWHVGVHVKMZVMSZSZFKZBKWSBKFKZV
      SWGWTBWGVMVGWQSZFKZSVMXBSZFKWTWFXCVMWFWQVGSFKXCVGWFFVKBUJVHVKWEUKUGWQVGFU
      HUDOVMXBFQXDWSFXDXBVMSWSVMXBUCVGWQVMUBULPUIPWSBFUAXAVGWRBKZSZFKVSVGWRFBUF
      XFVRFXEVQVGVQXEVOXEAVHFUMVIVHMZVNWRBXGVLWQVMVIVHVKUNUOUPUQROPULTTURDEVCUS
      DFVPUSUT $.
  $}

  $( Converse of the Axiom of Union.  Note that it does not require ~ ax-un .
     (Contributed by NM, 11-Nov-2003.) $)
  uniexr $p |- ( U. A e. V -> A e. _V ) $=
    ( cuni wcel cpw wss cvv pwuni pwexg ssexg sylancr ) ACZBDALEZFMGDAGDAHLBIAM
    GJK $.

  $( The Axiom of Union and its converse.  A class is a set iff its union is a
     set.  (Contributed by NM, 11-Nov-2003.) $)
  uniexb $p |- ( A e. _V <-> U. A e. _V ) $=
    ( cvv wcel cuni uniexg uniexr impbii ) ABCADBCABEABFG $.

  $( Converse of the Axiom of Power Sets.  Note that it does not require
     ~ ax-pow .  (Contributed by NM, 11-Nov-2003.) $)
  pwexr $p |- ( ~P A e. V -> A e. _V ) $=
    ( cpw wcel cuni cvv unipw uniexg eqeltrrid ) ACZBDAJEFAGJBHI $.

  $( The Axiom of Power Sets and its converse.  A class is a set iff its power
     class is a set.  (Contributed by NM, 11-Nov-2003.) $)
  pwexb $p |- ( A e. _V <-> ~P A e. _V ) $=
    ( cvv wcel cpw pwexg pwexr impbii ) ABCADBCABEABFG $.

  $( A class belongs to a double power class if and only if its union belongs
     to the power class.  (Contributed by BJ, 22-Jan-2023.) $)
  elpwpwel $p |- ( A e. ~P ~P B <-> U. A e. ~P B ) $=
    ( cvv wcel cuni wss wa cpw uniexb anbi1i elpwpw elpwb 3bitr4i ) ACDZAEZBFZG
    OCDZPGABHZHDORDNQPAIJABKOBLM $.

  ${
    eldifpw.1 $e |- C e. _V $.
    $( Membership in a power class difference.  (Contributed by NM,
       25-Mar-2007.) $)
    eldifpw $p |- ( ( A e. ~P B /\ -. C C_ B ) ->
                   ( A u. C ) e. ( ~P ( B u. C ) \ ~P B ) ) $=
      ( cpw wcel wss wn wa cun elpwi unss1 cvv wb unexg mpan2 elpwg syl syl5ibr
      cdif mpd unssbd con3i anim12i eldif sylibr ) ABEZFZCBGZHZIACJZBCJZEZFZUKU
      GFZHZIUKUMUGTFUHUNUJUPUHABGZUNABKUQUNUHUKULGZABCLUHUKMFZUNURNUHCMFUSDACUG
      MOPUKULMQRSUAUOUIUOACBUKBKUBUCUDUKUMUGUEUF $.

    $( Membership in the power class of a union.  (Contributed by NM,
       26-Mar-2007.) $)
    elpwun $p |- ( A e. ~P ( B u. C ) <-> ( A \ C ) e. ~P B ) $=
      ( cun cpw wcel cvv cdif elex difex2 ax-mp sylibr wss elpwg sseq2i ssundif
      wb uncom bitri difexg syl bitr4id bitrd pm5.21nii ) ABCEZFZGZAHGZACIZBFZG
      ZAUGJULUJHGZUIUJUKJCHGUIUMRDACHKLMUIUHAUFNZULAUFHOUIUNUJBNZULUNACBEZNUOUF
      UPABCSPACBQTUIUMULUORACHUAUJBHOUBUCUDUE $.
  $}

  $( Power classes are closed under union.  (Contributed by AV,
     27-Feb-2024.) $)
  pwuncl $p |- ( ( A e. ~P X /\ B e. ~P X ) -> ( A u. B ) e. ~P X ) $=
    ( cpw wcel wa cun cvv unexg wss elpwi unss biimpi syl2an elpwd ) ACDZEZBPEZ
    FABGZCHABPPIQACJZBCJZSCJZRACKBCKTUAFUBABCLMNO $.

  ${
    $d x y A $.
    iunpw.1 $e |- A e. _V $.
    $( An indexed union of a power class in terms of the power class of the
       union of its index.  Part of Exercise 24(b) of [Enderton] p. 33.
       (Contributed by NM, 29-Nov-2003.) $)
    iunpw $p |- ( E. x e. A x = U. A <-> ~P U. A = U_ x e. A ~P x ) $=
      ( vy cv cuni wceq wrex cpw ciun wss wcel sseq2 biimprcd com12 ssiun velpw
      reximdv eliun wa uniiun sseqtrrdi impbid1 rexbii bitri 3bitr4g eqrdv ssid
      uniex elpw eleq2 bitr3id mpbii sylib elssuni elpwi anim12i eqss sylibr ex
      reximia syl impbii ) AEZBFZGZABHZVEIZABVDIZJZGZVGDVHVJVGDEZVEKZVLVDKZABHZ
      VLVHLVLVJLZVGVMVOVMVGVOVMVFVNABVFVNVMVDVEVLMNROVOVLABVDJVEABVDVLPABUAUBUC
      DVEQVPVLVILZABHVOAVLBVISVQVNABDVDQUDUEUFUGVKVEVILZABHZVGVKVEVJLZVSVKVEVEK
      ZVTVEUHWAVEVHLVKVTVEVEBCUIUJVHVJVEUKULUMAVEBVISUNVRVFABVDBLZVRVFWBVRTVDVE
      KZVEVDKZTVFWBWCVRWDVDBUOVEVDUPUQVDVEURUSUTVAVBVC $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x y R $.
    $( A well-founded relation has no 3-cycle loops.  Special case of
       Proposition 6.23 of [TakeutiZaring] p. 30.  (Contributed by NM,
       10-Apr-1994.)  (Revised by Mario Carneiro, 22-Jun-2015.) $)
    fr3nr $p |- ( ( R Fr A /\ ( B e. A /\ C e. A /\ D e. A ) ) ->
                -. ( B R C /\ C R D /\ D R B ) ) $=
      ( vy vx wcel w3a wbr wn wral wss csn wb wceq breq2 notbid ralbidv syl wfr
      wa w3o cv ctp wrex cvv c0 wne a1i simpl cpr cun df-tp simpr1 simpr2 prssd
      tpex simpr3 snssd unssd eqsstrid tpnzd fri syl22anc rextpg adantl snsstp3
      mpbid wi snssg mpbiri breq1 rspcv snsstp1 snsstp2 3orim123d 3ianor sylibr
      mpd 3anrot sylnib ) AEUAZBAHZCAHZDAHZIZUBZDBEJZBCEJZCDEJZIZWJWKWIIWHWIKZW
      JKZWKKZUCZWLKWHFUDZBEJZKZFBCDUEZLZWQCEJZKZFWTLZWQDEJZKZFWTLZUCZWPWHWQGUDZ
      EJZKZFWTLZGWTUFZXHWHWTUGHZWCWTAMWTUHUIXMXNWHBCDURUJWCWGUKWHWTBCULZDNZUMAB
      CDUNWHXOXPAWHBCAWCWDWEWFUOZWCWDWEWFUPZUQWHDAWCWDWEWFUSZUTVAVBWHBCDAXQVCGF
      AWTUGEVDVEWGXMXHOWCXLXAXDXGGBCDAAAXIBPZXKWSFWTXTXJWRXIBWQEQRSXICPZXKXCFWT
      YAXJXBXICWQEQRSXIDPZXKXFFWTYBXJXEXIDWQEQRSVFVGVIWHXAWMXDWNXGWOWHDWTHZXAWM
      VJWHYCXPWTMZBCDVHWHWFYCYDOXSDWTAVKTVLWSWMFDWTWQDPWRWIWQDBEVMRVNTWHBWTHZXD
      WNVJWHYEBNWTMZBCDVOWHWDYEYFOXQBWTAVKTVLXCWNFBWTWQBPXBWJWQBCEVMRVNTWHCWTHZ
      XGWOVJWHYGCNWTMZBCDVPWHWEYGYHOXRCWTAVKTVLXFWOFCWTWQCPXEWKWQCDEVMRVNTVQVTW
      IWJWKVRVSWIWJWKWAWB $.
  $}

  $( A well-founded class contains no 3-cycle loops.  (Contributed by NM,
     19-Apr-1994.)  (Revised by Mario Carneiro, 22-Jun-2015.) $)
  epne3 $p |- ( ( _E Fr A /\ ( B e. A /\ C e. A /\ D e. A ) ) ->
                -. ( B e. C /\ C e. D /\ D e. B ) ) $=
    ( cep wfr wcel w3a wa wbr fr3nr wb epelg 3ad2ant2 3ad2ant3 3anbi123d adantl
    3ad2ant1 mtbid ) AEFZBAGZCAGZDAGZHZIBCEJZCDEJZDBEJZHZBCGZCDGZDBGZHZABCDEKUD
    UHULLTUDUEUIUFUJUGUKUBUAUEUILUCBCAMNUCUAUFUJLUBCDAMOUAUBUGUKLUCDBAMRPQS $.

  ${
    $d x y z R $.  $d x y z A $.
    $( Alternate definition of well-ordering.  Definition 6.24(2) of
       [TakeutiZaring] p. 30.  (Contributed by NM, 16-Mar-1997.)  (Proof
       shortened by Andrew Salmon, 12-Aug-2011.) $)
    dfwe2 $p |- ( R We A <-> ( R Fr A /\ A. x e. A A. y e. A
                ( x R y \/ x = y \/ y R x ) ) ) $=
      ( vz wa cv wbr weq w3o wral wn wi wcel w3a wal breq2 r3al 3imtr4g ralbii
      wwe wfr wor df-we df-so simpr ax-1 fr2nr 3adantr3 anbi2d notbid syl5ibcom
      wpo pm2.21 syl6 fr3nr df-3an biimpri ancoms nsyl pm2.21d expd 3jaod frirr
      a1i 3ad2antr1 jctild ex a2d alimdv 2alimdv equequ2 breq1 ralidmw cbvralvw
      3orbi123d bitr3i df-po ancrd impbid2 syl5bb pm5.32i bitri ) CDUACDUBZCDUC
      ZFWDAGZBGZDHZABIZWGWFDHZJZBCKZACKZFCDUDWDWEWMWECDUMZWMFZWDWMABCDUEWDWOWMW
      NWMUFWDWMWNWDWFEGZDHZAEIZWPWFDHZJZECKZBCKZACKZWFWFDHLZWHWGWPDHZFZWQMZFZEC
      KBCKACKZWMWNWDWFCNZWGCNZWPCNZOZWTMZEPZBPAPXMXHMZEPZBPAPXCXIWDXOXQABWDXNXP
      EWDXMWTXHWDXMWTXHMWDXMFZWTXGXDXRWQXGWRWSWQXGMXRWQXFUGVEXRWRXFLZXGXRWHWJFZ
      LZWRXSWDXJXKYAXLCWFWGDUHUIWRXTXFWRWJXEWHWFWPWGDQUJUKULXFWQUNUOXRWSXFWQXRW
      SXFFZWQXRWHXEWSOZYBCWFWGWPDUPXFWSYCYCXFWSFWHXEWSUQURUSUTVAVBVCWDXKXJXDXLC
      WFDVDVFVGVHVIVJVKWTABECCCRXHABECCCRSWLXBACWLWLBCKXBWKWTBECBEIWHWQWIWRWJWS
      WGWPWFDQBEAVLWGWPWFDVMVPZVNWLXABCWKWTBECYDVOTVQTABECDVRSVSVTWAWBWC $.
    $( $j usage 'dfwe2' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ordinals (continued)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( The membership relation well-orders the class of ordinal numbers.  This
       proof does not require the axiom of regularity.  Proposition 4.8(g) of
       [Mendelson] p. 244.  (Contributed by NM, 1-Nov-2003.) $)
    epweon $p |- _E We On $=
      ( vx vy con0 cep wwe wfr cv wbr weq w3o wral onfr wcel eloni wa ordtri3or
      word wel epel biid 3orbi123i sylibr syl2an rgen2 dfwe2 mpbir2an ) CDECDFA
      GZBGZDHZABIZUHUGDHZJZBCKACKLULABCCUGCMUGQZUHQZULUHCMUGNUHNUMUNOABRZUJBARZ
      JULUGUHPUIUOUJUJUKUPBUGSUJTAUHSUAUBUCUDABCDUEUF $.
    $( $j usage 'epweon' avoids 'ax-reg'; $)
  $}

  $( The class of all ordinal numbers is ordinal.  Proposition 7.12 of
     [TakeutiZaring] p. 38, but without using the Axiom of Regularity.
     (Contributed by NM, 17-May-1994.) $)
  ordon $p |- Ord On $=
    ( con0 word wtr cep wwe tron epweon df-ord mpbir2an ) ABACADEFGAHI $.
  $( $j usage 'ordon' avoids 'ax-reg'; $)

  $( No set contains all ordinal numbers.  Proposition 7.13 of [TakeutiZaring]
     p. 38, but without using the Axiom of Regularity.  This is also known as
     the Burali-Forti paradox (remark in [Enderton] p. 194).  In 1897, Cesare
     Burali-Forti noticed that since the "set" of all ordinal numbers is an
     ordinal class ( ~ ordon ), it must be both an element of the set of all
     ordinal numbers yet greater than every such element.  ZF set theory
     resolves this paradox by not allowing the class of all ordinal numbers to
     be a set (so instead it is a proper class).  Here we prove the denial of
     its existence.  (Contributed by NM, 18-May-1994.) $)
  onprc $p |- -. On e. _V $=
    ( con0 cvv wcel word wn ordon ordirr ax-mp elong mpbiri mto ) ABCZAACZADZME
    FAGHLMNFABIJK $.
  $( $j usage 'onprc' avoids 'ax-reg'; $)

  ${
    $d x y A $.
    $( The union of a class of ordinal numbers is ordinal.  Proposition 7.19 of
       [TakeutiZaring] p. 40.  (Contributed by NM, 30-May-1994.)  (Proof
       shortened by Andrew Salmon, 12-Aug-2011.) $)
    ssorduni $p |- ( A C_ On -> Ord U. A ) $=
      ( vx vy con0 wss cuni wtr word cv wral wcel wrex eluni2 wa wi ssel onelss
      syl6 rexlimdv syl5bi anc2r syl ssuni syl8 ralrimiv dftr3 sylibr onelon ex
      ssrdv ordon trssord 3exp mpii sylc ) ADEZAFZGZUQDEZUQHZUPBIZUQEZBUQJURUPV
      BBUQVAUQKZVACIZKZCALZUPVBCVAAMZUPVEVBCAUPVDAKZVEVAVDEZVHNZVBUPVHVEVIOZOVH
      VEVJOOUPVHVDDKZVKADVDPZVDVAQRVHVEVIUAUBVAVDAUCUDSTUEBUQUFUGUPBUQDVCVFUPVA
      DKZVGUPVEVNCAUPVHVLVEVNOVMVLVEVNVDVAUHUIRSTUJURUSDHZUTUKURUSVOUTUQDULUMUN
      UO $.
  $}

  $( The union of a set of ordinal numbers is an ordinal number.  Theorem 9 of
     [Suppes] p. 132.  (Contributed by NM, 1-Nov-2003.) $)
  ssonuni $p |- ( A e. V -> ( A C_ On -> U. A e. On ) ) $=
    ( con0 wss cuni wcel word ssorduni cvv wb uniexg elong syl syl5ibr ) ACDAEZ
    CFZABFZOGZAHQOIFPRJABKOILMN $.

  ${
    ssonuni.1 $e |- A e. _V $.
    $( The union of a set of ordinal numbers is an ordinal number.  Corollary
       7N(d) of [Enderton] p. 193.  (Contributed by NM, 20-Sep-2003.) $)
    ssonunii $p |- ( A C_ On -> U. A e. On ) $=
      ( cvv wcel con0 wss cuni wi ssonuni ax-mp ) ACDAEFAGEDHBACIJ $.
  $}

  $( A way to express the ordinal property of a class in terms of the class of
     ordinal numbers.  Corollary 7.14 of [TakeutiZaring] p. 38 and its
     converse.  (Contributed by NM, 1-Jun-2003.) $)
  ordeleqon $p |- ( Ord A <-> ( A e. On \/ A = On ) ) $=
    ( word con0 wcel wceq wo cvv onprc elex mto w3o ordon ordtri3or mpan2 sylib
    df-3or ord mt3i eloni ordeq mpbiri jaoi impbii ) ABZACDZACEZFZUDUGCADZUHCGD
    HCAIJUDUGUHUDUEUFUHKZUGUHFUDCBZUILACMNUEUFUHPOQRUEUDUFASUFUDUJLACTUAUBUC $.

  $( Any ordinal class is a subclass of the class of ordinal numbers.
     Corollary 7.15 of [TakeutiZaring] p. 38.  (Contributed by NM,
     18-May-1994.)  (Proof shortened by Andrew Salmon, 12-Aug-2011.) $)
  ordsson $p |- ( Ord A -> A C_ On ) $=
    ( word con0 wss ordon wa wcel wceq ordeleqon biimpi adantr ordsseleq mpbird
    wo mpan2 ) ABZCBZACDZEPQFRACGACHNZPSQPSAIJKACLMO $.

  $( An ordinal number is a subset of the class of ordinal numbers.
     (Contributed by NM, 5-Jun-1994.) $)
  onss $p |- ( A e. On -> A C_ On ) $=
    ( con0 wcel word wss eloni ordsson syl ) ABCADABEAFAGH $.

  $( The predecessor of an ordinal under ` _E ` and ` On ` is itself.
     (Contributed by Scott Fenton, 27-Mar-2011.)  (Proof shortened by BJ,
     16-Oct-2024.) $)
  predon $p |- ( A e. On -> Pred ( _E , On , A ) = A ) $=
    ( con0 wtr wcel cep cpred wceq tron trpred mpan ) BCABDBEAFAGHBAIJ $.

  $( Obsolete version of ~ predon as of 16-Oct-2024.  (Contributed by Scott
     Fenton, 27-Mar-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  predonOLD $p |- ( A e. On -> Pred ( _E , On , A ) = A ) $=
    ( con0 wcel cep cpred cin predep wss wceq onss sseqin2 sylib eqtrd ) ABCZBD
    AEBAFZABBAGNABHOAIAJABKLM $.

  $( Two ways of saying a class of ordinals is unbounded.  (Contributed by
     Mario Carneiro, 8-Jun-2013.) $)
  ssonprc $p |- ( A C_ On -> ( A e/ _V <-> U. A = On ) ) $=
    ( cvv wnel wcel wn con0 wss cuni wceq df-nel word ssorduni ordeleqon orcomd
    wo sylib ord uniexr syl6 con1d onprc uniexg eleq1 syl5ib impbid1 syl5bb
    mtoi ) ABCABDZEZAFGZAHZFIZABJUJUIULUJULUHUJULEUKFDZUHUJULUMUJUMULUJUKKUMULO
    ALUKMPNQAFRSTULUHFBDZUAUHUKBDULUNABUBUKFBUCUDUGUEUF $.

  $( The union of an ordinal number is an ordinal number.  (Contributed by NM,
     29-Sep-2006.) $)
  onuni $p |- ( A e. On -> U. A e. On ) $=
    ( con0 wcel wss cuni onss ssonuni mpd ) ABCABDAEBCAFABGH $.

  $( The union of an ordinal class is ordinal.  (Contributed by NM,
     12-Sep-2003.) $)
  orduni $p |- ( Ord A -> Ord U. A ) $=
    ( word con0 wss cuni ordsson ssorduni syl ) ABACDAEBAFAGH $.

  ${
    $d x y z A $.
    $( The intersection (infimum) of a nonempty class of ordinal numbers
       belongs to the class.  Compare Exercise 4 of [TakeutiZaring] p. 45.
       (Contributed by NM, 31-Jan-1997.) $)
    onint $p |- ( ( A C_ On /\ A =/= (/) ) -> |^| A e. A ) $=
      ( vx vy vz con0 wss c0 wne cint wcel wa cv cin wceq wrex wi wel ssel wral
      exp32 word ordon tz7.5 mp3an1 imdistani wn ontri1 syl6bir ex sylan9 com4r
      imp31 ralimdva disj vex elint2 3imtr4g sylan2 com4l imp32 intss1 ad2antrl
      ssrdv eqssd eleq1d biimpd com34 pm2.43d rexlimdv syl5 anabsi5 ) AEFZAGHZA
      IZAJZVLVMKABLZMGNZBAOZVLVOEUAVLVMVRUBBEAUCUDVLVQVOBAVLVPAJZVQVOPVLVSVQVSV
      OVLVSVQVSVOPVLVSVQKKZVSVOVTVPVNAVTVPVNVTCVPVNVLVSVQCBQZCLZVNJZPWAVLVSVQWC
      WAVLVSVQWCPZVLVSKWAVLVPEJZKZWDVLVSWEAEVPRUEWAWFKZDBQUFZDASCDQZDASVQWCWGWH
      WIDAWAWFDLZAJZWHWIPWFWKWHWAWIVLWKWJEJZWEWHWAWIPZPZAEWJRWEWLWNWEWLKWHVPWJF
      WMVPWJUGVPWJWBRUHUIUJUKULUMDAVPUNDWBACUOUPUQURTUSUTVCVSVNVPFVLVQVPAVAVBVD
      VEVFTVGVHVIVJVK $.
  $}

  $( The intersection of a class of ordinal numbers is zero iff the class
     contains zero.  (Contributed by NM, 24-Apr-2004.) $)
  onint0 $p |- ( A C_ On -> ( |^| A = (/) <-> (/) e. A ) ) $=
    ( con0 wss cint c0 wceq wcel wa wne cvv 0ex eleq1 mpbiri intex sylibr onint
    sylan2 wb adantl mpbid ex int0el impbid1 ) ABCZADZEFZEAGZUDUFUGUDUFHUEAGZUG
    UFUDAEIZUHUFUEJGZUIUFUJEJGKUEEJLMANOAPQUFUHUGRUDUEEALSTUAAUBUC $.

  ${
    $d x y A $.
    $( A nonempty class of ordinal numbers has the smallest member.  Exercise 9
       of [TakeutiZaring] p. 40.  (Contributed by NM, 3-Oct-2003.) $)
    onssmin $p |- ( ( A C_ On /\ A =/= (/) ) -> E. x e. A A. y e. A x C_ y ) $=
      ( con0 wss c0 wne wa cint wcel cv wral wrex onint rgen wceq sseq1 ralbidv
      intss1 rspcev sylancl ) CDECFGHCIZCJUBBKZEZBCLZAKZUCEZBCLZACMCNUDBCUCCSOU
      HUEAUBCUFUBPUGUDBCUFUBUCQRTUA $.
  $}

  $( If a property is true for some ordinal number, it is true for a minimal
     ordinal number.  This version uses explicit substitution.  Theorem Schema
     62 of [Suppes] p. 228.  (Contributed by NM, 29-Sep-2003.) $)
  onminesb $p |- ( E. x e. On ph -> [. |^| { x e. On | ph } / x ]. ph ) $=
    ( con0 wrex crab cint wcel wsbc wne rabn0 wss ssrab2 onint mpan sylbir nfcv
    c0 elrabsf simprbi syl ) ABCDZABCEZFZUBGZABUCHZUAUBQIZUDABCJUBCKUFUDABCLUBM
    NOUDUCCGUEABUCCBCPRST $.

  ${
    onminsb.1 $e |- F/ x ps $.
    onminsb.2 $e |- ( x = |^| { x e. On | ph } -> ( ph <-> ps ) ) $.
    $( If a property is true for some ordinal number, it is true for a minimal
       ordinal number.  This version uses implicit substitution.  Theorem
       Schema 62 of [Suppes] p. 228.  (Contributed by NM, 3-Oct-2003.) $)
    onminsb $p |- ( E. x e. On ph -> ps ) $=
      ( con0 wrex crab cint wcel wne rabn0 wss ssrab2 onint sylbir nfrab1 nfint
      c0 mpan nfcv elrabf simprbi syl ) ACFGZACFHZIZUFJZBUEUFSKZUHACFLUFFMUIUHA
      CFNUFOTPUHUGFJBABCUGFCUFACFQRCFUADEUBUCUD $.
  $}

  $( The intersection of a nonempty collection of ordinal numbers is an ordinal
     number.  Compare Exercise 6 of [TakeutiZaring] p. 44.  (Contributed by NM,
     29-Jan-1997.) $)
  oninton $p |- ( ( A C_ On /\ A =/= (/) ) -> |^| A e. On ) $=
    ( con0 wss c0 wne cint wcel onint ex ssel syld imp ) ABCZADEZAFZBGZMNOAGZPM
    NQAHIABOJKL $.

  $( The intersection of a class of ordinal numbers exists iff it is an ordinal
     number.  (Contributed by NM, 6-Nov-2003.) $)
  onintrab $p |- ( |^| { x e. On | ph } e. _V <->
                 |^| { x e. On | ph } e. On ) $=
    ( con0 crab cint cvv wcel c0 wne wss ssrab2 oninton mpan sylbir elex impbii
    intex ) ABCDZEZFGZSCGZTRHIZUARQRCJUBUAABCKRLMNSCOP $.

  $( An existence condition equivalent to an intersection's being an ordinal
     number.  (Contributed by NM, 6-Nov-2003.) $)
  onintrab2 $p |- ( E. x e. On ph <-> |^| { x e. On | ph } e. On ) $=
    ( con0 wrex crab cint cvv wcel intexrab onintrab bitri ) ABCDABCEFZGHLCHABC
    IABJK $.

  $( No member of a set of ordinal numbers belongs to its minimum.
     (Contributed by NM, 2-Feb-1997.) $)
  onnmin $p |- ( ( A C_ On /\ B e. A ) -> -. B e. |^| A ) $=
    ( con0 wss wcel wa cint wn intss1 adantl wb c0 wne ne0i sylan2 ssel2 ontri1
    oninton syl2anc mpbid ) ACDZBAEZFZAGZBDZBUDEHZUBUEUABAIJUCUDCEZBCEUEUFKUBUA
    ALMUGABNAROACBPUDBQST $.

  ${
    $d x A $.  $d x ps $.
    onnminsb.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( An ordinal number smaller than the minimum of a set of ordinal numbers
       does not have the property determining that set. ` ps ` is the wff
       resulting from the substitution of ` A ` for ` x ` in wff ` ph ` .
       (Contributed by NM, 9-Nov-2003.) $)
    onnminsb $p |- ( A e. On -> ( A e. |^| { x e. On | ph } -> -. ps ) ) $=
      ( con0 wcel crab cint wn wa elrab wss ssrab2 onnmin mpan sylbir ex con2d
      ) DFGZBDACFHZIGZTBUBJZTBKDUAGZUCABCDFELUAFMUDUCACFNUADOPQRS $.
  $}

  ${
    $d x A $.  $d x B $.
    $( A way to show that an ordinal number equals the minimum of a nonempty
       collection of ordinal numbers: it must be in the collection, and it must
       not be larger than any member of the collection.  (Contributed by NM,
       14-Nov-2003.) $)
    oneqmin $p |- ( ( B C_ On /\ B =/= (/) ) -> ( A = |^| B <->
                  ( A e. B /\ A. x e. A -. x e. B ) ) ) $=
      ( con0 wss c0 wne wa cint wceq wcel cv wn onint eleq1 syl5ibrcom wi eleq2
      wral adantr biimpd onnmin ex con2d syl9r ralrimdv jcad oneqmini impbid )
      CDEZCFGZHZBCIZJZBCKZALZCKZMZABSZHZULUNUOUSULUOUNUMCKCNBUMCOPUJUNUSQUKUJUN
      URABUNUPBKZUPUMKZUJURUNVAVBBUMUPRUAUJUQVBUJUQVBMCUPUBUCUDUEUFTUGUJUTUNQUK
      ABCUHTUI $.
  $}

  ${
    $d x y A $.
    uniordint.1 $e |- A e. _V $.
    $( The union of a set of ordinals is equal to the intersection of its upper
       bounds.  Problem 2.5(ii) of [BellMachover] p. 471.  (Contributed by NM,
       20-Sep-2003.) $)
    uniordint $p |- ( A C_ On -> U. A = |^| { x e. On | A. y e. A y C_ x } ) $=
      ( con0 wss cuni wcel cv wral crab cint wceq ssonunii intmin unissb rabbii
      inteqi eqtr3di syl ) CEFCGZEHZUABIAIZFBCJZAEKZLZMCDNUBUAUCFZAEKZLUAUFAUAE
      OUHUEUGUDAEBCUCPQRST $.
  $}

  ${
    $d x y z $.  $d y z ph $.  $d x z ps $.
    onminex.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( If a wff is true for an ordinal number, then there is the smallest
       ordinal number for which it is true.  (Contributed by NM, 2-Feb-1997.)
       (Proof shortened by Mario Carneiro, 20-Nov-2016.) $)
    onminex $p |- ( E. x e. On ph -> E. x e. On ( ph /\ A. y e. x -. ps ) ) $=
      ( vz con0 wrex wsb wn cv wral wa crab cint wcel wss raleq anbi12d nfv wne
      wsbc c0 ssrab2 rabn0 biimpri oninton sylancr onminesb onss sseld onnminsb
      syl syli ralrimiv wceq dfsbcq2 rspcev syl12anc nfs1v nfan sbequ12 cbvrexw
      weq sylibr ) ACGHZACFIZBJZDFKZLZMZFGHZAVHDCKZLZMZCGHVFACGNZOZGPZACVQUBZVH
      DVQLZVLVFVPGQVPUCUAZVRACGUDWAVFACGUEUFVPUGUHZACUIVFVHDVQDKZVQPVFWCGPVHVFV
      QGWCVFVRVQGQWBVQUJUMUKABCWCEULUNUOVKVSVTMFVQGVIVQUPVGVSVJVTACFVQUQVHDVIVQ
      RSURUSVOVKCFGVOFTVGVJCACFUTVJCTVACFVDAVGVNVJACFVBVHDVMVIRSVCVE $.
  $}

  $( The class of all ordinal numbers is its own successor.  (Contributed by
     NM, 12-Sep-2003.) $)
  sucon $p |- suc On = On $=
    ( con0 cvv wcel wn csuc wceq onprc sucprc ax-mp ) ABCDAEAFGAHI $.

  $( A successor exists iff its class argument exists.  (Contributed by NM,
     22-Jun-1998.) $)
  sucexb $p |- ( A e. _V <-> suc A e. _V ) $=
    ( cvv wcel csn wa cun csuc unexb snex biantru df-suc eleq1i 3bitr4i ) ABCZA
    DZBCZEAOFZBCNAGZBCAOHPNAIJRQBAKLM $.

  $( The successor of a set is a set (generalization).  (Contributed by NM,
     5-Jun-1994.) $)
  sucexg $p |- ( A e. V -> suc A e. _V ) $=
    ( wcel cvv csuc elex sucexb sylib ) ABCADCAEDCABFAGH $.

  ${
    sucex.1 $e |- A e. _V $.
    $( The successor of a set is a set.  (Contributed by NM, 30-Aug-1993.) $)
    sucex $p |- suc A e. _V $=
      ( cvv wcel csuc sucexg ax-mp ) ACDAECDBACFG $.
  $}

  ${
    $d x A $.
    $( The minimum of a class of ordinal numbers is less than the minimum of
       that class with its minimum removed.  (Contributed by NM,
       20-Nov-2003.) $)
    onmindif2 $p |- ( ( A C_ On /\ A =/= (/) ) ->
                   |^| A e. |^| ( A \ { |^| A } ) ) $=
      ( vx con0 wss c0 wne wa cint cdif wcel cv wral eldifsn wn wceq wo adantlr
      csn wb cvv onnmin oninton ssel2 ontri1 onsseleq bitr3d syl2an2r mpbid ord
      eqcom syl6ib necon1ad expimpd syl5bi ralrimiv intex elintg adantl mpbird
      sylbi ) ACDZAEFZGZAHZAVDRIZHJZVDBKZJZBVELZVCVHBVEVGVEJVGAJZVGVDFZGVCVHVGA
      VDMVCVJVKVHVCVJGZVHVGVDVLVHNVDVGOZVGVDOVLVHVMVLVGVDJNZVHVMPZVAVJVNVBAVGUA
      QVCVDCJZVJVGCJZVNVOSAUBVAVJVQVBACVGUCQVPVQGVDVGDVNVOVDVGUDVDVGUEUFUGUHUIV
      DVGUJUKULUMUNUOVBVFVISZVAVBVDTJVRAUPBVDVETUQUTURUS $.
  $}

  ${
    $d x A $.
    $( The successor of an ordinal number is an ordinal number.  Proposition
       7.24 of [TakeutiZaring] p. 41.  (Contributed by NM, 6-Jun-1994.) $)
    suceloni $p |- ( A e. On -> suc A e. On ) $=
      ( vx con0 wcel csuc word wtr wss cv wral csn wo onelss velsn eqimss sylbi
      wi wceq a1i cvv orim12d cun df-suc eleq2i elun bitr2i oridm 3imtr3g sstr2
      sssucid syl6mpi ralrimiv dftr3 sylibr onss snssi unssd ordon trssord 3exp
      eqsstrid mpii sylc wb sucexg elong syl mpbird ) ACDZAEZCDZVJFZVIVJGZVJCHZ
      VLVIBIZVJHZBVJJVMVIVPBVJVIVOVJDZVOAHZAVJHVPVIVOADZVOAKZDZLZVRVRLVQVRVIVSV
      RWAVRAVOMWAVRQVIWAVOARVRBANVOAOPSUAVQVOAVTUBZDWBVJWCVOAUCZUDVOAVTUEUFVRUG
      UHAUJVOAVJUIUKULBVJUMUNVIVJWCCWDVIAVTCAUOACUPUQVAVMVNCFZVLURVMVNWEVLVJCUS
      UTVBVCVIVJTDVKVLVDACVEVJTVFVGVH $.
  $}

  $( The successor of an ordinal class is ordinal.  (Contributed by NM,
     3-Apr-1995.) $)
  ordsuc $p |- ( Ord A <-> Ord suc A ) $=
    ( cvv wcel word csuc wb elong suceloni eloni syl syl6bir sucidg ordelord ex
    con0 syl5com impbid wn wceq sucprc eqcomd ordeq pm2.61i ) ABCZADZAEZDZFZUDU
    EUGUDUEAOCZUGABGUIUFOCUGAHUFIJKUDAUFCZUGUEABLUGUJUEUFAMNPQUDRZAUFSUHUKUFAAT
    UAAUFUBJUC $.

  ${
    $d x A $.
    $( The collection of ordinals in the power class of an ordinal is its
       successor.  (Contributed by NM, 30-Jan-2005.) $)
    ordpwsuc $p |- ( Ord A -> ( ~P A i^i On ) = suc A ) $=
      ( vx word cpw con0 cin csuc cv wcel wss elin velpw anbi2ci bitri ordsssuc
      wa wb expcom pm5.32d simpr wi ordsuc ordelon ex sylbi ancrd impbid2 bitrd
      syl5bb eqrdv ) ACZBADZEFZAGZBHZUMIZUOEIZUOAJZPZUKUOUNIZUPUOULIZUQPUSUOULE
      KVAURUQBALMNUKUSUQUTPZUTUKUQURUTUQUKURUTQUOAORSUKVBUTUQUTTUKUTUQUKUNCZUTU
      QUAAUBVCUTUQUNUOUCUDUEUFUGUHUIUJ $.

    $( The collection of ordinal numbers in the power set of an ordinal number
       is its successor.  (Contributed by NM, 19-Oct-2004.) $)
    onpwsuc $p |- ( A e. On -> ( ~P A i^i On ) = suc A ) $=
      ( con0 wcel word cpw cin csuc wceq eloni ordpwsuc syl ) ABCADAEBFAGHAIAJK
      $.
  $}

  $( The successor of an ordinal number is an ordinal number.  (Contributed by
     NM, 9-Sep-2003.) $)
  sucelon $p |- ( A e. On <-> suc A e. On ) $=
    ( word cvv wcel wa csuc con0 ordsuc sucexb anbi12i elon2 3bitr4i ) ABZACDZE
    AFZBZOCDZEAGDOGDMPNQAHAIJAKOKL $.

  $( The successor of an element of an ordinal class is a subset of it.
     (Contributed by NM, 21-Jun-1998.) $)
  ordsucss $p |- ( Ord B -> ( A e. B -> suc A C_ B ) ) $=
    ( word wcel csuc wss wi wa ordelord wn ordnbtwn imnan sylibr adantr ordtri1
    wb ordsuc sylanb sylibrd pm2.43b sylan exp31 ) BCZABDZAEZBFZUDUCUDUFGZUCUDU
    CUGUCUDHACZUCUGBAIUHUCHUDBUEDZJZUFUHUDUJGZUCUHUDUIHJUKABKUDUILMNUHUECUCUFUJ
    PAQUEBORSUAUBTT $.

  $( An ordinal number is a proper subset of its successor.  (Contributed by
     Stefan O'Rear, 18-Nov-2014.) $)
  onpsssuc $p |- ( A e. On -> A C. suc A ) $=
    ( con0 wcel csuc wpss sucidg word eloni ordsuc sylib ordelpss syl2anc mpbid
    wb ) ABCZAADZCZAPEZABFOAGZPGZQRNAHZOSTUAAIJAPKLM $.

  $( A set belongs to an ordinal iff its successor is a subset of the ordinal.
     Exercise 8 of [TakeutiZaring] p. 42 and its converse.  (Contributed by NM,
     29-Nov-2003.) $)
  ordelsuc $p |- ( ( A e. C /\ Ord B ) -> ( A e. B <-> suc A C_ B ) ) $=
    ( wcel word wa csuc wss wi ordsucss adantl sucssel adantr impbid ) ACDZBEZF
    ABDZAGBHZPQRIOABJKORQIPABCLMN $.

  ${
    $d x A $.
    $( The successor of an ordinal number is the smallest larger ordinal
       number.  (Contributed by NM, 28-Nov-2003.) $)
    onsucmin $p |- ( A e. On -> suc A = |^| { x e. On | A e. x } ) $=
      ( con0 wcel cv crab cint csuc wss word wb ordelsuc sylan2 rabbidva inteqd
      eloni wceq sucelon intmin sylbi eqtr2d ) BCDZBAEZDZACFZGBHZUCIZACFZGZUFUB
      UEUHUBUDUGACUCCDUBUCJUDUGKUCPBUCCLMNOUBUFCDUIUFQBRAUFCSTUA $.
  $}

  $( Membership is inherited by successors.  Generalization of Exercise 9 of
     [TakeutiZaring] p. 42.  (Contributed by NM, 22-Jun-1998.)  (Proof
     shortened by Andrew Salmon, 12-Aug-2011.) $)
  ordsucelsuc $p |- ( Ord B -> ( A e. B <-> suc A e. suc B ) ) $=
    ( word wcel csuc wa simpl ordelord jca ordsuc sylibr sylanb cvv wb wss wceq
    wi wo adantr elex ancoms adantl ordsucss sucssel impbid sucexb elsucg sylbi
    ordsseleq ad2antrl 3bitr4d ex wn pm5.21ni a1d pm2.61i pm5.21nd ) BCZABDZAEZ
    BEZDZURACZFZURUSFURVCURUSGBAHIURVBFURVCURVBGURVACZVBVCBJVEVBFUTCZVCVAUTHAJZ
    KLIAMDZVDUSVBNZQVHVDVIVHVDFZUTBOZUTBDUTBPRZUSVBVDVKVLNZVHVCURVMVCVFURVMVGUT
    BUILUAUBVJUSVKURUSVKQVHVCABUCUJVHVKUSQVDABMUDSUEVHVBVLNZVDVHUTMDZVNAUFZUTBM
    UGUHSUKULVHUMVIVDUSVHVBABTVBVOVHUTVATVPKUNUOUPUQ $.

  $( The subclass relationship between two ordinal classes is inherited by
     their successors.  (Contributed by NM, 4-Oct-2003.) $)
  ordsucsssuc $p |- ( ( Ord A /\ Ord B ) -> ( A C_ B <-> suc A C_ suc B ) ) $=
    ( word wa wcel wn csuc wss ordsucelsuc notbid adantr ordtri1 ordsuc syl2anb
    wb 3bitr4d ) ACZBCZDBAEZFZBGZAGZEZFZABHUBUAHZQTUDORQSUCBAIJKABLQUBCUACUEUDO
    RAMBMUBUALNP $.

  $( Given an element ` A ` of the union of an ordinal ` B ` , ` suc A ` is an
     element of ` B ` itself.  (Contributed by Scott Fenton, 28-Mar-2012.)
     (Proof shortened by Mario Carneiro, 29-May-2015.) $)
  ordsucuniel $p |- ( Ord B -> ( A e. U. B <-> suc A e. B ) ) $=
    ( word cuni wcel csuc wi orduni ordelord ex syl wa ordsuc sylibr wb wn con0
    wss sylan ordtri1 ordsson ordunisssuc sylan2b 3bitr3d con4bid pm5.21ndd ) B
    CZACZABDZEZAFZBEZUGUICZUJUHGBHZUMUJUHUIAIJKUGULUHUGULLUKCZUHBUKIAMZNJUGUHUJ
    ULOUGUHLZUJULUQUIARZBUKRZUJPZULPZUGBQRUHURUSOBUABAUBSUGUMUHURUTOUNUIATSUHUG
    UOUSVAOUPBUKTUCUDUEJUF $.

  ${
    $d x A $.  $d x B $.
    $( The successor of the maximum (i.e. union) of two ordinals is the maximum
       of their successors.  (Contributed by NM, 28-Nov-2003.) $)
    ordsucun $p |- ( ( Ord A /\ Ord B ) ->
               suc ( A u. B ) = ( suc A u. suc B ) ) $=
      ( vx word wa cun csuc cv con0 wcel wi ordun ordsuc ordelon ex wb ordsssuc
      syl wo wss syl2anb ordssun adantl adantrr adantrl orbi12d 3bitr3d bitr4di
      sylbi sylan2 elun expcom pm5.21ndd eqrdv ) ADZBDZEZCABFZGZAGZBGZFZUQCHZIJ
      ZVCUSJZVCVBJZUQURDZVEVDKZABLZVGUSDZVHURMVJVEVDUSVCNOUIRUOUTDZVADZVFVDKZUP
      AMBMVKVLEVBDZVMUTVALVNVFVDVBVCNORUAVDUQVEVFPVDUQEZVEVCUTJZVCVAJZSZVFVOVCU
      RTZVCATZVCBTZSZVEVRUQVSWBPVDVCABUBUCUQVDVGVSVEPVIVCURQUJVOVTVPWAVQVDUOVTV
      PPUPVCAQUDVDUPWAVQPUOVCBQUEUFUGVCUTVAUKUHULUMUN $.
  $}

  $( The maximum of two ordinals is equal to one of them.  (Contributed by
     Mario Carneiro, 25-Jun-2015.) $)
  ordunpr $p |- ( ( B e. On /\ C e. On ) -> ( B u. C ) e. { B , C } ) $=
    ( con0 wcel wa cun cpr wceq wss word eloni ordtri2or2 syl2an orcomd ssequn2
    wo ssequn1 orbi12i sylib cvv wb unexg elprg syl mpbird ) ACDZBCDZEZABFZABGD
    ZUIAHZUIBHZPZUHBAIZABIZPUMUHUOUNUFAJBJUOUNPUGAKBKABLMNUNUKUOULBAOABQRSUHUIT
    DUJUMUAABCCUBUIABTUCUDUE $.

  $( The maximum of two ordinals belongs to a third if each of them do.
     (Contributed by NM, 18-Sep-2006.)  (Revised by Mario Carneiro,
     25-Jun-2015.) $)
  ordunel $p |- ( ( Ord A /\ B e. A /\ C e. A ) -> ( B u. C ) e. A ) $=
    ( word wcel w3a cpr cun wss prssi 3adant1 ordelon 3adant3 ordunpr 3imp3i2an
    con0 sseldd ) ADZBAEZCAEZFBCGZABCHZSTUAAIRBCAJKRSTBPEZCPEUBUAERSUCTABLMACLB
    CNOQ $.

  $( A class of ordinal numbers is a subclass of the successor of its union.
     Similar to Proposition 7.26 of [TakeutiZaring] p. 41.  (Contributed by NM,
     19-Sep-2003.) $)
  onsucuni $p |- ( A C_ On -> A C_ suc U. A ) $=
    ( con0 wss cuni word csuc ssorduni wa ssid ordunisssuc mpbii mpdan ) ABCZAD
    ZEZANFCZAGMOHNNCPNIANJKL $.

  $( An ordinal class is a subclass of the successor of its union.
     (Contributed by NM, 12-Sep-2003.) $)
  ordsucuni $p |- ( Ord A -> A C_ suc U. A ) $=
    ( word con0 wss cuni csuc ordsson onsucuni syl ) ABACDAAEFDAGAHI $.

  $( An ordinal class is either its union or the successor of its union.  If we
     adopt the view that zero is a limit ordinal, this means every ordinal
     class is either a limit or a successor.  (Contributed by NM,
     13-Sep-2003.) $)
  orduniorsuc $p |- ( Ord A -> ( A = U. A \/ A = suc U. A ) ) $=
    ( word cuni wceq csuc wne wss wa wn wcel orduniss wb orduni mpancom biimprd
    ordelssne mpand ordsucss syld ordsucuni jctild df-ne necom bitr3i eqss orrd
    3imtr4g ) ABZAACZDZAUIEZDZUHUIAFZAUKGZUKAGZHUJIZULUHUMUOUNUHUMUIAJZUOUHUIAG
    ZUMUQAKUHUQURUMHZUIBUHUQUSLAMUIAPNOQUIARSATUAUPAUIFUMAUIUBAUIUCUDAUKUEUGUF
    $.

  ${
    $d x y A $.
    $( The class of all ordinal numbers is its own union.  Exercise 11 of
       [TakeutiZaring] p. 40.  (Contributed by NM, 12-Nov-2003.) $)
    unon $p |- U. On = On $=
      ( vx vy con0 cuni cv wcel wrex eluni2 onelon rexlimiva sylbi vex suceloni
      csuc sucid elunii sylancr impbii eqriv ) ACDZCAEZTFZUACFZUBUABEZFZBCGUCBU
      ACHUEUCBCUDUAIJKUCUAUANZFUFCFUBUAALOUAMUAUFCPQRS $.

    $( An ordinal class is equal to the union of its successor.  (Contributed
       by NM, 10-Dec-2004.)  (Proof shortened by Andrew Salmon,
       27-Aug-2011.) $)
    ordunisuc $p |- ( Ord A -> U. suc A = A ) $=
      ( vx word con0 wcel wceq wo csuc ordeleqon cv suceq unieqd id eqeq12d wtr
      cuni eloni ordtr syl vex unisuc sylib vtoclga sucon unon eqtri jaoi sylbi
      unieqi 3eqtr4a ) ACADEZADFZGAHZPZAFZAIUKUOULBJZHZPZUPFZUOBADUPAFZURUNUPAU
      TUQUMUPAKLUTMNUPDEZUPOZUSVAUPCVBUPQUPRSUPBTUAUBUCULDHZPZDUNAVDDPDVCDUDUIU
      EUFULUMVCADKLULMUJUGUH $.

    $( The union of the ordinal subsets of an ordinal number is that number.
       (Contributed by NM, 30-Jan-2005.) $)
    orduniss2 $p |- ( Ord A -> U. { x e. On | x C_ A } = A ) $=
      ( word cv wss con0 crab cuni csuc cpw cin wcel wa df-rab incom inab df-pw
      cab eqcomi abid2 ineq12i 3eqtr3i eqtri ordpwsuc eqtrid unieqd ordunisuc
      eqtrd ) BCZADZBEZAFGZHBIZHBUIULUMUIULBJZFKZUMULUJFLZUKMARZUOUKAFNUPARZUKA
      RZKUSURKUQUOURUSOUPUKAPUSUNURFUNUSABQSAFTUAUBUCBUDUEUFBUGUH $.
  $}

  $( A successor ordinal is the successor of its union.  (Contributed by NM,
     10-Dec-2004.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
  onsucuni2 $p |- ( ( A e. On /\ A = suc B ) -> suc U. A = A ) $=
    ( con0 wcel csuc wceq cuni word eleq1 biimpac eloni ordsuc ordunisuc sylbir
    wa suceq syl eqtr4d 3syl unieq unieqd eqeq12d syl5ibr anabsi7 adantr eqtrd
    ) ACDZABEZFZOZAGZEZAEZGZAUGUIULUNFZUJUOUIUHGZEZUHEZGZFZUJUHCDZUHHZUTUIUGVAA
    UHCIJUHKVBUQUHUSVBUPBFZUQUHFVBBHVCBLBMNUPBPQUHMRSUIULUQUNUSUIUKUPFULUQFAUHT
    UKUPPQUIUMURAUHPUAUBUCUDUGUNAFZUIUGAHVDAKAMQUEUF $.

  $( The successor of an ordinal class contains the empty set.  (Contributed by
     NM, 4-Apr-1995.) $)
  0elsuc $p |- ( Ord A -> (/) e. suc A ) $=
    ( word csuc c0 wcel ordsuc wne nsuceq0 ord0eln0 mpbiri sylbi ) ABACZBZDLEZA
    FMNLDGAHLIJK $.

  $( The class of ordinal numbers is a limit ordinal.  (Contributed by NM,
     24-Mar-1995.) $)
  limon $p |- Lim On $=
    ( con0 wlim word c0 wne cuni wceq ordon onn0 unon eqcomi df-lim mpbir3an )
    ABACADEAAFZGHINAJKALM $.

  ${
    onssi.1 $e |- A e. On $.
    $( An ordinal number is a subset of ` On ` .  (Contributed by NM,
       11-Aug-1994.) $)
    onssi $p |- A C_ On $=
      ( con0 wcel wss onss ax-mp ) ACDACEBAFG $.

    $( The successor of an ordinal number is an ordinal number.  Corollary
       7N(c) of [Enderton] p. 193.  (Contributed by NM, 12-Jun-1994.) $)
    onsuci $p |- suc A e. On $=
      ( con0 wcel csuc suceloni ax-mp ) ACDAECDBAFG $.

    $( An ordinal number is either its own union (if zero or a limit ordinal)
       or the successor of its union.  (Contributed by NM, 13-Jun-1994.) $)
    onuniorsuci $p |- ( A = U. A \/ A = suc U. A ) $=
      ( word cuni wceq csuc wo onordi orduniorsuc ax-mp ) ACAADZEAKFEGABHAIJ $.

    ${
      $d x A $.
      $( A limit ordinal is not a successor ordinal.  (Contributed by NM,
         18-Feb-2004.) $)
      onuninsuci $p |- ( A = U. A <-> -. E. x e. On A = suc x ) $=
        ( cv csuc wceq con0 wrex cuni wn wa wcel onirri cun csn wtr sylancr syl
        id sylib df-suc eqeq2i unieq sylbi uniun unisn uneq2i eqtri eqtrdi tron
        vex wss eleq1 mpbii trsuc eloni ordtr df-tr eqtrd sylan9eqr sucid eleq2
        word ssequn1 mpbiri adantr mto imnani rexlimivw onuni ax-mp onuniorsuci
        eqeltrd ori suceq rspceeqv impbii con2bii ) BADZEZFZAGHZBBIZFZWBWDJZWAW
        EAGWAWDWAWDKZBBLBCMWFBVSBWDWABWCVSWDSWAWCVSIZVSNZVSWAWCVSVSOZNZIZWHWABW
        JFWCWKFVTWJBVSUAUBBWJUCUDWKWGWIIZNWHVSWIUEWLVSWGVSAUKZUFUGUHUIWAWGVSULZ
        WHVSFWAVSGLZWNWAGPVTGLZWOUJWABGLZWPCBVTGUMUNGVSUOQWOVSPZWNWOVSVCWRVSUPV
        SUQRVSURTRWGVSVDTUSUTWAVSBLZWDWAWSVSVTLVSWMVABVTVSVBVEVFVMVGVHVIWEWCGLZ
        BWCEZFZWBWQWTCBVJVKWDXBBCVLVNAWCGVTXABVSWCVOVPQVQVR $.
    $}

    ${
      onsucssi.2 $e |- B e. On $.
      $( A set belongs to an ordinal number iff its successor is a subset of
         the ordinal number.  Exercise 8 of [TakeutiZaring] p. 42 and its
         converse.  (Contributed by NM, 16-Sep-1995.) $)
      onsucssi $p |- ( A e. B <-> suc A C_ B ) $=
        ( con0 wcel word csuc wss wb onordi ordelsuc mp2an ) AEFBGABFAHBIJCBDKA
        BELM $.
    $}
  $}

  $( A successor is not a limit ordinal.  (Contributed by NM, 25-Mar-1995.)
     (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
  nlimsucg $p |- ( A e. V -> -. Lim suc A ) $=
    ( csuc wlim wcel word cuni wceq limord ordsuc sylibr limuni ordunisuc eleq2
    wn eqeq2d ordirr notbid syl5ibrcom sucidg con3i syl6 sylbid sylc con2i ) AC
    ZDZABEZUGAFZUFUFGZHZUHOZUGUFFUIUFIAJKUFLUIUKUFAHZULUIUJAUFAMPUIUMAUFEZOZULU
    IUOUMAAEZOAQUMUNUPUFAANRSUHUNABTUAUBUCUDUE $.

  ${
    $d x A $.
    $( An ordinal equal to its union is not a successor.  (Contributed by NM,
       18-Feb-2004.) $)
    orduninsuc $p |- ( Ord A -> ( A = U. A <-> -. E. x e. On A = suc x ) ) $=
      ( word con0 wcel wceq cuni wn wb c0 id unieq eqeq12d eqeq1 rexbidv notbid
      wrex bibi12d cvv mpbiri wo cv ordeleqon cif 0elon elimel onuninsuci dedth
      csuc unon eqcomi onprc vex sucex eleq1 mto a1i nrex 2th jaoi sylbi ) BCBD
      EZBDFZUABBGZFZBAUBZUIZFZADQZHZIZBUCVBVKVCVBVKVBBJUDZVLGZFZVLVGFZADQZHZIBJ
      BVLFZVEVNVJVQVRBVLVDVMVRKBVLLMVRVIVPVRVHVOADBVLVGNOPRAVLBJDUEUFUGUHVCVKDD
      GZFZDVGFZADQZHZIVTWCVSDUJUKWAADWAHVFDEWADSEZULWAWDVGSEVFAUMUNDVGSUOTUPUQU
      RUSVCVEVTVJWCVCBDVDVSVCKBDLMVCVIWBVCVHWAADBDVGNOPRTUTVA $.

    $( An ordinal equal to its union contains the successor of each of its
       members.  (Contributed by NM, 1-Feb-2005.) $)
    ordunisuc2 $p |- ( Ord A -> ( A = U. A <-> A. x e. A suc x e. A ) ) $=
      ( word cuni wceq cv csuc con0 wn wcel wral wi wa wo eloni adantr simpr ex
      bitr3id bitrd wrex orduninsuc ralnex suceloni syl ordtri3 con2bid onnbtwn
      wb sylan2 imnan sylibr con2d pm2.21 syl6 adantl ax-1 jaod ordtri2or sylan
      a1i wss ancoms orcomd ordsssuc2 biimpd orim12d mpd impbid bitr3d pm5.74da
      impexp ordelon ancrd impbid2 imbi1d ralbidv2 ) BCZBBDEBAFZGZEZAHUAIZVTBJZ
      ABKZABUBWBWAIZAHKVRWDWAAHUCVRWEWCAHBVRVSHJZWELWFVSBJZWCLZLZWHVRWFWEWHVRWF
      MZBVTJZWCNZWEWHWJWAWLWFVRVTCZWAWLIUIWFVTHJWMVSUDVTOUEBVTUFUJUGWJWLWHWJWKW
      HWCWFWKWHLVRWFWKWGIWHWFWGWKWFWGWKMIWGWKILVSBUHWGWKUKULUMWGWCUNUOUPWCWHLWJ
      WCWGUQVAURWJWHWLWJWHMZBVSVBZWGNZWLWJWPWHWJWGWOWFVRWGWONZWFVSCVRWQVSOVSBUS
      UTVCVDPWNWOWKWGWCWJWOWKLWHWJWOWKBVSVEVFPWJWHQVGVHRVIVJVKWIWFWGMZWCLVRWHWF
      WGWCVLVRWRWGWCVRWRWGWFWGQVRWGWFVRWGWFBVSVMRVNVOVPSTVQST $.

    $( An ordinal is zero, a successor ordinal, or a limit ordinal.
       (Contributed by NM, 1-Oct-2003.) $)
    ordzsl $p |- ( Ord A <->
                  ( A = (/) \/ E. x e. On A = suc x \/ Lim A ) ) $=
      ( word c0 wceq cv csuc con0 wrex wlim w3o cuni orduninsuc biimprd unizlim
      wo wn sylibd orrd wcel 3orass or12 bitri sylibr ord0 ordeq suceloni eleq1
      mpbiri syl5ibr eloni syl6com rexlimiv limord 3jaoi impbii ) BCZBDEZBAFZGZ
      EZAHIZBJZKZUQVBURVCPZPZVDUQVBVEUQVBQZBBLEZVEUQVHVGABMNBORSVDURVBVCPPVFURV
      BVCUAURVBVCUBUCUDURUQVBVCURUQDCUEBDUFUIVAUQAHVAUSHTZBHTZUQVIVJVAUTHTUSUGB
      UTHUHUJBUKULUMBUNUOUP $.

    $( An ordinal number is zero, a successor ordinal, or a limit ordinal
       number.  (Contributed by NM, 1-Oct-2003.)  (Proof shortened by Andrew
       Salmon, 27-Aug-2011.) $)
    onzsl $p |- ( A e. On <->
               ( A = (/) \/ E. x e. On A = suc x \/ ( A e. _V /\ Lim A ) ) ) $=
      ( con0 wcel c0 wceq cv csuc wrex cvv wlim wa word elex eloni ordzsl 3mix1
      w3o adantl eleq1 3mix2 3jaodan sylan2b syl2anc mpbiri suceloni syl5ibrcom
      3mix3 0elon rexlimiv limelon 3jaoi impbii ) BCDZBEFZBAGZHZFZACIZBJDZBKZLZ
      RZUNUTBMZVCBCNBOVDUTUOUSVARVCABPUTUOVCUSVAUOVCUTUOUSVBQSUSVCUTUSUOVBUASVB
      UOUSUHUBUCUDUOUNUSVBUOUNECDUIBECTUEURUNACUPCDUNURUQCDUPUFBUQCTUGUJBJUKULU
      M $.

    $( An alternate definition of a limit ordinal, which is any ordinal that is
       neither zero nor a successor.  (Contributed by NM, 1-Nov-2004.)  (Proof
       shortened by Andrew Salmon, 27-Aug-2011.) $)
    dflim3 $p |- ( Lim A <->
                 ( Ord A /\ -. ( A = (/) \/ E. x e. On A = suc x ) ) ) $=
      ( wlim word c0 wne cuni wceq w3a wa cv csuc con0 wrex wo wn df-lim 3anass
      wb df-ne a1i orduninsuc anbi12d ioran bitr4di pm5.32i 3bitri ) BCBDZBEFZB
      BGHZIUHUIUJJZJUHBEHZBAKLHAMNZOPZJBQUHUIUJRUHUKUNUHUKULPZUMPZJUNUHUIUOUJUP
      UIUOSUHBETUAABUBUCULUMUDUEUFUG $.

    $( An alternate definition of a limit ordinal.  (Contributed by NM,
       1-Feb-2005.) $)
    dflim4 $p |- ( Lim A <->
                 ( Ord A /\ (/) e. A /\ A. x e. A suc x e. A ) ) $=
      ( wlim word wcel cuni wceq w3a csuc wral dflim2 ordunisuc2 anbi2d pm5.32i
      c0 cv wa 3anass 3bitr4i bitri ) BCBDZOBEZBBFGZHZUAUBAPIBEABJZHZBKUAUBUCQZ
      QUAUBUEQZQUDUFUAUGUHUAUCUEUBABLMNUAUBUCRUAUBUERST $.
  $}

  ${
    $d x A $.  $d x B $.
    $( The successor of a member of a limit ordinal is also a member.
       (Contributed by NM, 3-Sep-2003.) $)
    limsuc $p |- ( Lim A -> ( B e. A <-> suc B e. A ) ) $=
      ( vx wlim wcel csuc word c0 cv wral w3a dflim4 wceq suceq eleq1d 3ad2ant3
      wi rspccv sylbi wtr limord ordtr trsuc ex 3syl impbid ) ADZBAEZBFZAEZUGAG
      ZHAEZCIZFZAEZCAJZKUHUJQZCALUPUKUQULUOUJCBAUMBMUNUIAUMBNORPSUGUKATZUJUHQAU
      AAUBURUJUHABUCUDUEUF $.

    $( A class includes a limit ordinal iff the successor of the class includes
       it.  (Contributed by NM, 30-Oct-2003.) $)
    limsssuc $p |- ( Lim A -> ( A C_ B <-> A C_ suc B ) ) $=
      ( vx wlim wss csuc sssucid sstr2 wa cv wcel wceq wn wi eleq1 biimpcd word
      mpi sylib ex limsuc biimpa limord ordelord sylan ordtri1 syl2an2r con2bid
      wb ordsuc mpbid sylan9r con2d com23 imp31 ssel2 vex elsuc ord adantll mpd
      wo con1d ssrdv impbid2 ) ADZABEZABFZEZVGBVHEVIBGABVHHRVFVIVGVFVIIZCABVJCJ
      ZAKZVKBKZVJVLIVKBLZMZVMVFVIVLVOVFVLVIVOVFVLVIVONVFVLIVNVIVLVNBAKZVFVIMZVN
      VLVPVKBAOPVFVPVQVFVPIZVHAKZVQVFVPVSABUAUBVRVIVSVFAQZVPVHQZVIVSMUIAUCZVRBQ
      ZWAVFVTVPWCWBABUDUEBUJSAVHUFUGUHUKTULUMTUNUOVIVLVOVMNVFVIVLIZVMVNWDVMVNWD
      VKVHKVMVNVBAVHVKUPVKBCUQURSUSVCUTVATVDTVE $.
  $}

  ${
    $d x y $.
    $( Two ways to express the class of non-limit ordinal numbers.  Part of
       Definition 7.27 of [TakeutiZaring] p. 42, who use the symbol K_I for
       this class.  (Contributed by NM, 1-Nov-2004.) $)
    nlimon $p |- { x e. On | ( x = (/) \/ E. y e. On x = suc y ) } =
                   { x e. On | -. Lim x } $=
      ( cv c0 wceq csuc con0 wrex wo wlim wn wcel word wb eloni dflim3 baib syl
      con2bid rabbiia ) ACZDEUABCFEBGHIZUAJZKZAGUAGLUAMZUBUDNUAOUEUCUBUCUEUBKBU
      APQSRT $.
  $}

  ${
    $d x y z A $.
    $( The union of a nonempty class of limit ordinals is a limit ordinal.
       (Contributed by NM, 1-Feb-2005.) $)
    limuni3 $p |- ( ( A =/= (/) /\ A. x e. A Lim x ) -> Lim U. A ) $=
      ( vy vz c0 wne cv wlim wral wa cuni word wcel csuc con0 wss cvv adantl wi
      elunii limeq rspcv vex limelon mpan syl6com ssrdv ssorduni syl wex 0ellim
      n0 expcom syl5 syld exlimiv sylbi wrex eluni2 rspccv limsuc anbi1d syl6bi
      imp expd com3r sylcom rexlimdv syl5bi ralrimiv dflim4 syl3anbrc ) BEFZAGZ
      HZABIZJBKZLZEVQMZCGZNZVQMZCVQIZVQHVPVRVMVPBOPVRVPDBODGZBMZVPWDHZWDOMZVOWF
      AWDBVNWDUAZUBZWDQMWFWGDUCWDQUDUEUFUGBUHUIRVMVPVSVMWEDUJVPVSSZDBULWEWJDWEV
      PWFVSWIWFEWDMZWEVSWDUKWKWEVSEWDBTUMUNUOUPUQVDVPWCVMVPWBCVQVTVQMVTWDMZDBUR
      VPWBDVTBUSVPWLWBDBVPWEWFWLWBSVOWFAWDBWHUTWFWLWEWBWFWLWEWBWFWLWEJWAWDMZWEJ
      WBWFWLWMWEWDVTVAVBWAWDBTVCVEVFVGVHVIVJRCVQVKVL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Transfinite induction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.
    $( The Principle of Transfinite Induction.  Theorem 7.17 of [TakeutiZaring]
       p. 39.  This principle states that if ` A ` is a class of ordinal
       numbers with the property that every ordinal number included in ` A `
       also belongs to ` A ` , then every ordinal number is in ` A ` .

       See Theorem ~ tfindes or ~ tfinds for the version involving basis and
       induction hypotheses.  (Contributed by NM, 18-Feb-2004.) $)
    tfi $p |- ( ( A C_ On /\ A. x e. On ( x C_ A -> x e. A ) ) -> A = On ) $=
      ( con0 wss cv wcel wi wral wa wceq cdif cin c0 wrex wn eldifn adantl onss
      difin0ss syl5com imim1d a2i eldifi impel mtod ex ralimi2 ralnex sylib wne
      ssdif0 necon3bbii word ordon difss tz7.5 mp3an12 sylbi anim2i eqss sylibr
      nsyl2 ) BCDZAEZBDZVDBFZGZACHZIVCCBDZIBCJVHVIVCVHCBKZVDLMJZAVJNZVIVHVKOZAV
      JHVLOVGVMACVJVDCFZVGGZVDVJFZVMVOVPIVKVFVPVFOVOVDCBPQVOVNVKVFGZVPVNVGVQVNV
      KVEVFVNVDCDVKVEVDRCBVDSTUAUBVDCBUCUDUEUFUGVKAVJUHUIVIOVJMUJZVLVIVJMCBUKUL
      CUMVJCDVRVLUNCBUOACVJUPUQURVBUSBCUTVA $.
  $}

  ${
    $d w y z ph $.  $d w x y z $.
    tfis.1 $e |- ( x e. On -> ( A. y e. x [ y / x ] ph -> ph ) ) $.
    $( Transfinite Induction Schema.  If all ordinal numbers less than a given
       number ` x ` have a property (induction hypothesis), then all ordinal
       numbers have the property (conclusion).  Exercise 25 of [Enderton]
       p. 200.  (Contributed by NM, 1-Aug-1994.)  (Revised by Mario Carneiro,
       20-Nov-2016.) $)
    tfis $p |- ( x e. On -> ph ) $=
      ( vz vw cv con0 wcel crab wss wi wral wceq ssrab2 wa nfcv bitr3id simprbi
      wsb nfrab1 nfss nfcri nfim dfss3 sseq1 rabid eleq1w imbi12d sbequ sbequ12
      nfv nfs1v cbvrabw elrab2 ralimi syl5 anc2li vtoclgaf mp2an eqcomi rabeq2i
      rgen tfi ) BGZHIZVFAABHHABHJZHVGHKEGZVGKZVHVGIZLZEHMVGHNABHOVKEHCGZVGIZCV
      EMZVFAPZLVKBVHHBVHQZVIVJBBVHVGVPABHUAZUBBEVGVQUCUDVEVHNZVNVIVOVJVNVEVGKVR
      VICVEVGUEVEVHVGUFRVOVEVGIVRVJABHUGBEVGUHRUIVFVNAVNABCTZCVEMVFAVMVSCVEVMVL
      HIVSABFTZVSFVLHVGAFCBUJAVTBFHBHQFHQAFULABFUMABFUKUNUOSUPDUQURUSVCEVGVDUTV
      AVBS $.
  $}

  ${
    $d y ph $.  $d x y $.
    tfis2f.1 $e |- F/ x ps $.
    tfis2f.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    tfis2f.3 $e |- ( x e. On -> ( A. y e. x ps -> ph ) ) $.
    $( Transfinite Induction Schema, using implicit substitution.  (Contributed
       by NM, 18-Aug-1994.) $)
    tfis2f $p |- ( x e. On -> ph ) $=
      ( wsb cv wral con0 wcel sbiev ralbii syl5bi tfis ) ACDACDHZDCIZJBDRJRKLAQ
      BDRABCDEFMNGOP $.
  $}

  ${
    $d x ps $.  $d y ph $.  $d x y $.
    tfis2.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    tfis2.2 $e |- ( x e. On -> ( A. y e. x ps -> ph ) ) $.
    $( Transfinite Induction Schema, using implicit substitution.  (Contributed
       by NM, 18-Aug-1994.) $)
    tfis2 $p |- ( x e. On -> ph ) $=
      ( nfv tfis2f ) ABCDBCGEFH $.
  $}

  ${
    $d x ps $.  $d y ph $.  $d x ch $.  $d x A $.  $d x y $.
    tfis3.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    tfis3.2 $e |- ( x = A -> ( ph <-> ch ) ) $.
    tfis3.3 $e |- ( x e. On -> ( A. y e. x ps -> ph ) ) $.
    $( Transfinite Induction Schema, using implicit substitution.  (Contributed
       by NM, 4-Nov-2003.) $)
    tfis3 $p |- ( A e. On -> ch ) $=
      ( con0 tfis2 vtoclga ) ACDFJHABDEGIKL $.
  $}

  ${
    $d x v w y z T $.  $d v w y z R $.  $d x v w z S $.  $d x v w z ch $.
    $d x v w y z ph $.  $d w y z ps $.  $d x A $.  $d x th $.
    tfisi.a $e |- ( ph -> A e. V ) $.
    tfisi.b $e |- ( ph -> T e. On ) $.
    tfisi.c $e |- ( ( ph /\ ( R e. On /\ R C_ T ) /\
          A. y ( S e. R -> ch ) ) -> ps ) $.
    tfisi.d $e |- ( x = y -> ( ps <-> ch ) ) $.
    tfisi.e $e |- ( x = A -> ( ps <-> th ) ) $.
    tfisi.f $e |- ( x = y -> R = S ) $.
    tfisi.g $e |- ( x = A -> R = T ) $.
    $( A transfinite induction scheme in "implicit" form where the induction is
       done on an object derived from the object of interest.  (Contributed by
       Stefan O'Rear, 24-Aug-2015.) $)
    tfisi $p |- ( ph -> th ) $=
      ( vv wi vz vw wss ssid wceq wa eqid wcel wal con0 weq eqeq2 anbi2d imbi1d
      sseq1 imbi12d albidv eqeq1d imbi2d cbvalvw bitrdi w3a simp3l simp2 simp1l
      wral eqeltrd simp3r eqsstrd csb wsb simpl3l simpl1l simpl2 eleqtrd onelss
      cv simpr sylc simpl3r sstrd simpl1r rspcdva eqidd nfcv csbhypf equcoms wb
      eqcomd nfv sbhypf bicomd spvv mp2and alrimiv eleq1d sylib syl121anc tfis3
      ex 3exp syl spcgv mpi expd pm2.43i ) AJJUCZDJUDAXGDTAAXGDAJJUEZAXGUFZDTZJ
      UGAGKUHHJUEZXIBTZTZEUIZXHXJTZLAJUJUHXNMHUAVQZUEZAXPJUCZUFZBTZTZEUIZIUBVQZ
      UEZAYCJUCZUFZCTZTZFUIZXNUAUBJUAUBUKZYBHYCUEZYFBTZTZEUIYIYJYAYMEYJXQYKXTYL
      XPYCHULYJXSYFBYJXRYEAXPYCJUOUMUNUPUQYMYHEFEFUKZYKYDYLYGYNHIYCQURYNBCYFOUS
      UPUTVAXPJUEZYAXMEYOXQXKXTXLXPJHULYOXSXIBYOXRXGAXPJJUOUMUNUPUQXPUJUHZYIUBX
      PVFZYBYPYQUFZYAEYRXQXSBYRXQXSVBZAHUJUHHJUCIHUHZCTZFUIZBYRXQAXRVCYSHXPUJYR
      XQXSVDZYPYQXQXSVEVGYSHXPJUUCYRXQAXRVHVIYSESVQHVJZHUHZBESVKZTZSUIUUBYSUUGS
      YSUUEUUFYSUUEUFZAUUDJUCZUUFAXRYRXQUUEVLUUHUUDXPJUUHYPUUDXPUHUUDXPUCYPYQXQ
      XSUUEVMUUHUUDHXPYSUUEVRYRXQXSUUEVNVOZXPUUDVPVSAXRYRXQUUEVTWAUUHIUUDUEZAUU
      IUFZCTZTZFUIZUUDUUDUEZUULUUFTZUUHYIUUOUBXPUUDYCUUDUEZYHUUNFUURYDUUKYGUUMY
      CUUDIULUURYFUULCUURYEUUIAYCUUDJUOUMUNUPUQYPYQXQXSUUEWBUUJWCUUHUUDWDUUNUUP
      UUQTFSFSUKZUUKUUPUUMUUQUUSIUUDUUDUUKSFSFUKZUUDIESFVQZHIEUVAWEEIWEQWFZWIWG
      URUUSCUUFUULCUUFWHSFUUTUUFCBCESUVACEWJOWKZWLWGUSUPWMVSWNWTWOUUGUUASFUUTUU
      EYTUUFCUUTUUDIHUVBWPUVCUPUTWQNWRXAWOWTWSXBXMXOEGKEVQGUEZXKXHXLXJUVDHJJRUR
      UVDBDXIPUSUPXCVSXDXEXFXD $.
  $}

  ${
    $d x y z $.  $d x A $.  $d x z ch $.  $d x ta $.  $d y z ph $.
    $( Substitutions. $)
    tfinds.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    tfinds.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    tfinds.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    tfinds.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    tfinds.5 $e |- ps $.
    $( Induction step for successors. $)
    tfinds.6 $e |- ( y e. On -> ( ch -> th ) ) $.
    $( Induction step for limit ordinals. $)
    tfinds.7 $e |- ( Lim x -> ( A. y e. x ch -> ph ) ) $.
    $( Principle of Transfinite Induction (inference schema), using implicit
       substitutions.  The first four hypotheses establish the substitutions we
       need.  The last three are the basis, the induction step for successors,
       and the induction step for limit ordinals.  Theorem Schema 4 of [Suppes]
       p. 197.  (Contributed by NM, 16-Apr-1995.)  (Proof shortened by Andrew
       Salmon, 27-Aug-2011.) $)
    tfinds $p |- ( A e. On -> ta ) $=
      ( vz cv con0 wral wi wcel wlim wn word c0 wceq csuc wrex wo dflim3 notbii
      wa iman eloni pm2.27 syl mpbiri a1d nfra1 nfv nfim sucid rspcv ax-mp syl5
      vex wsb raleq sbiev bitr3id cbvralvw cbvralsvw 3bitr4g syl5ibrcom biimprd
      sbequ imbi1d a1i syldd rexlimi jaoi syl6 syl5bir syl5bi pm2.61d2 tfis3 )
      ACEFGHJLFQZRUAZWGUBZCGWGSZATZWIUCWGUDZWGUEUFZWGGQZUGZUFZGRUHZUIZUCULZUCZW
      HWKWIWSGWGUJUKWTWLWRTZWHWKWLWRUMWHXAWRWKWHWLXAWRTWGUNWLWRUOUPWMWKWQWMAWJW
      MABMIUQURWPWKGRWJAGCGWGUSAGUTVAWNRUAZWPWJDAXBWJDTWPAFWOSZDTXCCXBDWNWOUAXC
      CTWNGVFVBACFWNWOJVCVDNVEWPWJXCDWPAFPVGZPWGSXDPWOSWJXCXDPWGWOVHCXDGPWGCAFG
      VGWNPQUFXDACFGCFUTJVIAGPFVPVJVKAFPWOVLVMVQVNWPDATTXBWPADKVOVRVSVTWAWBWCWD
      OWEWF $.
  $}

  ${
    $d x A $.  $d x y B $.  $d x ch $.  $d x th $.  $d x ta $.  $d y ph $.
    $( Substitutions. $)
    tfindsg.1 $e |- ( x = B -> ( ph <-> ps ) ) $.
    tfindsg.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    tfindsg.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    tfindsg.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    tfindsg.5 $e |- ( B e. On -> ps ) $.
    $( Induction step for successor ordinals. $)
    tfindsg.6 $e |- ( ( ( y e. On /\ B e. On ) /\ B C_ y ) -> ( ch -> th ) ) $.
    $( Induction step for limit ordinals. $)
    tfindsg.7 $e |- ( ( ( Lim x /\ B e. On ) /\ B C_ x ) ->
                   ( A. y e. x ( B C_ y -> ch ) -> ph ) ) $.
    $( Transfinite Induction (inference schema), using implicit substitutions.
       The first four hypotheses establish the substitutions we need.  The last
       three are the basis, the induction step for successors, and the
       induction step for limit ordinals.  The basis of this version is an
       arbitrary ordinal ` B ` instead of zero.  Remark in [TakeutiZaring]
       p. 57.  (Contributed by NM, 5-Mar-2004.) $)
    tfindsg $p |- ( ( ( A e. On /\ B e. On ) /\ B C_ A ) -> ta ) $=
      ( wcel wi wceq wa con0 wss cv c0 csuc wb sseq2 adantl syl6bir imp imbi12d
      eqeq2 imbi1d ss0 con3i pm2.21d pm5.74d sylan9bbr pm2.61ian imbi2d a1d wex
      vex sucex eqvinc syl5ibr biimpd sylan9r exlimiv sylbi eqcoms imim2i com4r
      wne df-ne anbi2i annim bitri onsssuc suceloni onelpss sylan2 bitrd ancoms
      wn ex a1ddd a2d sylbird syl5bir pm2.61d wlim wral pm2.27 ralimdv ad2antlr
      com23 syld exp31 com3l com4t tfinds imp31 ) HUAQIUAQZIHUBZEXDIFUCZUBZARZR
      XDIUDUBZBRZRXDIGUCZUBZCRZRZXDIXKUEZUBZDRZRXDXEERZRFGHXFUDSZXHXJXDIUDSZXSX
      HXJUFXTXSTXGXIABXSXGXIUFXTXFUDIUGZUHXTXSABUFZXTXSXFISZYBIUDXFULJUIUJUKXSX
      HXIARXTWEZXJXSXGXIAYAUMYDXIABYDXIYBXIXTIUNUOUPUQURUSUTXFXKSZXHXMXDYEXGXLA
      CXFXKIUGKUKUTXFXOSZXHXQXDYFXGXPADXFXOIUGLUKUTXFHSZXHXRXDYGXGXEAEXFHIUGMUK
      UTXDBXINVAXKUAQZXDXMXQYHXDXMXQRZYHXDTZXPIXOSZRZYIXDYLYIRYHYLXMXPXDDYLXPXD
      DRZRXMYKYMXPYMXOIXOISYFYCTZFVBYMFXOIXKGVCVDVEYNYMFYCXDAYFDXDAYCBNJVFYFADL
      VGVHVIVJVKVLVAVMUHYLWEZXPIXOVNZTZYJYIYQXPYKWEZTYOYPYRXPIXOVOVPXPYKVQVRYJY
      QXLYIXDYHXLYQUFXDYHTXLIXOQZYQIXKVSYHXDXOUAQYSYQUFXKVTIXOWAWBWCWDYJXMXLXQY
      JXLCXQYJXLCXPDYJXLCDROWFWGWHWQWIWJWKWFWHXDXGXFWLZXNGXFWMZAYTXDXGUUAARZYTX
      DXGUUBYTXDTXGTUUAXMGXFWMZAXDUUAUUCRYTXGXDXNXMGXFXDXMWNWOWPPWRWSWTXAXBXC
      $.
  $}

  ${
    $d x A $.  $d x y B $.  $d x ch $.  $d x th $.  $d x ta $.  $d y ph $.
    $( Substitutions. $)
    tfindsg2.1 $e |- ( x = suc B -> ( ph <-> ps ) ) $.
    tfindsg2.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    tfindsg2.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    tfindsg2.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    tfindsg2.5 $e |- ( B e. On -> ps ) $.
    $( Induction step for successor ordinals. $)
    tfindsg2.6 $e |- ( ( y e. On /\ B e. y ) -> ( ch -> th ) ) $.
    $( Induction step for limit ordinals. $)
    tfindsg2.7 $e |- ( ( Lim x /\ B e. x ) ->
                   ( A. y e. x ( B e. y -> ch ) -> ph ) ) $.
    $( Transfinite Induction (inference schema), using implicit substitutions.
       The first four hypotheses establish the substitutions we need.  The last
       three are the basis, the induction step for successors, and the
       induction step for limit ordinals.  The basis of this version is an
       arbitrary ordinal ` suc B ` instead of zero.  (Contributed by NM,
       5-Jan-2005.)  Remove unnecessary distinct variable conditions.  (Revised
       by David Abernethy, 19-Jun-2012.) $)
    tfindsg2 $p |- ( ( A e. On /\ B e. A ) -> ta ) $=
      ( con0 wcel wa wi csuc wss onelon sucelon sylib eloni ordsucss syl sylbir
      word imp cv wb ordelsuc sylan2 ancoms ex adantr sylbird sylan2br wlim cvv
      wral vex limelon mpan anassrs imbi1d ralbidva imbi12d tfindsg expl mp2and
      mpbid ) HQRZIHRZSZIUAZQRZVRHUBZEVQIQRZVSHIUCIUDZUEVOVPVTVOHUJVPVTTHUFIHUG
      UHUKVOVSVTSETVPVOVSVTEABCDEFGHVRJKLMVSWABWBNUIGULZQRZVSSVRWCUBZCDTZVSWDWA
      WEWFTWBWDWASWEIWCRZWFWAWDWGWEUMZWDWAWCUJZWHWCUFZIWCQUNZUOUPWDWGWFTWAWDWGW
      FOUQURUSUTUKFULZVAZVSSVRWLUBZWECTZGWLVCZATZVSWMWAWNWQTZWBWMWASIWLRZWGCTZG
      WLVCZATZTZWRWMXCWAWMWSXBPUQURWAWMXCWRUMZWMWAWLQRZXDWLVBRWMXEFVDWLVBVEVFWA
      XESZWSWNXBWQXEWAWLUJWSWNUMWLUFIWLQUNUOXFXAWPAXFWTWOGWLXFWCWLRZSWGWECWAXEX
      GWHXEXGSZWAWIWHXHWDWIWLWCUCWJUHWKUOVGVHVIVHVJUOUPVNUTUKVKVLURVM $.
  $}

  ${
    $d x y z $.  $d y z ph $.
    tfindes.1 $e |- [. (/) / x ]. ph $.
    tfindes.2 $e |- ( x e. On -> ( ph -> [. suc x / x ]. ph ) ) $.
    tfindes.3 $e |- ( Lim y -> ( A. x e. y ph -> [. y / x ]. ph ) ) $.
    $( Transfinite Induction with explicit substitution.  The first hypothesis
       is the basis, the second is the induction step for successors, and the
       third is the induction step for limit ordinals.  Theorem Schema 4 of
       [Suppes] p. 197.  (Contributed by NM, 5-Mar-2004.) $)
    tfindes $p |- ( x e. On -> ph ) $=
      ( vz cv wsbc c0 csuc dfsbcq sbceq2a con0 wcel nfsbc1v nfim imbi12d wral
      wi nfv weq eleq1w sbceq1a suceq sbceq1d chvarfv wlim wsb cbvralsvw ralbii
      sbsbc bitri syl5bir tfinds ) ABCHZIZABJIABGHZIZABURKZIZACGBHZABUPJLABUPUR
      LABUPUTLABUPMDVBNOZAABVBKZIZTZTURNOZUSVATZTBGVGVHBVGBUAUSVABABURPABUTPQQB
      GUBZVCVGVFVHBGNUCVIAUSVEVAABURUDVIABVDUTVBURUEUFRREUGUSGUPSZABUPSZUPUHUQV
      KABGUIZGUPSVJABGUPUJVLUSGUPABGULUKUMFUNUO $.
  $}

  ${
    $d x y ta $.  $d x ps $.  $d x ch $.  $d x th $.  $d y ph $.
    $( Substitutions. $)
    tfinds2.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    tfinds2.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    tfinds2.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    $( Basis. $)
    tfinds2.4 $e |- ( ta -> ps ) $.
    $( Induction step for successors. $)
    tfinds2.5 $e |- ( y e. On -> ( ta -> ( ch -> th ) ) ) $.
    $( Induction step for limit ordinals. $)
    tfinds2.6 $e |- ( Lim x -> ( ta -> ( A. y e. x ch -> ph ) ) ) $.
    $( Transfinite Induction (inference schema), using implicit substitutions.
       The first three hypotheses establish the substitutions we need.  The
       last three are the basis and the induction hypotheses (for successor and
       limit ordinals respectively).  Theorem Schema 4 of [Suppes] p. 197.  The
       wff ` ta ` is an auxiliary antecedent to help shorten proofs using this
       theorem.  (Contributed by NM, 4-Sep-2004.) $)
    tfinds2 $p |- ( x e. On -> ( ta -> ph ) ) $=
      ( wi wsbc imbi2d sbcie cvv elv wb c0 0ex cv wceq mpbir con0 wcel csuc a2d
      sbcth sbcimg sbcel1v 3imtr3i vex bicomd equcoms sucex sbcbii suceq sbcco2
      mpbi weq bitr3i 3imtr3g wral wlim wsb sbralie sbsbc bitr2i r19.21v syl5bi
      limeq syl5bir tfindes ) EANZFGVPFUAOEBNZKVPVQFUAUBFUCZUAUDABEHPQUEVRUFUGZ
      ECNZGVROZEDNZGVROZVPVPFVRUHZOZGUCZUFUGZGVROZVTWBNZGVROZVSWAWCNZWGWINZGVRO
      ZWHWJNZWMFWLGVRRWGECDLUIUJSWMWNTFWGWIGVRRUKSVAGVRUFULWJWKTFVTWBGVRRUKSUMV
      TVPGVRFUNGFVBCAECATFGFGVBZACIUOUPPQWCVPFWFUHZOZGVROWEWQWBGVRVPWBFWPWFGUNZ
      UQVRWPUDADEJPQURVPFGWDWPVRWFUSUTVCVDVPFWFVEZVTGVRVEZFWFOZWFVFZVPFWFOZWSWT
      FGVGXAVPVTFGWOACEIPVHWTFGVIVJVRVFZFWFOZWTVPNZFWFOZXBXAXCNZXDXFNZFWFOZXEXG
      NZXJGXIFWFRWTECGVRVEZNXDVPECGVRVKXDEXLAMUIVLUJSXJXKTGXDXFFWFRUKSVAXDXBFWF
      WRVRWFVMQXGXHTGWTVPFWFRUKSUMVNVO $.
  $}

  ${
    $d x A $.  $d y ph $.  $d x ch $.  $d x ta $.  $d x y et $.
    $( Substitutions. $)
    tfinds3.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    tfinds3.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    tfinds3.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    tfinds3.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    tfinds3.5 $e |- ( et -> ps ) $.
    $( Induction step for successors. $)
    tfinds3.6 $e |- ( y e. On -> ( et -> ( ch -> th ) ) ) $.
    $( Induction step for limit ordinals. $)
    tfinds3.7 $e |- ( Lim x -> ( et -> ( A. y e. x ch -> ph ) ) ) $.
    $( Principle of Transfinite Induction (inference schema), using implicit
       substitutions.  The first four hypotheses establish the substitutions we
       need.  The last three are the basis, the induction step for successors,
       and the induction step for limit ordinals.  (Contributed by NM,
       6-Jan-2005.)  (Revised by David Abernethy, 21-Jun-2011.) $)
    tfinds3 $p |- ( A e. On -> ( et -> ta ) ) $=
      ( wi cv wceq imbi2d c0 csuc con0 wcel a2d wral wlim r19.21v syl5bi tfinds
      ) FAQZFBQFCQZFDQFEQGHIGRZUASABFJTUMHRZSACFKTUMUNUBSADFLTUMISAEFMTNUNUCUDF
      CDOUEULHUMUFFCHUMUFZQUMUGZUKFCHUMUHUPFUOAPUEUIUJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The natural numbers (i.e., finite ordinals)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new symbol. $)
  $c _om $.  $( Upright lowercase greek letter omega $)

  $( Extend class notation to include the class of natural numbers. $)
  com $a class _om $.

  ${
    $d x y $.
    $( Define the class of natural numbers, which are all ordinal numbers that
       are less than every limit ordinal, i.e., all finite ordinals.  Our
       definition is a variant of the Definition of N of [BellMachover] p. 471.
       See ~ dfom2 for an alternate definition.  Later, when we assume the
       Axiom of Infinity, we show ` _om ` is a set in ~ omex , and ` _om ` can
       then be defined per ~ dfom3 (the smallest inductive set) and ~ dfom4 .

       _Note_: the natural numbers ` _om ` are a subset of the ordinal numbers
       ~ df-on .  Later, when we define complex numbers, we will be able to
       also define a subset of the complex numbers ( ~ df-nn ) with analogous
       properties and operations, but they will be different sets.
       (Contributed by NM, 15-May-1994.) $)
    df-om $a |- _om = { x e. On | A. y ( Lim y -> x e. y ) } $.
  $}

  ${
    $d x z $.  $d y z $.
    $( An alternate definition of the set of natural numbers ` _om ` .
       Definition 7.28 of [TakeutiZaring] p. 42, who use the symbol K_I for the
       restricted class abstraction of non-limit ordinal numbers (see
       ~ nlimon ).  (Contributed by NM, 1-Nov-2004.) $)
    dfom2 $p |- _om = { x e. On | suc x C_ { y e. On | -. Lim y } } $=
      ( vz com cv wlim wcel wi wal con0 crab csuc wn wss df-om wa cvv impexp wb
      vex limelon mpan pm4.71ri imbi1i con34b ibar imbi2d syl5bb pm5.74i 3bitri
      onsssuc ontri1 bitr3d ancoms weq limeq elrab a1i imbi12d pm5.74da bitr4id
      notbid simpr suceloni onelon ex ancrd impbid2 imbi1d bitr3id bitrd albidv
      syl dfss2 bitr4di rabbiia eqtri ) DCEZFZAEZVRGZHZCIZAJKVTLZBEZFZMZBJKZNZA
      JKACOWCWIAJVTJGZWCVRWDGZVRWHGZHZCIWIWJWBWMCWJWBVRJGZWMHZWMWJWBWNWAMZWNVSM
      ZPZHZHZWOWBWNVSPZWAHWNWBHWTVSXAWAVSWNVRQGVSWNCTVRQUAUBUCUDWNVSWARWNWBWSWB
      WPWQHWNWSVSWAUEWNWQWRWPWNWQUFUGUHUIUJWJWNWMWSWJWNPZWKWPWLWRWNWJWKWPSWNWJP
      VRVTNWKWPVRVTUKVRVTULUMUNWLWRSXBWGWQBVRJBCUOWFVSWEVRUPVBUQURUSUTVAWOWNWKP
      ZWLHWJWMWNWKWLRWJXCWKWLWJXCWKWNWKVCWJWKWNWJWDJGZWKWNHVTVDXDWKWNWDVRVEVFVM
      VGVHVIVJVKVLCWDWHVNVOVPVQ $.
  $}

  ${
    $d A x y $.
    $( Membership in omega.  The left conjunct can be eliminated if we assume
       the Axiom of Infinity; see ~ elom3 .  (Contributed by NM,
       15-May-1994.) $)
    elom $p |- ( A e. _om <-> ( A e. On /\ A. x ( Lim x -> A e. x ) ) ) $=
      ( vy cv wlim wcel wi wal con0 com wceq eleq1 imbi2d albidv df-om elrab2 )
      ADZEZCDZQFZGZAHRBQFZGZAHCBIJSBKZUAUCAUDTUBRSBQLMNCAOP $.
  $}

  ${
    $d x y $.
    $( Omega is a subset of ` On ` .  (Contributed by NM, 13-Jun-1994.)  (Proof
       shortened by Andrew Salmon, 27-Aug-2011.) $)
    omsson $p |- _om C_ On $=
      ( vy vx cv wlim wel wi wal con0 com df-om ssrab3 ) ACDBAEFAGBHIBAJK $.
  $}

  ${
    $d x y A $.
    $( The class of natural numbers is a subclass of any (infinite) limit
       ordinal.  Exercise 1 of [TakeutiZaring] p. 44.  Remarkably, our proof
       does not require the Axiom of Infinity.  (Contributed by NM,
       30-Oct-2003.) $)
    limomss $p |- ( Lim A -> _om C_ A ) $=
      ( vx vy word wlim com wss limord con0 wcel wceq wo wi ordeleqon wa cv wal
      elom simprbi limeq eleq2 imbi12d spcgv syl5 com23 imp ssrdv omsson mpbiri
      ex sseq2 a1d jaoi sylbi mpcom ) ADZAEZFAGZAHUPAIJZAIKZLUQURMZANUSVAUTUSUQ
      URUSUQOBFAUSUQBPZFJZVBAJZMUSVCUQVDVCCPZEZVBVEJZMZCQZUSUQVDMZVCVBIJVICVBRS
      VHVJCAIVEAKVFUQVGVDVEATVEAVBUAUBUCUDUEUFUGUJUTURUQUTURFIGUHAIFUKUIULUMUNU
      O $.
  $}

  $( A natural number is an ordinal number.  (Contributed by NM,
     27-Jun-1994.) $)
  nnon $p |- ( A e. _om -> A e. On ) $=
    ( com con0 omsson sseli ) BCADE $.

  ${
    nnoni.1 $e |- A e. _om $.
    $( A natural number is an ordinal number.  (Contributed by NM,
       27-Jun-1994.) $)
    nnoni $p |- A e. On $=
      ( com wcel con0 nnon ax-mp ) ACDAEDBAFG $.
  $}

  $( A natural number is ordinal.  (Contributed by NM, 17-Oct-1995.) $)
  nnord $p |- ( A e. _om -> Ord A ) $=
    ( com wcel con0 word nnon eloni syl ) ABCADCAEAFAGH $.

  ${
    $d x y z $.
    $( The class of finite ordinals ` _om ` is a transitive class.
       (Contributed by NM, 18-Oct-1995.)  (Proof shortened by Andrew Salmon,
       27-Aug-2011.) $)
    trom $p |- Tr _om $=
      ( vy vx vz com wtr wel cv wcel wa wi dftr2 con0 wlim onelon expcom limord
      wal word ordtr elom trel 3syl com12 a2d alimdv anim12d 3imtr4g imp ax-gen
      expd mpgbir ) DEABFZBGZDHZIAGZDHZJZBQAABDKUQBULUNUPULUMLHZCGZMZBCFZJZCQZI
      UOLHZUTACFZJZCQZIUNUPULURVDVCVGURULVDUMUONOULVBVFCULUTVAVEUTULVAVEJUTULVA
      VEUTUSRUSEULVAIVEJUSPUSSUSUOUMUAUBUJUCUDUEUFCUMTCUOTUGUHUIUK $.
  $}

  $( The class of finite ordinals ` _om ` is ordinal.  Theorem 7.32 of
     [TakeutiZaring] p. 43.  (Contributed by NM, 18-Oct-1995.)  (Proof
     shortened by Andrew Salmon, 27-Aug-2011.) $)
  ordom $p |- Ord _om $=
    ( com wtr con0 wss word trom omsson ordon trssord mp3an ) ABACDCEAEFGHACIJ
    $.

  $( A member of a natural number is a natural number.  (Contributed by NM,
     21-Jun-1998.) $)
  elnn $p |- ( ( A e. B /\ B e. _om ) -> A e. _om ) $=
    ( com wtr wcel wa wi trom trel ax-mp ) CDABEBCEFACEGHCABIJ $.

  $( The class of natural numbers ` _om ` is either an ordinal number (if we
     accept the Axiom of Infinity) or the proper class of all ordinal numbers
     (if we deny the Axiom of Infinity).  Remark in [TakeutiZaring] p. 43.
     (Contributed by NM, 10-May-1998.) $)
  omon $p |- ( _om e. On \/ _om = On ) $=
    ( com word con0 wcel wceq wo ordom ordeleqon mpbi ) ABACDACEFGAHI $.

  $( Omega is an ordinal number.  (Contributed by Mario Carneiro,
     30-Jan-2013.) $)
  omelon2 $p |- ( _om e. _V -> _om e. On ) $=
    ( com con0 wcel cvv wn wceq omon ori onprc eleq1 mtbiri syl con4i ) ABCZADC
    ZNEABFZOENPGHPOBDCIABDJKLM $.

  ${
    $d x A $.
    $( A natural number is not a limit ordinal.  (Contributed by NM,
       18-Oct-1995.) $)
    nnlim $p |- ( A e. _om -> -. Lim A ) $=
      ( vx com wcel wlim word wn nnord ordirr syl cv wal con0 elom simprbi wceq
      wi limeq eleq2 imbi12d spcgv mpd mtod ) ACDZAEZAADZUDAFUFGAHAIJUDBKZEZAUG
      DZQZBLZUEUFQZUDAMDUKBANOUJULBACUGAPUHUEUIUFUGARUGAASTUAUBUC $.

    $( The class of natural numbers is a subclass of the class of non-limit
       ordinal numbers.  Exercise 4 of [TakeutiZaring] p. 42.  (Contributed by
       NM, 2-Nov-2004.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
    omssnlim $p |- _om C_ { x e. On | -. Lim x } $=
      ( com cv wlim wn con0 crab wss wral omsson nnlim rgen ssrab mpbir2an ) BA
      CZDEZAFGHBFHPABIJPABOKLPAFBMN $.
  $}

  $( Omega is a limit ordinal.  Theorem 2.8 of [BellMachover] p. 473.  Our
     proof, however, does not require the Axiom of Infinity.  (Contributed by
     NM, 26-Mar-1995.)  (Proof shortened by Mario Carneiro, 2-Sep-2015.) $)
  limom $p |- Lim _om $=
    ( vx com word wlim ordom con0 wcel wceq wo ordeleqon cv wi wal ordirr ax-mp
    wn elom baib mtbii limeq limomss wb limord ordsseleq sylancr mpbid biimprcd
    wss ord syld con1d com12 alrimiv nsyl2 limon mpbiri jaoi sylbi ) BCZBDZEUSB
    FGZBFHZIUTBJVAUTVBVAAKZDZBVCGZLZAMZUTVABBGZVGUSVHPEBNOVHVAVGABQRSUTPZVFAVDV
    IVEVDVEUTVDVEPBVCHZUTVDVEVJVDBVCUHZVEVJIZVCUAVDUSVCCVKVLUBEVCUCBVCUDUEUFUIV
    JUTVDBVCTUGUJUKULUMUNVBUTFDUOBFTUPUQURO $.

  $( A class belongs to omega iff its successor does.  (Contributed by NM,
     3-Dec-1995.) $)
  peano2b $p |- ( A e. _om <-> suc A e. _om ) $=
    ( com wlim wcel csuc wb limom limsuc ax-mp ) BCABDAEBDFGBAHI $.

  ${
    $d x A $.
    $( A nonzero natural number is a successor.  (Contributed by NM,
       18-Feb-2004.) $)
    nnsuc $p |- ( ( A e. _om /\ A =/= (/) ) -> E. x e. _om A = suc x ) $=
      ( com wcel c0 wne wa cv csuc wceq con0 wrex wlim wn nnlim adantr wi nnord
      word cuni orduninsuc w3a df-lim biimpri 3expia sylbird sylan mt3d biimpcd
      wb eleq1 peano2b syl6ibr ancrd adantld reximdv2 mpd ) BCDZBEFZGZBAHZIZJZA
      KLZVCACLZUTVDBMZURVFNUSBOPURBSZUSVDNZVFQBRVGUSGVHBBTJZVFVGVIVHUJUSABUAPVG
      USVIVFVFVGUSVIUBBUCUDUEUFUGUHURVDVEQUSURVCVCAKCURVCVACDZVCGVAKDURVCVJURVC
      VBCDZVJVCURVKBVBCUKUIVAULUMUNUOUPPUQ $.
  $}

  $( A natural number is not the successor of itself.  (Contributed by AV,
     17-Oct-2023.) $)
  omsucne $p |- ( A e. _om -> A =/= suc A ) $=
    ( com wcel csn cun wne csuc cin c0 wceq wpss word nnord orddisj syl disjpss
    snnzg syl2anc pssned df-suc neeq2i sylibr ) ABCZAAADZEZFAAGZFUCAUEUCAUDHIJZ
    UDIFAUEKUCALUGAMANOABQAUDPRSUFUEAATUAUB $.

  ${
    $d x A $.
    $( An ordinal subclass of non-limit ordinals is a class of natural numbers.
       Exercise 7 of [TakeutiZaring] p. 42.  (Contributed by NM,
       2-Nov-2004.) $)
    ssnlim $p |- ( ( Ord A /\ A C_ { x e. On | -. Lim x } ) -> A C_ _om ) $=
      ( word cv wlim wn con0 crab wss wa com wcel limom ssel limeq notbid elrab
      wceq simprbi syl6 mt2i adantl wb ordom ordtri1 mpan2 adantr mpbird ) BCZB
      ADZEZFZAGHZIZJBKIZKBLZFZUNUQUIUNUPKEZMUNUPKUMLZURFZBUMKNUSKGLUTULUTAKGUJK
      RUKURUJKOPQSTUAUBUIUOUQUCZUNUIKCVAUDBKUEUFUGUH $.
  $}

  ${
    $d A x $.  $d ch x $.  $d ph y $.  $d ps x $.  $d x y $.
    omsinds.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    omsinds.2 $e |- ( x = A -> ( ph <-> ch ) ) $.
    omsinds.3 $e |- ( x e. _om -> ( A. y e. x ps -> ph ) ) $.
    $( Strong (or "total") induction principle over the finite ordinals.
       (Contributed by Scott Fenton, 17-Jul-2015.)  (Proof shortened by BJ,
       16-Oct-2024.) $)
    omsinds $p |- ( A e. _om -> ch ) $=
      ( com cep con0 wss wwe omsson epweon wess mp2 epse wral cv wcel cpred wtr
      wceq trom trpred mpan raleqdv sylbid wfis3 ) ABCDEJFKJLMLKNJKNOPJLKQRJSGH
      DUAZJUBZBEJKULUCZTBEULTAUMBEUNULJUDUMUNULUEUFJULUGUHUIIUJUK $.

    $( Obsolete version of ~ omsinds as of 16-Oct-2024.  (Contributed by Scott
       Fenton, 17-Jul-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    omsindsOLD $p |- ( A e. _om -> ch ) $=
      ( com cep con0 wss wwe omsson epweon wess mp2 epse wral cv wcel cpred cin
      predep wceq word wtr wi ordom ordtr trss mp2b sseqin2 sylib eqtrd raleqdv
      sylbid wfis3 ) ABCDEJFKJLMLKNJKNOPJLKQRJSGHDUAZJUBZBEJKUTUCZTBEUTTAVABEVB
      UTVAVBJUTUDZUTJJUTUEVAUTJMZVCUTUFJUGJUHVAVDUIUJJUKJUTULUMUTJUNUOUPUQIURUS
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Peano's postulates
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Zero is a natural number.  One of Peano's five postulates for arithmetic.
     Proposition 7.30(1) of [TakeutiZaring] p. 42.  Note:  Unlike most
     textbooks, our proofs of ~ peano1 through ~ peano5 do not use the Axiom of
     Infinity.  Unlike Takeuti and Zaring, they also do not use the Axiom of
     Regularity.  (Contributed by NM, 15-May-1994.) $)
  peano1 $p |- (/) e. _om $=
    ( com wlim c0 wcel limom 0ellim ax-mp ) ABCADEAFG $.
  $( $j usage 'peano1' avoids 'ax-inf' 'ax-inf2' 'ax-reg'; $)

  $( The successor of any natural number is a natural number.  One of Peano's
     five postulates for arithmetic.  Proposition 7.30(2) of [TakeutiZaring]
     p. 42.  (Contributed by NM, 3-Sep-2003.) $)
  peano2 $p |- ( A e. _om -> suc A e. _om ) $=
    ( com wcel csuc peano2b biimpi ) ABCADBCAEF $.
  $( $j usage 'peano2' avoids 'ax-inf' 'ax-inf2' 'ax-reg'; $)

  $( The successor of any natural number is not zero.  One of Peano's five
     postulates for arithmetic.  Proposition 7.30(3) of [TakeutiZaring] p. 42.
     (Contributed by NM, 3-Sep-2003.) $)
  peano3 $p |- ( A e. _om -> suc A =/= (/) ) $=
    ( csuc c0 wne com wcel nsuceq0 a1i ) ABCDAEFAGH $.
  $( $j usage 'peano3' avoids 'ax-inf' 'ax-inf2' 'ax-reg'; $)

  $( Two natural numbers are equal iff their successors are equal, i.e. the
     successor function is one-to-one.  One of Peano's five postulates for
     arithmetic.  Proposition 7.30(4) of [TakeutiZaring] p. 43.  (Contributed
     by NM, 3-Sep-2003.) $)
  peano4 $p |- ( ( A e. _om /\ B e. _om ) -> ( suc A = suc B <-> A = B ) ) $=
    ( com wcel con0 csuc wceq wb nnon suc11 syl2an ) ACDAEDBEDAFBFGABGHBCDAIBIA
    BJK $.
  $( $j usage 'peano4' avoids 'ax-inf' 'ax-inf2' 'ax-reg'; $)

  ${
    $d x y z A $.
    $( The induction postulate: any class containing zero and closed under the
       successor operation contains all natural numbers.  One of Peano's five
       postulates for arithmetic.  Proposition 7.30(5) of [TakeutiZaring]
       p. 43, except our proof does not require the Axiom of Infinity.  The
       more traditional statement of mathematical induction as a theorem
       schema, with a basis and an induction step, is derived from this theorem
       as Theorem ~ findes .  (Contributed by NM, 18-Feb-2004.)  Avoid
       ~ ax-10 , ~ ax-12 .  (Revised by Gino Giotto, 3-Oct-2024.) $)
    peano5 $p |- ( ( (/) e. A /\
                 A. x e. _om ( x e. A -> suc x e. A ) ) -> _om C_ A ) $=
      ( vz vy c0 wcel cv csuc wi com wral wa cdif wceq wss wrex wne eleq1 exp32
      wn cin eldifn adantl eldifi biimpcd necon3bd mpan9 nnsuc syl2an2 ad4ant13
      elndif weq eleq1w suceq eleq1d imbi12d rspccv wel vex sucid eleq2 peano2b
      mpbiri bitr4di minel neldif sylan2 syl6bi mpid eleq1a com12 imim12d com13
      syl5 impd sylan9 rexlimdv a1i imp41 mtand nrexdv word ordom difss mp3an12
      mpd tz7.5 necon1bi syl ssdif0 sylibr ) EBFZAGZBFZWMHZBFZIZAJKZLZJBMZENZJB
      OWSWTCGZUAENZCWTPZTXAWSXCCWTWSXBWTFZLZXCXBBFZXEXGTWSXBJBUBUCXFXCLXBDGZHZN
      ZDJPZXGWLXEXKWRXCXEXBJFZWLXBEQZXKXBJBUDZWLEWTFZTXEXMEBJUKXEXOXBEXBENXEXOX
      BEWTRUEUFUGDXBUHUIUJWLWRXEXCXKXGIZWRXEXCXPIIIWLWRXEXCXPWRXEXCLZLXJXGDJWRX
      HJFZXHBFZXIBFZIZXQXJXGIWQYAAXHJADULZWNXSWPXTADBUMYBWOXIBWMXHUNUOUPUQXJYAX
      QXGXJXQXSXTXGXJXEXCXSXEXLXJXCXSIZXNXJXLDCURZYCXJYDXHXIFXHDUSUTXBXIXHVAVCX
      JXLXRYDYCIXJXLXIJFXRXBXIJRXHVBVDXRYDXCXSYDXCLXRXHWTFTXSXHXBWTVEXHJBVFVGSV
      HVIVNVOXTXJXGXIBXBVJVKVLVMVPVQSVRVSWFVTWAXDWTEJWBWTJOWTEQXDWCJBWDCJWTWGWE
      WHWIJBWJWK $.
    $( $j usage 'peano5' avoids 'ax-10' 'ax-12' 'ax-inf' 'ax-inf2' 'ax-reg'; $)
  $}

  ${
    $d x y A $.
    $( Obsolete version of ~ peano5 as of 3-Oct-2024.  (Contributed by NM,
       18-Feb-2004.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    peano5OLD $p |- ( ( (/) e. A /\
                 A. x e. _om ( x e. A -> suc x e. A ) ) -> _om C_ A ) $=
      ( vy c0 wcel cv csuc wi com wral wa cdif wceq wss wrex wn wne eleq1 exp32
      nfv cin eldifn adantl eldifi elndif biimpcd necon3bd mpan9 nnsuc ad4ant13
      syl2an2 nfra1 nfan rsp vex sucid eleq2 mpbiri peano2b minel neldif sylan2
      bitr4di syl6bi mpid syl5 impd eleq1a com12 imim12d com13 sylan9 a1i imp41
      rexlimd mpd mtand nrexdv ordom difss tz7.5 mp3an12 necon1bi ssdif0 sylibr
      word syl ) DBEZAFZBEZWIGZBEZHZAIJZKZIBLZDMZIBNWOWPCFZUADMZCWPOZPWQWOWSCWP
      WOWRWPEZKZWSWRBEZXAXCPWOWRIBUBUCXBWSKWRWKMZAIOZXCWHXAXEWNWSXAWRIEZWHWRDQZ
      XEWRIBUDZWHDWPEZPXAXGDBIUEXAXIWRDWRDMXAXIWRDWPRUFUGUHAWRUIUKUJWHWNXAWSXEX
      CHZWNXAWSXJHHHWHWNXAWSXJWNXAWSKZKXDXCAIWNXKAWMAIULXKATUMXCATWNWIIEZWMXKXD
      XCHWMAIUNXDWMXKXCXDXKWJWLXCXDXAWSWJXAXFXDWSWJHZXHXDXFWIWREZXMXDXNWIWKEWIA
      UOUPWRWKWIUQURXDXFXLXNXMHXDXFWKIEXLWRWKIRWIUSVCXLXNWSWJXNWSKXLWIWPEPWJWIW
      RWPUTWIIBVAVBSVDVEVFVGWLXDXCWKBWRVHVIVJVKVLVOSVMVNVPVQVRWTWPDIWFWPINWPDQW
      TVSIBVTCIWPWAWBWCWGIBWDWE $.
    $( $j usage 'peano5OLD' avoids 'ax-inf' 'ax-inf2' 'ax-reg'; $)
  $}

  ${
    $d x A $.
    $( A natural number is either 0 or a successor.  (Contributed by NM,
       27-May-1998.) $)
    nn0suc $p |- ( A e. _om -> ( A = (/) \/ E. x e. _om A = suc x ) ) $=
      ( com wcel c0 wceq cv csuc wrex wn wne df-ne nnsuc sylan2br ex orrd ) BCD
      ZBEFZBAGHFACIZQRJZSTQBEKSBELABMNOP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Finite induction (for finite ordinals)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.
    find.1 $e |- ( A C_ _om /\ (/) e. A /\ A. x e. A suc x e. A ) $.
    $( The Principle of Finite Induction (mathematical induction).  Corollary
       7.31 of [TakeutiZaring] p. 43.  The simpler hypothesis shown here was
       suggested in an email from "Colin" on 1-Oct-2001.  The hypothesis states
       that ` A ` is a set of natural numbers, zero belongs to ` A ` , and
       given any member of ` A ` the member's successor also belongs to ` A ` .
       The conclusion is that every natural number is in ` A ` .  (Contributed
       by NM, 22-Feb-2004.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.)
       (Proof shortened by Wolf Lammen, 28-May-2024.) $)
    find $p |- A = _om $=
      ( com wss c0 wcel cv csuc wral simp1i wi wa w3a 3simpc df-ral alral sylbi
      wal anim2i mp2b peano5 ax-mp eqssi ) BDBDEZFBGZAHZIBGZABJZCKUFUGBGUHLZADJ
      ZMZDBEUEUFUINUFUIMULCUEUFUIOUIUKUFUIUJASUKUHABPUJADQRTUAABUBUCUD $.

    $( Obsolete version of ~ find as of 28-May-2024.  (Contributed by NM,
       22-Feb-2004.)  (Proof shortened by Andrew Salmon, 27-Aug-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    findOLD $p |- A = _om $=
      ( com wss c0 wcel cv csuc wral simp1i wi wa w3a 3simpc ax-mp df-ral alral
      wal sylbi anim2i peano5 eqssi ) BDBDEZFBGZAHZIBGZABJZCKUEUFBGUGLZADJZMZDB
      EUEUHMZUKUDUEUHNULCUDUEUHOPUHUJUEUHUIASUJUGABQUIADRTUAPABUBPUC $.
  $}

  ${
    $d x y $.  $d x A $.  $d x ps $.  $d x ch $.  $d x th $.  $d x ta $.
    $d y ph $.
    $( Substitutions. $)
    finds.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    finds.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    finds.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    finds.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    finds.5 $e |- ps $.
    $( Induction step. $)
    finds.6 $e |- ( y e. _om -> ( ch -> th ) ) $.
    $( Principle of Finite Induction (inference schema), using implicit
       substitutions.  The first four hypotheses establish the substitutions we
       need.  The last two are the basis and the induction step.  Theorem
       Schema 22 of [Suppes] p. 136.  This is Metamath 100 proof #74.
       (Contributed by NM, 14-Apr-1995.) $)
    finds $p |- ( A e. _om -> ta ) $=
      ( com wcel cab c0 cv elab csuc wi wral wss 0ex mpbir sucex 3imtr4g peano5
      vex rgen mp2an sseli elabg mpbid ) HOPHAFQZPEOUPHRUPPZGSZUPPZURUAZUPPZUBZ
      GOUCOUPUDUQBMABFRUEITUFVBGOUROPCDUSVANACFURGUJZJTADFUTURVCUGKTUHUKGUPUIUL
      UMAEFHOLUNUO $.
  $}

  ${
    $d x A $.  $d x y B $.  $d x ps $.  $d x ch $.  $d x th $.  $d x ta $.
    $d y ph $.
    $( Substitutions. $)
    findsg.1 $e |- ( x = B -> ( ph <-> ps ) ) $.
    findsg.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    findsg.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    findsg.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    findsg.5 $e |- ( B e. _om -> ps ) $.
    $( Induction step. $)
    findsg.6 $e |- ( ( ( y e. _om /\ B e. _om ) /\ B C_ y )
        -> ( ch -> th ) ) $.
    $( Principle of Finite Induction (inference schema), using implicit
       substitutions.  The first four hypotheses establish the substitutions we
       need.  The last two are the basis and the induction step.  The basis of
       this version is an arbitrary natural number ` B ` instead of zero.
       (Contributed by NM, 16-Sep-1995.) $)
    findsg $p |- ( ( ( A e. _om /\ B e. _om ) /\ B C_ A ) -> ta ) $=
      ( wcel wss wi wceq wa com cv c0 wb sseq2 adantl eqeq2 syl6bir imp imbi12d
      csuc wn imbi1d ss0 pm2.21d pm5.74d sylan9bbr pm2.61ian imbi2d a1d wex vex
      con3i sucex eqvinc syl5ibr biimpd sylan9r exlimiv sylbi eqcoms imim2i wne
      com4r df-ne anbi2i annim bitri con0 onsssuc suceloni onelpss sylan2 bitrd
      nnon syl2anr ex a1ddd a2d com23 sylbird syl5bir pm2.61d finds imp31 ) HUA
      PIUAPZIHQZEWPIFUBZQZARZRWPIUCQZBRZRWPIGUBZQZCRZRWPIXCUKZQZDRZRWPWQERZRFGH
      WRUCSZWTXBWPIUCSZXJWTXBUDXKXJTWSXAABXJWSXAUDXKWRUCIUEZUFXKXJABUDZXKXJWRIS
      ZXMIUCWRUGJUHUIUJXJWTXAARXKULZXBXJWSXAAXLUMXOXAABXOXAXMXAXKIUNVCUOUPUQURU
      SWRXCSZWTXEWPXPWSXDACWRXCIUEKUJUSWRXFSZWTXHWPXQWSXGADWRXFIUELUJUSWRHSZWTX
      IWPXRWSWQAEWRHIUEMUJUSWPBXANUTXCUAPZWPXEXHXSWPXEXHRZXSWPTZXGIXFSZRZXTWPYC
      XTRXSYCXEXGWPDYCXGWPDRZRXEYBYDXGYDXFIXFISXQXNTZFVAYDFXFIXCGVBVDVEYEYDFXNW
      PAXQDWPAXNBNJVFXQADLVGVHVIVJVKVLUTVNUFYCULZXGIXFVMZTZYAXTYHXGYBULZTYFYGYI
      XGIXFVOVPXGYBVQVRYAYHXDXTWPIVSPZXCVSPZXDYHUDXSIWEXCWEYJYKTXDIXFPZYHIXCVTY
      KYJXFVSPYLYHUDXCWAIXFWBWCWDWFYAXEXDXHYAXDCXHYAXDCXGDYAXDCDROWGWHWIWJWKWLW
      MWGWIWNWO $.
  $}

  ${
    $d x y ta $.  $d x ps $.  $d x ch $.  $d x th $.  $d y ph $.
    $( Substitutions. $)
    finds2.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    finds2.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    finds2.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    $( Basis. $)
    finds2.4 $e |- ( ta -> ps ) $.
    $( Induction step. $)
    finds2.5 $e |- ( y e. _om -> ( ta -> ( ch -> th ) ) ) $.
    $( Principle of Finite Induction (inference schema), using implicit
       substitutions.  The first three hypotheses establish the substitutions
       we need.  The last two are the basis and the induction step.  Theorem
       Schema 22 of [Suppes] p. 136.  (Contributed by NM, 29-Nov-2002.) $)
    finds2 $p |- ( x e. _om -> ( ta -> ph ) ) $=
      ( cv com wcel wi c0 wceq imbi2d elab cab csuc wss 0ex mpbir a2d vex sucex
      wral 3imtr4g rgen peano5 mp2an sseli abid sylib ) FMZNOUQEAPZFUAZOURNUSUQ
      QUSOZGMZUSOZVAUBZUSOZPZGNUINUSUCUTEBPZKURVFFQUDUQQRABEHSTUEVEGNVANOZECPZE
      DPZVBVDVGECDLUFURVHFVAGUGZUQVARACEISTURVIFVCVAVJUHUQVCRADEJSTUJUKGUSULUMU
      NURFUOUP $.
  $}

  ${
    $d x y $.  $d x ps $.  $d x ch $.  $d x th $.  $d y ph $.
    $( Substitutions. $)
    finds1.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    finds1.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    finds1.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    $( Basis. $)
    finds1.4 $e |- ps $.
    $( Induction step. $)
    finds1.5 $e |- ( y e. _om -> ( ch -> th ) ) $.
    $( Principle of Finite Induction (inference schema), using implicit
       substitutions.  The first three hypotheses establish the substitutions
       we need.  The last two are the basis and the induction step.  Theorem
       Schema 22 of [Suppes] p. 136.  (Contributed by NM, 22-Mar-2006.) $)
    finds1 $p |- ( x e. _om -> ph ) $=
      ( cv com wcel c0 wceq eqid a1i wi a1d finds2 mpi ) ELMNOOPZAOQABCDUCEFGHI
      BUCJRFLMNCDSUCKTUAUB $.
  $}

  ${
    $d x y z $.  $d y z ph $.
    findes.1 $e |- [. (/) / x ]. ph $.
    findes.2 $e |- ( x e. _om -> ( ph -> [. suc x / x ]. ph ) ) $.
    $( Finite induction with explicit substitution.  The first hypothesis is
       the basis and the second is the induction step.  Theorem Schema 22 of
       [Suppes] p. 136.  See ~ tfindes for the transfinite version.  This is an
       alternative for Metamath 100 proof #74.  (Contributed by Raph Levien,
       9-Jul-2003.) $)
    findes $p |- ( x e. _om -> ph ) $=
      ( vz vy wsb c0 wsbc csuc dfsbcq2 sbequ sbequ12r com wcel nfv nfim imbi12d
      cv wi nfs1v nfsbc1v weq eleq1w sbequ12 suceq sbceq1d chvarfv finds ) ABEG
      ABHIABFGZABFSZJZIZAEFBSZABEHKAEFBLABEULKAEBMCUNNOZAABUNJZIZTZTUKNOZUJUMTZ
      TBFUSUTBUSBPUJUMBABFUAABULUBQQBFUCZUOUSURUTBFNUDVAAUJUQUMABFUEVAABUPULUNU
      KUFUGRRDUHUI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Relations and functions (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The domain of a set is a set.  Corollary 6.8(2) of [TakeutiZaring] p. 26.
     (Contributed by NM, 7-Apr-1995.) $)
  dmexg $p |- ( A e. V -> dom A e. _V ) $=
    ( wcel cuni cvv cdm uniexg wss crn ssun1 dmrnssfld sstri ssexg mpan 3syl
    cun ) ABCADZECQDZECZAFZECZABGQEGTRHSUATTAIZPRTUBJAKLTREMNO $.

  $( The range of a set is a set.  Corollary 6.8(3) of [TakeutiZaring] p. 26.
     Similar to Lemma 3D of [Enderton] p. 41.  (Contributed by NM,
     31-Mar-1995.) $)
  rnexg $p |- ( A e. V -> ran A e. _V ) $=
    ( wcel cuni cvv crn uniexg wss cdm ssun2 dmrnssfld sstri ssexg mpan 3syl
    cun ) ABCADZECQDZECZAFZECZABGQEGTRHSUATAIZTPRTUBJAKLTREMNO $.

  ${
    dmexd.1 $e |- ( ph -> A e. V ) $.
    $( The domain of a set is a set.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    dmexd $p |- ( ph -> dom A e. _V ) $=
      ( wcel cdm cvv dmexg syl ) ABCEBFGEDBCHI $.
  $}

  ${
    fndmexd.1 $e |- ( ph -> F e. V ) $.
    fndmexd.2 $e |- ( ph -> F Fn D ) $.
    $( If a function is a set, its domain is a set.  (Contributed by Rohan
       Ridenour, 13-May-2024.) $)
    fndmexd $p |- ( ph -> D e. _V ) $=
      ( cdm cvv fndmd dmexd eqeltrrd ) ACGBHABCFIACDEJK $.
  $}

  $( If a mapping is a set, its domain is a set.  (Contributed by NM,
     27-Aug-2006.)  (Proof shortened by Andrew Salmon, 17-Sep-2011.) $)
  dmfex $p |- ( ( F e. C /\ F : A --> B ) -> A e. _V ) $=
    ( wf wcel cvv cdm wceq wi fdm dmexg eleq1 syl5ib syl impcom ) ABDEZDCFZAGFZ
    QDHZAIZRSJABDKRTGFUASDCLTAGMNOP $.

  $( The domain of a function is a set iff the function is a set.  (Contributed
     by AV, 8-Aug-2024.) $)
  fndmexb $p |- ( F Fn A -> ( A e. _V <-> F e. _V ) ) $=
    ( wfn cvv wcel fnex ex wa simpr simpl fndmexd impbid ) BACZADEZBDEZMNOADBFG
    MONMOHABDMOIMOJKGL $.

  $( The domain of a function is a set iff the function is a set.  (Contributed
     by AV, 8-Aug-2024.) $)
  fdmexb $p |- ( F : A --> B -> ( A e. _V <-> F e. _V ) ) $=
    ( wf wfn cvv wcel wb ffn fndmexb syl ) ABCDCAEAFGCFGHABCIACJK $.

  $( Alternate proof of ~ dmfex : shorter but using ~ ax-rep .  (Contributed by
     NM, 27-Aug-2006.)  (Proof shortened by Andrew Salmon, 17-Sep-2011.)
     (Proof shortened by AV, 23-Aug-2024.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  dmfexALT $p |- ( ( F e. C /\ F : A --> B ) -> A e. _V ) $=
    ( wcel cvv wf elex fdmexb biimprd mpan9 ) DCEDFEZABDGZAFEZDCHMNLABDIJK $.

  ${
    dmex.1 $e |- A e. _V $.
    $( The domain of a set is a set.  Corollary 6.8(2) of [TakeutiZaring]
       p. 26.  (Contributed by NM, 7-Jul-2008.) $)
    dmex $p |- dom A e. _V $=
      ( cvv wcel cdm dmexg ax-mp ) ACDAECDBACFG $.

    $( The range of a set is a set.  Corollary 6.8(3) of [TakeutiZaring] p. 26.
       Similar to Lemma 3D of [Enderton] p. 41.  (Contributed by NM,
       7-Jul-2008.) $)
    rnex $p |- ran A e. _V $=
      ( cvv wcel crn rnexg ax-mp ) ACDAECDBACFG $.
  $}

  $( The identity function is a proper class.  This means, for example, that we
     cannot use it as a member of the class of continuous functions unless it
     is restricted to a set, as in ~ idcn .  (Contributed by NM,
     1-Jan-2007.) $)
  iprc $p |- -. _I e. _V $=
    ( cid cvv wcel cdm dmi vprc eqneltri dmexg mto ) ABCADZBCJBBEFGABHI $.

  $( The existence of a restricted identity function, proved without using the
     Axiom of Replacement (unlike ~ resfunexg ).  (Contributed by NM,
     13-Jan-2007.)  (Proof shortened by Peter Mazsa, 2-Oct-2022.) $)
  resiexg $p |- ( A e. V -> ( _I |` A ) e. _V ) $=
    ( wcel cid cres cxp wss cvv idssxp sqxpexg ssexg sylancr ) ABCDAEZAAFZGNHCM
    HCAIABJMNHKL $.

  $( The image of a set is a set.  Theorem 3.17 of [Monk1] p. 39.  (Contributed
     by NM, 24-Jul-1995.) $)
  imaexg $p |- ( A e. V -> ( A " B ) e. _V ) $=
    ( wcel cima crn wss cvv imassrn rnexg ssexg sylancr ) ACDABEZAFZGNHDMHDABIA
    CJMNHKL $.

  ${
    imaex.1 $e |- A e. _V $.
    $( The image of a set is a set.  Theorem 3.17 of [Monk1] p. 39.
       (Contributed by JJ, 24-Sep-2021.) $)
    imaex $p |- ( A " B ) e. _V $=
      ( cvv wcel cima imaexg ax-mp ) ADEABFDECABDGH $.
  $}

  ${
    $d x y A $.  $d x y R $.  $d x V $.
    $( Any set relation is set-like.  (Contributed by Mario Carneiro,
       22-Jun-2015.) $)
    exse2 $p |- ( R e. V -> R Se A ) $=
      ( vy vx wcel cv wbr crab cvv wral wse cdm wss wa cab df-rab breldm adantl
      vex abssi eqsstri dmexg ssexg sylancr ralrimivw df-se sylibr ) BCFZDGZEGZ
      BHZDAIZJFZEAKABLUIUNEAUIUMBMZNUOJFUNUMUJAFZULOZDPUOULDAQUQDUOULUJUOFUPUJU
      KBDTETRSUAUBBCUCUMUOJUDUEUFEDABUGUH $.
  $}

  $( If a Cartesian product is a set, one of its components must be a set.
     (Contributed by NM, 27-Aug-2006.) $)
  xpexr $p |- ( ( A X. B ) e. C -> ( A e. _V \/ B e. _V ) ) $=
    ( cxp wcel cvv wn wi wceq 0ex eleq1 mpbiri pm2.24d a1d wne crn rnexg eleq1d
    c0 rnxp syl5ib a1dd pm2.61ine orrd ) ABDZCEZAFEZBFEZUFUGGZUHHZHASASIZUJUFUK
    UGUHUKUGSFEJASFKLMNASOZUFUHUIUFUEPZFEULUHUECQULUMBFABTRUAUBUCUD $.

  $( If a nonempty Cartesian product is a set, so are both of its components.
     (Contributed by NM, 27-Aug-2006.) $)
  xpexr2 $p |- ( ( ( A X. B ) e. C /\ ( A X. B ) =/= (/) ) ->
               ( A e. _V /\ B e. _V ) ) $=
    ( cxp c0 wne wcel wa cvv xpnz cdm wceq dmxp adantl adantr eqeltrrd crn rnxp
    dmexg rnexg anim12dan ancom2s sylan2br ) ABDZEFUDCGZAEFZBEFZHAIGZBIGZHZABJU
    EUGUFUJUEUGUHUFUIUEUGHUDKZAIUGUKALUEABMNUEUKIGUGUDCSOPUEUFHUDQZBIUFULBLUEAB
    RNUEULIGUFUDCTOPUAUBUC $.

  $( A condition where the converse of ~ xpex holds as well.  Corollary 6.9(2)
     in [TakeutiZaring] p. 26.  (Contributed by Andrew Salmon, 13-Nov-2011.) $)
  xpexcnv $p |- ( ( B =/= (/) /\ ( A X. B ) e. _V ) -> A e. _V ) $=
    ( c0 wne cxp cvv wcel cdm dmexg dmxp eleq1d syl5ib imp ) BCDZABEZFGZAFGZPOH
    ZFGNQOFINRAFABJKLM $.

  ${
    $d x A $.  $d x R $.  $d x V $.
    $( If the relation in a strict order is a set, then the base field is also
       a set.  (Contributed by Mario Carneiro, 27-Apr-2015.) $)
    soex $p |- ( ( R Or A /\ R e. V ) -> A e. _V ) $=
      ( vx wor wcel wa cvv c0 wceq simpr 0ex eqeltrdi wne cv wex cun unexg wss
      n0 csn cdm snex dmexg rnexg syl2anc sylancr ad2antlr cdif sossfld adantlr
      crn ssundif sylibr ssexd ex exlimdv imp sylan2b pm2.61dane ) ABEZBCFZGZAH
      FZAIVCAIJZGAIHVCVEKLMAINVCDOZAFZDPZVDDATVCVHVDVCVGVDDVCVGVDVCVGGZAVFUAZBU
      BZBULZQZQZHVBVNHFZVAVGVBVJHFVMHFZVOVFUCVBVKHFVLHFVPBCUDBCUEVKVLHHRUFVJVMH
      HRUGUHVIAVJUIVMSZAVNSVAVGVQVBAVFBUJUKAVJVMUMUNUOUPUQURUSUT $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Membership in a Cartesian product.  This version requires no quantifiers
       or dummy variables.  See also ~ elxp5 , ~ elxp6 , and ~ elxp7 .
       (Contributed by NM, 17-Feb-2004.) $)
    elxp4 $p |- ( A e. ( B X. C ) <-> ( A = <. U. dom { A } , U. ran { A } >.
                 /\ ( U. dom { A } e. B /\ U. ran { A } e. C ) ) ) $=
      ( vx vy wcel cv cop wceq wa wex csn cdm cuni crn sneq unieqd vex pm4.71ri
      eqtr2di elxp rneqd op2nda anbi1i anass bitri exbii snex rnex uniex eqeq2d
      opeq2 eleq1 anbi2d anbi12d ceqsexv dmeqd op1sta 3bitri dmex opeq1 anbi1d
      cxp ) ABCVCFADGZEGZHZIZVDBFZVECFZJZJZEKZDKVDALZMZNZIZAVDVMOZNZHZIZVHVRCFZ
      JZJZJZDKAVOVRHZIZVOBFZWAJZJZDEABCUAVLWDDVLWCVPVTJZWBJWDVLVEVRIZVKJZEKWCVK
      WLEVKWKVGJZVJJWLVGWMVJVGWKVGVRVFLZOZNVEVGVQWOVGVMWNAVFPUBQVDVEDRZERUCTSUD
      WKVGVJUEUFUGVKWCEVRVQVMAUHZUIUJZWKVGVTVJWBWKVFVSAVEVRVDULUKWKVIWAVHVEVRCU
      MUNUOUPUFVTWJWBVTVPVTVOVSLZMZNVDVTVNWTVTVMWSAVSPUQQVDVRWPWRURTSUDVPVTWBUE
      USUGWCWIDVOVNVMWQUTUJVPVTWFWBWHVPVSWEAVDVOVRVAUKVPVHWGWAVDVOBUMVBUOUPUS
      $.

    $( Membership in a Cartesian product requiring no quantifiers or dummy
       variables.  Provides a slightly shorter version of ~ elxp4 when the
       double intersection does not create class existence problems (caused by
       ~ int0 ).  (Contributed by NM, 1-Aug-2004.) $)
    elxp5 $p |- ( A e. ( B X. C ) <-> ( A = <. |^| |^| A , U. ran { A } >.
                 /\ ( |^| |^| A e. B /\ U. ran { A } e. C ) ) ) $=
      ( vx vy wcel cv cop wceq wa wex cint csn crn cuni eqtr2di pm4.71ri anbi1i
      vex anass elxp sneq rneqd unieqd op2nda bitri exbii snex rnex uniex opeq2
      cxp eqeq2d eleq1 anbi2d anbi12d ceqsexv inteqd op1stb 3bitri cvv eqvisset
      inteq adantr exlimiv elex ad2antrl opeq1 anbi1d ceqsexgv pm5.21nii ) ABCU
      LFADGZEGZHZIZVLBFZVMCFZJZJZEKZDKVLALZLZIZAVLAMZNZOZHZIZVPWFCFZJZJZJZDKZAW
      BWFHZIZWBBFZWIJZJZDEABCUAVTWLDVTWKWCWHJZWJJWLVTVMWFIZVSJZEKWKVSXAEVSWTVOJ
      ZVRJXAVOXBVRVOWTVOWFVNMZNZOVMVOWEXDVOWDXCAVNUBUCUDVLVMDSZESUEPQRWTVOVRTUF
      UGVSWKEWFWEWDAUHUIUJZWTVOWHVRWJWTVNWGAVMWFVLUKUMWTVQWIVPVMWFCUNUOUPUQUFWH
      WSWJWHWCWHWBWGLZLVLWHWAXGAWGVCURVLWFXEXFUSPQRWCWHWJTUTUGWMWBVAFZWRWLXHDWC
      XHWKDWBVBVDVEWPXHWOWIWBBVFVGWKWRDWBVAWCWHWOWJWQWCWGWNAVLWBWFVHUMWCVPWPWIV
      LWBBUNVIUPVJVKUT $.
  $}

  $( The converse of a set is a set.  Corollary 6.8(1) of [TakeutiZaring]
     p. 26.  (Contributed by NM, 17-Mar-1998.) $)
  cnvexg $p |- ( A e. V -> `' A e. _V ) $=
    ( wcel ccnv cdm crn cxp wss cvv wrel relcnv relssdmrn ax-mp df-rn eqeltrrid
    rnexg dfdm4 dmexg xpexd ssexg sylancr ) ABCZADZUCEZUCFZGZHZUFICUCICUCJUGAKU
    CLMUBUDUEIIUBUDAFIANABPOUBUEAEIAQABROSUCUFITUA $.

  ${
    cnvex.1 $e |- A e. _V $.
    $( The converse of a set is a set.  Corollary 6.8(1) of [TakeutiZaring]
       p. 26.  (Contributed by NM, 19-Dec-2003.) $)
    cnvex $p |- `' A e. _V $=
      ( cvv wcel ccnv cnvexg ax-mp ) ACDAECDBACFG $.
  $}

  $( A relation is a set iff its converse is a set.  (Contributed by FL,
     3-Mar-2007.) $)
  relcnvexb $p |- ( Rel R -> ( R e. _V <-> `' R e. _V ) ) $=
    ( wrel cvv wcel ccnv cnvexg wceq wi dfrel2 eleq1 syl5ib sylbi impbid2 ) ABZ
    ACDZAEZCDZACFNPEZAGZQOHAIQRCDSOPCFRACJKLM $.

  $( If the range of a 1-1 onto function is a set, the function itself is a
     set.  (Contributed by AV, 2-Jun-2019.) $)
  f1oexrnex $p |- ( ( F : A -1-1-onto-> B /\ B e. V ) -> F e. _V ) $=
    ( wf1o wcel wa cvv ccnv wf f1ocnv f1of 3syl fex sylancom wrel f1orel adantr
    simpl wb relcnvexb syl mpbird ) ABCEZBDFZGZCHFZCIZHFZUDUEBAUHJZUIUFUDBAUHEU
    JUDUESABCKBAUHLMBADUHNOUFCPZUGUITUDUKUEABCQRCUAUBUC $.

  ${
    $d A f g $.  $d B f g $.
    $( There is a one-to-one onto function from a set to a second set iff there
       is a one-to-one onto function from the second set to the first set.
       (Contributed by Alexander van der Vekens, 30-Sep-2018.) $)
    f1oexbi $p |- ( E. f f : A -1-1-onto-> B <-> E. g g : B -1-1-onto-> A ) $=
      ( cv wf1o wex ccnv cvv wcel vex cnvex f1ocnv f1oeq1 spcegv exlimiv impbii
      mpsyl ) ABCEZFZCGZBADEZFZDGZTUDCSHZIJTBAUEFZUDSCKLABSMUCUFDUEIBAUBUENORPU
      CUADUBHZIJUCABUGFZUAUBDKLBAUBMTUHCUGIABSUGNORPQ $.
  $}

  $( The composition of two sets is a set.  (Contributed by NM,
     19-Mar-1998.) $)
  coexg $p |- ( ( A e. V /\ B e. W ) -> ( A o. B ) e. _V ) $=
    ( wcel wa ccom cdm crn cxp wss cvv cossxp dmexg rnexg xpexg syl2anr sylancr
    ssexg ) ACEZBDEZFABGZBHZAIZJZKUELEZUBLEABMUAUCLEUDLEUFTBDNACOUCUDLLPQUBUELS
    R $.

  ${
    coex.1 $e |- A e. _V $.
    coex.2 $e |- B e. _V $.
    $( The composition of two sets is a set.  (Contributed by NM,
       15-Dec-2003.) $)
    coex $p |- ( A o. B ) e. _V $=
      ( cvv wcel ccom coexg mp2an ) AEFBEFABGEFCDABEEHI $.
  $}

  ${
    $d f g x y z w v A $.
    $( The union of a chain (with respect to inclusion) of single-rooted sets
       is single-rooted.  (See ~ funcnv for "single-rooted" definition.)
       (Contributed by NM, 11-Aug-2004.) $)
    funcnvuni $p |- ( A. f e. A ( Fun `' f /\ A. g e. A ( f C_ g \/ g C_ f ) )
                    -> Fun `' U. A ) $=
      ( vy vx vz vw vv cv ccnv wfun wss wo wral wa wceq wrex wi wal weq orbi12d
      cuni cnveq eqeq2d cbvrexvw funeqd sseq1 sseq2 ralbidv anbi12d rspcv funeq
      cab wcel biimprcd cnvss orim12i wb sseq12 ancoms syl5ibrcom expd rexlimdv
      syl6com com23 alrimdv anim12ii syl5bi alrimiv df-ral vex eqeq1 elab ralab
      rexbidv anbi2i imbi12i albii bitr2i sylib fununi ciun cnvuni cnvex dfiun2
      syl eqtri funeqi sylibr ) BIZJZKZWJCIZLZWMWJLZMZCANZOZBANZDIZEIZJZPZEAQZD
      UMZUBZKZAUBJZKWSFIZKZXIGIZLZXKXILZMZGXENZOZFXENZXGWSXIXBPZEAQZXJXKXBPZEAQ
      ZXNRZGSZOZRZFSZXQWSYEFXSXIHIZJZPZHAQWSYDXRYIEHAEHTXBYHXIXAYGUCUDUEWSYIYDH
      AYGAUNWSYHKZYGWMLZWMYGLZMZCANZOZYIYDRWRYOBYGABHTZWLYJWQYNYPWKYHWJYGUCUFYP
      WPYMCAYPWNYKWOYLWJYGWMUGWJYGWMUHUAUIUJUKYJYIXJYNYCYIXJYJXIYHULUOYNYIYBGYN
      YAYIXNYNXTYIXNRZEAXAAUNYNYGXALZXAYGLZMZXTYQRYMYTCXAACETYKYRYLYSWMXAYGUHWM
      XAYGUGUAUKYTXTYIXNYTXNXTYIOZYHXBLZXBYHLZMYRUUBYSUUCYGXAUPXAYGUPUQUUAXLUUB
      XMUUCYIXTXLUUBURXIYHXKXBUSUTXKXBXIYHUSUAVAVBVDVCVEVFVGVDVCVHVIXQXIXEUNZXP
      RZFSYFXPFXEVJUUEYEFUUDXSXPYDXDXSDXIFVKDFTXCXREAWTXIXBVLVOVMXOYCXJXDYAXNGD
      DGTXCXTEAWTXKXBVLVOVNVPVQVRVSVTXEFGWAWFXHXFXHEAXBWBXFEAWCEDAXBXAEVKWDWEWG
      WHWI $.

    $( The union of a chain (with respect to inclusion) of one-to-one functions
       is a one-to-one function.  (Contributed by NM, 11-Aug-2004.) $)
    fun11uni $p |- ( A. f e. A ( ( Fun f /\ Fun `' f ) /\
                   A. g e. A ( f C_ g \/ g C_ f ) ) ->
                   ( Fun U. A /\ Fun `' U. A ) ) $=
      ( cv wfun ccnv wa wo wral cuni simpl anim1i ralimi fununi simpr funcnvuni
      wss syl jca ) BDZEZTFEZGZTCDZQUDTQHCAIZGZBAIZAJZEZUHFEZUGUAUEGZBAIUIUFUKB
      AUCUAUEUAUBKLMABCNRUGUBUEGZBAIUJUFULBAUCUBUEUAUBOLMABCPRS $.
  $}

  $( A function with bounded domain and range is a set.  This version of ~ fex
     is proven without the Axiom of Replacement ~ ax-rep , but depends on
     ~ ax-un , which is not required for the proof of ~ fex .  (Contributed by
     Mario Carneiro, 24-Jun-2015.) $)
  fex2 $p |- ( ( F : A --> B /\ A e. V /\ B e. W ) -> F e. _V ) $=
    ( wf wcel w3a cxp cvv xpexg 3adant1 wss fssxp 3ad2ant1 ssexd ) ABCFZADGZBEG
    ZHCABIZJRSTJGQABDEKLQRCTMSABCNOP $.

  ${
    $d A x $.  $d B x $.
    fabexg.1 $e |- F = { x | ( x : A --> B /\ ph ) } $.
    $( Existence of a set of functions.  (Contributed by Paul Chapman,
       25-Feb-2008.) $)
    fabexg $p |- ( ( A e. C /\ B e. D ) -> F e. _V ) $=
      ( wcel wa cxp cvv cpw xpexg pwexg wss cv cab wf fssxp velpw sylibr anim1i
      ss2abi eqsstri ssab2 sstri ssexg mpan 3syl ) CEIDFIJCDKZLIUKMZLIZGLIZCDEF
      NUKLOGULPUMUNGBQZULIZAJZBRZULGCDUOSZAJZBRURHUTUQBUSUPAUSUOUKPUPCDUOTBUKUA
      UBUCUDUEABULUFUGGULLUHUIUJ $.
  $}

  ${
    $d x A $.  $d x B $.
    fabex.1 $e |- A e. _V $.
    fabex.2 $e |- B e. _V $.
    fabex.3 $e |- F = { x | ( x : A --> B /\ ph ) } $.
    $( Existence of a set of functions.  (Contributed by NM, 3-Dec-2007.) $)
    fabex $p |- F e. _V $=
      ( cvv wcel fabexg mp2an ) CIJDIJEIJFGABCDIIEHKL $.
  $}

  ${
    $d A f $.  $d B f $.
    f1oabexg.1 $e |- F = { f | ( f : A -1-1-onto-> B /\ ph ) } $.
    $( The class of all 1-1-onto functions mapping one set to another is a set.
       (Contributed by Paul Chapman, 25-Feb-2008.) $)
    f1oabexg $p |- ( ( A e. C /\ B e. D ) -> F e. _V ) $=
      ( wcel wa cv wf1o cab cvv wf wss f1of anim1i ss2abi eqid sylancr eqeltrid
      fabexg ssexg ) BDICEIJZGBCFKZLZAJZFMZNHUEUIBCUFOZAJZFMZPULNIUINIUHUKFUGUJ
      ABCUFQRSAFBCDEULULTUCUIULNUDUAUB $.
  $}

  ${
    $d A v x z $.  $d A v y $.  $d B v y $.  $d B z $.  $d C v x $.  $d D v $.
    $d S v $.  $d u v y $.  $d x y $.
    fiun.1 $e |- ( x = y -> B = C ) $.
    $( Lemma for ~ fiun and ~ f1iun .  Formerly part of ~ f1iun .  (Contributed
       by AV, 6-Oct-2023.) $)
    fiunlem $p |- ( ( ( B : D --> S /\ A. y e. A ( B C_ C \/ C C_ B ) )
                    /\ u = B ) -> A. v e. { z | E. x e. A z = B }
                                     ( u C_ v \/ v C_ u ) ) $=
      ( wss wo wa cv wceq wrex weq sseq12 sylan2b wf wral cab vex eqeq1 rexbidv
      wcel elab eqeq2d cbvrexvw r19.29 wi wb orbi12d biimprcd expdimp rexlimivw
      ancoms imp sylan an32s adantlll ralrimiva ) IJGUAZGHLZHGLZMZBFUBZNEOZGPZN
      ZVIDOZLZVLVILZMZDCOZGPZAFQZCUCZVLVSUGVKVLGPZAFQZVOVRWACVLDUDCDRVQVTAFVPVL
      GUEUFUHWAVKVLHPZBFQZVOVTWBABFABRGHVLKUIUJVHVJWCVOVDVHWCVJVOVHWCNVGWBNZBFQ
      ZVJVOVGWBBFUKWEVJVOWDVJVOULBFVGWBVJVOWBVJNZVOVGWFVMVEVNVFVJWBVMVEUMVIGVLH
      SURVLHVIGSUNUOUPUQUSUTVAVBTTVC $.

    $d A u x z $.  $d B u $.  $d C u $.  $d D u $.  $d S u x $.
    fiun.2 $e |- B e. _V $.
    $( The union of a chain (with respect to inclusion) of functions is a
       function.  Analogous to ~ f1iun .  (Contributed by AV, 6-Oct-2023.) $)
    fiun $p |- ( A. x e. A ( B : D --> S /\ A. y e. A ( B C_ C \/ C C_ B ) )
                 -> U_ x e. A B : U_ x e. A D --> S ) $=
      ( vz vu vv wss wral wa ciun wfun cv wrex wcel wf wo wfn crn cdm wceq cuni
      cab vex weq eqeq1 rexbidv elab r19.29 nfv nfre1 nfab nfralw nfan wi funeq
      wb bianir syl2an adantlr fiunlem jca a1i rexlimi sylan2b ralrimiva fununi
      ffun syl dfiun2 funeqi sylibr cop wex fdm eleq2d bitr3id adantr ralrexbid
      eldm2 eliun exbii rexcom4 3bitr4i 3bitr4g eqrdv df-fn sylanbrc frn ralimi
      rniun iunss eqsstrid df-f ) FGDUAZDEMEDMUBBCNZOZACNZACDPZACFPZUCZXDUDZGMX
      EGXDUAXCXDQZXDUEZXEUFXFXCJRZDUFZACSZJUHZUGZQZXHXCKRZQZXPLRZMXRXPMUBZLXMNZ
      OZKXMNXOXCYAKXMXPXMTXCXPDUFZACSZYAXLYCJXPKUIZJKUJXKYBACXJXPDUKULUMXCYCOXB
      YBOZACSYAXBYBACUNYEYAACXQXTAXQAUOXSALXMXLAJXKACUPUQXSAUOURUSYEYAUTARCTYEX
      QXTWTYBXQXAWTDQZXQYFVBXQYBFGDVMXPDVAYFXQVCVDVEABJLKCDEFGHVFVGVHVIVNVJVKXM
      KLVLVNXDXNAJCDIVOVPVQXCKXIXEXCXPXRVRZDTZLVSZACSZXPFTZACSXPXITZXPXETXBYIYK
      ACWTYIYKVBXAYIXPDUEZTWTYKLXPDYDWEWTYMFXPFGDVTWAWBWCWDYGXDTZLVSYHACSZLVSYL
      YJYNYOLAYGCDWFWGLXPXDYDWEYHALCWHWIAXPCFWFWJWKXDXEWLWMXCXGACDUDZPZGACDWPXC
      YPGMZACNYQGMXBYRACWTYRXAFGDWNWCWOACYPGWQVQWRXEGXDWSWM $.

    $( The union of a chain (with respect to inclusion) of one-to-one functions
       is a one-to-one function.  (Contributed by Mario Carneiro, 20-May-2013.)
       (Revised by Mario Carneiro, 24-Jun-2015.)  (Proof shortened by AV,
       5-Nov-2023.) $)
    f1iun $p |- ( A. x e. A ( B : D -1-1-> S /\
                       A. y e. A ( B C_ C \/ C C_ B ) ) ->
                     U_ x e. A B : U_ x e. A D -1-1-> S ) $=
      ( vz vu vv wss wral wa wfun wceq cv wrex wcel wf1 wo ciun wf ccnv wfn crn
      cdm cab cuni vex eqeq1 rexbidv elab r19.29 nfv nfre1 nfab nfralw wi f1eq1
      nfan biimparc df-f1 ffun anim1i sylbi syl adantlr f1f fiunlem sylanl1 jca
      a1i rexlimi sylan2b ralrimiva fun11uni simpld dfiun2 funeqi sylibr cop wb
      eldm2 eleq2d bitr3id adantr ralrexbid eliun exbii rexcom4 3bitr4i 3bitr4g
      f1dm eqrdv df-fn sylanbrc rniun frnd ralimi iunss eqsstrid simprd cnveqi
      wex df-f ) FGDUAZDEMEDMUBBCNZOZACNZACFUCZGACDUCZUDZXMUEZPZXLGXMUAXKXMXLUF
      ZXMUGZGMXNXKXMPZXMUHZXLQXQXKJRZDQZACSZJUIZUJZPZXSXKYFYEUEZPZXKKRZPZYIUEPZ
      OZYILRZMYMYIMUBZLYDNZOZKYDNYFYHOXKYPKYDYIYDTXKYIDQZACSZYPYCYRJYIKUKZYAYIQ
      YBYQACYAYIDULUMUNXKYROXJYQOZACSYPXJYQACUOYTYPACYLYOAYLAUPYNALYDYCAJYBACUQ
      URYNAUPUSVBYTYPUTARCTYTYLYOXHYQYLXIXHYQOFGYIUAZYLYQUUAXHFGYIDVAVCUUAFGYIU
      DZYKOYLFGYIVDUUBYJYKFGYIVEVFVGVHVIXHFGDUDXIYQYOFGDVJZABJLKCDEFGHVKVLVMVNV
      OVHVPVQYDKLVRVHZVSXMYEAJCDIVTZWAWBXKKXTXLXKYIYMWCZDTZLXFZACSZYIFTZACSYIXT
      TZYIXLTXJUUHUUJACXHUUHUUJWDXIUUHYIDUHZTXHUUJLYIDYSWEXHUULFYIFGDWOWFWGWHWI
      UUFXMTZLXFUUGACSZLXFUUKUUIUUMUUNLAUUFCDWJWKLYIXMYSWEUUGALCWLWMAYICFWJWNWP
      XMXLWQWRXKXRACDUGZUCZGACDWSXKUUOGMZACNUUPGMXJUUQACXHUUQXIXHFGDUUCWTWHXAAC
      UUOGXBWBXCXLGXMXGWRXKYHXPXKYFYHUUDXDXOYGXMYEUUEXEWAWBXLGXMVDWR $.
  $}

  ${
    $d F i $.  $d I i $.  $d J i $.
    fviunfun.u $e |- U = U_ i e. I ( F ` i ) $.
    $( The function value of an indexed union is the value of one of the
       indexed functions.  (Contributed by AV, 4-Nov-2023.) $)
    fviunfun $p |- ( ( Fun U /\ J e. I /\ X e. dom ( F ` J ) )
                     -> ( U ` X ) = ( ( F ` J ) ` X ) ) $=
      ( wcel wfun cfv wss cdm wceq ciun fveq2 ssiun2s sseqtrrdi funssfv syl3an2
      cv ) EDHZAIECJZAKFUBLHFAJFUBJMUAUBBDBTZCJZNABDUDEUBUCECOPGQFAUBRS $.
  $}

  ${
    $d x F $.  $d x A $.  $d x B $.
    f11o.1 $e |- F e. _V $.
    $( Relationship between a mapping and an onto mapping.  Figure 38 of
       [Enderton] p. 145.  (Contributed by NM, 10-May-1998.) $)
    ffoss $p |- ( F : A --> B <-> E. x ( F : A -onto-> x /\ x C_ B ) ) $=
      ( wf cv wfo wss wa wex crn wfn df-f dffn4 anbi1i bitri rnex wceq foeq3
      sseq1 anbi12d spcev sylbi fof fss sylan exlimiv impbii ) BCDFZBAGZDHZUKCI
      ZJZAKZUJBDLZDHZUPCIZJZUOUJDBMZURJUSBCDNUTUQURBDOPQUNUSAUPDERUKUPSULUQUMUR
      UKUPBDTUKUPCUAUBUCUDUNUJAULBUKDFUMUJBUKDUEBUKCDUFUGUHUI $.

    $( Relationship between one-to-one and one-to-one onto function.
       (Contributed by NM, 4-Apr-1998.) $)
    f11o $p |- ( F : A -1-1-> B <-> E. x ( F : A -1-1-onto-> x /\ x C_ B ) ) $=
      ( wf ccnv wfun wa cv wfo wss wex wf1 wf1o ffoss anbi1i df-f1 dff1o3 bitri
      an32 exbii 19.41v 3bitr4i ) BCDFZDGHZIBAJZDKZUGCLZIZAMZUFIZBCDNBUGDOZUIIZ
      AMZUEUKUFABCDEPQBCDRUOUJUFIZAMULUNUPAUNUHUFIZUIIUPUMUQUIBUGDSQUHUFUIUATUB
      UJUFAUCTUD $.
  $}

  $( Alternate proof of ~ resfunexg , shorter but requiring ~ ax-pow and
     ~ ax-un .  (Contributed by NM, 7-Apr-1995.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  resfunexgALT $p |- ( ( Fun A /\ B e. C ) -> ( A |` B ) e. _V ) $=
    ( wfun wcel cres cdm cvv crn cxp dmresexg adantl df-ima funimaexg eqeltrrid
    wa cima jca xpexg wss wrel relres relssdmrn ax-mp ssexg mpan 3syl ) ADZBCEZ
    PZABFZGZHEZUKIZHEZPULUNJZHEZUKHEZUJUMUOUIUMUHABCKLUJUNABQHABMABCNORULUNHHSU
    KUPTZUQURUKUAUSABUBUKUCUDUKUPHUEUFUG $.

  $( Existence of a composition when the first member is a function.
     (Contributed by NM, 8-Oct-2007.) $)
  cofunexg $p |- ( ( Fun A /\ B e. C ) -> ( A o. B ) e. _V ) $=
    ( wfun wcel wa ccom cdm crn cxp wss wrel relco relssdmrn ax-mp dmcoss ssexg
    cvv sylancr rnexg dmexg adantl cres rnco resfunexg sylan2 eqeltrid xpexd
    syl ) ADZBCEZFZABGZUMHZUMIZJZKZUPREUMREUMLUQABMUMNOULUNUORRUKUNREZUJUKUNBHZ
    KUSREURABPBCUAUNUSRQSUBULUOABIZUCZIZRABUDULVAREZVBREUKUJUTREVCBCTAUTRUEUFVA
    RTUIUGUHUMUPRQS $.

  $( Existence of a composition when the second member is one-to-one.
     (Contributed by NM, 8-Oct-2007.) $)
  cofunex2g $p |- ( ( A e. V /\ Fun `' B ) -> ( A o. B ) e. _V ) $=
    ( ccnv wfun wcel ccom cvv wa cnvexg cofunexg sylan2 cnvco cocnvcnv2 3eqtrri
    cocnvcnv1 eqeltrid syl ancoms ) BDZEZACFZABGZHFZUAUBITADZGZHFZUDUBUAUEHFUGA
    CJTUEHKLUGUCUFDZHUHUEDZTDGUIBGUCTUEMUIBNABPOUFHJQRS $.

  $( Alternate proof of ~ fnex , derived using the Axiom of Replacement in the
     form of ~ funimaexg .  This version uses ~ ax-pow and ~ ax-un , whereas
     ~ fnex does not.  (Contributed by NM, 14-Aug-1994.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  fnexALT $p |- ( ( F Fn A /\ A e. B ) -> F e. _V ) $=
    ( wfn wcel wa cdm crn cxp wss cvv fnrel relssdmrn syl adantr eleq1d biimpar
    wrel cima syl2anc fndm fnfun funimaexg sylan imadmrn imaeq2d eqtr3id syldan
    wfun xpexg ssexg ) CADZABEZFZCCGZCHZIZJZUQKEZCKEULURUMULCRURACLCMNOUNUOBEZU
    PKEZUSULUTUMULUOABACUAZPQULUMCASZKEZVAULCUIUMVDACUBCABUCUDULVAVDULUPVCKULUP
    CUOSVCCUEULUOACVBUFUGPQUHUOUPBKUJTCUQKUKT $.

  $( Weak version of ~ funex that holds without ~ ax-rep .  If the domain and
     codomain of a function exist, so does the function.  (Contributed by Rohan
     Ridenour, 13-Aug-2023.) $)
  funexw $p |- ( ( Fun F /\ dom F e. B /\ ran F e. C ) -> F e. _V ) $=
    ( wfun cdm wcel crn w3a cxp cvv xpexg 3adant1 wss wrel funrel relssdmrn syl
    3ad2ant1 ssexd ) CDZCEZAFZCGZBFZHCUAUCIZJUBUDUEJFTUAUCABKLTUBCUEMZUDTCNUFCO
    CPQRS $.

  ${
    $d x A $.  $d x C $.
    mptexw.1 $e |- A e. _V $.
    mptexw.2 $e |- C e. _V $.
    mptexw.3 $e |- A. x e. A B e. C $.
    $( Weak version of ~ mptex that holds without ~ ax-rep .  If the domain and
       codomain of a function given by maps-to notation are sets, the function
       is a set.  (Contributed by Rohan Ridenour, 13-Aug-2023.) $)
    mptexw $p |- ( x e. A |-> B ) e. _V $=
      ( cmpt wfun cdm cvv wcel crn funmpt eqid dmmptss ssexi wral wss rnmptss
      ax-mp funexw mp3an ) ABCHZIUDJZKLUDMZKLUDKLABCNUEBEABCUDUDOZPQUFDFCDLABRU
      FDSGABCDUDUGTUAQKKUDUBUC $.
  $}

  $( If the domain of a function exists, so does its range.  Part of Theorem
     4.15(v) of [Monk1] p. 46.  This theorem is derived using the Axiom of
     Replacement in the form of ~ funex .  (Contributed by NM, 11-Nov-1995.) $)
  funrnex $p |- ( dom F e. B -> ( Fun F -> ran F e. _V ) ) $=
    ( wfun cdm wcel cvv crn funex ex rnexg syl6com ) BCZBDAEZBFEZBGFELMNABHIBFJ
    K $.

  ${
    $d ph w $.  $d x y z w $.
    $( A version of the Axiom of Replacement.  Normally ` ph ` would have free
       variables ` x ` and ` y ` .  Axiom 6 of [Kunen] p. 12.  The Separation
       Scheme ~ ax-sep cannot be derived from this version and must be stated
       as a separate axiom in an axiom system (such as Kunen's) that uses this
       version in place of our ~ ax-rep .  (Contributed by NM, 10-Oct-2003.) $)
    zfrep6 $p |- ( A. x e. z E! y ph -> E. w A. x e. z E. y e. w ph ) $=
      ( cv wral wrex wcel wa cvv wex cab wceq sylibr vex wi wal wmo 3imtr4i weu
      copab crn wfun crab 19.42v abbii dmopab df-rab 3eqtr4i euex ralimi rabid2
      cdm eqtr4id eqeltrdi eumo imim2i moanimv alimi funopab funrnex sylc nfra1
      df-ral eleq2d cop opabidw opelrn sylbir impac eximi abeq2i df-rex syl6bir
      ex ralrimi nfopab1 nfrn nfeq2 nfcv nfopab2 rexeqf ralbid spcedv ) ACUAZBD
      FZGZACEFZHZBWGGACBFZWGIZAJZBCUBZUCZHZBWGGEKWOWHWNUNZKIWNUDZWOKIWHWQWGKWHW
      QACLZBWGUEZWGWMCLZBMWLWSJZBMWQWTXAXBBWLACUFUGWMBCUHZWSBWGUIUJWHWSBWGGWGWT
      NWFWSBWGACUKULWSBWGUMOUOZDPUPWLWFQZBRWMCSZBRWHWRXEXFBXEWLACSZQXFWFXGWLACU
      QURWLACUSOUTWFBWGVEWMBCVATKWNVBVCWHWPBWGWFBWGVDWHWLWKWQIZWPWHWQWGWKXDVFXA
      CFZWOIZAJZCLXHWPWMXKCWLAXJWLAXJWMWKXIVGWNIXJWMBCVHWKXIWNBPCPVIVJVPVKVLXAB
      WQXCVMACWOVNTVOVQWIWONWJWPBWGBWIWOBWNWMBCVRVSVTACWIWOCWIWACWNWMBCWBVSWCWD
      WE $.
  $}

  $( If the domain of an onto function exists, so does its codomain.
     (Contributed by NM, 23-Jul-2004.) $)
  fornex $p |- ( A e. C -> ( F : A -onto-> B -> B e. _V ) ) $=
    ( wfo wcel cvv cdm crn wfun fofun funrnex syl5com fdmd eleq1d 3imtr3d com12
    fof forn ) ABDEZACFZBGFZTDHZCFZDIZGFZUAUBTDJUDUFABDKCDLMTUCACTABDABDRNOTUEB
    GABDSOPQ $.

  $( If the codomain of a one-to-one function exists, so does its domain.  This
     theorem is equivalent to the Axiom of Replacement ~ ax-rep .  (Contributed
     by NM, 4-Sep-2004.) $)
  f1dmex $p |- ( ( F : A -1-1-> B /\ B e. C ) -> A e. _V ) $=
    ( wf1 wcel cvv crn ccnv wfo wss f1f frnd ssexg sylan wf1o f1cnv f1ofo syl
    ex fornex syl6ci imp ) ABDEZBCFZAGFZUDUEDHZGFZUGADIZJZUFUDUEUHUDUGBKUEUHUDA
    BDABDLMUGBCNOTUDUGAUIPUJABDQUGAUIRSUGAGUIUAUBUC $.

  $( The range of a 1-1 onto function is a set iff its domain is a set.
     (Contributed by AV, 21-Mar-2019.) $)
  f1ovv $p |- ( F : A -1-1-onto-> B -> ( A e. _V <-> B e. _V ) ) $=
    ( wf1o cvv wcel wfo f1ofo fornex syl5com wf1 wi f1of1 f1dmex ex syl impbid
    ) ABCDZAEFZBEFZRABCGSTABCHABECIJRABCKZTSLABCMUATSABECNOPQ $.

  ${
    $d x y F $.
    fvclex.1 $e |- F e. _V $.
    $( Existence of the class of values of a set.  (Contributed by NM,
       9-Nov-1995.) $)
    fvclex $p |- { y | E. x y = ( F ` x ) } e. _V $=
      ( cv cfv wceq wex cab crn c0 csn cun rnex snex unex fvclss ssexi ) BEAECF
      GAHBICJZKLZMSTCDNKOPABCQR $.
  $}

  ${
    $d x y z A $.  $d x y z F $.
    fvresex.1 $e |- A e. _V $.
    $( Existence of the class of values of a restricted class.  (Contributed by
       NM, 14-Nov-1995.)  (Revised by Mario Carneiro, 11-Sep-2015.) $)
    fvresex $p |- { y | E. x y = ( ( F |` A ) ` x ) } e. _V $=
      ( vz cv cfv cmpt wceq wex cab cres cvv wss ssv resmpt ax-mp fveq1i fveq2
      eqid fvex fvmpt fveqres eqtr3i eqeq2i exbii abbii mptex fvclex eqeltrri
      elv ) BGZAGZFCFGZDHZIZHZJZAKZBLUMUNDCMHZJZAKZBLNUTVCBUSVBAURVAUMUNFNUPIZC
      MZHZURVAUNVEUQCNOVEUQJCPFNCUPQRSUNVDHUNDHZJZVFVAJVHAFUNUPVGNVDUOUNDTVDUAU
      NDUBUCULUNCVDDUDRUEUFUGUHABUQFCUPEUIUJUK $.
  $}

  ${
    $d x y A $.  $d y B $.
    $( Existence of a class abstraction of existentially restricted sets.  The
       class ` B ` can be thought of as an expression in ` x ` (which is
       typically a free variable in the class expression substituted for
       ` B ` ) and the class abstraction appearing in the statement as the
       class of values ` B ` as ` x ` varies through ` A ` .  If the "domain"
       ` A ` is a set, then the abstraction is also a set.  Therefore, this
       statement is a kind of Replacement.  This can be seen by tracing back
       through the path ~ mptexg , ~ funex , ~ fnex , ~ resfunexg , and
       ~ funimaexg .  See also ~ abrexex2g .  There are partial converses under
       additional conditions, see for instance ~ abnexg .  (Contributed by NM,
       3-Nov-2003.)  (Proof shortened by Mario Carneiro, 31-Aug-2015.) $)
    abrexexg $p |- ( A e. V -> { y | E. x e. A y = B } e. _V ) $=
      ( wcel wceq wrex cab cmpt crn cvv eqid rnmpt mptexg rnexg syl eqeltrrid
      cv ) CEFZBSDGACHBIACDJZKZLABCDUAUAMNTUALFUBLFACDEOUALPQR $.
  $}

  ${
    $d x y A $.  $d y B $.
    abrexex.1 $e |- A e. _V $.
    $( Existence of a class abstraction of existentially restricted sets.  See
       the comment of ~ abrexexg .  See also ~ abrexex2 .  (Contributed by NM,
       16-Oct-2003.)  (Proof shortened by Mario Carneiro, 31-Aug-2015.) $)
    abrexex $p |- { y | E. x e. A y = B } e. _V $=
      ( cvv wcel cv wceq wrex cab abrexexg ax-mp ) CFGBHDIACJBKFGEABCDFLM $.
  $}

  ${
    $d x y A $.  $d y B $.
    $( The existence of an indexed union. ` x ` is normally a free-variable
       parameter in ` B ` .  (Contributed by NM, 23-Mar-2006.) $)
    iunexg $p |- ( ( A e. V /\ A. x e. A B e. W ) -> U_ x e. A B e. _V ) $=
      ( vy wcel wral ciun wceq wrex cab cuni cvv dfiun2g adantl abrexexg uniexd
      wa cv adantr eqeltrd ) BDGZCEGABHZSABCIZFTCJABKFLZMZNUDUEUGJUCAFBCEOPUCUG
      NGUDUCUFNAFBCDQRUAUB $.
  $}

  ${
    $d A x y z $.  $d V x y z $.  $d W x y z $.  $d ph z $.
    $( Existence of an existentially restricted class abstraction.
       (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    abrexex2g $p |- ( ( A e. V /\ A. x e. A { y | ph } e. W )
                                  -> { y | E. x e. A ph } e. _V ) $=
      ( vz wcel cab wral wa wrex cv cvv wsb nfv nfcv nfs1v nfrex weq abbii ciun
      sbequ12 rexbidv cbvabw df-clab rexbii eqtr4i df-iun eqeltrrid eqeltrid
      iunexg ) DEHACIZFHBDJKZABDLZCIZGMUMHZBDLZGIZNUPACGOZBDLZGIUSUOVACGUOGPUTC
      BDCDQACGRSCGTAUTBDACGUCUDUEURVAGUQUTBDAGCUFUGUAUHUNUSBDUMUBNBGDUMUIBDUMEF
      ULUJUK $.
  $}

  ${
    $d A x y v w z $.  $d ps v w z $.  $d ph x $.
    opabex3d.1 $e |- ( ph -> A e. V ) $.
    opabex3d.2 $e |- ( ( ph /\ x e. A ) -> { y | ps } e. _V ) $.
    $( Existence of an ordered pair abstraction, deduction version.
       (Contributed by Alexander van der Vekens, 19-Oct-2017.)  (Revised by AV,
       9-Aug-2024.) $)
    opabex3d $p |- ( ph -> { <. x , y >. | ( x e. A /\ ps ) } e. _V ) $=
      ( vz vv vw cv wcel wa cvv wex cop wceq exbii bitri copab csn cab cxp ciun
      19.42v an12 elxp excom velsn anbi1i opeq1 eqeq2d anbi1d equsexvw nfv nfan
      nfsab1 opeq2 wsb df-clab wb sbequ12 equcoms bitr4id anbi12d 3bitri anbi2i
      cbvexv1 3bitr4ri wrex eliun df-rex elopab 3bitr4i eqriv wral snex sylancr
      xpexg ralrimiva iunexg syl2anc eqeltrrid ) ACLZEMZBNZCDUAZCEWEUBZBDUCZUDZ
      UEZOIWLWHWFILZWKMZNZCPZWMWEDLZQZRZWGNZDPZCPWMWLMZWMWHMWOXACWFWSBNZNZDPWFX
      CDPZNXAWOWFXCDUFWTXDDWSWFBUGSWNXEWFWNWMJLZKLZQZRZXFWIMZXGWJMZNNZKPJPZWMWE
      XGQZRZXKNZKPZXEJKWMWIWJUHXMXLJPZKPXQXLJKUIXRXPKXRXFWERZXIXKNZNZJPXPXLYAJX
      LXJXTNYAXIXJXKUGXJXSXTJWEUJUKTSXTXPJCXSXIXOXKXSXHXNWMXFWEXGULUMUNUOTSTXPX
      CKDXOXKDXODUPBDKURUQXCKUPXGWQRZXOWSXKBYBXNWRWMXGWQWEUSUMYBXKBDKUTZBBKDVAB
      YCVBDKBDKVCVDVEVFVIVGVHVJSXBWNCEVKWPCWMEWKVLWNCEVMTWGCDWMVNVOVPAEFMWKOMZC
      EVQWLOMGAYDCEAWFNWIOMWJOMYDWEVRHWIWJOOVTVSWACEWKFOWBWCWD $.
  $}

  ${
    $d A x y v w z $.  $d ps v w z $.  $d ph y $.
    opabex3rd.1 $e |- ( ph -> A e. V ) $.
    opabex3rd.2 $e |- ( ( ph /\ y e. A ) -> { x | ps } e. _V ) $.
    $( Existence of an ordered pair abstraction if the second components are
       elements of a set.  (Contributed by AV, 17-Sep-2023.)  (Revised by AV,
       9-Aug-2024.) $)
    opabex3rd $p |- ( ph -> { <. x , y >. | ( y e. A /\ ps ) } e. _V ) $=
      ( vz vw vv cv wcel wa cvv wex cop wceq exbii bitri copab cab csn cxp ciun
      19.42v an12 ancom anbi2i 2exbii velsn anbi1i opeq2 eqeq2d anbi1d equsexvw
      elxp nfv nfsab1 nfan opeq1 wsb df-clab wb sbequ12 equcoms bitr4id anbi12d
      cbvexv1 3bitri 3bitr4ri excom wrex eliun df-rex elopab 3bitr4i eqriv wral
      snex xpexg sylancl ralrimiva iunexg syl2anc eqeltrrid ) ADLZEMZBNZCDUAZDE
      BCUBZWGUCZUDZUEZOIWNWJWHILZWMMZNZDPZWOCLZWGQZRZWINZDPCPZWOWNMZWOWJMWRXBCP
      ZDPXCWQXEDWHXABNZNZCPWHXFCPZNXEWQWHXFCUFXBXGCXAWHBUGSWPXHWHWPWOJLZKLZQZRZ
      XJWLMZXIWKMZNZNZKPZJPZWOXIWGQZRZXNNZJPXHWPXLXNXMNZNZKPJPXRJKWOWKWLUQYCXPJ
      KYBXOXLXNXMUHUIUJTXQYAJXQXJWGRZXLXNNZNZKPYAXPYFKXPXMYENYFXLXMXNUGXMYDYEKW
      GUKULTSYEYAKDYDXLXTXNYDXKXSWOXJWGXIUMUNUOUPTSYAXFJCXTXNCXTCURBCJUSUTXFJUR
      XIWSRZXTXAXNBYGXSWTWOXIWSWGVAUNYGXNBCJVBZBBJCVCBYHVDCJBCJVEVFVGVHVIVJUIVK
      SXBDCVLTXDWPDEVMWRDWOEWMVNWPDEVOTWICDWOVPVQVRAEFMWMOMZDEVSWNOMGAYIDEAWHNW
      KOMWLOMYIHWGVTWKWLOOWAWBWCDEWMFOWDWEWF $.
  $}

  ${
    $d A x y v w z $.  $d ph v w z $.
    opabex3.1 $e |- A e. _V $.
    opabex3.2 $e |- ( x e. A -> { y | ph } e. _V ) $.
    $( Existence of an ordered pair abstraction.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    opabex3 $p |- { <. x , y >. | ( x e. A /\ ph ) } e. _V $=
      ( vz vv vw cv wcel wa cvv wex cop wceq an12 exbii bitri eqeq2d ciun copab
      csn cab cxp 19.42v elxp excom velsn anbi1i opeq1 anbi1d equsexvw nfv nfan
      nfsab1 opeq2 wsb df-clab wb sbequ12 equcoms bitr4id anbi12d 3bitri anbi2i
      cbvexv1 3bitr4ri wrex eliun df-rex elopab 3bitr4i eqriv wral snex sylancr
      xpexg rgen iunexg mp2an eqeltrri ) BDBJZUCZACUDZUEZUAZWCDKZALZBCUBZMGWGWJ
      WHGJZWFKZLZBNZWKWCCJZOZPZWILZCNZBNWKWGKZWKWJKWMWSBWHWQALZLZCNWHXACNZLWSWM
      WHXACUFWRXBCWQWHAQRWLXCWHWLWKHJZIJZOZPZXDWDKZXEWEKZLLZINHNZWKWCXEOZPZXILZ
      INZXCHIWKWDWEUGXKXJHNZINXOXJHIUHXPXNIXPXDWCPZXGXILZLZHNXNXJXSHXJXHXRLXSXG
      XHXIQXHXQXRHWCUIUJSRXRXNHBXQXGXMXIXQXFXLWKXDWCXEUKTULUMSRSXNXAICXMXICXMCU
      NACIUPUOXAIUNXEWOPZXMWQXIAXTXLWPWKXEWOWCUQTXTXIACIURZAAICUSAYAUTCIACIVAVB
      VCVDVGVEVFVHRWTWLBDVIWNBWKDWFVJWLBDVKSWIBCWKVLVMVNDMKWFMKZBDVOWGMKEYBBDWH
      WDMKWEMKYBWCVPFWDWEMMVRVQVSBDWFMMVTWAWB $.
  $}

  ${
    $d x A $.
    iunex.1 $e |- A e. _V $.
    iunex.2 $e |- B e. _V $.
    $( The existence of an indexed union. ` x ` is normally a free-variable
       parameter in the class expression substituted for ` B ` , which can be
       read informally as ` B ( x ) ` .  (Contributed by NM, 13-Oct-2003.) $)
    iunex $p |- U_ x e. A B e. _V $=
      ( cvv wcel wral ciun rgenw iunexg mp2an ) BFGCFGZABHABCIFGDMABEJABCFFKL
      $.
  $}

  ${
    $d x y A $.
    abrexex2.1 $e |- A e. _V $.
    abrexex2.2 $e |- { y | ph } e. _V $.
    $( Existence of an existentially restricted class abstraction. ` ph `
       normally has free-variable parameters ` x ` and ` y ` .  See also
       ~ abrexex .  (Contributed by NM, 12-Sep-2004.) $)
    abrexex2 $p |- { y | E. x e. A ph } e. _V $=
      ( cvv wcel cab wral wrex rgenw abrexex2g mp2an ) DGHACIGHZBDJABDKCIGHEOBD
      FLABCDGGMN $.

    $( Existence of a class abstraction with an existentially quantified
       expression.  Both ` x ` and ` y ` can be free in ` ph ` .  (Contributed
       by NM, 29-Jul-2006.) $)
    abexssex $p |- { y | E. x ( x C_ A /\ ph ) } e. _V $=
      ( cpw wrex cab cv wss wa wex cvv wcel df-rex velpw anbi1i exbii bitri
      abbii pwex abrexex2 eqeltrri ) ABDGZHZCIBJZDKZALZBMZCINUFUJCUFUGUEOZALZBM
      UJABUEPULUIBUKUHABDQRSTUAABCUEDEUBFUCUD $.
  $}

  ${
    $d x y A $.
    abexex.1 $e |- A e. _V $.
    abexex.2 $e |- ( ph -> x e. A ) $.
    abexex.3 $e |- { y | ph } e. _V $.
    $( A condition where a class abstraction continues to exist after its wff
       is existentially quantified.  (Contributed by NM, 4-Mar-2007.) $)
    abexex $p |- { y | E. x ph } e. _V $=
      ( wrex cab wex cvv cv wcel wa df-rex pm4.71ri exbii bitr4i abbii abrexex2
      eqeltrri ) ABDHZCIABJZCIKUBUCCUBBLDMZANZBJUCABDOAUEBAUDFPQRSABCDEGTUA $.
  $}

  ${
    $d z w v u f R $.  $d x y z w v u f S $.  $d z w v u f A $.
    $d z w v u f B $.  $d x y z w v u f F $.
    f1oweALT.1 $e |- R = { <. x , y >. | ( F ` x ) S ( F ` y ) } $.
    $( Alternate proof of ~ f1owe , more direct since not using the isomorphism
       predicate, but requiring ~ ax-un .  (Contributed by NM, 4-Mar-1997.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    f1oweALT $p |- ( F : A -1-1-onto-> B -> ( S We B -> R We A ) ) $=
      ( vu vf vw vv cv wbr wceq wral wa wi wcel cfv vz wf1o wfr w3o wwe wfo wfn
      f1ofo crn df-fo freq2 biimprd wfun cdm df-fn wss c0 wne wn wrex wal df-fr
      cima cvv vex funimaex wex n0 funfvima2 ne0i syl6 exlimdv syl5bi imp jctil
      imassrn sseq1 neeq1 anbi12d raleq rexeqbi1dv imbi12d spcgv syl7 syl com23
      expd anabsi5 impd cres wb fores fveq2 breq1d breq2d brab fvres breqan12rd
      bitr4id notbid ralbidva rexbiia breq1 cbvfo rexbidv breq2 ralbidv cbvexfo
      bitrd syl5bb sylibrd exp4b com34 imp4a alrimdv syl6ibr biimpd sylan9r wf1
      sylan9 sylbi df-f1o f1fveq bicomd 3orbi123d 2ralbidva eqeq1 eqeq2 anim12d
      a1i sylan9bb dfwe2 3imtr4g ) CDGUBZDFUCZIMZJMZFNZYPYQOZYQYPFNZUDZJDPZIDPZ
      QCEUCZKMZLMZENZUUEUUFOZUUFUUEENZUDZLCPKCPZQDFUECEUEYNYOUUDUUCUUKYNCDGUFZY
      OUUDRZCDGUHUULGCUGZGUIZDOZQUUMCDGUJUUPYOUUOFUCZUUNUUDUUPUUQYOUUODFUKULUUN
      GUMZGUNZCOZQUUQUUDRGCUOUURUUQUUSEUCZUUTUUDUURUUQUAMZUUSUPZUVBUQURZQUUIUSZ
      LUVBPZKUVBUTZRZUAVAUVAUURUUQUVHUAUURUUQUVCUVDUVGUURUVCUUQUVDUVGRUURUVCUVD
      UUQUVGUURUVCUVDUUQUVGUURUVCQZUVDUUQQYTUSZJGUVBVCZPZIUVKUTZUVGUVIUVDUUQUVM
      UURUVCUVDUUQUVMRZRUURUVIUVDUVNUURUUQUVIUVDQZUVMUUQUUEUUOUPZUUEUQURZQZUVJJ
      UUEPZIUUEUTZRZKVAZUURUVOUVMRZKIJUUOFVBUURUVKVDSZUWBUWCRGUVBUAVEVFUVOUVKUU
      OUPZUVKUQURZQZUWDUWBUVMUVOUWFUWEUVIUVDUWFUVDUUEUVBSZKVGUVIUWFKUVBVHUVIUWH
      UWFKUVIUWHUUEGTZUVKSUWFUVBUUEGVIUVKUWIVJVKVLVMVNGUVBVPVOUWAUWGUVMRKUVKVDU
      UEUVKOZUVRUWGUVTUVMUWJUVPUWEUVQUWFUUEUVKUUOVQUUEUVKUQVRVSUVSUVLIUUEUVKUVJ
      JUUEUVKVTWAWBWCWDWEVMWFWGWHWIUVIUVBUVKGUVBWJZUFZUVGUVMWKUVBGWLUVGUUFUWKTZ
      UUEUWKTZFNZUSZLUVBPZKUVBUTZUWLUVMUVFUWQKUVBUWHUVEUWPLUVBUWHUUFUVBSZQZUUIU
      WOUWTUUIUUFGTZUWIFNZUWOAMZGTZBMZGTZFNZUXAUXFFNUXBABUUFUUEELVEZKVEZUXCUUFO
      UXDUXAUXFFUXCUUFGWMWNUXEUUEOUXFUWIUXAFUXEUUEGWMWOHWPZUWSUWHUWMUXAUWNUWIFU
      UFUVBGWQUUEUVBGWQWRWSWTXAXBUWLUWRYQUWNFNZUSZJUVKPZKUVBUTUVMUWLUWQUXMKUVBU
      WPUXLLJUVBUVKUWKUWMYQOUWOUXKUWMYQUWNFXCWTXDXEUXMUVLKIUVBUVKUWKUWNYPOZUXLU
      VJJUVKUXNUXKYTUWNYPYQFXFWTXGXHXIXJWEXKXLXMWFXNXOUAKLUUSEVBXPUUTUVAUUDUUSC
      EUKXQXTYAXRYAWEYNUUKUUCYNCDGXSZUULQUUKUUCWKCDGYBUXOUUKUWIUXAFNZUWIUXAOZUX
      BUDZLCPZKCPZUULUUCUXOUUJUXRKLCCUXOUUECSUUFCSQQZUUGUXPUUHUXQUUIUXBUUGUXPWK
      UYAUXGUWIUXFFNUXPABUUEUUFEUXIUXHUXCUUEOUXDUWIUXFFUXCUUEGWMWNUXEUUFOUXFUXA
      UWIFUXEUUFGWMWOHWPYJUYAUXQUUHCDUUEUUFGYCYDUUIUXBWKUYAUXJYJYEYFUULUXTYPUXA
      FNZYPUXAOZUXAYPFNZUDZLCPZIDPUUCUXSUYFKICDGUWIYPOZUXRUYELCUYGUXPUYBUXQUYCU
      XBUYDUWIYPUXAFXCUWIYPUXAYGUWIYPUXAFXFYEXGXDUULUYFUUBIDUYEUUALJCDGUXAYQOUY
      BYRUYCYSUYDYTUXAYQYPFXFUXAYQYPYHUXAYQYPFXCYEXDXGXIYKYAULYIIJDFYLKLCEYLYM
      $.
  $}

  ${
    $d R f g $.  $d A f g $.  $d S f g $.  $d B f g $.
    $( Thus, there is at most one isomorphism between any two well-ordered
       sets.  TODO:  Shorten ~ finnisoeu .  (Contributed by Stefan O'Rear,
       12-Feb-2015.)  (Revised by Mario Carneiro, 25-Jun-2015.) $)
    wemoiso $p |- ( R We A -> E* f f Isom R , S ( A , B ) ) $=
      ( vg wwe cv wiso wa weq wi wal wmo wse simpl cvv wcel wf syl isof1o dmfex
      vex wf1o f1of sylancr ad2antrl exse jca weisoeq sylancom ex isoeq1 sylibr
      alrimivv mo4 ) ACGZABCDEHZIZABCDFHZIZJZEFKZLZFMEMUSENUQVDEFUQVBVCUQVBUQAC
      OZJVCUQVBJZUQVEUQVBPVFAQRZVEUSVGUQVAUSURQRABURSZVGEUCUSABURUDVHABCDURUAAB
      URUETABQURUBUFUGACQUHTUIABCDURUTUJUKULUOUSVAEFABCDUTURUMUPUN $.

    $( Thus, there is at most one isomorphism between any two well-ordered
       sets.  (Contributed by Stefan O'Rear, 12-Feb-2015.)  (Revised by Mario
       Carneiro, 25-Jun-2015.) $)
    wemoiso2 $p |- ( S We B -> E* f f Isom R , S ( A , B ) ) $=
      ( vg wwe cv wiso wa wceq wi wal wmo wse simpl cvv wcel crn wf1o wfo f1ofo
      isof1o forn 3syl vex rnex eqeltrrdi ad2antrl syl jca weisoeq2 sylancom ex
      exse alrimivv isoeq1 mo4 sylibr ) BDGZABCDEHZIZABCDFHZIZJZVAVCKZLZFMEMVBE
      NUTVGEFUTVEVFUTVEUTBDOZJVFUTVEJZUTVHUTVEPVIBQRZVHVBVJUTVDVBBVASZQVBABVATA
      BVAUAVKBKABCDVAUCABVAUBABVAUDUEVAEUFUGUHUIBDQUOUJUKABCDVAVCULUMUNUPVBVDEF
      ABCDVCVAUQURUS $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d ph x y z $.
    oprabexd.1 $e |- ( ph -> A e. V ) $.
    oprabexd.2 $e |- ( ph -> B e. W ) $.
    oprabexd.3 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> E* z ps ) $.
    oprabexd.4 $e |- ( ph -> F = { <. <. x , y >. , z >. |
                                        ( ( x e. A /\ y e. B ) /\ ps ) } ) $.
    $( Existence of an operator abstraction.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Revised by AV, 9-Aug-2024.) $)
    oprabexd $p |- ( ph -> F e. _V ) $=
      ( cv wcel wa cvv wmo wal coprab wfun cdm wi ex moanimv alrimivv funoprabg
      sylibr syl cxp wss dmoprabss xpexd ssexg sylancr funex syl2anc eqeltrd )
      AHCOFPDOGPQZBQZCDEUAZRNAVBUBZVBUCZRPZVBRPAVAESZDTCTVCAVFCDAUTBESZUDVFAUTV
      GMUEUTBEUFUIUGVACDEUHUJAVDFGUKZULVHRPVEBCDEFGUMAFGIJKLUNVDVHRUOUPRVBUQURU
      S $.
  $}

  ${
    $d x y z A $.  $d x y z B $.
    oprabex.1 $e |- A e. _V $.
    oprabex.2 $e |- B e. _V $.
    oprabex.3 $e |- ( ( x e. A /\ y e. B ) -> E* z ph ) $.
    oprabex.4 $e |- F = { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B )
             /\ ph ) } $.
    $( Existence of an operation class abstraction.  (Contributed by NM,
       19-Oct-2004.) $)
    oprabex $p |- F e. _V $=
      ( cv wcel wa coprab cvv wfun cdm wmo wi mpbir funoprab cxp xpex dmoprabss
      moanimv ssexi funex mp2an eqeltri ) GBLEMCLFMNZANZBCDOZPKUMQUMRZPMUMPMULB
      CDULDSUKADSTJUKADUFUAUBUNEFUCEFHIUDABCDEFUEUGPUMUHUIUJ $.
  $}

  ${
    $d x y z w v u f H $.  $d x y z R $.
    oprabex3.1 $e |- H e. _V $.
    oprabex3.2 $e |- F = { <. <. x , y >. , z >. | ( ( x e. ( H X. H ) /\
                      y e. ( H X. H ) ) /\
                      E. w E. v E. u E. f ( ( x = <. w , v >. /\
                      y = <. u , f >. ) /\ z = R ) ) } $.
    $( Existence of an operation class abstraction (special case).
       (Contributed by NM, 19-Oct-2004.) $)
    oprabex3 $p |- F e. _V $=
      ( cv cop wceq wa wex wmo wcel mosubop cxp xpex anass 2exbii 19.42vv bitri
      moeq mobii mpbir a1i oprabex ) AMZDMEMNOZBMZFMHMNOZPCMGOZPZHQFQZEQDQZABCJ
      JUAZUTIJJKKUBZVAUSCRZULUTSUNUTSPVBUMUOUPPZHQFQZPZEQDQZCRVDCDEULUPCFHUNCGU
      GTTUSVFCURVEDEURUMVCPZHQFQVEUQVGFHUMUOUPUCUDUMVCFHUEUFUDUHUIUJLUK $.
  $}

  ${
    $d A v x y z w $.  $d ph v $.
    oprabrexex2.1 $e |- A e. _V $.
    oprabrexex2.2 $e |- { <. <. x , y >. , z >. | ph } e. _V $.
    $( Existence of an existentially restricted operation abstraction.
       (Contributed by Jeff Madsen, 11-Jun-2010.) $)
    oprabrexex2 $p |- { <. <. x , y >. , z >. | E. w e. A ph } e. _V $=
      ( vv wrex coprab cv cop wa wex cab cvv df-oprab rexcom4 exbii wceq bitr2i
      r19.42v bitri abbii eqtri eqeltrri abrexex2 eqeltri ) AEFJZBCDKZILBLCLMDL
      MUAZANZDOZCOZBOZEFJZIPZQUKULUJNZDOZCOZBOZIPURUJBCDIRVBUQIUQUOEFJZBOVBUOEB
      FSVCVABVCUNEFJZCOVAUNECFSVDUTCVDUMEFJZDOUTUMEDFSVEUSDULAEFUCTUDTUDTUBUEUF
      UPEIFGABCDKUPIPQABCDIRHUGUHUI $.
  $}

  ${
    $d x z A $.  $d y z B $.  $d z C $.
    ab2rexex.1 $e |- A e. _V $.
    ab2rexex.2 $e |- B e. _V $.
    $( Existence of a class abstraction of existentially restricted sets.
       Variables ` x ` and ` y ` are normally free-variable parameters in the
       class expression substituted for ` C ` , which can be thought of as
       ` C ( x , y ) ` .  See comments for ~ abrexex .  (Contributed by NM,
       20-Sep-2011.) $)
    ab2rexex $p |- { z | E. x e. A E. y e. B z = C } e. _V $=
      ( cv wceq wrex abrexex abrexex2 ) CIFJBEKACDGBCEFHLM $.
  $}

  ${
    $d x z A $.  $d y z B $.
    ab2rexex2.1 $e |- A e. _V $.
    ab2rexex2.2 $e |- B e. _V $.
    ab2rexex2.3 $e |- { z | ph } e. _V $.
    $( Existence of an existentially restricted class abstraction. ` ph `
       normally has free-variable parameters ` x ` , ` y ` , and ` z ` .
       Compare ~ abrexex2 .  (Contributed by NM, 20-Sep-2011.) $)
    ab2rexex2 $p |- { z | E. x e. A E. y e. B ph } e. _V $=
      ( wrex abrexex2 ) ACFJBDEGACDFHIKK $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d V y $.
    $( Alternate proof of ~ xpexg requiring Replacement ( ~ ax-rep ) but not
       Power Set ( ~ ax-pow ).  (Contributed by Mario Carneiro, 20-May-2013.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    xpexgALT $p |- ( ( A e. V /\ B e. W ) -> ( A X. B ) e. _V ) $=
      ( vy vx wcel wa cxp cv csn ciun iunid xpeq2i xpiundi eqtr3i wral eqeltrid
      cvv id cmpt fconstmpt mptexg ralrimivw iunexg syl2anr ) ACGZBDGZHABIZEBAE
      JZKZIZLZSAEBUKLZIUIUMUNBAEBMNEBUKAOPUHUHULSGZEBQUMSGUGUHTUGUOEBUGULFAUJUA
      SFAUJUBFAUJCUCRUDEBULDSUEUFR $.
  $}

  ${
    $d F x a b $.  $d G x a b $.  $d V x $.  $d W x $.  $d R x a b $.
    $d D x $.
    $( General value of ` ( F oF R G ) ` with no assumptions on functionality
       of ` F ` and ` G ` .  (Contributed by Stefan O'Rear, 24-Jan-2015.) $)
    offval3 $p |- ( ( F e. V /\ G e. W ) -> ( F oF R G ) =
        ( x e. ( dom F i^i dom G ) |-> ( ( F ` x ) R ( G ` x ) ) ) ) $=
      ( va vb wcel wa cvv cdm cin cv cfv co cmpt wceq elex adantr adantl inex1g
      cof dmexg mptexg 3syl ineqan12d fveq1 oveqan12d mpteq12dv ovmpoga syl3anc
      dmeq df-of ) CEIZDFIZJCKIZDKIZACLZDLZMZANZCOZVBDOZBPZQZKIZCDBUCZPVFRUOUQU
      PCESTUPURUODFSUAUOVGUPUOUSKIVAKIVGCEUDUSUTKUBAVAVEKUEUFTGHCDKKAGNZLZHNZLZ
      MZVBVIOZVBVKOZBPZQVFVHKVICRZVKDRZJAVMVPVAVEVQVRVJUSVLUTVICUMVKDUMUGVQVRVN
      VCVOVDBVBVICUHVBVKDUHUIUJABGHUNUKUL $.

    $( Pointwise combination commutes with restriction.  (Contributed by Stefan
       O'Rear, 24-Jan-2015.) $)
    offres $p |- ( ( F e. V /\ G e. W ) -> ( ( F oF R G ) |` D ) =
        ( ( F |` D ) oF R ( G |` D ) ) ) $=
      ( vx wcel cdm cin cfv co cmpt cres wceq fvres dmres 3eqtr4ri offval3 cvv
      wa cv cof elinel2 oveq12d mpteq2ia inindi ineq12i mpteq1i resmpt3 reseq1d
      syl incom resexg syl2an 3eqtr4a ) CEHZDFHZUAZGCIZDIZJZGUBZCKZVCDKZBLZMZAN
      ZGCANZIZDANZIZJZVCVIKZVCVKKZBLZMZCDBUCZLZANVIVKVRLZGVBAJZVPMGWAVFMVQVHGWA
      VPVFVCWAHVCAHZVPVFOVCVBAUDWBVNVDVOVEBVCACPVCADPUEULUFGVMWAVPAVBJAUTJZAVAJ
      ZJWAVMAUTVAUGVBAUMVJWCVLWDCAQDAQUHRUIGVBAVFUJRUSVSVGAGBCDEFSUKUQVITHVKTHV
      TVQOURCAEUNDAFUNGBVIVKTTSUOUP $.
  $}

  ${
    $d f g A $.  $d f g B $.  $d f g x R $.
    $( Equivalent expressions for a restriction of the function operation map.
       Unlike ` oF R ` which is a proper class, ` ( oF R |`` ( A X. B ) ) ` can
       be a set by ~ ofmresex , allowing it to be used as a function or
       structure argument.  By ~ ofmresval , the restricted operation map
       values are the same as the original values, allowing theorems for
       ` oF R ` to be reused.  (Contributed by NM, 20-Oct-2014.) $)
    ofmres $p |- ( oF R |` ( A X. B ) ) =
         ( f e. A , g e. B |-> ( f oF R g ) ) $=
      ( vx cvv cv cdm cin cfv co cmpo cres wss wceq ssv eqid wcel vex cxp mp2an
      cmpt cof resmpo df-of reseq1i inex1 mptex ovmpt4g mp3an mpoeq123i 3eqtr4i
      dmex ) DEGGFDHZIZEHZIZJZFHZUOKUTUQKCLZUCZMZABUAZNZDEABVBMZCUDZVDNDEABUOUQ
      VGLZMAGOBGOVEVFPAQBQDEGGABVBUEUBVGVCVDFCDEUFZUGDEABVHABVBARBRUOGSUQGSVBGS
      VHVBPDTZETFUSVAUPURUOVJUNUHUIDEGGVBVGGVIUJUKULUM $.

    ofmresex.a $e |- ( ph -> A e. V ) $.
    ofmresex.b $e |- ( ph -> B e. W ) $.
    $( Existence of a restriction of the function operation map.  (Contributed
       by NM, 20-Oct-2014.) $)
    ofmresex $p |- ( ph -> ( oF R |` ( A X. B ) ) e. _V ) $=
      ( cxp cvv wcel cof cres xpexd ofexg syl ) ABCIZJKDLQMJKABCEFGHNQDJOP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  First and second members of an ordered pair
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c 1st $.  $( First component of an ordered pair $)
  $c 2nd $.  $( Second component of an ordered pair $)

  $( Extend the definition of a class to include the first member an ordered
     pair function. $)
  c1st $a class 1st $.

  $( Extend the definition of a class to include the second member an ordered
     pair function. $)
  c2nd $a class 2nd $.

  $( Define a function that extracts the first member, or abscissa, of an
     ordered pair.  Theorem ~ op1st proves that it does this.  For example,
     ` ( 1st `` <. 3 , 4 >. ) = 3 ` .  Equivalent to Definition 5.13 (i) of
     [Monk1] p. 52 (compare ~ op1sta and ~ op1stb ).  The notation is the same
     as Monk's.  (Contributed by NM, 9-Oct-2004.) $)
  df-1st $a |- 1st = ( x e. _V |-> U. dom { x } ) $.

  $( Define a function that extracts the second member, or ordinate, of an
     ordered pair.  Theorem ~ op2nd proves that it does this.  For example,
     ` ( 2nd `` <. 3 , 4 >. ) = 4 ` .  Equivalent to Definition 5.13 (ii) of
     [Monk1] p. 52 (compare ~ op2nda and ~ op2ndb ).  The notation is the same
     as Monk's.  (Contributed by NM, 9-Oct-2004.) $)
  df-2nd $a |- 2nd = ( x e. _V |-> U. ran { x } ) $.

  ${
    $d x A $.
    $( The value of the function that extracts the first member of an ordered
       pair.  (Contributed by NM, 9-Oct-2004.)  (Revised by Mario Carneiro,
       8-Sep-2013.) $)
    1stval $p |- ( 1st ` A ) = U. dom { A } $=
      ( vx cvv wcel c1st cfv csn cdm cuni wceq cv sneq dmeqd unieqd df-1st snex
      dmex uniex c0 eqtrdi fvmpt wn fvprc snprc biimpi dm0 uni0 eqtr4d pm2.61i
      ) ACDZAEFZAGZHZIZJBABKZGZHZIUNCEUOAJZUQUMURUPULUOALMNBOUMULAPQRUAUJUBZUKS
      UNAEUCUSUNSISUSUMSUSUMSHSUSULSUSULSJAUDUEMUFTNUGTUHUI $.

    $( The value of the function that extracts the second member of an ordered
       pair.  (Contributed by NM, 9-Oct-2004.)  (Revised by Mario Carneiro,
       8-Sep-2013.) $)
    2ndval $p |- ( 2nd ` A ) = U. ran { A } $=
      ( vx cvv wcel c2nd cfv csn crn cuni wceq cv sneq rneqd unieqd df-2nd snex
      rnex uniex c0 eqtrdi fvmpt wn fvprc snprc biimpi rn0 uni0 eqtr4d pm2.61i
      ) ACDZAEFZAGZHZIZJBABKZGZHZIUNCEUOAJZUQUMURUPULUOALMNBOUMULAPQRUAUJUBZUKS
      UNAEUCUSUNSISUSUMSUSUMSHSUSULSUSULSJAUDUEMUFTNUGTUHUI $.
  $}

  $( Value of the first-member function at non-pairs.  (Contributed by Thierry
     Arnoux, 22-Sep-2017.) $)
  1stnpr $p |- ( -. A e. ( _V X. _V ) -> ( 1st ` A ) = (/) ) $=
    ( cvv cxp wcel wn c1st cfv csn cdm cuni c0 1stval wne dmsnn0 biimpri unieqd
    necon1bi uni0 eqtrdi eqtrid ) ABBCDZEZAFGAHIZJZKALUBUDKJKUBUCKUAUCKUAUCKMAN
    OQPRST $.

  $( Value of the second-member function at non-pairs.  (Contributed by Thierry
     Arnoux, 22-Sep-2017.) $)
  2ndnpr $p |- ( -. A e. ( _V X. _V ) -> ( 2nd ` A ) = (/) ) $=
    ( cvv cxp wcel wn c2nd cfv csn crn cuni c0 2ndval wne rnsnn0 biimpri unieqd
    necon1bi uni0 eqtrdi eqtrid ) ABBCDZEZAFGAHIZJZKALUBUDKJKUBUCKUAUCKUAUCKMAN
    OQPRST $.

  $( The value of the first-member function at the empty set.  (Contributed by
     NM, 23-Apr-2007.) $)
  1st0 $p |- ( 1st ` (/) ) = (/) $=
    ( c0 c1st cfv csn cdm cuni 1stval dmsn0 unieqi uni0 3eqtri ) ABCADEZFAFAAGL
    AHIJK $.

  $( The value of the second-member function at the empty set.  (Contributed by
     NM, 23-Apr-2007.) $)
  2nd0 $p |- ( 2nd ` (/) ) = (/) $=
    ( c0 c2nd cfv csn crn cuni 2ndval wceq dmsn0 dm0rn0 mpbi unieqi uni0 3eqtri
    cdm ) ABCADZEZFAFAAGQAPOAHQAHIPJKLMN $.

  ${
    op1st.1 $e |- A e. _V $.
    op1st.2 $e |- B e. _V $.
    $( Extract the first member of an ordered pair.  (Contributed by NM,
       5-Oct-2004.) $)
    op1st $p |- ( 1st ` <. A , B >. ) = A $=
      ( cop c1st cfv csn cdm cuni 1stval op1sta eqtri ) ABEZFGNHIJANKABCDLM $.

    $( Extract the second member of an ordered pair.  (Contributed by NM,
       5-Oct-2004.) $)
    op2nd $p |- ( 2nd ` <. A , B >. ) = B $=
      ( cop c2nd cfv csn crn cuni 2ndval op2nda eqtri ) ABEZFGNHIJBNKABCDLM $.

    $( Extract the first member of an ordered pair.  (Contributed by Mario
       Carneiro, 31-Aug-2015.) $)
    op1std $p |- ( C = <. A , B >. -> ( 1st ` C ) = A ) $=
      ( cop wceq c1st cfv fveq2 op1st eqtrdi ) CABFZGCHIMHIACMHJABDEKL $.

    $( Extract the second member of an ordered pair.  (Contributed by Mario
       Carneiro, 31-Aug-2015.) $)
    op2ndd $p |- ( C = <. A , B >. -> ( 2nd ` C ) = B ) $=
      ( cop wceq c2nd cfv fveq2 op2nd eqtrdi ) CABFZGCHIMHIBCMHJABDEKL $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Extract the first member of an ordered pair.  (Contributed by NM,
       19-Jul-2005.) $)
    op1stg $p |- ( ( A e. V /\ B e. W ) -> ( 1st ` <. A , B >. ) = A ) $=
      ( vx vy cv cop c1st cfv wceq opeq1 fveq2d id eqeq12d opeq2 fveqeq2d op1st
      vex vtocl2g ) EGZFGZHZIJZUAKAUBHZIJZAKABHZIJAKEFABCDUAAKZUDUFUAAUHUCUEIUA
      AUBLMUHNOUBBKUEUGAIUBBAPQUAUBESFSRT $.

    $( Extract the second member of an ordered pair.  (Contributed by NM,
       19-Jul-2005.) $)
    op2ndg $p |- ( ( A e. V /\ B e. W ) -> ( 2nd ` <. A , B >. ) = B ) $=
      ( vx vy cv cop c2nd cfv wceq opeq1 fveqeq2d opeq2 fveq2d id eqeq12d op2nd
      vex vtocl2g ) EGZFGZHZIJUBKAUBHZIJZUBKABHZIJZBKEFABCDUAAKUCUDUBIUAAUBLMUB
      BKZUEUGUBBUHUDUFIUBBANOUHPQUAUBESFSRT $.

    $( Extract the first member of an ordered triple.  (Due to infrequent
       usage, it isn't worthwhile at this point to define special extractors
       for triples, so we reuse the ordered pair extractors for ~ ot1stg ,
       ~ ot2ndg , ~ ot3rdg .)  (Contributed by NM, 3-Apr-2015.)  (Revised by
       Mario Carneiro, 2-May-2015.) $)
    ot1stg $p |- ( ( A e. V /\ B e. W /\ C e. X )
         -> ( 1st ` ( 1st ` <. A , B , C >. ) ) = A ) $=
      ( wcel cotp c1st cfv wceq wa cop df-ot fveq2i cvv opex op1stg mpan eqtrid
      fveq2d sylan9eqr 3impa ) ADGZBEGZCFGZABCHZIJZIJZAKUFUDUELUIABMZIJAUFUHUJI
      UFUHUJCMZIJZUJUGUKIABCNOUJPGUFULUJKABQUJCPFRSTUAABDERUBUC $.

    $( Extract the second member of an ordered triple.  (See ~ ot1stg comment.)
       (Contributed by NM, 3-Apr-2015.)  (Revised by Mario Carneiro,
       2-May-2015.) $)
    ot2ndg $p |- ( ( A e. V /\ B e. W /\ C e. X )
         -> ( 2nd ` ( 1st ` <. A , B , C >. ) ) = B ) $=
      ( wcel cotp c1st cfv c2nd wceq wa cop df-ot fveq2i cvv opex op1stg mpan
      eqtrid fveq2d op2ndg sylan9eqr 3impa ) ADGZBEGZCFGZABCHZIJZKJZBLUHUFUGMUK
      ABNZKJBUHUJULKUHUJULCNZIJZULUIUMIABCOPULQGUHUNULLABRULCQFSTUAUBABDEUCUDUE
      $.

    $( Extract the third member of an ordered triple.  (See ~ ot1stg comment.)
       (Contributed by NM, 3-Apr-2015.) $)
    ot3rdg $p |- ( C e. V -> ( 2nd ` <. A , B , C >. ) = C ) $=
      ( wcel cotp c2nd cfv cop df-ot fveq2i cvv wceq opex op2ndg mpan eqtrid )
      CDEZABCFZGHABIZCIZGHZCSUAGABCJKTLERUBCMABNTCLDOPQ $.

    $( Alternate value of the function that extracts the first member of an
       ordered pair.  Definition 5.13 (i) of [Monk1] p. 52.  (Contributed by
       NM, 18-Aug-2006.) $)
    1stval2 $p |- ( A e. ( _V X. _V ) -> ( 1st ` A ) = |^| |^| A ) $=
      ( vx vy cvv cxp wcel cv cop wceq wex c1st cfv cint elvv vex op1stb eqtr4i
      op1st fveq2 inteq inteqd 3eqtr4a exlimivv sylbi ) ADDEFABGZCGZHZIZCJBJAKL
      ZAMZMZIZBCANUHULBCUHUGKLZUGMZMZUIUKUMUEUOUEUFBOZCOZRUEUFUPUQPQAUGKSUHUJUN
      AUGTUAUBUCUD $.

    $( Alternate value of the function that extracts the second member of an
       ordered pair.  Definition 5.13 (ii) of [Monk1] p. 52.  (Contributed by
       NM, 18-Aug-2006.) $)
    2ndval2 $p |- ( A e. ( _V X. _V )
               -> ( 2nd ` A ) = |^| |^| |^| `' { A } ) $=
      ( vx vy cvv cxp wcel cv cop wceq wex c2nd cfv ccnv cint elvv op2nd op2ndb
      csn vex inteqd eqtr4i fveq2 sneq cnveqd 3eqtr4a exlimivv sylbi ) ADDEFABG
      ZCGZHZIZCJBJAKLZARZMZNZNZNZIZBCAOUKURBCUKUJKLZUJRZMZNZNZNZULUQUSUIVDUHUIB
      SZCSZPUHUIVEVFQUAAUJKUBUKUPVCUKUOVBUKUNVAUKUMUTAUJUCUDTTTUEUFUG $.
  $}

  $( The components of an ordered triple.  (Contributed by Alexander van der
     Vekens, 2-Mar-2018.) $)
  oteqimp $p |- ( T = <. A , B , C >. -> ( ( A e. X /\ B e. Y /\ C e. Z )
                         -> ( ( 1st ` ( 1st ` T ) ) = A
                           /\ ( 2nd ` ( 1st ` T ) ) = B
                           /\ ( 2nd ` T ) = C ) ) ) $=
    ( wcel w3a c1st wceq c2nd cotp ot1stg ot2ndg ot3rdg 3ad2ant3 2fveq3 eqeq1d
    cfv 3jca fveqeq2 3anbi123d syl5ibr ) AEHZBFHZCGHZIZDJTZJTZAKZUILTZBKZDLTCKZ
    IDABCMZKZUOJTZJTZAKZUQLTZBKZUOLTCKZIUHUSVAVBABCEFGNABCEFGOUGUEVBUFABCGPQUAU
    PUKUSUMVAUNVBUPUJURADUOJJRSUPULUTBDUOLJRSDUOCLUBUCUD $.

  ${
    $d x y $.
    $( The ` 1st ` function maps the universe onto the universe.  (Contributed
       by NM, 14-Oct-2004.)  (Revised by Mario Carneiro, 8-Sep-2013.) $)
    fo1st $p |- 1st : _V -onto-> _V $=
      ( vx vy cvv c1st wfo wfn crn wceq cv csn cdm cuni snex dmex df-1st fnmpti
      uniex wrex cab wcel rnmpt vex cop opex op1sta eqcomi sneq unieqd rspceeqv
      dmeqd mp2an 2th abbi2i eqtr4i df-fo mpbir2an ) CCDEDCFDGZCHACAIZJZKZLZDUT
      USURMNQAOZPUQBIZVAHACRZBSCABCVADVBUAVDBCVCCTVDBUBZVCVCUCZCTVCVFJZKZLZHVDV
      CVCUDVIVCVCVCVEVEUEUFAVFCVAVIVCURVFHZUTVHVJUSVGURVFUGUJUHUIUKULUMUNCCDUOU
      P $.

    $( The ` 2nd ` function maps the universe onto the universe.  (Contributed
       by NM, 14-Oct-2004.)  (Revised by Mario Carneiro, 8-Sep-2013.) $)
    fo2nd $p |- 2nd : _V -onto-> _V $=
      ( vx vy cvv c2nd wfo wfn crn wceq cv csn cuni snex rnex uniex df-2nd wrex
      fnmpti cab rnmpt wcel opex op2nda eqcomi sneq rneqd unieqd rspceeqv mp2an
      vex cop 2th abbi2i eqtr4i df-fo mpbir2an ) CCDEDCFDGZCHACAIZJZGZKZDUSURUQ
      LMNAOZQUPBIZUTHACPZBRCABCUTDVASVCBCVBCTVCBUIZVBVBUJZCTVBVEJZGZKZHVCVBVBUA
      VHVBVBVBVDVDUBUCAVECUTVHVBUQVEHZUSVGVIURVFUQVEUDUEUFUGUHUKULUMCCDUNUO $.
  $}

  $( Uniqueness condition for the binary relation ` 1st ` .  (Contributed by
     Scott Fenton, 2-Jul-2020.)  Revised to remove sethood hypothesis on
     ` C ` .  (Revised by Peter Mazsa, 17-Jan-2022.) $)
  br1steqg $p |-
                 ( ( A e. V /\ B e. W ) -> ( <. A , B >. 1st C <-> C = A ) ) $=
    ( wcel wa cop c1st cfv wceq wbr op1stg eqeq1d cvv wfn wb wfo fo1st fofn
    ax-mp opex fnbrfvb mp2an eqcom 3bitr3g ) ADFBEFGZABHZIJZCKZACKUHCILZCAKUGUI
    ACABDEMNIOPZUHOFUJUKQOOIRULSOOITUAABUBOUHCIUCUDACUEUF $.

  $( Uniqueness condition for the binary relation ` 2nd ` .  (Contributed by
     Scott Fenton, 2-Jul-2020.)  Revised to remove sethood hypothesis on
     ` C ` .  (Revised by Peter Mazsa, 17-Jan-2022.) $)
  br2ndeqg $p |-
                 ( ( A e. V /\ B e. W ) -> ( <. A , B >. 2nd C <-> C = B ) ) $=
    ( wcel wa cop c2nd cfv wceq wbr op2ndg eqeq1d cvv wfn wb wfo fo2nd fofn
    ax-mp opex fnbrfvb mp2an eqcom 3bitr3g ) ADFBEFGZABHZIJZCKZBCKUHCILZCBKUGUI
    BCABDEMNIOPZUHOFUJUKQOOIRULSOOITUAABUBOUHCIUCUDBCUEUF $.

  ${
    $d x y z A $.  $d x y z B $.
    $( Mapping of a restriction of the ` 1st ` (first member of an ordered
       pair) function.  (Contributed by NM, 11-Oct-2004.)  (Revised by Mario
       Carneiro, 8-Sep-2013.) $)
    f1stres $p |- ( 1st |` ( A X. B ) ) : ( A X. B ) --> A $=
      ( vx vy vz cv csn cdm cuni wcel cxp wral c1st cres cop vex wceq cvv cmpt
      wf op1sta eleq1i adantr rgen2 sneq dmeqd unieqd eleq1d ralxp mpbir df-1st
      biimpri reseq1i wss ssv resmpt ax-mp eqtri fmpt mpbi ) CFZGZHZIZAJZCABKZL
      ZVFAMVFNZTVGDFZEFZOZGZHZIZAJZEBLDALVODEABVIAJZVOVJBJVOVPVNVIAVIVJDPEPUAUB
      ULUCUDVEVOCDEABVAVKQZVDVNAVQVCVMVQVBVLVAVKUEUFUGUHUIUJCVFAVDVHVHCRVDSZVFN
      ZCVFVDSZMVRVFCUKUMVFRUNVSVTQVFUOCRVFVDUPUQURUSUT $.

    $( Mapping of a restriction of the ` 2nd ` (second member of an ordered
       pair) function.  (Contributed by NM, 7-Aug-2006.)  (Revised by Mario
       Carneiro, 8-Sep-2013.) $)
    f2ndres $p |- ( 2nd |` ( A X. B ) ) : ( A X. B ) --> B $=
      ( vx vy vz cv csn crn cuni wcel cxp wral c2nd cres cop vex wceq cvv cmpt
      wf op2nda eleq1i adantl rgen2 sneq rneqd unieqd eleq1d ralxp mpbir df-2nd
      biimpri reseq1i wss ssv resmpt ax-mp eqtri fmpt mpbi ) CFZGZHZIZBJZCABKZL
      ZVFBMVFNZTVGDFZEFZOZGZHZIZBJZEBLDALVODEABVJBJZVOVIAJVOVPVNVJBVIVJDPEPUAUB
      ULUCUDVEVOCDEABVAVKQZVDVNBVQVCVMVQVBVLVAVKUEUFUGUHUIUJCVFBVDVHVHCRVDSZVFN
      ZCVFVDSZMVRVFCUKUMVFRUNVSVTQVFUOCRVFVDUPUQURUSUT $.

    $( Onto mapping of a restriction of the ` 1st ` (first member of an ordered
       pair) function.  (Contributed by NM, 14-Dec-2008.) $)
    fo1stres $p |- ( B =/= (/) ->
                 ( 1st |` ( A X. B ) ) : ( A X. B ) -onto-> A ) $=
      ( vx vy c0 wne cxp c1st cres wf crn wa wss cv wcel cfv ax-mp jctil sylibr
      vex wfo wex wi n0 cop opelxp fvres op1st eqtr2di wfn f1stres ffn fnfvelrn
      wceq mpan eqeltrd sylbir expcom exlimiv sylbi ssrdv frn eqss dffo2 ) BEFZ
      ABGZAHVFIZJZVGKZAUNZLVFAVGUAVEVJVHVEVIAMZAVIMZLVJVEVLVKVECAVIVEDNZBOZDUBC
      NZAOZVOVIOZUCZDBUDVNVRDVPVNVQVPVNLVOVMUEZVFOZVQVOVMABUFVTVOVSVGPZVIVTWAVS
      HPVOVSVFHUGVOVMCTDTUHUIVGVFUJZVTWAVIOVHWBABUKZVFAVGULQVFVSVGUMUOUPUQURUSU
      TVAVHVKWCVFAVGVBQRVIAVCSWCRVFAVGVDS $.

    $( Onto mapping of a restriction of the ` 2nd ` (second member of an
       ordered pair) function.  (Contributed by NM, 14-Dec-2008.) $)
    fo2ndres $p |- ( A =/= (/) ->
                 ( 2nd |` ( A X. B ) ) : ( A X. B ) -onto-> B ) $=
      ( vy vx c0 wne cxp c2nd cres wf crn wa wss cv wcel cfv ax-mp jctil sylibr
      vex wfo wex wi n0 cop opelxp fvres op2nd eqtr2di wfn f2ndres ffn fnfvelrn
      wceq mpan eqeltrd sylbir ex exlimiv sylbi ssrdv frn eqss dffo2 ) AEFZABGZ
      BHVFIZJZVGKZBUNZLVFBVGUAVEVJVHVEVIBMZBVIMZLVJVEVLVKVECBVIVEDNZAOZDUBCNZBO
      ZVOVIOZUCZDAUDVNVRDVNVPVQVNVPLVMVOUEZVFOZVQVMVOABUFVTVOVSVGPZVIVTWAVSHPVO
      VSVFHUGVMVODTCTUHUIVGVFUJZVTWAVIOVHWBABUKZVFBVGULQVFVSVGUMUOUPUQURUSUTVAV
      HVKWCVFBVGVBQRVIBVCSWCRVFBVGVDS $.
  $}

  ${
    $d x y z w v $.  $d v w A $.
    $( Value of an alternate definition of the ` 1st ` function.  (Contributed
       by NM, 14-Oct-2004.)  (Revised by Mario Carneiro, 30-Dec-2014.) $)
    1st2val $p |- ( { <. <. x , y >. , z >. | z = x } ` A ) = ( 1st ` A ) $=
      ( vw vv cvv wcel weq cfv wceq cv wex vex eqtrdi eqtr4d cdm cuni c0 copab
      cxp coprab c1st cop elvv fveq2 df-ov simpl cmpo mpov eqcomi ovmpoa eqtr3i
      co op1std exlimivv sylbi wn csn wa pm3.2i ax6ev 2th opabbii df-xp dmoprab
      el2v 3eqtr4ri eleq2i ndmfv sylnbir wne dmsnn0 necon1bi unieqd uni0 1stval
      biimpri eqtr4di pm2.61i ) DGGUAZHZDCAIZABCUBZJZDUCJZKZWBDELZFLZUDZKZFMEMW
      GEFDUEWKWGEFWKWEWHWFWKWEWJWDJZWHDWJWDUFWHWIWDUNZWLWHWHWIWDUGWMWHKEFABWHWI
      GGALZWHWDAEIBFIUHABGGWNUIWDABCWNUJUKENZULVGUMOWHWIDWOFNUOPUPUQWBURZWEDUSQ
      ZRZWFWPWESWRWBDWDQZHWESKWSWADWNGHZBLGHZUTZABTWCCMZABTWAWSXBXCABXBXCWTXAAN
      BNVACAVBVCVDABGGVEWCABCVFVHVIDWDVJVKWPWRSRSWPWQSWBWQSWBWQSVLDVMVRVNVOVPOP
      DVQVSVT $.

    $( Value of an alternate definition of the ` 2nd ` function.  (Contributed
       by NM, 10-Aug-2006.)  (Revised by Mario Carneiro, 30-Dec-2014.) $)
    2nd2val $p |- ( { <. <. x , y >. , z >. | z = y } ` A ) = ( 2nd ` A ) $=
      ( vw vv cvv cxp wcel weq cfv wceq cv wex vex eqtrdi eqtr4d cuni c0 copab
      coprab c2nd elvv fveq2 co df-ov simpr cmpo mpov eqcomi ovmpoa el2v eqtr3i
      cop op2ndd exlimivv sylbi wn csn crn cdm pm3.2i ax6ev 2th opabbii dmoprab
      wa df-xp 3eqtr4ri eleq2i ndmfv sylnbir wne rnsnn0 biimpri necon1bi unieqd
      uni0 2ndval eqtr4di pm2.61i ) DGGHZIZDCBJZABCUAZKZDUBKZLZWCDEMZFMZUNZLZFN
      ENWHEFDUCWLWHEFWLWFWJWGWLWFWKWEKZWJDWKWEUDWIWJWEUEZWMWJWIWJWEUFWNWJLEFABW
      IWJGGBMZWJWEAEJBFJUGABGGWOUHWEABCWOUIUJFOZUKULUMPWIWJDEOWPUOQUPUQWCURZWFD
      USUTZRZWGWQWFSWSWCDWEVAZIWFSLWTWBDAMGIZWOGIZVGZABTWDCNZABTWBWTXCXDABXCXDX
      AXBAOBOVBCBVCVDVEABGGVHWDABCVFVIVJDWEVKVLWQWSSRSWQWRSWCWRSWCWRSVMDVNVOVPV
      QVRPQDVSVTWA $.
  $}

  $( Composition of the first member function with another function.
     (Contributed by NM, 12-Oct-2007.) $)
  1stcof $p |- ( F : A --> ( B X. C ) -> ( 1st o. F ) : A --> B ) $=
    ( cxp wf c1st ccom wfn crn wss cvv wfo fo1st fofn ax-mp ffn dffn2 cres frn
    sylib fnfco sylancr rnco ssres2 rnss 3syl f1stres sstrdi eqsstrid sylanbrc
    df-f ) ABCEZDFZGDHZAIZUOJZBKABUOFUNGLIZALDFZUPLLGMURNLLGOPUNDAIUSAUMDQADRUA
    LAGDUBUCUNUQGDJZSZJZBGDUDUNVBGUMSZJZBUNUTUMKVAVCKVBVDKAUMDTUTUMGUEVAVCUFUGU
    MBVCFVDBKBCUHUMBVCTPUIUJABUOULUK $.

  $( Composition of the second member function with another function.
     (Contributed by FL, 15-Oct-2012.) $)
  2ndcof $p |- ( F : A --> ( B X. C ) -> ( 2nd o. F ) : A --> C ) $=
    ( cxp wf c2nd ccom wfn crn wss cvv wfo fo2nd fofn ax-mp ffn dffn2 cres frn
    sylib fnfco sylancr rnco ssres2 rnss 3syl f2ndres sstrdi eqsstrid sylanbrc
    df-f ) ABCEZDFZGDHZAIZUOJZCKACUOFUNGLIZALDFZUPLLGMURNLLGOPUNDAIUSAUMDQADRUA
    LAGDUBUCUNUQGDJZSZJZCGDUDUNVBGUMSZJZCUNUTUMKVAVCKVBVDKAUMDTUTUMGUEVAVCUFUGU
    MCVCFVDCKBCUHUMCVCTPUIUJACUOULUK $.

  ${
    $d A b c $.  $d B b c $.  $d C b c $.
    $( Location of the first element of a Cartesian product.  (Contributed by
       Jeff Madsen, 2-Sep-2009.) $)
    xp1st $p |- ( A e. ( B X. C ) -> ( 1st ` A ) e. B ) $=
      ( vb vc cxp wcel cv cop wceq wex c1st cfv elxp vex op1std biimpar adantrr
      wa eleq1d exlimivv sylbi ) ABCFGADHZEHZIJZUCBGZUDCGZSSZEKDKALMZBGZDEABCNU
      HUJDEUEUFUJUGUEUJUFUEUIUCBUCUDADOEOPTQRUAUB $.
  $}

  ${
    $d A b c $.  $d B b c $.  $d C b c $.
    $( Location of the second element of a Cartesian product.  (Contributed by
       Jeff Madsen, 2-Sep-2009.) $)
    xp2nd $p |- ( A e. ( B X. C ) -> ( 2nd ` A ) e. C ) $=
      ( vb vc cxp wcel cv cop wceq wex c2nd cfv elxp vex op2ndd biimpar adantrl
      wa eleq1d exlimivv sylbi ) ABCFGADHZEHZIJZUCBGZUDCGZSSZEKDKALMZCGZDEABCNU
      HUJDEUEUGUJUFUEUJUGUEUIUDCUCUDADOEOPTQRUAUB $.
  $}

  $( Membership in a Cartesian product.  This version requires no quantifiers
     or dummy variables.  See also ~ elxp4 .  (Contributed by NM,
     9-Oct-2004.) $)
  elxp6 $p |- ( A e. ( B X. C ) <-> ( A = <. ( 1st ` A ) , ( 2nd ` A ) >.
               /\ ( ( 1st ` A ) e. B /\ ( 2nd ` A ) e. C ) ) ) $=
    ( cxp wcel csn cdm cuni crn cop wceq wa c1st cfv elxp4 1stval 2ndval eleq1i
    c2nd anbi12i opeq12i eqeq2i bitr4i ) ABCDEAAFZGHZUDIHZJZKZUEBEZUFCEZLZLAAMN
    ZASNZJZKZULBEZUMCEZLZLABCOUOUHURUKUNUGAULUEUMUFAPZAQZUAUBUPUIUQUJULUEBUSRUM
    UFCUTRTTUC $.

  $( Membership in a Cartesian product.  This version requires no quantifiers
     or dummy variables.  See also ~ elxp4 .  (Contributed by NM,
     19-Aug-2006.) $)
  elxp7 $p |- ( A e. ( B X. C ) <-> ( A e. ( _V X. _V )
               /\ ( ( 1st ` A ) e. B /\ ( 2nd ` A ) e. C ) ) ) $=
    ( cxp wcel c1st cfv c2nd cop wceq wa cvv fvex pm3.2i mpbiran2 anbi1i bitr4i
    elxp6 ) ABCDEAAFGZAHGZIJZSBETCEKZKALLDEZUBKABCRUCUAUBUCUASLEZTLEZKUDUEAFMAH
    MNALLROPQ $.

  $( Equality with an ordered pair.  (Contributed by NM, 15-Dec-2008.)
     (Revised by Mario Carneiro, 23-Feb-2014.) $)
  eqopi $p |- ( ( A e. ( V X. W ) /\ ( ( 1st ` A ) = B /\ ( 2nd ` A ) = C ) )
              -> A = <. B , C >. ) $=
    ( cxp wcel cvv c1st cfv wceq c2nd wa cop xpss sseli simplbi opeq12 sylan9eq
    elxp6 sylan ) ADEFZGAHHFZGZAIJZBKALJZCKMZABCNZKUBUCADEOPUDUGAUEUFNZUHUDAUIK
    UEHGUFHGMAHHTQUEUFBCRSUA $.

  ${
    $d x A $.  $d x B $.
    $( Representation of Cartesian product based on ordered pair component
       functions.  (Contributed by NM, 16-Sep-2006.) $)
    xp2 $p |- ( A X. B ) = { x e. ( _V X. _V ) | ( ( 1st ` x ) e. A /\
              ( 2nd ` x ) e. B ) } $=
      ( cxp cv cvv wcel c1st cfv c2nd wa cab crab elxp7 abbi2i df-rab eqtr4i )
      BCDZAEZFFDZGSHIBGSJICGKZKZALUAATMUBARSBCNOUAATPQ $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( The membership relation for a Cartesian product is inherited by union.
       (Contributed by NM, 16-Sep-2006.) $)
    unielxp $p |- ( A e. ( B X. C ) -> U. A e. U. ( B X. C ) ) $=
      ( vx cxp wcel cvv c1st cfv c2nd wa cuni elxp7 elvvuni adantr cv cab fveq2
      eleq1d anbi12d wex simprl wceq eleq2 eleq1 spcegv eluniab sylibr crab xp2
      mpcom df-rab eqtri unieqi eleqtrrdi mpancom sylbi ) ABCEZFAGGEZFZAHIZBFZA
      JIZCFZKZKZALZURLZFZABCMVGAFZVFVIUTVJVEANOVJVFKZVGDPZUSFZVLHIZBFZVLJIZCFZK
      ZKZDQZLZVHVKVGVLFZVSKZDUAZVGWAFUTVKWDVJUTVEUBWCVKDAUSVLAUCZWBVJVSVFVLAVGU
      DWEVMUTVRVEVLAUSUEWEVOVBVQVDWEVNVABVLAHRSWEVPVCCVLAJRSTTTUFUKVSDVGUGUHURV
      TURVRDUSUIVTDBCUJVRDUSULUMUNUOUPUQ $.
  $}

  $( Reconstruction of a member of a Cartesian product in terms of its ordered
     pair components.  (Contributed by NM, 20-Oct-2013.) $)
  1st2nd2 $p |- ( A e. ( B X. C ) -> A = <. ( 1st ` A ) , ( 2nd ` A ) >. ) $=
    ( cxp wcel c1st cfv c2nd cop wceq wa elxp6 simplbi ) ABCDEAAFGZAHGZIJNBEOCE
    KABCLM $.

  $( Reconstruction of an ordered pair in terms of its components.
     (Contributed by NM, 25-Feb-2014.) $)
  1st2ndb $p |- ( A e. ( _V X. _V )
      <-> A = <. ( 1st ` A ) , ( 2nd ` A ) >. ) $=
    ( cvv cxp wcel c1st cfv c2nd cop wceq 1st2nd2 fvex opelvv eqeltrdi impbii
    id ) ABBCZDAAEFZAGFZHZIZABBJTASPTOQRAEKAGKLMN $.

  $( An ordered pair theorem for members of Cartesian products.  (Contributed
     by NM, 20-Jun-2007.) $)
  xpopth $p |- ( ( A e. ( C X. D ) /\ B e. ( R X. S ) ) ->
       ( ( ( 1st ` A ) = ( 1st ` B ) /\
     ( 2nd ` A ) = ( 2nd ` B ) ) <-> A = B ) ) $=
    ( cxp wcel wa wceq c1st cfv c2nd cop 1st2nd2 eqeqan12d fvex opth bitr2di )
    ACDGHZBEFGHZIABJAKLZAMLZNZBKLZBMLZNZJUBUEJUCUFJITUAAUDBUGACDOBEFOPUBUCUEUFA
    KQAMQRS $.

  $( Two ways to express equality with an ordered pair.  (Contributed by NM,
     3-Sep-2007.)  (Proof shortened by Mario Carneiro, 26-Apr-2015.) $)
  eqop $p |- ( A e. ( V X. W ) -> ( A = <. B , C >.
            <-> ( ( 1st ` A ) = B /\ ( 2nd ` A ) = C ) ) ) $=
    ( cxp wcel cop wceq c1st cfv c2nd wa 1st2nd2 eqeq1d fvex opth bitrdi ) ADEF
    GZABCHZIAJKZALKZHZTIUABIUBCIMSAUCTADENOUAUBBCAJPALPQR $.

  ${
    eqop2.1 $e |- B e. _V $.
    eqop2.2 $e |- C e. _V $.
    $( Two ways to express equality with an ordered pair.  (Contributed by NM,
       25-Feb-2014.) $)
    eqop2 $p |- ( A = <. B , C >.
       <-> ( A e. ( _V X. _V ) /\ ( ( 1st ` A ) = B /\ ( 2nd ` A ) = C ) ) ) $=
      ( cop wceq cvv cxp wcel c1st cfv c2nd opelvv eleq1 mpbiri eqop biadanii
      wa ) ABCFZGZAHHIZJZAKLBGAMLCGSUAUCTUBJBCDENATUBOPABCHHQR $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Two ways of expressing that an element is the first member of an ordered
       pair.  (Contributed by NM, 22-Sep-2013.)  (Revised by Mario Carneiro,
       23-Feb-2014.) $)
    op1steq $p |- ( A e. ( V X. W )
         -> ( ( 1st ` A ) = B <-> E. x A = <. B , x >. ) ) $=
      ( cxp wcel cvv c1st cfv wceq cv cop wex wb xpss sseli wa c2nd syl eqid ex
      eqopi mpanr2 fvex opeq2 eqeq2d spcev eqop simpl syl6bi exlimdv impbid ) B
      DEFZGBHHFZGZBIJCKZBCALZMZKZANZOUNUOBDEPQUPUQVAUPUQVAUPUQRBCBSJZMZKZVAUPUQ
      VBVBKVDVBUABCVBHHUCUDUTVDAVBBSUEURVBKUSVCBURVBCUFUGUHTUBUPUTUQAUPUTUQVBUR
      KZRUQBCURHHUIUQVEUJUKULUMT $.
  $}

  ${
    $d A a b p $.  $d B a b p $.  $d ph a b $.
    opreuopreu.a $e |- ( ( a = ( 1st ` p ) /\ b = ( 2nd ` p ) )
                         -> ( ps <-> ph ) ) $.
    $( There is a unique ordered pair fulfilling a wff iff its components
       fulfil a corresponding wff.  (Contributed by AV, 2-Jul-2023.) $)
    opreuopreu $p |- ( E! p e. ( A X. B ) ph
                <-> E! p e. ( A X. B ) E. a E. b ( p = <. a , b >. /\ ps ) ) $=
      ( cv wceq wa wex wcel wi c1st cfv c2nd vex eqcomi fveq2 cop cxp simprl wb
      elxpi op1st pm3.2i eqeq2d anbi12d mpbiri syl biimprd adantr impcom jca ex
      op2nd 2eximdv syl5com biimpa a1i exlimdvv impbid reubiia ) AEIZFIZGIZUAZJ
      ZBKZGLFLZECDUBZVEVLMZAVKVMVIVFCMVGDMKZKZGLFLAVKFGVECDUEAVOVJFGAVOVJAVOKVI
      BAVIVNUCVOABVIABNVNVIBAVIVFVEOPZJZVGVEQPZJZKZBAUDVIVTVFVHOPZJZVGVHQPZJZKW
      BWDWAVFVFVGFRZGRZUFSWCVGVFVGWEWFUQSUGVIVQWBVSWDVIVPWAVFVEVHOTUHVIVRWCVGVE
      VHQTUHUIUJHUKZULUMUNUOUPURUSVMVJAFGVJANVMVIBAWGUTVAVBVCVD $.
  $}

  ${
    $d A p x y z $.  $d B p x y z $.  $d C p x y z $.  $d D p x y z $.
    $( A member of a nested Cartesian product is an ordered triple.
       (Contributed by Alexander van der Vekens, 15-Feb-2018.) $)
    el2xptp $p |- ( A e. ( ( B X. C ) X. D )
                    <-> E. x e. B E. y e. C E. z e. D A = <. x , y , z >. ) $=
      ( vp cxp wcel cv cop wceq wrex cotp elxp2 opeq1 eqeq2d rexbidv rexbii
      rexxp df-ot eqcomi eqeq2i 3bitri ) DEFIZGIJDHKZCKZLZMZCGNZHUFNDAKZBKZLZUH
      LZMZCGNZBFNZAENDULUMUHOZMZCGNZBFNZAENHCDUFGPUKUQHABEFUGUNMZUJUPCGVCUIUODU
      GUNUHQRSUAURVBAEUQVABFUPUTCGUOUSDUSUOULUMUHUBUCUDTTTUE $.
  $}

  $( A member of a nested Cartesian product is an ordered triple.  (Contributed
     by Alexander van der Vekens, 15-Feb-2018.) $)
  el2xptp0 $p |- ( ( X e. U /\ Y e. V /\ Z e. W )
                -> ( ( A e. ( ( U X. V ) X. W ) /\ ( ( 1st ` ( 1st ` A ) ) = X
                           /\ ( 2nd ` ( 1st ` A ) ) = Y /\ ( 2nd ` A ) = Z ) )
                     <-> A = <. X , Y , Z >. ) ) $=
    ( wcel w3a cxp c1st cfv wceq c2nd wa cop ad2antrl adantl jca sylan9eqr cotp
    xp1st 3simpa eqopi syl2anc simprr3 df-ot eqeq2i eqop syl5bb opelxpi 3adant3
    wb mpbird simp3 opelxpd eqeltrid adantr eleq1 2fveq3 ot1stg ot2ndg 3ad2ant3
    fveq2 ot3rdg 3jca impbida ) EBHZFCHZGDHZIZABCJZDJZHZAKLZKLZEMZVONLZFMZANLZG
    MZIZOZAEFGUAZMZVKWCOZWEVOEFPZMZWAOZWFWHWAWFVOVLHZVQVSOZWHVNWJVKWBAVLDUBQWCW
    KVKWBWKVNVQVSWAUCRRVOEFBCUDUEVQVSWAVNVKUFSVNWEWIUMVKWBWEAWGGPZMVNWIWDWLAEFG
    UGZUHAWGGVLDUIUJQUNVKWEOZVNWBWNVNWDVMHZVKWOWEVKWDWLVMWMVKWGGVLDVHVIWGVLHVJE
    FBCUKULVHVIVJUOUPUQURWEVNWOUMVKAWDVMUSRUNWNVQVSWAWEVKVPWDKLZKLEAWDKKUTEFGBC
    DVATWEVKVRWPNLFAWDNKUTEFGBCDVBTWEVKVTWDNLZGAWDNVDVJVHWQGMVIEFGDVEVCTVFSVG
    $.

  $( Swap the members of an ordered pair.  (Contributed by NM, 31-Dec-2014.) $)
  2nd1st $p |- ( A e. ( B X. C ) ->
    U. `' { A } = <. ( 2nd ` A ) , ( 1st ` A ) >. ) $=
    ( cxp wcel csn ccnv cuni c1st cfv 1st2nd2 sneqd cnveqd unieqd opswap eqtrdi
    c2nd cop ) ABCDEZAFZGZHAIJZAQJZRZFZGZHUCUBRSUAUFSTUESAUDABCKLMNUBUCOP $.

  $( Reconstruction of a member of a relation in terms of its ordered pair
     components.  (Contributed by NM, 29-Aug-2006.) $)
  1st2nd $p |- ( ( Rel B /\ A e. B ) ->
               A = <. ( 1st ` A ) , ( 2nd ` A ) >. ) $=
    ( wrel wcel wa cvv cxp c1st cfv c2nd cop wceq wss df-rel sylanb 1st2nd2 syl
    ssel2 ) BCZABDZEAFFGZDZAAHIAJIKLSBUAMTUBBNBUAAROAFFPQ $.

  $( The first ordered pair component of a member of a relation belongs to the
     domain of the relation.  (Contributed by NM, 17-Sep-2006.) $)
  1stdm $p |- ( ( Rel R /\ A e. R ) -> ( 1st ` A ) e. dom R ) $=
    ( wrel wcel c1st cfv cint cdm cvv cxp wceq wss df-rel biimpi sselda 1stval2
    wa syl elreldm eqeltrd ) BCZABDQZAEFZAGGZBHUBAIIJZDUCUDKUABUEAUABUELBMNOAPR
    BAST $.

  $( The second ordered pair component of a member of a relation belongs to the
     range of the relation.  (Contributed by NM, 17-Sep-2006.) $)
  2ndrn $p |- ( ( Rel R /\ A e. R ) -> ( 2nd ` A ) e. ran R ) $=
    ( wrel wcel wa c1st cfv c2nd cop crn 1st2nd simpr eqeltrrd fvex opelrn syl
    ) BCZABDZEZAFGZAHGZIZBDUABJDSAUBBABKQRLMTUABAFNAHNOP $.

  $( Express an element of a relation as a relationship between first and
     second components.  (Contributed by Mario Carneiro, 22-Jun-2016.) $)
  1st2ndbr $p |- ( ( Rel B /\ A e. B ) -> ( 1st ` A ) B ( 2nd ` A ) ) $=
    ( wrel wcel wa c1st cfv c2nd cop wbr 1st2nd simpr eqeltrrd df-br sylibr ) B
    CZABDZEZAFGZAHGZIZBDSTBJRAUABABKPQLMSTBNO $.

  ${
    $d x y A $.  $d x y B $.
    $( Two ways of expressing membership in the domain of a relation.
       (Contributed by NM, 22-Sep-2013.) $)
    releldm2 $p |- ( Rel A
         -> ( B e. dom A <-> E. x e. A ( 1st ` x ) = B ) ) $=
      ( vy wrel cdm wcel cv c1st cfv wceq wrex cvv wa elex anim2i id fvex wex
      wb eqeltrrdi rexlimivw cop eldm2g adantl cxp wss wi df-rel ssel sylbi imp
      op1steq syl rexbidva adantr rexcom4 risset bitr4i bitrdi bitr4d pm5.21nd
      exbii ) BEZCBFZGZAHZIJZCKZABLZVDCMGZNZVFVKVDCVEOPVJVKVDVIVKABVICVHMVIQVGI
      RUAUBPVLVFCDHUCZBGZDSZVJVKVFVOTVDDCBMUDUEVLVJVGVMKZDSZABLZVOVDVJVRTVKVDVI
      VQABVDVGBGZNVGMMUFZGZVIVQTVDVSWAVDBVTUGVSWAUHBUIBVTVGUJUKULDVGCMMUMUNUOUP
      VRVPABLZDSVOVPADBUQVNWBDAVMBURVCUSUTVAVB $.
  $}

  ${
    $d x y z A $.
    $( An expression for the domain of a relation.  (Contributed by NM,
       22-Sep-2013.) $)
    reldm $p |- ( Rel A -> dom A = ran ( x e. A |-> ( 1st ` x ) ) ) $=
      ( vy vz wrel cdm cv c1st cfv cmpt crn wcel wceq wrex releldm2 wfn wb fvex
      eqid fnmpti fvelrnb ax-mp fveq2 fvmpt eqeq1d rexbiia bitr2id bitrd eqrdv
      a1i ) BEZCBFZABAGZHIZJZKZUKCGZULLDGZHIZUQMZDBNZUQUPLZDBUQOVBURUOIZUQMZDBN
      ZUKVAUOBPVBVEQABUNUOUMHRUOSZTDBUQUOUAUBVEVAQUKVDUTDBURBLVCUSUQAURUNUSBUOU
      MURHUCVFURHRUDUEUFUJUGUHUI $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( One way of expressing membership in the difference of domains of two
       nested relations.  (Contributed by AV, 26-Oct-2023.) $)
    releldmdifi $p |- ( ( Rel A /\ B C_ A ) -> ( C e. ( dom A \ dom B )
                                    -> E. x e. ( A \ B ) ( 1st ` x ) = C ) ) $=
      ( wrel wss wa cdm cdif wcel cv c1st wceq wrex wn eldif wb releldm2 adantr
      cfv anbi1d syl5bb wral simprl relss 1stdm sylan eleq1 syl5ibcom rexlimdva
      impcom con3d ralnex syl6ibr adantld imp rexdifi syl2anc ex sylbid ) BEZCB
      FZGZDBHZCHZIJZAKZLTZDMZABNZDVEJZOZGZVIABCINZVFDVDJZVLGVCVMDVDVEPVCVOVJVLV
      AVOVJQVBABDRSUAUBVCVMVNVCVMGVJVIOACUCZVNVCVJVLUDVCVMVPVCVLVPVJVCVLVIACNZO
      VPVCVQVKVCVIVKACVCVGCJZGVHVEJZVIVKVCCEZVRVSVBVAVTCBUEUKVGCUFUGVHDVEUHUIUJ
      ULVIACUMUNUOUPVIABCUQURUSUT $.
  $}

  $( The function value for the first component of an ordered pair is the
     second component of the ordered pair.  (Contributed by AV,
     17-Oct-2023.) $)
  funfv1st2nd $p |- ( ( Fun F /\ X e. F )
                      -> ( F ` ( 1st ` X ) ) = ( 2nd ` X ) ) $=
    ( wfun wcel wa c1st cfv c2nd cop wceq wrel funrel 1st2nd sylan eleq1 adantl
    wb wi funopfv adantr sylbid impancom mpd ) ACZBADZEBBFGZBHGZIZJZUFAGUGJZUDA
    KUEUIALBAMNUDUIUEUJUDUIEUEUHADZUJUIUEUKQUDBUHAOPUDUKUJRUIUFUGASTUAUBUC $.

  $( If the first component of an element of a function is in the domain of a
     subset of the function, the element is a member of this subset.
     (Contributed by AV, 27-Oct-2023.) $)
  funelss $p |- ( ( Fun A /\ B C_ A /\ X e. A )
                  -> ( ( 1st ` X ) e. dom B -> X e. B ) ) $=
    ( wfun wss wcel c1st cfv cdm wi wa c2nd cop wceq wrel sylan wb eleq1 adantr
    imp funrel 1st2nd w3a simpl1l simpl3 simpr funssfv syl3anc funopfv impancom
    adantl sylbid 3adant3 eqtr3d wfn funss com12 3adant2 fnopfvb mpbid 3ad2ant2
    funfnd mpbird 3exp1 mpd ex com23 3imp ) ADZBAEZCAFZCGHZBIZFZCBFZJZVIVKVJVPV
    IVKVJVPJZVIVKKZCVLCLHZMZNZVQVIAOVKWAAUACAUBPVRWAVJVNVOVRWAVJUCZVNKZVOVTBFZW
    CVLBHZVSNZWDWCVLAHZWEVSWCVIVJVNWGWENVIVKWAVJVNUDVRWAVJVNUEWBVNUFVLABUGUHWBW
    GVSNZVNVRWAWHVJVRWAWHVIWAVKWHVIWAKVKVTAFZWHWAVKWIQVICVTARUKVIWIWHJWAVLVSAUI
    SULUJTUMSUNWBBVMUOZVNWFWDQVRVJWJWAVRVJKBVRVJBDZVIVJWKJVKVJVIWKBAUPUQSTVBURV
    MVLVSBUSPUTWBVOWDQZVNWAVRWLVJCVTBRVASVCVDVEVFVGVH $.

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Two ways of expressing membership in the difference of domains of two
       nested functions.  (Contributed by AV, 27-Oct-2023.) $)
    funeldmdif $p |- ( ( Fun A /\ B C_ A ) -> ( C e. ( dom A \ dom B )
                                   <-> E. x e. ( A \ B ) ( 1st ` x ) = C ) ) $=
      ( wfun wss wa cdm cdif wcel cv c1st cfv wceq wrex wrel wi funrel adantr
      wn releldmdifi sylan eldif w3a 1stdm syl com12 impcom funelss 3expa con3d
      ex impr eldifd 3adant3 eleq1 3ad2ant3 mpbid 3exp syl5bi rexlimdv impbid
      wb ) BEZCBFZGZDBHZCHZIZJZAKZLMZDNZABCIZOZVDBPZVEVJVOQBRZABCDUAUBVFVMVJAVN
      VKVNJVKBJZVKCJZTZGZVFVMVJQVKBCUCVFWAVMVJVFWAVMUDVLVIJZVJVFWAWBVMVFWAGVLVG
      VHWAVFVLVGJZVRVFWCQVTVFVRWCVDVRWCQZVEVDVPWDVQVPVRWCVKBUEULUFSUGSUHVFVRVTV
      LVHJZTVFVRGWEVSVDVEVRWEVSQBCVKUIUJUKUMUNUOVMVFWBVJVCWAVLDVIUPUQURUSUTVAVB
      $.
  $}

  $( Equality theorem for substitution of a class for an ordered pair (analogue
     of ~ sbceq1a that avoids the existential quantifiers of ~ copsexg ).
     (Contributed by NM, 19-Aug-2006.)  (Revised by Mario Carneiro,
     31-Aug-2015.) $)
  sbcopeq1a $p |- ( A = <. x , y >. ->
      ( [. ( 1st ` A ) / x ]. [. ( 2nd ` A ) / y ]. ph <-> ph ) ) $=
    ( cv cop wceq c2nd cfv wsbc c1st wb vex op2ndd eqcomd sbceq1a op1std bitr2d
    syl ) DBEZCEZFGZAACDHIZJZUDBDKIZJZUBUAUCGAUDLUBUCUATUADBMZCMZNOACUCPSUBTUEG
    UDUFLUBUETTUADUGUHQOUDBUEPSR $.

  $( Equality theorem for substitution of a class ` A ` for an ordered pair
     ` <. x , y >. ` in ` B ` (analogue of ~ csbeq1a ).  (Contributed by NM,
     19-Aug-2006.)  (Revised by Mario Carneiro, 31-Aug-2015.) $)
  csbopeq1a $p |- ( A = <. x , y >. ->
      [_ ( 1st ` A ) / x ]_ [_ ( 2nd ` A ) / y ]_ B = B ) $=
    ( cv cop wceq c2nd cfv csb c1st vex op2ndd eqcomd csbeq1a syl op1std eqtr2d
    ) CAEZBEZFGZDBCHIZDJZACKIZUCJZUATUBGDUCGUAUBTSTCALZBLZMNBUBDOPUASUDGUCUEGUA
    UDSSTCUFUGQNAUDUCOPR $.

  ${
    $d z ph $.  $d x y z $.
    $( A way to define an ordered-pair class abstraction without using
       existential quantifiers.  (Contributed by NM, 18-Aug-2006.)  (Revised by
       Mario Carneiro, 31-Aug-2015.) $)
    dfopab2 $p |- { <. x , y >. | ph } = { z e. ( _V X. _V ) |
                  [. ( 1st ` z ) / x ]. [. ( 2nd ` z ) / y ]. ph } $=
      ( cv cop wceq wex cab cvv cxp wcel c2nd cfv wsbc c1st nfsbc1v 19.41 exbii
      wa copab crab sbcopeq1a pm5.32i nfcv nfsbcw bitr3i anbi1i 3bitr4i df-opab
      elvv abbii df-rab 3eqtr4i ) DEZBECEFGZATZCHZBHZDIUOJJKZLZACUOMNZOZBUOPNZO
      ZTZDIABCUAVEDUTUBUSVFDUPCHZVETZBHVGBHZVETUSVFVGVEBVCBVDQRURVHBURUPVETZCHV
      HVJUQCUPVEAABCUOUCUDSUPVECVCCBVDCVDUEACVBQUFRUGSVAVIVEBCUOUKUHUIULABCDUJV
      EDUTUMUN $.
  $}

  ${
    $d w ph $.  $d x y z w $.
    $( A way to define an operation class abstraction without using existential
       quantifiers.  (Contributed by NM, 18-Aug-2006.)  (Revised by Mario
       Carneiro, 31-Aug-2015.) $)
    dfoprab3s $p |- { <. <. x , y >. , z >. | ph } = { <. w , z >. |
       ( w e. ( _V X. _V )
           /\ [. ( 1st ` w ) / x ]. [. ( 2nd ` w ) / y ]. ph ) } $=
      ( coprab cv cop wceq wex copab cvv cxp wcel cfv wsbc nfsbc1v 19.41 exbii
      wa c2nd c1st dfoprab2 sbcopeq1a pm5.32i nfcv nfsbcw bitr3i anbi1i 3bitr4i
      elvv opabbii eqtri ) ABCDFEGZBGCGHIZATZCJZBJZEDKUNLLMNZACUNUAOZPZBUNUBOZP
      ZTZEDKABCDEUCURVDEDUOCJZVCTZBJVEBJZVCTURVDVEVCBVABVBQRUQVFBUQUOVCTZCJVFVH
      UPCUOVCAABCUNUDUESUOVCCVACBVBCVBUFACUTQUGRUHSUSVGVCBCUNUKUIUJULUM $.
  $}

  ${
    $d x y ph $.  $d w ps $.  $d x y z w $.
    dfoprab3.1 $e |- ( w = <. x , y >. -> ( ph <-> ps ) ) $.
    $( Operation class abstraction expressed without existential quantifiers.
       (Contributed by NM, 16-Dec-2008.) $)
    dfoprab3 $p |- { <. w , z >. | ( w e. ( _V X. _V ) /\ ph ) } =
       { <. <. x , y >. , z >. | ps } $=
      ( coprab cv cvv c2nd cfv wsbc c1st wa copab fvex wceq wb eqcom wcel eqopi
      cxp dfoprab3s cop anbi12i sylan2b syl bicomd ex sbc2iedv pm5.32i opabbii
      eqtr2i ) BCDEHFIZJJUCUAZBDUOKLZMCUONLZMZOZFEPUPAOZFEPBCDEFUDUTVAFEUPUSAUP
      BACDURUQUONQUOKQUPCIZURRZDIZUQRZOZBASUPVFOZABVGUOVBVDUERZABSVFUPURVBRZUQV
      DRZOVHVCVIVEVJVBURTVDUQTUFUOVBVDJJUBUGGUHUIUJUKULUMUN $.
  $}

  ${
    $d w x y A $.  $d w x y B $.  $d x y ph $.  $d w ps $.  $d w x y z $.
    dfoprab4.1 $e |- ( w = <. x , y >. -> ( ph <-> ps ) ) $.
    $( Operation class abstraction expressed without existential quantifiers.
       (Contributed by NM, 3-Sep-2007.)  (Revised by Mario Carneiro,
       31-Aug-2015.) $)
    dfoprab4 $p |- { <. w , z >. | ( w e. ( A X. B ) /\ ph ) } =
      { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B ) /\ ps ) } $=
      ( cv cxp wcel wa copab cvv coprab xpss sseli adantr pm4.71ri opabbii wceq
      cop eleq1 opelxp bitrdi anbi12d dfoprab3 eqtri ) FJZGHKZLZAMZFENUJOOKZLZU
      MMZFENCJZGLDJZHLMZBMZCDEPUMUPFEUMUOULUOAUKUNUJGHQRSTUAUMUTCDEFUJUQURUCZUB
      ZULUSABVBULVAUKLUSUJVAUKUDUQURGHUEUFIUGUHUI $.
  $}

  ${
    $d t u w x y z $.  $d t u w x y A $.  $d t u w x y B $.  $d t u w ps $.
    $d t u ph $.
    dfoprab4f.x $e |- F/ x ph $.
    dfoprab4f.y $e |- F/ y ph $.
    dfoprab4f.1 $e |- ( w = <. x , y >. -> ( ph <-> ps ) ) $.
    $( Operation class abstraction expressed without existential quantifiers.
       (Contributed by NM, 20-Dec-2008.)  Remove unnecessary distinct variable
       conditions.  (Revised by David Abernethy, 19-Jun-2012.)  (Revised by
       Mario Carneiro, 31-Aug-2015.) $)
    dfoprab4f $p |- { <. w , z >. | ( w e. ( A X. B ) /\ ph ) } =
      { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B ) /\ ps ) } $=
      ( vt vu cv wcel wa cop wceq wb nfv cxp copab coprab nfs1v nfbi nfim opeq1
      wi eqeq2d sbequ12 bibi2d imbi12d opeq2 chvarfv dfoprab4 nfan nfsbv eleq1w
      wsb bi2anan9 sylan9bbr anbi12d cbvoprab12 eqtr4i ) FNZGHUAOAPFEUBLNZGOZMN
      ZHOZPZBDMUSZCLUSZPZLMEUCCNZGOZDNZHOZPZBPZCDEUCAVLLMEFGHVEVNVHQZRZAVKSZUHZ
      VEVFVHQZRZAVLSZUHCLWEWFCWECTAVLCIVKCLUDZUEUFVNVFRZWAWEWBWFWHVTWDVEVNVFVHU
      GUIWHVKVLAVKCLUJZUKULVEVNVPQZRZABSZUHWCDMWAWBDWADTAVKDJBDMUDZUEUFVPVHRZWK
      WAWLWBWNWJVTVEVPVHVNUMUIWNBVKABDMUJZUKULKUNUNUOVSVMCDELMVSLTVSMTVJVLCVJCT
      WGUPVJVLDVJDTVKCLDWMUQUPWHWNPVRVJBVLWHVOVGWNVQVICLGURDMHURUTWNBVKWHVLWOWI
      VAVBVCVD $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ph $.
    opabex2.1 $e |- ( ph -> A e. V ) $.
    opabex2.2 $e |- ( ph -> B e. W ) $.
    opabex2.3 $e |- ( ( ph /\ ps ) -> x e. A ) $.
    opabex2.4 $e |- ( ( ph /\ ps ) -> y e. B ) $.
    $( Condition for an operation to be a set.  (Contributed by Thierry Arnoux,
       25-Jun-2019.) $)
    opabex2 $p |- ( ph -> { <. x , y >. | ps } e. _V ) $=
      ( copab cxp cvv xpexd opabssxpd ssexd ) ABCDMEFNOAEFGHIJPABCDEFKLQR $.
  $}

  ${
    $d x y $.  $d ph x $.
    $( An ordered-pair class abstraction which does not depend on the first
       abstraction variable is a proper class.  There must be, however, at
       least one set which satisfies the restricting wff.  (Contributed by AV,
       27-Dec-2020.) $)
    opabn1stprc $p |- ( E. y ph -> { <. x , y >. | ph } e/ _V ) $=
      ( wex copab cvv wcel wn wnel cdm cv wa vex biantrur opabbii dmeqi wral id
      wceq ralrimivw dmopab3 sylib eqtrid vprc a1i eqneltrd dmexg df-nel sylibr
      nsyl ) ACDZABCEZFGZHULFIUKULJZFGUMUKUNFFUKUNBKFGZALZBCEZJZFULUQAUPBCUOABM
      NOPUKUKBFQURFSUKUKBFUKRTABCFUAUBUCFFGHUKUDUEUFULFUGUJULFUHUI $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d y ch $.  $d z ph $.
    $d x y z D $.  $d x ps $.
    opiota.1 $e |- I =
      ( iota z E. x e. A E. y e. B ( z = <. x , y >. /\ ph ) ) $.
    opiota.2 $e |- X = ( 1st ` I ) $.
    opiota.3 $e |- Y = ( 2nd ` I ) $.
    opiota.4 $e |- ( x = C -> ( ph <-> ps ) ) $.
    opiota.5 $e |- ( y = D -> ( ps <-> ch ) ) $.
    $( The property of a uniquely specified ordered pair.  The proof uses
       properties of the ` iota ` description binder.  (Contributed by Mario
       Carneiro, 21-May-2015.) $)
    opiota $p |- ( E! z E. x e. A E. y e. B ( z = <. x , y >. /\ ph ) ->
      ( ( C e. A /\ D e. B /\ ch ) <-> ( C = X /\ D = Y ) ) ) $=
      ( wceq wa cv cop wrex weu wcel c1st cfv c2nd w3a ceqsrex2v bicomd cio cvv
      opex a1i id wb eqeq1 eqcom opth bitri bitrdi anbi1d 2rexbidv adantl nfeu1
      vex nfcvd iota2df eqeq1i bitr4di sylan9bbr pm5.32da cxp cab opelxpi simpl
      nfvd eleq1d syl5ibrcom rexlimivv abssi iotacl sselid opelxp eleq1 bitr3id
      eqeltrid pm4.71rd 1st2nd2 eqeq2d 3bitr2d df-3an eqeq2i anbi12i fvex opth2
      syl bitr4i 3bitr4g ) FUAZDUAZEUAZUBZSZATZEHUCDGUCZFUDZIGUEZJHUEZTZCTZIJUB
      ZKUFUGZKUHUGZUBZSZXIXJCUIILSZJMSZTZXHXLXKXMKSZTYAXQXHXKCYAXKCXBISXCJSTZAT
      ZEHUCDGUCZXHYAXKYDCABCDEIJGHQRUJUKXHYDXGFULZXMSZYAXHXGYDFXMUMXMUMUEXHIJUN
      UOXHUPXAXMSZXGYDUQXHYGXFYCDEGHYGXEYBAYGXEXMXDSZYBXAXMXDURYHXDXMSYBXMXDUSX
      BXCIJDVGEVGUTVAVBVCVDVEXGFVFXHYDFVRXHFXMVHVIYAKXMSYFXMKUSKYEXMNVJVAVKVLVM
      XHYAXKXHXKYAKGHVNZUEZXHKYEYINXHXGFVOYIYEXGFYIXFXAYIUEZDEGHXBGUEXCHUETYKXF
      XDYIUEXBXCGHVPXFXAXDYIXEAVQVSVTWAWBXGFWCWDWHZXKXMYIUEYAYJIJGHWEXMKYIWFWGV
      TWIXHKXPXMXHYJKXPSYLKGHWJWRWKWLXIXJCWMXTIXNSZJXOSZTXQXRYMXSYNLXNIOWNMXOJP
      WNWOIJXNXOKUFWPKUHWPWQWSWT $.
  $}

  ${
    $d a x y z $.  $d a ph $.  $d x y ps $.
    cnvoprab.1 $e |- ( a = <. x , y >. -> ( ps <-> ph ) ) $.
    cnvoprab.2 $e |- ( ps -> a e. ( _V X. _V ) ) $.
    $( The converse of a class abstraction of nested ordered pairs.
       (Contributed by Thierry Arnoux, 17-Aug-2017.)  (Proof shortened by
       Thierry Arnoux, 20-Feb-2022.) $)
    cnvoprab $p |- `' { <. <. x , y >. , z >. | ph } = { <. z , a >. | ps } $=
      ( cv cvv cxp wcel wa copab ccnv coprab dfoprab3 cnveqi cin cnvopab inopab
      wss wceq ssopab2i sseqin2 mpbi 3eqtr2i eqtr3i ) FIJJKLZBMZFENZOZACDEPZOBE
      FNZUKUMBACDEFGQRULUJEFNUIEFNZUNSZUNUJFETUIBEFUAUNUOUBUPUNUCBUIEFHUDUNUOUE
      UFUGUH $.
  $}

  ${
    $d x y z u A $.  $d x y z u B $.  $d x y z u C $.
    $( Define the Cartesian product of three classes.  Compare ~ df-xp .
       (Contributed by FL, 6-Nov-2013.)  (Proof shortened by Mario Carneiro,
       3-Nov-2015.) $)
    dfxp3 $p |- ( ( A X. B ) X. C ) =
      { <. <. x , y >. , z >. | ( x e. A /\ y e. B /\ z e. C ) } $=
      ( vu cv cxp wcel wa copab coprab w3a cop wceq biidd dfoprab4 df-xp df-3an
      oprabbii 3eqtr4i ) GHZDEIZJCHFJZKGCLAHZDJZBHZEJZKUEKZABCMUDFIUGUIUENZABCM
      UEUEABCGDEUCUFUHOPUEQRGCUDFSUKUJABCUGUIUETUAUB $.
  $}

  ${
    $d x y A $.  $d x y ch $.
    elopabi.1 $e |- ( x = ( 1st ` A ) -> ( ph <-> ps ) ) $.
    elopabi.2 $e |- ( y = ( 2nd ` A ) -> ( ps <-> ch ) ) $.
    $( A consequence of membership in an ordered-pair class abstraction, using
       ordered pair extractors.  (Contributed by NM, 29-Aug-2006.) $)
    elopabi $p |- ( A e. { <. x , y >. | ph } -> ch ) $=
      ( copab wcel c1st cfv c2nd cop wrel wceq relopabv 1st2nd mpan fvex sylib
      id eqeltrrd opelopab ) FADEIZJZFKLZFMLZNZUEJCUFFUIUEUEOUFFUIPADEQFUERSUFU
      BUCABCDEUGUHFKTFMTGHUDUA $.
  $}

  ${
    $d w x y z A $.  $d w ph $.  $d x y z th $.
    eloprabi.1 $e |- ( x = ( 1st ` ( 1st ` A ) ) -> ( ph <-> ps ) ) $.
    eloprabi.2 $e |- ( y = ( 2nd ` ( 1st ` A ) ) -> ( ps <-> ch ) ) $.
    eloprabi.3 $e |- ( z = ( 2nd ` A ) -> ( ch <-> th ) ) $.
    $( A consequence of membership in an operation class abstraction, using
       ordered pair extractors.  (Contributed by NM, 6-Nov-2006.)  (Revised by
       David Abernethy, 19-Jun-2012.) $)
    eloprabi $p |- ( A e. { <. <. x , y >. , z >. | ph } -> th ) $=
      ( vw cv wceq wex c1st cfv wb syl c2nd coprab wcel wa eqeq1 anbi1d 3exbidv
      cop df-oprab elab2g ibi opex vex op1std fveq2d op1st eqtr2di op2nd op2ndd
      eqcomd 3bitrd biimpa exlimiv ) HAEFGUAZUBZHEMZFMZUGZGMZUGZNZAUCZGOZFOZEOZ
      DVDVNLMZVINZAUCZGOFOEOVNLHVCVCVOHNZVQVKEFGVRVPVJAVOHVIUDUEUFAEFGLUHUIUJVM
      DEVLDFVKDGVJADVJABCDVJVEHPQZPQZNABRVJVTVGPQVEVJVSVGPVGVHHVEVFUKZGULZUMZUN
      VEVFEULZFULZUOUPISVJVFVSTQZNBCRVJWFVGTQVFVJVSVGTWCUNVEVFWDWEUQUPJSVJVHHTQ
      ZNCDRVJWGVHVGVHHWAWBURUSKSUTVAVBVBVBS $.
  $}

  ${
    $d u v x y z A $.  $d u v y z B $.  $d u v z C $.
    $( Express a two-argument function as a one-argument function, or
       vice-versa.  (Contributed by Mario Carneiro, 24-Dec-2016.) $)
    mpomptsx $p |- ( x e. A , y e. B |-> C ) = ( z e. U_ x e. A ( { x } X. B )
        |-> [_ ( 1st ` z ) / x ]_ [_ ( 2nd ` z ) / y ]_ C ) $=
      ( vu vv cv csn csb cxp ciun cfv cmpt cmpo wceq nfcv nfcsb1v csbeq1a eqtrd
      c1st c2nd cop vex op1std csbeq1d op2ndd csbeq2dv mpomptx nfxp sneq cbviun
      xpeq12d mpteq1i nfcsbw sylan9eqr cbvmpox 3eqtr4ri ) CGDGIZJZAUTEKZLZMZACI
      ZUBNZBVEUCNZFKZKZOGHDVBAUTBHIZFKZKZPCADAIZJZELZMZVIOABDEFPGHCDVBVIVLVEUTV
      JUDQZVIAUTVHKVLVQAVFUTVHUTVJVEGUEZHUEZUFUGVQAUTVHVKVQBVGVJFUTVJVEVRVSUHUG
      UIUAUJCVPVDVIAGDVOVCGVORAVAVBAVARAUTESZUKVMUTQZVNVAEVBVMUTULAUTETZUNUMUOA
      BGHDEFVBVLGERVTGFRHFRAUTVKSBAUTVKBUTRBVJFSUPWBBIVJQWAFVKVLBVJFTAUTVKTUQUR
      US $.

    $d x B $.
    $( Express a two-argument function as a one-argument function, or
       vice-versa.  (Contributed by Mario Carneiro, 24-Sep-2015.) $)
    mpompts $p |- ( x e. A , y e. B |-> C ) =
      ( z e. ( A X. B ) |-> [_ ( 1st ` z ) / x ]_ [_ ( 2nd ` z ) / y ]_ C ) $=
      ( cmpo cv csn cxp ciun c1st cfv c2nd csb cmpt mpomptsx iunxpconst mpteq1i
      eqtri ) ABDEFGCADAHIEJKZACHZLMBUBNMFOOZPCDEJZUCPABCDEFQCUAUDUCADERST $.
  $}

  ${
    $d t u v w x y z A $.  $d t u v w y z B $.  $d t u v w z C $.
    $d v w x y z D $.
    fmpox.1 $e |- F = ( x e. A , y e. B |-> C ) $.
    $( The domain of a mapping is a subset of its base class.  (Contributed by
       Mario Carneiro, 9-Feb-2015.) $)
    dmmpossx $p |- dom F C_ U_ x e. A ( { x } X. B ) $=
      ( vu vt vv cv csn csb cxp ciun cfv nfcv nfcsb1v csbeq1a wceq c1st cbvmpox
      cdm c2nd cmpo cmpt nfcsbw sylan9eqr cop vex op1std csbeq1d csbeq2dv eqtrd
      op2ndd mpomptx 3eqtr4i dmmptss nfxp sneq xpeq12d cbviun sseqtrri ) FUCHCH
      KZLZAVDDMZNZOZACAKZLZDNZOIVHAIKZUAPZBVLUDPZEMZMZFABCDEUEHJCVFAVDBJKZEMZMZ
      UEFIVHVPUFABHJCDEVFVSHDQAVDDRZHEQJEQAVDVRRBAVDVRBVDQBVQERUGAVDDSZBKVQTVIV
      DTZEVRVSBVQESAVDVRSUHUBGHJICVFVPVSVLVDVQUITZVPAVDVOMVSWCAVMVDVOVDVQVLHUJZ
      JUJZUKULWCAVDVOVRWCBVNVQEVDVQVLWDWEUOULUMUNUPUQURAHCVKVGHVKQAVEVFAVEQVTUS
      WBVJVEDVFVIVDUTWAVAVBVC $.

    $( Functionality, domain and codomain of a class given by the maps-to
       notation, where ` B ( x ) ` is not constant but depends on ` x ` .
       (Contributed by NM, 29-Dec-2014.) $)
    fmpox $p |- ( A. x e. A A. y e. B C e. D <->
      F : U_ x e. A ( { x } X. B ) --> D ) $=
      ( vz vw vv cv csb wcel wral wceq eleq1d wa nfv nfcsb1v csn ciun c1st c2nd
      cxp cfv cop vex op1std csbeq1d op2ndd csbeq2dv eqtrd raliunxp cmpo coprab
      wf cmpt nfcri nfan nfeq2 nfcsbw wb eleq1w adantr csbeq1a eleq2d sylan9bbr
      nfcv anbi12d sylan9eqr eqeq2d cbvoprab12 df-mpo 3eqtr4i fmpt bitr3i nfel1
      mpomptx nfralw cbvralw raleqbidv syl5bb nfxp xpeq12d cbviun feq2i 3bitr4i
      sneq ) AILZBJLZEMZMZFNZJAWJDMZOZICOZICWJUAZWOUEZUBZFGUQZEFNZBDOZACOACALZU
      AZDUEZUBZFGUQWQAKLZUCUFZBXHUDUFZEMZMZFNZKWTOXAXMWNKIJCWOXHWJWKUGPZXLWMFXN
      XLAWJXKMWMXNAXIWJXKWJWKXHIUHZJUHZUIUJXNAWJXKWLXNBXJWKEWJWKXHXOXPUKUJULUMZ
      QUNKWTFXLGABCDEUOZIJCWOWMUOZGKWTXLURXDCNZBLZDNZRZXHEPZRZABKUPWJCNZWKWONZR
      ZXHWMPZRZIJKUPXRXSYEYJABKIJYEISYEJSYHYIAYFYGAYFASAJWOAWJDTZUSUTAXHWMAWJWL
      TZVAUTYHYIBYHBSBXHWMBAWJWLBWJVIBWKETZVBVAUTXDWJPZYAWKPZRZYCYHYDYIYPXTYFYB
      YGYNXTYFVCYOAICVDVEYOYBWKDNYNYGBJDVDYNDWOWKAWJDVFZVGVHVJYPEWMXHYOYNEWLWMB
      WKEVFZAWJWLVFZVKVLVJVMABKCDEVNIJKCWOWMVNVOHIJKCWOXLWMXQVSVOVPVQXCWPAICXCI
      SWNAJWOYKAWMFYLVRVTXCWLFNZJDOYNWPXBYTBJDXBJSBWLFYMVRYOEWLFYRQWAYNYTWNJDWO
      YQYNWLWMFYSQWBWCWAXGWTFGAICXFWSIXFVIAWRWOAWRVIYKWDYNXEWRDWOXDWJWIYQWEWFWG
      WH $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d D x y $.
    fmpo.1 $e |- F = ( x e. A , y e. B |-> C ) $.
    $( Functionality, domain and range of a class given by the maps-to
       notation.  (Contributed by FL, 17-May-2010.) $)
    fmpo $p |- ( A. x e. A A. y e. B C e. D <-> F : ( A X. B ) --> D ) $=
      ( wcel wral cv csn cxp ciun wf fmpox iunxpconst feq2i bitri ) EFIBDJACJAC
      AKLDMNZFGOCDMZFGOABCDEFGHPTUAFGACDQRS $.

    $( Functionality and domain of a class given by the maps-to notation.
       (Contributed by FL, 17-May-2010.) $)
    fnmpo $p |- ( A. x e. A A. y e. B C e. V -> F Fn ( A X. B ) ) $=
      ( wcel wral cvv cxp wfn elex 2ralimi wf fmpo dffn2 bitr4i sylib ) EGIZBDJ
      ACJEKIZBDJACJZFCDLZMZUAUBABCDEGNOUCUDKFPUEABCDEKFHQUDFRST $.

    fnmpoi.2 $e |- C e. _V $.
    $( Functionality and domain of a class given by the maps-to notation.
       (Contributed by FL, 17-May-2010.) $)
    fnmpoi $p |- F Fn ( A X. B ) $=
      ( cvv wcel wral cxp wfn rgen2w fnmpo ax-mp ) EIJZBDKACKFCDLMQABCDHNABCDEF
      IGOP $.

    $( Domain of a class given by the maps-to notation.  (Contributed by FL,
       17-May-2010.) $)
    dmmpo $p |- dom F = ( A X. B ) $=
      ( cxp fnmpoi fndmi ) CDIFABCDEFGHJK $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d M x y $.
    ovmpoelrn.o $e |- O = ( x e. A , y e. B |-> C ) $.
    $( An operation's value belongs to its range.  (Contributed by AV,
       27-Jan-2020.) $)
    ovmpoelrn $p |- ( ( A. x e. A A. y e. B C e. M /\ X e. A /\ Y e. B )
                       -> ( X O Y ) e. M ) $=
      ( wcel wral cxp wf co fmpo fovrn syl3an1b ) EFKBDLACLCDMFGNHCKIDKHIGOFKAB
      CDEFGJPHIFCDGQR $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d V x y $.
    dmmpog.f $e |- F = ( x e. A , y e. B |-> C ) $.
    $( Domain of an operation given by the maps-to notation, closed form of
       ~ dmmpo .  (Contributed by Alexander van der Vekens, 10-Feb-2019.)
       (Proof shortened by Lammen, 29-May-2024.) $)
    dmmpoga $p |- ( A. x e. A A. y e. B C e. V -> dom F = ( A X. B ) ) $=
      ( wcel wral cxp fnmpo fndmd ) EGIBDJACJCDKFABCDEFGHLM $.

    $( Obsolete version of ~ dmmpoga as of 29-May-2024.  (Contributed by
       Alexander van der Vekens, 10-Feb-2019.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    dmmpogaOLD $p |- ( A. x e. A A. y e. B C e. V -> dom F = ( A X. B ) ) $=
      ( wcel wral cxp wfn cdm wceq fnmpo fndm syl ) EGIBDJACJFCDKZLFMRNABCDEFGH
      ORFPQ $.

    $d C x y $.
    $( Domain of an operation given by the maps-to notation, closed form of
       ~ dmmpo .  Caution:  This theorem is only valid in the very special case
       where the value of the mapping is a constant!  (Contributed by Alexander
       van der Vekens, 1-Jun-2017.)  (Proof shortened by AV, 10-Feb-2019.) $)
    dmmpog $p |- ( C e. V -> dom F = ( A X. B ) ) $=
      ( wcel wral cdm cxp wceq cv wa simpl ralrimivva dmmpoga syl ) EGIZTBDJACJ
      FKCDLMTTABCDTANCIBNDIOPQABCDEFGHRS $.
  $}

  ${
    $d A x y $.  $d B y $.
    mpoexg.1 $e |- F = ( x e. A , y e. B |-> C ) $.
    $( Existence of an operation class abstraction (version for dependent
       domains).  (Contributed by Mario Carneiro, 30-Dec-2016.) $)
    mpoexxg $p |- ( ( A e. R /\ A. x e. A B e. S ) -> F e. _V ) $=
      ( wcel wral wa wfun cdm cvv mpofun cv csn cxp sylancr ciun dmmpossx xpexg
      wss snex mpan ralimi iunexg sylan2 ssexg funex ) CFJZDGJZACKZLZHMHNZOJZHO
      JABCDEHIPUOUPACAQZRZDSZUAZUDVAOJZUQABCDEHIUBUNULUTOJZACKVBUMVCACUSOJUMVCU
      RUEUSDOGUCUFUGACUTFOUHUIUPVAOUJTOHUKT $.

    $d x B $.
    $( Existence of an operation class abstraction (special case).
       (Contributed by FL, 17-May-2010.)  (Revised by Mario Carneiro,
       1-Sep-2015.) $)
    mpoexg $p |- ( ( A e. R /\ B e. S ) -> F e. _V ) $=
      ( wcel cvv wral elex ralrimivw syl mpoexxg sylan2 ) DGJZCFJDKJZACLZHKJRST
      DGMSSACDKMNOABCDEFKHIPQ $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( If the domain of an operation given by maps-to notation is a set, the
       operation is a set.  (Contributed by NM, 12-Sep-2011.) $)
    mpoexga $p |- ( ( A e. V /\ B e. W )
                       -> ( x e. A , y e. B |-> C ) e. _V ) $=
      ( cmpo eqid mpoexg ) ABCDEFGABCDEHZKIJ $.
  $}

  ${
    $d z C $.  $d x y z A $.  $d x y z B $.  $d x y z D $.
    mpoexw.1 $e |- A e. _V $.
    mpoexw.2 $e |- B e. _V $.
    mpoexw.3 $e |- D e. _V $.
    mpoexw.4 $e |- A. x e. A A. y e. B C e. D $.
    $( Weak version of ~ mpoex that holds without ~ ax-rep .  If the domain and
       codomain of an operation given by maps-to notation are sets, the
       operation is a set.  (Contributed by Rohan Ridenour, 14-Aug-2023.) $)
    mpoexw $p |- ( x e. A , y e. B |-> C ) e. _V $=
      ( vz cmpo wfun cvv wcel wral wceq eqeltri cv wrex cdm crn eqid mpofun cxp
      dmmpoga ax-mp xpex cab rnmpo wa wi r19.21bi eleq1a syl rexlimdva rexlimiv
      rspec abssi ssexi funexw mp3an ) ABCDELZMVCUAZNOVCUBZNOVCNOABCDEVCVCUCZUD
      VDCDUEZNEFOZBDPZACPVDVGQJABCDEVCFVFUFUGCDGHUHRVEKSZEQZBDTZACTZKUIZNABKCDE
      VCVFUJVNFIVMKFVLVJFOZACASCOZVKVOBDVPBSDOUKVHVKVOULVPVHBDVIACJURUMEFVJUNUO
      UPUQUSUTRNNVCVAVB $.
  $}

  ${
    $d x y A $.  $d y B $.
    mpoex.1 $e |- A e. _V $.
    mpoex.2 $e |- B e. _V $.
    $( If the domain of an operation given by maps-to notation is a set, the
       operation is a set.  (Contributed by Mario Carneiro, 20-Dec-2013.) $)
    mpoex $p |- ( x e. A , y e. B |-> C ) e. _V $=
      ( cvv wcel wral cmpo rgenw eqid mpoexxg mp2an ) CHIDHIZACJABCDEKZHIFPACGL
      ABCDEHHQQMNO $.
  $}

  ${
    $d A a b g $.  $d B a b g $.  $d D a b g $.  $d G a b f g h $.  $d W g $.
    $d X a b f g h $.  $d Y a b f g h $.  $d ph f h $.
    mptmpoopabbrd.g $e |- ( ph -> G e. W ) $.
    mptmpoopabbrd.x $e |- ( ph -> X e. ( A ` G ) ) $.
    mptmpoopabbrd.y $e |- ( ph -> Y e. ( B ` G ) ) $.
    mptmpoopabbrd.v $e |- ( ph -> { <. f , h >. | ps } e. V ) $.
    mptmpoopabbrd.r $e |- ( ( ph /\ f ( D ` G ) h ) -> ps ) $.
    ${
      $d ta g $.  $d th a b $.
      mptmpoopabbrd.1 $e |- ( ( a = X /\ b = Y ) -> ( ta <-> th ) ) $.
      mptmpoopabbrd.2 $e |- ( g = G -> ( ch <-> ta ) ) $.
      mptmpoopabbrd.m $e |- M = ( g e. _V
                                    |-> ( a e. ( A ` g ) , b e. ( B ` g )
                           |-> { <. f , h >. | ( ch /\ f ( D ` g ) h ) } ) ) $.
      $( The operation value of a function value of a collection of ordered
         pairs of elements related in two ways.  (Contributed by Alexander van
         Vekens, 8-Nov-2017.)  (Revised by AV, 15-Jan-2021.) $)
      mptmpoopabbrd $p |- ( ph -> ( X ( M ` G ) Y )
                               = { <. f , h >. | ( th /\ f ( D ` G ) h ) } ) $=
        ( cfv co cv wbr copab cmpo wcel wceq cvv fveq2 breqd anbi12d mpoeq123dv
        wa opabbidv elex adantr fvex pm3.2i mpoexga fvmptd3 syl2anc oveqd ancom
        mp1i opabbii opabresex2d eqeltrid anbi1d eqid ovmpoga syl3anc eqtrd ) A
        PQLMUHZUIPQRSLFUHZLGUHZEIUJZKUJZLHUHZUKZVAZIKULZUMZUIZDWGVAZIKULZAWAWJP
        QALOUNZWNWAWJUOTTWNWNVAZJLRSJUJZFUHZWPGUHZCWDWEWPHUHZUKZVAZIKULZUMWJUPM
        UPUGWPLUOZRSWQWRXBWBWCWIWPLFUQWPLGUQXCXAWHIKXCCEWTWGUFXCWSWFWDWEWPLHUQU
        RUSVBUTWNLUPUNWNLOVCVDWBUPUNZWCUPUNZVAWJUPUNWOXDXELFVELGVEVFRSWBWCWIUPU
        PVGVLVHVIVJAPWBUNQWCUNWMUPUNWKWMUOUAUBAWMWGDVAZIKULUPWLXFIKDWGVKVMABDIK
        LNHUDUCVNVORSPQWBWCWIWMWJUPRUJPUOSUJQUOVAZWHWLIKXGEDWGUEVPVBWJVQVRVSVT
        $.
    $}

    $d C a b g $.
    mptmpoopabovd.m $e |- M = ( g e. _V |-> ( a e. ( A ` g ) , b e. ( B ` g )
                              |-> { <. f , h >. | ( f ( a ( C ` g ) b ) h
                                                    /\ f ( D ` g ) h ) } ) ) $.
    $( The operation value of a function value of a collection of ordered pairs
       of related elements.  (Contributed by Alexander van der Vekens,
       8-Nov-2017.)  (Revised by AV, 15-Jan-2021.) $)
    mptmpoopabovd $p |- ( ph -> ( X ( M ` G ) Y ) = { <. f , h >. |
                              ( f ( X ( C ` G ) Y ) h /\ f ( D ` G ) h ) } ) $=
      ( cv cfv co wbr wceq wa oveq12 breqd fveq2 oveqd mptmpoopabbrd ) ABGUDZIU
      DZPUDZQUDZHUDZEUEZUFZUGUOUPNOJEUEZUFZUGUOUPUQURVBUFZUGCDFGHIJKLMNOPQRSTUA
      UBUQNUHUROUHUIVDVCUOUPUQNUROVBUJUKUSJUHZVAVDUOUPVEUTVBUQURUSJEULUMUKUCUN
      $.
  $}

  ${
    $d A a b s t x y $.  $d B a b s t x y $.  $d C a b s t $.  $d D a b s t $.
    $d E a b $.  $d U a b x y $.  $d V a b x y $.  $d X a b s t x y $.
    $d Y a b s t x y $.
    el2mpocsbcl.o $e |- O = ( x e. A , y e. B
                               |-> ( s e. C , t e. D |-> E ) ) $.
    $( If the operation value of the operation value of two nested maps-to
       notation is not empty, all involved arguments belong to the
       corresponding base classes of the maps-to notations.  (Contributed by
       AV, 21-May-2021.) $)
    el2mpocsbcl $p |- ( A. x e. A A. y e. B ( C e. U /\ D e. V )
                      -> ( W e. ( S ( X O Y ) T )
                           -> ( ( X e. A /\ Y e. B )
                                /\ ( S e. [_ X / x ]_ [_ Y / y ]_ C
                                /\ T e. [_ X / x ]_ [_ Y / y ]_ D ) ) ) ) $=
      ( wcel csb va vb wa wral co wi simpl cmpo cv cvv wceq nfcv nfcsb1v nfcsbw
      nfmpo csbeq1a csbeq2dv sylan9eq mpoeq123dv cbvmpo eqtri a1i csbeq1 adantr
      adantl eqtrd simpr ralimi rspcsbela syl2an ralimdv impcom syl2anc mpoexga
      ex ovmpod oveqd eleq2d eqid elmpocl syl6bi impancom wn c0 mpondm0 pm2.21i
      jca noel 0ov eleq2s adantld pm2.61i ) FJSZGMSZUCZBEUDZADUDZNHIOPLUEZUEZSZ
      ODSZPESZUCZHAOBPFTZTZSIAOBPGTZTZSUCZUCZXCWQWTUCZXIUFXCXJXIXCXJUCXCXHXCXJU
      GXJXCXHWQXCWTXHWQXCUCZWTNHIQCXEXGAOBPKTZTZUHZUEZSXHXKWSXONXKWRXNHIXKUAUBO
      PDEQCAUAUIZBUBUIZFTZTZAXPBXQGTZTZAXPBXQKTZTZUHZXNLUJLUAUBDEYDUHZUKXKLABDE
      QCFGKUHZUHYERABUAUBDEYFYDUAYFULUBYFULQCAXSYAYCAXPXRUMAXPXTUMAXPYBUMUOQCBX
      SYAYCBAXPXRBXPULZBXQFUMUNBAXPXTYGBXQGUMUNBAXPYBYGBXQKUMUNUOAUIXPUKZBUIXQU
      KZUCQCFGKXSYAYCYHYIFAXPFTXSAXPFUPYIAXPFXRBXQFUPUQURYHYIGAXPGTYAAXPGUPYIAX
      PGXTBXQGUPUQURYHYIKAXPKTYCAXPKUPYIAXPKYBBXQKUPUQURUSUTVAVBXPOUKZXQPUKZUCZ
      YDXNUKXKYLQCXSYAYCXEXGXMYLXSAOXRTZXEYJXSYMUKYKAXPOXRVCVDYLAOXRXDYKXRXDUKY
      JBXQPFVCVEUQVFYLYAAOXTTZXGYJYAYNUKYKAXPOXTVCVDYLAOXTXFYKXTXFUKYJBXQPGVCVE
      UQVFYLYCAOYBTZXMYJYCYOUKYKAXPOYBVCVDYLAOYBXLYKYBXLUKYJBXQPKVCVEUQVFUSVEXC
      XAWQXAXBUGVEZXCXBWQXAXBVGZVEXKXEJSZXGMSZXNUJSXKXAXDJSZADUDZYRYPXCWQUUAXCW
      PYTADXCWPYTXCXBWMBEUDYTWPYQWOWMBEWMWNUGVHBPEFJVIVJVOVKVLAODXDJVIVMXKXAXFM
      SZADUDZYSYPXCWQUUCXCWPUUBADXCWPUUBXCXBWNBEUDUUBWPYQWOWNBEWMWNVGVHBPEGMVIV
      JVOVKVLAODXFMVIVMQCXEXGXMJMVNVMVPVQVRQCXEXGXMHIXNNXNVSVTWAWBVLWGVOXCWCZWT
      XIWQUUDWTNHIWDUEZSXIUUDWSUUENUUDWRWDHIABYFLOPDERWEVQVRXINWDUUENWDSXINWHWF
      HIWIWJWAWKWLVO $.
  $}

  ${
    $d A s t x y $.  $d B s t x y $.  $d C s t $.  $d D s t $.  $d F x y $.
    $d G x y $.  $d U x y $.  $d V x y $.  $d X s t x y $.  $d Y s t x y $.
    el2mpocl.o $e |- O = ( x e. A , y e. B |-> ( s e. C , t e. D |-> E ) ) $.
    el2mpocl.e $e |- ( ( x = X /\ y = Y ) -> ( C = F /\ D = G ) ) $.
    $( If the operation value of the operation value of two nested maps-to
       notation is not empty, all involved arguments belong to the
       corresponding base classes of the maps-to notations.  Using implicit
       substitution.  (Contributed by AV, 21-May-2021.) $)
    el2mpocl $p |- ( A. x e. A A. y e. B ( C e. U /\ D e. V )
                -> ( W e. ( S ( X O Y ) T )
                     -> ( ( X e. A /\ Y e. B ) /\ ( S e. F /\ T e. G ) ) ) ) $=
      ( wcel wa wral co csb el2mpocsbcl simpl wceq simplr simpld adantll csbied
      cv eleq2d simprd anbi12d biimpd imdistani syl6 ) FJUBGOUBUCBEUDADUDPHIQRN
      UEUEUBQDUBZREUBZUCZHAQBRFUFZUFZUBZIAQBRGUFZUFZUBZUCZUCVCHLUBZIMUBZUCZUCAB
      CDEFGHIJKNOPQRSTUGVCVJVMVCVJVMVCVFVKVIVLVCVELHVCAQVDLDVAVBUHZVCAUNQUIZUCZ
      BRFLEVAVBVOUJZVOBUNRUIZFLUIZVCVOVRUCZVSGMUIZUAUKULUMUMUOVCVHMIVCAQVGMDVNV
      PBRGMEVQVOVRWAVCVTVSWAUAUPULUMUMUOUQURUSUT $.
  $}

  ${
    $d A a b i j $.  $d B a b i j $.  $d C i j $.  $d D a b $.  $d M i j $.
    $d ph a b i j $.
    fnmpoovd.m $e |- ( ph -> M Fn ( A X. B ) ) $.
    fnmpoovd.s $e |- ( ( i = a /\ j = b ) -> D = C ) $.
    fnmpoovd.d $e |- ( ( ph /\ i e. A /\ j e. B ) -> D e. U ) $.
    fnmpoovd.c $e |- ( ( ph /\ a e. A /\ b e. B ) -> C e. V ) $.
    $( A function with a Cartesian product as domain is a mapping with two
       arguments defined by its operation values.  (Contributed by AV,
       20-Feb-2019.)  (Revised by AV, 3-Jul-2022.) $)
    fnmpoovd $p |- ( ph -> ( M = ( a e. A , b e. B |-> C )
                              <-> A. i e. A A. j e. B ( i M j ) = D ) ) $=
      ( wceq cv wral wcel cmpo co cxp wfn wb 3expb ralrimivva fnmpo syl eqfnov2
      eqid syl2anc nfcv cbvmpo eqcomi a1i eqeq2d 2ralbidv simprl simprr ovmpt4g
      oveqd wa syl3anc 2ralbidva 3bitrd ) AIKLBCDUAZQZGRZHRZIUBZVIVJVGUBZQZHCSG
      BSZVKVIVJGHBCEUAZUBZQZHCSGBSVKEQZHCSGBSAIBCUCZUDVGVSUDZVHVNUEMADJTZLCSKBS
      VTAWAKLBCAKRBTLRCTWAPUFUGKLBCDVGJVGUKUHUIGHBCIVGUJULAVMVQGHBCAVLVPVKAVGVO
      VIVJVGVOQAVOVGGHKLBCEDKEUMLEUMGDUMHDUMNUNUOUPVBUQURAVQVRGHBCAVIBTZVJCTZVC
      VCZVPEVKWDWBWCEFTZVPEQAWBWCUSAWBWCUTAWBWCWEOUFGHBCEVOFVOUKVAVDUQVEVF $.
  $}

  ${
    $d ph x y z $.  $d A x y z $.  $d B x y z $.  $d R x y z $.  $d C z $.
    $d D z $.
    offval22.a $e |- ( ph -> A e. V ) $.
    offval22.b $e |- ( ph -> B e. W ) $.
    offval22.c $e |- ( ( ph /\ x e. A /\ y e. B ) -> C e. X ) $.
    offval22.d $e |- ( ( ph /\ x e. A /\ y e. B ) -> D e. Y ) $.
    offval22.f $e |- ( ph -> F = ( x e. A , y e. B |-> C ) ) $.
    offval22.g $e |- ( ph -> G = ( x e. A , y e. B |-> D ) ) $.
    $( The function operation expressed as a mapping, variation of ~ offval2 .
       (Contributed by SO, 15-Jul-2018.) $)
    offval22 $p |- ( ph -> ( F oF R G ) =
        ( x e. A , y e. B |-> ( C R D ) ) ) $=
      ( vz cof co cxp cv c1st cfv c2nd csb cmpt cmpo cvv xpexd wcel xp1st xp2nd
      wa jca w3a wi fvex nfcv nfv nfcsb1v nfel1 nfim wceq eleq1 3anbi3d csbeq1a
      eleq1d imbi12d 3anbi2d elexd vtocl2gf mp2an sylan2 mpompts eqtrdi offval2
      3expb csbov12g csbeq2dv ax-mp eqtr2i mpteq2i eqtr4i ) AIJHUBUCUADEUDZBUAU
      EZUFUGZCWIUHUGZFUIZUIZBWJCWKGUIZUIZHUCZUJZBCDEFGHUCZUKZAUAWHWMWOHIJULULUL
      ADEKLOPUMWIWHUNZAWJDUNZWKEUNZUQZWMULUNZWTXAXBWIDEUOWIDEUPURZAXAXBXDWKULUN
      ZWJULUNZAXAXBUSZXDUTZWIUHVAZWIUFVAZABUEZDUNZCUEZEUNZUSZFULUNZUTAXMXBUSZWL
      ULUNZUTXICBWKWJULULCWKVBZBWKVBZBWJVBZXRXSCXRCVCZCWLULCWKFVDVEVFXHXDBXHBVC
      ZBWMULBWJWLVDVEVFXNWKVGZXPXRXQXSYEXOXBAXMXNWKEVHVIZYEFWLULCWKFVJVKVLXLWJV
      GZXRXHXSXDYGXMXAAXBXLWJDVHVMZYGWLWMULBWJWLVJVKVLXPFMQVNVOVPWAVQWTAXCWOULU
      NZXEAXAXBYIXFXGXHYIUTZXJXKXPGULUNZUTXRWNULUNZUTYJCBWKWJULULXTYAYBXRYLCYCC
      WNULCWKGVDVEVFXHYIBYDBWOULBWJWNVDVEVFYEXPXRYKYLYFYEGWNULCWKGVJVKVLYGXRXHY
      LYIYHYGWNWOULBWJWNVJVKVLXPGNRVNVOVPWAVQAIBCDEFUKUAWHWMUJSBCUADEFVRVSAJBCD
      EGUKUAWHWOUJTBCUADEGVRVSVTWQUAWHBWJCWKWRUIZUIZUJWSUAWHWPYNYNBWJWLWNHUCZUI
      ZWPXFYNYPVGXJXFBWJYMYOCWKFGHULWBWCWDXGYPWPVGXKBWJWLWNHULWBWDWEWFBCUADEWRV
      RWGVS $.
  $}

  $( If a binary relation holds for the result of an operation, the operands
     are in the domain of the operation.  (Contributed by AV, 31-Dec-2020.) $)
  brovpreldm $p |- ( D ( B A C ) E -> <. B , C >. e. dom A ) $=
    ( co wbr cop wcel cdm df-br c0 wne ne0i wn cfv df-ov ndmfv eqtrid necon1ai
    syl sylbi ) DEBCAFZGDEHZUCIZBCHZAJIZDEUCKUEUCLMUGUCUDNUGUCLUGOUCUFAPLBCAQUF
    ARSTUAUB $.

  ${
    $d E a b e f p v $.  $d V a b c e f p v $.  $d ps c e v $.
    bropopvvv.o $e |- O = ( v e. _V , e e. _V |-> ( a e. v , b e. v |->
                            { <. f , p >. | ph } ) ) $.
    bropopvvv.p $e |- ( ( v = V /\ e = E ) -> ( ph <-> ps ) ) $.
    bropopvvv.oo $e |- ( ( ( V e. _V /\ E e. _V ) /\ ( A e. V /\ B e. V ) )
                         -> ( A ( V O E ) B ) = { <. f , p >. | th } ) $.
    $( If a binary relation holds for the result of an operation which is a
       result of an operation, the involved classes are sets.  (Contributed by
       Alexander van der Vekens, 12-Dec-2017.)  (Proof shortened by AV,
       3-Jan-2021.) $)
    bropopvvv $p |- ( F ( A ( V O E ) B ) P
                      -> ( ( V e. _V /\ E e. _V )
                        /\ ( F e. _V /\ P e. _V )
                        /\ ( A e. V /\ B e. V ) ) ) $=
      ( wcel vc co wbr cvv wa w3a cop wi brovpreldm copab cmpo cv wceq opabbidv
      simpl mpoeq123dv ovmpoga dmeqd eleq2d coprab dmoprabss sseli opelxp df-br
      cdm cxp c0 wne ne0i breqd brabv anim2i ex adantr sylbid com23 a1d mpondm0
      cfv df-ov fveq1 eqtrid 0fv eqtrdi eqneqall 3syl pm2.61i syl sylbi pm2.43i
      wn com12 anc2ri df-3an syl6ibr df-mpo dmeqi eleq2s syl6bi 3ianor wo ianor
      w3o df-3or dm0 eleq2i bitrdi noel pm2.21i sylbir id ancri mpoexga pm2.24d
      anor imp jaoi3 ) KGEFMJLUBZUBZUCZMUDTZJUDTZUEZKUDTGUDTUEZEMTFMTUEZUFZXTEF
      UGZXRVEZTZXTYFUHZXREFKGUIYAYBOPMMBINUJZUKZUDTZUFZYIYJUHZYNYIYGYLVEZTYJYNY
      HYPYGYNXRYLDHMJUDUDOPDULZYQAINUJZUKZYLLUDYQMUMZHULJUMZUEZOPYQYQYRMMYKYTUU
      AUOZUUCUUBABINRUNUPQUQURUSYJYGOULMTPULMTUEUAULYKUMZUEOPUAUTZVEZYPYGUUFTYG
      MMVFZTZYJUUFUUGYGUUDOPUAMMVAVBUUHYEYJEFMMVCYEXTYCYDUEZYEUEYFYEXTUUIXTYEUU
      IXTYEUUIUHZXTKGUGZXSTZXTUUJUHZKGXSVDUULXSVGVHZUUMXSUUKVIYCUUNUUMUHZYCUUMU
      UNYCYEXTUUIYCYEXTUUIUHYCYEUEZXTKGCINUJZUCZUUIUUPXSUUQKGSVJYCUURUUIUHYEYCU
      URUUIUURYDYCCINKGVKVLVMVNVOVMVPVQYCWKZXRVGUMZXSVGUMUUODHYSLMJUDUDQVRZUUTX
      SYGVGVSZVGUUTXSYGXRVSUVBEFXRVTYGXRVGWAWBYGWCWDUUMXSVGWEWFWGWHWIWJWLWMYCYD
      YEWNWOWIWHYLUUEOPUAMMYKWPWQWRWSYNWKYAWKZYBWKZYMWKZXCZYOYAYBYMWTUVFUVCUVDX
      AZUVEXAYOUVCUVDUVEXDUVGYOUVEUVGUUSYOYAYBXBUUSYIYGVGTZYJUUSYIYGVGVEZTUVHUU
      SYHUVIYGUUSXRVGUVAURUSUVIVGYGXEXFXGUVHYJYGXHXIWSXJUVGWKZUVEYOUVJYCUVEYOUH
      YAYBXOYCYMYOYCYAYAUEZYMYAUVKYBYAYAYAXKXLVNOPMMYKUDUDXMWHXNXJXPXQWIWIWGWHW
      J $.
  $}

  ${
    $d U a $.
    bropfvvvv.o $e |- O = ( a e. U |-> ( b e. V , c e. W
                                         |-> { <. d , e >. | ph } ) ) $.
    bropfvvvv.oo $e |- ( ( A e. U /\ B e. S /\ C e. T )
                         -> ( B ( O ` A ) C ) = { <. d , e >. | th } ) $.
    $( Lemma for ~ bropfvvvv .  (Contributed by AV, 31-Dec-2020.)  (Revised by
       AV, 16-Jan-2021.) $)
    bropfvvvvlem $p |- ( ( <. B , C >. e. ( S X. T ) /\ D ( B ( O ` A ) C ) E )
           -> ( A e. U /\ ( B e. S /\ C e. T ) /\ ( D e. _V /\ E e. _V ) ) ) $=
      ( cop cxp wcel cfv co wbr wa cvv w3a wi opelxp wne brne0 copab wceq 3expb
      c0 breqd brabv anim2i ex adantr sylbid com23 wn cmpo fvmptndm df-ov fveq1
      a1d eqtrid 0fv eqtrdi eqneqall pm2.61i mpcom com12 anc2ri 3anan32 syl6ibr
      3syl sylbi imp ) DEUAZGHUBUCZFKDECLUDZUEZUFZCIUCZDGUCZEHUCZUGZFUHUCKUHUCU
      GZUIZWEWLWHWNUJDEGHUKWLWHWIWMUGZWLUGWNWLWHWOWHWLWOWGUQULZWHWLWOUJZFKWGUMW
      IWPWHWQUJZUJZWIWRWPWIWLWHWOWIWLWHWOUJWIWLUGZWHFKBRJUNZUFZWOWTWGXAFKWIWJWK
      WGXAUOTUPURWIXBWOUJWLWIXBWOXBWMWIBRJFKUSUTVAVBVCVAVDVJWIVEWFUQUOZWGUQUOWS
      OIPQMNARJUNVFLCSVGXCWGWDUQUDZUQXCWGWDWFUDXDDEWFVHWDWFUQVIVKWDVLVMWRWGUQVN
      WAVOVPVQVRWIWLWMVSVTWBWC $.

    $d A a b c d e $.  $d S a $.  $d S b c z $.  $d T a $.  $d T b c z $.
    $d ps a $.  $d ps z $.  $d d e z $.
    bropfvvvv.s $e |- ( a = A -> V = S ) $.
    bropfvvvv.t $e |- ( a = A -> W = T ) $.
    bropfvvvv.p $e |- ( a = A -> ( ph <-> ps ) ) $.
    $( If a binary relation holds for the result of an operation which is a
       function value, the involved classes are sets.  (Contributed by AV,
       31-Dec-2020.)  (Revised by AV, 16-Jan-2021.) $)
    bropfvvvv $p |- ( ( S e. X /\ T e. Y ) -> ( D ( B ( O ` A ) C ) E
         -> ( A e. U /\ ( B e. S /\ C e. T ) /\ ( D e. _V /\ E e. _V ) ) ) ) $=
      ( vz wcel wa cfv co wbr cop cdm cvv w3a brovpreldm copab cmpo wi opabbidv
      cv mpoeq123dv fvmptg dmeqd eleq2d coprab cxp dmoprabss sseli bropfvvvvlem
      wceq ex syl df-mpo dmeqi eleq2s syl6bi com23 a1d wn wo ianor fvmptndm dm0
      c0 eleq2i bitrdi noel pm2.21i notnotb elex anim12i adantl mpoexga pm2.24d
      sylbir imp jaoi3 sylbi com34 pm2.61i mpdi ) HPUHZIQUHZUIZGLEFDMUJZUKULZEF
      UMZXGUNZUHZDJUHZEHUHFIUHUIGUOUHLUOUHUIUPZXGEFGLUQXLSTHIBUAKURZUSZUOUHZUIZ
      XFXHXKXMUTUTZUTXQXRXFXQXKXHXMXQXKXIXOUNZUHXHXMUTZXQXJXSXIXQXGXORDSTNOAUAK
      URZUSZXOJUOMRVBDVLZSTNOYAHIXNUDUEYCABUAKUFVAVCUBVDVEVFXTXISVBHUHTVBIUHUIU
      GVBXNVLZUISTUGVGZUNZXSXIYFUHXIHIVHZUHZXTYFYGXIYDSTUGHIVIVJYHXHXMACDEFGHIJ
      KLMNORSTUAUBUCVKVMVNXOYESTUGHIXNVOVPVQVRVSVTXQWAZXFXKXHXMYIXLWAZXPWAZWBXF
      XKXTUTZUTZXLXPWCYJYMYKYJYLXFYJXKXIWFUHZXTYJXKXIWFUNZUHYNYJXJYOXIYJXGWFRJY
      BMDUBWDVEVFYOWFXIWEWGWHYNXTXIWIWJVRVTYJWAZYKYMYPXLYKYMUTXLWKXLXFYKYLXLXFY
      KYLUTXLXFUIZXPYLYQHUOUHZIUOUHZUIZXPXFYTXLXDYRXEYSHPWLIQWLWMWNSTHIXNUOUOWO
      VNWPVMVSWQWRWSWTXAXBXC $.
  $}

  ${
    $d u v x y z A $.  $d u v y z B $.  $d u v z C $.  $d u v x y z X $.
    ovmptss.1 $e |- F = ( x e. A , y e. B |-> C ) $.
    $( If all the values of the mapping are subsets of a class ` X ` , then so
       is any evaluation of the mapping.  (Contributed by Mario Carneiro,
       24-Dec-2016.) $)
    ovmptss $p |- ( A. x e. A A. y e. B C C_ X -> ( E F G ) C_ X ) $=
      ( vz vu vv cv cfv csb wss wral sseq1d nfcv c1st c2nd csn cxp ciun co cmpo
      cop cmpt mpomptsx eqtri fvmptss wceq op1std csbeq1d op2ndd csbeq2dv eqtrd
      vex raliunxp nfcsb1v nfxp weq sneq csbeq1a xpeq12d cbviun raleqi nfv nfss
      nfralw cbvralw raleqbidv syl5bb 3bitr4ri df-ov sseq1i 3imtr4i ) AKNZUAOZB
      VSUBOZEPZPZIQZKACANZUCZDUDZUEZRZFHUHZGOZIQEIQZBDRZACRZFHGUFZIQKWHWCIWJGGA
      BCDEUGKWHWCUIJABKCDEUJUKULWDKLCLNZUCZAWPDPZUDZUEZRAWPBMNZEPZPZIQZMWRRZLCR
      WIWNWDXDKLMCWRVSWPXAUHUMZWCXCIXFWCAWPWBPXCXFAVTWPWBWPXAVSLUSZMUSZUNUOXFAW
      PWBXBXFBWAXAEWPXAVSXGXHUPUOUQURSUTWDKWHWTALCWGWSLWGTAWQWRAWQTAWPDVAZVBALV
      CZWFWQDWRWEWPVDAWPDVEZVFVGVHWMXEALCWMLVIXDAMWRXIAXCIAWPXBVAAITVJVKWMXBIQZ
      MDRXJXEWLXLBMDWLMVIBXBIBXAEVABITVJBMVCEXBIBXAEVESVLXJXLXDMDWRXKXJXBXCIAWP
      XBVESVMVNVLVOWOWKIFHGVPVQVR $.
  $}

  ${
    $d w x y z $.  $d y B $.  $d x y A $.
    relmpoopab.1 $e |- F = ( x e. A , y e. B |-> { <. z , w >. | ph } ) $.
    $( Any function to sets of ordered pairs produces a relation on function
       value unconditionally.  (Contributed by Mario Carneiro, 9-Feb-2015.) $)
    relmpoopab $p |- Rel ( C F D ) $=
      ( co wrel cvv cxp wss copab wral relopabv df-rel mpbi ovmptss ax-mp mpbir
      rgen2w ) HIJLZMUFNNOZPZADEQZUGPZCGRBFRUHUJBCFGUIMUJADESUITUAUEBCFGUIHJIUG
      KUBUCUFTUD $.
  $}

  ${
    $d u v w x y B $.  $d u w x y z C $.  $d x y ph $.  $d u v w x y S $.
    $d u v w x y A $.  $d u v w z R $.  $d z T $.
    fmpoco.1 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> R e. C ) $.
    fmpoco.2 $e |- ( ph -> F = ( x e. A , y e. B |-> R ) ) $.
    fmpoco.3 $e |- ( ph -> G = ( z e. C |-> S ) ) $.
    fmpoco.4 $e |- ( z = R -> S = T ) $.
    $( Composition of two functions.  Variation of ~ fmptco when the second
       function has two arguments.  (Contributed by Mario Carneiro,
       8-Feb-2015.) $)
    fmpoco $p |- ( ph -> ( G o. F ) = ( x e. A , y e. B |-> T ) ) $=
      ( vw vu vv csb ccom cxp c2nd cfv c1st cmpt cmpo wcel wral ralrimivva eqid
      cv wf fmpo sylib nfcv nfcsb1v nfcsbw weq csbeq1a sylan9eq cbvmpo cop wceq
      vex op2ndd csbeq1d op1std csbeq2dv eqtrd mpompt eqtr4i fmpt sylibr eqtrdi
      fmptcos wa w3a 3impb nfcvd csbiegf syl mpoeq3dva eqtrid ) ALKUAQEFUBZDCQU
      LZUCUDZBWFUEUDZHTZTZITZUFZBCEFJUGZAQDWEGWJIKLAWEGBCEFHUGZUMZWJGUHQWEUIAHG
      UHZCFUIBEUIWOAWPBCEFMUJBCEFHGWNWNUKUNUOQWEGWJWNWNRSEFCSULZBRULZHTZTZUGQWE
      WJUFZBCRSEFHWTRHUPSHUPBCWQWSBWQUPBWRHUQURZCWQWSUQZBRUSZCSUSZHWSWTBWRHUTCW
      QWSUTVAZVBRSQEFWJWTWFWRWQVCVDZWJCWQWITWTXGCWGWQWIWRWQWFRVEZSVEZVFVGXGCWQW
      IWSXGBWHWRHWRWQWFXHXIVHVGVIVJZVKVLZVMVNAKWNXANXKVOOVPAWLBCEFDHITZUGZWMWLR
      SEFDWTITZUGXMRSQEFWKXNXGDWJWTIXJVGVKBCRSEFXLXNRXLUPSXLUPBDWTIXBBIUPURCDWT
      IXCCIUPURXDXEVQDHWTIXFVGVBVLABCEFXLJABULEUHZCULFUHZVRWPXLJVDAXOXPWPMVSDHI
      JGWPDJVTPWAWBWCWDVJ $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z D $.  $d x y z H $.  $d z C $.
    oprabco.1 $e |- ( ( x e. A /\ y e. B ) -> C e. D ) $.
    oprabco.2 $e |- F = ( x e. A , y e. B |-> C ) $.
    oprabco.3 $e |- G = ( x e. A , y e. B |-> ( H ` C ) ) $.
    $( Composition of a function with an operator abstraction.  (Contributed by
       Jeff Madsen, 2-Sep-2009.)  (Proof shortened by Mario Carneiro,
       26-Sep-2015.) $)
    oprabco $p |- ( H Fn D -> G = ( H o. F ) ) $=
      ( vz wfn cfv cmpo ccom cv wcel wceq wa adantl a1i cmpt dffn5 biimpi fveq2
      fmpoco eqtr4id ) IFNZHABCDEIOZPIGQLUJABMCDFEMRZIOZUKGIARCSBRDSUAEFSUJJUBG
      ABCDEPTUJKUCUJIMFUMUDTMFIUEUFULEIUGUHUI $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y M $.  $d x y R $.  $d x y S $.
    oprab2co.1 $e |- ( ( x e. A /\ y e. B ) -> C e. R ) $.
    oprab2co.2 $e |- ( ( x e. A /\ y e. B ) -> D e. S ) $.
    oprab2co.3 $e |- F = ( x e. A , y e. B |-> <. C , D >. ) $.
    oprab2co.4 $e |- G = ( x e. A , y e. B |-> ( C M D ) ) $.
    $( Composition of operator abstractions.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Revised by David Abernethy, 23-Apr-2013.) $)
    oprab2co $p |- ( M Fn ( R X. S ) -> G = ( M o. F ) ) $=
      ( cop cxp cv wcel cmpo wa opelxpd co cfv df-ov a1i mpoeq3ia eqtri oprabco
      wceq ) ABCDEFPZGHQIJKARCSBRDSUAZEFGHLMUBNJABCDEFKUCZTABCDUKKUDZTOABCDUMUN
      UMUNUJULEFKUEUFUGUHUI $.
  $}

  ${
    $d w x y z $.
    $( An alternate possible definition of the ` 1st ` function.  (Contributed
       by NM, 14-Oct-2004.)  (Revised by Mario Carneiro, 31-Aug-2015.) $)
    df1st2 $p |- { <. <. x , y >. , z >. | z = x } = ( 1st |` ( _V X. _V ) ) $=
      ( vw c1st cvv cxp cres cv cfv wceq copab wcel wa coprab wfn wfo fo1st vex
      cmpt fofn ax-mp dffn5 mpbi mptv eqtri reseq1i resopab cop op1std dfoprab3
      eqeq2d 3eqtrri ) EFFGZHCIZDIZEJZKZDCLZUNHUPUNMURNDCLUOAIZKZABCOEUSUNEDFUQ
      TZUSEFPZEVBKFFEQVCRFFEUAUBDFEUCUDDCUQUEUFUGURDCUNUHURVAABCDUPUTBIZUIKUQUT
      UOUTVDUPASBSUJULUKUM $.

    $( An alternate possible definition of the ` 2nd ` function.  (Contributed
       by NM, 10-Aug-2006.)  (Revised by Mario Carneiro, 31-Aug-2015.) $)
    df2nd2 $p |- { <. <. x , y >. , z >. | z = y } = ( 2nd |` ( _V X. _V ) ) $=
      ( vw c2nd cvv cxp cres cv cfv wceq copab wcel wa coprab wfn wfo fo2nd vex
      cmpt fofn ax-mp dffn5 mpbi mptv eqtri reseq1i resopab cop op2ndd dfoprab3
      eqeq2d 3eqtrri ) EFFGZHCIZDIZEJZKZDCLZUNHUPUNMURNDCLUOBIZKZABCOEUSUNEDFUQ
      TZUSEFPZEVBKFFEQVCRFFEUAUBDFEUCUDDCUQUEUFUGURDCUNUHURVAABCDUPAIZUTUIKUQUT
      UOVDUTUPASBSUJULUKUM $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y V $.
    $( The mapping of a restriction of the ` 1st ` function to a constant
       function.  (Contributed by NM, 14-Dec-2008.)  (Proof shortened by Peter
       Mazsa, 2-Oct-2022.) $)
    1stconst $p |- ( B e. V ->
             ( 1st |` ( A X. { B } ) ) : ( A X. { B } ) -1-1-onto-> A ) $=
      ( vx vy wcel csn cxp c1st cres wfo cv wbr wmo wceq wa vex cfv cvv jca wne
      ccnv wfun wf1o c0 snnzg fo1stres syl wal cop moeq moani brresi fo1st fofn
      wfn wb ax-mp fnbrfvb mp2an c2nd elxp7 eleq1 biimpac adantlr adantll elsni
      anbi2i eqopi anass1rs sylanl2 adantlrl sylanb adantl simprr simprl adantr
      snidg opelxpd eqeltrd fveq2d op1stg syl2anc impbida bitr3id syl5bb mobidv
      simpl eqtrd mpbiri alrimiv funcnv2 sylibr dff1o3 sylanbrc ) BCFZABGZHZAIW
      RJZKZWSUBUCZWRAWSUDWPWQUEUAWTBCUFAWQUGUHWPDLZELZWSMZDNZEUIXAWPXEEWPXEXCAF
      ZXBXCBUJZOZPZDNXHXFDDXGUKULWPXDXIDXDXBWRFZXBXCIMZPZWPXIWRXBXCIEQUMXLXJXBI
      RZXCOZPZWPXIXNXKXJISUPZXBSFXNXKUQSSIKXPUNSSIUOURDQSXBXCIUSUTVHWPXOXIXOXIW
      PXJXBSSHFZXMAFZXBVARZWQFZPZPZXNXIXBAWQVBYBXNPXFXHYAXNXFXQXRXNXFXTXNXRXFXM
      XCAVCVDVEVFXQXTXNXHXRXTXQXSBOZXNXHXSBVGXQXNYCXHXBXCBSSVIVJVKVLTVMVNWPXIPZ
      XJXNYDXBXGWRWPXFXHVOZYDXCBAWQWPXFXHVPZWPBWQFXIBCVRVQVSVTYDXMXGIRZXCYDXBXG
      IYEWAYDXFWPYGXCOYFWPXIWHXCBACWBWCWITWDWEWFWGWJWKDEWSWLWMWRAWSWNWO $.

    $( The mapping of a restriction of the ` 2nd ` function to a converse
       constant function.  (Contributed by NM, 27-Mar-2008.)  (Proof shortened
       by Peter Mazsa, 2-Oct-2022.) $)
    2ndconst $p |- ( A e. V ->
             ( 2nd |` ( { A } X. B ) ) : ( { A } X. B ) -1-1-onto-> B ) $=
      ( vx vy wcel csn cxp c2nd wfo cv wbr wmo wceq wa vex cfv cvv adantll jca
      cres ccnv wfun wf1o c0 wne snnzg fo2ndres syl wal cop moani brresi wfn wb
      moeq fo2nd fofn ax-mp fnbrfvb mp2an anbi2i c1st elxp7 eleq1 biimpac elsni
      eqopi anassrs sylanl2 adantlrr sylanb adantl simprr adantr simprl opelxpd
      snidg eqeltrd op2ndg elvd sylan9eqr adantrl impbida bitr3id syl5bb mobidv
      fveq2 mpbiri alrimiv funcnv2 sylibr dff1o3 sylanbrc ) ACFZAGZBHZBIWQUAZJZ
      WRUBUCZWQBWRUDWOWPUEUFWSACUGWPBUHUIWODKZEKZWRLZDMZEUJWTWOXDEWOXDXBBFZXAAX
      BUKZNZOZDMXGXEDDXFUPULWOXCXHDXCXAWQFZXAXBILZOZWOXHWQXAXBIEPUMXKXIXAIQZXBN
      ZOZWOXHXMXJXIIRUNZXARFXMXJUORRIJXOUQRRIURUSDPRXAXBIUTVAVBWOXNXHXNXHWOXIXA
      RRHFZXAVCQZWPFZXLBFZOZOZXMXHXAWPBVDYAXMOXEXGXTXMXEXPXSXMXEXRXMXSXEXLXBBVE
      VFSSXPXRXMXGXSXRXPXQANZXMXGXQAVGXPYBXMXGXAAXBRRVHVIVJVKTVLVMWOXHOZXIXMYCX
      AXFWQWOXEXGVNYCAXBWPBWOAWPFXHACVRVOWOXEXGVPVQVSWOXGXMXEXGWOXLXFIQZXBXAXFI
      WHWOYDXBNEAXBCRVTWAWBWCTWDWEWFWGWIWJDEWRWKWLWQBWRWMWN $.
  $}

  ${
    $d w x y A $.  $d w x y B $.  $d w C $.
    dfmpo.1 $e |- C e. _V $.
    $( Alternate definition for the maps-to notation ~ df-mpo (although it
       requires that ` C ` be a set).  (Contributed by NM, 19-Dec-2008.)
       (Revised by Mario Carneiro, 31-Aug-2015.) $)
    dfmpo $p |- ( x e. A , y e. B |-> C )
                = U_ x e. A U_ y e. B { <. <. x , y >. , C >. } $=
      ( vw cmpo cxp cv cfv csb cop csn ciun csbex nfcv nfcsb1v nfop nfsn nfcsbw
      c1st c2nd cmpt mpompts dfmpt wceq csbopeq1a opeq12d sneqd iunxpf 3eqtri
      id ) ABCDEHGCDIZAGJZUBKZBUOUCKZELZLZUDGUNUOUSMZNZOACBDAJBJMZEMZNZOOABGCDE
      UEGUNUSAUPURBUQEFPPUFGABCDVAVDAUTAUOUSAUOQAUPURRSTBUTBUOUSBUOQBAUPURBUPQB
      UQERUASTGVDQUOVBUGZUTVCVEUOVBUSEVEUMABUOEUHUIUJUKUL $.
  $}

  ${
    $d A p x y $.  $d B p x y $.  $d C p $.  $d E p x y $.  $d U p x y $.
    $d V p x y $.  $d W p x y $.
    mposn.f $e |- F = ( x e. { A } , y e. { B } |-> C ) $.
    mposn.a $e |- ( x = A -> C = D ) $.
    mposn.b $e |- ( y = B -> D = E ) $.
    $( An operation (in maps-to notation) on two singletons.  (Contributed by
       AV, 4-Aug-2019.) $)
    mposn $p |- ( ( A e. V /\ B e. W /\ E e. U )
                   -> F = { <. <. A , B >. , E >. } ) $=
      ( vp wcel csn cfv csb wceq w3a cxp cv c1st c2nd cop xpsng 3adant3 mpteq1d
      cmpt mpompts eqtri a1i cvv wa wi op2ndg fveq2 eqcomd eqeq1d syl5ibcom imp
      cmpo op1stg simp1 simpl2 adantl sylan9eq csbied adantr wb csbeq1 csbeq2dv
      bitrd syl5ibrcom mp2and opex simp3 fmptsnd 3eqtr4d ) CJPZDKPZHGPZUAZOCQZD
      QZUBZAOUCZUDRZBWHUERZESZSZUJZOCDUFZQZWLUJIWNHUFQWDOWGWOWLWAWBWGWOTWCCDJKU
      GUHUIIWMTWDIABWEWFEVCWMLABOWEWFEUKULUMWDOWNWLHUNGWDWHWNTZUOZWJDTZWICTZWLH
      TZWDWPWRWAWBWPWRUPWCWAWBUOZWNUERZDTWPWRCDJKUQWPXBWJDWPWJXBWHWNUEURUSUTVAU
      HVBWDWPWSWAWBWPWSUPWCXAWNUDRZCTWPWSCDJKVDWPXCWICWPWIXCWHWNUDURUSUTVAUHVBW
      QWTWRWSUOZACBDESZSZHTZWDXGWPWDACXEHJWAWBWCVEWDAUCCTZUOZBDEHKWAWBWCXHVFXIB
      UCDTEFHXHEFTWDMVGNVHVIVIVJXDWTACWKSZHTZXGWSWTXKVKWRWSWLXJHAWICWKVLUTVGXDX
      JXFHXDACWKXEWRWKXETWSBWJDEVLVJVMUTVNVOVPWNUNPWDCDVQUMWAWBWCVRVSVT $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x D $.  $d x F $.  $d x G $.
    curry1.1 $e |- G = ( F o. `' ( 2nd |` ( { C } X. _V ) ) ) $.
    $( Composition with ` ``' ( 2nd |`` ( { C } X. _V ) ) ` turns any binary
       operation ` F ` with a constant first operand into a function ` G ` of
       the second operand only.  This transformation is called "currying".
       (Contributed by NM, 28-Mar-2008.)  (Revised by Mario Carneiro,
       26-Dec-2014.) $)
    curry1 $p |- ( ( F Fn ( A X. B ) /\ C e. A ) ->
                 G = ( x e. B |-> ( C F x ) ) ) $=
      ( cxp wfn wcel wa cfv wceq c2nd cvv cres adantr cin eqtrid eqtrd cmpt csn
      cv co ccnv ccom wfun cdm fnfun wf1o 2ndconst wfo dff1o3 simprbi syl funco
      syl2an cima dmco fndm crn imacnvcnv df-ima resres rneqi 3eqtri inxp incom
      imaeq2d inv1 eqtri xpeq2i wss snssi df-ss sylib xpeq1d reseq2d rneqd forn
      f1ofo 3syl adantl fneq1i df-fn bitri sylanbrc dffn5 fveq1i fvco2 simpl2im
      dff1o4 ad2antlr cop snidg vex opelxp sylanblrc jca fvresd op2ndg f1ocnvfv
      elvd sylc fveq2d adantll df-ov eqtr4di mpteq2dva ) EBCHZIZDBJZKZFACAUCZFL
      ZUAZACDXNEUDZUAXMFCIZFXPMXMENDUBZOHZPZUEZUFZUGZYCUHZCMZXRXKEUGYBUGZYDXLXJ
      EUIXLXTOYAUJZYGDOBUKZYHXTOYAULYGXTOYAUMUNUOEYBUPUQXMYEYBUEZEUHZURZCEYBUSX
      MYLYJXJURZCXMYKXJYJXKYKXJMXLXJEUTQVIXLYMCMXKXLYMNXTXJRZPZVAZCYMYAXJURYAXJ
      PZVAYPYAXJVBYAXJVCYQYONXTXJVDVEVFXLYPNXSCHZPZVAZCXLYOYSXLYNYRNXLYNXSBRZCH
      ZYRYNUUAOCRZHUUBXSOBCVGUUCCUUAUUCCORCOCVHCVJVKVLVKXLUUAXSCXLXSBVMUUAXSMDB
      VNXSBVOVPVQSVRVSXLYRCYSUJYRCYSULYTCMDCBUKYRCYSWAYRCYSVTWBTSWCTSXRYCCIYDYF
      KCFYCGWDYCCWEWFWGACFWHVPXMACXOXQXMXNCJZKZXOXNYBLZELZXQUUEXOXNYCLZUUGXNFYC
      GWIXLUUHUUGMZXKUUDXLYAXTIZYBOIZUUIXLYHUUJUUKKYIXTOYAWLVPUUKUUIAOEYBXNWJXC
      WKWMSUUEUUGDXNWNZELZXQXLUUDUUGUUMMXKXLUUDKZUUFUULEUUNYHUULXTJZKUULYALZXNM
      ZUUFUULMUUNYHUUOXLYHUUDYIQXLUUOUUDXLDXSJXNOJUUODBWOAWPDXNXSOWQWRZQWSXLUUQ
      UUDXLUUPUULNLZXNXLUULXTNUURWTXLUUSXNMADXNBOXAXCTQXTOUULXNYAXBXDXEXFDXNEXG
      XHTXIT $.

    $( The value of a curried function with a constant first argument.
       (Contributed by NM, 28-Mar-2008.)  (Revised by Mario Carneiro,
       26-Apr-2015.) $)
    curry1val $p |- ( ( F Fn ( A X. B ) /\ C e. A ) ->
        ( G ` D ) = ( C F D ) ) $=
      ( vx cxp wfn wcel wa cfv cv co cmpt curry1 wceq wn c0 fveq1d fvmptndm cdm
      eqid adantl fndm adantr simpr con3i ndmovg syl2an eqtr4d oveq2 ovex fvmpt
      ex pm2.61d2 eqtrd ) EABIZJZCAKZLZDFMDHBCHNZEOZPZMZCDEOZVBDFVEHABCEFGQUAVB
      DBKZVFVGRZVBVHSZVIVBVJLVFTVGVJVFTRVBHBVDVEDVEUDZUBUEVBEUCUSRZVAVHLZSVGTRV
      JUTVLVAUSEUFUGVMVHVAVHUHUICDABEUJUKULUPHDVDVGBVEVCDCEUMVKCDEUNUOUQUR $.

    $( Functionality of a curried function with a constant first argument.
       (Contributed by NM, 29-Mar-2008.) $)
    curry1f $p |- ( ( F : ( A X. B ) --> D /\ C e. A ) ->
                 G : B --> D ) $=
      ( vx cxp wf wcel wa cv co wfn cmpt wceq ffn curry1 sylan fovrn fmpt3d
      3expa ) ABIZDEJZCAKZLHBCHMZENZDFUEEUDOUFFHBUHPQUDDERHABCEFGSTUEUFUGBKUHDK
      CUGDABEUAUCUB $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x D $.  $d x F $.  $d x G $.
    curry2.1 $e |- G = ( F o. `' ( 1st |` ( _V X. { C } ) ) ) $.
    $( Composition with ` ``' ( 1st |`` ( _V X. { C } ) ) ` turns any binary
       operation ` F ` with a constant second operand into a function ` G ` of
       the first operand only.  This transformation is called "currying".  (If
       this becomes frequently used, we can introduce a new notation for the
       hypothesis.)  (Contributed by NM, 16-Dec-2008.) $)
    curry2 $p |- ( ( F Fn ( A X. B ) /\ C e. B ) ->
                 G = ( x e. A |-> ( x F C ) ) ) $=
      ( cxp wfn wcel wa cfv wceq c1st cvv cres adantr cin eqtrid eqtrd cmpt csn
      cv co ccnv ccom wfun cdm fnfun wf1o 1stconst wfo dff1o3 simprbi syl funco
      syl2an cima dmco fndm crn imacnvcnv df-ima resres rneqi 3eqtri inxp incom
      imaeq2d inv1 eqtri xpeq1i wss snssi df-ss sylib xpeq2d reseq2d rneqd forn
      f1ofo adantl fneq1i df-fn bitri sylanbrc dffn5 fveq1i dff1o4 simprd fvco2
      3syl vex sylancl ad2antlr cop snidg opelxpd fvresd op1stg ancoms f1ocnvfv
      a1i jca sylc fveq2d adantll df-ov eqtr4di mpteq2dva ) EBCHZIZDCJZKZFABAUC
      ZFLZUAZABXODEUDZUAXNFBIZFXQMXNENODUBZHZPZUEZUFZUGZYDUHZBMZXSXLEUGYCUGZYEX
      MXKEUIXMYAOYBUJZYHODCUKZYIYAOYBULYHYAOYBUMUNUOEYCUPUQXNYFYCUEZEUHZURZBEYC
      USXNYMYKXKURZBXNYLXKYKXLYLXKMXMXKEUTQVIXMYNBMXLXMYNNYAXKRZPZVAZBYNYBXKURY
      BXKPZVAYQYBXKVBYBXKVCYRYPNYAXKVDVEVFXMYQNBXTHZPZVAZBXMYPYTXMYOYSNXMYOBXTC
      RZHZYSYOOBRZUUBHUUCOXTBCVGUUDBUUBUUDBORBOBVHBVJVKVLVKXMUUBXTBXMXTCVMUUBXT
      MDCVNXTCVOVPVQSVRVSXMYSBYTUJYSBYTULUUABMBDCUKYSBYTWAYSBYTVTWLTSWBTSXSYDBI
      YEYGKBFYDGWCYDBWDWEWFABFWGVPXNABXPXRXNXOBJZKZXPXOYCLZELZXRUUFXPXOYDLZUUHX
      OFYDGWHXMUUIUUHMZXLUUEXMYCOIZXOOJZUUJXMYBYAIZUUKXMYIUUMUUKKYJYAOYBWIVPWJA
      WMZOEYCXOWKWNWOSUUFUUHXODWPZELZXRXMUUEUUHUUPMXLXMUUEKZUUGUUOEUUQYIUUOYAJZ
      KUUOYBLZXOMUUGUUOMUUQYIUURXMYIUUEYJQUUQXODOXTUULUUQUUNXCXMDXTJUUEDCWQZQWR
      XDUUQUUSUUONLZXOXMUUSUVAMUUEXMUUOYANXMXODOXTUULXMUUNXCUUTWRWSQUUEXMUVAXOM
      XODBCWTXATYAOUUOXOYBXBXEXFXGXODEXHXITXJT $.

    $( Functionality of a curried function with a constant second argument.
       (Contributed by NM, 16-Dec-2008.) $)
    curry2f $p |- ( ( F : ( A X. B ) --> D /\ C e. B ) ->
                 G : A --> D ) $=
      ( vx cxp wf wcel wa cv co wfn cmpt wceq ffn curry2 sylan 3com23 fmpt3d
      fovrn 3expa ) ABIZDEJZCBKZLHAHMZCENZDFUFEUEOUGFHAUIPQUEDERHABCEFGSTUFUGUH
      AKZUIDKZUFUJUGUKUHCDABEUCUAUDUB $.

    $( The value of a curried function with a constant second argument.
       (Contributed by NM, 16-Dec-2008.) $)
    curry2val $p |- ( ( F Fn ( A X. B ) /\ C e. B ) ->
        ( G ` D ) = ( D F C ) ) $=
      ( vx cxp wfn wcel wa cfv cv co cmpt curry2 wceq wn c0 fveq1d fvmptndm cdm
      wi eqid adantl fndm simpl con3i ndmovg syl2an eqtr4d ex adantr oveq1 ovex
      fvmpt pm2.61d2 eqtrd ) EABIZJZCBKZLZDFMDHAHNZCEOZPZMZDCEOZVCDFVFHABCEFGQU
      AVCDAKZVGVHRZVAVISZVJUDVBVAVKVJVAVKLVGTVHVKVGTRVAHAVEVFDVFUEZUBUFVAEUCUTR
      VIVBLZSVHTRVKUTEUGVMVIVIVBUHUIDCABEUJUKULUMUNHDVEVHAVFVDDCEUOVLDCEUPUQURU
      S $.
  $}

  $( Lemma for ~ cnvf1o .  (Contributed by Mario Carneiro, 27-Apr-2014.) $)
  cnvf1olem $p |- ( ( Rel A /\ ( B e. A /\ C = U. `' { B } ) ) ->
                    ( C e. `' A /\ B = U. `' { C } ) ) $=
    ( wrel wcel csn ccnv cuni wceq c2nd cfv c1st cop simprr sneqd cnveqd unieqd
    wa opswap fvex 1st2nd adantrr eqtrdi simprl eqeltrrd opelcnv sylibr eqeltrd
    eqtrd eqcomi 3eqtr4a jca ) ADZBAEZCBFZGZHZIZRRZCAGZEBCFZGZHZIUSCBJKZBLKZMZU
    TUSCVEVDMZFZGZHZVFUSCUQVJUMUNURNUSUPVIUSUOVHUSBVGUMUNBVGIURBAUAUBZOPQUIVEVD
    SUCZUSVGAEVFUTEUSBVGAVKUMUNURUDUEVDVEABJTBLTUFUGUHUSVGVFFZGZHZBVCVOVGVDVESU
    JVKUSVBVNUSVAVMUSCVFVLOPQUKUL $.

  ${
    $d x y A $.
    $( Describe a function that maps the elements of a set to its converse
       bijectively.  (Contributed by Mario Carneiro, 27-Apr-2014.) $)
    cnvf1o $p |- ( Rel A ->
                   ( x e. A |-> U. `' { x } ) : A -1-1-onto-> `' A ) $=
      ( vy wrel ccnv cv csn cuni cmpt cvv eqid wcel wa snex cnvex a1i cnvf1olem
      uniex wceq wb relcnv simpr sylancr dfrel2 eleq2 sylbi anbi1d adantr mpbid
      impbida f1od ) BDZACBBEZAFZGZEZHZCFZGZEZHZABUQIZJJVBKUQJLULUNBLZMUPUOUNNO
      RPVAJLULURUMLZMUTUSURNORPULVCURUQSZMZVDUNVASMZBUNURQULVGMZUNUMEZLZVEMZVFV
      HUMDVGVKBUAULVGUBUMURUNQUCULVKVFTVGULVJVCVEULVIBSVJVCTBUDVIBUNUEUFUGUHUIU
      JUK $.
  $}

  ${
    $d x A $.  $d y B $.  $d x y F $.  $d x y G $.
    $( Lemma for ~ fpar .  (Contributed by NM, 22-Dec-2008.)  (Revised by Mario
       Carneiro, 28-Apr-2015.) $)
    fparlem1 $p |- ( `' ( 1st |` ( _V X. _V ) ) " { x } ) = ( { x } X. _V ) $=
      ( vy c1st cvv cxp cres ccnv cv csn cima wcel cfv wceq wa fvres eqeq1d vex
      c2nd elsn2 fvex biantru bitr3i bitrdi pm5.32i wf wfn f1stres ffn fniniseg
      wb mp2b elxp7 3bitr4i eqriv ) BCDDEZFZGAHZIZJZURDEZBHZUOKZVAUPLZUQMZNZVBV
      ACLZURKZVARLDKZNZNVAUSKZVAUTKVBVDVIVBVDVFUQMZVIVBVCVFUQVAUOCOPVKVGVIVFUQA
      QSVHVGVARTUAUBUCUDUODUPUEUPUOUFVJVEUJDDUGUODUPUHUOUQVAUPUIUKVAURDULUMUN
      $.

    $( Lemma for ~ fpar .  (Contributed by NM, 22-Dec-2008.)  (Revised by Mario
       Carneiro, 28-Apr-2015.) $)
    fparlem2 $p |- ( `' ( 2nd |` ( _V X. _V ) ) " { y } ) = ( _V X. { y } ) $=
      ( vx c2nd cvv cxp cres ccnv cv csn cima wcel cfv wceq wa fvres eqeq1d vex
      c1st elsn2 fvex biantrur bitr3i bitrdi pm5.32i wf wfn wb f2ndres fniniseg
      ffn mp2b elxp7 3bitr4i eqriv ) BCDDEZFZGAHZIZJZDUREZBHZUOKZVAUPLZUQMZNZVB
      VARLDKZVACLZURKZNZNVAUSKZVAUTKVBVDVIVBVDVGUQMZVIVBVCVGUQVAUOCOPVKVHVIVGUQ
      AQSVFVHVARTUAUBUCUDUODUPUEUPUOUFVJVEUGDDUHUODUPUJUOUQVAUPUIUKVADURULUMUN
      $.

    $( Lemma for ~ fpar .  (Contributed by NM, 22-Dec-2008.)  (Revised by Mario
       Carneiro, 28-Apr-2015.) $)
    fparlem3 $p |- ( F Fn A
          -> ( `' ( 1st |` ( _V X. _V ) ) o. ( F o. ( 1st |` ( _V X. _V ) ) ) )
            = U_ x e. A ( ( { x } X. _V ) X. ( { ( F ` x ) } X. _V ) ) ) $=
      ( vy cvv cxp cres ccnv cv csn cima ciun ccom cdm crn cin wceq ax-mp eqtri
      wss wfn c1st cfv coiun inss1 fndm sseqtrid dfco2a syl coeq2d dmxpss sstri
      wcel wa fvex fparlem1 sneq xpeq1d eqtrid imaeq2d df-ima xpssres rneqi wne
      ssid c0 snnz rnxp eqtrdi xpeq12d iunxsn cnveqi cnvco cnvxp 3eqtr3i xpeq2i
      fnsnfv eqtr3id cnveqd iuneq2dv 3eqtr4a ) CBUAZUBEEFGZHZABWDAIZJZKZCWFKZFZ
      LZMABWDWIMZLWDCWCMZMABWFEFZWECUCZJZEFZFZLAWDWIBUDWBWLWJWDWBCNZWCOZPZBTWLW
      JQWBWRWTBWRWSUEBCUFUGACWCBUHUIUJWBABWQWKWBWEBUMUNZWQWDWOWMFZHZMZWKXBWCMZH
      WPWMFZHXDWQXEXFXEDWOWDDIZJZKZXBXHKZFZLZXFXBNZWSPZWOTXEXLQXNXMWOXMWSUEWOWM
      UKULDXBWCWOUHRDWNXKXFWECUOZXGWNQZXIWPXJWMXPXIXHEFWPDUPXPXHWOEXGWNUQZURUSX
      PXJXBWOKZWMXPXHWOXBXQUTXRXBWOGZOZWMXBWOVAXTXBOZWMXSXBWOWOTXSXBQWOVEWOWMWO
      VBRVCWOVFVDYAWMQWNXOVGWOWMVHRSSVIVJVKSVLXBWCVMWPWMVNVOXAXCWIWDXAXCWHWGFZH
      WIXAXBYBXAXBWOWGFYBWGWMWOAUPVPXAWOWHWGBWECVQURVRVSWHWGVNVIUJVRVTWA $.

    $( Lemma for ~ fpar .  (Contributed by NM, 22-Dec-2008.)  (Revised by Mario
       Carneiro, 28-Apr-2015.) $)
    fparlem4 $p |- ( G Fn B
          -> ( `' ( 2nd |` ( _V X. _V ) ) o. ( G o. ( 2nd |` ( _V X. _V ) ) ) )
            = U_ y e. B ( ( _V X. { y } ) X. ( _V X. { ( G ` y ) } ) ) ) $=
      ( vx cvv cxp cres ccnv cv csn cima ciun ccom cdm crn cin wceq ax-mp eqtri
      wss wfn c2nd cfv coiun inss1 fndm sseqtrid dfco2a syl coeq2d dmxpss sstri
      wcel wa fvex fparlem2 sneq xpeq2d eqtrid imaeq2d df-ima xpssres rneqi wne
      ssid c0 snnz rnxp eqtrdi xpeq12d iunxsn cnveqi cnvco cnvxp 3eqtr3i xpeq2i
      fnsnfv xpeq1d eqtr3id cnveqd iuneq2dv 3eqtr4a ) CBUAZUBEEFGZHZABWEAIZJZKZ
      CWGKZFZLZMABWEWJMZLWECWDMZMABEWGFZEWFCUCZJZFZFZLAWEWJBUDWCWMWKWEWCCNZWDOZ
      PZBTWMWKQWCWSXABWSWTUEBCUFUGACWDBUHUIUJWCABWRWLWCWFBUMUNZWRWEWPWNFZHZMZWL
      XCWDMZHWQWNFZHXEWRXFXGXFDWPWEDIZJZKZXCXIKZFZLZXGXCNZWTPZWPTXFXMQXOXNWPXNW
      TUEWPWNUKULDXCWDWPUHRDWOXLXGWFCUOZXHWOQZXJWQXKWNXQXJEXIFWQDUPXQXIWPEXHWOU
      QZURUSXQXKXCWPKZWNXQXIWPXCXRUTXSXCWPGZOZWNXCWPVAYAXCOZWNXTXCWPWPTXTXCQWPV
      EWPWNWPVBRVCWPVFVDYBWNQWOXPVGWPWNVHRSSVIVJVKSVLXCWDVMWQWNVNVOXBXDWJWEXBXD
      WIWHFZHWJXBXCYCXBXCWPWHFYCWHWNWPAUPVPXBWPWIWHBWFCVQVRVSVTWIWHVNVIUJVSWAWB
      $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y F $.  $d x y G $.
    fpar.1 $e |- H = ( ( `' ( 1st |` ( _V X. _V ) )
                        o. ( F o. ( 1st |` ( _V X. _V ) ) ) )
                i^i ( `' ( 2nd |` ( _V X. _V ) )
                       o. ( G o. ( 2nd |` ( _V X. _V ) ) ) ) ) $.
    $( Merge two functions in parallel.  Use as the second argument of a
       composition with a binary operation to build compound functions such as
       ` ( x e. ( 0 [,) +oo ) , y e. RR |-> `
       ` ( ( sqrt `` x ) + ( sin `` y ) ) ) ` , see also ~ ex-fpar .
       (Contributed by NM, 17-Sep-2007.)  (Proof shortened by Mario Carneiro,
       28-Apr-2015.) $)
    fpar $p |- ( ( F Fn A /\ G Fn B )
       -> H = ( x e. A , y e. B |-> <. ( F ` x ) , ( G ` y ) >. ) ) $=
      ( cvv cxp ccom cin csn ciun cop inxp inv1 xpeq12i xpsn 3eqtri wfn wa c1st
      cres ccnv c2nd cfv cmpo fparlem3 fparlem4 ineqan12d opex dfmpo wceq incom
      cv wcel eqtri vex fvex a1i iuneq2i 2iunin 3eqtr2i 3eqtr4g ) ECUAZFDUAZUBU
      CIIJZUDZUEEVIKKZUFVHUDZUEFVKKKZLACAUPZMZIJZVMEUGZMZIJZJZNZBDIBUPZMZJZIWAF
      UGZMZJZJZNZLZGABCDVPWDOZUHZVFVGVJVTVLWHACEUIBDFUJUKHWKACBDVMWAOZWJOMZNZNA
      CBDVSWGLZNZNWIABCDWJVPWDULZUMACWPWNWPWNUNVMCUQBDWOWMWOWMUNWADUQWOVOWCLZVR
      WFLZJWLMZWJMZJWMVOVRWCWFPWRWTWSXAWRVNILZIWBLZJVNWBJWTVNIIWBPXBVNXCWBVNQXC
      WBILWBIWBUOWBQURRVMWAAUSBUSSTWSVQILZIWELZJVQWEJXAVQIIWEPXDVQXEWEVQQXEWEIL
      WEIWEUOWEQURRVPWDVMEUTWAFUTSTRWLWJVMWAULWQSTVAVBVAVBABCDVSWGVCVDVE $.
  $}

  ${
    $d x y z t $.
    $( A function that can be used to feed a common value to both operands of
       an operation.  Use as the second argument of a composition with the
       function of ~ fpar in order to build compound functions such as
       ` ( x e. ( 0 [,) +oo ) |-> ( ( sqrt `` x ) + ( sin `` x ) ) ) ` .
       (Contributed by NM, 17-Sep-2007.)  Replace use of ~ dfid2 with ~ df-id .
       (Revised by BJ, 31-Dec-2023.) $)
    fsplit $p |- `' ( 1st |` _I ) = ( x e. _V |-> <. x , x >. ) $=
      ( vy vz vt cv c1st cid wbr copab cop wceq cvv wcel wa exbii eqeq2d 3bitri
      vex wex equsexvw cres ccnv brcnv brresi cfv 19.42v op1std eqeq1d pm5.32ri
      cmpt wfn wb wfo fo1st fofn ax-mp fnbrfvb mp2an df-id eleq2i elopab equcom
      ancom opeq2 pm5.32i biidd bitri 3bitrri anbi12ci 3bitr3ri opeq12d opabbii
      anbi1i id wrel relcnv dfrel4v mpbi mptv 3eqtr4i ) AEZBEZFGUAZUBZHZABIZWBW
      AWAJZKZABIWDALWGUJWEWHABWEWBWAWCHWBGMZWBWAFHZNZWHWAWBWCARZBRZUCGWBWAFWLUD
      WKCEZWAKZWBWNWNJZKZNZCSZWHWBFUEZWAKZWQNZCSXAWQCSZNWSWKXAWQCUFXBWRCWQXAWOW
      QWTWNWAWNWNWBCRZXDUGUHUIOXAWJXCWIFLUKZWBLMXAWJULLLFUMXEUNLLFUOUPWMLWBWAFU
      QURWIWBWNDEZKZCDIZMWBWNXFJZKZXGNZDSZCSXCGXHWBCDUSUTXGCDWBVAXLWQCXLXFWNKZW
      QNZDSWQXKXNDXKXGXJNXMXJNXNXJXGVCXGXMXJCDVBVMXMXJWQXMXIWPWBXFWNWNVDPVEQOWQ
      WQDCXMWQVFTVGOVHVIVJWQWHCAWOWPWGWBWOWNWAWNWAWOVNZXOVKPTVGQVLWDVOWDWFKWCVP
      ABWDVQVRABWGVSVT $.
  $}

  ${
    $d x y z $.
    $( Obsolete proof of ~ fsplit as of 31-Dec-2023.  (Contributed by NM,
       17-Sep-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    fsplitOLD $p |- `' ( 1st |` _I ) = ( x e. _V |-> <. x , x >. ) $=
      ( vy vz cv c1st cid cres ccnv wbr copab cop wceq cvv cmpt vex wcel wa wex
      exbii bitri brcnv brresi cfv 19.42v op1std eqeq1d pm5.32ri wfn fo1st fofn
      wb wfo ax-mp fnbrfvb mp2an dfid2 eleq2i nfe1 elopab equid biantru 3bitr4i
      19.9 bitr2i anbi12ci 3bitr3ri opeq12d eqeq2d equsexvw opabbii wrel relcnv
      id dfrel4v mpbi mptv 3eqtr4i ) ADZBDZEFGZHZIZABJZVSVRVRKZLZABJWAAMWDNWBWE
      ABWBVSVRVTIZWEVRVSVTAOZBOZUAWFVSFPZVSVREIZQZWEFVSVREWGUBWKCDZVRLZVSWLWLKZ
      LZQZCRZWEVSEUCZVRLZWOQZCRWSWOCRZQWQWKWSWOCUDWTWPCWOWSWMWOWRWLVRWLWLVSCOZX
      BUEUFUGSWSWJXAWIEMUHZVSMPWSWJUKMMEULXCUIMMEUJUMWHMVSVREUNUOWIVSWLWLLZCCJZ
      PZXAFXEVSCUPUQWOXDQZCRZCRXHXFXAXHCXGCURVCXDCCVSUSWOXGCXDWOCUTVASVBVDVEVFW
      OWECAWMWNWDVSWMWLVRWLVRWMVMZXIVGVHVITTTVJWAVKWAWCLVTVLABWAVNVOABWDVPVQ $.
  $}

  ${
    $d A a p $.  $d A a x y $.  $d F a x y $.  $d G a x y $.  $d H a $.
    $d S a $.
    fsplitfpar.h $e |- H = ( ( `' ( 1st |` ( _V X. _V ) )
                        o. ( F o. ( 1st |` ( _V X. _V ) ) ) )
                i^i ( `' ( 2nd |` ( _V X. _V ) )
                       o. ( G o. ( 2nd |` ( _V X. _V ) ) ) ) ) $.
    fsplitfpar.s $e |- S = ( `' ( 1st |` _I ) |` A ) $.
    $( Merge two functions with a common argument in parallel.  Combination of
       ~ fsplit and ~ fpar .  (Contributed by AV, 3-Jan-2024.) $)
    fsplitfpar $p |- ( ( F Fn A /\ G Fn A )
                -> ( H o. S ) = ( x e. A |-> <. ( F ` x ) , ( G ` x ) >. ) ) $=
      ( va vy wfn wa cfv cop wceq wral wcel cvv a1i adantl vp ccom cv cmpt cres
      c1st cid ccnv fsplit reseq1i eqtri fveq1i fvres eqidd weq id opeq12d elex
      opex fvmptd eqtrd fveq2d co df-ov cmpo fpar adantr fveq2 simpr ovmpod wss
      eqtr3id eqid fnmpt mprg ssv fnssres mp2an mpbir fvco2 sylan fvmpt 3eqtr4d
      fneq1i ralrimiva wb cxp crn ralrimivva fnmpo fneq1d mpbird sylancl sylibr
      syl cin wrex rneqi cima mptima df-ima rnmpt 3eqtr3i elinel2 simpl opelxpd
      cab wi eleq1 ex rexlimiv abssi eqsstrid fnco syl3anc eqfnfv syl2anc ) DBK
      EBKLZFCUBZABAUCZDMZXTEMZNZUDZOZIUCZXSMZYFYDMZOZIBPZXRYIIBXRYFBQZLZYFCMZFM
      ZYFDMZYFEMZNZYGYHYLYNYFYFNZFMZYQYLYMYRFYLYMYFARXTXTNZUDZBUEZMZYRYMUUCOYLY
      FCUUBCUFUGUEUHZBUEZUUBHUUDUUABAUIUJUKULSYKUUCYROXRYKUUCYFUUAMYRYFBUUAUMYK
      AYFYTYRRUUARYKUUAUNAIUOZYTYROYKUUFXTYFXTYFUUFUPZUUGUQTYFBURYRRQZYKYFYFUSZ
      SUTVATVAVBYLYSYFYFFVCYQYFYFFVDYLAJYFYFBBYAJUCZEMZNZYQFRXRFAJBBUULVEZOYKAJ
      BBDEFGVFZVGUUFJIUOZLZUULYQOYLUUPYAYOUUKYPUUFYAYOOUUOXTYFDVHZVGUUOUUKYPOUU
      FUUJYFEVHTUQTXRYKVIZUURYQRQYLYOYPUSZSVJVLVAXRCBKZYKYGYNOUUTXRUUTIRYRUDZBU
      EZBKZUVARKZBRVKZUVCUUHUVDIRIRYRUVARUVAVMVNZUUHYFRQZUUISVOBVPZRBUVAVQZVRBC
      UVBCUUEUVBHUUDUVABIUIUJUKZWDZVSSBFCYFVTWAYKYHYQOXRAYFYCYQBYDUUFYAYOYBYPUU
      QXTYFEVHUQYDVMZUUSWBTWCWEXRXSBKZYDBKZYEYJWFXRFBBWGZKZUUTCWHZUVOVKUVMXRUVP
      UUMUVOKZXRUULRQZJBPABPUVRXRUVSAJBBUVSXRXTBQZUUJBQLLYAUUKUSSWIAJBBUULUUMRU
      UMVMWJWOXRUVOFUUMUUNWKWLXRUVCUUTXRUVDUVEUVCXRUUHIRPUVDXRUUHIRUUHXRUVGLUUI
      SWEUVFWOUVHUVIWMUVKWNXRUVQUAUCZYROZIRBWPZWQZUAXGZUVOUVQUVBWHZUWECUVBUVJWR
      UVABWSIUWCYRUDZWHUWFUWEIRYRBWTUVABXAIUAUWCYRUWGUWGVMXBXCUKUWEUVOVKXRUWDUA
      UVOUWBUWAUVOQZIUWCYFUWCQYKUWBUWHXHYFRBXDYKUWBUWHYKUWBLZUWHYRUVOQZUWIYFYFB
      BYKUWBXEZUWKXFUWBUWHUWJWFYKUWAYRUVOXITWLXJWOXKXLSXMUVOBFCXNXOXRYCRQZABPUV
      NXRUWLABUWLXRUVTLYAYBUSSWEABYCYDRUVLVNWOIBXSYDXPXQWL $.

    $d C a $.  $d .+ a $.  $d V a $.  $d W a $.
    $( Express the function operation map ` oF ` by the functions defined in
       ~ fsplit and ~ fpar .  (Contributed by AV, 4-Jan-2024.) $)
    offsplitfpar $p |- ( ( ( F Fn A /\ G Fn A ) /\ ( F e. V /\ G e. W )
                           /\ ( .+ Fn C /\ ( ran F X. ran G ) C_ C ) )
                         -> ( .+ o. ( H o. S ) ) = ( F oF .+ G ) ) $=
      ( va wfn wa wcel crn ccom cfv cmpt co cxp wss w3a cop cof wceq fsplitfpar
      cv coeq2d 3ad2ant1 wf dffn3 biimpi adantr 3ad2ant3 simpl3r fnfvelrn sylan
      simp1l simp1r opelxpd sseldd cofmpt eqcomi mpteq2i eqtrdi cdm cin offval3
      df-ov fndm ineqan12d inidm mpteq1d sylan9eqr eqcomd 3adant3 3eqtrd ) EAMZ
      FAMZNZEHOFIONZCBMZEPZFPZUAZBUBZNZUCZCGDQZQZCLALUHZERZWLFRZUDZSZQZLAWMWNCT
      ZSZEFCUETZWAWBWKWQUFWHWAWJWPCLADEFGJKUGUIUJWIWQLAWOCRZSWSWILAWOBCPZCWHWAB
      XBCUKZWBWCXCWGWCXCBCULUMUNUOWIWLAOZNZWFBWOWCWGWAWBXDUPXEWMWNWDWEWIVSXDWMW
      DOVSVTWBWHUSAWLEUQURWIVTXDWNWEOVSVTWBWHUTAWLFUQURVAVBVCLAXAWRWRXAWMWNCVJV
      DVEVFWAWBWSWTUFWHWAWBNWTWSWBWAWTLEVGZFVGZVHZWRSWSLCEFHIVIWALXHAWRWAXHAAVH
      AVSVTXFAXGAAEVKAFVKVLAVMVFVNVOVPVQVR $.
  $}

  $( The ` 2nd ` (second component of an ordered pair) function restricted to a
     function ` F ` is a function from ` F ` into the codomain of ` F ` .
     (Contributed by Alexander van der Vekens, 4-Feb-2018.) $)
  f2ndf $p |- ( F : A --> B -> ( 2nd |` F ) : F --> B ) $=
    ( wf c2nd cxp wss f2ndres fssxp fssres sylancr resabs1d eqcomd feq1d mpbird
    cres ) ABCDZCBECPZDCBEABFZPZCPZDZQSBTDCSGUBABHABCIZSBCTJKQCBRUAQUARQECSUCLM
    NO $.

  ${
    $d A x y $.  $d B x y $.  $d F x y $.
    $( The ` 2nd ` (second component of an ordered pair) function restricted to
       a function ` F ` is a function from ` F ` onto the range of ` F ` .
       (Contributed by Alexander van der Vekens, 4-Feb-2018.) $)
    fo2ndf $p |- ( F : A --> B -> ( 2nd |` F ) : F -onto-> ran F ) $=
      ( vy vx wf crn c2nd cres wceq wfo ffrn f2ndf syl wfn ffn cv wcel cfv vex
      dffn3 sylbi frnd cop wex elrn2g ibi wa fvres adantl eqtr2di ffnd fnfvelrn
      op2nd sylan eqeltrd ex exlimdv syl5 ssrdv eqssd dffo2 sylanbrc ) ABCFZCCG
      ZHCIZFZVFGZVEJCVEVFKVDAVECFZVGABCLAVECMZNVDVHVEVDCVEVFVDCAOZVGABCPVKVIVGA
      CUAVJUBNUCVDDVEVHDQZVERZEQZVLUDZCRZEUEZVDVLVHRZVMVQEVLCVEUFUGVDVPVREVDVPV
      RVDVPUHZVLVOVFSZVHVSVTVOHSZVLVPVTWAJVDVOCHUIUJVNVLETDTUNUKVDVFCOVPVTVHRVD
      CBVFABCMULCVOVFUMUOUPUQURUSUTVACVEVFVBVC $.
  $}

  ${
    $d A a b v w x y $.  $d B a b v w x y $.  $d F a b v w x y $.
    $( The ` 2nd ` (second component of an ordered pair) function restricted to
       a one-to-one function ` F ` is a one-to-one function from ` F ` onto the
       range of ` F ` .  (Contributed by Alexander van der Vekens,
       4-Feb-2018.) $)
    f1o2ndf1 $p |- ( F : A -1-1-> B -> ( 2nd |` F ) : F -1-1-onto-> ran F ) $=
      ( vx vy va vv vb vw c2nd syl cv cfv wceq wi wcel wa wrex ex com23 wf1 crn
      cres wfo ccnv wfun wf1o f1f fo2ndf weq wral f2ndf cxp wss fssxp cop ssel2
      elxp2 sylib anim12dan fvres ad2antrr ad2antlr eqeq12d op2nd eqeq12i f1fun
      wf vex funopfv anim12d eqcom biimpi eqeqan12d simpl anim12i sylan2 opeq12
      f1veqaeq syl6 com14 syl6bi pm2.43i syld com13 impcom syl5bi sylbid adantl
      com12 ad4ant13 eleq1 bi2anan9 anbi2d fveq2 simpllr imbi12d imbi2d 3imtr4d
      wb simpr rexlimdvva rexlimivv mpcom ralrimivv dff13 sylanbrc df-f1 dff1o3
      imp simprbi ) ABCUAZCCUBZJCUCZUDZXNUEUFZCXMXNUGXLABCVHZXOABCUHZABCUIKXLCB
      XNUAZXPXLCBXNVHZDLZXNMZELZXNMZNZDEUJZOZECUKDCUKXSXLXQXTXRABCULKXLYGDECCCA
      BUMZUNZXLYACPZYCCPZQZYGOXLXQYIXRABCUOKYIYLXLYGYIYLXLYGOZYAFLZGLZUPZNZGBRF
      ARZYCHLZILZUPZNZIBRHARZQYIYLQZYMYIYJYRYKUUCYIYJQYAYHPYRCYHYAUQFGYAABURUSY
      IYKQYCYHPUUCCYHYCUQHIYCABURUSUTYRUUCUUDYMOZYQUUCUUEOZFGABYNAPZYOBPZQZYQUU
      FUUIYQQZUUBUUEHIABUUJYSAPZYTBPZQZQZUUBUUEUUNUUBQZYIYPCPZUUACPZQZQZXLYPXNM
      ZUUAXNMZNZYPUUANZOZOZUUDYMUUIUUMUUSUVEOYQUUBUUSUUIUUMQZUVEUURUVFUVEOYIUUR
      UVFUVEUURUVFQZUVBXLUVCUVGUVBYPJMZUUAJMZNZXLUVCOZUVGUUTUVHUVAUVIUUPUUTUVHN
      UUQUVFYPCJVAVBUUQUVAUVINUUPUVFUUACJVAVCVDUVJGIUJZUVGUVKUVHYOUVIYTYNYOFVIG
      VIVEYSYTHVIIVIVEVFUVGXLUVLUVCUVFUURXLUVLUVCOZOXLUURUVFUVMXLUURYNCMZYONZYS
      CMZYTNZQZUVFUVMOXLCUFZUURUVROABCVGUVSUUPUVOUUQUVQYNYOCVJYSYTCVJVKKXLUVFUV
      RUVMUVLUVFUVRXLUVCUVLUVFUVRUVKOOUVRUVLUVFUVLUVKUVRUVLUVNUVPNZUVFUVLUVKOOU
      VOUVQYOUVNYTUVPUVOYOUVNNUVNYOVLVMUVQYTUVPNUVPYTVLVMVNXLUVFUVLUVTUVCXLUVFU
      VLUVTUVCOOXLUVFQZUVTUVLUVCUWAUVTFHUJZUVMUVFXLUUGUUKQUVTUWBOUUIUUGUUMUUKUU
      GUUHVOUUKUULVOVPABYNYSCVSVQUWBUVLUVCYNYOYSYTVRSVTTSWAWBWAWCWATWDWEWFTWGWH
      TSWIWJWKUUOYLUURYIUUNYJUUPUUBYKUUQYQYJUUPWTUUIUUMYAYPCWLVCYCUUACWLWMWNUUO
      YGUVDXLUUOYEUVBYFUVCUUNUUBYBUUTYDUVAYQYBUUTNUUIUUMYAYPXNWOVCYCUUAXNWOVNUU
      OYAYPYCUUAUUIYQUUMUUBWPUUNUUBXAVDWQWRWSSXBSXCXJXDSTXDXEDECBXNXFXGXSXTXPCB
      XNXHXKKCXMXNXIXG $.
  $}

  ${
    opco1.exa $e |- ( ph -> A e. V ) $.
    opco1.exb $e |- ( ph -> B e. W ) $.
    $( Value of an operation precomposed with the projection on the first
       component.  (Contributed by Mario Carneiro, 28-May-2014.)  Generalize to
       closed form.  (Revised by BJ, 27-Oct-2024.) $)
    opco1 $p |- ( ph -> ( A ( F o. 1st ) B ) = ( F ` A ) ) $=
      ( c1st ccom co cop cfv wceq df-ov a1i cvv wfo wf wcel fo1st fof mp1i opex
      fvco3d op1stg syl2anc fveq2d 3eqtrd ) ABCDIJZKZBCLZUJMZULIMZDMBDMUKUMNABC
      UJOPAQQULDIQQIRQQISAUAQQIUBUCULQTABCUDPUEAUNBDABETCFTUNBNGHBCEFUFUGUHUI
      $.

    $( Value of an operation precomposed with the projection on the second
       component.  (Contributed by BJ, 27-Oct-2024.) $)
    opco2 $p |- ( ph -> ( A ( F o. 2nd ) B ) = ( F ` B ) ) $=
      ( c2nd ccom co cop cfv wceq df-ov a1i cvv wfo wf wcel fo2nd fof mp1i opex
      fvco3d op2ndg syl2anc fveq2d 3eqtrd ) ABCDIJZKZBCLZUJMZULIMZDMCDMUKUMNABC
      UJOPAQQULDIQQIRQQISAUAQQIUBUCULQTABCUDPUEAUNCDABETCFTUNCNGHBCEFUFUGUHUI
      $.
  $}

  ${
    opco1i.1 $e |- B e. _V $.
    opco1i.2 $e |- C e. _V $.
    $( Inference form of ~ opco1 .  (Contributed by Mario Carneiro,
       28-May-2014.)  (Revised by Mario Carneiro, 30-Apr-2015.) $)
    opco1i $p |- ( B ( F o. 1st ) C ) = ( F ` B ) $=
      ( c1st ccom co cfv wceq wtru cvv wcel a1i opco1 mptru ) ABCFGHACIJKABCLLA
      LMKDNBLMKENOP $.
  $}

  ${
    $d A a b c s v w x y z $.  $d B a b d s v w x y z $.
    $d R a b c s v w x y $.  $d S a b d s t u v w x y $.  $d T a b s w z $.
    frxp.1 $e |- T = { <. x , y >. | ( ( x e. ( A X. B ) /\ y e. ( A X. B ) )
      /\ ( ( 1st ` x ) R ( 1st ` y ) \/
           ( ( 1st ` x ) = ( 1st ` y ) /\ ( 2nd ` x ) S ( 2nd ` y ) ) ) ) } $.
    $( A lexicographical ordering of two well-founded classes.  (Contributed by
       Scott Fenton, 17-Mar-2011.)  (Revised by Mario Carneiro, 7-Mar-2013.)
       (Proof shortened by Wolf Lammen, 4-Oct-2014.) $)
    frxp $p |- ( ( R Fr A /\ S Fr B ) -> T Fr ( A X. B ) ) $=
      ( vw vz vb wa cv c0 wbr wn wi wceq wcel wex vs vc va vv vd vt wfr cxp wss
      wne wral wrex wal cdm ssn0 xpnz biimpri simprd syl dmxp dmss sseq2 syl5ib
      vu impcom syldan wb relxp relss mpi reldm0 necon3bid biimpa jca df-fr vex
      wrel dmex sseq1 neeq1 anbi12d raleq rexeqbi1dv spcv sylbi syl5 adantr w3a
      imbi12d cop csn cima crn imassrn wo xpeq0 orcs ss0 syl6bi rn0 0ss eqsstri
      rneq eqsstrdi syl6 rnxp rnss pm2.61ine sstrid eldm elimasn df-br c1st cfv
      bitr4i c2nd breq1 notbid rspccv expd ex adantl syl5ibr com3l eleq1 op1std
      eqeq1d op2ndd breq1d ianor fveq2 orbi12d anbi2d breq2d bitri df-rex exbii
      weq mpdd sylibr ne0i sylbir exlimiv imaex 1stdm elrel opeq1 eleq1d imbi1d
      syl2ani syl5bir exlimivv adantlr jcad ralrimiv sylan ralimi anbi1d eqeq2d
      olc opex xchnxbir ioran pm4.62 anbi2i orbi2i ralbii syl6ibr reximdv com23
      brab sylcom impl expimpd 3adant3 cres resss eqid eqeq1 breq2 ralbidv mpan
      spcev sylanb eximi excom sylib elsnres anbi1i 19.41v anass 3bitr2i ssrexv
      mpsyl rexlimdv 3expib alrimiv ) CEUGZDFUGZLZUAMZCDUHZUIZUXANUJZLZIMZJMZGO
      ZPZIUXAUKZJUXAULZQZUAUMUXBGUGUWTUXLUAUWTUXEUBMZUCMZEOZPZUBUXAUNZUKZUCUXQU
      LZUXKUWRUXEUXSQUWSUXEUXQCUIZUXQNUJZLZUWRUXSUXEUXTUYAUXCUXDDNUJZUXTUXEUXBN
      UJZUYCUXAUXBUOUYDCNUJZUYCUYEUYCLUYDCDUPUQURUSUYCUXCUXTUYCUXBUNZCRZUXCUXTQ
      CDUTUXCUXQUYFUIUYGUXTUXAUXBVAUYFCUXQVBVCUSVEVFUXCUXDUYAUXCUXANUXQNUXCUXAV
      QZUXANRZUXQNRVGUXCUXBVQUYHCDVHUXAUXBVIVJZUXAVKUSVLVMVNUWRUDMZCUIZUYKNUJZL
      ZUXPUBUYKUKZUCUYKULZQZUDUMUYBUXSQZUDUCUBCEVOUYQUYRUDUXQUXAUAVPZVRUYKUXQRZ
      UYNUYBUYPUXSUYTUYLUXTUYMUYAUYKUXQCVSUYKUXQNVTWAUYOUXRUCUYKUXQUXPUBUYKUXQW
      BWCWIWDWEWFWGUWSUXEUXSUXKQZQUWRUWSUXCUXDVUAUWSUXCUXDWHZUXRUXKUCUXQVUBUXNU
      XQSZUXRUXKVUBVUCUXRLZUXFUXNKMZWJZGOZPZIUXAUKZKUXAUXNWKZWLZULZUXKUWSUXCVUD
      VULQUXDUWSUXCLVUCUXRVULUWSUXCVUCUXRVULQZUWSUXCVUCLUEMZVUEFOZPZUEVUKUKZKVU
      KULZVUMUXCUWSVUKDUIZVUKNUJZVURVUCUXCVUKUXAWMZDUXAVUJWNUXCVVADUIZQZCNCNRZU
      XCUYIVVBVVDUXBNRZUXCUYIQVVDDNRZVVEVVEVVDVVFWOCDWPUQWQVVEUXCUXANUIUYIUXBNU
      XAVBUXAWRWSUSUYIVVANWMZDUXANXCVVGNDWTDXAXBXDXEUYEUXBWMZDRZVVCCDXFUXCVVAVV
      HUIVVIVVBUXAUXBXGVVHDVVAVBVCUSXHXIVUCUXNVUEUXAOZKTVUTKUXNUXAUCVPZXJVVJVUT
      KVVJVUEVUKSZVUTVVLVUFUXASZVVJUXAUXNVUEVVKKVPZXKZUXNVUEUXAXLXOVUKVUEUUAUUB
      UUCWEUWSUYKDUIZUYMLZVUPUEUYKUKZKUYKULZQZUDUMVUSVUTLZVURQZUDKUEDFVOVVTVWBU
      DVUKUXAVUJUYSUUDUYKVUKRZVVQVWAVVSVURVWCVVPVUSUYMVUTUYKVUKDVSUYKVUKNVTWAVV
      RVUQKUYKVUKVUPUEUYKVUKWBWCWIWDWEUUJUXCVURVUMQVUCUXCUXRVURVULUXCUXRVURVULQ
      UXCUXRLZVUQVUIKVUKVWDVUQUXFUXBSZVUFUXBSZLZPZUXFXMXNZUXNEOZPZVWIUXNRZUXFXP
      XNZVUEFOZPZQZLZWOZIUXAUKZVUIVWDVUQVWQIUXAUKZVWSUXCUYHUXRVUQVWTQUYJUYHUXRL
      ZVUQVWTVXAVUQLZVWQIUXAVXBUXFUXASZVWKVWPVXAVXCVWKQZVUQUXRUYHVXDUXRUYHVXCVW
      KUYHVXCLVWIUXQSUXRVWKUXFUXAUUEUXPVWKUBVWIUXQUXMVWIRUXOVWJUXMVWIUXNEXQXRXS
      WFXTVEWGUYHVUQVXCVWPQZUXRUYHVUQLZVXCUXFUFMZVDMZWJZRZVDTUFTZVWPUYHVXCVXKQV
      UQUYHVXCVXKUFVDUXFUXAUUFYAWGVXKVXFVXCVWPVXJVXFVXEQUFVDVXFVXEVXJVXIUXASZUF
      UCYRZVXHVUEFOZPZQZQVXMVXFVXLVXOVXFVXLVXOQVXMUXNVXHWJZUXASZVXOQZVUQVXSUYHV
      XRVXHVUKSVUQVXOUXAUXNVXHVVKVDVPZXKVUPVXOUEVXHVUKUEVDYRVUOVXNVUNVXHVUEFXQX
      RXSUUKYBVXMVXLVXRVXOVXMVXIVXQUXAVXGUXNVXHUUGUUHUUIYCYDVXJVXCVXLVWPVXPUXFV
      XIUXAYEVXJVWLVXMVWOVXOVXJVWIVXGUXNVXGVXHUXFUFVPZVXTYFYGVXJVWNVXNVXJVWMVXH
      VUEFVXGVXHUXFVYAVXTYHYIXRWIWIYCUULYDYSUUMUUNUUOYAUUPVWQVWRIUXAVWQVWHUUTUU
      QXEVUHVWRIUXAVUHVWHVWJVWLVWNLZWOZPZWOZVWRVWGVYCLZVYEVUGVWGVYCYJAMZUXBSZBM
      ZUXBSZLZVYGXMXNZVYIXMXNZEOZVYLVYMRZVYGXPXNZVYIXPXNZFOZLZWOZLVWEVYJLZVWIVY
      MEOZVWIVYMRZVWMVYQFOZLZWOZLVYFABUXFVUFGIVPUXNVUEUVAZAIYRZVYKWUAVYTWUFWUHV
      YHVWEVYJVYGUXFUXBYEUURWUHVYNWUBVYSWUEWUHVYLVWIVYMEVYGUXFXMYKZYIWUHVYOWUCV
      YRWUDWUHVYLVWIVYMWUIYGWUHVYPVWMVYQFVYGUXFXPYKYIWAYLWAVYIVUFRZWUAVWGWUFVYC
      WUJVYJVWFVWEVYIVUFUXBYEYMWUJWUBVWJWUEVYBWUJVYMUXNVWIEUXNVUEVYIVVKVVNYFZYN
      WUJWUCVWLWUDVWNWUJVYMUXNVWIWUKUUSWUJVYQVUEVWMFUXNVUEVYIVVKVVNYHYNWAYLWAHU
      VKUVBVYDVWQVWHVYDVWKVYBPZLVWQVWJVYBUVCWULVWPVWKWULVWLPVWOWOVWPVWLVWNYJVWL
      VWNUVDXOUVEYOUVFYOUVGUVHUVIYAUVJWGUVLUVMUVNUVOUXAVUJUVPZUXAUIVULUXJJWUMUL
      ZUXKUXAVUJUVQVULUXGVUFRZVVMUXJLZLZKTZJTZWUNVULWUQJTZKTZWUSVULVVLVUILZKTWV
      AVUIKVUKYPWVBWUTKVVLVVMVUIWUTVVOVUFVUFRZVVMVUILZWUTVUFUVRWUQWVCWVDLJVUFWU
      GWUOWUOWVCWUPWVDUXGVUFVUFUVSWUOUXJVUIVVMWUOUXIVUHIUXAWUOUXHVUGUXGVUFUXFGU
      VTXRUWAYMWAUWCUWBUWDUWEWEWUQKJUWFUWGWUNUXGWUMSZUXJLZJTWUSUXJJWUMYPWVFWURJ
      WVFWUOVVMLZKTZUXJLWVGUXJLZKTWURWVEWVHUXJKUXGUXAUXNVVKUWHUWIWVGUXJKUWJWVIW
      UQKWUOVVMUXJUWKYQUWLYQYOYTUXJJWUMUXAUWMUWNXEXTUWOUWPYBYSUWQUAJIUXBGVOYT
      $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d R x y $.  $d S x y $.  $d a x y $.
    $d b x y $.  $d c x y $.  $d d x y $.
    xporderlem.1 $e |- T = { <. x , y >. | ( ( x e. ( A X. B )
     /\ y e. ( A X. B ) )
     /\ ( ( 1st ` x ) R ( 1st ` y )
       \/ ( ( 1st ` x ) = ( 1st ` y ) /\ ( 2nd ` x ) S ( 2nd ` y ) ) ) ) } $.
    $( Lemma for lexicographical ordering theorems.  (Contributed by Scott
       Fenton, 16-Mar-2011.) $)
    xporderlem $p |- ( <. a , b >. T <. c , d >. <->
                        ( ( ( a e. A /\ c e. A ) /\ ( b e. B /\ d e. B ) ) /\
                          ( a R c \/ ( a = c /\ b S d ) ) ) ) $=
      ( cv wbr wcel wa cfv wceq vex anbi12d cop c1st c2nd wo copab df-br eleq2i
      bitri opex eleq1 opelxp bitrdi anbi1d op1std breq1d eqeq1d op2ndd orbi12d
      cxp anbi2d breq2d eqeq2d opelopab an4 anbi1i 3bitri ) HMZIMZUAZJMZKMZUAZG
      NZVIVLUAZAMZCDUSZOZBMZVPOZPZVOUBQZVRUBQZENZWAWBRZVOUCQZVRUCQZFNZPZUDZPZAB
      UEZOZVGCOZVHDOZPZVJCOZVKDOZPZPZVGVJENZVGVJRZVHVKFNZPZUDZPZWMWPPWNWQPPZXDP
      VMVNGOWLVIVLGUFGWKVNLUGUHWJWOVSPZVGWBENZVGWBRZVHWFFNZPZUDZPXEABVIVLVGVHUI
      VJVKUIVOVIRZVTXGWIXLXMVQWOVSXMVQVIVPOWOVOVIVPUJVGVHCDUKULUMXMWCXHWHXKXMWA
      VGWBEVGVHVOHSZISZUNZUOXMWDXIWGXJXMWAVGWBXPUPXMWEVHWFFVGVHVOXNXOUQUOTURTVR
      VLRZXGWSXLXDXQVSWRWOXQVSVLVPOWRVRVLVPUJVJVKCDUKULUTXQXHWTXKXCXQWBVJVGEVJV
      KVRJSZKSZUNZVAXQXIXAXJXBXQWBVJVGXTVBXQWFVKVHFVJVKVRXRXSUQVATURTVCWSXFXDWM
      WNWPWQVDVEVF $.
  $}

  ${
    $d A a b c d e f t u v x y $.  $d B a b c d e f t u v x y $.
    $d R a b c d e f t u v x y $.  $d S a b c d e f t u v x y $.
    $d T a b c d e f t u v $.
    poxp.1 $e |- T = { <. x , y >. | ( ( x e. ( A X. B ) /\ y e. ( A X. B ) )
      /\ ( ( 1st ` x ) R ( 1st ` y ) \/
           ( ( 1st ` x ) = ( 1st ` y ) /\ ( 2nd ` x ) S ( 2nd ` y ) ) ) ) } $.
    $( A lexicographical ordering of two posets.  (Contributed by Scott Fenton,
       16-Mar-2011.)  (Revised by Mario Carneiro, 7-Mar-2013.) $)
    poxp $p |- ( ( R Po A /\ S Po B ) -> T Po ( A X. B ) ) $=
      ( va vb vc vd ve vf wa cv wbr wn wi wcel vt vu wpo cxp wral cop wceq elxp
      vv wex w3a 3an6 weq wo poirr intnand im2anan9 ioran syl6ibr imp 3ad2antr1
      ex an4 potr 3impia orcd 3expia expdimp breq2 biimpa expcom adantrd adantl
      jaod anim2d orim2d breq1 equequ1 anbi1d orbi12d imbi2d syl5ibr expd com12
      impd jaao an4s sylan2b biimpi 3adant2 jctild adantld syl5bi jca wb breq12
      anidms notbid 3ad2ant1 3adant3 3adant1 anbi12d imbi12d xporderlem anbi12i
      notbii imbi12i bitrdi expcomd sylbi com3l exlimivv syl3anb com3r ralrimiv
      3exp 3imp ralrimivva df-po sylibr ) CEUCZDFUCZOZUAPZYDGQZRZYDUBPZGQZYGUIP
      ZGQZOZYDYIGQZSZOZUICDUDZUEZUBYOUEUAYOUEYOGUCYCYPUAUBYOYOYCYDYOTZYGYOTZOZO
      YNUIYOYCYSYIYOTZYNSYSYTYCYNYQYRYTYCYNSZYQYDIPZJPZUFZUGZUUBCTZUUCDTZOZOZJU
      JIUJZYRYGKPZLPZUFZUGZUUKCTZUULDTZOZOZLUJKUJZYTYIMPZNPZUFZUGZUUTCTZUVADTZO
      ZOZNUJMUJZUUAIJYDCDUHKLYGCDUHMNYICDUHUUJUUSUVHUUAUUIUUSUVHUUASSIJUVHUUIUU
      SUUAUVGUUIUUSUUASSMNUUSUVGUUIUUAUURUVGUUIUUASSKLUUIUURUVGUUAUUIUURUVGUUAU
      UIUURUVGUKUUEUUNUVCUKZUUHUUQUVFUKZOUUAUUEUUHUUNUUQUVCUVFULUVIUVJUUAUVIYCU
      VJYNYCUVJOZYNUVIUUFUUFOUUGUUGOOZUUBUUBEQZIIUMZUUCUUCFQZOZUNZOZRZUUFUUOOUU
      GUUPOOZUUBUUKEQZIKUMZUUCUULFQZOZUNZOZUUOUVDOUUPUVEOOZUUKUUTEQZKMUMZUULUVA
      FQZOZUNZOZOZUUFUVDOUUGUVEOOZUUBUUTEQZIMUMZUUCUVAFQZOZUNZOZSZOZUVKUVSUXBYC
      UUQUUHUVSUVFYCUUHOUVQUVLYCUUHUVQRZYCUUHUVMRZUVPRZOUXDYAUUFUXEYBUUGUXFYAUU
      FUXECUUBEUOVBYBUUGUXFYBUUGOUVOUVNDUUCFUOUPVBUQUVMUVPURUSUTUPVAUWNUVTUWGOZ
      UWEUWLOZOUVKUXAUVTUWEUWGUWLVCUVKUXHUXAUXGUVKUXHUWTUWOUVJYCUUFUUOUVDUKZUUG
      UUPUVEUKZOUXHUWTSZUUFUUGUUOUUPUVDUVEULYAUXIYBUXJUXKYAUXIOZYBUXJOZOUWEUWLU
      WTUXLUWAUWLUWTSZUXMUWDUXLUWAUXNUXLUWAOUWHUWTUWKUXLUWAUWHUWTYAUXIUWAUWHOZU
      WTYAUXIUXOUKUWPUWSYAUXIUXOUWPCUUBUUKUUTEVDVEVFVGVHUWAUWKUWTSUXLUWAUWIUWTU
      WJUWIUWAUWTUWIUWAOUWPUWSUWIUWAUWPUUKUUTUUBEVIVJVFVKVLVMVNVBUXMUWBUWCUXNUW
      BUXMUWCUXNSUWBUXMUWCUXNUXMUWCOZUXNUWBUWLUWHUWIUWROZUNZSUXPUWKUXQUWHUXPUWJ
      UWRUWIUXMUWCUWJUWRDUUCUULUVAFVDVHVOVPUWBUWTUXRUWLUWBUWPUWHUWSUXQUUBUUKUUT
      EVQUWBUWQUWIUWRIKMVRVSVTWAWBWCWDWEWFWEWGWHUVJUWOYCUUHUVFUWOUUQUUHUVFOUWOU
      UFUUGUVDUVEVCWIWJVMWKWLWMWNUVIYNUUDUUDGQZRZUUDUUMGQZUUMUVBGQZOZUUDUVBGQZS
      ZOUXCUVIYFUXTYMUYEUUEUUNYFUXTWOUVCUUEYEUXSUUEYEUXSWOYDUUDYDUUDGWPWQWRWSUV
      IYKUYCYLUYDUVIYHUYAYJUYBUUEUUNYHUYAWOUVCYDUUDYGUUMGWPWTUUNUVCYJUYBWOUUEYG
      UUMYIUVBGWPXAXBUUEUVCYLUYDWOUUNYDUUDYIUVBGWPWJXCXBUXTUVSUYEUXBUXSUVRABCDE
      FGIJIJHXDXFUYCUWNUYDUXAUYAUWFUYBUWMABCDEFGIJKLHXDABCDEFGKLMNHXDXEABCDEFGI
      JMNHXDXGXEXHWBXIUTXJXPXKXLXKXLXKXLXQXMVGXNUTXOXRUAUBUIYOGXSXT $.
  $}

  ${
    $d A a b c d t u x y $.  $d B a b c d t u x y $.  $d R a b c d t u x y $.
    $d S a b c d t u x y $.  $d T a b c d t u $.
    soxp.1 $e |- T = { <. x , y >. | ( ( x e. ( A X. B ) /\ y e. ( A X. B ) )
      /\ ( ( 1st ` x ) R ( 1st ` y ) \/
           ( ( 1st ` x ) = ( 1st ` y ) /\ ( 2nd ` x ) S ( 2nd ` y ) ) ) ) } $.
    $( A lexicographical ordering of two strictly ordered classes.
       (Contributed by Scott Fenton, 17-Mar-2011.)  (Revised by Mario Carneiro,
       7-Mar-2013.) $)
    soxp $p |- ( ( R Or A /\ S Or B ) -> T Or ( A X. B ) ) $=
      ( va vb vc vd wa cv wbr wceq w3o wi wo wn vt wor cxp wpo wral sopo syl2an
      vu poxp wcel cop elxp ioran ianor anbi2i bitri anbi12i solin 3orass df-or
      wex sylib orim2d im2anan9 pm2.53 orc syl6 adantr orel1 imor biimpri com12
      anim2d equcomi anim1i olcd syld a1d jaoi imp syl6com syl5bi df-3or sylibr
      ex jaod impd pm3.2 ad2ant2l idd simpr ancomd 3orim123d an4s expcom breq12
      mpd eqeq12 ancoms 3orbi123d xporderlem vex opth 3orbi123i bitrdi biimprcd
      wb com3r exlimivv syl2anb ralrimivv df-so sylanbrc ) CEUBZDFUBZMZCDUCZGUD
      ZUANZUHNZGOZXSXTPZXTXSGOZQZUHXQUEUAXQUEXQGUBXNCEUDDFUDXRXOCEUFDFUFABCDEFG
      HUIUGXPYDUAUHXQXQXSXQUJZXTXQUJZMXPYDYEXSINZJNZUKZPZYGCUJZYHDUJZMZMZJVAIVA
      ZXTKNZLNZUKZPZYPCUJZYQDUJZMZMZLVAKVAZXPYDRZYFIJXSCDULKLXTCDULYOUUDUUEYNUU
      DUUERIJUUDYNUUEUUCYNUUERKLYNUUCUUEYJYSYMUUBUUEYJYSMZYMUUBMZUUEUUGXPUUFYDU
      UGXPYKYTMZYLUUAMZMZYGYPEOZYGYPPZYHYQFOZMZSZMZUULYHYQPZMZYTYKMZUUAYLMZMZYP
      YGEOZYPYGPZYQYHFOZMZSZMZQZUUFYDRYKYTYLUUAXPUVHRXPUUJUVHXNUUHXOUUIUVHXNUUH
      MZXOUUIMZMZUUOUURUVFQZUVHUVKUUOUURSZTZUVFRZUVLUVNUUKTZUULTZUUMTZSZMZUVQUU
      QTZSZMZUVKUVFUVNUUOTZUURTZMUWCUUOUURUMUWDUVTUWEUWBUWDUVPUUNTZMUVTUUKUUNUM
      UWFUVSUVPUULUUMUNUOUPUULUUQUNUQUPUVKUVTUWBUVFUVKUVTUULUVBSZUVQUUQUVDSZSZM
      ZUWBUVFRUVIUVPUWGUVJUVSUWIUVIUUKUULUVBQZUVPUWGRZCYGYPEURUWKUUKUWGSUWLUUKU
      ULUVBUSUUKUWGUTUPVBUVJUVRUWHUVQUVJUUMUUQUVDQZUVRUWHRZDYHYQFURUWMUUMUWHSUW
      NUUMUUQUVDUSUUMUWHUTUPVBVCVDUWJUVQUVFUWAUWGUVQUVFRUWIUWGUVQUVBUVFUULUVBVE
      UVBUVEVFZVGVHUWAUWJUWGUVQUVDSZMUVFUWAUWIUWPUWGUWAUWHUVDUVQUUQUVDVIVCVMUWG
      UWPUVFUULUWPUVFRUVBUULUWPUVDUVFUWPUULUVDUULUVDRUWPUULUVDVJVKVLUULUVDUVFUU
      LUVDMUVEUVBUULUVCUVDIKVNVOVPWEVQUVBUVFUWPUWOVRVSVTWAWFVGWGWBUVLUVMUVFSUVO
      UUOUURUVFWCUVMUVFUTUPWDUVKUUOUUPUURUURUVFUVGUUHUUIUUOUUPRXNXOUUJUUOWHWIUV
      KUURWJUVIUUSUUTUVFUVGRUVJUVIYKYTXNUUHWKWLUVJYLUUAXOUUIWKWLUVAUVFWHUGWMWQW
      NWOWNUUFYDUVHUUFYDYIYRGOZYIYRPZYRYIGOZQUVHUUFYAUWQYBUWRYCUWSXSYIXTYRGWPXS
      YIXTYRWRYSYJYCUWSXGXTYRXSYIGWPWSWTUWQUUPUWRUURUWSUVGABCDEFGIJKLHXAYGYHYPY
      QIXBJXBXCABCDEFGKLIJHXAXDXEXFVGXHVTWNWOXIVLXIVTXJVLXKUAUHXQGXLXM $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d R x y $.  $d S x y $.
    wexp.1 $e |- T = { <. x , y >. | ( ( x e. ( A X. B ) /\ y e. ( A X. B ) )
      /\ ( ( 1st ` x ) R ( 1st ` y ) \/
           ( ( 1st ` x ) = ( 1st ` y ) /\ ( 2nd ` x ) S ( 2nd ` y ) ) ) ) } $.
    $( A lexicographical ordering of two well-ordered classes.  (Contributed by
       Scott Fenton, 17-Mar-2011.)  (Revised by Mario Carneiro, 7-Mar-2013.) $)
    wexp $p |- ( ( R We A /\ S We B ) -> T We ( A X. B ) ) $=
      ( wwe wa cxp wfr wor wefr frxp syl2an weso soxp df-we sylanbrc ) CEIZDFIZ
      JCDKZGLZUCGMZUCGIUACELDFLUDUBCENDFNABCDEFGHOPUACEMDFMUEUBCEQDFQABCDEFGHRP
      UCGST $.
  $}

  ${
    $d u v w x y z A $.  $d u v w x y z B $.  $d w x y G $.  $d w x z ph $.
    $d u v w x y z F $.  $d w x y Q $.  $d u v w x y R $.  $d u v w x y S $.
    $d w T $.
    fnwe.1 $e |- T = { <. x , y >. | ( ( x e. A /\ y e. A ) /\
      ( ( F ` x ) R ( F ` y ) \/ ( ( F ` x ) = ( F ` y ) /\ x S y ) ) ) } $.
    fnwe.2 $e |- ( ph -> F : A --> B ) $.
    fnwe.3 $e |- ( ph -> R We B ) $.
    fnwe.4 $e |- ( ph -> S We A ) $.
    fnwe.5 $e |- ( ph -> ( F " w ) e. _V ) $.
    ${
      fnwelem.6 $e |- Q = { <. u , v >. |
        ( ( u e. ( B X. A ) /\ v e. ( B X. A ) ) /\
          ( ( 1st ` u ) R ( 1st ` v ) \/
            ( ( 1st ` u ) = ( 1st ` v ) /\ ( 2nd ` u ) S ( 2nd ` v ) ) ) ) } $.
      fnwelem.7 $e |- G = ( z e. A |-> <. ( F ` z ) , z >. ) $.
      $( Lemma for ~ fnwe .  (Contributed by Mario Carneiro, 10-Mar-2013.)
         (Revised by Mario Carneiro, 18-Nov-2014.) $)
      fnwelem $p |- ( ph -> T We A ) $=
        ( crn wwe cxp wss wf cv cfv cop wcel wa ffvelrn simpr opelxpd fmptd frn
        3syl wexp syl2anc wess sylc ccnv wiso cima cvv wal wi wf1o wf1 wceq weq
        wral fveq2 id opeq12d opex fvmpt eqeqan12d fvex vex opth simprbi syl6bi
        rgen2 dff13 sylanblrc f1f1orn f1ocnv 4syl copab eqid f1oiso2 wb wo wrel
        wbr frel dfrel2 sylib fveq1d breq12d adantr breqan12d adantl c1st eleq1
        opelxp bitrdi anbi1d op1std breq1d eqeq1d op2ndd anbi12d orbi12d anbi2d
        syl c2nd breq2d eqeq2d jca anim12dan biantrurd bitr4id 3bitrrd pm5.32da
        brab opabbidv eqtrid isoeq3 syl5ibr imacnvcnv sylancl cres cdm imadmres
        isocnv dmres elin2 xpexg f1dm eleqtrd wfn ffnd cin inss2 fndmd sseqtrid
        simprr eqsstrid eleqtrrd sylanbrc fnfvima syl3anc eleqtrdi eqeltrd wfun
        simprl sylan2b ralrimiva f1fun resss ax-mp funimass4 eqsstrrid eqeltrid
        dmss mpbird ssexd alrimiv isowe2 mpd ) AOUCZJUDZHMUDZAUVNIHUEZUFZUVQJUD
        ZUVOAHINUGZHUVQOUGZUVRQUVTDHDUHZNUIZUWBUJZUVQOUVTUWBHUKZULUWCUWBIHHIUWB
        NUMUVTUWEUNUOUBUPZHUVQOUQURAIKUDHLUDUVSRSGFIHKLJUAUSUTUVNUVQJVAVBAHUVNM
        JOVCZVCZVDZUWHEUHZVEZVFUKZEVGUVOUVPVHAUVNHJMUWGVDZUWIAUVTUVNHUWGVIZUWMQ
        AUVTHUVQOVJZHUVNOVIUWNQUVTUWABUHZOUIZCUHZOUIZVKZBCVLZVHZCHVMBHVMUWOUWFU
        XBBCHHUWPHUKZUWRHUKZULZUWTUWPNUIZUWPUJZUWRNUIZUWRUJZVKZUXAUXCUXDUWQUXGU
        WSUXIDUWPUWDUXGHODBVLZUWCUXFUWBUWPUWBUWPNVNUXKVOVPUBUXFUWPVQZVRZDUWRUWD
        UXIHODCVLZUWCUXHUWBUWRUWBUWRNVNUXNVOVPUBUXHUWRVQZVRZVSUXJUXFUXHVKZUXAUX
        FUWPUXHUWRUWPNVTZBWAZWBWCWDWEBCHUVQOWFWGZHUVQOWHHUVNOWIWJUWNUWMUVTUVNHJ
        UXEUWPUWHUIZUWRUWHUIZJWQZULZBCWKZUWGVDZBCUVNHJUYEUWGUYEWLWMUVTMUYEVKUWM
        UYFWNUVTMUXEUXFUXHKWQZUXQUWPUWRLWQZULZWOZULZBCWKUYEPUVTUYKUYDBCUVTUXEUY
        JUYCUVTUXEULZUYCUWQUWSJWQZUXGUXIJWQZUYJUVTUYCUYMWNZUXEUVTUWAUYOUWFUWAUY
        AUWQUYBUWSJUWAUWPUWHOUWAOWPUWHOVKHUVQOWROWSWTZXAUWAUWRUWHOUYPXAXBXRXCUX
        EUYMUYNWNUVTUXCUXDUWQUXGUWSUXIJUXMUXPXDXEUYLUYNUXFIUKZUXCULZUXHIUKZUXDU
        LZULZUYJULZUYJGUHZUVQUKZFUHZUVQUKZULZVUCXFUIZVUEXFUIZKWQZVUHVUIVKZVUCXS
        UIZVUEXSUIZLWQZULZWOZULUYRVUFULZUXFVUIKWQZUXFVUIVKZUWPVUMLWQZULZWOZULVU
        BGFUXGUXIJUXLUXOVUCUXGVKZVUGVUQVUPVVBVVCVUDUYRVUFVVCVUDUXGUVQUKUYRVUCUX
        GUVQXGUXFUWPIHXHXIXJVVCVUJVURVUOVVAVVCVUHUXFVUIKUXFUWPVUCUXRUXSXKZXLVVC
        VUKVUSVUNVUTVVCVUHUXFVUIVVDXMVVCVULUWPVUMLUXFUWPVUCUXRUXSXNXLXOXPXOVUEU
        XIVKZVUQVUAVVBUYJVVEVUFUYTUYRVVEVUFUXIUVQUKUYTVUEUXIUVQXGUXHUWRIHXHXIXQ
        VVEVURUYGVVAUYIVVEVUIUXHUXFKUXHUWRVUEUWRNVTZCWAZXKZXTVVEVUSUXQVUTUYHVVE
        VUIUXHUXFVVHYAVVEVUMUWRUWPLUXHUWRVUEVVFVVGXNXTXOXPXOUAYHUYLVUAUYJUVTUXC
        UYRUXDUYTUVTUXCULUYQUXCHIUWPNUMUVTUXCUNYBUVTUXDULUYSUXDHIUWRNUMUVTUXDUN
        YBYCYDYEYFYGYIYJUVNHJMUYEUWGYKXRYLVBUVNHJMUWGYRXRAUWLEAUWKOUWJVEZVFOUWJ
        YMAVVINUWJVEZUWJUEZVFAVVJVFUKUWJVFUKVVKVFUKTEWAVVJUWJVFVFUUAYNAVVIOOUWJ
        YOZYPZVEZVVKOUWJYQAVVNVVKUFZUWQVVKUKZBVVMVMZAVVPBVVMUWPVVMUKAUWPUWJUKZU
        WPOYPZUKZULZVVPUWPUWJVVSVVMOUWJYSYTAVWAULZUWQUXGVVKVWBUXCUWQUXGVKVWBUWP
        VVSHAVVRVVTUUJAVVSHVKZVWAAUVTUWOVWCQUXTHUVQOUUBURXCUUCZUXMXRVWBUXFUWPVV
        JUWJVWBUXFNNUWJYOYPZVEZVVJVWBNHUUDZVWEHUFUWPVWEUKZUXFVWFUKAVWGVWAAHINQU
        UEXCZVWBVWEUWJNYPZUUFZHNUWJYSZVWBVWJVWKHUWJVWJUUGVWBHNVWIUUHZUUIUUKVWBV
        VRUWPVWJUKVWHAVVRVVTUUSZVWBUWPHVWJVWDVWMUULUWPUWJVWJVWEVWLYTUUMHVWENUWP
        UUNUUONUWJYQUUPVWNUOUUQUUTUVAAOUURZVVMVVSUFZVVOVVQWNAUVTUWOVWOQUXTHUVQO
        UVBURVVLOUFVWPOUWJUVCVVLOUVHUVDBVVMVVKOUVEYNUVIUVFUVJUVGUVKEHUVNMJUWHUV
        LUTUVM $.
    $}

    $( A variant on lexicographic order, which sorts first by some function of
       the base set, and then by a "backup" well-ordering when the function
       value is equal on both elements.  (Contributed by Mario Carneiro,
       10-Mar-2013.)  (Revised by Mario Carneiro, 18-Nov-2014.) $)
    fnwe $p |- ( ph -> T We A ) $=
      ( vz vv vu cv cfv cxp wcel wa c1st wbr wceq c2nd wo cop cmpt eqid fnwelem
      copab ) ABCPDQREFRSZFEUAZUBQSZUOUBUCUNUDTZUPUDTZGUEUQURUFUNUGTUPUGTHUEUCU
      HUCRQUMZGHIJPEPSZJTUTUIUJZKLMNOUSUKVAUKUL $.
  $}

  ${
    $d x y z A $.  $d u w B $.  $d u w x y F $.  $d w z ph $.  $d u w x y R $.
    $d u z $.  $d x y S $.  $d w z T $.
    fnse.1 $e |- T = { <. x , y >. | ( ( x e. A /\ y e. A ) /\
      ( ( F ` x ) R ( F ` y ) \/ ( ( F ` x ) = ( F ` y ) /\ x S y ) ) ) } $.
    fnse.2 $e |- ( ph -> F : A --> B ) $.
    fnse.3 $e |- ( ph -> R Se B ) $.
    fnse.4 $e |- ( ph -> ( `' F " w ) e. _V ) $.
    $( Condition for the well-order in ~ fnwe to be set-like.  (Contributed by
       Mario Carneiro, 25-Jun-2015.) $)
    fnse $p |- ( ph -> T Se A ) $=
      ( vz cv cvv wcel wa wbr ccnv csn cima cin wral wse cfv crab cun ffvelrnda
      vu seex syl2an2r snex unexg sylancl wi imaeq2 eleq1d imbi2d vtoclg impcom
      wceq syldan wss inss2 wb vex eliniseg wo fveq2 breqan12d eqeqan12d breq12
      elv anbi12d orbi12d brab2a adantrr breq1 elrab3 biimprd simpl fvex sylibr
      syl elsn a1i orim12d elun syl6ibr simprl jctild wfn ffnd elpreima sylibrd
      adantr expimpd syl5bi ssrdv sstrid ssexd ralrimiva dfse2 ) AEIUAOPZUBUCZU
      DZQRZOEUEEIUFAXIOEAXFERZSZXHJUAZUKPZXFJUGZGTZUKFUHZXNUBZUIZUCZQAXJXRQRZXS
      QRZXKXPQRZXQQRXTAFGUFXJXNFRYBMAEFXFJLUJUKFXNGULUMXNUNXPXQQQUOUPXTAYAAXLDP
      ZUCZQRZUQAYAUQDXRQYCXRVCZYEYAAYFYDXSQYCXRXLURUSUTNVAVBVDAXHXSVEXJAXHXGXSE
      XGVFADXGXSYCXGRZYCXFITZAYCXSRZYGYHVGOIXFYCQDVHVIVOYHYCERZXJSZYCJUGZXNGTZY
      LXNVCZYCXFHTZSZVJZSAYIBPZJUGZCPZJUGZGTZYSUUAVCZYRYTHTZSZVJYQBCYCXFEEIYRYC
      VCZYTXFVCZSZUUBYMUUEYPUUFUUGYSYLUUAXNGYRYCJVKZYTXFJVKZVLUUHUUCYNUUDYOUUFU
      UGYSYLUUAXNUUIUUJVMYRYCYTXFHVNVPVQKVRAYKYQYIAYKSZYQYJYLXRRZSZYIUUKYQUULYJ
      UUKYQYLXPRZYLXQRZVJUULUUKYMUUNYPUUOUUKUUNYMUUKYLFRZUUNYMVGAYJUUPXJAEFYCJL
      UJVSXOYMUKYLFXMYLXNGVTWAWFWBYPUUOUQUUKYPYNUUOYNYOWCYLXNYCJWDWGWEWHWIYLXPX
      QWJWKAYJXJWLWMUUKJEWNZYIUUMVGAUUQYKAEFJLWOWREYCXRJWPWFWQWSWTWTXAXBWRXCXDO
      EIXEWE $.
  $}

  ${
    $d A a b x y z $.  $d B a b x y z $.  $d F a b c x y z $.
    $d G a b c x y z $.  $d X a b c z $.  $d Y a b c z $.
    fvproj.h $e |- H = ( x e. A , y e. B |-> <. ( F ` x ) , ( G ` y ) >. ) $.
    ${
      fvproj.x $e |- ( ph -> X e. A ) $.
      fvproj.y $e |- ( ph -> Y e. B ) $.
      $( Value of a function on ordered pairs with values expressed as ordered
         pairs.  Note that ` F ` and ` G ` are the projections of ` H ` to the
         first and second coordinate respectively.  (Contributed by Thierry
         Arnoux, 30-Dec-2019.) $)
      fvproj $p |- ( ph -> ( H ` <. X , Y >. ) = <. ( F ` X ) , ( G ` Y ) >. )
        $=
        ( va vb cop cfv wceq cv fveq2 co df-ov wcel opeq1d opeq2d cbvmpov eqtri
        cmpo opex ovmpo syl2anc eqtr3id ) AIJPHQIJHUAZIFQZJGQZPZIJHUBAIDUCJEUCU
        MUPRLMNOIJDENSZFQZOSZGQZPZUPHUNUTPUQIRURUNUTUQIFTUDUSJRUTUOUNUSJGTUEHBC
        DEBSZFQZCSZGQZPZUHNODEVAUHKBCNODEVFVAURVEPVBUQRVCURVEVBUQFTUDVDUSRVEUTU
        RVDUSGTUEUFUGUNUOUIUJUKUL $.
    $}

    ${
      $d H a b c x y z $.  $d ph a b c z $.
      fimaproj.f $e |- ( ph -> F Fn A ) $.
      fimaproj.g $e |- ( ph -> G Fn B ) $.
      fimaproj.x $e |- ( ph -> X C_ A ) $.
      fimaproj.y $e |- ( ph -> Y C_ B ) $.
      $( Image of a cartesian product for a function on ordered pairs with
         values expressed as ordered pairs.  Note that ` F ` and ` G ` are the
         projections of ` H ` to the first and second coordinate respectively.
         (Contributed by Thierry Arnoux, 30-Dec-2019.) $)
      fimaproj $p |- ( ph -> ( H " ( X X. Y ) ) = ( ( F " X ) X. ( G " Y ) ) )
        $=
        ( vz wcel cfv wceq wa vc va vb cxp cima wrex wfn wss c1st c2nd cop opex
        cv wb cmpo vex op1std fveq2d op2ndd opeq12d mpompt eqtr4i fnmpti xpss12
        cmpt syl2anc sylancr simp-4r simplr opelxpi simpllr simpr sseldd fvproj
        fvelimab ad5antr 1st2nd2 ad5antlr 3eqtr4d fveqeq2 rspcev wfun ad3antrrr
        fnfun syl xp2nd ad3antlr fvelima r19.29a adantr xp1st adantl cvv fvmpt2
        ad2antrr sylancl fnfvima syl3anc eqeltrd eqeltrrd r19.29an bitr4d eqrdv
        impbida ) AUAHIJUDZUEZFIUEZGJUEZUDZAUAUMZXFQZPUMZHRZXJSZPXEUFZXJXIQZAHD
        EUDZUGXEXQUHZXKXOUNPXQXLUIRZFRZXLUJRZGRZUKZHXTYBULZHBCDEBUMZFRZCUMZGRZU
        KZUOPXQYCVEKBCPDEYCYIXLYEYGUKSZXTYFYBYHYJXSYEFYEYGXLBUPZCUPZUQURYJYAYGG
        YEYGXLYKYLUSURUTVAVBZVCAIDUHZJEUHZXRNOIDJEVDVFZPXQXEXJHVOVGAXPXOAXPTZUB
        UMZFRZXJUIRZSZXOUBIYQYRIQZTZUUATZUCUMZGRZXJUJRZSZXOUCJUUDUUEJQZTZUUHTZY
        RUUEUKZXEQZUULHRZXJSZXOUUKUUBUUIUUMYQUUBUUAUUIUUHVHZUUDUUIUUHVIZYRUUEIJ
        VJVFUUKYSUUFUKYTUUGUKZUUNXJUUKYSYTUUFUUGUUCUUAUUIUUHVKUUJUUHVLUTUUKBCDE
        FGHYRUUEKUUKIDYRAYNXPUUBUUAUUIUUHNVPUUPVMUUKJEUUEAYOXPUUBUUAUUIUUHOVPUU
        QVMVNXPXJUURSAUUBUUAUUIUUHXJXGXHVQVRVSXNUUOPUULXEXLUULXJHVTWAVFUUDGWBZU
        UGXHQZUUHUCJUFUUDGEUGZUUSAUVAXPUUBUUAMWCEGWDWEXPUUTAUUBUUAXJXGXHWFWGUCU
        UGJGWHVFWIYQFWBZYTXGQZUUAUBIUFYQFDUGZUVBAUVDXPLWJDFWDWEXPUVCAXJXGXHWKWL
        UBYTIFWHVFWIAXNXPPXEAXLXEQZTZXNTZXMXJXIUVFXNVLUVGXMYCXIUVGXLXQQYCWMQXMY
        CSUVGXEXQXLAXRUVEXNYPWOAUVEXNVIZVMYDPXQYCWMHYMWNWPUVGXTXGQZYBXHQZYCXIQU
        VGUVDYNXSIQZUVIAUVDUVEXNLWOAYNUVEXNNWOUVGUVEUVKUVHXLIJWKWEDIFXSWQWRUVGU
        VAYOYAJQZUVJAUVAUVEXNMWOAYOUVEXNOWOUVGUVEUVLUVHXLIJWFWEEJGYAWQWRXTYBXGX
        HVJVFWSWTXAXDXBXC $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The support of functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  In this section, the support of functions is defined and corresponding
  theorems are provided.  Since basic properties (see ~ suppval ) are based on
  the Axiom of Union (usage of ~ dmexg ), these definition and theorems cannot
  be provided earlier.  Until April 2019, the support of a function was
  represented by the expression ` ( ``' R " ( _V \ { Z } ) ) ` (see
  ~ suppimacnv ).  The theorems which are based on this representation and
  which are provided in previous sections could be moved into this section to
  have all related theorems in one section, although they do not depend on the
  Axiom of Union.  This was possible because they are not used before.  The
  current theorems differ from the original ones by requiring that the classes
  representing the "function" (or its "domain") and the "zero element" are
  sets.  Actually, this does not cause any problem (until now).

$)

  $c supp $.  $( Class for the support of a function. $)

  $( Extend class definition to include the support of functions. $)
  csupp $a class supp $.

  ${
    $d i x z $.
    $( Define the support of a function against a "zero" value.  According to
       Wikipedia ("Support (mathematics)", 31-Mar-2019,
       ~ https://en.wikipedia.org/wiki/Support_(mathematics) ) "In mathematics,
       the support of a real-valued function f is the subset of the domain
       containing those elements which are not mapped to zero." and "The notion
       of support also extends in a natural way to functions taking values in
       more general sets than R [the real numbers] and to other objects."  The
       following definition allows for such extensions, being applicable for
       any sets (which usually are functions) and any element (even not
       necessarily from the range of the function) regarded as "zero".
       (Contributed by AV, 31-Mar-2019.)  (Revised by AV, 6-Apr-2019.) $)
    df-supp $a |- supp = ( x e. _V , z e. _V
                           |-> { i e. dom x | ( x " { i } ) =/= { z } } ) $.
  $}

  ${
    $d V x z $.  $d W x z $.  $d X i x z $.  $d Z i x z $.
    $( The value of the operation constructing the support of a function.
       (Contributed by AV, 31-Mar-2019.)  (Revised by AV, 6-Apr-2019.) $)
    suppval $p |- ( ( X e. V /\ Z e. W )
                -> ( X supp Z ) = { i e. dom X | ( X " { i } ) =/= { Z } } ) $=
      ( vx vz wcel wa cvv cv csn cima wne cdm crab csupp wceq adantr adantl a1i
      cmpo df-supp dmeq imaeq1 sneq neeq12d rabeqbidv elex dmexg rabexg ovmpod
      syl ) DBHZECHZIZFGDEJJFKZAKLZMZGKZLZNZAUQOZPZDURMZELZNZADOZPZQJQFGJJVDUBR
      UPFGAUCUAUQDRZUTERZIZVDVIRUPVLVBVGAVCVHVJVCVHRVKUQDUDSVLUSVEVAVFVJUSVERVK
      UQDURUESVKVAVFRVJUTEUFTUGUHTUNDJHUODBUISUOEJHUNECUITUPVHJHZVIJHUNVMUODBUJ
      SVGAVHJUKUMUL $.

    $( The support of a class is empty if either the class or the "zero" is a
       proper class.  (Contributed by AV, 28-May-2019.) $)
    supp0prc $p |- ( -. ( X e. _V /\ Z e. _V ) -> ( X supp Z ) = (/) ) $=
      ( vx vz vi cv csn cima wne cdm crab csupp cvv df-supp mpondm0 ) CDCFZEFGH
      DFGIEPJKLABMMCDENO $.
  $}

  ${
    $d R x y $.  $d Z x y $.
    $( The value of the operation constructing the support of a function
       expressed by binary relations.  (Contributed by AV, 7-Apr-2019.) $)
    suppvalbr $p |- ( ( R e. V /\ Z e. W ) -> ( R supp Z )
                    = { x | ( E. y x R y /\ E. y ( x R y <-> y =/= Z ) ) } ) $=
      ( wcel wa csupp co cv csn cima wne wex wceq wb cab abbii a1i cdm crab wbr
      wn suppval df-rab vex eldm df-sn neeq2i cvv imasng neeq1i 3bitr4i anbi12i
      elv nabbi eqtri df-ne bicomi bibi2i exbii anbi2i 3eqtrd ) CDGFEGHZCFIJCAK
      ZLMZFLZNZACUAZUBZVFBKZCUCZBOZVMVLFPZUDZQZBOZHZARZVNVMVLFNZQZBOZHZARZADECF
      UEVKVTPVEVKVFVJGZVIHZARVTVIAVJUFWGVSAWFVNVIVRBVFCAUGUHVMBRZVHNWHVOBRZNVIV
      RVHWIWHBFUIUJVGWHVHVGWHPABVFUKCULUPUMVMVOBUQUNUOSURTVTWEPVEVSWDAVRWCVNVQW
      BBVPWAVMWAVPVLFUSUTVAVBVCSTVD $.
  $}

  ${
    $d Z i $.
    $( The support of the empty set is the empty set.  (Contributed by AV,
       12-Apr-2019.) $)
    supp0 $p |- ( Z e. W -> ( (/) supp Z ) = (/) ) $=
      ( vi wcel c0 csupp co csn cima wne cdm crab cvv wceq 0ex suppval mpan dm0
      cv rabeq mp1i rab0 a1i 3eqtrd ) BADZEBFGZECSHIBHJZCEKZLZUGCELZEEMDUEUFUIN
      OCMAEBPQUHENUIUJNUERUGCUHETUAUJENUEUGCUBUCUD $.
  $}

  ${
    $d V i $.  $d W i $.  $d X i $.  $d Z i $.
    $( The value of the operation constructing the support of a function.
       (Contributed by AV, 6-Apr-2019.) $)
    suppval1 $p |- ( ( Fun X /\ X e. V /\ Z e. W )
                    -> ( X supp Z ) = { i e. dom X | ( X ` i ) =/= Z } ) $=
      ( wfun wcel w3a csupp co cv csn cima wne cdm crab cfv wceq suppval cvv wa
      3adant1 wfn funfn biimpi 3ad2ant1 fnsnfv sylan eqcomd neeq1d wb fvex mp1i
      sneqbg necon3bid bitrd rabbidva eqtrd ) DFZDBGZECGZHZDEIJZDAKZLMZELZNZADO
      ZPZVDDQZENZAVHPUTVAVCVIRUSABCDESUBVBVGVKAVHVBVDVHGZUAZVGVJLZVFNVKVMVEVNVF
      VMVNVEVBDVHUCZVLVNVERUSUTVOVAUSVODUDUEUFVHVDDUGUHUIUJVMVNVFVJEVJTGVNVFRVJ
      ERUKVMVDDULVJETUNUMUOUPUQUR $.

    $d F i $.
    $( The value of the operation constructing the support of a function with a
       given domain.  This version of ~ suppvalfn assumes ` F ` is a set rather
       than its domain ` X ` , avoiding ~ ax-rep .  (Contributed by SN,
       5-Aug-2024.) $)
    suppvalfng $p |- ( ( F Fn X /\ F e. V /\ Z e. W )
                    -> ( F supp Z ) = { i e. X | ( F ` i ) =/= Z } ) $=
      ( wfn wcel w3a csupp co cv cfv wne cdm crab wfun wceq fnfun suppval1 fndm
      syl3an1 3ad2ant1 rabeqdv eqtrd ) BEGZBCHZFDHZIZBFJKZALBMFNZABOZPZUKAEPUFB
      QUGUHUJUMREBSACDBFTUBUIUKAULEUFUGULERUHEBUAUCUDUE $.
    $( $j usage 'suppvalfng' avoids 'ax-rep'; $)

    $( The value of the operation constructing the support of a function with a
       given domain.  (Contributed by Stefan O'Rear, 1-Feb-2015.)  (Revised by
       AV, 22-Apr-2019.) $)
    suppvalfn $p |- ( ( F Fn X /\ X e. V /\ Z e. W )
                    -> ( F supp Z ) = { i e. X | ( F ` i ) =/= Z } ) $=
      ( wfn wcel w3a csupp co cv cfv wne cdm crab wfun cvv wceq 3ad2ant1 fnfun
      fnex 3adant3 simp3 suppval1 syl3anc fndm rabeqdv eqtrd ) BEGZECHZFDHZIZBF
      JKZALBMFNZABOZPZUOAEPUMBQZBRHZULUNUQSUJUKURULEBUATUJUKUSULECBUBUCUJUKULUD
      ARDBFUEUFUMUOAUPEUJUKUPESULEBUGTUHUI $.

    $d S i $.
    $( An element of the support of a function with a given domain.  This
       version of ~ elsuppfn assumes ` F ` is a set rather than its domain
       ` X ` , avoiding ~ ax-rep .  (Contributed by SN, 5-Aug-2024.) $)
    elsuppfng $p |- ( ( F Fn X /\ F e. V /\ Z e. W ) -> ( S e. ( F supp Z )
                               <-> ( S e. X /\ ( F ` S ) =/= Z ) ) ) $=
      ( vi wfn wcel w3a csupp co cv cfv wne crab wa suppvalfng eleq2d wceq
      fveq2 neeq1d elrab bitrdi ) BEHBCIFDIJZABFKLZIAGMZBNZFOZGEPZIAEIABNZFOZQU
      EUFUJAGBCDEFRSUIULGAEUGATUHUKFUGABUAUBUCUD $.
    $( $j usage 'elsuppfng' avoids 'ax-rep'; $)

    $( An element of the support of a function with a given domain.
       (Contributed by AV, 27-May-2019.) $)
    elsuppfn $p |- ( ( F Fn X /\ X e. V /\ Z e. W ) -> ( S e. ( F supp Z )
                               <-> ( S e. X /\ ( F ` S ) =/= Z ) ) ) $=
      ( vi wfn wcel w3a csupp co cv cfv wne crab wa suppvalfn eleq2d wceq fveq2
      neeq1d elrab bitrdi ) BEHECIFDIJZABFKLZIAGMZBNZFOZGEPZIAEIABNZFOZQUEUFUJA
      GBCDEFRSUIULGAEUGATUHUKFUGABUAUBUCUD $.
  $}

  ${
    $d R x y $.  $d Z x y $.
    $( The support of functions "defined" by inverse images expressed by binary
       relations.  (Contributed by AV, 7-Apr-2019.) $)
    cnvimadfsn $p |- ( `' R " ( _V \ { Z } ) )
                     = { x | E. y ( x R y /\ y =/= Z ) } $=
      ( ccnv cvv csn cdif cima cv wcel cop wa wex cab wbr wne dfima3 wb vex elv
      eldifvsn opelcnv df-br bitr4i anbi12ci exbii abbii eqtri ) CEZFDGHZIBJZUK
      KZULAJZLUJKZMZBNZAOUNULCPZULDQZMZBNZAOBAUJUKRUQVAAUPUTBUMUSUOURUMUSSBULDF
      UBUAUOUNULLCKURULUNCBTATUCUNULCUDUEUFUGUHUI $.
  $}

  ${
    $d R x y $.  $d V x $.  $d W x $.  $d Z x y $.
    $( The support of functions "defined" by inverse images is a subset of the
       support defined by ~ df-supp .  (Contributed by AV, 7-Apr-2019.) $)
    suppimacnvss $p |- ( ( R e. V /\ Z e. W )
                          -> ( `' R " ( _V \ { Z } ) ) C_ ( R supp Z ) ) $=
      ( vx vy wcel wa cv wbr wne wex cab wb ccnv cvv csn cdif cima a1i csupp co
      wi exsimpl pm5.1 eximi jca ss2abdv wceq cnvimadfsn suppvalbr 3sstr4d ) AB
      GDCGHZEIFIZAJZUNDKZHZFLZEMZUOFLZUOUPNZFLZHZEMAOPDQRSZADUAUBUMURVCEURVCUCU
      MURUTVBUOUPFUDUQVAFUOUPUEUFUGTUHVDUSUIUMEFADUJTEFABCDUKUL $.

    $d R s t x y $.  $d Z s t $.
    $( Support sets of functions expressed by inverse images.  (Contributed by
       AV, 31-Mar-2019.)  (Revised by AV, 7-Apr-2019.) $)
    suppimacnv $p |- ( ( R e. V /\ Z e. W )
                       -> ( R supp Z ) = ( `' R " ( _V \ { Z } ) ) ) $=
      ( vx vt vy vs wcel wa cv wbr wex wne wb wi breq2 wceq ex com13 csupp ccnv
      co cvv csn cdif cab cbvexvw anbi1d bianir vex weq neeq1 anbi12d spcev syl
      cima pm2.43a adantld wn nne notbi eqcoms pm2.24 syl6bi syl5bi imp pm2.43i
      sylbi pm2.61i adantr com12 pm2.61ine expcom exlimiv a1i ss2abdv suppvalbr
      cnvimadfsn 3sstr4d suppimacnvss eqssd ) ABIDCIJZADUAUCZAUBUDDUEUFUQZWCEKZ
      FKZALZFMZWHWGDNZOZFMZJZEUGWFGKZALZWNDNZJZGMZEUGZWDWEWCWMWREWMWRPWCWIWLWRW
      IWFHKZALZHMWLWRPZWHXAFHWGWTWFAQUHXAXBHWLXAWRWKXAWRPFXAWKWRXAWKJZWRPWTDWTD
      RZXCWFDALZWKJZWRXDXAXEWKWTDWFAQUIWJXFWRPZWJWKWRXEWKWJWRWJWKWJWRPZWJWKJWHX
      HWJWHUJWHWJWRWQWHWJJGWGFUKGFULWOWHWPWJWNWGWFAQWNWGDUMUNUOSUPSURUSWJUTZXGX
      IWGDRZXIXGPWGDVAXFXIXJWRXEWKXIXJWRPZPXIWKXEXKWKWHUTZXIOZXIXEXKPZWHWJVBXIX
      MXNXIXMJXLXNXIXLUJXJXEXLWRXJXEWHXLWRPXEWHODWGDWGWFAQVCWHWRVDVETUPSVFTVGTV
      IVHVJVEXCWTDNZWRXAXOWRPWKXAXOWRWQXAXOJGWTHUKGHULWOXAWPXOWNWTWFAQWNWTDUMUN
      UOSVKVLVMVNVOVLVOVIVGVPVQEFABCDVRWEWSRWCEGADVSVPVTABCDWAWB $.
  $}

  $( Two ways of writing the support of a function with known codomain.
     (Contributed by Stefan O'Rear, 9-Jul-2015.)  (Revised by AV,
     7-Jul-2019.) $)
  frnsuppeq $p |- ( ( I e. V /\ Z e. W ) -> ( F : I --> S
                    -> ( F supp Z ) = ( `' F " ( S \ { Z } ) ) ) ) $=
    ( wcel wa wf csupp co ccnv csn cdif cima wceq cvv wi cin eqtrd fex imp wfun
    expcom adantr suppimacnv syl2anc ffun inpreima syl wss cdm cnvimass fimacnv
    simplr fdm eqtr4d sseqtrid sseqin2 sylib invdif imaeq2i eqtr3di adantl ex )
    CDGZFEGZHZCABIZBFJKZBLZAFMZNZOZPVHVIHZVJVKQVLNZOZVNVOBQGZVGVJVQPVHVIVRVFVIV
    RRVGVIVFVRCADBUAUDUEUBVFVGVIUOBQEFUFUGVIVQVNPVHVIVKAVPSZOZVQVNVIVTVKAOZVQSZ
    VQVIBUCVTWBPCABUHAVPBUIUJVIVQWAUKWBVQPVIBULZVQWABVPUMVIWCCWACABUPCABUNUQURV
    QWAUSUTTVSVMVKAVLVAVBVCVDTVE $.

  $( Version of ~ frnsuppeq avoiding ~ ax-rep by assuming ` F ` is a set rather
     than its domain ` I ` .  (Contributed by SN, 30-Jul-2024.) $)
  frnsuppeqg $p |- ( ( F e. V /\ Z e. W ) -> ( F : I --> S
                     -> ( F supp Z ) = ( `' F " ( S \ { Z } ) ) ) ) $=
    ( wcel wa wf csupp co ccnv csn cdif cima wceq cvv suppimacnv cin wfun sylib
    ffun inpreima syl wss cdm cnvimass fdm fimacnv eqtr4d sseqtrid eqtrd invdif
    sseqin2 imaeq2i eqtr3di sylan9eq ex ) BDGFEGHZCABIZBFJKZBLZAFMZNZOZPUSUTVAV
    BQVCNZOZVEBDEFRUTVBAVFSZOZVGVEUTVIVBAOZVGSZVGUTBTVIVKPCABUBAVFBUCUDUTVGVJUE
    VKVGPUTBUFZVGVJBVFUGUTVLCVJCABUHCABUIUJUKVGVJUNUAULVHVDVBAVCUMUOUPUQUR $.
  $( $j usage 'frnsuppeqg' avoids 'ax-rep'; $)

  ${
    $d F i $.  $d Z i $.
    $( The support of a function is a subset of the function's domain.
       (Contributed by AV, 30-May-2019.) $)
    suppssdm $p |- ( F supp Z ) C_ dom F $=
      ( vi cvv wcel wa csupp co cdm wss cv csn cima wne suppval ssrab2 eqsstrdi
      crab wn c0 supp0prc 0ss pm2.61i ) ADEBDEFZABGHZAIZJUDUEACKLMBLNZCUFRUFCDD
      ABOUGCUFPQUDSUETUFABUAUFUBQUC $.
  $}

  ${
    $d F x $.  $d X x $.  $d Z x $.
    suppsnop.f $e |- F = { <. X , Y >. } $.
    $( The support of a singleton of an ordered pair.  (Contributed by AV,
       12-Apr-2019.) $)
    suppsnop $p |- ( ( X e. V /\ Y e. W /\ Z e. U )
                   -> ( F supp Z ) = if ( Y = Z , (/) , { X } ) ) $=
      ( vx wcel csn cima wne crab c0 cif wceq cvv wf neeq1d w3a csupp co cv cdm
      cop wa wf1o f1osng f1of syl 3adant3 feq1i sylibr snex fex sylancl suppval
      simp3 syl2anc fdmd rabeqdv sneq imaeq2d rabsnif eqtrdi cfv wfn ffnd snidg
      3ad2ant1 fnsnfv eqcomd fveq1i fvsng eqtrid sneqd sneqbg necon3abid 3bitrd
      wn wb 3ad2ant2 ifbid ifnot 3eqtrd ) ECJZFDJZGAJZUAZBGUBUCZBIUDZKZLZGKZMZI
      BUEZNZBEKZLZWOMZWSOPZFGQZOWSPZWJBRJZWIWKWRQWJWSFKZBSZWSRJXEWJWSXFEFUFKZSZ
      XGWGWHXIWIWGWHUGWSXFXHUHXIEFCDUIWSXFXHUJUKULWSXFBXHHUMUNZEUOWSXFRBUPUQWGW
      HWIUSIRABGURUTWJWRWPIWSNXBWJWPIWQWSWJWSXFBXJVAVBWPXAIEWLEQZWNWTWOXKWMWSBW
      LEVCVDTVEVFWJXBXCWAZWSOPXDWJXAXLWSOWJXAEBVGZKZWOMXFWOMXLWJWTXNWOWJBWSVHZE
      WSJZWTXNQWJWSXFBXJVIWGWHXPWIECVJVKXOXPUGXNWTWSEBVLVMUTTWJXNXFWOWJXMFWJXME
      XHVGZFEBXHHVNWGWHXQFQWIEFCDVOULVPVQTWJXCXFWOWHWGXFWOQXCWBWIFGDVRWCVSVTWDX
      CWSOWEVFWF $.
  $}

  $( The support of a singleton containing an ordered pair is a subset of the
     singleton containing the first element of the ordered pair, i.e. it is
     empty or the singleton itself.  (Contributed by AV, 19-Jul-2019.) $)
  snopsuppss $p |- ( { <. X , Y >. } supp Z ) C_ { X } $=
    ( cop csn csupp co cdm suppssdm dmsnopss sstri ) ABDEZCFGLHAELCIABJK $.

  $( If the function value for a given argument is not empty, the argument
     belongs to the support of the function with the empty set as zero.
     (Contributed by AV, 2-Jul-2019.)  (Revised by AV, 4-Apr-2020.) $)
  fvn0elsupp $p |- ( ( ( B e. V /\ X e. B )
                       /\ ( G Fn B /\ ( G ` X ) =/= (/) ) )
                       -> X e. ( G supp (/) ) ) $=
    ( wcel wa wfn cfv c0 wne csupp co simpr anim12i cvv simprl simpll 0ex a1i
    wb elsuppfn syl3anc mpbird ) ACEZDAEZFZBAGZDBHIJZFZFZDBIKLEZUEUHFZUFUEUIUHU
    DUEMUGUHMNUJUGUDIOEZUKULTUFUGUHPUDUEUIQUMUJRSDBCOAIUAUBUC $.

  $( The function value for a given argument is not empty iff the argument
     belongs to the support of the function with the empty set as zero.
     (Contributed by AV, 4-Apr-2020.) $)
  fvn0elsuppb $p |- ( ( B e. V /\ X e. B /\ G Fn B )
                      -> ( ( G ` X ) =/= (/) <-> X e. ( G supp (/) ) ) ) $=
    ( wcel wfn w3a cfv c0 wne csupp co wi fvn0elsupp exp43 3imp wa cvv wb simp3
    simp1 0ex a1i elsuppfn syl3anc simpr syl6bi impbid ) ACEZDAEZBAFZGZDBHIJZDB
    IKLEZUIUJUKUMUNMUIUJUKUMUNABCDNOPULUNUJUMQZUMULUKUIIREZUNUOSUIUJUKTUIUJUKUA
    UPULUBUCDBCRAIUDUEUJUMUFUGUH $.

  ${
    $d F x $.  $d V x $.  $d W x $.  $d X x $.  $d Z x $.
    $( Existential quantification restricted to a support.  (Contributed by
       Stefan O'Rear, 23-Mar-2015.)  (Revised by AV, 27-May-2019.) $)
    rexsupp $p |- ( ( F Fn X /\ X e. V /\ Z e. W )
                    -> ( E. x e. ( F supp Z ) ph
                         <-> E. x e. X ( ( F ` x ) =/= Z /\ ph ) ) ) $=
      ( wfn wcel w3a cv cfv wne wa csupp co elsuppfn anbi1d anass bitrdi
      rexbidv2 ) CFHFDIGEIJZABKZCLGMZANZBCGOPZFUBUCUFIZANUCFIZUDNZANUHUENUBUGUI
      AUCCDEFGQRUHUDASTUA $.
  $}

  ${
    $d B b $.  $d F b $.  $d V b $.  $d W b $.  $d Z b $.
    $( The support of the restriction of a function is a subset of the support
       of the function itself.  (Contributed by AV, 22-Apr-2019.) $)
    ressuppss $p |- ( ( F e. V /\ Z e. W )
                      -> ( ( F |` B ) supp Z ) C_ ( F supp Z ) ) $=
      ( vb wcel wa csn cima wne cdm crab csupp co cab eleq2s ad2antrl wi wceq
      cres cv cin elinel2 dmres wss snssi resima2 neeq1d biimpd adantld wn elin
      syl pm2.24 adantr sylbi pm2.61i jca ex ss2abdv df-rab 3sstr4g cvv suppval
      com12 resexg sylan 3sstr4d ) BCGZEDGZHZBAUAZFUBZIZJZEIZKZFVMLZMZBVOJZVQKZ
      FBLZMZVMENOZBENOVLVNVSGZVRHZFPVNWCGZWBHZFPVTWDVLWGWIFVLWGWIVLWGHZWHWBWFWH
      VLVRWHVNAWCUCZVSVNAWCUDBAUEZQRVNAGZWJWBSWMWGWBVLWMVRWBWFWMVRWBWMVPWAVQWMV
      OAUFVPWATVNAUGBVOAUHUNUIUJUKUKWJWMULZWBWFWNWBSZVLVRWOVNWKVSVNWKGWMWHHWOVN
      AWCUMWMWOWHWMWBUOUPUQWLQRVFURUSUTVAVRFVSVBWBFWCVBVCVJVMVDGVKWEVTTBACVGFVD
      DVMEVEVHFCDBEVEVI $.
  $}

  ${
    suppun.g $e |- ( ph -> G e. V ) $.
    $( The support of a class/function is a subset of the support of the union
       of this class/function with another class/function.  (Contributed by AV,
       4-Jun-2019.) $)
    suppun $p |- ( ph -> ( F supp Z ) C_ ( ( F u. G ) supp Z ) ) $=
      ( cvv wcel wa csupp co cun wss wi ccnv csn cdif cima wceq suppimacnv a1i
      ssun1 cnvun imaeq1i imaundir eqtri sseqtrri adantr adantlr sylan2 syl2anc
      unexg simplr 3sstr4d ex wn c0 supp0prc 0ss eqsstrdi a1d pm2.61i ) BGHZEGH
      ZIZABEJKZBCLZEJKZMZNVEAVIVEAIZBOZGEPQZRZVGOZVLRZVFVHVMVOMVJVMVMCOZVLRZLZV
      OVMVQUBVOVKVPLZVLRVRVNVSVLBCUCUDVKVPVLUEUFUGUAVEVFVMSABGGETUHVJVGGHZVDVHV
      OSAVECDHZVTFVCWAVTVDBCGDULUIUJVCVDAUMVGGGETUKUNUOVEUPZVIAWBVFUQVHBEURVHUS
      UTVAVB $.
  $}

  ${
    $d B x z $.  $d F x z $.  $d V x $.  $d W x $.  $d Z x z $.
    $( The support of the restriction of a function is a subset of the support
       of the function itself.  (Contributed by AV, 22-Apr-2019.) $)
    ressuppssdif $p |- ( ( F e. V /\ Z e. W ) -> ( F supp Z )
                         C_ ( ( ( F |` B ) supp Z ) u. ( dom F \ B ) ) ) $=
      ( vz vx wcel wa cv csn cima wne cdm crab wss wi wn ex wceq cres cun csupp
      cdif co eldif wo weq sneq imaeq2d neeq1d elrab ianor xchnxbir dmres elin2
      simpl anim2i ancomd sylibr pm2.24 adantr com12 sylbi adantl snssi resima2
      syl eqcomd simpr eqtrd necon3d impancom con3d impcom eldifd syl2anb ssrdv
      jaoi a1i ssundif suppval cvv resexg sylan uneq1d 3sstr4d ) BCHZEDHZIZBFJZ
      KZLZEKZMZFBNZOZBAUAZWLLZWNMZFWRNZOZWPAUDZUBZBEUCUEWREUCUEZXCUBWJWQXBUDZXC
      PWQXDPWJGXFXCGJZXFHZXGXCHZQWJXHXGWQHZXGXBHZRZIXIXGWQXBUFXJXGWPHZBXGKZLZWN
      MZIZXGXAHZRZWRXNLZWNMZRZUGZXIXLWOXPFXGWPFGUHZWMXOWNYDWLXNBWKXGUIZUJUKULXR
      YAIYCXKXRYAUMWTYAFXGXAYDWSXTWNYDWLXNWRYEUJUKULUNYCXQXIXSXQXIQZYBXSXGAHZRZ
      XMRZUGZYFYGXMIYJXRYGXMUMXGAWPXABAUOUPUNYHYFYIYHXQXIYHXQIZXMYHIXIYKYHXMXQX
      MYHXMXPUQZURUSXGWPAUFUTSXQYIXIXMYIXIQXPXMXIVAVBVCVSVDYBXQXIYBXQIXGWPAXQXM
      YBYLVEXQYBYHXQYGYAXMYGXPYAXMYGIZXTWNXOWNYMXTWNTZXOWNTYMYNIXOXTWNYMXOXTTYN
      YMXTXOYMXNAPZXTXOTYGYOXMXGAVFVEBXNAVGVHVIVBYMYNVJVKSVLVMVNVOVPSVSVOVQVDVT
      VRWQXBXCWAUTFCDBEWBWJXEXBXCWHWRWCHWIXEXBTBACWDFWCDWREWBWEWFWG $.
  $}

  ${
    $d A x $.  $d Z x $.
    mptsuppdifd.f $e |- F = ( x e. A |-> B ) $.
    mptsuppdifd.a $e |- ( ph -> A e. V ) $.
    mptsuppdifd.z $e |- ( ph -> Z e. W ) $.
    $( The support of a function in maps-to notation with a class difference.
       (Contributed by AV, 28-May-2019.) $)
    mptsuppdifd $p |- ( ph
                        -> ( F supp Z ) = { x e. A | B e. ( _V \ { Z } ) } ) $=
      ( csupp co ccnv cvv csn cdif cima wcel crab wceq cmpt eqeltrid suppimacnv
      mptexd syl2anc mptpreima eqtrdi ) AEHLMZENOHPQZRZDUJSBCTAEOSHGSUIUKUAAEBC
      DUBOIABCDFJUEUCKEOGHUDUFBCDUJEIUGUH $.

    $d ph x $.
    mptsuppd.b $e |- ( ( ph /\ x e. A ) -> B e. U ) $.
    $( The support of a function in maps-to notation.  (Contributed by AV,
       10-Apr-2019.)  (Revised by AV, 28-May-2019.) $)
    mptsuppd $p |- ( ph -> ( F supp Z ) = { x e. A | B =/= Z } ) $=
      ( csupp co cvv csn wcel crab wa cdif wne mptsuppdifd cv eldifsn biantrurd
      elexd bitr4id rabbidva eqtrd ) AFINODPIQUARZBCSDIUBZBCSABCDFGHIJKLUCAUKUL
      BCABUDCRTZUKDPRZULTULDPIUEUMUNULUMDEMUGUFUHUIUJ $.
  $}

  ${
    $d A n $.  $d B n $.  $d Z n $.  $d ph n $.
    extmptsuppeq.b $e |- ( ph -> B e. W ) $.
    extmptsuppeq.a $e |- ( ph -> A C_ B ) $.
    extmptsuppeq.z $e |- ( ( ph /\ n e. ( B \ A ) ) -> X = Z ) $.
    $( The support of an extended function is the same as the original.
       (Contributed by Mario Carneiro, 25-May-2015.)  (Revised by AV,
       30-Jun-2019.) $)
    extmptsuppeq $p |- ( ph -> ( ( n e. A |-> X ) supp Z ) =
                               ( ( n e. B |-> X ) supp Z ) ) $=
      ( cvv wcel cmpt csupp co wceq wa adantl wn c0 wi csn cdif crab wss anim1d
      cv sseld eldif adantll sylan2br expr elsn2g elndif syl6bir ad2antrr con4d
      syld impr simprr ex impbid rabbidva2 eqid ssexd simpl mptsuppdifd 3eqtr4d
      jca simpr supp0prc nsyl5 eqtr4d a1d pm2.61i ) GKLZADBFMZGNOZDCFMZGNOZPZUA
      VPAWAVPAQZFKGUBZUCLZDBUDWDDCUDVRVTWBWDWDDBCWBDUGZBLZWDQZWECLZWDQZWBWFWHWD
      WBBCWEABCUEVPIRUHUFWBWIWGWBWIQWFWDWBWHWDWFWBWHQZWFWDWJWFSZFGPZWDSZWBWHWKW
      LWHWKQWBWECBUCLZWLWECBUIAWNWLVPJUJUKULVPWLWMUAAWHVPWLFWCLWMFGKUMFWCKUNUOU
      PURUQUSWBWHWDUTVIVAVBVCWBDBFVQKKGVQVDABKLVPABCEHIVERVPAVFZVGWBDCFVSEKGVSV
      DACELVPHRWOVGVHVAVPSZWAAWPVRTVTVQKLZVPQVPVRTPWQVPVJVQGVKVLVSKLZVPQVPVTTPW
      RVPVJVSGVKVLVMVNVO $.
  $}

  ${
    $d A x y $.  $d B y $.  $d F x y $.  $d G x y $.  $d V y $.  $d W y $.
    $d Z x y $.
    $( The support of a function which has the same zero values (in its domain)
       as another function is a subset of the support of this other function.
       (Contributed by AV, 30-Apr-2019.)  (Proof shortened by AV,
       6-Jun-2022.) $)
    suppfnss $p |- ( ( ( F Fn A /\ G Fn B ) /\ ( A C_ B /\ B e. V /\ Z e. W ) )
                     -> ( A. x e. A ( ( G ` x ) = Z -> ( F ` x ) = Z )
                          -> ( F supp Z ) C_ ( G supp Z ) ) ) $=
      ( vy wfn wa wss wcel cv cfv wceq wi csupp ad2antrr cvv w3a wral co simpr1
      wne cdm crab fndm ad2antlr 3sstr4d adantr wb eleq2d fveqeq2 imbi12d rspcv
      weq syl6bi com23 imp31 necon3d ex 3imp rabssrabd wfun fnfun simpl 3adant3
      ssexg fnex syl2an simpr3 suppval1 syl3anc simpr simp2 sseq12d mpbird ) DB
      JZECJZKZBCLZCFMZHGMZUAZKZANZEOHPZWGDOHPZQZABUBZDHRUCZEHRUCZLZWFWKKZWNINZD
      OZHUEZIDUFZUGZWPEOZHUEZIEUFZUGZLZWOWRXBIWSXCWFWSXCLWKWFBCWSXCWAWBWCWDUDVS
      WSBPVTWEBDUHZSVTXCCPVSWECEUHUIUJUKWOWRWPWSMZXBWOXGWRXBWOXGWRXBQWOXGKXAHWQ
      HWFWKXGXAHPZWQHPZQZWFXGWKXJWFXGWPBMZWKXJQVSXGXKULVTWEVSWSBWPXFUMSWJXJAWPB
      AIUQWHXHWIXIWGWPHEUNWGWPHDUNUOUPURUSUTVAVBUSVCVDWFWNXEULWKWFWLWTWMXDWFDVE
      ZDTMZWDWLWTPVSXLVTWEBDVFSWAVSBTMZXMWEVSVTVGWBWCXNWDBCFVIVHBTDVJVKWAWBWCWD
      VLZITGDHVMVNWFEVEZETMZWDWMXDPVTXPVSWECEVFUIWAVTWCXQWEVSVTVOWBWCWDVPCFEVJV
      KXOITGEHVMVNVQUKVRVB $.
  $}

  ${
    $d F x $.  $d G x $.  $d Z x $.
    $( The support of a function which is a subset of another function is a
       subset of the support of this other function.  (Contributed by AV,
       27-Jul-2019.) $)
    funsssuppss $p |- ( ( Fun G /\ F C_ G /\ G e. V )
                        -> ( F supp Z ) C_ ( G supp Z ) ) $=
      ( vx cvv wcel wfun wss w3a csupp co wi wa cdm wfn wceq adantr simpr c0 cv
      cfv wral funss impcom funfnd funfn biimpi jca 3adant3 dmss 3ad2ant2 dmexg
      3ad2ant3 3jca funssfv 3expa eqeq1 biimpd syl ralrimiva suppfnss expcom wn
      sylc ssid supp0prc nsyl5 sseq12d mpbiri a1d pm2.61i ) DFGZBHZABIZBCGZJZAD
      KLZBDKLZIZMVQVMVTVQVMNZAAOZPZBBOZPZNZWBWDIZWDFGZVMJZNEUAZBUBZDQZWJAUBZDQZ
      MZEWBUCZVTWAWFWIVQWFVMVNVOWFVPVNVONZWCWEWQAVOVNAHABUDUEUFVNWEVOVNWEBUGUHR
      UIUJRWAWGWHVMVQWGVMVOVNWGVPABUKULRVQWHVMVPVNWHVOBCUMUNRVQVMSUOUIVQWPVMVNV
      OWPVPWQWOEWBWQWJWBGZNWKWMQZWOVNVOWRWSWJBAUPUQWSWLWNWKWMDURUSUTVAUJREWBWDA
      BFFDVBVEVCVMVDZVTVQWTVTTTITVFWTVRTVSTAFGZVMNVMVRTQXAVMSADVGVHBFGZVMNVMVST
      QXBVMSBDVGVHVIVJVKVL $.
  $}

  ${
    $d F a $.  $d V a $.  $d A a $.  $d B a $.  $d Z a $.  $d W a $.
    $( Two ways to express restriction of a support set.  (Contributed by
       Stefan O'Rear, 5-Feb-2015.)  (Revised by AV, 28-May-2019.) $)
    fnsuppres $p |- ( ( F Fn ( A u. B ) /\ ( F e. W /\ Z e. V )
                        /\ ( A i^i B ) = (/) ) -> ( ( F supp Z ) C_ A
                                         <-> ( F |` B ) = ( B X. { Z } ) ) ) $=
      ( va cun wfn wcel wa wceq w3a cfv crab wss wral sseq1d wn wb cin wne cres
      c0 cv cdm csn cxp csupp fndm rabeqdv 3ad2ant1 unss ssrab2 biantrur rabun2
      co sseq1i 3bitr4ri wi rabss fvres adantl simp2r fvconst2g eqeq12d nne a1i
      sylan id simp3 minel syl2anr mtt syl 3bitr2rd ralbidva syl5bb bitrd fnfun
      wfun 3anim1i 3expb suppval1 3adant3 simp1 ssun2 fnssres fnconstg 3ad2ant2
      syl2anc eqfnfv 3bitr4d ) CABHZIZCEJZFDJZKZABUAUDLZMZGUEZCNZFUBZGCUFZOZAPZ
      XACBUCZNZXABFUGUHZNZLZGBQZCFUIUQZAPXGXILZWTXFXCGWNOZAPZXLWTXEXOAWOWRXEXOL
      WSWOXCGXDWNWNCUJUKULRXPXCGBOZAPZWTXLXCGAOZAPZXRKXSXQHZAPXRXPXSXQAUMXTXRXC
      GAUNUOXOYAAXCGABUPURUSXRXCXAAJZUTZGBQWTXLXCGBAVAWTYCXKGBWTXABJZKZXKXBFLZX
      CSZYCYEXHXBXJFYDXHXBLWTXABCVBVCWTWQYDXJFLWOWPWQWSVDBFXADVEVIVFYGYFTYEXBFV
      GVHYEYBSZYGYCTYDYDWSYHWTYDVJWOWRWSVKXABAVLVMYBXCVNVOVPVQVRVRVSWTXMXEAWOWR
      XMXELZWSWOWRKCWAZWPWQMZYIWOWPWQYKWOYJWPWQWNCVTWBWCGEDCFWDVOWERWTXGBIZXIBI
      ZXNXLTWTWOBWNPZYLWOWRWSWFYNWTBAWGVHWNBCWHWKWRWOYMWSWQYMWPBFDWIVCWJGBXGXIW
      LWKWM $.

    $( The support of a function is empty iff it is identically zero.
       (Contributed by Stefan O'Rear, 22-Mar-2015.)  (Revised by AV,
       28-May-2019.) $)
    fnsuppeq0 $p |- ( ( F Fn A /\ A e. W /\ Z e. V )
                      -> ( ( F supp Z ) = (/) <-> F = ( A X. { Z } ) ) ) $=
      ( wfn wcel w3a csupp co c0 wceq cres csn cxp wss ss0b cun cvv 3ad2ant1 wb
      cin un0 uncom eqtr3i fneq2i biimpi fnex 3adant3 simp3 fnsuppres syl121anc
      0in a1i bitr3id fnresdm eqeq1d bitrd ) BAFZADGZECGZHZBEIJZKLZBAMZAENOZLZB
      VFLVDVCKPZVBVGVCQVBBKARZFZBSGZVAKAUBKLZVHVGUAUSUTVJVAUSVJAVIBAKRAVIAUCAKU
      DUEUFUGTUSUTVKVAADBUHUIUSUTVAUJVLVBAUMUNKABCSEUKULUOVBVEBVFUSUTVEBLVAABUP
      TUQUR $.
  $}

  $( The support of a constant function with value zero is empty.  (Contributed
     by AV, 30-Jun-2019.) $)
  fczsupp0 $p |- ( ( B X. { Z } ) supp Z ) = (/) $=
    ( csn cxp cvv wcel wa csupp co c0 wceq eqidd wb fnconstg adantl snnzg simpl
    wfn wne xpexcnv syl2an2 simpr fnsuppeq0 syl3anc mpbird supp0prc pm2.61i ) A
    BCZDZEFZBEFZGZUIBHIJKZULUMUIUIKZULUILULUIARZAEFZUKUMUNMUKUOUJABENOUKUHJSUJU
    JUPBEPUJUKQAUHTUAUJUKUBAUIEEBUCUDUEUIBUFUG $.

  ${
    $d k F $.  $d k ph $.  $d k W $.  $d k Z $.
    suppss.f $e |- ( ph -> F : A --> B ) $.
    suppss.n $e |- ( ( ph /\ k e. ( A \ W ) ) -> ( F ` k ) = Z ) $.
    $( Show that the support of a function is contained in a set.  (Contributed
       by Mario Carneiro, 19-Dec-2014.)  (Revised by AV, 28-May-2019.)  (Proof
       shortened by SN, 5-Aug-2024.) $)
    suppss $p |- ( ph -> ( F supp Z ) C_ W ) $=
      ( cvv wcel wa csupp co wss wi cv cfv wne wn wfn ffnd adantl simpll simplr
      wb elsuppfng syl3anc wceq cdif eldif adantll sylan2br expr expimpd sylbid
      necon1ad ssrdv ex c0 supp0prc 0ss eqsstrdi a1d pm2.61i ) EJKZGJKZLZAEGMNZ
      FOZPVHAVJVHALZDVIFVKDQZVIKZVLBKZVLERZGSZLZVLFKZVKEBUAZVFVGVMVQUFAVSVHABCE
      HUBUCVFVGAUDVFVGAUEVLEJJBGUGUHVKVNVPVRVKVNLVRVOGVKVNVRTZVOGUIZVNVTLVKVLBF
      UJKZWAVLBFUKAWBWAVHIULUMUNUQUOUPURUSVHTZVJAWCVIUTFEGVAFVBVCVDVE $.
    $( $j usage 'suppss' avoids 'ax-rep'; $)

    $( Obsolete version of ~ suppss as of 5-Aug-2024.  (Contributed by Mario
       Carneiro, 19-Dec-2014.)  (Revised by AV, 28-May-2019.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    suppssOLD $p |- ( ph -> ( F supp Z ) C_ W ) $=
      ( cvv wcel wa csupp co wss wi cv wb wceq wn cfv wne wfn adantl wf cdm fdm
      ffnd dmexg adantr eqcoms syl5ibr 3syl impcom simplr elsuppfn syl3anc cdif
      eleq1 eldif adantll sylan2br necon1ad expimpd sylbid ssrdv ex c0 supp0prc
      expr 0ss eqsstrdi a1d pm2.61i ) EJKZGJKZLZAEGMNZFOZPVQAVSVQALZDVRFVTDQZVR
      KZWABKZWAEUAZGUBZLZWAFKZVTEBUCZBJKZVPWBWFRAWHVQABCEHUHUDAVQWIABCEUEEUFZBS
      ZVQWIPHBCEUGVQWIWKWJJKZVOWLVPEJUIUJWIWLRBWJBWJJUSUKULUMUNVOVPAUOWAEJJBGUP
      UQVTWCWEWGVTWCLWGWDGVTWCWGTZWDGSZWCWMLVTWABFURKZWNWABFUTAWOWNVQIVAVBVJVCV
      DVEVFVGVQTZVSAWPVRVHFEGVIFVKVLVMVN $.
  $}

  ${
    suppssr.f $e |- ( ph -> F : A --> B ) $.
    suppssr.n $e |- ( ph -> ( F supp Z ) C_ W ) $.
    suppssr.a $e |- ( ph -> A e. V ) $.
    suppssr.z $e |- ( ph -> Z e. U ) $.
    $( A function is zero outside its support.  (Contributed by Mario Carneiro,
       19-Dec-2014.)  (Revised by AV, 28-May-2019.) $)
    suppssr $p |- ( ( ph /\ X e. ( A \ W ) ) -> ( F ` X ) = Z ) $=
      ( cdif wcel wn wa cfv cvv wb wceq eldif wne fvex eldifsn mpbiran csupp co
      csn wfn ffnd elsuppfn syl3anc ibar bitr4di pm5.32da bitrd sylbird expdimp
      mp1i sseld syl5bir necon1bd impr sylan2b ) HBGNOAHBOZHGOZPZQHERZIUAZHBGUB
      AVFVHVJAVFQZVGVIIVIIUCZVISIUINOZVKVGVMVISOZVLHEUDZVISIUEZUFAVFVMVGAVFVMQZ
      HEIUGUHZOZVGAVSVFVLQZVQAEBUJBFOIDOVSVTTABCEJUKLMHEFDBIULUMAVFVLVMVKVLVNVL
      QZVMVNVLWATVKVOVNVLUNUTVPUOUPUQAVRGHKVAURUSVBVCVDVE $.
  $}

  ${
    suppssrg.f $e |- ( ph -> F : A --> B ) $.
    suppssrg.n $e |- ( ph -> ( F supp Z ) C_ W ) $.
    suppssrg.a $e |- ( ph -> F e. V ) $.
    suppssrg.z $e |- ( ph -> Z e. U ) $.
    $( A function is zero outside its support.  Version of ~ suppssr avoiding
       ~ ax-rep by assuming ` F ` is a set rather than its domain ` A ` .
       (Contributed by SN, 5-May-2024.) $)
    suppssrg $p |- ( ( ph /\ X e. ( A \ W ) ) -> ( F ` X ) = Z ) $=
      ( cdif wcel wn wa cfv wceq eldif wne csupp co wfn wb ffnd elsuppfng sseld
      syl3anc sylbird expdimp necon1bd impr sylan2b ) HBGNOAHBOZHGOZPZQHERZISZH
      BGTAUOUQUSAUOQUPURIAUOURIUAZUPAUOUTQZHEIUBUCZOZUPAEBUDEFOIDOVCVAUEABCEJUF
      LMHEFDBIUGUIAVBGHKUHUJUKULUMUN $.
  $}

  ${
    $d ph v $.  $d ph x $.  $d B v $.  $d D x $.  $d O v $.  $d R v $.
    $d Y v $.  $d Y x $.  $d Z v $.  $d Z x $.
    suppssov1.s $e |- ( ph -> ( ( x e. D |-> A ) supp Y ) C_ L ) $.
    suppssov1.o $e |- ( ( ph /\ v e. R ) -> ( Y O v ) = Z ) $.
    suppssov1.a $e |- ( ( ph /\ x e. D ) -> A e. V ) $.
    suppssov1.b $e |- ( ( ph /\ x e. D ) -> B e. R ) $.
    suppssov1.y $e |- ( ph -> Y e. W ) $.
    $( Formula building theorem for support restrictions: operator with left
       annihilator.  (Contributed by Stefan O'Rear, 9-Mar-2015.)  (Revised by
       AV, 28-May-2019.) $)
    suppssov1 $p |- ( ph -> ( ( x e. D |-> ( A O B ) ) supp Z ) C_ L ) $=
      ( cvv wcel wa co cmpt csupp wss wi csn cdif crab wne elexd adantll adantr
      wceq oveq2 eqeq1d wral ralrimiva adantl rspcdva oveq1 syl5ibrcom eldifsni
      cv necon3d impel eldifsn sylanbrc ss2rabdv eqid simpll simplr mptsuppdifd
      ex 3sstr4d sstrd wn c0 mptexg cdm ovex rgenw dmmptg ax-mp dmexg eqeltrrid
      impbii anbi1i supp0prc sylnbi 0ss eqsstrdi a1d pm2.61i ) FSTZMSTZUAZABFDE
      IUBZUCZMUDUBZHUEZUFWQAXAWQAUAZWTBFDUCZLUDUBZHXBWRSMUGUHTZBFUIDSLUGUHTZBFU
      IWTXDXBXEXFBFXBBVDFTZUAZXEXFXHXEUADSTZDLUJZXFXHXIXEAXGXIWQAXGUADJPUKULUMX
      HWRMUJXJXEXHDLWRMXHWRMUNDLUNZLEIUBZMUNZXHLCVDZIUBZMUNZXMCGEXNEUNXOXLMXNEL
      IUOUPXBXPCGUQZXGAXQWQAXPCGOURUSUMAXGEGTWQQULUTXKWRXLMDLEIVAUPVBVEWRSMVCVF
      DSLVGVHVNVIXBBFWRWSSSMWSVJWOWPAVKZWOWPAVLVMXBBFDXCSKLXCVJXRALKTWQRUSVMVOA
      XDHUEWQNUSVPVNWQVQZXAAXSWTVRHWQWSSTZWPUAWTVRUNWOXTWPWOXTBFWRSVSXTFWSVTZSW
      RSTZBFUQYAFUNYBBFDEIWAWBBFWRSWCWDWSSWEWFWGWHWSMWIWJHWKWLWMWN $.
  $}

  ${
    $d ph v x $.  $d A x $.  $d B v x $.  $d D x $.  $d O v x $.  $d R v $.
    $d Y v x $.  $d Z v x $.
    suppssof1.s $e |- ( ph -> ( A supp Y ) C_ L ) $.
    suppssof1.o $e |- ( ( ph /\ v e. R ) -> ( Y O v ) = Z ) $.
    suppssof1.a $e |- ( ph -> A : D --> V ) $.
    suppssof1.b $e |- ( ph -> B : D --> R ) $.
    suppssof1.d $e |- ( ph -> D e. W ) $.
    suppssof1.y $e |- ( ph -> Y e. U ) $.
    $( Formula building theorem for support restrictions: vector operation with
       left annihilator.  (Contributed by Stefan O'Rear, 9-Mar-2015.)  (Revised
       by AV, 28-May-2019.) $)
    suppssof1 $p |- ( ph -> ( ( A oF O B ) supp Z ) C_ L ) $=
      ( vx cof co csupp cv cfv cmpt ffnd inidm wcel eqidd offval oveq1d feqmptd
      wa cvv eqsstrrd fvexd ffvelrnda suppssov1 eqsstrd ) ACDIUAUBZMUCUBTETUDZC
      UEZVBDUEZIUBUFZMUCUBHAVAVEMUCATEEVCVDIECDKKAEJCPUGAEFDQUGRREUHAVBEUIUNZVC
      UJVFVDUJUKULATBVCVDEFHIUOGLMATEVCUFZLUCUBCLUCUBHACVGLUCATEJCPUMULNUPOVFVB
      CUQAEFVBDQURSUSUT $.
  $}

  ${
    $d k A $.  $d k ph $.  $d k W $.  $d k Z $.
    suppss2.n $e |- ( ( ph /\ k e. ( A \ W ) ) -> B = Z ) $.
    suppss2.a $e |- ( ph -> A e. V ) $.
    $( Show that the support of a function is contained in a set.  (Contributed
       by Mario Carneiro, 19-Dec-2014.)  (Revised by Mario Carneiro,
       22-Mar-2015.)  (Revised by AV, 28-May-2019.) $)
    suppss2 $p |- ( ph -> ( ( k e. A |-> B ) supp Z ) C_ W ) $=
      ( cvv wcel cmpt csupp co wss wa cdif wn wceq c0 wi crab eqid adantl simpl
      csn mptsuppdifd cv wne eldifsni eldif adantll sylan2br expr necon1ad syl5
      3impia rabssdv eqsstrd ex intnand supp0prc syl 0ss eqsstrdi a1d pm2.61i
      id ) GJKZADBCLZGMNZFOZUAVIAVLVIAPZVKCJGUFQKZDBUBFVMDBCVJEJGVJUCABEKVIIUDV
      IAUEUGVMVNDBFVMDUHZBKZVNVOFKZVNCGUIVMVPPZVQCJGUJVRVQCGVMVPVQRZCGSZVPVSPVM
      VOBFQKZVTVOBFUKAWAVTVIHULUMUNUOUPUQURUSUTVIRZVLAWBVKTFWBVJJKZVIPRVKTSWBVI
      WCWBVHVAVJGVBVCFVDVEVFVG $.
  $}

  ${
    $d k A $.  $d k ph $.  $d k W $.  $d k Z $.
    suppsssn.n $e |- ( ( ph /\ k e. A /\ k =/= W ) -> B = Z ) $.
    suppsssn.a $e |- ( ph -> A e. V ) $.
    $( Show that the support of a function is a subset of a singleton.
       (Contributed by AV, 21-Jul-2019.) $)
    suppsssn $p |- ( ph -> ( ( k e. A |-> B ) supp Z ) C_ { W } ) $=
      ( csn cv cdif wcel wne wa wceq eldifsn 3expb sylan2b suppss2 ) ABCDEFJZGD
      KZBUALMAUBBMZUBFNZOCGPZUBBFQAUCUDUEHRSIT $.
  $}

  ${
    $d ph x $.  $d D x $.  $d Y x $.  $d Z x $.
    suppssfv.a $e |- ( ph -> ( ( x e. D |-> A ) supp Y ) C_ L ) $.
    suppssfv.f $e |- ( ph -> ( F ` Y ) = Z ) $.
    suppssfv.v $e |- ( ( ph /\ x e. D ) -> A e. V ) $.
    suppssfv.y $e |- ( ph -> Y e. U ) $.
    $( Formula building theorem for support restriction, on a function which
       preserves zero.  (Contributed by Stefan O'Rear, 9-Mar-2015.)  (Revised
       by AV, 28-May-2019.) $)
    suppssfv $p |- ( ph -> ( ( x e. D |-> ( F ` A ) ) supp Z ) C_ L ) $=
      ( cvv wcel wa cfv cmpt wceq csupp co wss wi csn cdif crab wne cv eldifsni
      ad4ant23 fveqeq2 syl5ibrcom necon3d ad2antlr imp eldifsn sylanbrc ex syl5
      elexd ss2rabdv eqid simpll simplr mptsuppdifd adantl 3sstr4d sstrd mptexg
      wn c0 wral fvex rgenw dmmptg ax-mp dmexg eqeltrrid impbii anbi1i supp0prc
      cdm sylnbi 0ss eqsstrdi a1d pm2.61i ) DOPZJOPZQZABDCFRZSZJUAUBZGUCZUDWKAW
      OWKAQZWNBDCSZIUAUBZGWPWLOJUEUFPZBDUGCOIUEUFPZBDUGWNWRWPWSWTBDWSWLJUHZWPBU
      IDPZQZWTWLOJUJXCXAWTXCXAQCOPZCIUHZWTAXBXDWKXAAXBQCHMVAUKXCXAXEAXAXEUDWKXB
      ACIWLJAWLJTCITIFRJTLCIJFULUMUNUOUPCOIUQURUSUTVBWPBDWLWMOOJWMVCWIWJAVDZWIW
      JAVEVFWPBDCWQOEIWQVCXFAIEPWKNVGVFVHAWRGUCWKKVGVIUSWKVKZWOAXGWNVLGWKWMOPZW
      JQWNVLTWIXHWJWIXHBDWLOVJXHDWMWCZOWLOPZBDVMXIDTXJBDCFVNVOBDWLOVPVQWMOVRVSV
      TWAWMJWBWDGWEWFWGWH $.
  $}

  ${
    $d A x y $.  $d B x $.  $d F x y $.  $d G x y $.  $d X x y $.  $d Z x y $.
    $d ph x y $.
    suppofssd.1 $e |- ( ph -> A e. V ) $.
    suppofssd.2 $e |- ( ph -> Z e. B ) $.
    suppofssd.3 $e |- ( ph -> F : A --> B ) $.
    suppofssd.4 $e |- ( ph -> G : A --> B ) $.
    ${
      $d G k $.  $d B y $.  $d F k $.  $d X k $.  $d Z k $.  $d k ph $.
      suppofssd.5 $e |- ( ph -> ( Z X Z ) = Z ) $.
      $( Condition for the support of a function operation to be a subset of
         the union of the supports of the left and right function terms.
         (Contributed by Steven Nguyen, 28-Aug-2023.) $)
      suppofssd $p |- ( ph -> ( ( F oF X G ) supp Z ) C_
                                ( ( F supp Z ) u. ( G supp Z ) ) ) $=
        ( co cv wcel wa wn wceq adantr vk vx cvv cof csupp cun ovexd inidm cdif
        vy off cfv eldif ioran elun xchnxbir anbi2i bitri wne wfn ffnd elsuppfn
        wo wb syl3anc notbid biimpd anim12d anim2d imp pm3.2 necon1bd imdistani
        simprl fnfvof syl22anc oveq12 ad2antll 3eqtrd sylan2 syldan sylan2b
        suppss ) ABUCUADEGUDNZDHUENZEHUENZUFZHAUBUJBBBGCCUCDEFFAUBOZCPUJOZCPQQW
        HWIGUGKLIIBUHUKUAOZBWGUIPZAWJBPZWJWEPZRZWJWFPZRZQZQZWJWDULZHSZWKWLWJWGP
        ZRZQWRWJBWGUMXBWQWLWMWOVCWQXAWMWOUNWJWEWFUOUPUQURAWRWLWLWJDULZHUSZQZRZW
        LWJEULZHUSZQZRZQZQZWTAWRXLAWQXKWLAWNXFWPXJAWNXFAWMXEADBUTZBFPZHCPZWMXEV
        DABCDKVAZIJWJDFCBHVBVEVFVGAWPXJAWOXIAEBUTZXNXOWOXIVDABCELVAZIJWJEFCBHVB
        VEVFVGVHVIVJXLAWLXCHSZXGHSZQZQZWTWLXKYAWLXFXSXJXTWLXEXCHWLXDVKVLWLXIXGH
        WLXHVKVLVHVMAYBQZWSXCXGGNZHHGNZHYCXMXQXNWLWSYDSAXMYBXPTAXQYBXRTAXNYBITA
        WLYAVNBGDEFWJVOVPYAYDYESAWLXCHXGHGVQVRAYEHSYBMTVSVTWAWBWC $.
    $}

    ${
      suppofss1d.5 $e |- ( ( ph /\ x e. B ) -> ( Z X x ) = Z ) $.
      $( Condition for the support of a function operation to be a subset of
         the support of the left function term.  (Contributed by Thierry
         Arnoux, 21-Jun-2019.) $)
      suppofss1d $p |- ( ph -> ( ( F oF X G ) supp Z ) C_ ( F supp Z ) ) $=
        ( vy cfv wceq co wcel wa cv cof wral csupp wss inidm eqidd ofval adantr
        wi ffnd simpr oveq1d ralrimiva ffvelrnda oveq2d eqeq1d rspcdv 3eqtrd ex
        mpd wfn offn ssidd suppfnss syl23anc ) AOUAZEPZIQZVGEFHUBRZPZIQZUJZOCUC
        ZVJIUDREIUDRUEZAVMOCAVGCSZTZVIVLVQVITZVKVHVGFPZHRZIVSHRZIVQVKVTQVIACCVH
        VSHCEFGGVGACDELUKZACDFMUKZJJCUFZVQVHUGVQVSUGUHUIVRVHIVSHVQVIULUMVQWAIQZ
        VIVQIBUAZHRZIQZBDUCZWEAWIVPAWHBDNUNUIVQWHWEBVSDACDVGFMUOVQWFVSQZTZWGWAI
        WKWFVSIHVQWJULUPUQURVAUIUSUTUNAVJCVBECVBCCUECGSIDSVNVOUJACCHCEFGGWBWCJJ
        WDVCWBACVDJKOCCVJEGDIVEVFVA $.
    $}

    ${
      suppofss2d.5 $e |- ( ( ph /\ x e. B ) -> ( x X Z ) = Z ) $.
      $( Condition for the support of a function operation to be a subset of
         the support of the right function term.  (Contributed by Thierry
         Arnoux, 21-Jun-2019.) $)
      suppofss2d $p |- ( ph -> ( ( F oF X G ) supp Z ) C_ ( G supp Z ) ) $=
        ( vy cfv wceq co wcel wa cv cof wral csupp wss inidm eqidd ofval adantr
        wi ffnd simpr oveq2d ralrimiva ffvelrnda oveq1d eqeq1d rspcdv 3eqtrd ex
        mpd wfn offn ssidd suppfnss syl23anc ) AOUAZFPZIQZVGEFHUBRZPZIQZUJZOCUC
        ZVJIUDRFIUDRUEZAVMOCAVGCSZTZVIVLVQVITZVKVGEPZVHHRZVSIHRZIVQVKVTQVIACCVS
        VHHCEFGGVGACDELUKZACDFMUKZJJCUFZVQVSUGVQVHUGUHUIVRVHIVSHVQVIULUMVQWAIQZ
        VIVQBUAZIHRZIQZBDUCZWEAWIVPAWHBDNUNUIVQWHWEBVSDACDVGELUOVQWFVSQZTZWGWAI
        WKWFVSIHVQWJULUPUQURVAUIUSUTUNAVJCVBFCVBCCUECGSIDSVNVOUJACCHCEFGGWBWCJJ
        WDVCWCACVDJKOCCVJFGDIVEVFVA $.
    $}
  $}

  $( The support of the composition of two functions is the inverse image by
     the inner function of the support of the outer function.  (Contributed by
     AV, 30-May-2019.)  Extract this statement from the proof of
     ~ supp0cosupp0 .  (Revised by SN, 15-Sep-2023.) $)
  suppco $p |- ( ( F e. V /\ G e. W ) ->
                       ( ( F o. G ) supp Z ) = ( `' G " ( F supp Z ) ) ) $=
    ( cvv wcel wa ccom csupp co ccnv cima wceq suppimacnv imaeq2d wn c0 intnand
    supp0prc wi csn cdif coexg simpl syl2an2 cnvco imaeq1i imaco simprl syl2anc
    a1i eqtr4id 3eqtrd ex prcnel syl ima0 eqtrdi eqtr4d a1d pm2.61i ) EFGZACGZB
    DGZHZABIZEJKZBLZAEJKZMZNZUAVCVFVLVCVFHZVHVGLZFEUBUCZMZVIALZIZVOMZVKVFVGFGZV
    CVCVHVPNABCDUDVCVFUEZVGFFEOUFVPVSNVMVNVRVOABUGUHULVMVSVIVQVOMZMVKVIVQVOUIVM
    VJWBVIVMVDVCVJWBNVCVDVEUJWAACFEOUKPUMUNUOVCQZVLVFWCVHRVKWCVTVCHQVHRNWCVCVTE
    FUPZSVGETUQWCVKVIRMRWCVJRVIWCAFGZVCHQVJRNWCVCWEWDSAETUQPVIURUSUTVAVB $.

  ${
    $d ph k $.  $d F k $.  $d G k $.  $d Y k $.  $d Z k $.
    suppcoss.f $e |- ( ph -> F Fn A ) $.
    suppcoss.g $e |- ( ph -> G : B --> A ) $.
    suppcoss.b $e |- ( ph -> B e. W ) $.
    suppcoss.y $e |- ( ph -> Y e. V ) $.
    suppcoss.1 $e |- ( ph -> ( F ` Y ) = Z ) $.
    $( The support of the composition of two functions is a subset of the
       support of the inner function if the outer function preserves zero.
       Compare ~ suppssfv , which has a sethood condition on ` A ` instead of
       ` B ` .  (Contributed by SN, 25-May-2024.) $)
    suppcoss $p |- ( ph -> ( ( F o. G ) supp Z ) C_ ( G supp Y ) ) $=
      ( vk wcel cfv wceq wn wa crn ccom csupp co wfn wf dffn3 sylib fcod cv wne
      cdif eldif ffnd elsuppfn syl3anc notbid anbi2d annotanannot bitrdi syl5bb
      wb nne anbi2i adantr simprl fvco3d simprr fveq2d 3eqtrd syl5bi sylbid imp
      ex suppss ) ACDUAZODEUBZEHUCUDZIACBVPDEADBUEBVPDUFJBDUGUHKUIAOUJZCVRULPZV
      SVQQZIRZAVTVSCPZVSEQZHUKZSZTZWBVTWCVSVRPZSZTZAWGVSCVRUMAWJWCWCWETZSZTWGAW
      IWLWCAWHWKAECUECGPHFPWHWKVBACBEKUNLMVSEGFCHUOUPUQURWCWEUSUTVAWGWCWDHRZTZA
      WBWFWMWCWDHVCVDAWNWBAWNTZWAWDDQHDQZIWOCBVSDEACBEUFWNKVEAWCWMVFVGWOWDHDAWC
      WMVHVIAWPIRWNNVEVJVNVKVLVMVO $.
  $}

  $( The support of the composition of two functions is empty if the support of
     the outer function is empty.  (Contributed by AV, 30-May-2019.) $)
  supp0cosupp0 $p |- ( ( F e. V /\ G e. W )
                  -> ( ( F supp Z ) = (/) -> ( ( F o. G ) supp Z ) = (/) ) ) $=
    ( wcel wa csupp co c0 wceq ccom ccnv cima suppco imaeq2 eqtrdi sylan9eq ex
    ima0 ) ACFBDFGZAEHIZJKZABLEHIZJKUAUCUDBMZUBNZJABCDEOUCUFUEJNJUBJUEPUETQRS
    $.

  $( The image of the support of the composition of two functions is the
     support of the outer function.  (Contributed by AV, 30-May-2019.) $)
  imacosupp $p |- ( ( F e. V /\ G e. W )
                    -> ( ( Fun G /\ ( F supp Z ) C_ ran G )
                         -> ( G " ( ( F o. G ) supp Z ) ) = ( F supp Z ) ) ) $=
    ( wcel wa wfun csupp co crn wss ccom cima wceq ccnv suppco imaeq2d cdm wfo
    funforn foimacnv sylanb sylan9eq ex ) ACFBDFGZBHZAEIJZBKZLZGZBABMEIJZNZUHOU
    FUKUMBBPUHNZNZUHUFULUNBABCDEQRUGBSZUIBTUJUOUHOBUAUPUIUHBUBUCUDUE $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Special maps-to operations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The following theorems are about maps-to operations (see ~ df-mpo ) where
  the domain of the second argument depends on the domain of the first
  argument, especially when the first argument is a pair and the base set of
  the second argument is the first component of the first argument, in short
  "x-maps-to operations".  For labels, the abbreviations "mpox" are used
  (since "x" usually denotes the first argument).  This is in line with the
  currently used conventions for such cases (see ~ cbvmpox , ~ ovmpox and
  ~ fmpox ).  If the first argument is an ordered pair, as in the following,
  the abbreviation is extended to "mpoxop", and the maps-to operations are
  called "x-op maps-to operations" for short.

$)

  ${
    $d x A $.  $d x C $.  $d x D $.
    opeliunxp2f.f $e |- F/_ x E $.
    opeliunxp2f.e $e |- ( x = C -> B = E ) $.
    $( Membership in a union of Cartesian products, using bound-variable
       hypothesis for ` E ` instead of distinct variable conditions as in
       ~ opeliunxp2 .  (Contributed by AV, 25-Oct-2020.) $)
    opeliunxp2f $p |- ( <. C , D >. e. U_ x e. A ( { x } X. B ) <->
      ( C e. A /\ D e. E ) ) $=
      ( cop cv csn cxp ciun wcel cvv wa wbr wrel wb nfel2 df-br relxp brrelex1i
      wral rgenw reliun mpbir sylbir elex adantr nfiu1 nfv nfan nfbi wceq opeq1
      eleq1d eleq1 eleq2d anbi12d bibi12d opeliunxp vtoclg1f pm5.21nii ) DEIZAB
      AJZKZCLZMZNZDONZDBNZEFNZPZVJDEVIQVKDEVIUADEVIVIRVHRZABUDVOABVGCUBUEABVHUF
      UGUCUHVLVKVMDBUIUJVFEIZVINZVFBNZECNZPZSVJVNSADOVJVNAAVEVIABVHUKTVLVMAVLAU
      LAEFGTUMUNVFDUOZVQVJVTVNWAVPVEVIVFDEUPUQWAVRVLVSVMVFDBURWACFEHUSUTVAABCEV
      BVCVD $.
  $}

  ${
    $d C x y $.  $d D y $.  $d X x $.  $d Y x $.
    mpoxeldm.f $e |- F = ( x e. C , y e. D |-> R ) $.
    $( If there is an element of the value of an operation given by a maps-to
       rule, then the first argument is an element of the first component of
       the domain and the second argument is an element of the second component
       of the domain depending on the first argument.  (Contributed by AV,
       25-Oct-2020.) $)
    mpoxeldm $p |- ( N e. ( X F Y ) -> ( X e. C /\ Y e. [_ X / x ]_ D ) ) $=
      ( co wcel cop cv csn cxp ciun csb wa cdm dmmpossx cfv elfvdm df-ov eleq2s
      sselid nfcsb1v csbeq1a opeliunxp2f sylib ) GHIFKZLZHIMZACANODPQZLHCLIAHDR
      ZLSULFTZUNUMABCDEFJUAUMUPLGUMFUBUKGUMFUCHIFUDUEUFACDHIUOAHDUGAHDUHUIUJ $.

    $d C n $.  $d D n $.  $d F n $.  $d X n x $.  $d Y n $.
    $( If the first argument of an operation given by a maps-to rule is not an
       element of the first component of the domain or the second argument is
       not an element of the second component of the domain depending on the
       first argument, then the value of the operation is the empty set.
       (Contributed by AV, 25-Oct-2020.) $)
    mpoxneldm $p |- ( ( X e/ C \/ Y e/ [_ X / x ]_ D ) -> ( X F Y ) = (/) ) $=
      ( vn wnel csb wo wcel wa wn co c0 df-nel sylbi wceq orbi12i bitr4i cv wex
      ianor neq0 mpoxeldm exlimiv con1i ) GCKZHAGDLZKZMZGCNZHULNZOZPZGHFQZRUAZU
      NUOPZUPPZMURUKVAUMVBGCSHULSUBUOUPUFUCUTUQUTPJUDZUSNZJUEUQJUSUGVDUQJABCDEF
      VCGHIUHUITUJT $.
  $}

  ${
    $d x y $.  $d K x $.  $d V x $.  $d W x $.
    mpoxopn0yelv.f $e |- F = ( x e. _V , y e. ( 1st ` x ) |-> C ) $.
    $( If there is an element of the value of an operation given by a maps-to
       rule, where the first argument is a pair and the base set of the second
       argument is the first component of the first argument, then the second
       argument is an element of the first component of the first argument.
       (Contributed by Alexander van der Vekens, 10-Oct-2017.) $)
    mpoxopn0yelv $p |- ( ( V e. X /\ W e. Y )
                          -> ( N e. ( <. V , W >. F K ) -> K e. V ) ) $=
      ( cop co wcel c1st cfv wa cvv cv csn cxp cdm dmmpossx elfvdm df-ov eleq2s
      ciun sselid fveq2 opeliunxp2 simprbi syl op1stg eleq2d syl5ib ) FGHLZEDMZ
      NZEUPOPZNZGINHJNQZEGNURUPELZARASZTVCOPZUAUGZNZUTURDUBZVEVBABRVDCDKUCVBVGN
      FVBDPUQFVBDUDUPEDUEUFUHVFUPRNUTARVDUPEUSVCUPOUIUJUKULVAUSGEGHIJUMUNUO $.

    $d K n $.  $d F n $.  $d V n $.  $d W n $.  $d X n $.  $d Y n $.
    $( If the second argument of an operation given by a maps-to rule, where
       the first argument is a pair and the base set of the second argument is
       the first component of the first argument is not element of the first
       component of the first argument, then the value of the operation is the
       empty set.  (Contributed by Alexander van der Vekens, 10-Oct-2017.) $)
    mpoxopynvov0g $p |- ( ( ( V e. X /\ W e. Y ) /\ K e/ V )
                          -> ( <. V , W >. F K ) = (/) ) $=
      ( vn wcel wa wnel cop co c0 wceq wn cv wex neq0 mpoxopn0yelv nnel syl6ibr
      exlimdv syl5bi con4d imp ) FHLGILMZEFNZFGOEDPZQRZUJUMUKUMSKTZULLZKUAUJUKS
      ZKULUBUJUOUPKUJUOEFLUPABCDEUNFGHIJUCEFUDUEUFUGUHUI $.

    $d F x $.
    $( If the first argument of an operation given by a maps-to rule, where the
       first argument is a pair and the base set of the second argument is the
       first component of the first argument, is not an ordered pair, then the
       value of the operation is the empty set.  (Contributed by Alexander van
       der Vekens, 10-Oct-2017.) $)
    mpoxopxnop0 $p |- ( -. V e. ( _V X. _V ) -> ( V F K ) = (/) ) $=
      ( vn c0 cvv cxp wcel cv wex csn c1st cfv cdm wa sylbi co wceq wn neq0 cop
      ciun dmmpossx elfvdm df-ov eleq2s sselid fveq2 opeliunxp2 cuni eluni ne0i
      wi wne ad2antlr dmsnn0 sylibr ex exlimiv 1stval impcom syl con1i ) FEDUAZ
      IUBZFJJKLZVIUCAMZVHLZANVJAVHUDVLVJAVLFEUEZAJVKOVKPQZKUFZLZVJVLDRZVOVMABJV
      NCDGUGVMVQLVKVMDQVHVKVMDUHFEDUIUJUKVPFJLZEFPQZLZSVJAJVNFEVSVKFPULUMVTVRVJ
      VRVJUQZEFORZUNZVSEWCLEHMZLZWDWBLZSZHNWAHEWBUOWGWAHWGVRVJWGVRSWBIURZVJWFWH
      WEVRWBWDUPUSFUTVAVBVCTFVDUJVETVFVCTVG $.

    $( If the first argument of an operation given by a maps-to rule, where the
       first argument is a pair and the base set of the second argument is the
       first component of the first argument, is the empty set, then the value
       of the operation is the empty set.  (Contributed by Alexander van der
       Vekens, 10-Oct-2017.) $)
    mpoxopx0ov0 $p |- ( (/) F K ) = (/) $=
      ( c0 cvv cxp wcel wn co wceq 0nelxp mpoxopxnop0 ax-mp ) GHHIJKGEDLGMHHNAB
      CDEGFOP $.

    $( If the components of the first argument of an operation given by a
       maps-to rule, where the first argument is a pair and the base set of the
       second argument is the first component of the first argument, are not
       sets, then the value of the operation is the empty set.  (Contributed by
       Alexander van der Vekens, 10-Oct-2017.) $)
    mpoxopxprcov0 $p |- ( -. ( V e. _V /\ W e. _V )
                           -> ( <. V , W >. F K ) = (/) ) $=
      ( cvv wcel wa cop cxp co c0 wceq opelxp mpoxopxnop0 sylnbir ) FIJGIJKFGLZ
      IIMJTEDNOPFGIIQABCDETHRS $.

    $( If the second argument of an operation given by a maps-to rule, where
       the first argument is a pair and the base set of the second argument is
       the first component of the first argument is not element of the first
       component of the first argument, then the value of the operation is the
       empty set.  (Contributed by Alexander van der Vekens, 10-Oct-2017.) $)
    mpoxopynvov0 $p |- ( K e/ V -> ( <. V , W >. F K ) = (/) ) $=
      ( cvv wcel wa wnel cop co c0 wceq wi mpoxopynvov0g ex wn mpoxopxprcov0
      a1d pm2.61i ) FIJGIJKZEFLZFGMEDNOPZQUDUEUFABCDEFGIIHRSUDTUFUEABCDEFGHUAUB
      UC $.
  $}

  ${
    $d K n x y $.  $d V n x y $.  $d W n x y $.  $d X n x y $.  $d Y n x y $.
    mpoxopoveq.f $e |- F = ( x e. _V , y e. ( 1st ` x )
                            |-> { n e. ( 1st ` x ) | ph } ) $.
    $( Value of an operation given by a maps-to rule, where the first argument
       is a pair and the base set of the second argument is the first component
       of the first argument.  (Contributed by Alexander van der Vekens,
       11-Oct-2017.) $)
    mpoxopoveq $p |- ( ( ( V e. X /\ W e. Y ) /\ K e. V )
                 -> ( <. V , W >. F K )
                      = { n e. V | [. <. V , W >. / x ]. [. K / y ]. ph } ) $=
      ( vz wcel wa cvv cv c1st wceq adantl nfcv cop crab wsbc cmpo fveq2 op1stg
      cfv adantr sylan9eqr adantrr wb sbceq1a bitrd rabeqbidv opex simpr rabexg
      a1i ad2antrr weq wnf equid nfvd ax-mp nfsbc1v nfrabw nfsbcw ovmpodxf ) GI
      MZHJMZNZFGMZNZBCGHUAZFOBPZQUGZADVPUBZACFUCZBVNUCZDGUBZEGOEBCOVPVQUDRVMKUR
      VMVOVNRZCPFRZNZNZAVSDVPGVMWAVPGRWBWAVMVPVNQUGZGVOVNQUEVKWEGRVLGHIJUFUHUIZ
      UJWDAVRVSWCAVRUKZVMWBWGWAACFULSSWCVRVSUKZVMWAWHWBVRBVNULUHSUMUNWFVNOMVMGH
      UOURVKVLUPVIVTOMVJVLVSDGIUQUSLLUTZVMBVALVBZWIVMBVCVDWIVMCVAWJWIVMCVCVDCVN
      TZBFTVSBDGVRBVNVEBGTVFVSCDGVRCBVNWKACFVEVGCGTVFVH $.

    $d N x y $.
    $( Element of the value of an operation given by a maps-to rule, where the
       first argument is a pair and the base set of the second argument is the
       first component of the first argument.  (Contributed by Alexander van
       der Vekens and Mario Carneiro, 10-Oct-2017.) $)
    mpoxopovel $p |- ( ( V e. X /\ W e. Y ) -> ( N e. ( <. V , W >. F K )
                <-> ( K e. V /\ N e. V /\ [. <. V , W >. / x ].
                      [. K / y ]. [. N / n ]. ph ) ) ) $=
      ( wcel wa cop co wsbc crab sbccom bitri w3a cv c1st mpoxopn0yelv pm4.71rd
      mpoxopoveq eleq2d nfcv elrabsf sbcbii anbi2i bitrdi pm5.32da 3anass bitrd
      cfv bitr4di ) HJMIKMNZGHIOZFEPZMZFHMZVANZVBGHMZADGQCFQZBUSQZUAZURVAVBBCAD
      BUBUCUPREFGHIJKLUDUEURVCVBVDVFNZNVGURVBVAVHURVBNZVAGACFQZBUSQZDHRZMZVHVIU
      TVLGABCDEFHIJKLUFUGVMVDVKDGQZNVHVKDGHDHUHUIVNVFVDVNVJDGQZBUSQVFVJDBGUSSVO
      VEBUSADCGFSUJTUKTULUMVBVDVFUNUQUO $.

    $d F x $.
    mpoxopoveqd.1 $e |- ( ps -> ( V e. X /\ W e. Y ) ) $.
    mpoxopoveqd.2 $e |- ( ( ps /\ -. K e. V )
                -> { n e. V | [. <. V , W >. / x ]. [. K / y ]. ph } = (/) ) $.
    $( Value of an operation given by a maps-to rule, where the first argument
       is a pair and the base set of the second argument is the first component
       of the first argument, deduction version.  (Contributed by Alexander van
       der Vekens, 11-Oct-2017.) $)
    mpoxopoveqd $p |- ( ps -> ( <. V , W >. F K )
                       = { n e. V | [. <. V , W >. / x ]. [. K / y ]. ph } ) $=
      ( wcel wsbc crab wceq wa c0 co wi mpoxopoveq ex syl11 wn wnel df-nel c1st
      cop cv cfv mpoxopynvov0 sylbir adantr eqcomd ancoms eqtrd pm2.61i ) GHOZB
      HIUJZGFUAZADGPCVAPEHQZRZUBHJOIKOSZUTVDBVEUTVDACDEFGHIJKLUCUDMUEUTUFZBVDVF
      BSVBTVCVFVBTRZBVFGHUGVGGHUHCDAECUKUIULQFGHILUMUNUOBVFTVCRBVFSVCTNUPUQURUD
      US $.
  $}

  ${
    $d x y $.
    brovex.1 $e |- O = ( x e. _V , y e. _V |-> C ) $.
    brovex.2 $e |- ( ( V e. _V /\ E e. _V ) -> Rel ( V O E ) ) $.
    $( A binary relation of the value of an operation given by the maps-to
       notation.  (Contributed by Alexander van der Vekens, 21-Oct-2017.) $)
    brovex $p |- ( F ( V O E ) P
                   -> ( ( V e. _V /\ E e. _V ) /\ ( F e. _V /\ P e. _V ) ) ) $=
      ( co wbr cvv wcel wa cop wi df-br c0 wne ne0i mpondm0 necon1ai wrel sylan
      brrelex12 id syldan ex 3syl sylbi pm2.43i ) FDHEGKZLZHMNEMNOZFMNDMNOZOZUN
      FDPZUMNZUNUQQZFDUMRUSUMSTUOUTUMURUAUOUMSABCGHEMMIUBUCUOUNUQUOUNUPUQUOUMUD
      UNUPJFDUMUFUEUQUGUHUIUJUKUL $.
  $}

  ${
    $d w x y z $.
    brovmpoex.1 $e |- O = ( x e. _V , y e. _V |-> { <. z , w >. | ph } ) $.
    $( A binary relation of the value of an operation given by the maps-to
       notation.  (Contributed by Alexander van der Vekens, 21-Oct-2017.) $)
    brovmpoex $p |- ( F ( V O E ) P
                   -> ( ( V e. _V /\ E e. _V ) /\ ( F e. _V /\ P e. _V ) ) ) $=
      ( copab co wrel cvv wcel wa relmpoopab a1i brovex ) BCADELFGHIJKJGIMNJOPG
      OPQABCDEOOJGIKRST $.
  $}

  ${
    $d E e v x y $.  $d R e v $.  $d V e v x y $.  $d ph e v x y $.
    $d ps e v $.
    sprmpod.1 $e |- M = ( v e. _V , e e. _V
                          |-> { <. x , y >. | ( x ( v R e ) y /\ ch ) } ) $.
    sprmpod.2 $e |- ( ( ph /\ v = V /\ e = E ) -> ( ch <-> ps ) ) $.
    sprmpod.3 $e |- ( ph -> ( V e. _V /\ E e. _V ) ) $.
    sprmpod.4 $e |- ( ph -> A. x A. y ( x ( V R E ) y -> th ) ) $.
    sprmpod.5 $e |- ( ph -> { <. x , y >. | th } e. _V ) $.
    $( The extension of a binary relation which is the value of an operation
       given in maps-to notation.  (Contributed by Alexander van der Vekens,
       30-Oct-2017.)  (Revised by AV, 20-Jun-2019.) $)
    sprmpod $p |- ( ph -> ( V M E )
                           = { <. x , y >. | ( x ( V R E ) y /\ ps ) } ) $=
      ( cvv cv wa co wbr copab cmpo wceq a1i oveq12 breqd adantl 3expb opabbidv
      wb anbi12d wcel simpld simprd wi wal opabbrex syl2anc ovmpod ) AGILJRRESZ
      FSZGSZISZHUAZUBZCTZEFUCZVBVCLJHUAZUBZBTZEFUCZKRKGIRRVIUDUEAMUFAVDLUEZVEJU
      EZTZTZVHVLEFVQVGVKCBVPVGVKULAVPVFVJVBVCVDLVEJHUGUHUIAVNVOCBULNUJUMUKALRUN
      ZJRUNZOUOAVRVSOUPAVKDUQFUREURDEFUCRUNVMRUNPQDBEFVJRUSUTVA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Function transposition
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c tpos $.  $( Function transposition $)

  $( The transposition of a function. $)
  ctpos $a class tpos F $.

  ${
    $d F x $.
    $( Define the transposition of a function, which is a function
       ` G = tpos F ` satisfying ` G ( x , y ) = F ( y , x ) ` .  (Contributed
       by Mario Carneiro, 10-Sep-2015.) $)
    df-tpos $a |- tpos F = ( F o.
        ( x e. ( `' dom F u. { (/) } ) |-> U. `' { x } ) ) $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d w x y z F $.  $d x G $.
    $( Subset theorem for transposition.  (Contributed by Mario Carneiro,
       10-Sep-2015.) $)
    tposss $p |- ( F C_ G -> tpos F C_ tpos G ) $=
      ( vx wss cdm ccnv c0 csn cun cv cuni cmpt ccom ctpos coss1 cres wceq dmss
      cnvss df-tpos unss1 resmpt 4syl resss eqsstrrdi coss2 syl sstrd 3sstr4g )
      ABDZACAEZFZGHZIZCJHFKZLZMZBCBEZFZUMIZUOLZMZANBNUJUQBUPMZVBABUPOUJUPVADVCV
      BDUJUPVAUNPZVAUJUKURDULUSDUNUTDVDUPQABRUKURSULUSUMUACUTUNUOUBUCVAUNUDUEUP
      VABUFUGUHCATCBTUI $.

    $( Equality theorem for transposition.  (Contributed by Mario Carneiro,
       10-Sep-2015.) $)
    tposeq $p |- ( F = G -> tpos F = tpos G ) $=
      ( wceq ctpos wss eqimss tposss syl eqimss2 eqssd ) ABCZADZBDZKABELMEABFAB
      GHKBAEMLEBAIBAGHJ $.

    ${
      tposeqd.1 $e |- ( ph -> F = G ) $.
      $( Equality theorem for transposition.  (Contributed by Mario Carneiro,
         7-Jan-2017.) $)
      tposeqd $p |- ( ph -> tpos F = tpos G ) $=
        ( wceq ctpos tposeq syl ) ABCEBFCFEDBCGH $.
    $}

    $( The transposition is a subset of a Cartesian product.  (Contributed by
       Mario Carneiro, 12-Jan-2017.) $)
    tposssxp $p |- tpos F C_ ( ( `' dom F u. { (/) } ) X. ran F ) $=
      ( vx ctpos cdm ccnv csn cun cuni cmpt crn cxp ccom df-tpos cossxp eqsstri
      c0 cv wss eqid dmmptss xpss1 ax-mp sstri ) ACZBADEPFGZBQFEHZIZDZAJZKZUEUI
      KZUDAUGLUJBAMAUGNOUHUERUJUKRBUEUFUGUGSTUHUEUIUAUBUC $.

    $( The transposition is a relation.  (Contributed by Mario Carneiro,
       10-Sep-2015.) $)
    reltpos $p |- Rel tpos F $=
      ( ctpos cdm ccnv c0 csn cun crn cxp wss wrel tposssxp relxp relss mp2 ) A
      BZACDEFGZAHZIZJSKPKALQRMPSNO $.

    $( Value of the transposition at a pair ` <. A , B >. ` .  (Contributed by
       Mario Carneiro, 10-Sep-2015.) $)
    brtpos2 $p |- ( B e. V -> ( A tpos F B <->
      ( A e. ( `' dom F u. { (/) } ) /\ U. `' { A } F B ) ) ) $=
      ( vy vx wcel cvv wbr cdm ccnv csn cuni wa wi a1i wb cv wceq bitri reltpos
      ctpos c0 cun brrelex1i elex adantr cmpt wex ccom df-tpos breqi syl5bb cfv
      brcog wfun funmpt funbrfv2b ax-mp cnvex uniex dmmpti eleq2i eqcom anbi12i
      snex cnveqd unieqd fvmpt eqeq2d pm5.32i biancomi anbi1i anass exbii breq1
      eqid sneq anbi2d ceqsexv bitrdi expcom pm5.21ndd ) BDGZAHGZABCUBZIZACJKUC
      LUDZGZALZKZMZBCIZNZWGWEOWDABWFCUAUEPWNWEOWDWIWEWMAWHUFUGPWEWDWGWNQWEWDNZW
      GAERZFWHFRZLZKZMZUHZIZWPBCIZNZEUIZWNWGABCXAUJZIWOXEABWFXFFCUKULEABCXAHDUO
      UMXEWPWLSZWIXCNZNZEUIWNXDXIEXDXGWINZXCNXIXBXJXCXBXGWIXBAXAJZGZAXAUNZWPSZN
      ZWIXGNZXAUPXBXOQFWHWTUQAWPXAURUSXOWIWPXMSZNXPXLWIXNXQXKWHAFWHWTXAWSWRWQVF
      UTVAXAVQZVBVCXMWPVDVEWIXQXGWIXMWLWPFAWTWLWHXAWQASZWSWKXSWRWJWQAVRVGVHXRWK
      WJAVFUTVAZVIVJVKTTVLVMXGWIXCVNTVOXHWNEWLXTXGXCWMWIWPWLBCVPVSVTTWAWBWC $.

    $( The behavior of ` tpos ` when the left argument is the empty set (which
       is not an ordered pair but is the "default" value of an ordered pair
       when the arguments are proper classes).  This allows us to eliminate
       sethood hypotheses on ` A , B ` in ~ brtpos .  (Contributed by Mario
       Carneiro, 10-Sep-2015.) $)
    brtpos0 $p |- ( A e. V -> ( (/) tpos F A <-> (/) F A ) ) $=
      ( wcel c0 ctpos wbr cdm ccnv csn cun cuni brtpos2 ssun2 0ex snid biantrur
      wa sselii cnvsn0 unieqi uni0 eqtri breq1i bitr3i bitrdi ) ACDEABFGEBHIZEJ
      ZKZDZUHIZLZABGZRZEABGZEABCMUNUMUOUJUMUHUIEUHUGNEOPSQULEABULELEUKETUAUBUCU
      DUEUF $.

    $( Necessary and sufficient condition for ` dom tpos F ` to be a relation.
       (Contributed by Mario Carneiro, 10-Sep-2015.) $)
    reldmtpos $p |- ( Rel dom tpos F <-> -. (/) e. dom F ) $=
      ( vy vx cdm wrel c0 wcel wn cv wbr wex 0ex wb cvv vex breldm sylbi wss wi
      eldm ctpos brtpos0 elv 0nelrel0 nsyl3 sylbir exlimiv con2i wa ccnv relcnv
      cxp csn df-rel mpbi sseli a1i elsni breq1d pm2.24d syl6bi com3l impcom wo
      cun cuni brtpos2 ax-mp simplbi elun sylib adantl mpjaod ex exlimdv syl5bi
      ssrdv sylibr impbii ) AUAZDZEZFADZGZHZWDWBWDFBIZAJZBKWBHZBFALTWGWHBWGFWFV
      TJZWHWIWGMBWFANUBUCZWBFWAGWIWAUDFWFVTLBOZPUEUFUGQUHWEWANNULZRWBWECWAWLCIZ
      WAGWMWFVTJZBKWEWMWLGZBWMVTCOTWEWNWOBWEWNWOWEWNUIZWMWCUJZGZWOWMFUMZGZWRWOS
      WPWQWLWMWQEWQWLRWCUKWQUNUOUPUQWNWEWTWOSWTWNWEWOWTWNWIWEWOSZWTWMFWFVTWMFUR
      USWIWGXAWJWGWDWOFWFALWKPUTQVAVBVCWNWRWTVDZWEWNWMWQWSVEGZXBWNXCWMUMUJVFWFA
      JZWFNGWNXCXDUIMWKWMWFANVGVHVIWMWQWSVJVKVLVMVNVOVPVQWAUNVRVS $.

    $( The transposition swaps arguments of a three-parameter relation.
       (Contributed by Mario Carneiro, 10-Sep-2015.) $)
    brtpos $p |- ( C e. V -> ( <. A , B >. tpos F C <-> <. B , A >. F C ) ) $=
      ( wcel cvv wa cop ctpos wbr wb cdm ccnv c0 csn adantr wn opprc breq1d cun
      cuni brtpos2 wi opex breldmg 3expia mpan opelcnvg adantl sylibrd pm4.71rd
      elun1 opswap breq1i anbi2i bitr4di bitr4d ex brtpos0 ancom sylnbi bibi12d
      syl6 syl5ibrcom pm2.61d ) CEFZAGFZBGFZHZABIZCDJZKZBAIZCDKZLZVGVJVPVGVJHZV
      MVKDMZNZOPZUAFZVKPNUBZCDKZHZVOVGVMWDLVJVKCDEUCQVQVOWAVOHWDVQVOWAVQVOVKVSF
      ZWAVQVOVNVRFZWEVGVOWFUDZVJVNGFZVGWGBAUEWHVGVOWFVNCGEDUFUGUHQVJWEWFLVGABGG
      VRUIUJUKVKVSVTUMVDULWCVOWAWBVNCDABUNUOUPUQURUSVGVPVJRZOCVLKZOCDKZLCDEUTWI
      VMWJVOWKWIVKOCVLABSTVJVIVHHZVOWKLVHVIVAWLRVNOCDBASTVBVCVEVF $.

    $( The transposition swaps the first two elements in a collection of
       ordered triples.  (Contributed by Mario Carneiro, 1-Dec-2014.) $)
    ottpos $p |- ( C e. V ->
      ( <. A , B , C >. e. tpos F <-> <. B , A , C >. e. F ) ) $=
      ( wcel cop ctpos cotp wbr brtpos df-br 3bitr3g df-ot eleq1i 3bitr4g ) CEF
      ZABGZCGZDHZFZBAGZCGZDFZABCIZTFBACIZDFQRCTJUBCDJUAUDABCDEKRCTLUBCDLMUESTAB
      CNOUFUCDBACNOP $.

    $( The transposition swaps arguments of a three-parameter relation.
       (Contributed by Mario Carneiro, 3-Nov-2015.) $)
    relbrtpos $p |- ( Rel F ->
      ( <. A , B >. tpos F C <-> <. B , A >. F C ) ) $=
      ( wrel cop ctpos wbr cvv wcel reltpos a1i brrelex2 sylan brtpos pm5.21nd
      ) DEZABFZCDGZHZBAFZCDHCIJZQSEZTUBUCQDKLRCSMNUACDMABCDIOP $.

    $( The domain of ` tpos F ` when ` dom F ` is a relation.  (Contributed by
       Mario Carneiro, 10-Sep-2015.) $)
    dmtpos $p |- ( Rel dom F -> dom tpos F = `' dom F ) $=
      ( vx vy vz ctpos cdm wrel ccnv wa wceq cvv wcel cop wbr wex vex opex eldm
      c0 cv cxp wss wn 0nelxp ssel df-rel reldmtpos 3imtr4i relcnv jctir brtpos
      mtoi wb mp1i exbidv opelcnv bitri 3bitr4g eqrelrdv2 mpancom ) AEZFZGZAFZH
      ZGZIVDGZVBVEJVGVCVFVDKKUAZUBZSVDLZUCVGVCVIVJSVHLKKUDVDVHSUEULVDUFAUGUHVDU
      IUJVGBCVBVEVGBTZCTZMZDTZVANZDOVLVKMZVNANZDOZVMVBLVMVELZVGVOVQDVNKLVOVQUMV
      GDPVKVLVNAKUKUNUODVMVAVKVLQRVSVPVDLVRVKVLVDBPCPUPDVPAVLVKQRUQURUSUT $.

    $( The range of ` tpos F ` when ` dom F ` is a relation.  (Contributed by
       Mario Carneiro, 10-Sep-2015.) $)
    rntpos $p |- ( Rel dom F -> ran tpos F = ran F ) $=
      ( vz vw vx vy cdm wrel crn cv wcel wbr wex vex elrn cop wceq breldm elrel
      wi breq1 ctpos ccnv dmtpos eleq2d syl5ib relcnv mpan wb cvv brtpos bitrdi
      syl6 elv opex brelrn syl6bi exlimivv syli exlimdv syl5bi ex bitr4di eqrdv
      syl5 impbid ) AFZGZBAUAZHZAHZVGBIZVIJZVKVJJZVLCIZVKVHKZCLVGVMCVKVHBMZNVGV
      OVMCVOVGVNDIZEIZOZPZELDLZVMVGVOVNVFUBZJZWAVOVNVHFZJVGWCVNVKVHCMZVPQVGWDWB
      VNAUCUDUEWBGWCWAVFUFDEVNWBRUGULVTVOVMSDEVTVOVRVQOZVKAKZVMVTVOVSVKVHKZWGVN
      VSVKVHTWHWGUHBVQVRVKAUIUJUMZUKWFVKAVRVQUNVPUOUPUQURUSUTVMVNVKAKZCLVGVLCVK
      AVPNVGWJVLCWJVGVNWFPZDLELZVLWJVNVFJZVGWLVNVKAWEVPQVGWMWLEDVNVFRVAVDWKWJVL
      SEDWKWJWHVLWKWJWGWHVNWFVKATWIVBVSVKVHVQVRUNVPUOUPUQURUSUTVEVC $.

    $( The transposition of a set is a set.  (Contributed by Mario Carneiro,
       10-Sep-2015.) $)
    tposexg $p |- ( F e. V -> tpos F e. _V ) $=
      ( wcel ctpos cdm ccnv c0 csn cun crn cxp wss cvv tposssxp cnvexg syl p0ex
      dmexg unexg sylancl rnexg xpexd ssexg sylancr ) ABCZADZAEZFZGHZIZAJZKZLUL
      MCUFMCANUEUJUKMMUEUHMCZUIMCUJMCUEUGMCUMABRUGMOPQUHUIMMSTABUAUBUFULMUCUD
      $.

    $( The transposition swaps the arguments in a two-argument function.  When
       ` F ` is a matrix, which is to say a function from
       ` ( 1 ... m ) X. ( 1 ... n ) ` to ` RR ` or some ring, ` tpos F ` is the
       transposition of ` F ` , which is where the name comes from.
       (Contributed by Mario Carneiro, 10-Sep-2015.) $)
    ovtpos $p |- ( A tpos F B ) = ( B F A ) $=
      ( vy cop ctpos cfv co cv wbr cio wb cvv brtpos elv iotabii df-fv 3eqtr4i
      df-ov ) ABEZCFZGZBAEZCGZABUAHBACHTDIZUAJZDKUCUECJZDKUBUDUFUGDUFUGLDABUECM
      NOPDTUAQDUCCQRABUASBACSR $.

    $( The transposition of a function is a function.  (Contributed by Mario
       Carneiro, 10-Sep-2015.) $)
    tposfun $p |- ( Fun F -> Fun tpos F ) $=
      ( vx wfun cdm ccnv c0 csn cun cv cuni cmpt ccom ctpos funco mpan2 df-tpos
      funmpt funeqi sylibr ) ACZABADEFGHZBIGEJZKZLZCZAMZCTUCCUEBUAUBQAUCNOUFUDB
      APRS $.

    $( Alternate definition of ` tpos ` when ` F ` has relational domain.
       (Contributed by Mario Carneiro, 10-Sep-2015.) $)
    dftpos2 $p |- ( Rel dom F -> tpos F =
        ( F o. ( x e. `' dom F |-> U. `' { x } ) ) ) $=
      ( cdm wrel ctpos cres ccnv csn cuni cmpt ccom dmtpos reseq2d wceq reltpos
      cv resdm ax-mp c0 cun df-tpos reseq1i resco resmpt coeq2i 3eqtri 3eqtr3g
      wss ssun1 ) BCZDZBEZULCZFZULUJGZFZULBAUOAPHGIZJZKZUKUMUOULBLMULDUNULNBOUL
      QRUPBAUOSHZTZUQJZKZUOFBVBUOFZKUSULVCUOABUAUBBVBUOUCVDURBUOVAUHVDURNUOUTUI
      AVAUOUQUDRUEUFUG $.

    $( Alternate definition of ` tpos ` when ` F ` has relational domain.
       Compare ~ df-cnv .  (Contributed by Mario Carneiro, 10-Sep-2015.) $)
    dftpos3 $p |- ( Rel dom F -> tpos F =
      { <. <. x , y >. , z >. | <. y , x >. F z } ) $=
      ( vw cdm wrel ctpos cv cop wceq wbr wa wex cab wcel cvv cxp bitr3i bitrdi
      coprab wss relcnv dmtpos releqd mpbiri reltpos jctil relrelss sylib sseld
      ccnv elvvv syl6ib pm4.71rd 19.41vvv eleq1 df-br brtpos elv pm5.32i 3exbii
      wb abbi2dv df-oprab eqtr4di ) DFZGZDHZEIZAIZBIZJZCIZJZKZVLVKJVNDLZMZCNBNA
      NZEOVQABCUAVHVSEVIVHVJVIPZVPCNBNANZVTMZVSVHVTWAVHVTVJQQRQRZPWAVHVIWCVJVHV
      IGZVIFZGZMVIWCUBVHWFWDVHWFVGULZGVGUCVHWEWGDUDUEUFDUGUHVIUIUJUKABCVJUMUNUO
      WBVPVTMZCNBNANVSVPVTABCUPWHVRABCVPVTVQVPVTVOVIPZVQVJVOVIUQWIVMVNVILZVQVMV
      NVIURWJVQVCCVKVLVNDQUSUTSTVAVBSTVDVQABCEVEVF $.

    $( Alternate definition of ` tpos ` .  (Contributed by Mario Carneiro,
       4-Oct-2015.) $)
    dftpos4 $p |- tpos F =
        ( F o. ( x e. ( ( _V X. _V ) u. { (/) } ) |-> U. `' { x } ) ) $=
      ( vy vz vw cvv csn cun cv ccnv cuni wss wceq cop wcel wbr wa wex vex wb
      ctpos cxp cmpt ccom cdm df-tpos cres wrel relcnv df-rel mpbi unss1 resmpt
      c0 mp2b resss eqsstrri coss2 ax-mp eqsstri relco opelco eleq1 sneq cnveqd
      unieqd eqeq2d anbi12d anbi2d df-mpt brab wi simplr breldm adantl eqeltrrd
      eqeq1 opswap eleq1i opelcnv bitr4i eleq1d bibi12d mpbiri exlimivv biimpcd
      elvv sylbi elun1 syl6 syl elun2 a1i wo simpll sylib mpjaod simpr eqbrtrrd
      elun jca sylanb brtpos2 sylibr df-br exlimiv relssi eqssi ) BUAZBAFFUBZUN
      GZHZAIZGZJZKZUCZUDZXIBABUEZJZXKHZXPUCZUDZXRABUFYBXQLYCXRLYBXQYAUGZXQXTXJL
      ZYAXLLYDYBMXTUHYEXSUIXTUJUKXTXJXKULAXLYAXPUMUOXQYAUPUQYBXQBURUSUTCDXRXIBX
      QVACIZDIZNZXROYFEIZXQPZYIYGBPZQZERYHXIOZEYFYGBXQCSZDSZVBYLYMEYLYFYGXIPZYM
      YLYFYAOZYFGZJZKZYGBPZQZYPYJYFXLOZYIYTMZQZYKUUBXMXLOZYGXPMZQUUCYGYTMZQUUEA
      DYFYIXQYNESZXMYFMZUUFUUCUUGUUHXMYFXLVCUUJXPYTYGUUJXOYSUUJXNYRXMYFVDVEVFVG
      VHYGYIMUUHUUDUUCYGYIYTVQVIADXLXPVJVKUUEYKQZYQUUAUUKYFXJOZYQYFXKOZUUKYTXSO
      ZUULYQVLUUKYIYTXSUUCUUDYKVMZYKYIXSOUUEYIYGBUUIYOVNVOVPUUNUULYFXTOZYQUULUU
      NUUPUULYFYGYINZMZERDRUUNUUPTZDEYFWGUURUUSDEUURUUSUUQGZJZKZXSOZUUQXTOZTUVC
      YIYGNZXSOUVDUVBUVEXSYGYIVRVSYGYIXSYOUUIVTWAUURUUNUVCUUPUVDUURYTUVBXSUURYS
      UVAUURYRUUTYFUUQVDVEVFWBYFUUQXTVCWCWDWEWHWFYFXTXKWIWJWKUUMYQVLUUKYFXKXTWL
      WMUUKUUCUULUUMWNUUCUUDYKWOYFXJXKWTWPWQUUKYIYTYGBUUOUUEYKWRWSXAXBYGFOYPUUB
      TYOYFYGBFXCUSXDYFYGXIXEWPXFWHXGXH $.

    $( Value of the double transposition for a general class ` F ` .
       (Contributed by Mario Carneiro, 16-Sep-2015.) $)
    tpostpos $p |- tpos tpos F =
        ( F i^i ( ( ( _V X. _V ) u. { (/) } ) X. _V ) ) $=
      ( vz vx vy cvv c0 csn cv ccnv wcel cuni wbr wa wo wb bitrdi eqtrdi breq1d
      vex elv ctpos cxp cun cin reltpos relinxp cdm wrel wss relcnv df-rel mpbi
      vw simpl sselid simpr cop wceq wex elvv opelcnv sneq cnveqd unieqd opswap
      eleq1 anbi12d opex breldm pm4.71ri brtpos bitr3i breq1 exlimivv sylbi iba
      bitr4d bitrd pm5.21nii elsni cnvsn0 uni0 brtpos0 pm5.32i biancomi orbi12i
      sneqd andir andi 3bitr4i elun anbi1i brxp mpbiran2 anbi2i brtpos2 eqbrriv
      bitri brin ) UMBAUAZUAZAEEUBZFGZUCZEUBZUDZWTUEXDEAUFUMHZWTUGZIZXCUCJZXGGZ
      IZKZBHZWTLZMZXGXNALZXGXNXELZMZXGXNXALZXGXNXFLXGXIJZXGXCJZNZXOMZXQXGXBJZYB
      NZMZXPXSYAXOMZYBXOMZNXQYEMZXQYBMZNYDYGYHYJYIYKYHYEYJYHXIXBXGXIUHXIXBUIXHU
      JXIUKULYAXOUNUOXQYEUPYEYHXQYJYEXGCHZDHZUQZURZDUSCUSYHXQOZCDXGUTYOYPCDYOYH
      YNXNALZXQYOYHYMYLUQZXHJZYRXNWTLZMZYQYOYAYSXOYTYOYAYNXIJYSXGYNXIVFYLYMXHCS
      DSVAPYOXMYRXNWTYOXMYNGZIZKYRYOXLUUCYOXKUUBXGYNVBVCVDYLYMVEQRVGUUAYTYQYTYS
      YRXNWTYMYLVHBSZVIVJYTYQOBYMYLXNAEVKTVLPXGYNXNAVMVQVNVOYEXQVPVRVSYIXQYBYBX
      OXQYBXOFXNALZXQYBXOFXNWTLZUUEYBXMFXNWTYBXMFKFYBXLFYBXLXCIFYBXKXCYBXGFXGFV
      TZWGVCWAQVDWBQRUUFUUEOBXNAEWCTPYBXGFXNAUUGRVQWDWEWFYAYBXOWHXQYEYBWIWJXJYC
      XOXGXIXCWKWLXRYFXQXRXGXDJZYFXRUUHXNEJUUDXGXNXDEWMWNXGXBXCWKWRWOWJXTXPOBXG
      XNWTEWPTXGXNAXEWSWJWQ $.

    $( Value of the double transposition for a relation on triples.
       (Contributed by Mario Carneiro, 16-Sep-2015.) $)
    tpostpos2 $p |- ( ( Rel F /\ Rel dom F ) -> tpos tpos F = F ) $=
      ( wrel cdm wa ctpos cvv cxp csn cun cin tpostpos wss relrelss ssun1 xpss1
      c0 wceq ax-mp sstr mpan2 sylbi df-ss sylib eqtrid ) ABACBDZAEEAFFGZPHZIZF
      GZJZAAKUEAUILZUJAQUEAUFFGZLZUKAMUMULUILZUKUFUHLUNUFUGNUFUHFORAULUISTUAAUI
      UBUCUD $.

    $( The domain of a transposition.  (Contributed by NM, 10-Sep-2015.) $)
    tposfn2 $p |- ( Rel A -> ( F Fn A -> tpos F Fn `' A ) ) $=
      ( wrel wfun cdm wceq wa ctpos ccnv wfn wi tposfun a1i dmtpos releq eqeq2d
      cnveq 3imtr3d com12 df-fn anim12d 3imtr4g ) ACZBDZBEZAFZGBHZDZUGEZAIZFZGB
      AJUGUJJUCUDUHUFUKUDUHKUCBLMUFUCUKUFUECZUIUEIZFZUCUKULUNKUFBNMUEAOUFUMUJUI
      UEAQPRSUABATUGUJTUB $.

    $( Condition for a surjective transposition.  (Contributed by NM,
       10-Sep-2015.) $)
    tposfo2 $p |- ( Rel A ->
        ( F : A -onto-> B -> tpos F : `' A -onto-> B ) ) $=
      ( wrel wfn crn wceq wa ctpos ccnv wfo tposfn2 adantrd cdm releqd biimparc
      fndm rntpos syl df-fo eqeq1d biimprd expimpd jcad 3imtr4g ) ADZCAEZCFZBGZ
      HZCIZAJZEZUKFZBGZHABCKULBUKKUFUJUMUOUFUGUMUIACLMUFUGUIUOUFUGHZUOUIUPUNUHB
      UPCNZDZUNUHGUGURUFUGUQAACQOPCRSUAUBUCUDABCTULBUKTUE $.

    $( The domain and range of a transposition.  (Contributed by NM,
       10-Sep-2015.) $)
    tposf2 $p |- ( Rel A -> ( F : A --> B -> tpos F : `' A --> B ) ) $=
      ( wrel wf ccnv ctpos wa crn wfo tposfo2 wfn ffn dffn4 sylib impel fof syl
      wss frn adantl fssd ex ) ADZABCEZAFZBCGZEUDUEHZUFCIZBUGUHUFUIUGJZUFUIUGEU
      DAUICJZUJUEAUICKUECALUKABCMACNOPUFUIUGQRUEUIBSUDABCTUAUBUC $.

    $( Condition for an injective transposition.  (Contributed by NM,
       10-Sep-2015.) $)
    tposf12 $p |- ( Rel A -> ( F : A -1-1-> B -> tpos F : `' A -1-1-> B ) ) $=
      ( vx wrel wf1 ccnv ctpos wa cdm cv csn cuni cmpt wceq wb syl f1eq1 mpbird
      3syl ccom simpr relcnv cnvf1o f1of1 simpl dfrel2 sylib f1eq3 mpbii cnveqd
      wf1o mp2b f1dm mpteq1 f1co syl2anc releqd biimparc dftpos2 ex ) AEZABCFZA
      GZBCHZFZVBVCIZVFVDBCDCJZGZDKLGMZNZUAZFZVGVCVDAVKFZVMVBVCUBZVGVNVDADVDVJNZ
      FZVGVDVDGZVPFZVQVDEVDVRVPULVSAUCDVDUDVDVRVPUEUMVGVRAOZVSVQPVGVBVTVBVCUFAU
      GUHVRAVDVPUIQUJVGVIVDOVKVPOVNVQPVGVHAVGVCVHAOVOABCUNZQUKDVIVDVJUOVDAVKVPR
      TSVDABCVKUPUQVGVHEZVEVLOVFVMPVCWBVBVCVHAWAURUSDCUTVDBVEVLRTSVA $.

    $( Condition of a bijective transposition.  (Contributed by NM,
       10-Sep-2015.) $)
    tposf1o2 $p |- ( Rel A ->
      ( F : A -1-1-onto-> B -> tpos F : `' A -1-1-onto-> B ) ) $=
      ( wrel wf1 wfo wa ccnv ctpos wf1o tposf12 tposfo2 anim12d df-f1o 3imtr4g
      ) ADZABCEZABCFZGAHZBCIZEZSBTFZGABCJSBTJPQUARUBABCKABCLMABCNSBTNO $.

    $( The domain and range of a transposition.  (Contributed by NM,
       10-Sep-2015.) $)
    tposfo $p |- ( F : ( A X. B ) -onto-> C ->
              tpos F : ( B X. A ) -onto-> C ) $=
      ( cxp wfo ccnv ctpos wrel wi relxp tposfo2 ax-mp wceq cnvxp foeq2 sylib
      wb ) ABEZCDFZSGZCDHZFZBAEZCUBFZSITUCJABKSCDLMUAUDNUCUERABOUAUDCUBPMQ $.

    $( The domain and range of a transposition.  (Contributed by NM,
       10-Sep-2015.) $)
    tposf $p |- ( F : ( A X. B ) --> C -> tpos F : ( B X. A ) --> C ) $=
      ( cxp wf ccnv ctpos wrel wi relxp tposf2 ax-mp cnvxp feq2i sylib ) ABEZCD
      FZQGZCDHZFZBAEZCTFQIRUAJABKQCDLMSUBCTABNOP $.

    $( Functionality of a transposition.  (Contributed by Mario Carneiro,
       4-Oct-2015.) $)
    tposfn $p |- ( F Fn ( A X. B ) -> tpos F Fn ( B X. A ) ) $=
      ( cxp cvv wf ctpos wfn tposf dffn2 3imtr4i ) ABDZECFBADZECGZFCLHNMHABECIL
      CJMNJK $.

    $( Transposition of the empty set.  (Contributed by NM, 10-Sep-2015.) $)
    tpos0 $p |- tpos (/) = (/) $=
      ( c0 ctpos wfn wceq ccnv wrel rel0 eqid fn0 mpbir tposfn2 mp2 cnv0 fneq2i
      mpbi ) ABZACZPADPAEZCZQAFAACZSGTAADAHAIJAAKLRAPMNOPIO $.

    $( Transposition of a composition.  (Contributed by Mario Carneiro,
       4-Oct-2015.) $)
    tposco $p |- tpos ( F o. G ) = ( F o. tpos G ) $=
      ( vx ccom cvv cxp c0 csn cun cv ccnv cuni cmpt ctpos coass dftpos4 coeq2i
      3eqtr4i ) ABDZCEEFGHICJHKLMZDABTDZDSNABNZDABTOCSPUBUAACBPQR $.

    $( Two ways to say a function is symmetric.  (Contributed by Mario
       Carneiro, 4-Oct-2015.) $)
    tpossym $p |- ( F Fn ( A X. A ) ->
      ( tpos F = F <-> A. x e. A A. y e. A ( x F y ) = ( y F x ) ) ) $=
      ( cxp ctpos wceq cv co wral wb tposfn eqfnov2 mpancom eqcom ovtpos eqeq2i
      wfn bitri 2ralbii bitrdi ) DCCEZRZDFZDGZAHZBHZUDIZUFUGDIZGZBCJACJZUIUGUFD
      IZGZBCJACJUDUBRUCUEUKKCCDLABCCUDDMNUJUMABCCUJUIUHGUMUHUIOUHULUIUFUGDPQSTU
      A $.
  $}

  ${
    tposeqi.1 $e |- F = G $.
    $( Equality theorem for transposition.  (Contributed by Mario Carneiro,
       10-Sep-2015.) $)
    tposeqi $p |- tpos F = tpos G $=
      ( wceq ctpos tposeq ax-mp ) ABDAEBEDCABFG $.
  $}

  ${
    tposex.1 $e |- F e. _V $.
    $( A transposition is a set.  (Contributed by Mario Carneiro,
       10-Sep-2015.) $)
    tposex $p |- tpos F e. _V $=
      ( cvv wcel ctpos tposexg ax-mp ) ACDAECDBACFG $.
  $}

  ${
    $d x y $.  $d y F $.
    nftpos.1 $e |- F/_ x F $.
    $( Hypothesis builder for transposition.  (Contributed by Mario Carneiro,
       10-Sep-2015.) $)
    nftpos $p |- F/_ x tpos F $=
      ( vy ctpos cvv cxp c0 csn cv ccnv cuni cmpt ccom dftpos4 nfcv nfco nfcxfr
      cun ) ABEBDFFGHISDJIKLMZNDBOABTCATPQR $.
  $}

  ${
    $d a b c x y z $.  $d a b c ph $.
    tposoprab.1 $e |- F = { <. <. x , y >. , z >. | ph } $.
    $( Transposition of a class of ordered triples.  (Contributed by Mario
       Carneiro, 10-Sep-2015.) $)
    tposoprab $p |- tpos F = { <. <. y , x >. , z >. | ph } $=
      ( vb va vc ctpos coprab cv cop wbr tposeqi wceq nfcv nfbr nfv weq dftpos3
      cdm reldmoprab ax-mp nfoprab2 nfoprab1 wa opeq12 ancoms breq1d cbvoprab12
      wrel nfoprab3 breq2 df-br oprabidw bitri bitrdi cbvoprab3 eqtri 3eqtri
      wcel ) EJABCDKZJZGLZHLZMZILZVCNZHGIKZACBDKZEVCFOVCUBULVDVJPABCDUCHGIVCUAU
      DVJBLZCLZMZVHVCNZCBIKVKVIVOHGICBCVGVHVCCVGQABCDUECVHQRBVGVHVCBVGQABCDUFBV
      HQRVOHSVOGSHCTZGBTZUGVGVNVHVCVQVPVGVNPVEVFVLVMUHUIUJUKVOACBIDDVNVHVCDVNQA
      BCDUMDVHQRAISIDTVOVNDLZVCNZAVHVRVNVCUNVSVNVRMVCVBAVNVRVCUOABCDUPUQURUSUTV
      A $.
  $}

  ${
    $d x y z $.  $d z A $.  $d z B $.  $d z C $.
    tposmpo.1 $e |- F = ( x e. A , y e. B |-> C ) $.
    $( Transposition of a two-argument mapping.  (Contributed by Mario
       Carneiro, 10-Sep-2015.) $)
    tposmpo $p |- tpos F = ( y e. B , x e. A |-> C ) $=
      ( vz ctpos cv wcel wceq coprab cmpo df-mpo ancom anbi1i oprabbii 3eqtri
      wa tposoprab eqtr4i ) FIBJDKZAJCKZTZHJELZTZBAHMBADCENUGABHFFABCDENUDUCTZU
      FTZABHMUGABHMGABHCDEOUIUGABHUHUEUFUDUCPQRSUABAHDCEOUB $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.
    $( The transposition of a constant operation using the relation
       representation.  (Contributed by SO, 11-Jul-2018.) $)
    tposconst $p |- tpos ( ( A X. B ) X. { C } ) = ( ( B X. A ) X. { C } ) $=
      ( vy vx cxp csn ctpos cmpo fconstmpo tposmpo eqtr4i ) ABFCGZFZHDEBACIBAFM
      FEDABCNEDABCJKDEBACJL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Curry and uncurry
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c curry $.
  $c uncurry $.

  $( Extend class notation to include the currying function. $)
  ccur $a class curry A $.

  $( Extend class notation to include the uncurrying function. $)
  cunc $a class uncurry A $.

  ${
    $d x y z F $.
    $( Define the currying of ` F ` , which splits a function of two arguments
       into a function of the first argument, producing a function over the
       second argument.  (Contributed by Mario Carneiro, 7-Jan-2017.) $)
    df-cur $a |- curry F = ( x e. dom dom F |->
      { <. y , z >. | <. x , y >. F z } ) $.

    $( Define the uncurrying of ` F ` , which takes a function producing
       functions, and transforms it into a two-argument function.  (Contributed
       by Mario Carneiro, 7-Jan-2017.) $)
    df-unc $a |- uncurry F = { <. <. x , y >. , z >. | y ( F ` x ) z } $.
  $}

  ${
    $d C a b $.  $d C z $.  $d F x y z $.  $d V x y z $.  $d X a b $.
    $d X x y z $.  $d Y a b $.  $d Y x y z $.  $d ph a b x y $.  $d ph z $.
    mpocurryd.f $e |- F = ( x e. X , y e. Y |-> C ) $.
    mpocurryd.c $e |- ( ph -> A. x e. X A. y e. Y C e. V ) $.
    mpocurryd.n $e |- ( ph -> Y =/= (/) ) $.
    $( The currying of an operation given in maps-to notation, splitting the
       operation (function of two arguments) into a function of the first
       argument, producing a function over the second argument.  (Contributed
       by AV, 27-Oct-2019.) $)
    mpocurryd $p |- ( ph -> curry F = ( x e. X |-> ( y e. Y |-> C ) ) ) $=
      ( vz va vb cv cmpt wcel wceq wa weq ccur cdm cop wbr copab df-cur dmmpoga
      cxp wral syl dmeqd c0 wne dmxp eqtrd mpteq1d df-mpt cfv wfun wb funbrfv2b
      mpofun mp1i adantr eleq2d opelxp bitrdi anbi1d an21 ibar bicomd adantl co
      df-ov csb cmpo nfcv nfcsb1v nfcsbw csbeq1a sylan9eq cbvmpo eqcomd equcoms
      eqtri a1i csbeq2dv simpr wi rsp2 impl ovmpod eqtr3id eqcom bitrd pm5.32da
      eqeq1d syl5bb 3bitrrd opabbidv eqtr2id mpteq2dva eqtrid ) AEUABEUBZUBZBOZ
      COZUCZLOZEUDZCLUEZPZBGCHDPZPZBCLEUFAXLBGXKPXNABXEGXKAXEGHUHZUBZGAXDXOADFQ
      ZCHUIBGUIZXDXORZJBCGHDEFIUGUJZUKAHULUMXPGRKGHUNUJUOUPABGXKXMAXFGQZSZXMXGH
      QZXIDRZSZCLUEXKCLHDUQYBYEXJCLYBXJXHXDQZXHEURZXIRZSZYAYCSZYHSZYEEUSXJYIUTY
      BBCGHDEIVBXHXIEVAVCYBYFYJYHYBYFXHXOQYJYBXDXOXHAXSYAXTVDVEXFXGGHVFVGVHYKYC
      YAYHSZSYBYEYAYCYHVIYBYCYLYDYBYCSZYLYHYDYBYLYHUTZYCYAYNAYAYHYLYAYHVJVKVLVD
      YMYHDXIRYDYMYGDXIYMYGXFXGEVMDXFXGEVNYMMNXFXGGHCNOZBMOZDVOZVOZDEFEMNGHYRVP
      ZRYMEBCGHDVPYSIBCMNGHDYRMDVQNDVQBCYOYQBYOVQBYPDVRVSCYOYQVRBMTZCNTZDYQYRBY
      PDVTZCYOYQVTWAWBWEWFMBTZNCTZSYRDRYMUUCUUDYRCYODVOZDUUCCYOYQDYQDRBMYTDYQUU
      BWCWDWGUUEDRCNUUADUUECYODVTWCWDWAVLYBYAYCAYAWHVDYBYCWHAYAYCXQAXRYJXQWIJXQ
      BCGHWJUJWKWLWMWQDXIWNVGWOWPWRWSWTXAXBUOXC $.

    $d A a x y $.
    mpocurryvald.y $e |- ( ph -> Y e. W ) $.
    mpocurryvald.a $e |- ( ph -> A e. X ) $.
    $( The value of a curried operation given in maps-to notation is a function
       over the second argument of the original operation.  (Contributed by AV,
       27-Oct-2019.) $)
    mpocurryvald $p |- ( ph -> ( curry F ` A )
                                 = ( y e. Y |-> [_ A / x ]_ C ) ) $=
      ( va csb cmpt nfcv mpteq2dv cv cvv mpocurryd nfcsb1v nfmpt csbeq1a cbvmpt
      ccur weq eqtrdi wceq wa csbeq1 adantl mptexd fvmptd ) APDCJBPUAZEQZRZCJBD
      EQZRIFUHZUBAVABICJERZRPIUSRABCEFGIJKLMUCBPIVBUSPVBSBCJURBJSBUQEUDUEBPUICJ
      EURBUQEUFTUGUJAUQDUKZULCJURUTVCURUTUKABUQDEUMUNTOACJUTHNUOUP $.
  $}

  ${
    $d A a b x y $.  $d B a b x y $.  $d C a b $.  $d F a b $.  $d V a b x y $.
    $d X a b x y $.  $d Y a b x y $.  $d ph a b x y $.
    fvmpocurryd.f $e |- F = ( x e. X , y e. Y |-> C ) $.
    fvmpocurryd.c $e |- ( ph -> A. x e. X A. y e. Y C e. V ) $.
    fvmpocurryd.y $e |- ( ph -> Y e. W ) $.
    fvmpocurryd.a $e |- ( ph -> A e. X ) $.
    fvmpocurryd.b $e |- ( ph -> B e. Y ) $.
    $( The value of the value of a curried operation given in maps-to notation
       is the operation value of the original operation.  (Contributed by AV,
       27-Oct-2019.) $)
    fvmpocurryd $p |- ( ph -> ( ( curry F ` A ) ` B ) = ( A F B ) ) $=
      ( vb va csb wcel cv cmpt cfv ccur wceq csbcom csbcow csbeq2i eqtri 3eqtri
      co wral wa nfcsb1v nfel1 csbeq1a eleq1d imp syl21anc eqeltrid eqid fvmpts
      rspc2 syl2anc cmpo nfcv nfcsbw weq sylan9eq mpan9 ralrimivva mpocurryvald
      cbvmpo ne0d fveq1d a1i csbid eqtr2i csbeq2dv 3eqtr3g csbeq1 adantr adantl
      eqtrd eqidd nfv nfcxfr ovmpodxf 3eqtr4d ) AEQKRDCQUAZBRUAZFSZSZSZUBZUCZQE
      WNSZEDGUDUCZUCDEGUKAEKTZWQHTWPWQUEPAWQCEBDFSZSZHWQRDQEWMSZSRDCEWLSZSZXAQR
      EDWMUFRDXBXCCQEWLUGUHXDCERDWLSZSXARCDEWLUFCEXEWTBRDFUGUHUIUJZADJTZWSFHTZC
      KULBJULZXAHTZOPMXGWSUMXIXJXHXJWTHTBCDEJKBWTHBDFUNUOCXAHCEWTUNZUOBUAZDUEZF
      WTHBDFUPUQCUAZEUEZWTXAHCEWTUPUQVCURUSUTZQEWNKWOHWOVAVBVDAEWRWOARQDWMGHIJK
      GBCJKFVEZRQJKWMVELBCRQJKFWMRFVFQFVFBCWJWLBWJVFBWKFUNZVGZCWJWLUNZBRVHZCQVH
      ZFWLWMBWKFUPZCWJWLUPZVIVMUIAWMHTZRQJKAXIWKJTWJKTUMYEMXHYEWLHTBCWKWJJKBWLH
      XRUOCWMHXTUOYAFWLHYCUQYBWLWMHYDUQVCVJVKAKEPVNNOVLVOABCDEJKFWQGKHGXQUEALVP
      AXMXOUMZFQXNRXLWMSZSZWQARXLWLSZRXLQXNWMSZSFYHARXLWLYJWLYJUEAYJCXNWLSWLCQX
      NWLUGCWLVQVRVPVSYIBXLFSFBRXLFUGBFVQUIRQXLXNWMUFVTYFYHQXNWNSZWQYFQXNYGWNXM
      YGWNUEXORXLDWMWAWBVSXOYKWQUEXMQXNEWNWAWCWDVIAXMUMKWEOPXPABWFACWFCDVFBEVFZ
      BQEWNYLBRDWMBDVFXSVGVGCWQXAXFXKWGWHWI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Undefined values
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Undef $.

  $( Extend class notation with undefined value function. $)
  cund $a class Undef $.

  $( Define the undefined value function, whose value at set ` s ` is
     guaranteed not to be a member of ` s ` (see ~ pwuninel ).  (Contributed by
     NM, 15-Sep-2011.) $)
  df-undef $a |- Undef = ( s e. _V |-> ~P U. s ) $.

  $( Direct proof of ~ pwuninel avoiding functions and thus several ZF axioms.
     (Contributed by Stefan O'Rear, 22-Feb-2015.) $)
  pwuninel2 $p |- ( U. A e. V -> -. ~P U. A e. A ) $=
    ( cuni wcel cpw wss pwnss elssuni nsyl ) ACZBDJEZJFKADJBGKAHI $.

  $( The power set of the union of a set does not belong to the set.  This
     theorem provides a way of constructing a new set that doesn't belong to a
     given set.  See also ~ pwuninel2 .  (Contributed by NM, 27-Jun-2008.)
     (Proof shortened by Mario Carneiro, 23-Dec-2016.) $)
  pwuninel $p |- -. ~P U. A e. A $=
    ( cuni cpw wcel wn cvv pwexr pwuninel2 syl id pm2.61i ) ABZCADZMEZMLFDNLAGA
    FHINJK $.

  ${
    $d s S $.
    $( Value of the undefined value function.  Normally we will not reference
       the explicit value but will use ~ undefnel instead.  (Contributed by NM,
       15-Sep-2011.)  (Revised by Mario Carneiro, 24-Dec-2016.) $)
    undefval $p |- ( S e. V -> ( Undef ` S ) = ~P U. S ) $=
      ( vs wcel cuni cpw cvv cund df-undef wceq unieq pweqd elex uniexg fvmptd3
      cv pwexd ) ABDZCACPZEZFAEZFGHGCISAJTUASAKLABMRUAGABNQO $.
  $}

  $( The undefined value generated from a set is not a member of the set.
     (Contributed by NM, 15-Sep-2011.) $)
  undefnel2 $p |- ( S e. V -> -. ( Undef ` S ) e. S ) $=
    ( wcel cund cfv cuni cpw pwuninel undefval eleq1d mtbiri ) ABCZADEZACAFGZAC
    AHLMNAABIJK $.

  $( The undefined value generated from a set is not a member of the set.
     (Contributed by NM, 15-Sep-2011.) $)
  undefnel $p |- ( S e. V -> ( Undef ` S ) e/ S ) $=
    ( wcel cund cfv wn wnel undefnel2 df-nel sylibr ) ABCADEZACFKAGABHKAIJ $.
  $( The undefined value generated from a set is not empty.  (Contributed by
     NM, 3-Sep-2018.) $)
  undefne0 $p |- ( S e. V -> ( Undef ` S ) =/= (/) ) $=
    ( wcel cund cfv cuni cpw c0 undefval wne pwne0 a1i eqnetrd ) ABCZADEAFZGZHA
    BIPHJNOKLM $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Well-founded recursion
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constant symbols. $)
  $c frecs $.

  $( Declare the syntax for the well-founded recursion generator.  See
     ~ df-frecs . $)
  cfrecs $a class frecs ( R , A , F ) $.

  ${
    $d R f x y $.  $d A f x y $.  $d F f x y $.
    $( This is the definition for the well-founded recursion generator.
       Similar to ~ df-wrecs and ~ df-recs , it is a direct definition form of
       normally recursive relationships.  Unlike the former two definitions, it
       only requires a well-founded set-like relationship for its properties,
       not a well-ordered relationship.  This proof requires either a partial
       order or the axiom of infinity.  We develop the theorems twice, once
       with a partial order and once without.  The second development occurs
       later in the database, after ~ ax-inf has been introduced.  (Contributed
       by Scott Fenton, 23-Dec-2021.) $)
    df-frecs $a |- frecs ( R , A , F ) = U. { f | E. x ( f Fn x /\ ( x C_ A /\
               A. y e. x Pred ( R , A , y ) C_ x ) /\
               A. y e. x ( f ` y ) = ( y F ( f |` Pred ( R , A , y ) ) ) ) } $.
  $}

  ${
    $d R f x y $.  $d S f x y $.  $d A f x y $.  $d B f x y $.  $d F f x y $.
    $d G f x y $.
    $( Equality theorem for the well-founded recursion generator.  (Contributed
       by Scott Fenton, 23-Dec-2021.) $)
    frecseq123 $p |- ( ( R = S /\ A = B /\ F = G ) ->
      frecs ( R , A , F ) = frecs ( S , B , G ) ) $=
      ( vf vx vy wceq w3a cv wss cpred wral wa cres co wex cab wfn cfrecs simp2
      cfv cuni sseq2d weq equid predeq123 mp3an3 3adant3 sseq1d ralbidv anbi12d
      simp3 oveqd reseq2d oveq2d eqeq2d 3anbi23d exbidv abbidv df-frecs 3eqtr4g
      eqtrd unieqd ) CDJZABJZEFJZKZGLZHLZUAZVLAMZACILZNZVLMZIVLOZPZVOVKUDZVOVKV
      PQZERZJZIVLOZKZHSZGTZUEVMVLBMZBDVONZVLMZIVLOZPZVTVOVKWIQZFRZJZIVLOZKZHSZG
      TZUEACEUBBDFUBVJWGWSVJWFWRGVJWEWQHVJVSWLWDWPVMVJVNWHVRWKVJABVLVGVHVIUCUFV
      JVQWJIVLVJVPWIVLVGVHVPWIJZVIVGVHIIUGWTIUHABCDVOVOUIUJUKZULUMUNVJWCWOIVLVJ
      WBWNVTVJWBVOWAFRWNVJEFVOWAVGVHVIUOUPVJWAWMVOFVJVPWIVKXAUQURVEUSUMUTVAVBVF
      HIACGEVCHIBDGFVCVD $.
  $}

  ${
    $d R f y z $.  $d A f y z $.  $d F f y z $.  $d x f y z $.
    nffrecs.1 $e |- F/_ x R $.
    nffrecs.2 $e |- F/_ x A $.
    nffrecs.3 $e |- F/_ x F $.
    $( Bound-variable hypothesis builder for the well-founded recursion
       generator.  (Contributed by Scott Fenton, 23-Dec-2021.) $)
    nffrecs $p |- F/_ x frecs ( R , A , F ) $=
      ( vf vy vz cfrecs cv wfn wss cpred wral wa nfcv nfss nfralw cfv cres wceq
      co w3a wex cab cuni df-frecs nfpred nfan nfres nfov nfeq2 nf3an nfex nfab
      nfv nfuni nfcxfr ) ABCDKHLZILZMZVBBNZBCJLZOZVBNZJVBPZQZVEVAUAZVEVAVFUBZDU
      DZUCZJVBPZUEZIUFZHUGZUHIJBCHDUIAVQVPAHVOAIVCVIVNAVCAURVDVHAAVBBAVBRZFSVGA
      JVBVRAVFVBABCVEEFAVERZUJZVRSTUKVMAJVBVRAVJVLAVEVKDVSGAVAVFAVARVTULUMUNTUO
      UPUQUSUT $.
  $}

  ${
    $d A w y z $.  $d F w y z $.  $d G w y z $.  $d H w y z $.  $d R w y z $.
    $( Functions defined by well-founded recursion over a partial order are
       identical up to relation, domain, and characteristic function.  This
       version of ~ frr3g does not require infinity.  (Contributed by Scott
       Fenton, 24-Aug-2022.) $)
    fpr3g $p |- ( ( ( R Fr A /\ R Po A /\ R Se A ) /\
                     ( F Fn A /\
                       A. y e. A ( F ` y ) =
                                 ( y H ( F |` Pred ( R , A , y ) ) ) ) /\
                     ( G Fn A /\
                       A. y e. A ( G ` y ) =
                                 ( y H ( G |` Pred ( R , A , y ) ) ) ) )
                   -> F = G ) $=
      ( vz vw w3a wfn cv cfv cres co wceq wral wa wi fveq2 eqeq12d wfr wpo wcel
      wse cpred eqidd r19.21v simprll simprrl wss predss fvreseq mpan2 biimp3ar
      wb syl2anc oveq2d predeq3 reseq2d oveq12d simp2lr rspcdva simp2rr 3eqtr4d
      weq id simp1 3exp a2d syl5bi imbi2d frpoins2g sylib 3impib simp2l eqfnfv2
      simp3l mpbir2and ) BCUABCUBBCUDIZDBJZAKZDLZWADBCWAUEZMZFNZOZABPZQZEBJZWAE
      LZWAEWCMZFNZOZABPZQZIZDEOZBBOZGKZDLZWSELZOZGBPZWPBUFVSWHWOXCVSWHWOQZXBRZG
      BPXDXCRXEXDHKZDLZXFELZOZRZGHBCXJHBCWSUEZPXDXIHXKPZRWSBUCZXEXDXIHXKUGXMXDX
      LXBXMXDXLXBXMXDXLIZWSDXKMZFNZWSEXKMZFNZWTXAXNXOXQWSFXMXDXOXQOZXLXMXDQVTWI
      XSXLUOZXMVTWGWOUHXMWHWIWNUIVTWIQXKBUJXTBCWSUKHBXKDEULUMUPUNUQXNWFWTXPOABW
      SAGVEZWBWTWEXPWAWSDSYAWAWSWDXOFYAVFZYAWCXKDBCWAWSURZUSUTTVTWGWOXMXLVAXMXD
      XLVGZVBXNWMXAXROABWSYAWJXAWLXRWAWSESYAWAWSWKXQFYBYAWCXKEYCUSUTTWIWNWHXMXL
      VCYDVBVDVHVIVJGHVEZXBXIXDYEWTXGXAXHWSXFDSWSXFESTVKVLXDXBGBUGVMVNWPVTWIWQW
      RXCQUOVSVTWGWOVOVSWHWIWNVQGBBDEVPUPVR $.
  $}

  ${
    $d A f g w x y z $.  $d f G g w x y z $.  $d R f g w x y z $.
    frrlem1.1 $e |- B = { f | E. x ( f Fn x /\
                           ( x C_ A /\ A. y e. x Pred ( R , A , y ) C_ x ) /\
                             A. y e. x ( f ` y ) =
                                     ( y G ( f |` Pred ( R , A , y ) ) ) ) } $.
    $( Lemma for well-founded recursion.  The final item we are interested in
       is the union of acceptable functions ` B ` .  This lemma just changes
       bound variables for later use.  (Contributed by Paul Chapman,
       21-Apr-2012.) $)
    frrlem1 $p |- B = { g | E. z ( g Fn z /\
                         ( z C_ A /\ A. w e. z Pred ( R , A , w ) C_ z ) /\
                           A. w e. z ( g ` w ) =
                                   ( w G ( g |` Pred ( R , A , w ) ) ) ) } $=
      ( cv wfn wss wral cfv cres co wceq w3a cpred wa wex cab weq reseq1 oveq2d
      fneq1 fveq1 eqeq12d ralbidv 3anbi13d fneq2 sseq1 sseq2 raleqbi1dv predeq3
      exbidv sseq1d cbvralvw bitrdi anbi12d raleq fveq2 reseq2d oveq12d cbvexvw
      id 3anbi123d cbvabv eqtri ) FHLZALZMZVMENZEGBLZUAZVMNZBVMOZUBZVPVLPZVPVLV
      QQZJRZSZBVMOZTZAUCZHUDILZCLZMZWIENZEGDLZUAZWINZDWIOZUBZWLWHPZWLWHWMQZJRZS
      ZDWIOZTZCUCZIUDKWGXCHIHIUEZWGWHVMMZVTVPWHPZVPWHVQQZJRZSZBVMOZTZAUCXCXDWFX
      KAXDVNXEWEXJVTVMVLWHUHXDWDXIBVMXDWAXFWCXHVPVLWHUIXDWBXGVPJVLWHVQUFUGUJUKU
      LURXKXBACACUEZXEWJVTWPXJXAVMWIWHUMXLVOWKVSWOVMWIEUNXLVSVQWINZBWIOWOVRXMBV
      MWIVMWIVQUOUPXMWNBDWIBDUEZVQWMWIEGVPWLUQZUSUTVAVBXLXJXIBWIOXAXIBVMWIVCXIW
      TBDWIXNXFWQXHWSVPWLWHVDXNVPWLXGWRJXNVHXNVQWMWHXOVEVFUJUTVAVIVGVAVJVK $.

    $( Lemma for well-founded recursion.  An acceptable function is a function.
       (Contributed by Paul Chapman, 21-Apr-2012.) $)
    frrlem2 $p |- ( g e. B -> Fun g ) $=
      ( vz vw cv wcel wfn wss cpred wral wa cfv cres co wceq w3a frrlem1 abeq2i
      wex wfun fnfun 3ad2ant1 exlimiv sylbi ) GLZDMULJLZNZUMCOCEKLZPZUMOKUMQRZU
      OULSUOULUPTHUAUBKUMQZUCZJUFZULUGZUTGDABJKCDEFGHIUDUEUSVAJUNUQVAURUMULUHUI
      UJUK $.

    $( Lemma for well-founded recursion.  An acceptable function's domain is a
       subset of ` A ` .  (Contributed by Paul Chapman, 21-Apr-2012.) $)
    frrlem3 $p |- ( g e. B -> dom g C_ A ) $=
      ( vz vw cv wcel wfn wss cpred wral wa cfv cres co wceq w3a wex cdm abeq2i
      frrlem1 fndm sseq1d biimpar adantrr 3adant3 exlimiv sylbi ) GLZDMUOJLZNZU
      PCOZCEKLZPZUPOKUPQZRZUSUOSUSUOUTTHUAUBKUPQZUCZJUDZUOUEZCOZVEGDABJKCDEFGHI
      UGUFVDVGJUQVBVGVCUQURVGVAUQVGURUQVFUPCUPUOUHUIUJUKULUMUN $.
  $}

  ${
    $d A a f g $.  $d A a h x y $.  $d B a $.  $d f h x y $.  $d G a f g $.
    $d G h $.  $d G g x y $.  $d R a f g $.  $d R h x y $.  $d A a f g b c $.
    $d h x y b c $.  $d G b c $.  $d R b c $.
    frrlem4.1 $e |- B = { f | E. x ( f Fn x /\
                            ( x C_ A /\ A. y e. x Pred ( R , A , y ) C_ x ) /\
                              A. y e. x ( f ` y ) =
                                     ( y G ( f |` Pred ( R , A , y ) ) ) ) } $.
    $( Lemma for well-founded recursion.  Properties of the restriction of an
       acceptable function to the domain of another acceptable function.
       (Contributed by Paul Chapman, 21-Apr-2012.) $)
    frrlem4 $p |- ( ( g e. B /\ h e. B ) ->
       ( ( g |` ( dom g i^i dom h ) ) Fn ( dom g i^i dom h ) /\
         A. a e. ( dom g i^i dom h ) ( ( g |` ( dom g i^i dom h ) ) ` a ) =
            ( a G ( ( g |` ( dom g i^i dom h ) ) |`
                    Pred ( R , ( dom g i^i dom h ) , a ) ) ) ) ) $=
      ( vb vc cv wcel wa cres wceq wral wss cdm cin wfn cpred co frrlem2 funfnd
      cfv fnresin1 syl adantr w3a wex frrlem1 fndm raleqdv biimp3ar rsp exlimiv
      wi abeq2i sylbi elinel1 impel adantlr simpr fvresd resres predss exdistrv
      sseqin2 mpbi inss1 simpl2l sstrid simp2r nfan wel syl5com elinel2 anim12d
      nfra1 biimpi syl6com ralrimi syl2an wb simpl1 simpr1 ineq12 sseq1d sseq2d
      ssin fndmd raleqbidv anbi12d syl2anc mpbir2and exlimivv sylbir preddowncl
      syl2anb sylc eqtrid reseq2d oveq2d 3eqtr4d ralrimiva jca ) GNZDOZHNZDOZPZ
      XJXJUAZXLUAZUBZQZXQUCZJNZXRUHZXTXRXQEXTUDZQZIUEZRZJXQSXKXSXMXKXJXOUCXSXKX
      JABCDEFGIKUFUGXOXPXJUIUJUKXNYEJXQXNXTXQOZPZXTXJUHZXTXJCEXTUDZQZIUEZYAYDXK
      YFYHYKRZXMXKXTXOOZYLYFXKXJLNZUCZYNCTZYIYNTZJYNSZPZYLJYNSZULZLUMZYMYLUTZUU
      BGDABLJCDEFGIKUNVAZUUAUUCLUUAYLJXOSZUUCYOYSUUEYTYOYSPYLJXOYNYOXOYNRZYSYNX
      JUOUKUPUQYLJXOURUJUSVBXTXOXPVCVDVEYGXTXQXJXNYFVFZVGYGYCYJXTIYGYCXJXQYBUBZ
      QYJXJXQYBVHYGUUHYIXJYGUUHYBYIYBXQTUUHYBRXQEXTVIYBXQVKVLYGXQCTZYIXQTZJXQSZ
      PZYFYBYIRXNUULYFXKUUBXLMNZUCZUUMCTZYIUUMTZJUUMSZPZXTXLUHXTXLYIQIUERJUUMSZ
      ULZMUMZUULXMUUDUVAHDABMJCDEFHIKUNVAUUBUVAPUUAUUTPZMUMLUMUULUUAUUTLMVJUVBU
      ULLMUVBUULYNUUMUBZCTZYIUVCTZJUVCSZUVBUVCYNCYNUUMVMYPYRYOYTUUTVNVOUUAYRUUQ
      UVFUUTYOYPYRYTVPUUNUUOUUQUUSVPYRUUQPZUVEJUVCYRUUQJYQJYNWBUUPJUUMWBVQXTUVC
      OZUVGYQUUPPZUVEUVHYRYQUUQUUPUVHJLVRYRYQXTYNUUMVCYQJYNURVSUVHJMVRUUQUUPXTY
      NUUMVTUUPJUUMURVSWAUVIUVEYIYNUUMWMWCWDWEWFUVBUUFXPUUMRZUULUVDUVFPWGUVBYNX
      JYOYSYTUUTWHWNUVBUUMXLUUAUUNUURUUSWIWNUUFUVJPZUUIUVDUUKUVFUVKXQUVCCXOYNXP
      UUMWJZWKUVKUUJUVEJXQUVCUVLUVKXQUVCYIUVLWLWOWPWQWRWSWTXBUKUUGJCXQEXTXAXCXD
      XEXDXFXGXHXI $.
  $}

  ${
    $d A f g x y $.  $d G f g x y $.  $d R f g x y $.  $d B g $.
    frrlem5.1 $e |- B = { f | E. x ( f Fn x /\
                            ( x C_ A /\ A. y e. x Pred ( R , A , y ) C_ x ) /\
                            A. y e. x ( f ` y ) =
                                    ( y G ( f |` Pred ( R , A , y ) ) ) ) } $.
    frrlem5.2 $e |- F = frecs ( R , A , G ) $.
    $( Lemma for well-founded recursion.  State the well-founded recursion
       generator in terms of the acceptable functions.  (Contributed by Scott
       Fenton, 27-Aug-2022.) $)
    frrlem5 $p |- F = U. B $=
      ( cfrecs cv wfn wss cpred wral wa cfv cres cuni wceq w3a wex cab df-frecs
      co unieqi 3eqtr4i ) CEHKFLZALZMUJCNCEBLZOZUJNBUJPQUKUIRUKUIULSHUFUABUJPUB
      AUCFUDZTGDTABCEFHUEJDUMIUGUH $.

    $( Lemma for well-founded recursion.  The well-founded recursion generator
       is a relationship.  (Contributed by Scott Fenton, 27-Aug-2022.) $)
    frrlem6 $p |- Rel F $=
      ( vg wrel cv cuni wral frrlem5 releqi reluni bitri wcel wfun frrlem2 syl
      funrel mprgbir ) GLZKMZLZKDUFDNZLUHKDOGUIABCDEFGHIJPQKDRSUGDTUGUAUHABCDEF
      KHIUBUGUDUCUE $.

    $( Lemma for well-founded recursion.  The well-founded recursion
       generator's domain is a subclass of ` A ` .  (Contributed by Scott
       Fenton, 27-Aug-2022.) $)
    frrlem7 $p |- dom F C_ A $=
      ( vg cdm wss cv ciun wral cuni frrlem5 dmeqi dmuni sseq1i frrlem3 mprgbir
      eqtri iunss bitri ) GLZCMZKNLZCMZKDUHKDUIOZCMUJKDPUGUKCUGDQZLUKGULABCDEFG
      HIJRSKDTUDUAKDUICUEUFABCDEFKHIUBUC $.

    $d F a g w y $.  $d A a f x w y z $.  $d R a w y z $.  $d R a w y z $.
    $d G a g z $.
    $( Lemma for well-founded recursion. ` dom F ` is closed under predecessor
       classes.  (Contributed by Scott Fenton, 6-Dec-2022.) $)
    frrlem8 $p |- ( z e. dom F -> Pred ( R , A , z ) C_ dom F ) $=
      ( vw vg va cv wcel wex wss wa exlimiv cdm cop cpred vex wfn wral cfv cres
      eldm2 wceq w3a cab cuni frrlem5 frrlem1 unieqi eqtri eleq2i eluniab bitri
      co wel simpr2r opeldm adantr simpr1 fndmd eleqtrd rsp sylc sseqtrrd 19.8a
      abeq2i sylibr adantl elssuni syl sseqtrrdi dmss sstrd expcom impcom sylbi
      wi ) COZHUAZPWELOZUBZHPZLQDFWEUCZWFRZLWEHCUDZUIWIWKLWIWHMOZPZWMNOZUEZWODR
      ZWJWORZCWOUFZSZWEWMUGWEWMWJUHIVAUJCWOUFZUKZNQZSZMQZWKWIWHXCMULZUMZPXEHXGW
      HHEUMZXGABDEFGHIJKUNZEXFABNCDEFGMIJUOZUPUQURXCMWHUSUTXDWKMXCWNWKXBWNWKWDN
      WNXBWKWNXBSZWJWMUAZWFXKWJWOXLXKWSCNVBWRWQWSWPXAWNVCXKWEXLWOWNWEXLPXBWEWGW
      MWLLUDVDVEXKWOWMWNWPWTXAVFVGZVHWRCWOVIVJXMVKXKWMHRXLWFRXKWMXHHXKWMEPZWMXH
      RXBXNWNXBXCXNXBNVLXCMEXJVMVNVOWMEVPVQXIVRWMHVSVQVTWATWBTWCTWC $.
  $}

  ${
    $d A f x y z $.  $d G f x y z $.  $d R f x y z $.  $d B g h z $.
    $d F x u v z $.  $d ph f z $.  $d F f $.  $d ph g h x u v $.
    frrlem9.1 $e |- B = { f | E. x ( f Fn x /\
                            ( x C_ A /\ A. y e. x Pred ( R , A , y ) C_ x ) /\
                            A. y e. x ( f ` y ) =
                                    ( y G ( f |` Pred ( R , A , y ) ) ) ) } $.
    frrlem9.2 $e |- F = frecs ( R , A , G ) $.
    frrlem9.3 $e |- ( ( ph /\ ( g e. B /\ h e. B ) ) ->
    ( ( x g u /\ x h v ) -> u = v ) ) $.
    $( Lemma for well-founded recursion.  Show that the well-founded recursive
       generator produces a function.  Hypothesis three will be eliminated
       using different induction rules depending on if we use partial orders or
       the axiom of infinity.  (Contributed by Scott Fenton, 27-Aug-2022.) $)
    frrlem9 $p |- ( ph -> Fun F ) $=
      ( cv wbr wrex wcel wa weq wi wal wfun cop cuni eluni2 df-br frrlem5 bitri
      eleq2i rexbii 3bitr4i anbi12i reeanv bitr4i alrimiv alrimivv wrel frrlem6
      rexlimdvva syl5bi dffun2 mpbiran sylibr ) ABQZEQZLRZVGDQZLRZUAZEDUBZUCZDU
      DZEUDBUDZLUEZAVOBEAVNDVLVGVHJQZRZVGVJKQZRZUAZKGSJGSZAVMVLVSJGSZWAKGSZUAWC
      VIWDVKWEVGVHUFZGUGZTZWFVRTZJGSVIWDJWFGUHVIWFLTWHVGVHLUILWGWFBCFGHILMNOUJZ
      ULUKVSWIJGVGVHVRUIUMUNVGVJUFZWGTZWKVTTZKGSVKWEKWKGUHVKWKLTWLVGVJLUILWGWKW
      JULUKWAWMKGVGVJVTUIUMUNUOVSWAJKGGUPUQAWBVMJKGGPVBVCURUSVQLUTVPBCFGHILMNOV
      ABEDLVDVEVF $.

    $( Lemma for well-founded recursion.  Under the compatibility hypothesis,
       compute the value of ` F ` within its domain.  (Contributed by Scott
       Fenton, 6-Dec-2022.) $)
    frrlem10 $p |- ( ( ph /\ y e. dom F ) ->
     ( F ` y ) = ( y G ( F |` Pred ( R , A , y ) ) ) ) $=
      ( vz cv wcel wss cdm cfv cpred cres co wceq cop wex vex eldm2 wfn wral wa
      w3a cuni frrlem5 unieqi eqtri eleq2i eluniab bitri wi 19.8a 3ad2ant2 abid
      cab sylibr elssuni syl sseqtrrdi wel simpl23 simpl3 simpl21 fndmd eleqtrd
      opeldm rsp sylc wfun simpl1 frrlem9 simpr funssfv syl3anc adantr sseqtrrd
      simp22r fun2ssres oveq2d 3eqtr4d mpdan 3exp exlimdv impcomd syl5bi imp )
      ACRZLUASZWRLUBZWRLFHWRUCZUDZMUEZUFZWSWRQRZUGZLSZQUHAXDQWRLCUIZUJAXGXDQXGX
      FIRZSZXIBRZUKZXKFTZXAXKTZCXKULZUMZWRXIUBZWRXIXAUDZMUEZUFZCXKULZUNZBUHZUMZ
      IUHZAXDXGXFYCIVFZUOZSYELYGXFLGUOYGBCFGHILMNOUPGYFNUQURZUSYCIXFUTVAAYDXDIA
      YCXJXDAYBXJXDVBBAYBXJXDAYBXJUNZXILTZXDYIXIYGLYIXIYFSZXIYGTYIYCYKYBAYCXJYB
      BVCVDYCIVEVGXIYFVHVIYHVJYIYJUMZXQXSWTXCYLYACBVKZXTXLXPYAAXJYJVLYLWRXIUAZX
      KYLXJWRYNSZAYBXJYJVMWRXEXIXHQUIVQVIZYLXKXIXLXPYAAXJYJVNVOZVPZXTCXKVRVSYLL
      VTZYJYOWTXQUFYLAYSAYBXJYJWAABCDEFGHIJKLMNOPWBVIZYIYJWCZYPWRLXIWDWEYLXBXRW
      RMYLYSYJXAYNTXBXRUFYTUUAYLXAXKYNYLXOYMXNYIXOYJXMXOXLYAAXJWHWFYRXNCXKVRVSY
      QWGXALXIWIWEWJWKWLWMWNWOWNWPWNWPWQ $.
  $}

  ${
    $d A f x y z $.  $d G f x y z $.  $d R f x y z $.  $d B g h z $.
    $d F x u v z $.  $d ph f z $.  $d F f $.  $d ph g h x u v $.
    frrlem11.1 $e |- B = { f | E. x ( f Fn x /\
                             ( x C_ A /\ A. y e. x Pred ( R , A , y ) C_ x ) /\
                             A. y e. x ( f ` y ) =
                                     ( y G ( f |` Pred ( R , A , y ) ) ) ) } $.
    frrlem11.2 $e |- F = frecs ( R , A , G ) $.
    frrlem11.3 $e |- ( ( ph /\ ( g e. B /\ h e. B ) ) ->
    ( ( x g u /\ x h v ) -> u = v ) ) $.
    frrlem11.4 $e |- C = ( ( F |` S ) u.
    { <. z , ( z G ( F |` Pred ( R , A , z ) ) ) >. } ) $.
    $( Lemma for well-founded recursion.  For the next several theorems we will
       be aiming to prove that ` dom F = A ` .  To do this, we set up a
       function ` C ` that supposedly contains an element of ` A ` that is not
       in ` dom F ` and we show that the element must be in ` dom F ` .  Our
       choice of what to restrict ` F ` to depends on if we assume partial
       orders or the axiom of infinity.  To begin with, we establish the
       functionality of ` C ` .  (Contributed by Scott Fenton, 7-Dec-2022.) $)
    frrlem11 $p |- ( ( ph /\ z e. ( A \ dom F ) ) ->
    C Fn ( ( S i^i dom F ) u. { z } ) ) $=
      ( cv cdm cdif wcel wa cres cpred co cop csn cun cin wfn wceq wfun frrlem9
      c0 funresd dmres df-fn mpbiran2 sylibr vex ovex fnsn jctir eldifn elinel2
      wn nsyl disjsn fnun syl2an fneq1i ) ADUAZGOUBZUCUDZUEOKUFZVOVOOGJVOUGUFZP
      UHZUIUJZUKZKVPULZVOUJZUKZUMZIWEUMAVRWCUMZWAWDUMZUEWCWDULUQUNZWFVQAWGWHAVR
      UOZWGAKOABCEFGHJLMNOPQRSUPURWGWJVRUBWCUNOKUSVRWCUTVAVBVOVTDVCVOVSPVDVEVFV
      QVOWCUDZVIWIVQVOVPUDWKVOGVPVGVOKVPVHVJWCVOVKVBWCWDVRWAVLVMWEIWBTVNVB $.

    $d A f p q h x y w $.  $d G p q w $.  $d R p q w $.  $d B q $.
    $d ph p q $.  $d F y $.  $d B x $.  $d F p q $.  $d q u v $.  $d g q $.
    frrlem12.5 $e |- ( ph -> R Fr A ) $.
    frrlem12.6 $e |- ( ( ph /\ z e. A ) -> Pred ( R , A , z ) C_ S ) $.
    frrlem12.7 $e |- ( ( ph /\ z e. A ) ->
    A. w e. S Pred ( R , A , w ) C_ S ) $.
    $( Lemma for well-founded recursion.  Next, we calculate the value of
       ` C ` .  (Contributed by Scott Fenton, 7-Dec-2022.) $)
    frrlem12 $p |- ( ( ph /\ z e. ( A \ dom F ) /\
    w e. ( ( S i^i dom F ) u. { z } ) ) -> ( C ` w ) =
    ( w G ( C |` Pred ( R , A , w ) ) ) ) $=
      ( vq vp cv cdm cdif wcel cin csn cun cfv cpred cres co wceq wo elun velsn
      weq wa orbi2i bitri elinel2 frrlem1 wbr wi anbi12d imbi1d imbi2d frrlem10
      breq1 chvarvv sylan2 adantlr cop fveq1i wfn c0 wfun frrlem9 funresd dmres
      df-fn sylanblrc adantr vex ovex fnsn a1i eldifn nsyl disjsn sylibr adantl
      wn simpr fvun1 syl112anc eqtrid elinel1 fvresd eqtrd frrlem11 fnfun ssun1
      wss sseqtrri wral eldifi syl2an frrlem8 ssind sseqtrrdi fun2ssres syl3anc
      syl rspa resabs1d oveq2d 3eqtr4d ex fvsn vsnid fvun2 reseq1i resundir wfr
      eqtri predfrirr ressnop0 uneq12d un0 eqtrdi 3eqtr4a fveq2 id predeq3 jaod
      reseq2d oveq12d eqeq12d syl5ibrcom syl5bi 3impia ) ADUGZHPUHZUIUJZEUGZLUU
      IUKZUUHULZUMZUJZUUKJUNZUUKJHKUUKUOZUPZQUQZURZUUOUUKUULUJZEDVBZUSZAUUJVCZU
      UTUUOUVAUUKUUMUJZUSUVCUUKUULUUMUTUVEUVBUVAEUUHVAVDVEUVDUVAUUTUVBUVDUVAUUT
      UVDUVAVCZUUKPUNZUUKPUUQUPZQUQZUUPUUSAUVAUVGUVIURZUUJUVAAUUKUUIUJZUVJUUKLU
      UIVFZAUEEFGHIKUFNOPQBCUEEHIKMUFQRVGSANUGZIUJOUGZIUJVCVCZBUGZGUGZUVMVHZUVP
      FUGZUVNVHZVCZGFVBZVIZVIUVOUEUGZUVQUVMVHZUWDUVSUVNVHZVCZUWBVIZVIBUEBUEVBZU
      WCUWHUVOUWIUWAUWGUWBUWIUVRUWEUVTUWFUVPUWDUVQUVMVNUVPUWDUVSUVNVNVJVKVLTVOV
      MVPVQUVFUUPUUKPLUPZUNZUVGUVFUUPUUKUWJUUHUUHPHKUUHUOZUPZQUQZVRULZUMZUNZUWK
      UUKJUWPUAVSUVFUWJUULVTZUWOUUMVTZUULUUMUKWAURZUVAUWQUWKURUVDUWRUVAAUWRUUJA
      UWJWBUWJUHZUULURUWRALPABCFGHIKMNOPQRSTWCWDPLWEZUWJUULWFWGWHZWHUWSUVFUUHUW
      NDWIZUUHUWMQWJZWKZWLUVDUWTUVAUUJUWTAUUJUUHUULUJZWRUWTUUJUUHUUIUJUXGUUHHUU
      IWMUUHLUUIVFWNUULUUHWOWPWQZWHUVDUVAWSUULUUMUWJUWOUUKWTXAXBUVFUUKLPUVAUUKL
      UJZUVDUUKLUUIXCZWQXDXEUVFUURUVHUUKQUVFUURUWJUUQUPZUVHUVFJWBZUWJJXIZUUQUXA
      XIUURUXKURUVDUXLUVAUVDJUUNVTUXLABCDFGHIJKLMNOPQRSTUAXFUUNJXGXSWHUXMUVFUWJ
      UWPJUWJUWOXHUAXJWLUVFUUQUULUXAUVFUUQLUUIUVDUUQLXIZELXKZUXIUXNUVAUUJAUUHHU
      JZUXOUUHHUUIXLZUDVPUXJUXNELXTXMZUVAUUQUUIXIZUVDUVAUVKUXSUVLBCEHIKMPQRSXNX
      SWQXOUXBXPUUQJUWJXQXRUVFPUUQLUXRYAXEYBYCYDUVDUUTUVBUUHJUNZUUHJUWLUPZQUQZU
      RUVDUUHUWOUNZUWNUXTUYBUUHUWNUXDUXEYEUVDUXTUUHUWPUNZUYCUUHJUWPUAVSUVDUWRUW
      SUWTUUHUUMUJZUYDUYCURUXCUWSUVDUXFWLUXHUYEUVDDYFWLUULUUMUWJUWOUUHYGXAXBUVD
      UYAUWMUUHQUVDUYAUWJUWLUPZUWOUWLUPZUMZUWMUYAUWPUWLUPUYHJUWPUWLUAYHUWJUWOUW
      LYIYKUVDUYHUWMWAUMUWMUVDUYFUWMUYGWAUVDPUWLLUUJAUXPUWLLXIUXQUCVPYAUVDUUHUW
      LUJWRZUYGWAURAUYIUUJAHKYJUYIUBHKUUHYLXSWHUUHUWNUWLYMXSYNUWMYOYPXBYBYQUVBU
      UPUXTUUSUYBUUKUUHJYRUVBUUKUUHUURUYAQUVBYSUVBUUQUWLJHKUUKUUHYTUUBUUCUUDUUE
      UUAUUFUUG $.

    frrlem13.8 $e |- ( ( ph /\ z e. A ) -> S e. _V ) $.
    frrlem13.9 $e |- ( ( ph /\ z e. A ) -> S C_ A ) $.

    $d A c $.  $d A t $.  $d C c $.  $d c f $.  $d c t $.  $d C t $.  $d c w $.
    $d C w $.  $d c x $.  $d c y $.  $d f t $.  $d F t $.  $d F w $.  $d G c $.
    $d G t $.  $d ph w $.  $d R c $.  $d R t $.  $d S t $.  $d S w $.
    $d t w $.  $d t x $.  $d t y $.  $d t z $.  $d w z $.
    $( Lemma for well-founded recursion.  Assuming that ` S ` is a subset of
       ` A ` and that ` z ` is ` R ` -minimal, then ` C ` is an acceptable
       function.  (Contributed by Scott Fenton, 7-Dec-2022.) $)
    frrlem13 $p |- ( ( ph /\
    ( z e. ( A \ dom F ) /\ Pred ( R , ( A \ dom F ) , z ) = (/) ) ) ->
    C e. B ) $=
      ( vt vc cv cdm cdif wcel cpred c0 wceq wa wfn wss wral cfv co w3a wex cin
      cres csn cun cvv eldifi sylan2 adantrr inex1g snex unexg sylancl frrlem11
      syl inss1 sstrid adantl snssd unssd weq elun elin velsn orbi12i bitri rsp
      wo frrlem8 anim12d1 ssin syl6ib preddif eqeq1i ssdif0 sylbb2 predss ssind
      sstrdi predeq3 sseq1d syl5ibrcom jaod syl5bi imp ssun1 ralrimiva frrlem12
      wi jca 3expa fneq2 sseq1 sseq2 raleqbi1dv raleq 3anbi123d spcegv syl13anc
      anbi12d wb cop wfun resfunexg syl2an2r eqeltrid fneq1 fveq1 reseq1 oveq2d
      frrlem9 eqeq12d ralbidv 3anbi13d exbidv frrlem1 elab2g mpbird ) ADUIZHPUJ
      ZUKZULZUUCKUUAUMZUNUOZUPZUPZJIULZJUGUIZUQZUUJHURZHKEUIZUMZUUJURZEUUJUSZUP
      ZUUMJUTZUUMJUUNVEZQVAZUOZEUUJUSZVBZUGVCZUUHLUUBVDZUUAVFZVGZVHULZJUVGUQZUV
      GHURZUUNUVGURZEUVGUSZUPZUVAEUVGUSZUVDUUHLVHULZUVHAUUDUVOUUFUUDAUUAHULZUVO
      UUAHUUBVIZUEVJVKZUVOUVEVHULUVFVHULUVHLUUBVHVLUUAVMUVEUVFVHVHVNVOVQAUUDUVI
      UUFABCDFGHIJKLMNOPQRSTUAVPVKUUHUVJUVLUUHUVEUVFHUUHUVELHLUUBVRAUUDLHURZUUF
      UUDAUVPUVSUVQUFVJVKVSUUHUUAHAUUDUVPUUFUUDUVPAUVQVTVKWAWBUUHUVKEUVGUUHUUMU
      VGULZUPUUNUVEUVGUUHUVTUUNUVEURZUVTUUMLULZUUMUUBULZUPZEDWCZWJZUUHUWAUVTUUM
      UVEULZUUMUVFULZWJUWFUUMUVEUVFWDUWGUWDUWHUWEUUMLUUBWEEUUAWFWGWHUUHUWDUWAUW
      EUUHUWDUUNLURZUUNUUBURZUPUWAUUHUWBUWIUWCUWJUUHUWIELUSZUWBUWIXKAUUDUWKUUFU
      UDAUVPUWKUVQUDVJVKUWIELWIVQBCEHIKMPQRSWKWLUUNLUUBWMWNUUHUWAUWEHKUUAUMZUVE
      URUUHUWLLUUBAUUDUWLLURZUUFUUDAUVPUWMUVQUCVJVKUUGUWLUUBURZAUUFUWNUUDUUFUWL
      UUBKUUAUMZUUBUUFUWLUWOUKZUNUOUWLUWOURUUEUWPUNHUUBKUUAWOWPUWLUWOWQWRUUBKUU
      AWSXAVTVTWTUWEUUNUWLUVEHKUUMUUAXBXCXDXEXFXGUVEUVFXHXAXIXLAUUDUVNUUFAUUDUP
      UVAEUVGAUUDUVTUVAABCDEFGHIJKLMNOPQRSTUAUBUCUDXJXMXIVKUVHUVIUVMUVNVBZUVDUV
      CUWQUGUVGVHUUJUVGUOZUUKUVIUUQUVMUVBUVNUUJUVGJXNUWRUULUVJUUPUVLUUJUVGHXOUU
      OUVKEUUJUVGUUJUVGUUNXPXQYBUVAEUUJUVGXRXSXTXGYAUUHJVHULUUIUVDYCUUHJPLVEZUU
      AUUAPUWLVEQVAYDZVFZVGZVHUAUUHUWSVHULZUXAVHULUXBVHULAPYEUUGUVOUXCABCFGHIKM
      NOPQRSTYMUVRPLVHYFYGUWTVMUWSUXAVHVHVNVOYHUHUIZUUJUQZUUQUUMUXDUTZUUMUXDUUN
      VEZQVAZUOZEUUJUSZVBZUGVCUVDUHJIVHUXDJUOZUXKUVCUGUXLUXEUUKUXJUVBUUQUUJUXDJ
      YIUXLUXIUVAEUUJUXLUXFUURUXHUUTUUMUXDJYJUXLUXGUUSUUMQUXDJUUNYKYLYNYOYPYQBC
      UGEHIKMUHQRYRYSVQYT $.

    frrlem14.10 $e |- ( ( ph /\ ( A \ dom F ) =/= (/) ) ->
    E. z e. ( A \ dom F ) Pred ( R , ( A \ dom F ) , z ) = (/) ) $.
    $( Lemma for well-founded recursion.  Finally, we tie all these threads
       together and show that ` dom F = A ` when given the right ` S ` .
       Specifically, we prove that there can be no ` R ` -minimal element of
       ` ( A \ dom F ) ` .  (Contributed by Scott Fenton, 7-Dec-2022.) $)
    frrlem14 $p |- ( ph -> dom F = A ) $=
      ( cdm wss frrlem7 a1i cdif c0 wceq cv cpred wrex wcel wa wn eldifn adantl
      cuni frrlem13 elssuni syl frrlem5 sseqtrrdi dmss cres csn cun ssun2 vsnid
      sselii cop dmeqi dmun ovex dmsnop uneq2i 3eqtri eleqtrri sseldd expr mtod
      co nrexdv wne df-ne sylan2br ex mt3d ssdif0 sylibr eqssd ) APUHZHWQHUIABC
      HIKMPQRSUJUKAHWQULZUMUNZHWQUIAWSWRKDUOZUPUMUNZDWRUQZAXADWRAWTWRURZUSXAWTW
      QURZXCXDUTAWTHWQVAVBAXCXAXDAXCXAUSUSZJUHZWQWTXEJPUIXFWQUIXEJIVCZPXEJIURJX
      GUIABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFVDJIVEVFBCHIKMPQRSVGVHJPVIVFWTXFURXEWT
      PLVJZUHZWTVKZVLZXFXJXKWTXJXIVMDVNVOXFXHWTWTPHKWTUPVJZQWGZVPVKZVLZUHXIXNUH
      ZVLXKJXOUAVQXHXNVRXPXJXIWTXMWTXLQVSVTWAWBWCUKWDWEWFWHAWSUTZXBXQAWRUMWIXBW
      RUMWJUGWKWLWMHWQWNWOWP $.
  $}

  ${
    fprlem.1 $e |- B = { f | E. x ( f Fn x /\
                          ( x C_ A /\ A. y e. x Pred ( R , A , y ) C_ x ) /\
                          A. y e. x ( f ` y ) =
                                  ( y G ( f |` Pred ( R , A , y ) ) ) ) } $.
    fprlem.2 $e |- F = frecs ( R , A , G ) $.

    $d A a f x y g h u v $.  $d R a f x y g h u v $.  $d G a f x y g h u v $.
    $d B a $.
    $( Lemma for well-founded recursion with a partial order.  Two acceptable
       functions are compatible.  (Contributed by Scott Fenton,
       11-Sep-2023.) $)
    fprlem1 $p |- ( ( ( R Fr A /\ R Po A /\ R Se A ) /\
      ( g e. B /\ h e. B ) ) -> ( ( x g u /\ x h v ) -> u = v ) ) $=
      ( va cv wbr wa cres wceq cdm cin wfr wpo wse w3a wcel weq vex breldm elin
      biimpri syl2an brresi anbi12i an4 bitri syl21anbrc wfn cfv cpred wral wss
      id inss2 frrlem3 sstrid adantl simpl1 frss sylc simpl2 poss sess2 frrlem4
      co simpl3 incom reseq2i fneq12 mp2an fveq1i predeq2 ax-mp reseq12i oveq2i
      eqeq12i raleqbii sylibr ancoms fpr3g syl311anc breqd biimprd wfun frrlem2
      wb wi ad2antrl funres wrel wal dffun2 2sp sps simplbiim 3syl sylan2d syl5
      ) APZDPZIPZQZXJCPZJPZQZRZXJXKXLXLUAZXOUAZUBZSZQZXJXNXOXTSZQZRZEGUCZEGUDZE
      GUEZUFZXLFUGZXOFUGZRZRZDCUHZXQXJXTUGZYOXQYEXMXJXRUGZXJXSUGZYOXPXJXKXLAUIZ
      DUIZUJXJXNXOYRCUIZUJYOYPYQRXJXRXSUKULUMZUUAXQVDYEYOXMRZYOXPRZRYOYORXQRYBU
      UBYDUUCXTXJXKXLYSUNXTXJXNXOYTUNUOYOXMYOXPUPUQURYMYDXJXNYAQZYBYNYMUUDYDYMY
      AYCXJXNYMXTGUCZXTGUDZXTGUEZYAXTUSOPZYAUTUUHYAXTGUUHVAZSLVPTOXTVBRZYCXTUSZ
      UUHYCUTZUUHYCUUISZLVPZTZOXTVBZRZYAYCTYMXTEVCZYFUUEYLUURYIYKUURYJYKXTXSEXR
      XSVEABEFGHJLMVFVGVHVHZYFYGYHYLVIXTEGVJVKYMUURYGUUFUUSYFYGYHYLVLXTEGVMVKYM
      UURYHUUGUUSYFYGYHYLVQXTEGVNVKYLUUJYIABEFGHIJLOMVOVHYLUUQYIYKYJUUQYKYJRXOX
      SXRUBZSZUUTUSZUUHUVAUTZUUHUVAUUTGUUHVAZSZLVPZTZOUUTVBZRUUQABEFGHJILOMVOUU
      KUVBUUPUVHYCUVATXTUUTTZUUKUVBWQXTUUTXOXRXSVRZVSZUVJXTUUTYCUVAVTWAUUOUVGOX
      TUUTUVJUULUVCUUNUVFUUHYCUVAUVKWBUUMUVEUUHLYCUVAUUIUVDUVKUVIUUIUVDTUVJXTUU
      TGUUHWCWDWEWFWGWHUOWIWJVHOXTGYAYCLWKWLWMWNYMXLWOZYAWOZYBUUDRYNWRZYJUVLYIY
      KABEFGHILMWPWSXTXLWTUVMYAXAUVNCXBDXBZAXBUVNADCYAXCUVOUVNAUVNDCXDXEXFXGXHX
      I $.
  $}

  ${
    $d R w x z $.  $d A w x z $.
    $( Lemma for well-founded recursion with a partial order.  Establish a
       subset relationship.  (Contributed by Scott Fenton, 11-Sep-2023.) $)
    fprlem2 $p |- ( ( ( R Fr A /\ R Po A /\ R Se A ) /\ z e. A ) ->
       A. w e. Pred ( R , A , z ) Pred ( R , A , w ) C_ Pred ( R , A , z ) ) $=
      ( vx wfr w3a cv wcel wa cpred wbr wb cvv vex elpred elv simprl adantr jca
      wpo wse wss simpll2 simpllr 3jca simprr simplrr potr sylc 3imtr4g sylan2b
      ex ssrdv ralrimiva ) CDFZCDUAZCDUBZGZAHZCIZJZCDBHZKZCDUTKZUCZBVEVCVEIZVBV
      CCIZVCUTDLZJZVFVGVJMACNDUTVCBOPQVBVJJZEVDVEVKEHZCIZVLVCDLZJZVMVLUTDLZJZVL
      VDIZVLVEIZVKVOVQVKVOJZVMVPVKVMVNRZVTUQVMVHVAGZJVNVIJVPVTUQWBVKUQVOUPUQURV
      AVJUDSVTVMVHVAWAVKVHVOVBVHVIRSUSVAVJVOUEUFTVTVNVIVKVMVNUGVBVHVIVOUHTCVLVC
      UTDUIUJTUMVRVOMBCNDVCVLEOZPQVSVQMACNDUTVLWCPQUKUNULUO $.
  $}

  ${
    $d F x y z u v a b c f g h $.  $d R x y z u v a b c f g h $.
    $d A x y z u v a b c f g h $.  $d G x y z u v a b c f g h $.
    fprr.1 $e |- F = frecs ( R , A , G ) $.
    $( Law of well-founded recursion over a partial order, part one.  Establish
       the functionality and domain of the recursive function generator.  Note
       that by requiring a partial order we can avoid using the axiom of
       infinity.  (Contributed by Scott Fenton, 11-Sep-2023.) $)
    fpr1 $p |- ( ( R Fr A /\ R Po A /\ R Se A ) -> F Fn A ) $=
      ( vb vc vv vu vf vx vy va vg vh vz wceq cv wss wa wfr wpo wse w3a cdm wfn
      wfun cpred wral cfv cres wex cab eqid frrlem1 fprlem1 frrlem9 cop csn cun
      simp1 wcel ssidd fprlem2 cvv setlikespec ancoms 3ad2antl3 predss a1i cdif
      co c0 wne wrex difssd simpr jca frpomin2 syldan frrlem14 df-fn sylanbrc )
      ABUAZABUBZABUCZUDZCUGCUEZAQCAUFWGFGHIAJRZKRZUFWJASABLRZUHZWJSLWJUITWKWIUJ
      WKWIWLUKDVLQLWJUIUDKULJUMZBMNOCDKLFGAWMBJMDWMUNUOZEFGHIAWMBMNOCDWNEUPZUQW
      GFGPLHIAWMCABPRZUHZUKZWPWPWRDVLURUSUTZBWQMNOCDWNEWOWSUNWDWEWFVAWGWPAVBZTZ
      WQVCPLABVDWFWDWTWQVEVBZWEWTWFXBABWPVFVGVHWQASXAABWPVIVJWGAWHVKZVMVNZXCASZ
      XDTXCBWPUHVMQPXCVOWGXDTZXEXDXFAWHVPWGXDVQVRPAXCBVSVTWACAWBWC $.

    $d X x y z u v a b c f g h $.
    $( Law of well-founded recursion over a partial order, part two.  Now we
       establish the value of ` F ` within ` A ` .  (Contributed by Scott
       Fenton, 11-Sep-2023.) $)
    fpr2 $p |- ( ( ( R Fr A /\ R Po A /\ R Se A ) /\ X e. A ) ->
      ( F ` X ) = ( X G ( F |` Pred ( R , A , X ) ) ) ) $=
      ( vy vx vv va vb vc vf wcel cfv cpred cres co wceq cv wfr wpo wse w3a cdm
      vu vg vh fndmd eleq2d biimpar wi fveq2 id predeq3 reseq2d oveq12d eqeq12d
      fpr1 imbi2d wfn wss wral wa wex cab eqid frrlem1 fprlem1 frrlem10 vtoclga
      expcom impcom syldan ) ABUAABUBABUCUDZEANZECUEZNZECOZECABEPZQZDRZSZVOVRVP
      VOVQAEVOACABCDFUSUIUJUKVRVOWCVOGTZCOZWDCABWDPZQZDRZSZULVOWCULGEVQWDESZWIW
      CVOWJWEVSWHWBWDECUMWJWDEWGWADWJUNWJWFVTCABWDEUOUPUQURUTVOWDVQNWIVOHGIUFAJ
      TZKTZVAWLAVBABLTZPZWLVBLWLVCVDWMWKOWMWKWNQDRSLWLVCUDKVEJVFZBMUGUHCDKLHGAW
      OBJMDWOVGVHZFHGIUFAWOBMUGUHCDWPFVIVJVLVKVMVN $.

    $d H z $.
    $( Law of well-founded recursion over a partial order, part three.
       Finally, we show that ` F ` is unique.  We do this by showing that any
       function ` H ` with the same properties we proved of ` F ` in ~ fpr1 and
       ~ fpr2 is identical to ` F ` .  (Contributed by Scott Fenton,
       11-Sep-2023.) $)
    fpr3 $p |- ( ( ( R Fr A /\ R Po A /\ R Se A ) /\
    ( H Fn A /\
    A. z e. A ( H ` z ) = ( z G ( H |` Pred ( R , A , z ) ) ) ) ) -> F = H ) $=
      ( wfr wpo wse w3a wfn cv cfv cpred cres co wceq wral wa simpl fpr1 adantr
      fpr2 ralrimiva jca simpr fpr3g syl3anc ) BCHBCIBCJKZFBLAMZFNUKFBCUKOZPEQR
      ABSTZTUJDBLZUKDNUKDULPEQRZABSZTZUMDFRUJUMUAUJUQUMUJUNUPBCDEGUBUJUOABBCDEU
      KGUDUEUFUCUJUMUGABCDFEUHUI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Well-ordered recursion
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c wrecs $.

  $( Declare syntax for the well-ordered recursive function generator. $)
  cwrecs $a class wrecs ( R , A , F ) $.

  ${
    $d R f x y $.  $d A f x y $.  $d F f x y $.
    $( Here we define the well-ordered recursive function generator.  This
       function takes the usual expressions from recursion theorems and forms a
       unified definition.  Specifically, given a function ` F ` , a
       relationship ` R ` , and a base set ` A ` , this definition generates a
       function ` G = wrecs ( R , A , F ) ` that has property that, at any
       point ` x e. A ` ,
       ` ( G `` x ) = ( F `` ( G |`` Pred ( R , A , x ) ) ) ` .  See ~ wfr1 ,
       ~ wfr2 , and ~ wfr3 .  (Contributed by Scott Fenton, 7-Jun-2018.)
       (New usage is discouraged.) $)
    df-wrecs $a |- wrecs ( R , A , F ) = U. { f | E. x ( f Fn x /\ ( x C_ A /\
               A. y e. x Pred ( R , A , y ) C_ x ) /\
               A. y e. x ( f ` y ) = ( F ` ( f |` Pred ( R , A , y ) ) ) ) } $.
  $}

  ${
    $d R f x y $.  $d S f x y $.  $d A f x y $.  $d B f x y $.  $d F f x y $.
    $d G f x y $.
    $( General equality theorem for the well-ordered recursive function
       generator.  (Contributed by Scott Fenton, 7-Jun-2018.) $)
    wrecseq123 $p |- ( ( R = S /\ A = B /\ F = G ) ->
                     wrecs ( R , A , F ) = wrecs ( S , B , G ) ) $=
      ( vf vx vy wceq w3a cv wss cpred wral wa cfv cres wex cab wfn cuni cwrecs
      wb sseq2 3ad2ant2 predeq1 predeq2 sylan9eq 3adant3 sseq1d ralbidv anbi12d
      reseq2d fveq12d eqeq2d 3anbi23d exbidv abbidv unieqd df-wrecs 3eqtr4g
      simp3 ) CDJZABJZEFJZKZGLZHLZUAZVIAMZACILZNZVIMZIVIOZPZVLVHQZVHVMRZEQZJZIV
      IOZKZHSZGTZUBVJVIBMZBDVLNZVIMZIVIOZPZVQVHWFRZFQZJZIVIOZKZHSZGTZUBACEUCBDF
      UCVGWDWPVGWCWOGVGWBWNHVGVPWIWAWMVJVGVKWEVOWHVEVDVKWEUDVFABVIUEUFVGVNWGIVI
      VGVMWFVIVDVEVMWFJVFVDVEVMADVLNWFACDVLUGABDVLUHUIZUJUKULUMVGVTWLIVIVGVSWKV
      QVGVRWJEFVDVEVFVCVDVEVRWJJVFVDVEPVMWFVHWQUNUJUOUPULUQURUSUTHIACGEVAHIBDGF
      VAVB $.
  $}

  ${
    $d R f y z $.  $d A f y z $.  $d F f y z $.  $d x f y z $.
    nfwrecs.1 $e |- F/_ x R $.
    nfwrecs.2 $e |- F/_ x A $.
    nfwrecs.3 $e |- F/_ x F $.
    $( Bound-variable hypothesis builder for the well-ordered recursive
       function generator.  (Contributed by Scott Fenton, 9-Jun-2018.) $)
    nfwrecs $p |- F/_ x wrecs ( R , A , F ) $=
      ( vf vy vz cwrecs cv wfn wss cpred wral cfv nfcv nfss nfralw wa cres wceq
      w3a wex cab cuni df-wrecs nfv nfan nfres nffv nfeq2 nf3an nfex nfab nfuni
      nfpred nfcxfr ) ABCDKHLZILZMZVABNZBCJLZOZVANZJVAPZUAZVDUTQZUTVEUBZDQZUCZJ
      VAPZUDZIUEZHUFZUGIJBCHDUHAVPVOAHVNAIVBVHVMAVBAUIVCVGAAVABAVARZFSVFAJVAVQA
      VEVAABCVDEFAVDRURZVQSTUJVLAJVAVQAVIVKAVJDGAUTVEAUTRVRUKULUMTUNUOUPUQUS $.
  $}

  $( Equality theorem for the well-ordered recursive function generator.
     (Contributed by Scott Fenton, 7-Jun-2018.) $)
  wrecseq1 $p |- ( R = S -> wrecs ( R , A , F ) = wrecs ( S , A , F ) ) $=
    ( wceq cwrecs eqid wrecseq123 mp3an23 ) BCEAAEDDEABDFACDFEAGDGAABCDDHI $.

  $( Equality theorem for the well-ordered recursive function generator.
     (Contributed by Scott Fenton, 7-Jun-2018.) $)
  wrecseq2 $p |- ( A = B -> wrecs ( R , A , F ) = wrecs ( R , B , F ) ) $=
    ( wceq cwrecs eqid wrecseq123 mp3an13 ) CCEABEDDEACDFBCDFECGDGABCCDDHI $.

  $( Equality theorem for the well-ordered recursive function generator.
     (Contributed by Scott Fenton, 7-Jun-2018.) $)
  wrecseq3 $p |- ( F = G -> wrecs ( R , A , F ) = wrecs ( R , A , G ) ) $=
    ( wceq cwrecs eqid wrecseq123 mp3an12 ) BBEAAECDEABCFABDFEBGAGAABBCDHI $.

  ${
    $d A w y z $.  $d F w y z $.  $d G w y z $.  $d H w y z $.  $d R w y z $.
    $( Functions defined by well-ordered recursion are identical up to
       relation, domain, and characteristic function.  (Contributed by Scott
       Fenton, 11-Feb-2011.) $)
    wfr3g $p |- ( ( ( R We A /\ R Se A ) /\ ( F Fn A /\
                 A. y e. A ( F ` y ) = ( H ` ( F |` Pred ( R , A , y ) ) ) ) /\
                     ( G Fn A /\
                 A. y e. A ( G ` y ) = ( H ` ( G |` Pred ( R , A , y ) ) ) ) )
                     -> F = G ) $=
      ( vz vw wa wfn cv cfv cpred cres wceq wral wi fveq2 eqeq12d fveq2d r19.26
      wwe wse w3a imbi2d wcel ra4v predeq3 reseq2d anbi12d rspcva ancoms ex syl
      eqtr3 expimpd wss wb predss fvreseq mpan2 biimpar eqcomd expd impcomd a2d
      syl11 syl5 wfis2g r19.21v sylib com12 sylan2br an4s 3impib jctil ad2ant2r
      eqid eqfnfv2 3adant1 mpbird ) BCUBBCUCIZDBJZAKZDLZDBCWDMZNZFLZOZABPZIZEBJ
      ZWDELZEWFNZFLZOZABPZIZUDZDEOZBBOZGKZDLZXBELZOZGBPZIZWSXFXAWBWKWRXFWKWRIWB
      XFWCWLWJWQWBXFQZWJWQIWCWLIZWIWPIZABPZXHWIWPABUAWBXIXKIZXFWBXLXEQZGBPXLXFQ
      XMXLHKZDLZXNELZOZQZGHBCXBXNOZXEXQXLXSXCXOXDXPXBXNDRXBXNERSUEXRHBCXBMZPXLX
      QHXTPZQXBBUFZXMXLXQHXTUGYBXLYAXEYBXKXIYAXEQZYBXKXIYCQZYBXKIXCDXTNZFLZOZXD
      EXTNZFLZOZIZYDXJYKAXBBWDXBOZWIYGWPYJYLWEXCWHYFWDXBDRYLWGYEFYLWFXTDBCWDXBU
      HZUITSYLWMXDWOYIWDXBERYLWNYHFYLWFXTEYMUITSUJUKYKXIYAXEYIYFOZYKXEXIYAIZYNY
      GYJXEYNYGIXCYIOZYJXEQYGYNYPXCYIYFUOULYPYJXEXCXDYIUOUMUNUPYOYHYEFYOYEYHXIY
      EYHOZYAXIXTBUQYQYAURBCXBUSHBXTDEUTVAVBVCTVGVDUNUMVEVFVHVIXLXEGBVJVKVLVMVN
      VLVOBVRVPWKWRWTXGURZWBWCWLYRWJWQGBBDEVSVQVTWA $.
  $}

  ${
    $d A f g w x y z $.  $d F f g w x y z $.  $d R f g w x y z $.
    wfrlem1.1 $e |- B = { f | E. x ( f Fn x /\ ( x C_ A /\
               A. y e. x Pred ( R , A , y ) C_ x ) /\
               A. y e. x ( f ` y ) = ( F ` ( f |` Pred ( R , A , y ) ) ) ) } $.
    $( Lemma for well-ordered recursion.  The final item we are interested in
       is the union of acceptable functions ` B ` .  This lemma just changes
       bound variables for later use.  (Contributed by Scott Fenton,
       21-Apr-2011.) $)
    wfrlem1 $p |- B = { g | E. z ( g Fn z /\ ( z C_ A /\
               A. w e. z Pred ( R , A , w ) C_ z ) /\
               A. w e. z ( g ` w ) = ( F ` ( g |` Pred ( R , A , w ) ) ) ) } $=
      ( cv wfn wss wral cfv cres wceq w3a wex cpred cab weq fneq1 reseq1 fveq2d
      fveq1 eqeq12d ralbidv 3anbi13d exbidv fneq2 sseq1 sseq2 raleqbi1dv sseq1d
      wa predeq3 cbvralvw bitrdi anbi12d raleq reseq2d 3anbi123d cbvexvw cbvabv
      fveq2 eqtri ) FHLZALZMZVJENZEGBLZUAZVJNZBVJOZUQZVMVIPZVIVNQZJPZRZBVJOZSZA
      TZHUBILZCLZMZWFENZEGDLZUAZWFNZDWFOZUQZWIWEPZWEWJQZJPZRZDWFOZSZCTZIUBKWDWT
      HIHIUCZWDWEVJMZVQVMWEPZWEVNQZJPZRZBVJOZSZATWTXAWCXHAXAVKXBWBXGVQVJVIWEUDX
      AWAXFBVJXAVRXCVTXEVMVIWEUGXAVSXDJVIWEVNUEUFUHUIUJUKXHWSACACUCZXBWGVQWMXGW
      RVJWFWEULXIVLWHVPWLVJWFEUMXIVPVNWFNZBWFOWLVOXJBVJWFVJWFVNUNUOXJWKBDWFBDUC
      ZVNWJWFEGVMWIURZUPUSUTVAXIXGXFBWFOWRXFBVJWFVBXFWQBDWFXKXCWNXEWPVMWIWEVGXK
      XDWOJXKVNWJWEXLVCUFUHUSUTVDVEUTVFVH $.

    $( Lemma for well-ordered recursion.  An acceptable function is a function.
       (Contributed by Scott Fenton, 21-Apr-2011.) $)
    wfrlem2 $p |- ( g e. B -> Fun g ) $=
      ( vz vw cv wcel wfn wss cpred wral wa cfv cres wceq w3a wex wfrlem1 fnfun
      wfun abeq2i 3ad2ant1 exlimiv sylbi ) GLZDMUKJLZNZULCOCEKLZPZULOKULQRZUNUK
      SUKUOTHSUAKULQZUBZJUCZUKUFZUSGDABJKCDEFGHIUDUGURUTJUMUPUTUQULUKUEUHUIUJ
      $.

    $( Lemma for well-ordered recursion.  An acceptable function's domain is a
       subset of ` A ` .  (Contributed by Scott Fenton, 21-Apr-2011.) $)
    wfrlem3 $p |- ( g e. B -> dom g C_ A ) $=
      ( vz vw cv wcel wfn wss cpred wral wa cfv cres w3a wex cdm wfrlem1 abeq2i
      wceq fndm sseq1d biimpar adantrr 3adant3 exlimiv sylbi ) GLZDMUNJLZNZUOCO
      ZCEKLZPZUOOKUOQZRZURUNSUNUSTHSUFKUOQZUAZJUBZUNUCZCOZVDGDABJKCDEFGHIUDUEVC
      VFJUPVAVFVBUPUQVFUTUPVFUQUPVEUOCUOUNUGUHUIUJUKULUM $.

    $d G f x y z w $.  $d G g $.
    wfrlem3a.2 $e |- G e. _V $.
    $( Lemma for well-ordered recursion.  Show membership in the class of
       acceptable functions.  (Contributed by Scott Fenton, 31-Jul-2020.) $)
    wfrlem3a $p |- ( G e. B <-> E. z ( G Fn z /\ ( z C_ A /\
               A. w e. z Pred ( R , A , w ) C_ z ) /\
               A. w e. z ( G ` w ) = ( F ` ( G |` Pred ( R , A , w ) ) ) ) ) $=
      ( vg cv wfn wss wral cfv cres wceq cpred wa w3a fneq1 fveq1 reseq1 fveq2d
      wex eqeq12d ralbidv 3anbi13d exbidv wfrlem1 elab2 ) MNZCNZOZUPEPEGDNZUAZU
      PPDUPQUBZURUORZUOUSSZIRZTZDUPQZUCZCUHJUPOZUTURJRZJUSSZIRZTZDUPQZUCZCUHMJF
      LUOJTZVFVMCVNUQVGVEVLUTUPUOJUDVNVDVKDUPVNVAVHVCVJURUOJUEVNVBVIIUOJUSUFUGU
      IUJUKULABCDEFGHMIKUMUN $.
  $}

  ${
    $d A a b c f g h x y $.  $d B a $.  $d F a b c f g h x y $.
    $d R a b c f g h x y $.
    wfrlem4.2 $e |- B = { f | E. x ( f Fn x /\ ( x C_ A /\
               A. y e. x Pred ( R , A , y ) C_ x ) /\
               A. y e. x ( f ` y ) = ( F ` ( f |` Pred ( R , A , y ) ) ) ) } $.
    $( Lemma for well-ordered recursion.  Properties of the restriction of an
       acceptable function to the domain of another one.  (Contributed by Scott
       Fenton, 21-Apr-2011.)  (Revised by AV, 18-Jul-2022.) $)
    wfrlem4 $p |- ( ( g e. B /\ h e. B ) ->
                     ( ( g |` ( dom g i^i dom h ) ) Fn ( dom g i^i dom h ) /\
                       A. a e. ( dom g i^i dom h )
                        ( ( g |` ( dom g i^i dom h ) ) ` a ) =
                        ( F ` ( ( g |` ( dom g i^i dom h ) ) |`
                              Pred ( R , ( dom g i^i dom h ) , a ) ) ) ) ) $=
      ( vb vc wcel wa cfv wceq wral wss wex cv cdm cin wfn cpred wfrlem2 funfnd
      fnresin1 syl adantr w3a wi wfrlem1 abeq2i raleqdv biimpar 3adant2 exlimiv
      cres fndm rsp sylbi elinel1 impel adantlr fvres adantl resres predss mpbi
      sseqin2 3an6 2exbii exdistrv bitri ssinss1 ad2antrr nfra1 syl5com elinel2
      nfan anim12d biimpi syl6com ralrimi ad2ant2l jca wb ineqan12d sseq1 sseq2
      ssin raleqbi1dv anbi12d imbi2d mpbiri imp 3adant3 exlimivv sylbir syl2anb
      simpr preddowncl sylc eqtrid reseq2d fveq2d 3eqtr4d ralrimiva ) GUAZDNZHU
      AZDNZOZXJXJUBZXLUBZUCZUSZXQUDZJUAZXRPZXRXQEXTUEZUSZIPZQZJXQRXKXSXMXKXJXOU
      DXSXKXJABCDEFGIKUFUGXOXPXJUHUIUJXNYEJXQXNXTXQNZOZXTXJPZXJCEXTUEZUSZIPZYAY
      DXKYFYHYKQZXMXKXTXONZYLYFXKXJLUAZUDZYNCSZYIYNSZJYNRZOZYLJYNRZUKZLTZYMYLUL
      ZUUBGDABLJCDEFGIKUMUNZUUAUUCLYOYTUUCYSYOYTOYLJXORZUUCYOUUEYTYOYLJXOYNYNXJ
      UTZUOUPYLJXOVAUIUQURVBXTXOXPVCVDVEYFYAYHQXNXTXQXJVFVGYGYCYJIYGYCXJXQYBUCZ
      USYJXJXQYBVHYGUUGYIXJYGUUGYBYIYBXQSUUGYBQXQEXTVIYBXQVKVJYGXQCSZYIXQSZJXQR
      ZOZYFYBYIQXNUUKYFXKUUBXLMUAZUDZUULCSZYIUULSZJUULRZOZXTXLPXLYIUSIPQJUULRZU
      KZMTZUUKXMUUDUUTHDABMJCDEFHIKUMUNUUBUUTOZYOUUMOZYSUUQOZYTUUROZUKZMTLTZUUK
      UVFUUAUUSOZMTLTUVAUVEUVGLMYOUUMYSUUQYTUURVLVMUUAUUSLMVNVOUVEUUKLMUVBUVCUU
      KUVDUVBUVCUUKUVBUVCUUKULZUVCYNUULUCZCSZYIUVISZJUVIRZOZULZUVCUVJUVLYPUVJYR
      UUQYNUULCVPVQYRUUPUVLYPUUNYRUUPOZUVKJUVIYRUUPJYQJYNVRUUOJUULVRWAXTUVINZUV
      OYQUUOOZUVKUVPYRYQUUPUUOUVPXTYNNYRYQXTYNUULVCYQJYNVAVSUVPXTUULNUUPUUOXTYN
      UULVTUUOJUULVAVSWBUVQUVKYIYNUULWLWCWDWEWFWGUVBXQUVIQZUVHUVNWHYOUUMXOYNXPU
      ULUUFUULXLUTWIUVRUUKUVMUVCUVRUUHUVJUUJUVLXQUVICWJUUIUVKJXQUVIXQUVIYIWKWMW
      NWOUIWPWQWRWSWTXAUJXNYFXBJCXQEXTXCXDXEXFXEXGXHXIWG $.
  $}

  ${
    $d A a f g h x y $.  $d B a $.  $d F a f g h x y $.  $d R a f g h x y $.
    $d g h u v x $.
    wfrlem5.1 $e |- R We A $.
    wfrlem5.2 $e |- R Se A $.
    wfrlem5.3 $e |- B = { f | E. x ( f Fn x /\ ( x C_ A /\
               A. y e. x Pred ( R , A , y ) C_ x ) /\
               A. y e. x ( f ` y ) = ( F ` ( f |` Pred ( R , A , y ) ) ) ) } $.
    $( Lemma for well-ordered recursion.  The values of two acceptable
       functions agree within their domains.  (Contributed by Scott Fenton,
       21-Apr-2011.)  (Revised by Mario Carneiro, 26-Jun-2015.) $)
    wfrlem5 $p |- ( ( g e. B /\ h e. B ) ->
                     ( ( x g u /\ x h v ) -> u = v ) ) $=
      ( va cv wa cres wceq cfv wbr cdm cin wcel vex breldm sylibr anandi brresi
      anim12i elin anbi12i sylbb2 mpancom wwe wse wfn cpred wss wfrlem3 ssinss1
      wral wess mpi sess2 jca adantr wfrlem4 ancoms incom reseq2i fneq1i fneq2i
      bitri fveq1i predeq2 ax-mp reseq12i fveq2i eqeq12i raleqbii wfr3g syl3anc
      3syl breqd biimprd wi wfun wal wfrlem2 funres wrel dffun2 simprbi 2sp sps
      4syl sylan2d syl5 ) APZDPZIPZUAZWTCPZJPZUAZQZWTXAXBXBUBZXEUBZUCZRZUAZWTXD
      XEXJRZUAZQZXBFUDZXEFUDZQZXAXDSZWTXJUDZXGXOXGWTXHUDZWTXIUDZQXTXCYAXFYBWTXA
      XBAUEZDUEZUFWTXDXEYCCUEZUFUJWTXHXIUKUGXTXGQXTXCQZXTXFQZQXOXTXCXFUHXLYFXNY
      GXJWTXAXBYDUIXJWTXDXEYEUIULUMUNXRXNWTXDXKUAZXLXSXRYHXNXRXKXMWTXDXRXJGUOZX
      JGUPZQZXKXJUQOPZXKTXKXJGYLURZRKTSOXJVBQXMXJUQZYLXMTZXMYMRZKTZSZOXJVBZQZXK
      XMSXPYKXQXPXHEUSXJEUSZYKABEFGHIKNUTXHXIEVAUUAYIYJUUAEGUOYILXJEGVCVDUUAEGU
      PYJMXJEGVEVDVFWDVGABEFGHIJKONVHXRXEXIXHUCZRZUUBUQZYLUUCTZUUCUUBGYLURZRZKT
      ZSZOUUBVBZQZYTXQXPUUKABEFGHJIKONVHVIYNUUDYSUUJYNUUCXJUQUUDXJXMUUCXJUUBXEX
      HXIVJZVKZVLXJUUBUUCUULVMVNYRUUIOXJUUBUULYOUUEYQUUHYLXMUUCUUMVOYPUUGKXMUUC
      YMUUFUUMXJUUBSYMUUFSUULXJUUBGYLVPVQVRVSVTWAULUGOXJGXKXMKWBWCWEWFXPXLYHQXS
      WGZXQXPXBWHXKWHZUUNCWIDWIZAWIZUUNABEFGHIKNWJXJXBWKUUOXKWLUUQADCXKWMWNUUPU
      UNAUUNDCWOWPWQVGWRWS $.
  $}

  ${
    $d A f g w x y z $.  $d R f g w x y z $.  $d G f g w x y z $.
    $d X f g w x y z $.
    wfrlem6.1 $e |- F = wrecs ( R , A , G ) $.
    $( The well-ordered recursion generator generates a relationship.
       (Contributed by Scott Fenton, 8-Jun-2018.) $)
    wfrrel $p |- Rel F $=
      ( vf vx vy vg wrel cv wfn wss cpred wral wa cfv cres wceq w3a cuni reluni
      wex cab wcel wfun wfrlem2 funrel syl mprgbir cwrecs df-wrecs eqtri releqi
      eqid mpbir ) CJFKZGKZLURAMABHKZNZURMHUROPUSUQQUQUTRDQSHUROTGUCFUDZUAZJZVC
      IKZJZIVAIVAUBVDVAUEVDUFVEGHAVABFIDVAUOUGVDUHUIUJCVBCABDUKVBEGHABFDULUMUNU
      P $.

    $( The domain of the well-ordered recursion generator is a subclass of
       ` A ` .  (Contributed by Scott Fenton, 21-Apr-2011.) $)
    wfrdmss $p |- dom F C_ A $=
      ( vg vf vx vy cdm cv wfn wss cpred wral wa cfv cres wceq eqtri w3a cwrecs
      wex cab ciun cuni df-wrecs dmeqi dmuni iunss eqid wfrlem3 mprgbir eqsstri
      ) CJZFGKZHKZLUQAMABIKZNZUQMIUQOPURUPQUPUSRDQSIUQOUAHUCGUDZFKJZUEZAUOUTUFZ
      JVBCVCCABDUBVCEHIABGDUGTUHFUTUITVBAMVAAMFUTFUTVAAUJHIAUTBGFDUTUKULUMUN $.

    $( Lemma for well-ordered recursion.  Compute the prececessor class for an
       ` R ` minimal element of ` ( A \ dom F ) ` .  (Contributed by Scott
       Fenton, 21-Apr-2011.) $)
    wfrlem8 $p |- ( Pred ( R , ( A \ dom F ) , X ) = (/) <->
                   Pred ( R , A , X ) = Pred ( R , dom F , X ) ) $=
      ( cpred cdm wss wa cdif c0 wceq wfrdmss predpredss biantru preddif eqeq1i
      ax-mp ssdif0 bitr4i eqss 3bitr4i ) ABEGZCHZBEGZIZUGUFUDIZJAUEKBEGZLMZUDUF
      MUHUGUEAIUHABCDFNUEABEOSPUJUDUFKZLMUGUIUKLAUEBEQRUDUFTUAUDUFUBUC $.

    $( Given ` F = wrecs ( R , A , X ) /\ X e. dom F ` , then its predecessor
       class is a subset of ` dom F ` .  (Contributed by Scott Fenton,
       21-Apr-2011.) $)
    wfrdmcl $p |- ( X e. dom F -> Pred ( R , A , X ) C_ dom F ) $=
      ( vg vf vx vy vz vw cdm wcel cpred cv wss wral wa cfv cres wceq ciun wrex
      wfn w3a wex cab cuni cwrecs df-wrecs eqtri dmeqi dmuni eleq2i eliun bitri
      wi eqid wfrlem1 abeq2i predeq3 sseq1d rspccv adantl wb fndm eleq2d sseq2d
      imbi12d adantr mpbird adantrl 3adant3 exlimiv sylbi reximia syl sseqtrrdi
      ssiun ) ECMZNZABEOZGHPZIPZUEWEAQABJPZOZWEQJWERSWFWDTWDWGUADTUBJWERUFIUGHU
      HZGPZMZUCZWAWBEWJNZGWHUDZWCWKQZWBEWKNWMWAWKEWAWHUIZMWKCWOCABDUJWOFIJABHDU
      KULUMGWHUNULZUOGEWHWJUPUQWMWCWJQZGWHUDWNWLWQGWHWIWHNWIKPZUEZWRAQZABLPZOZW
      RQZLWRRZSZXAWITWIXBUADTUBLWRRZUFZKUGZWLWQURZXHGWHIJKLAWHBHGDWHUSUTVAXGXIK
      WSXEXIXFWSXDXIWTWSXDSXIEWRNZWCWRQZURZXDXLWSXCXKLEWRXAEUBXBWCWRABXAEVBVCVD
      VEWSXIXLVFXDWSWLXJWQXKWSWJWREWRWIVGZVHWSWJWRWCXMVIVJVKVLVMVNVOVPVQGWHWJWC
      VTVRVPWPVS $.
  $}

  ${
    $d A w z $.  $d F w $.  $d R w $.
    wfrlem10.1 $e |- R We A $.
    wfrlem10.2 $e |- F = wrecs ( R , A , G ) $.
    $( Lemma for well-ordered recursion.  When ` z ` is an ` R ` minimal
       element of ` ( A \ dom F ) ` , then its predecessor class is equal to
       ` dom F ` .  (Contributed by Scott Fenton, 21-Apr-2011.) $)
    wfrlem10 $p |- ( ( z e. ( A \ dom F ) /\
                     Pred ( R , ( A \ dom F ) , z ) = (/) ) ->
                   Pred ( R , A , z ) = dom F ) $=
      ( vw cdm cdif cv cpred c0 wceq wcel wss wa wbr wn wb wfrlem8 biimpi simpr
      predss a1i weq eldifn eleq1w notbid syl5ibrcom con2d ssel syl5com wfrdmcl
      imp con3d impel eldifi elpredg sylan mtbid w3o wfrdmss sseli wor wwe weso
      ancoms ax-mp solin syl2anr ecase23d cvv vex elpred elv sylanbrc sylan9eqr
      mpan eqelssd ) BDIZJZCAKZLMNZWCWBOZBCWCLZWACWCLZWAWDWFWGNBCDEWCGUAUBWEHWG
      WAWGWAPWEWACWCUDUEWEHKZWAOZQZWIWHWCCRZWHWGOZWEWIUCWJWKHAUFZWCWHCRZWEWIWMS
      WEWMWIWEWISWMWCWAOZSZWCBWAUGZWMWIWOHAWAUHUIUJUKUOWJWCBCWHLZOZWNWEWRWAPZWS
      SZWIWEWPWTXAWQWTWSWOWRWAWCULUPUMBCDEWHGUNUQWEWCBOZWIWSWNTZWCBWAURZWIXBXCB
      WACWHWCUSVHUTVAWIWHBOZXBWKWMWNVBZWEWABWHBCDEGVCVDXDBCVEZXEXBQXFBCVFXGFBCV
      GVIBWHWCCVJVSVKVLWLWIWKQTAWAVMCWCWHHVNVOVPVQVTVR $.
  $}

  ${
    $d A f g h u v x y z $.  $d F u v x z $.  $d G f g h x y z $.
    $d R f g h x y z $.
    wfrfun.1 $e |- R We A $.
    wfrfun.2 $e |- R Se A $.
    wfrfun.3 $e |- F = wrecs ( R , A , G ) $.
    $( The well-ordered function generator generates a function.  (Contributed
       by Scott Fenton, 21-Apr-2011.)  (Revised by Mario Carneiro,
       26-Jun-2015.) $)
    wfrfun $p |- Fun F $=
      ( vx vu vv vg vf vy vh cv wbr wa wex wcel df-br wfun wrel weq wal wfn wss
      wi wfrrel cpred wral cfv cres wceq w3a cab cop cuni cwrecs df-wrecs eqtri
      eleq2i eluni bitri anbi1i exbii 3bitr4i anbi12i exdistrv bitr4i eqid an4s
      wfrlem5 impcom exlimivv sylbi ax-gen gen2 dffun2 mpbir2an ) CUACUBHOZIOZC
      PZVTJOZCPZQZIJUCZUGZJUDZIUDHUDABCDGUHWHHIWGJWEVTWAKOZPZWILOZVTUEVTAUFABMO
      ZUIZVTUFMVTUJQWLWKUKWKWMULDUKUMMVTUJUNHRLUOZSZQZVTWCNOZPZWQWNSZQZQZNRKRZW
      FWEWPKRZWTNRZQXBWBXCWDXDVTWAUPZCSZXEWISZWOQZKRZWBXCXFXEWNUQZSXICXJXECABDU
      RXJGHMABLDUSUTZVAKXEWNVBVCVTWACTWPXHKWJXGWOVTWAWITVDVEVFVTWCUPZCSZXLWQSZW
      SQZNRZWDXDXMXLXJSXPCXJXLXKVANXLWNVBVCVTWCCTWTXONWRXNWSVTWCWQTVDVEVFVGWPWT
      KNVHVIXAWFKNWJWRWOWSWFWOWSQWJWRQWFHMJIAWNBLKNDEFWNVJVLVMVKVNVOVPVQHIJCVRV
      S $.

    ${
      $d F f $.
      $( Lemma for well-ordered recursion.  Here, we compute the value of the
         recursive definition generator.  (Contributed by Scott Fenton,
         21-Apr-2011.)  (Revised by Mario Carneiro, 26-Jun-2015.) $)
      wfrlem12 $p |- ( y e. dom F ->
                    ( F ` y ) = ( G ` ( F |` Pred ( R , A , y ) ) ) ) $=
        ( vz vf vx cv cdm wcel wex cfv wceq wss wa wi cop cpred cres eldm2 wral
        vex wfn w3a cab cuni cwrecs df-wrecs eqtri eleq2i eluniab bitri elssuni
        abid sseqtrrdi sylbir wel fnop ex rsp impcom fndm sseq2d eleq2d anbi12d
        biimprd expd wfun wfrfun funssfv 3adant3l 3adant3r fveq2d mp3an1 expcom
        fun2ssres eqeq12d com23 syl6com com34 sylcom adantl com14 exp4a pm2.43d
        syl7 syldc 3impd exlimdv mpdi imp exlimiv sylbi ) ALZDMNWRILZUAZDNZIOWR
        DPZDBCWRUBZUCZEPZQZIWRDAUFUDXAXFIXAWTJLZNZXGKLZUGZXIBRZXCXIRZAXIUEZSZWR
        XGPZXGXCUCZEPZQZAXIUEZUHZKOZSZJOZXFXAWTYAJUIZUJZNYCDYEWTDBCEUKYEHKABCJE
        ULUMZUNYAJWTUOUPYBXFJXHYAXFXHYAXGDRZXFYAXGYDNZYGYAJURYHXGYEDXGYDUQYFUSU
        TXHXTYGXFTZKXHXJXNXSYIXJXHAKVAZXNXSYITTXJXHYJXIWRWSXGVBVCXJYJXSXNYIXJYJ
        XSXNYITZTXJYJYJXSYKYJXSSXRXJYJYKXSYJXRXRAXIVDVEXNYJXRXJYIXMYJXRXJYITTZT
        XKXMYJXLYLXLAXIVDYJXLXJXRYIYJXLXJXRYITZXLXJSYJXCXGMZRZWRYNNZSZYMXJXLYJY
        QTXJXLYJYQXJYQXLYJSXJYOXLYPYJXJYNXIXCXIXGVFZVGXJYNXIWRYRVHVIVJVKVEYQYGX
        RXFYGYQXRXFTZDVLZYGYQYSBCDEFGHVMYTYGYQUHZXFXRUUAXBXOXEXQYTYGYPXBXOQYOWR
        DXGVNVOUUAXDXPEYTYGYOXDXPQYPXCDXGVTVPVQWAVJVRVSWBWCVKWDWEWFWGWJWHWIWDWK
        WLWMWNWOWPWQWPWQ $.
    $}
  $}

  ${
    $d A f x y z $.  $d F f x y z $.  $d G f x y $.  $d R f x y z $.
    $d C f x y $.
    wfrlem13.1 $e |- R We A $.
    wfrlem13.2 $e |- R Se A $.
    wfrlem13.3 $e |- F = wrecs ( R , A , G ) $.
    wfrlem13.4 $e |- C = ( F u.
                      { <. z , ( G ` ( F |` Pred ( R , A , z ) ) ) >. } ) $.
    $( Lemma for well-ordered recursion.  From here through ~ wfrlem16 , we aim
       to prove that ` dom F = A ` .  We do this by supposing that there is an
       element ` z ` of ` A ` that is not in ` dom F ` .  We then define ` C `
       by extending ` dom F ` with the appropriate value at ` z ` .  We then
       show that ` z ` cannot be an ` R ` minimal element of
       ` ( A \ dom F ) ` , meaning that ` ( A \ dom F ) ` must be empty, so
       ` dom F = A ` .  Here, we show that ` C ` is a function extending the
       domain of ` F ` by one.  (Contributed by Scott Fenton, 21-Apr-2011.)
       (Revised by Mario Carneiro, 26-Jun-2015.) $)
    wfrlem13 $p |- ( z e. ( A \ dom F ) -> C Fn ( dom F u. { z } ) ) $=
      ( cdm wcel csn cun wfun wceq wfn wa cin c0 cdif cpred cres cfv cop wfrfun
      cv fvex funsn pm3.2i dmsnop ineq2i wn eldifn disjsn sylibr eqtrid sylancr
      vex funun dmun uneq2i eqtri fneq1i df-fn bitri sylanblrc ) AUGZBEKZUALZEV
      HEBDVHUBUCZFUDZUEMZNZOZVNKZVIVHMZNZPZCVRQZVJEOZVMOZRVIVMKZSZTPVOWAWBBDEFG
      HIUFVHVLAUSVKFUHZUIUJVJWDVIVQSZTWCVQVIVHVLWEUKZULVJVHVILUMWFTPVHBVIUNVIVH
      UOUPUQEVMUTURVPVIWCNVREVMVAWCVQVIWGVBVCVTVNVRQVOVSRVRCVNJVDVNVRVEVFVG $.

    $( Lemma for well-ordered recursion.  Compute the value of ` C ` .
       (Contributed by Scott Fenton, 21-Apr-2011.) $)
    wfrlem14 $p |- ( z e. ( A \ dom F ) ->
                     ( y e. ( dom F u. { z } ) ->
                       ( C ` y ) = ( G ` ( C |` Pred ( R , A , y ) ) ) ) ) $=
      ( cv wcel csn cun cfv cres wceq ax-mp c0 cdm cdif wfn cpred wfrlem13 elun
      wi wo velsn orbi2i bitri wa wfrlem12 wfun wb fnfun wss cop ssun1 sseqtrri
      w3a funssfv wfrdmcl fun2ssres syl3an3 fveq2d eqeq12d mp3an2 sylan syl5ibr
      pm2.43d vsnid elun2 reseq1i resundir wfr wwe wefr predfrirr ressnop0 mp2b
      ex uneq2i un0 eqtri 3eqtri fveq2i opeq2i opex elsn mpbir eleqtrri fnopfvb
      wn mpbiri mpan2 fveq2 predeq3 reseq2d syl5ibrcom jaod syl5bi syl ) BLZCFU
      AZUBMDXEXDNZOZUCZALZXGMZXIDPZDCEXIUDZQZGPZRZUGBCDEFGHIJKUEXJXIXEMZXIXDRZU
      HZXHXOXJXPXIXFMZUHXRXIXEXFUFXSXQXPAXDUIUJUKXHXPXOXQXHXPXOXHXPXPXOUGXPXOXH
      XPULXIFPZFXLQZGPZRZACEFGHIJUMXHDUNZXPXOYCUOZXGDUPYDFDUQZXPYEFFXDFCEXDUDZQ
      ZGPZURZNZOZDFYKUSKUTYDYFXPVAZXKXTXNYBXIDFVBYMXMYAGXPYDYFXLXEUQXMYARCEFGXI
      JVCXLDFVDVEVFVGVHVIVJWBVKXHXOXQXDDPZDYGQZGPZRZXHXDXGMZYQXDXFMYRBVLXDXFXEV
      MSXHYRULYQXDYPURZDMYSYLDYSYKMZYSYLMYTYSYJRYPYIXDYOYHGYOYLYGQYHYKYGQZOZYHD
      YLYGKVNFYKYGVOUUBYHTOYHUUATYHCEVPZXDYGMWNUUATRCEVQUUCHCEVRSCEXDVSXDYIYGVT
      WAWCYHWDWEWFWGWHYSYJXDYPWIWJWKYSYKFVMSKWLXGXDYPDWMWOWPXQXKYNXNYPXIXDDWQXQ
      XMYOGXQXLYGDCEXIXDWRWSVFVGWTXAXBXC $.

    $( Lemma for well-ordered recursion.  When ` z ` is ` R ` minimal, ` C ` is
       an acceptable function.  This step is where the Axiom of Replacement
       becomes required.  (Contributed by Scott Fenton, 21-Apr-2011.) $)
    wfrlem15 $p |- ( ( z e. ( A \ dom F ) /\
                       Pred ( R , ( A \ dom F ) , z ) = (/) ) ->
                     C e. { f | E. x ( f Fn x /\
                     ( x C_ A /\ A. y e. x Pred ( R , A , y ) C_ x ) /\
                     A. y e. x ( f ` y ) =
                     ( G ` ( f |` Pred ( R , A , y ) ) ) ) } ) $=
      ( cv wcel wceq wa wss wral cvv cdm cdif cpred c0 wfn cfv cres w3a wex csn
      cun wfrlem13 adantr wfrlem10 wse eldifi setlikespec sylancl eqeltrrd snex
      unexg mpan2 fnex sylan2 syl2anc wfrdmss snssd unss biimpi sylancr wo elun
      weq velsn orbi2i bitri wi wfrdmcl ssun3 syl ssun1 eqsstrdi predeq3 sseq1d
      a1i syl5ibrcom jaod syl5bi ralrimiv wfrlem14 fneq2 sseq1 sseq2 raleqbi1dv
      jca 3jca anbi12d raleq 3anbi123d spcedv fneq1 fveq1 reseq1 fveq2d eqeq12d
      ralbidv 3anbi13d exbidv elabd ) CNZDHUAZUBZOZXLFXJUCUDPZQZGNZANZUEZXQDRZD
      FBNZUCZXQRZBXQSZQZXTXPUFZXPYAUGZIUFZPZBXQSZUHZAUIEXQUEZYDXTEUFZEYAUGZIUFZ
      PZBXQSZUHZAUIGETXOEXKXJUJZUKZUEZXKTOZETOZXMYTXNCDEFHIJKLMULUMZXODFXJUCZXK
      TCDFHIJLUNZXMUUDTOZXNXMXJDODFUOUUFXJDXKUPZKDFXJUQURUMUSZUUAYTYSTOZUUBUUAY
      RTOZUUIXJUTZXKYRTTVAZVBYSTEVCVDVEXOYQYTYSDRZYAYSRZBYSSZQZYOBYSSZUHATYSXOU
      UAUUJUUIUUHUUKUULURXOYTUUPUUQUUCXOUUMUUOXMUUMXNXMXKDRZYRDRZUUMDFHILVFXMXJ
      DUUGVGUURUUSQUUMXKYRDVHVIVJUMXOUUNBYSXTYSOZXTXKOZBCVMZVKZXOUUNUUTUVAXTYRO
      ZVKUVCXTXKYRVLUVDUVBUVABXJVNVOVPXOUVAUUNUVBUVAUUNVQXOUVAYAXKRUUNDFHIXTLVR
      YAXKYRVSVTWEXOUUNUVBUUDYSRXOUUDXKYSUUEXKYRWAWBUVBYAUUDYSDFXTXJWCWDWFWGWHW
      IWOXMUUQXNXMYOBYSBCDEFHIJKLMWJWIUMWPXQYSPZYKYTYDUUPYPUUQXQYSEWKUVEXSUUMYC
      UUOXQYSDWLYBUUNBXQYSXQYSYAWMWNWQYOBXQYSWRWSWTXPEPZYJYQAUVFXRYKYIYPYDXQXPE
      XAUVFYHYOBXQUVFYEYLYGYNXTXPEXBUVFYFYMIXPEYAXCXDXEXFXGXHXI $.

    $( Lemma for well-ordered recursion.  If ` z ` is ` R ` minimal in
       ` ( A \ dom F ) ` , then ` C ` is acceptable and thus a subset of
       ` F ` , but ` dom C ` is bigger than ` dom F ` .  Thus, ` z ` cannot be
       minimal, so ` ( A \ dom F ) ` must be empty, and (due to ~ wfrdmss ),
       ` dom F = A ` .  (Contributed by Scott Fenton, 21-Apr-2011.) $)
    wfrlem16 $p |- dom F = A $=
      ( vf vx vy cdm wss c0 wceq cv cpred wcel wfrdmss cdif wrex eldifn csn cun
      wa ssun2 vsnid sselii cres cfv cop dmeqi dmun fvex dmsnop uneq2i eleqtrri
      3eqtri wfn wral w3a wex cab wfrlem15 elssuni syl df-wrecs eqtri sseqtrrdi
      cuni cwrecs dmss sseld mpi mtand nrex wne df-ne difss tz6.26i mpan sylbir
      wn mt3 ssdif0 mpbir eqssi ) ENZBBDEFIUABWJOBWJUBZPQZWLWKDARZSPQZAWKUCZWNA
      WKWMWKTZWNWMWJTZWMBWJUDWPWNUGZWMCNZTWQWMWJWMUEZUFZWSWTXAWMWTWJUHAUIUJWSEW
      MEBDWMSUKZFULZUMUEZUFZNWJXDNZUFXACXEJUNEXDUOXFWTWJWMXCXBFUPUQURUTUSWRWSWJ
      WMWRCEOWSWJOWRCKRZLRZVAXHBOBDMRZSZXHOMXHVBUGXIXGULXGXJUKFULQMXHVBVCLVDKVE
      ZVLZEWRCXKTCXLOLMABCDKEFGHIJVFCXKVGVHEBDFVMXLILMBDKFVIVJVKCEVNVHVOVPVQVRW
      LWEWKPVSZWOWKPVTWKBOXMWOBWJWAABWKDGHWBWCWDWFBWJWGWHWI $.
  $}

  ${
    $d F f g x y z w $.  $d R f g x y z w $.  $d A f g x y z w $.
    $d G f g x y z w $.  $d X f g x y z w $.
    wfrlem17.1 $e |- R We A $.
    wfrlem17.2 $e |- R Se A $.
    wfrlem17.3 $e |- F = wrecs ( R , A , G ) $.
    $( Without using ~ ax-rep , show that all restrictions of ` wrecs ` are
       sets.  (Contributed by Scott Fenton, 31-Jul-2020.) $)
    wfrlem17 $p |- ( X e. dom F -> ( F |` Pred ( R , A , X ) ) e. _V ) $=
      ( vg vf vx vy vz vw wcel cfv cv wss wral wa cdm cop wfn cres wceq w3a wex
      cpred cab cvv wfun wfrfun funfvop mpan cwrecs df-wrecs eqtri eleq2i eluni
      cuni bitri sylib simprr vex wfrlem3a 3simpa simprlr elssuni sseqtrrdi syl
      eqid predeq3 sseq1d simprrr adantl wbr simprll sylibr fvex breldmg mp3an2
      df-br simprrl fndmd eleqtrd rspcdva sseqtrrd fun2ssres mp3an2i resex expr
      syldan eqeltrdi syl5 exlimdv mpd exlimddv ) ECUAZOZEECPZUBZIQZOZXBJQZKQZU
      CXEARABLQZUHZXERLXESTXFXDPXDXGUDDPUELXESUFKUGJUIZOZTZCABEUHZUDZUJOZIWSXAC
      OZXJIUGZCUKZWSXNABCDFGHULZECUMUNXNXAXHUTZOXOCXRXACABDUOXRHKLABJDUPUQZURIX
      AXHUSVAVBWSXJTZXBMQZUCZYAARZABNQZUHZYARZNYASZTZYDXBPXBYEUDDPUENYASZUFZMUG
      ZXMXTXIYKWSXCXIVCKLMNAXHBJDXBXHVKIVDZVEVBXTYJXMMYJYBYHTZXTXMYBYHYIVFWSXJY
      MXMWSXJYMTZTZXLXBXKUDZUJXPYOXBCRZXKXBUAZRXLYPUEXQYOXIYQWSXCXIYMVGXIXBXRCX
      BXHVHXSVIVJYOXKYAYRYOYFXKYARNYAEYDEUEYEXKYAABYDEVLVMYNYGWSXJYBYCYGVNVOYOE
      YRYAWSYNEWTXBVPZEYROZYOXCYSWSXCXIYMVQEWTXBWBVRWSWTUJOYSYTECVSEWTWRUJXBVTW
      AWLYOYAXBWSXJYBYHWCWDZWEWFUUAWGXKCXBWHWIXBXKYLWJWMWKWNWOWPWQ $.
  $}

  ${
    $d R x $.  $d A x $.  $d X x $.  $d G x $.  $d F x $.
    wfr2a.1 $e |- R We A $.
    wfr2a.2 $e |- R Se A $.
    wfr2a.3 $e |- F = wrecs ( R , A , G ) $.
    $( A weak version of ~ wfr2 which is useful for proofs that avoid the Axiom
       of Replacement.  (Contributed by Scott Fenton, 30-Jul-2020.) $)
    wfr2a $p |- ( X e. dom F ->
    ( F ` X ) = ( G ` ( F |` Pred ( R , A , X ) ) ) ) $=
      ( vx cv cfv cpred cres wceq cdm fveq2 predeq3 reseq2d fveq2d eqeq12d
      wfrlem12 vtoclga ) IJZCKZCABUCLZMZDKZNECKZCABELZMZDKZNIECOUCENZUDUHUGUKUC
      ECPULUFUJDULUEUICABUCEQRSTIABCDFGHUAUB $.
  $}

  ${
    $d A z $.  $d F z $.  $d R z $.
    wfr1.1 $e |- R We A $.
    wfr1.2 $e |- R Se A $.
    wfr1.3 $e |- F = wrecs ( R , A , G ) $.
    $( The Principle of Well-Ordered Recursion, part 1 of 3.  We start with an
       arbitrary function ` G ` .  Then, using a base class ` A ` and a
       well-ordering ` R ` of ` A ` , we define a function ` F ` .  This
       function is said to be defined by "well-ordered recursion".  The purpose
       of these three theorems is to demonstrate the properties of ` F ` .  We
       begin by showing that ` F ` is a function over ` A ` .  (Contributed by
       Scott Fenton, 22-Apr-2011.)  (Revised by Mario Carneiro,
       26-Jun-2015.) $)
    wfr1 $p |- F Fn A $=
      ( vz wfn wfun cdm wceq wfrfun cv cpred cres cfv cop csn cun eqid wfrlem16
      df-fn mpbir2an ) CAICJCKALABCDEFGMHACHNZCABUEOPDQRSTZBCDEFGUFUAUBCAUCUD
      $.
  $}

  ${
    $d A x $.  $d F x $.  $d G x $.  $d R x $.
    wfr2.1 $e |- R We A $.
    wfr2.2 $e |- R Se A $.
    wfr2.3 $e |- F = wrecs ( R , A , G ) $.
    $( The Principle of Well-Ordered Recursion, part 2 of 3.  Next, we show
       that the value of ` F ` at any ` X e. A ` is ` G ` recursively applied
       to all "previous" values of ` F ` .  (Contributed by Scott Fenton,
       18-Apr-2011.)  (Revised by Mario Carneiro, 26-Jun-2015.) $)
    wfr2 $p |- ( X e. A ->
                  ( F ` X ) = ( G ` ( F |` Pred ( R , A , X ) ) ) ) $=
      ( vx wcel cdm cfv cpred cres wceq cv cop csn cun eqid eleq2i wfr2a sylbir
      wfrlem16 ) EAJECKZJECLCABEMNDLOUEAEIACIPZCABUFMNDLQRSZBCDFGHUGTUDUAABCDEF
      GHUBUC $.
  $}

  ${
    $d A z $.  $d F z $.  $d G z $.  $d H z $.  $d R z $.
    wfr3.1 $e |- R We A $.
    wfr3.2 $e |- R Se A $.
    wfr3.3 $e |- F = wrecs ( R , A , G ) $.
    $( The principle of Well-Ordered Recursion, part 3 of 3.  Finally, we show
       that ` F ` is unique.  We do this by showing that any function ` H `
       with the same properties we proved of ` F ` in ~ wfr1 and ~ wfr2 is
       identical to ` F ` .  (Contributed by Scott Fenton, 18-Apr-2011.)
       (Revised by Mario Carneiro, 26-Jun-2015.) $)
    wfr3 $p |- ( ( H Fn A /\
                    A. z e. A ( H ` z ) =
                            ( G ` ( H |` Pred ( R , A , z ) ) ) ) ->
                  F = H ) $=
      ( wwe wse wa wfn cv cfv cpred cres wceq wral pm3.2i wfr1 wfr2 rgen wfr3g
      mp3an12 ) BCJZBCKZLDBMZANZDODBCUIPZQEORZABSZLFBMUIFOFUJQEORABSLDFRUFUGGHT
      UHULBCDEGHIUAUKABBCDEUIGHIUBUCTABCDFEUDUE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Functions on ordinals; strictly monotone ordinal functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.
    $( The indexed union of a set of ordinal numbers ` B ( x ) ` is an ordinal
       number.  (Contributed by NM, 13-Oct-2003.)  (Revised by Mario Carneiro,
       5-Dec-2016.) $)
    iunon $p |- ( ( A e. V /\ A. x e. A B e. On ) -> U_ x e. A B e. On ) $=
      ( wcel con0 wral wa ciun cmpt crn cuni wceq dfiun3g adantl cvv wss mptexg
      rnexg syl eqid rnmptss ssonuni imp syl2an eqeltrd ) BDEZCFEABGZHABCIZABCJ
      ZKZLZFUHUIULMUGABCFNOUGUKPEZUKFQZULFEZUHUGUJPEUMABCDRUJPSTABCFUJUJUAUBUMU
      NUOUKPUCUDUEUF $.
  $}

  ${
    $d x A $.
    $( The nonempty indexed intersection of a class of ordinal numbers
       ` B ( x ) ` is an ordinal number.  (Contributed by NM, 13-Oct-2003.)
       (Proof shortened by Mario Carneiro, 5-Dec-2016.) $)
    iinon $p |- ( ( A. x e. A B e. On /\ A =/= (/) ) ->
                |^|_ x e. A B e. On ) $=
      ( con0 wcel wral c0 wne wa ciin cmpt crn cint wceq dfiin3g adantr rnmptss
      wss eqid cdm dm0rn0 bitr3id necon3bid biimpar oninton syl2an2r eqeltrd
      dmmptg eqeq1d ) CDEABFZBGHZIABCJZABCKZLZMZDUJULUONUKABCDOPUJUNDRUKUNGHZUO
      DEABCDUMUMSQUJUPUKUJUNGBGUNGNUMTZGNUJBGNUMUAUJUQBGABCDUHUIUBUCUDUNUEUFUG
      $.
  $}

  ${
    $d x y S $.  $d x y F $.  $d x T $.
    onfununi.1 $e |- ( Lim y -> ( F ` y ) = U_ x e. y ( F ` x ) ) $.
    onfununi.2 $e |- ( ( x e. On /\ y e. On /\ x C_ y )
                  -> ( F ` x ) C_ ( F ` y ) ) $.
    $( A property of functions on ordinal numbers.  Generalization of Theorem
       Schema 8E of [Enderton] p. 218.  (Contributed by Eric Schmidt,
       26-May-2009.) $)
    onfununi $p |- ( ( S e. T /\ S C_ On /\ S =/= (/) )
                -> ( F ` U. S ) = U_ x e. S ( F ` x ) ) $=
      ( wcel con0 wss cfv ciun wa wceq word wi syl6 imp adantr fveq2 c0 wne w3a
      cuni cv wn wlim ssorduni ad2antrr nelneq wo elssuni adantl ssel ordsseleq
      eloni syl2an anabss1 mpbid ord con1d syl5 exp4b pm2.43d com23 ssrdv sylan
      wb ssn0 unissd orduniss syl eqssd df-lim syl3anbrc an32s 3adantl1 ssonuni
      limeq iuneq1 eqeq12d imbi12d vtoclg 3adant3 mpd wral eluni2 anim1d onelon
      wrex adantrd ordelss a1i syland 3jcad expd reximdvai ssiun ralrimiv iunss
      syl5bi sylibr cbviunv sseqtrdi 3ad2ant2 eqsstrd ex ssiun2s pm2.61d2 sseq2
      jca2 anbi2d sseq2d 3com12 3expib vtoclga sylsyld ) CDHZCIJZCUAUBZUCZCUDZE
      KZACAUEZEKZLZYAYBCHZYCYFJZYAYGUFZYHYAYIMZYCAYBYELZYFYJYBUGZYCYKNZXSXTYIYL
      XRXSYIXTYLXSYIMZXTMYBOZYBUAUBZYBYBUDZNZYLXSYOYIXTCUHZUIYNCYBJXTYPYNACYBXS
      YIYDCHZYDYBHZPXSYTYIUUAXSYTYIUUAPXSYTYTYIUUAYTYIMYDYBNZUFXSYTMZUUAYDYBCUJ
      UUCUUAUUBUUCUUAUUBUUCYDYBJZUUAUUBUKZYTUUDXSYDCULZUMXSYTUUDUUEVHZUUCYDOZYO
      UUGXSXSYTUUHXSYTYDIHZUUHCIYDUNZYDUPQRYSYDYBUOUQURUSUTVAVBVCVDVERVFZCYBVIV
      GYNYRXTYNYBYQYNCYBUUKVJXSYQYBJZYIXSYOUULYSYBVKVLSVMSYBVNVOVPVQYAYLYMPZYIX
      RXSUUMXTXRXSUUMXRXSYBIHZUUMCDVRZBUEZUGZUUPEKZAUUPYELZNZPUUMBYBIUUPYBNZUUQ
      YLUUTYMUUPYBVSUVAUURYCUUSYKUUPYBETZAUUPYBYEVTWAWBFWCQRWDSWEYAYKYFJZYIXSXR
      UVCXTXSYKBCUURLZYFXSYEUVDJZAYBWFYKUVDJXSUVEAYBXSUUAYEUURJZBCWJZUVEUUAYDUU
      PHZBCWJXSUVGBYDCWGXSUVHUVFBCXSUUPCHZUVHUVFXSUVIUVHMZUUIUUPIHZYDUUPJZUCUVF
      XSUVJUUIUVKUVLXSUVJUVKUVHMUUIXSUVIUVKUVHCIUUPUNZWHUUPYDWIQXSUVIUVKUVHUVMW
      KXSUVIUUPOZUVHUVLXSUVIUVKUVNUVMUUPUPQUVNUVHMUVLPXSUUPYDWLWMWNWOGQWPWQXABC
      UURYEWRQWSAYBYEUVDWTXBBACUURYEUUPYDETXCXDXESXFXGACYEYBYCYDYBETXHXIYAYEYCJ
      ZACWFYFYCJYAUVOACYAUUNYTUUIUUDMZUVOXRXSUUNXTXRXSUUNUUORWDYAYTUUIUUDXSXRYT
      UUIPXTUUJXEUUFXKUUIUVLMZUVFPUVPUVOPBYBIUVAUVQUVPUVFUVOUVAUVLUUDUUIUUPYBYD
      XJXLUVAUURYCYEUVBXMWBUVKUUIUVLUVFUUIUVKUVLUVFGXNXOXPXQWSACYEYCWTXBVM $.
  $}

  ${
    $d w x y z A $.  $d w x y z F $.  $d w x y z K $.  $d w x y L $.
    $d w x y z S $.  $d w T $.
    onovuni.1 $e |- ( Lim y -> ( A F y ) = U_ x e. y ( A F x ) ) $.
    onovuni.2 $e |- ( ( x e. On /\ y e. On /\ x C_ y )
                  -> ( A F x ) C_ ( A F y ) ) $.
    ${
      $d x T $.
      $( A variant of ~ onfununi for operations.  (Contributed by Eric Schmidt,
         26-May-2009.)  (Revised by Mario Carneiro, 11-Sep-2015.) $)
      onovuni $p |- ( ( S e. T /\ S C_ On /\ S =/= (/) )
                     -> ( A F U. S ) = U_ x e. S ( A F x ) ) $=
        ( vz wcel con0 cvv cv co cfv ciun wceq oveq2 ovex fvmpt wss c0 wne cuni
        w3a cmpt wlim eqid elv iuneq2i 3eqtr4g 3sstr4g onfununi uniexg 3ad2ant1
        a1i syl 3eqtr3d ) DEJZDKUAZDUBUCZUEZDUDZILCIMZFNZUFZOZADAMZVFOZPZCVCFNZ
        ADCVHFNZPZABDEVFBMZUGCVNFNZAVNVLPVNVFOZAVNVIPGVPVOQBIVNVEVOLVFVDVNCFRVF
        UHZCVNFSTUIZAVNVIVLVIVLQZVHVNJVSAIVHVEVLLVFVDVHCFRVQCVHFSTUIZUPUJUKVHKJ
        VNKJVHVNUAUEVLVOVIVPHVTVRULUMUSUTVGVKQZVAUSVCLJWADEUNIVCVEVKLVFVDVCCFRV
        QCVCFSTUQUOVJVMQVBADVIVLVSVHDJVTUPUJUPUR $.
    $}

    $( A variant of ~ onovuni with indexed unions.  (Contributed by Eric
       Schmidt, 26-May-2009.)  (Proof shortened by Mario Carneiro,
       5-Dec-2016.) $)
    onoviun $p |- ( ( K e. T /\ A. z e. K L e. On /\ K =/= (/) )
                -> ( A F U_ z e. K L ) = U_ z e. K ( A F L ) ) $=
      ( vw wcel con0 c0 wne ciun co wceq 3ad2ant2 cvv wral w3a cmpt crn cuni cv
      dfiun3g oveq2d wss simp1 mptexg rnexg 3syl simp2 eqid fmpt sylib frnd cdm
      wf dmmptg simp3 eqnetrd necon3bii onovuni syl3anc wrex wb oveq2 rexrnmptw
      dm0rn0 eleq2d eliun 3bitr4g eqrdv 3eqtrd ) GELZHMLCGUAZGNOZUBZDCGHPZFQDCG
      HUCZUDZUEZFQZAWCDAUFZFQZPZCGDHFQZPZVTWAWDDFVRVQWAWDRVSCGHMUGSUHVTWCTLZWCM
      UIWCNOZWEWHRVTVQWBTLWKVQVRVSUJCGHEUKWBTULUMVTGMWBVTVRGMWBUTVQVRVSUNCGMHWB
      WBUOZUPUQURVTWBUSZNOWLVTWNGNVRVQWNGRVSCGHMVASVQVRVSVBVCWNNWCNWBVKVDUQABDW
      CTFIJVEVFVTKWHWJVTKUFZWGLZAWCVGZWOWILZCGVGZWOWHLWOWJLVRVQWQWSVHVSWPWRCAGH
      WBMWMWFHRWGWIWOWFHDFVIVLVJSAWOWCWGVMCWOGWIVMVNVOVP $.
  $}

  ${
    $d w x y z F $.
    $( There are no length ` _om ` decreasing sequences in the ordinals.  See
       also ~ noinfep for a stronger version assuming Regularity.  (Contributed
       by Mario Carneiro, 19-May-2015.) $)
    onnseq $p |- ( ( F ` (/) ) e. On ->
      E. x e. _om -. ( F ` suc x ) e. ( F ` x ) ) $=
      ( vy vw vz c0 cfv con0 wcel cv csuc com wral wrex wceq fveq2 eleq1d sylib
      wne cvv wn crn cin wa cep wwe wss epweon wf simpl wi suceq fveq2d eleq12d
      cmpt rspcv onelon expcom syl6 adantld finds2 com12 ralrimiv eqid fmpt cdm
      frnd peano1 fdmd eleqtrrid ne0d dm0rn0 necon3bii wefrc mp3an2i fvex rgenw
      cbvmptv ineq2 eqeq1d rexrnmptw ax-mp peano2 adantl sylancl elrnmpt sylibr
      wb rspceeqv rspccva adantll inelcm syl2anc neneqd nrexdv pm2.65da rexnal
      ) FBGZHIZAJZKZBGZWTBGZIZALMZUAXDUAALNWSXECLCJZBGZUOZUBZDJZBGZUCZFOZDLNZWS
      XEUDZXIEJZUCZFOZEXINZXNHUEUFXOXIHUGXIFSZXSUHXOLHXHXOXGHIZCLMLHXHUIXOYACLX
      FLIXOYAYAWSXPBGZHIZXPKZBGZHIZXOCEXFFOXGWRHXFFBPQXFXPOXGYBHXFXPBPQXFYDOXGY
      EHXFYDBPQWSXEUJXPLIZXEYCYFUKZWSYGXEYEYBIZYHXDYIAXPLWTXPOZXBYEXCYBYJXAYDBW
      TXPULUMWTXPBPUNUPYCYIYFYBYEUQURUSUTVAVBVCCLHXGXHXHVDZVERZVGXOXHVFZFSXTXOY
      MFXOFLYMVHXOLHXHYLVIVJVKYMFXIFXHVLVMREHXIVNVOXKTIZDLMXSXNWHYNDLXJBVPVQXRX
      MDELXKXHTCDLXGXKXFXJBPVRXPXKOXQXLFXPXKXIVSVTWAWBRXOXMDLXOXJLIZUDZXLFYPXJK
      ZBGZXIIZYRXKIZXLFSYPYRXGOCLNZYSYPYQLIZYRYROUUAYOUUBXOXJWCWDYRVDCYQLXGYRYR
      XFYQBPWIWEYRTIYSUUAWHYQBVPCLXGYRXHTYKWFWBWGXEYOYTWSXDYTAXJLWTXJOZXBYRXCXK
      UUCXAYQBWTXJULUMWTXJBPUNWJWKYRXIXKWLWMWNWOWPXDALWQWG $.
  $}

  $c Smo $.

  $( Introduce the strictly monotone ordinal function.  A strictly monotone
     function is one that is constantly increasing across the ordinals. $)
  wsmo $a wff Smo A $.

  ${
    $d x y A $.
    $( Definition of a strictly monotone ordinal function.  Definition 7.46 in
       [TakeutiZaring] p. 50.  (Contributed by Andrew Salmon, 15-Nov-2011.) $)
    df-smo $a |- ( Smo A <-> ( A : dom A --> On /\ Ord dom A /\ A. x e. dom A
       A. y e. dom A ( x e. y -> ( A ` x ) e. ( A ` y ) ) ) ) $.
  $}

  ${
    $d F x y $.
    $( Alternate definition of a strictly monotone ordinal function.
       (Contributed by Mario Carneiro, 4-Mar-2013.) $)
    dfsmo2 $p |- ( Smo F <-> ( F : dom F --> On /\ Ord dom F /\ A. x e. dom F
       A. y e. x ( F ` y ) e. ( F ` x ) ) ) $=
      ( wsmo cdm con0 wf word wel cfv wcel wral w3a df-smo ralcom impexp 3anass
      cv wi wa simpr ordtr1 3impib 3com23 simp3 3expia impbid2 bitr3id ralbidv2
      jca imbi1d ralbidva syl5bb pm5.32i anbi2i 3bitr4i bitri ) CDCEZFCGZURHZBA
      IZBRZCJARZCJKZSZAURLBURLZMZUSUTVDBVCLZAURLZMZBACNUSUTVFTZTUSUTVITZTVGVJVK
      VLUSUTVFVIVFVEBURLZAURLUTVIVEBAURUROUTVMVHAURUTVCURKZTZVEVDBURVCVBURKZVES
      VPVATZVDSVOVEVPVAVDPVOVQVAVDVOVQVAVPVAUAUTVNVAVQUTVNVAMVPVAUTVAVNVPUTVAVN
      VPVBVCURUBUCUDUTVNVAUEUJUFUGUKUHUIULUMUNUOUSUTVFQUSUTVIQUPUQ $.
  $}

  ${
    $d x y A $.
    issmo.1 $e |- A : B --> On $.
    issmo.2 $e |- Ord B $.
    issmo.3 $e |- ( ( x e. B /\ y e. B ) -> ( x e. y -> ( A ` x ) e. ( A ` y
       ) ) ) $.
    issmo.4 $e |- dom A = B $.
    $( Conditions for which ` A ` is a strictly monotone ordinal function.
       (Contributed by Andrew Salmon, 15-Nov-2011.)  Avoid ~ ax-13 .  (Revised
       by Gino Giotto, 19-May-2023.) $)
    issmo $p |- Smo A $=
      ( wsmo cdm con0 wf word wel cv cfv wcel wral mpbir eleq2i wi wceq syl2anb
      feq2i wb ordeq ax-mp rgen2 df-smo mpbir3an ) CICJZKCLZUKMZABNAOZCPBOZCPQU
      AZBUKRAUKRULDKCLEUKDKCHUDSUMDMZFUKDUBUMUQUEHUKDUFUGSUPABUKUKUNUKQUNDQUODQ
      UPUOUKQUKDUNHTUKDUOHTGUCUHABCUIUJ $.
    $( $j usage 'issmo' avoids 'ax-13'; $)
  $}

  ${
    $d A x $.  $d F x y $.
    $( Alternate definition of a strictly monotone ordinal function.
       (Contributed by Mario Carneiro, 12-Mar-2013.) $)
    issmo2 $p |- ( F : A --> B -> ( ( B C_ On /\ Ord A /\
       A. x e. A A. y e. x ( F ` y ) e. ( F ` x ) ) -> Smo F ) ) $=
      ( wf con0 wss word cv cfv wcel wral w3a cdm wsmo fss ex fdm biimprd feq2d
      sylibrd wceq wb ordeq syl raleqdv 3anim123d dfsmo2 syl6ibr ) CDEFZDGHZCIZ
      BJEKAJZEKLBUNMZACMZNEOZGEFZUQIZUOAUQMZNEPUKULURUMUSUPUTUKULCGEFZURUKULVAC
      DGEQRUKUQCGECDESZUAUBUKUSUMUKUQCUCUSUMUDVBUQCUEUFTUKUTUPUKUOAUQCVBUGTUHAB
      EUIUJ $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Equality theorem for strictly monotone functions.  (Contributed by
       Andrew Salmon, 16-Nov-2011.) $)
    smoeq $p |- ( A = B -> ( Smo A <-> Smo B ) ) $=
      ( vx vy wceq cdm con0 wf word cv wcel cfv wi wral w3a wsmo raleqdv df-smo
      id fveq1 dmeq feq12d wb ordeq syl eleq12d imbi2d ralbidv 3bitrd 3anbi123d
      2ralbidv 3bitr4g ) ABEZAFZGAHZUNIZCJZDJZKZUQALZURALZKZMZDUNNCUNNZOBFZGBHZ
      VEIZUSUQBLZURBLZKZMZDVENZCVENZOAPBPUMUOVFUPVGVDVMUMUNVEGABUMSABUAZUBUMUNV
      EEUPVGUCVNUNVEUDUEUMVDVKDUNNZCUNNVLCUNNVMUMVCVKCDUNUNUMVBVJUSUMUTVHVAVIUQ
      ABTURABTUFUGUKUMVOVLCUNUMVKDUNVEVNQUHUMVLCUNVEVNQUIUJCDARCDBRUL $.

    $( The domain of a strictly monotone function is an ordinal.  (Contributed
       by Andrew Salmon, 16-Nov-2011.) $)
    smodm $p |- ( Smo A -> Ord dom A ) $=
      ( vx vy wsmo cdm con0 wf word cv wcel cfv wi wral df-smo simp2bi ) ADAEZF
      AGPHBIZCIZJQAKRAKJLCPMBPMBCANO $.

    $( A strictly monotone function restricted to an ordinal remains strictly
       monotone.  (Contributed by Andrew Salmon, 16-Nov-2011.)  (Proof
       shortened by Mario Carneiro, 5-Dec-2016.) $)
    smores $p |- ( ( Smo A /\ B e. dom A ) -> Smo ( A |` B ) ) $=
      ( vx vy cdm wcel wsmo con0 wf word cv cfv wi wral w3a wfn crn wss ax-mp
      wa cres wfun funfn 3imtr3i resss rnssi sstr mpan anim12i df-f 3imtr4i a1i
      funres cin ordelord expcom ordin ex syli wceq wb dmres ordeq syl6ibr dmss
      ssralv ralimi syl inss1 eqsstri simpl sselid fvresd simpr imbi2d ralbidva
      eleq12d ralbiia sylibr 3anim123d df-smo 3imtr4g impcom ) BAEZFZAGZABUAZGZ
      WEWDHAIZWDJZCKZDKZFZWKALZWLALZFZMZDWDNZCWDNZOWGEZHWGIZWTJZWMWKWGLZWLWGLZF
      ZMZDWTNZCWTNZOWFWHWEWIXAWJXBWSXHWIXAMWEAWDPZAQZHRZTWGWTPZWGQZHRZTWIXAXIXL
      XKXNAUBWGUBXIXLBAUMAUCWGUCUDXMXJRXKXNWGAABUEZUFXMXJHUGUHUIWDHAUJWTHWGUJUK
      ULWEWJBWDUNZJZXBWJWEBJZXQWJWEXRWDBUOUPXRWJXQBWDUQURUSWTXPUTXBXQVAABVBZWTX
      PVCSVDWSXHMWEWSWQDWTNZCWTNZXHWSWRCWTNZYAWTWDRZWSYBMWGARYCXOWGAVESZWRCWTWD
      VFSWRXTCWTYCWRXTMYDWQDWTWDVFSVGVHXGXTCWTWKWTFZXFWQDWTYEWLWTFZTZXEWPWMYGXC
      WNXDWOYGWKBAYGWTBWKWTXPBXSBWDVIVJZYEYFVKVLVMYGWLBAYGWTBWLYHYEYFVNVLVMVQVO
      VPVRVSULVTCDAWACDWGWAWBWC $.

    $( A strictly monotone function restricted to an ordinal remains strictly
       monotone.  (Contributed by Andrew Salmon, 19-Nov-2011.) $)
    smores3 $p |- ( ( Smo ( A |` B ) /\ C e. ( dom A i^i B ) /\ Ord B ) -> Smo
       ( A |` C ) ) $=
      ( cres wsmo cdm cin wcel word w3a dmres incom eqtri eleq2i smores 3adant3
      sylan2br wss wceq wb elinel2 ordelss ancoms sylan 3adant1 resabs1 smoeq
      3syl mpbid ) ABDZEZCAFZBGZHZBIZJZUJCDZEZACDZEZUKUNURUOUNUKCUJFZHURVAUMCVA
      BULGUMABKBULLMNUJCOQPUPCBRZUQUSSURUTTUNUOVBUKUNCBHZUOVBCULBUAUOVCVBBCUBUC
      UDUEACBUFUQUSUGUHUI $.
  $}

  ${
    $d A x y $.  $d F x y $.
    $( A strictly monotone ordinal function restricted to an ordinal is still
       monotone.  (Contributed by Mario Carneiro, 15-Mar-2013.) $)
    smores2 $p |- ( ( Smo F /\ Ord A ) -> Smo ( F |` A ) ) $=
      ( vy vx wsmo word wa cdm con0 wf cv cfv wcel wral crn wss dfsmo2 syl wceq
      adantr cres wfun simp1bi ffund funres funfnd cima df-ima imassrn eqsstrri
      wfn frnd sstrid df-f sylanbrc smodm cin ordin wb dmres ordeq ax-mp sylibr
      ancoms sylan resss simp3bi ssralv mpsyl wel wi ordtr1 inss1 eqsstri sseli
      dmss syl6 expcomd imp31 fvresd ad2antlr eleq12d ralbidva mpbird syl3anbrc
      ) BEZAFZGZBAUAZHZIWIJZWJFZCKZWILZDKZWILZMZCWONZDWJNZWIEWFWKWGWFWIWJUKZWIO
      ZIPWKWFBUBZWTWFBHZIBWFXCIBJZXCFZWMBLZWOBLZMZCWONZDXCNZDCBQZUCZUDXBWIABUEU
      FRWFXABOZIXABAUGXMBAUHBAUIUJWFXCIBXLULUMWJIWIUNUOTWFXEWGWLBUPWGXEWLWGXEGA
      XCUQZFZWLAXCURWJXNSWLXOUSBAUTZWJXNVAVBVCVDVEZWHWSXIDWJNZWFXRWGWJXCPZWFXJX
      RWIBPXSBAVFWIBVPVBWFXDXEXJXKVGXIDWJXCVHVITWHWRXIDWJWHWOWJMZGZWQXHCWOYACDV
      JZGZWNXFWPXGYCWMABWHXTYBWMAMZWHYBXTYDWHYBXTGZWMWJMZYDWHWLYEYFVKXQWMWOWJVL
      RWJAWMWJXNAXPAXCVMVNZVOVQVRVSVTXTWPXGSWHYBXTWOABWJAWOYGVOVTWAWBWCWCWDDCWI
      QWE $.
  $}

  $( The domain of a strictly monotone ordinal function is an ordinal.
     (Contributed by Mario Carneiro, 12-Mar-2013.) $)
  smodm2 $p |- ( ( F Fn A /\ Smo F ) -> Ord A ) $=
    ( wsmo wfn cdm word smodm wceq wb fndm ordeq syl biimpa sylan2 ) BCBADZBEZF
    ZAFZBGOQROPAHQRIABJPAKLMN $.

  ${
    $d F x y $.
    $( The function values of a strictly monotone ordinal function are
       ordinals.  (Contributed by Mario Carneiro, 12-Mar-2013.) $)
    smofvon2 $p |- ( Smo F -> ( F ` B ) e. On ) $=
      ( vy vx cdm wcel wsmo cfv con0 wi word wral dfsmo2 simp1bi ffvelrn expcom
      wf cv syl5 wn c0 ndmfv 0elon eqeltrdi a1d pm2.61i ) ABEZFZBGZABHZIFZJUIUG
      IBQZUHUKUIULUGKCRBHDRZBHFCUMLDUGLDCBMNULUHUKUGIABOPSUHTZUKUIUNUJUAIABUBUC
      UDUEUF $.
  $}

  ${
    $d x y A $.
    iordsmo.1 $e |- Ord A $.
    $( The identity relation restricted to the ordinals is a strictly monotone
       function.  (Contributed by Andrew Salmon, 16-Nov-2011.) $)
    iordsmo $p |- Smo ( _I |` A ) $=
      ( vx vy cid cres con0 wf wfn crn wss fnresi rnresi word ordsson wcel wceq
      cv cfv fvresi ax-mp eqsstri df-f mpbir2an wa adantr adantl eleq12d dmresi
      biimprd issmo ) CDEAFZAAGULHULAIULJZGKALUMAGAMANAGKBAOUAUBAGULUCUDBCRZAPZ
      DRZAPZUEZUNULSZUPULSZPUNUPPURUSUNUTUPUOUSUNQUQAUNTUFUQUTUPQUOAUPTUGUHUJAU
      IUK $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y F $.
    $( The null set is a strictly monotone ordinal function.  (Contributed by
       Andrew Salmon, 20-Nov-2011.) $)
    smo0 $p |- Smo (/) $=
      ( cid c0 cres wsmo ord0 iordsmo wceq wb res0 smoeq ax-mp mpbi ) ABCZDZBDZ
      BEFMBGNOHAIMBJKL $.

    $( If ` B ` is a strictly monotone ordinal function, and ` A ` is in the
       domain of ` B ` , then the value of the function at ` A ` is an ordinal.
       (Contributed by Andrew Salmon, 20-Nov-2011.) $)
    smofvon $p |- ( ( Smo B /\ A e. dom B ) -> ( B ` A ) e. On ) $=
      ( vx vy wsmo cdm con0 wf word cv wcel cfv wral df-smo simp1bi ffvelrnda
      wi ) BEZBFZGABRSGBHSICJZDJZKTBLUABLKQDSMCSMCDBNOP $.

    $( If ` x ` is less than ` y ` then a strictly monotone function's value
       will be strictly less at ` x ` than at ` y ` .  (Contributed by Andrew
       Salmon, 22-Nov-2011.) $)
    smoel $p |- ( ( Smo B /\ A e. dom B /\ C e. A ) -> ( B ` C ) e. ( B ` A )
       ) $=
      ( vx vy wsmo cdm wcel cfv wa wi word smodm ordtr1 expdimp wral wceq fveq2
      cv imbi12d ancomsd sylan con0 w3a df-smo eleq1 eleq1d eleq2 eleq2d rspc2v
      wf ancoms com12 3ad2ant3 sylbi syld pm2.43d 3impia ) BFZABGZHZCAHZCBIZABI
      ZHZUSVAJZVBVEVFVBCUTHZVBVEKZUSUTLZVAVBVGKBMVIVAVBVGVIVBVAVGCAUTNUAOUBUSVA
      VGVHUSUTUCBUKZVIDSZESZHZVKBIZVLBIZHZKZEUTPDUTPZUDVAVGJZVHKZDEBUEVRVJVTVIV
      SVRVHVGVAVRVHKVQVHCVLHZVCVOHZKDECAUTUTVKCQZVMWAVPWBVKCVLUFWCVNVCVOVKCBRUG
      TVLAQZWAVBWBVEVLACUHWDVOVDVCVLABRUITUJULUMUNUOOUPUQUR $.

    $( The value of a strictly monotone ordinal function contains its indexed
       union.  (Contributed by Andrew Salmon, 22-Nov-2011.) $)
    smoiun $p |- ( ( Smo B /\ A e. dom B ) -> U_ x e. A ( B ` x )
       C_ ( B ` A ) ) $=
      ( vy wsmo cdm wcel wa cv cfv ciun wrex eliun con0 wi smofvon smoel 3expia
      ontr1 expcomd sylsyld rexlimdv syl5bi ssrdv ) CEZBCFGZHZDABAIZCJZKZBCJZDI
      ZUJGULUIGZABLUGULUKGZAULBUIMUGUMUNABUGUKNGZUHBGZUIUKGZUMUNOBCPUEUFUPUQBCU
      HQRUOUMUQUNULUIUKSTUAUBUCUD $.

    $( If ` F ` is an isomorphism from an ordinal ` A ` onto ` B ` , which is a
       subset of the ordinals, then ` F ` is a strictly monotonic function.
       Exercise 3 in [TakeutiZaring] p. 50.  (Contributed by Andrew Salmon,
       24-Nov-2011.) $)
    smoiso $p |- ( ( F Isom _E , _E ( A , B ) /\ Ord A /\ B C_ On )
        -> Smo F ) $=
      ( vx vy cep wiso word con0 wss w3a wf cv wcel cfv wral wb wa eleq2d wbr
      cdm wi wsmo wf1o isof1o f1of syl ffdm simpld fss 3adant2 syl3an1 wceq fdm
      sylan eqcomd ordeq 4syl biimpa 3adant3 3syl isorel epel fvex epeli biimpd
      anbi12d 3bitr3g ex sylbid ralrimivv 3ad2ant1 df-smo syl3anbrc ) ABFFCGZAH
      ZBIJZKCUAZICLZVRHZDMZEMZNZWACOZWBCOZNZUBZEVRPDVRPZCUCVOABCLZVPVQVSVOABCUD
      ZWIABFFCUEZABCUFZUGWIVQVSVPWIVRBCLZVQVSWIWMVRAJABCUHUIVRBICUJUOUKULVOVPVT
      VQVOVPVTVOWJWIAVRUMVPVTQWKWLWIVRAABCUNZUPAVRUQURUSUTVOVPWHVQVOWGDEVRVRVOW
      AVRNZWBVRNZRZWAANZWBANZRZWGVOWJWIWQWTQWKWLWIWOWRWPWSWIVRAWAWNSWIVRAWBWNSV
      GVAVOWTWGVOWTRZWCWFXAWAWBFTWDWEFTWCWFABWAWBFFCVBEWAVCWDWEWBCVDVEVHVFVIVJV
      KVLDECVMVN $.
  $}

  $( A strictly monotone ordinal function preserves the membership relation.
     (Contributed by Mario Carneiro, 12-Mar-2013.) $)
  smoel2 $p |- ( ( ( F Fn A /\ Smo F ) /\ ( B e. A /\ C e. B ) )
      -> ( F ` C ) e. ( F ` B ) ) $=
    ( wfn wsmo wcel cfv cdm fndm eleq2d anbi1d biimprd smoel 3expib sylan9 imp
    wa ) DAEZDFZRBAGZCBGZRZCDHBDHGZSUCBDIZGZUBRZTUDSUGUCSUFUAUBSUEABADJKLMTUFUB
    UDBDCNOPQ $.

  ${
    $d A w x y z $.  $d F w x y z $.
    $( A strictly monotone ordinal function is one-to-one.  (Contributed by
       Mario Carneiro, 28-Feb-2013.) $)
    smo11 $p |- ( ( F : A --> B /\ Smo F ) -> F : A -1-1-> B ) $=
      ( vz vw vy vx wa cv cfv weq wi wral wcel word ex w3a 3ad2ant1 fveq2 sylan
      wsmo wceq wf1 simpl wfn ffn smodm2 ordelord syl anim12d wel w3o ordtri3or
      wf simp1rr smoel2 ralrimivva adantr simp2 eleq2d raleqbi1dv eleq1d rspccv
      simp3 rspcv syl6 3imp eleq1 biimpac syl31anc wn con0 smofvon2 ordirr 3syl
      eloni ad2antlr pm2.21dd 3exp ax-1 simp1rl eleq2 3jaod syl5 mpdd ralrimivv
      a1i dff13 sylanbrc ) ABCUNZCUAZHWJDIZCJZEIZCJZUBZDEKZLZEAMDAMZABCUCWJWKUD
      WJCAUEZWKWSABCUFWTWKHZWRDEAAXAWLANZWNANZHZWLOZWNOZHZWRXAXBXEXCXFXAAOZXBXE
      LACUGZXHXBXEAWLUHPUIXAXHXCXFLXIXHXCXFAWNUHPUIUJXAXDXGWRLXGDEUKZWQEDUKZULX
      AXDHZWRWLWNUMXLXJWRWQXKXLXJWPWQXLXJWPQZWOWONZWQXMXCFIZCJZGIZCJZNZFXQMZGAM
      ZXJWPXNXBXCXAXJWPUOXLXJYAWPXAYAXDXAXSGFAXQAXQXOCUPUQURZRXLXJWPUSXLXJWPVDX
      CYAXJQWMWONZWPXNXCYAXJYCXCYAXPWONZFWNMZXJYCLXTYEGWNAXSYDFXQWNGEKXRWOXPXQW
      NCSUTVAVEYDYCFWLWNFDKXPWMWOXOWLCSVBVCVFVGWPYCXNWMWOWOVHVITVJXLXJXNVKZWPWK
      YFWTXDWKWOVLNWOOYFWNCVMWOVPWOVNVOVQZRVRVSWQWRLXLWQWPVTWGXLXKWPWQXLXKWPQZX
      NWQYHXBYAXKWPXNXBXCXAXKWPWAXLXKYAWPYBRXLXKWPUSXLXKWPVDXBYAXKQWOWMNZWPXNXB
      YAXKYIXBYAXPWMNZFWLMZXKYILXTYKGWLAXSYJFXQWLGDKXRWMXPXQWLCSUTVAVEYJYIFWNWL
      FEKXPWOWMXOWNCSVBVCVFVGWPYIXNWMWOWOWBVITVJXLXKYFWPYGRVRVSWCWDPWEWFTDEABCW
      HWI $.
  $}

  $( A strictly monotone ordinal function preserves strict ordering.
     (Contributed by Mario Carneiro, 4-Mar-2013.) $)
  smoord $p |- ( ( ( F Fn A /\ Smo F ) /\ ( C e. A /\ D e. A ) ) ->
    ( C e. D <-> ( F ` C ) e. ( F ` D ) ) ) $=
    ( wa wcel word cfv ordelord syl2an2r w3a simp3 smoel2 3expia ordirr 3adant3
    wi wn syl neleqtrd wfn wsmo wb smodm2 simprl simprr wceq w3o ordtri3or expr
    adantrl 3impia 2thd con0 smofvon2 ad2antlr eloni 3syl 2falsed ordn2lp pm3.2
    fveq2d 3ad2ant3 mtod adantrlr 3impb pm3.21 3jaod syl5 mp2and ) DAUAZDUBZEZB
    AFZCAFZEZEZBGZCGZBCFZBDHZCDHZFZUCZVMAGZVPVNVRADUDZVMVNVOUEABIJZVMWEVPVOVSWF
    VMVNVOUFACIJZVRVSEVTBCUGZCBFZUHVQWDBCUIVQVTWDWIWJVMVPVTWDVMVPVTKVTWCVMVPVTL
    VMVPVTWCVMVOVTWCQVNVMVOVTWCACBDMUJUKULUMNVMVPWIWDVMVPWIKZVTWCWKBCBVMVPBBFRZ
    WIVQVRWLWGBOSPVMVPWILZTWKWAWBWAVMVPWAWAFRZWIVQWAUNFZWAGZWNVLWOVKVPBDUOUPZWA
    UQZWAOURPWKBCDWMVBTUSNVMVPWJWDVMVPWJKZVTWCWSVTWJVTEZWSVSWTRVMVPVSWJWHPCBUTS
    WJVMVTWTQVPWJVTVAVCVDWSWCWCWBWAFZEZWSWPXBRVMVPWPWJVQWOWPWQWRSPWAWBUTSWSXAWC
    XBQVMVPWJXAVMVNWJXAVOABCDMVEVFXAWCVGSVDUSNVHVIVJ $.

  $( A strictly monotone ordinal function preserves weak ordering.
     (Contributed by Mario Carneiro, 4-Mar-2013.) $)
  smoword $p |- ( ( ( F Fn A /\ Smo F ) /\ ( C e. A /\ D e. A ) ) ->
    ( C C_ D <-> ( F ` C ) C_ ( F ` D ) ) ) $=
    ( wfn wa wcel wn cfv wss wb word ordelord syl2an2r ordtri1 syl2anc smofvon2
    con0 eloni 3syl smoord notbid ancom2s smodm2 simprl simprr simplr 3bitr4d
    wsmo ) DAEZDUIZFZBAGZCAGZFZFZCBGZHZCDIZBDIZGZHZBCJZUTUSJZULUNUMURVBKULUNUMF
    FUQVAACBDUAUBUCUPBLZCLZVCURKULALZUOUMVEADUDZULUMUNUEABMNULVGUOUNVFVHULUMUNU
    FACMNBCOPUPUTLZUSLZVDVBKUPUKUTRGVIUJUKUOUGZBDQUTSTUPUKUSRGVJVKCDQUSSTUTUSOP
    UH $.

  ${
    $d A y x $.  $d C x $.  $d F y x $.
    $( A strictly monotone ordinal function is greater than or equal to its
       argument.  Exercise 1 in [TakeutiZaring] p. 50.  (Contributed by Andrew
       Salmon, 23-Nov-2011.)  (Revised by Mario Carneiro, 28-Feb-2013.) $)
    smogt $p |- ( ( F Fn A /\ Smo F /\ C e. A ) -> C C_ ( F ` C ) ) $=
      ( vx vy wcel cfv wss wa cv wi id fveq2 sseq12d con0 w3a word syl2anc wral
      imp wfn wsmo wceq imbi2d smodm2 3adant3 simp3 ordelord elon sylibr eleq1w
      vex weq 3anbi3d imbi12d simpl1 simpl2 ordtr1 expcomd sylc pm2.27 ralimdva
      wel syl3anc simp31 simp32 smofvon2 3ad2ant2 eloni syl simp33 smoel2 3impa
      3adantr3 ordtr2 syl22anc 3expia 3expd dfss3 syl6ibr syldc a1i tfis2 mpcom
      3impia com12 vtoclga ) CAUAZCUBZBAFZBBCGZHZWJWHWIIZWLWMDJZWNCGZHZKWMWLKDB
      AWNBUCZWPWLWMWQWNBWOWKWQLWNBCMNUDWMWNAFZWPWHWIWRWPWNOFZWHWIWRPZWPWTWNQZWS
      WTAQZWRXAWHWIXBWRACUEZUFZWHWIWRUGZAWNUHZRWNDULUIUJWTWPKZWHWIEJZAFZPZXHXHC
      GZHZKZDEDEUMZWTXJWPXLXNWRXIWHWIDEAUKUNXNWNXHWOXKXNLWNXHCMNUOXMEWNSZXGKWSW
      TXOXLEWNSZWPWTXMXLEWNWTEDVCZIWHWIXIXMXLKWHWIWRXQUPWHWIWRXQUQWTXQXIWTXBWRX
      QXIKXDXEXBXQWRXIXHWNAURUSUTTXJXLVAVDVBWTXPXHWOFZEWNSWPWTXLXREWNWTXQXLXRKZ
      WHWIWRXQXSKWMWRXQXLXRWHWIWRXQXLPZXRWHWIXTPZXHQZWOQZXLXKWOFZXRYAXAXQYBYAXB
      WRXAWHWIXBXTXCUFWHWIWRXQXLVEXFRWHWIWRXQXLVFWNXHUHRYAWOOFZYCWIWHYEXTWNCVGV
      HWOVIVJWHWIWRXQXLVKWHWIXTYDWMWRXQYDXLAWNXHCVLVNVMYBYCIXLYDIXRXHXKWOVOTVPV
      QVRWETVBEWNWOVSVTWAWBWCWDVQWFWGWFWE $.
  $}

  ${
    $d A x $.  $d B x $.  $d F x $.
    $( The range of a strictly monotone ordinal function dominates the domain.
       (Contributed by Mario Carneiro, 13-Mar-2013.) $)
    smorndom $p |- ( ( F : A --> B /\ Smo F /\ Ord B ) -> A C_ B ) $=
      ( vx wf wsmo word w3a cv wcel wa cfv wss wfn simpl1 simpl2 smodm2 syl2anc
      ffnd ordelord sylancom simpl3 simpr smogt syl3anc ffvelrn ordtr2 syl22anc
      3ad2antl1 imp ex ssrdv ) ABCEZCFZBGZHZDABUPDIZAJZUQBJZUPURKZUQGZUOUQUQCLZ
      MZVBBJZUSUPURAGZVAUTCANZUNVEUTABCUMUNUOUROSZUMUNUOURPZACQRAUQTUAUMUNUOURU
      BUTVFUNURVCVGVHUPURUCAUQCUDUEUMUNURVDUOABUQCUFUIVAUOKVCVDKUSUQVBBUGUJUHUK
      UL $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d F x y $.
    $( The strictly monotone ordinal functions are also isomorphisms of
       subclasses of ` On ` equipped with the membership relation.
       (Contributed by Mario Carneiro, 20-Mar-2013.) $)
    smoiso2 $p |- ( ( Ord A /\ B C_ On ) ->
      ( ( F : A -onto-> B /\ Smo F ) <-> F Isom _E , _E ( A , B ) ) ) $=
      ( vx vy word con0 wss wa wfo wsmo cep cv wbr cfv wral sylan sylanbrc wcel
      adantl wiso wf1o wb wf1 fof smo11 simpl df-f1o wfn fofn smoord epel epeli
      wf 3bitr4g ralrimivva df-isom ex w3a isof1o f1ofo syl 3ad2ant1 smoiso jca
      fvex 3expib com12 impbid ) AFZBGHZIZABCJZCKZIZABLLCUAZVLVOVPVLVOIABCUBZDM
      ZEMZLNZVRCOZVSCOZLNZUCZEAPDAPZVPVOVQVLVOABCUDZVMVQVMABCUNVNWFABCUEABCUFQV
      MVNUGABCUHRTVOWEVLVMCAUIZVNWEABCUJWGVNIZWDDEAAWHVRASVSASIIVRVSSWAWBSVTWCA
      VRVSCUKEVRULWAWBVSCVFUMUOUPQTDEABLLCUQRURVPVLVOVPVJVKVOVPVJVKUSVMVNVPVJVM
      VKVPVQVMABLLCUTABCVAVBVCABCVDVEVGVHVI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  "Strong" transfinite recursion
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c recs $.

  $( Notation for a function defined by strong transfinite recursion. $)
  crecs $a class recs ( F ) $.

  $( Define a function ` recs ( F ) ` on ` On ` , the class of ordinal numbers,
     by transfinite recursion given a rule ` F ` which sets the next value
     given all values so far.  See ~ df-rdg for more details on why this
     definition is desirable.  Unlike ~ df-rdg which restricts the update rule
     to use only the previous value, this version allows the update rule to use
     _all_ previous values, which is why it is described as "strong", although
     it is actually more primitive.  See ~ recsfnon and ~ recsval for the
     primary contract of this definition.  (Contributed by Stefan O'Rear,
     18-Jan-2015.)  (Revised by Scott Fenton, 3-Aug-2020.) $)
  df-recs $a |- recs ( F ) = wrecs ( _E , On , F ) $.

  ${
    $d F f x y $.
    $( The old definition of transfinite recursion.  This version is preferred
       for development, as it demonstrates the properties of transfinite
       recursion without relying on well-ordered recursion.  (Contributed by
       Scott Fenton, 3-Aug-2020.) $)
    dfrecs3 $p |- recs ( F ) = U. { f | E. x e. On ( f Fn x /\
        A. y e. x ( f ` y ) = ( F ` ( f |` y ) ) ) } $=
      ( con0 cep cv wss wral wa cfv cres wceq wex cab cuni wcel wwe wb syl wrex
      crecs cwrecs wfn cpred w3a df-recs df-wrecs 3anass word wtr ordsson ordtr
      vex elon jca epweon wess mpi anim1ci df-ord sylibr impbii dftr3 wel ssel2
      predon sseq1d ralbidva bitr4id pm5.32i 3bitri anbi1i onelon fveq2d eqeq2d
      reseq2d bitr3i anbi2i an12 exbii df-rex bitr4i abbii unieqi 3eqtri ) DUBE
      FDUCCGZAGZUDZWHEHZEFBGZUEZWHHZBWHIZJZWKWGKZWGWLLZDKZMZBWHIZUFZANZCOZPWIWP
      WGWKLZDKZMZBWHIZJZAEUAZCOZPDUGABEFCDUHXCXJXBXICXBWHEQZXHJZANXIXAXLAXAWIWO
      WTJZJWIXKXGJZJXLWIWOWTUIXMXNWIXMXKWTJXNXKWOWTXKWHUJZWJWHUKZJZWOWHAUNUOXOX
      QXOWJXPWHULWHUMUPXQXPWHFRZJXOWJXRXPWJEFRXRUQWHEFURUSUTWHVAVBVCWJXPWNWJXPW
      KWHHZBWHIWNBWHVDWJWMXSBWHWJBAVEZJWKEQZWMXSSWHEWKVFYAWLWKWHWKVGZVHTVIVJVKV
      LVMXKWTXGXKWSXFBWHXKXTJYAWSXFSWHWKVNYAWRXEWPYAWQXDDYAWLWKWGYBVQVOVPTVIVKV
      RVSWIXKXGVTVLWAXHAEWBWCWDWEWF $.
  $}

  $( Equality theorem for ` recs ` .  (Contributed by Stefan O'Rear,
     18-Jan-2015.) $)
  recseq $p |- ( F = G -> recs ( F ) = recs ( G ) ) $=
    ( wceq con0 cep cwrecs crecs wrecseq3 df-recs 3eqtr4g ) ABCDEAFDEBFAGBGDEAB
    HAIBIJ $.

  ${
    nfrecs.f $e |- F/_ x F $.
    $( Bound-variable hypothesis builder for ` recs ` .  (Contributed by Stefan
       O'Rear, 18-Jan-2015.) $)
    nfrecs $p |- F/_ x recs ( F ) $=
      ( crecs con0 cep cwrecs df-recs nfcv nfwrecs nfcxfr ) ABDEFBGBHAEFBAFIAEI
      CJK $.
  $}

  ${
    $d A u w x y z $.  $d B x $.  $d F u w x y z $.  $d G u w x y z $.
    $d ph u w y z $.
    tfrlem1.1 $e |- ( ph -> A e. On ) $.
    tfrlem1.2 $e |- ( ph -> ( Fun F /\ A C_ dom F ) ) $.
    tfrlem1.3 $e |- ( ph -> ( Fun G /\ A C_ dom G ) ) $.
    tfrlem1.4 $e |- ( ph -> A. x e. A ( F ` x ) = ( B ` ( F |` x ) ) ) $.
    tfrlem1.5 $e |- ( ph -> A. x e. A ( G ` x ) = ( B ` ( G |` x ) ) ) $.
    $( A technical lemma for transfinite recursion.  Compare Lemma 1 of
       [TakeutiZaring] p. 47.  (Contributed by NM, 23-Mar-1995.)  (Revised by
       Mario Carneiro, 24-May-2019.) $)
    tfrlem1 $p |- ( ph -> A. x e. A ( F ` x ) = ( G ` x ) ) $=
      ( vz vw wss cv cfv wceq wral wi wa vy ssid con0 wcel sseq1 imbi12d imbi2d
      raleq r19.21v cres cdm wfn wfun ad4antr simpld funfnd word eloni ad3antlr
      vu ordelss sylan simplr sstrd simprd fnssres syl2anc fveq2 eqeq12d adantr
      simp-4r rspcdva simpr fvres adantl 3eqtr4d fveq2d reseq2 sselda ralrimiva
      mpd eqfnfvd cbvralvw sylibr exp31 expcom a2d syl5bi tfis3 mpcom mpi ) ACC
      NZBOZEPZWMFPZQZBCRZCUBCUCUDAWLWQSZGAUAOZCNZWPBWSRZSZSZALOZCNZWPBXDRZSZSZA
      WRSUALCWSXDQZXBXGAXIWTXEXAXFWSXDCUEWPBWSXDUHUFUGWSCQZXBWRAXJWTWLXAWQWSCCU
      EWPBWSCUHUFUGXHLWSRAXGLWSRZSWSUCUDZXCAXGLWSUIXLAXKXBAXLXKXBSAXLTZXKWTXAXM
      XKTZWTTZMOZEPZXPFPZQZMWSRXAXOXSMWSXOXPWSUDZTZEXPUJZDPZFXPUJZDPZXQXRYAYBYD
      DYAUTXPYBYDYAEEUKZULXPYFNYBXPULYAEYAEUMZCYFNZAYGYHTXLXKWTXTHUNZUOUPYAXPCY
      FYAXPWSCXOWSUQZXTXPWSNXLYJAXKWTWSURUSWSXPVAVBXNWTXTVCVDZYAYGYHYIVEVDYFXPE
      VFVGYAFFUKZULXPYLNYDXPULYAFYAFUMZCYLNZAYMYNTXLXKWTXTIUNZUOUPYAXPCYLYKYAYM
      YNYOVEVDYLXPFVFVGYAUTOZXPUDZTZYPEPZYPFPZYPYBPZYPYDPZYRWPYSYTQBXPYPWMYPQWN
      YSWOYTWMYPEVHWMYPFVHVIYRXPCNZWPBXPRZYAUUCYQYKVJYRXGUUCUUDSLWSXPXDXPQXEUUC
      XFUUDXDXPCUEWPBXDXPUHUFXMXKWTXTYQVKXOXTYQVCVLWAYAYQVMVLYQUUAYSQYAYPXPEVNV
      OYQUUBYTQYAYPXPFVNVOVPWBVQYAWNEWMUJZDPZQZXQYCQBCXPWMXPQZWNXQUUFYCWMXPEVHZ
      UUHUUEYBDWMXPEVRVQVIAUUGBCRXLXKWTXTJUNXOWSCXPXNWTVMVSZVLYAWOFWMUJZDPZQZXR
      YEQBCXPUUHWOXRUULYEWMXPFVHZUUHUUKYDDWMXPFVRVQVIAUUMBCRXLXKWTXTKUNUUJVLVPV
      TWPXSBMWSUUHWNXQWOXRUUIUUNVIWCWDWEWFWGWHWIWJWK $.
  $}

  ${
    $d g A $.  $d f g w x y z F $.  $d f w x y z G $.
    tfrlem3.1 $e |- A = { f | E. x e. On ( f Fn x /\
                A. y e. x ( f ` y ) = ( F ` ( f |` y ) ) ) } $.
    ${
      tfrlem3.2 $e |- G e. _V $.
      $( Lemma for transfinite recursion.  Let ` A ` be the class of
         "acceptable" functions.  The final thing we're interested in is the
         union of all these acceptable functions.  This lemma just changes some
         bound variables in ` A ` for later use.  (Contributed by NM,
         9-Apr-1995.) $)
      tfrlem3a $p |- ( G e. A <-> E. z e. On ( G Fn z /\
                  A. w e. z ( G ` w ) = ( F ` ( G |` w ) ) ) ) $=
        ( cv wfn cfv cres wceq wral wa con0 wrex fneq12 simpll fveq12d reseq12d
        simpr fveq2d eqeq12d simplr cbvraldva2 anbi12d cbvrexdva elab2 ) FKZAKZ
        LZBKZULMZULUONZGMZOZBUMPZQZARSHCKZLZDKZHMZHVDNZGMZOZDVBPZQZCRSFHEJULHOZ
        VAVJACRVKUMVBOZQZUNVCUTVIUMVBULHTVMUSVHBDUMVBVMUOVDOZQZUPVEURVGVOUOVDUL
        HVKVLVNUAZVMVNUDZUBVOUQVFGVOULHUOVDVPVQUCUEUFVKVLVNUGUHUIUJIUK $.
    $}

    $( Lemma for transfinite recursion.  Let ` A ` be the class of "acceptable"
       functions.  The final thing we're interested in is the union of all
       these acceptable functions.  This lemma just changes some bound
       variables in ` A ` for later use.  (Contributed by NM, 9-Apr-1995.) $)
    tfrlem3 $p |- A = { g | E. z e. On ( g Fn z /\
                A. w e. z ( g ` w ) = ( F ` ( g |` w ) ) ) } $=
      ( cv wfn cfv cres wceq wral wa con0 wrex vex tfrlem3a abbi2i ) GJZCJZKDJZ
      UBLUBUDMHLNDUCOPCQRGEABCDEFHUBIGSTUA $.
  $}

  ${
    $d f g x y z B $.  $d f x y z C $.  $d a f g h u v w x y z F $.
    $d g h z A $.
    tfrlem.1 $e |- A = { f | E. x e. On ( f Fn x /\
                A. y e. x ( f ` y ) = ( F ` ( f |` y ) ) ) } $.
    $( Lemma for transfinite recursion. ` A ` is the class of all "acceptable"
       functions, and ` F ` is their union.  First we show that an acceptable
       function is in fact a function.  (Contributed by NM, 9-Apr-1995.) $)
    tfrlem4 $p |- ( g e. A -> Fun g ) $=
      ( vz vw cv wcel wfn cfv cres wceq wral wa con0 wrex wfun abeq2i rexlimivw
      tfrlem3 fnfun adantr sylbi ) EJZCKUGHJZLZIJZUGMUGUJNFMOIUHPZQZHRSZUGTZUME
      CABHICDEFGUCUAULUNHRUIUNUKUHUGUDUEUBUF $.

    $( Lemma for transfinite recursion.  The values of two acceptable functions
       are the same within their domains.  (Contributed by NM, 9-Apr-1995.)
       (Revised by Mario Carneiro, 24-May-2019.) $)
    tfrlem5 $p |- ( ( g e. A /\ h e. A ) ->
                    ( ( x g u /\ x h v ) -> u = v ) ) $=
      ( vz va vw cv wcel cfv wceq wral wa con0 wfn cres wrex wi tfrlem3a reeanv
      wbr vex w3a cin fveq2 eqeq12d onin 3ad2ant1 cdm simp2ll fnfun inss1 fndmd
      wfun wss syl sseqtrrid simp2rl inss2 simp2lr ssralv mpsyl simp2rr tfrlem1
      jca simp3l fnbr syl2anc elind rspcdva funbrfv sylc 3eqtr3d 3exp rexlimivv
      simp3r sylbir syl2anb ) GNZEOWEKNZUAZLNZWEPZWEWHUBIPQZLWFRZSZKTUCZHNZMNZU
      AZWHWNPZWNWHUBIPQZLWORZSZMTUCZANZDNZWEUGZXBCNZWNUGZSZXCXEQZUDZWNEOABKLEFI
      WEJGUHUEABMLEFIWNJHUHUEWMXASWLWTSZMTUCKTUCXIWLWTKMTTUFXJXIKMTTWFTOWOTOSZX
      JXGXHXKXJXGUIZXBWEPZXBWNPZXCXEXLWIWQQXMXNQLWFWOUJZXBWHXBQWIXMWQXNWHXBWEUK
      WHXBWNUKULXLLXOIWEWNXKXJXOTOXGWFWOUMUNXLWEUTZXOWEUOZVAXLWGXPWGWKWTXKXGUPZ
      WFWEUQVBZXLWFXOXQWFWOURZXLWFWEXRUSVCVKXLWNUTZXOWNUOZVAXLWPYAWPWSWLXKXGVDZ
      WOWNUQVBZXLWOXOYBWFWOVEZXLWOWNYCUSVCVKXOWFVAXLWKWJLXORXTWGWKWTXKXGVFWJLXO
      WFVGVHXOWOVAXLWSWRLXORYEWPWSWLXKXGVIWRLXOWOVGVHVJXLWFWOXBXLWGXDXBWFOXRXKX
      JXDXFVLZWFXBXCWEVMVNXLWPXFXBWOOYCXKXJXDXFWBZWOXBXEWNVMVNVOVPXLXPXDXMXCQXS
      YFXBXCWEVQVRXLYAXFXNXEQYDYGXBXEWNVQVRVSVTWAWCWD $.

    $( Lemma for transfinite recursion.  The definition ` recs ` is the union
       of all acceptable functions.  (Contributed by Mario Carneiro,
       9-May-2015.) $)
    recsfval $p |- recs ( F ) = U. A $=
      ( crecs cv wfn cfv cres wceq wral wa con0 wrex cab cuni dfrecs3 unieqi
      eqtr4i ) EGDHZAHZIBHZUBJUBUDKEJLBUCMNAOPDQZRCRABDESCUEFTUA $.

    $( Lemma for transfinite recursion.  The union of all acceptable functions
       is a relation.  (Contributed by NM, 8-Aug-1994.)  (Revised by Mario
       Carneiro, 9-May-2015.) $)
    tfrlem6 $p |- Rel recs ( F ) $=
      ( vg crecs wrel cuni reluni wcel wfun tfrlem4 funrel syl mprgbir recsfval
      cv releqi mpbir ) EHZICJZIZUDGSZIZGCGCKUECLUEMUFABCDGEFNUEOPQUBUCABCDEFRT
      UA $.

    $( Lemma for transfinite recursion.  The union of all acceptable functions
       is a function.  (Contributed by NM, 9-Aug-1994.)  (Revised by Mario
       Carneiro, 24-May-2019.) $)
    tfrlem7 $p |- Fun recs ( F ) $=
      ( vu vv vg vh cv cop wcel wa wal wex eleq2i eluni bitri anbi12i wfun wrel
      crecs weq tfrlem6 cuni recsfval exdistrv bitr4i wbr df-br tfrlem5 sylanbr
      wi impcom an4s exlimivv sylbi ax-gen gen2 dffun4 mpbir2an ) EUCZUAVCUBAKZ
      GKZLZVCMZVDHKZLZVCMZNZGHUDZUNZHOZGOAOABCDEFUEVNAGVMHVKVFIKZMZVOCMZNZVIJKZ
      MZVSCMZNZNZJPIPZVLVKVRIPZWBJPZNWDVGWEVJWFVGVFCUFZMWEVCWGVFABCDEFUGZQIVFCR
      SVJVIWGMWFVCWGVIWHQJVICRSTVRWBIJUHUIWCVLIJVPVTVQWAVLVPVTNVDVEVOUJZVDVHVSU
      JZNZVQWANZVLWIVPWJVTVDVEVOUKVDVHVSUKTWLWKVLABHGCDIJEFULUOUMUPUQURUSUTAGHV
      CVAVB $.

    $( Lemma for transfinite recursion.  The domain of ` recs ` is an ordinal.
       (Contributed by NM, 14-Aug-1994.)  (Proof shortened by Alan Sare,
       11-Mar-2008.) $)
    tfrlem8 $p |- Ord dom recs ( F ) $=
      ( vz vg vw cdm word cv wceq wrex cuni con0 wcel cfv rexlimiv ax-mp cab wi
      crecs wss wfn cres wral tfrlem3 abeq2i fndm adantr eleq1d biimprcd eleq1a
      wa sylbi syl abssi ssorduni wb ciun recsfval dmeqi vex dmex dfiun2 3eqtri
      dmuni ordeq mpbir ) EUCZJZKZGLZHLZJZMZHCNZGUAZOZKZVSPUDWAVRGPVQVNPQZHCVOC
      QZVPPQZVQWBUBWCVOVNUEZILZVORVOWFUFERMIVNUGZUOZGPNZWDWIHCABGICDHEFUHUIWHWD
      GPWHWDWBWHVPVNPWEVPVNMWGVNVOUJUKULUMSUPVPPVNUNUQSURVSUSTVLVTMVMWAUTVLCOZJ
      HCVPVAVTVKWJABCDEFVBVCHCVHHGCVPVOHVDVEVFVGVLVTVITVJ $.

    $( Lemma for transfinite recursion.  Here we compute the value of ` recs `
       (the union of all acceptable functions).  (Contributed by NM,
       17-Aug-1994.) $)
    tfrlem9 $p |- ( B e. dom recs ( F ) ->
      ( recs ( F ) ` B ) = ( F ` ( recs ( F ) |` B ) ) ) $=
      ( vz cdm wcel cv wex cfv cres wceq wa con0 wi syl com3l crecs cop ibi wfn
      eldm2g wral wrex cab cuni dfrecs3 eleq2i eluniab bitri wss abeq2i elssuni
      fnop rspe recsfval sseqtrrdi sylbir fveq2 reseq2 fveq2d rspcv fndm eleq2d
      eqeq12d wfun tfrlem7 funssfv mp3an1 adantrl eleq1d onelss imp31 fun2ssres
      syl6bir w3a sylan2 exbiri exp31 com34 com24 sylbird syld imp4d mpdi exp4d
      ex com4r pm2.43i imp4a rexlimdv imp exlimiv sylbi ) DFUAZIZJZDHKZUBZWRJZH
      LZDWRMZWRDNZFMZOZWTXDHDWRWSUEUCXCXHHXCXBEKZJZXIAKZUDZBKZXIMZXIXMNZFMZOZBX
      KUFZPZAQUGZPZELZXHXCXBXTEUHUIZJYBWRYCXBABEFUJUKXTEXBULUMYAXHEXJXTXHXJXSXH
      AQXJXKQJZXLXRXHXLXJYDXRXHRZXLXJYDYERRXLXJYDXLYEXLXJYDXLYERRXLXJPZYDXLXRXH
      YFDXKJZYDXSPZXHRXKDXAXIUQYGYHXIWRUNZXHYHXTYIXSAQURXTXICJZYIXTECGUOYJXICUI
      WRXICUPABCEFGUSUTVASYGYDXLXRYIXHRZYGXRXLYDYKYGXRDXIMZXIDNZFMZOZXLYDYKRZRX
      QYOBDXKXMDOZXNYLXPYNXMDXIVBYQXOYMFXMDXIVCVDVHVEXLYGYOYPXLYGDXIIZJZYOYPRXL
      YRXKDXKXIVFZVGXLYDYOYSYKXLYDYSYOYKXLYDYSYOYKRYIXLYDPZYSPZYOXHYIUUBXHYOYIU
      UBPXEYLXGYNYIYSXEYLOZUUAWRVIZYIYSUUCABCEFGVJZDWRXIVKVLVMUUBYIDYRUNZXGYNOZ
      XLYDYSUUFXLYDYRQJYSUUFRXLYRXKQYTVNYRDVOVRVPUUDYIUUFUUGUUEUUDYIUUFVSXFYMFD
      WRXIVQVDVLVTVHWATWBWCWDWETWFWDWGWHSWIWJWKWLTWMWNWOWPWQWPS $.

    $( Lemma for transfinite recursion.  Without using ~ ax-rep , show that all
       the restrictions of ` recs ` are sets.  (Contributed by Mario Carneiro,
       16-Nov-2014.) $)
    tfrlem9a $p |- ( B e. dom recs ( F ) -> ( recs ( F ) |` B ) e. _V ) $=
      ( vg vz va cdm wcel cfv cv wa cres cvv wceq con0 wss cop wex wfun tfrlem7
      crecs funfvop mpan cuni recsfval eleq2i eluni bitri sylib wfn wral simprr
      wrex vex tfrlem3a a1i simplrr elssuni sseqtrrdi word fndm ad2antll simprl
      syl eqeltrd eloni wbr simpll fvexd simplrl sylibr breldmg syl3anc ordelss
      df-br syl2anc fun2ssres resex expr adantrd rexlimdva mpd exlimddv ) DFUEZ
      KZLZDDWHMZUAZHNZLZWMCLZOZWHDPZQLZHWJWLWHLZWPHUBZWHUCZWJWSABCEFGUDZDWHUFUG
      WSWLCUHZLWTWHXCWLABCEFGUIZUJHWLCUKULUMWJWPOZWMINZUNZJNZWMMWMXHPFMRJXFUOZO
      ZISUQZWRXEWOXKWJWNWOUPABIJCEFWMGHURZUSUMXEXJWRISXEXFSLZOXGWRXIXEXMXGWRXEX
      MXGOZOZWQWMDPZQXOXAWMWHTDWMKZTZWQXPRXAXOXBUTXOWMXCWHXOWOWMXCTWJWNWOXNVAWM
      CVBVHXDVCXOXQVDZDXQLZXRXOXQSLXSXOXQXFSXGXQXFRXEXMXFWMVEVFXEXMXGVGVIXQVJVH
      XOWJWKQLDWKWMVKZXTWJWPXNVLXODWHVMXOWNYAWJWNWOXNVNDWKWMVSVODWKWIQWMVPVQXQD
      VRVTDWHWMWAVQXPQLXOWMDXLWBUTVIWCWDWEWFWG $.

    ${
      tfrlem.3 $e |- C = ( recs ( F ) u. { <. dom recs ( F ) ,
        ( F ` recs ( F ) ) >. } ) $.
      $( Lemma for transfinite recursion.  We define class ` C ` by extending
         ` recs ` with one ordered pair.  We will assume, falsely, that domain
         of ` recs ` is a member of, and thus not equal to, ` On ` .  Using
         this assumption we will prove facts about ` C ` that will lead to a
         contradiction in ~ tfrlem14 , thus showing the domain of ` recs ` does
         in fact equal ` On ` .  Here we show (under the false assumption) that
         ` C ` is a function extending the domain of ` recs ( F ) ` by one.
         (Contributed by NM, 14-Aug-1994.)  (Revised by Mario Carneiro,
         9-May-2015.) $)
      tfrlem10 $p |- ( dom recs ( F ) e. On -> C Fn suc dom recs ( F ) ) $=
        ( crecs cdm con0 wcel csn cun wfn wfun wceq cin c0 cvv cfv csuc wa fvex
        cop funsng mpan2 tfrlem7 jctil dmsnop ineq2i word tfrlem8 orddisj ax-mp
        eqtri funun sylancl uneq2i df-suc 3eqtr4i df-fn sylanblrc fneq1i sylibr
        dmun ) FIZJZKLZVGVHVGFUAZUEMZNZVHUBZOZDVMOVIVLPZVLJZVMQVNVIVGPZVKPZUCVH
        VKJZRZSQVOVIVRVQVIVJTLVRVGFUDZVHVJKTUFUGABCEFGUHUIVTVHVHMZRZSVSWBVHVHVJ
        WAUJZUKVHULWCSQABCEFGUMVHUNUOUPVGVKUQURVHVSNVHWBNVPVMVSWBVHWDUSVGVKVFVH
        UTVAVLVMVBVCVMDVLHVDVE $.

      $( Lemma for transfinite recursion.  Compute the value of ` C ` .
         (Contributed by NM, 18-Aug-1994.)  (Revised by Mario Carneiro,
         9-May-2015.) $)
      tfrlem11 $p |- ( dom recs ( F ) e. On ->
         ( B e. suc dom recs ( F ) -> ( C ` B ) = ( F ` ( C |` B ) ) ) ) $=
        ( wcel wceq con0 cfv cres wi wa syl wss cop csn cdm csuc wo elsuci wfun
        crecs wfn tfrlem10 fnfun cun ssun1 tfrlem9 funssfv 3expa adantrl onelss
        sseqtrri imp fun2ssres fveq2d sylan2 eqeq12d syl5ibr mpanl2 sylan exp32
        pm2.43i pm2.43d opex snid opeq1 adantl eqimss mp3an2 syl2an reseq2 wrel
        resdm ax-mp eqtrdi eqtrd opeq2d sneqd eleqtrid elun2 eleqtrrdi wb simpr
        tfrlem6 sucidg adantr eqeltrd fnopfvb syl2an2r mpbird ex jaod syl5 ) DG
        UFZUAZUBZJZDWTJZDWTKZUCWTLJZDEMZEDNZGMZKZDWTUDXEXCXIXDXEXCXIXEXCXCXIOZO
        XEXEXCXJXEEUEZXEXCPZXJXEEXAUGZXKABCEFGHIUHZXAEUIQZXKWSERZXLXJWSWSWTWSGM
        ZSZTZUJZEWSXSUKIUQZXCXIXKXPPZXLPZDWSMZWSDNZGMZKABCDFGHULYCXFYDXHYFYBXCX
        FYDKZXEXKXPXCYGDEWSUMUNUOXLYBDWTRZXHYFKXEXCYHWTDUPURYBYHPXGYEGXKXPYHXGY
        EKZDEWSUSZUNUTVAVBVCVDVEVFVGVHXEXDXIXEXDPZXIDXHSZEJZYKYLXTEYKYLXSJYLXTJ
        YKYLYLTXSYLDXHVIVJYKYLXRYKYLWTXHSZXRXDYLYNKXEDWTXHVKVLYKXHXQWTYKXGWSGYK
        XGYEWSXEXKYHYIXDXODWTVMXKXPYHYIYAYJVNVOXDYEWSKXEXDYEWSWTNZWSDWTWSVPWSVQ
        YOWSKABCFGHWIWSVRVSVTVLWAUTWBWAWCWDYLXSWSWEQIWFXEXMXDXBXIYMWGXNYKDWTXAX
        EXDWHXEWTXAJXDWTLWJWKWLXADXHEWMWNWOWPWQWR $.

      $( Lemma for transfinite recursion.  Show ` C ` is an acceptable
         function.  (Contributed by NM, 15-Aug-1994.)  (Revised by Mario
         Carneiro, 9-May-2015.) $)
      tfrlem12 $p |- ( recs ( F ) e. _V -> C e. A ) $=
        ( vz cvv wcel cv wfn cfv cres wceq wral wa con0 wrex crecs word tfrlem8
        cdm dmexg elon2 sylanbrc csuc suceloni tfrlem10 tfrlem11 ralrimiv fveq2
        a1i reseq2 fveq2d eqeq12d cbvralvw sylib fneq2 raleq anbi12d rspcev syl
        syl12anc wb cop csn cun unexg mpan2 eqeltrid fneq1 fveq1 reseq1 ralbidv
        snex rexbidv elab2g mpbird ) FUAZJKZDCKZDALZMZBLZDNZDWFOZFNZPZBWDQZRZAS
        TZWBWAUDZSKZWMWBWNUBZWNJKWOWPWBABCEFGUCUNWAJUEWNUFUGWOWNUHZSKDWQMZWJBWQ
        QZWMWNUIABCDEFGHUJWOILZDNZDWTOZFNZPZIWQQWSWOXDIWQABCWTDEFGHUKULXDWJIBWQ
        WTWFPZXAWGXCWIWTWFDUMXEXBWHFWTWFDUOUPUQURUSWLWRWSRAWQSWDWQPWEWRWKWSWDWQ
        DUTWJBWDWQVAVBVCVEVDWBDJKWCWMVFWBDWAWNWAFNVGZVHZVIZJHWBXGJKXHJKXFVQWAXG
        JJVJVKVLELZWDMZWFXINZXIWFOZFNZPZBWDQZRZASTWMEDCJXIDPZXPWLASXQXJWEXOWKWD
        XIDVMXQXNWJBWDXQXKWGXMWIWFXIDVNXQXLWHFXIDWFVOUPUQVPVBVRGVSVDVT $.
    $}

    $( Lemma for transfinite recursion.  If ` recs ` is a set function, then
       ` C ` is acceptable, and thus a subset of ` recs ` , but ` dom C ` is
       bigger than ` dom recs ` .  This is a contradiction, so ` recs ` must be
       a proper class function.  (Contributed by NM, 14-Aug-1994.)  (Revised by
       Mario Carneiro, 14-Nov-2014.) $)
    tfrlem13 $p |- -. recs ( F ) e. _V $=
      ( crecs cvv wcel cdm word wn tfrlem8 ordirr ax-mp cfv cop wss 3syl con0
      csn cun eqid tfrlem12 cuni elssuni recsfval sseqtrrdi dmss csuc a1i dmexg
      elon2 sylanbrc sucidg syl wfn wceq tfrlem10 fndm eleqtrrd sseldd mto ) EG
      ZHIZVDJZVFIZVFKZVGLABCDEFMZVFNOVEVDVFVDEPQUAUBZJZVFVFVEVJCIZVJVDRVKVFRABC
      VJDEFVJUCZUDVLVJCUEVDVJCUFABCDEFUGUHVJVDUISVEVFVFUJZVKVEVFTIZVFVNIVEVHVFH
      IVOVHVEVIUKVDHULVFUMUNZVFTUOUPVEVOVJVNUQVKVNURVPABCVJDEFVMUSVNVJUTSVAVBVC
      $.

    $( Lemma for transfinite recursion.  Assuming ~ ax-rep ,
       ` dom recs e. _V <-> recs e. _V ` , so since ` dom recs ` is an ordinal,
       it must be equal to ` On ` .  (Contributed by NM, 14-Aug-1994.)
       (Revised by Mario Carneiro, 9-May-2015.) $)
    tfrlem14 $p |- dom recs ( F ) = On $=
      ( crecs cdm con0 wcel wceq cvv tfrlem13 wfun tfrlem7 funex mpan mto word
      wo tfrlem8 ordeleqon mpbi mtpor ) EGZHZIJZUFIKZUGUELJZABCDEFMUENUGUIABCDE
      FOIUEPQRUFSUGUHTABCDEFUAUFUBUCUD $.

    $( Lemma for transfinite recursion.  Without assuming ~ ax-rep , we can
       show that all proper initial subsets of ` recs ` are sets, while nothing
       larger is a set.  (Contributed by Mario Carneiro, 14-Nov-2014.) $)
    tfrlem15 $p |- ( B e. On ->
        ( B e. dom recs ( F ) <-> ( recs ( F ) |` B ) e. _V ) ) $=
      ( con0 wcel crecs cdm cres cvv tfrlem9a adantl wa wss wn tfrlem13 word wb
      simpr resss a1i wrel tfrlem6 resdm ax-mp ssres2 eqsstrrid eqssd syl5ibcom
      wceq eleq1d tfrlem8 eloni adantr ordtri1 con2bid sylancr mpbird impbida
      mtoi ) DHIZDFJZKZIZVEDLZMIZVGVIVDABCDEFGNOVDVIPZVGVFDQZRZVJVKVEMIZABCEFGS
      VJVIVKVMVDVIUBVKVHVEMVKVHVEVHVEQVKVEDUCUDVKVEVEVFLZVHVEUEVNVEUMABCEFGUFVE
      UGUHVFDVEUIUJUKUNULVCVJVFTZDTZVGVLUAABCEFGUOVDVPVIDUPUQVOVPPVKVGVFDURUSUT
      VAVB $.

    $( Lemma for finite recursion.  Without assuming ~ ax-rep , we can show
       that the domain of the constructed function is a limit ordinal, and
       hence contains all the finite ordinals.  (Contributed by Mario Carneiro,
       14-Nov-2014.) $)
    tfrlem16 $p |- Lim dom recs ( F ) $=
      ( vz crecs cdm c0 wceq cv con0 wcel cres cvv ax-mp pm2.21i csn cun ordzsl
      csuc wrex wlim w3o word tfrlem8 mpbi res0 eqeltri wb 0elon tfrlem15 mpbir
      n0ii tfrlem13 wa simpr df-suc eqtrdi reseq2d wrel tfrlem6 resundi 3eqtr3g
      0ex resdm vex sucid eleqtrrid tfrlem9a syl cfv cop snex wfun wss funressn
      tfrlem7 ssexi unexg sylancl eqeltrd rexlimiva mto id 3jaoi ) EHZIZJKZWIGL
      ZUBZKZGMUCZWIUDZUEZWOWIUFWPABCDEFUGGWIUAUHWJWOWNWOWJWOJWIJWINZWHJOZPNZWRJ
      PWHUIVFUJJMNWQWSUKULABCJDEFUMQUNUORWNWOWNWHPNZABCDEFUPWMWTGMWKMNZWMUQZWHW
      HWKOZWHWKSZOZTZPXBWHWIOZWHWKXDTZOWHXFXBWIXHWHXBWIWLXHXAWMURZWKUSUTVAWHVBX
      GWHKABCDEFVCWHVGQWHWKXDVDVEXBXCPNZXEPNXFPNXBWKWINXJXBWKWLWIWKGVHVIXIVJABC
      WKDEFVKVLXEWKWKWHVMVNZSZXKVOWHVPXEXLVQABCDEFVSWKWHVRQVTXCXEPPWAWBWCWDWERW
      OWFWGQ $.
  $}

  ${
    $d f x y A $.  $d x y B $.  $d x y F $.  $d f x y G $.
    tfr.1 $e |- F = recs ( G ) $.
    $( A weak version of ~ tfr1 which is useful for proofs that avoid the Axiom
       of Replacement.  (Contributed by Mario Carneiro, 24-Jun-2015.) $)
    tfr1a $p |- ( Fun F /\ Lim dom F ) $=
      ( vx vy vf wfun cdm wlim crecs cv wfn cfv cres wceq wral con0 wrex mpbir
      wa cab eqid tfrlem7 funeqi tfrlem16 wb dmeqi limeq ax-mp pm3.2i ) AGZAHZI
      ZUKBJZGDEFKZDKZLEKZUOMUOUQNBMOEUPPTDQRFUAZFBURUBZUCAUNCUDSUMUNHZIZDEURFBU
      SUEULUTOUMVAUFAUNCUGULUTUHUISUJ $.

    $( A weak version of ~ tfr2 which is useful for proofs that avoid the Axiom
       of Replacement.  (Contributed by Mario Carneiro, 24-Jun-2015.) $)
    tfr2a $p |- ( A e. dom F -> ( F ` A ) = ( G ` ( F |` A ) ) ) $=
      ( vx vy vf cdm wcel crecs cfv cres wceq cv wfn wral wa con0 wrex cab eqid
      tfrlem9 dmeqi eleq2s fveq1i reseq1i fveq2i 3eqtr4g ) ABHZIACJZKZUJALZCKZA
      BKBALZCKUKUMMAUJHUIEFGNZENZOFNZUOKUOUQLCKMFUPPQERSGTZAGCURUAUBBUJDUCUDABU
      JDUEUNULCBUJADUFUGUH $.

    $( Without assuming ~ ax-rep , we can show that all proper initial subsets
       of ` recs ` are sets, while nothing larger is a set.  (Contributed by
       Mario Carneiro, 24-Jun-2015.) $)
    tfr2b $p |- ( Ord A -> ( A e. dom F <-> ( F |` A ) e. _V ) ) $=
      ( vx vy vf word con0 wcel wceq wo cdm cres cvv wb ordeleqon cv cfv mtbiri
      crecs wfn wral wrex cab eqid tfrlem15 dmeqi eleq2i reseq1i eleq1i 3bitr4g
      wa onprc elex mto eleq1 tfrlem13 eqneltri reseq2 wrel wss wfun wlim tfr1a
      simpli funrel ax-mp simpri limord ordsson mp2b relssres mp2an eqtrdi jaoi
      eleq1d 2falsed sylbi ) AHAIJZAIKZLABMZJZBANZOJZPZAQVTWFWAVTACUAZMZJWGANZO
      JWCWEEFGRZERZUBFRZWJSWJWLNCSKFWKUCUMEIUDGUEZAGCWMUFZUGWBWHABWGDUHUIWDWIOB
      WGADUJUKULWAWCWEWAWCIWBJZWOIOJUNIWBUOUPAIWBUQTWAWEBOJBWGODEFWMGCWNURUSWAW
      DBOWAWDBINZBAIBUTBVAZWBIVBZWPBKBVCZWQWSWBVDZBCDVEZVFBVGVHWTWBHWRWSWTXAVIW
      BVJWBVKVLBIVMVNVOVQTVRVPVS $.

    $( Principle of Transfinite Recursion, part 1 of 3.  Theorem 7.41(1) of
       [TakeutiZaring] p. 47.  We start with an arbitrary class ` G ` ,
       normally a function, and define a class ` A ` of all "acceptable"
       functions.  The final function we're interested in is the union
       ` F = recs ( G ) ` of them. ` F ` is then said to be defined by
       transfinite recursion.  The purpose of the 3 parts of this theorem is to
       demonstrate properties of ` F ` .  In this first part we show that ` F `
       is a function whose domain is all ordinal numbers.  (Contributed by NM,
       17-Aug-1994.)  (Revised by Mario Carneiro, 18-Jan-2015.) $)
    tfr1 $p |- F Fn On $=
      ( vx vy vf con0 wfn crecs wfun cdm wceq cv cfv cres wral wa wrex cab eqid
      tfrlem7 tfrlem14 df-fn mpbir2an fneq1i mpbir ) AGHBIZGHZUHUGJUGKGLDEFMZDM
      ZHEMZUINUIUKOBNLEUJPQDGRFSZFBULTZUADEULFBUMUBUGGUCUDGAUGCUEUF $.

    $( Principle of Transfinite Recursion, part 2 of 3.  Theorem 7.41(2) of
       [TakeutiZaring] p. 47.  Here we show that the function ` F ` has the
       property that for any function ` G ` whatsoever, the "next" value of
       ` F ` is ` G ` recursively applied to all "previous" values of ` F ` .
       (Contributed by NM, 9-Apr-1995.)  (Revised by Stefan O'Rear,
       18-Jan-2015.) $)
    tfr2 $p |- ( A e. On -> ( F ` A ) = ( G ` ( F |` A ) ) ) $=
      ( con0 wcel cdm cfv cres wceq tfr1 fndmi eleq2i tfr2a sylbir ) AEFABGZFAB
      HBAICHJPEAEBBCDKLMABCDNO $.

    $( Principle of Transfinite Recursion, part 3 of 3.  Theorem 7.41(3) of
       [TakeutiZaring] p. 47.  Finally, we show that ` F ` is unique.  We do
       this by showing that any class ` B ` with the same properties of ` F `
       that we showed in parts 1 and 2 is identical to ` F ` .  (Contributed by
       NM, 18-Aug-1994.)  (Revised by Mario Carneiro, 9-May-2015.) $)
    tfr3 $p |- ( ( B Fn On /\
             A. x e. On ( B ` x ) = ( G ` ( B |` x ) ) ) -> B = F ) $=
      ( vy con0 wfn cv cfv cres wceq wral wa nfv nfra1 wi fveq2 wb imp nfan rsp
      wcel nfim eqeq12d imbi2d r19.21v wss fvreseq mpanl2 syl6bir sylan2 ancoms
      onss tfr1 adantr tfr2 jctr jcab sylibr eqeq12 adantl mpbird exp43 pm2.43d
      syl6 com4t exp4a syl com3l a2d syl5bi tfis2f com12 ralrimi eqfnfv biimpar
      impd mpan2 syldan ) BGHZAIZBJZBWBKZDJZLZAGMZWCWBCJZLZAGMZBCLZWAWGNZWIAGWA
      WGAWAAOWFAGPUAZWBGUCZWLWIWLWIQZWLFIZBJZWPCJZLZQZAFWLWSAWMWSAOUDWBWPLZWIWS
      WLXAWCWQWHWRWBWPBRWBWPCRUEUFWTFWBMWLWSFWBMZQWNWOWLWSFWBUGWNWLXBWIWNWAWGXB
      WIQZWGWNWAXCWGWNWFQZWNWAXCQZQWFAGUBXDWNXEXDWNWNWAXCWNWANZXBXDWNWIXFXBXDWN
      WIXFXBNZXDWNNZNWIWECWBKZDJZLZXGXKXHXFXBXKWAWNXBXKQZWNWAWBGUHZXLWBUNWAXMNX
      BWDXILZXKWACGHZXMXNXBSCDEUOZFGWBBCUIUJWDXIDRUKULUMTUPXHWIXKSZXGXDWNXQXDWN
      WFWHXJLZNZXQXDXDWNXRQZNWNXSQXDXTWBCDEUQURWNWFXRUSUTWCWEWHXJVAVFTVBVCVDVGV
      HVEVIVJVRVKVLVMVNVOWAWKWJWAXOWKWJSXPAGBCVPVSVQVT $.
  $}

  ${
    tfrALT.1 $e |- F = recs ( G ) $.
    $( Alternate proof of ~ tfr1 using well-ordered recursion.  (Contributed by
       Scott Fenton, 3-Aug-2020.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    tfr1ALT $p |- F Fn On $=
      ( con0 cep epweon epse crecs cwrecs df-recs eqtri wfr1 ) DEABFDGABHDEBICB
      JKL $.

    $( Alternate proof of ~ tfr2 using well-ordered recursion.  (Contributed by
       Scott Fenton, 3-Aug-2020.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    tfr2ALT $p |- ( A e. On -> ( F ` A ) = ( G ` ( F |` A ) ) ) $=
      ( con0 wcel cfv cep cpred cres epweon epse crecs cwrecs eqtri wfr2 predon
      df-recs reseq2d fveq2d eqtrd ) AEFZABGBEHAIZJZCGBAJZCGEHBCAKELBCMEHCNDCRO
      PUBUDUECUBUCABAQSTUA $.

    $d B x $.  $d G x $.  $d F x $.
    $( Alternate proof of ~ tfr3 using well-ordered recursion.  (Contributed by
       Scott Fenton, 3-Aug-2020.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    tfr3ALT $p |- ( ( B Fn On /\
             A. x e. On ( B ` x ) = ( G ` ( B |` x ) ) ) -> B = F ) $=
      ( con0 wfn cv cfv cres wceq wral wa cep wcel predon reseq2d fveq2d eqeq2d
      cpred ralbiia epweon epse crecs cwrecs df-recs eqtri wfr3 sylan2br eqcomd
      ) BFGZAHZBIZBULJZDIZKZAFLZMCBUQUKUMBFNULTZJZDIZKZAFLCBKVAUPAFULFOZUTUOUMV
      BUSUNDVBURULBULPQRSUAAFNCDBUBFUCCDUDFNDUEEDUFUGUHUIUJ $.
  $}

  $( Strong transfinite recursion defines a function on ordinals.  (Contributed
     by Stefan O'Rear, 18-Jan-2015.) $)
  recsfnon $p |- recs ( F ) Fn On $=
    ( crecs eqid tfr1 ) ABZAECD $.

  $( Strong transfinite recursion in terms of all previous values.
     (Contributed by Stefan O'Rear, 18-Jan-2015.) $)
  recsval $p |- ( A e. On -> ( recs ( F ) ` A ) =
        ( F ` ( recs ( F ) |` A ) ) ) $=
    ( crecs eqid tfr2 ) ABCZBFDE $.

  ${
    $d x y $.  $d y A $.  $d y H $.
    tz7.44lem1.1 $e |- G = { <. x , y >. | ( ( x = (/) /\ y = A ) \/
            ( -. ( x = (/) \/ Lim dom x ) /\ y = ( H ` ( x ` U. dom x ) ) )
                \/ ( Lim dom x /\ y = U. ran x ) ) } $.
    $( ` G ` is a function.  Lemma for ~ tz7.44-1 , ~ tz7.44-2 , and
       ~ tz7.44-3 .  (Contributed by NM, 23-Apr-1995.)  (Revised by David
       Abernethy, 19-Jun-2012.) $)
    tz7.44lem1 $p |- Fun G $=
      ( wfun cv c0 wceq wa cdm wlim wo cuni cfv cvv wcel wb limeq crn w3o copab
      wn wmo funopab fvex vex rnexg uniexg mp2b nlim0 dm0 ax-mp dmeq syl biimpa
      mtbir mto moeq3 mpgbir funeqi mpbir ) DGAHZIJZBHZCJKVEVDLZMZNUDVFVGOVDPZE
      PZJKVHVFVDUAZOZJKUBZABUCZGZVOVMBUEAVMABUFVEVHBCVJVLVIEUGVDQRVKQRVLQRAUHVD
      QUIVKQUJUKVEVHKILZMZVQIMZULVPIJVQVRSUMVPITUNURVEVHVQVEVGVPJVHVQSVDIUOVGVP
      TUPUQUSUTVADVNFVBVC $.
  $}

  ${
    $d x A $.  $d x y B $.  $d x y F $.  $d y G $.  $d x H $.  $d y X $.
    tz7.44.1 $e |- G = ( x e. _V |-> if ( x = (/) , A ,
                if ( Lim dom x , U. ran x , ( H ` ( x ` U. dom x ) ) ) ) ) $.
    tz7.44.2 $e |- ( y e. X -> ( F ` y ) = ( G ` ( F |` y ) ) ) $.
    ${
      tz7.44-1.3 $e |- A e. _V $.
      $( The value of ` F ` at ` (/) ` .  Part 1 of Theorem 7.44 of
         [TakeutiZaring] p. 49.  (Contributed by NM, 23-Apr-1995.)  (Revised by
         Mario Carneiro, 14-Nov-2014.) $)
      tz7.44-1 $p |- ( (/) e. X -> ( F ` (/) ) = A ) $=
        ( c0 wcel cfv cv cres wceq eqtrdi cvv cuni cif fveq2 reseq2 res0 fveq2d
        eqeq12d vtoclga 0ex cdm wlim crn iftrue fvmpt ax-mp ) KGLKDMZKEMZCBNZDM
        ZDUPOZEMZPUNUOPBKGUPKPZUQUNUSUOUPKDUAUTURKEUTURDKOKUPKDUBDUCQUDUEIUFKRL
        UOCPUGAKANZKPZCVAUHZUIVAUJSVCSVAMFMTZTCREVBCVDUKHJULUMQ $.
    $}

    tz7.44.3 $e |- ( y e. X -> ( F |` y ) e. _V ) $.
    tz7.44.4 $e |- F Fn X $.
    tz7.44.5 $e |- Ord X $.
    $( The value of ` F ` at a successor ordinal.  Part 2 of Theorem 7.44 of
       [TakeutiZaring] p. 49.  (Contributed by NM, 23-Apr-1995.)  Remove
       unnecessary distinct variable conditions.  (Revised by David Abernethy,
       19-Jun-2012.)  (Revised by Mario Carneiro, 14-Nov-2014.) $)
    tz7.44-2 $p |- ( suc B e. X -> ( F ` suc B ) = ( H ` ( F ` B ) ) ) $=
      ( wcel cfv c0 wceq cuni fveq2d cvv csuc cres cdm wlim crn cv fveq2 reseq2
      cif eqeq12d vtoclga eqeq1 wb dmeq limeq rneq unieqd fveq1 eqtrd ifbieq12d
      syl ifbieq2d eleq1d noel dm0 eqtrdi con0 word wss ordsson ax-mp wtr ordtr
      trsuc mpan sselid sucidg dmres ordelss fndmi sseqtrrdi df-ss sylib eqtrid
      cin eleqtrrd eleq2 syl5ibcom syl5 mtoi iffalsed nlimsucg mtbird ordunisuc
      wn eloni 3syl fvresd 3eqtrd fvex eqeltrdi fvmptd3 ) DUAZHNZXCEOZEXCUBZFOZ
      XFPQZCXFUCZUDZXFUEZRZXIRZXFOZGOZUIZUIZDEOZGOZBUFZEOZEXTUBZFOZQXEXGQBXCHXT
      XCQZYAXEYCXGXTXCEUGYDYBXFFXTXCEUHZSUJJUKXDAXFAUFZPQZCYFUCZUDZYFUEZRZYHRZY
      FOZGOZUIZUIXQTFTIYFXFQZYGXHYOXPCYFXFPULYPYIXJYKYNXLXOYPYHXIQYIXJUMYFXFUNZ
      YHXIUOVAYPYJXKYFXFUPUQYPYMXNGYPYMYLXFOXNYLYFXFURYPYLXMXFYPYHXIYQUQSUSSUTV
      BYBTNXFTNBXCHYDYBXFTYEVCKUKXDXQXSTXDXQXPXOXSXDXHCXPXDXHDPNZDVDXHXIPQZXDYR
      XHXIPUCPXFPUNVEVFXDDXINYSYRXDDXCXIXDDVGNZDXCNXDHVGDHVHZHVGVIMHVJVKHVLZXDD
      HNUUAUUBMHVMVKHDVNVOVPZDVGVQVAZXDXIXCEUCZWEZXCEXCVRXDXCUUEVIUUFXCQXDXCHUU
      EUUAXDXCHVIMHXCVSVOHELVTWAXCUUEWBWCWDZWFXIPDWGWHWIWJWKXDXJXLXOXDXJXCUDZXD
      YTUUHWOUUCDVGWLVAXDXIXCQXJUUHUMUUGXIXCUOVAWMWKXDXNXRGXDXNDXFOXRXDXMDXFXDX
      MXCRZDXDXIXCUUGUQXDYTDVHUUIDQUUCDWPDWNWQUSSXDDXCEUUDWRUSSWSZXRGWTXAXBUUJW
      S $.

    $( The value of ` F ` at a limit ordinal.  Part 3 of Theorem 7.44 of
       [TakeutiZaring] p. 49.  (Contributed by NM, 23-Apr-1995.)  (Revised by
       David Abernethy, 19-Jun-2012.) $)
    tz7.44-3 $p |- ( ( B e. X /\ Lim B ) -> ( F ` B ) = U. ( F " B ) ) $=
      ( wcel wlim cfv cuni wceq c0 cvv wa cres crn cima cv fveq2 reseq2 eqeq12d
      fveq2d vtoclga adantr cdm cif eleq1d simpr wn nlim0 wb cin dmres wss word
      ordelss mpan wfn fndm ax-mp sseqtrrdi df-ss sylib eqtrid eqtrdi sylan9req
      dmeq dm0 limeq syl mtbiri mt2d iffalsed mpbird iftrued eqtrd rnexg uniexg
      ex 3syl eqeltrd eqeq1 rneq unieqd fveq1 ifbieq12d ifbieq2d fvmptg syl2anc
      df-ima unieqi eqtr4di ) DHNZDOZUAZDEPZEDUBZUCZQZEDUDZQXBXCXDFPZXFWTXCXHRZ
      XABUEZEPZEXJUBZFPZRXIBDHXJDRZXKXCXMXHXJDEUFXNXLXDFXJDEUGZUIUHJUJUKXBXHXDS
      RZCXDULZOZXFXQQZXDPZGPZUMZUMZXFXBXDTNZYCTNXHYCRWTYDXAXLTNYDBDHXNXLXDTXOUN
      KUJUKZXBYCXFTXBYCYBXFXBXPCYBXBXPXAWTXAUOZXBXPXAUPXBXPUAZXASOZUQYGDSRXAYHU
      RXBXPDXQSXBXQDEULZUSZDEDUTXBDYIVAYJDRXBDHYIWTDHVAZXAHVBWTYKMHDVCVDUKEHVEY
      IHRLHEVFVGVHDYIVIVJVKZXPXQSULSXDSVNVOVLVMDSVPVQVRWFVSVTXBXRXFYAXBXRXAYFXB
      XQDRXRXAURYLXQDVPVQWAWBWCZXBYDXETNXFTNYEXDTWDXETWEWGWHAXDAUEZSRZCYNULZOZY
      NUCZQZYPQZYNPZGPZUMZUMYCTTFYNXDRZYOXPUUCYBCYNXDSWIUUDYQXRYSUUBXFYAUUDYPXQ
      RYQXRURYNXDVNZYPXQVPVQUUDYRXEYNXDWJWKUUDUUAXTGUUDUUAYTXDPXTYTYNXDWLUUDYTX
      SXDUUDYPXQUUEWKUIWCUIWMWNIWOWPYMWCWCXGXEEDWQWRWS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Recursive definition generator
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define a constant for the recursive definition generator. $)
  $c rec $.

  $( Extend class notation with the recursive definition generator, with
     characteristic function ` F ` and initial value ` I ` . $)
  crdg $a class rec ( F , I ) $.

  ${
    $d g F $.  $d g I $.
    $( Define a recursive definition generator on ` On ` (the class of ordinal
       numbers) with characteristic function ` F ` and initial value ` I ` .
       This combines functions ` F ` in ~ tfr1 and ` G ` in ~ tz7.44-1 into one
       definition.  This rather amazing operation allows us to define, with
       compact direct definitions, functions that are usually defined in
       textbooks only with indirect self-referencing recursive definitions.  A
       recursive definition requires advanced metalogic to justify - in
       particular, eliminating a recursive definition is very difficult and
       often not even shown in textbooks.  On the other hand, the elimination
       of a direct definition is a matter of simple mechanical substitution.
       The price paid is the daunting complexity of our ` rec ` operation
       (especially when ~ df-recs that it is built on is also eliminated).  But
       once we get past this hurdle, definitions that would otherwise be
       recursive become relatively simple, as in for example ~ oav , from which
       we prove the recursive textbook definition as Theorems ~ oa0 , ~ oasuc ,
       and ~ oalim (with the help of Theorems ~ rdg0 , ~ rdgsuc , and
       ~ rdglim2a ).  We can also restrict the ` rec ` operation to define
       otherwise recursive functions on the natural numbers ` _om ` ; see
       ~ fr0g and ~ frsuc .  Our ` rec ` operation apparently does not appear
       in published literature, although closely related is Definition 25.2 of
       [Quine] p. 177, which he uses to "turn...a recursion into a genuine or
       direct definition" (p. 174).  Note that the ` if ` operations (see
       ~ df-if ) select cases based on whether the domain of ` g ` is zero, a
       successor, or a limit ordinal.

       An important use of this definition is in the recursive sequence
       generator ~ df-seq on the natural numbers (as a subset of the complex
       numbers), allowing us to define, with direct definitions, recursive
       infinite sequences such as the factorial function ~ df-fac and integer
       powers ~ df-exp .

       _Note:  We introduce_ ` rec ` _with the philosophical goal of being_
       _able to eliminate all definitions with direct mechanical substitution_
       _and to verify easily the soundness of definitions.  Metamath itself_
       _has no built-in technical limitation that prevents multiple-part_
       _recursive definitions in the traditional textbook style_.  (Contributed
       by NM, 9-Apr-1995.)  (Revised by Mario Carneiro, 9-May-2015.) $)
    df-rdg $a |- rec ( F , I ) = recs ( ( g e. _V |-> if ( g = (/) , I ,
                if ( Lim dom g , U. ran g , ( F ` ( g ` U. dom g ) ) ) ) ) ) $.
  $}

  ${
    $d g F $.  $d g G $.  $d g A $.  $d g B $.
    $( Equality theorem for the recursive definition generator.  (Contributed
       by NM, 9-Apr-1995.)  (Revised by Mario Carneiro, 9-May-2015.) $)
    rdgeq1 $p |- ( F = G -> rec ( F , A ) = rec ( G , A ) ) $=
      ( vg wceq cvv cv cdm wlim crn cuni cfv cif cmpt crecs fveq1 ifeq2d df-rdg
      c0 crdg mpteq2dv recseq syl 3eqtr4g ) BCEZDFDGZSEZAUFHZIZUFJKZUHKUFLZBLZM
      ZMZNZOZDFUGAUIUJUKCLZMZMZNZOZBATCATUEUOUTEUPVAEUEDFUNUSUEUGUMURAUEUIULUQU
      JUKBCPQQUAUOUTUBUCDBARDCARUD $.

    $( Equality theorem for the recursive definition generator.  (Contributed
       by NM, 9-Apr-1995.)  (Revised by Mario Carneiro, 9-May-2015.) $)
    rdgeq2 $p |- ( A = B -> rec ( F , A ) = rec ( F , B ) ) $=
      ( vg wceq cvv cv cdm wlim crn cuni cfv cif cmpt crecs crdg ifeq1 mpteq2dv
      c0 df-rdg recseq syl 3eqtr4g ) ABEZDFDGZSEZAUEHZIUEJKUGKUELCLMZMZNZOZDFUF
      BUHMZNZOZCAPCBPUDUJUMEUKUNEUDDFUIULUFABUHQRUJUMUAUBDCATDCBTUC $.
  $}

  $( Equality theorem for the recursive definition generator.  (Contributed by
     Scott Fenton, 28-Apr-2012.) $)
  rdgeq12 $p |- ( ( F = G /\ A = B ) -> rec ( F , A ) = rec ( G , B ) ) $=
    ( wceq crdg rdgeq2 rdgeq1 sylan9eqr ) ABECDECAFCBFDBFABCGBCDHI $.

  ${
    $d g F $.  $d g A $.  $d x g $.
    nfrdg.1 $e |- F/_ x F $.
    nfrdg.2 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for the recursive definition
       generator.  (Contributed by NM, 14-Sep-2003.)  (Revised by Mario
       Carneiro, 8-Sep-2013.) $)
    nfrdg $p |- F/_ x rec ( F , A ) $=
      ( vg crdg cvv cv c0 wceq cdm wlim crn cuni cfv cif nfcv nfv nfif df-rdg
      cmpt crecs nffv nfmpt nfrecs nfcxfr ) ACBGFHFIZJKZBUHLZMZUHNOZUJOUHPZCPZQ
      ZQZUBZUCFCBUAAUQAFHUPAHRUIABUOUIASEUKAULUNUKASAULRAUMCDAUMRUDTTUEUFUG $.
  $}

  ${
    $d x y f g v $.  $d x y z g $.  $d z f $.  $d f g G $.  $d x z G $.
    $d y z w g v G $.
    $( Lemma used with the recursive definition generator.  This is a trivial
       lemma that just changes bound variables for later use.  (Contributed by
       NM, 9-Apr-1995.) $)
    rdglem1 $p |- { f | E. x e. On ( f Fn x /\
                A. y e. x ( f ` y ) = ( G ` ( f |` y ) ) ) }
                = { g | E. z e. On ( g Fn z /\
                A. w e. z ( g ` w ) = ( G ` ( g |` w ) ) ) } $=
      ( vv cv wfn cfv cres wceq wral wa con0 wrex cab eqid tfrlem3 fveq2 reseq2
      fveq2d eqeq12d cbvralvw anbi2i rexbii abbii eqtri ) EIZAIZJBIZUJKUJULLGKM
      BUKNOAPQERZFIZCIZJZHIZUNKZUNUQLZGKZMZHUONZOZCPQZFRUPDIZUNKZUNVELZGKZMZDUO
      NZOZCPQZFRABCHUMEFGUMSTVDVLFVCVKCPVBVJUPVAVIHDUOUQVEMZURVFUTVHUQVEUNUAVMU
      SVGGUQVEUNUBUCUDUEUFUGUHUI $.
  $}

  ${
    $d g F $.  $d g A $.
    $( The recursive definition generator is a function.  (Contributed by Mario
       Carneiro, 16-Nov-2014.) $)
    rdgfun $p |- Fun rec ( F , A ) $=
      ( vg crdg wfun cdm wlim cvv cv c0 wceq crn cuni cfv cif cmpt df-rdg tfr1a
      simpli ) BADZETFGTCHCIZJKAUAFZGUALMUBMUANBNOOPCBAQRS $.

    $( The domain of the recursive definition generator is a limit ordinal.
       (Contributed by NM, 16-Nov-2014.) $)
    rdgdmlim $p |- Lim dom rec ( F , A ) $=
      ( vg crdg wfun cdm wlim cvv cv c0 wceq crn cuni cfv cif cmpt df-rdg tfr1a
      simpri ) BADZETFGTCHCIZJKAUAFZGUALMUBMUANBNOOPCBAQRS $.

    $( The recursive definition generator is a function on ordinal numbers.
       (Contributed by NM, 9-Apr-1995.)  (Revised by Mario Carneiro,
       9-May-2015.) $)
    rdgfnon $p |- rec ( F , A ) Fn On $=
      ( vg crdg cvv cv c0 wceq cdm wlim crn cuni cfv cif cmpt df-rdg tfr1 ) BAD
      CECFZGHARIZJRKLSLRMBMNNOCBAPQ $.
  $}

  ${
    $d g F $.  $d g A $.
    $( Value of the recursive definition generator.  (Contributed by NM,
       9-Apr-1995.)  (Revised by Mario Carneiro, 8-Sep-2013.) $)
    rdgvalg $p |- ( B e. dom rec ( F , A ) ->
      ( rec ( F , A ) ` B ) = ( ( g e. _V |->
  if ( g = (/) , A , if ( Lim dom g , U. ran g , ( F ` ( g ` U. dom g ) ) ) ) )
                   ` ( rec ( F , A ) |` B ) ) ) $=
      ( crdg cvv cv c0 wceq cdm wlim crn cuni cfv cif cmpt df-rdg tfr2a ) BDAEC
      FCGZHIASJZKSLMTMSNDNOOPCDAQR $.

    $( Value of the recursive definition generator.  (Contributed by NM,
       9-Apr-1995.)  (Revised by Mario Carneiro, 8-Sep-2013.) $)
    rdgval $p |- ( B e. On -> ( rec ( F , A ) ` B ) = ( ( g e. _V |->
  if ( g = (/) , A , if ( Lim dom g , U. ran g , ( F ` ( g ` U. dom g ) ) ) ) )
                   ` ( rec ( F , A ) |` B ) ) ) $=
      ( crdg cvv cv c0 wceq cdm wlim crn cuni cfv cif cmpt df-rdg tfr2 ) BDAECF
      CGZHIASJZKSLMTMSNDNOOPCDAQR $.
  $}

  ${
    $d x y f g v w F $.  $d x y f g v w A $.  $d f x y B $.
    ${
      rdg.1 $e |- A e. _V $.
      $( The initial value of the recursive definition generator.  (Contributed
         by NM, 23-Apr-1995.)  (Revised by Mario Carneiro, 14-Nov-2014.) $)
      rdg0 $p |- ( rec ( F , A ) ` (/) ) = A $=
        ( vx vy crdg cdm wcel cfv wceq com wlim wss rdgdmlim limomss ax-mp cuni
        c0 cv cif peano1 sselii cvv crn cmpt eqid rdgvalg tz7.44-1 ) RBAFZGZHRU
        IIAJKUJRUJLKUJMABNUJOPUAUBDEAUIDUCDSZRJAUKGZLUKUDQULQUKIBITTUEZBUJUMUFA
        ESDBUGCUHP $.
    $}

    $( The initial segments of the recursive definition generator are sets.
       (Contributed by Mario Carneiro, 16-Nov-2014.) $)
    rdgseg $p |- ( B e. dom rec ( F , A ) ->
                 ( rec ( F , A ) |` B ) e. _V ) $=
      ( vg vx vy vw vv vf crdg cdm wcel cres cvv cv c0 wceq cuni cfv cif df-rdg
      wlim crn cmpt crecs reseq1i wfn wral con0 wrex cab rdglem1 tfrlem9a dmeqi
      wa eleq2s eqeltrid ) BCAJZKZLURBMDNDOZPQAUTKZUBUTUCRVARUTSCSTTUDZUEZBMZNU
      RVCBDCAUAZUFVDNLBVCKUSEFGOZFOZUGHOZVFSVFVHMVBSQHVGUHUOFUIUJGUKBIVBFHEFGIV
      BULUMURVCVEUNUPUQ $.

    $( The value of the recursive definition generator at a successor.
       (Contributed by NM, 16-Nov-2014.) $)
    rdgsucg $p |- ( B e. dom rec ( F , A ) ->
                 ( rec ( F , A ) ` suc B ) = ( F ` ( rec ( F , A ) ` B ) ) ) $=
      ( vx vy crdg cdm wcel csuc cfv wceq wlim wb rdgdmlim limsuc ax-mp cv cuni
      cvv cif c0 crn cmpt eqid rdgvalg rdgseg wfun wfn rdgfun funfn mpbi limord
      word tz7.44-2 sylbi ) BCAFZGZHZBIZUQHZUSUPJBUPJCJKUQLZURUTMACNZUQBOPDEABU
      PDSDQZUAKAVCGZLVCUBRVDRVCJCJTTUCZCUQVEUDAEQZDCUEAVFCUFUPUGUPUQUHACUIUPUJU
      KVAUQUMVBUQULPUNUO $.

    $( The value of the recursive definition generator at a successor.
       (Contributed by NM, 23-Apr-1995.)  (Revised by Mario Carneiro,
       14-Nov-2014.) $)
    rdgsuc $p |- ( B e. On ->
                 ( rec ( F , A ) ` suc B ) = ( F ` ( rec ( F , A ) ` B ) ) ) $=
      ( con0 wcel crdg cdm csuc cfv wceq rdgfnon fndmi eleq2i rdgsucg sylbir )
      BDEBCAFZGZEBHPIBPICIJQDBDPACKLMABCNO $.

    $( The value of the recursive definition generator at a limit ordinal.
       (Contributed by NM, 16-Nov-2014.) $)
    rdglimg $p |- ( ( B e. dom rec ( F , A ) /\ Lim B ) ->
                   ( rec ( F , A ) ` B ) = U. ( rec ( F , A ) " B ) ) $=
      ( vx vy crdg cvv cv c0 wceq cdm wlim crn cuni cfv cif cmpt rdgvalg rdgseg
      eqid wfun wfn rdgfun funfn mpbi word rdgdmlim limord ax-mp tz7.44-3 ) DEA
      BCAFZDGDHZIJAULKZLULMNUMNULOCOPPQZCUKKZUNTAEHZDCRAUPCSUKUAUKUOUBACUCUKUDU
      EUOLUOUFACUGUOUHUIUJ $.

    $( The value of the recursive definition generator at a limit ordinal.
       (Contributed by NM, 23-Apr-1995.)  (Revised by Mario Carneiro,
       14-Nov-2014.) $)
    rdglim $p |- ( ( B e. C /\ Lim B ) ->
                   ( rec ( F , A ) ` B ) = U. ( rec ( F , A ) " B ) ) $=
      ( wcel wlim crdg cdm cfv cima cuni wceq wa con0 limelon wfn rdgfnon ax-mp
      fndm eleqtrrdi rdglimg sylancom ) BCEZBFZBDAGZHZEBUEIUEBJKLUCUDMBNUFBCOUE
      NPUFNLADQNUESRTABDUAUB $.
  $}

  ${
    $d x A $.  $d x F $.
    $( The initial value of the recursive definition generator.  (Contributed
       by NM, 25-Apr-1995.) $)
    rdg0g $p |- ( A e. C -> ( rec ( F , A ) ` (/) ) = A ) $=
      ( vx c0 cv crdg cfv wceq rdgeq2 fveq1d id eqeq12d vex rdg0 vtoclg ) ECDFZ
      GZHZQIECAGZHZAIDABQAIZSUAQAUBERTQACJKUBLMQCDNOP $.
  $}

  ${
    rdgsucmptf.1 $e |- F/_ x A $.
    rdgsucmptf.2 $e |- F/_ x B $.
    rdgsucmptf.3 $e |- F/_ x D $.
    rdgsucmptf.4 $e |- F = rec ( ( x e. _V |-> C ) , A ) $.
    rdgsucmptf.5 $e |- ( x = ( F ` B ) -> C = D ) $.
    $( The value of the recursive definition generator at a successor (special
       case where the characteristic function uses the map operation).
       (Contributed by NM, 22-Oct-2003.)  (Revised by Mario Carneiro,
       15-Oct-2016.) $)
    rdgsucmptf $p |- ( ( B e. On /\ D e. V ) -> ( F ` suc B ) = D ) $=
      ( con0 wcel csuc cfv cvv cmpt crdg fveq1i rdgsuc fveq2i 3eqtr4g wceq fvex
      nfmpt1 nfrdg nfcxfr nffv eqid fvmptf mpan sylan9eq ) CMNZEGNZCOZFPZCFPZAQ
      DRZPZEUNUPUSBSZPCVAPZUSPUQUTBCUSUAUPFVAKTURVBUSCFVAKTUBUCURQNUOUTEUDCFUEA
      URDEQUSGACFAFVAKABUSAQDUFHUGUHIUIJLUSUJUKULUM $.

    $( The value of the recursive definition generator at a successor (special
       case where the characteristic function is an ordered-pair class
       abstraction and where the mapping class ` D ` is a proper class).  This
       is a technical lemma that can be used together with ~ rdgsucmptf to help
       eliminate redundant sethood antecedents.  (Contributed by NM,
       22-Oct-2003.)  (Revised by Mario Carneiro, 15-Oct-2016.) $)
    rdgsucmptnf $p |- ( -. D e. _V -> ( F ` suc B ) = (/) ) $=
      ( cvv wcel wn csuc cfv cmpt crdg c0 fveq1i cdm wceq rdgdmlim limsuc ax-mp
      wlim wb rdgsucg fveq2i eqtr4di nfmpt1 nfrdg nfcxfr nffv fvmptnf sylan9eqr
      eqid ex syl5bir ndmfv pm2.61d1 eqtrid ) ELMNZCOZFPVDALDQZBRZPZSVDFVFJTVCV
      DVFUAZMZVGSUBZVICVHMZVCVJVHUFVKVIUGBVEUCVHCUDUEVCVKVJVKVCVGCFPZVEPZSVKVGC
      VFPZVEPVMBCVEUHVLVNVECFVFJTUIUJAVLDELVEACFAFVFJABVEALDUKGULUMHUNIKVEUQUOU
      PURUSVDVFUTVAVB $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.  $d y D $.  $d x E $.
    rdgsucmpt2.1 $e |- F = rec ( ( x e. _V |-> C ) , A ) $.
    rdgsucmpt2.2 $e |- ( y = x -> E = C ) $.
    rdgsucmpt2.3 $e |- ( y = ( F ` B ) -> E = D ) $.
    $( This version of ~ rdgsucmpt avoids the not-free hypothesis of
       ~ rdgsucmptf by using two substitutions instead of one.  (Contributed by
       Mario Carneiro, 11-Sep-2015.) $)
    rdgsucmpt2 $p |- ( ( B e. On /\ D e. V ) -> ( F ` suc B ) = D ) $=
      ( nfcv cvv cmpt crdg wceq cbvmptv rdgeq1 ax-mp eqtr4i rdgsucmptf ) BCDGFH
      IBCMBDMBFMHANEOZCPZBNGOZCPZJUEUCQUFUDQBANGEKRCUEUCSTUALUB $.
  $}

  ${
    $d x A $.  $d x B $.  $d x D $.
    rdgsucmpt.1 $e |- F = rec ( ( x e. _V |-> C ) , A ) $.
    rdgsucmpt.2 $e |- ( x = ( F ` B ) -> C = D ) $.
    $( The value of the recursive definition generator at a successor (special
       case where the characteristic function uses the map operation).
       (Contributed by Mario Carneiro, 9-Sep-2013.) $)
    rdgsucmpt $p |- ( ( B e. On /\ D e. V ) -> ( F ` suc B ) = D ) $=
      ( nfcv rdgsucmptf ) ABCDEFGABJACJAEJHIK $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y F $.
    $( The value of the recursive definition generator at a limit ordinal, in
       terms of the union of all smaller values.  (Contributed by NM,
       23-Apr-1995.) $)
    rdglim2 $p |- ( ( B e. C /\ Lim B ) -> ( rec ( F , A ) ` B ) =
                  U. { y | E. x e. B y = ( rec ( F , A ) ` x ) } ) $=
      ( wcel wlim wa crdg cfv cima cuni cv wceq cab wex con0 wb word rdglim cop
      wrex dfima3 df-rex wi limord ordelord ex vex elon syl6ibr syl wfn rdgfnon
      eqcom fnopfvb mpan syl5bb syl6 pm5.32d exbidv abbidv eqtrid unieqd adantl
      bitr2id eqtrd ) DEGZDHZIDFCJZKVKDLZMZBNZANZVKKZOZADUCZBPZMZCDEFUAVJVMVTOV
      IVJVLVSVJVLVODGZVOVNUBVKGZIZAQZBPVSABVKDUDVJWDVRBVRWAVQIZAQVJWDVQADUEVJWE
      WCAVJWAVQWBVJWAVORGZVQWBSVJDTZWAWFUFDUGWGWAVOTZWFWGWAWHDVOUHUIVOAUJUKULUM
      VQVPVNOZWFWBVNVPUPVKRUNWFWIWBSCFUORVOVNVKUQURUSUTVAVBVGVCVDVEVFVH $.

    $( The value of the recursive definition generator at a limit ordinal, in
       terms of indexed union of all smaller values.  (Contributed by NM,
       28-Jun-1998.) $)
    rdglim2a $p |- ( ( B e. C /\ Lim B ) -> ( rec ( F , A ) ` B ) =
                  U_ x e. B ( rec ( F , A ) ` x ) ) $=
      ( vy wcel wlim wa crdg cfv cv wceq wrex cab cuni ciun rdglim2 fvex dfiun2
      eqtr4di ) CDGCHICEBJZKFLALZUBKZMACNFOPACUDQAFBCDERAFCUDUCUBSTUA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Finite recursion
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( We use the next 3 theorems for finite recursion.  Note that we take
     advantage of what we have done for transfinite recursion, which allows
     us to explicitly specify the function and moreover not require the
     existence of omega. $)

  $( The function generated by finite recursive definition generation is a
     function on omega.  (Contributed by NM, 15-Oct-1996.)  (Revised by Mario
     Carneiro, 14-Nov-2014.) $)
  frfnom $p |- ( rec ( F , A ) |` _om ) Fn _om $=
    ( crdg com cres wfn wfun cdm wceq rdgfun funres ax-mp cin wss wlim rdgdmlim
    dmres limomss df-ss mpbi eqtri df-fn mpbir2an ) BACZDEZDFUEGZUEHZDIUDGUFABJ
    DUDKLUGDUDHZMZDUDDQDUHNZUIDIUHOUJABPUHRLDUHSTUAUEDUBUC $.

  $( The initial value resulting from finite recursive definition generation.
     (Contributed by NM, 15-Oct-1996.) $)
  fr0g $p |- ( A e. B -> ( ( rec ( F , A ) |` _om ) ` (/) ) = A ) $=
    ( wcel c0 crdg com cres cfv wceq peano1 fvres ax-mp rdg0g eqtrid ) ABDECAFZ
    GHIZEPIZAEGDQRJKEGPLMABCNO $.

  $( The successor value resulting from finite recursive definition generation.
     (Contributed by NM, 15-Oct-1996.)  (Revised by Mario Carneiro,
     16-Nov-2014.) $)
  frsuc $p |- ( B e. _om -> ( ( rec ( F , A ) |` _om ) ` suc B ) =
              ( F ` ( ( rec ( F , A ) |` _om ) ` B ) ) ) $=
    ( com wcel csuc crdg cfv cres cdm wceq wlim wss limomss ax-mp sseli rdgsucg
    rdgdmlim syl fvres peano2b sylbi fveq2d 3eqtr4d ) BDEZBFZCAGZHZBUGHZCHZUFUG
    DIZHZBUKHZCHUEBUGJZEUHUJKDUNBUNLDUNMACRUNNOPABCQSUEUFDEULUHKBUAUFDUGTUBUEUM
    UICBDUGTUCUD $.

  ${
    frsucmpt.1 $e |- F/_ x A $.
    frsucmpt.2 $e |- F/_ x B $.
    frsucmpt.3 $e |- F/_ x D $.
    frsucmpt.4 $e |- F = ( rec ( ( x e. _V |-> C ) , A ) |` _om ) $.
    frsucmpt.5 $e |- ( x = ( F ` B ) -> C = D ) $.
    $( The successor value resulting from finite recursive definition
       generation (special case where the generation function is expressed in
       maps-to notation).  (Contributed by NM, 14-Sep-2003.)  (Revised by Scott
       Fenton, 2-Nov-2011.) $)
    frsucmpt $p |- ( ( B e. _om /\ D e. V ) -> ( F ` suc B ) = D ) $=
      ( com wcel csuc cfv cvv cmpt crdg fveq1i cres frsuc fveq2i 3eqtr4g nfmpt1
      wceq fvex nfrdg nfcv nfres nfcxfr nffv eqid fvmptf mpan sylan9eq ) CMNZEG
      NZCOZFPZCFPZAQDRZPZEUQUSVBBSZMUAZPCVEPZVBPUTVCBCVBUBUSFVEKTVAVFVBCFVEKTUC
      UDVAQNURVCEUFCFUGAVADEQVBGACFAFVEKAVDMABVBAQDUEHUHAMUIUJUKIULJLVBUMUNUOUP
      $.

    $( The value of the finite recursive definition generator at a successor
       (special case where the characteristic function is a mapping abstraction
       and where the mapping class ` D ` is a proper class).  This is a
       technical lemma that can be used together with ~ frsucmpt to help
       eliminate redundant sethood antecedents.  (Contributed by Scott Fenton,
       19-Feb-2011.)  (Revised by Mario Carneiro, 11-Sep-2015.) $)
    frsucmptn $p |- ( -. D e. _V -> ( F ` suc B ) = (/) ) $=
      ( cvv wcel wn csuc cfv com c0 fveq1i wceq cmpt crdg cres cdm frfnom ax-mp
      wfn fndm eleq2i peano2b frsuc fveq2i eqtr4di nfmpt1 nfrdg nfcv nfres nffv
      nfcxfr eqid fvmptnf sylan9eqr ex syl5bir syl5bi ndmfv pm2.61d1 eqtrid ) E
      LMNZCOZFPVJALDUAZBUBZQUCZPZRVJFVMJSVIVJVMUDZMZVNRTZVPVJQMZVIVQVOQVJVMQUGV
      OQTBVKUEQVMUHUFUIVRCQMZVIVQCUJVIVSVQVSVIVNCFPZVKPZRVSVNCVMPZVKPWABCVKUKVT
      WBVKCFVMJSULUMAVTDELVKACFAFVMJAVLQABVKALDUNGUOAQUPUQUSHURIKVKUTVAVBVCVDVE
      VJVMVFVGVH $.
  $}

  ${
    $d y A $.  $d y B $.  $d y C $.  $d y D $.  $d x E $.  $d x y $.
    frsucmpt2w.1 $e |- F = ( rec ( ( x e. _V |-> C ) , A ) |` _om ) $.
    frsucmpt2w.2 $e |- ( y = x -> E = C ) $.
    frsucmpt2w.3 $e |- ( y = ( F ` B ) -> E = D ) $.
    $( Version of ~ frsucmpt2 with a disjoint variable condition, which does
       not require ~ ax-13 .  (Contributed by Gino Giotto, 26-Jan-2024.) $)
    frsucmpt2w $p |- ( ( B e. _om /\ D e. V ) -> ( F ` suc B ) = D ) $=
      ( nfcv cvv cmpt crdg com cres wceq cbvmptv rdgeq1 reseq1i eqtr4i frsucmpt
      ax-mp ) BCDGFHIBCMBDMBFMHANEOZCPZQRBNGOZCPZQRJUIUGQUHUFSUIUGSBANGEKTCUHUF
      UAUEUBUCLUD $.
    $( $j usage 'frsucmpt2w' avoids 'ax-13'; $)
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.  $d y D $.  $d x E $.
    frsucmpt2.1 $e |- F = ( rec ( ( x e. _V |-> C ) , A ) |` _om ) $.
    frsucmpt2.2 $e |- ( y = x -> E = C ) $.
    frsucmpt2.3 $e |- ( y = ( F ` B ) -> E = D ) $.
    $( The successor value resulting from finite recursive definition
       generation (special case where the generation function is expressed in
       maps-to notation), using double-substitution instead of a bound variable
       condition.  (Contributed by Mario Carneiro, 11-Sep-2015.) $)
    frsucmpt2 $p |- ( ( B e. _om /\ D e. V ) -> ( F ` suc B ) = D ) $=
      ( nfcv cvv cmpt crdg com cres wceq cbvmptv rdgeq1 reseq1i eqtr4i frsucmpt
      ax-mp ) BCDGFHIBCMBDMBFMHANEOZCPZQRBNGOZCPZQRJUIUGQUHUFSUIUGSBANGEKTCUHUF
      UAUEUBUCLUD $.
  $}

  ${
    $d y z w A $.  $d x y z w F $.
    tz7.48.1 $e |- F Fn On $.
    ${
      $d x A $.
      $( A way of showing an ordinal function is one-to-one.  (Contributed by
         NM, 9-Feb-1997.) $)
      tz7.48lem $p |- ( ( A C_ On /\ A. x e. A A. y e. x
                    -. ( F ` x ) = ( F ` y ) ) -> Fun `' ( F |` A ) ) $=
        ( vw vz con0 cv cfv wceq wn wral wa weq wi wel wcel wal r2al cres simpl
        ccnv wfun anim1i imim1i 2alimi sylbi sylibr elequ1 fveq2 eqeq2d imbi12d
        expd notbid cbvralvw ralbii elequ2 fveqeq2 ralbidv 3bitri ralcom biimpi
        wss bitri ancri r19.26-2 syl wb fvres eqeqan12d ad2antrl anim12d pm3.48
        wo oridm eqcom notbii orbi1i bitr3i syl6ibr con2d eloni ordtri3 biimprd
        ssel word syl2an syl9r syl6 imp32 sylbid exp32 a2d 2alimdv 3imtr4g syl5
        imdistani wfn fnssres cvv wf dffn2 wf1 dff13 df-f1 simprbi sylanb sylan
        mpan ) CHVDZAIZDJZBIZDJZKZLZBXLMACMZNXKXLDCUAZJZXNXSJZKZABOZPZBCMACMZNX
        SUCUDZXKXRYEXRABQZXOXMKZLZPZBAQZXQPZNZBCMACMZXKYEXRYLBCMZACMZYNXRXLCRZX
        NCRZNZYLPZBSASZYPXRYQYKNZXQPZBSASUUAXQABCXLTUUCYTABUUCYSYKXQYSYKNUUBXQY
        SYQYKYQYRUBUEUFUNUGUHYLABCCTUIYPYJBCMACMZYPNYNYPUUDYPYJACMZBCMZUUDYPFAQ
        ZXMFIZDJZKZLZPZFCMZACMFGQZGIZDJZUUIKZLZPZFCMZGCMZUUFYOUUMACYLUULBFCBFOZ
        YKUUGXQUUKBFAUJUVBXPUUJUVBXOUUIXMXNUUHDUKULUOUMUPUQUUMUUTAGCAGOZUULUUSF
        CUVCUUGUUNUUKUURAGFURUVCUUJUUQXLUUOUUIDUSUOUMUTUPUVAAGQZUUPXMKZLZPZACMZ
        GCMUUFUUTUVHGCUUSUVGFACFAOZUUNUVDUURUVFFAGUJUVIUUQUVEUVIUUIXMUUPUUHXLDU
        KULUOUMUPUQUVHUUEGBCGBOZUVGYJACUVJUVDYGUVFYIGBAURUVJUVEYHUUOXNXMDUSUOUM
        UTUPVEVAUUFUUDYJBACCVBVCUHVFYJYLABCCVGUIVHXKYSYMPZBSASYSYDPZBSASYNYEXKU
        VKUVLABXKYSYMYDXKYSYMYDXKYSYMNNYBXPYCYSYBXPVIXKYMYQYRXTXMYAXOXLCDVJXNCD
        VJVKVLXKYSYMXPYCPZXKYSXLHRZXNHRZNZYMUVMPXKYQUVNYRUVOCHXLWFCHXNWFVMYMXPY
        GYKVOZLZUVPYCYMUVQXPYMUVQYIXQVOZXQYGYIYKXQVNXQXQXQVOUVSXQVPXQYIXQXPYHXM
        XOVQVRVSVTWAWBUVNXLWGZXNWGZUVRYCPUVOXLWCXNWCUVTUWANYCUVRXLXNWDWEWHWIWJW
        KWLWMWNWOYMABCCTYDABCCTWPWQWRXKXSCWSZYEYFDHWSXKUWBEHCDWTXJUWBCXAXSXBZYE
        YFCXSXCUWCYENZUWCYFUWDCXAXSXDUWCYFNABCXAXSXECXAXSXFVTXGXHXIVH $.
    $}

    $( Proposition 7.48(2) of [TakeutiZaring] p. 51.  (Contributed by NM,
       9-Feb-1997.)  (Revised by David Abernethy, 5-May-2013.) $)
    tz7.48-2 $p |- ( A. x e. On ( F ` x ) e. ( A \ ( F " x ) ) -> Fun `' F ) $=
      ( vy cv cfv cima cdif wcel con0 wral cres ccnv wfun wss wceq wa wi ax-mp
      wn ssid wel onelon ancoms cdm fndmi eleq2i wfn fnfun funfvima mpan impcom
      eleq1a eldifn nsyli syl sylan2br syldan com12 ralrimiv ralimiaa tz7.48lem
      expimpd sylancr wrel fnrel eqimssi relssres mp2an cnveqi funeqi sylib ) A
      FZCGZBCVNHZIJZAKLZCKMZNZOZCNZOVRKKPVOEFZCGZQZUAZEVNLZAKLWAKUBVQWGAKVNKJZV
      QRZWFEVNEAUCZWIWFWJWHVQWFWJWHWCKJZVQWFSZWHWJWKVNWCUDUEWKWJWCCUFZJZWLWMKWC
      KCDUGZUHWJWNRWDVPJZWLWNWJWPCOZWNWJWPSCKUIZWQDKCUJTVNWCCUKULUMWPWEVOVPJVQW
      DVPVOUNVOBVPUOUPUQURUSVDUTVAVBAEKCDVCVEVTWBVSCCVFZWMKPVSCQWRWSDKCVGTWMKWO
      VHCKVIVJVKVLVM $.

    $d x A $.
    $( Proposition 7.48(1) of [TakeutiZaring] p. 51.  (Contributed by NM,
       9-Feb-1997.) $)
    tz7.48-1 $p |- ( A. x e. On ( F ` x ) e. ( A \ ( F " x ) ) ->
                   ran F C_ A ) $=
      ( vy cv cfv cima cdif wcel con0 wral crn wceq wa wex cop vex elrn2 wi cdm
      opeldm fndmi eleqtrdi ancri wfn wb fnopfvb mpan pm5.32i eximi sylbi nfra1
      sylibr nfv rsp eldifi eleq1 syl5ibcom imim2i impd syl exlimd syl5 ssrdv )
      AFZCGZBCVFHZIJZAKLZECMZBEFZVKJZVFKJZVGVLNZOZAPZVJVLBJZVMVFVLQCJZAPVQAVLCE
      RZSVSVPAVSVNVSOVPVSVNVSVFCUAKVFVLCARVTUBKCDUCUDUEVNVOVSCKUFVNVOVSUGDKVFVL
      CUHUIUJUNUKULVJVPVRAVIAKUMVRAUOVJVNVITZVPVRTVIAKUPWAVNVOVRVIVOVRTVNVIVGBJ
      VOVRVGBVHUQVGVLBURUSUTVAVBVCVDVE $.

    $( Proposition 7.48(3) of [TakeutiZaring] p. 51.  (Contributed by NM,
       9-Feb-1997.) $)
    tz7.48-3 $p |- ( A. x e. On ( F ` x ) e. ( A \ ( F " x ) ) ->
                    -. A e. _V ) $=
      ( cv cfv cima cdif wcel con0 wral cvv crn cdm fndmi onprc eqneltri eleq1i
      wi syl ccnv wfun tz7.48-2 funrnex com12 df-rn dfdm4 3imtr4g mtoi tz7.48-1
      wss ssexg ex mtod ) AEZCFBCUOGHIAJKZBLIZCMZLIZUPUSCNZLIZUTJLJCDOPQUPCUAZU
      BZUSVASABCDUCVCVBNZLIZVBMZLIZUSVAVEVCVGLVBUDUEURVDLCUFRUTVFLCUGRUHTUIUPUR
      BUKZUQUSSABCDUJVHUQUSURBLULUMTUN $.
  $}

  ${
    tz7.49.1 $e |- F Fn On $.
    $d x y z A $.  $d x y z F $.  $d ph y z $.
    tz7.49.2 $e |- ( ph <-> A. x e. On ( ( A \ ( F " x ) ) =/= (/) ->
                               ( F ` x ) e. ( A \ ( F " x ) ) ) ) $.
    $( Proposition 7.49 of [TakeutiZaring] p. 51.  (Contributed by NM,
       10-Feb-1997.)  (Revised by Mario Carneiro, 10-Jan-2013.) $)
    tz7.49 $p |- ( ( A e. B /\ ph ) ->
                     E. x e. On ( A. y e. x ( A \ ( F " y ) ) =/= (/) /\
                     ( F " x ) = A /\ Fun `' ( F |` x ) ) ) $=
      ( vz wcel c0 wral wceq con0 wrex wa wn wi wss nfv cima cdif wne cres ccnv
      cv wfun w3a cfv df-ne ralbii ralim sylbi syl5bir cvv tz7.48-3 nsyl3 nsyli
      elex dfrex2 syl6ibr imaeq2 difeq2d eqeq1d onminex syl6 anbi2i nfra1 nfxfr
      rexbii simpllr wfn fnfun ax-mp fvelima mpan nfan rsp adantld onelon fveq2
      neeq1d eleq12d imbi12d rspcv syl5bi com23 syl sylcom com3r expcomd eldifi
      eleq1 syl5ibcom syl8 com34 rexlimd syl5 ssrdv ssdif0 biimpri anim12i eqss
      imp onss ssel cdm fndmi sseqtrrdi funfvima2 sylancr com12 a1i syl10 imp4a
      sylibr eldifn eleq1a con3d syl5com syldd com4r imp31 ralrimi ex tz7.48lem
      ancld syl56 ancoms adantr 3jca exp41 reximdai syld impcom ) ADEJZDFCUFZUA
      ZUBZKUCZCBUFZLZFUUAUAZDMZFUUAUDUEUGZUHZBNOZAYPDUUCUBZKMZUUBPZBNOZUUGAYPUU
      IYSKMZQZCUUALZPZBNOZUUKAYPUUIBNOZUUPAYPUUIQZBNLZQUUQAUUSUUAFUIZUUHJZBNLZY
      PUUSUUHKUCZBNLZAUVBUVCUURBNUUHKUJUKAUVCUVARZBNLZUVDUVBRHUVCUVABNULUMUNUVB
      DUOJYPBDFGUPDEUSUQURUUIBNUTVAUUIUULBCUUAYQMZUUHYSKUVGUUCYRDUUAYQFVBVCZVDV
      EVFUUJUUOBNUUBUUNUUIYTUUMCUUAYSKUJUKVGVJVAAUUJUUFBNAUVFBHUVEBNVHVIAUUANJZ
      UUIUUBUUFAUVIUUBUUIUUFAUUBUVIUUIUUFRAUUBUVIUUIUUFAUUBPZUVIPZUUIPZUUBUUDUU
      EAUUBUVIUUIVKUVLUUCDSZDUUCSZPUUDUVKUVMUUIUVNUVKIUUCDUVJUVIIUFZUUCJZUVODJZ
      RUVJUVPUVIUVQUVPYQFUIZUVOMZCUUAOZUVJUVIUVQRZFUGZUVPUVTFNVLUWBGNFVMVNZCUVO
      UUAFVOVPUVJUVSUWACUUAAUUBCACTZYTCUUAVHZVQUWACTUVJYQUUAJZUVIUVSUVQUVJUWFUV
      IUVRYSJZUVSUVQRUVJUVIUWFUWGAUUBUVIUWFPZUWGRUUBUWHAUWGUUBUWHYTAUWGRZUUBUWF
      YTUVIYTCUUAVRZVSUWHYQNJZYTUWIRUUAYQVTUWKAYTUWGAUVFUWKYTUWGRZHUVEUWLBYQNUV
      GUVCYTUVAUWGUVGUUHYSKUVHWBUVGUUTUVRUUHYSUUAYQFWAUVHWCWDWEWFWGZWHWIWJXDWKU
      WGUVRDJUVSUVQUVRDYRWLUVRUVODWMWNWOWPWQWRWGXDWSUVNUUIDUUCWTXAXBUUCDXCXPUVK
      UUEUUIUVJUVIUUEUUBAUVIUUERUVIUUANSZUUBAPZUWNUVRUVOFUIZMZQZIYQLZCUUALZPUUE
      UUAXEUWOUWNUWTUWOUWNUWTUWOUWNPZUWSCUUAUWOUWNCUUBACUWEUWDVQUWNCTVQUXAUWFUW
      SUXAUWFPZUWRIYQUXBITUWOUWNUWFUVOYQJZUWRRUWNUWFUXCUWOUWRUWNUWFUXCUWPYRJZUW
      OUWRRUWNUWFUWKUXCUXDRZUUANYQXFZUWKUWBYQFXGZSUXEUWCUWKYQNUXGYQXENFGXHXIYQU
      VOFXJXKVFUWNUWFUWOUXDUWRUWNUWFUWOUWGUXDUWRRUWNUWFUUBAUWGUWNUWFUWKUUBYTUWI
      UXFUWFUUBYTRRUWNUUBUWFYTUWJXLXMUWMXNXOUWGUVRYRJZQUXDUWRUVRDYRXQUXDUWQUXHU
      WPYRUVRXRXSXTWOWPYAYBYCYDYEYDYEYGCIUUAFGYFYHYIXDYJYKYLWGWPXOYMYNYO $.
  $}

  ${
    $d A x y $.  $d F x y $.
    tz7.49c.1 $e |- F Fn On $.
    $( Corollary of Proposition 7.49 of [TakeutiZaring] p. 51.  (Contributed by
       NM, 10-Feb-1997.)  (Revised by Mario Carneiro, 19-Jan-2013.) $)
    tz7.49c $p |- ( ( A e. B /\ A. x e. On ( ( A \ ( F " x ) ) =/= (/) ->
                 ( F ` x ) e. ( A \ ( F " x ) ) ) ) ->
                 E. x e. On ( F |` x ) : x -1-1-onto-> A ) $=
      ( vy wcel cv cima cdif c0 wne cfv con0 wral wa wceq w3a wrex wfn cres crn
      wi ccnv wfun wf1o biid tz7.49 3simpc fnssres sylancr df-ima eqeq1i biimpi
      wss onss anim12i anim1i dff1o2 3anan32 bitri sylibr expl syl5 reximia syl
      ) BCGBDAHZIZJZKLVGDMVIGUCANOZPBDFHIJKLFVGOZVHBQZDVGUAZUDUEZRZANSVGBVMUFZA
      NSVJAFBCDEVJUGUHVOVPANVOVLVNPVGNGZVPVKVLVNUIVQVLVNVPVQVLPZVNPVMVGTZVMUBZB
      QZPZVNPZVPVRWBVNVQVSVLWAVQDNTVGNUOVSEVGUPNVGDUJUKVLWAVHVTBDVGULUMUNUQURVP
      VSVNWARWCVGBVMUSVSVNWAUTVAVBVCVDVEVF $.
  $}

  $c seqom $.

  $( Extend class notation to include index-aware recursive definitions. $)
  cseqom $a class seqom ( F , I ) $.

  ${
    $d F i v $.  $d I i v $.

    $( Index-aware recursive definitions over ` _om ` .  A mashup of ~ df-rdg
       and ~ df-seq , this allows for recursive definitions that use an index
       in the recursion in cases where Infinity is not admitted.  (Contributed
       by Stefan O'Rear, 1-Nov-2014.) $)
    df-seqom $a |- seqom ( F , I ) = ( rec ( ( i e. _om , v e. _V |->
        <. suc i , ( i F v ) >. ) , <. (/) , ( _I ` I ) >. ) " _om ) $.
  $}

  ${
    $d F a b c d $.  $d I a b c d $.

    $( Lemma for ` seqom ` .  Change bound variables.  (Contributed by Stefan
       O'Rear, 1-Nov-2014.) $)
    seqomlem0 $p |- rec ( ( a e. _om , b e. _V |-> <. suc a , ( a F b ) >. ) ,
      <. (/) , ( _I ` I ) >. ) = rec ( ( c e. _om , d e. _V |->
      <. suc c , ( c F d ) >. ) , <. (/) , ( _I ` I ) >. ) $=
      ( com cvv cv csuc co cop cmpo wceq c0 cid cfv crdg weq suceq oveq1 opeq2d
      opeq12d oveq2 cbvmpov rdgeq1 ax-mp ) CDGHCIZJZUHDIZAKZLZMZEFGHEIZJZUNFIZA
      KZLZMZNUMOBPQLZRUSUTRNCDEFGHULURUOUNUJAKZLCESUIUOUKVAUHUNTUHUNUJAUAUCDFSV
      AUQUOUJUPUNAUDUBUEUTUMUSUFUG $.
  $}

  ${
    $d Q a b c i v $.  $d A a b i v $.  $d F a b i v $.  $d I a b $.
    seqomlem.a $e |- Q = rec ( ( i e. _om , v e. _V |->
        <. suc i , ( i F v ) >. ) , <. (/) , ( _I ` I ) >. ) $.
    $( Lemma for ` seqom ` .  The underlying recursion generates a sequence of
       pairs with the expected first values.  (Contributed by Stefan O'Rear,
       1-Nov-2014.)  (Revised by Mario Carneiro, 23-Jun-2015.) $)
    seqomlem1 $p |- ( A e. _om -> ( Q ` A ) =
      <. A , ( 2nd ` ( Q ` A ) ) >. ) $=
      ( cv cfv c2nd cop wceq c0 fveq2 id 2fveq3 opeq12d eqeq12d com opeq2d csuc
      va vb cid cvv co cmpo crdg fveq1i opex rdg0 eqtri 0ex op2nd eqcomi opeq2i
      fvex 3eqtr4a ax-mp df-ov suceq oveq1 oveq2 ovmpo mpan2 eqtr3id syl5ibrcom
      wcel eqid fveqeq2 vex sucex ovex a1i syld cres frsuc peano2 eqtr4di fvres
      fvresd fveq2d 3eqtr3d sylibrd finds ) UBHZCIZWFWGJIZKZLMCIZMWJJIZKZLZUCHZ
      CIZWNWOJIZKZLZWNUAZCIZWSWTJIZKZLZBCIZBXDJIZKZLUBUCBWFMLZWGWJWIWLWFMCNXGWF
      MWHWKXGOWFMJCPQRWFWNLZWGWOWIWQWFWNCNXHWFWNWHWPXHOWFWNJCPQRWFWSLZWGWTWIXBW
      FWSCNXIWFWSWHXAXIOWFWSJCPQRWFBLZWGXDWIXFWFBCNXJWFBWHXEXJOWFBJCPQRWJMFUDIZ
      KZLZWMWJMDASUEDHZUAZXNAHZEUFZKZUGZXLUHZIXLMCXTGUIXLXSMXKUJUKULXMXLMXLJIZK
      WJWLXKYAMYAXKMXKUMFUDUQUNUOUPXMOXMWKYAMWJXLJNTURUSWNSVHZWRWOXSIZWSYCJIZKZ
      LZXCYBWRYCWSWNWPEUFZKZLZYFYBYIWRWQXSIZYHLYBYJWNWPXSUFZYHWNWPXSUTYBWPUEVHY
      KYHLWOJUQDAWNWPSUEXRYHXSWSWNXPEUFZKXNWNLXOWSXQYLXNWNVAXNWNXPEVBQXPWPLYLYG
      WSXPWPWNEVCTXSVIWSYGUJVDVEVFWOWQYHXSVJVGYBYFYIYHWSYHJIZKZLYBYGYMWSYGYMLYB
      YMYGWSYGWNUCVKVLWNWPEVMUNUOVNTYIYCYHYEYNYIOYIYDYMWSYCYHJNTRVGVOYBWTYCXBYE
      YBWSXTSVPZIZWNYOIZXSIWTYCXLWNXSVQYBYPWSXTIWTYBWSSXTWNVRWAWSCXTGUIVSYBYQWO
      XSYBYQWNXTIWOWNSXTVTWNCXTGUIVSWBWCZYBXAYDWSYBWTYCJYRWBTRWDWE $.

    $( Lemma for ` seqom ` .  (Contributed by Stefan O'Rear, 1-Nov-2014.)
       (Revised by Mario Carneiro, 23-Jun-2015.) $)
    seqomlem2 $p |- ( Q " _om ) Fn _om $=
      ( va vb vc com wfn cvv wf cv cfv wcel cop mpbir c2nd wceq crn cxp wss wbr
      cima cres weu wral csuc co cmpo c0 cid crdg frfnom fneq1i fvres seqomlem1
      reseq1i eqtrd fvex opelxpi mpan2 eqeltrd rgen ffnfv mpbir2an frn ax-mp wb
      wal wex wrex df-br fvelrnb eqeq1d rexbiia 3bitri adantl vex opth1 fveqeq2
      syl6bi biimpd syli fveq2 op2nd eqtr2di syl6 rexlimdva rspcev mpdan eqeq2d
      wa opeq2 rexbidv syl5ibrcom impbid syl5bb alrimiv eqeq2 bibi2d albidv syl
      spcev eu6 sylibr dff3 df-ima feq1i dffn2 ) BJUEZJKJLXLMZXMJLBJUFZUAZMZXPX
      OJLUBZUCZGNZHNZXOUDZHUGZGJUHJXQXNMZXRYCXNJKZXTXNOZXQPZHJUHYDCAJLCNZUIYGAN
      DUJQUKZULEUMOQZUNZJUFZJKYIYHUOJXNYKBYJJFUSUPRZYFHJXTJPZYEXTXTBOZSOZQZXQYM
      YEYNYPXTJBUQAXTBCDEFURUTYMYOLPYPXQPYNSVAXTYOJLVBVCVDVEHJXQXNVFVGJXQXNVHVI
      YBGJXSJPZYAXTINZTZVJZHVKZIVLZYBYQYAXTXSBOZSOZTZVJZHVKZUUBYQUUFHYAYRBOZXSX
      TQZTZIJVMZYQUUEYAUUIXOPZYRXNOZUUITZIJVMZUUKXSXTXOVNYDUULUUOVJYLIJUUIXNVOV
      IUUNUUJIJYRJPZUUMUUHUUIYRJBUQVPVQVRYQUUKUUEYQUUJUUEIJYQUUPWNZUUJUUCUUITZU
      UEUUJUUQYRXSTZUURUUQUUJYRUUHSOZQZUUITUUSUUQUUHUVAUUIUUPUUHUVATYQAYRBCDEFU
      RVSVPYRUUTXSXTIVTUUHSVAWAWCUUSUUJUURYRXSUUIBWBWDWEUURUUDUUISOXTUUCUUISWFX
      SXTGVTHVTWGWHWIWJYQUUKUUEUUHXSUUDQZTZIJVMZYQUUCUVBTZUVDAXSBCDEFURUVCUVEIX
      SJYRXSUVBBWBWKWLUUEUUJUVCIJUUEUUIUVBUUHXTUUDXSWOWMWPWQWRWSWTUUAUUGIUUDUUC
      SVAYRUUDTZYTUUFHUVFYSUUEYAYRUUDXTXAXBXCXEXDYAHIXFXGVEGHJLXOXHVGJLXLXOBJXI
      XJRJXLXKR $.

    $( Lemma for ` seqom ` .  (Contributed by Stefan O'Rear, 1-Nov-2014.) $)
    seqomlem3 $p |- ( ( Q " _om ) ` (/) ) = ( _I ` I ) $=
      ( c0 com cima cfv cid wceq cop wcel cres cv peano1 wfn mpbir mp2an wbr co
      crn cvv csuc cmpo crdg fvres ax-mp fveq1i opex rdg0 3eqtri frfnom reseq1i
      fneq1i fnfvelrn eqeltrri df-ima eleqtrri df-br wb seqomlem2 fnbrfvb ) GBH
      IZJEKJZLZGVFVEUAZVHGVFMZVENVIBHOZUCZVEGVJJZVIVKVLGBJZGCAHUDCPZUEVNAPDUBMU
      FZVIUGZJVIGHNZVLVMLQGHBUHUIGBVPFUJVIVOGVFUKULUMVJHRZVQVLVKNVRVPHOZHRVIVOU
      NHVJVSBVPHFUOUPSQHGVJUQTURBHUSUTGVFVEVASVEHRVQVGVHVBABCDEFVCQHGVFVEVDTS
      $.

    $( Lemma for ` seqom ` .  (Contributed by Stefan O'Rear, 1-Nov-2014.)
       (Revised by Mario Carneiro, 23-Jun-2015.) $)
    seqomlem4 $p |- ( A e. _om -> ( ( Q " _om ) ` suc A ) =
      ( A F ( ( Q " _om ) ` A ) ) ) $=
      ( com wcel csuc cfv co wceq wbr cop cres fvresd cvv eqtrd wfn cima peano2
      crn cv cmpo c2nd c0 cid crdg frsuc fveq1i eqtr4di fvres 3eqtr3d seqomlem1
      fveq2d df-ov fvex suceq oveq1 opeq12d oveq2 opeq2d eqid opex ovmpo frfnom
      mpan2 reseq1i fneq1i mpbir fnfvelrn mpan eqeltrrd df-ima eleqtrrdi sylibr
      df-br wb seqomlem2 fnbrfvb mpbird eqcomd oveq2d eqtr3id 3eqtrd sylancr )
      BHIZBJZCHUAZKBBWJKZELZMZWIWLWJNZWHWIWLOZWJIWNWHWOCHPZUCZWJWHWIWPKZWOWQWHW
      RWICKZWOWHWIHCBUBZQWHWSBCKZDAHRDUDZJZXBAUDZELZOZUEZKZBXAUFKZOZXGKZWOWHWIX
      GUGFUHKOZUIZHPZKZBXNKZXGKWSXHXLBXGUJWHXOWIXMKWSWHWIHXMWTQWICXMGUKULWHXPXA
      XGWHXPBXMKXABHXMUMBCXMGUKULUPUNWHXAXJXGABCDEFGUOZUPWHXKBXIXGLZWOBXIXGUQWH
      XRWIBXIELZOZWOWHXIRIXRXTMXAUFURDABXIHRXFXTXGWIBXDELZOXBBMXCWIXEYAXBBUSXBB
      XDEUTVAXDXIMYAXSWIXDXIBEVBVCXGVDWIXSVEVFVHWHXSWLWIWHXIWKBEWHWKXIWHWKXIMZB
      XIWJNZWHXJWJIYCWHXJWQWJWHBWPKZXJWQWHYDXAXJBHCUMXQSWPHTZWHYDWQIYEXNHTXLXGV
      GHWPXNCXMHGVIVJVKZHBWPVLVMVNCHVOZVPBXIWJVRVQWJHTZWHYBYCVSACDEFGVTZHBXIWJW
      AVMWBWCWDVCSWEWFSWHYEWIHIZWRWQIYFWTHWIWPVLWGVNYGVPWIWLWJVRVQWHYHYJWMWNVSY
      IWTHWIWLWJWAWGWB $.
  $}

  ${
    $d A a b $.  $d B a b $.  $d C a b $.  $d D a b $.
    $( Equality theorem for ` seqom ` .  (Contributed by Stefan O'Rear,
       1-Nov-2014.) $)
    seqomeq12 $p |- ( ( A = B /\ C = D ) -> seqom ( A , C ) =
      seqom ( B , D ) ) $=
      ( va vb wceq com cvv cv co cop cmpo c0 cid cfv crdg cima cseqom opeq2d wa
      csuc oveq mpoeq3dv fveq2 rdgeq12 syl2an imaeq1d df-seqom 3eqtr4g ) ABGZCD
      GZUAZEFHIEJZUBZUNFJZAKZLZMZNCOPZLZQZHREFHIUOUNUPBKZLZMZNDOPZLZQZHRACSBDSU
      MVBVHHUKUSVEGVAVGGVBVHGULUKEFHIURVDUKUQVCUOUNUPABUCTUDULUTVFNCDOUETVAVGUS
      VEUFUGUHFEACUIFEBDUIUJ $.
  $}

  ${
    $d F a b c d $.  $d I a b c d $.  $d G a b c d $.  $d A a b c d $.
    seqom.a $e |- G = seqom ( F , I ) $.
    $( An index-aware recursive definition defines a function on the natural
       numbers.  (Contributed by Stefan O'Rear, 1-Nov-2014.) $)
    fnseqom $p |- G Fn _om $=
      ( va vb vd vc com wfn cvv cv csuc co cop cmpo c0 cid cfv crdg cima cseqom
      seqomlem0 seqomlem2 df-seqom eqtri fneq1i mpbir ) BIJEFIKELZMUIFLANOPQCRS
      OTZIUAZIJGUJHACACEFHGUCUDIBUKBACUBUKDFEACUEUFUGUH $.

    $( Value of an index-aware recursive definition at 0.  (Contributed by
       Stefan O'Rear, 1-Nov-2014.)  (Revised by AV, 17-Sep-2021.) $)
    seqom0g $p |- ( I e. V -> ( G ` (/) ) = I ) $=
      ( va vb vd vc wcel c0 cfv cid com cvv cv csuc co cop eqtri cmpo crdg cima
      cseqom df-seqom fveq1i seqomlem0 seqomlem3 fvi eqtrid ) CDJKBLZCMLZCUKKFG
      NOFPZQUMGPARSUAKULSUBZNUCZLULKBUOBACUDUOEGFACUETUFHUNIACACFGIHUGUHTCDUIUJ
      $.

    $( Value of an index-aware recursive definition at a successor.
       (Contributed by Stefan O'Rear, 1-Nov-2014.) $)
    seqomsuc $p |- ( A e. _om -> ( G ` suc A ) = ( A F ( G ` A ) ) ) $=
      ( va vb vd vc com wcel csuc cvv cv co cop cmpo c0 cfv fveq1i cid df-seqom
      crdg cima seqomlem0 seqomlem4 cseqom eqtri oveq2i 3eqtr4g ) AJKALZFGJMFNZ
      LULGNBOPQRDUASPUCZJUDZSAAUNSZBOUKCSAACSZBOHAUMIBDBDFGIHUEUFUKCUNCBDUGUNEG
      FBDUBUHZTUPUOABACUNUQTUIUJ $.
  $}

  $( Membership is inherited by successors for natural numbers.  (Contributed
     by AV, 15-Sep-2023.) $)
  omsucelsucb $p |- ( N e. _om <-> suc N e. suc _om ) $=
    ( com word wcel csuc wb ordom ordsucelsuc ax-mp ) BCABDAEBEDFGABHI $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ordinal arithmetic
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c 1o $.  $( The ordinal number 1 $)
  $c 2o $.  $( The ordinal number 2 $)
  $c 3o $.  $( The ordinal number 3 $)
  $c 4o $.  $( The ordinal number 4 $)
  $c +o $.  $( Ordinal addition operation (plus subscript o) $)
  $c .o $.  $( Ordinal multiplication operation (center dot subscript o) $)
  $c ^o $.  $( Ordinal exponentiation operation (caret subscript o) $)

  $( Extend the definition of a class to include the ordinal number 1. $)
  c1o $a class 1o $.

  $( Extend the definition of a class to include the ordinal number 2. $)
  c2o $a class 2o $.

  $( Extend the definition of a class to include the ordinal number 3. $)
  c3o $a class 3o $.

  $( Extend the definition of a class to include the ordinal number 4. $)
  c4o $a class 4o $.

  $( Extend the definition of a class to include the ordinal addition
     operation. $)
  coa $a class +o $.

  $( Extend the definition of a class to include the ordinal multiplication
     operation. $)
  comu $a class .o $.

  $( Extend the definition of a class to include the ordinal exponentiation
     operation. $)
  coe $a class ^o $.

  $( Define the ordinal number 1.  (Contributed by NM, 29-Oct-1995.) $)
  df-1o $a |- 1o = suc (/) $.

  $( Define the ordinal number 2.  (Contributed by NM, 18-Feb-2004.) $)
  df-2o $a |- 2o = suc 1o $.

  $( Define the ordinal number 3.  (Contributed by Mario Carneiro,
     14-Jul-2013.) $)
  df-3o $a |- 3o = suc 2o $.

  $( Define the ordinal number 4.  (Contributed by Mario Carneiro,
     14-Jul-2013.) $)
  df-4o $a |- 4o = suc 3o $.

  ${
    $d x y z $.
    $( Define the ordinal addition operation.  (Contributed by NM,
       3-May-1995.) $)
    df-oadd $a |- +o = ( x e. On , y e. On |->
                ( rec ( ( z e. _V |-> suc z ) , x ) ` y ) ) $.

    $( Define the ordinal multiplication operation.  (Contributed by NM,
       26-Aug-1995.) $)
    df-omul $a |- .o = ( x e. On , y e. On |->
                ( rec ( ( z e. _V |-> ( z +o x ) ) , (/) ) ` y ) ) $.

    $( Define the ordinal exponentiation operation.  (Contributed by NM,
       30-Dec-2004.) $)
    df-oexp $a |- ^o = ( x e. On , y e. On |->
                   if ( x = (/) , ( 1o \ y ) ,
                 ( rec ( ( z e. _V |-> ( z .o x ) ) , 1o ) ` y ) ) ) $.
  $}

  $( Ordinal 1 is an ordinal number.  (Contributed by NM, 29-Oct-1995.) $)
  1on $p |- 1o e. On $=
    ( c1o c0 csuc con0 df-1o 0elon onsuci eqeltri ) ABCDEBFGH $.

  $( Ordinal 2 is an ordinal number.  (Contributed by NM, 18-Feb-2004.)  (Proof
     shortened by Andrew Salmon, 12-Aug-2011.) $)
  2on $p |- 2o e. On $=
    ( c2o c1o csuc con0 df-2o 1on onsuci eqeltri ) ABCDEBFGH $.

  $( Ordinal two is not zero.  (Contributed by Scott Fenton, 17-Jun-2011.) $)
  2on0 $p |- 2o =/= (/) $=
    ( c2o c1o csuc c0 df-2o nsuceq0 eqnetri ) ABCDEBFG $.

  $( Ordinal 3 is an ordinal number.  (Contributed by Mario Carneiro,
     5-Jan-2016.) $)
  3on $p |- 3o e. On $=
    ( c3o c2o csuc con0 df-3o 2on onsuci eqeltri ) ABCDEBFGH $.

  $( Ordinal 3 is an ordinal number.  (Contributed by Mario Carneiro,
     5-Jan-2016.) $)
  4on $p |- 4o e. On $=
    ( c4o c3o csuc con0 df-4o 3on onsuci eqeltri ) ABCDEBFGH $.

  $( Expanded value of the ordinal number 1.  (Contributed by NM,
     4-Nov-2002.) $)
  df1o2 $p |- 1o = { (/) } $=
    ( c1o c0 csuc csn df-1o suc0 eqtri ) ABCBDEFG $.

  $( Ordinal 1 is a set.  (Contributed by BJ, 6-Apr-2019.)  (Proof shortened by
     AV, 1-Jul-2022.)  Remove dependency on ~ ax-10 , ~ ax-11 , ~ ax-12 ,
     ~ ax-un .  (Revised by Zhi Wang, 19-Sep-2024.) $)
  1oex $p |- 1o e. _V $=
    ( c1o c0 csn cvv df1o2 snex eqeltri ) ABCDEBFG $.
    $( $j usage '1oex' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-un'; $)

  $( Obsolete version of ~ 1oex as of 19-Sep-2024.  (Contributed by BJ,
     6-Apr-2019.)  (Proof shortened by AV, 1-Jul-2022.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  1oexOLD $p |- 1o e. _V $=
    ( c1o con0 1on elexi ) ABCD $.

  $( Expanded value of the ordinal number 2.  (Contributed by Mario Carneiro,
     14-Aug-2015.) $)
  df2o3 $p |- 2o = { (/) , 1o } $=
    ( c2o c1o csuc csn cun c0 cpr df-2o df-suc df1o2 uneq1i df-pr eqtr4i 3eqtri
    ) ABCBBDZEZFBGZHBIPFDZOEQBROJKFBLMN $.

  $( Expanded value of the ordinal number 2.  (Contributed by NM,
     29-Jan-2004.) $)
  df2o2 $p |- 2o = { (/) , { (/) } } $=
    ( c2o c0 c1o cpr csn df2o3 df1o2 preq2i eqtri ) ABCDBBEZDFCJBGHI $.

  $( ` 2o ` is a set.  (Contributed by BJ, 6-Apr-2019.)  Remove dependency on
     ~ ax-10 , ~ ax-11 , ~ ax-12 , ~ ax-un .  (Proof shortened by Zhi Wang,
     19-Sep-2024.) $)
  2oex $p |- 2o e. _V $=
    ( c2o c0 c1o cpr cvv df2o3 prex eqeltri ) ABCDEFBCGH $.
    $( $j usage '2oex' avoids 'ax-10' 'ax-11' 'ax-12' 'ax-un'; $)

  $( Obsolete version of ~ 2oex as of 19-Sep-2024.  (Contributed by BJ,
     6-Apr-2019.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  2oexOLD $p |- 2o e. _V $=
    ( c2o c1o csuc cvv df-2o 1oex sucex eqeltri ) ABCDEBFGH $.

  $( Ordinal one is not equal to ordinal zero.  (Contributed by NM,
     26-Dec-2004.) $)
  1n0 $p |- 1o =/= (/) $=
    ( c1o c0 csn df1o2 0ex snnz eqnetri ) ABCBDBEFG $.

  $( Cartesian products with the singletons of ordinals 0 and 1 are disjoint.
     (Contributed by NM, 2-Jun-2007.) $)
  xp01disj $p |- ( ( A X. { (/) } ) i^i ( C X. { 1o } ) ) = (/) $=
    ( c0 c1o wne csn cxp cin wceq 1n0 necomi xpsndisj ax-mp ) CDEACFGBDFGHCIDCJ
    KACBDLM $.

  $( Cartesian products with the singletons of ordinals 0 and 1 are disjoint.
     (Contributed by Jim Kingdon, 11-Jul-2023.) $)
  xp01disjl $p |- ( ( { (/) } X. A ) i^i ( { 1o } X. C ) ) = (/) $=
    ( c0 c1o wne csn cin wceq cxp 1n0 necomi disjsn2 xpdisj1 mp2b ) CDECFZDFZGC
    HOAIPBIGCHDCJKCDLOPABMN $.

  $( Two ways to express that an ordinal class is positive.  (Contributed by
     NM, 21-Dec-2004.) $)
  ordgt0ge1 $p |- ( Ord A -> ( (/) e. A <-> 1o C_ A ) ) $=
    ( word c0 wcel csuc wss c1o con0 0elon ordelsuc mpan df-1o sseq1i bitr4di
    wb ) ABZCADZCEZAFZGAFCHDPQSOICAHJKGRALMN $.

  $( An ordinal greater than or equal to 1 is nonzero.  (Contributed by NM,
     21-Dec-2004.) $)
  ordge1n0 $p |- ( Ord A -> ( 1o C_ A <-> A =/= (/) ) ) $=
    ( word c0 wcel c1o wss wne ordgt0ge1 ord0eln0 bitr3d ) ABCADEAFACGAHAIJ $.

  $( Membership in ordinal one.  (Contributed by NM, 5-Jan-2005.) $)
  el1o $p |- ( A e. 1o <-> A = (/) ) $=
    ( c1o wcel c0 csn wceq df1o2 eleq2i 0ex elsn2 bitri ) ABCADEZCADFBLAGHADIJK
    $.

  $( Two ways to say that ` A ` is a nonzero number of the set ` B ` .
     (Contributed by Mario Carneiro, 21-May-2015.) $)
  dif1o $p |- ( A e. ( B \ 1o ) <-> ( A e. B /\ A =/= (/) ) ) $=
    ( c1o cdif wcel c0 csn wne wa df1o2 difeq2i eleq2i eldifsn bitri ) ABCDZEAB
    FGZDZEABEAFHIOQACPBJKLABFMN $.

  $( Two ways to say that ` A ` is a nonzero ordinal number.  (Contributed by
     Mario Carneiro, 21-May-2015.) $)
  ondif1 $p |- ( A e. ( On \ 1o ) <-> ( A e. On /\ (/) e. A ) ) $=
    ( con0 c1o cdif wcel c0 wne wa dif1o on0eln0 pm5.32i bitr4i ) ABCDEABEZAFGZ
    HMFAEZHABIMONAJKL $.

  $( Two ways to say that ` A ` is an ordinal greater than one.  (Contributed
     by Mario Carneiro, 21-May-2015.) $)
  ondif2 $p |- ( A e. ( On \ 2o ) <-> ( A e. On /\ 1o e. A ) ) $=
    ( con0 c2o cdif wcel wn wa c1o eldif wb 1on wss ontri1 onsssuc df-2o eleq2i
    csuc bitr4di bitr3d mpan2 con1bid pm5.32i bitri ) ABCDEABEZACEZFZGUDHAEZGAB
    CIUDUFUGUDUGUEUDHBEZUGFZUEJKUDUHGZAHLZUIUEAHMUJUKAHQZEUEAHNCULAOPRSTUAUBUC
    $.

  $( Closure of the pair swapping function on ` 2o ` .  (Contributed by Mario
     Carneiro, 27-Sep-2015.) $)
  2oconcl $p |- ( A e. 2o -> ( 1o \ A ) e. 2o ) $=
    ( c1o cdif c2o wcel c0 cpr wceq wo elpri difeq2 eqtrdi difid orim12i orcomd
    dif0 syl con0 cvv df2o3 1on difexg ax-mp elpr sylibr eleqtrrdi eleq2s ) BAC
    ZDEAFBGZDAUIEZUHUIDUJUHFHZUHBHZIZUHUIEUJAFHZABHZIZUMAFBJUPULUKUNULUOUKUNUHB
    FCBAFBKBPLUOUHBBCFABBKBMLNOQUHFBBREUHSEUABARUBUCUDUETUFTUG $.

  $( Ordinal zero is less than ordinal one.  (Contributed by NM,
     5-Jan-2005.) $)
  0lt1o $p |- (/) e. 1o $=
    ( c0 c1o wcel wceq eqid el1o mpbir ) ABCAADAEAFG $.

  $( An ordinal greater than one is greater than zero.  (Contributed by Mario
     Carneiro, 25-May-2015.) $)
  dif20el $p |- ( A e. ( On \ 2o ) -> (/) e. A ) $=
    ( con0 c2o cdif wcel c1o c0 ondif2 simprbi 0lt1o wa wi eldifi ontr1 syl mpd
    mpani ) ABCDEZFAEZGAEZRABEZSAHIRGFEZSTJRUAUBSKTLABCMGFANOQP $.

  $( The empty set is a well-ordering of ordinal one.  (Contributed by Mario
     Carneiro, 9-Feb-2015.) $)
  0we1 $p |- (/) We 1o $=
    ( c1o c0 wwe csn wbr wn br0 wrel wb rel0 wesn ax-mp mpbir wceq df1o2 weeq2
    ) ABCZBDZBCZSBBBEFZBBGBHSTIJBBKLMARNQSIOARBPLM $.

  ${
    brwitnlem.r $e |- R = ( `' O " ( _V \ 1o ) ) $.
    brwitnlem.o $e |- O Fn X $.
    $( Lemma for relations which assert the existence of a witness in a
       two-parameter set.  (Contributed by Stefan O'Rear, 25-Jan-2015.)
       (Revised by Mario Carneiro, 23-Aug-2015.) $)
    brwitnlem $p |- ( A R B <-> ( A O B ) =/= (/) ) $=
      ( cop ccnv cvv c1o cdif cima wcel cfv c0 wne wbr wa 3bitr4i co fvex dif1o
      mpbiran anbi2i wfn wb elpreima ax-mp cdm ndmfv necon1ai eleqtrdi pm4.71ri
      fndmi breqi df-br bitri df-ov neeq1i ) ABHZDIJKLZMZNZVADOZPQZABCRZABDUAZP
      QVAENZVEVBNZSZVIVFSVDVFVJVFVIVJVEJNVFVADUBVEJUCUDUEDEUFVDVKUGGEVAVBDUHUIV
      FVIVFVADUJZEVAVLNVEPVADUKULEDGUOUMUNTVGABVCRVDABCVCFUPABVCUQURVHVEPABDUSU
      TT $.
  $}

  ${
    $d x y z $.
    $( Functionality and domain of ordinal addition.  (Contributed by NM,
       26-Aug-1995.)  (Revised by Mario Carneiro, 8-Sep-2013.) $)
    fnoa $p |- +o Fn ( On X. On ) $=
      ( vx vy vz con0 cv cvv csuc cmpt crdg cfv coa df-oadd fvex fnmpoi ) ABDDB
      EZCFCEGHAEIZJKABCLOPMN $.

    $( Functionality and domain of ordinal multiplication.  (Contributed by NM,
       26-Aug-1995.)  (Revised by Mario Carneiro, 8-Sep-2013.) $)
    fnom $p |- .o Fn ( On X. On ) $=
      ( vx vy vz con0 cv cvv coa co cmpt c0 crdg cfv comu df-omul fvex fnmpoi )
      ABDDBEZCFCEAEGHIJKZLMABCNQROP $.

    $( Functionality and domain of ordinal exponentiation.  (Contributed by
       Mario Carneiro, 29-May-2015.) $)
    fnoe $p |- ^o Fn ( On X. On ) $=
      ( vx vy vz con0 cv c0 wceq c1o cdif cvv comu co cmpt crdg cfv cif df-oexp
      coe wcel 1on difexg ax-mp fvex ifex fnmpoi ) ABDDAEZFGZHBEZIZUHCJCEUFKLMH
      NZOZPRABCQUGUIUKHDSUIJSTHUHDUAUBUHUJUCUDUE $.
  $}

  ${
    $d x y z A $.  $d y z B $.
    $( Value of ordinal addition.  (Contributed by NM, 3-May-1995.)  (Revised
       by Mario Carneiro, 8-Sep-2013.) $)
    oav $p |- ( ( A e. On /\ B e. On ) ->
             ( A +o B ) = ( rec ( ( x e. _V |-> suc x ) , A ) ` B ) ) $=
      ( vy vz con0 cv cvv csuc cmpt crdg cfv coa wceq rdgeq2 fveq2 df-oadd fvex
      fveq1d ovmpo ) DEBCFFEGZAHAGIJZDGZKZLCUBBKZLMUAUELUCBNUAUDUEUCBUBOSUACUEP
      DEAQCUERT $.

    $( Value of ordinal multiplication.  (Contributed by NM, 17-Sep-1995.)
       (Revised by Mario Carneiro, 23-Aug-2014.) $)
    omv $p |- ( ( A e. On /\ B e. On ) ->
     ( A .o B ) = ( rec ( ( x e. _V |-> ( x +o A ) ) , (/) ) ` B ) ) $=
      ( vy vz con0 cv cvv coa co cmpt c0 crdg cfv comu wceq mpteq2dv rdgeq1 syl
      oveq2 fveq1d fveq2 df-omul fvex ovmpo ) DEBCFFEGZAHAGZDGZIJZKZLMZNCAHUGBI
      JZKZLMZNOUFUNNUHBPZUFUKUNUOUJUMPUKUNPUOAHUIULUHBUGITQLUJUMRSUAUFCUNUBDEAU
      CCUNUDUE $.
  $}

  ${
    oe0lem.1 $e |- ( ( ph /\ A = (/) ) -> ps ) $.
    oe0lem.2 $e |- ( ( ( A e. On /\ ph ) /\ (/) e. A ) -> ps ) $.
    $( A helper lemma for ~ oe0 and others.  (Contributed by NM,
       6-Jan-2005.) $)
    oe0lem $p |- ( ( A e. On /\ ph ) -> ps ) $=
      ( con0 wcel wa c0 wceq wi ex adantl wne on0eln0 adantr sylbird pm2.61dne
      wb ) CFGZAHZBCIACIJZBKTAUBBDLMUACINZICGZBTUDUCSACOPUAUDBELQR $.
  $}

  ${
    $d x y z A $.  $d y z B $.
    $( Value of ordinal exponentiation.  (Contributed by NM, 30-Dec-2004.)
       (Revised by Mario Carneiro, 23-Aug-2014.) $)
    oev $p |- ( ( A e. On /\ B e. On ) -> ( A ^o B ) = if ( A = (/) ,
      ( 1o \ B ) , ( rec ( ( x e. _V |-> ( x .o A ) ) , 1o ) ` B ) ) ) $=
      ( vy vz con0 cv c0 wceq c1o cdif cvv comu co cmpt crdg cfv cif coe eqeq1
      oveq2 mpteq2dv rdgeq1 fveq1d ifbieq2d difeq2 fveq2 ifeq12d df-oexp difexi
      syl 1oex fvex ifex ovmpo ) DEBCFFDGZHIZJEGZKZURALAGZUPMNZOZJPZQZRBHIZJCKZ
      CALUTBMNZOZJPZQZRSVEUSURVIQZRUPBIZUQVEVDVKUSUPBHTVLURVCVIVLVBVHIVCVIIVLAL
      VAVGUPBUTMUAUBJVBVHUCUKUDUEURCIVEUSVFVKVJURCJUFURCVIUGUHDEAUIVEVFVJJCULUJ
      CVIUMUNUO $.

    $( Value of ordinal exponentiation at a nonzero base.  (Contributed by NM,
       31-Dec-2004.)  (Revised by Mario Carneiro, 8-Sep-2013.) $)
    oevn0 $p |- ( ( ( A e. On /\ B e. On ) /\ (/) e. A ) -> ( A ^o B ) =
                ( rec ( ( x e. _V |-> ( x .o A ) ) , 1o ) ` B ) ) $=
      ( con0 wcel wa c0 coe co cvv cv comu cmpt c1o crdg cfv wceq wn wb wne cif
      on0eln0 df-ne bitrdi adantr cdif oev iffalse sylan9eq ex sylbid imp ) BDE
      ZCDEZFZGBEZBCHIZCAJAKBLIMNOPZQZUOUPBGQZRZUSUMUPVASUNUMUPBGTVABUBBGUCUDUEU
      OVAUSUOVAUQUTNCUFZURUAURABCUGUTVBURUHUIUJUKUL $.
  $}

  ${
    $d x A $.
    $( Addition with zero.  Proposition 8.3 of [TakeutiZaring] p. 57.
       (Contributed by NM, 3-May-1995.)  (Revised by Mario Carneiro,
       8-Sep-2013.) $)
    oa0 $p |- ( A e. On -> ( A +o (/) ) = A ) $=
      ( vx con0 wcel c0 coa co cvv cv csuc cmpt crdg cfv wceq 0elon mpan2 rdg0g
      oav eqtrd ) ACDZAEFGZEBHBIJKZALMZATECDUAUCNOBAERPACUBQS $.

    $( Ordinal multiplication with zero.  Definition 8.15(a) of [TakeutiZaring]
       p. 62.  See ~ om0x for a way to remove the antecedent ` A e. On ` .
       (Contributed by NM, 17-Sep-1995.)  (Revised by Mario Carneiro,
       8-Sep-2013.) $)
    om0 $p |- ( A e. On -> ( A .o (/) ) = (/) ) $=
      ( vx con0 wcel c0 comu co cvv coa cmpt crdg cfv wceq 0elon omv mpan2 rdg0
      cv 0ex eqtrdi ) ACDZAEFGZEBHBRAIGJZEKLZEUAECDUBUDMNBAEOPEUCSQT $.

    $( Value of zero raised to an ordinal.  (Contributed by NM, 31-Dec-2004.)
       (Revised by Mario Carneiro, 8-Sep-2013.) $)
    oe0m $p |- ( A e. On -> ( (/) ^o A ) = ( 1o \ A ) ) $=
      ( vx con0 wcel c0 coe co wceq c1o cdif cvv cv comu cmpt cfv cif 0elon oev
      crdg mpan eqid iftruei eqtrdi ) ACDZEAFGZEEHZIAJZABKBLEMGNISOZPZUGECDUDUE
      UIHQBEARTUFUGUHEUAUBUC $.
  $}

  $( Ordinal multiplication with zero.  Definition 8.15 of [TakeutiZaring]
     p. 62.  Unlike ~ om0 , this version works whether or not ` A ` is an
     ordinal.  However, since it is an artifact of our particular function
     value definition outside the domain, we will not use it in order to be
     conventional and present it only as a curiosity.  (Contributed by NM,
     1-Feb-1996.)  (New usage is discouraged.) $)
  om0x $p |- ( A .o (/) ) = (/) $=
    ( con0 wcel c0 wa comu co wceq om0 adantr cxp fnom fndmi ndmov pm2.61i ) AB
    CZDBCZEADFGDHZPRQAIJADBFBBKFLMNO $.

  $( Ordinal exponentiation with zero base and zero exponent.  Proposition 8.31
     of [TakeutiZaring] p. 67.  (Contributed by NM, 31-Dec-2004.) $)
  oe0m0 $p |- ( (/) ^o (/) ) = 1o $=
    ( c0 coe co c1o cdif con0 wcel wceq 0elon oe0m ax-mp dif0 eqtri ) AABCZDAEZ
    DAFGNOHIAJKDLM $.

  $( Ordinal exponentiation with zero base and nonzero exponent.  Proposition
     8.31(2) of [TakeutiZaring] p. 67 and its converse.  (Contributed by NM,
     5-Jan-2005.) $)
  oe0m1 $p |- ( A e. On -> ( (/) e. A <-> ( (/) ^o A ) = (/) ) ) $=
    ( con0 wcel c0 c1o wss coe co wceq word wb eloni ordgt0ge1 cdif ssdif0 oe0m
    syl eqeq1d bitr4id bitrd ) ABCZDACZEAFZDAGHZDIZUAAJUBUCKALAMQUAUCEANZDIUEEA
    OUAUDUFDAPRST $.

  ${
    $d x A $.
    $( Ordinal exponentiation with zero exponent.  Definition 8.30 of
       [TakeutiZaring] p. 67.  (Contributed by NM, 31-Dec-2004.)  (Revised by
       Mario Carneiro, 8-Sep-2013.) $)
    oe0 $p |- ( A e. On -> ( A ^o (/) ) = 1o ) $=
      ( vx con0 wcel c0 coe co c1o wceq oveq1 oe0m0 eqtrdi adantl cvv comu cmpt
      wa cv crdg cfv 0elon oevn0 mpanl2 1oex rdg0 adantll oe0lem anidms ) ACDZA
      EFGZHIZUIUKAAEIZUKUIULUJEEFGHAEEFJKLMUIEADZUKUIUIUMQUJEBNBRAOGPZHSTZHUIEC
      DUMUJUOIUABAEUBUCHUNUDUELUFUGUH $.

    $( Alternate value of ordinal exponentiation.  Compare ~ oev .
       (Contributed by NM, 2-Jan-2004.)  (Revised by Mario Carneiro,
       8-Sep-2013.) $)
    oev2 $p |- ( ( A e. On /\ B e. On ) -> ( A ^o B ) = ( ( rec (
          ( x e. _V |-> ( x .o A ) ) , 1o ) ` B )
                  i^i ( ( _V \ |^| A ) u. |^| B ) ) ) $=
      ( con0 wcel coe co cvv c1o cint cdif cun cin wceq c0 eqtrdi eqtr4d ineq2d
      wa adantl cv comu cmpt crdg cfv oveq12 oe0m0 fveq2 1oex rdg0 int0 ineq12d
      inteq inv1 a1i sylan9eqr oveq1 oe0m1 biimpa an32s int0el in0 oe0lem difid
      difeq2d uneq2d uncom un0 3eqtr3g oevn0 dif0 unv eqtr2di eqtrd ) CDEZBCFGZ
      CAHAUABUBGUCZIUDZUEZHBJZKZCJZLZMZNBVOBONZSZVPVSWBMZWDWEVPWGNCWECONZSZVPIW
      GWIVPOOFGIBOCOFUFUGPWHWEWGIHMZIWHVSIWBHWHVSOVRUEICOVRUHIVQUIUJPWHWBOJZHCO
      UMUKPULWJINWEIUNUOUPQWFOCEZSVPOWGVOWLWEVPONWEVOWLSVPOCFGZOBOCFUQVOWLWMONC
      URUSUPUTWLWGONWFWLWGVSOMOWLWBOVSCVARVSVBPTQVCWFWCWBVSWEWCWBNVOWEWBWALZWBO
      LWCWBWEWAOWBWEWAHHKOWEVTHHWEVTWKHBOUMUKPVEHVDPVFWBWAVGZWBVHVITRQBDEVOSZOB
      EZSZVPVSWDABCVJWRWDVSHMVSWRWCHVSWQWCHNWPWQWNWBHLWCHWQWAHWBWQWAHOKHWQVTOHB
      VAVEHVKPVFWOWBVLVITRVSUNVMVNVC $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Addition with successor.  Definition 8.1 of [TakeutiZaring] p. 56.
       (Contributed by NM, 3-May-1995.)  (Revised by Mario Carneiro,
       8-Sep-2013.) $)
    oasuc $p |- ( ( A e. On /\ B e. On ) ->
                ( A +o suc B ) = suc ( A +o B ) ) $=
      ( vx con0 wcel wa csuc cvv cv cmpt crdg cfv coa co rdgsuc adantl suceloni
      wceq oav sylan2 ovex suceq eqid sucex fvmpt ax-mp fveq2d eqtr3id 3eqtr4d
      ) ADEZBDEZFZBGZCHCIZGZJZAKZLZBUQLZUPLZAUMMNZABMNZGZUKURUTRUJABUPOPUKUJUMD
      EVAURRBQCAUMSTULVCVBUPLZUTVBHEVDVCRABMUAZCVBUOVCHUPUNVBUBUPUCVBVEUDUEUFUL
      VBUSUPCABSUGUHUI $.
  $}

  ${
    $d x A $.  $d x B $.
    oesuclem.1 $e |- Lim X $.
    oesuclem.2 $e |- ( B e. X ->
      ( rec ( ( x e. _V |-> ( x .o A ) ) , 1o ) ` suc B ) =
        ( ( x e. _V |-> ( x .o A ) ) `
          ( rec ( ( x e. _V |-> ( x .o A ) ) , 1o ) ` B ) ) ) $.
    $( Lemma for ~ oesuc .  (Contributed by NM, 31-Dec-2004.)  (Revised by
       Mario Carneiro, 15-Nov-2014.) $)
    oesuclem $p |- ( ( A e. On /\ B e. X ) ->
                ( A ^o suc B ) = ( ( A ^o B ) .o A ) ) $=
      ( wcel coe co comu wceq c0 wa oveq1 ax-mp mpan syl wb con0 cfv csuc oe0m1
      word wlim limord ordelord 0elsuc ordelon sylbi mpbid sylan9eqr id oveq12d
      limsuc oveq2 c1o oe0m0 1on eqeltri eqeltrdi adantl biimpa adantll mpancom
      0elon oe0lem om0 eqtr4d cvv cv cmpt crdg ad2antlr oevn0 sylanl2 ovex eqid
      fvmpt fveq2d eqtr3id 3eqtr4d ) CDGZBCUAZHIZBCHIZBJIZKBWBBLKZMWDLWFWGWBWDL
      WCHIZLBLWCHNWBLWCGZWHLKZWBCUCZWIDUCZWBWKDUDZWLEDUEOZDCUFPCUGQWBWCDGZWIWJR
      ZWMWBWOREDCUNOZWOWCSGZWPWLWOWRWNDWCUHPZWCUBQUIUJUKWGWBWFLCHIZLJIZLWGWEWTB
      LJBLCHNWGULUMWBWTSGZXALKCSGZWBXBWLWBXCWNDCUHPZWBXBCCLKZXBWBXEWTLLHIZSCLLH
      UOXFUPSUQURUSUTVAWBLCGZXBXCWBXGMWTLSWBXGWTLKZWBXCXGXHRXDCUBQVBVEUTVCVFVDW
      TVGQUKVHBSGZWBMLBGZMZWCAVIAVJZBJIZVKZUPVLZTZCXOTZXNTZWDWFWBXPXRKXIXJFVMWB
      XIWRXJWDXPKWBWOWRWQWSUIABWCVNVOXKWFWEXNTZXRWEVIGXSWFKBCHVPAWEXMWFVIXNXLWE
      BJNXNVQWEBJVPVROXKWEXQXNWBXIXCXJWEXQKXDABCVNVOVSVTWAVF $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Multiplication with successor.  Definition 8.15 of [TakeutiZaring]
       p. 62.  (Contributed by NM, 17-Sep-1995.)  (Revised by Mario Carneiro,
       8-Sep-2013.) $)
    omsuc $p |- ( ( A e. On /\ B e. On ) ->
                ( A .o suc B ) = ( ( A .o B ) +o A ) ) $=
      ( vx con0 wcel wa csuc cvv cv coa cmpt crdg cfv comu wceq rdgsuc omv ovex
      co c0 adantl suceloni sylan2 oveq1 fvmpt ax-mp fveq2d eqtr3id 3eqtr4d
      eqid ) ADEZBDEZFZBGZCHCIZAJSZKZTLZMZBURMZUQMZAUNNSZABNSZAJSZULUSVAOUKTBUQ
      PUAULUKUNDEVBUSOBUBCAUNQUCUMVDVCUQMZVAVCHEVEVDOABNRCVCUPVDHUQUOVCAJUDUQUJ
      VCAJRUEUFUMVCUTUQCABQUGUHUI $.

    $( Ordinal exponentiation with a successor exponent.  Definition 8.30 of
       [TakeutiZaring] p. 67.  (Contributed by NM, 31-Dec-2004.)  (Revised by
       Mario Carneiro, 8-Sep-2013.) $)
    oesuc $p |- ( ( A e. On /\ B e. On ) ->
                ( A ^o suc B ) = ( ( A ^o B ) .o A ) ) $=
      ( vx con0 limon c1o cvv cv comu co cmpt rdgsuc oesuclem ) CABDEFBCGCHAIJK
      LM $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Addition with successor.  Theorem 4I(A2) of [Enderton] p. 79.  (Note
       that this version of ~ oasuc does not need Replacement.)  (Contributed
       by Mario Carneiro, 16-Nov-2014.) $)
    onasuc $p |- ( ( A e. On /\ B e. _om ) ->
                  ( A +o suc B ) = suc ( A +o B ) ) $=
      ( vx con0 wcel com wa csuc cvv cv cmpt crdg cfv coa co wceq adantl fveq2d
      oav sylan2 cres frsuc peano2 fvresd fvres 3eqtr3d nnon suceloni syl suceq
      ovex eqid sucex fvmpt ax-mp eqtr3id 3eqtr4d ) ADEZBFEZGZBHZCICJZHZKZALZMZ
      BVEMZVDMZAVANOZABNOZHZUTVAVEFUAZMZBVLMZVDMZVFVHUSVMVOPURABVDUBQUTVAFVEUSV
      AFEURBUCQUDUTVNVGVDUSVNVGPURBFVEUEQRUFUSURVADEZVIVFPUSBDEZVPBUGZBUHUICAVA
      STUTVKVJVDMZVHVJIEVSVKPABNUKZCVJVCVKIVDVBVJUJVDULVJVTUMUNUOUTVJVGVDUSURVQ
      VJVGPVRCABSTRUPUQ $.

    $( Multiplication with successor.  Theorem 4J(A2) of [Enderton] p. 80.
       (Contributed by NM, 20-Sep-1995.)  (Revised by Mario Carneiro,
       14-Nov-2014.) $)
    onmsuc $p |- ( ( A e. On /\ B e. _om ) ->
                  ( A .o suc B ) = ( ( A .o B ) +o A ) ) $=
      ( vx con0 wcel com wa comu cvv coa cfv wceq nnon omv sylan2 adantl eqtr4d
      co c0 ovex csuc cv cmpt crdg cres peano2 syl oveq1 eqid fvmpt ax-mp fvres
      fvresd fveq2d eqtr3id frsuc ) ADEZBFEZGZABUAZHRZUTCICUBZAJRZUCZSUDZFUEZKZ
      ABHRZAJRZUSVAUTVEKZVGURUQUTDEZVAVJLURUTFEZVKBUFZUTMUGCAUTNOUSUTFVEURVLUQV
      MPUMQUSVIBVFKZVDKZVGUSVIVHVDKZVOVHIEVPVILABHTCVHVCVIIVDVBVHAJUHVDUIVHAJTU
      JUKUSVHVNVDUSVHBVEKZVNURUQBDEVHVQLBMCABNOURVNVQLUQBFVEULPQUNUOURVGVOLUQSB
      VDUPPQQ $.

    $( Exponentiation with a successor exponent.  Definition 8.30 of
       [TakeutiZaring] p. 67.  (Contributed by Mario Carneiro, 14-Nov-2014.) $)
    onesuc $p |- ( ( A e. On /\ B e. _om ) ->
                ( A ^o suc B ) = ( ( A ^o B ) .o A ) ) $=
      ( vx com limom wcel csuc cvv cv comu cmpt c1o crdg cres cfv peano2 fvresd
      co frsuc fvres fveq2d 3eqtr3d oesuclem ) CABDEBDFZBGZCHCIAJRKZLMZDNZOBUHO
      ZUFOUEUGOBUGOZUFOLBUFSUDUEDUGBPQUDUIUJUFBDUGTUAUBUC $.
  $}

  $( Addition with 1 is same as successor.  Proposition 4.34(a) of [Mendelson]
     p. 266.  (Contributed by NM, 29-Oct-1995.)  (Revised by Mario Carneiro,
     16-Nov-2014.) $)
  oa1suc $p |- ( A e. On -> ( A +o 1o ) = suc A ) $=
    ( con0 wcel c1o coa co c0 csuc df-1o oveq2i wceq peano1 onasuc mpan2 eqtrid
    com oa0 suceq syl eqtrd ) ABCZADEFZAGEFZHZAHZUAUBAGHZEFZUDDUFAEIJUAGPCUGUDK
    LAGMNOUAUCAKUDUEKAQUCARST $.

  ${
    $d x y A $.  $d x B $.
    $( Ordinal addition with a limit ordinal.  Definition 8.1 of
       [TakeutiZaring] p. 56.  (Contributed by NM, 3-Aug-2004.)  (Revised by
       Mario Carneiro, 8-Sep-2013.) $)
    oalim $p |- ( ( A e. On /\ ( B e. C /\ Lim B ) ) ->
                ( A +o B ) = U_ x e. B ( A +o x ) ) $=
      ( vy wcel wlim wa con0 coa co ciun wceq limelon simpr jca cfv oav sylan2
      cv cvv csuc cmpt crdg rdglim2a adantl wb anassrs iuneq2dv eqeq12d adantrr
      onelon mpbird ) CDFZCGZHZBIFZCIFZUOHZBCJKZACBATZJKZLZMZUPURUOCDNUNUOOPUQU
      SHVDCEUAETUBUCZBUDZQZACVAVFQZLZMZUSVJUQABCIVEUEUFUQURVDVJUGUOUQURHZUTVGVC
      VIEBCRVKACVBVHUQURVACFZVBVHMZURVLHUQVAIFVMCVAULEBVARSUHUIUJUKUMS $.

    $( Ordinal multiplication with a limit ordinal.  Definition 8.15 of
       [TakeutiZaring] p. 62.  (Contributed by NM, 3-Aug-2004.)  (Revised by
       Mario Carneiro, 8-Sep-2013.) $)
    omlim $p |- ( ( A e. On /\ ( B e. C /\ Lim B ) ) ->
                ( A .o B ) = U_ x e. B ( A .o x ) ) $=
      ( vy wcel wlim wa con0 comu co cv ciun wceq limelon simpr cfv omv sylan2
      c0 jca cvv coa cmpt crdg rdglim2a adantl anassrs iuneq2dv eqeq12d adantrr
      wb onelon mpbird ) CDFZCGZHZBIFZCIFZUPHZBCJKZACBALZJKZMZNZUQUSUPCDOUOUPPU
      AURUTHVECEUBELBUCKUDZTUEZQZACVBVGQZMZNZUTVKURATCIVFUFUGURUSVEVKULUPURUSHZ
      VAVHVDVJEBCRVLACVCVIURUSVBCFZVCVINZUSVMHURVBIFVNCVBUMEBVBRSUHUIUJUKUNS $.

    $( Ordinal exponentiation with a limit exponent and nonzero base.
       Definition 8.30 of [TakeutiZaring] p. 67.  (Contributed by NM,
       1-Jan-2005.)  (Revised by Mario Carneiro, 8-Sep-2013.) $)
    oelim $p |- ( ( ( A e. On /\ ( B e. C /\ Lim B ) ) /\ (/) e. A ) ->
                ( A ^o B ) = U_ x e. B ( A ^o x ) ) $=
      ( vy wcel wlim wa con0 c0 coe co ciun wceq limelon c1o cfv oevn0 sylanl2
      cv simpr jca comu cmpt crdg rdglim2a ad2antlr wb onelon exp42 com34 imp41
      cvv iuneq2dv eqeq12d adantlrr mpbird ) CDFZCGZHZBIFZCIFZUSHZJBFZBCKLZACBA
      TZKLZMZNZUTVBUSCDOURUSUAUBVAVCHVDHVICEUMETBUCLUDZPUEZQZACVFVKQZMZNZVCVOVA
      VDAPCIVJUFUGVAVBVDVIVOUHUSVAVBHVDHZVEVLVHVNEBCRVPACVGVMVAVBVDVFCFZVGVMNZV
      AVBVQVDVRVAVBVQVDVRVBVQHVAVFIFVDVRCVFUIEBVFRSUJUKULUNUOUPUQS $.
  $}

  ${
    $d x y A $.  $d x B $.
    $( Closure law for ordinal addition.  Proposition 8.2 of [TakeutiZaring]
       p. 57.  (Contributed by NM, 5-May-1995.) $)
    oacl $p |- ( ( A e. On /\ B e. On ) -> ( A +o B ) e. On ) $=
      ( vx vy con0 wcel coa co cv c0 csuc oveq2 eleq1d oa0 wi wa syl5ibr expcom
      wceq cvv ibir suceloni oasuc wlim wral ciun vex iunon mpan mpanr1 tfinds3
      oalim impcom ) BEFAEFZABGHZEFZACIZGHZEFZAJGHZEFZADIZGHZEFZAVBKZGHZEFZUPUN
      CDBUQJSURUTEUQJAGLMUQVBSURVCEUQVBAGLMUQVESURVFEUQVEAGLMUQBSURUOEUQBAGLMUN
      VAUNUTAEANMUAUNVBEFZVDVGOVDVGUNVHPZVCKZEFVCUBVIVFVJEAVBUCMQRUNUQUDZVDDUQU
      EZUSOVLUSUNVKPZDUQVCUFZEFZUQTFZVLVOCUGZDUQVCTUHUIVMURVNEUNVPVKURVNSVQDAUQ
      TULUJMQRUKUM $.

    $( Closure law for ordinal multiplication.  Proposition 8.16 of
       [TakeutiZaring] p. 57.  (Contributed by NM, 3-Aug-2004.)  (Proof
       shortened by Andrew Salmon, 22-Oct-2011.) $)
    omcl $p |- ( ( A e. On /\ B e. On ) -> ( A .o B ) e. On ) $=
      ( vx vy con0 wcel comu co cv c0 csuc wceq oveq2 eleq1d 0elon wi wa expcom
      om0 cvv eqeltrdi coa oacl adantr omsuc sylibrd wlim wral ciun iunon omlim
      vex mpan mpanr1 syl5ibr tfinds3 impcom ) BEFAEFZABGHZEFZACIZGHZEFZAJGHZEF
      ADIZGHZEFZAVEKZGHZEFZUTURCDBVAJLVBVDEVAJAGMNVAVELVBVFEVAVEAGMNVAVHLVBVIEV
      AVHAGMNVABLVBUSEVABAGMNURVDJEASOUAURVEEFZVGVJPURVKQZVGVFAUBHZEFZVJURVGVNP
      VKVGURVNVFAUCRUDVLVIVMEAVEUENUFRURVAUGZVGDVAUHZVCPVPVCURVOQZDVAVFUIZEFZVA
      TFZVPVSCULZDVAVFTUJUMVQVBVREURVTVOVBVRLWADAVATUKUNNUORUPUQ $.

    $( Closure law for ordinal exponentiation.  (Contributed by NM,
       1-Jan-2005.)  (Proof shortened by Andrew Salmon, 22-Oct-2011.) $)
    oecl $p |- ( ( A e. On /\ B e. On ) -> ( A ^o B ) e. On ) $=
      ( vx vy con0 wcel coe co c0 wceq oveq2 c1o 1on eqeltrdi wa oe0lem syl5ibr
      eleq1d wi cvv oe0m0 eqeltri adantl oe0m1 biimpa 0elon anidms oveq1 impcom
      adantll cv csuc oe0 adantr comu omcl oesuc sylibrd adantrd wlim wral ciun
      expcom vex iunon mpan oelim mpanlr1 anasss an12s tfinds3 expd com12 imp31
      ex ) BEFZABGHZEFZAAIJZVPVRVPVRVSIBGHZEFZVPWAVPWABBIJZWAVPWBVTIIGHZEBIIGKW
      CLEUAMUBNUCVPIBFZWAVPVPWDOVTIEVPWDVTIJBUDUEUFNUJPUGVSVQVTEAIBGUHRQUIAEFZV
      PIAFZVRVPWEWFVRSVPWEWFVRACUKZGHZEFZAIGHZEFZADUKZGHZEFZAWLULZGHZEFZVRWEWFO
      ZCDBWGIJWHWJEWGIAGKRWGWLJWHWMEWGWLAGKRWGWOJWHWPEWGWOAGKRWGBJWHVQEWGBAGKRW
      EWKWFWEWJLEAUMMNUNWLEFZWEWNWQSZWFWEWSWTWEWSOZWNWMAUOHZEFZWQWEWNXCSWSWNWEX
      CWMAUPVCUNXAWPXBEAWLUQRURVCUSWGUTZWRWNDWGVAZWISXEWIXDWROZDWGWMVBZEFZWGTFZ
      XEXHCVDZDWGWMTVEVFXFWHXGEWEXDWFWHXGJZWEXDWFXKWEXIXDWFXKXJDAWGTVGVHVIVJRQV
      OVKVLVMVNP $.
  $}

  ${
    $d x y $.  $d x A $.
    $( Ordinal addition with zero.  Proposition 8.3 of [TakeutiZaring] p. 57.
       (Contributed by NM, 5-May-1995.) $)
    oa0r $p |- ( A e. On -> ( (/) +o A ) = A ) $=
      ( vx vy c0 cv coa co wceq csuc oveq2 id eqeq12d con0 wcel 0elon oa0 ax-mp
      mpan ciun cvv oasuc suceq sylan9eq ex wral wlim iuneq2 uniiun eqtr4di vex
      cuni wa oalim limuni syl5ibr tfinds ) DBEZFGZUQHZDDFGZDHZDCEZFGZVBHZDVBIZ
      FGZVEHZDAFGZAHBCAUQDHZURUTUQDUQDDFJVIKLUQVBHZURVCUQVBUQVBDFJVJKLUQVEHZURV
      FUQVEUQVEDFJVKKLUQAHZURVHUQAUQADFJVLKLDMNZVAODPQVBMNZVDVGVNVDVFVCIZVEVMVN
      VFVOHODVBUARVCVBUBUCUDVDCUQUEZUSUQUFZCUQVCSZUQUKZHVPVRCUQVBSVSCUQVCVBUGCU
      QUHUIVQURVRUQVSUQTNZVQURVRHZBUJVMVTVQULWAOCDUQTUMRRUQUNLUOUP $.
  $}

  ${
    $d x y A $.
    $( Ordinal multiplication with zero.  Proposition 8.18(1) of
       [TakeutiZaring] p. 63.  (Contributed by NM, 3-Aug-2004.) $)
    om0r $p |- ( A e. On -> ( (/) .o A ) = (/) ) $=
      ( vx vy c0 cv comu co wceq csuc oveq2 eqeq1d con0 0elon ax-mp coa syl5ibr
      wcel mpan ciun cvv om0 oveq1 oa0 eqcomi a1i eqeq12d wral wlim iuneq2 iun0
      omsuc eqtrdi vex wa omlim tfinds ) DBEZFGZDHZDDFGZDHZDCEZFGZDHZDVBIZFGZDH
      ZDAFGZDHBCAUQDHURUTDUQDDFJKUQVBHURVCDUQVBDFJKUQVEHURVFDUQVEDFJKUQAHURVHDU
      QADFJKDLQZVAMDUANVDVGVBLQZVCDOGZDDOGZHVCDDOUBVJVFVKDVLVIVJVFVKHMDVBUKRDVL
      HVJVLDVIVLDHMDUCNUDUEUFPVDCUQUGZUSUQUHZCUQVCSZDHVMVOCUQDSDCUQVCDUICUQUJUL
      VNURVODUQTQZVNURVOHZBUMVIVPVNUNVQMCDUQTUORRKPUP $.
  $}

  $( 1 + 1 = 2 for ordinal numbers.  (Contributed by NM, 18-Feb-2004.) $)
  o1p1e2 $p |- ( 1o +o 1o ) = 2o $=
    ( c1o coa co csuc c2o con0 wcel wceq 1on oa1suc ax-mp df-2o eqtr4i ) AABCZA
    DZEAFGNOHIAJKLM $.

  $( 2 + 2 = 4 for ordinal numbers.  Ordinal numbers are modeled as Von Neumann
     ordinals; see ~ df-suc .  For the usual proof using complex numbers, see
     ~ 2p2e4 .  (Contributed by NM, 18-Aug-2021.)  Avoid ~ ax-rep , from a
     comment by Sophie.  (Revised by SN, 23-Mar-2024.) $)
  o2p2e4 $p |- ( 2o +o 2o ) = 4o $=
    ( c2o coa co c3o csuc c4o c1o con0 wcel com wceq 2on c0 df-1o peano1 peano2
    ax-mp eqeltri onasuc eqtr4i mp2an df-2o oveq2i df-3o oa1suc suceq 3eqtr4i
    df-4o ) AABCZDEZFAGEZBCZAGBCZEZUIUJAHIZGJIULUNKLGMEZJNMJIUPJIOMPQRAGSUAAUKA
    BUBUCDUMKUJUNKDAEZUMUDUOUMUQKLAUEQTDUMUFQUGUHT $.
  $( $j usage 'o2p2e4' avoids 'ax-rep'; $)

  $( Obsolete version of ~ o2p2e4 as of 23-Mar-2024.  (Contributed by NM,
     18-Aug-2021.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  o2p2e4OLD $p |- ( 2o +o 2o ) = 4o $=
    ( c2o coa co c3o csuc c4o c1o con0 wcel wceq oasuc mp2an df-2o oveq2i df-3o
    2on 1on oa1suc ax-mp eqtr4i suceq 3eqtr4i df-4o ) AABCZDEZFAGEZBCZAGBCZEZUD
    UEAHIZGHIUGUIJPQAGKLAUFABMNDUHJUEUIJDAEZUHOUJUHUKJPARSTDUHUASUBUCT $.

  $( Ordinal multiplication with 1.  Proposition 8.18(2) of [TakeutiZaring]
     p. 63.  (Contributed by NM, 29-Oct-1995.) $)
  om1 $p |- ( A e. On -> ( A .o 1o ) = A ) $=
    ( con0 wcel c1o comu co coa csuc df-1o oveq2i com wceq peano1 onmsuc eqtrid
    c0 mpan2 om0 oveq1d oa0r 3eqtrd ) ABCZADEFZAPEFZAGFZPAGFAUBUCAPHZEFZUEDUFAE
    IJUBPKCUGUELMAPNQOUBUDPAGARSATUA $.

  ${
    $d x y $.  $d x A $.
    $( Ordinal multiplication with 1.  Proposition 8.18(2) of [TakeutiZaring]
       p. 63.  (Contributed by NM, 3-Aug-2004.) $)
    om1r $p |- ( A e. On -> ( 1o .o A ) = A ) $=
      ( vx vy c1o cv comu co wceq c0 oveq2 id eqeq12d con0 wcel 1on wa coa mpan
      ciun cvv csuc ax-mp omsuc oveq1 sylan9eq oa1suc adantr eqtrd ex wral wlim
      om0 cuni iuneq2 uniiun eqtr4di vex omlim limuni syl5ibr tfinds ) DBEZFGZV
      BHZDIFGZIHZDCEZFGZVGHZDVGUAZFGZVJHZDAFGZAHBCAVBIHZVCVEVBIVBIDFJVNKLVBVGHZ
      VCVHVBVGVBVGDFJVOKLVBVJHZVCVKVBVJVBVJDFJVPKLVBAHZVCVMVBAVBADFJVQKLDMNZVFO
      DULUBVGMNZVIVLVSVIPVKVGDQGZVJVSVIVKVHDQGZVTVRVSVKWAHODVGUCRVHVGDQUDUEVSVT
      VJHVIVGUFUGUHUIVICVBUJZVDVBUKZCVBVHSZVBUMZHWBWDCVBVGSWECVBVHVGUNCVBUOUPWC
      VCWDVBWEVBTNZWCVCWDHZBUQVRWFWCPWGOCDVBTURRRVBUSLUTVA $.
  $}

  $( Ordinal exponentiation with an exponent of 1.  (Contributed by NM,
     2-Jan-2005.) $)
  oe1 $p |- ( A e. On -> ( A ^o 1o ) = A ) $=
    ( con0 wcel c1o coe co comu csuc df-1o oveq2i com wceq peano1 onesuc eqtrid
    c0 mpan2 oe0 oveq1d om1r 3eqtrd ) ABCZADEFZAPEFZAGFZDAGFAUBUCAPHZEFZUEDUFAE
    IJUBPKCUGUELMAPNQOUBUDDAGARSATUA $.

  ${
    $d x y $.  $d x A $.
    $( Ordinal exponentiation with a base of 1.  Proposition 8.31(3) of
       [TakeutiZaring] p. 67.  (Contributed by NM, 2-Jan-2005.) $)
    oe1m $p |- ( A e. On -> ( 1o ^o A ) = 1o ) $=
      ( vx vy c1o cv coe co wceq c0 oveq2 eqeq1d con0 wcel ax-mp comu mpan ciun
      1on cvv wa csuc oe0 oesuc oveq1 eqtrdi sylan9eq ex wral wlim iuneq2 0lt1o
      om1 vex oelim mpan2 wne 0ellim ne0i iunconst eqeq2d bitr4d syl5ibr tfinds
      3syl ) DBEZFGZDHZDIFGZDHZDCEZFGZDHZDVJUAZFGZDHZDAFGZDHBCAVEIHVFVHDVEIDFJK
      VEVJHVFVKDVEVJDFJKVEVMHVFVNDVEVMDFJKVEAHVFVPDVEADFJKDLMZVIRDUBNVJLMZVLVOV
      RVLVNVKDOGZDVQVRVNVSHRDVJUCPVLVSDDOGZDVKDDOUDVQVTDHRDULNUEUFUGVLCVEUHVGVE
      UIZCVEVKQZCVEDQZHZCVEVKDUJWAVGWBDHWDWAVFWBDVESMZWAVFWBHZBUMVQWEWATZWFRVQW
      GTIDMWFUKCDVESUNUOPPKWAWCDWBWAIVEMVEIUPWCDHVEUQVEIURCVEDUSVDUTVAVBVC $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Ordering property of ordinal addition.  Proposition 8.4 of
       [TakeutiZaring] p. 58.  (Contributed by NM, 5-Dec-2004.) $)
    oaordi $p |- ( ( B e. On /\ C e. On ) ->
                 ( A e. B -> ( C +o A ) e. ( C +o B ) ) ) $=
      ( vx vy con0 wcel coa co wi wa csuc wss oveq2 sseq2d imbi2d ancoms ex cvv
      wceq onelon adantll word eloni ordsucss syl ad2antlr sucelon cv ssid 2a1i
      sssucid sstr2 mpi oasuc syl5ibr ad2antrr a2d wlim wral ciun sylbir limsuc
      sucssel biimpd sylan9r imp ssiun2s adantr vex mpanr1 adantlr sseqtrrd a1d
      oalim exp31 syl5bi com4r imp31 sseq1d ovex ax-mp syl6bi 3syld an32s mpdan
      tfindsg ) CFGZBFGZABGZCAHIZCBHIZGZJWHWIKZWJWMWNWJKAFGZWMWIWJWOWHBAUAUBWNW
      OWJWMWNWOKZWJWMWPWJALZBMZCWQHIZWLMZWMWIWJWRJZWHWOWIBUCXABUDABUEUFUGWHWIWO
      WRWTJWIWOWRWHWTWOWQFGZWIWRWHWTJZJAUHZWIXBWRXCWHWSCDUIZHIZMZJZWHWSWSMZJWHW
      SCEUIZHIZMZJZWHWSCXJLZHIZMZJXCDEBWQXEWQTZXGXIWHXQXFWSWSXEWQCHNOPXEXJTZXGX
      LWHXRXFXKWSXEXJCHNOPXEXNTZXGXPWHXSXFXOWSXEXNCHNOPXEBTZXGWTWHXTXFWLWSXEBCH
      NOPXIXBWHWSUJUKXJFGZXBKWQXJMZKWHXLXPYAWHXLXPJZJXBYBYAWHYCXLXPYAWHKZWSXKLZ
      MZXLXKYEMYFXKULWSXKYEUMUNYDXOYEWSWHYAXOYETCXJUOQOUPRUQURXEUSZXBKZWQXEMZKZ
      XHYBXMJEXEUTYJWHXGYJWHKWSEXEXKVAZXFYJWSYKMZWHYJWQXEGZYLYHYIYMXBYIAXEGZYGY
      MXBWOYIYNJXDAXEFVDVBYGYNYMXEAVCVEVFVGEXEXKWQWSXJWQCHNVHUFVIYHWHXFYKTZYIYG
      WHYOXBWHYGYOWHXESGYGYODVJECXESVOVKQVLVLVMRVNWGVPVQVRVSWHWOWTWMJWIWHWOKZWT
      WKLZWLMZWMYPWSYQWLCAUOVTWKSGYRWMJCAHWAWKWLSVDWBWCVLWDVGWEWFRQ $.
  $}

  $( Ordering property of ordinal addition.  Proposition 8.4 of [TakeutiZaring]
     p. 58 and its converse.  (Contributed by NM, 5-Dec-2004.) $)
  oaord $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
                 ( A e. B <-> ( C +o A ) e. ( C +o B ) ) ) $=
    ( con0 wcel coa co wi oaordi wceq wo wn word wa wb oacl syl anim12i ordtri2
    eloni w3a 3adant1 oveq2 a1i 3adant2 orim12d con3d df-3an ancom anandi sylbi
    3bitri 3adant3 3imtr4d impbid ) ADEZBDEZCDEZUAZABEZCAFGZCBFGZEZUQURUTVCHUPA
    BCIUBUSVAVBJZVBVAEZKZLZABJZBAEZKZLZVCUTUSVJVFUSVHVDVIVEVHVDHUSABCFUCUDUPURV
    IVEHUQBACIUEUFUGUSVAMZVBMZNZVCVGOUSURUPNZURUQNZNZVNUSUPUQNZURNURVRNVQUPUQUR
    UHVRURUIURUPUQUJULVOVLVPVMVOVADEVLCAPVATQVPVBDEVMCBPVBTQRUKVAVBSQUSAMZBMZNZ
    UTVKOUPUQWAURUPVSUQVTATBTRUMABSQUNUO $.

  $( Left cancellation law for ordinal addition.  Corollary 8.5 of
     [TakeutiZaring] p. 58.  (Contributed by NM, 5-Dec-2004.) $)
  oacan $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
                   ( ( A +o B ) = ( A +o C ) <-> B = C ) ) $=
    ( con0 wcel w3a wo wn coa co wceq wb oaord word eloni ordtri3 syl2an wa syl
    oacl 3comr 3com13 orbi12d notbid 3adant1 3impdi 3bitr4rd ) ADEZBDEZCDEZFZBC
    EZCBEZGZHZABIJZACIJZEZUQUPEZGZHZBCKZUPUQKZUKUNUTUKULURUMUSUIUJUHULURLBCAMUA
    UJUIUHUMUSLCBAMUBUCUDUIUJVBUOLZUHUIBNCNVDUJBOCOBCPQUEUHUIUJVCVALZUHUIRZUPNZ
    UQNZVEUHUJRZVFUPDEVGABTUPOSVIUQDEVHACTUQOSUPUQPQUFUG $.

  $( Weak ordering property of ordinal addition.  (Contributed by NM,
     6-Dec-2004.)  (Proof shortened by Andrew Salmon, 22-Oct-2011.) $)
  oaword $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
                 ( A C_ B <-> ( C +o A ) C_ ( C +o B ) ) ) $=
    ( con0 wcel w3a wn coa co wb oaord 3com12 notbid ontri1 3adant3 oacl ancoms
    wss 3adant2 3adant1 syl2anc 3bitr4d ) ADEZBDEZCDEZFZBAEZGZCBHIZCAHIZEZGZABR
    ZUJUIRZUFUGUKUDUCUEUGUKJBACKLMUCUDUMUHJUEABNOUFUJDEZUIDEZUNULJUCUEUOUDUEUCU
    OCAPQSUDUEUPUCUEUDUPCBPQTUJUINUAUB $.

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Weak ordering property of ordinal addition.  Proposition 8.7 of
       [TakeutiZaring] p. 59.  (Contributed by NM, 7-Dec-2004.) $)
    oawordri $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
                 ( A C_ B -> ( A +o C ) C_ ( B +o C ) ) ) $=
      ( vx vy con0 wcel wss coa co wi cv c0 csuc wa wceq oveq2 sseq12d oa0 cvv
      adantr adantl biimpar wb word eloni syl ordsucsssuc syl2an anandirs oasuc
      oacl adantlr adantll bitr4d biimpd expcom wlim wral vex ciun ss2iun oalim
      adantrd syl5ibr mpanr1 tfinds3 exp4c 3imp231 ) CFGZAFGZBFGZABHZACIJZBCIJZ
      HZKVJVKVLVMVPADLZIJZBVQIJZHZAMIJZBMIJZHZAELZIJZBWDIJZHZAWDNZIJZBWHIJZHZVP
      VKVLOZVMODECVQMPVRWAVSWBVQMAIQVQMBIQRVQWDPVRWEVSWFVQWDAIQVQWDBIQRVQWHPVRW
      IVSWJVQWHAIQVQWHBIQRVQCPVRVNVSVOVQCAIQVQCBIQRWLWCVMWLWAAWBBVKWAAPVLASUAVL
      WBBPVKBSUBRUCWDFGZWLWGWKKZVMWLWMWNWLWMOZWGWKWOWGWENZWFNZHZWKVKVLWMWGWRUDZ
      VKWMOZWEUEZWFUEZWSVLWMOZWTWEFGXAAWDULWEUFUGXCWFFGXBBWDULWFUFUGWEWFUHUIUJW
      OWIWPWJWQVKWMWIWPPVLAWDUKUMVLWMWJWQPVKBWDUKUNRUOUPUQVDVQURZWLWGEVQUSZVTKZ
      VMWLXDXFWLVQTGZXDXFDUTXEVTWLXGXDOZOZEVQWEVAZEVQWFVAZHEVQWEWFVBXIVRXJVSXKV
      KXHVRXJPVLEAVQTVCUMVLXHVSXKPVKEBVQTVCUNRVEVFUQVDVGVHVI $.
  $}

  $( An ordinal is less than its sum with a nonzero ordinal.  Theorem 18 of
     [Suppes] p. 209 and its converse.  (Contributed by NM, 6-Dec-2004.) $)
  oaord1 $p |- ( ( A e. On /\ B e. On ) ->
               ( (/) e. B <-> A e. ( A +o B ) ) ) $=
    ( con0 wcel c0 coa co wb wa 0elon oaord mp3an1 wceq oa0 adantl eleq1d bitrd
    ancoms ) BCDZACDZEBDZAABFGZDZHSTIZUAAEFGZUBDZUCECDSTUAUFHJEBAKLUDUEAUBTUEAM
    SANOPQR $.

  $( An ordinal is less than or equal to its sum with another.  Part of
     Exercise 5 of [TakeutiZaring] p. 62.  (For the other part see ~ oaord1 .)
     (Contributed by NM, 6-Dec-2004.) $)
  oaword1 $p |- ( ( A e. On /\ B e. On ) -> A C_ ( A +o B ) ) $=
    ( con0 wcel wa c0 coa co wceq oa0 adantr wss 0ss 0elon oaword 3com13 mp3an3
    wb mpbii eqsstrrd ) ACDZBCDZEZAAFGHZABGHZUAUDAIUBAJKUCFBLZUDUELZBMUAUBFCDZU
    FUGRZNUHUBUAUIFBAOPQST $.

  $( An ordinal is less than or equal to its sum with another.  Theorem 21 of
     [Suppes] p. 209.  (Contributed by NM, 7-Dec-2004.) $)
  oaword2 $p |- ( ( A e. On /\ B e. On ) -> A C_ ( B +o A ) ) $=
    ( con0 wcel coa co wss wa c0 0ss wi oawordri mp3an1 wceq oa0r adantl sseq1d
    0elon sylibd mpi ancoms ) BCDZACDZABAEFZGZUBUCHZIBGZUEBJUFUGIAEFZUDGZUEICDU
    BUCUGUIKRIBALMUFUHAUDUCUHANUBAOPQSTUA $.

  ${
    $d x y z A $.  $d x y z B $.  $d x z S $.
    oawordeulem.1 $e |- A e. On $.
    oawordeulem.2 $e |- B e. On $.
    oawordeulem.3 $e |- S = { y e. On | B C_ ( A +o y ) } $.
    $( Lemma for ~ oawordex .  (Contributed by NM, 11-Dec-2004.) $)
    oawordeulem $p |- ( A C_ B -> E! x e. On ( A +o x ) = B ) $=
      ( vz wss cv coa co wceq con0 wa wcel c0 oveq2 ax-mp wrex wi wral wreu wne
      cint ssrab3 oaword2 mp2an sseq2d mpbir2an ne0ii oninton csuc cvv wlim w3o
      elrab2 onzsl mpbi oa0 eqtrdi biimprd oasuc mpan sylan9eqr vex sucid eleq2
      sseq1d mpbiri oneli wn crab inteqi eleq2i onnminsb syl5bi wb oacl sylancr
      ontri1 con2bid sylibrd word onordi ordsucss 3syl adantl eqsstrd rexlimiva
      mpcom a1d ciun oalim iunss onelssi syl mprgbir eqsstrdi 3jaoi rspcev nfcv
      nfrab1 nfint nfov nfss onminsb oveq2i sseqtrri eqss sylanblrc eqtr3 oacan
      eqeq1d mp3an1 syl5ib rgen2 reu4 ) CDJZCAKZLMZDNZAOUAZYCCBKZLMZDNZPZYAYENZ
      UBZBOUCAOUCYCAOUDXTEUFZOQZCYKLMZDNZYDEOJERUEYLDYFJZBOEHUGDEDEQDOQZDCDLMZJ
      ZGYPCOQZYRGFDCUHUIZYOYRBDOEYEDNYFYQDYEDCLSUJZHURUKULEUMUIZXTYMDJZDYMJYNYK
      RNZYKIKZUNZNZIOUAZYKUOQYKUPPZUQZXTUUCUBZYLUUJUUBIYKUSUTUUDUUKUUHUUIUUDUUC
      XTUUDYMCDUUDYMCRLMZCYKRCLSYSUULCNFCVATVBVJVCUUHUUCXTUUGUUCIOUUEOQZUUGPYMC
      UUELMZUNZDUUGUUMYMCUUFLMZUUOYKUUFCLSYSUUMUUPUUONFCUUEVDVEVFUUGUUODJZUUMUU
      GUUEYKQZUUNDQZUUQUUGUURUUEUUFQUUEIVGVHYKUUFUUEVIVKUUMUURUUSYKUUEUUBVLUUMU
      URDUUNJZVMZUUSUURUUEYOBOVNZUFZQUUMUVAYKUVCUUEEUVBHVOZVPYOUUTBUUEYEUUENYFU
      UNDYEUUECLSUJVQVRUUMUUTUUSUUMYPUUNOQZUUTUUSVMVSGYSUUMUVEFCUUEVTVEDUUNWBWA
      WCWDWLZDWEUUSUUQUBDGWFUUNDWGTWHWIWJWKWMUUIUUCXTUUIYMIYKUUNWNZDYSUUIYMUVGN
      FICYKUOWOVEUVGDJUUNDJZIYKIYKUUNDWPUURUUSUVHUVFDUUNGWQWRWSWTWMXATDCUVCLMZY
      MYOBOUAZDUVIJZYPYRUVJGYTYOYRBDOUUAXBUIYOUVKBBDUVIBDXCBCUVCLBCXCBLXCBUVBYO
      BOXDXEXFXGYEUVCNYFUVIDYEUVCCLSUJXHTYKUVCCLUVDXIXJYMDXKXLYCYNAYKOYAYKNYBYM
      DYAYKCLSXOXBWAYJABOOYHYBYFNZYAOQZYEOQZPYIYBYFDXMYSUVMUVNUVLYIVSFCYAYEXNXP
      XQXRYCYGABOYIYBYFDYAYECLSXOXSXL $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Existence theorem for weak ordering of ordinal sum.  Proposition 8.8 of
       [TakeutiZaring] p. 59.  (Contributed by NM, 11-Dec-2004.) $)
    oawordeu $p |- ( ( ( A e. On /\ B e. On ) /\ A C_ B ) ->
                  E! x e. On ( A +o x ) = B ) $=
      ( vy con0 wcel wa wss cv coa co wceq wreu wi c0 cif reubidv imbi12d 0elon
      elimel sseq1 oveq1 eqeq1d sseq2 eqeq2 crab eqid oawordeulem dedth2h imp )
      BEFZCEFZGBCHZBAIZJKZCLZAEMZUKULUMUQNUKBOPZCHZURUNJKZCLZAEMZNURULCOPZHZUTV
      CLZAEMZNBCOOBURLZUMUSUQVBBURCUAVGUPVAAEVGUOUTCBURUNJUBUCQRCVCLZUSVDVBVFCV
      CURUDVHVAVEAECVCUTUEQRADURVCVCURDIJKHDEUFZBOESTCOESTVIUGUHUIUJ $.

    $( Existence theorem for weak ordering of ordinal sum.  (Contributed by NM,
       12-Dec-2004.) $)
    oawordexr $p |- ( ( A e. On /\ E. x e. On ( A +o x ) = B ) -> A C_ B ) $=
      ( con0 wcel cv coa co wceq wrex wss oaword1 sseq2 syl5ibcom rexlimdva imp
      wa ) BDEZBAFZGHZCIZADJBCKZRUAUBADRSDEQBTKUAUBBSLTCBMNOP $.

    $( Existence theorem for weak ordering of ordinal sum.  Proposition 8.8 of
       [TakeutiZaring] p. 59 and its converse.  See ~ oawordeu for uniqueness.
       (Contributed by NM, 12-Dec-2004.) $)
    oawordex $p |- ( ( A e. On /\ B e. On ) ->
                  ( A C_ B <-> E. x e. On ( A +o x ) = B ) ) $=
      ( con0 wcel wa wss cv co wceq wrex wreu oawordeu ex reurex syl6 oawordexr
      coa wi adantr impbid ) BDEZCDEZFZBCGZBAHRICJZADKZUDUEUFADLZUGUDUEUHABCMNU
      FADOPUBUGUESUCUBUGUEABCQNTUA $.

    $( Existence theorem for ordering of ordinal sum.  Similar to Proposition
       4.34(f) of [Mendelson] p. 266 and its converse.  (Contributed by NM,
       12-Dec-2004.) $)
    oaordex $p |- ( ( A e. On /\ B e. On ) ->
                  ( A e. B <-> E. x e. On ( (/) e. x /\ ( A +o x ) = B ) ) ) $=
      ( con0 wcel wa c0 cv coa co wceq wss onelss adantl oawordex sylibd oaord1
      wrex wi adantr eleq2 sylan9bb exp4c com12 imp4b simpr jca2 expd reximdvai
      biimprcd ex mpdd biimpd exp31 com34 imp4a rexlimdv impbid ) BDEZCDEZFZBCE
      ZGAHZEZBVCIJZCKZFZADRZVAVBVFADRZVHVAVBBCLZVIUTVBVJSUSCBMNABCOPUSVBVIVHSZS
      UTUSVBVKUSVBFZVFVGADVLVCDEZVFVGVLVMVFFVDVFUSVBVMVFVDVBUSVMVFVDSSVBUSVMVFV
      DUSVMFZVFFZVDVBVNVDBVEEVFVBBVCQVECBUAUBZUJUCUDUEVMVFUFUGUHUIUKTULUSVHVBSU
      TUSVGVBADUSVMVDVFVBUSVMVFVDVBUSVMVFVDVBSVOVDVBVPUMUNUOUPUQTUR $.
  $}

  $( An ordinal sum is zero iff both of its arguments are zero.  (Contributed
     by NM, 6-Dec-2004.) $)
  oa00 $p |- ( ( A e. On /\ B e. On ) ->
             ( ( A +o B ) = (/) <-> ( A = (/) /\ B = (/) ) ) ) $=
    ( con0 wcel wa coa co c0 wceq wne on0eln0 adantr oaword1 sseld sylbird ne0i
    wb syl6 necon4d 0elon adantl oaord mp3an1 ancoms bitr3d syl6bi oveq12 ax-mp
    jcad oa0 eqtrdi impbid1 ) ACDZBCDZEZABFGZHIZAHIZBHIZEZUOUQURUSUOAHUPHUOAHJZ
    HUPDZUPHJZUOVAHADZVBUMVDVAQUNAKLUOAUPHABMNOUPHPRSUOBHUPHUOBHJZAHFGZUPDZVCUO
    HBDZVEVGUNVHVEQUMBKUAUNUMVHVGQZHCDZUNUMVITHBAUBUCUDUEUPVFPUFSUIUTUPHHFGZHAH
    BHFUGVJVKHITHUJUHUKUL $.

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( The ordinal sum with a limit ordinal is a limit ordinal.  Proposition
       8.11 of [TakeutiZaring] p. 60.  (Contributed by NM, 8-Dec-2004.) $)
    oalimcl $p |- ( ( A e. On /\ ( B e. C /\ Lim B ) ) -> Lim ( A +o B ) ) $=
      ( vy vx con0 wcel wlim wa coa co c0 wceq csuc wn sylan2 wi mpd adantl wb
      word cv wrex limelon oacl eloni syl 0ellim n0i ad2antll oa00 simpr syl6bi
      wo con3d ciun vex sucid oalim eqeq1 syl5ib imp eleqtrid eliun sylib sylan
      onelon onnbtwn imnan sylibr com12 ad2antrl ordsucelsuc 3syl eleq2d bitr4d
      oasuc eleq1 bicomd sylan9bbr adantr sucelon jca oaord 3expa ancoms biimpd
      exp32 com4l imp32 mtod exp44 rexlimdv expcom nrexdv ioran sylanbrc dflim3
      pm2.01d ) AFGZBCGZBHZIZIZABJKZUAZXELMZXEDUBZNZMZDFUCZUNOZXEHXCWTBFGZXFBCU
      DZWTXMIZXEFGXFABUEXEUFUGPXDXGOZXKOXLXDBLMZOZXPXBXRWTXAXBLBGXRBUHBLUIUGUJX
      CWTXMXRXPQXNXOXGXQXOXGALMZXQIXQABUKXSXQULUMUOPRXDXJDFXDXJOZXHFGXDXJXJXDXT
      XJXDIZXHAEUBZJKZGZEBUCZXTYAXHEBYCUPZGYEYAXHXIYFXHDUQURXJXDXIYFMZXDXEYFMXJ
      YGEABCUSXEXIYFUTVAVBVCEXHBYCVDVEXDYEXTQXJXDYDXTEBWTXCYBBGZYDXTQQWTXCYHYDX
      TWTXCYHIZYDIIXJBYBNZGZYIYKOZWTYDYIYBFGZYLXCXMYHYMXNBYBVGVFZYHYMYLQXCYMYHY
      LYMYHYKIOYHYLQYBBVHYHYKVIVJVKSRVLWTYIYDXJYKQXJWTYIYDYKXJWTYIYDYKQXJWTYIIZ
      IZYDYKYPYDXEAYJJKZGZYKYOYDXIYQGZXJYRYIWTYMYDYSTYNWTYMIZYDXIYCNZGZYSYTYCFG
      YCUAYDUUBTAYBUEYCUFXHYCVMVNYTYQUUAXIAYBVQVOVPPXJYRYSXEXIYQVRVSVTYOYKYRTZX
      JYIWTUUCYIXMYJFGZIWTUUCYIXMUUDXCXMYHXNWAYIYMUUDYNYBWBVEWCXMUUDWTUUCBYJAWD
      WEVFWFSVPWGWHWIWJWKWLVBWMSRWNWSWAWOXGXKWPWQDXEWRWQ $.
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x C $.
    $( Ordinal addition is associative.  Theorem 25 of [Suppes] p. 211.
       (Contributed by NM, 10-Dec-2004.) $)
    oaass $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
                 ( ( A +o B ) +o C ) = ( A +o ( B +o C ) ) ) $=
      ( vy vz con0 wcel coa co wceq wa oveq2 oveq2d eqeq12d adantl cvv wss wrex
      c0 wi vx vw cv csuc oa0 syl eqtr4d suceq oasuc sylan sylan2 eqtrd anassrs
      oacl syl5ibr expcom wlim wral ciun iuneq2 vex oalim mpanr1 ancoms oalimcl
      adantr ovex limelon onelon ex adantld 0ellim onelss sseq2d sylibrd rspcev
      mpan imp syl2an adantrl adantrr wb oawordex ad2ant2l oaord 3expb sylan9bb
      expr eleq1 an32s biimpar eqimss2 ad3antlr jca anasss reximdv2 sylbid word
      wo eloni ordtri2or syl2anr exp45 imp32 simplrr exp32 com12 imp31 ad4ant24
      mpjaod simpll ad2antlr oaword syl3anc rexbidva mpbid mpdd ralrimiv iunss2
      mpd exp4a oaordi anim1d eleq2d syl6 expd rexlimdv eliun ssrdv eqssd an12s
      3imtr4g 3eqtr4d exp31 tfinds3 3impia ) AFGZBFGZCFGZABHIZCHIZABCHIZHIZJZYS
      YQYRKZUUDYTUAUCZHIZABUUFHIZHIZJZYTSHIZABSHIZHIZJYTDUCZHIZABUUNHIZHIZJZYTU
      UNUDZHIZABUUSHIZHIZJZUUDUUEUADCUUFSJZUUGUUKUUIUUMUUFSYTHLUVDUUHUULAHUUFSB
      HLMNUUFUUNJZUUGUUOUUIUUQUUFUUNYTHLUVEUUHUUPAHUUFUUNBHLMNUUFUUSJZUUGUUTUUI
      UVBUUFUUSYTHLUVFUUHUVAAHUUFUUSBHLMNUUFCJZUUGUUAUUIUUCUUFCYTHLUVGUUHUUBAHU
      UFCBHLMNUUEUUKYTUUMUUEYTFGZUUKYTJABUNZYTUEUFYRUUMYTJYQYRUULBAHBUEZMOUGUUE
      UUNFGZUURUVCTUURUVCUUEUVKKZUUOUDZUUQUDZJUUOUUQUHUVLUUTUVMUVBUVNUUEUVHUVKU
      UTUVMJUVIYTUUNUIUJYQYRUVKUVBUVNJYQYRUVKKZKUVBAUUPUDZHIZUVNUVOUVBUVQJYQUVO
      UVAUVPAHBUUNUIMOUVOYQUUPFGZUVQUVNJBUUNUNZAUUPUIUKULUMNUOUPUUFUQZUUEUURDUU
      FURZUUJUVTUUEKZUWAKDUUFUUOUSZDUUFUUQUSZUUGUUIUWAUWCUWDJUWBDUUFUUOUUQUTOUW
      BUUGUWCJZUWAUUEUVTUWEUUEUVHUVTUWEUVIUVHUUFPGZUVTUWEUAVAZDYTUUFPVBVCUJVDVF
      UWBUUIUWDJZUWAYQUVTYRUWHYQUVTYRKZKZUUIEUUHAEUCZHIZUSZUWDUWIYQUUHUQZUUIUWM
      JZYRUVTUWNYRUWFUVTUWNUWGBUUFPVEVCVDYQUUHPGUWNUWOBUUFHVGEAUUHPVBVCUKUWJUWM
      UWDUWIYQUWMUWDQZUWIYQKZUWLUUQQZDUUFRZEUUHURUWPUWQUWSEUUHUVTYRYQUWKUUHGZUW
      STUVTYRYQUWTUWSUVTUUFFGZYRYQUWTKZUWSTZTUWFUVTUXAUWGUUFPVHVQZUVTUXAYRUXCUV
      TUXAYRKZKZUXBUWKFGZUWSUXEUXBUXGTUVTUXEUWTUXGYQUXEUUHFGZUWTUXGTYRUXAUXHBUU
      FUNVDUXHUWTUXGUUHUWKVIVJUFVKOUXFUXBUXGUWSUXFUXBUXGKZKZUWKUUPQZDUUFRZUWSUX
      FUXBUXGUXLUXFUWTUXGUXLTZYQUVTUXEUWTUXMTUVTUXEUWTUXGUXLUVTUXEUWTUXGKZKZKUW
      KBGZUXLBUWKQZUVTUXEUXPUXLTZUXNUVTYRUXRUXAUVTYRUXPUXLUVTSUUFGUWKUULQZUXLYR
      UXPKUUFVLYRUXPUXSYRUXPUWKBQUXSBUWKVMYRUULBUWKUVJVNVOVRUXKUXSDSUUFUUNSJUUP
      UULUWKUUNSBHLVNVPVSWHVTWAUXOUXQUXLTUVTUXOUXQUUPUWKJZDFRZUXLYRUXGUXQUYAWBU
      XAUWTDBUWKWCWDUXEUWTUYAUXLTUXGUXEUWTKZUXTUXKDFUUFUVKUXTKZUYBUUNUUFGZUXKKZ
      UYCUXEUWTUYEUYCUXEKZUWTKUYDUXKUYFUYDUWTUVKUXEUXTUYDUWTWBUVKUXEKUYDUUPUUHG
      ZUXTUWTUVKUXAYRUYDUYGWBUUNUUFBWEWFUUPUWKUUHWIWGWJWKUXTUXKUVKUXEUWTUWKUUPW
      LWMWNWOUPWPWAWQOUXOUXPUXQWSZUVTYRUXGUYHUXAUWTUXGUWKWRBWRUYHYRUWKWTBWTUWKB
      XAXBWDOXJXCVRVKXDUXJUXKUWRDUUFUXJUYDKUXGUVRYQUXKUWRWBUXFUXBUXGUYDXEUXEUYD
      UVRUVTUXIUXAYRUYDUVRYRUXAUYDUVRTYRUXAUYDUVRUXAUYDKYRUVKUVRUUFUUNVIUVSUKXF
      XGXHXIUXIYQUXFUYDYQUWTUXGXKXLUWKUUPAXMXNXOXPXFXQXFXTYAXHXREDUUHUUFUWLUUQX
      SUFVDUWIUWDUWMQZYQUVTUXAYRUYIUXDUXEUBUWDUWMUXEUBUCZUUQGZDUUFRUYJUWLGZEUUH
      RZUYJUWDGUYJUWMGUXEUYKUYMDUUFUXEUYDUYKUYMUXEUYDUYKKUYGUYKKUYMUXEUYDUYGUYK
      UUNUUFBYBYCUYLUYKEUUPUUHUWKUUPJUWLUUQUYJUWKUUPAHLYDVPYEYFYGDUYJUUFUUQYHEU
      YJUUHUWLYHYLYIUJOYJULYKVFYMYNYOXGYP $.
  $}

  ${
    $d x y z w A $.  $d x y z B $.
    $( Recursive definition of ordinal addition.  Exercise 25 of [Enderton]
       p. 240.  (Contributed by NM, 26-Dec-2004.)  (Revised by Mario Carneiro,
       30-May-2015.) $)
    oarec $p |- ( ( A e. On /\ B e. On ) ->
                ( A +o B ) = ( A u. ran ( x e. B |-> ( A +o x ) ) ) ) $=
      ( vw vy wcel coa co cv cmpt crn wceq c0 oveq2 mpteq1 eqtrdi rneqd wa wrex
      cun vz con0 csuc rn0 uneq2d eqeq12d oa0 un0 eqtr4di wi csn uneq1 unass wo
      mpt0 rexun df-suc rexeqi wb cvv elrnmpt elv velsn vex eqeq2d rexsn bitr4i
      eqid orbi12i 3bitr4i ovex elrnmpti elun eqriv uneq2i eqtr4i oasuc syl5ibr
      eqeq1d expcom wlim wral ciun oalim mpanr1 ancoms adantr iuneq2 adantl wne
      iunun 0ellim ne0i iunconst 3syl df-rex bitri rexbii eluni2 anbi1i r19.41v
      cuni wex exbii rexcom4 limuni rexeqdv bitr4id eliun 3bitr4g eqrdv uneq12d
      eqtrid ad2antrr 3eqtrd exp31 tfinds3 impcom ) CUBFBUBFZBCGHZBACBAIZGHZJZK
      ZTZLZBUAIZGHZBAYGYBJZKZTZLZBMGHZBMTZLBDIZGHZBAYOYBJZKZTZLZBYOUCZGHZBAUUAY
      BJZKZTZLZYFXSUADCYGMLZYHYMYKYNYGMBGNUUGYJMBUUGYJMKMUUGYIMUUGYIAMYBJMAYGMY
      BOAYBUOPQUDPUEUFYGYOLZYHYPYKYSYGYOBGNUUHYJYRBUUHYIYQAYGYOYBOQUEUFYGUUALZY
      HUUBYKUUEYGUUABGNUUIYJUUDBUUIYIUUCAYGUUAYBOQUEUFYGCLZYHXTYKYEYGCBGNUUJYJY
      DBUUJYIYCAYGCYBOQUEUFXSYMBYNBUGBUHUIXSYOUBFZYTUUFUJYTUUFXSUUKRZYPYPUKZTZU
      UELYTUUNYSUUMTZUUEYPYSUUMULUUOBYRUUMTZTUUEBYRUUMUMUUDUUPBEUUDUUPEIZYBLZAU
      UASZUUQYRFZUUQUUMFZUNZUUQUUDFUUQUUPFUURAYOYOUKZTZSUURAYOSZUURAUVCSZUNUUSU
      VBUURAYOUVCUPUURAUUAUVDYOUQURUUTUVEUVAUVFUUTUVEUSEAYOYBUUQYQUTYQVHVAVBZUV
      AUUQYPLZUVFEYPVCUURUVHAYODVDYAYOLYBYPUUQYAYOBGNVEVFVGVIVJAUUAYBUUQUUCUUCV
      HBYAGVKZVLUUQYRUUMVMVJVNVOVPPUULUUBUUNUUEUULUUBYPUCUUNBYOVQYPUQPVSVRVTYGW
      AZXSYTDYGWBZYLUVJXSRZUVKRYHDYGYPWCZDYGYSWCZYKUVLYHUVMLZUVKXSUVJUVOXSYGUTF
      UVJUVOUAVDDBYGUTWDWEWFWGUVKUVMUVNLUVLDYGYPYSWHWIUVJUVNYKLXSUVKUVJUVNDYGBW
      CZDYGYRWCZTYKDYGBYRWKUVJUVPBUVQYJUVJMYGFYGMWJUVPBLYGWLYGMWMDYGBWNWOUVJEUV
      QYJUVJUUTDYGSZUURAYGSZUUQUVQFUUQYJFUVJUVRUURAYGXBZSZUVSUVRYAYOFZUURRZAXCZ
      DYGSZUWAUUTUWDDYGUUTUVEUWDUVGUURAYOWPWQWRYAUVTFZUURRZAXCUWCDYGSZAXCUWAUWE
      UWGUWHAUWGUWBDYGSZUURRUWHUWFUWIUURDYAYGWSWTUWBUURDYGXAVGXDUURAUVTWPUWCDAY
      GXEVJVGUVJUURAYGUVTYGXFXGXHDUUQYGYRXIAYGYBUUQYIYIVHUVIVLXJXKXLXMXNXOXPXQX
      R $.
  $}

  ${
    $d x y A $.
    $( Left addition by a constant is a bijection from ordinals to ordinals
       greater than the constant.  (Contributed by Mario Carneiro,
       30-May-2015.) $)
    oaf1o $p |- ( A e. On ->
        ( x e. On |-> ( A +o x ) ) : On -1-1-onto-> ( On \ A ) ) $=
      ( vy con0 wcel cv coa co cdif wral wceq wa wss wn ontri1 syldan ralrimiva
      wreu wb adantl cmpt wf1o oacl oaword1 mpbid eldifd eldifi eldifn oawordeu
      simpl mpbird syl21anc eqcom reubii sylib eqid f1ompt sylanbrc ) BDEZBAFZG
      HZDBIZEZADJCFZVAKZADRZCVBJDVBADVAUAZUBUSVCADUSUTDEZLZVADBBUTUCZVIBVAMZVAB
      ENZBUTUDUSVHVADEVKVLSVJBVAOPUEUFQUSVFCVBUSVDVBEZLZVAVDKZADRZVFVNUSVDDEZBV
      DMZVPUSVMUJVMVQUSVDDBUGTZVNVRVDBENZVMVTUSVDDBUHTUSVMVQVRVTSVSBVDOPUKABVDU
      IULVOVEADVAVDUMUNUOQACDVBVAVGVGUPUQUR $.
  $}

  ${
    $d x A $.  $d x B $.
    oacomf1olem.1 $e |- F = ( x e. A |-> ( B +o x ) ) $.
    $( Lemma for ~ oacomf1o .  (Contributed by Mario Carneiro, 30-May-2015.) $)
    oacomf1olem $p |- ( ( A e. On /\ B e. On ) ->
      ( F : A -1-1-onto-> ran F /\ ( ran F i^i B ) = (/) ) ) $=
      ( con0 wcel wa crn wf1o cin c0 wceq cdif wf1 cv cmpt wss syl wb coa oaf1o
      cres adantl f1of1 onss adantr f1ssres syl2anc resmptd eqtr4di f1eq1 mpbid
      co f1f1orn wf f1f frn 3syl difss2d reldisj mpbird jca ) BFGZCFGZHZBDIZDJZ
      VGCKLMZVFBFCNZDOZVHVFBVJAFCAPUAUNZQZBUCZOZVKVFFVJVMOZBFRZVOVFFVJVMJZVPVEV
      RVDACUBUDFVJVMUESVDVQVEBUFUGZFVJBVMUHUIVFVNDMVOVKTVFVNABVLQDVFAFBVLVSUJEU
      KBVJVNDULSUMZBVJDUOSVFVIVGVJRZVFVKBVJDUPWAVTBVJDUQBVJDURUSZVFVGFRVIWATVFV
      GFCWBUTVGCFVASVBVC $.
  $}

  ${
    $d x A $.  $d x B $.
    oacomf1o.1 $e |- F = ( ( x e. A |-> ( B +o x ) ) u.
      `' ( x e. B |-> ( A +o x ) ) ) $.
    $( Define a bijection from ` A +o B ` to ` B +o A ` .  Thus, the two are
       equinumerous even if they are not equal (which sometimes occurs, e.g.,
       ~ oancom ).  (Contributed by Mario Carneiro, 30-May-2015.) $)
    oacomf1o $p |- ( ( A e. On /\ B e. On ) ->
      F : ( A +o B ) -1-1-onto-> ( B +o A ) ) $=
      ( con0 wcel wa coa co wf1o cmpt crn cun cin wceq eqid oacomf1olem simpld
      c0 cv ccnv ancoms f1ocnv syl incom simprd eqtrid f1oun syl22anc wb f1oeq1
      ax-mp sylibr oarec f1oeq2d mpbird uncom eqtrdi f1oeq3d ) BFGZCFGZHZBCIJZC
      BIJZDKVDABCAUAZIJLZMZCNZDKZVCVJBACBVFIJLZMZNZVIDKZVCVMVIVGVKUBZNZKZVNVCBV
      HVGKZVLCVOKZBVLOZTPVHCOTPZVQVCVRWAABCVGVGQRZSVCCVLVKKZVSVCWCVLBOZTPZVBVAW
      CWEHACBVKVKQRUCZSCVLVKUDUEVCVTWDTBVLUFVCWCWEWFUGUHVCVRWAWBUGBVHVLCVGVOUIU
      JDVPPVNVQUKEVMVIDVPULUMUNVCVDVMVIDABCUOUPUQVCVEVIVDDVCVECVHNZVIVBVAVEWGPA
      CBUOUCCVHURUSUTUQ $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Ordering property of ordinal multiplication.  Half of Proposition 8.19
       of [TakeutiZaring] p. 63.  (Contributed by NM, 14-Dec-2004.) $)
    omordi $p |- ( ( ( B e. On /\ C e. On ) /\ (/) e. C ) ->
                 ( A e. B -> ( C .o A ) e. ( C .o B ) ) ) $=
      ( vx vy con0 wcel c0 comu co wi wa wceq eleq2 oveq2 eleq2d imbi12d biimpa
      sylan adantr onelon ex cv csuc noel pm2.21i a1i coa elsuci omcl simpl jca
      wo oaword1 sseld imim2d imp adantrl oaord1 eleq1d syl5ibrcom adantrr jaod
      syl5 wb omsuc sylibrd exp43 com12 adantld impd wlim wral id ad2ant2r ciun
      wss limsuc ssiun2s syl adantll cvv omlim mpanr1 sseqtrrd anabss1 eleqtrrd
      sseldd exp53 com13 imp4c a1dd tfinds3 com23 exp4a mpdd com34 com24 imp31
      vex ) BFGZCFGZHCGZABGZCAIJZCBIJZGZKZXAXDXCXBXGXAXDXBXCXGXAXDAFGZXBXCXGKZK
      XAXDXIBAUAUBXAXDXIXBXJXAXDXIXBLZXCXGXAXKXCLZXDXGADUCZGZXECXMIJZGZKZAHGZXE
      CHIJZGZKZAEUCZGZXECYBIJZGZKZAYBUDZGZXECYGIJZGZKZXHXLDEBXMHMZXNXRXPXTXMHAN
      YLXOXSXEXMHCIOPQXMYBMZXNYCXPYEXMYBANYMXOYDXEXMYBCIOPQXMYGMZXNYHXPYJXMYGAN
      YNXOYIXEXMYGCIOPQXMBMZXNXDXPXGXMBANYOXOXFXEXMBCIOPQYAXLXRXTAUEUFUGYBFGZXK
      XCYFYKKZYPXBXCYQKZXIXBYPYRXBYPXCYFYKXBYPLZXCYFLZLZYHXEYDCUHJZGZYJYHYCAYBM
      ZUMZUUAUUCAYBUIYSYDFGZXBLZYTUUEUUCKYSUUFXBCYBUJXBYPUKULUUGYTLYCUUCUUDUUGY
      FYCUUCKZXCUUGYFUUHUUGYEUUCYCUUGYDUUBXEYDCUNUOUPUQURUUGXCUUDUUCKYFUUGXCLUU
      CUUDYDUUBGZUUGXCUUIYDCUSRUUDXEYDUUBAYBCIOUTVAVBVCSVDYSYJUUCVEYTYSYIUUBXEC
      YBVFPTVGVHVIVJVKXMVLZXLXQYFEXMVMUUJXIXBXCXQXBXIUUJXCXQKXBXIUUJXCXNXPXBXIL
      ZUUJXCLLZXNLCAUDZIJZXOXEUULXBUUJLZXNUUNXOVQXBUUJUUOXIXCUUOVNVOUUOXNLUUNEX
      MYDVPZXOUUJXNUUNUUPVQZXBUUJXNLUUMXMGZUUQUUJXNUURXMAVRREXMYDUUMUUNYBUUMCIO
      VSVTWAUUOXOUUPMZXNXBXMWBGUUJUUSDWTECXMWBWCWDTWESUULXEUUNGZXNUUKXCUUTUUJUU
      KXCLXEXECUHJZUUNUUKXCXEUVAGZXBXIXCUVBVEZUUKXEFGXBUVCCAUJXECUSSWFRUUKUUNUV
      AMXCCAVFTWGURTWHWIWJWKWLWMWNWOWOWPWQWRWS $.
  $}

  $( Ordering property of ordinal multiplication.  (Contributed by NM,
     25-Dec-2004.) $)
  omord2 $p |- ( ( ( A e. On /\ B e. On /\ C e. On ) /\ (/) e. C ) ->
               ( A e. B <-> ( C .o A ) e. ( C .o B ) ) ) $=
    ( con0 wcel wa comu co wi omordi wceq wo wn omcl word ordtri2 syl2an adantr
    wb eloni w3a 3adantl1 oveq2 a1i 3adantl2 orim12d con3d anandis ancoms 3impa
    c0 3adant3 3imtr4d impbid ) ADEZBDEZCDEZUAZUKCEZFZABEZCAGHZCBGHZEZUPUQUSVAV
    DIUOABCJUBUTVBVCKZVCVBEZLZMZABKZBAEZLZMZVDVAUTVKVGUTVIVEVJVFVIVEIUTABCGUCUD
    UOUQUSVJVFIUPBACJUEUFUGURVDVHSZUSUOUPUQVMUQUOUPFVMUQUOUPVMUQUOFVBDEZVCDEZVM
    UQUPFCANCBNVNVBOVCOVMVOVBTVCTVBVCPQQUHUIUJRURVAVLSZUSUOUPVPUQUOAOBOVPUPATBT
    ABPQULRUMUN $.

  $( Ordering property of ordinal multiplication.  Proposition 8.19 of
     [TakeutiZaring] p. 63.  (Contributed by NM, 14-Dec-2004.) $)
  omord $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
               ( ( A e. B /\ (/) e. C ) <-> ( C .o A ) e. ( C .o B ) ) ) $=
    ( con0 wcel w3a c0 wa comu co wb omord2 ex pm5.32rd simpl wi ne0i wceq om0r
    wne eqeq1d syl5ibrcom necon3d adantr on0eln0 adantl sylibrd 3adant1 impbid2
    oveq1 syl5 ancld bitrd ) ADEZBDEZCDEZFZABEZGCEZHCAIJZCBIJZEZUSHZVBUQUSURVBU
    QUSURVBKABCLMNUQVCVBVBUSOUQVBUSUOUPVBUSPUNUOUPHVBCGTZUSUOVBVDPUPVBVAGTUOVDV
    AUTQUOCGVAGUOVAGRCGRZGBIJZGRBSVEVAVFGCGBIUJUAUBUCUKUDUPUSVDKUOCUEUFUGUHULUI
    UM $.

  $( Left cancellation law for ordinal multiplication.  Proposition 8.20 of
     [TakeutiZaring] p. 63 and its converse.  (Contributed by NM,
     14-Dec-2004.) $)
  omcan $p |- ( ( ( A e. On /\ B e. On /\ C e. On ) /\ (/) e. A ) ->
                   ( ( A .o B ) = ( A .o C ) <-> B = C ) ) $=
    ( con0 wcel wa comu co wceq wo wn wi omordi ex ancoms imp word omcl eloni
    wb w3a c0 3adant2 3adant3 orim12d syl ordtri3 syl2an 3impdi 3adant1 3imtr4d
    con3d adantr oveq2 impbid1 ) ADEZBDEZCDEZUAZUBAEZFZABGHZACGHZIZBCIZVAVBVCEZ
    VCVBEZJZKZBCEZCBEZJZKZVDVEVAVLVHVAVJVFVKVGUSUTVJVFLZUPURUTVNLZUQURUPVOURUPF
    UTVNBCAMNOUCPUSUTVKVGLZUPUQUTVPLZURUQUPVQUQUPFUTVPCBAMNOUDPUEULUSVDVITZUTUP
    UQURVRUPUQFZVBQZVCQZVRUPURFZVSVBDEVTABRVBSUFWBVCDEWAACRVCSUFVBVCUGUHUIUMUSV
    EVMTZUTUQURWCUPUQBQCQWCURBSCSBCUGUHUJUMUKBCAGUNUO $.

  $( Weak ordering property of ordinal multiplication.  (Contributed by NM,
     21-Dec-2004.) $)
  omword $p |- ( ( ( A e. On /\ B e. On /\ C e. On ) /\ (/) e. C ) ->
                   ( A C_ B <-> ( C .o A ) C_ ( C .o B ) ) ) $=
    ( con0 wcel w3a c0 wa wceq wo co wss omord2 wb 3anrot omcan onsseleq adantr
    comu omcl sylanbr bicomd orbi12d 3adant3 anim12dan ancoms 3impa syl 3bitr4d
    ) ADEZBDEZCDEZFZGCEZHZABEZABIZJZCASKZCBSKZEZUSUTIZJZABLZUSUTLZUOUPVAUQVBABC
    MUOVBUQUMULUJUKFUNVBUQNULUJUKOCABPUAUBUCUMVDURNZUNUJUKVFULABQUDRUMVEVCNZUNU
    MUSDEZUTDEZHZVGUJUKULVJULUJUKHVJULUJVHUKVICATCBTUEUFUGUSUTQUHRUI $.

  $( Weak ordering property of ordinal multiplication.  (Contributed by NM,
     21-Dec-2004.) $)
  omwordi $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
                   ( A C_ B -> ( C .o A ) C_ ( C .o B ) ) ) $=
    ( con0 wcel w3a c0 wss comu co wi wa omword biimpd ex wn wceq sseq12d oveq1
    om0r wb word ord0eln0 necon2bbid syl 3ad2ant3 ssid adantr adantl syl5ibrcom
    eloni mpbiri 3adant3 sylbird a1dd pm2.61d ) ADEZBDEZCDEZFZGCEZABHZCAIJZCBIJ
    ZHZKZUTVAVFUTVALVBVEABCMNOUTVAPZVEVBUTVGCGQZVEUSUQVHVGUAZURUSCUBZVICUKVJVAC
    GCUCUDUEUFUQURVHVEKUSUQURLZVEVHGAIJZGBIJZHZVKVNGGHGUGVKVLGVMGUQVLGQURATUHUR
    VMGQUQBTUIRULVHVCVLVDVMCGAISCGBISRUJUMUNUOUP $.

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Weak ordering property of ordinal multiplication.  Proposition 8.21 of
       [TakeutiZaring] p. 63.  (Contributed by NM, 20-Dec-2004.) $)
    omwordri $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
        ( A C_ B -> ( A .o C ) C_ ( B .o C ) ) ) $=
      ( vx vy con0 wcel wss comu co wi wa cv c0 wceq oveq2 sseq12d coa omcl cvv
      csuc om0 0ss eqsstrdi ad2antrr w3a 3adant2 3adant1 simp1 oawordri syl3anc
      imp adantrl wb oaword syld3an3 biimpa adantrr sstrd adantr 3sstr4d exp520
      omsuc com3r imp4c wlim wral vex ciun ss2iun omlim adantl syl5ibr anandirs
      ad2ant2rl mpanr1 expcom adantrd tfinds3 expd 3impib 3coml ) CFGZAFGZBFGZA
      BHZACIJZBCIJZHZKZWCWDWEWJWCWDWELZWFWIADMZIJZBWLIJZHZANIJZBNIJZHZAEMZIJZBW
      SIJZHZAWSUAZIJZBXCIJZHZWIWKWFLDECWLNOWMWPWNWQWLNAIPWLNBIPQWLWSOWMWTWNXAWL
      WSAIPWLWSBIPQWLXCOWMXDWNXEWLXCAIPWLXCBIPQWLCOWMWGWNWHWLCAIPWLCBIPQWDWRWEW
      FWDWPNWQAUBWQUCUDUEWSFGZWDWEWFXBXFKZWDWEXGWFXHKWDWEXGWFXBXFWDWEXGUFZWFXBL
      ZLZWTARJZXABRJZXDXEXKXLXAARJZXMXIXBXLXNHZWFXIXBXOXIWTFGZXAFGZWDXBXOKWDXGX
      PWEAWSSUGWEXGXQWDBWSSUHZWDWEXGUIWTXAAUJUKULUMXIWFXNXMHZXBXIWFXSWDWEXGXQWF
      XSUNXRABXAUOUPUQURUSXIXDXLOZXJWDXGXTWEAWSVCUGUTXIXEXMOZXJWEXGYAWDBWSVCUHU
      TVAVBVDVEWLVFZWKXBEWLVGZWOKZWFWKYBYDWKWLTGZYBYDDVHWDWEYEYBLZYDYCWOWDYFLZW
      EYFLZLZEWLWTVIZEWLXAVIZHEWLWTXAVJYIWMYJWNYKWDYFWMYJOYFWEEAWLTVKVOYHWNYKOY
      GEBWLTVKVLQVMVNVPVQVRVSVTWAWB $.
  $}

  $( An ordinal is less than or equal to its product with another.
     (Contributed by NM, 21-Dec-2004.) $)
  omword1 $p |- ( ( ( A e. On /\ B e. On ) /\ (/) e. B ) ->
                 A C_ ( A .o B ) ) $=
    ( con0 wcel wa c0 comu co wss c1o wb word eloni ordgt0ge1 syl adantl wi 1on
    omwordi mp3an1 ancoms wceq om1 adantr sseq1d sylibd sylbid imp ) ACDZBCDZEZ
    FBDZAABGHZIZUKULJBIZUNUJULUOKZUIUJBLUPBMBNOPUKUOAJGHZUMIZUNUJUIUOURQZJCDUJU
    IUSRJBASTUAUKUQAUMUIUQAUBUJAUCUDUEUFUGUH $.

  $( An ordinal is less than or equal to its product with another.
     (Contributed by NM, 21-Dec-2004.) $)
  omword2 $p |- ( ( ( A e. On /\ B e. On ) /\ (/) e. B ) ->
                 A C_ ( B .o A ) ) $=
    ( con0 wcel wa c0 c1o comu co wceq om1r ad2antrr wss eloni ordgt0ge1 biimpa
    word sylan adantll wi 1on omwordri mp3an1 ancoms adantr mpd eqsstrrd ) ACDZ
    BCDZEZFBDZEZAGAHIZBAHIZUHUMAJUIUKAKLULGBMZUMUNMZUIUKUOUHUIBQZUKUOBNUQUKUOBO
    PRSUJUOUPTZUKUIUHURGCDUIUHURUAGBAUBUCUDUEUFUG $.

  $( The product of two ordinal numbers is zero iff at least one of them is
     zero.  Proposition 8.22 of [TakeutiZaring] p. 64.  (Contributed by NM,
     21-Dec-2004.) $)
  om00 $p |- ( ( A e. On /\ B e. On ) -> ( ( A .o B ) = (/) <->
              ( A = (/) \/ B = (/) ) ) ) $=
    ( con0 wcel wa comu co c0 wceq c1o wss wne wi word wb eloni ordge1n0 adantr
    adantl ex wo wn neanior syl biimprd on0eln0 omword1 sylbird anim12d syl5bir
    sstr syl6 omcl 3syl sylibd necon4bd oveq1 om0r sylan9eqr oveq2 jaod impbid
    om0 ) ACDZBCDZEZABFGZHIZAHIZBHIZUAZVFVKVGHVFVKUBZJVGKZVGHLZVLAHLZBHLZEZVFVM
    AHBHUCVFVQJAKZAVGKZEVMVFVOVRVPVSVDVOVRMVEVDVRVOVDANVRVOOAPAQUDUERVFVPHBDZVS
    VEVTVPOVDBUFSVFVTVSABUGTUHUIJAVGUKULUJVFVGCDVGNVMVNOABUMVGPVGQUNUOUPVFVIVHV
    JVEVIVHMVDVEVIVHVIVEVGHBFGHAHBFUQBURUSTSVDVJVHMVEVDVJVHVJVDVGAHFGHBHAFUTAVC
    USTRVAVB $.

  $( The product of two nonzero ordinal numbers is nonzero.  (Contributed by
     NM, 28-Dec-2004.) $)
  om00el $p |- ( ( A e. On /\ B e. On ) -> ( (/) e. ( A .o B ) <->
              ( (/) e. A /\ (/) e. B ) ) ) $=
    ( con0 wcel wa comu co c0 wne wceq wo om00 necon3abid omcl on0eln0 bi2anan9
    wn wb syl neanior bitrdi 3bitr4d ) ACDZBCDZEZABFGZHIZAHJBHJKZQZHUFDZHADZHBD
    ZEZUEUHUFHABLMUEUFCDUJUGRABNUFOSUEUMAHIZBHIZEUIUCUKUNUDULUOAOBOPAHBHTUAUB
    $.

  ${
    $d x y z w v A $.  $d x y z w v B $.  $d x y C $.
    $( Ordering involving the product of a limit ordinal.  Proposition 8.23 of
       [TakeutiZaring] p. 64.  (Contributed by NM, 25-Dec-2004.) $)
    omordlim $p |- ( ( ( A e. On /\ ( B e. D /\ Lim B ) ) /\ C e. ( A .o B ) )
                -> E. x e. B C e. ( A .o x ) ) $=
      ( con0 wcel wlim wa comu co cv wrex ciun omlim eleq2d eliun bitrdi biimpa
      ) BFGCEGCHIIZDBCJKZGZDBALJKZGACMZTUBDACUCNZGUDTUAUEDABCEOPADCUCQRS $.

    $( The product of any nonzero ordinal with a limit ordinal is a limit
       ordinal.  Proposition 8.24 of [TakeutiZaring] p. 64.  (Contributed by
       NM, 25-Dec-2004.) $)
    omlimcl $p |- ( ( ( A e. On /\ ( B e. C /\ Lim B ) ) /\ (/) e. A ) ->
                  Lim ( A .o B ) ) $=
      ( vy vx con0 wcel wa c0 comu co word wceq wn syl adantr wb sylan wi c1o
      wlim cv csuc wrex wo limelon omcl sylan2 0ellim n0i anim12ci adantll om00
      eloni notbid ioran bitrdi mpbird ciun vex sucid omlim eqeq1 biimpac eliun
      eleqtrid sylib adantlr onelon onnbtwn imnan sylibr com12 adantl mpd simpl
      jca anim2i anassrs coa ordsucelsuc oa1suc eleq2d bitr4d wss ordgt0ge1 1on
      ad5ant24 oaword mp3an1 syldan bitrd biimpa omsuc sseld eleq1 biimprd syl9
      sseqtrrd sylbid com23 adantlrl sucelon omord syl6bir syl3an2b 3comr 3expb
      w3a syl6d an32s imp mtod rexlimdva2 pm2.01da nrexdv sylanbrc dflim3 ) AFG
      ZBCGZBUAZHZHZIAGZHZABJKZLZYFIMZYFDUBZUCZMZDFUDZUENZYFUAYCYGYDYBXSBFGZYGBC
      UFZXSYNHZYFFGYGABUGYFUNOUHPYEYHNZYLNYMYEYQAIMZNZBIMZNZHZYBYDUUBXSYAYDUUBX
      TYAUUAYDYSYAIBGUUABUIBIUJOAIUJUKULULYCYQUUBQZYDYBXSYNUUCYOYPYQYRYTUEZNUUB
      YPYHUUDABUMUOYRYTUPUQUHPURYEYKDFYEYKNZYIFGYEYKYEYKHYIAEUBZJKZGZEBUDZUUEYC
      YKUUIYDYCYKHZYIEBUUGUSZGUUIUUJYIYJUUKYIDUTVAYCYFUUKMZYKYJUUKMZEABCVBYKUUL
      UUMYFYJUUKVCVDRVFEYIBUUGVEVGVHYEUUIUUESYKYEUUHUUEEBYEUUFBGZHZUUHHYKBUUFUC
      ZGZYBUUNUUQNZXSYDUUHYBUUNHZUUFFGZUURYBYNUUNUUTYOBUUFVIZRUUNUUTUURSYBUUTUU
      NUURUUTUUNUUQHNUUNUURSUUFBVJUUNUUQVKVLVMVNVOWHUUOUUHYKUUQSZYCUUNYDUUHUVBS
      ZYCUUNHXSYNUUTHZHZYDUVCXSYBUUNUVEUUSUVDXSYBYNUUNUVDYOYNUUNHYNUUTYNUUNVPUV
      AVQRVRVSUVEYDHUUHYKYFAUUPJKZGZUUQXSUUTYDUUHYKUVGSSYNXSUUTHZYDHZYKUUHUVGUV
      IUUHYJUVFGZYKUVGUVIUUHYJUUGTVTKZGZUVJUVHUUHUVLQZYDUVHUUGFGZUVMAUUFUGZUVNU
      UHYJUUGUCZGZUVLUVNUUGLUUHUVQQUUGUNYIUUGWAOUVNUVKUVPYJUUGWBWCWDOPUVIUVKUVF
      YJUVIUVKUUGAVTKZUVFUVHYDUVKUVRWEZUVHYDTAWEZUVSXSYDUVTQZUUTXSALUWAAUNAWFOP
      XSUUTUVNUVTUVSQZUVOTFGXSUVNUWBWGTAUUGWIWJWKWLWMUVHUVFUVRMYDAUUFWNPWSWOWTY
      KUVGUVJYFYJUVFWPWQWRXAXBUVEUVGUUQSZYDXSYNUUTUWCYNUUTXSUWCUUTYNUUPFGZXSUWC
      UUFXCYNUWDXSXIUVGUUQYDHUUQBUUPAXDUUQYDVPXEXFXGXHPXJRXKXLXMXNPVOXOPXPYHYLU
      PXQDYFXRXQ $.

    $( Distributive law for ordinal arithmetic (left-distributivity).
       Proposition 8.25 of [TakeutiZaring] p. 64.  (Contributed by NM,
       26-Dec-2004.) $)
    odi $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
                 ( A .o ( B +o C ) ) = ( ( A .o B ) +o ( A .o C ) ) ) $=
      ( vz vw vv con0 wcel coa co comu wceq c0 wa oveq2 oveq2d syl wi cvv wss
      vx vy cv csuc eqeq12d omcl oa0 om0 adantr adantl 3eqtr4rd w3a oveq1 oasuc
      3adant1 oacl omsuc sylan2 3impb eqtrd 3adant2 oaass syl3an1 syl3an2 exp4b
      3exp pm2.43a com4r pm2.43i 3imp eqtr4d syl5ibr impd wlim wral vex limelon
      com3r mpan om0r oveqan12d 0elon eqtr2di ancoms oveq12d expd imp a1dd ciun
      ax-mp wrex wo wn simplr onelon sylan ontri1 oawordex bitr3d syl2anc oaord
      wb 3expb eleq1 sylan9bb an32s biimpcd exp4c reximdvai sylbid orrd sylanl1
      iba adantlrl adantlr 0ellim om00el biimprd sylan2i imp31 adantlrr ancom1s
      a1d omordi onelss sseq2d sylibrd syld adantll jcad syl6 adantrr ralrimiva
      rspcev mpd iunss2 mpanr1 oaordi an12s ovex adantrd rspccv syl5ib ad2antll
      eqimss2 imim2i rexlimdvw jaod omordlim word limord ordelon rspccva eleq2d
      eqeq1 rexlimdva adantrl eqssd oalimcl omlim ad2antlr jctl anim1ci omlimcl
      ex anim2i jctil oalim 3eqtr4d exp43 com3l oe0lem com12 tfinds3 expdcom )
      AGHZBGHZCGHZABCIJZKJZABKJZACKJZIJZLZUVRUVPUVQUWDABUAUCZIJZKJZUWAAUWEKJZIJ
      ZLZABMIJZKJZUWAAMKJZIJZLABUBUCZIJZKJZUWAAUWOKJZIJZLZABUWOUDZIJZKJZUWAAUXA
      KJZIJZLZUWDUVPUVQNZUAUBCUWEMLZUWGUWLUWIUWNUXHUWFUWKAKUWEMBIOPUXHUWHUWMUWA
      IUWEMAKOPUEUWEUWOLZUWGUWQUWIUWSUXIUWFUWPAKUWEUWOBIOPUXIUWHUWRUWAIUWEUWOAK
      OPUEUWEUXALZUWGUXCUWIUXEUXJUWFUXBAKUWEUXABIOPUXJUWHUXDUWAIUWEUXAAKOPUEUWE
      CLZUWGUVTUWIUWCUXKUWFUVSAKUWECBIOPUXKUWHUWBUWAIUWECAKOPUEUXGUWAMIJZUWAUWN
      UWLUXGUWAGHZUXLUWALABUFZUWAUGZQUXGUWMMUWAIUVPUWMMLUVQAUHUIPUXGUWKBAKUVQUW
      KBLUVPBUGUJPUKUWOGHZUVPUVQUWTUXFRZUVPUVQUXPUXQUVPUVQUXPUXQUWTUXFUVPUVQUXP
      ULZUWQAIJZUWSAIJZLUWQUWSAIUMUXRUXCUXSUXEUXTUXRUXCAUWPUDZKJZUXSUXRUXBUYAAK
      UVQUXPUXBUYALUVPBUWOUNUOPUVPUVQUXPUYBUXSLZUVQUXPNUVPUWPGHUYCBUWOUPAUWPUQU
      RUSUTUXRUXEUWAUWRAIJZIJZUXTUXRUXDUYDUWAIUVPUXPUXDUYDLUVQAUWOUQVAPUVPUVQUX
      PUXTUYELZUVPUVQUXPUYFRRUVPUVQUXPUVPUYFUVQUVPUXPUVPUYFRZRUVPUVQUVPUXPUYGUX
      GUVPUXPNZUVPUYFUYHUXGUWRGHZUVPUYFAUWOUFUXGUXMUYIUVPUYFUXNUWAUWRAVBVCVDVFV
      EVGVHVIVJVKUEVLVFVRVMUXGUWEVNZUWTUBUWEVOZUWJRZUVQUYJUYLRZAUVQAMLZNUYJUWJU
      YKUVQUYNUYJUWJRUYNUYJUVQUWJUYNUYJUVQUWJUYJUVQNZUWJUYNMUWFKJZMBKJZMUWEKJZI
      JZLZUVQUYJUYTUYJUVQUWEGHZUYTUWESHZUYJVUAUAVPZUWESVQVSZUVQVUANZUYPMUYSVUEU
      WFGHZUYPMLBUWEUPZUWFVTQVUEUYSMMIJZMUVQVUAUYQMUYRMIBVTUWEVTWAMGHVUHMLWBMUG
      WJWCUTURWDUYNUWGUYPUWIUYSAMUWFKUMUYNUWAUYQUWHUYRIAMBKUMAMUWEKUMWEUEVLWFVR
      WGWHUXGMAHZUYMUYJUXGVUIUYLUYJUXGVUIUYKUWJUYJUXGNZVUIUYKNZNZDUWFADUCZKJZWI
      ZEUWHUWAEUCZIJZWIZUWGUWIVULVUOVURVULVUNVUQTZEUWHWKZDUWFVOVUOVURTVULVUTDUW
      FVULVUMUWFHZNVUMBHZFUCZUWEHZBVVCIJZVUMLZNZFGWKZWLZVUTVUJVVAVVIVUKUYJUVQVV
      AVVIUVPUYJVUAUVQVVAVVIVUDVUAUVQNZVVANZVVBVVHVVKVVBWMZVVFFGWKZVVHVVKUVQVUM
      GHZVVLVVMXBVUAUVQVVAWNVVJVUFVVAVVNUVQVUAVUFVUGWDUWFVUMWOWPUVQVVNNBVUMTVVL
      VVMBVUMWQFBVUMWRWSWTVVKVVFVVGFGVVJVVAVVCGHZVVFVVGRRVVAVVOVVFVVJVVGVVAVVOV
      VFVVJVVGVVOVVFNVVJNVVAVVGVVOVVJVVFVVAVVGXBVVOVVJNZVVFNVVDVVAVVGVVPVVDVVEU
      WFHZVVFVVAVVOVUAUVQVVDVVQXBVVCUWEBXAXCVVEVUMUWFXDXEVVFVVDVVGXBVVPVVFVVDXM
      UJWSXFXGXHVHWGXIXJXKXLXNXOVULVVIVUTRVVAVULVVBVUTVVHVUJVUIVVBVUTRUYKVUJVUI
      NZVVBMUWHHZVUNUXLTZNVUTVVRVVBVVSVVTUYJUVPVUIVVBVVSRUVQUYJUVPNZVUINZVVSVVB
      UYJUVPVUIVVSUVPUYJVUIVVSRUVPUYJVUIUYJVVSUVPUYJVUIUYJVVSUYJUVPVUAVUIUYJNVV
      SRVUDUYJUVPVUANZVUIMUWEHZVVSUWEXPVWCVVSVUIVWDNAUWEXQXRXSURVEVHVGXTYCYAUXG
      VUIVVBVVTRUYJUXGVUINVVBVUNUWAHZVVTUVQUVPVUIVVBVWERVUMBAYDYBUXGVWEVVTRZVUI
      UXGUXMVWFUXNUXMVWEVUNUWATVVTUWAVUNYEUXMUXLUWAVUNUXOYFYGQUIYHYIYJVUSVVTEMU
      WHVUPMLVUQUXLVUNVUPMUWAIOYFYNYKYLUYJUVPVUKVVHVUTRUVQVWAVUKNZVVGVUTFGVWGVV
      GAVVCKJZUWHHZVUNUWAVWHIJZTZNVUTVWGVVGVWIVWKVWAVUIVVGVWIRUYKVWBVVDVWIVVFUY
      JVUAUVPVUIVVDVWIRVUDVVCUWEAYDXLUUAYLUYKVVGVWKRZVWAVUIUYKVVDAVVEKJZVWJLZRZ
      VWLUWTVWNUBVVCUWEUWOVVCLZUWQVWMUWSVWJVWPUWPVVEAKUWOVVCBIOPVWPUWRVWHUWAIUW
      OVVCAKOPUEZUUBVWOVVDVVFVWKVWNVVFVWKRVVDVWNVVFVWJVUNLZVWKVVFVWMVUNLVWNVWRV
      VEVUMAKOVWMVWJVUNUUOUUCVUNVWJUUEYKUUFVMQUUDYJVUSVWKEVWHUWHVUPVWHLVUQVWJVU
      NVUPVWHUWAIOYFYNYKUUGYAUUHUIYOYMDEUWFUWHVUNVUQYPQVUJUYKVURVUOTZVUIVUJUYKN
      ZVUQVUNTZDUWFWKZEUWHVOVWSVWTVXBEUWHVWTVUPUWHHZNVUPVWHHZFUWEWKZVXBVUJVXCVX
      EUYKUYJUVPVXCVXEUVQVWAVXCVXEUVPUYJVXCVXERZUVPVUBUYJVXFVUCUVPVUBUYJNZNZVXC
      VXEFAUWEVUPSUUIUVEYQWDWGYAXOVWTVXEVXBRVXCVWTVXDVXBFUWEVWTVVDNZVXDVVQVUQVW
      MTZNVXBVXIVXDVVQVXJVUJVVDVXDVVQRUYKVUJVVDNZVVQVXDUYJUVQVVDVVQUVPUYOVVDVVQ
      UYJVUAUVQVVDVVQRVUDVVCUWEBYRWPWGXNYCXOVXIVXDVUQVWMHZVXJVXIVXDVUQVWJHZVXLV
      UJVVDVXDVXMRZUYKUYJVVDUXGVXNUYJVVDNZVVOUXGVXNUYJUWEUUJVVDVVOUWEUUKUWEVVCU
      ULWPZVVOUXGNVWHGHZUXMVXNVVOUVPVXQUVQUVPVVOVXQAVVCUFWDYLUXGUXMVVOUXNUJVUPV
      WHUWAYRWTWPXFXOUYKVVDVXLVXMXBVUJUYKVVDNVWMVWJVUQUWTVWNUBVVCUWEVWQUUMUUNYI
      YGVUJVVDVXLVXJRZUYKVXKVWMGHZVXRUYJVVDUXGVXSVXOVVOUXGVXSVXPUVPVVOUVQVXSVVO
      UVQNUVPVVEGHZVXSUVQVVOVXTBVVCUPWDAVVEUFURYSWPXFVWMVUQYEQXOYHYJVXAVXJDVVEU
      WFVUMVVELVUNVWMVUQVUMVVEAKOYFYNYKUUPUIYOYMEDUWHUWFVUQVUNYPQUUQUURVUJUWGVU
      OLZVUKVUJUVPUWFVNZNZVYAUVPUYJUVQVYCUYOVYBUVPUVQUYJVYBUVQVUBUYJVYBVUCBUWES
      UUSYQWDUVFYSUVPUWFSHVYBVYABUWEIYTDAUWFSUUTYQQUIVUJVUIUWIVURLZUYKVVRUXMUWH
      SHZUWHVNZNVYDUXGUXMUYJVUIUXNUVAVVRVYFVYEUYJUVPVUIVYFUVQVWAVXHVUIVYFUYJVXG
      UVPUYJVUBVUCUVBUVCAUWESUVDWPYAAUWEKYTUVGEUWAUWHSUVHWTYLUVIUVJUVKWGUVLUVMU
      VNUVOVJ $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x C $.
    $( Multiplication of ordinal numbers is associative.  Theorem 8.26 of
       [TakeutiZaring] p. 65.  (Contributed by NM, 28-Dec-2004.) $)
    omass $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
                 ( ( A .o B ) .o C ) = ( A .o ( B .o C ) ) ) $=
      ( vy vz con0 wcel comu co wceq c0 wa oveq2 oveq2d eqeq12d sylan9eqr sylan
      wi cvv wss vx csuc omcl om0 syl eqtr4d w3a coa oveq1 omsuc stoic3 3adant1
      cv odi syl3an2 3exp expd com34 pm2.43d 3imp eqtrd syl5ibr com3r impd wlim
      wral ciun ancoms vex omlim mpanr1 an32s ad2antrr iuneq2 wrex limelon mpan
      anim1i omordi ssid sseq2d rspcev mpan2 syl6 ralrimiv iunss2 sylan2 onelon
      adantlr omordlim ex ad2antlr 3ad2ant2 omwordi syld syl5 exp4d imp32 com23
      onelss reximdvai exp31 imp4c mpcom ralrimiva adantr eqssd omlimcl mpanlr1
      imp ovex wn wb word eloni ord0eln0 necon2bbid oveq1d om0r anassrs adantll
      sylan9eq sylbird a1dd pm2.61d com3l tfinds3 ) AFGZBFGZCFGZABHIZCHIZABCHIZ
      HIZJZYJYHYIYOYJYHYIYOYKUAUMZHIZABYPHIZHIZJZYKKHIZABKHIZHIZJYKDUMZHIZABUUD
      HIZHIZJZYKUUDUBZHIZABUUIHIZHIZJZYOYHYILZUADCYPKJZYQUUAYSUUCYPKYKHMUUOYRUU
      BAHYPKBHMNOYPUUDJZYQUUEYSUUGYPUUDYKHMUUPYRUUFAHYPUUDBHMNOYPUUIJZYQUUJYSUU
      LYPUUIYKHMUUQYRUUKAHYPUUIBHMNOYPCJZYQYLYSYNYPCYKHMUURYRYMAHYPCBHMNOUUNUUA
      KUUCUUNYKFGZUUAKJABUCZYKUDUEYIYHUUCAKHIZKYIUUBKAHBUDNAUDZPUFUUDFGZYHYIUUH
      UUMRZYHYIUVCUVDYHYIUVCUVDUUHUUMYHYIUVCUGZUUEYKUHIZUUGYKUHIZJUUEUUGYKUHUIU
      VEUUJUVFUULUVGYHYIUUSUVCUUJUVFJUUTYKUUDUJUKUVEUULAUUFBUHIZHIZUVGUVEUUKUVH
      AHYIUVCUUKUVHJYHBUUDUJULNYHYIUVCUVIUVGJZYHYIUVCUVJRYHYIUVCYIUVJYHYIUVCYIU
      VJRYHYIUVCLZYIUVJUVKYHUUFFGZYIUVJBUUDUCZAUUFBUNUOUPUQURUSUTVAOVBUPVCVDYPV
      EZYHYIUUHDYPVFZYTRZYIUVNYHUVPYIUVNYHUVPYIUVNLZYHLZKBGZUVPUVRUVSUVOYTUVRUV
      SLZUVOLYQDYPUUEVGZYSUVRYQUWAJZUVSUVOYIYHUVNUWBYIYHLUUSUVNUWBYHYIUUSUUTVHU
      USYPSGZUVNUWBUAVIZDYKYPSVJVKQVLVMUVOUVTUWADYPUUGVGZYSDYPUUEUUGVNUVTUWEEYR
      AEUMZHIZVGZYSUVTUWEUWHUVQUVSUWEUWHTZYHUVQUVSLZUUGUWGTZEYRVOZDYPVFUWIUWJUW
      LDYPUWJUUDYPGZUUFYRGZUWLUVQYPFGZYILZUVSUWMUWNRUVNYIUWPUVNUWOYIUWCUVNUWOUW
      DYPSVPVQZVRVHUUDYPBVSQUWNUUGUUGTZUWLUUGVTUWKUWREUUFYRUWFUUFJUWGUUGUUGUWFU
      UFAHMWAWBWCWDWEDEYPYRUUGUWGWFUEWIUVRUWHUWETZUVSUVRUWGUUGTZDYPVOZEYRVFUWSU
      VRUXAEYRUWFFGZUVRUWFYRGZLUXAUVQUXCUXBYHUVQYRFGZUXCUXBUVNYIUWOUXDUWQBYPUCW
      GYRUWFWHQWIUXBUVQYHUXCUXAUXBUVQYHUXCUXARUXBUVQLZYHLZUXCUWFUUFGZDYPVOZUXAU
      VQUXCUXHRZUXBYHYIUWCUVNUXIUWDYIUWCUVNLLUXCUXHDBYPUWFSWJWKVKWLUXFUXGUWTDYP
      UXEYHUWMUXGUWTRZRUXEUWMYHUXJUXBYIUVNUWMYHUXJRZRUXBYIUVNUWMUXKYIUVNUWMLZLU
      VLUXBUXKUXLYIUVCUVLUVNUWOUWMUVCUWQYPUUDWHQUVMWGUXBUVLYHUXJUXBUVLYHUGUXGUW
      FUUFTZUWTUVLUXBUXGUXMRYHUUFUWFWTWMUWFUUFAWNWOUPWPWQWRWSXJXAWOXBXCXDXEEDYR
      YPUWGUUGWFUEXFXGUVQUVSYHYSUWHJZYHUWJUXNUWJYHYRVEZUXNYIUWCUVNUVSUXOUWDBYPS
      XHXIYHYRSGUXOUXNBYPHXKEAYRSVJVKWGVHVLUFPVAXBUVRUVSXLZYTUVOUVRUXPBKJZYTYIU
      XQUXPXMZUVNYHYIBXNZUXRBXOUXSUVSBKBXPXQUEVMUVNYHUXQYTRZYIUVNUWOYHUXTUWQUWO
      YHLZUXQYTUYAUXQLYQKYSUWOYHUXQYQKJYHUXQLZUWOYQKYPHIZKUYBYKKYPHUXQYHYKUVAKB
      KAHMUVBPXRYPXSZPXTUWOUXQYHYSKJUWOUXQLZYHYSUVAKUYEYRKAHUXQUWOYRUYCKBKYPHUI
      UYDPNUVBYBVLUFWKQYAYCYDYEXBYFVDYGUQYFUT $.
  $}

  $( If an ordinal number is even, its successor is odd.  (Contributed by NM,
     26-Jan-2006.) $)
  oneo $p |- ( ( A e. On /\ B e. On /\ C = ( 2o .o A ) ) ->
              -. suc C = ( 2o .o B ) ) $=
    ( con0 wcel c2o comu co wceq csuc wa wb sucid mpbii 2on mp3an3 c1o coa mpan
    omord wn onnbtwn 3ad2ant1 suceq eqeq1d 3ad2ant3 wi ovex eleq2 simpl syl6bir
    w3a syl5 simpr omcl oa1suc syl 1oex df-2o eleqtrri 1on oaord mp3an12i omsuc
    eleqtrrd eqeltrrd ad2antrr suceloni sylan2 ancoms adantr mpbird simpld jcad
    c0 ex 3adant3 sylbid mtod ) ADEZBDEZCFAGHZIZULZCJZFBGHZIZABEZBAJZEZKZVTWAWK
    UAWCABUBUCWDWGWBJZWFIZWKWCVTWGWMLWAWCWEWLWFCWBUDUEUFVTWAWMWKUGWCVTWAKZWMWHW
    JWMWBWFEZWNWHWMWBWLEWOWBFAGUHMWLWFWBUINWNWOWHVOFEZKZWHVTWAFDEZWQWOLOABFTPWH
    WPUJUKUMWNWMWJWNWMKZWJWPWSWJWPKZWFFWIGHZEZWSWLWFXAWNWMUNVTWLXAEWAWMVTWBQRHZ
    WLXAVTWBDEZXCWLIWRVTXDOFAUOSZWBUPUQVTXCWBFRHZXAVTQFEZXCXFEZQQJFQURMUSUTQDEW
    RVTXDXGXHLVAOXEQFWBVBVCNWRVTXAXFIOFAVDSVEVFVGVFWNWTXBLZWMWAVTXIVTWAWIDEZXIA
    VHWAXJWRXIOBWIFTPVIVJVKVLVMVPVNVQVRVS $.

  ${
    $d A w x z $.  $d A x y z $.  $d B w x z $.  $d B x y z $.
    $( Lemma for ~ omeu : existence part.  (Contributed by Mario Carneiro,
       28-Feb-2013.) $)
    omeulem1 $p |- ( ( A e. On /\ B e. On /\ A =/= (/) ) ->
      E. x e. On E. y e. A ( ( A .o x ) +o y ) = B ) $=
      ( vz vw con0 wcel c0 w3a cv csuc comu co wrex wceq eleq2d syl2anc wa wi
      wne coa simp2 sucelon sylib simp1 on0eln0 biimpar 3adant2 syl21anc sucidg
      wss omword2 ssel syl5 sylc suceq oveq2d rspcev wral weq onminex wlim word
      wn w3o vex elon ordzsl bitri oveq2 om0 sylan9eqr ne0i necon2bi syl ex a1d
      3ad2ant1 imp simp3 raleq sucid notbid rspcv ax-mp syl6bi 3expia rexlimdvw
      ralnex ciun cvv simpr a1i simpl omlim syl12anc eliun limord sylibr onelon
      wel suceloni sssucid omwordi syl3anc sseld reximdvai syl5bi con3d expimpd
      mpi sylbid com12 3ad2antl1 3jaod impr wb simpl1 simprr omcl simpl2 ontri1
      mpbird oawordex mpbid 3adantr1 simp3r simp21 simp11 omsuc eleqtrd eqeltrd
      simp23 simp3l oaord jca reximdv2 mpd expcom com13 ) CGHZDGHZCIUAZJZDCAKZL
      ZMNZHZAGOZCUUFMNZBKZUBNZDPZBCOZAGOZUUEUUCDCDLZMNZHZUUJUUBUUCUUDUCZUUEUUQU
      URULZUUCUUSUUEUUQGHZUUBICHZUVAUUEUUCUVBUUTDUDUEUUBUUCUUDUFUUBUUDUVCUUCUUB
      UVCUUDCUGUHUIUUQCUMUJUUTUUCDUUQHUVAUUSDGUKUUQUURDUNUOUPUUIUUSADGUUFDPZUUH
      UURDUVDUUGUUQCMUUFDUQURQUSRUUJUUIDCEKZLZMNZHZVEZEUUFUTZSZAGOUUEUUPUUIUVHA
      EAEVAZUUHUVGDUVLUUGUVFCMUUFUVEUQURQVBUUEUVKUUOAGUVKUUFGHZUUEUUOUUIUVJUVMU
      UEUUOTUUEUUIUVJUVMJZUUOUUEUVNSZUUNBGOZUUOUUEUVJUVMUVPUUIUUEUVJUVMSZSZUUKD
      ULZUVPUVRUVSDUUKHZVEZUUEUVJUVMUWAUVMUUFIPZUUFFKZLZPZFGOZUUFVCZVFZUUEUVJSZ
      UWAUVMUUFVDZUWHUUFAVGZVHZFUUFVIVJUWIUWBUWAUWFUWGUUEUVJUWBUWATZUUBUUCUVJUW
      MTUUDUUBUWMUVJUUBUWBUWAUUBUWBSUUKIPUWAUWBUUBUUKCIMNIUUFICMVKCVLVMUVTUUKIU
      UKDVNVOVPVQVRVSVTUWIUWEUWAFGUUEUVJUWEUWAUUEUVJUWEJZUWEDCUWDMNZHZVEZUWAUUE
      UVJUWEWAZUWNUWEUVJUWQUWRUUEUVJUWEUCUWEUVJUVIEUWDUTZUWQUVIEUUFUWDWBUWCUWDH
      UWSUWQTUWCFVGWCUVIUWQEUWCUWDEFVAZUVHUWPUWTUVGUWODUWTUVFUWDCMUVEUWCUQURQWD
      WEWFWGUPUWEUWAUWQUWEUVTUWPUWEUUKUWODUUFUWDCMVKQWDUHRWHWIUUBUUCUVJUWGUWATU
      UDUWGUUBUVJSUWAUWGUUBUVJUWAUVJUVHEUUFOZVEUWGUUBSZUWAUVHEUUFWJUXBUVTUXAUXB
      UVTDEUUFCUVEMNZWKZHZUXAUXBUUKUXDDUXBUUBUUFWLHZUWGUUKUXDPUWGUUBWMUXFUXBUWK
      WNUWGUUBWOECUUFWLWPWQQUXEDUXCHZEUUFOUXBUXAEDUUFUXCWRUXBUXGUVHEUUFUWGUUBEA
      XBZUXGUVHTUWGUUBUXHJZUXCUVGDUXIUVEGHZUVFGHZUUBUXCUVGULZUXIUVMUXHUXJUXIUWJ
      UVMUWGUUBUWJUXHUUFWSVSUWLWTUWGUUBUXHWAUUFUVEXARZUXIUXJUXKUXMUVEXCVPUWGUUB
      UXHUCUXJUXKUUBJUVEUVFULUXLUVEXDUVEUVFCXEXLXFXGWHXHXIXMXJXIXKXNXOXPXIXQUVR
      UUKGHZUUCUVSUWAXRUVRUUBUVMUXNUUBUUCUUDUVQXSUUEUVJUVMXTCUUFYAZRZUUBUUCUUDU
      VQYBZUUKDYCRYDUVRUXNUUCUVSUVPXRUXPUXQBUUKDYERYFYGUVOUUNUUNBGCUUEUVNUULGHZ
      UUNSZUULCHZUUNSUUEUVNUXSJZUXTUUNUYAUXTUUMUUKCUBNZHZUYAUUMDUYBUUEUVNUXRUUN
      YHZUYADUUHUYBUUEUUIUVJUVMUXSYIUYAUUBUVMUUHUYBPUUBUUCUUDUVNUXSYJZUUEUUIUVJ
      UVMUXSYNZCUUFYKRYLYMUYAUXRUUBUXNUXTUYCXRUUEUVNUXRUUNYOUYEUYAUUBUVMUXNUYEU
      YFUXORUULCUUKYPXFYDUYDYQWHYRYSYTWHUUAXHUOYS $.
  $}

  $( Lemma for ~ omeu : uniqueness part.  (Contributed by Mario Carneiro,
     28-Feb-2013.)  (Revised by Mario Carneiro, 29-May-2015.) $)
  omeulem2 $p |- ( ( ( A e. On /\ A =/= (/) ) /\
      ( B e. On /\ C e. A ) /\ ( D e. On /\ E e. A ) ) ->
    ( ( B e. D \/ ( B = D /\ C e. E ) ) ->
      ( ( A .o B ) +o C ) e. ( ( A .o D ) +o E ) ) ) $=
    ( con0 wcel c0 wa w3a comu co coa wceq wss wi wb syl syl31anc syl2anc eloni
    csuc word simp3l ordsucss 3syl simp2l suceloni simp1l simp1r on0eln0 mpbird
    wne omword sylibd omcl simp3r onelon oaword1 sstr expcom syld simp2r biimpa
    oaord omsuc eleqtrrd syl6ci simpr syl5ib oveq2 oveq1d adantr eleq2d syl3anc
    ssel mpbidi jaod ) AFGZAHUMZIZBFGZCAGZIZDFGZEAGZIZJZBDGZABKLZCMLZADKLZEMLZG
    ZBDNZCEGZIZWHWIABUBZKLZWMOZWKWSGWNWHWIWSWLOZWTWHWIWRDOZXAWHWEDUCWIXBPWAWDWE
    WFUDZDUABDUEUFWHWRFGZWEVSHAGZXBXAQWHWBXDWAWBWCWGUGZBUHRXCVSVTWDWGUIZWHXEVTV
    SVTWDWGUJWHVSXEVTQXGAUKRULWRDAUNSUOWHWLFGZEFGZXAWTPZWHVSWEXHXGXCADUPTWHVSWF
    XIXGWAWDWEWFUQAEURTZXHXIIWLWMOZXJWLEUSXAXLWTWSWLWMUTVARTVBWHWKWJAMLZWSWHCFG
    ZVSWJFGZWCWKXMGZWHVSWCXNXGWAWBWCWGVCZACURTZXGWHVSWBXOXGXFABUPTZXQXNVSXOJWCX
    PCAWJVEVDSWHVSWBWSXMNXGXFABVFTVGWSWMWKVPVHWHXNXIXOWQWNPXRXKXSWQWKWJEMLZGZWN
    XNXIXOJZWQWPYBYAWOWPVICEWJVEVJWQXTWMWKWOXTWMNWPWOWJWLEMBDAKVKVLVMVNVQVOVR
    $.

  $( An ordered pair-like theorem for ordinal multiplication.  (Contributed by
     Mario Carneiro, 29-May-2015.) $)
  omopth2 $p |- ( ( ( A e. On /\ A =/= (/) ) /\
      ( B e. On /\ C e. A ) /\ ( D e. On /\ E e. A ) ) ->
    ( ( ( A .o B ) +o C ) = ( ( A .o D ) +o E ) <-> ( B = D /\ C = E ) ) ) $=
    ( con0 wcel wa comu coa wceq w3o word eloni syl syl2anc syl5 mtod pm2.21d
    co wne w3a simpl2l simpl3l ordtri3or simpr simpl1l omcl simpl3r onelon oacl
    c0 wn ordirr 3syl eqneltrd wo orc omeulem2 adantr neleqtrrd simpl1r simpl2r
    wi idd syl222anc 3jaod mpd olc mpand eqcomd jca ex oveq2 oveqan12d impbid1
    id ) AFGZAULUAZHZBFGZCAGZHZDFGZEAGZHZUBZABITZCJTZADITZEJTZKZBDKZCEKZHZWGWLW
    OWGWLHZWMWNWPBDGZWMDBGZLZWMWPBMZDMZWSWPWAWTWAWBVTWFWLUCZBNOWPWDXAWDWEVTWCWL
    UDZDNOBDUEPWPWQWMWMWRWPWQWMWPWQWIWKGZWPWIWKWKWGWLUFZWPWKFGZWKMWKWKGUMWPWJFG
    ZEFGZXFWPVRWDXGVRVSWCWFWLUGZXCADUHPWPVRWEXHXIWDWEVTWCWLUIZAEUJZPWJEUKPWKNWK
    UNUOZUPZWQWQWMCEGZHZUQZWPXDWQXOURWGXPXDVDWLABCDEUSUTZQRSWPWMVEWPWRWMWPWRWKW
    IGZWPWIWKWKXLXEVAZWRWRDBKZECGZHZUQZWPXRWRYBURWPVRVSWDWEWAWBYCXRVDXIVRVSWCWF
    WLVBXCXJXBWAWBVTWFWLVCZADEBCUSVFZQRSVGVHZWPXNWNYALZWNWPCMZEMZYGWPVRWBYHXIYD
    VRWBHCFGYHACUJCNOPWPVRWEYIXIXJVRWEHXHYIXKENOPCEUEPWPXNWNWNYAWPXNWNWPXNXDXMW
    PWMXNXDYFXOXPWPXDXOWQVIXQQVJRSWPWNVEWPYAWNWPYAXRXSWPXTYAXRWPBDYFVKYBYCWPXRY
    BWRVIYEQVJRSVGVHVLVMWMWNWHWJCEJBDAIVNWNVQVOVP $.

  ${
    $d A r s t x y z $.  $d B r s t x y z $.
    $( The division algorithm for ordinal multiplication.  (Contributed by
       Mario Carneiro, 28-Feb-2013.) $)
    omeu $p |- ( ( A e. On /\ B e. On /\ A =/= (/) ) ->
        E! z E. x e. On E. y e. A
          ( z = <. x , y >. /\ ( ( A .o x ) +o y ) = B ) ) $=
      ( vt vr vs con0 wcel cv cop wceq comu co coa wa wrex wex wi omeulem1 opex
      wne w3a wal weu isseti 19.41v mpbiran rexbii rexcom4 bitr3i bitri simp2rl
      c0 sylib simp3rl simp2rr simp3rr eqtr4d wb simp11 simp2ll simp2lr simp3ll
      simp13 simp3lr omopth2 syl222anc mpbid opeq12 3expia exp4b expd rexlimdvv
      syl imp expimpd alrimivv opeq1 eqeq2d oveq2 oveq1d eqeq1d opeq2 cbvrex2vw
      anbi12d eqeq1 anbi1d 2rexbidv syl5bb eu4 sylanbrc ) DIJZEIJZDUOUCZUDZCKZA
      KZBKZLZMZDWSNOZWTPOZEMZQZBDRZAIRZCSZXHFKZGKZHKZLZMZDXKNOZXLPOZEMZQZHDRGIR
      ZQWRXJMZTZFUECUEXHCUFWQXEBDRZAIRZXIABDEUAYCXGCSZAIRXIYBYDAIYBXFCSZBDRYDYE
      XEBDYEXBCSXECXAWSWTUBUGXBXECUHUIUJXFBCDUKULUJXGACIUKUMUPWQYACFWQXHXSXTWQX
      HQXRXTGHIDWQXHXKIJZXLDJZQZXRXTTTZWQXFYIABIDWQWSIJZWTDJZQZXFYIWQYLXFQZYHXR
      XTWQYMYHXRQZXTWQYMYNUDZWRXAXJXBXEYLWQYNUNYOXJXMXAXNXQYHWQYMUQYOWSXKMZWTXL
      MZQZXAXMMYOXDXPMZYRYOXDEXPXBXEYLWQYNURXNXQYHWQYMUSUTYOWNWPYJYKYFYGYSYRVAW
      NWOWPYMYNVBWNWOWPYMYNVFYJYKXFWQYNVCYJYKXFWQYNVDYFYGXRWQYMVEYFYGXRWQYMVGDW
      SWTXKXLVHVIVJWSWTXKXLVKVPUTUTVLVMVNVOVQVOVRVSXHXSCFXHWRXMMZXQQZHDRGIRXTXS
      XFUUAWRXKWTLZMZXOWTPOZEMZQABGHIDYPXBUUCXEUUEYPXAUUBWRWSXKWTVTWAYPXDUUDEYP
      XCXOWTPWSXKDNWBWCWDWGYQUUCYTUUEXQYQUUBXMWRWTXLXKWEWAYQUUDXPEWTXLXOPWBWDWG
      WFXTUUAXRGHIDXTYTXNXQWRXJXMWHWIWJWKWLWM $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Ordinal exponentiation with a nonzero base is nonzero.  Proposition 8.32
       of [TakeutiZaring] p. 67.  (Contributed by NM, 4-Jan-2005.) $)
    oen0 $p |- ( ( ( A e. On /\ B e. On ) /\ (/) e. A ) ->
               (/) e. ( A ^o B ) ) $=
      ( vx vy con0 wcel c0 coe co wi cv wa wceq oveq2 eleq2d c1o adantr wss cvv
      wb csuc oe0 eleqtrrid comu oecl omordi om0 eleq1d ad2antlr sylibd syldanl
      0lt1o oesuc sylibrd exp31 com12 com34 impd wlim wral ciun wrex 0ellim syl
      eqimss2 sseq2d rspcev syl2an ssiun adantrr vex oelim mpanlr1 anasss an12s
      sseqtrrd word limelon mpan ancoms sylan eloni ordgt0ge1 mpbird ex tfinds3
      3syl a1dd expd imp31 ) AEFZBEFZGAFZGABHIZFZWLWKWMWOJWLWKWMWOGACKZHIZFZGAG
      HIZFZGADKZHIZFZGAXAUAZHIZFZWOWKWMLZCDBWPGMWQWSGWPGAHNOWPXAMWQXBGWPXAAHNOW
      PXDMWQXEGWPXDAHNOWPBMWQWNGWPBAHNOWKWTWMWKGPWSULAUBZUCQXAEFZWKWMXCXFJXIWKX
      CWMXFWKXIXCWMXFJZJWKXIXCXJWKXILZXCLWMGXBAUDIZFZXFWKXIXBEFZXCWMXMJAXAUEWKX
      NLXCLWMXBGUDIZXLFZXMGAXBUFXNXPXMTWKXCXNXOGXLXBUGUHUIUJUKXKXFXMTXCXKXEXLGA
      XAUMOQUNUOUPUQURWPUSZXGWRXCDWPUTXQXGWRXQXGLZWRPWQRZXRPDWPXBVAZWQXQWKPXTRZ
      WMXQWKLZPXBRZDWPVBZYAXQGWPFPWSRZYDWKWPVCWKWSPMYEXHPWSVEVDYCYEDGWPXAGMXBWS
      PXAGAHNVFVGVHDWPXBPVIVDVJWKXQWMWQXTMZWKXQWMYFWKWPSFZXQWMYFCVKZDAWPSVLVMVN
      VOVPXQWKWRXSTZWMYBWQEFZWQVQYIXQWPEFZWKYJYGXQYKYHWPSVRVSWKYKYJAWPUEVTWAWQW
      BWQWCWGVJWDWEWHWFWIUPWJ $.
  $}

  ${
    $d x y A $.  $d x B $.  $d x y C $.
    $( Ordering law for ordinal exponentiation.  Proposition 8.33 of
       [TakeutiZaring] p. 67.  (Contributed by NM, 5-Jan-2005.)  (Revised by
       Mario Carneiro, 24-May-2015.) $)
    oeordi $p |- ( ( B e. On /\ C e. ( On \ 2o ) ) ->
                 ( A e. B -> ( C ^o A ) e. ( C ^o B ) ) ) $=
      ( vy con0 wcel coe co wi wceq oveq2 eleq2d imbi2d wa comu adantr syl21anc
      c1o syl cvv vx c2o cdif cv csuc eldifi oecl sylan ondif2 simprbi c0 simpr
      om1 dif20el oen0 omordi mpd eqeltrrd oesuc eleqtrrd expcom suceloni ontr1
      syl2an mpan2d a2d wral wlim bi2.04 ralbii r19.21v ciun limsuc biimpa elex
      bitri sucexb sucidg sylbir eleq2 imbi12d rspcv anc2li eliuni adantl simpl
      mpid syl6 vex oelim mpanlr1 adantlr sylibrd ex syl5bi tfindsg2 impancom )
      BEFABFCEUBUCFZCAGHZCBGHZFZWRWSCUAUDZGHZFZIZWRWSCAUEZGHZFZIWRWSCDUDZGHZFZI
      ZWRWSCXIUEZGHZFZIWRXAIUADBAXBXFJZXDXHWRXPXCXGWSXBXFCGKLMXBXIJZXDXKWRXQXCX
      JWSXBXICGKLMXBXMJZXDXOWRXRXCXNWSXBXMCGKLMXBBJZXDXAWRXSXCWTWSXBBCGKLMWRAEF
      ZXHWRXTNZWSWSCOHZXGYAWSROHZWSYBYAWSEFZYCWSJWRCEFZXTYDCEUBUFZCAUGUHZWSUMSY
      ARCFZYCYBFZWRYHXTWRYEYHCUIUJZPYAYEYDUKWSFZYHYIIWRYEXTYFPZYGYAYEXTUKCFZYKY
      LWRXTULWRYMXTCUNZPCAUOQRCWSUPQUQURWRYEXTXGYBJYFCAUSUHUTVAXIEFZAXIFZNWRXKX
      OYOWRXKXOIZIYPWRYOYQWRYONZXKXJXNFZXOYRXJXJCOHZXNYRXJROHZXJYTYRXJEFZUUAXJJ
      WRYEYOUUBYFCXIUGUHZXJUMSYRYHUUAYTFZWRYHYOYJPYRYEUUBUKXJFZYHUUDIWRYEYOYFPZ
      UUCYRYEYOYMUUEUUFWRYOULWRYMYOYNPCXIUOQRCXJUPQUQURWRYEYOXNYTJYFCXIUSUHUTYR
      XNEFZXKYSNXOIWRYEXMEFUUGYOYFXIVBCXMUGVDWSXJXNVCSVEVAPVFYPXLIZDXBVGZWRYPXK
      IZDXBVGZIZXBVHZAXBFZNZXEUUIWRUUJIZDXBVGUULUUHUUPDXBYPWRXKVIVJWRUUJDXBVKVP
      UUOWRUUKXDUUOWRUUKXDIUUOWRNZUUKWSDXBXJVLZFZXDUUOUUKUUSIZWRUUOXFXBFZUUTUUM
      UUNUVAXBAVMVNUVAUUKUVAXHNUUSUVAUUKXHUVAUUKAXFFZXHUVAXFTFZUVBXFXBVOUVCATFU
      VBAVQATVRVSSUUJUVBXHIDXFXBXIXFJZYPUVBXKXHXIXFAVTUVDXJXGWSXIXFCGKZLWAWBWGW
      CDXFXJXGXBWSUVEWDWHSPUUQXCUURWSUUMWRXCUURJZUUNUUMWRNYEUUMYMUVFWRYEUUMYFWE
      UUMWRWFWRYMUUMYNWEYEXBTFUUMYMUVFUAWIDCXBTWJWKQWLLWMWNVFWOWPWQ $.
  $}

  $( Ordering property of ordinal exponentiation.  Corollary 8.34 of
     [TakeutiZaring] p. 68 and its converse.  (Contributed by NM, 6-Jan-2005.)
     (Revised by Mario Carneiro, 24-May-2015.) $)
  oeord $p |- ( ( A e. On /\ B e. On /\ C e. ( On \ 2o ) ) ->
               ( A e. B <-> ( C ^o A ) e. ( C ^o B ) ) ) $=
    ( con0 wcel c2o coe co wi oeordi wceq wo wn oecl syl2anc word eloni ordtri2
    wb syl2an w3a 3adant1 oveq2 a1i 3adant2 orim12d con3d eldifi 3ad2ant3 simp1
    cdif simp2 3adant3 3imtr4d impbid ) ADEZBDEZCDFUKEZUAZABEZCAGHZCBGHZEZUQURU
    TVCIUPABCJUBUSVAVBKZVBVAEZLZMZABKZBAEZLZMZVCUTUSVJVFUSVHVDVIVEVHVDIUSABCGUC
    UDUPURVIVEIUQBACJUEUFUGUSVADEZVBDEZVCVGSZUSCDEZUPVLURUPVOUQCDFUHUIZUPUQURUJ
    CANOUSVOUQVMVPUPUQURULCBNOVLVAPVBPVNVMVAQVBQVAVBRTOUPUQUTVKSZURUPAPBPVQUQAQ
    BQABRTUMUNUO $.

  $( Left cancellation law for ordinal exponentiation.  (Contributed by NM,
     6-Jan-2005.)  (Revised by Mario Carneiro, 24-May-2015.) $)
  oecan $p |- ( ( A e. ( On \ 2o ) /\ B e. On /\ C e. On ) ->
                   ( ( A ^o B ) = ( A ^o C ) <-> B = C ) ) $=
    ( con0 c2o wcel co wceq wo wn wi oeordi ancoms wb oecl syl2anc word ordtri3
    coe eloni cdif w3a 3adant2 3adant3 con3d eldifi 3ad2ant1 simp2 simp3 syl2an
    orim12d 3adant1 3imtr4d oveq2 impbid1 ) ADEUAFZBDFZCDFZUBZABSGZACSGZHZBCHZU
    SUTVAFZVAUTFZIZJZBCFZCBFZIZJZVBVCUSVJVFUSVHVDVIVEUPURVHVDKZUQURUPVLBCALMUCU
    PUQVIVEKZURUQUPVMCBALMUDUKUEUSUTDFZVADFZVBVGNZUSADFZUQVNUPUQVQURADEUFUGZUPU
    QURUHABOPUSVQURVOVRUPUQURUIACOPVNUTQVAQVPVOUTTVATUTVARUJPUQURVCVKNZUPUQBQCQ
    VSURBTCTBCRUJULUMBCASUNUO $.

  $( Weak ordering property of ordinal exponentiation.  (Contributed by NM,
     6-Jan-2005.)  (Revised by Mario Carneiro, 24-May-2015.) $)
  oeword $p |- ( ( A e. On /\ B e. On /\ C e. ( On \ 2o ) ) ->
                   ( A C_ B <-> ( C ^o A ) C_ ( C ^o B ) ) ) $=
    ( con0 wcel c2o cdif w3a wceq wo coe co wss oeord oecan 3coml onsseleq oecl
    wb wa bicomd orbi12d 3adant3 eldifi id anim12dan syl syl2anr 3impa 3bitr4d
    ) ADEZBDEZCDFGEZHZABEZABIZJZCAKLZCBKLZEZURUSIZJZABMZURUSMZUNUOUTUPVAABCNUNV
    AUPUMUKULVAUPSCABOPUAUBUKULVCUQSUMABQUCUKULUMVDVBSZUMCDEZUKULTZVEVGCDFUDVGU
    EVFVGTURDEZUSDEZTVEVFUKVHULVICARCBRUFURUSQUGUHUIUJ $.

  $( Weak ordering property of ordinal exponentiation.  (Contributed by NM,
     6-Jan-2005.) $)
  oewordi $p |- ( ( ( A e. On /\ B e. On /\ C e. On ) /\ (/) e. C ) ->
                   ( A C_ B -> ( C ^o A ) C_ ( C ^o B ) ) ) $=
    ( con0 wcel w3a c0 wss coe co wi c1o wceq wo wb word syl wa oe1m oveq1 mpan
    eloni ordgt0ge1 1on onsseleq bitrd 3ad2ant3 c2o ondif2 oeword biimpd 3expia
    cdif syl5bir expd 3impia adantr adantl eqtr4d eqimss sseq12d syl5ibcom a1dd
    3adant3 jaod sylbid imp ) ADEZBDEZCDEZFZGCEZABHZCAIJZCBIJZHZKZVKVLLCEZLCMZN
    ZVQVJVHVLVTOVIVJVLLCHZVTVJCPVLWAOCUBCUCQLDEVJWAVTOUDLCUEUAUFUGVKVRVQVSVHVIV
    JVRVQKVHVIRZVJVRVQVJVRRCDUHUMEZWBVQCUIVHVIWCVQVHVIWCFVMVPABCUJUKULUNUOUPVKV
    SVPVMVHVIVSVPKVJWBLAIJZLBIJZHZVSVPWBWDWEMWFWBWDLWEVHWDLMVIASUQVIWELMVHBSURU
    SWDWEUTQVSWDVNWEVOLCAITLCBITVAVBVDVCVEVFVG $.

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Weak ordering property of ordinal exponentiation.  Proposition 8.35 of
       [TakeutiZaring] p. 68.  (Contributed by NM, 6-Jan-2005.) $)
    oewordri $p |- ( ( B e. On /\ C e. On ) ->
        ( A e. B -> ( A ^o C ) C_ ( B ^o C ) ) ) $=
      ( vx vy con0 wcel coe co wss wi c0 wceq oveq2 sseq12d c1o adantr imp cvv
      wa csuc onelon oe0 syl eqtr4d eqimss simpl onelss jca31 comu oecl 3adant2
      w3a 3adant1 simp1 omwordri syl3anc adantrl omwordi syld3an3 adantrr sstrd
      cv oesuc 3sstr4d exp520 com3r imp4c syl5 wlim wral vex limelon mpan oe0m1
      0ellim biimpa syl2anc 0ss eqsstrdi sseq1d syl5ibr adantl a1dd ciun ss2iun
      oveq1 oelim mpanlr1 an32s adantllr anim1i ne0i on0eln0 ad4ant24 ex oe0lem
      wne ancri syl11 tfinds3 expd impcom ) CFGZBFGZABGZACHIZBCHIZJZKXDXEXFXIAD
      VCZHIZBXJHIZJZALHIZBLHIZJZAEVCZHIZBXQHIZJZAXQUAZHIZBYAHIZJZXIXEXFTZDECXJL
      MXKXNXLXOXJLAHNXJLBHNOXJXQMXKXRXLXSXJXQAHNXJXQBHNOXJYAMXKYBXLYCXJYAAHNXJY
      ABHNOXJCMXKXGXLXHXJCAHNXJCBHNOYEXNXOMXPYEXNPXOYEAFGZXNPMBAUBZAUCUDXEXOPMX
      FBUCQUEXNXOUFUDYEYFXETABJZTXQFGZXTYDKZYEYFXEYHYGXEXFUGZXEXFYHBAUHRUIYIYFX
      EYHYJYFXEYIYHYJKYFXEYIYHXTYDYFXEYIUMZYHXTTZTZXRAUJIZXSBUJIZYBYCYNYOXSAUJI
      ZYPYLXTYOYQJZYHYLXTYRYLXRFGZXSFGZYFXTYRKYFYIYSXEAXQUKULXEYIYTYFBXQUKUNZYF
      XEYIUOXRXSAUPUQRURYLYHYQYPJZXTYLYHUUBYFXEYIYTYHUUBKUUAABXSUSUTRVAVBYLYBYO
      MZYMYFYIUUCXEAXQVDULQYLYCYPMZYMXEYIUUDYFBXQVDUNQVEVFVGVHVIYFYETZXJVJZXTEX
      JVKZXMKZYEYEUUFUUHKAYEALMZTUUFXMUUGUUIUUFXMKYEUUFXMUUILXJHIZXLJUUFUUJLXLU
      UFXJFGZLXJGZUUJLMZXJSGZUUFUUKDVLZXJSVMVNXJVPUUKUULUUMXJVOVQVRXLVSVTUUIXKU
      UJXLALXJHWGWAWBWCWDUUELAGZTZUUFUUHUUGXMUUQUUFTZEXJXRWEZEXJXSWEZJEXJXRXSWF
      UURXKUUSXLUUTYFUUPUUFXKUUSMZYEYFUUFUUPUVAYFUUNUUFUUPUVAUUOEAXJSWHWIWJWKYE
      UUFXLUUTMZYFUUPYEUUFTXEUUFTLBGZUVBYEXEUUFYKWLYEUVCUUFXEXFUVCXFUVCXEBLWRBA
      WMBWNWBRQXEUUNUUFUVCUVBUUOEBXJSWHWIVRWOOWBWPWQYEYFYGWSWTXAXBXC $.

    $( Ordinal exponentiation compared to its exponent.  Proposition 8.37 of
       [TakeutiZaring] p. 68.  (Contributed by NM, 7-Jan-2005.)  (Revised by
       Mario Carneiro, 24-May-2015.) $)
    oeworde $p |- ( ( A e. ( On \ 2o ) /\ B e. On ) -> B C_ ( A ^o B ) ) $=
      ( vx vy con0 wcel c2o coe co wss cv c0 csuc wceq id oveq2 sseq12d wa word
      eloni cdif 0ss a1i wi wb eldifi oecl sylan syl ordsucsssuc syl2an2 syl2an
      suceloni vex sucid oeordi mpi syl2anr ordsucss sylc syl5com sylbid expcom
      sstr2 wlim wral dif20el jca ciun ss2iun limuni uniiun eqtrdi adantr oelim
      cuni cvv mpanlr1 anasss an12s syl5ibr ex syl5 tfinds3 impcom ) BEFAEGUAFZ
      BABHIZJZCKZAWIHIZJZLALHIZJZDKZAWNHIZJZWNMZAWQHIZJZWHWFCDBWILNZWILWJWLWTOW
      ILAHPQWIWNNZWIWNWJWOXAOWIWNAHPQWIWQNZWIWQWJWRXBOWIWQAHPQWIBNZWIBWJWGXCOWI
      BAHPQWMWFWLUBUCWFWNEFZWPWSUDWFXDRZWPWQWOMZJZWSXDWNSWFWOSZWPXGUEWNTXEWOEFZ
      XHWFAEFZXDXIAEGUFZAWNUGUHWOTUIWNWOUJUKXEXFWRJZXGWSXEWRSZWOWRFZXLXEWREFZXM
      WFXJWQEFZXOXDXKWNUMZAWQUGULWRTUIXDXPWFXNWFXQWFOXPWFRWNWQFXNWNDUNUOWNWQAUP
      UQURWOWRUSUTWQXFWRVDVAVBVCWFXJLAFZRZWIVEZWPDWIVFZWKUDZWFXJXRXKAVGVHXTXSYB
      YAWKXTXSRZDWIWNVIZDWIWOVIZJDWIWNWOVJYCWIYDWJYEXTWIYDNXSXTWIWIVPYDWIVKDWIV
      LVMVNXJXTXRWJYENZXJXTXRYFXJWIVQFXTXRYFCUNDAWIVQVOVRVSVTQWAWBWCWDWE $.
  $}

  $( Ordering property of ordinal exponentiation with a successor exponent.
     Corollary 8.36 of [TakeutiZaring] p. 68.  (Contributed by NM,
     7-Jan-2005.) $)
  oeordsuc $p |- ( ( B e. On /\ C e. On ) ->
      ( A e. B -> ( A ^o suc C ) e. ( B ^o suc C ) ) ) $=
    ( con0 wcel wa coe co wi ex adantr comu wss 3adant1 oecl 3adant2 syld oesuc
    wceq c0 csuc onelon w3a oewordri simp1 omwordri syl3anc sseq1d sylibrd ne0i
    wne on0eln0 syl5ibr oen0 omordi syldanl com23 mpdd jcad 3expa sucelon ontr2
    eleq2d syl2an anandirs sylan2b exp31 com4l imp ) BDEZCDEZFZABEZADEZACUAZGHZ
    BVOGHZEZVJVMVNIVKVJVMVNBAUBJKVJVKVMVNVRIIVNVJVKVMVRVNVJVKVMVRIVNVJFZVKFVMVP
    BCGHZALHZMZWAVQEZFZVRVNVJVKVMWDIVNVJVKUCZVMWBWCWEVMACGHZALHZWAMZWBWEVMWFVTM
    ZWHVJVKVMWIIVNABCUDNWEWFDEZVTDEZVNWIWHIVNVKWJVJACOPVJVKWKVNBCOZNVNVJVKUEWFV
    TAUFUGQWEVPWGWAVNVKVPWGSVJACRPUHUIWEVMWAVTBLHZEZWCVJVKVMWNIZVNVLVMTVTEZWNVL
    VMTBEZWPVJVMWQIVKVMWQVJBTUKBAUJBULUMKVLWQWPBCUNJQVLWPVMWNVLWPWOVJVKWKWPWOWL
    ABVTUOUPJUQURNWEVQWMWAVJVKVQWMSVNBCRNVCUIUSUTVKVSVODEZWDVRIZCVAVNVJWRWSVNWR
    FVPDEVQDEWSVJWRFAVOOBVOOVPWAVQVBVDVEVFQVGVHVIUR $.

  ${
    $d x y A $.  $d x y B $.  $d y C $.
    $( Ordinal exponentiation with a limit exponent.  Part of Exercise 4.36 of
       [Mendelson] p. 250.  (Contributed by NM, 6-Jan-2005.) $)
    oelim2 $p |- ( ( A e. On /\ ( B e. C /\ Lim B ) ) ->
                ( A ^o B ) = U_ x e. ( B \ 1o ) ( A ^o x ) ) $=
      ( vy wcel wa coe co c1o cv ciun wceq c0 con0 adantl wi sylan wne wss wlim
      cdif limelon 0ellim oe0m1 biimpa syl2anc word limord ordelon on0eln0 el1o
      wn eldif necon3bbii bitr4di biimpd sylbird syl impr sylan2b iuneq2dv csuc
      df-1o limsuc mpbid eqeltrid 1on onirri sylanblrc ne0i iunconst 3syl eqtrd
      eqtr4d oveq1 iuneq2d eqeq12d syl5ibr impcom oelim wrex wral nsuceq0 dif1o
      ex ad2antlr sssucid suceloni jccir id 3expa ancoms sylan2 anassrs oewordi
      w3a an32s mpi jcad oveq2 sseq2d rspcev ralrimiv iunss2 difss iunss1 ax-mp
      syl6 cbviunv sseqtri a1i eqssd adantlrl oe0lem ) CDFZCUAZGZBCHIZACJUBZBAK
      ZHIZLZMZBBNMZXRYDXRYDYENCHIZAXTNYAHIZLZMXRYFNYHXRCOFZNCFZYFNMZCDUCXQYJXPC
      UDZPYIYJYKCUEUFUGXQYHNMXPXQYHAXTNLZNXQAXTYGNYAXTFXQYACFZYAJFZUMZGYGNMZYAC
      JUNXQYNYPYQXQYNGYAOFZYPYQQXQCUHZYNYRCUIZCYAUJRYRYPNYAFZYQYRUUAYANSYPYAUKY
      OYANYAULUOUPYRUUAYQYAUEUQURUSUTVAVBXQJXTFZXTNSYMNMXQJCFJJFUMUUBXQJNVCZCVD
      XQYJUUCCFYLCNVEVFVGJVHVIJCJUNVJXTJVKAXTNVLVMVNPVOYEXSYFYCYHBNCHVPYEAXTYBY
      GBNYAHVPVQVRVSVTBOFZXRGNBFZGXSECBEKZHIZLZYCEBCDWAUUDXQUUEUUHYCMXPUUDXQGZU
      UEGZUUHYCUUJUUGYBTZAXTWBZECWCUUHYCTUUJUULECUUJUUFCFZUUFVCZXTFZUUGBUUNHIZT
      ZGUULUUJUUMUUOUUQXQUUMUUOQUUDUUEXQUUMUUOXQUUMGZUUNCFZUUNNSUUOXQUUMUUSCUUF
      VEUFUUFWDUUNCWEVJWFWGUUJUUMUUQUUJUUMGUUFUUNTZUUQUUFWHUUIUUMUUEUUTUUQQZUUI
      UUMGUUFOFZUUNOFZUUDWQZUUEUVAUUDXQUUMUVDUURUUDUVBUVCGZUVDUURUVBUVCXQYSUUMU
      VBYTCUUFUJRUUFWIWJUVEUUDUVDUVBUVCUUDUVDUVDWKWLWMWNWOUUFUUNBWPRWRWSWFWTUUK
      UUQAUUNXTYAUUNMYBUUPUUGYAUUNBHXAXBXCXIXDEACXTUUGYBXEUSYCUUHTUUJYCACYBLZUU
      HXTCTYCUVFTCJXFAXTCYBXGXHAECYBUUGYAUUFBHXAXJXKXLXMXNVNXO $.
  $}

  ${
    $d x C $.  $d x y z w A $.  $d x y z w B $.
    oeoalem.1 $e |- A e. On $.
    oeoalem.2 $e |- (/) e. A $.
    oeoalem.3 $e |- B e. On $.
    $( Lemma for ~ oeoa .  (Contributed by Eric Schmidt, 26-May-2009.) $)
    oeoalem $p |- ( C e. On
               -> ( A ^o ( B +o C ) ) = ( ( A ^o B ) .o ( A ^o C ) ) ) $=
      ( vy coa co coe comu wceq c0 oveq2 oveq2d con0 wcel wa mpan cvv vx vz c1o
      vw csuc eqeq12d oecl mp2an om1 ax-mp oe0 oveq2i 3eqtr4ri oasuc oacl oesuc
      cv oa0 sylancr eqtrd oveq1 sylan9eq omass mp3an13 eqtr4d adantr wlim wral
      syl ex ciun vex oalim wne word limord ordelon sylan ralrimiva 0ellim ne0d
      oelim mpan2 wss wi w3a oewordi mp3an3 3impia onoviun mp3an2i iuneq2 omlim
      omwordi tfinds ) ABUAUQZHIZJIZABJIZAWPJIZKIZLZABMHIZJIZWSAMJIZKIZLABGUQZH
      IZJIZWSAXGJIZKIZLZABXGUEZHIZJIZWSAXMJIZKIZLZABCHIZJIZWSACJIZKIZLUAGCWPMLZ
      WRXDXAXFYCWQXCAJWPMBHNOYCWTXEWSKWPMAJNOUFWPXGLZWRXIXAXKYDWQXHAJWPXGBHNOYD
      WTXJWSKWPXGAJNOUFWPXMLZWRXOXAXQYEWQXNAJWPXMBHNOYEWTXPWSKWPXMAJNOUFWPCLZWR
      XTXAYBYFWQXSAJWPCBHNOYFWTYAWSKWPCAJNOUFWSUCKIZWSXFXDWSPQZYGWSLAPQZBPQZYHD
      FABUGUHZWSUIUJXEUCWSKYIXEUCLDAUKUJULXCBAJYJXCBLFBURUJULUMXGPQZXLXRYLXLRXO
      XKAKIZXQYLXLXOXIAKIZYMYJYLXOYNLFYJYLRZXOAXHUEZJIZYNYOXNYPAJBXGUNOYOYIXHPQ
      ZYQYNLDBXGUOZAXHUPUSUTSXIXKAKVAVBYLYMXQLZXLYIYLYTDYIYLRZYMWSXJAKIZKIZXQUU
      AXJPQZYMUUCLZAXGUGZYHUUDYIUUEYKDWSXJAVCVDVIUUAXPUUBWSKAXGUPOVESVFUTVJWPVG
      ZXLGWPVHZXBUUGUUHRWRGWPXKVKZXAUUGUUHWRGWPXIVKZUUIUUGWRAGWPXHVKZJIZUUJUUGW
      QUUKAJWPTQZUUGWQUUKLZUAVLZYJUUMUUGRZUUNFGBWPTVMSSOUUMUUGYRGWPVHWPMVNZUULU
      UJLUUOUUGYRGWPUUGXGWPQZRZYJYLYRFUUGWPVOUURYLWPVPWPXGVQVRZYSUSVSUUGWPMWPVT
      WAZUBUDGATJWPXHUDUQZTQZUVBVGZAUVBJIZUBUVBAUBUQZJIZVKLZUDVLZYIUVCUVDRZUVHD
      YIUVJRMAQZUVHEUBAUVBTWBWCSSUVFPQZUVBPQZUVFUVBWDZUVGUVEWDZUVLUVMYIUVNUVOWE
      ZDUVLUVMYIWFUVKUVPEUVFUVBAWGWCWHWIWJWKUTGWPXIXKWLVBUUGXAUUILUUHUUGXAWSGWP
      XJVKZKIZUUIUUGWTUVQWSKUUMUUGWTUVQLZUUOYIUUPUVSDYIUUPRUVKUVSEGAWPTWBWCSSOU
      UMUUGUUDGWPVHUUQUVRUUILUUOUUGUUDGWPUUSYIYLUUDDUUTUUFUSVSUVAUBUDGWSTKWPXJU
      VCUVDWSUVBKIZUBUVBWSUVFKIZVKLZUVIYHUVJUWBYKUBWSUVBTWMSSUVLUVMUVNUWAUVTWDZ
      UVLUVMYHUVNUWCWEYKUVFUVBWSWNWHWIWJWKUTVFVEVJWO $.
  $}

  $( Sum of exponents law for ordinal exponentiation.  Theorem 8R of [Enderton]
     p. 238.  Also Proposition 8.41 of [TakeutiZaring] p. 69.  (Contributed by
     Eric Schmidt, 26-May-2009.) $)
  oeoa $p |- ( ( A e. On /\ B e. On /\ C e. On )
          -> ( A ^o ( B +o C ) ) = ( ( A ^o B ) .o ( A ^o C ) ) ) $=
    ( con0 wcel coa co coe comu wceq wa c0 oveq2d c1o oveq2 0elon oecl wb oveq1
    syl oa00 biimpar oe0m0 eqtrdi oveqan12d mp2an om1 adantl eqtr4d wn wne oacl
    ax-mp on0eln0 oe0m1 necon3abid 3bitr3d adantr orbi12d neorian bitrdi biimpa
    wo oveq1d mpan om0r sylan9eq an32s om0 sylan9eqr anassrs jaodan sylbird imp
    ex pm2.61dan oveq12d eqeq12d syl5ibr impcom wi cif imbi2d eleq1 anbi12d 1on
    eleq2 0lt1o pm3.2i elimhyp simpli simpri elimel oeoalem dedth2h impr oe0lem
    3impb ) ADEZBDEZCDEZABCFGZHGZABHGZACHGZIGZJZWTXAKZXGAALJZXHXGXHXGXILXBHGZLB
    HGZLCHGZIGZJZXHBLJZCLJZKZXNXHXQKZXJLLHGZXMXRXBLLHXHXBLJXQBCUAZUBMXQXMXSJXHX
    QXMXSNIGZXSXOXPXKXSXLNIBLLHOXPXLXSNCLLHOUCUDUEXSDEZYAXSJLDEZYCYBPPLLQUFXSUG
    UMUDUHUIXHXQUJZKXJLXMXHXJLJZYDXHLXBEZXBLUKZYEYDXHXBDEZYFYGRBCULZXBUNTXHYHYF
    YERYIXBUOTXHXQXBLXTUPUQUBXHYDXMLJZXHYDLBEZLCEZVCZYJXHYMBLUKZCLUKZVCYDXHYKYN
    YLYOWTYKYNRXABUNURXAYLYORWTCUNUHUSBLCLUTVAXHYMYJXHYKYJYLWTYKXAYJWTYKKZXAXML
    XLIGZLYPXKLXLIWTYKXKLJBUOVBVDXAXLDEZYQLJYCXAYRPLCQVEXLVFTVGVHWTXAYLYJXAYLKZ
    WTXMXKLIGZLYSXLLXKIXAYLXLLJCUOVBMWTXKDEZYTLJYCWTUUAPLBQVEXKVITVJVKVLVOVMVNU
    IVPXIXCXJXFXMALXBHSXIXDXKXEXLIALBHSALCHSVQVRVSVTWSLAEZXHXGWSUUBKZWTXAXGUUCW
    TXAXGWAXAUUCANWBZXBHGZUUDBHGZUUDCHGZIGZJZWAXAUUDWTBNWBZCFGZHGZUUDUUJHGZUUGI
    GZJZWAABNNAUUDJZXGUUIXAUUPXCUUEXFUUHAUUDXBHSUUPXDUUFXEUUGIAUUDBHSAUUDCHSVQV
    RWCBUUJJZUUIUUOXAUUQUUEUULUUHUUNUUQXBUUKUUDHBUUJCFSMUUQUUFUUMUUGIBUUJUUDHOV
    DVRWCUUDUUJCUUDDEZLUUDEZUUCUURUUSKNDEZLNEZKANUUPWSUURUUBUUSAUUDDWDAUUDLWGWE
    NUUDJUUTUURUVAUUSNUUDDWDNUUDLWGWEUUTUVAWFWHWIWJZWKUURUUSUVBWLBNDWFWMWNWOWPV
    HWQWR $.

  ${
    $d x C $.  $d x y z w A $.  $d x y z w B $.
    oeoelem.1 $e |- A e. On $.
    oeoelem.2 $e |- (/) e. A $.
    $( Lemma for ~ oeoe .  (Contributed by Eric Schmidt, 26-May-2009.) $)
    oeoelem $p |- ( ( B e. On /\ C e. On )
               -> ( ( A ^o B ) ^o C ) = ( A ^o ( B .o C ) ) ) $=
      ( vy vz con0 wcel coe co comu wceq cv c0 oveq2 oveq2d eqeq12d wa cvv csuc
      vx vw c1o oecl mpan oe0 syl om0 ax-mp eqtrdi eqtr4d oveq1 oesuc sylan coa
      omsuc omcl oeoa mp3an1 anabss1 eqtrd syl5ibr expcom wlim wral ciun iuneq2
      wi vex oen0 mpan2 oelim sylanl1 mpidan mpanl1 mpanr1 omlim limord ordelon
      wne word sylan2 anassrs ralrimiva 0ellim adantl wss oewordi mp3an3 3impia
      ne0d w3a onoviun mp3an2i tfinds3 impcom ) CHIBHIZABJKZCJKZABCLKZJKZMZWSUB
      NZJKZABXDLKZJKZMZWSOJKZABOLKZJKZMWSFNZJKZABXLLKZJKZMZWSXLUAZJKZABXQLKZJKZ
      MZXCWRUBFCXDOMZXEXIXGXKXDOWSJPYBXFXJAJXDOBLPQRXDXLMZXEXMXGXOXDXLWSJPYCXFX
      NAJXDXLBLPQRXDXQMZXEXRXGXTXDXQWSJPYDXFXSAJXDXQBLPQRXDCMZXEWTXGXBXDCWSJPYE
      XFXAAJXDCBLPQRWRXIUDXKWRWSHIZXIUDMAHIZWRYFDABUEZUFZWSUGUHWRXKAOJKZUDWRXJO
      AJBUIQYGYJUDMDAUGUJUKULWRXLHIZXPYAVIXPYAWRYKSZXMWSLKZXOWSLKZMXMXOWSLUMYLX
      RYMXTYNWRYFYKXRYMMYIWSXLUNUOYLXTAXNBUPKZJKZYNYLXSYOAJBXLUQQWRYKYPYNMZYLXN
      HIZWRYQBXLURZYGYRWRYQDAXNBUSUTUOVAVBRVCVDWRXDVEZXPFXDVFZXHVIUUAXHWRYTSZFX
      DXMVGZFXDXOVGZMFXDXMXOVHUUBXEUUCXGUUDWRXDTIZYTXEUUCMZUBVJZYGWRUUEYTSZUUFD
      YGWRSZUUHOWSIZUUFUUIOAIZUUJEABVKVLUUIYFUUHUUJUUFYHFWSXDTVMVNVOVPVQUUBXGAF
      XDXNVGZJKZUUDUUBXFUULAJWRUUEYTXFUULMUUGFBXDTVRVQQUUEUUBYRFXDVFXDOWAZUUMUU
      DMUUGUUBYRFXDWRYTXLXDIZYRYTUUOSWRYKYRYTXDWBUUOYKXDVSXDXLVTUOYSWCWDWEYTUUN
      WRYTXDOXDWFWLWGGUCFATJXDXNUCNZTIZUUPVEZAUUPJKZGUUPAGNZJKZVGMZUCVJYGUUQUUR
      SZUVBDYGUVCSUUKUVBEGAUUPTVMVLUFUFUUTHIZUUPHIZUUTUUPWHZUVAUUSWHZUVDUVEYGUV
      FUVGVIZDUVDUVEYGWMUUKUVHEUUTUUPAWIVLWJWKWNWOVBRVCVDWPWQ $.
  $}

  $( Product of exponents law for ordinal exponentiation.  Theorem 8S of
     [Enderton] p. 238.  Also Proposition 8.42 of [TakeutiZaring] p. 70.
     (Contributed by Eric Schmidt, 26-May-2009.) $)
  oeoe $p |- ( ( A e. On /\ B e. On /\ C e. On )
          -> ( ( A ^o B ) ^o C ) = ( A ^o ( B .o C ) ) ) $=
    ( con0 wcel coe co wceq wa c0 c1o oveq2 oe0m0 eqtrdi oveq1d sylan9eqr oe0m1
    syl biimpa oveq1 comu wo oe1m adantll 0elon oecl oe0 adantlr jaodan biimpar
    mpan om00 oveq2d eqtr4d wne on0eln0 bi2anan9 neanior bitrdi sylan9eq om00el
    wn an4s wb bitr3d ex sylbird imp pm2.61dan eqeq12d syl5ibr impcom wi imbi2d
    omcl cif eleq1 eleq2 anbi12d 1on 0lt1o pm3.2i elimhyp simpli simpri oeoelem
    dedth an32s oe0lem 3impb ) ADEZBDEZCDEZABFGZCFGZABCUAGZFGZHZWLWMIZWRAAJHZWS
    WRWSWRWTJBFGZCFGZJWPFGZHZWSBJHZCJHZUBZXDWSXGIZXBKXCWSXEXBKHZXFWMXEXIWLXEWMX
    BKCFGKXEXAKCFXEXAJJFGZKBJJFLMNOCUCPUDWLXFXIWMXFWLXBXAJFGZKCJXAFLWLXADEZXKKH
    JDEWLXLUEJBUFUKXAUGRPUHUIXHXCXJKXHWPJJFWSWPJHXGBCULUJUMMNUNWSXGVBZXDWSXMJBE
    ZJCEZIZXDWSXPBJUOZCJUOZIXMWLXNXQWMXOXRBUPCUPUQBJCJURUSWSXPXDWSXPIXBJXCWLXNW
    MXOXBJHWLXNIZWMXOIXBJCFGZJXSXAJCFWLXNXAJHBQSOWMXOXTJHCQSUTVCWSXPXCJHZWSJWPE
    ZXPYABCVAWSWPDEYBYAVDBCVOWPQRVESUNVFVGVHVIWTWOXBWQXCWTWNXACFAJBFTOAJWPFTVJV
    KVLWKJAEZWSWRWKYCIZWSWRYDWSWRVMWSYDAKVPZBFGZCFGZYEWPFGZHZVMAKAYEHZWRYIWSYJW
    OYGWQYHYJWNYFCFAYEBFTOAYEWPFTVJVNYEBCYEDEZJYEEZYDYKYLIKDEZJKEZIAKYJWKYKYCYL
    AYEDVQAYEJVRVSKYEHYMYKYNYLKYEDVQKYEJVRVSYMYNVTWAWBWCZWDYKYLYOWEWFWGVHWHWIWJ
    $.

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( The ordinal exponential with a limit ordinal is a limit ordinal.
       (Contributed by Mario Carneiro, 29-May-2015.) $)
    oelimcl $p |- ( ( A e. ( On \ 2o ) /\ ( B e. C /\ Lim B ) ) ->
               Lim ( A ^o B ) ) $=
      ( vx vy con0 c2o cdif wcel wlim wa coe co word c0 cv syl adantr syl2anc
      wi csuc wral eldifi limelon oecl syl2an eloni adantl dif20el syl21anc c1o
      oen0 ciun wceq oelim2 sylan eleq2d wrex wss simprl onelon simprr ordsucss
      eliun sylc simpll oeordi mpd suceloni mp2and expr sylan2 rexlimdva syl5bi
      ontr2 sylbid ralrimiv dflim4 syl3anbrc ) AFGHIZBCIBJKZKZABLMZNZOWCIZDPZUA
      ZWCIZDWCUBWCJWBWCFIZWDVTAFIZBFIZWIWAAFGUCZBCUDZABUEUFZWCUGQWBWJWKOAIZWEVT
      WJWAWLRZWAWKVTWMUHZVTWOWAAUIRABULUJWBWHDWCWBWFWCIWFEBUKHZAEPZLMZUMZIZWHWB
      WCXAWFVTWJWAWCXAUNWLEABCUOUPUQXBWFWTIZEWRURWBWHEWFWRWTVDWBXCWHEWRWSWRIWBW
      SBIZXCWHTWSBUKUCWBXDXCWHWBXDXCKZKZWGWTUSZWTWCIZWHXFWTNZXCXGXFWTFIZXIXFWJW
      SFIZXJWBWJXEWPRXFWKXDXKWBWKXEWQRZWBXDXCUTZBWSVASAWSUESZWTUGQWBXDXCVBZWFWT
      VCVEXFXDXHXMXFWKVTXDXHTXLVTWAXEVFWSBAVGSVHXFWGFIZWIXGXHKWHTXFWFFIZXPXFXJX
      CXQXNXOWTWFVASWFVIQWBWIXEWNRWGWTWCVOSVJVKVLVMVNVPVQDWCVRVS $.
  $}

  ${
    $d a d e w x y z A $.  $d a d e w x y z B $.  $d a d e D $.  $d a d e E $.
    $d a d e w y z X $.
    oeeu.1 $e |- X = U. |^| { x e. On | B e. ( A ^o x ) } $.
    $( Lemma for ~ oeeu .  (Contributed by Mario Carneiro, 28-Feb-2013.) $)
    oeeulem $p |- ( ( A e. ( On \ 2o ) /\ B e. ( On \ 1o ) ) -> ( X e. On /\
        ( A ^o X ) C_ B /\ B e. ( A ^o suc X ) ) ) $=
      ( vy con0 wcel c1o wa coe co wss syl wceq oveq2 eleq2d wn c0 simprbi cdif
      c2o csuc crab cint cuni wrex eldifi adantl suceloni oeworde syldan sucidg
      sseldd rspcev syl2anc onintrab2 sylib onuni eqeltrid suceq ax-mp wlim wne
      cv wo dif1o ssrab2 rabn0 sylibr onint sylancr eleq1 syl5ibcom adantr el1o
      elrab oe0 bitrdi syl5ib syld necon3ad mpd limuni eqtr4di eqeltrrd cbvrabv
      elrab2 ad2antrr wb limeq ibi anim12i dif20el oelim syl21anc eleqtrd eliun
      ciun onss sselda biimpar onnminsb sylc pm2.65da ioran sylanbrc word eloni
      nrexdv unizlim 3syl mtbird orduniorsuc ord eqtr4id inteqi eleqtrdi ontri1
      oecl mpbird eqeltrd 3jca ) BGUBUAHZCGIUAHZJZDGHZBDKLZCMZCBDUCZKLZHZYFDCBA
      VEZKLZHZAGUDZUEZUFZGEYFYQGHZYRGHYFYOAGUGZYSYFCUCZGHZCBUUAKLZHZYTYFCGHZUUB
      YEUUEYDCGIUHUIZCUJNZYFUUAUUCCYDYEUUBUUAUUCMUUGBUUAUKULYFUUECUUAHUUFCGUMNU
      NYOUUDAUUAGYMUUAOYNUUCCYMUUABKPQUOUPZYOAUQURZYQUSNUTZYFYICYHHZRZYFYGDCBFV
      EZKLZHZFGUDZUEZHUULUUJYFDYQUUQYFDYJYQYFYGDYJHUUJDGUMNYFYJYRUCZYQDYROYJUUR
      OEDYRVAVBYFYQYROZRYQUUROZYFUUSYQSOZYQVCZVFZYFUVARZUVBRUVCRYFCSVDZUVDYEUVE
      YDYEUUEUVECGVGTUIYFUVACSYFUVASYPHZCSOZYFYQYPHZUVAUVFYFYPGMYPSVDZUVHYOAGVH
      YFYTUVIUUHYOAGVIVJYPVKVLZYQSYPVMVNUVFCBSKLZHZYFUVGUVFSGHUVLYOUVLASGYMSOYN
      UVKCYMSBKPQVQTYFUVLCIHUVGYFUVKICYFBGHZUVKIOYDUVMYEBGUBUHZVOZBVRNQCVPVSVTW
      AWBWCYFUVBUUOFDUGZYFUVBJZCFDUUNWSZHUVPUVQCYHUVRUVQDYPHZUUKUVQYQDYPUVBYQDO
      ZYFUVBYQYRDYQWDEWEZUIZYFUVHUVBUVJVOWFUVSYGUUKUUOUUKFDGYPUUMDOUUNYHCUUMDBK
      PQZYOUUOAFGYMUUMOYNUUNCYMUUMBKPQZWGZWHTNUVQUVMYGDVCZJSBHZYHUVROYDUVMYEUVB
      UVNWIYFYGUVBUWFUUJUVBUWFUVBUVTUVBUWFWJUWAYQDWKNWLWMYDUWGYEUVBBWNWIFBDGWOW
      PWQFCDUUNWRURUVQUUOFDUVQUUMDHZJUUMGHUUMYQHZUUORUVQDGUUMUVQYGDGMYFYGUVBUUJ
      VODWTNXAUVQUWIUWHUVQYQDUUMUWBQXBYOUUOAUUMUWDXCXDXJXEUVAUVBXFXGYFYSYQXHZUU
      SUVCWJUUIYQXIZYQXKXLXMYFUUSUUTYFYSUWJUUSUUTVFUUIUWKYQXNXLXOWCXPZWQYPUUPUW
      EXQXRUUOUUKFDUWCXCXDYFYHGHZUUEYIUULWJYFUVMYGUWMUVOUUJBDXTUPUUFYHCXSUPYAYF
      YJYPHZYLYFYJYQYPUWLUVJYBUWNYJGHYLUUOYLFYJGYPUUMYJOUUNYKCUUMYJBKPQUWEWHTNY
      C $.

    oeeu.2 $e |- P = ( iota w E. y e. On E. z e. ( A ^o X )
      ( w = <. y , z >. /\ ( ( ( A ^o X ) .o y ) +o z ) = B ) ) $.
    oeeu.3 $e |- Y = ( 1st ` P ) $.
    oeeu.4 $e |- Z = ( 2nd ` P ) $.
    $( The division algorithm for ordinal exponentiation.  (This version of
       ~ oeeu gives an explicit expression for the unique solution of the
       equation, in terms of the solution ` P ` to ~ omeu .)  (Contributed by
       Mario Carneiro, 25-May-2015.) $)
    oeeui $p |- ( ( A e. ( On \ 2o ) /\ B e. ( On \ 1o ) ) ->
        ( ( ( C e. On /\ D e. ( A \ 1o ) /\ E e. ( A ^o C ) ) /\
          ( ( ( A ^o C ) .o D ) +o E ) = B ) <->
          ( C = X /\ D = Y /\ E = Z ) ) ) $=
      ( con0 wcel co va vd ve c2o cdif c1o wa coe comu coa wceq w3a wb wss csuc
      eldifi adantr ad2antrr simprl oecl syl2anc om1 syl c0 csn df1o2 wne dif1o
      simprbi ad2antll onelon on0eln0 mpbird snssd eqsstrid 1on omwordi syl3anc
      wi a1i eqsstrrd omcl simplrl oaword1 simplrr sseqtrd sstrd oeeulem simp3d
      mpd simp1d suceloni ontr2 mp2and simplll oeord simp2d word eloni ordsucss
      onsssuc sylc dif20el syl21anc omword syl31anc mpbid oaord eqeltrrd oa1suc
      oen0 odi oveq2d 3eqtr3d eleqtrrd sseldd oesuc ad2antrl jca eqeltrd simprr
      eqssd suceq eqtr3d eleqtrd omord2 wn oveq1d oveq2 eleq1d 3anass eqeq1d cv
      eqsstrd cop wrex cio weq eqeq2d anbi12d adantl ontri1 om0 oa0r syl5ibrcom
      eqtrd sylibd necon3bd sylanbrc impbida ex pm5.32rd bitrdi eleq2d 3anbi23d
      anass bitr3id ne0d weu opeq1 opeq2 cbvrex2vw eqeq1 anbi1d 2rexbidv syl5bb
      omeu cbviotavw eqtri opiota sylan9bbr pm5.32da bitrd 3an4anass 3bitr4g )
      ERUDUESZFRUFUESZUGZGRSZHEUFUESZUGZJEGUHTZSZUWBHUITZJUJTZFUKZUGZUGZGKUKZHL
      UKZJMUKZUGZUGZUVSUVTUWCULUWFUGUWIUWJUWKULUVRUWHUWIHRSZUWGUGZUGZUWMUVRUWHU
      WIUWNUGZUWGUGUWPUVRUWGUWAUWQUVRUWGUWAUWQUMUVRUWGUGZUWAUWQUWRUWAUGZUWIUWNU
      WSGKUWSGKUNZGKUOZSZUWSUXBUWBEUXAUHTZSZUWSUWBFUNZFUXCSZUXDUWSUWBUWDFUWSUWB
      UWBUFUITZUWDUWSUWBRSZUXGUWBUKUWSERSZUVSUXHUVRUXIUWGUWAUVPUXIUVQERUDUPUQZU
      RZUWRUVSUVTUSZEGUTZVAZUWBVBVCZUWSUFHUNZUXGUWDUNZUWSUFVDVEHVFUWSVDHUWSVDHS
      ZHVDVGZUVTUXSUWRUVSUVTHESZUXSHEVHZVIVJUWSUWNUXRUXSUMUWSUXIUXTUWNUXKUVTUXT
      UWRUVSHEUFUPVJZEHVKVAZHVLVCVMVNVOUWSUFRSZUWNUXHUXPUXQVSUYDUWSVPVTZUYCUXNU
      FHUWBVQVRWJWAUWSUWDUWEFUWSUWDRSZJRSZUWDUWEUNZUWSUXHUWNUYFUXNUYCUWBHWBZVAZ
      UWSUXHUWCUYGUXNUVRUWCUWFUWAWCZUWBJVKZVAZUWDJWDZVAUVRUWCUWFUWAWEZWFWGUVRUX
      FUWGUWAUVRKRSZEKUHTZFUNZUXFAEFKNWHZWIZURUWSUXHUXCRSZUXEUXFUGUXDVSUXNUWSUX
      IUXARSZVUAUXKUWSUYPVUBUVRUYPUWGUWAUVRUYPUYRUXFUYSWKZURZKWLVCZEUXAUTVAUWBF
      UXCWMVAWNUWSUVSVUBUVPUXBUXDUMUXLVUEUVPUVQUWGUWAWOZGUXAEWPVRVMUWSUVSUYPUWT
      UXBUMUXLVUDGKXAVAVMUWSKGUNZKGUOZSZUWSVUIUYQEVUHUHTZSZUWSUYRFVUJSZVUKUVRUY
      RUWGUWAUVRUYPUYRUXFUYSWQZURUWSFUWBEUITZVUJUWSUWBHUOZUITZVUNFUWSVUOEUNZVUP
      VUNUNZUWSEWRZUXTVUQUWSUXIVUSUXKEWSVCUYBHEWTXBUWSVUORSZUXIUXHVDUWBSZVUQVUR
      UMUWSUWNVUTUYCHWLVCUXKUXNUWSUXIUVSVDESZVVAUXKUXLUWSUVPVVBVUFEXCZVCEGXKZXD
      VUOEUWBXEXFXGUWSFUWDUWBUJTZVUPUWSUWEFVVEUYOUWSUWCUWEVVESZUYKUWSUYGUXHUYFU
      WCVVFUMUYMUXNUYJJUWBUWDXHVRXGXIUWSUWBHUFUJTZUITZUWDUXGUJTZVUPVVEUWSUXHUWN
      UYDVVHVVIUKUXNUYCUYEUWBHUFXLVRUWSVVGVUOUWBUIUWSUWNVVGVUOUKUYCHXJVCXMUWSUX
      GUWBUWDUJUXOXMXNXOXPUWSUXIUVSVUJVUNUKZUXKUXLEGXQZVAXOUWSUYQRSZVUJRSZUYRVU
      LUGVUKVSUWSUXIUYPVVLUXKVUDEKUTZVAUWSUXIVUHRSZVVMUXKUVSVVOUWRUVTGWLXRZEVUH
      UTVAUYQFVUJWMVAWNUWSUYPVVOUVPVUIVUKUMVUDVVPVUFKVUHEWPVRVMUWSUYPUVSVUGVUIU
      MVUDUXLKGXAVAVMYBUYCXSUWRUWQUGZUVSUVTVVQGKRUWRUWIUWNUSZUVRUYPUWGUWQVUCURX
      TZVVQUXTUXSUVTVVQUXTUWDVUNSZVVQUWDFUNZFVUNSZVVTVVQUWDUWEFVVQUYFUYGUYHVVQU
      XHUWNUYFVVQUXIUVSUXHUVRUXIUWGUWQUXJURZVVSUXMVAZUWRUWIUWNYAZUYIVAZVVQUXHUW
      CUYGVWDUVRUWCUWFUWQWCZUYLVAZUYNVAUVRUWCUWFUWQWEZWFVVQFUXCVUNUVRUXFUWGUWQU
      YTURVVQVUJUXCVUNVVQVUHUXAEUHUWIVUHUXAUKUWRUWNGKYCXRXMVVQUXIUVSVVJVWCVVSVV
      KVAYDYEVVQUYFVUNRSZVWAVWBUGVVTVSVWFVVQUXHUXIVWJVWDVWCUWBEWBVAUWDFVUNWMVAW
      NVVQUWNUXIUXHVVAUXTVVTUMVWEVWCVWDVVQUXIUVSVVBVVAVWCVVSUVRVVBUWGUWQUVPVVBU
      VQVVCUQZURVVDXDHEUWBYFXFVMVVQFUWBSZYGZUXSVVQUXEVWMVVQUWBUYQFVVQGKEUHVVRXM
      UVRUYRUWGUWQVUMURYNVVQUXHFRSZUXEVWMUMVWDUVRVWNUWGUWQUVQVWNUVPFRUFUPUUAZUR
      UWBFUUBVAXGVVQVWLHVDVVQHVDUKZUWEUWBSZVWLVVQVWQVWPUWBVDUITZJUJTZUWBSVVQVWS
      JUWBVVQVWSVDJUJTZJVVQVWRVDJUJVVQUXHVWRVDUKVWDUWBUUCVCYHVVQUYGVWTJUKVWHJUU
      DVCUUFVWGXTVWPUWEVWSUWBVWPUWDVWRJUJHVDUWBUIYIYHYJUUEVVQUWEFUWBVWIYJUUGUUH
      WJUYAUUIXSUUJUUKUULUWIUWNUWGUUPUUMUVRUWIUWOUWLUWIUWOUWNJUYQSZUYQHUITZJUJT
      ZFUKZULZUVRUWLUWOUWNUWCUWFULUWIVXEUWNUWCUWFYKUWIUWCVXAUWFVXDUWNUWIUWBUYQJ
      GKEUHYIZUUNUWIUWEVXCFUWIUWDVXBJUJUWIUWBUYQHUIVXFYHYHYLUUOUUQUVRVVLVWNUYQV
      DVGZVXEUWLUMZUVRUXIUYPVVLUXJVUCVVNVAVWOUVRUYQVDUVRUXIUYPVVBVDUYQSUXJVUCVW
      KEKXKXDUURVVLVWNVXGULUAYMZUBYMZUCYMZYOZUKZUYQVXJUITZVXKUJTZFUKZUGZUCUYQYP
      UBRYPZUAUUSVXHUBUCUAUYQFUVGVXPVXBVXKUJTZFUKVXDUBUCUARUYQHJILMIDYMZBYMZCYM
      ZYOZUKZUYQVYAUITZVYBUJTZFUKZUGZCUYQYPBRYPZDYQVXRUAYQOVYIVXRDUAVYIVXTVXLUK
      ZVXPUGZUCUYQYPUBRYPDUAYRZVXRVYHVYKVXTVXJVYBYOZUKZVXNVYBUJTZFUKZUGBCUBUCRU
      YQBUBYRZVYDVYNVYGVYPVYQVYCVYMVXTVYAVXJVYBUUTYSVYQVYFVYOFVYQVYEVXNVYBUJVYA
      VXJUYQUIYIYHYLYTCUCYRZVYNVYJVYPVXPVYRVYMVXLVXTVYBVXKVXJUVAYSVYRVYOVXOFVYB
      VXKVXNUJYIYLYTUVBVYLVYKVXQUBUCRUYQVYLVYJVXMVXPVXTVXIVXLUVCUVDUVEUVFUVHUVI
      PQVXJHUKZVXOVXSFVYSVXNVXBVXKUJVXJHUYQUIYIYHYLVXKJUKVXSVXCFVXKJVXBUJYIYLUV
      JVCVRUVKUVLUVMUVSUVTUWCUWFUVNUWIUWJUWKYKUVO $.
  $}

  ${
    $d a b c d w x y z A $.  $d a b c d w x y z B $.
    $( The division algorithm for ordinal exponentiation.  (Contributed by
       Mario Carneiro, 25-May-2015.) $)
    oeeu $p |- ( ( A e. ( On \ 2o ) /\ B e. ( On \ 1o ) ) ->
        E! w E. x e. On E. y e. ( A \ 1o ) E. z e. ( A ^o x )
          ( w = <. x , y , z >. /\ ( ( ( A ^o x ) .o y ) +o z ) = B ) ) $=
      ( va vd vb vc con0 wcel wa cv wceq coe co wex wrex eqid c2o cdif c1o cotp
      w3a comu coa weu crab cint cuni cop cio c1st cfv c2nd cvv wss csuc simp1d
      oeeulem fvexd oeeui euotd df-3an biancomi anbi1i anbi2i an12 anass 3bitri
      exbii df-rex r19.42v 3bitr2i 2exbii r2ex bitr4i eubii sylib ) EKUAUBLFKUC
      UBLMZDNANZBNZCNZUDOZWBKLZWCEUCUBZLZWDEWBPQZLZUEZWIWCUFQWDUGQFOZMZMZCRZBRA
      RZDUHWEWLMZCWISZBWGSAKSZDUHWAWMDFEGNPQLGKUIUJUKZHNINZJNZULOEWTPQZXAUFQXBU
      GQFOMJXCSIKSHUMZUNUOZXDUPUOZKUQUQABCWAWTKLXCFURFEWTUSPQLGEFWTWTTZVAUTWAXD
      UNVBWAXDUPVBGIJHEFWBWCXDWDWTXEXFXGXDTXETXFTVCVDWPWSDWPWFWHMZWRMZBRARWSWOX
      IABWOWJXHWQMZMZCRXJCWISXIWNXKCWNWEWJXHMZWLMZMXLWQMXKWMXMWEWKXLWLWKWJXHWFW
      HWJVEVFVGVHWEXLWLVIWJXHWQVJVKVLXJCWIVMXHWQCWIVNVOVPWRABKWGVQVRVSVT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Natural number arithmetic
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Addition with zero.  Theorem 4I(A1) of [Enderton] p. 79.  (Contributed by
     NM, 20-Sep-1995.) $)
  nna0 $p |- ( A e. _om -> ( A +o (/) ) = A ) $=
    ( com wcel con0 c0 coa co wceq nnon oa0 syl ) ABCADCAEFGAHAIAJK $.

  $( Multiplication with zero.  Theorem 4J(A1) of [Enderton] p. 80.
     (Contributed by NM, 20-Sep-1995.) $)
  nnm0 $p |- ( A e. _om -> ( A .o (/) ) = (/) ) $=
    ( com wcel con0 c0 comu co wceq nnon om0 syl ) ABCADCAEFGEHAIAJK $.

  $( Addition with successor.  Theorem 4I(A2) of [Enderton] p. 79.
     (Contributed by NM, 20-Sep-1995.)  (Revised by Mario Carneiro,
     14-Nov-2014.) $)
  nnasuc $p |- ( ( A e. _om /\ B e. _om ) ->
                ( A +o suc B ) = suc ( A +o B ) ) $=
    ( com wcel con0 csuc coa co wceq nnon onasuc sylan ) ACDAEDBCDABFGHABGHFIAJ
    ABKL $.

  $( Multiplication with successor.  Theorem 4J(A2) of [Enderton] p. 80.
     (Contributed by NM, 20-Sep-1995.)  (Revised by Mario Carneiro,
     14-Nov-2014.) $)
  nnmsuc $p |- ( ( A e. _om /\ B e. _om ) ->
                ( A .o suc B ) = ( ( A .o B ) +o A ) ) $=
    ( com wcel con0 csuc comu co coa wceq nnon onmsuc sylan ) ACDAEDBCDABFGHABG
    HAIHJAKABLM $.

  $( Exponentiation with a successor exponent.  Definition 8.30 of
     [TakeutiZaring] p. 67.  (Contributed by Mario Carneiro, 14-Nov-2014.) $)
  nnesuc $p |- ( ( A e. _om /\ B e. _om ) ->
              ( A ^o suc B ) = ( ( A ^o B ) .o A ) ) $=
    ( com wcel con0 csuc coe co comu wceq nnon onesuc sylan ) ACDAEDBCDABFGHABG
    HAIHJAKABLM $.

  ${
    $d x y A $.  $d x B $.
    $( Addition to zero.  Remark in proof of Theorem 4K(2) of [Enderton] p. 81.
       Note:  In this and later theorems, we deliberately avoid the more
       general ordinal versions of these theorems (in this case ~ oa0r ) so
       that we can avoid ~ ax-rep , which is not needed for finite recursive
       definitions.  (Contributed by NM, 20-Sep-1995.)  (Revised by Mario
       Carneiro, 14-Nov-2014.) $)
    nna0r $p |- ( A e. _om -> ( (/) +o A ) = A ) $=
      ( vx vy c0 cv coa co wceq csuc oveq2 id eqeq12d con0 wcel 0elon oa0 ax-mp
      com peano1 nnasuc mpan suceq eqeq2d syl5ibcom finds ) DBEZFGZUFHDDFGZDHZD
      CEZFGZUJHZDUJIZFGZUMHZDAFGZAHBCAUFDHZUGUHUFDUFDDFJUQKLUFUJHZUGUKUFUJUFUJD
      FJURKLUFUMHZUGUNUFUMUFUMDFJUSKLUFAHZUGUPUFAUFADFJUTKLDMNUIODPQUJRNZUNUKIZ
      HZULUODRNVAVCSDUJTUAULVBUMUNUKUJUBUCUDUE $.

    $( Multiplication with zero.  Exercise 16 of [Enderton] p. 82.
       (Contributed by NM, 20-Sep-1995.)  (Revised by Mario Carneiro,
       15-Nov-2014.) $)
    nnm0r $p |- ( A e. _om -> ( (/) .o A ) = (/) ) $=
      ( vx vy c0 cv comu co wceq csuc oveq2 eqeq1d con0 0elon om0 ax-mp com coa
      wcel oveq1 oa0 eqtrdi peano1 nnmsuc mpan syl5ibr finds ) DBEZFGZDHDDFGZDH
      ZDCEZFGZDHZDUKIZFGZDHZDAFGZDHBCAUGDHUHUIDUGDDFJKUGUKHUHULDUGUKDFJKUGUNHUH
      UODUGUNDFJKUGAHUHUQDUGADFJKDLRZUJMDNOUMUPUKPRZULDQGZDHUMUTDDQGZDULDDQSURV
      ADHMDTOUAUSUOUTDDPRUSUOUTHUBDUKUCUDKUEUF $.

    $( Closure of addition of natural numbers.  Proposition 8.9 of
       [TakeutiZaring] p. 59.  (Contributed by NM, 20-Sep-1995.)  (Proof
       shortened by Andrew Salmon, 22-Oct-2011.) $)
    nnacl $p |- ( ( A e. _om /\ B e. _om ) -> ( A +o B ) e. _om ) $=
      ( vx vy com wcel coa co cv wceq oveq2 eleq1d imbi2d csuc nna0 ibir peano2
      wi c0 wa nnasuc syl5ibr expcom finds2 vtoclga impcom ) BEFAEFZABGHZEFZUGA
      CIZGHZEFZRUGUIRCBEUJBJZULUIUGUMUKUHEUJBAGKLMULASGHZEFZADIZGHZEFZAUPNZGHZE
      FZUGCDUJSJUKUNEUJSAGKLUJUPJUKUQEUJUPAGKLUJUSJUKUTEUJUSAGKLUGUOUGUNAEAOLPU
      GUPEFZURVARURVAUGVBTZUQNZEFUQQVCUTVDEAUPUALUBUCUDUEUF $.

    $( Closure of multiplication of natural numbers.  Proposition 8.17 of
       [TakeutiZaring] p. 63.  (Contributed by NM, 20-Sep-1995.)  (Proof
       shortened by Andrew Salmon, 22-Oct-2011.) $)
    nnmcl $p |- ( ( A e. _om /\ B e. _om ) -> ( A .o B ) e. _om ) $=
      ( vx vy wcel comu co cv wi wceq oveq2 eleq1d imbi2d c0 csuc nnm0 eqeltrdi
      com peano1 expcom coa nnacl adantr nnmsuc sylibrd finds2 vtoclga impcom
      wa ) BREAREZABFGZREZUJACHZFGZREZIUJULICBRUMBJZUOULUJUPUNUKRUMBAFKLMUOANFG
      ZREADHZFGZREZAUROZFGZREZUJCDUMNJUNUQRUMNAFKLUMURJUNUSRUMURAFKLUMVAJUNVBRU
      MVAAFKLUJUQNRAPSQUJURREZUTVCIUJVDUIZUTUSAUAGZREZVCUJUTVGIVDUTUJVGUSAUBTUC
      VEVBVFRAURUDLUETUFUGUH $.

    $( Closure of exponentiation of natural numbers.  Proposition 8.17 of
       [TakeutiZaring] p. 63.  (Contributed by NM, 24-Mar-2007.)  (Proof
       shortened by Andrew Salmon, 22-Oct-2011.) $)
    nnecl $p |- ( ( A e. _om /\ B e. _om ) -> ( A ^o B ) e. _om ) $=
      ( vx vy com wcel coe co cv wi wceq oveq2 eleq1d imbi2d csuc c1o con0 nnon
      c0 expcom oe0 syl df-1o peano1 peano2 ax-mp eqeltri eqeltrdi nnmcl adantr
      wa comu nnesuc sylibrd finds2 vtoclga impcom ) BEFAEFZABGHZEFZURACIZGHZEF
      ZJURUTJCBEVABKZVCUTURVDVBUSEVABAGLMNVCASGHZEFADIZGHZEFZAVFOZGHZEFZURCDVAS
      KVBVEEVASAGLMVAVFKVBVGEVAVFAGLMVAVIKVBVJEVAVIAGLMURVEPEURAQFVEPKARAUAUBPS
      OZEUCSEFVLEFUDSUEUFUGUHURVFEFZVHVKJURVMUKZVHVGAULHZEFZVKURVHVPJVMVHURVPVG
      AUITUJVNVJVOEAVFUMMUNTUOUPUQ $.
  $}

  ${
    nncli.1 $e |- A e. _om $.
    nncli.2 $e |- B e. _om $.
    $( ` _om ` is closed under addition.  Inference form of ~ nnacl .
       (Contributed by Scott Fenton, 20-Apr-2012.) $)
    nnacli $p |- ( A +o B ) e. _om $=
      ( com wcel coa co nnacl mp2an ) AEFBEFABGHEFCDABIJ $.

    $( ` _om ` is closed under multiplication.  Inference form of ~ nnmcl .
       (Contributed by Scott Fenton, 20-Apr-2012.) $)
    nnmcli $p |- ( A .o B ) e. _om $=
      ( com wcel comu co nnmcl mp2an ) AEFBEFABGHEFCDABIJ $.
  $}

  $( Reverse closure law for addition of natural numbers.  Exercise 1 of
     [TakeutiZaring] p. 62 and its converse.  (Contributed by NM,
     12-Dec-2004.) $)
  nnarcl $p |- ( ( A e. On /\ B e. On ) ->
               ( ( A +o B ) e. _om <-> ( A e. _om /\ B e. _om ) ) ) $=
    ( con0 wcel wa coa co com wi oaword1 word eloni ordom ordtr2 sylancl adantr
    wss expd mpd oaword2 ancoms adantl jcad nnacl impbid1 ) ACDZBCDZEZABFGZHDZA
    HDZBHDZEUHUJUKULUHAUIQZUJUKIZABJUFUMUNIUGUFUMUJUKUFAKHKZUMUJEUKIALMAUIHNORP
    SUHBUIQZUJULIZUGUFUPBATUAUGUPUQIUFUGUPUJULUGBKUOUPUJEULIBLMBUIHNORUBSUCABUD
    UE $.

  ${
    $d x y A $.  $d x y z B $.  $d x y z C $.
    $( Addition of natural numbers is commutative.  Theorem 4K(2) of [Enderton]
       p. 81.  (Contributed by NM, 6-May-1995.)  (Revised by Mario Carneiro,
       15-Nov-2014.) $)
    nnacom $p |- ( ( A e. _om /\ B e. _om ) -> ( A +o B ) = ( B +o A ) ) $=
      ( vx vy com wcel coa co wceq cv wi oveq1 oveq2 eqeq12d c0 csuc nna0 suceq
      syl nnasuc vz imbi2d nna0r eqtr4d wa peano2 syl5ibr expcom finds2 vtoclga
      sylan imp ) AEFBEFZABGHZBAGHZIZUMCJZBGHZBUQGHZIZKUMUPKCAEUQAIZUTUPUMVAURU
      NUSUOUQABGLUQABGMNUBUTOBGHZBOGHZIDJZBGHZBVDGHZIZVDPZBGHZBVHGHZIZUMCDUQOIZ
      URVBUSVCUQOBGLUQOBGMNUQVDIURVEUSVFUQVDBGLUQVDBGMNUQVHIURVIUSVJUQVHBGLUQVH
      BGMNUMVBBVCBUCBQUDUMVDEFZVGVKKVGVKUMVMUEZVEPZVFPZIVEVFRVNVIVOVJVPUMVMVIVO
      IZVMVHUQGHZVDUQGHZPZIZKVMVQKCBEUQBIZWAVQVMWBVRVIVTVOUQBVHGMWBVSVEIVTVOIUQ
      BVDGMVSVERSNUBWAVHOGHZVDOGHZPZIVHUAJZGHZVDWFGHZPZIZVHWFPZGHZVDWKGHZPZIZVM
      CUAVLVRWCVTWEUQOVHGMVLVSWDIVTWEIUQOVDGMVSWDRSNUQWFIZVRWGVTWIUQWFVHGMWPVSW
      HIVTWIIUQWFVDGMVSWHRSNUQWKIZVRWLVTWNUQWKVHGMWQVSWMIVTWNIUQWKVDGMVSWMRSNVM
      WCVHWEVMVHEFZWCVHIVDUFZVHQSVMWDVDIWEVHIVDQWDVDRSUDVMWFEFZWJWOKWJWOVMWTUEZ
      WGPZWIPZIWGWIRXAWLXBWNXCVMWRWTWLXBIWSVHWFTUKXAWMWIIWNXCIVDWFTWMWIRSNUGUHU
      IUJULBVDTNUGUHUIUJUL $.

    $( Ordering property of addition.  Proposition 8.4 of [TakeutiZaring]
       p. 58, limited to natural numbers.  (Contributed by NM, 3-Feb-1996.)
       (Revised by Mario Carneiro, 15-Nov-2014.) $)
    nnaordi $p |- ( ( B e. _om /\ C e. _om ) ->
                 ( A e. B -> ( C +o A ) e. ( C +o B ) ) ) $=
      ( vx vy com wcel coa co wi wa ancoms csuc wss cv wceq oveq2 sseq2d imbi2d
      nnasuc elnn adantll word nnord ordsucss syl ad2antlr peano2b ssid sssucid
      2a1i sstr2 mpi syl5ibr ex ad2antrr findsg exp31 syl5bi com4r imp31 sseq1d
      a2d cvv ovex sucssel ax-mp syl6bi adantlr 3syld imp an32s mpdan ) CFGZBFG
      ZABGZCAHIZCBHIZGZJVNVOKZVPVSVTVPKAFGZVSVOVPWAVNVPVOWAABUALUBVTWAVPVSVTWAK
      ZVPVSWBVPAMZBNZCWCHIZVRNZVSVOVPWDJZVNWAVOBUCWGBUDABUEUFUGVNVOWAWDWFJVOWAW
      DVNWFWAWCFGZVOWDVNWFJZJAUHVOWHWDWIVNWECDOZHIZNZJVNWEWENZJVNWECEOZHIZNZJVN
      WECWNMZHIZNZJWIDEBWCWJWCPZWLWMVNWTWKWEWEWJWCCHQRSWJWNPZWLWPVNXAWKWOWEWJWN
      CHQRSWJWQPZWLWSVNXBWKWRWEWJWQCHQRSWJBPZWLWFVNXCWKVRWEWJBCHQRSWMWHVNWEUIUK
      WNFGZWHKWCWNNZKVNWPWSXDVNWPWSJZJWHXEXDVNXFWPWSXDVNKZWEWOMZNZWPWOXHNXIWOUJ
      WEWOXHULUMXGWRXHWEVNXDWRXHPCWNTLRUNUOUPVCUQURUSUTVAVNWAWFVSJVOVNWAKZWFVQM
      ZVRNZVSXJWEXKVRCATVBVQVDGXLVSJCAHVEVQVRVDVFVGVHVIVJVKVLVMUOL $.
  $}

  $( Ordering property of addition.  Proposition 8.4 of [TakeutiZaring] p. 58,
     limited to natural numbers, and its converse.  (Contributed by NM,
     7-Mar-1996.)  (Revised by Mario Carneiro, 15-Nov-2014.) $)
  nnaord $p |- ( ( A e. _om /\ B e. _om /\ C e. _om ) ->
                 ( A e. B <-> ( C +o A ) e. ( C +o B ) ) ) $=
    ( com wcel coa co wi nnaordi wceq wo wn word wa nnacl nnord anim12i ordtri2
    wb syl w3a 3adant1 oveq2 a1i 3adant2 con3d df-3an ancom anandi 3bitri sylbi
    orim12d 3adant3 3imtr4d impbid ) ADEZBDEZCDEZUAZABEZCAFGZCBFGZEZUQURUTVCHUP
    ABCIUBUSVAVBJZVBVAEZKZLZABJZBAEZKZLZVCUTUSVJVFUSVHVDVIVEVHVDHUSABCFUCUDUPUR
    VIVEHUQBACIUEULUFUSVAMZVBMZNZVCVGSUSURUPNZURUQNZNZVNUSUPUQNZURNURVRNVQUPUQU
    RUGVRURUHURUPUQUIUJVOVLVPVMVOVADEVLCAOVAPTVPVBDEVMCBOVBPTQUKVAVBRTUSAMZBMZN
    ZUTVKSUPUQWAURUPVSUQVTAPBPQUMABRTUNUO $.

  $( Ordering property of addition of natural numbers.  (Contributed by NM,
     9-Nov-2002.) $)
  nnaordr $p |- ( ( A e. _om /\ B e. _om /\ C e. _om ) ->
                 ( A e. B <-> ( A +o C ) e. ( B +o C ) ) ) $=
    ( com wcel w3a coa nnaord wceq nnacom ancoms 3adant2 3adant1 eleq12d bitrd
    co ) ADEZBDEZCDEZFZABECAGPZCBGPZEACGPZBCGPZEABCHTUAUCUBUDQSUAUCIZRSQUECAJKL
    RSUBUDIZQSRUFCBJKMNO $.

  ${
    $d A x y $.  $d B x y $.  $d C x y $.
    $( Adding to both sides of an inequality in ` _om ` .  (Contributed by
       Scott Fenton, 16-Apr-2012.)  (Revised by Mario Carneiro,
       12-May-2012.) $)
    nnawordi $p |- ( ( A e. _om /\ B e. _om /\ C e. _om ) ->
             ( A C_ B -> ( A +o C ) C_ ( B +o C ) ) ) $=
      ( vx vy com wcel wss coa co wi wa c0 wceq sseq12d imbi2d con0 nnon ancoms
      oveq2 cv csuc weq oa0 adantr adantl biimprd syl2an wb nnacl adantrr eloni
      word adantrl ordsucsssuc syl2anc biimpa nnasuc mpbird ex imim2d a2d finds
      3syl com12 3impia ) AFGZBFGZCFGZABHZACIJZBCIJZHZKZVIVGVHLZVNVOVJADUAZIJZB
      VPIJZHZKZKVOVJAMIJZBMIJZHZKZKVOVJAEUAZIJZBWEIJZHZKZKVOVJAWEUBZIJZBWJIJZHZ
      KZKVOVNKDECVPMNZVTWDVOWOVSWCVJWOVQWAVRWBVPMAITVPMBITOPPDEUCZVTWIVOWPVSWHV
      JWPVQWFVRWGVPWEAITVPWEBITOPPVPWJNZVTWNVOWQVSWMVJWQVQWKVRWLVPWJAITVPWJBITO
      PPVPCNZVTVNVOWRVSVMVJWRVQVKVRVLVPCAITVPCBITOPPVGAQGZBQGZWDVHARBRWSWTLZWCV
      JXAWAAWBBWSWAANWTAUDUEWTWBBNWSBUDUFOUGUHWEFGZVOWIWNXBVOWIWNKXBVOLZWHWMVJX
      CWHWMXCWHLWMWFUBZWGUBZHZXCWHXFXCWFUMZWGUMZWHXFUIXCWFFGZWFQGXGXBVGXIVHVGXB
      XIAWEUJSUKWFRWFULVDXCWGFGZWGQGXHXBVHXJVGVHXBXJBWEUJSUNWGRWGULVDWFWGUOUPUQ
      XCWMXFUIWHXCWKXDWLXEXBVGWKXDNZVHVGXBXKAWEURSUKXBVHWLXENZVGVHXBXLBWEURSUNO
      UEUSUTVAUTVBVCVEVF $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x C $.
    $( Addition of natural numbers is associative.  Theorem 4K(1) of [Enderton]
       p. 81.  (Contributed by NM, 20-Sep-1995.)  (Revised by Mario Carneiro,
       15-Nov-2014.) $)
    nnaass $p |- ( ( A e. _om /\ B e. _om /\ C e. _om ) ->
                 ( ( A +o B ) +o C ) = ( A +o ( B +o C ) ) ) $=
      ( vx vy com wcel coa co wceq wa cv wi oveq2 oveq2d eqeq12d c0 csuc nnasuc
      nnacl imbi2d nna0 adantl eqtr4d suceq sylan sylan2 anassrs syl5ibr expcom
      syl eqtrd finds2 vtoclga com12 3impia ) AFGZBFGZCFGZABHIZCHIZABCHIZHIZJZU
      SUQURKZVDVEUTDLZHIZABVFHIZHIZJZMVEVDMDCFVFCJZVJVDVEVKVGVAVIVCVFCUTHNVKVHV
      BAHVFCBHNOPUAVJUTQHIZABQHIZHIZJUTELZHIZABVOHIZHIZJZUTVORZHIZABVTHIZHIZJZV
      EDEVFQJZVGVLVIVNVFQUTHNWEVHVMAHVFQBHNOPVFVOJZVGVPVIVRVFVOUTHNWFVHVQAHVFVO
      BHNOPVFVTJZVGWAVIWCVFVTUTHNWGVHWBAHVFVTBHNOPVEVLUTVNVEUTFGZVLUTJABTZUTUBU
      KURVNUTJUQURVMBAHBUBOUCUDVEVOFGZVSWDMVSWDVEWJKZVPRZVRRZJVPVRUEWKWAWLWCWMV
      EWHWJWAWLJWIUTVOSUFUQURWJWCWMJUQURWJKZKWCAVQRZHIZWMWNWCWPJUQWNWBWOAHBVOSO
      UCWNUQVQFGWPWMJBVOTAVQSUGULUHPUIUJUMUNUOUP $.

    $( Distributive law for natural numbers (left-distributivity).  Theorem
       4K(3) of [Enderton] p. 81.  (Contributed by NM, 20-Sep-1995.)  (Revised
       by Mario Carneiro, 15-Nov-2014.) $)
    nndi $p |- ( ( A e. _om /\ B e. _om /\ C e. _om ) ->
                 ( A .o ( B +o C ) ) = ( ( A .o B ) +o ( A .o C ) ) ) $=
      ( vx vy com wcel coa co comu wceq wa cv wi oveq2 oveq2d eqeq12d c0 eqtr4d
      csuc imbi2d nna0 adantl nnmcl syl nnm0 adantr oveq1 nnasuc 3adant1 nnmsuc
      w3a nnacl sylan2 3impb eqtrd 3adant2 nnaass syl3an1 syl3an2 exp4b pm2.43a
      3exp com4r pm2.43i 3imp syl5ibr com3r impd finds2 vtoclga expdcom ) AFGZB
      FGZCFGZABCHIZJIZABJIZACJIZHIZKZVOVMVNWAVMVNLZABDMZHIZJIZVRAWCJIZHIZKZNWBW
      ANDCFWCCKZWHWAWBWIWEVQWGVTWIWDVPAJWCCBHOPWIWFVSVRHWCCAJOPQUAWHABRHIZJIZVR
      ARJIZHIZKABEMZHIZJIZVRAWNJIZHIZKZABWNTZHIZJIZVRAWTJIZHIZKZWBDEWCRKZWEWKWG
      WMXFWDWJAJWCRBHOPXFWFWLVRHWCRAJOPQWCWNKZWEWPWGWRXGWDWOAJWCWNBHOPXGWFWQVRH
      WCWNAJOPQWCWTKZWEXBWGXDXHWDXAAJWCWTBHOPXHWFXCVRHWCWTAJOPQWBWKVRRHIZWMWBWK
      VRXIWBWJBAJVNWJBKVMBUBUCPWBVRFGZXIVRKABUDZVRUBUESWBWLRVRHVMWLRKVNAUFUGPSW
      NFGZVMVNWSXENZVMVNXLXMVMVNXLXMWSXEVMVNXLULZWPAHIZWRAHIZKWPWRAHUHXNXBXOXDX
      PXNXBAWOTZJIZXOXNXAXQAJVNXLXAXQKVMBWNUIUJPVMVNXLXRXOKZVNXLLVMWOFGXSBWNUMA
      WOUKUNUOUPXNXDVRWQAHIZHIZXPXNXCXTVRHVMXLXCXTKVNAWNUKUQPVMVNXLXPYAKZVMVNXL
      YBNNVMVNXLVMYBVNVMXLVMYBNZNVMVNVMXLYCWBVMXLLZVMYBYDWBWQFGZVMYBAWNUDWBXJYE
      VMYBXKVRWQAURUSUTVCVAVBVDVEVFSQVGVCVHVIVJVKVLVF $.

    $( Multiplication of natural numbers is associative.  Theorem 4K(4) of
       [Enderton] p. 81.  (Contributed by NM, 20-Sep-1995.)  (Revised by Mario
       Carneiro, 15-Nov-2014.) $)
    nnmass $p |- ( ( A e. _om /\ B e. _om /\ C e. _om ) ->
                 ( ( A .o B ) .o C ) = ( A .o ( B .o C ) ) ) $=
      ( vx vy com wcel comu co wceq wa cv wi oveq2 oveq2d eqeq12d c0 nnmcl nnm0
      coa imbi2d csuc syl sylan9eqr eqtr4d w3a oveq1 nnmsuc stoic3 3adant1 nndi
      syl3an2 3exp expd com34 pm2.43d 3imp eqtrd syl5ibr finds2 vtoclga expdcom
      com3r impd ) AFGZBFGZCFGZABHIZCHIZABCHIZHIZJZVGVEVFVLVEVFKZVHDLZHIZABVNHI
      ZHIZJZMVMVLMDCFVNCJZVRVLVMVSVOVIVQVKVNCVHHNVSVPVJAHVNCBHNOPUAVRVHQHIZABQH
      IZHIZJVHELZHIZABWCHIZHIZJZVHWCUBZHIZABWHHIZHIZJZVMDEVNQJZVOVTVQWBVNQVHHNW
      MVPWAAHVNQBHNOPVNWCJZVOWDVQWFVNWCVHHNWNVPWEAHVNWCBHNOPVNWHJZVOWIVQWKVNWHV
      HHNWOVPWJAHVNWHBHNOPVMVTQWBVMVHFGZVTQJABRZVHSUCVFVEWBAQHIQVFWAQAHBSOASUDU
      EWCFGZVEVFWGWLMZVEVFWRWSVEVFWRWSWGWLVEVFWRUFZWDVHTIZWFVHTIZJWDWFVHTUGWTWI
      XAWKXBVEVFWPWRWIXAJWQVHWCUHUIWTWKAWEBTIZHIZXBWTWJXCAHVFWRWJXCJVEBWCUHUJOV
      EVFWRXDXBJZVEVFWRXEMVEVFWRVFXEVEVFWRVFXEMVEVFWRKZVFXEXFVEWEFGVFXEBWCRAWEB
      UKULUMUNUOUPUQURPUSUMVCVDUTVAVBUQ $.

    $( Multiplication with successor.  Exercise 16 of [Enderton] p. 82.
       (Contributed by NM, 21-Sep-1995.)  (Proof shortened by Andrew Salmon,
       22-Oct-2011.) $)
    nnmsucr $p |- ( ( A e. _om /\ B e. _om ) ->
                  ( suc A .o B ) = ( ( A .o B ) +o B ) ) $=
      ( vx vy com wcel csuc comu co coa wceq cv wi oveq2 id oveq12d eqeq12d syl
      c0 eqtr4d imbi2d peano2 nnm0 peano1 nnmcl mpan2 nna0 oveq1 peano2b nnmsuc
      wa sylanb nnaass syl3an3b syl3an1 3expb anidms oveq1d an42s nnacom nnasuc
      suceq ancoms 3eqtr4d oveq2d syl5ibr expcom finds2 vtoclga impcom ) BEFAEF
      ZAGZBHIZABHIZBJIZKZVKVLCLZHIZAVQHIZVQJIZKZMVKVPMCBEVQBKZWAVPVKWBVRVMVTVOV
      QBVLHNWBVSVNVQBJVQBAHNWBOPQUAWAVLSHIZASHIZSJIZKVLDLZHIZAWFHIZWFJIZKZVLWFG
      ZHIZAWKHIZWKJIZKZVKCDVQSKZVRWCVTWEVQSVLHNWPVSWDVQSJVQSAHNWPOPQVQWFKZVRWGV
      TWIVQWFVLHNWQVSWHVQWFJVQWFAHNWQOPQVQWKKZVRWLVTWNVQWKVLHNWRVSWMVQWKJVQWKAH
      NWROPQVKWCWDWEVKWCSWDVKVLEFZWCSKAUBVLUCRAUCTVKWDEFZWEWDKVKSEFWTUDASUEUFWD
      UGRTVKWFEFZWJWOMWJWOVKXAUKZWGVLJIZWIVLJIZKWGWIVLJUHXBWLXCWNXDVKWSXAWLXCKA
      UIZVLWFUJULXBWHAJIZWKJIZWHAWKJIZJIZWNXDXBXGXIKZXBVKXAXJXBWHEFZVKXAXJAWFUE
      ZXAXKVKWKEFXJWFUIWHAWKUMUNUOUPUQXBWMXFWKJAWFUJURXBXDWHWFVLJIZJIZXIXBXDXNK
      ZVKXAXAVKXOXBXAVKXOXBXKXAVKXOXLVKXKXAWSXOXEWHWFVLUMUNUOUPUSUQXBXHXMWHJXBA
      WFJIZGZWFAJIZGZXHXMXBXPXRKXQXSKAWFUTXPXRVBRAWFVAXAVKXMXSKWFAVAVCVDVETVDQV
      FVGVHVIVJ $.

    $( Multiplication of natural numbers is commutative.  Theorem 4K(5) of
       [Enderton] p. 81.  (Contributed by NM, 21-Sep-1995.)  (Proof shortened
       by Andrew Salmon, 22-Oct-2011.) $)
    nnmcom $p |- ( ( A e. _om /\ B e. _om ) -> ( A .o B ) = ( B .o A ) ) $=
      ( vx vy com wcel comu co wceq cv wi oveq1 oveq2 eqeq12d imbi2d csuc nnm0r
      c0 nnm0 coa eqtr4d wa nnmsucr nnmsuc ancoms syl5ibr ex finds2 vtoclga imp
      ) AEFBEFZABGHZBAGHZIZUKCJZBGHZBUOGHZIZKUKUNKCAEUOAIZURUNUKUSUPULUQUMUOABG
      LUOABGMNOURRBGHZBRGHZIDJZBGHZBVBGHZIZVBPZBGHZBVFGHZIZUKCDUORIUPUTUQVAUORB
      GLUORBGMNUOVBIUPVCUQVDUOVBBGLUOVBBGMNUOVFIUPVGUQVHUOVFBGLUOVFBGMNUKUTRVAB
      QBSUAVBEFZUKVEVIKVEVIVJUKUBZVCBTHZVDBTHZIVCVDBTLVKVGVLVHVMVBBUCUKVJVHVMIB
      VBUDUENUFUGUHUIUJ $.
  $}

  $( Weak ordering property of addition.  (Contributed by NM, 17-Sep-1995.)
     (Revised by Mario Carneiro, 15-Nov-2014.) $)
  nnaword $p |- ( ( A e. _om /\ B e. _om /\ C e. _om ) ->
                ( A C_ B <-> ( C +o A ) C_ ( C +o B ) ) ) $=
    ( com wcel w3a wn coa co wss nnaord 3com12 notbid word nnord ordtri1 syl2an
    wb nnacl ancoms 3adant3 3adant2 3adant1 syl2anc 3bitr4d ) ADEZBDEZCDEZFZBAE
    ZGZCBHIZCAHIZEZGZABJZUMULJZUIUJUNUGUFUHUJUNRBACKLMUFUGUPUKRZUHUFANBNURUGAOB
    OABPQUAUIUMDEZULDEZUQUORZUFUHUSUGUHUFUSCASTUBUGUHUTUFUHUGUTCBSTUCUSUMNULNVA
    UTUMOULOUMULPQUDUE $.

  $( Cancellation law for addition of natural numbers.  (Contributed by NM,
     27-Oct-1995.)  (Revised by Mario Carneiro, 15-Nov-2014.) $)
  nnacan $p |- ( ( A e. _om /\ B e. _om /\ C e. _om ) ->
                   ( ( A +o B ) = ( A +o C ) <-> B = C ) ) $=
    ( com wcel w3a coa co wss wa wb nnaword 3comr 3com13 anbi12d bicomd 3bitr4g
    wceq eqss ) ADEZBDEZCDEZFZABGHZACGHZIZUEUDIZJZBCIZCBIZJZUDUERBCRUCUKUHUCUIU
    FUJUGUAUBTUIUFKBCALMUBUATUJUGKCBALNOPUDUESBCSQ $.

  $( Weak ordering property of addition.  (Contributed by NM, 9-Nov-2002.)
     (Revised by Mario Carneiro, 15-Nov-2014.) $)
  nnaword1 $p |- ( ( A e. _om /\ B e. _om ) -> A C_ ( A +o B ) ) $=
    ( com wcel wa c0 coa co wceq adantr wss 0ss wb peano1 nnaword 3com13 mp3an3
    nna0 mpbii eqsstrrd ) ACDZBCDZEZAAFGHZABGHZUAUDAIUBARJUCFBKZUDUEKZBLUAUBFCD
    ZUFUGMZNUHUBUAUIFBAOPQST $.

  $( Weak ordering property of addition.  (Contributed by NM, 9-Nov-2002.) $)
  nnaword2 $p |- ( ( A e. _om /\ B e. _om ) -> A C_ ( B +o A ) ) $=
    ( com wcel wa coa co nnaword1 nnacom sseqtrd ) ACDBCDEAABFGBAFGABHABIJ $.

  ${
    $d x y A $.  $d x B $.  $d x y C $.
    $( Ordering property of multiplication.  Half of Proposition 8.19 of
       [TakeutiZaring] p. 63, limited to natural numbers.  (Contributed by NM,
       18-Sep-1995.)  (Revised by Mario Carneiro, 15-Nov-2014.) $)
    nnmordi $p |- ( ( ( B e. _om /\ C e. _om ) /\ (/) e. C ) ->
                    ( A e. B -> ( C .o A ) e. ( C .o B ) ) ) $=
      ( vx vy com wcel c0 comu co wi wa wceq eleq2 oveq2 eleq2d imbi12d coa imp
      cv elnn expcom imbi2d csuc pm2.21i a1i wo elsuci nnmcl simpl jca nnaword1
      noel sseld imim2d adantrl nna0 ad2antrr ancoms eqeltrrd eleq1d syl5ibrcom
      nnaordi adantrr jaod sylan syl5 nnmsuc adantr sylibrd exp43 com12 adantld
      wb impd finds2 vtoclga com23 exp4a mpdd com34 com24 imp31 ) BFGZCFGZHCGZA
      BGZCAIJZCBIJZGZKZWDWGWFWEWJWDWGWEWFWJWDWGAFGZWEWFWJKZKWGWDWLABUAUBWDWGWLW
      EWMWDWGWLWELZWFWJWDWNWFLZWGWJWOADTZGZWHCWPIJZGZKZKWOWKKDBFWPBMZWTWKWOXAWQ
      WGWSWJWPBANXAWRWIWHWPBCIOPQUCWTAHGZWHCHIJZGZKZAETZGZWHCXFIJZGZKZAXFUDZGZW
      HCXKIJZGZKZWODEWPHMZWQXBWSXDWPHANXPWRXCWHWPHCIOPQWPXFMZWQXGWSXIWPXFANXQWR
      XHWHWPXFCIOPQWPXKMZWQXLWSXNWPXKANXRWRXMWHWPXKCIOPQXEWOXBXDAUMUEUFXFFGZWNW
      FXJXOKZXSWEWFXTKZWLWEXSYAWEXSWFXJXOWEXSLZWFXJLZLZXLWHXHCRJZGZXNXLXGAXFMZU
      GZYDYFAXFUHYBXHFGZWELZYCYHYFKYBYIWECXFUIWEXSUJUKYJYCLXGYFYGYJXJXGYFKZWFYJ
      XJYKYJXIYFXGYJXHYEWHXHCULUNUOSUPYJWFYGYFKXJYJWFLZYFYGXHYEGYLXHHRJZXHYEYIY
      MXHMWEWFXHUQURYJWFYMYEGZWEYIWFYNKHCXHVCUSSUTYGWHXHYEAXFCIOVAVBVDVEVFVGYBX
      NYFVNYCYBXMYEWHCXFVHPVIVJVKVLVMVOVPVQVRVSVSVTWAWBWC $.
  $}

  $( Ordering property of multiplication.  Proposition 8.19 of [TakeutiZaring]
     p. 63, limited to natural numbers.  (Contributed by NM, 22-Jan-1996.)
     (Revised by Mario Carneiro, 15-Nov-2014.) $)
  nnmord $p |- ( ( A e. _om /\ B e. _om /\ C e. _om ) ->
               ( ( A e. B /\ (/) e. C ) <-> ( C .o A ) e. ( C .o B ) ) ) $=
    ( com wcel c0 wa comu co wi nnmordi ex 3adant1 wne wceq wb nnord wo syl2anc
    word w3a impcomd ne0i nnm0r oveq1 eqeq1d syl5ibrcom necon3d adantr ord0eln0
    syl5 syl adantl sylibrd wn oveq2 3adantl2 orim12d con3d simpl3 simpl1 nnmcl
    a1i simpl2 ordtri2 syl2an 3imtr4d com23 mpdd jcad impbid ) ADEZBDEZCDEZUAZA
    BEZFCEZGZCAHIZCBHIZEZVMVNVRWAJVLVMVNGZVQVPWAWBVQVPWAJABCKLUBMVOWAVPVQVOWAVQ
    VPVMVNWAVQJVLWBWACFNZVQVMWAWCJVNWAVTFNVMWCVTVSUCVMCFVTFVMVTFOCFOZFBHIZFOBUD
    WDVTWEFCFBHUEUFUGUHUKUIVNVQWCPZVMVNCTWFCQCUJULUMUNMZVOVQWAVPVOVQWAVPJVOVQGZ
    VSVTOZVTVSEZRZUOZABOZBAEZRZUOZWAVPWHWOWKWHWMWIWNWJWMWIJWHABCHUPVCVLVNVQWNWJ
    JVMBACKUQURUSWHVSDEZVTDEZWAWLPZWHVNVLWQVLVMVNVQUTZVLVMVNVQVAZCAVBSWHVNVMWRW
    TVLVMVNVQVDZCBVBSWQVSTVTTWSWRVSQVTQVSVTVEVFSWHVLVMVPWPPZXAXBVLATBTXCVMAQBQA
    BVEVFSVGLVHVIWGVJVK $.

  $( Weak ordering property of ordinal multiplication.  (Contributed by Mario
     Carneiro, 17-Nov-2014.) $)
  nnmword $p |- ( ( ( A e. _om /\ B e. _om /\ C e. _om ) /\ (/) e. C ) ->
                  ( A C_ B <-> ( C .o A ) C_ ( C .o B ) ) ) $=
    ( com wcel w3a c0 wa wn comu co wss iba con0 nnon syl ontri1 syl2anc nnmcl
    wb nnmord 3com12 sylan9bbr notbid simpl1 simpl2 simpl3 3bitr4d ) ADEZBDEZCD
    EZFZGCEZHZBAEZIZCBJKZCAJKZEZIZABLZURUQLZUNUOUSUMUOUOUMHZULUSUMUOMUJUIUKVCUS
    TBACUAUBUCUDUNANEZBNEZVAUPTUNUIVDUIUJUKUMUEZAOPUNUJVEUIUJUKUMUFZBOPABQRUNUR
    NEZUQNEZVBUTTUNURDEZVHUNUKUIVJUIUJUKUMUGZVFCASRUROPUNUQDEZVIUNUKUJVLVKVGCBS
    RUQOPURUQQRUH $.

  $( Cancellation law for multiplication of natural numbers.  (Contributed by
     NM, 26-Oct-1995.)  (Revised by Mario Carneiro, 15-Nov-2014.) $)
  nnmcan $p |- ( ( ( A e. _om /\ B e. _om /\ C e. _om ) /\ (/) e. A ) ->
                   ( ( A .o B ) = ( A .o C ) <-> B = C ) ) $=
    ( com wcel w3a c0 comu wss wceq 3anrot nnmword sylanb 3anrev anbi12d bicomd
    wa co wb eqss 3bitr4g ) ADEZBDEZCDEZFZGAEZQZABHRZACHRZIZUIUHIZQZBCIZCBIZQZU
    HUIJBCJUGUOULUGUMUJUNUKUEUCUDUBFUFUMUJSUBUCUDKBCALMUEUDUCUBFUFUNUKSUBUCUDNC
    BALMOPUHUITBCTUA $.

  $( Weak ordering property of multiplication.  (Contributed by Mario Carneiro,
     17-Nov-2014.) $)
  nnmwordi $p |- ( ( A e. _om /\ B e. _om /\ C e. _om ) ->
                  ( A C_ B -> ( C .o A ) C_ ( C .o B ) ) ) $=
    ( com wcel w3a c0 wss comu co wi wa nnmword biimpd ex wn wceq nnm0r sseq12d
    oveq1 word nnord ord0eln0 necon2bbid syl 3ad2ant3 ssid adantr adantl mpbiri
    wb syl5ibrcom 3adant3 sylbird a1dd pm2.61d ) ADEZBDEZCDEZFZGCEZABHZCAIJZCBI
    JZHZKZUTVAVFUTVALVBVEABCMNOUTVAPZVEVBUTVGCGQZVEUSUQVHVGUKZURUSCUAZVICUBVJVA
    CGCUCUDUEUFUQURVHVEKUSUQURLZVEVHGAIJZGBIJZHZVKVNGGHGUGVKVLGVMGUQVLGQURARUHU
    RVMGQUQBRUISUJVHVCVLVDVMCGAITCGBITSULUMUNUOUP $.

  $( Weak ordering property of ordinal multiplication.  Proposition 8.21 of
     [TakeutiZaring] p. 63, limited to natural numbers.  (Contributed by Mario
     Carneiro, 17-Nov-2014.) $)
  nnmwordri $p |- ( ( A e. _om /\ B e. _om /\ C e. _om ) ->
                    ( A C_ B -> ( A .o C ) C_ ( B .o C ) ) ) $=
    ( com wcel w3a comu co nnmwordi wceq nnmcom 3adant2 3adant1 sseq12d sylibrd
    wss ) ADEZBDEZCDEZFZABPCAGHZCBGHZPACGHZBCGHZPABCITUCUAUDUBQSUCUAJRACKLRSUDU
    BJQBCKMNO $.

  ${
    $d x y A $.  $d x y B $.
    $( Equivalence for weak ordering of natural numbers.  (Contributed by NM,
       8-Nov-2002.)  (Revised by Mario Carneiro, 15-Nov-2014.) $)
    nnawordex $p |- ( ( A e. _om /\ B e. _om ) -> ( A C_ B <->
                  E. x e. _om ( A +o x ) = B ) ) $=
      ( vy com wcel wa wss coa co wceq con0 oveq2 sseq2d syl2anc word c0 adantr
      syl nfcv cv wrex crab cint simplr simpll nnaword2 elrabd intss1 wi ssrab2
      nnon wne ne0d oninton sylancr eloni ordom ordtr2 sylancl mp2and csuc nna0
      ad2antrr simpr eqsstrd sseq1d syl5ibrcom simprr oveq2d simprl eqtrd nnord
      nnasuc wn vex sucid eleqtrrid onnminsb sylc adantl ordtri1 con2bid mpbird
      wb nnacl ordsucss rexlimdvaa nn0suc mpjaod onint nfrab1 nfint nfov elrabf
      wo nfss simprbi eqssd eqeq1d rspcev ex nnaword1 sseq2 syl5ibcom rexlimdva
      adantlr impbid ) BEFZCEFZGZBCHZBAUAZIJZCKZAEUBZXKXLXPXKXLGZCBDUAZIJZHZDLU
      CZUDZEFZBYBIJZCKZXPXQYBCHZXJYCXQCYAFYFXQXTCBCIJZHZDCLXRCKXSYGCXRCBIMNXQXJ
      CLFXIXJXLUEZCULSXQXJXIYHYIXIXJXLUFZCBUGOUHZCYAUISYIXQYBPZEPYFXJGYCUJXQYBL
      FZYLXQYALHZYAQUMZYMXTDLUKZXQYACYKUNZYAUOUPYBUQSURYBCEUSUTVAZXQYDCXQYBQKZY
      DCHZYBXMVBZKZAEUBZXQYTYSBQIJZCHXQUUDBCXIUUDBKXJXLBVCVDXKXLVEVFYSYDUUDCYBQ
      BIMVGVHXQUUBYTAEXQXMEFZUUBGZGZYDXNVBZCUUGYDBUUAIJZUUHUUGYBUUABIXQUUEUUBVI
      VJUUGXIUUEUUIUUHKXQXIUUFYJRZXQUUEUUBVKZBXMVNOVLUUGCPZXNCFZUUHCHXQUULUUFXQ
      XJUULYICVMSRZUUGUUMCXNHZVOZUUFUUPXQUUFXMLFZXMYBFUUPUUEUUQUUBXMULRUUFXMUUA
      YBXMAVPVQUUEUUBVEVRXTUUODXMXRXMKXSXNCXRXMBIMNVSVTWAUUGUUOUUMUUGUULXNPZUUO
      UUMVOWEUUNUUGXNEFZUURUUGXIUUEUUSUUJUUKBXMWFOXNVMSCXNWBOWCWDXNCWGVTVFWHXQY
      CYSUUCWPYRAYBWISWJXQYBYAFZCYDHZXQYNYOUUTYPYQYAWKUPUUTYMUVAXTUVADYBLDYAXTD
      LWLWMZDLTDCYDDCTDBYBIDBTDITUVBWNWQXRYBKXSYDCXRYBBIMNWOWRSWSXOYEAYBEXMYBKX
      NYDCXMYBBIMWTXAOXBXKXOXLAEXKUUEGBXNHZXOXLXIUUEUVCXJBXMXCXGXNCBXDXEXFXH $.

    $( Equivalence for ordering.  Compare Exercise 23 of [Enderton] p. 88.
       (Contributed by NM, 5-Dec-1995.)  (Revised by Mario Carneiro,
       15-Nov-2014.) $)
    nnaordex $p |- ( ( A e. _om /\ B e. _om ) -> ( A e. B <->
                  E. x e. _om ( (/) e. x /\ ( A +o x ) = B ) ) ) $=
      ( com wcel wa c0 cv coa co wceq wrex con0 wi nnon adantl onelss wb adantr
      wss nnawordex sylibd simplr syl5ibrcom peano1 nnaord mp3an1 ancoms eleq1d
      syl eleq2 nna0 bitrd adantlr sylibrd ancrd reximdva mpdd biimpa syl5ibcom
      ex expimpd rexlimdva impbid ) BDEZCDEZFZBCEZGAHZEZBVIIJZCKZFZADLZVGVHVLAD
      LZVNVGVHBCTZVOVGCMEZVHVPNVFVQVECOPCBQUJABCUAUBVEVHVOVNNZNVFVEVHVRVEVHFZVL
      VMADVSVIDEZFZVLVJWAVLBVKEZVJWAWBVLVHVEVHVTUCVKCBUKZUDVEVTVJWBRVHVEVTFZVJB
      GIJZVKEZWBVTVEVJWFRZGDEVTVEWGUEGVIBUFUGUHWDWEBVKVEWEBKVTBULSUIUMZUNUOUPUQ
      VASURVEVNVHNVFVEVMVHADWDVJVLVHWDVJFWBVLVHWDVJWBWHUSWCUTVBVCSVD $.
  $}

  $( One is a natural number.  (Contributed by NM, 29-Oct-1995.) $)
  1onn $p |- 1o e. _om $=
    ( c1o c0 csuc com df-1o wcel peano1 peano2 ax-mp eqeltri ) ABCZDEBDFKDFGBHI
    J $.

  $( The ordinal 2 is a natural number.  (Contributed by NM, 28-Sep-2004.) $)
  2onn $p |- 2o e. _om $=
    ( c2o c1o csuc com df-2o wcel 1onn peano2 ax-mp eqeltri ) ABCZDEBDFKDFGBHIJ
    $.

  $( The ordinal 3 is a natural number.  (Contributed by Mario Carneiro,
     5-Jan-2016.) $)
  3onn $p |- 3o e. _om $=
    ( c3o c2o csuc com df-3o wcel 2onn peano2 ax-mp eqeltri ) ABCZDEBDFKDFGBHIJ
    $.

  $( The ordinal 4 is a natural number.  (Contributed by Mario Carneiro,
     5-Jan-2016.) $)
  4onn $p |- 4o e. _om $=
    ( c4o c3o csuc com df-4o wcel 3onn peano2 ax-mp eqeltri ) ABCZDEBDFKDFGBHIJ
    $.

  $( Ordinal one is not ordinal two.  Analogous to ~ 1ne2 .  (Contributed by
     AV, 17-Oct-2023.) $)
  1one2o $p |- 1o =/= 2o $=
    ( c1o csuc c2o com wcel wne 1onn omsucne ax-mp df-2o neeqtrri ) AABZCADEALF
    GAHIJK $.

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    $( Lemma for ~ oaabs .  (Contributed by NM, 9-Dec-2004.) $)
    oaabslem $p |- ( ( _om e. On /\ A e. _om ) -> ( A +o _om ) = _om ) $=
      ( vx com con0 wcel wa coa co wss cv ciun wlim wceq nnon limom jctr syl2an
      oalim wral word ordom nnacl ordelss sylancr ralrimiva iunss sylibr adantr
      eqsstrd ancoms oaword2 sylan2 eqssd ) CDEZACEZFACGHZCUOUNUPCIUOUNFUPBCABJ
      ZGHZKZCUOADEZUNCLZFUPUSMUNANZUNVAOPBACDRQUOUSCIZUNUOURCIZBCSVCUOVDBCUOUQC
      EFCTURCEVDUAAUQUBCURUCUDUEBCURCUFUGUHUIUJUOUNUTCUPIVBCAUKULUM $.

    $( Ordinal addition absorbs a natural number added to the left of a
       transfinite number.  Proposition 8.10 of [TakeutiZaring] p. 59.
       (Contributed by NM, 9-Dec-2004.)  (Proof shortened by Mario Carneiro,
       29-May-2015.) $)
    oaabs $p |- ( ( ( A e. _om /\ B e. On ) /\ _om C_ B )
        -> ( A +o B ) = B ) $=
      ( vx com wcel con0 wa wss cv coa wceq wrex wreu cvv ssexg omelon2 syl6com
      co ex adantr imp adantll simplr jca oawordeu sylancom syl ad3antrrr simpr
      reurex nnon oaass syl3anc simpll oaabslem syl2anc oveq1d oveq2 id eqeq12d
      eqtr3d syl5ibcom rexlimdva mpd ) ADEZBFEZGZDBHZGZDCIZJRZBKZCFLZABJRZBKZVI
      VLCFMZVMVGVHDFEZVFGVPVIVQVFVFVHVQVEVFVHVQVHVFDNEZVQVHVFVRDBFOSPQUAUBZVEVF
      VHUCUDCDBUEUFVLCFUJUGVIVLVOCFVIVJFEZGZAVKJRZVKKVLVOWAADJRZVJJRZWBVKWAAFEZ
      VQVTWDWBKVEWEVFVHVTAUKUHVIVQVTVSTVIVTUIADVJULUMWAWCDVJJVIWCDKZVTVIVQVEWFV
      SVEVFVHUNAUOUPTUQVAVLWBVNVKBVKBAJURVLUSUTVBVCVD $.

    $( The absorption law ~ oaabs is also a property of higher powers of
       ` _om ` .  (Contributed by Mario Carneiro, 29-May-2015.) $)
    oaabs2 $p |- ( ( ( A e. ( _om ^o C ) /\ B e. On ) /\ ( _om ^o C ) C_ B )
        -> ( A +o B ) = B ) $=
      ( vx vy com coe co wcel con0 wa wss coa wceq c0 syl syl2anc adantr c1o wi
      vz cv wrex wreu n0i cxp wfn cdm fnoe fndm ax-mp ndmov nsyl2 ad2antrr oecl
      simplr simpr oawordeu syl21anc reurex simpll onelon syl3anc csuc wlim w3o
      oaass word simprd eloni ordzsl sylib simplll simpld oe0 sylan9eqr eleqtrd
      oveq2 el1o oveq1d oa0r eqtrd ex simprl limom jctir simprr oveq2d omordlim
      comu oesuc nnon ad2antrl ordelss oawordri mpd odi oaabslem eqtr3d 3eqtr4d
      omcl sseqtrd rexlimddv oaword2 eqssd rexlimdvaa cdif ciun oelim2 syl12anc
      eliun eldifi c2o 1onn ondif2 sylanblrc oelimcl oalim wb eleq2d bitrdi cun
      simplrl simplrr ssun1 ad3antrrr ordunel peano1 a1i oewordi syl31anc sstrd
      wral mpi ordsucss 1on suceloni expr sylan2 rexlimdva ssun2 mpbid mp2 mp1i
      oaword ordom omwordi omsuc om1 eqtr2d 3sstr4d sylc sylbid ralrimiv sylibr
      iunss eqsstrd 3jaod id eqeq12d syl5ibcom ) AFCGHZIZBJIZKZUVBBLZKZUVBDUBZM
      HZBNZDJUCZABMHZBNZUVGUVJDJUDZUVKUVGUVBJIZUVDUVFUVNUVGFJIZCJIZKZUVOUVCUVRU
      VDUVFUVCUVBONUVRUVBAUEFCJGGJJUFZUGGUHUVSNUIUVSGUJUKULUMUNZFCUOPZUVCUVDUVF
      UPUVEUVFUQDUVBBURUSUVJDJUTPUVGUVJUVMDJUVGUVHJIZKZAUVIMHZUVINUVJUVMUWCAUVB
      MHZUVHMHZUWDUVIUWCAJIZUVOUWBUWFUWDNUVGUWGUWBUVGUVOUVCUWGUWAUVCUVDUVFVAUVB
      AVBQZRUVGUVOUWBUWARUVGUWBUQAUVBUVHVGVCUWCUWEUVBUVHMUVGUWEUVBNZUWBUVGCONZC
      UVHVDZNZDJUCZCVEZVFZUWIUVGCVHZUWOUVGUVQUWPUVGUVPUVQUVTVIZCVJPZDCVKVLUVGUW
      JUWIUWMUWNUVGUWJUWIUVGUWJKZUWEOUVBMHZUVBUWSAOUVBMUWSASIAONUWSAUVBSUVCUVDU
      VFUWJVMUWJUVGUVBFOGHZSCOFGVRUVGUVPUXASNUVGUVPUVQUVTVNZFVOPVPVQAVSVLVTUWSU
      VOUWTUVBNUVGUVOUWJUWARUVBWAPWBWCUVGUWLUWIDJUVGUWBUWLKZKZUWEUVBUXDAFUVHGHZ
      EUBZWJHZIZUWEUVBLZEFUXDUXEJIZUVPFVEZKAUXEFWJHZIUXHEFUCUXDUVPUWBUXJUVGUVPU
      XCUXBRZUVGUWBUWLWDZFUVHUOZQZUXDUVPUXKUXMWEWFUXDAUVBUXLUVCUVDUVFUXCVMUXDUV
      BFUWKGHZUXLUXDCUWKFGUVGUWBUWLWGWHUXDUVPUWBUXQUXLNUXMUXNFUVHWKQWBZVQEUXEFA
      JWIUSUXDUXFFIZUXHKZKZUWEUXGUVBMHZUVBUYAAUXGLZUWEUYBLZUYAUXGVHZUXHUYCUYAUX
      GJIZUYEUYAUXJUXFJIZUYFUXDUXJUXTUXPRZUXSUYGUXDUXHUXFWLWMZUXEUXFXAQZUXGVJPU
      XDUXSUXHWGUXGAWNQUYAUWGUYFUVOUYCUYDTUVGUWGUXCUXTUWHUNUYJUVGUVOUXCUXTUWAUN
      AUXGUVBWOVCWPUYAUXGUXLMHZUXLUYBUVBUYAUXEUXFFMHZWJHZUYKUXLUYAUXJUYGUVPUYMU
      YKNUYHUYIUXDUVPUXTUXMRZUXEUXFFWQVCUYAUYLFUXEWJUYAUVPUXSUYLFNUYNUXDUXSUXHW
      DUXFWRQWHWSUYAUVBUXLUXGMUXDUVBUXLNUXTUXRRZWHUYOWTXBXCUVGUVBUWELZUXCUVGUVO
      UWGUYPUWAUWHUVBAXDQZRXEXFUVGUWNUWIUVGUWNKZUWEUVBUYRAUXEIZDCSXGZUCZUXIUYRA
      DUYTUXEXHZIVUAUYRAUVBVUBUVCUVDUVFUWNVMUYRUVPUVQUWNUVBVUBNUVGUVPUWNUXBRZUV
      GUVQUWNUWQRZUVGUWNUQZDFCJXIXJVQDAUYTUXEXKVLUYRUYSUXIDUYTUVHUYTIUYRUVHCIZU
      YSUXITUVHCSXLUYRVUFUYSUXIUYRVUFUYSKZKZUWEEUVBAUXFMHZXHZUVBVUHUWGUVOUVBVEZ
      UWEVUJNUVGUWGUWNVUGUWHUNZUVGUVOUWNVUGUWAUNVUHFJXMXGIZUVQUWNVUKVUHUVPSFIZV
      UMUYRUVPVUGVUCRZXNFXOXPUYRUVQVUGVUDRZUVGUWNVUGUPFCJXQXJEAUVBJXRXJVUHVUIUV
      BLZEUVBYMVUJUVBLVUHVUQEUVBVUHUXFUVBIZUXFFUAUBZGHZIZUAUYTUCZVUQUYRVURVVBXS
      VUGUYRVURUXFUAUYTVUTXHZIVVBUYRUVBVVCUXFUYRUVPUVQUWNUVBVVCNVUCVUDVUEUAFCJX
      IXJXTUAUXFUYTVUTXKYARVUHVVAVUQUAUYTVUSUYTIVUHVUSCIZVVAVUQTVUSCSXLVUHVVDVV
      AVUQVUHVVDVVAKZKZVUIFUVHVUSYBZVDZGHZUVBVVFVUIFVVGGHZVVJMHZVVIVVFVUIVVJUXF
      MHZVVKVVFAVVJLZVUIVVLLZVVFAUXEVVJVVFUXEVHZUYSAUXELVVFUXJVVOVVFUVPUWBUXJVU
      HUVPVVEVUORZVVFUVQVUFUWBVUHUVQVVEVUPRZUYRVUFUYSVVEYCZCUVHVBQZUXOQUXEVJPUY
      RVUFUYSVVEYDUXEAWNQVVFUVHVVGLZUXEVVJLZUVHVUSYEVVFUWBVVGJIZUVPOFIZVVTVWATV
      VSVVFUVQVVGCIZVWBVVQVVFUWPVUFVVDVWDUVGUWPUWNVUGVVEUWRYFZVVRVUHVVDVVAWDZCU
      VHVUSYGVCZCVVGVBQZVVPVWCVVFYHYIZUVHVVGFYJYKYNYLVVFUWGVVJJIZUYGVVMVVNTVUHU
      WGVVEVULRVVFUVPVWBVWJVVPVWHFVVGUOQZVVFVUTJIZVVAUYGVVFUVPVUSJIZVWLVVPVVFUV
      QVVDVWMVVQVWFCVUSVBQZFVUSUOQZVUHVVDVVAWGZVUTUXFVBQZAVVJUXFWOVCWPVVFUXFVVJ
      LZVVLVVKLZVVFUXFVUTVVJVVFVUTVHZVVAUXFVUTLVVFVWLVWTVWOVUTVJPVWPVUTUXFWNQVV
      FVUSVVGLZVUTVVJLZVUSUVHUUAVVFVWMVWBUVPVWCVXAVXBTVWNVWHVVPVWIVUSVVGFYJYKYN
      YLVVFUYGVWJVWJVWRVWSXSVWQVWKVWKUXFVVJVVJUUEVCUUBYLVVFVVJSVDZWJHZVVJFWJHZV
      VKVVIVVFVXCFLZVXDVXELZFVHVUNVXFUUFXNSFYOUUCVVFVXCJIZUVPVWJVXFVXGTSJIZVXHV
      VFYPSYQUUDVVPVWKVXCFVVJUUGVCYNVVFVXDVVJSWJHZVVJMHZVVKVVFVWJVXIVXDVXKNVWKV
      XIVVFYPYIVVJSUUHQVVFVXJVVJVVJMVVFVWJVXJVVJNVWKVVJUUIPVTUUJVVFUVPVWBVVIVXE
      NVVPVWHFVVGWKQUUKYLVVFVVHCLZVVIUVBLZVVFUWPVWDVXLVWEVWGVVGCYOUULVVFVVHJIZU
      VQUVPVWCVXLVXMTVVFVWBVXNVWHVVGYQPVVQVVPVWIVVHCFYJYKWPYLYRYSYTUUMUUNEUVBVU
      IUVBUUPUUOUUQYRYSYTWPUVGUYPUWNUYQRXEWCUURWPRVTWSUVJUWDUVLUVIBUVIBAMVRUVJU
      USUUTUVAYTWP $.

    $( Lemma for ~ omabs .  (Contributed by Mario Carneiro, 30-May-2015.) $)
    omabslem $p |- ( ( _om e. On /\ A e. _om /\ (/) e. A ) ->
        ( A .o _om ) = _om ) $=
      ( vx com con0 wcel c0 w3a comu co wa ciun wlim wceq nnon limom jctr omlim
      wss cv syl2an wral word ordom nnmcl ordelss ralrimiva iunss sylibr adantr
      sylancr eqsstrd ancoms 3adant3 omword2 3impa syl3an2 eqssd ) CDEZACEZFAEZ
      GACHIZCURUSVACRZUTUSURVBUSURJVABCABSZHIZKZCUSADEZURCLZJVAVEMURANZURVGOPBA
      CDQTUSVECRZURUSVDCRZBCUAVIUSVJBCUSVCCEJCUBVDCEVJUCAVCUDCVDUEUJUFBCVDCUGUH
      UIUKULUMUSURVFUTCVARZVHURVFUTVKCAUNUOUPUQ $.

    $( Ordinal multiplication is also absorbed by powers of ` _om ` .
       (Contributed by Mario Carneiro, 30-May-2015.) $)
    omabs $p |- ( ( ( A e. _om /\ (/) e. A ) /\ ( B e. On /\ (/) e. B ) ) ->
        ( A .o ( _om ^o B ) ) = ( _om ^o B ) ) $=
      ( vy vz com wcel c0 wa con0 coe co comu wi oveq2d eqeq12d adantr ad2antrr
      wceq syl syl2anc vx cv csuc eleq2 oveq2 imbi12d pm2.21i a1i simprl simpll
      noel simplr omabslem syl3anc c1o suceq df-1o eqtr4di oe1 ad2antrl 3eqtr4d
      sylan9eqr ex a1dd oveq1 oesuc adantl nnon oecl omass eqtr4d syl5ibr com23
      imim2d simprr on0eqel mpjaod anassrs expcom wlim wral ad3antrrr cvv jctil
      wo ciun vex limelon c2o cdif 1onn ondif2 sylanblrc oelimcl omlim syl12anc
      wss wrex simplrl oelim2 eleq2d eliun bitrdi wb anass wne on0eln0 pm5.32da
      onelon bitr4di anbi1d bitr3id rexbidv2 bitr4d r19.29 id imp anim1i anasss
      dif1o word eloni omord2 syl31anc mpbid eleqtrd oeord ontr1 mp2and ordelss
      rexlimdva expdimp sylbid ralrimiv iunss sylibr eqsstrd simpllr omword2
      syl5 syl21anc eqssd tfinds3 com12 adantrr imp32 an32s wn nnm0 cxp wfn cdm
      fnoe fndm ax-mp ndmov pm2.61dan ) AEFZGAFZHZBIFZGBFZHZHZEIFZUVAHZAEBJKZLK
      ZUVGRZUUTUVFUVCUVIUUTUVFHUVAUVBUVIUUTUVEUVAUVBUVIMZMUVAUVAUUTUVEHZUVJGUAU
      BZFZAEUVLJKZLKZUVNRZMZGGFZAEGJKZLKZUVSRZMZGCUBZFZAEUWCJKZLKZUWERZMZGUWCUC
      ZFZAEUWIJKZLKZUWKRZMZUVJUVKUACBUVLGRZUVMUVRUVPUWAUVLGGUDUWOUVOUVTUVNUVSUW
      OUVNUVSALUVLGEJUEZNUWPOUFUVLUWCRZUVMUWDUVPUWGUVLUWCGUDUWQUVOUWFUVNUWEUWQU
      VNUWEALUVLUWCEJUEZNUWROUFUVLUWIRZUVMUWJUVPUWMUVLUWIGUDUWSUVOUWLUVNUWKUWSU
      VNUWKALUVLUWIEJUEZNUWTOUFUVLBRZUVMUVBUVPUVIUVLBGUDUXAUVOUVHUVNUVGUXAUVNUV
      GALUVLBEJUEZNUXBOUFUWBUVKUVRUWAGUKUGUHUVKUWCIFZUWHUWNMZUUTUVEUXCUXDUUTUVE
      UXCHZHZUWHUWMUWJUXFUWCGRZUWHUWMMUWDUXFUXGUWMUWHUXFUXGUWMUXFUXGHZAELKZEUWL
      UWKUXFUXIERZUXGUXFUVEUURUUSUXJUUTUVEUXCUIZUURUUSUXEUJUURUUSUXEULAUMUNPUXH
      UWKEALUXGUXFUWKEUOJKZEUXGUWIUOEJUXGUWIGUCUOUWCGUPUQURNUVEUXLERUUTUXCEUSUT
      VBZNUXMVAVCVDUXFUWHUWDUWMUXFUWGUWMUWDUWGUWMUXFUWFELKZUWEELKZRUWFUWEELVEUX
      FUWLUXNUWKUXOUXFUWLAUXOLKZUXNUXFUWKUXOALUXEUWKUXORUUTEUWCVFVGZNUXFAIFZUWE
      IFZUVEUXNUXPRUURUXRUUSUXEAVHZQUXEUXSUUTEUWCVIZVGUXKAUWEEVJUNVKUXQOVLVNVMU
      XFUXCUXGUWDWEUUTUVEUXCVOUWCVPSVQVDVRVSUVKUVLVTZUWHCUVLWAZUVQMUVKUYBHUYCUV
      PUVMUUTUVEUYBUYCUVPMUUTUVEUYBHZHZUYCUVPUYEUYCHZUVOUVNUYFUVODUVNADUBZLKZWF
      ZUVNUYFUXRUVNIFZUVNVTZUVOUYIRUURUXRUUSUYDUYCUXTWBZUYEUYJUYCUYEUVEUVLIFZUY
      JUUTUVEUYBUIZUYEUVLWCFZUYBHZUYMUYEUYBUYOUUTUVEUYBVOUAWGWDZUVLWCWHSZEUVLVI
      TZPZUYFEIWIWJFZUYPUYKUYEVUAUYCUYEUVEUOEFVUAUYNWKEWLWMZPUYEUYPUYCUYQPZEUVL
      WCWNTDAUVNIWOWPUYFUYHUVNWQZDUVNWAUYIUVNWQUYFVUDDUVNUYFUYGUVNFZUWDUYGUWEFZ
      HZCUVLWRZVUDUYFVUEVUFCUVLUOWJZWRZVUHUYFVUEUYGCVUIUWEWFZFVUJUYFUVNVUKUYGUY
      FUVEUYPUVNVUKRUUTUVEUYBUYCWSVUCCEUVLWCWTTXACUYGVUIUWEXBXCUYFUYMVUHVUJXDUY
      EUYMUYCUYRPUYMVUGVUFCUVLVUIUWCUVLFZVUGHVULUWDHZVUFHUYMUWCVUIFZVUFHVULUWDV
      UFXEUYMVUMVUNVUFUYMVUMVULUWCGXFZHVUNUYMVULUWDVUOUYMVULHUXCUWDVUOXDUVLUWCX
      IZUWCXGSXHUWCUVLXTXJXKXLXMSXNUYEUYCVUHVUDUYCVUHHUWHVUGHZCUVLWRUYEVUDUWHVU
      GCUVLXOUYEVUQVUDCUVLVUQUWGVUFHZUYEVULHZVUDUWHUWDVUFVURUWHUWDHUWGVUFUWHUWD
      UWGUWHXPXQXRXSVUSVURVUDVUSVURHZUVNYAZUYHUVNFZVUDVUTUYJVVAUYEUYJVULVURUYSQ
      ZUVNYBSVUTUYHUWEFZUWEUVNFZVVBVUTUYHUWFUWEVUTVUFUYHUWFFZVUSUWGVUFVOZVUTUYG
      IFZUXSUXRUUSVUFVVFXDVUTUXSVUFVVHVUTUVEUXCUXSUYEUVEVULVURUYNQVUTUYMVULUXCU
      YEUYMVULVURUYRQZUYEVULVURULZVUPTZUYATZVVGUWEUYGXITVVLUYEUXRVULVURUURUXRUU
      SUYDUXTQQUYEUUSVULVURUURUUSUYDULQUYGUWEAYCYDYEVUSUWGVUFUIYFVUTVULVVEVVJVU
      TUXCUYMVUAVULVVEXDVVKVVIUYEVUAVULVURVUBQUWCUVLEYGUNYEVUTUYJVVDVVEHVVBMVVC
      UYHUWEUVNYHSYIUVNUYHYJTVCYTYKYTYLYMYNDUVNUYHUVNYOYPYQUYFUYJUXRUUSUVNUVOWQ
      UYTUYLUURUUSUYDUYCYRUVNAYSUUAUUBVCVRVDVSUUCUUDUUEUUFUUGUVDUVFUUHZHZAGLKZG
      UVHUVGUURVVOGRUUSUVCVVMAUUIWBVVNUVGGALVVMUVGGRUVDEBIJJIIUUJZUUKJUULVVPRUU
      MVVPJUUNUUOUUPVGZNVVQVAUUQ $.
  $}

  $( Multiply an element of ` _om ` by ` 1o ` .  (Contributed by Mario
     Carneiro, 17-Nov-2014.) $)
  nnm1 $p |- ( A e. _om -> ( A .o 1o ) = A ) $=
    ( com wcel c1o comu co c0 csuc df-1o oveq2i wceq peano1 nnmsuc mpan2 oveq1d
    coa nnm0 nna0r 3eqtrd eqtrid ) ABCZADEFAGHZEFZADUBAEIJUAUCAGEFZAPFZGAPFAUAG
    BCUCUEKLAGMNUAUDGAPAQOARST $.

  $( Multiply an element of ` _om ` by ` 2o ` .  (Contributed by Scott Fenton,
     18-Apr-2012.)  (Revised by Mario Carneiro, 17-Nov-2014.) $)
  nnm2 $p |- ( A e. _om -> ( A .o 2o ) = ( A +o A ) ) $=
    ( com wcel c2o comu c1o csuc coa df-2o oveq2i wceq 1onn nnmsuc mpan2 oveq1d
    co nnm1 eqtrd eqtrid ) ABCZADEPAFGZEPZAAHPZDUAAEIJTUBAFEPZAHPZUCTFBCUBUEKLA
    FMNTUDAAHAQORS $.

  $( Multiply an element of ` _om ` by ` 2o ` .  (Contributed by Scott Fenton,
     16-Apr-2012.)  (Revised by Mario Carneiro, 17-Nov-2014.) $)
  nn2m $p |- ( A e. _om -> ( 2o .o A ) = ( A +o A ) ) $=
    ( com wcel c2o comu co coa wceq 2onn nnmcom mpan nnm2 eqtrd ) ABCZDAEFZADEF
    ZAAGFDBCNOPHIDAJKALM $.

  $( If a natural number is even, its successor is odd.  (Contributed by Mario
     Carneiro, 16-Nov-2014.) $)
  nnneo $p |- ( ( A e. _om /\ B e. _om /\ C = ( 2o .o A ) ) ->
              -. suc C = ( 2o .o B ) ) $=
    ( com wcel comu co wceq csuc wa con0 nnon wb sucid mpbii 2onn nnmord mp3an3
    c2o c1o w3a wn onnbtwn syl 3ad2ant1 suceq eqeq1d 3ad2ant3 wi eleq2 c0 simpl
    ovex syl6bir syl5 simpr coa nnmcl mpan oa1suc 3syl 1oex df-2o eleqtrri 1onn
    nnaord mp3an12i nnmsuc eleqtrrd eqeltrrd peano2 sylan2 ancoms adantr mpbird
    ad2antrr simpld ex jcad 3adant3 sylbid mtod ) ADEZBDEZCSAFGZHZUAZCIZSBFGZHZ
    ABEZBAIZEZJZWCWDWNUBZWFWCAKEWOALABUCUDUEWGWJWEIZWIHZWNWFWCWJWQMWDWFWHWPWICW
    EUFUGUHWCWDWQWNUIWFWCWDJZWQWKWMWQWEWIEZWRWKWQWEWPEWSWESAFUMNWPWIWEUJOWRWSWK
    UKSEZJZWKWCWDSDEZXAWSMPABSQRWKWTULUNUOWRWQWMWRWQJZWMWTXCWMWTJZWISWLFGZEZXCW
    PWIXEWRWQUPWCWPXEEWDWQWCWETUQGZWPXEWCWEDEZWEKEXGWPHXBWCXHPSAURUSZWELWEUTVAW
    CXGWESUQGZXEWCTSEZXGXJEZTTISTVBNVCVDTDEXBWCXHXKXLMVEPXITSWEVFVGOXBWCXEXJHPS
    AVHUSVIVJVPVJWRXDXFMZWQWDWCXMWCWDWLDEZXMAVKWDXNXBXMPBWLSQRVLVMVNVOVQVRVSVTW
    AWB $.

  ${
    $d x y z A $.
    $( A natural number is even iff its successor is odd.  (Contributed by NM,
       26-Jan-2006.)  (Revised by Mario Carneiro, 15-Nov-2014.) $)
    nneob $p |- ( A e. _om -> ( E. x e. _om A = ( 2o .o x )
          <-> -. E. x e. _om suc A = ( 2o .o x ) ) ) $=
      ( vy com wcel comu co wceq wrex csuc wn wi c0 suceq eqeq1d rexbidv notbid
      c2o eqeq1 imbi12d vz cv oveq2 eqeq2d cbvrexvw wa nnneo 3com23 3expa sylbi
      nrexdv rexlimiva peano1 eqid con0 2on om0 ax-mp eqtrdi rspceeqv mp2an a1i
      peano2 coa c1o 2onn nnmsuc mpan df-2o oveq2i nnmcl nnasuc sylancl eqtr2id
      1onn nnon oa1suc 4syl 3eqtr2rd syl2anc syl syl5ibrcom rexlimiv con3d con1
      syl5bi syl9 finds impbid2 ) BDEBRAUBZFGZHZADIZBJZWKHZADIZKZWMBRCUBZFGZHZC
      DIWQWLWTACDWJWRHZWKWSBWJWRRFUCZUDUEWTWQCDWRDEZWTUFWOADXCWTWJDEZWOKZXCXDWT
      XEWRWJBUGUHUIUKULUJWRJZWKHZADIZKZWRWKHZADIZLMJZWKHZADIZKZMWKHZADIZLUAUBZJ
      ZWKHZADIZKZXRWKHZADIZLZXSJZWKHZADIZKZYALWQWMLCUABWRMHZXIXOXKXQYJXHXNYJXGX
      MADYJXFXLWKWRMNOPQYJXJXPADWRMWKSPTWRXRHZXIYBXKYDYKXHYAYKXGXTADYKXFXSWKWRX
      RNOPQYKXJYCADWRXRWKSPTWRXSHZXIYIXKYAYLXHYHYLXGYGADYLXFYFWKWRXSNOPQYLXJXTA
      DWRXSWKSPTWRBHZXIWQXKWMYMXHWPYMXGWOADYMXFWNWKWRBNOPQYMXJWLADWRBWKSPTXQXOM
      DEMMHXQUMMUNAMDWKMMWJMHWKRMFGZMWJMRFUCRUOEYNMHUPRUQURUSUTVAVBXRDEZYIYDKYE
      YAYOYDYHYDXRWSHZCDIZYOYHYCYPACDXAWKWSXRXBUDUEYQYHLYOYPYHCDXCYHYPWSJZJZWKH
      ZADIZXCXFDEYSRXFFGZHUUAWRVCXCUUBWSRVDGZWSVEVDGZJZYSRDEZXCUUBUUCHVFRWRVGVH
      XCUUCWSVEJZVDGZUUERUUGWSVDVIVJXCWSDEZVEDEUUHUUEHUUFXCUUIVFRWRVKVHZVOWSVEV
      LVMVNXCUUIWSUOEUUDYRHUUEYSHUUJWSVPWSVQUUDYRNVRVSAXFDWKUUBYSWJXFRFUCUTVTYP
      YGYTADYPYFYSWKYPXSYRHYFYSHXRWSNXSYRNWAOPWBWCVBWFWDYAYDWEWGWHWI $.
  $}

  ${
    $d y z w A $.  $d x y z w F $.
    $( Lemma for ~ omsmo .  (Contributed by NM, 30-Nov-2003.)  (Revised by
       David Abernethy, 1-Jan-2014.) $)
    omsmolem $p |- ( y e. _om -> ( ( ( A C_ On /\ F : _om --> A ) /\
        A. x e. _om ( F ` x ) e. ( F ` suc x ) ) ->
       ( z e. y -> ( F ` z ) e. ( F ` y ) ) ) ) $=
      ( vw cv wcel cfv wi c0 csuc con0 com wa eleq2 fveq2 eleq2d imbi12d weq wf
      wss wral wceq noel pm2.21i a1i wo vex elsuc suceq eleq12d rspccva adantll
      fveq2d peano2b ffvelrn sylan2b ssel ontr1 expcomd impl adantlr mpd imim2d
      syl56 imp eleq1d syl5ibrcom ad4ant23 jaod syl5bi exp31 com12 finds2 ) CGZ
      BGZHZVPEIZVQEIZHZJVPKHZVSKEIZHZJZVPFGZHZVSWFEIZHZJZVPWFLZHZVSWKEIZHZJZDMU
      BZNDEUAZOZAGZEIZWSLZEIZHZANUCZOZBFVQKUDZVRWBWAWDVQKVPPXFVTWCVSVQKEQRSBFTZ
      VRWGWAWIVQWFVPPXGVTWHVSVQWFEQRSVQWKUDZVRWLWAWNVQWKVPPXHVTWMVSVQWKEQRSWEXE
      WBWDVPUEUFUGXEWFNHZWJWOJXEXIWJWOWLWGCFTZUHXEXIOZWJOZWNVPWFCUIUJXLWGWNXJXK
      WJWGWNJXKWIWNWGXKWHWMHZWIWNJZXDXIXMWRXCXMAWFNAFTZWTWHXBWMWSWFEQXOXAWKEWSW
      FUKUOULUMZUNWRXIXMXNJZXDWPWQXIXQWQXIOWMDHZWPWMMHZXQXIWQWKNHXRWFUPNDWKEUQU
      RDMWMUSXSWIXMWNVSWHWMUTVAVFVBVCVDVEVGXDXIXJWNJWRWJXDXIOWNXJXMXPXJVSWHWMVP
      WFEQVHVIVJVKVLVMVNVO $.

    $( A strictly monotonic ordinal function on the set of natural numbers is
       one-to-one.  (Contributed by NM, 30-Nov-2003.)  (Revised by David
       Abernethy, 1-Jan-2014.) $)
    omsmo $p |- ( ( ( A C_ On /\ F : _om --> A ) /\
          A. x e. _om ( F ` x ) e. ( F ` suc x ) ) -> F : _om -1-1-> A ) $=
      ( vy vz con0 com wa cv cfv wcel wral wceq wi wo omsmolem adantl imp word
      wn wss wf csuc simplr adantr orim12d ancoms con3d wb ffvelrn ssel expdimp
      wf1 syl5 eloni syl6 anim12d ordtri3 syl adantlr syl2an 3imtr4d ralrimivva
      nnord dff13 sylanbrc ) BFUAZGBCUBZHZAIZCJVJUCCJKAGLZHZVHDIZCJZEIZCJZMZVMV
      OMZNZEGLDGLGBCUMVGVHVKUDVLVSDEGGVLVMGKZVOGKZHZHZVNVPKZVPVNKZOZTZVMVOKZVOV
      MKZOZTZVQVRWCWJWFWBVLWJWFNWBVLHWHWDWIWEWBVLWHWDNZWAVLWLNVTAEDBCPQRWBVLWIW
      ENZVTVLWMNWAADEBCPUERUFUGUHVIWBVQWGUIZVKVIWBHVNSZVPSZHZWNVIWBWQVIVTWOWAWP
      VIVTVNFKZWOVGVHVTWRVHVTHVNBKVGWRGBVMCUJBFVNUKUNULVNUOUPVIWAVPFKZWPVGVHWAW
      SVHWAHVPBKVGWSGBVOCUJBFVPUKUNULVPUOUPUQRVNVPURUSUTWBVRWKUIZVLVTVMSVOSWTWA
      VMVDVOVDVMVOURVAQVBVCDEGBCVEVF $.
  $}

  ${
    omopthlem1.1 $e |- A e. _om $.
    omopthlem1.2 $e |- C e. _om $.
    $( Lemma for ~ omopthi .  (Contributed by Scott Fenton, 18-Apr-2012.)
       (Revised by Mario Carneiro, 17-Nov-2014.) $)
    omopthlem1 $p |- ( A e. C ->
                ( ( A .o A ) +o ( A .o 2o ) ) e. ( C .o C ) ) $=
      ( csuc wss comu co wcel c2o coa wi ax-mp mp3an nnoni onsucssi nnmcli wceq
      com mp2an peano2 nnmwordi nnmwordri sstrd 2onn nnacli nnasuc nnmsuc eqtri
      nnaass nnmcom oveq1i nnm2 oveq2i 3eqtr4ri suceq sseq1i bitri 3imtr4i ) AE
      ZBFZUTUTGHZBBGHZFZABIAAGHZAJGHZKHZVCIZVAVBUTBGHZVCUTSIZBSIZVJVAVBVIFLASIZ
      VJCAUAMZDVMUTBUTUBNVJVKVKVAVIVCFLVMDDUTBBUCNUDABACOBDOPVHVGEZVCFVDVGVCVGV
      EVFAACCQZAJCUEQUFOVCBBDDQOPVNVBVCUTAGHZUTKHZVPAKHZEZVBVNVPSIVLVQVSRUTAVMC
      QCVPAUGTVJVLVBVQRVMCUTAUHTVGVRRVNVSRVEAKHZAKHZVEAAKHZKHZVRVGVESIVLVLWAWCR
      VOCCVEAAUJNVPVTAKVPAUTGHZVTVJVLVPWDRVMCUTAUKTVLVLWDVTRCCAAUHTUIULVFWBVEKV
      LVFWBRCAUMMUNUOVGVRUPMUOUQURUS $.
  $}

  ${
    omopthlem2.1 $e |- A e. _om $.
    omopthlem2.2 $e |- B e. _om $.
    omopthlem2.3 $e |- C e. _om $.
    omopthlem2.4 $e |- D e. _om $.
    $( Lemma for ~ omopthi .  (Contributed by Scott Fenton, 16-Apr-2012.)
       (Revised by Mario Carneiro, 17-Nov-2014.) $)
    omopthlem2 $p |- ( ( A +o B ) e. C ->
     -. ( ( C .o C ) +o D ) = ( ( ( A +o B ) .o ( A +o B ) ) +o B ) ) $=
      ( comu co coa wceq wcel nnmcli nnacli nnoni com wss mp2an nnacom nnaword1
      onirri eleq1 mtbii c2o sseqtri nnaass mp3an nnm2 ax-mp eqtr4i wi nnawordi
      2onn 3sstr4i omopthlem1 con0 wa ontr2 sylancr sselid nsyl3 ) CCIJZDKJZABK
      JZVEIJZBKJZLZVGVDMZVECMZVHVDVDMVIVDVDVCDCCGGNZHOPUBVDVGVDUCUDVJVCVDVGVCQM
      DQMVCVDRVKHVCDUASVJVGVFVEUEIJZKJZRZVMVCMZVGVCMZBVFKJZVLVFKJZVGVMBVLRZVQVR
      RZBVEAKJZBKJZVLBBWAKJZWBBQMZWAQMZBWCRFVEAABEFOZEOZBWAUASWDWEWCWBLFWGBWATS
      UFWBVEVEKJZVLVEQMZAQMWDWBWHLWFEFVEABUGUHWIVLWHLWFVEUIUJUKUFWDVLQMZVFQMZVS
      VTULFVEUEWFUNNZVEVEWFWFNZBVLVFUMUHUJWKWDVGVQLWMFVFBTSWKWJVMVRLWMWLVFVLTSU
      OVECWFGUPVGUQMVCUQMVNVOURVPULVGVFBWMFOPVCVKPVGVMVCUSSUTVAVB $.
  $}

  ${
    omopth.1 $e |- A e. _om $.
    omopth.2 $e |- B e. _om $.
    omopth.3 $e |- C e. _om $.
    omopth.4 $e |- D e. _om $.
    $( An ordered pair theorem for ` _om ` .  Theorem 17.3 of [Quine] p. 124.
       This proof is adapted from ~ nn0opthi .  (Contributed by Scott Fenton,
       16-Apr-2012.)  (Revised by Mario Carneiro, 17-Nov-2014.) $)
    omopthi $p |- ( ( ( ( A +o B ) .o ( A +o B ) ) +o B ) =
                     ( ( ( C +o D ) .o ( C +o D ) ) +o D ) <->
                     ( A = C /\ B = D ) ) $=
      ( coa co comu wceq wn wcel word wb nnacli mp2an oveq12d com wa wo ordtri3
      nnoni onordi con2bii omopthlem2 eqcom sylnib jaoi sylbir id oveq1d eqtr4d
      con4i nnmcli nnacan mp3an sylib oveq2d nnacom 3eqtr4g oveq12 simpr impbii
      jca ) ABIJZVGKJZBIJZCDIJZVJKJZDIJZLZACLZBDLZUAZVMVNVOVMBAIJZBCIJZLZVNVMVG
      CBIJZVQVRVMVGVJVTVGVJLZVMWAMVGVJNZVJVGNZUBZVMMZWAWDVGOVJOWAWDMPVGVGABEFQZ
      UDUEVJVJCDGHQZUDUEVGVJUCRUFWBWEWCWBVLVILVMABVJDEFWGHUGVLVIUHUICDVGBGHWFFU
      GUJUKUOZVMBDCIVMVIVHDIJZLZVOVMVIVLWIVMULVMVHVKDIVMVGVJVGVJKWHWHSUMUNVHTNB
      TNZDTNWJVOPVGVGWFWFUPFHVHBDUQURUSZUTUNWKATNZVQVGLFEBAVARWKCTNZVRVTLFGBCVA
      RVBWKWMWNVSVNPFEGBACUQURUSWLVFVPVHVKBDIVPVGVJVGVJKACBDIVCZWOSVNVOVDSVE $.
  $}

  $( An ordered pair theorem for finite integers.  Analogous to ~ nn0opthi .
     (Contributed by Scott Fenton, 1-May-2012.) $)
  omopth $p |- ( ( ( A e. _om /\ B e. _om ) /\ ( C e. _om /\ D e. _om ) ) ->
                 ( ( ( ( A +o B ) .o ( A +o B ) ) +o B ) =
                     ( ( ( C +o D ) .o ( C +o D ) ) +o D ) <->
                     ( A = C /\ B = D ) ) ) $=
    ( com wcel coa co comu wceq wa wb c0 cif oveq1 oveq12d oveq1d peano1 elimel
    bibi12d eqeq1d eqeq1 anbi1d oveq2 id anbi2d eqeq2d eqeq2 omopthi dedth4h )
    AEFZBEFZCEFZDEFZABGHZUOIHZBGHZCDGHZURIHZDGHZJZACJZBDJZKZLUKAMNZBGHZVFIHZBGH
    ZUTJZVECJZVCKZLVEULBMNZGHZVMIHZVLGHZUTJZVJVLDJZKZLVOUMCMNZDGHZVTIHZDGHZJZVE
    VSJZVQKZLVOVSUNDMNZGHZWGIHZWFGHZJZWDVLWFJZKZLABCDMMMMAVEJZVAVIVDVKWMUQVHUTW
    MUPVGBGWMUOVFUOVFIAVEBGOZWNPQUAWMVBVJVCAVECUBUCTBVLJZVIVPVKVRWOVHVOUTWOVGVN
    BVLGWOVFVMVFVMIBVLVEGUDZWPPWOUEPUAWOVCVQVJBVLDUBUFTCVSJZVPWCVRWEWQUTWBVOWQU
    SWADGWQURVTURVTICVSDGOZWRPQUGWQVJWDVQCVSVEUHUCTDWFJZWCWJWEWLWSWBWIVOWSWAWHD
    WFGWSVTWGVTWGIDWFVSGUDZWTPWSUEPUGWSVQWKWDDWFVLUHUFTVEVLVSWFAMERSBMERSCMERSD
    MERSUIUJ $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Equivalence relations and classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c Er $.  $( Equivalence predicate $)
  $c /. $.  $( Long slash for quotient set $)

  $( Extend the definition of a wff to include the equivalence predicate. $)
  wer $a wff R Er A $.

  $( Extend the definition of a class to include equivalence class. $)
  cec $a class [ A ] R $.

  $( Extend the definition of a class to include quotient set. $)
  cqs $a class ( A /. R ) $.

  $( Define the equivalence relation predicate.  Our notation is not standard.
     A formal notation doesn't seem to exist in the literature; instead only
     informal English tends to be used.  The present definition, although
     somewhat cryptic, nicely avoids dummy variables.  In ~ dfer2 we derive a
     more typical definition.  We show that an equivalence relation is
     reflexive, symmetric, and transitive in ~ erref , ~ ersymb , and ~ ertr .
     (Contributed by NM, 4-Jun-1995.)  (Revised by Mario Carneiro,
     2-Nov-2015.) $)
  df-er $a |- ( R Er A <->
    ( Rel R /\ dom R = A /\ ( `' R u. ( R o. R ) ) C_ R ) ) $.

  ${
    $d x y z R $.
    $( Alternate definition of equivalence predicate.  (Contributed by NM,
       3-Jan-1997.)  (Revised by Mario Carneiro, 12-Aug-2015.) $)
    dfer2 $p |- ( R Er A <->
    ( Rel R /\ dom R = A /\ A. x A. y A. z
          ( ( x R y -> y R x ) /\ ( ( x R y /\ y R z ) -> x R z ) ) ) ) $=
      ( wer wrel cdm wceq ccnv wss w3a cv wbr wi wa wal albii 19.26 bitri df-er
      ccom cun cnvsym cotr anbi12i unss 19.28v bitr2i 3bitr3i 3anbi3i ) DEFEGZE
      HDIZEJZEEUBZUCEKZLULUMAMZBMZENZURUQENOZUSURCMZENPUQVAENOZPCQZBQZAQZLDEUAU
      PVEULUMUNEKZUOEKZPUTBQZAQZVBCQZBQZAQZPZUPVEVFVIVGVLABEUDABCEUEUFUNUOEUGVE
      VHVKPZAQVMVDVNAVDUTVJPZBQVNVCVOBUTVBCUHRUTVJBSTRVHVKASUIUJUKT $.
  $}

  $( Define the ` R ` -coset of ` A ` .  Exercise 35 of [Enderton] p. 61.  This
     is called the equivalence class of ` A ` modulo ` R ` when ` R ` is an
     equivalence relation (i.e. when ` Er R ` ; see ~ dfer2 ).  In this case,
     ` A ` is a representative (member) of the equivalence class ` [ A ] R ` ,
     which contains all sets that are equivalent to ` A ` .  Definition of
     [Enderton] p. 57 uses the notation ` [ A ] ` (subscript) ` R ` , although
     we simply follow the brackets by ` R ` since we don't have subscripted
     expressions.  For an alternate definition, see ~ dfec2 .  (Contributed by
     NM, 23-Jul-1995.) $)
  df-ec $a |- [ A ] R = ( R " { A } ) $.

  ${
    $d y A $.  $d y R $.
    $( Alternate definition of ` R ` -coset of ` A ` .  Definition 34 of
       [Suppes] p. 81.  (Contributed by NM, 3-Jan-1997.)  (Proof shortened by
       Mario Carneiro, 9-Jul-2014.) $)
    dfec2 $p |- ( A e. V -> [ A ] R = { y | A R y } ) $=
      ( wcel cec csn cima cv wbr cab df-ec imasng eqtrid ) BDEBCFCBGHBAICJAKBCL
      ABDCMN $.
  $}

  $( An equivalence class modulo a set is a set.  (Contributed by NM,
     24-Jul-1995.) $)
  ecexg $p |- ( R e. B -> [ A ] R e. _V ) $=
    ( wcel cec csn cima cvv df-ec imaexg eqeltrid ) CBDACECAFZGHACICLBJK $.

  $( A nonempty equivalence class implies the representative is a set.
     (Contributed by Mario Carneiro, 9-Jul-2014.) $)
  ecexr $p |- ( A e. [ B ] R -> B e. _V ) $=
    ( cvv wcel csn cima cec c0 wceq n0i wn snprc imaeq2 sylbi ima0 eqtrdi nsyl2
    df-ec eleq2s ) BDEZACBFZGZBCHAUCEUCIJUAUCAKUALZUCCIGZIUDUBIJUCUEJBMUBICNOCP
    QRBCST $.

  ${
    $d x y A $.  $d x y R $.
    $( Define quotient set. ` R ` is usually an equivalence relation.
       Definition of [Enderton] p. 58.  (Contributed by NM, 23-Jul-1995.) $)
    df-qs $a |- ( A /. R ) = { y | E. x e. A y = [ x ] R } $.
  $}

  $( Equality theorem for equivalence predicate.  (Contributed by NM,
     4-Jun-1995.)  (Revised by Mario Carneiro, 12-Aug-2015.) $)
  ereq1 $p |- ( R = S -> ( R Er A <-> S Er A ) ) $=
    ( wceq wrel cdm ccnv ccom cun wss releq dmeq eqeq1d cnveq coeq1 coeq2 eqtrd
    w3a wer df-er uneq12d sseq1d sseq2 bitrd 3anbi123d 3bitr4g ) BCDZBEZBFZADZB
    GZBBHZIZBJZRCEZCFZADZCGZCCHZIZCJZRABSACSUGUHUOUJUQUNVABCKUGUIUPABCLMUGUNUTB
    JVAUGUMUTBUGUKURULUSBCNUGULCBHUSBCBOBCCPQUAUBBCUTUCUDUEABTACTUF $.

  $( Equality theorem for equivalence predicate.  (Contributed by Mario
     Carneiro, 12-Aug-2015.) $)
  ereq2 $p |- ( A = B -> ( R Er A <-> R Er B ) ) $=
    ( wceq wrel cdm ccnv ccom cun wss w3a wer eqeq2 3anbi2d df-er 3bitr4g ) ABD
    ZCEZCFZADZCGCCHICJZKRSBDZUAKACLBCLQTUBRUAABSMNACOBCOP $.

  $( An equivalence relation is a relation.  (Contributed by Mario Carneiro,
     12-Aug-2015.) $)
  errel $p |- ( R Er A -> Rel R ) $=
    ( wer wrel cdm wceq ccnv ccom cun wss df-er simp1bi ) ABCBDBEAFBGBBHIBJABKL
    $.

  $( The domain of an equivalence relation.  (Contributed by Mario Carneiro,
     12-Aug-2015.) $)
  erdm $p |- ( R Er A -> dom R = A ) $=
    ( wer wrel cdm wceq ccnv ccom cun wss df-er simp2bi ) ABCBDBEAFBGBBHIBJABKL
    $.

  ${
    ersym.1 $e |- ( ph -> R Er X ) $.
    ersym.2 $e |- ( ph -> A R B ) $.
    $( Elementhood in the field of an equivalence relation.  (Contributed by
       Mario Carneiro, 12-Aug-2015.) $)
    ercl $p |- ( ph -> A e. X ) $=
      ( cdm wrel wbr wcel wer errel syl releldm syl2anc wceq erdm eleqtrd ) ABD
      HZEADIZBCDJBTKAEDLZUAFEDMNGBCDOPAUBTEQFEDRNS $.

    $( An equivalence relation is symmetric.  (Contributed by NM, 4-Jun-1995.)
       (Revised by Mario Carneiro, 12-Aug-2015.) $)
    ersym $p |- ( ph -> B R A ) $=
      ( ccnv wbr cvv wcel wa wb wrel wer errel syl brrelex12 syl2anc brcnvg cun
      ancoms mpbird ccom wss cdm wceq df-er simp3bi unssad ssbrd mpd ) ACBDHZIZ
      CBDIAUNBCDIZGABJKZCJKZLZUNUOMZADNZUOURAEDOZUTFEDPQGBCDRSUQUPUSCBJJDTUBQUC
      AUMDCBAUMDDUDZDAVAUMVBUADUEZFVAUTDUFEUGVCEDUHUIQUJUKUL $.

    $( Elementhood in the field of an equivalence relation.  (Contributed by
       Mario Carneiro, 12-Aug-2015.) $)
    ercl2 $p |- ( ph -> B e. X ) $=
      ( ersym ercl ) ACBDEFABCDEFGHI $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x ph $.  $d x R $.
    ersymb.1 $e |- ( ph -> R Er X ) $.
    $( An equivalence relation is symmetric.  (Contributed by NM, 30-Jul-1995.)
       (Revised by Mario Carneiro, 12-Aug-2015.) $)
    ersymb $p |- ( ph -> ( A R B <-> B R A ) ) $=
      ( wbr wa wer adantr simpr ersym impbida ) ABCDGZCBDGZANHBCDEAEDIZNFJANKLA
      OHCBDEAPOFJAOKLM $.

    $( An equivalence relation is transitive.  (Contributed by NM, 4-Jun-1995.)
       (Revised by Mario Carneiro, 12-Aug-2015.) $)
    ertr $p |- ( ph -> ( ( A R B /\ B R C ) -> A R C ) ) $=
      ( vx wbr wa ccom cv wex cvv wcel syl simpr brrelex1 syl2an wceq wer errel
      wrel breq2 breq1 anbi12d spcedv wb simpl brrelex2 brcog syl2anc mpbird ex
      ccnv cun wss cdm df-er simp3bi unssbd ssbrd syld ) ABCEIZCDEIZJZBDEEKZIZB
      DEIAVFVHAVFJZVHBHLZEIZVJDEIZJZHMZVIVMVFHNCAEUCZVECNOVFAFEUAZVOGFEUBPZVDVE
      QZCDERSAVFQVJCTVKVDVLVEVJCBEUDVJCDEUEUFUGVIBNOZDNOZVHVNUHAVOVDVSVFVQVDVEU
      IBCERSAVOVEVTVFVQVRCDEUJSHBDEENNUKULUMUNAVGEBDAEUOZVGEAVPWAVGUPEUQZGVPVOE
      URFTWBFEUSUTPVAVBVC $.

    ${
      ertrd.5 $e |- ( ph -> A R B ) $.
      ertrd.6 $e |- ( ph -> B R C ) $.
      $( A transitivity relation for equivalences.  (Contributed by Mario
         Carneiro, 9-Jul-2014.) $)
      ertrd $p |- ( ph -> A R C ) $=
        ( wbr ertr mp2and ) ABCEJCDEJBDEJHIABCDEFGKL $.

      $( A transitivity relation for equivalences.  (Contributed by Mario
         Carneiro, 9-Jul-2014.) $)
      ertr2d $p |- ( ph -> C R A ) $=
        ( ertrd ersym ) ABDEFGABCDEFGHIJK $.
    $}

    ${
      ertr3d.5 $e |- ( ph -> B R A ) $.
      ertr3d.6 $e |- ( ph -> B R C ) $.
      $( A transitivity relation for equivalences.  (Contributed by Mario
         Carneiro, 9-Jul-2014.) $)
      ertr3d $p |- ( ph -> A R C ) $=
        ( ersym ertrd ) ABCDEFGACBEFGHJIK $.
    $}

    ${
      ertr4d.5 $e |- ( ph -> A R B ) $.
      ertr4d.6 $e |- ( ph -> C R B ) $.
      $( A transitivity relation for equivalences.  (Contributed by Mario
         Carneiro, 9-Jul-2014.) $)
      ertr4d $p |- ( ph -> A R C ) $=
        ( ersym ertrd ) ABCDEFGHADCEFGIJK $.
    $}

    erref.2 $e |- ( ph -> A e. X ) $.
    $( An equivalence relation is reflexive on its field.  Compare Theorem 3M
       of [Enderton] p. 56.  (Contributed by Mario Carneiro, 6-May-2013.)
       (Revised by Mario Carneiro, 12-Aug-2015.) $)
    erref $p |- ( ph -> A R A ) $=
      ( vx cv wbr cdm wcel wex wer wceq erdm syl eleqtrrd wb eldmg mpbid adantr
      wa simpr ertr4d exlimddv ) ABGHZCIZBBCIGABCJZKZUGGLZABDUHFADCMZUHDNEDCOPQ
      ABDKUIUJRFGBCDSPTAUGUBBUFBCDAUKUGEUAAUGUCZULUDUE $.
  $}

  ${
    $d x y A $.  $d x y R $.
    $( The converse of an equivalence relation is itself.  (Contributed by
       Mario Carneiro, 12-Aug-2015.) $)
    ercnv $p |- ( R Er A -> `' R = R ) $=
      ( vx vy wrel wer ccnv wceq errel relcnv cv wbr wcel id ersymb brcnv df-br
      cop vex bitr3i 3bitr3g eqrelrdv2 mpanl1 mpancom ) BEZABFZBGZBHZABIUGEUEUF
      UHBJUFCDUGBUFDKZCKZBLZUJUIBLUJUIRZUGMZULBMUFUIUJBAUFNOUKUJUIUGLUMUJUIBCSD
      SPUJUIUGQTUJUIBQUAUBUCUD $.
  $}

  $( The range and domain of an equivalence relation are equal.  (Contributed
     by Rodolfo Medina, 11-Oct-2010.)  (Revised by Mario Carneiro,
     12-Aug-2015.) $)
  errn $p |- ( R Er A -> ran R = A ) $=
    ( wer crn ccnv cdm df-rn ercnv dmeqd erdm eqtrd eqtrid ) ABCZBDBEZFZABGMOBF
    AMNBABHIABJKL $.

  $( An equivalence relation is a subset of the cartesian product of the field.
     (Contributed by Mario Carneiro, 12-Aug-2015.) $)
  erssxp $p |- ( R Er A -> R C_ ( A X. A ) ) $=
    ( wer cdm crn cxp wrel wss errel relssdmrn syl erdm errn xpeq12d sseqtrd )
    ABCZBBDZBEZFZAAFPBGBSHABIBJKPQARAABLABMNO $.

  $( An equivalence relation is a set if its domain is a set.  (Contributed by
     Rodolfo Medina, 15-Oct-2010.)  (Proof shortened by Mario Carneiro,
     12-Aug-2015.) $)
  erex $p |- ( R Er A -> ( A e. V -> R e. _V ) ) $=
    ( wer wcel cvv cxp wss erssxp sqxpexg ssexg syl2an ex ) ABDZACEZBFEZNBAAGZH
    QFEPOABIACJBQFKLM $.

  $( An equivalence relation is a set if and only if its domain is a set.
     (Contributed by Rodolfo Medina, 15-Oct-2010.)  (Revised by Mario Carneiro,
     12-Aug-2015.) $)
  erexb $p |- ( R Er A -> ( R e. _V <-> A e. _V ) ) $=
    ( wer cvv wcel cdm dmexg erdm eleq1d syl5ib erex impbid ) ABCZBDEZADEZNBFZD
    EMOBDGMPADABHIJABDKL $.

  ${
    $d x y z R $.  $d x A $.  $d x y z ph $.
    iserd.1 $e |- ( ph -> Rel R ) $.
    iserd.2 $e |- ( ( ph /\ x R y ) -> y R x ) $.
    iserd.3 $e |- ( ( ph /\ ( x R y /\ y R z ) ) -> x R z ) $.
    iserd.4 $e |- ( ph -> ( x e. A <-> x R x ) ) $.
    $( A reflexive, symmetric, transitive relation is an equivalence relation
       on its domain.  (Contributed by Mario Carneiro, 9-Jul-2014.)  (Revised
       by Mario Carneiro, 12-Aug-2015.) $)
    iserd $p |- ( ph -> R Er A ) $=
      ( wer wceq cv wbr wi wa wal ex alrimiv wcel cdm eqidd jca dfer2 syl3anbrc
      wrel adantr simpr erref vex breldm impbid1 bitr4d eqrdv ereq2 syl mpbid
      wb ) AFUAZFKZEFKZAFUFUSUSLBMZCMZFNZVCVBFNZOZVDVCDMZFNPZVBVGFNZOZPZDQZCQZB
      QUTGAUSUBAVMBAVLCAVKDAVFVJAVDVEHRAVHVIIRUCSSSBCDUSFUDUEZAUSELUTVAURABUSEA
      VBUSTZVBVBFNZVBETAVOVPAVOVPAVOPVBFUSAUTVOVNUGAVOUHUIRVBVBFBUJZVQUKULJUMUN
      USEFUOUPUQ $.
  $}

  ${
    $d x y z R $.  $d x A $.
    iseri.1 $e |- Rel R $.
    iseri.2 $e |- ( x R y -> y R x ) $.
    iseri.3 $e |- ( ( x R y /\ y R z ) -> x R z ) $.
    iseri.4 $e |- ( x e. A <-> x R x ) $.
    $( A reflexive, symmetric, transitive relation is an equivalence relation
       on its domain.  Inference version of ~ iserd , which avoids the need to
       provide a "dummy antecedent" ` ph ` if there is no natural one to
       choose.  (Contributed by AV, 30-Apr-2021.) $)
    iseri $p |- R Er A $=
      ( wer wtru wrel a1i cv wbr adantl wa wcel wb iserd mptru ) DEJKABCDEELKFM
      ANZBNZEOZUCUBEOKGPUDUCCNZEOQUBUEEOKHPUBDRUBUBEOSKIMTUA $.

    $( Alternate proof of ~ iseri , avoiding the usage of ~ mptru and ` T. ` as
       antecedent by using ~ ax-mp and one of the hypotheses as antecedent.
       This results, however, in a slightly longer proof.  (Contributed by AV,
       30-Apr-2021.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    iseriALT $p |- R Er A $=
      ( wrel wer id cv wbr adantl wa wcel wb a1i iserd ax-mp ) EJZDEKFUBABCDEUB
      LAMZBMZENZUDUCENUBGOUEUDCMZENPUCUFENUBHOUCDQUCUCENRUBISTUA $.
  $}

  ${
    swoer.1 $e |- R = ( ( X X. X ) \ ( .< u. `' .< ) ) $.
    $( Evaluate the incomparability relation.  (Contributed by Mario Carneiro,
       9-Jul-2014.) $)
    brdifun $p |- ( ( A e. X /\ B e. X ) ->
      ( A R B <-> -. ( A .< B \/ B .< A ) ) ) $=
      ( wcel wa wbr ccnv cun wn wo cxp wb cop opelxpi df-br sylibr cdif brcnvg
      breqi brdif bitri baib syl brun orbi2d syl5bb notbid bitrd ) AEGBEGHZABCI
      ZABDDJZKZIZLZABDIZBADIZMZLULABEENZIZUMUQOULABPVAGVBABEEQABVARSUMVBUQUMABV
      AUOTZIVBUQHABCVCFUBABVAUOUCUDUEUFULUPUTUPURABUNIZMULUTABDUNUGULVDUSURABEE
      DUAUHUIUJUK $.

    $d u v w R $.  $d x y z .< $.  $d x y z A $.  $d x y z B $.  $d x y z C $.
    $d u v w x y z ph $.  $d u x y z X $.  $d x y Y $.
    swoer.2 $e |- ( ( ph /\ ( y e. X /\ z e. X ) ) ->
                    ( y .< z -> -. z .< y ) ) $.
    swoer.3 $e |- ( ( ph /\ ( x e. X /\ y e. X /\ z e. X ) ) ->
                    ( x .< y -> ( x .< z \/ z .< y ) ) ) $.
    $( Incomparability under a strict weak partial order is an equivalence
       relation.  (Contributed by Mario Carneiro, 9-Jul-2014.)  (Revised by
       Mario Carneiro, 12-Aug-2015.) $)
    swoer $p |- ( ph -> R Er X ) $=
      ( cv wbr wa wo wn wb wcel brdifun syl syl2anc vu vv wrel cxp wss ccnv cun
      vw cdif difss eqsstri relxp relss mp2 a1i simpr orcom notbid ssbri adantl
      brxp sylib simprd simpld 3bitr4d mpbid simprl simplbi simprbi simprr brel
      ad2antrl wi simpl swopolem syl13anc syl6ibr orim12d or4 syl6ib mpbird wpo
      mtord swopo poirr sylan pm1.2 nsyl impbida iserd ) AUAUBUHGEEUCZAEGGUDZUE
      WLUCWKEWLFFUFUGZUIWLHWLWMUJUKZGGULEWLUMUNUOAUAKZUBKZELZMZWQWPWOELZAWQUPWR
      WOWPFLZWPWOFLZNZOZXAWTNZOZWQWSWRXBXDXBXDPWRWTXAUQUOURWRWOGQZWPGQZMZWQXCPZ
      WRWOWPWLLZXHWQXJAEWLWOWPWNUSZUTWOWPGGVAZVBZWOWPEFGHRZSWRXGXFWSXEPWRXFXGXM
      VCWRXFXGXMVDWPWOEFGHRTVEVFAWQWPUHKZELZMZMZWOXOELZWOXOFLZXOWOFLZNZOZXRYBXB
      WPXOFLZXOWPFLZNZXRWQXCAWQXPVGXRXFXGXIXRXJXFWQXJAXPXKVLZXJXFXGXLVHSZXRXJXG
      YGXJXFXGXLVISZXNTVFXRXPYFOZAWQXPVJZXRXGXOGQZXPYJPYIXRXPYLYKXPXGYLWPXOGGEW
      NVKVCSZWPXOEFGHRTVFXRYBWTYDNZXAYENZNXBYFNXRXTYNYAYOXRAXFYLXGXTYNVMAXQVNZY
      HYMYIABCDGFWOXOWPJVOVPXRYAYEXANZYOXRAYLXFXGYAYQVMYPYMYHYIABCDGFXOWOWPJVOV
      PXAYEUQVQVRWTYDXAYEVSVTWCXRXFYLXSYCPYHYMWOXOEFGHRTWAAXFWOWOELZAXFMZYRWOWO
      FLZYTNZOZYSYTUUAAGFWBXFYTOABCDGFIJWDGWOFWEWFYTWGWHYSXFXFYRUUBPAXFUPZUUCWO
      WOEFGHRTWAYRXFAYRWOWOWLLZXFEWLWOWOWNUSUUDXFXFWOWOGGVAVHSUTWIWJ $.

    ${
      swoord.4 $e |- ( ph -> B e. X ) $.
      swoord.5 $e |- ( ph -> C e. X ) $.
      swoord.6 $e |- ( ph -> A R B ) $.
      $( The incomparability equivalence relation is compatible with the
         original order.  (Contributed by Mario Carneiro, 31-Dec-2014.) $)
      swoord1 $p |- ( ph -> ( A .< C <-> B .< C ) ) $=
        ( wbr wo wcel wn wi cxp ccnv cun cdif difss eqsstri ssbri df-br opelxp1
        id cop sylbi 3syl swopolem syl13anc wb brdifun syl2anc mpbid nsyl biorf
        orc syl sylibrd olc impbid ) AEGIQZFGIQZAVHEFIQZVIRZVIAAEJSZGJSZFJSZVHV
        KUAAUKZAEFHQZEFJJUBZQZVLPHVQEFHVQIIUCUDZUEVQKVQVSUFUGUHVREFULVQSVLEFVQU
        IEFJJUJUMUNZONABCDJIEGFMUOUPAVJTVIVKUQAVJFEIQZRZVJAVPWBTZPAVLVNVPWCUQVT
        NEFHIJKURUSUTZVJWAVCVAVJVIVBVDVEAVIWAVHRZVHAAVNVMVLVIWEUAVONOVTABCDJIFG
        EMUOUPAWATVHWEUQAWBWAWDWAVJVFVAWAVHVBVDVEVG $.

      $( The incomparability equivalence relation is compatible with the
         original order.  (Contributed by Mario Carneiro, 31-Dec-2014.) $)
      swoord2 $p |- ( ph -> ( C .< A <-> C .< B ) ) $=
        ( wbr wo wcel wi id cxp ccnv cun cdif difss eqsstri ssbri df-br opelxp1
        cop sylbi swopolem syl13anc idd wn wb brdifun syl2anc mpbid olc pm2.21d
        3syl nsyl jaod syld orc impbid ) AGEIQZGFIQZAVIVJFEIQZRZVJAAGJSZEJSZFJS
        ZVIVLTAUAZOAEFHQZEFJJUBZQZVNPHVREFHVRIIUCUDZUEVRKVRVTUFUGUHVSEFUKVRSVNE
        FVRUIEFJJUJULVCZNABCDJIGEFMUMUNAVJVJVKAVJUOAVKVJAEFIQZVKRZVKAVQWCUPZPAV
        NVOVQWDUQWANEFHIJKURUSUTZVKWBVAVDVBVEVFAVJVIWBRZVIAAVMVOVNVJWFTVPONWAAB
        CDJIGFEMUMUNAVIVIWBAVIUOAWBVIAWCWBWEWBVKVGVDVBVEVFVH $.
    $}

    swoso.4 $e |- ( ph -> Y C_ X ) $.
    swoso.5 $e |- ( ( ph /\ ( x e. Y /\ y e. Y /\ x R y ) ) -> x = y ) $.
    $( If the incomparability relation is equivalent to equality in a subset,
       then the partial order strictly orders the subset.  (Contributed by
       Mario Carneiro, 30-Dec-2014.) $)
    swoso $p |- ( ph -> .< Or Y ) $=
      ( wpo cv wcel wa wbr wo w3o wss poss sylc weq wn sselda anim12dan brdifun
      swopo wb syl w3a df-3an sylan2br expr sylbird 3orcomb df-3or bitri sylibr
      orrd issod ) ABCHFAHGUAGFNHFNLABCDGFJKUIHGFUBUCABOZHPZCOZHPZQZQZVCVEFRZVE
      VCFRZSZBCUDZSZVIVLVJTZVHVKVLVHVKUEZVCVEERZVLVHVCGPZVEGPZQVPVOUJAVDVQVFVRA
      HGVCLUFAHGVELUFUGVCVEEFGIUHUKAVGVPVLVGVPQAVDVFVPULVLVDVFVPUMMUNUOUPVAVNVI
      VJVLTVMVIVLVJUQVIVJVLURUSUTVB $.
  $}

  ${
    $d w x y $.  $d x y z $.  $d y A $.  $d v x B $.
    eqer.1 $e |- ( x = y -> A = B ) $.
    eqer.2 $e |- R = { <. x , y >. | A = B } $.
    $( Lemma for ~ eqer .  (Contributed by NM, 17-Mar-2008.)  (Proof shortened
       by Mario Carneiro, 6-Dec-2016.) $)
    eqerlem $p |- ( z R w <-> [_ z / x ]_ A = [_ w / x ]_ A ) $=
      ( cv wbr wceq wsbc csb wb cvv nfcsb1v weq sbciegf elv brabsb nfeq nfv vex
      csbie csbeq1 eqtr3id eqeq2d csbeq1a eqeq1d syl5bb bitri ) CJZDJZGKEFLZBUN
      MZAUMMZAUMENZAUNENZLZUOABUMUNGIUAUQUTOCUPUTAUMPAURUSAUMEQAUNEQUBUPEUSLZAC
      RZUTUPVAODUOVABUNPVABUCBDRZFUSEVCFABJZENUSAVDEFBUDHUEAVDUNEUFUGUHSTVBEURU
      SAUMEUIUJUKSTUL $.

    $d v w x y z $.  $d v w z R $.
    $( Equivalence relation involving equality of dependent classes ` A ( x ) `
       and ` B ( y ) ` .  (Contributed by NM, 17-Mar-2008.)  (Revised by Mario
       Carneiro, 12-Aug-2015.)  (Proof shortened by AV, 1-May-2021.) $)
    eqer $p |- R Er _V $=
      ( vz vw vv cvv wceq relopabiv cv csb wbr id eqerlem 3imtr4i wa eqcomd vex
      eqtr anbi12i wcel eqid mpbir 2th iseri ) HIJKECDLABEGMAHNZCOZAINZCOZLZUMU
      KLUJULEPZULUJEPUNUKUMUNQUAABHICDEFGRZABIHCDEFGRSUNUMAJNZCOZLZTUKURLUOULUQ
      EPZTUJUQEPUKUMURUCUOUNUTUSUPABIJCDEFGRUDABHJCDEFGRSUJKUEUJUJEPZHUBVAUKUKL
      UKUFABHHCDEFGRUGUHUI $.
  $}

  ${
    $d x y z $.
    $( The identity relation is an equivalence relation.  (Contributed by NM,
       10-May-1998.)  (Proof shortened by Andrew Salmon, 22-Oct-2011.)  (Proof
       shortened by Mario Carneiro, 9-Jul-2014.) $)
    ider $p |- _I Er _V $=
      ( vx vy cv cid weq id df-id eqer ) ABACBCDABEFABGH $.

    $( The empty set is an equivalence relation on the empty set.  (Contributed
       by Mario Carneiro, 5-Sep-2015.)  (Proof shortened by AV, 1-May-2021.) $)
    0er $p |- (/) Er (/) $=
      ( vx vy vz c0 rel0 cv wbr cop wcel df-br noel pm2.21i sylbi adantr 2false
      bitr4i iseri ) ABCDDEAFZBFZDGZRSHZDIZSRDGZRSDJZUBUCUAKZLMTRCFZDGZSUFDGTUB
      UGUDUBUGUELMNRDIZRRHZDIZRRDGUHUJRKUIKORRDJPQ $.
  $}

  $( Equality theorem for equivalence class.  (Contributed by NM,
     23-Jul-1995.) $)
  eceq1 $p |- ( A = B -> [ A ] C = [ B ] C ) $=
    ( wceq csn cima cec sneq imaeq2d df-ec 3eqtr4g ) ABDZCAEZFCBEZFACGBCGLMNCAB
    HIACJBCJK $.

  ${
    eceq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for equivalence class (deduction form).  (Contributed
       by Jim Kingdon, 31-Dec-2019.) $)
    eceq1d $p |- ( ph -> [ A ] C = [ B ] C ) $=
      ( wceq cec eceq1 syl ) ABCFBDGCDGFEBCDHI $.
  $}

  $( Equality theorem for equivalence class.  (Contributed by NM,
     23-Jul-1995.) $)
  eceq2 $p |- ( A = B -> [ C ] A = [ C ] B ) $=
    ( wceq csn cima cec imaeq1 df-ec 3eqtr4g ) ABDACEZFBKFCAGCBGABKHCAICBIJ $.

  ${
    eceq2i.1 $e |- A = B $.
    $( Equality theorem for the ` A ` -coset and ` B ` -coset of ` C ` ,
       inference version.  (Contributed by Peter Mazsa, 11-May-2021.) $)
    eceq2i $p |- [ C ] A = [ C ] B $=
      ( wceq cec eceq2 ax-mp ) ABECAFCBFEDABCGH $.
  $}

  ${
    eceq2d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for the ` A ` -coset and ` B ` -coset of ` C ` ,
       deduction version.  (Contributed by Peter Mazsa, 23-Apr-2021.) $)
    eceq2d $p |- ( ph -> [ C ] A = [ C ] B ) $=
      ( wceq cec eceq2 syl ) ABCFDBGDCGFEBCDHI $.
  $}

  $( Membership in an equivalence class.  Theorem 72 of [Suppes] p. 82.
     (Contributed by Mario Carneiro, 9-Jul-2014.) $)
  elecg $p |- ( ( A e. V /\ B e. W ) -> ( A e. [ B ] R <-> B R A ) ) $=
    ( wcel wa csn cima cop cec wbr elimasng ancoms df-ec eleq2i df-br 3bitr4g
    wb ) ADFZBEFZGACBHIZFZBAJCFZABCKZFBACLUATUCUDSCBAEDMNUEUBABCOPBACQR $.

  ${
    elec.1 $e |- A e. _V $.
    elec.2 $e |- B e. _V $.
    $( Membership in an equivalence class.  Theorem 72 of [Suppes] p. 82.
       (Contributed by NM, 23-Jul-1995.) $)
    elec $p |- ( A e. [ B ] R <-> B R A ) $=
      ( cvv wcel cec wbr wb elecg mp2an ) AFGBFGABCHGBACIJDEABCFFKL $.
  $}

  $( Membership in an equivalence class when ` R ` is a relation.  (Contributed
     by Mario Carneiro, 11-Sep-2015.) $)
  relelec $p |- ( Rel R -> ( A e. [ B ] R <-> B R A ) ) $=
    ( wrel cec wcel wbr cvv wa ecexr jca adantl brrelex12 ancomd elecg pm5.21nd
    elex ) CDZABCEZFZBACGZAHFZBHFZIZTUDRTUBUCASQABCJKLRUAIUCUBBACMNABCHHOP $.

  ${
    ecss.1 $e |- ( ph -> R Er X ) $.
    $( An equivalence class is a subset of the domain.  (Contributed by NM,
       6-Aug-1995.)  (Revised by Mario Carneiro, 12-Aug-2015.) $)
    ecss $p |- ( ph -> [ A ] R C_ X ) $=
      ( crn cec csn cima df-ec imassrn eqsstri wer wceq errn syl sseqtrid ) ACF
      ZBCGZDSCBHZIRBCJCTKLADCMRDNEDCOPQ $.
  $}

  ${
    $d x R $.  $d x A $.
    $( A representative of a nonempty equivalence class belongs to the domain
       of the equivalence relation.  (Contributed by NM, 15-Feb-1996.)
       (Revised by Mario Carneiro, 9-Jul-2014.) $)
    ecdmn0 $p |- ( A e. dom R <-> [ A ] R =/= (/) ) $=
      ( vx cdm wcel cvv cec c0 wne elex cv wex n0 ecexr exlimiv sylbi wbr elecg
      wb vex mpan exbidv a1i eldmg 3bitr4rd pm5.21nii ) ABDZEZAFEZABGZHIZAUGJUK
      CKZUJEZCLZUICUJMZUMUICULABNOPUIUNAULBQZCLUKUHUIUMUPCULFEUIUMUPSCTULABFFRU
      AUBUKUNSUIUOUCCABFUDUEUF $.
  $}

  ${
    ereldm.1 $e |- ( ph -> R Er X ) $.
    ereldm.2 $e |- ( ph -> [ A ] R = [ B ] R ) $.
    $( Equality of equivalence classes implies equivalence of domain
       membership.  (Contributed by NM, 28-Jan-1996.)  (Revised by Mario
       Carneiro, 12-Aug-2015.) $)
    ereldm $p |- ( ph -> ( A e. X <-> B e. X ) ) $=
      ( cdm wcel cec c0 wne neeq1d ecdmn0 3bitr4g wer wceq erdm syl eleq2d
      3bitr3d ) ABDHZIZCUBIZBEICEIABDJZKLCDJZKLUCUDAUEUFKGMBDNCDNOAUBEBAEDPUBEQ
      FEDRSZTAUBECUGTUA $.
  $}

  ${
    $d x A $.  $d x B $.  $d x R $.  $d x ph $.
    erth.1 $e |- ( ph -> R Er X ) $.
    erth.2 $e |- ( ph -> A e. X ) $.
    $( Basic property of equivalence relations.  Theorem 73 of [Suppes] p. 82.
       (Contributed by NM, 23-Jul-1995.)  (Revised by Mario Carneiro,
       6-Jul-2015.) $)
    erth $p |- ( ph -> ( A R B <-> [ A ] R = [ B ] R ) ) $=
      ( vx wbr cec wa wcel ertr impl impbida cvv wb adantr elecg sylancr ersymb
      wceq biimpa syldanl vex wrel wer errel brrelex2 sylan 3bitr4d eqrdv erref
      cv syl syl2anc mpbird simpr eleqtrd ereldm mpbid ersym ) ABCDIZBDJZCDJZUB
      ZAVCKZHVDVEVGBHUNZDIZCVHDIZVHVDLZVHVELZVGVIVJAVCCBDIZVIVJAVCVMABCDEFUAUCA
      VMVIVJACBVHDEFMNUDAVCVJVIABCVHDEFMNOVGVHPLZBELZVKVIQHUEZAVOVCGRVHBDPESTVG
      VNCPLZVLVJQVPADUFZVCVQAEDUGZVRFEDUHUOBCDUIUJVHCDPPSTUKULAVFKZCBDEAVSVFFRZ
      VTBVELZVMVTBVDVEVTBVDLZBBDIZAWDVFABDEFGUMRVTVOVOWCWDQAVOVFGRZWEBBDEESUPUQ
      AVFURZUSVTVOCELZWBVMQWEVTVOWGWEVTBCDEWAWFUTVABCDEESUPVAVBO $.
  $}

  ${
    erth2.1 $e |- ( ph -> R Er X ) $.
    erth2.2 $e |- ( ph -> B e. X ) $.
    $( Basic property of equivalence relations.  Compare Theorem 73 of [Suppes]
       p. 82.  Assumes membership of the second argument in the domain.
       (Contributed by NM, 30-Jul-1995.)  (Revised by Mario Carneiro,
       6-Jul-2015.) $)
    erth2 $p |- ( ph -> ( A R B <-> [ A ] R = [ B ] R ) ) $=
      ( wbr cec wceq ersymb erth eqcom bitrdi bitrd ) ABCDHCBDHZBDIZCDIZJZABCDE
      FKAPRQJSACBDEFGLRQMNO $.
  $}

  ${
    erthi.1 $e |- ( ph -> R Er X ) $.
    erthi.2 $e |- ( ph -> A R B ) $.
    $( Basic property of equivalence relations.  Part of Lemma 3N of [Enderton]
       p. 57.  (Contributed by NM, 30-Jul-1995.)  (Revised by Mario Carneiro,
       9-Jul-2014.) $)
    erthi $p |- ( ph -> [ A ] R = [ B ] R ) $=
      ( wbr cec wceq ercl erth mpbid ) ABCDHBDICDIJGABCDEFABCDEFGKLM $.
  $}

  ${
    $d x A $.  $d x B $.  $d x R $.  $d x X $.
    $( Equivalence classes do not overlap.  In other words, two equivalence
       classes are either equal or disjoint.  Theorem 74 of [Suppes] p. 83.
       (Contributed by NM, 15-Jun-2004.)  (Revised by Mario Carneiro,
       9-Jul-2014.) $)
    erdisj $p |- ( R Er X ->
                ( [ A ] R = [ B ] R \/ ( [ A ] R i^i [ B ] R ) = (/) ) ) $=
      ( vx wer cec cin c0 wceq wcel wbr adantl cvv wb ecexr elecg sylancr mpbid
      syl wn cv wex wa simpl elinel1 vex elinel2 ertr4d erthi ex exlimdv syl5bi
      neq0 orrd orcomd ) DCFZACGZBCGZHZIJZURUSJZUQVAVBVAUAEUBZUTKZEUCUQVBEUTUNU
      QVDVBEUQVDVBUQVDUDZABCDUQVDUEZVEAVCBCDVFVEVCURKZAVCCLZVDVGUQVCURUSUFMZVEV
      CNKZANKZVGVHOEUGZVEVGVKVIVCACPTVCACNNQRSVEVCUSKZBVCCLZVDVMUQVCURUSUHMZVEV
      JBNKZVMVNOVLVEVMVPVOVCBCPTVCBCNNQRSUIUJUKULUMUOUP $.
  $}

  $( An equivalence class modulo the identity relation is a singleton.
     (Contributed by NM, 24-Oct-2004.) $)
  ecidsn $p |- [ A ] _I = { A } $=
    ( cid cec csn cima df-ec imai eqtri ) ABCBADZEIABFIGH $.

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Equality theorem for quotient set.  (Contributed by NM, 23-Jul-1995.) $)
    qseq1 $p |- ( A = B -> ( A /. C ) = ( B /. C ) ) $=
      ( vy vx wceq cv cec wrex cab cqs rexeq abbidv df-qs 3eqtr4g ) ABFZDGEGCHF
      ZEAIZDJQEBIZDJACKBCKPRSDQEABLMEDACNEDBCNO $.

    $( Equality theorem for quotient set.  (Contributed by NM, 23-Jul-1995.) $)
    qseq2 $p |- ( A = B -> ( C /. A ) = ( C /. B ) ) $=
      ( vy vx wceq cec wrex cab cqs eceq2 eqeq2d rexbidv abbidv df-qs 3eqtr4g
      cv ) ABFZDQZEQZAGZFZECHZDISTBGZFZECHZDICAJCBJRUCUFDRUBUEECRUAUDSABTKLMNED
      CAOEDCBOP $.
  $}

  ${
    qseq2i.1 $e |- A = B $.
    $( Equality theorem for quotient set, inference form.  (Contributed by
       Peter Mazsa, 3-Jun-2021.) $)
    qseq2i $p |- ( C /. A ) = ( C /. B ) $=
      ( wceq cqs qseq2 ax-mp ) ABECAFCBFEDABCGH $.
  $}

  ${
    qseq2d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for quotient set, deduction form.  (Contributed by
       Peter Mazsa, 27-May-2021.) $)
    qseq2d $p |- ( ph -> ( C /. A ) = ( C /. B ) ) $=
      ( wceq cqs qseq2 syl ) ABCFDBGDCGFEBCDHI $.
  $}

  $( Equality theorem for quotient set.  (Contributed by Peter Mazsa,
     17-Apr-2019.) $)
  qseq12 $p |- ( ( A = B /\ C = D ) -> ( A /. C ) = ( B /. D ) ) $=
    ( wceq cqs qseq1 qseq2 sylan9eq ) ABECDEACFBCFBDFABCGCDBHI $.

  ${
    $d x y A $.  $d x y B $.  $d x y R $.
    $( Closed form of ~ elqs .  (Contributed by Rodolfo Medina,
       12-Oct-2010.) $)
    elqsg $p |- ( B e. V ->
      ( B e. ( A /. R ) <-> E. x e. A B = [ x ] R ) ) $=
      ( vy cv cec wceq wrex cqs eqeq1 rexbidv df-qs elab2g ) FGZAGDHZIZABJCQIZA
      BJFCBDKEPCIRSABPCQLMAFBDNO $.
  $}

  ${
    $d x A $.  $d x B $.  $d x R $.
    elqs.1 $e |- B e. _V $.
    $( Membership in a quotient set.  (Contributed by NM, 23-Jul-1995.) $)
    elqs $p |- ( B e. ( A /. R ) <-> E. x e. A B = [ x ] R ) $=
      ( cvv wcel cqs cv cec wceq wrex wb elqsg ax-mp ) CFGCBDHGCAIDJKABLMEABCDF
      NO $.
  $}

  ${
    $d x A $.  $d x B $.  $d x R $.
    $( Membership in a quotient set.  (Contributed by NM, 23-Jul-1995.) $)
    elqsi $p |- ( B e. ( A /. R ) -> E. x e. A B = [ x ] R ) $=
      ( cqs wcel cv cec wceq wrex elqsg ibi ) CBDEZFCAGDHIABJABCDMKL $.
  $}

  ${
    $d .~ x y $.  $d B x $.  $d W x $.  $d X x $.
    $( Membership in a quotient set by an equivalence class according to
       ` .~ ` .  (Contributed by Alexander van der Vekens, 12-Apr-2018.)
       (Revised by AV, 30-Apr-2021.) $)
    elqsecl $p |- ( B e. X -> ( B e. ( W /. .~ )
                                <-> E. x e. W B = { y | x .~ y } ) ) $=
      ( wcel cqs cv cec wceq wrex wbr cab elqsg cvv vex dfec2 mp1i eqeq2d bitrd
      rexbidv ) CFGZCEDHGCAIZDJZKZAELCUDBIDMBNZKZAELAECDFOUCUFUHAEUCUEUGCUDPGUE
      UGKUCAQBUDDPRSTUBUA $.
  $}

  ${
    $d R x $.  $d B x $.  $d A x $.
    $( Membership of an equivalence class in a quotient set.  (Contributed by
       Jeff Madsen, 10-Jun-2010.)  (Revised by Mario Carneiro, 9-Jul-2014.) $)
    ecelqsg $p |- ( ( R e. V /\ B e. A ) -> [ B ] R e. ( A /. R ) ) $=
      ( vx wcel cec cv wceq wrex cqs eqid eceq1 rspceeqv mpan2 cvv wb ecexg syl
      elqsg biimpar sylan2 ) BAFZCDFZBCGZEHZCGZIEAJZUEACKFZUCUEUEIUHUELEBAUGUEU
      EUFBCMNOUDUIUHUDUEPFUIUHQBDCREAUECPTSUAUB $.
  $}

  ${
    ecelqsi.1 $e |- R e. _V $.
    $( Membership of an equivalence class in a quotient set.  (Contributed by
       NM, 25-Jul-1995.)  (Revised by Mario Carneiro, 9-Jul-2014.) $)
    ecelqsi $p |- ( B e. A -> [ B ] R e. ( A /. R ) ) $=
      ( cvv wcel cec cqs ecelqsg mpan ) CEFBAFBCGACHFDABCEIJ $.
  $}

  ${
    ecopqsi.1 $e |- R e. _V $.
    ecopqsi.2 $e |- S = ( ( A X. A ) /. R ) $.
    $( "Closure" law for equivalence class of ordered pairs.  (Contributed by
       NM, 25-Mar-1996.) $)
    ecopqsi $p |- ( ( B e. A /\ C e. A ) -> [ <. B , C >. ] R e. S ) $=
      ( wcel wa cop cxp cec opelxpi cqs ecelqsi eleqtrrdi syl ) BAHCAHIBCJZAAKZ
      HZRDLZEHBCAAMTUASDNESRDFOGPQ $.
  $}

  ${
    $d x y A $.  $d x y R $.
    $( A quotient set exists.  (Contributed by FL, 19-May-2007.)  (Revised by
       Mario Carneiro, 9-Jul-2014.) $)
    qsexg $p |- ( A e. V -> ( A /. R ) e. _V ) $=
      ( vy vx wcel cqs cv cec wceq wrex cab cvv df-qs abrexexg eqeltrid ) ACFAB
      GDHEHBIZJEAKDLMEDABNEDAQCOP $.
  $}

  ${
    qsex.1 $e |- A e. _V $.
    $( A quotient set exists.  (Contributed by NM, 14-Aug-1995.) $)
    qsex $p |- ( A /. R ) e. _V $=
      ( cvv wcel cqs qsexg ax-mp ) ADEABFDECABDGH $.
  $}

  ${
    $d x y A $.  $d x y R $.  $d x V $.
    $( The union of a quotient set.  (Contributed by NM, 9-Dec-2008.) $)
    uniqs $p |- ( R e. V -> U. ( A /. R ) = ( R " A ) ) $=
      ( vy vx wcel cv cec wceq wrex cab cuni ciun cqs cima wral ecexg ralrimivw
      cvv dfiun2g syl eqcomd df-qs unieqi csn df-ec a1i iuneq2i imaiun 3eqtr2ri
      iunid imaeq2i 3eqtr4g ) BCFZDGEGZBHZIEAJDKZLZEAUPMZABNZLBAOZUNUSURUNUPSFZ
      EAPUSURIUNVBEAUOCBQREDAUPSTUAUBUTUQEDABUCUDUSEABUOUEZOZMBEAVCMZOVAEAUPVDU
      PVDIUOAFUOBUFUGUHEBAVCUIVEABEAUKULUJUM $.
  $}

  ${
    $d x y A $.  $d x y ph $.  $d x y R $.
    qsss.1 $e |- ( ph -> R Er A ) $.
    $( A quotient set is a set of subsets of the base set.  (Contributed by
       Mario Carneiro, 9-Jul-2014.)  (Revised by Mario Carneiro,
       12-Aug-2015.) $)
    qsss $p |- ( ph -> ( A /. R ) C_ ~P A ) $=
      ( vx vy cqs cpw cv wcel cec wceq wrex vex elqs wss sseq1 syl5ibrcom velpw
      ecss syl6ibr rexlimdvw syl5bi ssrdv ) AEBCGZBHZEIZUEJUGFIZCKZLZFBMAUGUFJZ
      FBUGCENOAUJUKFBAUJUGBPZUKAULUJUIBPAUHCBDTUGUIBQREBSUAUBUCUD $.

    qsss.2 $e |- ( ph -> R e. V ) $.
    $( The union of a quotient set.  (Contributed by Mario Carneiro,
       11-Jul-2014.) $)
    uniqs2 $p |- ( ph -> U. ( A /. R ) = A ) $=
      ( cqs cuni crn cdm cima wcel wceq uniqs syl erdm imaeq2d eqtr4d imadmrn
      wer eqtrdi errn eqtrd ) ABCGHZCIZBAUDCCJZKZUEAUDCBKZUGACDLUDUHMFBCDNOAUFB
      CABCTZUFBMEBCPOQRCSUAAUIUEBMEBCUBOUC $.
  $}

  ${
    $d x y A $.  $d x y R $.
    snec.1 $e |- A e. _V $.
    $( The singleton of an equivalence class.  (Contributed by NM,
       29-Jan-1999.)  (Revised by Mario Carneiro, 9-Jul-2014.) $)
    snec $p |- { [ A ] R } = ( { A } /. R ) $=
      ( vy vx cv cec wceq csn wrex cab cqs eceq1 eqeq2d rexsn abbii df-qs df-sn
      3eqtr4ri ) DFZEFZBGZHZEAIZJZDKTABGZHZDKUDBLUFIUEUGDUCUGEACUAAHUBUFTUAABMN
      OPEDUDBQDUFRS $.
  $}

  ${
    ecqs.1 $e |- R e. _V $.
    $( Equivalence class in terms of quotient set.  (Contributed by NM,
       29-Jan-1999.) $)
    ecqs $p |- [ A ] R = U. ( { A } /. R ) $=
      ( cec csn cima cqs cuni df-ec cvv wcel wceq uniqs ax-mp eqtr4i ) ABDBAEZF
      ZPBGHZABIBJKRQLCPBJMNO $.
  $}

  ${
    $d y A $.
    ecid.1 $e |- A e. _V $.
    $( A set is equal to its coset under the converse membership relation.
       (Note: the converse membership relation is not an equivalence relation.)
       (Contributed by NM, 13-Aug-1995.)  (Revised by Mario Carneiro,
       9-Jul-2014.) $)
    ecid $p |- [ A ] `' _E = A $=
      ( vy cep ccnv cec cv wcel wbr vex elec brcnv epeli 3bitri eqriv ) CADEZFZ
      ACGZQHARPIRADIRAHRAPCJZBKARDBSLRABMNO $.
  $}

  ${
    $d x y A $.
    $( A set is equal to its quotient set modulo the converse membership
       relation.  (Note: the converse membership relation is not an equivalence
       relation.)  (Contributed by NM, 13-Aug-1995.)  (Revised by Mario
       Carneiro, 9-Jul-2014.) $)
    qsid $p |- ( A /. `' _E ) = A $=
      ( vy vx cep ccnv cqs cv cec wceq wrex wcel vex eqeq2i equcom bitri rexbii
      ecid elqs risset 3bitr4i eqriv ) BADEZFZABGZCGZUBHZIZCAJUEUDIZCAJUDUCKUDA
      KUGUHCAUGUDUEIUHUFUEUDUECLQMBCNOPCAUDUBBLRCUDASTUA $.
  $}

  ${
    $d x A $.  $d x B $.  $d x R $.  $d x ps $.  $d x ch $.
    ectocl.1 $e |- S = ( B /. R ) $.
    ectocl.2 $e |- ( [ x ] R = A -> ( ph <-> ps ) ) $.
    ${
      ectocld.3 $e |- ( ( ch /\ x e. B ) -> ph ) $.
      $( Implicit substitution of class for equivalence class.  (Contributed by
         Mario Carneiro, 9-Jul-2014.) $)
      ectocld $p |- ( ( ch /\ A e. S ) -> ps ) $=
        ( cv cec wceq wrex wcel wa wb eqcoms syl5ibcom rexlimdva elqsi eleq2s
        cqs impel ) CEDLZGMZNZDFOZBEHPCUHBDFCUFFPQAUHBKABRUGEJSTUAUIEFGUDHDFEGU
        BIUCUE $.
    $}

    ectocl.3 $e |- ( x e. B -> ph ) $.
    $( Implicit substitution of class for equivalence class.  (Contributed by
       NM, 23-Jul-1995.)  (Revised by Mario Carneiro, 9-Jul-2014.) $)
    ectocl $p |- ( A e. S -> ps ) $=
      ( wtru wcel tru cv adantl ectocld mpan ) KDGLBMABKCDEFGHICNELAKJOPQ $.
  $}

  ${
    $d x R $.  $d x A $.  $d x B $.
    $( A quotient set does not contain the empty set.  (Contributed by NM,
       24-Aug-1995.) $)
    elqsn0 $p |- ( ( dom R = A /\ B e. ( A /. R ) ) -> B =/= (/) ) $=
      ( vx cv cec c0 wne cdm wceq eqid neeq1 wcel wa eleq2 biimpar ecdmn0 sylib
      cqs ectocld ) DEZCFZGHZBGHCIZAJZDBACACSZUFKUBBGLUEUAAMZNUAUDMZUCUEUHUGUDA
      UAOPUACQRT $.
  $}

  $( Membership of an equivalence class in a quotient set.  (Contributed by NM,
     30-Jul-1995.) $)
  ecelqsdm $p |- ( ( dom R = A /\ [ B ] R e. ( A /. R ) ) -> B e. A ) $=
    ( cdm wceq cec cqs wcel wa c0 wne elqsn0 ecdmn0 sylibr simpl eleqtrd ) CDZA
    EZBCFZACGHZIZBQAUASJKBQHASCLBCMNRTOP $.

  $( A Cartesian square is an equivalence relation (in general, it is not a
     poset).  (Contributed by FL, 31-Jul-2009.)  (Revised by Mario Carneiro,
     12-Aug-2015.) $)
  xpider $p |- ( A X. A ) Er A $=
    ( cxp wer wrel cdm wceq ccnv ccom cun relxp dmxpid cnvxp xpidtr uneq1 unss2
    wss wi unidm wa eqtr sseq2 biimpd syl mpan2 syl2im mp2 df-er mpbir3an ) AAA
    BZCUIDUIEAFUIGZUIUIHZIZUIPZAAJAKUJUIFZUKUIPZUMAALAMUNUJUIIZUIUIIZFZUOULUPPZ
    UMUJUIUINUKUIUJOURUQUIFZUSUMQZUIRURUTSUPUIFZVAUPUQUITVBUSUMUPUIULUAUBUCUDUE
    UFAUIUGUH $.

  ${
    $d u v w x A $.  $d u v w x B $.  $d u v w R $.
    $( The intersection of a nonempty family of equivalence relations is an
       equivalence relation.  (Contributed by Mario Carneiro, 27-Sep-2015.) $)
    iiner $p |- ( ( A =/= (/) /\ A. x e. A R Er B ) ->
                  |^|_ x e. A R Er B ) $=
      ( vu wral wa cvv wrex cv wbr cop wcel wi df-br wb opex eliin ax-mp bitri
      vv vw c0 wne wer ciin cxp wss wrel r19.2z errel df-rel sylib reximi iinss
      sylibr id ersymb biimpd 3imtr3g ral2imi adantl 3imtr4g imp r19.26 anbi12i
      3syl syl5bir simpl simpr erref expcom ralimdv com12 cdm vex opeldm eleq2d
      ertr erdm biimpa sylan2 rexlimivw syl ex expdimp impbid bitr4di iserd ) B
      UCUDZCDUEZABFZGZEUAUBCABDUFZWMWNHHUGZUHZWNUIWMWKABIDWOUHZABIWPWKABUJWKWQA
      BWKDUIWQCDUKDULUMUNABDWOUOVGWNULUPWMEJZUAJZWNKZWSWRWNKZWMWRWSLZDMZABFZWSW
      RLZDMZABFZWTXAWLXDXGNWJWKXCXFABWKWRWSDKZWSWRDKZXCXFWKXHXIWKWRWSDCWKUQZURU
      SWRWSDOZWSWRDOUTVAVBWTXBWNMZXDWRWSWNOXBHMXLXDPWRWSQAXBBDHRSTZXAXEWNMZXGWS
      WRWNOXEHMXNXGPWSWRQAXEBDHRSTVCVDWMWTWSUBJZWNKZGZWRXOWNKZWMXDWSXOLZDMZABFZ
      GZWRXOLZDMZABFZXQXRYBXCXTGZABFZWMYEXCXTABVEWLYGYENWJWKYFYDABWKXHWSXODKZGW
      RXODKYFYDWKWRWSXODCXJVSXHXCYHXTXKWSXODOVFWRXODOUTVAVBVHWTXDXPYAXMXPXSWNMZ
      YAWSXOWNOXSHMYIYAPWSXOQAXSBDHRSTVFXRYCWNMZYEWRXOWNOYCHMYJYEPWRXOQAYCBDHRS
      TVCVDWMWRCMZWRWRLZDMZABFZWRWRWNKZWMYKYNWLYKYNNWJYKWLYNYKWKYMABWKYKYMWKYKG
      ZWRWRDKYMYPWRDCWKYKVIWKYKVJVKWRWRDOUMVLVMVNVBWJWLYNYKWLYNGWKYMGZABFZWJYKW
      KYMABVEWJYRYKWJYRGYQABIYKYQABUJYQYKABYMWKWRDVOZMZYKWRWRDEVPZUUAVQWKYTYKWK
      YSCWRCDVTVRWAWBWCWDWEVHWFWGYOYLWNMZYNWRWRWNOYLHMUUBYNPWRWRQAYLBDHRSTWHWI
      $.

    $( The relative intersection of a family of equivalence relations is an
       equivalence relation.  (Contributed by Mario Carneiro, 27-Sep-2015.) $)
    riiner $p |- ( A. x e. A R Er B ->
      ( ( B X. B ) i^i |^|_ x e. A R ) Er B ) $=
      ( wer wral cxp ciin cin c0 wa xpider wb riin0 adantl ereq1 syl mpbiri wne
      wceq iiner ancoms wss erssxp ralimi riinn0 sylan mpbird pm2.61dane ) CDEZ
      ABFZCCCGZABDHZIZEZBJUKBJTZKZUOCULEZCLUQUNULTZUOURMUPUSUKAULDBNOCUNULPQRUK
      BJSZKZUOCUMEZUTUKVBABCDUAUBVAUNUMTZUOVBMUKDULUCZABFUTVCUJVDABCDUDUEAULDBU
      FUGCUNUMPQUHUI $.
  $}

  ${
    $d x y z B $.  $d x y z ph $.  $d x y z R $.
    erinxp.r $e |- ( ph -> R Er A ) $.
    erinxp.a $e |- ( ph -> B C_ A ) $.
    $( A restricted equivalence relation is an equivalence relation.
       (Contributed by Mario Carneiro, 10-Jul-2015.)  (Revised by Mario
       Carneiro, 12-Aug-2015.) $)
    erinxp $p |- ( ph -> ( R i^i ( B X. B ) ) Er B ) $=
      ( vx vy vz cv wbr wa wcel brinxp2 sylib simplrd adantr syl21anbrc adantrr
      simprd cxp cin wrel relinxp simpr simplld ersym simprr ertrd sselda erref
      a1i wer ex pm4.71rd brin brxp anidm bitri anbi2i bitr4di iserd ) AGHICDCC
      UAZUBZVDUCACCDUDULAGJZHJZVDKZLZVFCMZVECMZVFVEDKVFVEVDKVHVJVIVEVFDKZVHVGVJ
      VILZVKLAVGUECCVEVFDNOZPVHVJVIVKVMUFZVHVEVFDBABDUMZVGEQVHVLVKVMTZUGCCVFVED
      NRAVGVFIJZVDKZLZLZVJVQCMZVEVQDKVEVQVDKAVGVJVRVNSVTVIWAVFVQDKZVTVRVIWALZWB
      LAVGVRUHCCVFVQDNOZPVTVEVFVQDBAVOVSEQAVGVKVRVPSVTWCWBWDTUICCVEVQDNRAVJVEVE
      DKZVJLZVEVEVDKZAVJWEAVJWEAVJLVEDBAVOVJEQACBVEFUJUKUNUOWGWEVEVEVCKZLWFVEVE
      DVCUPWHVJWEWHVJVJLVJVEVECCUQVJURUSUTUSVAVB $.
  $}

  $( Restrict the relation in an equivalence class to a base set.  (Contributed
     by Mario Carneiro, 10-Jul-2015.) $)
  ecinxp $p |- ( ( ( R " A ) C_ A /\ B e. A ) ->
      [ B ] R = [ B ] ( R i^i ( A X. A ) ) ) $=
    ( cima wss wcel csn cxp cin cec wceq simpr snssd df-ss sylib imaeq2d ineq1d
    wa imass2 df-ec syl simpl sstrd eqtr2d imainrect eqtr4di 3eqtr4g ) CADZAEZB
    AFZRZCBGZDZCAAHIZULDZBCJBUNJUKUMCULAIZDZAIZUOUKURUMAIZUMUKUQUMAUKUPULCUKULA
    EZUPULKUKBAUIUJLMZULANOPQUKUMAEUSUMKUKUMUHAUKUTUMUHEVAULACSUAUIUJUBUCUMANOU
    DAACULUEUFBCTBUNTUG $.

  ${
    $d x y A $.  $d x B $.  $d x y C $.  $d x y ph $.  $d x y R $.
    $( Restrict the equivalence relation in a quotient set to the base set.
       (Contributed by Mario Carneiro, 23-Feb-2015.) $)
    qsinxp $p |- ( ( R " A ) C_ A ->
        ( A /. R ) = ( A /. ( R i^i ( A X. A ) ) ) ) $=
      ( vy vx cima wss cv cec wceq wrex cab cxp cin cqs wcel wa ecinxp rexbidva
      eqeq2d df-qs abbidv 3eqtr4g ) BAEAFZCGZDGZBHZIZDAJZCKUDUEBAALMZHZIZDAJZCK
      ABNAUINUCUHULCUCUGUKDAUCUEAOPUFUJUDAUEBQSRUADCABTDCAUITUB $.

    qsdisj.1 $e |- ( ph -> R Er X ) $.
    qsdisj.2 $e |- ( ph -> B e. ( A /. R ) ) $.
    qsdisj.3 $e |- ( ph -> C e. ( A /. R ) ) $.
    $( Members of a quotient set do not overlap.  (Contributed by Rodolfo
       Medina, 12-Oct-2010.)  (Revised by Mario Carneiro, 11-Jul-2014.) $)
    qsdisj $p |- ( ph -> ( B = C \/ ( B i^i C ) = (/) ) ) $=
      ( vx vy wcel wceq cin c0 wo cv cec eqeq1d orbi12d cqs eqid eqeq1 ineq1 wa
      eqeq2 ineq2 wer ad2antrr erdisj syl ectocld mpidan mpdan ) ACBEUAZLCDMZCD
      NZOMZPZHJQZERZDMZVADNZOMZPZUSAJCBEUOUOUBZVACMZVBUPVDURVACDUCVGVCUQOVACDUD
      STAUTBLZDUOLVEIVAKQZERZMZVAVJNZOMZPZVEAVHUEZKDBEUOVFVJDMZVKVBVMVDVJDVAUFV
      PVLVCOVJDVAUGSTVOVIBLZUEFEUHZVNAVRVHVQGUIUTVIEFUJUKULUMULUN $.
  $}

  ${
    $d x y A $.  $d x y X $.  $d x y R $.
    $( A quotient set is a disjoint set.  (Contributed by Mario Carneiro,
       10-Dec-2016.) $)
    qsdisj2 $p |- ( R Er X -> Disj_ x e. ( A /. R ) x ) $=
      ( vy wer cv wceq cin c0 wo cqs wral wdisj wcel simpl simprl simprr qsdisj
      wa ralrimivva id disjor sylibr ) DCFZAGZEGZHZUFUGIJHKZEBCLZMAUJMAUJUFNUEU
      IAEUJUJUEUFUJOZUGUJOZTZTBUFUGCDUEUMPUEUKULQUEUKULRSUAUJUFUGAEUHUBUCUD $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x R $.  $d x X $.
    $( If an element of a quotient set contains a given element, it is equal to
       the equivalence class of the element.  (Contributed by Mario Carneiro,
       12-Aug-2015.) $)
    qsel $p |- ( ( R Er X /\ B e. ( A /. R ) /\ C e. B ) -> B = [ C ] R ) $=
      ( vx wer cqs wcel cec wceq cv wi eqid eleq2 eqeq1 imbi12d wbr wa wb elecg
      cvv elvd ibi simpll simpr erthi ex syl5 ectocld 3impia ) EDGZBADHZICBIZBC
      DJZKZCFLZDJZIZURUOKZMUNUPMULFBADUMUMNURBKUSUNUTUPURBCOURBUOPQUSUQCDRZULUQ
      AIZSZUTUSVAUSUSVATFCUQDURUBUAUCUDVCVAUTVCVASUQCDEULVBVAUEVCVAUFUGUHUIUJUK
      $.
  $}

  ${
    $d b c x A $.  $d b c x B $.  $d b c x C $.  $d b c x R $.
    uniinqs.1 $e |- R Er X $.
    $( Class union distributes over the intersection of two subclasses of a
       quotient space.  Compare ~ uniin .  (Contributed by FL, 25-May-2007.)
       (Proof shortened by Mario Carneiro, 11-Jul-2014.) $)
    uniinqs $p |- ( ( B C_ ( A /. R ) /\ C C_ ( A /. R ) ) ->
      U. ( B i^i C ) = ( U. B i^i U. C ) ) $=
      ( vx vb vc wss wa cin cuni a1i cv wcel wrex eluni2 c0 wceq cqs uniin elin
      anbi12i reeanv 3bitr4i simp3l simp2l inelcm 3ad2ant3 simp1l sseldd simp1r
      w3a wne wer simp2r qsdisj ord mpd eqeltrd elind elunii syl2anc rexlimdvva
      necon1ad 3expia syl5bi ssrdv eqssd ) BADUAZJZCVKJZKZBCLZMZBMZCMZLZVPVSJVN
      BCUBNVNGVSVPGOZVSPZVTHOZPZVTIOZPZKZICQHBQZVNVTVPPZVTVQPZVTVRPZKWCHBQZWEIC
      QZKWAWGWIWKWJWLHVTBRIVTCRUDVTVQVRUCWCWEHIBCUEUFVNWFWHHIBCVNWBBPZWDCPZKZWF
      WHVNWOWFUNZWCWBVOPWHVNWOWCWEUGWPBCWBVNWMWNWFUHZWPWBWDCWPWBWDLZSUOZWBWDTZW
      FVNWSWOVTWBWDUIUJWPWTWRSWPWTWRSTWPAWBWDDEEDUPWPFNWPBVKWBVLVMWOWFUKWQULWPC
      VKWDVLVMWOWFUMVNWMWNWFUQZULURUSVFUTXAVAVBVTWBVOVCVDVGVEVHVIVJ $.
  $}

  ${
    $d y z A $.  $d x B $.  $d x C $.  $d x D $.  $d x y z ph $.  $d x y z R $.
    $d y z F $.  $d x y z X $.  $d x y z Y $.
    qlift.1 $e |- F = ran ( x e. X |-> <. [ x ] R , A >. ) $.
    qlift.2 $e |- ( ( ph /\ x e. X ) -> A e. Y ) $.
    qlift.3 $e |- ( ph -> R Er X ) $.
    qlift.4 $e |- ( ph -> X e. V ) $.
    $( Lemma for theorems about a function lift.  (Contributed by Mario
       Carneiro, 23-Dec-2016.)  (Revised by AV, 3-Aug-2024.) $)
    qliftlem $p |- ( ( ph /\ x e. X ) -> [ x ] R e. ( X /. R ) ) $=
      ( cvv wcel cv cec cqs wer erex sylc ecelqsg sylan ) ADMNZBOZGNUDDPGDQNAGD
      RGFNUCKLGDFSTGUDDMUAUB $.

    $( ` F ` , a function lift, is a subset of ` R X. S ` .  (Contributed by
       Mario Carneiro, 23-Dec-2016.)  (Revised by AV, 3-Aug-2024.) $)
    qliftrel $p |- ( ph -> F C_ ( ( X /. R ) X. Y ) ) $=
      ( cv cec cqs qliftlem fliftrel ) ABBMDNCGDOHEGIABCDEFGHIJKLPJQ $.

    $( Elementhood in the relation ` F ` .  (Contributed by Mario Carneiro,
       23-Dec-2016.)  (Revised by AV, 3-Aug-2024.) $)
    qliftel $p |- ( ph -> ( [ C ] R F D <-> E. x e. X ( C R x /\ D = A ) ) ) $=
      ( cec wbr cv wceq wa wrex qliftlem fliftel wcel adantr simpr erth2 anbi1d
      cqs wer rexbidva bitr4d ) ADFOZEGPULBQZFOZRZECRZSZBITDUMFPZUPSZBITABUNCUL
      EIFUHJGIKABCFGHIJKLMNUALUBAUSUQBIAUMIUCZSZURUOUPVADUMFIAIFUIUTMUDAUTUEUFU
      GUJUK $.

    $( Elementhood in the relation ` F ` .  (Contributed by Mario Carneiro,
       23-Dec-2016.)  (Revised by AV, 3-Aug-2024.) $)
    qliftel1 $p |- ( ( ph /\ x e. X ) -> [ x ] R F A ) $=
      ( cv cec cqs qliftlem fliftel1 ) ABBMDNCGDOHEGIABCDEFGHIJKLPJQ $.

    ${
      qliftfun.4 $e |- ( x = y -> A = B ) $.
      $( The function ` F ` is the unique function defined by
         ` F `` [ x ] = A ` , provided that the well-definedness condition
         holds.  (Contributed by Mario Carneiro, 23-Dec-2016.)  (Revised by AV,
         3-Aug-2024.) $)
      qliftfun $p |- ( ph -> ( Fun F <-> A. x A. y ( x R y -> A = B ) ) ) $=
        ( cv cec wi wal wa wfun wceq wral wbr cqs qliftlem fliftfun wcel adantr
        eceq1 wer simpr ercl ercl2 jca ex pm4.71rd simprl pm5.32da bitrd imbi1d
        erth impexp bitrdi 2albidv r2al bitr4di bitr4d ) AGUABPZFQZCPZFQZUBZDEU
        BZRZCIUCBIUCZVIVKFUDZVNRZCSBSZABCVJDVLEIFUEJGIKABDFGHIJKLMNUFLVIVKFUJOU
        GAVSVIIUHZVKIUHZTZVORZCSBSVPAVRWCBCAVRWBVMTZVNRWCAVQWDVNAVQWBVQTWDAVQWB
        AVQWBAVQTZVTWAWEVIVKFIAIFUKZVQMUIZAVQULZUMWEVIVKFIWGWHUNUOUPUQAWBVQVMAW
        BTVIVKFIAWFWBMUIAVTWAURVBUSUTVAWBVMVNVCVDVEVOBCIIVFVGVH $.

      qliftfund.6 $e |- ( ( ph /\ x R y ) -> A = B ) $.
      $( The function ` F ` is the unique function defined by
         ` F `` [ x ] = A ` , provided that the well-definedness condition
         holds.  (Contributed by Mario Carneiro, 23-Dec-2016.)  (Revised by AV,
         3-Aug-2024.) $)
      qliftfund $p |- ( ph -> Fun F ) $=
        ( wfun cv wbr wal wceq wi ex alrimivv qliftfun mpbird ) AGQBRCRFSZDEUAZ
        UBZCTBTAUIBCAUGUHPUCUDABCDEFGHIJKLMNOUEUF $.
    $}

    $( The function ` F ` is the unique function defined by
       ` F `` [ x ] = A ` , provided that the well-definedness condition holds.
       (Contributed by Mario Carneiro, 23-Dec-2016.)  (Revised by AV,
       3-Aug-2024.) $)
    qliftfuns $p |- ( ph -> ( Fun F <->
      A. y A. z ( y R z -> [_ y / x ]_ A = [_ z / x ]_ A ) ) ) $=
      ( cv csb cec cop cmpt wcel nfcv nfcsb1v nfop eceq1 csbeq1a opeq12d cbvmpt
      wceq rneqi eqtri wral ralrimiva nfel1 eleq1d rspc mpan9 csbeq1 qliftfun
      crn ) ACDBCOZEPZBDOZEPFGHIJGBIBOZFQZERZSZUSCIUTFQZVARZSZUSKVFVIBCIVEVHCVE
      UABVGVABVGUABUTEUBZUCVCUTUHZVDVGEVAVCUTFUDBUTEUEZUFUGUIUJAEJTZBIUKUTITVAJ
      TZAVMBILULVMVNBUTIBVAJVJUMVKEVAJVLUNUOUPMNBUTVBEUQUR $.

    $( The domain and range of the function ` F ` .  (Contributed by Mario
       Carneiro, 23-Dec-2016.)  (Revised by AV, 3-Aug-2024.) $)
    qliftf $p |- ( ph -> ( Fun F <-> F : ( X /. R ) --> Y ) ) $=
      ( vy wfun cv cec cmpt crn wf wceq cqs qliftlem fliftf wrex cab df-qs eqid
      rnmpt eqtr4i a1i feq2d bitr4d ) AENBGBODPZQZRZHESGDUAZHESABUMCUPHEGIABCDE
      FGHIJKLUBJUCAUPUOHEUPUOTAUPMOUMTBGUDMUEUOBMGDUFBMGUMUNUNUGUHUIUJUKUL $.

    qliftval.4 $e |- ( x = C -> A = B ) $.
    qliftval.6 $e |- ( ph -> Fun F ) $.
    $( The value of the function ` F ` .  (Contributed by Mario Carneiro,
       23-Dec-2016.)  (Revised by AV, 3-Aug-2024.) $)
    qliftval $p |- ( ( ph /\ C e. X ) -> ( F ` [ C ] R ) = B ) $=
      ( cv cec cqs qliftlem eceq1 fliftval ) ABBQZFRCEFRDIFSJGIEKABCFGHIJKLMNTL
      UCEFUAOPUB $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.  $d x y z ps $.
    ecoptocl.1 $e |- S = ( ( B X. C ) /. R ) $.
    ecoptocl.2 $e |- ( [ <. x , y >. ] R = A -> ( ph <-> ps ) ) $.
    ecoptocl.3 $e |- ( ( x e. B /\ y e. C ) -> ph ) $.
    $( Implicit substitution of class for equivalence class of ordered pair.
       (Contributed by NM, 23-Jul-1995.) $)
    ecoptocl $p |- ( A e. S -> ps ) $=
      ( vz cxp cqs wcel cv cec wceq wi wrex elqsi cop eceq1 eqeq2d imbi1d wa wb
      eqid eqcoms syl5ibcom optocl rexlimiv syl eleq2s ) BEFGNZHOZIEUQPEMQZHRZS
      ZMUPUABMUPEHUBUTBMUPECQZDQZUCZHRZSZBTUTBTCDURFGUPUPUIVCURSZVEUTBVFVDUSEVC
      URHUDUEUFVAFPVBGPUGAVEBLABUHVDEKUJUKULUMUNJUO $.
  $}

  ${
    $d x y z w A $.  $d z w B $.  $d x y z w C $.  $d x y z w D $.  $d z w S $.
    $d x y z w R $.  $d x y ps $.  $d z w ch $.
    2ecoptocl.1 $e |- S = ( ( C X. D ) /. R ) $.
    2ecoptocl.2 $e |- ( [ <. x , y >. ] R = A -> ( ph <-> ps ) ) $.
    2ecoptocl.3 $e |- ( [ <. z , w >. ] R = B -> ( ps <-> ch ) ) $.
    2ecoptocl.4 $e |- ( ( ( x e. C /\ y e. D ) /\
                      ( z e. C /\ w e. D ) ) -> ph ) $.
    $( Implicit substitution of classes for equivalence classes of ordered
       pairs.  (Contributed by NM, 23-Jul-1995.) $)
    2ecoptocl $p |- ( ( A e. S /\ B e. S ) -> ch ) $=
      ( wcel wi cv cop cec wceq imbi2d wa ex ecoptocl com12 impcom ) IMRHMRZCUJ
      BSUJCSFGIJKLMNFTZGTZUALUBIUCBCUJPUDUJUKJRULKRUEZBUMASUMBSDEHJKLMNDTZETZUA
      LUBHUCABUMOUDUNJRUOKRUEUMAQUFUGUHUGUI $.
  $}

  ${
    $d x y z w v u A $.  $d z w v u B $.  $d v u C $.  $d x y z w v u D $.
    $d z w v u S $.  $d x y z w v u R $.  $d x y ps $.  $d z w ch $.
    $d v u th $.
    3ecoptocl.1 $e |- S = ( ( D X. D ) /. R ) $.
    3ecoptocl.2 $e |- ( [ <. x , y >. ] R = A -> ( ph <-> ps ) ) $.
    3ecoptocl.3 $e |- ( [ <. z , w >. ] R = B -> ( ps <-> ch ) ) $.
    3ecoptocl.4 $e |- ( [ <. v , u >. ] R = C -> ( ch <-> th ) ) $.
    3ecoptocl.5 $e |- ( ( ( x e. D /\ y e. D ) /\
                      ( z e. D /\ w e. D ) /\ ( v e. D /\ u e. D ) ) -> ph ) $.
    $( Implicit substitution of classes for equivalence classes of ordered
       pairs.  (Contributed by NM, 9-Aug-1995.) $)
    3ecoptocl $p |- ( ( A e. S /\ B e. S /\ C e. S ) -> th ) $=
      ( wcel wa wi cop cec wceq imbi2d 3expib ecoptocl com12 2ecoptocl 3impib
      cv ) KPUBZLPUBZMPUBZDUPUQUCUODUOBUDUOCUDUODUDGHIJLMNNOPQGUNZHUNZUEOUFLUGB
      CUOSUHIUNZJUNZUEOUFMUGCDUOTUHUOURNUBUSNUBUCZUTNUBVANUBUCZUCZBVDAUDVDBUDEF
      KNNOPQEUNZFUNZUEOUFKUGABVDRUHVENUBVFNUBUCVBVCAUAUIUJUKULUKUM $.
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u D $.  $d x y z w v u .~ $.  $d x y H $.  $d z w v u G $.
    $d x y ph $.  $d z w v u ps $.
    brecop.1 $e |- .~ e. _V $.
    brecop.2 $e |- .~ Er ( G X. G ) $.
    brecop.4 $e |- H = ( ( G X. G ) /. .~ ) $.
    brecop.5 $e |- .<_ = { <. x , y >. | ( ( x e. H /\ y e. H ) /\
                      E. z E. w E. v E. u ( ( x = [ <. z , w >. ] .~ /\
                      y = [ <. v , u >. ] .~ ) /\ ph ) ) } $.
    brecop.6 $e |- ( ( ( ( z e. G /\ w e. G ) /\ ( A e. G /\ B e. G ) ) /\
                       ( ( v e. G /\ u e. G ) /\ ( C e. G /\ D e. G ) ) ) ->
                     ( ( [ <. z , w >. ] .~ = [ <. A , B >. ] .~ /\
                         [ <. v , u >. ] .~ = [ <. C , D >. ] .~ ) ->
                     ( ph <-> ps ) ) ) $.
    $( Binary relation on a quotient set.  Lemma for real number construction.
       (Contributed by NM, 29-Jan-1996.) $)
    brecop $p |- ( ( ( A e. G /\ B e. G ) /\ ( C e. G /\ D e. G ) ) ->
                ( [ <. A , B >. ] .~ .<_ [ <. C , D >. ] .~ <-> ps ) ) $=
      ( wcel wa cop cec wbr cv wceq wex ecopqsi copab df-br eleq2i bitri anbi1d
      wb eqeq1 4exbidv anbi2d opelopab2 syl5bb syl2an opeq12 eceq1d anim12i cxp
      wi opelxpi opelxp wer a1i id ereldm bitr3id syl5ibr im2anan9 an4s ex mpdd
      com13 pm5.74d cgsex4g eqcom anbi12i biimt anbi12d 3bitr4d bitrd ) INUBJNU
      BUCZKNUBLNUBUCZUCZIJUDZMUEZKLUDZMUEZPUFZWMEUGZFUGZUDZMUEZUHZWOGUGZHUGZUDZ
      MUEZUHZUCZAUCZHUIGUIFUIEUIZBWIWMOUBZWOOUBZWPXIUPWJNIJMOQSUJNKLMOQSUJWPWMW
      OUDZCUGZOUBDUGZOUBUCXMWTUHZXNXEUHZUCZAUCZHUIGUIFUIEUIZUCCDUKZUBZXJXKUCXIW
      PXLPUBYAWMWOPULPXTXLTUMUNXSXAXPUCZAUCZHUIGUIFUIEUIXICDWMWOOOXMWMUHZXRYCEF
      GHYDXQYBAYDXOXAXPXMWMWTUQUOUOURXNWOUHZYCXHEFGHYEYBXGAYEXPXFXAXNWOXEUQUSUO
      URUTVAVBWKWTWMUHZXEWOUHZUCZWKAVGZUCZHUIGUIFUIEUIWKBVGZXIBYIYKYHEFGHIJKLNN
      WQIUHWRJUHUCZYFXBKUHXCLUHUCZYGYLWSWLMWQWRIJVCVDYMXDWNMXBXCKLVCVDVEYHWKABY
      HWKWQNUBWRNUBUCZXBNUBXCNUBUCZUCZABUPZYFWIYNYGWJYOWIYNYFWLNNVFZUBZIJNNVHYN
      WSYRUBYFYSWQWRNNVIYFWSWLMYRYRMVJZYFRVKYFVLVMVNVOWJYOYGWNYRUBZKLNNVHYOXDYR
      UBYGUUAXBXCNNVIYGXDWNMYRYTYGRVKYGVLVMVNVOVPYPWKYHYQYPWKYHYQVGZYNWIYOWJUUB
      UAVQVRVTVSWAWBWKXHYJEFGHWKXGYHAYIXGYHUPWKXAYFXFYGWMWTWCWOXEWCWDVKWKAWEWFU
      RWKBWEWGWH $.
  $}

  ${
    brecop2.1 $e |- dom .~ = ( G X. G ) $.
    brecop2.2 $e |- H = ( ( G X. G ) /. .~ ) $.
    brecop2.3 $e |- R C_ ( H X. H ) $.
    brecop2.4 $e |- .<_ C_ ( G X. G ) $.
    brecop2.5 $e |- -. (/) e. G $.
    brecop2.6 $e |- dom .+ = ( G X. G ) $.
    brecop2.7 $e |- ( ( ( A e. G /\ B e. G ) /\ ( C e. G /\ D e. G ) ) ->
                    ( [ <. A , B >. ] .~ R [ <. C , D >. ] .~ <->
                    ( A .+ D ) .<_ ( B .+ C ) ) ) $.
    $( Binary relation on a quotient set.  Lemma for real number construction.
       Eliminates antecedent from last hypothesis.  (Contributed by NM,
       13-Feb-1996.)  (Revised by AV, 12-Jul-2022.) $)
    brecop2 $p |- ( [ <. A , B >. ] .~ R [ <. C , D >. ] .~ <->
                    ( A .+ D ) .<_ ( B .+ C ) ) $=
      ( wcel wa sylib cop cec wbr co brel cxp cqs cdm wceq ecelqsdm mpan eleq2s
      opelxp anim12i syl ndmovrcl an42 pm5.21nii ) ABUAZFUBZCDUAZFUBZGUCZAHRZBH
      RZSZCHRZDHRZSZSZADEUDZBCEUDZJUCZVCUTIRZVBIRZSVJUTVBIIGMUEVNVFVOVIVNUSHHUF
      ZRZVFVQUTVPFUGZIFUHVPUIZUTVRRVQKVPUSFUJUKLULABHHUMTVOVAVPRZVIVTVBVRIVSVBV
      RRVTKVPVAFUJUKLULCDHHUMTUNUOVMVDVHSZVEVGSZSZVJVMVKHRZVLHRZSWCVKVLHHJNUEWD
      WAWEWBADHEPOUPBCHEPOUPUNUOVDVHVEVGUQTQUR $.
  $}

  ${
    $d p q r s t u w x y z A $.  $d p q r s t u w x y z B $.  $d p q x y z L $.
    $d p q w x y z J $.  $d p q r s t u x y z P $.  $d p q r s t u w x y z R $.
    $d p q w x y z K $.  $d p q r s t u x y z Q $.  $d p q r s t u w x y z S $.
    $d p q r s t u w x y z .+ $.  $d p q r s t u w x y z ph $.
    $d p q r s t u w x y z T $.  $d p q r s t u w z X $.
    $d p q r s t u w z Y $.
    eropr.1 $e |- J = ( A /. R ) $.
    eropr.2 $e |- K = ( B /. S ) $.
    eropr.3 $e |- ( ph -> T e. Z ) $.
    eropr.4 $e |- ( ph -> R Er U ) $.
    eropr.5 $e |- ( ph -> S Er V ) $.
    eropr.6 $e |- ( ph -> T Er W ) $.
    eropr.7 $e |- ( ph -> A C_ U ) $.
    eropr.8 $e |- ( ph -> B C_ V ) $.
    eropr.9 $e |- ( ph -> C C_ W ) $.
    eropr.10 $e |- ( ph -> .+ : ( A X. B ) --> C ) $.
    eropr.11 $e |- ( ( ph /\ ( ( r e. A /\ s e. A ) /\ ( t e. B /\ u e. B ) ) )
                      -> ( ( r R s /\ t S u ) -> ( r .+ t ) T ( s .+ u ) ) ) $.
    $( Lemma for ~ erov and ~ eroprf .  (Contributed by Jeff Madsen,
       10-Jun-2010.)  (Revised by Mario Carneiro, 9-Jul-2014.) $)
    eroveu $p |- ( ( ph /\ ( X e. J /\ Y e. K ) ) -> E! z E. p e. A E. q e. B
                ( ( X = [ p ] R /\ Y = [ q ] S ) /\ z = [ ( p .+ q ) ] T ) ) $=
      ( vw wcel wa cv cec wceq co wrex wex weq wal weu cqs elqsi eleq2s anim12i
      wi adantl reeanv sylibr adantr ecexg elisset 3syl biantrud 2rexbidv mpbid
      19.42v bicomi rexbii rexcom4 bitri sylib eceq1 eqeq2d anbi1d oveq1 eceq1d
      cvv anbi12d anbi2d oveq2 cbvrex2vw anbi12i bitr4i wbr wer wss sseldd erth
      simprll simprrl wf fovrnd 3imtr3d eqeq2 biimprcd syl6 impd eqeq1 bi2anan9
      cxp imbi12d syl5ibrcom anassrs rexlimdvva syl5bir alrimivv eu4 sylanbrc
      wb ) AQMUPZRNUPZUQZUQZQUCURZIUSZUTZRUBURZJUSZUTZUQZBURZYJYMHVAZKUSZUTZUQZ
      UBFVBZUCEVBZBVCZUUCYPUOURZYSUTZUQZUBFVBUCEVBZUQZBUOVDZVKZUOVEBVEUUCBVFYIY
      PYTBVCZUQZUBFVBZUCEVBZUUDYIYPUBFVBUCEVBZUUOYIYLUCEVBZYOUBFVBZUQZUUPYHUUSA
      YFUUQYGUURUUQQEIVGMUCEQIVHUDVIUURRFJVGNUBFRJVHUEVIVJVLYLYOUCUBEFVMVNYIYPU
      UMUCUBEFYIUULYPYIKSUPZYSWMUPUULAUUTYHUFVOYRSKVPBYSWMVQVRVSVTWAUUOUUBBVCZU
      CEVBUUDUUNUVAUCEUUNUUABVCZUBFVBUVAUUMUVBUBFUVBUUMYPYTBWBWCWDUUAUBBFWEWFWD
      UUBUCBEWEWFWGYIUUKBUOAUUKYHUUIQUAURZIUSZUTZRDURZJUSZUTZUQZYQUVCUVFHVAZKUS
      ZUTZUQZDFVBZQTURZIUSZUTZRCURZJUSZUTZUQZUUEUVOUVRHVAZKUSZUTZUQZCFVBZUQZTEV
      BUAEVBZAUUJUWHUVNUAEVBZUWFTEVBZUQUUIUVNUWFUATEEVMUUCUWIUUHUWJUUAUVMUVEYOU
      QZYQUVCYMHVAZKUSZUTZUQUCUBUADEFUCUAVDZYPUWKYTUWNUWOYLUVEYOUWOYKUVDQYJUVCI
      WHWIWJUWOYSUWMYQUWOYRUWLKYJUVCYMHWKWLWIWNUBDVDZUWKUVIUWNUVLUWPYOUVHUVEUWP
      YNUVGRYMUVFJWHWIWOUWPUWMUVKYQUWPUWLUVJKYMUVFUVCHWPWLWIWNWQUUGUWEUVQYOUQZU
      UEUVOYMHVAZKUSZUTZUQUCUBTCEFUCTVDZYPUWQUUFUWTUXAYLUVQYOUXAYKUVPQYJUVOIWHW
      IWJUXAYSUWSUUEUXAYRUWRKYJUVOYMHWKWLWIWNUBCVDZUWQUWAUWTUWDUXBYOUVTUVQUXBYN
      UVSRYMUVRJWHWIWOUXBUWSUWCUUEUXBUWRUWBKYMUVRUVOHWPWLWIWNWQWRWSAUWGUUJUATEE
      UWGUVMUWEUQZCFVBDFVBAUVCEUPZUVOEUPZUQZUQZUUJUVMUWEDCFFVMUXGUXCUUJDCFFAUXF
      UVFFUPZUVRFUPZUQZUXCUUJVKAUXFUXJUQZUQZUVMUWEUUJUXLUWEUUJVKUVMUVDUVPUTZUVG
      UVSUTZUQZUWDUQZUVKUUEUTZVKUXLUXOUWDUXQUXLUXOUVKUWCUTZUWDUXQVKUXLUVCUVOIWT
      ZUVFUVRJWTZUQUVJUWBKWTUXOUXRUNUXLUXSUXMUXTUXNUXLUVCUVOILALIXAUXKUGVOUXLEL
      UVCAELXBUXKUJVOAUXDUXEUXJXEZXCXDUXLUVFUVRJOAOJXAUXKUHVOUXLFOUVFAFOXBUXKUK
      VOAUXFUXHUXIXFZXCXDWNUXLUVJUWBKPAPKXAUXKUIVOUXLGPUVJAGPXBUXKULVOUXLUVCUVF
      GEFHAEFXPGHXGUXKUMVOUYAUYBXHXCXDXIUWDUXQUXRUUEUWCUVKXJXKXLXMUVMUWEUXPUUJU
      XQUVIUWEUXPYEUVLUVIUWAUXOUWDUVEUVQUXMUVHUVTUXNQUVDUVPXNRUVGUVSXNXOWJVOUVL
      UUJUXQYEUVIYQUVKUUEXNVLXQXRXMXSXTYAXTYAVOYBUUCUUHBUOUUJUUAUUGUCUBEFUUJYTU
      UFYPYQUUEYSXNWOVTYCYD $.

    eropr.12 $e |- .+^ = { <. <. x , y >. , z >. | E. p e. A E. q e. B
                ( ( x = [ p ] R /\ y = [ q ] S ) /\ z = [ ( p .+ q ) ] T ) } $.
    $( Lemma for ~ erov and ~ eroprf .  (Contributed by Jeff Madsen,
       10-Jun-2010.)  (Revised by Mario Carneiro, 30-Dec-2014.) $)
    erovlem $p |- ( ph -> .+^ = ( x e. J , y e. K |->
      ( iota z E. p e. A E. q e. B
        ( ( x = [ p ] R /\ y = [ q ] S ) /\ z = [ ( p .+ q ) ] T ) ) ) ) $=
      ( vw cv cec wceq wa wrex coprab wcel cio cmpo simpl reximi cqs eleq2i vex
      co elqs bitri anbi12i reeanv bitr4i sylibr pm4.71ri wb eroveu iota1 eqcom
      weu syl bitrdi pm5.32da syl5bb oprabbidv df-mpo nfiota1 nfeq2 nfan anbi2d
      nfv eqeq1 cbvoprab3 eqtr4i 3eqtr4g ) ABURZUDURZLUSUTZCURZUCURZMUSUTZVAZDU
      RZXAXDJVLNUSUTZVAZUCHVBZUDGVBZBCDVCWTPVDZXCQVDZVAZXGXKDVEZUTZVAZBCDVCZKBC
      PQXOVFZAXKXQBCDXKXNXKVAAXQXKXNXKXFUCHVBZUDGVBZXNXJXTUDGXIXFUCHXFXHVGVHVHX
      NXBUDGVBZXEUCHVBZVAYAXLYBXMYCXLWTGLVIZVDYBPYDWTUEVJUDGWTLBVKVMVNXMXCHMVIZ
      VDYCQYEXCUFVJUCHXCMCVKVMVNVOXBXEUDUCGHVPVQVRVSAXNXKXPAXNVAZXKXOXGUTZXPYFX
      KDWDXKYGVTADEFGHIJLMNOPQRSWTXCTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOWAXKDWBWEXOX
      GWCWFWGWHWIUPXSXNUQURZXOUTZVAZBCUQVCXRBCUQPQXOWJXQYJBCDUQXQUQWOXNYIDXNDWO
      DYHXOXKDWKWLWMXGYHUTXPYIXNXGYHXOWPWNWQWRWS $.

    eropr.13 $e |- ( ph -> R e. X ) $.
    eropr.14 $e |- ( ph -> S e. Y ) $.
    $( The value of an operation defined on equivalence classes.  (Contributed
       by Jeff Madsen, 10-Jun-2010.)  (Revised by Mario Carneiro,
       30-Dec-2014.) $)
    erov $p |- ( ( ph /\ P e. A /\ Q e. B )
                             -> ( [ P ] R .+^ [ Q ] S ) = [ ( P .+ Q ) ] T ) $=
      ( wcel w3a cec co cv wceq wa wrex cio cmpo erovlem 3ad2ant1 simprl eqeq1d
      cvv simprr anbi12d anbi1d 2rexbidv iotabidv cqs ecelqsg eleqtrrdi 3adant3
      sylan 3adant2 iotaex ovmpod pm3.2i eceq1 eqeq2d oveq1 eceq1d anbi2d oveq2
      a1i eqid rspc2ev mp3an3 3adant1 ecexg syl weu simp1 eroveu syl12anc simpr
      iota2d mpbid eqtrd ) AJGVCZMHVCZVDZJNVEZMOVEZLVFXPUHVGZNVEZVHZXQUGVGZOVEZ
      VHZVIZDVGZXRYAKVFZPVEZVHZVIZUGHVJUHGVJZDVKZJMKVFZPVEZXOBCXPXQRSBVGZXSVHZC
      VGZYBVHZVIZYHVIZUGHVJUHGVJZDVKZYKLVQAXMLBCRSUUAVLVHXNABCDEFGHIKLNOPQRSTUA
      UDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVMVNXOYNXPVHZYPXQVHZVIVIZYTYJDUUDYSYIUH
      UGGHUUDYRYDYHUUDYOXTYQYCUUDYNXPXSXOUUBUUCVOVPUUDYPXQYBXOUUBUUCVRVPVSVTWAW
      BAXMXPRVCZXNANUBVCZXMUUEVAUUFXMVIXPGNWCRGJNUBWDUIWEWGWFZAXNXQSVCZXMAOUCVC
      ZXNUUHVBUUIXNVIXQHOWCSHMOUCWDUJWEWGWHZYKVQVCXOYJDWIWRWJXOYDYMYGVHZVIZUGHV
      JUHGVJZYKYMVHXMXNUUMAXMXNXPXPVHZXQXQVHZVIZYMYMVHZVIZUUMUUPUUQUUNUUOXPWSXQ
      WSWKYMWSWKUULUURUUNYCVIZYMJYAKVFZPVEZVHZVIUHUGJMGHXRJVHZYDUUSUUKUVBUVCXTU
      UNYCUVCXSXPXPXRJNWLWMVTUVCYGUVAYMUVCYFUUTPXRJYAKWNWOWMVSYAMVHZUUSUUPUVBUU
      QUVDYCUUOUUNUVDYBXQXQYAMOWLWMWPUVDUVAYMYMUVDUUTYLPYAMJKWQWOWMVSWTXAXBXOYJ
      UUMDYMVQAXMYMVQVCZXNAPUDVCUVEUKYLUDPXCXDVNXOAUUEUUHYJDXEAXMXNXFUUGUUJADEF
      GHIKNOPQRSTUAXPXQUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSXGXHXOYEYMVHZVIZYIUULUHU
      GGHUVGYHUUKYDUVGYEYMYGXOUVFXIVPWPWAXJXKXL $.

    eropr.15 $e |- L = ( C /. T ) $.
    $( Functionality of an operation defined on equivalence classes.
       (Contributed by Jeff Madsen, 10-Jun-2010.)  (Revised by Mario Carneiro,
       30-Dec-2014.) $)
    eroprf $p |- ( ph -> .+^ : ( J X. K ) --> L ) $=
      ( cxp wf cv cec wceq wa co wrex cio cmpo wcel wral cab wi ad2antrr adantr
      cqs fovrnda ecelqsg syl2anc eleqtrrdi eleq1a syl rexlimdvva abssdv eroveu
      adantld weu iotacl sseldd ralrimivva eqid fmpo sylib erovlem feq1d mpbird
      ) APQVCZRKVDWTRBCPQBVEZUGVEZLVFVGCVEZUFVEZMVFVGVHZDVEZXBXDJVIZNVFZVGZVHZU
      FHVJUGGVJZDVKZVLZVDZAXLRVMZCQVNBPVNXNAXOBCPQAXAPVMXCQVMVHZVHZXKDVOZRXLXQX
      KDRXQXJXFRVMZUGUFGHXQXBGVMXDHVMVHZVHZXIXSXEYAXHRVMXIXSVPYAXHINVSZRYANUCVM
      ZXGIVMXHYBVMAYCXPXTUJVQXQXBXDIGHJAGHVCIJVDXPUQVRVTIXGNUCWAWBVBWCXHRXFWDWE
      WIWFWGXQXKDWJXLXRVMADEFGHIJLMNOPQSTXAXCUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURWH
      XKDWKWEWLWMBCPQXLRXMXMWNWOWPAWTRKXMABCDEFGHIJKLMNOPQSTUCUDUEUFUGUHUIUJUKU
      LUMUNUOUPUQURUSWQWRWS $.
  $}

  ${
    $d p q r s t u x y z A $.  $d p q r s t u x y z P $.  $d p q r s t u z X $.
    $d p q r s t u x y z .+ $.  $d p q r s t u x y z .~ $.  $d p q x y z J $.
    $d p q r s t u x y z ph $.  $d p q r s t u x y z Q $.
    eropr2.1 $e |- J = ( A /. .~ ) $.
    eropr2.2 $e |- .+^ = { <. <. x , y >. , z >. | E. p e. A E. q e. A
             ( ( x = [ p ] .~ /\ y = [ q ] .~ ) /\ z = [ ( p .+ q ) ] .~ ) } $.
    eropr2.3 $e |- ( ph -> .~ e. X ) $.
    eropr2.4 $e |- ( ph -> .~ Er U ) $.
    eropr2.5 $e |- ( ph -> A C_ U ) $.
    eropr2.6 $e |- ( ph -> .+ : ( A X. A ) --> A ) $.
    eropr2.7 $e |- ( ( ph /\ ( ( r e. A /\ s e. A ) /\ ( t e. A /\ u e. A ) ) )
      -> ( ( r .~ s /\ t .~ u ) -> ( r .+ t ) .~ ( s .+ u ) ) ) $.
    $( The value of an operation defined on equivalence classes.  (Contributed
       by Jeff Madsen, 10-Jun-2010.) $)
    erov2 $p |- ( ( ph /\ P e. A /\ Q e. A )
                          -> ( [ P ] .~ .+^ [ Q ] .~ ) = [ ( P .+ Q ) ] .~ ) $=
      ( erov ) ABCDEFGGGHIJKLLLMNNMMOOOPQRSTTUBUCUCUCUDUDUDUEUFUAUBUBUG $.

    $( Functionality of an operation defined on equivalence classes.
       (Contributed by Jeff Madsen, 10-Jun-2010.) $)
    eroprf2 $p |- ( ph -> .+^ : ( J X. J ) --> J ) $=
      ( eroprf ) ABCDEFGGGHIJJJKLLLKKMMMNOPQRRTUAUAUAUBUBUBUCUDSTTRUE $.
  $}

  ${
    $d f g h t s r A $.  $d f g h t s r B $.  $d f g h t s r C $.
    $d f g h t s r D $.  $d x y z w v u f g h t s r .+ $.  $d f g h t s r .~ $.
    $d x y z w v u f g h t s r S $.
    ecopopr.1 $e |- .~ = { <. x , y >. | ( ( x e. ( S X. S ) /\ y e. ( S X. S )
          ) /\ E. z E. w E. v E. u ( ( x = <. z , w >. /\ y = <. v , u >. ) /\
          ( z .+ u ) = ( w .+ v ) ) ) } $.
    ${
      $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
      $d x y z w v u D $.
      $( This is the first of several theorems about equivalence relations of
         the kind used in construction of fractions and signed reals, involving
         operations on equivalent classes of ordered pairs.  This theorem
         expresses the relation ` .~ ` (specified by the hypothesis) in terms
         of its operation ` F ` .  (Contributed by NM, 16-Aug-1995.) $)
      ecopoveq $p |- ( ( ( A e. S /\ B e. S ) /\
                     ( C e. S /\ D e. S ) ) ->
          ( <. A , B >. .~ <. C , D >. <-> ( A .+ D ) = ( B .+ C ) ) ) $=
        ( cv co wceq wb wa oveq12 eqeqan12d an42s opbrop ) COZFOZKPZDOZEOZKPZQZ
        GJKPZHIKPZQZABCDEFGHIJLMUDGQZUEJQZUGHQZUHIQZUJUMRUNUOSUPUQSUFUKUIULUDGU
        EJKTUGHUHIKTUAUBNUC $.
    $}

    ${
      ecopopr.com $e |- ( x .+ y ) = ( y .+ x ) $.
      $( Assuming the operation ` F ` is commutative, show that the relation
         ` .~ ` , specified by the first hypothesis, is symmetric.
         (Contributed by NM, 27-Aug-1995.)  (Revised by Mario Carneiro,
         26-Apr-2015.) $)
      ecopovsym $p |- ( A .~ B -> B .~ A ) $=
        ( wbr wcel wa wb cv wceq co vf vg vh cxp cop wex copab opabssxp eqsstri
        brel eqid breq1 breq2 bibi12d ecopoveq vex caovcom eqeq12i eqcom bitrdi
        vt bitri ancoms bitr4d 2optocl syl ibi ) GHJNZHGJNZVHGKKUDZOHVJOPVHVIQZ
        GHVJVJJJARZVJOBRZVJOPVLCRZDRZUESVMERZFRZUESPVNVQITVOVPITSPFUFEUFDUFCUFZ
        PABUGVJVJUDLVRABVJVJUHUIUJUARZUBRZUEZUCRZVARZUEZJNZWDWAJNZQGWDJNZWDGJNZ
        QVKUAUBUCVAGHKKVJVJUKWAGSWEWGWFWHWAGWDJULWAGWDJUMUNWDHSWGVHWHVIWDHGJUMW
        DHGJULUNVSKOVTKOPZWBKOWCKOPZPZWEWBVTITZWCVSITZSZWFWKWEVSWCITZVTWBITZSZW
        NABCDEFVSVTWBWCIJKLUOWQWMWLSWNWOWMWPWLABVSWCIUAUPVAUPMUQABVTWBIUBUPUCUP
        MUQURWMWLUSVBUTWJWIWFWNQABCDEFWBWCVSVTIJKLUOVCVDVEVFVG $.

      ${
        $( Assume the operation is closed. $)
        ecopopr.cl $e |- ( ( x e. S /\ y e. S ) -> ( x .+ y ) e. S ) $.
        $( Assume the operation is associative. $)
        ecopopr.ass $e |- ( ( x .+ y ) .+ z ) = ( x .+ ( y .+ z ) ) $.
        $( Assume the operation has the cancellation property. $)
        ecopopr.can $e |- ( ( x e. S /\ y e. S ) ->
                   ( ( x .+ y ) = ( x .+ z ) -> y = z ) ) $.
        $( Assuming that operation ` F ` is commutative (second hypothesis),
           closed (third hypothesis), associative (fourth hypothesis), and has
           the cancellation property (fifth hypothesis), show that the relation
           ` .~ ` , specified by the first hypothesis, is transitive.
           (Contributed by NM, 11-Feb-1996.)  (Revised by Mario Carneiro,
           26-Apr-2015.) $)
        ecopovtrn $p |- ( ( A .~ B /\ B .~ C ) -> A .~ C ) $=
          ( wcel wa co vf vg vh vt vs vr cxp w3a wbr cv cop wceq copab opabssxp
          wex eqsstri brel simpld anim12i 3anass sylibr wi breq1 anbi1d imbi12d
          eqid anbi12d imbi1d anbi2d wb ecopoveq 3adant3 3adant1 oveq12 caov411
          breq2 vex caov4 eqtr3i 3eqtr4g syl6bi caovcl ovex syl2an 3impb 3com12
          caovcan 3adant3l 3adant1r syld 3adant2 sylibrd 3optocl mpcom ) GLLUGZ
          RZHWORZIWORZUHZGHKUIZHIKUIZSZGIKUIZXBWPWQWRSZSWSWTWPXAXDWTWPWQGHWOWOK
          KAUJZWORBUJZWORSXECUJZDUJZUKULXFEUJZFUJZUKULSXGXJJTXHXIJTULSFUOEUODUO
          CUOZSABUMWOWOUGMXKABWOWOUNUPZUQURHIWOWOKXLUQUSWPWQWRUTVAUAUJZUBUJZUKZ
          UCUJZUDUJZUKZKUIZXRUEUJZUFUJZUKZKUIZSZXOYBKUIZVBGXRKUIZYCSZGYBKUIZVBW
          THYBKUIZSZYHVBXBXCVBUAUBUCUDUEUFGHILWOLWOVFXOGULZYDYGYEYHYKXSYFYCXOGX
          RKVCVDXOGYBKVCVEXRHULZYGYJYHYLYFWTYCYIXRHGKVPXRHYBKVCVGVHYBIULZYJXBYH
          XCYMYIXAWTYBIHKVPVIYBIGKVPVEXMLRZXNLRZSZXPLRXQLRSZXTLRZYALRZSZUHZYDXM
          YAJTZXNXTJTZULZYEUUAYDXPXQJTZUUBJTZUUEUUCJTZULZUUDUUAYDXMXQJTZXNXPJTZ
          ULZXPYAJTZXQXTJTZULZSZUUHUUAXSUUKYCUUNYPYQXSUUKVJYTABCDEFXMXNXPXQJKLM
          VKVLYQYTYCUUNVJYPABCDEFXPXQXTYAJKLMVKVMVGUUOUUIUULJTUUJUUMJTZUUFUUGUU
          IUUJUULUUMJVNABCXPXQXMYAJUCVQZUDVQZUAVQNPUFVQVOXNXQJTXPXTJTJTUUGUUPAB
          CXNXQXPXTJUBVQZUURUUQNPUEVQZVOABCXNXQXPXTJUUSUURUUQNPUUTVRVSVTWAYNYQY
          TUUHUUDVBZYOYNYQYSUVAYRYQYNYSUVAYQYNYSUVAYQUUELRUUBLRUVAYNYSSABXPXQLJ
          OWBABXMYALJOWBABCUUEUUBUUCLJXNXTJWCQWGWDWEWFWHWIWJYPYTYEUUDVJYQABCDEF
          XMXNXTYAJKLMVKWKWLWMWN $.

        $( Assuming that operation ` F ` is commutative (second hypothesis),
           closed (third hypothesis), associative (fourth hypothesis), and has
           the cancellation property (fifth hypothesis), show that the relation
           ` .~ ` , specified by the first hypothesis, is an equivalence
           relation.  (Contributed by NM, 16-Feb-1996.)  (Revised by Mario
           Carneiro, 12-Aug-2015.)  (Proof shortened by AV, 1-May-2021.) $)
        ecopover $p |- .~ Er ( S X. S ) $=
          ( vf vg vh cv wcel wa cxp cop wceq relopabiv ecopovsym ecopovtrn wral
          co wex wbr caovcom ecopoveq mpbiri anidms rgen2 wb breq12 ralxp mpbir
          vex rspec copab opabssxp eqsstri ssbri brxp simplbi syl impbii iseri
          ) OPQIIUAZHARZVKSBRZVKSTVLCRZDRZUBUCVMERZFRZUBUCTVNVQGUHVOVPGUHUCTFUI
          EUIDUICUIZTZABHJUDABCDEFORZPRZGHIJKUEABCDEFVTWAQRZGHIJKLMNUFVTVKSZVTV
          THUJZWDOVKWDOVKUGWAWBUBZWEHUJZQIUGPIUGWFPQIIWAISWBISTZWFWGWGTWFWAWBGU
          HWBWAGUHUCABWAWBGPUTQUTKUKABCDEFWAWBWAWBGHIJULUMUNUOWDWFOPQIIVTWEUCWD
          WFUPVTWEVTWEHUQUNURUSVAWDVTVTVKVKUAZUJZWCHWHVTVTHVSABVBWHJVRABVKVKVCV
          DVEWIWCWCVTVTVKVKVFVGVHVIVJ $.
      $}
    $}
  $}

  ${
    $d x y .+ $.  $d x y S $.  $d x y A $.  $d x y B $.  $d x y C $.
    $d x y D $.
    eceqoveq.5 $e |- .~ Er ( S X. S ) $.
    eceqoveq.7 $e |- dom .+ = ( S X. S ) $.
    eceqoveq.8 $e |- -. (/) e. S $.
    eceqoveq.9 $e |- ( ( x e. S /\ y e. S ) -> ( x .+ y ) e. S ) $.
    eceqoveq.10 $e |- ( ( ( A e. S /\ B e. S ) /\
                     ( C e. S /\ D e. S ) ) ->
          ( <. A , B >. .~ <. C , D >. <-> ( A .+ D ) = ( B .+ C ) ) ) $.
    $( Equality of equivalence relation in terms of an operation.  (Contributed
       by NM, 15-Feb-1996.)  (Proof shortened by Mario Carneiro,
       12-Aug-2015.) $)
    eceqoveq $p |- ( ( A e. S /\ C e. S ) ->
                      ( [ <. A , B >. ] .~ = [ <. C , D >. ] .~ <->
                      ( A .+ D ) = ( B .+ C ) ) ) $=
      ( wcel wa wceq wi wn c0 cop cec co wb cxp opelxpi ad2antrr wer a1i ereldm
      simpr mpbid opelxp2 syl ex caovcl syl5ibr ndmovrcl simprd syl6com adantll
      eleq1 wbr adantr erth bitr3d expr pm5.21ndd an32s eqcom erdm ax-mp eleq2i
      wne cdm ecdmn0 opelxp 3bitr3i simplbi2 ad2antlr necon2bd ndmov nsyl5 syl6
      mtbiri simprbi necon1bd impbid syl5bb necon1bi adantl eqeq1d simpl eqeq2d
      syl5 3bitr4d pm2.61dan ) CIOZEIOZPZDIOZCDUAZHUBZEFUAZHUBZQZCFGUCZDEGUCZQZ
      UDZWRXAWSXJWRXAPZWSPZFIOZXFXIXLXFXMXLXFPZXDIIUEZOZXMXNXBXOOZXPXKXQWSXFCDI
      IUFZUGXNXBXDHXOXOHUHZXNJUIXLXFUKUJULEFIIUMUNUOXAWSXIXMRWRXIXAWSPZXGIOZXMX
      TYAXIXHIOABDEIGMUPXGXHIVBUQYAWRXMCFIGKLURUSUTVAXKWSXMXJXKWSXMPZPZXBXDHVCX
      FXIYCXBXDHXOXSYCJUIXKXQYBXRVDVENVFVGVHVIWTXASZPZTXEQZXGTQZXFXIYFXETQZYEYG
      TXEVJYEYHYGYEYHXMSYGYEXMXETWSXMXETVNZRWRYDYIWSXMXDHVOZOXPYIYBYJXOXDXSYJXO
      QJXOHVKVLZVMXDHVPEFIIVQVRZVSVTWAWRXMPXMYGWRXMUKCFIGKWBWCWDYGYASYEYHYGYATI
      OLXGTIVBWEYEYAXETYIXMYEYAYIWSXMYLWFWRXMYARWSYDWRXMYAABCFIGMUPUOUGWOWGWOWH
      WIYEXCTXEYDXCTQWTXAXCTXCTVNZWRXAXBYJOXQYMXKYJXOXBYKVMXBHVPCDIIVQVRWFWJWKW
      LYEXHTXGYDXHTQZWTXTXAYNXAWSWMDEIGKWBWCWKWNWPWQ $.
  $}

  ${
    $d x y z w A $.  $d z w B $.  $d x y z w .+ $.  $d x y z w .~ $.
    $d x y z w S $.  $d z w C $.
    ecovcom.1 $e |- C = ( ( S X. S ) /. .~ ) $.
    $( D,G for AFB $)
    ecovcom.2 $e |- ( ( ( x e. S /\ y e. S ) /\ ( z e. S /\ w e. S ) ) ->
 ( [ <. x , y >. ] .~ .+ [ <. z , w >. ] .~ ) = [ <. D , G >. ] .~ ) $.
    $( H,J for BFA $)
    ecovcom.3 $e |- ( ( ( z e. S /\ w e. S ) /\ ( x e. S /\ y e. S ) ) ->
 ( [ <. z , w >. ] .~ .+ [ <. x , y >. ] .~ ) = [ <. H , J >. ] .~ ) $.
    ecovcom.4 $e |- D = H $.
    ecovcom.5 $e |- G = J $.
    $( Lemma used to transfer a commutative law via an equivalence relation.
       (Contributed by NM, 29-Aug-1995.)  (Revised by David Abernethy,
       4-Jun-2013.) $)
    ecovcom $p |- ( ( A e. C /\ B e. C ) -> ( A .+ B ) = ( B .+ A ) ) $=
      ( wceq cv cop cec co oveq1 oveq2 eqeq12d wcel opeq12 eceq1d mp2an 3eqtr4a
      wa ancoms 2ecoptocl ) AUAZBUAZUBJUCZCUAZDUAZUBJUCZIUDZVAURIUDZTEVAIUDZVAE
      IUDZTEFIUDZFEIUDZTABCDEFKKJGOURETVBVDVCVEUREVAIUEUREVAIUFUGVAFTVDVFVEVGVA
      FEIUFVAFEIUEUGUPKUHUQKUHUMZUSKUHUTKUHUMZUMHLUBZJUCZMNUBZJUCZVBVCHMTZLNTZV
      KVMTRSVNVOUMVJVLJHLMNUIUJUKPVIVHVCVMTQUNULUO $.
  $}

  ${
    $d x y z w v u A $.  $d z w v u B $.  $d x y z w v u C $.
    $d x y z w v u .+ $.  $d x y z w v u .~ $.  $d x y z w v u S $.
    $d z w v u D $.
    ecovass.1 $e |- D = ( ( S X. S ) /. .~ ) $.
    ecovass.2 $e |- ( ( ( x e. S /\ y e. S ) /\ ( z e. S /\ w e. S ) ) ->
 ( [ <. x , y >. ] .~ .+ [ <. z , w >. ] .~ ) = [ <. G , H >. ] .~ ) $.
    ecovass.3 $e |- ( ( ( z e. S /\ w e. S ) /\ ( v e. S /\ u e. S ) ) ->
 ( [ <. z , w >. ] .~ .+ [ <. v , u >. ] .~ ) = [ <. N , Q >. ] .~ ) $.
    ecovass.4 $e |- ( ( ( G e. S /\ H e. S ) /\ ( v e. S /\ u e. S ) ) ->
 ( [ <. G , H >. ] .~ .+ [ <. v , u >. ] .~ ) = [ <. J , K >. ] .~ ) $.
    ecovass.5 $e |- ( ( ( x e. S /\ y e. S ) /\ ( N e. S /\ Q e. S ) ) ->
 ( [ <. x , y >. ] .~ .+ [ <. N , Q >. ] .~ ) = [ <. L , M >. ] .~ ) $.
    ecovass.6 $e |- ( ( ( x e. S /\ y e. S ) /\ ( z e. S /\ w e. S ) ) ->
                     ( G e. S /\ H e. S ) ) $.
    ecovass.7 $e |- ( ( ( z e. S /\ w e. S ) /\ ( v e. S /\ u e. S ) ) ->
                     ( N e. S /\ Q e. S ) ) $.
    ecovass.8 $e |- J = L $.
    ecovass.9 $e |- K = M $.
    $( Lemma used to transfer an associative law via an equivalence relation.
       (Contributed by NM, 31-Aug-1995.)  (Revised by David Abernethy,
       4-Jun-2013.) $)
    ecovass $p |- ( ( A e. D /\ B e. D /\ C e. D ) ->
                 ( ( A .+ B ) .+ C ) = ( A .+ ( B .+ C ) ) ) $=
      ( cv cop cec co wceq oveq1 oveq1d eqeq12d oveq2 oveq2d wcel wa w3a opeq12
      eceq1d mp2an adantr sylan eqtrd 3impa adantl sylan2 3eqtr4a 3ecoptocl
      3impb ) AUKZBUKZULMUMZCUKZDUKZULMUMZKUNZEUKZFUKZULMUMZKUNZVRWAWEKUNZKUNZU
      OGWAKUNZWEKUNZGWGKUNZUOGHKUNZWEKUNZGHWEKUNZKUNZUOWLIKUNZGHIKUNZKUNZUOABCD
      EFGHINMJUBVRGUOZWFWJWHWKWSWBWIWEKVRGWAKUPUQVRGWGKUPURWAHUOZWJWMWKWOWTWIWL
      WEKWAHGKUSUQWTWGWNGKWAHWEKUPUTURWEIUOZWMWPWOWRWEIWLKUSXAWNWQGKWEIHKUSUTUR
      VPNVAVQNVAVBZVSNVAVTNVAVBZWCNVAWDNVAVBZVCQRULZMUMZSTULZMUMZWFWHQSUOZRTUOZ
      XFXHUOUIUJXIXJVBXEXGMQRSTVDVEVFXBXCXDWFXFUOXBXCVBZXDVBWFOPULMUMZWEKUNZXFX
      KWFXMUOXDXKWBXLWEKUCUQVGXKONVAPNVAVBXDXMXFUOUGUEVHVIVJXBXCXDWHXHUOXBXCXDV
      BZVBWHVRUALULMUMZKUNZXHXNWHXPUOXBXNWGXOVRKUDUTVKXNXBUANVALNVAVBXPXHUOUHUF
      VLVIVOVMVN $.
  $}

  ${
    $d x y z w v u A $.  $d z w v u B $.  $d w v u C $.  $d x y z w v u .+ $.
    $d x y z w v u .~ $.  $d x y z w v u S $.  $d x y z w v u .x. $.
    $d z w v u D $.
    ecovdi.1 $e |- D = ( ( S X. S ) /. .~ ) $.
    $( M,N for BFC $)
    ecovdi.2 $e |- ( ( ( z e. S /\ w e. S ) /\ ( v e. S /\ u e. S ) ) ->
 ( [ <. z , w >. ] .~ .+ [ <. v , u >. ] .~ ) = [ <. M , N >. ] .~ ) $.
    $( H,J for AG(BFC) $)
    ecovdi.3 $e |- ( ( ( x e. S /\ y e. S ) /\ ( M e. S /\ N e. S ) ) ->
 ( [ <. x , y >. ] .~ .x. [ <. M , N >. ] .~ ) = [ <. H , J >. ] .~ ) $.
    $( W,X for AGB $)
    ecovdi.4 $e |- ( ( ( x e. S /\ y e. S ) /\ ( z e. S /\ w e. S ) ) ->
 ( [ <. x , y >. ] .~ .x. [ <. z , w >. ] .~ ) = [ <. W , X >. ] .~ ) $.
    $( Y,Z for AGC $)
    ecovdi.5 $e |- ( ( ( x e. S /\ y e. S ) /\ ( v e. S /\ u e. S ) ) ->
 ( [ <. x , y >. ] .~ .x. [ <. v , u >. ] .~ ) = [ <. Y , Z >. ] .~ ) $.
    $( K,L for (AGB)F(AGC) $)
    ecovdi.6 $e |- ( ( ( W e. S /\ X e. S ) /\ ( Y e. S /\ Z e. S ) ) ->
 ( [ <. W , X >. ] .~ .+ [ <. Y , Z >. ] .~ ) = [ <. K , L >. ] .~ ) $.
    ecovdi.7 $e |- ( ( ( z e. S /\ w e. S ) /\ ( v e. S /\ u e. S ) ) ->
                     ( M e. S /\ N e. S ) ) $.
    ecovdi.8 $e |- ( ( ( x e. S /\ y e. S ) /\ ( z e. S /\ w e. S ) ) ->
                     ( W e. S /\ X e. S ) ) $.
    ecovdi.9 $e |- ( ( ( x e. S /\ y e. S ) /\ ( v e. S /\ u e. S ) ) ->
                     ( Y e. S /\ Z e. S ) ) $.
    ecovdi.10 $e |- H = K $.
    ecovdi.11 $e |- J = L $.
    $( Lemma used to transfer a distributive law via an equivalence relation.
       (Contributed by NM, 2-Sep-1995.)  (Revised by David Abernethy,
       4-Jun-2013.) $)
    ecovdi $p |- ( ( A e. D /\ B e. D /\ C e. D ) ->
                 ( A .x. ( B .+ C ) ) = ( ( A .x. B ) .+ ( A .x. C ) ) ) $=
      ( cv cop co wceq oveq1 oveq12d eqeq12d oveq2d oveq2 oveq1d wcel wa opeq12
      cec w3a eceq1d mp2an adantl sylan2 eqtrd 3impb oveqan12d syl2an 3ecoptocl
      3impdi 3eqtr4a ) AUPZBUPZUQLVIZCUPZDUPZUQLVIZEUPZFUPZUQLVIZKURZNURZWDWGNU
      RZWDWJNURZKURZUSGWKNURZGWGNURZGWJNURZKURZUSGHWJKURZNURZGHNURZWRKURZUSGHIK
      URZNURZXBGINURZKURZUSABCDEFGHIMLJUEWDGUSZWLWPWOWSWDGWKNUTXHWMWQWNWRKWDGWG
      NUTWDGWJNUTVAVBWGHUSZWPXAWSXCXIWKWTGNWGHWJKUTVCXIWQXBWRKWGHGNVDVEVBWJIUSZ
      XAXEXCXGXJWTXDGNWJIHKVDVCXJWRXFXBKWJIGNVDVCVBWBMVFWCMVFVGZWEMVFWFMVFVGZWH
      MVFWIMVFVGZVJOPUQZLVIZQRUQZLVIZWLWOOQUSZPRUSZXOXQUSUNUOXRXSVGXNXPLOPQRVHV
      KVLXKXLXMWLXOUSXKXLXMVGZVGWLWDSTUQLVIZNURZXOXTWLYBUSXKXTWKYAWDNUFVCVMXTXK
      SMVFTMVFVGYBXOUSUKUGVNVOVPXKXLXMWOXQUSXKXLVGZXKXMVGZVGWOUAUBUQLVIZUCUDUQL
      VIZKURZXQYCYDWMYEWNYFKUHUIVQYCUAMVFUBMVFVGUCMVFUDMVFVGYGXQUSYDULUMUJVRVOV
      TWAVS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The mapping operation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c ^m $.  $( The mapping operation. $)
  $c ^pm $.  $( The mapping operation. $)

  $( Extend the definition of a class to include the mapping operation.  (Read
     for ` A ^m B ` , "the set of all functions that map from ` B ` to
     ` A ` .) $)
  cmap $a class ^m $.

  $( Extend the definition of a class to include the partial mapping operation.
     (Read for ` A ^pm B ` , "the set of all partial functions that map from
     ` B ` to ` A ` .) $)
  cpm $a class ^pm $.

  ${
    $d x y f $.
    $( Define the mapping operation or set exponentiation.  The set of all
       functions that map from ` B ` to ` A ` is written ` ( A ^m B ) ` (see
       ~ mapval ).  Many authors write ` A ` followed by ` B ` as a superscript
       for this operation and rely on context to avoid confusion other
       exponentiation operations (e.g., Definition 10.42 of [TakeutiZaring]
       p. 95).  Other authors show ` B ` as a prefixed superscript, which is
       read " ` A ` pre ` B ` " (e.g., definition of [Enderton] p. 52).
       Definition 8.21 of [Eisenberg] p. 125 uses the notation Map( ` B ` ,
       ` A ` ) for our ` ( A ^m B ) ` .  The up-arrow is used by Donald Knuth
       for iterated exponentiation (_Science_ 194, 1235-1242, 1976).  We adopt
       the first case of his notation (simple exponentiation) and subscript it
       with _m_ to distinguish it from other kinds of exponentiation.
       (Contributed by NM, 8-Dec-2003.) $)
    df-map $a |- ^m = ( x e. _V , y e. _V |-> { f | f : y --> x } ) $.

    $( Define the partial mapping operation.  A partial function from ` B ` to
       ` A ` is a function from a subset of ` B ` to ` A ` .  The set of all
       partial functions from ` B ` to ` A ` is written ` ( A ^pm B ) ` (see
       ~ pmvalg ).  A notation for this operation apparently does not appear in
       the literature.  We use ` ^pm ` to distinguish it from the less general
       set exponentiation operation ` ^m ` ( ~ df-map ).  See ~ mapsspm for its
       relationship to set exponentiation.  (Contributed by NM,
       15-Nov-2007.) $)
    df-pm $a |- ^pm = ( x e. _V , y e. _V |->
                    { f e. ~P ( y X. x ) | Fun f } ) $.
  $}

  $( Note:  an alternate way to express partial functions is as follows,
     which would be added after df-fun above.  The symbol would be _pfun.gif.
     This definition would be needed only if we need proper class partial
     functions, which seems unlikely.  While nice-looking, for ordinary usage
     it would inconveniently require a new set of equality theorems, etc. $)
  $( Define a partial function, which is a function from a subset of the
     domain ` A ` to the codomain ` B ` .  The notation of a stroke through
     the arrow is used by the Z language: see, for example,
     ~ http://staff.washington.edu/jon/z/dcs.html . $)
  $(
  df-fp $a |- ( F : A -|-> B <-> ( Fun F /\ F C_ ( X X. Y ) ) $.
  $)

  ${
    $d f A $.  $d f B $.
    $( When ` A ` is a proper class, the class of all functions mapping ` A `
       to ` B ` is empty.  Exercise 4.41 of [Mendelson] p. 255.  (Contributed
       by NM, 8-Dec-2003.) $)
    mapprc $p |- ( -. A e. _V -> { f | f : A --> B } = (/) ) $=
      ( cvv wcel cv wf cab c0 wne wex abn0 cdm fdm dmex eqeltrrdi exlimiv sylbi
      vex necon1bi ) ADEZABCFZGZCHZIUDIJUCCKUAUCCLUCUACUCAUBMDABUBNUBCSOPQRT $.

    $( The class of all partial functions from one set to another is a set.
       (Contributed by NM, 15-Nov-2007.) $)
    pmex $p |- ( ( A e. C /\ B e. D ) ->
                   { f | ( Fun f /\ f C_ ( A X. B ) ) } e. _V ) $=
      ( wcel wa cv wfun cxp wss cab cvv ancom abbii xpexg abssexg syl eqeltrid
      ) ACFBDFGZEHZIZUAABJZKZGZELUDUBGZELZMUEUFEUBUDNOTUCMFUGMFABCDPUBEUCMQRS
      $.

    $( The class of all functions mapping one set to another is a set.  Remark
       after Definition 10.24 of [Kunen] p. 31.  (Contributed by Raph Levien,
       4-Dec-2003.) $)
    mapex $p |- ( ( A e. C /\ B e. D ) -> { f | f : A --> B } e. _V ) $=
      ( wcel wa cv cab cxp cpw wss cvv fssxp ss2abi df-pw sseqtrri xpexg pwexd
      wf ssexg sylancr ) ACFBDFGZABEHZTZEIZABJZKZLUHMFUFMFUFUDUGLZEIUHUEUIEABUD
      NOEUGPQUCUGMABCDRSUFUHMUAUB $.
  $}

  ${
    $d f x y $.
    $( Set exponentiation has a universal domain.  (Contributed by NM,
       8-Dec-2003.)  (Revised by Mario Carneiro, 8-Sep-2013.) $)
    fnmap $p |- ^m Fn ( _V X. _V ) $=
      ( vx vy vf cvv cv wf cab cmap df-map wcel mapex el2v fnmpoi ) ABDDBEZAEZC
      EFCGZHABCIPDJBANODDCKLM $.

    $( Partial function exponentiation has a universal domain.  (Contributed by
       Mario Carneiro, 14-Nov-2013.) $)
    fnpm $p |- ^pm Fn ( _V X. _V ) $=
      ( vx vy vf cvv cv wfun cxp cpw crab cpm df-pm vex xpex pwex rabex fnmpoi
      ) ABDDCEFZCBEZAEZGZHZIJABCKQCUATRSBLALMNOP $.

    $( Set exponentiation is a well-behaved binary operator.  (Contributed by
       Stefan O'Rear, 27-Feb-2015.) $)
    reldmmap $p |- Rel dom ^m $=
      ( vx vy vf cvv cv wf cab cmap df-map reldmmpo ) ABDDBEAECEFCGHABCIJ $.
  $}

  ${
    $d x y f A $.  $d x y f B $.
    $( The value of set exponentiation. ` ( A ^m B ) ` is the set of all
       functions that map from ` B ` to ` A ` .  Definition 10.24 of [Kunen]
       p. 24.  (Contributed by NM, 8-Dec-2003.)  (Revised by Mario Carneiro,
       8-Sep-2013.) $)
    mapvalg $p |- ( ( A e. C /\ B e. D ) ->
                  ( A ^m B ) = { f | f : B --> A } ) $=
      ( vx vy wcel wa cv wf cab cvv cmap co wceq mapex ancoms elex abbidv feq3
      wi feq2 df-map ovmpog 3expia syl2an mpd ) ACHZBDHZIBAEJZKZELZMHZABNOUMPZU
      JUIUNBADCEQRUIAMHZBMHZUNUOUBUJACSBDSUPUQUNUOFGABMMGJZFJZUKKZELUMNURAUKKZE
      LMUSAPUTVAEUSAURUKUATURBPVAULEURBAUKUCTFGEUDUEUFUGUH $.

    $( The value of the partial mapping operation. ` ( A ^pm B ) ` is the set
       of all partial functions that map from ` B ` to ` A ` .  (Contributed by
       NM, 15-Nov-2007.)  (Revised by Mario Carneiro, 8-Sep-2013.) $)
    pmvalg $p |- ( ( A e. C /\ B e. D ) ->
                  ( A ^pm B ) = { f e. ~P ( B X. A ) | Fun f } ) $=
      ( vx vy wcel wa cv wfun cxp cpw crab cvv cpm wceq elex pweqd rabeqdv wss
      co ssrab2 xpexg ancoms pwexd ssexg xpeq2 xpeq1 df-pm ovmpog 3expia syl2an
      sylancr wi mpd ) ACHZBDHZIZEJKZEBALZMZNZOHZABPUBVCQZUSVCVBUAVBOHVDUTEVBUC
      USVAOURUQVAOHBADCUDUEUFVCVBOUGUNUQAOHZBOHZVDVEUOURACRBDRVFVGVDVEFGABOOUTE
      GJZFJZLZMZNVCPUTEVHALZMZNOVIAQZUTEVKVMVNVJVLVIAVHUHSTVHBQZUTEVMVBVOVLVAVH
      BAUISTFGEUJUKULUMUP $.
  $}

  ${
    $d f A $.  $d f B $.
    mapval.1 $e |- A e. _V $.
    mapval.2 $e |- B e. _V $.
    $( The value of set exponentiation (inference version). ` ( A ^m B ) ` is
       the set of all functions that map from ` B ` to ` A ` .  Definition
       10.24 of [Kunen] p. 24.  (Contributed by NM, 8-Dec-2003.) $)
    mapval $p |- ( A ^m B ) = { f | f : B --> A } $=
      ( cvv wcel cmap co cv wf cab wceq mapvalg mp2an ) AFGBFGABHIBACJKCLMDEABF
      FCNO $.
  $}

  ${
    $d g A $.  $d g B $.  $d g C $.
    $( Membership relation for set exponentiation.  (Contributed by NM,
       17-Oct-2006.)  (Revised by Mario Carneiro, 15-Nov-2014.) $)
    elmapg $p |- ( ( A e. V /\ B e. W ) ->
                  ( C e. ( A ^m B ) <-> C : B --> A ) ) $=
      ( vg wcel wa cmap co cv wf cab mapvalg eleq2d cvv wi wb fex2 3com13 bitrd
      3expia feq1 elab3g syl ) ADGZBEGZHZCABIJZGCBAFKZLZFMZGZBACLZUHUIULCABDEFN
      OUHUNCPGZQUMUNRUFUGUNUOUNUGUFUOBACEDSTUBUKUNFCPBAUJCUCUDUEUA $.
  $}

  ${
    elmapd.a $e |- ( ph -> A e. V ) $.
    elmapd.b $e |- ( ph -> B e. W ) $.
    $( Deduction form of ~ elmapg .  (Contributed by BJ, 11-Apr-2020.) $)
    elmapd $p |- ( ph -> ( C e. ( A ^m B ) <-> C : B --> A ) ) $=
      ( wcel cmap co wf wb elmapg syl2anc ) ABEICFIDBCJKICBDLMGHBCDEFNO $.
  $}

  ${
    $d B f $.  $d V f $.
    $( The empty set is the only map with empty domain.  (Contributed by Glauco
       Siliprandi, 11-Oct-2020.)  (Proof shortened by Thierry Arnoux,
       3-Dec-2021.) $)
    mapdm0 $p |- ( B e. V -> ( B ^m (/) ) = { (/) } ) $=
      ( vf wcel c0 cmap co csn cv wceq wf cvv wb elmapg mpan2 f0bi bitrdi velsn
      0ex bitr4di eqrdv ) ABDZCAEFGZEHZUBCIZUCDZUEEJZUEUDDUBUFEAUEKZUGUBELDUFUH
      MSAEUEBLNOUEAPQCERTUA $.
  $}

  ${
    $d g A $.  $d g B $.  $d g C $.
    $( The predicate "is a partial function".  (Contributed by Mario Carneiro,
       14-Nov-2013.) $)
    elpmg $p |- ( ( A e. V /\ B e. W ) ->
                  ( C e. ( A ^pm B ) <-> ( Fun C /\ C C_ ( B X. A ) ) ) ) $=
      ( vg wcel wa cpm co wfun cxp cpw wss cv crab pmvalg cvv wi a1i funeq elex
      eleq2d elrab bitrdi biancomd xpexg ancoms ssexg expcom wb elpwg pm5.21ndd
      syl anbi2d bitrd ) ADGZBEGZHZCABIJZGZCKZCBALZMZGZHVBCVCNZHUSVAVBVEUSVACFO
      ZKZFVDPZGVEVBHUSUTVICABDEFQUCVHVBFCVDVGCUAUDUEUFUSVEVFVBUSCRGZVEVFVEVJSUS
      CVDUBTUSVCRGZVFVJSURUQVKBAEDUGUHVFVKVJCVCRUIUJUNVJVEVFUKSUSCVCRULTUMUOUP
      $.
  $}

  $( The predicate "is a partial function".  (Contributed by NM,
     31-Dec-2013.) $)
  elpm2g $p |- ( ( A e. V /\ B e. W ) ->
                ( F e. ( A ^pm B ) <-> ( F : dom F --> A /\ dom F C_ B ) ) ) $=
    ( wcel wa cpm co wfun cxp wss cdm wf elpmg funssxp bitrdi ) ADFBEFGCABHIFCJ
    CBAKLGCMZACNRBLGABCDEOBACPQ $.

  $( Sufficient condition for being a partial function.  (Contributed by NM,
     31-Dec-2013.) $)
  elpm2r $p |- ( ( ( A e. V /\ B e. W ) /\ ( F : C --> A /\ C C_ B ) ) ->
                   F e. ( A ^pm B ) ) $=
    ( wcel wa wf wss cpm co cdm wb fdm feq2d sseq1d anbi12d adantr ibir syl5ibr
    elpm2g imp ) AEGBFGHZCADIZCBJZHZDABKLGZUGUHUDDMZADIZUIBJZHZUGULUEULUGNUFUEU
    JUEUKUFUEUICADCADOZPUEUICBUMQRSTABDEFUBUAUC $.

  $( A partial function is a function.  (Contributed by Mario Carneiro,
     15-Sep-2015.) $)
  elpmi $p |- ( F e. ( A ^pm B ) -> ( F : dom F --> A /\ dom F C_ B ) ) $=
    ( cpm co wcel cdm wf wss wa cvv wb c0 wceq n0i cxp fnpm fndmi ndmov nsyl2
    elpm2g syl ibi ) CABDEZFZCGZACHUFBIJZUEAKFBKFJZUEUGLUEUDMNUHUDCOABKDKKPDQRS
    TABCKKUAUBUC $.

  $( A partial function is a function.  (Contributed by Mario Carneiro,
     30-Jan-2014.)  (Revised by Mario Carneiro, 26-Apr-2015.) $)
  pmfun $p |- ( F e. ( A ^pm B ) -> Fun F ) $=
    ( cpm co wcel cdm wf wss wa wfun elpmi ffun adantr syl ) CABDEFCGZACHZPBIZJ
    CKZABCLQSRPACMNO $.

  $( Eliminate antecedent for mapping theorems: domain can be taken to be a
     set.  (Contributed by Stefan O'Rear, 8-Oct-2014.) $)
  elmapex $p |- ( A e. ( B ^m C ) -> ( B e. _V /\ C e. _V ) ) $=
    ( cmap co wcel c0 wceq cvv wa n0i cxp fnmap fndmi ndmov nsyl2 ) ABCDEZFQGHB
    IFCIFJQAKBCIDIILDMNOP $.

  $( A mapping is a function, forward direction only with superfluous
     antecedent removed.  (Contributed by Stefan O'Rear, 10-Oct-2014.) $)
  elmapi $p |- ( A e. ( B ^m C ) -> A : C --> B ) $=
    ( cmap co wcel wf cvv wa wb elmapex elmapg syl ibi ) ABCDEFZCBAGZOBHFCHFIOP
    JABCKBCAHHLMN $.

  ${
    $d A f m $.  $d B f m $.  $d V m $.
    $( If ` B ` is a set, the value of the set exponentiation ` ( B ^m A ) ` is
       the class of all functions from ` A ` to ` B ` .  Generalisation of
       ~ mapvalg (which does not require ~ ax-rep ) to arbitrary domains.  Note
       that the class ` { f | f : A --> B } ` can only contain set-functions,
       as opposed to arbitrary class-functions.  When ` A ` is a proper class,
       there can be no set-functions on it, so the above class is empty (see
       also ~ fsetdmprc0 ), hence a set.  In this case, both sides of the
       equality in this theorem are the empty set.  (Contributed by AV,
       8-Aug-2024.) $)
    mapfset $p |- ( B e. V -> { f | f : A --> B } = ( B ^m A ) ) $=
      ( vm wcel cv wf cab cmap co vex feq1 elab wa cvv simpr dmfex mpan adantr
      elmapd exbiri pm2.43b elmapi impbid1 syl5bb eqrdv ) BDFZEABCGZHZCIZBAJKZE
      GZUKFABUMHZUHUMULFZUJUNCUMELZABUIUMMNUHUNUOUHUNUOUNUHUOUNUNUHOBAUMDPUNUHQ
      UNAPFZUHUMPFUNUQUPABPUMRSTUAUBUCUMBAUDUEUFUG $.
  $}

  ${
    $d A f $.  $d B f $.
    $( The value of the set exponentiation ` ( B ^m A ) ` is a subset of the
       class of functions from ` A ` to ` B ` .  (Contributed by AV,
       10-Aug-2024.) $)
    mapssfset $p |- ( B ^m A ) C_ { f | f : A --> B } $=
      ( cvv wcel cmap co cv wf cab wss wceq mapfset eqimss2 syl reldmmap ovprc1
      wn c0 0ss eqsstrdi pm2.61i ) BDEZBAFGZABCHICJZKZUCUEUDLUFABCDMUDUENOUCRUD
      SUEBAFPQUETUAUB $.

    $d A f m $.  $d B m $.
    $( The value of the set exponentiation ` ( B ^m A ) ` is a superset of the
       set of all functions from ` A ` onto ` B ` .  (Contributed by AV,
       7-Aug-2024.) $)
    mapfoss $p |- { f | f : A -onto-> B } C_ ( B ^m A ) $=
      ( vm cv wfo cab cmap co wcel vex foeq1 elab wf fof cvv crn forn eqeltrrdi
      rnex dmfex sylancr elmapd mpbird sylbi ssriv ) DABCEZFZCGZBAHIZDEZUIJABUK
      FZUKUJJZUHULCUKDKZABUGUKLMULUMABUKNZABUKOZULBAUKPPULBUKQPABUKRUKUNTSULUKP
      JUOAPJUNUPABPUKUAUBUCUDUEUF $.
  $}

  ${
    $d A f g $.  $d B f g $.
    $( The class of all functions from ` A ` into ` B ` is a subclass of the
       power class of the cartesion product of ` A ` and ` B ` .  (Contributed
       by AV, 13-Sep-2024.) $)
    fsetsspwxp $p |- { f | f : A --> B } C_ ~P ( A X. B ) $=
      ( vg cv wf cab cxp cpw wss wcel fssxp vex feq1 elab velpw 3imtr4i ssriv )
      DABCEZFZCGZABHZIZABDEZFZUDUBJUDUAKUDUCKABUDLTUECUDDMABSUDNODUBPQR $.
  $}

  $( The set of functions from the empty set is the singleton containing the
     empty set.  (Contributed by AV, 13-Sep-2024.) $)
  fset0 $p |- { f | f : (/) --> B } = { (/) } $=
    ( c0 cv wf cab wceq csn f0bi abbii df-sn eqtr4i ) CABDZEZBFMCGZBFCHNOBMAIJB
    CKL $.

  ${
    $d A f g $.
    $( The set of functions with a proper class as domain is empty.
       (Contributed by AV, 22-Aug-2024.) $)
    fsetdmprc0 $p |- ( A e/ _V -> { f | f Fn A } = (/) ) $=
      ( vg cvv wnel cv wfn wn wal cab c0 wceq wcel df-nel vex a1i fndmexd con3i
      id sylbi alrimiv fneq1 ab0w sylibr ) ADEZCFZAGZHZCIBFZAGZBJKLUEUHCUEADMZH
      UHADNUGUKUGAUFDUFDMUGCOPUGSQRTUAUJUGBCAUIUFUBUCUD $.

    $d B f $.
    $( The set of functions between two classes exists if the codomain exists.
       Generalization of ~ mapex to arbitrary domains.  (Contributed by AV,
       14-Aug-2024.) $)
    fsetex $p |- ( B e. V -> { f | f : A --> B } e. _V ) $=
      ( wcel cv wf cab cmap co cvv mapfset ovex eqeltrdi ) BDEABCFGCHBAIJKABCDL
      BAIMN $.

    $( The set of injections between two classes exists if the codomain exists.
       (Contributed by AV, 14-Aug-2024.) $)
    f1setex $p |- ( B e. V -> { f | f : A -1-1-> B } e. _V ) $=
      ( wcel cv wf1 cab wf cvv fsetex wss ccnv wfun df-f1 abbii abanssl eqsstri
      wa a1i ssexd ) BDEZABCFZGZCHZABUCIZCHZJABCDKUEUGLUBUEUFUCMNZSZCHUGUDUICAB
      UCOPUFUHCQRTUA $.

    $( The set of surjections between two classes exists (without any
       precondition).  (Contributed by AV, 8-Aug-2024.) $)
    fosetex $p |- { f | f : A -onto-> B } e. _V $=
      ( cv wfo cab cmap co ovex mapfoss ssexi ) ABCDECFBAGHBAGIABCJK $.

    $( The set of bijections between two classes exists.  (Contributed by AV,
       30-Mar-2024.)  (Revised by AV, 8-Aug-2024.)  (Proof shortened by SN,
       22-Aug-2024.) $)
    f1osetex $p |- { f | f : A -1-1-onto-> B } e. _V $=
      ( cv wf1o cab wfo fosetex f1ofo ss2abi ssexi ) ABCDZEZCFABLGZCFABCHMNCABL
      IJK $.
  $}

  ${
    $d A f g $.  $d B f g $.  $d F g $.  $d X g $.
    fsetfocdm.f $e |- F = { f | f : A --> B } $.
    fsetfocdm.s $e |- S = ( g e. F |-> ( g ` X ) ) $.
    $( The class of functions with a given domain and a given codomain is
       mapped, through evaluation at a point of the domain, into the codomain.
       (Contributed by AV, 15-Sep-2024.) $)
    fsetfcdm $p |- ( X e. A -> S : F --> B ) $=
      ( wcel cv cfv wf vex feq1 elab2 ffvelrn expcom syl5bi imp fmptd ) GAJZEFG
      EKZLZBCUBUCFJZUDBJZUEABUCMZUBUFABDKZMUGDUCFENABUHUCOHPUGUBUFABGUCQRSTIUA
      $.

    $d A f h x $.  $d B h x $.  $d F f h $.  $d S g h $.  $d V f g h x $.
    $d X f h x $.
    $( The class of functions with a given domain that is a set and a given
       codomain is mapped, through evaluation at a point of the domain, onto
       the codomain.  (Contributed by AV, 15-Sep-2024.) $)
    fsetfocdm $p |- ( ( A e. V /\ X e. A ) -> S : F -onto-> B ) $=
      ( vh vx wcel wa wf cv cfv wceq adantl cvv wrex wral fsetfcdm simplr fmptd
      wfo cmpt eqid wb simpll mptexd feq1 elab2g syl mpbird fveq2 fveq1 cbvmptv
      eqeq2d eqtri a1i fvexd fvmptd eqidd simpr adantr rspcedvd ralrimiva dffo3
      vex eqtr2d sylanbrc ) AGMZHAMZNZFBCOZEPZKPZCQZRZKFUAZEBUBFBCUFVNVPVMABCDE
      FHIJUCSVOWAEBVOVQBMZNZVTVQLAVQUGZCQZRZKWDFWCWDFMZABWDOZWCLAVQBWDVOWBLPZAM
      UDWDUHUEWCWDTMWGWHUIWCLAVQGVMVNWBUJUKABDPZOWHDWDFTABWJWDULIUMUNUOZVRWDRZV
      TWFUIWCWLVSWEVQVRWDCUPUSSWCWEHWDQZVQWCDWDHWJQZWMFCTCDFWNUGZRWCCEFHVQQZUGW
      OJEDFWPWNHVQWJUQURUTVAWJWDRWNWMRWCHWJWDUQSWKWCHWDVBVCVOWMVQRWBVOLHVQVQAWD
      TVOWDVDVOWIHRNVQVDVMVNVEVQTMVOEVJVAVCVFVKVGVHKEFBCVIVL $.
  $}

  ${
    $d A a f g m n $.  $d B a f g m n $.  $d V a m n $.
    $( The class of all functions from a nonempty set ` A ` into a proper class
       ` B ` is not a set.  If one of the preconditions is not fufilled, then
       ` { f | f : A --> B } ` is a set, see ~ fsetdmprc0 for ` A e/ _V ` ,
       ~ fset0 for ` A = (/) ` , and ~ fsetex for ` B e. _V ` , see also
       ~ fsetexb .  (Contributed by AV, 14-Sep-2024.)  (Proof shortened by BJ,
       15-Sep-2024.) $)
    fsetprcnex $p |- ( ( ( A e. V /\ A =/= (/) ) /\ B e/ _V )
                       -> { f | f : A --> B } e/ _V ) $=
      ( va vg vm vn wcel c0 wne wa cvv wnel cv wf cab wi wex cfv n0 cmpt cbvabv
      feq1 fveq1 cbvmptv fsetfocdm fornex syl5com nelcon3d expcom exlimiv sylbi
      wfo impcom imp ) ADIZAJKZLBMNZABCOZPZCQZMNZURUQUSVCRZUREOZAIZESUQVDRZEAUA
      VFVGEUQVFVDUQVFLZVBMBMVHVBBFVBVEFOZTZUBZUNVBMIBMIABVKGHVBDVEVAABGOZPCGABU
      TVLUDUCFHVBVJVEHOZTVEVIVMUEUFUGVBBMVKUHUIUJUKULUMUOUP $.
  $}

  ${
    $d A f $.  $d B f $.
    $( The class of all functions from a nonempty set ` A ` into a class ` B `
       is a set iff ` B ` is a set .  (Contributed by AV, 15-Sep-2024.) $)
    fsetcdmex $p |- ( ( A e. V /\ A =/= (/) )
                      -> ( B e. _V <-> { f | f : A --> B } e. _V ) ) $=
      ( wcel c0 wne wa cvv cv wf cab fsetex wnel wn fsetprcnex ex 3imtr3g con4d
      df-nel impbid2 ) ADEAFGHZBIEZABCJKCLZIEZABCIMUBUCUEUBBINZUDINZUCOUEOUBUFU
      GABCDPQBITUDITRSUA $.

    $( The class of all functions from a class ` A ` into a class ` B ` is a
       set iff ` B ` is a set or ` A ` is not a set or ` A ` is empty.
       (Contributed by AV, 15-Sep-2024.) $)
    fsetexb $p |- ( { f | f : A --> B } e. _V
                    <-> ( A e/ _V \/ A = (/) \/ B e. _V ) ) $=
      ( cv wf cab cvv wcel wnel c0 w3o wo wn wa ioran df-nel wne sylbi eqeltrdi
      wceq wi nnel df-ne bicomi anbi12i bitri fsetprcnex ex syl5bir sylib con4i
      imp df-3or sylibr wfn fsetdmprc0 wss ffn ss2abi sseq0 mpan 0ex syl abbidv
      csn feq2 fset0 eqtrdi p0ex fsetex 3jaoi impbii ) ABCDZEZCFZGHZAGIZAJTZBGH
      ZKZVPVQVRLZVSLZVTWBVPWBMZVOGIZVPMWCWAMZVSMZNWDWAVSOWEWFWDWFBGIZWEWDBGPWEA
      GHZAJQZNZWGWDUAWEVQMZVRMZNWJVQVROWKWHWLWIAGUBWIWLAJUCUDUEUFWJWGWDABCGUGUH
      RUIULRVOGPUJUKVQVRVSUMUNVQVPVRVSVQVMAUOZCFZJTZVPACUPWOVOJGVOWNUQWOVOJTVNW
      MCABVMURUSVOWNUTVAVBSVCVRVOJVEZGVRVOJBVMEZCFWPVRVNWQCAJBVMVFVDBCVGVHVISAB
      CGVJVKVL $.
  $}

  $( A mapping is a function with the appropriate domain.  (Contributed by AV,
     6-Apr-2019.) $)
  elmapfn $p |- ( A e. ( B ^m C ) -> A Fn C ) $=
    ( cmap co wcel elmapi ffnd ) ABCDEFCBAABCGH $.

  $( A mapping is always a function.  (Contributed by Stefan O'Rear,
     9-Oct-2014.)  (Revised by Stefan O'Rear, 5-May-2015.) $)
  elmapfun $p |- ( A e. ( B ^m C ) -> Fun A ) $=
    ( cmap co wcel elmapi ffund ) ABCDEFCBAABCGH $.

  $( A restricted mapping is a mapping.  (Contributed by Stefan O'Rear,
     9-Oct-2014.)  (Revised by Mario Carneiro, 5-May-2015.) $)
  elmapssres $p |- ( ( A e. ( B ^m C ) /\ D C_ C ) ->
      ( A |` D ) e. ( B ^m D ) ) $=
    ( cmap co wcel wss wa cres wf elmapi fssres sylan cvv elmapex simpld adantr
    simprd ssexg ancoms elmapd mpbird ) ABCEFGZDCHZIZADJZBDEFGDBUGKZUDCBAKUEUHA
    BCLCBDAMNUFBDUGOOUDBOGZUEUDUICOGZABCPZQRUDUJUEDOGZUDUIUJUKSUEUJULDCOTUANUBU
    C $.

  $( A total function is a partial function.  (Contributed by Mario Carneiro,
     31-Dec-2013.) $)
  fpmg $p |- ( ( A e. V /\ B e. W /\ F : A --> B ) -> F e. ( B ^pm A ) ) $=
    ( wcel wf cpm co wa wss ssid elpm2r mpanr2 3impa 3com12 ) BEFZADFZABCGZCBAH
    IFZQRSTQRJSAAKTALBAACEDMNOP $.

  ${
    $d f A $.  $d f B $.  $d f C $.  $d f D $.  $d f V $.  $d f W $.
    $( Subset relation for the set of partial functions.  (Contributed by Mario
       Carneiro, 31-Dec-2013.) $)
    pmss12g $p |- ( ( ( A C_ C /\ B C_ D ) /\ ( C e. V /\ D e. W ) ) ->
                   ( A ^pm B ) C_ ( C ^pm D ) ) $=
      ( vf wss wa wcel cpm co cv wfun cxp wi wb cvv ssexg elpmg xpss12 sstr syl
      ancoms expcom anim2d adantr syl2an an4s adantl 3imtr4d ssrdv ) ACHZBDHZIZ
      CEJZDFJZIZIZGABKLZCDKLZUSGMZNZVBBAOZHZIZVCVBDCOZHZIZVBUTJZVBVAJZUOVFVIPUR
      UOVEVHVCUOVDVGHZVEVHPUNUMVLBDACUAUDVEVLVHVBVDVGUBUEUCUFUGUMUPUNUQVJVFQZUM
      UPIARJBRJVMUNUQIACESBDFSABVBRRTUHUIURVKVIQUOCDVBEFTUJUKUL $.
  $}

  $( Elementhood of a restricted function in the set of partial functions.
     (Contributed by Mario Carneiro, 31-Dec-2013.) $)
  pmresg $p |- ( ( B e. V /\ F e. ( A ^pm C ) ) ->
                 ( F |` B ) e. ( A ^pm B ) ) $=
    ( wcel cpm co wa cvv cdm cin cres wf c0 wceq simpld adantl wss 3syl n0i cxp
    fnpm fndmi ndmov nsyl2 simpl elpmi inss1 fssres wfun ffun resres wrel resdm
    sylancl funrel reseq1 eqtr3id feq1d mpbid inss2 elpm2r mpanr2 syl21anc ) BE
    FZDACGHZFZIZAJFZVFDKZBLZADBMZNZVMABGHFZVHVJVFVHVJCJFZVHVGOPVJVPIVGDUAACJGJJ
    UBGUCUDUEUFQRVFVHUGVIVLADVLMZNZVNVIVKADNZVLVKSVRVHVSVFVHVSVKCSACDUHQRZVKBUI
    VKAVLDUJUPVIVLAVQVMVIVSDUKZVQVMPVTVKADULWAVQDVKMZBMZVMDVKBUMWADUNWBDPWCVMPD
    UQDUOWBDBURTUSTUTVAVJVFIVNVLBSVOVKBVBABVLVMJEVCVDVE $.

  ${
    $d g A $.  $d f g B $.  $d g F $.
    elmap.1 $e |- A e. _V $.
    elmap.2 $e |- B e. _V $.
    $( Membership relation for set exponentiation.  (Contributed by NM,
       8-Dec-2003.) $)
    elmap $p |- ( F e. ( A ^m B ) <-> F : B --> A ) $=
      ( cvv wcel cmap co wf wb elmapg mp2an ) AFGBFGCABHIGBACJKDEABCFFLM $.

    $( Alternate expression for the value of set exponentiation.  (Contributed
       by NM, 3-Nov-2007.) $)
    mapval2 $p |- ( A ^m B ) = ( ~P ( B X. A ) i^i { f | f Fn B } ) $=
      ( vg cmap co cxp cpw cv wfn cab cin wf wss wa wcel dff2 biancomi elin vex
      elmap velpw fneq1 elab anbi12i bitri 3bitr4i eqriv ) FABGHZBAIZJZCKZBLZCM
      ZNZBAFKZOZURULPZURBLZQZURUKRURUQRZUSUTVABAURSTABURDEUCVCURUMRZURUPRZQVBUR
      UMUPUAVDUTVEVAFULUDUOVACURFUBBUNURUEUFUGUHUIUJ $.

    $( The predicate "is a partial function".  (Contributed by NM,
       15-Nov-2007.)  (Revised by Mario Carneiro, 14-Nov-2013.) $)
    elpm $p |- ( F e. ( A ^pm B ) <-> ( Fun F /\ F C_ ( B X. A ) ) ) $=
      ( cvv wcel cpm co wfun cxp wss wa wb elpmg mp2an ) AFGBFGCABHIGCJCBAKLMND
      EABCFFOP $.

    $( The predicate "is a partial function".  (Contributed by NM,
       15-Nov-2007.)  (Revised by Mario Carneiro, 31-Dec-2013.) $)
    elpm2 $p |- ( F e. ( A ^pm B ) <-> ( F : dom F --> A /\ dom F C_ B ) ) $=
      ( cvv wcel cpm co cdm wf wss wa wb elpm2g mp2an ) AFGBFGCABHIGCJZACKQBLMN
      DEABCFFOP $.

    $( A total function is a partial function.  (Contributed by NM,
       15-Nov-2007.)  (Revised by Mario Carneiro, 31-Dec-2013.) $)
    fpm $p |- ( F : A --> B -> F e. ( B ^pm A ) ) $=
      ( cvv wcel wf cpm co fpmg mp3an12 ) AFGBFGABCHCBAIJGDEABCFFKL $.
  $}

  ${
    $d f A $.  $d f B $.
    $( Set exponentiation is a subset of partial maps.  (Contributed by NM,
       15-Nov-2007.)  (Revised by Mario Carneiro, 27-Feb-2016.) $)
    mapsspm $p |- ( A ^m B ) C_ ( A ^pm B ) $=
      ( vf cmap co cpm cv wcel cvv wf elmapex simprd simpld elmapi fpmg syl3anc
      ssriv ) CABDEZABFEZCGZRHZBIHZAIHZBATJTSHUAUCUBTABKZLUAUCUBUDMTABNBATIIOPQ
      $.

    $( Partial maps are a subset of the power set of the Cartesian product of
       its arguments.  (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    pmsspw $p |- ( A ^pm B ) C_ ~P ( B X. A ) $=
      ( vf cpm co cxp cpw cv wcel wss wfun wa cvv wb wceq n0i fnpm fndmi ndmov
      c0 nsyl2 elpmg syl ibi simprd velpw sylibr ssriv ) CABDEZBAFZGZCHZUIIZULU
      JJZULUKIUMULKZUNUMUOUNLZUMAMIBMILZUMUPNUMUITOUQUIULPABMDMMFDQRSUAABULMMUB
      UCUDUECUJUFUGUH $.

    $( Set exponentiation is a subset of the power set of the Cartesian product
       of its arguments.  (Contributed by NM, 8-Dec-2006.)  (Revised by Mario
       Carneiro, 26-Apr-2015.) $)
    mapsspw $p |- ( A ^m B ) C_ ~P ( B X. A ) $=
      ( cmap co cpm cxp cpw mapsspm pmsspw sstri ) ABCDABEDBAFGABHABIJ $.
  $}

  ${
    mapfvd.m $e |- M = ( A ^m B ) $.
    mapfvd.f $e |- ( ph -> F e. M ) $.
    mapfvd.x $e |- ( ph -> X e. B ) $.
    $( The value of a function that maps from ` B ` to ` A ` .  (Contributed by
       AV, 2-Feb-2023.) $)
    mapfvd $p |- ( ph -> ( F ` X ) e. A ) $=
      ( wcel cfv wi cmap co wf elmapi ffvelrn expcom syl2imc eleq2s mpcom ) DEJ
      AFDKBJZHAUBLDBCMNZEAFCJZDUCJCBDOZUBIDBCPUEUDUBCBFDQRSGTUA $.
  $}

  $( ~ fresaun transposed to mappings.  (Contributed by Stefan O'Rear,
     9-Oct-2014.)  (Revised by Stefan O'Rear, 6-May-2015.) $)
  elmapresaun $p |- ( ( F e. ( C ^m A ) /\ G e. ( C ^m B ) /\
    ( F |` ( A i^i B ) ) = ( G |` ( A i^i B ) ) ) ->
      ( F u. G ) e. ( C ^m ( A u. B ) ) ) $=
    ( cmap co wcel cin cres wceq w3a cun wf elmapi fresaun cvv elmapex simprd
    id syl3an simpld 3ad2ant1 unexg syl2an 3adant3 elmapd mpbird ) DCAFGHZECBFG
    HZDABIZJEUKJKZLZDEMZCABMZFGHUOCUNNZUIACDNUJBCENULULUPDCAOECBOULTABCDEPUAUMC
    UOUNQQUIUJCQHZULUIUQAQHZDCARZUBUCUIUJUOQHZULUIURBQHZUTUJUIUQURUSSUJUQVAECBR
    SABQQUDUEUFUGUH $.

  ${
    $d x A $.  $d x C $.  $d x D $.  $d x R $.
    fvmptmap.1 $e |- C e. _V $.
    fvmptmap.2 $e |- D e. _V $.
    fvmptmap.3 $e |- R e. _V $.
    fvmptmap.4 $e |- ( x = A -> B = C ) $.
    fvmptmap.5 $e |- F = ( x e. ( R ^m D ) |-> B ) $.
    $( Special case of ~ fvmpt for operator theorems.  (Contributed by NM,
       27-Nov-2007.) $)
    fvmptmap $p |- ( A : D --> R -> ( F ` A ) = C ) $=
      ( wf cmap co wcel cfv wceq elmap fvmpt sylbir ) EFBMBFENOZPBGQDRFEBJISABC
      DUBGKLHTUA $.
  $}

  $( Set exponentiation with an empty exponent (ordinal number 0) is ordinal
     number 1.  Exercise 4.42(a) of [Mendelson] p. 255.  (Contributed by NM,
     10-Dec-2003.)  (Revised by Mario Carneiro, 30-Apr-2015.)  (Proof shortened
     by AV, 14-Jul-2022.) $)
  map0e $p |- ( A e. V -> ( A ^m (/) ) = 1o ) $=
    ( wcel c0 cmap co csn c1o mapdm0 df1o2 eqtr4di ) ABCADEFDGHABIJK $.

  ${
    $d f A $.  $d f B $.  $d f V $.  $d f W $.
    $( Set exponentiation with an empty base is the empty set, provided the
       exponent is nonempty.  Theorem 96 of [Suppes] p. 89.  (Contributed by
       NM, 10-Dec-2003.)  (Revised by Mario Carneiro, 26-Apr-2015.) $)
    map0b $p |- ( A =/= (/) -> ( (/) ^m A ) = (/) ) $=
      ( vf c0 wne cmap co cv wcel wf wceq elmapi cdm fdm crn wss frn ss0 dm0rn0
      syl sylibr eqtr3d necon3ai eq0rdv ) ACDBCAEFZBGZUDHZACUFACUEIZACJUECAKUGU
      ELZACACUEMUGUENZCJZUHCJUGUICOUJACUEPUIQSUERTUASUBUC $.

    $( Set exponentiation is empty iff the base is empty and the exponent is
       not empty.  Theorem 97 of [Suppes] p. 89.  (Contributed by Mario
       Carneiro, 30-Apr-2015.) $)
    map0g $p |- ( ( A e. V /\ B e. W ) ->
      ( ( A ^m B ) = (/) <-> ( A = (/) /\ B =/= (/) ) ) ) $=
      ( vf wcel wa cmap co c0 wceq wne cv wex n0 wf elmapg syl5ibr ne0i syl6 f0
      csn cxp fconst6g exlimdv syl5bi necon4d feq2 mpbiri necon2d jcad sylan9eq
      oveq1 map0b impbid1 ) ACFBDFGZABHIZJKZAJKZBJLZGUPURUSUTUPAJUQJAJLEMZAFZEN
      UPUQJLZEAOUPVBVCEUPVBBVAUBUCZUQFZVCVBVEUPBAVDPBVAAUDABVDCDQRUQVDSTUEUFUGU
      PBJUQJUPBJKZJUQFZVCVFVGUPBAJPZVFVHJAJPAUABJAJUHUIABJCDQRUQJSTUJUKUSUTUQJB
      HIJAJBHUMBUNULUO $.
  $}

  $( The set of mappings of the empty set to the empty set is the singleton
     containing the empty set.  (Contributed by AV, 31-Mar-2024.) $)
  0map0sn0 $p |- ( (/) ^m (/) ) = { (/) } $=
    ( vf c0 cv wf cab wceq cmap co csn f0bi abbii 0ex mapval df-sn 3eqtr4i ) BB
    ACZDZAEPBFZAEBBGHBIQRAPBJKBBALLMABNO $.

  ${
    $d A f y $.  $d B f y $.  $d f ph y $.
    mapsnd.1 $e |- ( ph -> A e. V ) $.
    mapsnd.2 $e |- ( ph -> B e. W ) $.
    $( The value of set exponentiation with a singleton exponent.  Theorem 98
       of [Suppes] p. 89.  (Contributed by NM, 10-Dec-2003.)  (Revised by
       Glauco Siliprandi, 24-Dec-2020.) $)
    mapsnd $p |- ( ph -> ( A ^m { B } ) = { f | E. y e. A f = { <. B , y >. } }
       ) $=
      ( cv csn wceq wcel wf cvv wa wex syl wb mpbid cop wrex cmap co a1i elmapd
      snex crn wbr weu wfn ffn snidg fneu syl2anr cab euabsn cima wrel relimasn
      frel cdm imaeq2d imadmrn eqtr3di eqtr3d eqeq1d exbidv syl5bb adantl sseld
      fdm frn vsnid eleq2 mpbiri impel adantll ffrn feq3 syl5ibcom imp ad2antrr
      vex fsng sylancl jca ex eximdv mpd df-rex sylibr w3a f1osng adantr f1oeq1
      wf1o bicomd f1of 3adant2 wss snssi 3ad2ant2 fssd rexlimdv3a bitrd abbi2dv
      impbid ) AEJZDBJZUAKZLZBCUBZECDKZUCUDZAXIXOMXNCXINZXMACXNXIFOHXNOMADUGUEU
      FAXPXMAXPXMAXPPZXJCMZXLPZBQZXMXQXIUHZXJKZLZBQZXTXQDXJXIUIZBUJZYDXPXIXNUKD
      XNMZYFAXNCXIULADGMZYGIDGUMRBXNDXIUNUOXPYFYDSAYFYEBUPZYBLZBQXPYDYEBUQXPYJY
      CBXPYIYAYBXPXIXNURZYIYAXPXIUSYKYILXNCXIVABDXIUTRXPXIXIVBZURYKYAXPYLXNXIXN
      CXIVLVCXIVDVEVFVGVHVIVJTXQYCXSBXQYCXSXQYCPZXRXLXPYCXRAXPXJYAMZXRYCXPYACXJ
      XNCXIVMVKYCYNXJYBMBVNYAYBXJVOVPVQVRYMXNYBXINZXLXPYCYOAXPYCYOXPXNYAXINYCYO
      XNCXIVSYAYBXNXIVTWAWBVRYMYHXJOMZYOXLSAYHXPYCIWCBWDZDXJGOXIWEWFTWGWHWIWJXL
      BCWKWLWHAXLXPBCAXRXLWMXNYBCXIAXLYOXRAXLPZXNYBXIWQZYOYRXNYBXKWQZYSAYTXLAYH
      YPYTIYQDXJGOWNWFWOXLYTYSSAXLYSYTXNYBXIXKWPWRVJTXNYBXIWSRWTXRAYBCXAXLXJCXB
      XCXDXEXHXFXG $.
  $}

  ${
    map0.1 $e |- A e. _V $.
    map0.2 $e |- B e. _V $.
    $( Set exponentiation is empty iff the base is empty and the exponent is
       not empty.  Theorem 97 of [Suppes] p. 89.  (Contributed by NM,
       10-Dec-2003.) $)
    map0 $p |- ( ( A ^m B ) = (/) <-> ( A = (/) /\ B =/= (/) ) ) $=
      ( cvv wcel cmap co c0 wceq wne wa wb map0g mp2an ) AEFBEFABGHIJAIJBIKLMCD
      ABEENO $.

    $d f y A $.  $d f y B $.
    $( The value of set exponentiation with a singleton exponent.  Theorem 98
       of [Suppes] p. 89.  (Contributed by NM, 10-Dec-2003.)  (Proof shortened
       by AV, 17-Jul-2022.) $)
    mapsn $p |- ( A ^m { B } ) = { f | E. y e. A f = { <. B , y >. } } $=
      ( cvv wcel csn cmap co cv cop wceq wrex cab id a1i mapsnd ax-mp ) BGHZBCI
      JKDLCALMINABODPNEUAABCDGGUAQCGHUAFRST $.
  $}

  ${
    $d f A $.  $d f B $.  $d f C $.  $d f V $.
    $( Subset inheritance for set exponentiation.  Theorem 99 of [Suppes]
       p. 89.  (Contributed by NM, 10-Dec-2003.)  (Revised by Mario Carneiro,
       26-Apr-2015.) $)
    mapss $p |- ( ( B e. V /\ A C_ B ) -> ( A ^m C ) C_ ( B ^m C ) ) $=
      ( vf wcel wss wa cmap co cv wf elmapi adantl simplr simpll elmapex simprd
      fssd cvv elmapd mpbird ex ssrdv ) BDFZABGZHZEACIJZBCIJZUGEKZUHFZUJUIFZUGU
      KHZULCBUJLUMCABUJUKCAUJLUGUJACMNUEUFUKOSUMBCUJDTUEUFUKPUKCTFZUGUKATFUNUJA
      CQRNUAUBUCUD $.
  $}

  ${
    $d B x $.  $d I x $.  $d V x $.  $d W x $.  $d X x $.
    fdiagfn.f $e |- F = ( x e. B |-> ( I X. { x } ) ) $.
    $( Functionality of the diagonal map.  (Contributed by Stefan O'Rear,
       24-Jan-2015.) $)
    fdiagfn $p |- ( ( B e. V /\ I e. W ) -> F : B --> ( B ^m I ) ) $=
      ( wcel wa cv csn cxp cmap co wf fconst6g adantl wb elmapg adantr mpbird
      fmptd ) BEHDFHIZABDAJZKLZBDMNZCUCUDBHZIUEUFHZDBUEOZUGUIUCDUDBPQUCUHUIRUGB
      DUEEFSTUAGUB $.

    $( Functionality of the diagonal map.  (Contributed by Stefan O'Rear,
       24-Jan-2015.) $)
    fvdiagfn $p |- ( ( I e. W /\ X e. B ) -> ( F ` X ) = ( I X. { X } ) ) $=
      ( wcel wa cv csn cxp cvv wceq sneq xpeq2d simpr snex xpexg mpan2 fvmptd3
      adantr ) DEHZFBHZIAFDAJZKZLDFKZLZBCMGUEFNUFUGDUEFOPUCUDQUCUHMHZUDUCUGMHUI
      FRDUGEMSTUBUA $.
  $}

  ${
    $d B x y $.  $d S x y $.  $d X y $.
    mapsncnv.s $e |- S = { X } $.
    mapsncnv.b $e |- B e. _V $.
    mapsncnv.x $e |- X e. _V $.
    $( Every singleton map is a constant function.  (Contributed by Stefan
       O'Rear, 25-Mar-2015.) $)
    mapsnconst $p |- ( F e. ( B ^m S ) -> F = ( S X. { ( F ` X ) } ) ) $=
      ( cfv csn cxp wceq cmap co wcel wf snex elmap cop fsn2 simprbi fvex sylbi
      xpeq1i xpsn eqtr2i eqtrdi oveq2i eleq2s ) CBDCHZIZJZKZCADIZLMZABLMCUNNUMA
      COZULAUMCFDPQUOCDUIRIZUKUOUIANCUPKDACGSTUKUMUJJUPBUMUJEUCDUIGDCUAUDUEUFUB
      BUMALEUGUH $.

    ${
      mapsncnv.f $e |- F = ( x e. ( B ^m S ) |-> ( x ` X ) ) $.
      $( Expression for the inverse of the canonical map between a set and its
         set of singleton functions.  (Contributed by Stefan O'Rear,
         21-Mar-2015.) $)
      mapsncnv $p |- `' F = ( y e. B |-> ( S X. { y } ) ) $=
        ( cv cmap co wcel cfv wceq wa copab csn cxp ccnv cmpt wf elmapi ffvelrn
        snid sylancl eqid mapsnconst jca eleq1 xpeq2d eqeq2d anbi12d syl5ibrcom
        sneq imp fconst6g snex elmap sylibr fvconst2 eqcomd fveq1 impbii oveq2i
        vex mp1i eleq2i anbi1i xpeq1i eqeq2i anbi2i 3bitr4i df-mpt eqtri cnveqi
        opabbii cnvopab 3eqtr4i ) AKZCDLMZNZBKZFWAOZPZQZBARZWDCNZWADWDSZTZPZQZB
        AREUAZBCWKUBWGWMBAWACFSZLMZNZWFQZWIWAWOWJTZPZQZWGWMWRXAWQWFXAWQXAWFWECN
        ZWAWOWESZTZPZQWQXBXEWQWOCWAUCFWONZXBWACWOUDFIUFZWOCFWAUEUGCWOWAFWOUHHIU
        IUJWFWIXBWTXEWDWECUKWFWSXDWAWFWJXCWOWDWEUPULUMUNUOUQWIWTWRWIWRWTWSWPNZW
        DFWSOZPZQWIXHXJWIWOCWSUCXHWOWDCURCWOWSHFUSUTVAWIXIWDXFXIWDPWIXGWOWDFBVG
        VBVHVCUJWTWQXHWFXJWAWSWPUKWTWEXIWDFWAWSVDUMUNUOUQVEWCWQWFWBWPWADWOCLGVF
        VIVJWLWTWIWKWSWADWOWJGVKVLVMVNVRWNWGABRZUAWHEXKEAWBWEUBXKJABWBWEVOVPVQW
        GABVSVPBACWKVOVT $.

      $( Explicit bijection between a set and its singleton functions.
         (Contributed by Stefan O'Rear, 21-Mar-2015.) $)
      mapsnf1o2 $p |- F : ( B ^m S ) -1-1-onto-> B $=
        ( vy cmap co wf1o wfn ccnv cv cfv fnmpti csn snex fvex cxp eqeltri xpex
        cvv mapsncnv dff1o4 mpbir2an ) BCKLZBDMDUINDOZBNAUIEAPZQDEUKUAIRJBCJPZS
        ZUBUJCUMCESUEFETUCULTUDAJBCDEFGHIUFRUIBDUGUH $.
    $}

    mapsnf1o3.f $e |- F = ( y e. B |-> ( S X. { y } ) ) $.
    $( Explicit bijection in the reverse of ~ mapsnf1o2 .  (Contributed by
       Stefan O'Rear, 24-Mar-2015.) $)
    mapsnf1o3 $p |- F : B -1-1-onto-> ( B ^m S ) $=
      ( vx cmap co wf1o cv cfv cmpt ccnv eqid mapsnf1o2 ax-mp f1ocnv wb csn cxp
      wceq mapsncnv eqtr4i f1oeq1 mpbir ) BBCKLZDMZBUJJUJEJNOPZQZMZUJBULMUNJBCU
      LEFGHULRZSUJBULUATDUMUEUKUNUBDABCANUCUDPUMIJABCULEFGHUOUFUGBUJDUMUHTUI $.
  $}

  ${
    $d ph g y $.  $d ps f $.  $d J f g y $.  $d S f g y $.  $d T f g y $.
    ralxpmap.j $e |- ( f = ( g u. { <. J , y >. } ) -> ( ph <-> ps ) ) $.
    $( Quantification over functions in terms of quantification over values and
       punctured functions.  (Contributed by Stefan O'Rear, 27-Feb-2015.)
       (Revised by Stefan O'Rear, 5-May-2015.) $)
    ralxpmap $p |- ( J e. T -> ( A. f e. ( S ^m T ) ph <->
          A. y e. S A. g e. ( S ^m ( T \ { J } ) ) ps ) ) $=
      ( wcel cv cop csn cun wceq wa wf cvv adantl wss cmap co cdif vex snex cfv
      unex wrex cres simpr elmapex elmapg syl mpbid simpl ffvelrnd difss fssres
      wb sylancl simpld simprd difexd elmapd mpbird wfn fnsnsplit syl2anc opeq2
      ffnd sneqd uneq2d eqeq2d uneq1 rspc2ev syl3anc ex c0 elmapi ad2antll wf1o
      cin f1osng f1of elvd adantr disjdifr a1i syl21anc uncom snssd undif sylib
      eqtrid feq2d ssidd snssi ad2antrl unssd fssd ssun1 undif1 unexg eqeltrrid
      fun ssexg sylancr eleq1 syl5ibrcom rexlimdvva impbid ralxpxfr2d ) HEJZABF
      CGGKZHCKZLZMZNZDEUAUBZDDEHMZUCZUAUBZXNXQGUDXPUEUGXMFKZXSJZYCXROZGYBUHCDUH
      ZXMYDYFXMYDPZHYCUFZDJYCYAUIZYBJZYCYIHYHLZMZNZOZYFYGEDHYCYGYDEDYCQZXMYDUJY
      GDRJZERJZPZYDYOUSYDYRXMYCDEUKZSZDEYCRRULUMUNZXMYDUOZUPYGYJYADYIQZYGYOYAET
      UUCUUAEXTUQEDYAYCURUTYGDYAYIRRYDYPXMYDYPYQYSVASYGEXTRYGYPYQYTVBVCVDVEYGYC
      EVFXMYNYGEDYCUUAVJUUBEYCHVGVHYEYNYCXNYLNZOCGYHYIDYBXOYHOZXRUUDYCUUEXQYLXN
      UUEXPYKXOYHHVIVKVLVMXNYIOUUDYMYCXNYIYLVNVMVOVPVQXMYEYDCGDYBXMXODJZXNYBJZP
      ZPZYDYEXRXSJZUUIUUJEDXRQUUIEDXOMZNZDXRUUIYAXTNZUULXRQZEUULXRQUUIYADXNQZXT
      UUKXQQZYAXTWBVROZUUNUUGUUOXMUUFXNDYAVSVTXMUUPUUHXMUUPCXMXORJPXTUUKXQWAUUP
      HXOERWCXTUUKXQWDUMWEWFUUQUUIXTEWGWHYAXTDUUKXNXQXEWIUUIUUMEUULXRUUIUUMXTYA
      NZEYAXTWJUUIXTETUUREOUUIHEXMUUHUOWKXTEWLWMWNWOUNUUIDUUKDUUIDWPUUFUUKDTXMU
      UGXODWQWRWSWTUUIDEXRRRUUIYPYARJZUUGYPUUSPXMUUFXNDYAUKVTZVAUUIEEXTNZTUVARJ
      YQEXTXAUUIUVAUUMREXTXBUUIUUSXTRJUUMRJUUIYPUUSUUTVBHUEYAXTRRXCUTXDEUVARXFX
      GVDVEYCXRXSXHXIXJXKYEABUSXMISXL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Infinite Cartesian products
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c X_ $.

  $( Extend class notation to include infinite Cartesian products. $)
  cixp $a class X_ x e. A B $.

  ${
    $d f x $.  $d f A $.  $d f B $.
    $( Definition of infinite Cartesian product of [Enderton] p. 54.  Enderton
       uses a bold "X" with ` x e. A ` written underneath or as a subscript, as
       does Stoll p. 47.  Some books use a capital pi, but we will reserve that
       notation for products of numbers.  Usually ` B ` represents a class
       expression containing ` x ` free and thus can be thought of as
       ` B ( x ) ` .  Normally, ` x ` is not free in ` A ` , although this is
       not a requirement of the definition.  (Contributed by NM,
       28-Sep-2006.) $)
    df-ixp $a |- X_ x e. A B =
               { f | ( f Fn { x | x e. A } /\ A. x e. A ( f ` x ) e. B ) } $.

    $d x A $.
    $( Eliminate the expression ` { x | x e. A } ` in ~ df-ixp , under the
       assumption that ` A ` and ` x ` are disjoint.  This way, we can say that
       ` x ` is bound in ` X_ x e. A B ` even if it appears free in ` A ` .
       (Contributed by Mario Carneiro, 12-Aug-2016.) $)
    dfixp $p |- X_ x e. A B =
                 { f | ( f Fn A /\ A. x e. A ( f ` x ) e. B ) } $=
      ( cixp cv wcel cab wfn cfv wral wa df-ixp abid2 fneq2i anbi1i abbii eqtri
      ) ABCEDFZAFZBGAHZIZTSJCGABKZLZDHSBIZUCLZDHABCDMUDUFDUBUEUCUABSABNOPQR $.
  $}

  ${
    $d B f $.  $d V f $.  $d X f x $.
    $( The value of an infinite Cartesian product with a singleton.
       (Contributed by AV, 3-Dec-2018.) $)
    ixpsnval $p |- ( X e. V -> X_ x e. { X } B
                = { f | ( f Fn { X } /\ ( f ` X ) e. [_ X / x ]_ B ) } ) $=
      ( wcel csn cixp cv wfn cfv wral wa cab dfixp wsbc ralsnsg sbcel12 csbfv2g
      csb csbvarg fveq2d eqtrd eleq1d syl5bb bitrd anbi2d abbidv eqtrid ) EDFZA
      EGZBHCIZUKJZAIZULKZBFZAUKLZMZCNUMEULKZAEBTZFZMZCNAUKBCOUJURVBCUJUQVAUMUJU
      QUPAEPZVAUPAEDQVCAEUOTZUTFUJVAAEUOBRUJVDUSUTUJVDAEUNTZULKUSAEUNDULSUJVEEU
      LAEDUAUBUCUDUEUFUGUHUI $.
  $}

  ${
    $d f x A $.  $d f B $.  $d x C $.  $d x D $.  $d f x F $.
    $( Membership in an infinite Cartesian product.  See ~ df-ixp for
       discussion of the notation.  (Contributed by NM, 28-Sep-2006.) $)
    elixp2 $p |- ( F e. X_ x e. A B <->
                ( F e. _V /\ F Fn A /\ A. x e. A ( F ` x ) e. B ) ) $=
      ( vf cvv wcel cixp wa wfn cv cfv wral w3a wceq fneq1 fveq1 eleq1d ralbidv
      anbi12d dfixp elab2g pm5.32i elex pm4.71ri 3anass 3bitr4i ) DFGZDABCHZGZI
      UHDBJZAKZDLZCGZABMZIZIUJUHUKUONUHUJUPEKZBJZULUQLZCGZABMZIUPEDUIFUQDOZURUK
      VAUOBUQDPVBUTUNABVBUSUMCULUQDQRSTABCEUAUBUCUJUHDUIUDUEUHUKUOUFUG $.

    fvixp.1 $e |- ( x = C -> B = D ) $.
    $( Projection of a factor of an indexed Cartesian product.  (Contributed by
       Mario Carneiro, 11-Jun-2016.) $)
    fvixp $p |- ( ( F e. X_ x e. A B /\ C e. A ) -> ( F ` C ) e. D ) $=
      ( cixp wcel cv cfv wral cvv wfn elixp2 simp3bi wceq fveq2 eleq12d rspccva
      sylan ) FABCHIZAJZFKZCIZABLZDBIDFKZEIZUBFMIFBNUFABCFOPUEUHADBUCDQUDUGCEUC
      DFRGSTUA $.
  $}

  ${
    $d A f x $.  $d B f $.  $d F f $.  $d f x $.
    $( A nuple is a function.  (Contributed by FL, 6-Jun-2011.)  (Revised by
       Mario Carneiro, 31-May-2014.) $)
    ixpfn $p |- ( F e. X_ x e. A B -> F Fn A ) $=
      ( vf cv wfn cixp fneq1 wcel cvv cfv wral elixp2 simp2bi vtoclga ) EFZBGZD
      BGEDABCHZBQDIQSJQKJRAFQLCJABMABCQNOP $.
  $}

  ${
    $d x F $.  $d x A $.
    elixp.1 $e |- F e. _V $.
    $( Membership in an infinite Cartesian product.  (Contributed by NM,
       28-Sep-2006.) $)
    elixp $p |- ( F e. X_ x e. A B <->
                ( F Fn A /\ A. x e. A ( F ` x ) e. B ) ) $=
      ( cixp wcel cvv wfn cv cfv wral w3a wa elixp2 3anass mpbiran bitri ) DABC
      FGDHGZDBIZAJDKCGABLZMZTUANZABCDOUBSUCESTUAPQR $.

    $d x B $.
    $( Membership in an infinite Cartesian product of a constant ` B ` .
       (Contributed by NM, 12-Apr-2008.) $)
    elixpconst $p |- ( F e. X_ x e. A B <-> F : A --> B ) $=
      ( cixp wcel wfn cv cfv wral wa wf elixp ffnfv bitr4i ) DABCFGDBHAIDJCGABK
      LBCDMABCDENABCDOP $.
  $}

  ${
    $d f x A $.  $d f x B $.
    $( Infinite Cartesian product of a constant ` B ` .  (Contributed by Mario
       Carneiro, 11-Jan-2015.) $)
    ixpconstg $p |- ( ( A e. V /\ B e. W ) -> X_ x e. A B = ( B ^m A ) ) $=
      ( vf wcel cixp cmap co wa cv wf cab vex elixpconst abbi2i mapvalg eqtr4id
      wceq ancoms ) CEGZBDGZABCHZCBIJZTUBUCKUDBCFLZMZFNUEUGFUDABCUFFOPQCBEDFRSU
      A $.

    ixpconst.1 $e |- A e. _V $.
    ixpconst.2 $e |- B e. _V $.
    $( Infinite Cartesian product of a constant ` B ` .  (Contributed by NM,
       28-Sep-2006.) $)
    ixpconst $p |- X_ x e. A B = ( B ^m A ) $=
      ( cvv wcel cixp cmap co wceq ixpconstg mp2an ) BFGCFGABCHCBIJKDEABCFFLM
      $.
  $}

  ${
    $d f x A $.  $d f x B $.  $d f C $.
    $( Equality theorem for infinite Cartesian product.  (Contributed by NM,
       29-Sep-2006.) $)
    ixpeq1 $p |- ( A = B -> X_ x e. A C = X_ x e. B C ) $=
      ( vf wceq cv wfn cfv wcel wral wa cixp fneq2 raleq anbi12d abbidv 3eqtr4g
      cab dfixp ) BCFZEGZBHZAGUBIDJZABKZLZESUBCHZUDACKZLZESABDMACDMUAUFUIEUAUCU
      GUEUHBCUBNUDABCOPQABDETACDETR $.

    ixpeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for infinite Cartesian product.  (Contributed by Mario
       Carneiro, 11-Jun-2016.) $)
    ixpeq1d $p |- ( ph -> X_ x e. A C = X_ x e. B C ) $=
      ( wceq cixp ixpeq1 syl ) ACDGBCEHBDEHGFBCDEIJ $.
  $}

  ${
    $d f A $.  $d f B $.  $d f C $.  $d f x $.
    $( Subclass theorem for infinite Cartesian product.  (Contributed by NM,
       29-Sep-2006.)  (Revised by Mario Carneiro, 12-Aug-2016.) $)
    ss2ixp $p |- ( A. x e. A B C_ C -> X_ x e. A B C_ X_ x e. A C ) $=
      ( vf wss wral cv wcel cab wfn cfv cixp ssel ral2imi anim2d ss2abdv df-ixp
      wa 3sstr4g ) CDFZABGZEHZAHZBIAJKZUDUCLZCIZABGZSZEJUEUFDIZABGZSZEJABCMABDM
      UBUIULEUBUHUKUEUAUGUJABCDUFNOPQABCERABDERT $.
  $}

  $( Equality theorem for infinite Cartesian product.  (Contributed by NM,
     29-Sep-2006.) $)
  ixpeq2 $p |- ( A. x e. A B = C -> X_ x e. A B = X_ x e. A C ) $=
    ( wss wral wa cixp wceq ss2ixp anim12i eqss ralbii r19.26 bitri 3imtr4i ) C
    DEZABFZDCEZABFZGZABCHZABDHZEZUCUBEZGCDIZABFZUBUCIRUDTUEABCDJABDCJKUGQSGZABF
    UAUFUHABCDLMQSABNOUBUCLP $.

  ${
    $d x ph $.
    ixpeq2dva.1 $e |- ( ( ph /\ x e. A ) -> B = C ) $.
    $( Equality theorem for infinite Cartesian product.  (Contributed by Mario
       Carneiro, 11-Jun-2016.) $)
    ixpeq2dva $p |- ( ph -> X_ x e. A B = X_ x e. A C ) $=
      ( wceq wral cixp ralrimiva ixpeq2 syl ) ADEGZBCHBCDIBCEIGAMBCFJBCDEKL $.
  $}

  ${
    $d x ph $.
    ixpeq2dv.1 $e |- ( ph -> B = C ) $.
    $( Equality theorem for infinite Cartesian product.  (Contributed by Mario
       Carneiro, 11-Jun-2016.) $)
    ixpeq2dv $p |- ( ph -> X_ x e. A B = X_ x e. A C ) $=
      ( wceq cv wcel adantr ixpeq2dva ) ABCDEADEGBHCIFJK $.
  $}

  ${
    $d A f x y $.  $d B f $.  $d C f $.
    cbvixp.1 $e |- F/_ y B $.
    cbvixp.2 $e |- F/_ x C $.
    cbvixp.3 $e |- ( x = y -> B = C ) $.
    $( Change bound variable in an indexed Cartesian product.  (Contributed by
       Jeff Madsen, 20-Jun-2011.) $)
    cbvixp $p |- X_ x e. A B = X_ y e. A C $=
      ( vf cv wfn cfv wcel wral wa cab cixp nfel2 weq dfixp fveq2 eleq12d abbii
      cbvralw anbi2i 3eqtr4i ) IJZCKZAJZUGLZDMZACNZOZIPUHBJZUGLZEMZBCNZOZIPACDQ
      BCEQUMURIULUQUHUKUPABCBUJDFRAUOEGRABSUJUODEUIUNUGUAHUBUDUEUCACDITBCEITUF
      $.
  $}

  ${
    $d A x y $.  $d B y $.  $d C x $.
    cbvixpv.1 $e |- ( x = y -> B = C ) $.
    $( Change bound variable in an indexed Cartesian product.  (Contributed by
       Jeff Madsen, 2-Sep-2009.) $)
    cbvixpv $p |- X_ x e. A B = X_ y e. A C $=
      ( nfcv cbvixp ) ABCDEBDGAEGFH $.
  $}

  ${
    $d x y z $.  $d A z $.  $d B z $.
    nfixpw.1 $e |- F/_ y A $.
    nfixpw.2 $e |- F/_ y B $.
    $( Bound-variable hypothesis builder for indexed Cartesian product.
       Version of ~ nfixp with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by Mario Carneiro, 15-Oct-2016.)
       (Revised by Gino Giotto, 26-Jan-2024.) $)
    nfixpw $p |- F/_ y X_ x e. A B $=
      ( vz cixp cv wcel cab wfn cfv nfcv wnfc wtru nfab a1i mptru wnf wa df-ixp
      wral nfel nffn wal df-ral nftru nffvd nfeld nfimd nfald nfxfr nfan nfcxfr
      wi ) BACDHGIZAIZCJZAKZLZURUQMZDJZACUCZUAZGKACDGUBVEBGVAVDBBUTUQBUQNZBUTOZ
      VGPUSBABURCBURNZEUDZQRSUEVDUSVCUPZAUFZBVCACUGVKBTPVJBAAUHPUSVCBUSBTPVIRPB
      VBDPBURUQBUQOPVFRBUROPVHRUIBDOPFRUJUKULSUMUNQUO $.
    $( $j usage 'nfixpw' avoids 'ax-13'; $)
  $}

  ${
    $d x z $.  $d y z $.  $d A z $.  $d B z $.
    nfixp.1 $e |- F/_ y A $.
    nfixp.2 $e |- F/_ y B $.
    $( Bound-variable hypothesis builder for indexed Cartesian product.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .  Use the
       weaker ~ nfixpw when possible.  (Contributed by Mario Carneiro,
       15-Oct-2016.)  (New usage is discouraged.) $)
    nfixp $p |- F/_ y X_ x e. A B $=
      ( vz cixp cv wcel cab wfn cfv wa wnfc wtru wal a1i nfeld mptru wral nftru
      df-ixp nfcv weq wn nfcvf adantl nfabd2 nffn df-ral wnf nffvd nfimd nfald2
      wi nfxfr nfan nfab nfcxfr ) BACDHGIZAIZCJZAKZLZVBVAMZDJZACUAZNZGKACDGUCVI
      BGVEVHBBVDVABVAUDZBVDOPVCBAAUBZPBAUEBQUFZNZBVBCVLBVBOPBAUGUHZBCOVMERSZUIT
      UJVHVCVGUPZAQZBVGACUKVQBULPVPBAVKVMVCVGBVOVMBVFDVMBVBVABVAOVMVJRVNUMBDOVM
      FRSUNUOTUQURUSUT $.
  $}

  ${
    $d x y $.  $d A y $.  $d B y $.
    $( The index variable in an indexed Cartesian product is not free.
       (Contributed by Jeff Madsen, 19-Jun-2011.)  (Revised by Mario Carneiro,
       15-Oct-2016.) $)
    nfixp1 $p |- F/_ x X_ x e. A B $=
      ( vy cixp cv wcel cab wfn cfv wral df-ixp nfcv nfab1 nffn nfra1 nfan nfab
      wa nfcxfr ) AABCEDFZAFZBGZAHZIZUBUAJCGZABKZSZDHABCDLUHADUEUGAAUDUAAUAMUCA
      NOUFABPQRT $.
  $}

  ${
    $d f x A $.  $d f B $.
    $( A cartesian product of proper-class many sets is empty, because any
       function in the cartesian product has to be a set with domain ` A ` ,
       which is not possible for a proper class domain.  (Contributed by Mario
       Carneiro, 25-Jan-2015.) $)
    ixpprc $p |- ( -. A e. _V -> X_ x e. A B = (/) ) $=
      ( vf cixp c0 wceq cvv wcel wn cv wex neq0 wfn cdm fndm vex dmex eqeltrrdi
      ixpfn syl exlimiv sylbi con1i ) ABCEZFGZBHIZUFJDKZUEIZDLUGDUEMUIUGDUIUHBN
      ZUGABCUHTUJBUHOHBUHPUHDQRSUAUBUCUD $.
  $}

  ${
    $d f x A $.  $d f B $.  $d x F $.  $d f C $.
    $( A member of an infinite Cartesian product maps to the indexed union of
       the product argument.  Remark in [Enderton] p. 54.  (Contributed by NM,
       28-Sep-2006.) $)
    ixpf $p |- ( F e. X_ x e. A B -> F : A --> U_ x e. A B ) $=
      ( cixp wcel cvv wfn cv cfv wral w3a ciun wf elixp2 wa ssiun2 ralimia nfcv
      sseld anim2i nfiu1 ffnfvf sylibr 3adant1 sylbi ) DABCEFDGFZDBHZAIZDJZCFZA
      BKZLBABCMZDNZABCDOUHULUNUGUHULPUHUJUMFZABKZPUNULUPUHUKUOABUIBFCUMUJABCQTR
      UAABUMDABSABCUBADSUCUDUEUF $.

    $( The union of an infinite Cartesian product is included in a Cartesian
       product.  (Contributed by NM, 28-Sep-2006.)  (Revised by Mario Carneiro,
       24-Jun-2015.) $)
    uniixp $p |- U. X_ x e. A B C_ ( A X. U_ x e. A B ) $=
      ( vf cixp ciun cxp cpw wss cuni cv wcel ixpf fssxp syl velpw sylibr ssriv
      wf sspwuni mpbi ) ABCEZBABCFZGZHZIUBJUDIDUBUEDKZUBLZUFUDIZUFUELUGBUCUFSUH
      ABCUFMBUCUFNODUDPQRUBUDTUA $.

    $( The existence of an infinite Cartesian product. ` x ` is normally a
       free-variable parameter in ` B ` .  Remark in Enderton p. 54.
       (Contributed by NM, 28-Sep-2006.)  (Revised by Mario Carneiro,
       25-Jan-2015.) $)
    ixpexg $p |- ( A. x e. A B e. V -> X_ x e. A B e. _V ) $=
      ( cvv wcel wral cixp cuni ciun cxp wss uniixp iunexg xpexg syldan sylancr
      wa ssexg uniexb sylibr wn c0 ixpprc 0ex eqeltrdi adantr pm2.61ian ) BEFZC
      DFABGZABCHZEFZUIUJRZUKIZEFZULUMUNBABCJZKZLUQEFZUOABCMUIUJUPEFURABCEDNBUPE
      EOPUNUQESQUKTUAUIUBZULUJUSUKUCEABCUDUEUFUGUH $.

    $( The intersection of two infinite Cartesian products.  (Contributed by
       Mario Carneiro, 3-Feb-2015.) $)
    ixpin $p |- X_ x e. A ( B i^i C ) = ( X_ x e. A B i^i X_ x e. A C ) $=
      ( vf cin cixp cv wfn wcel wral wa anandi elin ralbii r19.26 bitri 3bitr4i
      cfv elixp anbi2i vex anbi12i eqriv ) EABCDFZGZABCGZABDGZFZEHZBIZAHUJSZUEJ
      ZABKZLZUJUGJZUJUHJZLZUJUFJUJUIJUKULCJZABKZULDJZABKZLZLUKUTLZUKVBLZLUOURUK
      UTVBMUNVCUKUNUSVALZABKVCUMVFABULCDNOUSVAABPQUAUPVDUQVEABCUJEUBZTABDUJVGTU
      CRABUEUJVGTUJUGUHNRUD $.
  $}

  ${
    $d f x y A $.  $d f x y B $.  $d f C $.
    $( The indexed intersection of a collection of infinite Cartesian products.
       (Contributed by Mario Carneiro, 6-Feb-2015.) $)
    ixpiin $p |- ( B =/= (/) ->
      X_ x e. A |^|_ y e. B C = |^|_ y e. B X_ x e. A C ) $=
      ( vf c0 wne cixp ciin cv wcel wral wa wb cvv eliin elixp ralbii bitri wfn
      cfv r19.28zv elv vex fvex ax-mp ralcom anbi2i 3bitr4g eqrdv eqcomd ) DGHZ
      BDACEIZJZACBDEJZIZUMFUOUQUMFKZCUAZAKZURUBZELZACMZNZBDMZUSVCBDMZNZURUOLZUR
      UQLZUSVCBDUCVHURUNLZBDMZVEVHVKOFBURDUNPQUDVJVDBDACEURFUEZRSTVIUSVAUPLZACM
      ZNVGACUPURVLRVNVFUSVNVBBDMZACMVFVMVOACVAPLVMVOOUTURUFBVADEPQUGSVBABCDUHTU
      ITUJUKUL $.

    $( The intersection of a collection of infinite Cartesian products.
       (Contributed by Mario Carneiro, 3-Feb-2015.) $)
    ixpint $p |- ( B =/= (/) -> X_ x e. A |^| B = |^|_ y e. B X_ x e. A y ) $=
      ( c0 wne cint cixp cv ciin wceq ixpeq2 wcel intiin a1i mprg ixpiin eqtrid
      ) DEFACDGZHZACBDBIZJZHZBDACUAHJSUBKZTUCKACACSUBLUDAICMBDNOPABCDUAQR $.
  $}

  ${
    $d f x $.  $d f A $.
    $( An infinite Cartesian product with an empty index set.  (Contributed by
       NM, 21-Sep-2007.) $)
    ixp0x $p |- X_ x e. (/) A = { (/) } $=
      ( vf c0 cixp cv wfn cfv wcel wral wa cab csn dfixp wceq velsn fn0 biantru
      ral0 3bitr2i abbi2i eqtr4i ) ADBECFZDGZAFUCHBIZADJZKZCLDMZADBCNUGCUHUCUHI
      UCDOUDUGCDPUCQUFUDUEASRTUAUB $.
  $}

  ${
    $d A f x $.  $d B f $.  $d V f $.
    $( An infinite Cartesian product is a subset of set exponentiation.  This
       version of ~ ixpssmapg avoids ~ ax-rep .  (Contributed by Mario
       Carneiro, 16-Nov-2014.) $)
    ixpssmap2g $p |- ( U_ x e. A B e. V ->
        X_ x e. A B C_ ( U_ x e. A B ^m A ) ) $=
      ( vf ciun wcel cixp cmap co cv wa wf ixpf adantl cvv wb c0 wceq n0i nsyl2
      ixpprc elmapg sylan2 mpbird ex ssrdv ) ABCFZDGZEABCHZUHBIJZUIEKZUJGZULUKG
      ZUIUMLUNBUHULMZUMUOUIABCULNOUMUIBPGZUNUOQUMUJRSUPUJULTABCUBUAUHBULDPUCUDU
      EUFUG $.

    $( An infinite Cartesian product is a subset of set exponentiation.
       (Contributed by Jeff Madsen, 19-Jun-2011.) $)
    ixpssmapg $p |- ( A. x e. A B e. V ->
        X_ x e. A B C_ ( U_ x e. A B ^m A ) ) $=
      ( vf wcel wral cixp ciun cmap co cv wa cvv wss c0 wceq n0i ixpprc nsyl2
      id iunexg syl2anr ixpssmap2g syl simpr sseldd ex ssrdv ) CDFABGZEABCHZABC
      IZBJKZUJELZUKFZUNUMFUJUOMZUKUMUNUPULNFZUKUMOUOBNFZUJUQUJUOUKPQURUKUNRABCS
      TUJUAABCNDUBUCABCNUDUEUJUOUFUGUHUI $.
  $}

  $( Membership of the empty set in an infinite Cartesian product.
     (Contributed by Steve Rodriguez, 29-Sep-2006.) $)
  0elixp $p |- (/) e. X_ x e. (/) A $=
    ( c0 csn cixp 0ex snid ixp0x eleqtrri ) CCDACBECFGABHI $.

  ${
    $d f A $.  $d f B $.  $d f x $.
    $( The infinite Cartesian product of a family ` B ( x ) ` with an empty
       member is empty.  The converse of this theorem is equivalent to the
       Axiom of Choice, see ~ ac9 .  (Contributed by Mario Carneiro,
       22-Jun-2016.) $)
    ixpn0 $p |- ( X_ x e. A B =/= (/) -> A. x e. A B =/= (/) ) $=
      ( vf cixp c0 wne cv wcel wex wral n0 cab wfn wa df-ixp abeq2i ne0i ralimi
      cfv simplbiim exlimiv sylbi ) ABCEZFGDHZUDIZDJCFGZABKZDUDLUFUHDUFUEAHZBIA
      MNZUIUETZCIZABKZUHUJUMODUDABCDPQULUGABCUKRSUAUBUC $.

    $( The infinite Cartesian product of a family ` B ( x ) ` with an empty
       member is empty.  The converse of this theorem is equivalent to the
       Axiom of Choice, see ~ ac9 .  (Contributed by NM, 1-Oct-2006.)  (Proof
       shortened by Mario Carneiro, 22-Jun-2016.) $)
    ixp0 $p |- ( E. x e. A B = (/) -> X_ x e. A B = (/) ) $=
      ( c0 wceq wrex wne wral wn cixp rexbii rexnal bitr3i ixpn0 necon1bi sylbi
      nne ) CDEZABFZCDGZABHZIZABCJZDESTIZABFUBUDRABCDQKTABLMUAUCDABCNOP $.
  $}

  ${
    $d x A $.
    ixpssmap.2 $e |- B e. _V $.
    $( An infinite Cartesian product is a subset of set exponentiation.  Remark
       in [Enderton] p. 54.  (Contributed by NM, 28-Sep-2006.) $)
    ixpssmap $p |- X_ x e. A B C_ ( U_ x e. A B ^m A ) $=
      ( cvv wcel wral cixp ciun cmap co wss rgenw ixpssmapg ax-mp ) CEFZABGABCH
      ABCIBJKLPABDMABCENO $.
  $}

  ${
    $d A x $.  $d B x $.  $d F x $.
    $( Restriction of an element of an infinite Cartesian product.
       (Contributed by FL, 7-Nov-2011.)  (Proof shortened by Mario Carneiro,
       31-May-2014.) $)
    resixp $p |- ( ( B C_ A /\ F e. X_ x e. A C )
       -> ( F |` B ) e. X_ x e. B C ) $=
      ( wss cixp wcel wa cres cvv wfn cfv wral resexg adantl w3a simpr elixp2
      cv sylib simp2d simpl fnssres syl2anc simp3d ssralv eleq1d ralbiia sylibr
      sylc fvres syl3anbrc ) CBFZEABDGZHZIZECJZKHZURCLZATZURMZDHZACNZURACDGHUPU
      SUNECUOOPUQEBLZUNUTUQEKHZVEVAEMZDHZABNZUQUPVFVEVIQUNUPRABDESUAZUBUNUPUCZB
      CEUDUEUQVHACNZVDUQUNVIVLVKUQVFVEVIVJUFVHACBUGUKVCVHACVACHVBVGDVACEULUHUIU
      JACDURSUM $.
  $}

  ${
    $d A x $.  $d B x $.  $d F x $.  $d G x $.
    $( Union of two projections of a cartesian product.  (Contributed by FL,
       7-Nov-2011.) $)
    undifixp $p |-
    ( ( F e. X_ x e. B C /\ G e. X_ x e. ( A \ B ) C /\ B C_ A )
        -> ( F u. G ) e. X_ x e. A C ) $=
      ( cixp wcel cun wfn wral wi wa c0 wceq sylancl syl2imc wn eqcoms syl cdif
      wss w3a cvv cfv unexg 3adant3 ixpfn cin 3simpa ancomd disjdif fnun biimpi
      cv eqcomd 3ad2ant3 fneq2d mpbird 3exp 3imp elixp2 simp3bi cdm fndm elndif
      undif wb eleq2 notbid ndmfv syl6bi syl2im ralrimiv uneq2 un0 eleq1 biimpd
      eqtr com12 ral2imi impcom eldifn uneq1 uncom imp ralunb sylanbrc ex raleq
      imbi2d syl5ibr sylbi 3imp231 wfun df-fn simpl ineq12 eqtrdi ad2ant2l fvun
      anim12i syl2anc eleq1d ralbidv syl3anbrc ) EACDGZHZFABCUAZDGZHZCBUBZUCZEF
      IZUDHZXNBJZAUOZXNUEZDHZABKZXNABDGHXHXKXOXLEFXGXJUFUGXHXKXLXPXKFXIJZXHECJZ
      XLXPLAXIDFUHZACDEUHZYAYBXLXPYAYBXLUCZXPXNCXIIZJZYEYBYAMCXIUIZNOYGYEYAYBYA
      YBXLUJUKCBULZCXIEFUMPYEBYFXNXLYABYFOZYBXLYFBXLYFBOZCBVGZUNUPUQURUSUTQVAXM
      XTXQEUEZXQFUEZIZDHZABKZXLXHXKYQXLYKXHXKYQLZLZYLYSBYFXHYRYJXKYPAYFKZLXHXKY
      TXHXKMYPACKZYPAXIKZYTXKXHUUAXKYAXHUUALYCXHYMDHZACKZYAYNNOZACKUUAXHEUDHYBU
      UDACDEVBVCYAUUEACYAFVDZXIOZXQCHZXQXIHZRZUUEXIFVEXQCBVFUUGUUJXQUUFHZRZUUEU
      UJUULVHXIUUFXIUUFOUUIUUKXIUUFXQVIVJSXQFVKVLVMVNUUCUUEYPACUUEUUCYPUUEYOYMN
      IZOZUUMYMOZUUCYPLZYNNYMVOYMVPUUNUUOMYOYMOUUPYOUUMYMVSUUPYMYOYMYOOUUCYPYMY
      ODVQVRSTPVTWAQTWBXHXKUUBXHYBXKUUBLYDXKYNDHZAXIKZYBYMNOZAXIKUUBXKFUDHYAUUR
      AXIDFVBVCYBUUSAXIYBEVDZCOZUUIUUHRZUUSCEVEXQBCWCUVBUUSLCUUTCUUTOZUVBXQUUTH
      ZRUUSUVCUUHUVDCUUTXQVIVJXQEVKVLSVMVNUUQUUSYPAXIUUSUUQYPUUSYONYNIZOZUVEYNN
      IZOZUUQYPLZYMNYNWDNYNWEUVFUVHMYOUVGOZUVGYNOZUVIYOUVEUVGVSYNVPUVJUVKMYOYNO
      UVIYOUVGYNVSUVIYNYOYNYOOUUQYPYNYODVQVRSTPPVTWAQTWFYPACXIWGWHWIYJYQYTXKYPA
      BYFWJWKWLSWMWNXHXKXLXTYQVHZXKYAXHYBXLUVLLZYCYDYAFWOZUUGMZYBUVMLFXIWPYBUVO
      UVMYBEWOZUVAMZUVOUVMLECWPUVQUVOXLUVLUVQUVOXLUCZXSYPABUVRXRYODUVRUVPUVNMZU
      UTUUFUIZNOZXRYOOUVQUVOUVSXLUVQUVPUVOUVNUVPUVAWQUVNUUGWQXBUGUVQUVOUWAXLUVA
      UUGUWAUVPUVNUVAUUGMUVTYHNUUTCUUFXIWRYIWSWTUGXQEFXAXCXDXEUTWMVTWMQVAUSABDX
      NVBXF $.
  $}

  ${
    $d I x y $.  $d J y $.  $d K y $.
    $( Condition for an explicit member of an indexed product.  (Contributed by
       Stefan O'Rear, 4-Jan-2015.) $)
    mptelixpg $p |- ( I e. V -> ( ( x e. I |-> J ) e. X_ x e. I K <->
          A. x e. I J e. K ) ) $=
      ( vy wcel cvv cmpt cixp wral wb elex cv cfv wa fvmpt2 ralimiaa wi syl wfn
      csb w3a nfcv nfcsb1v csbeq1a cbvixp eleq2i elixp2 3anass eqid fnmpt simpr
      3bitri eqeltrd jca dffn2 fmpt eleq1d biimpd ralim sylbir sylbi imp impbii
      nfv nffvmpt1 nfel weq fveq2 eleq12d cbvralw anbi2i bitri mptexg biantrurd
      wf bitr2id syl5bb ) BEGBHGZABCIZABDJZGZCDGZABKZLBEMWCWAHGZWABUAZFNZWAOZAW
      HDUBZGZFBKZPZPZVTWEWCWAFBWJJZGWFWGWLUCWNWBWOWAAFBDWJFDUDAWHDUEZAWHDUFZUGU
      HFBWJWAUIWFWGWLUJUNWEWMVTWNWEWGANZWAOZDGZABKZPZWMWEXBWEWGXAABCWADWAUKZULW
      DWTABWRBGZWDPWSCDABCDWAXCQXDWDUMUORUPWGXAWEWGBHWAVQZXAWESZBWAUQXECHGZABKZ
      XFABHCWAXCURXHWTWDSZABKXFXGXIABXDXGPZWTWDXJWSCDABCHWAXCQUSUTRWTWDABVATVBV
      CVDVEXAWLWGWTWKAFBWTFVFAWIWJABCWHVGWPVHAFVIWSWIDWJWRWHWAVJWQVKVLVMVNVTWFW
      MABCHVOVPVRVST $.
  $}

  ${
    $d f g h x y z A $.  $d f g h x y z B $.  $d f g h y C $.  $d g h y F $.
    resixpfo.1 $e |- F = ( f e. X_ x e. A C |-> ( f |` B ) ) $.
    $( Restriction of elements of an infinite Cartesian product creates a
       surjection, if the original Cartesian product is nonempty.  (Contributed
       by Mario Carneiro, 27-Aug-2015.) $)
    resixpfo $p |- ( ( B C_ A /\ X_ x e. A C =/= (/) ) ->
        F : X_ x e. A C -onto-> X_ x e. B C ) $=
      ( vh vy vg vz wa cv cfv wceq wral wcel cmpt wi cvv wss cixp c0 wne wf wfo
      wrex cres resixp fmptd adantr wex n0 cif eleq1w ifbid fveq12d cbvmptv wfn
      id vex elixp simprbi fveq1 eleq1d simpl wn simplrr ifbothda exp32 ralimi2
      imp syl adantl ralim impel wb n0i ixpprc mptelixpg mpbird eqeltrid reseq1
      nsyl2 iftrue fveq1d mpteq2ia resmpt ad2antrr ixpfn ad2antlr dffn5 3eqtr4a
      sylib eqeltrdi fvmptd3 eqtr2d fveq2 rspceeqv syl2anc ex ralrimdva exlimdv
      syl5bi dffo3 sylanbrc ) CBUAZABDUBZUCUDZLXHACDUBZFUEZHMZIMZFNZOIXHUGZHXJP
      ZXHXJFUFXGXKXIXGEXHEMZCUHZXJFABCDXQUIGUJUKXGXIXPXIJMZXHQZJULXGXPJXHUMXGXT
      XPJXGXTXOHXJXGXLXJQZLZXTXOYBXTLZKBKMZYDCQZXLXSUNZNZRZXHQXLYHFNZOXOYCYHABA
      MZYJCQZXLXSUNZNZRZXHKABYGYMYDYJOZYDYJYFYLYOYEYKXLXSKACUOUPYOUTUQURYCYNXHQ
      ZYMDQZABPZYBYJXSNZDQZABPZYRXTYBYTYQSZABPZUUAYRSYAUUCXGYAYJXLNZDQZACPZUUCY
      AXLCUSZUUFACDXLHVAZVBVCUUEUUBACBYKUUESZYJBQZYTYQYKUUEYTYQUUIUUJYTLZLZXLXS
      XLYLOUUDYMDYJXLYLVDVEXSYLOYSYMDYJXSYLVDVEUULYKUUEUUIUUKVFVLUUIUUJYTYKVGVH
      VIVJVKVMVNYTYQABVOVMXTXSBUSUUAABDXSJVAVBVCVPYCBTQZYPYRVQXTUUMYBXTXHUCOUUM
      XHXSVRABDVSWDVNABYMDTVTVMWAWBZYCYIYHCUHZXLYCEYHXRUUOXHFTGXQYHCWCUUNYCUUOX
      LTYCKCYGRZKCYDXLNZRZUUOXLKCYGUUQYEYDYFXLYEXLXSWEWFWGXGUUOUUPOYAXTKBCYGWHW
      IYCUUGXLUUROYAUUGXGXTACDXLWJWKKCXLWLWNWMZUUHWOWPUUSWQIYHXHXNYIXLXMYHFWRWS
      WTXAXBXCXDVLIHXHXJFXEXF $.
  $}

  ${
    $d B x y z w $.  $d F x y z w $.  $d A x y z w $.  $d V x y z w $.
    $( Membership in a class of singleton functions.  (Contributed by Stefan
       O'Rear, 24-Jan-2015.) $)
    elixpsn $p |- ( A e. V -> ( F e. X_ x e. { A } B <->
        E. y e. B F = { <. A , y >. } ) ) $=
      ( vz vw cv csn cixp wcel cop wceq wrex cvv cfv wa vex eleq1d sneq ixpeq1d
      eleq2d opeq1 sneqd eqeq2d elex snex eleq1 mpbiri rexlimivw eqeq1 wfn wral
      rexbidv elixp fveq2 ralsn anbi2i simpl biimpri adantl ffnfv sylanbrc fsn2
      wf sylib opeq2 rspceeqv syl fvsn id eqeltrid jctil fneq1 fveq1 syl5ibrcom
      fnsn anbi12d rexlimiv impbii 3bitri vtoclbg pm5.21nii ) EAGIZJZDKZLZEWEBI
      ZMZJZNZBDOZEACJZDKZLECWIMZJZNZBDOGCFWECNZWGWOEWSAWFWNDWECUAUBUCWSWLWRBDWS
      WKWQEWSWJWPWECWIUDUEUFUOWHEPLZWMEWGUGWLWTBDWLWTWKPLWJUHEWKPUIUJUKHIZWGLZX
      AWKNZBDOZWHWMHEPXAEWGUIXAENXCWLBDXAEWKULUOXBXAWFUMZAIZXAQZDLZAWFUNZRXEWEX
      AQZDLZRZXDAWFDXAHSUPXIXKXEXHXKAWEGSZXFWENXGXJDXFWEXAUQTURUSXLXDXLXKXAWEXJ
      MZJZNRZXDXLWFDXAVFZXPXLXEWIXAQZDLZBWFUNZXQXEXKUTXKXTXEXTXKXSXKBWEXMWIWENX
      RXJDWIWEXAUQTURVAVBBWFDXAVCVDWEDXAXMVEVGBXJDWKXOXAWIXJNWJXNWIXJWEVHUEVIVJ
      XCXLBDWIDLZXLXCWKWFUMZWEWKQZDLZRYAYDYBYAYCWIDWEWIXMBSZVKYAVLVMWEWIXMYEVRV
      NXCXEYBXKYDWFXAWKVOXCXJYCDWEXAWKVPTVSVQVTWAWBWCWDWC $.
  $}

  ${
    $d I a b c x y $.  $d A a b c x y $.  $d V a b c x y $.  $d F a b c y $.
    $d W a b c x y $.
    ixpsnf1o.f $e |- F = ( x e. A |-> ( { I } X. { x } ) ) $.
    $( A bijection between a class and single-point functions to it.
       (Contributed by Stefan O'Rear, 24-Jan-2015.) $)
    ixpsnf1o $p |- ( I e. V -> F : A -1-1-onto-> X_ y e. { I } A ) $=
      ( va vb vc wcel csn cv crn cuni cvv wa vex wceq eqeq2d cixp cxp snex xpex
      a1i rnex uniex cop wrex sneq xpeq1d anbi2d wb elixpsn elv ixpeq1d bitr3id
      eleq2d anbi1d xpsn eqeq2i anbi2i eqid weq opeq2 sneqd mpan2 op2nda eqcomi
      rspceeqv jctir eqeq1 rexbidv unieqd anbi12d syl5ibrcom imp wi eqidd ancli
      rneq eleq1w syl5bi imbi12d rexlimiv impbii bitri vtoclbg f1od ) EFKZAHCBE
      LZCUAZWKAMZLZUBZHMZNZOZDPPGWOPKWJWMCKZQWKWNEUCWMUCUDUEWRPKWJWPWLKZQWQWPHR
      UFUGUEWSWPIMZLZWNUBZSZQZWPXAJMZUHZLZSZJCUIZWMWRSZQZWSWPWOSZQWTXKQIEFXAESZ
      XDXMWSXNXCWOWPXNXBWKWNXAEUJZUKTULXNXJWTXKXJWPBXBCUAZKZXNWTXQXJUMIBJXACWPP
      UNUOXNXPWLWPXNBXBWKCXOUPURUQUSXEWSWPXAWMUHZLZSZQZXLXDXTWSXCXSWPXAWMIRZARZ
      UTVAVBYAXLWSXTXLWSXLXTXSXHSZJCUIZWMXSNZOZSZQWSYEYHWSXSXSSYEXSVCJWMCXHXSXS
      JAVDXGXRXFWMXAVEVFVJVGYGWMXAWMYBYCVHVIVKXTXJYEXKYHXTXIYDJCWPXSXHVLVMXTWRY
      GWMXTWQYFWPXSWAVNTVOVPVQXJXKYAXIXKYAVRZJCXFCKZYIXIWMXHNZOZSZWSXHXSSZQZVRY
      MAJVDZYJYOYLXFWMXAXFYBJRVHVAYJYOYPYJXHXHSZQYJYQYJXHVSVTYPWSYJYNYQAJCWBYPX
      SXHXHYPXRXGWMXFXAVEVFTVOVPWCXIXKYMYAYOXIWRYLWMXIWQYKWPXHWAVNTXIXTYNWSWPXH
      XSVLULWDVPWEVQWFWGWHWI $.

    $( A bijection between a set and single-point functions to it.
       (Contributed by Stefan O'Rear, 24-Jan-2015.) $)
    mapsnf1o $p |- ( ( A e. V /\ I e. W ) ->
        F : A -1-1-onto-> ( A ^m { I } ) ) $=
      ( vy wcel wa csn cmap co wf1o cixp ixpsnf1o adantl wceq cvv snex f1oeq3d
      ixpconstg eqcomd mpan adantr mpbird ) BEIZDFIZJZBBDKZLMZCNBHUJBOZCNZUHUMU
      GAHBCDFGPQUIUKULBCUGUKULRZUHUJSIZUGUNDTUOUGJULUKHUJBSEUBUCUDUEUAUF $.
  $}

  ${
    $d A y z $.  $d B y z $.  $d I x y z $.
    $( A rectangular subset of a rectangular set can be recovered as the
       relative intersection of single-axis restrictions.  (Contributed by
       Stefan O'Rear, 22-Feb-2015.) $)
    boxriin $p |- ( A. x e. I A C_ B -> X_ x e. I A = ( X_ x e. I B i^i
            |^|_ y e. I X_ x e. I if ( x = y , A , B ) ) ) $=
      ( vz wral cixp weq cv wcel wa ral2imi adantr impr eleq2 jca elixp bitri
      wi wss cif ciin cin wfn simprl ssel simplr wn ssel2 ifbothda ex ralrimivw
      cfv jca31 simprll simpr ralimi ralcom wceq iftrue equcoms eleq2d ralimiaa
      rspcva sylbi syl ad2antll impbida vex wb cvv eliin ralbii anbi12i 3bitr4g
      elin elv eqrdv ) CDUAZAEGZFAECHZAEDHZBEAEABIZCDUBZHZUCZUDZWAFJZEUEZAJZWIU
      NZCKZAEGZLZWJWLDKZAEGZLZWJWLWEKZAEGZLZBEGZLZWIWBKWIWHKZWAWOXCWAWOLZWJWQXB
      WAWJWNUFZWAWJWNWQWAWNWQTWJVTWMWPAECDWLUGMNOXEXABEXEWJWTXFWAWJWNWTWAWNWTTW
      JVTWMWSAEVTWMWSWDWMWPWSVTWMLZCDCWEWLPDWEWLPVTWMWDUHXGWPWDUICDWLUJNUKULMNO
      QUMUOWAXCLWJWNWAWJWQXBUPXBWNWAWRXBWTBEGZWNXAWTBEWJWTUQURXHWSBEGZAEGWNWSBA
      EEUSXIWMAEWSWMBWKEBAIWECWLWECUTABWDCDVAVBVCVEVDVFVGVHQVIAECWIFVJZRXDWIWCK
      ZWIWGKZLXCWIWCWGVQXKWRXLXBAEDWIXJRXLWIWFKZBEGZXBXLXNVKFBWIEWFVLVMVRXMXABE
      AEWEWIXJRVNSVOSVPVS $.
  $}

  ${
    $d A k l m z $.  $d B l m z $.  $d C l m z $.  $d X k l m z $.
    $( The relative complement of a box set restricted on one axis.
       (Contributed by Stefan O'Rear, 22-Feb-2015.) $)
    boxcutc $p |- ( ( X e. A /\ A. k e. A C C_ B ) ->
                    ( X_ k e. A B \ X_ k e. A if ( k = X , C , B ) ) =
                                    X_ k e. A if ( k = X , ( B \ C ) , B ) ) $=
      ( vl vm wcel wss wral wa cv cif cdif wn cfv csb eleq2 nfv eleq12d vz cixp
      wceq eldifi adantl sseq1 difss ssid keephyp rgenw ss2ixp sselda wfn elixp
      mp1i vex ixpfn biantrurd bitr4id notbid wrex rexnal simpl simprbi nfcsb1v
      nfel2 fveq2 csbeq1a cbvralw csbeq1 rspcva syl2an neldif adantr syl5ibrcom
      sylib sylan ad2antlr r19.21bi ifbothda ralrimiva dfral2 ex con4d difeq12d
      weq imp simpll iftrue eqtrd eldifbd rspcev syl2an2r impbida nfn ifbieq12d
      nfif eqeq1 cbvrexw nfdif 3bitr4g bitr3id bitrd ibar 3bitr3d eldif eqrdav
      wb ) EAHZCBIDAJZKZUADABUBZDADLZEUCZCBMZUBZNZDAXNBCNZBMZUBZXLUALZXQHZYAXLH
      ZXKYAXLXPUDUEXKXTXLYAXSBIZDAJXTXLIXKYDDAXNXRBIBBIYDXRBXRXSBUFBXSBUFBCUGBU
      HUIUJDAXSBUKUOULXKYCKZYCYAXPHZOZKZYAAUMZXMYAPZXSHZDAJZKZYBYAXTHYEYGYLYHYM
      YEYGYJXOHZDAJZOZYLYEYFYOYEYFYIYOKYODAXOYAUAUPZUNYEYIYOYCYIXKDABYAUQUEZURU
      SUTYPYNOZDAVAZYEYLYNDAVBYEFLZYAPZUUAEUCZDUUACQZDUUABQZMZHZOZFAVAZGLZYAPZU
      UJEUCZDUUJBQZDUUJCQZNZUUMMZHZGAJZYTYLYEUUIUURYEUUIKZUUQGAUULUUKUUOHZUUKUU
      MHZUUQUUSUUJAHZKZUUOUUMUUOUUPUUKRUUMUUPUUKRUVCUULUUTUVCUUTUULEYAPZDEBQZDE
      CQZNZHZUUSUVHUVBYEUUIUVHYEUVHUUIYEUVHOZUUIOZYEUVIKZUUGFAJUVJUVKUUGFAUUCUU
      BUUDHZUUBUUEHZUUGUVKUUAAHZKZUUDUUEUUDUUFUUBRUUEUUFUUBRUVOUUCUVLUVOUVLUUCU
      VDUVFHZUVKUVPUVNYEUVDUVEHZUVIUVPXKXIUVMFAJZUVQYCXIXJVCYCYJBHZDAJZUVRYCYIU
      VTDABYAYQUNVDZUVSUVMDFAUVSFSDUUBUUEDUUABVEZVFDFWFZYJUUBBUUEXMUUAYAVGZDUUA
      BVHZTVIVPZUVMUVQFEAUUCUUBUVDUUEUVEUUAEYAVGZDUUAEBVJTVKVLUVDUVEUVFVMVQVNUU
      CUUBUVDUUDUVFUWGDUUAECVJZTVOWGUVOUVMUUCOUVKUVMFAYCUVRXKUVIUWFVRVSVNVTWAUU
      GFAWBVPWCWDWGVNUULUUKUVDUUOUVGUUJEYAVGZUULUUMUVEUUNUVFDUUJEBVJDUUJECVJWEZ
      TVOWGUVCUVAUULOUUSUVAGAYCUVAGAJZXKUUIYCUVTUWKUWAUVSUVADGAUVSGSDUUKUUMDUUJ
      BVEZVFDGWFZYJUUKBUUMXMUUJYAVGZDUUJBVHZTVIVPVRVSVNVTWAYEXIUURUVPOZUUIXIXJY
      CWHZYEUURKUVDUVEUVFYEXIUURUVHUWQUUQUVHGEAUULUUKUVDUUPUVGUWIUULUUPUUOUVGUU
      LUUOUUMWIUWJWJTVKVQWKUUHUWPFEAUUCUUGUVPUUCUUBUVDUUFUVFUWGUUCUUFUUDUVFUUCU
      UDUUEWIUWHWJTUTWLWMWNYSUUHDFAYSFSUUGDDUUBUUFUUCDUUDUUEUUCDSDUUACVEUWBWQVF
      WOUWCYNUUGUWCYJUUBXOUUFUWDUWCXNUUCCBUUDUUEXMUUAEWRDUUACVHUWEWPTUTWSYKUUQD
      GAYKGSDUUKUUPUULDUUOUUMUULDSDUUMUUNUWLDUUJCVEWTUWLWQVFUWMYJUUKXSUUPUWNUWM
      XNUULXRBUUOUUMXMUUJEWRUWMBUUMCUUNUWODUUJCVHWEUWOWPTVIXAXBXCYCYGYHXHXKYCYG
      XDUEYEYIYLYRURXEYAXLXPXFDAXSYAYQUNXAXG $.
  $}

$(
  @{
    xpixp.1 @e |- P = X_ x e. { (/) , 1o } if ( x = (/) , A , B ) @.
    xpixp.1 @e |- P = X_ x e. 2o if ( x = (/) , A , B ) @.
    xpixp.1 @e |- P =
               X_ x e. { (/) , 1o } ( { <. (/) , A >. , <. 1o , B >. } ` x ) @.
    @( A Cartesian product in terms of an infinite Cartesian product. @)
    xpixp @p |- ( A X. B ) =
                ( ran ( U. P |` { (/) } ) X. ran ( U. P |` { 1o } ) ) @=
?@.
      @( [ ?] @) @( [29-Sep-2006] @)
  @}

  @{
    ixpxp.1 @e |- P = ( A X. B ) @.
    @( An infinite Cartesian product in terms of a Cartesian product. @)
    ixpxp @p |- X_ x e. { (/) , 1o } if ( x = (/) , A , B ) =
                { ( { (/) } X. dom P ) , ( { 1o } X. ran P ) } @=
?@.
      @( [ ?] @) @( [29-Sep-2006] @)
  @}
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Equinumerosity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c ~~ $.  $( Equinumerosity relation ("approximately equals" symbol) $)
  $c ~<_ $.  $( Dominance relation (curly "less than or equal to") $)
  $c ~< $.  $( Strict dominance relation (curly less-than) $)
  $c Fin $.  $( Class of all finite sets. $)

  $( Extend class definition to include the equinumerosity relation
     ("approximately equals" symbol) $)
  cen $a class ~~ $.

  $( Extend class definition to include the dominance relation (curly "less
     than or equal to") $)
  cdom $a class ~<_ $.

  $( Extend class definition to include the strict dominance relation (curly
     less-than) $)
  csdm $a class ~< $.

  $( Extend class definition to include the class of all finite sets. $)
  cfn $a class Fin $.

  ${
    $d x y f $.
    $( Define the equinumerosity relation.  Definition of [Enderton] p. 129.
       We define ` ~~ ` to be a binary relation rather than a connective, so
       its arguments must be sets to be meaningful.  This is acceptable because
       we do not consider equinumerosity for proper classes.  We derive the
       usual definition as ~ bren .  (Contributed by NM, 28-Mar-1998.) $)
    df-en $a |- ~~ = { <. x , y >. | E. f f : x -1-1-onto-> y } $.

    $( Define the dominance relation.  For an alternate definition see
       ~ dfdom2 .  Compare Definition of [Enderton] p. 145.  Typical textbook
       definitions are derived as ~ brdom and ~ domen .  (Contributed by NM,
       28-Mar-1998.) $)
    df-dom $a |- ~<_ = { <. x , y >. | E. f f : x -1-1-> y } $.

    $( Define the strict dominance relation.  Alternate possible definitions
       are derived as ~ brsdom and ~ brsdom2 .  Definition 3 of [Suppes] p. 97.
       (Contributed by NM, 31-Mar-1998.) $)
    df-sdom $a |- ~< = ( ~<_ \ ~~ ) $.

    $( Define the (proper) class of all finite sets.  Similar to Definition
       10.29 of [TakeutiZaring] p. 91, whose "Fin(a)" corresponds to
       our " ` a e. Fin ` ".  This definition is meaningful whether or not we
       accept the Axiom of Infinity ~ ax-inf2 .  If we accept Infinity, we can
       also express ` A e. Fin ` by ` A ~< _om ` (Theorem ~ isfinite .)
       (Contributed by NM, 22-Aug-2008.) $)
    df-fin $a |- Fin = { x | E. y e. _om x ~~ y } $.
  $}

  ${
    $d x y f $.  $d x y f $.
    $( Equinumerosity is a relation.  (Contributed by NM, 28-Mar-1998.) $)
    relen $p |- Rel ~~ $=
      ( vx vy vf cv wf1o wex cen df-en relopabiv ) ADBDCDECFABGABCHI $.

    $( Dominance is a relation.  (Contributed by NM, 28-Mar-1998.) $)
    reldom $p |- Rel ~<_ $=
      ( vx vy vf cv wf1 wex cdom df-dom relopabiv ) ADBDCDECFABGABCHI $.
  $}

  $( Strict dominance is a relation.  (Contributed by NM, 31-Mar-1998.) $)
  relsdom $p |- Rel ~< $=
    ( cdom wrel csdm reldom cen cdif reldif df-sdom releqi sylibr ax-mp ) ABZCB
    ZDLAEFZBMAEGCNHIJK $.

  $( If two classes are equinumerous, both classes are sets.  (Contributed by
     AV, 21-Mar-2019.) $)
  encv $p |- ( A ~~ B -> ( A e. _V /\ B e. _V ) ) $=
    ( cen relen brrelex12i ) ABCDE $.

  ${
    $d f x y A $.  $d f x y B $.  $d y C $.
    $( Equinumerosity relation.  This variation of ~ bren does not require the
       Axiom of Union.  (Contributed by BTernaryTau, 23-Sep-2024.) $)
    breng $p |- ( ( A e. V /\ B e. W ) ->
        ( A ~~ B <-> E. f f : A -1-1-onto-> B ) ) $=
      ( vx vy cv wf1o wex cen wceq f1oeq2 exbidv f1oeq3 df-en brabg ) FHZGHZCHZ
      IZCJASTIZCJABTIZCJFGABDEKRALUAUBCRASTMNSBLUBUCCSBATONFGCPQ $.
    $( $j usage 'breng' avoids 'ax-un'; $)

    $( Equinumerosity relation.  (Contributed by NM, 15-Jun-1998.)  (Proof
       shortened by BTernaryTau, 23-Sep-2024.) $)
    bren $p |- ( A ~~ B <-> E. f f : A -1-1-onto-> B ) $=
      ( cen wbr cvv wcel wa wf1o wex encv wfn f1ofn cdm fndm vex dmex eqeltrrdi
      cv syl crn wfo wceq f1ofo forn rnex jca exlimiv breng pm5.21nii ) ABDEAFG
      ZBFGZHZABCSZIZCJABKUOUMCUOUKULUOUNALZUKABUNMUPAUNNFAUNOUNCPZQRTUOBUNUAZFU
      OABUNUBURBUCABUNUDABUNUETUNUQUFRUGUHABCFFUIUJ $.

    $( Obsolete version of ~ bren as of 23-Sep-2024.  (Contributed by NM,
       15-Jun-1998.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    brenOLD $p |- ( A ~~ B <-> E. f f : A -1-1-onto-> B ) $=
      ( vx vy cen wbr cvv wcel wa cv wf1o wex encv wfn f1ofn eqeltrrdi syl wceq
      exbidv cdm fndm vex dmex crn wfo f1ofo forn rnex jca exlimiv f1oeq2 df-en
      f1oeq3 brabg pm5.21nii ) ABFGAHIZBHIZJZABCKZLZCMZABNVAUSCVAUQURVAUTAOZUQA
      BUTPVCAUTUAHAUTUBUTCUCZUDQRVABUTUEZHVAABUTUFVEBSABUTUGABUTUHRUTVDUIQUJUKD
      KZEKZUTLZCMAVGUTLZCMVBDEABHHFVFASVHVICVFAVGUTULTVGBSVIVACVGBAUTUNTDECUMUO
      UP $.

    $( Dominance relation.  (Contributed by NM, 15-Jun-1998.) $)
    brdomg $p |- ( B e. C -> ( A ~<_ B <-> E. f f : A -1-1-> B ) ) $=
      ( vx vy cvv wcel cdom wbr cv wf1 wex wb wi wceq f1eq2 exbidv f1eq3 df-dom
      brabg ex reldom brrelex1i f1f cdm fdm vex dmex eqeltrrdi exlimiv pm5.21ni
      wn wf syl a1d pm2.61i ) AGHZBCHZABIJZABDKZLZDMZNZOURUSVDEKZFKZVALZDMAVFVA
      LZDMVCEFABGCIVEAPVGVHDVEAVFVAQRVFBPVHVBDVFBAVASREFDTUAUBURUMVDUSUTURVCABI
      UCUDVBURDVBABVAUNZURABVAUEVIAVAUFGABVAUGVADUHUIUJUOUKULUPUQ $.

    $( Dominance relation.  (Contributed by Mario Carneiro, 26-Apr-2015.) $)
    brdomi $p |- ( A ~<_ B -> E. f f : A -1-1-> B ) $=
      ( cdom wbr cv wf1 wex cvv wcel wb reldom brrelex2i brdomg syl ibi ) ABDEZ
      ABCFGCHZQBIJQRKABDLMABICNOP $.
  $}

  ${
    $d f x A $.  $d f x B $.
    bren.1 $e |- B e. _V $.
    $( Dominance relation.  (Contributed by NM, 15-Jun-1998.) $)
    brdom $p |- ( A ~<_ B <-> E. f f : A -1-1-> B ) $=
      ( cvv wcel cdom wbr cv wf1 wex wb brdomg ax-mp ) BEFABGHABCIJCKLDABECMN
      $.

    $( Dominance in terms of equinumerosity.  Example 1 of [Enderton] p. 146.
       (Contributed by NM, 15-Jun-1998.) $)
    domen $p |- ( A ~<_ B <-> E. x ( A ~~ x /\ x C_ B ) ) $=
      ( vf cdom wbr cv wf1 wex cen wss brdom wf1o vex f11o exbii bitri bitr4i
      wa excom bren anbi1i 19.41v ) BCFGBCEHZIZEJZBAHZKGZUHCLZTZAJZBCEDMUGBUHUE
      NZUJTZEJZAJZULUGUNAJZEJUPUFUQEABCUEEOPQUNEAUARUKUOAUKUMEJZUJTUOUIURUJBUHE
      UBUCUMUJEUDSQSR $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Dominance in terms of equinumerosity, with the sethood requirement
       expressed as an antecedent.  Example 1 of [Enderton] p. 146.
       (Contributed by NM, 24-Apr-2004.) $)
    domeng $p |- ( B e. C -> ( A ~<_ B <-> E. x ( A ~~ x /\ x C_ B ) ) ) $=
      ( vy cv cdom wbr cen wss wex breq2 wceq sseq2 anbi2d exbidv domen vtoclbg
      wa vex ) BEFZGHBAFZIHZUBUAJZSZAKBCGHUCUBCJZSZAKECDUACBGLUACMZUEUGAUHUDUFU
      CUACUBNOPABUAETQR $.
  $}

  $( A countable set is a set.  (Contributed by Thierry Arnoux, 29-Dec-2016.)
     (Proof shortened by Jim Kingdon, 13-Mar-2023.) $)
  ctex $p |- ( A ~<_ _om -> A e. _V ) $=
    ( com cdom reldom brrelex1i ) ABCDE $.

  ${
    $d f A $.  $d f B $.  $d f F $.
    $( The domain and range of a one-to-one, onto set function are
       equinumerous.  This variation of ~ f1oeng does not require the Axiom of
       Replacement nor the Axiom of Power Sets.  (Contributed by NM,
       13-Jan-2007.)  (Revised by Mario Carneiro, 10-Sep-2015.) $)
    f1oen3g $p |- ( ( F e. V /\ F : A -1-1-onto-> B ) -> A ~~ B ) $=
      ( vf wcel wf1o wa cv wex cen wbr f1oeq1 spcegv imp bren sylibr ) CDFZABCG
      ZHABEIZGZEJZABKLRSUBUASECDABTCMNOABEPQ $.
    $( $j usage 'f1oen3g' avoids 'ax-pow' 'ax-rep'; $)

    $( The domain of a one-to-one set function is dominated by its codomain
       when the latter is a set.  This variation of ~ f1domg does not require
       the Axiom of Replacement nor the Axiom of Power Sets.  (Contributed by
       BTernaryTau, 9-Sep-2024.) $)
    f1dom3g $p |- ( ( F e. V /\ B e. W /\ F : A -1-1-> B ) -> A ~<_ B ) $=
      ( vf wcel wf1 w3a cdom wbr cv wex f1eq1 spcegv 3adant2 wb brdomg 3ad2ant2
      imp mpbird ) CDGZBEGZABCHZIABJKZABFLZHZFMZUBUDUHUCUBUDUHUGUDFCDABUFCNOTPU
      CUBUEUHQUDABEFRSUA $.
    $( $j usage 'f1dom3g' avoids 'ax-pow' 'ax-rep'; $)

    $( The domain and range of a one-to-one, onto function are equinumerous.
       This variation of ~ f1oeng does not require the Axiom of Replacement.
       (Contributed by Mario Carneiro, 10-Sep-2015.) $)
    f1oen2g $p |- ( ( A e. V /\ B e. W /\ F : A -1-1-onto-> B ) -> A ~~ B ) $=
      ( wcel wf1o w3a cvv cen wbr f1of fex2 syl3an1 3coml simp3 f1oen3g syl2anc
      wf ) ADFZBEFZABCGZHCIFZUBABJKUBTUAUCUBABCSTUAUCABCLABCDEMNOTUAUBPABCIQR
      $.
    $( $j usage 'f1oen2g' avoids 'ax-rep'; $)

    $( The domain of a one-to-one function is dominated by its codomain.  This
       variation of ~ f1domg does not require the Axiom of Replacement.
       (Contributed by Mario Carneiro, 24-Jun-2015.)  (Proof shortened by
       BTernaryTau, 25-Sep-2024.) $)
    f1dom2g $p |- ( ( A e. V /\ B e. W /\ F : A -1-1-> B ) -> A ~<_ B ) $=
      ( cvv wcel wf1 cdom wbr wf f1f fex2 syl3an1 3coml f1dom3g syld3an1 ) CFGZ
      BEGZADGZABCHZABIJUATSRUAABCKTSRABCLABCDEMNOABCFEPQ $.
    $( $j usage 'f1dom2g' avoids 'ax-rep'; $)

    $( Obsolete version of ~ f1dom2g as of 25-Sep-2024.  (Contributed by Mario
       Carneiro, 24-Jun-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    f1dom2gOLD $p |- ( ( A e. V /\ B e. W /\ F : A -1-1-> B ) -> A ~<_ B ) $=
      ( vf wcel wf1 w3a cdom wbr cv wex cvv wf f1f fex2 syl3an1 3coml simp3 wb
      f1eq1 spcedv brdomg 3ad2ant2 mpbird ) ADGZBEGZABCHZIZABJKZABFLZHZFMZUJUMU
      IFNCUIUGUHCNGZUIABCOUGUHUOABCPABCDEQRSUGUHUITABULCUBUCUHUGUKUNUAUIABEFUDU
      EUF $.

    $( The domain and range of a one-to-one, onto function are equinumerous.
       (Contributed by NM, 19-Jun-1998.) $)
    f1oeng $p |- ( ( A e. C /\ F : A -1-1-onto-> B ) -> A ~~ B ) $=
      ( wcel wf1o cvv cen wbr wfo fornex f1ofo impel f1oen2g 3com23 mpd3an3 ) A
      CEZABDFZBGEZABHIZQABDJSRABCDKABDLMQSRTABDCGNOP $.

    $( The domain of a one-to-one function is dominated by its codomain.
       (Contributed by NM, 4-Sep-2004.) $)
    f1domg $p |- ( B e. C -> ( F : A -1-1-> B -> A ~<_ B ) ) $=
      ( vf wcel wf1 cv wex cdom wbr cvv wf f1f f1dmex fex syl2an2r expcom f1eq1
      spcegv syli brdomg sylibrd ) BCFZABDGZABEHZGZEIZABJKUEUDDLFZUHUEUDUIUEABD
      MUDALFUIABDNABCDOABLDPQRUGUEEDLABUFDSTUAABCEUBUC $.
  $}

  ${
    f1oen.1 $e |- A e. _V $.
    $( The domain and range of a one-to-one, onto function are equinumerous.
       (Contributed by NM, 19-Jun-1998.) $)
    f1oen $p |- ( F : A -1-1-onto-> B -> A ~~ B ) $=
      ( cvv wcel wf1o cen wbr f1oeng mpan ) AEFABCGABHIDABECJK $.
  $}

  ${
    f1dom.1 $e |- B e. _V $.
    $( The domain of a one-to-one function is dominated by its codomain.
       (Contributed by NM, 19-Jun-1998.) $)
    f1dom $p |- ( F : A -1-1-> B -> A ~<_ B ) $=
      ( cvv wcel wf1 cdom wbr wi f1domg ax-mp ) BEFABCGABHIJDABECKL $.
  $}

  $( Strict dominance relation, meaning " ` B ` is strictly greater in size
     than ` A ` ".  Definition of [Mendelson] p. 255.  (Contributed by NM,
     25-Jun-1998.) $)
  brsdom $p |- ( A ~< B <-> ( A ~<_ B /\ -. A ~~ B ) ) $=
    ( cop csdm wcel cdom cen cdif wbr wn wa df-sdom eleq2i df-br notbii anbi12i
    eldif bitr4i 3bitr4i ) ABCZDETFGHZEZABDIABFIZABGIZJZKZDUATLMABDNUFTFEZTGEZJ
    ZKUBUCUGUEUIABFNUDUHABGNOPTFGQRS $.

  ${
    $d x y f A $.
    $( Express " ` A ` is finite".  Definition 10.29 of [TakeutiZaring] p. 91
       (whose " ` Fin ` " is a predicate instead of a class).  (Contributed by
       NM, 22-Aug-2008.) $)
    isfi $p |- ( A e. Fin <-> E. x e. _om A ~~ x ) $=
      ( vy cfn wcel cv cen wbr com wrex df-fin eleq2i relen brrelex1i rexlimivw
      cab cvv wceq breq1 rexbidv elab3 bitri ) BDEBCFZAFZGHZAIJZCPZEBUDGHZAIJZD
      UGBCAKLUFUICBQUHBQEAIBUDGMNOUCBRUEUHAIUCBUDGSTUAUB $.

    $( Equinumerosity implies dominance.  (Contributed by NM, 31-Mar-1998.) $)
    enssdom $p |- ~~ C_ ~<_ $=
      ( vx vy vf cen cdom relen cop wf1o wex copab wcel wf1 f1of1 eximi opabidw
      cv 3imtr4i df-en eleq2i df-dom relssi ) ABDEFAPZBPZGZUBUCCPZHZCIZABJZKZUD
      UBUCUELZCIZABJZKZUDDKUDEKUGUKUIUMUFUJCUBUCUEMNUGABOUKABOQDUHUDABCRSEULUDA
      BCTSQUA $.
  $}

  $( Alternate definition of dominance.  (Contributed by NM, 17-Jun-1998.) $)
  dfdom2 $p |- ~<_ = ( ~< u. ~~ ) $=
    ( cen csdm cun cdom cdif df-sdom uncom wss wceq enssdom undif mpbi 3eqtr3ri
    uneq2i ) ABCADAEZCZBACDBOAFNABGADHPDIJADKLM $.

  $( Equinumerosity implies dominance.  Theorem 15 of [Suppes] p. 94.
     (Contributed by NM, 28-May-1998.) $)
  endom $p |- ( A ~~ B -> A ~<_ B ) $=
    ( cen cdom enssdom ssbri ) CDABEF $.

  $( Strict dominance implies dominance.  (Contributed by NM, 10-Jun-1998.) $)
  sdomdom $p |- ( A ~< B -> A ~<_ B ) $=
    ( csdm wbr cdom cen wn brsdom simplbi ) ABCDABEDABFDGABHI $.

  $( Strict dominance implies non-equinumerosity.  (Contributed by NM,
     10-Jun-1998.) $)
  sdomnen $p |- ( A ~< B -> -. A ~~ B ) $=
    ( csdm wbr cdom cen wn brsdom simprbi ) ABCDABEDABFDGABHI $.

  $( Dominance in terms of strict dominance and equinumerosity.  Theorem 22(iv)
     of [Suppes] p. 97.  (Contributed by NM, 17-Jun-1998.) $)
  brdom2 $p |- ( A ~<_ B <-> ( A ~< B \/ A ~~ B ) ) $=
    ( cop cdom wcel csdm cen cun wbr wo dfdom2 eleq2i df-br orbi12i elun bitr4i
    3bitr4i ) ABCZDERFGHZEZABDIABFIZABGIZJZDSRKLABDMUCRFEZRGEZJTUAUDUBUEABFMABG
    MNRFGOPQ $.

  $( Equinumerosity expressed in terms of dominance and strict dominance.
     (Contributed by NM, 23-Oct-2004.) $)
  bren2 $p |- ( A ~~ B <-> ( A ~<_ B /\ -. A ~< B ) ) $=
    ( cen wbr cdom csdm wn endom sdomnen con2i jca brdom2 biimpi orcanai impbii
    wa wo ) ABCDZABEDZABFDZGZPRSUAABHTRABIJKSTRSTRQABLMNO $.

  $( Equinumerosity is reflexive.  Theorem 1 of [Suppes] p. 92.  (Contributed
     by NM, 18-Jun-1998.)  (Revised by Mario Carneiro, 26-Apr-2015.) $)
  enrefg $p |- ( A e. V -> A ~~ A ) $=
    ( wcel cen wbr cid cres wf1o f1oi f1oen2g mp3an3 anidms ) ABCZAADEZMMAAFAGZ
    HNAIAAOBBJKL $.

  ${
    enref.1 $e |- A e. _V $.
    $( Equinumerosity is reflexive.  Theorem 1 of [Suppes] p. 92.  (Contributed
       by NM, 25-Sep-2004.) $)
    enref $p |- A ~~ A $=
      ( cvv wcel cen wbr enrefg ax-mp ) ACDAAEFBACGH $.
  $}

  $( Equality implies equinumerosity.  (Contributed by NM, 26-Oct-2003.) $)
  eqeng $p |- ( A e. V -> ( A = B -> A ~~ B ) ) $=
    ( wcel cen wbr wceq enrefg breq2 syl5ibcom ) ACDAAEFABGABEFACHABAEIJ $.

  $( Dominance is reflexive.  (Contributed by NM, 18-Jun-1998.) $)
  domrefg $p |- ( A e. V -> A ~<_ A ) $=
    ( wcel cen wbr cdom enrefg endom syl ) ABCAADEAAFEABGAAHI $.

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.  $d x y ph $.
    en2d.1 $e |- ( ph -> A e. V ) $.
    en2d.2 $e |- ( ph -> B e. W ) $.
    en2d.3 $e |- ( ph -> ( x e. A -> C e. X ) ) $.
    en2d.4 $e |- ( ph -> ( y e. B -> D e. Y ) ) $.
    en2d.5 $e |- ( ph -> ( ( x e. A /\ y = C ) <-> ( y e. B /\ x = D ) ) ) $.
    $( Equinumerosity inference from an implicit one-to-one onto function.
       (Contributed by NM, 27-Jul-2004.)  (Revised by Mario Carneiro,
       12-May-2014.)  (Revised by AV, 4-Aug-2024.) $)
    en2d $p |- ( ph -> A ~~ B ) $=
      ( wcel cmpt cv imp wf1o cen wbr eqid f1od f1oen2g syl3anc ) ADHQEIQDEBDFR
      ZUADEUBUCLMABCDEFGUHJKUHUDABSDQFJQNTACSEQGKQOTPUEDEUHHIUFUG $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.  $d x y ph $.
    en3d.1 $e |- ( ph -> A e. V ) $.
    en3d.2 $e |- ( ph -> B e. W ) $.
    en3d.3 $e |- ( ph -> ( x e. A -> C e. B ) ) $.
    en3d.4 $e |- ( ph -> ( y e. B -> D e. A ) ) $.
    en3d.5 $e |- ( ph -> ( ( x e. A /\ y e. B ) -> ( x = D <-> y = C ) ) ) $.
    $( Equinumerosity inference from an implicit one-to-one onto function.
       (Contributed by NM, 27-Jul-2004.)  (Revised by Mario Carneiro,
       12-May-2014.)  (Revised by AV, 4-Aug-2024.) $)
    en3d $p |- ( ph -> A ~~ B ) $=
      ( wcel cmpt wf1o cv imp wceq cen wbr eqid wa wb f1o2d f1oen2g syl3anc ) A
      DHOEIODEBDFPZQDEUAUBJKABCDEFGUIUIUCABRZDOZFEOLSACRZEOZGDOMSAUKUMUDUJGTULF
      TUENSUFDEUIHIUGUH $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.
    en2i.1 $e |- A e. _V $.
    en2i.2 $e |- B e. _V $.
    en2i.3 $e |- ( x e. A -> C e. _V ) $.
    en2i.4 $e |- ( y e. B -> D e. _V ) $.
    en2i.5 $e |- ( ( x e. A /\ y = C ) <-> ( y e. B /\ x = D ) ) $.
    $( Equinumerosity inference from an implicit one-to-one onto function.
       (Contributed by NM, 4-Jan-2004.) $)
    en2i $p |- A ~~ B $=
      ( cen wtru cvv wcel a1i cv wi wceq wa wbr wb en2d mptru ) CDLUAMABCDEFNNN
      NCNOMGPDNOMHPAQZCOZENORMIPBQZDOZFNORMJPUFUGESTUHUEFSTUBMKPUCUD $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.
    en3i.1 $e |- A e. _V $.
    en3i.2 $e |- B e. _V $.
    en3i.3 $e |- ( x e. A -> C e. B ) $.
    en3i.4 $e |- ( y e. B -> D e. A ) $.
    en3i.5 $e |- ( ( x e. A /\ y e. B ) -> ( x = D <-> y = C ) ) $.
    $( Equinumerosity inference from an implicit one-to-one onto function.
       (Contributed by NM, 19-Jul-2004.) $)
    en3i $p |- A ~~ B $=
      ( cen wbr wtru cvv wcel a1i cv wi wceq wa wb en3d mptru ) CDLMNABCDEFOOCO
      PNGQDOPNHQARZCPZEDPSNIQBRZDPZFCPSNJQUFUHUAUEFTUGETUBSNKQUCUD $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d y z C $.  $d x z D $.  $d x y ph $.
    dom2d.1 $e |- ( ph -> ( x e. A -> C e. B ) ) $.
    dom2d.2 $e |- ( ph -> ( ( x e. A /\ y e. A ) -> ( C = D <-> x = y ) ) ) $.
    $( A mapping (first hypothesis) that is one-to-one (second hypothesis)
       implies its domain is dominated by its codomain.  (Contributed by NM,
       24-Jul-2004.) $)
    dom2lem $p |- ( ph -> ( x e. A |-> C ) : A -1-1-> B ) $=
      ( cv cfv wceq wi wral wcel wa imp anbi2d wb eqeq12d cmpt wf ralrimiv eqid
      fmpt sylib fvmpt2 adantll mpdan adantrr nffvmpt1 nfeq1 nfim eleq1w imbi1d
      wf1 nfv anbi1d anidm bitrdi fveq2 adantr biimparc sylbird pm5.74d chvarfv
      ex bitrd adantrl biimpd sylbid ralrimivva nfmpt1 nfcv dff13f sylanbrc ) A
      DEBDFUAZUBZBJZVQKZCJZVQKZLZVSWALZMZCDNBDNDEVQUPAFEOZBDNVRAWFBDHUCBDEFVQVQ
      UDZUEUFAWEBCDDAVSDOZWADOZPZPZWCFGLZWDWKVTFWBGAWHVTFLZWIAWHPZWFWMAWHWFHQWH
      WFWMABDFEVQWGUGUHUIZUJAWIWBGLZWHWNWMMZAWIPZWPMZBCWRWPBWRBUQBWBGBDFWAUKULU
      MWDWQWRWMMWSWDWNWRWMWDWHWIABCDUNZRUOWDWRWMWPWDWRWKWMWPSZWDWJWIAWDWJWIWIPW
      IWDWHWIWIWTURWIUSUTRWDWKXAWDWKPVTWBFGWDWCWKVSWAVQVAVBWKWLWDAWJWLWDSIQZVCT
      VGVDVEVHWOVFVITWKWLWDXBVJVKVLBCDEVQBDFVMCVQVNVOVP $.

    $( A mapping (first hypothesis) that is one-to-one (second hypothesis)
       implies its domain is dominated by its codomain.  (Contributed by NM,
       24-Jul-2004.)  (Revised by Mario Carneiro, 20-May-2013.) $)
    dom2d $p |- ( ph -> ( B e. R -> A ~<_ B ) ) $=
      ( cmpt wf1 wcel cdom wbr dom2lem f1domg syl5com ) ADEBDFKZLEHMDENOABCDEFG
      IJPDEHSQR $.

    dom3d.3 $e |- ( ph -> A e. V ) $.
    dom3d.4 $e |- ( ph -> B e. W ) $.
    $( A mapping (first hypothesis) that is one-to-one (second hypothesis)
       implies its domain is dominated by its codomain.  (Contributed by Mario
       Carneiro, 20-May-2013.) $)
    dom3d $p |- ( ph -> A ~<_ B ) $=
      ( vz cdom wbr wf1 cvv wcel syl cv wex cmpt dom2lem f1f fex2 syl3anc f1eq1
      wf spcedv wb brdomg mpbird ) ADEOPZDENUAZQZNUBZAUPDEBDFUCZQZNRURADEURUIZD
      HSEISZURRSAUSUTABCDEFGJKUDZDEURUETLMDEURHIUFUGVBDEUOURUHUJAVAUNUQUKMDEINU
      LTUM $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.
    dom2.1 $e |- ( x e. A -> C e. B ) $.
    dom2.2 $e |- ( ( x e. A /\ y e. A ) -> ( C = D <-> x = y ) ) $.
    $( A mapping (first hypothesis) that is one-to-one (second hypothesis)
       implies its domain is dominated by its codomain. ` C ` and ` D ` can be
       read ` C ( x ) ` and ` D ( y ) ` , as can be inferred from their
       distinct variable conditions.  (Contributed by NM, 26-Oct-2003.) $)
    dom2 $p |- ( B e. V -> A ~<_ B ) $=
      ( wceq wcel cdom wbr wi eqid cv a1i wa wb dom2d ax-mp ) CCJZDGKCDLMNCOUBA
      BCDEFGAPZCKZEDKNUBHQUDBPZCKREFJUCUEJSNUBIQTUA $.

    $d x y V $.  $d x y W $.
    $( A mapping (first hypothesis) that is one-to-one (second hypothesis)
       implies its domain is dominated by its codomain. ` C ` and ` D ` can be
       read ` C ( x ) ` and ` D ( y ) ` , as can be inferred from their
       distinct variable conditions.  (Contributed by Mario Carneiro,
       20-May-2013.) $)
    dom3 $p |- ( ( A e. V /\ B e. W ) -> A ~<_ B ) $=
      ( wcel wa cv wi a1i wceq wb simpl simpr dom3d ) CGKZDHKZLZABCDEFGHAMZCKZE
      DKNUCIOUEBMZCKLEFPUDUFPQNUCJOUAUBRUAUBST $.
  $}

  ${
    $d x y $.
    $( Equality implies equinumerosity.  (Contributed by NM, 30-Apr-1998.)
       (Revised by Mario Carneiro, 15-Nov-2014.) $)
    idssen $p |- _I C_ ~~ $=
      ( vx vy cid cen reli cv wbr cop wcel weq vex wi cvv eqeng elv sylbi df-br
      ideq 3imtr3i relssi ) ABCDEAFZBFZCGZUAUBDGZUAUBHZCIUEDIUCABJZUDUAUBBKRUFU
      DLAUAUBMNOPUAUBCQUAUBDQST $.
  $}

  $( A set dominates its subsets.  Theorem 16 of [Suppes] p. 94.  (Contributed
     by NM, 19-Jun-1998.)  (Revised by Mario Carneiro, 24-Jun-2015.) $)
  ssdomg $p |- ( B e. V -> ( A C_ B -> A ~<_ B ) ) $=
    ( wss wcel cdom wbr wa cvv cid cres wf1 ssexg simpr wf ccnv wfun wf1o ax-mp
    wfo f1oi dff1o3 mpbi simpli fof fss mpan funi cnvi mpbir funres11 sylanblrc
    funeqi df-f1 adantr f1dom2g syl3anc expcom ) ABDZBCEZABFGZUSUTHAIEUTABJAKZL
    ZVAABCMUSUTNUSVCUTUSABVBOZVBPQZVCAAVBOZUSVDAAVBTZVFVGVEAAVBRVGVEHAUAAAVBUBU
    CUDAAVBUESAABVBUFUGJPZQZVEVIJQUHVHJUIUMUJAJUKSABVBUNULUOABVBICUPUQUR $.

  ${
    $d f g x y z $.
    $( Equinumerosity is an equivalence relation.  (Contributed by NM,
       19-Mar-1998.)  (Revised by Mario Carneiro, 15-Nov-2014.)  (Proof
       shortened by AV, 1-May-2021.) $)
    ener $p |- ~~ Er _V $=
      ( vx vy vz vf vg cvv cen relen cv wbr wf1o wex bren wcel ccnv vex f1oen2g
      f1ocnv mp3an12i wa sylbi exdistrv ccom f1oco ancoms exlimivv sylbir enref
      exlimiv syl2anb 2th iseri ) ABCFGHAIZBIZGJZUMUNDIZKZDLUNUMGJZUMUNDMUQURDU
      NFNUMFNZUQUNUMUPOZKURBPAPZUMUNUPRUNUMUTFFQSUIUAUOUMUNEIZKZELZUNCIZUPKZDLZ
      UMVEGJZUNVEGJUMUNEMUNVEDMVDVGTVCVFTZDLELVHVCVFEDUBVIVHEDUSVEFNVIUMVEUPVBU
      CZKZVHVACPVFVCVKUMUNVEUPVBUDUEUMVEVJFFQSUFUGUJUSUMUMGJVAUMVAUHUKUL $.
  $}

  $( Symmetry of equinumerosity.  Theorem 2 of [Suppes] p. 92.  (Contributed by
     Mario Carneiro, 26-Apr-2015.) $)
  ensymb $p |- ( A ~~ B <-> B ~~ A ) $=
    ( cen wbr wb wtru cvv wer ener a1i ersymb mptru ) ABCDBACDEFABCGGCHFIJKL $.

  $( Symmetry of equinumerosity.  Theorem 2 of [Suppes] p. 92.  (Contributed by
     NM, 26-Oct-2003.)  (Revised by Mario Carneiro, 26-Apr-2015.) $)
  ensym $p |- ( A ~~ B -> B ~~ A ) $=
    ( cen wbr ensymb biimpi ) ABCDBACDABEF $.

  ${
    ensymi.2 $e |- A ~~ B $.
    $( Symmetry of equinumerosity.  Theorem 2 of [Suppes] p. 92.  (Contributed
       by NM, 25-Sep-2004.) $)
    ensymi $p |- B ~~ A $=
      ( cen wbr ensym ax-mp ) ABDEBADECABFG $.
  $}

  ${
    ensymd.1 $e |- ( ph -> A ~~ B ) $.
    $( Symmetry of equinumerosity.  Deduction form of ~ ensym .  (Contributed
       by David Moews, 1-May-2017.) $)
    ensymd $p |- ( ph -> B ~~ A ) $=
      ( cen wbr ensym syl ) ABCEFCBEFDBCGH $.
  $}

  ${
    $d x y z f g h A $.  $d x y z f g B $.  $d x y z f g h C $.
    $( Transitivity of equinumerosity.  Theorem 3 of [Suppes] p. 92.
       (Contributed by NM, 9-Jun-1998.) $)
    entr $p |- ( ( A ~~ B /\ B ~~ C ) -> A ~~ C ) $=
      ( cen wbr wa wi wtru cvv wer ener a1i ertr mptru ) ABDEBCDEFACDEGHABCDIID
      JHKLMN $.

    $( Transitivity of dominance relation.  Theorem 17 of [Suppes] p. 94.
       (Contributed by NM, 4-Jun-1998.)  (Revised by Mario Carneiro,
       15-Nov-2014.) $)
    domtr $p |- ( ( A ~<_ B /\ B ~<_ C ) -> A ~<_ C ) $=
      ( vx vy vz vg vf vh cdom reldom cv wbr wf1 wex vex brdom wa exdistrv ccom
      f1co ancoms coex f1eq1 spcev syl sylibr exlimivv sylbir syl2anb vtoclr )
      DEFABCJKDLZELZJMULUMGLZNZGOZUMFLZHLZNZHOZULUQJMZUMUQJMULUMGEPQUMUQHFPZQUP
      UTRUOUSRZHOGOVAUOUSGHSVCVAGHVCULUQILZNZIOZVAVCULUQURUNTZNZVFUSUOVHULUMUQU
      RUNUAUBVEVHIVGURUNHPGPUCULUQVDVGUDUEUFULUQIVBQUGUHUIUJUK $.
  $}

  ${
    entri.1 $e |- A ~~ B $.
    entri.2 $e |- B ~~ C $.
    $( A chained equinumerosity inference.  (Contributed by NM,
       25-Sep-2004.) $)
    entri $p |- A ~~ C $=
      ( cen wbr entr mp2an ) ABFGBCFGACFGDEABCHI $.
  $}

  ${
    entr2i.1 $e |- A ~~ B $.
    entr2i.2 $e |- B ~~ C $.
    $( A chained equinumerosity inference.  (Contributed by NM,
       25-Sep-2004.) $)
    entr2i $p |- C ~~ A $=
      ( entri ensymi ) ACABCDEFG $.
  $}

  ${
    entr3i.1 $e |- A ~~ B $.
    entr3i.2 $e |- A ~~ C $.
    $( A chained equinumerosity inference.  (Contributed by NM,
       25-Sep-2004.) $)
    entr3i $p |- B ~~ C $=
      ( ensymi entri ) BACABDFEG $.
  $}

  ${
    entr4i.1 $e |- A ~~ B $.
    entr4i.2 $e |- C ~~ B $.
    $( A chained equinumerosity inference.  (Contributed by NM,
       25-Sep-2004.) $)
    entr4i $p |- A ~~ C $=
      ( ensymi entri ) ABCDCBEFG $.
  $}

  $( Transitivity of equinumerosity and dominance.  (Contributed by NM,
     7-Jun-1998.) $)
  endomtr $p |- ( ( A ~~ B /\ B ~<_ C ) -> A ~<_ C ) $=
    ( cen wbr cdom endom domtr sylan ) ABDEABFEBCFEACFEABGABCHI $.

  $( Transitivity of dominance and equinumerosity.  (Contributed by NM,
     7-Jun-1998.) $)
  domentr $p |- ( ( A ~<_ B /\ B ~~ C ) -> A ~<_ C ) $=
    ( cen wbr cdom endom domtr sylan2 ) BCDEABFEBCFEACFEBCGABCHI $.

  $( If a function is one-to-one, then the image of a subset of its domain
     under it is equinumerous to the subset.  (Contributed by Mario Carneiro,
     15-May-2015.) $)
  f1imaeng $p |- ( ( F : A -1-1-> B /\ C C_ A /\ C e. V ) ->
    ( F " C ) ~~ C ) $=
    ( wf1 wss wcel w3a cima cres wf1o cen f1ores f1oeng ancoms stoic3 ensymd
    wbr ) ABDFZCAGZCEHZICDCJZTUACUCDCKZLZUBCUCMSZABCDNUBUEUFCUCEUDOPQR $.

  $( If a function is one-to-one, then the image of a subset of its domain
     under it is equinumerous to the subset.  (This version of ~ f1imaeng does
     not need ~ ax-rep .)  (Contributed by Mario Carneiro, 16-Nov-2014.)
     (Revised by Mario Carneiro, 25-Jun-2015.) $)
  f1imaen2g $p |- ( ( ( F : A -1-1-> B /\ B e. V ) /\ ( C C_ A /\ C e. V ) ) ->
    ( F " C ) ~~ C ) $=
    ( wf1 wcel wa wss cima cvv cres wf1o cen wbr simprr simplr wf f1f fimass
    syl ad2antrr ssexd f1ores ad2ant2r f1oen2g syl3anc ensymd ) ABDFZBEGZHZCAIZ
    CEGZHZHZCDCJZUOUMUPKGCUPDCLZMZCUPNOUKULUMPUOUPBEUIUJUNQUIUPBIZUJUNUIABDRUSA
    BDSABDCTUAUBUCUIULURUJUMABCDUDUECUPUQEKUFUGUH $.
  $( $j usage 'f1imaen2g' avoids 'ax-rep'; $)

  ${
    f1imaen.1 $e |- C e. _V $.
    $( If a function is one-to-one, then the image of a subset of its domain
       under it is equinumerous to the subset.  (Contributed by NM,
       30-Sep-2004.) $)
    f1imaen $p |- ( ( F : A -1-1-> B /\ C C_ A ) -> ( F " C ) ~~ C ) $=
      ( wf1 wss cvv wcel cima cen wbr f1imaeng mp3an3 ) ABDFCAGCHIDCJCKLEABCDHM
      N $.
  $}

  ${
    $d A f $.
    $( The empty set is equinumerous only to itself.  Exercise 1 of
       [TakeutiZaring] p. 88.  (Contributed by NM, 27-May-1998.)  Avoid
       ~ ax-pow , ~ ax-un .  (Revised by BTernaryTau, 23-Sep-2024.) $)
    en0 $p |- ( A ~~ (/) <-> A = (/) ) $=
      ( vf c0 cen wbr wceq cv wf1o wex cvv wcel wa wb encv breng syl ibi f1ocnv
      ccnv 0ex f1o00 simprbi exlimiv f1oeq1 ceqsexv2d mp2an mpbir mpbiri impbii
      f1o0 breq1 ) ACDEZACFZULACBGZHZBIZUMULUPULAJKCJKZLULUPMACNACBJJOPQUOUMBUO
      CAUNSZHZUMACUNRUSURCFUMAURUAUBPUCPUMULCCDEZUTCCUNHZBIZVACCCHBCTCCUNCUDUJU
      EUQUQUTVBMTTCCBJJOUFUGACCDUKUHUI $.
    $( $j usage 'en0' avoids 'ax-pow' 'ax-un'; $)
  $}

  ${
    $d A f $.
    $( Obsolete version of ~ en0 as of 23-Sep-2024.  (Contributed by NM,
       27-May-1998.)  Avoid ~ ax-pow .  (Revised by BTernaryTau, 31-Jul-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    en0OLD $p |- ( A ~~ (/) <-> A = (/) ) $=
      ( vf c0 cen wbr wceq cv wf1o wex bren ccnv f1ocnv f1o00 simprbi syl sylbi
      exlimiv 0ex f1oeq1 f1o0 ceqsexv2d mpbir breq1 mpbiri impbii ) ACDEZACFZUF
      ACBGZHZBIUGACBJUIUGBUICAUHKZHZUGACUHLUKUJCFUGAUJMNOQPUGUFCCDEZULCCUHHZBIU
      MCCCHBCRCCUHCSTUACCBJUBACCDUCUDUE $.
  $}

  ${
    $d f A $.
    $( Shorter proof of ~ en0 , depending on ~ ax-pow and ~ ax-un .
       (Contributed by NM, 27-May-1998.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    en0ALT $p |- ( A ~~ (/) <-> A = (/) ) $=
      ( vf c0 cen wbr wceq cv wf1o wex bren ccnv f1ocnv f1o00 simprbi syl sylbi
      exlimiv 0ex enref breq1 mpbiri impbii ) ACDEZACFZUCACBGZHZBIUDACBJUFUDBUF
      CAUEKZHZUDACUELUHUGCFUDAUGMNOQPUDUCCCDECRSACCDTUAUB $.
  $}

  ${
    $d A f $.
    ensn1.1 $e |- A e. _V $.
    $( A singleton is equinumerous to ordinal one.  (Contributed by NM,
       4-Nov-2002.)  Avoid ~ ax-un .  (Revised by BTernaryTau, 23-Sep-2024.) $)
    ensn1 $p |- { A } ~~ 1o $=
      ( vf csn c0 c1o cen wbr wf1o wex cop snex f1oeq1 0ex f1osn ceqsexv2d wcel
      cv cvv wb breng mp2an mpbir df1o2 breqtrri ) ADZEDZFGUFUGGHZUFUGCRZIZCJZU
      JUFUGAEKZDZICUMULLUFUGUIUMMAEBNOPUFSQUGSQUHUKTALELUFUGCSSUAUBUCUDUE $.
    $( $j usage 'ensn1' avoids 'ax-un'; $)
  $}

  ${
    $d f A $.
    ensn1OLD.1 $e |- A e. _V $.
    $( Obsolete version of ~ ensn1 as of 23-Sep-2024.  (Contributed by NM,
       4-Nov-2002.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ensn1OLD $p |- { A } ~~ 1o $=
      ( vf csn c0 c1o cen wbr wf1o wex cop snex f1oeq1 0ex f1osn ceqsexv2d bren
      cv mpbir df1o2 breqtrri ) ADZEDZFGUBUCGHUBUCCRZIZCJUEUBUCAEKZDZICUGUFLUBU
      CUDUGMAEBNOPUBUCCQSTUA $.
  $}

  ${
    $d x A $.
    $( A singleton is equinumerous to ordinal one.  (Contributed by NM,
       23-Apr-2004.) $)
    ensn1g $p |- ( A e. V -> { A } ~~ 1o ) $=
      ( vx cv csn c1o cen wbr wceq sneq breq1d vex ensn1 vtoclg ) CDZEZFGHAEZFG
      HCABOAIPQFGOAJKOCLMN $.
  $}

  $( ` { A , A } ` has only one element.  (Contributed by FL, 15-Feb-2010.) $)
  enpr1g $p |- ( A e. V -> { A , A } ~~ 1o ) $=
    ( wcel cpr csn c1o cen dfsn2 ensn1g eqbrtrrid ) ABCAADAEFGAHABIJ $.

  ${
    $d x f y A $.  $d y ph $.
    $( A set is equinumerous to ordinal one iff it is a singleton.
       (Contributed by NM, 25-Jul-2004.)  Avoid ~ ax-un .  (Revised by
       BTernaryTau, 23-Sep-2024.) $)
    en1 $p |- ( A ~~ 1o <-> E. x A = { x } ) $=
      ( vf c1o cen wbr cv csn wceq wex c0 wf1o df1o2 breq2i cvv syl crn exlimiv
      wcel 0ex wa wb encv breng ibi sylbi ccnv cfv f1ocnv wfo f1ofo forn cop wf
      f1of fsn2 simprbi rneqd rnsnop eqtrdi eqtr3d fvex sneq eqeq2d spcev ensn1
      3syl vex breq1 mpbiri impbii ) BDEFZBAGZHZIZAJZVLBKHZCGZLZCJZVPVLBVQEFZVT
      DVQBEMNWAVTWABOSVQOSUAWAVTUBBVQUCBVQCOOUDPUEUFVSVPCVSVQBVRUGZLZBKWBUHZHZI
      ZVPBVQVRUIWCWBQZBWEWCVQBWBUJWGBIVQBWBUKVQBWBULPWCWGKWDUMHZQWEWCWBWHWCVQBW
      BUNZWBWHIZVQBWBUOWIWDBSWJKBWBTUPUQPURKWDTUSUTVAVOWFAWDKWBVBVMWDIVNWEBVMWD
      VCVDVEVGRPVOVLAVOVLVNDEFVMAVHVFBVNDEVIVJRVK $.
    $( $j usage 'en1' avoids 'ax-un'; $)

    $( Obsolete version of ~ en1 as of 23-Sep-2024.  (Contributed by NM,
       25-Jul-2004.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    en1OLD $p |- ( A ~~ 1o <-> E. x A = { x } ) $=
      ( vf c1o cen wbr cv csn wceq wex wf1o df1o2 breq2i bren bitri crn syl 0ex
      c0 exlimiv ccnv cfv f1ocnv wfo f1ofo forn wf f1of wcel fsn2 simprbi rneqd
      rnsnop eqtrdi eqtr3d fvex sneq eqeq2d spcev 3syl sylbi ensn1 breq1 mpbiri
      cop vex impbii ) BDEFZBAGZHZIZAJZVHBSHZCGZKZCJZVLVHBVMEFVPDVMBELMBVMCNOVO
      VLCVOVMBVNUAZKZBSVQUBZHZIZVLBVMVNUCVRVQPZBVTVRVMBVQUDWBBIVMBVQUEVMBVQUFQV
      RWBSVSVEHZPVTVRVQWCVRVMBVQUGZVQWCIZVMBVQUHWDVSBUIWESBVQRUJUKQULSVSRUMUNUO
      VKWAAVSSVQUPVIVSIVJVTBVIVSUQURUSUTTVAVKVHAVKVHVJDEFVIAVFVBBVJDEVCVDTVG $.

    $( A set is equinumerous to ordinal one iff it is a singleton.
       (Contributed by Mario Carneiro, 17-Jan-2015.)  Avoid ~ ax-un .  (Revised
       by BTernaryTau, 24-Sep-2024.) $)
    en1b $p |- ( A ~~ 1o <-> A = { U. A } ) $=
      ( vx c1o cen wbr cuni csn wceq cv wex en1 id unieq vex unisn eqtrdi sneqd
      eqtr4d exlimiv cvv sylbi wcel eqsnuniex ensn1g syl eqbrtrd impbii ) ACDEZ
      AAFZGZHZUHABIZGZHZBJUKBAKUNUKBUNAUMUJUNLUNUIULUNUIUMFULAUMMULBNOPQRSUAUKA
      UJCDUKLUKUITUBUJCDEAUCUITUDUEUFUG $.
    $( $j usage 'en1b' avoids 'ax-un'; $)

    $( Obsolete version of ~ en1b as of 24-Sep-2024.  (Contributed by Mario
       Carneiro, 17-Jan-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    en1bOLD $p |- ( A ~~ 1o <-> A = { U. A } ) $=
      ( vx c1o cen wbr cuni csn wceq cv wex en1 id unieq vex unisn eqtrdi sneqd
      eqtr4d exlimiv cvv sylbi wcel snex eqeltrdi uniexd ensn1g eqbrtrd impbii
      syl ) ACDEZAAFZGZHZUJABIZGZHZBJUMBAKUPUMBUPAUOULUPLUPUKUNUPUKUOFUNAUOMUNB
      NOPQRSUAUMAULCDUMLZUMUKTUBULCDEUMATUMAULTUQUKUCUDUEUKTUFUIUGUH $.

    $( Two ways to express "exactly one".  (Contributed by Stefan O'Rear,
       28-Oct-2014.) $)
    reuen1 $p |- ( E! x e. A ph <-> { x e. A | ph } ~~ 1o ) $=
      ( vy wreu crab cv csn wceq wex c1o cen wbr reusn en1 bitr4i ) ABCEABCFZDG
      HIDJQKLMABDCNDQOP $.

    $( Two ways to express "exactly one".  (Contributed by Stefan O'Rear,
       28-Oct-2014.) $)
    euen1 $p |- ( E! x ph <-> { x | ph } ~~ 1o ) $=
      ( cvv wreu crab c1o cen wbr weu cab reuen1 reuv rabab breq1i 3bitr3i ) AB
      CDABCEZFGHABIABJZFGHABCKABLPQFGABMNO $.

    $( Two ways to express " ` A ` has a unique element".  (Contributed by
       Mario Carneiro, 9-Apr-2015.) $)
    euen1b $p |- ( A ~~ 1o <-> E! x x e. A ) $=
      ( cv wcel weu cab c1o cen wbr euen1 abid2 breq1i bitr2i ) ACBDZAENAFZGHIB
      GHINAJOBGHABKLM $.
  $}

  $( A singleton contains its sole element.  (Contributed by Stefan O'Rear,
     16-Aug-2015.)  Avoid ~ ax-un .  (Revised by BTernaryTau, 24-Sep-2024.) $)
  en1uniel $p |- ( S ~~ 1o -> U. S e. S ) $=
    ( c1o cen wbr cuni csn wcel wceq en1b eqsnuniex sylbi snidg biimpi eleqtrrd
    cvv syl ) ABCDZAEZRFZAQROGZRSGQASHZTAIZAJKROLPQUAUBMN $.
  $( $j usage 'en1uniel' avoids 'ax-un'; $)

  $( Obsolete version of ~ en1uniel as of 24-Sep-2024.  (Contributed by Stefan
     O'Rear, 16-Aug-2015.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  en1unielOLD $p |- ( S ~~ 1o -> U. S e. S ) $=
    ( c1o cen wbr cuni csn cvv wcel relen brrelex1i uniexg snidg 3syl wceq en1b
    biimpi eleqtrrd ) ABCDZAEZSFZARAGHSGHSTHABCIJAGKSGLMRATNAOPQ $.

  ${
    $d x y f A $.
    $( A set that dominates ordinal 2 has at least 2 different members.
       (Contributed by NM, 25-Jul-2004.) $)
    2dom $p |- ( 2o ~<_ A -> E. x e. A E. y e. A -. x = y ) $=
      ( vf c2o cdom wbr c0 csn cpr cv wf1 wn wrex cfv wcel wceq ffvelrn sylancl
      notbid wex weq df2o2 breq1i brdomi sylbi wf f1f 0ex prid1 snex prid2 neii
      0nep0 wb f1fveq mpanr12 mtbiri eqeq1 eqeq2 rspc2ev syl3anc exlimiv syl )
      ECFGZHHIZJZCDKZLZDUAZABUBZMZBCNACNZVEVGCFGVJEVGCFUCUDVGCDUEUFVIVMDVIHVHOZ
      CPZVFVHOZCPZVNVPQZMZVMVIVGCVHUGZHVGPZVOVGCVHUHZHVFUIUJZVGCHVHRSVIVTVFVGPZ
      VQWBHVFHUKULZVGCVFVHRSVIVRHVFQZHVFUNUMVIWAWDVRWFUOWCWEVGCHVFVHUPUQURVLVSV
      NBKZQZMABVNVPCCAKZVNQVKWHWIVNWGUSTWGVPQWHVRWGVPVNUTTVAVBVCVD $.
  $}

  ${
    $d x y z w F $.
    fundmen.1 $e |- F e. _V $.
    $( A function is equinumerous to its domain.  Exercise 4 of [Suppes] p. 98.
       (Contributed by NM, 28-Jul-2004.)  (Revised by Mario Carneiro,
       15-Nov-2014.) $)
    fundmen $p |- ( Fun F -> dom F ~~ F ) $=
      ( vx vy vz vw cv cop cint cvv wcel a1i ex wi wa wceq wb wex vex adantl
      wfun cdm cfv dmex funfvop wrel funrel elreldm syl cxp df-rel sylib sselda
      wss elvv inteq inteqd op1stb eqtrdi eqeq1 syl5ibr opeq1 syl6 imp biimprcd
      eqeq2 ancoms eleq1d funopfv adantr sylbid exp32 com24 imp43 opeq2d eqtr4d
      mpd exlimdvv adantrl fvex eqtr2di impbid1 en3d ) AUAZCDAUBZACGZWFAUCZHZDG
      ZIZIZJJWEJKWDABUDLAJKWDBLWDWFWEKZWHAKWFAUEMWDAUFZWIAKZWKWEKZNAUGZWMWNWOAW
      IUHMUIWDWLWNOZWFWKPZWIWHPZQWDWQOWRWSWDWNWRWSNZWLWDWNOZWIEGZFGZHZPZFRERZWT
      XAWIJJUJZKXFWDAXGWIWDWMAXGUNWPAUKULUMEFWIUOULXAXEWTEFXAXEWRWSXAXEWROZOZWI
      WFXCHZWHXHWIXJPZXAWRXEXKWRXEOZXJXDPZXKWRXEXMWRXEWFXBPZXMXEXNWRWKXBPXEWKXD
      IZIXBXEWJXOWIXDUPUQXBXCESFSURUSWFWKXBUTVAWFXBXCVBVCVDXEXMXKNWRXMXKXEXJXDW
      IVFVETVQZVGTXIWGXCWFWDWNXEWRWGXCPZWDWRXEWNXQWDWRXEWNXQNWDXLOWNXJAKZXQXLWN
      XRQWDXLWIXJAXPVHTWDXRXQNXLWFXCAVIVJVKVLVMVNVOVPVLVRVQVSWSWKWHIZIWFWSWJXSW
      IWHUPUQWFWGCSWFAVTURWAWBMWC $.
  $}

  ${
    $d x A $.  $d x F $.
    $( A function is equinumerous to its domain.  Exercise 4 of [Suppes] p. 98.
       (Contributed by NM, 17-Sep-2013.) $)
    fundmeng $p |- ( ( F e. V /\ Fun F ) -> dom F ~~ F ) $=
      ( vx wcel wfun cdm cen wbr cv wceq funeq dmeq breq12d imbi12d vex fundmen
      wi id vtoclg imp ) ABDAEZAFZAGHZCIZEZUDFZUDGHZQUAUCQCABUDAJZUEUAUGUCUDAKU
      HUFUBUDAGUDALUHRMNUDCOPST $.

    $( A relational set is equinumerous to its converse.  (Contributed by Mario
       Carneiro, 28-Dec-2014.) $)
    cnven $p |- ( ( Rel A /\ A e. V ) -> A ~~ `' A ) $=
      ( vx wrel wcel wa ccnv cvv csn cuni cmpt wf1o cen wbr simpr cnvexg adantl
      cv cnvf1o adantr f1oen2g syl3anc ) ADZABEZFUDAGZHEZAUECACRIGJKZLZAUEMNUCU
      DOUDUFUCABPQUCUHUDCASTAUEUGBHUAUB $.
  $}

  $( If a set is countable, so is its converse.  (Contributed by Thierry
     Arnoux, 29-Dec-2016.) $)
  cnvct $p |- ( A ~<_ _om -> `' A ~<_ _om ) $=
    ( ccnv cdom wbr com cen wrel cvv wcel relcnv ctex cnvexg syl cnven cnvcnvss
    sylancr wss ssdomg mpisyl endomtr syl2anc domtr mpancom ) ABZACDZAECDZUDECD
    UFUDUDBZFDZUGACDZUEUFUDGUDHIZUHAJUFAHIZUJAKZAHLMUDHNPUFUKUGAQUIULAOUGAHRSUD
    UGATUAUDAEUBUC $.

  $( A function is equinumerate to its domain.  (Contributed by Paul Chapman,
     22-Jun-2011.) $)
  fndmeng $p |- ( ( F Fn A /\ A e. C ) -> A ~~ F ) $=
    ( wfn wcel wa cdm cen wbr wfun fnex fnfun adantr fundmeng syl2anc wb breq1d
    cvv fndm mpbid ) CADZABEZFZCGZCHIZACHIZUCCRECJZUEABCKUAUGUBACLMCRNOUAUEUFPU
    BUAUDACHACSQMT $.

  ${
    $d A w y z $.  $d B w y z $.  $d ph w y z $.
    mapsnend.a $e |- ( ph -> A e. V ) $.
    mapsnend.b $e |- ( ph -> B e. W ) $.
    $( Set exponentiation to a singleton exponent is equinumerous to its base.
       Exercise 4.43 of [Mendelson] p. 255.  (Contributed by NM, 17-Dec-2003.)
       (Revised by Mario Carneiro, 15-Nov-2014.)  (Revised by Glauco
       Siliprandi, 24-Dec-2020.) $)
    mapsnend $p |- ( ph -> ( A ^m { B } ) ~~ A ) $=
      ( vz vw vy csn cmap cv cfv cvv wcel a1i wceq wa wb co ovexd wi fvexd snex
      cop 2a1i wex wrex mapsnd abeq2d anbi1d r19.41v bicomi df-rex 3bitrd fveq1
      fvsng sylancl sylan9eqr eqeq2d equcom bitrdi pm5.32da anass ancom 3bitr2d
      vex anbi2d exbidv eleq1w opeq2 sneqd anbi12d equsexvw en2d ) AHIBCKZLUAZB
      CHMZNZCIMZUFZKZODOOABVQLUBFVSVRPZVTOPUCAWDCVSUDQWCOPAWABPZWBUEUGAWDWAVTRZ
      SZJMZBPZVSCWHUFZKZRZWFSZSZJUHZWHWARZWIWLSZSZJUHZWEVSWCRZSZAWGWLJBUIZWFSZW
      MJBUIZWOAWDXBWFAXBHVRAJBCHDEFGUJUKULXCXDTAXDXCWLWFJBUMUNQXDWOTAWMJBUOQUPA
      WNWRJAWNWIWLWPSZSZWQWPSZWRAWMXEWIAWLWFWPAWLSZWFWAWHRWPXHVTWHWAWLAVTCWKNZW
      HCVSWKUQACEPWHOPXIWHRGJVHCWHEOURUSUTVAIJVBVCVDVIXGXFTAWIWLWPVEQXGWRTAWQWP
      VFQVGVJWSXATAWQXAJIWPWIWEWLWTJIBVKWPWKWCVSWPWJWBWHWACVLVMVAVNVOQUPVP $.
  $}

  ${
    mapsnen.1 $e |- A e. _V $.
    mapsnen.2 $e |- B e. _V $.
    $( Set exponentiation to a singleton exponent is equinumerous to its base.
       Exercise 4.43 of [Mendelson] p. 255.  (Contributed by NM, 17-Dec-2003.)
       (Revised by Mario Carneiro, 15-Nov-2014.)  (Proof shortened by AV,
       17-Jul-2022.) $)
    mapsnen $p |- ( A ^m { B } ) ~~ A $=
      ( cvv wcel csn cmap co cen wbr id a1i mapsnend ax-mp ) AEFZABGHIAJKCPABEE
      PLBEFPDMNO $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y V $.  $d x y W $.
    $( Set exponentiation: a singleton to any set is equinumerous to that
       singleton.  (Contributed by NM, 17-Dec-2003.)  (Revised by AV,
       17-Jul-2022.) $)
    snmapen $p |- ( ( A e. V /\ B e. W ) -> ( { A } ^m B ) ~~ { A } ) $=
      ( vx vy wcel wa csn cmap co cxp cvv ovexd snex a1i cv a1d wceq wb anim1ci
      simpl xpexg syl velsn elmapg sylan fconst2g adantr bitr2d anbi12d bitr2di
      wf ancom en2d ) ACGZBDGZHZEFAIZBJKZUSABUSLZMMCMURUSBJNUSMGZURAOZPURUPEQZU
      TGZUPUQUBRURVAMGZFQZUSGZURUQVBHVFUPVBUQVBUPVCPZUABUSDMUCUDRURVHVDVASZHVGA
      SZVEHVEVKHURVHVKVJVEVHVKTURFAUEPURVEBUSVDUMZVJUPVBUQVEVLTVIUSBVDMDUFUGUPV
      LVJTUQBACVDUHUIUJUKVKVEUNULUO $.
  $}

  $( Set exponentiation: a singleton to any set is equinumerous to ordinal 1.
     (Proposed by BJ, 17-Jul-2022.)  (Contributed by AV, 17-Jul-2022.) $)
  snmapen1 $p |- ( ( A e. V /\ B e. W ) -> ( { A } ^m B ) ~~ 1o ) $=
    ( wcel wa csn cmap co cen wbr c1o snmapen ensn1g adantr entr syl2anc ) ACEZ
    BDEZFAGZBHIZTJKTLJKZUALJKABCDMRUBSACNOUATLPQ $.

  $( Set exponentiation: ordinal 1 to any set is equinumerous to ordinal 1.
     Exercise 4.42(b) of [Mendelson] p. 255.  (Contributed by NM, 17-Dec-2003.)
     (Proof shortened by AV, 17-Jul-2022.) $)
  map1 $p |- ( A e. V -> ( 1o ^m A ) ~~ 1o ) $=
    ( wcel c1o cmap co csn cen df1o2 oveq1i cvv wbr 0ex snmapen1 mpan eqbrtrid
    c0 ) ABCZDAEFQGZAEFZDHDSAEIJQKCRTDHLMQAKBNOP $.

  ${
    $d A f $.  $d B f $.
    $( Two singletons are equinumerous.  (Contributed by NM, 9-Nov-2003.)
       Avoid ~ ax-pow .  (Revised by BTernaryTau, 31-Jul-2024.)  Avoid
       ~ ax-un .  (Revised by BTernaryTau, 25-Sep-2024.) $)
    en2sn $p |- ( ( A e. C /\ B e. D ) -> { A } ~~ { B } ) $=
      ( vf wcel wa csn wf1o wex cen wbr cop cvv snex f1osng f1oeq1 spcegv mpsyl
      cv wb breng mp2an sylibr ) ACFBDFGZAHZBHZETZIZEJZUFUGKLZABMZHZNFUEUFUGUMI
      ZUJULOABCDPUIUNEUMNUFUGUHUMQRSUFNFUGNFUKUJUAAOBOUFUGENNUBUCUD $.
    $( $j usage 'en2sn' avoids 'ax-pow' 'ax-un'; $)
  $}

  ${
    $d A f $.  $d B f $.
    $( Obsolete version of ~ en2sn as of 25-Sep-2024.  (Contributed by NM,
       9-Nov-2003.)  Avoid ~ ax-pow .  (Revised by BTernaryTau, 31-Jul-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    en2snOLD $p |- ( ( A e. C /\ B e. D ) -> { A } ~~ { B } ) $=
      ( vf wcel wa csn wf1o wex cen wbr cop cvv snex f1osng f1oeq1 spcegv mpsyl
      cv bren sylibr ) ACFBDFGZAHZBHZETZIZEJZUDUEKLABMZHZNFUCUDUEUJIZUHUIOABCDP
      UGUKEUJNUDUEUFUJQRSUDUEEUAUB $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.
    $( Obsolete version of ~ en2sn as of 31-Jul-2024.  (Contributed by NM,
       9-Nov-2003.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    en2snOLDOLD $p |- ( ( A e. C /\ B e. D ) -> { A } ~~ { B } ) $=
      ( wcel csn c1o cen wbr ensn1g ensymd entr syl2an ) ACEAFZGHIGBFZHINOHIBDE
      ZACJPOGBDJKNGOLM $.

    $( A singleton is finite.  (Contributed by NM, 4-Nov-2002.) $)
    snfi $p |- { A } e. Fin $=
      ( vx csn cfn wcel cv cen wbr com wrex cvv c1o ensn1g breq2 rspcev sylancr
      1onn wn c0 wceq snprc en0 peano1 mpan sylbir sylbi pm2.61i isfi mpbir ) A
      CZDEUJBFZGHZBIJZAKEZUMUNLIEUJLGHZUMQAKMULUOBLIUKLUJGNOPUNRUJSTZUMAUAUPUJS
      GHZUMUJUBSIEUQUMUCULUQBSIUKSUJGNOUDUEUFUGBUJUHUI $.

    $( The class of finite sets is a proper class.  (Contributed by Jeff
       Hankins, 3-Oct-2008.) $)
    fiprc $p |- Fin e/ _V $=
      ( vx vy cv csn wceq wex cab cvv wnel cfn snnex wcel wss snfi eleq1 mpbiri
      wn exlimiv abssi df-nel ssexg mpan con3i 3imtr4i ax-mp ) ACZBCZDZEZBFZAGZ
      HIZJHIZABKUKHLZQJHLZQULUMUOUNUKJMUOUNUJAJUIUFJLZBUIUPUHJLUGNUFUHJOPRSUKJH
      UAUBUCUKHTJHTUDUE $.

    $( Equinumerosity of union of disjoint sets.  Theorem 4 of [Suppes] p. 92.
       (Contributed by NM, 11-Jun-1998.)  (Revised by Mario Carneiro,
       26-Apr-2015.) $)
    unen $p |- ( ( ( A ~~ B /\ C ~~ D ) /\
  ( ( A i^i C ) = (/) /\ ( B i^i D ) = (/) ) ) -> ( A u. C ) ~~ ( B u. D ) ) $=
      ( vx vy cen wbr wa cin c0 wceq cun cv wf1o wex wi bren cvv vex wcel f1oun
      exdistrv unex f1oen3g sylancr ex exlimivv sylbir syl2anb imp ) ABGHZCDGHZ
      IACJKLBDJKLIZACMZBDMZGHZULABENZOZEPZCDFNZOZFPZUNUQQZUMABERCDFRUTVCIUSVBIZ
      FPEPVDUSVBEFUCVEVDEFVEUNUQVEUNIURVAMZSUAUOUPVFOUQURVAETFTUDABCDURVAUBUOUP
      VFSUEUFUGUHUIUJUK $.
  $}

  ${
    $d x y $.  $d A x $.
    $( Equinumerosity is reflexive for finite ordinals, proved without using
       the Axiom of Power Sets (unlike ~ enrefg ).  (Contributed by
       BTernaryTau, 31-Jul-2024.) $)
    enrefnn $p |- ( A e. _om -> A ~~ A ) $=
      ( vx vy cv cen wbr c0 csuc wceq id breq12d eqid en0 mpbir com wcel wa csn
      cun cvv cin en2sn el2v jctr word nnord orddisj syl syl2anr df-suc 3brtr4g
      jca unen ex finds ) BDZUPEFGGEFZCDZUREFZURHZUTEFZAAEFBCAUPGIZUPGUPGEVBJZV
      CKUPURIZUPURUPUREVDJZVEKUPUTIZUPUTUPUTEVFJZVGKUPAIZUPAUPAEVHJZVIKUQGGIGLG
      MNUROPZUSVAVJUSQURURRZSZVLUTUTEUSUSVKVKEFZQURVKUAGIZVNQVLVLEFVJUSVMVMCCUR
      URTTUBUCUDVJVNVNVJURUEVNURUFURUGUHZVOULURURVKVKUMUIURUJZVPUKUNUO $.
    $( $j usage 'enrefnn' avoids 'ax-pow'; $)
  $}

  ${
    enpr2d.1 $e |- ( ph -> A e. C ) $.
    enpr2d.2 $e |- ( ph -> B e. D ) $.
    enpr2d.3 $e |- ( ph -> -. A = B ) $.
    $( A pair with distinct elements is equinumerous to ordinal two.
       (Contributed by Rohan Ridenour, 3-Aug-2023.) $)
    enpr2d $p |- ( ph -> { A , B } ~~ 2o ) $=
      ( c1o cen csn cun wbr cin c0 wceq wcel syl con0 1on cpr csuc ensn1g en2sn
      c2o sylancl wne neqned disjsn2 wn onirri a1i disjsn sylibr syl22anc df-pr
      unen df-suc 3brtr4g df-2o breqtrrdi ) ABCUAZIUBZUEJABKZCKZLZIIKZLZVBVCJAV
      DIJMZVEVGJMZVDVENOPZIVGNOPZVFVHJMABDQVIFBDUCRACEQISQVJGTCIESUDUFABCUGVKAB
      CHUHBCUIRAIIQUJZVLVMAITUKULIIUMUNVDIVEVGUQUOBCUPIURUSUTVA $.
  $}

  $( Any subset of a countable set is countable.  (Contributed by Thierry
     Arnoux, 31-Jan-2017.) $)
  ssct $p |- ( ( A C_ B /\ B ~<_ _om ) -> A ~<_ _om ) $=
    ( wss com cdom wbr cvv wcel wi ctex ssdomg syl impcom domtr sylancom ) ABCZ
    BDEFZABEFZADEFQPRQBGHPRIBJABGKLMABDNO $.

  $( All decrements of a set are equinumerous.  (Contributed by Stefan O'Rear,
     19-Feb-2015.) $)
  difsnen $p |- ( ( X e. V /\ A e. X /\ B e. X ) ->
      ( X \ { A } ) ~~ ( X \ { B } ) ) $=
    ( wcel csn cdif cen wbr wceq cvv difexg enrefg syl wne cun cin disjdifr a1i
    c0 w3a 3ad2ant1 sneq difeq2d breq2d syl5ibcom wa simpl1 4syl dif32 breqtrdi
    imp simpl3 simpl2 en2sn syl2anc unen syl22anc simpr necomd eldifsn sylanbrc
    difsnid 3brtr3d pm2.61dane ) DCEZADEZBDEZUAZDAFZGZDBFZGZHIZABVIABJZVNVIVKVK
    HIZVOVNVFVGVPVHVFVKKEZVPDVJCLZVKKMNUBVOVKVMVKHVOVJVLDABUCUDUEUFULVIABOZUGZV
    KVLGZVLPZVMVJGZVJPZVKVMHVTWAWCHIVLVJHIZWAVLQTJZWCVJQTJZWBWDHIVTWAWAWCHVTVFV
    QWAKEWAWAHIVFVGVHVSUHVRVKVLKLWAKMUIDVJVLUJUKVTVHVGWEVFVGVHVSUMZVFVGVHVSUNZB
    ADDUOUPWFVTVLVKRSWGVTVJVMRSWAWCVLVJUQURVTBVKEZWBVKJVTVHBAOWJWHVTABVIVSUSZUT
    BDAVAVBVKBVCNVTAVMEZWDVMJVTVGVSWLWIWKADBVAVBVMAVCNVDVE $.

  ${
    $d A f x $.  $d B f x $.  $d C f x $.
    $( Dominance over a set with one element removed.  (Contributed by Stefan
       O'Rear, 19-Feb-2015.)  (Revised by Mario Carneiro, 24-Jun-2015.) $)
    domdifsn $p |- ( A ~< B -> A ~<_ ( B \ { C } ) ) $=
      ( vf vx csdm wbr wcel csn cdif wa cv wf1 cvv wb adantr adantl wn ad2antrr
      cdom wex sdomdom relsdom brrelex2i brdomg syl crn c0 wne wss f1f frnd cen
      mpbid sdomnen wi wceq wf1o vex dff1o5 biimpri f1oen3g sylancr ex necon3bd
      mpd pssdifn0 syl2anc n0 brrelex1i difexd cin eldifn disjsn sylibr reldisj
      sylib f1ssr syldan f1dom2g syl3anc eldifi ad2antll simplr difsnen domentr
      expr exlimdv exlimddv difsn breq2d mpbird pm2.61dan ) ABFGZCBHZABCIJZTGZW
      NWOKZABDLZMZWQDWNWTDUAZWOWNABTGZXAABUBZWNBNHZXBXAOABFUCUDZABNDUEUFUNPWRWT
      KZELZBWSUGZJZHZEUAZWQXFXIUHUIZXKXFXHBUJZXHBUIZXLWTXMWRWTABWSABWSUKULZQXFA
      BUMGZRZXNWNXQWOWTABUOSWTXQXNUPWRWTXPXHBWTXHBUQZXPWTXRKZWSNHABWSURZXPDUSXT
      XSABWSUTVAABWSNVBVCVDVEQVFXHBVGVHEXIVIVQXFXJWQEWRWTXJWQWRWTXJKZKZABXGIZJZ
      TGZYDWPUMGZWQYBANHZYDNHAYDWSMZYEWNYGWOYAABFUCVJSYBBYCNWNXDWOYAXESZVKYAYHW
      RWTXJXHYDUJZYHYAXHYCVLUHUQZYJXJYKWTXJXGXHHRYKXGBXHVMXHXGVNVOQYAXMYKYJOWTX
      MXJXOPXHYCBVPUFUNABYDWSVRVSQAYDWSNNVTWAYBXDXGBHZWOYFYIXJYLWRWTXGBXHWBWCWN
      WOYAWDXGCNBWEWAAYDWPWFVHWGWHVFWIWNWORZKWQXBWNXBYMXCPYMWQXBOWNYMWPBATCBWJW
      KQWLWM $.
  $}

  ${
    $d x y z A $.  $d x y z B $.
    xpsnen.1 $e |- A e. _V $.
    xpsnen.2 $e |- B e. _V $.
    $( A set is equinumerous to its Cartesian product with a singleton.
       Proposition 4.22(c) of [Mendelson] p. 254.  (Contributed by NM,
       4-Jan-2004.)  (Revised by Mario Carneiro, 15-Nov-2014.) $)
    xpsnen $p |- ( A X. { B } ) ~~ A $=
      ( vy vx vz cv cint cop wcel wceq wex cvv inteq inteqd vex op1stb adantr
      wa csn cxp snex xpex elxp eqtrdi eqeltrdi exlimivv sylbi opex wb eqvisset
      a1i ancom anass velsn anbi1i 3bitr3i exbii eqeq2d anbi1d ceqsexv pm4.71ri
      opeq2 eqtr2di bitri 3bitri opeq1 anbi12d ceqsexgv syl5bb pm5.32ri pm4.71i
      eleq1 syl bitr2i en2i ) EFABUAZUBZAEHZIZIZFHZBJZAVRCBUCUDCVTVSKZVTWCGHZJZ
      LZWCAKZWFVRKZTZTZGMZFMZWBNKZFGVTAVRUEZWLWOFGWHWOWKWHWBWCNWHWBWGIZIWCWHWAW
      QVTWGOPWCWFFQZGQRUFWRUGSUHUIWDNKWIWCBUJUMWEWCWBLZTVTWBBJZLZWBAKZTZWSTZVTW
      DLZWITZWIXETWSWEXCWSWOWEXCUKFWBULWEWSXFTZFMZWOXCWEWNXHWPWMXGFWMWFBLZWHWIT
      ZTZGMXFXGWLXKGXJWJTWJXJTWLXKXJWJUNWHWIWJUOWJXIXJGBUPUQURUSXJXFGBDXIWHXEWI
      XIWGWDVTWFBWCVDUTVAVBXFWSXETZWITXGXEXLWIXEWSXEWBWDIZIWCXEWAXMVTWDOPWCBWRD
      RVEZVCUQWSXEWIUOVFVGUSVFXFXCFWBNWSXEXAWIXBWSWDWTVTWCWBBVHUTWCWBAVNVIZVJVK
      VOVLXFXFWSTXDXFWSXEWSWIXNSVMWSXFXCXOVLVPXEWIUNVGVQ $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( A set is equinumerous to its Cartesian product with a singleton.
       Proposition 4.22(c) of [Mendelson] p. 254.  (Contributed by NM,
       22-Oct-2004.) $)
    xpsneng $p |- ( ( A e. V /\ B e. W ) -> ( A X. { B } ) ~~ A ) $=
      ( vx vy cv csn cxp cen wbr wceq xpeq1 id breq12d xpeq2d breq1d vex xpsnen
      sneq vtocl2g ) EGZFGZHZIZUBJKAUDIZAJKABHZIZAJKEFABCDUBALZUEUFUBAJUBAUDMUI
      NOUCBLZUFUHAJUJUDUGAUCBTPQUBUCERFRSUA $.
  $}

  $( One times a cardinal number.  (Contributed by NM, 27-Sep-2004.)  (Revised
     by Mario Carneiro, 29-Apr-2015.) $)
  xp1en $p |- ( A e. V -> ( A X. 1o ) ~~ A ) $=
    ( wcel c1o cxp c0 csn cen df1o2 xpeq2i cvv wbr 0ex xpsneng mpan2 eqbrtrid )
    ABCZADEAFGZEZAHDRAIJQFKCSAHLMAFBKNOP $.

  ${
    $d x y A $.  $d x y B $.
    endisj.1 $e |- A e. _V $.
    endisj.2 $e |- B e. _V $.
    $( Any two sets are equinumerous to two disjoint sets.  Exercise 4.39 of
       [Mendelson] p. 255.  (Contributed by NM, 16-Apr-2004.) $)
    endisj $p |- E. x E. y ( ( x ~~ A /\ y ~~ B ) /\ ( x i^i y ) = (/) ) $=
      ( c0 csn cxp cen wbr c1o wa cin wceq cv wex xpsnen xpex breq1 1oex pm3.2i
      0ex xp01disj p0ex snex bi2anan9 ineq12 eqeq1d anbi12d spc2ev mp2an ) CGHZ
      IZCJKZDLHZIZDJKZMZUNUQNZGOZAPZCJKZBPZDJKZMZVBVDNZGOZMZBQAQUOURCGEUCRDLFUA
      RUBCDUDVIUSVAMABUNUQCUMEUESDUPFLUFSVBUNOZVDUQOZMZVFUSVHVAVJVCUOVKVEURVBUN
      CJTVDUQDJTUGVLVGUTGVBUNVDUQUHUIUJUKUL $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.
    $( Dominance law for union.  Proposition 4.24(a) of [Mendelson] p. 257.
       (Contributed by NM, 3-Sep-2004.)  (Revised by Mario Carneiro,
       26-Apr-2015.) $)
    undom $p |- ( ( ( A ~<_ B /\ C ~<_ D ) /\ ( B i^i D ) = (/) ) ->
                ( A u. C ) ~<_ ( B u. D ) ) $=
      ( vx vy cdom wbr wa cin c0 wceq cen wss wex cun cvv wcel reldom brrelex2i
      cv cdif wb domeng syl brrelex1i difss ssdomg mpisyl domtr mpancom anim12i
      ibi adantr exdistrv simprll simprrl disjdif a1i ss2in adantl simplr sseq0
      ad2ant2l syl2anc undif2 unen eqbrtrrid syl22anc ad3antrrr ad3antlr unss12
      unexg sylc endomtr ex exlimdvv syl5bir mpd ) ABGHZCDGHZIZBDJZKLZIZAEUAZMH
      ZWFBNZIZEOZCAUBZFUAZMHZWLDNZIZFOZIZACPZBDPZGHZWBWQWDVTWJWAWPVTWJVTBQRZVTW
      JUCABGSTZEABQUDUEUMWAWKDGHZWPWKCGHZWAXCWACQRWKCNXDCDGSUFCAUGWKCQUHUIWKCDU
      JUKXCWPXCDQRZXCWPUCWKDGSTFWKDQUDUEUMUEULUNWQWIWOIZFOEOWEWTWIWOEFUOWEXFWTE
      FWEXFWTWEXFIZWRWFWLPZMHZXHWSGHZWTXGWGWMAWKJKLZWFWLJZKLZXIWEWGWHWOUPWEWIWM
      WNUQXKXGACURUSXGXLWCNZWDXMXFXNWEWHWNXNWGWMWFBWLDUTVDVAWBWDXFVBXLWCVCVEWGW
      MIXKXMIIWRAWKPXHMACVFAWFWKWLVGVHVIXGWSQRZXHWSNZXJXGXAXEXOVTXAWAWDXFXBVJWA
      XEVTWDXFCDGSTVKBDQQVMVEXFXPWEWHWNXPWGWMWFBWLDVLVDVAXHWSQUHVNWRXHWSVOVEVPV
      QVRVS $.
  $}

  ${
    $d u v w x y z A $.  $d u v w x y z B $.  $d u v C $.  $d u v w y z F $.
    $d u v w G $.
    xpcomf1o.1 $e |- F = ( x e. ( A X. B ) |-> U. `' { x } ) $.
    $( The canonical bijection from ` ( A X. B ) ` to ` ( B X. A ) ` .
       (Contributed by Mario Carneiro, 23-Apr-2014.) $)
    xpcomf1o $p |- F : ( A X. B ) -1-1-onto-> ( B X. A ) $=
      ( cxp ccnv wf1o cv cuni cmpt wrel relxp cnvf1o ax-mp wceq wb f1oeq1 mpbir
      csn cnvxp f1oeq3 mpbi ) BCFZUDGZDHZUDCBFZDHZUFUDUEAUDAITGJKZHZUDLUJBCMAUD
      NODUIPUFUJQEUDUEDUIROSUEUGPUFUHQBCUAUEUGUDDUBOUC $.

    xpcomco.1 $e |- G = ( y e. B , z e. A |-> C ) $.
    $( Composition with the bijection of ~ xpcomf1o swaps the arguments to a
       mapping.  (Contributed by Mario Carneiro, 30-May-2015.) $)
    xpcomco $p |- ( G o. F ) = ( z e. A , y e. B |-> C ) $=
      ( vu vw vv cv wbr wa wex wceq wcel nfcv copab cop ccom cmpo cfv wf1o wfun
      cxp cdm wb xpcomf1o f1ofun funbrfv2b mp2b ancom eqcom f1odm ax-mp anbi12i
      eleq2i 3bitri anbi1i anass bitri exbii breq1 anbi2d ceqsexv nfmpo2 nfcxfr
      fvex elxp nfbr 19.41 nfmpo1 fveq2 csn ccnv cuni sneq cnveqd unieqd opswap
      opelxpi eqtrdi opex fvmpt syl sylan9eq breq1d coprab df-br eqtri oprabidw
      df-mpo baib ancoms adantl bitrd pm5.32da pm5.32i 3bitr2i opabbii dfoprab2
      bitr3i df-co 3eqtr4i ) KNZLNZGOZXIMNZHOZPZLQZKMUAXHCNZBNZUBZRZXODSZXPESZP
      ZXKFRZPZPZBQZCQZKMUAZHGUCCBDEFUDZXNYFKMXNXIXHGUEZRZXHDEUHZSZXLPZPZLQYLYIX
      KHOZPZYFXMYNLXMYJYLPZXLPYNXJYQXLXJXHGUIZSZYIXIRZPZYTYSPYQYKEDUHZGUFZGUGXJ
      UUAUJADEGIUKZYKUUBGULXHXIGUMUNYSYTUOYTYJYSYLYIXIUPYRYKXHUUCYRYKRUUDYKUUBG
      UQURUTUSVAVBYJYLXLVCVDVEYMYPLYIXHGVKYJXLYOYLXIYIXKHVFVGVHYPXRYAPZBQZCQZYO
      PUUFYOPZCQYFYLUUGYOCBXHDEVLVBUUFYOCCYIXKHCYITCHBCEDFUDZJBCEDFVIVJCXKTVMVN
      UUHYECUUHUUEYOPZBQYEUUEYOBBYIXKHBYITBHUUIJBCEDFVOVJBXKTVMVNUUJYDBUUJXRYAY
      OPZPYDXRYAYOVCXRUUKYCXRYAYOYBUUEYOXPXOUBZXKHOZYBUUEYIUULXKHXRYAYIXQGUEZUU
      LXHXQGVPYAXQYKSUUNUULRXOXPDEWDAXQANZVQZVRZVSZUULYKGUUOXQRZUURXQVQZVRZVSUU
      LUUSUUQUVAUUSUUPUUTUUOXQVTWAWBXOXPWCWEIXPXOWFWGWHWIWJYAUUMYBUJZXRXTXSUVBU
      UMXTXSPZYBUUMUULXKUBZHSUVDUVCYBPZBCMWKZSUVEUULXKHWLHUVFUVDHUUIUVFJBCMEDFW
      OWMUTUVEBCMWNVAWPWQWRWSWTXAVDVEXEVEXBVAXCKMLHGXFYHYCCBMWKYGCBMDEFWOYCCBMK
      XDWMXG $.
  $}

  ${
    $d x A $.  $d x B $.
    xpcomen.1 $e |- A e. _V $.
    xpcomen.2 $e |- B e. _V $.
    $( Commutative law for equinumerosity of Cartesian product.  Proposition
       4.22(d) of [Mendelson] p. 254.  (Contributed by NM, 5-Jan-2004.)
       (Revised by Mario Carneiro, 15-Nov-2014.) $)
    xpcomen $p |- ( A X. B ) ~~ ( B X. A ) $=
      ( cxp cvv wcel csn ccnv cuni cmpt wf1o cen wbr xpex eqid xpcomf1o f1oen2g
      vx cv mp3an ) ABEZFGBAEZFGUBUCSUBSTHIJKZLUBUCMNABCDOBADCOSABUDUDPQUBUCUDF
      FRUA $.
  $}

  ${
    $d x y A $.  $d y B $.
    $( Commutative law for equinumerosity of Cartesian product.  Proposition
       4.22(d) of [Mendelson] p. 254.  (Contributed by NM, 27-Mar-2006.) $)
    xpcomeng $p |- ( ( A e. V /\ B e. W ) -> ( A X. B ) ~~ ( B X. A ) ) $=
      ( vx vy cv cxp cen wbr wceq xpeq1 xpeq2 breq12d vex xpcomen vtocl2g ) EGZ
      FGZHZSRHZIJASHZSAHZIJABHZBAHZIJEFABCDRAKTUBUAUCIRASLRASMNSBKUBUDUCUEISBAM
      SBALNRSEOFOPQ $.
  $}

  $( A set is equinumerous to its Cartesian product with a singleton on the
     left.  (Contributed by Stefan O'Rear, 21-Nov-2014.) $)
  xpsnen2g $p |- ( ( A e. V /\ B e. W ) -> ( { A } X. B ) ~~ B ) $=
    ( wcel csn cxp cen wbr cvv snex xpcomeng mpan xpsneng ancoms entr syl2an2 )
    BDEZAFZBGZBSGZHIZACEZUABHIZTBHISJERUBAKSBJDLMRUCUDBADCNOTUABPQ $.

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    xpassen.1 $e |- A e. _V $.
    xpassen.2 $e |- B e. _V $.
    xpassen.3 $e |- C e. _V $.
    $( Associative law for equinumerosity of Cartesian product.  Proposition
       4.22(e) of [Mendelson] p. 254.  (Contributed by NM, 22-Jan-2004.)
       (Revised by Mario Carneiro, 15-Nov-2014.) $)
    xpassen $p |- ( ( A X. B ) X. C ) ~~ ( A X. ( B X. C ) ) $=
      ( vz vw vv vu csn cdm cuni crn cop wcel wceq wa wex unieqd vx vy cxp xpex
      cvv opex a1i sneq dmeqd sneqd vex op1sta sneqi dmeqi unieqi eqtri eqtr2di
      rneqd rneqi op2nda opeq12d eq2tri anass anbi12i an32 3bitr4i exbii 19.41v
      3bitr3i 2exbii 19.41vv elxp excom anbi1i an12 exrot4 eqeq2d anbi1d anbi2d
      opeq1 ceqsexv 3bitri 3exbii anbi2i 19.42vv bitri bitr3i exrot3 opeq2 en2i
      cv ) UAUBABUCZCUCZABCUCZUCZUAWKZKZLZMZKZLZMZWTNZMZWQNZMZOZOZUBWKZKZLZMZXJ
      NZMZKZLZMZOZXONZMZOZWLCABDEUDFUDAWNDBCEFUDUDXHUEPWPWMPZXBXGUFUGYAUEPXIWOP
      ZXRXTUFUGWPGWKZHWKZOZIWKZOZQZYDAPZYEBPZRZYGCPZRZRZISZHSGSZXIXHQZRZXIYDYEY
      GOZOZQZYJYKYMRZRZRZISZHSZGSZWPYAQZRZYBYRRYCUUIRYPYRRZHSGSUUFUUIRZHSGSYSUU
      JUUKUULGHYOYRRZISUUEUUIRZISUUKUULUUMUUNIYIYRRZYNRUUBUUIRZUUDRUUMUUNUUOUUP
      YNUUDWPXIYHUUAXHYAYIYDXBYTXGYIXBYHKZLZMZKZLZMZYDYIXAUVAYIWTUUTYIWSUUSYIWR
      UURYIWQUUQWPYHUHZUITUJZUITUVBYFKZLZMYDUVAUVFUUTUVEUUSYFYFYGYDYEUFZIUKZULU
      MZUNUOYDYEGUKZHUKZULUPUQYIYEXDYGXFYIXDUUTNZMZYEYIXCUVLYIWTUUTUVDURTUVMUVE
      NZMYEUVLUVNUUTUVEUVIUSUOYDYEUVJUVKUTUPUQYIXFUUQNZMYGYIXEUVOYIWQUUQUVCURTY
      FYGUVGUVHUTUQVAVAUUBYFXRYGXTUUBYDXLYEXQUUBXLUUAKZLZMYDUUBXKUVQUUBXJUVPXIU
      UAUHZUITYDYTUVJYEYGUFZULUQUUBXQUVPNZMZKZLZMZYEUUBXPUWCUUBXOUWBUUBXNUWAUUB
      XMUVTUUBXJUVPUVRURTUJZUITUWDYTKZLZMYEUWCUWGUWBUWFUWAYTYDYTUVJUVSUTUMZUNUO
      YEYGUVKUVHULUPUQVAUUBXTUWBNZMZYGUUBXSUWIUUBXOUWBUWEURTUWJUWFNZMYGUWIUWKUW
      BUWFUWHUSUOYEYGUVKUVHUTUPUQVAVBYJYKYMVCVDYIYNYRVEUUBUUDUUIVEVFVGYOYRIVHUU
      EUUIIVHVIVJYPYRGHVKUUFUUIGHVKVIYBYQYRYBWPJWKZYGOZQZUWLWLPZYMRRZISJSUWPJSI
      SZYQJIWPWLCVLUWPJIVMUWQUWLYFQZYLRZUWNYMRZRZHSGSZJSISUXAJSZISHSGSYQUWPUXBI
      JUWOUWTRUWSHSGSZUWTRUWPUXBUWOUXDUWTGHUWLABVLVNUWNUWOYMVOUWSUWTGHVKVFVJUXA
      IJGHVPUXCYOGHIUXCUWRYLUWTRZRZJSYLYIYMRZRZYOUXAUXFJUWRYLUWTVCVGUXEUXHJYFUV
      GUWRUWTUXGYLUWRUWNYIYMUWRUWMYHWPUWLYFYGVTVQVRVSWAYLYIYMVOWBWCWBWBVNYCUUHU
      UIYCXIYDUWLOZQZYJUWLWNPZRRZJSZGSUUHGJXIAWNVLUXMUUGGUXMUWLYTQZUXJUUDRZRZIS
      HSZJSUXPJSZISHSUUGUXLUXQJUXJYJRZUXKRUXSUXNUUCRZISHSZRZUXLUXQUXKUYAUXSHIUW
      LBCVLWDUXJYJUXKVCUYBUXSUXTRZISHSUXQUXSUXTHIWEUYCUXPHIUYCUXNUXSUUCRZRUXPUX
      SUXNUUCVOUYDUXOUXNUXJYJUUCVCWDWFVJWGVIVGUXPJHIWHUXRUUEHIUXOUUEJYTUVSUXNUX
      JUUBUUDUXNUXIUUAXIUWLYTYDWIVQVRWAVJWBVGWFVNVFWJ $.
  $}

  ${
    $d f u v w x y z A $.  $d f u v w x y z B $.  $d f u v w x y z C $.
    xpdom.2 $e |- C e. _V $.
    $( Dominance law for Cartesian product.  Proposition 10.33(2) of
       [TakeutiZaring] p. 92.  (Contributed by NM, 24-Jul-2004.)  (Revised by
       Mario Carneiro, 15-Nov-2014.) $)
    xpdom2 $p |- ( A ~<_ B -> ( C X. A ) ~<_ ( C X. B ) ) $=
      ( vz vw vv vu cdom cv wa csn cdm cuni cop cvv wcel wi wceq wb wbr wf1 cxp
      vf vx vy brdomi crn cfv wf f1f ffvelrn ex syl anim2d adantld elxp4 opelxp
      3imtr4g adantl wrex elxp2 vex fvex opth f1fveq ancoms anbi2d ad2ant2l imp
      syl5bb adantlr dmeqd unieqd op1sta eqtrdi op2nda fveq2d opeq12d eqeqan12d
      sneq rneqd ad2antlr eqeq12 bitrdi 3bitr4d exp53 com23 rexlimivv rexlimdvv
      syl2anb com12 reldom brrelex1i xpexg sylancr adantr brrelex2i exlimddv
      dom3d ) ABIUAZABUDJZUBZCAUCZCBUCZIUAUDABUDUGXAXCKUEUFXDXEUEJZLZMZNZXGUHZN
      ZXBUIZOZUFJZLZMZNZXOUHZNZXBUIZOZPPXCXFXDQZXMXEQZRXAXCXFXIXKOSZXICQZXKAQZK
      ZKYEXLBQZKZYBYCXCYGYIYDXCYFYHYEXCABXBUJZYFYHRABXBUKYJYFYHABXKXBULUMUNUOUP
      XFCAUQXIXLCBURUSUTXCYBXNXDQZKZXMYASZXFXNSZTZRXAYLXCYOYBXFEJZFJZOZSZFAVAEC
      VAZXNGJZHJZOZSZHAVAGCVAZXCYORZYKEFXFCAVBGHXNCAVBYTUUEUUFYTUUDUUFGHCAYSUUA
      CQZUUBAQZKZUUDUUFRZREFCAYPCQZYQAQZKZUUIYSUUJUUMUUIYSUUDXCYOUUMUUIKZYSUUDK
      ZKXCKYPYQXBUIZOZUUAUUBXBUIZOZSZYPUUASZYQUUBSZKZYMYNUUNXCUUTUVCTZUUOUUNXCU
      VDUULUUHXCUVDRUUKUUGUULUUHKZXCUVDUUTUVAUUPUURSZKUVEXCKZUVCYPUUPUUAUUREVCZ
      YQXBVDVEUVGUVFUVBUVAXCUVEUVFUVBTABYQUUBXBVFVGVHVKUMVIVJVLUUOYMUUTTUUNXCYS
      UUDXMUUQYAUUSYSXIYPXLUUPYSXIYRLZMZNYPYSXHUVJYSXGUVIXFYRWAZVMVNYPYQUVHFVCZ
      VOVPYSXKYQXBYSXKUVIUHZNYQYSXJUVMYSXGUVIUVKWBVNYPYQUVHUVLVQVPVRVSUUDXQUUAX
      TUURUUDXQUUCLZMZNUUAUUDXPUVOUUDXOUVNXNUUCWAZVMVNUUAUUBGVCZHVCZVOVPUUDXSUU
      BXBUUDXSUVNUHZNUUBUUDXRUVSUUDXOUVNUVPWBVNUUAUUBUVQUVRVQVPVRVSVTWCUUOYNUVC
      TUUNXCUUOYNYRUUCSUVCXFYRXNUUCWDYPYQUUAUUBUVHUVLVEWEWCWFWGWHWIWJVJWKWLUTXA
      XDPQZXCXACPQZAPQUVTDABIWMWNCAPPWOWPWQXAXEPQZXCXAUWABPQUWBDABIWMWRCBPPWOWP
      WQWTWS $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x V $.  $d x W $.
    $( Dominance law for Cartesian product.  Theorem 6L(c) of [Enderton]
       p. 149.  (Contributed by Mario Carneiro, 26-Apr-2015.) $)
    xpdom2g $p |- ( ( C e. V /\ A ~<_ B ) ->
                  ( C X. A ) ~<_ ( C X. B ) ) $=
      ( vx wcel cdom wbr cxp cv wceq xpeq1 breq12d imbi2d vex xpdom2 vtoclg imp
      wi ) CDFABGHZCAIZCBIZGHZTEJZAIZUDBIZGHZSTUCSECDUDCKZUGUCTUHUEUAUFUBGUDCAL
      UDCBLMNABUDEOPQR $.

    $( Dominance law for Cartesian product.  Theorem 6L(c) of [Enderton]
       p. 149.  (Contributed by NM, 25-Mar-2006.)  (Revised by Mario Carneiro,
       26-Apr-2015.) $)
    xpdom1g $p |- ( ( C e. V /\ A ~<_ B ) ->
                  ( A X. C ) ~<_ ( B X. C ) ) $=
      ( wcel wbr wa cxp cen cvv reldom brrelex1i xpcomeng ancoms sylan2 xpdom2g
      cdom brrelex2i domentr syl2anc endomtr ) CDEZABQFZGZACHZCAHZIFZUFBCHZQFZU
      EUHQFUCUBAJEZUGABQKLUJUBUGACJDMNOUDUFCBHZQFUKUHIFZUIABCDPUCUBBJEULABQKRCB
      DJMOUFUKUHSTUEUFUHUAT $.

    $( A set is dominated by its Cartesian product with a nonempty set.
       Exercise 6 of [Suppes] p. 98.  (Contributed by NM, 27-Jul-2004.)
       (Revised by Mario Carneiro, 29-Apr-2015.) $)
    xpdom3 $p |- ( ( A e. V /\ B e. W /\ B =/= (/) ) -> A ~<_ ( A X. B ) ) $=
      ( vx wcel c0 wne cxp cdom wbr cv wex wa n0 w3a csn cen cvv wss ensymd syl
      xpsneng 3adant2 xpexg 3adant3 simp3 ssdomg endomtr syl2anc 3expia exlimdv
      snssd xpss2 sylc syl5bi 3impia ) ACFZBDFZBGHZAABIZJKZUTELZBFZEMURUSNZVBEB
      OVEVDVBEURUSVDVBURUSVDPZAAVCQZIZRKVHVAJKZVBVFVHAURVDVHARKUSAVCCBUCUDUAVFV
      ASFZVHVATZVIURUSVJVDABCDUEUFVFVGBTVKVFVCBURUSVDUGUMVGBAUNUBVHVASUHUOAVHVA
      UIUJUKULUPUQ $.
  $}

  ${
    xpdom1.2 $e |- C e. _V $.
    $( Dominance law for Cartesian product.  Theorem 6L(c) of [Enderton]
       p. 149.  (Contributed by NM, 28-Sep-2004.)  (Revised by NM,
       29-Mar-2006.)  (Revised by Mario Carneiro, 7-May-2015.) $)
    xpdom1 $p |- ( A ~<_ B -> ( A X. C ) ~<_ ( B X. C ) ) $=
      ( cvv wcel cdom wbr cxp xpdom1g mpan ) CEFABGHACIBCIGHDABCEJK $.
  $}

  ${
    $d f A $.  $d f B $.  $d f X $.  $d f Y $.
    domunsncan.a $e |- A e. _V $.
    domunsncan.b $e |- B e. _V $.
    $( A singleton cancellation law for dominance.  (Contributed by Stefan
       O'Rear, 19-Feb-2015.)  (Revised by Stefan O'Rear, 5-May-2015.) $)
    domunsncan $p |- ( ( -. A e. X /\ -. B e. Y ) ->
        ( ( { A } u. X ) ~<_ ( { B } u. Y ) <-> X ~<_ Y ) ) $=
      ( vf wcel wa csn cun cdom wbr cvv wss sylancr cdif cima wceq ad2antll wf1
      wn ssun2 reldom brrelex2i adantl ssexg wex brdomi cen cres wf1o vex resex
      cv simprr difss f1ores sylancl f1oen3g wf ccnv df-f1 imadif simplbiim cfv
      wfun snex simprl unexg difexd f1f fimass syl ssdifd f1fn snid elun1 ax-mp
      fnsnfv difeq2d sseqtrrd sylc ffvelrn mp1i difsnen syl3anc domentr syl2anc
      ssdomg eqbrtrd endomtr uncom difeq1i difun2 eqtri difsn ad2antrr ad2antlr
      wfn eqtrid 3brtr3d expr exlimdv syl5 impancom mpd en2sn mp2an endom simpr
      cin c0 incom disjsn biimpri undom syl21anc impbida ) ACHUBZBDHUBZIZAJZCKZ
      BJZDKZLMZCDLMZYBYGIZDNHZYHYIDYFOYFNHZYJDYEUCYGYKYBYDYFLUDUEUFDYFNUGPYBYJY
      GYHYGYDYFGUOZUAZGUHYBYJIZYHYDYFGUIYNYMYHGYBYJYMYHYBYJYMIZIZYDYCQZYFYEQZCD
      LYPYQYLYQRZUJMZYSYRLMYQYRLMYPYLYQUKZNHYQYSUUAULZYTYLYQGUMUNYPYMYQYDOUUBYB
      YJYMUPYDYCUQYDYFYQYLURUSYQYSUUANUTPYPYSYLYDRZYLYCRZQZYRLYMYSUUESZYBYJYMYD
      YFYLVAZYLVBVGUUFYDYFYLVCYDYCYLVDVETYPUUEYFAYLVFZJZQZLMZUUJYRUJMZUUEYRLMYP
      UUJNHUUEUUJOUUKYPYFUUINYPYENHYJYKBVHYBYJYMVIYEDNNVJPZVKYPUUEYFUUDQUUJYPUU
      CYFUUDYMUUCYFOZYBYJYMUUGUUNYDYFYLVLZYDYFYLYDVMVNTVOYPUUIUUDYFYPYLYDWTZAYD
      HZUUIUUDSYMUUPYBYJYDYFYLVPTAYCHUUQAEVQAYCCVRVSZYDAYLVTUSWAWBUUEUUJNWJWCYP
      YKUUHYFHZBYFHZUULUUMYMUUSYBYJYMUUGUUQUUSUUOUURYDYFAYLWDUSTBYEHUUTYPBFVQBY
      EDVRWEUUHBNYFWFWGUUEUUJYRWHWIWKYQYSYRWLWIXTYQCSYAYOXTYQCYCQZCYQCYCKZYCQUV
      AYDUVBYCYCCWMWNCYCWOWPACWQXAWRYAYRDSXTYOYAYRDYEQZDYRDYEKZYEQUVCYFUVDYEYED
      WMWNDYEWOWPBDWQXAWSXBXCXDXEXFXGYBYHIZYCYELMZYHYEDXLZXMSZYGYCYEUJMZUVFUVEA
      NHBNHUVIEFABNNXHXIYCYEXJWEYBYHXKYAUVHXTYHYAUVGDYEXLZXMYEDXNUVJXMSYADBXOXP
      XAWSYCYECDXQXRXS $.
  $}

  ${
    $d A m n x y $.  $d B m n x y $.  $d F m n $.
    omxpenlem.1 $e |- F = ( x e. B , y e. A |-> ( ( A .o x ) +o y ) ) $.
    $( Lemma for ~ omxpen .  (Contributed by Mario Carneiro, 3-Mar-2013.)
       (Revised by Mario Carneiro, 25-May-2015.) $)
    omxpenlem $p |- ( ( A e. On /\ B e. On ) ->
        F : ( B X. A ) -1-1-onto-> ( A .o B ) ) $=
      ( vm vn con0 wcel wa comu co cv wss wi wb syl2anc wceq c0 cxp wfn ccnv wf
      wf1o coa wral csuc word eloni ad2antlr simprl ordsucss ad2ant2lr suceloni
      sylc onelon syl simplr simpll omwordi syl3anc simprr ad2ant2rl omcl oaord
      mpd mpbid omsuc eleqtrrd ralrimivva fmpo sylib ffnd cres wbr weu cop wrex
      sseldd wne sylan wn noel oveq1 sylan9eqr eleq2d mtbiri ex necon2ad adantl
      om0r imp omeu vex brcnv wex eleq1 biimpac simplll simplrr oaword1 simplrl
      simpr ad2antrr ontr2 mp2and simpllr on0eln0 mpbird om00el simpld syl31anc
      ne0d omord2 impbid expr pm5.32rd sylan2 anbi2i bitrdi anbi2d an12 2exbidv
      eqcom copab cmpo coprab df-mpo dfoprab2 3eqtri breqi df-br opabidw 3bitri
      r2ex 3bitr4g syl5bb eubidv ralrimiva fnres sylibr wrel cdm crn df-rn frnd
      relcnv eqsstrrid relssres sylancr fneq1d dff1o4 sylanbrc ) CIJZDIJZKZEDCU
      AZUBEUCZCDLMZUBZUURUUTEUEUUQUURUUTEUUQCANZLMZBNZUFMZUUTJZBCUGADUGUURUUTEU
      DUUQUVFABDCUUQUVBDJZUVDCJZKZKZCUVBUHZLMZUUTUVEUVJUVKDOZUVLUUTOZUVJDUIZUVG
      UVMUUPUVOUUOUVIDUJUKUUQUVGUVHULUVBDUMUPUVJUVKIJZUUPUUOUVMUVNPUVJUVBIJZUVP
      UUPUVGUVQUUOUVHDUVBUQZUNZUVBUOURUUOUUPUVIUSUUOUUPUVIUTZUVKDCVAVBVGUVJUVEU
      VCCUFMZUVLUVJUVHUVEUWAJZUUQUVGUVHVCUVJUVDIJZUUOUVCIJZUVHUWBQUUOUVHUWCUUPU
      VGCUVDUQZVDUVTUVJUUOUVQUWDUVTUVSCUVBVEZRUVDCUVCVFVBVHUVJUUOUVQUVLUWASUVTU
      VSCUVBVIRVJVTVKABDCUVEUUTEFVLVMZVNUUQUUSUUTVOZUUTUBZUVAUUQGNZHNZUUSVPZHVQ
      ZGUUTUGUWIUUQUWMGUUTUUQUWJUUTJZKZUWMUWKUVBUVDVRSZUVEUWJSZKZBCVSAIVSZHVQZU
      WOUUOUWJIJZCTWAZUWTUUOUUPUWNUTUUQUUTIJZUWNUXACDVEZUUTUWJUQWBUUQUWNUXBUUPU
      WNUXBPUUOUUPUWNCTUUPCTSZUWNWCUUPUXEKZUWNUWJTJUWJWDUXFUUTTUWJUXEUUPUUTTDLM
      TCTDLWEDWLWFWGWHWIWJWKWMABHCUWJWNVBUWOUWLUWSHUWLUWKUWJEVPZUWOUWSUWJUWKEGW
      OHWOWPUWOUWPUVIUWJUVESZKZKZBWQAWQZUVQUVHKZUWRKZBWQAWQUXGUWSUWOUXJUXMABUWO
      UXJUWPUXLUWQKZKUXMUWOUXIUXNUWPUWOUXIUXLUXHKUXNUWOUXHUVIUXLUUQUWNUXHUVIUXL
      QZUWNUXHKUUQUVFUXOUXHUWNUVFUWJUVEUUTWRWSUUQUVFKUVHUVGUVQUUQUVFUVHUVGUVQQU
      UQUVFUVHKZKZUVGUVQUUPUVGUVQPUUOUXPUUPUVGUVQUVRWIUKUXQUVQUVGUXQUVQKZUVGUVC
      UUTJZUXRUVCUVEOZUVFUXSUXRUWDUWCUXTUXRUUOUVQUWDUUOUUPUXPUVQWTZUXQUVQXDZUWF
      RZUXRUUOUVHUWCUYAUUQUVFUVHUVQXAUWERUVCUVDXBRUUQUVFUVHUVQXCZUXRUWDUXCUXTUV
      FKUXSPUYCUUQUXCUXPUVQUXDXEZUVCUVEUUTXFRXGUXRUVQUUPUUOTCJZUVGUXSQUYBUUOUUP
      UXPUVQXHUYAUXRUYFTDJZUXRTUUTJZUYFUYGKZUXRUYHUUTTWAZUXRUUTUVEUYDXNUXRUXCUY
      HUYJQUYEUUTXIURXJUUQUYHUYIQUXPUVQCDXKXEVHXLUVBDCXOXMXJWIXPXQXRXSXQXRUXHUW
      QUXLUWJUVEYEXTYAYBUWPUXLUWQYCYAYDUXGUWKUWJUXKHGYFZVPUWKUWJVRUYKJUXKUWKUWJ
      EUYKEABDCUVEYGUXIABGYHUYKFABGDCUVEYIUXIABGHYJYKYLUWKUWJUYKYMUXKHGYNYOUWRA
      BICYPYQYRYSXJYTGHUUTUUSUUAUUBUUQUUTUWHUUSUUQUUSUUCUUSUUDZUUTOUWHUUSSEUUHU
      UQUYLEUUEUUTEUUFUUQUURUUTEUWGUUGUUIUUSUUTUUJUUKUULVHUURUUTEUUMUUN $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( The cardinal and ordinal products are always equinumerous.  Exercise 10
       of [TakeutiZaring] p. 89.  (Contributed by Mario Carneiro,
       3-Mar-2013.) $)
    omxpen $p |- ( ( A e. On /\ B e. On ) -> ( A .o B ) ~~ ( A X. B ) ) $=
      ( vx vy con0 wcel wa cxp comu co cen wbr xpcomeng cvv coa cmpo wf1o xpexg
      cv ancoms omcl eqid omxpenlem f1oen2g syl3anc entr syl2anc ensymd ) AEFZB
      EFZGZABHZABIJZUKULBAHZKLUNUMKLZULUMKLABEEMUKUNNFZUMEFUNUMCDBAACSIJDSOJPZQ
      UOUJUIUPBAEERTABUACDABUQUQUBUCUNUMUQNEUDUEULUNUMUFUGUH $.
  $}

  ${
    $d x y z A $.  $d x y z B $.
    omf1o.1 $e |- F = ( x e. B , y e. A |-> ( ( A .o x ) +o y ) ) $.
    omf1o.2 $e |- G = ( x e. B , y e. A |-> ( ( B .o y ) +o x ) ) $.
    $( Construct an explicit bijection from ` A .o B ` to ` B .o A ` .
       (Contributed by Mario Carneiro, 30-May-2015.) $)
    omf1o $p |- ( ( A e. On /\ B e. On ) ->
        ( G o. `' F ) : ( A .o B ) -1-1-onto-> ( B .o A ) ) $=
      ( vz con0 wcel cxp comu co wf1o ccnv ccom cv cmpo eqid coa cuni omxpenlem
      wa cmpt ancoms xpcomf1o f1oco sylancl wceq wb xpcomco eqtr4i f1oeq1 ax-mp
      csn sylibr f1ocnv syl syl2anc ) CJKZDJKZUDZDCLZDCMNZFOZCDMNZVDEPZOZVGVEFV
      HQOVCVDVEBACDDBRMNARUANZSZIVDIRUPPUBUEZQZOZVFVCCDLZVEVKOZVDVOVLOVNVBVAVPB
      ADCVKVKTZUCUFIDCVLVLTZUGVDVOVEVKVLUHUIFVMUJVFVNUKFABDCVJSVMHIBADCVJVLVKVR
      VQULUMVDVEFVMUNUOUQVCVDVGEOVIABCDEGUCVDVGEURUSVGVDVEFVHUHUT $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y ph $.  $d x y z S $.
    $d x y G $.
    pw2f1o.1 $e |- ( ph -> A e. V ) $.
    pw2f1o.2 $e |- ( ph -> B e. W ) $.
    pw2f1o.3 $e |- ( ph -> C e. W ) $.
    pw2f1o.4 $e |- ( ph -> B =/= C ) $.
    $( Lemma for ~ pw2f1o .  (Contributed by Mario Carneiro, 6-Oct-2014.) $)
    pw2f1olem $p |- ( ph ->
      ( ( S e. ~P A /\ G = ( z e. A |-> if ( z e. S , C , B ) ) ) <->
        ( G e. ( { B , C } ^m A ) /\ S = ( `' G " { C } ) ) ) ) $=
      ( vy vx wcel wceq wa syl wb wss cv cif cmpt cpr wf ccnv csn cima cpw cmap
      prid2g prid1g ifcld adantr fmpttd simprr feq1d mpbird cfv iftrue ad2antrr
      co wn iffalse neeq1d syl5ibrcom necon4bd impbid2 simplrr fveq1d id eleq1w
      wne ifbid eqid fvmptg syl2anr eqtrd eqeq1d bitr4d pm5.32da sseld pm4.71rd
      wfn ffn fniniseg 3bitr4d eqrdv jca cdm cnvimass ad2antrl sseqtrid eqsstrd
      simprl dffn5 sylib eleq2d baibd bitrd biimpa adantl eqtr4d ffvelrnda fvex
      fdm elpr ord sylibrd con1d imp pm2.61dan mpteq2dva impbida elpw2g cbvmptv
      wo a1i eqeq2d anbi12d cvv prex elmapg sylancr anbi1d ) AFCUAZGNCNUBZFPZED
      UCZUDZQZRZCDEUEZGUFZFGUGEUHZUIZQZRZFCUJPZGBCBUBZFPZEDUCZUDZQZRGYNCUKVCPZY
      RRAYMYSAYMRZYOYRUUGYOCYNYKUFZAUUHYMANCYJYNAYJYNPYHCPZAYIEDYNAEIPEYNPLDEIU
      LSZADIPDYNPKDEIUMSZUNUOUPUOUUGCYNGYKAYGYLUQURUSZUUGOFYQUUGOUBZCPZUUMFPZRU
      UNUUMGUTZEQZRZUUOUUMYQPZUUGUUNUUOUUQUUGUUNRZUUOUUOEDUCZEQZUUQUUTUUOUVBUUO
      EDVAUUTUUOUVAEUUTUVAEVNUUOVDZDEVNZAUVDYMUUNMVBUVCUVADEUUOEDVEVFVGVHVIUUTU
      UPUVAEUUTUUPUUMYKUTZUVAUUTUUMGYKAYGYLUUNVJVKUUNUUNUVAYNPZUVEUVAQUUGUUNVLA
      UVFYMAUUOEDYNUUJUUKUNUONUUMYJUVACYNYKYHUUMQYIUUOEDNOFVMVOYKVPVQVRVSVTWAWB
      UUGUUOUUNUUGFCUUMAYGYLWPWCWDUUGGCWEZUUSUURTUUGYOUVGUULCYNGWFZSCEUUMGWGSWH
      WIWJAYSRZYGYLUVIFYQCAYOYRUQUVIGWKZYQCGYPWLYOUVJCQAYRCYNGXGWMWNWOUVIGNCYHG
      UTZUDZYKUVIUVGGUVLQYOUVGAYRUVHWMZNCGWQWRUVINCUVKYJUVIUUIRZYIUVKYJQUVNYIRU
      VKEYJUVNYIUVKEQZUVNYIYHYQPZUVOUVNFYQYHAYOYRUUIVJWSUVIUVPUUIUVOUVIUVGUVPUU
      IUVORTUVMCEYHGWGSWTXAZXBYIYJEQUVNYIEDVAXCXDUVNYIVDZRUVKDYJUVNUVRUVKDQZUVN
      UVSYIUVNUVSVDUVOYIUVNUVSUVOUVNUVKYNPUVSUVOXRUVICYNYHGAYOYRWPXEUVKDEYHGXFX
      HWRXIUVQXJXKXLUVRYJDQUVNYIEDVEXCXDXMXNVSWJXOAYTYGUUEYLACHPZYTYGTJFCHXPSAU
      UDYKGUUDYKQABNCUUCYJUUAYHQUUBYIEDBNFVMVOXQXSXTYAAUUFYOYRAYNYBPUVTUUFYOTDE
      YCJYNCGYBHYDYEYFWH $.

    pw2f1o.5 $e |- F = ( x e. ~P A |->
      ( z e. A |-> if ( z e. x , C , B ) ) ) $.
    $( The power set of a set is equinumerous to set exponentiation with an
       unordered pair base of ordinal 2.  Generalized from Proposition 10.44 of
       [TakeutiZaring] p. 96.  (Contributed by Mario Carneiro, 6-Oct-2014.) $)
    pw2f1o $p |- ( ph -> F : ~P A -1-1-onto-> ( { B , C } ^m A ) ) $=
      ( vy cv wcel ccnv cima wa cpw cpr cmap co cif cmpt csn cvv wceq pw2f1olem
      eqid biimpa mpanr2 simpld vex cnvex imaex a1i f1od ) ABODUAZEFUBDUCUDZCDC
      PBPZQFEUEUFZOPZRZFUGZSZGVAUHNAVBUTQZTVCVAQZVBVCRVFSUIZAVHVCVCUIZVIVJTZVCU
      KAVHVKTVLACDEFVBVCHIJKLMUJULUMUNVGUHQAVDVAQTVEVFVDOUOUPUQURACDEFVBVDHIJKL
      MUJUS $.
  $}

  ${
    $d x z A $.  $d x V $.
    $( The power set of a set is equinumerous to set exponentiation with a base
       of ordinal ` 2o ` .  (Contributed by FL, 22-Feb-2011.)  (Revised by
       Mario Carneiro, 1-Jul-2015.) $)
    pw2eng $p |- ( A e. V -> ~P A ~~ ( 2o ^m A ) ) $=
      ( vx vz wcel cpw c0 csn cpr cmap co c2o cen cvv wel cif cmpt wf1o wbr a1i
      pwexg ovexd id 0ex p0ex 0nep0 eqid pw2f1o f1oen2g syl3anc df2o2 breqtrrdi
      wne oveq1i ) ABEZAFZGGHZIZAJKZLAJKMUOUPNEUSNEUPUSCUPDADCOUQGPQQZRUPUSMSAB
      UAUOURAJUBUOCDAGUQUTBNUOUCGNEUOUDTUQNEUOUETGUQUMUOUFTUTUGUHUPUSUTNNUIUJLU
      RAJUKUNUL $.

    pw2en.1 $e |- A e. _V $.
    $( The power set of a set is equinumerous to set exponentiation with a base
       of ordinal 2.  Proposition 10.44 of [TakeutiZaring] p. 96.  This is
       Metamath 100 proof #52.  (Contributed by NM, 29-Jan-2004.)  (Proof
       shortened by Mario Carneiro, 1-Jul-2015.) $)
    pw2en $p |- ~P A ~~ ( 2o ^m A ) $=
      ( cvv wcel cpw c2o cmap co cen wbr pw2eng ax-mp ) ACDAEFAGHIJBACKL $.
  $}

  ${
    $d A a b $.  $d B a b $.  $d F a b $.  $d V a b $.
    $( Covering implies injection on power sets.  (Contributed by Stefan
       O'Rear, 6-Nov-2014.)  (Revised by Mario Carneiro, 24-Jun-2015.)
       (Revised by AV, 18-Sep-2021.) $)
    fopwdom $p |- ( ( F e. V /\ F : A -onto-> B ) -> ~P B ~<_ ~P A ) $=
      ( va vb wcel wa cpw cv cima cvv wss adantl wb wceq imaeq2 elpwid foimacnv
      crn wfo ccnv imassrn cdm dfdm4 fdmd eqtr3id sseqtrid cnvexg adantr imaexg
      fof elpwg 3syl mpbird a1d simpllr simplrl syl2anc simplrr 3eqtr3d impbid1
      weq ex rnexg forn eleq1d syl5ibcom imp pwexd wf dmfex sylan2 dom3d ) CDGZ
      ABCUAZHZEFBIZAIZCUBZEJZKZVTFJZKZLLVQWBVSGZWAVRGZVQWEWBAMZVPWGVOVPVTTZWBAV
      TWAUCVPWHCUDACUEVPABCABCULZUFUGUHNVQVTLGZWBLGWEWGOVOWJVPCDUIUJVTWALUKWBAL
      UMUNUOUPVQWFWCVRGZHZWBWDPZEFVCZOVQWLHZWMWNWOWMWNWOWMHZCWBKZCWDKZWAWCWMWQW
      RPWOWBWDCQNWPVPWABMWQWAPVOVPWLWMUQZWPWABVQWFWKWMURRABWACSUSWPVPWCBMWRWCPW
      SWPWCBVQWFWKWMUTRABWCCSUSVAVDWAWCVTQVBVDVQBLVOVPBLGZVOCTZLGVPWTCDVEVPXABL
      ABCVFVGVHVIVJVQALVPVOABCVKALGWIABDCVLVMVJVN $.
  $}

  ${
    $d f g h A $.  $d f g h B $.  $d f g h X $.  $d f g h Y $.
    $( Given two equipollent sets, a bijection can always be chosen which fixes
       a single point.  (Contributed by Stefan O'Rear, 9-Jul-2015.) $)
    enfixsn $p |- ( ( A e. X /\ B e. Y /\ X ~~ Y ) ->
        E. f ( f : X -1-1-onto-> Y /\ ( f ` A ) = B ) ) $=
      ( vg vh wcel cen cv wf1o cfv wceq wa wex csn cvv cun a1i syl2anc wbr bren
      w3a simp3 sylib cdif relen brrelex2i 3ad2ant3 adantr f1of adantl ffvelrnd
      wf simpl1 simpl2 difsnen syl3anc cop ccom cin c0 fvex f1osng simprr f1oun
      disjdif syl22anc wb ad2antrl uncom difsnid eqtrid syl f1oeq23 mpbid f1oco
      simprl wfn f1ofn fvco2 ad2antll snid fvun1 syl112anc 3eqtrd snex vex unex
      fvsng coex f1oeq1 fveq1 eqeq1d anbi12d spcev expr exlimdv mpd exlimddv )
      ADHZBEHZDEIUAZUCZDEFJZKZDECJZKZAXGLZBMZNZCOZFXDXCXFFOXAXBXCUDDEFUBUEXDXFN
      ZEAXELZPZUFZEBPZUFZGJZKZGOZXLXMXPXRIUAZYAXMEQHZXNEHZXBYBXDYCXFXCXAYCXBDEI
      UGUHUIUJXMDEAXEXFDEXEUNZXDDEXEUKZULXAXBXCXFUOUMXAXBXCXFUPXNBQEUQURXPXRGUB
      UEXMXTXLGXDXFXTXLXDXFXTNZNZDEXNBUSZPZXSRZXEUTZKZAYLLZBMZXLYHEEYKKZXFYMYHX
      OXPRZXQXRRZYKKZYPYHXOXQYJKZXTXOXPVAVBMZXQXRVAVBMZYSYHXNQHZXBYTUUCYHAXEVCZ
      SZXAXBXCYGUPZXNBQEVDTZXDXFXTVEUUAYHXOEVGSZUUBYHXQEVGSXOXQXPXRYJXSVFVHYHYQ
      EMZYREMZYSYPVIYHYDUUIYHDEAXEXFYEXDXTYFVJXAXBXCYGUOZUMYDYQXPXOREXOXPVKEXNV
      LVMVNYHXBUUJUUFXBYRXRXQREXQXRVKEBVLVMVNYQEYREYKVOTVPXDXFXTVRDEEYKXEVQTYHY
      NXNYKLZXNYJLZBYHXEDVSZXAYNUULMXFUUNXDXTDEXEVTVJUUKDYKXEAWATYHYJXOVSZXSXPV
      SZUUAXNXOHZUULUUMMYHYTUUOUUGXOXQYJVTVNXTUUPXDXFXPXRXSVTWBUUHUUQYHXNUUDWCS
      XOXPYJXSXNWDWEYHUUCXBUUMBMUUEUUFXNBQEWJTWFXKYMYONCYLYKXEYJXSYIWGGWHWIFWHW
      KXGYLMZXHYMXJYODEXGYLWLUURXIYNBAXGYLWMWNWOWPTWQWRWSWT $.
  $}

  ${
    $d f w A $.  $d f w B $.
    $( Strict dominance of a set over another set implies dominance over its
       successor.  (Contributed by Mario Carneiro, 12-Jan-2013.)  (Proof
       shortened by Mario Carneiro, 27-Apr-2015.) $)
    sucdom2 $p |- ( A ~< B -> suc A ~<_ B ) $=
      ( vf vw csdm wbr cv wf1 cdom wex syl csn cun wceq cvv wcel adantr a1i wss
      wa csuc sdomdom brdomi crn cdif cin c0 relsdom brrelex1i vex rnex f1f1orn
      wf1o adantl f1of1 f1dom2g syl3anc wn cen sdomnen ssdif0 simplr frnd simpr
      eqssd dff1o5 sylanbrc f1oen3g sylancr syl5bir mtod neq0 sylib snssi en2sn
      f1f ex sylancl wi brrelex2i difexg ssdomg 3syl endomtr syl6an exlimdv mpd
      disjdif undom syl21anc df-suc undif2 ssequn1 eqtr2id 3brtr4d exlimddv
      syl5 ) ABEFZABCGZHZAUAZBIFCWRABIFWTCJABUBABCUCKWRWTTZAALZMZWSUDZBXEUEZMZX
      ABIXBAXEIFZXCXFIFZXEXFUFUGNZXDXGIFXBAOPZXEOPZAXEWSHZXHWRXKWTABEUHUIQZXLXB
      WSCUJZUKRXBAXEWSUMZXMWTXPWRABWSULUNAXEWSUOKAXEWSOOUPUQXBDGZXFPZDJZXIXBXFU
      GNZURXSXBXTABUSFZWRYAURWTABUTQXTBXESZXBYABXEVAXBYBYAXBYBTZWSOPABWSUMZYAXO
      YCWTXEBNYDWRWTYBVBZYCXEBYCWTXEBSZYEWTABWSABWSVPVCZKXBYBVDVEABWSVFVGABWSOV
      HVIVQVJVKDXFVLVMXBXRXIDXRXQLZXFSZXBXIXQXFVNXBXCYHUSFZYIYHXFIFZXIXBXKXQOPY
      JXNDUJAXQOOVOVRXBBOPZXFOPYIYKVSWRYLWTABEUHVTQBXEOWAYHXFOWBWCXCYHXFWDWEWQW
      FWGXJXBXEBWHRAXEXCXFWIWJXAXDNXBAWKRXBXGXEBMZBXEBWLXBYFYMBNWTYFWRYGUNXEBWM
      VMWNWOWP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Schroeder-Bernstein Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.  $d x B $.  $d x D $.  $d x f $.  $d x g $.
    sbthlem.1 $e |- A e. _V $.
    sbthlem.2 $e |- D = { x |
                   ( x C_ A /\ ( g " ( B \ ( f " x ) ) ) C_ ( A \ x ) ) } $.
    $( Lemma for ~ sbth .  (Contributed by NM, 22-Mar-1998.) $)
    sbthlem1 $p |- U. D C_ ( A \ ( g " ( B \ ( f " U. D ) ) ) ) $=
      ( cuni cv cima cdif wss unissb wcel wa abeq2i imass2 sscon 3syl wi difss2
      ssconb exbiri syl5 pm2.43d imp sylbi elssuni sstrd mprgbir ) DIZBFJZCEJZU
      LKZLZKZLZMAJZURMADADURNUSDOZUSBUMCUNUSKZLZKZLZURUTUSBMZVCBUSLMZPZUSVDMZVG
      ADHQVEVFVHVEVFVHVFVCBMZVEVFVHUAVCBUSUBVEVIVHVFUSVCBUCUDUEUFUGUHUTUPVBMZUQ
      VCMVDURMUTUSULMVAUOMVJUSDUIUSULUNRVAUOCSTUPVBUMRUQVCBSTUJUK $.

    $( Lemma for ~ sbth .  (Contributed by NM, 22-Mar-1998.) $)
    sbthlem2 $p |- ( ran g C_ A ->
                     ( A \ ( g " ( B \ ( f " U. D ) ) ) ) C_ U. D ) $=
      ( cv crn wss cuni cima cdif wcel wa cab imass2 sscon mp2b sbthlem1 ssconb
      wb wi imassrn sstr2 ax-mp difss sylancl mpbiri jctil difexi sseq1 difeq2d
      wceq imaeq2 imaeq2d difeq2 sseq12d anbi12d elab sylibr eleqtrrdi elssuni
      syl ) FIZJZBKZBVFCEIZDLZMZNZMZNZDOVNVJKVHVNAIZBKZVFCVIVOMZNZMZBVONZKZPZAQ
      ZDVHVNBKZVFCVIVNMZNZMZBVNNZKZPZVNWCOVHWIWDVHWIVNBWGNKZWFVLKZWGVMKWKVJVNKV
      KWEKWLABCDEFGHUAVJVNVIRVKWECSTWFVLVFRWGVMBSTVHWGBKZWDWIWKUCWGVGKVHWMUDVFW
      FUEWGVGBUFUGBVMUHZWGVNBUBUIUJWNUKWBWJAVNBVMGULVOVNUOZVPWDWAWIVOVNBUMWOVSW
      GVTWHWOVRWFVFWOVQWECVOVNVIUPUNUQVOVNBURUSUTVAVBHVCVNDVDVE $.

    $( Lemma for ~ sbth .  (Contributed by NM, 22-Mar-1998.) $)
    sbthlem3 $p |- ( ran g C_ A ->
                  ( g " ( B \ ( f " U. D ) ) ) = ( A \ U. D ) ) $=
      ( cv crn wss cuni cdif cima wa wceq sbthlem2 sbthlem1 jctil eqss wi sstr2
      sylibr difeq2d imassrn ax-mp dfss4 sylib eqtr2d ) FIZJZBKZBDLZMBBUJCEIUMN
      MZNZMZMZUOULUMUPBULUMUPKZUPUMKZOUMUPPULUSURABCDEFGHQABCDEFGHRSUMUPTUCUDUL
      UOBKZUQUOPUOUKKULUTUAUJUNUEUOUKBUBUFUOBUGUHUI $.

    $( Lemma for ~ sbth .  (Contributed by NM, 27-Mar-1998.) $)
    sbthlem4 $p |- ( ( ( dom g = B /\ ran g C_ A ) /\ Fun `' g ) ->
                  ( `' g " ( A \ U. D ) ) = ( B \ ( f " U. D ) ) ) $=
      ( cv cdm wceq crn wss wa ccnv wfun cuni cdif cima cres df-ima difss sseq2
      ssdmres sylib dfdm4 eqtr3di funcnvres sbthlem3 reseq2d sylan9eqr sylan9eq
      mpbiri rneqd anassrs eqtr4id ) FIZJZCKZUQLBMZNUQOZPZNVABDQZRZSVAVDTZLZCEI
      VCSZRZVAVDUAUSUTVBVHVFKUSUTVBNZVHUQVHTZOZLZVFUSVJJZVHVLUSVHURMZVMVHKUSVNV
      HCMCVGUBURCVHUCUMVHUQUDUEVJUFUGVIVKVEVBUTVKVAUQVHSZTVEVHUQUHUTVOVDVAABCDE
      FGHUIUJUKUNULUOUP $.

    ${
      $d x H $.
      sbthlem.3 $e |- H = ( ( f |` U. D ) u. ( `' g |` ( A \ U. D ) ) ) $.
      $( Lemma for ~ sbth .  (Contributed by NM, 22-Mar-1998.) $)
      sbthlem5 $p |- ( ( dom f = A /\ ran g C_ A ) -> dom H = A ) $=
        ( cv cdm wceq wss cdif cun cin cres dmres eqtri wa cuni ccnv dmeqi dmun
        df-rn eqcomi ineq2i uneq12i cima sbthlem1 difss sstri sseq2 mpbiri dfss
        crn sylib uneq1d sbthlem3 imassrn eqsstrrdi sylan9eq eqtr4id undif mpbi
        uneq2d eqtrdi ) EKZLZBMZFKZUQZBNZUAZGLZDUBZBVQOZPZBVOVPVQVJQZVRVMQZPZVS
        VPVIVQRZVLUCZVRRZPZLZWBGWFJUDWGWCLZWELZPWBWCWEUEWHVTWIWAVIVQSWIVRWDLZQW
        AWDVRSWJVMVRVMWJVLUFUGUHTUITTVKVNVSVTVRPWBVKVQVTVRVKVQVJNZVQVTMVKWKVQBN
        ZVQBVLCVIVQUJOZUJZOBABCDEFHIUKBWNULUMZVJBVQUNUOVQVJUPURUSVNVRWAVTVNVRVM
        NVRWAMVNVRWNVMABCDEFHIUTVLWMVAVBVRVMUPURVGVCVDWLVSBMWOVQBVEVFVH $.

      $( Lemma for ~ sbth .  (Contributed by NM, 27-Mar-1998.) $)
      sbthlem6 $p |- ( ( ran f C_ B /\
               ( ( dom g = B /\ ran g C_ A ) /\ Fun `' g ) ) -> ran H = B ) $=
        ( cv wceq crn wss wa cima cdif cun cres df-ima cdm ccnv wfun cuni rneqi
        rnun uneq1i 3eqtr4i sbthlem4 eqtr3di uneq2d eqtr4id imassrn sstr2 ax-mp
        wi undif sylib sylan9eqr ) FKZUACLUTMBNOUTUBZUCOZEKZMZCNZGMZVCDUDZPZCVH
        QZRZCVBVFVHVABVGQZSZMZRZVJVCVGSZVLRZMVOMZVMRVFVNVOVLUFGVPJUEVHVQVMVCVGT
        UGUHVBVIVMVHVBVAVKPVIVMABCDEFHIUIVAVKTUJUKULVEVHCNZVJCLVHVDNVEVRUPVCVGU
        MVHVDCUNUOVHCUQURUS $.

      $( Lemma for ~ sbth .  (Contributed by NM, 27-Mar-1998.) $)
      sbthlem7 $p |- ( ( Fun f /\ Fun `' g ) -> Fun H ) $=
        ( cv wfun wa cres funres cdm cin c0 wss ax-mp ccnv cuni cdif wceq dmres
        cun inss1 eqsstri ssrin sslin sstri disjdif sseqtri funun syl2an funeqi
        ss0 mpan2 sylibr ) EKZLZFKUAZLZMUTDUBZNZVBBVDUCZNZUFZLZGLVAVELZVGLZVIVC
        VDUTOVFVBOVJVKMVEPZVGPZQZRUDZVIVNRSVOVNVDVFQZRVNVDVMQZVPVLVDSVNVQSVLVDU
        TPZQVDUTVDUEVDVRUGUHVLVDVMUITVMVFSVQVPSVMVFVBPZQVFVBVFUEVFVSUGUHVMVFVDU
        JTUKVDBULUMVNUQTVEVGUNURUOGVHJUPUS $.

      $( Lemma for ~ sbth .  (Contributed by NM, 27-Mar-1998.) $)
      sbthlem8 $p |- ( ( Fun `' f /\ ( ( ( Fun g /\ dom g = B ) /\ ran g C_ A )
                     /\ Fun `' g ) ) -> Fun `' H ) $=
        ( cv ccnv wfun cdm wceq wa crn cres cdif cun wss cin funres11 funcnvcnv
        cuni c0 syl ad3antrrr anim12i cima df-ima df-rn eqtr2i sbthlem4 eqtr3id
        eqtri ineq12 sylancr disjdif eqtrdi adantlll adantl funun syl2anc cnvun
        cnveqi funeqi sylibr ) EKZLMZFKZMZVKNCOZPVKQBUAZPVKLZMZPZPZVIDUEZRZLZVO
        BVSSZRZLZTZMZGLZMVRWAMZWDMZPWANZWDNZUBZUFOZWFVJWHVQWIVSVIUCVLWIVMVNVPVL
        VOLMWIVKUDWBVOUCUGUHUIVQWMVJVMVNVPWMVLVMVNPVPPZWLVIVSUJZCWOSZUBZUFWNWJW
        OOWKWPOWLWQOWOVTQWJVIVSUKVTULUMWNWKVOWBUJZWPWRWCQWKVOWBUKWCULUPABCDEFHI
        UNUOWJWOWKWPUQURWOCUSUTVAVBWAWDVCVDWGWEWGVTWCTZLWEGWSJVFVTWCVEUPVGVH $.

      $( Lemma for ~ sbth .  (Contributed by NM, 28-Mar-1998.) $)
      sbthlem9 $p |- ( ( f : A -1-1-> B /\ g : B -1-1-> A ) ->
                    H : A -1-1-onto-> B ) $=
        ( wfun cdm wceq wa crn ccnv wfn df-fn anbi1i bitri cv wss wf1o sbthlem7
        wf1 sbthlem5 adantrl anim12i an42s adantlr sbthlem8 adantll simpr df-rn
        anim1i sbthlem6 eqtr3id sylanr1 jca32 df-f1 df-f anbi12i dff1o4 3imtr4i
        wf ) EUAZKZVFLBMZNZVFOCUBZNZVFPKZNZFUAZKZVNLCMZNZVNOBUBZNZVNPKZNZNZGKZG
        LBMZNZGPZKZWFLZCMZNZNZBCVFUEZCBVNUEZNBCGUCZWBWEWGWIVKWAWEVLVIWAWEVJVGVT
        VHVSWEVGVTNWCVHVSNWDABCDEFGHIJUDVHVRWDVQABCDEFGHIJUFUGUHUIUJUJVLWAWGVKA
        BCDEFGHIJUKULVKWAWIVLVJWAWIVIVSVJVPVRNZVTWIVQVPVRVOVPUMUOVJWOVTNNWHGOCG
        UNABCDEFGHIJUPUQURULUJUSWLVMWMWAWLBCVFVEZVLNVMBCVFUTWPVKVLWPVFBQZVJNVKB
        CVFVAWQVIVJVFBRSTSTWMCBVNVEZVTNWACBVNUTWRVSVTWRVNCQZVRNVSCBVNVAWSVQVRVN
        CRSTSTVBWNGBQZWFCQZNWKBCGVCWTWEXAWJGBRWFCRVBTVD $.

      ${
        $d f g A $.  $d f g B $.
        sbthlem.4 $e |- B e. _V $.
        $( Lemma for ~ sbth .  (Contributed by NM, 28-Mar-1998.) $)
        sbthlem10 $p |- ( ( A ~<_ B /\ B ~<_ A ) -> A ~~ B ) $=
          ( cdom wbr wa cv wf1 wex brdom cvv cres cen exdistrv bitr4i wcel wf1o
          anbi12i cuni ccnv cdif cun vex resex eqeltri sbthlem9 f1oen3g sylancr
          cnvex unex exlimivv sylbi ) BCLMZCBLMZNZBCEOZPZCBFOZPZNZFQEQZBCUAMZVC
          VEEQZVGFQZNVIVAVKVBVLBCEKRCBFHRUFVEVGEFUBUCVHVJEFVHGSUDBCGUEVJGVDDUGZ
          TZVFUHZBVMUIZTZUJSJVNVQVDVMEUKULVOVPVFFUKUQULURUMABCDEFGHIJUNBCGSUOUP
          USUT $.
      $}
    $}
  $}

  ${
    $d x y z w f g A $.  $d x y z w f g B $.
    $( Schroeder-Bernstein Theorem.  Theorem 18 of [Suppes] p. 95.  This
       theorem states that if set ` A ` is smaller (has lower cardinality) than
       ` B ` and vice-versa, then ` A ` and ` B ` are equinumerous (have the
       same cardinality).  The interesting thing is that this can be proved
       without invoking the Axiom of Choice, as we do here.  The theorem can
       also be proved from the axiom of choice and the linear order of the
       cardinal numbers, but our development does not provide the linear order
       of cardinal numbers until much later and in ways that depend on
       Schroeder-Bernstein.

       The main proof consists of lemmas ~ sbthlem1 through ~ sbthlem10 ; this
       final piece mainly changes bound variables to eliminate the hypotheses
       of ~ sbthlem10 .  We follow closely the proof in Suppes, which you
       should consult to understand our proof at a higher level.  Note that
       Suppes' proof, which is credited to J. M. Whitaker, does not require the
       Axiom of Infinity.  In the Intuitionistic Logic Explorer (ILE) the
       Schroeder-Bernstein Theorem has been proven equivalent to the law of the
       excluded middle (LEM), and in ILE the LEM is not accepted as necessarily
       true; see ~ https://us.metamath.org/ileuni/exmidsbth.html .  This is
       Metamath 100 proof #25.  (Contributed by NM, 8-Jun-1998.) $)
    sbth $p |- ( ( A ~<_ B /\ B ~<_ A ) -> A ~~ B ) $=
      ( vz vw vx vy cdom wbr wa cen cvv wi cv wceq breq1 breq2 anbi12d wss cima
      cdif vg vf wcel reldom brrelex1i imbi12d cab cuni cres ccnv cun vex sseq1
      imaeq2 difeq2d imaeq2d difeq2 sseq12d cbvabv eqid vtocl2g syl2an pm2.43i
      sbthlem10 ) ABGHZBAGHZIZABJHZVEAKUCBKUCVGVHLZVFABGUDUEBAGUDUECMZDMZGHZVKV
      JGHZIZVJVKJHZLAVKGHZVKAGHZIZAVKJHZLVICDABKKVJANZVNVRVOVSVTVLVPVMVQVJAVKGO
      VJAVKGPQVJAVKJOUFVKBNZVRVGVSVHWAVPVEVQVFVKBAGPVKBAGOQVKBAJPUFEVJVKFMZVJRZ
      UAMZVKUBMZWBSZTZSZVJWBTZRZIZFUGZUBUAWEWLUHZUIWDUJVJWMTUIUKZCULWKEMZVJRZWD
      VKWEWOSZTZSZVJWOTZRZIFEWBWONZWCWPWJXAWBWOVJUMXBWHWSWIWTXBWGWRWDXBWFWQVKWB
      WOWEUNUOUPWBWOVJUQURQUSWNUTDULVDVAVBVC $.
    $( $j usage 'sbth' avoids 'ax-inf' 'ax-inf2' 'ax-ac' 'ax-ac2'; $)
  $}

  $( Schroeder-Bernstein Theorem and its converse.  (Contributed by NM,
     8-Jun-1998.) $)
  sbthb $p |- ( ( A ~<_ B /\ B ~<_ A ) <-> A ~~ B ) $=
    ( cdom wbr wa cen sbth endom ensym syl jca impbii ) ABCDZBACDZEABFDZABGOMNA
    BHOBAFDNABIBAHJKL $.

  ${
    $d x y $.
    $( Schroeder-Bernstein Theorem in class form.  (Contributed by NM,
       28-Mar-1998.) $)
    sbthcl $p |- ~~ = ( ~<_ i^i `' ~<_ ) $=
      ( vx vy cen cdom ccnv cin relen wss wrel inss1 reldom relss mp2 cv wbr wa
      brin vex brcnv anbi2i sbthb 3bitrri eqbrriv ) ABCDDEZFZGUEDHDIUEIDUDJKUED
      LMANZBNZUEOUFUGDOZUFUGUDOZPUHUGUFDOZPUFUGCOUFUGDUDQUIUJUHUFUGDARBRSTUFUGU
      AUBUC $.
  $}

  $( Alternate definition of strict dominance.  Compare Definition 3 of
     [Suppes] p. 97.  (Contributed by NM, 31-Mar-1998.) $)
  dfsdom2 $p |- ~< = ( ~<_ \ `' ~<_ ) $=
    ( csdm cdom cen cdif ccnv cin df-sdom sbthcl difeq2i difin 3eqtri ) ABCDBBB
    EZFZDBLDGCMBHIBLJK $.

  ${
    brsdom2.1 $e |- A e. _V $.
    brsdom2.2 $e |- B e. _V $.
    $( Alternate definition of strict dominance.  Definition 3 of [Suppes]
       p. 97.  (Contributed by NM, 27-Jul-2004.) $)
    brsdom2 $p |- ( A ~< B <-> ( A ~<_ B /\ -. B ~<_ A ) ) $=
      ( cop csdm wcel cdom ccnv cdif wbr wn dfsdom2 eleq2i df-br opelcnv bitr4i
      wa notbii anbi12i eldif 3bitr4i ) ABEZFGUCHHIZJZGZABFKABHKZBAHKZLZRZFUEUC
      MNABFOUJUCHGZUCUDGZLZRUFUGUKUIUMABHOUHULUHBAEHGULBAHOABHCDPQSTUCHUDUAQUB
      $.
  $}

  $( Strict dominance is asymmetric.  Theorem 21(ii) of [Suppes] p. 97.
     (Contributed by NM, 8-Jun-1998.) $)
  sdomnsym $p |- ( A ~< B -> -. B ~< A ) $=
    ( csdm wbr cen sdomnen cdom sdomdom sbth syl2an mtand ) ABCDZBACDZABEDZABFL
    ABGDBAGDNMABHBAHABIJK $.

  $( Theorem 22(i) of [Suppes] p. 97.  (Contributed by NM, 10-Jun-1998.) $)
  domnsym $p |- ( A ~<_ B -> -. B ~< A ) $=
    ( cdom wbr csdm cen wo wn brdom2 sdomnsym sdomnen ensym nsyl3 jaoi sylbi )
    ABCDABEDZABFDZGBAEDZHZABIPSQABJRBAFDQBAKABLMNO $.

  $( Any set dominates the empty set.  (Contributed by NM, 26-Oct-2003.)
     (Revised by Mario Carneiro, 26-Apr-2015.) $)
  0domg $p |- ( A e. V -> (/) ~<_ A ) $=
    ( wcel c0 wss cdom wbr 0ss ssdomg mpi ) ABCDAEDAFGAHDABIJ $.

  $( A set dominated by the empty set is empty.  (Contributed by NM,
     22-Nov-2004.) $)
  dom0 $p |- ( A ~<_ (/) <-> A = (/) ) $=
    ( c0 cdom wbr wa cen wceq cvv wcel reldom brrelex1i 0domg syl pm4.71i sbthb
    en0 3bitri ) ABCDZRBACDZEABFDABGRSRAHISABCJKAHLMNABOAPQ $.

  $( A set strictly dominates the empty set iff it is not empty.  (Contributed
     by NM, 23-Mar-2006.) $)
  0sdomg $p |- ( A e. V -> ( (/) ~< A <-> A =/= (/) ) ) $=
    ( wcel c0 csdm wbr cen wn wne cdom wb 0domg brsdom baib syl wceq ensymb en0
    bitri necon3bbii bitrdi ) ABCZDAEFZDAGFZHZADIUBDAJFZUCUEKABLUCUFUEDAMNOUDAD
    UDADGFADPDAQARSTUA $.

  ${
    0sdom.1 $e |- A e. _V $.
    $( Any set dominates the empty set.  (Contributed by NM, 26-Oct-2003.)
       (Revised by Mario Carneiro, 26-Apr-2015.) $)
    0dom $p |- (/) ~<_ A $=
      ( cvv wcel c0 cdom wbr 0domg ax-mp ) ACDEAFGBACHI $.

    $( A set strictly dominates the empty set iff it is not empty.
       (Contributed by NM, 29-Jul-2004.) $)
    0sdom $p |- ( (/) ~< A <-> A =/= (/) ) $=
      ( cvv wcel c0 csdm wbr wne wb 0sdomg ax-mp ) ACDEAFGAEHIBACJK $.
  $}

  $( The empty set does not strictly dominate any set.  (Contributed by NM,
     26-Oct-2003.) $)
  sdom0 $p |- -. A ~< (/) $=
    ( csdm wbr cdom cvv wcel relsdom brrelex1i 0domg syl domnsym con2i pm2.65i
    c0 ) ANBCZNADCZOAEFPANBGHAEIJPONAKLM $.

  $( Transitivity of strict dominance and dominance.  Theorem 22(iii) of
     [Suppes] p. 97.  (Contributed by NM, 26-Oct-2003.)  (Revised by Mario
     Carneiro, 26-Apr-2015.) $)
  sdomdomtr $p |- ( ( A ~< B /\ B ~<_ C ) -> A ~< C ) $=
    ( csdm wbr cdom wa cen sdomdom domtr sylan simpl simpr ensym domentr syl2an
    wn domnsym syl ex mt2d brsdom sylanbrc ) ABDEZBCFEZGZACFEZACHEZQACDEUDABFEU
    EUGABIABCJKUFUHUDUDUELUFUHUDQZUFUHGBAFEZUIUFUECAHEUJUHUDUEMACNBCAOPBARSTUAA
    CUBUC $.

  $( Transitivity of strict dominance and equinumerosity.  Exercise 11 of
     [Suppes] p. 98.  (Contributed by NM, 26-Oct-2003.) $)
  sdomentr $p |- ( ( A ~< B /\ B ~~ C ) -> A ~< C ) $=
    ( cen wbr csdm cdom endom sdomdomtr sylan2 ) BCDEABFEBCGEACFEBCHABCIJ $.

  $( Transitivity of dominance and strict dominance.  Theorem 22(ii) of
     [Suppes] p. 97.  (Contributed by NM, 10-Jun-1998.)  (Revised by Mario
     Carneiro, 26-Apr-2015.) $)
  domsdomtr $p |- ( ( A ~<_ B /\ B ~< C ) -> A ~< C ) $=
    ( cdom wbr wa cen wn sdomdom domtr sylan2 simpr ensym simpl endomtr syl2anr
    csdm domnsym syl ex mt2d brsdom sylanbrc ) ABDEZBCQEZFZACDEZACGEZHACQEUEUDB
    CDEUGBCIABCJKUFUHUEUDUELUFUHUEHZUFUHFCBDEZUIUHCAGEUDUJUFACMUDUENCABOPCBRSTU
    AACUBUC $.

  $( Transitivity of equinumerosity and strict dominance.  (Contributed by NM,
     26-Oct-2003.)  (Revised by Mario Carneiro, 26-Apr-2015.) $)
  ensdomtr $p |- ( ( A ~~ B /\ B ~< C ) -> A ~< C ) $=
    ( cen wbr cdom csdm endom domsdomtr sylan ) ABDEABFEBCGEACGEABHABCIJ $.

  $( Strict dominance is irreflexive.  Theorem 21(i) of [Suppes] p. 97.
     (Contributed by NM, 4-Jun-1998.) $)
  sdomirr $p |- -. A ~< A $=
    ( cvv wcel csdm wbr wn sdomnen enrefg nsyl3 relsdom brrelex1i con3i pm2.61i
    cen ) ABCZAADEZFPAANEOAAGABHIPOAADJKLM $.

  $( Strict dominance is transitive.  Theorem 21(iii) of [Suppes] p. 97.
     (Contributed by NM, 9-Jun-1998.) $)
  sdomtr $p |- ( ( A ~< B /\ B ~< C ) -> A ~< C ) $=
    ( csdm wbr cdom sdomdom domsdomtr sylan ) ABDEABFEBCDEACDEABGABCHI $.

  $( Strict dominance has no 2-cycle loops.  (Contributed by NM,
     6-May-2008.) $)
  sdomn2lp $p |- -. ( A ~< B /\ B ~< A ) $=
    ( csdm wbr wa sdomirr sdomtr mto ) ABCDBACDEAACDAFABAGH $.

  $( Equality-like theorem for equinumerosity.  (Contributed by NM,
     18-Dec-2003.) $)
  enen1 $p |- ( A ~~ B -> ( A ~~ C <-> B ~~ C ) ) $=
    ( cen wbr ensym entr sylan impbida ) ABDEZACDEZBCDEZJBADEKLABFBACGHABCGI $.

  $( Equality-like theorem for equinumerosity.  (Contributed by NM,
     18-Dec-2003.) $)
  enen2 $p |- ( A ~~ B -> ( C ~~ A <-> C ~~ B ) ) $=
    ( cen wbr entr ancoms ensym sylan impbida ) ABDEZCADEZCBDEZLKMCABFGKBADEZML
    ABHMNLCBAFGIJ $.

  $( Equality-like theorem for equinumerosity and dominance.  (Contributed by
     NM, 8-Nov-2003.) $)
  domen1 $p |- ( A ~~ B -> ( A ~<_ C <-> B ~<_ C ) ) $=
    ( cen wbr cdom ensym endomtr sylan impbida ) ABDEZACFEZBCFEZKBADELMABGBACHI
    ABCHJ $.

  $( Equality-like theorem for equinumerosity and dominance.  (Contributed by
     NM, 8-Nov-2003.) $)
  domen2 $p |- ( A ~~ B -> ( C ~<_ A <-> C ~<_ B ) ) $=
    ( cen wbr cdom domentr ancoms ensym sylan impbida ) ABDEZCAFEZCBFEZMLNCABGH
    LBADEZNMABINOMCBAGHJK $.

  $( Equality-like theorem for equinumerosity and strict dominance.
     (Contributed by NM, 8-Nov-2003.) $)
  sdomen1 $p |- ( A ~~ B -> ( A ~< C <-> B ~< C ) ) $=
    ( cen wbr csdm ensym ensdomtr sylan impbida ) ABDEZACFEZBCFEZKBADELMABGBACH
    IABCHJ $.

  $( Equality-like theorem for equinumerosity and strict dominance.
     (Contributed by NM, 8-Nov-2003.) $)
  sdomen2 $p |- ( A ~~ B -> ( C ~< A <-> C ~< B ) ) $=
    ( cen wbr csdm sdomentr ancoms ensym sylan impbida ) ABDEZCAFEZCBFEZMLNCABG
    HLBADEZNMABINOMCBAGHJK $.

  $( Dominance is trichotomous in the restricted case of ordinal numbers.
     (Contributed by Jeff Hankins, 24-Oct-2009.) $)
  domtriord $p |- ( ( A e. On /\ B e. On ) -> ( A ~<_ B <-> -. B ~< A ) ) $=
    ( con0 wcel wa cdom wbr csdm wn cen wi sbth expcom a1i iman brsdom xchbinxr
    wss ssdomg syld syl6ib onelss adantl con3d ontri1 ancoms adantr ensym endom
    wb sylibrd syl con3i jca2 syl6ibr con1d impbid ) ACDZBCDZEZABFGZBAHGZIZUTVA
    BAFGZBAJGZKZVCVAVFKUTVDVAVEBALMNVFVDVEIZEZVBVDVEOBAPZQUAUTVAVBUTVAIZVHVBUTV
    JVDVGUTVJBARZVDUTVJABDZIZVKUTVLVAUSVLVAKURUSVLABRVABAUBABCSTUCUDUSURVKVMUJB
    AUEUFUKURVKVDKUSBACSUGTVEVAVEABJGVABAUHABUIULUMUNVIUOUPUQ $.

  $( For ordinals, strict dominance implies membership.  (Contributed by Mario
     Carneiro, 13-Jan-2013.) $)
  sdomel $p |- ( ( A e. On /\ B e. On ) -> ( A ~< B -> A e. B ) ) $=
    ( con0 wcel csdm wbr wi wa wss cdom wn ssdomg adantl ontri1 domtriord con4d
    3imtr3d ancoms ) BCDZACDZABEFZABDZGSTHZUBUAUCBAIZBAJFZUBKUAKTUDUEGSBACLMBAN
    BAOQPR $.

  $( The difference of a set from a smaller set cannot be empty.  (Contributed
     by Mario Carneiro, 5-Feb-2013.) $)
  sdomdif $p |- ( A ~< B -> ( B \ A ) =/= (/) ) $=
    ( csdm wbr cdif c0 wceq wn cvv wcel wi relsdom brrelex1i ssdif0 cdom ssdomg
    wss domnsym syl6 syl5bir syl con2d pm2.43i neqned ) ABCDZBAEZFUEUFFGZHUEUGU
    EUEAIJZUGUEHZKABCLMUGBAQZUHUIBANUHUJBAODUIBAIPBARSTUAUBUCUD $.

  $( An ordinal with more elements of some type is larger.  (Contributed by
     Stefan O'Rear, 2-Nov-2014.) $)
  onsdominel $p |- ( ( A e. On /\ B e. On /\ ( A i^i C ) ~< ( B i^i C ) ) ->
      A e. B ) $=
    ( con0 wcel cin csdm wbr wa wn wb ontri1 ancoms wi cdom inex1g ssrin ssdomg
    wss cvv syl2im domnsym syl6 adantr sylbird con4d 3impia ) ADEZBDEZACFZBCFZG
    HZABEZUHUIIZUMULUNUMJZBASZULJZUIUHUPUOKBALMUHUPUQNUIUHUPUKUJOHZUQUHUJTEUPUK
    UJSURACDPBACQUKUJTRUAUKUJUBUCUDUEUFUG $.

  ${
    $d f g z A $.  $d f g z B $.  $d z C $.
    $( Dominance over a set with one element added.  (Contributed by Mario
       Carneiro, 18-May-2015.) $)
    domunsn $p |- ( A ~< B -> ( A u. { C } ) ~<_ B ) $=
      ( vz csdm wbr cv wcel csn cun cdom c0 wceq wn wex sdom0 breq2 sylib cvv
      wa mtbiri con2i neq0 cdif domdifsn adantr cen en2sn elvd endom syl biimpi
      snprc snex 0dom eqbrtrdi pm2.61i disjdifr undom mpan2 sylancl uncom simpr
      cin wss snssd undif eqtrid breqtrd exlimddv ) ABEFZDGZBHZACIZJZBKFDVKBLMZ
      NVMDOVPVKVPVKALEFAPBLAEQUAUBDBUCRVKVMTZVOBVLIZUDZVRJZBKVQAVSKFZVNVRKFZVOV
      TKFZVKWAVMABVLUEUFCSHZWBWDVNVRUGFZWBWDWEDCVLSSUHUIVNVRUJUKWDNZVNLVRKWFVNL
      MCUMULVRVLUNUOUPUQWAWBTVSVRVDLMWCVRBURAVSVNVRUSUTVAVQVTVRVSJZBVSVRVBVQVRB
      VEWGBMVQVLBVKVMVCVFVRBVGRVHVIVJ $.

    $( There exists a mapping from a set onto any (nonempty) set that it
       dominates.  (Contributed by NM, 23-Mar-2006.) $)
    fodomr $p |- ( ( (/) ~< B /\ B ~<_ A ) -> E. f f : A -onto-> B ) $=
      ( vz vg c0 cdom wa cvv wcel cv wex adantl wne crn cun sylib wceq wfun cdm
      wbr wf1 wfo reldom brrelex2i wb brrelex1i 0sdomg n0 bitrdi biimpac brdomi
      csdm syl wi ccnv cdif csn cxp difexg snex xpexg sylancl cnvex jctil unexb
      vex wfn cin wf df-f1 simprbi fconst ffun ax-mp jctir df-rn eqcomi ineq12i
      snnz dmxp disjdif eqtri funun dmun uneq1i uneq2i 3eqtr2i wss undif eqtrid
      f1f frnd df-fn sylanbrc rnun dfdm4 f1dm eqtr3id uneq1d xpeq1 eqtrdi rneqd
      0xp rn0 0ss eqsstrdi a1d rnxp adantr snssi eqsstrd ex pm2.61ine sylan9eqr
      ssequn2 df-fo foeq1 spcegv syl2im expdimp exlimdv syl3c ) FBUMUAZBAGUAZHA
      IJZDKZBJZDLZBAEKZUBZELZABCKZUCZCLZYEYFYDBAGUDUEMYEYDYIYEBIJZYDYIUFBAGUDUG
      YPYDBFNYIBIUHDBUIUJUNUKYEYLYDBAEULMYFYHYLYOUOZDYFYHYQYFYHHYKYOEYFYHYKYOYF
      YJUPZAYJOZUQZYGURZUSZPZIJZYHYKHZABUUCUCZYOYFYRIJZUUBIJZHUUDYFUUHUUGYFYTIJ
      UUAIJUUHAYSIUTYGVAYTUUAIIVBVCYJEVGVDVEYRUUBVFQUUEUUCAVHZUUCOZBRUUFUUEUUCS
      ZUUCTZARZUUIYKUUKYHYKYRSZUUBSZHYRTZUUBTZVIZFRUUKYKUUNUUOYKBAYJVJUUNBAYJVK
      VLYTUUAUUBVJUUOYTYGDVGZVMYTUUAUUBVNVOVPUURYSYTVIFUUPYSUUQYTYSUUPYJVQZVRUU
      AFNUUQYTRYGUUSVTYTUUAWAVOZVSYSAWBWCYRUUBWDVCMYKUUMYHYKUULYSYTPZAUULUUPUUQ
      PYSUUQPUVBYRUUBWEYSUUPUUQUUTWFUUQYTYSUVAWGWHYKYSAWIUVBARYKBAYJBAYJWLWMYSA
      WJQWKMUUCAWNWOUUEUUJYROZUUBOZPZBYRUUBWPYKYHUVEBUVDPZBYKUVCBUVDYKUVCYJTBYJ
      WQBAYJWRWSWTYHUVDBWIZUVFBRYHUVGUOYTFYTFRZUVGYHUVHUVDFBUVHUVDFOFUVHUUBFUVH
      UUBFUUAUSFYTFUUAXAUUAXDXBXCXEXBBXFXGXHYTFNZYHUVGUVIYHHUVDUUABUVIUVDUUARYH
      YTUUAXIXJYHUUABWIUVIYGBXKMXLXMXNUVDBXPQXOWKABUUCXQWOYNUUFCUUCIABYMUUCXRXS
      XTYAYBXMYBYC $.
  $}

  ${
    $d f A $.  $d f B $.
    $( Injection of sets implies injection on power sets.  (Contributed by
       Mario Carneiro, 9-Apr-2015.) $)
    pwdom $p |- ( A ~<_ B -> ~P A ~<_ ~P B ) $=
      ( vf cdom wbr cpw c0 wceq pweq breq1d wne wa wfo wex csdm cvv wcel reldom
      cv syl brrelex1i 0sdomg biimpar simpl fodomr syl2anc fopwdom mpan exlimiv
      wb vex wss brrelex2i pwexd 0ss sspwi ssdomg mpisyl pm2.61ne ) ABDEZAFZBFZ
      DEZGFZVBDEZAGAGHVAVDVBDAGIJUTAGKZLZBACSZMZCNZVCVGGAOEZUTVJUTVKVFUTAPQVKVF
      UJABDRUAAPUBTUCUTVFUDBACUEUFVIVCCVHPQVIVCCUKBAVHPUGUHUITUTVBPQVDVBULVEUTB
      PABDRUMUNGBBUOUPVDVBPUQURUS $.
  $}

  ${
    $d x y f A $.
    canth2.1 $e |- A e. _V $.
    $( Cantor's Theorem.  No set is equinumerous to its power set.
       Specifically, any set has a cardinality (size) strictly less than the
       cardinality of its power set.  For example, the cardinality of real
       numbers is the same as the cardinality of the power set of integers, so
       real numbers cannot be put into a one-to-one correspondence with
       integers.  Theorem 23 of [Suppes] p. 97.  For the function version, see
       ~ canth .  This is Metamath 100 proof #63.  (Contributed by NM,
       7-Aug-1994.) $)
    canth2 $p |- A ~< ~P A $=
      ( vx vy vf cpw csdm wbr cdom cen wn cvv wcel pwex cv csn snelpwi wceq wb
      wa vex sneqr sneq impbii a1i dom3 mp2an wf1o wex wfo canth f1ofo mto bren
      nex mtbir brsdom mpbir2an ) AAFZGHAUSIHZAUSJHZKALMUSLMUTBABNCDAUSCOZPZDOZ
      PZLLVBAQVCVERZVBVDRZSVBAMVDAMTVFVGVBVDCUAUBVBVDUCUDUEUFUGVAAUSEOZUHZEUIVI
      EVIAUSVHUJAVHBUKAUSVHULUMUOAUSEUNUPAUSUQUR $.
  $}

  ${
    $d x A $.
    $( Cantor's theorem with the sethood requirement expressed as an
       antecedent.  Theorem 23 of [Suppes] p. 97.  (Contributed by NM,
       7-Nov-2003.) $)
    canth2g $p |- ( A e. V -> A ~< ~P A ) $=
      ( vx cv cpw csdm wbr wceq wb pweq breq12 mpdan vex canth2 vtoclg ) CDZPEZ
      FGZAAEZFGZCABPAHQSHRTIPAJPAQSFKLPCMNO $.
  $}

  $( The power set of the power set of the union of a set does not belong to
     the set.  This theorem provides a way of constructing a new set that
     doesn't belong to a given set.  (Contributed by NM, 27-Jun-2008.) $)
  2pwuninel $p |- -. ~P ~P U. A e. A $=
    ( cuni cvv wcel cpw wn csdm wbr sdomirr wss elssuni cdom ssdomg pwexb sylbi
    canth2g sdomtr syl2anc domsdomtr ex syl6ci syl5 bitri sylibr con3i pm2.61i
    mtoi elex ) ABZCDZUIEZEZADZFUJUMULULGHZULIUMULUIJZUJUNULAKUJUOULUILHZUIULGH
    ZUNULUICMUJUIUKGHUKULGHZUQUICPUJUKCDZURUINZUKCPOUIUKULQRUPUQUNULUIULSTUAUBU
    GUMUJUMULCDZUJULAUHUJUSVAUTUKNUCUDUEUF $.

  $( No set equals the power set of its power set.  (Contributed by NM,
     17-Nov-2008.) $)
  2pwne $p |- ( A e. V -> ~P ~P A =/= A ) $=
    ( wcel cpw wceq csdm wbr sdomirr canth2g cvv pwexg syl sdomtr syl2anc breq1
    syl5ibrcom mtoi neqned ) ABCZADZDZASUAAEZUAUAFGZUAHSUCUBAUAFGZSATFGTUAFGZUD
    ABISTJCUEABKTJILATUAMNUAAUAFOPQR $.

  ${
    $d x A $.  $d x B $.  $d x V $.  $d x W $.
    $( A stronger form of ~ pwuninel .  We can use ~ pwuninel , ~ 2pwuninel to
       create one or two sets disjoint from a given set ` A ` , but here we
       show that in fact such constructions exist for arbitrarily large
       disjoint extensions, which is to say that for any set ` B ` we can
       construct a set ` x ` that is equinumerous to it and disjoint from
       ` A ` .  (Contributed by Mario Carneiro, 7-Feb-2015.) $)
    disjen $p |- ( ( A e. V /\ B e. W ) ->
      ( ( A i^i ( B X. { ~P U. ran A } ) ) = (/) /\
          ( B X. { ~P U. ran A } ) ~~ B ) ) $=
      ( vx wcel crn cuni cpw csn cxp wceq c2nd cfv c1st ad2antll fvex syl cvv
      wa cin c0 cen wbr cop 1st2nd2 simprl eqeltrrd opelrn pwuninel xp2nd elsni
      eleq1d mtbiri pm2.65da elin sylnibr eq0rdv simpr rnexg adantr uniexg 3syl
      cv pwexg xpsneng syl2anc jca ) ACFZBDFZTZABAGZHZIZJZKZUAZUBLVPBUCUDZVKEVQ
      VKEVDZAFZVSVPFZTZVSVQFVKWBVSMNZVLFZVKWBTZVSONZWCUEZAFWDWEVSWGAWAVSWGLVKVT
      VSBVOUFPVKVTWAUGUHWFWCAVSOQVSMQUIRWEWDVNVLFVLUJWEWCVNVLWEWCVOFZWCVNLWAWHV
      KVTVSBVOUKPWCVNULRUMUNUOVSAVPUPUQURVKVJVNSFZVRVIVJUSVKVLSFZVMSFWIVIWJVJAC
      UTVAVLSVBVMSVEVCBVNDSVFVGVH $.

    $( Existence version of ~ disjen .  (Contributed by Mario Carneiro,
       7-Feb-2015.) $)
    disjenex $p |- ( ( A e. V /\ B e. W ) ->
      E. x ( ( A i^i x ) = (/) /\ x ~~ B ) ) $=
      ( wcel wa cv cin c0 wceq cen wbr crn cuni cpw csn cxp cvv simpr sylancl
      snex xpexg disjen ineq2 eqeq1d breq1 anbi12d spcedv ) BDFZCEFZGZBAHZIZJKZ
      UMCLMZGBCBNOPZQZRZIZJKZUSCLMZGASUSULUKURSFUSSFUJUKTUQUBCURESUCUABCDEUDUMU
      SKZUOVAUPVBVCUNUTJUMUSBUEUFUMUSCLUGUHUI $.
  $}

  ${
    domss2.1 $e |- G = `' ( F u.
      ( 1st |` ( ( B \ ran F ) X. { ~P U. ran A } ) ) ) $.
    $( A corollary of ~ disjenex .  If ` F ` is an injection from ` A ` to
       ` B ` then ` G ` is a right inverse of ` F ` from ` B ` to a superset of
       ` A ` .  (Contributed by Mario Carneiro, 7-Feb-2015.)  (Revised by Mario
       Carneiro, 24-Jun-2015.) $)
    domss2 $p |- ( ( F : A -1-1-> B /\ A e. V /\ B e. W ) ->
     ( G : B -1-1-onto-> ran G /\ A C_ ran G /\ ( G o. F ) = ( _I |` A ) ) ) $=
      ( wcel crn wf1o wss ccom cres wceq cun ccnv cin c0 cvv ax-mp wf1 w3a cdif
      cid cuni cpw csn cxp c1st f1f1orn 3ad2ant1 simp2 rnexg syl pwexg 1stconst
      uniexg cen wbr wa difexg 3ad2ant3 disjen syl2anc simpld disjdif a1i f1oun
      3syl syl22anc undif2 wf frnd ssequn1 sylib eqtrid f1oeq3d mpbid f1ocnv wb
      f1f f1oeq1 sylibr wfo f1ofo forn mpbird ssun1 sseqtrrid cores dmres f1odm
      ssid ineq2d eqtrdi wrel relres reldm0 uneq2d cnvun eqtri reseq1i resundir
      cdm df-rn reseq2i relcnv resdm uneq1i 3eqtrri un0 3eqtr3g coeq1d f1cocnv1
      eqtrd eqtr3id 3jca ) ABCUAZAEHZBFHZUBZBDIZDJZAYBKDCLZUDAMZNYAYCBABCIZUCZA
      IZUEZUFZUGUHZOZDJZYABYLCUIYKMZOZPZJZYMYAYLBYOJZYQYAYLYFYGOZYOJZYRYAAYFCJZ
      YKYGYNJZAYKQRNZYFYGQZRNZYTXRXSUUAXTABCUJUKYAYJSHZUUBYAYHSHZYISHUUFYAXSUUG
      XRXSXTULZAEUMUNYHSUQYISUOVIYGYJSUPUNZYAUUCYKYGURUSZYAXSYGSHZUUCUUJUTUUHXT
      XRUUKXSBYFFVAVBAYGESVCVDVEUUEYAYFBVFZVGAYFYKYGCYNVHVJYAYSBYLYOYAYSYFBOZBY
      FBVKYAYFBKUUMBNYAABCXRXSABCVLXTABCWAUKVMYFBVNVOVPVQVRYLBYOVSUNDYPNYMYQVTG
      BYLDYPWBTWCZYAYBYLBDYAYMBYLDWDYBYLNUUNBYLDWEBYLDWFVIZVQWGYAYLAYBAYKWHUUOW
      IYAYDDYFMZCLZYEYFYFKUUQYDNYFWMDCYFWJTYAUUQCPZCLZYEYAUUPUURCYAUURYNPZYFMZO
      ZUURROUUPUURYAUVARUURYAUVAXDZRNZUVARNZYAUVCYFUUTXDZQZRUUTYFWKYAUVGUUDRYAU
      VFYGYFYAUUBYGYKUUTJUVFYGNUUIYKYGYNVSYGYKUUTWLVIWNUULWOVPUVAWPUVEUVDVTUUTY
      FWQUVAWRTWCWSUUPUURUUTOZYFMUURYFMZUVAOUVBDUVHYFDYPUVHGCYNWTXAXBUURUUTYFXC
      UVIUURUVAUVIUURUURXDZMZUURYFUVJUURCXEXFUURWPUVKUURNCXGUURXHTXAXIXJUURXKXL
      XMXRXSUUSYENXTABCXNUKXOXPXQ $.
  $}

  ${
    $d f g x A $.  $d f g x B $.  $d g F $.  $d f W $.
    $( A corollary of ~ disjenex .  If ` F ` is an injection from ` A ` to
       ` B ` then there is a right inverse ` g ` of ` F ` from ` B ` to a
       superset of ` A ` .  (Contributed by Mario Carneiro, 7-Feb-2015.)
       (Revised by Mario Carneiro, 24-Jun-2015.) $)
    domssex2 $p |- ( ( F : A -1-1-> B /\ A e. V /\ B e. W ) ->
      E. g ( g : B -1-1-> _V /\ ( g o. F ) = ( _I |` A ) ) ) $=
      ( wf1 wcel w3a cvv ccom cres wceq wa crn wf fex2 sylancl syl wss cid c1st
      cv cdif cuni cpw csn cxp cun ccnv f1f syl3an1 f1stres 3ad2ant3 snex xpexg
      difexg mp3an2i unexg cnvexg wf1o eqid domss2 simp1d f1of1 ssv f1ss simp3d
      syl2anc jca f1eq1 coeq1 eqeq1d anbi12d spcedv ) ABDGZAEHZBFHZIZBJCUCZGZVT
      DKZUAALZMZNBJDUBBDOZUDZAOUEUFZUGZUHZLZUIZUJZGZWLDKZWCMZNCJWLVSWKJHZWLJHVS
      DJHZWJJHZWPVPABDPVQVRWQABDUKABDEFQULWIWFWJPVSWIJHZWFJHZWRWFWHUMVSWTWHJHWS
      VRVPWTVQBWEFUQUNZWGUOWFWHJJUPRXAWIWFWJJJQURDWJJJUSVIWKJUTSVSWMWOVSBWLOZWL
      GZXBJTWMVSBXBWLVAZXCVSXDAXBTZWOABDWLEFWLVBVCZVDBXBWLVESXBVFBXBJWLVGRVSXDX
      EWOXFVHVJVTWLMZWAWMWDWOBJVTWLVKXGWBWNWCVTWLDVLVMVNVO $.

    $( Weakening of ~ domssex2 to forget the functions in favor of dominance
       and equinumerosity.  (Contributed by Mario Carneiro, 7-Feb-2015.)
       (Revised by Mario Carneiro, 24-Jun-2015.) $)
    domssex $p |- ( A ~<_ B -> E. x ( A C_ x /\ B ~~ x ) ) $=
      ( vf cdom wbr cv wf1 wex cvv wcel wss cen brdomi reldom crn cres syl wceq
      wa brrelex2i wi c1st cdif cuni cpw csn cxp cun ccnv vex wf f1stres difexg
      adantl snex xpexg sylancl fex2 mp3an2i unexg sylancr cnvexg wf1o ccom cid
      rnexg w3a simpl cdm f1dm dmex eqeltrrdi adantr eqid domss2 syl3anc simp2d
      simpr simp1d f1oen3g syl2anc jca sseq2 breq2 anbi12d spcedv exlimiv sylc
      ex ) BCEFBCDGZHZDICJKZBAGZLZCWNMFZTZAIZBCDNBCEOUAWLWMWRUBDWLWMWRWLWMTZWQB
      WKUCCWKPZUDZBPUEUFZUGZUHZQZUIZUJZPZLZCXHMFZTAJXHWSXGJKZXHJKWSXFJKZXKWSWKJ
      KXEJKZXLDUKZXDXAXEULWSXDJKZXAJKZXMXAXCUMWSXPXCJKXOWMXPWLCWTJUNUOZXBUPXAXC
      JJUQURXQXDXAXEJJUSUTWKXEJJVAVBXFJVCRZXGJVGRWSXIXJWSCXHXGVDZXIXGWKVEVFBQSZ
      WSWLBJKZWMXSXIXTVHWLWMVIWLYAWMWLBWKVJJBCWKVKWKXNVLVMVNWLWMVSBCWKXGJJXGVOV
      PVQZVRWSXKXSXJXRWSXSXIXTYBVTCXHXGJWAWBWCWNXHSWOXIWPXJWNXHBWDWNXHCMWEWFWGW
      JWHWI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Equinumerosity (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d s t u v w x y z A $.  $d s t u v w x y z C $.  $d s t u v w y z X $.
    $d u v w x z B $.  $d u v w y z D $.  $d s t u v w x z Y $.  $d u w z ph $.
    xpf1o.1 $e |- ( ph -> ( x e. A |-> X ) : A -1-1-onto-> B ) $.
    xpf1o.2 $e |- ( ph -> ( y e. C |-> Y ) : C -1-1-onto-> D ) $.
    $( Construct a bijection on a Cartesian product given bijections on the
       factors.  (Contributed by Mario Carneiro, 30-May-2015.) $)
    xpf1o $p |- ( ph -> ( x e. A , y e. C |-> <. X , Y >. ) :
        ( A X. C ) -1-1-onto-> ( B X. D ) ) $=
      ( vu vz vw vs vt wcel wral wceq wa vv c1st cfv csb c2nd cop cxp wreu cmpo
      cv wf1o xp1st adantl cmpt eqid f1ompt sylib simpld adantr nfcsb1v csbeq1a
      nfel1 eleq1d rspc sylc opelxpd ralrimiva weq wb wrex simprd r19.21bi reu6
      xp2nd anim12dan reeanv pm4.38 ralimdv impcom reximi sylbir syl vex op1std
      ex com12 csbeq1d eqeq2d op2ndd anbi12d eqeq1 bibi12d ralxp nfv nfcv nfeq2
      nfan nfbi nfralw anbi2d opeq2 eqeq1d cbvralw anbi1d ralbidv syl5bb bitr4i
      opeq1 eqeq2 bitrdi bibi2d 2ralbidv rexxp sylibr ralrimivva reubidv opeq12
      opth nfop syl2an cbvmpo opeq12d mpompt eqtr4i sylanbrc ) ABLUJZUBUCZHUDZC
      YFUEUCZIUDZUFZEGUGZQZLDFUGZRUAUJZYKSZLYNUHZUAYLRZYNYLBCDFHIUFZUIZUKAYMLYN
      AYFYNQZTZYHYJEGUUBYGDQZHEQZBDRZYHEQZUUAUUCAYFDFULUMAUUEUUAAUUEMUJZHSZBDUH
      ZMERZADEBDHUNZUKUUEUUJTJBMDEHUUKUUKUOUPUQZURUSUUDUUFBYGDBYHEBYGHUTVBBUJZY
      GSHYHEBYGHVAVCVDVEUUBYIFQZIGQZCFRZYJGQZUUAUUNAYFDFVNUMAUUPUUAAUUPNUJZISZC
      FUHZNGRZAFGCFIUNZUKUUPUVATKCNFGIUVBUVBUOUPUQZURUSUUOUUQCYIFCYJGCYIIUTVBCU
      JZYISIYJGCYIIVAVCVDVEVFVGAUUGYHSZUURYJSZTZLYNUHZNGRMERYRAUVHMNEGAUUGEQZUU
      RGQZTTZUVGLUAVHZVIZLYNRZUAYNVJZUVHUVKUUHUUSTZBOVHZCPVHZTZVIZCFRZBDRZPFVJZ
      ODVJZUVOUVKUUHUVQVIZBDRZODVJZUUSUVRVIZCFRZPFVJZTZUWDAUVIUWGUVJUWJAUVITUUI
      UWGAUUIMEAUUEUUJUULVKVLUUHBODVMUQAUVJTUUTUWJAUUTNGAUUPUVAUVCVKVLUUSCPFVMU
      QVOUWKUWFUWITZPFVJZODVJUWDUWFUWIOPDFVPUWMUWCODUWLUWBPFUWIUWFUWBUWIUWEUWAB
      DUWEUWIUWAUWEUWHUVTCFUWEUWHUVTUUHUUSUVQUVRVQWEVRWFVRVSVTVTWAWBUVNUWBUAOPD
      FUVNUVPUUMUVDUFZYOSZVIZCFRZBDRZYOOUJZPUJZUFZSZUWBUVNUUGBUWSHUDZSZUURCUWTI
      UDZSZTZUXAYOSZVIZPFRZODRUWRUVMUXILOPDFYFUXASZUVGUXGUVLUXHUXKUVEUXDUVFUXFU
      XKYHUXCUUGUXKBYGUWSHUWSUWTYFOWCZPWCZWDWGWHUXKYJUXEUURUXKCYIUWTIUWSUWTYFUX
      LUXMWIWGWHWJYFUXAYOWKWLWMUWQUXJBODUWQOWNUXIBPFBFWOUXGUXHBUXDUXFBBUUGUXCBU
      WSHUTWPUXFBWNWQUXHBWNWRWSUWQUUHUXFTZUUMUWTUFZYOSZVIZPFRUVQUXJUWPUXQCPFUWP
      PWNUXNUXPCUUHUXFCUUHCWNCUURUXECUWTIUTWPWQUXPCWNWRUVRUVPUXNUWOUXPUVRUUSUXF
      UUHUVRIUXEUURCUWTIVAWHWTUVRUWNUXOYOUVDUWTUUMXAXBWLXCUVQUXQUXIPFUVQUXNUXGU
      XPUXHUVQUUHUXDUXFUVQHUXCUUGBUWSHVAWHXDUVQUXOUXAYOUUMUWSUWTXHXBWLXEXFXCXGU
      XBUWPUVTBCDFUXBUWOUVSUVPUXBUWOUWNUXASUVSYOUXAUWNXIUUMUVDUWSUWTBWCCWCXRXJX
      KXLXFXMXNUVGLUAYNVMXNXOYQUVHUAMNEGYOUUGUURUFZSZYPUVGLYNUXSYPUXRYKSUVGYOUX
      RYKWKUUGUURYHYJMWCZNWCZXRXJXPWMXNLUAYNYLYKYTYTMNDFBUUGHUDZCUURIUDZUFZUILY
      NYKUNBCMNDFYSUYDMYSWONYSWOBUYBUYCBUUGHUTBUYCWOXSCUYBUYCCUYBWOCUURIUTXSBMV
      HHUYBSIUYCSYSUYDSCNVHBUUGHVACUURIVAHIUYBUYCXQXTYAMNLDFYKUYDYFUXRSZYHUYBYJ
      UYCUYEBYGUUGHUUGUURYFUXTUYAWDWGUYECYIUURIUUGUURYFUXTUYAWIWGYBYCYDUPYE $.
  $}

  $( Equinumerosity law for Cartesian product.  Proposition 4.22(b) of
     [Mendelson] p. 254.  (Contributed by NM, 24-Jul-2004.)  (Proof shortened
     by Mario Carneiro, 26-Apr-2015.) $)
  xpen $p |- ( ( A ~~ B /\ C ~~ D ) -> ( A X. C ) ~~ ( B X. D ) ) $=
    ( cen wbr cxp cdom cvv wcel relen brrelex1i endom xpdom1g syl2anr brrelex2i
    xpdom2g syl2an domtr syl2anc wa ensym syl sbth ) ABEFZCDEFZUAZACGZBDGZHFZUI
    UHHFZUHUIEFUGUHBCGZHFZULUIHFZUJUFCIJABHFUMUECDEKLABMABCINOUEBIJCDHFUNUFABEK
    PCDMCDBIQRUHULUISTUGUIADGZHFZUOUHHFZUKUFDIJBAHFZUPUECDEKPUEBAEFURABUBBAMUCB
    ADINOUEAIJDCHFZUQUFABEKLUFDCEFUSCDUBDCMUCDCAIQRUIUOUHSTUHUIUDT $.

  ${
    $d f g x y A $.  $d f g x y B $.  $d f g x y C $.  $d f g x y D $.
    $( Two set exponentiations are equinumerous when their bases and exponents
       are equinumerous.  Theorem 6H(c) of [Enderton] p. 139.  (Contributed by
       NM, 16-Dec-2003.)  (Proof shortened by Mario Carneiro, 26-Apr-2015.) $)
    mapen $p |- ( ( A ~~ B /\ C ~~ D ) -> ( A ^m C ) ~~ ( B ^m D ) ) $=
      ( vf vg cv wf1o wex cmap wa ccom cvv wcel wf f1of adantr adantl syl wceq
      vx vy cen wbr co bren exdistrv ccnv ovexd elmapi fco sylan f1ocnv fcod ex
      syl5 crn wfo f1ofo forn vex eqeltrrdi elmapd sylibrd id syl2anr cdm f1odm
      rnex dmex wb coass cid cres f1ococnv2 ad2antrr coeq1d adantrl fcoi2 eqtrd
      eqtr3id eqeq2d f1ococnv1 ad2antlr coeq2d fcoi1 eqtrid eqcom bitrdi bitr4d
      adantrr wf1 f1of1 simprl cocan1 syl3anc wfn ad2antll ffnd 3bitr3d syl2ani
      ffn cocan2 en3d exlimivv sylbir syl2anb ) ABUCUDABEGZHZEIZCDFGZHZFIZACJUE
      ZBDJUEZUCUDZCDUCUDABEUFCDFUFXJXMKXIXLKZFIEIXPXIXLEFUGXQXPEFXQUAUBXNXOXHUA
      GZLZXKUHZLZXHUHZUBGZXKLZLZMMXQACJUIXQBDJUIXQXRXNNZDBYAOZYAXONYFCAXROZXQYG
      XRACUJZXQYHYGXQYHKDCBXSXTXQABXHOZYHCBXSOZXIYJXLABXHPQCABXHXRUKULZXQDCXTOZ
      YHXQDCXTHZYMXLYNXICDXKUMRDCXTPSQUNZUOUPXQBDYAMMXQBXHUQZMXQABXHURZYPBTXIYQ
      XLABXHUSQABXHUTSXHEVAZVIVBXQDXKUQZMXQCDXKURZYSDTXLYTXICDXKUSRZCDXKUTSXKFV
      AZVIVBVCVDXQYCXONZCAYEOZYEXNNUUCDBYCOZXQUUDYCBDUJZXQUUEUUDXQUUEKCBAYBYDXQ
      BAYBOZUUEXQBAYBHZUUGXIUUHXLABXHUMQBAYBPSQUUEUUECDXKOZCBYDOZXQUUEVEXLUUIXI
      CDXKPRCDBYCXKUKVFZUNZUOUPXQACYEMMXQAXHVGZMXIUUMATXLABXHVHQXHYRVJVBXQCXKVG
      ZMXLUUNCTXICDXKVHRXKUUBVJVBVCVDYFXQYHUUEXRYETZYCYATZVKZUUCYIUUFXQYHUUEKZU
      UQXQUURKZXSXHYELZTZYDYAXKLZTZUUOUUPUUSUVAXSYDTZUVCUUSUUTYDXSUUSUUTXHYBLZY
      DLZYDXHYBYDVLUUSUVFVMBVNZYDLZYDUUSUVEUVGYDXIUVEUVGTXLUURABXHVOVPVQUUSUUJU
      VHYDTXQUUEUUJYHUUKVRCBYDVSSVTWAWBUUSUVCYDXSTUVDUUSUVBXSYDUUSUVBXSXTXKLZLZ
      XSXSXTXKVLUUSUVJXSVMCVNZLZXSUUSUVIUVKXSXLUVIUVKTXIUURCDXKWCWDWEUUSYKUVLXS
      TXQYHYKUUEYLWKCBXSWFSVTWGWBYDXSWHWIWJUUSABXHWLZYHUUDUVAUUOVKXIUVMXLUURABX
      HWMVPXQYHUUEWNXQUUEUUDYHUULVRCABXHXRYEWOWPUUSYTYCDWQZYADWQUVCUUPVKXQYTUUR
      UUAQUUEUVNXQYHDBYCXBWRUUSDBYAXQYHYGUUEYOWKWSCDXKYCYAXCWPWTUOXAXDXEXFXG $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Order-preserving property of set exponentiation.  Theorem 6L(c) of
       [Enderton] p. 149.  (Contributed by NM, 27-Jul-2004.)  (Revised by Mario
       Carneiro, 9-Mar-2013.) $)
    mapdom1 $p |- ( A ~<_ B -> ( A ^m C ) ~<_ ( B ^m C ) ) $=
      ( vx cdom wbr cvv wcel cmap co wa cv cen wss wex wb reldom adantl syl2anc
      c0 brrelex2i domeng syl ibi adantr simpl enrefg mapen syl2anr ovex simprr
      ad2antrr mapss ssdomg mpsyl endomtr exlimddv wn wceq elmapex simprd con3i
      eq0rdv 0dom eqbrtrdi pm2.61dan ) ABEFZCGHZACIJZBCIJZEFZVGVHKZADLZMFZVMBNZ
      KZVKDVGVPDOZVHVGVQVGBGHZVGVQPABEQUAZDABGUBUCUDUEVLVPKZVIVMCIJZMFZWAVJEFZV
      KVPVNCCMFZWBVLVNVOUFVHWDVGCGUGRAVMCCUHUIVJGHVTWAVJNZWCBCIUJZVTVRVOWEVGVRV
      HVPVSULVLVNVOUKVMBCGUMSWAVJGUNUOVIWAVJUPSUQVGVHURZKVITVJEWGVITUSVGWGDVIVM
      VIHZVHWHAGHVHVMACUTVAVBVCRVJWFVDVEVF $.
  $}

  ${
    $d f g x y A $.  $d f g x y B $.  $d f g x y C $.  $d f g x y V $.
    $d f g x y W $.  $d f g x y X $.
    $( Equinumerosity law for double set exponentiation.  Proposition 10.45 of
       [TakeutiZaring] p. 96.  (Contributed by NM, 21-Feb-2004.)  (Revised by
       Mario Carneiro, 24-Jun-2015.) $)
    mapxpen $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
      ( ( A ^m B ) ^m C ) ~~ ( A ^m ( B X. C ) ) ) $=
      ( vx vy wcel cmap co cv cfv cmpt cvv wf wral wa eqid wceq vf w3a cxp cmpo
      vg ovexd elmapi ffvelrnda syl an32s ralrimiva fmpo sylib wb simp1 3adant1
      xpexg elmapg syl2anc syl5ibr adantl fovrn sylanl1 fmpttd 3adant3 ad2antrr
      3expa mpbird ex ovex simp3 sylancr sylibrd elmapfn ad2antll fnov adantlrl
      wfn 3adant2 simp1l2 simp1l1 syl3anc fvmpt2 fveq1d simp2 sylancl mpoeq3dva
      fex2 eqtrd eqtr4d nfcv nfmpt1 nfmpt nfeq2 fveq1 a1d jctil mpoeq123 eqeq2d
      ralrimi syl5ibrcom feqmptd simprl sylan mpteq2dva nfmpo2 eqidd nfmpo1 nfv
      ad2antrl fvex ovmpt4g mp3an3 eqeq1d expcomd ralrimd mpteq12 syl6an impbid
      oveq en3d ) ADIZBEIZCFIZUBZUAUEABJKZCJKZABCUCZJKZGHBCGLZHLZUALZMZMZUDZHCG
      BYJYKUELZKZNZNZOOYEYFCJUFYEAYHJUFYLYGIZYOYIIZYEYHAYOPZYTYNAIZHCQZGBQUUBYT
      UUDGBYTYJBIZRUUCHCYTYKCIZUUEUUCYTUUFRZBAYJYMUUGYMYFIBAYMPZYTCYFYKYLYLYFCU
      GZUHYMABUGUIZUHUJUKUKGHBCYNAYOYOSZULUMYEYBYHOIZUUAUUBUNYBYCYDUOYCYDUULYBB
      CEFUQUPAYHYODOURUSUTYEYPYIIZCYFYSPZYSYGIZYEUUMUUNYEUUMRZHCYRYFUUPUUFRZYRY
      FIZBAYRPZUUQGBYQAUUPYHAYPPZUUFUUEYQAIZUUMUUTYEYPAYHUGVAUUTUUEUUFUVAUUTUUE
      UUFUVAYJYKABCYPVBVGUJVCVDZYEUURUUSUNZUUMUUFYBYCUVCYDABYRDEURVEVFVHVDVIYEY
      FOIYDUUOUUNUNABJVJYBYCYDVKYFCYSOFURVLVMYEYTUUMRZYLYSTZYPYOTZUNYEUVDRZUVEU
      VFUVGUVFUVEYPGHBCYJYKYSMZMZUDZTUVGYPGHBCYQUDZUVJUVGYPYHVRZYPUVKTUUMUVLYEY
      TYPAYHVNVOGHBCYPVPUMUVGGHBCUVIYQUVGUUEUUFUBZUVIYJYRMZYQUVMYJUVHYRUVMUUFYR
      OIZUVHYRTUVGUUEUUFVKUVMUUSYCYBUVOUVGUUFUUSUUEYEUUMUUFUUSYTUVBVQVSYBYCYDUV
      DUUEUUFVTYBYCYDUVDUUEUUFWABAYREDWHWBHCYROYSYSSWCUSWDUVMUUEYQOIUVNYQTUVGUU
      EUUFWEYJYKYPVJGBYQOYRYRSWCWFWIWGWJUVEYOUVJYPUVEBBTZCCTZYNUVITZHCQZRZGBQYO
      UVJTBSUVEUVTGBGYLYSGHCYRGCWKGBYQWLWMWNUVEUVTUUEUVEUVSUVQUVEUVRHCHYLYSHCYR
      WLWNUVEUVRUUFUVEYJYMUVHYKYLYSWOWDWPWTCSZWQWPWTGHBCYNBCUVIWRVLWSXAUVGUVEUV
      FYLHCGBYNNZNZTUVGYLHCYMNUWCUVGHCYFYLYTCYFYLPYEUUMUUIXJXBUVGHCYMUWBUVGUUFR
      GBAYMUVGYTUUFUUHYEYTUUMXCUUJXDXBXEWIUVFYSUWCYLUVFUVQYRUWBTZHCQYSUWCTUWAUV
      FUWDHCHYPYOGHBCYNXFWNUVFUVPUUFYQYNTZGBQUWDUVFBXGUVFUUFUWEGBGYPYOGHBCYNXHW
      NUUFGXIUVFUUEUUFUWEUUEUUFRUWEUVFYJYKYOKZYNTZUUEUUFYNOIUWGYJYMXKGHBCYNYOOU
      UKXLXMUVFYQUWFYNYJYKYPYOXTXNUTXOXPGBYQBYNXQXRWTHCYRCUWBXQVLWSXAXSVIYA $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z w C $.
    xpmapen.1 $e |- A e. _V $.
    xpmapen.2 $e |- B e. _V $.
    xpmapen.3 $e |- C e. _V $.
    ${
      $d y z D $.  $d y z R $.  $d x z S $.
      xpmapenlem.4 $e |- D = ( z e. C |-> ( 1st ` ( x ` z ) ) ) $.
      xpmapenlem.5 $e |- R = ( z e. C |-> ( 2nd ` ( x ` z ) ) ) $.
      xpmapenlem.6 $e |- S = ( z e. C |->
               <. ( ( 1st ` y ) ` z ) , ( ( 2nd ` y ) ` z ) >. ) $.
      $( Lemma for ~ xpmapen .  (Contributed by NM, 1-May-2004.)  (Revised by
         Mario Carneiro, 16-Nov-2014.) $)
      xpmapenlem $p |- ( ( A X. B ) ^m C ) ~~ ( ( A ^m C ) X. ( B ^m C ) ) $=
        ( wcel cfv c1st wa wceq cxp cmap co cop ovex cv wf elmap ffvelrn sylanb
        xpex xp1st syl fmptd sylibr c2nd xp2nd opelxpd sylib ffvelrnda ad2antlr
        1st2nd2 cmpt feqmptd simplr fveq1d cvv fvmpt2 mpan2 adantl eqtrd fveq2d
        opex op1st eqtrdi mpteq2dva eqtrid eqtr4d op2nd opeq12d simpll ad2antrr
        fvex simpr op1stg syl2anc sylan9eq op2ndg impbida en3i ) ABDEUAZFUBUCZD
        FUBUCZEFUBUCZUAZGHUDZIWKFUBUEWMWNDFUBUEEFUBUEUKAUFZWLPZGHWMWNWRFDGUGGWM
        PZWRCFCUFZWQQZRQZDGWRWTFPZSZXAWKPZXBDPWRFWKWQUGZXCXEWKFWQDEJKUKZLUHZFWK
        WTWQUIUJZXADEULUMMUNDFGJLUHUOZWRFEHUGHWNPZWRCFXAUPQZEHXDXEXLEPXIXADEUQU
        MNUNEFHKLUHUOZURBUFZWOPZFWKIUGIWLPXOCFWTXNRQZQZWTXNUPQZQZUDZWKIXOXCSXQX
        SDEXOFDWTXPXOXPWMPFDXPUGXNWMWNULDFXPJLUHUSZUTXOFEWTXRXOXRWNPFEXRUGXNWMW
        NUQEFXRKLUHUSZUTUROUNWKFIXGLUHUOWRXOSZWQITZXNWPTZYCYDSZXNXPXRUDZWPXOXNY
        GTWRYDXNWMWNVBVAYFXPGXRHYFXPCFXQVCZGXOXPYHTWRYDXOCFDXPYAVDVAYFGCFXBVCYH
        MYFCFXBXQYFXCSZXBXTRQXQYIXAXTRYIXAWTIQZXTYIWTWQIYCYDXCVEVFXCYJXTTZYFXCX
        TVGPYKXQXSVMCFXTVGIOVHVIVJVKZVLXQXSWTXPWCZWTXRWCZVNVOVPVQVRYFXRCFXSVCZH
        XOXRYOTWRYDXOCFEXRYBVDVAYFHCFXLVCYONYFCFXLXSYIXLXTUPQXSYIXAXTUPYLVLXQXS
        YMYNVSVOVPVQVRVTVKYCYESZWQCFXAVCZIYPCFWKWQYPWRXFWRXOYEWAXHUSZVDYPICFXTV
        CYQOYPCFXTXAYPXCSZXTXBXLUDZXAYSXQXBXSXLYPXCXQWTGQZXBYPWTXPGYPXPWPRQZGYP
        XNWPRYCYEWDZVLYPWSXKUUBGTWRWSXOYEXJWBZWRXKXOYEXMWBZGHWMWNWEWFVKVFXCXBVG
        PUUAXBTXARWCCFXBVGGMVHVIWGYPXCXSWTHQZXLYPWTXRHYPXRWPUPQZHYPXNWPUPUUCVLY
        PWSXKUUGHTUUDUUEGHWMWNWHWFVKVFXCXLVGPUUFXLTXAUPWCCFXLVGHNVHVIWGVTYSXEXA
        YTTYPFWKWTWQYRUTXADEVBUMVRVPVQVRWIWJ $.
    $}

    $( Equinumerosity law for set exponentiation of a Cartesian product.
       Exercise 4.47 of [Mendelson] p. 255.  (Contributed by NM, 23-Feb-2004.)
       (Proof shortened by Mario Carneiro, 16-Nov-2014.) $)
    xpmapen $p |- ( ( A X. B ) ^m C ) ~~ ( ( A ^m C ) X. ( B ^m C ) ) $=
      ( vx vy vz vw cv cfv c1st cmpt c2nd cop 2fveq3 cbvmptv weq fveq2 opeq12d
      xpmapenlem ) GHIABCJCJKZGKZLZMLZNJCUEOLZNJCUCHKZMLZLZUCUHOLZLZPZNDEFJICUF
      IKZUDLZMLUCUNMUDQRJICUGUOOLUCUNOUDQRJICUMUNUILZUNUKLZPJISUJUPULUQUCUNUITU
      CUNUKTUARUB $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y V $.  $d x y W $.
    $d x y X $.
    $( Equinumerosity law for set exponentiation of a disjoint union.  Exercise
       4.45 of [Mendelson] p. 255.  (Contributed by NM, 23-Sep-2004.)  (Revised
       by Mario Carneiro, 29-Apr-2015.) $)
    mapunen $p |- ( ( ( A e. V /\ B e. W /\ C e. X ) /\ ( A i^i B ) = (/) ) ->
                  ( C ^m ( A u. B ) ) ~~ ( ( C ^m A ) X. ( C ^m B ) ) ) $=
      ( vx wcel c0 wceq wa cun cmap co cres cop cvv ovexd wf elmapi w3a cin cxp
      vy cv c1st cfv c2nd xpexd ssun1 fssres sylancl ssun2 opelxp simpl3 simpl1
      wss jca elmapd simpl2 anbi12d syl5bb syl5ibr xp1st adantl syl xp2nd fun2d
      simplr unexg syl2anc sylibrd 1st2nd2 ad2antll adantrl res0 eqtr4i reseq2d
      ex wb 3eqtr4a fresaunres1 syl3anc opeq12d eqtr4d reseq1 eqeq2d syl5ibrcom
      fresaunres2 wfn ffn fnresdm 3syl ad2antrl eqcomd vex resex op1std uneq12d
      op2ndd resundi eqtr4di impbid en3d ) ADHZBEHZCFHZUAZABUBZIJZKZGUDCABLZMNZ
      CAMNZCBMNZUCZGUEZAOZXQBOZPZUDUEZUFUGZYAUHUGZLZQQXKCXLMRXKXNXOQQXKCAMRXKCB
      MRUIXQXMHZXTXPHZXKACXRSZBCXSSZKZYEYGYHYEXLCXQSZAXLUQYGXQCXLTZABUJXLCAXQUK
      ULYEYJBXLUQYHYKBAUMXLCBXQUKULURYFXRXNHZXSXOHZKXKYIXRXSXNXOUNXKYLYGYMYHXKC
      AXRFDXEXFXGXJUOZXEXFXGXJUPZUSXKCBXSFEYNXEXFXGXJUTZUSVAVBVCXKYAXPHZXLCYDSZ
      YDXMHXKYQYRXKYQKZABCYBYCYSYBXNHZACYBSZYQYTXKYAXNXOVDVEYBCATVFZYSYCXOHZBCY
      CSZYQUUCXKYAXNXOVGVEYCCBTVFZXHXJYQVIVHVSXKCXLYDFQYNXKXEXFXLQHYOYPABDEVJVK
      USVLXKYEYQKZXQYDJZYAXTJZVTXKUUFKZUUGUUHUUIUUHUUGYAYDAOZYDBOZPZJUUIYAYBYCP
      ZUULYQYAUUMJXKYEYAXNXOVMVNUUIUUJYBUUKYCUUIUUAUUDYBXIOZYCXIOZJZUUJYBJXKYQU
      UAYEUUBVOZXKYQUUDYEUUEVOZUUIYBIOZYCIOZUUNUUOUUSIUUTYBVPYCVPVQUUIXIIYBXHXJ
      UUFVIZVRUUIXIIYCUVAVRWAZABCYBYCWBWCUUIUUAUUDUUPUUKYCJUUQUURUVBABCYBYCWIWC
      WDWEUUGXTUULYAUUGXRUUJXSUUKXQYDAWFXQYDBWFWDWGWHUUIUUGUUHXQXQXLOZJUUIUVCXQ
      YEUVCXQJZXKYQYEYJXQXLWJUVDYKXLCXQWKXLXQWLWMWNWOUUHYDUVCXQUUHYDXRXSLUVCUUH
      YBXRYCXSXRXSYAXQAGWPZWQZXQBUVEWQZWRXRXSYAUVFUVGWTWSXQABXAXBWGWHXCVSXD $.
  $}

  $( A cardinal power with exponent 2 is equivalent to a Cartesian product with
     itself.  (Contributed by Mario Carneiro, 31-May-2015.)  (Proof shortened
     by AV, 17-Jul-2022.) $)
  map2xp $p |- ( A e. V -> ( A ^m 2o ) ~~ ( A X. A ) ) $=
    ( wcel c2o cmap co c0 csn c1o cxp cen wbr cun cpr cvv wceq snex a1i syl2anc
    mapsnend df2o3 df-pr eqtri oveq2i cin id wn 1n0 neii elsni mto disjsn mpbir
    mapunen syl31anc eqbrtrid 0ex 1oex xpen entr ) ABCZADEFZAGHZEFZAIHZEFZJZKLV
    GAAJZKLZVBVHKLVAVBAVCVEMZEFZVGKDVJAEDGINVJUAGIUBUCUDVAVCOCZVEOCZVAVCVEUEGPZ
    VKVGKLVLVAGQRVMVAIQRVAUFZVNVAVNIVCCZUGVPIGPIGUHUIIGUJUKVCIULUMRVCVEAOOBUNUO
    UPVAVDAKLVFAKLVIVAAGBOVOGOCVAUQRTVAAIBOVOIOCVAURRTVDAVFAUSSVBVGVHUTS $.

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x V $.  $d x W $.
    $( Order-preserving property of set exponentiation.  Theorem 6L(d) of
       [Enderton] p. 149.  (Contributed by NM, 23-Sep-2004.)  (Revised by Mario
       Carneiro, 30-Apr-2015.) $)
    mapdom2 $p |- ( ( A ~<_ B /\ -. ( A = (/) /\ C = (/) ) ) ->
                  ( C ^m A ) ~<_ ( C ^m B ) ) $=
      ( vx cdom wbr c0 wceq wa wn cvv wcel cmap wne simplr syl eqbrtrdi syl2anc
      co cen simpr oveq1d idd jctird mtod neqned map0b eqtrd ovex cv wss simpll
      0dom wex wb reldom brrelex2i ad2antrr domeng mpbid ad2antlr simprrl mapen
      enrefg cdif cxp ovexd simprl difexd map0g simpl syl6bi necon3d mpd xpdom3
      wi syl3anc cun cin vex a1i disjdif mapunen syl31anc ensymd simprrr oveq2d
      undif sylib breqtrd domentr endomtr expr exlimdv adantlr pm2.61dane an32s
      ex reldmmap ovprc1 pm2.61d1 ) ABEFZAGHZCGHZIZJZIZCKLZCAMSZCBMSZEFZXGXHXKX
      BXHXFXKXBXHIZXFIZXKCGXMXDIZXIGXJEXNXIGAMSZGXNCGAMXMXDUAZUBXNAGNXOGHXNAGXN
      XCXEXLXFXDOXNXCXCXDXNXCUCXPUDUEUFAUGPUHXJCBMUIUMZQXLCGNZXKXFXLXRIZADUJZTF
      ZXTBUKZIZDUNZXKXSXBYDXBXHXRULXSBKLZXBYDUOXBYEXHXRABEUPUQZURDABKUSPUTXSYCX
      KDXLXRYCXKXLXRYCIZIZXICXTMSZTFZYIXJEFZXKYHCCTFZYAYJXHYLXBYGCKVDVAXLXRYAYB
      VBCCAXTVCRYHYIYICBXTVEZMSZVFZEFZYOXJTFYKYHYIKLYNKLYNGNZYPYHCXTMVGYHCYMMVG
      YHXRYQXLXRYCVHYHXHYMKLZXRYQVPXBXHYGOZYHBXTKXBYEXHYGYFURVIZXHYRIZYNGCGUUAY
      NGHXDYMGNZIXDCYMKKVJXDUUBVKVLVMRVNYIYNKKVOVQYHYOCXTYMVRZMSZXJTYHUUDYOYHXT
      KLZYRXHXTYMVSGHZUUDYOTFUUEYHDVTWAYTYSUUFYHXTBWBWAXTYMCKKKWCWDWEYHUUCBCMYH
      YBUUCBHXLXRYAYBWFXTBWHWIWGWJYIYOXJWKRXIYIXJWLRWMWNVNWOWPWQWRXHJXIGXJECAMW
      SWTXQQXA $.

    $( Set exponentiation dominates the base.  (Contributed by Mario Carneiro,
       30-Apr-2015.)  (Proof shortened by AV, 17-Jul-2022.) $)
    mapdom3 $p |- ( ( A e. V /\ B e. W /\ B =/= (/) ) -> A ~<_ ( A ^m B ) ) $=
      ( vx wcel c0 wne cmap co cdom wbr cv wex wa n0 w3a csn cen wceq ensymd wn
      simp1 simp3 mapsnend wss simp2 snssd ssdomg sylc vex simpl necon3ai ax-mp
      snnz mapdom2 sylancl endomtr syl2anc 3expia exlimdv syl5bi 3impia ) ACFZB
      DFZBGHZAABIJZKLZVFEMZBFZENVDVEOZVHEBPVKVJVHEVDVEVJVHVDVEVJQZAAVIRZIJZSLVN
      VGKLZVHVLVNAVLAVICBVDVEVJUCVDVEVJUDZUEUAVLVMBKLZVMGTZAGTZOZUBZVOVLVEVMBUF
      VQVDVEVJUGVLVIBVPUHVMBDUIUJVMGHWAVIEUKUOVTVMGVRVSULUMUNVMBAUPUQAVNVGURUSU
      TVAVBVC $.

    $( If two sets are equinumerous, then their power sets are equinumerous.
       Proposition 10.15 of [TakeutiZaring] p. 87.  (Contributed by NM,
       29-Jan-2004.)  (Revised by Mario Carneiro, 9-Apr-2015.) $)
    pwen $p |- ( A ~~ B -> ~P A ~~ ~P B ) $=
      ( cen wbr cpw c2o cmap cvv wcel relen brrelex1i pw2eng syl com 2onn elexi
      co enref entr syl2anc mapen mpan brrelex2i ensym 3syl ) ABCDZAEZFAGQZCDZU
      HBEZCDZUGUJCDUFAHIUIABCJKAHLMUFUHFBGQZCDZULUJCDZUKFFCDUFUMFFNOPRFFABUAUBU
      FBHIUJULCDUNABCJUCBHLUJULUDUEUHULUJSTUGUHUJST $.
  $}

  ${
    $d x y z f A $.  $d x y z f B $.  $d x y z f C $.
    $( Equinumerosity of equinumerous subsets of a set.  (Contributed by NM,
       30-Sep-2004.)  (Revised by Mario Carneiro, 16-Nov-2014.) $)
    ssenen $p |- ( A ~~ B ->
             { x | ( x C_ A /\ x ~~ C ) } ~~ { x | ( x C_ B /\ x ~~ C ) } ) $=
      ( vf cen wbr cv cab cin wss wa cima cvv wcel wceq syl sylan elin elpw cpw
      vy vz wf1o wex bren ccnv cdm f1odm vex dmex eqeltrrdi inex1g 3syl crn wfo
      pwexg f1ofo forn rnex wf1 f1of1 adantr simpr f1imaen2g syl22anc entr expl
      a1i imassrn sseqtrid jctild breq1 elab anbi12i bitri imaex 3imtr4g f1ocnv
      wi f1f1orn f1imaen cnvex wb simpl elpwid sylbi imaeq2 f1orel dfrel2 sylib
      imaeq1d f1imacnv eqtr3d sylan9eqr eqcomd ex sylan2 adantrl adantrr impbid
      wrel en3d exlimiv df-pw ineq1i inab eqtri 3brtr3g ) BCFGZBUAZAHZDFGZAIZJZ
      CUAZXNJZXLBKZXMLAIZXLCKZXMLAIZFXJBCEHZUDZEUEXOXQFGZBCEUFYCYDEYCUBUCXOXQYB
      UBHZMZYBUGZUCHZMZNNYCBNOXKNOXONOYCBYBUHNBCYBUIYBEUJZUKULBNUQXKXNNUMUNYCCN
      OZXPNOXQNOYCCYBUOZNYCBCYBUPZYLCPBCYBURZBCYBUSZQYBYJUTULZCNUQXPXNNUMUNYCYE
      BKZYEDFGZLZYFCKZYFDFGZLZYEXOOZYFXQOZYCYSUUAYTYCYQYRUUAYCYQLZYFYEFGZYRUUAU
      UEBCYBVAZYKYQYENOZUUFYCUUGYQBCYBVBZVCYCYKYQYPVCYCYQVDUUHUUEUBUJZVIBCYEYBN
      VEVFYFYEDVGRVHYCYMYTYNYMYLYFCYBYEVJYOVKQVLUUCYEXKOZYEXNOZLZYSYEXKXNSZUUKY
      QUULYRYEBUUJTXMYRAYEUUJXLYEDFVMVNVOVPUUDYFXPOZYFXNOZLUUBYFXPXNSUUOYTUUPUU
      AYFCYBYEYJVQZTXMUUAAYFUUQXLYFDFVMVNVOVPVRYCYHCKZYHDFGZLZYIBKZYIDFGZLZYHXQ
      OZYIXOOZYCCBYGUDZUUTUVCVTBCYBVSZUVFUUTUVBUVAUVFUURUUSUVBUVFUURLYIYHFGZUUS
      UVBUVFCYGUOZYGVAZUURUVHUVFCBYGVAZCUVIYGUDUVJCBYGVBZCBYGWACUVIYGVBUNCUVIYH
      YGUCUJZWBRYIYHDVGRVHUVFCBYGUPZUVACBYGURUVNUVIYIBYGYHVJCBYGUSVKQVLQUVDYHXP
      OZYHXNOZLZUUTYHXPXNSZUVOUURUVPUUSYHCUVMTXMUUSAYHUVMXLYHDFVMVNVOVPUVEYIXKO
      ZYIXNOZLUVCYIXKXNSUVSUVAUVTUVBYIBYGYHYBYJWCVQZTXMUVBAYIUWAXLYIDFVMVNVOVPV
      RYCUUCUVDLZYEYIPZYHYFPZWDYCUWBLUWCUWDYCUVDUWCUWDVTZUUCUVDYCUURUWEUVDUVQUU
      RUVRUVQYHCUVOUVPWEWFWGYCUURLZUWCUWDUWFUWCLYFYHUWCUWFYFYBYIMZYHYEYIYBWHUWF
      YGUGZYIMZUWGYHYCUWIUWGPUURYCUWHYBYIYCYBXBUWHYBPBCYBWIYBWJWKWLVCYCUVKUURUW
      IYHPYCUVFUVKUVGUVLQCBYHYGWMRWNWOWPWQWRWSYCUUCUWDUWCVTZUVDUUCYCYQUWJUUCUUM
      YQUUNUUMYEBUUKUULWEWFWGUUEUWDUWCUUEUWDLYIYEUWDUUEYIYGYFMZYEYHYFYGWHYCUUGY
      QUWKYEPUUIBCYEYBWMRWOWPWQWRWTXAWQXCXDWGXOXRAIZXNJXSXKUWLXNABXEXFXRXMAXGXH
      XQXTAIZXNJYAXPUWMXNACXEXFXTXMAXGXHXI $.
  $}

  ${
    $d x y A $.  $d x y V $.
    limenpsi.1 $e |- Lim A $.
    $( A limit ordinal is equinumerous to a proper subset of itself.
       (Contributed by NM, 30-Oct-2003.)  (Revised by Mario Carneiro,
       16-Nov-2014.) $)
    limenpsi $p |- ( A e. V -> A ~~ ( A \ { (/) } ) ) $=
      ( vx vy wcel c0 csn cdif cdom wbr cv csuc wb ax-mp con0 wceq ordelon mpan
      cvv cen difexg wne wlim limsuc biimpi nsuceq0 sylanblrc word limord suc11
      eldifsn syl2an dom3 mpdan wss difss ssdomg mpi sbth syl2anc ) ABFZAAGHZIZ
      JKZVDAJKZAVDUAKVBVDTFVEAVCBUBDEAVDDLZMZELZMZBTVGAFZVHAFZVHGUCVHVDFVKVLAUD
      ZVKVLNCAVGUEOUFVGUGVHAGULUHVKVGPFZVIPFZVHVJQVGVIQNVIAFZAUIZVKVNVMVQCAUJOZ
      AVGRSVQVPVOVRAVIRSVGVIUKUMUNUOVBVDAUPVFAVCUQVDABURUSAVDUTVA $.
  $}

  ${
    limensuci.1 $e |- Lim A $.
    $( A limit ordinal is equinumerous to its successor.  (Contributed by NM,
       30-Oct-2003.) $)
    limensuci $p |- ( A e. V -> A ~~ suc A ) $=
      ( wcel csn cdif cun csuc cen wbr limenpsi ensymd cvv 0ex en2sn wceq ax-mp
      c0 cin mpbi mpan wa disjdifr wn word wlim limord ordirr disjsn mpbir unen
      mpanr12 syl2anc wss 0ellim snss undif uncom eqtr3i df-suc 3brtr4g ) ABDZA
      REZFZVCGZAAEZGZAAHIVBVDAIJZVCVFIJZVEVGIJZVBAVDABCKLRMDVBVINRAMBOUAVHVIUBV
      DVCSRPAVFSRPZVJVCAUCVKAADUDZAUEZVLAUFZVMCAUGQAUHQAAUIUJVDAVCVFUKULUMVCVDG
      ZAVEVCAUNZVOAPRADZVPVNVQCAUOQRANUPTVCAUQTVCVDURUSAUTVA $.
  $}

  $( A limit ordinal is equinumerous to its successor.  (Contributed by NM,
     30-Oct-2003.) $)
  limensuc $p |- ( ( A e. V /\ Lim A ) -> A ~~ suc A ) $=
    ( wlim wcel csuc cen wbr wi con0 cif wceq eleq1 suceq breq12d imbi12d limeq
    id limon elimhyp limensuci dedth impcom ) ACZABDZAAEZFGZUCUDUFHUCAIJZBDZUGU
    GEZFGZHAIAUGKZUDUHUFUJAUGBLUKAUGUEUIFUKQAUGMNOUGBUCUGCICAIAUGPIUGPRSTUAUB
    $.

  ${
    $d x y A $.
    $( Any infinite ordinal is equinumerous to its successor.  Exercise 7 of
       [TakeutiZaring] p. 88.  Proved without the Axiom of Infinity.
       (Contributed by NM, 30-Oct-2003.)  (Revised by Mario Carneiro,
       13-Jan-2013.) $)
    infensuc $p |- ( ( A e. On /\ _om C_ A ) -> A ~~ suc A ) $=
      ( vx vy con0 wcel com wss wa csuc cen wbr wceq cvv wi cv id suceq breq12d
      csn vex onprc eleq1 mtbiri ssexg nsyl3 omon ori nsyl2 weq limom limensuci
      ancoms sucex en2sn mp2an cin c0 wel wn eloni ordirr disjsn sylibr sucelon
      word syl 3imtr4i jca cun unen df-suc 3brtr4g ex syl5 mpan2 com12 ad2antrr
      wlim wral limensuc mpan a1d tfindsg exp31 com23 imp mpd ) ADEZFAGZHZFDEZA
      AIZJKZWJFDLZWKWNFMEZWJWNWODMEUAFDMUBUCWIWHWOFADUDULUEWKWNUFUGUHWHWIWKWMNW
      HWKWIWMWHWKWIWMBOZWPIZJKZFFIZJKCOZWTIZJKZXAXAIZJKZWMBCAFWPFLZWPFWQWSJXEPW
      PFQRBCUIZWPWTWQXAJXFPWPWTQRWPXALZWPXAWQXCJXGPWPXAQRWPALZWPAWQWLJXHPWPAQRF
      DUJUKWTDEZXBXDNWKFWTGZXBXIXDXBWTSZXASZJKZXIXDNWTMEXAMEXMCTZWTXNUMWTXAMMUN
      UOXIWTXKUPUQLZXAXLUPUQLZHZXBXMHZXDXIXOXPXICCURUSZXOXIWTVEXSWTUTWTVAVFWTWT
      VBVCXADEZXAXAEUSZXIXPXTXAVEYAXAUTXAVAVFWTVDXAXAVBVGVHXRXQXDXRXQHWTXKVIXAX
      LVIXAXCJWTXAXKXLVJWTVKXAVKVLVMVNVOVPVQWPVRZWKHFWPGZHWRXJXBNCWPVSYBWRWKYCW
      PMEYBWRBTWPMVTWAVQWBWCWDWEWFWG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Pigeonhole Principle
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Lemma for Pigeonhole Principle.  If we join a natural number to itself
     minus an element, we end up with its successor minus the same element.
     (Contributed by NM, 25-May-1998.) $)
  phplem1 $p |- ( ( A e. _om /\ B e. A ) ->
             ( { A } u. ( A \ { B } ) ) = ( suc A \ { B } ) ) $=
    ( com wcel wa csn cin c0 wceq cdif cun csuc word nnord nordeq disjsn2 sylan
    wne syl undif4 df-suc equncomi difeq1i eqtr4di ) ACDZBADZEAFZBFZGHIZUGAUHJK
    ZALZUHJZIUEAMZUFUIANUMUFEABRUIABOABPSQUIUJUGAKZUHJULUGAUHTUKUNUHUKAUGAUAUBU
    CUDS $.

  ${
    $d f A $.  $d f B $.
    phplem2.1 $e |- A e. _V $.
    phplem2.2 $e |- B e. _V $.
    $( Lemma for Pigeonhole Principle.  A natural number is equinumerous to its
       successor minus one of its elements.  (Contributed by NM, 11-Jun-1998.)
       (Revised by Mario Carneiro, 16-Nov-2014.) $)
    phplem2 $p |- ( ( A e. _om /\ B e. A ) -> A ~~ ( suc A \ { B } ) ) $=
      ( com wcel wa csn cdif cun csuc cen wbr cin c0 wceq cvv wss syl eqtrid
      wf1o snex f1osn f1oen3g mp2an difexi enref pm3.2i incom difss ssrin ax-mp
      cop word nnord orddisj sseqtrid disjdif jctil unen sylancr adantr difsnid
      ss0 uncom adantl phplem1 3brtr3d ) AEFZBAFZGBHZAVKIZJZAHZVLJZAAKVKILVIVMV
      OLMZVJVIVKVNLMZVLVLLMZGVKVLNOPZVNVLNZOPZGVPVQVRBAUMZHZQFVKVNWCUAVQWBUBBAD
      CUCVKVNWCQUDUEVLAVKCUFUGUHVIWAVSVIVTVLVNNZOVNVLUIVIWDORWDOPVIAVNNZWDOVLAR
      WDWERAVKUJVLAVNUKULVIAUNWEOPAUOAUPSUQWDVDSTVKAURUSVKVNVLVLUTVAVBVJVMAPVIV
      JVMVLVKJAVKVLVEABVCTVFABVGVH $.

    $( Lemma for Pigeonhole Principle.  A natural number is equinumerous to its
       successor minus any element of the successor.  (Contributed by NM,
       26-May-1998.) $)
    phplem3 $p |- ( ( A e. _om /\ B e. suc A ) -> A ~~ ( suc A \ { B } ) ) $=
      ( csuc wcel com wceq wo csn cdif cen wbr elsuci phplem2 enref word orddif
      wa nnord syl sneq difeq2d eqcoms sylan9eq breqtrid jaodan sylan2 ) BAEZFA
      GFZBAFZBAHZIAUIBJZKZLMZBANUJUKUOULABCDOUJULSAAUNLACPUJULAUIAJZKZUNUJAQAUQ
      HATARUAUQUNHABABHUPUMUIABUBUCUDUEUFUGUH $.

    $( Lemma for Pigeonhole Principle.  Equinumerosity of successors implies
       equinumerosity of the original natural numbers.  (Contributed by NM,
       28-May-1998.)  (Revised by Mario Carneiro, 24-Jun-2015.) $)
    phplem4 $p |- ( ( A e. _om /\ B e. _om )
                    -> ( suc A ~~ suc B -> A ~~ B ) ) $=
      ( csuc cen wbr com wcel csn cdif cima cvv sylancl ensymd wceq syl imaeq2d
      vf wa cv wf1o wex bren cfv wf1 f1of1 adantl wss sssucid f1imaen2g mpanr12
      sucex word nnord orddif wfn f1ofn sucid fnsnfv difeq2d crn imadmrn eqcomi
      cdm wfo f1ofo forn f1odm 3eqtr3a difeq1d ccnv wfun dff1o3 imadif 3eqtr4rd
      simplbiim sylan9eq breqtrd fnfvelrn eleq2d mpbid fvex phplem3 sylan2 entr
      wb syl2an anandirs ex exlimdv syl5bi ) AEZBEZFGWMWNSUAZUBZSUCAHIZBHIZTZAB
      FGZWMWNSUDWSWPWTSWSWPWTWQWRWPWTWQWPTZAWNAWOUEZJZKZFGXDBFGWTWRWPTZXAAWOALZ
      XDFXAXFAXAWMWNWOUFZWNMIZXFAFGZWPXGWQWMWNWOUGUHBDUMXGXHTAWMUIAMIXIAUJCWMWN
      AWOMUKULNOWQWPXFWOWMAJZKZLZXDWQAXKWOWQAUNAXKPAUOAUPQRWPWOWMLZXCKXMWOXJLZK
      ZXDXLWPXCXNXMWPWOWMUQZAWMIZXCXNPWMWNWOURZACUSZWMAWOUTNVAWPWNXMXCWPWOVBZWO
      WOVEZLZWNXMYBXTWOVCVDWPWMWNWOVFZXTWNPWMWNWOVGZWMWNWOVHZQWPYAWMWOWMWNWOVIR
      VJVKWPYCWOVLVMXLXOPWMWNWOVNWMXJWOVOVQVPVRVSXEBXDWPWRXBWNIZBXDFGWPXBXTIZYF
      WPXPXQYGXRXSWMAWOVTNWPYCYGYFWGYDYCXTWNXBYEWAQWBBXBDAWOWCWDWEOAXDBWFWHWIWJ
      WKWL $.
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Two equinumerous natural numbers are equal.  Proposition 10.20 of
       [TakeutiZaring] p. 90 and its converse.  Also compare Corollary 6E of
       [Enderton] p. 136.  (Contributed by NM, 28-May-1998.) $)
    nneneq $p |- ( ( A e. _om /\ B e. _om ) -> ( A ~~ B <-> A = B ) ) $=
      ( vz vy vw com wcel cen wceq cv wi wral breq1 eqeq1 imbi12d ralbidv breq2
      wbr c0 eqeq2 vx wa csuc ensym en0 eqcom bitri sylib rgenw wrex wo bibi12d
      nn0suc wb mpbiri biimpd a1i nfv nfra1 vex phplem4 imim1d ex a2d rsp impel
      nfan suceq syl8 biimprcd syl6 rexlimd jaod ralrimdv cbvralvw syl6ib finds
      syl7 rspcv mpan9 eqeng adantr impbid ) AFGZBFGZUBABHRZABIZWDACJZHRZAWHIZK
      ZCFLZWEWFWGKZUAJZWHHRZWNWHIZKZCFLSWHHRZSWHIZKZCFLDJZWHHRZXAWHIZKZCFLZXAUC
      ZWHHRZXFWHIZKZCFLZWLUADAWNSIZWQWTCFXKWOWRWPWSWNSWHHMWNSWHNOPWNXAIZWQXDCFX
      LWOXBWPXCWNXAWHHMWNXAWHNOPWNXFIZWQXICFXMWOXGWPXHWNXFWHHMWNXFWHNOPWNAIZWQW
      KCFXNWOWIWPWJWNAWHHMWNAWHNOPWTCFWRWHSHRZWSSWHUDXOWHSIWSWHUEWHSUFUGUHUIXAF
      GZXEXFEJZHRZXFXQIZKZEFLXJXPXEXTEFXQFGXQSIZXQWHUCZIZCFUJZUKZXPXEXTCXQUMXPX
      EYEXTKXPXEUBZYAXTYDYAXTKYFYAXRXSYAXRXSUNXFSHRZXFSIZUNXFUEYAXRYGXSYHXQSXFH
      QXQSXFTULUOUPUQYFYCXTCFXPXECXPCURXDCFUSVGXTCURYFWHFGZXFYBHRZXFYBIZKZYCXTK
      YFYIYJXCYKXPYIXDKYIYJXCKZKXEXPYIXDYMXPYIXDYMKXPYIUBYJXBXCXAWHDUTCUTVAVBVC
      VDXDCFVEVFXAWHVHVIYCXTYLYCXRYJXSYKXQYBXFHQXQYBXFTOVJVKVLVMVCVRVNXTXIECFXQ
      WHIXRXGXSXHXQWHXFHQXQWHXFTOVOVPVQWKWMCBFWHBIWIWFWJWGWHBAHQWHBATOVSVTWDWGW
      FKWEABFWAWBWC $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Pigeonhole Principle.  A natural number is not equinumerous to a proper
       subset of itself.  Theorem (Pigeonhole Principle) of [Enderton] p. 134.
       The theorem is so-called because you can't put _n_ + 1 pigeons into _n_
       holes (if each hole holds only one pigeon).  The proof consists of
       lemmas ~ phplem1 through ~ phplem4 , ~ nneneq , and this final piece of
       the proof.  (Contributed by NM, 29-May-1998.) $)
    php $p |- ( ( A e. _om /\ B C. A ) -> -. A ~~ B ) $=
      ( vx vy com wcel wpss cen wbr wn wi wa cv wceq c0 wss wne cdom cvv imp wb
      csuc wrex 0ss sspsstr mpan df-ne bitri sylib nn0suc orcanai sylan2 pssnel
      0pss wex csn cdif pssss ssdif cin disjsn disj3 bitr3i sseq1 sylbi syl5ibr
      sucex difexi ssdomg ax-mp syl56 phplem3 ensymd domentr syl2an exp43 com4r
      vex exlimiv mpcom endomtr sssucid sbth sylancl expcom peano2b nnord sucid
      mp2 word nordeq nneneq sylanb anidms necon3bbid mpbird nsyli com12 psseq2
      syli breq1 notbid imbi12d syl5ibrcom rexlimiv syl ex pm2.43d ) AEFZBAGZAB
      HIZJZXIXJXLXIXJXJXLKZXIXJLACMZUBZNZCEUCZXMXJXIAONZJZXQXJOAGZXSOBPXJXTBUDO
      BAUEUFXTAOQXSAUNAOUGUHUIXIXRXQCAUJUKULXPXMCEXNEFZXMXPBXOGZXOBHIZJZKYBYAYD
      YAYBBXNRIZYDDMZXOFZYFBFJZLZDUOYBYAYEKZDBXOUMYIYBYJKZDYGYHYKYHYBYAYGYEYHYB
      YAYGYEYHYBLBXOYFUPZUQZRIZYMXNHIYEYAYGLZYHYBYNYBBXOPZYHBYMPZYNBXOURYPYQYHB
      YLUQZYMPZBXOYLUSYHBYRNZYQYSUAYHBYLUTONYTBYFVABYLVBVCBYRYMVDVEVFYMSFYQYNKX
      OYLXNCVRZVGZVHBYMSVIVJVKTYOXNYMXNYFUUADVRVLVMBYMXNVNVOVPVQTVSVTYEYCXOXNHI
      ZYAYCYEUUCYCYELXOXNRIXNXORIZUUCXOBXNWAXOSFXNXOPUUDUUBXNWBXNXOSVIWIXOXNWCW
      DWEYAUUCJXOXNQZYAXOWJZXNXOFUUEYAXOEFZUUFXNWFZXOWGVEXNUUAWHXOXNWKWDYAUUCXO
      XNYAUUCXOXNNUAZYAUUGYAUUIUUHXOXNWLWMWNWOWPWQWTWRXPXJYBXLYDAXOBWSXPXKYCAXO
      BHXAXBXCXDXEXFXGXHT $.

    $( Corollary of Pigeonhole Principle.  (Contributed by NM, 31-May-1998.) $)
    php2 $p |- ( ( A e. _om /\ B C. A ) -> B ~< A ) $=
      ( vx com wcel wpss csdm wbr cv wa wceq eleq1 psseq2 anbi12d breq2 imbi12d
      wi cdom cen cvv wss vex pssss ssdomg mpsyl adantl php ensym nsyl sylanbrc
      wn brsdom vtoclg anabsi5 ) ADEZBAFZBAGHZCIZDEZBURFZJZBURGHZQUOUPJZUQQCADU
      RAKZVAVCVBUQVDUSUOUTUPURADLURABMNURABGOPVABURRHZBURSHZUKVBUTVEUSURTEUTBUR
      UAVECUBBURUCBURTUDUEUFVAURBSHVFURBUGBURUHUIBURULUJUMUN $.
  $}

  ${
    $d f x y A $.  $d f x y B $.
    $( Corollary of Pigeonhole Principle.  If ` A ` is finite and ` B ` is a
       proper subset of ` A ` , the ` B ` is strictly less numerous than
       ` A ` .  Stronger version of Corollary 6C of [Enderton] p. 135.
       (Contributed by NM, 22-Aug-2008.) $)
    php3 $p |- ( ( A e. Fin /\ B C. A ) -> B ~< A ) $=
      ( vx vf vy wcel wpss wbr cv cen com wi wa wn wss imp wf1o wex cima syl c0
      cfn csdm wrex isfi cvv relen brrelex1i pssss ssdomg syl2an adantll imass2
      cdom bren adantl cdif pssnel eldif cfv f1ofn difss fnfvima 3expia sylancl
      wceq wfn wfo ccnv wfun dff1o3 imadif simplbiim eleq2d sylibd syl6 syl5bir
      n0i exlimdv sylan2 ssdif0 sylnibr dfpss3 sylanbrc cdm crn imadmrn imaeq2d
      wb f1odm f1ofo forn 3eqtr3a psseq2d adantr mpbid php wf1 f1of1 f1ores vex
      cres resex f1oeq1 spcev sylibr entr expcom mtod exp32 imp31 ensym syl6com
      syl5bi ex ad2antlr brsdom exp31 rexlimiv sylbi ) AUBFZBAGZBAUCHZYAACIZJHZ
      CKUDYBYCLZCAUEYEYFCKYDKFZYEYBYCYGYEMYBMZBAUNHZBAJHZNYCYEYBYIYGYEAUFFZBAOZ
      YIYBAYDJUGUHBAUIZYKYLYIBAUFUJPUKULYHYJYDBJHZYGYEYBYNNZYEAYDDIZQZDRYGYBYOL
      ZAYDDUOYGYQYRDYGYQYBYOYGYQYBMZMYNYDYPBSZJHZYSYGYTYDGZUUANYSYTYPASZGZUUBYS
      YTUUCOZUUCYTOZNUUDYBUUEYQYBYLUUEYMBAYPUMTUPYSUUCYTUQZUAVFZUUFYBYQEIZAFUUI
      BFNMZERZUUHNZEBAURYQUUKUULYQUUJUULEUUJUUIABUQZFZYQUULUUIABUSYQUUNUUIYPUTZ
      UUGFZUULYQUUNUUOYPUUMSZFZUUPYQYPAVGZUUMAOZUUNUURLAYDYPVAABVBUUSUUTUUNUURA
      UUMYPUUIVCVDVEYQUUQUUGUUOYQAYDYPVHZYPVIVJUUQUUGVFAYDYPVKABYPVLVMVNVOUUGUU
      OVRVPVQVSPVTUUCYTWAWBYTUUCWCWDYQUUDUUBWIYBYQUUCYDYTYQYPYPWEZSYPWFZUUCYDYP
      WGYQUVBAYPAYDYPWJWHYQUVAUVCYDVFAYDYPWKAYDYPWLTWMWNWOWPYDYTWQVTYSYNUUALZYG
      YSBYTJHZUVDYSBYTYPBXBZQZUVEYQAYDYPWRYLUVGYBAYDYPWSYMAYDBYPWTUKUVGBYTUUIQZ
      ERUVEUVHUVGEUVFYPBDXAXCBYTUUIUVFXDXEBYTEUOXFTYNUVEUUAYDBYTXGXHTUPXIXJVSXN
      XKYEYJYNLYGYBYJYEBYDJHZYNYJYEUVIBAYDXGXOBYDXLXMXPXIBAXQWDXRXSXTP $.
  $}

  $( Corollary of the Pigeonhole Principle ~ php : a natural number is strictly
     dominated by its successor.  (Contributed by NM, 26-Jul-2004.) $)
  php4 $p |- ( A e. _om -> A ~< suc A ) $=
    ( com wcel csuc wpss csdm wbr sucidg word wb nnord ordsuc ordelpss syl2anc2
    biimpi mpbid peano2b php2 sylanb mpdan ) ABCZAADZEZAUBFGZUAAUBCZUCABHUAAIZU
    BIZUEUCJAKUFUGALOAUBMNPUAUBBCUCUDAQUBARST $.

  $( Corollary of the Pigeonhole Principle ~ php : a natural number is not
     equinumerous to its successor.  Corollary 10.21(1) of [TakeutiZaring]
     p. 90.  (Contributed by NM, 26-Jul-2004.) $)
  php5 $p |- ( A e. _om -> -. A ~~ suc A ) $=
    ( com wcel csuc csdm wbr cen wn php4 sdomnen syl ) ABCAADZEFALGFHAIALJK $.

  ${
    phpeqd.1 $e |- ( ph -> A e. Fin ) $.
    phpeqd.2 $e |- ( ph -> B C_ A ) $.
    phpeqd.3 $e |- ( ph -> A ~~ B ) $.
    $( Corollary of the Pigeonhole Principle using equality.  Strengthening of
       ~ php expressed without negation.  (Contributed by Rohan Ridenour,
       3-Aug-2023.) $)
    phpeqd $p |- ( ph -> A = B ) $=
      ( cen wbr wceq wn wa csdm cfn wcel wpss wss adantr simpr neqcomd dfpss2
      sylanbrc php3 syl2an2r sdomnen ensym nsyl syl ex mt4d ) ABCGHZBCIZFAUKJZU
      JJZAULKZCBLHZUMABMNULCBOZUODUNCBPZCBIJUPAUQULEQUNBCAULRSCBTUABCUBUCUOCBGH
      UJCBUDBCUEUFUGUHUI $.
  $}

  $( A singleton ` { A } ` is never equinumerous with the ordinal number 2.
     This holds for proper singletons ( ` A e. _V ` ) as well as for singletons
     being the empty set ( ` A e/ _V ` ).  (Contributed by AV, 6-Aug-2019.) $)
  snnen2o $p |- -. { A } ~~ 2o $=
    ( cvv wcel csn c2o cen wbr wn c1o csuc com 1onn php5 ax-mp ensn1g wi ensymb
    df-2o c0 wceq eqcomi breq2i entr ex sylbi con3rr3 sylnbi mpsyl 2on0 nemtbir
    en0 bitri snprc biimpi breq1d mtbiri pm2.61i ) ABCZADZEFGZHZIIJZFGZHZURUSIF
    GZVAIKCVDLIMNABOVCIEFGZVEVAPVBEIFEVBRUAUBVEUTVFVEIUSFGZUTVFPUSIQVGUTVFIUSEU
    CUDUEUFUGUHURHZUTSEFGZVIESUIVIESFGESTSEQEUKULUJVHUSSEFVHUSSTAUMUNUOUPUQ $.

  $( Cardinal ordering agrees with ordinal number ordering when the smaller
     number is a natural number.  Compare with ~ nndomo when both are natural
     numbers.  (Contributed by NM, 17-Jun-1998.)  Generalize from ~ nndomo .
     (Revised by RP, 5-Nov-2023.) $)
  nndomog $p |- ( ( A e. _om /\ B e. On ) -> ( A ~<_ B <-> A C_ B ) ) $=
    ( com wcel con0 wa cdom wbr wss wpss wn wi csdm php2 ex domnsym adantr word
    nsyli wb ordtri1 ordelpss ancoms notbid syl2an sylibrd ssdomg adantl impbid
    nnord eloni bitrd ) ACDZBEDZFZABGHZABIZUOUPBAJZKZUQUMUPUSLUNUMURBAMHZUPUMUR
    UTABNOABPSQUMARZBRZUQUSTUNAUJBUKVAVBFZUQBADZKUSABUAVCVDURVBVAVDURTBAUBUCUDU
    LUEUFUNUQUPLUMABEUGUHUI $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Finite sets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Lemma for ~ rexdif1en and ~ dif1en .  (Contributed by BTernaryTau,
     18-Aug-2024.) $)
  dif1enlem $p |- ( ( F e. V /\ M e. _om /\ F : A -1-1-onto-> suc M ) ->
      ( A \ { ( `' F ` M ) } ) ~~ M ) $=
    ( wcel com wf1o cfv csn cdif cres wa wfo adantr wb mpbird c0 adantl syl3anc
    wceq csuc w3a ccnv cen wbr simp1 sucidg wfun dff1o3 simprbi f1ofo wfn f1ofn
    fnresdm foeq1 wf wne f1ocnvdm f1ocnvfv2 snidg eqeltrd fressnfv biimp3ar cin
    3syl disjsn con2bii sylib fnresdisj syl mtbid neqned foconst syl2anc resdif
    wn sylan2 word nnord orddif f1oeq3d ancoms 3adant1 cvv resexg f1oen3g sylan
    ) BDEZCFEZACUAZBGZUBWHACBUCZHZIZJZCBWOKZGZWOCUDUEZWHWIWKUFWIWKWQWHWKWIWQWKW
    ILWQWOWJCIZJZWPGZWIWKCWJEZXACFUGWKXBLZWLUHZAWJBAKZMZWNWSBWNKZMZXAWKXDXBWKAW
    JBMZXDAWJBUIUJNWKXFXBWKXFXIAWJBUKWKBAULZXEBTXFXIOAWJBUMZABUNAWJXEBUOVEPNXCW
    NWSXGUPZXGQUQXHXCXJWMAEZWMBHZWSEZXLWKXJXBXKNAWJCBURZXCXNCWSAWJCBUSXBCWSEWKC
    WJUTRVAXJXMXLXOAWMWSBVBVCSXCXGQXCAWNVDQTZXGQTZXCXMXQVPXPXQXMAWMVFVGVHWKXQXR
    OZXBWKXJXSXKAWNBVIVJNVKVLWNCXGVMVNAWNWJWSBVOSVQWIWQXAOWKWICWTWOWPWICVRCWTTC
    VSCVTVJWARPWBWCWHWPWDEWQWRBWODWEWOCWPWDWFWGVN $.
  $( $j usage 'dif1enlem' avoids 'ax-pow'; $)

  ${
    $d A f x $.  $d M f x $.
    $( If a set is equinumerous to a nonzero finite ordinal, then there exists
       an element in that set such that removing it leaves the set equinumerous
       to the predecessor of that ordinal.  (Contributed by BTernaryTau,
       26-Aug-2024.) $)
    rexdif1en $p |- ( ( M e. _om /\ A ~~ suc M ) ->
        E. x e. A ( A \ { x } ) ~~ M ) $=
      ( vf csuc cen wbr com wcel cv wf1o wex csn cdif wrex bren 19.42v ccnv cvv
      wa cfv sucidg f1ocnvdm ancoms sylan vex dif1enlem mp3an1 wceq sneq breq1d
      difeq2d rspcev syl2anc exlimiv sylbir sylan2b ) BCEZFGCHIZBURDJZKZDLZBAJZ
      MZNZCFGZABOZBURDPUSVBTUSVATZDLVGUSVADQVHVGDVHCUTRUAZBIZBVIMZNZCFGZVGUSCUR
      IZVAVJCHUBVAVNVJBURCUTUCUDUEUTSIUSVAVMDUFBUTCSUGUHVFVMAVIBVCVIUIZVEVLCFVO
      VDVKBVCVIUJULUKUMUNUOUPUQ $.
    $( $j usage 'rexdif1en' avoids 'ax-pow'; $)
  $}

  ${
    $d A f $.  $d M f $.  $d X f $.
    $( If a set ` A ` is equinumerous to the successor of a natural number
       ` M ` , then ` A ` with an element removed is equinumerous to ` M ` .
       For a proof with fewer symbols using ~ ax-pow , see ~ dif1enALT .
       (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by Stefan O'Rear,
       16-Aug-2015.)  Avoid ~ ax-pow .  (Revised by BTernaryTau,
       26-Aug-2024.) $)
    dif1en $p |- ( ( M e. _om /\ A ~~ suc M /\ X e. A ) ->
        ( A \ { X } ) ~~ M ) $=
      ( vf cen wbr wcel com csn cdif wf1o wex w3a 3anass ccnv cfv cpr cop cun
      wa csuc bren 19.41v exbii 3bitr4i cres wceq sucidg wfun 3adant2 f1ofvswap
      cv f1ocnvdm syld3an3 wb f1ocnvfv2 opeq2d preq1d uneq2d f1oeq1d mpbid opex
      f1ofun prid1 elun2 ax-mp funopfv mpi 3syl wi f1ocnvfv syl2anc mpd syl3an3
      simp2 sneqd difeq2d cvv vex resex prex dif1enlem mp3an2i eqbrtrrd exlimiv
      unex simp3 sylbir syl3an1b 3comr ) ABUAZEFZCAGZBHGZACIZJZBEFZWLAWKDULZKZD
      LZWMWNWQAWKDUBWTWMWNMZWSWMWNMZDLZWQWSWMWNTZTZDLWTXDTXCXAWSXDDUCXBXEDWSWMW
      NNUDWTWMWNNUEXBWQDXBABWRACBWROPZQJZUFZCBRZXFCWRPRZQZSZOPZIZJZWPBEXBXNWOAX
      BXMCWNWSWMBWKGZXMCUGZBHUHZWSWMXPMZCXLPBUGZXQXSAWKXLKZXLUIZXTXSAWKXHCXFWRP
      ZRZXJQZSZKZYAWSWMXPXFAGZYGWSXPYHWMAWKBWRUMUJAWKWRCXFUKUNWSXPYGYAUOWMWSXPT
      ZAWKYFXLYIYEXKXHYIYDXIXJYIYCBCAWKBWRUPUQURUSUTUJVAZAWKXLVCYBXIXLGZXTXIXKG
      YKXIXJCBVBVDXIXKXHVEVFCBXLVGVHVIXSYAWMXTXQVJYJWSWMXPVOAWKCBXLVKVLVMVNVPVQ
      XLVRGXBWNYAXOBEFXHXKWRXGDVSVTXIXJWAWFWSWMWNWGWNWSWMXPYAXRYJVNAXLBVRWBWCWD
      WEWHWIWJ $.
    $( $j usage 'dif1en' avoids 'ax-pow'; $)
  $}

  ${
    $d v w x y z $.  $d A x y z $.  $d ps x $.  $d ch x $.  $d th x $.
    $d ta x $.  $d ph v w y z $.
    findcard.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    findcard.2 $e |- ( x = ( y \ { z } ) -> ( ph <-> ch ) ) $.
    findcard.3 $e |- ( x = y -> ( ph <-> th ) ) $.
    findcard.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    findcard.5 $e |- ps $.
    findcard.6 $e |- ( y e. Fin -> ( A. z e. y ch -> th ) ) $.
    $( Schema for induction on the cardinality of a finite set.  The inductive
       hypothesis is that the result is true on the given set with any one
       element removed.  The result is then proven to be true for all finite
       sets.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    findcard $p |- ( A e. Fin -> ta ) $=
      ( vw wcel cen wbr com vv cfn cv wrex isfi wi wal csuc breq2 imbi1d albidv
      c0 wceq en0 mpbiri sylbi ax-gen w3a wa peano2 rspcev sylan sylibr 3adant2
      wral csn cdif dif1en 3expa vex difexi breq1 imbi12d syl5com ralrimdva imp
      spcv an32s 3impa sylc 3exp alrimdv cbvalvw syl6ibr finds1 19.21bi vtoclga
      rexlimiv ) AEFIUBMFUCZUBQWIPUCZRSZPTUDAPWIUEWKAPTWJTQWKAUFZFWLFUGWIULRSZA
      UFZFUGWIUAUCZRSZAUFZFUGZWIWOUHZRSZAUFZFUGZPUAWJULUMZWLWNFXCWKWMAWJULWIRUI
      UJUKWJWOUMZWLWQFXDWKWPAWJWOWIRUIUJUKWJWSUMZWLXAFXEWKWTAWJWSWIRUIUJUKWNFWM
      WIULUMZAWIUNXFABNJUOUPUQWOTQZWRGUCZWSRSZDUFZGUGXBXGWRXJGXGWRXIDXGWRXIURXH
      UBQZCHXHVEZDXGXIXKWRXGXIUSZXHWJRSZPTUDZXKXGWSTQXIXOWOUTXNXIPWSTWJWSXHRUIV
      AVBPXHUEVCVDXGWRXIXLXGXIWRXLXMWRXLXMWRCHXHXMHUCZXHQZUSXHXPVFZVGZWORSZWRCX
      GXIXQXTXHWOXPVHVIWQXTCUFFXSXHXRGVJVKWIXSUMWPXTACWIXSWORVLKVMVQVNVOVPVRVSO
      VTWAWBXAXJFGWIXHUMWTXIADWIXHWSRVLLVMWCWDWEWFWHUPWG $.
    $( $j usage 'findcard' avoids 'ax-pow'; $)
  $}

  ${
    $d ch x $.  $d th x $.  $d ta x $.  $d A x $.  $d ph v w y z $.
    $d v w x y z $.
    findcard2.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    findcard2.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    findcard2.3 $e |- ( x = ( y u. { z } ) -> ( ph <-> th ) ) $.
    findcard2.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    findcard2.5 $e |- ps $.
    findcard2.6 $e |- ( y e. Fin -> ( ch -> th ) ) $.
    $( Schema for induction on the cardinality of a finite set.  The inductive
       step shows that the result is true if one more element is added to the
       set.  The result is then proven to be true for all finite sets.
       (Contributed by Jeff Madsen, 8-Jul-2010.)  Avoid ~ ax-pow .  (Revised by
       BTernaryTau, 26-Aug-2024.) $)
    findcard2 $p |- ( A e. Fin -> ta ) $=
      ( vw vv cen wbr wi cfn cv wcel com wrex isfi wal csuc breq2 imbi1d albidv
      c0 wceq weq en0 mpbiri sylbi ax-gen wsbc csn cdif rexdif1en wss cun snssi
      wa uncom undif biimpi eqtrid vex difexi breq1 anbi2d uneq1 sbceq1d imbi2d
      imbi12d spvv rspe sylibr pm2.27 adantl sylsyld syl5 snex unex sbcie vtocl
      syl6ibr dfsbcq syl5ib 3syl com12 rexlimdv adantr mpd ex com23 alrimdv nfv
      expd nfsbc1v nfim sbceq1a cbvalv1 finds1 19.21bi rexlimiv vtoclga ) AEFIU
      AMFUBZUAUCXKPUBZRSZPUDUEAPXKUFXMAPUDXLUDUCXMATZFXNFUGXKULRSZATZFUGXKQUBZR
      SZATZFUGZXKXQUHZRSZATZFUGZPQXLULUMZXNXPFYEXMXOAXLULXKRUIUJUKPQUNZXNXSFYFX
      MXRAXLXQXKRUIUJUKXLYAUMZXNYCFYGXMYBAXLYAXKRUIUJUKXPFXOXKULUMZAXKUOYHABNJU
      PUQURXQUDUCZXTXLYARSZAFXLUSZTZPUGYDYIXTYLPYIYJXTYKYIYJXTYKTZYIYJVFXLHUBZU
      TZVAZXQRSZHXLUEZYMHXLXQVBYIYRYMTYJYIYQYMHXLYNXLUCZYIYQYMTYSYIYQYMYSYOXLVC
      ZYPYOVDZXLUMZYIYQVFZYMTYNXLVEYTUUAYOYPVDZXLYPYOVGYTUUDXLUMYOXLVHVIVJUUCXT
      AFUUAUSZTZUUBYMYIGUBZXQRSZVFZXTAFUUGYOVDZUSZTZTUUCUUFTGYPXLYOPVKVLUUGYPUM
      ZUUIUUCUULUUFUUMUUHYQYIUUGYPXQRVMVNUUMUUKUUEXTUUMAFUUJUUAUUGYPYOVOVPVQVRU
      UIXTDUUKXTUUHCTZUUIDXSUUNFGFGUNXRUUHACXKUUGXQRVMKVRVSUUIUUGUAUCZUUNCDUUIU
      UHQUDUEUUOUUHQUDVTQUUGUFWAUUHUUNCTYIUUHCWBWCOWDWEADFUUJUUGYOGVKYNWFWGLWHW
      JWIUUBUUEYKXTAFUUAXLWKVQWLWMXBWNWOWPWQWRWSWTYCYLFPYCPXAYJYKFYJFXAAFXLXCXD
      FPUNYBYJAYKXKXLYARVMAFXLXEVRXFWJXGXHXIUQXJ $.
    $( $j usage 'findcard2' avoids 'ax-pow'; $)
  $}

  ${
    $d A x y z $.  $d ch x $.  $d ph y z $.  $d ps x $.  $d ta x $.  $d th x $.
    findcard2s.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    findcard2s.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    findcard2s.3 $e |- ( x = ( y u. { z } ) -> ( ph <-> th ) ) $.
    findcard2s.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    findcard2s.5 $e |- ps $.
    findcard2s.6 $e |- ( ( y e. Fin /\ -. z e. y ) -> ( ch -> th ) ) $.
    $( Variation of ~ findcard2 requiring that the element added in the
       induction step not be a member of the original set.  (Contributed by
       Paul Chapman, 30-Nov-2012.) $)
    findcard2s $p |- ( A e. Fin -> ta ) $=
      ( cv wcel wceq cun sylib cfn wi wn ex csn wa wex wb snssi ssequn1 eqtr3di
      wss uncom vex eqvinc bicomd sylan9bb exlimiv biimpd pm2.61d2 findcard2
      syl ) ABCDEFGHIJKLMNGPZUAQZHPZVCQZCDUBZVDVFUCVGOUDVFCDVFFPZVCRZVHVCVEUEZS
      ZRZUFZFUGZCDUHZVFVCVKRVNVFVJVCSZVCVKVFVJVCULVPVCRVEVCUIVJVCUJTVJVCUMUKFVC
      VKGUNUOTVMVOFVICAVLDVIACKUPLUQURVBUSUTVA $.
  $}

  ${
    $d A x y z $.  $d ph x y z $.  $d ps y z $.  $d ch x $.  $d th x $.
    $d ta x $.  $d et x $.
    findcard2d.ch $e |- ( x = (/) -> ( ps <-> ch ) ) $.
    findcard2d.th $e |- ( x = y -> ( ps <-> th ) ) $.
    findcard2d.ta $e |- ( x = ( y u. { z } ) -> ( ps <-> ta ) ) $.
    findcard2d.et $e |- ( x = A -> ( ps <-> et ) ) $.
    findcard2d.z $e |- ( ph -> ch ) $.
    findcard2d.i $e |- ( ( ph /\ ( y C_ A /\ z e. ( A \ y ) ) ) ->
        ( th -> ta ) ) $.
    findcard2d.a $e |- ( ph -> A e. Fin ) $.
    $( Deduction version of ~ findcard2 .  (Contributed by SO, 16-Jul-2018.) $)
    findcard2d $p |- ( ph -> et ) $=
      ( wcel wa wi wss ssid cfn adantr cv csn cun wceq sseq1 anbi2d imbi12d weq
      c0 wel wn simprl simprr unssad jca cdif id vsnid elun2 mp1i sseldd simplr
      ad2antll eldifd syl12anc embantd ex com23 findcard2s mpcom mpan2 ) AJJUAZ
      FJUBJUCRZAVPSZFAVQVPQUDAGUEZJUAZSZBTAUMJUAZSZCTAHUEZJUAZSZDTZAWDIUEZUFZUG
      ZJUAZSZETVRFTGHIJVSUMUHZWAWCBCWMVTWBAVSUMJUIUJKUKGHULZWAWFBDWNVTWEAVSWDJU
      IUJLUKVSWJUHZWAWLBEWOVTWKAVSWJJUIUJMUKVSJUHZWAVRBFWPVTVPAVSJJUIUJNUKACWBO
      UDWDUCRZIHUNUOZSZWLWGEWSWLWGETWSWLSZWFDEWTAWEWSAWKUPZWTWDWIJWSAWKUQURZUSW
      TAWEWHJWDUTRDETXAXBWTWHJWDWKWHJRWSAWKWJJWHWKVAWHWIRWHWJRWKIVBWHWIWDVCVDVE
      VGWQWRWLVFVHPVIVJVKVLVMVNVO $.
  $}

  ${
    $d A x $.
    $( Natural numbers are finite sets.  (Contributed by Stefan O'Rear,
       21-Mar-2015.)  Avoid ~ ax-pow .  (Revised by BTernaryTau,
       23-Sep-2024.) $)
    nnfi $p |- ( A e. _om -> A e. Fin ) $=
      ( vx com wcel cv cen wbr wrex cfn enrefnn breq2 rspcev mpdan isfi sylibr
      ) ACDZABEZFGZBCHZAIDPAAFGZSAJRTBACQAAFKLMBANO $.
    $( $j usage 'nnfi' avoids 'ax-pow'; $)
  $}

  ${
    $d B w x $.  $d w x y z $.  $d A w x z $.
    $( A proper subset of a natural number is equinumerous to some smaller
       number.  Lemma 6F of [Enderton] p. 137.  (Contributed by NM,
       22-Jun-1998.)  (Revised by Mario Carneiro, 16-Nov-2014.)  Avoid
       ~ ax-pow .  (Revised by BTernaryTau, 31-Jul-2024.) $)
    pssnn $p |- ( ( A e. _om /\ B C. A ) -> E. x e. A B ~~ x ) $=
      ( vw vz vy com wcel wpss wa cen wbr wrex wss wi wal c0 wceq imbi12d wn cv
      cvv pssss ssexg sylan ancoms psseq2 rexeq albidv weq npss0 pm2.21i ax-gen
      csuc nfv nfa1 wel elequ1 biimpcd con3d adantl sseld elsuci ord con1d syl6
      imp impancom ssrdv anim1i dfpss2 sylibr elelsuc reximi2 imim12i exp4c sps
      syld com4t csn cdif anidm ssdif word nnord orddif syl sseq2d syl5ibr syl5
      pssnel eleq2 eldifi syl6bir eleq1a sylan9r adantr pm2.61d expimpd exlimdv
      wex ex im2anan9r syl5bir syl6ibr psseq1 breq1 rexbidv cbvalvw difexi spcv
      vex sylbi sylan9 ordsucelsuc biimpd adantrd elnn cun cin cop wf1o f1oen3g
      snex f1osn mp2an jctr orddisj disjdifr jctil syl2an difsnid eqcomd df-suc
      unen a1i breq12d sylan2i breq2 rspcev exp4d com24 df-rex cbvrexvw 3imtr4g
      imp4b jcad expl eleq1w pm5.32i eqelsuc enrefnn 2a1d sylbir pm2.43d alrimd
      pm2.61ii finds spcgv com3l mpd ) BGHZCBIZJCUBHZCAUAZKLZABMZUVCUVBUVDUVCCB
      NUVBUVDCBUCCBGUDUEUFUVBUVCUVDUVGOUVDUVBUVCUVGUVBDUAZBIZUVHUVEKLZABMZOZDPZ
      UVDUVCUVGOZUVHEUAZIZUVJAUVOMZOZDPUVHQIZUVJAQMZOZDPUVHFUAZIZUVJAUWBMZOZDPZ
      UVHUWBUNZIZUVJAUWGMZOZDPUVMEFBUVOQRZUVRUWADUWKUVPUVSUVQUVTUVOQUVHUGUVJAUV
      OQUHSUIEFUJZUVRUWEDUWLUVPUWCUVQUWDUVOUWBUVHUGUVJAUVOUWBUHSUIUVOUWGRZUVRUW
      JDUWMUVPUWHUVQUWIUVOUWGUVHUGUVJAUVOUWGUHSUIUVOBRZUVRUVLDUWNUVPUVIUVQUVKUV
      OBUVHUGUVJAUVOBUHSUIUWADUVSUVTUVHUKULUMUWBGHZUWFUWJDUWODUOUWEDUPUWOUWFUWJ
      FDUQZDFUJZUWOUWFJZUWJOZUWRUWHUWPTZUWQTZUWIUWFUWHUWTUXAUWIOOOZUWOUWEUXBDUW
      EUWHUWTUXAUWIUWHUWTJZUXAJZUWCUWDUWIUXDUVHUWBNZUXAJUWCUXCUXEUXAUXCEUVHUWBU
      WHEDUQZUWTEFUQZUWHUXFJUWTUWLTZUXGUXFUWTUXHOUWHUXFUWLUWPUWLUXFUWPEFDURUSUT
      VAUWHUXFUXHUXGOZUWHUXFUVOUWGHZUXIUWHUVHUWGUVOUVHUWGUCZVBUXJUXGUWLUXJUXGUW
      LUVOUWBVCVDZVEVFVGVRVHVIVJUVHUWBVKVLUVJUVJAUWBUWGAFUQZUVEUWGHUVJUVEUWBVMV
      JVNVOVPVQVAVSUWPUWOUWFUWJUWPUWOJZUWFJUWHUVHUWBVTZWAZUVEKLZAUWBMZUWIUXNUWH
      UXPUWBIZUWFUXRUXNUWHUXPUWBNZUXPUWBRZTZJZUXSUWHUWHUWHJUXNUYCUWHWBUWOUWHUXT
      UWPUWHUYBUWHUVHUWGNZUWOUXTUXKUYDUXTUWOUXPUWGUXOWAZNUVHUWGUXOWCUWOUWBUYEUX
      PUWOUWBWDZUWBUYERUWBWEZUWBWFWGWHWIWJUWHUXJUXFTZJZEXAUWPUYBEUVHUWGWKUWPUYI
      UYBEUWPUXJUYHUYBUWPUXJJZUYAUXFUYJUYAUXFUYJUYAJUXGUXFUYAUXGUXFOUYJUYAUXGUV
      OUXPHUXFUXPUWBUVOWLUVOUVHUXOWMWNVAUYJUXGTZUXFOUYAUXJUYKUWLUWPUXFUXLUWBUVH
      UVOWOWPWQWRXBUTWSWTWJXCXDUXPUWBVKXEUWFUVOUWBIZUVOUVEKLZAUWBMZOZEPUXSUXROZ
      UWEUYODEDEUJZUWCUYLUWDUYNUVHUVOUWBXFUYQUVJUYMAUWBUVHUVOUVEKXGXHSXIUYOUYPE
      UXPUVHUXODXLZXJUVOUXPRZUYLUXSUYNUXRUVOUXPUWBXFUYSUYMUXQAUWBUVOUXPUVEKXGXH
      SXKXMXNUXNUXRUWIOUWFUXNUXMUXQJZAXAUVHUVOKLZEUWGMZUXRUWIUXNUYTVUBAUXNUYTUV
      EUNZUWGHZUVHVUCKLZJVUBUXNUYTVUDVUEUXNUXMVUDUXQUWOUXMVUDOZUWPUWOUYFVUFUYGU
      YFUXMVUDUVEUWBXOXPWGVAXQUWPUWOUXMUXQVUEUWPUXQUXMUWOVUEUWPUXQUXMUWOVUEUXMU
      WOJUWPUXQUVEGHZVUEUVEUWBXRUXQVUGJVUEUWPUXPUXOXSZUVEUVEVTZXSZKLZUXQUXQUXOV
      UIKLZJUXPUXOXTQRZUVEVUIXTQRZJVUKVUGUXQVULUWBUVEYAZVTZUBHUXOVUIVUPYBVULVUO
      YDUWBUVEFXLAXLYEUXOVUIVUPUBYCYFYGVUGVUNVUMVUGUVEWDVUNUVEWEUVEYHWGUXOUVHYI
      YJUXPUVEUXOVUIYOYKUWPUVHVUHVUCVUJKUWPVUHUVHUVHUWBYLYMVUCVUJRUWPUVEYNYPYQW
      IYRUUAUUBUUFUUGVUAVUEEVUCUWGUVOVUCUVHKYSYTVFWTUXQAUWBUUCUVJVUAAEUWGUVEUVO
      UVHKYSUUDUUEWQVRUUHUWQUWRUWJUWQUWOUWSUWFUWQUWOUWSUWQUWOJUWQUVHGHZJZUWSUWQ
      VUQUWODFGUUIUUJVURUWIUWRUWHUWQUVHUWGHUVHUVHKLZUWIVUQUVHUWBUYRUUKUVHUULUVJ
      VUSAUVHUWGUVEUVHUVHKYSYTYKUUMUUNXBXQUUOUUQXBUUPUURUVLUVNDCUBUVHCRZUVIUVCU
      VKUVGUVHCBXFVUTUVJUVFABUVHCUVEKXGXHSUUSWJUUTVGUVA $.
    $( $j usage 'pssnn' avoids 'ax-pow'; $)
  $}

  ${
    $d A x $.  $d B x $.
    $( A subset of a natural number is finite.  (Contributed by NM,
       24-Jun-1998.)  (Proof shortened by BTernaryTau, 23-Sep-2024.) $)
    ssnnfi $p |- ( ( A e. _om /\ B C_ A ) -> B e. Fin ) $=
      ( vx wss com wcel wpss wceq wo cfn sspss wa cv cen wbr wrex pssnn wi elnn
      expcom anim1d reximdv2 adantr mpd isfi sylibr eleq1 biimparc nnfi sylan2b
      syl jaodan ) BADAEFZBAGZBAHZIBJFZBAKUMUNUPUOUMUNLZBCMZNOZCEPZUPUQUSCAPZUT
      CABQUMVAUTRUNUMUSUSCAEUMURAFZUREFZUSVBUMVCURASTUAUBUCUDCBUEUFUMUOLBEFZUPU
      OVDUMBAEUGUHBUIUKULUJ $.
    $( $j usage 'ssnnfi' avoids 'ax-pow'; $)
  $}

  ${
    $d A x $.  $d B x $.
    $( Obsolete version of ~ ssnnfi as of 23-Sep-2024.  (Contributed by NM,
       24-Jun-1998.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ssnnfiOLD $p |- ( ( A e. _om /\ B C_ A ) -> B e. Fin ) $=
      ( vx com wcel wss wa cv cen wbr wrex cfn wpss wceq wo sspss pssnn wi elnn
      expcom anim1d reximdv2 adantr mpd biimparc enrefnn rspcev syl2anc2 jaodan
      eleq1 breq2 sylan2b isfi sylibr ) ADZEZBAFZGBCHZIZJZCUOKZBLEUQUPBAMZBANZO
      VABAPUPVBVAVCUPVBGUTCAKZVACABQUPVDVARVBUPUTUTCAUOUPURAEZURUOEZUTVEUPVFURA
      STUAUBUCUDUPVCGBUOEZBBUSJZVAVCVGUPBAUOUJUEBUFUTVHCBUOURBBUSUKUGUHUIULCBUM
      UN $.
  $}

  $( The empty set is finite.  (Contributed by FL, 14-Jul-2008.) $)
  0fin $p |- (/) e. Fin $=
    ( c0 com wcel wss cfn peano1 ssid ssnnfi mp2an ) ABCAADAECFAGAAHI $.

  ${
    $d A x $.  $d B x y z $.  $d A v w y z $.
    $( The union of two finite sets is finite.  Part of Corollary 6K of
       [Enderton] p. 144.  (Contributed by NM, 16-Nov-2002.)  Avoid ~ ax-pow .
       (Revised by BTernaryTau, 7-Aug-2024.) $)
    unfi $p |- ( ( A e. Fin /\ B e. Fin ) -> ( A u. B ) e. Fin ) $=
      ( vz vw vv cfn wcel cun cv wi c0 wceq uneq2 eleq1d imbi2d wn cen wbr com
      wa vx csn un0 eleq1i biimpri wss snssi ssequn2 biimpi uneq2d un12 3eqtr4g
      uncom syl biimprd adantld wrex isfi r19.41v cin disjsn elun notbii pm4.56
      vy wo bitr4i sylbbr word nnord orddisj cvv en2sn el2v unen mpanl2 sylanr2
      sylanr1 3impb 3comr 3expb unass csuc df-suc peano2 eqeltrrid breq2 rspcev
      sylan sylibr syldan rexlimiva sylbir ancoms expl pm2.61i ex imim2d adantl
      findcard2s impcom ) BFGAFGZABHZFGZXBAUAIZHZFGZJXBAKHZFGZJXBAVEIZHZFGZJZXB
      AXJCIZUBZHZHZFGZJZXBXDJUAVECBXEKLZXGXIXBXTXFXHFXEKAMNOXEXJLZXGXLXBYAXFXKF
      XEXJAMNOXEXPLZXGXRXBYBXFXQFXEXPAMNOXEBLZXGXDXBYCXFXCFXEBAMNOXIXBXHAFAUCUD
      UEXNXJGZPZXMXSJXJFGYEXLXRXBYEXLXRXNAGZYEXLTXRJYFXLXRYEYFXRXLYFXQXKFYFXOAU
      FZXQXKLXNAUGYGXJAXOHZHXJAHXQXKYGYHAXJYGYHALXOAUHUIUJAXJXOUKAXJUMULUNNUOUP
      YFPZYEXLXRXLYIYETZXRXLXKDIZQRZDSUQZYJXRXLYMDXKURUIYMYJTYLYJTZDSUQXRYLYJDS
      USYNXRDSYKSGZYNXKXOHZYKYKUBZHZQRZXRYOYLYJYSYLYJYOYSYLYJYOYSYJYLXKXOUTKLZY
      OYSYTXNXKGZPZYJXKXNVAUUBYFYDVFZPYJUUAUUCXNAXJVBVCYFYDVDVGVHYOYLYTYKYQUTKL
      ZYSYOYKVIUUDYKVJYKVKUNYLXOYQQRZYTUUDTYSUUECDXNYKVLVLVMVNXKYKXOYQVOVPVQVRV
      SVTWAYOYSTZXQYPFAXJXOWBUUFYPEIZQRZESUQZYPFGYOYRSGYSUUIYOYRYKWCSYKWDYKWEWF
      UUHYSEYRSUUGYRYPQWGWHWIEYPURWJWFWKWLWMWIWNWOWPWQWRWSWTXA $.
    $( $j usage 'unfi' avoids 'ax-pow'; $)
  $}

  ${
    $d B b $.  $d x y z $.  $d A b x $.  $d b c y z $.
    $( A subset of a finite set is finite.  Corollary 6G of [Enderton] p. 138.
       For a shorter proof using ~ ax-pow , see ~ ssfiALT .  (Contributed by
       NM, 24-Jun-1998.)  Avoid ~ ax-pow .  (Revised by BTernaryTau,
       12-Aug-2024.) $)
    ssfi $p |- ( ( A e. Fin /\ B C_ A ) -> B e. Fin ) $=
      ( vb vc wcel cfn wss wa cv wi sseq1 eleq1 imbi12d wal c0 cun sseq2 imbi1d
      wceq albidv vx vy vz cvv ssexg ancoms imbi2d csn ss0 0fin eqeltrdi ax-gen
      wn eleq1w cbvalvw w3a cdif simp1 snssi undif sylib eqtr3di sseq2i ssundif
      uncom sylbb anim12ci 3adant1 3anass sylanbrc vex difexi spcv snfi sylancl
      imp unfi biimparc stoic3 syl 3expib alrimiv cin wb disjsn disjssun sylbir
      sylbi biimpa sylan2b imim1i alimi wo exmid jctl andir pm3.44 syl5 alanimi
      syl2anc a1i findcard2 19.21bi vtoclg impd mpcom ) BUDEZAFEZBAGZHBFEZXIXHX
      GBAFUEUFXGXHXIXJXHCIZAGZXKFEZJZJXHXIXJJZJCBUDXKBSZXNXOXHXPXLXIXMXJXKBAKXK
      BFLMUGXHXNCXKUAIZGZXMJZCNXKOGZXMJZCNXKUBIZGZXMJZCNZXKYBUCIZUHZPZGZXMJZCNZ
      XNCNUAUBUCAXQOSZXSYACYLXRXTXMXQOXKQRTXQYBSZXSYDCYMXRYCXMXQYBXKQRTXQYHSZXS
      YJCYNXRYIXMXQYHXKQRTXQASZXSXNCYOXRXLXMXQAXKQRTYACXTXKOFXKUIUJUKULYEYKJYBF
      EYEYFXKEZYIHZXMJZCNZYPUMZYIHZXMJZCNYKYEDIZYBGZUUCFEZJZDNZYSYDUUFCDXKUUCSY
      CUUDXMUUEXKUUCYBKCDFUNMUOUUGYRCUUGYPYIXMUUGYPYIUPZUUGXKYGUQZYBGZXKUUIYGPZ
      SZUPZXMUUHUUGUUJUULHZUUMUUGYPYIURYPYIUUNUUGYPUULYIUUJYPYGUUIPZXKUUKYPYGXK
      GUUOXKSYFXKUSYGXKUTVAYGUUIVEVBYIXKYGYBPZGZUUJYHUUPXKYBYGVEVCZXKYGYBVDVFVG
      VHUUGUUJUULVIVJUUGUUJUUKFEZUULXMUUGUUJHUUIFEZYGFEUUSUUGUUJUUTUUFUUJUUTJDU
      UIXKYGCVKVLUUCUUISUUDUUJUUEUUTUUCUUIYBKUUCUUIFLMVMVPYFVNUUIYGVQVOUULXMUUS
      XKUUKFLVRVSVTWAWBWHYDUUBCUUAYCXMYIYTUUQYCUURYTUUQYCYTXKYGWCOSUUQYCWDXKYFW
      EXKYGYBWFWGWIWJWKWLYRUUBYJCYIYQUUAWMZYRUUBHXMYIYPYTWMZYIHUVAYIUVBYPWNWOYP
      YTYIWPVAXMYQUUAWQWRWSWTXAXBXCXDXEXF $.
    $( $j usage 'ssfi' avoids 'ax-pow'; $)
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( Shorter proof of ~ ssfi using ~ ax-pow .  (Contributed by NM,
       24-Jun-1998.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ssfiALT $p |- ( ( A e. Fin /\ B C_ A ) -> B e. Fin ) $=
      ( vx vz vy cfn wcel wss cv cen wbr com wrex wi isfi wf1o wex bren sylan
      wa cima wfo f1ofo crn imassrn forn sseqtrid syl ssnnfi sylib adantrr cres
      sylan2 wf1 f1of1 f1ores resex f1oeq1 spcev sylibr entr ex reximdv syl6ibr
      vex adantl mpd exp32 exlimdv syl5bi rexlimiv sylbi imp ) AFGZBAHZBFGZVNAC
      IZJKZCLMVOVPNZCAOVRVSCLVRAVQDIZPZDQVQLGZVSAVQDRWBWAVSDWBWAVOVPWBWAVOTZTVT
      BUAZEIZJKZELMZVPWBWAWGVOWAWBWDVQHZWGWAAVQVTUBZWHAVQVTUCWIVTUDWDVQVTBUEAVQ
      VTUFUGUHWBWHTWDFGWGVQWDUIEWDOUJUMUKWCWGVPNWBWCWGBWEJKZELMVPWCWFWJELWCWFWJ
      WCBWDVTBULZPZWFWJWAAVQVTUNVOWLAVQVTUOAVQBVTUPSWLBWDJKZWFWJWLBWDVQPZCQWMWN
      WLCWKVTBDVEUQBWDVQWKURUSBWDCRUTBWDWEVASSVBVCEBOVDVFVGVHVIVJVKVLVM $.
  $}

  ${
    $d X x $.  $d F x y z $.
    $( Images of finite sets are finite.  For a shorter proof using ~ ax-pow ,
       see ~ imafiALT .  (Contributed by Stefan O'Rear, 22-Feb-2015.)  Avoid
       ~ ax-pow .  (Revised by BTernaryTau, 7-Sep-2024.) $)
    imafi $p |- ( ( Fun F /\ X e. Fin ) -> ( F " X ) e. Fin ) $=
      ( vx vy vz cfn wcel cima cv wi csn cun wceq imaeq2 eleq1d imbi2d 0fin a1i
      c0 wa wfun ima0 eqeltri cdm cfv wfn funfn fnsnfv sylanb snfi eqeltrrdi wn
      ndmima eqeltrdi adantl pm2.61dan imaundi eqeltrid sylan2 expcom findcard2
      unfi a2i impcom ) BFGAUAZABHZFGZVEACIZHZFGZJVEASHZFGZJVEADIZHZFGZJZVEAVME
      IZKZLZHZFGZJZVEVGJCDEBVHSMZVJVLVEWCVIVKFVHSANOPVHVMMZVJVOVEWDVIVNFVHVMANO
      PVHVSMZVJWAVEWEVIVTFVHVSANOPVHBMZVJVGVEWFVIVFFVHBANOPVLVEVKSFAUBQUCRVPWBJ
      VMFGVEVOWAVOVEWAVEVOAVRHZFGZWAVEVQAUDZGZWHVEWJTWGVQAUEZKZFVEAWIUFWJWLWGMA
      UGWIVQAUHUIWKUJUKWJULZWHVEWMWGSFVQAUMQUNUOUPVOWHTVTVNWGLFAVMVRUQVNWGVBURU
      SUTVCRVAVD $.
    $( $j usage 'imafi' avoids 'ax-pow'; $)
  $}

  ${
    $d B x y $.
    $( If the power set of a set is finite, then the set itself is finite.
       (Contributed by BTernaryTau, 7-Sep-2024.) $)
    pwfir $p |- ( ~P B e. Fin -> B e. Fin ) $=
      ( vx vy cpw cfn wcel cv csn wceq wa cima cres crn df-ima wrel cdm wss cab
      copab 3eqtri relopab dmopabss relssres mp2an rneqi wex eleq1 biimparc vex
      rnopab snelpw sylibr exlimiv wrex snelpwi eqid eqeq2 rspcev sylancl sylib
      df-rex impbii abbii abid2 wfun wmo funopab mosneq moani mpgbir imafi mpan
      eqeltrrid ) ADZEFZABGZVNFZCGZHZVPIZJZBCSZVNKZEWCWBVNLZMWBMZAWBVNNWDWBWBOW
      BPVNQWDWBIWABCUAVTBCVNUBWBVNUCUDUEWEWABUFZCRVRAFZCRAWABCUJWFWGCWFWGWAWGBW
      AVSVNFZWGVTWHVQVSVPVNUGUHVRACUIUKULUMWGVTBVNUNZWFWGWHVSVSIZWIVRAUOVSUPVTW
      JBVSVNVPVSVSUQURUSVTBVNVAUTVBVCCAVDTTWBVEZVOWCEFWKWACVFBWABCVGVTVQCCVPVHV
      IVJWBVNVKVLVM $.
    $( $j usage 'pwfir' avoids 'ax-pow'; $)
  $}

  ${
    $d F d $.  $d b c d $.  $d c d x $.
    pwfilem.1 $e |- F = ( c e. ~P b |-> ( c u. { x } ) ) $.
    $( Lemma for ~ pwfi .  (Contributed by NM, 26-Mar-2007.)  Avoid ~ ax-pow .
       (Revised by BTernaryTau, 7-Sep-2024.) $)
    pwfilem $p |- ( ~P b e. Fin -> ~P ( b u. { x } ) e. Fin ) $=
      ( vd cv cpw cfn wcel csn cun cdif pwundif crn wss wfun cima wceq sylib wa
      funmpt2 cdm vex snex unex dmmpti imaeq2i eqtr3i imafi eqeltrrid mpan wrex
      imadmrn eldifi elpwun undif1 elpwunsn snssd ssequn2 eqtr2id uneq1 syl2anc
      rspceeqv elrnmptd ssriv ssfi sylancl unfi mpancom eqeltrid ) CGZHZIJZVLAG
      ZKZLHZVQVMMZVMLZIVLVPNVRIJZVNVSIJVNBOZIJZVRWAPVTBQZVNWBDVMDGZVPLZBEUBWCVN
      UAWABVMRZIBBUCZRWFWAWGVMBDVMWEBWDVPDUDVOUEZUFEUGUHBUNUIBVMUJUKULFVRWAFGZV
      RJZDVMWEWIBVQEWJWIVPMZVMJZWIWKVPLZSWIWESDVMUMWJWIVQJWLWIVQVMUOZWIVLVPWHUP
      TWJWMWIVPLZWIWIVPUQWJVPWIPWOWISWJVOWIWIVLVOURUSVPWIUTTVADWKVMWEWMWIWDWKVP
      VBVDVCWNVEVFWAVRVGVHVRVMVIVJVK $.
    $( $j usage 'pwfilem' avoids 'ax-pow'; $)
  $}

  ${
    $d A x $.  $d x y z $.  $d c y z $.
    $( The power set of a finite set is finite and vice-versa.  Theorem 38 of
       [Suppes] p. 104 and its converse, Theorem 40 of [Suppes] p. 105.
       (Contributed by NM, 26-Mar-2007.)  Avoid ~ ax-pow .  (Revised by
       BTernaryTau, 7-Sep-2024.) $)
    pwfi $p |- ( A e. Fin <-> ~P A e. Fin ) $=
      ( vx vy vz vc cfn wcel cpw cv c0 csn cun wceq pweq eleq1d snfi eqeltri wi
      pw0 cmpt eqid pwfilem a1i findcard2 pwfir impbii ) AFGAHZFGZBIZHZFGJHZFGC
      IZHZFGZULDIKZLZHZFGZUHBCDAUIJMUJUKFUIJNOUIULMUJUMFUIULNOUIUPMUJUQFUIUPNOU
      IAMUJUGFUIANOUKJKFSJPQUNURRULFGDEUMEIUOLTZCEUSUAUBUCUDAUEUF $.
    $( $j usage 'pwfi' avoids 'ax-pow'; $)
  $}

  ${
    $d A x $.  $d x y z $.  $d u v z $.
    $( If a set is finite, its converse is as well.  (Contributed by Mario
       Carneiro, 28-Dec-2014.)  Avoid ~ ax-pow .  (Revised by BTernaryTau,
       9-Sep-2024.) $)
    cnvfi $p |- ( A e. Fin -> `' A e. Fin ) $=
      ( vx vy vz vu vv cv ccnv cfn wcel c0 csn cun wceq eleq1d 0fin cvv cop wex
      cnveq cnv0 eqeltri cnvun cxp elvv sneq vex cnvsn eqtrdi syl snfi eqeltrdi
      wi exlimivv sylbi wn crn cdm dfdm4 wne dmsnn0 biimpri necon1bi eqtr3id wb
      wrel relcnv relrn0 ax-mp sylibr pm2.61i unfi mpan2 eqeltrid a1i findcard2
      ) BGZHZIJKHZIJCGZHZIJZVTDGZLZMZHZIJZAHZIJBCDAVQKNVRVSIVQKTOVQVTNVRWAIVQVT
      TOVQWENVRWFIVQWETOVQANVRWHIVQATOVSKIUAPUBWBWGUMVTIJWBWFWAWDHZMZIVTWDUCWBW
      IIJZWJIJWCQQUDJZWKWLWCEGZFGZRZNZFSESWKEFWCUEWPWKEFWPWIWNWMRZLZIWPWDWOLZNZ
      WIWRNWCWOUFWTWIWSHWRWDWSTWMWNEUGFUGUHUIUJWQUKULUNUOWLUPZWIKIXAWIUQZKNZWIK
      NZXAXBWDURZKWDUSWLXEKWLXEKUTWCVAVBVCVDWIVFXDXCVEWDVGWIVHVIVJPULVKWAWIVLVM
      VNVOVP $.
    $( $j usage 'cnvfi' avoids 'ax-pow'; $)
  $}

  ${
    $d A x y z $.  $d F x y z $.
    $( A version of ~ fnex for finite sets that does not require Replacement or
       Power Sets.  (Contributed by Mario Carneiro, 16-Nov-2014.)  (Revised by
       Mario Carneiro, 24-Jun-2015.) $)
    fnfi $p |- ( ( F Fn A /\ A e. Fin ) -> F e. Fin ) $=
      ( vx vy vz cfn wcel wa cres wceq adantr cv wi c0 csn reseq2 eleq1d imbi2d
      cun a1i wfn fnresdm res0 0fin eqeltri resundi cfv cop wss snfi wfun fnfun
      funressn syl ssfi sylancr unfi sylan2 eqeltrid findcard2 anabsi7 eqeltrrd
      expcom a2i ) BAUAZAFGZHZBAIZBFVEVHBJVFABUBKVEVFVHFGZVGBCLZIZFGZMVGBNIZFGZ
      MVGBDLZIZFGZMZVGBVOELZOZSZIZFGZMZVGVIMCDEAVJNJZVLVNVGWEVKVMFVJNBPQRVJVOJZ
      VLVQVGWFVKVPFVJVOBPQRVJWAJZVLWCVGWGVKWBFVJWABPQRVJAJZVLVIVGWHVKVHFVJABPQR
      VNVGVMNFBUCUDUETVRWDMVOFGVGVQWCVQVGWCVQVGHWBVPBVTIZSZFBVOVTUFVGVQWIFGZWJF
      GVGVSVSBUGUHZOZFGWIWMUIZWKWLUJVEWNVFVEBUKWNABULVSBUMUNKWMWIUOUPVPWIUQURUS
      VCVDTUTVAVB $.
    $( $j usage 'fnfi' avoids 'ax-pow' 'ax-rep'; $)
  $}

  $( If the domain of a one-to-one, onto function is finite, then the domain
     and range of the function are equinumerous.  This theorem is proved
     without using the Axiom of Replacement or the Axiom of Power Sets (unlike
     ~ f1oeng ).  (Contributed by BTernaryTau, 8-Sep-2024.) $)
  f1oenfi $p |- ( ( A e. Fin /\ F : A -1-1-onto-> B ) -> A ~~ B ) $=
    ( cfn wcel wf1o cen wbr wfn f1ofn fnfi sylan ancoms f1oen3g sylancom ) ADEZ
    ABCFZCDEZABGHQPRQCAIPRABCJACKLMABCDNO $.
  $( $j usage 'f1oenfi' avoids 'ax-pow' 'ax-rep'; $)

  $( If the range of a one-to-one, onto function is finite, then the domain and
     range of the function are equinumerous.  (Contributed by BTernaryTau,
     9-Sep-2024.) $)
  f1oenfirn $p |- ( ( B e. Fin /\ F : A -1-1-onto-> B ) -> A ~~ B ) $=
    ( cfn wcel wf1o cen wbr ccnv f1ocnv f1ofn fnfi sylan ancoms cnvfi wrel wceq
    wfn f1orel sylancom dfrel2 sylib eleq1d biimpac f1oen3g ) BDEZABCFZCDEZABGH
    UFUGCIZDEZUHUGUFUJUGBAUIFZUFUJABCJUKUIBRUFUJBAUIKBUILMMNUJUIIZDEZUGUHUIOUGU
    MUHUGULCDUGCPULCQABCSCUAUBUCUDMTABCDUET $.
  $( $j usage 'f1oenfirn' avoids 'ax-pow' 'ax-rep'; $)

  $( If the codomain of a one-to-one function is finite, then the function's
     domain is dominated by its codomain.  This theorem is proved without using
     the Axiom of Replacement or the Axiom of Power Sets (unlike ~ f1domg ).
     (Contributed by BTernaryTau, 25-Sep-2024.) $)
  f1domfi $p |- ( ( B e. Fin /\ F : A -1-1-> B ) -> A ~<_ B ) $=
    ( cfn wcel wf1 wa cdom wbr ccnv crn wf1o f1cnv wss f1f frnd ssfi sylan2 wfn
    sylan f1ofn fnfi syl2an2 cnvfi wrel wceq f1rel dfrel2 sylib eleq1d sylancom
    biimpac f1dom3g 3expib mpcom ) CDEZBDEZABCFZGABHIZUQURCJZDEZUPURCKZAUTLZUQV
    BDEZVAABCMURUQVBBNVDURABCABCOPBVBQRVCUTVBSVDVAVBAUTUAVBUTUBTUCVAUTJZDEZURUP
    UTUDURVFUPURVECDURCUEVECUFABCUGCUHUIUJULTUKUPUQURUSABCDDUMUNUO $.
  $( $j usage 'f1domfi' avoids 'ax-pow' 'ax-rep'; $)

  $( Equinumerosity is reflexive for finite sets, proved without using the
     Axiom of Power Sets (unlike ~ enrefg ).  (Contributed by BTernaryTau,
     8-Sep-2024.) $)
  enreffi $p |- ( A e. Fin -> A ~~ A ) $=
    ( cfn wcel cid cres wf1o cen wbr f1oi f1oenfi mpan2 ) ABCAADAEZFAAGHAIAALJK
    $.
  $( $j usage 'enreffi' avoids 'ax-pow'; $)

  ${
    $d A f $.  $d A g $.  $d B f $.  $d B g $.
    $( Symmetry of equinumerosity for finite sets, proved without using the
       Axiom of Power Sets (unlike ~ ensymb ).  (Contributed by BTernaryTau,
       9-Sep-2024.) $)
    ensymfib $p |- ( A e. Fin -> ( A ~~ B <-> B ~~ A ) ) $=
      ( vf vg cfn wcel cen wbr cv wf1o wex bren wa 19.42v f1ocnv sylan2 exlimiv
      ccnv sylbir sylan2b f1oenfirn f1oenfi impbida ) AEFZABGHZBAGHZUEUDABCIZJZ
      CKZUFABCLUDUIMUDUHMZCKUFUDUHCNUJUFCUHUDBAUGRZJUFABUGOBAUKUAPQSTUFUDBADIZJ
      ZDKZUEBADLUDUNMUDUMMZDKUEUDUMDNUOUEDUMUDABULRZJUEBAULOABUPUBPQSTUC $.
    $( $j usage 'ensymfib' avoids 'ax-pow'; $)
  $}

  ${
    $d A f g $.  $d B f g $.  $d C f g $.
    $( Transitivity of equinumerosity for finite sets, proved without using the
       Axiom of Power Sets (unlike ~ entr ).  (Contributed by BTernaryTau,
       10-Sep-2024.) $)
    entrfil $p |- ( ( A e. Fin /\ A ~~ B /\ B ~~ C ) -> A ~~ C ) $=
      ( vf vg cen wbr cfn wcel cv wf1o wex bren wa exdistrv 19.42vv ccom ancoms
      f1oco f1oenfi sylan2 exlimivv sylbir sylan2br 3impb syl3an2b syl3an3b ) B
      CFGAHIZABFGZBCDJZKZDLZACFGZBCDMUIUHABEJZKZELZULUMABEMUHUPULUMUPULNUHUOUKN
      ZDLELZUMUOUKEDOUHURNUHUQNZDLELUMUHUQEDPUSUMEDUQUHACUJUNQZKZUMUKUOVAABCUJU
      NSRACUTTUAUBUCUDUEUFUG $.
    $( $j usage 'entrfil' avoids 'ax-pow'; $)
  $}

  ${
    $d A x $.  $d B x $.
    $( A set equinumerous to a finite set is finite.  (Contributed by Mario
       Carneiro, 12-Mar-2015.)  Avoid ~ ax-pow .  (Revised by BTernaryTau,
       23-Sep-2024.) $)
    enfii $p |- ( ( B e. Fin /\ A ~~ B ) -> A e. Fin ) $=
      ( vx cen wbr cfn wcel wa com wrex wex isfi df-rex sylbb ensymfib biimparc
      cv 19.41v w3a sylibr simp1 nnfi biimpar 3adant3 entrfil syld3an2 3ad2ant1
      wb mpbid syl3an1 jca 3expa eximi sylbir syl2an2 ancoms ) ABDEZBFGZAFGZUQU
      RHZACQZDEZCIJZUSUTVAIGZVBHZCKZVCURVDBVADEZHZCKZUQBADEZVFURVGCIJVICBLVGCIM
      NURVJUQBAOPVIVJHVHVJHZCKVFVHVJCRVKVECVDVGVJVEVDVGVJSVDVBVDVGVJUAVDVAFGZVG
      VJVBVAUBVLVGVJSVAADEZVBVLVABDEZVGVJVMVLVGVNVJVLVNVGVABOUCUDVABAUEUFVLVGVM
      VBUHVJVAAOUGUIUJUKULUMUNUOVBCIMTCALTUP $.
    $( $j usage 'enfii' avoids 'ax-pow'; $)
  $}

  $( Equinumerous sets have the same finiteness.  For a shorter proof using
     ~ ax-pow , see ~ enfiALT .  (Contributed by NM, 22-Aug-2008.)  Avoid
     ~ ax-pow .  (Revised by BTernaryTau, 23-Sep-2024.) $)
  enfi $p |- ( A ~~ B -> ( A e. Fin <-> B e. Fin ) ) $=
    ( cen wbr cfn wcel wa ensymfib pm5.32i enfii sylbi expcom impbid ) ABCDZAEF
    ZBEFZONPONGOBACDZGPONQABHIBAJKLPNOABJLM $.
  $( $j usage 'enfi' avoids 'ax-pow'; $)

  ${
    $d A x $.  $d B x $.
    $( Shorter proof of ~ enfi using ~ ax-pow .  (Contributed by NM,
       22-Aug-2008.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    enfiALT $p |- ( A ~~ B -> ( A e. Fin <-> B e. Fin ) ) $=
      ( vx cen wbr cv com wrex cfn wcel enen1 rexbidv isfi 3bitr4g ) ABDEZACFZD
      EZCGHBPDEZCGHAIJBIJOQRCGABPKLCAMCBMN $.
  $}

  $( Transitivity of equinumerosity for finite sets, proved without using the
     Axiom of Power Sets (unlike ~ entr ).  (Contributed by BTernaryTau,
     23-Sep-2024.) $)
  entrfi $p |- ( ( B e. Fin /\ A ~~ B /\ B ~~ C ) -> A ~~ C ) $=
    ( cfn wcel cen wbr enfii 3adant3 entrfil syld3an1 ) ADEZABFGZBDEZBCFGZACFGN
    MLOABHIABCJK $.
  $( $j usage 'entrfi' avoids 'ax-pow'; $)

  $( Transitivity of equinumerosity for finite sets, proved without using the
     Axiom of Power Sets (unlike ~ entr ).  (Contributed by BTernaryTau,
     23-Sep-2024.) $)
  entrfir $p |- ( ( C e. Fin /\ A ~~ B /\ B ~~ C ) -> A ~~ C ) $=
    ( cfn wcel cen wbr enfii 3adant2 entrfi syld3an1 ) BDEZABFGZCDEZBCFGZACFGNO
    LMBCHIABCJK $.
  $( $j usage 'entrfir' avoids 'ax-pow'; $)

  $( If a function is one-to-one, then the image of a finite subset of its
     domain under it is equinumerous to the subset.  This theorem is proved
     without using the Axiom of Replacement or the Axiom of Power Sets (unlike
     ~ f1imaeng ).  (Contributed by BTernaryTau, 29-Sep-2024.) $)
  f1imaenfi $p |- ( ( F : A -1-1-> B /\ C C_ A /\ C e. Fin ) ->
      ( F " C ) ~~ C ) $=
    ( cfn wcel wf1 wss cima cen wbr wa cres wf1o f1ores f1oenfi ensymfib adantr
    wb mpbid sylan2 3impb 3coml ) CEFZABDGZCAHZDCIZCJKZUDUEUFUHUEUFLUDCUGDCMZNZ
    UHABCDOUDUJLCUGJKZUHCUGUIPUDUKUHSUJCUGQRTUAUBUC $.
  $( $j usage 'f1imaenfi' avoids 'ax-pow' 'ax-rep'; $)

  ${
    $d D x $.  $d H x $.  $d A f g x $.  $d B f g x $.
    sbthfilem.1 $e |- A e. _V $.
    sbthfilem.2 $e |- D = { x |
                   ( x C_ A /\ ( g " ( B \ ( f " x ) ) ) C_ ( A \ x ) ) } $.
    sbthfilem.3 $e |- H = ( ( f |` U. D ) u. ( `' g |` ( A \ U. D ) ) ) $.
    sbthfilem.4 $e |- B e. _V $.
    $( Lemma for ~ sbthfi .  (Contributed by BTernaryTau, 4-Nov-2024.) $)
    sbthfilem $p |- ( ( B e. Fin /\ A ~<_ B /\ B ~<_ A ) -> A ~~ B ) $=
      ( cfn wcel cdom wbr w3a cv wex wa cvv wf1 cen 19.42vv 3anass 2exbii brdom
      anbi12i exdistrv bitr4i anbi2i 3bitr4ri wf1o wfn f1fn cuni cres ccnv cdif
      bitri cun vex resex fnfi cnvfi resexg 3syl sylancr eqeltrid ancoms sylan2
      unexg 3adant2 sbthlem9 3adant1 f1oen3g syl2anc exlimivv sylbi ) CLMZBCNOZ
      CBNOZPZVSBCEQZUAZCBFQZUAZPZFRERZBCUBOZVSWDWFSZSZFRERVSWJFRERZSZWHWBVSWJEF
      UCWGWKEFVSWDWFUDUEWBVSVTWASZSWMVSVTWAUDWNWLVSWNWDERZWFFRZSWLVTWOWAWPBCEKU
      FCBFHUFUGWDWFEFUHUIUJUSUKWGWIEFWGGTMZBCGULZWIVSWFWQWDWFVSWECUMZWQCBWEUNWS
      VSWQWSVSSZGWCDUOZUPZWEUQZBXAURZUPZUTZTJWTXBTMXETMZXFTMWCXAEVAVBWTWELMXCLM
      XGCWEVCWEVDXCXDLVEVFXBXETTVKVGVHVIVJVLWDWFWRVSABCDEFGHIJVMVNBCGTVOVPVQVR
      $.
    $( $j usage 'sbthfilem' avoids 'ax-pow'; $)
  $}

  ${
    $d B w $.  $d A w z $.  $d f g w x y z $.
    $( Schroeder-Bernstein Theorem for finite sets, proved without using the
       Axiom of Power Sets (unlike ~ sbth ).  (Contributed by BTernaryTau,
       4-Nov-2024.) $)
    sbthfi $p |- ( ( B e. Fin /\ A ~<_ B /\ B ~<_ A ) -> A ~~ B ) $=
      ( vw vz vx vy cfn wcel cdom wbr w3a cen wi cvv wceq breq1 wss cima cdif
      cv vg vf reldom brrelex1i breq2 3anbi23d imbi12d eleq1 3anbi123d cab cuni
      wa cres ccnv cun vex imaeq2 difeq2d imaeq2d difeq2 sseq12d anbi12d cbvabv
      sseq1 eqid sbthfilem vtocl2g syl2an 3adant1 pm2.43i ) BGHZABIJZBAIJZKZABL
      JZVLVMVNVOMZVKVLANHBNHVPVMABIUCUDBAIUCUDCTZGHZDTZVQIJZVQVSIJZKZVSVQLJZMVR
      AVQIJZVQAIJZKZAVQLJZMVPDCABNNVSAOZWBWFWCWGWHVTWDWAWEVRVSAVQIPVSAVQIUEUFVS
      AVQLPUGVQBOZWFVNWGVOWIVRVKWDVLWEVMVQBGUHVQBAIUEVQBAIPUIVQBALUEUGEVSVQFTZV
      SQZUATZVQUBTZWJRZSZRZVSWJSZQZULZFUJZUBUAWMWTUKZUMWLUNVSXASUMUOZDUPWSETZVS
      QZWLVQWMXCRZSZRZVSXCSZQZULFEWJXCOZWKXDWRXIWJXCVSVDXJWPXGWQXHXJWOXFWLXJWNX
      EVQWJXCWMUQURUSWJXCVSUTVAVBVCXBVECUPVFVGVHVIVJ $.
    $( $j usage 'sbthfi' avoids 'ax-pow'; $)
  $}

  $( An ordinal number equinumerous to a natural number is equal to it.
     Proposition 10.22 of [TakeutiZaring] p. 90 and its converse.  (Contributed
     by NM, 26-Jul-2004.) $)
  onomeneq $p |- ( ( A e. On /\ B e. _om ) -> ( A ~~ B <-> A = B ) ) $=
    ( con0 wcel com wa cen wbr wceq wss adantl cdom ssdomg sylan2 ancoms adantr
    wn wb wi word csuc php5 ad2antlr enen1 mtbird peano2 sssucid mpisyl endomtr
    a1d adantll ssel com12 eloni ordelsuc sylibd syld jcad sbth syl6 mtod ordom
    ordtri1 sylancr con2bid ad2antrr mpbird simplr nneneq biimpa sylancom eqeng
    jca ex impbid ) ACDZBEDZFZABGHZABIZVRVSVTVRVSAEDZVQFZVTVRVSFZWAVQWCWAEAJZQZ
    WCWDABUAZGHZWCWGBWFGHZVQWHQVPVSBUBUCVSWGWHRVRABWFUDKUEWCWDAWFLHZWFALHZFWGWC
    WDWIWJVQVSWDWISVPVQVSFWIWDVSVQWIVQVSBWFLHZWIVQWFEDBWFJWKBUFBUGBWFEMUHABWFUI
    NOUJUKVRWDWJSZVSVQVPWLVQVPFZWDWFAJZWJWMWDBADZWNVQWDWOSVPWDVQWOEABULUMPVPVQA
    TZWOWNRAUNZBAEUONUPVPWNWJSVQWFACMKUQOPURAWFUSUTVAVPWAWERVQVSVPWDWAVPETWPWDW
    AQRVBWQEAVCVDVEVFVGVPVQVSVHVMWBVSVTABVIVJVKVNVPVTVSSVQABCVLPVO $.

  ${
    $d x A $.
    $( An ordinal number is finite iff it is a natural number.  Proposition
       10.32 of [TakeutiZaring] p. 92.  (Contributed by NM, 26-Jul-2004.) $)
    onfin $p |- ( A e. On -> ( A e. Fin <-> A e. _om ) ) $=
      ( vx cfn wcel cv cen wbr wrex con0 isfi wa wceq onomeneq wi eleq1a adantl
      com sylbid rexlimdva enrefg breq2 rspcev mpdan impbid1 syl5bb ) ACDABEZFG
      ZBQHZAIDZAQDZBAJUIUHUJUIUGUJBQUIUFQDZKUGAUFLZUJAUFMUKULUJNUIUFQAOPRSUJAAF
      GZUHAQTUGUMBAQUFAAFUAUBUCUDUE $.
  $}

  $( A set is a natural number iff it is a finite ordinal.  (Contributed by
     Mario Carneiro, 22-Jan-2013.) $)
  onfin2 $p |- _om = ( On i^i Fin ) $=
    ( vx com con0 cfn cin cv wcel nnon onfin biimprcd jcai biimpa impbii bitr4i
    wa elin eqriv ) ABCDEZAFZBGZSCGZSDGZOZSRGTUCTUAUBSHUAUBTSIZJKUAUBTUDLMSCDPN
    Q $.

  $( Obsolete version of ~ nnfi as of 23-Sep-2024.  (Contributed by Stefan
     O'Rear, 21-Mar-2015.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  nnfiOLD $p |- ( A e. _om -> A e. Fin ) $=
    ( com cfn con0 cin onfin2 inss2 eqsstri sseli ) BCABDCECFDCGHI $.

  $( Cardinal ordering agrees with natural number ordering.  Example 3 of
     [Enderton] p. 146.  (Contributed by NM, 17-Jun-1998.) $)
  nndomo $p |- ( ( A e. _om /\ B e. _om ) -> ( A ~<_ B <-> A C_ B ) ) $=
    ( com wcel con0 cdom wbr wss wb nnon nndomog sylan2 ) BCDACDBEDABFGABHIBJAB
    KL $.

  $( Cardinal ordering agrees with natural number ordering.  (Contributed by
     NM, 17-Jun-1998.) $)
  nnsdomo $p |- ( ( A e. _om /\ B e. _om ) -> ( A ~< B <-> A C. B ) ) $=
    ( com wcel wa cdom wbr cen wn wceq csdm nndomo nneneq notbid anbi12d brsdom
    wss wpss dfpss2 3bitr4g ) ACDBCDEZABFGZABHGZIZEABQZABJZIZEABKGABRUAUBUEUDUG
    ABLUAUCUFABMNOABPABST $.

  $( Strict dominance of a set over a natural number is the same as dominance
     over its successor.  (Contributed by Mario Carneiro, 12-Jan-2013.) $)
  sucdom $p |- ( A e. _om -> ( A ~< B <-> suc A ~<_ B ) ) $=
    ( com wcel csdm wbr csuc cdom sucdom2 wi php4 sdomdomtr ex syl impbid2 ) AC
    DZABEFZAGZBHFZABIPAREFZSQJAKTSQARBLMNO $.

  $( Strict dominance over zero is the same as dominance over one.
     (Contributed by NM, 28-Sep-2004.) $)
  0sdom1dom $p |- ( (/) ~< A <-> 1o ~<_ A ) $=
    ( c0 csdm wbr csuc cdom c1o wcel wb peano1 sucdom ax-mp df-1o breq1i bitr4i
    com ) BACDZBEZAFDZGAFDBPHQSIJBAKLGRAFMNO $.

  $( Ordinal 1 is strictly dominated by ordinal 2.  (Contributed by NM,
     4-Apr-2007.) $)
  1sdom2 $p |- 1o ~< 2o $=
    ( c1o csuc c2o csdm com wcel wbr 1onn php4 ax-mp df-2o breqtrri ) AABZCDAEF
    AMDGHAIJKL $.

  $( A set has less than one member iff it is empty.  (Contributed by Stefan
     O'Rear, 28-Oct-2014.) $)
  sdom1 $p |- ( A ~< 1o <-> A = (/) ) $=
    ( c1o csdm wbr c0 wceq wn cdom domnsym con2i 0sdom1dom sylnibr wcel relsdom
    cvv wb brrelex1i 0sdomg necon2bbid syl mpbird 1oex 0sdom mpbir breq1 mpbiri
    wne 1n0 impbii ) ABCDZAEFZUJUKEACDZGZUJBAHDZULUNUJBAIJAKLUJAOMZUKUMPABCNQUO
    ULAEAORSTUAUKUJEBCDZUPBEUGUHBUBUCUDAEBCUEUFUI $.

  $( Two ways to express "at most one".  (Contributed by Stefan O'Rear,
     28-Oct-2014.) $)
  modom $p |- ( E* x ph <-> { x | ph } ~<_ 1o ) $=
    ( wmo wex weu wi wn wo cab c1o cdom wbr moeu imor csdm cen wceq abn0 bitr4i
    c0 necon1bbii sdom1 euen1 orbi12i brdom2 3bitri ) ABCABDZABEZFUGGZUHHZABIZJ
    KLZABMUGUHNUJUKJOLZUKJPLZHULUIUMUHUNUIUKTQUMUGUKTABRUAUKUBSABUCUDUKJUESUF
    $.

  ${
    $d x A $.
    $( Two ways to express "at most one".  (Contributed by Mario Carneiro,
       24-Dec-2016.) $)
    modom2 $p |- ( E* x x e. A <-> A ~<_ 1o ) $=
      ( cv wcel wmo cab c1o cdom wbr modom abid2 breq1i bitri ) ACBDZAENAFZGHIB
      GHINAJOBGHABKLM $.
  $}

  ${
    $d a f x y A $.
    $( A set that strictly dominates ordinal 1 has at least 2 different
       members.  (Closely related to ~ 2dom .)  (Contributed by Mario Carneiro,
       12-Jan-2013.) $)
    1sdom $p |- ( A e. V -> ( 1o ~< A <-> E. x e. A E. y e. A -. x = y ) ) $=
      ( va vf c1o cv csdm wbr wrex cdom c2o c0 cpr wf1 cop vex ccnv csn wn csuc
      weq breq2 rexeq rexeqbi1dv com wcel wb 1onn sucdom ax-mp df-2o 2dom df2o3
      breq1i wel wa wex wss wne wfun 0ex 1oex funpr df-ne wf 1n0 necomi mpbiran
      fpr df-f1 cun cnvsn uneq12i df-pr cnveqi cnvun eqtri 3eqtr4i funeqi prssi
      bitr2i 3imtr3i f1ss syl2an prex f1eq1 spcev brdom sylibr expcom rexlimivv
      syl eqbrtrid impbii 3bitr2i vtoclbg ) GEHZIJZABUCUAZBWSKZAWSKZGCIJXABCKZA
      CKECDWSCGIUDXBXDAWSCXABWSCUEUFWTGUBZWSLJZMWSLJZXCGUGUHWTXFUIUJGWSUKULMXEW
      SLUMUPXGXCABWSUNXCMNGOZWSLUOXAXHWSLJZABWSWSXAAEUQBEUQURZXIXAXJURZXHWSFHZP
      ZFUSZXIXKXHWSNAHZQZGBHZQZOZPZXNXAXHXOXQOZXSPZYAWSUTXTXJXOXQVAXONQZXQGQZOZ
      VBZXAYBXOXQNGARZBRZVCVDVEXOXQVFYBXSSZVBZYFYBXHYAXSVGZYJNGVAYKGNVHVINGXOXQ
      VCVDYGYHVKULXHYAXSVLVJYIYEXPTZSZXRTZSZVMZYCTZYDTZVMYIYEYMYQYOYRNXOVCYGVNG
      XQVDYHVNVOYIYLYNVMZSYPXSYSXPXRVPVQYLYNVRVSYCYDVPVTWAWCWDXOXQWSWBXHYAWSXSW
      EWFXMXTFXSXPXRWGXHWSXLXSWHWIWNXHWSFERWJWKWLWMWOWPWQWR $.
  $}

  ${
    $d F w z $.  $d a b m n s t w x z $.
    unxpdomlem1.1 $e |- F = ( x e. ( a u. b ) |-> G ) $.
    unxpdomlem1.2 $e |- G = if ( x e. a , <. x , if ( x = m , t , s ) >. ,
                                          <. if ( x = t , n , m ) , x >. ) $.
    $( Lemma for ~ unxpdom .  (Trivial substitution proof.)  (Contributed by
       Mario Carneiro, 13-Jan-2013.) $)
    unxpdomlem1 $p |- ( z e. ( a u. b ) -> ( F ` z ) =
       if ( z e. a , <. z , if ( z = m , t , s ) >. ,
                     <. if ( z = t , n , m ) , z >. ) ) $=
      ( cv wel weq cif cop equequ1 ifbid eqtrd elequ1 opeq1 opeq2d opeq1d opeq2
      cun ifbieq12d eqtrid opex ifex fvmpt ) ABMZGBINZULBDOZCMZHMZPZQZBCOZEMZDM
      ZPZULQZPZIMJMUFFABOZGAINZAMZADOZUOUPPZQZACOZUTVAPZVGQZPVDLVEVFUMVJVMURVCA
      BIUAVEVJULVIQURVGULVIUBVEVIUQULVEVHUNUOUPABDRSUCTVEVMVBVGQVCVEVLVBVGVEVKU
      SUTVAABCRSUDVGULVBUETUGUHKUMURVCULUQUIVBULUIUJUK $.

    ${
      unxpdomlem2.1 $e |- ( ph -> w e. ( a u. b ) ) $.
      unxpdomlem2.2 $e |- ( ph -> -. m = n ) $.
      unxpdomlem2.3 $e |- ( ph -> -. s = t ) $.
      $( Lemma for ~ unxpdom .  (Contributed by Mario Carneiro,
         13-Jan-2013.) $)
      unxpdomlem2 $p |- ( ( ph /\ ( z e. a /\ -. w e. a ) ) ->
        -. ( F ` z ) = ( F ` w ) ) $=
        ( cv wceq weq wel wn cfv adantr cif cop wcel elun1 ad2antrl unxpdomlem1
        wa cun syl iftrue eqtrd iffalse ad2antll eqeq12d biimpa ifex opth sylib
        vex simprd eqeq1d syl5ib simpld syl5ibr syld ad2antrr notbid syl5ibrcom
        equequ1 pm2.65d iffalsed mt3d 3eqtr3d mtand ) ACKUAZDKUAZUBZUKZUKZCRZHU
        CZDRZHUCZSZJETZAWIUBWBQUDWCWHUKZCFTZERZJRZUEZWFWMWLWJWDDETZGRZFRZUEZSZW
        NWFSZWJWDWNUFZWRWFUFZSZWSWTUKWCWHXCWCWEXAWGXBWCWEVSXACETWPWQUEWDUFZUEZX
        AWCWDKRZLRZULZUGZWEXESVSXIAWAWDXFXGUHUIBCEFGHIJKLMNUJUMVSXEXASAWAVSXAXD
        UNUIUOWCWGVTWFDFTWLWMUEUFZXBUEZXBWCWFXHUGZWGXKSAXLWBOUDBDEFGHIJKLMNUJUM
        WAXKXBSAVSVTXJXBUPUQUOURUSWDWNWRWFCVCWKWLWMEVCJVCUTVAVBZVDZWJWKWLWMWJWK
        CGTZWJWKWOXOWKWNWLSWJWOWKWLWMUNWJWNWFWLXNVEVFWOXOWJWRWPSWOWPWQUNWJWDWRW
        PWJWSWTXMVGZVEVHVIWJXOUBWKFGTZUBZAXRWBWHPVJWKXOXQCFGVMVKVLVNZVOWJWOWKXS
        WOUBWKWJWRWQSWOWPWQUPWJWDWRWQXPVEVHVPVQVR $.
    $}

    $( Lemma for ~ unxpdom .  (Contributed by Mario Carneiro, 13-Jan-2013.)
       (Revised by Mario Carneiro, 16-Nov-2014.) $)
    unxpdomlem3 $p |- ( ( 1o ~< a /\ 1o ~< b )
                        -> ( a u. b ) ~<_ ( a X. b ) ) $=
      ( vz vw cv weq wrex wa wel wceq cif c1o csdm wbr wn cun cxp cdom wb 1sdom
      cvv elv reeanv wcel w3a wf1 vex unex xpex wf cfv wi wral cop simpr simp2r
      simp1r ifcld ad2antrr opelxpd simp2l simp1l wo elun sylib ifclda eqeltrid
      orcanai fmptd unxpdomlem1 ad2antrl iftrue adantr sylan9eq ad2antll adantl
      eqeq12d ifex opth1 syl6bi simprr simpll simplr unxpdomlem2 pm2.21d simprl
      eqcom ancom2s iffalse opth simprbi 4casesdan ralrimivva 3ad2ant3 sylanbrc
      syl5bi dff13 f1dom2g mp3an12i 3expia rexlimdvva syl5bir rexlimivv syl2anb
      sylbir ) UAHNZUBUCZCDOUDZDXOPZCXOPZGBOUDZBINZPZGYAPZXOYAUEZXOYAUFZUGUCZUA
      YAUBUCZXPXSUHHCDXOUJUIUKYGYCUHIGBYAUJUIUKXSYCQXRYBQZGYAPCXOPYFXRYBCGXOYAU
      LYHYFCGXOYAYHXQXTQZBYAPDXOPCHRZGIRZQZYFXQXTDBXOYAULYLYIYFDBXOYAYLDHRZBIRZ
      QZYIYFYDUJUMYEUJUMYLYOYIUNZYDYEEUOZYFXOYAHUPZIUPZUQXOYAYRYSURYPYDYEEUSLNZ
      EUTZMNZEUTZSZLMOZVAZMYDVBLYDVBZYQYPAYDFYEEYPANZYDUMZQZFAHRZUUHACOZBNZGNZT
      ZVCZABOZDNZCNZTZUUHVCZTYEKUUJUUKUUPUVAYEUUJUUKQUUHUUOXOYAUUJUUKVDYPUUOYAU
      MUUIUUKYPUULUUMUUNYAYLYMYNYIVEYJYKYOYIVFVGVHVIUUJUUKUDZQUUTUUHXOYAYPUUTXO
      UMUUIUVBYPUUQUURUUSXOYLYMYNYIVJYJYKYOYIVKVGVHUUJUUKAIRZUUJUUIUUKUVCVLYPUU
      IVDUUHXOYAVMVNVQVIVOVPJVRYIYLUUGYOYIUUFLMYDYDYIYTYDUMZUUBYDUMZQZQZLHRZMHR
      ZUUFUVGUVHUVIQZQZUUDYTLCOZUUMUUNTZVCZUUBMCOUUMUUNTZVCZSUUEUVKUUAUVNUUCUVP
      UVGUVJUUAUVHUVNLBOZUURUUSTZYTVCZTZUVNUVDUUAUVTSYIUVEALBCDEFGHIJKVSVTZUVHU
      VTUVNSUVIUVHUVNUVSWAWBWCUVGUVJUUCUVIUVPMBOUURUUSTZUUBVCZTZUVPUVEUUCUWDSYI
      UVDAMBCDEFGHIJKVSWDZUVIUWDUVPSUVHUVIUVPUWCWAWEWCWFYTUVMUUBUVOLUPZUVLUUMUU
      NBUPGUPWGWHWIUVGUVHUVIUDZQQUUDUUEUVGALMBCDEFGHIJKYIUVDUVEWJXQXTUVFWKZXQXT
      UVFWLZWMWNUUDUUCUUASZUVGUVHUDZUVIQQZUUEUUAUUCWPUWLUWJUUEUVGUVIUWKUWJUDUVG
      AMLBCDEFGHIJKYIUVDUVEWOUWHUWIWMWQWNXEUVGUWKUWGQZQZUUDUVSUWCSZUUEUWNUUAUVS
      UUCUWCUVGUWMUUAUVTUVSUWAUWKUVTUVSSUWGUVHUVNUVSWRWBWCUVGUWMUUCUWDUWCUWEUWG
      UWDUWCSUWKUVIUVPUWCWRWEWCWFUWOUVRUWBSUUEUVRYTUWBUUBUVQUURUUSDUPCUPWGUWFWS
      WTWIXAXBXCLMYDYEEXFXDYDYEEUJUJXGXHXIXJXKXLXNXM $.
  $}

  ${
    $d A x y $.  $d B y $.  $d t u v w x y z $.
    $( Cartesian product dominates union for sets with cardinality greater than
       1.  Proposition 10.36 of [TakeutiZaring] p. 93.  (Contributed by Mario
       Carneiro, 13-Jan-2013.)  (Proof shortened by Mario Carneiro,
       27-Apr-2015.) $)
    unxpdom $p |- ( ( 1o ~< A /\ 1o ~< B ) -> ( A u. B ) ~<_ ( A X. B ) ) $=
      ( vx vy vz vw vv vu cvv wcel wa c1o csdm wbr cun cxp cdom cv wi cif breq2
      vt relsdom brrelex2i anim12i wceq anbi1d uneq1 xpeq1 breq12d anbi2d uneq2
      imbi12d xpeq2 weq cop cmpt eqid unxpdomlem3 vtocl2g mpcom ) AIJZBIJZKLAMN
      ZLBMNZKZABOZABPZQNZVDVBVEVCLAMUCUDLBMUCUDUELCRZMNZLDRZMNZKZVJVLOZVJVLPZQN
      ZSVDVMKZAVLOZAVLPZQNZSVFVISCDABIIVJAUFZVNVRVQWAWBVKVDVMVJALMUAUGWBVOVSVPV
      TQVJAVLUHVJAVLUIUJUMVLBUFZVRVFWAVIWCVMVEVDVLBLMUAUKWCVSVGVTVHQVLBAULVLBAU
      NUJUMEFGHEVOERZVJJWDEGUOFRUBRTUPEFUOHRGRTWDUPTZUQZWEUBCDWFURWEURUSUTVA $.
  $}

  $( Corollary of ~ unxpdom .  (Contributed by NM, 16-Sep-2004.) $)
  unxpdom2 $p |- ( ( 1o ~< A /\ B ~<_ A ) -> ( A u. B ) ~<_ ( A X. A ) ) $=
    ( c1o csdm wbr cdom cun csn cxp c0 cen cvv wcel com xpsneng sylancl domentr
    ensymd syl2anc sdomentr wa cin wceq relsdom brrelex2i adantr 1onn endom syl
    simpr 0ex wne 1n0 xpsndisj mp1i undom syl21anc syldan unxpdom xpen domtr )
    CADEZBAFEZUAZABGZACHIZAJHIZGZFEZVHAAIZFEZVEVJFEVDAVFFEZBVGFEZVFVGUBJUCZVIVD
    AVFKEZVLVDVFAVDALMZCNMVFAKEZVBVPVCCADUDUEUFZUGACLNOPZRZAVFUHUIVDVCAVGKEZVMV
    BVCUJVDVGAVDVPJLMVGAKEZVRUKAJLLOPZRZBAVGQSCJULVNVDUMACAJUNUOAVFBVGUPUQVDVHV
    FVGIZFEZWEVJKEZVKVDCVFDEZCVGDEZWFVBVCVOWHVTCAVFTURVBVCWAWIWDCAVGTURVFVGUSSV
    DVQWBWGVSWCVFAVGAUTSVHWEVJQSVEVHVJVAS $.

  $( Cartesian product dominates successor for set with cardinality greater
     than 1.  Proposition 10.38 of [TakeutiZaring] p. 93 (but generalized to
     arbitrary sets, not just ordinals).  (Contributed by NM, 3-Sep-2004.)
     (Proof shortened by Mario Carneiro, 27-Apr-2015.) $)
  sucxpdom $p |- ( 1o ~< A -> suc A ~<_ ( A X. A ) ) $=
    ( c1o csdm wbr csn cun cxp cdom c0 cen cvv wcel con0 xpsneng sylancl ensymd
    syl sdomentr syl2anc mpdan csuc df-suc cin wceq relsdom brrelex2i 1on endom
    ensn1g ensdomtr mpancom 0ex sdomdom wne 1n0 xpsndisj undom syl21anc unxpdom
    mp1i domtr xpen domentr eqbrtrid ) BACDZAUAAAEZFZAAGZHAUBVEVGABEGZAIEGZGZHD
    ZVKVHJDZVGVHHDVEVGVIVJFZHDZVNVKHDZVLVEAVIHDZVFVJHDZVIVJUCIUDZVOVEAVIJDZVQVE
    VIAVEAKLZBMLVIAJDZBACUEUFZUGABKMNOZPZAVIUHQVEVFVJCDZVRVEVFACDZAVJJDZWFVFBJD
    ZVEWGVEWAWIWCAKUIQVFBAUJUKVEVJAVEWAIKLVJAJDZWCULAIKKNOZPZVFAVJRSVFVJUMQBIUN
    VSVEUOABAIUPUTAVIVFVJUQURVEBVICDZBVJCDZVPVEVTWMWEBAVIRTVEWHWNWLBAVJRTVIVJUS
    SVGVNVKVASVEWBWJVMWDWKVIAVJAVBSVGVKVHVCSVD $.

  $( A set equinumerous to a proper subset of itself is infinite.  Corollary
     6D(a) of [Enderton] p. 136.  (Contributed by NM, 2-Jun-1998.) $)
  pssinf $p |- ( ( A C. B /\ A ~~ B ) -> -. B e. Fin ) $=
    ( wpss cen wbr cfn wcel wn csdm php3 ex sdomnen syl6com con2d imp ) ABCZABD
    EZBFGZHPRQRPABIEZQHRPSBAJKABLMNO $.

  $( A finite set is equal to its subset if they are equinumerous.
     (Contributed by FL, 11-Aug-2008.) $)
  fisseneq $p |- ( ( B e. Fin /\ A C_ B /\ A ~~ B ) -> A = B ) $=
    ( cen wbr wss cfn wcel wceq wa wn wpss df-pss pssinf expcom syl5bir expdimp
    wne necon4ad 3impia 3com13 ) ABCDZABEZBFGZABHZUAUBUCUDUAUBIUCABUAUBABQZUCJZ
    UBUEIABKZUAUFABLUGUAUFABMNOPRST $.

  $( The set of natural numbers is infinite.  Corollary 6D(b) of [Enderton]
     p. 136.  (Contributed by NM, 2-Jun-1998.) $)
  ominf $p |- -. _om e. Fin $=
    ( vx com cfn wcel wn wi cv cen wbr wrex isfi wpss wss wne wa wb nnord ordom
    word ordelssne ibi df-pss sylibr ensym pssinf syl2an rexlimiva sylbi pm2.01
    sylancl ax-mp ) BCDZULEZFUMULBAGZHIZABJUMABKUOUMABUNBDZUNBLZUNBHIUMUOUPUNBM
    UNBNOZUQUPURUPUNSBSUPURPUNQRUNBTUJUAUNBUBUCBUNUDUNBUEUFUGUHULUIUK $.

  ${
    $d A f m x y z $.  $d A m n x y $.  $d f g m x y z $.
    $( Any set that is not finite is literally infinite, in the sense that it
       contains subsets of arbitrarily large finite cardinality.  (It cannot be
       proven that the set has _countably infinite_ subsets unless AC is
       invoked.)  The proof does not require the Axiom of Infinity.
       (Contributed by Mario Carneiro, 15-Jan-2013.) $)
    isinf $p |- ( -. A e. Fin -> A. n e. _om E. x ( x C_ A /\ x ~~ n ) ) $=
      ( vm vy vf vz vg wcel cv wss cen wbr wa wex com c0 wceq wi wf1o cfn breq2
      wn csuc anbi2d exbidv wb sseq1 adantl sylan9bbr anbi12d cbvexdvaw 0ss 0ex
      breq1 enref spcev mp2an a1i cdif ssdif0 eqss wrex biimpa rspe sylan2 isfi
      w3a sylibr expcom sylanbr ex sylan2br 3impd com12 con3d bren neq0 csn cun
      eldifi snssd unss biimpi ad2ant2r cop f1osn jctr eldifn disjsn word nnord
      cin vex orddisj anim12i f1oun syl2an df-suc f1oeq3 ax-mp snex unex f1oeq1
      syl sylbir adantll syl2anc exlimiv sylbi com13 3imp21 3expia com3l finds2
      syld ralrimiv ) BUAIZUCZAJZBKZXTCJZLMZNZAOZCPYBPIXSYEYEYAXTQLMZNZAOZYAXTD
      JZLMZNZAOZEJZBKZYMYIUDZLMZNZEOZXSCDYBQRZYDYGAYSYCYFYAYBQXTLUBUEUFYBYIRZYD
      YKAYTYCYJYAYBYIXTLUBUEUFYBYORZYDYQAEUUAXTYMRZNYAYNYCYPUUBYAYNUGUUAXTYMBUH
      UIUUBYCYMYBLMUUAYPXTYMYBLUOYBYOYMLUBUJUKULYHXSQBKZQQLMZYHBUMQUNUPYGUUCUUD
      NAQUNXTQRYAUUCYFUUDXTQBUHXTQQLUOUKUQURUSYLYIPIZXSYRYKUUEXSYRSZSAYAYJUUEUU
      FYAYJUUEVHZXSBXTUTZQRZUCZYRUUGUUIXRUUIUUGXRUUIYAYJUUEXRYAUUIYJUUEXRSZSZUU
      IYABXTKZUULBXTVAYAUUMNZYJUUKUUNXTBRZYJUUKXTBVBUUEUUOYJNZXRUUEUUPNBYILMZDP
      VCZXRUUPUUEUUQUURUUOYJUUQXTBYILUOVDUUQDPVEVFDBVGVIVJVKVLVMVJVNVOVPYJYAUUE
      UUJYRSZYJXTYIFJZTZFOYAUUEUUSSZSZXTYIFVQUVAUVCFYAUVAUVBUUJUUEYAUVANZYRUUJG
      JZUUHIZGOUUEUVDYRSZSZGUUHVRUVFUVHGUVFUUEUVGUVDUVFUUENZYRUVDUVINXTUVEVSZVT
      ZBKZUVKYOLMZYRYAUVFUVLUVAUUEUVFYAUVJBKZUVLUVFUVEBUVEBXTWAWBYAUVNNUVLXTUVJ
      BWCWDVFWEUVAUVIUVMYAUVAUVINUVKYIYIVSZVTZUUTUVEYIWFZVSZVTZTZUVMUVAUVAUVJUV
      OUVRTZNXTUVJWMQRZYIUVOWMQRZNUVTUVIUVAUWAUVEYIGWNDWNWGWHUVFUWBUUEUWCUVFUVE
      XTIUCUWBUVEBXTWIXTUVEWJVIUUEYIWKUWCYIWLYIWOXEWPXTYIUVJUVOUUTUVRWQWRUVTUVK
      YOUVSTZUVMYOUVPRUWDUVTUGYIWSYOUVPUVKUVSWTXAUWDUVKYOHJZTZHOUVMUWFUWDHUVSUU
      TUVRFWNUVQXBXCUVKYOUWEUVSXDUQUVKYOHVQVIXFXEXGYQUVLUVMNEUVKXTUVJAWNUVEXBXC
      YMUVKRYNUVLYPUVMYMUVKBUHYMUVKYOLUOUKUQXHVJVLXIXJXKVJXIXJXLXPXMXIXNXOVOXQ
      $.
  $}

  ${
    $d b c d e A $.  $d b c e V $.
    $( Lemma for ~ fineqv .  (Contributed by Mario Carneiro, 20-Jan-2013.)
       (Proof shortened by Stefan O'Rear, 3-Nov-2014.)  (Revised by Mario
       Carneiro, 17-May-2015.) $)
    fineqvlem $p |- ( ( A e. V /\ -. A e. Fin ) -> _om ~<_ ~P ~P A ) $=
      ( vb vc vd ve wcel wa cpw cvv com wbr cv cen crab wss wb syl wceq wi cdom
      cfn wn pwexg adantr pwexd ssrab2 elpw2g mpbiri a1d wex r19.21bi ad2ant2lr
      isinf velpw biimpri anim1i breq1 elrab sylibr eximi eleq2 biimpcd simprbi
      adantl ensym entr sylan syl2an ex nneneq biimpd ad2antlr exlimddv rabbidv
      3syld breq2 impbid1 dom2d mpd ) ABGZAUBGUCZHZAIZIZJGKWEUALWCWDJWAWDJGZWBA
      BUDUEZUFWCCDKWEEMZCMZNLZEWDOZWHDMZNLZEWDOZJWCWKWEGZWIKGZWCWOWKWDPZWJEWDUG
      WCWFWOWQQWGWKWDJUHRUIUJWCWPWLKGZHZWKWNSZWIWLSZQWCWSHZWTXAXBFMZWKGZWTXATFX
      BXCAPZXCWINLZHZFUKZXDFUKWBWPXHWAWRWBXHCKFACUNULUMXGXDFXGXCWDGZXFHXDXEXIXF
      XIXEFAUOUPUQWJXFEXCWDWHXCWINURUSZUTVARXBXDHWTXCWNGZWIWLNLZXAXDWTXKTXBWTXD
      XKWKWNXCVBVCVEXDXKXLTXBXDXKXLXDXFXCWLNLZXLXKXDXIXFXJVDXKXIXMWMXMEXCWDWHXC
      WLNURUSVDXFWIXCNLXMXLXCWIVFWIXCWLVGVHVIVJVEWSXLXATWCXDWSXLXAWIWLVKVLVMVPV
      NXAWJWMEWDWIWLWHNVQVOVRVJVSVT $.
  $}

  $( If the Axiom of Infinity is denied, then all sets are finite (which
     implies the Axiom of Choice).  (Contributed by Mario Carneiro,
     20-Jan-2013.)  (Revised by Mario Carneiro, 3-Jan-2015.) $)
  fineqv $p |- ( -. _om e. _V <-> Fin = _V ) $=
    ( va com cvv wcel wn cfn wceq wss ssv a1i cpw cdom wbr vex fineqvlem reldom
    cv mpan brrelex1i syl con1i a1d ssrdv eqssd ominf eleq2 mtbii impbii ) BCDZ
    EZFCGZUJFCFCHUJFIJUJACFUJAQZFDZULCDZUMUIUMEZBULKKZLMZUIUNUOUQANULCORBUPLPST
    UAUBUCUDUKBFDUIUEFCBUFUGUH $.
  $( $j usage 'fineqv' avoids 'ax-inf' 'ax-inf2'; $)

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Obsolete version of ~ enfii as of 23-Sep-2024.  (Contributed by Mario
       Carneiro, 12-Mar-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    enfiiOLD $p |- ( ( B e. Fin /\ A ~~ B ) -> A e. Fin ) $=
      ( cen wbr cfn wcel enfi biimparc ) ABCDAEFBEFABGH $.

    $( Obsolete version of ~ pssnn as of 31-Jul-2024.  (Contributed by NM,
       22-Jun-1998.)  (Revised by Mario Carneiro, 16-Nov-2014.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    pssnnOLD $p |- ( ( A e. _om /\ B C. A ) -> E. x e. A B ~~ x ) $=
      ( vw vz vy com wcel wpss wa cen wbr wrex wss wi wal c0 wceq imbi12d wn cv
      cvv pssss ssexg sylan ancoms psseq2 rexeq albidv weq npss0 pm2.21i ax-gen
      csuc nfv nfa1 wel elequ1 biimpcd con3d adantl sseld elsuci ord con1d syl6
      imp impancom ssrdv anim1i dfpss2 sylibr elelsuc reximi2 imim12i exp4c sps
      syld com4t csn cdif anidm ssdif word nnord orddif syl sseq2d syl5ibr syl5
      pssnel eleq2 eldifi syl6bir eleq1a sylan9r adantr pm2.61d expimpd exlimdv
      wex ex im2anan9r syl5bir syl6ibr psseq1 breq1 rexbidv cbvalvw difexi spcv
      vex sylbi sylan9 ordsucelsuc biimpd adantrd elnn cun cin cop wf1o f1oen3g
      snex f1osn mp2an orddisj incom disjdif eqtr3i jctil syl2an difsnid eqcomd
      jctr unen df-suc a1i breq2 rspcev breq12d sylan2i exp4d com24 jcad df-rex
      imp4b cbvrexvw 3imtr4g expl eqelsuc enref sylancl 2a1d alrimd finds spcgv
      pm2.61ii com3l mpd ) BGHZCBIZJCUBHZCAUAZKLZABMZUVBUVAUVCUVBCBNUVAUVCCBUCC
      BGUDUEUFUVAUVBUVCUVFOUVCUVAUVBUVFUVADUAZBIZUVGUVDKLZABMZOZDPZUVCUVBUVFOZU
      VGEUAZIZUVIAUVNMZOZDPUVGQIZUVIAQMZOZDPUVGFUAZIZUVIAUWAMZOZDPZUVGUWAUNZIZU
      VIAUWFMZOZDPUVLEFBUVNQRZUVQUVTDUWJUVOUVRUVPUVSUVNQUVGUGUVIAUVNQUHSUIEFUJZ
      UVQUWDDUWKUVOUWBUVPUWCUVNUWAUVGUGUVIAUVNUWAUHSUIUVNUWFRZUVQUWIDUWLUVOUWGU
      VPUWHUVNUWFUVGUGUVIAUVNUWFUHSUIUVNBRZUVQUVKDUWMUVOUVHUVPUVJUVNBUVGUGUVIAU
      VNBUHSUIUVTDUVRUVSUVGUKULUMUWAGHZUWEUWIDUWNDUOUWDDUPUWNUWEUWIFDUQZDFUJZUW
      NUWEJZUWIOUWQUWGUWOTZUWPTZUWHUWEUWGUWRUWSUWHOOOZUWNUWDUWTDUWDUWGUWRUWSUWH
      UWGUWRJZUWSJZUWBUWCUWHUXBUVGUWANZUWSJUWBUXAUXCUWSUXAEUVGUWAUWGEDUQZUWREFU
      QZUWGUXDJUWRUWKTZUXEUXDUWRUXFOUWGUXDUWKUWOUWKUXDUWOEFDURUSUTVAUWGUXDUXFUX
      EOZUWGUXDUVNUWFHZUXGUWGUVGUWFUVNUVGUWFUCZVBUXHUXEUWKUXHUXEUWKUVNUWAVCVDZV
      EVFVGVRVHVIVJUVGUWAVKVLUVIUVIAUWAUWFAFUQZUVDUWFHUVIUVDUWAVMVJVNVOVPVQVAVS
      UWOUWNUWEUWIUWOUWNJZUWEJUWGUVGUWAVTZWAZUVDKLZAUWAMZUWHUXLUWGUXNUWAIZUWEUX
      PUXLUWGUXNUWANZUXNUWARZTZJZUXQUWGUWGUWGJUXLUYAUWGWBUWNUWGUXRUWOUWGUXTUWGU
      VGUWFNZUWNUXRUXIUYBUXRUWNUXNUWFUXMWAZNUVGUWFUXMWCUWNUWAUYCUXNUWNUWAWDZUWA
      UYCRUWAWEZUWAWFWGWHWIWJUWGUXHUXDTZJZEXAUWOUXTEUVGUWFWKUWOUYGUXTEUWOUXHUYF
      UXTUWOUXHJZUXSUXDUYHUXSUXDUYHUXSJUXEUXDUXSUXEUXDOUYHUXSUXEUVNUXNHUXDUXNUW
      AUVNWLUVNUVGUXMWMWNVAUYHUXETZUXDOUXSUXHUYIUWKUWOUXDUXJUWAUVGUVNWOWPWQWRXB
      UTWSWTWJXCXDUXNUWAVKXEUWEUVNUWAIZUVNUVDKLZAUWAMZOZEPUXQUXPOZUWDUYMDEDEUJZ
      UWBUYJUWCUYLUVGUVNUWAXFUYOUVIUYKAUWAUVGUVNUVDKXGXHSXIUYMUYNEUXNUVGUXMDXLZ
      XJUVNUXNRZUYJUXQUYLUXPUVNUXNUWAXFUYQUYKUXOAUWAUVNUXNUVDKXGXHSXKXMXNUXLUXP
      UWHOUWEUXLUXKUXOJZAXAUVGUVNKLZEUWFMZUXPUWHUXLUYRUYTAUXLUYRUVDUNZUWFHZUVGV
      UAKLZJUYTUXLUYRVUBVUCUXLUXKVUBUXOUWNUXKVUBOZUWOUWNUYDVUDUYEUYDUXKVUBUVDUW
      AXOXPWGVAXQUWOUWNUXKUXOVUCUWOUXOUXKUWNVUCUWOUXOUXKUWNVUCUXKUWNJUWOUXOUVDG
      HZVUCUVDUWAXRUXOVUEJVUCUWOUXNUXMXSZUVDUVDVTZXSZKLZUXOUXOUXMVUGKLZJUXNUXMX
      TZQRZUVDVUGXTQRZJVUIVUEUXOVUJUWAUVDYAZVTZUBHUXMVUGVUOYBVUJVUNYDUWAUVDFXLA
      XLYEUXMVUGVUOUBYCYFYOVUEVUMVULVUEUVDWDVUMUVDWEUVDYGWGUXMUXNXTVUKQUXMUXNYH
      UXMUVGYIYJYKUXNUVDUXMVUGYPYLUWOUVGVUFVUAVUHKUWOVUFUVGUVGUWAYMYNVUAVUHRUWO
      UVDYQYRUUAWIUUBUUCUUDUUGUUEUYSVUCEVUAUWFUVNVUAUVGKYSYTVFWTUXOAUWAUUFUVIUY
      SAEUWFUVDUVNUVGKYSUUHUUIWQVRUUJUWPUWHUWQUWGUWPUVGUWFHUVGUVGKLZUWHUVGUWAUY
      PUUKUVGUYPUULUVIVUPAUVGUWFUVDUVGUVGKYSYTUUMUUNUURXBUUOUUPUVKUVMDCUBUVGCRZ
      UVHUVBUVJUVFUVGCBXFVUQUVIUVEABUVGCUVDKXGXHSUUQWJUUSVGUUT $.

    $( A set dominated by a finite set is finite.  (Contributed by NM,
       23-Mar-2006.)  (Revised by Mario Carneiro, 12-Mar-2015.) $)
    domfi $p |- ( ( A e. Fin /\ B ~<_ A ) -> B e. Fin ) $=
      ( vx cfn wcel cdom wbr cv cen wss wa domeng ssfi adantrl adantrr sylancom
      wex enfii ex exlimdv sylbid imp ) ADEZBAFGZBDEZUCUDBCHZIGZUFAJZKZCQUECBAD
      LUCUIUECUCUIUEUCUIUFDEZUEUCUHUJUGAUFMNUJUGUEUHBUFROPSTUAUB $.

    $( The components of a nonempty finite Cartesian product are finite.
       (Contributed by Paul Chapman, 11-Apr-2009.)  (Proof shortened by Mario
       Carneiro, 29-Apr-2015.) $)
    xpfir $p |- ( ( ( A X. B ) e. Fin /\ ( A X. B ) =/= (/) ) ->
                 ( A e. Fin /\ B e. Fin ) ) $=
      ( cxp cfn wcel c0 wne wa cdom wbr cvv xpexr2 simpld simprd xpdom3 syl3anc
      simpr domfi syldan syl2anc xpnz sylibr cen xpcomeng domentr jca ) ABCZDEZ
      UGFGZHZADEZBDEZUHUIAUGIJZUKUJAKEZBKEZBFGZUMUJUNUOABDLZMZUJUNUOUQNZUJAFGZU
      PUJUIUTUPHUHUIQABUAUBZNABKKOPUGARSUHUIBUGIJZULUJBBACZIJZVCUGUCJZVBUJUOUNU
      TVDUSURUJUTUPVAMBAKKOPUJUOUNVEUSURBAKKUDTBVCUGUETUGBRSUF $.
  $}

  ${
    ssfid.1 $e |- ( ph -> A e. Fin ) $.
    ssfid.2 $e |- ( ph -> B C_ A ) $.
    $( A subset of a finite set is finite, deduction version of ~ ssfi .
       (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    ssfid $p |- ( ph -> B e. Fin ) $=
      ( cfn wcel wss ssfi syl2anc ) ABFGCBHCFGDEBCIJ $.
  $}

  $( The intersection of two sets is finite if one of them is.  (Contributed by
     Thierry Arnoux, 14-Feb-2017.) $)
  infi $p |- ( A e. Fin -> ( A i^i B ) e. Fin ) $=
    ( cfn wcel cin wss inss1 ssfi mpan2 ) ACDABEZAFJCDABGAJHI $.

  ${
    $d x A $.
    $( A restricted class built from a finite set is finite.  (Contributed by
       Thierry Arnoux, 14-Feb-2017.) $)
    rabfi $p |- ( A e. Fin -> { x e. A | ph } e. Fin ) $=
      ( cfn wcel crab cab cin dfrab3 infi eqeltrid ) CDEABCFCABGZHDABCICLJK $.
  $}

  $( The restriction of a finite set is finite.  (Contributed by Alexander van
     der Vekens, 3-Jan-2018.) $)
  finresfin $p |- ( E e. Fin -> ( E |` B ) e. Fin ) $=
    ( cfn wcel cres wss resss ssfi mpan2 ) BCDBAEZBFJCDBAGBJHI $.

  $( Any injection from one finite set to another of equal size must be a
     bijection.  (Contributed by Jeff Madsen, 5-Jun-2010.)  (Revised by Mario
     Carneiro, 27-Feb-2014.) $)
  f1finf1o $p |- ( ( A ~~ B /\ B e. Fin ) ->
    ( F : A -1-1-> B <-> F : A -1-1-onto-> B ) ) $=
    ( cen wbr cfn wcel wa wf1 wf1o wfo simpr wfn crn adantl syl cvv ex sylanbrc
    csdm wceq wf f1f ffnd simpll wne wpss wn wb frnd df-pss baib cmap co simplr
    wss brrelex1i elmapd mpbird f1f1orn f1oen3g syl2anc wi php3 ensdomtr syl6an
    relen sdomnen syl6 sylbird necon4ad mpd df-fo df-f1o f1of1 impbid1 ) ABDEZB
    FGZHZABCIZABCJZVSVTWAVSVTHZVTABCKZWAVSVTLWBCAMCNZBUAZWCWBABCVTABCUBZVSABCUC
    OZUDWBVQWEVQVRVTUEZWBVQWDBWBWDBUFZWDBUGZVQUHZWBWDBUPZWJWIUIWBABCWGUJWJWLWIW
    DBUKULPWBWJABTEZWKWBAWDDEZWJWDBTEZWMWBCBAUMUNZGZAWDCJZWNWBWQWFWGWBBACFQVQVR
    VTUOZWBVQAQGWHABDVGUQPURUSVTWRVSABCUTOAWDCWPVAVBWBVRWJWOVCWSVRWJWOBWDVDRPAW
    DBVEVFABVHVIVJVKVLABCVMSABCVNSRABCVOVP $.

  ${
    $d A x $.
    $( If a class is not finite, then it contains at least one element.
       (Contributed by Alexander van der Vekens, 12-Jan-2018.) $)
    nfielex $p |- ( -. A e. Fin -> E. x x e. A ) $=
      ( cfn wcel wn c0 wceq cv wex 0fin eleq1 mpbiri con3i neq0 sylib ) BCDZEBF
      GZEAHBDAIQPQPFCDJBFCKLMABNO $.
  $}

  $( A set with one element is a singleton.  (Contributed by FL,
     18-Aug-2008.) $)
  en1eqsn $p |- ( ( A e. B /\ B ~~ 1o ) -> B = { A } ) $=
    ( wcel c1o cen wbr csn cfn wss wceq com 1onn ssid ssnnfi mp2an enfii adantl
    wa mpan snssi adantr ensn1g ensym entr syl2an fisseneq syl3anc eqcomd ) ABC
    ZBDEFZRZAGZBUKBHCZULBIZULBEFZULBJUJUMUIDHCZUJUMDKCDDIUPLDMDDNOBDPSQUIUNUJAB
    TUAUIULDEFDBEFUOUJABUBBDUCULDBUDUEULBUFUGUH $.

  $( A set containing an element has exactly one element iff it is a singleton.
     Formerly part of proof for ~ rngen1zr .  (Contributed by FL, 13-Feb-2010.)
     (Revised by AV, 25-Jan-2020.) $)
  en1eqsnbi $p |- ( A e. B -> ( B ~~ 1o <-> B = { A } ) ) $=
    ( wcel c1o cen wbr csn wceq en1eqsn ex ensn1g breq1 syl5ibrcom impbid ) ABC
    ZBDEFZBAGZHZOPRABIJOPRQDEFABKBQDELMN $.

  $( If ` A ` is finite, ` ( A \ B ) ` is finite.  (Contributed by FL,
     3-Aug-2009.) $)
  diffi $p |- ( A e. Fin -> ( A \ B ) e. Fin ) $=
    ( cfn wcel cdif wss difss ssfi mpan2 ) ACDABEZAFJCDABGAJHI $.

  ${
    $d A x $.  $d X x $.  $d M x $.
    $( Alternate proof of ~ dif1en with fewer symbols using ~ ax-pow .
       (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by Stefan O'Rear,
       16-Aug-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    dif1enALT $p |- ( ( M e. _om /\ A ~~ suc M /\ X e. A ) ->
        ( A \ { X } ) ~~ M ) $=
      ( vx com wcel csuc cen wbr csn wrex wa cfn peano2 breq2 isfi wceq wi cin
      c0 w3a cdif cv rspcev sylibr sylan diffi sylib syl 3adant3 cun en2sn elvd
      cvv word nnord orddisj incom disjdif eqtri unen an4s mpanl2 expcom syl2an
      3ad2antl3 wb difsnid df-suc eqcomi a1i breq12d 3ad2ant3 adantr ensym entr
      nneneq sylan2 syl5ib expd syl5 imp an32s 3adantl3 sylbid peano4 3ad2antl1
      biimpd 3syld biimprcd sylcom rexlimdva mpd ) BEFZABGZHIZCAFZUAZACJZUBZDUC
      ZHIZDEKZWTBHIZWNWPXCWQWNWPLAMFZXCWNWOEFZWPXEBNZXFWPLAXAHIZDEKXEXHWPDWOEXA
      WOAHOUDDAPUEUFXEWTMFXCAWSUGDWTPUHUIUJWRXBXDDEWRXAEFZLZXBBXAQZXDXJXBWTWSUK
      ZXAXAJZUKZHIZWOXAGZQZXKWQWNXIXBXORZWPWQWSXMHIZXAXMSTQZXRXIWQXSDCXAAUNULUM
      XIXAUOXTXAUPXAUQUIXBXSXTLZXOXBWTWSSZTQZYAXOYBWSWTSTWTWSURWSAUSUTXBXSYCXTX
      OWTXAWSXMVAVBVCVDVEVFXJXOAXPHIZXQWRXOYDVGZXIWQWNYEWPWQXLAXNXPHACVHXNXPQWQ
      XPXNXAVIVJVKVLVMVNWNWPXIYDXQRZWQWNXIWPYFWNXILZWPYFWNXFXIWPYFRXGWPWOAHIZXF
      XILZYFAWOVOYIYHYDXQYHYDLWOXPHIZYIXQWOAXPVPXIXFXPEFYJXQVGXANWOXPVQVRVSVTWA
      UFWBWCWDWEWNWPXIXQXKRWQYGXQXKBXAWFWHWGWIXKXDXBBXAWTHOWJWKWLWM $.
  $}

  ${
    enp1ilem.1 $e |- T = ( { x } u. S ) $.
    $( Lemma for uses of ~ enp1i .  (Contributed by Mario Carneiro,
       5-Jan-2016.) $)
    enp1ilem $p |- ( x e. A -> ( ( A \ { x } ) = S -> A = T ) ) $=
      ( cv csn cdif wceq cun wcel uneq1 undif1 uncom eqtr4i 3eqtr3g wss ssequn2
      snssi sylib eqeq1d syl5ib ) BAFZGZHZCIZBUDJZDIUCBKZBDIUFUEUDJCUDJZUGDUECU
      DLBUDMUIUDCJDCUDNEOPUHUGBDUHUDBQUGBIUCBSUDBRTUAUB $.
  $}

  ${
    $d x A $.  $d x N $.
    enp1i.1 $e |- M e. _om $.
    enp1i.2 $e |- N = suc M $.
    enp1i.3 $e |- ( ( A \ { x } ) ~~ M -> ph ) $.
    enp1i.4 $e |- ( x e. A -> ( ph -> ps ) ) $.
    $( Proof induction for ~ en2i and related theorems.  (Contributed by Mario
       Carneiro, 5-Jan-2016.) $)
    enp1i $p |- ( A ~~ N -> E. x ps ) $=
      ( cen wbr cv wcel wex c0 wceq wn csuc sylib wne nsuceq0 breq1 en0 eqtr3id
      ensym syl6bi necon3ad mpi con2i neq0 wi breq2i csn cdif com dif1en mp3an1
      wa syl ex sylbi sylcom eximdv mpd ) DFKLZCMZDNZCOZBCOVFDPQZRVIVJVFVJESZPU
      AVFREUBVJVFVKPVJVFPFKLZVKPQDPFKUCVLVKFPHVLFPKLFPQPFUFFUDTUEUGUHUIUJCDUKTV
      FVHBCVFVHABVFDVKKLZVHAULFVKDKHUMVMVHAVMVHUSDVGUNUOEKLZAEUPNVMVHVNGDEVGUQU
      RIUTVAVBJVCVDVE $.
  $}

  ${
    $d x y A $.
    $( A set equinumerous to ordinal 2 is a pair.  (Contributed by Mario
       Carneiro, 5-Jan-2016.) $)
    en2 $p |- ( A ~~ 2o -> E. x E. y A = { x , y } ) $=
      ( cv csn cdif wceq wex cpr c1o c2o 1onn df-2o cen wbr en1 biimpi enp1ilem
      wcel df-pr eximdv enp1i ) CADZEFZBDZEZGZBHZCUCUEIZGZBHACJKLMUDJNOUHBUDPQU
      CCSUGUJBACUFUIUCUETRUAUB $.
  $}

  ${
    $d x y z A $.
    $( A set equinumerous to ordinal 3 is a triple.  (Contributed by Mario
       Carneiro, 5-Jan-2016.) $)
    en3 $p |- ( A ~~ 3o -> E. x E. y E. z A = { x , y , z } ) $=
      ( cv csn cdif cpr wceq wex ctp c2o c3o 2onn df-3o en2 wcel tpass enp1ilem
      2eximdv enp1i ) DAEZFGZBEZCEZHZIZCJBJDUBUDUEKZIZCJBJADLMNOBCUCPUBDQUGUIBC
      ADUFUHUBUDUERSTUA $.
  $}

  ${
    $d w x y z A $.
    $( A set equinumerous to ordinal 4 is a quadruple.  (Contributed by Mario
       Carneiro, 5-Jan-2016.) $)
    en4 $p |- ( A ~~ 4o ->
      E. x E. y E. z E. w A = ( { x , y } u. { z , w } ) ) $=
      ( cv csn cdif ctp wceq wex cpr cun c3o c4o 3onn df-4o en3 wcel qdassr
      enp1ilem eximdv 2eximdv enp1i ) EAFZGHZBFZCFZDFZIZJZDKZCKBKEUEUGLUHUILMZJ
      ZDKZCKBKAENOPQBCDUFRUEESZULUOBCUPUKUNDAEUJUMUEUGUHUITUAUBUCUD $.
  $}

  ${
    $d v w x y z $.  $d A w x y z $.  $d ps x $.  $d ch x $.  $d th x $.
    $d ta x $.  $d ph v w y z $.
    findcard2OLD.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    findcard2OLD.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    findcard2OLD.3 $e |- ( x = ( y u. { z } ) -> ( ph <-> th ) ) $.
    findcard2OLD.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    findcard2OLD.5 $e |- ps $.
    findcard2OLD.6 $e |- ( y e. Fin -> ( ch -> th ) ) $.
    $( Obsolete version of ~ findcard2 as of 6-Aug-2024.  (Contributed by Jeff
       Madsen, 8-Jul-2010.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    findcard2OLD $p |- ( A e. Fin -> ta ) $=
      ( vw cen wbr wi c0 vv cfn wcel com wrex isfi wal csuc breq2 imbi1d albidv
      cv wceq weq en0 mpbiri sylbi ax-gen wne wa nsuceq0 breq1 anbi2d wb peano1
      wsbc peano2 nneneq sylancr biimpa eqcomd syl6bi com12 necon3d mpi wel wex
      ex n0 csn cdif dif1en 3expia wss cun snssi uncom biimpi eqtrid vex difexi
      undif uneq1 sbceq1d imbi2d imbi12d spvv rspe sylibr pm2.27 adantl sylsyld
      syl5 snex unex sbcie syl6ibr vtocl dfsbcq syl5ib 3syl expd adantr exlimdv
      mpdd syl5bi com23 alrimdv nfv nfsbc1v nfim sbceq1a cbvalv1 finds1 19.21bi
      rexlimiv vtoclga ) AEFIUBMFULZUBUCYHPULZQRZPUDUEAPYHUFYJAPUDYIUDUCYJASZFY
      KFUGYHTQRZASZFUGYHUAULZQRZASZFUGZYHYNUHZQRZASZFUGZPUAYITUMZYKYMFUUBYJYLAY
      ITYHQUIUJUKPUAUNZYKYPFUUCYJYOAYIYNYHQUIUJUKYIYRUMZYKYTFUUDYJYSAYIYRYHQUIU
      JUKYMFYLYHTUMZAYHUOUUEABNJUPUQURYNUDUCZYQYIYRQRZAFYIVFZSZPUGUUAUUFYQUUIPU
      UFUUGYQUUHUUFUUGYITUSZYQUUHSZUUFUUGUUJUUFUUGUTZYRTUSUUJYNVAUULYITYRTUUBUU
      LYRTUMZUUBUULUUFTYRQRZUTZUUMUUBUUGUUNUUFYITYRQVBVCUUOTYRUUFUUNTYRUMZUUFTU
      DUCYRUDUCUUNUUPVDVEYNVGTYRVHVIVJVKVLVMVNVOVRUUFUUGUUJUUKSUUJHPVPZHVQUULUU
      KHYIVSUULUUQUUKHUULUUQYIHULZVTZWAZYNQRZUUKUUFUUGUUQUVAYIYNUURWBWCUUFUUQUV
      AUUKSZSUUGUUQUUFUVBUUQUUFUVAUUKUUQUUSYIWDZUUTUUSWEZYIUMZUUFUVAUTZUUKSUURY
      IWFUVCUVDUUSUUTWEZYIUUTUUSWGUVCUVGYIUMUUSYIWLWHWIUVFYQAFUVDVFZSZUVEUUKUUF
      GULZYNQRZUTZYQAFUVJUUSWEZVFZSZSUVFUVISGUUTYIUUSPWJWKUVJUUTUMZUVLUVFUVOUVI
      UVPUVKUVAUUFUVJUUTYNQVBVCUVPUVNUVHYQUVPAFUVMUVDUVJUUTUUSWMWNWOWPUVLYQDUVN
      YQUVKCSZUVLDYPUVQFGFGUNYOUVKACYHUVJYNQVBKWPWQUVLUVJUBUCZUVQCDUVLUVKUAUDUE
      UVRUVKUAUDWRUAUVJUFWSUVKUVQCSUUFUVKCWTXAOXBXCADFUVMUVJUUSGWJUURXDXELXFXGX
      HUVEUVHUUHYQAFUVDYIXIWOXJXKXLVMXMXOXNXPVRXOXQXRYTUUIFPYTPXSUUGUUHFUUGFXSA
      FYIXTYAFPUNYSUUGAUUHYHYIYRQVBAFYIYBWPYCXGYDYEYFUQYG $.
  $}

  ${
    $d w x y z $.  $d w y z ph $.  $d w x A $.  $d w x ta $.  $d x ch $.
    findcard3.1 $e |- ( x = y -> ( ph <-> ch ) ) $.
    findcard3.2 $e |- ( x = A -> ( ph <-> ta ) ) $.
    findcard3.3 $e |- ( y e. Fin -> ( A. x ( x C. y -> ph ) -> ch ) ) $.
    $( Schema for strong induction on the cardinality of a finite set.  The
       inductive hypothesis is that the result is true on any proper subset.
       The result is then proven to be true for all finite sets.  (Contributed
       by Mario Carneiro, 13-Dec-2013.) $)
    findcard3 $p |- ( A e. Fin -> ta ) $=
      ( vw vz cfn wcel cen wbr wi wal wa com wrex cv isfi wral con0 nnon eleq1w
      wceq breq2 imbi1d albidv imbi12d wpss sylibr 19.21v ralbii ralcom4 bitr3i
      rspe wss pssss ssfi sylib csdm ensym ad2antll php3 sylan simpllr sdomentr
      syl2an syl2an2r ensdomtr syl2anc ad2antrl ad3antrrr sdomel mpd simpr jca2
      ex reximdv2 r19.29 expcom syl word ordom ordelss mpan ad2antrr sseld impd
      pm2.27 syl6 rexlimdv com23 alimdv syl5bi sylsyld impancom alrimiv cbvalvw
      syld breq1 syl6ibr a1i tfis2 mpcom rgen sylbi spcgv rexlimdvw ) FLMZDUAZJ
      UAZNOZAPZDQZFXNNOZRZJSTZCXLXRJSTZXTJFUBXQJSUCYAXTXQJSXNUDMZXNSMZXQXNUEZYC
      XQPZKUAZSMZXMYFNOZAPZDQZPZJKXNYFUGZYCYGXQYJJKSUFYLXPYIDYLXOYHAXNYFXMNUHUI
      UJUKYKKXNUCZYEPYBYMYCEUAZXNNOZBPZEQZXQYCYMYQYCYMRYPEYCYOYMBYCYORZYNLMZYMX
      MYNULZAPZDQZBYRYOJSTYSYOJSURJYNUBUMZYMYGYIPZKXNUCZDQZYRUUBYMUUDDQZKXNUCUU
      FUUGYKKXNYGYIDUNUOUUDKDXNUPUQYRUUEUUADYRYTUUEAYRYTUUEAPYRYTRZUUEUUDYHRZKX
      NTZAUUHYHKXNTZUUEUUJPUUHYHKSTZUUKYRYSXMYNUSZUULYTUUCXMYNUTYSUUMRXMLMUULYN
      XMVAKXMUBVBVJUUHYHYHKSXNUUHYGYHRZYFXNMZYHUUHUUNUUOUUHUUNRZYFXNVCOZUUOUUPY
      FXMNOZXMXNVCOZUUQYHUURUUHYGXMYFVDVEUUHXMYNVCOZUUNYOUUSYRYSYTUUTUUCYNXMVFV
      GYCYOYTUUNVHXMYNXNVIVKYFXMXNVLVMUUPYFUDMZYBUUQUUOPYGUVAUUHYHYFUEVNYCYBYOY
      TUUNYDVOYFXNVPVMVQVTYGYHVRVSWAVQUUEUUKUUJUUDYHKXNWBWCWDUUHUUIAKXNUUHUUOYG
      UUIAPUUHXNSYFYCXNSUSZYOYTSWEYCUVBWFSXNWGWHWIWJYGUUDYHAYGYIWLWKWMWNXBVTWOW
      PWQIWRWSWTWCXPYPDEXMYNUGXOYOABXMYNXNNXCGUKXAXDXEXFXGXHXQXRJSWBWHXIXLXSCJS
      XLXQXRCXPXRCPDFLXMFUGXOXRACXMFXNNXCHUKXJWKXKVQ $.
  $}

  ${
    $d f u w x z A $.  $d f g u w x y z B $.  $d f g u w z ph $.
    $d g u w y z ps $.
    ac6sfi.1 $e |- ( y = ( f ` x ) -> ( ph <-> ps ) ) $.
    $( A version of ~ ac6s for finite sets.  (Contributed by Jeff Hankins,
       26-Jun-2009.)  (Proof shortened by Mario Carneiro, 29-Jan-2014.) $)
    ac6sfi $p |- ( ( A e. Fin /\ A. x e. A E. y e. B ph ) ->
                E. f ( f : A --> B /\ A. x e. A ps ) ) $=
      ( vz vg wral cv wf wa wex wi c0 wceq raleq anbi12d vu vw cfn wcel csn cun
      wrex cfv wsbc feq2 exbidv imbi12d feq1 fvex sbcie sbceq1d bitr3id ralbidv
      weq fveq1 cbvexvw bitrdi f0 0ex ral0 biantru spcev mp1i wel wn wss ssralv
      ssun1 ax-mp imim1i ssun2 wb cvv ralsnsg elv sbcrex bitri nfv nfcv nfsbc1v
      sylib nfralw nfan nfex nfim w3a cop simprl wf1o vex f1osn f1of snssd fssd
      simpl2 cin simpl1 disjsn sylibr simprr wne eleq1a necon3bd impcom bitr2di
      fun2d fvunsn dfsbcq 3syl ralbidva syl mpbid simpl3 wfun ffun vsnid dmsnop
      cdm eleqtrri funssfv mp3an23 eqtr2di elsni fveq2d eqeq2d biimparc sbceq1a
      fvsn ralun syl2anc snex unex ex exlimdv syl5 3exp rexlimd a2d findcard2s
      adantl imp ) EUCUDADFUGZCEKZEFGLZMZBCEKZNZGOZUUGCUALZKZUUNFUUIMZBCUUNKZNZ
      GOZPUUGCQKZQFUUIMZBCQKZNZGOZPUUGCUBLZKZUVEFUUIMZBCUVEKZNZGOZPZUUGCUVEILZU
      EZUFZKZUVNFJLZMZADCLZUVPUHZUIZCUVNKZNZJOZPZUUHUUMPUAUBIEUUNQRZUUOUUTUUSUV
      DUUGCUUNQSUWEUURUVCGUWEUUPUVAUUQUVBUUNQFUUIUJBCUUNQSTUKULUAUBUSZUUOUVFUUS
      UVJUUGCUUNUVESUWFUURUVIGUWFUUPUVGUUQUVHUUNUVEFUUIUJBCUUNUVESTUKULUUNUVNRZ
      UUOUVOUUSUWCUUGCUUNUVNSUWGUUSUVNFUUIMZBCUVNKZNZGOUWCUWGUURUWJGUWGUUPUWHUU
      QUWIUUNUVNFUUIUJBCUUNUVNSTUKUWJUWBGJGJUSZUWHUVQUWIUWAUVNFUUIUVPUMUWKBUVTC
      UVNBADUVRUUIUHZUIZUWKUVTABDUWLUVRUUIUNHUOZUWKADUWLUVSUVRUUIUVPUTUPUQURTVA
      VBULUUNERZUUOUUHUUSUUMUUGCUUNESUWOUURUULGUWOUUPUUJUUQUUKUUNEFUUIUJBCUUNES
      TUKULQFQMZUVDUUTFVCUVCUWPGQVDUVCUVAUUIQRUWPUVBUVABCVEVFQFUUIQUMUQVGVHIUBV
      IZVJZUVKUWDPUVEUCUDUVKUVOUVJPUWRUWDUVOUVFUVJUVEUVNVKUVOUVFPUVEUVMVMUUGCUV
      EUVNVLVNVOUWRUVOUVJUWCUVOACUVLUIZDFUGZUWRUVJUWCPZUVOUUGCUVMKZUWTUVMUVNVKU
      VOUXBPUVMUVEVPUUGCUVMUVNVLVNUXBUUGCUVLUIZUWTUXBUXCVQIUUGCUVLVRVSVTACDUVLF
      WAWBWFUWRUWSUXADFUWRDWCUVJUWCDUVJDWCUWBDJUVQUWADUVQDWCUVTDCUVNDUVNWDADUVS
      WEWGWHWIWJUWRDLZFUDZUWSUXAUWRUXEUWSWKZUVIUWCGUXFUVIUWCUXFUVINZUVNFUUIUVLU
      XDWLZUEZUFZMZADUVRUXJUHZUIZCUVNKZUWCUXGUVEUVMFUUIUXIUXFUVGUVHWMUXGUVMUXDU
      EZFUXIUVMUXOUXIWNUVMUXOUXIMUXGUVLUXDIWOZDWOZWPUVMUXOUXIWQVHUXGUXDFUWRUXEU
      WSUVIWTWRWSUXGUWRUVEUVMXAQRUWRUXEUWSUVIXBZUVEUVLXCXDXKZUXGUXMCUVEKZUXMCUV
      MKZUXNUXGUVHUXTUXFUVGUVHXEUXGUWRUVHUXTVQUXRUWRBUXMCUVEUWRCUBVIZNUVLUVRXFZ
      UXLUWLRZBUXMVQUYBUWRUYCUYBUWQUVLUVRUVRUVEUVLXGXHXIUUIUVLUXDUVRXLUYDUXMUWM
      BADUXLUWLXMUWNXJXNXOXPXQUXGUWSUYAUWRUXEUWSUVIXRUXGUXDUVLUXJUHZRZUWSUYAVQU
      XGUYEUVLUXIUHZUXDUXGUXKUXJXSZUYEUYGRZUXSUVNFUXJXTUYHUXIUXJVKUVLUXIYCZUDUY
      IUXIUUIVPUVLUVMUYJIYAUVLUXDUXQYBYDUVLUXJUXIYEYFXNUVLUXDUXPUXQYMYGUWSACUVM
      KZUYFUYAUYKUWSVQIACUVLVRVSVTUYFAUXMCUVMUYFUVRUVMUDZNUXDUXLRZAUXMVQUYLUYMU
      YFUYLUXLUYEUXDUYLUVRUVLUXJUVRUVLYHYIYJYKADUXLYLXPXOUQXPXQUXMCUVEUVMYNYOUW
      BUXKUXNNJUXJUUIUXIGWOUXHYPYQUVPUXJRZUVQUXKUWAUXNUVNFUVPUXJUMUYNUVTUXMCUVN
      UYNADUVSUXLUVRUVPUXJUTUPURTVGYOYRYSUUAUUBYTUUCYTUUEUUDUUF $.
  $}

  ${
    $d R u v w x y z $.  $d A w x y $.
    $( A partial order is well-founded on a finite set.  (Contributed by Jeff
       Madsen, 18-Jun-2010.)  (Proof shortened by Mario Carneiro,
       29-Jan-2014.) $)
    frfi $p |- ( ( R Po A /\ A e. Fin ) -> R Fr A ) $=
      ( vx vw vv vu vz wcel wpo wfr cv wi c0 imbi12d wss wa wbr wn wral wrex vy
      cfn csn cun wceq poeq2 freq2 weq fr0 a1i ssun1 poss ax-mp imim1i wne cdif
      wal uncom sseq2i ssundif bitri anbi1i wel cbvrexvw simpllr simplrl impcom
      breq1 w3a sylan2br ad2ant2r simpr1 simpr2 poirr 3ad2antr3 syl2anc eldifsn
      nbrne2 sylanbrc sylan ne0d difss cvv vex difexi fri mpanl1 mpsyl syl12anc
      ssrexv notbid rspcv syl adantr simplr2 simpll simplr1 simpr potr syl13anc
      simplr3 mpand con3d ralsn syl6ibr syld ralun ex sylcom wb difsnid raleqdv
      sylibd reximdva 3exp2 rexlimdv syl5bi ralnex ralbidv rspcev expcom sylbir
      mpd breq2 pm2.61d1 difsn expr neeq1 raleq rexbidv syl5ibcom com23 adantll
      impr syl5 pm2.61d alrimiv df-fr sylibr findcard2 ) AUBHABIZABJZCKZBIZUUCB
      JZLMBIZMBJZLUAKZBIZUUHBJZLZUUHDKZUCZUDZBIZUUNBJZLZUUAUUBLCUADAUUCMUEUUDUU
      FUUEUUGUUCMBUFUUCMBUGNCUAUHUUDUUIUUEUUJUUCUUHBUFUUCUUHBUGNUUCUUNUEUUDUUOU
      UEUUPUUCUUNBUFUUCUUNBUGNUUCAUEUUDUUAUUEUUBUUCABUFUUCABUGNUUGUUFBUIUJUUKUU
      QLUUHUBHUUKUUOUUJUUPUUOUUIUUJUUHUUNOUUOUUILUUHUUMUKUUHUUNBULUMUNUUOUUJUUP
      UUOUUJPZUUCUUNOZUUCMUOZPZEKZFKZBQZRZEUUCSZFUUCTZLZCUQUUPUURUVHCUVAUUCUUMU
      PZUUHOZUUTPZUURUVGUUSUVJUUTUUSUUCUUMUUHUDZOUVJUUNUVLUUCUUHUUMURUSUUCUUMUU
      HUTVAZVBUURUVKUVGUURUVKPZDCVCZUVGUVNUVBUULBQZEUUCTZUVOUVGLZUVQGKZUULBQZGU
      UCTUVNUVRUVPUVTEGUUCUVBUVSUULBVHVDUVNUVTUVRGUUCUVNGCVCZUVTUVOUVGUVNUWAUVT
      UVOVIZPZUVEEUVISZFUUCTZUVGUWCUUJUVJUVIMUOZUWEUUOUUJUVKUWBVEUURUVJUUTUWBVF
      UWCUVIUVSUVNUUDUWBUVSUVIHZUUOUVJUUDUUJUUTUVJUUOUUSUUDUVMUUSUUOUUDUUCUUNBU
      LVGVJVKZUUDUWBPZUWAUVSUULUOZUWGUUDUWAUVTUVOVLUWIUVTUULUULBQRZUWJUUDUWAUVT
      UVOVMUUDUWAUVOUWKUVTUUCUULBVNVOUVSUULUULBVRVPUVSUUCUULVQVSZVTWAUVIUUCOUUJ
      UVJUWFPZPUWDFUVITZUWEUUCUUMWBUVIWCHUUJUWMUWNUUCUUMCWDWEFEUUHUVIWCBWFWGUWD
      FUVIUUCWJWHZWIUVNUUDUWBUWEUVGLUWHUWIUWDUVFFUUCUWIFCVCZPZUWDUVEEUVIUUMUDZS
      ZUVFUWQUWDUVEEUUMSZUWSUWQUWDUVSUVCBQZRZUWTUWIUWDUXBLZUWPUWIUWGUXCUWLUVEUX
      BEUVSUVIEGUHUVDUXAUVBUVSUVCBVHWKWLWMWNUWQUXBUULUVCBQZRZUWTUWQUXDUXAUWQUVT
      UXDUXAUWAUVTUVOUUDUWPWOUWQUUDUWAUVOUWPUVTUXDPUXALUUDUWBUWPWPUWAUVTUVOUUDU
      WPWQUWAUVTUVOUUDUWPXAZUWIUWPWRUUCUVSUULUVCBWSWTXBXCUVEUXEEUULDWDEDUHUVDUX
      DUVBUULUVCBVHWKXDXEXFUWDUWTUWSUVEEUVIUUMXGXHXIUWQUVOUWSUVFXJUXFUVOUVEEUWR
      UUCUUCUULXKXLWMXMXNVTYCXOXPXQUVQRUVPRZEUUCSZUVRUVPEUUCXRUVOUXHUVGUVFUXHFU
      ULUUCFDUHZUVEUXGEUUCUXIUVDUVPUVCUULUVBBYDWKXSXTYAYBYEUVORUVIUUCUEZUVNUVGU
      ULUUCYFUURUVJUUTUXJUVGLZUUJUVJUUTUXKLUUOUUJUVJPZUXJUUTUVGUXLUWFUWELUXJUUT
      UVGLUUJUVJUWFUWEUWOYGUXJUWFUUTUWEUVGUVIUUCMYHUXJUWDUVFFUUCUVEEUVIUUCYIYJN
      YKYLYMYNYOYPXHXQYQCFEUUNBYRYSXHXIUJYTVG $.
  $}

  ${
    $d R x y z $.  $d A x y z $.
    $( A finite set has a maximum under a total order.  (Contributed by Jeff
       Madsen, 18-Jun-2010.)  (Proof shortened by Mario Carneiro,
       29-Jan-2014.) $)
    fimax2g $p |- ( ( R Or A /\ A e. Fin /\ A =/= (/) ) ->
                                        E. x e. A A. y e. A -. x R y ) $=
      ( wor cfn wcel c0 wne w3a ccnv cv wbr wn wral wrex wpo sylib wa vex cnvpo
      wfr sopo frfi sylan 3adant3 wss ssid fri mpanr1 an32s brcnv notbii ralbii
      wi rexbii ex 3adant1 mpd ) CDEZCFGZCHIZJCDKZUBZALZBLZDMZNZBCOZACPZUTVAVDV
      BUTCVCQZVAVDUTCDQVKCDUCCDUARCVCUDUEUFVAVBVDVJUOUTVAVBSZVDVJVLVDSVFVEVCMZN
      ZBCOZACPZVJVAVDVBVPVAVDSCCUGVBVPCUHABCCFVCUIUJUKVOVIACVNVHBCVMVGVFVEDBTAT
      ULUMUNUPRUQURUS $.

    $( A finite set has a maximum under a total order.  (Contributed by Jeff
       Madsen, 2-Sep-2009.)  (Proof shortened by Mario Carneiro,
       29-Jan-2014.) $)
    fimaxg $p |- ( ( R Or A /\ A e. Fin /\ A =/= (/) ) ->
                            E. x e. A A. y e. A ( x =/= y -> y R x ) ) $=
      ( wor cfn wcel c0 wne w3a cv wbr wi wral wrex wn fimax2g wb wa weq imbi1i
      df-ne pm4.64 bitri sotric con2bid syl5bb anassrs ralbidva rexbidva mpbird
      wo 3ad2ant1 ) CDEZCFGZCHIZJAKZBKZIZURUQDLZMZBCNZACOZUQURDLZPZBCNZACOZABCD
      QUNUOVCVGRUPUNVBVFACUNUQCGZSVAVEBCUNVHURCGZVAVERVAABTZUTULZUNVHVISSZVEVAV
      JPZUTMVKUSVMUTUQURUBUAVJUTUCUDVLVDVKCUQURDUEUFUGUHUIUJUMUK $.

    $( Lemma showing existence and closure of supremum of a finite set.
       (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    fisupg $p |- ( ( R Or A /\ A e. Fin /\ A =/= (/) ) -> E. x e. A ( A. y e. A
            -. x R y /\ A. y e. A ( y R x -> E. z e. A y R z ) ) ) $=
      ( wor cfn wcel c0 wne w3a cv wbr wi wral wrex wn wa ex anassrs fimaxg weq
      sotrieq2 simprbda a1dd pm2.27 so2nr pm3.21 con3d syl9r pm2.61dne ralimdva
      syl5com breq2 rspcev ralrimivw adantl jctird reximdva 3ad2ant1 mpd ) DEFZ
      DGHZDIJZKALZBLZJZVFVEEMZNZBDOZADPZVEVFEMZQZBDOZVHVFCLZEMZCDPZNZBDOZRZADPZ
      ABDEUAVBVCVKWANVDVBVJVTADVBVEDHZRZVJVNVSWCVIVMBDWCVFDHZRZVIVMNVEVFWEABUBZ
      VMVIVBWBWDWFVMNVBWBWDRRZWFVMWGWFVMVHQDVEVFEUCUDSTUEVGVIVHWEVMVGVHUFVBWBWD
      VHVMNWGVLVHRZQVHVMDVEVFEUGVHVLWHVHVLUHUIUMTUJUKULWBVSVBWBVRBDWBVHVQVPVHCV
      EDVOVEVFEUNUOSUPUQURUSUTVA $.
  $}

  $( A total order on a finite set is a well-order.  (Contributed by Jeff
     Madsen, 18-Jun-2010.)  (Proof shortened by Mario Carneiro,
     29-Jan-2014.) $)
  wofi $p |- ( ( R Or A /\ A e. Fin ) -> R We A ) $=
    ( wor cfn wcel wa wfr wwe wpo sopo frfi sylan simpl df-we sylanbrc ) ABCZAD
    EZFABGZPABHPABIQRABJABKLPQMABNO $.

  ${
    $d A x y $.
    $( The maximum of a finite collection of ordinals is in the set.
       (Contributed by Mario Carneiro, 28-May-2013.)  (Revised by Mario
       Carneiro, 29-Jan-2014.) $)
    ordunifi $p |- ( ( A C_ On /\ A e. Fin /\ A =/= (/) ) -> U. A e. A ) $=
      ( vx vy con0 wss cfn wcel c0 wne w3a cuni cv wrex cep wn wral wb wa ssel2
      wor wbr wwe epweon weso ax-mp soss mpi fimax2g syl3an1 adantr epel notbii
      adantlr ontri1 bitr4id syl2anc ralbidva bitr4di rexbidva 3ad2ant1 elssuni
      unissb mpbid wceq eqss eleq1 biimpcd syl5bir mpand rexlimiv syl ) ADEZAFG
      ZAHIZJZAKZBLZEZBAMZVPAGZVOVQCLZNUAZOZCAPZBAMZVSVLANTZVMVNWEVLDNTZWFDNUBWG
      UCDNUDUEADNUFUGBCANUHUIVLVMWEVSQVNVLWDVRBAVLVQAGZRZWDWAVQEZCAPVRWIWCWJCAW
      IWAAGZRWADGZVQDGZWCWJQVLWKWLWHADWASUMWIWMWKADVQSUJWLWMRWCVQWAGZOWJWBWNCVQ
      UKULWAVQUNUOUPUQCAVQVBURUSUTVCVRVTBAWHVQVPEZVRVTVQAVAWOVRRVQVPVDZWHVTVQVP
      VEWPWHVTVQVPAVFVGVHVIVJVK $.
  $}

  $( The union (supremum) of a finite set of finite ordinals is a finite
     ordinal.  (Contributed by Stefan O'Rear, 5-Nov-2014.) $)
  nnunifi $p |- ( ( S C_ _om /\ S e. Fin ) -> U. S e. _om ) $=
    ( com wss cfn wcel wa cuni c0 wceq unieq peano1 eqeltri eqeltrdi adantl wne
    uni0 simpll con0 omsson sstrdi simplr ordunifi syl3anc sseldd pm2.61dane
    simpr ) ABCZADEZFZAGZBEZAHAHIZUKUIULUJHGZBAHJUMHBPKLMNUIAHOZFZABUJUGUHUNQZU
    OARCUHUNUJAEUOABRUPSTUGUHUNUAUIUNUFAUBUCUDUE $.

  ${
    $d x y A $.  $d x y B $.
    $( Lemma for ~ unbnn .  After removing the successor of an element from an
       unbounded set of natural numbers, the intersection of the result belongs
       to the original unbounded set.  (Contributed by NM, 3-Dec-2003.) $)
    unblem1 $p |- ( ( ( B C_ _om /\ A. x e. _om E. y e. B x e. y ) /\
                 A e. B ) -> |^| ( B \ suc A ) e. B ) $=
      ( com wss cv wcel wrex wral wa csuc cdif cint con0 c0 ssel wn wi syl6 wne
      omsson sstr mpan2 ssdifssd peano2b syl6ib wceq eleq1 rexbidv rspccva word
      ad2antrr nnord ordn2lp imnan sylibr con2d syl imdistand eldif ne0i sylbir
      expd rexlimdv syl5 sylan2d impl onint syl2anc eldifad ) DEFZAGZBGZHZBDIZA
      EJZKCDHZKZDCLZMZNZDVTVSWAOFZWAPUAZWBWAHVLWCVQVRVLDOVTVLEOFDOFUBDEOUCUDUEU
      MVLVQVRWDVLVRVTEHZVQWDVLVRCEHWEDECQCUFUGVQWEKVTVNHZBDIZVLWDVPWGAVTEVMVTUH
      VOWFBDVMVTVNUIUJUKVLWFWDBDVLVNDHZWFWDVLWHWFKWHVNVTHZRZKZWDVLWHWFWJVLWHVNE
      HZWFWJSZDEVNQWLVNULZWMVNUNWNWIWFWNWIWFKRWIWFRSVNVTUOWIWFUPUQURUSTUTWKVNWA
      HWDVNDVTVAWAVNVBVCTVDVEVFVGVHWAVIVJVK $.
  $}

  ${
    $d u v w x y z A $.  $d u v w y z F $.
    unblem.2 $e |- F =
          ( rec ( ( x e. _V |-> |^| ( A \ suc x ) ) , |^| A ) |` _om ) $.
    $( Lemma for ~ unbnn .  The value of the function ` F ` belongs to the
       unbounded set of natural numbers ` A ` .  (Contributed by NM,
       3-Dec-2003.) $)
    unblem2 $p |- ( ( A C_ _om /\ A. w e. _om E. v e. A w e. v )
        -> ( z e. _om -> ( F ` z ) e. A ) ) $=
      ( cv com wcel wss wa cfv c0 csuc wceq fveq2 eleq1d cint con0 vu wrex wral
      vy wne omsson sstr mpan2 wi peano1 eleq1 rexbidv rspcv ax-mp df-rex sylib
      wex exsimpl syl n0 sylibr onint syl2an cdif cmpt crdg cres fveq1i eqtr2id
      cvv fr0g ibi unblem1 wb suceq difeq2d inteqd frsucmpt2 eqcomd ex ibd syl5
      expd finds2 com12 ) BHZIJEIKZCHZDHZJZDEUBZCIUCZLZWFFMZEJZWONFMZEJZUAHZFMZ
      EJZWROZFMZEJZWMBUAWFNPWNWPEWFNFQRWFWRPWNWSEWFWRFQRWFXAPWNXBEWFXAFQRWMESZE
      JZWQWGETKZENUEZXEWLWGITKXFUFEITUGUHWLWIEJZDUQZXGWLXHNWIJZLDUQZXIWLXJDEUBZ
      XKNIJWLXLUIUJWKXLCNIWHNPWJXJDEWHNWIUKULUMUNXJDEUOUPXHXJDURUSDEUTVAEVBVCXE
      WQXEXDWPEXEWPNAVJEAHZOZVDZSZVEZXDVFIVGZMXDNFXRGVHXDEXQVKVIRVLUSWRIJZWMWTX
      CWMWTLEWSOZVDZSZEJZXSXCCDWSEVMXSYCXCXSYCYCXCVNXSYCLZYBXBEYDXBYBAUDXDWRXPY
      BEUDHZOZVDZSFEGYEXMPZYGXOYHYFXNEYEXMVOVPVQYEWSPZYGYAYIYFXTEYEWSVOVPVQVRVS
      RVTWAWBWCWDWE $.

    $( Lemma for ~ unbnn .  The value of the function ` F ` is less than its
       value at a successor.  (Contributed by NM, 3-Dec-2003.) $)
    unblem3 $p |- ( ( A C_ _om /\ A. w e. _om E. v e. A w e. v )
        -> ( z e. _om -> ( F ` z ) e. ( F ` suc z ) ) ) $=
      ( vy com wss cv wcel wa cfv csuc cdif cint con0 wceq ex wrex wral unblem2
      imp omsson sstr mpan2 ssel anc2li syl ad2antrr mpd onmindif unblem1 suceq
      wi syld difeq2d inteqd frsucmpt2 sylcom eleqtrrd ) EIJZCKDKLDEUACIUBZMZBK
      ZILZVFFNZVFOFNZLVEVGMZVHEVHOZPZQZVIVJERJZVHRLZMZVHVMLVJVHELZVPVEVGVQABCDE
      FGUCZUDVCVQVPUPZVDVGVCVNVSVCIRJVNUEEIRUFUGVNVQVOERVHUHUIUJUKULEVHUMUJVEVG
      VIVMSZVEVGVMELZVTVEVGVQWAVRVEVQWACDVHEUNTUQVGWAVTAHEQVFEAKZOZPZQVMEHKZOZP
      ZQFEGWEWBSZWGWDWHWFWCEWEWBUOURUSWEVHSZWGVLWIWFVKEWEVHUOURUSUTTVAUDVBT $.

    $( Lemma for ~ unbnn .  The function ` F ` maps the set of natural numbers
       one-to-one to the set of unbounded natural numbers ` A ` .  (Contributed
       by NM, 3-Dec-2003.) $)
    unblem4 $p |- ( ( A C_ _om /\ A. w e. _om E. v e. A w e. v ) ->
                 F : _om -1-1-> A ) $=
      ( vz com wss cv wcel wrex wral wa con0 cfv csuc wfn cint ralrimiv wf sstr
      wf1 omsson mpan2 adantr cvv cdif cmpt crdg cres frfnom fneq1i mpbir ffnfv
      unblem2 biimpri sylancr unblem3 omsmo syl21anc ) DHIZBJCJKCDLBHMZNZDOIZHD
      EUAZGJZEPZVGQEPKZGHMHDEUCVBVEVCVBHOIVEUDDHOUBUEUFVDEHRZVHDKZGHMZVFVJAUGDA
      JQUHSUIZDSZUJHUKZHRVNVMULHEVOFUMUNVDVKGHAGBCDEFUPTVFVJVLNGHDEUOUQURVDVIGH
      AGBCDEFUSTGDEUTVA $.
  $}

  ${
    $d x y z A $.
    $( Any unbounded subset of natural numbers is equinumerous to the set of
       all natural numbers.  Part of the proof of Theorem 42 of [Suppes]
       p. 151.  See ~ unbnn3 for a stronger version without the first
       assumption.  (Contributed by NM, 3-Dec-2003.) $)
    unbnn $p |- ( ( _om e. _V /\ A C_ _om /\ A. x e. _om E. y e. A x e. y ) ->
      A ~~ _om ) $=
      ( vz com cvv wcel wss wrex wral w3a cdom wbr cen ssdomg 3adant3 csuc cint
      cv imp cdif cmpt crdg cres wf1 simp1 ssexg ancoms unblem4 3adant1 f1dom2g
      eqid syl3anc sbth syl2anc ) EFGZCEHZASBSGBCIAEJZKZCELMZECLMZCENMUPUQUTURU
      PUQUTCEFOTPUSUPCFGZECDFCDSQUARUBCRUCEUDZUEZVAUPUQURUFUPUQVBURUQUPVBCEFUGU
      HPUQURVDUPDABCVCVCULUIUJECVCFFUKUMCEUNUO $.

    $( Version of ~ unbnn that does not require a strict upper bound.
       (Contributed by NM, 24-Apr-2004.) $)
    unbnn2 $p |- ( ( _om e. _V /\ A C_ _om /\ A. x e. _om E. y e. A x C_ y ) ->
      A ~~ _om ) $=
      ( vz cv wss wrex com wral cvv wcel cen wbr csuc peano2 wceq sseq1 rexbidv
      rspcv wi sucssel elv reximi syl6com syl5 ralrimiv unbnn syl3an3 ) AEZBEZF
      ZBCGZAHIZHJKCHFDEZUJKZBCGZDHICHLMUMUPDHUNHKUNNZHKZUMUPUNOURUMUQUJFZBCGZUP
      ULUTAUQHUIUQPUKUSBCUIUQUJQRSUSUOBCUSUOTDUNUJJUAUBUCUDUEUFDBCUGUH $.
  $}

  ${
    $d y z w A $.
    $( Any set strictly dominated by the class of natural numbers is finite.
       Sufficiency part of Theorem 42 of [Suppes] p. 151.  This theorem does
       not require the Axiom of Infinity.  (Contributed by NM, 24-Apr-2004.) $)
    isfinite2 $p |- ( A ~< _om -> A e. Fin ) $=
      ( vy vz vw com cvv wcel csdm wbr cfn cv cen wss wa wrex wral syl2anc con0
      wn wi relsdom brrelex2i wex sdomdom domeng syl5ib ensym ad2antrl ensdomtr
      cdom simpl sdomnen syl simpr unbnn 3expia syl2an mtod rexnal csuc word wb
      omsson sstr mpan2 nnord cuni ssel2 vex sylib ordtri1 sylan an32s ralbidva
      elon unissb ralnex bicomi 3bitr4g ordunisssuc bitr3d ssnnfi sylanb adantl
      peano2b sylbid rexlimdva syl5bir ad2antll mpd simprl enfii exlimdv sylcom
      ex mpcom ) EFGZAEHIZAJGZAEHUAUBZWQWRABKZLIZXAEMZNZBUCZWSWRAEUJIWQXEAEUDBA
      EFUEUFWRXDWSBWRXDWSWRXDNZXAJGZXBWSXFCKZDKZGZDXAOZCEPZSZXGXFXLXAELIZXFXAEH
      IZXNSXFXAALIZWRXOXBXPWRXCAXAUGUHWRXDUKXAAEUIQXAEULUMWRWQXCXLXNTXDWTXBXCUN
      WQXCXLXNCDXAUOUPUQURXCXMXGTWRXBXMXKSZCEOXCXGXKCEUSXCXQXGCEXCXHEGZNXQXAXHU
      TZMZXGXCXARMZXHVAZXQXTVBXRXCERMYAVCXAERVDVEXHVFYAYBNZXAVGXHMZXQXTYCXIXHMZ
      DXAPXJSZDXAPZYDXQYCYEYFDXAYAXIXAGZYBYEYFVBZYAYHNZXIVAZYBYIYJXIRGYKXARXIVH
      XIDVIVOVJXIXHVKVLVMVNDXAXHVPYGXQXJDXAVQVRVSXAXHVTWAUQXRXTXGTXCXRXTXGXRXSE
      GXTXGXHWEXSXAWBWCWOWDWFWGWHWIWJWRXBXCWKAXAWLQWOWMWNWP $.
  $}

  ${
    $d x A $.
    $( Omega strictly dominates a natural number.  Example 3 of [Enderton]
       p. 146.  In order to avoid the Axiom of infinity, we include it as a
       hypothesis.  (Contributed by NM, 15-Jun-1998.) $)
    nnsdomg $p |- ( ( _om e. _V /\ A e. _om ) -> A ~< _om ) $=
      ( vx com cvv wcel wa cdom wbr cen csdm wss ssdomg word ordom ordelss mpan
      wn impel cfn ominf ensym wrex breq2 rspcev isfi sylibr syl5 adantl brsdom
      cv ex mtoi sylanbrc ) CDEZACEZFACGHZACIHZQZACJHUNACKZUPUOACDLCMUOUSNCAOPR
      UOURUNUOUQCSEZTUQCAIHZUOUTACUAUOVAUTUOVAFCBUJZIHZBCUBUTVCVABACVBACIUCUDBC
      UEUFUKUGULUHACUIUM $.

    $( A set is finite iff it is strictly dominated by the class of natural
       number.  Theorem 42 of [Suppes] p. 151.  In order to avoid the Axiom of
       infinity, we include it as a hypothesis.  (Contributed by NM,
       3-Nov-2002.)  (Revised by Mario Carneiro, 27-Apr-2015.) $)
    isfiniteg $p |- ( _om e. _V -> ( A e. Fin <-> A ~< _om ) ) $=
      ( vx com cvv wcel cfn csdm wbr cv wrex isfi wa nnsdomg sdomen1 syl5ibrcom
      cen rexlimdva syl5bi isfinite2 impbid1 ) CDEZAFEZACGHZUBABIZPHZBCJUAUCBAK
      UAUEUCBCUAUDCELUCUEUDCGHUDMAUDCNOQRAST $.
  $}

  $( An infinite set strictly dominates a natural number.  (Contributed by NM,
     22-Nov-2004.)  (Revised by Mario Carneiro, 27-Apr-2015.) $)
  infsdomnn $p |- ( ( _om ~<_ A /\ B e. _om ) -> B ~< A ) $=
    ( com cdom wbr wcel csdm cvv reldom brrelex1i nnsdomg sylan simpl sdomdomtr
    wa syl2anc ) CADEZBCFZOBCGEZQBAGEQCHFRSCADIJBKLQRMBCANP $.

  $( An infinite set is not empty.  (Contributed by NM, 23-Oct-2004.) $)
  infn0 $p |- ( _om ~<_ A -> A =/= (/) ) $=
    ( com cdom wbr c0 csdm wne wcel peano1 infsdomnn mpan2 cvv reldom brrelex2i
    wb 0sdomg syl mpbid ) BACDZEAFDZAEGZSEBHTIAEJKSALHTUAOBACMNALPQR $.

  $( This (useless) theorem, which was proved without the Axiom of Infinity,
     demonstrates an artifact of our definition of binary relation, which is
     meaningful only when its arguments exist.  In particular, the antecedent
     cannot be satisfied unless ` _om ` exists.  (Contributed by NM,
     13-Nov-2003.) $)
  fin2inf $p |- ( A ~< _om -> _om e. _V ) $=
    ( com csdm relsdom brrelex2i ) ABCDE $.

  ${
    $d x y A $.  $d w x y z B $.  $d w y z F $.
    unfilem1.1 $e |- A e. _om $.
    unfilem1.2 $e |- B e. _om $.
    unfilem1.3 $e |- F = ( x e. B |-> ( A +o x ) ) $.
    $( Lemma for proving that the union of two finite sets is finite.
       (Contributed by NM, 10-Nov-2002.)  (Revised by Mario Carneiro,
       31-Aug-2015.) $)
    unfilem1 $p |- ran F = ( ( A +o B ) \ A ) $=
      ( vy coa co cv wceq wrex wcel wa com wb word nnord eleq1 crn cdif wn elnn
      mpan2 nnaord mp3an23 syl ibi wss nnaword1 nnacl ordtri1 mpbid sylancr jca
      syl2an2r notbid anbi12d biimparc rexlimiva nnacli syl2an nnawordex bitr3d
      sylan sylan9bb biimprcd eqcom biimpi adantl jca2 reximdv2 sylbid imp ovex
      impbii elrnmpti eldif 3bitr4i eqriv ) HDUAZBCIJZBUBZHKZBAKZIJZLZACMZWEWCN
      ZWEBNZUCZOZWEWBNWEWDNWIWMWHWMACWFCNZWGWCNZWGBNZUCZOZWHWMWNWOWQWNWOWNWFPNZ
      WNWOQZWNCPNZWSFWFCUDUEZWSXABPNZWTFEWFCBUFUGZUHUIWNXCWSWQEXBXCWSOZBWGUJZWQ
      BWFUKXCBRZWSWGRZXFWQQBSZXEWGPNXHBWFULWGSUHBWGUMUQUNUOUPWHWMWRWHWJWOWLWQWE
      WGWCTWHWKWPWEWGBTURUSUTVFVAWJWLWIWJWLWGWELZAPMZWIWJXCWEPNZWLXKQEWJWCPNXLB
      CEFVBWEWCUDUEXCXLOBWEUJZWLXKXCXGWERXMWLQXLXIWESBWEUMVCABWEVDVEUOWJXJWHAPC
      WJWSXJOZWNWHXNWNWJWSWNWOXJWJXDWGWEWCTVGVHXJWHWSXJWHWGWEVIVJVKVLVMVNVOVQAC
      WGWEDGBWFIVPVRWEWCBVSVTWA $.

    $( Lemma for proving that the union of two finite sets is finite.
       (Contributed by NM, 10-Nov-2002.)  (Revised by Mario Carneiro,
       31-Aug-2015.) $)
    unfilem2 $p |- F : B -1-1-onto-> ( ( A +o B ) \ A ) $=
      ( vz vw coa co cv cfv wceq wral ovex mpbir2an wcel oveq2 com cdif wf1 wfo
      wf1o wf wi wfn crn fnmpti unfilem1 df-fo ax-mp wa fvmpt eqeqan12d wb elnn
      fof mpan2 nnacan mp3an3an bitrd biimpd rgen2 dff13 df-f1o ) CBCJKBUAZDUDC
      VGDUBZCVGDUCZVHCVGDUEZHLZDMZILZDMZNZVKVMNZUFZICOHCOVIVJVIDCUGDUHVGNACBALZ
      JKZDBVRJPGUIABCDEFGUJCVGDUKQZCVGDURULVQHICCVKCRZVMCRZUMZVOVPWCVOBVKJKZBVM
      JKZNZVPWAWBVLWDVNWEAVKVSWDCDVRVKBJSGBVKJPUNAVMVSWECDVRVMBJSGBVMJPUNUOBTRW
      AVKTRZWBVMTRZWFVPUPEWACTRZWGFVKCUQUSWBWIWHFVMCUQUSBVKVMUTVAVBVCVDHICVGDVE
      QVTCVGDVFQ $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Lemma for proving that the union of two finite sets is finite.
       (Contributed by NM, 16-Nov-2002.)  (Revised by Mario Carneiro,
       31-Aug-2015.) $)
    unfilem3 $p |- ( ( A e. _om /\ B e. _om ) -> B ~~ ( ( A +o B ) \ A ) ) $=
      ( vx com wcel coa co cdif cen wbr c0 wceq oveq1 id difeq12d breq2d peano1
      cif cvv elimel oveq2 difeq1d breq12d cv cmpt wf1o difexi unfilem2 f1oen2g
      ovex eqid mp3an dedth2h ) ADEZBDEZBABFGZAHZIJBUNAKRZBFGZURHZIJUOBKRZURVAF
      GZURHZIJZABKKAURLZUQUTBIVEUPUSAURAURBFMVENOPBVALZBVAUTVCIVFNVFUSVBURBVAUR
      FUAUBUCVADEVCSEVAVCCVAURCUDFGUEZUFVDBKDQTZVBURURVAFUJUGCURVAVGAKDQTVHVGUK
      UHVAVCVGDSUIULUM $.
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( Obsolete version of ~ unfi as of 7-Aug-2024.  (Contributed by NM,
       16-Nov-2002.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    unfiOLD $p |- ( ( A e. Fin /\ B e. Fin ) -> ( A u. B ) e. Fin ) $=
      ( vx vy vz cfn wcel cdif cun wa cv cen wbr com wrex isfi cin wceq disjdif
      c0 diffi reeanv anbi12i bitr4i coa co nnacl unfilem3 entr expcom syl unen
      mpanr12 undif2 a1i wss nnaword1 undif sylib breq12d syl5ib sylan2d rspcev
      wi breq2 sylibr syl6an rexlimivv sylbir sylan2 ) BFGAFGZBAHZFGZABIZFGZBAU
      AVKVMJZACKZLMZVLDKZLMZJZDNOCNOZVOWBVRCNOZVTDNOZJVPVRVTCDNNUBVKWCVMWDCAPDV
      LPUCUDWAVOCDNNVQNGVSNGJZVQVSUEUFZNGZWAVNWFLMZVOVQVSUGWEVTVLWFVQHZLMZVRWHW
      EVSWILMZVTWJVDVQVSUHVTWKWJVLVSWIUIUJUKVRWJJZAVLIZVQWIIZLMZWEWHWLAVLQTRVQW
      IQTRWOABSVQWFSAVQVLWIULUMWEWMVNWNWFLWMVNRWEABUNUOWEVQWFUPWNWFRVQVSUQVQWFU
      RUSUTVAVBWGWHJVNEKZLMZENOVOWQWHEWFNWPWFVNLVEVCEVNPVFVGVHVIVJ $.
  $}

  $( If a union is finite, the operands are finite.  Converse of ~ unfi .
     (Contributed by FL, 3-Aug-2009.) $)
  unfir $p |- ( ( A u. B ) e. Fin -> ( A e. Fin /\ B e. Fin ) ) $=
    ( cun cfn wcel wss ssun1 ssfi mpan2 ssun2 jca ) ABCZDEZADEZBDEZMALFNABGLAHI
    MBLFOBAJLBHIK $.

  $( The union of two finite sets is finite.  Part of Corollary 6K of
     [Enderton] p. 144.  This version of ~ unfi is useful only if we assume the
     Axiom of Infinity (see comments in ~ fin2inf ).  (Contributed by NM,
     22-Oct-2004.)  (Revised by Mario Carneiro, 27-Apr-2015.) $)
  unfi2 $p |- ( ( A ~< _om /\ B ~< _om ) -> ( A u. B ) ~< _om ) $=
    ( com csdm wbr wa cun cfn wcel isfinite2 syl2an wb fin2inf adantr isfiniteg
    unfi cvv syl mpbid ) ACDEZBCDEZFZABGZHIZUCCDEZTAHIBHIUDUAAJBJABPKUBCQIZUDUE
    LTUFUAAMNUCORS $.

  $( An infinite set ` A ` minus a finite set is infinite.  (Contributed by FL,
     3-Aug-2009.) $)
  difinf $p |- ( ( -. A e. Fin /\ B e. Fin ) -> -. ( A \ B ) e. Fin ) $=
    ( cfn wcel wn cdif wa cun undif1 eleq1i unfir simpld sylbi syl expcom con3d
    unfi impcom ) BCDZACDZEABFZCDZESUBTUBSTUBSGUABHZCDZTUABQUDABHZCDZTUCUECABIJ
    UFTSABKLMNOPR $.

  ${
    $d A w x y z $.  $d B w x y z $.
    $( The Cartesian product of two finite sets is finite.  (Contributed by
       Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro, 12-Mar-2015.) $)
    xpfi $p |- ( ( A e. Fin /\ B e. Fin ) -> ( A X. B ) e. Fin ) $=
      ( vx vy vz vw cfn wcel cxp cv wi c0 csn cdif wceq xpeq1 eleq1d imbi2d cvv
      wa 0xp 0fin eqeltri a1i wral wn wex neq0 sneq difeq2d xpeq1d rspcv adantl
      pm2.27 ad2antlr cen wbr c2nd cres wf1o snex xpexg id vex 2ndconst f1oen2g
      mpan mp1i syl3anc enfii mpdan cun unfi xpundir difsnid biimpd syl5 mpan2d
      eqtr3id 3syld ex exlimdv syl5bi eqeltrdi a1d pm2.61d2 com23 findcard imp
      ) AGHBGHZABIZGHZWJCJZBIZGHZKWJLBIZGHZKWJDJZEJZMZNZBIZGHZKZWJWRBIZGHZKWJWL
      KCDEAWMLOZWOWQWJXGWNWPGWMLBPQRWMXAOZWOXCWJXHWNXBGWMXABPQRWMWROZWOXFWJXIWN
      XEGWMWRBPQRWMAOZWOWLWJXJWNWKGWMABPQRWQWJWPLGBUAUBUCZUDWRGHZWJXDEWRUEZXFXL
      WJXMXFKZXLWJTZWRLOZXNXPUFFJZWRHZFUGXOXNFWRUHXOXRXNFXOXRXNXOXRTZXMWJWRXQMZ
      NZBIZGHZKZYCXFXRXMYDKXOXDYDEXQWRWSXQOZXCYCWJYEXBYBGYEXAYABYEWTXTWRWSXQUIU
      JUKQRULUMWJYDYCKXLXRWJYCUNUOXSYCXTBIZGHZXFWJYGXLXRWJYFBUPUQZYGWJYFSHZWJYF
      BURYFUSZUTZYHXTSHWJYIXQVAXTBSGVBVGWJVCXQSHYKWJFVDXQBSVEVHYFBYJSGVFVIYFBVJ
      VKUOYCYGTYBYFVLZGHZXSXFYBYFVMXRYMXFKXOXRYMXFXRYLXEGXRYLYAXTVLZBIXEYAXTBVN
      XRYNWRBWRXQVOUKVSQVPUMVQVRVTWAWBWCXPXFXMXPXEWPGWRLBPXKWDWEWFWAWGWHWI $.
  $}

  $( The Cartesian product of three finite sets is a finite set.  (Contributed
     by Alexander van der Vekens, 11-Mar-2018.) $)
  3xpfi $p |- ( V e. Fin -> ( ( V X. V ) X. V ) e. Fin ) $=
    ( cxp cfn wcel xpfi anidms mpancom ) AABZCDZACDZHABCDJIAAEFHAEG $.

  ${
    $d A a b c f $.  $d B a b c f $.  $d X a b c f $.  $d Y a b c f $.
    $( A finite set union cancellation law for dominance.  (Contributed by
       Stefan O'Rear, 19-Feb-2015.)  (Revised by Stefan O'Rear, 5-May-2015.) $)
    domunfican $p |- ( ( ( A e. Fin /\ B ~~ A ) /\
          ( ( A i^i X ) = (/) /\ ( B i^i Y ) = (/) ) ) ->
        ( ( A u. X ) ~<_ ( B u. Y ) <-> X ~<_ Y ) ) $=
      ( wcel wbr c0 wceq wa cun cdom wb wi cima anbi1d uneq1d breq12d bibi1d wn
      wss vf va vb vc cfn cen cin cv wf1o wex ensym bren sylib ssid sseq1 uneq1
      w3a csn imaeq2 imbi12d uncom un0 eqtri ima0 breq12i a1i ssun1 sstr2 ax-mp
      uneq1i anim1i imim1i cfv unass imaundi wfn simprlr f1ofn syl ssun2 sylibr
      vex snss adantr ad2antrl fnsnfv syl2anc eqcomd uneq2d eqtrid eqtrdi incom
      simplr simprrl minel wo ioran elun xchnxbir sylanbrc f1of1 adantl f1elima
      wf1 syl3anc biimpd mtod adantrr wf f1of ffvelrnd simprrr domunsncan bitrd
      fvex bitr ex a2d syl5 findcard2s expd mpani 3imp wfo f1ofo foima 3ad2ant2
      breq2d mpbid 3exp exlimdv imp31 ) AUEEZBAUFFZACUGZGHZBDUGZGHZIZACJZBDJZKF
      ZCDKFZLZYNABUAUHZUIZUAUJZYMYSUUDMZYNABUFFUUGBAUKABUAULUMYMUUFUUHUAYMUUFYS
      UUDYMUUFYSUQYTUUEANZDJZKFZUUCLZUUDYMUUFYSUULYMAATZUUFYSUULMAUNYMUUMUUFIZY
      SUULUBUHZATZUUFIZYSIZUUOCJZUUEUUONZDJZKFZUUCLZMGATZUUFIZYSIZGCJZUUEGNZDJZ
      KFZUUCLZMUCUHZATZUUFIZYSIZUVLCJZUUEUVLNZDJZKFZUUCLZMZUVLUDUHZURZJZATZUUFI
      ZYSIZUWDCJZUUEUWDNZDJZKFZUUCLZMZUUNYSIZUULMUBUCUDAUUOGHZUURUVFUVCUVKUWOUU
      QUVEYSUWOUUPUVDUUFUUOGAUOOOUWOUVBUVJUUCUWOUUSUVGUVAUVIKUUOGCUPUWOUUTUVHDU
      UOGUUEUSPQRUTUUOUVLHZUURUVOUVCUVTUWPUUQUVNYSUWPUUPUVMUUFUUOUVLAUOOOUWPUVB
      UVSUUCUWPUUSUVPUVAUVRKUUOUVLCUPUWPUUTUVQDUUOUVLUUEUSPQRUTUUOUWDHZUURUWGUV
      CUWLUWQUUQUWFYSUWQUUPUWEUUFUUOUWDAUOOOUWQUVBUWKUUCUWQUUSUWHUVAUWJKUUOUWDC
      UPUWQUUTUWIDUUOUWDUUEUSPQRUTUUOAHZUURUWNUVCUULUWRUUQUUNYSUWRUUPUUMUUFUUOA
      AUOOOUWRUVBUUKUUCUWRUUSYTUVAUUJKUUOACUPUWRUUTUUIDUUOAUUEUSPQRUTUVKUVFUVGC
      UVIDKUVGCGJCGCVACVBVCUVIGDJZDUVHGDUUEVDVJUWSDGJDGDVADVBVCVCVEVFUWAUWGUVTM
      UVLUEEZUWBUVLEZSZIZUWMUWGUVOUVTUWFUVNYSUWEUVMUUFUVLUWDTUWEUVMMUVLUWCVGUVL
      UWDAVHVIZVKVKVLUXCUWGUVTUWLUXCUWGUVTUWLMZUXCUWGIZUWKUVSLZUXEUXFUWKUWCUVPJ
      ZUWBUUEVMZURZUVRJZKFZUVSUXFUWHUXHUWJUXKKUWHUXHHUXFUWHUWCUVLJZCJUXHUWDUXMC
      UVLUWCVAVJUWCUVLCVNVCVFUXFUWJUVQUXJJZDJZUXKUXFUWIUXNDUXFUWIUVQUUEUWCNZJUX
      NUUEUVLUWCVOUXFUXPUXJUVQUXFUXJUXPUXFUUEAVPZUWBAEZUXJUXPHUXFUUFUXQUXCUWEUU
      FYSVQZABUUEVRVSUWFUXRUXCYSUWEUXRUUFUWEUWCATZUXRUWCUWDTUWEUXTMUWCUVLVTUWCU
      WDAVHVIUWBAUDWBZWCWAWDZWEZAUWBUUEWFWGWHWIWJPUXOUXJUVQJZDJUXKUXNUYDDUVQUXJ
      VAVJUXJUVQDVNVCWKQUXFUWBUVPEZSZUXIUVREZSZUXLUVSLUXFUXBUWBCEZSZUYFUWTUXBUW
      GWMUXFUXRCAUGZGHUYJUYCUXFUYKYOGCAWLUXCUWFYPYRWNWJUWBACWOWGUXAUYIWPUXBUYJI
      UYEUXAUYIWQUWBUVLCWRWSWTUXFUXIUVQEZSZUXIDEZSZUYHUXCUWFUYMYSUXCUWFIUYLUXAU
      WTUXBUWFWMUWFUYLUXAMUXCUWFUYLUXAUWFABUUEXDZUXRUVMUYLUXALUUFUYPUWEABUUEXAX
      BUYBUWEUVMUUFUXDWDABUUEUWBUVLXCXEXFXBXGXHUXFUXIBEDBUGZGHUYOUXFABUWBUUEUXF
      UUFABUUEXIUXSABUUEXJVSUYCXKUXFUYQYQGDBWLUXCUWFYPYRXLWJUXIBDWOWGUYLUYNWPUY
      MUYOIUYGUYLUYNWQUXIUVQDWRWSWTUWBUXIUVPUVRUYAUWBUUEXOXMWGXNUXGUVTUWLUWKUVS
      UUCXPXQVSXQXRXSXTYAYBYCUUFYMUULUUDLYSUUFUUKUUBUUCUUFUUJUUAYTKUUFUUIBDUUFA
      BUUEYDUUIBHABUUEYEABUUEYFVSPYHRYGYIYJYKXSYL $.
  $}

  ${
    $d x A $.
    infcntss.1 $e |- A e. _V $.
    $( Every infinite set has a denumerable subset.  Similar to Exercise 8 of
       [TakeutiZaring] p. 91.  (However, we need neither AC nor the Axiom of
       Infinity because of the way we express "infinite" in the antecedent.)
       (Contributed by NM, 23-Oct-2004.) $)
    infcntss $p |- ( _om ~<_ A -> E. x ( x C_ A /\ x ~~ _om ) ) $=
      ( com cdom wbr cv cen wss wa wex domen ensym anim1ci eximi sylbi ) DBEFDA
      GZHFZQBIZJZAKSQDHFZJZAKADBCLTUBARUASDQMNOP $.
  $}

  $( An unordered pair is finite.  (Contributed by NM, 22-Aug-2008.) $)
  prfi $p |- { A , B } e. Fin $=
    ( cpr csn cun cfn df-pr wcel snfi unfi mp2an eqeltri ) ABCADZBDZEZFABGMFHNF
    HOFHAIBIMNJKL $.

  $( An unordered triple is finite.  (Contributed by Mario Carneiro,
     28-Sep-2013.) $)
  tpfi $p |- { A , B , C } e. Fin $=
    ( ctp cpr csn cun cfn df-tp wcel prfi snfi unfi mp2an eqeltri ) ABCDABEZCFZ
    GZHABCIPHJQHJRHJABKCLPQMNO $.

  ${
    $d x y z w v f A $.
    $( Equivalent ways of stating the finite intersection property.  We show
       two ways of saying, "the intersection of elements in every finite
       nonempty subcollection of ` A ` is in ` A ` ".  This theorem is
       applicable to a topology, which (among other axioms) is closed under
       finite intersections.  Some texts use the left-hand version of this
       axiom and others the right-hand version, but as our proof here shows,
       their "intuitively obvious" equivalence can be non-trivial to establish
       formally.  (Contributed by NM, 22-Sep-2002.) $)
    fiint $p |- ( A. x e. A A. y e. A ( x i^i y ) e. A <->
      A. x ( ( x C_ A /\ x =/= (/) /\ x e. Fin ) -> |^| x e. A ) ) $=
      ( vz vw vf cv cin wcel wss c0 wa cint wi wal cen wbr wceq cvv eleq1d wral
      wne cfn w3a com wrex isfi ensym csuc breq1 anbi2d imbi1d albidv weq sylib
      vv en0 anim1i ancoms adantll wn pm3.24 pm2.21i sylan2b syl ax-gen a1i nfv
      df-ne nfa1 wf1o wex bren cima cfv ssel wf vex sucid ffvelrn sylancl impel
      f1of adantr crn imassrn wfn ccnv dff1o2 simp3bi sseqtrid sstr2 anim1d wf1
      wfun f1of1 sssucid f1imaen2g mpanr12 ensymd imaex sseq1 neeq1 breq2 inteq
      jctird anbi12d imbi12d spcv sylan9 ineq1 ineq2 rspc2v ex syl6 com4r exp5c
      com14 syl5bir int0 eqtrdi ineq1d ssv sseqin2 mpbi biimprd pm2.61d2 mpd wb
      imp43 csn cun fvex intunsn f1ofn fnsnfv uneq2d df-suc com13 biantru f1ofo
      imaeq2i imaundi eqtr2i wfo foima eqtrd inteqd eqtr3id mpbid exp43 exlimdv
      ad2antlr syl5bi imp adantlr alrimd finds2 exp4a com24 syl5 rexlimiv sylbi
      sp impd alrimiv zfpair2 eleq1 prss prnz prfi 3bitrri intpr eleq1i 3imtr3g
      cpr ralrimivv impbii cbvral2vw df-3an imbi1i albii 3bitr4i ) DGZEGZHZCIZE
      CUADCUAZAGZCJZUWIKUBZLZUWIUCIZLZUWIMZCIZNZAOZUWIBGZHZCIZBCUAACUAUWJUWKUWM
      UDZUWPNZAOUWHUWRUWHUWQAUWHUWLUWMUWPUWMUWLUWHUWPUWMUWIUWSPQZBUEUFUWLUWHUWP
      NZNZBUWIUGUXDUXFBUEUXDUWSUWIPQZUWSUEIZUXFUWIUWSUHUXHUWHUWLUXGUWPUXHUWHUWL
      UXGUWPUXHUWHUWLUXGLZUWPNZAOZUXJUXKUWLKUWIPQZLZUWPNZAOZUWLUPGZUWIPQZLZUWPN
      ZAOZUWLUXPUIZUWIPQZLZUWPNZAOZUWHBUPUWSKRZUXJUXNAUYFUXIUXMUWPUYFUXGUXLUWLU
      WSKUWIPUJUKULUMBUPUNZUXJUXSAUYGUXIUXRUWPUYGUXGUXQUWLUWSUXPUWIPUJUKULUMUWS
      UYARZUXJUYDAUYHUXIUYCUWPUYHUXGUYBUWLUWSUYAUWIPUJUKULUMUXOUWHUXNAUXMUWIKRZ
      UWKLZUWPUWKUXLUYJUWJUXLUWKUYJUXLUYIUWKUXLUWIKPQUYIKUWIUHUWIUQUOURUSUTUWKU
      YIUYIVAZUWPUWIKVIUYIUYKLUWPUYIVBVCVDVEVFVGUWHUXTUYENNUXPUEIUWHUXTUYDAUWHA
      VHUXSAVJUYCUXTUWHUWPUWJUYBUXTUXENZUWKUWJUYBUYLUYBUYAUWIFGZVKZFVLUWJUYLUYA
      UWIFVMUWJUYNUYLFUWJUYNUXTUWHUWPUWJUYNLZUXTUWHLZLZUYMUXPVNZMZUXPUYMVOZHZCI
      ZUWPUYQUYTCIZVUBUYOVUCUYPUWJUYTUWIIZVUCUYNUWICUYTVPUYNUYAUWIUYMVQUXPUYAIZ
      VUDUYAUWIUYMWCUXPUPVRZVSZUYAUWIUXPUYMVTWAWBWDUYQUYRKRZVUCVUBNZVUHVAUYRKUB
      ZUYQVUIUYRKVIUWJUYNUXTUWHVUJVUINZUWHUYNUXTUWJVUKUWHUYNUXTUWJVUJVUIUYNUXTL
      ZUWJVUJLZVUCUWHVUBVULVUMUYSCIZVUCUWHVUBNZNUYNVUMUYRCJZVUJLZUXPUYRPQZLZUXT
      VUNUYNVUMVUQVURUYNUWJVUPVUJUYNUYRUWIJUWJVUPNUYNUYMWEZUYRUWIUYMUXPWFUYNUYM
      UYAWGZUYMWHWOVUTUWIRUYAUWIUYMWIWJWKUYRUWICWLVEWMUYNUYRUXPUYNUYAUWIUYMWNZU
      WISIZUYRUXPPQZUYAUWIUYMWPAVRVVBVVCLUXPUYAJUXPSIVVDUXPWQVUFUYAUWIUXPUYMSWR
      WSWAWTXFUXSVUSVUNNAUYRUYMUXPFVRXAUWIUYRRZUXRVUSUWPVUNVVEUWLVUQUXQVURVVEUW
      JVUPUWKVUJUWIUYRCXBUWIUYRKXCXGUWIUYRUXPPXDXGVVEUWOUYSCUWIUYRXETXHXIXJVUNV
      UCVUOUWGVUBUYSUWEHZCIDEUYSUYTCCUWDUYSRUWFVVFCUWDUYSUWEXKTUWEUYTRVVFVUACUW
      EUYTUYSXLTXMXNXOXPXQXRYJXSVUHVUBVUCVUHVUAUYTCVUHVUASUYTHZUYTVUHUYSSUYTVUH
      UYSKMSUYRKXEXTYAYBUYTSJVVGUYTRUYTYCUYTSYDYEYATYFYGYHUYNVUBUWPYIUWJUYPUYNV
      UAUWOCUYNVUAUYRUYTYKZYLZMUWOUYRUYTUXPUYMYMYNUYNVVIUWIUYNVVIUYMUYAVNZUWIUY
      NVVIUYRUYMUXPYKZVNZYLZVVJUYNVVHVVLUYRUYNVVAVUEVVHVVLRUYAUWIUYMYOVUGUYAUXP
      UYMYPWAYQVVJUYMUXPVVKYLZVNVVMUYAVVNUYMUXPYRUUBUYMUXPVVKUUCUUDYAUYNUYAUWIU
      YMUUEVVJUWIRUYAUWIUYMUUAUYAUWIUYMUUFVEUUGUUHUUITUUMUUJUUKUULUUNUUOUUPYSUU
      QVGUURUXJAUVDXOUUSUUTUVAUVBUVCYSUVEUVFUWRUWGDECCUWRUWDUWEUVPZCJZVVOKUBZLZ
      VVOUCIZLZVVOMZCIZUWDCIUWECILZUWGUWQVVTVWBNAVVODEUVGUWIVVORZUWNVVTUWPVWBVW
      DUWLVVRUWMVVSVWDUWJVVPUWKVVQUWIVVOCXBUWIVVOKXCXGUWIVVOUCUVHXGVWDUWOVWACUW
      IVVOXETXHXIVWCVVPVVRVVTUWDUWECDVRZEVRZUVIVVQVVPUWDUWEVWEUVJYTVVSVVRUWDUWE
      UVKYTUVLVWAUWFCUWDUWEVWEVWFUVMUVNUVOUVQUVRUXAUWGUWDUWSHZCIABDECCADUNUWTVW
      GCUWIUWDUWSXKTBEUNVWGUWFCUWSUWEUWDXLTUVSUXCUWQAUXBUWNUWPUWJUWKUWMUVTUWAUW
      BUWC $.
  $}

  ${
    $d f x y z A $.  $d f B $.  $d x y z F $.
    $( An onto function implies dominance of domain over range, for finite
       sets.  Unlike ~ fodom for arbitrary sets, this theorem does not require
       the Axiom of Choice for its proof.  (Contributed by NM, 23-Mar-2006.)
       (Proof shortened by Mario Carneiro, 16-Nov-2014.) $)
    fodomfi $p |- ( ( A e. Fin /\ F : A -onto-> B ) -> B ~<_ A ) $=
      ( vz wcel wa cima cdom wceq wbr cv wi c0 csn cun imaeq2 id breq12d imbi2d
      cvv vx cfn wfo foima adantl wfn ima0 eqtrdi 0ex 0dom a1i cid cfv wss cres
      vy wn crn cop wfun fnfun ad2antrl funressn rnss 3syl df-ima rnsnop eqcomi
      vex 3sstr4g snex sylancl fvi syl uneq2d imaundi eqtr4di cin simprr ssdomg
      ssexg cen mpsyl c1o fvex ensn1 entr4i domentr eqbrtrd simplr disjsn undom
      sylibr syl21anc eqbrtrrd exp32 a2d findcard2s fofn impel ) AUBEZABCUCZFCA
      GZBAHXBXCBIXAABCUDUEXACAUFZXCAHJZXBXDCUAKZGZXFHJZLXDMMHJZLXDCUPKZGZXJHJZL
      XDCXJDKZNZOZGZXOHJZLXDXELUAUPDAXFMIZXHXIXDXRXGMXFMHXRXGCMGMXFMCPCUGUHXRQR
      SXFXJIZXHXLXDXSXGXKXFXJHXFXJCPXSQRSXFXOIZXHXQXDXTXGXPXFXOHXFXOCPXTQRSXFAI
      ZXHXEXDYAXGXCXFAHXFACPYAQRSXIXDMUIUJUKXJUBEZXMXJEUQZFZXDXLXQYDXDXLXQYDXDX
      LFZFZXKCXNGZULUMZOZXPXOHYFYIXKYGOXPYFYHYGXKYFYGTEZYHYGIYFYGXMCUMZNZUNZYLT
      EZYJYFCXNUOZURZXMYKUSNZURZYGYLYFCUTZYOYQUNYPYRUNXDYSYDXLACVAVBXMCVCYOYQVD
      VECXNVFYRYLXMYKDVIZVGVHVJZYKVKZYGYLTWAVLYGTVMVNZVOCXJXNVPVQYFXLYHXNHJXJXN
      VRMIZYIXOHJYDXDXLVSYFYHYGXNHUUCYFYGYLHJZYLXNWBJYGXNHJYNYFYMUUEUUBUUAYGYLT
      VTWCYLWDXNYKXMCWEWFXMYTWFWGYGYLXNWHVLWIYFYCUUDYBYCYEWJXJXMWKWMXKXJYHXNWLW
      NWOWPWQWRABCWSWTWO $.
    $( $j usage 'fodomfi' avoids 'ax-ac' 'ax-ac2'; $)

    $( Equivalence of an onto mapping and dominance for a nonempty finite set.
       Unlike ~ fodomb for arbitrary sets, this theorem does not require the
       Axiom of Choice for its proof.  (Contributed by NM, 23-Mar-2006.) $)
    fodomfib $p |- ( A e. Fin ->
    ( ( A =/= (/) /\ E. f f : A -onto-> B ) <-> ( (/) ~< B /\ B ~<_ A ) ) ) $=
      ( cfn wcel c0 wne cv wfo wex wa csdm wbr cdom cdm wceq eqeq1d cvv 0sdomg
      ex fof fdmd dm0rn0 forn syl5bb bitr3d necon3bid biimpac adantll eqeltrrdi
      crn wb vex rnex adantl syl adantlr mpbird wi fodomfi jcad exlimdv expimpd
      adantr sdomdomtr syl5ib fodomr jca2 impbid ) ADEZAFGZABCHZIZCJZKFBLMZBANM
      ZKZVJVKVNVQVJVKKZVMVQCVRVMVOVPVRVMVOVRVMKVOBFGZVKVMVSVJVMVKVSVMAFBFVMVLOZ
      FPZAFPBFPZVMVTAFVMABVLABVLUAUBQWAVLUKZFPVMWBVLUCVMWCBFABVLUDZQUEUFUGUHUIV
      JVMVOVSULZVKVJVMKBREZWEVMWFVJVMBWCRWDVLCUMUNUJUOBRSUPUQURTVJVMVPUSVKVJVMV
      PABVLUTTVDVAVBVCVJVQVKVNVQFALMVJVKFBAVEADSVFABCVGVHVI $.
    $( $j usage 'fodomfib' avoids 'ax-ac'; $)
  $}

  ${
    $d u w x y z A $.  $d u w x y z B $.  $d u w x y z F $.
    $( Any surjection from one finite set to another of equal size must be a
       bijection.  (Contributed by Mario Carneiro, 19-Aug-2014.) $)
    fofinf1o $p |- ( ( F : A -onto-> B /\ A ~~ B /\ B e. Fin ) ->
                     F : A -1-1-onto-> B ) $=
      ( vx vy vz vw vu wbr cfn wcel cv cfv wceq wa syl2anc sylanbrc adantr wrex
      wne wfo cen w3a wf1 wf1o wf weq wi wral simp1 fof syl csn cdif wn domnsym
      cdom csdm wpss simp3 simp2 enfii ad2antrr difssd simplrr neldifsn sylancl
      wss nelne1 necomd df-pss php3 sdomentr nsyl3 cres difss ssfi fssres sylan
      foelrn simprll simprrr eldifsn simprrl eqcomd rspceeqv fveqeq2 syl5ibrcom
      fveq2 rexbidv imp eqid mpan2 sylbir adantll pm2.61dane fvres eqeq2d eqeq1
      rexbiia syl5bb rexlimdva syldan ralrimiva dffo3 fodomfi expr necon1bd mpd
      anassrs ex ralrimivva dff13 df-f1o ) ABCUAZABUBIZBJKZUCZABCUDZXOABCUEXRAB
      CUFZDLZCMZELZCMZNZDEUGZUHZEAUIDAUIXSXRXOXTXOXPXQUJZABCUKULZXRYGDEAAXRYAAK
      ZYCAKZOZOZYEYFYMYEOZBAYCUMZUNZUQIZUOYFYQYPBURIZYNBYPUPYNYPAURIZXPYRYNAJKZ
      YPAUSZYSXRYTYLYEXRXQXPYTXOXPXQUTXOXPXQVAZABVBPZVCYNYPAVHZYPATUUAYNAYOVDYN
      AYPYNYKYCYPKUOAYPTXRYJYKYEVEYCAVFYCAYPVIVGVJYPAVKQAYPVLPXRXPYLYEUUBVCYPAB
      VMPVNYNYQYAYCYMYEYAYCTZYQXRYLYEUUEOZYQXRYLUUFOZOZYPJKZYPBCYPVOZUAZYQUUHYT
      UUDUUIXRYTUUGUUCRAYOVPZAYPVQVGUUHYPBUUJUFZFLZGLZUUJMZNZGYPSZFBUIUUKUUHXTU
      UDUUMXRXTUUGYIRUULABYPCVRVGUUHUURFBUUHUUNBKZUUNHLZCMZNZHASZUURUUHXOUUSUVC
      XRXOUUGYHRHABUUNCVTVSUUHUVCUURUUHUVBUURHAUUHUUTAKZOZUURUVBUVAUUOCMZNZGYPS
      ZUVEUVHUUTYCUVEHEUGZUVHUUHUVIUVHUHUVDUUHUVHUVIYDUVFNZGYPSZUUHYAYPKZYDYBNU
      VKUUHYJUUEUVLXRYJYKUUFWAXRYLYEUUEWBYAAYCWCQUUHYBYDXRYLYEUUEWDWEGYAYPUVFYB
      YDUUOYACWIWFPUVIUVGUVJGYPUUTYCUVFCWGWJWHRWKUVDUUTYCTZUVHUUHUVDUVMOUUTYPKZ
      UVHUUTAYCWCUVNUVAUVANUVHUVAWLGUUTYPUVFUVAUVAUUOUUTCWIWFWMWNWOWPUURUUNUVFN
      ZGYPSUVBUVHUUQUVOGYPUUOYPKUUPUVFUUNUUOYPCWQWRWTUVBUVOUVGGYPUUNUVAUVFWSWJX
      AWHXBWKXCXDGFYPBUUJXEQYPBUUJXFPXJXGXHXIXKXLDEABCXMQYHABCXNQ $.
  $}

  $( Any function from a finite set onto the same set must be a bijection.
     (Contributed by AV, 5-Jul-2021.) $)
  rneqdmfinf1o $p |- ( ( A e. Fin /\ F Fn A /\ ran F = A )
                       -> F : A -1-1-onto-> A ) $=
    ( cfn wcel wfn crn wceq w3a wfo cen wbr wf1o dffn4 biimpi 3ad2ant2 wb foeq3
    3ad2ant3 mpbid enrefg 3ad2ant1 simp1 fofinf1o syl3anc ) ACDZBAEZBFZAGZHZAAB
    IZAAJKZUEAABLUIAUGBIZUJUFUEULUHUFULABMNOUHUEULUJPUFUGAABQRSUEUFUKUHACTUAUEU
    FUHUBAABUCUD $.

  ${
    $d x F $.
    $( Any finite set dominates its domain.  (Contributed by Mario Carneiro,
       22-Sep-2013.)  (Revised by Mario Carneiro, 16-Nov-2014.) $)
    fidomdm $p |- ( F e. Fin -> dom F ~<_ F ) $=
      ( vx cfn wcel cdm cvv cres cdom dmresv wbr cv c1st cfv cmpt wfo finresfin
      crn wfn fvex eqid fnmpti dffn4 mpbi wrel wceq wb relres reldm foeq3 mpbir
      mp2b fodomfi sylancl wss resss ssdomg mpi domtr syl2anc eqbrtrrid ) ACDZA
      EAFGZEZAHAIVAVCVBHJZVBAHJZVCAHJVAVBCDVBVCBVBBKZLMZNZOZVDFAPVIVBVHQZVHOZVH
      VBRVKBVBVGVHVFLSVHTUAVBVHUBUCVBUDVCVJUEVIVKUFAFUGBVBUHVCVJVBVHUIUKUJVBVCV
      HULUMVAVBAUNVEAFUOVBACUPUQVCVBAURUSUT $.
  $}

  $( The domain of a finite set is finite.  (Contributed by Mario Carneiro,
     24-Sep-2013.) $)
  dmfi $p |- ( A e. Fin -> dom A e. Fin ) $=
    ( cfn wcel cdm cdom wbr fidomdm domfi mpdan ) ABCADZAEFJBCAGAJHI $.

  $( A function is finite if and only if its domain is finite.  (Contributed by
     AV, 10-Jan-2020.) $)
  fundmfibi $p |- ( Fun F -> ( F e. Fin <-> dom F e. Fin ) ) $=
    ( wfun cfn wcel cdm dmfi wfn funfn fnfi sylanb ex impbid2 ) ABZACDZAEZCDZAF
    MPNMAOGPNAHOAIJKL $.

  $( The restriction of a function to a finite set is finite.  (Contributed by
     Alexander van der Vekens, 3-Feb-2018.) $)
  resfnfinfin $p |- ( ( F Fn A /\ B e. Fin ) -> ( F |` B ) e. Fin ) $=
    ( wfn cfn wcel wa cres cdm cin wrel wceq fnrel adantr resindm eqcomd syl wi
    fnfun funfnd fnresin2 infi fnfi sylan2 ex 3syl imp eqeltrd ) CADZBEFZGZCBHZ
    CBCIZJZHZEUKCKZULUOLUIUPUJACMNUPUOULCBOPQUIUJUOEFZUICUMDUOUNDZUJUQRUICACSTU
    MBCUAURUJUQUJURUNEFUQBUMUBUNUOUCUDUEUFUGUH $.

  $( A restricted identity function is finite iff the restricting class is
     finite.  (Contributed by AV, 10-Jan-2020.) $)
  residfi $p |- ( ( _I |` A ) e. Fin <-> A e. Fin ) $=
    ( cid cres cfn wcel cdm dmfi eqeltrrid wfn wfun funi funfn mpbi resfnfinfin
    dmresi mpan impbii ) BACZDEZADEZSARFDAORGHBBFZIZTSBJUBKBLMUAABNPQ $.

  $( Shorter proof of ~ cnvfi using ~ ax-pow .  (Contributed by Mario Carneiro,
     28-Dec-2014.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  cnvfiALT $p |- ( A e. Fin -> `' A e. Fin ) $=
    ( cfn wcel ccnv cen wbr wss cnvcnvss ssfi mpan2 relcnv cnvexg cnven sylancr
    wrel cvv enfii syl2anc ) ABCZADZDZBCZTUAEFZTBCSUAAGUBAHAUAIJSTOTPCUCAKABLTP
    MNTUAQR $.

  $( The range of a finite set is finite.  (Contributed by Mario Carneiro,
     28-Dec-2014.) $)
  rnfi $p |- ( A e. Fin -> ran A e. Fin ) $=
    ( cfn wcel crn ccnv cdm df-rn cnvfi dmfi syl eqeltrid ) ABCZADAEZFZBAGLMBCN
    BCAHMIJK $.

  $( A one-to-one function whose domain is a set is finite if and only if its
     range is finite.  See also ~ f1vrnfibi .  (Contributed by AV,
     10-Jan-2020.) $)
  f1dmvrnfibi $p |- ( ( A e. V /\ F : A -1-1-> B )
                      -> ( F e. Fin <-> ran F e. Fin ) ) $=
    ( wcel wf1 wa cfn crn rnfi cdm cen wbr simpr wf1o wceq wi f1dm wb syl eleq1
    f1f1orn f1oeq2 anbi12d eqcoms biimpd expcomd sylc impcom adantr f1oeng wfun
    enfii syl2anc f1fun ad2antlr fundmfibi mpbird ex impbid2 ) ADEZABCFZGZCHEZC
    IZHEZCJVCVFVDVCVFGZVDCKZHEZVGVFVHVELMZVIVCVFNVGVHDEZVHVECOZGZVJVCVMVFVBVAVM
    VBVHAPZAVECOZVAVMQABCRABCUBVNVAVOVMVNVAVOGZVMVPVMSAVHAVHPVAVKVOVLAVHDUAAVHV
    ECUCUDUEUFUGUHUIUJVHVEDCUKTVHVEUMUNVGCULZVDVISVBVQVAVFABCUOUPCUQTURUSUT $.

  $( A one-to-one function which is a set is finite if and only if its range is
     finite.  See also ~ f1dmvrnfibi .  (Contributed by AV, 10-Jan-2020.) $)
  f1vrnfibi $p |- ( ( F e. V /\ F : A -1-1-> B )
                   -> ( F e. Fin <-> ran F e. Fin ) ) $=
    ( wcel wf1 cvv cfn crn wb cdm wceq wi dmexg eleq1 eqcoms syl5ibr syl impcom
    f1dm f1dmvrnfibi sylancom ) CDEZABCFZAGEZCHECIHEJUDUCUEUDCKZALZUCUEMABCTUCU
    EUGUFGEZCDNUEUHJAUFAUFGOPQRSABCGUAUB $.

  ${
    $d w x y z A $.  $d w y z B $.
    $( If a function has a finite domain, its range is finite.  Theorem 37 of
       [Suppes] p. 104.  (Contributed by NM, 25-Mar-2007.) $)
    fofi $p |- ( ( A e. Fin /\ F : A -onto-> B ) -> B e. Fin ) $=
      ( cfn wcel wfo cdom wbr fodomfi domfi syldan ) ADEABCFBAGHBDEABCIABJK $.

    $( If a 1-to-1 function has a finite codomain its domain is finite.
       (Contributed by FL, 31-Jul-2009.)  (Revised by Mario Carneiro,
       24-Jun-2015.) $)
    f1fi $p |- ( ( B e. Fin /\ F : A -1-1-> B ) -> A e. Fin ) $=
      ( cfn wcel wf1 wa crn ccnv wfo wss frnd ssfi sylan2 f1f1orn adantl f1ocnv
      f1f wf1o f1ofo 3syl fofi syl2anc ) BDEZABCFZGZCHZDEZUGACIZJZADEUEUDUGBKUH
      UEABCABCRLBUGMNUFAUGCSZUGAUISUJUEUKUDABCOPAUGCQUGAUITUAUGAUIUBUC $.

    $( The finite union of finite sets is finite.  Exercise 13 of [Enderton]
       p. 144.  This is the indexed union version of ~ unifi .  Note that ` B `
       depends on ` x ` , i.e. can be thought of as ` B ( x ) ` .  (Contributed
       by NM, 23-Mar-2006.)  (Proof shortened by Mario Carneiro,
       31-Aug-2015.) $)
    iunfi $p |- ( ( A e. Fin /\ A. x e. A B e. Fin )
        -> U_ x e. A B e. Fin ) $=
      ( vw vy vz cfn wcel wral ciun cv wi c0 cun wceq iuneq1 eleq1d imbi12d a1i
      raleq csn 0iun eqtrdi wss ssun1 ssralv ax-mp imim1i wa iunxun csb nfcsb1v
      0fin nfcv csbeq1a cbviun vex csbeq1 iunxsn eqtri ssun2 vsnid sselii nfel1
      rspc eqeltrid unfi sylan2 expcom sylcom findcard2 imp ) BGHCGHZABIZABCJZG
      HZVMADKZIZAVQCJZGHZLVMAMIZMGHZLVMAEKZIZAWCCJZGHZLZVMAWCFKZUAZNZIZAWJCJZGH
      ZLZVNVPLDEFBVQMOZVRWAVTWBVMAVQMTWOVSMGWOVSAMCJMAVQMCPACUBUCQRVQWCOZVRWDVT
      WFVMAVQWCTWPVSWEGAVQWCCPQRVQWJOZVRWKVTWMVMAVQWJTWQVSWLGAVQWJCPQRVQBOZVRVN
      VTVPVMAVQBTWRVSVOGAVQBCPQRWBWAUMSWGWNLWCGHWGWKWFWMWKWDWFWCWJUDWKWDLWCWIUE
      VMAWCWJUFUGUHWFWKWMWFWKUIWLWEAWICJZNZGAWCWICUJWKWFWSGHWTGHWKWSAWHCUKZGWSE
      WIAWCCUKZJXAAEWICXBECUNAWCCULAWCCUOUPEWHXBXAFUQAWCWHCURUSUTWHWJHWKXAGHZLW
      IWJWHWIWCVAFVBVCVMXCAWHWJAXAGAWHCULVDAKWHOCXAGAWHCUOQVEUGVFWEWSVGVHVFVIVJ
      SVKVL $.

    $( The finite union of finite sets is finite.  Exercise 13 of [Enderton]
       p. 144.  (Contributed by NM, 22-Aug-2008.)  (Revised by Mario Carneiro,
       31-Aug-2015.) $)
    unifi $p |- ( ( A e. Fin /\ A C_ Fin ) -> U. A e. Fin ) $=
      ( vx cfn wss wcel cv wral cuni dfss3 ciun uniiun iunfi eqeltrid sylan2b
      wa ) ACDACEZBFZCEBAGZAHZCEBACIPROSBAQJCBAKBAQLMN $.

    $( The finite union of finite sets is finite.  Exercise 13 of [Enderton]
       p. 144.  This version of ~ unifi is useful only if we assume the Axiom
       of Infinity (see comments in ~ fin2inf ).  (Contributed by NM,
       11-Mar-2006.) $)
    unifi2 $p |- ( ( A ~< _om /\ A. x e. A x ~< _om ) -> U. A ~< _om ) $=
      ( com csdm wbr cv wral wa cuni cfn wcel wss isfinite2 ralimi dfss3 sylibr
      unifi syl2an cvv wb fin2inf adantr isfiniteg syl mpbid ) BCDEZAFZCDEZABGZ
      HZBIZJKZUKCDEZUFBJKBJLZULUIBMUIUGJKZABGUNUHUOABUGMNABJOPBQRUJCSKZULUMTUFU
      PUIBUAUBUKUCUDUE $.
  $}

  ${
    $d A x $.  $d B x $.
    $( If an infinite set ` A ` is included in the underlying set of a finite
       cover ` B ` , then there exists a set of the cover that contains an
       infinite number of element of ` A ` .  (Contributed by FL,
       2-Aug-2009.) $)
    infssuni $p |- ( ( -. A e. Fin /\ B e. Fin /\ A C_ U. B )
        -> E. x e. B -. ( A i^i x ) e. Fin ) $=
      ( cfn wcel wn cuni wss w3a cv cin wrex wral dfral2 wi wa ciun iunfi sylbi
      eleq1i iunin2 uniiun eqcomi ineq2i df-ss eleq1 pm2.24 syl6bi com12 syl ex
      wceq com24 3imp21 syl5bir pm2.18d ) BDEZFZCDEZBCGZHZIZBAJZKZDEZFACLZVFFVE
      ACMZVBVFVEACNUSURVAVGVFOUSVGVAURVFUSVGVAURVFOZOZUSVGPACVDQZDEZVIACVDRVKBA
      CVCQZKZDEZVIVJVMDACBVCUATVNBUTKZDEZVIVMVODVLUTBUTVLACUBUCUDTVAVPVHVAVOBUL
      ZVPVHOBUTUEVQVPUQVHVOBDUFUQVFUGUHSUISSUJUKUMUNUOUP $.
  $}

  ${
    unirnffid.1 $e |- ( ph -> F : T --> Fin ) $.
    unirnffid.2 $e |- ( ph -> T e. Fin ) $.
    $( The union of the range of a function from a finite set into the class of
       finite sets is finite.  Deduction form.  (Contributed by David Moews,
       1-May-2017.) $)
    unirnffid $p |- ( ph -> U. ran F e. Fin ) $=
      ( crn cfn wcel wss cuni wfn ffnd fnfi syl2anc rnfi syl frnd unifi ) ACFZG
      HZSGISJGHACGHZTACBKBGHUAABGCDLEBCMNCOPABGCDQSRN $.
  $}

  $( Shorter proof of ~ imafi using ~ ax-pow .  (Contributed by Stefan O'Rear,
     22-Feb-2015.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  imafiALT $p |- ( ( Fun F /\ X e. Fin ) -> ( F " X ) e. Fin ) $=
    ( wfun cfn wcel wa cima cres cdm imadmres wfo wss simpr dmres inss1 eqsstri
    cin ssfi sylancl resss dmss mp1i fores syldan fofi syl2anc eqeltrrid ) ACZB
    DEZFZABGAABHZIZGZDABJUJULDEZULUMAULHZKZUMDEUJUIULBLUNUHUIMULBAIZQBABNBUQOPB
    ULRSUHUIULUQLZUPUKALURUJABTUKAUAUBULAUCUDULUMUOUEUFUG $.

  ${
    $d d F $.  $d c d b $.  $d c d x $.
    pwfilemOLD.1 $e |- F = ( c e. ~P b |-> ( c u. { x } ) ) $.
    $( Obsolete version of ~ pwfilem as of 7-Sep-2024.  (Contributed by NM,
       26-Mar-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    pwfilemOLD $p |- ( ~P b e. Fin ->
                    ~P ( b u. { x } ) e. Fin ) $=
      ( vd cv cpw cfn wcel csn cun cdif cdom wbr domfi wss wceq sylib syl2anc
      pwundif crn wfo wfn vex snex unex fnmpti dffn4 fodomfi mpan2 mpdan eldifi
      mpbi elpwun undif1 elpwunsn snssd ssequn2 eqtr2id uneq1 rspceeqv elrnmpti
      wrex sylibr ssriv ssdomg mpisyl unfi mpancom eqeltrid ) CGZHZIJZVLAGZKZLH
      ZVQVMMZVMLZIVLVPUAVRIJZVNVSIJVNBUBZIJZVRWANOZVTVNWAVMNOZWBVNVMWABUCZWDBVM
      UDWEDVMDGZVPLZBWFVPDUEVOUFZUGZEUHVMBUIUNVMWABUJUKVMWAPULZVNWBVRWAQWCWJFVR
      WAFGZVRJZWKWGRDVMVDZWKWAJWLWKVPMZVMJZWKWNVPLZRWMWLWKVQJWOWKVQVMUMWKVLVPWH
      UOSWLWPWKVPLZWKWKVPUPWLVPWKQWQWKRWLVOWKWKVLVOUQURVPWKUSSUTDWNVMWGWPWKWFWN
      VPVAVBTDVMWGWKBEWIVCVEVFVRWAIVGVHWAVRPTVRVMVIVJVK $.
  $}

  ${
    $d m A $.  $d c k m $.
    $( Obsolete version of ~ pwfi as of 7-Sep-2024.  (Contributed by NM,
       26-Mar-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    pwfiOLD $p |- ( A e. Fin <-> ~P A e. Fin ) $=
      ( vm vk vc cfn wcel cpw cen wbr com wrex csn cun wceq pweq eleq1d c1o cvv
      cv c0 isfi csuc df-suc pweqi eqtrdi pw0 df1o2 eqtr4i wss 1onn ssid ssnnfi
      mp2an eqeltri wi cmpt eqid pwfilem a1i finds1 pwen enfii syl2an rexlimiva
      sylbi cdom csdm pwexr canth2g sdomdom 3syl domfi mpdan impbii ) AEFZAGZEF
      ZVOABSZHIZBJKVQBAUAVSVQBJVRJFVRGZEFZVPVTHIVQVSWATGZEFCSZGZEFZWCWCLZMZGZEF
      ZBCVRTNVTWBEVRTOPVRWCNVTWDEVRWCOPVRWCUBZNZVTWHEWKVTWJGWHVRWJOWJWGWCUCUDUE
      PWBQEWBTLQUFUGUHQJFQQUIQEFUJQUKQQULUMUNWEWIUOWCJFCDWDDSWFMUPZCDWLUQURUSUT
      AVRVAVPVTVBVCVDVEVQAVPVFIZVOVQARFAVPVGIWMAEVHARVIAVPVJVKVPAVLVMVN $.
  $}

  $( Set exponentiation of finite sets is finite.  (Contributed by Jeff Madsen,
     19-Jun-2011.) $)
  mapfi $p |- ( ( A e. Fin /\ B e. Fin ) -> ( A ^m B ) e. Fin ) $=
    ( cfn wcel wa cxp cpw cmap wss xpfi ancoms pwfi sylib mapsspw ssfi sylancl
    co ) ACDZBCDZEZBAFZGZCDZABHQZUBIUDCDTUACDZUCSRUEBAJKUALMABNUBUDOP $.

  ${
    $d A x $.
    $( A Cartesian product of finitely many finite sets is finite.
       (Contributed by Jeff Madsen, 19-Jun-2011.) $)
    ixpfi $p |- ( ( A e. Fin /\ A. x e. A B e. Fin ) -> X_ x e. A B e. Fin ) $=
      ( cfn wcel wral wa ciun cmap co cixp iunfi simpl mapfi syl2anc ixpssmap2g
      wss syl ssfid ) BDEZCDEABFZGZABCHZBIJZABCKZUBUCDEZTUDDEABCLZTUAMUCBNOUBUF
      UEUDQUGABCDPRS $.
  $}

  ${
    $d f g x A $.  $d f g B $.  $d f g x C $.  $d f g x ph $.
    ixpfi2.1 $e |- ( ph -> C e. Fin ) $.
    ixpfi2.2 $e |- ( ( ph /\ x e. A ) -> B e. Fin ) $.
    ixpfi2.3 $e |- ( ( ph /\ x e. ( A \ C ) ) -> B C_ { D } ) $.
    $( A Cartesian product of finite sets such that all but finitely many are
       singletons is finite.  (Note that ` B ( x ) ` and ` D ( x ) ` are both
       possibly dependent on ` x ` .)  (Contributed by Mario Carneiro,
       25-Jan-2015.) $)
    ixpfi2 $p |- ( ph -> X_ x e. A B e. Fin ) $=
      ( vf vg cfn wcel cv wral syl2anc wa wceq cfv wfn cin cixp cres cmpt inss2
      wf1 wss ssfi sylancl inss1 ralrimiva ssralv mpsyl ixpfi wi resixp mpan wb
      a1i cdif simprl vex elixp sylib simprd simprr difss ax-mp csn sseld elsni
      r19.26 syl6 anim12d eqtr3 ralimdva adantr syl5bir mp2and biantrud eqeq12d
      syl5 fvres ralbiia cun inundif raleqi ralunb bitr3i 3bitr4g simpld eqfnfv
      fnssres 3bitr4d ex dom2lem f1fi ) ABCEUAZDUBZLMZBCDUBZWSJXAJNZWRUCZUDZUFX
      ALMAWRLMZDLMZBWROZWTAELMWREUGXEGCEUEEWRUHUIWRCUGZAXFBCOXGCEUJZAXFBCHUKXFB
      WRCULUMBWRDUNPAJKXAWSXCKNZWRUCZXBXAMZXCWSMZUOAXHXLXMXIBCWRDXBUPUQUSAXLXJX
      AMZQZXCXKRZXBXJRZURAXOQZBNZXCSZXSXKSZRZBWROZXSXBSZXSXJSZRZBCOZXPXQXRYFBWR
      OZYHYFBCEUTZOZQZYCYGXRYJYHXRYDDMZBCOZYEDMZBCOZYJXRXBCTZYMXRXLYPYMQAXLXNVA
      BCDXBJVBVCVDZVEXRXJCTZYOXRXNYRYOQAXLXNVFBCDXJKVBVCVDZVEYMYOQYLYNQZBCOZXRY
      JYLYNBCVLUUAYTBYIOZXRYJYICUGUUAUUBUOCEVGYTBYICULVHAUUBYJUOXOAYTYFBYIAXSYI
      MQZYTYDFRZYEFRZQYFUUCYLUUDYNUUEUUCYLYDFVIZMUUDUUCDUUFYDIVJYDFVKVMUUCYNYEU
      UFMUUEUUCDUUFYEIVJYEFVKVMVNYDYEFVOVMVPVQWBVRVSVTYBYFBWRXSWRMXTYDYAYEXSWRX
      BWCXSWRXJWCWAWDYGYFBWRYIWEZOYKYFBUUGCCEWFWGYFBWRYIWHWIWJXRXCWRTZXKWRTZXPY
      CURXRYPXHUUHXRYPYMYQWKZXICWRXBWMUIXRYRXHUUIXRYRYOYSWKZXICWRXJWMUIBWRXCXKW
      LPXRYPYRXQYGURUUJUUKBCXBXJWLPWNWOWPXAWSXDWQP $.
  $}

  ${
    $d A x y $.  $d B y $.
    $( A finite mapping set is finite.  (Contributed by Mario Carneiro,
       31-Aug-2015.) $)
    mptfi $p |- ( A e. Fin -> ( x e. A |-> B ) e. Fin ) $=
      ( cfn wcel cmpt cdm wfn wfun funmpt funfn mpbi wss eqid dmmptss ssfi fnfi
      mpan2 sylancr ) BDEZABCFZUAGZHZUBDEZUADEUAIUCABCJUAKLTUBBMUDABCUAUANOBUBP
      RUBUAQS $.

    $( An image set from a finite set is finite.  (Contributed by Mario
       Carneiro, 13-Feb-2014.) $)
    abrexfi $p |- ( A e. Fin -> { y | E. x e. A y = B } e. Fin ) $=
      ( cfn wcel cv wceq wrex cab cmpt crn eqid rnmpt mptfi rnfi syl eqeltrrid
      ) CEFZBGDHACIBJACDKZLZEABCDTTMNSTEFUAEFACDOTPQR $.
  $}

  ${
    $d p N $.
    cnvimamptfin.n $e |- ( ph -> N e. Fin ) $.
    $( A preimage of a mapping with a finite domain under any class is finite.
       In contrast to ~ fisuppfi , the range of the mapping needs not to be
       known.  (Contributed by AV, 21-Dec-2018.) $)
    cnvimamptfin $p |- ( ph -> ( `' ( p e. N |-> X ) " Y ) e. Fin ) $=
      ( cfn wcel cmpt ccnv cima wss cnvimass eqid dmmptss sstri ssfi sylancl
      cdm ) ABGHEBCIZJDKZBLUAGHFUATSBTDMEBCTTNOPBUAQR $.
  $}

  $( Membership in a class of finite subsets.  (Contributed by Stefan O'Rear,
     4-Apr-2015.)  (Revised by Mario Carneiro, 22-Aug-2015.) $)
  elfpw $p |- ( A e. ( ~P B i^i Fin ) <-> ( A C_ B /\ A e. Fin ) ) $=
    ( cpw cfn cin wcel wa wss elin elpwg pm5.32ri bitri ) ABCZDEFAMFZADFZGABHZO
    GAMDIONPABDJKL $.

  ${
    $d a b A $.  $d a b B $.  $d a b F $.
    $( A set is the union of its finite subsets.  (Contributed by Stefan
       O'Rear, 2-Apr-2015.) $)
    unifpw $p |- U. ( ~P A i^i Fin ) = A $=
      ( va cpw cfn cin cuni cv inss1 unissi unipw sseqtri sseli csn wss snelpwi
      wcel snfi a1i elind elssuni syl snidg sseldd impbii eqriv ) BACZDEZFZABGZ
      UHPUIAPZUHAUIUHUFFAUGUFUFDHIAJKLUJUIMZUHUIUJUKUGPUKUHNUJUFDUKUIAOUKDPUJUI
      QRSUKUGTUAUIAUBUCUDUE $.

    $( A one-to-one mapping induces a one-to-one mapping on finite subsets.
       (Contributed by Mario Carneiro, 25-Jan-2015.) $)
    f1opwfi $p |- ( F : A -1-1-onto-> B ->
      ( b e. ( ~P A i^i Fin ) |-> ( F " b ) ) :
        ( ~P A i^i Fin ) -1-1-onto-> ( ~P B i^i Fin ) ) $=
      ( va wf1o cpw cfn cin cv cima wcel wa cres wfo wss syl adantl wceq adantr
      ccnv cmpt eqid simpr elin2d cdm f1ofun elinel1 elpwi f1odm sseqtrrd fores
      wfun syl2an2r fofi syl2anc imassrn f1ofo forn sseqtrid elpwd elind dff1o3
      crn simprbi f1ocnv dfdm4 eqtr3id wb anim12i foimacnv syl2an eqcomd imaeq2
      eqeq2d syl5ibrcom wf1 f1of1 f1imacnv impbid sylan2 f1o2d ) ABCFZDEAGZHIZB
      GZHIZCDJZKZCUAZEJZKZDWEWIUBZWMUCWCWHWELZMZWFHWIWOWIBHWOWHHLWHWICWHNZOZWIH
      LWOWDHWHWCWNUDUEWCCUMWNWHCUFZPWQABCUGWOWHAWRWNWHAPZWCWNWHWDLZWSWHWDHUHZWH
      AUIZQRWCWRASWNABCUJZTUKWHCULUNWHWIWPUOUPZWCWIBPWNWCCVDZWIBCWHUQWCABCOZXEB
      SABCURZABCUSQUTTVAXDVBWCWKWGLZMZWDHWLXIWLAHXIWKHLWKWLWJWKNZOZWLHLXIWFHWKW
      CXHUDUEWCWJUMZXHWKWJUFZPXKWCXFXLABCVCVEXIWKBXMXIWKWFLZWKBPZXHXNWCWKWFHUHZ
      RWKBUIZQXIBAWJFZXMBSWCXRXHABCVFTBAWJUJQUKWKWJULUNWKWLXJUOUPZWCWLAPXHWCWJV
      DZWLAWJWKUQWCXTWRACVGXCVHUTTVAXSVBWNXHMWCWTXNMZWHWLSZWKWISZVIWNWTXHXNXAXP
      VJWCYAMZYBYCYDYCYBWKCWLKZSYDYEWKWCXFXOYEWKSYAXGXNXOWTXQRABWKCVKVLVMYBWIYE
      WKWHWLCVNVOVPYDYBYCWHWJWIKZSYDYFWHWCABCVQWSYFWHSYAABCVRWTWSXNXBTABWHCVSVL
      VMYCWLYFWHWKWIWJVNVOVPVTWAWB $.
  $}

  ${
    $d A c f $.  $d A x $.  $d B c f $.  $d B x z $.  $d f x z $.
    $( A finite subset of a union is covered by finitely many elements.
       (Contributed by Stefan O'Rear, 2-Apr-2015.) $)
    fissuni $p |- ( ( A C_ U. B /\ A e. Fin ) ->
        E. c e. ( ~P B i^i Fin ) A C_ U. c ) $=
      ( vf vx vz cuni wss cfn wcel wa cv wral simpr dfss3 adantr syl2anc sylibr
      wrex ad2antrl cfv cpw cin wel wex eluni2 ralbii sylbb eleq2 ac6sfi fimass
      wf cima vex imaex elpw wfun ffun simplr imafi elind wfn ffn ssidd fnfvima
      syl3anc elssuni syl sseld ralimdva imp adantl wceq sseq2d rspcev exlimddv
      unieq ) ABGZHZAIJZKZABDLZULZELZWDWBUAZJZEAMZKZACLZGZHZCBUBZIUCZSZDWAVTEFU
      DZFBSZEAMZWHDUEVSVTNVSWQVTVSWDVRJZEAMWQEAVROWRWPEAFWDBUFUGUHPWOWFEFABDFLW
      EWDUIUJQWAWHKZWBAUMZWMJAWTGZHZWNWSWLIWTWCWTWLJZWAWGWCWTBHXCABWBAUKWTBWBAD
      UNUOUPRTWSWBUQZVTWTIJWCXDWAWGABWBURTVSVTWHUSWBAUTQVAWHXBWAWHWDXAJZEAMZXBW
      CWGXFWCWFXEEAWCWDAJZKZWEXAWDXHWEWTJZWEXAHXHWBAVBZAAHXGXIWCXJXGABWBVCPXHAV
      DWCXGNAAWBWDVEVFWEWTVGVHVIVJVKEAXAORVLWKXBCWTWMWIWTVMWJXAAWIWTVQVNVOQVP
      $.
  $}

  ${
    $d A c f $.  $d A x $.  $d B c f $.  $d B x y $.  $d F c f $.  $d F x y $.
    $d f x y $.
    $( Given a finite subset ` A ` of the range of a function, there exists a
       finite subset of the domain whose image is ` A ` .  (Contributed by Jeff
       Madsen, 2-Sep-2009.)  (Revised by Stefan O'Rear, 22-Feb-2015.) $)
    fipreima $p |- ( ( F Fn B /\ A C_ ran F /\ A e. Fin ) ->
        E. c e. ( ~P B i^i Fin ) ( F " c ) = A ) $=
      ( vf vx vy wfn crn wss cfn wcel cv cfv wceq wral wa cima syl2anc ad2antrl
      w3a wf cpw cin wrex wex simp3 dfss3 fvelrnb ralbidv syl5bb biimpa 3adant3
      fveqeq2 ac6sfi fimass imaex elpw sylibr wfun ffun simpl3 imafi elind ccom
      vex cid cres fvco3 fvresi adantl eqeq12d ralbidva biimprd impr simpl1 ffn
      wi wb frn fnco syl3anc fnresi eqfnfv sylancl mpbird imaeq1d imaco resiima
      ssid ax-mp 3eqtr3g imaeq2 eqeq1d rspcev exlimddv ) CBHZACIZJZAKLZUAZABEMZ
      UBZFMZXBNZCNZXDOZFAPZQZCDMZRZAOZDBUCZKUDZUEZEXAWTGMZCNXDOZGBUEZFAPZXIEUFW
      QWSWTUGWQWSXSWTWQWSXSWSXDWRLZFAPWQXSFAWRUHWQXTXRFAGBXDCUIUJUKULUMXQXGFGAB
      EXPXEXDCUNUOSXAXIQZXBARZXNLCYBRZAOZXOYAXMKYBXCYBXMLZXAXHXCYBBJYEABXBAUPYB
      BXBAEVFUQURUSTYAXBUTZWTYBKLXCYFXAXHABXBVATWQWSWTXIVBXBAVCSVDYACXBVEZARVGA
      VHZARZYCAYAYGYHAYAYGYHOZXDYGNZXDYHNZOZFAPZXAXCXHYNXCXHYNVRXAXCYNXHXCYMXGF
      AXCXDALZQYKXFYLXDABXDCXBVIYOYLXDOXCAXDVJVKVLVMVNVKVOYAYGAHZYHAHYJYNVSYAWQ
      XBAHZXBIBJZYPWQWSWTXIVPXCYQXAXHABXBVQTXCYRXAXHABXBVTTBACXBWAWBAWCFAYGYHWD
      WEWFWGCXBAWHAAJYIAOAWJAAWIWKWLXLYDDYBXNXJYBOXKYCAXJYBCWMWNWOSWP $.
  $}

  ${
    $d a b c u w z A $.  $d a b c z B $.
    $( A finite subset of the union of a superset chain is a subset of some
       element of the chain.  A useful preliminary result for ~ alexsub and
       others.  (Contributed by Jeff Hankins, 25-Jan-2010.)  (Proof shortened
       by Mario Carneiro, 11-Feb-2015.)  (Revised by Mario Carneiro,
       18-May-2015.) $)
    finsschain $p |- ( ( ( A =/= (/) /\ [C.] Or A ) /\
        ( B e. Fin /\ B C_ U. A ) ) -> E. z e. A B C_ z ) $=
      ( va vb vc vw vu c0 wa wcel wss cv wrex wceq sseq1 rexbidv imbi12d imbi2d
      wi wne crpss wor cfn cuni csn cun wral 0ss rgenw r19.2z adantr a1d unssad
      mpan2 id imim1i sseq2 cbvrexvw simpr unssbd vex snss sylibr eluni2 reeanv
      sylib simpllr simprlr simprll simprrr simprrl snssd unss12 syl2anc rspcev
      sorpssun syl12anc expr rexlimdvva syl5bir mpand syl5bi a2d syl5 findcard2
      ex a2i a1i com12 imp32 ) BIUAZBUBUCZJZCUDKZCBUEZLZCAMZLZABNZWOWNWQWTTZWND
      MZWPLZXBWRLZABNZTZTWNIWPLZIWRLZABNZTZTWNEMZWPLZXKWRLZABNZTZTZWNXKFMZUFZUG
      ZWPLZXSWRLZABNZTZTZWNXATDEFCXBIOZXFXJWNYEXCXGXEXIXBIWPPYEXDXHABXBIWRPQRSX
      BXKOZXFXOWNYFXCXLXEXNXBXKWPPYFXDXMABXBXKWRPQRSXBXSOZXFYCWNYGXCXTXEYBXBXSW
      PPYGXDYAABXBXSWRPQRSXBCOZXFXAWNYHXCWQXEWTXBCWPPYHXDWSABXBCWRPQRSWNXIXGWLX
      IWMWLXHABUHXIXHABWRUIUJXHABUKUOULUMXPYDTXKUDKWNXOYCXOXTXNTWNYCXTXLXNXTXKX
      RWPXTUPUNUQWNXTXNYBWNXTXNYBTXNXKGMZLZGBNZWNXTJZYBXMYJAGBWRYIXKURUSYLXQHMZ
      KZHBNZYKYBYLXQWPKZYOYLXRWPLYPYLXKXRWPWNXTUTVAXQWPFVBVCVDHXQBVEVGYOYKJYNYJ
      JZGBNHBNYLYBYNYJHGBBVFYLYQYBHGBBYLYMBKZYIBKZJZYQYBYLYTYQJZJZYIYMUGZBKZXSU
      UCLZYBUUBWMYSYRUUDWLWMXTUUAVHYLYRYSYQVIYLYRYSYQVJBYIYMVQVRUUBYJXRYMLUUEYL
      YTYNYJVKUUBXQYMYLYTYNYJVLVMXKYIXRYMVNVOYAUUEAUUCBWRUUCXSURVPVOVSVTWAWBWCW
      GWDWEWHWIWFWJWK $.
  $}

  ${
    $d c f w x y z A $.  $d c f w x y z B $.  $d c f w z ph $.
    $( If for every element of a finite indexing set ` A ` there exists a
       corresponding element of another set ` B ` , then there exists a finite
       subset of ` B ` consisting only of those elements which are indexed by
       ` A ` .  Proven without the Axiom of Choice, unlike ~ indexdom .
       (Contributed by Jeff Madsen, 2-Sep-2009.)  (Proof shortened by Mario
       Carneiro, 12-Sep-2015.) $)
    indexfi $p |- ( ( A e. Fin /\ B e. M /\ A. x e. A E. y e. B ph ) ->
                E. c e. Fin ( c C_ B /\ A. x e. A E. y e. c ph /\
                                                A. y e. c E. x e. A ph ) ) $=
      ( vf vz vw cfn wcel wrex wral cv wss w3a wa wsbc nfv wf cfv ralbii dfsbcq
      wex nfsbc1v sbceq1a cbvrexw ac6sfi sylan2b crn wfo wfn ffn ad2antrl dffn4
      simpll sylib fofi syl2anc frn wi fnfvelrn sylan rspesbca syl ralimdva imp
      ex adantl simpr simprr weq fveq2 sbceq1d bitrd cbvralw r19.21bi ralrimiva
      wceq rexbidv ralrn mpbird nfcv nfrex sylibr sseq1 rexeq ralbidv 3anbi123d
      wb raleq rspcev syl13anc exlimddv 3adant2 ) DKLZACEMZBDNZGOZEPZACWTMZBDNZ
      ABDMZCWTNZQZGKMZEFLWQWSRZDEHOZUAZACBOZXIUBZSZBDNZRZXGHWSWQACIOZSZIEMZBDNX
      OHUEWRXRBDAXQCIEAITACXPUFZACXPUGZUHUCXQXMBIDEHACXPXLUDUIUJXHXORZXIUKZKLZY
      BEPZACYBMZBDNZXDCYBNZXGYAWQDYBXIULZYCWQWSXOUQYAXIDUMZYHXJYIXHXNDEXIUNZUOZ
      DXIUPURDYBXIUSUTXJYDXHXNDEXIVAUOXOYFXHXJXNYFXJXMYEBDXJXKDLZRXLYBLZXMYEVBX
      JYIYLYMYJDXKXIVCVDYMXMYEACXLYBVEVIVFVGVHVJYAXQBDMZIYBNZYGYAYOACJOZXIUBZSZ
      BDMZJDNZYAYSJDYAYPDLZRUUAYRBYPSZYSYAUUAVKYAUUBJDYAXNUUBJDNXHXJXNVLXMUUBBJ
      DXMJTYRBYPUFBJVMZXMYRUUBUUCACXLYQXKYPXIVNVOYRBYPUGVPVQURVRYRBYPDVEUTVSYAY
      IYOYTWKYKYNYSIJDXIXPYQVTXQYRBDACXPYQUDWAWBVFWCXDYNCIYBXDITXQCBDCDWDXSWECI
      VMAXQBDXTWAVQWFXFYDYFYGQGYBKWTYBVTZXAYDXCYFXEYGWTYBEWGUUDXBYEBDACWTYBWHWI
      XDCWTYBWLWJWMWNWOWP $.
    $( $j usage 'indexfi' avoids 'ax-ac' 'ax-ac2'; $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Finitely supported functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c finSupp $.  $( Class for predicate "finitely supported function". $)

  $( Extend class definition to include the predicate to be a finitely
     supported function. $)
  cfsupp $a class finSupp $.

  ${
    $d r z $.
    $( Define the property of a function to be finitely supported (in relation
       to a given zero).  (Contributed by AV, 23-May-2019.) $)
    df-fsupp $a |- finSupp
                   = { <. r , z >. | ( Fun r /\ ( r supp z ) e. Fin ) } $.

    $( The property of a function to be finitely supported is a relation.
       (Contributed by AV, 7-Jun-2019.) $)
    relfsupp $p |- Rel finSupp $=
      ( vr vz cv wfun csupp co cfn wcel wa cfsupp df-fsupp relopabiv ) ACZDMBCE
      FGHIABJBAKL $.
  $}

  $( A proper class is never finitely supported.  (Contributed by AV,
     7-Jun-2019.) $)
  relprcnfsupp $p |- ( -. A e. _V -> -. A finSupp Z ) $=
    ( cfsupp wbr cvv wcel relfsupp brrelex1i con3i ) ABCDAEFABCGHI $.

  ${
    $d R r z $.  $d Z r z $.
    $( The property of a class to be a finitely supported function (in relation
       to a given zero).  (Contributed by AV, 23-May-2019.) $)
    isfsupp $p |- ( ( R e. V /\ Z e. W ) -> ( R finSupp Z
                                    <-> ( Fun R /\ ( R supp Z ) e. Fin ) ) ) $=
      ( vr vz cv wfun csupp co cfn wcel wa cfsupp wb funeq adantr oveq12 eleq1d
      wceq anbi12d df-fsupp brabga ) EGZHZUDFGZIJZKLZMAHZADIJZKLZMEFADNBCUDATZU
      FDTZMZUEUIUHUKULUEUIOUMUDAPQUNUGUJKUDAUFDIRSUAFEUBUC $.
  $}

  $( The property of a function to be finitely supported (in relation to a
     given zero).  (Contributed by AV, 23-May-2019.) $)
  funisfsupp $p |- ( ( Fun R /\ R e. V /\ Z e. W )
                     -> ( R finSupp Z <-> ( R supp Z ) e. Fin ) ) $=
    ( wfun wcel w3a cfsupp wbr csupp co cfn wa wb isfsupp 3adant1 ibar 3ad2ant1
    bicomd bitrd ) AEZABFZDCFZGADHIZUAADJKLFZMZUEUBUCUDUFNUAABCDOPUAUBUFUENUCUA
    UEUFUAUEQSRT $.

  $( Implications of a class being a finitely supported function (in relation
     to a given zero).  (Contributed by AV, 26-May-2019.) $)
  fsuppimp $p |- ( R finSupp Z -> ( Fun R /\ ( R supp Z ) e. Fin ) ) $=
    ( cvv wcel wa cfsupp wbr wfun csupp co cfn relfsupp brrelex12i biimpd mpcom
    isfsupp ) ACDBCDEZABFGZAHABIJKDEZABFLMQRSACCBPNO $.

  ${
    fsuppimpd.f $e |- ( ph -> F finSupp Z ) $.
    $( A finitely supported function is a function with a finite support.
       (Contributed by AV, 6-Jun-2019.) $)
    fsuppimpd $p |- ( ph -> ( F supp Z ) e. Fin ) $=
      ( cfsupp wbr csupp co cfn wcel wfun fsuppimp simprd syl ) ABCEFZBCGHIJZDO
      BKPBCLMN $.
  $}

  ${
    fisuppfi.1 $e |- ( ph -> A e. Fin ) $.
    fisuppfi.2 $e |- ( ph -> F : A --> B ) $.
    $( A function on a finite set is finitely supported.  (Contributed by Mario
       Carneiro, 20-Jun-2015.) $)
    fisuppfi $p |- ( ph -> ( `' F " C ) e. Fin ) $=
      ( ccnv cima cnvimass fssdm ssfid ) ABEHDIZFABCMEEDJGKL $.
  $}

  ${
    fdmfisuppfi.f $e |- ( ph -> F : D --> R ) $.
    fdmfisuppfi.d $e |- ( ph -> D e. Fin ) $.
    fdmfisuppfi.z $e |- ( ph -> Z e. V ) $.
    $( The support of a function with a finite domain is always finite.
       (Contributed by AV, 27-Apr-2019.) $)
    fdmfisuppfi $p |- ( ph -> ( F supp Z ) e. Fin ) $=
      ( csupp co ccnv cvv csn cdif cima cfn wcel wceq fexd suppimacnv fisuppfi
      syl2anc eqeltrd ) ADFJKZDLMFNOZPZQADMRFERUEUGSABCQDGHTIDMEFUAUCABCUFDHGUB
      UD $.

    $( A function with a finite domain is always finitely supported.
       (Contributed by AV, 25-May-2019.) $)
    fdmfifsupp $p |- ( ph -> F finSupp Z ) $=
      ( cfsupp wbr wfun csupp co cfn wcel ffund fdmfisuppfi cvv syl2anc wa ffnd
      wb wfn fnex isfsupp mpbir2and ) ADFJKZDLZDFMNOPZABCDGQABCDEFGHIRADSPZFEPU
      HUIUJUAUCADBUDBOPUKABCDGUBHBODUETIDSEFUFTUG $.
  $}

  ${
    $d A x $.  $d V x $.  $d ph x $.
    fsuppmptdm.f $e |- F = ( x e. A |-> Y ) $.
    fsuppmptdm.a $e |- ( ph -> A e. Fin ) $.
    fsuppmptdm.y $e |- ( ( ph /\ x e. A ) -> Y e. V ) $.
    fsuppmptdm.z $e |- ( ph -> Z e. W ) $.
    $( A mapping with a finite domain is finitely supported.  (Contributed by
       AV, 7-Jun-2019.) $)
    fsuppmptdm $p |- ( ph -> F finSupp Z ) $=
      ( fmptd fdmfifsupp ) ACEDFHABCGEDKIMJLN $.
  $}

  ${
    fndmfisuppfi.f $e |- ( ph -> F Fn D ) $.
    fndmfisuppfi.d $e |- ( ph -> D e. Fin ) $.
    fndmfisuppfi.z $e |- ( ph -> Z e. V ) $.
    $( The support of a function with a finite domain is always finite.
       (Contributed by AV, 25-May-2019.) $)
    fndmfisuppfi $p |- ( ph -> ( F supp Z ) e. Fin ) $=
      ( crn wfn wf dffn3 sylib fdmfisuppfi ) ABCIZCDEACBJBOCKFBCLMGHN $.

    $( A function with a finite domain is always finitely supported.
       (Contributed by AV, 25-May-2019.) $)
    fndmfifsupp $p |- ( ph -> F finSupp Z ) $=
      ( crn wfn wf dffn3 sylib fdmfifsupp ) ABCIZCDEACBJBOCKFBCLMGHN $.
  $}

  $( If two functions have the same support, one function is finitely supported
     iff the other one is finitely supported.  (Contributed by AV,
     30-Jun-2019.) $)
  suppeqfsuppbi $p |- ( ( ( F e. U /\ Fun F ) /\ ( G e. V /\ Fun G ) )
                        -> ( ( F supp Z ) = ( G supp Z )
                             -> ( F finSupp Z <-> G finSupp Z ) ) ) $=
    ( cvv wcel wa csupp co cfsupp wbr wb wi cfn simpl funisfsupp syl3anc adantr
    wfun simprlr simprll simpr adantl impcom eleq1 bicomd sylan9bb bitr4d exp31
    wceq ex wn relfsupp brrelex2i pm5.21ni 2a1d pm2.61i ) EFGZBAGZBTZHZCDGZCTZH
    ZHZBEIJZCEIJZUKZBEKLZCEKLZMZNNUSVFVIVLUSVFHZVIHVJVGOGZVKVMVJVNMZVIVMVAUTUSV
    OUSUTVAVEUAUSUTVAVEUBUSVFPBAFEQRSVMVKVHOGZVIVNVFUSVKVPMZVEUSVQNVBVEUSVQVEUS
    HVDVCUSVQVEVDUSVCVDUCSVEVCUSVCVDPSVEUSUCCDFEQRULUDUEVIVNVPVGVHOUFUGUHUIUJUS
    UMVLVFVIVJUSVKBEKUNUOCEKUNUOUPUQUR $.

  $( If the support of a function is a subset of a finite set, the function is
     finitely supported.  (Contributed by AV, 15-Jul-2019.) $)
  suppssfifsupp $p |- ( ( ( G e. V /\ Fun G /\ Z e. W )
                          /\ ( F e. Fin /\ ( G supp Z ) C_ F ) )
                        -> G finSupp Z ) $=
    ( wcel wfun w3a cfn csupp co wss wa cfsupp wbr ssfi adantl 3ancoma biimpi
    wb adantr funisfsupp syl mpbird ) BCFZBGZEDFZHZAIFBEJKZALMZMZBENOZUIIFZUJUM
    UHAUIPQUKUFUEUGHZULUMTUHUNUJUHUNUEUFUGRSUABCDEUBUCUD $.

  $( If the support of a function is a subset of the support of a finitely
     supported function, the function is finitely supported.  (Contributed by
     AV, 2-Jul-2019.)  (Proof shortened by AV, 15-Jul-2019.) $)
  fsuppsssupp $p |- ( ( ( G e. V /\ Fun G )
                        /\ ( F finSupp Z /\ ( G supp Z ) C_ ( F supp Z ) ) )
                      -> G finSupp Z ) $=
    ( wcel wfun wa cfsupp wbr csupp co wss cvv simpll simplr relfsupp brrelex2i
    cfn ad2antrl id fsuppimpd anim1i adantl suppssfifsupp syl31anc ) BCEZBFZGZA
    DHIZBDJKADJKZLZGZGUFUGDMEZUJREZUKGZBDHIUFUGULNUFUGULOUIUMUHUKADHPQSULUOUHUI
    UNUKUIADUITUAUBUCUJBCMDUDUE $.

  $( The cartesian product of two finitely supported functions is finite.
     (Contributed by AV, 17-Jul-2019.) $)
  fsuppxpfi $p |- ( ( F finSupp Z /\ G finSupp Z )
                    -> ( ( F supp Z ) X. ( G supp Z ) ) e. Fin ) $=
    ( cfsupp wbr csupp co cfn wcel cxp id fsuppimpd xpfi syl2an ) ACDEZACFGZHIB
    CFGZHIPQJHIBCDEZOACOKLRBCRKLPQMN $.

  ${
    fczfsuppd.b $e |- ( ph -> B e. V ) $.
    fczfsuppd.z $e |- ( ph -> Z e. W ) $.
    $( A constant function with value zero is finitely supported.  (Contributed
       by AV, 30-Jun-2019.) $)
    fczfsuppd $p |- ( ph -> ( B X. { Z } ) finSupp Z ) $=
      ( csn cxp cfsupp wbr wfun csupp co cfn wcel wfn fnconstg fnfun cvv c0 a1i
      3syl fczsupp0 0fin eqeltri wa wb xpexg sylancl isfsupp syl2anc mpbir2and
      snex ) ABEHZIZEJKZUPLZUPEMNZOPZAEDPZUPBQURGBEDRBUPSUCUTAUSUAOBEUDUEUFUBAU
      PTPZVAUQURUTUGUHABCPUOTPVBFEUNBUOCTUIUJGUPTDEUKULUM $.
  $}

  ${
    fsuppun.f $e |- ( ph -> F finSupp Z ) $.
    fsuppun.g $e |- ( ph -> G finSupp Z ) $.
    $( The union of two finitely supported functions is finitely supported (but
       not necessarily a function!).  (Contributed by AV, 3-Jun-2019.) $)
    fsuppun $p |- ( ph -> ( ( F u. G ) supp Z ) e. Fin ) $=
      ( cun cvv wcel wa csupp cfn ccnv cima wceq sylbir suppimacnv sylan adantr
      co wi csn cdif cnvun imaeq1i imaundir eqtri unexb eqcomd fsuppimpd adantl
      simpl eqeltrd simpr unfi syl2anc eqeltrid wb eleq1d mpbird ex wn supp0prc
      c0 0fin eqeltrdi a1d pm2.61i ) BCGZHIZDHIZJZAVIDKTZLIZUAVLAVNVLAJZVNVIMZH
      DUBUCZNZLIZVOVRBMZVQNZCMZVQNZGZLVRVTWBGZVQNWDVPWEVQBCUDUEVTWBVQUFUGVOWALI
      WCLIWDLIVOWABDKTZLVLWAWFOAVLWFWAVJBHIZVKWFWAOVJWGCHIZJZWGBCUHZWGWHULPBHHD
      QRUISAWFLIVLABDEUJUKUMVOWCCDKTZLVLWCWKOZAVJWHVKWLVJWIWHWJWGWHUNPWHVKJWKWC
      CHHDQUIRSAWKLIVLACDFUJUKUMWAWCUOUPUQVLVNVSURAVLVMVRLVIHHDQUSSUTVAVLVBZVNA
      WMVMVDLVIDVCVEVFVGVH $.

    $( The union of the support of two finitely supported functions is finite.
       (Contributed by AV, 1-Jul-2019.) $)
    fsuppunfi $p |- ( ph -> ( ( F supp Z ) u. ( G supp Z ) ) e. Fin ) $=
      ( cfsupp wbr csupp co cun cfn wcel wfun wi fsuppimp wa unfi expcom adantl
      3syl com12 simpl2im mpcom ) BDGHZABDIJZCDIJZKLMZEUEBNUFLMZAUHOBDPAUIUHACD
      GHCNZUGLMZQUIUHOZFCDPUKULUJUIUKUHUFUGRSTUAUBUCUD $.
  $}

  ${
    fsuppunbi.u $e |- ( ph -> Fun ( F u. G ) ) $.
    $( If the union of two classes/functions is a function, this union is
       finitely supported iff the two functions are finitely supported.
       (Contributed by AV, 18-Jun-2019.) $)
    fsuppunbi $p |- ( ph -> ( ( F u. G ) finSupp Z
                              <-> ( F finSupp Z /\ G finSupp Z ) ) ) $=
      ( cfsupp wbr wa cvv wcel relfsupp csupp co cfn simpr adantr wb funisfsupp
      wfun adantl cun wi brrelex12i unexb simprlr suppun ssfid fununfun simprll
      simpld syl3anc mpbird uncom oveq1i eleq1i biimpi simprd ex fsuppimp syl11
      jca a1d sylanbr mpcom com12 simpl brrelex1i unexg syl2an brrelex2i impbid
      fsuppun ) ABCUAZDFGZBDFGZCDFGZHZVNAVQVMIJZDIJZHVNAVQUBZVMDFKUCVRBIJZCIJZH
      ZVSVNVTUBBCUDVMSZVMDLMZNJZHZWCVSHZVTVNWGWHVTWGWHHZVQAWIVOVPWIVOBDLMZNJZWI
      WEWJWGWFWHWDWFOPWIBCIDWGWAWBVSUEZUFUGWIBSZWAVSVOWKQWGWMWHWDWMWFWDWMCSZBCU
      HZUJPPWGWAWBVSUIZWHVSWGWCVSOTZBIIDRUKULWIVPCDLMZNJZWICBUAZDLMZWRWGXANJZWH
      WFXBWDWFXBWEXANVMWTDLBCUMUNUOUPTPWICBIDWPUFUGWIWNWBVSVPWSQWGWNWHWDWNWFWDW
      MWNWOUQPPWLWQCIIDRUKULVAVBURVMDUSUTVCVDVEAVQVNAVQHZVNWFVQWFAVQBCDVOVPVFVO
      VPOVLTXCWDVRVSVNWFQAWDVQEPVQVRAVOWAWBVRVPBDFKVGCDFKVGBCIIVHVITVQVSAVOVSVP
      BDFKVJPTVMIIDRUKULURVK $.
  $}

  $( The empty set is a finitely supported function.  (Contributed by AV,
     19-Jul-2019.) $)
  0fsupp $p |- ( Z e. V -> (/) finSupp Z ) $=
    ( wcel c0 cfsupp wbr csupp cfn supp0 0fin eqeltrdi wfun cvv fun0 funisfsupp
    co wb 0ex mp3an12 mpbird ) BACZDBEFZDBGPZHCZUAUCDHABIJKDLDMCUAUBUDQNRDMABOS
    T $.

  $( A singleton containing an ordered pair is a finitely supported function.
     (Contributed by AV, 19-Jul-2019.) $)
  snopfsupp $p |- ( ( X e. V /\ Y e. W /\ Z e. U )
                    -> { <. X , Y >. } finSupp Z ) $=
    ( wcel w3a cop csn cfsupp wbr csupp co cfn wss wa snfi snopsuppss cvv simp3
    pm3.2i ssfi mp1i wfun wb funsng 3adant3 snex a1i funisfsupp syl3anc mpbird
    ) DBGZECGZFAGZHZDEIZJZFKLZUSFMNZOGZDJZOGZVAVCPZQVBUQVDVEDRDEFSUBVCVAUCUDUQU
    SUEZUSTGZUPUTVBUFUNUOVFUPDEBCUGUHVGUQURUIUJUNUOUPUAUSTAFUKULUM $.

  $( Finite support for a function extended by a singleton.  (Contributed by
     Stefan O'Rear, 27-Feb-2015.)  (Revised by AV, 19-Jul-2019.) $)
  funsnfsupp $p |- ( ( ( X e. V /\ Y e. W ) /\ ( Fun F /\ X e/ dom F ) )
                 -> ( ( F u. { <. X , Y >. } ) finSupp Z <-> F finSupp Z ) ) $=
    ( cvv wcel wa wfun cdm csn cfsupp wbr simpl syl cin c0 wceq adantl wnel cop
    cun wb wi w3a anim2i ancomd df-3an sylibr snopfsupp funsng anim12ci dmsnopg
    ineq2d df-nel disjsn sylbb2 sylan9eq jca funun fsuppunbi mpbiran2d relfsupp
    wn ex brrelex2i pm5.21ni a1d pm2.61i ) FGHZDBHZECHZIZAJZDAKZUAZIZIZADEUBLZU
    CZFMNZAFMNZUDZUEVKVSWDVKVSIZWBWCVTFMNZWEVLVMVKUFZWFWEVNVKIWGWEVKVNVSVNVKVNV
    ROUGUHVLVMVKUIUJGBCDEFUKPWEAVTFWEVOVTJZIZVPVTKZQZRSZIZWAJVSWMVKVSWIWLVNWHVR
    VODEBCULVOVQOUMVNVRWKVPDLZQZRVNWJWNVPVMWJWNSVLDECUNTUOVQWORSZVOVQDVPHVEWPDV
    PUPVPDUQURTUSUTTAVTVAPVBVCVFVKVEWDVSWBVKWCWAFMVDVGAFMVDVGVHVIVJ $.

  ${
    fsuppres.s $e |- ( ph -> F finSupp Z ) $.
    fsuppres.z $e |- ( ph -> Z e. V ) $.
    $( The restriction of a finitely supported function is finitely supported.
       (Contributed by AV, 14-Jul-2019.) $)
    fsuppres $p |- ( ph -> ( F |` X ) finSupp Z ) $=
      ( cfsupp wbr csupp co cfn wcel wfun wa wi cvv syl adantr 3syl cres expcom
      fsuppimp wss relprcnfsupp con4i jca ressuppss ssfi com23 imp mpcom funres
      wb resexg funisfsupp syl3anc mpbird ) ABDUAZEHIZUSEJKZLMZBEHIZAVBFVCBNZBE
      JKZLMZOZAVBPZBEUCZVDVFVHVDAVFVBAVDVFVBPZAVDOBQMZECMZOZVAVEUDZVJAVMVDAVKVL
      AVCVKFVKVCBEUEUFZRGUGSDBQCEUHVFVNVBVEVAUIUBTUBUJUKRULAUSNZUSQMZVLUTVBUNAV
      CVGVPFVIVDVPVFDBUMSTAVCVKVQFVOBDQUOTGUSQCEUPUQUR $.
  $}

  ${
    ressuppfi.b $e |- ( ph -> ( dom F \ B ) e. Fin ) $.
    ressuppfi.f $e |- ( ph -> F e. W ) $.
    ressuppfi.g $e |- ( ph -> G = ( F |` B ) ) $.
    ressuppfi.s $e |- ( ph -> ( G supp Z ) e. Fin ) $.
    ressuppfi.z $e |- ( ph -> Z e. V ) $.
    $( If the support of the restriction of a function by a set which,
       subtracted from the domain of the function so that its difference is
       finite, the support of the function itself is finite.  (Contributed by
       AV, 22-Apr-2019.) $)
    ressuppfi $p |- ( ph -> ( F supp Z ) e. Fin ) $=
      ( cres csupp co cdm cdif cfn wcel syl2anc cun eqcomd eqeltrd ressuppssdif
      oveq1d unfi wss ssfid ) ACBMZGNOZCPBQZUAZCGNOZAUJRSUKRSULRSAUJDGNORAUIDGN
      ADUIJUBUEKUCHUJUKUFTACFSGESUMULUGILBCFEGUDTUH $.
  $}

  ${
    resfsupp.b $e |- ( ph -> ( dom F \ B ) e. Fin ) $.
    resfsupp.e $e |- ( ph -> F e. W ) $.
    resfsupp.f $e |- ( ph -> Fun F ) $.
    resfsupp.g $e |- ( ph -> G = ( F |` B ) ) $.
    resfsupp.s $e |- ( ph -> G finSupp Z ) $.
    resfsupp.z $e |- ( ph -> Z e. V ) $.
    $( If the restriction of a function by a set which, subtracted from the
       domain of the function so that its difference is finitely supported, the
       function itself is finitely supported.  (Contributed by AV,
       27-May-2019.) $)
    resfsupp $p |- ( ph -> F finSupp Z ) $=
      ( cfsupp wbr csupp co cfn wcel fsuppimpd ressuppfi wfun funisfsupp mpbird
      wb syl3anc ) ACGNOZCGPQRSZABCDEFGHIKADGLTMUAACUBCFSGESUGUHUEJIMCFEGUCUFUD
      $.
  $}

  ${
    resfifsupp.f $e |- ( ph -> Fun F ) $.
    resfifsupp.x $e |- ( ph -> X e. Fin ) $.
    resfifsupp.z $e |- ( ph -> Z e. V ) $.
    $( The restriction of a function to a finite set is finitely supported.
       (Contributed by AV, 12-Dec-2019.) $)
    resfifsupp $p |- ( ph -> ( F |` X ) finSupp Z ) $=
      ( cdm cin cres cfsupp wrel wceq wfun funrel syl wfn cfn wcel resindm infi
      funfnd fnresin2 fndmfifsupp eqbrtrrd ) ABDBIZJZKZBDKZELABMZUIUJNABOUKFBPQ
      BDUAQAUHUICEABUGRUIUHRABFUCUGDBUDQADSTUHSTGDUGUBQHUEUF $.
  $}

  $( Two ways of saying that a function with known codomain is finitely
     supported.  (Contributed by AV, 8-Jul-2019.) $)
  frnfsuppbi $p |- ( ( I e. V /\ Z e. W ) -> ( F : I --> S
                 -> ( F finSupp Z <-> ( `' F " ( S \ { Z } ) ) e. Fin ) ) ) $=
    ( wcel wa wf cfsupp wbr ccnv csn cdif cima cfn wb csupp cvv imp wfun adantl
    co ffun wi fex expcom adantr simplr funisfsupp syl3anc wceq frnsuppeq bitrd
    eleq1d ex ) CDGZFEGZHZCABIZBFJKZBLAFMNOZPGZQUSUTHZVABFRUCZPGZVCVDBUAZBSGZUR
    VAVFQUTVGUSCABUDUBUSUTVHUQUTVHUEURUTUQVHCADBUFUGUHTUQURUTUIBSEFUJUKVDVEVBPU
    SUTVEVBULABCDEFUMTUOUNUP $.

  ${
    $d A k $.  $d F k $.  $d Z k $.  $d ph k $.
    fsuppmptif.f $e |- ( ph -> F : A --> B ) $.
    fsuppmptif.a $e |- ( ph -> A e. V ) $.
    fsuppmptif.z $e |- ( ph -> Z e. W ) $.
    fsuppmptif.s $e |- ( ph -> F finSupp Z ) $.
    $( A function mapping an argument to either a value of a finitely supported
       function or zero is finitely supported.  (Contributed by AV,
       6-Jun-2019.) $)
    fsuppmptif $p |- ( ph
                 -> ( k e. A |-> if ( k e. D , ( F ` k ) , Z ) ) finSupp Z ) $=
      ( cv wcel cif csupp co cvv wa cfv cmpt cfsupp wbr wfun cfn adantr sylancr
      fvex ifexg fmpttd ffund fsuppimpd cdif suppssr ifeq1d ifid eqtrdi suppss2
      ssidd ssfid wb mptexd isfsupp syl2anc mpbir2and ) AEBENZDOZVGFUAZIPZUBZIU
      CUDZVKUEZVKIQRZUFOZABSVKAEBVJSAVGBOZTVISOIHOZVJSOVGFUIAVQVPLUGVHVIISHUJUH
      UKULAFIQRZVNAFIMUMABVJEGVRIAVGBVRUNOTZVJVHIIPIVSVHVIIIABCHFGVRVGIJAVRUTKL
      UOUPVHIUQURKUSVAAVKSOVQVLVMVOTVBAEBVJGKVCLVKSHIVDVEVF $.
  $}

  ${
    $d I x $.  $d X x $.  $d .0. x $.  $d ph x $.
    sniffsupp.i $e |- ( ph -> I e. V ) $.
    sniffsupp.0 $e |- ( ph -> .0. e. W ) $.
    sniffsupp.f $e |- F = ( x e. I |-> if ( x = X , A , .0. ) ) $.
    $( A function mapping all but one arguments to zero is finitely supported.
       (Contributed by AV, 8-Jul-2019.) $)
    sniffsupp $p |- ( ph -> F finSupp .0. ) $=
      ( cv wceq cif cmpt cfsupp cfn wcel cvv wbr csupp co csn wss snfi cdif wne
      wa eldifsni adantl neneqd iffalsed suppss2 ssfi sylancr funmpt funisfsupp
      wfun wb mptexd mp3an2i mpbird eqbrtrid ) ADBEBMZHNZCIOZPZIQLAVHIQUAZVHIUB
      UCZRSZAHUDZRSVJVLUEVKHUFAEVGBFVLIAVEEVLUGSZUIZVFCIVNVEHVMVEHUHAVEEHUJUKUL
      UMJUNVLVJUOUPVHUSAVHTSIGSVIVKUTBEVGUQABEVGFJVAKVHTGIURVBVCVD $.
  $}

  ${
    fsuppcolem.f $e |- ( ph -> ( `' F " ( _V \ { Z } ) ) e. Fin ) $.
    fsuppcolem.g $e |- ( ph -> G : X -1-1-> Y ) $.
    $( Lemma for ~ fsuppco .  Formula building theorem for finite supports:
       rearranging the index set.  (Contributed by Stefan O'Rear,
       21-Mar-2015.) $)
    fsuppcolem $p |- ( ph -> ( `' ( F o. G ) " ( _V \ { Z } ) ) e. Fin ) $=
      ( ccom ccnv cvv csn cdif cima cfn cnvco imaeq1i imaco eqtri wcel wfun wf1
      wf df-f1 simprbi syl imafi syl2anc eqeltrid ) ABCIJZKFLMZNZCJZBJZUKNZNZOU
      LUMUNIZUKNUPUJUQUKBCPQUMUNUKRSAUMUAZUOOTUPOTADECUBZURHUSDECUCURDECUDUEUFG
      UMUOUGUHUI $.
  $}

  ${
    fsuppco.f $e |- ( ph -> F finSupp Z ) $.
    fsuppco.g $e |- ( ph -> G : X -1-1-> Y ) $.
    fsuppco.z $e |- ( ph -> Z e. W ) $.
    fsuppco.v $e |- ( ph -> F e. V ) $.
    $( The composition of a 1-1 function with a finitely supported function is
       finitely supported.  (Contributed by AV, 28-May-2019.) $)
    fsuppco $p |- ( ph -> ( F o. G ) finSupp Z ) $=
      ( cfsupp cfn wcel ccnv cvv wfun syl syl2anc ccom wbr csupp cdif cima wceq
      co csn wf df-f1 simprbi cofunex2g suppimacnv fsuppimpd fsuppcolem eqeltrd
      wf1 eqeltrrd wb fsuppimp simpld f1fun funco funisfsupp syl3anc mpbird ) A
      BCUAZHMUBZVGHUCUGZNOZAVIVGPQHUHUDZUEZNAVGQOZHEOZVIVLUFABDOZCPRZVMLAFGCUQZ
      VPJVQFGCUIVPFGCUJUKSBCDULTZKVGQEHUMTABCFGHABHUCUGZBPVKUEZNAVOVNVSVTUFLKBD
      EHUMTABHIUNURJUOUPAVGRZVMVNVHVJUSABRZCRZWAABHMUBZWBIWDWBVSNOBHUTVASAVQWCJ
      FGCVBSBCVCTVRKVGQEHVDVEVF $.
  $}

  ${
    $d x Z $.  $d x F $.  $d x G $.  $d x ph $.
    fsuppco2.z $e |- ( ph -> Z e. W ) $.
    fsuppco2.f $e |- ( ph -> F : A --> B ) $.
    fsuppco2.g $e |- ( ph -> G : B --> B ) $.
    fsuppco2.a $e |- ( ph -> A e. U ) $.
    fsuppco2.b $e |- ( ph -> B e. V ) $.
    fsuppco2.n $e |- ( ph -> F finSupp Z ) $.
    fsuppco2.i $e |- ( ph -> ( G ` Z ) = Z ) $.
    $( The composition of a function which maps the zero to zero with a
       finitely supported function is finitely supported.  This is not only a
       special case of ~ fsuppcor because it does not require that the "zero"
       is an element of the range of the finitely supported function.
       (Contributed by AV, 6-Jun-2019.) $)
    fsuppco2 $p |- ( ph -> ( G o. F ) finSupp Z ) $=
      ( wcel syl2anc cfv cvv vx ccom cfsupp wfun csupp co ffund funco fsuppimpd
      wbr cfn wf fco cv cdif wa eldifi fvco3 syl2an ssidd suppssr fveq2d adantr
      wceq 3eqtrd suppss ssfid wb fexd coexg isfsupp mpbir2and ) AFEUBZIUCUJZVM
      UDZVMIUEUFZUKQZAFUDEUDVOACCFLUGABCEKUGFEUHRAEIUEUFZVPAEIOUIABCUAVMVRIACCF
      ULBCEULZBCVMULLKBCCFEUMRAUAUNZBVRUOQZUPZVTVMSZVTESZFSZIFSZIAVSVTBQWCWEVDW
      AKVTBVRUQBCVTFEURUSWBWDIFABCHEDVRVTIKAVRUTMJVAVBAWFIVDWAPVCVEVFVGAVMTQZIH
      QVNVOVQUPVHAFTQETQWGACCGFLNVIABCDEKMVIFETTVJRJVMTHIVKRVL $.
  $}

  ${
    $d x Z $.  $d x F $.  $d x G $.  $d x ph $.  $d x .0. $.
    fsuppcor.0 $e |- ( ph -> .0. e. W ) $.
    fsuppcor.z $e |- ( ph -> Z e. B ) $.
    fsuppcor.f $e |- ( ph -> F : A --> C ) $.
    fsuppcor.g $e |- ( ph -> G : B --> D ) $.
    fsuppcor.s $e |- ( ph -> C C_ B ) $.
    fsuppcor.a $e |- ( ph -> A e. U ) $.
    fsuppcor.b $e |- ( ph -> B e. V ) $.
    fsuppcor.n $e |- ( ph -> F finSupp Z ) $.
    fsuppcor.i $e |- ( ph -> ( G ` Z ) = .0. ) $.
    $( The composition of a function which maps the zero of the range of a
       finitely supported function to the zero of its range with this finitely
       supported function is finitely supported.  (Contributed by AV,
       6-Jun-2019.) $)
    fsuppcor $p |- ( ph -> ( G o. F ) finSupp .0. ) $=
      ( vx ccom cfsupp wbr wfun csupp co cfn wcel ffund funco syl2anc fsuppimpd
      cres wf fssresd fco2 cv cdif wa cfv wceq eldifi fvco3 syl2an ssidd fveq2d
      suppssr adantr 3eqtrd suppss ssfid cvv wb fexd coexg isfsupp mpbir2and )
      AHGUCZKUDUEZVTUFZVTKUGUHZUIUJZAHUFGUFWBACEHPUKABDGOUKHGULUMAGLUGUHZWCAGLT
      UNABEUBVTWEKADEHDUOUPBDGUPZBEVTUPACEDHPQUQOBDEHGURUMAUBUSZBWEUTUJZVAZWGVT
      VBZWGGVBZHVBZLHVBZKAWFWGBUJWJWLVCWHOWGBWEVDBDWGHGVEVFWIWKLHABDCGFWEWGLOAW
      EVGRNVIVHAWMKVCWHUAVJVKVLVMAVTVNUJZKJUJWAWBWDVAVOAHVNUJGVNUJWNACEIHPSVPAB
      DFGORVPHGVNVNVQUMMVTVNJKVRUMVS $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d f g x F $.  $d f g x G $.  $d f g ph $.
    $d x D $.  $d f g S $.  $d f g T $.  $d x W $.  $d x Z $.
    mapfien.s $e |- S = { x e. ( B ^m A ) | x finSupp Z } $.
    mapfien.t $e |- T = { x e. ( D ^m C ) | x finSupp W } $.
    mapfien.w $e |- W = ( G ` Z ) $.
    mapfien.f $e |- ( ph -> F : C -1-1-onto-> A ) $.
    mapfien.g $e |- ( ph -> G : B -1-1-onto-> D ) $.
    mapfien.a $e |- ( ph -> A e. U ) $.
    mapfien.b $e |- ( ph -> B e. V ) $.
    mapfien.c $e |- ( ph -> C e. X ) $.
    mapfien.d $e |- ( ph -> D e. Y ) $.
    mapfien.z $e |- ( ph -> Z e. B ) $.
    $( Lemma 1 for ~ mapfien .  (Contributed by AV, 3-Jul-2019.)  (Revised by
       AV, 28-Jul-2024.) $)
    mapfienlem1 $p |- ( ( ph /\ f e. S )
                          -> ( G o. ( f o. F ) ) finSupp W ) $=
      ( cv wcel wa ccom cvv fvexi a1i adantr cfsupp wbr cmap crab elrabi elmapi
      wf syl eleq2s wf1o f1of fco syl2anr ssidd breq1 elrab2 simprbi adantl wf1
      co f1of1 simpr fsuppco cfv wceq eqcomi fsuppcor ) AJUHZGUIZUJZEDDFOWCKUKZ
      LMULNQNULUIWENQLTUMUNAQDUIWDUGUOZWDCDWCVBZECKVBZEDWFVBAWHWCBUHZQUPUQZBDCU
      RVOZUSZGWCWMUIWCWLUIZWHWKBWCWLUTWCDCVAVCRVDAECKVEZWIUAECKVFVCECDWCKVGVHAD
      FLVBZWDADFLVEWPUBDFLVFVCUOWEDVIAEOUIWDUEUOADMUIWDUDUOWEWCKGDECQWDWCQUPUQZ
      AWDWNWQWKWQBWCWLGWJWCQUPVJRVKVLVMAECKVNZWDAWOWRUAECKVPVCUOWGAWDVQVRQLVSZN
      VTWENWSTWAUNWB $.

    $( Lemma 2 for ~ mapfien .  (Contributed by AV, 3-Jul-2019.)  (Revised by
       AV, 28-Jul-2024.) $)
    mapfienlem2 $p |- ( ( ph /\ g e. T )
                          -> ( ( `' G o. g ) o. `' F ) finSupp Z ) $=
      ( cv wcel ccnv ccom cvv adantr cfv wf1o f1of syl ffvelrnd eqeltrid cfsupp
      wa wf wbr cmap co crab elrabi elmapi eleq2s adantl 3syl ssidd breq1 elrab
      f1ocnv simprbi wceq jca eqcomi jctir f1ocnvfv imp fsuppcor wf1 fex cnvexg
      f1of1 coexg sylan fsuppco ) AJUHZHUIZVAZLUJZWKUKZKUJZULDCEQWMEFFDOWKWNPDQ
      NAQDUIZWLUGUMZANFUIWLANQLUNZFTADFQLADFLUOZDFLVBZUBDFLUPUQZUGURUSUMWLEFWKV
      BZAXCWKBUHZNUTVCZBFEVDVEZVFZHWKXGUIZWKXFUIZXCXEBWKXFVGWKFEVHUQSVIVJAFDWNV
      BZWLAWTFDWNUOXJUBDFLVOFDWNUPVKUMWMFVLAEOUIWLUEUMAFPUIWLUFUMWLWKNUTVCZAXKW
      KXGHXHXIXKXEXKBWKXFXDWKNUTVMVNVPSVIVJWMWTWQVAZWSNVQZVAZNWNUNQVQZAXNWLAXLX
      MAWTWQUBUGVRNWSTVSVTUMXLXMXODFQNLWAWBUQWCACEWPWDZWLAECKUOCEWPUOXPUAECKVOC
      EWPWGVKUMWRAWNULUIZWLWOULUIAXADMUIZVALULUIXQAXAXRXBUDVRDFMLWELULWFVKWNWKU
      LHWHWIWJ $.

    $( Lemma 3 for ~ mapfien .  (Contributed by AV, 3-Jul-2019.)  (Revised by
       AV, 28-Jul-2024.) $)
    mapfienlem3 $p |- ( ( ph /\ g e. T )
                           -> ( ( `' G o. g ) o. `' F ) e. S ) $=
      ( cv wcel wa ccnv ccom cmap co cfsupp wbr wf wf1o f1ocnv f1of 3syl adantr
      crab elrabi eleq2s adantl elmapi syl fcod elmapd mpbird mapfienlem2 breq1
      wb elrab2 sylanbrc ) AJUHZHUIZUJZLUKZVQULZKUKZULZDCUMUNZUIZWCQUOUPZWCGUIV
      SWECDWCUQZVSCEDWAWBVSEFDVTVQAFDVTUQZVRADFLURFDVTURWHUBDFLUSFDVTUTVAVBVSVQ
      FEUMUNZUIZEFVQUQVRWJAWJVQBUHZNUOUPZBWIVCHWLBVQWIVDSVEVFVQFEVGVHVIACEWBUQZ
      VRAECKURCEWBURWMUAECKUSCEWBUTVAVBVIAWEWGVNVRADCWCMIUDUCVJVBVKABCDEFGHIJKL
      MNOPQRSTUAUBUCUDUEUFUGVLWKQUOUPWFBWCWDGWKWCQUOVMRVOVP $.

    $( A bijection of the base sets induces a bijection on the set of finitely
       supported functions.  (Contributed by Mario Carneiro, 30-May-2015.)
       (Revised by AV, 3-Jul-2019.)  (Revised by AV, 28-Jul-2024.) $)
    mapfien $p |- ( ph ->
        ( f e. S |-> ( G o. ( f o. F ) ) ) : S -1-1-onto-> T ) $=
      ( vg cv ccom ccnv cmpt eqid wcel wa cmap co cfsupp wbr wf wf1o syl adantr
      f1of breq1 elrab2 simplbi adantl elmapi fcod wb elmapd mpbird mapfienlem1
      sylanbrc mapfienlem3 wceq coass cres f1ococnv1 coeq2d f1ocnv simpr simpld
      3syl sylib adantrl fcoi1 eqtrd eqtrid eqeq2d coeq1d adantrr fcoi2 eqtr3id
      cid eqcom bitrdi bitr4d wfo wfn f1ofo ffn cocan2 syl3anc wf1 f1of1 cocan1
      ffnd 3bitr3d f1o2d ) AJUHGHLJUIZKUJZUJZLUKZUHUIZUJZKUKZUJZJGXNULZXTUMAXLG
      UNZUOZXNFEUPUQZUNZXNNURUSZXNHUNYBYDEFXNUTZYBEDFLXMADFLUTZYAADFLVAZYGUBDFL
      VDVBVCYBECDXLKYBXLDCUPUQZUNZCDXLUTZYAYJAYAYJXLQURUSZBUIZQURUSYLBXLYIGYMXL
      QURVERVFVGVHZXLDCVIZVBAECKUTZYAAECKVAZYPUAECKVDVBVCVJZVJZAYDYFVKYAAFEXNPO
      UFUEVLVCVMABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGVNYMNURUSZYEBXNYCHYMXNNURVESV
      FVOABCDEFGHIUHKLMNOPQRSTUAUBUCUDUEUFUGVPAYAXPHUNZUOZUOZXMXSKUJZVQZXQXOXNU
      JZVQZXLXSVQZXPXNVQZUUCUUEXMXQVQZUUGUUCUUDXQXMUUCUUDXQXRKUJZUJZXQXQXRKVRUU
      CUULXQWPEVSZUJZXQUUCUUKUUMXQUUCYQUUKUUMVQAYQUUBUAVCZECKVTVBWAUUCEDXQUTZUU
      NXQVQAUUAUUPYAAUUAUOZEFDXOXPAFDXOUTZUUAAYHFDXOVAZUURUBDFLWBZFDXOVDWEVCUUQ
      XPYCUNZEFXPUTZUUQUVAXPNURUSZUUQUUAUVAUVCUOAUUAWCYTUVCBXPYCHYMXPNURVESVFWF
      WDXPFEVIVBZVJZWGEDXQWHVBWIWJWKUUCUUGXQXMVQUUJUUCUUFXMXQUUCUUFXOLUJZXMUJZX
      MXOLXMVRUUCUVGWPDVSZXMUJZXMUUCUVFUVHXMUUCYHUVFUVHVQAYHUUBUBVCDFLVTVBWLUUC
      EDXMUTZUVIXMVQAYAUVJUUAYRWMEDXMWNVBWIWOWKXQXMWQWRWSUUCECKWTZXLCXAZXSCXAZU
      UEUUHVKUUCYQUVKUUOECKXBVBAYAUVLUUAYBYJYKUVLYNYOCDXLXCWEWMAUUAUVMYAUUQCDXS
      UUQCEDXQXRUVEACEXRUTZUUAAYQCEXRVAUVNUAECKWBCEXRVDWEVCVJXIWGECKXLXSXDXEUUC
      FDXOXFZUVBYFUUGUUIVKUUCUUSUVOAUUSUUBAYHUUSUBUUTVBVCFDXOXGVBAUUAUVBYAUVDWG
      AYAYFUUAYSWMEFDXOXPXNXHXEXJXK $.
  $}

  ${
    $d w x y z $.  $d w x z A $.  $d w x z y B $.  $d w x z C $.
    $d w x z y D $.  $d w y z S $.  $d w x y z .0. $.  $d w y z ph $.
    $d x z y W $.  $d y z T $.
    mapfien2.s $e |- S = { x e. ( B ^m A ) | x finSupp .0. } $.
    mapfien2.t $e |- T = { x e. ( D ^m C ) | x finSupp W } $.
    mapfien2.ac $e |- ( ph -> A ~~ C ) $.
    mapfien2.bd $e |- ( ph -> B ~~ D ) $.
    mapfien2.z $e |- ( ph -> .0. e. B ) $.
    mapfien2.w $e |- ( ph -> W e. D ) $.
    $( Equinumerousity relation for sets of finitely supported functions.
       (Contributed by Stefan O'Rear, 9-Jul-2015.)  (Revised by AV,
       7-Jul-2019.) $)
    mapfien2 $p |- ( ph -> S ~~ T ) $=
      ( cen wbr wcel cvv vy vz vw cv wf1o cfv wceq wa wex enfixsn syl3anc sylib
      wi bren w3a cfsupp cmap co crab ccnv ccom cmpt eqid f1ocnv 3ad2ant2 simp3
      3ad2ant1 relen brrelex1i syl brrelex2i mapfien ovex rabex2 f1oen 3adant3r
      breq2 rabbidv eqtr4di adantl 3ad2ant3 breqtrd 3exp exlimdv mpd ) ADFUAUDZ
      UEZJWFUFZIUGZUHZUAUIZGHQRZAJDSZIFSDFQRZWKOPNJIUADFUJUKAWJWLUAACEUBUDZUEZU
      BUIZWJWLUMZACEQRZWQMCEUBUNULAWPWRUBAWPWJWLAWPWJUOGBUDZWHUPRZBFEUQURZUSZHQ
      AWPWGGXCQRZWIAWPWGUOZGXCUCGWFUCUDWOUTZVAVAVBZUEXDXEBCDEFGXCTUCXFWFTWHTTJK
      XCVCWHVCWPAECXFUEWGCEWOVDVEAWPWGVFXEWSCTSAWPWSWGMVGZCEQVHVIVJXEWNDTSAWPWN
      WGNVGZDFQVHVIVJXEWSETSXHCEQVHVKVJXEWNFTSXIDFQVHVKVJAWPWMWGOVGVLGXCXGWTJUP
      RBDCUQURGKDCUQVMVNVOVJVPWJAXCHUGZWPWIXJWGWIXCWTIUPRZBXBUSHWIXAXKBXBWHIWTU
      PVQVRLVSVTWAWBWCWDWEWDWE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Finite intersections
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c fi $.
  $( Extend class notation with the function whose value is the class of finite
     intersections of the elements of a given set. $)
  cfi $a class fi $.

  ${
    $d x y z $.
    $( Function whose value is the class of finite intersections of the
       elements of the argument.  Note that the empty intersection being the
       universal class, hence a proper class, it cannot be an element of that
       class.  Therefore, the function value is the class of nonempty finite
       intersections of elements of the argument (see ~ elfi2 ).  (Contributed
       by FL, 27-Apr-2008.) $)
    df-fi $a
          |- fi = ( x e. _V |-> { z | E. y e. ( ~P x i^i Fin ) z = |^| y } ) $.
  $}

  ${
    $d x y z A $.  $d x y B $.  $d x V $.  $d x W $.
    $( The set of all the finite intersections of the elements of ` A ` .
       (Contributed by FL, 27-Apr-2008.)  (Revised by Mario Carneiro,
       24-Nov-2013.) $)
    fival $p |- ( A e. V -> ( fi ` A ) = { y |
                  E. x e. ( ~P A i^i Fin ) y = |^| x } ) $=
      ( vz wcel cv cint wceq cpw cfn cin wrex cab cvv cfi df-fi pweq wss sylibr
      ineq1d rexeqdv abbidv elex cuni wa simpr c0 elinel1 elpwid eqvisset intex
      intssuni2 syl2an eqsstrd velpw rexlimiva abssi uniexg pwexd ssexg sylancr
      wne fvmptd3 ) CDFZECBGZAGZHZIZAEGZJZKLZMZBNVIACJZKLZMZBNZOPOEABQVJCIZVMVP
      BVRVIAVLVOVRVKVNKVJCRUAUBUCCDUDVEVQCUEZJZSVTOFVQOFVPBVTVIVFVTFZAVOVGVOFZV
      IUFZVFVSSWAWCVFVHVSWBVIUGWBVGCSVGUHVCZVHVSSVIWBVGCVGVNKUIUJVIVHOFWDBVHUKV
      GULTVGCUMUNUOBVSUPTUQURVEVSOCDUSUTVQVTOVAVBVD $.

    $( Specific properties of an element of ` ( fi `` B ) ` .  (Contributed by
       FL, 27-Apr-2008.)  (Revised by Mario Carneiro, 24-Nov-2013.) $)
    elfi $p |- ( ( A e. V /\ B e. W ) -> ( A e. ( fi ` B ) <->
        E. x e. ( ~P B i^i Fin ) A = |^| x ) ) $=
      ( vy wcel cfi cfv cv cint wceq cpw cfn cin wrex cab fival eleq2d eqeq1
      rexbidv elabg sylan9bbr ) CEGZBCHIZGBFJZAJKZLZACMNOZPZFQZGBDGBUGLZAUIPZUD
      UEUKBAFCERSUJUMFBDUFBLUHULAUIUFBUGTUAUBUC $.

    $( The empty intersection need not be considered in the set of finite
       intersections.  (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    elfi2 $p |- ( B e. V -> ( A e. ( fi ` B ) <->
        E. x e. ( ( ~P B i^i Fin ) \ { (/) } ) A = |^| x ) ) $=
      ( wcel cvv cfi cfv cv cint wceq cpw cfn c0 wrex wi a1i wa simpr ancom cin
      csn cdif elex wne eldifsni adantr intex sylib eqeltrd rexlimiva elfi vprc
      wb elsni inteqd eqtrdi eleq1d mtbiri simpll eqeltrrd nsyl3 biantrud eldif
      wn int0 bitr4di pm5.32da 3bitr4g rexbidv2 bitrd expcom pm5.21ndd ) CDEZBF
      EZBCGHZEZBAIZJZKZACLMUAZNUBZUCZOZVQVOPVNBVPUDQWDVOPVNVTVOAWCVRWCEZVTRZBVS
      FWEVTSWFVRNUEZVSFEZWEWGVTVRWANUFUGVRUHUIUJUKQVOVNVQWDUNVOVNRZVQVTAWAOWDAB
      CFDULWIVTVTAWAWCWIVTVRWAEZRVTWERWJVTRWFWIVTWJWEWIVTRZWJWJVRWBEZVEZRWEWKWM
      WJWLWHWKWLWHFFEUMWLVSFFWLVSNJFWLVRNVRNUOUPVFUQURUSWKBVSFWIVTSVOVNVTUTVAVB
      VCVRWAWBVDVGVHWJVTTWEVTTVIVJVKVLVM $.

    $( Sufficient condition for an element of ` ( fi `` B ) ` .  (Contributed
       by Mario Carneiro, 24-Nov-2013.) $)
    elfir $p |- ( ( B e. V /\ ( A C_ B /\ A =/= (/) /\ A e. Fin ) ) ->
        |^| A e. ( fi ` B ) ) $=
      ( vx wcel wss c0 wne cfn w3a wa cint cfi cfv cv wceq cpw cin wrex cvv imp
      simp1 elpw2g syl5ibr simpr3 elind eqid inteq rspceeqv sylancl simp2 intex
      wb sylib id elfi syl2anr mpbird ) BCEZABFZAGHZAIEZJZKZALZBMNEZVEDOZLZPDBQ
      ZIRZSZVDAVJEVEVEPVKVDVIIAUSVCAVIEZVCVLUSUTUTVAVBUBABCUCUDUAUSUTVAVBUEUFVE
      UGDAVJVHVEVEVGAUHUIUJVCVETEZUSVFVKUMUSVCVAVMUTVAVBUKAULUNUSUODVEBTCUPUQUR
      $.

    $( Sufficient condition for the intersection of the range of a function to
       be in the set of finite intersections.  (Contributed by Mario Carneiro,
       30-Aug-2015.) $)
    intrnfi $p |- ( ( B e. V /\ ( F : A --> B /\ A =/= (/) /\ A e. Fin ) )
        -> |^| ran F e. ( fi ` B ) ) $=
      ( wcel wf c0 wne cfn w3a crn wss cint cfi cfv wa simpr1 frnd cdm sylib
      fdmd simpr2 eqnetrd dm0rn0 necon3bii wfo wfn ffnd dffn4 fofi syl2anc 3jca
      simpr3 elfir syldan ) BDEZABCFZAGHZAIEZJZCKZBLZVAGHZVAIEZJVAMBNOEUPUTPZVB
      VCVDVEABCUPUQURUSQZRVECSZGHVCVEVGAGVEABCVFUAUPUQURUSUBUCVGGVAGCUDUETVEUSA
      VACUFZVDUPUQURUSUMVECAUGVHVEABCVFUHACUITAVACUJUKULVABDUNUO $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x C $.
    $( An indexed intersection of elements of ` C ` is an element of the finite
       intersections of ` C ` .  (Contributed by Mario Carneiro,
       30-Aug-2015.) $)
    iinfi $p |- ( ( C e. V /\ ( A. x e. A B e. C /\ A =/= (/) /\ A e. Fin ) )
        -> |^|_ x e. A B e. ( fi ` C ) ) $=
      ( vy wcel wral c0 wne cfn w3a wa ciin cmpt crn cint cfi cfv wceq wrex cab
      simpr1 dfiin2g syl eqid rnmpt inteqi eqtr4di fmpt 3anbi1i intrnfi sylan2b
      cv wf eqeltrd ) DEGZCDGABHZBIJZBKGZLZMZABCNZABCOZPZQZDRSZVBVCFUNCTABUAFUB
      ZQZVFVBURVCVITUQURUSUTUCAFBCDUDUEVEVHAFBCVDVDUFZUGUHUIVAUQBDVDUOZUSUTLVFV
      GGURVKUSUTABDCVDVJUJUKBDVDEULUMUP $.
  $}

  ${
    $d p A $.  $d p B $.  $d p V $.  $d p X $.
    $( The intersection of two sets is a finite intersection.  (Contributed by
       Thierry Arnoux, 6-Jan-2017.) $)
    inelfi $p |- ( ( X e. V /\ A e. X /\ B e. X )
      -> ( A i^i B ) e. ( fi ` X ) ) $=
      ( vp wcel w3a cin cfi cfv cint wceq cpw cfn wrex cpr 3adant1 syl2anc cvv
      cv prelpwi prfi a1i elind intprg eqcomd inteq rspceeqv wb inex1g 3ad2ant2
      simp1 elfi mpbird ) DCFZADFZBDFZGZABHZDIJFZUSETZKZLEDMZNHZOZURABPZVDFUSVF
      KZLVEURVCNVFUPUQVFVCFUOABDUAQVFNFURABUBUCUDURVGUSUPUQVGUSLUOABDDUEQUFEVFV
      DVBVGUSVAVFUGUHRURUSSFZUOUTVEUIUPUOVHUQABDUJUKUOUPUQULEUSDSCUMRUN $.
  $}

  ${
    $d A x y $.  $d x V $.
    $( Any element of a set ` A ` is the intersection of a finite subset of
       ` A ` .  (Contributed by FL, 27-Apr-2008.)  (Proof shortened by Mario
       Carneiro, 21-Mar-2015.) $)
    ssfii $p |- ( A e. V -> A C_ ( fi ` A ) ) $=
      ( vx wcel cfi cfv cv wa csn cint vex intsn wss c0 wne cfn simpl simpr a1i
      snssd snnz snfi elfir syl13anc eqeltrrid ex ssrdv ) ABDZCAAEFZUHCGZADZUJU
      IDUHUKHZUJUJIZJZUIUJCKZLULUHUMAMUMNOZUMPDZUNUIDUHUKQULUJAUHUKRTUPULUJUOUA
      SUQULUJUBSUMABUCUDUEUFUG $.

    $( The set of finite intersections of the empty set.  (Contributed by Mario
       Carneiro, 30-Aug-2015.) $)
    fi0 $p |- ( fi ` (/) ) = (/) $=
      ( vy vx c0 cfi cfv cv cint wceq cpw cfn cin wrex cab cvv wcel fival ax-mp
      0ex vprc id wss elinel1 elpwi 3syl inteqd int0 eqtrdi sylan9eqr rexlimiva
      ss0 vex eqeltrrdi mto abf eqtri ) CDEZAFZBFZGZHZBCIZJKZLZAMZCCNOUPVDHRBAC
      NPQVCAVCNNOSVCNUQNUTUQNHBVBUTURVBOZUQUSNUTTVEUSCGNVEURCVEURVAOURCUAURCHUR
      VAJUBURCUCURUJUDUEUFUGUHUIAUKULUMUNUO $.

    $( A set is empty iff the class of all the finite intersections of that set
       is empty.  (Contributed by FL, 27-Apr-2008.)  (Revised by Mario
       Carneiro, 24-Nov-2013.) $)
    fieq0 $p |- ( A e. V -> ( A = (/) <-> ( fi ` A ) = (/) ) ) $=
      ( wcel c0 wceq cfi cfv fveq2 fi0 eqtrdi wss ssfii sseq0 sylan ex impbid2
      ) ABCZADEZAFGZDEZRSDFGDADFHIJQTRQASKTRABLASMNOP $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    $( The elements of ` ( fi `` C ) ` are closed under finite intersection.
       (Contributed by Mario Carneiro, 24-Nov-2013.) $)
    fiin $p |- ( ( A e. ( fi ` C ) /\ B e. ( fi ` C ) ) ->
                 ( A i^i B ) e. ( fi ` C ) ) $=
      ( vz vx vy cfi wcel wa cin cv cint wceq cfn wrex cvv wb elfi adantr elin
      cfv cpw elfvex mpdan ibi simpr ancoms sylan mpbid cun pwuncl unfi anim12i
      an4s syl2anb sylibr ineq12 intun eqtr4di inteq rspceeqv syl2an rexlimdvaa
      wi rexlimiva sylc inex1g syl2anc mpbird ) ACGUAZHZBVJHZIZABJZVJHZVNDKZLZM
      DCUBZNJZOZVMAEKZLZMZEVSOZBFKZLZMZFVSOZVTVKWDVLVKWDVKCPHZVKWDQACGUCZEACVJP
      RUDUESVMVLWHVKVLUFVKWIVLVLWHQZWJVLWIWKFBCVJPRUGUHUIWCWHVTVDEVSWAVSHZWCIWG
      VTFVSWLWEVSHZWCWGVTWLWMIZWAWEUJZVSHZVNWOLZMVTWCWGIZWNWOVRHZWONHZIZWPWLWAV
      RHZWANHZIWEVRHZWENHZIXAWMWAVRNTWEVRNTXBXDXCXEXAXBXDIWSXCXEIWTWAWECUKWAWEU
      LUMUNUOWOVRNTUPWRVNWBWFJWQAWBBWFUQWAWEURUSDWOVSVQWQVNVPWOUTVAVBUNVCVEVFVK
      VOVTQZVLVKVNPHWIXFABVJVGWJDVNCPPRVHSVI $.
  $}

  ${
    $d t x y z A $.  $d x y z B $.  $d y z V $.
    $( The set of finite intersections is the smallest set that contains ` A `
       and is closed under pairwise intersection.  (Contributed by Mario
       Carneiro, 24-Nov-2013.) $)
    dffi2 $p |- ( A e. V -> ( fi ` A ) =
        |^| { z | ( A C_ z /\ A. x e. z A. y e. z ( x i^i y ) e. z ) } ) $=
      ( vt wcel cvv cfi cv wss cin wral wa cint wceq wi wal cfn w3a cfv cab cpw
      elex wrex wb vex elfi mpan biimpd wex df-rex c0 wne fiint elpwid 3ad2ant2
      elinel1 simp1 sstrd eqvisset intex sylibr elinel2 3jca 3expib pm2.27 syl6
      3ad2ant3 eleq1 biimprd adantl a1i syldd com23 alimdv syl5bi 19.23v sylan9
      imp sylib ssrdv ex alrimiv ssintab ssfii fiin rgen2 fvex sseq2 raleqbi1dv
      eleq2 anbi12d elab sylanblrc intss1 syl eqssd ) DEGDHGZDIUAZDCJZKZAJZBJZL
      ZXAGZBXAMZAXAMZNZCUBZOZPDEUDWSWTXKWSXIWTXAKZQZCRWTXKKWSXMCWSXIXLWSXINFWTX
      AWSFJZWTGZXNXCOZPZADUCZSLZUEZXIXNXAGZWSXOXTXNHGWSXOXTUFFUGAXNDHHUHUIUJXTX
      CXSGZXQNZAUKZXIYAXQAXSULXIYCYAQZARZYDYAQXBXHYFXHXCXAKZXCUMUNZXCSGZTZXPXAG
      ZQZARXBYFABXAUOXBYLYEAXBYCYLYAXBYCYLYKYAXBYCYJYLYKQXBYBXQYJXBYBXQTZYGYHYI
      YMXCDXAYBXBXCDKXQYBXCDXCXRSURUPUQXBYBXQUSUTXQXBYHYBXQXPHGYHFXPVAXCVBVCVIY
      BXBYIXQXCXRSVDUQVEVFYJYKVGVHYCYKYAQZQXBXQYNYBXQYAYKXNXPXAVJVKVLVMVNVOVPVQ
      VTYCYAAVRWAVQVSWBWCWDXICWTWEVCWSWTXJGZXKWTKWSDWTKZXEWTGZBWTMZAWTMZYODHWFY
      QABWTWTXCXDDWGWHXIYPYSNCWTDIWIXAWTPXBYPXHYSXAWTDWJXGYRAXAWTXFYQBXAWTXAWTX
      EWLWKWKWMWNWOWTXJWPWQWRWQ $.

    $( Subset relationship for function ` fi ` .  (Contributed by Jeff Hankins,
       7-Oct-2009.)  (Revised by Mario Carneiro, 24-Nov-2013.) $)
    fiss $p |- ( ( B e. V /\ A C_ B ) -> ( fi ` A ) C_ ( fi ` B ) ) $=
      ( vy vx vz wcel wss wa cv cin wral cab cint cfi cfv syl cvv wceq dffi2 wi
      sstr2 adantl anim1d ss2abdv intss ssexg ancoms adantr 3sstr4d ) BCGZABHZI
      ZADJZHZEJFJKUNGFUNLEUNLZIZDMZNZBUNHZUPIZDMZNZAOPZBOPZUMVBURHUSVCHUMVAUQDU
      MUTUOUPULUTUOUAUKABUNUBUCUDUEVBURUFQUMARGZVDUSSULUKVFABCUGUHEFDARTQUKVEVC
      SULEFDBCTUIUJ $.

    $( A set which is closed under pairwise intersection is closed under finite
       intersection.  (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by
       Mario Carneiro, 24-Nov-2013.) $)
    inficl $p |- ( A e. V ->
        ( A. x e. A A. y e. A ( x i^i y ) e. A <-> ( fi ` A ) = A ) ) $=
      ( vz wcel cv cin wral cfi cfv wceq wss ssfii wa cab cint eleq2 raleqbi1dv
      eqimss2 bitr3d elabg intss1 syl6bir dffi2 sseq1d sylibrd eqss simplbi2com
      biantrurd sylsyld fiin rgen2 mpbii impbid1 ) CDFZAGZBGZHZCFZBCIZACIZCJKZC
      LZUPCVCMZVBVCCMZVDCDNUPVBCEGZMZUSVGFZBVGIZAVGIZOZEPZQZCMZVFUPVBCVMFVOVLVB
      ECDVGCLZVKVLVBVPVHVKCVGTUJVJVAAVGCVIUTBVGCVGCUSRSSUAUBCVMUCUDUPVCVNCABECD
      UEUFUGVDVFVEVCCUHUIUKVDUSVCFZBVCIZAVCIVBVQABVCVCUQURCULUMVRVAAVCCVQUTBVCC
      VCCUSRSSUNUO $.

    $( The set of finite intersections of a set is contained in the powerset of
       the union of the elements of ` A ` .  (Contributed by Mario Carneiro,
       24-Nov-2013.)  (Proof shortened by Mario Carneiro, 21-Mar-2015.) $)
    fipwuni $p |- ( fi ` A ) C_ ~P U. A $=
      ( vx vy cvv wcel cfi cfv cuni cpw wss uniexg pwexd pwuni fiss sylancl cin
      cv wral wceq elpw ssinss1 vex inex1 3imtr4i adantr rgen2 inficl syl mpbii
      wb sseqtrd wn c0 fvprc 0ss eqsstrdi pm2.61i ) ADEZAFGZAHZIZJURUSVAFGZVAUR
      VADEZAVAJUSVBJURUTDADKLZAMAVADNOURBQZCQZPZVAEZCVARBVARZVBVASZVHBCVAVAVEVA
      EZVHVFVAEVEUTJVGUTJVKVHVEVFUTUAVEUTBUBZTVGUTVEVFVLUCTUDUEUFURVCVIVJUJVDBC
      VADUGUHUIUKURULUSUMVAAFUNVAUOUPUQ $.

    $( A singleton is closed under finite intersections.  (Contributed by Mario
       Carneiro, 3-Sep-2015.) $)
    fisn $p |- ( fi ` { A } ) = { A } $=
      ( vx vy cv cin csn wcel wral cfi cfv wceq wa elsni ineqan12d inidm eqtrdi
      vex inex1 elsn cvv sylibr rgen2 wb snex inficl ax-mp mpbi ) BDZCDZEZAFZGZ
      CUKHBUKHZUKIJUKKZULBCUKUKUHUKGZUIUKGZLZUJAKULUQUJAAEAUOUPUHAUIAUHAMUIAMNA
      OPUJAUHUIBQRSUAUBUKTGUMUNUCAUDBCUKTUEUFUG $.
  $}

  $( The union of the finite intersections of a set is simply the union of the
     set itself.  (Contributed by Jeff Hankins, 5-Sep-2009.)  (Revised by Mario
     Carneiro, 24-Nov-2013.) $)
  fiuni $p |- ( A e. V -> U. A = U. ( fi ` A ) ) $=
    ( wcel cuni cfi cfv ssfii unissd wss cpw fipwuni unissi unipw sseqtri eqssd
    a1i ) ABCZADZAEFZDZQASABGHTRIQTRJZDRSUAAKLRMNPO $.

  $( If a set is a family of subsets of some base set, then so is its finite
     intersection.  (Contributed by Stefan O'Rear, 2-Aug-2015.) $)
  fipwss $p |- ( A C_ ~P X -> ( fi ` A ) C_ ~P X ) $=
    ( cvv wcel cpw wss cfi cuni fiuni sseq1d sspwuni 3bitr4g biimpa wn c0 fvprc
    cfv 0ss eqsstrdi adantr pm2.61ian ) ACDZABEZFZAGQZUCFZUBUDUFUBAHZBFUEHZBFUD
    UFUBUGUHBACIJABKUEBKLMUBNZUFUDUIUEOUCAGPUCRSTUA $.

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.  $d x y z K $.
    $( A finite intersection of elements taken from a union of collections.
       (Contributed by Jeff Hankins, 15-Nov-2009.)  (Proof shortened by Mario
       Carneiro, 26-Nov-2013.) $)
    elfiun $p |- ( ( B e. D /\ C e. K ) -> ( A e. ( fi ` ( B u. C ) ) <-> ( A
    e. ( fi ` B ) \/ A e. ( fi ` C ) \/ E. x e. ( fi ` B ) E. y e. ( fi ` C ) A
    = ( x i^i y ) ) ) ) $=
      ( vz wcel wa cin wceq wrex cvv wi 3expib cfn c0 wss cdif cun cfi cfv elex
      cv w3o w3a adantl simpll simplr 3jca 3anim1i inex1 eleq1 mpbiri rexlimivv
      vex a1i 3jaoi impcom cint cpw simp1 unexg 3adant1 elfi syl2anc wne simpl1
      wb intex bitr4di syl5ibcom simp22 inss2 simp1l simp3l elin2d ssfi sylancl
      inss1 elfir simp23 simp1r elinel1 elpwid df-ss biimpi indi eqtr3di inteqd
      intun eqtrdi 3syl ineq1 eqeq2d ineq2 rspc2ev syl3anc 3mix3d reldisj mpbid
      syl13anc uncom difeq1i difun2 eqtri difss sstrdi simp3r 3mix2d pm2.61iine
      eqsstri 3mix1d eqeq1 2rexbidv 3orbi123d syl5ibrcom expr com23 mpdd sylbid
      rexlimdva ssun1 fiss sseld ssun2 anim12d fiin eleq1a syl6 rexlimdvv 3jaod
      syl impbid pm5.21nd ) DFIZEGIZJZCDEUAZUBUCZIZCDUBUCZIZCEUBUCZIZCAUEZBUEZK
      ZLZBUUEMAUUCMZUFZCNIZYQYRUGZYSUUBJUUMYQYRUUBUUMYSCUUAUDUHYQYRUUBUIYQYRUUB
      UJUKUULYSUUNUUDYSUUNOUUFUUKUUDYQYRUUNUUDUUMYQYRCUUCUDULPUUFYQYRUUNUUFUUMY
      QYRCUUEUDULPUUKYQYRUUNUUKUUMYQYRUUJUUMABUUCUUEUUJUUMOUUGUUCIZUUHUUEIZJZUU
      JUUMUUINIUUGUUHAUQUMCUUINUNUOURUPULPUSUTUUNUUBUULUUNUUBCHUEZVAZLZHYTVBZQK
      ZMZUULUUNUUMYTNIZUUBUVCVJUUMYQYRVCYQYRUVDUUMDEFGVDZVEHCYTNNVFVGUUNUUTUULH
      UVBUUNUURUVBIZJZUUTUURRVHZUULUVGUUMUUTUVHUUMYQYRUVFVIUUTUUMUUSNIUVHCUUSNU
      NUURVKVLVMUVGUVHUUTUULUUNUVFUVHUUTUULOUUNUVFUVHJZJZUULUUTUUSUUCIZUUSUUEIZ
      UUSUUILZBUUEMAUUCMZUFZUVJUVOOUURDKZUUREKZRRUVPRVHZUVQRVHZJZUUNUVIUVOUVTUU
      NUVIUGZUVNUVKUVLUWAUVPVAZUUCIZUVQVAZUUEIZUUSUWBUWDKZLZUVNUWAYQUVPDSZUVRUV
      PQIZUWCUVTUUMYQYRUVIVNUWHUWAUURDVOURUVRUVSUUNUVIVPUWAUURQIZUVPUURSUWIUWAU
      VAQUURUVTUUNUVFUVHVQZVRZUURDWAUURUVPVSVTUVPDFWBXCUWAYRUVQESZUVSUVQQIZUWEU
      VTUUMYQYRUVIWCUWMUWAUUREVOURUVRUVSUUNUVIWDUWAUWJUVQUURSUWNUWLUUREWAUURUVQ
      VSVTUVQEGWBXCUWAUVFUURYTSZUWGUWKUVFUURYTUURUVAQWEWFZUWOUUSUVPUVQUAZVAUWFU
      WOUURUWQUWOUURYTKZUURUWQUWOUWRUURLUURYTWGWHUURDEWIWJWKUVPUVQWLWMWNUVMUWGU
      USUWBUUHKZLABUWBUWDUUCUUEUUGUWBLUUIUWSUUSUUGUWBUUHWOWPUUHUWDLUWSUWFUUSUUH
      UWDUWBWQWPWRWSWTPUVPRLZUUNUVIUVOUWTUUNUVIUGZUVLUVKUVNUXAYRUURESUVHUWJUVLU
      WTUUMYQYRUVIWCUXAUURYTDTZEUXAUWTUURUXBSZUWTUUNUVIVCUXAUVFUWOUWTUXCVJUWTUU
      NUVFUVHVQZUWPUURDYTXAWNXBUXBEDTZEUXBEDUAZDTUXEYTUXFDDEXDXEEDXFXGEDXHXMXIU
      WTUUNUVFUVHXJUXAUVAQUURUXDVRUUREGWBXCXKPUVQRLZUUNUVIUVOUXGUUNUVIUGZUVKUVL
      UVNUXHYQUURDSUVHUWJUVKUXGUUMYQYRUVIVNUXHUURYTETZDUXHUXGUURUXISZUXGUUNUVIV
      CUXHUVFUWOUXGUXJVJUXGUUNUVFUVHVQZUWPUUREYTXAWNXBUXIDETDDEXFDEXHXMXIUXGUUN
      UVFUVHXJUXHUVAQUURUXKVRUURDFWBXCXNPXLUUTUUDUVKUUFUVLUUKUVNCUUSUUCUNCUUSUU
      EUNUUTUUJUVMABUUCUUECUUSUUIXOXPXQXRXSXTYAYCYBUUNUUDUUBUUFUUKUUNUUCUUACYQY
      RUUCUUASZUUMYSUVDDYTSUXLUVEDEYDDYTNYEVTVEZYFUUNUUEUUACYQYRUUEUUASZUUMYSUV
      DEYTSUXNUVEEDYGEYTNYEVTVEZYFUUNUUJUUBABUUCUUEUUNUUQUUGUUAIZUUHUUAIZJZUUJU
      UBOZUUNUUOUXPUUPUXQUUNUUCUUAUUGUXMYFUUNUUEUUAUUHUXOYFYHUXRUUIUUAIUXSUUGUU
      HYTYIUUIUUACYJYNYKYLYMYOYP $.
  $}

  ${
    $d a b c d m n v x y A $.  $d a b c d m n v x y R $.  $d c d m n x y V $.
    $d a b u v y z $.
    dffi3.1 $e |- R = ( u e. _V |->
      ran ( y e. u , z e. u |-> ( y i^i z ) ) ) $.
    $( The set of finite intersections can be "constructed" inductively by
       iterating binary intersection ` _om ` -many times.  (Contributed by
       Mario Carneiro, 21-Mar-2015.) $)
    dffi3 $p |- ( A e. V -> ( fi ` A ) = U. ( rec ( R , A ) " _om ) ) $=
      ( vx vn va vb vv wcel com cv wss wral wa wceq cvv vc vd cfi cfv crdg cres
      vm crn cuni cima cin cab cint dffi2 fr0g wfn frfnom peano1 fnfvelrn mp2an
      c0 eqeltrrdi elssuni syl wrex ciun reeanv eliun anbi12i wb fniunfv eleq2d
      anbi12d ax-mp 3bitr2i cun word ordom ordunel mp3an1 adantl simprl jca weq
      wi wo con0 nnon ad2antlr csuc fveq2 sseq1d sseq2d raleqbi1dv eqsstrd cmpo
      eqidd ineq1 eqeq2d ineq2 eqtrdi rspc2ev syl3anc eqid rnmpo cpw fvex uniex
      sylibr pwex cxp wf adantr sstrid vex inex1 elpw rgen2 fmpo mpbi frn ssexi
      nfcv cmpt mpoeq12 anidms rneqd frsucmpt sylancl sylib a1i ralrimiva sseq2
      ex imbi12d sseq1 rspc2v syl3c sseld simprr onsseleq syl2an2 rzal biantrud
      bitr3d ssfii csn id inidm abeq2i ssriv simpl inss1 cbvmpov cbvmptv rdgeq1
      eqtri reseq1i sseqtrrid sstr2 syl5com ralimdv jctird df-suc raleqi ralunb
      ralsn bitri syl6ibr fiin ss2ralv frnd jctild expimpd finds2 impcom simprd
      mpi a1d r19.21bi eqimss jaod sylbid ssun1 ssun2 peano2 ssiun2s 3syl eqeq1
      2rexbidv elab eleqtrrdi eleqtrrd eleqtrdi syl2and rexlimdvva imp sylan2br
      sseldd ralrimivva simpld elpw2 fnfvrnss sylancr sspwuni ssexg eleq2 elabg
      mpbir2and intss1 eqssd df-ima unieqi eqtr4di ) DFMZDUCUDZEDUEZNUFZUHZUIZU
      XQNUJZUIUXOUXPUXTUXOUXPDHOZPZUAOZUBOZUKZUYBMZUBUYBQZUAUYBQZRZHULZUMZUXTUA
      UBHDFUNUXOUXTUYKMZUYLUXTPUXOUYMDUXTPZUYFUXTMZUBUXTQZUAUXTQZUXODUXSMUYNUXO
      DVAUXRUDZUXSDFEUOZUXRNUPZVANMUYRUXSMDEUQZURNVAUXRUSUTVBDUXSVCVDUXOUYOUAUB
      UXTUXTUYDUXTMZUYEUXTMZRZUXOUYDUGOZUXRUDZMZUYEIOZUXRUDZMZRZINVEUGNVEZUYOVU
      LVUGUGNVEZVUJINVEZRUYDUGNVUFVFZMZUYEINVUIVFZMZRZVUDVUGVUJUGINNVGVUPVUMVUR
      VUNUGUYDNVUFVHIUYENVUIVHVIUYTVUSVUDVJVUAUYTVUPVUBVURVUCUYTVUOUXTUYDUGNUXR
      VKVLUYTVUQUXTUYEINUXRVKVLVMVNVOUXOVULUYOUXOVUKUYOUGINNUXOVUENMZVUHNMZRZRZ
      VUGUYDVUEVUHVPZUXRUDZMZVUJUYEVVEMZUYOVVCVUFVVEUYDVVCVVDNMZVUTRAOZUYBPZVVI
      UXRUDZUYBUXRUDZPZWEZANQZHNQZVUEVVDPZVUFVVEPZVVCVVHVUTVVBVVHUXONVQVUTVVAVV
      HVRNVUEVUHVSVTZWAZUXOVUTVVAWBWCUXOVVPVVBUXOVVOHNUXOUYBNMZRZVVNANVWBVVINMZ
      RZVVJVVIUYBMZAHWDZWFZVVMVWCVVIWGMVWBUYBWGMZVVJVWGVJVVIWHVWAVWHUXOVWCUYBWH
      WIVVIUYBUUAUUBVWDVWEVVMVWFVWBVWEVVMWEVWCVWBVWEVVMVWBVVMAUYBVWBVVLUXPPZVVM
      AUYBQZVWAUXOVWIVWJRZVWKUYRUXPPZVUIUXPPZVVKVUIPZAVUHQZRZVUHWJZUXRUDZUXPPZV
      VKVWRPZAVWQQZRZUXOHIUYBVASZVWIVWKVWLVXCVWJVWIVVMAUYBUUCUUDVXCVVLUYRUXPUYB
      VAUXRWKWLUUEHIWDZVWIVWMVWJVWOVXDVVLVUIUXPUYBVUHUXRWKZWLVVMVWNAUYBVUHVXDVV
      LVUIVVKVXEWMWNVMUYBVWQSZVWIVWSVWJVXAVXFVVLVWRUXPUYBVWQUXRWKZWLVVMVWTAUYBV
      WQVXFVVLVWRVVKVXGWMWNVMUXOUYRDUXPUYSDFUUFWOVVAVWPVXBWEUXOVVAVWMVWOVXBVVAV
      WMRZVWOVXAVWSVXHVWOVWTAVUHQZVWTAVUHUUGZQZRZVXAVXHVWOVXIVXKVXHVWNVWTAVUHVX
      HVUIVWRPZVWNVWTVXHJKVUIVUIJOZKOZUKZWPZUHZVUIVWRHVUIVXRUYBVUIMZUYBVXPSZKVU
      IVEJVUIVEZUYBVXRMVXSVXSVXSHHWDZVYAVXSUUHZVYCVXSUYBWQVXTVYBUYBUYBVXOUKZSJK
      UYBUYBVUIVUIJHWDVXPVYDUYBVXNUYBVXOWRWSKHWDZVYDUYBUYBVYEVYDUYBUYBUKUYBVXOU
      YBUYBWTUYBUUIXAWSXBXCVYAHVXRJKHVUIVUIVXPVXQVXQXDZXEUUJXIUUKVXHVVAVXRTMVWR
      VXRSVVAVWMUULVXRVUIUIZXFZVYGVUIVUHUXRXGXHXJVUIVUIXKZVYHVXQXLZVXRVYHPVXPVY
      HMZKVUIQJVUIQVYJVYKJKVUIVUIVXNVUIMZVXOVUIMZRZVXPVYGPVYKVYNVXPVXNVYGVXNVXO
      UUMZVYLVXNVYGPVYMVXNVUIVCXMXNVXPVYGVXNVXOJXOXPZXQXIXRJKVUIVUIVXPVYHVXQVYF
      XSXTVYIVYHVXQYAVNYBLDVUHJKLOZVYQVXPWPZUHZVXRUXRTLDYCZLVUHYCLVXRYCUXQLTVYS
      YDZDUEZNEWUASUXQWUBSECTABCOZWUCVVIBOZUKZWPZUHZYDWUAGCLTWUGVYSCLWDZWUFVYRW
      UHWUFABVYQVYQWUEWPZVYRWUHWUFWUISABWUCWUCVYQVYQWUEYEYFABJKVYQVYQWUEVXPVXNW
      UDUKVVIVXNWUDWRWUDVXOVXNWTUUNXAYGUUOUUQDEWUAUUPVNUURZVYQVUISZVYRVXQWUKVYR
      VXQSJKVYQVYQVUIVUIVXPYEYFYGYHYIZUUSZVVKVUIVWRUUTUVAUVBVXHVXMVXKWUMVWTVXMA
      VUHIXOAIWDZVVKVUIVWRVVIVUHUXRWKZWLUVGXIUVCVXAVWTAVUHVXJVPZQVXLVWTAVWQWUPV
      UHUVDUVEVWTAVUHVXJUVFUVHUVIVXHVWRVXRUXPWULVWMVXRUXPPVVAVWMVYIUXPVXQVWMVXP
      UXPMZKVUIQJVUIQZVYIUXPVXQXLVWMWUQKUXPQJUXPQWURWUQJKUXPUXPVXNVXODUVJXRWUQJ
      KVUIUXPUVKUVRJKVUIVUIVXPUXPVXQVYFXSYJUVLWAWOUVMUVNUVSUVOUVPZUVQUVTYNXMVWF
      VVMWEVWDVWFVVKVVLSVVMVVIUYBUXRWKVVKVVLUWAVDYKUWBUWCYLYLXMZVVQVVCVUEVUHUWD
      YKVVNVVQVVRWEVVIVVDPZVVKVVEPZWEZHAVVDVUENNUYBVVDSZVVJWVAVVMWVBUYBVVDVVIYM
      WVDVVLVVEVVKUYBVVDUXRWKWMYOZAUGWDZWVAVVQWVBVVRVVIVUEVVDYPWVFVVKVUFVVEVVIV
      UEUXRWKWLYOYQYRYSVVCVUIVVEUYEVVCVVHVVARVVPVUHVVDPZVUIVVEPZVVCVVHVVAVVTUXO
      VUTVVAYTWCWUTWVGVVCVUHVUEUWEYKVVNWVGWVHWEWVCHAVVDVUHNNWVEWUNWVAWVGWVBWVHV
      VIVUHVVDYPWUNVVKVUIVVEWUOWLYOYQYRYSVVCVVFVVGRZUYOVVCWVIRZUYFHNVVLVFZUXTWV
      JVVDWJZUXRUDZWVKUYFWVJVVHWVLNMWVMWVKPVVBVVHUXOWVIVVSWIZVVDUWFHNVVLWVLWVMU
      YBWVLUXRWKUWGUWHWVJUYFJKVVEVVEVXPWPZUHZWVMWVJUYFVXTKVVEVEJVVEVEZHULZWVPWV
      JUYFVXPSZKVVEVEJVVEVEZUYFWVRMWVJVVFVVGUYFUYFSZWVTVVCVVFVVGWBVVCVVFVVGYTWV
      JUYFWQWVSWWAUYFUYDVXOUKZSJKUYDUYEVVEVVEJUAWDVXPWWBUYFVXNUYDVXOWRWSKUBWDWW
      BUYFUYFVXOUYEUYDWTWSXBXCWVQWVTHUYFUYDUYEUAXOXPUYBUYFSVXTWVSJKVVEVVEUYBUYF
      VXPUWIUWJUWKXIJKHVVEVVEVXPWVOWVOXDZXEUWLWVJVVHWVPTMWVMWVPSWVNWVPVVEUIZXFZ
      WWDVVEVVDUXRXGXHXJVVEVVEXKZWWEWVOXLZWVPWWEPVXPWWEMZKVVEQJVVEQWWGWWHJKVVEV
      VEVXNVVEMZWWHVXOVVEMWWIVXPWWDPWWHWWIVXPVXNWWDVYOVXNVVEVCXNVXPWWDVYPXQXIXM
      XRJKVVEVVEVXPWWEWVOWWCXSXTWWFWWEWVOYAVNYBLDVVDVYSWVPUXRTVYTLVVDYCLWVPYCWU
      JVYQVVESZVYRWVOWWJVYRWVOSJKVYQVYQVVEVVEVXPYEYFYGYHYIUWMUWSUYTWVKUXTSVUAHN
      UXRVKVNUWNYNUWOUWPUWQUWRUWTUXOUXTTMZUYMUYNUYQRZVJUXOUXTUXPPZUXPTMWWKUXOUX
      SUXPXFZPZWWMUXOUYTVVLWWNMZHNQWWOVUAUXOWWPHNVWBVWIWWPVWBVWIVWJWUSUXAVVLUXP
      DUCXGZUXBXIYLHNWWNUXRUXCUXDUXSUXPUXEYJZWWQUXTUXPTUXFYIUYJWWLHUXTTUYBUXTSU
      YCUYNUYIUYQUYBUXTDYMUYHUYPUAUYBUXTUYGUYOUBUYBUXTUYBUXTUYFUXGWNWNVMUXHVDUX
      IUXTUYKUXJVDWOWWRUXKUYAUXSUXQNUXLUXMUXN $.
  $}

  ${
    $d x y A $.  $d x F $.  $d x y V $.
    fifo.1 $e |- F = ( y e. ( ( ~P A i^i Fin ) \ { (/) } ) |-> |^| y ) $.
    $( Describe a surjection from nonempty finite sets to finite intersections.
       (Contributed by Mario Carneiro, 18-May-2015.) $)
    fifo $p |- ( A e. V ->
      F : ( ( ~P A i^i Fin ) \ { (/) } ) -onto-> ( fi ` A ) ) $=
      ( vx wcel cpw cfn cin c0 csn cdif cfi wfo cv cvv sylib wceq wb cint intex
      cfv crn wfn wral wne eldifsni rgen fnmpt mp1i dffn4 elfi2 elrnmpt bitr4di
      wrex elv eqrdv foeq3 syl mpbird ) BDGZBHIJZKLMZBNUCZCOZVDCUDZCOZVBCVDUEZV
      HAPZUAZQGZAVDUFVIVBVLAVDVJVDGVJKUGVLVJVCKUHVJUBRUIAVDVKCQEUJUKVDCULRVBVEV
      GSVFVHTVBFVEVGVBFPZVEGVMVKSAVDUPZVMVGGZAVMBDUMVOVNTFAVDVKVMCQEUNUQUOURVEV
      GVDCUSUTVA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Hall's marriage theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A a b c d e f g h i j k $.

    $( Core induction for Philip Hall's marriage theorem.  (Contributed by
       Stefan O'Rear, 19-Feb-2015.) $)
    marypha1lem $p |- ( A e. Fin -> ( b e. Fin ->
          A. c e. ~P ( A X. b ) ( A. d e. ~P A d ~<_ ( c " d ) ->
              E. e e. ~P c e : A -1-1-> _V ) ) ) $=
      ( wcel cdom wbr cpw wral cvv wf1 wrex wi wceq wa c0 sylib cin wss va cima
      vf vg vh vi vj vk cv cfn cxp weq xpeq1 pweqd pweq raleqdv rexbidv imbi12d
      f1eq2 raleqbidv imbi2d wpss wal wne csdm f1eq1 rspcev mp2an mpbiri a1i n0
      wex csn id imaeq2 breq12d rspcva vex 0sdom mpbir syl adantl ad2antlr impr
      imaex cdif difexi elpwi ad2antrl biimpi simprr psseq1 spvv sylc pm2.61dne
      expr imaeq2d ineq1d indif2 crn rnss rnxpss sstrdi difeq1d eqtrid ad2antrr
      df-ss breqtrrd ralrimiva cbvralvw adantllr inss2 difss elpw adantr imaeq1
      imainrect breq2d ralbidv rexeqdv mpd cbvrexvw cun inss1 unssd sylibr wf1o
      elpw2 f1f1orn disjdif incom ssdisj sylancl syl22anc mpbid syl2anc exlimdv
      rexlimdvaa wn rspcdva bi2.04 albii bitri 0elpw f10 snelpwi snnz sdomdomtr
      19.21v snex mpan expcom syl5 breq1 simpll difsnpss sspsstrd neeq1 anbi12d
      0dom jca domdifsn adantlrr adantll imassrn sstrid eqtrd xpss2 ax-mp sstri
      eqtr3id inex1 simpllr ad2antll spcv sylancr elimasn snssd ad2ant2lr f1osn
      cop disjdifr f1oun snssi undif f1oeq2d f1of1 ssv f1ss expd syl5bi exanali
      wb cres simprll pssss sspwd simplrr ssralv resima2 eqcomd ralbiia simplrl
      ssres df-res inxp xpss12 eqsstri resex imaundi undif2 eqtr4i breqtrdi cen
      ex simp-4l ssfid bren2 sylanbrc ensymd ssdifin0 domunfican eqtrdi biimpar
      neeq1d disj4 bicomi necon1abii resss df-ima sseqtrrdi mp2d sylan2br exp32
      imp pm2.61dan ralrimiv exp31 a2d findcard3 ) CUIZUJFZEUIZDUIZVUCUBZGHZEUA
      UIZIZJZVUGKBUIZLZBVUDIZMZNZDVUGVUAUKZIZJZNZVUBVUFEUCUIZIZJZVUSKVUJLZBVULM
      ZNZDVUSVUAUKZIZJZNZVUBVUFEAIZJZAKVUJLZBVULMZNZDAVUAUKZIZJZNUAUCAUAUCULZVU
      QVVGVUBVVQVUNVVDDVUPVVFVVQVUOVVEVUGVUSVUAUMUNVVQVUIVVAVUMVVCVVQVUFEVUHVUT
      VUGVUSUOUPVVQVUKVVBBVULVUGVUSKVUJUSUQURUTVAVUGAOZVUQVVPVUBVVRVUNVVMDVUPVV
      OVVRVUOVVNVUGAVUAUMUNVVRVUIVVJVUMVVLVVRVUFEVUHVVIVUGAUOUPVVRVUKVVKBVULVUG
      AKVUJUSUQURUTVAVUGVUSVBZVURNZUAVCZVUBVVSVUQNZUAVCZNZVUSUJFZVVHVWAVUBVWBNZ
      UAVCVWDVVTVWFUAVVSVUBVUQUUAUUBVUBVWBUAUUIUUCVWEVUBVWCVVGVWEVUBVWCVVGVWEVU
      BPZVWCPZVUCUDUIZVUCUBZGHZEVUTJZVVBBVWIIZMZNZUDVVFJVVGVWHVWOUDVVFVWHVWIVVF
      FZVWLVWNVWHVWPVWLPZPZUEUIZVUSVBZVWSQVDZPZVWSVWIVWSUBZVEHZNZUEVCZVWNVWRVXF
      PZVWNVUSQVUSQOZVWNNVXGVXHVWNQKVUJLZBVWMMZQVWMFQKQLZVXJVWIUUDKUUEVXIVXKBQV
      WMQKVUJQVFVGVHVXHVVBVXIBVWMVUSQKVUJUSUQVIVJVUSQVDUFUIZVUSFZUFVLVXGVWNUFVU
      SVKVXGVXMVWNUFVWRVXFVXMVWNVWRVXFVXMPZPZUGUIZVWIVXLVMZUBZFZUGVLZVWNVXOVXRQ
      VDZVXTVWRVXFVXMVYAVWQVXMVYANZVWHVXFVWLVYBVWPVXMVXQVUTFZVWLVYAVXLVUSUUFVYC
      VWLVYAVYCVWLPVXQVXRGHZVYAVWKVYDEVXQVUTVUCVXQOZVUCVXQVWJVXRGVYEVNVUCVXQVWI
      VOVPVQVYDQVXRVEHZVYAQVXQVEHZVYDVYFVYGVXQQVDVXLUFVRZUUGVXQVXLUUJVSVTQVXQVX
      RUUHUUKVXRVWIVXQUDVRZWEVSRWAUULUUMWBWCWDUGVXRVKRVXOVXSVWNUGVWRVXFVXMVXSVW
      NNVXGVXMVXSVWNVWRVXFVXMVXSPZVWNVWRVXFVYJPZPZVUSVXQWFZKUHUIZLZUHVWIVYMVUAV
      XPVMZWFZUKZSZIZMZVWNVYLVYMKVUJLZBVYTMZWUAVYLVUCVYSVUCUBZGHZEVYMIZJZWUCVWG
      VWQVYKWUGVWCVWGVWQPZVYKPZVUDVWIVUDVYMSZUBZVYQSZGHZDWUFJWUGWUIWUMDWUFWUIVU
      DWUFFZPZVUDVWIVUDUBZVYPWFZWULGVYKWUNVUDWUQGHZWUHVXFVXMWUNWURVXSVXNWUNPZWU
      RVUDQVUDQOZWURNWUSWUTWURQWUQGHWUQWUPVYPVWIVUDVYIWEWGUUTVUDQWUQGUUNVIVJVXN
      WUNVUDQVDZWURVXNWUNWVAPZPZVUDWUPVEHZWURWVCVXFVUDVUSVBZWVAPZWVDVXFVXMWVBUU
      OWVCWVEWVAWVCVUDVYMVUSWUNVUDVYMTZVXNWVAVUDVYMWHZWIVXMVYMVUSVBZVXFWVBVXMWV
      IVXLVUSUUPWJZWCUUQVXNWUNWVAWKUVAVXEWVFWVDNUEDUEDULZVXBWVFVXDWVDWVKVWTWVEV
      XAWVAVWSVUDVUSWLVWSVUDQUURUUSWVKVWSVUDVXCWUPVEWVKVNVWSVUDVWIVOVPURWMWNVUD
      WUPVXPUVBWAWPWOUVCUVDWUOWULWUPVYQSZWUQWUNWULWVLOWUIWUNWUKWUPVYQWUNWUJVUDV
      WIWUNWVGWUJVUDOWVHVUDVYMXGRWQWRWBWUHWVLWUQOVYKWUNWUHWVLWUPVUASZVYPWFZWUQW
      UPVUAVYPWSVWPWVNWUQOVWGVWLVWPWVMWUPVYPVWPWUPVUATWVMWUPOVWPWUPVWIWTZVUAVWI
      VUDUVEVWPVWIVVETZWVOVUATVWIVVEWHZWVPWVOVVEWTVUAVWIVVEXAVUSVUAXBXCWAUVFWUP
      VUAXGRZXDWIXEXFUVGXHXIWUMWUEDEWUFDEULZVUDVUCWULWUDGWVSVNZWVSWULVYSVUDUBWU
      DVYMVYQVWIVUDXQVUDVUCVYSVOUVKVPXJRXKVYLVYSVYMVUAUKZIZFZVUFEWUFJZWUBBVULMZ
      NZDWWBJZWUGWUCNZWWCVYSWWATVYSVYRWWAVWIVYRXLZVYQVUATVYRWWATVUAVYPXMVYQVUAV
      YMUVHUVIUVJVYSWWAVWIVYRVYIUVLXNVTVYLVWCWVIWWGVWGVWCVWQVYKUVMVYJWVIVWRVXFV
      XMWVIVXSWVJXOUVNVWBWVIWWGNUAVYMVUSVXQUCVRZWGVUGVYMOZVVSWVIVUQWWGVUGVYMVUS
      WLWWKVUNWWFDVUPWWBWWKVUOWWAVUGVYMVUAUMUNWWKVUIWWDVUMWWEWWKVUFEVUHWUFVUGVY
      MUOUPWWKVUKWUBBVULVUGVYMKVUJUSUQURUTURUVOWNWWFWWHDVYSWWBVUDVYSOZWWDWUGWWE
      WUCWWLVUFWUEEWUFWWLVUEWUDVUCGVUDVYSVUCXPXRXSWWLWUBBVULVYTVUDVYSUOXTURVQUV
      PYAWUBVYOBUHVYTVYMKVUJVYNVFYBRVWGVWQVYKWUAVWNNZVWCWUHVXFVYJWWMVWQVYJWWMNZ
      VWGVXFVWPWWNVWLVWPVYJWWMVWPVYJPZVYOVWNUHVYTWWOVYNVYTFZVYOPZPZVXLVXPUWAZVM
      ZVYNYCZVWMFZVUSKWXALZVWNVYJWWPWXBVWPVYOVYJWWPPZWXAVWITWXBWXDWWTVYNVWIVXSW
      WTVWITVXMWWPVXSWWSVWIVXSWWSVWIFVWIVXLVXPVYHUGVRZUVQWJUVRWCWWPVYNVWITVYJWW
      PVYNVYSVWIVYNVYSWHZVWIVYRYDXCWBYEWXAVWIVYIYHYFUVSWWRVUSVYPVYNWTZYCZWXAYGZ
      WXCWWRVXQVYMYCZWXHWXAYGZWXIWWQWXKWWOWWQVXQVYPWWTYGZVYMWXGVYNYGZVXQVYMSQOZ
      VYPWXGSZQOZWXKWXLWWQVXLVXPVYHWXEUVTVJVYOWXMWWPVYMKVYNYIWBWXNWWQVXQVUSYJVJ
      WWPWXPVYOWWPWXOWXGVYPSZQVYPWXGYKWWPWXGVYQTZVYQVYPSQOWXQQOWWPVYNVYRTZWXRWW
      PVYNVYSVYRWXFWWIXCWXSWXGVYRWTVYQVYNVYRXAVYMVYQXBXCWAVYPVUAUWBWXGVYQVYPYLY
      MXEXOVXQVYPVYMWXGWWTVYNUWCYNWBWWOWXKWXIUWMWWQWWOWXJVUSWXHWXAWWOVXQVUSTZWX
      JVUSOVXMWXTVWPVXSVXLVUSUWDWIVXQVUSUWERUWFXOYOWXIVUSWXHWXALWXHKTWXCVUSWXHW
      XAUWGWXHUWHVUSWXHKWXAUWIYMWAVVBWXCBWXAVWMVUSKVUJWXAVFVGYPYRUXOXOWCWDXKYAW
      PUWJWDYQYAWPYQUWKWOVXFYSVWRVXBVXDYSZPZUEVLZVWNVXBVXDUEUWLVWRWYCVWNVWRWYBV
      WNUEVWRWYBVWNVWRWYBPZVWSKVXLLZUFVWIVWSUWNZIZMZVUSVWSWFZKVXPLZUGVWIWYIVUAV
      XCWFZUKZSZIZMZVWNWYDVWSKVUJLZBWYGMZWYHWYDVUCWYFVUCUBZGHZEVWSIZJZWYQWYDVWK
      EWYTJZXUAWYDWYTVUTTVWLXUBWYDVWSVUSWYDVWTVWSVUSTZVWRVWTVXAWYAUWOZVWSVUSUWP
      ZWAZUWQVWHVWPVWLWYBUWRVWKEWYTVUTUWSWNVWKWYSEWYTVUCWYTFZVWJWYRVUCGXUGWYRVW
      JXUGVUCVWSTWYRVWJOVUCVWSWHVWIVUCVWSUWTWAUXAXRUXBRWYDVUFEWYTJZWYPBVULMZNZX
      UAWYQNDVWSVUAUKZIZWYFVUDWYFOZXUHXUAXUIWYQXUMVUFWYSEWYTXUMVUEWYRVUCGVUDWYF
      VUCXPXRXSXUMWYPBVULWYGVUDWYFUOXTURWYDVWCVWTXUJDXULJZVWGVWCVWQWYBUVMZXUDVW
      BVWTXUNNUAUEUAUEULZVVSVWTVUQXUNVUGVWSVUSWLXUPVUNXUJDVUPXULXUPVUOXUKVUGVWS
      VUAUMUNXUPVUIXUHVUMXUIXUPVUFEVUHWYTVUGVWSUOUPXUPVUKWYPBVULVUGVWSKVUJUSUQU
      RUTURWMWNWYDVWPWYFXULFZVWHVWPVWLWYBUXCZVWPWYFXUKTZXUQVWPWVPXUSWVQWVPWYFVV
      EVWSUWNZXUKVWIVVEVWSUXDXUTVVEVWSKUKSZXUKVVEVWSUXEXVAVUSVWSSZVUAKSZUKZXUKV
      USVUAVWSKUXFXVBVWSTXVCVUATXVDXUKTVUSVWSXLVUAKYDXVBVWSXVCVUAUXGVHUXHUXHXCW
      AWYFXUKVWIVWSVYIUXIXNYFWAYTYAWYPWYEBUFWYGVWSKVUJVXLVFYBRWYDWYIKVUJLZBWYNM
      ZWYOWYDVUCWYMVUCUBZGHZEWYIIZJZXVFVWGVWQWYBXVJVWCWUHWYBPZVUDVWIVUDWYISZUBZ
      WYKSZGHZDXVIJXVJXVKXVODXVIXVKVUDXVIFZPZVUDWVMVXCWFZXVNGXVQVUDWUPVXCWFZXVR
      GXVQVWSVUDYCZVXCXVSYCZGHZVUDXVSGHZXVQXVTVWIXVTUBZXWAGXVQVWKXVTXWDGHEVUTXV
      TVUCXVTOZVUCXVTVWJXWDGXWEVNVUCXVTVWIVOVPWUHVWLWYBXVPVWGVWPVWLWKXFZXVQXVTV
      USTXVTVUTFXVQVWSVUDVUSWYBXUCWUHXVPVWTXUCVXAWYAXUEXFWCZXVPVUDVUSTXVKXVPVUD
      WYIVUSVUDWYIWHZVUSVWSXMXCWBYEXVTVUSWWJYHYFYTXWDVXCWUPYCXWAVWIVWSVUDUXJVXC
      WUPUXKUXLUXMXVQVWSUJFVXCVWSUXNHVWSVUDSZQOZVXCXVSSQOZXWBXWCUWMXVQVUSVWSVWE
      VUBVWQWYBXVPUXPXWGUXQXVQVWSVXCXVQVWSVXCGHZWYAVWSVXCUXNHXVQVWKXWLEVUTVWSEU
      EULZVUCVWSVWJVXCGXWMVNVUCVWSVWIVOVPXWFXVQXUCVWSVUTFXWGVWSVUSUEVRXNYFYTWUH
      VXBWYAXVPUWRVWSVXCUXRUXSUXTXVPXWJXVKXVPVUDWYITZXWJXWHXWNXWIVUDVWSSQVWSVUD
      YKVUDVUSVWSUYAXEWAWBXWKXVQVXCWUPYJVJVWSVXCVUDXVSUYBYNYOWUHXVRXVSOZWYBXVPV
      WPXWOVWGVWLVWPWVMWUPVXCWVRXDWIXFXHXVPXVNXVROXVKXVPXVNWUPWYKSXVRXVPXVMWUPW
      YKXVPXVLVUDVWIXVPXWNXVLVUDOXWHVUDWYIXGRWQWRWUPVUAVXCWSUYCWBXHXIXVOXVHDEXV
      IWVSVUDVUCXVNXVGGWVTWVSXVNWYMVUDUBXVGWYIWYKVWIVUDXQVUDVUCWYMVOUVKVPXJRXKW
      YDWYMWYIVUAUKZIZFZVUFEXVIJZXVEBVULMZNZDXWQJZXVJXVFNZXWRWYMXWPTWYMWYLXWPVW
      IWYLXLZWYKVUATWYLXWPTVUAVXCXMWYKVUAWYIUVHUVIUVJWYMXWPVWIWYLVYIUVLXNVTWYDV
      WCWYIVUSVBZXXBXUOVXBXXEVWRWYAVXBXVBQVDZXXEVWTXXFVXAVWTXVBVWSQVWTXVBVWSVUS
      SZVWSVUSVWSYKVWTXUCXXGVWSOXUEVWSVUSXGRXEUYEUYDXXEXVBQXVBQOXXEYSVUSVWSUYFU
      YGUYHRWIVWBXXEXXBNUAWYIVUSVWSWWJWGVUGWYIOZVVSXXEVUQXXBVUGWYIVUSWLXXHVUNXX
      ADVUPXWQXXHVUOXWPVUGWYIVUAUMUNXXHVUIXWSVUMXWTXXHVUFEVUHXVIVUGWYIUOUPXXHVU
      KXVEBVULVUGWYIKVUJUSUQURUTURUVOWNXXAXXCDWYMXWQVUDWYMOZXWSXVJXWTXVFXXIVUFX
      VHEXVIXXIVUEXVGVUCGVUDWYMVUCXPXRXSXXIXVEBVULWYNVUDWYMUOXTURVQUVPYAXVEWYJB
      UGWYNWYIKVUJVXPVFYBRWYDVWPXUCWYHWYOVWNNZNXURXUFVWPXUCPZWYEXXJUFWYGXXKVXLW
      YGFZWYEPZPZWYJVWNUGWYNXXNVXPWYNFZWYJPZPZVXLVXPYCZVWMFZVUSKXXRLZVWNXXQXXRV
      WITXXSXXQVXLVXPVWIXXMVXLVWITZXXKXXPXXLXYAWYEXXLVXLWYFVWIVXLWYFWHZVWIVWSUY
      IXCXOWCXXOVXPVWITXXNWYJXXOVXPWYMVWIVXPWYMWHZVWIWYLYDXCWIYEXXRVWIVYIYHYFXX
      QVUSVXLWTZVXPWTZYCZXXRLZXYFKTXXTXXQVUSXYFXXRYGZXYGXXQVWSWYIYCZXYFXXRYGZXY
      HXXQVWSXYDVXLYGZWYIXYEVXPYGZVWSWYISQOZXYDXYESQOZXYJXXMXYKXXKXXPWYEXYKXXLV
      WSKVXLYIWBWCWYJXYLXXNXXOWYIKVXPYIUVNXYMXXQVWSVUSYJVJXXQXYDVXCTZVXCXYESZQO
      XYNXXMXYOXXKXXPXXLXYOWYEXXLXYDWYFWTZVXCXXLVXLWYFTXYDXYQTXYBVXLWYFXAWAVWIV
      WSUYJUYKXOWCXXQXYPXYEVXCSZQVXCXYEYKXXQXYEWYKTZWYKVXCSQOXYRQOXXOXYSXXNWYJX
      XOXYEWYLWTZWYKXXOVXPWYLTXYEXYTTXXOVXPWYMWYLXYCXXDXCVXPWYLXAWAWYIWYKXBXCWI
      VXCVUAUWBXYEWYKVXCYLYMXEXYDVXCXYEYLYPVWSXYDWYIXYEVXLVXPUWCYNXXQXYIVUSXYFX
      XRXXKXYIVUSOZXXMXXPXUCYUAVWPXUCYUAVWSVUSUWEWJWBXFUWFYOVUSXYFXXRUWGWAXYFUW
      HVUSXYFKXXRUWIYMVVBXXTBXXRVWMVUSKVUJXXRVFVGYPYRYRYPUYLUXOYQUYOUYMUYPUYNUY
      QVWOVVDUDDVVFUDDULZVWLVVAVWNVVCYUBVWKVUFEVUTYUBVWJVUEVUCGVWIVUDVUCXPXRXSY
      UBVVBBVWMVULVWIVUDUOXTURXJRUYRUYSUWKUYT $.
  $}

  ${
    $d ph d f $.  $d A b c d f $.  $d B b c $.  $d C c d f $.
    marypha1.a $e |- ( ph -> A e. Fin ) $.
    marypha1.b $e |- ( ph -> B e. Fin ) $.
    marypha1.c $e |- ( ph -> C C_ ( A X. B ) ) $.
    marypha1.d $e |- ( ( ph /\ d C_ A ) -> d ~<_ ( C " d ) ) $.
    $( (Philip) Hall's marriage theorem, sufficiency: a finite relation
       contains an injection if there is no subset of its domain which would be
       forced to violate the pigeonhole principle.  (Contributed by Stefan
       O'Rear, 20-Feb-2015.) $)
    marypha1 $p |- ( ph -> E. f e. ~P C f : A -1-1-> B ) $=
      ( vc vb cvv cv cpw wral wcel wss wi cfn wf1 wrex cima wbr elpwi ralrimiva
      cdom sylan2 wceq imaeq1 breq2d ralbidv pweq rexeqdv imbi12d xpeq2 raleqdv
      cxp pweqd imbi2d marypha1lem com12 vtoclga sylc xpexd sselpwd rspcdva mpd
      wa crn sylan9ssr rnss syl rnxpss sstrdi f1ssr expcom reximdva ) ABMENZUAZ
      EDOZUBZBCVSUAZEWAUBAFNZDWDUCZUGUDZFBOZPZWBAWFFWGWDWGQAWDBRWFWDBUEJUHUFAWD
      KNZWDUCZUGUDZFWGPZVTEWIOZUBZSZWHWBSKBCURZOZDWIDUIZWLWHWNWBWRWKWFFWGWRWJWE
      WDUGWIDWDUJUKULWRVTEWMWAWIDUMUNUOACTQBTQZWOKWQPZHGWSWOKBLNZURZOZPZSWSWTSL
      CTXACUIZXDWTWSXEWOKXCWQXEXBWPXACBUPUSUQUTWSXATQXDBELKFVAVBVCVDADWPMABCTTG
      HVEIVFVGVHAVTWCEWAAVSWAQZVIZVSVJZCRZVTWCSXGXHWPVJZCXGVSWPRXHXJRXFAVSDWPVS
      DUEIVKVSWPVLVMBCVNVOVTXIWCBMCVSVPVQVMVRVH $.
  $}

  ${
    $d A x y z $.  $d F x y z $.  $d G x y $.  $d X x y $.
    marypha2lem.t $e |- T = U_ x e. A ( { x } X. ( F ` x ) ) $.
    $( Lemma for ~ marypha2 .  Properties of the used relation.  (Contributed
       by Stefan O'Rear, 20-Feb-2015.) $)
    marypha2lem1 $p |- T C_ ( A X. U. ran F ) $=
      ( csn cfv cxp ciun crn cuni wss iunss wcel snssi fvssunirn xpss12 sylancl
      cv mprgbir eqsstri ) CABASZFZUBDGZHZIZBDJKZHZEUFUHLUEUHLZABABUEUHMUBBNUCB
      LUDUGLUIUBBODUBPUCBUDUGQRTUA $.

    $( Lemma for ~ marypha2 .  Properties of the used relation.  (Contributed
       by Stefan O'Rear, 20-Feb-2015.) $)
    marypha2lem2 $p |- T = { <. x , y >. | ( x e. A /\ y e. ( F ` x ) ) } $=
      ( vz cv csn cfv cxp ciun wcel wa copab wceq fveq2 wrex bitri 3eqtri df-xp
      sneq xpeq12d cbviunv iuneq2i iunopab velsn equcom anbi1i rexbii ceqsrexbv
      a1i eleq2d opabbii ) DACAHZIZUOEJZKZLGCGHZIZUSEJZKZLZUOCMBHZUQMZNZABOZFAG
      CURVBUOUSPZUPUTUQVAUOUSUBUOUSEQUCUDVCGCUOUTMZVDVAMZNZABOZLVKGCRZABOVGGCVB
      VLVBVLPUSCMABUTVAUAULUEVKABGCUFVMVFABVMUSUOPZVJNZGCRVFVKVOGCVIVNVJVIVHVNA
      USUGAGUHSUIUJVJVEGUOCVNVAUQVDUSUOEQUMUKSUNTT $.

    $( Lemma for ~ marypha2 .  Properties of the used relation.  (Contributed
       by Stefan O'Rear, 20-Feb-2015.) $)
    marypha2lem3 $p |- ( ( F Fn A /\ G Fn A ) -> ( G C_ T <->
          A. x e. A ( G ` x ) e. ( F ` x ) ) ) $=
      ( vy wfn wa wss cv wcel cfv wceq wi wal wral copab bitrdi albii dffn5 a1i
      biimpi adantl df-mpt eqtrdi marypha2lem2 sseq12d ssopab2bw imdistan eleq1
      cmpt 19.21v fvex ceqsalv imbi2i 3bitr3i df-ral bitr4i ) DBHZEBHZIZECJZAKZ
      BLZGKZVDEMZNZIZVEVFVDDMZLZIZOZGPZAPZVGVJLZABQZVBVCVIAGRZVLAGRZJVOVBEVRCVS
      VBEABVGULZVRVAEVTNZUTVAWAABEUAUCUDAGBVGUEUFCVSNVBAGBCDFUGUBUHVIVLAGUISVOV
      EVPOZAPVQVNWBAVEVHVKOZOZGPVEWCGPZOVNWBVEWCGUMWDVMGVEVHVKUJTWEVPVEVKVPGVGV
      DEUNVFVGVJUKUOUPUQTVPABURUSS $.

    $( Lemma for ~ marypha2 .  Properties of the used relation.  (Contributed
       by Stefan O'Rear, 20-Feb-2015.) $)
    marypha2lem4 $p |- ( ( F Fn A /\ X C_ A ) -> ( T " X ) = U. ( F " X ) ) $=
      ( vy wfn wss wa cima cv cfv wcel copab crn wceq cab eqtrid eqtrd resopab2
      ciun cuni cres marypha2lem2 imaeq1i df-ima eqtri adantl rneqd rnopab wrex
      wex df-rex bicomi abbii df-iun eqtr4i a1i wfun fnfun adantr funiunfv syl
      ) DBHZEBIZJZCEKZAEALZDMZUBZDEKUCZVGVHVIBNGLVJNZJAGOZEUDZPZVKVHVNEKVPCVNEA
      GBCDFUEUFVNEUGUHVGVPVIENVMJZAGOZPZVKVGVOVRVFVOVRQVEVMAGEBUAUIUJVGVSVQAUMZ
      GRZVKVQAGUKWAVKQVGWAVMAEULZGRVKVTWBGWBVTVMAEUNUOUPAGEVJUQURUSSTSVGDUTZVKV
      LQVEWCVFBDVAVBAEDVCVDT $.
  $}

  ${
    $d ph d g x $.  $d A d g x $.  $d F d g x $.
    marypha2.a $e |- ( ph -> A e. Fin ) $.
    marypha2.b $e |- ( ph -> F : A --> Fin ) $.
    marypha2.c $e |- ( ( ph /\ d C_ A ) -> d ~<_ U. ( F " d ) ) $.
    $( Version of ~ marypha1 using a functional family of sets instead of a
       relation.  (Contributed by Stefan O'Rear, 20-Feb-2015.) $)
    marypha2 $p |- ( ph -> E. g ( g : A -1-1-> _V /\
          A. x e. A ( g ` x ) e. ( F ` x ) ) ) $=
      ( cuni cv wf1 cfv cxp cvv wcel wa wex wss cima crn csn ciun cpw wrex wral
      unirnffid eqid marypha2lem1 a1i cdom wfn wceq cfn ffnd marypha2lem4 sylan
      breqtrrd marypha1 df-rex ssv f1ss mpan2 ad2antll ad2antrl wb marypha2lem3
      elpwi f1fn syl2an2r mpbid jca ex eximdv syl5bi mpd ) ACEUAJZDKZLZDBCBKZUB
      VTEMZNUCZUDZUEZCOVRLZVTVRMWAPBCUFZQZDRZACVQWBDFGACEHGUGWBCVQNSABCWBEWBUHZ
      UIUJAFKZCSZQWJEWJTJZWBWJTZUKIAECULZWKWMWLUMACUNEHUOZBCWBEWJWIUPUQURUSWDVR
      WCPZVSQZDRAWHVSDWCUTAWQWGDAWQWGAWQQZWEWFVSWEAWPVSVQOSWEVQVACVQOVRVBVCVDWR
      VRWBSZWFWPWSAVSVRWBVHVEAWNWQVRCULZWSWFVFWOVSWTAWPCVQVRVIVDBCWBEVRWIVGVJVK
      VLVMVNVOVP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Supremum and infimum
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Add new constant symbols. $)
  $c sup $.  $( Supremum. $)
  $c inf $.  $( Infimum. $)

  $( Extend class notation to include supremum of class ` A ` .  Here ` R ` is
     ordinarily a relation that strictly orders class ` B ` .  For example,
     ` R ` could be 'less than' and ` B ` could be the set of real numbers. $)
  csup $a class sup ( A , B , R ) $.

  $( Extend class notation to include infimum of class ` A ` .  Here ` R ` is
     ordinarily a relation that strictly orders class ` B ` .  For example,
     ` R ` could be 'less than' and ` B ` could be the set of real numbers. $)
  cinf $a class inf ( A , B , R ) $.

  ${
    $d x y z R $.  $d x y z A $.  $d x y z B $.
    $( Define the supremum of class ` A ` .  It is meaningful when ` R ` is a
       relation that strictly orders ` B ` and when the supremum exists.  For
       example, ` R ` could be 'less than', ` B ` could be the set of real
       numbers, and ` A ` could be the set of all positive reals whose square
       is less than 2; in this case the supremum is defined as the square root
       of 2 per ~ sqrtval .  See ~ dfsup2 for alternate definition not
       requiring dummy variables.  (Contributed by NM, 22-May-1999.) $)
    df-sup $a |- sup ( A , B , R ) = U. { x e. B | ( A. y e. A -. x R y /\
                  A. y e. B ( y R x -> E. z e. A y R z ) ) } $.
  $}

  $( Define the infimum of class ` A ` .  It is meaningful when ` R ` is a
     relation that strictly orders ` B ` and when the infimum exists.  For
     example, ` R ` could be 'less than', ` B ` could be the set of real
     numbers, and ` A ` could be the set of all positive reals; in this case
     the infimum is 0.  The infimum is defined as the supremum using the
     converse ordering relation.  In the given example, 0 is the supremum of
     all reals (greatest real number) for which all positive reals are greater.
     (Contributed by AV, 2-Sep-2020.) $)
  df-inf $a |- inf ( A , B , R ) = sup ( A , B , `' R ) $.

  ${
    $d A x y z $.  $d B x y z $.  $d R x y z $.
    $( Quantifier-free definition of supremum.  (Contributed by Scott Fenton,
       19-Feb-2013.) $)
    dfsup2 $p |- sup ( B , A , R ) =
      U. ( A \ ( ( `' R " B ) u. ( R " ( A \ ( `' R " B ) ) ) ) ) $=
      ( vx vy vz cv wbr wn wral wrex wi wa cdif cvv wcel vex elima bitri eqtri
      csup crab cuni ccnv cima cun df-sup cab cin dfrab3 wb abeq1 eldif mpbiran
      wceq dfrex2 orbi12i elun ianor 3bitr4i con2bii brcnv notbii ralbii impexp
      imbi1i rexbii imbi2i con34b bitr3i ralbii2 anbi12i 3bitr2ri mpgbir ineq2i
      wo invdif unieqi ) BACUADGZEGZCHZIZEBJZVTVSCHZVTFGZCHZFBKZLZEAJZMZDAUBZUC
      ACUDZBUEZCAWMNZUEZUFZNZUCDEFBACUGWKWQWKAWJDUHZUIZWQWJDAUJWSAOWPNZUIWQWRWT
      AWRWTUOWJVSWTPZUKDWJDWTULXAVSWPPZIZVTVSWLHZIZEBJZWDIZEWNJZMZWJXAVSOPXCDQZ
      VSOWPUMUNXBXIVSWMPZVSWOPZVPXFIZXHIZVPXBXIIXKXMXLXNXKXDEBKXMEVSWLBXJRXDEBU
      PSXLWDEWNKXNEVSCWNXJRWDEWNUPSUQVSWMWOURXFXHUSUTVAXFWCXHWIXEWBEBXDWAVTVSCE
      QZXJVBVCVDXGWHEWNAVTAPZVTWMPZIZMZXGLXPXRXGLZLVTWNPZXGLXPWHLXPXRXGVEYAXSXG
      VTAWMUMVFWHXTXPWHWDXQLXTXQWGWDXQWEVTWLHZFBKWGFVTWLBXORYBWFFBWEVTCFQXOVBVG
      SVHWDXQVIVJVHUTVKVLVMVNVOAWPVQTTVRT $.
  $}

  ${
    $d x y z R $.  $d x y z A $.  $d x y z B $.  $d x y z C $.
    $( Equality theorem for supremum.  (Contributed by NM, 22-May-1999.) $)
    supeq1 $p |- ( B = C -> sup ( B , A , R ) = sup ( C , A , R ) ) $=
      ( vx vy vz wceq cv wbr wn wral wrex wi wa crab cuni csup raleq df-sup
      rexeq imbi2d ralbidv anbi12d rabbidv unieqd 3eqtr4g ) BCHZEIZFIZDJKZFBLZU
      JUIDJZUJGIDJZGBMZNZFALZOZEAPZQUKFCLZUMUNGCMZNZFALZOZEAPZQBADRCADRUHUSVEUH
      URVDEAUHULUTUQVCUKFBCSUHUPVBFAUHUOVAUMUNGBCUAUBUCUDUEUFEFGBADTEFGCADTUG
      $.
  $}

  ${
    supeq1d.1 $e |- ( ph -> B = C ) $.
    $( Equality deduction for supremum.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    supeq1d $p |- ( ph -> sup ( B , A , R ) = sup ( C , A , R ) ) $=
      ( wceq csup supeq1 syl ) ACDGCBEHDBEHGFBCDEIJ $.
  $}

  ${
    supeq1i.1 $e |- B = C $.
    $( Equality inference for supremum.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    supeq1i $p |- sup ( B , A , R ) = sup ( C , A , R ) $=
      ( wceq csup supeq1 ax-mp ) BCFBADGCADGFEABCDHI $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d R x y z $.
    $( Equality theorem for supremum.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    supeq2 $p |- ( B = C -> sup ( A , B , R ) = sup ( A , C , R ) ) $=
      ( vx vy vz wceq cv wbr wn wral wrex wi wa crab cuni csup rabeq df-sup
      raleq anbi2d rabbidv eqtrd unieqd 3eqtr4g ) BCHZEIZFIZDJKFALZUIUHDJUIGIDJ
      GAMNZFBLZOZEBPZQUJUKFCLZOZECPZQABDRACDRUGUNUQUGUNUMECPUQUMEBCSUGUMUPECUGU
      LUOUJUKFBCUAUBUCUDUEEFGABDTEFGACDTUF $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d R x y z $.  $d S x y z $.
    $( Equality theorem for supremum.  (Contributed by Scott Fenton,
       13-Jun-2018.) $)
    supeq3 $p |- ( R = S -> sup ( A , B , R ) = sup ( A , B , S ) ) $=
      ( vx vy vz cv wbr wn wral wrex wi wa crab cuni csup breq ralbidv df-sup
      wceq notbid rexbidv imbi12d anbi12d rabbidv unieqd 3eqtr4g ) CDUAZEHZFHZC
      IZJZFAKZUKUJCIZUKGHZCIZGALZMZFBKZNZEBOZPUJUKDIZJZFAKZUKUJDIZUKUPDIZGALZMZ
      FBKZNZEBOZPABCQABDQUIVBVLUIVAVKEBUIUNVEUTVJUIUMVDFAUIULVCUJUKCDRUBSUIUSVI
      FBUIUOVFURVHUKUJCDRUIUQVGGAUKUPCDRUCUDSUEUFUGEFGABCTEFGABDTUH $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d D x y z $.  $d E x y z $.
    $d F x y z $.  $d ph x y z $.
    supeq123d.a $e |- ( ph -> A = D ) $.
    supeq123d.b $e |- ( ph -> B = E ) $.
    supeq123d.c $e |- ( ph -> C = F ) $.
    $( Equality deduction for supremum.  (Contributed by Stefan O'Rear,
       20-Jan-2015.) $)
    supeq123d $p |- ( ph -> sup ( A , B , C ) = sup ( D , E , F ) ) $=
      ( vx vy vz cv wbr wn wral wrex wi breqd wa crab cuni csup imbi12d anbi12d
      notbid raleqbidv rexeqbidv rabeqbidv unieqd df-sup 3eqtr4g ) AKNZLNZDOZPZ
      LBQZUOUNDOZUOMNZDOZMBRZSZLCQZUAZKCUBZUCUNUOGOZPZLEQZUOUNGOZUOUTGOZMERZSZL
      FQZUAZKFUBZUCBCDUDEFGUDAVFVPAVEVOKCFIAURVIVDVNAUQVHLBEHAUPVGADGUNUOJTUGUH
      AVCVMLCFIAUSVJVBVLADGUOUNJTAVAVKMBEHADGUOUTJTUIUEUHUFUJUKKLMBCDULKLMEFGUL
      UM $.
  $}

  ${
    nfsup.1 $e |- F/_ x A $.
    nfsup.2 $e |- F/_ x B $.
    nfsup.3 $e |- F/_ x R $.
    $( Hypothesis builder for supremum.  (Contributed by Mario Carneiro,
       20-Mar-2014.) $)
    nfsup $p |- F/_ x sup ( A , B , R ) $=
      ( csup ccnv cima cdif cun cuni dfsup2 nfcnv nfima nfdif nfun nfuni nfcxfr
      ) ABCDHCDIZBJZDCUBKZJZLZKZMCBDNAUFACUEFAUBUDAUABADGOEPZADUCGACUBFUGQPRQST
      $.
  $}

  ${
    $d x y z w A $.  $d x y z w R $.  $d x y z w B $.  $d w C $.  $d w ph $.
    supmo.1 $e |- ( ph -> R Or A ) $.
    $( Any class ` B ` has at most one supremum in ` A ` (where ` R ` is
       interpreted as 'less than').  (Contributed by NM, 5-May-1999.)  (Revised
       by Mario Carneiro, 24-Dec-2016.) $)
    supmo $p |- ( ph -> E* x e. A ( A. y e. B -. x R y /\
                  A. y e. A ( y R x -> E. z e. B y R z ) ) ) $=
      ( vw cv wbr wn wral wrex wi wa weq breq1 breq2 syl5bi wrmo wor wcel ancom
      anbi2ci an42 3bitr4i ralnex rexbidv imbi12d rspcva cbvrexvw syl6ibr con3d
      expimpd ad2antrl ad2antll anim12d sotrieq2 sylibrd ralrimivva syl ralbidv
      notbid imbi1d anbi12d rmo4 sylibr ) ABJZCJZGKZLZCFMZVJVIGKZVJDJZGKZDFNZOZ
      CEMZPZIJZVJGKZLZCFMZVJWAGKZVQOZCEMZPZPZBIQZOZIEMBEMZVTBEUAAEGUBZWLHWMWKBI
      EEWMVIEUCZWAEUCZPPZWIVIWAGKZLZWAVIGKZLZPZWJWIWGVMPZVSWDPZPZWPXAVMWDPZWGVS
      PZPXFWDVMPZPWIXDXEXGXFVMWDUDUEVMVSWDWGUFWGVMVSWDUFUGWPXBWRXCWTWNXBWROWMWO
      WNWGVMWRVMVKCFNZLWNWGPZWRVKCFUHXIWQXHXIWQVIVOGKZDFNZXHWFWQXKOCVIECBQZWEWQ
      VQXKVJVIWAGRXLVPXJDFVJVIVOGRUIUJUKVKXJCDFVJVOVIGSULUMUNTUOUPWOXCWTOWMWNWO
      VSWDWTWDWBCFNZLWOVSPZWTWBCFUHXNWSXMXNWSWAVOGKZDFNZXMVRWSXPOCWAECIQZVNWSVQ
      XPVJWAVIGRXQVPXODFVJWAVOGRUIUJUKWBXOCDFVJVOWAGSULUMUNTUOUQURTEVIWAGUSUTVA
      VBVTWHBIEWJVMWDVSWGWJVLWCCFWJVKWBVIWAVJGRVDVCWJVRWFCEWJVNWEVQVIWAVJGSVEVC
      VFVGVH $.

    $( A supremum is a set.  (Contributed by NM, 22-May-1999.)  (Revised by
       Mario Carneiro, 24-Dec-2016.) $)
    supexd $p |- ( ph -> sup ( B , A , R ) e. _V ) $=
      ( vx vy vz csup cv wbr wn wral wrex wi wa crab cuni cvv wcel df-sup supmo
      wrmo rmorabex uniexg 3syl eqeltrid ) ACBDIFJZGJZDKLGCMUIUHDKUIHJDKHCNOGBM
      PZFBQZRZSFGHCBDUAAUJFBUCUKSTULSTAFGHBCDEUBUJFBUDUKSUEUFUG $.

    ${
      supeu.2 $e |- ( ph -> E. x e. A ( A. y e. B -. x R y /\
                      A. y e. A ( y R x -> E. z e. B y R z ) ) ) $.
      $( A supremum is unique.  Similar to Theorem I.26 of [Apostol] p. 24 (but
         for suprema in general).  (Contributed by NM, 12-Oct-2004.) $)
      supeu $p |- ( ph ->
                    E! x e. A ( A. y e. B -. x R y /\
                    A. y e. A ( y R x -> E. z e. B y R z ) ) ) $=
        ( cv wbr wn wral wrex wi wa wrmo wreu supmo reu5 sylanbrc ) ABJZCJZGKLC
        FMUCUBGKUCDJGKDFNOCEMPZBENUDBEQUDBERIABCDEFGHSUDBETUA $.
    $}

    $( Alternate expression for the supremum.  (Contributed by Mario Carneiro,
       24-Dec-2016.)  (Revised by Thierry Arnoux, 24-Sep-2017.) $)
    supval2 $p |- ( ph -> sup ( B , A , R ) =
      ( iota_ x e. A ( A. y e. B -. x R y /\
                  A. y e. A ( y R x -> E. z e. B y R z ) ) ) ) $=
      ( wor csup cv wbr wn wral wrex wa wceq cuni syl c0 crio crab df-sup simpl
      wi wreu simpr supeu riotauni eqtr4id necon1bbii biimpi unieqd uni0 eqtrdi
      rabn0 eqtrid reurex riotaund nsyl5 eqtr4d adantl pm2.61dan ) AEGIZFEGJZBK
      ZCKZGLMCFNVGVFGLVGDKGLDFOUECENPZBEUAZQZHVDVHBEOZVJVDVKPZVEVHBEUBZRZVIBCDF
      EGUCZVLVHBEUFZVIVNQVLBCDEFGVDVKUDVDVKUGUHVHBEUISUJVKMZVJVDVQVETVIVQVEVNTV
      OVQVNTRTVQVMTVQVMTQVKVMTVHBEUPUKULUMUNUOUQVPVKVITQVHBEURVHBEUSUTVAVBVCS
      $.

    ${
      $d x y C $.
      $( Sufficient condition for an element to be equal to the supremum.
         (Contributed by Mario Carneiro, 21-Apr-2015.) $)
      eqsup $p |- ( ph -> ( ( C e. A /\ A. y e. B -. C R y /\
       A. y e. A ( y R C -> E. z e. B y R z ) ) -> sup ( B , A , R ) = C ) ) $=
        ( vx wcel cv wbr wn wral wrex wi wceq wa ralbidv syl2anc w3a wor adantr
        csup crio supval2 3simpc adantl wreu simpr1 breq1 notbid imbi1d anbi12d
        wb breq2 rspcev supeu riota2 mpbid eqtrd ex ) AFDJZFBKZGLZMZBENZVDFGLZV
        DCKGLCEOZPZBDNZUAZEDGUDZFQAVLRZVMIKZVDGLZMZBENZVDVOGLZVIPZBDNZRZIDUEZFV
        NIBCDEGADGUBVLHUCZUFVNVGVKRZWCFQZVLWEAVCVGVKUGUHZVNVCWBIDUIWEWFUOAVCVGV
        KUJZVNIBCDEGWDVNVCWEWBIDOWHWGWBWEIFDVOFQZVRVGWAVKWIVQVFBEWIVPVEVOFVDGUK
        ULSWIVTVJBDWIVSVHVIVOFVDGUPUMSUNZUQTURWBWEIDFWJUSTUTVAVB $.

      $d y ph $.
      eqsupd.2 $e |- ( ph -> C e. A ) $.
      eqsupd.3 $e |- ( ( ph /\ y e. B ) -> -. C R y ) $.
      eqsupd.4 $e |- ( ( ph /\ ( y e. A /\ y R C ) ) -> E. z e. B y R z ) $.
      $( Sufficient condition for an element to be equal to the supremum.
         (Contributed by Mario Carneiro, 21-Apr-2015.) $)
      eqsupd $p |- ( ph -> sup ( B , A , R ) = C ) $=
        ( wcel cv wbr wn wral wrex wi csup ralrimiva wceq expr eqsup mp3and ) A
        FDLFBMZGNOZBEPUEFGNZUECMGNCEQZRZBDPEDGSFUAIAUFBEJTAUIBDAUEDLUGUHKUBTABC
        DEFGHUCUD $.
    $}

    supcl.2 $e |- ( ph -> E. x e. A ( A. y e. B -. x R y /\
                      A. y e. A ( y R x -> E. z e. B y R z ) ) ) $.
    $( A supremum belongs to its base class (closure law).  See also ~ supub
       and ~ suplub .  (Contributed by NM, 12-Oct-2004.) $)
    supcl $p |- ( ph -> sup ( B , A , R ) e. A ) $=
      ( csup cv wbr wn wral wrex wi wa crio supval2 wreu wcel supeu riotacl syl
      eqeltrd ) AFEGJBKZCKZGLMCFNUGUFGLUGDKGLDFOPCENQZBERZEABCDEFGHSAUHBETUIEUA
      ABCDEFGHIUBUHBEUCUDUE $.

    $( A supremum is an upper bound.  See also ~ supcl and ~ suplub .

       This proof demonstrates how to expand an iota-based definition
       ( ~ df-iota ) using ~ riotacl2 .

       (Contributed by NM, 12-Oct-2004.)  (Proof shortened by Mario Carneiro,
       24-Dec-2016.) $)
    supub $p |- ( ph -> ( C e. B -> -. sup ( B , A , R ) R C ) ) $=
      ( vw cv wbr wn wral wcel wi syl wceq notbid csup crab wrex wa a1i ss2rabi
      simpl crio supval2 wreu supeu riotacl2 eqeltrd sselid breq2 breq1 ralbidv
      cbvralvw syl5bb elrab simprbi rspccv ) AFEHUAZKLZHMZNZKFOZGFPVCGHMZNZQAVC
      BLZCLZHMZNZCFOZBEUBZPZVGAVNVKVJHMVKDLHMDFUCQCEOZUDZBEUBZVOVCVRVNBEVRVNQVJ
      EPVNVQUGUEUFAVCVRBEUHZVSABCDEFHIUIAVRBEUJVTVSPABCDEFHIJUKVRBEULRUMUNVPVCE
      PVGVNVGBVCEVNVJVDHMZNZKFOVJVCSZVGVMWBCKFVKVDSVLWAVKVDVJHUOTURWCWBVFKFWCWA
      VEVJVCVDHUPTUQUSUTVARVFVIKGFVDGSVEVHVDGVCHUOTVBR $.

    $d z C $.
    $( A supremum is the least upper bound.  See also ~ supcl and ~ supub .
       (Contributed by NM, 13-Oct-2004.)  (Revised by Mario Carneiro,
       24-Dec-2016.) $)
    suplub $p |- ( ph -> ( ( C e. A /\ C R sup ( B , A , R ) ) ->
                    E. z e. B C R z ) ) $=
      ( vw cv wbr wrex wi wral wcel wceq breq1 syl csup wa crab rexbidv imbi12d
      simpr cbvralvw sylib a1i ss2rabi crio supval2 wreu supeu riotacl2 eqeltrd
      wn sselid breq2 imbi1d ralbidv elrab simprbi rspccv impd ) AKLZFEHUAZHMZV
      FDLZHMZDFNZOZKEPZGEQZGVGHMZUBGVIHMZDFNZOAVGVFBLZHMZVKOZKEPZBEUCZQZVMAVRCL
      ZHMUQCFPZWDVRHMZWDVIHMZDFNZOZCEPZUBZBEUCZWBVGWKWABEWKWAOVREQWKWJWAWEWJUFW
      IVTCKEWDVFRZWFVSWHVKWDVFVRHSWMWGVJDFWDVFVIHSUDUEUGUHUIUJAVGWKBEUKZWLABCDE
      FHIULAWKBEUMWNWLQABCDEFHIJUNWKBEUOTUPURWCVGEQVMWAVMBVGEVRVGRZVTVLKEWOVSVH
      VKVRVGVFHUSUTVAVBVCTVMVNVOVQVLVOVQOKGEVFGRZVHVOVKVQVFGVGHSWPVJVPDFVFGVIHS
      UDUEVDVET $.

    ${
      suplub2.3 $e |- ( ph -> B C_ A ) $.
      $( Bidirectional form of ~ suplub .  (Contributed by Mario Carneiro,
         6-Sep-2014.) $)
      suplub2 $p |- ( ( ph /\ C e. A ) ->
                    ( C R sup ( B , A , R ) <-> E. z e. B C R z ) ) $=
        ( vw wcel wa wbr cv wrex breq2 wi ad2antrr csup suplub expdimp cbvrexvw
        wceq biimprd a1i wor simplr wss adantr sselda supcl syl13anc expcomd wo
        sotr wn supub wb sotric syl12anc con2bid mpbird mpjaod rexlimdva syl5bi
        imp impbid ) AGEMZNZGFEHUAZHOZGDPZHOZDFQZAVJVMVPABCDEFGHIJUBUCVPGLPZHOZ
        LFQVKVMVOVRDLFVNVQGHRUDVKVRVMLFVKVQFMZNZVLVQUEZVRVMSZVQVLHOZWAWBSVTWAVM
        VRVLVQGHRUFUGVTVRWCVMVTEHUHZVJVQEMZVLEMZVRWCNVMSAWDVJVSITZAVJVSUIVKFEVQ
        AFEUJVJKUKULZAWFVJVSABCDEFHIJUMTZEGVQVLHUQUNUOVTWAWCUPZVLVQHOZURZVKVSWL
        AVSWLSVJABCDEFVQHIJUSUKVHVTWKWJVTWDWFWEWKWJURUTWGWIWHEVLVQHVAVBVCVDVEVF
        VGVI $.
    $}

    $( An upper bound is not less than the supremum.  (Contributed by NM,
       13-Oct-2004.) $)
    supnub $p |- ( ph -> ( ( C e. A /\ A. z e. B -. C R z ) ->
                    -. C R sup ( B , A , R ) ) ) $=
      ( wcel cv wbr wn wral csup wa wrex suplub expdimp dfrex2 syl6ib expimpd
      con2d ) AGEKZGDLHMZNDFOZGFEHPHMZNAUEQZUHUGUIUHUFDFRZUGNAUEUHUJABCDEFGHIJS
      TUFDFUAUBUDUC $.
  $}

  ${
    supex.1 $e |- R Or A $.
    $( A supremum is a set.  (Contributed by NM, 22-May-1999.) $)
    supex $p |- sup ( B , A , R ) e. _V $=
      ( wor csup cvv wcel id supexd ax-mp ) ACEZBACFGHDLABCLIJK $.
  $}

  ${
    $d B x y z $.  $d R x y z $.
    $( The supremum under an empty base set is always the empty set.
       (Contributed by AV, 4-Sep-2020.) $)
    sup00 $p |- sup ( B , (/) , R ) = (/) $=
      ( vx vy vz c0 csup cv wbr wn wral wrex wi wa crab cuni df-sup rab0 unieqi
      uni0 3eqtri ) AFBGCHZDHZBIJDAKUCUBBIUCEHBIEALMDFKNZCFOZPFPFCDEAFBQUEFUDCR
      STUA $.
  $}

  ${
    $d A x y z $.  $d R x y z $.
    $( The supremum of an empty set is the smallest element of the base set.
       (Contributed by AV, 4-Sep-2020.) $)
    sup0riota $p |- ( R Or A -> sup ( (/) , A , R )
                                = ( iota_ x e. A A. y e. A -. y R x ) ) $=
      ( vz wor c0 csup cv wbr wn wral wrex wi wa crio id supval2 wb ral0 ralbii
      biantrur rex0 imnot ax-mp bitr3i a1i riotabidv eqtrd ) CDFZGCDHAIZBIZDJKZ
      BGLZULUKDJZULEIDJZEGMZNZBCLZOZACPUOKZBCLZACPUJABECGDUJQRUJUTVBACUTVBSUJUT
      USVBUNUSUMBTUBURVABCUQKURVASUPEUCUOUQUDUEUAUFUGUHUI $.

    $d X x y $.
    $( The supremum of an empty set under a base set which has a unique
       smallest element is the smallest element of the base set.  (Contributed
       by AV, 4-Sep-2020.) $)
    sup0 $p |- ( ( R Or A /\ ( X e. A /\ A. y e. A -. y R X )
                   /\ E! x e. A A. y e. A -. y R x )
                 -> sup ( (/) , A , R ) = X ) $=
      ( wor wcel cv wbr wn wral wa wreu w3a csup crio wceq sup0riota 3ad2ant1
      c0 simp2r wb simpl anim1i 3adant1 breq2 notbid ralbidv riota2 mpbid eqtrd
      syl ) CDFZECGZBHZEDIZJZBCKZLZUOAHZDIZJZBCKZACMZNZTCDOZVCACPZEUMUSVFVGQVDA
      BCDRSVEURVGEQZUMUNURVDUAVEUNVDLZURVHUBUSVDVIUMUSUNVDUNURUCUDUEVCURACEUTEQ
      ZVBUQBCVJVAUPUTEUODUFUGUHUIULUJUK $.
  $}

  ${
    $d A y z $.  $d B y z $.  $d C y z $.  $d R y z $.  $d y ph $.
    supmax.1 $e |- ( ph -> R Or A ) $.
    supmax.2 $e |- ( ph -> C e. A ) $.
    supmax.3 $e |- ( ph -> C e. B ) $.
    supmax.4 $e |- ( ( ph /\ y e. B ) -> -. C R y ) $.
    $( The greatest element of a set is its supremum.  Note that the converse
       is not true; the supremum might not be an element of the set considered.
       (Contributed by Jeff Hoffman, 17-Jun-2008.)  (Proof shortened by OpenAI,
       30-Mar-2020.) $)
    supmax $p |- ( ph -> sup ( B , A , R ) = C ) $=
      ( vz wcel cv wbr wa wrex simprr breq2 rspcev syl2an2r eqsupd ) ABKCDEFGHJ
      AEDLBMZCLZUBEFNZOUDUBKMZFNZKDPIAUCUDQUFUDKEDUEEUBFRSTUA $.
  $}

  ${
    $d A x y z $.  $d R x y z $.  $d B x y z $.
    $( A finite set satisfies the conditions to have a supremum.  (Contributed
       by Mario Carneiro, 28-Apr-2015.) $)
    fisup2g $p |- ( ( R Or A /\ ( B e. Fin /\ B =/= (/) /\ B C_ A ) ) ->
      E. x e. B ( A. y e. B -. x R y /\
        A. y e. A ( y R x -> E. z e. B y R z ) ) ) $=
      ( wor cfn wcel c0 wne wss w3a wa cv wbr wn wral wrex wi wreu simp1 fisupg
      soss supeu 3exp syl6 com4l 3imp2 reurex breq2 rspcev ralrimivw a1d anim2d
      ex reximia 3syl ) DFGZEHIZEJKZEDLZMNAOZBOZFPQBERZVDVCFPZVDCOZFPZCESZTZBER
      ZNZAEUAZVLAESVEVJBDRZNZAESUSUTVAVBVMVBUSUTVAVMVBUSEFGZUTVAVMTTEDFUDVPUTVA
      VMVPUTVAMABCEEFVPUTVAUBABCEFUCUEUFUGUHUIVLAEUJVLVOAEVCEIZVKVNVEVQVNVKVQVJ
      BDVQVFVIVHVFCVCEVGVCVDFUKULUPUMUNUOUQUR $.

    $( A nonempty finite set contains its supremum.  (Contributed by Jeff
       Madsen, 9-May-2011.) $)
    fisupcl $p |- ( ( R Or A /\ ( B e. Fin /\ B =/= (/) /\ B C_ A ) )
                                    -> sup ( B , A , R ) e. B ) $=
      ( vx vy vz wor cfn wcel c0 wa cv wbr wral wrex wi crio wreu sylc supeu wn
      wne wss w3a csup simpl supval2 wceq simpr3 rspcev ex ralrimivw a1d anim2d
      breq2 rgen a1i soss simpr1 simpr2 fisupg syl3anc ssrexv riotass2 syl22anc
      fisup2g riotacl syl eqeltrrd eqeltrd ) ACGZBHIZBJUBZBAUCZUDZKZBACUEDLZELZ
      CMUAEBNZVRVQCMZVRFLZCMZFBOZPZEANZKZDAQZBVPDEFABCVKVOUFZUGVPVSWDEBNZKZDBQZ
      WGBVPVNWJWFPZDBNZWJDBOZWFDARWKWGUHVKVLVMVNUIZWMVPWLDBVQBIZWIWEVSWPWEWIWPW
      DEAWPVTWCWBVTFVQBWAVQVRCUOUJUKULUMUNUPUQVPBCGZVLVMWNVPVNVKWQWOWHBACURSZVK
      VLVMVNUSVKVLVMVNUTDEFBCVAVBZVPDEFABCWHVPVNWFDBOWFDAOWODEFABCVFWFDBAVCSTWJ
      WFDBAVDVEVPWJDBRWKBIVPDEFBBCWRWSTWJDBVGVHVIVJ $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d R x y z $.
    supgtoreq.1 $e |- ( ph -> R Or A ) $.
    supgtoreq.2 $e |- ( ph -> B C_ A ) $.
    supgtoreq.3 $e |- ( ph -> B e. Fin ) $.
    supgtoreq.4 $e |- ( ph -> C e. B ) $.
    supgtoreq.5 $e |- ( ph -> S = sup ( B , A , R ) ) $.
    $( The supremum of a finite set is greater than or equal to all the
       elements of the set.  (Contributed by AV, 1-Oct-2019.) $)
    supgtoreq $p |- ( ph -> ( C R S \/ C = S ) ) $=
      ( vx vy vz wbr wo wn wcel cv wrex wceq csup wss wral wi wa wor cfn c0 wne
      ne0d fisup2g syl13anc ssrexv supub mpd eqnbrtrd wb fisupcl sseldd eqeltrd
      sotric syl12anc orcom eqcom orbi2i bitri notbii bitr2di mtbird notnotrd
      sylc ) ADFEOZDFUAZPZAVOQZFDEOZAFCBEUBZDEKADCRVRDEOQJALMNBCDEGACBUCZLSZMSZ
      EOQMCUDWAVTEOWANSEONCTUEMBUDUFZLCTZWBLBTHABEUGZCUHRZCUIUJZVSWCGIACDJUKZHL
      MNBCEULUMWBLCBUNVLUOUPUQAVQFDUAZVMPZQZVPAWDFBRDBRVQWJURGAFVRBKACBVRHAWDWE
      WFVSVRCRGIWGHBCEUSUMUTVAACBDHJUTBFDEVBVCWIVOWIVMWHPVOWHVMVDWHVNVMFDVEVFVG
      VHVIVJVK $.
  $}

  ${
    $d y A $.  $d y B $.  $d y C $.  $d y R $.
    $( The supremum of a pair.  (Contributed by NM, 17-Jun-2007.)  (Proof
       shortened by Mario Carneiro, 24-Dec-2016.) $)
    suppr $p |- ( ( R Or A /\ B e. A /\ C e. A ) -> sup ( { B , C } , A , R ) =
                if ( C R B , B , C ) ) $=
      ( vy wor wcel w3a cpr wbr 3adant1 wn wceq breq1 notbid adantr ifbothda wa
      sonr breq2 cif simp1 ifcl ifpr cv wral 3adant3 simpr wi so2nr 3impb imnan
      3com23 sylibr imp 3adant2 wb ralprg mpbir2and r19.21bi supmax ) ADFZBAGZC
      AGZHZEABCIZCBDJZBCUAZDVBVCVDUBVCVDVHAGVBVGBCAUCKVCVDVHVFGVBVGBCAAUDKVEVHE
      UEZDJZLZEVFVEVKEVFUFZVHBDJZLZVHCDJZLZVGBBDJZLZVGLZVNVEBCBVHMZVQVMBVHBDNOC
      VHMZVGVMCVHBDNOVEVRVGVBVCVRVDABDSUGPVEVSUHQVGBCDJZLZCCDJZLZVPVEBCVTWBVOBV
      HCDNOWAWDVOCVHCDNOVEVGWCVEVGWBRLZVGWCUIVBVDVCWFVBVDVCWFACBDUJUKUMVGWBULUN
      UOVEWEVSVBVDWEVCACDSUPPQVCVDVLVNVPRUQVBVKVNVPEBCAAVIBMVJVMVIBVHDTOVICMVJV
      OVICVHDTOURKUSUTVA $.

    $( The supremum of a singleton.  (Contributed by NM, 2-Oct-2007.) $)
    supsn $p |- ( ( R Or A /\ B e. A ) -> sup ( { B } , A , R ) = B ) $=
      ( wor wcel wa csn csup wbr cif cpr dfsn2 supeq1i wceq suppr 3anidm23 ifid
      eqtrid eqtrdi ) ACDZBAEZFZBGZACHZBBCIZBBJZBUBUDBBKZACHZUFAUCUGCBLMTUAUHUF
      NABBCOPRUEBQS $.
  $}

  ${
    $d u v w x y z A $.  $d u v w x y z C $.  $d w y z D $.  $d u w ph $.
    $d u v w x y z F $.  $d u w x y z R $.  $d u v w x y z S $.
    $d u v w x y z B $.
    supiso.1 $e |- ( ph -> F Isom R , S ( A , B ) ) $.
    supiso.2 $e |- ( ph -> C C_ A ) $.
    $( Lemma for ~ supiso .  (Contributed by Mario Carneiro, 24-Dec-2016.) $)
    supisolem $p |- ( ( ph /\ D e. A ) ->
      ( ( A. y e. C -. D R y /\ A. y e. A ( y R D -> E. z e. C y R z ) ) <->
        ( A. w e. ( F " C ) -. ( F ` D ) S w /\
          A. w e. B ( w S ( F ` D ) -> E. v e. ( F " C ) w S v ) ) ) ) $=
      ( wa wcel wbr wral wb adantr wiso wss cv wn wrex wi cfv jca simpll simplr
      cima sselda isorel syl12anc notbid ralbidva wfn wf1o syl f1ofn wceq breq2
      isof1o ralima syl2anc bitr4d simpr rexima imbi12d wfo f1ofo breq1 rexbidv
      rexbidva cbvfo 3syl bitrd anbi12d sylan ) AFGJKLUAZHFUBZOZIFPZIBUCZJQZUDZ
      BHRZWDIJQZWDCUCZJQZCHUEZUFZBFRZOILUGZDUCZKQZUDZDLHUKZRZWOWNKQZWOEUCZKQZEW
      RUEZUFZDGRZOSAVTWAMNUHWBWCOZWGWSWMXEXFWGWNWDLUGZKQZUDZBHRZWSXFWFXIBHXFWDH
      PZOZWEXHXLVTWCWDFPZWEXHSXFVTXKVTWAWCUIZTWBWCXKUJXFHFWDVTWAWCUJZULFGIWDJKL
      UMUNUOUPXFLFUQZWAWSXJSXFFGLURZXPXFVTXQXNFGJKLVCUSZFGLUTUSZXOWQXIDBFHLWOXG
      VAWPXHWOXGWNKVBUOVDVEVFXFWMXGWNKQZXGXAKQZEWRUEZUFZBFRZXEXFWLYCBFXFXMOZWHX
      TWKYBYEVTXMWCWHXTSXFVTXMXNTZXFXMVGWBWCXMUJFGWDIJKLUMUNYEWKXGWILUGZKQZCHUE
      ZYBYEWJYHCHYEWIHPZOVTXMWIFPWJYHSYEVTYJYFTXFXMYJUJYEHFWIXFWAXMXOTZULFGWDWI
      JKLUMUNVNYEXPWAYBYISXFXPXMXSTYKYAYHECFHLXAYGXGKVBVHVEVFVIUPXFXQFGLVJYDXES
      XRFGLVKYCXDBDFGLXGWOVAZXTWTYBXCXGWOWNKVLYLYAXBEWRXGWOXAKVLVMVIVOVPVQVRVS
      $.

    supisoex.3 $e |- ( ph -> E. x e. A ( A. y e. C -. x R y /\
                      A. y e. A ( y R x -> E. z e. C y R z ) ) ) $.
    $( Lemma for ~ supiso .  (Contributed by Mario Carneiro, 24-Dec-2016.) $)
    supisoex $p |- ( ph -> E. u e. B ( A. w e. ( F " C ) -. u S w /\
          A. w e. B ( w S u -> E. v e. ( F " C ) w S v ) ) ) $=
      ( cv wbr wral wi wn wrex wa cima wiso wss wcel simpl simpr supisolem wf1o
      cfv wf isof1o f1of 3syl ffvelrnda wceq breq1 notbid ralbidv breq2 anbi12d
      imbi1d rspcev ex syl sylbid rexlimdva syl2anc mpd ) ABQZCQZKRUACJSVMVLKRV
      MDQKRDJUBTCHSUCZBHUBZGQZEQZLRZUAZEMJUDZSZVQVPLRZVQFQLRFVTUBZTZEISZUCZGIUB
      ZPAHIKLMUEZJHUFZVOWGTNOWHWIUCZVNWGBHWJVLHUGUCZVNVLMULZVQLRZUAZEVTSZVQWLLR
      ZWCTZEISZUCZWGWJCDEFHIJVLKLMWHWIUHZWHWIUIUJWKWLIUGZWSWGTWJHIVLMWJWHHIMUKH
      IMUMWTHIKLMUNHIMUOUPUQXAWSWGWFWSGWLIVPWLURZWAWOWEWRXBVSWNEVTXBVRWMVPWLVQL
      USUTVAXBWDWQEIXBWBWPWCVPWLVQLVBVDVAVCVEVFVGVHVIVJVK $.

    supiso.4 $e |- ( ph -> R Or A ) $.
    $( Image of a supremum under an isomorphism.  (Contributed by Mario
       Carneiro, 24-Dec-2016.) $)
    supiso $p |- ( ph ->
      sup ( ( F " C ) , B , S ) = ( F ` sup ( C , A , R ) ) ) $=
      ( vw vv vu cv wbr wral cima csup cfv wor wiso isoso syl mpbid wf1o isof1o
      wb wf f1of 3syl supcl ffvelrnd wn wrex wi supub ralrimiv wcel suplub expd
      wa supisolem mpdan mpbi2and simpld r19.21bi simprd impr eqsupd ) AOPFJGUA
      ZGEHUBZJUCZIAEHUDZFIUDZNAEFHIJUEZVQVRUKKEFHIJUFUGUHAEFVOJAVSEFJUIEFJULKEF
      HIJUJEFJUMUNABCDEGHNMUOZUPAVPORZISUQZOVNAWBOVNTZWAVPISZWAPRISPVNURZUSZOFT
      ZAVOQRZHSUQZQGTZWHVOHSZWHDRHSDGURZUSZQETZWCWGVEZAWIQGABCDEGWHHNMUTVAAWMQE
      AWHEVBWKWLABCDEGWHHNMVCVDVAAVOEVBWJWNVEWOUKVTAQDOPEFGVOHIJKLVFVGVHZVIVJAW
      AFVBWDWEAWFOFAWCWGWPVKVJVLVM $.
  $}

  $( Equality theorem for infimum.  (Contributed by AV, 2-Sep-2020.) $)
  infeq1 $p |- ( B = C -> inf ( B , A , R ) = inf ( C , A , R ) ) $=
    ( wceq ccnv csup cinf supeq1 df-inf 3eqtr4g ) BCEBADFZGCALGBADHCADHABCLIBAD
    JCADJK $.

  ${
    infeq1d.1 $e |- ( ph -> B = C ) $.
    $( Equality deduction for infimum.  (Contributed by AV, 2-Sep-2020.) $)
    infeq1d $p |- ( ph -> inf ( B , A , R ) = inf ( C , A , R ) ) $=
      ( wceq cinf infeq1 syl ) ACDGCBEHDBEHGFBCDEIJ $.
  $}

  ${
    infeq1i.1 $e |- B = C $.
    $( Equality inference for infimum.  (Contributed by AV, 2-Sep-2020.) $)
    infeq1i $p |- inf ( B , A , R ) = inf ( C , A , R ) $=
      ( wceq cinf infeq1 ax-mp ) BCFBADGCADGFEABCDHI $.
  $}

  $( Equality theorem for infimum.  (Contributed by AV, 2-Sep-2020.) $)
  infeq2 $p |- ( B = C -> inf ( A , B , R ) = inf ( A , C , R ) ) $=
    ( wceq ccnv csup cinf supeq2 df-inf 3eqtr4g ) BCEABDFZGACLGABDHACDHABCLIABD
    JACDJK $.

  $( Equality theorem for infimum.  (Contributed by AV, 2-Sep-2020.) $)
  infeq3 $p |- ( R = S -> inf ( A , B , R ) = inf ( A , B , S ) ) $=
    ( wceq ccnv csup cinf cnveq supeq3 syl df-inf 3eqtr4g ) CDEZABCFZGZABDFZGZA
    BCHABDHNOQEPRECDIABOQJKABCLABDLM $.

  ${
    infeq123d.a $e |- ( ph -> A = D ) $.
    infeq123d.b $e |- ( ph -> B = E ) $.
    infeq123d.c $e |- ( ph -> C = F ) $.
    $( Equality deduction for infimum.  (Contributed by AV, 2-Sep-2020.) $)
    infeq123d $p |- ( ph -> inf ( A , B , C ) = inf ( D , E , F ) ) $=
      ( ccnv csup cinf cnveqd supeq123d df-inf 3eqtr4g ) ABCDKZLEFGKZLBCDMEFGMA
      BCREFSHIADGJNOBCDPEFGPQ $.
  $}

  ${
    nfinf.1 $e |- F/_ x A $.
    nfinf.2 $e |- F/_ x B $.
    nfinf.3 $e |- F/_ x R $.
    $( Hypothesis builder for infimum.  (Contributed by AV, 2-Sep-2020.) $)
    nfinf $p |- F/_ x inf ( A , B , R ) $=
      ( cinf ccnv csup df-inf nfcnv nfsup nfcxfr ) ABCDHBCDIZJBCDKABCOEFADGLMN
      $.
  $}

  ${
    infexd.1 $e |- ( ph -> R Or A ) $.
    $( An infimum is a set.  (Contributed by AV, 2-Sep-2020.) $)
    infexd $p |- ( ph -> inf ( B , A , R ) e. _V ) $=
      ( cinf ccnv csup cvv df-inf wor cnvso sylib supexd eqeltrid ) ACBDFCBDGZH
      ICBDJABCPABDKBPKEBDLMNO $.

    $d A y z $.  $d B y z $.  $d R y z $.
    ${
      $d C y z $.
      $( Sufficient condition for an element to be equal to the infimum.
         (Contributed by AV, 2-Sep-2020.) $)
      eqinf $p |- ( ph -> ( ( C e. A /\ A. y e. B -. y R C /\
       A. y e. A ( C R y -> E. z e. B z R y ) ) -> inf ( B , A , R ) = C ) ) $=
        ( wcel cv wbr wn wral wrex wi w3a wa wb cvv bicomd cinf wceq df-inf wor
        ccnv csup cnvso sylib eqsup brcnvg elvd notbid ralbidv vex mpan rexbidv
        brcnv a1i imbi12d anbi12d pm5.32i 3anass 3bitr4i biimpi impel eqtrid ex
        ) AFDIZBJZFGKZLZBEMZFVIGKZCJZVIGKZCENZOZBDMZPZEDGUAZFUBAVSQVTEDGUEZUFZF
        EDGUCAVHFVIWAKZLZBEMZVIFWAKZVIVNWAKZCENZOZBDMZPZWBFUBVSABCDEFWAADGUDDWA
        UDHDGUGUHUIVSWKVHVLVRQZQVHWEWJQZQVSWKVHWLWMVHVLWEVRWJVHVKWDBEVHVJWCVHVJ
        WCRBVHVISIZQWCVJFVIDSGUJTUKULUMVHVQWIBDVHVMWFVPWHVHWFVMWNVHWFVMRBUNZVIF
        SDGUJUOTVHVOWGCEVHWGVOWGVORVHVIVNGWOCUNUQURTUPUSUMUTVAVHVLVRVBVHWEWJVBV
        CVDVEVFVG $.

      $d ph y $.
      eqinfd.2 $e |- ( ph -> C e. A ) $.
      eqinfd.3 $e |- ( ( ph /\ y e. B ) -> -. y R C ) $.
      eqinfd.4 $e |- ( ( ph /\ ( y e. A /\ C R y ) ) -> E. z e. B z R y ) $.
      $( Sufficient condition for an element to be equal to the infimum.
         (Contributed by AV, 3-Sep-2020.) $)
      eqinfd $p |- ( ph -> inf ( B , A , R ) = C ) $=
        ( wcel cv wbr wn wral wrex wi cinf ralrimiva wceq expr eqinf mp3and ) A
        FDLBMZFGNOZBEPFUEGNZCMUEGNCEQZRZBDPEDGSFUAIAUFBEJTAUIBDAUEDLUGUHKUBTABC
        DEFGHUCUD $.
    $}

    $d A x $.  $d B x $.  $d R x $.  $d ph x y z $.
    $( Alternate expression for the infimum.  (Contributed by AV,
       2-Sep-2020.) $)
    infval $p |- ( ph -> inf ( B , A , R ) =
      ( iota_ x e. A ( A. y e. B -. y R x /\
                  A. y e. A ( x R y -> E. z e. B z R y ) ) ) ) $=
      ( cv wbr wn wral wrex wi wa crio wb vex brcnv a1i cinf df-inf cnvso sylib
      ccnv csup supval2 notbid ralbidv rexbidv imbi12d anbi12d riotabidv eqtrid
      wor eqtrd ) AFEGUAFEGUEZUFZCIZBIZGJZKZCFLZUTUSGJZDIZUSGJZDFMZNZCELZOZBEPZ
      FEGUBAURUTUSUQJZKZCFLZUSUTUQJZUSVEUQJZDFMZNZCELZOZBEPVKABCDEFUQAEGUOEUQUO
      HEGUCUDUGAVTVJBEAVNVCVSVIAVMVBCFAVLVAVLVAQAUTUSGBRZCRZSTUHUIAVRVHCEAVOVDV
      QVGVOVDQAUSUTGWBWASTAVPVFDFVPVFQAUSVEGWBDRSTUJUKUIULUMUPUN $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d R x y z $.
    infcl.1 $e |- ( ph -> R Or A ) $.
    infcl.2 $e |- ( ph -> E. x e. A ( A. y e. B -. y R x /\
                      A. y e. A ( x R y -> E. z e. B z R y ) ) ) $.
    $( Lemma for ~ infcl , ~ inflb , ~ infglb , etc.  (Contributed by AV,
       3-Sep-2020.) $)
    infcllem $p |- ( ph -> E. x e. A ( A. y e. B -. x `' R y /\
                      A. y e. A ( y `' R x -> E. z e. B y `' R z ) ) ) $=
      ( cv wbr wn wral wrex wi wa vex brcnv bicomi ralbii notbii rexbii imbi12i
      ccnv anbi12i sylib ) ACJZBJZGKZLZCFMZUHUGGKZDJZUGGKZDFNZOZCEMZPZBENUHUGGU
      DZKZLZCFMZUGUHUSKZUGUMUSKZDFNZOZCEMZPZBENIURVHBEUKVBUQVGUJVACFUIUTUTUIUHU
      GGBQZCQZRSUATUPVFCEULVCUOVEVCULUGUHGVJVIRSUNVDDFVDUNUGUMGVJDQRSUBUCTUEUBU
      F $.

    $( An infimum belongs to its base class (closure law).  See also ~ inflb
       and ~ infglb .  (Contributed by AV, 3-Sep-2020.) $)
    infcl $p |- ( ph -> inf ( B , A , R ) e. A ) $=
      ( cinf ccnv csup df-inf wor cnvso sylib infcllem supcl eqeltrid ) AFEGJFE
      GKZLEFEGMABCDEFTAEGNETNHEGOPABCDEFGHIQRS $.

    $( An infimum is a lower bound.  See also ~ infcl and ~ infglb .
       (Contributed by AV, 3-Sep-2020.) $)
    inflb $p |- ( ph -> ( C e. B -> -. C R inf ( B , A , R ) ) ) $=
      ( wcel cinf wbr wn wa ccnv csup wor cnvso sylib infcllem supub imp df-inf
      wceq a1i breq2d wb supcl brcnvg bicomd sylan bitrd mtbird ex ) AGFKZGFEHL
      ZHMZNAUPOZURFEHPZQZGUTMZAUPVBNABCDEFGUTAEHREUTRIEHSTZABCDEFHIJUAZUBUCUSUR
      GVAHMZVBUSUQVAGHUQVAUEUSFEHUDUFUGAVAEKZUPVEVBUHABCDEFUTVCVDUIVFUPOVBVEVAG
      EFHUJUKULUMUNUO $.

    $d C z $.  $d ph z $.
    $( An infimum is the greatest lower bound.  See also ~ infcl and ~ inflb .
       (Contributed by AV, 3-Sep-2020.) $)
    infglb $p |- ( ph -> ( ( C e. A /\ inf ( B , A , R ) R C ) ->
                    E. z e. B z R C ) ) $=
      ( wcel cinf wbr cv wrex wa wb wor brcnvg cvv ccnv csup df-inf simpr cnvso
      breq1i sylib infcllem adantr bicomd syl2anc syl5bb suplub expdimp sylancl
      supcl vex rexbidv sylibd sylbid expimpd ) AGEKZFEHLZGHMZDNZGHMZDFOZAVBPZV
      DGFEHUAZUBZVIMZVGVDVJGHMZVHVKVCVJGHFEHUCUFVHVBVJEKZVLVKQAVBUDZAVMVBABCDEF
      VIAEHREVIRIEHUEUGZABCDEFHIJUHZUPUIVBVMPVKVLGVJEEHSUJUKULVHVKGVEVIMZDFOZVG
      AVBVKVRABCDEFGVIVOVPUMUNVHVQVFDFVHVBVETKVQVFQVNDUQGVEETHSUOURUSUTVA $.

    ${
      infglbb.3 $e |- ( ph -> B C_ A ) $.
      $( Bidirectional form of ~ infglb .  (Contributed by AV, 3-Sep-2020.) $)
      infglbb $p |- ( ( ph /\ C e. A ) ->
                    ( inf ( B , A , R ) R C <-> E. z e. B z R C ) ) $=
        ( cinf wbr wcel wa wrex wb wor brcnvg cvv ccnv csup df-inf breq1i simpr
        cv cnvso sylib infcllem supcl adantr bicomd syl2anc suplub2 vex sylancl
        rexbidv 3bitrd syl5bb ) FEHLZGHMFEHUAZUBZGHMZAGENZOZDUFZGHMZDFPZUTVBGHF
        EHUCUDVEVCGVBVAMZGVFVAMZDFPVHVEVDVBENZVCVIQAVDUEZAVKVDABCDEFVAAEHREVARI
        EHUGUHZABCDEFHIJUIZUJUKVDVKOVIVCGVBEEHSULUMABCDEFGVAVMVNKUNVEVJVGDFVEVD
        VFTNVJVGQVLDUOGVFETHSUPUQURUS $.
    $}

    $( A lower bound is not greater than the infimum.  (Contributed by AV,
       3-Sep-2020.) $)
    infnlb $p |- ( ph -> ( ( C e. A /\ A. z e. B -. z R C ) ->
                    -. inf ( B , A , R ) R C ) ) $=
      ( wcel cv wbr wn wral cinf wa wrex infglb expdimp dfrex2 syl6ib expimpd
      con2d ) AGEKZDLGHMZNDFOZFEHPGHMZNAUEQZUHUGUIUHUFDFRZUGNAUEUHUJABCDEFGHIJS
      TUFDFUAUBUDUC $.
  $}

  ${
    infex.1 $e |- R Or A $.
    $( An infimum is a set.  (Contributed by AV, 3-Sep-2020.) $)
    infex $p |- inf ( B , A , R ) e. _V $=
      ( wor cinf cvv wcel id infexd ax-mp ) ACEZBACFGHDLABCLIJK $.
  $}

  ${
    $d A y z $.  $d B y z $.  $d C y z $.  $d R y z $.  $d y z ph $.
    infmin.1 $e |- ( ph -> R Or A ) $.
    infmin.2 $e |- ( ph -> C e. A ) $.
    infmin.3 $e |- ( ph -> C e. B ) $.
    infmin.4 $e |- ( ( ph /\ y e. B ) -> -. y R C ) $.
    $( The smallest element of a set is its infimum.  Note that the converse is
       not true; the infimum might not be an element of the set considered.
       (Contributed by AV, 3-Sep-2020.) $)
    infmin $p |- ( ph -> inf ( B , A , R ) = C ) $=
      ( vz wcel cv wbr wa wrex simprr breq1 rspcev syl2an2r eqinfd ) ABKCDEFGHJ
      AEDLBMZCLZEUBFNZOUDKMZUBFNZKDPIAUCUDQUFUDKEDUEEUBFRSTUA $.
  $}

  ${
    $d x y z w A $.  $d x y z w R $.  $d x y z w B $.  $d w ph $.
    infmo.1 $e |- ( ph -> R Or A ) $.
    $( Any class ` B ` has at most one infimum in ` A ` (where ` R ` is
       interpreted as 'less than').  (Contributed by AV, 6-Oct-2020.) $)
    infmo $p |- ( ph -> E* x e. A ( A. y e. B -. y R x /\
                  A. y e. A ( x R y -> E. z e. B z R y ) ) ) $=
      ( vw cv wbr wn wral wrex wi wa weq breq2 breq1 syl5bi wrmo wor wcel ancom
      anbi2ci an42 3bitr4i ralnex rexbidv imbi12d rspcva cbvrexvw syl6ibr con3d
      expimpd ad2antrl ad2antll anim12d imp ancomd ex sylibrd ralrimivva notbid
      sotrieq2 syl ralbidv imbi1d anbi12d rmo4 sylibr ) ACJZBJZGKZLZCFMZVMVLGKZ
      DJZVLGKZDFNZOZCEMZPZVLIJZGKZLZCFMZWDVLGKZVTOZCEMZPZPZBIQZOZIEMBEMZWCBEUAA
      EGUBZWOHWPWNBIEEWPVMEUCZWDEUCZPPZWLVMWDGKZLZWDVMGKZLZPZWMWLWJVPPZWBWGPZPZ
      WSXDVPWGPZWJWBPZPXIWGVPPZPWLXGXHXJXIVPWGUDUEVPWBWGWJUFWJVPWBWGUFUGWSXGXDW
      SXGPXCXAWSXGXCXAPWSXEXCXFXAWQXEXCOWPWRWQWJVPXCVPVNCFNZLWQWJPZXCVNCFUHXLXB
      XKXLXBVRVMGKZDFNZXKWIXBXNOCVMECBQZWHXBVTXNVLVMWDGRXOVSXMDFVLVMVRGRUIUJUKV
      NXMCDFVLVRVMGSULUMUNTUOUPWRXFXAOWPWQWRWBWGXAWGWECFNZLWRWBPZXAWECFUHXQWTXP
      XQWTVRWDGKZDFNZXPWAWTXSOCWDECIQZVQWTVTXSVLWDVMGRXTVSXRDFVLWDVRGRUIUJUKWEX
      RCDFVLVRWDGSULUMUNTUOUQURUSUTVATEVMWDGVEVBVCVFWCWKBIEWMVPWGWBWJWMVOWFCFWM
      VNWEVMWDVLGRVDVGWMWAWICEWMVQWHVTVMWDVLGSVHVGVIVJVK $.

    infeu.2 $e |- ( ph -> E. x e. A ( A. y e. B -. y R x /\
                      A. y e. A ( x R y -> E. z e. B z R y ) ) ) $.
    $( An infimum is unique.  (Contributed by AV, 6-Oct-2020.) $)
    infeu $p |- ( ph ->
                    E! x e. A ( A. y e. B -. y R x /\
                    A. y e. A ( x R y -> E. z e. B z R y ) ) ) $=
      ( cv wbr wn wral wrex wi wa wrmo wreu infmo reu5 sylanbrc ) ACJZBJZGKLCFM
      UCUBGKDJUBGKDFNOCEMPZBENUDBEQUDBERIABCDEFGHSUDBETUA $.
  $}

  ${
    $d R x y z $.  $d A x y z $.
    $( A finite set has a minimum under a total order.  (Contributed by AV,
       6-Oct-2020.) $)
    fimin2g $p |- ( ( R Or A /\ A e. Fin /\ A =/= (/) ) ->
                                        E. x e. A A. y e. A -. y R x ) $=
      ( wor cfn wcel c0 wne w3a wa wfr cv wbr wn wral wrex 3simpc wpo syl2anc
      sopo 3ad2ant1 simp2 frfi wss ssid fri mpanr1 an32s ) CDEZCFGZCHIZJZUKULKC
      DLZBMAMDNOBCPACQZUJUKULRUMCDSZUKUNUJUKUPULCDUAUBUJUKULUCCDUDTUKUNULUOUKUN
      KCCUEULUOCUFABCCFDUGUHUIT $.

    $( A finite set has a minimum under a total order.  (Contributed by AV,
       6-Oct-2020.) $)
    fiming $p |- ( ( R Or A /\ A e. Fin /\ A =/= (/) ) ->
                            E. x e. A A. y e. A ( x =/= y -> x R y ) ) $=
      ( wor cfn wcel c0 wne w3a cv wbr wi wral wrex wn fimin2g wb wa weq imbi1i
      wo nesym pm4.64 sotric ancom2s con2bid anassrs ralbidva rexbidva 3ad2ant1
      bitri syl5bb mpbird ) CDEZCFGZCHIZJAKZBKZIZURUSDLZMZBCNZACOZUSURDLZPZBCNZ
      ACOZABCDQUOUPVDVHRUQUOVCVGACUOURCGZSVBVFBCUOVIUSCGZVBVFRVBBATZVAUBZUOVIVJ
      SSZVFVBVKPZVAMVLUTVNVAURUSUCUAVKVAUDULVMVEVLUOVJVIVEVLPRCUSURDUEUFUGUMUHU
      IUJUKUN $.

    $( Lemma showing existence and closure of infimum of a finite set.
       (Contributed by AV, 6-Oct-2020.) $)
    fiinfg $p |- ( ( R Or A /\ A e. Fin /\ A =/= (/) ) -> E. x e. A ( A. y e. A
            -. y R x /\ A. y e. A ( x R y -> E. z e. A z R y ) ) ) $=
      ( wor cfn wcel c0 wne cv wbr wi wral wrex wn wa weq ex anassrs w3a fiming
      equcom sotrieq2 ancom2s syl5bb simprbda a1dd pm2.27 soasym syl9r ralimdva
      wb pm2.61dne breq1 rspcev ralrimivw adantl jctird reximdva 3ad2ant1 mpd )
      DEFZDGHZDIJZUAAKZBKZJZVFVGELZMZBDNZADOZVGVFELPZBDNZVICKZVGELZCDOZMZBDNZQZ
      ADOZABDEUBVCVDVLWAMVEVCVKVTADVCVFDHZQZVKVNVSWCVJVMBDWCVGDHZQZVJVMMVFVGWEA
      BRZVMVJVCWBWDWFVMMVCWBWDQQZWFVMWGWFVMVIPZWFBARZWGVMWHQZABUCVCWDWBWIWJUMDV
      GVFEUDUEUFUGSTUHVHVJVIWEVMVHVIUIVCWBWDVIVMMDEVFVGUJTUKUNULWBVSVCWBVRBDWBV
      IVQVPVICVFDVOVFVGEUOUPSUQURUSUTVAVB $.
  $}

  ${
    $d R x y z $.  $d B x y z $.
    $( A finite set satisfies the conditions to have an infimum.  (Contributed
       by AV, 6-Oct-2020.) $)
    fiinf2g $p |- ( ( R Or A /\ ( B e. Fin /\ B =/= (/) /\ B C_ A ) ) ->
      E. x e. B ( A. y e. B -. y R x /\
        A. y e. A ( x R y -> E. z e. B z R y ) ) ) $=
      ( wor cfn wcel c0 wne wss w3a wa cv wbr wn wral wrex wi wreu simp1 fiinfg
      soss infeu 3exp syl6 com4l 3imp2 reurex breq1 rspcev ralrimivw a1d anim2d
      ex reximia 3syl ) DFGZEHIZEJKZEDLZMNBOZAOZFPQBERZVDVCFPZCOZVCFPZCESZTZBER
      ZNZAEUAZVLAESVEVJBDRZNZAESUSUTVAVBVMVBUSUTVAVMVBUSEFGZUTVAVMTTEDFUDVPUTVA
      VMVPUTVAMABCEEFVPUTVAUBABCEFUCUEUFUGUHUIVLAEUJVLVOAEVDEIZVKVNVEVQVNVKVQVJ
      BDVQVFVIVHVFCVDEVGVDVCFUKULUPUMUNUOUQUR $.
  $}

  $( A nonempty finite set contains its infimum.  (Contributed by AV,
     3-Sep-2020.) $)
  fiinfcl $p |- ( ( R Or A /\ ( B e. Fin /\ B =/= (/) /\ B C_ A ) )
                                    -> inf ( B , A , R ) e. B ) $=
    ( wor cfn wcel c0 wne wss w3a wa cinf ccnv csup df-inf cnvso fisupcl sylanb
    eqeltrid ) ACDZBEFBGHBAIJZKBACLBACMZNZBBACOTAUBDUAUCBFACPABUBQRS $.

  ${
    infltoreq.1 $e |- ( ph -> R Or A ) $.
    infltoreq.2 $e |- ( ph -> B C_ A ) $.
    infltoreq.3 $e |- ( ph -> B e. Fin ) $.
    infltoreq.4 $e |- ( ph -> C e. B ) $.
    infltoreq.5 $e |- ( ph -> S = inf ( B , A , R ) ) $.
    $( The infimum of a finite set is less than or equal to all the elements of
       the set.  (Contributed by AV, 4-Sep-2020.) $)
    infltoreq $p |- ( ph -> ( S R C \/ C = S ) ) $=
      ( wbr wceq wo ccnv wor cnvso sylib cinf wcel csup df-inf eqtrdi supgtoreq
      wb cfn wne wss ne0d fiinfcl syl13anc eqeltrd brcnvg bicomd syl2anc orbi1d
      c0 wa mpbird ) AFDELZDFMZNDFEOZLZVANABCDVBFABEPZBVBPGBEQRHIJAFCBESZCBVBUA
      KCBEUBUCUDAUTVCVAADCTZFCTZUTVCUEJAFVECKAVDCUFTCUQUGCBUHVECTGIACDJUIHBCEUJ
      UKULVFVGURVCUTDFCCEUMUNUOUPUS $.
  $}

  ${
    $d A y $.  $d B y $.  $d C y $.  $d R y $.
    $( The infimum of a pair.  (Contributed by AV, 4-Sep-2020.) $)
    infpr $p |- ( ( R Or A /\ B e. A /\ C e. A ) -> inf ( { B , C } , A , R ) =
                  if ( B R C , B , C ) ) $=
      ( vy wor wcel w3a cpr wbr 3adant1 wn wceq breq2 notbid adantr ifbothda wa
      sonr breq1 cif simp1 ifcl ifpr cv wral 3adant3 simpr wi so2nr 3impb imnan
      sylibr imp 3adant2 wb ralprg mpbir2and r19.21bi infmin ) ADFZBAGZCAGZHZEA
      BCIZBCDJZBCUAZDVAVBVCUBVBVCVGAGVAVFBCAUCKVBVCVGVEGVAVFBCAAUDKVDEUEZVGDJZL
      ZEVEVDVJEVEUFZBVGDJZLZCVGDJZLZVFBBDJZLZVFLZVMVDBCBVGMZVPVLBVGBDNOCVGMZVFV
      LCVGBDNOVDVQVFVAVBVQVCABDSUGPVDVRUHQVFCBDJZLZCCDJZLZVOVDBCVSWAVNBVGCDNOVT
      WCVNCVGCDNOVDVFWBVDVFWARLZVFWBUIVAVBVCWEABCDUJUKVFWAULUMUNVDWDVRVAVCWDVBA
      CDSUOPQVBVCVKVMVORUPVAVJVMVOEBCAAVHBMVIVLVHBVGDTOVHCMVIVNVHCVGDTOUQKURUSU
      T $.
  $}

  $( The infimum of a proper pair is less than the supremum of this pair.
     (Contributed by AV, 13-Mar-2023.) $)
  infsupprpr $p |- ( ( R Or A /\ ( B e. A /\ C e. A /\ B =/= C ) )
             -> inf ( { B , C } , A , R ) R sup ( { B , C } , A , R ) ) $=
    ( wcel w3a wa wbr cif wceq 3adantr3 wi iftrue adantr wo wn wb sotric mpcom
    ex wor wne cpr cinf csup w3o solin biimpac ioran iffalse breqtrrd simplbiim
    simprl eqbrtrd 2a1d 3impd adantld pm3.22 3adant3 biimpd sylan2 impcom simpr
    eqneqall breqan12d mpbird a1d expimpd 3jaoi infpr suppr breq12d 3adant3r3 )
    ADUAZBAEZCAEZBCUBZFZGZBCUCZADUDZVTADUEZDHZBCDHZBCIZCBDHZBCIZDHZWDBCJZWFUFZV
    SWHVNVOVPWJVQABCDUGKWDVSWHLWIWFWDVSWHWDVSGZWEBWGDWDWEBJVSWDBCMNWIWFOPZWKBWG
    DHZVSWDWLVNVOVPWDWLQVQABCDRKUHWLWIPWFPZWKWMLWIWFUIWNWKWMWNWKGBCWGDWNWDVSUMW
    NWGCJWKWFBCUJNUKTULSUNTWIVRWHVNWIVOVPVQWHWIVQWHLVOVPWHBCVDUOUPUQWFVSWHCBJZW
    DOPZWFVSGZWHVSWFWPVRVNVPVOGZWFWPLVOVPWRVQVOVPURUSVNWRGWFWPACBDRUTVAVBWPWOPW
    DPZWQWHLWOWDUIWSWFVSWHWSWFGZWHVSWTWHWFWSWFVCWSWFWECWGBDWDBCUJWFBCMVEVFVGVHU
    LSTVISVNVOVPWCWHQVQVNVOVPFWAWEWBWGDABCDVJABCDVKVLVMVF $.

  $( The infimum of a singleton.  (Contributed by NM, 2-Oct-2007.) $)
  infsn $p |- ( ( R Or A /\ B e. A ) -> inf ( { B } , A , R ) = B ) $=
    ( wor wcel wa csn cinf wbr cif cpr dfsn2 infeq1i wceq infpr 3anidm23 eqtrid
    ifid eqtrdi ) ACDZBAEZFZBGZACHZBBCIZBBJZBUBUDBBKZACHZUFAUCUGCBLMTUAUHUFNABB
    COPQUEBRS $.

  $( The infimum regarding an empty base set is always the empty set.
     (Contributed by AV, 4-Sep-2020.) $)
  inf00 $p |- inf ( B , (/) , R ) = (/) $=
    ( c0 cinf ccnv csup df-inf sup00 eqtri ) ACBDACBEZFCACBGAJHI $.

  ${
    $d A x y $.  $d R x y $.  $d X x y $.
    $( The infimum of an empty set under a base set which has a unique greatest
       element is the greatest element of the base set.  (Contributed by AV,
       4-Sep-2020.) $)
    infempty $p |- ( ( R Or A /\ ( X e. A /\ A. y e. A -. X R y )
                       /\ E! x e. A A. y e. A -. x R y )
                     -> inf ( (/) , A , R ) = X ) $=
      ( wor wcel cv wbr wn wral wa wreu c0 brcnvg ancoms bicomd notbid ralbidva
      wb cinf ccnv csup df-inf wceq cnvso pm5.32i reubiia sup0 syl3anb eqtrid
      w3a ) CDFZECGZEBHZDIZJZBCKZLZAHZUODIZJZBCKZACMZULNCDUANCDUBZUCZENCDUDUMCV
      EFUSUNUOEVEIZJZBCKZLVDUOUTVEIZJZBCKZACMVFEUECDUFUNURVIUNUQVHBCUNUOCGZLZUP
      VGVNVGUPVMUNVGUPTUOECCDOPQRSUGVCVLACUTCGZVBVKBCVOVMLZVAVJVPVJVAVMVOVJVATU
      OUTCCDOPQRSUHABCVEEUIUJUK $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d F x y z $.  $d R x y z $.
    $d S x y z $.  $d ph x y z $.
    infiso.1 $e |- ( ph -> F Isom R , S ( A , B ) ) $.
    infiso.2 $e |- ( ph -> C C_ A ) $.
    infiso.3 $e |- ( ph -> E. x e. A ( A. y e. C -. y R x /\
                      A. y e. A ( x R y -> E. z e. C z R y ) ) ) $.
    infiso.4 $e |- ( ph -> R Or A ) $.
    $( Image of an infimum under an isomorphism.  (Contributed by AV,
       4-Sep-2020.) $)
    infiso $p |- ( ph ->
                   inf ( ( F " C ) , B , S ) = ( F ` inf ( C , A , R ) ) ) $=
      ( ccnv csup cfv cinf wiso sylib cima isocnv2 infcllem cnvso supiso df-inf
      wor fveq2i 3eqtr4g ) AJGUAZFIOZPGEHOZPZJQUJFIRGEHRZJQABCDEFGULUKJAEFHIJSE
      FULUKJSKEFHIJUBTLABCDEGHNMUCAEHUGEULUGNEHUDTUEUJFIUFUNUMJGEHUFUHUI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ordinal isomorphism, Hartogs's theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c OrdIso $.

  $( Extend class definition to include the canonical order isomorphism to an
     ordinal. $)
  coi $a class OrdIso ( R , A ) $.

  ${
    $d h j t u v w x z A $.  $d h j t u v w x z R $.
    $( Define the canonical order isomorphism from the well-order ` R ` on
       ` A ` to an ordinal.  (Contributed by Mario Carneiro, 23-May-2015.) $)
    df-oi $a |- OrdIso ( R , A ) = if ( ( R We A /\ R Se A ) ,
      ( recs ( ( h e. _V |->
      ( iota_ v e. { w e. A | A. j e. ran h j R w }
           A. u e. { w e. A | A. j e. ran h j R w } -. u R v ) ) ) |`
       { x e. On | E. t e. A A. z e. ( recs ( ( h e. _V |->
      ( iota_ v e. { w e. A | A. j e. ran h j R w }
           A. u e. { w e. A | A. j e. ran h j R w } -. u R v ) ) ) " x )
      z R t } ) , (/) ) $.
  $}

  ${
    $d h j t u v w x z A $.  $d u v C $.  $d z F $.  $d h j t u v w x z R $.
    dfoi.1 $e |- C = { w e. A | A. j e. ran h j R w } $.
    dfoi.2 $e |- G = ( h e. _V |-> ( iota_ v e. C A. u e. C -. u R v ) ) $.
    dfoi.3 $e |- F = recs ( G ) $.
    $( Rewrite ~ df-oi with abbreviations.  (Contributed by Mario Carneiro,
       24-Jun-2015.) $)
    dfoi $p |- OrdIso ( R , A ) = if ( ( R We A /\ R Se A ) , ( F |`
       { x e. On | E. t e. A A. z e. ( F " x ) z R t } ) , (/) ) $=
      ( cvv cv wral wceq coi wwe wse wa wbr crab crio cmpt crecs cima wrex con0
      wn crn cres c0 cif df-oi wcel a1i riotaeqbidv mpteq2ia eqtri recseq ax-mp
      raleqdv imaeq1i raleqi rexbii rabbii reseq12i ifeq1 eqtr4i ) GIUAGIUBGIUC
      UDZJQERDRIUEUMZEKRCRIUEKJRZUNSCGUFZSZDVQUGZUHZUIZBRFRIUEZBWAARZUJZSZFGUKZ
      AULUFZUOZUPUQZVNLWBBLWCUJZSZFGUKZAULUFZUOZUPUQZABCDEFGIJKURWNWHTWOWITLWAW
      MWGLMUIZWAPMVTTWPWATMJQVOEHSZDHUGZUHVTOJQWRVSVPQUSZWQVRDHVQHVQTWSNUTZWSVO
      EHVQWTVFVAVBVCMVTVDVEVCZWLWFAULWKWEFGWBBWJWDLWAWCXAVGVHVIVJVKVNWNWHUPVLVE
      VM $.
  $}

  ${
    $d h j t u v w x z A $.  $d h j t u v w x z B $.  $d h j t u v w x z R $.
    $d h j t u v w x z S $.
    $( Equality theorem for ordinal isomorphism.  (Contributed by Mario
       Carneiro, 23-May-2015.) $)
    oieq1 $p |- ( R = S -> OrdIso ( R , A ) = OrdIso ( S , A ) ) $=
      ( vh vu vv vj vw vz vt vx wceq cvv cv wbr wral crab con0 c0 breq wwe crio
      wse wa wn crn cmpt crecs cima wrex cres cif weeq1 anbi12d ralbidv rabbidv
      coi notbid raleqbidv riotaeqbidv mpteq2dv recseq imaeq1d rexbidv reseq12d
      seeq1 syl ifbieq1d df-oi 3eqtr4g ) BCLZABUAZABUCZUDZDMENZFNZBOZUEZEGNZHNZ
      BOZGDNUFZPZHAQZPZFWDUBZUGZUHZINZJNZBOZIWHKNZUIZPZJAUJZKRQZUKZSULACUAZACUC
      ZUDZDMVOVPCOZUEZEVSVTCOZGWBPZHAQZPZFXEUBZUGZUHZWIWJCOZIXIWLUIZPZJAUJZKRQZ
      UKZSULABUQACUQVKVNWTWQXOSVKVLWRVMWSABCUMABCVFUNVKWHXIWPXNVKWGXHLWHXILVKDM
      WFXGVKWEXFFWDXEVKWCXDHAVKWAXCGWBVSVTBCTUOUPZVKVRXBEWDXEXPVKVQXAVOVPBCTURU
      SUTVAWGXHVBVGZVKWOXMKRVKWNXLJAVKWKXJIWMXKVKWHXIWLXQVCWIWJBCTUSVDUPVEVHKIH
      FEJABDGVIKIHFEJACDGVIVJ $.

    $( Equality theorem for ordinal isomorphism.  (Contributed by Mario
       Carneiro, 23-May-2015.) $)
    oieq2 $p |- ( A = B -> OrdIso ( R , A ) = OrdIso ( R , B ) ) $=
      ( vh vu vv vj vw vz vt vx wceq wwe cvv cv wbr wral crab con0 c0 wse wa wn
      crn crio cmpt crecs cima wrex cif weeq2 seeq2 anbi12d raleqdv riotaeqbidv
      cres coi mpteq2dv recseq syl imaeq1d rexeqbi1dv rabbidv reseq12d ifbieq1d
      rabeq df-oi 3eqtr4g ) ABLZACMZACUAZUBZDNEOFOCPUCZEGOHOCPGDOUDQZHARZQZFVOU
      EZUFZUGZIOJOCPZIVSKOZUHZQZJAUIZKSRZUPZTUJBCMZBCUAZUBZDNVMEVNHBRZQZFWJUEZU
      FZUGZVTIWNWAUHZQZJBUIZKSRZUPZTUJACUQBCUQVIVLWIWFWSTVIVJWGVKWHABCUKABCULUM
      VIVSWNWEWRVIVRWMLVSWNLVIDNVQWLVIVPWKFVOWJVNHABVFZVIVMEVOWJWTUNUOURVRWMUSU
      TZVIWDWQKSWCWPJABVIVTIWBWOVIVSWNWAXAVAUNVBVCVDVEKIHFEJACDGVGKIHFEJBCDGVGV
      H $.
  $}

  ${
    $d a h j t u v w x z $.  $d a h j t u v w z A $.  $d a h j t u v w z R $.
    nfoi.1 $e |- F/_ x R $.
    nfoi.2 $e |- F/_ x A $.
    $( Hypothesis builder for ordinal isomorphism.  (Contributed by Mario
       Carneiro, 23-May-2015.)  (Revised by Mario Carneiro, 15-Oct-2016.) $)
    nfoi $p |- F/_ x OrdIso ( R , A ) $=
      ( vh vu vv vj vw vz vt va cvv cv wbr wral con0 c0 nfcv coi wwe wse wa crn
      wn crab crio cmpt crecs cima wrex cres df-oi nfwe nfse nfan nfralw nfrabw
      cif nfbr nfn nfriota nfmpt nfrecs nfima nfrex nfres nfif nfcxfr ) ABCUABC
      UBZBCUCZUDZFNGOZHOZCPZUFZGIOZJOZCPZIFOUEZQZJBUGZQZHWCUHZUIZUJZKOZLOZCPZKW
      GMOZUKZQZLBULZMRUGZUMZSUTMKJHGLBCFIUNVMAWPSVKVLAABCDEUOABCDEUPUQAWGWOAWFA
      FNWEANTWDAHWCVQAGWCWBAJBVTAIWAAWATAVRVSCAVRTDAVSTVAUREUSZVPAAVNVOCAVNTDAV
      OTVAVBURWQVCVDVEZWNAMRWMALBEWJAKWLAWGWKWRAWKTVFAWHWICAWHTDAWITVAURVGARTUS
      VHASTVIVJ $.
  $}

  ${
    $d f w x y z A $.  $d f w x y z B $.  $d w x y z F $.
    $( Generalize ~ ordiso to proper classes.  (Contributed by Mario Carneiro,
       24-Jun-2015.) $)
    ordiso2 $p |- ( ( F Isom _E , _E ( A , B ) /\ Ord A /\ Ord B ) ->
                    A = B ) $=
      ( vx vy vw cep cv cfv wceq wral wcel wi fveq2 id eqeq12d wa wb syl wbr vz
      wiso word w3a con0 ordsson 3ad2ant2 eleq1w imbi12d imbi2d r19.21v ordelss
      sseld 3ad2antl2 sselda pm5.5 ralbidva ccnv wf1o 3ad2ant1 ad2antrr simpll3
      wss isof1o simpr wf f1of simplrl ffvelrnd jca ordtr1 sylc syl2anc eqeltrd
      f1ocnvfv2 simpll1 f1ocnv 3syl isorel syl12anc epel 3bitr3g mpbird simplrr
      fvex epeli rspcv eqtr3d simprr rspccva sylan biimpri adantl simpl2 simprl
      mpbid sylib eqeltrrd impbida eqrdv expr sylbid com23 a2i a1i syl5bi tfis2
      ex com3l mpdd ralrimiv adantll ffvelrnda 3ad2antl1 adantlr crn simpl1 wfo
      wrex f1ofo forn eleq2d wfn f1ofn adantr fvelrnb bitr3d simpl simplr exp43
      syldd imp rexlimdv impbid mpdan ) ABGGCUBZAUCZBUCZUDZDHZCIZYTJZDAKZABJYSU
      UBDAYSYTALZYTUELZUUBYSAUEYTYQYPAUEVCYRAUFUGUMUUEYSUUDUUBYSUUDUUBMZMZYSEHZ
      ALZUUHCIZUUHJZMZMZDEYTUUHJZUUFUULYSUUNUUDUUIUUBUUKDEAUHUUNUUAUUJYTUUHYTUU
      HCNUUNOPUIUJUUMEYTKYSUULEYTKZMZUUEUUGYSUULEYTUKUUPUUGMUUEYSUUOUUFYSUUDUUO
      UUBYSUUDUUOUUBMYSUUDQZUUOUUKEYTKZUUBUUQUULUUKEYTUUQUUHYTLQUUIUULUUKRUUQYT
      AUUHYQYPUUDYTAVCZYRAYTULZUNUOUUIUUKUPSUQYSUUDUURUUBYSUUDUURQZQZUAUUAYTUVB
      UAHZUUALZUVCYTLZUVBUVDQZUVCUVCCURZIZYTUVFUVHCIZUVCUVHUVFABCUSZUVCBLZUVIUV
      CJYSUVJUVAUVDYPYQUVJYRABGGCVDZUTVAZUVFYRUVDUUABLZQUVKYPYQYRUVAUVDVBUVFUVD
      UVNUVBUVDVEZUVFABYTCYSABCVFZUVAUVDYPYQUVPYRYPUVJUVPUVLABCVGSZUTVAYSUUDUUR
      UVDVHZVIVJUVCUUABVKVLZABUVCCVOVMZUVFUVHYTLZUURUVIUVHJZUVFUWAUVIUUALZUVFUV
      IUVCUUAUVTUVOVNUVFUVHYTGTZUVIUUAGTZUWAUWCUVFYPUVHALUUDUWDUWERYPYQYRUVAUVD
      VPUVFBAUVCUVGUVFUVJBAUVGUSBAUVGVFUVMABCVQBAUVGVGVRUVSVIUVRABUVHYTGGCVSVTD
      UVHWAUVIUUAYTCWEZWFWBWCZYSUUDUURUVDWDUUKUWBEUVHYTUUHUVHJZUUJUVIUUHUVHUUHU
      VHCNUWHOPWGVLWHUWGVNUVBUVEQZUVCCIZUVCUUAUVBUURUVEUWJUVCJZYSUUDUURWIUUKUWK
      EUVCYTUUHUVCJZUUJUWJUUHUVCUUHUVCCNUWLOPWJWKUWIUWJUUAGTZUWJUUALUWIUVCYTGTZ
      UWMUVEUWNUVBUWNUVEDUVCWAWLWMUWIYPUVCALZUUDUWNUWMRYPYQYRUVAUVEVPUVBYTAUVCU
      VBYQUUDUUSYPYQYRUVAWNYSUUDUURWOUUTVMUOYSUUDUURUVEVHABUVCYTGGCVSVTWPUWJUUA
      UWFWFWQWRWSWTXAXBXHXCXDXEXFXGXIXJXKYSUUCQZUAABUWPUWOUVKUWPUWOUVKUWPUWOQUW
      JUVCBUUCUWOUWKYSUUBUWKDUVCAYTUVCJZUUAUWJYTUVCYTUVCCNUWQOPWJXLYSUWOUWJBLZU
      UCYPYQUWOUWRYRYPABUVCCUVQXMXNXOWRXHUWPUVKFHZCIZUVCJZFAXSZUWOUWPUVCCXPZLZU
      VKUXBUWPUXCBUVCUWPYPUXCBJZYPYQYRUUCXQYPUVJABCXRUXEUVLABCXTABCYAVRSYBUWPCA
      YCZUXDUXBRYSUXFUUCYPYQUXFYRYPUVJUXFUVLABCYDSUTYEFAUVCCYFSYGUWPUXAUWOFAYSU
      UCUWSALZUXAUWOMZMYSUXGUUCUXHYSUXGUUCUWTUWSJZUXHUXGUUCUXIMMYSUUBUXIDUWSAYT
      UWSJZUUAUWTYTUWSYTUWSCNUXJOPWGXEYSUXGUXIUXAUWOYSUXGQZUXIUXAQZQUVCUWSAUXLU
      VCUWSJUXKUXLUWTUVCUWSUXIUXAVEUXIUXAYHWHWMYSUXGUXLYIVNYJYKXCYLYMXBYNWTYO
      $.

    $( Order-isomorphic ordinal numbers are equal.  (Contributed by Jeff
       Hankins, 16-Oct-2009.)  (Proof shortened by Mario Carneiro,
       24-Jun-2015.) $)
    ordiso $p |- ( ( A e. On /\ B e. On ) -> ( A = B
                <-> E. f f Isom _E , _E ( A , B ) ) ) $=
      ( con0 wcel wa wceq cep wiso wex cid cres cvv resiexg isoid isoeq1 spcegv
      cv word eloni mpisyl adantr isoeq5 exbidv syl5ibcom ordiso2 3expia syl2an
      wi 3coml exlimdv impbid ) ADEZBDEZFZABGZABHHCRZIZCJZUOAAHHUQIZCJZUPUSUMVA
      UNUMKALZMEAAHHVBIZVAADNAHOUTVCCVBMAAHHVBUQPQUAUBUPUTURCAABHHUQUCUDUEUOURU
      PCUMASZBSZURUPUIUNATBTVDVEURUPURVDVEUPABUQUFUJUGUHUKUL $.
  $}

  ${
    $d f r s u v C $.  $d a h j t u v w x z M $.  $d a b j u w N $.
    $d a b c f h i j m r s t u v w x y z R $.  $d a b c T $.
    $d a b c h j m r s t u v w x y z A $.  $d a b c m t u v x O $.
    $d a b m t x ph $.
    ordtypelem.1 $e |- F = recs ( G ) $.
    ordtypelem.2 $e |- C = { w e. A | A. j e. ran h j R w } $.
    ordtypelem.3 $e |- G =
      ( h e. _V |-> ( iota_ v e. C A. u e. C -. u R v ) ) $.
    $( Lemma for ~ ordtype .  (Contributed by Mario Carneiro, 26-Jun-2015.) $)
    ordtypecbv $p |- recs ( ( f e. _V |->
      ( iota_ s e. { y e. A | A. i e. ran f i R y }
           A. r e. { y e. A | A. i e. ran f i R y } -. r R s ) ) ) = F $=
      ( cv wral crecs cvv wbr crn crab crio cmpt wceq weq breq1 notbid cbvralvw
      breq2 ralbidv syl5bb cbvriotavw cbvrabv eqtri rneq raleqdv rabbidv eqtrid
      wn riotaeqbidv cbvmptv recseq ax-mp eqtr2i ) LMUAZHUBOSZNSZGUCZVCZOJSZASZ
      GUCZJHSZUDZTZAEUEZTZNVTUFZUGZUAZPMWCUHVIWDUHMIUBDSZCSZGUCZVCZDFTZCFUFZUGW
      CRIHUBWJWBIHUIZWJVMOFTZNFUFWBWIWLCNFWIVJWFGUCZVCZOFTCNUIZWLWHWNDOFDOUIWGW
      MWEVJWFGUJUKULWOWNVMOFWOWMVLWFVKVJGUMUKUNUOUPWKWLWANFVTWKFVPJISZUDZTZAEUE
      ZVTFKSZBSZGUCZKWQTZBEUEWSQXCWRBAEXCVNXAGUCZJWQTBAUIZWRXBXDKJWQWTVNXAGUJUL
      XEXDVPJWQXAVOVNGUMUNUOUQURWKWRVSAEWKVPJWQVRWPVQUSUTVAVBZWKVMOFVTXFUTVDVBV
      EURMWCVFVGVH $.

    $d a b c h j t u v w x z F $.
    ordtypelem.5 $e |- T = { x e. On | E. t e. A A. z e. ( F " x ) z R t } $.
    ordtypelem.6 $e |- O = OrdIso ( R , A ) $.
    ordtypelem.7 $e |- ( ph -> R We A ) $.
    ordtypelem.8 $e |- ( ph -> R Se A ) $.
    $( Lemma for ~ ordtype .  (Contributed by Mario Carneiro, 24-Jun-2015.) $)
    ordtypelem1 $p |- ( ph -> O = ( F |` T ) ) $=
      ( wwe wse wa cv wbr cima wral wrex con0 crab cres cif wceq iftrue syl2anc
      c0 coi dfoi eqtri reseq2i 3eqtr4g ) AHJUDZHJUEZUFZNCUGGUGJUHCNBUGUIUJGHUK
      BULUMZUNZUSUOZVIPNKUNAVEVFVJVIUPUBUCVGVIUSUQURPHJUTVJUABCDEFGHIJLMNORSQVA
      VBKVHNTVCVD $.

    $( Lemma for ~ ordtype .  (Contributed by Mario Carneiro, 24-Jun-2015.) $)
    ordtypelem2 $p |- ( ph -> Ord T ) $=
      ( va wtr word cv wss wral wcel wa wbr cima wrex con0 crab ssrab3 a1i onss
      sselda syl eloni weq imaeq2 raleqdv rexbidv elrab2 simprbi adantl ordelss
      wi imass2 ssralv reximdv 3syl ralrimdva sylc sylanbrc sseqtrrdi ralrimiva
      ssrab dftr3 sylibr ordon trssord mp3an23 ) AKUEZKUFZAUDUGZKUHZUDKUIWGAWJU
      DKAWIKUJZUKZWICUGGUGJULZCNBUGZUMZUIZGHUNZBUOUPZKWLWIUOUHZWQBWIUIZWIWRUHWL
      WIUOUJZWSAKUOWIKUOUHZAWQBUOKTUQZURUTZWIUSVAWLWIUFZWMCNWIUMZUIZGHUNZWTWLXA
      XEXDWIVBVAWKXHAWKXAXHWQXHBWIUOKBUDVCZWPXGGHXIWMCWOXFWNWINVDVEVFTVGVHVIXEX
      HWQBWIXEWNWIUJUKWNWIUHWOXFUHZXHWQVKWIWNVJWNWINVLXJXGWPGHWMCWOXFVMVNVOVPVQ
      WQBUOWIWAVRTVSVTUDKWBWCWGXBUOUFWHXCWDKUOWEWFVA $.

    $( Lemma for ~ ordtype .  (Contributed by Mario Carneiro, 24-Jun-2015.) $)
    ordtypelem3 $p |- ( ( ph /\ M e. ( T i^i dom F ) ) ->
        ( F ` M ) e. { v e. { w e. A | A. j e. ( F " M ) j R w } |
          A. u e. { w e. A | A. j e. ( F " M ) j R w } -. u R v } ) $=
      ( cdm cin wcel wa cfv cv wbr wn cima wral crab crio cres wceq simpr tfr2a
      elin2d syl cvv word wb wlim wfun tfr1a simpri limord ax-mp ordelord tfr2b
      sylancr mpbid crn rneq df-ima eqtr4di raleqdv rabbidv riotaeqbidv riotaex
      eqtrid fvmpt eqtrd wreu wwe wse wss c0 wne adantr ssrab2 wrex elin1d con0
      imaeq2 rexbidv elrab2 simprbi breq1 cbvralvw breq2 syl5bb cbvrexvw sylibr
      a1i ralbidv rabn0 wereu2 syl22anc riotacl2 eqeltrd ) APKNUEZUFUGZUHZPNUIZ
      FUJEUJJUKULZFMUJZDUJZJUKZMNPUMZUNZDHUOZUNZEYEUPZYFEYEUOZXQXRNPUQZOUIZYGXQ
      PXOUGZXRYJURXQKXOPAXPUSZVAZPNORUTVBXQYIVCUGZYJYGURXQYKYNYMXQPVDZYKYNVEXQX
      OVDZYKYOXOVFZYPNVGYQNORVHVIXOVJVKYMXOPVLVNPNORVMVBVOLYIXSFIUNZEIUPYGVCOLU
      JZYIURZYRYFEIYEYTIYBMYSVPZUNZDHUOYESYTUUBYDDHYTYBMUUAYCYTUUAYIVPYCYSYIVQN
      PVRVSVTWAWDZYTXSFIYEUUCVTWBTYFEYEWCWEVBWFXQYFEYEWGZYGYHUGXQHJWHZHJWIZYEHW
      JZYEWKWLZUUDAUUEXPUCWMAUUFXPUDWMUUGXQYDDHWNXHXQYDDHWOZUUHXQCUJZGUJZJUKZCY
      CUNZGHWOZUUIXQPKUGZUUNXQKXOPYLWPUUOPWQUGUUNUULCNBUJZUMZUNZGHWOUUNBPWQKUUP
      PURZUURUUMGHUUSUULCUUQYCUUPPNWRVTWSUAWTXAVBYDUUMDGHYDUUJYAJUKZCYCUNYAUUKU
      RZUUMYBUUTMCYCXTUUJYAJXBXCUVAUUTUULCYCYAUUKUUJJXDXIXEXFXGYDDHXJXGEFHYEJXK
      XLYFEYEXMVBXN $.

    $( Lemma for ~ ordtype .  (Contributed by Mario Carneiro, 24-Jun-2015.) $)
    ordtypelem4 $p |- ( ph -> O : ( T i^i dom F ) --> A ) $=
      ( va cdm cin wf cres wfn cfv wcel wral wfun wlim tfr1a simpli funres mp1i
      cv funfnd dmres fneq2i sylib wa simpr elin1d fvresd wbr cima ssrab2 sstri
      wn ordtypelem3 sselid eqeltrd ralrimiva ffnfv sylanbrc ordtypelem1 mpbird
      crab feq1d ) AKNUEZUFZHPUGWDHNKUHZUGZAWEWDUIZUDUSZWEUJZHUKZUDWDULWFAWEWEU
      EZUIWGAWENUMZWEUMAWLWCUNNOQUOUPKNUQURUTWKWDWENKVAVBVCAWJUDWDAWHWDUKZVDZWI
      WHNUJZHWNWHKNWNKWCWHAWMVEVFVGWNFUSEUSJVHVLFMUSDUSJVHMNWHVIULZDHWAZULZEWQW
      AZHWOWSWQHWREWQVJWPDHVJVKABCDEFGHIJKLMNOWHPQRSTUAUBUCVMVNVOVPUDWDHWEVQVRA
      WDHPWEABCDEFGHIJKLMNOPQRSTUAUBUCVSWBVT $.

    $( Lemma for ~ ordtype .  (Contributed by Mario Carneiro, 25-Jun-2015.) $)
    ordtypelem5 $p |- ( ph -> ( Ord dom O /\ O : dom O --> A ) ) $=
      ( cdm word wf cin ordtypelem2 wlim wfun tfr1a simpri limord ax-mp sylancl
      ordin wceq wb ordtypelem4 fdmd ordeq syl mpbird ffdmd jca ) APUDZUEZVFHPU
      FAVGKNUDZUGZUEZAKUEVHUEZVJABCDEFGHIJKLMNOPQRSTUAUBUCUHVHUIZVKNUJVLNOQUKUL
      VHUMUNKVHUPUOAVFVIUQVGVJURAVIHPABCDEFGHIJKLMNOPQRSTUAUBUCUSZUTVFVIVAVBVCA
      VIHPVMVDVE $.

    $( Lemma for ~ ordtype .  (Contributed by Mario Carneiro, 24-Jun-2015.) $)
    ordtypelem6 $p |- ( ( ph /\ M e. dom O )
            -> ( N e. M -> ( O ` N ) R ( O ` M ) ) ) $=
      ( va cdm wcel cfv wbr wa cv wceq fveq2 breq1d wral cima crab ssrab2 simpr
      wn cin ordtypelem4 adantr eleqtrd ordtypelem3 syldan sselid breq2 ralbidv
      fdmd elrab simprbi syl wfn wss wb wfun wlim tfr1a simpli mpbi word simpri
      funfn limord ax-mp inss2 sselda ordelss sylancr breq1 ralima mpbid simprr
      eqsstrdi adantrr rspcdva cres ordtypelem1 fveq1d ordtypelem2 inss1 sseldd
      syl2an2r fvresd eqtrd 3brtr4d expr ) APRUGZUHZQPUHZQRUIZPRUIZJUJAXKXLUKZU
      KZQNUIZPNUIZXMXNJXPUFULZNUIZXRJUJZXQXRJUJUFPQXSQUMXTXQXRJXSQNUNUOAXKYAUFP
      UPZXLAXKUKZMULZXRJUJZMNPUQZUPZYBYCXRYDDULZJUJZMYFUPZDHURZUHZYGYCFULEULJUJ
      VAFYKUPZEYKURZYKXRYMEYKUSAXKPKNUGZVBZUHXRYNUHYCPXJYPAXKUTAXJYPUMXKAYPHRAB
      CDEFGHIJKLMNORSTUAUBUCUDUEVCVKZVDVEABCDEFGHIJKLMNOPRSTUAUBUCUDUEVFVGVHYLX
      RHUHYGYJYGDXRHYHXRUMYIYEMYFYHXRYDJVIVJVLVMVNYCNYOVOZPYOVPZYGYBVQNVRZYRYTY
      OVSZNOSVTZWANWEWBYCYOWCZPYOUHYSUUAUUCYTUUAUUBWDYOWFWGAXJYOPAXJYPYOYQKYOWH
      WPWIYOPWJWKYEYAMUFYOPNYDXTXRJWLWMWKWNWQAXKXLWOZWRXPXMQNKWSZUIXQXPQRUUEARU
      UEUMXOABCDEFGHIJKLMNORSTUAUBUCUDUEWTVDZXAXPQKNXPPKQAKWCXOPKUHZPKVPABCDEFG
      HIJKLMNORSTUAUBUCUDUEXBAXKUUGXLAXJKPAXJYPKYQKYOXCWPWIWQZKPWJXEUUDXDXFXGXP
      XNPUUEUIXRXPPRUUEUUFXAXPPKNUUHXFXGXHXI $.

    $( Lemma for ~ ordtype . ` ran O ` is an initial segment of ` A ` under the
       well-order ` R ` .  (Contributed by Mario Carneiro, 25-Jun-2015.) $)
    ordtypelem7 $p |- ( ( ( ph /\ N e. A ) /\ M e. dom O )
            -> ( ( O ` M ) R N \/ N e. ran O ) ) $=
      ( va vb wcel wa cdm crn cfv wbr wn cdif eldif con0 cin ordtypelem4 adantr
      wi wf fdmd inss1 word wss ordtypelem2 ordsson syl sstrid eqsstrd sseld cv
      wceq eleq1 fveq2 breq1d imbi12d imbi2d wral r19.21v wb wlim simpri limord
      wfun tfr1a ax-mp ordin sylancl ordeq mpbird ordelss sylan sselda ralbidva
      pm5.5 eldifn ad2antlr wfn ad2antrr ffnd simprl eleqtrd fnfvelrn syl5ibcom
      syl2anc mtod cima crab breq1 notbid cres ordtypelem1 fveq1d elin1d fvresd
      eqtrd simpll ordtypelem3 eqeltrd breq2 ralbidv elrab eldifi simprr fssdmd
      simprbi adantrr sstrdi fveq1 ssel2 sylan9eq mpbid simpli funfn mpbi inss2
      anassrs ralima sylancr elrabd rspcdva wo wor wwe ffvelrnd sotric syl12anc
      weso ioran bitrdi mpbir2and expr sylbid ex com23 a2i a1i tfis3 com3l mpdd
      syl5bi sylan2br impancom orrd orcomd ) AQHUHZUIZPRUJZUHZUIZQRUKZUHZPRULZQ
      JUMZUVLUVNUVPUVIUVNUNZUVKUVPAUVHUVQUVKUVPVAZUVHUVQUIAQHUVMUOUHZUVRQHUVMUP
      AUVSUIZUVKPUQUHZUVPUVTUVJUQPUVTUVJKNUJZURZUQUVTUWCHRAUWCHRVBZUVSABCDEFGHI
      JKLMNORSTUAUBUCUDUEUSZUTVCZUVTUWCKUQKUWBVDZUVTKVEZKUQVFAUWHUVSABCDEFGHIJK
      LMNORSTUAUBUCUDUEVGUTZKVHVIVJVKVLUWAUVTUVKUVPUVTUFVMZUVJUHZUWJRULZQJUMZVA
      ZVAZUVTUGVMZUVJUHZUWPRULZQJUMZVAZVAZUVTUVRVAUFUGPUWJUWPVNZUWNUWTUVTUXBUWK
      UWQUWMUWSUWJUWPUVJVOUXBUWLUWRQJUWJUWPRVPVQVRVSUWJPVNZUWNUVRUVTUXCUWKUVKUW
      MUVPUWJPUVJVOUXCUWLUVOQJUWJPRVPVQVRVSUXAUGUWJVTUVTUWTUGUWJVTZVAZUWJUQUHZU
      WOUVTUWTUGUWJWAUXEUWOVAUXFUVTUXDUWNUVTUWKUXDUWMUVTUWKUXDUWMVAUVTUWKUIZUXD
      UWSUGUWJVTZUWMUXGUWTUWSUGUWJUXGUWPUWJUHZUIUWQUWTUWSWBUXGUWJUVJUWPUVTUVJVE
      ZUWKUWJUVJVFZUVTUXJUWCVEZUVTUWHUWBVEZUXLUWIUWBWCZUXMNWFZUXNNOSWGZWDUWBWEW
      HKUWBWIWJUVTUVJUWCVNUXJUXLWBUWFUVJUWCWKVIWLUVJUWJWMWNZWOUWQUWSWQVIWPUVTUW
      KUXHUWMUVTUWKUXHUIZUIZUWMUWLQVNZUNZQUWLJUMZUNZUXSUXTUVNUVSUVQAUXRQHUVMWRW
      SUXSUWLUVMUHZUXTUVNUXSRUWCWTUWJUWCUHZUYDUXSUWCHRAUWDUVSUXRUWEXAZXBUXSUWJU
      VJUWCUVTUWKUXHXCUXSUWCHRUYFVCXDZUWCUWJRXEXGUWLQUVMVOXFXHUXSFVMZUWLJUMZUNZ
      UYCFMVMZDVMZJUMZMNUWJXIZVTZDHXJZQUYHQVNUYIUYBUYHQUWLJXKXLUXSUWLUYHEVMZJUM
      ZUNZFUYPVTZEUYPXJZUHZUYJFUYPVTZUXSUWLUWJNULZVUAUXSUWLUWJNKXMZULVUDUXSUWJR
      VUEARVUEVNZUVSUXRABCDEFGHIJKLMNORSTUAUBUCUDUEXNXAZXOUXSUWJKNUXSKUWBUWJUYG
      XPXQXRUXSAUYEVUDVUAUHAUVSUXRXSUYGABCDEFGHIJKLMNOUWJRSTUAUBUCUDUEXTXGYAVUB
      UWLUYPUHVUCUYTVUCEUWLUYPUYQUWLVNZUYSUYJFUYPVUHUYRUYIUYQUWLUYHJYBXLYCYDYHV
      IUXSUYOUYKQJUMZMUYNVTZDQHUYLQVNUYMVUIMUYNUYLQUYKJYBYCUVSUVHAUXRQHUVMYEWSZ
      UXSVUJUWPNULZQJUMZUGUWJVTZUXSUXHVUNUVTUWKUXHYFUXSVUFUWJKVFZUXHVUNWBVUGUXS
      UWJUWCKUXSUWCHUWJRUYFUVTUWKUXKUXHUXQYIYGZUWGYJVUFVUOUIZUWSVUMUGUWJVUQUXIU
      IUWRVULQJVUFVUOUXIUWRVULVNVUFVUOUXIUIZUWRUWPVUEULVULUWPRVUEYKVURUWPKNUWJK
      UWPYLXQYMYSVQWPXGYNUXSNUWBWTZUWJUWBVFVUJVUNWBUXOVUSUXOUXNUXPYONYPYQUXSUWJ
      UWCUWBVUPKUWBYRYJVUIVUMMUGUWBUWJNUYKVULQJXKYTUUAWLUUBUUCUXSUWMUXTUYBUUDUN
      ZUYAUYCUIUXSHJUUEZUWLHUHUVHUWMVUTWBAVVAUVSUXRAHJUUFVVAUDHJUUJVIXAUXSUWCHU
      WJRUYFUYGUUGVUKHUWLQJUUHUUIUXTUYBUUKUULUUMUUNUUOUUPUUQUURUUSUVCUUTUVAUVBU
      VDYSUVEUVFUVG $.

    $( Lemma for ~ ordtype .  (Contributed by Mario Carneiro, 25-Jun-2015.) $)
    ordtypelem8 $p |- ( ph -> O Isom _E , R ( dom O , ran O ) ) $=
      ( va vb cdm cep wor crn wpo wfo cv wbr cfv wral wiso con0 wss ordtypelem4
      wi cin fdmd inss1 word ordtypelem2 ordsson syl sstrid eqsstrd epweon weso
      wwe ax-mp soss mpisyl frnd wess sylc sopo 3syl wfun ffund funforn wcel wa
      sylib epel ordtypelem6 syl5bi ralrimiva ralrimivw soisoi syl22anc ) APUFZ
      UGUHZPUIZJUJZWNWPPUKZUDULZUEULZUGUMZWSPUNWTPUNJUMZUTZUEWNUOZUDWNUOWNWPUGJ
      PUPAWNUQURUQUGUHZWOAWNKNUFZVAZUQAXGHPABCDEFGHIJKLMNOPQRSTUAUBUCUSZVBAXGKU
      QKXFVCAKVDKUQURABCDEFGHIJKLMNOPQRSTUAUBUCVEKVFVGVHVIUQUGVLXEVJUQUGVKVMWNU
      QUGVNVOAWPJVLZWPJUHWQAWPHURHJVLXIAXGHPXHVPUBWPHJVQVRWPJVKWPJVSVTAPWAWRAXG
      HPXHWBPWCWFAXDUDWNAXCUEWNXAWSWTWDAWTWNWDWEXBUEWSWGABCDEFGHIJKLMNOWTWSPQRS
      TUAUBUCWHWIWJWKUDUEWNWPUGJPWLWM $.

    ${
      ordtypelem9.1 $e |- ( ph -> O e. V ) $.
      $( Lemma for ~ ordtype .  Either the function ` OrdIso ` is an
         isomorphism onto all of ` A ` , or ` OrdIso ` is not a set, which by
         ~ oif implies that either ` ran O C_ A ` is a proper class or
         ` dom O = On ` .  (Contributed by Mario Carneiro, 25-Jun-2015.)
         (Revised by AV, 28-Jul-2024.) $)
      ordtypelem9 $p |- ( ph -> O Isom _E , R ( dom O , A ) ) $=
        ( vb vm vc va cdm crn cep wiso ordtypelem8 wceq wb cin ordtypelem4 frnd
        cv wcel wa cfv wbr wrex wral cima word ordtypelem2 ordirr syl con0 wlim
        wn wfun tfr1a simpri limord ax-mp cres ordtypelem1 elexd eqeltrrd tfr2b
        mpbird ordelon sylancr imaeq2 raleqdv rexbidv crab breq1 cbvralvw breq2
        ralbidv syl5bb cbvrexvw cbvrabv eqtri elrab2 baib mtbid ralnex r19.21bi
        cvv sylibr rneqd df-ima eqtr4di adantr ffund funfnd ralrn bitr3d rexnal
        wfn ordtypelem7 ord rexlimdva mpd eqelssd isoeq5 mpbid ) APUJZPUKZULJPU
        MZYDHULJPUMZABCDEFGHIJKLMNOPRSTUAUBUCUDUNAYEHUOYFYGUPAUFYEHAKNUJZUQZHPA
        BCDEFGHIJKLMNOPRSTUAUBUCUDURZUSAUFUTZHVAZVBZUGUTZPVCZYKJVDZVNZUGYDVEZYK
        YEVAZYMYPUGYDVFZVNYRYMUHUTZYKJVDZUHNKVGZVFZYTAUUDVNZUFHAUUDUFHVEZVNUUEU
        FHVFAKKVAZUUFAKVHZUUGVNABCDEFGHIJKLMNOPRSTUAUBUCUDVIZKVJVKAKVLVAZUUGUUF
        UPAYHVHZKYHVAZUUJYHVMZUUKNVOUUMNORVPVQYHVRVSAUULNKVTZXEVAZAPUUNXEABCDEF
        GHIJKLMNOPRSTUAUBUCUDWAZAPQUEWBWCAUUHUULUUOUPUUIKNORWDVKWEYHKWFWGUUGUUJ
        UUFUUBUHNUIUTZVGZVFZUFHVEZUUFUIKVLKUUQKUOZUUSUUDUFHUVAUUBUHUURUUCUUQKNW
        HWIWJKCUTZGUTZJVDZCNBUTZVGZVFZGHVEZBVLWKUUTUIVLWKUAUVHUUTBUIVLUVHUUBUHU
        VFVFZUFHVEUVEUUQUOZUUTUVGUVIGUFHUVGUUAUVCJVDZUHUVFVFUVCYKUOZUVIUVDUVKCU
        HUVFUVBUUAUVCJWLWMUVLUVKUUBUHUVFUVCYKUUAJWNWOWPWQUVJUVIUUSUFHUVJUUBUHUV
        FUURUVEUUQNWHWIWJWPWRWSWTXAVKXBUUDUFHXCXFXDYMUUBUHYEVFZUUDYTYMUUBUHYEUU
        CAYEUUCUOYLAYEUUNUKUUCAPUUNUUPXGNKXHXIXJWIYMPYDXPZUVMYTUPAUVNYLAPAYIHPY
        JXKXLXJUUBYPUHUGYDPUUAYOYKJWLXMVKXNXBYPUGYDXOXFYMYQYSUGYDYMYNYDVAVBYPYS
        ABCDEFGHIJKLMNOYNYKPRSTUAUBUCUDXQXRXSXTYAYDYEHULJPYBVKYC $.
    $}

    $( Lemma for ~ ordtype .  Using ~ ax-rep , exclude the possibility that
       ` O ` is a proper class and does not enumerate all of ` A ` .
       (Contributed by Mario Carneiro, 25-Jun-2015.) $)
    ordtypelem10 $p |- ( ph -> O Isom _E , R ( dom O , A ) ) $=
      ( vb vc vm cdm crn cep wiso ordtypelem8 wceq wb cin ordtypelem4 frnd wcel
      cv wa wn simprl wf1o wfo cvv wwe adantr wse wfn ffund funfnd isof1o f1of1
      wf1 3syl wbr crab simpl seex syl2an wss wral rexnal ordtypelem7 rexlimdva
      cfv wrex ord syl5bir con1d impr breq1 ralrn syl mpbird ssrab ssexd f1dmex
      sylanbrc syl2anc fnexd ordtypelem9 forn 4syl eleqtrrd expr pm2.18d isoeq5
      f1ofo eqelssd mpbid ) APUGZPUHZUIJPUJZXKHUIJPUJZABCDEFGHIJKLMNOPQRSTUAUBU
      CUKAXLHULZXMXNUMAUDXLHAKNUGUNZHPABCDEFGHIJKLMNOPQRSTUAUBUCUOZUPZAUDURZHUQ
      ZUSZXSXLUQZAXTYBUTZYBAXTYCUSZUSZXSHXLAXTYCVAYEXNXKHPVBXKHPVCXOYEBCDEFGHIJ
      KLMNOPVDQRSTUAAHJVEYDUBVFZAHJVGZYDUCVFZYEXKPVDAPXKVHZYDAPAXPHPXQVIVJVFZYE
      XKXLPVMZXLVDUQXKVDUQYEXMXKXLPVBYKYEBCDEFGHIJKLMNOPQRSTUAYFYHUKXKXLUIJPVKX
      KXLPVLVNYEXLUEURZXSJVOZUEHVPZVDAYGXTYNVDUQYDUCXTYCVQUEHXSJVRVSYEXLHVTZYMU
      EXLWAZXLYNVTAYOYDXRVFYEYPUFURZPWEZXSJVOZUFXKWAZAXTYCYTYAYTYBYTUTYSUTZUFXK
      WFYAYBYSUFXKWBYAUUAYBUFXKYAYQXKUQUSYSYBABCDEFGHIJKLMNOYQXSPQRSTUAUBUCWCWG
      WDWHWIWJYEYIYPYTUMYJYMYSUEUFXKPYLYRXSJWKWLWMWNYMUEHXLWOWRWPXKXLVDPWQWSWTX
      AXKHUIJPVKXKHPXHXKHPXBXCXDXEXFXIXKXLHUIJPXGWMXJ $.
  $}

  ${
    $d t u v x F $.  $d h j t u v w x z M $.  $d f h i j r s t u v w x y z R $.
    $d f h j r s t u v w x y z A $.  $d j u w N $.
    oicl.1 $e |- F = OrdIso ( R , A ) $.
    $( Definition of the ordinal isomorphism when its arguments are not
       meaningful.  (Contributed by Mario Carneiro, 25-Jun-2015.) $)
    oi0 $p |- ( -. ( R We A /\ R Se A ) -> F = (/) ) $=
      ( vh vu vv vj vw vz vt vx wwe wse wn cv wbr wral crab c0 wa cvv crio cmpt
      crn crecs cima wrex con0 cres cif coi df-oi eqtri iffalse eqtrid ) ABMABN
      UAZOCUQEUBFPGPBQOFHPIPBQHEPUERIASZRGURUCUDUFZJPKPBQJUSLPUGRKAUHLUISUJZTUK
      ZTCABULVADLJIGFKABEHUMUNUQUTTUOUP $.

    $( The order type of the well-order ` R ` on ` A ` is an ordinal.
       (Contributed by Mario Carneiro, 23-May-2015.)  (Revised by Mario
       Carneiro, 25-Jun-2015.) $)
    oicl $p |- Ord dom F $=
      ( vx vz vw vv vu vt vj vh vf vr vs cv wbr wral eqid c0 vi vy wwe wse word
      wa cdm wf crn crab cvv wn crio cmpt crecs cima wrex con0 ordtypecbv simpl
      simpr ordtypelem5 simpld ord0 wceq oi0 dmeqd dm0 eqtrdi ordeq syl pm2.61i
      wb mpbiri ) ABUCZABUDZUFZCUGZUEZVQVSVRACUHVQEFGHIJAKPGPBQKLPUIRGAUJZBFPJP
      BQFMUKNPOPBQULNUAPUBPBQUAMPUIRUBAUJZROWAUMUNUOZEPUPRJAUQEURUJZLKWBLUKIPHP
      BQULIVTRHVTUMUNZCUBGHIAVTBMLUAKWDUOZWDONWESVTSZWDSZUSWFWGWCSDVOVPUTVOVPVA
      VBVCVQULZVSTUEZVDWHVRTVEVSWIVMWHVRTUGTWHCTABCDVFVGVHVIVRTVJVKVNVL $.

    $( The order isomorphism of the well-order ` R ` on ` A ` is a function.
       (Contributed by Mario Carneiro, 23-May-2015.) $)
    oif $p |- F : dom F --> A $=
      ( vx vz vw vv vu vt vj vh vf vr vs cv wbr wral eqid c0 vi vy wwe wse word
      wa cdm wf crn crab cvv wn crio cmpt crecs cima wrex con0 ordtypecbv simpl
      simpr ordtypelem5 simprd f0 oi0 dmeqd dm0 eqtrdi feq12d mpbiri pm2.61i )
      ABUCZABUDZUFZCUGZACUHZVNVOUEVPVNEFGHIJAKPGPBQKLPUIRGAUJZBFPJPBQFMUKNPOPBQ
      ULNUAPUBPBQUAMPUIRUBAUJZROVRUMUNUOZEPUPRJAUQEURUJZLKVSLUKIPHPBQULIVQRHVQU
      MUNZCUBGHIAVQBMLUAKWAUOZWAONWBSVQSZWASZUSWCWDVTSDVLVMUTVLVMVAVBVCVNULZVPT
      ATUHAVDWEVOTACTABCDVEZWEVOTUGTWECTWFVFVGVHVIVJVK $.

    $( The order isomorphism of the well-order ` R ` on ` A ` is an isomorphism
       onto ` ran O ` (which is a subset of ` A ` by ~ oif ).  (Contributed by
       Mario Carneiro, 25-Jun-2015.) $)
    oiiso2 $p |- ( ( R We A /\ R Se A ) -> F Isom _E , R ( dom F , ran F ) ) $=
      ( vx vz vw vv vu vt vj vh vf vr vs vi cv wbr wral eqid vy wwe wse wa crab
      crn cvv crio cmpt crecs cima wrex con0 ordtypecbv simpl simpr ordtypelem8
      wn ) ABUBZABUCZUDEFGHIJAKQGQBRKLQUFSGAUEZBFQJQBRFMUGNQOQBRURNPQUAQBRPMQUF
      SUAAUEZSOVBUHUIUJZEQUKSJAULEUMUEZLKVCLUGIQHQBRURIVASHVAUHUIZCUAGHIAVABMLP
      KVEUJZVEONVFTVATZVETZUNVGVHVDTDUSUTUOUSUTUPUQ $.

    $( For any set-like well-ordered class, there is an isomorphic ordinal
       number called its order type.  (Contributed by Jeff Hankins,
       17-Oct-2009.)  (Revised by Mario Carneiro, 25-Jun-2015.) $)
    ordtype $p |- ( ( R We A /\ R Se A ) -> F Isom _E , R ( dom F , A ) ) $=
      ( vx vz vw vv vu vt vj vh vf vr vs vi cv wbr wral eqid vy wwe wse wa crab
      crn wn crio cmpt crecs cima wrex con0 ordtypecbv simpl simpr ordtypelem10
      cvv ) ABUBZABUCZUDEFGHIJAKQGQBRKLQUFSGAUEZBFQJQBRFMURNQOQBRUGNPQUAQBRPMQU
      FSUAAUEZSOVBUHUIUJZEQUKSJAULEUMUEZLKVCLURIQHQBRUGIVASHVAUHUIZCUAGHIAVABML
      PKVEUJZVEONVFTVATZVETZUNVGVHVDTDUSUTUOUSUTUPUQ $.

    $( ` ran F ` is an initial segment of ` A ` under the well-order ` R ` .
       (Contributed by Mario Carneiro, 26-Jun-2015.) $)
    oiiniseg $p |- ( ( ( R We A /\ R Se A ) /\ ( N e. A /\ M e. dom F ) )
            -> ( ( F ` M ) R N \/ N e. ran F ) ) $=
      ( vx vz vw vv vu vt vj vh vf vr wbr cv wral eqid vs vi vy wwe wse wa wcel
      cdm cfv crn wo crab crio cmpt crecs cima wrex con0 ordtypecbv simpl simpr
      cvv wn ordtypelem7 anasss ) ABUDZABUEZUFZEAUGDCUHUGDCUIEBQECUJUGUKVHGHIJK
      LAMRIRBQMNRUJSIAULZBHRLRBQHOVBPRUARBQVCPUBRUCRBQUBORUJSUCAULZSUAVJUMUNUOZ
      GRUPSLAUQGURULZNMVKNVBKRJRBQVCKVISJVIUMUNZDECUCIJKAVIBONUBMVMUOZVMUAPVNTV
      ITZVMTZUSVOVPVLTFVFVGUTVFVGVAVDVE $.

    $( For any set-like well-ordered class, if the order isomorphism exists (is
       a set), then it maps some ordinal onto ` A ` isomorphically.  Otherwise,
       ` F ` is a proper class, which implies that either ` ran F C_ A ` is a
       proper class or ` dom F = On ` .  This weak version of ~ ordtype does
       not require the Axiom of Replacement.  (Contributed by Mario Carneiro,
       25-Jun-2015.) $)
    ordtype2 $p |- ( ( R We A /\ R Se A /\ F e. _V )
           -> F Isom _E , R ( dom F , A ) ) $=
      ( vx vz vw vv vu vt vj vh vf vr vs cvv cv wbr wral eqid vi vy wwe wse w3a
      wcel crn crab crio cmpt crecs cima wrex con0 ordtypecbv simp1 simp2 simp3
      wn ordtypelem9 ) ABUCZABUDZCPUFZUEEFGHIJAKQGQBRKLQUGSGAUHZBFQJQBRFMPNQOQB
      RUSNUAQUBQBRUAMQUGSUBAUHZSOVEUIUJUKZEQULSJAUMEUNUHZLKVFLPIQHQBRUSIVDSHVDU
      IUJZCPUBGHIAVDBMLUAKVHUKZVHONVITVDTZVHTZUOVJVKVGTDVAVBVCUPVAVBVCUQVAVBVCU
      RUT $.
    $( $j usage 'ordtype2' avoids 'ax-rep'; $)

    $( The order isomorphism on a set is a set.  (Contributed by Mario
       Carneiro, 25-Jun-2015.) $)
    oiexg $p |- ( A e. V -> F e. _V ) $=
      ( wcel wwe wse wa cvv cdm wf1 cep wiso wf1o ordtype isof1o f1of1 3syl wf
      f1f f1dmex fex syl2an2r expcom syl5 wn c0 oi0 0ex eqeltrdi pm2.61d1 ) ADF
      ZABGABHIZCJFZUNCKZACLZUMUOUNUPAMBCNUPACOUQABCEPUPAMBCQUPACRSUQUMUOUQUPACT
      UMUPJFUOUPACUAUPADCUBUPAJCUCUDUEUFUNUGCUHJABCEUIUJUKUL $.

    $( The order type of the well-order ` R ` on ` A ` is an ordinal.
       (Contributed by Stefan O'Rear, 11-Feb-2015.)  (Revised by Mario
       Carneiro, 23-May-2015.) $)
    oion $p |- ( A e. V -> dom F e. On ) $=
      ( wcel cdm con0 word oicl cvv wb oiexg dmexg elong 3syl mpbiri ) ADFZCGZH
      FZSIZABCEJRCKFSKFTUALABCDEMCKNSKOPQ $.

    $( The order isomorphism of the well-order ` R ` on ` A ` is an
       isomorphism.  (Contributed by Mario Carneiro, 23-May-2015.) $)
    oiiso $p |- ( ( A e. V /\ R We A ) -> F Isom _E , R ( dom F , A ) ) $=
      ( wcel wse wwe cdm cep wiso exse ordtype ancoms sylan ) ADFABGZABHZCIAJBC
      KZABDLQPRABCEMNO $.

    $( The order type of a well-ordered set is equinumerous to the set.
       (Contributed by Mario Carneiro, 23-May-2015.) $)
    oien $p |- ( ( A e. V /\ R We A ) -> dom F ~~ A ) $=
      ( wcel cvv wwe cdm wf1o cen wbr oiexg cep wiso oiiso isof1o syl f1oen3g
      wa syl2an2r ) ADFZCGFABHZCIZACJZUDAKLABCDEMUBUCTUDANBCOUEABCDEPUDANBCQRUD
      ACGSUA $.

    $( Uniqueness of the unique ordinal isomorphism.  (Contributed by Mario
       Carneiro, 23-May-2015.)  (Revised by Mario Carneiro, 25-Jun-2015.) $)
    oieu $p |- ( ( R We A /\ R Se A ) ->
      ( ( Ord B /\ G Isom _E , R ( B , A ) ) <-> ( B = dom F /\ G = F ) ) ) $=
      ( wwe wse wa word cep wiso cdm wceq ccnv adantr syl a1i wb isoeq4 ordtype
      ccom simprr isocnv isotr syl2anc oicl ordiso2 syl3anc ordwe ad2antrl epse
      simprl mpbird weisoeq syl22anc jca ex jctil ordeq isoeq1 sylan9bb anbi12d
      syl5ibrcom impbid ) ACGACHIZBJZBAKCELZIZBDMZNZEDNZIZVFVIVMVFVIIZVKVLVNBVJ
      KKDOZEUBZLZVGVJJZVKVNVHAVJCKVOLZVQVFVGVHUCZVNVJAKCDLZVSVFWAVIACDFUAZPZVJA
      KCDUDQBAVJKCKVOEUEUFVFVGVHUMVRVNACDFUGZRBVJVPUHUIZVNBKGZBKHZVHBAKCDLZVLVG
      WFVFVHBUJUKWGVNBULRVTVNWHWAWCVNVKWHWASWEBAVJKCDTQUNBAKCEDUOUPUQURVFVIVMVR
      WAIVFWAVRWBWDUSVMVGVRVHWAVKVGVRSVLBVJUTPVKVHVJAKCELVLWABAVJKCETVJAKCDEVAV
      BVCVDVE $.
  $}

  ${
    $d x y A $.  $d x y F $.
    oismo.1 $e |- F = OrdIso ( _E , A ) $.
    $( When ` A ` is a subclass of ` On ` , ` F ` is a strictly monotone
       ordinal functions, and it is also complete (it is an isomorphism onto
       all of ` A ` ).  The proof avoids ~ ax-rep (the second statement is
       trivial under ~ ax-rep ).  (Contributed by Mario Carneiro,
       26-Jun-2015.) $)
    oismo $p |- ( A C_ On -> ( Smo F /\ ran F = A ) ) $=
      ( vx vy con0 wss wfo wa cep wiso wwe wf sylancr a1i wcel cvv mp1i syl3anc
      cv wsmo crn wceq cdm wse epweon wess mpi epse oiiso2 sylancl word wb oicl
      oif frn ax-mp id sstrid smoiso2 mpbird simprd simprl wf1o adantr wfn wral
      wn cfv ffn wbr simplrr ad2antrr simplrl simpr oiiniseg syl22anc mt3d epel
      wo ord sylib ralrimiva ffnfv sylanbrc smogt ordelon simpll sseldd syl2anc
      wi ontr2 mp2and ssrdv ssexd fex2 ordtype2 isof1o f1ofo forn 4syl eleqtrrd
      ex expr pm2.18d eqelssd jca ) AFGZBUAZBUBZAUCZXHBUDZXJBHZXIXHXMXIIZXLXJJJ
      BKZXHAJLZAJUEZXOXHFJLXPUFAFJUGUHZAUIZAJBCUJUKXHXLULZXJFGXNXOUMAJBCUNZXHXJ
      AFXLABMZXJAGZAJBCUOZXLABUPUQZXHURUSXLXJBUTNVAVBZXHDXJAYCXHYEOXHDTZAPZIYGX
      JPZXHYHYIVHZYIXHYHYJIZIZYGAXJXHYHYJVCZYLXLAJJBKZXLABVDXLABHXKYLXPXQBQPZYN
      XHXPYKXRVEXQYLXSOYLXLYGBMZXLQPYHYOYLBXLVFZETZBVIZYGPZEXLVGYPYBYQYLYDXLABV
      JZRYLYTEXLYLYRXLPZIZYSYGJVKZYTUUCUUDYIXHYHYJUUBVLUUCUUDYIUUCXPXQYHUUBUUDY
      IVTXHXPYKUUBXRVMXQUUCXSOXHYHYJUUBVNZYLUUBVOZAJBYRYGCVPVQWAVRDYSVSWBZWCEXL
      YGBWDWEYLXLYGAYMYLEXLYGYLUUBYRYGPZUUCYRYSGZYTUUHUUCYQXIUUBUUIYBYQUUCYDUUA
      RXHXIYKUUBYFVMUUFXLYRBWFSUUGUUCYRFPZYGFPUUIYTIUUHWKUUCXTUUBUUJYAUUFXLYRWG
      NUUCAFYGXHYKUUBWHUUEWIYRYSYGWLWJWMXCWNWOYMXLYGBQAWPSAJBCWQSXLAJJBWRXLABWS
      XLABWTXAXBXDXEXFXG $.
  $}

  $( The order type of an ordinal under the ` e. ` order is itself, and the
     order isomorphism is the identity function.  (Contributed by Mario
     Carneiro, 26-Jun-2015.) $)
  oiid $p |- ( Ord A -> OrdIso ( _E , A ) = ( _I |` A ) ) $=
    ( word cep wwe wse coi wiso cid cres wceq ordwe epse a1i cdm crn eqid mpbid
    wb syl syl3anc oiiso2 sylancl wsmo con0 wss wa ordsson isoeq5 simpl2im oicl
    oismo id ordiso2 isoeq4 weniso ) ABZACDZACEZAACCACFZGZUSHAIJAKZURUPALZMUPUS
    NZACCUSGZUTUPVCUSOZCCUSGZVDUPUQURVFVAVBACUSUSPZUAUBUPUSUCZVEAJZVFVDRUPAUDUE
    VHVIUFAUGAUSVGUKSVCVEACCUSUHUIQZUPVCAJZVDUTRUPVDVCBZUPVKVJVLUPACUSVGUJMUPUL
    VCAUSUMTVCAACCUSUNSQACUSUOT $.

  ${
    $d f s t w y z $.  $d f r x y A $.  $d r x R $.  $d r y V $.
    hartogslem.2 $e |- F = { <. r , y >. |
       ( ( ( dom r C_ A /\ ( _I |` dom r ) C_ r /\ r C_ ( dom r X. dom r ) ) /\
         ( r \ _I ) We dom r ) /\ y = dom OrdIso ( ( r \ _I ) , dom r ) ) } $.
    hartogslem.3 $e |- R = { <. s , t >. | E. w e. y E. z e. y
       ( ( s = ( f ` w ) /\ t = ( f ` z ) ) /\ w _E z ) } $.
    $( Lemma for ~ hartogs .  (Contributed by Mario Carneiro, 14-Jan-2013.)
       (Revised by Mario Carneiro, 15-May-2015.) $)
    hartogslem1 $p |- ( dom F C_ ~P ( A X. A ) /\ Fun F /\
      ( A e. V -> ran F = { x e. On | x ~<_ A } ) ) $=
      ( wss wceq cid wa cep syl cdm cxp cpw wfun wcel crn cv cdom wbr con0 crab
      cres w3a cdif wwe coi wex cab copab dmeqi dmopab eqtri simp3 simp1 xpss12
      syl2anc sstrd velpw sylibr ad2antrr exlimiv abssi eqsstri funopab4 funeqi
      wi mpbir rneqi rnopab breq1 elrab wf1 cun cin f1f adantl frnd resss ssun2
      wf sstri idssxp ssini a1i inss2 3jca word eloni ordwe adantr wiso wb wf1o
      cfv wrex f1f1orn f1oiso sylancl isores2 sylib isowe mpbid c0 wal wor weso
      wn brel simpld sonr syl2an pm2.01da alrimiv intirr disj3 weeq1 isoeq3 cvv
      vex ax-mp eqid mpbiri dmss sseq12d indif1 anbi12d ex exlimdv impel cen id
      wse rnex exse oieu mpbi2and xpex inex2 sseq1 dmxpid sseqtrdi dmresi sseq2
      eqsstrrid eqssd sseq1d reseq2d sqxpeqd difeq1 difun2 ineq1i 3eqtr3i weeq2
      3anbi123d eqtrdi bitrd oieq1 oieq2 eqtrd dmeqd eqeq2d spcev syl21anc dmex
      brdomi simpr oion eqeltrdi simplr sylancr eqbrtrd simpll1 endomtr syl2an2
      oien ssdomg jca impbid2 syl5bb abbi2dv eqtr4id 3pm3.2i ) IUAZFFUBZUCZOIUD
      ZFJUEZIUFZAUGZFUHUIZAUJUKZPVPUWMLUGZUAZFOZQUXCULZUXBOZUXBUXCUXCUBZOZUMZUX
      CUXBQUNZUOZRZBUGZUXCUXJUPZUAZPZRZBUQZLURZUWOUWMUXQLBUSZUAUXSIUXTMUTUXQLBV
      AVBUXRLUWOUXQUXBUWOUEZBUXIUYAUXKUXPUXIUXBUWNOUYAUXIUXBUXGUWNUXDUXFUXHVCUX
      IUXDUXDUXGUWNOUXDUXFUXHVDZUYBUXCFUXCFVEVFVGLUWNVHVIVJVKVLVMUWPUXTUDUXLLBU
      XOVNIUXTMVOVQUWQUWRUXQLUQZBURZUXAUWRUXTUFUYDIUXTMVRUXQLBVSVBUWQUYCBUXAUXM
      UXAUEUXMUJUEZUXMFUHUIZRZUWQUYCUWTUYFAUXMUJUWSUXMFUHVTWAUWQUYGUYCUYEUXMFHU
      GZWBZHUQUYCUYFUYEUYIUYCHUYEUYIUYCUYEUYIRZUYHUFZFOZQUYKULZGQWCZUYKUYKUBZWD
      ZOZUYPUYOOZUMZUYKGUYOWDZQUNZUOZUXMUYKVUAUPZUAZPZUYCUYJUYLUYQUYRUYJUXMFUYH
      UYIUXMFUYHWJUYEUXMFUYHWEWFWGUYQUYJUYMUYNUYOUYMQUYNQUYKWHQGWIWKUYKWLWMZWNU
      YRUYJUYNUYOWOZWNWPUYJUYKUYTUOZVUBUYJUXMSUOZVUHUYEVUIUYIUYEUXMWQZVUIUXMWRZ
      UXMWSTWTUYJUXMUYKSUYTUYHXAZVUIVUHXBUYJUXMUYKSGUYHXAZVULUYJUXMUYKUYHXCZGKU
      GDUGZUYHXDPEUGCUGZUYHXDPRVUOVUPSUIRCUXMXEDUXMXEKEUSPVUMUYIVUNUYEUXMFUYHXF
      WFNDCKEUXMUYKSGUYHXGXHUXMUYKSGUYHXIXJZUXMUYKSUYTUYHXKTXLZUYJUYTVUAPZVUHVU
      BXBUYJUYTQWDXMPZVUSUYJUWSUWSUYTUIZXQZAXNVUTUYJVVBAUYJVVAUYJUYKUYTXOZUWSUY
      KUEZVVBVVAUYJVUHVVCVURUYKUYTXPTVVAVVDVVDUWSUWSUYKUYKUYTGUYOWOXRXSUYKUWSUY
      TXTYAYBYCAUYTYDVIUYTQYEXJZUYKUYTVUAYFTXLZUYJVUEUYHVUCPZUYJVUJUXMUYKSVUAUY
      HXAZVUEVVGRZUYEVUJUYIVUKWTUYJVULVVHVUQUYJVUSVULVVHXBVVEUXMUYKSUYTVUAUYHYG
      TXLUYJVUBUYKVUAUUBZVUJVVHRVVIXBVVFUYKYHUEVVJUYHHYIUUCZUYKVUAYHUUDYJUYKUXM
      VUAVUCUYHVUCYKUUEXHUUFXSUXQUYSVUBRZVUERLUYPUYOUYNUYKUYKVVKVVKUUGUUHUXBUYP
      PZUXLVVLUXPVUEVVMUXIUYSUXKVUBVVMUXDUYLUXFUYQUXHUYRVVMUXCUYKFVVMUXCUYKVVMU
      XCUYOUAZUYKVVMUXBUYOOZUXCVVNOVVMVVOUYRVUGUXBUYPUYOUUIYLUXBUYOYMTUYKUUJUUK
      VVMUYKUYMUAZUXCUYKUULVVMUYMUXBOZVVPUXCOVVMVVQUYQVUFUXBUYPUYMUUMYLUYMUXBYM
      TUUNUUOZUUPVVMUXEUYMUXBUYPVVMUXCUYKQVVRUUQVVMUUAZYNVVMUXBUYPUXGUYOVVSVVMU
      XCUYKVVRUURYNUVDVVMUXKUXCVUAUOZVUBVVMUXJVUAPZUXKVVTXBVVMUXJUYPQUNZVUAUXBU
      YPQUUSUYNQUNZUYOWDGQUNZUYOWDVWBVUAVWCVWDUYOGQUUTUVAUYNUYOQYOGUYOQYOUVBUVE
      ZUXCUXJVUAYFTVVMUXCUYKPZVVTVUBXBVVRUXCUYKVUAUVCTUVFYPVVMUXOVUDUXMVVMUXNVU
      CVVMUXNUXCVUAUPZVUCVVMVWAUXNVWGPVWEUXCUXJVUAUVGTVVMVWFVWGVUCPVVRUXCUYKVUA
      UVHTUVIUVJUVKYPUVLUVMYQYRUXMFHUVOYSUWQUXQUYGLUWQUXQUYGUWQUXQRUYEUYFUXQUYE
      UWQUXQUXMUXOUJUXLUXPUVPZUXCYHUEZUXOUJUEUXBLYIUVNZUXCUXJUXNYHUXNYKZUVQYJUV
      RWFUXQUXMUXCYTUIUWQUXCFUHUIZUYFUXQUXMUXOUXCYTVWHUXQVWIUXKUXOUXCYTUIVWJUXI
      UXKUXPUVSUXCUXJUXNYHVWKUWEUVTUWAUWQUXDVWLUXQUXCFJUWFUXDUXFUXHUXKUXPUWBYSU
      XMUXCFUWCUWDUWGYQYRUWHUWIUWJUWKUWL $.

    $( Lemma for ~ hartogs .  (Contributed by Mario Carneiro, 14-Jan-2013.) $)
    hartogslem2 $p |- ( A e. V -> { x e. On | x ~<_ A } e. _V ) $=
      ( wcel crn cv cdom cvv sylancr wbr con0 crab cdm cxp cpw wss wfun wceq wi
      hartogslem1 simp3i simp2i simp1i sqxpexg pwexd ssexg funex rnexg eqeltrrd
      syl ) FJOZIPZAQFRUAAUBUCZSIUDZFFUEZUFZUGZIUHZVBVCVDUIUJZABCDEFGHIJKLMNUKZ
      ULVBISOZVCSOVBVIVESOZVLVHVIVJVKUMVBVHVGSOVMVHVIVJVKUNVBVFSFJUOUPVEVGSUQTS
      IURTISUSVAUT $.
  $}

  ${
    $d g r s t w x y z $.  $d g r x y z A $.  $d r y V $.
    $( The class of ordinals dominated by a given set is an ordinal.  A shorter
       (when taking into account lemmas ~ hartogslem1 and ~ hartogslem2 ) proof
       can be given using the axiom of choice, see ~ ondomon .  As its label
       indicates, this result is used to justify the definition of the Hartogs
       function ~ df-har .  (Contributed by Jeff Hankins, 22-Oct-2009.)
       (Revised by Mario Carneiro, 15-May-2015.) $)
    hartogs $p |- ( A e. V -> { x e. On | x ~<_ A } e. On ) $=
      ( vy vz vw vt vs vg vr wcel cv cdom wbr con0 word wss wa cvv wceq crab wi
      wtr wal onelon vex onelss imp ssdomg mpsyl jca domtr anim2i anassrs sylan
      exp31 com12 impd breq1 elrab 3imtr4g gen2 dftr2 mpbir ordon trssord mp3an
      ssrab2 wb cfv cep wrex cdm cid cres cxp w3a cdif wwe coi eqid hartogslem2
      copab elong syl mpbiri ) BCKZALZBMNZAOUAZOKZWJPZWJUCZWJOQOPWLWMDLZELZKZWO
      WJKZRWNWJKZUBZEUDDUDWSDEWPWQWRWPWOOKZWOBMNZRWNOKZWNBMNZRZWQWRWPWTXAXDWTWP
      XAXDUBWTWPXAXDWTWPRZXBWNWOMNZRXAXDXEXBXFWOWNUEWOSKXEWNWOQZXFEUFWTWPXGWOWN
      UGUHWNWOSUIUJUKXBXFXAXDXFXARXCXBWNWOBULUMUNUOUPUQURWIXAAWOOWHWOBMUSUTWIXC
      AWNOWHWNBMUSUTVAUHVBDEWJVCVDWIAOVHVEWJOVFVGWGWJSKWKWLVIADEFGBHLFLZILZVJTG
      LWOXIVJTRXHWOVKNREWNVLFWNVLHGWCZIJLZVMZBQVNXLVOXKQXKXLXLVPQVQXLXKVNVRZVSR
      WNXLXMVTVMTRJDWCZCHJXNWAXJWAWBWJSWDWEWF $.
  $}

  ${
    $d y z A $.  $d y z R $.
    wofib.1 $e |- A e. _V $.
    $( The only sets which are well-ordered forwards and backwards are finite
       sets.  (Contributed by Mario Carneiro, 30-Jan-2014.)  (Revised by Mario
       Carneiro, 23-May-2015.) $)
    wofib $p |- ( ( R Or A /\ A e. Fin ) <-> ( R We A /\ `' R We A ) ) $=
      ( vz vy wor cfn wcel wa wwe ccnv wofi jca adantr com wss cep wbr wn cvv
      cnvso sylanb weso coi cdm cv wral wrex csuc peano2 sucidg wceq brcnv epel
      vex bitri eleq2 syl5bb rspcev syl2anc dfrex2 sylib nrex word wb eqid oicl
      ordom ordtri1 mp2an wfr c0 wne con0 oion mp1i simpr ssexd wiso oiiso mpan
      isocnv2 wefr isofr biimpar syl2an c1o 1onn ne0i fri syl22anc syl5bir mt3i
      ex ssid ssnnfi sylancl cen simpl oien sylancr enfi syl mpbid impbii ) ABF
      ZAGHZIZABJZABKZJZIZXHXIXKABLXFAXJFXGXKABUAAXJLUBMXLXFXGXIXFXKABUCNXLABUDZ
      UEZGHZXGXLXNOHZXNXNPXOXLXPDUFZEUFZQKZRZSDOUGZEOUHZYAEOXROHZXTDOUHZYASYCXR
      UIZOHXRYEHZYDXRUJXROUKXTYFDYEOXTXRXQHZXQYEULYFXTXRXQQRYGXQXRQDUOEUOUMDXRU
      NUPXQYEXRUQURUSUTXTDOVAVBVCXPSZOXNPZXLYBOVDXNVDYIYHVEVHABXMXMVFZVGOXNVIVJ
      XLYIYBXLYIIZOTHXNXSVKZYIOVLVMZYBYKOXNVNATHZXNVNHYKCABXMTYJVOVPXLYIVQZVRXL
      YLYIXIXNAXSXJXMVSZAXJVKZYLXKXIXNAQBXMVSZYPYNXIYRCABXMTYJVTWAXNAQBXMWBVBAX
      JWCYPYLYQXNAXSXJXMWDWEWFNYOWGOHYMYKWHOWGWIVPEDXNOTXSWJWKWNWLWMXNWOXNXNWPW
      QXLXNAWRRZXOXGVEXLYNXIYSCXIXKWSABXMTYJWTXAXNAXBXCXDMXE $.
  $}

  ${
    $d a b c d x B $.  $d a b c d T $.  $d a b c d U $.  $d a b c w x y z X $.
    $d a b c d w x y z A $.  $d a b c d w x y z P $.  $d a b c d w x y z Q $.
    $d a b c d w x y z R $.  $d a b c d w x y z S $.  $d c d x Z $.
    wemapso.t $e |- T = { <. x , y >. | E. z e. A ( ( x ` z ) S ( y ` z ) /\
        A. w e. A ( w R z -> ( x ` w ) = ( y ` w ) ) ) } $.
    $( Value of the lexicographic order on a sequence space.  (Contributed by
       Stefan O'Rear, 18-Jan-2015.) $)
    wemaplem1 $p |- ( ( P e. V /\ Q e. W ) -> ( P T Q <->
        E. a e. A ( ( P ` a ) S ( Q ` a ) /\
          A. b e. A ( b R a -> ( P ` b ) = ( Q ` b ) ) ) ) ) $=
      ( cv cfv wbr wceq wi wral wrex breqan12d eqeqan12d imbi2d ralbidv anbi12d
      fveq1 rexbidv weq fveq2 breq12d breq2 imbi1d breq1 eqeq12d imbi12d bitrdi
      wa cbvralvw cbvrexvw brabga ) CPZAPZQZVCBPZQZIRZDPZVCHRZVIVDQZVIVFQZSZTZD
      EUAZUSZCEUBZMPZFQZVRGQZIRZNPZVRHRZWBFQZWBGQZSZTZNEUAZUSZMEUBZABFGJKLVDFSZ
      VFGSZUSZVQVCFQZVCGQZIRZVJVIFQZVIGQZSZTZDEUAZUSZCEUBWJWMVPXBCEWMVHWPVOXAWK
      WLVEWNVGWOIVCVDFUHVCVFGUHUCWMVNWTDEWMVMWSVJWKWLVKWQVLWRVIVDFUHVIVFGUHUDUE
      UFUGUIXBWICMECMUJZWPWAXAWHXCWNVSWOVTIVCVRFUKVCVRGUKULXCXAVIVRHRZWSTZDEUAW
      HXCWTXEDEXCVJXDWSVCVRVIHUMUNUFXEWGDNEDNUJZXDWCWSWFVIWBVRHUOXFWQWDWRWEVIWB
      FUKVIWBGUKUPUQUTURUGVAUROVB $.

    ${
      $d ph d $.
      wemaplem2.p $e |- ( ph -> P e. ( B ^m A ) ) $.
      wemaplem2.x $e |- ( ph -> X e. ( B ^m A ) ) $.
      wemaplem2.q $e |- ( ph -> Q e. ( B ^m A ) ) $.
      wemaplem2.r $e |- ( ph -> R Or A ) $.
      wemaplem2.s $e |- ( ph -> S Po B ) $.
      ${
        wemaplem2.px1 $e |- ( ph -> a e. A ) $.
        wemaplem2.px2 $e |- ( ph -> ( P ` a ) S ( X ` a ) ) $.
        wemaplem2.px3 $e |- ( ph -> A. c e. A ( c R a ->
            ( P ` c ) = ( X ` c ) ) ) $.
        wemaplem2.xq1 $e |- ( ph -> b e. A ) $.
        wemaplem2.xq2 $e |- ( ph -> ( X ` b ) S ( Q ` b ) ) $.
        wemaplem2.xq3 $e |- ( ph -> A. c e. A ( c R b ->
            ( X ` c ) = ( Q ` c ) ) ) $.
        $( Lemma for ~ wemapso .  Transitivity.  (Contributed by Stefan O'Rear,
           17-Jan-2015.)  (Revised by AV, 21-Jul-2024.) $)
        wemaplem2 $p |- ( ph -> P T Q ) $=
          ( vd wbr cv cfv wceq wi wral wrex cif wcel ifcld adantr breq1 eqeq12d
          fveq2 imbi12d rspcdva imp breqtrd iftrue fveq2d breq12d adantl mpbird
          wa wb wpo w3a cmap co wf elmapi ffvelrnd 3jca syl5ibcom potr syl22anc
          syl ifeq1 ifid eqtrdi eqbrtrd wn wor sopo po2nr syl12anc mpbi iffalse
          nan w3o solin mpjao3dan r19.26 sylanbrc anim12 eqtr syl6 ralimi simpr
          simpl1 simpl2 simpl3 syl13anc biimpd imim1d ralimdva syl2im mpd breq2
          soltmin imbi1d ralbidv anbi12d rspcev wemaplem1 syl2anc ) AHILUJZUIUK
          ZHULZYGIULZKUJZPUKZYGJUJZYKHULZYKIULZUMZUNZPFUOZVMZUIFUPZANUKZOUKZJUJ
          ZYTUUAUQZFURUUCHULZUUCIULZKUJZYKUUCJUJZYOUNZPFUOZYSAUUBYTUUAFUCUFUSAU
          UBUUFYTUUAUMZUUAYTJUJZAUUBVMZUUFYTHULZYTIULZKUJZUULUUMYTMULZUUNKAUUMU
          UPKUJZUUBUDUTAUUBUUPUUNUMZAYKUUAJUJZYKMULZYNUMZUNZUUBUURUNPFYTYKYTUMZ
          UUSUUBUVAUURYKYTUUAJVAUVCUUTUUPYNUUNYKYTMVCYKYTIVCVBVDUHUCVEVFVGUUBUU
          FUUOVNAUUBUUDUUMUUEUUNKUUBUUCYTHUUBYTUUAVHZVIUUBUUCYTIUVDVIVJVKVLAUUJ
          VMZUUFUUAHULZUUAIULZKUJZUVEGKVOZUVFGURZUUAMULZGURZUVGGURZVPZUVFUVKKUJ
          ZUVKUVGKUJZUVHAUVIUUJUBUTAUVNUUJAUVJUVLUVMAFGUUAHAHGFVQVRZURZFGHVSRHG
          FVTWFUFWAAFGUUAMAMUVQURFGMVSSMGFVTWFUFWAAFGUUAIAIUVQURZFGIVSTIGFVTWFU
          FWAWBUTAUUJUVOAUUQUUJUVOUDUUJUUMUVFUUPUVKKYTUUAHVCYTUUAMVCVJWCVFAUVPU
          UJUGUTUVIUVNVMUVOUVPVMUVHGUVFUVKUVGKWDVFWEUUJUUFUVHVNZAUUJUUDUVFUUEUV
          GKUUJUUCUUAHUUJUUCUUBUUAUUAUQUUAUUBYTUUAUUAWGUUBUUAWHWIZVIUUJUUCUUAIU
          WAVIVJVKVLAUUKVMZUUFUVHUWBUVFUVKUVGKAUUKUVFUVKUMZAYKYTJUJZYMUUTUMZUNZ
          UUKUWCUNPFUUAYKUUAUMZUWDUUKUWEUWCYKUUAYTJVAUWGYMUVFUUTUVKYKUUAHVCYKUU
          AMVCVBVDUEUFVEVFAUVPUUKUGUTWJUWBUUBWKZUVTAUUKUUBVMWKZUNUWBUWHUNAFJVOZ
          UUAFURZYTFURZUWIAFJWLZUWJUAFJWMWFUFUCFUUAYTJWNWOAUUKUUBWRWPUWHUUDUVFU
          UEUVGKUWHUUCUUAHUUBYTUUAWQZVIUWHUUCUUAIUWNVIVJWFVLAUWMUWLUWKUUBUUJUUK
          WSUAUCUFFYTUUAJWTWOXAAUWFUVBVMZPFUOZUUIAUWFPFUOUVBPFUOUWPUEUHUWFUVBPF
          XBXCAUWMUWLUWKVPZUWPUWDUUSVMZYOUNZPFUOUUIAUWMUWLUWKUAUCUFWBUWOUWSPFUW
          OUWRUWEUVAVMYOUWDUWEUUSUVAXDYMUUTYNXEXFXGUWQUWSUUHPFUWQYKFURZVMZUUGUW
          RYOUXAUUGUWRUXAUWMUWTUWLUWKUUGUWRVNUWMUWLUWKUWTXIUWQUWTXHUWMUWLUWKUWT
          XJUWMUWLUWKUWTXKYKYTUUAJFXSXLXMXNXOXPXQYRUUFUUIVMUIUUCFYGUUCUMZYJUUFY
          QUUIUXBYHUUDYIUUEKYGUUCHVCYGUUCIVCVJUXBYPUUHPFUXBYLUUGYOYGUUCYKJXRXTY
          AYBYCWOAUVRUVSYFYSVNRTBCDEFHIJKLUVQUVQUIPQYDYEVL $.
      $}

      $d ph a b c $.
      wemaplem3.px $e |- ( ph -> P T X ) $.
      wemaplem3.xq $e |- ( ph -> X T Q ) $.
      $( Lemma for ~ wemapso .  Transitivity.  (Contributed by Stefan O'Rear,
         17-Jan-2015.)  (Revised by AV, 21-Jul-2024.) $)
      wemaplem3 $p |- ( ph -> P T Q ) $=
        ( va vc vb cv cfv wbr wceq wi wral wa wrex cmap co wb wemaplem1 syl2anc
        wcel mpbid ad2antrr wor wpo simplrl simp2rl 3expa simprr simprl simprrl
        ad2antlr simprrr wemaplem2 rexlimdvaa mp2d ) AUBUEZHUFVNMUFKUGZUCUEZVNJ
        UGVPHUFVPMUFZUHUIUCFUJZUKZUBFULZUDUEZMUFWAIUFKUGZVPWAJUGVQVPIUFUHUIUCFU
        JZUKZUDFULZHILUGZAHMLUGZVTTAHGFUMUNZURZMWHURZWGVTUOOPBCDEFHMJKLWHWHUBUC
        NUPUQUSAMILUGZWEUAAWJIWHURZWKWEUOPQBCDEFMIJKLWHWHUDUCNUPUQUSAVSWEWFUIUB
        FAVNFURZVSUKZUKZWDWFUDFWOWAFURZWDUKZUKBCDEFGHIJKLMUBUDUCNAWIWNWQOUTAWJW
        NWQPUTAWLWNWQQUTAFJVAWNWQRUTAGKVBWNWQSUTAWMVSWQVCAWNWQVOVOVRWMAWQVDVEWN
        VRAWQWMVOVRVFVIWOWPWDVGWOWPWBWCVHWOWPWBWCVJVKVLVLVM $.
    $}

    $( Construct lexicographic order on a function space based on a
       well-ordering of the indices and a total ordering of the values.

       Without totality on the values or least differing indices, the best we
       can prove here is a partial order.  (Contributed by Stefan O'Rear,
       18-Jan-2015.)  (Revised by AV, 21-Jul-2024.) $)
    wemappo $p |- ( ( R Or A /\ S Po B ) -> T Po ( B ^m A ) ) $=
      ( va vb vc wa cv wcel cfv wbr simpllr cvv wor wpo cmap co wceq wi wral wn
      wrex elmapi adantl ffvelrnda poirr syl2anc intnanrd nrexdv wemaplem1 el2v
      wf wb sylnibr w3a simplr1 simplr2 simplr3 simplll simprl simprr wemaplem3
      ex ispod ) EGUAZFHUBZNZKLMFEUCUDZIVNKOZVOPZNZLOZVPQZVTHRZMOZVSGRWBVPQZWCU
      EUFMEUGZNZLEUIZVPVPIRZVRWELEVRVSEPZNZWAWDWIVMVTFPWAUHVLVMVQWHSVREFVSVPVQE
      FVPUSVNVPFEUJUKULFVTHUMUNUOUPWGWFUTKKABCDEVPVPGHITTLMJUQURVAVNVQVSVOPZWBV
      OPZVBZNZVPVSIRZVSWBIRZNZVPWBIRWMWPNABCDEFVPWBGHIVSJVQWJWKVNWPVCVQWJWKVNWP
      VDVQWJWKVNWPVEVLVMWLWPVFVLVMWLWPSWMWNWOVGWMWNWOVHVIVJVK $.

    ${
      $d ph a b c d $.
      wemapsolem.1 $e |- U C_ ( B ^m A ) $.
      wemapsolem.2 $e |- ( ph -> R Or A ) $.
      wemapsolem.3 $e |- ( ph -> S Or B ) $.
      wemapsolem.4 $e |- ( ( ph /\ ( ( a e. U /\ b e. U ) /\ a =/= b ) ) ->
        E. c e. dom ( a \ b ) A. d e. dom ( a \ b ) -. d R c ) $.
      $( Lemma for ~ wemapso .  (Contributed by Stefan O'Rear, 18-Jan-2015.)
         (Revised by Mario Carneiro, 8-Feb-2015.)  (Revised by AV,
         21-Jul-2024.) $)
      wemapsolem $p |- ( ph -> T Or U ) $=
        ( cmap co wss wpo wor sopo syl wemappo syl2anc poss mpsyl wcel wceq wbr
        cv wa wo w3o wn wne df-ne cfv wi wral wrex cdif cdm crab wfn wf simprll
        sselid elmapi simprlr fndmdif eleq2d nesym eqeq12d notbid syl5bb bitrdi
        ffnd fveq2 imbi1d impexp con34b imbi2i bitr4i ralbidv2 anbi12d rexbidv2
        elrab anass ad2antrr ffvelrnda sotrieq con2bid syl12anc anim1d reximdva
        mpbid biimprd mpd cvv wemaplem1 el2v orbi12i r19.43 andir ralbii anbi2i
        wb eqcom orbi2i bitr2i rexbii 3bitr2i sylibr expr syl5bir 3orrot 3orass
        orrd sylib issod ) ALMKJKGFUAUBZUCAYFJUDZKJUDQAFHUEGIUDZYGRAGIUEZYHSGIU
        FUGBCDEFGHIJPUHUIKYFJUJUKALUOZKULZMUOZKULZUPZUPZYJYLUMZYLYJJUNZYJYLJUNZ
        UQZUQZYRYPYQURZYOYPYSYPUSYJYLUTZYOYSYJYLVAAYNUUBYSAYNUUBUPZUPZNUOZYLVBZ
        UUEYJVBZIUNZUUGUUFIUNZUQZOUOZUUEHUNZUUKYLVBZUUKYJVBZUMZVCZOFVDZUPZNFVEZ
        YSUUDUUFUUGUMZUSZUUQUPZNFVEZUUSUUDUULUSZOYJYLVFVGZVDZNUVEVEUVCTUUDUVFUV
        BNUVEFUUDUUEUVEULZUVFUPUUEFULZUVAUPZUUQUPUVHUVBUPUUDUVGUVIUVFUUQUUDUVGU
        UEBUOZYJVBZUVJYLVBZUTZBFVHZULUVIUUDUVEUVNUUEUUDYJFVIYLFVIUVEUVNUMUUDFGY
        JUUDYJYFULFGYJVJUUDKYFYJQAYKYMUUBVKVLYJGFVMUGZWBUUDFGYLUUDYLYFULFGYLVJU
        UDKYFYLQAYKYMUUBVNVLYLGFVMUGZWBBFYJYLVOUIZVPUVMUVABUUEFUVMUVLUVKUMZUSZU
        VJUUEUMZUVAUVKUVLVQZUVTUVRUUTUVTUVLUUFUVKUUGUVJUUEYLWCUVJUUEYJWCVRVSVTW
        LWAUUDUVDUUPOUVEFUUDUUKUVEULZUVDVCUUKFULZUUOUSZUPZUVDVCZUWCUUPVCZUUDUWB
        UWEUVDUUDUWBUUKUVNULUWEUUDUVEUVNUUKUVQVPUVMUWDBUUKFUVMUVSUVJUUKUMZUWDUW
        AUWHUVRUUOUWHUVLUUMUVKUUNUVJUUKYLWCUVJUUKYJWCVRVSVTWLWAWDUWFUWCUWDUVDVC
        ZVCUWGUWCUWDUVDWEUUPUWIUWCUULUUOWFWGWHWAWIWJUVHUVAUUQWMWAWKXAUUDUVBUURN
        FUUDUVHUPZUVAUUJUUQUWJYIUUFGULZUUGGULZUVAUUJVCAYIUUCUVHSWNUUDFGUUEYLUVP
        WOUUDFGUUEYJUVOWOYIUWKUWLUPUPZUUJUVAUWMUUTUUJGUUFUUGIWPWQXBWRWSWTXCYSUU
        HUUQUPZNFVEZUUIUULUUNUUMUMZVCZOFVDZUPZNFVEZUQUWNUWSUQZNFVEUUSYQUWOYRUWT
        YQUWOXLMLBCDEFYLYJHIJXDXDNOPXEXFYRUWTXLLMBCDEFYJYLHIJXDXDNOPXEXFXGUWNUW
        SNFXHUXAUURNFUURUWNUUIUUQUPZUQUXAUUHUUIUUQXIUXBUWSUWNUUQUWRUUIUUPUWQOFU
        UOUWPUULUUMUUNXMWGXJXKXNXOXPXQXRXSXTYCUUAYPYQYRURYTYRYPYQYAYPYQYRYBXOYD
        YE $.
    $}

    $( Construct lexicographic order on a function space based on a
       well-ordering of the indices and a total ordering of the values.
       (Contributed by Stefan O'Rear, 18-Jan-2015.)  (Revised by Mario
       Carneiro, 8-Feb-2015.)  (Revised by AV, 21-Jul-2024.) $)
    wemapso $p |- ( ( R We A /\ S Or B ) -> T Or ( B ^m A ) ) $=
      ( va vb vc vd wor wa cv wcel wss c0 wwe cmap co ssid weso adantr wne cdif
      simpr cdm cvv wfr wbr wn wral wrex vex difexi dmex a1i wefr ad2antrr dmss
      difss ax-mp wf simprll elmapi syl fssdm simprr wceq wb simprlr fndmdifeq0
      wfn ffnd syl2anc necon3bid mpbird fri syl22anc wemapsolem ) EGUAZFHOZPZAB
      CDEFGHIFEUBUCZKLMNJWGUDWDEGOWEEGUEUFWDWEUIWFKQZWGRZLQZWGRZPZWHWJUGZPZPZWH
      WJUHZUJZUKRZEGULZWQESWQTUGZNQMQGUMUNNWQUOMWQUPWRWOWPWHWJKUQURUSUTWDWSWEWN
      EGVAVBWOEFWQWHWPWHSWQWHUJSWHWJVDWPWHVCVEWOWIEFWHVFWFWIWKWMVGWHFEVHVIZVJWO
      WTWMWFWLWMVKWOWQTWHWJWOWHEVPWJEVPWQTVLWHWJVLVMWOEFWHXAVQWOEFWJWOWKEFWJVFW
      FWIWKWMVNWJFEVHVIVQEWHWJVOVRVSVTMNEWQUKGWAWBWC $.

    $d V a b c d $.  $d W a b c d $.  $d Z a b $.
    wemapso2.u $e |- U = { x e. ( B ^m A ) | x finSupp Z } $.
    $( Lemma for ~ wemapso2 .  (Contributed by Mario Carneiro, 8-Feb-2015.)
       (Revised by AV, 1-Jul-2019.) $)
    wemapso2lem $p |- ( ( ( A e. V /\ R Or A /\ S Or B ) /\ Z e. W )
                        -> T Or U ) $=
      ( vc wcel wa cv cfsupp va vb vd wor w3a wbr cmap ssrab3 simpl2 simpl3 wne
      co cdif cdm cfn csupp cun wfr wss c0 wn wral simprll breq1 elrab2 simprbi
      wrex syl simprlr fsuppunfi cfv crab wceq wf sselid elmapi fndmdif syl2anc
      wfn ffnd wi wo neneor elun simpr cvv wb adantr 3ad2ant1 ad2antrr elsuppfn
      elex syl3anc mpbirand simpll1 orbi12d syl5bb syl5ibr rabss sylibr eqsstrd
      ralrimiva ssfid wwe suppssdm fssdm unssd soss sylc wofi simprr fndmdifeq0
      wefr necon3bid mpbird fri syl22anc wemapsolem ) EKQZEGUDZFHUDZUEZMLQZRZAB
      CDEFGHIJUAUBPUCNASZMTUFZAFEUGULZJOUHZXSXTYAYCUIZXSXTYAYCUJYDUASZJQZUBSZJQ
      ZRZYJYLUKZRZRZYJYLUMUNZUOQYJMUPULZYLMUPULZUQZGURZYRUUAUSYRUTUKZUCSPSZGUFV
      AUCYRVBPYRVGYQUUAYRYQYJYLMYQYKYJMTUFZYDYKYMYOVCZYKYJYGQZUUEYFUUEAYJYGJYEY
      JMTVDOVEVFVHYQYMYLMTUFZYDYKYMYOVIZYMYLYGQZUUHYFUUHAYLYGJYEYLMTVDOVEVFVHVJ
      ZYQYRUUDYJVKZUUDYLVKZUKZPEVLZUUAYQYJEVSZYLEVSZYRUUOVMYQEFYJYQUUGEFYJVNYQJ
      YGYJYHUUFVOYJFEVPVHZVTZYQEFYLYQUUJEFYLVNYQJYGYLYHUUIVOYLFEVPVHZVTZPEYJYLV
      QVRYQUUNUUDUUAQZWAZPEVBUUOUUAUSYQUVCPEUUNUVBYQUUDEQZRZUULMUKZUUMMUKZWBZUU
      LUUMMWCUVBUUDYSQZUUDYTQZWBUVEUVHUUDYSYTWDUVEUVIUVFUVJUVGUVEUVIUVDUVFYQUVD
      WEZUVEUUPEWFQZYCUVIUVDUVFRWGYQUUPUVDUUSWHYDUVLYPUVDYBUVLYCXSXTUVLYAEKWLWI
      WHWJYDYCYPUVDYBYCWEWJZUUDYJWFLEMWKWMWNUVEUVJUVDUVGUVKUVEUUQXSYCUVJUVDUVGR
      WGYQUUQUVDUVAWHYQXSUVDXSXTYAYCYPWOWHUVMUUDYLKLEMWKWMWNWPWQWRXBUUNPEUUAWSW
      TXAZXCYQUUAGXDZUUBYQUUAGUDZUUAUOQUVOYQUUAEUSXTUVPYQYSYTEYQEFYSYJYJMXEUURX
      FYQEFYTYLYLMXEUUTXFXGYDXTYPYIWHUUAEGXHXIUUKUUAGXJVRUUAGXMVHUVNYQUUCYOYDYN
      YOXKYQYRUTYJYLYQUUPUUQYRUTVMYJYLVMWGUUSUVAEYJYLXLVRXNXOPUCUUAYRUOGXPXQXR
      $.

    $( An alternative to having a well-order on ` R ` in ~ wemapso is to
       restrict the function set to finitely-supported functions.  (Contributed
       by Mario Carneiro, 8-Feb-2015.)  (Revised by AV, 1-Jul-2019.) $)
    wemapso2 $p |- ( ( A e. V /\ R Or A /\ S Or B ) -> T Or U ) $=
      ( cvv wcel wor wn c0 wceq w3a wi wemapso2lem expcom so0 wb cv cfsupp cmap
      wbr co crab relfsupp brrelex2i con3i ralrimivw rabeq0 sylibr eqtrid soeq2
      wral syl mpbiri a1d pm2.61i ) LOPZEKPEGQFHQUAZJIQZUBVGVFVHABCDEFGHIJKOLMN
      UCUDVFRZVHVGVIVHSIQZIUEVIJSTVHVJUFVIJAUGZLUHUJZAFEUIUKZULZSNVIVLRZAVMVAVN
      STVIVOAVMVLVFVKLUHUMUNUOUPVLAVMUQURUSJSIUTVBVCVDVE $.
  $}

  ${
    $d A x y z $.
    $( The alternate definition of the cardinal of a set given in ~ cardval2
       always gives a set, and indeed an ordinal.  (Contributed by Mario
       Carneiro, 14-Jan-2013.) $)
    card2on $p |- { x e. On | x ~< A } e. On $=
      ( vy vz cvv wcel cv csdm wbr con0 crab word wss wa wi wal cdom imp breq1
      c0 wtr onelon vex onelss ssdomg mpsyl domsdomtr anassrs sylan exp31 com12
      jca anim2i impd elrab 3imtr4g gen2 dftr2 mpbir ssrab2 ordon trssord mp3an
      hartogs sdomdom a1i ss2rabi ssexg mpan elong 3syl mpbiri wceq 0elon eleq1
      wb wn wrex wne df-ne rabn0 bitr3i relsdom brrelex2i rexlimivw sylbi nsyl4
      pm2.61i ) BEFZAGZBHIZAJKZJFZWIWMWLLZWLUAZWLJMJLWNWOCGZDGZFZWQWLFZNWPWLFZO
      ZDPCPXACDWRWSWTWRWQJFZWQBHIZNWPJFZWPBHIZNZWSWTWRXBXCXFXBWRXCXFOXBWRXCXFXB
      WRNZXDWPWQQIZNXCXFXGXDXHWQWPUBWQEFXGWPWQMZXHDUCXBWRXIWQWPUDRWPWQEUEUFULXD
      XHXCXFXHXCNXEXDWPWQBUGUMUHUIUJUKUNWKXCAWQJWJWQBHSUOWKXEAWPJWJWPBHSUOUPRUQ
      CDWLURUSWKAJUTVAWLJVBVCWIWJBQIZAJKZJFZWLEFZWMWNVPABEVDWLXKMXLXMWKXJAJWKXJ
      OWJJFWJBVEVFVGWLXKJVHVIWLEVJVKVLWLTVMZWMWIXNWMTJFVNWLTJVOVLXNVQZWKAJVRZWI
      XOWLTVSXPWLTVTWKAJWAWBWKWIAJWJBHWCWDWEWFWGWH $.
  $}

  ${
    $d A x y n $.
    card2inf.1 $e |- A e. _V $.
    $( The alternate definition of the cardinal of a set given in ~ cardval2
       has the curious property that for non-numerable sets (for which ~ ndmfv
       yields ` (/) ` ), it still evaluates to a nonempty set, and indeed it
       contains ` _om ` .  (Contributed by Mario Carneiro, 15-Jan-2013.)
       (Revised by Mario Carneiro, 27-Apr-2015.) $)
    card2inf $p |- ( -. E. y e. On y ~~ A -> _om C_ { x e. On | x ~< A } ) $=
      ( vn cv cen wbr con0 wn csdm com wcel c0 breq1 rspcev cdom brsdom mpbiran
      wss wrex wral crab csuc 0elon mpan con3i 0dom wa sucdom2 ad2antll wi nnon
      sylibr suceloni ex con3dimp adantrr sylanbrc exp32 finds2 ralrimiv omsson
      3syl com12 ssrab ) BFZCGHZBIUAZJZAFZCKHZALUBZLVLAIUCTZVJVLALVKLMVJVLVLNCK
      HZEFZCKHZVPUDZCKHZVJAEVKNCKOVKVPCKOVKVRCKOVJNCGHZJZVOVTVINIMVTVIUEVHVTBNI
      VGNCGOPUFUGVONCQHWACDUHNCRSUNVPLMZVJVQVSWBVJVQUIUIVRCQHZVRCGHZJZVSVQWCWBV
      JVPCUJUKWBVJWEVQWBWDVIWBVPIMVRIMZWDVIULVPUMVPUOWFWDVIVHWDBVRIVGVRCGOPUPVD
      UQURVRCRUSUTVAVEVBVNLITVMVCVLAILVFSUN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Hartogs function
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c har $.

  $( Class symbol for the Hartogs function. $)
  char $a class har $.

  ${
    $d x y $.
    $( Define the Hartogs function as mapping a set to the class of ordinals it
       dominates.  That class is an ordinal by ~ hartogs , which is used in
       ~ harf .

       The _Hartogs number_ of a set is the least ordinal not dominated by that
       set.  Theorem ~ harval2 proves that the Hartogs function actually gives
       the Hartogs number for well-orderable sets.

       The Hartogs number of an ordinal is its cardinal successor.  This is
       proved for finite ordinal in ~ harsucnn .

       Traditionally, the Hartogs number of a set ` X ` is written
       ` aleph ( X ) ` , and its cardinal successor, ` X + ` ; we use
       functional notation for this, and cannot use the aleph symbol because it
       is taken for the enumerating function of the infinite initial ordinals
       ~ df-aleph .

       Some authors define the Hartogs number of a set to be the least
       *infinite* ordinal which does not inject into it, thus causing the range
       to consist only of alephs.  We use the simpler definition where the
       value can be any successor cardinal.  (Contributed by Stefan O'Rear,
       11-Feb-2015.) $)
    df-har $a |- har = ( x e. _V |-> { y e. On | y ~<_ x } ) $.
  $}

  ${
    $d x y X $.  $d x y Y $.
    $( Functionality of the Hartogs function.  (Contributed by Stefan O'Rear,
       11-Feb-2015.) $)
    harf $p |- har : _V --> On $=
      ( vx vy cvv con0 cv cdom wbr crab char df-har hartogs fmpti ) ACDBEAEZFGB
      DHIABJBMCKL $.

    $( Values of the Hartogs function are ordinals (closure of the Hartogs
       function in the ordinals).  (Contributed by Stefan O'Rear,
       11-Feb-2015.) $)
    harcl $p |- ( har ` X ) e. On $=
      ( cvv con0 char harf 0elon f0cli ) BCADEFG $.

    $( Function value of the Hartogs function.  (Contributed by Stefan O'Rear,
       11-Feb-2015.) $)
    harval $p |- ( X e. V -> ( har ` X ) = { y e. On | y ~<_ X } ) $=
      ( vx wcel cvv char cfv cdom wbr con0 crab wceq elex breq2 rabbidv hartogs
      cv df-har fvmpt3 syl ) CBECFECGHARZCIJZAKLZMCBNDCUBDRZIJZAKLUDFGKUECMUFUC
      AKUECUBIOPDASAUEFQTUA $.

    $( The Hartogs number of a set contains exactly the ordinals that set
       dominates.  Combined with ~ harcl , this implies that the Hartogs number
       of a set is greater than all ordinals that set dominates.  (Contributed
       by Stefan O'Rear, 11-Feb-2015.)  (Revised by Mario Carneiro,
       15-May-2015.) $)
    elharval $p |- ( Y e. ( har ` X ) <->
          ( Y e. On /\ Y ~<_ X ) ) $=
      ( vy char cfv wcel cvv con0 cdom wbr wa elfvex reldom brrelex2i adantl cv
      crab harval eleq2d breq1 elrab bitrdi pm5.21nii ) BADEZFZAGFZBHFZBAIJZKZB
      ADLUHUFUGBAIMNOUFUEBCPZAIJZCHQZFUIUFUDULBCGARSUKUHCBHUJBAITUAUBUC $.

    $( The Hartogs number of a set does not inject into that set.  (Contributed
       by Stefan O'Rear, 11-Feb-2015.)  (Revised by Mario Carneiro,
       15-May-2015.) $)
    harndom $p |- -. ( har ` X ) ~<_ X $=
      ( char cfv wcel cdom wbr harcl onirri con0 elharval mpbiran mtbi ) ABCZMD
      ZMAEFZMAGZHNMIDOPAMJKL $.

    $( Weak ordering property of the Hartogs function.  (Contributed by Stefan
       O'Rear, 14-Feb-2015.) $)
    harword $p |- ( X ~<_ Y -> ( har ` X ) C_ ( har ` Y ) ) $=
      ( vy cdom wbr cv con0 crab char cfv wi wcel expcom adantr cvv wceq reldom
      domtr harval syl ss2rabdv brrelex1i brrelex2i 3sstr4d ) ABDEZCFZADEZCGHZU
      FBDEZCGHZAIJZBIJZUEUGUICGUEUGUIKUFGLUGUEUIUFABRMNUAUEAOLUKUHPABDQUBCOASTU
      EBOLULUJPABDQUCCOBSTUD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Weak dominance
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ~<_* $.

  $( Class symbol for the weak dominance relation. $)
  cwdom $a class ~<_* $.

  ${  $d x y z $.
    $( A set is _weakly dominated_ by a "larger" set if the "larger" set can be
       mapped onto the "smaller" set or the smaller set is empty, or
       equivalently, if the smaller set can be placed into bijection with some
       partition of the larger set.  Dominance ( ~ df-dom ) implies weak
       dominance (over ZF).  The principle asserting the converse is known as
       the partition principle and is independent of ZF. Theorem ~ fodom proves
       that the axiom of choice implies the partition principle (over ZF).  It
       is not known whether the partition principle is equivalent to the axiom
       of choice (over ZF), although it is know to imply dependent choice.
       (Contributed by Stefan O'Rear, 11-Feb-2015.) $)
    df-wdom $a |- ~<_* = { <. x , y >. | ( x = (/) \/
            E. z z : y -onto-> x ) } $.
  $}

  ${
    $d X x y z w $.  $d Y x y z w $.  $d F x y z $.  $d Z x y z w $.
    $( Weak dominance is a relation.  (Contributed by Stefan O'Rear,
       11-Feb-2015.) $)
    relwdom $p |- Rel ~<_* $=
      ( vx vy vz cv c0 wceq wfo wex wo cwdom df-wdom relopabiv ) ADZEFBDMCDGCHI
      ABJABCKL $.

    $( Property of weak dominance (definitional form).  (Contributed by Stefan
       O'Rear, 11-Feb-2015.) $)
    brwdom $p |- ( Y e. V -> ( X ~<_* Y <->
          ( X = (/) \/ E. z z : Y -onto-> X ) ) ) $=
      ( vx vy wcel cvv cwdom wbr c0 wceq cv wfo wex wo wb wi a1i exbidv relwdom
      elex brrelex1i 0ex eleq1a ax-mp crn forn vex rnex eqeltrrdi exlimiv eqeq1
      jaoi foeq3 orbi12d foeq2 orbi2d df-wdom brabg expcom pm5.21ndd syl ) DBGD
      HGZCDIJZCKLZDCAMZNZAOZPZQZDBUBVDCHGZVEVJVEVLRVDCDIUAUCSVJVLRVDVFVLVIKHGVF
      VLRUDKHCUEUFVHVLAVHCVGUGHDCVGUHVGAUIUJUKULUNSVLVDVKEMZKLZFMZVMVGNZAOZPVFV
      OCVGNZAOZPVJEFCDHHIVMCLZVNVFVQVSVMCKUMVTVPVRAVMCVOVGUOTUPVODLZVSVIVFWAVRV
      HAVODCVGUQTUREFAUSUTVAVBVC $.

    $( Property of weak dominance, forward direction only.  (Contributed by
       Mario Carneiro, 5-May-2015.) $)
    brwdomi $p |- ( X ~<_* Y -> ( X = (/) \/ E. z z : Y -onto-> X ) ) $=
      ( cwdom wbr c0 wceq cv wfo wex wo cvv wb relwdom brrelex2i brwdom syl ibi
      wcel ) BCDEZBFGCBAHIAJKZTCLSTUAMBCDNOALBCPQR $.

    $( Weak dominance over nonempty sets.  (Contributed by Stefan O'Rear,
       11-Feb-2015.)  (Revised by Mario Carneiro, 5-May-2015.) $)
    brwdomn0 $p |- ( X =/= (/) -> ( X ~<_* Y <-> E. z z : Y -onto-> X ) ) $=
      ( c0 wne cvv wcel cwdom wbr cv wfo wex relwdom brrelex2i a1i cdm fof fdmd
      wi wb vex dmex eqeltrrdi exlimiv wo brwdom wn df-ne biorf sylbi sylan9bbr
      wceq bicomd ex pm5.21ndd ) BDEZCFGZBCHIZCBAJZKZALZURUQSUPBCHMNOVAUQSUPUTU
      QAUTCUSPFUTCBUSCBUSQRUSAUAUBUCUDOUPUQURVATUQURBDULZVAUEZUPVAAFBCUFUPVAVCU
      PVBUGVAVCTBDUHVBVAUIUJUMUKUNUO $.

    $( Any set weakly dominates the empty set.  (Contributed by Stefan O'Rear,
       11-Feb-2015.) $)
    0wdom $p |- ( X e. V -> (/) ~<_* X ) $=
      ( vz wcel c0 cwdom wbr wceq cv wfo wex wo eqid orci brwdom mpbiri ) BADEB
      FGEEHZBECIJCKZLQREMNCAEBOP $.

    $( An onto function implies weak dominance.  (Contributed by Stefan O'Rear,
       11-Feb-2015.) $)
    fowdom $p |- ( ( F e. V /\ F : Y -onto-> X ) -> X ~<_* Y ) $=
      ( vz wcel cvv wfo cwdom wbr elex wa c0 wceq cv wex wo foeq1 spcegv imp wb
      olcd wf fof dmfex sylan2 brwdom syl mpbird sylan ) ABFAGFZDCAHZCDIJZABKUK
      ULLZUMCMNZDCEOZHZEPZQZUNURUOUKULURUQULEAGDCUPARSTUBUNDGFZUMUSUAULUKDCAUCU
      TDCAUDDCGAUEUFEGCDUGUHUIUJ $.

    $( Reflexivity of weak dominance.  (Contributed by Stefan O'Rear,
       11-Feb-2015.) $)
    wdomref $p |- ( X e. V -> X ~<_* X ) $=
      ( wcel cid cres cvv wfo cwdom wbr resiexg wf1o f1ofo ax-mp fowdom sylancl
      f1oi ) BACDBEZFCBBQGZBBHIBAJBBQKRBPBBQLMQFBBNO $.

    $( Alternate characterization of the weak dominance predicate which does
       not require special treatment of the empty set.  (Contributed by Stefan
       O'Rear, 11-Feb-2015.) $)
    brwdom2 $p |- ( Y e. V -> ( X ~<_* Y <->
          E. y e. ~P Y E. z z : y -onto-> X ) ) $=
      ( vx vw wcel cvv cwdom cv wfo wex c0 wceq wa foeq1 adantl cun wfn wbr cpw
      wrex elex 0wdom breq1 syl5ibrcom imp 0elpw wf1o f1o0 f1ofo 0ex spcev mp2b
      wb foeq2 exbidv rspcev mp2an foeq3 rexbidv mpbiri 2thd wne brwdomn0 pwidg
      cbvexvw ad2antrr sylancom ex syl5bi n0 biimpi ad2antlr csn cxp vex difexg
      cdif snex xpexg sylancl sylancr adantr crn fofn fnconstg mp1i cin disjdif
      unexg a1i fnund wss elpwi undif sylib ad2antrl fneq2d mpbid rnun ad2antll
      forn uneq1d fconst6g frnd ssequn2 eqtrd eqtrid df-fo sylanbrc spcedv expr
      exlimddv exlimdv rexlimdva impbid bitrd pm2.61dane syl ) ECHEIHZDEJUAZAKZ
      DBKZLZBMZAEUBZUCZUPZECUDYBYJDNYBDNOZPYCYIYBYKYCYBYCYKNEJUAIEUEDNEJUFUGUHY
      KYIYBYKYIYDNYELZBMZAYHUCZNYHHNNYELZBMZYNEUINNNUJNNNLZYPUKNNNULYOYQBNUMNNY
      ENQUNUOYMYPANYHYDNOYLYOBYDNNYEUQURUSUTYKYGYMAYHYKYFYLBDNYDYEVAURVBVCRVDYB
      DNVEZPZYCEDFKZLZFMZYIYRYCUUBUPYBFDEVFRYSUUBYIUUBEDYELZBMZYSYIUUAUUCFBEDYT
      YEQVHYSUUDYIYSUUDEYHHZYIYBUUEYRUUDEIVGVIYGUUDAEYHYDEOYFUUCBYDEDYEUQURUSVJ
      VKVLYSYGUUBAYHYSYDYHHZPYFUUBBYSUUFYFUUBYSUUFYFPZPZGKZDHZUUBGYRUUJGMZYBUUG
      YRUUKGDVMVNVOUUHUUJPZUUAEDYEEYDVTZUUIVPZVQZSZLZFIUUPYSUUPIHZUUGUUJYBUURYR
      YBYEIHUUOIHZUURBVRYBUUMIHUUNIHUUSEYDIVSUUIWAUUMUUNIIWBWCYEUUOIIWLWDWEVIUU
      LUUPETZUUPWFZDOUUQUULUUPYDUUMSZTUUTUULYDUUMYEUUOUUGYEYDTZYSUUJYFUVCUUFYDD
      YEWGRVOUUIIHUUOUUMTUULGVRUUMUUIIWHWIYDUUMWJNOUULYDEWKWMWNUULUVBEUUPUUHUVB
      EOZUUJUUFUVDYSYFUUFYDEWOUVDYDEWPYDEWQWRWSWEWTXAUULUVAYEWFZUUOWFZSZDYEUUOX
      BUULUVGDUVFSZDUULUVEDUVFUUHUVEDOZUUJYFUVIYSUUFYDDYEXDXCWEXEUULUVFDWOZUVHD
      OUUJUVJUUHUUJUUMDUUOUUMUUIDXFXGRUVFDXHWRXIXJEDUUPXKXLEDYTUUPQXMXOXNXPXQXR
      XSXTYA $.

    $( Weak dominance is implied by dominance in the usual sense.  (Contributed
       by Stefan O'Rear, 11-Feb-2015.) $)
    domwdom $p |- ( X ~<_ Y -> X ~<_* Y ) $=
      ( vy cdom wbr cwdom c0 wceq cv wfo wex wo wn wa wb cvv wcel reldom mpbird
      syl csdm wne neqne adantl brrelex1i 0sdomg adantr simpl fodomr syl2anc ex
      orrd brrelex2i brwdom ) ABDEZABFEZAGHZBACIJCKZLZUOUQURUOUQMZURUOUTNZGAUAE
      ZUOURVAVBAGUBZUTVCUOAGUCUDUOVBVCOZUTUOAPQVDABDRUEAPUFTUGSUOUTUHBACUIUJUKU
      LUOBPQUPUSOABDRUMCPABUNTS $.

    $( Transitivity of weak dominance.  (Contributed by Stefan O'Rear,
       11-Feb-2015.)  (Revised by Mario Carneiro, 5-May-2015.) $)
    wdomtr $p |- ( ( X ~<_* Y /\ Y ~<_* Z ) -> X ~<_* Z ) $=
      ( vz vy cwdom wbr wa c0 cvv wcel adantl syl wne cv wfo wex brwdomn0 mpbid
      wb wceq wi relwdom brrelex2i 0wdom breq1 syl5ibrcom simpll simpllr simplr
      cdm crn dm0rn0 necon3bii a1i fof fdmd neeq1d forn 3bitr3rd ccom coex foco
      vex fowdom sylancr expr exlimdv mpd exlimddv ex pm2.61dne ) ABFGZBCFGZHZA
      CFGZAIVOCJKZAIUAZVPUBVNVQVMBCFUCUDLVQVPVRICFGJCUEAICFUFUGMVOAINZVPVOVSHZB
      ADOZPZVPDVTVMWBDQZVMVNVSUHVSVMWCTVODABRLSVTWBHZCBEOZPZEQZVPWDVNWGVMVNVSWB
      UIWDBINZVNWGTWDVSWHVOVSWBUJWBVSWHTVTWBWAUKZINZWAULZINZWHVSWJWLTWBWIIWKIWA
      UMUNUOWBWIBIWBBAWABAWAUPUQURWBWKAIBAWAUSURUTLSEBCRMSWDWFVPEVTWBWFVPWBWFHZ
      VPVTWMWAWEVAZJKCAWNPVPWAWEDVDEVDVBCBAWAWEVCWNJACVEVFLVGVHVIVJVKVL $.

    $( Equality-like theorem for equinumerosity and weak dominance.
       (Contributed by Mario Carneiro, 18-May-2015.) $)
    wdomen1 $p |- ( A ~~ B -> ( A ~<_* C <-> B ~<_* C ) ) $=
      ( cen wbr cwdom cdom ensym endom domwdom 3syl wdomtr sylan syl impbida )
      ABDEZACFEZBCFEZPBAFEZQRPBADEBAGESABHBAIBAJKBACLMPABFEZRQPABGETABIABJNABCL
      MO $.

    $( Equality-like theorem for equinumerosity and weak dominance.
       (Contributed by Mario Carneiro, 18-May-2015.) $)
    wdomen2 $p |- ( A ~~ B -> ( C ~<_* A <-> C ~<_* B ) ) $=
      ( cen wbr cwdom cdom endom domwdom syl wdomtr syl2anr ensym 3syl impbida
      id ) ABDEZCAFEZCBFEZRRABFEZSQRPQABGETABHABIJCABKLSSBAFEZRQSPQBADEBAGEUAAB
      MBAHBAINCBAKLO $.

    $( Weak dominance strengthens to usual dominance on the power sets.
       (Contributed by Stefan O'Rear, 11-Feb-2015.)  (Revised by Mario
       Carneiro, 5-May-2015.) $)
    wdompwdom $p |- ( X ~<_* Y -> ~P X ~<_ ~P Y ) $=
      ( vz cwdom wbr cpw cdom wi c0 wceq cvv wcel relwdom brrelex2i pwexd sspwi
      wss 0ss ssdomg mpisyl pweq breq1d syl5ibr wne cv wfo wex brwdomn0 fopwdom
      vex mpan exlimiv syl6bi pm2.61ine ) ABDEZAFZBFZGEZHAIUOURAIJZIFZUQGEZUOUQ
      KLUTUQQVAUOBKABDMNOIBBRPUTUQKSTUSUPUTUQGAIUAUBUCAIUDUOBACUEZUFZCUGURCABUH
      VCURCVBKLVCURCUJBAVBKUIUKULUMUN $.
  $}

  ${
    $d x f A $.
    $( Cantor's Theorem, stated using weak dominance (this is actually a
       stronger statement than ~ canth2 , equivalent to ~ canth ).
       (Contributed by Mario Carneiro, 15-May-2015.) $)
    canthwdom $p |- -. ~P A ~<_* A $=
      ( vf vx cpw cwdom wbr cv wfo wex c0 wne wcel 0elpw ne0i mp1i syl cvv wceq
      wb wn brwdomn0 ibi relwdom brrelex2i foeq2 pweq foeq3 bitrd notbid vtoclg
      vex canth nexdv pm2.65i ) ADZAEFZAUOBGZHZBIZUPUSUPUOJKZUPUSSJUOLUTUPAMUOJ
      NOBUOAUAPUBUPURBUPAQLURTZUOAEUCUDCGZVBDZUQHZTVACAQVBARZVDURVEVDAVCUQHZURV
      BAVCUQUEVEVCUORVFURSVBAUFVCUOAUQUGPUHUIVBUQCUKULUJPUMUN $.
  $}

  ${
    $d A v w x y z $.  $d B v w x y z $.  $d X v w x z $.  $d ph w x y $.
    wdom2d.a $e |- ( ph -> A e. V ) $.
    wdom2d.b $e |- ( ph -> B e. W ) $.
    wdom2d.o $e |- ( ( ph /\ x e. A ) -> E. y e. B x = X ) $.
    $( Deduce weak dominance from an implicit onto function (stated in a way
       which avoids ~ ax-rep ).  (Contributed by Stefan O'Rear,
       13-Feb-2015.) $)
    wdom2d $p |- ( ph -> A ~<_* B ) $=
      ( vz vw vv cv wcel wbr cvv wceq wrex csb crab cwdom cmpt wfo rabexg xpexd
      cxp syl wf wss csbeq1 eleq1d elrab simprbi adantl fmpttd fssxp ssexd wral
      cfv wa wi eleq1 biimpcd ancrd reximdv mpd nfv nfcsb1v nfel1 nfeq2 csbeq1a
      nfan eqeq2d anbi12d cbvrexw sylib eqid fvmptg mpdan rexbiia rexrab sylibr
      bitri ralrimiva dffo3 sylanbrc fowdom syl2anc cdom ssrab2 ssdomg mpi 3syl
      domwdom wdomtr ) ADCLOZHUAZDPZLEUBZUCQZXAEUCQZDEUCQAMXACMOZHUAZUDZRPXADXF
      UEZXBAXFXADUHZRAXADRFAEGPZXARPJWTLEGUFUIIUGAXADXFUJZXFXHUKAMXAXEDXDXAPZXE
      DPZAXKXDEPXLWTXLLXDEWRXDSWSXEDCWRXDHULUMUNUOUPUQZXADXFURUIUSAXJBOZNOZXFVA
      ZSZNXATZBDUTXGXMAXRBDAXNDPZVBZCXOHUAZDPZXNYASZVBZNETZXRXTHDPZXNHSZVBZCETZ
      YEXTYGCETYIKXTYGYHCEXSYGYHVCAXSYGYFYGXSYFXNHDVDVEVFUPVGVHYHYDCNEYHNVIYBYC
      CCYADCXOHVJZVKCXNYAYJVLVNCOXOSZYFYBYGYCYKHYADCXOHVMZUMYKHYAXNYLVOVPVQVRXR
      YCNXATYEXQYCNXAXOXAPZXPYAXNYMYBXPYASYMXOEPYBWTYBLXOEWRXOSWSYADCWRXOHULUMZ
      UNUOMXOXEYAXADXFCXDXOHULXFVSVTWAVOWBWTYBYCNLEYNWCWEWDWFNBXADXFWGWHXFRDXAW
      IWJAXIXAEWKQZXCJXIXAEUKYOWTLEWLXAEGWMWNXAEWPWODXAEWQWJ $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d ph x y $.  $d X x $.
    wdomd.b $e |- ( ph -> B e. W ) $.
    wdomd.o $e |- ( ( ph /\ x e. A ) -> E. y e. B x = X ) $.
    $( Deduce weak dominance from an implicit onto function.  (Contributed by
       Stefan O'Rear, 13-Feb-2015.) $)
    wdomd $p |- ( ph -> A ~<_* B ) $=
      ( cvv cv wceq wrex cab wcel abrexexg syl wi wal wss ex alrimiv ssab ssexd
      sylibr wdom2d ) ABCDEJFGADBKZGLCEMZBNZJAEFOUIJOHCBEGFPQAUGDOZUHRZBSDUITAU
      KBAUJUHIUAUBUHBDUCUEUDHIUF $.
  $}

  ${
    $d X f w x y z $.  $d Y f w x y z $.
    $( Condition for weak dominance with a condition reminiscent of ~ wdomd .
       (Contributed by Stefan O'Rear, 13-Feb-2015.)  (Revised by Mario
       Carneiro, 25-Jun-2015.) $)
    brwdom3 $p |- ( ( X e. V /\ Y e. W ) -> ( X ~<_* Y <->
          E. f A. x e. X E. y e. Y x = ( f ` y ) ) ) $=
      ( vz vw wcel cvv cv cfv wceq wrex wral wex wb wa adantl cwdom wbr wfo cpw
      elex brwdom2 wf dffo3 simprbi wi wss elpwi ssrexv syl ralimdv syl5 eximdv
      rexlimdva sylbid simpll simplr eqeq1 rexbidv fveq2 eqeq2d cbvrexvw bitrdi
      cbvralvw biimpi r19.21bi wdom2d ex exlimdv impbid syl2an ) FDJFKJZGKJZFGU
      AUBZALZBLZCLZMZNZBGOZAFPZCQZRGEJFDUEGEUEVPVQSZVRWFWGVRHLZFWAUCZCQZHGUDZOZ
      WFVQVRWLRVPHCKFGUFTWGWJWFHWKWGWHWKJZSZWIWECWIWCBWHOZAFPZWNWEWIWHFWAUGWPBA
      WHFWAUHUIWNWOWDAFWMWOWDUJZWGWMWHGUKWQWHGULWCBWHGUMUNTUOUPUQURUSWGWEVRCWGW
      EVRWGWESZHIFGKKILZWAMZVPVQWEUTVPVQWEVAWRWHWTNZIGOZHFWEXBHFPZWGWEXCWDXBAHF
      VSWHNZWDWHWBNZBGOXBXDWCXEBGVSWHWBVBVCXEXABIGVTWSNWBWTWHVTWSWAVDVEVFVGVHVI
      TVJVKVLVMVNVO $.

    $( Weak dominance implies existence of a covering function.  (Contributed
       by Stefan O'Rear, 13-Feb-2015.) $)
    brwdom3i $p |- ( X ~<_* Y -> E. f A. x e. X E. y e. Y x = ( f ` y ) ) $=
      ( cwdom wbr cv cfv wceq wrex wral wex wcel wb relwdom brrelex1i brrelex2i
      cvv brwdom3 syl2anc ibi ) DEFGZAHBHCHIJBEKADLCMZUCDSNESNUCUDODEFPQDEFPRAB
      CSSDETUAUB $.
  $}

  ${
    $d A a b f g y z $.  $d B a b f g y z $.  $d C a b f g y z $.
    $d D a b f g y z $.
    $( Weak dominance of a (disjoint) union.  (Contributed by Stefan O'Rear,
       13-Feb-2015.)  (Revised by Mario Carneiro, 25-Jun-2015.) $)
    unwdomg $p |- ( ( A ~<_* B /\ C ~<_* D /\ ( B i^i D ) = (/) ) ->
      ( A u. C ) ~<_* ( B u. D ) ) $=
      ( va vb vf vg vz cwdom wbr wceq cv cfv wrex wa cvv wcel relwdom eqeq2d vy
      cin c0 w3a wral cun wex brwdom3i 3ad2ant1 3ad2ant2 adantr brrelex1i unexg
      cif syl2an 3adant3 brrelex2i wi wo elun eqeq1 rexbidv rspcva cbvrexvw wss
      fveq2 ssun1 iftrue fveq1d biimprd reximia ssrexv mpsyl syl ancoms adantlr
      sylbi adantll bitrdi rspccva ssun2 wn minel iffalsed reximdva imp anassrs
      sylan2 adantlrl jaodan sylan2b expl 3ad2ant3 impl wdom2d expr exlimdv mpd
      exlimddv ) ABJKZCDJKZBDUBUCLZUDZEMZFMZGMZNZLZFBOZEAUEZACUFZBDUFZJKZGWTXAX
      JGUGXBEFGABUHUIXCXJPZXDXEHMZNZLZFDOZECUEZHUGZXMXCXTXJXAWTXTXBEFHCDUHUJUKX
      NXSXMHXCXJXSXMXCXJXSPZPUAIXKXLQQIMZYBBRZXFXOUNZNZXCXKQRZYAWTXAYFXBWTAQRCQ
      RYFXAABJSULCDJSULACQQUMUOUPUKXCXLQRZYAWTXAYGXBWTBQRDQRYGXAABJSUQCDJSUQBDQ
      QUMUOUPUKXCYAUAMZXKRZYHYELZIXLOZXBWTYAYIPYKURXAXBYAYIYKYIXBYAPZYHARZYHCRZ
      USYKYHACUTYLYMYKYNYAYMYKXBXJYMYKXSYMXJYKYMXJPYHXGLZFBOZYKXIYPEYHAXDYHLZXH
      YOFBXDYHXGVAVBVCYPYHYBXFNZLZIBOZYKYOYSFIBXEYBLZXGYRYHXEYBXFVFTVDBXLVEYTYJ
      IBOYKBDVGYSYJIBYCYJYSYCYEYRYHYCYBYDXFYCXFXOVHVITVJVKYJIBXLVLVMVQVNVOVPVRX
      BXSYNYKXJXBXSYNYKXSYNPXBYHYBXONZLZIDOZYKXRUUDEYHCYQXRYHXPLZFDOUUDYQXQUUEF
      DXDYHXPVAVBUUEUUCFIDUUAXPUUBYHXEYBXOVFTVDVSVTDXLVEXBUUDPYJIDOZYKDBWAXBUUD
      UUFXBUUCYJIDXBYBDRZPZYJUUCUUHYEUUBYHUUHYBYDXOUUHYCXFXOUUGXBYCWBYBDBWCVOWD
      VITVJWEWFYJIDXLVLVMWHWGWIWJWKWLWMWNWOWPWQWRWS $.
  $}

  ${
    $d A a b c f g x y $.  $d B a b c d f g x y $.  $d C a c d f g x y $.
    $d D a b c d f g x y $.
    $( Weak dominance of a Cartesian product.  (Contributed by Stefan O'Rear,
       13-Feb-2015.)  (Revised by Mario Carneiro, 25-Jun-2015.) $)
    xpwdomg $p |- ( ( A ~<_* B /\ C ~<_* D ) -> ( A X. C ) ~<_* ( B X. D ) ) $=
      ( va vb vf vc vd vg vx cwdom wa cv cfv wceq wrex wral cvv wcel vy wbr wex
      cxp brwdom3i adantr adantl wi c1st c2nd relwdom brrelex1i xpexg brrelex2i
      cop syl2an pm3.2 ralimdv com12 impcom reximdv 2ralimi syl vex opth bitrdi
      eqeq1 2rexbidv ralxp sylibr r19.21bi op1std fveq2d op2ndd opeq12d adantll
      eqeq2d rexxp wdom2d expr exlimdv ex mp2d ) ABLUBZCDLUBZMZENZFNZGNZOZPZFBQ
      ZEARZGUCZHNZINZJNZOZPZIDQZHCRZJUCZACUDZBDUDZLUBZWDWNWEEFGABUEUFWEXBWDHIJC
      DUEUGWFWMXBXEUHZGWFWMXFWFWMMXAXEJWFWMXAXEWFWMXAMZMKUAXCXDSSUANZUIOZWIOZXH
      UJOZWQOZUOZWFXCSTZXGWDASTCSTXNWEABLUKULCDLUKULACSSUMUPUFWFXDSTZXGWDBSTDST
      XOWEABLUKUNCDLUKUNBDSSUMUPUFXGKNZXCTZXPXMPZUAXDQZWFXGXQMXPWJWRUOZPZIDQFBQ
      ZXSXGYBKXCXGWKWSMZIDQZFBQZHCREARZYBKXCRXGWLWTMZHCRZEARZYFXAWMYIXAWLYHEAWL
      XAYHWLWTYGHCWLWTUQURUSURUTYGYEEHACWTWLYEWTWKYDFBWKWTYDWKWSYCIDWKWSUQVAUSV
      AUTVBVCYBYEKEHACXPWGWOUOZPZYAYCFIBDYKYAYJXTPYCXPYJXTVGWGWOWJWREVDHVDVEVFV
      HVIVJVKXRYAUAFIBDXHWHWPUOPZXMXTXPYLXJWJXLWRYLXIWHWIWHWPXHFVDZIVDZVLVMYLXK
      WPWQWHWPXHYMYNVNVMVOVQVRVJVPVSVTWAWBWAWC $.
  $}

  $( A set is weakly dominant over its image under any function.  This version
     of ~ wdomimag is stated so as to avoid ~ ax-rep .  (Contributed by Mario
     Carneiro, 25-Jun-2015.) $)
  wdomima2g $p |- ( ( Fun F /\ A e. V /\ ( F " A ) e. W ) ->
      ( F " A ) ~<_* A ) $=
    ( wfun wcel cima w3a crn cwdom df-ima cdm wbr cvv wfo wf funres syl syl2anc
    cres funforn sylib 3ad2ant1 fof wss dmres inss1 eqsstri simp2 ssexg sylancr
    cin simp3 eqeltrrid fex2 syl3anc fowdom cdom ssdomg domwdom 3ad2ant2 wdomtr
    mpi eqbrtrid ) BEZACFZBAGZDFZHZVGBATZIZAJBAKZVIVKVJLZJMZVMAJMZVKAJMVIVJNFZV
    MVKVJOZVNVIVMVKVJPZVMNFZVKDFVPVIVQVRVEVFVQVHVEVJEVQABQVJUAUBUCZVMVKVJUDRVIV
    MAUEZVFVSVMABLZULABAUFAWBUGUHZVEVFVHUIVMACUJUKVIVKVGDVLVEVFVHUMUNVMVKVJNDUO
    UPVTVJNVKVMUQSVFVEVOVHVFVMAURMZVOVFWAWDWCVMACUSVCVMAUTRVAVKVMAVBSVD $.

  $( A set is weakly dominant over its image under any function.  (Contributed
     by Stefan O'Rear, 14-Feb-2015.)  (Revised by Mario Carneiro,
     25-Jun-2015.) $)
  wdomimag $p |- ( ( Fun F /\ A e. V ) -> ( F " A ) ~<_* A ) $=
    ( wfun wcel cima cvv cwdom wbr funimaexg wdomima2g mpd3an3 ) BDACEBAFZGEMAH
    IBACJABCGKL $.

  ${
    $d f x y A $.  $d f x y B $.  $d f x y C $.
    $( Lemma for ~ unxpwdom .  (Contributed by Mario Carneiro, 15-May-2015.) $)
    unxpwdom2 $p |- ( ( A X. A ) ~~ ( B u. C ) -> ( A ~<_* B \/ A ~<_ C ) ) $=
      ( vf vx cen wbr cwdom cdom cv c1st wceq wss wa cvv syl sylancr adantr cfv
      wcel vy cxp cun ensym wf1o wex bren cres ccom cima cdif ssdif0 cdm dmxpid
      wo c0 crn wfo f1ofo forn vex eqeltrrdi dmexd eqeltrrid imassrn wf f1stres
      rnex f1of fco frnd sstrid ssexd simpr sylc domwdom wfun ffund ssun1 f1odm
      ssdomg dmex ssexg wdomima2g syl3anc wdomtr syl2anc orcd ex syl5bir wne n0
      ccnv csn ssun2 wb f1ofn elpreima wn wi elun df-or bitri ad2antlr ad2antrr
      eldifn simprr sselid fvco3 eldifi adantl snssd xpss1 simprl sseldd fvresd
      wfn xp1st eqeltrd elsni ffnd a1i fnfvima eqeltrrd expr mtod imim1d syl5bi
      eqtrd impd sylbid ssrdv wf1 f1ocnv f1of1 snex f1imaen2g syl22anc xpsnen2g
      xpexg entr domen1 mpbid olcd exlimdv pm2.61dne exlimiv sylbi ) AAUBZBCUCZ
      FGUUJUUIFGZABHGZACIGZUOZUUIUUJUDUUKUUJUUIDJZUEZDUFUUNUUJUUIDUGUUPUUNDUUPU
      UNAKUUIUHZUUOUIZBUJZUKZUPUUTUPLAUUSMZUUPUUNAUUSULUUPUVAUUNUUPUVANZUULUUMU
      VBAUUSHGZUUSBHGZUULUVBAUUSIGZUVCUVBUUSOTZUVAUVEUUPUVFUVAUUPUUSAOUUPAUUIUM
      OAUNUUPUUIOUUPUUIUUOUQZOUUPUUJUUIUUOURUVGUUILUUJUUIUUOUSUUJUUIUUOUTPUUODV
      AZVHVBVCVDZUUPUUSUURUQAUURBVEUUPUUJAUURUUPUUIAUUQVFUUJUUIUUOVFZUUJAUURVFA
      AVGUUJUUIUUOVIZUUJUUIAUUQUUOVJQZVKVLVMZRUUPUVAVNAUUSOWAVOAUUSVPPUUPUVDUVA
      UUPUURVQBOTZUVFUVDUUPUUJAUURUVLVRUUPBUUJMZUUJOTZUVNBCVSZUUPUUJUUOUMOUUJUU
      IUUOVTUUOUVHWBVBZBUUJOWCQUVMBUUROOWDWERAUUSBWFWGWHWIWJUUTUPWKEJZUUTTZEUFU
      UPUUNEUUTWLUUPUVTUUNEUUPUVTUUNUUPUVTNZUUMUULUWAUUOWMZUVSWNZAUBZUJZCIGZUUM
      UWACOTZUWECMUWFUUPUWGUVTUUPCUUJMUVPUWGCBWOUVRCUUJOWCQRUWAUAUWECUWAUAJZUWE
      TZUWHUUJTZUWHUUOSZUWDTZNZUWHCTZUUPUWIUWMWPZUVTUUPUUOUUJXQUWOUUJUUIUUOWQUU
      JUWHUWDUUOWRPRUWAUWJUWLUWNUWJUWHBTZWSZUWNWTZUWAUWLUWNWTUWJUWPUWNUOUWRUWHB
      CXAUWPUWNXBXCUWAUWLUWQUWNUWAUWLUWQUWAUWLNUWPUVSUUSTZUVTUWSWSUUPUWLUVSAUUS
      XFXDUWAUWLUWPUWSUWAUWLUWPNZNZUWHUURSZUVSUUSUXAUXBUWKUUQSZUVSUXAUVJUWJUXBU
      XCLUUPUVJUVTUWTUVKXEUXABUUJUWHUVQUWAUWLUWPXGZXHUUJUUIUWHUUQUUOXIWGUXAUXCU
      WCTUXCUVSLUXAUXCUWKKSZUWCUXAUWKUUIKUXAUWDUUIUWKUWAUWDUUIMZUWTUWAUWCAMUXFU
      WAUVSAUVTUVSATUUPUVSAUUSXJXKXLUWCAAXMPZRUWAUWLUWPXNZXOXPUXAUWLUXEUWCTUXHU
      WKUWCAXRPXSUXCUVSXTPYIUXAUURUUJXQZUVOUWPUXBUUSTUUPUXIUVTUWTUUPUUJAUURUVLY
      AXEUVOUXAUVQYBUXDUUJBUURUWHYCWEYDYEYFWIYGYHYJYKYLUWECOWAVOUWAUWEAFGZUWFUU
      MWPUWAUWEUWDFGZUWDAFGZUXJUWAUUIUUJUWBYMZUVPUXFUWDOTZUXKUUPUXMUVTUUPUUIUUJ
      UWBUEUXMUUJUUIUUOYNUUIUUJUWBYOPRUUPUVPUVTUVRRUXGUWAUWCOTAOTZUXNUVSYPUUPUX
      OUVTUVIRZUWCAOOYTQUUIUUJUWDUWBOYQYRUWAUVSOTUXOUXLEVAUXPUVSAOOYSQUWEUWDAUU
      AWGUWEACUUBPUUCUUDWIUUEYHUUFUUGUUHP $.

    $( If a Cartesian product is dominated by a union, then the base set is
       either weakly dominated by one factor of the union or dominated by the
       other.  Extracted from Lemma 2.3 of [KanamoriPincus] p. 420.
       (Contributed by Mario Carneiro, 15-May-2015.) $)
    unxpwdom $p |- ( ( A X. A ) ~<_ ( B u. C ) -> ( A ~<_* B \/ A ~<_ C ) ) $=
      ( vx cun cdom wbr cen wss wa cwdom wo cvv wcel syl wi ssexg sylancr inss2
      cin cxp cv wex reldom brrelex2i domeng ibi simprl indi simprr df-ss sylib
      wceq eqtr3id breqtrrd unxpwdom2 ssun1 adantr ssdomg mpisyl domwdom wdomtr
      wb expcom ssun2 domtr orim12d mpd exlimddv ) AAUAZBCEZFGZVJDUBZHGZVMVKIZJ
      ZABKGZACFGZLZDVLVPDUCZVLVKMNZVLVTVCVJVKFUDUEZDVJVKMUFOUGVLVPJZAVMBTZKGZAV
      MCTZFGZLZVSWCVJWDWFEZHGWHWCVJVMWIHVLVNVOUHWCWIVMVKTZVMVMBCUIWCVOWJVMUMVLV
      NVOUJVMVKUKULUNUOAWDWFUPOWCWEVQWGVRWCWDBKGZWEVQPWCWDBFGZWKWCBMNZWDBIWLWCB
      VKIWAWMBCUQVLWAVPWBURZBVKMQRVMBSWDBMUSUTWDBVAOWEWKVQAWDBVBVDOWCWFCFGZWGVR
      PWCCMNZWFCIWOWCCVKIWAWPCBVEWNCVKMQRVMCSWFCMUSUTWGWOVRAWFCVFVDOVGVHVI $.
  $}

  ${
    $d f g k x y z A $.  $d f g k y z B $.  $d f z V $.  $d f z W $.
    $( Describe an onto function from the indexed cartesian product to the
       indexed union.  Together with ~ ixpssmapg this shows that
       ` U_ x e. A B ` and ` X_ x e. A B ` have closely linked cardinalities.
       (Contributed by Mario Carneiro, 27-Aug-2015.) $)
    ixpiunwdom $p |- ( ( A e. V /\ U_ x e. A B e. W /\ X_ x e. A B =/= (/) ) ->
        U_ x e. A B ~<_* ( X_ x e. A B X. A ) ) $=
      ( vf vy vz vg vk wcel cv cfv cvv wral wfn syl weq sylib wceq ciun cixp c0
      wne w3a cmpo cxp wfo cwdom wbr vex elixp simprbi ssiun2 sseld ralimia nfv
      wf nfiu1 nfel2 fveq2 eleq1d cbvralw adantl ralrimiva eqid fmpo ixpssmap2g
      cmap co wss 3ad2ant2 ovex ssex simp1 xpexd fexd crn ffnd dffn4 wb wrex wi
      cab wal wex n0 eliun nfixp1 nfrex wa cif cmpt csb simplrr csbeq1a equcoms
      iftrue eqcomd eleq12d syl5ibrcom wn adantr nfcsb1v r19.21bi iffalse ixpfn
      pm2.61d cdm fndmd dmex eqeltrrdi mptelixpg mpbird cbvixp eleqtrrdi simprl
      fvmpt ad2antrl fveq1 eqeq2d rspc2ev syl3anc exp32 rexlimd syl5bi 3ad2ant3
      nfcv exlimiv sylbi alrimiv ssab sylibr rnmpo sseqtrrdi eqssd foeq3 fowdom
      frnd syl2anc ) BDKZABCUAZEKZABCUBZUCUDZUEZFGUUDBGLZFLZMZUFZNKUUDBUGZUUBUU
      JUHZUUBUUKUIUJUUFUUKUUBNUUJUUFUUIUUBKZGBOZFUUDOUUKUUBUUJURUUFUUNFUUDUUHUU
      DKZUUNUUFUUOALZUUHMZUUBKZABOZUUNUUOUUQCKZABOZUUSUUOUUHBPUVAABCUUHFUKULUMU
      UTUURABUUPBKZCUUBUUQABCUNUOUPQUURUUMAGBUURGUQAUUIUUBABCUSUTAGRUUQUUIUUBUU
      PUUGUUHVAVBVCSVDVEFGUUDBUUIUUBUUJUUJVFZVGSZUUFUUDBNDUUFUUDUUBBVIVJZVKZUUD
      NKUUCUUAUVFUUEABCEVHVLUUDUVEUUBBVIVMVNQUUAUUCUUEVOVPVQUUFUULUUKUUJVRZUUJU
      HZUUFUUJUUKPUVHUUFUUKUUBUUJUVDVSUUKUUJVTSUUFUUBUVGTUULUVHWAUUFUUBUVGUUFUU
      BHLZUUITZGBWBZFUUDWBZHWDZUVGUUFUVIUUBKZUVLWCZHWEUUBUVMVKUUFUVOHUUEUUAUVOU
      UCUUEILZUUDKZIWFUVOIUUDWGUVQUVOIUVNUVICKZABWBUVQUVLAUVIBCWHUVQUVRUVLABAUV
      PUUDABCWIZUTUVKAFUUDUVSUVKAUQWJUVQUVBUVRUVLUVQUVBUVRWKZWKZJBJARZUVIJLZUVP
      MZWLZWMZUUDKUVBUVIUUPUWFMZTZUVLUWAUWFJBAUWCCWNZUBZUUDUWAUWFUWJKZUWEUWIKZJ
      BOZUWAUWLJBUWAUWCBKZWKZUWBUWLUWOUWLUWBUVRUVQUVBUVRUWNWOUWBUWEUVIUWICUWBUV
      IUWDWRZUWBCUWICUWITAJAUWCCWPZWQWSWTXAUWOUWLUWBXBZUWDUWIKZUWAUWSJBUWAUUPUV
      PMZCKZABOZUWSJBOUVQUXBUVTUVQUVPBPZUXBABCUVPIUKZULUMXCUXAUWSAJBUXAJUQAUWDU
      WIAUWCCXDZUTAJRUWTUWDCUWIUUPUWCUVPVAUWQWTVCSXEUWRUWEUWDUWIUWBUVIUWDXFVBXA
      XHVEUWABNKUWKUWMWAUWABUVPXINUWABUVPUVQUXCUVTABCUVPXGXCXJUVPUXDXKXLJBUWEUW
      INXMQXNAJBCUWIJCYHUXEUWQXOXPUVQUVBUVRXQUWAUWGUVIUVBUWGUVITUVQUVRJUUPUWEUV
      IBUWFUWPUWFVFHUKXRXSWSUVJUWHUVIUUGUWFMZTFGUWFUUPUUDBUUHUWFTUUIUXFUVIUUGUU
      HUWFXTYAGARUXFUWGUVIUUGUUPUWFVAYAYBYCYDYEYFYIYJYGYKUVLHUUBYLYMFGHUUDBUUIU
      UJUVCYNYOUUFUUKUUBUUJUVDYSYPUUBUVGUUKUUJYQQXNUUJNUUBUUKYRYT $.
  $}

  ${
    $d r y V $.  $d f r s t w x y z X $.
    $( The value of the Hartogs function at a set ` X ` is weakly dominated by
       ` ~P ( X X. X ) ` .  This follows from a more precise analysis of the
       bound used in ~ hartogs to prove that ` ( har `` X ) ` is an ordinal.
       (Contributed by Mario Carneiro, 15-May-2015.) $)
    harwdom $p |- ( X e. V -> ( har ` X ) ~<_* ~P ( X X. X ) ) $=
      ( vr vy vx vz vw vt vs vf wcel cfv cv cdm wss wa wceq cwdom wbr cvv copab
      char cid cres cxp w3a cdif wwe coi cpw wfo wfun crn cdom con0 crab wi cep
      wrex eqid hartogslem1 simp2i simp1i sqxpexg pwexd ssexg sylancr funex wfn
      funfn mpbi a1i simp3i harval eqtr4d sylanbrc fowdom syl2anc ssdomg mpisyl
      df-fo domwdom syl wdomtr ) BAKZBUBLZCMZNZBOUCWHUDWGOWGWHWHUEOUFWHWGUCUGZU
      HPDMZWHWIUINQPCDUAZNZRSZWLBBUEZUJZRSZWFWORSWEWKTKZWLWFWKUKZWMWEWKULZWLTKZ
      WQWLWOOZWSWEWKUMZEMBUNSEUOUPZQUQZEDFGHBIMGMZJMZLQHMFMZXFLQPXEXGURSPFWJUSG
      WJUSIHUAZJWKAICWKUTXHUTVAZVBZWEXAWOTKZWTXAWSXDXIVCZWEWNTBAVDVEZWLWOTVFVGT
      WKVHVGWEWKWLVIZXBWFQWRXNWEWSXNXJWKVJVKVLWEXBXCWFXAWSXDXIVMEABVNVOWLWFWKWA
      VPWKTWFWLVQVRWEWLWOUNSZWPWEXKXAXOXMXLWLWOTVSVTWLWOWBWCWFWLWOWDVR $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  ZF Set Theory - add the Axiom of Regularity
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Introduce the Axiom of Regularity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( Axiom of Regularity.  An axiom of Zermelo-Fraenkel set theory.  Also
       called the Axiom of Foundation.  A rather non-intuitive axiom that
       denies more than it asserts, it states (in the form of ~ zfreg ) that
       every nonempty set contains a set disjoint from itself.  One consequence
       is that it denies the existence of a set containing itself ( ~ elirrv ).
       A stronger version that works for proper classes is proved as ~ zfregs .
       (Contributed by NM, 14-Aug-1993.) $)
    ax-reg $a |- ( E. y y e. x ->
                 E. y ( y e. x /\ A. z ( z e. y -> -. z e. x ) ) ) $.

    $( Axiom of Regularity expressed more compactly.  (Contributed by NM,
       14-Aug-2003.) $)
    axreg2 $p |- ( x e. y ->
                 E. x ( x e. y /\ A. z ( z e. x -> -. z e. y ) ) ) $=
      ( wel wn wi wal wa wex ax-reg 19.23bi ) ABDZLCADCBDEFCGHAIABACJK $.
  $}

  ${
    $d A x y z $.
    $( The Axiom of Regularity with class variables.  (Contributed by NM,
       5-Aug-1994.)  Replace sethood hypothesis with sethood antecedent.
       (Revised by BJ, 27-Apr-2021.) $)
    zfregcl $p |-
              ( A e. V -> ( E. x x e. A -> E. x e. A A. y e. x -. y e. A ) ) $=
      ( vz wel wex wn cv wral wrex wi wcel wceq eleq2 exbidv ralbidv rexeqbi1dv
      notbid imbi12d nfre1 wal axreg2 df-ral rexbii df-rex bitr2i exlimi vtoclg
      wa sylib ) AEFZAGZBEFZHZBAIZJZAEIZKZLUPCMZAGZBIZCMZHZBUPJZACKZLECDURCNZUM
      VAUSVFVGULUTAURCUPOPUQVEAURCVGUOVDBUPVGUNVCURCVBOSQRTULUSAUQAURUAULULBAFU
      OLBUBZUJAGZUSAEBUCUSVHAURKVIUQVHAURUOBUPUDUEVHAURUFUGUKUHUI $.
  $}

  ${
    $d A x y $.
    $( The Axiom of Regularity using abbreviations.  Axiom 6 of [TakeutiZaring]
       p. 21.  This is called the "weak form".  Axiom Reg of [BellMachover]
       p. 480.  There is also a "strong form", not requiring that ` A ` be a
       set, that can be proved with more difficulty (see ~ zfregs ).
       (Contributed by NM, 26-Nov-1995.)  Replace sethood hypothesis with
       sethood antecedent.  (Revised by BJ, 27-Apr-2021.) $)
    zfreg $p |- ( ( A e. V /\ A =/= (/) ) -> E. x e. A ( x i^i A ) = (/) ) $=
      ( vy wcel c0 wne wa cv wex wn wral wrex cin wceq n0 biimpi anim2i zfregcl
      imp disj rexbii biimpri 3syl ) BCEZBFGZHUEAIZBEAJZHDIBEKDUGLZABMZUGBNFOZA
      BMZUFUHUEUFUHABPQRUEUHUJADBCSTULUJUKUIABDUGBUAUBUCUD $.
  $}

  ${
    $d x y z $.
    $( The membership relation is irreflexive: no set is a member of itself.
       Theorem 105 of [Suppes] p. 54.  (This is trivial to prove from ~ zfregfr
       and ~ efrirr , but this proof is direct from the Axiom of Regularity.)
       (Contributed by NM, 19-Aug-1993.) $)
    elirrv $p |- -. x e. x $=
      ( vz vy cv wcel csn wn wral wrex cvv wex snex eleq1w vsnid speivw zfregcl
      mp2 weq velsn wi ax9 com12 syl5bi notbid rspccv mt2i nsyli con2d ralrimiv
      equcoms ralnex sylib mt2 ) ADZUNEZBDUNFZEZGZBCDZHZCUPIZUPJEUSUPEZCKVAUNLV
      BUNUPEZCACAUPMANZOCBUPJPQUOUTGZCUPHVAGUOVECUPUOUTVBUOVBUNUSEZUTVBCARZUOVF
      CUNSVGUOVFUOVFTACACAUAUJUBUCUTVFVCVDURVCGBUNUSBARUQVCBAUPMUDUEUFUGUHUIUTC
      UPUKULUM $.
    $( $j usage 'elirrv' avoids 'ax-13'; $)
  $}

  ${
    $d A x $.
    $( No class is a member of itself.  Exercise 6 of [TakeutiZaring] p. 22.
       (Contributed by NM, 7-Aug-1994.)  (Proof shortened by Andrew Salmon,
       9-Jul-2011.) $)
    elirr $p |- -. A e. A $=
      ( vx wcel wn wi cv wceq id eleq12d notbid elirrv vtoclg pm2.01 ax-mp ) AA
      CZODZEPBFZQCZDPBAAQAGZROSQAQASHZTIJBKLOMN $.
  $}

  $( A class is not equal to any of its elements.  (Contributed by AV,
     14-Jun-2022.) $)
  elneq $p |- ( A e. B -> A =/= B ) $=
    ( wcel wn wne wi elirr nelelne ax-mp ) BBCDABCABEFBGBBAHI $.

  $( A class is not an element of and equal to a class at the same time.
     Variant of ~ elneq analogously to ~ elnotel and ~ en2lp .  (Proposed by
     BJ, 18-Jun-2022.)  (Contributed by AV, 18-Jun-2022.) $)
  nelaneq $p |- -. ( A e. B /\ A = B ) $=
    ( wcel wceq wa wn wo wne wi elneq orc neneq olcd ja ax-mp ianor mpbir ) ABC
    ZABDZEFRFZSFZGZRABHZIUBABJRUCUBTUAKUCUATABLMNORSPQ $.

  ${
    $d x y $.
    $( The membership relation and the identity relation are disjoint.
       Variable-free version of ~ nelaneq .  (Proposed by BJ, 18-Jun-2022.)
       (Contributed by AV, 18-Jun-2022.) $)
    epinid0 $p |- ( _E i^i _I ) = (/) $=
      ( vx vy cep cid cin wel copab wa c0 df-eprel df-id ineq12i inopab wceq wn
      weq wal cv nelaneq gen2 opab0 mpbir 3eqtri ) CDEABFZABGZABPZABGZEUDUFHZAB
      GZICUEDUGABJABKLUDUFABMUIINUHOZBQAQUJABARBRSTUHABUAUBUC $.
  $}

  $( A class is equal to its successor iff it is a proper class (assuming the
     Axiom of Regularity).  (Contributed by NM, 9-Jul-2004.)  (Proof shortened
     by BJ, 16-Apr-2019.) $)
  sucprcreg $p |- ( -. A e. _V <-> suc A = A ) $=
    ( cvv wcel wn csuc sucprc wa elirr csn wss cun df-suc eqeq1i ssequn2 sylbb2
    wceq snidg ssel2 syl2an mto imnani impbii ) ABCZDAEZAPZAFUEUCUEUCGAACZAHUEA
    IZAJZAUGCUFUCUEAUGKZAPUHUDUIAALMUGANOABQUGAARSTUAUB $.

  $( The Russell class is equal to the universe ` _V ` .  Exercise 5 of
     [TakeutiZaring] p. 22.  (Contributed by Alan Sare, 4-Oct-2008.) $)
  ruv $p |- { x | x e/ x } = _V $=
    ( cvv cv wnel cab wcel vex elirr nelir 2th abbi2i eqcomi ) BACZMDZAENABMBFN
    AGMMMHIJKL $.

  $( Alternate proof of ~ ru , simplified using (indirectly) the Axiom of
     Regularity ~ ax-reg .  (Contributed by Alan Sare, 4-Oct-2008.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  ruALT $p |- { x | x e/ x } e/ _V $=
    ( cv wnel cab cvv vprc nelir wceq wb ruv neleq1 ax-mp mpbir ) ABZNCADZECZEE
    CZEEFGOEHPQIAJOEEKLM $.

  ${
    $d x y A $.
    $( The membership relation is well-founded on any class.  (Contributed by
       NM, 26-Nov-1995.) $)
    zfregfr $p |- _E Fr A $=
      ( vx vy cep wfr cv wss c0 wne wa cin wceq wrex dfepfr cvv wcel zfreg mpan
      wi vex incom eqeq1i rexbii sylib adantl mpgbir ) ADEBFZAGZUGHIZJUGCFZKZHL
      ZCUGMZSBBCANUIUMUHUIUJUGKZHLZCUGMZUMUGOPUIUPBTCUGOQRUOULCUGUNUKHUJUGUAUBU
      CUDUEUF $.
  $}

  $( No class has 2-cycle membership loops.  Theorem 7X(b) of [Enderton]
     p. 206.  (Contributed by NM, 16-Oct-1996.)  (Revised by Mario Carneiro,
     25-Jun-2015.) $)
  en2lp $p |- -. ( A e. B /\ B e. A ) $=
    ( cvv wcel wa wn cep wfr zfregfr efrn2lp mpan elex anim12i con3i pm2.61i )
    ACDZBCDZEZABDZBADZEZFZCGHRUBCICABJKUARSPTQABLBALMNO $.

  $( Two classes are not elements of each other simultaneously.  This is just a
     rewriting of ~ en2lp and serves as an example in the context of Godel
     codes, see ~ elnanelprv .  (Contributed by AV, 5-Nov-2023.)
     (New usage is discouraged.) $)
  elnanel $p |- ( A e. B -/\ B e. A ) $=
    ( wcel wnan wa wn en2lp df-nan mpbir ) ABCZBACZDJKEFABGJKHI $.

  ${
    $d x y $.
    $( The membership (epsilon) relation and its converse are disjoint, i.e.,
       ` _E ` is an asymmetric relation.  Variable-free version of ~ en2lp .
       (Proposed by BJ, 18-Jun-2022.)  (Contributed by AV, 19-Jun-2022.) $)
    cnvepnep $p |- ( `' _E i^i _E ) = (/) $=
      ( vy vx cep ccnv cin wel wa copab c0 df-eprel cnveqi cnvopab eqtri inopab
      ineq12i wceq wn wal cv en2lp gen2 opab0 mpbir ) CDZCEZABFZBAFZGZBAHZIUEUF
      BAHZUGBAHZEUIUDUJCUKUDUFABHZDUJCULABJKUFABLMBAJOUFUGBANMUIIPUHQZARBRUMBAA
      SBSTUAUHBAUBUCM $.

    $( The membership (epsilon) relation is not symmetric.  (Contributed by AV,
       18-Jun-2022.) $)
    epnsym $p |- `' _E =/= _E $=
      ( cep ccnv cin c0 wceq wa wb wne cnvepnep disjeq0 wi epn0 eqneqall adantl
      mpi a1i wn neqne a1d bija mp2b ) ABZACDEUBAEZUBDEZADEZFZGUBAHZIUBAJUCUFUG
      UFUGKUCUEUGUDUEADHUGLUGADMONPUCQUGUFQUBARSTUA $.
  $}

  $( A class cannot be an element of one of its elements.  (Contributed by AV,
     14-Jun-2022.) $)
  elnotel $p |- ( A e. B -> -. B e. A ) $=
    ( wcel en2lp imnani ) ABCBACABDE $.

  $( A class cannot be an element of one of its elements.  (Contributed by AV,
     14-Jun-2022.) $)
  elnel $p |- ( A e. B -> B e/ A ) $=
    ( wcel wn wnel elnotel df-nel sylibr ) ABCBACDBAEABFBAGH $.

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Lemma for ~ en3lp .  (Contributed by Alan Sare, 28-Oct-2011.) $)
    en3lplem1 $p |- ( ( A e. B /\ B e. C /\ C e. A ) ->
                      ( x = A -> ( x i^i { A , B , C } ) =/= (/) ) ) $=
      ( wcel w3a cv wceq ctp cin c0 wne simp3 syl5ibrcom tpid3g 3ad2ant3 inelcm
      eleq2 sylan2 expcom syld ) BCEZCDEZDBEZFZAGZBHZDUFEZUFBCDIZJKLZUEUHUGUDUB
      UCUDMUFBDRNUHUEUJUEUHDUIEZUJUDUBUKUCDBBCOPDUFUIQSTUA $.

    $( Lemma for ~ en3lp .  (Contributed by Alan Sare, 28-Oct-2011.) $)
    en3lplem2 $p |- ( ( A e. B /\ B e. C /\ C e. A ) -> ( x e. { A , B , C }
                      -> ( x i^i { A , B , C } ) =/= (/) ) ) $=
      ( wcel ctp cin c0 wne wceq wo wi en3lplem1 a1d tprot ineq2i neeq1i syl8ib
      imp syl6ib w3a cv 3comr bicomi jao sylsyld 3coml w3o cab idd dftp2 eleq2i
      wa abid df-3or mpjaod ex ) BCEZCDEZDBEZUAZAUBZBCDFZEZVBVCGZHIZVAVDUMVBBJZ
      VBCJZKZVFVBDJZVAVDVIVFLZVAVGVFLVDVHVFLVKABCDMVAVDVHVBCDBFZGZHIZVFVAVHVNLZ
      VDUSUTURVOACDBMUCNVFVNVEVMHVCVLVBBCDOPQUDRVGVFVHUEUFSVAVDVJVFLVAVDVJVBDBC
      FZGZHIZVFVAVJVRLZVDUTURUSVSADBCMUGNVQVEHVPVCVBDBCOPQRSVAVDVIVJKZVAVDVGVHV
      JUHZVTVAVDVBWAAUIZEZWAVAVDVDWCVAVDUJVCWBVBABCDUKULTWAAUNTVGVHVJUOTSUPUQ
      $.

    $( No class has 3-cycle membership loops.  This proof was automatically
       generated from the virtual deduction proof ~ en3lpVD using a translation
       program.  (Contributed by Alan Sare, 24-Oct-2011.) $)
    en3lp $p |- -. ( A e. B /\ B e. C /\ C e. A ) $=
      ( vx wcel w3a wn ctp wceq noel eleq2 mtbiri tpid3g nsyl intn3an3d wne cin
      c0 cv cvv wrex tpex zfreg en3lplem2 com12 necon2bd rexlimiv syl pm2.61ine
      mpan ) ABEZBCEZCAEZFZGZABCHZRUPRIZUMUKULUQCUPEZUMUQURCRECJUPRCKLCAABMNOUP
      RPZDSZUPQZRIZDUPUAZUOUPTEUSVCABCUBDUPTUCUJVBUODUPUTUPEZUNVARUNVDVARPDABCU
      DUEUFUGUHUI $.
  $}

  $( Equality of two unordered pairs when one member of each pair contains the
     other member.  Closed form of ~ preleq .  (Contributed by AV,
     15-Jun-2022.) $)
  preleqg $p |- ( ( ( A e. B /\ B e. V /\ C e. D ) /\ { A , B } = { C , D } )
                  -> ( A = C /\ B = D ) ) $=
    ( wcel w3a cpr wa wo wne wb elneq 3ad2ant1 preq12nebg syld3an3 eleq12 com12
    wceq wi elnotel pm2.21d syl6bi com3l a1d 3imp jao1i sylbid imp ) ABFZBEFZCD
    FZGZABHCDHSZACSBDSIZUMUNUOADSBCSIZJZUOUJUKULABKZUNUQLUJUKURULABMNABCDBEOPUQ
    UMUOUOUPUMUMUPUOUJUKULUPUOTZUJULUSTUKUPUJULUOUPUJDCFZULUOTADBCQUTULUODCUAUB
    UCUDUEUFRUGRUHUI $.

  ${
    preleq.b $e |- B e. _V $.
    $( Equality of two unordered pairs when one member of each pair contains
       the other member.  (Contributed by NM, 16-Oct-1996.)  (Revised by AV,
       15-Jun-2022.) $)
    preleq $p |- ( ( ( A e. B /\ C e. D ) /\ { A , B } = { C , D } ) ->
                   ( A = C /\ B = D ) ) $=
      ( wcel cvv cpr wceq wa preleqg mp3anl2 ) ABFBGFCDFABHCDHIACIBDIJEABCDGKL
      $.

    preleqALT.d $e |- D e. _V $.
    $( Alternate proof of ~ preleq , not based on ~ preleqg :  Equality of two
       unordered pairs when one member of each pair contains the other member.
       (Contributed by NM, 16-Oct-1996.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    preleqALT $p |- ( ( ( A e. B /\ C e. D ) /\ { A , B } = { C , D } ) ->
                   ( A = C /\ B = D ) ) $=
      ( wcel wa cpr wceq wi wn wo cvv wb jctr preq12bg syl2an biimpa ord eleq12
      en2lp anbi1d mtbiri syl6 con4d ex pm2.43a imp ) ABGZCDGZHZABICDIJZACJBDJH
      ZUMULUNULUMULUNKULUMHZUNULUOUNLADJBCJHZULLUOUNUPULUMUNUPMZUJUJBNGZHUKDNGZ
      HUMUQOUKUJUREPUKUSFPABCDBNDNQRSTUPULDCGZUKHDCUBUPUJUTUKADBCUAUCUDUEUFUGUH
      UI $.
  $}

  ${
    opthreg.1 $e |- A e. _V $.
    opthreg.2 $e |- B e. _V $.
    opthreg.3 $e |- C e. _V $.
    opthreg.4 $e |- D e. _V $.
    $( Theorem for alternate representation of ordered pairs, requiring the
       Axiom of Regularity ~ ax-reg (via the ~ preleq step).  See ~ df-op for a
       description of other ordered pair representations.  Exercise 34 of
       [Enderton] p. 207.  (Contributed by NM, 16-Oct-1996.)  (Proof shortened
       by AV, 15-Jun-2022.) $)
    opthreg $p |- ( { A , { A , B } } = { C , { C , D } } <->
                    ( A = C /\ B = D ) ) $=
      ( cpr wceq wa wcel prid1 prex preleq mpanl12 preq1 eqeq1d preqr2 syl6bi
      imdistani syl adantr preq12 preq2d eqtrd impbii ) AABIZIZCCDIZIZJZACJZBDJ
      ZKZULUMUHUJJZKZUOAUHLCUJLULUQABEMCDGMAUHCUJABNOPUMUPUNUMUPCBIZUJJUNUMUHUR
      UJACBQRBDCFHSTUAUBUOUICUHIZUKUMUIUSJUNACUHQUCUOUHUJCABCDUDUEUFUG $.
  $}

  $( The successor operation behaves like a one-to-one function (assuming the
     Axiom of Regularity).  Exercise 35 of [Enderton] p. 208 and its converse.
     (Contributed by NM, 25-Oct-2003.) $)
  suc11reg $p |- ( suc A = suc B <-> A = B ) $=
    ( csuc wceq cvv wcel wi wa wn wo sucidg eleq2 elsucg sylibd imp com23 eqcom
    ord ex sucexb en2lp mpbi syl5ibcom syl5ibrcom syl6ib jaao mpi notbii nelneq
    ianor syl2anb pm2.21d ancoms syl5bi sucprc eqeqan12d biimpd 4cases impbii
    suceq ) ACZBCZDZABDZAEFZBEFZVCVDGZVEVFHABFZIZBAFZIZJZVGVHVJHIVLABUAVHVJUJUB
    VEVIVGVFVKVEVCVIVDVEVCVIVDGVEVCHVHVDVEVCVHVDJZVEVCAVBFZVMVEAVAFVCVNAEKVAVBA
    LUCABEMNORSPVFVCVKVDVFVCVKVDGVFVCHZVKBADZVDVOVJVPVFVCVJVPJZVFVCBVAFZVQVFVRV
    CBVBFBEKVAVBBLUDBAEMNORBAQUESPUFUGVEVFIZHVCVDVEVAEFZVBEFZIVCIVSATZVFWABTZUH
    VAVBEUIUKULVCVBVADZVEIZVFHZVDVAVBQWFWDVDVFWEWDIZVFWAVTIWGWEWCVEVTWBUHVBVAEU
    IUKUMULUNWEVSHVCVDWEVSVAAVBBAUOBUOUPUQURABUTUS $.

  ${
    $d x y A $.
    $( Assuming ~ ax-reg , an ordinal is a transitive class on which inclusion
       satisfies trichotomy.  (Contributed by Scott Fenton, 27-Oct-2010.) $)
    dford2 $p |- ( Ord A <-> ( Tr A /\
                    A. x e. A A. y e. A ( x e. y \/ x = y \/ y e. x ) ) ) $=
      ( word wtr cep wwe wa wel weq w3o wral df-ord wbr wfr zfregfr dfwe2 bitri
      cv epel mpbiran biid 3orbi123i 2ralbii anbi2i ) CDCEZCFGZHUFABIZABJZBAIZK
      ZBCLACLZHCMUGULUFUGASZBSZFNZUIUNUMFNZKZBCLACLZULUGCFOURCPABCFQUAUQUKABCCU
      OUHUIUIUPUJBUMTUIUBAUNTUCUDRUER $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Axiom of Infinity equivalents
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( First we prove the equivalence of our version of Infinity with
     some others. $)

  ${  $d x y z w v f $.
    $( Existence of ` _om ` implies our axiom of infinity ~ ax-inf .  The proof
       shows that the especially contrived
       class " ` ran ( rec ( ( v e. _V |-> suc v ) , x ) |`` _om ) ` " exists,
       is a subset of its union, and contains a given set ` x ` (and thus is
       nonempty).  Thus, it provides an example demonstrating that a set ` y `
       exists with the necessary properties demanded by ~ ax-inf .
       (Contributed by NM, 15-Oct-1996.)  Revised to closed form.  (Revised by
       BJ, 20-May-2024.) $)
    inf0 $p |- ( _om e. V -> E. y ( x e. y /\
                            A. z ( z e. y -> E. w ( z e. w /\ w e. y ) ) ) ) $=
      ( vv vf com wcel cv cvv csuc wel wa wex wi c0 cfv wceq eleq2 cmpt crn wal
      crdg cres fr0g elv wfn frfnom peano1 fnfvelrn mp2an eqeltrri wrex fvelrnb
      ax-mp fvex sucid sucex eqid suceq frsucmpt2 mpan2 eleqtrrid eleq1 peano2b
      wb syl5ib mpan sylbi jca2 anbi12d spcev syl6com rexlimiv ax-gen wfun fndm
      cdm eqeltrid fnfun funrnex mpisyl anbi2d exbidv imbi12d albidv spcegv syl
      id mp2ani ) HEIZAJZFKFJZLZUAZWMUDHUEZUBZIZCJZWRIZCDMZDJZWRIZNZDOZPZCUCZAB
      MZCBMZXBDBMZNZDOZPZCUCZNZBOZQWQRZWMWRXRWMSAWMKWPUFUGWQHUHZQHIXRWRIWMWPUIZ
      UJHQWQUKULUMXGCXAGJZWQRZWTSZGHUNZXFXSXAYDVGXTGHWTWQUOUPYCXFGHYCYAHIZWTYAL
      ZWQRZIZYGWRIZNZXFYCYEYHYIYEYBYGIYCYHYEYBYBLZYGYBYAWQUQZURYEYKKIYGYKSYBYLU
      SFCWMYAWOYKWTLWQKWQUTWTWNVAWTYBVAVBVCVDYBWTYGVEVHYEYFHIZYIYAVFXSYMYIXTHYF
      WQUKVIVJVKXEYJDYGYFWQUQXCYGSXBYHXDYIXCYGWTTXCYGWRVEVLVMVNVOVJVPWLWRKIZWSX
      HNZXQPWLWQVSZEIWQVQZYNWLYPHEXSYPHSXTHWQVRUPWLWJVTXSYQXTHWQWAUPEWQWBWCXPYO
      BWRKBJZWRSZXIWSXOXHYRWRWMTYSXNXGCYSXJXAXMXFYRWRWTTYSXLXEDYSXKXDXBYRWRXCTW
      DWEWFWGVLWHWIWK $.
  $}

  ${
    inf1.1 $e |- E. x ( y e. x /\
                 A. y ( y e. x -> E. z ( y e. z /\ z e. x ) ) ) $.
    $( Variation of Axiom of Infinity (using ~ zfinf as a hypothesis).  Axiom
       of Infinity in [FreydScedrov] p. 283.  (Contributed by NM, 14-Oct-1996.)
       (Revised by David Abernethy, 1-Oct-2013.) $)
    inf1 $p |- E. x ( x =/= (/) /\
                 A. y ( y e. x -> E. z ( y e. z /\ z e. x ) ) ) $=
      ( wel wa wex wi wal cv c0 wne ne0i anim1i eximii ) BAEZPBCECAEFCGHBIZFAJZ
      KLZQFADPSQRBJMNO $.

    $d x y z $.
    $( Variation of Axiom of Infinity.  There exists a nonempty set that is a
       subset of its union (using ~ zfinf as a hypothesis).  Abbreviated
       version of the Axiom of Infinity in [FreydScedrov] p. 283.  (Contributed
       by NM, 28-Oct-1996.) $)
    inf2 $p |- E. x ( x =/= (/) /\ x C_ U. x ) $=
      ( cv c0 wne cuni wss wa wex wel wi wal inf1 wcel dfss2 eluni imbi2i albii
      bitri anbi2i exbii mpbir ) AEZFGZUEUEHZIZJZAKUFBALZBCLCALJCKZMZBNZJZAKABC
      DOUIUNAUHUMUFUHUJBEZUGPZMZBNUMBUEUGQUQULBUPUKUJCUOUERSTUAUBUCUD $.
  $}

  ${
    $d x y w v u f $.  $d v u f G $.  $d v u f F $.  $d v u f A $.
    $d v u f B $.
    inf3lem.1 $e |- G = ( y e. _V |-> { w e. x | ( w i^i x ) C_ y } ) $.
    inf3lem.2 $e |- F = ( rec ( G , (/) ) |` _om ) $.
    inf3lem.3 $e |- A e. _V $.
    inf3lem.4 $e |- B e. _V $.
    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description.  (Contributed by NM, 28-Oct-1996.) $)
    inf3lema $p |- ( A e. ( G ` B ) <-> ( A e. x /\ ( A i^i x ) C_ B ) ) $=
      ( vf vv cv cin wss wceq ineq1 cvv crab cfv sseq1d wcel sseq2 rabbidv cmpt
      cbvrabv eqtrdi cbvmptv eqtri vex rabex fvmpt ax-mp elrab2 ) LNZANZOZEPZDU
      QOZEPLDUQEGUAZUPDQURUTEUPDUQRUBESUCVAUSLUQTZQKMEURMNZPZLUQTZVBSGVCEQVDUSL
      UQVCEURUDUEGBSCNZUQOZBNZPZCUQTZUFMSVEUFHBMSVJVEVHVCQZVJVGVCPZCUQTVEVKVIVL
      CUQVHVCVGUDUEVLVDCLUQVFUPQVGURVCVFUPUQRUBUGUHUIUJUSLUQAUKULUMUNUO $.

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description.  (Contributed by NM, 28-Oct-1996.) $)
    inf3lemb $p |- ( F ` (/) ) = (/) $=
      ( c0 cfv crdg com cres fveq1i cvv wcel wceq 0ex fr0g ax-mp eqtri ) LFMLGL
      NOPZMZLLFUEIQLRSUFLTUALRGUBUCUD $.

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description.  (Contributed by NM, 28-Oct-1996.) $)
    inf3lemc $p |- ( A e. _om -> ( F ` suc A ) = ( G ` ( F ` A ) ) ) $=
      ( com wcel csuc c0 crdg cres cfv frsuc fveq1i fveq2i 3eqtr4g ) DLMDNZGOPL
      QZRDUDRZGRUCFRDFRZGRODGSUCFUDITUFUEGDFUDITUAUB $.

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description.  (Contributed by NM, 28-Oct-1996.) $)
    inf3lemd $p |- ( A e. _om -> ( F ` A ) C_ x ) $=
      ( vv vu com wcel cfv cv wss c0 wceq wi fveq2 inf3lemb eqtrdi 0ss eqsstrdi
      a1d wne wa csuc wrex vex inf3lemc eleq2d cin fvex inf3lema simplbi syl6bi
      nnsuc ssrdv sseq1d syl5ibrcom rexlimiv syl expcom pm2.61ine ) DNOZDFPZAQZ
      RZUADSDSTZVKVHVLVISVJVLVISFPSDSFUBABCDEFGHIJKUCUDVJUEUFUGVHDSUHZVKVHVMUID
      LQZUJZTZLNUKVKLDUTVPVKLNVNNOZVKVPVOFPZVJRVQMVRVJVQMQZVROVSVNFPZGPZOZVSVJO
      ZVQVRWAVSABCVNEFGHILULKUMUNWBWCVSVJUOVTRABCVSVTFGHIMULVNFUPUQURUSVAVPVIVR
      VJDVOFUBVBVCVDVEVFVG $.

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description.  (Contributed by NM, 28-Oct-1996.) $)
    inf3lem1 $p |- ( A e. _om -> ( F ` A ) C_ ( F ` suc A ) ) $=
      ( vv cfv csuc wss c0 wceq fveq2 suceq wcel vu fveq2d sseq12d inf3lemb 0ss
      cv eqsstri com wa wi cin sstr2 com12 anim2d inf3lemc eleq2d fvex inf3lema
      vex bitrdi peano2b sucex sylbi imbi12d syl5ibr imp ssrdv ex finds ) LUFZF
      MZVJNZFMZOPFMZPNZFMZOUAUFZFMZVQNZFMZOZVTVSNZFMZOZDFMZDNZFMZOLUADVJPQZVKVN
      VMVPVJPFRWHVLVOFVJPSUBUCVJVQQZVKVRVMVTVJVQFRWIVLVSFVJVQSUBUCVJVSQZVKVTVMW
      CVJVSFRWJVLWBFVJVSSUBUCVJDQZVKWEVMWGVJDFRWKVLWFFVJDSUBUCVNPVPABCDDFGHIJJU
      DVPUEUGVQUHTZWAWDWLWAUILVTWCWLWAVJVTTZVJWCTZUJZWAWOWLVJAUFZTZVJWPUKZVROZU
      IZWQWRVTOZUIZUJWAWSXAWQWSWAXAWRVRVTULUMUNWLWMWTWNXBWLWMVJVRGMZTWTWLVTXCVJ
      ABCVQDFGHIUAUSZJUOUPABCVJVRFGHILUSZVQFUQURUTWLWNVJVTGMZTXBWLWCXFVJWLVSUHT
      WCXFQVQVAABCVSDFGHIVQXDVBJUOVCUPABCVJVTFGHIXEVSFUQURUTVDVEVFVGVHVI $.

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description.  (Contributed by NM, 28-Oct-1996.) $)
    inf3lem2 $p |- ( ( x =/= (/) /\ x C_ U. x ) ->
                    ( A e. _om -> ( F ` A ) =/= x ) ) $=
      ( vv vf wcel c0 wne wa cfv wi wceq vu com cv cuni wss fveq2 neeq1d imbi2d
      csuc inf3lemb eqeq1i eqcom necon3i adantr vex inf3lemd wn wex wpss df-pss
      sylbb pssnel sylbir ssel eluni syl6ib eleq2 biimparc inf3lemc eleq2d elin
      fvex inf3lema simprbi sseld syl5bir syl6bi syl5 com23 exp5c com34 exlimdv
      cin impd sylan9r pm2.43d necon3bd syl6 sylani exp4b pm2.43a adantld finds
      id a2d com12 ) DUBNAUCZOPZWQWQUDZUEZQZDFRZWQPZXALUCZFRZWQPZSXAOFRZWQPZSXA
      UAUCZFRZWQPZSXAXIUIZFRZWQPZSXAXCSLUADXDOTZXFXHXAXOXEXGWQXDOFUFUGUHXDXITZX
      FXKXAXPXEXJWQXDXIFUFUGUHXDXLTZXFXNXAXQXEXMWQXDXLFUFUGUHXDDTZXFXCXAXRXEXBW
      QXDDFUFUGUHWRXHWTXGWQWQOXGWQTOWQTWQOTXGOWQABCDEFGHIJKUJUKOWQULVAUMUNXIUBN
      ZXAXKXNXSWTXKXNSZWRWTXSXTXSWTXSXKXNXSXSWTQZXJWQUEZXKXNABCXIEFGHIUAUOZKUPY
      BXKQZXDWQNZXDXJNZUQZQZLURZYAXNYDXJWQUSYIXJWQUTLXJWQVBVCYAYHXNLYAYEYGXNYAY
      EXMWQTZYFSZYGXNSYAYEYKWTYEXDMUCZNZYLWQNZQZMURZXSYEYKSZWTYEXDWSNYPWQWSXDVD
      MXDWQVEVFXSYOYQMXSYMYNYQXSYMYEYNYKXSYMYEYNYJYFXSYNYJQZYMYEQZYFYRYLXMNZXSY
      SYFSZYJYTYNXMWQYLVGVHXSYTYLXJGRZNZUUAXSXMUUBYLABCXIEFGHIYCKVIVJYSXDYLWQWC
      ZNUUCYFXDYLWQVKUUCUUDXJXDUUCYNUUDXJUEABCYLXJFGHIMUOXIFVLVMVNVOVPVQVRVSVTW
      AWDWBWEWFYKYFXMWQYKWNWGWHWDWBVRWIWJWKWLWOWMWP $.

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description.  In the proof, we invoke the Axiom of
       Regularity in the form of ~ zfreg .  (Contributed by NM,
       29-Oct-1996.) $)
    inf3lem3 $p |- ( ( x =/= (/) /\ x C_ U. x ) ->
                    ( A e. _om -> ( F ` A ) =/= ( F ` suc A ) ) ) $=
      ( vv wcel cv c0 wne wss wa cfv cin cuni cdif csuc inf3lemd inf3lem2 com12
      com pssdifn0 syl6an wceq wrex cvv vex difexi zfreg mpan wn eldifi biimpri
      inssdif0 anim12i fvex inf3lema sylibr inf3lemc eleq2d syl5ibr eldifn jca2
      adantr wi eleq2 biimprd iman sylib necon2ai syl6 expd rexlimdv syl5 syldc
      ) DUGMZANZOPWCWCUAQRZWCDFSZUBZOPZWEDUCFSZPZWBWEWCQWDWEWCPZWGABCDEFGHIJKUD
      WDWBWJABCDEFGHIJKUEUFWEWCUHUIWGLNZWFTOUJZLWFUKZWBWIWFULMWGWMWCWEAUMUNLWFU
      LUOUPWBWLWILWFWBWKWFMZWLWIWBWNWLRZWKWHMZWKWEMZUQZRZWIWBWOWPWRWOWPWBWKWEGS
      ZMZWOWKWCMZWKWCTWEQZRXAWNXBWLXCWKWCWEURXCWLWKWCWEUTUSVAABCWKWEFGHILUMDFVB
      VCVDWBWHWTWKABCDEFGHIJKVEVFVGWNWRWLWKWCWEVHVJVIWSWEWHWEWHUJZWPWQVKWSUQXDW
      QWPWEWHWKVLVMWPWQVNVOVPVQVRVSVTWA $.

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description.  (Contributed by NM, 29-Oct-1996.) $)
    inf3lem4 $p |- ( ( x =/= (/) /\ x C_ U. x ) ->
                    ( A e. _om -> ( F ` A ) C. ( F ` suc A ) ) ) $=
      ( cv c0 wne cuni wss wa com wcel cfv csuc wpss inf3lem1 a1i inf3lem3 jcad
      wi df-pss syl6ibr ) ALZMNUJUJOPQZDRSZDFTZDUAFTZPZUMUNNZQUMUNUBUKULUOUPULU
      OUGUKABCDEFGHIJKUCUDABCDEFGHIJKUEUFUMUNUHUI $.

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description.  (Contributed by NM, 29-Oct-1996.) $)
    inf3lem5 $p |- ( ( x =/= (/) /\ x C_ U. x ) ->
                    ( ( A e. _om /\ B e. A ) -> ( F ` B ) C. ( F ` A ) ) ) $=
      ( com wcel wa cfv wpss wi wceq fveq2 psseq2d vv vu cv wne cuni wss ancoms
      c0 elnn csuc word nnord ordsucss syl adantr peano2b imbi2d inf3lem4 com12
      sylbir vex psstr expcom syl6com a2d ad2antrr findsg sylan2b syld impancom
      ex mpd ) DLMZEDMZNZAUCZUHUDVPVPUEUFNZEFOZDFOZPZVOELMZVQVTQZVNVMWAEDUIUGVM
      WAVNWBVMWANVNEUJZDUFZWBVMVNWDQZWAVMDUKWEDULEDUMUNUOWAVMWCLMZWDWBQEUPZVMWF
      NWDWBVQVRUAUCZFOZPZQVQVRWCFOZPZQZVQVRUBUCZFOZPZQZVQVRWNUJZFOZPZQZWBUAUBDW
      CWHWCRZWJWLVQXBWIWKVRWHWCFSTUQWHWNRZWJWPVQXCWIWOVRWHWNFSTUQWHWRRZWJWTVQXD
      WIWSVRWHWRFSTUQWHDRZWJVTVQXEWIVSVRWHDFSTUQWFWAWMWGVQWAWLABCEEFGHIKKURUSUT
      WNLMZWQXAQWFWCWNUFXFVQWPWTVQXFWOWSPZWPWTQABCWNEFGHIUBVAKURWPXGWTVRWOWSVBV
      CVDVEVFVGVKVHVIVJVLUS $.

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description.  (Contributed by NM, 29-Oct-1996.) $)
    inf3lem6 $p |- ( ( x =/= (/) /\ x C_ U. x ) -> F : _om -1-1-> ~P x ) $=
      ( vv vu cv c0 wss wa com wceq wcel wne cuni cpw wf cfv wi wral wo wn wpss
      wf1 vex inf3lem5 dfpss2 simprbi syl6 expdimp adantrl eqcom sylnib adantrr
      jaod con2d wb word nnord ordtri3 syl2an adantl sylibrd ralrimivva wfn crn
      crdg cres frfnom fneq1 mpbiri wrex fvelrnb inf3lemd fvex sylibr syl5ibcom
      elpw eleq1 rexlimiv syl6bi ssrdv ancli mp2b df-f mpbir jctil dff13 ) ANZO
      UAWPWPUBPQZRWPUCZFUDZLNZFUEZMNZFUEZSZWTXBSZUFZMRUGLRUGZQRWRFUKWQXGWSWQXFL
      MRRWQWTRTZXBRTZQZQZXDWTXBTZXBWTTZUHZUIZXEXKXNXDXKXLXDUIZXMWQXIXLXPUFXHWQX
      IXLXPWQXIXLQXAXCUJZXPABCXBWTFGHIMULZLULZUMXQXAXCPXPXAXCUNUOUPUQURWQXHXMXP
      UFXIWQXHXMXPWQXHXMQXCXAUJZXPABCWTXBFGHIXSXRUMXTXCXASZXDXTXCXAPYAUIXCXAUNU
      OXCXAUSUTUPUQVAVBVCXJXEXOVDZWQXHWTVEXBVEYBXIWTVFXBVFWTXBVGVHVIVJVKWSFRVLZ
      FVMZWRPZQZFGOVNRVOZSZYCYFIYHYCYGRVLOGVPRFYGVQVRYCYEYCMYDWRYCXBYDTXAXBSZLR
      VSXBWRTZLRXBFVTYIYJLRXHXAWRTZYIYJXHXAWPPYKABCWTEFGHIXSKWAXAWPWTFWBWEWCXAX
      BWRWFWDWGWHWIWJWKRWRFWLWMWNLMRWRFWOWC $.

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description.  In the proof, we invoke the Axiom of
       Replacement in the form of ~ f1dmex .  (Contributed by NM, 29-Oct-1996.)
       (Proof shortened by Mario Carneiro, 19-Jan-2013.) $)
    inf3lem7 $p |- ( ( x =/= (/) /\ x C_ U. x ) -> _om e. _V ) $=
      ( cv c0 wne cuni wss wa com cvv wcel cpw inf3lem6 vpwex f1dmex sylancl
      wf1 ) ALZMNUGUGOPQRUGUAZFUFUHSTRSTABCDEFGHIJKUBAUCRUHSFUDUE $.
  $}

  ${
    $d x y w $.
    inf3.1 $e |- E. x ( x =/= (/) /\ x C_ U. x ) $.
    $( Note: the special <HTML> tag is handled in mmwtex.c.  All comment text
       between <HTML> and </HTML> is passed as-is to the web page, except
       that ` (symbols) ` , ~ (label) , and [(reference)] markups are still
       interpreted. $)
    $( Our Axiom of Infinity ~ ax-inf implies the standard Axiom of Infinity.
       The hypothesis is a variant of our Axiom of Infinity provided by
       ~ inf2 , and the conclusion is the version of the Axiom of Infinity
       shown as Axiom 7 in [TakeutiZaring] p. 43.  (Other standard versions are
       proved later as ~ axinf2 and ~ zfinf2 .)  The main proof is provided by
       ~ inf3lema through ~ inf3lem7 , and this final piece eliminates the
       auxiliary hypothesis of ~ inf3lem7 .  This proof is due to
       Ian Sutherland, Richard Heck, and Norman Megill and was posted
       on Usenet as shown below.  Although the result is not new, the authors
       were unable to find a published proof.
       <HTML>
       <PRE>
       (As posted to sci.logic on 30-Oct-1996, with annotations added.)

       Theorem:  The statement "There exists a nonempty set that is a subset
       of its union" implies the Axiom of Infinity.

       Proof:  Let X be a nonempty set which is a subset of its union; the
       latter
       property is equivalent to saying that for any y in X, there exists a z
       in X
       such that y is in z.

       Define by finite recursion a function F:omega-->(power X) such that
       F_0 = 0  (See ~ inf3lemb .)
       F_n+1 = {y&lt;X | y^X subset F_n}  (See ~ inf3lemc .)
       Note: ^ means intersect, &lt; means \in ("element of").
       (Finite recursion as typically done requires the existence of omega;
       to avoid this we can just use transfinite recursion restricted to omega.
       F is a class-term that is not necessarily a set at this point.)

       Lemma 1.  F_n subset F_n+1.  (See ~ inf3lem1 .)
       Proof:  By induction:  F_0 subset F_1.  If y &lt; F_n+1, then y^X subset
       F_n,
       so if F_n subset F_n+1, then y^X subset F_n+1, so y &lt; F_n+2.

       Lemma 2.  F_n =/= X.  (See ~ inf3lem2 .)
       Proof:  By induction:  F_0 =/= X because X is not empty.  Assume F_n =/=
       X.
       Then there is a y in X that is not in F_n.  By definition of X, there is
       a
       z in X that contains y.  Suppose F_n+1 = X.  Then z is in F_n+1, and z^X
       contains y, so z^X is not a subset of F_n, contrary to the definition of
       F_n+1.

       Lemma 3.  F_n =/= F_n+1.  (See ~ inf3lem3 .)
       Proof:  Using the identity y^X subset F_n &lt;-> y^(X-F_n) = 0, we have
       F_n+1 = {y&lt;X | y^(X-F_n) = 0}.  Let q = {y&lt;X-F_n | y^(X-F_n) = 0}.
       Then q subset F_n+1.  Since X-F_n is not empty by Lemma 2 and q is the
       set of \in-minimal elements of X-F_n, by Foundation q is not empty, so q
       and therefore F_n+1 have an element not in F_n.

       Lemma 4.  F_n proper_subset F_n+1.  (See ~ inf3lem4 .)
       Proof:  Lemmas 1 and 3.

       Lemma 5.  F_m proper_subset F_n, m &lt; n.  (See ~ inf3lem5 .)
       Proof:  Fix m and use induction on n > m.  Basis: F_m proper_subset
       F_m+1
       by Lemma 4.  Induction:  Assume F_m proper_subset F_n.  Then since F_n
       proper_subset F_n+1, F_m proper_subset F_n+1 by transitivity of proper
       subset.

       By Lemma 5, F_m =/= F_n for m =/= n, so F is 1-1.  (See ~ inf3lem6 .)
       Thus, the inverse of F is a function with range omega and domain a
       subset
       of power X, so omega exists by Replacement.  (See ~ inf3lem7 .)
       Q.E.D.
       </PRE> </HTML>  (Contributed by NM, 29-Oct-1996.) $)
    inf3 $p |- _om e. _V $=
      ( vy vw cv c0 wne cuni wss com cvv wcel cin crab cmpt crdg cres eqid vex
      wa inf3lem7 exlimiiv ) AEZFGUCUCHITJKLAACDUCUCCKDEUCMCEIDUCNOZFPJQZUDUDRU
      ERASZUFUABUB $.
  $}

  ${
    $d x y w $.
    $( Half of ~ infeq5 .  (Contributed by Mario Carneiro, 16-Nov-2014.) $)
    infeq5i $p |- ( _om e. _V -> E. x x C. U. x ) $=
      ( com cvv wcel c0 csn cdif cuni wpss cv wex difexg 0ex snid wn wceq disj4
      cin disj3 bitr3i peano1 eleq2 mpbii eldifbd sylbi mt4 unidif0 wlim limuni
      limom ax-mp eqtr4i psseq2i mpbir psseq1 unieq psseq2d bitrd spcegv mpisyl
      ) BCDBEFZGZCDVBVBHZIZAJZVEHZIZAKBVACLVDVBBIZEVADZVHEMNVHOZBVBPZVIOVJBVARE
      PVKBVAQBVASTVKEBVAVKEBDEVBDUABVBEUBUCUDUEUFVCBVBVCBHZBBUGBUHBVLPUJBUIUKUL
      UMUNVGVDAVBCVEVBPZVGVBVFIVDVEVBVFUOVMVFVCVBVEVBUPUQURUSUT $.

    $( The statement "there exists a set that is a proper subset of its union"
       is equivalent to the Axiom of Infinity (shown on the right-hand side in
       the form of ~ omex .)  The left-hand side provides us with a very short
       way to express the Axiom of Infinity using only elementary symbols.
       This proof of equivalence does not depend on the Axiom of Infinity.
       (Contributed by NM, 23-Mar-2004.)  (Revised by Mario Carneiro,
       16-Nov-2014.) $)
    infeq5 $p |- ( E. x x C. U. x <-> _om e. _V ) $=
      ( vy vw cv cuni wpss wex com cvv wcel c0 wne wa df-pss wceq unieq eqtr2di
      wss uni0 eqid eqtr mpdan necon3i anim1i ancoms sylbi eximi crab cmpt crdg
      cin cres vex inf3lem7 exlimiv syl infeq5i impbii ) ADZUSEZFZAGZHIJZVBUSKL
      ZUSUTRZMZAGVCVAVFAVAVEUSUTLZMVFUSUTNVGVEVFVGVDVEUSKUSUTUSKOZKUTOUSUTOVHUT
      KEKUSKPSQUSKUTUAUBUCUDUEUFUGVFVCAABCUSUSBICDUSUKBDRCUSUHUIZKUJHULZVIVITVJ
      TAUMZVKUNUOUPAUQUR $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  ZF Set Theory - add the Axiom of Infinity
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Introduce the Axiom of Infinity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w $.
    $( Axiom of Infinity.  An axiom of Zermelo-Fraenkel set theory.  This axiom
       is the gateway to "Cantor's paradise" (an expression coined by Hilbert).
       It asserts that given a starting set ` x ` , an infinite set ` y ` built
       from it exists.  Although our version is apparently not given in the
       literature, it is similar to, but slightly shorter than, the Axiom of
       Infinity in [FreydScedrov] p. 283 (see ~ inf1 and ~ inf2 ).  More
       standard versions, which essentially state that there exists a set
       containing all the natural numbers, are shown as ~ zfinf2 and ~ omex and
       are based on the (nontrivial) proof of ~ inf3 .  This version has the
       advantage that when expanded to primitives, it has fewer symbols than
       the standard version ~ ax-inf2 .  Theorem ~ inf0 shows the reverse
       derivation of our axiom from a standard one.  Theorem ~ inf5 shows a
       very short way to state this axiom.

       The standard version of Infinity ~ ax-inf2 requires this axiom along
       with Regularity ~ ax-reg for its derivation (as Theorem ~ axinf2 below).
       In order to more easily identify the normal uses of Regularity, we will
       usually reference ~ ax-inf2 instead of this one.  The derivation of this
       axiom from ~ ax-inf2 is shown by Theorem ~ axinf .

       Proofs should normally use the standard version ~ ax-inf2 instead of
       this axiom.  (New usage is discouraged.)  (Contributed by NM,
       16-Aug-1993.) $)
    ax-inf $a |- E. y ( x e. y /\
                 A. z ( z e. y -> E. w ( z e. w /\ w e. y ) ) ) $.

    $( Axiom of Infinity expressed with the fewest number of different
       variables.  (New usage is discouraged.)  (Contributed by NM,
       14-Aug-2003.) $)
    zfinf $p |- E. x ( y e. x /\
                 A. y ( y e. x -> E. z ( y e. z /\ z e. x ) ) ) $=
      ( vw wel wa wex wi wal ax-inf elequ1 anbi1d exbidv imbi12d cbvalvw anbi2i
      weq exbii mpbi ) BAEZDAEZDCEZCAEZFZCGZHZDIZFZAGTTBCEZUCFZCGZHZBIZFZAGBADC
      JUHUNAUGUMTUFULDBDBQZUATUEUKDBAKUOUDUJCUOUBUIUCDBCKLMNOPRS $.

    $( A standard version of Axiom of Infinity, expanded to primitives, derived
       from our version of Infinity ~ ax-inf and Regularity ~ ax-reg .

       This theorem should not be referenced in any proof.  Instead, use
       ~ ax-inf2 below so that the ordinary uses of Regularity can be more
       easily identified.  (New usage is discouraged.)  (Contributed by NM,
       3-Nov-1996.) $)
    axinf2 $p |- E. x ( E. y ( y e. x /\ A. z -. z e. y ) /\ A. y ( y e. x ->
          E. z ( z e. x /\ A. w ( w e. z <-> ( w e. y \/ w = y ) ) ) ) ) $=
      ( c0 cv wcel wel csuc wi wal wa wex wn wceq com eleq2 wrex df-rex bitri
      wo wb peano1 peano2 ax-gen zfinf inf2 inf3 imbi12d albidv spcev mp2an 0el
      anbi12d sucel imbi2i albii anbi12i exbii mpbi ) EAFZGZBAHZBFZIZVAGZJZBKZL
      ZAMZVCCBHNCKZLBMZVCCAHDCHDBHDFVDOUAUBDKZLCMZJZBKZLZAMEPGZVDPGZVEPGZJZBKZV
      JUCWABVDUDUEVIVRWBLAPAABCABCUFUGUHVAPOZVBVRVHWBVAPEQWCVGWABWCVCVSVFVTVAPV
      DQVAPVEQUIUJUNUKULVIVQAVBVLVHVPVBVKBVARVLBCVAUMVKBVASTVGVOBVFVNVCVFVMCVAR
      VNCDVDVAUOVMCVASTUPUQURUSUT $.

    $( A standard version of Axiom of Infinity of ZF set theory.  In English,
       it says: there exists a set that contains the empty set and the
       successors of all of its members.  Theorem ~ zfinf2 shows it converted
       to abbreviations.  This axiom was derived as Theorem ~ axinf2 above,
       using our version of Infinity ~ ax-inf and the Axiom of Regularity
       ~ ax-reg .  We will reference ~ ax-inf2 instead of ~ axinf2 so that the
       ordinary uses of Regularity can be more easily identified.  The reverse
       derivation of ~ ax-inf from ~ ax-inf2 is shown by Theorem ~ axinf .
       (Contributed by NM, 3-Nov-1996.) $)
    ax-inf2 $a |- E. x ( E. y ( y e. x /\ A. z -. z e. y ) /\ A. y ( y e. x ->
          E. z ( z e. x /\ A. w ( w e. z <-> ( w e. y \/ w = y ) ) ) ) ) $.
  $}

  ${
    $d x y z w $.
    $( A standard version of the Axiom of Infinity, using definitions to
       abbreviate.  Axiom Inf of [BellMachover] p. 472.  (See ~ ax-inf2 for the
       unabbreviated version.)  (Contributed by NM, 30-Aug-1993.) $)
    zfinf2 $p |- E. x ( (/) e. x /\ A. y e. x suc y e. x ) $=
      ( vz vw c0 cv wcel csuc wral wa wex wel wn wal weq wo wrex df-rex bitri
      wb wi ax-inf2 0el sucel ralbii df-ral anbi12i exbii mpbir ) EAFZGZBFZHUJG
      ZBUJIZJZAKBALZCBLMCNZJBKZUPCALDCLDBLDBOPTDNZJCKZUABNZJZAKABCDUBUOVBAUKURU
      NVAUKUQBUJQURBCUJUCUQBUJRSUNUTBUJIVAUMUTBUJUMUSCUJQUTCDULUJUDUSCUJRSUEUTB
      UJUFSUGUHUI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Existence of omega (the set of natural numbers)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( The existence of omega (the class of natural numbers).  Axiom 7 of
       [TakeutiZaring] p. 43.  This theorem is proved assuming the Axiom of
       Infinity and in fact is equivalent to it, as shown by the reverse
       derivation ~ inf0 .

       A finitist (someone who doesn't believe in infinity) could, without
       contradiction, replace the Axiom of Infinity by its denial
       ` -. _om e. _V ` ; this would lead to ` _om = On ` by ~ omon and
       ` Fin = _V ` (the universe of all sets) by ~ fineqv .  The finitist
       could still develop natural number, integer, and rational number
       arithmetic but would be denied the real numbers (as well as much of the
       rest of mathematics).  In deference to the finitist, much of our
       development is done, when possible, without invoking the Axiom of
       Infinity; an example is Peano's axioms ~ peano1 through ~ peano5 (which
       many textbooks prove more easily assuming Infinity).  (Contributed by
       NM, 6-Aug-1994.) $)
    omex $p |- _om e. _V $=
      ( vx vy c0 cv wcel csuc wral wa wex com wss zfinf2 wi ax-1 ralimi2 peano5
      cvv sylan2 eximi vex ssex exlimiv mp2b ) CADZEZBDZFUDEZBUDGZHZAIJUDKZAIJQ
      EZABLUIUJAUHUEUFUDEUGMZBJGUJUGULBUDJULUFJENOBUDPRSUJUKAJUDATUAUBUC $.
  $}

  ${
    $d x y z w $.
    $( The first version of the Axiom of Infinity ~ ax-inf proved from the
       second version ~ ax-inf2 .  Note that we didn't use ~ ax-reg , unlike
       the other direction ~ axinf2 .  (Contributed by NM, 24-Apr-2009.) $)
    axinf $p |- E. y ( x e. y /\
                 A. z ( z e. y -> E. w ( z e. w /\ w e. y ) ) ) $=
      ( com cvv wcel wel wa wex wi wal omex inf0 ax-mp ) EFGABHCBHCDHDBHIDJKCLI
      BJMABCDFNO $.
  $}

  $( The statement "there exists a set that is a proper subset of its union" is
     equivalent to the Axiom of Infinity (see Theorem ~ infeq5 ).  This
     provides us with a very compact way to express the Axiom of Infinity using
     only elementary symbols.  (Contributed by NM, 3-Jun-2005.) $)
  inf5 $p |- E. x x C. U. x $=
    ( com cvv wcel cv cuni wpss wex omex infeq5i ax-mp ) BCDAEZLFGAHIAJK $.

  $( Omega is an ordinal number.  (Contributed by NM, 10-May-1998.)  (Revised
     by Mario Carneiro, 30-Jan-2013.) $)
  omelon $p |- _om e. On $=
    ( com cvv wcel con0 omex omelon2 ax-mp ) ABCADCEFG $.

  ${
    $d x y z $.
    $( The class of natural numbers ` _om ` can be defined as the intersection
       of all inductive sets (which is the smallest inductive set, since
       inductive sets are closed under intersection), which is valid provided
       we assume the Axiom of Infinity.  Definition 6.3 of [Eisenberg] p. 82.
       (Contributed by NM, 6-Aug-1994.) $)
    dfom3 $p |- _om = |^| { x | ( (/) e. x /\ A. y e. x suc y e. x ) } $=
      ( vz com c0 cv wcel csuc wral wa cab cint wss 0ex elintab simpl wal eleq2
      wi wceq mpgbir suceq eleq1d rspccv adantl a2i alimi vex sucex rgenw mp2an
      3imtr4i peano5 peano1 peano2 rgen raleqbi1dv anbi12d imbi12d sylbi mp2ani
      omex spcv ssriv eqssi ) DEAFZGZBFZHZVFGZBVFIZJZAKLZEVMGZCFZVMGZVOHZVMGZSZ
      CDIDVMMVNVLVGSAVLAENOVGVKPUAVSCDVLVOVFGZSZAQZVLVQVFGZSZAQVPVRWAWDAVLVTWCV
      KVTWCSVGVJWCBVOVFVHVOTVIVQVFVHVOUBUCUDUEUFUGVLAVOCUHZOZVLAVQVOWEUIOULUJCV
      MUMUKCVMDVPEDGZVIDGZBDIZVODGZUNWHBDVHUOUPVPWBWGWIJZWJSZWFWAWLADVBVFDTZVLW
      KVTWJWMVGWGVKWIVFDERVJWHBVFDVFDVIRUQURVFDVORUSVCUTVAVDVE $.
  $}

  ${
    $d A x $.
    $( A simplification of ~ elom assuming the Axiom of Infinity.  (Contributed
       by NM, 30-May-2003.) $)
    elom3 $p |- ( A e. _om <-> A. x ( Lim x -> A e. x ) ) $=
      ( com wcel con0 cv wlim wi wal wa elom limom omex wceq limeq imbi12d spcv
      eleq2 mpi nnon syl pm4.71ri bitr4i ) BCDZBEDZAFZGZBUFDZHZAIZJUJABKUJUEUJU
      DUEUJCGZUDLUIUKUDHACMUFCNUGUKUHUDUFCOUFCBRPQSBTUAUBUC $.
  $}

  ${
    $d x y $.
    $( A simplification of ~ df-om assuming the Axiom of Infinity.
       (Contributed by NM, 30-May-2003.) $)
    dfom4 $p |- _om = { x | A. y ( Lim y -> x e. y ) } $=
      ( cv wlim wel wi wal com elom3 abbi2i ) BCDABEFBGAHBACIJ $.
  $}

  ${
    $d x y $.
    $( ` _om ` is the smallest limit ordinal and can be defined as such
       (although the Axiom of Infinity is needed to ensure that at least one
       limit ordinal exists).  (Contributed by FL, 22-Feb-2011.)  (Revised by
       Mario Carneiro, 2-Feb-2013.) $)
    dfom5 $p |- _om = |^| { x | Lim x } $=
      ( vy com cv wlim cab cint wcel wel wi wal elom3 vex elintab bitr4i eqriv
      ) BCADEZAFGZBDZCHQBAIJAKSRHASLQASBMNOP $.
  $}

  $( Ordinal addition is not commutative.  This theorem shows a counterexample.
     Remark in [TakeutiZaring] p. 60.  (Contributed by NM, 10-Dec-2004.) $)
  oancom $p |- ( 1o +o _om ) =/= ( _om +o 1o ) $=
    ( c1o com coa wcel wne csuc omex sucid con0 wceq omelon 1onn oaabslem mp2an
    co oa1suc ax-mp 3eltr4i 1on oacl wss wa wb onelpss simprbi ) ABCOZBACOZDZUF
    UGEZBBFZUFUGBGHBIDZABDUFBJKLAMNUKUGUJJKBPQRUHUFUGUAZUIUFIDZUGIDZUHULUIUBUCA
    IDZUKUMSKABTNUKUOUNKSBATNUFUGUDNUEQ $.

  $( A set is finite iff it is strictly dominated by the class of natural
     number.  Theorem 42 of [Suppes] p. 151.  The Axiom of Infinity is used for
     the forward implication.  (Contributed by FL, 16-Apr-2011.) $)
  isfinite $p |- ( A e. Fin <-> A ~< _om ) $=
    ( com cvv wcel cfn csdm wbr wb omex isfiniteg ax-mp ) BCDAEDABFGHIAJK $.

  $( A finite set is countable (weaker version of ~ isfinite ).  (Contributed
     by Thierry Arnoux, 27-Mar-2018.) $)
  fict $p |- ( A e. Fin -> A ~<_ _om ) $=
    ( cfn wcel com csdm wbr cdom isfinite sdomdom sylbi ) ABCADEFADGFAHADIJ $.

  $( A natural number is strictly dominated by the set of natural numbers.
     Example 3 of [Enderton] p. 146.  (Contributed by NM, 28-Oct-2003.) $)
  nnsdom $p |- ( A e. _om -> A ~< _om ) $=
    ( com cvv wcel csdm wbr omex nnsdomg mpan ) BCDABDABEFGAHI $.

  $( Omega is equinumerous to a proper subset of itself.  Example 13.2(4) of
     [Eisenberg] p. 216.  (Contributed by NM, 30-Jul-2003.) $)
  omenps $p |- _om ~~ ( _om \ { (/) } ) $=
    ( com cvv wcel c0 csn cdif cen wbr omex limom limenpsi ax-mp ) ABCAADEFGHIA
    BJKL $.

  $( The set of natural numbers is equinumerous to its successor.  (Contributed
     by NM, 30-Oct-2003.) $)
  omensuc $p |- _om ~~ suc _om $=
    ( com cvv wcel csuc cen wbr omex limom limensuci ax-mp ) ABCAADEFGABHIJ $.

  ${
    $d f x y z A $.  $d f x y z B $.
    $( Removing a singleton from an infinite set does not change the
       cardinality of the set.  (Contributed by Mario Carneiro, 30-Apr-2015.)
       (Revised by Mario Carneiro, 16-May-2015.) $)
    infdifsn $p |- ( _om ~<_ A -> ( A \ { B } ) ~~ A ) $=
      ( vf com cdom wbr wcel csn cdif cen wa cvv adantl peano1 sylancl cun wceq
      c0 syl wss wf1 wex brdomi adantr cfv reldom brrelex2i ad2antrr simplr f1f
      cv wf ffvelrn difsnen syl3anc crn cin wf1o f1f1orn f1oen3g sylancr ensymd
      vex brrelex1i limom limenpsi cima cres resex simpr difss f1ores ccnv wfun
      f1orn simprbi imadif 3syl f1fn fnima fnsnfv eqcomd difeq12d eqtrd breqtrd
      wfn entr syl2anc difexg disjdif a1i ssrin ax-mp sseq0 mp2an unen syl22anc
      enrefg frnd undif sylib uncom eldifn fnfvelrn disjsn sylibr undif4 eqtrid
      wn nsyl3 difeq1d 3brtr3d exlimddv difsn eqbrtrd pm2.61dan ) DAEFZBAGZABHI
      ZAJFZXQXRKZDACUKZUAZXTCXQYCCUBXRDACUCUDYAYCKZXSARYBUEZHZIZJFZYGAJFXTYDALG
      ZXRYEAGZYHXQYIXRYCDAEUFUGZUHZXQXRYCUIYDDAYBULZRDGZYJYCYMYADAYBUJMZNDARYBU
      MOBYELAUNUOYDAYGYDYBUPZAYPIZPZYPYFIZYQPZAYGJYDYPYSJFZYQYQJFZYPYQUQZRQZYSY
      QUQZRQZYRYTJFYDYPDJFDYSJFZUUAYDDYPYDYBLGDYPYBURZDYPJFCVCZYCUUHYADAYBUSMZD
      YPYBLUTVAVBYDDDRHZIZJFZUULYSJFUUGYDDLGZUUMXQUUNXRYCDAEUFVDUHDLVEVFSYDUULY
      BUULVGZYSJYDYBUULVHZLGUULUUOUUPURZUULUUOJFYBUULUUIVIYDYCUULDTUUQYAYCVJDUU
      KVKDAUULYBVLOUULUUOUUPLUTVAYDUUOYBDVGZYBUUKVGZIZYSYDUUHYBVMVNZUUOUUTQUUJU
      UHYBDWFZUVADYBVOVPDUUKYBVQVRYDUURYPUUSYFYDUVBUURYPQYCUVBYADAYBVSMZDYBVTSY
      DYFUUSYDUVBYNYFUUSQUVCNDRYBWAOWBWCWDWEDUULYSWGWHYPDYSWGWHYDYIYQLGUUBYLAYP
      LWIYQLWRVRUUDYDYPAWJZWKUUFYDUUEUUCTZUUDUUFYSYPTUVEYPYFVKYSYPYQWLWMUVDUUEU
      UCWNWOWKYPYSYQYQWPWQYDYPATYRAQYDDAYBYOWSYPAWTXAZYDYTYQYSPZYGYSYQXBYDUVGYQ
      YPPZYFIZYGYDYQYFUQRQZUVGUVIQYDYEYQGZXIUVJUVKYEYPGZYDYEAYPXCYDUVBYNUVLUVCN
      DRYBXDOXJYQYEXEXFYQYPYFXGSYDUVHAYFYDUVHYRAYQYPXBUVFXHXKWDXHXLVBXSYGAWGWHX
      MXQXRXIZKXSAAJUVMXSAQXQBAXNMXQAAJFZUVMXQYIUVNYKALWRSUDXOXP $.

    $( Removing a finite set from an infinite set does not change the
       cardinality of the set.  (Contributed by Mario Carneiro,
       30-Apr-2015.) $)
    infdiffi $p |- ( ( _om ~<_ A /\ B e. Fin ) -> ( A \ B ) ~~ A ) $=
      ( vx vy vz cfn wcel com cdom wbr cdif cen cv wi wceq difeq2 eqtrdi breq1d
      c0 imbi2d csn dif0 cun difun1 cvv reldom brrelex2i enrefg syl wa biimparc
      domen2 infdifsn entr sylancom ex a2i a1i findcard2 impcom ) BFGHAIJZABKZA
      LJZVAACMZKZALJZNVAAALJZNVAADMZKZALJZNZVAVIEMZUAZKZALJZNZVAVCNCDEBVDSOZVFV
      GVAVQVEAALVQVEASKAVDSAPAUBQRTVDVHOZVFVJVAVRVEVIALVDVHAPRTVDVHVMUCZOZVFVOV
      AVTVEVNALVTVEAVSKVNVDVSAPAVHVMUDQRTVDBOZVFVCVAWAVEVBALVDBAPRTVAAUEGVGHAIU
      FUGAUEUHUIVKVPNVHFGVAVJVOVAVJVOVAVJVNVILJZVOVAVJUJHVIIJZWBVJWCVAVIAHULUKV
      IVLUMUIVNVIAUNUOUPUQURUSUT $.
  $}

  ${
    $d x y A $.
    $( Any unbounded subset of natural numbers is equinumerous to the set of
       all natural numbers.  This version of ~ unbnn eliminates its hypothesis
       by assuming the Axiom of Infinity.  (Contributed by NM, 4-May-2005.) $)
    unbnn3 $p |- ( ( A C_ _om /\ A. x e. _om E. y e. A x e. y )
        -> A ~~ _om ) $=
      ( com cvv wcel wss wel wrex wral cen wbr omex unbnn mp3an1 ) DEFCDGABHBCI
      ADJCDKLMABCNO $.
  $}

  ${
    $d w x y z F $.
    $( Using the Axiom of Regularity in the form ~ zfregfr , show that there
       are no infinite descending ` e. ` -chains.  Proposition 7.34 of
       [TakeutiZaring] p. 44.  (Contributed by NM, 26-Jan-2006.)  (Revised by
       Mario Carneiro, 22-Mar-2013.) $)
    noinfep $p |- E. x e. _om ( F ` suc x ) e/ ( F ` x ) $=
      ( vz vy vw cv cep wn com cfv wrex wnel cvv wcel c0 wne wceq fvex ax-mp wi
      wbr cmpt crn wral csuc wfr omex mptex rnex zfregfr ssid dmmptg fvexd mprg
      wss cdm peano1 ne0ii eqnetri dm0rn0 necon3bii mpbi fri wfn wb eqid fnmpti
      mp4an fvelrnb peano2 fveq2 fvmpt syl fnfvelrn sylancr eqeltrrd epel eleq1
      syl5bb notbid df-nel bitr4di rspccv syl5com eqeq1 syl5ibcom neleq2 biimpd
      wel syl6 com23 syldc reximdvai syl5bi com12 rexlimiv ) CFZDFZGUAZHZCEIEFZ
      BJZUBZUCZUDZDXDKZAFZUEZBJZXGBJZLZAIKZXDMNXDGUFXDXDUOXDOPZXFXCEIXBUGUHUIXD
      UJXDUKXCUPZOPXMXNIOXBMNXNIQEIEIXBMULXAINXABUMUNOIUQURUSXNOXDOXCUTVAVBDCXD
      XDMGVCVHXEXLDXDXEWRXDNZXLXOXGXCJZWRQZAIKZXEXLXCIVDZXOXRVEEIXBXCXABRXCVFZV
      GZAIWRXCVISXEXQXKAIXGINZXEXIWRLZXQXKTYBXIXDNXEYCYBXHXCJZXIXDYBXHINZYDXIQX
      GVJZEXHXBXIIXCXAXHBVKXTXHBRVLVMYBXSYEYDXDNYAYFIXHXCVNVOVPWTYCCXIXDWQXIQZW
      TXIWRNZHYCYGWSYHWSCDWIYGYHDWQVQWQXIWRVRVSVTXIWRWAWBWCWDYBXQYCXKYBXQWRXJQZ
      YCXKTYBXPXJQXQYIEXGXBXJIXCXAXGBVKXTXGBRVLXPWRXJWEWFYIYCXKWRXJXIWGWHWJWKWL
      WMWNWOWPS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cantor normal form
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CNF $.

  $( Extend class notation with the Cantor normal form function. $)
  ccnf $a class CNF $.

  ${
    $d x y f g h k z $.
    $( Define the Cantor normal form function, which takes as input a finitely
       supported function from ` y ` to ` x ` and outputs the corresponding
       member of the ordinal exponential ` x ^o y ` .  The content of the
       original Cantor Normal Form theorem is that for ` x = _om ` this
       function is a bijection onto ` _om ^o y ` for any ordinal ` y ` (or,
       since the function restricts naturally to different ordinals, the
       statement that the composite function is a bijection to ` On ` ).  More
       can be said about the function, however, and in particular it is an
       order isomorphism for a certain easily defined well-ordering of the
       finitely supported functions, which gives an alternate definition
       ~ cantnffval2 of this function in terms of ~ df-oi .  (Contributed by
       Mario Carneiro, 25-May-2015.)  (Revised by AV, 28-Jun-2019.) $)
    df-cnf $a |- CNF = ( x e. On , y e. On |->
      ( f e. { g e. ( x ^m y ) | g finSupp (/) } |->
        [_ OrdIso ( _E , ( f supp (/) ) ) / h ]_
        ( seqom ( ( k e. _V , z e. _V |-> ( ( ( x ^o ( h ` k ) ) .o
          ( f ` ( h ` k ) ) ) +o z ) ) , (/) ) ` dom h ) ) ) $.
  $}

  ${
    $d f g h k x y z A $.  $d f g h k x y z B $.  $d f x y S $.
    cantnffval.s $e |- S = { g e. ( A ^m B ) | g finSupp (/) } $.
    cantnffval.a $e |- ( ph -> A e. On ) $.
    cantnffval.b $e |- ( ph -> B e. On ) $.
    $( The value of the Cantor normal form function.  (Contributed by Mario
       Carneiro, 25-May-2015.)  (Revised by AV, 28-Jun-2019.) $)
    cantnffval $p |- ( ph -> ( A CNF B ) =
      ( f e. S |-> [_ OrdIso ( _E , ( f supp (/) ) ) / h ]_
        ( seqom ( ( k e. _V , z e. _V |-> ( ( ( A ^o ( h ` k ) ) .o
          ( f ` ( h ` k ) ) ) +o z ) ) , (/) ) ` dom h ) ) ) $=
      ( con0 wcel co cv c0 cvv cfv wceq vx ccnf csupp cep coi cdm coe comu cmpo
      vy coa cseqom csb cmpt cfsupp wbr cmap crab wa oveq12 rabeqdv eqtr4di w3a
      simp1l oveq1d mpoeq3dva seqomeq12 fveq1d csbeq2dv mpteq12dv df-cnf rabex2
      eqid sylancl ovex mptex ovmpoa syl2anc ) ACMNDMNCDUBOFEHFPZQUCOUDUEZHPZUF
      ZIBRRCIPZWASZUGOZWDVSSZUHOZBPZUKOZUIZQULZSZUMZUNZTKLUAUJCDMMFGPQUOUPZGUAP
      ZUJPZUQOZURZHVTWBIBRRWPWDUGOZWFUHOZWHUKOZUIZQULZSZUMZUNWNUBWPCTZWQDTZUSZF
      WSXFEWMXIWSWOGCDUQOZUREXIWOGWRXJWPCWQDUQUTVAJVBXIHVTXEWLXIWBXDWKXIXCWJTQQ
      TXDWKTXIIBRRXBWIXIWCRNZWHRNZVCZXAWGWHUKXMWTWEWFUHXMWPCWDUGXGXHXKXLVDVEVEV
      EVFQVMXCWJQQVGVNVHVIVJUAUJBFGHIVKFEWMWOGXJEJCDUQVOVLVPVQVR $.

    $( The domain of the Cantor normal form function (in later lemmas we will
       use ` dom ( A CNF B ) ` to abbreviate "the set of finitely supported
       functions from ` B ` to ` A ` ").  (Contributed by Mario Carneiro,
       25-May-2015.)  (Revised by AV, 28-Jun-2019.) $)
    cantnfdm $p |- ( ph -> dom ( A CNF B ) = S ) $=
      ( vf vh vk vz ccnf co cdm cv c0 csupp cvv cfv cep coi coe comu coa cseqom
      cmpo cmpt cantnffval dmeqd wcel wral wceq csbex rgenw dmmptg ax-mp eqtrdi
      csb fvex ) ABCMNZOIDJIPZQRNUAUBZJPZOZKLSSBKPVDTZUCNVFVBTUDNLPUENUGQUFZTZU
      SZUHZOZDAVAVJALBCDIEJKFGHUIUJVISUKZIDULVKDUMVLIDJVCVHVEVGUTUNUOIDVISUPUQU
      R $.
  $}

  ${
    $d k z A $.  $d k z B $.  $d x y F $.
    cantnfvalf.f $e |- F =
      seqom ( ( k e. A , z e. B |-> ( C +o D ) ) , (/) ) $.
    $( Lemma for ~ cantnf .  The function appearing in ~ cantnfval is
       unconditionally a function.  (Contributed by Mario Carneiro,
       20-May-2015.) $)
    cantnfvalf $p |- F : _om --> On $=
      ( vx vy com con0 wf cfv wcel wral coa co c0 wceq wfn cv cmpo fnseqom csuc
      wrex wo nn0suc fveq2 cvv 0ex seqom0g ax-mp eqtrdi 0elon eqeltrdi seqomsuc
      cop df-ov cxp fnoa oacl rgen2 ffnov mpbir2an f0cli eqeltri eqid fmpo mpbi
      rgen2w eleq1d syl5ibrcom rexlimiv jaoi syl rgen ffnfv ) KLGMGKUAIUBZGNZLO
      ZIKPFABCDEQRZUCZGSHUDWAIKVSKOVSSTZVSJUBZUEZTZJKUFZUGWAJVSUHWDWAWHWDVTSLWD
      VTSGNZSVSSGUISUJOWISTUKWCGSUJHULUMUNUOUPWGWAJKWEKOZWAWGWFGNZLOWJWKWEWEGNZ
      URZWCNZLWJWKWEWLWCRWNWEWCGSHUQWEWLWCUSUNBCUTZLWMWCWBLOZACPFBPWOLWCMWPFABC
      WBDEURZQNLDEQUSLLUTZLWQQWRLQMQWRUAVSWEQRLOZJLPILPVAWSIJLLVSWEVBVCIJLLLQVD
      VEUOVFVGVKFABCWBLWCWCVHVIVJUOVFUPWGVTWKLVSWFGUIVLVMVNVOVPVQIKLGVRVE $.
  $}

  ${
    $d c f g h k n t u v w x y z B $.  $d a b c d g w x y z C $.  $d k n z D $.
    $d a b c d f g h k n t u v w x y z A $.  $d x y M $.  $d c f g k t u v T $.
    $d f g h k u v w x y z F $.  $d c f g k t u v x y z S $.  $d g t x y z Z $.
    $d c f h k t u v w x y z G $.  $d f h u v x y H $.  $d k t u v x z K $.
    $d k u w x y z O $.  $d f g k n t u v x y z ph $.  $d k t w x y z Y $.
    $d a b d k t u w x y z X $.
    cantnfs.s $e |- S = dom ( A CNF B ) $.
    cantnfs.a $e |- ( ph -> A e. On ) $.
    cantnfs.b $e |- ( ph -> B e. On ) $.
    $( Elementhood in the set of finitely supported functions from ` B ` to
       ` A ` .  (Contributed by Mario Carneiro, 25-May-2015.)  (Revised by AV,
       28-Jun-2019.) $)
    cantnfs $p |- ( ph -> ( F e. S <->
                               ( F : B --> A /\ F finSupp (/) ) ) ) $=
      ( vg wcel cmap co c0 cfsupp wbr wa wf cv crab con0 ccnf cdm eqid cantnfdm
      eqtrid eleq2d breq1 elrab bitrdi elmapd anbi1d bitrd ) AEDJZEBCKLZJZEMNOZ
      PZCBEQZUPPAUMEIRZMNOZIUNSZJUQADVAEADBCUALUBVAFABCVAIVAUCGHUDUEUFUTUPIEUNU
      SEMNUGUHUIAUOURUPABCETTGHUJUKUL $.

    ${
      cantnfcl.g $e |- G = OrdIso ( _E , ( F supp (/) ) ) $.
      cantnfcl.f $e |- ( ph -> F e. S ) $.
      $( Basic properties of the order isomorphism ` G ` used later.  The
         support of an ` F e. S ` is a finite subset of ` A ` , so it is
         well-ordered by ` _E ` and the order isomorphism has domain a finite
         ordinal.  (Contributed by Mario Carneiro, 25-May-2015.)  (Revised by
         AV, 28-Jun-2019.) $)
      cantnfcl $p |- ( ph -> ( _E We ( F supp (/) ) /\ dom G e. _om ) ) $=
        ( c0 csupp cep wwe com wcel con0 cfn cvv co cdm wss suppssdm cfsupp wbr
        wf wa cantnfs mpbid simpld fssdm onss syl sstrd epweon mpisyl cin ovexd
        wess oion cen simprd fsuppimpd syl2anc enfii elind onfin2 eleqtrrdi jca
        oien ) AELMUAZNOZFUBZPQAVLRUCRNOVMAVLCRACBVLEELUDACBEUGZELUEUFZAEDQVOVP
        UHKABCDEGHIUIUJZUKULACRQCRUCICUMUNUOUPVLRNUTUQZAVNRSURPARSVNAVLTQZVNRQA
        ELMUSZVLNFTJVAUNAVLSQVNVLVBUFZVNSQAELAVOVPVQVCVDAVSVMWAVTVRVLNFTJVKVEVN
        VLVFVEVGVHVIVJ $.

      cantnfval.h $e |- H = seqom ( ( k e. _V , z e. _V |->
        ( ( ( A ^o ( G ` k ) ) .o ( F ` ( G ` k ) ) ) +o z ) ) , (/) ) $.
      $( The value of the Cantor normal form function.  (Contributed by Mario
         Carneiro, 25-May-2015.)  (Revised by AV, 28-Jun-2019.) $)
      cantnfval $p |- ( ph -> ( ( A CNF B ) ` F ) = ( H ` dom G ) ) $=
        ( co cfv c0 cvv wceq vf vg vh ccnf cv cfsupp wbr cmap csupp cep coi cdm
        crab coe comu coa cmpo cseqom cmpt eqid cantnffval fveq1d wcel cantnfdm
        csb eqtrid eleqtrd ovex oiexg mp1i simpr oveq1 adantr oieq2 syl eqtr4di
        wa eqtrd oveq2d simpl fveq12d oveq12d oveq1d mpoeq3dv seqomeq12 sylancl
        dmeqd csbied fvex fvmpt ) AGCDUDPZQGUAUBUERUFUGUBCDUHPUMZUCUAUEZRUIPZUJ
        UKZUCUEZULZFBSSCFUEZWPQZUNPZWSWMQZUOPZBUEZUPPZUQZRURZQZVEZUSZQZHULZIQZA
        GWKXIABCDWLUAUBUCFWLUTZKLVAVBAGWLVCXJXLTAGEWLNAEWKULWLJACDWLUBXMKLVDVFV
        GUAGXHXLWLXIWMGTZUCWOXGXLSWNSVCWOSVCXNWMRUIVHWNUJWOSWOUTVIVJXNWPWOTZVQZ
        WQXKXFIXPXFFBSSCWRHQZUNPZXQGQZUOPZXCUPPZUQZRURZIXPXEYBTRRTXFYCTXPFBSSXD
        YAXPXBXTXCUPXPWTXRXAXSUOXPWSXQCUNXPWRWPHXPWPGRUIPZUJUKZHXPWPWOYEXNXOVKX
        PWNYDTZWOYETXNYFXOWMGRUIVLVMWNYDUJVNVOVRMVPZVBZVSXPWSXQWMGXNXOVTYHWAWBW
        CWDRUTXEYBRRWEWFOVPXPWPHYGWGWAWHXIUTXKIWIWJVOVR $.

      $( Alternate expression for the value of the Cantor normal form function.
         (Contributed by Mario Carneiro, 25-May-2015.)  (Revised by AV,
         28-Jun-2019.) $)
      cantnfval2 $p |- ( ph -> ( ( A CNF B ) ` F ) =
          ( seqom ( ( k e. dom G , z e. On |-> ( ( ( A ^o ( G ` k ) ) .o
            ( F ` ( G ` k ) ) ) +o z ) ) , (/) ) ` dom G ) ) $=
        ( co cfv c0 wceq wi vu ccnf cdm con0 coe comu coa cmpo cseqom cantnfval
        vv wss ssid com wcel csupp cep wwe cantnfcl simprd csuc sseq1 fveq2 cvv
        cv 0ex seqom0g ax-mp eqtrdi eqid eqeq12d imbi12d imbi2d 2a1i wa sssucid
        sstr mpan imim1i oveq2 seqomsuc ad2antrl cres resmpo mp2an oveqi simprr
        cxp ssv vex sucid a1i cantnfvalf ffvelrni ovres syl2anc eqtr3id syl5ibr
        sseldd eqtrd expr a2d syl5 expcom finds mpcom mpi ) AGCDUBPQHUCZIQZXHFB
        XHUDCFVEHQZUEPXJGQUFPZBVEZUGPZUHZRUIZQZABCDEFGHIJKLMNOUJAXHXHULZXIXPSZX
        HUMXHUNUOZAXQXRTZAGRUPPUQURXSACDEGHJKLMNUSUTAUAVEZXHULZYAIQZYAXOQZSZTZT
        ARXHULZRRSZTZTAUKVEZXHULZYJIQZYJXOQZSZTZTAYJVAZXHULZYPIQZYPXOQZSZTZTAXT
        TUAUKXHYARSZYFYIAUUBYBYGYEYHYARXHVBUUBYCRYDRUUBYCRIQZRYARIVCRVDUOZUUCRS
        VFFBVDVDXMUHZIRVDOVGVHVIUUBYDRXOQZRYARXOVCUUDUUFRSVFXNXORVDXOVJZVGVHVIV
        KVLVMYAYJSZYFYOAUUHYBYKYEYNYAYJXHVBUUHYCYLYDYMYAYJIVCYAYJXOVCVKVLVMYAYP
        SZYFUUAAUUIYBYQYEYTYAYPXHVBUUIYCYRYDYSYAYPIVCYAYPXOVCVKVLVMYAXHSZYFXTAU
        UJYBXQYEXRYAXHXHVBUUJYCXIYDXPYAXHIVCYAXHXOVCVKVLVMYHAYGRVJVNYJUNUOZAYOU
        UAAUUKYOUUATYOYQYNTAUUKVOZUUAYQYKYNYJYPULYQYKYJVPYJYPXHVQVRVSUULYQYNYTA
        UUKYQYNYTTYNYTAUUKYQVOVOZYJYLUUEPZYJYMUUEPZSYLYMYJUUEVTUUMYRUUNYSUUOUUK
        YRUUNSAYQYJUUEIROWAWBUUMYSYJYMXNPZUUOUUKYSUUPSAYQYJXNXORUUGWAWBUUMUUPYJ
        YMUUEXHUDWHWCZPZUUOUUQXNYJYMXHVDULUDVDULUUQXNSXHWIUDWIFBVDVDXHUDXMWDWEW
        FUUMYJXHUOYMUDUOZUURUUOSUUMYPXHYJAUUKYQWGYJYPUOUUMYJUKWJWKWLWSUUKUUSAYQ
        UNUDYJXOBXHUDXKXLFXOUUGWMWNWBYJYMXHUDUUEWOWPWQWTVKWRXAXBXCXDXBXEXFXGWT
        $.

      $( The value of the recursive function ` H ` at a successor.
         (Contributed by Mario Carneiro, 25-May-2015.)  (Revised by AV,
         28-Jun-2019.) $)
      cantnfsuc $p |- ( ( ph /\ K e. _om ) -> ( H ` suc K ) =
        ( ( ( A ^o ( G ` K ) ) .o ( F ` ( G ` K ) ) ) +o ( H ` K ) ) ) $=
        ( cfv cvv co coa vu vv com wcel wa csuc cv coe comu cmpo wceq c0 adantl
        seqomsuc elex fvex simpl fveq2d oveq2d oveq12d simpr fveq2 oveq1d oveq2
        cbvmpov ovex ovmpoa sylancl eqtrd ) AJUCUDZUEZJUFIQZJJIQZFBRRCFUGZHQZUH
        SZVOGQZUISZBUGZTSZUJZSZCJHQZUHSZWCGQZUISZVMTSZVJVLWBUKAJWAIULPUNUMVKJRU
        DZVMRUDWBWGUKVJWHAJUCUOUMJIUPUAUBJVMRRCUAUGZHQZUHSZWJGQZUISZUBUGZTSZWGW
        AWIJUKZWNVMUKZUEZWMWFWNVMTWRWKWDWLWEUIWRWJWCCUHWRWIJHWPWQUQURZUSWRWJWCG
        WSURUTWPWQVAUTFBUAUBRRVTWOWMVSTSVNWIUKZVRWMVSTWTVPWKVQWLUIWTVOWJCUHVNWI
        HVBZUSWTVOWJGXAURUTVCVSWNWMTVDVEWFVMTVFVGVHVI $.

      ${
        cantnfle.c $e |- ( ph -> C e. B ) $.
        $( A lower bound on the ` CNF ` function.  Since
           ` ( ( A CNF B ) `` F ) ` is defined as the sum of
           ` ( A ^o x ) .o ( F `` x ) ` over all ` x ` in the support of
           ` F ` , it is larger than any of these terms (and all other terms
           are zero, so we can extend the statement to all ` C e. B ` instead
           of just those ` C ` in the support).  (Contributed by Mario
           Carneiro, 28-May-2015.)  (Revised by AV, 28-Jun-2019.) $)
        cantnfle $p |- ( ph ->
            ( ( A ^o C ) .o ( F ` C ) ) C_ ( ( A CNF B ) ` F ) ) $=
          ( wss c0 wcel vx vy coe co cfv comu ccnf wceq oveq2 sseq1d wne wa cdm
          ccnv csupp wf1o wf cep wiso cvv wwe ovexd com cantnfcl simpld syl2anc
          oiiso isof1o syl adantr f1ocnv f1of 3syl anim1i wfn wb cfsupp cantnfs
          con0 wbr mpbid ffnd 0ex elsuppfn syl3anc mpbird ffvelrnd wi simprd cv
          a1i eqimss biantrurd eleq2 bitr3d fveq2 sseq2d imbi12d imbi2d anbi12d
          csuc sseq1 noel pm2.21i adantl wo fvex elsuc sssucid sstr mpan simprr
          ad2antrl pm2.27 cantnfvalf ffvelrni ad2antlr ad3antrrr suppssdm fssdm
          coa sucidg sseldd oif onelon oecl oaword2 cantnfsuc ad4ant13 sseqtrrd
          simpr omcl expcom adantrr syld expr fveq2d f1ocnvfv2 ad2antrr eqtr3d
          oveq2d oveq12d oaword1 eqsstrrd a1dd jaod syl5bi expimpd com23 finds2
          vtoclga mpcom mpd cantnfval om0 0ss eqsstrdi pm2.61ne ) ACEUCUDZEHUEZ
          UFUDZHCDUGUDUEZRUUSSUFUDZUVBRUUTSUUTSUHUVAUVCUVBUUTSUUSUFUIUJAUUTSUKZ
          ULZUVAIUMZJUEZUVBUVEEIUNZUEZUVFTZUVAUVGRZUVEHSUOUDZUVFEUVHUVEUVFUVLIU
          PZUVLUVFUVHUPUVLUVFUVHUQAUVMUVDAUVFUVLURURIUSZUVMAUVLUTTUVLURVAZUVNAH
          SUOVBAUVOUVFVCTZACDFHIKLMNOVDZVEUVLURIUTNVGVFUVFUVLURURIVHVIVJZUVFUVL
          IVKUVLUVFUVHVLVMUVEEUVLTZEDTZUVDULZAUVTUVDQVNUVEHDVODVSTZSUTTZUVSUWAV
          PUVEDCHADCHUQZUVDAUWDHSVQVTZAHFTUWDUWEULOACDFHKLMVRWAVEZVJWBAUWBUVDMV
          JUWCUVEWCWKEHVSUTDSWDWEWFZWGUVPUVEUVJUVKWHZAUVPUVDAUVOUVPUVQWIVJUVEUA
          WJZUVFRZUVIUWITZULZUVAUWIJUEZRZWHZWHUVEUWHWHUAUVFVCUWIUVFUHZUWOUWHUVE
          UWPUWLUVJUWNUVKUWPUWKUWLUVJUWPUWJUWKUWIUVFWLWMUWIUVFUVIWNWOUWPUWMUVGU
          VAUWIUVFJWPWQWRWSUWOSUVFRZUVISTZULZUVASJUEZRZWHZUBWJZUVFRZUVIUXCTZULZ
          UVAUXCJUEZRZWHZUXCXAZUVFRZUVIUXJTZULZUVAUXJJUEZRZWHZUVEUAUBUWISUHZUWL
          UWSUWNUXAUXQUWJUWQUWKUWRUWISUVFXBUWISUVIWNWTUXQUWMUWTUVAUWISJWPWQWRUW
          IUXCUHZUWLUXFUWNUXHUXRUWJUXDUWKUXEUWIUXCUVFXBUWIUXCUVIWNWTUXRUWMUXGUV
          AUWIUXCJWPWQWRUWIUXJUHZUWLUXMUWNUXOUXSUWJUXKUWKUXLUWIUXJUVFXBUWIUXJUV
          IWNWTUXSUWMUXNUVAUWIUXJJWPWQWRUXBUVEUWRUXAUWQUWRUXAUVIXCXDXEWKUVEUXCV
          CTZUXIUXPWHUVEUXTULZUXMUXIUXOUYAUXKUXLUXIUXOWHZUXLUXEUVIUXCUHZXFUYAUX
          KULZUYBUVIUXCEUVHXGXHUYDUXEUYBUYCUYAUXKUXEUYBUYAUXKUXEULULZUXIUXHUXOU
          YEUXDUXEUXIUXHWHUXKUXDUYAUXEUXCUXJRUXKUXDUXCXIUXCUXJUVFXJXKXMUYAUXKUX
          EXLUXFUXHXNVFUYAUXKUXHUXOWHZUXEUYDUXGUXNRZUYFUYDUXGCUXCIUEZUCUDZUYHHU
          EZUFUDZUXGYAUDZUXNUYDUXGVSTZUYKVSTZUXGUYLRUXTUYMUVEUXKVCVSUXCJBUTUTCG
          WJIUEZUCUDUYOHUEUFUDBWJGJPXOXPXQZUYDUYIVSTZUYJVSTZUYNUYDCVSTZUYHVSTZU
          YQAUYSUVDUXTUXKLXRZUYDUWBUYHDTUYTAUWBUVDUXTUXKMXRUYDUVLDUYHAUVLDRUVDU
          XTUXKADCUVLHHSXSUWFXTXRUYDUXCUVFTUYHUVLTUYDUXJUVFUXCUYAUXKYKUXTUXCUXJ
          TUVEUXKUXCVCYBXQYCUVFUVLUXCIUVLURINYDXPVIYCZDUYHYEVFCUYHYFVFUYDUYSUYJ
          CTUYRVUAUYDDCUYHHAUWDUVDUXTUXKUWFXRVUBWGCUYJYEVFUYIUYJYLVFZUXGUYKYGVF
          AUXTUXNUYLUHZUVDUXKABCDFGHIJUXCKLMNOPYHZYIYJUXHUYGUXOUVAUXGUXNXJYMVIY
          NYOYPUYDUYCUXOUXIUYAUXKUYCUXOUYAUXKUYCULZULZUVAUYLUXNVUGUVAUYKUYLVUGU
          YIUUSUYJUUTUFVUGUYHECUCVUGUVIIUEZUYHEVUGUVIUXCIUYAUXKUYCXLYQUVEVUHEUH
          ZUXTVUFUVEUVMUVSVUIUVRUWGUVFUVLEIYRVFYSYTZUUAVUGUYHEHVUJYQUUBUYAUXKUY
          KUYLRZUYCUYDUYNUYMVUKVUCUYPUYKUXGUUCVFYNUUDAUXTVUDUVDVUFVUEYIYJYPUUEU
          UFUUGUUHUUIYMUUJUUKUULUUMAUVBUVGUHUVDABCDFGHIJKLMNOPUUNVJYJAUVCSUVBAU
          USVSTZUVCSUHAUYSEVSTZVULLAUWBUVTVUMMQDEYEVFCEYFVFUUSUUOVIUVBUUPUUQUUR
          $.
      $}

      cantnflt.a $e |- ( ph -> (/) e. A ) $.
      cantnflt.k $e |- ( ph -> K e. suc dom G ) $.
      cantnflt.c $e |- ( ph -> C e. On ) $.
      cantnflt.s $e |- ( ph -> ( G " K ) C_ C ) $.
      $( An upper bound on the partial sums of the ` CNF ` function.  Since
         each term dominates all previous terms, by induction we can bound the
         whole sum with any exponent ` A ^o C ` where ` C ` is larger than any
         exponent ` ( G `` x ) , x e. K ` which has been summed so far.
         (Contributed by Mario Carneiro, 28-May-2015.)  (Revised by AV,
         29-Jun-2019.) $)
      cantnflt $p |- ( ph -> ( H ` K ) e. ( A ^o C ) ) $=
        ( vx vy c0 wceq cfv coe co wcel cv csuc com wrex con0 oen0 syl21anc cvv
        fveq2 0ex comu coa cmpo seqom0g ax-mp eqtrdi eleq1d syl5ibrcom wss word
        wa adantr eloni syl cima cdm wfn csupp wf cep oif ffn mp1i wb oicl mpbi
        ordsuc ordelon sylancr ordsssuc sylancl mpbird vex sucid simprr fnfvima
        eleqtrrid syl3anc sseldd ordsucss sylc wi suppssdm cfsupp cantnfs mpbid
        simpld fssdm onss eqeltrrd ordsucelsuc sylibr ffvelrni suceloni oewordi
        wbr sstrd syl31anc mpd fveq2d simprl simpl eleq1 oveq2d eleq12d imbi12d
        suceq sselda sylan2 ffvelrnd onelon syl2anc oecl cantnfsuc omcl 3eltr4d
        oesuc ad2antrr ad2antrl epeli peano2 omord2 peano1 a1i oveq2i oa0 eqtrd
        eqtrid ex wtr ordtr trsuc mpan imim1i omwordi sseqtrrd sucex mpbir wiso
        wwe ovexd cantnfcl oiiso isorel syl12anc mpbii fvex ad2antlr cantnfvalf
        sylib oaord omsuc exp32 a2d syl5 expcom finds2 syl3c eqeltrd rexlimdvaa
        wo simpl2im elnn nn0suc mpjaod ) AKUDUEZKJUFZCEUGUHZUIZKUBUJZUKZUEZUBUL
        UMZAUWHUWEUDUWGUIZACUNUIZEUNUIZUDCUIZUWMMTRCEUOUPUWEUWFUDUWGUWEUWFUDJUF
        ZUDKUDJURUDUQUIUWQUDUEUSGBUQUQCGUJIUFZUGUHUWRHUFUTUHZBUJZVAUHVBJUDUQQVC
        VDZVEVFVGAUWKUWHUBULAUWIULUIZUWKVJZVJZCUWIIUFZUKZUGUHZUWGUWFUXDUXFEVHZU
        XGUWGVHZUXDEVIZUXEEUIUXHUXDUWOUXJAUWOUXCTVKZEVLVMUXDIKVNZEUXEAUXLEVHUXC
        UAVKUXDIIVOZVPZKUXMVHZUWIKUIUXEUXLUIUXMHUDVQUHZIVRUXNUXDUXPVSIOVTZUXMUX
        PIWAWBAUXOUXCAUXOKUXMUKZUIZSAKUNUIZUXMVIZUXOUXSWCAUXRVIZUXSUXTUYAUYBUXP
        VSIOWDZUXMWFWESUXRKWGWHUYCKUXMWIWJWKVKUXDUWIUWJKUWIUBWLWMAUXBUWKWNZWPUX
        MKIUWIWOWQWRUXEEWSWTUXDUXFUNUIZUWOUWNUWPUXHUXIXAUXDUXEUNUIUYEUXDUXPUNUX
        EAUXPUNVHZUXCAUXPDUNADCUXPHHUDXBADCHVRZHUDXCXOZAHFUIUYGUYHVJPACDFHLMNXD
        XEXFZXGZADUNUIDUNVHNDXHVMXPZVKUXDUWIUXMUIZUXEUXPUIUXDUWJUXRUIZUYLUXDKUW
        JUXRUYDAUXSUXCSVKXIUYAUYLUYMWCUYCUWIUXMXJVDXKZUXMUXPUWIIUXQXLVMWRUXEXMV
        MUXKAUWNUXCMVKAUWPUXCRVKUXFECXNXQXRUXDUWFUWJJUFZUXGUXDKUWJJUYDXSUXDUXBA
        UYLUYOUXGUIZAUXBUWKXTAUXCYAUYNUYLUYPXAUDUXMUIZUDUKZJUFZCUDIUFZUKZUGUHZU
        IZXAUCUJZUXMUIZVUDUKZJUFZCVUDIUFZUKZUGUHZUIZXAZVUFUXMUIZVUFUKZJUFZCVUFI
        UFZUKZUGUHZUIZXAZAUBUCUWIUDUEZUYLUYQUYPVUCUWIUDUXMYBVVAUYOUYSUXGVUBVVAU
        WJUYRJUWIUDYFXSVVAUXFVUACUGVVAUXEUYTUEUXFVUAUEUWIUDIURUXEUYTYFVMYCYDYEU
        WIVUDUEZUYLVUEUYPVUKUWIVUDUXMYBVVBUYOVUGUXGVUJVVBUWJVUFJUWIVUDYFXSVVBUX
        FVUICUGVVBUXEVUHUEUXFVUIUEUWIVUDIURUXEVUHYFVMYCYDYEUWIVUFUEZUYLVUMUYPVU
        SUWIVUFUXMYBVVCUYOVUOUXGVURVVCUWJVUNJUWIVUFYFXSVVCUXFVUQCUGVVCUXEVUPUEU
        XFVUQUEUWIVUFIURUXEVUPYFVMYCYDYEAUYQVUCAUYQVJZCUYTUGUHZUYTHUFZUTUHZVVEC
        UTUHZUYSVUBVVDVVFCUIZVVGVVHUIZVVDDCUYTHAUYGUYQUYIVKUYQAUYTUXPUIZUYTDUIU
        XMUXPUDIUXQXLZAUXPDUYTUYJYGYHYIZVVDVVFUNUIZUWNVVEUNUIZUDVVEUIZVVIVVJWCV
        VDUWNVVIVVNAUWNUYQMVKZVVMCVVFYJYKZVVQVVDUWNUYTUNUIZVVOVVQUYQAVVKVVSVVLA
        UXPUNUYTUYKYGYHZCUYTYLYKZVVDUWNVVSUWPVVPVVQVVTAUWPUYQRVKCUYTUOUPVVFCVVE
        UUAXQXEVVDUYSVVGUWQVAUHZVVGUYQAUDULUIZUYSVWBUEVWCUYQUUBUUCABCDFGHIJUDLM
        NOPQYMYHVVDVWBVVGUDVAUHZVVGUWQUDVVGVAUXAUUDVVDVVGUNUIZVWDVVGUEVVDVVOVVN
        VWEVWAVVRVVEVVFYNYKVVGUUEVMUUGUUFVVDUWNVVSVUBVVHUEVVQVVTCUYTYPYKYOUUHAV
        UDULUIZVULVUTXAVULVUMVUKXAAVWFVJZVUTVUMVUEVUKUXMUUIZVUMVUEUYAVWHUYCUXMU
        UJVDUXMVUDUUKUULZUUMVWGVUMVUKVUSVWGVUMVUKVUSVWGVUMVUKVJZVJZCVUPUGUHZVUP
        HUFZUKZUTUHZVURVUOVWKVWOVWLCUTUHZVURVWKVWNCVHZVWOVWPVHZVWKCVIZVWMCUIZVW
        QVWKUWNVWSAUWNVWFVWJMYQZCVLVMVWKDCVUPHAUYGVWFVWJUYIYQVWKUXPDVUPAUXPDVHV
        WFVWJUYJYQVUMVUPUXPUIVWGVUKUXMUXPVUFIUXQXLYRZWRYIZVWMCWSWTVWKVWNUNUIZUW
        NVWLUNUIZVWQVWRXAVWKVWMUNUIZVXDVWKUWNVWTVXFVXAVXCCVWMYJYKZVWMXMVMVXAVWK
        UWNVUPUNUIZVXEVXAVWKUXPUNVUPAUYFVWFVWJUYKYQZVXBWRZCVUPYLYKZVWNCVWLUUNWQ
        XRVWKUWNVXHVURVWPUEVXAVXJCVUPYPYKUUOVWKVWLVWMUTUHZVUGVAUHZVXLVWLVAUHZVU
        OVWOVWKVUGVWLUIZVXMVXNUIZVWKVUJVWLVUGVWKVUIVUPVHZVUJVWLVHZVWKVUPVIZVUHV
        UPUIZVXQVWKVXHVXSVXJVUPVLVMVWKVUHVUPVSXOZVXTVWKVUDVUFVSXOZVYAVYBVUDVUFU
        IVUDUCWLZWMVUDVUFVUDVYCUUPYSUUQVWKUXMUXPVSVSIUURZVUEVUMVYBVYAWCAVYDVWFV
        WJAUXPUQUIUXPVSUUSZVYDAHUDVQUUTAVYEUXMULUIZACDFHILMNOPUVAZXFUXPVSIUQOUV
        BYKYQVUMVUEVWGVUKVWIYRZVWGVUMVUKXTUXMUXPVUDVUFVSVSIUVCUVDUVEVUHVUPVUFIU
        VFYSUVIVUHVUPWSWTVWKVUIUNUIZVXHUWNUWPVXQVXRXAVWKVUHUNUIVYIVWKUXPUNVUHVX
        IVWKVUEVUHUXPUIVYHUXMUXPVUDIUXQXLVMWRVUHXMVMVXJVXAAUWPVWFVWJRYQVUIVUPCX
        NXQXRVWGVUMVUKWNWRVWKVUGUNUIZVXEVXLUNUIZVXOVXPWCVWKVUFULUIZVYJVWFVYLAVW
        JVUDYTZUVGULUNVUFJBUQUQUWSUWTGJQUVHXLVMVXKVWKVXEVXFVYKVXKVXGVWLVWMYNYKV
        UGVWLVXLUVJWQXEVWGVUOVXMUEZVWJVWFAVYLVYNVYMABCDFGHIJVUFLMNOPQYMYHVKVWKV
        XEVXFVWOVXNUEVXKVXGVWLVWMUVKYKYOWRUVLUVMUVNUVOUVPUVQUVRWRUVSAKULUIZUWEU
        WLUVTAUXSUXRULUIZVYOSAVYEVYFVYPVYGUXMYTUWAKUXRUWBYKUBKUWCVMUWD $.
    $}

    ${
      cantnflt2.f $e |- ( ph -> F e. S ) $.
      cantnflt2.a $e |- ( ph -> (/) e. A ) $.
      cantnflt2.c $e |- ( ph -> C e. On ) $.
      cantnflt2.s $e |- ( ph -> ( F supp (/) ) C_ C ) $.
      $( An upper bound on the ` CNF ` function.  (Contributed by Mario
         Carneiro, 28-May-2015.)  (Revised by AV, 29-Jun-2019.) $)
      cantnflt2 $p |- ( ph -> ( ( A CNF B ) ` F ) e. ( A ^o C ) ) $=
        ( vk vz co cfv cep cvv wcel ccnf csupp coi cdm coe comu coa cmpo cseqom
        c0 cv eqid cantnfval con0 csuc oion sucidg 3syl cima wiso wf1o wfo wceq
        ovexd wwe cantnfcl simpld oiiso syl2anc isof1o f1ofo foima 4syl eqsstrd
        com cantnflt eqeltrd ) AFBCUAPQFUJUBPZRUCZUDZNOSSBNUKVSQZUEPWAFQUFPOUKU
        GPUHUJUIZQBDUEPAOBCENFVSWBGHIVSULZJWBULZUMAOBCDENFVSWBVTGHIWCJWDKAVRSTZ
        VTUNTVTVTUOTAFUJUBVDZVRRVSSWCUPVTUNUQURLAVSVTUSZVRDAVTVRRRVSUTZVTVRVSVA
        VTVRVSVBWGVRVCAWEVRRVEZWHWFAWIVTVOTABCEFVSGHIWCJVFVGVRRVSSWCVHVIVTVRRRV
        SVJVTVRVSVKVTVRVSVLVMMVNVPVQ $.
    $}

    $( The ` CNF ` function is a function from finitely supported functions
       from ` B ` to ` A ` , to the ordinal exponential ` A ^o B ` .
       (Contributed by Mario Carneiro, 28-May-2015.) $)
    cantnff $p |- ( ph -> ( A CNF B ) : S --> ( A ^o B ) ) $=
      ( vf vk vz cv c0 co cvv cfv coe wcel wa wceq adantr vx vh vg cep coi comu
      csupp cdm coa cmpo cseqom csb ccnf fvex csbex a1i wbr cmap crab cmpt eqid
      cfsupp cantnffval cantnfdm eqtrid mpteq1d eqtr4d c1o con0 simpr cantnfval
      cen wwe ovex com cantnfcl simpld sylancr wss suppssdm wf cantnfs simprbda
      oien fssdm feq3 syl5ibcom imp f00 sylib simprd sseq0 syl2an2r breqtrd en0
      fveq2d 0ex seqom0g mp1i 3eqtrd el1o sylibr oveq2d oe0 syl eleqtrrd wne wb
      eqtrd on0eln0 biimpar cantnflt2 pm2.61dane fmpt2d ) AHUADUBHKZLUGMUDUEZUB
      KZUHZIJNNBIKZXQOZPMXTXOOUFMJKZUIMUJLUKZOZULZBCPMZBCUMMZNYDNQAXODQRUBXPYCX
      RYBUNUOUPAYFHUCKLVBUQUCBCURMUSZYDUTHDYDUTAJBCYGHUCUBIYGVAZFGVCAHDYGYDADYF
      UHYGEABCYGUCYHFGVDVEVFVGAUAKZDQZRZYIYFOZYEQBLYKBLSZRZYLVHYEYNYLLSYLVHQYNY
      LYILUGMZUDUEZUHZIJNNBXSYPOZPMYRYIOUFMYAUIMUJZLUKZOZLYTOZLYKYLUUASYMYKJBCD
      IYIYPYTEABVIQZYJFTZACVIQZYJGTZYPVAZAYJVJZYTVAZVKTYNYQLYTYNYQLVLUQYQLSYNYQ
      YOLVLYKYQYOVLUQZYMYKYONQYOUDVMZUUJYILUGVNYKUUKYQVOQYKBCDYIYPEUUDUUFUUGUUH
      VPVQYOUDYPNUUGWDVRTYKYOCVSZYMCLSZYOLSYKCBYOYIYILVTAYJCBYIWAZYILVBUQABCDYI
      EFGWBWCZWEZYNYILSZUUMYNCLYIWAZUUQUUMRYKYMUURYKUUNYMUURUUOBLCYIWFWGWHCYIWI
      WJWKZYOCWLWMWNYQWOWJWPLNQUUBLSYNWQYSYTLNUUIWRWSWTYLXAXBYNYEBLPMZVHYNCLBPU
      USXCYNUUCUUTVHSYKUUCYMUUDTBXDXEXIXFYKBLXGZRBCCDYIEYKUUCUVAUUDTYKUUEUVAUUF
      TZYKYJUVAUUHTYKLBQZUVAYKUUCUVCUVAXHUUDBXJXEXKUVBYKUULUVAUUPTXLXMXN $.

    ${
      cantnf0.a $e |- ( ph -> (/) e. A ) $.
      $( The value of the zero function.  (Contributed by Mario Carneiro,
         30-May-2015.) $)
      cantnf0 $p |- ( ph -> ( ( A CNF B ) ` ( B X. { (/) } ) ) = (/) ) $=
        ( vk vz c0 co cfv cep cvv eqid wcel con0 wceq 0ex csn cxp csupp coi cdm
        ccnf coe comu coa cmpo cseqom cfsupp wbr fconst6g syl fczfsuppd cantnfs
        cv wf mpbir2and cantnfval eqidd wfn fnconstg mp1i a1i fnsuppeq0 syl3anc
        wb mpbird oieq2 dmeqd cen wwe we0 oien mp2an mpbi eqtrdi fveq2d seqom0g
        en0 3eqtrd ) ACKUAUBZBCUFLMWDKUCLZNUDZUEZIJOOBIURWFMZUGLWHWDMUHLJURUILU
        JZKUKZMKWJMZKAJBCDIWDWFWJEFGWFPAWDDQCBWDUSZWDKULUMAKBQWLHCKBUNUOACRBKGH
        UPABCDWDEFGUQUTWJPZVAAWGKWJAWGKNUDZUEZKAWFWNAWEKSZWFWNSAWPWDWDSZAWDVBAW
        DCVCZCRQKOQZWPWQVIWSWRATCKOVDVEGWSATVFCWDORKVGVHVJWEKNVKUOVLWOKVMUMZWOK
        SWSKNVNWTTNVOKNWNOWNPVPVQWOWBVRVSVTWSWKKSATWIWJKOWMWAVEWC $.
    $}

    ${
      cantnfrescl.d $e |- ( ph -> D e. On ) $.
      cantnfrescl.b $e |- ( ph -> B C_ D ) $.
      cantnfrescl.x $e |- ( ( ph /\ n e. ( D \ B ) ) -> X = (/) ) $.
      cantnfrescl.a $e |- ( ph -> (/) e. A ) $.
      cantnfrescl.t $e |- T = dom ( A CNF D ) $.
      $( A function is finitely supported from ` B ` to ` A ` iff the extended
         function is finitely supported from ` D ` to ` A ` .  (Contributed by
         Mario Carneiro, 25-May-2015.) $)
      cantnfrescl $p |- ( ph -> ( ( n e. B |-> X ) e. S <->
                                     ( n e. D |-> X ) e. T ) ) $=
        ( c0 wa wcel cvv cmpt wf cfsupp wbr wral cdif adantr ralrimiva raldifeq
        cv eqeltrd eqid fmpt 3bitr3g wfun csupp co wceq mptexd funmpt a1i jctir
        wb con0 jca31 extmptsuppeq suppeqfsuppbi sylc anbi12d cantnfs 3bitr4d )
        ACBGCHUAZUBZVLQUCUDZRDBGDHUAZUBZVOQUCUDZRVLESVOFSAVMVPVNVQAHBSZGCUEVRGD
        UEVMVPAVRGCDMAVRGDCUFZAGUJVSSZRHQBNAQBSVTOUGUKUHUIGCBHVLVLULUMGDBHVOVOU
        LUMUNAVLTSZVLUOZRVOTSZVOUOZRZRVLQUPUQVOQUPUQURVNVQVCAWAWBWEAGCHVDKUSWBA
        GCHUTVAAWCWDAGDHVDLUSGDHUTVBVEACDGVDHQLMNVFTVLVOTQVGVHVIABCEVLIJKVJABDF
        VOPJLVJVK $.

      $d k z T $.
      cantnfres.m $e |- ( ph -> ( n e. B |-> X ) e. S ) $.
      $( The ` CNF ` function respects extensions of the domain to a larger
         ordinal.  (Contributed by Mario Carneiro, 25-May-2015.) $)
      cantnfres $p |- ( ph -> ( ( A CNF B ) ` ( n e. B |-> X ) ) =
                              ( ( A CNF D ) ` ( n e. D |-> X ) ) ) $=
        ( vk c0 con0 vz cmpt csupp co cep coi cdm cv cfv coe comu coa cmpo ccnf
        cseqom wceq wcel w3a extmptsuppeq oieq2 syl fveq1d 3ad2ant1 oveq2d cres
        wss suppssdm eqid dmmptss a1i sstrid oif ffvelrni sseldd fvresd resmptd
        fveq2d 3eqtr3d oveq12d oveq1d mpoeq3dva dmeqd mpoeq12 sylancl seqomeq12
        3ad2ant2 eqtrd fveq12d cvv cantnfval2 cantnfrescl mpbid 3eqtr4d ) AGCHU
        BZSUCUDZUEUFZUGZRUAWQTBRUHZWPUIZUJUDZWSWNUIZUKUDZUAUHZULUDZUMZSUOZUIGDH
        UBZSUCUDZUEUFZUGZRUAXJTBWRXIUIZUJUDZXKXGUIZUKUDZXCULUDZUMZSUOZUIWNBCUNU
        DUIXGBDUNUDUIAWQXJXFXQAXEXPUPSSUPXFXQUPAXERUAWQTXOUMZXPARUAWQTXDXOAWRWQ
        UQZXCTUQZURZXBXNXCULYAWTXLXAXMUKYAWSXKBUJAXSWSXKUPXTAWRWPXIAWOXHUPWPXIU
        PACDGTHSLMNUSWOXHUEUTVAZVBVCZVDYAWSXGCVEZUIWSXGUIXAXMYAWSCXGYAWOCWSAXSW
        OCVFXTAWOWNUGZCWNSVGYECVFAGCHWNWNVHVIVJVKVCXSAWSWOUQXTWQWOWRWPWOUEWPWPV
        HZVLVMWFVNVOYAWSYDWNYAGDCHAXSCDVFXTMVCVPVBYAWSXKXGYCVQVRVSVTWAAWQXJUPTT
        UPXRXPUPAWPXIYBWBZTVHRUAWQTXJTXOWCWDWGSVHXEXPSSWEWDYGWHAUABCERWNWPRUAWI
        WIXDUMSUOZIJKYFQYHVHWJAUABDFRXGXIRUAWIWIXOUMSUOZPJLXIVHAWNEUQXGFUQQABCD
        EFGHIJKLMNOPWKWLYIVHWJWM $.
    $}

    ${
      cantnfp1.g $e |- ( ph -> G e. S ) $.
      cantnfp1.x $e |- ( ph -> X e. B ) $.
      cantnfp1.y $e |- ( ph -> Y e. A ) $.
      cantnfp1.s $e |- ( ph -> ( G supp (/) ) C_ X ) $.
      cantnfp1.f $e |- F = ( t e. B |-> if ( t = X , Y , ( G ` t ) ) ) $.
      $( Lemma for ~ cantnfp1 .  (Contributed by Mario Carneiro, 20-Jun-2015.)
         (Revised by AV, 30-Jun-2019.) $)
      cantnfp1lem1 $p |- ( ph -> F e. S ) $=
        ( wcel c0 cvv vk wf cfsupp wbr cv wceq cfv cif wa adantr cantnfs simpld
        mpbid ffvelrnda ifcld fmptd csupp co cfn csn simprd fsuppimpd snfi unfi
        cun sylancl cdif eqeq1 fveq2 ifbieq2d eldifi adantl fvex fvmptd3 eldifn
        ifexg velsn elun2 sylbir nsyl iffalsed wss ssun1 sscon ax-mp sseli con0
        wn ssidd 0ex a1i suppssr sylan2 3eqtrd suppss ssfid wfun funmpt2 mptexg
        wb cmpt eqeltrid syl funisfsupp mp3an2i mpbird mpbir2and ) AFERDCFUBFSU
        CUDZABDBUEZHUFZIXIGUGZUHZCFAXIDRZUIXJIXKCAICRZXMOUJADCXIGADCGUBZGSUCUDZ
        AGERXOXPUIMACDEGJKLUKUMZULZUNUOQUPZAXHFSUQURZUSRZAGSUQURZHUTZVEZXTAYBUS
        RYCUSRYDUSRAGSAXOXPXQVAVBHVCYBYCVDVFADCUAFYDSXSAUAUEZDYDVGZRZUIZYEFUGYE
        HUFZIYEGUGZUHZYJSYHBYEXLYKDFTQXIYEUFXJYIXKYJIXIYEHVHXIYEGVIVJYGYEDRAYED
        YDVKVLYHXNYJTRYKTRAXNYGOUJYEGVMYIIYJCTVPVFVNYHYIIYJYHYEYDRZYIYGYLWHAYED
        YDVOVLYIYEYCRYLUAHVQYEYCYBVRVSVTWAYGAYEDYBVGZRYJSUFYFYMYEYBYDWBYFYMWBYB
        YCWCYBYDDWDWEWFADCTGWGYBYESXRAYBWILSTRZAWJWKZWLWMWNWOWPFWQAFTRZYNXHYAWT
        BDXLFQWRADWGRZYPLYQFBDXLXATQBDXLWGWSXBXCYOFTTSXDXEXFACDEFJKLUKXG $.

      ${
        cantnfp1.e $e |- ( ph -> (/) e. Y ) $.
        cantnfp1.o $e |- O = OrdIso ( _E , ( F supp (/) ) ) $.
        $( Lemma for ~ cantnfp1 .  (Contributed by Mario Carneiro,
           28-May-2015.)  (Revised by AV, 30-Jun-2019.) $)
        cantnfp1lem2 $p |- ( ph -> dom O = suc U. dom O ) $=
          ( cdm cuni wceq wn csuc c0 wlim wo csupp co cfv wne cv iftrue fvmptd3
          wcel cif ne0d eqnetrd wfn con0 cvv wa wb adantr wf cfsupp wbr cantnfs
          mpbid ffvelrnda ifcld fmptd ffnd elexd elsuppfn syl3anc mpbir2and n0i
          simpld syl cen cep wwe ovexd cantnfp1lem1 cantnfcl oien syl2anc breq1
          com ensymb en0 bitri bitrdi syl5ibcom mtod simprd nnlim sylanbrc word
          ioran nnord unizlim 3syl mtbird orduniorsuc ord mpd ) AHUAZXJUBZUCZUD
          XJXKUEUCZAXLXJUFUCZXJUGZUHZAXNUDXOUDZXPUDAXNFUFUIUJZUFUCZAIXRUPZXSUDA
          XTIDUPZIFUKZUFULZOAYBJUFABIBUMZIUCZJYDGUKZUQZJDFCRYEJYFUNOPUOAJUFSURU
          SAFDUTDVAUPUFVBUPXTYAYCVCVDADCFABDYGCFAYDDUPZVCYEJYFCAJCUPYHPVEADCYDG
          ADCGVFZGUFVGVHZAGEUPYIYJVCNACDEGKLMVIVJVTVKVLRVMVNMAUFJSVOIFVAVBDUFVP
          VQVRXRIVSWAAXJXRWBVHZXNXSAXRVBUPXRWCWDZYKAFUFUIWEAYLXJWKUPZACDEFHKLMT
          ABCDEFGIJKLMNOPQRWFWGZVTXRWCHVBTWHWIXNYKUFXRWBVHZXSXJUFXRWBWJYOXRUFWB
          VHXSUFXRWLXRWMWNWOWPWQAYMXQAYLYMYNWRZXJWSWAXNXOXBWTAYMXJXAZXLXPVDYPXJ
          XCZXJXDXEXFAXLXMAYMYQXLXMUHYPYRXJXGXEXHXI $.

        cantnfp1.h $e |- H = seqom ( ( k e. _V , z e. _V |->
          ( ( ( A ^o ( O ` k ) ) .o ( F ` ( O ` k ) ) ) +o z ) ) , (/) ) $.
        cantnfp1.k $e |- K = OrdIso ( _E , ( G supp (/) ) ) $.
        cantnfp1.m $e |- M = seqom ( ( k e. _V , z e. _V |->
          ( ( ( A ^o ( K ` k ) ) .o ( G ` ( K ` k ) ) ) +o z ) ) , (/) ) $.
        $( Lemma for ~ cantnfp1 .  (Contributed by Mario Carneiro,
           28-May-2015.)  (Revised by AV, 1-Jul-2019.) $)
        cantnfp1lem3 $p |- ( ph -> ( ( A CNF B ) ` F ) =
            ( ( ( A ^o X ) .o Y ) +o ( ( A CNF B ) ` G ) ) ) $=
          ( vx vy co cfv cdm csuc coe comu coa cantnfval fveq2d wcel wceq csupp
          com c0 cep wwe cantnfcl simprd sylibr cantnfsuc wo wn wss wf1o wf cvv
          wiso simpld syl2anc syl 3syl wne cv cif fvmptd3 wfn con0 wa wb adantr
          wbr mpbid ffnd 0ex a1i elsuppfn syl3anc word sylancr fvex epeli bitrd
          eleq2d csn sseld suppssdm fssdm oif ffvelrni sseldd eloni syld ordirr
          wi syl5ibrcom cun cdif weq eqeq1 fveq2 ifbieq2d eldifi adantl sylancl
          ifexg iffalsed ax-mp ssidd suppssr 3eqtrd suppss sylib oveq12d eqtr3d
          eqtrd cima eleq1 eqeq12d imbi12d imbi2d cantnfp1lem1 eqeltrrd peano2b
          ccnf cuni cantnfp1lem2 mpdan ccnv ovexd oiiso isof1o f1ocnv f1of ne0d
          iftrue eqnetrd cfsupp cantnfs ffvelrnda ifcld fmptd mpbir2and elssuni
          ffvelrnd oicl ordelon ontri1 sucidg eleqtrrd isorel 3bitr3g f1ocnvfv2
          nnon syl12anc mtbid onss sstrd imnan onelon elsni notbid eldifn velsn
          elun2 sylbir nsyl ssun1 sscon sseli sylan2 elun mpjaod ioran sylanbrc
          ordn2lp ordtri3 mpbird oveq2d nnord sssucid sseqtrrid wfo f1ofo foima
          cres ffn fnsnfv sneqd difeq12d cin disjsn disj3 difun2 eqtr4di df-suc
          eqtrdi difeq1d eqtr4d imaeq2d dff1o3 simprbi imadif ssneldd c1o dif1o
          wfun mpbiran bicomd anbi2d sylbird mpand syl5bir necon1bd mpd fveqeq2
          iffalse eqeq1d syl5ibcom pm2.61d reldisj uncom sseqtrdi ssundif eqssd
          3eqtr4rd isores3 wse epse oieu mpbi2and seqom0g wtr ordtr trsuc sylan
          cmpo ex imim1d oveq2 ancoms syl2an2r syldan fveq1d biimpa ordsucelsuc
          fvresd eleqtrd nelneq 3eqtr3rd oveq1d syl5ibr a2d finds mpcom 3eqtr4d
          elnn a2i ) AHDEUUDUKZULMUMZJULVVSUUEZUNZJULZDNUOUKZOUPUKZIVVRULZUQUKZ
          ABDEFGHMJPQRUEACDEFHINOPQRSTUAUBUCUUAZUFURAVVSVWAJACDEFHIMNOPQRSTUAUB
          UCUDUEUUFZUSAVWBDVVTMULZUOUKZVWIHULZUPUKZVVTJULZUQUKZVWFAVVTVCUTZVWBV
          WNVAAVWAVCUTVWOAVVSVWAVCVWHAHVDVBUKZVEVFZVVSVCUTZADEFHMPQRUEVWGVGZVHZ
          UUBVVTUUCVIZABDEFGHMJVVTPQRUEVWGUFVJUUGAVWLVWDVWMVWEUQAVWJVWCVWKOUPAV
          WINDUOAVWINVAZVWINUTZNVWIUTZVKVLZAVXCVLVXDVLZVXEAVVTNMUUHZULZUTZVXCAV
          XHVVTVMZVXIVLZAVXHVVSUTZVXJAVWPVVSNVXGAVVSVWPMVNZVWPVVSVXGVNVWPVVSVXG
          VOAVVSVWPVEVEMVQZVXMAVWPVPUTVWQVXNAHVDVBUUIAVWQVWRVWSVRVWPVEMVPUEUUJV
          SZVVSVWPVEVEMUUKVTZVVSVWPMUULVWPVVSVXGUUMWAANVWPUTZNEUTZNHULZVDWBZTAV
          XSOVDACNCWCZNVAZOVYAIULZWDZOEHDUCVYBOVYCUUOTUAWEZAOVDUDUUNUUPAHEWFEWG
          UTZVDVPUTZVXQVXRVXTWHWIAEDHACEVYDDHAVYAEUTZWHVYBOVYCDAODUTZVYHUAWJAED
          VYAIAEDIVOZIVDUUQWKZAIFUTVYJVYKWHSADEFIPQRUURWLVRZUUSUUTUCUVAZWMRVYGA
          WNWOZNHWGVPEVDWPWQUVBZUVDZVXHVVSUVCVTAVXHWGUTZVVTWGUTZVXJVXKWIAVVSWRZ
          VXLVYQVWPVEMUEUVEVYPVVSVXHUVFWSAVWOVYRVXAVVTUVMVTVXHVVTUVGVSWLAVXIVWI
          VXHMULZUTZVXCAVVTVXHVEWKZVWIVYTVEWKZVXIWUAAVXNVVTVVSUTZVXLWUBWUCWIVXO
          AVVTVWAVVSAVWOVVTVWAUTVXAVVTVCUVHVTVWHUVIZVYPVVSVWPVVTVXHVEVEMUVJUVNV
          VTVXHNVXGWTXAVWIVYTVXHMWTXAUVKAVYTNVWIAVXMVXQVYTNVAVXPVYOVVSVWPNMUVLV
          SXCXBUVOAVWIIVDVBUKZUTZVXFVWINXDZUTZAWUGVXCVXFAWUFNVWIUBXEAVXCVXDWHVL
          ZVXCVXFXNAVWIWRZWUJAVWIWGUTWUKAVWPWGVWIAVWPEWGAEDVWPHHVDXFVYMXGAVYFEW
          GVMREUVPVTUVQAWUDVWIVWPUTWUEVVSVWPVVTMVWPVEMUEXHZXIVTZXJVWIXKVTZVWINU
          WOVTVXCVXDUVRVIXLAVXFWUINNUTZVLZANWRZWUPANWGUTZWUQAVYFVXRWURRTENUVSVS
          NXKVTZNXMVTZWUIVXDWUOWUIVWINNVWINUVTXCUWAXOAVWIWUFWUHXPZUTWUGWUIVKAVW
          PWVAVWIAEDGHWVAVDVYMAGWCZEWVAXQZUTZWHZWVBHULZWVBNVAZOWVBIULZWDZWVHVDW
          VECWVBVYDWVIEHVPUCCGXRVYBWVGVYCWVHOVYAWVBNXSVYAWVBIXTYAZWVDWVBEUTZAWV
          BEWVAYBYCWVEVYIWVHVPUTZWVIVPUTZAVYIWVDUAWJWVBIWTZWVGOWVHDVPYEZYDWEWVE
          WVGOWVHWVEWVBWVAUTZWVGWVDWVPVLAWVBEWVAUWBYCWVGWVBWUHUTWVPGNUWCWVBWUHW
          UFUWDUWEUWFYFWVDAWVBEWUFXQZUTWVHVDVAZWVCWVQWVBWUFWVAVMWVCWVQVMWUFWUHU
          WGWUFWVAEUWHYGUWIAEDOIWGWUFWVBVDVYLAWUFYHRUDYIUWJYJYKZWUMXJVWIWUFWUHU
          WKYLUWLVXCVXDUWMUWNAWUKWUQVXBVXEWIWUNWUSVWINUWPVSUWQZUWRAVWKVXSOAVWIN
          HWVTUSVYEYOYMAVVTLULZKUMZLULVWMVWEAVVTWWBLAVVTWWBVAZMVVTUXEZKVAZAVVTW
          RZVVTWUFVEVEWWDVQZWWCWWEWHZAVWOWWFVXAVVTUWSVTZAVXNVVTVVSVMWUFMVVTYPZV
          AWWGVXOAVWAVVTVVSVVTUWTVWHUXAAMVVSYPZMVVTXDZYPZXQZVWPWUHXQZWWJWUFAWWK
          VWPWWMWUHAVVSVWPMUXBZWWKVWPVAAVXMWWPVXPVVSVWPMUXCVTVVSVWPMUXDVTAVWIXD
          ZWWMWUHAMVVSWFZWUDWWQWWMVAVVSVWPMVOWWRWULVVSVWPMUXFYGWUEVVSVVTMUXGWSA
          VWINWVTUXHYNUXIAWWJMVVSWWLXQZYPZWWNAVVTWWSMAVVTVVTWWLXPZWWLXQZWWSAVVT
          VVTWWLXQZWXBAVVTWWLUXJVDVAZVVTWXCVAAVVTVVTUTVLZWXDAWWFWXEWWIVVTXMVTVV
          TVVTUXKVIVVTWWLUXLYLVVTWWLUXMUXNAVVSWXAWWLAVVSVWAWXAVWHVVTUXOUXPUXQUX
          RUXSAVXMVXGUYFZWWTWWNVAVXPVXMWWPWXFVVSVWPMUXTUYAVVSWWLMUYBWAYOAWUFWWO
          AWUFWUHUXJVDVAZWUFWWOVMZANWUFUTZVLZWXGAWUFNNUBWUTUYCZWUFNUXKVIAWUFVWP
          VMWXGWXHWIAEDGIVWPVDVYLAWVBEVWPXQUTZWHZWVGWVRWXMWVRWVGNIULZVDVAZAWXOW
          XLAWUPWXOWUTAWUOWXNVDWXNVDWBZWXNVPUYDXQUTZAWUOWXQWXNVPUTWXPNIWTWXNVPU
          YEUYGZAVXRWXQWUOTAVXRWXQWHZWXIWUOAWXIVXRWXPWHZWXSAIEWFVYFVYGWXIWXTWIA
          EDIVYLWMRVYNNIWGVPEVDWPWQAWXPWXQVXRAWXQWXPWXQWXPWIAWXRWOUYHUYIXBAWUFN
          NUBXEUYJUYKUYLUYMUYNWJWVBNVDIUYOXOWXMWVIVDVAWVGVLZWVRWXMWVFWVIVDWXMCW
          VBVYDWVIEHVPUCWVJWXLWVKAWVBEVWPYBYCWXMVYIWVLWVMAVYIWXLUAWJWVNWVOYDWEA
          EDOHWGVWPWVBVDVYMAVWPYHRUDYIYNWYAWVIWVHVDWVGOWVHUYPUYQUYRUYSYKWUFWUHV
          WPUYTVTWLAVWPWUHWUFXPZVMWWOWUFVMAVWPWVAWYBWVSWUFWUHVUAVUBVWPWUHWUFVUC
          YLVUDVUEVVSVWPVEVEMVVTWUFVUFWQAWUFVEVFZWUFVEVUGWWFWWGWHWWHWIAWYCWWBVC
          UTADEFIKPQRUGSVGVRWUFVUHWUFVVTVEKWWDUGVUIYDVUJZVRZUSAWUDVWMWWAVAZWUEV
          WOAWUDWYFXNZVXAAUIWCZVVSUTZWYHJULZWYHLULZVAZXNZXNAVDVVSUTZVDJULZVDVAZ
          XNZXNAUJWCZVVSUTZWYRJULZWYRLULZVAZXNZXNZAWYRUNZVVSUTZXUEJULZXUELULZVA
          ZXNZXNZAWYGXNUIUJVVTWYHVDVAZWYMWYQAXULWYIWYNWYLWYPWYHVDVVSYQXULWYJWYO
          WYKVDWYHVDJXTXULWYKVDLULZVDWYHVDLXTVYGXUMVDVAWNGBVPVPDWVBKULZUOUKXUNI
          ULUPUKBWCZUQUKVUPLVDVPUHVUKYGUXPYRYSYTUIUJXRZWYMXUCAXUPWYIWYSWYLXUBWY
          HWYRVVSYQXUPWYJWYTWYKXUAWYHWYRJXTWYHWYRLXTYRYSYTWYHXUEVAZWYMXUJAXUQWY
          IXUFWYLXUIWYHXUEVVSYQXUQWYJXUGWYKXUHWYHXUEJXTWYHXUELXTYRYSYTWYHVVTVAZ
          WYMWYGAXURWYIWUDWYLWYFWYHVVTVVSYQXURWYJVWMWYKWWAWYHVVTJXTWYHVVTLXTYRY
          SYTWYQAGBVPVPDWVBMULZUOUKXUSHULUPUKXUOUQUKVUPJVDVVSUFVUKWOXUDXUKXNWYR
          VCUTZAXUCXUJAXUCXUFXUBXNXUJAXUFWYSXUBAXUFWYSAVVSVULZXUFWYSAVYSXVAAVWR
          VYSVWTVVSUWSVTVVSVUMVTVVSWYRVUNVUOZVUQVURAXUFXUBXUIAXUFXUBXUIXNXUBXUI
          AXUFWHZDWYRMULZUOUKZXVDHULZUPUKZWYTUQUKZXVGXUAUQUKZVAWYTXUAXVGUQVUSXV
          CXUGXVHXUHXVIAXUFXUTXUGXVHVAAVWRXUFWYSXUTVWTXVBWYSVWRXUTWYRVVSVVPVUTV
          VAZABDEFGHMJWYRPQRUEVWGUFVJVVBXVCXUHDWYRKULZUOUKZXVKIULZUPUKZXUAUQUKZ
          XVIAXUFXUTXUHXVOVAXVJABDEFGIKLWYRPQRUGSUHVJVVBXVCXVNXVGXUAUQXVCXVLXVE
          XVMXVFUPXVCXVKXVDDUOXVCWYRWWDULZXVKXVDAXVPXVKVAXUFAWYRWWDKAWWCWWEWYDV
          HVVCWJXVCWYRVVTMXVCWYRVVTUTZXUEVWAUTZAXUFXVRAVVSVWAXUEVWHXCVVDXVCWWFX
          VQXVRWIAWWFXUFWWIWJWYRVVTVVEVTUWQZVVFYNZUWRXVCXVKHULXVKNVAZOXVMWDZXVF
          XVMXVCCXVKVYDXWBEHVPUCVYAXVKVAVYBXWAVYCXVMOVYAXVKNXSVYAXVKIXTYAXVCWUF
          EXVKAWUFEVMXUFAEDWUFIIVDXFVYLXGWJXVCWYRWWBUTXVKWUFUTZXVCWYRVVTWWBXVSA
          WWCXUFWYEWJVVGWWBWUFWYRKWUFVEKUGXHXIVTZXJXVCVYIXVMVPUTXWBVPUTAVYIXUFU
          AWJXVKIWTXWAOXVMDVPYEYDWEXVCXVKXVDHXVTUSXVCXWAOXVMXVCXWCWXJXWAVLXWDAW
          XJXUFWXKWJXVKNWUFVVHVSYFVVIYMVVJYOYRVVKVUQVVLXLVVQWOVVMVVNUYNABDEFGIK
          LPQRUGSUHURVVOYMYOYJ $.
      $}

      $( If ` F ` is created by adding a single term ` ( F `` X ) = Y ` to
         ` G ` , where ` X ` is larger than any element of the support of
         ` G ` , then ` F ` is also a finitely supported function and it is
         assigned the value ` ( ( A ^o X ) .o Y ) +o z ` where ` z ` is the
         value of ` G ` .  (Contributed by Mario Carneiro, 28-May-2015.)
         (Revised by AV, 1-Jul-2019.) $)
      cantnfp1 $p |- ( ph -> ( F e. S /\ ( ( A CNF B ) ` F ) =
          ( ( ( A ^o X ) .o Y ) +o ( ( A CNF B ) ` G ) ) ) ) $=
        ( wcel co c0 vz vk ccnf cfv coe comu coa wceq wa cv cmpt wn con0 onelon
        cif word syl2anc eloni ordirr 3syl wne cvv c1o cdif dif1o mpbiran csupp
        fvex wfn wb wf cfsupp wbr cantnfs mpbid simpld 0ex a1i elsuppfn syl3anc
        ffnd bicomi anbi2d bitrd sseld sylbird mpand syl5bir necon1bd ad3antrrr
        mpd simpr fveq2d simpllr 3eqtr4rd eqidd ifeqda mpteq2dva eqtrid feqmptd
        adantr eqtr4d eqeltrd oecl cantnff ffvelrnd oa0r oveq2 sylan9eqr oveq1d
        syl om0 jca wss cantnfp1lem1 cep cmpo on0eln0 biimpar eqid cantnfp1lem3
        coi cseqom pm2.61dane ) AFERZFCDUCSZUDZCHUESZIUFSZGYFUDZUGSZUHZUIITAITU
        HZUIZYEYLYNFGEYNFBDBUJZGUDZUKZGYNFBDYOHUHZIYPUOZUKYQQYNBDYSYPYNYODRZUIZ
        YRIYPYPUUAYRUIZHGUDZTYPIAUUCTUHZYMYTYRAHHRZULZUUDAHUMRZHUPUUFADUMRZHDRZ
        UUGLNDHUNUQZHURHUSUTAUUEUUCTUUCTVAZUUCVBVCVDRZAUUEUULUUCVBRUUKHGVHUUCVB
        VEVFZAUUIUULUUENAUUIUULUIZHGTVGSZRZUUEAUUPUUIUUKUIZUUNAGDVIUUHTVBRZUUPU
        UQVJADCGADCGVKZGTVLVMZAGERZUUSUUTUIMACDEGJKLVNVOVPZWALUURAVQVRHGUMVBDTV
        SVTAUUKUULUUIUUKUULVJAUULUUKUUMWBVRWCWDAUUOHHPWEWFWGWHWIWKWJUUBYOHGUUAY
        RWLWMAYMYTYRWNWOUUAYRULUIYPWPWQWRWSAGYQUHYMABDCGUVBWTXAXBZAUVAYMMXAXCYN
        TYJUGSZYJYKYGYNYJUMRZUVDYJUHAUVEYMACDUESZUMRZYJUVFRUVEACUMRZUUHUVGKLCDX
        DUQAEUVFGYFACDEJKLXEMXFUVFYJUNUQXAYJXGXKYNYITYJUGYMAYIYHTUFSZTITYHUFXHA
        YHUMRZUVITUHAUVHUUGUVJKUUJCHXDUQYHXLXKXIXJYNFGYFUVCWMWOXMAITVAZUIZYEYLU
        VLBCDEFGHIJAUVHUVKKXAZAUUHUVKLXAZAUVAUVKMXAZAUUIUVKNXAZAICRZUVKOXAZAUUO
        HXNUVKPXAZQXOUVLUABCDEUBFGUBUAVBVBCUBUJZFTVGSXPYBZUDZUESUWBFUDUFSUAUJZU
        GSXQTYCZUUOXPYBZUBUAVBVBCUVTUWEUDZUESUWFGUDUFSUWCUGSXQTYCZUWAHIJUVMUVNU
        VOUVPUVRUVSQATIRZUVKAIUMRZUWHUVKVJAUVHUVQUWIKOCIUNUQIXRXKXSUWAXTUWDXTUW
        EXTUWGXTYAXMYD $.
    $}

    oemapval.t $e |- T = { <. x , y >. | E. z e. B ( ( x ` z ) e. ( y ` z )
      /\ A. w e. B ( z e. w -> ( x ` w ) = ( y ` w ) ) ) } $.
    $( The relation ` T ` is a strict order on ` S ` (a corollary of
       ~ wemapso2 ).  (Contributed by Mario Carneiro, 28-May-2015.) $)
    oemapso $p |- ( ph -> T Or S ) $=
      ( vg wor cv c0 wbr wcel cep cfsupp cmap co crab con0 ccnv wwe eloni ordwe
      word weso 4syl cnvso sylib cfv wceq wi wral wa wrex copab epeli vex brcnv
      fvex epel bitri imbi1i ralbii anbi12i rexbii opabbii eqtr4i breq1 cbvrabv
      wemapso2 syl3anc wb ccnf cdm eqid cantnfdm eqtrid soeq2 syl mpbird ) AHIO
      ZNPZQUARZNFGUBUCZUDZIOZAGUESZGTUFZOZFTOZWLLAGTOZWOAWMGUJGTUGWQLGUHGUIGTUK
      ULGTUMUNAFUESFUJFTUGWPKFUHFUIFTUKULBCDEGFWNTIWKUEQIDPZBPZUOZWRCPZUOZSZWRE
      PZSZXDWSUOXDXAUOUPZUQZEGURZUSZDGUTZBCVAWTXBTRZXDWRWNRZXFUQZEGURZUSZDGUTZB
      CVAMXPXJBCXOXIDGXKXCXNXHWTXBWRXAVEVBXMXGEGXLXEXFXLWRXDTRXEXDWRTEVCDVCVDEW
      RVFVGVHVIVJVKVLVMWIWSQUARNBWJWHWSQUAVNVOVPVQAHWKUPWGWLVRAHFGVSUCVTWKJAFGW
      KNWKWAKLWBWCHWKIWDWEWF $.

    ${
      oemapval.f $e |- ( ph -> F e. S ) $.
      oemapval.g $e |- ( ph -> G e. S ) $.
      $( Value of the relation ` T ` .  (Contributed by Mario Carneiro,
         28-May-2015.) $)
      oemapval $p |- ( ph -> ( F T G <-> E. z e. B ( ( F ` z ) e. ( G ` z )
        /\ A. w e. B ( z e. w -> ( F ` w ) = ( G ` w ) ) ) ) ) $=
        ( wcel cfv wceq wbr cv wi wral wa wrex wb fveq1 eleq12 syl2an eqeqan12d
        imbi2d ralbidv anbi12d rexbidv brabga syl2anc ) AJHRKHRJKIUADUBZJSZURKS
        ZRZUREUBZRZVBJSZVBKSZTZUCZEGUDZUEZDGUFZUGPQURBUBZSZURCUBZSZRZVCVBVKSZVB
        VMSZTZUCZEGUDZUEZDGUFVJBCJKIHHVKJTZVMKTZUEZWAVIDGWDVOVAVTVHWBVLUSTVNUTT
        VOVAUGWCURVKJUHURVMKUHVLUSVNUTUIUJWDVSVGEGWDVRVFVCWBWCVPVDVQVEVBVKJUHVB
        VMKUHUKULUMUNUOOUPUQ $.

      $d c F $.  $d c ph $.
      oemapvali.r $e |- ( ph -> F T G ) $.
      oemapvali.x $e |- X = U. { c e. B | ( F ` c ) e. ( G ` c ) } $.
      $( If ` F < G ` , then there is some ` z ` witnessing this, but we can
         say more and in fact there is a definable expression ` X ` that also
         witnesses ` F < G ` .  (Contributed by Mario Carneiro,
         25-May-2015.) $)
      oemapvali $p |- ( ph -> ( X e. B /\ ( F ` X ) e. ( G ` X ) /\
        A. w e. B ( X e. w -> ( F ` w ) = ( G ` w ) ) ) ) $=
        ( cv cfv wcel wceq wi wral w3a wbr wrex oemapval mpbid crab ssrab2 cuni
        wa con0 wss cfn c0 wne adantr onss syl sstrid cfsupp csupp co wf simprd
        cantnfs wfn 3ad2ant1 simp2 simpld ffnd ne0i 3ad2ant3 fvn0elsupp rabssdv
        syl22anc wfun fsuppimp ssfi ex simpl2im sylc weq eleq12d simprl simprrl
        fveq2 elrabd ne0d ordunifi syl3anc eqeltrid sselid cbvrabv elrab2 sylib
        simprrr wb word ffvelrnd onelon syl2anc eloni ordirr 3syl eleq2 eqeq12d
        wn nelneq imbi12d rspcdva mtod cvv ssexg sylancr ssonuni ontri1 elssuni
        mpbird sseqtrrdi eqssd eleq1 imbi1d ralbidv 3jca rexlimddv ) ADUBZJUCZY
        LKUCZUDZYLEUBZUDZYPJUCZYPKUCZUEZUFZEGUGZUPZLGUDZLJUCZLKUCZUDZLYPUDZYTUF
        ZEGUGZUHDGAJKIUIUUCDGUJTABCDEFGHIJKNOPQRSUKULAYLGUDZUUCUPZUPZUUDUUGUUJU
        UMMUBZJUCZUUNKUCZUDZMGUMZGLUUQMGUNZUUMLUURUOZUURUAUUMUURUQURZUURUSUDZUU
        RUTVAUUTUURUDUUMUURGUQUUSUUMGUQUDZGUQURAUVCUULPVBZGVCVDVEZUUMKUTVFUIZUU
        RKUTVGVHZURZUVBAUVFUULAGFKVIZUVFAKHUDUVIUVFUPSAFGHKNOPVKULZVJVBAUVHUULA
        UUQMGUVGAUUNGUDZUUQUHUVCUVKKGVLZUUPUTVAZUUNUVGUDAUVKUVCUUQPVMAUVKUUQVNA
        UVKUVLUUQAGFKAUVIUVFUVJVOZVPVMUUQAUVMUVKUUPUUOVQVRGKUQUUNVSWAVTVBUVFKWB
        UVGUSUDZUVHUVBUFKUTWCUVOUVHUVBUVGUURWDWEWFWGUUMUURYLUUMUUQYOMYLGMDWHUUO
        YMUUPYNUUNYLJWLUUNYLKWLWIAUUKUUCWJZAUUKYOUUBWKWMZWNUURWOWPWQZWRZUUMUUDU
        UGUUMLUURUDUUDUUGUPUVRBUBZJUCZUVTKUCZUDZUUGBLGUURUVTLUEUWAUUEUWBUUFUVTL
        JWLUVTLKWLWIUUQUWCMBGMBWHUUOUWAUUPUWBUUNUVTJWLUUNUVTKWLWIWSWTXAVJZUUMUU
        JUUBAUUKYOUUBXBZUUMLYLUEZUUJUUBXCUUMLYLUUMLYLURZYLLUDZXMZUUMUWHUUEUUFUE
        ZUUMUUGUUFUUFUDXMZUWJXMUWDUUMUUFUQUDZUUFXDUWKUUMFUQUDZUUFFUDUWLAUWMUULO
        VBUUMGFLKAUVIUULUVNVBUVSXEFUUFXFXGUUFXHUUFXIXJUUEUUFUUFXNXGUUMUUAUWHUWJ
        UFEGLYPLUEZYQUWHYTUWJYPLYLXKUWNYRUUEYSUUFYPLJWLYPLKWLXLXOUWEUVSXPXQUUML
        UQUDYLUQUDZUWGUWIXCUUMLUUTUQUAUUMUURXRUDZUVAUUTUQUDUUMUURGURUVCUWPUUSUV
        DUURGUQXSXTUVEUURXRYAWGWQUUMUVCUUKUWOUVDUVPGYLXFXGLYLYBXGYDUUMYLUURUDZY
        LLURUVQUWQYLUUTLYLUURYCUAYEVDYFUWFUUIUUAEGUWFUUHYQYTLYLYPYGYHYIVDYDYJYK
        $.

      $( Lemma for ~ cantnf .  (Contributed by Mario Carneiro, 4-Jun-2015.)
         (Revised by AV, 2-Jul-2019.) $)
      cantnflem1a $p |- ( ph -> X e. ( G supp (/) ) ) $=
        ( c0 csupp co wcel cfv wne cv wceq wi wral oemapvali simp1d simp2d ne0d
        wfn con0 cvv wa wb wf cfsupp wbr cantnfs mpbid simpld ffnd 0ex elsuppfn
        a1i syl3anc mpbir2and ) ALKUBUCUDUEZLGUEZLKUFZUBUGZAVNLJUFZVOUEZLEUHZUE
        VSJUFVSKUFUIUJEGUKZABCDEFGHIJKLMNOPQRSTUAULZUMAVOVQAVNVRVTWAUNUOAKGUPGU
        QUEUBURUEZVMVNVPUSUTAGFKAGFKVAZKUBVBVCZAKHUEWCWDUSSAFGHKNOPVDVEVFVGPWBA
        VHVJLKUQURGUBVIVKVL $.

      cantnflem1.o $e |- O = OrdIso ( _E , ( G supp (/) ) ) $.
      $( Lemma for ~ cantnf .  (Contributed by Mario Carneiro, 4-Jun-2015.)
         (Revised by AV, 2-Jul-2019.) $)
      cantnflem1b $p |- ( ( ph /\ ( suc u e. dom O /\ ( `' O ` X ) C_ u ) )
                             -> X C_ ( O ` u ) ) $=
        ( cv csuc cdm wcel ccnv cfv wss wa wn simprr con0 wb word c0 csupp oicl
        co cep wf1o wiso cvv wwe ovexd com cantnfcl simpld oiiso syl2anc isof1o
        syl f1ocnv f1of 3syl cantnflem1a ffvelrnd ordelon sylancr sylan sucelon
        wf a1i sylibr adantrr ontri1 syl2an2r mpbid wbr adantr wtr ordtr simprl
        mp1i trsuc isorel syl12anc fvex epeli wceq f1ocnvfv2 eleq2d bitrd mtbid
        3bitr3g wi wral oemapvali simp1d onelon suppssdm cantnfs fssdm ffvelrni
        cfsupp oif sseldd mpbird ) AFUEZUFZMUGZUHZNMUIZUJZYAUKZULZULZNYAMUJZUKZ
        YJNUHZUMZYIYAYFUHZYLYIYGYNUMZAYDYGUNAYFUOUHZYHYAUOUHZYGYOUPAYCUQZYFYCUH
        ZYPLURUSVAZVBMUDUTZAYTYCNYEAYCYTMVCZYTYCYEVCYTYCYEWDAYCYTVBVBMVDZUUBAYT
        VEUHYTVBVFZUUCALURUSVGAUUDYCVHUHAGHILMPQRUDUAVIVJYTVBMVEUDVKVLZYCYTVBVB
        MVMVNZYCYTMVOYTYCYEVPVQABCDEGHIJKLNOPQRSTUAUBUCVRZVSZYCYFVTWAAYDYQYGAYD
        ULYBUOUHZYQAYRYDUUIYRAUUAWEYCYBVTWBYAWCWFWGYFYAWHWIWJYIYNYJYFMUJZUHZYLY
        IYAYFVBWKZYJUUJVBWKZYNUUKYIUUCYAYCUHZYSUULUUMUPAUUCYHUUEWLYIYCWMZYDUUNY
        RUUOYIUUAYCWNWPAYDYGWOYCYAWQVLZAYSYHUUHWLYCYTYAYFVBVBMWRWSYAYFNYEWTXAYJ
        UUJYFMWTXAXGYIUUJNYJAUUJNXBZYHAUUBNYTUHUUQUUFUUGYCYTNMXCVLWLXDXEXFANUOU
        HZYHYJUOUHZYKYMUPAHUOUHZNHUHZUURRAUVANKUJNLUJUHNEUEZUHUVBKUJUVBLUJXBXHE
        HXIABCDEGHIJKLNOPQRSTUAUBUCXJXKHNXLVLAUUTYHYJHUHUUSRYIYTHYJAYTHUKYHAHGY
        TLLURXMAHGLWDZLURXQWKZALIUHUVCUVDULUAAGHILPQRXNWJVJXOWLYIUUNYJYTUHUUPYC
        YTYAMYTVBMUDXRXPVNXSHYJXLWINYJWHWIXT $.

      $( Lemma for ~ cantnf .  (Contributed by Mario Carneiro, 4-Jun-2015.)
         (Revised by AV, 2-Jul-2019.)  (Proof shortened by AV, 4-Apr-2020.) $)
      cantnflem1c $p |- ( ( ( ( ph /\ ( suc u e. dom O
                                           /\ ( `' O ` X ) C_ u ) ) /\ x e. B )
                               /\ ( ( F ` x ) =/= (/) /\ ( O ` u ) e. x ) ) ->
                            x e. ( G supp (/) ) ) $=
        ( cv csuc cdm wcel ccnv cfv wss wa c0 wne wfn csupp co ad3antrrr simplr
        con0 wf cfsupp wbr cantnfs simpld ffnd wceq cantnflem1b ad2antrr simprr
        mpbid wi wral oemapvali simp1d onelon syl2anc syl sselda ad4ant13 ontr2
        onss mp2and eleq2w fveq2 eqeq12d imbi12d simp3d rspcdva simprl eqnetrrd
        mpd fvn0elsupp syl22anc ) AFUEZUFMUGUHNMUIUJWOUKULZULZBUEZHUHZULZWRKUJZ
        UMUNZWOMUJZWRUHZULZULZHUTUHZWSLHUOZWRLUJZUMUNWRLUMUPUQUHAXGWPWSXERURWQW
        SXEUSZAXHWPWSXEAHGLAHGLVAZLUMVBVCZALIUHXKXLULUAAGHILPQRVDVKVEVFURXFXAXI
        UMXFNWRUHZXAXIVGZXFNXCUKZXDXMWQXOWSXEABCDEFGHIJKLMNOPQRSTUAUBUCUDVHVIWT
        XBXDVJXFNUTUHZWRUTUHZXOXDULXMVLAXPWPWSXEAXGNHUHZXPRAXRNKUJNLUJUHZNEUEZU
        HZXTKUJZXTLUJZVGZVLZEHVMZABCDEGHIJKLNOPQRSTUAUBUCVNZVOHNVPVQURAWSXQWPXE
        AHUTWRAXGHUTUKRHWBVRVSVTNXCWRWAVQWCXFYEXMXNVLEHWRXTWRVGZYAXMYDXNEBNWDYH
        YBXAYCXIXTWRKWEXTWRLWEWFWGAYFWPWSXEAXRXSYFYGWHURXJWIWLWTXBXDWJWKHLUTWRW
        MWN $.

      cantnflem1.h $e |- H = seqom ( ( k e. _V , z e. _V |->
        ( ( ( A ^o ( O ` k ) ) .o ( G ` ( O ` k ) ) ) +o z ) ) , (/) ) $.
      $( Lemma for ~ cantnf .  (Contributed by Mario Carneiro, 4-Jun-2015.)
         (Revised by AV, 2-Jul-2019.) $)
      cantnflem1d $p |- ( ph ->
         ( ( A CNF B ) ` ( x e. B |-> if ( x C_ X , ( F ` x ) , (/) ) ) ) e.
           ( H ` suc ( `' O ` X ) ) ) $=
        ( coe co cfv comu ccnv csuc cv wss c0 cif cmpt ccnf con0 wcel wceq wral
        coa wi oemapvali simp1d onelon syl2anc oecl wf cfsupp wbr cantnfs mpbid
        simpld ffvelrnd omcl com cdm csupp wf1o cep wiso cvv wwe ovexd cantnfcl
        wa oiiso isof1o syl f1ocnv f1of 3syl cantnflem1a simprd elnn cantnfvalf
        ffvelrni oaword1 cantnfsuc mpdan f1ocnvfv2 oveq2d fveq2d oveq12d oveq1d
        eqtrd sseqtrrd wo wb onss sselda adantr onsseleq orcom bitrdi mpteq2dva
        ifbid ffvelrnda wne ne0d on0eln0 mpbird ifcld fmpttd 0ex a1i fsuppmptif
        mpbir2and cdif eldifn adantl iffalsed suppss2 ifor fveq2 syl3anc sseldd
        wn ifeq1da eleq1w ifbieq1d eqid fvex ifex fvmpt ifeq2d eqtr4id mpteq2ia
        eqtr3d cantnfp1 omsuc word eloni simp2d ordsucss sylc suceloni eqsstrrd
        omwordi mpd cantnflt2 oaord eqeltrd ) AFOUGUHZOLUIZUJUHZONUKZUIZULMUIZB
        GBUMZOUNZUVLKUIZUOUPZUQZFGURUHZUIZAUVHUVHUVJMUIZVCUHZUVKAUVHUSUTZUVSUSU
        TZUVHUVTUNAUVFUSUTZUVGUSUTZUWAAFUSUTZOUSUTZUWCRAGUSUTZOGUTZUWFSAUWHOKUI
        ZUVGUTZOEUMZUTUWKKUIUWKLUIVAVDEGVBZABCDEFGHIKLOPQRSTUAUBUCUDVEZVFZGOVGV
        HZFOVIVHZAUWEUVGFUTUWDRAGFOLAGFLVJZLUOVKVLZALHUTUWQUWRWHUBAFGHLQRSVMVNV
        OUWNVPZFUVGVGVHZUVFUVGVQVHAUVJVRUTZUWBAUVJNVSZUTUXBVRUTZUXAALUOVTUHZUXB
        OUVIAUXBUXDNWAZUXDUXBUVIWAUXDUXBUVIVJAUXBUXDWBWBNWCZUXEAUXDWDUTUXDWBWEZ
        UXFALUOVTWFAUXGUXCAFGHLNQRSUEUBWGZVOUXDWBNWDUEWIVHUXBUXDWBWBNWJWKZUXBUX
        DNWLUXDUXBUVIWMWNABCDEFGHIKLOPQRSTUAUBUCUDWOZVPAUXGUXCUXHWPUVJUXBWQVHZV
        RUSUVJMDWDWDFJUMNUIZUGUHUXLLUIUJUHDUMJMUFWRWSWKUVHUVSWTVHAUVKFUVJNUIZUG
        UHZUXMLUIZUJUHZUVSVCUHZUVTAUXAUVKUXQVAUXKADFGHJLNMUVJQRSUEUBUFXAXBAUXPU
        VHUVSVCAUXNUVFUXOUVGUJAUXMOFUGAUXEOUXDUTUXMOVAUXIUXJUXBUXDONXCVHZXDAUXM
        OLUXRXEXFXGXHXIAUVRUVFUWIUJUHZCGCUMZOUTZUXTKUIZUOUPZUQZUVQUIZVCUHZUVHAU
        VRBGUVLOVAZUVLOUTZXJZUVNUOUPZUQZUVQUIZUYFAUVPUYKUVQABGUVOUYJAUVLGUTZWHZ
        UVMUYIUVNUOUYNUVMUYHUYGXJZUYIUYNUVLUSUTUWFUVMUYOXKAGUSUVLAUWGGUSUNSGXLW
        KXMAUWFUYMUWOXNUVLOXOVHUYHUYGXPXQXSXRXEAUYKHUTUYLUYFVAABFGHUYKUYDOUWIQR
        SAUYDHUTGFUYDVJUYDUOVKVLACGUYCFAUXTGUTZWHUYAUYBUOFAGFUXTKAGFKVJZKUOVKVL
        ZAKHUTUYQUYRWHUAAFGHKQRSVMVNZVOZXTAUOFUTZUYPAVUAFUOYAZAFUVGUWSYBAUWEVUA
        VUBXKRFYCWKYDZXNYEYFAGFOCKUSWDUOUYTSUOWDUTAYGYHAUYQUYRUYSWPYIAFGHUYDQRS
        VMYJZUWNAGFOKUYTUWNVPZAGUYCCUSOUOAUXTGOYKUTZWHUYAUYBUOVUFUYAYTAUXTGOYLY
        MYNSYOZBGUYJUYGUWIUVLUYDUIZUPZUYMUYJUYGUVNUYHUVNUOUPZUPZVUIUYGUYHUVNUOY
        PUYMUYGUVNVUHUPVUIVUKUYMUYGUVNUWIVUHUYGUVNUWIVAUYMUVLOKYQYMUUAUYMUYGVUH
        VUJUVNCUVLUYCVUJGUYDUXTUVLVAUYAUYHUYBUVNUOCBOUUBUXTUVLKYQUUCUYDUUDUYHUV
        NUOUVLKUUEYGUUFUUGUUHUUKUUIUUJUULWPXHAUXSUVFVCUHZUVHUYFAVULUVFUWIULZUJU
        HZUVHAUWCUWIUSUTZVUNVULVAUWPAUWEUWIFUTVUORVUEFUWIVGVHZUVFUWIUUMVHAVUMUV
        GUNZVUNUVHUNZAUVGUUNZUWJVUQAUWDVUSUWTUVGUUOWKAUWHUWJUWLUWMUUPUWIUVGUUQU
        URAVUMUSUTZUWDUWCVUQVURVDAVUOVUTVUPUWIUUSWKUWTUWPVUMUVGUVFUVAYRUVBUUTAU
        YEUVFUTZUYFVULUTZAFGOHUYDQRSVUDVUCUWOVUGUVCZAUYEUSUTZUWCUXSUSUTZVVAVVBX
        KAUWCVVAVVDUWPVVCUVFUYEVGVHUWPAUWCVUOVVEUWPVUPUVFUWIVQVHUYEUVFUXSUVDYRV
        NYSUVEYS $.

      $( Lemma for ~ cantnf .  This part of the proof is showing uniqueness of
         the Cantor normal form.  We already know that the relation ` T ` is a
         strict order, but we haven't shown it is a well-order yet.  But being
         a strict order is enough to show that two distinct ` F , G ` are ` T `
         -related as ` F < G ` or ` G < F ` , and WLOG assuming that
         ` F < G ` , we show that ` CNF ` respects this order and maps these
         two to different ordinals.  (Contributed by Mario Carneiro,
         28-May-2015.)  (Revised by AV, 2-Jul-2019.) $)
      cantnflem1 $p |- ( ph -> ( ( A CNF B ) ` F ) e. ( ( A CNF B ) ` G ) ) $=
        ( vu cv cfv wss c0 cif cmpt csuc wcel con0 cvv csupp cep mp1i 3syl wceq
        co wn wo syl cen wbr com simpld syl2anc bitrdi syl5ibcom simprd word wb
        eleqtrrd wf1o wf ffvelrnd elssuni wa eqeltrrd eleq1 sseq2 anbi12d fveq2
        sylibr sseq2d ifbid mpteq2dv fveq2d suceq eleq12d imbi12d weq f1ocnvfv2
        wi adantl ordelon sylancr a1i onsseleq syl2an2r eloni simprl simprr jca
        coe comu coa adantr oecl cfsupp cantnfs wne mpbird cdif 0ex ifid eqtrdi
        mpbid onelon ffvelrni sseldd ifeq1 eqeq12d ad2antrr syl12anc epeli fvex
        isorel 3bitr3g ontri1 bitrd expr eqidd crab nfcv eqtrd cuni ccnf uniexg
        cdm ccnv ovex oion sucidg wlim cantnflem1a n0i wwe ovexd cantnfcl breq1
        oien ensymb en0 bitri mtod nnlim ioran sylanbrc oicl mtbird orduniorsuc
        unizlim ord wiso oiiso isof1o f1ocnv peano2b imbi2d cantnflem1d eqeltrd
        mpd f1of ss0 sylan sucelon ordsssuc wtr ordtr trsuc ffvelrnda oemapvali
        cantnff wral simp1d ne0d on0eln0 ifcld fmpttd wfun mptexd ssidd suppssr
        funmpt suppss2 fsuppsssupp syl22anc mpbir2and cantnfvalf suppssdm fssdm
        ifeq1d elnn oif omcl oaord syl3anc onss adantlr onsssuc vex sucid sucex
        sselda mpbii sseld sylbid cantnflem1c eleq1d mtbid con2d sylibrd impbid
        ordelsuc orbi1d bitr4d orcom pm2.61ne mpteq2dva c1o ifex ralrimivw eqid
        wfn fnmpt w3a suppvalfn nffvmpt1 neeq1d cbvrabw fvmpt2d biantrurd dif1o
        nfne nfv bitr4di rabbidva mpbiran necon3i iffalse necon1ai expimpd syl5
        syl5bi 3impia rabssdv eqsstrd eqeq1 sseq1 orbi12d cbvmptv ifeq1da fvmpt
        ifbieq1d ifeq2d eqtr3d mpteq2ia eqtr4i cantnfp1 cantnfsuc syldan simp3d
        eqtr4di adantrr eleq2 rspcv oveq2d oveq1d eqtr4d biimpd embantd sylbird
        ifor syl3c a1dd com23 finds2 vtoclga mpcom mp2and feqmptd eqeq2 con2bid
        jaod orduni ax-mp ordtri1 sylancl eleq2d ontr2 sylancom pm2.65da eldifd
        ffvelrn imp ifbothda cantnfval 3eltr4d ) ABGBUHZNUUDZUUAZNUIZUJZVXNKUIZ
        UKULZUMZFGUUBVCZUIZVXPUNZMUIZKVYBUILVYBUIZAVXPVXOUOZONUUEZUIZVXPUJZVYCV
        YEUOZAVXPVYDVXOAVXOUPUOZVXPUQUOVXPVYDUOLUKURVCZUQUOZVYLALUKURUUFVYMUSNU
        QUEUUGUTVXOUPUUCVXPUQUUHVAAVXOVXPVBZVDVXOVYDVBZAVYOVXOUKVBZVXOUUIZVEZAV
        YQVDVYRVDZVYSVDAVYQVYMUKVBZAOVYMUOZWUAVDABCDEFGHIKLOPQRSTUAUBUCUDUUJZVY
        MOUUKVFAVXOVYMVGVHZVYQWUAAVYNVYMUSUULZWUDALUKURUUMZAWUEVXOVIUOZAFGHLNQR
        SUEUBUUNZVJZVYMUSNUQUEUUPVKVYQWUDUKVYMVGVHZWUAVXOUKVYMVGUUOWUJVYMUKVGVH
        WUAUKVYMUUQVYMUURUUSVLVMUUTAWUGVYTAWUEWUGWUHVNZVXOUVAVFVYQVYRUVBUVCVXOV
        OZVYOVYSVPAVYMUSNUEUVDZVXOUVGUTUVEAVYOVYPWULVYOVYPVEAWUMVXOUVFUTUVHUVQZ
        VQZAVYIVXOUOZVYJAVYMVXOOVYHAVXOVYMNVRZVYMVXOVYHVRZVYMVXOVYHVSZAVXOVYMUS
        USNUVIZWUQAVYNWUEWUTWUFWUIVYMUSNUQUEUVJVKZVXOVYMUSUSNUVKZVFZVXOVYMNUVLZ
        VYMVXOVYHUVRZVAZWUCVTZVYIVXOWAVFZVXPVIUOZAVYGVYJWBZVYKWRZAVYDVIUOWVIAVX
        OVYDVIWUNWUKWCVXPUVMWHACUHZVXOUOZVYIWVLUJZWBZBGVXNWVLNUIZUJZVXSUKULZUMZ
        VYBUIZWVLUNZMUIZUOZWRZWRAWVKWRCVXPVIWVLVXPVBZWWDWVKAWWEWVOWVJWWCVYKWWEW
        VMVYGWVNVYJWVLVXPVXOWDWVLVXPVYIWEWFWWEWVTVYCWWBVYEWWEWVSVYAVYBWWEBGWVRV
        XTWWEWVQVXRVXSUKWWEWVPVXQVXNWVLVXPNWGWIWJWKWLWWEWWAVYDMWVLVXPWMWLWNWOUV
        NWWDUKVXOUOZVYIUKUJZWBZBGVXNUKNUIZUJZVXSUKULZUMZVYBUIZUKUNZMUIZUOZWRUGU
        HZVXOUOZVYIWWQUJZWBZBGVXNWWQNUIZUJZVXSUKULZUMZVYBUIZWWQUNZMUIZUOZWRZWXF
        VXOUOZVYIWXFUJZWBZBGVXNWXFNUIZUJZVXSUKULZUMZVYBUIZWXFUNZMUIZUOZWRZACUGW
        VLUKVBZWVOWWHWWCWWPWYBWVMWWFWVNWWGWVLUKVXOWDWVLUKVYIWEWFWYBWVTWWMWWBWWO
        WYBWVSWWLVYBWYBBGWVRWWKWYBWVQWWJVXSUKWYBWVPWWIVXNWVLUKNWGWIWJWKWLWYBWWA
        WWNMWVLUKWMWLWNWOCUGWPZWVOWWTWWCWXHWYCWVMWWRWVNWWSWVLWWQVXOWDWVLWWQVYIW
        EWFWYCWVTWXEWWBWXGWYCWVSWXDVYBWYCBGWVRWXCWYCWVQWXBVXSUKWYCWVPWXAVXNWVLW
        WQNWGWIWJWKWLWYCWWAWXFMWVLWWQWMWLWNWOWVLWXFVBZWVOWXLWWCWXTWYDWVMWXJWVNW
        XKWVLWXFVXOWDWVLWXFVYIWEWFWYDWVTWXQWWBWXSWYDWVSWXPVYBWYDBGWVRWXOWYDWVQW
        XNVXSUKWYDWVPWXMVXNWVLWXFNWGWIWJWKWLWYDWWAWXRMWVLWXFWMWLWNWOABGVXNVYINU
        IZUJZVXSUKULZUMZVYBUIZVYIUNZMUIZUOZWWHWWPAWYIBGVXNOUJZVXSUKULZUMZVYBUIW
        YKAWYHWYOVYBABGWYGWYNAWYFWYMVXSUKAWYEOVXNAWUQWUBWYEOVBZWVCWUCVXOVYMONWQ
        VKZWIWJWKWLABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUVOUVPZWWGWYLWWPVPWWFWWGWYIW
        WMWYKWWOWWGWYHWWLVYBWWGBGWYGWWKWWGWYFWWJVXSUKWWGWYEWWIVXNWWGVYIUKNVYIUV
        SZWLWIWJWKWLWWGWYJWWNMWWGVYIUKVBWYJWWNVBWYSVYIUKWMVFWLWNWSVMAWXIWYAWRWR
        WWQVIUOAWXLWXIWXTAWXJWXKWXIWXTWRZAWXJWBZWXKVYIWXFUOZVYIWXFVBZVEZWYTAVYI
        UPUOZWXJWXFUPUOZWXKXUDVPAWULWUPXUEWUMWVGVXOVYIWTXAZAWULWXJXUFWULAWUMXBV
        XOWXFWTZUVTZVYIWXFXCXDXUAXUBWYTXUCXUAXUBWWSWYTAXUEWXJWWQVOZWWSXUBVPZXUG
        XUAWWQUPUOZXUJXUAXUFXULXUIWWQUWAWHZWWQXEVFVYIWWQUWBXDAWXJWWSWYTAWXJWWSW
        BZWBZWWTWXHWXTXUOWWRWWSXUOVXOUWCZWXJWWRWULXUPXUOWUMVXOUWDUTAWXJWWSXFZVX
        OWWQUWEVKZAWXJWWSXGZXHXUOWXHWXTXUOWXHFWXMXIVCZWXMKUIZXJVCZWXEXKVCZXVBWX
        GXKVCZUOZWXTXUOWXEUPUOZWXGUPUOZXVBUPUOZWXHXVEVPXUOFGXIVCZUPUOZWXEXVIUOX
        VFAFUPUOZXUNGUPUOZXVJRAXVLXUNSXLZFGXMXDXUOHXVIWXDVYBXUOFGHQAXVKXUNRXLZX
        VMUWHAWXDHUOZXUNAXVOGFWXDVSWXDUKXNVHZABGWXCFAVXNGUOZWBZWXBVXSUKFAGFVXNK
        AGFKVSZKUKXNVHZAKHUOXVSXVTWBUAAFGHKQRSXOYBZVJZUWFAUKFUOZXVQAXWCFUKXPZAF
        OLUIZAGFOLAGFLVSZLUKXNVHZALHUOXWFXWGWBUBAFGHLQRSXOYBVJZAOGUOZOKUIXWEUOZ
        OEUHZUOZXWKKUIZXWKLUIZVBZWRZEGUWIZABCDEFGHIKLOPQRSTUAUBUCUDUWGZUWJZVTUW
        KAXVKXWCXWDVPRFUWLVFXQXLUWMUWNAWXDUQUOWXDUWOZXVTWXDUKURVCZKUKURVCZUJXVP
        ABGWXCUPSUWPXWTABGWXCUWSXBAXVSXVTXWAVNAGWXCBUPXXBUKAVXNGXXBXRUOWBZWXCWX
        BUKUKULZUKXXCWXBVXSUKUKAGFUQKUPXXBVXNUKXWBAXXBUWQSUKUQUOZAXSXBZUWRUXGWX
        BUKXTZYASUWTKWXDUQUKUXAUXBAFGHWXDQRSXOUXCXLZVTXVIWXEYCVKXUOWXFVIUOZXVGX
        UOWXJWUGXXIXUQAWUGXUNWUKXLWXFVXOUXHVKZVIUPWXFMDUQUQFJUHNUIZXIVCXXKLUIXJ
        VCDUHJMUFUXDYDVFXUOXUTUPUOZXVAUPUOZXVHAXVKXUNWXMUPUOZXXLRAXVLXUNWXMGUOZ
        XXNSXUOVYMGWXMAVYMGUJXUNAGFVYMLLUKUXEXWHUXFZXLZXUOWXJWXMVYMUOXUQVXOVYMW
        XFNVYMUSNUEUXIZYDVFYEZGWXMYCXDZFWXMXMXDAXVKXUNXVAFUOXXMRXUOGFWXMKAXVSXU
        NXWBXLXXSVTZFXVAYCXDXUTXVAUXJVKWXEWXGXVBUXKUXLXUOWXQXVCWXSXVDXUOWXQBGVX
        NWXMVBZWXBVEZVXSUKULZUMZVYBUIZXVCXUOWXPXYEVYBXUOBGWXOXYDXUOXVQWBZWXOXYD
        VBUKUKVBVXSUKVXSUKVBZWXOUKXYDUKXYHWXOWXNUKUKULUKWXNVXSUKUKYFWXNUKXTYAXY
        HXYDXYCUKUKULUKXYCVXSUKUKYFXYCUKXTYAYGXYGVXSUKXPZWBZWXNXYCVXSUKXYJWXNWX
        BXYBVEZXYCXYJWXNVXNWXMUOZXYBVEZXYKXYGWXNXYMVPZXYIXYGVXNUPUOZXXNXYNAXVQX
        YOXUNAGUPVXNAXVLGUPUJSGUXMVFUXSZUXNZXUOXXNXVQXXTXLVXNWXMXCVKXLXYJWXBXYL
        XYBXYJWXBXYLXYJWXBVXNWXAUNZUOZXYLXYGXYOXYIWXAUPUOZWXBXYSVPXYQXUOXYTXVQX
        YIAXVLXUNWXAGUOXYTSXUOVYMGWXAXXQXUOWWRWXAVYMUOXURVXOVYMWWQNXXRYDVFYEGWX
        AYCXDZYHZVXNWXAUXOXDXYJXYRWXMVXNXUOXYRWXMUJZXVQXYIXUOWXAWXMUOZYUCXUOWWQ
        WXFUOZYUDWWQUGUXPZUXQXUOWWQWXFUSVHZWXAWXMUSVHZYUEYUDXUOWUTWWRWXJYUGYUHV
        PAWUTXUNWVAXLZXURXUQVXOVYMWWQWXFUSUSNYLYIWWQWXFWWQYUFUXRZYJWXAWXMWXFNYK
        ZYJYMUXTXUOXYTWXMVOZYUDYUCVPYUAXUOXXNYULXXTWXMXEVFWXAWXMUPUYIVKYBYHUYAU
        YBZXYJXYLWXAVXNUOZVDZWXBXYJYUNXYLXYGXYIYUNXYLVDXYGXYIYUNWBZWBZVXNVYHUIZ
        WXFUOZXYLYUQWXFYURUJZYUSVDZYUQWWQYURUOZYUTYUQYVBWXAYURNUIZUOZYUQWXAVXNY
        VCXYGXYIYUNXGYUQWUQVXNVYMUOZYVCVXNVBZYUQWUTWUQXUOWUTXVQYUPYUIYHZWVBVFZA
        BCDEUGFGHIKLNOPQRSTUAUBUCUDUEUYCZVXOVYMVXNNWQZVKZVQYUQWWQYURUSVHZWXAYVC
        USVHZYVBYVDYUQWUTWWRYURVXOUOZYVLYVMVPYVGXUOWWRXVQYUPXURYHYUQVYMVXOVXNVY
        HYUQWUQWURWUSYVHWVDWVEVAYVIVTZVXOVYMWWQYURUSUSNYLYIWWQYURVXNVYHYKZYJWXA
        YVCYURNYKZYJYMXQZYUQYVBYURVOZYVBYUTVPYVRYUQYURUPUOZYVSYUQWULYVNYVTWUMYV
        OVXOYURWTZXAZYURXEZVFWWQYURYURUYIVKYBYUQXUFYVTYUTYVAVPYUQWULWXJXUFWUMXU
        OWXJXVQYUPXUQYHZXUHXAYWBWXFYURYNVKYBYUQYUSYVCWXMUOZXYLYUQYURWXFUSVHZYVC
        WXMUSVHZYUSYWEYUQWUTYVNWXJYWFYWGVPYVGYVOYWDVXOVYMYURWXFUSUSNYLYIYURWXFY
        UJYJYVCWXMYUKYJYMYUQYVCVXNWXMYVKUYDYOUYEYPUYFXYGXYOXYIXYTWXBYUOVPXYQYUB
        VXNWXAYNXDUYGUYHUYJUYKWXBXYBUYLVLWJXYGUKYQUYMUYNWLXUOXYEHUOXYFXVCVBXUOC
        FGHXYEWXDWXMXVAQXVNXVMXXHXXSXYAXUOXXAWXCUQUYOXRUOZBGYRZWXMXUOXXAVXNWXDU
        IZUKXPZBGYRZYWIXUOWXDGUYSZXVLXXEXXAYWLVBXUOWXCUQUOZBGUWIYWMXUOYWNBGYWNX
        UOWXBVXSUKVXNKYKXSUYPZXBUYQBGWXCWXDUQWXDUYRZUYTVFXVMXXEXUOXSXBYWMXVLXXE
        VUAXXAWVLWXDUIZUKXPZCGYRYWLCWXDUPUQGUKVUBYWRYWKCBGCGYSBGYSBYWQUKBGWXCWV
        LVUCBUKYSVUIYWKCVUJCBWPYWQYWJUKWVLVXNWXDWGVUDVUEYAUXLXUOYWKYWHBGXYGYWKW
        XCUKXPZYWHXYGYWJWXCUKXUOBGWXCWXDUQXUOWXDYQYWNXYGYWOXBZVUFVUDXYGYWSYWNYW
        SWBYWHXYGYWNYWSYWTVUGWXCUQVUHZVUKYOVULYTXUOYWHBGWXMXUOXVQYWHXYLYWHYWSXY
        GXYLYWHYWNYWSYWOYXAVUMYWSXYIWXBWBXYGXYLYWSXYIWXBVXSUKWXCUKXYHWXCXXDUKWX
        BVXSUKUKYFXXGYAVUNWXBWXCUKWXBVXSUKVUOVUPXHXYGXYIWXBXYLYUMVUQVURVUSVUTVV
        AVVBXYECGWVLWXMVBZWVLWXAUJZVEZWVLKUIZUKULZUMCGYXBXVAYWQULZUMBCGXYDYXFBC
        WPZXYCYXDVXSYXEUKYXHXYBYXBWXBYXCVXNWVLWXMVVCVXNWVLWXAVVDZVVEVXNWVLKWGZV
        VIVVFCGYXGYXFWVLGUOZYXBYXEYWQULZYXGYXFYXKYXBYXEXVAYWQYXBYXEXVAVBYXKWVLW
        XMKWGWSVVGYXKYXLYXBYXEYXCYXEUKULZULYXFYXKYXBYWQYXMYXEBWVLWXCYXMGWXDYXHW
        XBYXCVXSYXEUKYXIYXJVVIYWPYXCYXEUKWVLKYKXSUYPVVHVVJYXBYXCYXEUKVWHVVRVVKV
        VLVVMVVNVNYTXUOWXSXUTWXMLUIZXJVCZWXGXKVCZXVDAXUNXXIWXSYXPVBXXJADFGHJLNM
        WXFQRSUEUBUFVVOVVPXUOXVBYXOWXGXKXUOXVAYXNXUTXJXUOXXOXWQOWXMUOZXVAYXNVBZ
        XXSAXWQXUNAXWIXWJXWQXWRVVQZXLXUOWYEOWXMAWYPXUNWYQXLXUOXUBWYEWXMUOZXUOWW
        SXUBXUSAXUEXUNXULXUKXUGAWXJXULWWSXUMVVSVYIWWQUXOXDYBXUOVYIWXFUSVHZWYEWX
        MUSVHZXUBYXTXUOWUTWUPWXJYYAYYBVPYUIAWUPXUNWVGXLXUQVXOVYMVYIWXFUSUSNYLYI
        VYIWXFYUJYJWYEWXMYUKYJYMYBWCXWPYXQYXRWREWXMGXWKWXMVBZXWLYXQXWOYXRXWKWXM
        OVVTYYCXWMXVAXWNYXNXWKWXMKWGXWKWXMLWGYGWOVWAVWIVWBVWCVWDWNUYKVWEVWFYPVW
        GXUAXUCWXTWXIAXUCWXTWRWXJAWYLXUCWXTWYRXUCWYIWXQWYKWXSXUCWYHWXPVYBXUCBGW
        YGWXOXUCWYFWXNVXSUKXUCWYEWXMVXNVYIWXFNWGWIWJWKWLXUCWYJWXRMVYIWXFWMWLWNV
        MXLVWJVWSUYBVUQVWKXBVWLVWMVWNVWOAKVYAVYBAKBGVXSUMVYAABGFKXWBVWPABGVXSVX
        TVXRVXSVXSVBXYHVXSVXTVBXVRVXSUKVXSVXTVXSVWQUKVXTVXSVWQXVRVXRWBVXSYQXVRV
        XRVDZXYHXVRYYDVXQVXNUOZXYHXVRVXRYYEXVRXYOVXQUPUOZVXRYYEVDVPXYPAYYFXVQAX
        VLVXQGUOYYFSAVYMGVXQXXPAVYGVXQVYMUOWUOVXOVYMVXPNXXRYDVFYEGVXQYCVKZXLVXN
        VXQYNVKVWRAXVQYYEXYHAXVQYYEWBZWBZVXSVXNLUIZUKYYIXVQXWQOVXNUOZVXSYYJVBZA
        XVQYYEXFZAXWQYYHYXSXLYYIOVXQUJZYYEYYKAYYNYYHAYYNVXQOUOZVDZAVXPVYIUOZYYO
        AVYJYYQVDZWVHAVYIVOZVXPVOZVYJYYRVPAXUEYYSXUGVYIXEVFWULYYTWUMVXOVWTVXAZV
        YIVXPVXBVXCYBAYYQVXQWYEUOZYYOAVXPVYIUSVHZVXQWYEUSVHZYYQUUUBAWUTVYGWUPUU
        UCUUUDVPWVAWUOWVGVXOVYMVXPVYIUSUSNYLYIVXPVYIOVYHYKYJVXQWYEVYINYKYJYMAWY
        EOVXQWYQVXDYOUYEAOUPUOZYYFYYNYYPVPAXVLXWIUUUESXWSGOYCVKZYYGOVXQYNVKXQXL
        AXVQYYEXGZAUUUEYYHXYOYYNYYEWBYYKWRUUUFAXVQXYOYYEXYPVVSOVXQVXNVXEXDVWOXW
        PYYKYYLWREVXNGEBWPZXWLYYKXWOYYLXWKVXNOVVTUUUHXWMVXSXWNYYJXWKVXNKWGXWKVX
        NLWGYGWOVWAVWIAYYHVXNGVYMXRUOYYJUKVBYYIVXNGVYMYYMYYIYVEVXPYURUOZYYIYVEW
        BZUUUIYYEYYIYYEYVEUUUGXLUUUJUUUIVXQYVCUOZYYEUUUJVXPYURUSVHZVXQYVCUSVHZU
        UUIUUUKUUUJWUTVYGYVNUUULUUUMVPAWUTYYHYVEWVAYHAVYGYYHYVEWUOYHYYIYVEWUSYV
        NAWUSYYHYVEWVFYHVYMVXOVXNVYHVXIVXFZVXOVYMVXPYURUSUSNYLYIVXPYURYVPYJVXQY
        VCYVQYJYMUUUJYVCVXNVXQYYIYVEWUQYVFAWUQYYHYVEWVCYHYVJVXFVXDYOXQUUUJYURVX
        PUJZUUUIVDZUUUJYVNUUUOUUUNYURVXOWAVFUUUJYVSYYTUUUOUUUPVPUUUJYVTYVSUUUJW
        ULYVNYVTWUMUUUNYWAXAYWCVFUUUAYURVXPVXBVXCYBVXGVXHAGFUQLUPVYMVXNUKXWHAVY
        MUWQSXXFUWRVVPYTYPVWGVXJVXKUYNYTWLAVYFVXOMUIVYEADFGHJLNMQRSUEUBUFVXLAVX
        OVYDMWUNWLYTVXM $.
    $}

    ${
      cantnf.c $e |- ( ph -> C e. ( A ^o B ) ) $.
      cantnf.s $e |- ( ph -> C C_ ran ( A CNF B ) ) $.
      cantnf.e $e |- ( ph -> (/) e. C ) $.
      $( Lemma for ~ cantnf .  (Contributed by Mario Carneiro, 28-May-2015.) $)
      cantnflem2 $p |- ( ph -> ( A e. ( On \ 2o ) /\ C e. ( On \ 1o ) ) ) $=
        ( con0 wcel c1o c2o cdif c0 wceq wo coe co oecl syl2anc onelon sylanbrc
        wss ondif1 eldifbd ssel syl5com mtod oe0m syl difss eqsstrdi syl5ibrcom
        oveq1 sseq1d oe1m eqimss 3syl jaod cpr elpri df2o3 eleq2s nsyl eldifd
        jca ) AFRUAUBSHRTUBSZAFRUALAFUCUDZFTUDZUEZFUASAVSFGUFUGZTULZAWAHTSZAHRT
        AHRSZUCHSVPAVTRSZHVTSZWCAFRSGRSZWDLMFGUHUIOVTHUJUIQHUMUKZUNAWEWAWBOVTTH
        UOUPUQAVQWAVRAWAVQUCGUFUGZTULAWHTGUBZTAWFWHWIUDMGURUSTGUTVAVQVTWHTFUCGU
        FVCVDVBAWAVRTGUFUGZTULZAWFWJTUDWKMGVEWJTVFVGVRVTWJTFTGUFVCVDVBVHUQVSFUC
        TVIUAFUCTVJVKVLVMVNWGVO $.

      cantnf.x $e |- X = U. |^| { c e. On | C e. ( A ^o c ) } $.
      cantnf.p $e |- P = ( iota d E. a e. On E. b e. ( A ^o X )
        ( d = <. a , b >. /\ ( ( ( A ^o X ) .o a ) +o b ) = C ) ) $.
      cantnf.y $e |- Y = ( 1st ` P ) $.
      cantnf.z $e |- Z = ( 2nd ` P ) $.
      ${
        cantnf.g $e |- ( ph -> G e. S ) $.
        cantnf.v $e |- ( ph -> ( ( A CNF B ) ` G ) = Z ) $.
        cantnf.f $e |- F = ( t e. B |-> if ( t = X , Y , ( G ` t ) ) ) $.
        $( Lemma for ~ cantnf .  Here we show existence of Cantor normal forms.
           Assuming (by transfinite induction) that every number less than
           ` C ` has a normal form, we can use ~ oeeu to factor ` C ` into the
           form ` ( ( A ^o X ) .o Y ) +o Z ` where ` 0 < Y < A ` and
           ` Z < ( A ^o X ) ` (and a fortiori ` X < B ` ).  Then since
           ` Z < ( A ^o X ) <_ ( A ^o X ) .o Y <_ C ` , ` Z ` has a normal
           form, and by appending the term ` ( A ^o X ) .o Y ` using ~ cantnfp1
           we get a normal form for ` C ` .  (Contributed by Mario Carneiro,
           28-May-2015.) $)
        cantnflem3 $p |- ( ph -> C e. ran ( A CNF B ) ) $=
          ( vk ccnf co cfv crn coe comu coa wcel wceq wss con0 c1o cdif w3a c2o
          c0 wa cantnflem2 eqid 3pm3.2i oeeui mpbiri simpld simp1d oecl syl2anc
          syl simp2d eldifad onelon wne dif1o simprbi wb on0eln0 mpbird omword1
          syl21anc omcl simp3d oaword1 simprd sseqtrd sstrd ontr2 oeord syl3anc
          wi mp2and csupp cv adantr suppssdm wf cfsupp wbr cantnfs mpbid sselda
          fssdm ffvelrnd wfn cvv ffnd elexd elsuppfn simplbda cep cmpo cantnfle
          coi cseqom ex ssrdv cantnfp1 oveq2d 3eqtrd cantnff fnfvelrn eqeltrrd
          ) AMGHUQURZUSZIYQUTZAYRGOVAURZPVBURZNYQUSZVCURZUUAQVCURZIAMKVDZYRUUCV
          EZAFGHKMNOPUBUCUDUMAOHVDZYTGHVAURZVDZAYTIVFZIUUHVDZUUIAYTUUAIAYTVGVDZ
          PVGVDZVLPVDZYTUUAVFAGVGVDZOVGVDZUULUCAUUPPGVHVIVDZQYTVDZAUUPUUQUURVJZ
          UUDIVEZAGVGVKVIVDZIVGVHVIVDZVMZUUSUUTVMZABCDEGHIKLUBUCUDUEUFUGUHVNZUV
          CUVDOOVEZPPVEZQQVEZVJUVFUVGUVHOVOPVOQVOVPTRSUAGIOPJQOPQUIUJUKULVQVRWC
          ZVSZVTZGOWAWBZAUUOPGVDZUUMUCAPGVHAUUPUUQUURUVJWDZWEZGPWFWBZAUUNPVLWGZ
          AUUQUVQUVNUUQUVMUVQPGWHWIWCAUUMUUNUVQWJUVPPWKWCWLYTPWMWNAUUAUUDIAUUAV
          GVDZQVGVDZUUAUUDVFAUULUUMUVRUVLUVPYTPWOWBAUULUURUVSUVLAUUPUUQUURUVJWP
          ZYTQWFWBUUAQWQWBAUUSUUTUVIWRZWSWTUFAUULUUHVGVDZUUJUUKVMUUIXDUVLAUUOHV
          GVDZUWBUCUDGHWAWBYTIUUHXAWBXEAUUPUWCUVAUUGUUIWJUVKUDAUVAUVBUVEVSZOHGX
          BXCWLUVOABNVLXFURZOABXGZUWEVDZUWFOVDZAUWGVMZUWHGUWFVAURZYTVDZUWIUWJQV
          FZUURUWKUWIUWJUWJUWFNUSZVBURZQUWIUWJVGVDZUWMVGVDZVLUWMVDZUWJUWNVFUWIU
          UOUWFVGVDZUWOAUUOUWGUCXHZUWIUWCUWFHVDZUWRAUWCUWGUDXHZAUWEHUWFAHGUWENN
          VLXIAHGNXJZNVLXKXLZANKVDZUXBUXCVMUMAGHKNUBUCUDXMXNVSZXPXOZHUWFWFWBZGU
          WFWAWBZUWIUUOUWMGVDUWPUWSUWIHGUWFNAUXBUWGUXEXHUXFXQGUWMWFWBZUWIUWQUWM
          VLWGZAUWGUWTUXJANHXRUWCVLXSVDUWGUWTUXJVMWJAHGNUXEXTUDAVLIUHYAUWFNVGXS
          HVLYBXCYCUWIUWPUWQUXJWJUXIUWMWKWCWLUWJUWMWMWNUWIUWNUUBQUWIDGHUWFKUPNU
          WEYDYGZUPDXSXSGUPXGUXKUSZVAURUXLNUSVBURDXGVCURYEVLYHZUBUWSUXAUXKVOAUX
          DUWGUMXHUXMVOUXFYFAUUBQVEUWGUNXHWSWTAUURUWGUVTXHUWIUWOUULUWLUURVMUWKX
          DUXHAUULUWGUVLXHUWJQYTXAWBXEUWIUWRUUPUVAUWHUWKWJUXGAUUPUWGUVKXHAUVAUW
          GUWDXHUWFOGXBXCWLYIYJUOYKZWRAUUBQUUAVCUNYLUWAYMAYQKXRUUEYRYSVDAKUUHYQ
          AGHKUBUCUDYNXTAUUEUUFUXNVSKMYQYOWBYP $.
      $}

      $( Lemma for ~ cantnf .  Complete the induction step of ~ cantnflem3 .
         (Contributed by Mario Carneiro, 25-May-2015.) $)
      cantnflem4 $p |- ( ph -> C e. ran ( A CNF B ) ) $=
        ( vg vt cv ccnf co cfv wceq crn wcel wrex coe comu coa con0 wss c1o w3a
        cdif c2o wa cantnflem2 eqid 3pm3.2i oeeui mpbiri syl simpld simp1d oecl
        syl2anc simp2d eldifad onelon omcl simp3d oaword1 dif1o simprbi on0eln0
        c0 wne wb mpbird omword1 syl21anc sseldd simprd eleqtrd wfn cantnff ffn
        fvelrnb 3syl mpbid cif cmpt adantr simprl simprr cantnflem3 rexlimddv
        wf ) AUJULZFGUMUNZUONUPZHXMUQZURUJJANXOURZXNUJJUSZAHXONUDANFLUTUNZMVAUN
        ZNVBUNZHAXSXTNAXSVCURZNVCURZXSXTVDAXRVCURZMVCURZYAAFVCURZLVCURZYCTAYFMF
        VEVGURZNXRURZAYFYGYHVFZXTHUPZAFVCVHVGURHVCVEVGURVIZYIYJVIZABCDEFGHJKSTU
        AUBUCUDUEVJYKYLLLUPZMMUPZNNUPZVFYMYNYOLVKMVKNVKVLQOPRFHLMINLMNUFUGUHUIV
        MVNVOZVPZVQFLVRVSZAYEMFURZYDTAMFVEAYFYGYHYQVTZWAFMWBVSZXRMWCVSAYCYHYBYR
        AYFYGYHYQWDZXRNWBVSXSNWEVSAXRXSNAYCYDWIMURZXRXSVDYRUUAAUUCMWIWJZAYGUUDY
        TYGYSUUDMFWFWGVOAYDUUCUUDWKUUAMWHVOWLXRMWMWNUUBWOWOAYIYJYPWPWQWOAJFGUTU
        NZXMXKXMJWRXPXQWKAFGJSTUAWSJUUEXMWTUJJNXMXAXBXCAXLJURZXNVIZVIBCDEUKFGHI
        JKUKGUKULZLUPMUUHXLUOXDXEZXLLMNOPQRSAYEUUGTXFAGVCURUUGUAXFUBAHUUEURUUGU
        CXFAHXOVDUUGUDXFAWIHURUUGUEXFUFUGUHUIAUUFXNXGAUUFXNXHUUIVKXIXJ $.
    $}

    $d c ph $.
    $( The Cantor Normal Form theorem.  The function ` ( A CNF B ) ` , which
       maps a finitely supported function from ` B ` to ` A ` to the sum
       ` ( ( A ^o f ( a 1 ) ) o. a 1 ) +o `
       ` ( ( A ^o f ( a 2 ) ) o. a 2 ) +o ... ` over all indices ` a < B ` such
       that ` f ( a ) ` is nonzero, is an order isomorphism from the ordering
       ` T ` of finitely supported functions to the set ` ( A ^o B ) ` under
       the natural order.  Setting ` A = _om ` and letting ` B ` be arbitrarily
       large, the surjectivity of this function implies that every ordinal has
       a Cantor normal form (and injectivity, together with coherence
       ~ cantnfres , implies that such a representation is unique).
       (Contributed by Mario Carneiro, 28-May-2015.) $)
    cantnf $p |- ( ph -> ( A CNF B ) Isom T , _E ( S , ( A ^o B ) ) ) $=
      ( vt co cep cv cfv wcel c0 vf vg vd va vb vc vk vu vv wor coe wpo wfo wbr
      ccnf wi wral wiso oemapso word wwe con0 oecl syl2anc eloni syl ordwe weso
      sopo 4syl crn wceq cantnff frnd wss onss sseld weq eleq1w imbi12d r19.21v
      wf imbi2d wa wel wb ordelss sylan sselda pm5.5 ralbidva dfss3 bitr4di wne
      eleq1 cop crab cint cuni comu coa wrex c1st adantr simplrl simplrr simprl
      cio c2nd onelon on0eln0 biimpar eqid cantnflem4 csn cxp coi cdm cvv csupp
      cmpo cseqom fczsupp0 eqcomi oieq2 ax-mp cfsupp ne0i ad2antrl oveq1 neeq1d
      0ex a1i eqtri expr copab fveq2 ralbidv anbi12d fveq1 necon2d oe0m1 bitr3d
      syl5ibcom 3imtr4d impel fconstmpt fmptd fczfsuppd mpbir2and cantnfval cen
      cantnfs we0 oien mp2an en0 mpbi fveq2i seqom0g wfn ffnd fnfvelrn eqeltrrd
      eqtrdi pm2.61ne sylbid ex com23 syl5bi tfis2 com3l mpdd ssrdv eqssd dffo2
      sylanbrc eleq12d imbi1d cbvrexvw eleq12 syl2an eqeqan12d rexbidv cbvopabv
      a2i syl5bb simprll simprlr simprr cantnflem1 fvex epeli sylibr ralrimivva
      soisoi syl22anc ) AHIUJFGUKOZPULZHUWRFGUOOZUMZUAQZUBQZIUNZUXBUWTRZUXCUWTR
      ZPUNZUPZUBHUQUAHUQHUWRIPUWTURABCDEFGHIJKLMUSAUWRUTZUWRPVAUWRPUJUWSAUWRVBS
      ZUXIAFVBSZGVBSZUXJKLFGVCVDZUWRVEVFZUWRVGUWRPVHUWRPVIVJAHUWRUWTWBZUWTVKZUW
      RVLUXAAFGHJKLVMZAUXPUWRAHUWRUWTUXQVNANUWRUXPANQZUWRSZUXRVBSZUXRUXPSZAUWRV
      BUXRAUXJUWRVBVOUXMUWRVPVFVQUXTAUXSUYAAUXSUYAUPZUPZACQZUWRSZUYDUXPSZUPZUPZ
      NCNCVRZUYBUYGAUYIUXSUYEUYAUYFNCUWRVSNCUXPVSVTWCUYHCUXRUQAUYGCUXRUQZUPZUXT
      UYCAUYGCUXRWAUYKUYCUPUXTAUYJUYBAUXSUYJUYAAUXSUYJUYAUPAUXSWDZUYJUXRUXPVOZU
      YAUYLUYJUYFCUXRUQUYMUYLUYGUYFCUXRUYLCNWEWDUYEUYGUYFWFUYLUXRUWRUYDAUXIUXSU
      XRUWRVOUXNUWRUXRWGWHWIUYEUYFWJVFWKCUXRUXPWLWMAUXSUYMUYAAUXSUYMWDZWDZUYATU
      XPSUXRTUXRTUXPWOUYOUXRTWNZWDBCDEFGUXRUCQUDQZUEQZWPVLFUXRFUFQZUKOSUFVBWQWR
      WSZUKOZUYQWTOUYRXAOUXRVLWDUEVUAXBUDVBXBUCXHZHIUYTVUBXCRZVUBXIRZUDUEUFUCJU
      YOUXKUYPAUXKUYNKXDZXDUYOUXLUYPAUXLUYNLXDZXDMAUXSUYMUYPXEAUXSUYMUYPXFUYOTU
      XRSZUYPUYOUXTVUGUYPWFUYOUXJUXSUXTAUXJUYNUXMXDAUXSUYMXGUWRUXRXJVDUXRXKVFXL
      UYTXMVUBXMVUCXMVUDXMXNUYOGTXOXPZUWTRZTUXPUYOVUITPXQZXRZUGDXSXSFUGQZVUJRZU
      KOVUMVUHRWTODQZXAOYAZTYBZRZTUYODFGHUGVUHVUJVUPJVUEVUFTVUHTXTOZVLVUJVURPXQ
      VLVURTGTYCYDTVURPYEYFUYOVUHHSZGFVUHWBZVUHTYGUNZUYOCGTFVUHUYOGTWNZTFSZUYDG
      SUYOTGUKOZTVLZFTWNZVVBVVCUYOFTVVDTUYOUWRTWNZFTVLZVVDTWNUXSVVGAUYMUWRUXRYH
      YIVVHUWRVVDTFTGUKYJYKUUDUUAUYOUXLVVBVVEWFVUFUXLTGSVVBVVEGXKGUUBUUCVFUYOUX
      KVVCVVFWFVUEFXKVFUUEGUYDYHUUFCGTUUGUUHAVVAUYNAGVBXSTLTXSSZAYLYMUUIXDAVUSV
      UTVVAWDWFUYNAFGHVUHJKLUUMXDUUJZVUPXMZUUKVUQTVUPRZTVUKTVUPVUKTUULUNZVUKTVL
      VVITPVAVVMYLPUUNTPVUJXSVUJXMUUOUUPVUKUUQUURUUSVVIVVLTVLYLVUOVUPTXSVVKUUTY
      FYNUVEUYOUWTHUVAVUSVUIUXPSUYOHUWRUWTAUXOUYNUXQXDUVBVVJHVUHUWTUVCVDUVDUVFY
      OUVGUVHUVIUWFYMUVJUVKUVLUVMUVNUVOHUWRUWTUVPUVQAUXHUAUBHHAUXBHSZUXCHSZWDZU
      XDUXGAVVPUXDWDZWDZUXEUXFSUXGVVRUHUINEFGHIUGUXBUXCUGNXSXSFVULUXCTXTOPXQZRZ
      UKOVVTUXCRWTOUXRXAOYATYBZVVSUYSUXBRUYSUXCRSUFGWQWSZUFJAUXKVVQKXDAUXLVVQLX
      DIVUNBQZRZVUNUYDRZSZDEWEZEQZVWCRZVWHUYDRZVLZUPZEGUQZWDZDGXBZBCYPUXRUHQZRZ
      UXRUIQZRZSZNEWEZVWHVWPRZVWHVWRRZVLZUPZEGUQZWDZNGXBZUHUIYPMVWOVXHBCUHUIVWO
      UXRVWCRZUXRUYDRZSZVXAVWKUPZEGUQZWDZNGXBBUHVRZCUIVRZWDZVXHVWNVXNDNGDNVRZVW
      FVXKVWMVXMVXRVWDVXIVWEVXJVUNUXRVWCYQVUNUXRUYDYQUVRVXRVWLVXLEGVXRVWGVXAVWK
      DNVWHVSUVSYRYSUVTVXQVXNVXGNGVXQVXKVWTVXMVXFVXOVXIVWQVLVXJVWSVLVXKVWTWFVXP
      UXRVWCVWPYTUXRUYDVWRYTVXIVWQVXJVWSUWAUWBVXQVXLVXEEGVXQVWKVXDVXAVXOVXPVWIV
      XBVWJVXCVWHVWCVWPYTVWHUYDVWRYTUWCWCYRYSUWDUWGUWEYNAVVNVVOUXDUWHAVVNVVOUXD
      UWIAVVPUXDUWJVWBXMVVSXMVWAXMUWKUXEUXFUXCUWTUWLUWMUWNYOUWOUAUBHUWRIPUWTUWP
      UWQ $.

    $( The lexicographic order on a function space of ordinals gives a
       well-ordering with order type equal to the ordinal exponential.  This
       provides an alternate definition of the ordinal exponential.
       (Contributed by Mario Carneiro, 28-May-2015.) $)
    oemapwe $p |- ( ph -> ( T We S /\ dom OrdIso ( T , S ) = ( A ^o B ) ) ) $=
      ( wwe wceq cep con0 wcel syl cvv coi cdm co word oecl syl2anc eloni ordwe
      coe 3syl ccnf wiso wb cantnf isowe mpbird ccnv wa isocnv wse ovex eqeltri
      dmex exse ax-mp eqid oieu sylancl mpbi2and simpld eqcomd jca ) AHINZHIUAZ
      UBZFGUIUCZOAVMVPPNZAVPQRZVPUDZVQAFQRGQRVRKLFGUEUFZVPUGZVPUHUJAHVPIPFGUKUC
      ZULZVMVQUMABCDEFGHIJKLMUNZHVPIPWBUOSUPZAVPVOAVPVOOZWBUQZVNOZAVSVPHPIWGULZ
      WFWHURZAVRVSVTWASAWCWIWDHVPIPWBUSSAVMHIUTZVSWIURWJUMWEHTRWKHWBUBTJWBFGUKV
      AVCVBHITVDVEHVPIVNWGVNVFVGVHVIVJVKVL $.

    $( An alternate definition of ~ df-cnf which relies on ~ cantnf .  (Note
       that although the use of ` S ` seems self-referential, one can use
       ~ cantnfdm to eliminate it.)  (Contributed by Mario Carneiro,
       28-May-2015.) $)
    cantnffval2 $p |- ( ph -> ( A CNF B ) = `' OrdIso ( T , S ) ) $=
      ( ccnf ccnv wceq cep con0 wcel cvv coi wrel coe wiso cantnf isof1o f1orel
      co wf1o 3syl dfrel2 sylib cdm word wa syl2anc eloni syl isocnv wwe wse wb
      oecl oemapwe simpld ovex dmex eqeltri exse ax-mp eqid oieu sylancl simprd
      mpbi2and cnveqd eqtr3d ) AFGNUHZOZOZVRHIUAZOAVRUBZVTVRPAHFGUCUHZIQVRUDZHW
      CVRUIWBABCDEFGHIJKLMUEZHWCIQVRUFHWCVRUGUJVRUKULAVSWAAWCWAUMZPZVSWAPZAWCUN
      ZWCHQIVSUDZWGWHUOZAWCRSZWIAFRSGRSWLKLFGVCUPWCUQURAWDWJWEHWCIQVRUSURAHIUTZ
      HIVAZWIWJUOWKVBAWMWFWCPABCDEFGHIJKLMVDVEHTSWNHVRUMTJVRFGNVFVGVHHITVIVJHWC
      IWAVSWAVKVLVMVOVNVPVQ $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d x y z ph $.  $d x y z S $.
    cantnff1o.1 $e |- S = dom ( A CNF B ) $.
    cantnff1o.2 $e |- ( ph -> A e. On ) $.
    cantnff1o.3 $e |- ( ph -> B e. On ) $.
    $( Simplify the isomorphism of ~ cantnf to simple bijection.  (Contributed
       by Mario Carneiro, 30-May-2015.) $)
    cantnff1o $p |- ( ph -> ( A CNF B ) : S -1-1-onto-> ( A ^o B ) ) $=
      ( vz vx vy vw coe co cv cfv wcel wceq wi wral cep wa wrex copab ccnf wiso
      wf1o eqid cantnf isof1o syl ) ADBCLMZHNZINZOULJNZOPULKNZPUOUMOUOUNOQRKCSU
      AHCUBIJUCZTBCUDMZUEDUKUQUFAIJHKBCDUPEFGUPUGUHDUKUPTUQUIUJ $.
  $}

  ${
    $d a b c d f w x y z A $.  $d a b c d f x y B $.  $d a b c d f w x y z F $.
    $d a b c d f x y G $.  $d a b c d f x y ph $.  $d c d w z R $.  $d c z S $.
    $d c d f x y U $.  $d f x Z $.
    wemapwe.t $e |- T = { <. x , y >. | E. z e. A ( ( x ` z ) S ( y ` z ) /\
        A. w e. A ( z R w -> ( x ` w ) = ( y ` w ) ) ) } $.
    wemapwe.u $e |- U = { x e. ( B ^m A ) | x finSupp Z } $.
    wemapwe.2 $e |- ( ph -> R We A ) $.
    wemapwe.3 $e |- ( ph -> S We B ) $.
    wemapwe.4 $e |- ( ph -> B =/= (/) ) $.
    wemapwe.5 $e |- F = OrdIso ( R , A ) $.
    wemapwe.6 $e |- G = OrdIso ( S , B ) $.
    wemapwe.7 $e |- Z = ( G ` (/) ) $.
    $( Construct lexicographic order on a function space based on a reverse
       well-ordering of the indices and a well-ordering of the values.
       (Contributed by Mario Carneiro, 29-May-2015.)  (Revised by AV,
       3-Jul-2019.) $)
    wemapwe $p |- ( ph -> T We U ) $=
      ( vf vc va vb vd cvv wcel wa wwe cxp cin ccnv ccom cmpt cfv wceq cdm wral
      cv wi wrex copab wbr ccnf co wf1o cfsupp cmap crab eqid cep simprr adantr
      wiso oiiso syl2anc isof1o syl simprl f1ocnv oiexg ad2antll dmexd ad2antrl
      3syl c0 wne crn wfo f1ofo eqnetrd dm0rn0 necon3bii sylibr wb oif ffvelrni
      forn con0 oion eqtrid mpbird weinxp fveq2 breq12d ralbidv anbi12d sylancr
      coexg fveq1 syl2an coeq1 coeq2d fvmptd3 ad2antrr wf sselid elmapi ffvelrn
      vex isorel syl12anc fco sylancl fvco3 fveq2d eqtrd bitr4d eqeq12d imbi12d
      sylancom adantrr fvco3d ffvelrnd ex inopab eqtri wn word ord0eln0 mapfien
      oicl eqeltrid cantnfdm fveq2i f1ocnvfv1 breq2d rabbidv eqtr4d f1oeq3d coi
      ax-mp coe oemapwe simpld f1owe sylib wfn f1ofn breq1 imbi1d rexrn rexeqdv
      sylc cnvexg eleq12 eqeqan12d imbi2d brabga isocnv ssrab3 fvex epeli simpr
      rexbidv bitrdi eleq12d raleqdv breq2 ralrn bitr3d epel bitr3id wf1 f1fveq
      f1of1 3bitrd anassrs ralbidva rexbidva 3bitr4rd 3bitr3d pm5.32rd opabbidv
      df-xp ineq12i ineq2i 3eqtr4g weeq1 we0 elmapex con3i pm2.21d rabeq0 weeq2
      ralrimiv mpbiri pm2.61d1 ) AGUHUIZFUHUIZUJZKJUKZAUXMUXNAUXMUJZKJKKULZUMZU
      KZUXNUXOUXRKBVAZUCKMUNZUCVAZLUOZUOZUPZUQZCVAZUYDUQZUDVAZUEVAZUQZUYHUFVAZU
      QZUIZUYHUGVAZUIZUYNUYIUQZUYNUYKUQZURZVBZUGLUSZUTZUJZUDUYTVCZUEUFVDZVEZBCV
      DZUXPUMZUKZUXOKVUFUKZVUHUXOKMUSZUYTVFVGUSZUYDVHZVUKVUDUKZVUIUXOVULKUXSNUX
      TUQZVIVEZBVUJUYTVJVGZVKZUYDVHUXOBFGUYTVUJKVUQUHUCLUXTUHVUNUHUHNPVUQVLVUNV
      LUXOUYTFVMHLVPZUYTFLVHZUXOUXLFHUKZVURAUXKUXLVNZAVUTUXMQVOFHLUHTVQVRZUYTFV
      MHLVSVTZUXOVUJGVMIMVPZVUJGMVHZGVUJUXTVHZUXOUXKGIUKZVVDAUXKUXLWAZAVVGUXMRV
      OGIMUHUAVQVRZVUJGVMIMVSZVUJGMWBZWGVVAVVHUXOLUHUXLLUHUIZAUXKFHLUHTWCWDZWEU
      XOMUHUXKMUHUIZAUXLGIMUHUAWCWFZWEUXONWHMUQZGUBUXOWHVUJUIZVVPGUIUXOVUJWHWIZ
      VVQUXOMWJZWHWIVVRUXOVVSGWHUXOVVEVUJGMWKVVSGURUXOVVDVVEVVIVVJVTZVUJGMWLVUJ
      GMWTWGAGWHWIUXMSVOWMVUJWHVVSWHMWNWOWPVUJUUAVVQVVRWQGIMUAUUDVUJUUBUUNWPZVU
      JGWHMGIMUAWRWSVTUUEUUCUXOVUKVUQKUYDUXOVUKUXSWHVIVEZBVUPVKZVUQUXOVUJUYTVWC
      BVWCVLUXKVUJXAUIAUXLGIMUHUAXBWFZUXLUYTXAUIAUXKFHLUHTXBWDZUUFUXOVUOVWBBVUP
      UXOVUNWHUXSVIUXOVUNVVPUXTUQZWHNVVPUXTUBUUGUXOVVEVVQVWFWHURVVTVWAVUJGWHMUU
      HVRXCUUIUUJUUKUULXDUXOVUMVUKVUDUUMUSVUJUYTUUOVGURUXOUEUFUDUGVUJUYTVUKVUDV
      UKVLVWDVWEVUDVLZUUPUUQBCKVUKVUFVUDUYDVUFVLUURUVFKVUFXEUUSUXOUXQVUGURUXRVU
      HWQUXODVAZUXSUQZVWHUYFUQZIVEZVWHEVAZHVEZVWLUXSUQZVWLUYFUQZURZVBZEFUTZUJZD
      FVCZUXSKUIZUYFKUIZUJZUJZBCVDZVUEVXCUJZBCVDZUXQVUGUXOVXDVXFBCUXOVXCVWTVUEU
      XOVXCVWTVUEWQUXOVXCUJZVWSDLWJZVCZUYHLUQZUXSUQZVXKUYFUQZIVEZVXKVWLHVEZVWPV
      BZEFUTZUJZUDUYTVCZVWTVUEVXHVUSLUYTUUTZVXJVXSWQUXOVUSVXCVVCVOZUYTFLUVAZVWS
      VXRDUDUYTLVWHVXKURZVWKVXNVWRVXQVYCVWIVXLVWJVXMIVWHVXKUXSXFVWHVXKUYFXFXGVY
      CVWQVXPEFVYCVWMVXOVWPVWHVXKVWLHUVBUVCXHXIUVDWGVXHVWSDVXIFVXHVUSUYTFLWKVXI
      FURVYAUYTFLWLUYTFLWTWGZUVEVXHUXTUXSLUOZUOZUXTUYFLUOZUOZVUDVEZUYHVYFUQZUYH
      VYHUQZUIZUYOUYNVYFUQZUYNVYHUQZURZVBZUGUYTUTZUJZUDUYTVCZVUEVXSVXHVYFUHUIZV
      YHUHUIZVYIVYSWQVXHUXTUHUIZVYEUHUIZVYTVXHVVNWUBUXOVVNVXCVVOVOMUHUVGVTZVXHU
      XSUHUIVVLWUCBYBUXOVVLVXCVVMVOZUXSLUHUHXKXJUXTVYEUHUHXKVRZVXHWUBVYGUHUIZWU
      AWUDVXHUYFUHUIVVLWUGCYBWUEUYFLUHUHXKXJUXTVYGUHUHXKVRZVUCVYSUEUFVYFVYHVUDU
      HUHUYIVYFURZUYKVYHURZUJZVUBVYRUDUYTWUKUYMVYLVUAVYQWUIUYJVYJURUYLVYKURUYMV
      YLWQWUJUYHUYIVYFXLUYHUYKVYHXLUYJVYJUYLVYKUVHXMWUKUYSVYPUGUYTWUKUYRVYOUYOW
      UIWUJUYPVYMUYQVYNUYNUYIVYFXLUYNUYKVYHXLUVIUVJXHXIUVQVWGUVKVRVXHUYEVYFUYGV
      YHVUDVXHUCUXSUYCVYFKUYDUHUYDVLZUYAUXSURUYBVYEUXTUYAUXSLXNXOUXOVXAVXBWAZWU
      FXPVXHUCUYFUYCVYHKUYDUHWULUYAUYFURUYBVYGUXTUYAUYFLXNXOUXOVXAVXBVNZWUHXPXG
      VXHVXRVYRUDUYTVXHUYHUYTUIZUJZVXNVYLVXQVYQWUPVXNVXLUXTUQZVXMUXTUQZUIZVYLWU
      PVXNWUQWURVMVEZWUSWUPGVUJIVMUXTVPZVXLGUIZVXMGUIZVXNWUTWQWUPVVDWVAUXOVVDVX
      CWUOVVIXQVUJGVMIMUVLVTVXHFGUXSXRZVXKFUIZWVBWUOVXHUXSGFVJVGZUIZWVDVXHKWVFU
      XSUXSNVIVEZBWVFKPUVMZWUMXSUXSGFXTVTZUYTFUYHLFHLTWRZWSZFGVXKUXSYAXMVXHFGUY
      FXRZWVEWVCWUOVXHUYFWVFUIWVMVXHKWVFUYFWVIWUNXSUYFGFXTVTZWVLFGVXKUYFYAXMGVU
      JVXLVXMIVMUXTYCYDWUQWURVXMUXTUVNUVOUVRWUPVYJWUQVYKWURWUPVYJUYHVYEUQZUXTUQ
      ZWUQVXHWUOUYTGVYEXRZVYJWVPURWUPWVDUYTFLXRZWVQVXHWVDWUOWVJVOWVKUYTFGUXSLYE
      YFZUYTGUYHUXTVYEYGYMWUPWVOVXLUXTWUPWVRWUOWVOVXLURWVKVXHWUOUVPZUYTFUYHUXSL
      YGXJYHYIWUPVYKUYHVYGUQZUXTUQZWURVXHWUOUYTGVYGXRZVYKWWBURWUPWVMWVRWWCVXHWV
      MWUOWVNVOWVKUYTFGUYFLYEYFZUYTGUYHUXTVYGYGYMWUPWWAVXMUXTWUPWVRWUOWWAVXMURW
      VKWVTUYTFUYHUYFLYGXJYHYIUVSYJWUPVXQVXKUYNLUQZHVEZWWEUXSUQZWWEUYFUQZURZVBZ
      UGUYTUTZVYQVXHVXQWWKWQWUOVXHVXPEVXIUTZVXQWWKVXHVXPEVXIFVYDUVTVXHVUSVXTWWL
      WWKWQVYAVYBVXPWWJEUGUYTLVWLWWEURZVXOWWFVWPWWIVWLWWEVXKHUWAWWMVWNWWGVWOWWH
      VWLWWEUXSXFVWLWWEUYFXFYKYLUWBWGUWCVOWUPVYPWWJUGUYTVXHWUOUYNUYTUIZVYPWWJWQ
      VXHWUOWWNUJZUJZUYOWWFVYOWWIUYOUYHUYNVMVEZWWPWWFUGUYHUWDVXHWWOVURWWQWWFWQU
      XOVURVXCWWOVVBXQUYTFUYHUYNVMHLYCYMUWEWWPVYOUYNVYEUQZUXTUQZUYNVYGUQZUXTUQZ
      URZWWRWWTURZWWIWWPVYMWWSVYNWXAWWPUYTGUYNUXTVYEVXHWUOWVQWWNWVSYNZVXHWUOWWN
      VNZYOWWPUYTGUYNUXTVYGVXHWUOWWCWWNWWDYNZWXEYOYKWWPGVUJUXTUWFZWWRGUIWWTGUIW
      XBWXCWQWWPVVEVVFWXGUXOVVEVXCWWOVVTXQVVKGVUJUXTUWHWGWWPUYTGUYNVYEWXDWXEYPW
      WPUYTGUYNVYGWXFWXEYPGVUJWWRWWTUXTUWGYDWWPWWRWWGWWTWWHWWPWVRWWNWWRWWGURWVK
      WXEUYTFUYNUXSLYGXJWWPWVRWWNWWTWWHURWVKWXEUYTFUYNUYFLYGXJYKUWIYLUWJUWKYJXI
      UWLUWMUWNYQUWOUWPUXQVWTBCVDZVXCBCVDZUMVXEJWXHUXPWXIOBCKKUWQZUWRVWTVXCBCYR
      YSVUGVUFWXIUMVXGUXPWXIVUFWXJUWSVUEVXCBCYRYSUWTKUXQVUGUXAVTXDKJXEWPYQUXMYT
      ZUXNWHJUKZJUXBWXKKWHURUXNWXLWQWXKKWVHBWVFVKZWHPWXKWVHYTZBWVFUTWXMWHURWXKW
      XNBWVFWXKWVGWXNWVGUXMUXSGFUXCUXDUXEUXHWVHBWVFUXFWPXCKWHJUXGVTUXIUXJ $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x y ph $.
    $d x y F $.  $d x y G $.
    oef1o.f $e |- ( ph -> F : A -1-1-onto-> C ) $.
    oef1o.g $e |- ( ph -> G : B -1-1-onto-> D ) $.
    oef1o.a $e |- ( ph -> A e. ( On \ 1o ) ) $.
    oef1o.b $e |- ( ph -> B e. On ) $.
    oef1o.c $e |- ( ph -> C e. On ) $.
    oef1o.d $e |- ( ph -> D e. On ) $.
    oef1o.z $e |- ( ph -> ( F ` (/) ) = (/) ) $.
    oef1o.k $e |- K = ( y e. { x e. ( A ^m B ) | x finSupp (/) }
                           |-> ( F o. ( y o. `' G ) ) ) $.
    oef1o.h $e |- H = ( ( ( C CNF D ) o. K ) o. `' ( A CNF B ) ) $.
    $( A bijection of the base sets induces a bijection on ordinal
       exponentials.  (The assumption ` ( F `` (/) ) = (/) ` can be discharged
       using ~ fveqf1o .)  (Contributed by Mario Carneiro, 30-May-2015.)
       (Revised by AV, 3-Jul-2019.) $)
    oef1o $p |- ( ph -> H : ( A ^o B ) -1-1-onto-> ( C ^o D ) ) $=
      ( coe co ccnf ccom ccnv wf1o cdm eqid cantnff1o cv c0 cfsupp wbr cmap cfv
      crab cmpt con0 c1o cdif f1ocnv wcel ondif1 simprbi mapfien wceq wb f1oeq1
      ax-mp sylibr cantnfdm breq2d rabbidv eqtr4d f1oeq3d eldifad f1oeq2d f1oco
      syl mpbird syl2anc ) ADEUAUBZFGUAUBZFGUCUBZKUDZDEUCUBZUEZUDZUFZWBWCJUFZAW
      FUGZWCWEUFZWBWKWGUFZWIAWDUGZWCWDUFWKWNKUFZWLAFGWNWNUHPQUIAWOBUJZUKULUMZBD
      EUNUBUPZWNKUFZAWSWRWPUKHUOZULUMZBFGUNUBZUPZKUFZAWRXCCWRHCUJIUEZUDUDUQZUFZ
      XDABEDGFWRXCURCXEHURUSUTZWTURURUKWRUHZXCUHWTUHAEGIUFGEXEUFMEGIVAVSLONQPAD
      XHVBZUKDVBZNXJDURVBXKDVCVDVSVEKXFVFXDXGVGSWRXCKXFVHVIVJAWNXCWRKAWNWQBXBUP
      ZXCAFGXLBXLUHPQVKAXAWQBXBAWTUKWPULRVLVMVNVOVTAWKWRWNKADEWRBXIADURUSNVPZOV
      KVQVTWKWNWCWDKVRWAAWKWBWFUFWMADEWKWKUHXMOUIWKWBWFVAVSWBWKWCWEWGVRWAJWHVFW
      JWIVGTWBWCJWHVHVIVJ $.
  $}

  ${
    $d k x z A $.  $d k u v w x y z I $.  $d x y M $.  $d u v w y ph $.
    $d f k u v w x y z F $.  $d u v w K $.  $d u v w y z T $.  $d u v x W $.
    $d f k u v w x y z G $.  $d f u v w x y H $.  $d k z S $.
    cnfcom.s $e |- S = dom ( _om CNF A ) $.
    cnfcom.a $e |- ( ph -> A e. On ) $.
    cnfcom.b $e |- ( ph -> B e. ( _om ^o A ) ) $.
    cnfcom.f $e |- F = ( `' ( _om CNF A ) ` B ) $.
    cnfcom.g $e |- G = OrdIso ( _E , ( F supp (/) ) ) $.
    cnfcom.h $e |- H = seqom ( ( k e. _V , z e. _V |-> ( M +o z ) ) , (/) ) $.
    cnfcom.t $e |- T = seqom ( ( k e. _V , f e. _V |-> K ) , (/) ) $.
    cnfcom.m $e |- M = ( ( _om ^o ( G ` k ) ) .o ( F ` ( G ` k ) ) ) $.
    cnfcom.k $e |- K = ( ( x e. M |-> ( dom f +o x ) ) u.
                         `' ( x e. dom f |-> ( M +o x ) ) ) $.
    ${
      cnfcom.1 $e |- ( ph -> I e. dom G ) $.
      ${
        cnfcom.2 $e |- ( ph -> O e. ( _om ^o ( G ` I ) ) ) $.
        cnfcom.3 $e |- ( ph -> ( T ` I ) : ( H ` I ) -1-1-onto-> O ) $.
        $( Lemma for ~ cnfcom .  (Contributed by Mario Carneiro, 30-May-2015.)
           (Revised by AV, 3-Jul-2019.) $)
        cnfcomlem $p |- ( ph -> ( T ` suc I ) : ( H ` suc I ) -1-1-onto->
          ( ( _om ^o ( G ` I ) ) .o ( F ` ( G ` I ) ) ) ) $=
          ( vy vu vv csuc cfv com coe co comu coa wf1o cv cmpt ccnv con0 omelon
          cun wcel c0 csupp suppssdm wf cfsupp wbr wa ccnf a1i cantnff1o f1ocnv
          f1of 3syl ffvelrnd eqeltrid cantnfs mpbid simpld cdm cep oif ffvelrni
          fssdm syl sseldd onelon syl2anc oecl sylancr nnon wwe cantnfcl simprd
          omcl elnn cvv cantnfvalf eqid oacomf1o cmpo wceq seqomsuc weq cbvmptv
          oveq2 simpl fveq2d oveq2d oveq12d eqtrid simpr dmeqd oveq1d mpteq12dv
          nfcv cnveqd cbvmpo simprl f1odm sylan9eqr elexd fvexd ovex mptex fvex
          uneq12d cnvex unex mpbird cseqom syl21anc wss wb adantr eqtrd f1oeq1d
          ovmpod oveq1i mpoeq3ia seqomeq12 mp2an cantnfsuc f1oeq2d cima sssucid
          eqtri sselid wral epelg biimpar wiso ovexd word ordelss sselda isorel
          oiiso oicl syl12anc epeli sylib ralrimiva wfun ax-mp funimass4 simpll
          ffun w3a simplr peano1 simpr1 simpr2 simpr3 cantnflt syl23anc wne wfn
          ffnd 0ex elsuppfn syl3anc syl6bi mpd on0eln0 omword1 oaabs2 f1oeq3d )
          AMULZLUMZMLUMZUNMKUMZUOUPZUWQJUMZUQUPZURUPZUWNGUMZUSZUWOUWTUXBUSAUXCU
          WTUWPURUPZUXAUXBUSZAUXEUXDUXAUIUWTUWPUIUTZURUPZVAZUIUWPUWTUXFURUPZVAZ
          VBZVEZUSZAUWTVCVFZUWPVCVFZUXMAUWRVCVFZUWSVCVFZUXNAUNVCVFZUWQVCVFZUXPV
          DADVCVFZUWQDVFZUXSRAJVGVHUPZDUWQADUNUYBJJVGVIADUNJVJZJVGVKVLZAJFVFZUY
          CUYDVMAJEUNDVNUPZVBZUMFTAUNDUOUPZFEUYGAFUYHUYFUSUYHFUYGUSUYHFUYGVJAUN
          DFQUXRAVDVOZRVPFUYHUYFVQUYHFUYGVRVSSVTWAZAUNDFJQUYIRWBWCWDZWIAMKWEZVF
          ZUWQUYBVFZUFUYLUYBMKUYBWFKUAWGZWHWJZWKZDUWQWLWMZUNUWQWNWOZAUWSUNVFUXQ
          ADUNUWQJUYKUYQVTUWSWPWJZUWRUWSWTWMZAMUNVFZUXOAUYMUYLUNVFZVUBUFAUYBWFW
          QZVUCAUNDFJKQUYIRUAUYJWRZWSMUYLXAWMZUNVCMLCXBXBOCUTZILUBXCWHWJUIUWTUW
          PUXLUXLXDXEWMAUXDUXAUXBUXLAUXBMMGUMZIHXBXBNXFZUPZUXLAVUBUXBVUJXGVUFMV
          UIGVGUCXHWJAUJUKMVUHXBXBUIUNUJUTZKUMZUOUPZVULJUMZUQUPZUKUTZWEZUXFURUP
          ZVAZUIVUQVUOUXFURUPZVAZVBZVEZUXLVUIXBVUIUJUKXBXBVVCXFXGAIHUJUKXBXBNVV
          CUJNYAUKNYAIVVCYAHVVCYAIUJXIZHUKXIZVMZNBOHUTZWEZBUTZURUPZVAZBVVHOVVIU
          RUPZVAZVBZVEVVCUEVVFVVKVUSVVNVVBVVFVVKUIOVVHUXFURUPZVAVUSBUIOVVJVVOVV
          IUXFVVHURXKXJVVFUIOVVOVUOVURVVFOUNIUTZKUMZUOUPZVVQJUMZUQUPZVUOUDVVFVV
          RVUMVVSVUNUQVVFVVQVULUNUOVVFVVPVUKKVVDVVEXLXMZXNVVFVVQVULJVWAXMXOXPZV
          VFVVHVUQUXFURVVFVVGVUPVVDVVEXQXRZXSXTXPVVFVVMVVAVVFVVMUIVVHOUXFURUPZV
          AVVABUIVVHVVLVWDVVIUXFOURXKXJVVFUIVVHVWDVUQVUTVWCVVFOVUOUXFURVWBXSXTX
          PYBYLXPYCVOAVUKMXGZVUPVUHXGZVMZVMZVUSUXHVVBUXKVWHUIVUOVURUWTUXGVWHVUM
          UWRVUNUWSUQVWHVULUWQUNUOVWHVUKMKAVWEVWFYDXMZXNVWHVULUWQJVWIXMXOZVWHVU
          QUWPUXFURVWGAVUQVUHWEZUWPVWGVUPVUHVWEVWFXQXRAUWPPVUHUSVWKUWPXGUHUWPPV
          UHYEWJYFZXSXTVWHVVAUXJVWHUIVUQVUTUWPUXIVWLVWHVUOUWTUXFURVWJXSXTYBYLAM
          UYLUFYGAMGYHUXLXBVFAUXHUXKUIUWTUXGUWRUWSUQYIYJUXJUIUWPUXIMLYKYJYMYNVO
          UUCUUAUUBYOAUWOUXDUXAUXBAUXTUYEVUBUWOUXDXGRUYJVUFUXTUYEVMZCUNDFIJKLMQ
          UXRVWMVDVOUXTUYEXLUAUXTUYEXQLICXBXBOVUGURUPZXFZVGYPZICXBXBVVTVUGURUPZ
          XFZVGYPZUBVWOVWRXGVGVGXGVWPVWSXGICXBXBVWNVWQVWNVWQXGVVPXBVFVUGXBVFVMO
          VVTVUGURUDUUDVOUUEVGXDVWOVWRVGVGUUFUUGUULZUUHYQUUIYOAUXAUWTUWOUXBAUWP
          UWRVFZUXNUWRUWTYRZUXAUWTXGAUXTUYEMUYLULZVFZUXSKMUUJUWQYRZVXARUYJAUYLV
          XCMUYLUUKUFUUMUYRAVXEUXFKUMZUWQVFZUIMUUNZAVXGUIMAUXFMVFZVMZVXFUWQWFVL
          ZVXGVXJUXFMWFVLZVXKAVXLVXIAUYMVXLVXIYSUFUXFMUYLUUOWJUUPVXJUYLUYBWFWFK
          UUQZUXFUYLVFUYMVXLVXKYSAVXMVXIAUYBXBVFVUDVXMAJVGVHUURAVUDVUCVUEWDUYBW
          FKXBUAUVCWMYTAMUYLUXFAUYLUUSUYMMUYLYRZUYBWFKUAUVDUFUYLMUUTWOZUVAAUYMV
          XIUFYTUYLUYBUXFMWFWFKUVBUVEWCVXFUWQMKYKUVFUVGUVHAKUVIZVXNVXEVXHYSUYLU
          YBKVJVXPUYOUYLUYBKUVMUVJVXOUIMUWQKUVKWOYOVWMVXDUXSVXEUVNZVMZCUNDUWQFI
          JKLMQUXRVXRVDVOUXTUYEVXQUVLUAUXTUYEVXQUVOVWTVGUNVFVXRUVPVOVWMVXDUXSVX
          EUVQVWMVXDUXSVXEUVRVWMVXDUXSVXEUVSUVTUWAVUAAUXPUXQVGUWSVFZVXBUYSUYTAV
          XSUWSVGUWBZAUYNVXTUYPAUYNUYAVXTVMZVXTAJDUWCUXTVGXBVFZUYNVYAYSADUNJUYK
          UWDRVYBAUWEVOUWQJVCXBDVGUWFUWGUYAVXTXQUWHUWIAUXQVXSVXTYSUYTUWSUWJWJYO
          UWRUWSUWKYQUWPUWTUWQUWLYQUWMWC $.
      $}

      $( Any ordinal ` B ` is equinumerous to the leading term of its Cantor
         normal form.  Here we show that bijection explicitly.  (Contributed by
         Mario Carneiro, 30-May-2015.)  (Revised by AV, 3-Jul-2019.) $)
      cnfcom $p |- ( ph -> ( T ` suc I ) : ( H ` suc I ) -1-1-onto->
        ( ( _om ^o ( G ` I ) ) .o ( F ` ( G ` I ) ) ) ) $=
        ( vw vy cdm wcel csuc cfv com coe co comu wf1o wi c0 csupp cep wwe con0
        omelon ccnf ccnv wf cantnff1o f1ocnv f1of 3syl ffvelrnd eqeltrid simprd
        a1i cantnfcl elnn syl2anc wceq eleq1 suceq fveq2d oveq2d 2fveq3 oveq12d
        cv fveq2 f1oeq123d imbi12d imbi2d wa adantr wss suppssdm cfsupp cantnfs
        simpr wbr mpbid simpld fssdm syl sstrd oif ffvelrni ssel2 syl2an peano1
        onss oen0 syl21anc cvv 0ex cmpo seqom0g ax-mp f1o0 wb f1oeq2 mp2b mpbir
        coa f1oeq1 mpbiri mp1i cnfcomlem ex word oicl ordtr trsuc mpan ad2antrr
        wtr imim1i simprl ad2antrl sseldd epeli syl31anc mpd eloni sucid isorel
        vex wiso ovexd oiiso syl12anc sucex fvex 3bitr3g ordsucss sylc suceloni
        mpbii oewordi nnon omord2 oesuc eleqtrrd simprr exp32 a2d expcom finds2
        oecl syl5 vtoclga mpcom ) AMKUHZUIZMUJZLUKZULMKUKZUMUNZUVNJUKZUOUNZUVLG
        UKZUPZUEMULUIZAUVKUVSUQZAUVKUVJULUIZUVTUEAJURUSUNZUTVAZUWBAULDFJKPULVBU
        IZAVCVNZQTAJEULDVDUNZVEZUKFSAULDUMUNZFEUWHAFUWIUWGUPUWIFUWHUPUWIFUWHVFA
        ULDFPUWFQVGFUWIUWGVHUWIFUWHVIVJRVKVLZVOZVMMUVJVPVQAUFWEZUVJUIZUWLUJZLUK
        ZULUWLKUKZUMUNZUWPJUKZUOUNZUWNGUKZUPZUQZUQAUWAUQUFMULUWLMVRZUXBUWAAUXCU
        WMUVKUXAUVSUWLMUVJVSUXCUWOUVMUWSUVQUWTUVRUXCUWNUVLGUWLMVTZWAUXCUWNUVLLU
        XDWAUXCUWQUVOUWRUVPUOUXCUWPUVNULUMUWLMKWFWBUWLMJKWCWDWGWHWIUXBURUVJUIZU
        RUJZLUKZULURKUKZUMUNZUXHJUKZUOUNZUXFGUKZUPZUQUGWEZUVJUIZUXNUJZLUKZULUXN
        KUKZUMUNZUXRJUKZUOUNZUXPGUKZUPZUQZUXPUVJUIZUXPUJZLUKZULUXPKUKZUMUNZUYHJ
        UKZUOUNZUYFGUKZUPZUQZAUFUGUWLURVRZUWMUXEUXAUXMUWLURUVJVSUYOUWOUXGUWSUXK
        UWTUXLUYOUWNUXFGUWLURVTZWAUYOUWNUXFLUYPWAUYOUWQUXIUWRUXJUOUYOUWPUXHULUM
        UWLURKWFWBUWLURJKWCWDWGWHUWLUXNVRZUWMUXOUXAUYCUWLUXNUVJVSUYQUWOUXQUWSUY
        AUWTUYBUYQUWNUXPGUWLUXNVTZWAUYQUWNUXPLUYRWAUYQUWQUXSUWRUXTUOUYQUWPUXRUL
        UMUWLUXNKWFWBUWLUXNJKWCWDWGWHUWLUXPVRZUWMUYEUXAUYMUWLUXPUVJVSUYSUWOUYGU
        WSUYKUWTUYLUYSUWNUYFGUWLUXPVTZWAUYSUWNUYFLUYTWAUYSUWQUYIUWRUYJUOUYSUWPU
        YHULUMUWLUXPKWFWBUWLUXPJKWCWDWGWHAUXEUXMAUXEWJZBCDEFGHIJKLURNOURPADVBUI
        ZUXEQWKAEUWIUIZUXERWKSTUAUBUCUDAUXEWPVUAUWEUXHVBUIZURULUIZURUXIUIUWEVUA
        VCVNAUWCVBWLUXHUWCUIVUDUXEAUWCDVBADULUWCJJURWMADULJVFZJURWNWQZAJFUIVUFV
        UGWJUWJAULDFJPUWFQWOWRWSZWTZAVUBDVBWLZQDXHXAZXBUVJUWCURKUWCUTKTXCZXDUWC
        VBUXHXEXFVUEVUAXGVNULUXHXIXJURGUKZURVRZURLUKZURVUMUPZVUAURXKUIZVUNXLIHX
        KXKNXMGURXKUBXNXOVUNVUPVUOURURUPZVURURURURUPZXPVUQVUOURVRVURVUSXQXLICXK
        XKOCWEYAUNXMLURXKUAXNVUOURURURXRXSXTVUOURVUMURYBYCYDYEYFAUXNULUIZUYDUYN
        UQUYDUYEUYCUQAVUTWJZUYNUYEUXOUYCUVJYMZUYEUXOUVJYGVVBUWCUTKTYHUVJYIXOUVJ
        UXNYJYKZYNVVAUYEUYCUYMVVAUYEUYCUYMVVAUYEUYCWJZWJZBCDEFGHIJKLUXPNOUYAPAV
        UBVUTVVDQYLAVUCVUTVVDRYLSTUAUBUCUDVVAUYEUYCYOZVVEULUXRUJZUMUNZUYIUYAVVE
        VVGUYHWLZVVHUYIWLZVVEUYHYGZUXRUYHUIZVVIVVEUYHVBUIZVVKVVEDVBUYHAVUJVUTVV
        DVUKYLZVVEUWCDUYHAUWCDWLVUTVVDVUIYLZUYEUYHUWCUIVVAUYCUVJUWCUXPKVULXDYPY
        QYQZUYHUUAXAVVEUXNUXPUIZVVLUXNUGUUDZUUBVVEUXNUXPUTWQZUXRUYHUTWQZVVQVVLV
        VEUVJUWCUTUTKUUEZUXOUYEVVSVVTXQAVWAVUTVVDAUWCXKUIUWDVWAAJURUSUUFAUWDUWB
        UWKWSUWCUTKXKTUUGVQYLUYEUXOVVAUYCVVCYPZVVFUVJUWCUXNUXPUTUTKUUCUUHUXNUXP
        UXNVVRUUIYRUXRUYHUXPKUUJYRUUKUUOUXRUYHUULUUMVVEVVGVBUIZVVMUWEVUEVVIVVJU
        QVVEUXRVBUIZVWCVVEDVBUXRVVNVVEUWCDUXRVVOVVEUXOUXRUWCUIVWBUVJUWCUXNKVULX
        DXAYQZYQZUXRUUNXAVVPUWEVVEVCVNZVUEVVEXGVNZVVGUYHULUUPYSYTVVEUYAUXSULUOU
        NZVVHVVEUXTULUIZUYAVWIUIZVVEDULUXRJAVUFVUTVVDVUHYLVWEVKZVVEUXTVBUIZUWEU
        XSVBUIZURUXSUIZVWJVWKXQVVEVWJVWMVWLUXTUUQXAVWGVVEUWEVWDVWNVWGVWFULUXRUV
        FVQVVEUWEVWDVUEVWOVWGVWFVWHULUXRXIXJUXTULUXSUURYSWRVVEUWEVWDVVHVWIVRVWG
        VWFULUXRUUSVQUUTYQVVAUYEUYCUVAYEUVBUVCUVGUVDUVEUVHUVIYT $.
    $}

    $d k x z ph $.
    cnfcom.w $e |- W = ( G ` U. dom G ) $.
    ${
      cnfcom2.1 $e |- ( ph -> (/) e. B ) $.
      $( Lemma for ~ cnfcom2 .  (Contributed by Mario Carneiro, 30-May-2015.)
         (Revised by AV, 3-Jul-2019.) $)
      cnfcom2lem $p |- ( ph -> dom G = suc U. dom G ) $=
        ( cdm cuni wceq wn csuc c0 wlim wo wcel n0i syl wa com ccnf cfv csn cxp
        co cmpt cv wf cfsupp wbr ccnv coe wf1o con0 omelon a1i cantnff1o f1ocnv
        f1of 3syl ffvelrnd cantnfs mpbid simpld adantr feqmptd cdif dif0 eleq2i
        eqeltrid cvv csupp wss cen simpr cep wwe cantnfcl oien syl2anc eqbrtrrd
        ovexd ensymd en0 sylib ss0b sylibr 0ex suppssr sylan2br mpteq2dva eqtrd
        fconstmpt eqtr4di fveq2d fveq2i f1ocnvfv2 eqtrid peano1 cantnf0 3eqtr3d
        mtand nnlim simpl2im ioran sylanbrc word oicl unizlim ax-mp orduniorsuc
        wb sylnibr mp1i ord mpd ) AKUGZYPUHZUIZUJYPYQUKUIZAYPULUIZYPUMZUNZYRAYT
        UJUUAUJZUUBUJAYTEULUIZAULEUOUUDUJUFEULUPUQAYTURZJUSDUTVDZVAZDULVBVCZUUF
        VAZEULUUEJUUHUUFUUEJBDULVEZUUHUUEJBDBVFZJVAZVEUUJUUEBDUSJADUSJVGZYTAUUM
        JULVHVIZAJFUOUUMUUNURAJEUUFVJZVAZFSAUSDVKVDZFEUUOAFUUQUUFVLZUUQFUUOVLUU
        QFUUOVGAUSDFPUSVMUOAVNVOZQVPZFUUQUUFVQUUQFUUOVRVSRVTWIZAUSDFJPUUSQWAWBW
        CWDZWEUUEBDUULULUUKDUOUUEUUKDULWFZUOUULULUIUVCDUUKDWGWHUUEDUSWJJVMULUUK
        ULUVBUUEJULWKVDZULUIZUVDULWLUUEUVDULWMVIUVEUUEULUVDUUEYPULUVDWMAYTWNAYP
        UVDWMVIZYTAUVDWJUOUVDWOWPZUVFAJULWKXAAUVGYPUSUOZAUSDFJKPUUSQTUVAWQZWCUV
        DWOKWJTWRWSWDWTXBUVDXCXDUVDXEXFADVMUOYTQWDULWJUOUUEXGVOXHXIXJXKBDULXLXM
        XNAUUGEUIYTAUUGUUPUUFVAZEJUUPUUFSXOAUUREUUQUOUVJEUIUUTRFUUQEUUFXPWSXQWD
        AUUIULUIYTAUSDFPUUSQULUSUOAXRVOXSWDXTYAAUVGUVHUUCUVIYPYBYCYTUUAYDYEYPYF
        ZYRUUBYKUVDWOKTYGZYPYHYIYLAYRYSUVKYRYSUNAUVLYPYJYMYNYO $.

      $( Any nonzero ordinal ` B ` is equinumerous to the leading term of its
         Cantor normal form.  (Contributed by Mario Carneiro, 30-May-2015.)
         (Revised by AV, 3-Jul-2019.) $)
      cnfcom2 $p |- ( ph -> ( T ` dom G ) : B -1-1-onto->
          ( ( _om ^o W ) .o ( F ` W ) ) ) $=
        ( cdm cuni csuc cfv com coe co comu wf1o con0 c0 cvv wcel ovex cep oion
        csupp ax-mp elexi uniex sucid cnfcom2lem eleqtrrid cnfcom oveq2i fveq2i
        wceq wb oveq12i f1oeq3 sylibr fveq2d f1oeq1d mpbird ccnf ccnv omelon wf
        a1i cantnff1o f1ocnv f1of 3syl ffvelrnd eqeltrid coa cmpo cseqom oveq1i
        cv wa mpoeq3ia eqid seqomeq12 mp2an cantnfval eqtr3di f1ocnvfv2 syl2anc
        eqtri 3eqtr3d f1oeq2d mpbid ) AKUGZUHZUIZLUJZUKOULUMZOJUJZUNUMZXJGUJZUO
        ZEXPXQUOAXRXMXPXLGUJZUOZAXMUKXKKUJZULUMZYAJUJZUNUMZXSUOZXTABCDEFGHIJKLX
        KMNPQRSTUAUBUCUDAXKXLXJXKXJXJUPJUQVCUMZURUSXJUPUSJUQVCUTYFVAKURTVBVDVEV
        FVGABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFVHZVIVJXPYDVMXTYEVNXNYBXOYCUNOYAUKUL
        UEVKOYAJUEVLVOXPYDXMXSVPVDVQAXMXPXQXSAXJXLGYGVRVSVTAXMEXPXQAXJLUJZEUKDW
        AUMZWBZUJZYIUJZXMEAJYIUJYHYLACUKDFIJKLPUKUPUSAWCWEZQTAJYKFSAUKDULUMZFEY
        JAFYNYIUOZYNFYJUOYNFYJWDAUKDFPYMQWFZFYNYIWGYNFYJWHWIRWJWKLICURURNCWPZWL
        UMZWMZUQWNZICURURUKIWPZKUJZULUMUUBJUJUNUMZYQWLUMZWMZUQWNZUAYSUUEVMUQUQV
        MYTUUFVMICURURYRUUDYRUUDVMUUAURUSYQURUSWQNUUCYQWLUCWOWEWRUQWSYSUUEUQUQW
        TXAXFXBJYKYISVLXCAXJXLLYGVRAYOEYNUSYLEVMYPRFYNEYIXDXEXGXHXI $.
    $}

    cnfcom3.1 $e |- ( ph -> _om C_ B ) $.
    $( Lemma for ~ cnfcom3 .  (Contributed by Mario Carneiro, 30-May-2015.)
       (Revised by AV, 4-Jul-2019.) $)
    cnfcom3lem $p |- ( ph -> W e. ( On \ 1o ) ) $=
      ( con0 wcel c0 wne c1o cdif cdm cuni cfv csupp co com suppssdm cfsupp wbr
      wf wa ccnf ccnv coe wf1o omelon a1i cantnff1o f1of 3syl ffvelrnd eqeltrid
      f1ocnv cantnfs mpbid fssdm csuc cvv ovex cep oion ax-mp elexi uniex sucid
      simpld peano1 sseldd cnfcom2lem eleqtrrid oif ffvelrni syl onelon syl2anc
      wn wss wb oecl sylancr ontri1 wceq fveq2i f1ocnvfv2 eqtrid adantr cv wiso
      1on ovexd cantnfcl oiiso ad2antrr isof1o ffvelrn sylancom elssuni sylancl
      wwe onuni isorel syl12anc fvex epeli breq1i bitr3i 3bitr3g simplr eleq12d
      bitrd mtbid wo onss sstrd sselda on0eqel ord ex mt3d el1o ssrdv cantnflt2
      sylibr oe1 eleqtrdi eqeltrrd necon3bd mpd dif1o sylanbrc ) AOUGUHOUIUJZOU
      GUKULUHAOKUMZUNZKUOZUGUEADUGUHZUUPDUHUUPUGUHQAJUIUPUQZDUUPADURUURJJUIUSAD
      URJVBZJUIUTVAZAJFUHZUUSUUTVCAJEURDVDUQZVEZUOZFSAURDVFUQZFEUVCAFUVEUVBVGZU
      VEFUVCVGUVEFUVCVBAURDFPURUGUHZAVHVIZQVJZFUVEUVBVOUVEFUVCVKVLRVMVNZAURDFJP
      UVHQVPVQWHVRZAUUOUUNUHZUUPUURUHAUUOUUOVSUUNUUOUUNUUNUGUURVTUHZUUNUGUHZJUI
      UPWAUURWBKVTTWCWDZWEWFWGABCDEFGHIJKLMNOPQRSTUAUBUCUDUEAUREUIUFUIURUHZAWIV
      IWJWKWLZUUNUURUUOKUURWBKTWMWNWOWJDUUPWPWQVNAEURUHZWRZUUMAUREWSZUVSUFAUVGE
      UGUHZUVTUVSWTVHAUVEUGUHZEUVEUHZUWAAUVGUUQUWBVHQURDXAXBRUVEEWPWQUREXCXBVQA
      UVROUIAOUIXDZUVRAUWDVCZJUVBUOZEURAUWFEXDUWDAUWFUVDUVBUOZEJUVDUVBSXEAUVFUW
      CUWGEXDUVIRFUVEEUVBXFWQXGXHUWEUWFURUKVFUQZURUWEURDUKFJPUVGUWEVHVIAUUQUWDQ
      XHAUVAUWDUVJXHUVPUWEWIVIUKUGUHUWEXKVIUWEBUURUKUWEBXIZUURUHZUWIUKUHZUWEUWJ
      VCZUWIUIXDZUWKUWLUWMUIUWIUHZUWLUUOUWIKVEZUOZUHZUWNUWLUWPUUOWSZUWQWRZUWLUW
      PUUNUHZUWRUWEUWJUURUUNUWOVBZUWTUWLUUNUURKVGZUURUUNUWOVGUXAUWLUUNUURWBWBKX
      JZUXBAUXCUWDUWJAUVMUURWBYAZUXCAJUIUPXLAUXDUUNURUHAURDFJKPUVHQTUVJXMWHUURW
      BKVTTXNWQXOZUUNUURWBWBKXPWOZUUNUURKVOUURUUNUWOVKVLUURUUNUWIUWOXQXRZUWPUUN
      XSWOUWLUWPUGUHZUUOUGUHZUWRUWSWTUWLUVNUWTUXHUVOUXGUUNUWPWPXBUVNUXIUVOUUNYB
      WDUWPUUOXCXTVQUWLUWQOUWPKUOZUHZUWNUWLUUOUWPWBVAZUUPUXJWBVAZUWQUXKUWLUXCUV
      LUWTUXLUXMWTUXEAUVLUWDUWJUVQXOUXGUUNUURUUOUWPWBWBKYCYDUUOUWPUWIUWOYEYFUXM
      OUXJWBVAUXKOUUPUXJWBUEYGOUXJUWPKYEYFYHYIUWLOUIUXJUWIAUWDUWJYJUWEUWJUXBUXJ
      UWIXDUXFUUNUURUWIKXFXRYKYLYMUWLUWMUWNUWLUWIUGUHUWMUWNYNUWEUURUGUWIAUURUGW
      SUWDAUURDUGUVKAUUQDUGWSQDYOWOYPXHYQUWIYRWOYSUUAUWIUUBUUEYTUUCUUDUVGUWHURX
      DVHURUUFWDUUGUUHYTUUIUUJOUGUUKUUL $.

    cnfcom.x $e |- X = ( u e. ( F ` W ) , v e. ( _om ^o W ) |->
      ( ( ( F ` W ) .o v ) +o u ) ) $.
    cnfcom.y $e |- Y = ( u e. ( F ` W ) , v e. ( _om ^o W ) |->
      ( ( ( _om ^o W ) .o u ) +o v ) ) $.
    cnfcom.n $e |- N = ( ( X o. `' Y ) o. ( T ` dom G ) ) $.
    $( Any infinite ordinal ` B ` is equinumerous to a power of ` _om ` .  (We
       are being careful here to show explicit bijections rather than simple
       equinumerosity because we want a uniform construction for ~ cnfcom3c .)
       (Contributed by Mario Carneiro, 28-May-2015.)  (Revised by AV,
       4-Jul-2019.) $)
    cnfcom3 $p |- ( ph -> N : B -1-1-onto-> ( _om ^o W ) ) $=
      ( com coe co ccnv ccom cdm cfv wf1o comu con0 omelon c0 csupp suppssdm wf
      wcel cfsupp wbr wa ccnf a1i cantnff1o f1of 3syl ffvelrnd eqeltrid cantnfs
      f1ocnv mpbid simpld fssdm cuni csuc cvv ovex oion ax-mp elexi uniex sucid
      cep peano1 sseldd cnfcom2lem oif ffvelrni syl onelon syl2anc oecl sylancr
      eleqtrrid nnon omf1o wceq wne wfn wb ffnd 0ex elsuppfn syl3anc syl6bi mpd
      simpr on0eln0 mpbird c1o cnfcom3lem ondif1 simprbi omabs syl22anc f1oeq3d
      cdif cnfcom2 f1oco f1oeq1 sylibr ) AGUORUPUQZSTURUSZMUTZIVAZUSZVBZGYNQVBZ
      AYNRLVAZVCUQZYNYOVBZGUUBYQVBYSAUUBUUAYNVCUQZYOVBZUUCAYNVDVJZUUAVDVJZUUEAU
      OVDVJZRVDVJZUUFVEAFVDVJZRFVJZUUIUBALVFVGUQZFRAFUOUULLLVFVHAFUOLVIZLVFVKVL
      ZALHVJUUMUUNVMALGUOFVNUQZURZVAHUDAUOFUPUQZHGUUPAHUUQUUOVBUUQHUUPVBUUQHUUP
      VIAUOFHUAUUHAVEVOZUBVPHUUQUUOWBUUQHUUPVQVRUCVSVTAUOFHLUAUURUBWAWCWDZWEARY
      PWFZMVAZUULUJAUUTYPVJUVAUULVJAUUTUUTWGYPUUTYPYPVDUULWHVJYPVDVJLVFVGWIUULW
      OMWHUEWJWKWLWMWNABCFGHIJKLMNOPRUAUBUCUDUEUFUGUHUIUJAUOGVFUKVFUOVJAWPVOWQZ
      WRXFYPUULUUTMUULWOMUEWSWTXAVTZWQZFRXBXCZUORXDXEAUUAUOVJZUUGAFUORLUUSUVDVS
      ZUUAXGZXAEDYNUUATSUMULXHXCAUUDYNUUBYOAUVFVFUUAVJZUUIVFRVJZUUDYNXIUVGAUVIU
      UAVFXJZARUULVJZUVKUVCAUVLUUKUVKVMZUVKALFXKUUJVFWHVJZUVLUVMXLAFUOLUUSXMUBU
      VNAXNVORLVDWHFVFXOXPUUKUVKXSXQXRAUVFUUGUVIUVKXLUVGUVHUUAXTVRYAUVEARVDYBYI
      VJZUVJABCFGHIJKLMNOPRUAUBUCUDUEUFUGUHUIUJUKYCUVOUUIUVJRYDYEXAUUARYFYGYHWC
      ABCFGHIJKLMNOPRUAUBUCUDUEUFUGUHUIUJUVBYJGUUBYNYOYQYKXCQYRXIYTYSXLUNGYNQYR
      YLWKYM $.
  $}

  ${
    $d b g k u v w x z A $.  $d u v K $.  $d g w L $.  $d x M $.  $d u v z T $.
    $d f k u v x z F $.  $d f k u v x z G $.  $d f u v x H $.  $d k z S $.
    $d u v w x W $.
    cnfcom3c.s $e |- S = dom ( _om CNF A ) $.
    cnfcom3c.f $e |- F = ( `' ( _om CNF A ) ` b ) $.
    cnfcom3c.g $e |- G = OrdIso ( _E , ( F supp (/) ) ) $.
    cnfcom3c.h $e |- H = seqom ( ( k e. _V , z e. _V |-> ( M +o z ) ) , (/) )
        $.
    cnfcom3c.t $e |- T = seqom ( ( k e. _V , f e. _V |-> K ) , (/) ) $.
    cnfcom3c.m $e |- M = ( ( _om ^o ( G ` k ) ) .o ( F ` ( G ` k ) ) ) $.
    cnfcom3c.k $e |- K = ( ( x e. M |-> ( dom f +o x ) ) u.
      `' ( x e. dom f |-> ( M +o x ) ) ) $.
    cnfcom3c.w $e |- W = ( G ` U. dom G ) $.
    cnfcom3c.x $e |- X = ( u e. ( F ` W ) , v e. ( _om ^o W ) |->
      ( ( ( F ` W ) .o v ) +o u ) ) $.
    cnfcom3c.y $e |- Y = ( u e. ( F ` W ) , v e. ( _om ^o W ) |->
      ( ( ( _om ^o W ) .o u ) +o v ) ) $.
    cnfcom3c.n $e |- N = ( ( X o. `' Y ) o. ( T ` dom G ) ) $.
    cnfcom3c.l $e |- L = ( b e. ( _om ^o A ) |-> N ) $.
    $( Lemma for ~ cnfcom3c .  (Contributed by Mario Carneiro, 30-May-2015.)
       (Revised by AV, 4-Jul-2019.) $)
    cnfcom3clem $p |- ( A e. On -> E. g A. b e. A ( _om C_ b ->
      E. w e. ( On \ 1o ) ( g ` b ) : b -1-1-onto-> ( _om ^o w ) ) ) $=
      ( con0 wcel com cv wss coe co cfv wf1o c1o cdif wrex wi wex w3a simp1 c2o
      wral omelon ondif2 mpbir2an oeworde sylancr simp2 sseldd simp3 cnfcom3lem
      1onn cnfcom3 cvv wceq f1of syl fexd fvmpt2 syl2anc f1oeq1d mpbird f1oeq3d
      oveq2 rspcev 3expia ralrimiva cmpt ovex mptex eqeltri nfmpt1 nfcxfr nfeq2
      wf fveq1 rexbidv imbi2d ralbid spcev ) FUOUPZUQUBURZUSZXLUQCURZUTVAZXLPVB
      ZVCZCUOVDVEZVFZVGZUBFVLZXMXLXOXLJURZVBZVCZCXRVFZVGZUBFVLZJVHXKXTUBFXKXLFU
      PZXMXSXKYHXMVIZSXRUPXLUQSUTVAZXPVCZXSYIABFXLGHIKLMNOQSUCXKYHXMVJZYIFUQFUT
      VAZXLYIUQUOVKVEUPZXKFYMUSYNUQUOUPVDUQUPVMWBUQVNVOYLUQFVPVQXKYHXMVRZVSZUDU
      EUFUGUHUIUJXKYHXMVTZWAYIYKXLYJRVCZYIABDEFXLGHIKLMNOQRSTUAUCYLYPUDUEUFUGUH
      UIUJYQUKULUMWCZYIXLYJXPRYIXLYMUPRWDUPXPRWEYPYIXLYJFRYIYRXLYJRXEYSXLYJRWFW
      GYOWHUBYMRWDPUNWIWJWKWLXQYKCSXRXNSWEXOYJXLXPXNSUQUTWNWMWOWJWPWQYGYAJPPUBY
      MRWRZWDUNUBYMRUQFUTWSWTXAYBPWEZYFXTUBFUBYBPUBPYTUNUBYMRXBXCXDUUAYEXSXMUUA
      YDXQCXRUUAXLXOYCXPXLYBPXFWKXGXHXIXJWG $.
  $}

  ${
    $d b f g k u v w x z A $.
    $( Wrap the construction of ~ cnfcom3 into an existential quantifier.  For
       any ` _om C_ b ` , there is a bijection from ` b ` to some power of
       ` _om ` .  Furthermore, this bijection is _canonical_ , which means that
       we can find a single function ` g ` which will give such bijections for
       every ` b ` less than some arbitrarily large bound ` A ` .  (Contributed
       by Mario Carneiro, 30-May-2015.) $)
    cnfcom3c $p |- ( A e. On -> E. g A. b e. A ( _om C_ b ->
      E. w e. ( On \ 1o ) ( g ` b ) : b -1-1-onto-> ( _om ^o w ) ) ) $=
      ( vx vz vv vu vk vf com co cdm cvv cv ccnv cfv coa cmpo eqid c0 csupp cep
      ccnf coi coe comu cmpt cun cseqom cuni ccom cnfcom3clem ) EFAGHBKBUDLZMZI
      JNNEKIODOUNPQZUAUBLUCUEZQZUFLURUPQUGLZJOMZEOZRLUHEUTUSVARLUHPUIZSUAUJZJCI
      UPUQIFNNUSFORLSUAUJZVBDKBUFLHGUQMZUKUQQZUPQZKVFUFLZVGGOZUGLHOZRLSZHGVGVHV
      HVJUGLVIRLSZPULVEVCQULZUHZUSVMVFVKVLDUOTUPTUQTVDTVCTUSTVBTVFTVKTVLTVMTVNT
      UM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Transitive closure under a relationship
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c TrPred $.
  $( Define the transitive predecessor class as a class. $)
  ctrpred $a class TrPred ( R , A , X ) $.

  ${
    $d R a y $.  $d A a y $.  $d X a y $.
    $( Define the transitive predecessors of a class ` X ` under a relation
       ` R ` in a class ` A ` .  This class can be thought of as the "smallest"
       class containing all elements of ` A ` that are linked to ` X ` by an
       ` R ` -chain (see ~ trpredtr and ~ trpredmintr ).  Definition based on
       Theorem 8.4 of Don Monk's notes for Advanced Set Theory, which can be
       found at ~ https://euclid.colorado.edu/~~monkd/setth.pdf .  (Contributed
       by Scott Fenton, 2-Feb-2011.) $)
    df-trpred $a |- TrPred ( R , A , X ) =
                        U. ran ( rec ( ( a e. _V |->
                                         U_ y e. a Pred ( R , A , y ) ) ,
                                       Pred ( R , A , X ) ) |` _om ) $.
  $}

  ${
    $d R a i y $.  $d A a i y $.  $d X a i y $.
    $( A definition of the transitive predecessors of a class in terms of
       indexed union.  (Contributed by Scott Fenton, 28-Apr-2012.) $)
    dftrpred2 $p |- TrPred ( R , A , X ) =
        U_ i e. _om ( ( rec ( ( a e. _V |-> U_ y e. a Pred ( R , A , y ) ) ,
                             Pred ( R , A , X ) ) |` _om ) ` i ) $=
      ( ctrpred cvv cv cpred ciun cmpt crdg com cres crn cuni cfv df-trpred wfn
      wceq frfnom fniunfv ax-mp eqtr4i ) BCEGFHAFIBCAIJKLZBCEJZMNOZPQZDNDIUHRKZ
      ABCEFSUHNTUJUIUAUGUFUBDNUHUCUDUE $.
  $}

  ${
    $d R a y $.  $d S a y $.  $d A a y $.  $d B a y $.  $d X a y $.
    $d Y a y $.

    $( Equality theorem for transitive predecessors.  (Contributed by Scott
       Fenton, 2-Feb-2011.) $)
    trpredeq1 $p |- ( R = S -> TrPred ( R , A , X ) = TrPred ( S , A , X ) ) $=
      ( va vy wceq cvv cpred ciun cmpt crdg com cres crn cuni ctrpred df-trpred
      cv predeq1 iuneq2d mpteq2dv rdgeq12 syl2anc reseq1d rneqd unieqd 3eqtr4g
      ) BCGZEHFESZABFSZIZJZKZABDIZLZMNZOZPEHFUJACUKIZJZKZACDIZLZMNZOZPABDQACDQU
      IURVEUIUQVDUIUPVCMUIUNVAGUOVBGUPVCGUIEHUMUTUIFUJULUSABCUKTUAUBABCDTUOVBUN
      VAUCUDUEUFUGFABDERFACDERUH $.

    $( Equality theorem for transitive predecessors.  (Contributed by Scott
       Fenton, 2-Feb-2011.) $)
    trpredeq2 $p |- ( A = B -> TrPred ( R , A , X ) = TrPred ( R , B , X ) ) $=
      ( va vy wceq cvv cpred ciun cmpt crdg com cres crn cuni ctrpred df-trpred
      cv predeq2 iuneq2d mpteq2dv rdgeq12 reseq1d syl2anc rneqd unieqd 3eqtr4g
      wa ) ABGZEHFESZACFSZIZJZKZACDIZLZMNZOZPEHFUKBCULIZJZKZBCDIZLZMNZOZPACDQBC
      DQUJUSVFUJURVEUJUOVBGZUPVCGZURVEGUJEHUNVAUJFUKUMUTABCULTUAUBABCDTVGVHUIUQ
      VDMUPVCUOVBUCUDUEUFUGFACDERFBCDERUH $.

    $( Equality theorem for transitive predecessors.  (Contributed by Scott
       Fenton, 2-Feb-2011.) $)
    trpredeq3 $p |- ( X = Y -> TrPred ( R , A , X ) = TrPred ( R , A , Y ) ) $=
      ( va vy wceq cvv cpred ciun cmpt crdg com cres crn cuni ctrpred df-trpred
      cv predeq3 rdgeq2 syl reseq1d rneqd unieqd 3eqtr4g ) CDGZEHFESABFSIJKZABC
      IZLZMNZOZPUHABDIZLZMNZOZPABCQABDQUGULUPUGUKUOUGUJUNMUGUIUMGUJUNGABCDTUIUM
      UHUAUBUCUDUEFABCERFABDERUF $.
  $}

  ${
    trpredeq1d.1 $e |- ( ph -> R = S ) $.
    $( Equality deduction for transitive predecessors.  (Contributed by Scott
       Fenton, 2-Feb-2011.) $)
    trpredeq1d $p |- ( ph -> TrPred ( R , A , X ) = TrPred ( S , A , X ) ) $=
      ( wceq ctrpred trpredeq1 syl ) ACDGBCEHBDEHGFBCDEIJ $.
  $}

  ${
    trpredeq2d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for transitive predecessors.  (Contributed by Scott
       Fenton, 2-Feb-2011.) $)
    trpredeq2d $p |- ( ph -> TrPred ( R , A , X ) = TrPred ( R , B , X ) ) $=
      ( wceq ctrpred trpredeq2 syl ) ABCGBDEHCDEHGFBCDEIJ $.
  $}

  ${
    trpredeq3d.1 $e |- ( ph -> X = Y ) $.
    $( Equality deduction for transitive predecessors.  (Contributed by Scott
       Fenton, 2-Feb-2011.) $)
    trpredeq3d $p |- ( ph -> TrPred ( R , A , X ) = TrPred ( R , A , Y ) ) $=
      ( wceq ctrpred trpredeq3 syl ) ADEGBCDHBCEHGFBCDEIJ $.
  $}

  ${
    $d R a y i $.  $d A a y i $.  $d X a y i $.  $d Y a y i $.
    $( A class is a transitive predecessor iff it is in some value of the
       underlying function.  This theorem is not meant to be used directly; use
       ~ trpredpred and ~ trpredmintr instead.  (Contributed by Scott Fenton,
       28-Apr-2012.) $)
    eltrpred $p |- ( Y e. TrPred ( R , A , X ) <->
                    E. i e. _om Y e. ( ( rec ( ( a e. _V |->
     U_ y e. a Pred ( R , A , y ) ) , Pred ( R , A , X ) ) |` _om ) ` i ) ) $=
      ( ctrpred wcel com cv cvv cpred ciun cmpt crdg cres cfv wrex dftrpred2
      eleq2i eliun bitri ) FBCEHZIFDJDKGLAGKBCAKMNOBCEMPJQRZNZIFUEIDJSUDUFFABCD
      EGTUADFJUEUBUC $.
  $}

  ${
    $d A a e j $.  $d A a e y $.  $d B j $.  $d i j $.  $d j y $.
    $d R a e j $.  $d R y $.  $d X a e j $.
    $( Technical lemma for transitive predecessors properties.  All values of
       the transitive predecessors' underlying function are subclasses of the
       base class.  (Contributed by Scott Fenton, 28-Apr-2012.) $)
    trpredlem1 $p |- ( Pred ( R , A , X ) e. B ->
                      ( ( rec ( ( a e. _V |-> U_ y e. a Pred ( R , A , y ) ) ,
                                Pred ( R , A , X ) ) |` _om ) ` i ) C_ A ) $=
      ( vj ve cv com wcel cpred cvv cfv wss c0 wceq eqsstrdi nfcv nn0suc predss
      ciun cmpt crdg cres wi csuc wrex wo fr0g fveq2 sseq1d syl5ibr nfrdg nfres
      wa nfmpt1 nffv predeq3 cbviunv mpteq2i rdgeq1 reseq1 mp2b iuneq1 frsucmpt
      nfiun iunss a1i mprgbir wn frsucmptn adantl pm2.61dan adantr wb rexlimiva
      0ss mpbird a1d jaoi syl nfvres pm2.61i ) EJZKLZBDFMZCLZWFGNAGJZBDAJZMZUCZ
      UDZWHUEZKUFZOZBPZUGZWGWFQRZWFHJZUHZRZHKUIZUJWSHWFUAWTWSXDWIWRWTQWPOZBPWIX
      EWHBWHCWNUKBDFUBSWTWQXEBWFQWPULUMUNXDWRWIXCWRHKXAKLZXCUQWRXBWPOZBPZXFXHXC
      XFIXAWPOZBDIJZMZUCZNLZXHXFXMUQXGXLBGWHXAIWJXKUCZXLWPNGWHTZGXATZIGXIXKGXAW
      PGWOKGWHWNGNWMURXOUOGKTUPXPUSGXKTVHZWNGNXNUDZRWOXRWHUEZRWPXSKUFRGNWMXNAIW
      JWLXKBDWKXJUTVAVBWHWNXRVCWOXSKVDVEZIWJXIXKVFZVGXLBPXKBPZIXIIXIXKBVIYBXJXI
      LBDXJUBVJVKSXFXMVLZUQXGQBYCXGQRXFGWHXAXNXLWPXOXPXQXTYAVMVNBVSZSVOVPXCWRXH
      VQXFXCWQXGBWFXBWPULUMVNVTVRWAWBWCWGVLZWRWIYEWQQBWFKWOWDYDSWAWE $.
  $}

  ${
    $d R a y z $.  $d A a y z $.  $d X a y z $.
    $( Assuming it is a set, the predecessor class is a subset of the class of
       transitive predecessors.  (Contributed by Scott Fenton, 18-Feb-2011.) $)
    trpredpred $p |- ( Pred ( R , A , X ) e. B
         -> Pred ( R , A , X ) C_ TrPred ( R , A , X ) ) $=
      ( va vy vz cpred wcel cvv cv ciun cmpt crdg com cres crn wbr c0 syl mp2an
      cuni ctrpred wss wex cfv wceq fr0g wfn wb frfnom peano1 fnbrfvb sylib 0ex
      breq1 spcev elrng mpbird elssuni df-trpred sseqtrrdi ) ACDHZBIZVCEJFEKACF
      KHLMZVCNOPZQZUBZACDUCVDVCVGIZVCVHUDVDVIGKZVCVFRZGUEZVDSVCVFRZVLVDSVFUFVCU
      GZVMVCBVEUHVFOUISOIVNVMUJVCVEUKULOSVCVFUMUAUNVKVMGSUOVJSVCVFUPUQTGVCVFBUR
      USVCVGUTTFACDEVAVB $.
  $}

  ${
    $d R a i y $.  $d A a i y $.  $d B i $.  $d X a i y $.
    $( The transitive predecessors form a subclass of the base class.
       (Contributed by Scott Fenton, 20-Feb-2011.) $)
    trpredss $p |- ( Pred ( R , A , X ) e. B -> TrPred ( R , A , X ) C_ A ) $=
      ( vi va vy cpred wcel ctrpred com cv cvv ciun cmpt crdg cfv dftrpred2 wss
      cres wral trpredlem1 ralrimivw iunss sylibr eqsstrid ) ACDHZBIZACDJEKELFM
      GFLACGLHNOUGPKTQZNZAGACEDFRUHUIASZEKUAUJASUHUKEKGABCEDFUBUCEKUIAUDUEUF $.
  $}

  ${
    $d A a f i j t y $.  $d R a f i j t y $.  $d X a f i j t y $.
    $d Y a f i j t y $.
    $( Predecessors of a transitive predecessor are transitive predecessors.
       (Contributed by Scott Fenton, 20-Feb-2011.)  (Revised by Mario Carneiro,
       26-Jun-2015.) $)
    trpredtr $p |- ( ( X e. A /\ R Se A ) -> ( Y e. TrPred ( R , A , X )
        -> Pred ( R , A , Y ) C_ TrPred ( R , A , X ) ) ) $=
      ( vi va vy vt vf vj wcel cv cvv cpred ciun com wa wss syl wceq cfv simplr
      ctrpred cmpt crdg cres wrex wse eltrpred csuc peano2 simpr predeq3 sseq2d
      ssid rspcev ssiun sylancl wral setlikespec trpredlem1 sseld expcom adantl
      fvex wi syld ralrimiv ad2antrr iunexg sylancr nfcv cbviunv iuneq1 cbvmptv
      eqtrid rdgeq1 reseq1 frsucmpt syl2anc sseqtrrd fveq2 dftrpred2 rexlimdva2
      mp2b sseqtrrdi syl5bi ) DABCUCZKDELZFMGFLZABGLZNZOZUDZABCNZUEZPUFZUAZKZEP
      UGCAKZABUHZQZABDNZWHRZGABECDFUIXBWSXDEPXBWIPKZQZWSQZWIUJZPKZXCXHWQUAZRZXD
      XGXEXIXBXEWSUBZWIUKSXGXCHWRABHLZNZOZXJXGWSXCXCRZXCXORZXFWSULXCUOWSXPQXCXN
      RZHWRUGXQXRXPHDWRXMDTXNXCXCABXMDUMUNUPHWRXNXCUQSURXGXEXOMKZXJXOTXLXGWRMKX
      NMKZHWRUSZXSWIWQVEXBYAXEWSXBXTHWRXBXMWRKXMAKZXTXBWRAXMXBWOMKWRARABCUTGAMB
      ECFVASVBXAYBXTVFWTYBXAXTABXMUTVCVDVGVHVIHWRXNMMVJVKIWOWIHILZXNOZXOWQMIWOV
      LIWIVLIXOVLWNIMYDUDZTWPYEWOUEZTWQYFPUFTFIMWMYDWJYCTWMHWJXNOYDGHWJWLXNABWK
      XMUMVMHWJYCXNVNVPVOWOWNYEVQWPYFPVRWEHYCWRXNVNVSVTWAXIXKQZXCJPJLZWQUAZOZWH
      YGXCYIRZJPUGXCYJRYKXKJXHPYHXHTYIXJXCYHXHWQWBUNUPJPYIXCUQSGABJCFWCWFVTWDWG
      $.
  $}

  ${
    $d A y a c d i j k $.  $d B y i j k $.  $d R y a c d i j k $.
    $d X y a c i j k $.
    $( The transitive predecessors form the smallest superclass of predecessors
       closed under taking predecessors.  (Contributed by Scott Fenton,
       25-Apr-2012.)  (Revised by Mario Carneiro, 26-Jun-2015.) $)
    trpredmintr $p |- ( ( ( X e. A /\ R Se A ) /\
                         ( A. y e. B Pred ( R , A , y ) C_ B /\
                           Pred ( R , A , X ) C_ B ) ) ->
                       TrPred ( R , A , X ) C_ B ) $=
      ( vi va vc vd wcel wa cv wss wral com cvv ciun cfv wi wceq vj wse ctrpred
      vk cpred cmpt crdg cres dftrpred2 c0 csuc fveq2 sseq1d imbi2d setlikespec
      fr0g syl adantr simprr eqsstrd fvex trpredlem1 sseld expcom syld ralrimiv
      adantl ad2antrr iunexg sylancr nfcv predeq3 cbviunv iuneq1 eqtrid cbvmptv
      eqid rdgeq1 reseq1 mp2b fveq1i eqeq2i sylbi frsucmpt sylan2 sseq1i anbi2i
      nfv nfra1 nfan ssel rsp ad2antrl sylan9r ralrimi sylan2b iunss sylibr a2d
      exp32 finds com12 eqsstrid ) EBJZBDUBZKZBDALZUEZCMZACNZBDEUEZCMZKZKZBDEUC
      FOFLZGPAGLZXHQZUFZXKUGZOUHZRZQZCABDFEGUIXNYACMZFONYBCMXNYCFOXOOJXNYCXNUAL
      ZXTRZCMZSXNUJXTRZCMZSXNUDLZXTRZCMZSXNYIUKZXTRZCMZSXNYCSUAUDXOYDUJTZYFYHXN
      YOYEYGCYDUJXTULUMUNYDYITZYFYKXNYPYEYJCYDYIXTULUMUNYDYLTZYFYNXNYQYEYMCYDYL
      XTULUMUNYDXOTZYFYCXNYRYEYACYDXOXTULUMUNXNYGXKCXFYGXKTZXMXFXKPJZYSBDEUOZXK
      PXRUPUQURXFXJXLUSUTYIOJZXNYKYNUUBXNYKYNUUBXNYKKZKZYMAYIHPIHLZBDILZUEZQZUF
      ZXKUGZOUHZRZXHQZCUUCUUBUUMPJZYMUUMTUUCUULPJXHPJZAUULNZUUNYIUUKVAXFUUPXMYK
      XFUUOAUULXFXGUULJZXGBJZUUOXFUULBXGXFYTUULBMUUAIBPDUDEHVBUQVCXEUURUUOSXDUU
      RXEUUOBDXGUOVDVGVEVFVHAUULXHPPVIVJGXKYIXQUUMXTPGXKVKGYIVKGUUMVKXTVQXPYJTX
      PUULTXQUUMTYJUULXPYIXTUUKXRUUITXSUUJTXTUUKTGHPXQUUHXPUUETXQIXPUUGQUUHAIXP
      XHUUGBDXGUUFVLVMIXPUUEUUGVNVOVPXKXRUUIVRXSUUJOVSVTWAZWBAXPUULXHVNWCWDWEUU
      DXIAUULNZUUMCMUUCUUBXNUULCMZKZUUTYKUVAXNYJUULCUUSWFWGUVBUUTUUBUVBXIAUULXN
      UVAAXFXMAXFAWHXJXLAXIACWIXLAWHWJWJUVAAWHWJUVAUUQXGCJZXNXIUULCXGWKXJUVCXIS
      XFXLXIACWLWMWNWOVGWPAUULXHCWQWRUTWTWSXAXBVFFOYACWQWRXC $.
  $}

  ${
    $d R a i j y $.  $d X a i j y $.
    $( The class of transitive predecessors is empty when ` A ` is empty.
       (Contributed by Scott Fenton, 30-Apr-2012.) $)
    trpred0 $p |- TrPred ( R , (/) , X ) = (/) $=
      ( vi va vy vj c0 com cv cvv cpred ciun cmpt crdg cres cfv wcel wceq pred0
      iuneq2i ctrpred dftrpred2 iun0 eqtri mpteq2i rdgeq12 mp2an reseq1i fveq1i
      a1i csuc wrex nn0suc fveq2 0ex fr0g ax-mp eqtrdi nfcv eqid eqidd frsucmpt
      wo mpan2 fveqeq2 syl5ibrcom rexlimiv jaoi syl eqtrid 3eqtri ) GABUACHCIZD
      JEDIZGAEIZKZLZMZGABKZNZHOZPZLCHGLGEGACBDUBCHWAGVLHQZWAVLDJGMZGNZHOZPZGVLV
      TWEVSWDHVQWCRVRGRVSWDRDJVPGVPEVMGLGEVMVOGVOGRVNVMQAVNSUJTEVMUCUDUEABSVRGV
      QWCUFUGUHUIWBVLGRZVLFIZUKZRZFHULZVCWFGRZFVLUMWGWLWKWGWFGWEPZGVLGWEUNGJQZW
      MGRUOGJWCUPUQURWJWLFHWHHQZWLWJWIWEPGRZWOWNWPUODGWHGGWEJDGUSZDWHUSWQWEUTVM
      WHWEPRGVAVBVDVLWIGWEVEVFVGVHVIVJTCHUCVK $.
  $}

  ${
    $d A y $.  $d R y $.  $d X y $.  $d Y y $.
    $( Given a transitive predecessor ` Y ` of ` X ` , the transitive
       predecessors of ` Y ` form a subclass of the transitive predecessors of
       ` X ` .  (Contributed by Scott Fenton, 25-Apr-2012.)  (Revised by Mario
       Carneiro, 26-Jun-2015.) $)
    trpredelss $p |- ( ( X e. A /\ R Se A ) ->
                      ( Y e. TrPred ( R , A , X ) ->
                        TrPred ( R , A , Y ) C_ TrPred ( R , A , X ) ) ) $=
      ( vy wcel wse wa ctrpred wss cv cpred cvv setlikespec trpredss syl sselda
      wral simplr trpredtr ralrimiv adantr imp trpredmintr syl22anc ex ) CAFZAB
      GZHZDABCIZFZABDIUJJZUIUKHDAFUHABEKZLUJJZEUJRZABDLUJJZULUIUJADUIABCLMFUJAJ
      ABCNAMBCOPQUGUHUKSUIUOUKUIUNEUJABCUMTUAUBUIUKUPABCDTUCEAUJBDUDUEUF $.
  $}

  ${
    $d A y z $.  $d R y z $.  $d X y z $.
    $( The transitive predecessors of ` X ` are equal to the predecessors of
       ` X ` together with their transitive predecessors.  (Contributed by
       Scott Fenton, 26-Apr-2012.)  (Revised by Mario Carneiro,
       26-Jun-2015.) $)
    dftrpred3g $p |- ( ( X e. A /\ R Se A ) ->
                    TrPred ( R , A , X ) =
                    ( Pred ( R , A , X ) u.
                      U_ y e. Pred ( R , A , X ) TrPred ( R , A , y ) ) ) $=
      ( vz wcel wa ctrpred cpred wss wral predel cvv setlikespec trpredpred syl
      cv wi expcom syl6 wse ciun cun wo elun adantl syl5 ancld trpredeq3 sseq2d
      wrex rspcev ssiun eliun ancoms adantll trpredss sseld ad2antlr syld simpr
      weq imp simplr trpredelss syl2anc sstrd exp31 reximdvai syl5bi jaod ssun4
      ralrimiv ssun1 jctir trpredmintr mpdan iunss sylibr unssd eqssd ) DBFZBCU
      AZGZBCDHZBCDIZAWFBCAQZHZUBZUCZWDBCEQZIZWJJZEWJKZWFWJJZGWEWJJWDWNWOWDWMEWJ
      WKWJFWKWFFZWKWIFZUDZWDWMWKWFWIUEWDWRWLWIJZWMWDWPWSWQWDWPWPWLBCWKHZJZGZWSW
      DWPXAWPWKBFZWDXABCDWKLWCXCXARWBXCWCXAXCWCGWLMFZXABCWKNZBMCWKOZPSUFUGUHXBW
      LWHJZAWFUKZWSXGXAAWKWFAEVBWHWTWLBCWGWKUIUJULAWFWHWLUMZPTWQWKWHFZAWFUKZWDW
      SAWKWFWHUNWDXKXHWSWDXJXGAWFWGWFFZWGBFZWDXJXGRBCDWGLWDXMXJXGWDXMGZXJGZWLWT
      WHXOXDXAXNXJXDXNXJXCXDXNWHBWKXNBCWGIMFZWHBJWCXMXPWBXMWCXPBCWGNUOUPBMCWGUQ
      PURWCXCXDRWBXMXCWCXDXESUSUTVCXFPXNXJWTWHJZXNXMWCXJXQRWDXMVAWBWCXMVDBCWGWK
      VEVFVCVGVHUGVIXITVJVKWLWIWFVLTVJVMWFWIVNVOEBWJCDVPVQWDWFWIWEWDWFMFWFWEJBC
      DNBMCDOPZWDWHWEJZAWFKWIWEJWDXSAWFWDXLWGWEFXSWDWFWEWGXRURBCDWGVEUTVMAWFWHW
      EVRVSVTWA $.
  $}

  ${
    $d A y $.  $d R y $.  $d X y $.
    $( Another recursive expression for the transitive predecessors.
       (Contributed by Scott Fenton, 27-Apr-2012.)  (Revised by Mario Carneiro,
       26-Jun-2015.) $)
    dftrpred4g $p |- ( ( X e. A /\ R Se A ) ->
        TrPred ( R , A , X ) =
        U_ y e. Pred ( R , A , X ) ( { y } u. TrPred ( R , A , y ) ) ) $=
      ( wcel wse wa ctrpred cpred cv ciun cun csn dftrpred3g iunun iunid uneq1i
      eqtri eqtr4di ) DBEBCFGBCDHBCDIZATBCAJZHZKZLZATUAMZUBLKZABCDNUFATUEKZUCLU
      DATUEUBOUGTUCATPQRS $.
  $}

  ${
    $d A y $.  $d R y $.  $d X y $.
    $( If ` R ` partially orders ` A ` , then the transitive predecessors are
       the same as the immediate predecessors .  (Contributed by Scott Fenton,
       28-Apr-2012.)  (Revised by Mario Carneiro, 26-Jun-2015.) $)
    trpredpo $p |- ( ( R Po A /\ X e. A /\ R Se A ) ->
                      TrPred ( R , A , X ) = Pred ( R , A , X ) ) $=
      ( vy wpo wcel wse w3a ctrpred cpred cv wss simp2 simp3 wa predpo ralrimiv
      wral 3adant3 cvv ssidd trpredmintr syl22anc setlikespec syl 3adant1 eqssd
      trpredpred ) ABEZCAFZABGZHZABCIZABCJZULUJUKABDKZJUNLZDUNRZUNUNLUMUNLUIUJU
      KMUIUJUKNUIUJUQUKUIUJOUPDUNABCUOPQSULUNUADAUNBCUBUCUJUKUNUMLZUIUJUKOUNTFU
      RABCUDATBCUHUEUFUG $.
  $}

  ${
    $d A z $.  $d R z $.  $d X z $.  $d Y z $.  $d A a i j y z $.
    $d R a i j y $.  $d X a i j y $.  $d Y a i j y $.
    $( A transitive predecessor of ` X ` is either an immediate predecessor of
       ` X ` or an immediate predecessor of a transitive predecessor of ` X ` .
       (Contributed by Scott Fenton, 9-May-2012.)  (Revised by Mario Carneiro,
       26-Jun-2015.) $)
    trpredrec $p |- ( ( X e. A /\ R Se A ) ->
       ( Y e. TrPred ( R , A , X ) -> ( Y e. Pred ( R , A , X ) \/
         E. z e. TrPred ( R , A , X ) Y R z ) ) ) $=
      ( vi va vy vj wcel cv cvv ciun com cfv wrex wa wceq wi eleq2d ctrpred wse
      cpred cmpt crdg cres wbr wo eltrpred csuc nn0suc fveq2 anbi2d setlikespec
      c0 biimpd fr0g syl biimpa syl6com wral wss trpredlem1 sseld expcom adantl
      fvex syld ralrimiv iunexg sylancr nfcv nfmpt1 nfrdg nfres nffv nfiun eqid
      predeq3 cbviunv iuneq1 eqtrid frsucmpt sylan2 expimpd dftrpred2 sseqtrrdi
      eliun ssiun2 vex elpredim a1i anim12d reximdv2 com12 sylbi com23 rexlimdv
      pm2.43d orim12d ex syl5 syl5bi ) EBCDUAZJEFKZGLHGKZBCHKZUCZMZUDZBCDUCZUEZ
      NUFZOZJZFNPDBJZBCUBZQZEXKJZEAKZCUGZAXDPZUHZHBCFDEGUIXRXOYCFNXENJXEUORZXEI
      KZUJZRZINPZUHZXRXOYCSIXEUKXRXOYIYCXRXOYIYCSXRXOQZYDXSYHYBYDYJXREUOXMOZJZQ
      ZXSYDYJYMYDXOYLXRYDXNYKEXEUOXMULTUMUPXRYLXSXRYKXKEXRXKLJZYKXKRBCDUNZXKLXJ
      UQURTUSUTYJYGYBINYJYGYENJZYBYGYJXREYFXMOZJZQZYPYBSZYGYJYSYGXOYRXRYGXNYQEX
      EYFXMULTUMUPYSYPYBYPYSEAYEXMOZBCXTUCZMZJZYTYPXRYRUUDYPXRQZYRUUDUUEYQUUCEX
      RYPUUCLJZYQUUCRXRUUALJUUBLJZAUUAVAUUFYEXMVGXRUUGAUUAXRXTUUAJZXTBJZUUGXRUU
      ABXTXRYNUUABVBYOHBLCIDGVCURVDXQUUIUUGSXPUUIXQUUGBCXTUNVEVFVHVIAUUAUUBLLVJ
      VKGXKYEXIUUCXMLGXKVLZGYEVLZAGUUAUUBGYEXMGXLNGXKXJGLXIVMUUJVNGNVLVOUUKVPGU
      UBVLVQXMVRXFUUARXIAXFUUBMUUCHAXFXHUUBBCXGXTVSVTAXFUUAUUBWAWBWCWDTUPWEUUDE
      UUBJZAUUAPZYTAEUUAUUBWHYPUUMYBYPUULYAAUUAXDYPUUHXTXDJUULYAYPUUAXDXTYPUUAI
      NUUAMXDINUUAWIHBCIDGWFWGVDUULYASYPBCXTEAWJWKWLWMWNWOWPUTWSUTWQWRWTXAWQXBW
      RXC $.
  $}

  ${
    $d R a y $.  $d A a y $.  $d X a y $.
    $( The transitive predecessors under a relation form a set.

       This is the first theorem in the transitive predecessor series that
       requires the axiom of infinity.  (Contributed by Scott Fenton,
       18-Feb-2011.) $)
    trpredex $p |- TrPred ( R , A , X ) e. _V $=
      ( va vy ctrpred cvv cpred ciun cmpt crdg com cres crn cuni df-trpred wcel
      cv wfn frfnom omex fnex mp2an rnex uniex eqeltri ) ABCFDGEDRABERHIJZABCHZ
      KLMZNZOGEABCDPUJUIUILSLGQUIGQUHUGTUALGUIUBUCUDUEUF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Transitive closure
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x z $.  $d v x y A $.  $d u v x y F $.
    trcl.1 $e |- A e. _V $.
    trcl.2 $e |- F = ( rec ( ( z e. _V |-> ( z u. U. z ) ) , A ) |` _om ) $.
    trcl.3 $e |- C = U_ y e. _om ( F ` y ) $.
    $( For any set ` A ` , show the properties of its transitive closure
       ` C ` .  Similar to Theorem 9.1 of [TakeutiZaring] p. 73 except that we
       show an explicit expression for the transitive closure rather than just
       its existence.  See ~ tz9.1 for an abbreviated version showing
       existence.  (Contributed by NM, 14-Sep-2003.)  (Revised by Mario
       Carneiro, 11-Sep-2015.) $)
    trcl $p |- ( A C_ C /\ Tr C /\ A. x ( ( A C_ x /\ Tr x ) -> C C_ x ) ) $=
      ( vv vu wss cv com cfv wrex c0 wcel wceq fveq2 wtr wa wal ciun peano1 cvv
      wi cuni cun cmpt crdg cres fveq1i fr0g ax-mp eqtr2i eqimssi sseq2d rspcev
      mp2an ssiun sseqtrri dftr2 eliun anbi2i r19.42v bitr4i elunii ssun2 uniex
      csuc fvex unex weq id unieq uneq12d frsucmpt2w mpan2 sseqtrrid sseld syl5
      reximia sylbi peano2 eleq2d ex syl rexlimiv cbvrexvw sylibr ax-gen mpgbir
      wb treq mpbir sseq1d eqtri sseq1i biimpri adantr uniss df-tr sstr2 syl5bi
      wral anc2li unss syl6ib biimprd syl9r com23 adantld finds2 com12 ralrimiv
      cbviunv iunss bitri 3pm3.2i ) DELEUAZDAMZLZYBUAZUBZEYBLZUGZAUCDBNBMZFOZUD
      ZEDYILZBNPZDYJLQNRDQFOZLZYLUEDYMYMQCUFCMZYOUHZUIZUJZDUKNULZOZDQFYSHUMZDUF
      RYTDSGDUFYRUNUOZUPUQYKYNBQNYHQSYIYMDYHQFTURUSUTBNYIDVAUOIVBYAYJUAZUUCJMZK
      MZRZUUEYJRZUBZUUDYJRZUGZKUCJJKYJVCUUJKUUHUUDYHVKZFOZRZBNPZUUIUUHUUFUUEYIR
      ZUBZBNPZUUNUUHUUFUUOBNPZUBUUQUUGUURUUFBUUENYIVDVEUUFUUOBNVFVGUUPUUMBNUUPU
      UDYIUHZRYHNRZUUMUUDUUEYIVHUUTUUSUULUUDUUTYIUUSUIZUUSUULUUSYIVIUUTUVAUFRUU
      LUVASYIUUSYHFVLZYIUVBVJVMCADYHYQUVAYBYBUHZUIFUFHACVNZYBYOUVCYPUVDVOYBYOVP
      VQYBYISZYBYIUVCUUSUVEVOYBYIVPVQVRVSZVTWAWBWCWDUUNUUDYIRZBNPZUUIUUNUUDUUEF
      OZRZKNPZUVHUUMUVKBNUUTUUKNRZUUMUVKUGYHWEUVLUUMUVKUVJUUMKUUKNUUEUUKSUVIUUL
      UUDUUEUUKFTWFUSWGWHWIUVGUVJBKNBKVNYIUVIUUDYHUUEFTWFWJWKBUUDNYIVDWKWHWLWME
      YJSYAUUCWNIEYJWOUOWPYGAYEUUDFOZYBLZJNXFZYFYEUVNJNUUDNRYEUVNUVNYMYBLZYIYBL
      ZUULYBLZYEJBUUDQSUVMYMYBUUDQFTWQJBVNUVMYIYBUUDYHFTWQUUDUUKSUVMUULYBUUDUUK
      FTWQYCUVPYDUVPYCYMDYBYMYTDUUAUUBWRWSWTXAUUTYDUVQUVRUGYCUUTUVQYDUVRUVQYDUV
      AYBLZUUTUVRUVQYDUVQUUSYBLZUBUVSUVQYDUVTUVQUUSUVCLZYDUVTUGYIYBXBYDUVCYBLUW
      AUVTYBXCUUSUVCYBXDXEWHXGYIUUSYBXHXIUUTUVRUVSUUTUULUVAYBUVFWQXJXKXLXMXNXOX
      PYFJNUVMUDZYBLUVOEUWBYBEYJUWBIBJNYIUVMYHUUDFTXQWRWSJNUVMYBXRXSWKWLXT $.
  $}

  ${
    $d A x y z w $.
    tz9.1.1 $e |- A e. _V $.
    $( Every set has a transitive closure (the smallest transitive extension).
       Theorem 9.1 of [TakeutiZaring] p. 73.  See ~ trcl for an explicit
       expression for the transitive closure.  Apparently open problems are
       whether this theorem can be proved without the Axiom of Infinity; if
       not, then whether it implies Infinity; and if not, what is the
       "property" that Infinity has that the other axioms don't have that is
       weaker than Infinity itself?

       (Added 22-Mar-2011) The following article seems to answer the first
       question, that it can't be proved without Infinity, in the affirmative:
       Mancini, Antonella and Zambella, Domenico (2001).  "A note on recursive
       models of set theories." _Notre Dame Journal of Formal Logic_,
       42(2):109-115.  (Thanks to Scott Fenton.)  (Contributed by NM,
       15-Sep-2003.) $)
    tz9.1 $p |- E. x ( A C_ x /\ Tr x
                /\ A. y ( ( A C_ y /\ Tr y ) -> x C_ y ) ) $=
      ( vz vw cv wss wtr wa wi wal w3a com cvv cuni cun cmpt crdg eqid cres cfv
      ciun omex fvex iunex wceq sseq2 treq sseq1 imbi2d albidv 3anbi123d trcl
      ceqsexv2d ) CAGZHZUPIZCBGZHUSIJZUPUSHZKZBLZMCENEGZFOFGZVEPQRCSNUAZUBZUCZH
      ZVHIZUTVHUSHZKZBLZMAVHENVGUDVDVFUEUFUPVHUGZUQVIURVJVCVMUPVHCUHUPVHUIVNVBV
      LBVNVAVKUTUPVHUSUJUKULUMBEFCVHVFDVFTVHTUNUO $.

    $( Alternate expression for the existence of transitive closures ~ tz9.1 :
       the intersection of all transitive sets containing ` A ` is a set.
       (Contributed by Mario Carneiro, 22-Mar-2013.) $)
    tz9.1c $p |- |^| { x | ( A C_ x /\ Tr x ) } e. _V $=
      ( vw vz cv wss wtr wa cab c0 wne cint cvv wcel wex com cuni cun eqid cmpt
      crdg cres cfv ciun wi wal w3a trcl 3simpa omex fvex iunex wceq sseq2 treq
      anbi12d spcev mp2b abn0 mpbir intex mpbi ) BAFZGZVDHZIZAJZKLZVHMNOVIVGAPZ
      BDQDFZENEFZVLRSUABUBQUCZUDZUEZGZVOHZVGVOVDGUFAUGZUHVPVQIZVJADEBVOVMCVMTVO
      TUIVPVQVRUJVGVSAVODQVNUKVKVMULUMVDVOUNVEVPVFVQVDVOBUOVDVOUPUQURUSVGAUTVAV
      HVBVC $.
  $}

  ${
    $d x y z w A $.
    $( The strong form of the Axiom of Regularity (no sethood requirement on
       ` A ` ), with the axiom itself present as an antecedent.  See also
       ~ zfregs .  (Contributed by Mario Carneiro, 22-Mar-2013.) $)
    epfrs $p |- ( ( _E Fr A /\ A =/= (/) ) -> E. x e. A ( x i^i A ) = (/) ) $=
      ( vz vy vw c0 wne cv cin wceq wrex wcel wex wi n0 wss wtr wa wel syl5 cep
      wfr csn wal w3a snssi anim2i ssin vex snss bitr4i sylib inss2 inex1 epfrc
      ne0d mp3an2 elin anbi1i anass bitri elinel1 ancri trel inass incom ineq2i
      eqtri eleq2i bitr2i ne0i sylbi ex syl6 expd com34 impd exlimdv syl5bi imp
      com23 necon4d anim2d expimpd reximdv2 expcomd 3adant3 snex tz9.1 exlimiiv
      impcom exlimiv ) BFGZBUAUBZAHZBIZFJZABKZWMCHZBLZCMWNWRNZCBOWTXACWSUCZDHZP
      ZXCQZXBEHZPXFQRXCXFPNEUDZUEWTXANZDXDXEXHXGXEXDXHXEXDWTXAXDWTRZXCBIZFGZXEX
      AXIXJWSXIXDXBBPZRZWSXJLZWTXLXDWSBUFUGXMXBXJPXNXBXCBUHWSXJCUIUJUKULUPXEWNX
      KWRWNXKRXJWOIZFJZAXJKZXEWRWNXJBPXKXQXCBUMABXJXCBDUIUNUOUQXEXPWQAXJBWOXJLZ
      XPRZADSZWOBLZXPRZRZXEYAWQRZXSXTYARZXPRYCXRYEXPWOXCBURUSXTYAXPUTVAXEXTYBYD
      XEXTRZXPWQYAYFWPFXOFXEXTWPFGZXOFGZNXEYGXTYHYGXFWPLZEMXEXTYHNZEWPOXEYIYJEY
      IEASZYIRXEYJYIYKXFWOBVBVCXEYKYIYJXEYKXTYIYHXEYKXTYIYHNZXEYKXTREDSZYLXCXFW
      OVDYMYIYHYMYIRZXFXOLZYHYOXFXCWPIZLYNXOYPXFXOXCBWOIZIYPXCBWOVEYQWPXCBWOVFV
      GVHVIXFXCWPURVJXOXFVKVLVMVNVOVPVQTVRVSWAVTWBWCWDVSWETWFTVOWKWGDEXBWSWHWIW
      JWLVLWK $.
  $}

  ${
    $d x A $.
    $( The strong form of the Axiom of Regularity, which does not require that
       ` A ` be a set.  Axiom 6' of [TakeutiZaring] p. 21.  See also ~ epfrs .
       (Contributed by NM, 17-Sep-2003.) $)
    zfregs $p |- ( A =/= (/) -> E. x e. A ( x i^i A ) = (/) ) $=
      ( cep wfr c0 wne cv cin wceq wrex zfregfr epfrs mpan ) BCDBEFAGBHEIABJBKA
      BLM $.
  $}

  ${
    $d x y A $.
    $( Alternate strong form of the Axiom of Regularity.  Not every element of
       a nonempty class contains some element of that class.  (Contributed by
       Alan Sare, 24-Oct-2011.)  (Proof shortened by Wolf Lammen,
       27-Sep-2013.) $)
    zfregs2 $p |- ( A =/= (/) -> -. A. x e. A E. y ( y e. A /\ y e. x ) ) $=
      ( c0 wne cv wcel wa wex wn wral wrex wi wal cin zfregs incom rexbii sylib
      wceq eqeq1i disj1 alinexa dfrex2 notnotb ralbii sylnibr ) CDEZBFZCGZUIAFZ
      GZHBIZJZJZACKZUMACKUHUNACLZUPJUHUJULJMBNZACLZUQUHCUKOZDTZACLZUSUHUKCOZDTZ
      ACLVBACPVDVAACVCUTDUKCQUARSVAURACBCUKUBRSURUNACUJULBUCRSUNACUDSUMUOACUMUE
      UFUG $.
  $}

  ${
    $d x y A $.
    $( Set (epsilon) induction.  Theorem 5.22 of [TakeutiZaring] p. 21.
       (Contributed by NM, 17-Sep-2003.) $)
    setind $p |- ( A. x ( x C_ A -> x e. A ) -> A = _V ) $=
      ( vy cv wss wcel wi wal cvv cdif c0 wceq cin wrex ssindif0 eleq1w imbi12d
      wn sseq1 spvv syl5bir eldifn nsyli imp nrexdv zfregs necon1bi syl sylibr
      vdif0 ) ADZBEZUKBFZGZAHZIBJZKLZBILUOCDZUPMKLZCUPNZRUQUOUSCUPUOURUPFZUSRUO
      USURBFZVAUSURBEZUOVBURBOUNVCVBGACUKURLULVCUMVBUKURBSACBPQTUAURIBUBUCUDUEU
      TUPKCUPUFUGUHBUJUI $.
  $}

  ${
    $d x A $.
    $( Set (epsilon) induction, stated compactly.  Given as a homework problem
       in 1992 by George Boolos (1940-1996).  (Contributed by NM,
       17-Sep-2003.) $)
    setind2 $p |- ( ~P A C_ A -> A = _V ) $=
      ( vx cpw wss cv wcel wi wal cvv wceq pwss setind sylbi ) ACADBEZADNAFGBHA
      IJBAAKBALM $.
  $}

  $c TC $.  $( Transitive closure $)

  $( Extend class notation to include the transitive closure function. $)
  ctc $a class TC $.

  ${
    $d x y $.
    $( The transitive closure function.  (Contributed by Mario Carneiro,
       23-Jun-2013.) $)
    df-tc $a |- TC = ( x e. _V |-> |^| { y | ( x C_ y /\ Tr y ) } ) $.
  $}

  ${
    $d A x y $.
    $( Value of the transitive closure function.  (The fact that this
       intersection exists is a non-trivial fact that depends on ~ ax-inf ; see
       ~ tz9.1 .)  (Contributed by Mario Carneiro, 23-Jun-2013.) $)
    tcvalg $p |- ( A e. V -> ( TC ` A ) = |^| { x | ( A C_ x /\ Tr x ) } ) $=
      ( vy cv ctc cfv wss wtr wa cab cint wceq fveq2 sseq1 anbi1d abbidv inteqd
      cvv wcel eqeq12d vex tz9.1c df-tc fvmpt2 mp2an vtoclg ) DEZFGZUHAEZHZUJIZ
      JZAKZLZMZBFGZBUJHZULJZAKZLZMDBCUHBMZUIUQUOVAUHBFNVBUNUTVBUMUSAVBUKURULUHB
      UJOPQRUAUHSTUOSTUPDUBZAUHVCUCDSUOSFDAUDUEUFUG $.
  $}

  ${
    $d A x y $.
    $( Defining property of the transitive closure function: it contains its
       argument as a subset.  (Contributed by Mario Carneiro, 23-Jun-2013.) $)
    tcid $p |- ( A e. V -> A C_ ( TC ` A ) ) $=
      ( vx wcel cv wss wtr wa cab cint ctc cfv ssmin tcvalg sseqtrrid ) ABDACEZ
      FPGZHCIJAAKLQCAMCABNO $.

    $( Defining property of the transitive closure function: it is transitive.
       (Contributed by Mario Carneiro, 23-Jun-2013.) $)
    tctr $p |- Tr ( TC ` A ) $=
      ( vx vy cvv wcel ctc cfv wtr cv wss wa cab cint trint wceq treq wb mpbiri
      syl c0 vex sseq2 anbi12d elab simprbi mprg tcvalg wn tr0 fvprc pm2.61i )
      ADEZAFGZHZULUNABIZJZUOHZKZBLZMZHZCIZHZVACUSCUSNVBUSEAVBJZVCURVDVCKBVBCUAU
      OVBOUPVDUQVCUOVBAUBUOVBPUCUDUEUFULUMUTOUNVAQBADUGUMUTPSRULUHZUNTHZUIVEUMT
      OUNVFQAFUJUMTPSRUK $.

    $d B x y $.
    $( Defining property of the transitive closure function: it is a subset of
       any transitive class containing ` A ` .  (Contributed by Mario Carneiro,
       23-Jun-2013.) $)
    tcmin $p |- ( A e. V -> ( ( A C_ B /\ Tr B ) -> ( TC ` A ) C_ B ) ) $=
      ( vy vx wcel wss wtr wa cv cab cint ctc cfv wex cvv tcvalg fvex eqeltrrdi
      intexab sylibr ssin biimpi trin anim12i an4s expcom inex1 wceq sseq2 treq
      cin vex anbi12d intss1 sylbir inss2 sstrdi exlimdv syl5com sseq1d sylibrd
      elab syl6 ) ACFZABGZBHZIZADJZGZVIHZIZDKZLZBGZAMNZBGVEAEJZGZVQHZIZEOZVHVOV
      EVTEKLZPFWAVEWBVPPEACQAMRSVTETUAVHVTVOEVHVTAVQBULZGZWCHZIZVOVTVHWFVRVFVSV
      GWFVRVFIZWDVSVGIWEWGWDAVQBUBUCVQBUDUEUFUGWFVNWCBWFWCVMFVNWCGVLWFDWCVQBEUM
      UHVIWCUIVJWDVKWEVIWCAUJVIWCUKUNVCWCVMUOUPVQBUQURVDUSUTVEVPVNBDACQVAVB $.
  $}

  ${
    $d A x $.
    tc2.1 $e |- A e. _V $.
    $( A variant of the definition of the transitive closure function, using
       instead the smallest transitive set containing ` A ` as a member, gives
       almost the same set, except that ` A ` itself must be added because it
       is not usually a member of ` ( TC `` A ) ` (and it is never a member if
       ` A ` is well-founded).  (Contributed by Mario Carneiro,
       23-Jun-2013.) $)
    tc2 $p |- ( ( TC ` A ) u. { A } ) = |^| { x | ( A e. x /\ Tr x ) } $=
      ( ctc cfv cun wcel wtr wa cab cint wss wceq ax-mp eqsstri mpbi unssi cuni
      cvv df-tr csn cv tcvalg trss imdistanri ss2abi intss elintab simpl mpgbir
      wi snss snid elun2 uniun tctr unisn tcid ssun1 sstri mpbir fvex snex unex
      eleq2 treq anbi12d elab mpbir2an intss1 eqssi ) BDEZBUAZFZBAUBZGZVOHZIZAJ
      ZKZVLVMVTVLBVOLZVQIZAJZKZVTBSGZVLWDMCABSUCNVSWCLWDVTLVRWBAVQVPWAVOBUDUEUF
      VSWCUGNOBVTGZVMVTLWFVRVPUKAVRABCUHVPVQUIUJBVTCULPQVNVSGZVTVNLWGBVNGZVNHZB
      VMGWHBCUMBVMVLUNNWIVNRZVNLWJVLVNWJVLRZVMRZFVLVLVMUOWKWLVLVLHWKVLLBUPVLTPW
      LBVLBCUQWEBVLLCBSURNOQOVLVMUSUTVNTVAVRWHWIIAVNVLVMBDVBBVCVDVOVNMVPWHVQWIV
      OVNBVEVOVNVFVGVHVIVNVSVJNVK $.

    $( The transitive closure of a singleton.  Proof suggested by G&eacute;rard
       Lang.  (Contributed by Mario Carneiro, 4-Jun-2015.) $)
    tcsni $p |- ( TC ` { A } ) = ( ( TC ` A ) u. { A } ) $=
      ( vx cv wcel wtr wa cab cint csn wss ctc cfv cun snss anbi1i abbii inteqi
      tc2 cvv wceq snex tcvalg ax-mp 3eqtr4ri ) ACDZEZUFFZGZCHZIAJZUFKZUHGZCHZI
      ZALMUKNUKLMZUJUNUIUMCUGULUHAUFBOPQRCABSUKTEUPUOUAAUBCUKTUCUDUE $.

    $d B x $.
    $( The transitive closure function inherits the subset relation.
       (Contributed by Mario Carneiro, 23-Jun-2013.) $)
    tcss $p |- ( B C_ A -> ( TC ` B ) C_ ( TC ` A ) ) $=
      ( vx wss ctc cfv cv wtr wa cab cint cvv wcel wceq tcvalg syl sstr2 anim1d
      ssex ss2abdv intss ax-mp sseqtrrdi eqsstrd ) BAEZBFGZBDHZEZUHIZJZDKZLZAFG
      ZUFBMNUGUMOBACTDBMPQUFUMAUHEZUJJZDKZLZUNUFUQULEUMUREUFUPUKDUFUOUIUJBAUHRS
      UAUQULUBQAMNUNUROCDAMPUCUDUE $.

    $( The transitive closure function converts the element relation to the
       subset relation.  (Contributed by Mario Carneiro, 23-Jun-2013.) $)
    tcel $p |- ( B e. A -> ( TC ` B ) C_ ( TC ` A ) ) $=
      ( vx wcel ctc cfv cv wss wtr wa cab cint tcvalg wi ssel com12 syl6com cvv
      trss impd simpr jca2 ss2abdv intss syl wceq ax-mp sseqtrrdi eqsstrd ) BAE
      ZBFGBDHZIZULJZKZDLZMZAFGZDBANUKUQAULIZUNKZDLZMZURUKVAUPIUQVBIUKUTUODUKUTU
      MUNUKUSUNUMUSUKBULEZUNUMOAULBPUNVCUMULBTQRUAUSUNUBUCUDVAUPUEUFASEURVBUGCD
      ASNUHUIUJ $.
  $}

  $( The transitive closure function is idempotent.  (Contributed by Mario
     Carneiro, 23-Jun-2013.) $)
  tcidm $p |- ( TC ` ( TC ` A ) ) = ( TC ` A ) $=
    ( ctc cfv wss wtr ssid tctr cvv wcel wa fvex tcmin ax-mp mp2an tcid eqssi
    wi ) ABCZBCZRRRDZREZSRDZRFAGRHIZTUAJUBQABKZRRHLMNUCRSDUDRHOMP $.

  $( The transitive closure of the empty set.  (Contributed by Mario Carneiro,
     4-Jun-2015.) $)
  tc0 $p |- ( TC ` (/) ) = (/) $=
    ( c0 ctc cfv wss wtr ssid tr0 cvv wcel wa 0ex tcmin ax-mp mp2an 0ss eqssi
    wi ) ABCZAAADZAEZRADZAFGAHISTJUAQKAAHLMNROP $.

  $( The transitive closure is empty iff its argument is.  Proof suggested by
     G&eacute;rard Lang.  (Contributed by Mario Carneiro, 4-Jun-2015.) $)
  tc00 $p |- ( A e. V -> ( ( TC ` A ) = (/) <-> A = (/) ) ) $=
    ( wcel ctc cfv c0 wceq wss wi tcid sseq0 ex syl fveq2 tc0 eqtrdi impbid1 )
    ABCZADEZFGZAFGZRASHZTUAIABJUBTUAASKLMUASFDEFAFDNOPQ $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Well-Founded Induction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A b $.  $d B b c y $.  $d R b c $.  $d R y $.
    $( Every (possibly proper) subclass of a class ` A ` with a well-founded
       set-like relation ` R ` has a minimal element.  This is a very strong
       generalization of ~ tz6.26 and ~ tz7.5 .  (Contributed by Scott Fenton,
       4-Feb-2011.)  (Revised by Mario Carneiro, 26-Jun-2015.) $)
    frmin $p |- ( ( ( R Fr A /\ R Se A ) /\ ( B C_ A /\ B =/= (/) ) ) ->
                   E. y e. B Pred ( R , B , y ) = (/) ) $=
      ( vb vc wa wss c0 wne cv cpred wceq wrex wi wcel eqeq1d ex cvv syl wfr n0
      wse frss anim12d wex predeq3 rspcev adantl ctrpred setlikespec trpredpred
      sess2 ssn0 trpredss jctild adantr trpredex sseq1 neeq1 anbi12d rexeqbi1dv
      predeq2 imbi12d imbi2d wal dffr4 sylbi vtocl trpredtr imp syl2anc biimprd
      sp sspred reximdva ssrexv sylsyld sylan9r an31s pm2.61dne exlimdv syl6com
      syld syl5bi imp32 ) BDUAZBDUCZGZCBHZCIJZCDAKZLZIMZACNZWJWICDUAZCDUCZGZWKW
      OOWJWGWPWHWQCBDUDCBDUMUEWKEKZCPZEUFWRWOECUBWRWTWOEWRWTWOWRWTGWOCDWSLZIWTX
      AIMZWOOWRWTXBWOWNXBAWSCWLWSMWMXAICDWLWSUGQUHRUIWTWQWPXAIJZWOOWTWQGZWPGXCC
      DWSUJZCHZXEIJZGZWOXDXCXHOZWPXDXASPZXICDWSUKZXJXCXGXFXJXAXEHZXCXGOCSDWSULX
      LXCXGXAXEUNRTCSDWSUOZUPTUQWPXHXEDWLLZIMZAXENZXDWOWPFKZCHZXQIJZGZXQDWLLZIM
      ZAXQNZOZOWPXHXPOZOFXECDWSURXQXEMZYDYEWPYFXTXHYCXPYFXRXFXSXGXQXECUSXQXEIUT
      VAYBXOAXQXEYFYAXNIXQXEDWLVCQVBVDVEWPYDFVFYDFACDVGYDFVNVHVIXDXFXPWNAXENWOX
      DXJXFXKXMTZXDXOWNAXEXDWLXEPZGZWNXOYIWMXNIYIXFWMXEHZWMXNMXDXFYHYGUQXDYHYJC
      DWSWLVJVKCXEDWLVOVLQVMVPWNAXECVQVRVSWDVTWARWBWEWCWF $.
  $}

  ${
    $d A y $.  $d B y $.  $d R y $.
    $( A subclass of a well-founded class ` A ` with the property that whenever
       it contains all predecessors of an element of ` A ` it also contains
       that element, is equal to ` A ` .  Compare ~ wfi and ~ tfi , which are
       special cases of this theorem that do not require the axiom of infinity.
       (Contributed by Scott Fenton, 6-Feb-2011.)  (Revised by Mario Carneiro,
       26-Jun-2015.) $)
    frind $p |- ( ( ( R Fr A /\ R Se A ) /\ ( B C_ A /\
             A. y e. A ( Pred ( R , A , y ) C_ B -> y e. B ) ) ) -> A = B ) $=
      ( wa wss cpred wcel wn cdif c0 ssdif0 wceq anbi1i cin df-pred incom eqtri
      wrex bitri wfr wse cv wi wral wne necon3bbii difss frmin eldif anass ccnv
      ancom csn cima indif2 difeq1i 3eqtr4i eqeq1i bitr4i anbi2i 3bitri rexbii2
      rexanali sylib ex mpani syl5bi con4d imp adantrl simprl eqssd ) BDUABDUBE
      ZCBFZBDAUCZGZCFZVPCHZUDABUEZEEBCVNVTBCFZVOVNVTWAVNWAVTWAIBCJZKUFZVNVTIZWA
      WBKBCLUGVNWBBFZWCWDBCUHVNWEWCEZWDVNWFEWBDVPGZKMZAWBSZWDABWBDUIWIVRVSIZEZA
      BSWDWHWKAWBBVPWBHZWHEVPBHZWJEZWHEWMWJWHEZEWMWKEWLWNWHVPBCUJNWMWJWHUKWOWKW
      MWOWHWJEWKWJWHUMWHVRWJWHVQCJZKMVRWGWPKDULVPUNUOZWBOZWQBOZCJWGWPWQBCUPWGWB
      WQOWRWBDVPPWBWQQRVQWSCVQBWQOWSBDVPPBWQQRUQURUSVQCLUTNTVAVBVCVRVSABVDTVEVF
      VGVHVIVJVKVNVOVTVLVM $.
  $}

  ${
    $d A w y z $.  $d ph w z $.  $d R w y z $.
    frinsg.1 $e |- ( y e. A ->
                       ( A. z e. Pred ( R , A , y ) [. z / y ]. ph -> ph ) ) $.
    $( Well-Founded Induction Schema.  If a property passes from all elements
       less than ` y ` of a well-founded class ` A ` to ` y ` itself (induction
       hypothesis), then the property holds for all elements of ` A ` .
       Theorem 5.6(ii) of [Levy] p. 64.  (Contributed by Scott Fenton,
       7-Feb-2011.)  (Revised by Mario Carneiro, 26-Jun-2015.) $)
    frinsg $p |- ( ( R Fr A /\ R Se A ) -> A. y e. A ph ) $=
      ( vw wa wceq wral wss cv cpred wcel wi wsbc nfcv elrabsf nfsbc1v nfim wfr
      wse crab ssrab2 dfss3 simprbi ralimi sylbi nfralw predeq3 raleqdv sbceq1a
      nfv eleq1w imbi12d chvarfv syl5 anc2li syl6ibr frind mpanr12 rabid2 sylib
      rgen ) DEUADEUBHZDABDUCZIZABDJVEVFDKDEGLZMZVFKZVHVFNZOZGDJVGABDUDVLGDVHDN
      ZVJVMABVHPZHVKVMVJVNVJABCLZPZCVIJZVMVNVJVOVFNZCVIJVQCVIVFUEVRVPCVIVRVODNV
      PABVODBDQZRUFUGUHBLZDNZVPCDEVTMZJZAOZOVMVQVNOZOBGVMWEBVMBUMVQVNBVPBCVIBVI
      QABVOSUIABVHSTTVTVHIZWAVMWDWEBGDUNWFWCVQAVNWFVPCWBVIDEVTVHUJUKABVHULUOUOF
      UPUQURABVHDVSRUSVDGDVFEUTVAABDVBVC $.
  $}

  ${
    $d A y z $.  $d ph z $.  $d R y z $.
    frins.1 $e |- R Fr A $.
    frins.2 $e |- R Se A $.
    frins.3 $e |- ( y e. A ->
                      ( A. z e. Pred ( R , A , y ) [. z / y ]. ph -> ph ) ) $.
    $( Well-Founded Induction Schema.  If a property passes from all elements
       less than ` y ` of a well-founded class ` A ` to ` y ` itself (induction
       hypothesis), then the property holds for all elements of ` A ` .
       (Contributed by Scott Fenton, 6-Feb-2011.)  (Revised by Mario Carneiro,
       26-Jun-2015.) $)
    frins $p |- ( y e. A -> ph ) $=
      ( wfr wse wral frinsg mp2an rspec ) ABDDEIDEJABDKFGABCDEHLMN $.
  $}

  ${
    $d A y z $.  $d ph z $.  $d R y z $.
    frins2f.1 $e |- ( y e. A ->
                         ( A. z e. Pred ( R , A , y ) ps -> ph ) ) $.
    frins2f.2 $e |- F/ y ps $.
    frins2f.3 $e |- ( y = z -> ( ph <-> ps ) ) $.
    $( Well-Founded Induction schema, using implicit substitution.
       (Contributed by Scott Fenton, 7-Feb-2011.)  (Revised by Mario Carneiro,
       11-Dec-2016.) $)
    frins2f $p |- ( ( R Fr A /\ R Se A ) -> A. y e. A ph ) $=
      ( cv wsbc cpred wral wcel wsb sbsbc sbiev bitr3i ralbii syl5bi frinsg ) A
      CDEFACDJKZDEFCJZLZMBDUDMUCENAUBBDUDUBACDOBACDPABCDHIQRSGTUA $.
  $}

  ${
    $d A y z $.  $d ph z $.  $d R y z $.  $d ps y $.
    frins2.1 $e |- ( y e. A ->
                         ( A. z e. Pred ( R , A , y ) ps -> ph ) ) $.
    frins2.3 $e |- ( y = z -> ( ph <-> ps ) ) $.
    $( Well-Founded Induction schema, using implicit substitution.
       (Contributed by Scott Fenton, 8-Feb-2011.)  (Revised by Mario Carneiro,
       26-Jun-2015.) $)
    frins2 $p |- ( ( R Fr A /\ R Se A ) -> A. y e. A ph ) $=
      ( nfv frins2f ) ABCDEFGBCIHJ $.
  $}

  ${
    $d A y z $.  $d B y $.  $d ph z $.  $d ps y $.  $d ch y $.  $d R y z $.
    frins3.1 $e |- ( y = z -> ( ph <-> ps ) ) $.
    frins3.2 $e |- ( y = B -> ( ph <-> ch ) ) $.
    frins3.3 $e |- ( y e. A -> ( A. z e. Pred ( R , A , y ) ps -> ph ) ) $.
    $( Well-Founded Induction schema, using implicit substitution.
       (Contributed by Scott Fenton, 6-Feb-2011.)  (Revised by Mario Carneiro,
       26-Jun-2015.) $)
    frins3 $p |- ( ( ( R Fr A /\ R Se A ) /\ B e. A ) -> ch ) $=
      ( wfr wse wa wral wcel frins2 rspcv mpan9 ) FHLFHMNADFOGFPCABDEFHKIQACDGF
      JRS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Well-Founded Recursion
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A w y z $.  $d F w y z $.  $d G w y z $.  $d H w y z $.  $d R w y z $.
    $( Functions defined by well-founded recursion are identical up to
       relation, domain, and characteristic function.  General version of
       ~ frr3 .  (Contributed by Scott Fenton, 10-Feb-2011.)  (Revised by Mario
       Carneiro, 26-Jun-2015.) $)
    frr3g $p |- ( ( ( R Fr A /\ R Se A ) /\
                ( F Fn A /\
                A. y e. A ( F ` y ) = ( y H ( F |` Pred ( R , A , y ) ) ) ) /\
                ( G Fn A /\
                A. y e. A ( G ` y ) = ( y H ( G |` Pred ( R , A , y ) ) ) ) )
                   -> F = G ) $=
      ( vz vw wa wfn cv cfv cres co wceq wral wi fveq2 eqeq12d syl wfr wse wcel
      cpred w3a ra4v r19.26 anbi2i predeq3 reseq2d oveq12d anbi12d rspcva eqtr3
      id eqcomd ex expimpd wss wb predss fvreseq mpan2 biimpar syl11 expd com23
      oveq2d impd syl5bir a2d syl5 imbi2d frins2 rsp com3r an4s 3impib ralrimiv
      com12 eqid jctil eqfnfv2 ad2ant2r 3adant1 mpbird ) BCUABCUBIZDBJZAKZDLZWI
      DBCWIUDZMZFNZOZABPZIZEBJZWIELZWIEWKMZFNZOZABPZIZUEZDEOZBBOZGKZDLZXGELZOZG
      BPZIZXDXKXFXDXJGBWGWPXCXGBUCZXJQZWPXCIWGXNWHWQWOXBWGXNQWGXMWHWQIZWOXBIZIZ
      XJWGXQXJQZGBPXMXRQXRXQHKZDLZXSELZOZQZGHBCYCHBCXGUDZPXQYBHYDPZQXMXRXQYBHYD
      UFXMXQYEXJXQXOWNXAIZABPZIXMYEXJQZYGXPXOWNXAABUGUHXMXOYGYHXMYGXOYHXMYGXOYH
      QZXMYGIXHXGDYDMZFNZOZXIXGEYDMZFNZOZIZYIYFYPAXGBWIXGOZWNYLXAYOYQWJXHWMYKWI
      XGDRYQWIXGWLYJFYQUOZYQWKYDDBCWIXGUIZUJUKSYQWRXIWTYNWIXGERYQWIXGWSYMFYRYQW
      KYDEYSUJUKSULUMYPXOYEXJYNYKOZYPXJXOYEIZYTYLYOXJYTYLIZXHYNOZYOXJQUUBYNXHYN
      XHYKUNUPUUCYOXJXHXIYNUNUQTURUUAYKYNUUAYJYMXGFXOYJYMOZYEXOYDBUSUUDYEUTBCXG
      VAHBYDDEVBVCVDVHUPVEVFTUQVGVIVJVKVLXGXSOZXJYBXQUUEXHXTXIYAXGXSDRXGXSERSVM
      VNXRGBVOTVPVQVTVRVSBWAWBWPXCXEXLUTZWGWHWQUUFWOXBGBBDEWCWDWEWF $.
  $}

  ${
    frrlem15.1 $e |- B = { f | E. x ( f Fn x /\
                             ( x C_ A /\ A. y e. x Pred ( R , A , y ) C_ x ) /\
                             A. y e. x ( f ` y ) =
                                     ( y G ( f |` Pred ( R , A , y ) ) ) ) } $.
    frrlem15.2 $e |- F = frecs ( R , A , G ) $.

    $d A a f x y g h u v $.  $d R a f x y g h u v $.  $d G a f x y g h u v $.
    $d B a $.
    $( Lemma for general well-founded recursion.  Two acceptable functions are
       compatible.  (Contributed by Scott Fenton, 11-Sep-2023.) $)
    frrlem15 $p |- ( ( ( R Fr A /\ R Se A ) /\
      ( g e. B /\ h e. B ) ) -> ( ( x g u /\ x h v ) -> u = v ) ) $=
      ( va cv wbr wa cres wceq cdm cin wfr wse wcel weq vex breldm adantr elind
      adantl id brresi anbi12i an4 bitri syl21anbrc wfn cfv cpred co wral inss1
      wss frrlem3 sstrid ad2antrl simpll frss sylc simplr sess2 frrlem4 reseq2i
      wb incom fneq12 mp2an fveq1i predeq2 ax-mp reseq12i oveq2i eqeq12i sylibr
      raleqbii ancoms frr3g syl211anc breqd biimprd wfun wi frrlem2 funresd wal
      wrel dffun2 2sp sps simplbiim syl sylan2d syl5 ) APZDPZIPZQZXECPZJPZQZRZX
      EXFXGXGUAZXJUAZUBZSZQZXEXIXJXOSZQZRZEGUCZEGUDZRZXGFUEZXJFUEZRZRZDCUFZXLXE
      XOUEZYIXLXTXLXMXNXEXHXEXMUEXKXEXFXGAUGZDUGZUHUIXKXEXNUEXHXEXIXJYJCUGZUHUK
      UJZYMXLULXTYIXHRZYIXKRZRYIYIRXLRXQYNXSYOXOXEXFXGYKUMXOXEXIXJYLUMUNYIXHYIX
      KUOUPUQYGXSXEXIXPQZXQYHYGYPXSYGXPXRXEXIYGXOGUCZXOGUDZXPXOUROPZXPUSYSXPXOG
      YSUTZSLVATOXOVBRZXRXOURZYSXRUSZYSXRYTSZLVAZTZOXOVBZRZXPXRTYGXOEVDZYAYQYDU
      UIYCYEYDXOXMEXMXNVCABEFGHILMVEVFVGZYAYBYFVHXOEGVIVJYGUUIYBYRUUJYAYBYFVKXO
      EGVLVJYFUUAYCABEFGHIJLOMVMUKYFUUHYCYEYDUUHYEYDRXJXNXMUBZSZUUKURZYSUULUSZY
      SUULUUKGYSUTZSZLVAZTZOUUKVBZRUUHABEFGHJILOMVMUUBUUMUUGUUSXRUULTXOUUKTZUUB
      UUMVOXOUUKXJXMXNVPZVNZUVAXOUUKXRUULVQVRUUFUUROXOUUKUVAUUCUUNUUEUUQYSXRUUL
      UVBVSUUDUUPYSLXRUULYTUUOUVBUUTYTUUOTUVAXOUUKGYSVTWAWBWCWDWFUNWEWGUKOXOGXP
      XRLWHWIWJWKYGXPWLZXQYPRYHWMZYDUVCYCYEYDXOXGABEFGHILMWNWOVGUVCXPWQUVDCWPDW
      PZAWPUVDADCXPWRUVEUVDAUVDDCWSWTXAXBXCXD $.
  $}

  ${
    $d R w z $.  $d A w z $.
    $( Lemma for general well-founded recursion.  Establish a subset
       relationship.  (Contributed by Scott Fenton, 11-Sep-2023.) $)
    frrlem16 $p |- ( ( ( R Fr A /\ R Se A ) /\ z e. A ) ->
       A. w e. TrPred ( R , A , z )
       Pred ( R , A , w ) C_ TrPred ( R , A , z ) ) $=
      ( wfr wse wa cv wcel cpred ctrpred wss simplr simpllr simpr trpredtr sylc
      jca ralrimiva ) CDEZCDFZGZAHZCIZGZCDBHZJCDUCKZLZBUGUEUFUGIZGZUDUAGUIUHUJU
      DUAUBUDUIMTUAUDUINRUEUIOCDUCUFPQS $.
  $}

  ${
    $d F x y z u v a b c f g h $.  $d R x y z u v a b c f g h $.
    $d A x y z u v a b c f g h $.  $d G x y z u v a b c f g h $.
    frr.1 $e |- F = frecs ( R , A , G ) $.
    $( Law of general well-founded recursion, part one.  This theorem and the
       following two drop the partial order requirement from ~ fpr1 , ~ fpr2 ,
       and ~ fpr3 , which requires using the axiom of infinity (Contributed by
       Scott Fenton, 11-Sep-2023.) $)
    frr1 $p |- ( ( R Fr A /\ R Se A ) -> F Fn A ) $=
      ( vx vy vv vu va vb vc vf vg vh vz wa cv wss cvv wfr wfun wceq cpred wral
      wse cdm wfn cfv cres co w3a wex cab eqid frrlem1 frrlem15 frrlem9 ctrpred
      cop csn cun simpl wcel setlikespec ancoms adantll trpredpred syl frrlem16
      trpredex a1i trpredss cdif wne difss frmin mpanr1 frrlem14 df-fn sylanbrc
      c0 wrex ) ABUAZABUFZQZCUBCUGZAUCCAUHWFFGHIAJRZKRZUHWIASABLRZUDZWISLWIUEQW
      JWHUIWJWHWKUJDUKUCLWIUEULKUMJUNZBMNOCDKLFGAWLBJMDWLUOUPZEFGHIAWLBMNOCDWME
      UQZURWFFGPJHIAWLCABPRZUSZUJWOWOCABWOUDZUJDUKUTVAVBZBWPMNOCDWMEWNWRUOWDWEV
      CWFWOAVDZQZWQTVDZWQWPSWEWSXAWDWSWEXAABWOVEVFVGZATBWOVHVIPJABVJWPTVDWTABWO
      VKVLWTXAWPASXBATBWOVMVIWFAWGVNZASXCWBVOXCBWOUDWBUCPXCWCAWGVPPAXCBVQVRVSCA
      VTWA $.

    $d X x y z u v a b c f g h $.
    $( Law of general well-founded recursion, part two.  Now we establish the
       value of ` F ` within ` A ` .  (Contributed by Scott Fenton,
       11-Sep-2023.) $)
    frr2 $p |- ( ( ( R Fr A /\ R Se A ) /\ X e. A ) ->
      ( F ` X ) = ( X G ( F |` Pred ( R , A , X ) ) ) ) $=
      ( vy vx va vb vc vf wa wcel cfv cpred cres co wceq cv vv vu vg vh wfr wse
      cdm frr1 fndmd eleq2d pm5.32i wi fveq2 id predeq3 reseq2d oveq12d eqeq12d
      imbi2d wfn wss wral w3a wex eqid frrlem1 frrlem15 frrlem10 expcom vtoclga
      cab impcom sylbir ) ABUEABUFMZEANZMVNECUGZNZMECOZECABEPZQZDRZSZVNVQVOVNVP
      AEVNACABCDFUHUIUJUKVQVNWBVNGTZCOZWCCABWCPZQZDRZSZULVNWBULGEVPWCESZWHWBVNW
      IWDVRWGWAWCECUMWIWCEWFVTDWIUNWIWEVSCABWCEUOUPUQURUSVNWCVPNWHVNHGUAUBAITZJ
      TZUTWKAVAABKTZPZWKVAKWKVBMWLWJOWLWJWMQDRSKWKVBVCJVDIVKZBLUCUDCDJKHGAWNBIL
      DWNVEVFZFHGUAUBAWNBLUCUDCDWOFVGVHVIVJVLVM $.

    $d H z $.
    $( Law of general well-founded recursion, part three.  Finally, we show
       that ` F ` is unique.  We do this by showing that any function ` H `
       with the same properties we proved of ` F ` in ~ frr1 and ~ frr2 is
       identical to ` F ` .  (Contributed by Scott Fenton, 11-Sep-2023.) $)
    frr3 $p |- ( ( ( R Fr A /\ R Se A ) /\ ( H Fn A /\
    A. z e. A ( H ` z ) = ( z G ( H |` Pred ( R , A , z ) ) ) ) ) -> F = H ) $=
      ( wfr wse wa wfn cv cfv cpred cres co wceq wral simpl frr1 frr2 ralrimiva
      jca adantr simpr frr3g syl3anc ) BCHBCIJZFBKALZFMUIFBCUINZOEPQABRJZJUHDBK
      ZUIDMUIDUJOEPQZABRZJZUKDFQUHUKSUHUOUKUHULUNBCDEGTUHUMABBCDEUIGUAUBUCUDUHU
      KUEABCDFEUFUG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Rank
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c R1 $. $( Cumulative hierarchy of sets function $)
  $c rank $. $( Rank function $)

  $( Extend class definition to include the cumulative hierarchy of sets
     function. $)
  cr1 $a class R1 $.

  $( Extend class definition to include rank function. $)
  crnk $a class rank $.

  ${
    $d x y $.
    $( Define the cumulative hierarchy of sets function, using Takeuti and
       Zaring's notation ( ` R1 ` ).  Starting with the empty set, this
       function builds up layers of sets where the next layer is the power set
       of the previous layer (and the union of previous layers when the
       argument is a limit ordinal).  Using the Axiom of Regularity, we can
       show that any set whatsoever belongs to one of the layers of this
       hierarchy (see ~ tz9.13 ).  Our definition expresses Definition 9.9 of
       [TakeutiZaring] p. 76 in a closed form, from which we derive the
       recursive definition as Theorems ~ r10 , ~ r1suc , and ~ r1lim .
       Theorem ~ r1val1 shows a recursive definition that works for all values,
       and Theorems ~ r1val2 and ~ r1val3 show the value expressed in terms of
       rank.  Other notations for this function are _R_ with the argument as a
       subscript (Equation 3.1 of [BellMachover] p. 477), ` _V ` with a
       subscript (Definition of [Enderton] p. 202), _M_ with a subscript
       (Definition 15.19 of [Monk1] p. 113), the capital Greek letter psi
       (Definition of [Mendelson] p. 281), and bold-face R (Definition 2.1 of
       [Kunen] p. 95).  (Contributed by NM, 2-Sep-2003.) $)
    df-r1 $a |- R1 = rec ( ( x e. _V |-> ~P x ) , (/) ) $.

    $( Define the rank function.  See ~ rankval , ~ rankval2 , ~ rankval3 , or
       ~ rankval4 its value.  The rank is a kind of "inverse" of the cumulative
       hierarchy of sets function ` R1 ` : given a set, it returns an ordinal
       number telling us the smallest layer of the hierarchy to which the set
       belongs.  Based on Definition 9.14 of [TakeutiZaring] p. 79.  Theorem
       ~ rankid illustrates the "inverse" concept.  Another nice theorem
       showing the relationship is ~ rankr1a .  (Contributed by NM,
       11-Oct-2003.) $)
    df-rank $a |- rank = ( x e. _V |->
        |^| { y e. On | x e. ( R1 ` suc y ) } ) $.
  $}

  $( The cumulative hierarchy of sets function is a function on a limit
     ordinal.  (This weak form of ~ r1fnon avoids ~ ax-rep .)  (Contributed by
     Mario Carneiro, 16-Nov-2014.) $)
  r1funlim $p |- ( Fun R1 /\ Lim dom R1 ) $=
    ( vx cr1 wfun cdm wlim cvv cv cpw cmpt c0 crdg rdgfun df-r1 funeqi rdgdmlim
    mpbir wceq wb dmeqi limeq ax-mp pm3.2i ) BCZBDZEZUCAFAGHIZJKZCJUFLBUGAMZNPU
    EUGDZEZJUFOUDUIQUEUJRBUGUHSUDUITUAPUB $.

  $( The cumulative hierarchy of sets function is a function on the class of
     ordinal numbers.  (Contributed by NM, 5-Oct-2003.)  (Revised by Mario
     Carneiro, 10-Sep-2013.) $)
  r1fnon $p |- R1 Fn On $=
    ( vx cr1 con0 wfn cvv cv cpw cmpt c0 crdg rdgfnon df-r1 fneq1i mpbir ) BCDA
    EAFGHZIJZCDIOKCBPALMN $.

  $( Value of the cumulative hierarchy of sets function at ` (/) ` .  Part of
     Definition 9.9 of [TakeutiZaring] p. 76.  (Contributed by NM, 2-Sep-2003.)
     (Revised by Mario Carneiro, 10-Sep-2013.) $)
  r10 $p |- ( R1 ` (/) ) = (/) $=
    ( vx c0 cr1 cfv cvv cv cpw cmpt crdg df-r1 fveq1i 0ex rdg0 eqtri ) BCDBAEAF
    GHZBIZDBBCPAJKBOLMN $.

  ${
    $d x y A $.
    $( Value of the cumulative hierarchy of sets function at a successor
       ordinal.  Part of Definition 9.9 of [TakeutiZaring] p. 76.  (Contributed
       by Mario Carneiro, 16-Nov-2014.) $)
    r1sucg $p |- ( A e. dom R1 -> ( R1 ` suc A ) = ~P ( R1 ` A ) ) $=
      ( vx cr1 cdm wcel csuc cvv cv cpw cmpt crdg cfv wceq rdgsucg df-r1 eleq2s
      c0 dmeqi fveq1i fvex pweq eqid pwex fvmpt ax-mp fveq2i eqtr3i 3eqtr4g ) A
      CDZEAFZBGBHZIZJZQKZLZAUNLZUMLZUJCLACLZIZUOUQMAUNDUIQAUMNCUNBOZRPUJCUNUTSU
      RUMLZUSUQURGEVAUSMACTZBURULUSGUMUKURUAUMUBURVBUCUDUEURUPUMACUNUTSUFUGUH
      $.

    $( Value of the cumulative hierarchy of sets function at a successor
       ordinal.  Part of Definition 9.9 of [TakeutiZaring] p. 76.  (Contributed
       by NM, 2-Sep-2003.)  (Revised by Mario Carneiro, 10-Sep-2013.) $)
    r1suc $p |- ( A e. On -> ( R1 ` suc A ) = ~P ( R1 ` A ) ) $=
      ( csuc cr1 cfv cpw wceq cdm con0 r1sucg r1fnon fndmi eqcomi eleq2s ) ABCD
      ACDEFACGZHAINHHCJKLM $.

    $( Value of the cumulative hierarchy of sets function at a limit ordinal.
       Part of Definition 9.9 of [TakeutiZaring] p. 76.  (Contributed by Mario
       Carneiro, 16-Nov-2014.) $)
    r1limg $p |- ( ( A e. dom R1 /\ Lim A ) ->
      ( R1 ` A ) = U_ x e. A ( R1 ` x ) ) $=
      ( vy cr1 cdm wcel wlim wa cvv cv cpw cmpt c0 crdg cfv cima cuni ciun wceq
      df-r1 dmeqi eleq2i rdglimg sylanb fveq1i r1funlim simpli funiunfv imaeq1i
      wfun ax-mp unieqi eqtri 3eqtr4g ) BDEZFZBGZHBCICJKLZMNZOZUSBPZQZBDOABAJDO
      RZUPBUSEZFUQUTVBSUOVDBDUSCTZUAUBMBURUCUDBDUSVEUEVCDBPZQZVBDUJZVCVGSVHUOGU
      FUGABDUHUKVFVADUSBVEUIULUMUN $.

    $( Value of the cumulative hierarchy of sets function at a limit ordinal.
       Part of Definition 9.9 of [TakeutiZaring] p. 76.  (Contributed by NM,
       4-Oct-2003.)  (Revised by Mario Carneiro, 16-Nov-2014.) $)
    r1lim $p |- ( ( A e. B /\ Lim A ) -> ( R1 ` A ) = U_ x e. A ( R1 ` x ) ) $=
      ( wcel wlim cr1 cdm cfv cv ciun wceq wa con0 limelon wfn r1fnon eleqtrrdi
      fndm ax-mp r1limg sylancom ) BCDZBEZBFGZDBFHABAIFHJKUBUCLBMUDBCNFMOUDMKPM
      FRSQABTUA $.
  $}

  ${
    $d A n $.  $d m n $.
    $( The first ` _om ` levels of the cumulative hierarchy are all finite.
       (Contributed by Mario Carneiro, 15-May-2013.) $)
    r1fin $p |- ( A e. _om -> ( R1 ` A ) e. Fin ) $=
      ( vn vm cv cr1 cfv cfn wcel c0 csuc wceq fveq2 eleq1d r10 eqeltri com cpw
      0fin pwfi cdm wlim wss r1funlim simpri limomss ax-mp sseli r1sucg bitr4id
      wfun syl biimpd finds ) BDZEFZGHIEFZGHCDZEFZGHZUQJZEFZGHZAEFZGHBCAUNIKUOU
      PGUNIELMUNUQKUOURGUNUQELMUNUTKUOVAGUNUTELMUNAKUOVCGUNAELMUPIGNROUQPHZUSVB
      VDUSURQZGHVBURSVDVAVEGVDUQETZHVAVEKPVFUQVFUAZPVFUBEUJVGUCUDVFUEUFUGUQUHUK
      MUIULUM $.
  $}

  ${
    $d A x $.  $d B x y $.
    $( Each stage in the cumulative hierarchy is strictly larger than the last.
       (Contributed by Mario Carneiro, 19-Apr-2013.) $)
    r1sdom $p |- ( ( A e. On /\ B e. A ) -> ( R1 ` B ) ~< ( R1 ` A ) ) $=
      ( vx vy con0 wcel cr1 cfv csdm wbr cv wi c0 wceq eleq2 fveq2 imbi12d syl5
      breq2d cvv csuc noel pm2.21i wo elsuci sdomtr expcom cpw canth2 breqtrrid
      fvex r1suc syl11 imim2i breq1d syl5ibr a1i jaod com3r wlim wral wrex cuni
      limuni eleq2d eluni2 bitrdi wa r19.29 cdom wss ciun ssiun2 vex r1lim mpan
      sseq2d ssdomg mpsylsyld imp sdomdomtr syl6 rexlimdv expcomd sylbid tfinds
      id com23 ) AEFBAFZBGHZAGHZIJZBCKZFZWJWMGHZIJZLBMFZWJMGHZIJZLBDKZFZWJWTGHZ
      IJZLZBWTUAZFZWJXEGHZIJZLWIWLLCDAWMMNZWNWQWPWSWMMBOXIWOWRWJIWMMGPSQWMWTNZW
      NXAWPXCWMWTBOXJWOXBWJIWMWTGPSQWMXENZWNXFWPXHWMXEBOXKWOXGWJIWMXEGPSQWMANZW
      NWIWPWLWMABOXLWOWKWJIWMAGPSQWQWSBUBUCXDXFWTEFZXHXFXABWTNZUDXDXMXHLZBWTUEX
      DXAXOXNXCXOXAXBXGIJZXCXHXMXCXPXHWJXBXGUFUGXMXBXBUHXGIXBWTGUKUIWTULUJZUMUN
      XNXOLXDXMXHXNXPXQXNWJXBXGIBWTGPUOUPUQURRUSWMUTZWNXDDWMVAZWPXRWNXADWMVBZXS
      WPLXRWNBWMVCZFXTXRWMYABWMVDVEDBWMVFVGXRXSXTWPXSXTVHXDXAVHZDWMVBXRWPXDXADW
      MVIXRYBWPDWMXRWTWMFZXBWOVJJZYBWPLWOTFXRYCXBWOVKZYDWMGUKYCYEXRXBDWMXBVLZVK
      DWMXBVMXRWOYFXBWMTFXRWOYFNCVNDWMTVOVPVQUPXBWOTVRVSYBXCYDWPXDXAXCXDWGVTXCY
      DWPWJXBWOWAUGRWBWCRWDWEWHWFVT $.
  $}

  ${
    $d x y $.
    $( The cumulative hierarchy is a one-to-one function.  (Contributed by
       Mario Carneiro, 19-Apr-2013.) $)
    r111 $p |- R1 : On -1-1-> _V $=
      ( vx vy con0 cvv cr1 cv cfv wi wral wcel wa wel word eloni w3a wbr r1sdom
      csdm syl5ibcom mtoi wf1 wf wceq weq wfn r1fnon dffn2 w3o ordtri3or syl2an
      mpbi wn sdomirr breq1 3adant1 pm2.21d 3expia ax-1 a1i breq2 3adant2 3jaod
      mpd rgen2 dff13 mpbir2an ) CDEUACDEUBZAFZEGZBFZEGZUCZABUDZHZBCIACIECUEVGU
      FCEUGUKVNABCCVHCJZVJCJZKZABLZVMBALZUHZVNVOVHMVJMVTVPVHNVJNVHVJUIUJVQVRVNV
      MVSVOVPVRVNVOVPVROVLVMVPVRVLULZVOVPVRKZVLVKVKRPZVKUMZWBVIVKRPVLWCVJVHQVIV
      KVKRUNSTUOUPUQVMVNHVQVMVLURUSVOVPVSVNVOVPVSOVLVMVOVSWAVPVOVSKZVLWCWDWEVKV
      IRPVLWCVHVJQVIVKVKRUTSTVAUPUQVBVCVDABCDEVEVF $.
  $}

  ${
    $d x y A $.
    $( The cumulative hierarchy of sets is transitive.  Lemma 7T of [Enderton]
       p. 202.  (Contributed by NM, 8-Sep-2003.)  (Revised by Mario Carneiro,
       16-Nov-2014.) $)
    r1tr $p |- Tr ( R1 ` A ) $=
      ( vx vy cr1 wcel cfv wtr con0 wlim c0 wceq wb fveq2 treq syl tr0 wa ndmfv
      wn mpbiri cdm word wfun r1funlim simpri limord ordsson mp2b sseli cv csuc
      wss r10 eqtrdi limsuc ax-mp simpr pwtr r1sucg syl5ibrcom syl5bir pm2.61d1
      cpw sylib wral ciun triun r1limg ancoms syl5ibr impancom tfinds pm2.61i
      ex ) ADUAZEZADFZGZVPAHEVRVOHAVOIZVOUBVOHULDUCVSUDUEZVOUFVOUGUHUIBUJZDFZGZ
      JGZCUJZDFZGZWEUKZDFZGZVRBCAWAJKZWBJKZWCWDLZWKWBJDFJWAJDMUMUNWBJNZOWAWEKWB
      WFKWCWGLWAWEDMWBWFNOWAWHKWBWIKWCWJLWAWHDMWBWINOWAAKWBVQKWCVRLWAADMWBVQNOP
      WEHEZWGWJWOWGQZWHVOEZWJWQWEVOEZWPWJVSWRWQLVTVOWEUOUPWPWJWRWFVCZGZWPWGWTWO
      WGUQWFURVDWRWIWSKWJWTLWEUSWIWSNOUTVAWQSZWJWDPXAWIJKWJWDLWHDRWIJNOTVBVNWAI
      ZWGCWAVEZWCXBXCQWAVOEZWCXBXDXCWCXCWCXBXDQZCWAWFVFZGZCWAWFVGXEWBXFKZWCXGLX
      DXBXHCWAVHVIWBXFNOVJVKXDSZWCWDPXIWLWMWADRWNOTVBVNVLOVPSZVRWDPXJVQJKVRWDLA
      DRVQJNOTVM $.
  $}

  $( The union of a cumulative hierarchy of sets at ordinal ` A ` is a subset
     of the hierarchy at ` A ` .  JFM CLASSES1 th. 40.  (Contributed by FL,
     20-Apr-2011.) $)
  r1tr2 $p |- U. ( R1 ` A ) C_ ( R1 ` A ) $=
    ( cr1 cfv wtr cuni wss r1tr df-tr mpbi ) ABCZDJEJFAGJHI $.

  ${
    $d x y A $.  $d x B $.
    $( Ordering relation for the cumulative hierarchy of sets.  Part of
       Proposition 9.10(2) of [TakeutiZaring] p. 77.  (Contributed by NM,
       8-Sep-2003.) $)
    r1ordg $p |- ( B e. dom R1 -> ( A e. B -> ( R1 ` A ) e. ( R1 ` B ) ) ) $=
      ( vy cr1 wcel cfv wa con0 wss word ax-mp syl wi wceq eleq1 eleq2d imbi12d
      fveq2 wb syl2anc vx cdm csuc simpl wlim wfun r1funlim simpri limord sseli
      ordsson onelon sylan suceloni ordsucss imp cv cpw fvex pwid limsuc r1sucg
      eloni sylbir eleqtrrid a1i wtr r1tr dftr4 mpbi sseqtrrid a2i syl5bir wral
      sseld ciun wrex simprl simplr sucelon sylibr ad2antrr mpbird mpbid simprr
      ordelsuc ordtr1 rspcev eliun simpll r1limg eleqtrrd expr a1d tfindsg impr
      syl22anc ex ) BDUBZEZABEZADFZBDFZEZWTXAGZBHEZAUCZHEZXGBIZWTXDXEWTXFWTXAUD
      ZWSHBWSJZWSHIWSUEZXKDUFXLUGUHZWSUIKZWSUKKUJZLXEAHEZXHWTXFXAXPXOBAULUMAUNL
      WTXFXAXIXOXFXAXIXFBJXAXIMBVCABUOLUPUMXJXFXHGXIWTXDUAUQZWSEZXBXQDFZEZMZXGW
      SEZXBXGDFZEZMZCUQZWSEZXBYFDFZEZMZYFUCZWSEZXBYKDFZEZMZWTXDMUACBXGXQXGNZXRY
      BXTYDXQXGWSOYPXSYCXBXQXGDRPQXQYFNZXRYGXTYIXQYFWSOYQXSYHXBXQYFDRPQXQYKNZXR
      YLXTYNXQYKWSOYRXSYMXBXQYKDRPQXQBNZXRWTXTXDXQBWSOYSXSXCXBXQBDRPQYEXHYBXBXB
      URZYCXBADUSUTZYBAWSEZYCYTNZXLUUBYBSXMWSAVAKAVBZVDVEVFYJYOMYFHEXHGXGYFIZGY
      LYGYJYNXLYGYLSXMWSYFVAKYGYIYNYGYHYMXBYGYHURZYHYMYHVGYHUUFIYFVHYHVIVJYFVBV
      KVOVLVMVFXQUEZXHGZXGXQIZGYAUUEYJMCXQVNUUHUUIXRXTUUHUUIXRGZGZXBCXQYHVPZXSU
      UKYICXQVQZXBUULEUUKXGXQEZYDUUMUUKAXQEZUUNUUKUUOUUIUUHUUIXRVRUUKXPXQJZUUOU
      UISUUKXHXPUUGXHUUJVSAVTWAUUGUUPXHUUJXQUIWBAXQHWFTWCZUUGUUOUUNSXHUUJXQAVAW
      BWDUUKXBYTYCUUAUUKUUBUUCUUKUUOXRUUBUUQUUHUUIXRWEZXKUUOXRGUUBMXNAXQWSWGKTU
      UDLVEYIYDCXGXQYFXGNYHYCXBYFXGDRPWHTCXBXQYHWIWAUUKXRUUGXSUULNUURUUGXHUUJWJ
      CXQWKTWLWMWNWOWPWQWR $.
  $}

  $( Ordering relation for the cumulative hierarchy of sets.  Part of Theorem
     3.3(i) of [BellMachover] p. 478.  (Contributed by NM, 22-Sep-2003.) $)
  r1ord3g $p |- ( ( A e. dom R1 /\ B e. dom R1 ) -> ( A C_ B ->
               ( R1 ` A ) C_ ( R1 ` B ) ) ) $=
    ( cr1 cdm wcel wa wss wceq wo con0 wb wlim word wfun r1funlim simpri limord
    cfv sseli wi ordsson mp2b onsseleq syl2an r1tr r1ordg adantl trss mpsylsyld
    wtr fveq2 eqimss syl a1i jaod sylbid ) ACDZEZBUQEZFZABGZABEZABHZIZACRZBCRZG
    ZURAJEBJEVAVDKUSUQJAUQLZUQMUQJGCNVHOPUQQUQUAUBZSUQJBVISABUCUDUTVBVGVCVFUJUT
    VBVEVFEZVGBUEUSVBVJTURABUFUGVFVEUHUIVCVGTUTVCVEVFHVGABCUKVEVFULUMUNUOUP $.

  $( Ordering relation for the cumulative hierarchy of sets.  Part of
     Proposition 9.10(2) of [TakeutiZaring] p. 77.  (Contributed by NM,
     8-Sep-2003.)  (Revised by Mario Carneiro, 16-Nov-2014.) $)
  r1ord $p |- ( B e. On -> ( A e. B -> ( R1 ` A ) e. ( R1 ` B ) ) ) $=
    ( con0 wcel cr1 cdm cfv wi r1fnon fndmi eleq2i r1ordg sylbir ) BCDBEFZDABDA
    EGBEGDHNCBCEIJKABLM $.

  $( Ordering relation for the cumulative hierarchy of sets.  Part of
     Proposition 9.10(2) of [TakeutiZaring] p. 77.  (Contributed by NM,
     22-Sep-2003.) $)
  r1ord2 $p |- ( B e. On -> ( A e. B -> ( R1 ` A ) C_ ( R1 ` B ) ) ) $=
    ( cr1 cfv wtr con0 wcel wss r1tr r1ord trss mpsylsyld ) BCDZEBFGABGACDZMGNM
    HBIABJMNKL $.

  $( Ordering relation for the cumulative hierarchy of sets.  Part of Theorem
     3.3(i) of [BellMachover] p. 478.  (Contributed by NM, 22-Sep-2003.) $)
  r1ord3 $p |- ( ( A e. On /\ B e. On ) -> ( A C_ B ->
               ( R1 ` A ) C_ ( R1 ` B ) ) ) $=
    ( con0 wcel cr1 cdm wss cfv wi r1fnon fndmi eleq2i r1ord3g syl2anbr ) ACDAE
    FZDBODABGAEHBEHGIBCDOCACEJKZLOCBPLABMN $.

  $( The value of the cumulative hierarchy of sets function is a subset of its
     value at the successor.  JFM CLASSES1 Th. 39.  (Contributed by FL,
     20-Apr-2011.) $)
  r1sssuc $p |- ( A e. On -> ( R1 ` A ) C_ ( R1 ` suc A ) ) $=
    ( con0 wcel cr1 cfv cpw csuc wtr wss r1tr dftr4 mpbi r1suc sseqtrrid ) ABCA
    DEZFZOAGDEOHOPIAJOKLAMN $.

  ${
    $d x y A $.  $d x y B $.
    $( Each set of the cumulative hierarchy is closed under subsets.
       (Contributed by Mario Carneiro, 16-Nov-2014.) $)
    r1pwss $p |- ( A e. ( R1 ` B ) -> ~P A C_ ( R1 ` B ) ) $=
      ( vx vy cr1 cfv wcel c0 wceq con0 wa cpw wss ax-mp sylib wb limsuc sylibr
      wrex syl cv csuc cvv wlim w3o cdm word wfun r1funlim simpri limord elfvdm
      ordsson sselid onzsl noel fveq2 eqtrdi eleq2d biimpcd pm2.21d simpl simpr
      mtoi fveq2d adantr eqeltrrd r1sucg eqtrd eleqtrd elpwi sspw 3syl sseqtrrd
      r10 ex rexlimdvw wtr r1tr r1limg sylan eliun simprl ad2antlr mpbid simprr
      ciun trss mpsyl ad2antrr wi ordtr1 syl2anc fvex eleqtrrd rspcev rexlimddv
      elpw2 adantld 3jaod mpd ) ABEFZGZBHIZBCUAZUBZIZCJSZBUCGZBUDZKZUEZALZXBMZX
      CBJGXLXCEUFZJBXOUGZXOJMXOUDZXPEUHXQUIUJZXOUKNZXOUMNABEULZUNCBUOOXCXDXNXHX
      KXCXDXNXCXDAHGZAUPXDXCYAXDXBHAXDXBHEFHBHEUQVOURUSUTVDVAXCXGXNCJXCXGXNXCXG
      KZXMXEEFZLZXBYBAYDGAYCMZXMYDMZYBAXBYDXCXGVBYBXBXFEFZYDYBBXFEXCXGVCZVEYBXE
      XOGZYGYDIZYBXFXOGZYIYBBXFXOYHXCBXOGZXGXTVFVGXQYIYKPXRXOXEQNZRXEVHZTVIZVJA
      YCVKAYCVLZVMYOVNVPVQXCXJXNXIXCXJXNXBVRXCXJKZXMXBGXNBVSYQXMDBDUAZEFZWGZXBY
      QXMYSGZDBSZXMYTGYQAYCGZUUBCBYQACBYCWGZGUUCCBSYQAXBUUDXCXJVBXCYLXJXBUUDIXT
      CBVTWAVJCABYCWBOYQXEBGZUUCKZKZXFUBZBGZXMUUHEFZGZUUBUUGXFBGZUUIUUGUUEUULYQ
      UUEUUCWCZXJUUEUULPXCUUFBXEQWDWEXJUULUUIPXCUUFBXFQWDWEUUGXMYGLZUUJUUGXMYGM
      XMUUNGUUGXMYDYGUUGYEYFYCVRUUGUUCYEXEVSYQUUEUUCWFYCAWHWIYPTUUGYIYJUUGUUEYL
      YIUUMXCYLXJUUFXTWJXPUUEYLKYIWKXSXEBXOWLNWMZYNTVNXMYGXFEWNWRRUUGYKUUJUUNIU
      UGYIYKUUOYMOXFVHTWOUUAUUKDUUHBYRUUHIYSUUJXMYRUUHEUQUSWPWMWQDXMBYSWBRXCYLX
      JXBYTIXTDBVTWAWOXBXMWHWIVPWSWTXA $.
  $}

  $( Each set of the cumulative hierarchy is closed under subsets.
     (Contributed by Mario Carneiro, 16-Nov-2014.) $)
  r1sscl $p |- ( ( A e. ( R1 ` B ) /\ C C_ A ) -> C e. ( R1 ` B ) ) $=
    ( cr1 cfv wcel wss wa cpw r1pwss adantr elpw2g biimpar sseldd ) ABDEZFZCAGZ
    HAIZOCPROGQABJKPCRFQCAOLMN $.

  ${
    $d x A $.
    $( The value of the cumulative hierarchy of sets function expressed
       recursively.  Theorem 7Q of [Enderton] p. 202.  (Contributed by NM,
       25-Nov-2003.)  (Revised by Mario Carneiro, 17-Nov-2014.) $)
    r1val1 $p |- ( A e. dom R1 -> ( R1 ` A ) = U_ x e. A ~P ( R1 ` x ) ) $=
      ( cr1 wcel cfv ciun c0 wceq wss con0 wa simpr fveq2d a1i eqsstrd wi ax-mp
      wlim wb syl cdm cv cpw csuc wrex cvv r10 eqtrdi 0ss nfcv nfiu1 nfss eleq1
      nfv biimpac wfun r1funlim simpri limsuc sylibr r1sucg eqtrd vex eleqtrrid
      sucid ssiun2 ex a1d rexlimd imp r1limg wral wtr r1tr dftr4 mpbi ralrimivw
      ss2iun adantrl w3o word limord ordsson sseli onzsl sylib mpjao3dan ordtr1
      ancoms ordelord mpan adantr ordelsuc syl2anc mpbid simpl r1ord3g eqsstrrd
      mpd ralrimiva iunss eqssd ) BCUAZDZBCEZABAUBZCEZUCZFZXDBGHZXEXIIZBXFUDZHZ
      AJUEZBUFDZBRZKZXDXJKZXEGXIXRXEGCEGXRBGCXDXJLMUGUHGXIIXRXIUINOXDXNXKXDXMXK
      AJXDAUNAXEXIAXEUJABXHUKULXDXMXKPXFJDXDXMXKXDXMKZXEXHXIXSXEXLCEZXHXSBXLCXD
      XMLZMXSXFXCDZXTXHHZXSXLXCDZYBXMXDYDBXLXCUMUOXCRZYBYDSCUPYEUQURZXCXFUSQZUT
      XFVAZTVBXSXFBDZXHXIIXSXFXLBXFAVCVEYAVDABXHVFTOVGVHVIVJXDXPXKXOXDXPKZXEABX
      GFZXIABVKYJXGXHIZABVLYKXIIYJYLABYLYJXGVMYLXFVNXGVOVPNVQABXGXHVRTOVSXDBJDX
      JXNXQVTXCJBXCWAZXCJIYEYMYFXCWBQZXCWCQWDABWEWFWGXDXHXEIZABVLXIXEIXDYOABXDY
      IKZXHXTXEYPYBYCYIXDYBYMYIXDKYBPYNXFBXCWHQWIZYHTYPXLBIZXTXEIZYPYIYRXDYILZY
      PYIBWAZYIYRSYTXDUUAYIYMXDUUAYNXCBWJWKWLXFBBWMWNWOYPYDXDYRYSPYPYBYDYQYGWFX
      DYIWPXLBWQWNWSWRWTABXHXEXAUTXB $.
  $}

  ${
    $d x y z v A $.  $d x y F $.
    tz9.12lem.1 $e |- A e. _V $.
    tz9.12lem.2 $e |- F = ( z e. _V |-> |^| { v e. On | z e. ( R1 ` v ) } ) $.
    $( Lemma for ~ tz9.12 .  (Contributed by NM, 22-Sep-2003.)  (Revised by
       Mario Carneiro, 11-Sep-2015.) $)
    tz9.12lem1 $p |- ( F " A ) C_ On $=
      ( vx cima crn con0 imassrn cv cr1 cfv wcel crab cint wceq cvv wrex cab id
      rnmpt wss c0 wne ssrab2 eqvisset sylibr oninton sylancr eqeltrd rexlimivw
      intex abssi eqsstri sstri ) DCHDIZJDCKURGLZALBLMNOZBJPZQZRZASTZGUAJAGSVBD
      FUCVDGJVCUSJOASVCUSVBJVCUBVCVAJUDVAUEUFZVBJOUTBJUGVCVBSOVEGVBUHVAUNUIVAUJ
      UKULUMUOUPUQ $.

    $( Lemma for ~ tz9.12 .  (Contributed by NM, 22-Sep-2003.) $)
    tz9.12lem2 $p |- suc U. ( F " A ) e. On $=
      ( cima cuni con0 wss wcel tz9.12lem1 wfun cvv cv cr1 cfv crab cint ax-mp
      funmpt2 funimaex ssonunii onsuci ) DCGZHZUEIJUFIKABCDEFLUEDMUENKANAOBOPQK
      BIRSDFUADCEUBTUCTUD $.

    $( Lemma for ~ tz9.12 .  (Contributed by NM, 22-Sep-2003.)  (Revised by
       Mario Carneiro, 11-Sep-2015.) $)
    tz9.12lem3 $p |- ( A. x e. A E. y e. On x e. ( R1 ` y ) ->
                    A e. ( R1 ` suc suc U. ( F " A ) ) ) $=
      ( cv cr1 cfv wcel con0 wrex wral csuc wss cvv wceq sylibr cima cuni wa wi
      wfun cdm crab funmpt2 c0 wne fveq2 eleq2d rspcev rabn0 intex sylib eleq1w
      cint vex rabbidv inteqd eleq1d elrab2 mpbiran funfvima sylancr tz9.12lem2
      dmmpt tz9.12lem1 onsucuni ax-mp sseli r1ord2 mpsyl syl6 fvmptg mpan sylbi
      imp ssrab2 onint eqeltrd cbvrabv simprbi 3syl adantr exp31 com3r rexlimdv
      sseldd ralimia cpw r1suc eleq2i elpw dfss3 3bitri ) AIZBIZJKZLZBMNZAEOWRF
      EUAZUBPZJKZLZAEOZEXDPJKZLZXBXFAEWRELZXAXFBMWSMLZXAXJXFXKXAXJXFXKXAUCZXJUC
      WRFKZJKZXEWRXLXJXNXEQZXLXJXMXCLZXOXLFUEWRFUFZLZXJXPUDCRCIZDIZJKZLZDMUGZUR
      ZFHUHXLWRYALZDMUGZURZRLZXRXLYFUIUJZYHXLYEDMNYIYEXADWSMXTWSSYAWTWRXTWSJUKU
      LZUMYEDMUNTZYFUOZUPXRWRRLZYHAUSZYDRLYHCWRRXQXSWRSZYDYGRYOYCYFYOYBYEDMCAYA
      UQUTVAZVBCRYDFHVHVCVDTEWRFVEVFXDMLZXPXMXDLXOCDEFGHVGZXCXDXMXCMQXCXDQCDEFG
      HVIXCVJVKVLXMXDVMVNVOVSXLWRXNLZXJXLYIXMYFLZYSYKYIXMYGYFYIYHXMYGSZYLYMYHUU
      AYNCWRYDYGRRFYPHVPVQVRYFMQYIYGYFLYEDMVTYFWAVQWBYTXMMLYSXAYSBXMMYFWSXMSWTX
      NWRWSXMJUKULYEXADBMYJWCVCWDWEWFWJWGWHWIWKXIEXEWLZLEXEQXGXHUUBEYQXHUUBSYRX
      DWMVKWNEXEGWOAEXEWPWQT $.
  $}

  ${
    $d x y z v A $.
    tz9.12.1 $e |- A e. _V $.
    $( A set is well-founded if all of its elements are well-founded.
       Proposition 9.12 of [TakeutiZaring] p. 78.  The main proof consists of
       ~ tz9.12lem1 through ~ tz9.12lem3 .  (Contributed by NM,
       22-Sep-2003.) $)
    tz9.12 $p |- ( A. x e. A E. y e. On x e. ( R1 ` y ) ->
              E. y e. On A e. ( R1 ` y ) ) $=
      ( vz vv cv cr1 cfv wcel con0 wrex wral cvv crab cint cmpt cima cuni csuc
      eqid tz9.12lem2 onsuci tz9.12lem3 wceq fveq2 eleq2d rspcev sylancr ) AGBG
      ZHIZJBKLACMENEGFGHIJFKOPQZCRSTZTZKJCUNHIZJZCUKJZBKLUMEFCULDULUAZUBUCABEFC
      ULDURUDUQUPBUNKUJUNUEUKUOCUJUNHUFUGUHUI $.
  $}

  ${
    $d x y z w A $.
    tz9.13.1 $e |- A e. _V $.
    $( Every set is well-founded, assuming the Axiom of Regularity.  In other
       words, every set belongs to a layer of the cumulative hierarchy of sets.
       Proposition 9.13 of [TakeutiZaring] p. 78.  (Contributed by NM,
       23-Sep-2003.) $)
    tz9.13 $p |- E. x e. On A e. ( R1 ` x ) $=
      ( vy vz vw cr1 cfv wcel con0 wrex cab cvv wss wceq vex eleq1 rexbidv elab
      cv setind wral ssel syl6ib ralrimiv tz9.12 syl sylibr mpg eleqtrri mpbi
      wi ) BDTZATGHZIZAJKZDLZIBUNIZAJKZBMUQCETZUQNZUTUQIZULUQMOEEUQUAVAUTUNIZAJ
      KZVBVAFTZUNIZAJKZFUTUBVDVAVGFUTVAVEUTIVEUQIVGUTUQVEUCUPVGDVEFPUMVEOUOVFAJ
      UMVEUNQRSUDUEFAUTEPZUFUGUPVDDUTVHUMUTOUOVCAJUMUTUNQRSUHUIUJUPUSDBCUMBOUOU
      RAJUMBUNQRSUK $.
  $}

  ${
    $d x y A $.
    $( Every set is well-founded, assuming the Axiom of Regularity.
       Proposition 9.13 of [TakeutiZaring] p. 78.  This variant of ~ tz9.13
       expresses the class existence requirement as an antecedent.
       (Contributed by NM, 4-Oct-2003.) $)
    tz9.13g $p |- ( A e. V -> E. x e. On A e. ( R1 ` x ) ) $=
      ( vy cv cr1 cfv wcel con0 wrex wceq eleq1 rexbidv vex tz9.13 vtoclg ) DEZ
      AEFGZHZAIJBRHZAIJDBCQBKSTAIQBRLMAQDNOP $.
  $}

  ${
    $d A x y $.
    $( Two ways of saying a set is well-founded.  (Contributed by NM,
       11-Oct-2003.)  (Revised by Mario Carneiro, 16-Nov-2014.) $)
    rankwflemb $p |- ( A e. U. ( R1 " On ) <->
        E. x e. On A e. ( R1 ` suc x ) ) $=
      ( vy cr1 con0 cima cuni wcel cv csuc cfv wrex wa wceq wi wss ax-mp elfvdm
      r1funlim crn wex eluni eleq2 biimprcd cpw wtr r1tr trss mpbird cdm r1sucg
      elpwg syl eleqtrrd a1i syl9 reximdvai wfun wlim simpli fvelima mpan impel
      exlimiv fvelrn sylancr cres df-ima wrel funrel word simpri limord ordsson
      sylbi relssres mp2an rneqi eqtri eleqtrrdi elunii mpdan rexlimivw impbii
      mp2b ) BDEFZGHZBAIZJZDKZHZAELZWGBCIZHZWMWFHZMZCUAWLCBWFUBWPWLCWNWHDKZWMNZ
      AELZWLWOWNWRWKAEWNWRBWQHZWHEHZWKWRWTWNWQWMBUCUDWTWKOXAWTBWQUEZWJWTBXBHBWQ
      PZWQUFWTXCOWHUGWQBUHQBWQWQULUIWTWHDUJZHWJXBNBWHDRWHUKUMUNUOUPUQDURZWOWSXE
      XDUSZSUTZAWMEDVAVBVCVDVOWKWGAEWKWJWFHWGWKWJDTZWFWKXEWIXDHWJXHHXGBWIDRWIDV
      EVFWFDEVGZTXHDEVHXIDDVIZXDEPZXIDNXEXJXGDVJQXFXDVKXKXEXFSVLXDVMXDVNWEDEVPV
      QVRVSVTBWJWFWAWBWCWD $.
  $}

  ${
    $d x y z $.
    $( The domain and range of the ` rank ` function.  (Contributed by Mario
       Carneiro, 28-May-2013.)  (Revised by Mario Carneiro, 12-Sep-2013.) $)
    rankf $p |- rank : U. ( R1 " On ) --> On $=
      ( vx vy vz cr1 con0 cima cuni crnk wf wfn cv cfv wcel wceq eqtri mpbir2an
      cdm cvv mpan sylbi wral wfun csuc crab cint df-rank copab cmpt mptv dmeqi
      funmpt2 wex dmopab wb abeq1 wrex rankwflemb intexrab isset 3bitrri mpgbir
      cab df-fn c0 wne rabn0 bitr4i intex vex fvmpt2 wss ssrab2 oninton eqeltrd
      rgen ffnfv ) DEFGZEHIHVQJZAKZHLZEMZAVQUAVRHUBHQZVQNARVSBKUCDLMZBEUDZUEZHA
      BUFZUKWBCKWENZACUGZQZVQHWHHARWEUHWHWFACWEUIOUJWIWGCULZAVBZVQWGACUMWKVQNWJ
      VSVQMZUNAWJAVQUOWLWCBEUPZWERMZWJBVSUQZWCBEURCWEUSUTVAOOHVQVCPWAAVQWLWDVDV
      EZWAWLWMWPWOWCBEVFVGWPVTWEEWPWNVTWENZWDVHVSRMWNWQAVIARWERHWFVJSTWDEVKWPWE
      EMWCBEVLWDVMSVNTVOAVQEHVPP $.
  $}

  $( The rank of a set is an ordinal number.  Proposition 9.15(1) of
     [TakeutiZaring] p. 79.  (Contributed by NM, 5-Oct-2003.)  (Revised by
     Mario Carneiro, 12-Sep-2013.) $)
  rankon $p |- ( rank ` A ) e. On $=
    ( cr1 con0 cima cuni crnk rankf 0elon f0cli ) BCDECAFGHI $.

  ${
    $d A x $.  $d B x $.
    $( Any member of the cumulative hierarchy is well-founded.  (Contributed by
       Mario Carneiro, 28-May-2013.)  (Revised by Mario Carneiro,
       16-Nov-2014.) $)
    r1elwf $p |- ( A e. ( R1 ` B ) -> A e. U. ( R1 " On ) ) $=
      ( vx cr1 cfv wcel cv csuc con0 wrex cima cuni cdm wlim word wfun r1funlim
      wss simpri wceq limord ordsson mp2b elfvdm sselid cpw wtr r1tr trss ax-mp
      wi elpwg mpbird r1sucg syl eleqtrrd suceq fveq2d eleq2d rspcev rankwflemb
      syl2anc sylibr ) ABDEZFZACGZHZDEZFZCIJZADIKLFVEBIFABHZDEZFZVJVEDMZIBVNNZV
      NOVNIRDPVOQSVNUAVNUBUCABDUDZUEVEAVDUFZVLVEAVQFAVDRZVDUGVEVRUKBUHVDAUIUJAV
      DVDULUMVEBVNFVLVQTVPBUNUOUPVIVMCBIVFBTZVHVLAVSVGVKDVFBUQURUSUTVBCAVAVC $.
  $}

  ${
    $d A x y $.
    $( Value of the rank function.  Definition 9.14 of [TakeutiZaring] p. 79
       (proved as a theorem from our definition).  This variant of ~ rankval
       does not use Regularity, and so requires the assumption that ` A ` is in
       the range of ` R1 ` .  (Contributed by NM, 11-Oct-2003.)  (Revised by
       Mario Carneiro, 10-Sep-2013.) $)
    rankvalb $p |- ( A e. U. ( R1 " On ) ->
        ( rank ` A ) = |^| { x e. On | A e. ( R1 ` suc x ) } ) $=
      ( vy cr1 con0 cima cuni wcel cv csuc cfv crab cint cvv crnk df-rank eleq1
      wceq rabbidv inteqd elex wrex rankwflemb intexrab sylbb fvmptd3 ) BDEFGZH
      ZCBCIZAIJDKZHZAELZMBUJHZAELZMZNONCAPUIBRZULUNUPUKUMAEUIBUJQSTBUGUAUHUMAEU
      BUONHABUCUMAEUDUEUF $.
  $}

  ${
    $d A x $.  $d B x $.
    $( One direction of ~ rankr1a .  (Contributed by Mario Carneiro,
       28-May-2013.)  (Revised by Mario Carneiro, 17-Nov-2014.) $)
    rankr1ai $p |- ( A e. ( R1 ` B ) -> ( rank ` A ) e. B ) $=
      ( vx cr1 cfv wcel cv csuc con0 crab wss wrex eleq2d wa wb wi ax-mp sselid
      syl sylbird cint crnk cdm elfvdm cpw ciun r1val1 eliun word wlim r1funlim
      bitrdi wfun simpri limord ordtr1 ancoms r1sucg ordsson rabid intss1 sylan
      sylbir reximdva sylbid mpcom cima cuni wceq r1elwf rankvalb sseq1d adantr
      ex rankon ontr2 sylancr expcomd imp rexlimdva mpd ) ABDEZFZACGZHDEZFZCIJZ
      UAZWDKZCBLZAUBEZBFZBDUCZFZWCWJABDUDZWNWCAWDDEUEZFZCBLZWJWNWCACBWPUFZFWRWN
      WBWSACBUGMCABWPUHULWNWQWICBWNWDBFZNZWQWFWIXAWDWMFZWFWQOWTWNXBWMUIZWTWNNXB
      PWMUJZXCDUMXDUKUNWMUOQZWDBWMUPQUQZXBWEWPAWDURMSXAWFWIXAWDIFZWFWIXAWMIWDXC
      WMIKXEWMUSQZXFRXGWFNWDWGFWIWFCIUTWDWGVAVCVBVNTVDVEVFWCWIWLCBWCWTNWIWKWDKZ
      WLWCXIWIOWTWCWKWHWDWCADIVGVHFWKWHVIABVJCAVKSVLVMWCWTXIWLPWCXIWTWLWCWKIFBI
      FXIWTNWLPAVOWCWMIBXHWORWKWDBVPVQVRVSTVTWA $.
  $}

  $( Value of the rank function at a non-well-founded set.  (The antecedent is
     always false under Foundation, by ~ unir1 , unless ` A ` is a proper
     class.)  (Contributed by Mario Carneiro, 22-Mar-2013.)  (Revised by Mario
     Carneiro, 10-Sep-2013.) $)
  rankvaln $p |- ( -. A e. U. ( R1 " On ) -> ( rank ` A ) = (/) ) $=
    ( cr1 con0 cima cuni wcel crnk cdm cfv wceq rankf fdmi eleq2i ndmfv sylnbir
    c0 ) ABCDEZFAGHZFAGIPJRQAQCGKLMAGNO $.

  ${
    $d x A $.
    $( Identity law for the rank function.  (Contributed by NM, 3-Oct-2003.)
       (Revised by Mario Carneiro, 22-Mar-2013.) $)
    rankidb $p |- ( A e. U. ( R1 " On ) -> A e. ( R1 ` suc ( rank ` A ) ) ) $=
      ( vx cr1 con0 cima cuni wcel csuc cfv crab cint crnk wrex rankwflemb nfcv
      cv nfrab1 wceq suceq fveq2d nfint nfsuc nffv nfel2 onminsb sylbi rankvalb
      eleq2d syl eleqtrrd ) ACDEFGZAABPZHZCIZGZBDJZKZHZCIZALIZHZCIUKUOBDMAUSGZB
      ANUOVBBBAUSBURCBCOBUQBUPUOBDQUAUBUCUDULUQRZUNUSAVCUMURCULUQSTUHUEUFUKVAUR
      CUKUTUQRVAURRBAUGUTUQSUITUJ $.
  $}

  $( A rank is a member of the cumulative hierarchy.  (Contributed by Mario
     Carneiro, 17-Nov-2014.) $)
  rankdmr1 $p |- ( rank ` A ) e. dom R1 $=
    ( cr1 con0 cima cuni wcel crnk cfv cdm csuc rankidb elfvdm syl wlim wb wfun
    r1funlim ax-mp c0 com simpri limsuc sylibr wn rankvaln wss limomss eqeltrdi
    peano1 sselii pm2.61i ) ABCDEFZAGHZBIZFZULUMJZUNFZUOULAUPBHFUQAKAUPBLMUNNZU
    OUQOBPURQUAZUNUMUBRUCULUDUMSUNAUETUNSURTUNUFUSUNUGRUIUJUHUK $.

  $( A version of ~ rankr1a that is suitable without assuming Regularity or
     Replacement.  (Contributed by Mario Carneiro, 3-Jun-2013.)  (Revised by
     Mario Carneiro, 17-Nov-2014.) $)
  rankr1ag $p |- ( ( A e. U. ( R1 " On ) /\ B e. dom R1 ) ->
      ( A e. ( R1 ` B ) <-> ( rank ` A ) e. B ) ) $=
    ( cr1 con0 cima cuni wcel cdm cfv crnk rankr1ai csuc wss word wlim r1funlim
    wa wi wfun syl simpri limord ax-mp ordelord adantl ordsucss rankidb r1ord3g
    mpan elfvdm sylan adantr ssel syl5com 3syld impbid2 ) ACDEFGZBCHZGZQZABCIZG
    ZAJIZBGZABKUTVDVCLZBMZVECIZVAMZVBUTBNZVDVFRUSVIUQURNZUSVIUROZVJCSVKPUAURUBU
    CURBUDUIUEVCBUFTUQVEURGZUSVFVHRUQAVGGZVLAUGZAVECUJTVEBUHUKUTVMVHVBUQVMUSVNU
    LVGVAAUMUNUOUP $.

  $( A relationship between rank and ` R1 ` .  See ~ rankr1ag for the
     membership version.  (Contributed by Mario Carneiro, 17-Nov-2014.) $)
  rankr1bg $p |- ( ( A e. U. ( R1 " On ) /\ B e. dom R1 ) ->
    ( A C_ ( R1 ` B ) <-> ( rank ` A ) C_ B ) ) $=
    ( cr1 con0 cima cuni wcel cdm wa csuc cfv crnk wb wlim wfun r1funlim simpri
    wss ax-mp adantl limsuc rankr1ag sylan2b cpw wceq r1sucg fvex elpw2 bitr2di
    eleq2d rankon word limord ordelon mpan onsssuc sylancr 3bitr4d ) ACDEFGZBCH
    ZGZIZABJZCKZGZALKZVCGZABCKZRZVFBRZVAUSVCUTGZVEVGMUTNZVAVKMCOVLPQZUTBUASAVCU
    BUCVBVEAVHUDZGVIVBVDVNAVAVDVNUEUSBUFTUJAVHBCUGUHUIVBVFDGBDGZVJVGMAUKVAVOUSU
    TULZVAVOVLVPVMUTUMSUTBUNUOTVFBUPUQUR $.

  $( Any set is a subset of the hierarchy of its rank.  (Contributed by Mario
     Carneiro, 3-Jun-2013.)  (Revised by Mario Carneiro, 17-Nov-2014.) $)
  r1rankidb $p |- ( A e. U. ( R1 " On ) -> A C_ ( R1 ` ( rank ` A ) ) ) $=
    ( cr1 con0 cima cuni wcel crnk cfv wss ssid cdm wb rankdmr1 rankr1bg mpbiri
    mpan2 ) ABCDEFZAAGHZBHIZRRIZRJQRBKFSTLAMARNPO $.

  ${
    $d x A $.
    $( The range of the ` R1 ` function is transitive.  Lemma 2.10 of [Kunen]
       p. 97.  One direction of ~ r1elss that doesn't need ` A ` to be a set.
       (Contributed by Mario Carneiro, 22-Mar-2013.)  (Revised by Mario
       Carneiro, 16-Nov-2014.) $)
    r1elssi $p |- ( A e. U. ( R1 " On ) -> A C_ U. ( R1 " On ) ) $=
      ( vx cr1 con0 cima cuni wtr wcel wss wi cfv ciun triun r1tr a1i mprg wceq
      cv wb ax-mp wfun cdm wlim r1funlim simpli funiunfv treq mpbi trss ) CDEFZ
      GZAUJHAUJIJBDBRZCKZLZGZUKUMGZUOBDBDUMMUPULDHULNOPUNUJQZUOUKSCUAZUQURCUBUC
      UDUEBDCUFTUNUJUGTUHUJAUIT $.
  $}

  ${
    $d x y A $.
    r1elss.1 $e |- A e. _V $.
    $( The range of the ` R1 ` function is transitive.  Lemma 2.10 of [Kunen]
       p. 97.  (Contributed by Mario Carneiro, 22-Mar-2013.)  (Revised by Mario
       Carneiro, 16-Nov-2014.) $)
    r1elss $p |- ( A e. U. ( R1 " On ) <-> A C_ U. ( R1 " On ) ) $=
      ( vy vx cr1 con0 cima cuni wcel wss r1elssi cv cfv wrex wral tz9.12 dfss3
      eleq2i eliun bitr3i ciun wfn wfun wceq r1fnon fnfun funiunfv ralbii bitri
      mp2b 3imtr4i impbii ) AEFGHZIZAUMJZAKCLZDLEMZIDFNZCAOZAUQIDFNZUOUNCDABPUO
      UPUMIZCAOUSCAUMQVAURCAVAUPDFUQUAZIURVBUMUPEFUBEUCVBUMUDUEFEUFDFEUGUJZRDUP
      FUQSTUHUIUNAVBIUTVBUMAVCRDAFUQSTUKUL $.
  $}

  $( A power set is well-founded iff the base set is.  (Contributed by Mario
     Carneiro, 8-Jun-2013.)  (Revised by Mario Carneiro, 16-Nov-2014.) $)
  pwwf $p |- ( A e. U. ( R1 " On ) <-> ~P A e. U. ( R1 " On ) ) $=
    ( cr1 con0 cima cuni wcel cpw crnk cfv csuc wss r1rankidb cdm wceq rankdmr1
    sspwd r1sucg ax-mp syl cvv sseqtrrdi fvex elpw2 sylibr wlim r1funlim simpri
    wb wfun limsuc mpbi eleqtrrdi r1elwf r1elssi pwexr pwidg sseldd impbii ) AB
    CDEZFZAGZUSFZUTVAAHIZJZJZBIZFVBUTVAVDBIZGZVFUTVAVGKVAVHFUTVAVCBIZGZVGUTAVIA
    LPVCBMZFZVGVJNAOZVCQRUAVAVGVDBUBUCUDVDVKFZVFVHNVLVNVMVKUEZVLVNUHBUIVOUFUGVK
    VCUJRUKVDQRULVAVEUMSVBVAUSAVAUNVBATFAVAFAUSUOATUPSUQUR $.

  $( A subset of a well-founded set is well-founded.  (Contributed by Mario
     Carneiro, 17-Nov-2014.) $)
  sswf $p |- ( ( A e. U. ( R1 " On ) /\ B C_ A ) -> B e. U. ( R1 " On ) ) $=
    ( cr1 con0 cima cuni wcel wss crnk cfv csuc rankidb r1sscl sylan r1elwf syl
    wa ) ACDEFZGZBAHZQBAIJKZCJZGZBRGSAUBGTUCALAUABMNBUAOP $.

  $( A singleton is well-founded if its element is.  (Contributed by Mario
     Carneiro, 10-Jun-2013.)  (Revised by Mario Carneiro, 16-Nov-2014.) $)
  snwf $p |- ( A e. U. ( R1 " On ) -> { A } e. U. ( R1 " On ) ) $=
    ( cr1 con0 cima cuni wcel cpw csn pwwf wss snsspw sswf mpan2 sylbi ) ABCDEZ
    FAGZOFZAHZOFZAIQRPJSAKPRLMN $.

  $( A binary union is well-founded iff its elements are.  (Contributed by
     Mario Carneiro, 10-Jun-2013.)  (Revised by Mario Carneiro,
     17-Nov-2014.) $)
  unwf $p |- ( ( A e. U. ( R1 " On ) /\ B e. U. ( R1 " On ) ) <->
      ( A u. B ) e. U. ( R1 " On ) ) $=
    ( cr1 con0 wcel cun cfv wss r1rankidb ssun1 wi rankdmr1 ax-mp r1ord3g mp2an
    crnk sstrdi ssun2 sswf mpan2 cima cuni wa csuc cpw adantr cdm word r1funlim
    wlim wfun simpri limord ordunel mp3an adantl unssd fvex elpw2 sylibr r1sucg
    wceq eleqtrrdi r1elwf syl jca impbii ) ACDUAUBZEZBVHEZUCZABFZVHEZVKVLAPGZBP
    GZFZUDZCGZEVMVKVLVPCGZUEZVRVKVLVSHVLVTEVKABVSVKAVNCGZVSVIAWAHVJAIUFVNVPHZWA
    VSHZVNVOJVNCUGZEZVPWDEZWBWCKALZWDUHZWEVOWDEZWFWDUJZWHCUKWJUIULWDUMMWGBLZWDV
    NVOUNUOZVNVPNOMQVKBVOCGZVSVJBWMHVIBIUPVOVPHZWMVSHZVOVNRWIWFWNWOKWKWLVOVPNOM
    QUQVLVSVPCURUSUTWFVRVTVBWLVPVAMVCVLVQVDVEVMVIVJVMAVLHVIABJVLASTVMBVLHVJBARV
    LBSTVFVG $.

  $( An unordered pair is well-founded if its elements are.  (Contributed by
     Mario Carneiro, 10-Jun-2013.)  (Revised by Mario Carneiro,
     17-Nov-2014.) $)
  prwf $p |- ( ( A e. U. ( R1 " On ) /\ B e. U. ( R1 " On ) ) ->
      { A , B } e. U. ( R1 " On ) ) $=
    ( cr1 con0 cima cuni wcel wa cpr csn df-pr snwf unwf biimpi syl2an eqeltrid
    cun ) ACDEFZGZBRGZHABIAJZBJZQZRABKSUARGZUBRGZUCRGZTALBLUDUEHUFUAUBMNOP $.

  $( An ordered pair is well-founded if its elements are.  (Contributed by
     Mario Carneiro, 10-Jun-2013.) $)
  opwf $p |- ( ( A e. U. ( R1 " On ) /\ B e. U. ( R1 " On ) ) ->
      <. A , B >. e. U. ( R1 " On ) ) $=
    ( cr1 con0 cima cuni wcel wa cop csn cpr dfopg snwf prwf syl2an2r eqeltrd )
    ACDEFZGZBQGZHABIAJZABKZKZQABQQLRTQGSUAQGUBQGAMABNTUANOP $.

  $( The cumulative hierarchy of sets covers the universe.  Proposition 4.45
     (b) to (a) of [Mendelson] p. 281.  (Contributed by NM, 27-Sep-2004.)
     (Revised by Mario Carneiro, 8-Jun-2013.) $)
  unir1 $p |- U. ( R1 " On ) = _V $=
    ( vx cv cr1 con0 cima cuni wss wcel cvv wceq setind vex r1elss biimpri mpg
    wi ) ABZCDEFZGZQRHZPRIJAARKTSQALMNO $.

  $( Every set belongs to some value of the cumulative hierarchy of sets
     function ` R1 ` , i.e. the indexed union of all values of ` R1 ` is the
     universe.  Lemma 9.3 of [Jech] p. 71.  (Contributed by NM, 4-Oct-2003.)
     (Revised by Mario Carneiro, 8-Jun-2013.) $)
  jech9.3 $p |- U_ x e. On ( R1 ` x ) = _V $=
    ( con0 cv cr1 cfv ciun crn cuni cima cvv wfn wceq r1fnon fniunfv ax-mp fndm
    cdm imaeq2i imadmrn eqtr3i unieqi unir1 3eqtr2i ) ABACDEFZDGZHZDBIZHJDBKZUD
    UFLMABDNOUGUEDDQZIUGUEUIBDUHUIBLMBDPORDSTUAUBUC $.

  ${
    $d x A $.
    $( Every set is well-founded, assuming the Axiom of Regularity.
       Proposition 9.13 of [TakeutiZaring] p. 78.  This variant of ~ tz9.13g is
       useful in proofs of theorems about the rank function.  (Contributed by
       NM, 4-Oct-2003.) $)
    rankwflem $p |- ( A e. V -> E. x e. On A e. ( R1 ` suc x ) ) $=
      ( wcel cr1 con0 cima cuni cv csuc cfv wrex cvv unir1 eleqtrrdi rankwflemb
      elex sylib ) BCDZBEFGHZDBAIJEKDAFLSBMTBCQNOABPR $.
  $}

  ${
    $d x A $.
    rankval.1 $e |- A e. _V $.
    $( Value of the rank function.  Definition 9.14 of [TakeutiZaring] p. 79
       (proved as a theorem from our definition).  (Contributed by NM,
       24-Sep-2003.)  (Revised by Mario Carneiro, 10-Sep-2013.) $)
    rankval $p |- ( rank ` A ) = |^| { x e. On | A e. ( R1 ` suc x ) } $=
      ( cr1 con0 cima cuni wcel crnk cfv csuc crab cint wceq cvv unir1 eleqtrri
      cv rankvalb ax-mp ) BDEFGZHBIJBARKDJHAELMNBOUACPQABST $.
  $}

  ${
    $d x y A $.
    $( Value of the rank function.  Definition 9.14 of [TakeutiZaring] p. 79
       (proved as a theorem from our definition).  This variant of ~ rankval
       expresses the class existence requirement as an antecedent instead of a
       hypothesis.  (Contributed by NM, 5-Oct-2003.) $)
    rankvalg $p |- ( A e. V ->
                   ( rank ` A ) = |^| { x e. On | A e. ( R1 ` suc x ) } ) $=
      ( vy cv crnk cfv csuc wcel con0 crab cint wceq fveq2 eleq1 rabbidv inteqd
      cr1 eqeq12d vex rankval vtoclg ) DEZFGZUCAEHRGZIZAJKZLZMBFGZBUEIZAJKZLZMD
      BCUCBMZUDUIUHULUCBFNUMUGUKUMUFUJAJUCBUEOPQSAUCDTUAUB $.

    $( Value of an alternate definition of the rank function.  Definition of
       [BellMachover] p. 478.  (Contributed by NM, 8-Oct-2003.) $)
    rankval2 $p |- ( A e. B ->
                   ( rank ` A ) = |^| { x e. On | A C_ ( R1 ` x ) } ) $=
      ( wcel crnk cfv cv csuc cr1 con0 crab cint wss rankvalg r1suc eleq2d fvex
      cpw elpw2 bitrdi rabbiia inteqi eqtrdi ) BCDBEFBAGZHIFZDZAJKZLBUDIFZMZAJK
      ZLABCNUGUJUFUIAJUDJDZUFBUHRZDUIUKUEULBUDOPBUHUDIQSTUAUBUC $.
  $}

  $( A union is well-founded iff the base set is.  (Contributed by Mario
     Carneiro, 8-Jun-2013.)  (Revised by Mario Carneiro, 17-Nov-2014.) $)
  uniwf $p |- ( A e. U. ( R1 " On ) <-> U. A e. U. ( R1 " On ) ) $=
    ( cr1 con0 cima cuni wcel crnk cfv csuc cpw wss wtr r1tr rankidb trss mpsyl
    cdm wceq rankdmr1 r1sucg ax-mp sseqtrdi sspwuni sylib fvex sylibr eleqtrrdi
    elpw2 r1elwf syl pwwf pwuni sswf mpan2 sylbi impbii ) ABCDEZFZAEZUQFZURUSAG
    HZIZBHZFUTURUSVABHZJZVCURUSVDKZUSVEFURAVEKVFURAVCVEVCLURAVCFAVCKVBMANVCAOPV
    ABQFVCVERASVATUAZUBAVDUCUDUSVDVABUEUHUFVGUGUSVBUIUJUTUSJZUQFZURUSUKVIAVHKUR
    AULVHAUMUNUOUP $.

  $( Lemma for ~ rankr1c .  (Contributed by NM, 6-Oct-2003.)  (Revised by Mario
     Carneiro, 17-Nov-2014.) $)
  rankr1clem $p |- ( ( A e. U. ( R1 " On ) /\ B e. dom R1 ) ->
                  ( -. A e. ( R1 ` B ) <-> B C_ ( rank ` A ) ) ) $=
    ( cr1 con0 cima cuni wcel cdm wa cfv wn crnk rankr1ag notbid word wlim wfun
    wss wb r1funlim simpri limord ordelon adantl rankon ontri1 sylancl bitr4d
    ax-mp mpan ) ACDEFGZBCHZGZIZABCJGZKALJZBGZKZBUPRZUNUOUQABMNUNBDGZUPDGUSURSU
    MUTUKULOZUMUTULPZVACQVBTUAULUBUIULBUCUJUDAUEBUPUFUGUH $.

  $( A relationship between the rank function and the cumulative hierarchy of
     sets function ` R1 ` .  Proposition 9.15(2) of [TakeutiZaring] p. 79.
     (Contributed by Mario Carneiro, 22-Mar-2013.)  (Revised by Mario Carneiro,
     17-Nov-2014.) $)
  rankr1c $p |- ( A e. U. ( R1 " On ) -> ( B = ( rank ` A ) <->
               ( -. A e. ( R1 ` B ) /\ A e. ( R1 ` suc B ) ) ) ) $=
    ( cr1 con0 cima cuni wcel cdm crnk cfv wceq wn csuc wa wi a1i wb adantl wss
    ax-mp rankdmr1 eqeltrdi elfvdm wlim wfun r1funlim simpri limsuc sylibr eqss
    rankr1clem rankr1ag sylan2b rankon word limord ordelon mpan onsssuc sylancr
    id bitr4d anbi12d bitr4id ex pm5.21ndd ) ACDEFGZBCHZGZBAIJZKZABCJGLZABMZCJG
    ZNZVKVIOVGVKBVJVHVKVAAUAUBPVOVIOVGVNVIVLVNVMVHGZVIAVMCUCVHUDZVIVPQCUEVQUFUG
    ZVHBUHTZUIRPVGVIVKVOQVGVINZVKBVJSZVJBSZNVOBVJUJVTVLWAVNWBABUKVTVNVJVMGZWBVI
    VGVPVNWCQVSAVMULUMVTVJDGBDGZWBWCQAUNVIWDVGVHUOZVIWDVQWEVRVHUPTVHBUQURRVJBUS
    UTVBVCVDVEVF $.

  $( A relationship between the rank function and the cumulative hierarchy of
     sets function ` R1 ` .  (Contributed by Mario Carneiro, 17-Nov-2014.) $)
  rankidn $p |- ( A e. U. ( R1 " On ) -> -. A e. ( R1 ` ( rank ` A ) ) ) $=
    ( cr1 con0 cima cuni wcel crnk cfv wn csuc wceq eqid rankr1c mpbii simpld
    wa ) ABCDEFZAAGHZBHFIZARJBHFZQRRKSTPRLARMNO $.

  $( The rank of a power set.  Part of Exercise 30 of [Enderton] p. 207.
     (Contributed by Mario Carneiro, 3-Jun-2013.) $)
  rankpwi $p |- ( A e. U. ( R1 " On ) ->
      ( rank ` ~P A ) = suc ( rank ` A ) ) $=
    ( cr1 con0 cima cuni wcel crnk cfv csuc cpw wceq rankidn rankon r1suc ax-mp
    wn eleq2i wss elpwi pwidg ssel syl2imc syl5bi mtod r1rankidb sseqtrrdi fvex
    sspwd elpw2 sylibr onsuci eleqtrrdi wa pwwf rankr1c sylbi mpbir2and eqcomd
    wb ) ABCDEZFZAGHZIZAJZGHZVAVCVEKZVDVCBHZFZPZVDVCIBHZFZVAVHAVBBHZFZALVHVDVLJ
    ZFZVAVMVGVNVDVBCFVGVNKAMZVBNOZQVOVDVLRVAAVDFVMVDVLSAUTTVDVLAUAUBUCUDVAVDVGJ
    ZVJVAVDVGRVDVRFVAVDVNVGVAAVLAUEUHVQUFVDVGVCBUGUIUJVCCFVJVRKVBVPUKVCNOULVAVD
    UTFVFVIVKUMUSAUNVDVCUOUPUQUR $.

  $( The membership relation is inherited by the rank function.  Proposition
     9.16 of [TakeutiZaring] p. 79.  (Contributed by NM, 4-Oct-2003.)  (Revised
     by Mario Carneiro, 17-Nov-2014.) $)
  rankelb $p |- ( B e. U. ( R1 " On ) -> ( A e. B ->
        ( rank ` A ) e. ( rank ` B ) ) ) $=
    ( cr1 con0 cima cuni wcel crnk cfv wa wn r1elssi sseld rankidn syl6 imp wss
    rankon mp2an rankdmr1 wb ontri1 wi r1ord3g r1rankidb sselda syl2imc syl5bir
    cdm ssel mt3d ex ) BCDEFZGZABGZAHIZBHIZGZUNUOJZURAUPCIZGZUNUOVAKZUNUOAUMGVB
    UNBUMABLMANOPURKZUQUPQZUSVAUQDGUPDGVDVCUABRARUQUPUBSVDUQCIZUTQZUSAVEGVAUQCU
    IZGUPVGGVDVFUCBTATUQUPUDSUNBVEABUEUFVEUTAUJUGUHUKUL $.

  $( A well-founded set is not a member of itself.  This proof does not require
     the axiom of regularity, unlike ~ elirr .  (Contributed by Mario Carneiro,
     2-Jan-2017.) $)
  wfelirr $p |- ( A e. U. ( R1 " On ) -> -. A e. A ) $=
    ( cr1 con0 cima cuni wcel crnk cfv rankon onirri rankelb mtoi ) ABCDEFAAFAG
    HZMFMAIJAAKL $.

  ${
    $d x y A $.
    $( The value of the rank function expressed recursively: the rank of a set
       is the smallest ordinal number containing the ranks of all members of
       the set.  Proposition 9.17 of [TakeutiZaring] p. 79.  (Contributed by
       Mario Carneiro, 17-Nov-2014.) $)
    rankval3b $p |- ( A e. U. ( R1 " On ) ->
          ( rank ` A ) = |^| { x e. On | A. y e. A ( rank ` y ) e. x } ) $=
      ( cr1 con0 cima wcel crnk cfv cv wral cint wa wss wi wn wb syl2anc sylibr
      ex cab wal rankon simprl ontri1 sylancr con2bid cdm r1elssi adantr sselda
      cuni crab rankdmr1 wlim word r1funlim simpri limord ordtr1 mpan2 ad2antlr
      wfun rankr1ag ralbidva biimpar an32s dfss3 simpll adantl rankr1bg adantrl
      mp2b mpbid sylbird pm2.18d alrimiv ssintab df-rab inteqi rankelb ralrimiv
      sseqtrrdi wceq eleq2 ralbidv onintss mpsyl eqssd ) CDEFULZGZCHIZBJZHIZAJZ
      GZBCKZAEUMZLZWKWLWOEGZWQMZAUAZLZWSWKXAWLWONZOZAUBWLXCNWKXEAWKXAXDWKXAMZXD
      XFXDPWOWLGZXDXFXDXGXFWLEGZWTXDXGPQCUCZWKWTWQUDWLWOUEUFUGWKWQXGXDOWTWKWQMZ
      XGXDXJXGMZCWODIZNZXDXKWMXLGZBCKZXMWKXGWQXOWKXGMZXOWQXPXNWPBCXPWMCGZMWMWJG
      WODUHZGZXNWPQXPCWJWMWKCWJNXGCUIUJUKXGXSWKXQXGWLXRGZXSCUNXRUOZXRUPXGXTMXSO
      DVCYAUQURXRUSWOWLXRUTVMVAZVBWMWOVDRVEVFVGBCXLVHSXKWKXSXMXDQWKWQXGVIXGXSXJ
      YBVJCWOVKRVNTVLVOVPTVQXAAWLVRSWRXBWQAEVSVTWCXHWKWNWLGZBCKZWSWLNXIWKYCBCWM
      CWAWBWQYDAWLWOWLWDWPYCBCWOWLWNWEWFWGWHWI $.

    $( The rank of a singleton.  Theorem 15.17(v) of [Monk1] p. 112.
       (Contributed by Mario Carneiro, 10-Jun-2013.) $)
    ranksnb $p |- ( A e. U. ( R1 " On ) ->
        ( rank ` { A } ) = suc ( rank ` A ) ) $=
      ( vy vx cr1 con0 cima cuni wcel cv crnk cfv csn wral crab cint csuc fveq2
      wceq eleq1d ralsng rabbidv inteqd snwf rankval3b syl rankon onsucmin mp1i
      3eqtr4d ) ADEFGZHZBIZJKZCIZHZBALZMZCENZOZAJKZUNHZCENZOZUPJKZUTPZUKURVBUKU
      QVACEUOVABAUJULARUMUTUNULAJQSTUAUBUKUPUJHVDUSRAUCCBUPUDUEUTEHVEVCRUKAUFCU
      TUGUHUI $.
  $}

  ${
    $d x y z A $.
    $( Lemma for ~ rankonid .  (Contributed by NM, 14-Oct-2003.)  (Revised by
       Mario Carneiro, 22-Mar-2013.) $)
    rankonidlem $p |- ( A e. dom R1 ->
        ( A e. U. ( R1 " On ) /\ ( rank ` A ) = A ) ) $=
      ( vx vy vz con0 wcel cr1 crnk cfv wceq wa ax-mp cv wi eleq1 wral syl csuc
      wb wss cima cuni word wlim wfun r1funlim simpri limord ordelon mpan fveq2
      cdm id eqeq12d anbi12d imbi12d ordtr1 ancoms ralbidva cpw simplr ad2antrr
      pm5.5 eloni ordelsuc syl2anc mpbid adantr limsuc sylib simpll r1ord3g mpd
      rankidb ad2antrl suceq ad2antll fveq2d eleqtrd sseldd ralimdva imp sylibr
      ex dfss3 vex elpw r1sucg eleqtrrd r1elwf crab cint rankval3b adantl ralbi
      ralimi bitr4di rabbidv inteqd intmin 3eqtrd jca sylbid com12 tfis3 mpcom
      a1i ) AEFZAGULZFZAGEUAUBZFZAHIZAJZKZXIUCZXJXHXIUDZXPGUEXQUFUGZXIUHLZXIAUI
      UJBMZXIFZXTXKFZXTHIZXTJZKZNZCMZXIFZYGXKFZYGHIZYGJZKZNZXJXONBCAXTYGJZYAYHY
      EYLXTYGXIOYNYBYIYDYKXTYGXKOYNYCYJXTYGXTYGHUKYNUMUNUOUPXTAJZYAXJYEXOXTAXIO
      YOYBXLYDXNXTAXKOYOYCXMXTAXTAHUKYOUMUNUOUPYMCXTPZYFNXTEFZYAYPYEYAYPYLCXTPZ
      YEYAYMYLCXTYAYGXTFZKZYHYMYLSYSYAYHXPYSYAKYHNXSYGXTXIUQLURZYHYLVCQUSYAYRYE
      YAYRKZYBYDUUBXTXTRZGIZFYBUUBXTXTGIZUTZUUDUUBXTUUETZXTUUFFUUBYGUUEFZCXTPZU
      UGYAYRUUIYAYLUUHCXTYTYLUUHYTYLKZYGRZGIZUUEYGUUJUUKXTTZUULUUETZUUJYSUUMYAY
      SYLVAZUUJYSXTUCZYSUUMSUUOUUJYQUUPYAYQYSYLXPYAYQXSXIXTUIUJZVBXTVDQYGXTXTVE
      VFVGUUJUUKXIFZYAUUMUUNNUUJYHUURYTYHYLUUAVHXQYHUURSXRXIYGVILVJYAYSYLVKUUKX
      TVLVFVMUUJYGYJRZGIZUULYIYGUUTFYTYKYGVNVOUUJUUSUUKGYKUUSUUKJYTYIYJYGVPVQVR
      VSVTWDWAWBCXTUUEWEWCXTUUEBWFWGWCYAUUDUUFJYRXTWHVHWIXTUUCWJQZUUBYCYJDMZFZC
      XTPZDEWKZWLZXTUVBTZDEWKZWLZXTUUBYBYCUVFJUVADCXTWMQYRUVFUVIJYAYRUVEUVHYRUV
      DUVGDEYRUVDYGUVBFZCXTPZUVGYRUVCUVJSZCXTPUVDUVKSYLUVLCXTYKUVLYIYJYGUVBOWNW
      PUVCUVJCXTWOQCXTUVBWEWQWRWSWNUUBYQUVIXTJYAYQYRUUQVHDXTEWTQXAXBWDXCXDXGXEX
      F $.
  $}

  $( The rank of an ordinal number is itself.  Proposition 9.18 of
     [TakeutiZaring] p. 79 and its converse.  (Contributed by NM, 14-Oct-2003.)
     (Revised by Mario Carneiro, 17-Nov-2014.) $)
  rankonid $p |- ( A e. dom R1 <-> ( rank ` A ) = A ) $=
    ( cr1 cdm wcel crnk cfv wceq con0 cima cuni rankonidlem simprd id eqeltrrdi
    rankdmr1 impbii ) ABCZDZAEFZAGZRABHIJDTAKLTASQTMAONP $.

  $( The ordinals are all well-founded.  (Contributed by Mario Carneiro,
     22-Mar-2013.)  (Revised by Mario Carneiro, 17-Nov-2014.) $)
  onwf $p |- On C_ U. ( R1 " On ) $=
    ( con0 cr1 cdm cima cuni r1fnon fndmi wcel crnk cfv wceq rankonidlem simpld
    vx cv ssriv eqsstrri ) ABCZBADEZABFGNRSNOZRHTSHTIJTKTLMPQ $.

  ${
    $d A x $.
    $( Initial segments of the ordinals are contained in initial segments of
       the cumulative hierarchy.  (Contributed by FL, 20-Apr-2011.)  (Revised
       by Mario Carneiro, 17-Nov-2014.) $)
    onssr1 $p |- ( A e. dom R1 -> A C_ ( R1 ` A ) ) $=
      ( vx cr1 cdm wcel cfv cv crnk con0 cima cuni wceq wlim word wfun r1funlim
      wa wi simpri limord ordtr1 ancoms rankonidlem syl simprd simpr eqeltrd wb
      mp2b simpld simpl rankr1ag syl2anc mpbird ex ssrdv ) ACDZEZBAACFZURBGZAEZ
      UTUSEZURVAQZVBUTHFZAEZVCVDUTAVCUTCIJKEZVDUTLZVCUTUQEZVFVGQVAURVHUQMZUQNVA
      URQVHRCOVIPSUQTUTAUQUAUIUBUTUCUDZUEURVAUFUGVCVFURVBVEUHVCVFVGVJUJURVAUKUT
      AULUMUNUOUP $.
  $}

  $( A relationship between the rank function and the cumulative hierarchy of
     sets function ` R1 ` .  Proposition 9.15(2) of [TakeutiZaring] p. 79.
     (Contributed by NM, 6-Oct-2003.)  (Revised by Mario Carneiro,
     17-Nov-2014.) $)
  rankr1g $p |- ( A e. V -> ( B = ( rank ` A ) <->
               ( -. A e. ( R1 ` B ) /\ A e. ( R1 ` suc B ) ) ) ) $=
    ( wcel cr1 con0 cima cuni crnk cfv wceq wn csuc wa cvv elex unir1 eleqtrrdi
    wb rankr1c syl ) ACDZAEFGHZDBAIJKABEJDLABMEJDNSUBAOUCACPQRABTUA $.

  ${
    rankid.1 $e |- A e. _V $.
    $( Identity law for the rank function.  (Contributed by NM, 3-Oct-2003.)
       (Revised by Mario Carneiro, 17-Nov-2014.) $)
    rankid $p |- A e. ( R1 ` suc ( rank ` A ) ) $=
      ( cr1 con0 cima cuni wcel crnk cfv csuc cvv unir1 eleqtrri rankidb ax-mp
      ) ACDEFZGAAHIJCIGAKPBLMANO $.

    $( A relationship between the rank function and the cumulative hierarchy of
       sets function ` R1 ` .  Proposition 9.15(2) of [TakeutiZaring] p. 79.
       (Contributed by NM, 6-Oct-2003.)  (Proof shortened by Mario Carneiro,
       17-Nov-2014.) $)
    rankr1 $p |- ( B = ( rank ` A ) <->
                 ( -. A e. ( R1 ` B ) /\ A e. ( R1 ` suc B ) ) ) $=
      ( cvv wcel crnk cfv wceq cr1 wn csuc wa wb rankr1g ax-mp ) ADEBAFGHABIGEJ
      ABKIGELMCABDNO $.

    $( A relationship between an ordinal number less than or equal to a rank,
       and the cumulative hierarchy of sets ` R1 ` .  Proposition 9.15(3) of
       [TakeutiZaring] p. 79.  (Contributed by NM, 8-Oct-2003.)  (Revised by
       Mario Carneiro, 17-Nov-2014.) $)
    ssrankr1 $p |- ( B e. On ->
                   ( B C_ ( rank ` A ) <-> -. A e. ( R1 ` B ) ) ) $=
      ( con0 wcel cr1 cfv wn crnk wss cima cuni cdm cvv unir1 eleqtrri wfn wceq
      wb r1fnon fndm ax-mp eleq2i biimpri rankr1clem sylancr bicomd ) BDEZABFGE
      HZBAIGJZUHAFDKLZEBFMZEZUIUJSANUKCOPUMUHULDBFDQULDRTDFUAUBUCUDABUEUFUG $.

    $( A relationship between rank and ` R1 ` , clearly equivalent to
       ~ ssrankr1 and friends through trichotomy, but in Raph's opinion
       considerably more intuitive.  See ~ rankr1b for the subset version.
       (Contributed by Raph Levien, 29-May-2004.) $)
    rankr1a $p |- ( B e. On -> ( A e. ( R1 ` B ) <-> ( rank ` A ) e. B ) ) $=
      ( con0 wcel cr1 cfv wss wn ssrankr1 wb rankon ontri1 mpan2 bitr3d con4bid
      crnk ) BDEZABFGEZAQGZBEZRBTHZSIUAIZABCJRTDEUBUCKALBTMNOP $.
  $}

  ${
    $d x y A $.
    $( The value of the cumulative hierarchy of sets function expressed in
       terms of rank.  Definition 15.19 of [Monk1] p. 113.  (Contributed by NM,
       30-Nov-2003.) $)
    r1val2 $p |- ( A e. On -> ( R1 ` A ) = { x | ( rank ` x ) e. A } ) $=
      ( con0 wcel cv crnk cfv cr1 vex rankr1a abbi2dv ) BCDAEZFGBDABHGLBAIJK $.

    $( The value of the cumulative hierarchy of sets function expressed in
       terms of rank.  Theorem 15.18 of [Monk1] p. 113.  (Contributed by NM,
       30-Nov-2003.)  (Revised by Mario Carneiro, 17-Nov-2014.) $)
    r1val3 $p |- ( A e. On ->
                 ( R1 ` A ) = U_ x e. A ~P { y | ( rank ` y ) e. x } ) $=
      ( con0 wcel cr1 cfv cpw ciun crnk cab cdm wceq r1fnon fndmi eleq2i r1val1
      cv sylbir wa onelon r1val2 syl pweqd iuneq2dv eqtrd ) CDEZCFGZACARZFGZHZI
      ZACBRJGUIEBKZHZIUGCFLZEUHULMUODCDFNOPACQSUGACUKUNUGUICETZUJUMUPUIDEUJUMMC
      UIUABUIUBUCUDUEUF $.
  $}

  ${
    rankel.1 $e |- B e. _V $.
    $( The membership relation is inherited by the rank function.  Proposition
       9.16 of [TakeutiZaring] p. 79.  (Contributed by NM, 4-Oct-2003.)
       (Revised by Mario Carneiro, 17-Nov-2014.) $)
    rankel $p |- ( A e. B -> ( rank ` A ) e. ( rank ` B ) ) $=
      ( cr1 con0 cima cuni wcel crnk cfv wi cvv unir1 eleqtrri rankelb ax-mp )
      BDEFGZHABHAIJBIJHKBLQCMNABOP $.
  $}

  ${
    $d x y A $.
    rankval3.1 $e |- A e. _V $.
    $( The value of the rank function expressed recursively: the rank of a set
       is the smallest ordinal number containing the ranks of all members of
       the set.  Proposition 9.17 of [TakeutiZaring] p. 79.  (Contributed by
       NM, 11-Oct-2003.)  (Revised by Mario Carneiro, 17-Nov-2014.) $)
    rankval3 $p |- ( rank ` A ) =
                  |^| { x e. On | A. y e. A ( rank ` y ) e. x } $=
      ( cr1 con0 cima cuni wcel crnk cfv wral crab cint wceq cvv unir1 eleqtrri
      cv rankval3b ax-mp ) CEFGHZICJKBSJKASIBCLAFMNOCPUBDQRABCTUA $.
  $}

  ${
    $d x y A $.
    $( Any class whose elements have bounded rank is a set.  Proposition 9.19
       of [TakeutiZaring] p. 80.  (Contributed by NM, 13-Oct-2003.) $)
    bndrank $p |- ( E. x e. On A. y e. A ( rank ` y ) C_ x -> A e. _V ) $=
      ( cv crnk cfv wss wral cvv wcel con0 csuc cr1 word wb rankon onordi eloni
      ordsucsssuc sylancr onsuci suceloni r1ord3 sylbid vex rankid ssel syl6mpi
      wi ralimdv dfss3 fvex ssex sylbir syl6 rexlimiv ) BDZEFZADZGZBCHZCIJZAKUS
      KJZVAUQUSLZMFZJZBCHZVBVCUTVFBCVCUTURLZMFZVEGZUQVIJVFVCUTVHVDGZVJVCURNUSNU
      TVKOURUQPZQUSRURUSSTVCVHKJVDKJVKVJUIURVLUAUSUBVHVDUCTUDUQBUEUFVIVEUQUGUHU
      JVGCVEGVBBCVEUKCVEVDMULUMUNUOUP $.

    $( The elements of a proper class have unbounded rank.  Exercise 2 of
       [TakeutiZaring] p. 80.  (Contributed by NM, 13-Oct-2003.) $)
    unbndrank $p |- ( -. A e. _V -> A. x e. On E. y e. A x e. ( rank ` y ) ) $=
      ( cv crnk cfv wcel wrex con0 wral cvv wn wss wb rankon ontri1 mpan ralnex
      ralbidv bitrdi rexbiia rexnal bitri bndrank sylbir con1i ) ADZBDZEFZGZBCH
      ZAIJZCKGZULLZUIUGMZBCJZAIHZUMUQUKLZAIHUNUPURAIUGIGZUPUJLZBCJURUSUOUTBCUII
      GUSUOUTNUHOUIUGPQSUJBCRTUAUKAIUBUCABCUDUEUF $.
  $}

  ${
    rankpw.1 $e |- A e. _V $.
    $( The rank of a power set.  Part of Exercise 30 of [Enderton] p. 207.
       (Contributed by NM, 22-Nov-2003.)  (Revised by Mario Carneiro,
       17-Nov-2014.) $)
    rankpw $p |- ( rank ` ~P A ) = suc ( rank ` A ) $=
      ( cr1 con0 cima cuni wcel cpw crnk cfv csuc wceq cvv unir1 eleqtrri ax-mp
      rankpwi ) ACDEFZGAHIJAIJKLAMRBNOAQP $.
  $}

  ${
    $d x A $.  $d x B $.
    $( The rank of a set belongs to a limit ordinal iff the rank of its power
       set does.  (Contributed by NM, 18-Sep-2006.) $)
    ranklim $p |- ( Lim B ->
                  ( ( rank ` A ) e. B <-> ( rank ` ~P A ) e. B ) ) $=
      ( vx cvv wcel wlim crnk cfv cpw wb wa csuc limsuc adantl cv eleq1d adantr
      wceq c0 fvprc pweq fveq2d fveq2 suceq syl eqeq12d rankpw vtoclg bitr4d wn
      vex pwexb sylnbi eqtr4d pm2.61ian ) ADEZBFZAGHZBEZAIZGHZBEZJZUPUQKUSURLZB
      EZVBUQUSVEJUPBURMNUPVBVEJUQUPVAVDBCOZIZGHZVFGHZLZRVAVDRCADVFARZVHVAVJVDVK
      VGUTGVFAUAUBVKVIURRVJVDRVFAGUCVIURUDUEUFVFCUKUGUHPQUIUPUJZVCUQVLURVABVLUR
      SVAAGTUPUTDEVASRAULUTGTUMUNPQUO $.

    $( A stronger property of ` R1 ` than ~ rankpw .  The latter merely proves
       that ` R1 ` of the successor is a power set, but here we prove that if
       ` A ` is in the cumulative hierarchy, then ` ~P A ` is in the cumulative
       hierarchy of the successor.  (Contributed by Raph Levien, 29-May-2004.)
       (Revised by Mario Carneiro, 17-Nov-2014.) $)
    r1pw $p |- ( B e. On ->
                 ( A e. ( R1 ` B ) <-> ~P A e. ( R1 ` suc B ) ) ) $=
      ( cr1 con0 cima cuni wcel cfv cpw csuc wb wi wa crnk rankpwi syl rankr1ag
      r1elwf wss cvv eleq1d word eloni ordsucelsuc bicomd sylan9bb cdm suceloni
      pwwf biimpi r1fnon fndmi eleqtrrdi syl2an sylan2br 3bitr4rd ex wn r1elssi
      eleq2i ssid pwexr elpwg mpbiri sseldd pm5.21ni a1d pm2.61i ) ACDEFZGZBDGZ
      ABCHGZAIZBJZCHZGZKZLVJVKVQVJVKMVMNHZVNGZANHZBGZVPVLVJVSVTJZVNGZVKWAVJVRWB
      VNAOUAVKWAWCVKBUBWAWCKBUCVTBUDPUEUFVJVMVIGZVNCUGZGVPVSKVKVJWDAUIUJVKVNDWE
      BUHDCUKULZUMVMVNQUNVKVJBWEGVLWAKWEDBWFUTABQUOUPUQVJURVQVKVLVJVPABRVPVMVIA
      VPWDVMVISVMVNRVMUSPVPAVMGZAASZAVAVPATGWGWHKAVOVBAATVCPVDVEVFVGVH $.

    $( Alternate shorter proof of ~ r1pw based on the additional axioms
       ~ ax-reg and ~ ax-inf2 .  (Contributed by Raph Levien, 29-May-2004.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    r1pwALT $p |- ( B e. On ->
                 ( A e. ( R1 ` B ) <-> ~P A e. ( R1 ` suc B ) ) ) $=
      ( vx cvv wcel con0 cr1 cfv cpw csuc wb wi cv wceq eleq1 pweq crnk rankr1a
      syl elex eleq1d bibi12d imbi2d word eloni ordsucelsuc bitrd rankpw eleq1i
      vex bitr4di suceloni pwex bitr4d vtoclg pwexb sylibr pm5.21ni a1d pm2.61i
      wn ) ADEZBFEZABGHZEZAIZBJZGHZEZKZLZVCCMZVDEZVLIZVHEZKZLVKCADVLANZVPVJVCVQ
      VMVEVOVIVLAVDOVQVNVFVHVLAPUAUBUCVCVMVNQHZVGEZVOVCVMVLQHZJZVGEZVSVCVMVTBEZ
      WBVLBCUJZRVCBUDWCWBKBUEVTBUFSUGVRWAVGVLWDUHUIUKVCVGFEVOVSKBULVNVGVLWDUMRS
      UNUOVBVAVJVCVEVBVIAVDTVIVFDEVBVFVHTAUPUQURUSUT $.
  $}

  $( The cumulative hierarchy of a limit ordinal is closed under power set.
     (Contributed by Raph Levien, 29-May-2004.)  (Proof shortened by Mario
     Carneiro, 17-Nov-2014.) $)
  r1pwcl $p |- ( Lim B -> ( A e. ( R1 ` B ) <-> ~P A e. ( R1 ` B ) ) ) $=
    ( wlim cr1 con0 cima cuni wcel cdm wa cfv wi r1elwf elfvdm jca a1i rankr1ag
    wb crnk adantl cpw pwwf sylibr limsuc adantr rankpwi ad2antrl eleq1d bitr4d
    csuc wceq sylanb 3bitr4d ex pm5.21ndd ) BCZADEFGZHZBDIHZJZABDKZHZAUAZVAHZVB
    UTLUPVBURUSABMABDNOPVDUTLUPVDURUSVDVCUQHZURVCBMAUBZUCVCBDNOPUPUTVBVDRUPUTJZ
    ASKZBHZVCSKZBHZVBVDVGVIVHUJZBHZVKUPVIVMRUTBVHUDUEVGVJVLBURVJVLUKUPUSAUFUGUH
    UIUTVBVIRUPABQTUTVDVKRZUPURVEUSVNVFVCBQULTUMUNUO $.

  $( The subset relation is inherited by the rank function.  Exercise 1 of
     [TakeutiZaring] p. 80.  (Contributed by NM, 25-Nov-2003.)  (Revised by
     Mario Carneiro, 17-Nov-2014.) $)
  rankssb $p |- ( B e. U. ( R1 " On ) ->
      ( A C_ B -> ( rank ` A ) C_ ( rank ` B ) ) ) $=
    ( cr1 con0 cima cuni wcel wss crnk cfv wa simpr r1rankidb adantr sstrd sswf
    cdm wb rankdmr1 rankr1bg sylancl mpbid ex ) BCDEFZGZABHZAIJBIJZHZUEUFKZAUGC
    JZHZUHUIABUJUEUFLUEBUJHUFBMNOUIAUDGUGCQGUKUHRBAPBSAUGTUAUBUC $.

  ${
    rankss.1 $e |- B e. _V $.
    $( The subset relation is inherited by the rank function.  Exercise 1 of
       [TakeutiZaring] p. 80.  (Contributed by NM, 25-Nov-2003.)  (Revised by
       Mario Carneiro, 17-Nov-2014.) $)
    rankss $p |- ( A C_ B -> ( rank ` A ) C_ ( rank ` B ) ) $=
      ( cr1 con0 cima cuni wcel wss crnk cfv cvv unir1 eleqtrri rankssb ax-mp
      wi ) BDEFGZHABIAJKBJKIQBLRCMNABOP $.
  $}

  ${
    $d A x y z $.  $d B x y $.
    $( The rank of the union of two sets.  Theorem 15.17(iii) of [Monk1]
       p. 112.  (Contributed by Mario Carneiro, 10-Jun-2013.)  (Revised by
       Mario Carneiro, 17-Nov-2014.) $)
    rankunb $p |- ( ( A e. U. ( R1 " On ) /\ B e. U. ( R1 " On ) ) ->
        ( rank ` ( A u. B ) ) = ( ( rank ` A ) u. ( rank ` B ) ) ) $=
      ( vx vy con0 wcel cun crnk cfv cv wral wi wceq sylbi rankelb rankon eleq2
      syl6 wss rankssb cr1 cima cuni wa crab cint rankval3b eleq2d vex elintrab
      unwf bitrdi wo elun elun1 elun2 jaao syl5bi ralrimiv onun2i ralbidv rspcv
      imbi12d ax-mp syl5com sylbid ssrdv ssun1 mpi ssun2 unssd eqssd ) AUAEUBUC
      ZFZBVMFZUDZABGZHIZAHIZBHIZGZVPCVRWAVPCJZVRFZWBHIZDJZFZCVQKZWBWEFZLZDEKZWB
      WAFZVPWCWBWGDEUEUFZFWJVPVRWLWBVPVQVMFZVRWLMABUKZDCVQUGNUHWGDWBECUIUJULVPW
      DWAFZCVQKZWJWKVPWOCVQWBVQFWBAFZWBBFZUMVPWOWBABUNVNWQWOVOWRVNWQWDVSFWOWBAO
      WDVSVTUORVOWRWDVTFWOWBBOWDVTVSUPRUQURUSWAEFWJWPWKLZLVSVTAPBPUTWIWSDWAEWEW
      AMZWGWPWHWKWTWFWOCVQWEWAWDQVAWEWAWBQVCVBVDVEVFVGVPWMWAVRSWNWMVSVTVRWMAVQS
      VSVRSABVHAVQTVIWMBVQSVTVRSBAVJBVQTVIVKNVL $.

    $( The rank of an unordered pair.  Part of Exercise 30 of [Enderton]
       p. 207.  (Contributed by Mario Carneiro, 10-Jun-2013.) $)
    rankprb $p |- ( ( A e. U. ( R1 " On ) /\ B e. U. ( R1 " On ) ) ->
        ( rank ` { A , B } ) = suc ( ( rank ` A ) u. ( rank ` B ) ) ) $=
      ( cr1 con0 cima cuni wcel wa csn cun crnk cfv csuc wceq snwf ranksnb word
      syl2an rankon onordi cpr rankunb uneq12 eqtrd df-pr fveq2i ordsucun mp2an
      3eqtr4g ) ACDEFZGZBUJGZHZAIZBIZJZKLZAKLZMZBKLZMZJZABUAZKLURUTJMZUMUQUNKLZ
      UOKLZJZVBUKUNUJGUOUJGUQVGNULAOBOUNUOUBRUKVEUSNVFVANVGVBNULAPBPVEUSVFVAUCR
      UDVCUPKABUEUFURQUTQVDVBNURASTUTBSTURUTUGUHUI $.

    $( The rank of an ordered pair.  Part of Exercise 4 of [Kunen] p. 107.
       (Contributed by Mario Carneiro, 10-Jun-2013.) $)
    rankopb $p |- ( ( A e. U. ( R1 " On ) /\ B e. U. ( R1 " On ) ) ->
        ( rank ` <. A , B >. ) = suc suc ( ( rank ` A ) u. ( rank ` B ) ) ) $=
      ( cr1 con0 cima cuni wcel cop crnk cfv csn cpr cun csuc dfopg fveq2d wceq
      wa rankprb syl2an2r snwf prwf snsspr1 ssequn1 mpbi fveq2i rankunb 3eqtr3a
      wss suceq syl 3eqtrd ) ACDEFZGZBUMGZRZABHZIJAKZABLZLZIJZURIJUSIJZMZNZAIJB
      IJMNZNZUPUQUTIABUMUMOPUNURUMGZUOUSUMGZVAVDQAUAZABUBZURUSSTUPVCVEQVDVFQUPU
      RUSMZIJZVBVCVEVKUSIURUSUIVKUSQABUCURUSUDUEUFUNVGUOVHVLVCQVIVJURUSUGTABSUH
      VCVEUJUKUL $.

    $( The value of the rank function expressed recursively: the rank of a set
       is the smallest ordinal number containing the ranks of all members of
       the set.  Proposition 9.17 of [TakeutiZaring] p. 79.  (Contributed by
       Mario Carneiro, 8-Jun-2013.) $)
    rankuni2b $p |- ( A e. U. ( R1 " On ) ->
          ( rank ` U. A ) = U_ x e. A ( rank ` x ) ) $=
      ( vy vz cr1 con0 cima cuni wcel crnk cfv cv ciun wral wss cvv wi ralrimiv
      wceq sseld crab cint uniwf rankval3b sylbi eleq2 iuneq1 eleq1d vex rankon
      ralbidv rgenw iunon mp2an vtoclg wrex eluni2 nfv nfiu1 nfel2 r1elssi syl6
      rankelb ssiun2 a1i syldd rexlimd syl5bi elrabd intss1 syl eqsstrd elssuni
      biimpi rankssb syl2im iunss sylibr eqssd ) BEFGHZIZBHZJKZABALZJKZMZWAWCCL
      ZJKZDLZIZCWBNZDFUAZUBZWFWAWBVTIZWCWMSBUCZDCWBUDUEWAWFWLIWMWFOWAWKWHWFIZCW
      BNDWFFWIWFSWJWPCWBWIWFWHUFUKAWGWEMZFIZWFFICBVTWGBSWQWFFAWGBWEUGUHWGPIWEFI
      ZAWGNWRCUIWSAWGWDUJULAWGWEPUMUNUOWAWPCWBWGWBIWGWDIZABUPWAWPAWGBUQWAWTWPAB
      WAAURAWHWFABWEUSUTWAWDBIZWTWHWEIZWPWAXAWDVTIWTXBQWABVTWDBVATWGWDVCVBXAXBW
      PQQWAXAWEWFWHABWEVDTVEVFVGVHRVIWFWLVJVKVLWAWEWCOZABNWFWCOWAXCABWAWNXAWDWB
      OXCWAWNWOVNWDBVMWDWBVOVPRABWEWCVQVRVS $.
  $}

  ${
    $d x A $.
    ranksn.1 $e |- A e. _V $.
    $( The rank of a singleton.  Theorem 15.17(v) of [Monk1] p. 112.
       (Contributed by NM, 28-Nov-2003.)  (Revised by Mario Carneiro,
       17-Nov-2014.) $)
    ranksn $p |- ( rank ` { A } ) = suc ( rank ` A ) $=
      ( cr1 con0 cima cuni wcel csn crnk cfv csuc wceq cvv unir1 eleqtrri ax-mp
      ranksnb ) ACDEFZGAHIJAIJKLAMRBNOAQP $.

    $( The rank of a union.  Part of Theorem 15.17(iv) of [Monk1] p. 112.
       (Contributed by NM, 30-Nov-2003.)  (Revised by Mario Carneiro,
       17-Nov-2014.) $)
    rankuni2 $p |- ( rank ` U. A ) = U_ x e. A ( rank ` x ) $=
      ( cr1 con0 cima cuni wcel crnk cfv ciun wceq cvv unir1 eleqtrri rankuni2b
      cv ax-mp ) BDEFGZHBGIJABAQIJKLBMSCNOABPR $.

    rankun.2 $e |- B e. _V $.
    $( The rank of the union of two sets.  Theorem 15.17(iii) of [Monk1]
       p. 112.  (Contributed by NM, 26-Nov-2003.)  (Revised by Mario Carneiro,
       17-Nov-2014.) $)
    rankun $p |- ( rank ` ( A u. B ) ) = ( ( rank ` A ) u. ( rank ` B ) ) $=
      ( cr1 con0 cima cuni wcel cun crnk cfv wceq unir1 eleqtrri rankunb mp2an
      cvv ) AEFGHZIBSIABJKLAKLBKLJMARSCNOBRSDNOABPQ $.

    $( The rank of an unordered pair.  Part of Exercise 30 of [Enderton]
       p. 207.  (Contributed by NM, 28-Nov-2003.)  (Revised by Mario Carneiro,
       17-Nov-2014.) $)
    rankpr $p |- ( rank ` { A , B } ) = suc ( ( rank ` A ) u. ( rank ` B ) ) $=
      ( cr1 con0 cima cuni wcel cpr crnk cfv cun csuc wceq cvv eleqtrri rankprb
      unir1 mp2an ) AEFGHZIBUAIABJKLAKLBKLMNOAPUACSQBPUADSQABRT $.

    $( The rank of an ordered pair.  Part of Exercise 4 of [Kunen] p. 107.
       (Contributed by NM, 13-Sep-2006.)  (Revised by Mario Carneiro,
       17-Nov-2014.) $)
    rankop $p |- ( rank ` <. A , B >. ) =
                 suc suc ( ( rank ` A ) u. ( rank ` B ) ) $=
      ( cr1 con0 cima cuni wcel cop crnk cfv cun csuc wceq cvv eleqtrri rankopb
      unir1 mp2an ) AEFGHZIBUAIABJKLAKLBKLMNNOAPUACSQBPUADSQABRT $.
  $}

  $( Any set is a subset of the hierarchy of its rank.  (Contributed by NM,
     14-Oct-2003.)  (Revised by Mario Carneiro, 17-Nov-2014.) $)
  r1rankid $p |- ( A e. V -> A C_ ( R1 ` ( rank ` A ) ) ) $=
    ( wcel cr1 con0 cima cuni crnk cfv wss cvv elex unir1 eleqtrrdi r1rankidb
    syl ) ABCZADEFGZCAAHIDIJQAKRABLMNAOP $.

  $( A set is empty iff its rank is empty.  (Contributed by Mario Carneiro,
     17-Nov-2014.) $)
  rankeq0b $p |- ( A e. U. ( R1 " On ) ->
                   ( A = (/) <-> ( rank ` A ) = (/) ) ) $=
    ( cr1 con0 cima cuni wcel c0 wceq crnk cfv fveq2 cdm com wlim wfun r1funlim
    wss simpri limomss ax-mp peano1 sselii rankonid mpbi eqtrdi wa eqimss simpl
    adantl wb rankr1bg sylancl mpbird r10 sseqtrdi ss0 syl ex impbid2 ) ABCDEFZ
    AGHZAIJZGHZVAVBGIJZGAGIKGBLZFZVDGHMVEGVENZMVEQBOVGPRVESTUAUBZGUCUDUEUTVCVAU
    TVCUFZAGQVAVIAGBJZGVIAVJQZVBGQZVCVLUTVBGUGUIVIUTVFVKVLUJUTVCUHVHAGUKULUMUNU
    OAUPUQURUS $.

  ${
    rankeq0.1 $e |- A e. _V $.
    $( A set is empty iff its rank is empty.  (Contributed by NM, 18-Sep-2006.)
       (Revised by Mario Carneiro, 17-Nov-2014.) $)
    rankeq0 $p |- ( A = (/) <-> ( rank ` A ) = (/) ) $=
      ( cr1 con0 cima cuni wcel c0 wceq crnk cfv wb cvv unir1 eleqtrri rankeq0b
      ax-mp ) ACDEFZGAHIAJKHILAMRBNOAPQ $.
  $}

  ${
    $d x y z A $.
    $( The rank of the hierarchy of an ordinal number is itself.  (Contributed
       by NM, 14-Oct-2003.)  (Revised by Mario Carneiro, 17-Nov-2014.) $)
    rankr1id $p |- ( A e. dom R1 <-> ( rank ` ( R1 ` A ) ) = A ) $=
      ( cr1 cdm wcel cfv crnk wceq wss ssid con0 cima cuni csuc cpw fvex r1sucg
      wb pwid eleqtrrid r1elwf syl rankr1bg mpancom mpbii biimpi onssr1 rankssb
      rankonid sylc eqsstrrd eqssd id rankdmr1 eqeltrrdi impbii ) ABCZDZABEZFEZ
      AGZUQUSAUQURURHZUSAHZURIURBJKLDZUQVAVBQUQURAMZBEZDVCUQURURNVEURABORAPSURV
      DTUAZURAUBUCUDUQAAFEZUSUQVGAGAUHUEUQVCAURHVGUSHVFAUFAURUGUIUJUKUTAUSUPUTU
      LURUMUNUO $.

    $( The rank of a union.  Part of Exercise 4 of [Kunen] p. 107.
       (Contributed by NM, 15-Sep-2006.)  (Revised by Mario Carneiro,
       17-Nov-2014.) $)
    rankuni $p |- ( rank ` U. A ) = U. ( rank ` A ) $=
      ( vx vy vz cvv wcel cuni crnk cfv wceq cv fveq2 unieqd fvex wa wex rankon
      cr1 con0 c0 unieq fveq2d eqeq12d wrex cab ciun vex rankuni2 dfiun2 df-rex
      eqtri rankel anim1i eximi 19.42v eleq1 pm5.32ri exbii simpl cdm oneli wfn
      r1fnon fndm ax-mp eleqtrrdi rankr1id sylib eqcomd eqeq2d spcev syl impbii
      ancli 3bitr3i sylbi abssi unissi eqsstri csuc cpw wss pwuni vuniex rankss
      pwex rankpw sseqtri onunisuci eqssi vtoclg wn uniexb fvprc sylnbi eqtr4di
      uni0 eqtr4d pm2.61i ) AEFZAGZHIZAHIZGZJZBKZGZHIZXFHIZGZJXEBAEXFAJZXHXBXJX
      DXKXGXAHXFAUAUBXKXIXCXFAHLMUCXHXJXHCKZDKZHIZJZDXFUDZCUEZGZXJXHDXFXNUFXRDX
      FBUGZUHDCXFXNXMHNUIUKXQXIXPCXIXPXMXFFZXOOZDPZXLXIFZXODXFUJYBXNXIFZXOOZDPZ
      YCYAYEDXTYDXOXMXFXSULUMUNYCXOOZDPYCXODPZOZYFYCYCXODUOYGYEDXOYCYDXLXNXIUPU
      QURYIYCYCYHUSYCYHYCXLXLRIZHIZJZYHYCYKXLYCXLRUTZFYKXLJYCXLSYMXIXLXFQVARSVB
      YMSJVCSRVDVEVFXLVGVHVIXOYLDYJXLRNXMYJJXNYKXLXMYJHLVJVKVLVNVMVOVHVPVQVRVSX
      JXHVTZGXHXIYNXIXGWAZHIZYNXFYOWBXIYPWBXFWCXFYOXGBWDZWFWEVEXGYQWGWHVRXHXGQW
      IWHWJWKWTWLZXBTGZXDYRXBTYSWTXAEFXBTJAWMXAHWNWOWQWPYRXCTAHWNMWRWS $.
  $}

  ${
    $d x y A $.  $d x B $.
    rankr1b.1 $e |- A e. _V $.
    $( A relationship between rank and ` R1 ` .  See ~ rankr1a for the
       membership version.  (Contributed by NM, 15-Sep-2006.)  (Revised by
       Mario Carneiro, 17-Nov-2014.) $)
    rankr1b $p |- ( B e. On ->
      ( A C_ ( R1 ` B ) <-> ( rank ` A ) C_ B ) ) $=
      ( con0 wcel cr1 cdm cfv wss crnk wb r1fnon fndmi eleq2i cima cvv eleqtrri
      cuni unir1 rankr1bg mpan sylbir ) BDEBFGZEZABFHIAJHBIKZUCDBDFLMNAFDORZEUD
      UEAPUFCSQABTUAUB $.

    $( The rank of a successor.  (Contributed by NM, 18-Sep-2006.) $)
    ranksuc $p |- ( rank ` suc A ) = suc ( rank ` A ) $=
      ( csuc crnk cfv csn cun df-suc fveq2i snex rankun ranksn wss wceq sssucid
      uneq2i ssequn1 mpbi eqtri ) ACZDEAAFZGZDEZADEZCZTUBDAHIUCUDUADEZGZUEAUABA
      JKUGUDUEGZUEUFUEUDABLPUDUEMUHUENUDOUDUEQRSSS $.

    $( Upper bound of the rank of a union.  Part of Exercise 30 of [Enderton]
       p. 207.  (Contributed by NM, 30-Nov-2003.) $)
    rankuniss $p |- ( rank ` U. A ) C_ ( rank ` A ) $=
      ( cuni crnk cfv rankuni word wss rankon onordi orduniss ax-mp eqsstri ) A
      CDEADEZCZNAFNGONHNAIJNKLM $.

    $( The rank of a set is the supremum of the successors of the ranks of its
       members.  Exercise 9.1 of [Jech] p. 72.  Also a special case of Theorem
       7V(b) of [Enderton] p. 204.  (Contributed by NM, 12-Oct-2003.) $)
    rankval4 $p |- ( rank ` A ) = U_ x e. A suc ( rank ` x ) $=
      ( vy crnk cfv cv cr1 wss wcel wi nfcv con0 rankon mp2an r1ord3 ax-mp crab
      cvv cint csuc ciun nfiu1 nffv dfss2f vex rankid ssiun2 onsuci rgenw iunon
      wral syl sseld mpgbir fvex rankss mpan ss2rabi intss wceq rankval2 intmin
      mpi eqcomi 3sstr4i sstri iunss rankel onsucssi sylib mprgbir eqssi ) BEFZ
      ABAGZEFZUAZUBZVNVRHFZEFZVRBVSIZVNVTIWAVOBJZVOVSJZKAABVSABLAVRHAHLABVQUCUD
      UEWBVOVQHFZJWCVOAUFUGWBWDVSVOWBVQVRIZWDVSIZABVQUHVQMJZVRMJZWEWFKVPVONZUIZ
      BSJWGABULWHCWGABWJUJABVQSUKOZVQVRPOUMUNVDUOBVSVRHUPZUQQVSDGZHFIZDMRZTZVRW
      MIZDMRZTZVTVRWRWOIWPWSIWQWNDMWHWMMJWQWNKWKVRWMPURUSWRWOUTQVSSJVTWPVAWLDVS
      SVBQWSVRWHWSVRVAWKDVRMVCQVEVFVGVRVNIVQVNIZABABVQVNVHWBVPVNJWTVOBCVIVPVNWI
      BNVJVKVLVM $.

    $( The rank of a set is bounded by a bound for the successor of its
       members.  (Contributed by NM, 18-Sep-2006.) $)
    rankbnd $p |- ( A. x e. A suc ( rank ` x ) C_ B <-> ( rank ` A ) C_ B ) $=
      ( crnk cfv wss cv csuc ciun wral rankval4 sseq1i iunss bitr2i ) BEFZCGABA
      HEFIZJZCGQCGABKPRCABDLMABQCNO $.

    $( The rank of a set is bounded by the successor of a bound for its
       members.  (Contributed by NM, 15-Sep-2006.) $)
    rankbnd2 $p |- ( B e. On -> ( A. x e. A ( rank ` x ) C_ B <->
                  ( rank ` A ) C_ suc B ) ) $=
      ( cv crnk cfv wss wral cuni con0 wcel csuc rankuni rankuni2 eqtr3i sseq1i
      ciun iunss bitr2i word wb rankon onssi eloni ordunisssuc sylancr syl5bb )
      AEFGZCHABIZBFGZJZCHZCKLZUKCMHZUMABUIRZCHUJULUPCBJFGULUPBNABDOPQABUICSTUNU
      KKHCUAUMUOUBUKBUCUDCUEUKCUFUGUH $.

    $( A relationship that can be used for computation of rank.  (Contributed
       by NM, 16-Sep-2006.) $)
    rankc1 $p |- ( A. x e. A ( rank ` x ) e. ( rank ` U. A ) <->
                 ( rank ` A ) = ( rank ` U. A ) ) $=
      ( crnk cfv cuni wa cv wcel wral wceq rankuniss biantru csuc ciun rankval4
      wss iunss sseq1i rankon onsucssi ralbii 3bitr4ri eqss 3bitr4i ) BDEZBFZDE
      ZQZUIUHUFQZGAHZDEZUHIZABJZUFUHKUJUIBCLMABULNZOZUHQUOUHQZABJUIUNABUOUHRUFU
      PUHABCPSUMUQABULUHUKTUGTUAUBUCUFUHUDUE $.

    $( A relationship that can be used for computation of rank.  (Contributed
       by NM, 16-Sep-2006.) $)
    rankc2 $p |- ( E. x e. A ( rank ` x ) = ( rank ` U. A ) ->
                 ( rank ` A ) = suc ( rank ` U. A ) ) $=
      ( cv crnk cfv cuni wceq wrex csuc wss cpw pwuni uniex rankss ax-mp rankpw
      pwex wcel rankon a1i rankel eleq1 syl5ibcom rexlimiv onsucssi sylib eqssd
      sseqtri ) ADZEFZBGZEFZHZABIZBEFZUMJZUPUQKUOUPULLZEFZUQBURKUPUSKBMBURULBCN
      ZROPULUTQUIUAUOUMUPSZUQUPKUNVAABUJBSUKUPSUNVAUJBCUBUKUMUPUCUDUEUMUPULTBTU
      FUGUH $.
  $}

  ${
    rankelun.1 $e |- A e. _V $.
    rankelun.2 $e |- B e. _V $.
    rankelun.3 $e |- C e. _V $.
    rankelun.4 $e |- D e. _V $.
    $( Rank membership is inherited by union.  (Contributed by NM,
       18-Sep-2006.)  (Proof shortened by Mario Carneiro, 17-Nov-2014.) $)
    rankelun $p |- ( ( ( rank ` A ) e. ( rank ` C ) /\ ( rank ` B ) e.
          ( rank ` D ) ) -> ( rank ` ( A u. B ) ) e. ( rank ` ( C u. D ) ) ) $=
      ( crnk cfv wcel wa cun word rankon onun2i onordi elun1 elun2 rankun
      ordunel mp3an3an 3eltr4g ) AIJZCIJZKZBIJZDIJZKZLUDUGMZUEUHMZABMIJCDMIJUKN
      UFUDUKKUIUGUKKUJUKKUKUEUHCODOPQUDUEUHRUGUHUESUKUDUGUAUBABEFTCDGHTUC $.

    $( Rank membership is inherited by unordered pairs.  (Contributed by NM,
       18-Sep-2006.)  (Revised by Mario Carneiro, 17-Nov-2014.) $)
    rankelpr $p |- ( ( ( rank ` A ) e. ( rank ` C ) /\ ( rank ` B ) e.
            ( rank ` D ) ) -> ( rank ` { A , B } ) e. ( rank ` { C , D } ) ) $=
      ( crnk cfv wcel wa cun csuc cpr rankelun rankun 3eltr3g rankon rankpr wb
      word onun2i onordi ordsucelsuc ax-mp sylib 3eltr4g ) AIJZCIJZKBIJZDIJZKLZ
      UIUKMZNZUJULMZNZABOIJCDOIJUMUNUPKZUOUQKZUMABMIJCDMIJUNUPABCDEFGHPABEFQCDG
      HQRUPUBURUSUAUPUJULCSDSUCUDUNUPUEUFUGABEFTCDGHTUH $.

    $( Rank membership is inherited by ordered pairs.  (Contributed by NM,
       18-Sep-2006.) $)
    rankelop $p |- ( ( ( rank ` A ) e. ( rank ` C ) /\ ( rank ` B ) e.
        ( rank ` D ) ) -> ( rank ` <. A , B >. ) e. ( rank ` <. C , D >. ) ) $=
      ( crnk cfv wcel cpr csuc cop ax-mp cun rankop wceq rankpr suceq wa rankon
      rankelpr word wb onordi ordsucelsuc sylib eqtr4i 3eltr4g ) AIJZCIJZKBIJZD
      IJZKUAZABLIJZMZCDLZIJZMZABNIJZCDNIJZUOUPUSKZUQUTKZABCDEFGHUCUSUDVCVDUEUSU
      RUBUFUPUSUGOUHVAUKUMPMZMZUQABEFQUPVERUQVFRABEFSUPVETOUIVBULUNPMZMZUTCDGHQ
      USVGRUTVHRCDGHSUSVGTOUIUJ $.
  $}

  ${
    rankxpl.1 $e |- A e. _V $.
    rankxpl.2 $e |- B e. _V $.
    $( A lower bound on the rank of a Cartesian product.  (Contributed by NM,
       18-Sep-2006.) $)
    rankxpl $p |- ( ( A X. B ) =/= (/) -> ( rank ` ( A u. B ) ) C_
                  ( rank ` ( A X. B ) ) ) $=
      ( cxp c0 wne cun crnk cfv cuni unixp xpex uniex rankuniss sstri eqsstrrdi
      fveq2d ) ABEZFGZABHZIJSKZKZIJZSIJZTUCUAIABLRUDUBIJUEUBSABCDMZNOSUFOPQ $.

    $( An upper bound on the rank of a Cartesian product.  (Contributed by NM,
       18-Sep-2006.) $)
    rankxpu $p |- ( rank ` ( A X. B ) ) C_
                 suc suc ( rank ` ( A u. B ) ) $=
      ( cxp crnk cfv cun cpw csuc wss xpsspw unex pwex rankss ax-mp rankpw wceq
      suceq eqtri sseqtri ) ABEZFGZABHZIZIZFGZUDFGJZJZUBUFKUCUGKABLUBUFUEUDABCD
      MZNZNOPUGUEFGZJZUIUEUKQULUHRUMUIRUDUJQULUHSPTUA $.

    $( An upper bound on the rank of a function.  (Contributed by G&eacute;rard
       Lang, 5-Aug-2018.) $)
    rankfu $p |- ( F : A --> B
        -> ( rank ` F ) C_ suc suc ( rank ` ( A u. B ) ) ) $=
      ( wf cxp wss crnk cfv cun csuc fssxp xpex rankss rankxpu sstrdi syl ) ABC
      FCABGZHZCIJZABKIJLLZHABCMTUASIJUBCSABDENOABDEPQR $.

    $( An upper bound on the rank of set exponentiation.  (Contributed by
       G&eacute;rard Lang, 5-Aug-2018.) $)
    rankmapu $p |- ( rank ` ( A ^m B ) )
                  C_ suc suc suc ( rank ` ( A u. B ) ) $=
      ( cmap co crnk cfv cxp cpw cun csuc ax-mp wceq suceq rankon onordi onsuci
      wss word mapsspw xpex pwex rankss rankpw rankxpu uncom fveq2i ordsucsssuc
      sseqtri wb mp2an mpbi eqsstri sstri ) ABEFZGHZBAIZJZGHZABKZGHZLZLZLZUPUSS
      UQUTSABUAUPUSURBADCUBZUCUDMUTURGHZLZVEURVFUEVGVDSZVHVESZVGBAKZGHZLZLZVDBA
      DCUFVMVCNZVNVDNVLVBNVOVKVAGBAUGUHVLVBOMVMVCOMUJVGTVDTVIVJUKVGURPQVDVCVBVA
      PRRQVGVDUIULUMUNUO $.
  $}

  ${
    $d x y z A $.  $d x y z B $.
    rankxplim.1 $e |- A e. _V $.
    rankxplim.2 $e |- B e. _V $.
    $( The rank of a Cartesian product when the rank of the union of its
       arguments is a limit ordinal.  Part of Exercise 4 of [Kunen] p. 107.
       See ~ rankxpsuc for the successor case.  (Contributed by NM,
       19-Sep-2006.) $)
    rankxplim $p |- ( ( Lim ( rank ` ( A u. B ) ) /\ ( A X. B ) =/= (/) ) ->
                    ( rank ` ( A X. B ) ) = ( rank ` ( A u. B ) ) ) $=
      ( vx vy vz cun crnk cfv wa wss cv csuc wral wcel cpw cuni pwuni wceq wlim
      cxp c0 wne cop cpr uniop pweqi sseqtri unipr sspwi sstri unex pwex rankss
      ax-mp rankel rankelun syl2an adantl wb ranklim bitrd adantr mpbid con0 wi
      vex rankon ontr2 mp2an sylancr onsucssi sylib ralrimivva fveq2 syl sseq1d
      suceq ralxp xpex rankbnd bitr3i rankxpl eqssd ) ABHZIJZUAZABUBZUCUDZKWIIJ
      ZWGWHWKWGLZWJWHEMZFMZUEZIJZNZWGLZFBOEAOZWLWHWREFABWHWMAPZWNBPZKZKZWPWGPZW
      RXCWPWMWNHZQZQZIJZLZXHWGPZXDWOXGLXIWOWMWNUFZQZXGWOWORZQXLWOSXMXKWMWNEVHZF
      VHZUGUHUIXKXFXKXKRZQXFXKSXPXEWMWNXNXOUJUHUIUKULWOXGXFXEWMWNXNXOUMUNUNUOUP
      XCXEIJWGPZXJXBXQWHWTWMIJAIJPWNIJBIJPXQXAWMACUQWNBDUQWMWNABXNXOCDURUSUTWHX
      QXJVAXBWHXQXFIJWGPXJXEWGVBXFWGVBVCVDVEWPVFPWGVFPXIXJKXDVGWOVIZWFVIZWPXHWG
      VJVKVLWPWGXRXSVMVNVOWSGMZIJZNZWGLZGWIOWLYCWRGEFABXTWOTZYBWQWGYDYAWPTYBWQT
      XTWOIVPYAWPVSVQVRVTGWIWGABCDWAWBWCVNVDWJWGWKLWHABCDWDUTWE $.

    $( If the rank of a Cartesian product is a limit ordinal, so is the rank of
       the union of its arguments.  (Contributed by NM, 19-Sep-2006.) $)
    rankxplim2 $p |- ( Lim ( rank ` ( A X. B ) ) ->
                     Lim ( rank ` ( A u. B ) ) ) $=
      ( cxp wne crnk cfv wlim cun wceq wcel 0ellim n0i syl cuni limuni2 rankuni
      c0 wn df-ne rankeq0 notbii bitr2i sylib unieqi eqtr2i unixp fveq2d eqtrid
      xpex wb limeq syl5ib mpcom ) ABEZSFZUPGHZIZABJZGHZIZUSURSKZTZUQUSSURLVDUR
      MURSNOUQUPSKZTVDUPSUAVEVCUPABCDUKUBUCUDUEUSURPZPZIZUQVBUSVFIVHURQVFQOUQVG
      VAKVHVBULUQVGUPPZPZGHZVAVKVIGHZPVGVIRVLVFUPRUFUGUQVJUTGABUHUIUJVGVAUMOUNU
      O $.

    $( The rank of a Cartesian product is a limit ordinal iff its union is.
       (Contributed by NM, 19-Sep-2006.) $)
    rankxplim3 $p |- ( Lim ( rank ` ( A X. B ) ) <->
                     Lim U. ( rank ` ( A X. B ) ) ) $=
      ( vx vy crnk cfv cuni c0 wceq wn csuc con0 wrex wa wcel wss wb adantr cxp
      wlim limuni2 cun cv 0ellim n0i unieq uni0 eqtrdi con3i 3syl rankon onsuci
      elexi sucid ontri1 mp2an con2bii mpbi rankxpu sstr mpan2 reeanv wi simprl
      mto simpr wne df-ne xpex rankeq0 notbii bitr2i sylib unixp fveq2d rankuni
      syl unieqi eqtri eqtr3di eqimss eqsstrrd adantrr limuni sseqtrrd cvv word
      vex onordi orduni ax-mp sylibr limsuc mpbid eqeltrd ordsucelsuc onsucuni2
      ordelsuc mpan ad2antll eleqtrd onsucssi ex a1d rexlimdvv syl5bir wo ianor
      mtoi un00 animorl sylbir xpeq0 unex w3o ordzsl sylan orim12d syl5bi simpl
      3ori imp necon3abii rankxplim sylan2br mpbird expcom idd jaod mpd syl2anc
      limeq impbii ) ABUAZGHZUBZYQIZUBZYQUCYTYQJKZLZABUDZGHZEUEZMZKZENOZYQFUEZM
      KZFNOZPZLZYRYTJYSQYSJKZLUUBYSUFYSJUGUUAUUNUUAYSJIJYQJUHUIUJUKULZYTUULUUDM
      ZMZMZYQRZUUSUURUUQRZUUQUURQZUUTLUUQUUQNUUPUUDUUCUMZUNUNZUOUPUUTUVAUURNQUU
      QNQUUTUVALSUUQUVCUNUVCUURUUQUQURUSUTUUSYQUUQRUUTABCDVAUURYQUUQVBVCVGUULUU
      GUUJPZFNOENOYTUUSUUGUUJEFNNVDYTUVDUUSEFNNYTUVDUUSVEUUENQUUINQPYTUVDUUSYTU
      VDPZUUQYQQUUSUVEUUQYSMZYQUVEUUPYSQZUUQUVFQZUVEUUDYSQZUVGUVEUUDUUFYSYTUUGU
      UJVFUVEUUEYSQZUUFYSQZUVEUUFYSRZUVJUVEUUFYSIZYSYTUUGUUFUVMRUUJYTUUGPUUFUUD
      UVMYTUUGVHYTUUDUVMRZUUGYTUUDUVMKUVNYTYPIZIZGHZUUDUVMYTUVPUUCGYTYPJVIZUVPU
      UCKYTUUBUVRUUOUVRYPJKZLZUUBYPJVJUVSUUAYPABCDVKVLZVMZVNVOABVPVSVQUVQUVOGHZ
      IUVMUVOVRUWCYSYPVRVTWAWBUUDUVMWCVSTWDWEYTYSUVMKUVDYSWFTWGUUEWHQYSWIZUVJUV
      LSEWJYQWIZUWDYQYPUMZWKZYQWLWMZUUEYSWHWTURWNYTUVJUVKSUVDYSUUEWOTWPWQYTUVIU
      VGSUVDYSUUDWOTWPUWDUVGUVHSUWHUUPYSWRWMVOUUJUVFYQKZYTUUGYQNQUUJUWIUWFYQUUI
      WSXAXBXCUUQYQUVCUWFXDVOXEXFXGXHXKUUBUUMPUUDUBZYRXIZYRUUBUUMUWKUUMUUHLZUUK
      LZXIUUBUWKUUHUUKXJUUBUWLUWJUWMYRUUBUWLUWJUUBUUDJKZLZUWLUWJUUBUUCJKZLZUWOU
      UBUVTUWQUWBUWPUVSUWPAJKZBJKZXIZUVSUWPUWRUWSPUWTABXLUWRUWSUWSXMXNABXOWNUKX
      NUWPUWNUUCABCDXPVLVMVOUWNUUHUWJUUDWIUWNUUHUWJXQUUDUVBWKEUUDXRUTYCXSXEUUBU
      WMYRUUAUUKYRUWEUUAUUKYRXQUWGFYQXRUTYCXEXTYAYDUUBUWKYRVEUUMUUBUWJYRYRUWJUU
      BYRUWJUUBPZYRUWJUWJUUBYBUXAYQUUDKZYRUWJSUUBUWJUVRUXBUUAYPJUWAYEABCDYFYGYQ
      UUDYNVSYHYIUUBYRYJYKTYLYMYO $.

    $( The rank of a Cartesian product when the rank of the union of its
       arguments is a successor ordinal.  Part of Exercise 4 of [Kunen] p. 107.
       See ~ rankxplim for the limit ordinal case.  (Contributed by NM,
       19-Sep-2006.) $)
    rankxpsuc $p |- ( ( ( rank ` ( A u. B ) ) = suc C /\ ( A X. B ) =/= (/) )
                  -> ( rank ` ( A X. B ) ) = suc suc ( rank ` ( A u. B ) ) ) $=
      ( vx crnk cfv csuc wceq c0 cuni sylibr con0 wlim wn cvv wcel wo mpbi wrex
      cun cxp wa unixp fveq2d rankuni unieqi eqtri eqtr3di suc11reg adantl fvex
      wne cv eleq1 mpbii sucexb nlimsucg syl limeq rankxplim2 nsyl xpex rankeq0
      mtbird necon3abii w3o rankon onordi ordzsl 3orass ori sylbi con1d syl5com
      ord mtbiri rexlimivw rankxplim3 sylnib syl6com unixp0 uniex eqeq1i 3bitri
      word elv onuni ax-mp syld impcom onsucuni2 mpan eqtrd imp eqtr2d ) ABUBZG
      HZCIZJZABUCZKUNZUDZWSIZIZXBGHZLZIZXGXDXEXHJXFXIJXDXEXHLZIZXHXCXEXKJZXAXCW
      SXJJXLXCXBLZLZGHZWSXJXCXNWRGABUEUFXOXMGHZLXJXMUGXPXHXBUGZUHUIUJWSXJUKMULX
      DXHFUOZIZJZFNUAZXKXHJZXCXAYAXCXAXHOZPZYAXAXCXGXSJZFNUAZYDXAXGOZPZXCYFXAWS
      OZYGXAYIWTOZXACQRZYJPXAWTQRZYKXAWSQRYLWRGUMWSWTQUPUQCURMCQUSUTWSWTVAVFABD
      EVBVCXCYFYGXCYFYGXCXGKJZPYFYGSZYMXBKXBABDEVDZVEVGYMYNYMYFYGVHZYMYNSXGWGYP
      XGXBVIZVJFXGVKTYMYFYGVLTVMVNVQVOVPZYFYGYCYEYHFNYEYGXSOZYSPFXRQUSWHXGXSVAV
      RVSABDEVTWAWBXCYAYCXCYAYCXCXHKJZPYAYCSZYTXBKXBKJXMKJXPKJYTABWCXMXBYOWDVEX
      PXHKXQWEWFVGYTUUAYTYAYCVHZYTUUASXHWGUUBXHXGNRZXHNRZYQXGWIWJZVJFXHVKTYTYAY
      CVLTVMVNVQVOWKWLXTYBFNUUDXTYBUUEXHXRWMWNVSUTWOXEXHUKMXDYFXIXGJZXAXCYFYRWP
      YEUUFFNUUCYEUUFYQXGXRWMWNVSUTWQ $.
  $}

  $( The transitive closure function is well-founded if its argument is.
     (Contributed by Mario Carneiro, 23-Jun-2013.) $)
  tcwf $p |- ( A e. U. ( R1 " On ) -> ( TC ` A ) e. U. ( R1 " On ) ) $=
    ( vx cr1 con0 cima cuni wcel ctc cfv wss r1elssi wtr cv dftr3 mprgbir tcmin
    mpan2i mpd fvex r1elss sylibr ) ACDEFZGZAHIZUBJZUDUBGUCAUBJZUEAKUCUFUBLZUEU
    GBMZUBJBUBBUBNUHKOAUBUBPQRUDAHSTUA $.

  ${
    $d A x y z $.  $d x y z w u $.
    $( This theorem expresses two different facts from the two subset
       implications in this equality.  In the forward direction, it says that
       the transitive closure has members of every rank below ` A ` .  Stated
       another way, to construct a set at a given rank, you have to climb the
       entire hierarchy of ordinals below ` ( rank `` A ) ` , constructing at
       least one set at each level in order to move up the ranks.  In the
       reverse direction, it says that every member of ` ( TC `` A ) ` has a
       rank below the rank of ` A ` , since intuitively it contains only the
       members of ` A ` and the members of those and so on, but nothing
       "bigger" than ` A ` .  (Contributed by Mario Carneiro, 23-Jun-2013.) $)
    tcrank $p |- ( A e. U. ( R1 " On ) ->
        ( rank ` A ) = ( rank " ( TC ` A ) ) ) $=
      ( vy vz vx vu cr1 con0 cima wcel crnk cfv ctc wrex wss wral wi fveq2 wceq
      wa syl cuni csuc rankwflemb suceloni weq raleqdv imaeq2d sseq12d cbvralvw
      vw cv bitrdi wn simpr simprl simplr rankr1ai r1elwf r1rankidb ssralv 3syl
      rspcv syld sylc crab rankval3b eleq2d biimpd rankon oneli eleq2w onnminsb
      cint ralbidv sylcom imp rexnal sylibr adantl r19.29 syl2anc w3a simp2 cvv
      elv sseli fveqeq2 rspcev ex simp3l sseld simp1l wfn wb wf rankf ffn ax-mp
      tcid r1tr trel tcwf fvex r1elss sylib fvelimab sylancr tcel ssrexv adantr
      wtr vex sylbid wo w3o word eloni ordtri3or syl2an 3orass orcanai ad2ant2l
      3adant2 mpjaod rexlimdv3a r1elssi sylan2 sylibrd ssrdv ralrimiva rexlimiv
      expr tfis3 rspccv sylbi cab tcvalg sseq2 treq anbi12d elab intss1 sylancl
      sylbir eqsstrd imass2 wfun ffun fvelima mpan eleq1 syl5ibcom ssriv sstrdi
      eqssd ) AFGHUAZIZAJKZJALKZHZUUQABUKZUBZFKZIZBGMUURUUTNZBAUCUVDUVEBGUVAGIU
      VBGICUKZJKZJUVFLKZHZNZCUVCOZUVDUVEPUVAUDUVJCDUKZFKZOZEUKZJKZJUVOLKZHZNZEU
      VAFKZOZUVKDBUVBDBUEZUVNUVJCUVTOUWAUWBUVJCUVMUVTUVLUVAFQUFUVJUVSCEUVTCEUEZ
      UVGUVPUVIUVRUVFUVOJQUWCUVHUVQJUVFUVOLQUGUHUIULUVLUVBRUVJCUVMUVCUVLUVBFQUF
      UVLGIZUWABUVLOZUVNUWDUWESZUVJCUVMUWFUVFUVMIZSZUJUVGUVIUWHUJUKZUVGIZUVLJKU
      WIRZDUVHMZUWIUVIIZUWFUWGUWJUWLUWFUWGUWJSZSZUWNUVSUVPUWIIZUMZSZEUVFMZUWLUW
      FUWNUNUWOUVSEUVFOZUWQEUVFMZUWSUWOUWGUWEUWTUWFUWGUWJUOUWDUWEUWNUPUWGUWEUVS
      EUVGFKZOZUWTUWGUVGUVLIUWEUXCPUVFUVLUQUWAUXCBUVGUVLUVAUVGRUVSEUVTUXBUVAUVG
      FQUFVBTUWGUVFUUPIZUVFUXBNUXCUWTPUVFUVLURZUVFUSUVSEUVFUXBUTVAVCVDUWNUXAUWF
      UWNUWPEUVFOZUMZUXAUWGUWJUXGUWGUXDUWJUXGPUXEUXDUWJUWIUVPUVLIZEUVFOZDGVEVMZ
      IZUXGUXDUWJUXKUXDUVGUXJUWIDEUVFVFVGVHUWJUWIGIZUXKUXGPUVGUWIUVFVIVJZUXIUXF
      DUWIDUJUEUXHUWPEUVFDUJUVPVKVNVLTVOTVPUWPEUVFVQVRVSUVSUWQEUVFVTWAUWNUWRUWL
      EUVFUWNUVOUVFIZUWRWBZUVPUWIRZUWLUWIUVPIZUXOUXNUVOUVHIZUXPUWLPUWNUXNUWRWCZ
      UVFUVHUVOUVFUVHNCUVFWDWSWEWFUXRUXPUWLUWKUXPDUVOUVHUVLUVOUWIJWGWHWIVAUXOUX
      QUWIUVRIZUWLUXOUVPUVRUWIUWNUXNUVSUWQWJWKUXOUXNUWGUXTUWLPUXSUWGUWJUXNUWRWL
      UXNUWGSZUXTUWKDUVQMZUWLUYAJUUPWMZUVQUUPNZUXTUYBWNUUPGJWOZUYCWPUUPGJWQWRZU
      YAUVOUVMIZUVOUUPIZUYDUVMXKUYAUYGPUVLWTUVMUVOUVFXAWRUVOUVLURUYHUVQUUPIUYDU
      VOXBUVQUVOLXCXDXEVADUUPUVQUWIJXFXGUXNUYBUWLPZUWGUXNUVQUVHNUYIUVFUVOCXLXHU
      WKDUVQUVHXITXJXMWAVCUWNUWRUXPUXQXNZUXNUWJUWQUYJUWGUVSUWJUWPUYJUWJUWPUXPUX
      QXOZUWPUYJXNUWJUVPGIZUXLUYKUVOVIUXMUYLUVPXPUWIXPUYKUXLUVPXQUWIXQUVPUWIXRX
      SXGUWPUXPUXQXTXEYAYBYCYDYEVDYLUWGUWMUWLWNZUWFUWGUXDUYMUXEUXDUYCUVHUUPIZUY
      MUYFUVFXBUYNUYCUVHUUPNUYMUVHYFDUUPUVHUWIJXFYGXGTVSYHYIYJWIYMUVJUVECAUVCUV
      FARZUVGUURUVIUUTUVFAJQUYOUVHUUSJUVFALQUGUHYNVAYKYOUUQUUSUURFKZNZUUTUURNUU
      QUUSAUVLNZUVLXKZSZDYPZVMZUYPDAUUPYQUUQAUYPNZUYPXKZVUBUYPNZAUSUURWTVUCVUDS
      ZUYPVUAIVUEUYTVUFDUYPUURFXCUVLUYPRUYRVUCUYSVUDUVLUYPAYRUVLUYPYSYTUUAUYPVU
      AUUBUUDUUCUUEUYQUUTJUYPHZUURUUSUYPJUUFDVUGUURUVLVUGIZUVAJKZUVLRZBUYPMZUVL
      UURIZJUUGZVUHVUKUYEVUMWPUUPGJUUHWRBUVLUYPJUUIUUJVUJVULBUYPUVAUYPIVUIUURIV
      UJVULUVAUURUQVUIUVLUURUUKUULYKTUUMUUNTUUO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Scott's trick; collection principle; Hilbert's epsilon
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w A $.
    $( Scott's trick collects all sets that have a certain property and are of
       the smallest possible rank.  This theorem shows that the resulting
       collection, expressed as in Equation 9.3 of [Jech] p. 72, is a set.
       (Contributed by NM, 13-Oct-2003.) $)
    scottex $p |- { x e. A | A. y e. A ( rank ` x ) C_ ( rank ` y ) } e. _V $=
      ( vw vz c0 wceq crnk cfv wss wral crab cvv wcel 0ex eleq1 mpbiri syl con0
      cv rabexg wn wex neq0 nfra1 nfcv nfrabw nfel1 rsp ralrimivw ss2rab sylibr
      wi com12 wrex rankon fveq2 sseq1d elrab simprbi rgen sseq2 ralbidv rspcev
      mp2an bndrank ax-mp ssex exlimi sylbi pm2.61i ) CFGZATZHIZBTZHIZJZBCKZACL
      ZMNZVLCMNZVTVLWAFMNOCFMPQVRACMUARVLUBVOCNZBUCVTBCUDWBVTBBVSMVRBACVQBCUEBC
      UFUGUHWBVSVQACLZJZVTWBVRVQUMZACKWDWBWEACVRWBVQVQBCUIUNUJVRVQACUKULVSWCDTZ
      HIZETZJZDWCKZESUOZWCMNVPSNWGVPJZDWCKZWKVOUPWLDWCWFWCNWFCNWLVQWLAWFCVMWFGV
      NWGVPVMWFHUQURUSUTVAWJWMEVPSWHVPGWIWLDWCWHVPWGVBVCVDVEEDWCVFVGVHRVIVJVK
      $.
  $}

  ${
    $d x y A $.
    $( Scott's trick collects all sets that have a certain property and are of
       the smallest possible rank.  This theorem shows that the resulting
       collection, expressed as in Equation 9.3 of [Jech] p. 72, contains at
       least one representative with the property, if there is one.  In other
       words, the collection is empty iff no set has the property (i.e. ` A `
       is empty).  (Contributed by NM, 15-Oct-2003.) $)
    scott0 $p |- ( A = (/) <->
               { x e. A | A. y e. A ( rank ` x ) C_ ( rank ` y ) } = (/) ) $=
      ( c0 wceq cv crnk cfv wss crab wne wrex wcel mpan2 wa eqeq1 sylibr df-rex
      wex con0 wral rabeq rab0 eqtrdi ciin n0 nfre1 eqid rspe exlimi sylbi fvex
      cab anbi2d spcev eximi excom exbii 3imtr4i abn0 cint dfiin2 rankon mpbiri
      syl eleq1 rexlimivw abssi onint mpan eqeltrid nfii1 nfeq2 rexbid ibi ssid
      elabg fveq2 sseq1d rspcev iinss sseq1 syl5ib ralrimiv reximi 4syl necon4i
      rabn0 impbii ) CDEZAFZGHZBFZGHZIZBCUAZACJZDEWJWQWPADJDWPACDUBWPAUCUDCDWQD
      CDKZWPACLZWQDKWRWMWLEZACLZBUMZDKZACWLUEZXBMZXDWLEZACLZWSWRXABSZXCWRWLWLEZ
      ACLZXHWRWKCMZASXJACUFXKXJAXIACUGXKXIXJWLUHXIACUINUJUKXKXIOZASZXKWTOZASZBS
      ZXJXHXMXNBSZASXPXLXQAXNXLBWLWKGULZWTWTXIXKWMWLWLPUNUOUPXNBAUQQXIACRXAXOBW
      TACRURUSVEXABUTQXCXDXBVAZXBABCWLXRVBXBTIXCXSXBMXABTWTWMTMZACWTXTWLTMWKVCW
      MWLTVFVDVGVHXBVIVJVKXEXGXAXGBXDXBWMXDEWTXFACAWMXDACWLVLVMWMXDWLPVNVQVOXFW
      PACXFWOBCWMCMZXDWNIZXFWOYAWOACLZYBYAWNWNIZYCWNVPWOYDAWMCWKWMEWLWNWNWKWMGV
      RVSVTNACWLWNWAVEXDWLWNWBWCWDWEWFWPACWHQWGWI $.
  $}

  ${
    $d x y z $.  $d y z ph $.
    $( Theorem scheme version of ~ scottex .  The collection of all ` x ` of
       minimum rank such that ` ph ( x ) ` is true, is a set.  (Contributed by
       NM, 13-Oct-2003.) $)
    scottexs $p |- { x | ( ph /\
         A. y ( [. y / x ]. ph -> ( rank ` x ) C_ ( rank ` y ) ) ) } e. _V $=
      ( vz cv crnk cfv wss cab wral crab wsbc wi wal wa cvv wcel nfcv nfab1 nfv
      nfralw weq fveq2 sseq1d ralbidv cbvrabw df-rab df-ral df-sbc imbi1i albii
      abid bitr4i anbi12i abbii 3eqtri scottex eqeltrri ) DEZFGZCEZFGZHZCABIZJZ
      DVDKZAABVALZBEZFGZVBHZMZCNZOZBIZPVFVJCVDJZBVDKVHVDQZVOOZBIVNVEVODBVDDVDRA
      BSZVCBCVDVRVCBTUAVODTDBUBZVCVJCVDVSUTVIVBUSVHFUCUDUEUFVOBVDUGVQVMBVPAVOVL
      ABULVOVAVDQZVJMZCNVLVJCVDUHVKWACVGVTVJABVAUIUJUKUMUNUOUPDCVDUQUR $.
  $}

  ${
    $d x y z $.  $d y z ph $.
    $( Theorem scheme version of ~ scott0 .  The collection of all ` x ` of
       minimum rank such that ` ph ( x ) ` is true, is not empty iff there is
       an ` x ` such that ` ph ( x ) ` holds.  (Contributed by NM,
       13-Oct-2003.) $)
    scott0s $p |- ( E. x ph <-> { x | ( ph /\
       A. y ( [. y / x ]. ph -> ( rank ` x ) C_ ( rank ` y ) ) ) } =/= (/) ) $=
      ( vz wex cab c0 wne cv crnk cfv wss wi wal wa wceq wral crab wcel nfv weq
      wsbc abn0 scott0 nfab1 nfralw sseq1d ralbidv cbvrabw df-rab df-ral df-sbc
      nfcv fveq2 abid imbi1i albii bitr4i anbi12i abbii 3eqtri eqeq1i necon3bii
      bitri bitr3i ) ABEABFZGHAABCIZUBZBIZJKZVGJKZLZMZCNZOZBFZGHABUCVFGVPGVFGPD
      IZJKZVKLZCVFQZDVFRZGPVPGPDCVFUDWAVPGWAVLCVFQZBVFRVIVFSZWBOZBFVPVTWBDBVFDV
      FUMABUEZVSBCVFWEVSBTUFWBDTDBUAZVSVLCVFWFVRVJVKVQVIJUNUGUHUIWBBVFUJWDVOBWC
      AWBVNABUOWBVGVFSZVLMZCNVNVLCVFUKVMWHCVHWGVLABVGULUPUQURUSUTVAVBVDVCVE $.
  $}

  ${
    $d x y z w A $.  $d y z w B $.  $d w C $.  $d w D $.
    cplem1.1 $e |- C = { y e. B | A. z e. B ( rank ` y ) C_ ( rank ` z ) } $.
    cplem1.2 $e |- D = U_ x e. A C $.
    $( Lemma for the Collection Principle ~ cp .  (Contributed by NM,
       17-Oct-2003.) $)
    cplem1 $p |- A. x e. A ( B =/= (/) -> ( B i^i D ) =/= (/) ) $=
      ( vw c0 wne cin wi cv wcel wex wceq crnk cfv wral scott0 eqeq1i necon3bii
      wss crab bitr4i n0 bitri wa ssrab3 sseli ciun ssiun2 sseqtrrdi sseld jcad
      a1i inelcm syl6 exlimdv syl5bi rgen ) EKLZEGMKLZNADVDJOZFPZJQZAODPZVEVDFK
      LVHEKFKEKRBOSTCOSTUECEUAZBEUFZKRFKRBCEUBFVKKHUCUGUDJFUHUIVIVGVEJVIVGVFEPZ
      VFGPZUJVEVIVGVLVMVGVLNVIFEVFVJBEFHUKULURVIFGVFVIFADFUMGADFUNIUOUPUQVFEGUS
      UTVAVBVC $.
  $}

  ${
    $d x y z w A $.  $d y z w B $.
    cplem2.1 $e |- A e. _V $.
    $( Lemma for the Collection Principle ~ cp .  (Contributed by NM,
       17-Oct-2003.) $)
    cplem2 $p |- E. y A. x e. A ( B =/= (/) -> ( B i^i y ) =/= (/) ) $=
      ( vz vw c0 wne cv cin wi wral crnk cfv wss crab ciun scottex eqid neeq1d
      iunex wceq nfiu1 nfeq2 ineq2 imbi2d ralbid cplem1 ceqsexv2d ) DHIZDBJZKZH
      IZLZACMUKDACFJNOGJNOPGDMFDQZRZKZHIZLZACMBUQACUPEFGDSUBULUQUCZUOUTACAULUQA
      CUPUDUEVAUNUSUKVAUMURHULUQDUFUAUGUHAFGCDUPUQUPTUQTUIUJ $.
  $}

  ${
    $d ph z w $.  $d x y z w $.
    $( Collection Principle.  This remarkable theorem scheme is in effect a
       very strong generalization of the Axiom of Replacement.  The proof makes
       use of Scott's trick ~ scottex that collapses a proper class into a set
       of minimum rank.  The wff ` ph ` can be thought of as ` ph ( x , y ) ` .
       Scheme "Collection Principle" of [Jech] p. 72.  (Contributed by NM,
       17-Oct-2003.) $)
    cp $p |- E. w A. x e. z ( E. y ph -> E. y e. w ph ) $=
      ( cab c0 wne cv cin wi wral wex wrex vex cplem2 abn0 wcel wa exbii anbi1i
      elin abid ancom 3bitri nfab1 nfcv nfin df-rex 3bitr4i imbi12i ralbii mpbi
      n0f ) ACFZGHZUOEIZJZGHZKZBDIZLZEMACMZACUQNZKZBVALZEMBEVAUODOPVBVFEUTVEBVA
      UPVCUSVDACQCIZURRZCMVGUQRZASZCMUSVDVHVJCVHVGUORZVISAVISVJVGUOUQUBVKAVIACU
      CUAAVIUDUETCURCUOUQACUFCUQUGUHUNACUQUIUJUKULTUM $.
  $}

  ${
    $d ph z w $.  $d x y z w $.
    $( A very strong generalization of the Axiom of Replacement (compare
       ~ zfrep6 ), derived from the Collection Principle ~ cp .  Its strength
       lies in the rather profound fact that ` ph ( x , y ) ` does not have to
       be a "function-like" wff, as it does in the standard Axiom of
       Replacement.  This theorem is sometimes called the Boundedness Axiom.
       (Contributed by NM, 17-Oct-2004.) $)
    bnd $p |- ( A. x e. z E. y ph -> E. w A. x e. z E. y e. w ph ) $=
      ( wex cv wral wrex wi cp ralim eximii 19.37iv ) ACFZBDGZHZACEGIZBPHZEORJB
      PHQSJEABCDEKORBPLMN $.
  $}

  ${
    $d ph z w v $.  $d x z w v A $.  $d x y z w v B $.
    bnd2.1 $e |- A e. _V $.
    $( A variant of the Boundedness Axiom ~ bnd that picks a subset ` z ` out
       of a possibly proper class ` B ` in which a property is true.
       (Contributed by NM, 4-Feb-2004.) $)
    bnd2 $p |- ( A. x e. A E. y e. B ph ->
              E. z ( z C_ B /\ A. x e. A E. y e. z ph ) ) $=
      ( vw vv wrex wral cv wcel wa wex wss df-rex wi wceq raleq bnd vtocl sylbi
      ralbii exbidv imbi12d cin inex1 inss2 sseq1 mpbiri biantrurd rexeq bitrdi
      vex rexin ralbidv bitr3d spcev exlimiv syl ) ACFJZBEKZCLFMANZCHLZJZBEKZHO
      ZDLZFPZACVIJZBEKZNZDOZVCVDCOZBEKZVHVBVOBEACFQUDVOBILZKZVFBVQKZHOZRVPVHRIE
      GVQESZVRVPVTVHVOBVQETWAVSVGHVFBVQETUEUFVDBCIHUAUBUCVGVNHVMVGDVEFUGZVEFHUO
      UHVIWBSZVLVMVGWCVJVLWCVJWBFPVEFUIVIWBFUJUKULWCVKVFBEWCVKACWBJVFACVIWBUMAC
      VEFUPUNUQURUSUTVA $.
  $}

  ${
    $d x y z A $.
    $( The collection of all sets equinumerous to a set ` A ` and having the
       least possible rank is a set.  This is the part of the justification of
       the definition of kard of [Enderton] p. 222.  (Contributed by NM,
       14-Dec-2003.) $)
    kardex $p |- { x | ( x ~~ A /\
                  A. y ( y ~~ A -> ( rank ` x ) C_ ( rank ` y ) ) ) } e. _V $=
      ( vz cv crnk cfv wss cen wbr cab wral crab wi wal cvv wcel df-rab breq1
      wa vex elab ralab anbi12i abbii eqtri scottex eqeltrri ) AEZFGBEZFGHZBDEZ
      CIJZDKZLZAUNMZUICIJZUJCIJZUKNBOZTZAKZPUPUIUNQZUOTZAKVAUOAUNRVCUTAVBUQUOUS
      UMUQDUIAUAULUICISUBUMURUKBDULUJCISUCUDUEUFABUNUGUH $.
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d z C $.  $d z D $.
    karden.a $e |- A e. _V $.
    karden.c $e |- C =
       { x | ( x ~~ A /\ A. y ( y ~~ A -> ( rank ` x ) C_ ( rank ` y ) ) ) } $.
    karden.d $e |- D =
       { x | ( x ~~ B /\ A. y ( y ~~ B -> ( rank ` x ) C_ ( rank ` y ) ) ) } $.
    $( If we allow the Axiom of Regularity, we can avoid the Axiom of Choice by
       defining the cardinal number of a set as the set of all sets
       equinumerous to it and having the least possible rank.  This theorem
       proves the equinumerosity relationship for this definition (compare
       ~ carden ).  The hypotheses correspond to the definition of kard of
       [Enderton] p. 222 (which we don't define separately since currently we
       do not use it elsewhere).  This theorem along with ~ kardex justify the
       definition of kard.  The restriction to the least rank prevents the
       proper class that would result from ` { x | x ~~ A } ` .  (Contributed
       by NM, 18-Dec-2003.)  (Revised by AV, 12-Jul-2022.) $)
    karden $p |- ( C = D <-> A ~~ B ) $=
      ( vz vw cen wbr cv crnk c0 breq1 wa wi wal wceq cfv wss cab wral wrex wne
      crab wex enref ceqsexv2d abn0 mpbir scott0 necon3bii mpbi rabn0 wcel elab
      vex ralab anbi12i simpl wb eqeq12i abbi bitr4i fveq2 sseq1d imbi2d albidv
      a1i anbi12d bibi12d spvv sylbi syl6bi jcad ensym entr sylan syl6 rexlimdv
      syl5bi expd mpi enen2 imbi1d abbidv 3eqtr4g impbii ) EFUAZCDLMZWLJNZOUBZB
      NZOUBZUCZBKNZCLMZKUDZUEZJXAUFZWMXBJXAUHZPUGZXCXAPUGZXEXFWTKUIWTCCLMKCGWSC
      CLQCGUJUKWTKULUMXAPXDPJBXAUNUOUPXBJXAUQUPWLXBWMJXAWLWNXAURZXBWMXGXBRWNCLM
      ZWPCLMZWRSZBTZRZWLWMXGXHXBXKWTXHKWNJUTWSWNCLQUSWTXIWRBKWSWPCLQVAVBWLXLXHW
      NDLMZRWMWLXLXHXMXLXHSWLXHXKVCVLWLXLXMWPDLMZWRSZBTZRZXMWLANZCLMZXIXROUBZWQ
      UCZSZBTZRZXRDLMZXNYASZBTZRZVDZATZXLXQVDZWLYDAUDZYHAUDZUAYJEYLFYMHIVEYDYHA
      VFVGYIYKAJXRWNUAZYDXLYHXQYNXSXHYCXKXRWNCLQYNYBXJBYNYAWRXIYNXTWOWQXRWNOVHV
      IZVJVKVMYNYEXMYGXPXRWNDLQYNYFXOBYNYAWRXNYOVJVKVMVNVOVPXMXPVCVQVRXHCWNLMXM
      WMWNCVSCWNDVTWAWBWDWEWCWFWMYLYMEFWMYDYHAWMXSYEYCYGCDXRWGWMYBYFBWMXIXNYACD
      WPWGWHVKVMWIHIWJWK $.
    $( $j usage 'karden' avoids 'ax-ac' 'ax-ac2'; $)
  $}

  ${
    $d x y A $.  $d x y R $.
    htalem.1 $e |- A e. _V $.
    htalem.2 $e |- B = ( iota_ x e. A A. y e. A -. y R x ) $.
    $( Lemma for defining an emulation of Hilbert's epsilon.  Hilbert's epsilon
       is described at ~ http://plato.stanford.edu/entries/epsilon-calculus/ .
       This theorem is equivalent to Hilbert's "transfinite axiom", described
       on that page, with the additional ` R We A ` antecedent.  The element
       ` B ` is the epsilon that the theorem emulates.  (Contributed by NM,
       11-Mar-2004.)  (Revised by Mario Carneiro, 25-Jun-2015.) $)
    htalem $p |- ( ( R We A /\ A =/= (/) ) -> B e. A ) $=
      ( wwe c0 wne wa cv wbr wn wral crio wreu wcel cvv wss simpl ssidd riotacl
      a1i simpr wereu syl13anc syl eqeltrid ) CEHZCIJZKZDBLALEMNBCOZACPZCGULUMA
      CQZUNCRULUJCSRZCCTUKUOUJUKUAUPULFUDULCUBUJUKUEABCCESUFUGUMACUCUHUI $.
  $}

  ${
    $d x y $.  $d w z A $.  $d y ph $.  $d w z R $.
    hta.1 $e |- A = { x | ( ph /\ A. y ( [. y / x ]. ph ->
                                         ( rank ` x ) C_ ( rank ` y ) ) ) } $.
    hta.2 $e |- B = ( iota_ z e. A A. w e. A -. w R z ) $.
    $( A ZFC emulation of Hilbert's transfinite axiom.  The set ` B ` has the
       properties of Hilbert's epsilon, except that it also depends on a
       well-ordering ` R ` .  This theorem arose from discussions with Raph
       Levien on 5-Mar-2004 about translating the HOL proof language, which
       uses Hilbert's epsilon.  See
       ~ https://us.metamath.org/downloads/choice.txt (copy of obsolete link
       ~ http://ghilbert.org/choice.txt) and
       ~ https://us.metamath.org/downloads/megillaward2005he.pdf .

       Hilbert's epsilon is described at
       ~ http://plato.stanford.edu/entries/epsilon-calculus/ .  This theorem
       differs from Hilbert's transfinite axiom described on that page in that
       it requires ` R We A ` as an antecedent.  Class ` A ` collects the sets
       of the least rank for which ` ph ( x ) ` is true.  Class ` B ` , which
       emulates Hilbert's epsilon, is the minimum element in a well-ordering
       ` R ` on ` A ` .

       If a well-ordering ` R ` on ` A ` can be expressed in a closed form, as
       might be the case if we are working with say natural numbers, we can
       eliminate the antecedent with modus ponens, giving us the exact
       equivalent of Hilbert's transfinite axiom.  Otherwise, we replace ` R `
       with a dummy setvar variable, say ` w ` , and attach ` w We A ` as an
       antecedent in each step of the ZFC version of the HOL proof until the
       epsilon is eliminated.  At that point, ` B ` (which will have ` w ` as a
       free variable) will no longer be present, and we can eliminate
       ` w We A ` by applying ~ exlimiv and ~ weth , using ~ scottexs to
       establish the existence of ` A ` .

       For a version of this theorem scheme using class (meta)variables instead
       of wff (meta)variables, see ~ htalem .  (Contributed by NM,
       11-Mar-2004.)  (Revised by Mario Carneiro, 25-Jun-2015.) $)
    hta $p |- ( R We A -> ( ph -> [. B / x ]. ph ) ) $=
      ( c0 wne wwe wcel wsbc wex cv crnk cfv cab 19.8a wss wi wa scott0s neeq1i
      wal bitr4i sylib cvv scottexs eqeltri htalem ex simpl ss2abi sseli df-sbc
      eqsstri sylibr syl56 ) AFKLZFHMZGFNZABGOZAABPZVBABUAVFAABCQZOBQRSVGRSUBUC
      CUGZUDZBTZKLVBABCUEFVJKIUFUHUIVCVBVDDEFGHFVJUJIABCUKULJUMUNVDGABTZNVEFVKG
      FVJVKIVIABAVHUOUPUSUQABGURUTVA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Disjoint union
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c |_| $.
  $c inl $.
  $c inr $.

  $( Extend class notation to include disjoint union of two classes. $)
  cdju $a class ( A |_| B ) $.

  $( Extend class notation to include left injection of a disjoint union. $)
  cinl $a class inl $.

  $( Extend class notation to include right injection of a disjoint union. $)
  cinr $a class inr $.

  $( Disjoint union of two classes.  This is a way of creating a set which
     contains elements corresponding to each element of ` A ` or ` B ` ,
     tagging each one with whether it came from ` A ` or ` B ` .  (Contributed
     by Jim Kingdon, 20-Jun-2022.) $)
  df-dju $a |- ( A |_| B ) = ( ( { (/) } X. A ) u. ( { 1o } X. B ) ) $.

  $( Left injection of a disjoint union.  (Contributed by Mario Carneiro,
     21-Jun-2022.) $)
  df-inl $a |- inl = ( x e. _V |-> <. (/) , x >. ) $.

  $( Right injection of a disjoint union.  (Contributed by Mario Carneiro,
     21-Jun-2022.) $)
  df-inr $a |- inr = ( x e. _V |-> <. 1o , x >. ) $.

  $( Equality theorem for disjoint union.  (Contributed by Jim Kingdon,
     23-Jun-2022.) $)
  djueq12 $p |- ( ( A = B /\ C = D ) -> ( A |_| C ) = ( B |_| D ) ) $=
    ( wceq wa csn cxp c1o cun cdju xpeq2 adantr adantl uneq12d df-dju 3eqtr4g
    c0 ) ABEZCDEZFZRGZAHZIGZCHZJUBBHZUDDHZJACKBDKUAUCUFUEUGSUCUFETABUBLMTUEUGES
    CDUDLNOACPBDPQ $.

  $( Equality theorem for disjoint union.  (Contributed by Jim Kingdon,
     23-Jun-2022.) $)
  djueq1 $p |- ( A = B -> ( A |_| C ) = ( B |_| C ) ) $=
    ( wceq cdju eqid djueq12 mpan2 ) ABDCCDACEBCEDCFABCCGH $.

  $( Equality theorem for disjoint union.  (Contributed by Jim Kingdon,
     23-Jun-2022.) $)
  djueq2 $p |- ( A = B -> ( C |_| A ) = ( C |_| B ) ) $=
    ( wceq cdju eqid djueq12 mpan ) CCDABDCAECBEDCFCCABGH $.

  ${
    nfdju.1 $e |- F/_ x A $.
    nfdju.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for disjoint union.  (Contributed by
       Jim Kingdon, 23-Jun-2022.) $)
    nfdju $p |- F/_ x ( A |_| B ) $=
      ( cdju c0 csn cxp c1o cun df-dju nfcv nfxp nfun nfcxfr ) ABCFGHZBIZJHZCIZ
      KBCLARTAQBAQMDNASCASMENOP $.
  $}

  $( The disjoint union of sets is a set.  For a shorter proof using ~ djuss
     see ~ djuexALT .  (Contributed by AV, 28-Jun-2022.) $)
  djuex $p |- ( ( A e. V /\ B e. W ) -> ( A |_| B ) e. _V ) $=
    ( wcel wa cdju csn cxp c1o cun cvv df-dju snex a1i xpexg sylan ancoms unexg
    c0 syl2anc eqeltrid ) ACEZBDEZFZABGTHZAIZJHZBIZKZLABMUEUGLEZUILEZUJLEUDUCUK
    UDUFLEZUCUKUMUDTNOUFALCPQRUCUHLEZUDULUNUCJNOUHBLDPQUGUILLSUAUB $.

  $( The disjoint union of two classes is a set iff both classes are sets.
     (Contributed by Jim Kingdon, 6-Sep-2023.) $)
  djuexb $p |- ( ( A e. _V /\ B e. _V ) <-> ( A |_| B ) e. _V ) $=
    ( cvv wcel wa cdju djuex c0 csn cxp c1o cun wne wi rnexg rnxp eleq1d syl5ib
    crn ax-mp df-dju eleq1i unexb bitr4i 0nep0 necomi 1oex anim12i sylbi impbii
    snnz ) ACDZBCDZEZABFZCDZABCCGUPHIZAJZCDZKIZBJZCDZEZUNUPURVALZCDVCUOVDCABUAU
    BURVAUCUDUSULVBUMUQHMZUSULNHUQUEUFUSURSZCDVEULURCOVEVFACUQAPQRTUTHMZVBUMNKU
    GUKVBVASZCDVGUMVACOVGVHBCUTBPQRTUHUIUJ $.

  ${
    $d C x $.
    $( Left closure of disjoint union.  (Contributed by Jim Kingdon,
       21-Jun-2022.) $)
    djulcl $p |- ( C e. A -> ( inl ` C ) e. ( A |_| B ) ) $=
      ( vx wcel cinl cfv c0 cop cdju cvv csn cxp df-inl opeq2 elex snid opelxpi
      cv 0ex mpan fvmptd3 c1o cun elun1 syl df-dju eleqtrrdi eqeltrd ) CAEZCFGH
      CIZABJZUJDCHDSZIUKKFHLZAMZDNUMCHOCAPHUNEUJUKUOEZHTQHCUNARUAZUBUJUKUOUCLBM
      ZUDZULUJUPUKUSEUQUKUOURUEUFABUGUHUI $.
  $}

  ${
    $d C x $.
    $( Right closure of disjoint union.  (Contributed by Jim Kingdon,
       21-Jun-2022.) $)
    djurcl $p |- ( C e. B -> ( inr ` C ) e. ( A |_| B ) ) $=
      ( wcel cinr cfv c1o cop cdju cvv csn cxp wceq elex 1oex snid opelxpi mpan
      vx cv opeq2 df-inr fvmptg syl2anc cun elun2 syl df-dju eleqtrrdi eqeltrd
      c0 ) CBDZCEFZGCHZABIZULCJDUNGKZBLZDZUMUNMCBNGUPDULURGOPGCUPBQRZSCGSTZHUNJ
      UQEUTCGUASUBUCUDULUNUKKALZUQUEZUOULURUNVBDUSUNUQVAUFUGABUHUIUJ $.
  $}

  ${
    $d x y $.
    $( The left injection function on all sets is one to one and onto.
       (Contributed by Jim Kingdon, 22-Jun-2022.) $)
    djulf1o $p |- inl : _V -1-1-onto-> ( { (/) } X. _V ) $=
      ( vx vy cvv c0 csn cxp cinl wf1o wtru cv cop c2nd cfv df-inl wcel opelxpi
      0ex snid mpan wceq adantl wa fvexd wb c1st 1st2nd2 xp1st elsni syl opeq1d
      eqtrd eqeq2d eqcom eqid opth mpbiran 3bitr3g bicomd ad2antll f1o2d mptru
      vex ) CDEZCFZGHIABCVDDAJZKZBJZLMZGANVECOZVFVDOZIDVCOVIVJDQRDVEVCCPSUAIVGV
      DOZUBVGLUCVKVEVHTZVGVFTZUDIVIVKVMVLVKVFVGTVFDVHKZTZVMVLVKVGVNVFVKVGVGUEMZ
      VHKVNVGVCCUFVKVPDVHVKVPVCOVPDTVGVCCUGVPDUHUIUJUKULVFVGUMVODDTVLDUNDVEDVHQ
      AVBUOUPUQURUSUTVA $.
  $}

  ${
    $d x y $.
    $( The right injection function on all sets is one to one and onto.
       (Contributed by Jim Kingdon, 22-Jun-2022.) $)
    djurf1o $p |- inr : _V -1-1-onto-> ( { 1o } X. _V ) $=
      ( vx vy cvv c1o csn cxp cinr wf1o wtru cop c2nd cfv df-inr wcel com snidg
      cv 1onn ax-mp wceq opelxpi mpan adantl wa fvexd wb c1st 1st2nd2 xp1st syl
      elsni opeq1d eqtrd eqeq2d eqcom eqid 1oex vex opth mpbiran 3bitr3g bicomd
      ad2antll f1o2d mptru ) CDEZCFZGHIABCVGDAQZJZBQZKLZGAMVHCNZVIVGNZIDVFNZVLV
      MDONVNRDOPSDVHVFCUAUBUCIVJVGNZUDVJKUEVOVHVKTZVJVITZUFIVLVOVQVPVOVIVJTVIDV
      KJZTZVQVPVOVJVRVIVOVJVJUGLZVKJVRVJVFCUHVOVTDVKVOVTVFNVTDTVJVFCUIVTDUKUJUL
      UMUNVIVJUOVSDDTVPDUPDVHDVKUQAURUSUTVAVBVCVDVE $.
  $}

  ${
    $d A x $.  $d B x $.
    $( The left injection restricted to the left class of a disjoint union is a
       function from the left class into the disjoint union.  (Contributed by
       AV, 27-Jun-2022.) $)
    inlresf $p |- ( inl |` A ) : A --> ( A |_| B ) $=
      ( vx cdju cinl cres wf cv cdm wcel cfv wa cvv c0 csn cxp wf1o wfun wral
      wb djulf1o f1ofun ffvresb mp2b elex cop opex df-inl dmmpti djulcl mprgbir
      eleqtrrdi jca ) AABDZEAFGZCHZEIZJZUPEKUNJZLZCAMNOMPZEQERUOUTCASTUAMVAEUBC
      AUNEUCUDUPAJZURUSVBUPMUQUPAUECMNUPUFENUPUGCUHUIULABUPUJUMUK $.

    $( The left injection restricted to the left class of a disjoint union is
       an injective function from the left class into the disjoint union.
       (Contributed by AV, 28-Jun-2022.) $)
    inlresf1 $p |- ( inl |` A ) : A -1-1-> ( A |_| B ) $=
      ( cvv c0 csn cxp cinl wf1 wss cdju cres wf wf1o djulf1o f1of1 ssv inlresf
      ax-mp f1resf1 mp3an ) CDECFZGHZACIAABJZGAKZLAUCUDHCUAGMUBNCUAGORAPABQCUAA
      UCGST $.

    $( The right injection restricted to the right class of a disjoint union is
       a function from the right class into the disjoint union.  (Contributed
       by AV, 27-Jun-2022.) $)
    inrresf $p |- ( inr |` B ) : B --> ( A |_| B ) $=
      ( vx cdju cinr cres wf cv cdm wcel cfv wa cvv c1o csn cxp wf1o wfun wral
      wb djurf1o f1ofun ffvresb mp2b elex cop opex df-inr dmmpti djurcl mprgbir
      eleqtrrdi jca ) BABDZEBFGZCHZEIZJZUPEKUNJZLZCBMNOMPZEQERUOUTCBSTUAMVAEUBC
      BUNEUCUDUPBJZURUSVBUPMUQUPBUECMNUPUFENUPUGCUHUIULABUPUJUMUK $.

    $( The right injection restricted to the right class of a disjoint union is
       an injective function from the right class into the disjoint union.
       (Contributed by AV, 28-Jun-2022.) $)
    inrresf1 $p |- ( inr |` B ) : B -1-1-> ( A |_| B ) $=
      ( cvv c1o csn cxp cinr wf1 wss cdju cres wf1o djurf1o f1of1 ax-mp inrresf
      wf ssv f1resf1 mp3an ) CDECFZGHZBCIBABJZGBKZQBUCUDHCUAGLUBMCUAGNOBRABPCUA
      BUCGST $.
  $}

  ${
    $( The images of any classes under right and left injection produce
       disjoint sets.  (Contributed by Jim Kingdon, 21-Jun-2022.) $)
    djuin $p |- ( ( inl " A ) i^i ( inr " B ) ) = (/) $=
      ( cinr cima cinl cin incom c1o csn cvv cxp wss wceq crn imassrn wf1o f1of
      c0 wf mp2b djurf1o frn sstri djulf1o wne 1n0 necomi disjsn2 xpdisj1 mp2an
      ssdisj eqtr3i ) CBDZEADZFZUNUMFRUMUNGUMHIZJKZLUQUNFZRMUORMUMCNZUQCBOJUQCP
      JUQCSUSUQLUAJUQCQJUQCUBTUCUNUQFZURRUNUQGUNRIZJKZLVBUQFRMZUTRMUNENZVBEAOJV
      BEPJVBESVDVBLUDJVBEQJVBEUBTUCRHUEVAUPFRMVCHRUFUGRHUHVAUPJJUITUNVBUQUKUJUL
      UMUQUNUKUJUL $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x y z $.
    $( A member of a disjoint union can be mapped from one of the classes which
       produced it.  (Contributed by Jim Kingdon, 23-Jun-2022.) $)
    djur $p |- ( C e. ( A |_| B ) -> ( E. x e. A C = ( inl ` x )
        \/ E. x e. B C = ( inr ` x ) ) ) $=
      ( vy vz wcel c0 csn cxp c1o wo cv cinl cfv wceq cinr c2nd cop cvv 1st2nd2
      cdju wrex df-dju eleq2i elun sylbb xp2nd c1st wb xp1st elsni opeq1 eqeq2d
      3syl mpbid fvexd opex opeq2 df-inl fvmptg sylancl eqtr4d rspceeqv syl2anc
      cun fveq2 df-inr orim12i syl ) DBCUBZGZDHIZBJZGZDKIZCJZGZLZDAMZNOZPABUCZD
      VTQOZPACUCZLVLDVNVQVFZGVSVKWEDBCUDUEDVNVQUFUGVOWBVRWDVODROZBGDWFNOZPWBDVM
      BUHVODHWFSZWGVODDUIOZWFSZPZDWHPZDVMBUAVOWIVMGWIHPZWKWLUJDVMBUKWIHULWMWJWH
      DWIHWFUMUNUOUPVOWFTGZWHTGWGWHPVODRUQHWFUREWFHEMZSWHTTNWOWFHUSEUTVAVBVCAWF
      BWAWGDVTWFNVGVDVEVRWFCGDWFQOZPWDDVPCUHVRDKWFSZWPVRWKDWQPZDVPCUAVRWIVPGWIK
      PZWKWRUJDVPCUKWIKULWSWJWQDWIKWFUMUNUOUPVRWNWQTGWPWQPVRDRUQKWFURFWFKFMZSWQ
      TTQWTWFKUSFVHVAVBVCAWFCWCWPDVTWFQVGVDVEVIVJ $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( A disjoint union is a subclass of a Cartesian product.  (Contributed by
       AV, 25-Jun-2022.) $)
    djuss $p |- ( A |_| B ) C_ ( { (/) , 1o } X. ( A u. B ) ) $=
      ( vx vy c0 c1o cv wcel cinl cfv wceq wrex cinr cop simpr cvv opeq2 adantr
      wa elex cdju cpr cun cxp wo djur df-inl a1i fvmptd3 eqtrd elun1 0ex prid1
      opex jctil opelxp sylibr rexlimiva df-inr elun2 1oex prid2 jaoi syl ssriv
      eqeltrd ) CABUAZEFUBZABUCZUDZCGZVGHVKDGZIJZKZDALZVKVLMJZKZDBLZUEVKVJHZDAB
      VKUFVOVSVRVNVSDAVLAHZVNSZVKEVLNZVJWAVKVMWBVTVNOVTVMWBKVNVTCVLEVKNWBPIPCUG
      VKVLEQVLATWBPHVTEVLUNUHUIRUJWAEVHHZVLVIHZSZWBVJHVTWEVNVTWDWCVLABUKEFULUMU
      OREVLVHVIUPUQVFURVQVSDBVLBHZVQSZVKFVLNZVJWGVKVPWHWFVQOWFVPWHKVQWFCVLFVKNW
      HPMPCUSVKVLFQVLBTWHPHWFFVLUNUHUIRUJWGFVHHZWDSWHVJHWGWDWIWFWDVQVLBAUTREFVA
      VBUOFVLVHVIUPUQVFURVCVDVE $.

    $d A x y z $.  $d B z $.
    $( The union of a disjoint union and its inversion is the Cartesian product
       of an unordered pair and the union of the left and right classes of the
       disjoint unions.  (Proposed by GL, 4-Jul-2022.)  (Contributed by AV,
       4-Jul-2022.) $)
    djuunxp $p |- ( ( A |_| B ) u. ( B |_| A ) )
                  = ( { (/) , 1o } X. ( A u. B ) ) $=
      ( vy vz cun c0 c1o cv wcel wa wo elun anim1i ancoms opelxp sylibr orcd ex
      cxp olcd vx cdju cpr djuss uncom xpeq2i sseqtrri unssi cop wceq wex elxpi
      csn vex elpr wi velsn biimpri jaoi com12 imp syl2anb df-dju bitri orbi12i
      eleq2i adantl wb eleq1 adantr mpbird exlimivv syl ssriv eqssi ) ABUBZBAUB
      ZEZFGUCZABEZSZVPVQWAABUDVQVSBAEZSWABAUDVTWBVSABUEUFUGUHUAWAVRUAHZWAIWCCHZ
      DHZUIZUJZWDVSIZWEVTIZJZJZDUKCUKWCVRIZCDWCVSVTULWKWLCDWKWLWFVRIZWJWMWGWJWF
      FUMZASZGUMZBSZEZIZWFWNBSZIZWFWPASZIZKZKZWMWHWDFUJZWDGUJZKZWEAIZWEBIZKZXEW
      IWDFGCUNUOWEABLXHXKXEXFXKXEUPXGXKXFXEXIXFXEUPXJXIXFXEXIXFJZWSXDXLWFWOIZWF
      WQIZKZWSXLXMXNXLWDWNIZXIJZXMXFXIXQXFXPXIXPXFCFUQURZMNWDWEWNAOPQWFWOWQLZPQ
      RXJXFXEXJXFJZXDWSXTXAXCXTXPXJJZXAXFXJYAXFXPXJXRMNWDWEWNBOPQTRUSUTXKXGXEXI
      XGXEUPXJXIXGXEXIXGJZXDWSYBXCXAYBWDWPIZXIJZXCXGXIYDXGYCXIYCXGCGUQURZMNWDWE
      WPAOPTTRXJXGXEXJXGJZWSXDYFXOWSYFXNXMYFYCXJJZXNXGXJYGXGYCXJYEMNWDWEWPBOPTX
      SPQRUSUTUSVAVBWMWFVPIZWFVQIZKXEWFVPVQLYHWSYIXDVPWRWFABVCVFYIWFWTXBEZIXDVQ
      YJWFBAVCVFWFWTXBLVDVEVDPVGWGWLWMVHWJWCWFVRVIVJVKVLVMVNVO $.
  $}

  $( Alternate proof of ~ djuex , which is shorter, but based indirectly on the
     definitions of ` inl ` and ` inr ` .  (Proposed by BJ, 28-Jun-2022.)
     (Contributed by AV, 28-Jun-2022.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  djuexALT $p |- ( ( A e. V /\ B e. W ) -> ( A |_| B ) e. _V ) $=
    ( wcel wa cdju c1o cpr cun cxp cvv prex unexg xpexg sylancr wss djuss a1i
    c0 ssexd ) ACEBDEFZABGZTHIZABJZKZLUBUDLEUELEUFLETHMABCDNUDUELLOPUCUFQUBABRS
    UA $.

  $( The first component of an element of a disjoint union is either ` (/) ` or
     ` 1o ` .  (Contributed by AV, 26-Jun-2022.) $)
  eldju1st $p |- ( X e. ( A |_| B )
                   -> ( ( 1st ` X ) = (/) \/ ( 1st ` X ) = 1o ) ) $=
    ( cdju c0 c1o cpr cun cxp wss wcel c1st cfv wceq wo djuss ssel2 xp1st elpri
    wa 3syl mpan ) ABDZEFGZABHZIZJZCUCKZCLMZENUIFNOZABPUGUHTCUFKUIUDKUJUCUFCQCU
    DUERUIEFSUAUB $.

  $( The second component of an element of a disjoint union is an element of
     the left class of the disjoint union if its first component is the empty
     set.  (Contributed by AV, 26-Jun-2022.) $)
  eldju2ndl $p |- ( ( X e. ( A |_| B ) /\ ( 1st ` X ) = (/) )
                       -> ( 2nd ` X ) e. A ) $=
    ( cdju wcel c1st cfv c0 wceq c2nd csn cxp c1o wo wi cun wa elxp6 sylbi wne
    df-dju eleq2i elun bitri cop simprr a1d elsni 1n0 neeq1 eqneqall com12 3syl
    mpbiri ad2antrl jaoi imp ) CABDZEZCFGZHIZCJGZAEZUSCHKZALZEZCMKZBLZEZNZVAVCO
    ZUSCVEVHPZEVJURVLCABUAUBCVEVHUCUDVFVKVIVFCUTVBUEIZUTVDEZVCQQZVKCVDARVOVCVAV
    MVNVCUFUGSVIVMUTVGEZVBBEZQQVKCVGBRVPVKVMVQVPUTMIZUTHTZVKUTMUHVRVSMHTUIUTMHU
    JUNVAVSVCVCUTHUKULUMUOSUPSUQ $.

  $( The second component of an element of a disjoint union is an element of
     the right class of the disjoint union if its first component is not the
     empty set.  (Contributed by AV, 26-Jun-2022.) $)
  eldju2ndr $p |- ( ( X e. ( A |_| B ) /\ ( 1st ` X ) =/= (/) )
                       -> ( 2nd ` X ) e. B ) $=
    ( cdju wcel c1st cfv c0 wne c2nd csn cxp c1o wo wi cun wceq wa elxp6 sylbi
    df-dju eleq2i elun bitri cop elsni eqneqall syl ad2antrl simprr a1d jaoi
    imp ) CABDZEZCFGZHIZCJGZBEZUOCHKZALZEZCMKZBLZEZNZUQUSOZUOCVAVDPZEVFUNVHCABU
    AUBCVAVDUCUDVBVGVEVBCUPURUEQZUPUTEZURAEZRRVGCUTASVJVGVIVKVJUPHQVGUPHUFUSUPH
    UGUHUITVEVIUPVCEZUSRRZVGCVCBSVMUSUQVIVLUSUJUKTULTUM $.

  ${
    $d A x y u z $.  $d B x y u z $.
    $( The disjoint union of two classes is the union of the images of those
       two classes under right and left injection.  (Contributed by Jim
       Kingdon, 22-Jun-2022.) $)
    djuun $p |- ( ( inl " A ) u. ( inr " B ) ) = ( A |_| B ) $=
      ( vu vz vy cinl cinr cv wcel c0 cxp c1o cfv wceq wrex cvv wb ax-mp mp2an
      wa vx cima cun cdju wo elun csn wfn wss djulf1o f1ofn ssv fvelimab biimpi
      wf1o simprr cop vex opex df-inl fvmptg 0ex snid opelxpi ad2antrl eqeltrid
      opeq2 mpan eqeltrrd rexlimddv elun1 df-dju eleqtrrdi djurf1o df-inr elun2
      syl 1oex jaoi sylbi ssriv djur f1odm eleqtrri simpl wfun funmpt2 funfvima
      cdm wi mpsyl eleq1 adantl mpbird rexlimiva f1ofun orim12i sylibr eqssi )
      FAUBZGBUBZUCZABUDZUAXBXCUAHZXBIZXDWTIZXDXAIZUEZXDXCIZXDWTXAUFZXFXIXGXFXDJ
      UGZAKZLUGZBKZUCZXCXFXDXLIZXDXOIZXFCHZFMZXDNZXPCAXFXTCAOZFPUHZAPUIXFYAQPXK
      PKZFUOZYBUJPYCFUKRAULCPAXDFUMSUNXFXRAIZXTTTZXSXDXLXFYEXTUPYFXSJXRUQZXLXRP
      IZYGPIXSYGNCURZJXRUSDXRJDHZUQZYGPPFYJXRJVGDUTZVASYEYGXLIZXFXTJXKIYEYMJVBV
      CJXRXKAVDVHVEVFVIVJXDXLXNVKVQABVLZVMXGXDXOXCXGXDXNIZXQXGXRGMZXDNZYOCBXGYQ
      CBOZGPUHZBPUIXGYRQPXMPKZGUOZYSVNPYTGUKRBULCPBXDGUMSUNXGXRBIZYQTTZYPXDXNXG
      UUBYQUPUUCYPLXRUQZXNYHUUDPIYPUUDNYILXRUSDXRLYJUQUUDPPGYJXRLVGDVOVASUUBUUD
      XNIZXGYQLXMIUUBUUELVRVCLXRXMBVDVHVEVFVIVJXDXNXLVPVQYNVMVSVTWAUAXCXBXIXHXE
      XIXDEHZFMZNZEAOZXDUUFGMZNZEBOZUEXHEABXDWBUUIXFUULXGUUHXFEAUUFAIZUUHTZXFUU
      GWTIZUUFFWIZIZUUNUUMUUOUUFPUUPEURZYDUUPPNUJPYCFWCRWDUUMUUHWEFWFUUQUUMUUOW
      JDPYKFYLWGAUUFFWHVHWKUUHXFUUOQUUMXDUUGWTWLWMWNWOUUKXGEBUUFBIZUUKTZXGUUJXA
      IZUUFGWIZIZUUTUUSUVAUUFPUVBUURUUAUVBPNVNPYTGWCRWDUUSUUKWEGWFZUVCUUSUVAWJU
      UAUVDVNPYTGWPRBUUFGWHVHWKUUKXGUVAQUUSXDUUJXAWLWMWNWOWQVQXJWRWAWS $.
  $}

  ${
    $d V x $.  $d X x $.
    $( The first component of the value of a left injection is the empty set.
       (Contributed by AV, 27-Jun-2022.) $)
    1stinl $p |- ( X e. V -> ( 1st ` ( inl ` X ) ) = (/) ) $=
      ( vx wcel cinl cfv c1st c0 cop cv cvv df-inl elex opex a1i fvmptd3 fveq2d
      opeq2 wceq 0ex op1stg mpan eqtrd ) BADZBEFZGFHBIZGFZHUDUEUFGUDCBHCJZIUFKE
      KCLUHBHRBAMUFKDUDHBNOPQHKDUDUGHSTHBKAUAUBUC $.

    $( The second component of the value of a left injection is its argument.
       (Contributed by AV, 27-Jun-2022.) $)
    2ndinl $p |- ( X e. V -> ( 2nd ` ( inl ` X ) ) = X ) $=
      ( vx wcel cinl cfv c2nd c0 cop cv cvv df-inl elex opex a1i fvmptd3 fveq2d
      opeq2 wceq 0ex op2ndg mpan eqtrd ) BADZBEFZGFHBIZGFZBUDUEUFGUDCBHCJZIUFKE
      KCLUHBHRBAMUFKDUDHBNOPQHKDUDUGBSTHBKAUAUBUC $.

    $( The first component of the value of a right injection is ` 1o ` .
       (Contributed by AV, 27-Jun-2022.) $)
    1stinr $p |- ( X e. V -> ( 1st ` ( inr ` X ) ) = 1o ) $=
      ( vx wcel cinr cfv c1st c1o cop cv cvv df-inr opeq2 elex opex a1i fvmptd3
      fveq2d wceq 1oex op1stg mpan eqtrd ) BADZBEFZGFHBIZGFZHUDUEUFGUDCBHCJZIUF
      KEKCLUHBHMBANUFKDUDHBOPQRHKDUDUGHSTHBKAUAUBUC $.

    $( The second component of the value of a right injection is its argument.
       (Contributed by AV, 27-Jun-2022.) $)
    2ndinr $p |- ( X e. V -> ( 2nd ` ( inr ` X ) ) = X ) $=
      ( vx wcel cinr cfv c2nd c1o cop cv cvv df-inr opeq2 elex opex a1i fvmptd3
      fveq2d wceq 1oex op2ndg mpan eqtrd ) BADZBEFZGFHBIZGFZBUDUEUFGUDCBHCJZIUF
      KEKCLUHBHMBANUFKDUDHBOPQRHKDUDUGBSTHBKAUAUBUC $.
  $}

  ${
    updjud.f $e |- ( ph -> F : A --> C ) $.
    updjud.g $e |- ( ph -> G : B --> C ) $.
    ${
      $d A x $.  $d B x $.  $d C x $.  $d ph x $.
      updjudhf.h $e |- H = ( x e. ( A |_| B ) |-> if ( ( 1st ` x ) = (/) ,
                           ( F ` ( 2nd ` x ) ) , ( G ` ( 2nd ` x ) ) ) ) $.
      $( The mapping of an element of the disjoint union to the value of the
         corresponding function is a function.  (Contributed by AV,
         26-Jun-2022.) $)
      updjudhf $p |- ( ph -> H : ( A |_| B ) --> C ) $=
        ( cfv c0 wcel ex wf wi ffvelrn syl sylan9r cdju c1st wceq cif eldju2ndl
        cv c2nd wa imp wn wne df-ne eldju2ndr syl5bir ifclda fmptd ) ABCDUAZBUF
        ZUBLZMUCZURUGLZFLZVAGLZUDEHAURUQNZUHZUTVBVCEVEUTVBENZVDUTVACNZAVFVDUTVG
        CDURUEOACEFPZVGVFQIVHVGVFCEVAFROSTUIVEUTUJZVCENZVIUSMUKZVEVJUSMULVDVKVA
        DNZAVJVDVKVLCDURUMOADEGPZVLVJQJVMVLVJDEVAGROSTUNUIUOKUP $.

      $d A a x $.  $d F a x $.  $d H a $.  $d ph a $.
      $( The composition of the mapping of an element of the disjoint union to
         the value of the corresponding function and the left injection equals
         the first function.  (Contributed by AV, 27-Jun-2022.) $)
      updjudhcoinlf $p |- ( ph -> ( H o. ( inl |` A ) ) = F ) $=
        ( va cinl wfn cfv c2nd wceq adantl c1st c0 cres ccom cdju updjudhf ffnd
        crn wss wf inlresf ffn mp1i frn fnco syl3anc cv wcel fvco2 sylan fveq2d
        wa fvres cif fveqeq2 2fveq3 ifbieq12d 1stinl adantr eqtrd djulcl 2ndinl
        iftrued simpr eqeltrd ffvelrnd fvmptd2 3eqtrd eqfnfvd ) ALCHMCUAZUBZFAH
        CDUCZNVRCNZVRUFVTUGZVSCNAVTEHABCDEFGHIJKUDUECVTVRUHZWAACDUIZCVTVRUJUKZW
        CWBAWDCVTVRULUKVTCHVRUMUNACEFIUEALUOZCUPZUTZWFVSOZWFVROZHOZWFMOZPOZFOZW
        FFOAWAWGWIWKQWECHVRWFUQURWHWKWLHOWNWHWJWLHWGWJWLQAWFCMVARUSWHBWLBUOZSOT
        QZWOPOZFOZWQGOZVBZWNVTHEKWHWOWLQZUTZWTWLSOTQZWNWMGOZVBZWNXAWTXEQWHXAWPX
        CWRWSWNXDWOWLTSVCWOWLFPVDWOWLGPVDVERXBXCWNXDWHXCXAWGXCACWFVFRVGVKVHWGWL
        VTUPACDWFVIRWHCEWMFACEFUHWGIVGWHWMWFCWGWMWFQACWFVJRZAWGVLVMVNVOVHWHWMWF
        FXFUSVPVQ $.

      $d B b x $.  $d G b x $.  $d H b $.  $d ph b $.
      $( The composition of the mapping of an element of the disjoint union to
         the value of the corresponding function and the right injection equals
         the second function.  (Contributed by AV, 27-Jun-2022.) $)
      updjudhcoinrg $p |- ( ph -> ( H o. ( inr |` B ) ) = G ) $=
        ( cinr wfn cfv c2nd wceq adantl c1st c0 c1o cres ccom cdju crn updjudhf
        vb wss ffnd wf inrresf ffn mp1i frn fnco syl3anc cv wcel wa fvco2 sylan
        fvres fveq2d cif fveqeq2 2fveq3 ifbieq12d wn 1stinr 1n0 neii mtbiri syl
        eqeq1 adantr iffalsed eqtrd djurcl 2ndinr simpr eqeltrd ffvelrnd 3eqtrd
        fvmptd2 eqfnfvd ) AUFDHLDUAZUBZGAHCDUCZMWEDMZWEUDWGUGZWFDMAWGEHABCDEFGH
        IJKUEUHDWGWEUIZWHACDUJZDWGWEUKULZWJWIAWKDWGWEUMULWGDHWEUNUOADEGJUHAUFUP
        ZDUQZURZWMWFNZWMWENZHNZWMLNZONZGNZWMGNAWHWNWPWRPWLDHWEWMUSUTWOWRWSHNXAW
        OWQWSHWNWQWSPAWMDLVAQVBWOBWSBUPZRNSPZXBONZFNZXDGNZVCZXAWGHEKWOXBWSPZURZ
        XGWSRNZSPZWTFNZXAVCZXAXHXGXMPWOXHXCXKXEXFXLXAXBWSSRVDXBWSFOVEXBWSGOVEVF
        QXIXKXLXAWOXKVGZXHWNXNAWNXJTPZXNDWMVHXOXKTSPTSVIVJXJTSVMVKVLQVNVOVPWNWS
        WGUQACDWMVQQWODEWTGADEGUIWNJVNWOWTWMDWNWTWMPADWMVRQZAWNVSVTWAWCVPWOWTWM
        GXPVBWBWD $.
    $}

    $d A h k x $.  $d A k x y z $.  $d B h k x $.  $d B k x y z $.
    $d C h k x $.  $d C k x y z $.  $d F h k x $.  $d F k x y z $.
    $d G h k x $.  $d G k x y z $.  $d h k ph x $.  $d ph x y z $.
    updjud.a $e |- ( ph -> A e. V ) $.
    updjud.b $e |- ( ph -> B e. W ) $.
    $( Universal property of the disjoint union.  This theorem shows that the
       disjoint union, together with the left and right injections ~ df-inl and
       ~ df-inr , is the _coproduct_ in the category of sets, see Wikipedia
       "Coproduct", ~ https://en.wikipedia.org/wiki/Coproduct (25-Aug-2023).
       This is a special case of Example 1 of coproducts in Section 10.67 of
       [Adamek] p. 185.  (Proposed by BJ, 25-Jun-2022.)  (Contributed by AV,
       28-Jun-2022.) $)
    updjud $p |- ( ph -> E! h ( h : ( A |_| B ) --> C
                                /\ ( h o. ( inl |` A ) ) = F
                                /\ ( h o. ( inr |` B ) ) = G ) ) $=
      ( vk wceq cvv wi wa cfv wcel vx vy vz cdju cv wf cinl cres ccom cinr wreu
      w3a weu wral wrex c1st c0 c2nd cif cmpt jca djuex mptexg 3syl feq1 eqeq1d
      wb coeq1 3anbi123d eqeq1 imbi2d ralbidv anbi12d adantl eqid updjudhcoinlf
      updjudhf updjudhcoinrg simpr eqeq2 fvres eqcomd eqeq2d fveq1 ad2antrr wfn
      wo inlresf ffn mp1i fvco2 sylan 3eqtr3d eqeq12d syl5ibrcom sylbid expimpd
      fveq2 ex eqcoms syl6bir com23 3ad2ant2 impcom com12 inrresf 3ad2ant3 jaoi
      rexlimiva syl11 ralrimiv 3ad2ant1 eqfnfv syl2an mpbird ralrimivw rspcedvd
      djur mp3and reu8 sylibr reuv sylib ) ABCUDZDEUEZUFZYEUGBUHZUIZFOZYEUJCUHZ
      UIZGOZULZEPUKZYMEUMAYMYDDNUEZUFZYOYGUIZFOZYOYJUIZGOZULZYEYOOZQZNPUNZRZEPU
      OYNAUUEYDDUAYDUAUEZUPSUQOUUFURSZFSUUGGSUSZUTZUFZUUIYGUIZFOZUUIYJUIZGOZULZ
      UUAUUIYOOZQZNPUNZRZEUUIPABHTZCITZRYDPTUUIPTAUUTUVALMVABCHIVBUAYDUUHPVCVDY
      EUUIOZUUEUUSVGAUVBYMUUOUUDUURUVBYFUUJYIUULYLUUNYDDYEUUIVEUVBYHUUKFYEUUIYG
      VHVFUVBYKUUMGYEUUIYJVHVFVIUVBUUCUUQNPUVBUUBUUPUUAYEUUIYOVJVKVLVMVNAUUJUUL
      UUNUUSAUABCDFGUUIJKUUIVOZVQAUABCDFGUUIJKUVCVPAUABCDFGUUIJKUVCVRAUUOUUSAUU
      ORZUUOUURAUUOVSUVDUUQNPUVDUUAUUPUVDUUARZUUPUBUEZUUISZUVFYOSZOZUBYDUNZUVEU
      VIUBYDUVFUCUEZUGSZOZUCBUOZUVFUVKUJSZOZUCCUOZWGUVEUVIUVFYDTUVNUVEUVIQZUVQU
      VMUVRUCBUVEUVKBTZUVMRZUVIUUAUVDUVTUVIQZYRYPUVDUWAQYTUVDYRUWAUUOAYRUWAQZUU
      LUUJAUWBQUUNUULYRAUWAUULYRYQUUKOAUWAQZUUKFYQVTUWCUUKYQUUKYQOZAUWAUWDARZUV
      SUVMUVIUWEUVSRZUVMUVFUVKYGSZOZUVIUVSUVMUWHVGUWEUVSUVLUWGUVFUVSUWGUVLUVKBU
      GWAWBWCVNUWFUVIUWHUWGUUISZUWGYOSZOUWFUVKUUKSZUVKYQSZUWIUWJUWDUWKUWLOAUVSU
      VKUUKYQWDWEUWEYGBWFZUVSUWKUWIOBYDYGUFUWMUWEBCWHBYDYGWIWJZBUUIYGUVKWKWLUWE
      UWMUVSUWLUWJOUWNBYOYGUVKWKWLWMUWHUVGUWIUVHUWJUVFUWGUUIWRUVFUWGYOWRWNWOWPW
      QWSWTXAXBXCXDXEXCXDXEXIUVPUVRUCCUVEUVKCTZUVPRZUVIUUAUVDUWPUVIQZYTYPUVDUWQ
      QYRUVDYTUWQUUOAYTUWQQZUUNUUJAUWRQUULUUNYTAUWQUUNYTYSUUMOAUWQQZUUMGYSVTUWS
      UUMYSUUMYSOZAUWQUWTARZUWOUVPUVIUXAUWORZUVPUVFUVKYJSZOZUVIUWOUVPUXDVGUXAUW
      OUVOUXCUVFUWOUXCUVOUVKCUJWAWBWCVNUXBUVIUXDUXCUUISZUXCYOSZOUXBUVKUUMSZUVKY
      SSZUXEUXFUWTUXGUXHOAUWOUVKUUMYSWDWEUXAYJCWFZUWOUXGUXEOCYDYJUFUXIUXABCXFCY
      DYJWIWJZCUUIYJUVKWKWLUXAUXIUWOUXHUXFOUXJCYOYJUVKWKWLWMUXDUVGUXEUVHUXFUVFU
      XCUUIWRUVFUXCYOWRWNWOWPWQWSWTXAXBXGXDXEXGXDXEXIXHUCBCUVFXRXJXKUVDUUIYDWFZ
      YOYDWFZUUPUVJVGUUAUUOUXKAUUJUULUXKUUNYDDUUIWIXLVNYPYRUXLYTYDDYOWIXLUBYDUU
      IYOXMXNXOWSXPVAWSXSXQYMUUAENPUUBYFYPYIYRYLYTYDDYEYOVEUUBYHYQFYEYOYGVHVFUU
      BYKYSGYEYOYJVHVFVIXTYAYMEYBYC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cardinal numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c card $. $( Cardinal size function $)
  $c aleph $. $( Aleph function $)
  $c cf $. $( Cofinality function $)
  $c AC_ $.

  $( Extend class definition to include the cardinal size function. $)
  ccrd $a class card $.

  $( Extend class definition to include the aleph function. $)
  cale $a class aleph $.

  $( Extend class definition to include the cofinality function. $)
  ccf $a class cf $.

  $( The axiom of choice for limited-length sequences. $)
  wacn $a class AC_ A $.

  ${
    $d f g u v x y z A $.
    $( Define the cardinal number function.  The cardinal number of a set is
       the least ordinal number equinumerous to it.  In other words, it is the
       "size" of the set.  Definition of [Enderton] p. 197.  See ~ cardval for
       its value and ~ cardval2 for a simpler version of its value.  The
       principal theorem relating cardinality to equinumerosity is ~ carden .
       Our notation is from Enderton.  Other textbooks often use a double bar
       over the set to express this function.  (Contributed by NM,
       21-Oct-2003.) $)
    df-card $a |- card = ( x e. _V |-> |^| { y e. On | y ~~ x } ) $.

    $( Define the aleph function.  Our definition expresses Definition 12 of
       [Suppes] p. 229 in a closed form, from which we derive the recursive
       definition as Theorems ~ aleph0 , ~ alephsuc , and ~ alephlim .  The
       aleph function provides a one-to-one, onto mapping from the ordinal
       numbers to the infinite cardinal numbers.  Roughly, any aleph is the
       smallest infinite cardinal number whose size is strictly greater than
       any aleph before it.  (Contributed by NM, 21-Oct-2003.) $)
    df-aleph $a |- aleph = rec ( har , _om ) $.

    $( Define the cofinality function.  Definition B of Saharon Shelah,
       _Cardinal Arithmetic_ (1994), p. xxx (Roman numeral 30).  See ~ cfval
       for its value and a description.  (Contributed by NM, 1-Apr-2004.) $)
    df-cf $a |- cf = ( x e. On |-> |^| { y | E. z ( y = ( card ` z ) /\
                ( z C_ x /\ A. v e. x E. u e. z v C_ u ) ) } ) $.

    $( Define a local and length-limited version of the axiom of choice.  The
       definition of the predicate ` X e. AC_ A ` is that for all families of
       nonempty subsets of ` X ` indexed on ` A ` (i.e. functions
       ` A --> ~P X \ { (/) } ` ), there is a function which selects an element
       from each set in the family.  (Contributed by Mario Carneiro,
       31-Aug-2015.) $)
    df-acn $a |- AC_ A = { x | ( A e. _V /\ A. f e. ( ( ~P x \ { (/) } ) ^m A )
      E. g A. y e. A ( g ` y ) e. ( f ` y ) ) } $.
  $}

  ${
    $d w x y z A $.  $d x B $.
    $( The cardinality function is a function with domain the well-orderable
       sets.  Assuming AC, this is the universe.  (Contributed by Mario
       Carneiro, 6-Jun-2013.)  (Revised by Mario Carneiro, 20-Sep-2014.) $)
    cardf2 $p |- card : { x | E. y e. On y ~~ x } --> On $=
      ( vz vw cv cen wbr con0 wrex cab ccrd wss wceq cvv crab cint df-card wcel
      mpbir2an wa wfn cxp wfun funmpt2 rabab dmmpt intexrab abbii 3eqtr4i df-fn
      wf cdm copab c0 wne simpr eqeltrrdi intex sylibr rabn0 sylib rexbidv elab
      vex breq2 ssrab2 oninton sylancr eqeltrd ssopab2i cmpt df-mpt eqtri df-xp
      jca 3sstr4i dff2 ) BEZAEZFGZBHIZAJZHKUKKWBUAZKWBHUBZLWCKUCKULZWBMANVTBHOP
      ZKABQZUDWFNRZANOWHAJWEWBWHAUEANWFKWGUFWAWHAVTBHUGUHUIKWBUJSCEZNRZDEZVRWIF
      GZBHOZPZMZTZCDUMZWIWBRZWKHRZTZCDUMKWDWPWTCDWPWRWSWPWLBHIZWRWPWMUNUOZXAWPW
      NNRXBWPWNWKNWJWOUPZDVDUQWMURUSZWLBHUTVAWAXAAWICVDVSWIMVTWLBHVSWIVRFVEVBVC
      USWPWKWNHXCWPWMHLXBWNHRWLBHVFXDWMVGVHVIVOVJKCNWNVKWQCBQCDNWNVLVMCDWBHVNVP
      WBHKVQS $.

    $( The cardinal number of a set is an ordinal number.  Proposition 10.6(1)
       of [TakeutiZaring] p. 85.  (Contributed by Mario Carneiro, 7-Jan-2013.)
       (Revised by Mario Carneiro, 13-Sep-2013.) $)
    cardon $p |- ( card ` A ) e. On $=
      ( vy vx cv cen wbr con0 wrex cab ccrd cardf2 0elon f0cli ) BDCDEFBGHCIGAJ
      CBKLM $.

    $( A way to express well-orderability without bound or distinct variables.
       (Contributed by Stefan O'Rear, 28-Feb-2015.)  (Revised by Mario
       Carneiro, 27-Apr-2015.) $)
    isnum2 $p |- ( A e. dom card <-> E. x e. On x ~~ A ) $=
      ( vy ccrd cdm wcel cen wbr con0 wrex cab cardf2 fdmi eleq2i cvv brrelex2i
      cv relen rexlimivw wceq breq2 rexbidv elab3 bitri ) BDEZFBAQZCQZGHZAIJZCK
      ZFUFBGHZAIJZUEUJBUJIDCALMNUIULCBOUKBOFAIUFBGRPSUGBTUHUKAIUGBUFGUAUBUCUD
      $.

    $( A set equinumerous to an ordinal is numerable.  (Contributed by Mario
       Carneiro, 29-Apr-2015.) $)
    isnumi $p |- ( ( A e. On /\ A ~~ B ) -> B e. dom card ) $=
      ( vx con0 wcel cen wbr wa cv wrex ccrd cdm breq1 rspcev isnum2 sylibr ) A
      DEABFGZHCIZBFGZCDJBKLESQCADRABFMNCBOP $.

    $( Equinumerous sets are equi-numerable.  (Contributed by Mario Carneiro,
       29-Apr-2015.) $)
    ennum $p |- ( A ~~ B -> ( A e. dom card <-> B e. dom card ) ) $=
      ( vx cen wbr cv con0 wrex ccrd cdm wcel enen2 rexbidv isnum2 3bitr4g ) AB
      DEZCFZADEZCGHQBDEZCGHAIJZKBTKPRSCGABQLMCANCBNO $.
  $}

  ${
    $d x y z A $.  $d x y B $.
    $( Every finite set is numerable.  (Contributed by Mario Carneiro,
       4-Feb-2013.)  (Revised by Mario Carneiro, 29-Apr-2015.) $)
    finnum $p |- ( A e. Fin -> A e. dom card ) $=
      ( vx cfn wcel cv cen wbr com wrex ccrd isfi con0 nnon ensym isnumi syl2an
      cdm rexlimiva sylbi ) ACDABEZFGZBHIAJQDZBAKUAUBBHTHDTLDTAFGUBUATMATNTAOPR
      S $.

    $( Every ordinal number is numerable.  (Contributed by Mario Carneiro,
       29-Apr-2015.) $)
    onenon $p |- ( A e. On -> A e. dom card ) $=
      ( con0 wcel cen wbr ccrd cdm enrefg isnumi mpdan ) ABCAADEAFGCABHAAIJ $.

    $( A Tarski set is well-orderable.  (Contributed by Mario Carneiro,
       19-Apr-2013.)  (Revised by Mario Carneiro, 29-Apr-2015.) $)
    tskwe $p |- ( ( A e. V /\ { x e. ~P A | x ~< A } C_ A ) ->
        A e. dom card ) $=
      ( vy vz wcel cv csdm wbr wss wa con0 cin cvv word wi sylanbrc adantr nfcv
      breq1 cpw crab cen ccrd cdm pwexg rabexg incom inex1g eqeltrrid wtr inss1
      sseli onelon ancoms sylan2 onelss impcom inss2 elrab simpld elpwid adantl
      wal sylib sstrd velpw sylibr cdom vex ssdomg mpsyl simprd domsdomtr elind
      syl2anc gen2 dftr2 mpbir ordon trssord mp3an elong mpbiri wn simpr sstrid
      4syl mpd ordirr mp1i w3a 3ad2ant1 elpw2g mpbird 3adant3 simp3 nfrab1 nfin
      wb nfbr elrabf 3expia mtod bren2 isnumi ) BCFZAGZBHIZABUAZUBZBJZKZLXKMZLF
      ZXNBUCIZBUDUEFXGXOXLXGXJNFXKNFZXNNFZXOBCUFXIAXJNUGXQXNXKLMNXKLUHXKLNUIUJX
      RXOXNOZXNUKZXNLJLOXSXTDGZEGZFZYBXNFZKZYAXNFPZEVDDVDYFDEYELXKYAYDYCYBLFZYA
      LFZXNLYBLXKULZUMZYGYCYHYBYAUNUOUPYEYAXJFZYABHIZYAXKFYEYABJYKYEYAYBBYDYCYG
      YAYBJZYJYGYCYMYBYAUQURUPZYDYBBJYCYDYBBYDYBXJFZYBBHIZYDYBXKFYOYPKXNXKYBLXK
      USZUMXIYPAYBXJXHYBBHTUTVEZVAVBVCVFDBVGVHYEYAYBVIIZYPYLYBNFYEYMYSEVJYNYAYB
      NVKVLYDYPYCYDYOYPYRVMVCYAYBBVNVPXIYLAYAXJXHYABHTUTQVOVQDEXNVRVSYIVTXNLWAW
      BZXNNWCWDWHZRXMXNBVIIZXNBHIZWEXPXMXNBJZUUBXMXNXKBYQXGXLWFWGZXGUUDUUBPXLXN
      BCVKRWIXMUUCXNXNFZXSUUFWEXMYTXNWJWKXGXLUUCUUFXGXLUUCWLZLXKXNXGXLXOUUCUUAW
      MUUGXNXJFZUUCXNXKFXGXLUUHUUCXMUUHUUDUUEXGUUHUUDWTXLXNBCWNRWOWPXGXLUUCWQXI
      UUCAXNXJALXKALSXIAXJWRWSZAXJSAXNBHUUIAHSABSXAXHXNBHTXBQVOXCXDXNBXEQXNBXFV
      P $.

    $( The cartesian product of numerable sets is numerable.  (Contributed by
       Mario Carneiro, 3-Mar-2013.)  (Revised by Mario Carneiro,
       29-Apr-2015.) $)
    xpnum $p |- ( ( A e. dom card /\ B e. dom card ) ->
      ( A X. B ) e. dom card ) $=
      ( vx vy ccrd cdm wcel cv cen wbr con0 wrex cxp isnum2 wa reeanv comu omcl
      co omxpen xpen entr syl2an isnumi syl2an2r ex rexlimivv sylbir syl2anb )
      AEFZGCHZAIJZCKLZDHZBIJZDKLZABMZUJGZBUJGCANDBNUMUPOULUOOZDKLCKLURULUOCDKKP
      USURCDKKUKKGUNKGOZUSURUTUKUNQSZKGUSVAUQIJZURUKUNRUTVAUKUNMZIJVCUQIJVBUSUK
      UNTUKAUNBUAVAVCUQUBUCVAUQUDUEUFUGUHUI $.
  $}

  ${
    $d A x y $.
    $( An alternate definition of the value of ` ( card `` A ) ` that does not
       require AC to prove.  (Contributed by Mario Carneiro, 7-Jan-2013.)
       (Revised by Mario Carneiro, 27-Apr-2015.) $)
    cardval3 $p |- ( A e. dom card ->
                     ( card ` A ) = |^| { x e. On | x ~~ A } ) $=
      ( vy ccrd cdm wcel cvv cv cen wbr con0 crab cint wceq elex wrex c0 isnum2
      cfv wne rabn0 intex 3bitr2i biimpi rabbidv inteqd df-card fvmptg syl2anc
      breq2 ) BDEZFZBGFAHZBIJZAKLZMZGFZBDSUPNBUKOULUQULUNAKPUOQTUQABRUNAKUAUOUB
      UCUDCBUMCHZIJZAKLZMUPGGDURBNZUTUOVAUSUNAKURBUMIUJUEUFCAUGUHUI $.
  $}

  ${
    $d A y $.
    $( Any numerable set is equinumerous to its cardinal number.  Proposition
       10.5 of [TakeutiZaring] p. 85.  (Contributed by Mario Carneiro,
       7-Jan-2013.) $)
    cardid2 $p |- ( A e. dom card -> ( card ` A ) ~~ A ) $=
      ( vy ccrd cdm wcel cfv cen wbr con0 crab cint cardval3 wss wne ssrab2 cvv
      cv c0 fvex eqeltrrdi intex sylibr onint sylancr eqeltrd breq1 simprbi syl
      elrab ) ACDEZACFZBQZAGHZBIJZEZUKAGHZUJUKUNKZUNBALZUJUNIMUNRNZUQUNEUMBIOUJ
      UQPEUSUJUQUKPURACSTUNUAUBUNUCUDUEUOUKIEUPUMUPBUKIULUKAGUFUIUGUH $.

    $( A set is numerable iff it is equinumerous with its cardinal.
       (Contributed by Mario Carneiro, 29-Apr-2015.) $)
    isnum3 $p |- ( A e. dom card <-> ( card ` A ) ~~ A ) $=
      ( ccrd cdm wcel cfv cen wbr cardid2 con0 cardon isnumi mpan impbii ) ABCD
      ZABEZAFGZAHOIDPNAJOAKLM $.
  $}

  ${
    $d x A $.
    $( The value of the cardinal number function with an ordinal number as its
       argument.  Unlike ~ cardval , this theorem does not require the Axiom of
       Choice.  (Contributed by NM, 24-Nov-2003.)  (Revised by Mario Carneiro,
       13-Sep-2013.) $)
    oncardval $p |- ( A e. On -> ( card ` A ) = |^| { x e. On | x ~~ A } ) $=
      ( con0 wcel ccrd cdm cfv cv cen wbr crab cint wceq onenon cardval3 syl )
      BCDBEFDBEGAHBIJACKLMBNABOP $.
    $( $j usage 'oncardval' avoids 'ax-ac' 'ax-ac2'; $)

    $( Any ordinal number is equinumerous to its cardinal number.  Unlike
       ~ cardid , this theorem does not require the Axiom of Choice.
       (Contributed by NM, 26-Jul-2004.) $)
    oncardid $p |- ( A e. On -> ( card ` A ) ~~ A ) $=
      ( con0 wcel ccrd cdm cfv cen wbr onenon cardid2 syl ) ABCADECADFAGHAIAJK
      $.
    $( $j usage 'oncardid' avoids 'ax-ac' 'ax-ac2'; $)

    $( The cardinal of an ordinal number is less than or equal to the ordinal
       number.  Proposition 10.6(3) of [TakeutiZaring] p. 85.  (Contributed by
       NM, 22-Oct-2003.) $)
    cardonle $p |- ( A e. On -> ( card ` A ) C_ A ) $=
      ( vx con0 wcel ccrd cfv cv cen wbr crab cint oncardval wss breq1 intminss
      enrefg mpdan eqsstrd ) ACDZAEFBGZAHIZBCJKZABALSAAHIZUBAMACPUAUCBACTAAHNOQ
      R $.
  $}

  $( The cardinality of the empty set is the empty set.  (Contributed by NM,
     25-Oct-2003.) $)
  card0 $p |- ( card ` (/) ) = (/) $=
    ( c0 ccrd cfv wss wceq con0 wcel 0elon cardonle ax-mp ss0b mpbi ) ABCZADZMA
    EAFGNHAIJMKL $.

  ${
    $d A y $.
    $( The cardinality function is idempotent.  Proposition 10.11 of
       [TakeutiZaring] p. 85.  (Contributed by Mario Carneiro, 7-Jan-2013.) $)
    cardidm $p |- ( card ` ( card ` A ) ) = ( card ` A ) $=
      ( vy ccrd cdm wcel cfv wceq cv cen wbr con0 crab cint cardid2 ensymd entr
      wi expcom syl c0 impbid rabbidv inteqd cardval3 cardon oncardval 3eqtr4rd
      mp1i wn card0 ndmfv fveq2d 3eqtr4a pm2.61i ) ACDEZACFZCFZUPGUOBHZAIJZBKLZ
      MURUPIJZBKLZMZUPUQUOUTVBUOUSVABKUOUSVAUOAUPIJZUSVAQUOUPAANZOUSVDVAURAUPPR
      SUOUPAIJZVAUSQVEVAVFUSURUPAPRSUAUBUCBAUDUPKEUQVCGUOAUEBUPUFUHUGUOUIZTCFTU
      QUPUJVGUPTCACUKZULVHUMUN $.
  $}

  ${
    $d A x $.
    $( A set is a cardinal number iff it equals its own cardinal number.
       Proposition 10.9 of [TakeutiZaring] p. 85.  (Contributed by Mario
       Carneiro, 7-Jan-2013.) $)
    oncard $p |- ( E. x A = ( card ` x ) <-> A = ( card ` A ) ) $=
      ( cv ccrd cfv wceq wex fveq2 cardidm eqtrdi eqtr4d exlimiv cvv wcel eleq1
      id fvex mpbiri eqeq2d spcegv mpcom impbii ) BACZDEZFZAGZBBDEZFZUEUHAUEBUD
      UGUEPUEUGUDDEUDBUDDHUCIJKLBMNZUHUFUHUIUGMNBDQBUGMORUEUHABMUCBFUDUGBUCBDHS
      TUAUB $.

    $( The cardinal number of a finite set is a finite ordinal.  (Contributed
       by Paul Chapman, 11-Apr-2009.)  (Revised by Mario Carneiro,
       4-Feb-2013.) $)
    ficardom $p |- ( A e. Fin -> ( card ` A ) e. _om ) $=
      ( vx cv cen wbr com wrex cfn wcel ccrd cfv isfi biimpi wi wceq cdm finnum
      wa cardid2 syl entr sylan con0 wb cardon onomeneq mpan syl5ib eleq1a syld
      expcomd rexlimiv mpcom ) ABCZDEZBFGZAHIZAJKZFIZUQUPBALMUOUQUSNBFUNFIZUQUO
      USUTUQUORZURUNOZUSVAURUNDEZUTVBUQURADEZUOVCUQAJPIVDAQASTURAUNUAUBURUCIUTV
      CVBUDAUEURUNUFUGUHUNFURUIUJUKULUM $.

    $( A finite set is equinumerous to its cardinal number.  (Contributed by
       Mario Carneiro, 21-Sep-2013.) $)
    ficardid $p |- ( A e. Fin -> ( card ` A ) ~~ A ) $=
      ( cfn wcel ccrd cdm cfv cen wbr finnum cardid2 syl ) ABCADECADFAGHAIAJK
      $.

    $( The cardinality of a natural number is the number.  Corollary 10.23 of
       [TakeutiZaring] p. 90.  (Contributed by Mario Carneiro, 7-Jan-2013.) $)
    cardnn $p |- ( A e. _om -> ( card ` A ) = A ) $=
      ( com wcel ccrd cfv cen wbr wceq con0 cdm nnon onenon cardid2 3syl wb cfn
      nnfi ficardom syl nneneq mpancom mpbid ) ABCZADEZAFGZUDAHZUCAICADJCUEAKAL
      AMNUDBCZUCUEUFOUCAPCUGAQARSUDATUAUB $.

    $( The empty set is the only numerable set with cardinality zero.
       (Contributed by Mario Carneiro, 7-Jan-2013.) $)
    cardnueq0 $p |- ( A e. dom card -> ( ( card ` A ) = (/) <-> A = (/) ) ) $=
      ( ccrd cdm wcel cfv c0 wceq cen wbr cardid2 ensymd breq2 bitrdi syl5ibcom
      en0 fveq2 card0 eqtrdi impbid1 ) ABCDZABEZFGZAFGZTAUAHIZUBUCTUAAAJKUBUDAF
      HIUCUAFAHLAOMNUCUAFBEFAFBPQRS $.
  $}

  ${
    $d A x $.  $d B x $.
    $( No member of a cardinal number of a set is equinumerous to the set.
       Proposition 10.6(2) of [TakeutiZaring] p. 85.  (Contributed by Mario
       Carneiro, 9-Jan-2013.) $)
    cardne $p |- ( A e. ( card ` B ) -> -. A ~~ B ) $=
      ( vx ccrd cdm wcel cfv cen wbr wn elfvdm wi wa wss cv con0 crab adantl wb
      cint cardon oneli breq1 onintss syl cardval3 sseq1d adantr sylibrd ontri1
      sylancr sylibd con2d ex pm2.43d mpcom ) BDEFZABDGZFZABHIZJZABDKUQUSVAUQUS
      USVALUQUSMZUTUSVBUTURANZUSJZVBUTCOZBHIZCPQTZANZVCUSUTVHLZUQUSAPFZVIURABUA
      ZUBZVFUTCAVEABHUCUDUERUQVCVHSUSUQURVGACBUFUGUHUIUSVCVDSZUQUSURPFVJVMVKVLU
      RAUJUKRULUMUNUOUP $.

    $( If two sets have equal nonzero cardinalities, then they are
       equinumerous.  This assertion and ~ carden2b are meant to replace
       ~ carden in ZF without AC. (Contributed by Mario Carneiro,
       9-Jan-2013.) $)
    carden2a $p |- ( ( ( card ` A ) = ( card ` B ) /\ ( card ` A ) =/= (/) )
       -> A ~~ B ) $=
      ( ccrd cfv c0 wne wceq wn cen wbr df-ne wa wcel ndmfv eqeq1 syl5ibr con1d
      cdm imp cardid2 syl wi breq2 entr syl6bi nsyl4 ensymd impel mpd sylan2b
      ex ) ACDZEFULBCDZGZULEGZHZABIJZULEKUNUPLZUMBIJZUQURBCRZMZUSUNUPVAUNVAUOVA
      HUOUNUMEGBCNULUMEOPQSBTUAUNAULIJZUSUQUBZUPUNVBAUMIJZVCULUMAIUCVDUSUQAUMBU
      DUKUEUPULAAUTMULAIJUOATACNUFUGUHUIUJ $.
  $}

  $( If two sets are equinumerous, then they have equal cardinalities.  (This
     assertion and ~ carden2a are meant to replace ~ carden in ZF without AC.)
     (Contributed by Mario Carneiro, 9-Jan-2013.)  (Proof shortened by Mario
     Carneiro, 27-Apr-2015.) $)
  carden2b $p |- ( A ~~ B -> ( card ` A ) = ( card ` B ) ) $=
    ( cen wbr ccrd wcel cfv wceq wa wn wss cardne biimpa cardid2 syl entr nsyl3
    con0 wb c0 ennum ensym adantr syl2anc cardon ontri1 mp2an sylibr id syl2anr
    cdm eqssd ndmfv adantl notbid eqtr4d pm2.61dan ) ABCDZAEUKZFZAEGZBEGZHURUTI
    ZVAVBVCVBVAFZJZVAVBKZVDVBACDZVCVBALVCVBBCDZBACDZVGVCBUSFZVHURUTVJABUAZMBNOU
    RVIUTABUBUCVBBAPUDQVARFZVBRFZVFVESAUEZBUEZVAVBUFUGUHVCVAVBFZJZVBVAKZVPVABCD
    ZVCVABLUTVAACDURVSURANURUIVAABPUJQVMVLVRVQSVOVNVBVAUFUGUHULURUTJZIZVATVBVTV
    ATHURAEUMUNWAVJJZVBTHURVTWBURUTVJVKUOMBEUMOUPUQ $.

  ${
    $d A x $.
    $( A set has cardinality one iff it is a singleton.  (Contributed by Mario
       Carneiro, 10-Jan-2013.) $)
    card1 $p |- ( ( card ` A ) = 1o <-> E. x A = { x } ) $=
      ( ccrd cfv c1o wceq cen wbr cv csn wex wne com wcel 1onn cardnn ax-mp 1n0
      c0 eqnetri carden2a mpan2 eqcoms ensymd carden2b impbii eqeq2i 3bitr3i
      en1 ) BCDZECDZFZBEGHZUJEFBAIJFAKULUMULEBEBGHZUKUJUKUJFUKSLUNUKESEMNUKEFOE
      PQZRTEBUAUBUCUDBEUEUFUKEUJUOUGABUIUH $.

    $( A singleton has cardinality one.  (Contributed by Mario Carneiro,
       10-Jan-2013.) $)
    cardsn $p |- ( A e. V -> ( card ` { A } ) = 1o ) $=
      ( vx wcel csn cv wceq wex ccrd cfv c1o eqid sneq eqeq2d spcegv mpi sylibr
      card1 ) ABDZAEZCFZEZGZCHZTIJKGSTTGZUDTLUCUECABUAAGUBTTUAAMNOPCTRQ $.
  $}

  $( Two sets have the dominance relationship if their cardinalities have the
     subset relationship and one is numerable.  See also ~ carddom , which uses
     AC. (Contributed by Mario Carneiro, 11-Jan-2013.)  (Revised by Mario
     Carneiro, 29-Apr-2015.) $)
  carddomi2 $p |- ( ( A e. dom card /\ B e. V ) ->
      ( ( card ` A ) C_ ( card ` B ) -> A ~<_ B ) ) $=
    ( ccrd cdm wcel wa cfv wss cdom wbr wi c0 wceq wne cvv cen cardid2 syl2anc
    wb cardnueq0 adantr biimpa ad2antlr eqbrtrd a1d fvex simprr ssdomg ad2antrr
    0domg mpsyl simprl ssn0 ndmfv necon1ai 3syl domen1 sylan9bb expr pm2.61dane
    domen2 mpbid ) ADEZFZBCFZGZADHZBDHZIZABJKZLVHMVGVHMNZGZVKVJVMAMBJVGVLAMNZVE
    VLVNTVFAUAUBUCVFMBJKVEVLBCUKUDUEUFVGVHMOZVJVKVGVOVJGZGZVHVIJKZVKVIPFVQVJVRB
    DUGVGVOVJUHZVHVIPUIULVQVHAQKZVIBQKZVRVKTVEVTVFVPARUJVQVIMOZBVDFZWAVQVJVOWBV
    SVGVOVJUMVHVIUNSWCVIMBDUOUPBRUQVTVRAVIJKWAVKVHAVIURVIBAVBUSSVCUTVA $.

  $( A set strictly dominates if its cardinal strictly dominates.  (Contributed
     by Mario Carneiro, 13-Jan-2013.) $)
  sdomsdomcardi $p |- ( A ~< ( card ` B ) -> A ~< B ) $=
    ( ccrd cfv csdm wbr cen cdm wcel wn sdom0 ndmfv breq2d mtbiri con4i cardid2
    c0 syl sdomentr mpdan ) ABCDZEFZUABGFZABEFUBBCHIZUCUDUBUDJZUBAQEFAKUEUAQAEB
    CLMNOBPRAUABST $.

  ${
    $d A x $.
    $( An infinite cardinal is a limit ordinal.  Equivalent to Exercise 4 of
       [TakeutiZaring] p. 91.  (Contributed by Mario Carneiro, 13-Jan-2013.) $)
    cardlim $p |- ( _om C_ ( card ` A ) <-> Lim ( card ` A ) ) $=
      ( vx com ccrd cfv wss wlim wceq con0 wn wcel wa cen wbr wi wb ex c0 mpbi
      wo cv csuc wrex sseq2 limom limsssuc ax-mp infensuc syl5bir sylan9r breq2
      biimpd adantl sylibrd com3r imp vex sucid mpbiri cardidm eleqtrrdi cardne
      eleq2 syl a1i pm2.65d nrexdv peano1 ssel mpi n0i w3o cardon onordi ordzsl
      word 3orass ori 3syl ord mpd limomss impbii ) CADEZFZWDGZWEWDBUAZUBZHZBIU
      CZJWFWEWIBIWEWGIKZLZWIWGWDMNZWEWKWIWMOWKWIWEWMWKWIWEWMOWKWILWEWGWHMNZWMWI
      WECWHFZWKWNWIWEWOWDWHCUDULWOCWGFZWKWNCGWPWOPUECWGUFUGWKWPWNWGUHQUIUJWIWMW
      NPWKWDWHWGMUKUMUNQUOUPWIWMJZOWLWIWGWDDEZKWQWIWGWDWRWIWGWDKWGWHKWGBUQURWDW
      HWGVCUSAUTVAWGWDVBVDVEVFVGWEWJWFWERWDKZWDRHZJWJWFTZWERCKWSVHCWDRVIVJWDRVK
      WTXAWTWJWFVLZWTXATWDVPXBWDAVMVNBWDVOSWTWJWFVQSVRVSVTWAWDWBWC $.
  $}

  $( A cardinal strictly dominates its members.  Equivalent to Proposition
     10.37 of [TakeutiZaring] p. 93.  This is half of the assertion
     ~ cardsdomel and can be proven without the AC. (Contributed by Mario
     Carneiro, 15-Jan-2013.) $)
  cardsdomelir $p |- ( A e. ( card ` B ) -> A ~< B ) $=
    ( ccrd cfv wcel cdom wbr cen wn csdm wss cardon onelssi ssdomg mpsyl elfvdm
    con0 cdm cardid2 syl domentr syl2anc cardne brsdom sylanbrc ) ABCDZEZABFGZA
    BHGIABJGUGAUFFGZUFBHGZUHUFQEUGAUFKUIBLZUFAUKMAUFQNOUGBCREUJABCPBSTAUFBUAUBA
    BUCABUDUE $.

  $( A cardinal strictly dominates its members.  Equivalent to Proposition
     10.37 of [TakeutiZaring] p. 93.  (Contributed by Mario Carneiro,
     15-Jan-2013.)  (Revised by Mario Carneiro, 4-Jun-2015.) $)
  cardsdomel $p |- ( ( A e. On /\ B e. dom card ) ->
      ( A ~< B <-> A e. ( card ` B ) ) ) $=
    ( con0 wcel ccrd cdm wa csdm wbr cfv cen cardid2 ensymd sdomentr sylan2 wss
    wi wn wb mpan cdom ssdomg cardon domtriord sylibd con2d ontri1 con2bid syl5
    sylibrd expcomd imp cardsdomelir impbid1 ) ACDZBEFDZGABHIZABEJZDZUOUPUQUSQU
    OUQUPUSUQUPGAURHIZUOUSUPUQBURKIUTUPURBBLMABURNOUOUTURAPZRUSUOVAUTUOVAURAUAI
    ZUTRZURACUBURCDZUOVBVCSBUCZURAUDTUEUFUOVAUSVDUOVAUSRSVEURAUGTUHUJUIUKULABUM
    UN $.

  ${
    $d A x $.
    $( Two ways to express the property of being a cardinal number.
       (Contributed by Mario Carneiro, 15-Jan-2013.) $)
    iscard $p |- ( ( card ` A ) = A <-> ( A e. On /\ A. x e. A x ~< A ) ) $=
      ( ccrd cfv wceq con0 wcel cv csdm wbr wral cardon eleq1 mpbii wb cardonle
      wss eqss baibr syl dfss3 wa cdm onelon onenon cardsdomel syl2anc ralbidva
      adantr bitr4id bitr3d biadanii ) BCDZBEZBFGZAHZBIJZABKZUNUMFGUOBLUMBFMNUO
      BUMQZUNURUOUMBQZUSUNOBPUNUTUSUMBRSTUOUSUPUMGZABKURABUMUAUOUQVAABUOUPBGZUB
      UPFGBCUCGZUQVAOBUPUDUOVCVBBUEUIUPBUFUGUHUJUKUL $.
  $}

  ${
    $d A x y $.
    $( Two ways to express the property of being a cardinal number.  Definition
       8 of [Suppes] p. 225.  (Contributed by Mario Carneiro, 15-Jan-2013.) $)
    iscard2 $p |- ( ( card ` A ) = A <->
                  ( A e. On /\ A. x e. On ( A ~~ x -> A C_ x ) ) ) $=
      ( vy ccrd cfv wceq con0 wcel cv cen wbr wss wi wral cardon eleq1 mpbii wa
      crab bitri cint eqss biantrurd bitr4id oncardval sseq2d bitrd ssint breq1
      cardonle elrab ensymb anbi2i imbi1i impexp ralbii2 bitrdi biadanii ) BDEZ
      BFZBGHZBAIZJKZBVBLZMZAGNZUTUSGHVABOUSBGPQVAUTBCIZBJKZCGSZUAZLZVFVAUTBUSLZ
      VKVAUTUSBLZVLRVLUSBUBVAVMVLBUJUCUDVAUSVJBCBUEUFUGVKVDAVINVFABVIUHVDVEAVIG
      VBVIHZVDMVBGHZVCRZVDMVOVEMVNVPVDVNVOVBBJKZRVPVHVQCVBGVGVBBJUIUKVQVCVOVBBU
      LUMTUNVOVCVDUOTUPTUQUR $.
  $}

  $( Two numerable sets have the dominance relationship iff their cardinalities
     have the subset relationship.  See also ~ carddom , which uses AC.
     (Contributed by Mario Carneiro, 11-Jan-2013.)  (Revised by Mario Carneiro,
     29-Apr-2015.) $)
  carddom2 $p |- ( ( A e. dom card /\ B e. dom card ) ->
                   ( ( card ` A ) C_ ( card ` B ) <-> A ~<_ B ) ) $=
    ( ccrd cdm wcel wa cfv wss cdom wbr carddomi2 csdm cen wo brdom2 wn onelssi
    cardon wi con0 ancoms domnsym syl56 con2d wb ontri1 syl6ibr carden2b eqimss
    mp2an wceq syl a1i jaod syl5bi impbid ) ACDZEZBUQEZFZACGZBCGZHZABIJZABUQKVD
    ABLJZABMJZNUTVCABOUTVEVCVFUTVEVBVAEZPZVCUTVGVEVGVBVAHZUTBAIJZVEPVAVBARZQUSU
    RVIVJSBAUQKUABAUBUCUDVATEVBTEVCVHUEVKBRVAVBUFUJUGVFVCSUTVFVAVBUKVCABUHVAVBU
    IULUMUNUOUP $.

  ${
    $d A x y $.
    $( The class of ordinal numbers dominated by a set is a cardinal number.
       Theorem 59 of [Suppes] p. 228.  (Contributed by Mario Carneiro,
       20-Jan-2013.)  (Revised by Mario Carneiro, 15-May-2015.) $)
    harcard $p |- ( card ` ( har ` A ) ) = ( har ` A ) $=
      ( vx vy char cfv ccrd wceq con0 wcel cv cen wbr wss wi wral harcl wa cdom
      syl2anc ex harndom wn wb simpll simpr elharval sylib simpld ontri1 ssdomg
      simpllr cvv simprd domtr syl2anr endomtr sylbird mt3i ssrdv rgen mpbir2an
      elv iscard2 ) ADEZFEVDGVDHIVDBJZKLZVDVEMZNZBHOAPVHBHVEHIZVFVGVIVFQZCVDVEV
      JCJZVDIZVKVEIZVJVLQZVMVDARLZAUAVNVMUBZVEVKMZVOVNVIVKHIZVQVPUCVIVFVLUDVNVR
      VKARLZVNVLVRVSQVJVLUEAVKUFUGZUHVEVKUISVNVQVOVNVQQVFVEARLZVOVIVFVLVQUKVQVE
      VKRLZVSWAVNVQWBNCVEVKULUJVBVNVRVSVTUMVEVKAUNUOVDVEAUPSTUQURTUSTUTBVDVCVA
      $.
  $}

  ${
    $d A w y z $.  $d A x y z $.
    cardprclem.1 $e |- A = { x | ( card ` x ) = x } $.
    $( Lemma for ~ cardprc .  (Contributed by Mario Carneiro, 22-Jan-2013.)
       (Revised by Mario Carneiro, 15-May-2015.) $)
    cardprclem $p |- -. A e. _V $=
      ( vy vz vw cvv wcel char cfv wa con0 cdom wbr ccrd wceq ssriv domrefg syl
      cv cuni wss csdm wral cab eleq2i abid iscard simplbi ssonuni mpi elharval
      3bitri sylanbrc sseli ancli sylibr harcard fvex fveq2 eqeq12d elab2 mpbir
      wex id eleq2 eleq1 anbi12d spcev sylancl eluni sselii jctir word wn eloni
      ordn2lp 3syl pm2.65i ) BGHZBUAZWAIJZHZWBWAHZKZVTWCWDVTWALHZWAWAMNZWCVTBLU
      BWFABLATZBHZWHLHZDTWHUCNDWHUDZWIWHWHOJZWHPZAUEZHWMWJWKKBWNWHCUFWMAUGDWHUH
      UMUIQZBGUJUKZVTWFWGWPWALRSWAWAULUNBWAWBEBWAETZBHZWQFTZHZWSBHZKZFVDZWQWAHW
      RWQWQIJZHZXDBHZXCWRWQLHZXEBLWQWOUOXGXGWQWQMNZKXEXGXHWQLRUPWQWQULUQSXFXDOJ
      ZXDPZWQURWMXJAXDBWQIUSZWHXDPZWLXIWHXDWHXDOUTXLVEVACVBVCXBXEXFKFXDXKWSXDPW
      TXEXAXFWSXDWQVFWSXDBVGVHVIVJFWQBVKUQQWBBHWBOJZWBPZWAURWMXNAWBBWAIUSWHWBPZ
      WLXMWHWBWHWBOUTXOVEVACVBVCVLVMVTWFWAVNWEVOWPWAVPWAWBVQVRVS $.
  $}

  ${
    $d x y $.
    $( The class of all cardinal numbers is not a set (i.e. is a proper class).
       Theorem 19.8 of [Eisenberg] p. 310.  In this proof (which does not use
       AC), we cannot use Cantor's construction ~ canth3 to ensure that there
       is always a cardinal larger than a given cardinal, but we can use
       Hartogs' construction ~ hartogs to construct (effectively)
       ` ( aleph `` suc A ) ` from ` ( aleph `` A ) ` , which achieves the same
       thing.  (Contributed by Mario Carneiro, 22-Jan-2013.) $)
    cardprc $p |- { x | ( card ` x ) = x } e/ _V $=
      ( vy cv ccrd cfv wceq cab cvv weq fveq2 eqeq12d cbvabv cardprclem nelir
      id ) ACZDEZPFZAGZHBSRBCZDEZTFABABIZQUAPTPTDJUBOKLMN $.
  $}

  ${
    $d A x y $.
    $( The union of a set of cardinals is a cardinal.  Theorem 18.14 of [Monk1]
       p. 133.  (Contributed by Mario Carneiro, 20-Jan-2013.) $)
    carduni $p |- ( A e. V ->
                  ( A. x e. A ( card ` x ) = x -> ( card ` U. A ) = U. A ) ) $=
      ( vy wcel cv ccrd cfv wceq wa wss con0 id cardon syl wi wb onenon ex imp
      wral cuni wn ssonuni fveq2 eqeq12d rspcv eleq1 mpbii ssrdv impel cardonle
      syl6com onirri wex eluni cdom wbr elssuni ssdomg syl5 cdm ax-mp eqeltrrdi
      adantl carddom2 syl2an sylibrd sseq1 adantr sylibd ssel syl6 syld exlimiv
      com3r com4r sylbi com13 sylancom mtoi word onordi eloni ordtri4 mpbir2and
      sylancr ) BCEZAFZGHZWIIZABUAZBUBZGHZWMIZWHWLJZWOWNWMKZWNWMEZUCZWPWMLEZWQW
      HBLKWTWLBCUDWLDBLDFZBEZWLXAGHZXAIZXALEZWKXDAXABWIXAIZWJXCWIXAWIXAGUEXFMUF
      UGZXDXCLEZXEXANZXCXALUHUIUMUJUKZWMULOWPWRWNWNEZWNWMNZUNWHWLWTWRXKPZXJWTWL
      XMWRWLWTXKWRWNXAEZXBJZDUOWLWTXKPPZDWNBUPXOXPDXNXBXPXBWLWTXNXKXBWLXDWTXNXK
      PZPXGXDWTXBXQXDWTXBXQPXDWTJZXBXAWNKZXQXRXBXCWNKZXSXRXBXAWMUQURZXTXBXAWMKZ
      XRYAXABUSWTYBYAPXDXAWMLUTVEVAXDXAGVBZEWMYCEXTYAQWTXDXAXCYCXDMXHXCYCEXIXCR
      VCVDWMRXAWMVFVGVHXDXTXSQWTXCXAWNVIVJVKXAWNWNVLVMSVPVNVQTVOVRVSTVTWAWPWNWB
      WMWBZWOWQWSJQWNXLWCWPWTYDXJWMWDOWNWMWEWGWFS $.
  $}

  ${
    $d x y z A $.  $d y z B $.
    $( The indexed union of a set of cardinals is a cardinal.  (Contributed by
       NM, 3-Nov-2003.) $)
    cardiun $p |- ( A e. V -> ( A. x e. A ( card ` B ) = B ->
                  ( card ` U_ x e. A B ) = U_ x e. A B ) ) $=
      ( vz vy wcel ccrd cfv wceq wral ciun wa cv wrex cab cuni cvv abrexexg vex
      eqeq1 rexbidv elab cardidm fveq2 id 3eqtr4a rexlimivw rgen carduni mpisyl
      sylbi fvex dfiun2 fveq2i 3eqtr4g adantr iuneq2 adantl fveq2d 3eqtr3d ex )
      BDGZCHIZCJABKZABCLZHIZVFJVCVEMZABVDLZHIZVIVGVFVCVJVIJVEVCENZVDJZABOZEPZQZ
      HIZVOVJVIVCVNRGFNZHIZVQJZFVNKVPVOJAEBVDDSVSFVNVQVNGVQVDJZABOZVSVMWAEVQFTV
      KVQJVLVTABVKVQVDUAUBUCVTVSABVTVDHIVDVRVQCUDVQVDHUEVTUFUGUHULUIFVNRUJUKVIV
      OHAEBVDCHUMUNZUOWBUPUQVHVIVFHVEVIVFJVCABVDCURUSZUTWCVAVB $.
  $}

  $( If ` A ` is equinumerous to a natural number, then that number is its
     cardinal.  (Contributed by Mario Carneiro, 11-Jan-2013.) $)
  cardennn $p |- ( ( A ~~ B /\ B e. _om ) -> ( card ` A ) = B ) $=
    ( cen wbr com wcel ccrd cfv carden2b cardnn sylan9eq ) ABCDBEFAGHBGHBABIBJK
    $.

  $( The cardinality of the successor of an infinite ordinal.  (Contributed by
     Mario Carneiro, 11-Jan-2013.) $)
  cardsucinf $p |- ( ( A e. On /\ _om C_ A )
         -> ( card ` suc A ) = ( card ` A ) ) $=
    ( con0 wcel com wss ccrd cfv csuc cen wbr wceq infensuc carden2b syl eqcomd
    wa ) ABCDAEPZAFGZAHZFGZQASIJRTKALASMNO $.

  $( The cardinality of the successor of a finite ordinal (natural number).
     This theorem does not hold for infinite ordinals; see ~ cardsucinf .
     (Contributed by NM, 7-Nov-2008.) $)
  cardsucnn $p |- ( A e. _om -> ( card ` suc A ) = suc ( card ` A ) ) $=
    ( com wcel csuc ccrd cfv wceq peano2 cardnn syl suceq eqtr4d ) ABCZADZEFZNA
    EFZDZMNBCONGAHNIJMPAGQNGAIPAKJL $.

  $( The set of natural numbers is a cardinal number.  Theorem 18.11 of [Monk1]
     p. 133.  (Contributed by NM, 28-Oct-2003.) $)
  cardom $p |- ( card ` _om ) = _om $=
    ( com ccrd cfv wcel wceq cen wbr con0 omelon oncardid ax-mp csdm wn sdomnen
    nnsdom syl mt2 wss wo cardonle cardon onsseli mpbi mtpor ) ABCZADZUEAEZUFUE
    AFGZAHDZUHIAJKUFUEALGUHMUEOUEANPQUEARZUFUGSUIUJIATKUEAAUAIUBUCUD $.

  $( Two numerable sets are equinumerous iff their cardinal numbers are equal.
     Unlike ~ carden , the Axiom of Choice is not required.  (Contributed by
     Mario Carneiro, 22-Sep-2013.) $)
  carden2 $p |- ( ( A e. dom card /\ B e. dom card ) ->
               ( ( card ` A ) = ( card ` B ) <-> A ~~ B ) ) $=
    ( ccrd cdm wcel wa cfv wss cdom wbr wceq cen carddom2 ancoms anbi12d bicomi
    wb eqss sbthb 3bitr3g ) ACDZEZBUAEZFZACGZBCGZHZUFUEHZFZABIJZBAIJZFUEUFKZABL
    JUDUGUJUHUKABMUCUBUHUKQBAMNOULUIUEUFRPABST $.
  $( $j usage 'carden2' avoids 'ax-ac' 'ax-ac2'; $)

  $( A numerable set is strictly dominated by another iff their cardinalities
     are strictly ordered.  (Contributed by Stefan O'Rear, 30-Oct-2014.)
     (Revised by Mario Carneiro, 29-Apr-2015.) $)
  cardsdom2 $p |- ( ( A e. dom card /\ B e. dom card ) ->
    ( ( card ` A ) e. ( card ` B ) <-> A ~< B ) ) $=
    ( ccrd cdm wcel wa cfv wss wne cdom wbr wn csdm carddom2 carden2 necon3abid
    cen anbi12d con0 cardon wb onelpss mp2an brsdom 3bitr4g ) ACDZEBUFEFZACGZBC
    GZHZUHUIIZFZABJKZABQKZLZFUHUIEZABMKUGUJUMUKUOABNUGUNUHUIABOPRUHSEUISEUPULUA
    ATBTUHUIUBUCABUDUE $.

  $( Trichotomy of dominance for numerable sets (does not use AC).
     (Contributed by Mario Carneiro, 29-Apr-2015.) $)
  domtri2 $p |- ( ( A e. dom card /\ B e. dom card ) ->
    ( A ~<_ B <-> -. B ~< A ) ) $=
    ( ccrd cdm wcel wa cfv wss cdom wbr csdm wn carddom2 wb cardon ontri1 mp2an
    con0 cardsdom2 ancoms notbid syl5bb bitr3d ) ACDZEZBUDEZFZACGZBCGZHZABIJBAK
    JZLZABMUJUIUHEZLZUGULUHREUIREUJUNNAOBOUHUIPQUGUMUKUFUEUMUKNBASTUAUBUC $.
  $( $j usage 'domtri2' avoids 'ax-ac' 'ax-ac2'; $)

  $( Strict dominance and elementhood are the same for finite ordinals.
     (Contributed by Stefan O'Rear, 2-Nov-2014.) $)
  nnsdomel $p |- ( ( A e. _om /\ B e. _om ) -> ( A e. B <-> A ~< B ) ) $=
    ( com wcel ccrd cfv csdm wbr wceq cardnn eleq12 syl2an cdm con0 nnon onenon
    wa wb syl cardsdom2 bitr3d ) ACDZBCDZQAEFZBEFZDZABDZABGHZUBUDAIUEBIUFUGRUCA
    JBJUDAUEBKLUBAEMZDZBUIDZUFUHRUCUBANDUJAOAPSUCBNDUKBOBPSABTLUA $.

  ${
    $d x A $.
    $( An alternate version of the value of the cardinal number of a set.
       Compare ~ cardval .  This theorem could be used to give a simpler
       definition of ` card ` in place of ~ df-card .  It apparently does not
       occur in the literature.  (Contributed by NM, 7-Nov-2003.) $)
    cardval2 $p |- ( A e. dom card -> ( card ` A ) = { x e. On | x ~< A } ) $=
      ( ccrd cdm wcel cfv cv con0 csdm wbr wa cab crab cardon oneli pm4.71ri wb
      cardsdomel ancoms pm5.32da bitr4id abbi2dv df-rab eqtr4di ) BCDEZBCFZAGZH
      EZUGBIJZKZALUIAHMUEUJAUFUEUGUFEZUHUKKUJUKUHUFUGBNOPUEUHUIUKUHUEUIUKQUGBRS
      TUAUBUIAHUCUD $.
  $}

  ${
    $d A c f a $.  $d B c f a $.
    $( An infinite set contains subsets equinumerous to every finite set.
       Extension of ~ isinf from finite ordinals to all finite sets.
       (Contributed by Stefan O'Rear, 8-Oct-2014.) $)
    isinffi $p |- ( ( -. A e. Fin /\ B e. Fin ) -> E. f f : B -1-1-> A ) $=
      ( vc va cfn wcel wn wa cv wss ccrd cfv cen wbr wf1 wex com wral ficardom
      isinf wceq breq2 anbi2d exbidv rspcva syl2anr wf1o ficardid ad2antlr entr
      simprr syl2anc ensymd bren sylib f1of1 simplrl f1ss syl2an2 ex eximdv mpd
      exlimddv ) AFGHZBFGZIZDJZAKZVHBLMZNOZIZBACJZPZCQZDVFVJRGVIVHEJZNOZIZDQZER
      SVLDQZVEBTDAEUAVSVTEVJRVPVJUBZVRVLDWAVQVKVIVPVJVHNUCUDUEUFUGVGVLIZBVHVMUH
      ZCQZVOWBBVHNOWDWBVHBWBVKVJBNOZVHBNOVGVIVKULVFWEVEVLBUIUJVHVJBUKUMUNBVHCUO
      UPWBWCVNCWBWCVNWCBVHVMPWBVIVNBVHVMUQVGVIVKWCURBVHAVMUSUTVAVBVCVD $.

    $( Trichotomy of dominance without AC when one set is finite.  (Contributed
       by Stefan O'Rear, 30-Oct-2014.)  (Revised by Mario Carneiro,
       27-Apr-2015.) $)
    fidomtri $p |- ( ( A e. Fin /\ B e. V ) -> ( A ~<_ B <-> -. B ~< A ) ) $=
      ( va cfn wcel wa cdom wbr csdm wn domnsym wi cdm wb finnum adantr domtri2
      ccrd syl2an biimprd wf1 wex isinffi ancoms adantlr brdomg ad2antlr mpbird
      cv a1d pm2.61dan impbid2 ) AEFZBCFZGZABHIZBAJIKZABLUPBEFZURUQMUPUSGUQURUP
      ASNZFZBUTFUQUROUSUNVAUOAPQBPABRTUAUPUSKZGZUQURVCUQABDUJUBDUCZUNVBVDUOVBUN
      VDBADUDUEUFUOUQVDOUNVBABCDUGUHUIUKULUM $.

    $( Trichotomy of dominance without AC when one set is finite.  (Contributed
       by Stefan O'Rear, 30-Oct-2014.)  (Revised by Mario Carneiro,
       7-May-2015.) $)
    fidomtri2 $p |- ( ( A e. V /\ B e. Fin ) -> ( A ~<_ B <-> -. B ~< A ) ) $=
      ( wcel cfn wa cdom wbr csdm wn domnsym cen sdomdom con3i fidomtri syl5ibr
      wb ancoms ensym endom syl jca2 brsdom syl6ibr con1d impbid2 ) ACDZBEDZFZA
      BGHZBAIHZJABKUIUJUKUIUJJZBAGHZBALHZJZFUKUIULUMUOULUMUIABIHZJZUPUJABMNUHUG
      UMUQQBACORPUNUJUNABLHUJBASABTUANUBBAUCUDUEUF $.
  $}

  $( The Hartogs number of a well-orderable set strictly dominates the set.
     (Contributed by Mario Carneiro, 15-May-2015.) $)
  harsdom $p |- ( A e. dom card -> A ~< ( har ` A ) ) $=
    ( ccrd cdm wcel char cfv csdm cdom wn harndom wb con0 harcl onenon ax-mp wa
    wbr domtri2 con2bid mpan mpbiri ) ABCZDZAAEFZGQZUDAHQZIZAJUDUBDZUCUEUGKUDLD
    UHAMUDNOUHUCPUFUEUDARSTUA $.

  ${
    $d x y A $.
    $( Any well-orderable set is strictly dominated by an ordinal number.
       (Contributed by Jeff Hankins, 22-Oct-2009.)  (Proof shortened by Mario
       Carneiro, 15-May-2015.) $)
    onsdom $p |- ( A e. dom card -> E. x e. On A ~< x ) $=
      ( ccrd cdm wcel char cfv con0 csdm wbr cv wrex harcl harsdom breq2 rspcev
      sylancr ) BCDEBFGZHEBRIJZBAKZIJZAHLBMBNUASARHTRBIOPQ $.

    $( An alternate expression for the Hartogs number of a well-orderable set.
       (Contributed by Mario Carneiro, 15-May-2015.) $)
    harval2 $p |- ( A e. dom card ->
      ( har ` A ) = |^| { x e. On | A ~< x } ) $=
      ( vy ccrd cdm wcel char cfv cv csdm wbr con0 crab cint wss wral cdom wceq
      wi wa harval adantr sdomel impel an4s ancoms 3impb rabssdv adantl eqsstrd
      domsdomtr ralrimiva ssintrab sylibr breq2 harcl a1i harsdom elrabd intss1
      expr syl eqssd ) BDEZFZBGHZBAIZJKZALMZNZVEVHVFVGOZSZALPVFVJOVEVLALVEVGLFZ
      VHVKVEVMVHTZTVFCIZBQKZCLMZVGVEVFVQRVNCVDBUAUBVNVQVGOVEVNVPCLVGVNVOLFZVPVO
      VGFZVRVPTVNVSVRVMVPVHVSVRVMTVOVGJKVSVPVHTVOVGUCVOBVGUKUDUEUFUGUHUIUJVAULV
      HAVFLUMUNVEVFVIFVJVFOVEVHBVFJKAVFLVGVFBJUOVFLFVEBUPUQBURUSVFVIUTVBVC $.
  $}

  ${
    $d A x $.
    $( The next cardinal after a finite ordinal is the successor ordinal.
       (Contributed by RP, 5-Nov-2023.) $)
    harsucnn $p |- ( A e. _om -> ( har ` A ) = suc A ) $=
      ( vx com wcel char cfv cv csdm wbr con0 crab cint csuc wss ccrd wceq nnon
      cdm 3syl wb onenon harval2 wa sucdom adantr peano2 nndomog sylan rabbidva
      cdom bitrd inteqd intmin 3eqtrd ) ACDZAEFZABGZHIZBJKZLZAMZUQNZBJKZLZVAUOA
      JDAORDUPUTPAQAUABAUBSUOUSVCUOURVBBJUOUQJDZUCURVAUQUJIZVBUOURVFTVEAUQUDUEU
      OVACDZVEVFVBTAUFZVAUQUGUHUKUIULUOVGVAJDVDVAPVHVAQBVAJUMSUN $.
  $}

  ${
    $d A x y $.
    $( The smallest ordinal that strictly dominates a set is a cardinal, if it
       exists.  (Contributed by Mario Carneiro, 2-Feb-2013.) $)
    cardmin2 $p |- ( E. x e. On A ~< x <->
                      ( card ` |^| { x e. On | A ~< x } ) =
                               |^| { x e. On | A ~< x } ) $=
      ( vy cv csdm wbr con0 cint ccrd wceq wcel wa cen wn wss sylan sylanb nfcv
      c0 cvv wrex crab cfv wral onintrab2 biimpi cdom adantr word eloni ordelss
      ssdomg sylc onelon nfrab1 nfint nfbr breq2 onminsb sdomentr ssrab2 onnmin
      wi elrab mpan sylbir expcom syl impancom con2d ensym nsyl brsdom sylanbrc
      mpd ralrimiva iscard wne vprc inteq int0 eqtrdi eleq1d mtbiri eleq1 mpbii
      fvex necon2ai rabn0 sylib impbii ) BADZEFZAGUAZWMAGUBZHZIUCZWPJZWNWPGKZCD
      ZWPEFZCWPUDWRWNWSWMAUEZUFZWNXACWPWNWTWPKZLZWTWPUGFZWTWPMFZNXAXEWSWTWPOZXF
      WNWSXDXCUHWNWSXDXHXBWSWPUIXDXHWPUJWPWTUKPQWTWPGULUMXEWPWTMFZXGXEWTGKZXINZ
      WNWSXDXJXBWPWTUNQWNXJXDXKWNXJLXIXDWNXIXJXDNZWNXILBWTEFZXJXLVCWNBWPEFZXIXM
      WMXNAABWPEABRAERAWOWMAGUOUPUQWLWPBEURUSBWPWTUTPXJXMXLXJXMLWTWOKZXLWMXMAWT
      GWLWTBEURVDWOGOXOXLWMAGVAWOWTVBVEVFVGVHVIVJVIVOWTWPVKVLWTWPVMVNVPCWPVQVNW
      RWOSVRWNWRWOSWOSJZWPTKZWRXPXQTTKVSXPWPTTXPWPSHTWOSVTWAWBWCWDWRWQTKXQWPIWG
      WQWPTWEWFVLWHWMAGWIWJWK $.
  $}

  ${
    $d x A $.
    $( In Theorem *54.43 of [WhiteheadRussell] p. 360, the number 1 is defined
       as the collection of all sets with cardinality 1 (i.e. all singletons;
       see ~ card1 ), so that their ` A e. 1 ` means, in our notation,
       ` A e. { x | ( card `` x ) = 1o } ` .  Here we show that this is
       equivalent to ` A ~~ 1o ` so that we can use the latter more convenient
       notation in ~ pm54.43 .  (Contributed by NM, 4-Nov-2013.) $)
    pm54.43lem $p |- ( A ~~ 1o <-> A e. { x | ( card ` x ) = 1o } ) $=
      ( c1o cen wbr ccrd cfv wceq cv cab wcel carden2b 1onn cardnn ax-mp eqtrdi
      com eqeq2i biimpri c0 cdm wb 1n0 neii eqeq1 mtbiri ndmfv nsyl2 1on onenon
      con0 carden2 sylancl mpbid impbii fveqeq2 elab3 bitr4i ) BCDEZBFGZCHZBAIZ
      FGCHZAJKUSVAUSUTCFGZCBCLCQKVDCHMCNOZPVAUTVDHZUSVFVAVDCUTVERSVABFUAZKZCVGK
      ZVFUSUBVAUTTHZVHVAVJCTHCTUCUDUTCTUEUFBFUGUHZCUKKVIUICUJOBCULUMUNUOVCVAABV
      GVKVBBCFUPUQUR $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Theorem *54.43 of [WhiteheadRussell] p. 360.  "From this proposition it
       will follow, when arithmetical addition has been defined, that 1+1=2."
       See ~ http://en.wikipedia.org/wiki/Principia_Mathematica#Quotations .
       This theorem states that two sets of cardinality 1 are disjoint iff
       their union has cardinality 2.

       Whitehead and Russell define 1 as the collection of all sets with
       cardinality 1 (i.e. all singletons; see ~ card1 ), so that their
       ` A e. 1 ` means, in our notation, ` A e. { x | ( card `` x ) = 1o } `
       which is the same as ` A ~~ 1o ` by ~ pm54.43lem .  We do not have
       several of their earlier lemmas available (which would otherwise be
       unused by our different approach to arithmetic), so our proof is longer.
       (It is also longer because we must show every detail.)

       Theorem ~ dju1p1e2 shows the derivation of 1+1=2 for cardinal numbers
       from this theorem.  (Contributed by NM, 4-Apr-2007.) $)
    pm54.43 $p |- ( ( A ~~ 1o /\ B ~~ 1o ) -> ( ( A i^i B ) = (/) <->
                  ( A u. B ) ~~ 2o ) ) $=
      ( vx vy c1o cen wbr wa cin c0 wceq cun c2o csn wi ensn1 wn ex cv csdm 1on
      1oex ensymi entr mpan2 wcel onirri disjsn mpbir unen mpanr2 sylan2 df-suc
      csuc df-2o eqtri breq2i syl6ibr wex en1 wne sneq uneq2d unidm eqtr3di vex
      1sdom2 ensdomtr mp2an eqbrtrdi sdomnen syl necon2ai disjsn2 uneq12 breq1d
      a1i ineq12 eqeq1d 3imtr4d exlimdv exlimiv imp syl2anb impbid ) AEFGZBEFGZ
      HZABIZJKZABLZMFGZWHWJWKEENZLZFGZWLWGWFBWMFGZWJWOOWGEWMFGWPWMEEUBPUCBEWMUD
      UEWFWPHZWJWOWQWJEWMIJKZWOWREEUFQEUAUGEEUHUIAEBWMUJUKRULMWNWKFMEUNWNUOEUMU
      PUQURWFACSZNZKZCUSZBDSZNZKZDUSZWLWJOZWGCAUTDBUTXBXFXGXAXFXGOCXAXEXGDXAXEX
      GXAXEHZWTXDLZMFGZWTXDIZJKZWLWJXJXLOXHXJWSXCVAXLXJWSXCWSXCKZXIMTGXJQXMXIWT
      MTXMWTWTLXIWTXMWTXDWTWSXCVBVCWTVDVEWTEFGEMTGWTMTGWSCVFPVGWTEMVHVIVJXIMVKV
      LVMWSXCVNVLVQXHWKXIMFAWTBXDVOVPXHWIXKJAWTBXDVRVSVTRWAWBWCWDWE $.
  $}

  $( Lemma for ~ pr2ne .  (Contributed by FL, 17-Aug-2008.) $)
  pr2nelem $p |- ( ( A e. C /\ B e. D /\ A =/= B ) -> { A , B } ~~ 2o ) $=
    ( wcel wne cpr c2o cen wbr csn cin c0 wceq disjsn2 wi c1o ensn1g wa cun ex
    pm54.43 df-pr breq1i bitr4di biimpd syl2an syl7 3imp ) ACEZBDEZABFZABGZHIJZ
    ULAKZBKZLMNZUJUKUNABOUJUKUQUNPZUJUOQIJZUPQIJZURUKACRBDRUSUTSZUQUNVAUQUOUPTZ
    HIJUNUOUPUBUMVBHIABUCUDUEUFUGUAUHUI $.

  $( If an unordered pair has two elements they are different.  (Contributed by
     FL, 14-Feb-2010.) $)
  pr2ne $p |- ( ( A e. C /\ B e. D ) -> ( { A , B } ~~ 2o <-> A =/= B ) ) $=
    ( wcel wa cpr c2o cen wbr wne wceq wn wi c1o entr ax-mp ex syl cvv csdm a1d
    preq2 eqcoms enpr1g 1sdom2 sdomnen ensym mtoi prex eqeng syl11 a1dd pm2.43a
    com23 imp syl5 necon2ad pr2nelem 3expia impbid ) ACEZBDEZFZABGZHIJZABKZVDVF
    ABABLVEAAGZLZVDVFMZVIBABAAUCUDVIVDVJVBVCVIVDVJNZNVBVIVCVKVBVHOIJZVIVCVKNNAC
    UEVLVIVKVCVEVHIJZVLVKVIVMVLVKVMVLFVEOIJZVKVEVHOPVNVJVDVNVFOHIJZOHUAJVOMUFOH
    UGQVNOVEIJZVFVONVEOUHVPVFVOOVEHPRSUIUBSRVETEVIVMNABUJVEVHTUKQULUMSUOUPUNUQU
    RVBVCVGVFABCDUSUTVA $.

  $( An unordered pair has at most two elements.  (Contributed by FL,
     22-Feb-2011.) $)
  prdom2 $p |- ( ( A e. C /\ B e. D ) -> { A , B } ~<_ 2o ) $=
    ( wcel wa cpr c2o cdom wbr wi wceq csn dfsn2 c1o cen ensn1g csdm endom syl
    1sdom2 domsdomtr sdomdom sylancl eqbrtrrid preq2 breq1d syl5ibr adantrd wne
    eqcoms pr2ne biimprd syl6com pm2.61ine ) ACEZBDEZFZABGZHIJZKABABLUPUTUQUPUT
    KBAUPUTBALZAAGZHIJUPVBAMZHIANUPVCOPJZVCHIJZACQVDVCOIJZOHRJZVEVCOSUAVFVGFVCH
    RJVEVCOHUBVCHUCTUDTUEVAUSVBHIBAAUFUGUHUKUIURABUJZUSHPJZUTURVIVHABCDULUMUSHS
    UNUO $.

  $( Building a set with two elements.  (Contributed by FL, 11-Aug-2008.)
     (Revised by Mario Carneiro, 10-Sep-2015.) $)
  en2eqpr $p |- ( ( C ~~ 2o /\ A e. C /\ B e. C )
     -> ( A =/= B -> C = { A , B } ) ) $=
    ( c2o cen wbr wcel w3a wne cpr wceq wa cfn wss 2onn nnfi ax-mp simpl1 enfii
    com sylancr simpl2 simpl3 prssd pr2nelem 3expa 3adantl1 ensymd entr syl2anc
    fisseneq syl3anc eqcomd ex ) CDEFZACGZBCGZHZABIZCABJZKURUSLZUTCVACMGZUTCNUT
    CEFZUTCKVADMGZUOVBDTGVDODPQUOUPUQUSRZCDSUAVAABCUOUPUQUSUBUOUPUQUSUCUDVAUTDE
    FZDCEFVCUPUQUSVFUOUPUQUSVFABCCUEUFUGVACDVEUHUTDCUIUJUTCUKULUMUN $.

  $( Express a set of pair cardinality as the unordered pair of a given element
     and the other element.  (Contributed by Stefan O'Rear, 22-Aug-2015.) $)
  en2eleq $p |- ( ( X e. P /\ P ~~ 2o ) -> P = { X , U. ( P \ { X } ) } ) $=
    ( wcel c2o cen wbr wa csn cdif cuni cpr cfn wss wceq com adantl wne syl3anc
    2onn c1o nnfi ax-mp enfi mpbiri simpl csuc 1onn simpr df-2o breqtrdi dif1en
    mp3an2i en1uniel syl eldifsn sylib simpld prssd simprd necomd pr2nelem entr
    ensym syl2anc fisseneq eqcomd ) BACZADEFZGZBABHIZJZKZAVIALCZVLAMVLAEFZVLANV
    HVMVGVHVMDLCZDOCVOSDUAUBADUCUDPVIBVKAVGVHUEZVIVKACZVKBQZVIVKVJCZVQVRGVIVJTE
    FZVSTOCVIATUFZEFVGVTUGVIADWAEVGVHUHUIUJVPATBUKULVJUMUNVKABUOUPZUQZURVIVLDEF
    ZDAEFZVNVIVGVQBVKQWDVPWCVIVKBVIVQVRWBUSUTBVKAAVARVHWEVGADVCPVLDAVBVDVLAVERV
    F $.

  $( Taking the other element twice in a pair gets back to the original
     element.  (Contributed by Stefan O'Rear, 22-Aug-2015.) $)
  en2other2 $p |- ( ( X e. P /\ P ~~ 2o ) ->
      U. ( P \ { U. ( P \ { X } ) } ) = X ) $=
    ( wcel c2o cen wbr csn cdif cuni cpr en2eleq prcom eqtrdi difeq1d difprsnss
    wa eqsstrdi wne simpl c1o com csuc 1onn simpr df-2o breqtrdi dif1en mp3an2i
    en1uniel eldifsni 3syl necomd eldifsn snssd eqssd unieqd wceq unisng adantr
    sylanbrc eqtrd ) BACZADEFZPZAABGZHZIZGZHZIVEIZBVDVIVEVDVIVEVDVIVGBJZVHHVEVD
    AVKVHVDABVGJVKABKBVGLMNVGBOQVDBVIVDVBBVGRBVICVBVCSZVDVGBVDVFTEFZVGVFCVGBRTU
    ACVDATUBZEFVBVMUCVDADVNEVBVCUDUEUFVLATBUGUHVFUIVGABUJUKULBAVGUMUTUNUOUPVBVJ
    BUQVCBAURUSVA $.

  ${
    $d A m $.  $d X m $.
    $( The cardinality of a nonempty finite set is one greater than the
       cardinality of the set with one element removed.  (Contributed by Jeff
       Madsen, 2-Sep-2009.)  (Proof shortened by Mario Carneiro,
       2-Feb-2013.) $)
    dif1card $p |- ( ( A e. Fin /\ X e. A ) -> ( card ` A ) =
                                      suc ( card ` ( A \ { X } ) ) ) $=
      ( vm cfn wcel ccrd cfv csn csuc wceq cen wbr com cun cin a1i syl 3ad2ant2
      c0 cardennn cdif wi diffi cv wrex wa w3a simp3 en2sn 3adant3 disjdifr wel
      isfi wn word nnord ordirr disjsn sylibr syl22anc wb difsnid df-suc eqcomi
      unen breq12d 3ad2ant1 mpbid peano2 syl2anc ancoms 3adant1 suceq rexlimiva
      eqtr4d 3expib com12 sylbi imp ) ADEZBAEZAFGZABHZUAZFGZIZJZVTWDDEZWAWGUBZA
      WCUCWHWDCUDZKLZCMUEWICWDUMWKWICMWAWJMEZWKUFWGWAWLWKWGWAWLWKUGZWBWJIZWFWMA
      WNKLZWNMEZWBWNJWMWDWCNZWJWJHZNZKLZWOWMWKWCWRKLZWDWCOSJZWJWROSJZWTWAWLWKUH
      WAWLXAWKBWJAMUIUJXBWMWCAUKPWLWAXCWKWLCCULUNZXCWLWJUOXDWJUPWJUQQWJWJURUSRW
      DWJWCWRVEUTWAWLWTWOVAWKWAWQAWSWNKABVBWSWNJWAWNWSWJVCVDPVFVGVHWLWAWPWKWJVI
      RAWNTVJWMWEWJJZWFWNJWLWKXEWAWKWLXEWDWJTVKVLWEWJVMQVOVPVQVNVRQVS $.
  $}

  ${
    $d a A $.  $d w J $.  $d u w z L $.  $d m z M $.  $d w z ph $.  $d z Q $.
    $d a m u w x y z $.  $d u R $.
    leweon.1 $e |- L = { <. x , y >. |
      ( ( x e. ( On X. On ) /\ y e. ( On X. On ) )
        /\ ( ( 1st ` x ) e. ( 1st ` y ) \/
          ( ( 1st ` x ) = ( 1st ` y ) /\ ( 2nd ` x ) e. ( 2nd ` y ) ) ) ) } $.
    $( Lexicographical order is a well-ordering of ` On X. On ` .  Proposition
       7.56(1) of [TakeutiZaring] p. 54.  Note that unlike ~ r0weon , this
       order is _not_ set-like, as the preimage of ` <. 1o , (/) >. ` is the
       proper class ` ( { (/) } X. On ) ` .  (Contributed by Mario Carneiro,
       9-Mar-2013.) $)
    leweon $p |- L We ( On X. On ) $=
      ( con0 cep wwe epweon cv wcel wa c1st cfv c2nd wo copab fvex epeli anbi2i
      wbr cxp wceq orbi12i opabbii eqtr4i wexp mp2an ) EFGZUHEEUAZCGHHABEEFFCCA
      IZUIJBIZUIJKZUJLMZUKLMZJZUMUNUBZUJNMZUKNMZJZKZOZKZABPULUMUNFTZUPUQURFTZKZ
      OZKZABPDVGVBABVFVAULVCUOVEUTUMUNUKLQRVDUSUPUQURUKNQRSUCSUDUEUFUG $.

    r0weon.1 $e |- R = { <. z , w >. |
      ( ( z e. ( On X. On ) /\ w e. ( On X. On ) ) /\
        ( ( ( 1st ` z ) u. ( 2nd ` z ) ) e. ( ( 1st ` w ) u. ( 2nd ` w ) ) \/
          ( ( ( 1st ` z ) u. ( 2nd ` z ) ) = ( ( 1st ` w ) u. ( 2nd ` w ) ) /\
         z L w ) ) ) } $.
    $( A set-like well-ordering of the class of ordinal pairs.  Proposition
       7.58(1) of [TakeutiZaring] p. 54.  (Contributed by Mario Carneiro,
       7-Mar-2013.)  (Revised by Mario Carneiro, 26-Jun-2015.) $)
    r0weon $p |- ( R We ( On X. On ) /\ R Se ( On X. On ) ) $=
      ( vu con0 wa wtru cep c1st cfv c2nd wcel fvex a1i wss cxp wwe wse cv cmpt
      cun wceq wbr wo copab weq fveq2 uneq12d eqid fvmpt breqan12d epeli bitrdi
      unex eqeqan12d anbi1d orbi12d pm5.32i opabbii eqtr4i wf xp1st xp2nd ordun
      word elon syl2anb syl2anc sylibr fmpti epweon leweon cima cvv cdm crn vex
      dmex rnex cres imadmres ccnv cin crab inss2 cpr ssun1 cop elinel2 1st2nd2
      wral syl elinel1 eqeltrrd opeldm sselid ssun2 opelrn prssd ordunpr sseldd
      rgen ssrab mpbir2an dmres fdmi ineq2i eqtri mptpreima 3sstr4i wfun funmpt
      wb resss dmss ax-mp funimass3 mp2an mpbir eqsstrri ssexi fnwe epse vuniex
      cuni cpw pwex xpex cab df-rab adantr elssuni adantl elpw jca unssad elxp6
      unssbd sylanbrc abssi eqsstri fnse mptru ) JJUAZEUBZUUIEUCZKLUUJUUKLCDIUU
      IJMFEAUUIAUDZNOZUULPOZUFZUEZECUDZUUIQZDUDZUUIQZKZUUQNOZUUQPOZUFZUUSNOZUUS
      POZUFZQZUVDUVGUGZUUQUUSFUHZKZUIZKZCDUJUVAUUQUUPOZUUSUUPOZMUHZUVNUVOUGZUVJ
      KZUIZKZCDUJHUVTUVMCDUVAUVSUVLUVAUVPUVHUVRUVKUVAUVPUVDUVGMUHUVHUURUUTUVNUV
      DUVOUVGMAUUQUUOUVDUUIUUPACUKUUMUVBUUNUVCUULUUQNULUULUUQPULUMUUPUNZUVBUVCU
      UQNRUUQPRUSUOZAUUSUUOUVGUUIUUPADUKUUMUVEUUNUVFUULUUSNULUULUUSPULUMUWAUVEU
      VFUUSNRUUSPRUSZUOZUPUVDUVGUWCUQURUVAUVQUVIUVJUURUUTUVNUVDUVOUVGUWBUWDUTVA
      VBVCVDVEZUUIJUUPVFLAUUIJUUOUUPUWAUULUUIQZUUOVJZUUOJQUWFUUMJQZUUNJQZUWGUUL
      JJVGZUULJJVHZUWHUUMVJUUNVJUWGUWIUUMUULNRZVKUUNUULPRZVKUUMUUNVIVLVMUUOUUMU
      UNUWLUWMUSVKVNVOZSZJMUBLVPSUUIFUBLABFGVQSUUPIUDZVRZVSQLUWQUWPVTZUWPWAZUFZ
      UWRUWSUWPIWBZWCUWPUXAWDUSUWQUUPUUPUWPWEZVTZVRZUWTUUPUWPWFUXDUWTTZUXCUUPWG
      ZUWTVRZTZUWPUUIWHZUUOUWTQZAUUIWIZUXCUXGUXIUXKTUXIUUITUXJAUXIWPUWPUUIWJUXJ
      AUXIUULUXIQZUUMUUNWKZUWTUUOUXLUUMUUNUWTUXLUWRUWTUUMUWRUWSWLUXLUUMUUNWMZUW
      PQZUUMUWRQUXLUULUXNUWPUXLUWFUULUXNUGZUULUWPUUIWNZUULJJWOZWQUULUWPUUIWRWSZ
      UUMUUNUWPUWLUWMWTWQXAUXLUWSUWTUUNUWSUWRXBUXLUXOUUNUWSQUXSUUMUUNUWPUWLUWMX
      CWQXAXDUXLUWHUWIUUOUXMQUXLUWFUWHUXQUWJWQUXLUWFUWIUXQUWKWQUUMUUNXEVMXFXGUX
      JAUUIUXIXHXIUXCUWPUUPVTZWHUXIUUPUWPXJUXTUUIUWPUUIJUUPUWNXKXLXMAUUIUUOUWTU
      UPUWAXNXOUUPXPUXCUXTTZUXEUXHXRAUUIUUOXQUXBUUPTUYAUUPUWPXSUXBUUPXTYAUXCUWT
      UUPYBYCYDYEYFSYGLCDIUUIJMFEUUPUWEUWOJMUCLJYHSUXFUWPVRZVSQLUYBUWPYJZYKZUYD
      UAZUYDUYDUYCIYIYLZUYFYMUYBUWFUUOUWPQZKZAYNZUYEUYBUYGAUUIWIUYIAUUIUUOUWPUU
      PUWAXNUYGAUUIYOXMUYHAUYEUYHUXPUUMUYDQZUUNUYDQZKUULUYEQUWFUXPUYGUXRYPUYHUY
      JUYKUYHUUMUYCTUYJUYHUUMUUNUYCUYGUUOUYCTUWFUUOUWPYQYRZUUAUUMUYCUWLYSVNUYHU
      UNUYCTUYKUYHUUMUUNUYCUYLUUCUUNUYCUWMYSVNYTUULUYDUYDUUBUUDUUEUUFYFSUUGYTUU
      H $.

    infxpen.1 $e |- Q = ( R i^i ( ( a X. a ) X. ( a X. a ) ) ) $.
    infxpen.2 $e |- ( ph <-> ( ( a e. On /\
        A. m e. a ( _om C_ m -> ( m X. m ) ~~ m ) ) /\
      ( _om C_ a /\ A. m e. a m ~< a ) ) ) $.
    infxpen.3 $e |- M = ( ( 1st ` w ) u. ( 2nd ` w ) ) $.
    infxpen.4 $e |- J = OrdIso ( Q , ( a X. a ) ) $.
    $( Lemma for ~ infxpen .  (Contributed by Mario Carneiro, 9-Mar-2013.)
       (Revised by Mario Carneiro, 26-Jun-2015.) $)
    infxpenlem $p |- ( ( A e. On /\ _om C_ A ) -> ( A X. A ) ~~ A ) $=
      ( wcel con0 com wss cxp cen wbr cv wi wceq sseq2 xpeq12 anidms id breq12d
      imbi12d wral wa csdm cdom ccnv crn cdm wf1 wf1o cep wiso cvv wwe vex xpex
      cin simpll sylbi onss syl xpss12 syl2anc wse sylib wb sylibr sylancr 4syl
      ax-mp f1oen 3syl cfv ccrd cima adantr eqeltri sseqin2 fvex word csuc c1st
      csn c2nd cun unex simprbi simplbi 3adant3 onelon sylan2 elxp7 syl2im sylc
      elv wlim simprr simprl sylbir mpbid syl2an2r a1i wo ontr2 syl22anc ssdomg
      imp mpsyl cfn syl2an expcom rspcdva omelon ontri1 simplr ensdomtr pm2.61d
      wn endomtr c0 nnsdom expr wrex entr ex mpd r0weon simpli wess weeq1 oiiso
      mpisyl weinxp isof1o f1ocnv f1of1 f1f1orn wfn f1ofn cres cnvimass eqsstri
      inss2 dmss dmxpid sseqtri sstri f1ores sylancl inex2 cnvex imaeq2i isocnv
      imaex mpbi simpr isoini epini ineq2i oicl wf f1of ffvelrnda ordelss eqtrd
      eqtrid eqtr3id ensymd sucex w3a xpss simp3 eliniseg breqi brin bitri brxp
      breqtrd sselid xp1st eloni ordunel 3expib eqeltrid iscard cardlim bibi12d
      limeq mpbii biimpa syl21anc limsuc ssun1 copab df-br eleq2i opabidw simpl
      cop 3bitri orim2i elsuc suceq eleqtrrdi xp2nd ssun2 syl12anc 3expia ssrdv
      biimpri nnfi xpfi isfinite sdomdomtr breq1 sylbird sylsyld ordelon onenon
      domsdomtr cardsdomel eleq2 ralrimiva fnfvrnss df1o2 1onn eqeltrri sdomdom
      c1o mp2b domtr 0ex xpsnen ensymi xpdom2 ad2antrl sbth rexnal onelss bren2
      syld simplbi2 syl6 reximdvai syl5bir r19.29 ensym domentr domnsym syl5ibr
      nsyl mpan expd impcom imim1d imp32 ancoms xpen sylan ad2antll exp31 tfis3
      rexlimdv ) FUATUBFUCZFFUDZFUEUFZUBMUGZUCZVWAVWAUDZVWAUEUFZUHUBIUGZUCZVWEV
      WEUDZVWEUEUFZUHZVVRVVTUHMIFVWAVWEUIZVWBVWFVWDVWHVWAVWEUBUJVWJVWCVWGVWAVWE
      UEVWJVWCVWGUIVWAVWEVWAVWEUKULVWJUMUNUOVWAFUIZVWBVVRVWDVVTVWAFUBUJVWKVWCVV
      SVWAFUEVWKVWCVVSUIVWAFVWAFUKULVWKUMUNUOVWAUATZVWIIVWAUPZVWBVWDVWLVWMUQZVW
      BUQVWEVWAURUFZIVWAUPZVWDVWNVWBVWPVWDVWNVWBVWPUQZUQZVWCVWAUSUFZVWAVWCUSUFZ
      VWDVWRAVWSQAVWCJUTZVAZUEUFZVXBVWAUSUFZVWSAVWCJVBZVXAVCZVWCVXBVXAVDVXCAVXE
      VWCVEGJVFZVXEVWCJVDZVWCVXEVXAVDZVXFAVWCVGTVWCGVHZVXGVWAVWAMVIZVXKVJZAVWCH
      VWCVWCUDZVKZVHZVXJAVWCHVHZVXOAVWCUAUAUDZUCZVXQHVHZVXPAVWAUAUCZVXTVXRAVWLV
      XTAVWRVWLQVWLVWMVWQVLVMZVWAVNVOZVYBVWAUAVWAUAVPVQVXSVXQHVRBCDEHKNOUUAUUBV
      WCVXQHUUCUUFVWCHUUGVSGVXNUIVXJVXOVTPVWCGVXNUUDWDWAVWCGJVGSUUEWBZVXEVWCVEG
      JUUHZVXEVWCJUUIZVWCVXEVXAUUJZWCVWCVXEVXAUUKVWCVXBVXAVXLWEWFAVXAVWCUULZEUG
      ZVXAWGZVWATZEVWCUPZVXDAVXGVXHVXIVYGVYCVYDVYEVWCVXEVXAUUMWCAVYJEVWCAVYHVWC
      TZUQZVYIVWAWHWGZTZVYJVYMVYIVWAURUFZVYOVYMVYIGUTZVYHWQZWIZUEUFVYSVWAURUFZV
      YPVYMVYSVYIVYMVYSVXAVYSWIZVYIUEVYMVXGVYSWUAVXAVYSUUNZVDZVYSWUAUEUFAVXGVYL
      VYCWJZVXGVXFVYSVWCUCZWUCVXGVXHVXIVXFVYDVYEVYFWFVYSGVBZVWCGVYRUUOWUFVXMVBZ
      VWCGVXMUCWUFWUGUCGVXNVXMPHVXMUUQUUPGVXMUURWDVWCUUSUUTUVAZVWCVXEVYSVXAUVBU
      VCVYSWUAWUBVYQVYRGGVXNVGPVXMHVWCVWCVXLVXLVJUVDWKUVEUVHWEWFVYMWUAVXAVWCVYS
      VKZWIZVYIWUIVYSVXAWUEWUIVYSUIWUHVYSVWCWLUVIUVFVYMWUJVXEVEUTVYIWQWIZVKZVYI
      VYMVWCVXEGVEVXAVFZVYLWUJWULUIVYMVXGWUMWUDVXEVWCVEGJUVGVOAVYLUVJZVWCVXEVYH
      GVEVXAUVKVQVYMWULVXEVYIVKZVYIWUKVYIVXEVYIVYHVXAWMUVLUVMVYMVYIVXEUCZWUOVYI
      UIVYMVXEWNZVYIVXETZWUPVWCGJSUVNZAVWCVXEVYHVXAAVXGVXHVXIVWCVXEVXAUVOVYCVYD
      VYEVWCVXEVXAUVPWCUVQZVXEVYIUVRWBVYIVXEWLVSUVTUVSUWAUWLUWBVYMVYSLWOZWVAUDZ
      USUFZWVBVWAURUFZVYTWVBVGTVYMVYSWVBUCWVCWVAWVALLVYHWPWGZVYHWRWGZWSZVGRWVEW
      VFVYHWPWMVYHWRWMWTWKUWCZWVHVJVYMDVYSWVBAVYLDUGZVYSTZWVIWVBTZAVYLWVJUWDZWV
      IVGVGUDZTZWVIWPWGZWVATZWVIWRWGZWVATZWVKWVLVWCWVMWVIVWAVWAUWEWVLWVIVYHGUFZ
      WVIVYHVXMUFZWVIVWCTZWVLWVJWVSAVYLWVJUWFWVJWVSVTEGVYHWVIVGDVIUWGXIVSZWVSWV
      IVYHHUFZWVTWVSWVIVYHVXNUFWWCWVTUQWVIVYHGVXNPUWHWVIVYHHVXMUWIUWJZXAWVTWWAV
      YLWVIVYHVWCVWCUWKXBWFZUWMWVLWVOUATZWVAUATZWVOWVOWVQWSZUCZWWHWVATZWVPWVLVW
      LWWAWWFAVYLVWLWVJAVWLVYLVYAWJZXCZWWEWWAVWLWVOVWATWWFWVIVWAVWAUWNVWAWVOXDX
      EVQAVYLWWGWVJAVWLVYLWVAVWATZWWGVYAVYMLVWATZWWMVYMLWVGVWARVYMVWLVYLWVGVWAT
      ZWWKWUNVWLVWAWNZVYLWVEVWATZWVFVWATZUQZWWOVWAUWOVYLVYHWVMTWWSVYHVWAVWAXFXA
      WWPWWQWWRWWOVWAWVEWVFUWPUWQXGXHUWRVYMVWAXJZWWNWWMVTAWWTVYLAVWLVWPVWBWWTVY
      AAVWRVWPQVWNVWBVWPXKVMZAVWRVWBQVWNVWBVWPXLVMZVWLVWPUQZVWBWWTWXCVYNVWAUIZV
      WBWWTVTZIVWAUWSZWXDUBVYNUCZVYNXJZVTWXEVWAUWTWXDWXGVWBWXHWWTVYNVWAUBUJVYNV
      WAUXBUXAUXCXMUXDUXEWJVWALUXFVOXNZVWAWVAXDXOZXCZWWIWVLWVOWVQUXGXPWVLWVSWWC
      WWJWWBWVSWWCWVTWWDXBWWCWWHWVGWOZWVAWWCWWHWVGTZWWHWVGUIZXQZWWHWXLTWWCWXMWX
      NWVIVYHKUFZUQZXQZWXOWWCWVIVXQTVYHVXQTUQZWXRWWCWVIVYHUXMZHTWXTWXSWXRUQZDEU
      XHZTWYAWVIVYHHUXIHWYBWXTOUXJWYADEUXKUXNXAWXQWXNWXMWXNWXPUXLUXOVOWWHWVGWVO
      WVQWVIWPWMWVIWRWMWTUXPWALWVGUIWVAWXLUIRLWVGUXQWDUXRWFZWWFWWGUQWWIWWJUQWVP
      WVOWWHWVAXRYAXSWVLWVQUATZWWGWVQWWHUCZWWJWVRWVLVWLWWAWYDWWLWWEWWAVWLWVQVWA
      TWYDWVIVWAVWAUXSVWAWVQXDXEVQWXKWYEWVLWVQWVOUXTXPWYCWYDWWGUQWYEWWJUQWVRWVQ
      WWHWVAXRYAXSWVKWVNWVPWVRUQUQWVIWVAWVAXFUYDUYAUYBUYCVYSWVBVGXTYBVYMWVAUBTZ
      WVDVYMVWBWYFWVDUHAVWBVYLWXBWJWYFVWBWVDWYFWVBUBURUFZUBVWAUSUFZWVDVWBWYFWVA
      YCTZWYGWVAUYEWYIWVBYCTZWYGWYIWYJWVAWVAUYFULWVBUYGVSVOVWBWYHUHMUBVWAVGXTXI
      ZWVBUBVWAUYHYDYEVOVYMWVAVWAURUFZWYFYLZWVBWVAUEUFZWVDVYMVWOWYLIVWAWVAVWEWV
      AVWAURUYIAVWPVYLWXAWJZWXIYFVYMWYMUBWVAUCZWYNVYMUBUATZWWGWYPWYMVTYGWXJUBWV
      AYHWBVYMVWIWYPWYNUHIVWAWVAVWEWVAUIZVWFWYPVWHWYNVWEWVAUBUJWYRVWGWVBVWEWVAU
      EWYRVWGWVBUIVWEWVAVWEWVAUKULWYRUMUNUOAVWMVYLAVWRVWMQVWLVWMVWQYIVMWJWXIYFU
      YJWYNWYLWVDWVBWVAVWAYJYEUYKYKVYSWVBVWAUYNVQVYIVYSVWAYJVQVYMVYIUATZVWAWHVB
      TZVYPVYOVTVYMWUQWURWYSWUSWUTVXEVYIUYLWBVYMVWLWYTWWKVWAUYMVOVYIVWAUYOVQXNA
      VWLVYLVWPVYOVYJVTZVYAWYOWXCWXDXUAWXFVYNVWAVYIUYPXMXOXNUYQVWAVGTVYGVYKUQVX
      BVWAUCVXDVXKEVWCVWAVXAUYRVXBVWAVGXTYBVQVWCVXBVWAYMVQXMVWBVWTVWNVWPVWBYNWQ
      ZVWAUSUFZVWTVWBXUBUBUSUFZWYHXUCXUBUBTXUBUBURUFXUDVUCXUBUBUYSUYTVUAXUBYOXU
      BUBVUBVUDWYKXUBUBVWAVUEWBXUCVWAVWAXUBUDZUEUFXUEVWCUSUFVWTXUEVWAVWAYNVXKVU
      FVUGVUHXUBVWAVWAVXKVUIVWAXUEVWCYMWBVOVUJVWCVWAVUKVQYPVWNVWBVWPYLZVWDVWNVW
      BXUFUQZUQZVWIVWEVWAUEUFZUQZIVWAYQZVWDXUHVWMXUIIVWAYQZXUKVWLVWMXUGYIXUHVWL
      XUFXULVWLVWMXUGVLZVWNVWBXUFXKXUFVWOYLZIVWAYQVWLXULVWOIVWAVULVWLXUNXUIIVWA
      VWLVWEVWATZVWEVWAUSUFZXUNXUIUHVWLXUOVWEVWAUCXUPVWAVWEVUMVWEVWAUAXTVUOXUIX
      UPXUNVWEVWAVUNVUPVUQVURVUSXHVWIXUIIVWAVUTVQXUHVWBVWLXUKVWDUHVWNVWBXUFXLXU
      MVWBVWLUQXUJVWDIVWAVWBVWLXUOXUJVWDUHVWBVWLXUOUQZUQZXUJVWDXURXUJUQVWHVWDXU
      RVWIXUIVWHXURXUIVWFVWHXUQVWBXUIVWFUHXUQVWBXUIVWFXUQVWEUATZVWBXUIUQUBVWEUS
      UFZVWFVWAVWEXDVWBWYHVWAVWEUEUFZXUTXUIWYKVWEVWAVVAZUBVWAVWEVVBYDXUTVWFXUSV
      WEUBTZYLZXUTVWEUBURUFXVCUBVWEVVCVWEYOVVEWYQXUSVWFXVDVTYGUBVWEYHVVFVVDXGVV
      GVVHVVIVVJXUIVWHVWDUHXURVWIXUIVWHVWDXUIXVAVWHVWGVWAUEUFZVWDXVBVWHXUIXVEVW
      GVWEVWAYRVVKXVAVWCVWGUEUFZXVEVWDXVAXVFVWAVWEVWAVWEVVLULVWCVWGVWAYRVVMXOYS
      VVNYTYSYPVVQVQYTYPYKVVOVVPYA $.
  $}

  ${
    $d a m s t w x y z A $.
    $( Every infinite ordinal is equinumerous to its Cartesian square.
       Proposition 10.39 of [TakeutiZaring] p. 94, whose proof we follow
       closely.  The key idea is to show that the relation ` R ` is a
       well-ordering of ` ( On X. On ) ` with the additional property that
       ` R ` -initial segments of ` ( x X. x ) ` (where ` x ` is a limit
       ordinal) are of cardinality at most ` x ` .  (Contributed by Mario
       Carneiro, 9-Mar-2013.)  (Revised by Mario Carneiro, 26-Jun-2015.) $)
    infxpen $p |- ( ( A e. On /\ _om C_ A ) -> ( A X. A ) ~~ A ) $=
      ( vm vx vy vz vw vs vt cv wcel cxp wbr c1st cfv c2nd cun wceq eqid fveq2
      wa va con0 com wss cen wi wral csdm copab cin coi eleq1w bi2anan9 uneq12d
      wo adantr adantl eleq12d eqeqan12d breq12 anbi12d orbi12d biid infxpenlem
      cbvopabv ) UAIZUBJUCBIZUDVGVGKVGUELUFBVFUGTUCVFUDVGVFUHLBVFUGTTZCDEFAGIZU
      BUBKZJZHIZVJJZTZVIMNZVIONZPZVLMNZVLONZPZJZVQVTQZVIVLCIZVJJDIZVJJTWCMNZWDM
      NZJWEWFQWCONWDONJTUOTCDUIZLZTZUOZTZGHUIZVFVFKZWMKUJZWLBWMWNUKZWGFIZMNZWPO
      NZPZUAWGRWKEIZVJJZWPVJJZTZWTMNZWTONZPZWSJZXFWSQZWTWPWGLZTZUOZTGHEFVIWTQZV
      LWPQZTZVNXCWJXKXLVKXAXMVMXBGEVJULHFVJULUMXNWAXGWIXJXNVQXFVTWSXLVQXFQXMXLV
      OXDVPXEVIWTMSVIWTOSUNZUPXMVTWSQXLXMVRWQVSWRVLWPMSVLWPOSUNZUQURXNWBXHWHXIX
      LXMVQXFVTWSXOXPUSVIWTVLWPWGUTVAVBVAVEWNRVHVCWSRWORVD $.
  $}

  $( The Cartesian product of omega (the set of ordinal natural numbers) with
     itself is equinumerous to omega.  Exercise 1 of [Enderton] p. 133.
     (Contributed by NM, 23-Jul-2004.)  (Revised by Mario Carneiro,
     9-Mar-2013.) $)
  xpomen $p |- ( _om X. _om ) ~~ _om $=
    ( com con0 wcel wss cxp cen wbr omelon ssid infxpen mp2an ) ABCAADAAEAFGHAI
    AJK $.

  $( The cartesian product of two countable sets is countable.  (Contributed by
     Thierry Arnoux, 24-Sep-2017.) $)
  xpct $p |- ( ( A ~<_ _om /\ B ~<_ _om ) -> ( A X. B ) ~<_ _om ) $=
    ( com cdom wbr wa cxp cen cvv wcel ctex adantl simpl xpdom1g syl2anc xpdom2
    omex domtr xpomen domentr sylancl ) ACDEZBCDEZFZABGZCCGZDEZUFCHEUECDEUDUECB
    GZDEZUHUFDEZUGUDBIJZUBUIUCUKUBBKLUBUCMACBINOUCUJUBBCCQPLUEUHUFROSUEUFCTUA
    $.

  $( Every infinite well-orderable set is equinumerous to its Cartesian square.
     This theorem provides the basis for infinite cardinal arithmetic.
     Proposition 10.40 of [TakeutiZaring] p. 95.  See also ~ infxpidm .
     (Contributed by Mario Carneiro, 9-Mar-2013.)  (Revised by Mario Carneiro,
     29-Apr-2015.) $)
  infxpidm2 $p |- ( ( A e. dom card /\ _om ~<_ A ) -> ( A X. A ) ~~ A ) $=
    ( ccrd cdm wcel com cdom wbr cxp cfv cen cardid2 ensymd xpen syl2anc adantr
    wa con0 wss cardon entr cardom wb omelon onenon ax-mp carddom2 mpan biimpar
    eqsstrrid infxpen sylancr ) ABCZDZEAFGZPZAAHZABIZJGZUQAJGZUPAJGUOUPUQUQHZJG
    ZUTUQJGZURUMVAUNUMAUQJGZVCVAUMUQAAKZLZVEAUQAUQMNOUOUQQDEUQRVBASUOEEBIZUQUAU
    MVFUQRZUNEULDZUMVGUNUBEQDVHUCEUDUEEAUFUGUHUIUQUJUKUPUTUQTNUMUSUNVDOUPUQATN
    $.

  ${
    $d x y A $.  $d x y F $.  $d x y N $.  $d x y ph $.  $d w x y z W $.
    $d x y X $.  $d x y Y $.
    infxpenc.1 $e |- ( ph -> A e. On ) $.
    infxpenc.2 $e |- ( ph -> _om C_ A ) $.
    infxpenc.3 $e |- ( ph -> W e. ( On \ 1o ) ) $.
    infxpenc.4 $e |- ( ph -> F : ( _om ^o 2o ) -1-1-onto-> _om ) $.
    infxpenc.5 $e |- ( ph -> ( F ` (/) ) = (/) ) $.
    infxpenc.6 $e |- ( ph -> N : A -1-1-onto-> ( _om ^o W ) ) $.
    infxpenc.k $e |- K = ( y e. { x e. ( ( _om ^o 2o ) ^m W ) |
                     x finSupp (/) } |-> ( F o. ( y o. `' ( _I |` W ) ) ) ) $.
    infxpenc.h $e |- H =
      ( ( ( _om CNF W ) o. K ) o. `' ( ( _om ^o 2o ) CNF W ) ) $.
    infxpenc.l $e |- L = ( y e. { x e. ( _om ^m ( W .o 2o ) ) |
        x finSupp (/) } |-> ( ( _I |` _om ) o. ( y o. `' ( Y o. `' X ) ) ) ) $.
    infxpenc.x $e |- X = ( z e. 2o , w e. W |-> ( ( W .o z ) +o w ) ) $.
    infxpenc.y $e |- Y = ( z e. 2o , w e. W |-> ( ( 2o .o w ) +o z ) ) $.
    infxpenc.j $e |- J =
      ( ( ( _om CNF ( 2o .o W ) ) o. L ) o. `' ( _om CNF ( W .o 2o ) ) ) $.
    infxpenc.z $e |- Z = ( x e. ( _om ^o W ) , y e. ( _om ^o W ) |->
      ( ( ( _om ^o W ) .o x ) +o y ) ) $.
    infxpenc.t $e |- T =
      ( x e. A , y e. A |-> <. ( N ` x ) , ( N ` y ) >. ) $.
    infxpenc.g $e |- G = ( `' N o. ( ( ( H o. J ) o. Z ) o. T ) ) $.
    $( A canonical version of ~ infxpen , by a completely different approach
       (although it uses ~ infxpen via ~ xpomen ).  Using Cantor's normal form,
       we can show that ` A ^o B ` respects equinumerosity ( ~ oef1o ), so that
       all the steps of ` ( _om ^ W ) x. ( _om ^ W ) ~~ _om ^ ( 2 W ) ~~ `
       ` ( _om ^ 2 ) ^ W ~~ _om ^ W ` can be verified using bijections to do
       the ordinal commutations.  (The assumption on ` N ` can be satisfied
       using ~ cnfcom3c .)  (Contributed by Mario Carneiro, 30-May-2015.)
       (Revised by AV, 7-Jul-2019.) $)
    infxpenc $p |- ( ph -> G : ( A X. A ) -1-1-onto-> A ) $=
      ( cxp ccnv ccom wf1o com coe co f1ocnv syl comu c2o cid cres f1oi con0 c0
      a1i wcel c1o cdif omelon 2on oecl sylancl peano1 syl21anc ondif1 sylanbrc
      oen0 eldifad oef1o omf1o mpbir2an omcl syl2anc cfv wceq mp1i oeoe mp3an2i
      fvresi f1oeq3d mpbird f1oco coa csuc df-2o oveq2i 1on omsuc eqtrid oveq1d
      om1 eqtrd oveq2d oeoa f1oeq2d mpbid omxpenlem cv cop cmpo cmpt wf feqmptd
      f1of f1oeq1d xpf1o wb f1oeq1 ax-mp sylibr ) AFFUNZFNUOZJKUPZRUPZGUPZUPZUQ
      ZYFFIUQZAUROUSUTZFYGUQZYFYNYJUQZYLAFYNNUQZYOUDFYNNVAVBAYNYNUNZYNYIUQZYFYR
      GUQZYPAYNYNVCUTZYNYHUQZYRUUARUQZYSAUROVDVCUTZUSUTZYNYHUQZUUBAURVDUSUTZOUS
      UTZYNJUQUUEUUHKUQZUUFABCUUGOUROHVEOVFZJLUBOOUUJUQAOVGVJAUUGVHVKZVIUUGVKZU
      UGVHVLVMZVKAURVHVKZVDVHVKZUUKUUNAVNVJZVOURVDVPVQAUUNUUOVIURVKZUULUUPUUOAV
      OVJZUUQAVRVJURVDWBVSUUGVTWAAOVHVLUAWCZUUPUUSUCUEUFWDAUUIUUEURVDOVCUTZUSUT
      ZKUQABCURUUDURUUTVEURVFZQPUOUPZKMURURUVBUQAURVGVJAOVHVKZUUOUUDUUTUVCUQUUS
      VODEOVDPQUHUIWEVQURUUMVKZAUVEUUNUUQVNVRURVTWFVJAUVDUUOUUDVHVKUUSVOOVDWGVQ
      UUPAUUOUVDUUTVHVKUURUUSVDOWGWHUUQVIUVBWIVIWJAVRURVIWNWKUGUJWDAUUHUVAUUEKU
      UNAUUOUVDUUHUVAWJVNUURUUSURVDOWLWMWOWPUUEUUHYNJKWQWHAUUEUUAYNYHAUUEUROOWR
      UTZUSUTZUUAAUUDUVFURUSAUUDOVLVCUTZOWRUTZUVFAUUDOVLWSZVCUTZUVIVDUVJOVCWTXA
      AUVDVLVHVKUVKUVIWJUUSXBOVLXCVQXDAUVHOOWRAUVDUVHOWJUUSOXFVBXEXGXHUUNAUVDUV
      DUVGUUAWJVNUUSUUSUROOXIWMXGXJXKAYNVHVKZUVLUUCAUUNUVDUVLUUPUUSUROVPWHZUVMB
      CYNYNRUKXLWHYRUUAYNYHRWQWHAYFYRBCFFBXMNWIZCXMNWIZXNXOZUQZYTABCFYNFYNUVNUV
      OAYQFYNBFUVNXPZUQUDAFYNNUVRABFYNNAYQFYNNXQUDFYNNXSVBZXRXTXKAYQFYNCFUVOXPZ
      UQUDAFYNNUVTACFYNNUVSXRXTXKYAGUVPWJYTUVQYBULYFYRGUVPYCYDYEYFYRYNYIGWQWHYF
      YNFYGYJWQWHIYKWJYMYLYBUMYFFIYKYCYDYE $.
  $}

  ${
    $d b g n w x y A $.  $d b w x y ph $.  $d g w x y z W $.  $d g x y F $.
    $d g G $.  $d x y X $.  $d x y Y $.
    infxpenc2.1 $e |- ( ph -> A e. On ) $.
    infxpenc2.2 $e |- ( ph -> A. b e. A ( _om C_ b ->
      E. w e. ( On \ 1o ) ( n ` b ) : b -1-1-onto-> ( _om ^o w ) ) ) $.
    infxpenc2.3 $e |- W =
      ( `' ( x e. ( On \ 1o ) |-> ( _om ^o x ) ) ` ran ( n ` b ) ) $.
    $( Lemma for ~ infxpenc2 .  (Contributed by Mario Carneiro,
       30-May-2015.) $)
    infxpenc2lem1 $p |- ( ( ph /\ ( b e. A /\ _om C_ b ) ) ->
      ( W e. ( On \ 1o ) /\ ( n ` b ) : b -1-1-onto-> ( _om ^o W ) ) ) $=
      ( cv wcel com wa coe co con0 c1o wceq cvv wss cfv wf1o cdif wrex r19.21bi
      vy impr simpr crn cmpt ccnv oveq2 eqid ovex fvmpt ad2antrl f1ofo ad2antll
      wi wfo forn syl eqtr4d wf1 2a1i wb c2o omelon 1onn ondif2 mpbir2an eldifi
      oecan mp3an2i ex dom2lem f1f1orn simprl f1ocnvfv mpd eqtrid eleq1d oveq2d
      syl2anc f1oeq3d anbi12d mpbird rexlimddv ) AGKZDLZMWJUAZNNZWJMCKZOPZWJEKU
      BZUCZFQRUDZLZWJMFOPZWPUCZNZCWRAWKWLWQCWRUEZAWLXCUTGDIUFUHWMWNWRLZWQNZNZXB
      XEWMXEUIXFWSXDXAWQXFFWNWRXFFWPUJZBWRMBKZOPZUKZULUBZWNJXFWNXJUBZXGSZXKWNSZ
      XFXLWOXGXDXLWOSWMWQBWNXIWOWRXJXHWNMOUMXJUNMWNOUOUPUQXFWJWOWPVAZXGWOSWQXOW
      MXDWJWOWPURUSWJWOWPVBVCVDXFWRXJUJZXJUCZXDXMXNUTXFWRTXJVEXQXFBUGWRTXIMUGKZ
      OPZXITLXFXHWRLZMXHOUOVFXFXTXRWRLZNZXIXSSXHXRSVGZMQVHUDLZXFYBNXHQLZXRQLZYC
      YDMQLRMLVIVJMVKVLXTYEXFYAXHQRVMUQYAYFXFXTXRQRVMUSMXHXRVNVOVPVQWRTXJVRVCWM
      XDWQVSWRXPWNXGXJVTWEWAWBZWCXFWTWOWJWPXFFWNMOYGWDWFWGWHWI $.

    infxpenc2.4 $e |- ( ph -> F : ( _om ^o 2o ) -1-1-onto-> _om ) $.
    infxpenc2.5 $e |- ( ph -> ( F ` (/) ) = (/) ) $.
    ${
      infxpenc2.k $e |- K = ( y e. { x e. ( ( _om ^o 2o ) ^m W ) |
                      x finSupp (/) } |-> ( F o. ( y o. `' ( _I |` W ) ) ) ) $.
      infxpenc2.h $e |- H =
        ( ( ( _om CNF W ) o. K ) o. `' ( ( _om ^o 2o ) CNF W ) ) $.
      infxpenc2.l $e |- L = ( y e. { x e. ( _om ^m ( W .o 2o ) ) |
        x finSupp (/) } |-> ( ( _I |` _om ) o. ( y o. `' ( Y o. `' X ) ) ) ) $.
      infxpenc2.x $e |- X = ( z e. 2o , w e. W |-> ( ( W .o z ) +o w ) ) $.
      infxpenc2.y $e |- Y = ( z e. 2o , w e. W |-> ( ( 2o .o w ) +o z ) ) $.
      infxpenc2.j $e |- J =
        ( ( ( _om CNF ( 2o .o W ) ) o. L ) o. `' ( _om CNF ( W .o 2o ) ) ) $.
      infxpenc2.z $e |- Z = ( x e. ( _om ^o W ) , y e. ( _om ^o W ) |->
        ( ( ( _om ^o W ) .o x ) +o y ) ) $.
      infxpenc2.t $e |- T =
        ( x e. b , y e. b |-> <. ( ( n ` b ) ` x ) , ( ( n ` b ) ` y ) >. ) $.
      infxpenc2.g $e |- G = ( `' ( n ` b ) o. ( ( ( H o. J ) o. Z ) o. T ) ) $.
      $( Lemma for ~ infxpenc2 .  (Contributed by Mario Carneiro, 30-May-2015.)
         (Revised by AV, 7-Jul-2019.) $)
      infxpenc2lem2 $p |- ( ph -> E. g A. b e. A ( _om C_ b ->
        ( g ` b ) : ( b X. b ) -1-1-onto-> b ) ) $=
        ( com cv wss cxp cfv wf1o wi wral cmpt cvv con0 mptexd wa adantr simprl
        wcel onelon syl2anc simprr c1o cdif coe co infxpenc2lem1 simpld c0 wceq
        c2o simprd infxpenc wf f1of syl vex xpex fex sylancl eqid fvmpt2 mpbird
        f1oeq1d expr ralrimiva nfmpt1 nfeq2 fveq1 imbi2d ralbid spcedv ) AUOTUP
        ZUQZXDXDURZXDXDHUPZUSZUTZVAZTFVBXEXFXDXDTFKVCZUSZUTZVAZTFVBHVDXKATFKVEU
        AVFAXNTFAXDFVJZXEXMAXOXEVGZVGZXMXFXDKUTZXQBCDEXDGJKLMNOXDIUPUSZPQRSXQFV
        EVJZXOXDVEVJAXTXPUAVHAXOXEVIZFXDVKVLAXOXEVMXQPVEVNVOVJZXDUOPVPVQXSUTZAB
        EFIPTUAUBUCVRZVSAUOWBVPVQUOJUTXPUDVHAVTJUSVTWAXPUEVHXQYBYCYDWCUFUGUHUIU
        JUKULUMUNWDZXQXFXDXLKXQXOKVDVJZXLKWAYAXQXFXDKWEZXFVDVJYFXQXRYGYEXFXDKWF
        WGXDXDTWHZYHWIXFXDVDKWJWKTFKVDXKXKWLWMVLWOWNWPWQXGXKWAZXJXNTFTXGXKTFKWR
        WSYIXIXMXEYIXFXDXHXLXDXGXKWTWOXAXBXC $.
    $}

    $( Lemma for ~ infxpenc2 .  (Contributed by Mario Carneiro, 30-May-2015.)
       (Revised by AV, 7-Jul-2019.) $)
    infxpenc2lem3 $p |- ( ph -> E. g A. b e. A ( _om C_ b ->
      ( g ` b ) : ( b X. b ) -1-1-onto-> b ) ) $=
      ( vy cv com co ccom eqid vz cfv cop cmpo ccnv ccnf c0 cfsupp wbr c2o cmap
      coe crab cid cres cmpt comu coa infxpenc2lem2 ) ABOUACDBOIPZUTBPZUTFPUBZU
      BOPZVBUBUCUDZEFGVBUEQHUFROVAUGUHUIZBQUJULRZHUKRUMGVCUNHUOUESSUPZSVFHUFRUE
      SZQUJHUQRUFROVEBQHUJUQRZUKRUMUNQUOVCUACUJHUJCPZUQRUAPZURRUDZUACUJHHVKUQRV
      JURRUDZUESUESSUPZSQVIUFRUESZSBOQHULRZVPVPVAUQRVCURRUDZSVDSSZVHVOVGVNHVMVL
      VQIJKLMNVGTVHTVNTVMTVLTVOTVQTVDTVRTUS $.
  $}

  ${
    $d b f g n w x y z A $.
    $( Existence form of ~ infxpenc .  A "uniform" or "canonical" version of
       ~ infxpen , asserting the existence of a single function ` g ` that
       simultaneously demonstrates product idempotence of all ordinals below a
       given bound.  (Contributed by Mario Carneiro, 30-May-2015.) $)
    infxpenc2 $p |- ( A e. On -> E. g A. b e. A ( _om C_ b ->
      ( g ` b ) : ( b X. b ) -1-1-onto-> b ) ) $=
      ( vn vf vw con0 wcel com cv coe co cfv wf1o c1o wex wceq omelon wa c0 wss
      vx vy vz cdif wrex wi wral c2o cxp cnfcom3c cen wbr comu df-2o oveq2i 1on
      csuc oesuc mp2an oe1 ax-mp oveq1i 3eqtri omxpen eqbrtri xpomen entri bren
      a1i sylib exdistrv cid ccnv cpr cres cop cun ccom cmpt simpl simprl sseq2
      oveq2 f1oeq3d cbvrexvw fveq2 f1oeq1d f1oeq2 bitrd rexbidv syl5bb cbvralvw
      crn imbi12d cbvmptv cnveqi fveq1i peano1 oen0 mpan2 eqid fveqf1o ad2antll
      2on mp3an23 simpld simprd infxpenc2lem3 ex exlimdvv syl5bir mp2and ) AGHZ
      IUBJZUAZXOIUCJZKLZXODJZMZNZUCGOUEZUFZUGZUBAUHZDPZIUIKLZIEJZNZEPZICJZUAZYK
      YKUJYKYKBJMNUGCAUHBPZUCADUBUKXNYGIULUMZYJYNXNYGIIUJZIYGIIUNLZYOULYGIOURZK
      LZIOKLZIUNLZYPUIYQIKUOUPIGHZOGHYRYTQRUQIOUSUTYSIIUNUUAYSIQRIVAVBVCVDUUAUU
      AYPYOULUMRRIIVEUTVFVGVHVJYGIEVIVKYFYJSYEYISZEPDPXNYMYEYIDEVLXNUUBYMDEXNUU
      BYMXNUUBSZUDFABDYHVMYGTTYHVNMZVOUEVPTUUDVQUUDTVQVOVRVSZYKXSMZWNZCYBIYKKLZ
      VTZVNZMCXNUUBWAUUCYEYLYKIFJZKLZUUFNZFYBUFZUGZCAUHXNYEYIWBYDUUOUBCAXOYKQZX
      PYLYCUUNXOYKIWCYCXOUULXTNZFYBUFUUPUUNYAUUQUCFYBXQUUKQXRUULXOXTXQUUKIKWDWE
      WFUUPUUQUUMFYBUUPUUQXOUULUUFNUUMUUPXOUULXTUUFXOYKXSWGWHXOYKUULUUFWIWJWKWL
      WOWMVKUUGUUJUDYBIUDJZKLZVTZVNUUIUUTCUDYBUUHUUSYKUURIKWDWPWQWRUUCYGIUUENZT
      UUEMTQZYIUVAUVBSZXNYEYITYGHZTIHZUVCUUAUIGHZUVDRXEUUAUVFSUVEUVDWSIUIWTXAUT
      WSYGITTYHUUEUUEXBXCXFXDZXGUUCUVAUVBUVGXHXIXJXKXLXM $.
  $}

  ${
    $d n B $.
    $( The union ` U_ n e. C ( A ^m n ) ` is a disjoint union.  (Contributed by
       Mario Carneiro, 17-May-2015.)  (Revised by NM, 16-Jun-2017.) $)
    iunmapdisj $p |- E* n e. C B e. ( A ^m n ) $=
      ( cv cmap co wcel wrmo wa wmo cdm wceq moeq elmapi fdm eqcomd syl moimi
      wf ax-mp moani df-rmo mpbir ) BADEZFGHZDCIUECHZUFJDKUFUGDUEBLZMZDKUFDKDUH
      NUFUIDUFUEABTZUIBAUEOUJUHUEUEABPQRSUAUBUFDCUCUD $.
  $}

  ${
    $d y B $.  $d y C $.  $d a b f n x z F $.  $d a b k m y z G $.  $d w z K $.
    $d a b f k m n x y z A $.  $d a b k m n w x y z ph $.
    fseqenlem.a $e |- ( ph -> A e. V ) $.
    fseqenlem.b $e |- ( ph -> B e. A ) $.
    fseqenlem.f $e |- ( ph -> F : ( A X. A ) -1-1-onto-> A ) $.
    fseqenlem.g $e |- G = seqom ( ( n e. _V , f e. _V |->
      ( x e. ( A ^m suc n ) |-> ( ( f ` ( x |` n ) ) F ( x ` n ) ) ) ) ,
      { <. (/) , B >. } ) $.
    $( Lemma for ~ fseqen .  (Contributed by Mario Carneiro, 17-May-2015.) $)
    fseqenlem1 $p |- ( ( ph /\ C e. _om ) ->
      ( G ` C ) : ( A ^m C ) -1-1-> A ) $=
      ( wcel cmap cfv wceq wb cvv vy vm va vb vz com co cv wi fveq2 f1eq1 oveq2
      wf1 syl f1eq2 bitrd imbi2d cop csn csuc snex cres cmpt cmpo seqom0g ax-mp
      eqtrdi weq wss wf1o 0ex f1osng sylancr f1of1 snssd f1ss syl2anc c1o map0e
      c0 df1o2 mpbird wa wf wral seqomsuc ad2antrl vex fvex reseq1 fveq2d fveq1
      oveq12d cbvmptv suceq adantr oveq2d simpr reseq2 fveq12d mpteq12dv eqtrid
      simpl nfcv cbvmpo ovex mptex ovmpoa cxp ad2antrr f1of f1f ad2antll elmapi
      mp2an adantl sssucid fssres sylancl elmapg ffvelrnd ffvelrn fovrnd fmpt3d
      sucid wfn ffnd a1i fvreseq eqeq12d ralsn fveq1d fvmpt eqtrd df-ov opelxpd
      syl21anc f1fveq syl12anc bitrdi bicomi anbi12d eqid simplrr anbi1d 3bitrd
      opth eqfnfv df-suc raleqi ralunb bitri 3bitr4d biimpd ralrimivva sylanbrc
      cun dff13 expr expcom finds2 vtoclga impcom ) EUFOACEPUGZCEIQZUMZACUAUHZP
      UGZCUVGIQZUMZUIAUVFUIUAEUFUVGERZUVJUVFAUVKUVJUVHCUVEUMZUVFUVKUVIUVERUVJUV
      LSUVGEIUJUVHCUVIUVEUKUNUVKUVHUVDRUVLUVFSUVGECPULUVHUVDCUVEUOUNUPUQUVJCVTP
      UGZCVTDURZUSZUMZCUBUHZPUGZCUVQIQZUMZCUVQUTZPUGZCUWAIQZUMZAUAUBUVGVTRZUVJU
      VHCUVOUMZUVPUWEUVIUVORUVJUWFSUWEUVIVTIQZUVOUVGVTIUJUVOTOUWGUVORUVNVAGFTTB
      CGUHZUTZPUGZBUHZUWHVBZFUHZQZUWHUWKQZHUGZVCZVDZIUVOTNVEVFVGUVHCUVIUVOUKUNU
      WEUVHUVMRUWFUVPSUVGVTCPULUVHUVMCUVOUOUNUPUAUBVHZUVJUVHCUVSUMZUVTUWSUVIUVS
      RUVJUWTSUVGUVQIUJUVHCUVIUVSUKUNUWSUVHUVRRUWTUVTSUVGUVQCPULUVHUVRCUVSUOUNU
      PUVGUWARZUVJUVHCUWCUMZUWDUXAUVIUWCRUVJUXBSUVGUWAIUJUVHCUVIUWCUKUNUXAUVHUW
      BRUXBUWDSUVGUWACPULUVHUWBCUWCUOUNUPAUVPVTUSZCUVOUMZAUXCDUSZUVOUMZUXECVIUX
      DAUXCUXEUVOVJZUXFAVTTODCOUXGVKLVTDTCVLVMUXCUXEUVOVNUNADCLVOUXCUXECUVOVPVQ
      AUVMUXCRUVPUXDSAUVMVRUXCACJOZUVMVRRKCJVSUNWAVGUVMUXCCUVOUOUNWBAUVQUFOZUVT
      UWDUIAUXIUVTUWDAUXIUVTWCZWCZUWBCUWCWDUCUHZUWCQZUDUHZUWCQZRZUCUDVHZUIZUDUW
      BWEUCUWBWEUWDUXKUEUWBUEUHZUVQVBZUVSQZUVQUXSQZHUGZCUWCUXKUWCUVQUVSUWRUGZUE
      UWBUYCVCZUXIUWCUYDRAUVTUVQUWRIUVONWFWGUVQTOZUVSTOUYDUYERUBWHZUVQIWIUCUDUV
      QUVSTTBCUXLUTZPUGZUWKUXLVBZUXNQZUXLUWKQZHUGZVCZUYEUWRUCUBVHZUXNUVSRZWCZUY
      NUEUYIUXSUXLVBZUXNQZUXLUXSQZHUGZVCUYEBUEUYIUYMVUABUEVHZUYKUYSUYLUYTHVUBUY
      JUYRUXNUWKUXSUXLWJWKUXLUWKUXSWLWMWNUYQUEUYIVUAUWBUYCUYQUYHUWACPUYOUYHUWAR
      UYPUXLUVQWOWPWQUYQUYSUYAUYTUYBHUYQUYRUXTUXNUVSUYOUYPWRUYOUYRUXTRUYPUXLUVQ
      UXSWSWPWTUYQUXLUVQUXSUYOUYPXCWKWMXAXBGFUCUDTTUWQUYNUCUWQXDUDUWQXDGUYNXDFU
      YNXDGUCVHZFUDVHZWCZBUWJUWPUYIUYMVUEUWIUYHCPVUCUWIUYHRVUDUWHUXLWOWPWQVUEUW
      NUYKUWOUYLHVUEUWLUYJUWMUXNVUCVUDWRVUCUWLUYJRVUDUWHUXLUWKWSWPWTVUEUWHUXLUW
      KVUCVUDXCWKWMXAXEUEUWBUYCCUWAPXFXGXHXOVGZUXKUXSUWBOZWCZUYAUYBCCCHVUHCCXIZ
      CHVJZVUICHWDAVUJUXJVUGMXJVUICHXKUNVUHUVRCUXTUVSUXKUVRCUVSWDZVUGUVTVUKAUXI
      UVRCUVSXLXMZWPVUHUXTUVROZUVQCUXTWDZVUHUWACUXSWDZUVQUWAVIZVUNVUGVUOUXKUXSC
      UWAXNXPZUVQXQZUWACUVQUXSXRXSVUHUXHUYFVUMVUNSAUXHUXJVUGKXJUYGCUVQUXTJTXTXS
      WBYAVUHVUOUVQUWAOZUYBCOVUQUVQUYGYEZUWACUVQUXSYBXSYCYDUXKUXRUCUDUWBUWBUXKU
      XLUWBOZUXNUWBOZWCZWCZUXPUXQVVDUXLUVQVBZUXNUVQVBZRZUVQUXLQZUVQUXNQZRZWCZUW
      KUXLQZUWKUXNQZRZBUVQWEZVVNBUVQUSZWEZWCZUXPUXQVVDVVGVVOVVJVVQVVDUXLUWAYFZU
      XNUWAYFZVUPVVGVVOSVVDUWACUXLVVAUWACUXLWDZUXKVVBUXLCUWAXNWGZYGZVVDUWACUXNV
      VBUWACUXNWDZUXKVVAUXNCUWAXNXMZYGZVUPVVDVURYHBUWAUVQUXLUXNYIYQVVJVVQSVVDVV
      QVVJVVNVVJBUVQUYGBUBVHVVLVVHVVMVVIUWKUVQUXLUJUWKUVQUXNUJYJYKUUAYHUUBVVDUX
      PVVEUVSQZVVHURZHQZVVFUVSQZVVIURZHQZRZVWGVWJRZVVJWCZVVKVVDUXMVWIUXOVWLVVDU
      XMVWGVVHHUGZVWIVVDUXMUXLUYEQZVWPVVDUXLUWCUYEUXKUWCUYERVVCVUFWPZYLVVAVWQVW
      PRUXKVVBUEUXLUYCVWPUWBUYEUEUCVHZUYAVWGUYBVVHHVWSUXTVVEUVSUXSUXLUVQWJWKUVQ
      UXSUXLWLWMUYEUUCZVWGVVHHXFYMWGYNVWGVVHHYOVGVVDUXOVWJVVIHUGZVWLVVDUXOUXNUY
      EQZVXAVVDUXNUWCUYEVWRYLVVBVXBVXARUXKVVAUEUXNUYCVXAUWBUYEUEUDVHZUYAVWJUYBV
      VIHVXCUXTVVFUVSUXSUXNUVQWJWKUVQUXSUXNWLWMVWTVWJVVIHXFYMXMYNVWJVVIHYOVGYJV
      VDVWMVWHVWKRZVWOVVDVUICHUMZVWHVUIOVWKVUIOVWMVXDSVVDVUJVXEAVUJUXJVVCMXJVUI
      CHVNUNVVDVWGVVHCCVVDUVRCVVEUVSUXKVUKVVCVULWPZVVDVVEUVROZUVQCVVEWDZVVDVWAV
      UPVXHVWBVURUWACUVQUXLXRXSVVDUXHUYFVXGVXHSAUXHUXJVVCKXJZUYGCUVQVVEJTXTXSWB
      ZYAVVDVWAVUSVVHCOVWBVUTUWACUVQUXLYBXSYPVVDVWJVVICCVVDUVRCVVFUVSVXFVVDVVFU
      VROZUVQCVVFWDZVVDVWDVUPVXLVWEVURUWACUVQUXNXRXSVVDUXHUYFVXKVXLSVXIUYGCUVQV
      VFJTXTXSWBZYAVVDVWDVUSVVICOVWEVUTUWACUVQUXNYBXSYPVUICVWHVWKHYRYSVWGVVHVWJ
      VVIVVEUVSWIUVQUXLWIUUGYTVVDVWNVVGVVJVVDUVTVXGVXKVWNVVGSAUXIUVTVVCUUDVXJVX
      MUVRCVVEVVFUVSYRYSUUEUUFVVDUXQVVNBUWAWEZVVRVVDVVSVVTUXQVXNSVWCVWFBUWAUXLU
      XNUUHVQVXNVVNBUVQVVPUUQZWEVVRVVNBUWAVXOUVQUUIUUJVVNBUVQVVPUUKUULYTUUMUUNU
      UOUCUDUWBCUWCUURUUPUUSUUTUVAUVBUVC $.

    fseqenlem.k $e |- K = ( y e. U_ k e. _om ( A ^m k ) |->
      <. dom y , ( ( G ` dom y ) ` y ) >. ) $.
    $( Lemma for ~ fseqen .  (Contributed by Mario Carneiro, 17-May-2015.) $)
    fseqenlem2 $p |- ( ph ->
      K : U_ k e. _om ( A ^m k ) -1-1-> ( _om X. A ) ) $=
      ( com cfv wcel vz vw cv cmap co ciun cxp wf wbr wmo wal wf1 cdm cop eliun
      wrex elmapi ad2antll fdmd simprl eqeltrd fveq2d fveq1d fseqenlem1 adantrr
      wa f1f syl simprr ffvelrnd opelxpd rexlimdvaa syl5bi fmptd c2nd c1st ccnv
      wceq wi wfun wb ffun funbrfv2b 3syl simplbda simprbda adantr eleqtrd dmeq
      imp id fveq12d opeq12d opex fvmpt eqtr3d vex dmex fvex op1st eqtrdi op2nd
      cnveqd crn wf1o adantl simpl simpr oveq2d eleqtrrd rexlimiva sylbi simpld
      syldan f1f1orn simprd f1ocnvfv1 syl2anc eqtr2d ex alrimiv mo2icl sylanbrc
      jca dff12 ) AGRDGUCZUDUEZUFZRDUGZKUHZUAUCZUBUCZKUIZUAUJZUBUKYHYIKULACYHCU
      CZUMZYOYPJSZSZUNZYIKAYOYHTZYSYITZYTYOYGTZGRUPAUUAGYORYGUOAUUBUUAGRAYFRTZU
      UBVFVFZYPYRRDUUDYPYFRUUDYFDYOUUBYFDYOUHAUUCYODYFUQURUSZAUUCUUBUTVAUUDYRYO
      YFJSZSDUUDYOYQUUFUUDYPYFJUUEVBVCUUDYGDYOUUFUUDYGDUUFULZYGDUUFUHAUUCUUGUUB
      ABDEYFFHIJLMNOPVDVEYGDUUFVGVHAUUCUUBVIVJVAVKVLVMWJQVNZAYNUBAYMYKYLVOSZYLV
      PSZJSZVQZSZVRZVSZUAUKYNAUUOUAAYMUUNAYMVFZUUMYKYKUMZJSZSZUURVQZSZYKUUPUUIU
      USUULUUTUUPUUKUURUUPUUJUUQJUUPUUJUUQUUSUNZVPSUUQUUPYLUVBVPUUPYKKSZYLUVBAY
      MYKKUMZTZUVCYLVRZAYJKVTYMUVEUVFVFWAUUHYHYIKWBYKYLKWCWDZWEUUPYKYHTZUVCUVBV
      RUUPYKUVDYHAYMUVEUVFUVGWFAUVDYHVRYMAYHYIKUUHUSWGWHZCYKYSUVBYHKYOYKVRZYPUU
      QYRUUSYOYKWIZUVJYOYKYQUURUVJYPUUQJUVKVBUVJWKWLWMQUUQUUSWNWOVHWPZVBUUQUUSY
      KUAWQWRZYKUURWSZWTXAVBXCUUPUUIUVBVOSUUSUUPYLUVBVOUVLVBUUQUUSUVMUVNXBXAWLU
      UPDUUQUDUEZUURXDZUURXEZYKUVOTZUVAYKVRUUPUVODUURULZUVQAYMUUQRTZUVSUUPUVTUV
      RUUPUVHUVTUVRVFZUVIUVHYKYGTZGRUPUWAGYKRYGUOUWBUWAGRUUCUWBVFZUVTUVRUWCUUQY
      FRUWCYFDYKUWBYFDYKUHUUCYKDYFUQXFUSZUUCUWBXGVAUWCYKYGUVOUUCUWBXHUWCUUQYFDU
      DUWDXIXJYDXKXLVHZXMABDEUUQFHIJLMNOPVDXNUVODUURXOVHUUPUVTUVRUWEXPUVOUVPYKU
      URXQXRXSXTYAYMUAUUMYBVHYAUAUBYHYIKYEYC $.
  $}

  ${
    $d n x y A $.  $d x y V $.
    $( One half of ~ fseqen .  (Contributed by Mario Carneiro, 18-Nov-2014.) $)
    fseqdom $p |- ( A e. V -> ( _om X. A ) ~<_ U_ n e. _om ( A ^m n ) ) $=
      ( vx vy wcel com cv cmap co cvv cxp c1st cfv csuc c2nd csn wa wb wceq wbr
      ciun cdom omex iunex xp1st peano2 syl xp2nd fconst6g adantl elmapg sylan2
      ovex wf mpbird oveq2 eliuni syl2an2 ex weq wi wne nsuceq0 fvex snnz mp2an
      xp11 peano4 syl2an sneqbg mp1i anbi12d syl5bb xpopth bitrd a1i dom2d mpi
      c0 ) ACFZBGABHZIJZUBZKFGALZWDUCUABGWCUDAWBIUNUEWADEWEWDDHZMNZOZWFPNZQZLZE
      HZMNZOZWLPNZQZLZKWAWFWEFZWKWDFZWRWHGFZWAWKAWHIJZFZWSWRWGGFZWTWFGAUFZWGUGU
      HZWAWRRXBWHAWKUOZWRXFWAWRWIAFXFWFGAUIWHWIAUJUHUKWRWAWTXBXFSXEAWHWKCGULUMU
      PBWHWCXAGWKWBWHAIUQURUSUTWRWLWEFZRZWKWQTZDEVAZSVBWAXHXIWGWMTZWIWOTZRZXJXI
      WHWNTZWJWPTZRZXHXMWHVTVCWJVTVCXIXPSWGVDWIWFPVEZVFWHWJWNWPVHVGXHXNXKXOXLWR
      XCWMGFXNXKSXGXDWLGAUFWGWMVIVJWIKFXOXLSXHXQWIWOKVKVLVMVNWFWLGAGAVOVPVQVRVS
      $.
  $}

  ${
    $d b f g k n x y A $.
    $( A set that is equinumerous to its Cartesian product is equinumerous to
       the set of finite sequences on it.  (This can be proven more easily
       using some choice but this proof avoids it.)  (Contributed by Mario
       Carneiro, 18-Nov-2014.) $)
    fseqen $p |- ( ( ( A X. A ) ~~ A /\ A =/= (/) ) ->
      U_ n e. _om ( A ^m n ) ~~ ( _om X. A ) ) $=
      ( vf vb vx vk vg vy cxp cen wbr cv wex wcel com cmap co c0 cvv cfv wne n0
      wf1o ciun bren wa exdistrv cdom cdm csuc cres cmpt cop csn cseqom wf1 crn
      cmpo omex wfo wceq simpl f1ofo forn 3syl vex rnex eqeltrrdi xpexg sylancr
      simpr eqid fseqenlem2 f1domg sylc fseqdom syl sbth syl2anc sylbir syl2anb
      exlimivv ) AAIZAJKWCACLZUCZCMZDLZANZDMZBOABLPQUDZOAIZJKZARUAWCACUEDAUBWFW
      IUFWEWHUFZDMCMWLWEWHCDUGWMWLCDWMWJWKUHKZWKWJUHKZWLWMWKSNZWJWKEWJELZUIZWQW
      RFGSSHAFLZUJPQHLZWSUKGLTWSWTTWDQULURRWGUMUNUOZTTUMULZUPWNWMOSNASNZWPUSWMA
      WDUQZSWMWEWCAWDUTXDAVAWEWHVBZWCAWDVCWCAWDVDVEWDCVFVGVHZOASSVIVJWMHEAWGGBF
      WDXAXBSXFWEWHVKXEXAVLXBVLVMWJWKSXBVNVOWMXCWOXFABSVPVQWJWKVRVSWBVTWA $.
    $( $j usage 'fseqen' avoids 'ax-ac' 'ax-ac2'; $)
  $}

  ${
    $d x y A $.
    $( The collection of finite subsets of a set dominates the set.  (We use
       the weaker sethood assumption ` ( ~P A i^i Fin ) e. _V ` because this
       theorem also implies that ` A ` is a set if ` ~P A i^i Fin ` is.)
       (Contributed by Mario Carneiro, 17-May-2015.) $)
    infpwfidom $p |- ( ( ~P A i^i Fin ) e. _V -> A ~<_ ( ~P A i^i Fin ) ) $=
      ( vx vy cpw cfn cin cv csn cvv wcel snelpwi snfi a1i elind wceq wb sneqbg
      adantr dom2 ) BCAADZEFBGZHZCGZHZIUAAJZTEUBUAAKUBEJUEUALMNUEUBUDOUAUCOPUCA
      JUAUCAQRS $.
  $}

  ${
    $d f g x y A $.  $d g C $.  $d f x y F $.
    $( Hypotheses for transfinite recursion. $)
    dfac8alem.2 $e |- F = recs ( G ) $.
    $( Generator function.  ` g ` is a choice function on ` ~P A ` . $)
    dfac8alem.3 $e |- G = ( f e. _V |-> ( g ` ( A \ ran f ) ) ) $.
    $( Lemma for ~ dfac8a .  If the power set of a set has a choice function,
       then the set is numerable.  (Contributed by NM, 10-Feb-1997.)  (Revised
       by Mario Carneiro, 5-Jan-2013.) $)
    dfac8alem $p |- ( A e. C -> ( E. g A. y e. ~P A ( y =/= (/) ->
       ( g ` y ) e. y ) -> A e. dom card ) ) $=
      ( vx wcel cv c0 wne cfv wi wral cvv con0 wceq cpw ccrd cdm elex cima cdif
      wa w3a wss difss elpw2g mpbiri neeq1 fveq2 eleq12d imbi12d rspcv syl 3imp
      id cres tfr2 wfun wfn tfr1 fnfun ax-mp vex resfunexg mp2an df-ima eqtr4di
      crn rneq fveq2d fvex fvmpt eqtrdi eleq1d syl5ibrcom 3expia com23 ralrimiv
      difeq2d wf1o wrex tz7.49c cen wbr f1oen isnumi sylan2 rexlimiva syl6 syld
      ex exlimdv ) BCKZALZMNZWSELZOZWSKZPZABUAZQZBUBUCKZEWRBRKZXFXGPBCUDXHXFBFJ
      LZUEZUFZMNZXIFOZXKKZPZJSQZXGXHXFXPXHXFUGZXOJSXQXLXISKZXNXHXFXLXRXNPXHXFXL
      UHXNXRXKXAOZXKKZXHXFXLXTXHXKXEKZXFXLXTPZPXHYAXKBUIBXJUJXKBRUKULXDYBAXKXEW
      SXKTZWTXLXCXTWSXKMUMYCXBXSWSXKWSXKXAUNYCUTUOUPUQURUSXRXMXSXKXRXMFXIVAZGOZ
      XSXIFGHVBYDRKZYEXSTFVCZXIRKYFFSVDYGFGHVEZSFVFVGJVHZFXIRVIVJDYDBDLZVMZUFZX
      AOXSRGYJYDTZYLXKXAYMYKXJBYMYKYDVMXJYJYDVNFXIVKVLWDVOIXKXAVPVQVGVRVSVTWAWB
      WCWPXHXPXIBYDWEZJSWFZXGXHXPYOJBRFYHWGWPYNXGJSYNXRXIBWHWIXGXIBYDYIWJXIBWKW
      LWMWNWOURWQ $.
  $}

  ${
    $d f h v y A $.  $d h B $.
    $( Numeration theorem: every set with a choice function on its power set is
       numerable.  With AC, this reduces to the statement that every set is
       numerable.  Similar to Theorem 10.3 of [TakeutiZaring] p. 84.
       (Contributed by NM, 10-Feb-1997.)  (Revised by Mario Carneiro,
       5-Jan-2013.) $)
    dfac8a $p |- ( A e. B -> ( E. h A. y e. ~P A ( y =/= (/) ->
        ( h ` y ) e. y ) -> A e. dom card ) ) $=
      ( vf vv cvv cv crn cdif cfv cmpt crecs eqid rneq difeq2d fveq2d dfac8alem
      weq cbvmptv ) ABCEDFGBFHZIZJZDHZKZLZMZUFUGNFEGUEBEHZIZJZUDKFESZUCUJUDUKUB
      UIBUAUHOPQTR $.
    $( $j usage 'dfac8a' avoids 'ax-ac' 'ax-ac2'; $)
  $}

  ${
    $d f w x z A $.
    $( The well-ordering theorem: every numerable set is well-orderable.
       (Contributed by Mario Carneiro, 5-Jan-2013.)  (Revised by Mario
       Carneiro, 29-Apr-2015.) $)
    dfac8b $p |- ( A e. dom card -> E. x x We A ) $=
      ( vf vz vw ccrd cdm wcel cfv cv wex wwe cen wbr cardid2 sylib cep cin cvv
      wf1o bren ccnv copab cxp sqxpexg incom inex1g eqeltrid f1ocnv word cardon
      syl onordi ordwe ax-mp eqid f1owe mpisyl weinxp spcegv syl2im exlimdv mpd
      weeq1 ) BFGZHZBFIZBCJZTZCKZBAJZLZAKZVFVGBMNVJBOVGBCUAPVFVIVMCVFDJVHUBZIEJ
      VNIQNDEUCZBBUDZRZSHZVIBVQLZVMVFVPSHZVRBVEUEVTVQVPVORSVOVPUFVPVOSUGUHULVIB
      VOLZVSVIBVGVNTVGQLZWAVGBVHUIVGUJWBVGBUKUMVGUNUODEBVGVOQVNVOUPUQURBVOUSPVL
      VSAVQSBVKVQVDUTVAVBVC $.
  $}

  ${
    $d a b f r s z A $.  $d r s B $.  $d f z F $.
    dfac8clem.1 $e |- F = ( s e. ( A \ { (/) } ) |->
       ( iota_ a e. s A. b e. s -. b r a ) ) $.
    $( Lemma for ~ dfac8c .  (Contributed by Mario Carneiro, 10-Jan-2013.) $)
    dfac8clem $p |- ( A e. B -> ( E. r r We U. A ->
       E. f A. z e. A ( z =/= (/) -> ( f ` z ) e. z ) ) ) $=
      ( wcel cv c0 wne cfv wi wral wa cvv wceq cuni wwe wex csn cdif wf wn crio
      wbr eldifsn wss elssuni ad2antrl wreu wse simplr exse2 mp1i simprr wereu2
      vex syl22anc riotacl syl sseldd sylan2b difexg adantr uniexg fex2 syl3anc
      fmptd riotaex fvmpt2 sylbir adantl eqeltrd expr ralrimiva nfv cmpt nfmpt1
      mpan2 nfcxfr nfcv nffv nfel1 nfim neeq1 id eleq12d imbi12d cbvralw sylibr
      fveq2 fveq1 eleq1d imbi2d ralbidv spcedv ex exlimdv ) BCKZBUAZGLZUBZALZMN
      ZXGDLZOZXGKZPZABQZDUCZGXCXFXNXCXFRZXMXHXGEOZXGKZPZABQZDSEXOBMUDZUEZXDEUFY
      ASKZXDSKZESKXOFYAILHLXEUIUGIFLZQZHYDUHZXDEYDYAKZXOYDBKZYDMNZRZYFXDKYDBMUJ
      ZXOYJRZYDXDYFYHYDXDUKZXOYIYDBULUMZYLYEHYDUNZYFYDKYLXFXDXEUOZYMYIYOXCXFYJU
      PXESKYPYLGVAXDXESUQURYNXOYHYIUSHIXDYDXEUTVBYEHYDVCVDZVEVFJVLXCYBXFBXTCVGV
      HXCYCXFBCVIVHYAXDESSVJVKXOYIYDEOZYDKZPZFBQXSXOYTFBXOYHYIYSYLYRYFYDYJYRYFT
      ZXOYJYGUUAYKYGYFSKUUAYEHYDVMFYAYFSEJVNWCVOVPYQVQVRVSXRYTAFBXHXQFXHFVTFXPX
      GFXGEFEFYAYFWAJFYAYFWBWDFXGWEWFWGWHYTAVTXGYDTZXHYIXQYSXGYDMWIUUBXPYRXGYDX
      GYDEWOUUBWJWKWLWMWNXIETZXLXRABUUCXKXQXHUUCXJXPXGXGXIEWPWQWRWSWTXAXB $.
  $}

  ${
    $d f r w x y z A $.  $d r x B $.
    $( If the union of a set is well-orderable, then the set has a choice
       function.  (Contributed by Mario Carneiro, 5-Jan-2013.) $)
    dfac8c $p |- ( A e. B -> ( E. r r We U. A ->
       E. f A. z e. A ( z =/= (/) -> ( f ` z ) e. z ) ) ) $=
      ( vx vw vy c0 csn cdif cv wbr wn wral crio cmpt eqid dfac8clem ) ABCDFBIJ
      KGLHLELMNGFLZOHTPQZFEHGUARS $.
  $}

  ${
    $d A f x y $.  $d f w x z $.
    $( A proof of the well-ordering theorem ~ weth , an Axiom of Choice
       equivalent, restricted to sets dominated by some ordinal (in particular
       finite sets and countable sets), proven in ZF without AC. (Contributed
       by Mario Carneiro, 5-Jan-2013.) $)
    ac10ct $p |- ( E. y e. On A ~<_ y -> E. x x We A ) $=
      ( vf vw vz cv cdom wbr wwe wex con0 wcel wi wa cep wss cfv cin cvv syl2im
      wf1 vex brdom crn f1f frnd onss sstr2 epweon syl6mpi adantl copab f1f1orn
      wess wf1o eqid f1owe syl cxp weinxp reldom brrelex1i sqxpexg incom inex1g
      eqeltrrid weeq1 spcegv 4syl syl5bi sylan9r syld impancom exlimdv rexlimiv
      ex pm2.43b ) CBGZHIZCAGZJZAKZBLVSLMZVTWCVTWDVTWCNVTCVSDGZUBZDKVTWDOZWCCVS
      DBUCUDWGWFWCDVTWFWDWCVTWFOWDWEUEZPJZWCWFWDWINVTWFWDWHLQZLPJWIWFWHVSQWDVSL
      QWJWFCVSWECVSWEUFUGVSUHWHVSLUIUAUJWHLPUOUKULWFWICEGWERFGWERPIEFUMZJZVTWCW
      FCWHWEUPWIWLNCVSWEUNEFCWHWKPWEWKUQURUSWLCWKCCUTZSZJZVTWCCWKVAVTCTMWMTMZWN
      TMWOWCNCVSHVBVCCTVDWPWNWMWKSTWMWKVEWMWKTVFVGWBWOAWNTCWAWNVHVIVJVKVLVMVNVO
      VKVQVRVP $.
    $( $j usage 'ac10ct' avoids 'ax-ac' 'ax-ac2'; $)
  $}

  ${
    $d A f r x $.
    $( A set is numerable iff it can be well-ordered.  (Contributed by Mario
       Carneiro, 5-Jan-2013.) $)
    ween $p |- ( A e. dom card <-> E. r r We A ) $=
      ( vx vf ccrd cdm wcel cv wwe wex dfac8b cvv cpw cuni wor weso vex sylancl
      soex wi exlimiv wceq wb unipw weeq2 ax-mp exbii biimpri c0 wne wral pwexg
      cfv dfac8c syl dfac8a syld sylc impbii ) AEFGZABHZIZBJZBAKVCALGZAMZNZVAIZ
      BJZUTVBVDBVBAVAOVALGVDAVAPBQAVALSRUAVHVCVGVBBVFAUBVGVBUCAUDVFAVAUEUFUGUHV
      DVHCHZUIUJVIDHUMVIGTCVEUKDJZUTVDVELGVHVJTALULCVELDBUNUOCALDUPUQURUS $.
  $}

  ${
    $d f g r x y A $.
    $( A version of ~ ac5b with the choice as a hypothesis.  (Contributed by
       Mario Carneiro, 27-Aug-2015.) $)
    ac5num $p |- ( ( U. A e. dom card /\ -. (/) e. A ) ->
               E. f ( f : A --> U. A /\ A. x e. A ( f ` x ) e. x ) ) $=
      ( vg vr vy cuni wcel c0 wa cv cfv wi wral wf wex cvv wceq fveq2 eleq1d wn
      ccrd cdm wne uniexr dfac8b dfac8c sylc adantr cmpt ad2antrr mptexd nelne2
      wwe ancoms adantll pm2.27 syl ralimdva imp eleq12d rspccva sylan sylancom
      id elunii fmpttd eqid fvex fvmpt ralbiia sylibr jca fveq1 ralbidv anbi12d
      feq1 spcedv exlimddv ) BGZUBUCZHZIBHUAZJZAKZIUDZWEDKZLZWEHZMZABNZBVTCKZOZ
      WEWLLZWEHZABNZJZCPDWBWKDPZWCWBBQHZVTEKUNEPWRBWAUEZEVTUFABQDEUGUHUIWDWKJZW
      QBVTFBFKZWGLZUJZOZWEXDLZWEHZABNZJCQXDXAFBXCQWBWSWCWKWTUKULXAXEXHXAFBXCVTX
      AXBBHZXCXBHZXCVTHXAWIABNZXIXJWDWKXKWDWJWIABWDWEBHZJWFWJWIMWCXLWFWBXLWCWFW
      EIBUMUOUPWFWIUQURUSUTZWIXJAXBBWEXBRZWHXCWEXBWEXBWGSXNVEVAVBVCXCXBBVFVDVGX
      AXKXHXMXGWIABXLXFWHWEFWEXCWHBXDXBWEWGSXDVHWEWGVIVJTVKVLVMWLXDRZWMXEWPXHBV
      TWLXDVQXOWOXGABXOWNXFWEWEWLXDVNTVOVPVRVS $.
  $}

  ${
    $d x A $.  $d r x B $.
    $( If a set is dominated by an ordinal, then it is numerable.  (Contributed
       by Mario Carneiro, 5-Jan-2013.) $)
    ondomen $p |- ( ( A e. On /\ B ~<_ A ) -> B e. dom card ) $=
      ( vr vx con0 wcel cdom wbr wa cv wwe wex ccrd cdm breq2 rspcev ac10ct syl
      wrex ween sylibr ) AEFBAGHZIZBCJKCLZBMNFUCBDJZGHZDESUDUFUBDAEUEABGOPCDBQR
      BCTUA $.
  $}

  $( A set dominated by a numerable set is numerable.  (Contributed by Mario
     Carneiro, 28-Apr-2015.) $)
  numdom $p |- ( ( A e. dom card /\ B ~<_ A ) -> B e. dom card ) $=
    ( ccrd cdm wcel cdom wbr cfv con0 cardon cen cardid2 domen2 biimpar ondomen
    wa wb syl sylancr ) ACDZEZBAFGZPACHZIEBUCFGZBTEAJUAUDUBUAUCAKGUDUBQALUCABMR
    NUCBOS $.

  $( A subset of a numerable set is numerable.  (Contributed by Mario Carneiro,
     28-Apr-2015.) $)
  ssnum $p |- ( ( A e. dom card /\ B C_ A ) -> B e. dom card ) $=
    ( ccrd cdm wcel wss cdom wbr ssdomg imp numdom syldan ) ACDZEZBAFZBAGHZBMEN
    OPBAMIJABKL $.

  $( All subsets of the ordinals are numerable.  (Contributed by Mario
     Carneiro, 12-Feb-2013.) $)
  onssnum $p |- ( ( A e. V /\ A C_ On ) -> A e. dom card ) $=
    ( wcel con0 wss wa cuni csuc ccrd cdm cvv word uniexg ssorduni elong syl2an
    biimpar suceloni onenon 3syl onsucuni adantl ssnum syl2anc ) ABCZADEZFZAGZH
    ZIJZCZAUIEZAUJCUGUHDCZUIDCUKUEUHKCZUHLZUMUFABMANUNUMUOUHKOQPUHRUISTUFULUEAU
    AUBUIAUCUD $.

  ${
    $d x y T $.  $d x A $.  $d x S $.  $d x ch $.  $d x y ph $.  $d x th $.
    $d y R $.  $d y ps $.
    indcardi.a $e |- ( ph -> A e. V ) $.
    indcardi.b $e |- ( ph -> T e. dom card ) $.
    indcardi.c $e |- ( ( ph /\ R ~<_ T /\ A. y ( S ~< R -> ch ) ) -> ps ) $.
    indcardi.d $e |- ( x = y -> ( ps <-> ch ) ) $.
    indcardi.e $e |- ( x = A -> ( ps <-> th ) ) $.
    indcardi.f $e |- ( x = y -> R = S ) $.
    indcardi.g $e |- ( x = A -> R = T ) $.
    $( Indirect strong induction on the cardinality of a finite or numerable
       set.  (Contributed by Stefan O'Rear, 24-Aug-2015.) $)
    indcardi $p |- ( ph -> th ) $=
      ( cdom wi wbr ccrd cdm wcel domrefg syl cfv con0 cardon a1i wss wa simpl1
      wal w3a csdm simpr sdomdom simpl3 syl2an2 numdom syl2anc cardsdom2 mpbird
      wb domtr id com3l sylc ex com23 alimdv com34 3imp1 syl3anc breq1d imbi12d
      3exp weq cv wceq fveq2d tfisi mpd ) AJJSUAZDAJUBUCZUDZWEMJWFUEUFAHJSUAZBT
      IJSUAZCTZWEDTEFGHUBUGZIUBUGZJUBUGZKLWMUHUDAJUIUJAWKUHUDWKWMUKULZWLWKUDZWJ
      TZFUNZUOZWHBWRWHULAWHIHUPUAZCTZFUNZBAWNWQWHUMWRWHUQAWNWQWHXAAWNWHWQXAAWNW
      HWQXATAWNWHUOZWPWTFXBWSWPCXBWSWPCTZXBWSULZWOWIXCXDWOWSXBWSUQXDIWFUDZHWFUD
      ZWOWSVEXDWGWIXEXDAWGAWNWHWSUMMUFZWSIHSUAXBWHWIIHURAWNWHWSUSZIHJVFUTZJIVAV
      BXDWGWHXFXGXHJHVAVBIHVCVBVDXIWPWOWICWPVGVHVIVJVKVLVRVMVNNVOVJEFVSZWHWIBCX
      JHIJSQVPOVQEVTGWAZWHWEBDXKHJJSRVPPVQXJHIUBQWBXKHJUBRWBWCWD $.
  $}

  ${
    $d f g h x y z A $.  $d g y z B $.  $d f g x F $.  $d g ph $.  $d y ps $.
    $d f g x y C $.  $d f g h x y X $.
    $( Reverse closure for the choice set predicate.  (Contributed by Mario
       Carneiro, 31-Aug-2015.) $)
    acnrcl $p |- ( X e. AC_ A -> A e. _V ) $=
      ( vy vg vf vx cvv wcel cv cfv wral wex cpw c0 csn cdif cmap co wa cab wne
      wacn ne0i abn0 simpl exlimiv sylbi syl df-acn eleq2s ) AGHZBUKCIZDIJULEIJ
      HCAKDLEFIMNOPAQRKZSZFTZAUBBUOHUONUAZUKUOBUCUPUNFLUKUNFUDUNUKFUKUMUEUFUGUH
      FCAEDUIUJ $.

    $( Equality theorem for the choice set function.  (Contributed by Mario
       Carneiro, 31-Aug-2015.) $)
    acneq $p |- ( A = C -> AC_ A = AC_ C ) $=
      ( vy vg vf vx wceq cvv wcel cv cfv wral wex cpw cmap co cab wacn df-acn
      wa c0 csn cdif eleq1 oveq2 raleq exbidv raleqbidv anbi12d abbidv 3eqtr4g
      ) ABGZAHIZCJZDJKUNEJKIZCALZDMZEFJNUAUBUCZAOPZLZTZFQBHIZUOCBLZDMZEURBOPZLZ
      TZFQARBRULVAVGFULUMVBUTVFABHUDULUQVDEUSVEABUROUEULUPVCDUOCABUFUGUHUIUJFCA
      EDSFCBEDSUK $.

    $( The property of being a choice set of length ` A ` .  (Contributed by
       Mario Carneiro, 31-Aug-2015.) $)
    isacn $p |- ( ( X e. V /\ A e. W ) -> ( X e. AC_ A <->
      A. f e. ( ( ~P X \ { (/) } ) ^m A )
        E. g A. x e. A ( g ` x ) e. ( f ` x ) ) ) $=
      ( vy wcel wacn cvv cv cfv wral wex cpw cdif cmap co wa c0 csn wceq oveq1d
      pweq difeq1d raleqdv anbi2d df-acn elab2g wb elex biid baib syl sylan9bb
      ) GEIGBJZIBKIZALZDLMUSCLMIABNDOZCGPZUAUBZQZBRSZNZTZBFIZVEURUTCHLZPZVBQZBR
      SZNZTVFHGUQEVHGUCZVLVEURVMUTCVKVDVMVJVCBRVMVIVAVBVHGUEUFUDUGUHHABCDUIUJVG
      URVFVEUKBFULVFURVEVFUMUNUOUP $.

    $( The property of being a choice set of length ` A ` .  (Contributed by
       Mario Carneiro, 31-Aug-2015.) $)
    acni $p |- ( ( X e. AC_ A /\ F : A --> ( ~P X \ { (/) } ) ) ->
        E. g A. x e. A ( g ` x ) e. ( F ` x ) ) $=
      ( vf wacn wcel cpw c0 csn cdif wf wa cv cfv wral wex cmap cvv wceq eleq2d
      co fveq1 ralbidv exbidv acnrcl isacn mpdan ibi adantr pwexg difexd elmapd
      wb biimpar rspcdva ) EBGZHZBEIZJKZLZDMZNAOZCOPZVDFOZPZHZABQZCRZVEVDDPZHZA
      BQZCRFVBBSUCZDVFDUAZVIVMCVOVHVLABVOVGVKVEVDVFDUDUBUEUFUSVJFVNQZVCUSVPUSBT
      HUSVPUOBEUGZABFCURTEUHUIUJUKUSDVNHVCUSVBBDTTUSUTVATEURULUMVQUNUPUQ $.

    ${
      $d f B $.
      $( The property of being a choice set of length ` A ` .  (Contributed by
         Mario Carneiro, 31-Aug-2015.) $)
      acni2 $p |- ( ( X e. AC_ A /\ A. x e. A ( B C_ X /\ B =/= (/) ) ) ->
          E. g ( g : A --> X /\ A. x e. A ( g ` x ) e. B ) ) $=
        ( vy vf wcel c0 wa wral cv cfv cmpt wex wf wceq fveq2 cvv eleq1d elpw2g
        wacn wss wne cpw csn cdif eldifsn anbi1d syl5bb ralbidv eqid fmpt sylib
        biimpar acni syldan nffvmpt1 nfel2 nfv eleq12d cbvralw simplr wb simpll
        simpr ssexd fvmpt2 syl2anc eleq2d adantrd ralimdva imp ralbi syl biimpa
        ex wi ssel adantr ral2imi sylc rspccva sylan fmpttd acnrcl fex2 syl3anc
        fvex fvmpt ralbiia sylibr jca feq1 fveq1 anbi12d spcedv syl5bi exlimdv
        mpd ) EBUBZHZCEUCZCIUDZJZABKZJZFLZGLZMZXHABCNZMZHZFBKZGOZBEDLZPZALZXPMZ
        CHZABKZJZDOZXBXFBEUEZIUFUGZXKPZXOXGCYEHZABKZYFXBYHXFXBYGXEABYGCYDHZXDJX
        BXECYDIUHXBYIXCXDCEXAUAUIUJUKUOABYECXKXKULZUMUNFBGXKEUPUQXGXNYCGXNXRXIM
        ZXRXKMZHZABKZXGYCXMYMFABAXJXLABCXHURUSYMFUTXHXRQXJYKXLYLXHXRXIRZXHXRXKR
        VAVBXGYNYCXGYNJZYBBEFBXJNZPZXRYQMZCHZABKZJDSYQYPYRBSHZXBYQSHYPFBXJEYPYK
        EHZABKZXHBHXJEHZYPXFYKCHZABKZUUDXBXFYNVCXGYNUUGXGYMUUFVDZABKZYNUUGVDXBX
        FUUIXBXEUUHABXBXRBHZJZXCUUHXDUUKXCUUHUUKXCJZYLCYKUULUUJCSHYLCQXBUUJXCVC
        UULCEXAXBUUJXCVEUUKXCVFVGABCSXKYJVHVIVJVQVKVLVMYMUUFABVNVOVPZXEUUFUUCAB
        XCUUFUUCVRXDCEYKVSVTWAWBUUCUUEAXHBXRXHQYKXJEXRXHXIRTWCWDWEZYPXBUUBXBXFY
        NVEZBEWFVOUUOBEYQSXAWGWHYPYRUUAUUNYPUUGUUAUUMYTUUFABUUJYSYKCFXRXJYKBYQY
        OYQULXRXIWIWJTWKWLWMXPYQQZXQYRYAUUABEXPYQWNUUPXTYTABUUPXSYSCXRXPYQWOTUK
        WPWQVQWRWSWT $.
    $}

    ${
      acni3.1 $e |- ( y = ( g ` x ) -> ( ph <-> ps ) ) $.
      $( The property of being a choice set of length ` A ` .  (Contributed by
         Mario Carneiro, 31-Aug-2015.) $)
      acni3 $p |- ( ( X e. AC_ A /\ A. x e. A E. y e. X ph ) ->
          E. g ( g : A --> X /\ A. x e. A ps ) ) $=
        ( wacn wcel wrex wral wa cv wf cfv crab wex wss ralimi c0 rabn0 biimpri
        wne ssrab2 jctil acni2 sylan2 elrab simprbi anim2i eximi syl ) GEIJZADG
        KZCELZMEGFNZOZCNUQPZADGQZJZCELZMZFRZURBCELZMZFRUPUNUTGSZUTUAUDZMZCELVDU
        OVICEUOVHVGVHUOADGUBUCADGUEUFTCEUTFGUGUHVCVFFVBVEURVABCEVAUSGJBABDUSGHU
        IUJTUKULUM $.
    $}

    $( Construct a mapping satisfying the consequent of ~ isacn .  (Contributed
       by Mario Carneiro, 31-Aug-2015.) $)
    acnlem $p |- ( ( A e. V /\ A. x e. A B e. ( f ` x ) ) ->
      E. g A. x e. A ( g ` x ) e. ( f ` x ) ) $=
      ( wcel cv cfv wral wa cmpt cvv crn cuni fvssunirn simpr sselid ralimiaa
      wf eqid fmpt sylib id vex rnex uniex mp3an3 syl2anr fvmpt2 eqeltrd adantl
      fex2 wceq nfmpt1 nfeq2 fveq1 eleq1d ralbid spcedv ) BFGZCAHZDHZIZGZABJZKV
      BEHZIZVDGZABJVBABCLZIZVDGZABJZEMVJVFBVCNZOZVJTZVAVJMGZVAVFCVOGZABJVPVEVRA
      BVBBGZVEKZVDVOCVCVBPVSVEQZRSABVOCVJVJUAZUBUCVAUDVPVAVOMGVQVNVCDUEUFUGBVOV
      JFMUMUHUIVFVMVAVEVLABVTVKCVDABCVDVJWBUJWAUKSULVGVJUNZVIVLABAVGVJABCUOUPWC
      VHVKVDVBVGVJUQURUSUT $.

    $( A well-orderable set has choice sequences of every length.  (Contributed
       by Mario Carneiro, 31-Aug-2015.) $)
    numacn $p |- ( A e. V -> ( X e. dom card -> X e. AC_ A ) ) $=
      ( vx vg vf vh vy wcel cvv wa cv cfv wral wex c0 wf wss syl2anc syl cdm wi
      ccrd wacn elex cpw csn cdif cmap co crn cuni wn simpll elmapi adantl frnd
      difss2d sspwuni sylib cin wceq ssdifin0 disjsn ac5num simpllr wfn wb ffnd
      ssnum fveq2 eleq12d ralrn biimpa adantrl acnlem exlimddv ralrimiva mpbird
      id isacn expcom ) ABIAJIZCUCUAZIZCAUDIZUBABUEWEWCWFWEWCKZWFDLZELMWHFLZMZI
      DANEOZFCUFZPUGZUHZAUIUJZNWGWKFWOWGWIWOIZKZWIUKZWRULZGLZQZHLZWTMZXBIZHWRNZ
      KZWKGWQWSWDIZPWRIUMZXFGOWQWEWSCRZXGWEWCWPUNWQWRWLRXIWQWRWLWMWQAWNWIWPAWNW
      IQWGWIWNAUOUPZUQZURWRCUSUTCWSVJSWQWRWMVAPVBZXHWQWRWNRXLXKWRWLWMVCTWRPVDUT
      HWRGVESWQXFKWCWJWTMZWJIZDANZWKWEWCWPXFVFWQXEXOXAWQXEXOWQWIAVGXEXOVHWQAWNW
      IXJVIXDXNHDAWIXBWJVBZXCXMXBWJXBWJWTVKXPVTVLVMTVNVODAXMFEJVPSVQVRDAFEWDJCW
      AVSWBT $.

    $( Every set has finite choice sequences.  (Contributed by Mario Carneiro,
       31-Aug-2015.) $)
    finacn $p |- ( A e. Fin -> AC_ A = _V ) $=
      ( vx vy vg vf vz cfn wcel wacn cvv cv cfv wral wex cpw c0 wa wf ralrimiva
      syl csn cdif cmap co wrex elmapi adantl wne ffvelrn eldifsni sylib sylibr
      n0 rexv eleq1 ac6sfi syldan exsimpr vex isacn mpan mpbird a1i 2thd eqrdv
      wb ) AGHZBAIZJVGBKZVHHZVIJHZVGVJCKZDKZLZVLEKZLZHZCAMZDNZEVIOZPUAUBZAUCUDZ
      MZVGVSEWBVGVOWBHZQZAJVMRZVRQDNZVSVGWDFKZVPHZFJUEZCAMZWGWEAWAVORZWKWDWLVGV
      OWAAUFUGWLWJCAWLVLAHQZWIFNZWJWMVPPUHZWNWMVPWAHWOAWAVLVOUIVPVTPUJTFVPUMUKW
      IFUNULSTWIVQCFAJDWHVNVPUOUPUQWFVRDURTSVKVGVJWCVFBUSZCAEDJGVIUTVAVBVKVGWPV
      CVDVE $.
  $}

  ${
    $d f g h k x y z A $.  $d f g k x y z B $.  $d f g h k x y z X $.
    $d f g k x Y $.
    $( A set with long choice sequences also has shorter choice sequences,
       where "shorter" here means the new index set is dominated by the old
       index set.  (Contributed by Mario Carneiro, 31-Aug-2015.) $)
    acndom $p |- ( A ~<_ B -> ( X e. AC_ B -> X e. AC_ A ) ) $=
      ( vf vx vz vh vg vk vy cv wex wcel c0 wceq cfv wral wa wf cvv cdom wbr wi
      wf1 wacn brdomi wn neq0 w3a cpw csn cdif cmap crn ccnv cif wss wne simpl3
      co elmapi ad2antlr wf1o simpll1 f1f1orn f1ocnv f1of 4syl ffvelrnda simpl2
      ad2antrr ifclda ffvelrnd eldifsn elpwi anim1i sylbi syl ralrimiva syl2anc
      acni2 cdm f1dm vex eqeltrrdi 3ad2ant1 f1f frn ssralv iftrue fveq2d eleq2d
      dmex ralbiia syl6ib wfn wb f1fn fveq2 2fveq3 eleq12d ralrn 3syl f1ocnvfv1
      sylibd sylan ralbidva impr acnlem exlimddv elex isacn syl2anr mpbird 3exp
      3adant2 exlimdv syl5bi acneq cfn 0fin finacn ax-mp eqtrdi syl5ibr exlimiv
      pm2.61d2 ) ABUAUBABDKZUDZDLCBUEZMZCAUEZMZUCZABDUFYIYNDYIANOZYNYOUGEKZAMZE
      LYIYNEAUHYIYQYNEYIYQYKYMYIYQYKUIZYMFKZGKPYSHKZPZMFAQGLZHCUJZNUKULZAUMUTZQ
      ZYRUUBHUUEYRYTUUEMZRZBCIKZSZJKZUUIPZUUKYHUNZMZUUKYHUOZPZYPUPZYTPZMZJBQZRZ
      UUBIUUHYKUURCUQZUURNURZRZJBQUVAILYIYQYKUUGUSUUHUVDJBUUHUUKBMZRZUURUUDMZUV
      DUVFAUUDUUQYTUUGAUUDYTSYRUVEYTUUDAVAVBUVFUUNUUPYPAUVFUUMAUUKUUOUVFYIAUUMY
      HVCZUUMAUUOVCUUMAUUOSYIYQYKUUGUVEVDABYHVEZAUUMYHVFUUMAUUOVGVHVIUUHYQUVEUU
      NUGYIYQYKUUGVJVKVLVMUVGUURUUCMZUVCRUVDUURUUCNVNUVJUVBUVCUURCVOVPVQVRVSJBU
      URICWAVTUUHUVARATMZYSYHPZUUIPZUUAMZFAQZUUBYRUVKUUGUVAYIYQUVKYKYIAYHWBTABY
      HWCYHDWDWMWEZWFVKUUHUUJUUTUVOUUHUUJRZUUTUVMUVLUUOPZYTPZMZFAQZUVOUVQUUTUUL
      UUPYTPZMZJUUMQZUWAUVQUUTUUSJUUMQZUWDUVQYIABYHSUUMBUQUUTUWEUCYIYQYKUUGUUJV
      DZABYHWGABYHWHUUSJUUMBWIVHUUSUWCJUUMUUNUURUWBUULUUNUUQUUPYTUUNUUPYPWJWKWL
      WNWOUVQYIYHAWPUWDUWAWQUWFABYHWRUWCUVTJFAYHUUKUVLOUULUVMUWBUVSUUKUVLUUIWSU
      UKUVLYTUUOWTXAXBXCXEUVQUVTUVNFAUVQYSAMZRZUVSUUAUVMUWHUVRYSYTUVQUVHUWGUVRY
      SOUVQYIUVHUWFUVIVRAUUMYSYHXDXFWKWLXGXEXHFAUVMHGTXIVTXJVSYIYKYMUUFWQZYQYKC
      TMZUVKUWIYICYJXKZUVPFAHGTTCXLXMXPXNXOXQXRYKYMYOUWJUWKYOYLTCYOYLNUEZTANXSN
      XTMUWLTOYANYBYCYDWLYEYGYFVR $.

    $( A set ` X ` which has choice sequences on it of length ` ~P X ` is
       well-orderable (and hence has choice sequences of every length).
       (Contributed by Mario Carneiro, 31-Aug-2015.) $)
    acnnum $p |- ( X e. AC_ ~P X <-> X e. dom card ) $=
      ( vx vf cpw wacn wcel ccrd cdm cv c0 wne cfv wi wral wex wa wss cvv pwexg
      mpcom csn cdif wf cdom wbr difss ssdomg mpisyl acndom eldifsn elpwi sylbi
      anim1i acni2 sylancl simpr imbi1i impexp bitri ralbii2 sylib eximi dfac8a
      rgen syl mpd numacn impbii ) AADZEZFZAGHZFZVKBIZJKZVNCIZLVNFZMZBVINZCOZVM
      VKVIJUAZUBZAVPUCZVQBWBNZPZCOZVTVKAWBEFZVNAQZVOPZBWBNWFWBVIUDUEZVKWGVKVIRF
      ZWBVIQWJAVJSVIWAUFWBVIRUGUHWBVIAUITWIBWBVNWBFZVNVIFZVOPZWIVNVIJUJZWMWHVOV
      NAUKUMULVDBWBVNCAUNUOWEVSCWEWDVSWCWDUPVQVRBWBVIWLVQMWNVQMWMVRMWLWNVQWOUQW
      MVOVQURUSUTVAVBVEBAVJCVCVFWKVMVKAVLSVIRAVGTVH $.

    $( The class of choice sets of length ` A ` is a cardinal invariant.
       (Contributed by Mario Carneiro, 31-Aug-2015.) $)
    acnen $p |- ( A ~~ B -> AC_ A = AC_ B ) $=
      ( vx cen wbr wacn cv wcel cdom ensym endom acndom 3syl syl impbid eqrdv
      wi ) ABDEZCAFZBFZRCGZSHZUATHZRBADEBAIEUBUCQABJBAKBAUALMRABIEUCUBQABKABUAL
      NOP $.

    $( A set smaller than one with choice sequences of length ` A ` also has
       choice sequences of length ` A ` .  (Contributed by Mario Carneiro,
       31-Aug-2015.) $)
    acndom2 $p |- ( X ~<_ Y -> ( Y e. AC_ A -> X e. AC_ A ) ) $=
      ( vf vx vh vg vk cv wex wcel wa cfv wral c0 wf wss wne syl cvv wbr wf1 wi
      cdom wacn brdomi cpw csn cdif cmap co cima simplr crn imassrn simplll f1f
      frn 3syl sstrid cdm cin wceq elmapi adantl ffvelrnda elpwid f1dm sseqtrrd
      eldifad sseqin2 sylib eldifsni eqnetrd imadisj necon3bii sylibr ralrimiva
      jca acni2 syl2anc ccnv acnrcl ad3antlr wf1o simp-4l f1f1orn simprr sselid
      f1ocnvfv2 eqeltrd wb f1ocnv f1of ffvelrnd ad2ant2r f1elima mpbid ralimdva
      syl3anc expr impr acnlem exlimddv vex dmex eqeltrrdi isacn syl2an exlimiv
      mpbird ex ) BCUDUABCDIZUBZDJCAUEZKZBXOKZUCZBCDUFXNXRDXNXPXQXNXPLZXQEIZFIM
      XTGIZMZKEANFJZGBUGZOUHZUIZAUJUKZNZXSYCGYGXSYAYGKZLZACHIZPZXTYKMZXMYBULZKZ
      EANZLZYCHYJXPYNCQZYNORZLZEANYQHJXNXPYIUMYJYTEAYJXTAKZLZYRYSUUBYNXMUNZCXMY
      BUOZUUBXNBCXMPUUCCQXNXPYIUUAUPZBCXMUQBCXMURUSUTUUBXMVAZYBVBZORYSUUBUUGYBO
      UUBYBUUFQUUGYBVCUUBYBBUUFUUBYBBUUBYBYDYEYJAYFXTYAYIAYFYAPXSYAYFAVDVEVFZVJ
      VGZUUBXNUUFBVCUUEBCXMVHZSVIYBUUFVKVLUUBYBYFKYBORUUHYBYDOVMSVNYNOUUGOXMYBV
      OVPVQVSVREAYNHCVTWAYJYQLATKZYMXMWBZMZYBKZEANZYCXPUUKXNYIYQACWCZWDYJYLYPUU
      OYJYLLZYOUUNEAUUQUUAYOUUNUUQUUAYOLZLZUUMXMMZYNKZUUNUUSUUTYMYNUUSBUUCXMWEZ
      YMUUCKUUTYMVCUUSXNUVBXNXPYIYLUURWFZBCXMWGSZUUSYNUUCYMUUDUUQUUAYOWHZWIZBUU
      CYMXMWJWAUVEWKUUSXNUUMBKYBBQZUVAUUNWLUVCUUSUUCBYMUULUUSUVBUUCBUULWEUUCBUU
      LPUVDBUUCXMWMUUCBUULWNUSUVFWOYJUUAUVGYLYOUUIWPBCXMUUMYBWQWTWRXAWSXBEAUUMG
      FTXCWAXDVRXNBTKUUKXQYHWLXPXNBUUFTUUJXMDXEXFXGUUPEAGFTTBXHXIXKXLXJS $.

    $( The class of sets with choice sequences of length ` A ` is a cardinal
       invariant.  (Contributed by Mario Carneiro, 31-Aug-2015.) $)
    acnen2 $p |- ( X ~~ Y -> ( X e. AC_ A <-> Y e. AC_ A ) ) $=
      ( cen wbr wacn wcel cdom wi ensym endom acndom2 3syl syl impbid ) BCDEZBA
      FZGZCQGZPCBDECBHERSIBCJCBKACBLMPBCHESRIBCKABCLNO $.
  $}

  ${
    $d f x y z A $.  $d f x y z B $.  $d f x y z F $.
    $( A version of ~ fodom that doesn't require the Axiom of Choice ~ ax-ac .
       If ` A ` has choice sequences of length ` B ` , then any surjection from
       ` A ` to ` B ` can be inverted to an injection the other way.
       (Contributed by Mario Carneiro, 31-Aug-2015.) $)
    fodomacn $p |- ( A e. AC_ B -> ( F : A -onto-> B -> B ~<_ A ) ) $=
      ( vf vx vy vz wcel wa cv cfv wceq fveq2 cvv weq id 2fveq3 eqeq12d rspccva
      wral wacn wfo cdom wbr wf wex foelrn ralrimiva eqeq2d acni3 sylan2 simpll
      wrex wf1 acnrcl syl wi simprl simprr eqeqan12d anandis syl5ibr ralrimivva
      wb sylan dff13 sylanbrc f1dom2g syl3anc exlimddv ex ) ABUAZHZABCUBZBAUCUD
      ZVMVNIZBADJZUEZEJZVSVQKZCKZLZEBTZIZVODVNVMVSFJZCKZLZFAUMZEBTWDDUFVNWHEBFA
      BVSCUGUHWGWBEFBDAWEVTLWFWAVSWEVTCMUIUJUKVPWDIZBNHZVMBAVQUNZVOWIVMWJVMVNWD
      ULZBAUOUPWLWIVRWEVQKZGJZVQKZLZFGOZUQZGBTFBTWKVPVRWCURWIWRFGBBWPWQWIWEBHZW
      NBHZIZIWMCKZWOCKZLZWMWOCMWIWCXAWQXDVDZVPVRWCUSWCWSWTXEWCWSIWCWTIWEXBWNXCW
      BWEXBLEWEBEFOZVSWEWAXBXFPVSWECVQQRSWBWNXCLEWNBEGOZVSWNWAXCXGPVSWNCVQQRSUT
      VAVEVBVCFGBAVQVFVGBAVQNVLVHVIVJVK $.
  $}

  $( A version of ~ fodom that doesn't require the Axiom of Choice ~ ax-ac .
     (Contributed by Mario Carneiro, 28-Feb-2013.)  (Revised by Mario Carneiro,
     28-Apr-2015.) $)
  fodomnum $p |- ( A e. dom card -> ( F : A -onto-> B -> B ~<_ A ) ) $=
    ( wfo ccrd cdm wcel wacn cdom wbr cvv fornex com12 numacn syli fodomacn ) A
    BCDZAEFZGZABHGZBAIJQSTSQBKGZTSQUAABRCLMBKANOMABCPO $.

  $( A surjection maps numerable sets to numerable sets.  (Contributed by Mario
     Carneiro, 30-Apr-2015.) $)
  fonum $p |- ( ( A e. dom card /\ F : A -onto-> B ) -> B e. dom card ) $=
    ( ccrd cdm wcel wfo cdom wbr fodomnum imp numdom syldan ) ADEZFZABCGZBAHIZB
    NFOPQABCJKABLM $.

  ${
    $d f A $.  $d f B $.
    $( A surjection maps numerable sets to numerable sets.  (Contributed by
       Mario Carneiro, 27-Aug-2015.) $)
    numwdom $p |- ( ( A e. dom card /\ B ~<_* A ) -> B e. dom card ) $=
      ( vf cwdom wbr ccrd cdm wcel c0 wceq cv wfo wex wo brwdomi simpr cfn 0fin
      wa finnum ax-mp eqeltrdi fonum ex exlimdv imp jaodan sylan2 ) BADEAFGZHZB
      IJZABCKZLZCMZNBUIHZCBAOUJUKUOUNUJUKSBIUIUJUKPIQHIUIHRITUAUBUJUNUOUJUMUOCU
      JUMUOABULUCUDUEUFUGUH $.
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.  $d x V $.  $d x X $.  $d x Y $.
    $( Onto functions define dominance when a finite number of choices need to
       be made.  (Contributed by Stefan O'Rear, 28-Feb-2015.) $)
    fodomfi2 $p |- ( ( A e. V /\ B e. Fin /\ F : A -onto-> B ) -> B ~<_ A ) $=
      ( wcel cfn wfo w3a wceq cdom wbr wss 3ad2ant3 syl cdm adantl syl2anc sylc
      vx cv cima cpw cin wrex wfn fofn forn eqimss2 simp2 fipreima syl3anc ccrd
      crn cres elinel2 finnum wfun simpl3 fofun elinel1 elpwid fof fdm sseqtrrd
      wa 3syl fores fodomnum simpl1 ssdomg domtr breq1 syl5ibcom rexlimdva mpd
      wf ) ADEZBFEZABCGZHZCSTZUAZBIZSAUBZFUCZUDZBAJKZVTCAUEZBCUMZLZVRWFVSVQWHVR
      ABCUFMVSVQWJVRVSWIBIWJABCUGBWIUHNMVQVRVSUIBACSUJUKVTWCWGSWEVTWAWEEZVEZWBA
      JKZWCWGWLWBWAJKZWAAJKZWMWLWAULOEZWAWBCWAUNZGZWNWLWAFEZWPWKWSVTWAWDFUOPWAU
      PNWLCUQZWACOZLWRWLVSWTVQVRVSWKURZABCUSNWLWAAXAWKWAALZVTWKWAAWAWDFUTVAPZWL
      VSABCVPXAAIXBABCVBABCVCVFVDWACVGQWAWBWQVHRWLVQXCWOVQVRVSWKVIXDWAADVJRWBWA
      AVKQWBBAJVLVMVNVO $.

    $( Weak dominance agrees with normal for finite left sets.  (Contributed by
       Stefan O'Rear, 28-Feb-2015.)  (Revised by Mario Carneiro,
       5-May-2015.) $)
    wdomfil $p |- ( X e. Fin -> ( X ~<_* Y <-> X ~<_ Y ) ) $=
      ( vx cfn wcel cwdom wbr cdom wi c0 wceq cvv relwdom brrelex2i 0domg breq1
      syl syl5ibr adantl wa wne cv wfo wex wb brwdomn0 wf vex fof dmfex sylancr
      simpl simpr fodomfi2 syl3anc ex adantr exlimdv pm2.61dane domwdom impbid1
      sylbid ) ADEZABFGZABHGZVCVDVEIZAJAJKZVFVCVDVEVGJBHGZVDBLEZVHABFMNBLOQAJBH
      PRSVCAJUAZTZVDBACUBZUCZCUDZVEVJVDVNUEVCCABUFSVKVMVECVCVMVEIVJVCVMVEVCVMTV
      IVCVMVEVMVIVCVMVLLEBAVLUGVICUHBAVLUIBALVLUJUKSVCVMULVCVMUMBAVLLUNUOUPUQUR
      VBUSABUTVA $.
  $}

  ${
    $d m n x y A $.
    $( Any infinite well-orderable set is equinumerous to its set of finite
       subsets.  (Contributed by Mario Carneiro, 18-May-2015.) $)
    infpwfien $p |- ( ( A e. dom card /\ _om ~<_ A ) ->
      ( ~P A i^i Fin ) ~~ A ) $=
      ( vn vx vy vm wcel com cdom wbr wa cfn cen cmap wfo syl2anc wceq wrex syl
      cv cvv ccrd cdm cpw cin co ciun crn cmpt c0 infxpidm2 infn0 adantl fseqen
      cxp wne xpdom1g domentr endomtr numdom syldan wfn eliun wss ad2antll frnd
      wf elmapi vex rnex elpw sylibr simprl ssid ssnnfi sylancl ffn dffn4 sylib
      fofi elind expr rexlimdva syl5bi fmpttd ffnd simpr elin2d isfi wf1o ensym
      imp wex bren f1of simplr elin1d elpwid fssd wb elmapg mpbird oveq2 eleq2d
      simplll rspcev forn eqcomd jca eximdv syl5 mpd ex eqid elrnmpt elv df-rex
      f1ofo bitri syl6ibr ssrdv eqssd df-fo sylanbrc fodomnum sylc domtr adantr
      pwexg inex1g infpwfidom sbth ) AUAUBZFZGAHIZJZAUCZKUDZAHIZAYQHIZYQALIYOYQ
      BGABSZMUEZUFZHIZUUBAHIZYRYOUUBYLFZUUBYQCUUBCSZUGZUHZNZUUCYMYNUUDUUEYOUUBG
      AUNZLIZUUJAHIZUUDYOAAUNZALIZAUIUOZUUKAUJZYNUUOYMAUKULABUMOYOUUJUUMHIUUNUU
      LGAAYLUPUUPUUJUUMAUQOUUBUUJAUROZAUUBUSUTYOUUHUUBVAUUHUGZYQPUUIYOUUBYQUUHY
      OCUUBUUGYQYOUUFUUBFZUUGYQFZUUSUUFUUAFZBGQZYOUUTBUUFGUUAVBZYOUVAUUTBGYOYTG
      FZUVAUUTYOUVDUVAJJZYPKUUGUVEUUGAVCUUGYPFUVEYTAUUFUVAYTAUUFVFZYOUVDUUFAYTV
      GVDZVEUUGAUUFCVHVIVJVKUVEYTKFZYTUUGUUFNZUUGKFUVEUVDYTYTVCUVHYOUVDUVAVLYTV
      MYTYTVNVOUVEUVFUVIUVGUVFUUFYTVAUVIYTAUUFVPYTUUFVQVRRYTUUGUUFVSOVTWAWBWCWK
      WDZWEYOUURYQYOUUBYQUUHUVJVEYODYQUURYODSZYQFZUUSUVKUUGPZJZCWLZUVKUURFZYOUV
      LUVOYOUVLJZUVKESZLIZEGQZUVOUVQUVKKFUVTUVQYPKUVKYOUVLWFWGEUVKWHVRUVQUVSUVO
      EGUVSUVRUVKUUFWIZCWLZUVQUVRGFZJZUVOUVSUVRUVKLIUWBUVKUVRWJUVRUVKCWMVRUWDUW
      AUVNCUVQUWCUWAUVNUVQUWCUWAJZJZUUSUVMUWFUVBUUSUWFUWCUUFAUVRMUEZFZUVBUVQUWC
      UWAVLUWFUWHUVRAUUFVFZUWFUVRUVKAUUFUWAUVRUVKUUFVFUVQUWCUVRUVKUUFWNVDUWFUVK
      AUWFYPKUVKYOUVLUWEWOWPWQWRUWFYMUVRTFUWHUWIWSYMYNUVLUWEXDEVHAUVRUUFYLTWTVO
      XAUVAUWHBUVRGYTUVRPUUAUWGUUFYTUVRAMXBXCXEOUVCVKUWFUUGUVKUWFUVRUVKUUFNZUUG
      UVKPUWAUWJUVQUWCUVRUVKUUFXQVDUVRUVKUUFXFRXGXHWAXIXJWBXKXLUVPUVMCUUBQZUVOU
      VPUWKWSDCUUBUUGUVKUUHTUUHXMXNXOUVMCUUBXPXRXSXTYAUUBYQUUHYBYCUUBYQUUHYDYEU
      UQYQUUBAYFOYOYQTFZYSYOYPTFZUWLYMUWMYNAYLYHYGYPKTYIRAYJRYQAYKO $.

    $( The set of finite intersections of an infinite well-orderable set is
       equinumerous to the set itself.  (Contributed by Mario Carneiro,
       18-May-2015.) $)
    inffien $p |- ( ( A e. dom card /\ _om ~<_ A ) -> ( fi ` A ) ~~ A ) $=
      ( vx ccrd cdm wcel com cdom wbr wa cfi cfv cen cpw cfn cin cvv wss ssdomg
      syl2anc adantr c0 csn cdif cv cint cmpt wfo infpwfien relen brrelex1i syl
      difss mpisyl numdom syldan eqid fifo fodomnum sylc domtr fvex ssfii mpsyl
      domentr sbth ) ACDZEZFAGHZIZAJKZAGHZAVJGHZVJALHVIVJAMNOZUAUBZUCZGHZVOAGHZ
      VKVIVOVFEZVOVJBVOBUDUEUFZUGZVPVGVHVQVRVIVOVMGHZVMALHZVQVIVMPEZVOVMQWAVIWB
      WCAUHZVMALUIUJUKVMVNULVOVMPRUMWDVOVMAVDSZAVOUNUOVGVTVHBAVSVFVSUPUQTVOVJVS
      URUSWEVJVOAUTSVJPEVIAVJQZVLAJVAVGWFVHAVFVBTAVJPRVCVJAVES $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Weak dominance agrees with normal for numerable right sets.
       (Contributed by Stefan O'Rear, 28-Feb-2015.)  (Revised by Mario
       Carneiro, 5-May-2015.) $)
    wdomnumr $p |- ( B e. dom card -> ( A ~<_* B <-> A ~<_ B ) ) $=
      ( vx ccrd cdm wcel cwdom wbr cdom c0 wceq cv wfo wex wo brwdom syl5ibrcom
      0domg breq1 fodomnum exlimdv jaod sylbid domwdom impbid1 ) BDEZFZABGHZABI
      HZUGUHAJKZBACLZMZCNZOUICUFABPUGUJUIUMUGUIUJJBIHBUFRAJBISQUGULUICBAUKTUAUB
      UCABUDUE $.
  $}

  $( The aleph function is a function on the class of ordinal numbers.
     (Contributed by NM, 21-Oct-2003.)  (Revised by Mario Carneiro,
     13-Sep-2013.) $)
  alephfnon $p |- aleph Fn On $=
    ( cale con0 wfn char com crdg rdgfnon df-aleph fneq1i mpbir ) ABCDEFZBCEDGB
    AKHIJ $.

  $( The first infinite cardinal number, discovered by Georg Cantor in 1873,
     has the same size as the set of natural numbers ` _om ` (and under our
     particular definition is also equal to it).  In the literature, the
     argument of the aleph function is often written as a subscript, and the
     first aleph is written ` aleph `_0.  Exercise 3 of [TakeutiZaring] p. 91.
     Also Definition 12(i) of [Suppes] p. 228.  From Mosh&eacute Machover, _Set
     Theory, Logic, and Their Limitations_, p. 95:  "Aleph ... the first letter
     in the Hebrew alphabet ... is also the first letter of the Hebrew word ...
     (_einsoph_, meaning infinity), which is a cabbalistic appellation of the
     deity.  The notation is due to Cantor, who was deeply interested in
     mysticism."  (Contributed by NM, 21-Oct-2003.)  (Revised by Mario
     Carneiro, 13-Sep-2013.) $)
  aleph0 $p |- ( aleph ` (/) ) = _om $=
    ( c0 cale cfv char com crdg df-aleph fveq1i omex rdg0 eqtri ) ABCADEFZCEABL
    GHEDIJK $.

  ${
    $d x y A $.  $d x B $.
    $( Value of the aleph function at a limit ordinal.  Definition 12(iii) of
       [Suppes] p. 91.  (Contributed by NM, 21-Oct-2003.)  (Revised by Mario
       Carneiro, 13-Sep-2013.) $)
    alephlim $p |- ( ( A e. V /\ Lim A ) -> ( aleph ` A ) =
                   U_ x e. A ( aleph ` x ) ) $=
      ( wcel wlim char com crdg cfv ciun cale rdglim2a df-aleph fveq1i wceq a1i
      wa cv iuneq2i 3eqtr4g ) BCDBEQBFGHZIABARZUAIZJBKIABUBKIZJAGBCFLBKUAMNABUD
      UCUDUCOUBBDUBKUAMNPST $.

    $( Value of the aleph function at a successor ordinal.  Definition 12(ii)
       of [Suppes] p. 91.  Here we express the successor aleph in terms of the
       Hartogs function ~ df-har , which gives the smallest ordinal that
       strictly dominates its argument (or the supremum of all ordinals that
       are dominated by the argument).  (Contributed by Mario Carneiro,
       13-Sep-2013.)  (Revised by Mario Carneiro, 15-May-2015.) $)
    alephsuc $p |- ( A e. On ->
      ( aleph ` suc A ) = ( har ` ( aleph ` A ) ) ) $=
      ( con0 wcel csuc char com crdg cale rdgsuc df-aleph fveq1i fveq2i 3eqtr4g
      cfv ) ABCADZEFGZNAPNZENOHNAHNZENFAEIOHPJKRQEAHPJKLM $.

    $( An aleph is an ordinal number.  (Contributed by NM, 10-Nov-2003.)
       (Revised by Mario Carneiro, 13-Sep-2013.) $)
    alephon $p |- ( aleph ` A ) e. On $=
      ( vy vx con0 cale wf wfn cv wcel wral alephfnon c0 csuc wceq fveq2 eleq1d
      cfv weq cvv mpan com aleph0 eqeltri char alephsuc harcl eqeltrdi a1d wlim
      omelon ciun iunon alephlim syl5ibr tfinds rgen ffnfv mpbir2an 0elon f0cli
      vex ) DDAEDDEFEDGBHZEQZDIZBDJKVDBDCHZEQZDIZLEQZDIVDVBMZEQZDIZVDCBVBVELNVF
      VHDVELEOPCBRVFVCDVEVBEOPZVEVINVFVJDVEVIEOPVLVHUADUBUJUCVBDIZVKVDVMVJVCUDQ
      DVBUEVCUFUGUHVDBVEJZVGVEUIZBVEVCUKZDIZVESIZVNVQCVAZBVEVCSULTVOVFVPDVRVOVF
      VPNVSBVESUMTPUNUOUPBDDEUQURUSUT $.

    $( Every aleph is a cardinal number.  Theorem 65 of [Suppes] p. 229.
       (Contributed by NM, 25-Oct-2003.)  (Revised by Mario Carneiro,
       2-Feb-2013.) $)
    alephcard $p |- ( card ` ( aleph ` A ) ) = ( aleph ` A ) $=
      ( vx vy con0 wcel cale cfv ccrd wceq cv c0 csuc 2fveq3 eqeq12d com aleph0
      fveq2 fveq2d 3eqtr4a cvv cardom fveq2i 3eqtr4i char harcard alephsuc wlim
      a1d wral wa ciun wi cardiun elv adantl vex alephlim adantr 3eqtr4d tfinds
      mpan ex wn card0 cdm alephfnon fndmi eleq2i ndmfv sylnbir pm2.61i ) ADEZA
      FGZHGZVMIZBJZFGZHGZVQIZKFGZHGZVTICJZFGZHGZWCIZWBLZFGZHGZWGIZVOBCAVPKIVRWA
      VQVTVPKHFMVPKFQNVPWBIVRWDVQWCVPWBHFMVPWBFQNVPWFIVRWHVQWGVPWFHFMVPWFFQNVPA
      IVRVNVQVMVPAHFMVPAFQNOHGOWAVTUAVTOHPUBPUCWBDEZWIWEWJWCUDGZHGWKWHWGWCUEWJW
      GWKHWBUFZRWLSUHVPUGZWECVPUIZVSWMWNUJZCVPWCUKZHGZWPVRVQWNWQWPIZWMWNWRULBCV
      PWCTUMUNUOWOVQWPHWMVQWPIZWNVPTEWMWSBUPCVPTUQVAURZRWTUSVBUTVLVCZKHGKVNVMVD
      XAVMKHVLAFVEZEVMKIXBDADFVFVGVHAFVIVJZRXCSVK $.

    $( No cardinal can be sandwiched between an aleph and its successor aleph.
       Theorem 67 of [Suppes] p. 229.  (Contributed by NM, 10-Nov-2003.)
       (Revised by Mario Carneiro, 15-May-2015.) $)
    alephnbtwn $p |- ( ( card ` B ) = B ->
                   -. ( ( aleph ` A ) e. B /\ B e. ( aleph ` suc A ) ) ) $=
      ( vx con0 wcel ccrd cfv wceq cale csuc wa wn wi wbr wb cdm alephon onenon
      csdm adantl cardon eqeltrrdi syl cardsdomel sylancr eleq2 bitrd crab cint
      id char alephsuc harval2 eqtrdi eleq2d biimpd breq2 onnminsb sylan9 con2d
      cv mp2b sylan2 sylbird imnan sylib ex c0 n0i alephfnon fndmi eleq2i ndmfv
      sylnbir nsyl2 sucelon sylibr con3i a1d pm2.61i ) ADEZBFGZBHZAIGZBEZBAJZIG
      ZEZKZLZMWAWCWJWAWCKZWEWHLZMWJWKWEWDBSNZWLWCWMWEOWAWCWMWDWBEZWEWCWDDEZBFPZ
      EZWMWNOAQZWCBDEZWQWCBWBDWCUJBUAUBZBRUCWDBUDUEWBBWDUFUGTWCWAWSWMWLMWTWAWSK
      WHWMWAWHBWDCVAZSNZCDUHUIZEZWSWMLWAWHXDWAWGXCBWAWGWDUKGZXCAULWOWDWPEXEXCHW
      RWDRCWDUMVBUNUOUPXBWMCBXABWDSUQURUSUTVCVDWEWHVEVFVGWALWJWCWIWAWHWAWEWHWFD
      EZWAWHWGVHHZXFWGBVIXFWFIPZEXGXHDWFDIVJVKVLWFIVMVNVOAVPVQTVRVSVT $.
  $}

  $( No set has equinumerosity between an aleph and its successor aleph.
     (Contributed by NM, 3-Nov-2003.)  (Revised by Mario Carneiro,
     2-Feb-2013.) $)
  alephnbtwn2 $p |- -. ( ( aleph ` A ) ~< B /\ B ~< ( aleph ` suc A ) ) $=
    ( cale cfv csdm wbr wa ccrd wcel ax-mp cen con0 alephon wb cardsdomel mp2an
    onenon eleq2i bitri sylib csuc wceq cardidm alephnbtwn cdom sdomdom ondomen
    wn cdm sylancr cardid2 syl ensymd sdomentr sylan2 cardon ensdomtr alephcard
    mpancom adantl jca mto ) ACDZBEFZBAUAZCDZEFZGZVCBHDZIZVIVFIZGZVIHDZVIUBVLUH
    BUCZAVIUDJVHVJVKVHVCVIEFZVJVGVDBVIKFVOVGVIBVGBHUIZIZVIBKFZVGVFLIZBVFUEFVQVE
    MZBVFUFVFBUGUJBUKULZUMVCBVIUNUOVOVCVMIZVJVCLIVIVPIZVOWBNAMVILIZWCBUPZVIQJVC
    VIOPVMVIVCVNRSTVHVIVFEFZVKVGWFVDVRVGWFWAVIBVFUQUSUTWFVIVFHDZIZVKWDVFVPIZWFW
    HNWEVSWIVTVFQJVIVFOPWGVFVIVEURRSTVAVB $.

  $( Lemma for ~ alephordi .  (Contributed by NM, 23-Oct-2009.)  (Revised by
     Mario Carneiro, 15-May-2015.) $)
  alephordilem1 $p |- ( A e. On -> ( aleph ` A ) ~< ( aleph ` suc A ) ) $=
    ( con0 wcel cale cfv char csuc csdm cdm wbr alephon onenon harsdom alephsuc
    ccrd mp2b breqtrrid ) ABCADEZRFEZAGDEHRBCROICRSHJAKRLRMPANQ $.

  ${
    $d A w x $.  $d A x y $.  $d B x $.
    $( Strict ordering property of the aleph function.  (Contributed by Mario
       Carneiro, 2-Feb-2013.) $)
    alephordi $p |- ( B e. On ->
                    ( A e. B -> ( aleph ` A ) ~< ( aleph ` B ) ) ) $=
      ( vx vy vw cv wcel cale cfv csdm wbr wi c0 eleq2 fveq2 breq2d imbi12d cvv
      wceq wss csuc noel pm2.21i con0 wo vex elsuc2 alephordilem1 sdomtr sylan2
      expcom imim2d com23 breq1d syl5ibr a1d com3r jaod syl5bi wlim wral cen wn
      cdom fvexd ciun ssiun2s alephlim mpan sseq2d ssdomg sylsyld limsuc sylbid
      wa imp domnsym limelon onelon sylan ensym ensdomtr ex syl2im syl5com mtod
      syl jcad brsdom syl6ibr tfinds ) ACFZGZAHIZWLHIZJKZLZAMGZWNMHIZJKZLADFZGZ
      WNXAHIZJKZLZAXAUAZGZWNXFHIZJKZLABGZWNBHIZJKZLCDBWLMSZWMWRWPWTWLMANXMWOWSW
      NJWLMHOPQWLXASZWMXBWPXDWLXAANXNWOXCWNJWLXAHOPQWLXFSZWMXGWPXIWLXFANXOWOXHW
      NJWLXFHOPQWLBSZWMXJWPXLWLBANXPWOXKWNJWLBHOPQWRWTAUBUCXAUDGZXGXEXIXGXBAXAS
      ZUEXQXEXILZXAADUFUGXQXBXSXRXQXEXBXIXQXDXIXBXDXQXIXQXDXCXHJKZXIXAUHZWNXCXH
      UIUJUKULUMXRXEXQXIXRXQXILXEXQXIXRXTYAXRWNXCXHJAXAHOUNUOUPUQURUSUMWLUTZWQX
      EDWLVAYBWMWNWOVDKZWNWOVBKZVCZVOWPYBWMYCYEYBWORGZWMWNWOTZYCYBWLHVEZWMYGYBW
      NEWLEFZHIZVFZTEWLYJAWNYIAHOVGYBWOYKWNWLRGZYBWOYKSCUFZEWLRVHVIZVJUOWNWORVK
      VLYBWMYEYBWMVOZYDWOAUAZHIZJKZYOYQWOVDKZYRVCYBWMYSYBWMYPWLGZYSWLAVMYBYFYTY
      QWOTZYSYHYTUUAYBYQYKTEWLYJYPYQYIYPHOVGYBWOYKYQYNVJUOYQWORVKVLVNVPYQWOVQWG
      YOAUDGZYDYRYBWLUDGZWMUUBYLYBUUCYMWLRVRVIWLAVSVTYDWOWNVBKZUUBWNYQJKZYRWNWO
      WAAUHUUDUUEYRWOWNYQWBWCWDWEWFWCWHWNWOWIWJUPWK $.
  $}

  $( Ordering property of the aleph function.  (Contributed by NM,
     26-Oct-2003.)  (Revised by Mario Carneiro, 9-Feb-2013.) $)
  alephord $p |- ( ( A e. On /\ B e. On ) ->
                 ( A e. B <-> ( aleph ` A ) ~< ( aleph ` B ) ) ) $=
    ( con0 wcel wa cale cfv csdm wbr wi alephordi adantl cdom wn brsdom alephon
    cen syl5bi sylibrd wceq wss wne wb domtriord mp2an con3d adantr fveq2 eqeng
    ontri1 mpsyl necon3bi anim12d1 onelpss impbid ) ACDZBCDZEZABDZAFGZBFGZHIZUQ
    USVBJUPABKLVBUTVAMIZUTVAQIZNZEZURUSUTVAOURVFABUAZABUBZEUSURVCVGVEVHURVCBADZ
    NZVGUPVCVJJUQVCVAUTHIZNZUPVJUTCDZVACDVCVLUCAPZBPUTVAUDUEUPVIVKBAKUFRUGABUJS
    VDABVMABTUTVATVDVNABFUHUTVACUIUKULUMABUNSRUO $.

  $( Ordering property of the aleph function.  Theorem 8A(a) of [Enderton]
     p. 213 and its converse.  (Contributed by NM, 3-Nov-2003.)  (Revised by
     Mario Carneiro, 9-Feb-2013.) $)
  alephord2 $p |- ( ( A e. On /\ B e. On ) ->
                  ( A e. B <-> ( aleph ` A ) e. ( aleph ` B ) ) ) $=
    ( con0 wcel wa cale cfv csdm wbr alephord ccrd wb alephon onenon cardsdomel
    cdm ax-mp mp2an alephcard eleq2i bitri bitrdi ) ACDBCDEABDAFGZBFGZHIZUCUDDZ
    ABJUEUCUDKGZDZUFUCCDUDKPDZUEUHLAMUDCDUIBMUDNQUCUDORUGUDUCBSTUAUB $.

  $( Ordering property of the aleph function.  Theorem 66 of [Suppes] p. 229.
     (Contributed by NM, 25-Oct-2003.) $)
  alephord2i $p |- ( B e. On ->
                   ( A e. B -> ( aleph ` A ) e. ( aleph ` B ) ) ) $=
    ( con0 wcel cale cfv wa onelon alephord2 biimpd expimpd mpcom ex ) BCDZABDZ
    AEFBEFDZACDZNOGPBAHQNOPQNGOPABIJKLM $.

  $( Ordering property of the aleph function.  (Contributed by NM,
     11-Nov-2003.) $)
  alephord3 $p |- ( ( A e. On /\ B e. On ) ->
                  ( A C_ B <-> ( aleph ` A ) C_ ( aleph ` B ) ) ) $=
    ( con0 wcel wa wn cale cfv wss alephord2 ancoms notbid ontri1 alephon mp2an
    wb a1i 3bitr4d ) ACDZBCDZEZBADZFBGHZAGHZDZFZABIUDUCIZUAUBUETSUBUEPBAJKLABMU
    GUFPZUAUDCDUCCDUHANBNUDUCMOQR $.

  ${
    $d A x y $.  $d B x $.
    $( A set dominated by an aleph is strictly dominated by its successor aleph
       and vice-versa.  (Contributed by NM, 3-Nov-2003.)  (Revised by Mario
       Carneiro, 2-Feb-2013.) $)
    alephsucdom $p |- ( B e. On ->
                      ( A ~<_ ( aleph ` B ) <-> A ~< ( aleph ` suc B ) ) ) $=
      ( con0 wcel cale cfv cdom wbr csuc alephordilem1 domsdomtr ex syl5com cen
      csdm ccrd cdm sdomdom alephon ondomen mpan 3syl ensymd alephnbtwn2 imnani
      cardid2 wn ensdomtr mpancom nsyl3 cardon domtriord sylibr endomtr syl2anc
      wb mp2an impbid1 ) BCDZABEFZGHZABIZEFZOHZUSUTVCOHZVAVDBJVAVEVDAUTVCKLMVDA
      APFZNHVFUTGHZVAVDVFAVDAVCGHZAPQDZVFANHZAVCRVCCDVHVIVBSVCATUAAUFUBZUCVDUTV
      FOHZUGZVGVLVFVCOHZVDVLVNBVFUDUEVJVDVNVKVFAVCUHUIUJVFCDUTCDVGVMUPAUKBSVFUT
      ULUQUMAVFUTUNUOUR $.

    $( An alternate representation of a successor aleph.  The aleph function is
       the function obtained from the ~ hartogs function by transfinite
       recursion, starting from ` _om ` .  Using this theorem we could define
       the aleph function with ` { z e. On | z ~<_ x } ` in place of
       ` |^| { z e. On | x ~< z } ` in ~ df-aleph .  (Contributed by NM,
       3-Nov-2003.)  (Revised by Mario Carneiro, 2-Feb-2013.) $)
    alephsuc2 $p |- ( A e. On ->
                ( aleph ` suc A ) = { x e. On | x ~<_ ( aleph ` A ) } ) $=
      ( vy con0 wcel csuc cale cfv cv csdm crab cdom wa alephon oneli wral ccrd
      wbr wceq alephcard iscard mpbi simpri rspec jca wi sdomel mpan2 imp breq1
      impbii elrab bitr4i eqriv alephsucdom rabbidv eqtr4id ) BDEZBFZGHZAIZUTJR
      ZADKZVABGHLRZADKCUTVCCIZUTEZVEDEZVEUTJRZMZVEVCEVFVIVFVGVHUTVEUSNZOVHCUTUT
      DEZVHCUTPZUTQHUTSVKVLMUSTCUTUAUBUCUDUEVGVHVFVGVKVHVFUFVJVEUTUGUHUIUKVBVHA
      VEDVAVEUTJUJULUMUNURVDVBADVABUOUPUQ $.
  $}

  $( Relationship between inclusion of ordinal numbers and dominance of
     infinite initial ordinals.  (Contributed by Jeff Hankins, 23-Oct-2009.) $)
  alephdom $p |- ( ( A e. On /\ B e. On )
        -> ( A C_ B <-> ( aleph ` A ) ~<_ ( aleph ` B ) ) ) $=
    ( con0 wcel cale cfv cdom wbr wceq wo alephord sdomdom syl6bi cen wi cvv wn
    csdm word eloni wa wss onsseleq fvex fveq2 eqeng mpsyl a1i syl6 jaod sylbid
    endom ordtri2or syl2anr ord con1d wb ancoms sdomnen sbth ex mtod impcon4bid
    syl syld ) ACDZBCDZUAZABUBZAEFZBEFZGHZVHVIABDZABIZJVLABUCVHVMVLVNVHVMVJVKRH
    VLABKVJVKLMVHVNVJVKNHZVLVNVOOVHVJPDVNVJVKIVOAEUDABEUEVJVKPUFUGUHVJVKULUIUJU
    KVHVIQBADZVLQZVHVPVIVHVPVIVGBSASVPVIJVFBTATBAUMUNUOUPVHVPVKVJRHZVQVGVFVPVRU
    QBAKURVRVLVKVJNHZVKVJUSVRVKVJGHZVLVSOVKVJLVTVLVSVKVJUTVAVDVBMVEVC $.

  $( Every aleph is greater than or equal to the set of natural numbers.
     (Contributed by NM, 11-Nov-2003.) $)
  alephgeom $p |- ( A e. On <-> _om C_ ( aleph ` A ) ) $=
    ( con0 wcel com cale cfv wss c0 aleph0 0elon alephord3 mpan mpbii eqsstrrid
    0ss wb cdm wn peano1 word ordom ord0 ordtri1 mp2an mpbi ndmfv sseq2d mtbiri
    con2bii con4i alephfnon fndmi eleqtrdi impbii ) ABCZDAEFZGZUODHEFZUPIUOHAGZ
    URUPGZAOHBCUOUSUTPJHAKLMNUQAEQZBAVACZUQVBRZUQDHGZHDCZVDRSVDVEDTHTVDVERPUAUB
    DHUCUDUIUEVCUPHDAEUFUGUHUJBEUKULUMUN $.

  $( Every aleph is a limit ordinal.  (Contributed by NM, 11-Nov-2003.) $)
  alephislim $p |- ( A e. On <-> Lim ( aleph ` A ) ) $=
    ( con0 wcel com cale cfv wlim alephgeom ccrd cardlim alephcard sseq2i limeq
    wss wceq wb ax-mp 3bitr3i bitri ) ABCDAEFZNZTGZAHDTIFZNUCGZUAUBTJUCTDAKZLUC
    TOUDUBPUEUCTMQRS $.

  $( The aleph function is one-to-one.  (Contributed by NM, 3-Aug-2004.) $)
  aleph11 $p |- ( ( A e. On /\ B e. On ) ->
                ( ( aleph ` A ) = ( aleph ` B ) <-> A = B ) ) $=
    ( con0 wcel wa wceq cale cfv wss alephord3 wb ancoms anbi12d 3bitr4g bicomd
    eqss ) ACDZBCDZEZABFZAGHZBGHZFZSABIZBAIZEUAUBIZUBUAIZETUCSUDUFUEUGABJRQUEUG
    KBAJLMABPUAUBPNO $.

  ${
    $d x y $.
    $( The aleph function is a one-to-one mapping from the ordinals to the
       infinite cardinals.  See also ~ alephf1ALT .  (Contributed by Mario
       Carneiro, 2-Feb-2013.) $)
    alephf1 $p |- aleph : On -1-1-> On $=
      ( vx vy con0 cale wf1 wf cv cfv wceq weq wi wral wfn wcel alephfnon rgenw
      alephon ffnfv mpbir2an wa aleph11 biimpd rgen2 dff13 ) CCDECCDFZAGZDHZBGZ
      DHIZABJZKZBCLACLUEDCMUGCNZACLOULACUFQPACCDRSUKABCCUFCNUHCNTUIUJUFUHUAUBUC
      ABCCDUDS $.
  $}

  $( If an ordinal is smaller than an initial ordinal, it is strictly dominated
     by it.  (Contributed by Jeff Hankins, 24-Oct-2009.)  (Proof shortened by
     Mario Carneiro, 20-Sep-2014.) $)
  alephsdom $p |- ( ( A e. On /\ B e. On )
        -> ( A e. ( aleph ` B ) <-> A ~< ( aleph ` B ) ) ) $=
    ( con0 wcel wa cale cfv csdm wbr ccrd cdm wb simpl alephon ax-mp cardsdomel
    onenon sylancl alephcard eleq2i bitr2di ) ACDZBCDZEZABFGZHIZAUEJGZDZAUEDUDU
    BUEJKDZUFUHLUBUCMUECDUIBNUEQOAUEPRUGUEABSTUA $.

  $( A dominated initial ordinal is included.  (Contributed by Jeff Hankins,
     24-Oct-2009.) $)
  alephdom2 $p |- ( ( A e. On /\ B e. On )
        -> ( ( aleph ` A ) C_ B <-> ( aleph ` A ) ~<_ B ) ) $=
    ( con0 wcel wa cale cfv wn csdm wbr cdom wb alephsdom ancoms notbid alephon
    wss word onordi adantl eloni ordtri1 sylancr domtriord mpan 3bitr4d ) ACDZB
    CDZEZBAFGZDZHZBUJIJZHZUJBQZUJBKJZUIUKUMUHUGUKUMLBAMNOUHUOULLZUGUHUJRBRUQUJA
    PZSBUAUJBUBUCTUHUPUNLZUGUJCDUHUSURUJBUDUETUF $.

  ${
    $d x y A $.
    $( The argument of the aleph function is less than or equal to its value.
       Exercise 2 of [TakeutiZaring] p. 91.  (Later, in ~ alephfp2 , we will
       that equality can sometimes hold.)  (Contributed by NM, 9-Nov-2003.)
       (Proof shortened by Mario Carneiro, 22-Feb-2013.) $)
    alephle $p |- ( A e. On -> A C_ ( aleph ` A ) ) $=
      ( vx vy cv cale cfv wss weq id sseq12d wceq con0 wcel wral wel alephord2i
      fveq2 wa imp wi onelon alephon ontr2 sylancl mpan2d ralimdva onirri eleq1
      wn rspccv mtoi wb ontri1 mpan2 syl5ibr syld tfis3 ) BDZUREFZGZCDZVAEFZGZA
      AEFZGBCABCHZURVAUSVBVEIURVAEQJURAKZURAUSVDVFIURAEQJURLMZVCCURNVAUSMZCURNZ
      UTVGVCVHCURVGCBOZRZVCVBUSMZVHVGVJVLVAURPSVKVALMUSLMZVCVLRVHTURVAUAURUBZVA
      VBUSUCUDUEUFVIUTVGUSURMZUIZVIVOUSUSMZUSVNUGVHVQCUSURVAUSUSUHUJUKVGVMUTVPU
      LVNURUSUMUNUOUPUQ $.

    $( Given any transfinite cardinal number ` A ` , there is exactly one aleph
       that is equal to it.  Here we compute that aleph _explicitly_.
       (Contributed by NM, 9-Nov-2003.)  (Revised by Mario Carneiro,
       2-Feb-2013.) $)
    cardaleph $p |- ( ( _om C_ A /\ ( card ` A ) = A ) ->
                  A = ( aleph ` |^| { x e. On | A C_ ( aleph ` x ) } ) ) $=
      ( vy com wss ccrd cfv wceq wa cale con0 c0 wrex wo wi fveq2 sseq2d adantl
      wcel wn crab cint csuc wlim cardon eleq1 mpbii alephle rspcev nfcv nfrab1
      cv mpdan nfint nffv nfss onminsb a1i aleph0 eqtrdi sseq1d biimprd anim12d
      3syl eqss syl6ibr com12 ancoms onnminsb vex sucid eleq2 mpbiri impel char
      alephsuc sylan9eqr eleq2d biimpd cdom wbr elharval simprbi cdm onenon syl
      wb alephon carddom2 sylancl alephcard sseq2i bitrdi bitr3d syl5ib sylan9r
      ax-mp sseq1 rexlimdvaa onintrab2 sylib onelon sylan adantld mpcom onelssi
      mtod nsyl nrexdv adantr ciun alephlim eliun mtbird ex jaod onsseleq mpan2
      mpbid ord sylsyld word eloni w3o ordzsl 3orass bitri mpjaod ) DBEZBFGZBHZ
      IBAULZJGZEZAKUAZUBZLHZBYPJGZHZYPCULZUCZHZCKMZYPUDZNZYKYIYQYSOYQYKYIIZYSYQ
      UUFBYREZYRBEZIYSYQYKUUGYIUUHYKUUGOYQYKBKSZYNAKMZUUGYKYJKSUUIBUEYJBKUFUGZU
      UIBBJGZEZUUJBUHYNUUMABKYLBHYMUULBYLBJPQUIUMZYNUUGAABYRABUJAYPJAJUJAYOYNAK
      UKUNUOUPYLYPHYMYRBYLYPJPQUQZVDURYQUUHYIYQYRDBYQYRLJGDYPLJPUSUTVAVBVCBYRVE
      VFVGVHYKUUEYSOYIYKUUIUUEBYRSZTZYSUUKYKUUCUUQUUDYKUUBUUQCKYKYTKSZUUBIZIUUP
      BYTJGZEZUUSUVATZYKUURYTYPSZUVBUUBYNUVAAYTYLYTHYMUUTBYLYTJPQVIZUUBUVCYTUUA
      SYTCVJVKYPUUAYTVLVMVNRUUSUUPBUUTVOGZSZYKUVAUUSUUPUVFUUSYRUVEBUUBUURYRUUAJ
      GUVEYPUUAJPYTVPVQVRVSUVFBUUTVTWAZYKUVAUVFUUIUVGUUTBWBWCYKYJUUTFGZEZUVGUVA
      YKBFWDZSZUUTUVJSZUVIUVGWGYKUUIUVKUUKBWEWFUUTKSUVLYTWHZUUTWEWQBUUTWIWJYKUV
      IBUVHEUVAYJBUVHWRUVHUUTBYTWKWLWMWNWOWPXGWSYKUUIUUDUUQOUUKUUIUUDUUQUUIUUDI
      ZUUPBUUTSZCYPMZUUIUVPTUUDUUIUVOCYPUUIUVCIZUVAUVOUURUVQUVBUUIYPKSZUVCUURUU
      IUUJUVRUUNYNAWTXAZYPYTXBXCUURUVCUVBUUIUVDXDXEUUTBUVMXFXHXIXJUVNUUPBCYPUUT
      XKZSUVPUVNYRUVTBUUIUVRUUDYRUVTHUVSCYPKXLXCVRCBYPUUTXMWMXNXOWFXPUUIUUPYSUU
      IUUGUUPYSNZUUIUUJUUGUUNUUOWFUUIYRKSUUGUWAWGYPWHBYRXQXRXSXTYARYKYQUUENZYIY
      KUUIUVRUWBUUKUVSUVRYPYBZUWBYPYCUWCYQUUCUUDYDUWBCYPYEYQUUCUUDYFYGXAVDRYH
      $.

    $( Every transfinite cardinal is an aleph and vice-versa.  Theorem 8A(b) of
       [Enderton] p. 213 and its converse.  (Contributed by NM, 5-Nov-2003.) $)
    cardalephex $p |- ( _om C_ A ->
                   ( ( card ` A ) = A <-> E. x e. On A = ( aleph ` x ) ) ) $=
      ( vy com wss ccrd cfv wceq cv cale con0 wrex wa crab cint simpl cardaleph
      wcel sseq2d fveq2 alephgeom bitr4di rspceeqv syl2anc ex alephcard 3eqtr4a
      mpbid id rexlimivw impbid1 ) DBEZBFGZBHZBAIZJGZHZAKLZULUNURULUNMZBCIJGECK
      NOZKRZBUTJGZHURUSULVAULUNPUSULDVBEVAUSBVBDCBQZSUTUAUBUHVCAUTKUPVBBUOUTJTU
      CUDUEUQUNAKUQUPFGUPUMBUOUFBUPFTUQUIUGUJUK $.
  $}

  ${
    $d x A $.
    $( An infinite numerable set is equinumerous to an infinite initial
       ordinal.  (Contributed by Jeff Hankins, 23-Oct-2009.)  (Revised by Mario
       Carneiro, 29-Apr-2015.) $)
    infenaleph $p |- ( ( A e. dom card /\ _om ~<_ A ) ->
      E. x e. ran aleph x ~~ A ) $=
      ( ccrd cdm wcel com cdom wbr wa cfv cale crn cen cv wrex wceq con0 wss wb
      ax-mp cardidm cardom simpr omelon onenon simpl carddom2 sylancr eqsstrrid
      mpbird cardalephex syl mpbii eqcom rexbii sylib alephfnon fvelrnb cardid2
      wfn sylibr adantr breq1 rspcev syl2anc ) BCDZEZFBGHZIZBCJZKLZEZVJBMHZANZB
      MHZAVKOVIVNKJZVJPZAQOZVLVIVJVPPZAQOZVRVIVJCJVJPZVTBUAVIFVJRWAVTSVIFFCJZVJ
      UBVIWBVJRZVHVGVHUCVIFVFEZVGWCVHSFQEWDUDFUETVGVHUFFBUGUHUJUIAVJUKULUMVSVQA
      QVJVPUNUOUPKQUTVLVRSUQAQVJKURTVAVGVMVHBUSVBVOVMAVJVKVNVJBMVCVDVE $.
  $}

  ${
    $d x A $.
    $( Two ways to express the property of being a transfinite cardinal.
       (Contributed by NM, 9-Nov-2003.) $)
    isinfcard $p |- ( ( _om C_ A /\ ( card ` A ) = A ) <-> A e. ran aleph ) $=
      ( vx cale crn wcel cv cfv wceq con0 wrex com wss ccrd wa wfn wb alephfnon
      fvelrnb ax-mp alephgeom biimpi sseq2 rexlimiv pm4.71ri rexbii cardalephex
      syl5ibrcom eqcom pm5.32i 3bitr4i bitr2i ) ACDEZBFZCGZAHZBIJZKALZAMGAHZNZC
      IOULUPPQBIACRSAUNHZBIJZUQVANUPUSVAUQUTUQBIUMIEZUQUTKUNLZVBVCUMTUAAUNKUBUG
      UCUDUOUTBIUNAUHUEUQURVABAUFUIUJUK $.
  $}

  $( Two ways to express the property of being a cardinal number.  (Contributed
     by NM, 9-Nov-2003.) $)
  iscard3 $p |- ( ( card ` A ) = A <-> A e. ( _om u. ran aleph ) ) $=
    ( ccrd cfv wceq com wcel cale crn wo cun wn wss word con0 eleq1 mpbii eloni
    cardon syl ordom ordtri2or sylancl ord wa isinfcard biimpi expcom syld orrd
    cardnn bicomi simprbi jaoi impbii elun bitr4i ) ABCZADZAEFZAGHZFZIZAEUTJFUR
    VBURUSVAURUSKEALZVAURUSVCURAMZEMUSVCIURANFZVDURUQNFVEARUQANOPAQSTAEUAUBUCVC
    URVAVCURUDZVAAUEZUFUGUHUIUSURVAAUJVAVCURVFVAVGUKULUMUNAEUTUOUP $.

  $( Two ways to express the class of all cardinal numbers, which consists of
     the finite ordinals in ` _om ` plus the transfinite alephs.  (Contributed
     by NM, 10-Sep-2004.) $)
  cardnum $p |- { x | ( card ` x ) = x } = ( _om u. ran aleph ) $=
    ( com cale crn cun cv ccrd cfv wceq cab wcel iscard3 bicomi abbi2i eqcomi )
    BCDEZAFZGHQIZAJRAPRQPKQLMNO $.

  ${
    $d x A $.
    $( An infinite initial ordinal is characterized by the property of being
       initial - that is, it is a subset of any dominating ordinal.
       (Contributed by Jeff Hankins, 29-Oct-2009.)  (Proof shortened by Mario
       Carneiro, 20-Sep-2014.) $)
    alephinit $p |- ( ( A e. On /\ _om C_ A )
          -> ( A e. ran aleph <-> A. x e. On ( A ~<_ x -> A C_ x ) ) ) $=
      ( con0 wcel com wss wa cale ccrd cfv wceq cdom wi wb adantl onenon adantr
      wbr cardonle cen crn cv wral isinfcard bicomi baib carddom2 syl2an expcom
      cdm sstr syl sylbird sseq1 imbi2d syl5ibcom ralrimdva oncardid ensym 3syl
      endom cardon breq2 sseq2 imbi12d rspcv ax-mp biantrurd eqss sylibd impbid
      syl5com bitr4di bitrd ) BCDZEBFZGZBHUADZBIJZBKZBAUBZLRZBWAFZMZACUCZVPVRVT
      NVOVRVPVTVPVTGVRBUDUEUFOVQVTWEVQVTWDACVQWACDZGZWBVSWAFZMVTWDWGWBVSWAIJZFZ
      WHVQBIUJZDZWAWKDWJWBNWFVOWLVPBPQWAPBWAUGUHWGWIWAFZWJWHMWFWMVQWASOWJWMWHVS
      WIWAUKUIULUMVTWHWCWBVSBWAUNUOUPUQVQWEBVSFZVTVQBVSLRZWEWNVOWOVPVOVSBTRBVST
      RWOBURVSBUSBVSVAUTQVSCDWEWOWNMZMBVBWDWPAVSCWAVSKWBWOWCWNWAVSBLVCWAVSBVDVE
      VFVGVLVQWNVSBFZWNGVTVQWQWNVOWQVPBSQVHVSBVIVMVJVKVN $.
  $}

  ${
    $d x F $.  $d x A $.
    $( The union of the image of a mapping to cardinals is a cardinal.
       Proposition 11.16 of [TakeutiZaring] p. 104.  (Contributed by NM,
       4-Nov-2004.) $)
    carduniima $p |- ( A e. B -> ( F : A --> ( _om u. ran aleph ) ->
                     U. ( F " A ) e. ( _om u. ran aleph ) ) ) $=
      ( vx wcel com cale crn cun wf cima cuni ccrd cfv wceq wfun ffun funimaexg
      cvv iscard3 sylan expcom cv wral sseld syl6ibr ralrimiv carduni syl5 syli
      fimass syl6ib ) ABEZAFGHIZCJZCAKZLZMNUQOZUQUNEUOUMUPSEZURUOUMUSUOCPUMUSAU
      NCQCABRUAUBUODUCZMNUTOZDUPUDUSURUOVADUPUOUTUPEUTUNEVAUOUPUNUTAUNCAUKUEUTT
      UFUGDUPSUHUIUJUQTUL $.

    $( If a mapping to cardinals has an infinite value, then the union of its
       image is an infinite cardinal.  Corollary 11.17 of [TakeutiZaring]
       p. 104.  (Contributed by NM, 4-Nov-2004.) $)
    cardinfima $p |- ( A e. B -> ( ( F : A --> ( _om u. ran aleph ) /\
         E. x e. A ( F ` x ) e. ran aleph ) -> U. ( F " A ) e. ran aleph ) ) $=
      ( wcel cvv com cale crn cun wf cv cfv wa wi wss ccrd wceq isinfcard imp
      wrex cima cuni elex bicomi simplbi wfn ffn fnfvelrn fnima sylibrd elssuni
      eleq2d syl6 sylan sylan9ssr anasss a1i carduniima iscard3 syl6ibr adantrd
      ex jcad syl6ib exp4d rexlimdv expimpd syl ) BCEBFEZBGHIZJZDKZALZDMZVKEZAB
      UAZNDBUBZUCZVKEZOBCUDVJVMVQVTVJVMNVPVTABVJVMVNBEZVPVTOOVJVMWAVPVTVJVMWAVP
      NZNZGVSPZVSQMVSRZNVTVJWCWDWEWCWDOVJVMWAVPWDVPVMWANGVOVSVPGVOPZVOQMVORZWFW
      GNVPVOSUEUFVMDBUGZWAVOVSPZBVLDUHWHWAWIWHWAVOVREZWIWHWAVODIZEZWJWHWAWLBVND
      UIVCWHVRWKVOBDUJUMUKVOVRULUNTUOUPUQURVJVMWEWBVJVMVSVLEWEBFDUSVSUTVAVBVDVS
      SVEVFTVGVHVI $.
  $}

  ${
    $d x y z $.
    $( Aleph is an order isomorphism of the class of ordinal numbers onto the
       class of infinite cardinals.  Definition 10.27 of [TakeutiZaring] p. 90.
       (Contributed by NM, 3-Aug-2004.) $)
    alephiso $p |- aleph Isom _E , _E ( On ,
                   { x | ( _om C_ x /\ ( card ` x ) = x ) } ) $=
      ( vy vz con0 com cv wss ccrd cfv wceq cab cep cale wiso wbr wral mpbir2an
      wa wcel rgen2 wf1o wb wf1 wfo wf wi wfn alephfnon isinfcard bicomi abbi2i
      crn df-fo fof ax-mp aleph11 biimpd dff13 df-f1o alephord2 epel fvex epeli
      3bitr4g df-isom ) DEAFZGVFHIVFJRZAKZLLMNDVHMUAZBFZCFZLOZVJMIZVKMIZLOZUBZC
      DPBDPVIDVHMUCZDVHMUDZVQDVHMUEZVMVNJZVJVKJZUFZCDPBDPVRVSVRMDUGMULZVHJUHVGA
      WCVGVFWCSVFUIUJUKDVHMUMQZDVHMUNUOWBBCDDVJDSVKDSRZVTWAVJVKUPUQTBCDVHMURQWD
      DVHMUSQVPBCDDWEVJVKSVMVNSVLVOVJVKUTCVJVAVMVNVKMVBVCVDTBCDVHLLMVEQ $.
  $}

  $( The class of all transfinite cardinal numbers (the range of the aleph
     function) is a proper class.  Proposition 10.26 of [TakeutiZaring] p. 90.
     (Contributed by NM, 11-Nov-2003.) $)
  alephprc $p |- -. ran aleph e. _V $=
    ( vx cale crn cvv wcel com cun cv ccrd cfv wceq cardprc neli cardnum eleq1i
    cab mtbi omex unexg mpan mto ) BCZDEZFUBGZDEZAHZIJUFKAPZDEUEUGDALMUGUDDANOQ
    FDEUCUERFUBDDSTUA $.

  $( The class of transfinite cardinals (the range of the aleph function) is a
     subclass of the class of ordinal numbers.  (Contributed by NM,
     11-Nov-2003.) $)
  alephsson $p |- ran aleph C_ On $=
    ( vx cale crn con0 cv wcel com wss ccrd cfv wa isinfcard cardon eleq1 mpbii
    wceq adantl sylbir ssriv ) ABCZDAEZTFGUAHZUAIJZUAPZKUADFZUALUDUEUBUDUCDFUEU
    AMUCUADNOQRS $.

  $( The union of the class of transfinite cardinals (the range of the aleph
     function) is the class of ordinal numbers.  (Contributed by NM,
     11-Nov-2003.) $)
  unialeph $p |- U. ran aleph = On $=
    ( cale crn cuni con0 wcel wceq cvv alephprc uniexb mtbi elex word alephsson
    mto wo wss ssorduni ax-mp ordeleqon mpbi mtpor ) ABZCZDEZUCDFZUDUCGEZUBGEUF
    HUBIJUCDKNUCLZUDUEOUBDPUGMUBQRUCSTUA $.

  ${
    $d x y $.
    $( The aleph function is strictly monotone.  (Contributed by Mario
       Carneiro, 15-Mar-2013.) $)
    alephsmo $p |- Smo aleph $=
      ( vy vx con0 wss word cv cale cfv wcel wral wsmo ssid alephord2i ralrimiv
      ordon rgen wf w3a wi wfn crn alephfnon alephsson df-f issmo2 ax-mp mp3an
      mpbir2an ) CCDZCEZAFZGHBFZGHIZAULJZBCJZGKZCLOUNBCULCIUMAULUKULMNPCCGQZUIU
      JUORUPSUQGCTGUACDUBUCCCGUDUHBACCGUEUFUG $.
  $}

  $( Alternate proof of ~ alephf1 .  (Contributed by Mario Carneiro,
     15-Mar-2013.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  alephf1ALT $p |- aleph : On -1-1-> On $=
    ( vx con0 cale wf wsmo wf1 wfn cv cfv wcel wral alephfnon alephon a1i ffnfv
    rgen mpbir2an alephsmo smo11 mp2an ) BBCDZCEBBCFUACBGAHZCIBJZABKLUCABUCUBBJ
    UBMNPABBCOQRBBCST $.

  ${
    $d z w v $.  $d z w v H $.
    alephfplem.1 $e |- H = ( rec ( aleph , _om ) |` _om ) $.
    $( Lemma for ~ alephfp .  (Contributed by NM, 6-Nov-2004.) $)
    alephfplem1 $p |- ( H ` (/) ) e. ran aleph $=
      ( cfv cale crn com crdg cres cvv wcel wceq omex fr0g ax-mp fveq1i 3eqtr4i
      c0 aleph0 con0 wfn alephfnon 0elon fnfvelrn mp2an eqeltri ) QACZQDCZDEZQD
      FGFHZCZFUFUGFIJUJFKLFIDMNQAUIBORPDSTQSJUGUHJUAUBSQDUCUDUE $.

    $( Lemma for ~ alephfp .  (Contributed by NM, 6-Nov-2004.) $)
    alephfplem2 $p |- ( w e. _om -> ( H ` suc w ) = ( aleph ` ( H ` w ) ) ) $=
      ( cv com wcel csuc cale crdg cres cfv frsuc fveq1i fveq2i 3eqtr4g ) ADZEF
      PGZHEIEJZKPRKZHKQBKPBKZHKEPHLQBRCMTSHPBRCMNO $.

    $( Lemma for ~ alephfp .  (Contributed by NM, 6-Nov-2004.) $)
    alephfplem3 $p |- ( v e. _om -> ( H ` v ) e. ran aleph ) $=
      ( vw cv cfv cale crn wcel csuc wceq fveq2 eleq1d alephfplem1 com con0 wfn
      c0 alephfnon alephsson sseli fnfvelrn sylancr alephfplem2 syl5ibr finds1
      ) AEZBFZGHZIRBFZUIIDEZBFZUIIZUKJZBFZUIIZADUGRKUHUJUIUGRBLMUGUKKUHULUIUGUK
      BLMUGUNKUHUOUIUGUNBLMBCNUMUPUKOIZULGFZUIIZUMGPQULPIUSSUIPULTUAPULGUBUCUQU
      OURUIDBCUDMUEUF $.

    $( Lemma for ~ alephfp .  (Contributed by NM, 5-Nov-2004.) $)
    alephfplem4 $p |- U. ( H " _om ) e. ran aleph $=
      ( vz com cale crn cun wf cv cfv wcel wrex cima cuni wss wfn wral mp2an c0
      cvv crdg cres frfnom fneq1i mpbir alephfplem3 ffnfv mpbir2an ssun2 peano1
      rgen fss alephfplem1 wceq fveq2 eleq1d rspcev wa wi omex cardinfima ax-mp
      ) DDEFZGZAHZCIZAJZVCKZCDLZADMNVCKZDVCAHZVCVDOVEVKADPZVHCDQVLEDUADUBZDPDEU
      CDAVMBUDUEVHCDCABUFUKCDVCAUGUHVCDUIDVCVDAULRSDKSAJZVCKZVIUJABUMVHVOCSDVFS
      UNVGVNVCVFSAUOUPUQRDTKVEVIURVJUSUTCDTAVAVBR $.

    $( The aleph function has a fixed point.  Similar to Proposition 11.18 of
       [TakeutiZaring] p. 104, except that we construct an actual example of a
       fixed point rather than just showing its existence.  See ~ alephfp2 for
       an abbreviated version just showing existence.  (Contributed by NM,
       6-Nov-2004.)  (Proof shortened by Mario Carneiro, 15-May-2015.) $)
    alephfp $p |- ( aleph ` U. ( H " _om ) ) = U. ( H " _om ) $=
      ( vz vv com cale crn wcel cv cfv wceq con0 wrex wss wa wi wfn syl mpbird
      wb cima cuni alephfplem4 ccrd isinfcard cardalephex biimpa sylbir alephle
      wn alephon onirri wfun crdg cres frfnom fneq1i mpbir fnfun mp2b alephsson
      eluniima alephfplem3 sselid alephord2i csuc alephfplem2 peano2 mpan fnima
      fnfvelrn ax-mp eleqtrrdi eqeltrrd elssuni sseld syld rexlimiv sylbi eleq2
      imbi12d mpbii mtoi anim12i word eloni onordi ordtri4 sylancl adantr eqeq2
      adantl eqcomd fveq2d rexlimiva ) AEUAZUBZFGZHZWQCIZFJZKZCLMZWQFJZWQKZABUC
      WSEWQNZWQUDJWQKZOXCWQUEXFXGXCCWQUFUGUHXBXECLWTLHZXBOZXEXDXAKZXIWQWTFXIWTW
      QXIWTWQKZWTXAKZXIXLWTXANZWTXAHZUJZOZXHXMXBXOWTUIXBXNXAXAHZXAWTUKZULXBWTWQ
      HZXAWQHZPXNXQPXSWTDIZAJZHZDEMZXTAEQZAUMXSYDTYEFEUNEUOZEQEFUPEAYFBUQURZEAU
      SDEWTAVBUTYCXTDEYAEHZYCXAYBFJZHZXTYHYBLHYCYJPYHWRLYBVADABVCVDWTYBVERYHYIW
      QXAYHYIWPHYIWQNYHYAVFZAJZYIWPDABVGYHYKEHZYLWPHYAVHYMYLAGZWPYEYMYLYNHYGEYK
      AVKVIYEWPYNKYGEAVJVLVMRVNYIWPVORVPVQVRVSXBXSXNXTXQWQXAWTVTWQXAXAVTWAWBWCW
      DXHXLXPTZXBXHWTWEXAWEYOWTWFXAXRWGWTXAWHWIWJSXBXKXLTXHWQXAWTWKWLSWMWNXBXEX
      JTXHWQXAXDWKWLSWOUT $.
  $}

  $( The aleph function has at least one fixed point.  Proposition 11.18 of
     [TakeutiZaring] p. 104.  See ~ alephfp for an actual example of a fixed
     point.  Compare the inequality ~ alephle that holds in general.  Note that
     if ` x ` is a fixed point, then ` aleph `` aleph `` aleph `` ` ...
     ` aleph `` x = x ` .  (Contributed by NM, 6-Nov-2004.)  (Revised by Mario
     Carneiro, 15-May-2015.) $)
  alephfp2 $p |- E. x e. On ( aleph ` x ) = x $=
    ( cale com crdg cres cima cuni con0 wcel wceq cv wrex alephsson alephfplem4
    cfv crn eqid sselii alephfp fveq2 id eqeq12d rspcev mp2an ) BCDCEZCFGZHIUFB
    OZUFJZAKZBOZUIJZAHLBPHUFMUEUEQZNRUEULSUKUHAUFHUIUFJZUJUGUIUFUIUFBTUMUAUBUCU
    D $.

  ${
    $d x y z A $.
    $( An alternate way to express the value of the aleph function: it is the
       least infinite cardinal different from all values at smaller arguments.
       Definition of aleph in [Enderton] p. 212 and definition of aleph in
       [BellMachover] p. 490 .  (Contributed by NM, 16-Nov-2003.) $)
    alephval3 $p |- ( A e. On -> ( aleph ` A ) = |^| { x | ( ( card ` x ) = x
                   /\ _om C_ x /\ A. y e. A -. x = ( aleph ` y ) ) } ) $=
      ( vz con0 wcel cale cfv cv ccrd wceq com wss wn wral ralrimiv fveq2 wa wi
      w3a cab cint alephcard a1i alephgeom biimpi alephord2i elirr eleq2 mtbiri
      con2i syl6 fvex id eqeq12d sseq2 eqeq1 notbid ralbidv 3anbi123d syl3anbrc
      elab wrex eleq1 alephord2 bicomd sylan9bbr biimpcd simpr jca2 exp4c com3r
      imp4b reximdv2 cardalephex biimpac impel dfrex2 sylib nan mpbir ex df-3an
      bitri notbii syl6ibr cardon mpbii 3ad2ant1 abssi oneqmini ax-mp syl2anc
      vex ) CEFZCGHZAIZJHZWQKZLWQMZWQBIZGHZKZNZBCOZTZAUAZFZDIZXGFZNZDWPOZWPXGUB
      KZWOWPJHZWPKZLWPMZWPXBKZNZBCOZXHXOWOCUCUDWOXPCUEUFWOXRBCWOXACFZXBWPFZXRXA
      CUGXQYAXQYAXBXBFXBUHWPXBXBUIUJUKULPXFXOXPXSTAWPCGUMWQWPKZWSXOWTXPXEXSYBWR
      XNWQWPWQWPJQYBUNUOWQWPLUPYBXDXRBCYBXCXQWQWPXBUQURUSUTVBVAWOXKDWPWOXIWPFZX
      IJHZXIKZLXIMZRZXIXBKZNZBCOZRZNZXKWOYCYLWOYCRZYLSYMYGRZYJNZSYNYHBCVCZYOYMY
      HBEVCZYPYGYMYHYHBECWOYCXAEFZYHXTYHRZYCYRWOYHYSSYCYRWOYHYSYCYRWORZYHRZXTYH
      UUAYCXTYHYCYAYTXTXIXBWPVDYTXTYAXACVEVFVGVHYTYHVIVJVKVLVMVNYFYEYQBXIVOVPVQ
      YHBCVRVSYMYGYJVTWAWBXJYKXJYEYFYJTZYKXFUUBAXIDWNWQXIKZWSYEWTYFXEYJUUCWRYDW
      QXIWQXIJQUUCUNUOWQXILUPUUCXDYIBCUUCXCYHWQXIXBUQURUSUTVBYEYFYJWCWDWEWFPXGE
      MXHXLRXMSXFAEWSWTWQEFZXEWSWREFUUDWQWGWRWQEVDWHWIWJDWPXGWKWLWM $.
  $}

  $( The power set of an aleph is not strictly dominated by the successor
     aleph.  (The Generalized Continuum Hypothesis says they are equinumerous,
     see ~ gch3 or ~ gchaleph2 .)  The transposed form ~ alephsucpw cannot be
     proven without the AC, and is in fact equivalent to it.  (Contributed by
     Mario Carneiro, 2-Feb-2013.) $)
  alephsucpw2 $p |- -. ~P ( aleph ` A ) ~< ( aleph ` suc A ) $=
    ( cale cfv cpw csdm wbr csuc fvex canth2 alephnbtwn2 mptnan ) ABCZLDZEFMAGB
    CEFLABHIAMJK $.

  $( Power rule for cardinal arithmetic.  Theorem 11.21 of [TakeutiZaring]
     p. 106.  (Contributed by Mario Carneiro, 9-Mar-2013.)  (Revised by Mario
     Carneiro, 27-Apr-2015.) $)
  mappwen $p |- ( ( ( B e. dom card /\ _om ~<_ B ) /\
    ( 2o ~<_ A /\ A ~<_ ~P B ) ) -> ( A ^m B ) ~~ ~P B ) $=
    ( ccrd cdm wcel com cdom wbr wa c2o cpw cmap co cen domentr syl2anc mapdom1
    con0 2on entr simprr pw2eng ad2antrr syl simpll mapxpen mp3an2i elexi enref
    cxp infxpidm2 adantr mapen sylancr ensymd ad2antrl endomtr sbth ) BCDZEZFBG
    HZIZJAGHZABKZGHZIZIZABLMZVDGHZVDVHGHZVHVDNHVGVHJBLMZBLMZGHZVLVDNHZVIVGAVKGH
    ZVMVGVEVDVKNHZVOVBVCVEUAUTVPVAVFBUSUBUCZAVDVKOPAVKBQUDVGVLVKNHZVKVDNHVNVGVL
    JBBUJZLMZNHZVTVKNHZVRJREVGUTUTWASUTVAVFUEZWCJBBRUSUSUFUGVGJJNHVSBNHZWBJJRSU
    HUIVBWDVFBUKULJJVSBUMUNVLVTVKTPVGVDVKVQUOVLVKVDTPVHVLVDOPVGVPVKVHGHZVJVQVCW
    EVBVEJABQUPVDVKVHUQPVHVDURP $.

  ${
    $d f R $.  $d f A $.
    $( A finite totally ordered set has a unique order isomorphism to a finite
       ordinal.  (Contributed by Stefan O'Rear, 16-Nov-2014.)  (Proof shortened
       by Mario Carneiro, 26-Jun-2015.) $)
    finnisoeu $p |- ( ( R Or A /\ A e. Fin ) ->
        E! f f Isom _E , R ( ( card ` A ) , A ) ) $=
      ( wor cfn wcel wa ccrd cfv cep cv cvv adantl syl2anc wb cen wbr mpbid syl
      wiso wex wmo weu coi eqid oiexg cdm wwe simpr wofi oiiso wceq oien ensymd
      ficardid entr con0 oion ficardom onomeneq isoeq4 isoeq1 wemoiso2 sylanbrc
      com spcedv df-eu ) ABDZAEFZGZAHIZAJBCKZTZCUAVMCUBZVMCUCVJVMVKAJBABUDZTZCL
      VOVIVOLFVHABVOEVOUEZUFMVJVOUGZAJBVOTZVPVJVIABUHZVSVHVIUIZABUJZABVOEVQUKNV
      JVRVKULZVSVPOVJVRVKPQZWCVJVRAPQZAVKPQWDVJVIVTWEWAWBABVOEVQUMNVJVKAVIVKAPQ
      VHAUOMUNVRAVKUPNVJVRUQFZVKVEFZWDWCOVIWFVHABVOEVQURMVIWGVHAUSMVRVKUTNRVRAV
      KJBVOVASRVKAJBVOVLVBVFVJVTVNWBVKAJBCVCSVMCVGVD $.
  $}

  ${
    $d A a b c d e f g h i j $.  $d B a b c d e f g h i j $.
    $( Countability of a countable union of finite sets with a strict (not
       globally well) order fulfilling the choice role.  (Contributed by Stefan
       O'Rear, 16-Nov-2014.) $)
    iunfictbso $p |- ( ( A ~<_ _om /\ A C_ Fin /\ B Or U. A ) ->
        U. A ~<_ _om ) $=
      ( va vf vg vh com cdom wbr cfn c0 wceq cv wcel syl syl2anc cfv cep wiso
      wa vb vc vd ve vi vj wss cuni wor w3a wi omex breq1 mpbiri a1d wne wex n0
      0dom wfo csdm ne0i unieq uni0 eqtrdi necon3i adantl wb simpl1 ctex 0sdomg
      cvv 3syl mpbird fodomr cxp cen ccrd cdm cio cmpo con0 omelon onenon ax-mp
      cif xpnum mp2an wrex wral simplrr fof simprl ffvelrnd adantr elssuni wf1o
      wf co cab simpll3 soss sylc simpll2 sseldd finnisoeu iotacl iotaex isoeq1
      weu cbvabv elab2 isof1o f1of ffvelrnda wn ad2antrr ifclda ralrimivva eqid
      sylib fmpo eluni simprr foelrn ccnv simprrl word ficardom ordelss sylancr
      ordom f1ocnv simprll simprrr fveq2 ifbieq1d expr mpd exlimdv 2fveq3 bitrd
      eleqtrd eleq2d isoeq4 isoeq5 iotabidv fveq1d eleq1 fvex vex ovmpo iftrued
      ifex f1ocnvfv2 3eqtrrd rspceov syl3anc expd rexlimdv syl5bi ralrimiv foov
      ex sylanbrc fodomnum mpsyl xpomen domentr sylancl exlimiv sylbi pm2.61ine
      expcom ) AGHIZAJUGZAUHZBUIZUJZUVQGHIZUKZUVQKUVQKLZUVTUVSUWBUVTKGHIGULUSUV
      QKGHUMUNUOUVQKUPZCMZUVQNZCUQUWACUVQURUWEUWACUVSUWEUVTUVSUWETZGAUAMZUTZUAU
      QZUVTUWFKAVAIZUVOUWIUWFUWJAKUPZUWEUWKUVSUWEUWCUWKUVQUWDVBAKUVQKAKLUVQKUHK
      AKVCVDVEVFOVGUWFUVOAVLNUWJUWKVHUVOUVPUVRUWEVIZAVJAVLVKVMVNUWLGAUAVOPUWFUW
      HUVTUAUVSUWEUWHUVTUVSUWEUWHTZTZUVQGGVPZHIZUWOGVQIUVTUWOVRVSZNZUWNUWOUVQDE
      GGEMZDMZUWGQZVRQZNZUWSUXBUXARBFMZSZFVTZQZUWDWFZWAZUTZUWPGUWQNZUXKUWRGWBNU
      XKWCGWDWEZUXLGGWGWHUWNUWOUVQUXIWRZUBMZUCMUDMUXIWSLUDGWIUCGWIZUBUVQWJUXJUW
      NUXHUVQNZEGWJDGWJUXMUWNUXPDEGGUWNUWTGNZUWSGNZTZTZUXCUXGUWDUVQUXTUXCTZUXAU
      VQUXGUYAUXAANZUXAUVQUGZUXTUYBUXCUXTGAUWTUWGUXTUWHGAUWGWRZUVSUWEUWHUXSWKGA
      UWGWLZOUWNUXQUXRWMWNZWOUXAAWPZOUXTUXBUXAUWSUXFUXTUXBUXARBUXFSZUXBUXAUXFWQ
      UXBUXAUXFWRUXTUXFUXEFWTZNZUYHUXTUXEFXJZUYJUXTUXABUIZUXAJNUYKUXTUYCUVRUYLU
      XTUYBUYCUYFUYGOUVOUVPUVRUWMUXSXAUXAUVQBXBXCUXTAJUXAUVOUVPUVRUWMUXSXDUYFXE
      UXABFXFPUXEFXGOUXBUXARBUWDSZUYHCUXFUYIUXEFXHUXBUXARBUXFUWDXIUXEUYMFCUXBUX
      ARBUWDUXDXIXKXLYAUXBUXARBUXFXMUXBUXAUXFXNVMXOXEUWNUWEUXSUXCXPUVSUWEUWHWMX
      QXRXSDEGGUXHUVQUXIUXIXTZYBYAUWNUXOUBUVQUXNUVQNUXNUEMZNZUYOANZTZUEUQUWNUXO
      UEUXNAYCUWNUYRUXOUEUWNUYRUXOUWNUYRTZUYOUFMZUWGQZLZUFGWIZUXOUYSUWHUYQVUCUV
      SUWEUWHUYRWKUWNUYPUYQYDUFGAUYOUWGYEPUYSVUBUXOUFGUYSUYTGNZVUBUXOUWNUYRVUDV
      UBTZUXOUWNUYRVUETZTZVUDUXNVUAVRQZVUARBUXDSZFVTZYFZQZGNZUXNUYTVULUXIWSZLUX
      OUWNUYRVUDVUBYGZVUGVUHGVULVUGGYHVUHGNZVUHGUGYLVUGVUAJNZVUPVUGAJVUAUVOUVPU
      VRUWMVUFXDVUGGAUYTUWGVUGUWHUYDUVSUWEUWHVUFWKUYEOVUOWNZXEZVUAYIOGVUHYJYKVU
      GVUAVUHUXNVUKVUGVUHVUAVUJWQZVUAVUHVUKWQVUAVUHVUKWRVUGVUHVUARBVUJSZVUTVUGV
      UJVUIFWTZNZVVAVUGVUIFXJZVVCVUGVUABUIZVUQVVDVUGVUAUVQUGZUVRVVEVUGVUAANVVFV
      URVUAAWPOUVOUVPUVRUWMVUFXAVUAUVQBXBXCVUSVUABFXFPVUIFXGOVUHVUARBUWDSZVVACV
      UJVVBVUIFXHVUHVUARBVUJUWDXIVUIVVGFCVUHVUARBUWDUXDXIXKXLYAVUHVUARBVUJXMOZV
      UHVUAVUJYMVUAVUHVUKXNVMVUGUXNUYOVUAUWNUYPUYQVUEYNUWNUYRVUDVUBYOUUCZWNZXEZ
      VUGVUNVULVUHNZVULVUJQZUWDWFZVVMUXNVUGVUDVUMVUNVVNLVUOVVKDEUYTVULGGUXHVVNU
      XIUWSVUHNZUWSVUJQZUWDWFUWTUYTLZUXCVVOUXGVVPUWDVVQUXBVUHUWSUWTUYTVRUWGUUAZ
      UUDVVQUWSUXFVUJVVQUXEVUIFVVQUXEVUHUXARBUXDSZVUIVVQUXBVUHLUXEVVSVHVVRUXBUX
      AVUHRBUXDUUEOVVQUXAVUALVVSVUIVHUWTUYTUWGYPVUHUXAVUARBUXDUUFOUUBUUGUUHYQUW
      SVULLVVOVVLVVPVVMUWDUWSVULVUHUUIUWSVULVUJYPYQUYNVVLVVMUWDVULVUJUUJCUUKUUN
      UULPVUGVVLVVMUWDVVJUUMVUGVUTUXNVUANVVMUXNLVVHVVIVUHVUAUXNVUJUUOPUUPUCUDGG
      UYTVULUXNUXIUUQUURYRUUSUUTYSUVDYTUVAUVBUCUDUBGGUVQUXIUVCUVEUWOUVQUXIUVFUV
      GUVHUVQUWOGUVIUVJYRYTYSUVNUVKUVLUVM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Axiom of Choice equivalents
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CHOICE $.

  $( Wff for an abbreviation of the axiom of choice. $)
  wac $a wff CHOICE $.

  ${
    $d f x $.
    $( The expression ` CHOICE ` will be used as a readable shorthand for any
       form of the axiom of choice; all concrete forms are long, cryptic, have
       dummy variables, or all three, making it useful to have a short name.
       Similar to the Axiom of Choice (first form) of [Enderton] p. 49.

       There is a slight problem with taking the exact form of ~ ax-ac as our
       definition, because the equivalence to more standard forms ( ~ dfac2 )
       requires the Axiom of Regularity, which we often try to avoid.  Thus, we
       take the first of the "textbook forms" as the definition and derive the
       form of ~ ax-ac itself as ~ dfac0 .  (Contributed by Mario Carneiro,
       22-Feb-2015.) $)
    df-ac $a |- ( CHOICE <-> A. x E. f ( f C_ x /\ f Fn dom x ) ) $.
  $}

  ${
    $d x y z w v u t h $.
    $( Equivalence of two versions of the Axiom of Choice ~ ax-ac .  The proof
       uses neither AC nor the Axiom of Regularity.  The right-hand side
       expresses our AC with the fewest number of different variables.
       (Contributed by NM, 5-Apr-2004.) $)
    aceq1 $p |- ( E. y A. z e. x A. w e. z E! v e. z E. u e. y
                      ( z e. u /\ v e. u ) <->
                  E. y A. z A. w ( ( z e. w /\ w e. x ) -> E. x A. z ( E. x
            ( ( z e. w /\ w e. x ) /\ ( z e. x /\ x e. y ) ) <-> z = x ) ) ) $=
      ( vt vh wel wa cv wrex wreu wral wex weq wal wi elequ1 3bitr4i wb rexbidv
      biidd cbvralvw anbi2d ralbii bitri anbi1d reueqd raleqbi1dv 19.21v impexp
      cbvreuvw exbii bi2.04 albii df-reu 19.42v an42 anass bitr3i df-rex elequ2
      weu eu6 anbi12d cbvexvw anbi2i bibi1i imbi2i df-ral nfa1 nfex nfim imbi1d
      nfv cbvalv1 alcom 3bitr4ri ) CFIZEFIZJZFBKZLZECKZMZDWENZCAKZNZBODFIZVTJZF
      WCLZCDKZMZGWMNZDWHNZBOCDIZDAIZJZWSCAIZABIZJJZAOZCAPZUAZCQZAOZRZDQCQZBOWIW
      PBHFIZWAJZFWCLZEHKZMZDXMNZHWHNXJVTJZFWCLZCXMMZGXMNZHWHNWIWPXOXSHWHXOXNGXM
      NXSXNXNDGXMDGPXNUCUDXNXRGXMXLXQECXMECPZXKXPFWCXTWAVTXJECFSUEUBUMUFUGUFWGX
      OCHWHWFXNDWEXMWDXLEWEXMCHPZWBXKFWCYAVTXJWACHFSUHUBUIUJUDWOXSDHWHWNXRGWMXM
      WLXQCWMXMDHPZWKXPFWCYBWJXJVTDHFSUHUBUIUJUDTUNWPXIBXHCQZDQWRWORZDQXIWPYCYD
      DWRWQXGRZRZCQWRYECQZRYCYDWRYECUKXHYFCXHWQWRXGRRYFWQWRXGULWQWRXGUOUGUPWOYG
      WRGDIZWNRZGQYHXGRZGQWOYGYIYJGWNXGYHWQWLJZCVDYKXDUAZCQZAOWNXGYKCAVEWLCWMUQ
      XFYMAXEYLCXCYKXDWQXAWRWTJZJZJZAOWQYOAOZJXCYKWQYOAURXBYPAXBWQXAJYNJYPWQXAW
      RWTUSWQXAYNUTVAUNWLYQWQWLFBIZWKJZFOYQWKFWCVBYSYOFAFAPZYRXAWKYNFABSYTWJWRV
      TWTFADVCFACVCVFVFVGUGVHTVIUPUNTVJUPWNGWMVKYEYJCGYEGVPYHXGCYHCVPXFCAXECVLV
      MVNCGPWQYHXGCGDSVOVQTVJTUPXHCDVRWODWHVKVSUNUG $.
  $}

  ${
    $d x y z w v u t $.
    $( Equivalence of two versions of the Axiom of Choice.  The proof uses
       neither AC nor the Axiom of Regularity.  The right-hand side is our
       original ~ ax-ac .  (Contributed by NM, 5-Apr-2004.) $)
    aceq0 $p |- ( E. y A. z e. x A. w e. z E! v e. z E. u e. y
                      ( z e. u /\ v e. u ) <->
                  E. y A. z A. w ( ( z e. w /\ w e. x ) -> E. v A. u
     ( E. t ( ( u e. w /\ w e. t ) /\ ( u e. t /\ t e. y ) ) <-> u = v ) ) ) $=
      ( wel wa cv wral wex weq wb wal wi elequ2 elequ1 anbi12d cbvexvw equequ2
      wrex wreu aceq1 bibi2d anbi2d bibi1i bitrdi albidv anbi1d equequ1 bibi12d
      exbidv cbvalvw imbi2i 2albii exbii bitr4i ) CFHEFHIFBJUBECJZUCDUSKCAJKBLC
      DHZDAHZIZVBCAHZABHZIZIZALZCAMZNZCOZALZPZDOCOZBLVBFDHZDGHZIZFGHZGBHZIZIZGL
      ZFEMZNZFOZELZPZDOCOZBLABCDEFUDWGVMBWFVLCDWEVKVBWDVJEAEAMZWDVNVAIZFAHZVDIZ
      IZALZFAMZNZFOVJWHWCWOFWHWCWAWNNWOWHWBWNWAEAFUAUEWAWMWNVTWLGAGAMZVPWIVSWKW
      PVOVAVNGADQUFWPVQWJVRVDGAFQGABRSSTUGUHUIWOVIFCFCMZWMVGWNVHWQWLVFAWQWIVBWK
      VEWQVNUTVAFCDRUJWQWJVCVDFCARUJSUMFCAUKULUNUHTUOUPUQUR $.
  $}

  ${
    $d x y z w v u t $.
    $( Equivalence of two versions of the Axiom of Choice.  The proof uses
       neither AC nor the Axiom of Regularity.  (Contributed by NM,
       5-Apr-2004.) $)
    aceq2 $p |- ( E. y A. z e. x A. w e. z E! v e. z E. u e. y
                     ( z e. u /\ v e. u ) <->
                  E. y A. z e. x ( z =/= (/) -> E! w e. z E. v e. y
                      ( z e. v /\ w e. v ) ) ) $=
      ( vt wel wa cv wrex wreu wral c0 wne wi wex bitri weq elequ2 df-ral biidd
      19.23v cbvralvw n0 anbi12d cbvrexvw reubii elequ1 anbi2d rexbidv cbvreuvw
      wal imbi12i 3bitr4i ralbii exbii ) CFHZEFHZIZFBJZKZECJZLZDVCMZCAJZMVCNOZC
      EHZDEHZIZEVAKZDVCLZPZCVFMBVEVMCVFVDGVCMZGCHZGQZVDPZVEVMVNVOVDPGUMVQVDGVCU
      AVOVDGUCRVDVDDGVCDGSVDUBUDVGVPVLVDGVCUEVLURDFHZIZFVAKZDVCLVDVKVTDVCVJVSEF
      VAEFSVHURVIVREFCTEFDTUFUGUHVTVBDEVCDESZVSUTFVAWAVRUSURDEFUIUJUKULRUNUOUPU
      Q $.
  $}

  ${
    $d x y z w u h g f $.  $d h g F $.
    aceq3lem.1 $e |- F = ( w e. dom y |-> ( f ` { u | w y u } ) ) $.
    $( Lemma for ~ dfac3 .  (Contributed by NM, 2-Apr-2004.)  (Revised by Mario
       Carneiro, 26-Jun-2015.) $)
    aceq3lem $p |- ( A. x E. f A. z e. x ( z =/= (/) -> ( f ` z ) e. z ) ->
                                             E. f ( f C_ y /\ f Fn dom y ) ) $=
      ( vg vh cv c0 wcel wi wex wss wfn wa wceq wbr wne cfv wal cdm crn cpw vex
      wral rnex pwex raleq exbidv spcv copab cmpt df-mpt eqtri eldm abn0 bitr4i
      cab brelrn abssi elpwi2 neeq1 fveq2 id eleq12d imbi12d rspcv ax-mp syl5bi
      cvv imp fvex breq2 cbvabv elab2 sylib syl5ibrcom expimpd ssopab2dv opabss
      sstrdi eqsstrid fnmpti ssex adantr sseq1 fneq1 anbi12d spcegv sylancl syl
      mpcom exlimiv cbvexvw ) CKZLUAZWRFKZUBZWRMZNZCAKZUHZFOZAUCZIKZBKZPZXHXIUD
      ZQZRZIOZWTXIPZWTXKQZRZFOXGXCCXIUEZUFZUHZFOZXNXFYAAXSXRXIBUGZUIZUJXDXSSXEX
      TFXCCXDXSUKULUMXTXNFXTGXIPZGXKQZXNXTGDKZXKMZJKZYFEKZXITZEVAZWTUBZSZRZDJUN
      ZXIGDXKYLUOYOHDJXKYLUPUQXTYOYFYHXITZDJUNXIXTYNYPDJXTYGYMYPXTYGRZYPYMYFYLX
      ITZYQYLYKMZYRXTYGYSYGYKLUAZXTYSYGYJEOYTEYFXIDUGZURYJEUSUTYKXSMXTYTYSNZNYK
      XRVMYCYJEXRYFYIXIUUAEUGVBVCVDXCUUBCYKXSWRYKSZWSYTXBYSWRYKLVEUUCXAYLWRYKWR
      YKWTVFUUCVGVHVIVJVKVLVNYFWRXITZYRCYLYKYKWTVOZWRYLYFXIVPYJUUDECYIWRYFXIVPV
      QVRVSYHYLYFXIVPVTWAWBDJXIWCWDWEDXKYLGUUEHWFGVMMZYDYERZXNYDUUFYEGXIYBWGWHX
      MUUGIGVMXHGSXJYDXLYEXHGXIWIXKXHGWJWKWLWOWMWPWNXMXQIFXHWTSXJXOXLXPXHWTXIWI
      XKXHWTWJWKWQVS $.
  $}

  ${
    $d f x y z w v u $.
    $( Equivalence of two versions of the Axiom of Choice.  The left-hand side
       is defined as the Axiom of Choice (first form) of [Enderton] p. 49.  The
       right-hand side is the Axiom of Choice of [TakeutiZaring] p. 83.  The
       proof does not depend on AC. (Contributed by NM, 24-Mar-2004.)  (Revised
       by Stefan O'Rear, 22-Feb-2015.) $)
    dfac3 $p |- ( CHOICE <->
             A. x E. f A. z e. x ( z =/= (/) -> ( f ` z ) e. z ) ) $=
      ( vy vw vv vu cv wss cdm wfn wa wex wal cfv wcel wel vex wceq cab wac wne
      c0 wral df-ac copab cuni cxp vuniex xpex simpl elunii ancoms jca ssopab2i
      wi df-xp sseqtrri ssexi sseq2 dmeq fneq2d anbi12d exbidv spcv csn cima wb
      fndm dmopab eleq2i weq elequ1 eleq2 elab 19.42v n0 anbi2i 3bitrri bitr4id
      bitr4i syl adantl fnfun funfvima3 sylan2 sylbid imp wbr cvv imasng anbi2d
      wfun elv eqid brab abbii eqtri ibar abbi2dv eqtr4id eleq2d ad2antrl mpbid
      exp32 ralrimiv eximi alrimiv cmpt aceq3lem impbii bitri ) UACHZDHZIZXMXNJ
      ZKZLZCMZDNZBHZUCUBZYAXMOZYAPZUPZBAHZUDZCMZANZDCUEXTYIXTYHAXTXMEAQZFEQZLZE
      FUFZIZXMYMJZKZLZCMZYHXSYRDYMYMYFYFUGZUHZYFYSARAUIUJYMYJFHZYSPZLZEFUFYTYLU
      UCEFYLYJUUBYJYKUKYKYJUUBUUAEHZYFULUMUNUOEFYFYSUQURUSXNYMSZXRYQCUUEXOYNXQY
      PXNYMXMUTUUEXPYOXMXNYMVAVBVCVDVEYQYGCYQYEBYFYQBAQZYBYDYQUUFYBLZLYCYMYAVFV
      GZPZYDYQUUGUUIYQUUGYAXMJZPZUUIYPUUGUUKVHZYNYPUUJYOSZUULYOXMVIUUMUUGYAYOPZ
      UUKUUNYAYLFMZETZPUUFFBQZLZFMZUUGYOUUPYAYLEFVJVKUUOUUSEYABRZEBVLZYLUURFUVA
      YJUUFYKUUQEBAVMUUDYAUUAVNVCZVDVOUUSUUFUUQFMZLUUGUUFUUQFVPYBUVCUUFFYAVQVRW
      AVSUUJYOYAVNVTWBWCYPYNXMWMZUUKUUIUPZYOXMWDUVDYNUVEYAXMYMWEUMWFWGWHUUFUUIY
      DVHYQYBUUFUUHYAYCUUFUUHUUFGBQZLZGTZYAUUHYAGHZYMWIZGTZUVHUUHUVKSBGYAWJYMWK
      WNUVJUVGGYLUURUVGEFYAUVIYMUUTGRUVBFGVLUUQUVFUUFFGBVMWLYMWOWPWQWRUUFUVGGYA
      UUFUVFWSWTXAXBXCXDXEXFXGWBXHYIXSDADBEGCEXPUUDUVIXNWIGTXMOXIZUVLWOXJXHXKXL
      $.
  $}

  ${
    $d f x z y w $.
    $( Equivalence of two versions of the Axiom of Choice.  The right-hand side
       is Axiom AC of [BellMachover] p. 488.  The proof does not depend on AC.
       (Contributed by NM, 24-Mar-2004.)  (Revised by Mario Carneiro,
       26-Jun-2015.) $)
    dfac4 $p |- ( CHOICE <->
         A. x E. f ( f Fn x /\ A. z e. x ( z =/= (/) -> ( f ` z ) e. z ) ) ) $=
      ( vy vw cv c0 cfv wcel wi wral wex wal wfn wceq fveq1 eleq1d imbi2d cvv
      wa wac wne dfac3 ralbidv cbvexvw cmpt fvex eqid fnmpti fveq2 fvmpt anbi2i
      ralbiia mpbiran crn csn cun fvrn0 rgenw fmpt mpbi vex rnex p0ex unex fex2
      mp3an fneq1 anbi12d spcev sylbir exlimiv sylbi exsimpr impbii albii bitri
      wf ) UABFZGUBZVSCFZHZVSIZJZBAFZKZCLZAMWAWENZWFTZCLZAMABCUCWGWJAWGWJWGVTVS
      DFZHZVSIZJZBWEKZDLWJWFWOCDWAWKOZWDWNBWEWPWCWMVTWPWBWLVSVSWAWKPQRUDUEWOWJD
      WOEWEEFZWKHZUFZWENZVTVSWSHZVSIZJZBWEKZTZWJXEWTWOEWEWRWSWQWKUGWSUHZUIXDWOW
      TXCWNBWEVSWEIZXBWMVTXGXAWLVSEVSWRWLWEWSWQVSWKUJXFVSWKUGUKQRUMULUNWIXECWSW
      EWKUOZGUPZUQZWSVRZWESIXJSIWSSIWRXJIZEWEKXKXLEWEWKWQURUSEWEXJWRWSXFUTVAAVB
      XHXIWKDVBVCVDVEWEXJWSSSVFVGWAWSOZWHWTWFXDWEWAWSVHXMWDXCBWEXMWCXBVTXMWBXAV
      SVSWAWSPQRUDVIVJVKVLVMWHWFCVNVOVPVQ $.
  $}

  ${
    $d v w y g t $.
    $( Lemma for ~ dfac5 .  (Contributed by NM, 12-Apr-2004.) $)
    dfac5lem1 $p |- ( E! v v e. ( ( { w } X. w ) i^i y ) <->
                      E! g ( g e. w /\ <. w , g >. e. y ) ) $=
      ( vt cv csn cxp wcel weu cop wceq wa wex bitri anbi1i anbi12i ancom exbii
      3bitri cin elin elxp excom 19.41vv eleq1 pm5.32i velsn anass opeq1 eqeq2d
      an32 an4 eleq1d anbi2d anbi12d equsexvw bitr3i eubii vex euop2 ) CFZBFZGZ
      VCHZAFZUAIZCJVBVCDFZKZLZVHVCIZVIVFIZMZMZDNZCJVMDJVGVOCVGVBVEIZVBVFIZMVBEF
      ZVHKZLZVRVDIZVKMZMZENDNZVQMZVOVBVEVFUBVPWDVQVPWCDNENWDEDVBVDVCUCWCEDUDOPW
      EWCVQMZENZDNVOWCVQDEUEWGVNDWGVRVCLZVTVKVSVFIZMZMZMZENVNWFWLEWFVTVQMZWBMVT
      WIMZWHVKMZMZWLVTWBVQULWMWNWBWOVTVQWIVBVSVFUFUGWAWHVKEVCUHPQWPVTWHMZWIVKMZ
      MWHVTMZWJMWLVTWIWHVKUMWQWSWRWJVTWHRWIVKRQWHVTWJUITTSWKVNEBWHVTVJWJVMWHVSV
      IVBVRVCVHUJZUKWHWIVLVKWHVSVIVFWTUNUOUPUQOSURTUSVMCDVCBUTVAO $.
  $}

  ${
    $d f x z y w v u t h g $.  $d z w f g B $.  $d x y z w g A $.
    dfac5lem.1 $e |- A =
                       { u | ( u =/= (/) /\ E. t e. h u = ( { t } X. t ) ) } $.
    $( Lemma for ~ dfac5 .  (Contributed by NM, 12-Apr-2004.) $)
    dfac5lem2 $p |- ( <. w , g >. e. U. A <-> ( w e. h /\ g e. w ) ) $=
      ( cv cuni wcel wceq wrex wa wel wex exbii 3bitri anbi2i vex bitri cop wne
      c0 csn cxp cab unieqi eleq2i eluniab r19.42v bitr2i rexcom4 df-rex bitr3i
      anass ancom ne0i pm4.71i bitr4i snex xpex eleq2 ceqsexv opelxp velsn an12
      equcom anbi1i elequ1 anbi12d ) AHZEHZUAZDIZJVMBHZUCUBZVOCHZUDZVQUEZKZCFHZ
      LZMZBUFZIZJZCFNZVMVOJZVPMZVTMZBOZMZCOZAFNZEANZMZVNWEVMDWDGUGUHWFWHWCMZBOW
      JCWALZBOZWMWCBVMUIWQWRBWRWIWBMWQWIVTCWAUJWHVPWBUOUKPWSWKCWALWMWJCBWAULWKC
      WAUMUNQWMVQVKKZWGECNZMZMZCOWPWLXCCWLWGVMVSJZMWGWTXAMZMXCWKXDWGWKVTWHMZBOX
      DWJXFBWJVTWIMXFWIVTUPWHWIVTWHVPVOVMUQURRUSPWHXDBVSVRVQVQUTCSVAVOVSVMVBVCT
      RXDXEWGXDVKVRJZXAMXEVKVLVRVQVDXGWTXAXGVKVQKWTAVQVEACVGTVHTRWGWTXAVFQPXBWP
      CVKASWTWGWNXAWOCAFVIVQVKVLVBVJVCTQ $.

    $( Lemma for ~ dfac5 .  (Contributed by NM, 12-Apr-2004.) $)
    dfac5lem3 $p |- ( ( { w } X. w ) e. A <-> ( w =/= (/) /\ w e. h ) ) $=
      ( cv csn cxp c0 wne wceq wrex wa wcel vex xpeq2 crn rneq snnz neeq1 eqeq1
      cab snex xpex rexbidv anbi12d elab eleq2i xp0 eqtrdi ax-mp 3eqtr3g impbii
      rnxp rn0 necon3bii wex df-rex sneq xpeq1d eqtrd equcom bitri exbii elequ1
      anbi1ci equsexvw 3bitrri anbi12i 3bitr4i ) AGZHZVLIZBGZJKZVOCGZHZVQIZLZCE
      GZMZNZBUCZOVNJKZVNVSLZCWAMZNZVNDOVLJKZVLWAOZNWCWHBVNVMVLVLUDAPZUEVOVNLZVP
      WEWBWGVOVNJUAWLVTWFCWAVOVNVSUBUFUGUHDWDVNFUIWIWEWJWGVLJVNJVLJLZVNJLZWMVNV
      MJIJVLJVMQVMUJUKWNVNRZJRVLJVNJSVMJKWOVLLVLWKTVMVLUOULZUPUMUNUQWGVQWAOZWFN
      ZCURVQVLLZWQNZCURWJWFCWAUSWRWTCWFWSWQWFVLVQLZWSWFXAWFWOVSRZVLVQVNVSSWPVRJ
      KXBVQLVQCPTVRVQUOULUMXAVNVRVLIVSXAVMVRVLVLVQUTVAVLVQVRQVBUNACVCVDVGVEWQWJ
      CACAEVFVHVIVJVK $.

    ${
      dfac5lem.2 $e |- B = ( U. A i^i y ) $.
      dfac5lem.3 $e |- ( ph <-> A. x ( ( A. z e. x z =/= (/) /\
             A. z e. x A. w e. x ( z =/= w -> ( z i^i w ) = (/) ) ) ->
            E. y A. z e. x E! v v e. ( z i^i y ) ) ) $.
      $( Lemma for ~ dfac5 .  (Contributed by NM, 11-Apr-2004.) $)
      dfac5lem4 $p |- ( ph -> E. y A. z e. A E! v v e. ( z i^i y ) ) $=
        ( cv wral wceq wcel wex wa vg c0 wne cin weu csn cxp wrex cab vex neeq1
        wi weq eqeq1 rexbidv anbi12d elab simplbi eleq2s wel wn wal df-an elab2
        rgen sneq xpeq1d xpeq2 eqtrd eqeq2d cbvrexvw sylib cop eleq2 elxp excom
        simprbi bitri bi2anan9 exdistrv bitr4di biimpac sylan2b adantrr exlimiv
        bitrdi velsn opeq1 sylan9req syl exlimivv syl6bi syl6 eqeq12 sylibrd ex
        opth1 rexlimivw rexlimdvw syl2an syl5bir necon1ad alrimdv disj1 syl6ibr
        imp rgen2 cvv cuni cpw vuniex xpex pwex wss elssuni xpss12 syl2anc snex
        snssi sylibr eleq1 syl5ibrcom rexlimiv adantl abssi ssexi eqeltri raleq
        elpw raleqbi1dv exbidv imbi12d spcv sylbi mp2ani ) ADOZUBUCZDIPZYPEOZUC
        ZYPYSUDUBQZULZEIPZDIPZFOZYPCOZUDRFUEZDIPZCSZYQDIYQYPGOZUBUCZUUJHOZUFZUU
        LUGZQZHKOZUHZTZGUIZIYPUUSRYQYPUUNQZHUUPUHZUURYQUVATZGYPDUJZGDUMZUUKYQUU
        QUVAUUJYPUBUKUVDUUOUUTHUUPUUJYPUUNUNUOUPZUQURLUSVEUUBDEIIYPIRZYSIRZTZYT
        BDUTZBEUTZVAULZBVBUUAUVHYTUVKBUVHUVKYPYSUVKVAUVIUVJTZUVHDEUMZUVIUVJVCUV
        FUVAYSUAOZUFZUVNUGZQZUAUUPUHZUVLUVMULZUVGUVFYQUVAUURUVBGYPIUVCUVELVDVQU
        VGYSUUNQZHUUPUHZUVRUVGYSUBUCZUWAUURUWBUWATGYSIEUJGEUMZUUKUWBUUQUWAUUJYS
        UBUKUWCUUOUVTHUUPUUJYSUUNUNUOUPLVDVQUVTUVQHUAUUPHUAUMZUUNUVPYSUWDUUNUVO
        UULUGUVPUWDUUMUVOUULUULUVNVFVGUULUVNUVOVHVIZVJVKVLUVAUVRUVSUVAUVQUVSUAU
        UPUUTUVQUVSULHUUPUUTUVQUVSUUTUVQTZUVLUUNUVPQZUVMUWFUVLUWDUWGUWFUVLBOZUU
        JUUEVMZQZUUJUUMRZFHUTZTTZGSZUWHUUJUUFVMZQZUUJUVORZCUAUTZTTZGSZTZCSFSZUW
        DUWFUVLUWNFSZUWTCSZTUXBUUTUVIUXCUVQUVJUXDUUTUVIUWHUUNRZUXCYPUUNUWHVNUXE
        UWMFSGSUXCGFUWHUUMUULVOUWMGFVPVRWFUVQUVJUWHUVPRZUXDYSUVPUWHVNUXFUWSCSGS
        UXDGCUWHUVOUVNVOUWSGCVPVRWFVSUWNUWTFCVTWAUXAUWDFCUXAUULUUEVMZUVNUUFVMZQ
        UWDUWNUWTUXGUWHUXHUWMUWHUXGQZGUWJUWKUXIUWLUWKUWJGHUMZUXIGUULWGUXJUWJUXI
        UXJUWIUXGUWHUUJUULUUEWHVJWBWCWDWEUWSUWHUXHQZGUWPUWQUXKUWRUWQUWPGUAUMZUX
        KGUVNWGUXLUWPUXKUXLUWOUXHUWHUUJUVNUUFWHVJWBWCWDWEWIUULUUEUVNUUFHUJZFUJW
        QWJWKWLUWEWMYPUUNYSUVPWNWOWPWRWSXFWTXAXBXCBYPYSXDXEXGAYQDUWHPZUUBEUWHPZ
        DUWHPZTZUUGDUWHPZCSZULZBVBYRUUDTZUUIULZNUXTUYBBIIUUSXHLUUSUUPUUPXIZUGZX
        JZUYDUUPUYCKUJKXKXLXMUURGUYEUUQUUJUYERZUUKUUOUYFHUUPHKUTZUYFUUOUUNUYERZ
        UYGUUNUYDXNZUYHUYGUUMUUPXNUULUYCXNUYIUULUUPXSUULUUPXOUUMUUPUULUYCXPXQUU
        NUYDUUMUULUULXRUXMXLYIXTUUJUUNUYEYAYBYCYDYEYFYGUWHIQZUXQUYAUXSUUIUYJUXN
        YRUXPUUDYQDUWHIYHUXOUUCDUWHIUUBEUWHIYHYJUPUYJUXRUUHCUUGDUWHIYHYKYLYMYNY
        O $.

      $( Lemma for ~ dfac5 .  (Contributed by NM, 12-Apr-2004.) $)
      dfac5lem5 $p |- ( ph ->
                            E. f A. w e. h ( w =/= (/) -> ( f ` w ) e. w ) ) $=
        ( vg cv wcel weu wa cin wral wex c0 wne cfv dfac5lem4 cop simpr a1i csn
        wi cxp wceq ineq1 eleq2d eubidv rspccv dfac5lem3 dfac5lem1 3imtr3g jcad
        cuni eleq2i elin dfac5lem2 anbi1i anass bitri 3bitri eubii euanv bitr2i
        syl6ib euex nfeu1 nfv simprbi simpld tz6.12 eleq1d biimparc exp32 mpcom
        nfim exlimi expcomd ralrimiv cvv vex inex2 eqeltri fveq1 imbi2d ralbidv
        syl6 spcev syl exlimiv ) AFQZDQZCQZUAZRZFSZDIUBZCUCEQZUDUEZXGKQZUFZXGRZ
        ULZELQZUBZKUCZABCDEFGHIJLMNOUGXFXOCXFXHXGJUFZXGRZULZEXMUBZXOXFXREXMXFXH
        XGXMRZXQXFXHXTTZXGPQZUHZJRZPSZXQXFYAXTYBXGRZYCXBRZTZPSZTZYEXFYAXTYIYAXT
        ULXFXHXTUIUJXFXGUKXGUMZIRWTYKXBUAZRZFSZYAYIXEYNDYKIXAYKUNZXDYMFYOXCYLWT
        XAYKXBUOUPUQUREGHILMUSCEFPUTVAVBYEXTYHTZPSYJYDYPPYDYCIVCZXBUAZRYCYQRZYG
        TZYPJYRYCNVDYCYQXBVEYTXTYFTZYGTYPYSUUAYGEGHIPLMVFVGXTYFYGVHVIVJZVKXTYHP
        VLVMVNYDPUCYEXQYDPVOYDYEXQULZPYEXQPYDPVPXQPVQWEYFYDUUCYDYFYGYDXTYHUUBVR
        VSYFYDYEXQYDYETZXQYFUUDXPYBXGPXGJVTWAWBWCWDWFWDWPWGWHXNXSKJJYRWINXBYQCW
        JWKWLXIJUNZXLXREXMUUEXKXQXHUUEXJXPXGXGXIJWMWAWNWOWQWRWSWR $.
    $}
  $}

  ${
    $d f x z y w v h u t $.
    $( Equivalence of two versions of the Axiom of Choice.  The right-hand side
       is Theorem 6M(4) of [Enderton] p. 151 and asserts that given a family of
       mutually disjoint nonempty sets, a set exists containing exactly one
       member from each set in the family.  The proof does not depend on AC.
       (Contributed by NM, 11-Apr-2004.)  (Revised by Mario Carneiro,
       17-May-2015.) $)
    dfac5 $p |- ( CHOICE <-> A. x ( ( A. z e. x z =/= (/) /\
           A. z e. x A. w e. x ( z =/= w -> ( z i^i w ) = (/) ) ) ->
          E. y A. z e. x E! v v e. ( z i^i y ) ) ) $=
      ( vf vt vh cv c0 wne wral cin wceq wi wa wcel wex wal weq wac weu wfn cfv
      vu dfac4 crn neeq1 cbvralvw anbi2i r19.26 bitr4i pm3.35 ancoms ralimi wel
      sylbi wb elin fvelrnb biimpac fveq2 id eleq12d neeq2 ineq2 eqeq1d imbi12d
      wrex anbi12d rspcv wn minel imim2d imp necon4ad eleq1 biimpar impel eqeq2
      eqcom bitrdi syl5ib ad2antrl exp32 syl6com com14 rexlimdv syl5 expd com4t
      mpd imp4b syl5bi sylan2br anassrs adantlr fnfvelrn expcom anim12d syl6ibr
      com13 imp31 syl5ibrcom adantr impbid alrimdv fvex bibi2d albidv spcev eu6
      sylibr syl6 ralimdva vex rnex eleq2d eubidv ralbidv exlimiv alimi csn cxp
      ex cab cuni eqid biid dfac5lem5 alrimiv dfac3 impbii ) UACIZJKZCAIZLZYNDI
      ZKZYNYRMZJNZOZDYPLZCYPLZPZEIZYNBIZMZQZEUBZCYPLZBRZOZASZUAFIZYPUCZYRJKZYRU
      UOUDZYRQZOZDYPLZPZFRZASUUNADFUFUVCUUMAUVBUUMFUVBUUEUUFYNUUOUGZMZQZEUBZCYP
      LZUULUUPUVAYQUUDUVHUUPUVAYQUUDUVHOZUVAYQPZUUSDYPLZUUPUVIUVJUUTUUQPZDYPLZU
      VKUVJUVAUUQDYPLZPUVMYQUVNUVAYOUUQCDYPYNYRJUHUIUJUUTUUQDYPUKULUVLUUSDYPUUQ
      UUTUUSUUQUUSUMUNUOUQUUPUVKUVIUUPUVKPZUUCUVGCYPUVOCAUPZPZUUCUVFUUFYNUUOUDZ
      NZURZESZUVGUVQUUCUVTEUVQUUCUVTUVQUUCPUVFUVSUVOUUCUVFUVSOZUVPUUPUVKUUCUWBU
      VKUUCPUUPUUSUUBPZDYPLZUWBUUSUUBDYPUKUVFECUPZUUFUVDQZPUUPUWDPUVSUUFYNUVDUS
      UUPUWDUWEUWFUVSUWEUWFUUPUWDUVSUWEUWFUUPUWDUVSOZUWFUUPPGIZUUOUDZUUFNZGYPVI
      ZUWEUWGUUPUWFUWKGYPUUFUUOUTVAUWEUWJUWGGYPUWDGAUPZUWJUWEUVSUWLUWDUWIUWHQZY
      NUWHKZYNUWHMZJNZOZPZUWJUWEUVSOOUWCUWRDUWHYPDGTZUUSUWMUUBUWQUWSUURUWIYRUWH
      YRUWHUUOVBUWSVCVDUWSYSUWNUUAUWPYRUWHYNVEUWSYTUWOJYRUWHYNVFVGVHVJVKUWRUWJU
      WEUVSUWRUWJUWEPZPCGTZUVSUWRUWIYNQZUXAUWTUWRUXBYNUWHUWMUWQUWNUXBVLZOUWMUWP
      UXCUWNUWMUWPUXCUWIUWHYNVMYEVNVOVPUWJUXBUWEUWIUUFYNVQVRVSUWJUXAUVSOUWRUWEU
      XAUVRUWINZUWJUVSYNUWHUUOVBUWJUXDUVRUUFNUVSUWIUUFUVRVTUVRUUFWAWBWCWDWLWEWF
      WGWHWIWJWKWMWNWOWPWQUVQUVSUVFOUUCUVQUVFUVSUVRUVEQZUUPUVKUVPUXEUVPUVKUUPUX
      EUVPUVKUUPUXEUVPUVKUUPPUVRYNQZUVRUVDQZPUXEUVPUVKUXFUUPUXGUUSUXFDYNYPDCTZU
      URUVRYRYNYRYNUUOVBUXHVCVDVKUUPUVPUXGYPYNUUOWRWSWTUVRYNUVDUSXAWJXBXCUUFUVR
      UVEVQXDXEXFYEXGUWAUVFEHTZURZESZHRUVGUXKUWAHUVRYNUUOXHHIZUVRNZUXJUVTEUXMUX
      IUVSUVFUXLUVRUUFVTXIXJXKUVFEHXLXMXNXOYEWIWJWMUUKUVHBUVDUUOFXPXQUUGUVDNZUU
      JUVGCYPUXNUUIUVFEUXNUUHUVEUUFUUGUVDYNVFXRXSXTXKXNYAYBUQUUNUUTDUXLLFRZHSUA
      UUNUXOHUUNABCDEUEGUEIZJKUXPUWHYCUWHYDNGUXLVIPUEYFZUXQYGUUGMZFHUXQYHUXRYHU
      UNYIYJYKHDFYLXMYM $.
  $}

  ${
    $d x z f y w v u $.
    $( Our Axiom of Choice (in the form of ~ ac3 ) implies the Axiom of Choice
       (first form) of [Enderton] p. 49.  The proof uses neither AC nor the
       Axiom of Regularity.  See ~ dfac2b for the converse (which does use the
       Axiom of Regularity).  (Contributed by NM, 5-Apr-2004.)  (Revised by
       Mario Carneiro, 26-Jun-2015.) $)
    dfac2a $p |- ( A. x E. y A. z e. x ( z =/= (/) -> E! w e. z E. v e. y
                      ( z e. v /\ w e. v ) ) -> CHOICE ) $=
      ( vf vu cv wel wa wrex wi wral wex wal cfv wcel cuni uniex cvv c0 wne wac
      wreu crab cmpt crio riotauni riotacl eqeltrrd wceq elequ2 rexbidv anbi12d
      elequ1 anbi1d rabbidva2 unieqd eqid vex rabex fvmpt eleq1d syl5ibr imim2d
      ralimia cpw wss ssrab2 elssuni sstrid unissd elpw2 sylibr fmpti pwex fex2
      wf mp3an fveq1 imbi2d ralbidv spcev syl exlimiv alimi dfac3 ) CHZUAUBZCEI
      ZDEIZJZEBHZKZDWHUDZLZCAHZMZBNZAOWIWHFHZPZWHQZLZCWQMZFNZAOUCWSXEAWRXEBWRWI
      WHGWQGEIZWKJZEWMKZDGHZUEZRZUFZPZWHQZLZCWQMZXEWPXOCWQCAIZWOXNWIWOXNXQWNDWH
      UEZRZWHQWOWNDWHUGXSWHWNDWHUHWNDWHUIUJXQXMXSWHGWHXKXSWQXLXIWHUKZXJXRXTXHWN
      DXIWHXTDGIDCIXHWNGCDULXTXGWLEWMXTXFWJWKGCEUOUPUMUNUQURXLUSZXRWNDWHCUTVASV
      BVCVDVEVFXDXPFXLWQWQRZRZVGZXLVRWQTQYDTQXLTQGWQYDXKXLYAGAIZXKYCVHXKYDQYEXJ
      YBYEXJXIYBXHDXIVIXIWQVJVKVLXKYCYBWQAUTZSSZVMVNVOYFYCYGVPWQYDXLTTVQVSWTXLU
      KZXCXOCWQYHXBXNWIYHXAXMWHWHWTXLVTVCWAWBWCWDWEWFACFWGVN $.

    $d f g u v w x y z $.
    $( Axiom of Choice (first form) of [Enderton] p. 49 implies our Axiom of
       Choice (in the form of ~ ac3 ).  The proof does not make use of AC. Note
       that the Axiom of Regularity is used by the proof.  Specifically,
       ~ elneq and ~ preleq that are referenced in the proof each make use of
       Regularity for their derivations.  (The reverse implication can be
       derived without using Regularity; see ~ dfac2a .)  (Contributed by NM,
       5-Apr-2004.)  (Revised by Mario Carneiro, 26-Jun-2015.)  (Revised by AV,
       16-Jun-2022.) $)
    dfac2b $p |- ( CHOICE -> A. x E. y A. z e. x ( z =/= (/) ->
        E! w e. z E. v e. y ( z e. v /\ w e. v ) ) ) $=
      ( vf vu vg cv c0 wcel wi wex wel wa wrex wceq weq vex eleq2 wac wral wreu
      wne cfv wal dfac3 cpr cab nfra1 wmo rsp equid neeq1 anbi12d rspcev mpanr2
      eqeq1 fveq2 preq1d preq2 eqtr2d anim2i reximi syl prex anbi2d elab sylibr
      rexbidv prid2 fvex prid1 pm3.2i sylancl eleq1 sylan2 ex syl8 impd pm2.43d
      spcev df-rex eleq1d bitrd imbi12d rspccv wb wn elneq neneqd neqne prel12g
      mp3an12i ancom bitr3di sylan9bbr adantrr pm5.32da preleq syl6bir biimparc
      cvv eqeq2d syl6 exp4c com13 com4r imp4a com3l rexlimiv sylbi expd exlimdv
      imp imp4b syl5bi expimpd alrimiv mo2icl jctird df-reu df-eu bitri syl6ibr
      weu ralrimi crn csn cun cpw rnex p0ex unex pwex ssun1 fvrn0 sselii elun2
      wss prssi sylancr syl5ibrcom adantld abssi reubidv imbi2d ralbidv exlimiv
      elpw ssexi rexeq alimi ) UACIZJUDZUUNFIZUEZUUNKZLZCAIZUBZFMZAUFUUOCENZDEN
      ZOZEBIZPZDUUNUCZLZCUUTUBZBMZAUFACFUGUVBUVKAUVAUVKFUVAUUOUVEEGIZJUDZHIZUVL
      UUPUEZUVLUHZQZOZGUUTPZHUIZPZDUUNUCZLZCUUTUBZUVKUVAUWCCUUTUUSCUUTUJUVACANZ
      UUOUWBUVAUWEUUOOZDCNZUWAOZDMZUWHDUKZOZUWBUVAUWFUWIUWJUVAUWFUWIUVAUWEUUOUW
      FUWILZUVAUWEUUOUURUWLUUSCUUTULUURUWFUWIUWFUURUVCUUQEIZKZOZEUVTPZUWIUWFUUQ
      UUNUHZUVTKZUUNUWQKZUUQUWQKZOZUWPUWFUVMUWQUVPQZOZGUUTPZUWRUWFUVMGCRZOZGUUT
      PZUXDUWEUUOCCRZUXGCUMUXFUUOUXHOGUUNUUTUXEUVMUUOUXEUXHUVLUUNJUNUVLUUNUUNUR
      UOUPUQUXFUXCGUUTUXEUXBUVMUXEUVPUUQUVLUHUWQUXEUVOUUQUVLUVLUUNUUPUSUTUVLUUN
      UUQVAVBVCVDVEUVSUXDHUWQUUQUUNVFUVNUWQQZUVRUXCGUUTUXIUVQUXBUVMUVNUWQUVPURV
      GVJVHVIUWSUWTUUQUUNCSZVKUUQUUNUUNUUPVLZVMVNUWOUXAEUWQUVTUWMUWQQUVCUWSUWNU
      WTUWMUWQUUNTUWMUWQUUQTUOUPVOUWHUURUWPODUUQUXKDIZUUQQZUWGUURUWAUWPUXLUUQUU
      NVPUXMUVEUWOEUVTUXMUVDUWNUVCUXLUUQUWMVPVGVJUOWBVQVRVSVTWAUVAUWHUXMLZDUFUW
      JUVAUXNDUVAUWGUWAUXMUWAUWMUVTKZUVEOZEMUVAUWGOZUXMUVEEUVTWCUXQUXPUXMEUVAUW
      GUXOUVEUXMUXOUWGUVAUVEUXMLZUXOUWGUVAUXRUXOUVMUWMUVPQZOZGUUTPZUWGUVAOZUXRL
      ZUVSUYAHUWMESHERZUVRUXTGUUTUYDUVQUXSUVMUVNUWMUVPURVGVJVHUXTUYCGUUTUYBGANZ
      UXTUXRUYBUYEUVMUXSUXRUWGUVAUYEUVMUXSUXRLZLLUVAUYEUVMUWGUYFUVAUYEUVMUVOUVL
      KZUWGUYFLUUSUVMUYGLCUVLUUTCGRZUUOUVMUURUYGUUNUVLJUNUYHUURUVOUUNKUYGUYHUUQ
      UVOUUNUUNUVLUUPUSZWDUUNUVLUVOTWEWFWGUXSUWGUYGUXRUXSUWGUYGUVEUXMUXSUWGUYGO
      ZUVEOZUXLUVOQZUYHOZUXMUXSUYKUYJUXLUUNUHUVPQZOUYMUXSUYJUYNUVEUXSUWGUYNUVEW
      HZUYGUWGUXSDCRWIZUYOUWGUXLUUNUXLUUNWJWKUYPUYNUXLUVPKZUUNUVPKZOZUXSUVEUXLX
      CKUUNXCKUYPUXLUUNUDUYNUYSWHDSUXJUXLUUNWLUXLUUNUVOUVLXCXCWMWNUXSUVDUVCOUYS
      UVEUXSUVDUYQUVCUYRUWMUVPUXLTUWMUVPUUNTUOUVDUVCWOWPWQVQWRWSUXLUUNUVOUVLUXJ
      WTXAUYHUXMUYLUYHUUQUVOUXLUYIXDXBXEXFXGVSXHXOXIXJXKXLXMXGXPXNXQXRXSUWHDUUQ
      XTVEYAUWBUWHDYFUWKUWADUUNYBUWHDYCYDYEXMYGUVJUWDBUVTUVTUUPYHZJYIZYJZUUTYJZ
      YKZVUCVUBUUTUYTVUAUUPFSYLYMYNASYNYOUVSHVUDUVRUVNVUDKZGUUTUYEUVQVUEUVMUYEV
      UEUVQUVPVUDKZUYEUVPVUCYTZVUFUYEUVOVUCKUVLVUCKVUGVUBVUCUVOVUBUUTYPUUPUVLYQ
      YRUVLUUTVUBYSUVOUVLVUCUUAUUBUVPVUCUVOUVLVFUUJVIUVNUVPVUDVPUUCUUDXKUUEUUKU
      VFUVTQZUVIUWCCUUTVUHUVHUWBUUOVUHUVGUWADUUNUVEEUVFUVTUULUUFUUGUUHWBVEUUIUU
      MXL $.

    $( Axiom of Choice (first form) of [Enderton] p. 49 corresponds to our
       Axiom of Choice (in the form of ~ ac3 ).  The proof does not make use of
       AC, but the Axiom of Regularity is used (by applying ~ dfac2b ).
       (Contributed by NM, 5-Apr-2004.)  (Revised by Mario Carneiro,
       26-Jun-2015.)  (Revised by AV, 16-Jun-2022.) $)
    dfac2 $p |- ( CHOICE <-> A. x E. y A. z e. x ( z =/= (/) ->
        E! w e. z E. v e. y ( z e. v /\ w e. v ) ) ) $=
      ( wac cv c0 wne wel wa wrex wreu wi wral wex wal dfac2b dfac2a impbii ) F
      CGZHICEJDEJKEBGLDUAMNCAGOBPAQABCDERABCDEST $.
  $}

  ${
    $d x z y w v u $.
    $( Equivalence of the Axiom of Choice (first form) of [Enderton] p. 49 and
       our Axiom of Choice (in the form of ~ ac2 ).  The proof does not depend
       on AC but does depend on the Axiom of Regularity.  (Contributed by Mario
       Carneiro, 17-May-2015.) $)
    dfac7 $p |- ( CHOICE <->
                  A. x E. y A. z e. x A. w e. z E! v e. z E. u e. y
                      ( z e. u /\ v e. u ) ) $=
      ( wac cv c0 wne wel wa wrex wreu wi wral wex wal dfac2 aceq2 albii bitr4i
      ) GCHZIJCEKDEKLEBHZMDUCNOCAHZPBQZARCFKEFKLFUDMEUCNDUCPCUEPBQZARABCDESUGUF
      AABCDEFTUAUB $.
  $}

  ${
    $d x y z w v u t $.
    $( Equivalence of two versions of the Axiom of Choice.  The proof uses the
       Axiom of Regularity.  The right-hand side is our original ~ ax-ac .
       (Contributed by Mario Carneiro, 17-May-2015.) $)
    dfac0 $p |- ( CHOICE <->
              A. x E. y A. z A. w ( ( z e. w /\ w e. x ) -> E. v A. u
     ( E. t ( ( u e. w /\ w e. t ) /\ ( u e. t /\ t e. y ) ) <-> u = v ) ) ) $=
      ( wac wel wa cv wrex wreu wral wex wal weq wb wi dfac7 aceq0 albii bitri
      ) HCFIEFIJFBKLECKZMDUDNCAKNBOZAPCDIDAIJFDIDGIJFGIGBIJJGOFEQRFPEOSDPCPBOZA
      PABCDEFTUEUFAABCDEFGUAUBUC $.
  $}

  ${
    $d x y z w v u $.
    $( Equivalence of two versions of the Axiom of Choice ~ ax-ac .  The proof
       uses the Axiom of Regularity.  The right-hand side expresses our AC with
       the fewest number of different variables.  (Contributed by Mario
       Carneiro, 17-May-2015.) $)
    dfac1 $p |- ( CHOICE <->
              A. x E. y A. z A. w ( ( z e. w /\ w e. x ) -> E. x A. z
     ( E. x ( ( z e. w /\ w e. x ) /\ ( z e. x /\ x e. y ) ) <-> z = x ) ) ) $=
      ( vu vv wac wel wa cv wrex wreu wral wex wal weq wb wi dfac7 aceq1 albii
      bitri ) GCEHFEHIEBJKFCJZLDUCMCAJMBNZAOCDHDAHIZUECAHABHIIANCAPQCOANRDOCOBN
      ZAOABCDFESUDUFAABCDFETUAUB $.
  $}

  ${
    $d f r x y z $.
    $( A proof of the equivalency of the well-ordering theorem ~ weth and the
       axiom of choice ~ ac7 .  (Contributed by Mario Carneiro, 5-Jan-2013.) $)
    dfac8 $p |- ( CHOICE <-> A. x E. r r We x ) $=
      ( vz vf vy wac cv c0 wcel wral wex wal wwe cvv vex wceq exbidv spcv mpsyl
      alrimiv wne cfv wi dfac3 ccrd cdm cpw vpwex dfac8a dfac8b syl cuni vuniex
      raleq weeq2 dfac8c impbii bitri ) FCGZHUAUSDGUBUSIUCZCEGZJZDKZELZAGZBGZMZ
      BKZALZECDUDVDVIVDVHAVDVEUEUFIZVHVENIVDUTCVEUGZJZDKZVJAOVCVMEVKAUHVAVKPVBV
      LDUTCVAVKUNQRCVENDUISBVEUJUKTVIVCEVANIVIVAULZVFMZBKZVCEOVHVPAVNEUMVEVNPVG
      VOBVEVNVFUOQRCVANDBUPSTUQUR $.
  $}

  ${
    $d f g s t x $.
    $( Equivalence of the axiom of choice with a statement related to ~ ac9 ;
       definition AC3 of [Schechter] p. 139.  (Contributed by Stefan O'Rear,
       22-Feb-2015.) $)
    dfac9 $p |- ( CHOICE <-> A. f ( ( Fun f /\ (/) e/ ran f ) ->
            X_ x e. dom f ( f ` x ) =/= (/) ) ) $=
      ( vt vg vs cv c0 wne cfv wcel wi wral wex cixp vex wceq imbi12d cvv ax-mp
      wa wac wal wfun crn wnel cdm dfac3 rnex exbidv spcv cmpt wn df-nel biimpi
      raleq ad2antlr fvelrn adantlr eleq1 syl5ibcom necon3bd mpd neeq1 fveq2 id
      eleq12d simplr rspcdva ralrimiva wb dmex mptelixpg sylibr ne0d ex exlimdv
      ad4ant14 syl5com alrimiv csn cdif cid cres fnresi neldifsn difexi resiexg
      wfn fnfun funeq rnresi eqtrdi eleq2d notbid syl5bb anbi12d dmresi ixpeq1d
      rneq fveq1 fvresi sylan9eq ixpeq2dva eqtrd neeq1d mp2ani n0 elixp eldifsn
      dmeq imbi1i impexp bitri ralbii2 cbvralvw simplbiim eximi sylbi impbii
      syl ) UACFZGHZYADFZIZYAJZKZCEFZLZDMZEUBZBFZUCZGYKUDZUEZTZAYKUFZAFZYKIZNZG
      HZKZBUBZECDUGYJUUBYJUUABYJYFCYMLZDMZYOYTYIUUDEYMYKBOZUHYGYMPYHUUCDYFCYGYM
      UOUIUJYOUUCYTDYOUUCYTYOUUCTZYSAYPYRYCIZUKZUUFUUGYRJZAYPLZUUHYSJZUUFUUIAYP
      UUFYQYPJZTZYRGHZUUIYOUULUUNUUCYOUULTZGYMJZULZUUNYNUUQYLUULYNUUQGYMUMZUNUP
      UUOUUPYRGUUOYRYMJZYRGPUUPYLUULUUSYNYQYKUQZURYRGYMUSUTVAVBURUUMYFUUNUUIKCY
      MYRYAYRPZYBUUNYEUUIYAYRGVCUVAYDUUGYAYRYAYRYCVDUVAVEVFQYOUUCUULVGYLUULUUSY
      NUUCUUTVQVHVBVIYPRJUUKUUJVJYKUUEVKAYPUUGYRRVLSVMVNVOVPVRVSUUBYIEUUBAYGGVT
      ZWAZYQNZGHZYIUUBWBUVCWCZUCZGUVCJZULZUVEUVFUVCWHUVGUVCWDUVCUVFWISGYGWEUUAU
      VGUVITZUVEKBUVFUVCRJUVFRJYGUVBEOWFUVCRWGSYKUVFPZYOUVJYTUVEUVKYLUVGYNUVIYK
      UVFWJYNUUQUVKUVIUURUVKUUPUVHUVKYMUVCGUVKYMUVFUDUVCYKUVFWSUVCWKWLWMWNWOWPU
      VKYSUVDGUVKYSAUVCYRNUVDUVKAYPUVCYRUVKYPUVFUFUVCYKUVFXJUVCWQWLWRUVKAUVCYRY
      QUVKYQUVCJZYRYQUVFIYQYQYKUVFWTUVCYQXAXBXCXDXEQUJXFUVEYCUVDJZDMYIDUVDXGUVM
      YHDUVMYCUVCWHYQYCIZYQJZAUVCLZYHAUVCYQYCDOXHUVPYHUVPYQGHZUVOKZAYGLYHUVOUVR
      AUVCYGUVLUVOKYQYGJZUVQTZUVOKUVSUVRKUVLUVTUVOYQYGGXIXKUVSUVQUVOXLXMXNUVRYF
      ACYGYQYAPZUVQYBUVOYEYQYAGVCUWAUVNYDYQYAYQYAYCVDUWAVEVFQXOXMUNXPXQXRXTVSXS
      XM $.
  $}

  ${
    $d x y $.
    $( Axiom of Choice equivalent: the cardinality function measures every set.
       (Contributed by Mario Carneiro, 6-May-2015.) $)
    dfac10 $p |- ( CHOICE <-> dom card = _V ) $=
      ( vx vy cv ccrd cdm wcel wal wwe wex cvv wceq wac ween albii eqv 3bitr4ri
      dfac8 ) ACZDEZFZAGRBCHBIZAGSJKLTUAARBMNASOABQP $.

    $( Axiom of Choice equivalent: every set is equinumerous to an ordinal.
       (Contributed by Stefan O'Rear, 17-Jan-2015.) $)
    dfac10c $p |- ( CHOICE <-> A. x E. y e. On y ~~ x ) $=
      ( wac ccrd cdm cvv wceq cv wcel wal cen wbr con0 wrex dfac10 isnum2 albii
      eqv 3bitri ) CDEZFGAHZTIZAJBHUAKLBMNZAJOATRUBUCABUAPQS $.

    $( Axiom of Choice equivalent: every set is equinumerous to an ordinal
       (quantifier-free short cryptic version alluded to in ~ df-ac ).
       (Contributed by Stefan O'Rear, 17-Jan-2015.) $)
    dfac10b $p |- ( CHOICE <-> ( ~~ " On ) = _V ) $=
      ( vy vx cv cen wbr con0 wrex wal cima wcel wac cvv vex elima bicomi albii
      wceq dfac10c eqv 3bitr4i ) ACBCZDEAFGZBHUADFIZJZBHKUCLQUBUDBUDUBAUADFBMNO
      PBARBUCST $.
  $}

  ${
    $d f g x y z $.  $d x A $.  $d x V $.
    $( A choice equivalent: every set has choice sets of every length.
       (Contributed by Mario Carneiro, 31-Aug-2015.) $)
    acacni $p |- ( ( CHOICE /\ A e. V ) -> AC_ A = _V ) $=
      ( vx wac wcel wa wacn cvv ccrd cdm simpr vex simpl dfac10 sylib eleqtrrid
      cv wceq numacn sylc a1i 2thd eqrdv ) DABEZFZCAGZHUECQZUFEZUGHEZUEUDUGIJZE
      UHDUDKUEUGHUJCLZUEDUJHRDUDMNOPABUGSTUIUEUKUAUBUC $.

    $( A choice equivalent: every set has choice sets of every length.
       (Contributed by Mario Carneiro, 31-Aug-2015.) $)
    dfacacn $p |- ( CHOICE <-> A. x AC_ x = _V ) $=
      ( vf vy vz vg wac cv wacn cvv wceq wal alrimiv wfn c0 cfv wcel wi wral wa
      wex acacni elvd wne csn cdif cuni vex difexi acneq eqeq1d spcv wss vuniex
      wf id eleqtrrid eldifi elssuni syl eldifsni rgen acni2 sylancl cmpt mptex
      simpr eldifsn imbi1i fveq2 eqid fvex fvmpt eleq1d pm5.74i 3bitr3i ralbii2
      jca impexp sylib crn fvrn0 rgenw fmpt mpbi ax-mp jctil fneq1 fveq1 imbi2d
      cun ffn ralbidv anbi12d spcegv mpsyl exlimiv 3syl dfac4 sylibr impbii ) F
      AGZHZIJZAKZFXCAFXCAXAIUAUBLXDBGZCGZMZDGZNUCZXHXEOZXHPZQZDXFRZSZBTZCKFXDXO
      CXDXFNUDZUEZHZIJZXQXFUFZEGZUNZXHYAOZXHPZDXQRZSZETZXOXCXSAXQXFXPCUGZUHXAXQ
      JXBXRIXAXQUIUJUKXSXTXRPXHXTULZXISZDXQRYGXSXTIXRCUMXSUOUPYJDXQXHXQPZYIXIYK
      XHXFPZYIXHXFXPUQZXHXFURUSXHXFNUTVQVADXQXHEXTVBVCYFXOEAXFXAYAOZVDZIPYFYOXF
      MZXIXHYOOZXHPZQZDXFRZSZXOAXFYNYHVEYFYTYPYFYEYTYBYEVFYDYSDXQXFYKYRQYLXISZY
      RQYKYDQYLYSQYKUUBYRXHXFNVGVHYKYRYDYKYQYCXHYKYLYQYCJYMAXHYNYCXFYOXAXHYAVIY
      OVJZXHYAVKVLUSVMVNYLXIYRVRVOVPVSXFYAVTXPWJZYOUNZYPYNUUDPZAXFRUUEUUFAXFYAX
      AWAWBAXFUUDYNYOUUCWCWDXFUUDYOWKWEWFXNUUABYOIXEYOJZXGYPXMYTXFXEYOWGUUGXLYS
      DXFUUGXKYRXIUUGXJYQXHXHXEYOWHVMWIWLWMWNWOWPWQLCDBWRWSWT $.

    $( The axiom of choice holds iff every set has choice sequences as long as
       itself.  (Contributed by Mario Carneiro, 3-Sep-2015.) $)
    dfac13 $p |- ( CHOICE <-> A. x x e. AC_ x ) $=
      ( vy vz wac cv wacn wcel wal cvv wceq acacni elvd eleqtrrid alrimiv vpwex
      vex cpw id acneq wbr eleq12d spcv ccrd cdm csdm wi canth2 sdomdom acndom2
      cdom mp2b acnnum sylib numacn mpsyl syl 2thd eqrdv dfacacn sylibr impbii
      a1i ) DAEZVCFZGZAHZDVEADVCIVDAPDVDIJAVCIKLMNVFBEZFZIJZBHDVFVIBVFCVHIVFCEZ
      VHGZVJIGZVFVJQZVMFZGZVKVEVOAVMCOVCVMJZVCVMVDVNVPRVCVMSUAUBVGIGVOVJUCUDGZV
      KBPVOVJVNGZVQVJVMUETVJVMUJTVOVRUFVJCPZUGVJVMUHVMVJVMUIUKVJULUMVGIVJUNUOUP
      VLVFVSVBUQURNBUSUTVA $.
  $}

  ${
    $d m n y z A $.  $d x y z C $.  $d m n x y z G $.  $d m n y z ph $.
    $d x y z F $.  $d y z H $.
    dfac12.1 $e |- ( ph -> A e. On ) $.
    dfac12.3 $e |- ( ph -> F : ~P ( har ` ( R1 ` A ) ) -1-1-> On ) $.
    dfac12.4 $e |- G = recs ( ( x e. _V |-> ( y e. ( R1 ` dom x ) |->
      if ( dom x = U. dom x , ( ( suc U. ran U. ran x .o ( rank ` y ) ) +o
          ( ( x ` suc ( rank ` y ) ) ` y ) ) , ( F `
            ( ( `' OrdIso ( _E , ran ( x ` U. dom x ) ) o.
              ( x ` U. dom x ) ) " y ) ) ) ) ) ) $.
    ${
      dfac12.5 $e |- ( ph -> C e. On ) $.
      dfac12.h $e |- H =
        ( `' OrdIso ( _E , ran ( G ` U. C ) ) o. ( G ` U. C ) ) $.
      $( Lemma for ~ dfac12 .  (Contributed by Mario Carneiro, 29-May-2015.) $)
      dfac12lem1 $p |- ( ph -> ( G ` C ) = ( y e. ( R1 ` C ) |->
      if ( C = U. C , ( ( suc U. ran U. ( G " C ) .o ( rank ` y ) ) +o
          ( ( G ` suc ( rank ` y ) ) ` y ) ) , ( F ` ( H " y ) ) ) ) ) $=
        ( cfv cr1 cuni wceq crn con0 wcel cres cvv cv cdm csuc crnk comu co coa
        cep coi ccnv ccom cima cif cmpt tfr2 syl wfun wfn fnfun ax-mp resfunexg
        tfr1 sylancr dmeq fveq2d unieqd eqeq12d rneq df-ima eqtr4di rneqd suceq
        oveq1d fveq1 fveq1d oveq12d id fveq12d cnveqd coeq12d imaeq1d ifbieq12d
        oieq2 mpteq12dv eqid fvex mptex fvmpt wss onss fnssres fndmd mpteq1d wa
        adantr ifbid rankr1ai ad2antlr simpr eleqtrd eloni ordsucuniel ad2antrr
        word 3syl mpbid fvresd oveq2d ifeq1da uniexg sucidg orduniorsuc orcanai
        wb wn wo eleqtrrd eqtrd ifeq2da 3eqtrd mpteq2dva ) AEGNZGEUAZBUBCBUCZUD
        ZONZYGYGPZQZYFRZPZRZPZUEZCUCZUFNZUGUHZYPYQUEZYFNZNZUIUHZYIYFNZRZUJUKZUL
        ZUUCUMZYPUNZFNZUOZUPZUPZNZCYEUDZONZUUNUUNPZQZGEUNZPZRZPZUEZYQUGUHZYPYSY
        ENZNZUIUHZUUPYENZRZUJUKZULZUVGUMZYPUNZFNZUOZUPZCEONZEEPZQZUVCYPYSGNZNZU
        IUHZHYPUNZFNZUOZUPZAESTZYDUUMQLEGUULKUQURAYEUBTZUUMUVOQAGUSZUWFUWGGSUTZ
        UWHGUULKVDZSGVAVBLGESVCVEBYEUUKUVOUBUULYFYEQZCYHUUJUUOUVNUWKYGUUNOYFYEV
        FZVGUWKYJUUQUUBUUIUVFUVMUWKYGUUNYIUUPUWLUWKYGUUNUWLVHZVIUWKYRUVCUUAUVEU
        IUWKYOUVBYQUGUWKYNUVAQYOUVBQUWKYMUUTUWKYLUUSUWKYKUURUWKYKYERUURYFYEVJGE
        VKVLVHVMVHYNUVAVNURVOUWKYPYTUVDYSYFYEVPVQVRUWKUUHUVLFUWKUUGUVKYPUWKUUFU
        VJUUCUVGUWKUUEUVIUWKUUDUVHQUUEUVIQUWKUUCUVGUWKYIUUPYFYEUWKVSUWMVTZVMUUD
        UVHUJWEURWAUWNWBWCVGWDWFUULWGCUUOUVNUUNOWHWIWJURAUVOCUVPUVNUPUWEACUUOUV
        PUVNAUUNEOAEYEAUWIESWKZYEEUTUWJAUWFUWOLEWLURSEGWMVEWNZVGWOACUVPUVNUWDAY
        PUVPTZWPZUVNUVRUVFUVMUOUVRUWAUVMUOUWDUWRUUQUVRUVFUVMUWRUUNEUUPUVQAUUNEQ
        UWQUWPWQZUWRUUNEUWSVHZVIWRUWRUVRUVFUWAUVMUWRUVRWPZUVEUVTUVCUIUXAYPUVDUV
        SUXAYSEGUXAYQUVQTZYSETZUXAYQEUVQUWQYQETAUVRYPEWSWTUWRUVRXAXBAUXBUXCXPZU
        WQUVRAUWFEXFZUXDLEXCZYQEXDXGXEXHXIVQXJXKUWRUVRUVMUWCUWAUWRUVRXQZWPZUVLU
        WBFUXHUVKHYPUXHUVKUVQGNZRZUJUKZULZUXIUMHUXHUVJUXLUVGUXIUXHUVIUXKUXHUVHU
        XJQUVIUXKQUXHUVGUXIUXHUVGUVQYENUXIUXHUUPUVQYEUWRUUPUVQQUXGUWTWQVGUXHUVQ
        EGUXHUVQUVQUEZEUXHUWFUVQUBTUVQUXMTAUWFUWQUXGLXEESXLUVQUBXMXGUWRUVREUXMQ
        ZUWRUWFUXEUVRUXNXRAUWFUWQLWQUXFEXNXGXOXSXIXTZVMUVHUXJUJWEURWAUXOWBMVLWC
        VGYAYBYCXTYB $.

      dfac12.6 $e |- ( ph -> C C_ A ) $.
      dfac12.8 $e |- ( ph -> A. z e. C ( G ` z ) : ( R1 ` z ) -1-1-> On ) $.
      $( Lemma for ~ dfac12 .  (Contributed by Mario Carneiro, 29-May-2015.) $)
      dfac12lem2 $p |- ( ph -> ( G ` C ) : ( R1 ` C ) -1-1-> On ) $=
        ( cfv con0 wceq wcel cr1 wf1 cuni cima crn csuc cv crnk comu co coa cif
        cmpt wa cvv wss wfun wfn cdm cep coi ccnv ccom tfr1 fnfun ax-mp sylancr
        funimaexg uniexg rnexg 3syl cxp cpw wral f1f fssxp ssv xpss1 sstr mpan2
        wf fvex elpw sylibr ralimi syl wb onss fndmi sseqtrrdi funimass4 mpbird
        sspwuni rnss sylc ad2antrr rankon fveq2 f1eq1 f1eq2 bitrd ad2antlr word
        eleqtrd rspcdva r1elwf rankidb ffvelrnd syl2anc wwe adantr eleqtrrd frn
        char wf1o 4syl cdom wbr cen sseldd endomtr ex iftrue eqeq12d adantl a1i
        f1of1 adantlrr wi anbi1d fveq2d eleq1d imbi12d adantlrl f1fveq syl12anc
        chvarvv 3bitrd iffalse elpwid sylib rnxpss sstrdi ssonuni suceloni omcl
        sylancl rankr1ai simpr eloni ordsucuniel mpbid oacl imassrn wiso sucidg
        wn rnex onuni orduniorsuc orcanai epweon wess mpisyl eqid isof1o f1ocnv
        oiiso f1f1orn f1co harcl onordi oion mp1i oien f1oen ensym r1ord2 mpsyl
        ssdomg elharval sylanbrc ordelss sstrd sstrid elpw2 ifclda wne onsucuni
        wo c0 nsuceq0 fnfvima mp3an2i elssuni f1fn fnfvelrn eleq1w anbi2d suceq
        fveq12d omopth2 syl222anc fveq1d eqeq2d ad2antll bitr3d expimpd impbid1
        biimpd jca imaeq2 simplrl r1suc eqtrd simplrr f1imaeq pm2.61dan dom2lem
        id dfac12lem1 ) AFUAQZRFHQZUBZUYBRCUYBFFUCZSZHFUDZUCZUEZUCZUFZCUGZUHQZU
        IUJZUYLUYMUFZHQZQZUKUJZIUYLUDZGQZULZUMZUBZACDUYBRVUAUYFUYKDUGZUHQZUIUJV
        UDVUEUFZHQZQZUKUJZIVUDUDZGQZULZAUYLUYBTZVUARTAVUMUNZUYFUYRUYTRVUNUYFUNZ
        UYNRTZUYQRTUYRRTVUOUYKRTZUYMRTZVUPAVUQVUMUYFAUYJRTZVUQAUYIUOTZUYIRUPZVU
        SAUYGUOTZUYHUOTVUTAHUQZFRTZVVBHRURZVVCHBUOCBUGZUSZUAQVVGVVGUCZSVVFUEUCU
        EUCUFUYMUIUJUYLUYOVVFQQUKUJVVHVVFQZUEUTVAVBVVIVCUYLUDGQULUMUMLVDZRHVEVF
        ZMHFRVHVGUYGUOVIUYHUOVJVKAUYIUORVLZUEZRAUYHVVLUPZUYIVVMUPAUYGVVLVMZUPZV
        VNAVVPVUDHQZVVOTZDFVNZAVUDUAQZRVVQUBZDFVNZVVSPVWAVVRDFVWAVVTRVVQWAVVQVV
        TRVLZUPZVVRVVTRVVQVOVVTRVVQVPVWDVVQVVLUPZVVRVWDVWCVVLUPZVWEVVTUOUPVWFVV
        TVQVVTUORVRVFVVQVWCVVLVSVTVVQVVLVUDHWBWCWDVKWEWFAVVCFHUSZUPVVPVVSWGVVKA
        FRVWGAVVDFRUPZMFWHWFZRHVVJWIWJDFVVOHWKVGWLUYGVVLWMUUAUYHVVLWNWFUORUUBUU
        CZUYIUOUUDWOUYJUUEWFZWPUYLWQZUYKUYMUUFUUGVUOUYOUAQZRUYLUYPVUOVWMRUYPUBZ
        VWMRUYPWAVUOVWAVWNDFUYOVUDUYOSZVWAVVTRUYPUBZVWNVWOVVQUYPSVWAVWPWGVUDUYO
        HWRVVTRVVQUYPWSWFVWOVVTVWMSVWPVWNWGVUDUYOUAWRVVTVWMRUYPWTWFXAAVWBVUMUYF
        PWPVUOUYMUYETZUYOFTZVUOUYMFUYEVUMUYMFTAUYFUYLFUUHXBVUNUYFUUIXDVUOFXCZVW
        QVWRWGAVWSVUMUYFAVVDVWSMFUUJWFZWPUYMFUUKWFUULZXEZVWMRUYPVOWFVUOUYLUARUD
        UCZTZUYLVWMTZVUMVXDAUYFUYLFXFXBUYLXGWFZXHUYNUYQUUMXIVUNUYFUUQZUNZEUAQZX
        NQZVMZRUYSGAVXKRGWAZVUMVXGAVXKRGUBZVXLKVXKRGVOWFWPVXHUYSVXJUPUYSVXKTZVX
        HUYSIUEZVXJIUYLUUNVXHVXOUYEHQZUEZUTVAZUSZVXJVXHUYEUAQZVXSIUBZVXTVXSIWAV
        XOVXSUPVXHVXTVXSVXRVBZVXPVCZUBZVYAVXHVXQVXSVYBUBZVXTVXQVXPUBZVYDVXHVXSV
        XQUTUTVXRUUOZVXSVXQVXRXOVXQVXSVYBXOVYEVXHVXQUOTZVXQUTXJZVYGVXPUYEHWBUUR
        ZVXHVXQRUPZRUTXJVYIVXHVXTRVXPUBZVXTRVXPWAVYKVXHVWAVYLDFUYEVUDUYESZVWAVV
        TRVXPUBZVYLVYMVVQVXPSVWAVYNWGVUDUYEHWRVVTRVVQVXPWSWFVYMVVTVXTSVYNVYLWGV
        UDUYEUAWRVVTVXTRVXPWTWFXAAVWBVUMVXGPWPVXHUYEUYEUFZFVXHVVDUYERTZUYEVYOTA
        VVDVUMVXGMWPZFUUSZUYERUUPVKVUNUYFFVYOSZVUNVWSUYFVYSUWJAVWSVUMVWTXKFUUTW
        FUVAZXLZXEZVXTRVXPVOVXTRVXPXMVKUVBVXQRUTUVCUVDZVXQUTVXRUOVXRUVEZUVHVGVX
        SVXQUTUTVXRUVFVXSVXQVXRUVGVXQVXSVYBYGXPVXHVYLVXTVXQVXPXOZVYFWUBVXTRVXPU
        VIZVXTVXQVXPYGVKVXTVXQVXSVYBVXPUVJXIIVYCSVYAVYDWGNVXTVXSIVYCWSVFWDZVXTV
        XSIVOVXTVXSIXMVKVXHVXJXCVXSVXJTZVXSVXJUPVXJVXIUVKUVLVXHVXSRTZVXSVXIXQXR
        ZWUHVYHWUIVXHVYJVXQUTVXRUOWUDUVMUVNVXHVXSVXQXSXRZVXQVXIXQXRZWUJVXHVYHVY
        IWUKVYJWUCVXQUTVXRUOWUDUVOVGVXHVXQVXTXSXRZVXTVXIXQXRZWULVXHVYLWUEVXTVXQ
        XSXRWUMWUBWUFVXTVXQVXPUYEUAWBUVPVXTVXQUVQXPVXIUOTVXHVXTVXIUPZWUNEUAWBVX
        HERTZUYEETWUOAWUPVUMVXGJWPVXHFEUYEAFEUPVUMVXGOWPWUAXTUYEEUVRWOVXTVXIUOU
        VTUVSVXQVXTVXIYAXIVXSVXQVXIYAXIVXIVXSUWAUWBVXJVXSUWCVGUWDUWEUYSVXJVXIXN
        WBUWFWDZXHUWGYBAVUMVUDUYBTZUNZVUAVULSZUYLVUDSZWGZAWUSUNZUYFWVBWVCUYFUNZ
        WUTUYRVUISZUYMVUESZUYQVUHSZUNZWVAUYFWUTWVEWGWVCUYFVUAUYRVULVUIUYFUYRUYT
        YCUYFVUIVUKYCYDYEWVDVUQUYKUWKUWHZVURUYQUYKTZVUERTZVUHUYKTZWVEWVHWGAVUQW
        USUYFVWKWPWVIWVDUYJUWLYFVURWVDVWLYFAVUMUYFWVJWURVUOUYIUYKUYQAUYIUYKUPZV
        UMUYFAVVAWVMVWJUYIUWIWFWPVUOUYPUEZUYIUYQVUOUYPUYGTZUYPUYHUPWVNUYIUPVVEV
        UOVWHVWRWVOVVJAVWHVUMUYFVWIWPVXARFHUYOUWMUWNUYPUYGUWOUYPUYHWNVKVUOUYPVW
        MURZVXEUYQWVNTVUOVWNWVPVXBVWMRUYPUWPWFVXFVWMUYLUYPUWQXIXTXTZYHWVKWVDVUD
        WQYFAWURUYFWVLVUMVUOWVJYIAWURUNZUYFUNZWVLYICDWVAVUOWVSWVJWVLWVAVUNWVRUY
        FWVAVUMWURACDUYBUWRUWSZYJWVAUYQVUHUYKWVAUYLVUDUYPVUGWVAUYOVUFHWVAWVFUYO
        VUFSZUYLVUDUHWRZUYMVUEUWTZWFYKWVAUXTUXAZYLYMWVQYQYNUYKUYMUYQVUEVUHUXBUX
        CWVDWVHWVAWVDWVFWVGWVAWVDWVFUNZWVGWVAWWEUYQVUDUYPQZSZWVGWVAWWEWWFVUHUYQ
        WWEVUDUYPVUGWWEUYOVUFHWVFWWAWVDWWCYEZYKUXDUXEWWEVWNVXEVUDVWMTWWGWVAWGWV
        DVWNWVFAVUMUYFVWNWURVXBYHXKWVDVXEWVFAVUMUYFVXEWURVXFYHXKWWEVUDVUFUAQZVW
        MWVCVUDWWITZUYFWVFWURWWJAVUMWURVUDVXCTWWJVUDFXFVUDXGWFUXFWPWWEUYOVUFUAW
        WHYKXLVWMRUYLVUDUYPYOYPUXGUXJUXHWVAWVFWVGWWBWWDUXKUXIYRWVCVXGUNZWUTUYTV
        UKSZUYSVUJSZWVAVXGWUTWWLWGWVCVXGVUAUYTVULVUKUYFUYRUYTYSUYFVUIVUKYSYDYEW
        WKVXMVXNVUJVXKTZWWLWWMWGAVXMWUSVXGKWPAVUMVXGVXNWURWUQYHAWURVXGWWNVUMVXH
        VXNYIWVRVXGUNZWWNYICDWVAVXHWWOVXNWWNWVAVUNWVRVXGWVTYJWVAUYSVUJVXKUYLVUD
        IUXLYLYMWUQYQYNVXKRUYSVUJGYOYPWWKVYAUYLVXTUPVUDVXTUPWWMWVAWGAVUMVXGVYAW
        URWUGYHWWKUYLVXTWWKUYLUYBVXTVMZAVUMWURVXGUXMAVUMVXGUYBWWPSWURVXHUYBVYOU
        AQZWWPVXHFVYOUAVYTYKVXHVVDVYPWWQWWPSVYQVYRUYEUXNVKUXOYHZXDYTWWKVUDVXTWW
        KVUDUYBWWPAVUMWURVXGUXPWWRXDYTVXTVXSUYLVUDIUXQYPYRUXRYBUXSAUYCVUBSUYDVU
        CWGABCEFGHIJKLMNUYAUYBRUYCVUBWSWFWL $.
    $}

    $( Lemma for ~ dfac12 .  (Contributed by Mario Carneiro, 29-May-2015.) $)
    dfac12lem3 $p |- ( ph -> ( R1 ` A ) e. dom card ) $=
      ( vn cr1 cfv wcel con0 wf1 wi wceq wb fveq2 syl ccrd cdm crn cvv wss fvex
      vm vz rnex wf ssid cv sseq1 f1eq1 f1eq2 bitrd imbi12d imbi2d wral r19.21v
      wa word eloni ad2antrl ordelss sylan simplrr sstrd pm5.5 ralbidva cep coi
      cuni ccnv ccom ad2antrr char simplrl eqid simpr cbvralvw sylib dfac12lem2
      cpw ex sylbid expr com23 expcom a2d syl5bi tfis3 mpi f1f frn 3syl onssnum
      mpcom sylancr wf1o cen wbr f1f1orn f1oen ennum mpbird ) ADKLZUAUBZMZDFLZU
      CZXHMZAXKUDMXKNUEZXLXJDFUFUIAXGNXJOZXGNXJUJXMADDUEZXNDUKDNMZAXOXNPZGAUGUL
      ZDUEZXRKLZNXRFLZOZPZPZAJULZDUEZYEKLZNYEFLZOZPZPZAXQPUGJDXRYEQZYCYJAYLXSYF
      YBYIXRYEDUMYLYBXTNYHOZYIYLYAYHQYBYMRXRYEFSXTNYAYHUNTYLXTYGQYMYIRXRYEKSXTY
      GNYHUOTUPUQURXRDQZYCXQAYNXSXOYBXNXRDDUMYNYBXTNXJOZXNYNYAXJQYBYORXRDFSXTNY
      AXJUNTYNXTXGQYOXNRXRDKSXTXGNXJUOTUPUQURYKJXRUSAYJJXRUSZPXRNMZYDAYJJXRUTYQ
      AYPYCAYQYPYCPAYQVAXSYPYBAYQXSYPYBPAYQXSVAZVAZYPYIJXRUSZYBYSYJYIJXRYSYEXRM
      ZVAZYFYJYIRUUBYEXRDYSXRVBZUUAYEXRUEYQUUCAXSXRVCVDXRYEVEVFAYQXSUUAVGVHYFYI
      VITVJYSYTYBYSYTVAZBCUHDXREFXRVMFLZUCVKVLVNUUEVOZAXPYRYTGVPAXGVQLWDNEOYRYT
      HVPIAYQXSYTVRUUFVSAYQXSYTVGUUDYTUHULZKLZNUUGFLZOZUHXRUSYSYTVTYIUUJJUHXRYE
      UUGQZYIYGNUUIOZUUJUUKYHUUIQYIUULRYEUUGFSYGNYHUUIUNTUUKYGUUHQUULUUJRYEUUGK
      SYGUUHNUUIUOTUPWAWBWCWEWFWGWHWIWJWKWLWRWMZXGNXJWNXGNXJWOWPXKUDWQWSAXGXKXJ
      WTZXGXKXAXBXIXLRAXNUUNUUMXGNXJXCTXGXKXJDKUFXDXGXKXEWPXF $.
  $}

  ${
    $d a b f x y z $.
    $( The axiom of choice holds iff every ordinal has a well-orderable
       powerset.  This version of ~ dfac12 does not assume the Axiom of
       Regularity.  (Contributed by Mario Carneiro, 29-May-2015.) $)
    dfac12r $p |- ( A. x e. On ~P x e. dom card <->
        U. ( R1 " On ) C_ dom card ) $=
      ( vy vz vf va vb cv wcel con0 cr1 cima cuni csuc cfv wceq crn comu co coa
      cmpt cpw ccrd cdm wral wss wrex rankwflemb wa char cen wbr wi pweq eleq1d
      harcl rspcv ax-mp cardid2 ensym wf1o wex bren cvv crnk cep coi ccnv crecs
      ccom cif simpr wf1 f1of1 adantr cardon onssi f1ss sylancl fveq2 suceq syl
      oveq2d fveq2d id fveq12d oveq12d imaeq2 ifeq12d cbvmptv dmeq eqeq12d rneq
      unieqd rneqd oveq1d fveq1 fveq1d oieq2 cnveqd coeq12d ifbieq12d mpteq12dv
      imaeq1d eqtrid recseq dfac12lem3 ex exlimiv sylbi imp r1suc adantl eleq2d
      4syl elpwi syl6bi ssnum syl6an rexlimdva ssrdv onwf sseli pwwf sylib ssel
      syl5bi syl5 ralrimiv impbii ) AGZUAZUBUCZHZAIUDZJIKLZYLUEZYNBYOYLBGZYOHYQ
      CGZMJNZHZCIUFYNYQYLHZCYQUGYNYTUUACIYNYRIHZUHZYRJNZYLHZYTYQUUDUEZUUAYNUUBU
      UEYNUUDUINZUAZYLHZUUHUBNZUUHUJUKUUHUUJUJUKZUUBUUEULZUUGIHYNUUIULUUDUOYMUU
      IAUUGIYJUUGOYKUUHYLYJUUGUMUNUPUQUUHURUUJUUHUSUUKUUHUUJDGZUTZDVAUULUUHUUJD
      VBUUNUULDUUNUUBUUEUUNUUBUHZEFYRUUMAVCBYJUCZJNZUUPUUPLZOZYJPZLZPZLZMZYQVDN
      ZQRZYQUVEMZYJNZNZSRZUURYJNZPZVEVFZVGZUVKVIZYQKZUUMNZVJZTZTZVHZUUNUUBVKUUO
      UUHUUJUUMVLZUUJIUEUUHIUUMVLUUNUWBUUBUUHUUJUUMVMVNUUJUUHVOVPUUHUUJIUUMVQVR
      UVTEVCFEGZUCZJNZUWDUWDLZOZUWCPZLZPZLZMZFGZVDNZQRZUWMUWNMZUWCNZNZSRZUWFUWC
      NZPZVEVFZVGZUWTVIZUWMKZUUMNZVJZTZTZOUWAUXIVHOAEVCUVSUXHYJUWCOZUVSFUUQUUSU
      VDUWNQRZUWMUWPYJNZNZSRZUVOUWMKZUUMNZVJZTUXHBFUUQUVRUXQYQUWMOZUUSUVJUXNUVQ
      UXPUXRUVFUXKUVIUXMSUXRUVEUWNUVDQYQUWMVDVSZWBUXRYQUWMUVHUXLUXRUVGUWPYJUXRU
      VEUWNOUVGUWPOUXSUVEUWNVTWAWCUXRWDWEWFUXRUVPUXOUUMYQUWMUVOWGWCWHWIUXJFUUQU
      XQUWEUXGUXJUUPUWDJYJUWCWJZWCUXJUUSUWGUXNUXPUWSUXFUXJUUPUWDUURUWFUXTUXJUUP
      UWDUXTWMZWKUXJUXKUWOUXMUWRSUXJUVDUWLUWNQUXJUVCUWKOUVDUWLOUXJUVBUWJUXJUVAU
      WIUXJUUTUWHYJUWCWLWMWNWMUVCUWKVTWAWOUXJUWMUXLUWQUWPYJUWCWPWQWFUXJUXOUXEUU
      MUXJUVOUXDUWMUXJUVNUXCUVKUWTUXJUVMUXBUXJUVLUXAOUVMUXBOUXJUVKUWTUXJUURUWFY
      JUWCUXJWDUYAWEZWNUVLUXAVEWRWAWSUYBWTXCWCXAXBXDWIUVTUXIXEUQXFXGXHXIXNXJUUC
      YTYQUUDUAZHUUFUUCYSUYCYQUUBYSUYCOYNYRXKXLXMYQUUDXOXPUUDYQXQXRXSYFXTYPYMAI
      YJIHZYKYOHZYPYMUYDYJYOHUYEIYOYJYAYBYJYCYDYOYLYKYEYGYHYI $.

    $( Equivalence of ~ dfac12 and ~ dfac12a , without using Regularity.
       (Contributed by Mario Carneiro, 21-May-2015.) $)
    dfac12k $p |- ( A. x e. On ~P x e. dom card <->
      A. y e. On ~P ( aleph ` y ) e. dom card ) $=
      ( cv cpw ccrd wcel con0 wral cfv wceq pweq eleq1d com wb wrex syl cfn cen
      wa wbr cdm cale wi alephon rspcv ax-mp ralrimivw wss omelon cardon ontri1
      wn mp2an cardidm cardalephex mpbii r19.29 biimparc rexlimivw syl5 syl5bir
      ex nnfi pwfi sylib finnum pm2.61d2 oncardid pwen ennum syl5ibcom ralrimiv
      3syl impbii ) ACZDZEUAZFZAGHZBCZUBIZDZVQFZBGHZVSWCBGWAGFVSWCUCVTUDVRWCAWA
      GVOWAJVPWBVQVOWAKLUEUFUGWDVRAGWDVOEIZDZVQFZVOGFZVRWDWEMFZWGWIULZMWEUHZWDW
      GMGFWEGFWKWJNUIVOUJMWEUKUMWKWEWAJZBGOZWDWGWKWEEIWEJWMVOUNBWEUOUPWDWMWGWDW
      MSWCWLSZBGOWGWCWLBGUQWNWGBGWLWGWCWLWFWBVQWEWAKLURUSPVBUTVAWIWFQFZWGWIWEQF
      WOWEVCWEVDVEWFVFPVGWHWEVORTWFVPRTWGVRNVOVHWEVOVIWFVPVJVMVKVLVN $.

    $( The axiom of choice holds iff every ordinal has a well-orderable
       powerset.  (Contributed by Mario Carneiro, 29-May-2015.) $)
    dfac12a $p |- ( CHOICE <-> A. x e. On ~P x e. dom card ) $=
      ( wac cr1 con0 cima cuni ccrd cdm wss cpw wcel wral cvv wceq eqss mpbiran
      cv ssv dfac10 unir1 sseq1i 3bitr4i dfac12r bitr4i ) BCDEFZGHZIZAQJUFKADLU
      FMNZMUFIZBUGUHUFMIUIUFRUFMOPSUEMUFTUAUBAUCUD $.

    $( The axiom of choice holds iff every aleph has a well-orderable powerset.
       (Contributed by Mario Carneiro, 21-May-2015.) $)
    dfac12 $p |- ( CHOICE <-> A. x e. On ~P ( aleph ` x ) e. dom card ) $=
      ( vy wac cv cpw ccrd cdm wcel con0 wral cale cfv dfac12a dfac12k bitri )
      CBDEFGZHBIJADKLEPHAIJBMBANO $.
  $}

  ${
    $d v A $.  $d u v x y ph $.  $d ps x v $.  $d u v w x y z $.
    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, 1 => 2.  (Contributed by
       NM, 5-Apr-2004.) $)
    kmlem1 $p |- ( A. x ( ( A. z e. x z =/= (/) /\ A. z e. x A. w e. x ph ) ->
                 E. y A. z e. x ps ) -> A. x ( A. z e. x A. w e. x ph ->
                   E. y A. z e. x ( z =/= (/) -> ps ) ) ) $=
      ( vv vu cv c0 wne wral wa wex wi wal wceq raleq wcel ralimi2 crab anbi12d
      rabex raleqbi1dv exbidv imbi12d alrimiv elrabi imim1i imim12i neeq1 elrab
      vex spcv simprbi rgen jctil biimpri expd eximi sylg cbvalvw sylib ) EIZJK
      ZECIZLZAFVFLZEVFLZMZBEVFLZDNZOZCPZAFGIZLZEVOLZVEBOZEVOLZDNZOZGPVIVREVFLZD
      NZOZCPVNVEEHIZJKZHVOUAZLZAFWGLZEWGLZMZBEWGLZDNZOZWAGVNWNGVMWNCWGWFHVOGUMU
      CVFWGQZVJWKVLWMWOVGWHVIWJVEEVFWGRVHWIEVFWGAFVFWGRUDUBWOVKWLDBEVFWGRUEUFUN
      UGVQWKWMVTVQWJWHVPWIEVOWGVDWGSZVDVOSZVPWIWFHVDVOUHAAFVOWGFIZWGSWRVOSAWFHW
      RVOUHUITUJTVEEWGWPWQVEWFVEHVDVOWEVDJUKULZUOUPUQWLVSDBVREWGVOWPBOWQVEBWQVE
      MZWPBWPWTWSURUIUSTUTUJVAWAWDGCVOVFQZVQVIVTWCVPVHEVOVFAFVOVFRUDXAVSWBDVREV
      OVFRUEUFVBVC $.

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 3 => 4.
       (Contributed by NM, 25-Mar-2004.) $)
    kmlem2 $p |- ( E. y A. z e. x ( ph -> E! w w e. ( z i^i y ) ) <->
        E. y ( -. y e. x /\ A. z e. x ( ph -> E! w w e. ( z i^i y ) ) ) ) $=
      ( vv vu cv cin wcel weu wi wral wex wel wn wa wceq eleq2d eubidv cuni csn
      ineq2 imbi2d ralbidv cbvexvw indi c0 elssuni ssneld disjsn syl6ibr impcom
      cun uneq2d un0 eqtrdi eqtr2id ralbidva wo vsnid olci elun mpbir sseld mpi
      con3i biantrurd bitrd snex eleq1 notbid anbi12d spcev syl6bi vuniex eleq2
      vex unex exbidv wal nalset alexn spi vtocl exlimiiv exlimiv sylbi exsimpr
      impbii ) AEHZDHZCHZIZJZEKZLZDBHZMZCNZCBOZPZWSQZCNZWTAWKWLFHZIZJZEKZLZDWRM
      ZFNXDWSXJCFWMXERZWQXIDWRXKWPXHAXKWOXGEXKWNXFWKWMXEWLUCSTUDUEUFXJXDFGHZWRU
      AZJZPZXJXDLGXOXJXEXLUBZUNZWRJZPZAWKWLXQIZJZEKZLZDWRMZQZXDXOXJYDYEXOXIYCDW
      RXODBOZQZXHYBAYGXGYAEYGXFXTWKYGXTXFWLXPIZUNZXFWLXEXPUGYGYIXFUHUNXFYGYHUHX
      FYFXOYHUHRZYFXOGDOPYJYFWLXMXLWLWRUIUJWLXLUKULUMUOXFUPUQURSTUDUSXOXSYDXRXN
      XRXLXQJZXNYKGFOZXLXPJZUTYMYLGVAVBXLXEXPVCVDXRXQXMXLXQWRUIVEVFVGVHVIXCYECX
      QXEXPFVRXLVJVSWMXQRZXBXSWSYDYNXAXRWMXQWRVKVLYNWQYCDWRYNWPYBAYNWOYAEYNWNXT
      WKWMXQWLUCSTUDUEVMVNVOGCOZPZGNZXOGNCXMBVPWMXMRZYPXOGYRYOXNWMXMXLVQVLVTYQC
      YQCWAYOGWACNPCGWBYOCGWCVDWDWEWFWGWHXBWSCWIWJ $.

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 3 => 4.  The
       right-hand side is part of the hypothesis of 4.  (Contributed by NM,
       25-Mar-2004.) $)
    kmlem3 $p |- ( ( z \ U. ( x \ { z } ) ) =/= (/) <->
        E. v e. z A. w e. x ( z =/= w -> -. v e. ( z i^i w ) ) ) $=
      ( cv cdif c0 wne wcel wn crab wrex wel cun wex anbi2i bitr3i bitri 3bitri
      wa csn cuni cin wi wral wo dfdif2 dfnul3 uneq2i unrab 3eqtr3i ianor eluni
      un0 anbi1i df-rex elin df-an eldifsn necom ancom anbi2ci anass an32 exbii
      19.41v rexnal 3bitr2ri con1bii rabbii 3eqtri neeq1i rabn0 ) BEZAEZVNUAFZU
      BZFZGHVNCEZHZDEZVNVSUCIZJUDZCVOUEZDVNKZGHWDDVNLVRWEGVRWAVQIZJZDVNKZWGDBMZ
      JZUFZDVNKZWEDVNVQUGWHGNWHWJDVNKZNWHWLGWMWHDVNUHUIWHUNWGWJDVNUJUKWKWDDVNWK
      WFWITZJWDWFWIULWDWNWNDCMZVSVPIZTZCOZWITZWCJZCVOLZWDJWFWRWICWAVPUMUOXACAMZ
      WTTZCOWQWITZCOWSWTCVOUPXCXDCXCXBVTWIWOTZTZTZXDXFWTXBXFVTWBTWTWBXEVTWAVNVS
      UQPVTWBURQPXGWOWITZWPTZXDXIXHXBVTTZTXJXETXGWPXJXHWPXBVSVNHZTXJVSVOVNUSXKV
      TXBVSVNUTPRPXHXEXJWOWIVAVBXBVTXEVCSWOWIWPVDQQVEWQWICVFSWCCVOVGVHVIQVJVKVL
      WDDVNVMR $.

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 3 => 4.
       (Contributed by NM, 26-Mar-2004.) $)
    kmlem4 $p |- ( ( w e. x /\ z =/= w ) ->
                    ( ( z \ U. ( x \ { z } ) ) i^i w ) = (/) ) $=
      ( vy vv wel cv wne wa wn csn cdif cuni wral cin c0 wceq wi wal wcel neeq2
      weq elequ1 anbi12d elequ2 notbid imbi12d spvv eldif simpr wex eluni alnex
      notbii con2b imnan eldifsn necom anbi2i bitri 3bitr3i albii 3bitr2i sylib
      imbi1i sylbi syl11 ralrimiv disj sylibr ) CAFZBGZCGZHZIZDCFZJZDVLAGZVLKLZ
      MZLZNWAVMOPQVOVQDWAEAFZVLEGZHZIZDEFZJZRZESZVOVQDGZWATZWHVOVQRECECUBZWEVOW
      GVQWLWBVKWDVNECAUCWCVMVLUAUDWLWFVPECDUEUFUGUHWKDBFZWJVTTZJZIZWIWJVLVTUIWP
      WOWIWMWOUJWOWFWCVSTZIZEUKZJWRJZESWIWNWSEWJVSULUNWREUMWTWHEWFWQJRWQWGRWTWH
      WFWQUOWFWQUPWQWEWGWQWBWCVLHZIWEWCVRVLUQXAWDWBWCVLURUSUTVEVAVBVCVDVFVGVHDW
      AVMVIVJ $.

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 3 => 4.
       (Contributed by NM, 25-Mar-2004.) $)
    kmlem5 $p |- ( ( w e. x /\ z =/= w ) ->
          ( ( z \ U. ( x \ { z } ) ) i^i ( w \ U. ( x \ { w } ) ) ) = (/) ) $=
      ( wel cv wne wa csn cdif cuni cin c0 wss wceq difss sslin kmlem4 sseqtrid
      ax-mp ss0b sylib ) CADBEZCEZFGZUBAEZUBHIJIZUCUEUCHIJZIZKZLMUILNUDUFUCKZUI
      LUHUCMUIUJMUCUGOUHUCUFPSABCQRUITUA $.

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 4 => 1.
       (Contributed by NM, 26-Mar-2004.) $)
    kmlem6 $p |- ( ( A. z e. x z =/= (/) /\
           A. z e. x A. w e. x ( ph -> A = (/) ) ) ->
           A. z e. x E. v e. z A. w e. x ( ph -> -. v e. A ) ) $=
      ( cv c0 wne wral wceq wi wa wcel wn wrex r19.26 wex wal ralimi n0 alrimiv
      biimpi ne0i necon2bi imim2i 19.29r df-rex sylibr syl2an sylbir ) CGZHIZCB
      GZJAFHKZLZDUNJZCUNJMUMUQMZCUNJAEGZFNZOZLZDUNJZEULPZCUNJUMUQCUNQURVDCUNUMU
      SULNZERZVCESZVDUQUMVFEULUAUCUQVCEUPVBDUNUOVAAUTFHFUSUDUEUFTUBVFVGMVEVCMER
      VDVEVCEUGVCEULUHUIUJTUK $.

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 4 => 1.
       (Contributed by NM, 26-Mar-2004.) $)
    kmlem7 $p |- ( ( A. z e. x z =/= (/) /\
           A. z e. x A. w e. x ( z =/= w -> ( z i^i w ) = (/) ) ) ->
       -. E. z e. x A. v e. z E. w e. x ( z =/= w /\ v e. ( z i^i w ) ) ) $=
      ( cv c0 wne wral cin wceq wi wa wcel wn wrex kmlem6 ralinexa rexbii bitri
      rexnal ralbii ralnex sylib ) BEZFGBAEZHUDCEZGZUDUFIZFJKCUEHBUEHLUGDEUHMZN
      KCUEHZDUDOZBUEHZUGUILCUEOZDUDHZBUEONZUGABCDUHPULUNNZBUEHUOUKUPBUEUKUMNZDU
      DOUPUJUQDUDUGUICUEQRUMDUDTSUAUNBUEUBSUC $.

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4 1 <=> 4.  (Contributed by
       NM, 4-Apr-2004.) $)
    kmlem8 $p |- ( ( -. E. z e. u A. w e. z ps -> E. y A. z e. u ( z =/= (/)
                  -> E! w w e. ( z i^i y ) ) ) <-> ( E. z e. u A. w e. z ps \/
                 E. y ( -. y e. u /\ A. z e. u E! w w e. ( z i^i y ) ) ) ) $=
      ( cv wral wrex wn c0 wne cin wi wex wel wa wb sylbir ralimi syl wo ralnex
      wcel weu df-rex rexnal bitr3i exsimpl n0 sylibr kmlem2 biimt ralbi anbi2d
      exbidv bitr4id pm5.74i pm4.64 bitri ) ADCFZGZCEFZHZIZUTJKZDFUTBFLUCDUDZMZ
      CVBGZBNZMVDBEOIZVFCVBGZPZBNZMVCVMUAVDVIVMVDVECVBGZVIVMQVDVAIZCVBGVNVACVBU
      BVOVECVBVODCOZAIZPDNZVEVRVQDUTHVOVQDUTUEADUTUFUGVRVPDNVEVPVQDUHDUTUIUJRSR
      VNVIVJVHPZBNVMVEEBCDUKVNVLVSBVNVKVHVJVNVFVGQZCVBGVKVHQVEVTCVBVEVFULSVFVGC
      VBUMTUNUOUPTUQVCVMURUS $.
  $}

  ${
    $d x y z w v u t h g $.  $d y z w v h g A $.  $d h ph $.
    kmlem9.1 $e |- A = { u | E. t e. x u = ( t \ U. ( x \ { t } ) ) } $.
    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 3 => 4.
       (Contributed by NM, 25-Mar-2004.) $)
    kmlem9 $p |- A. z e. A A. w e. A ( z =/= w -> ( z i^i w ) = (/) ) $=
      ( vh cv wne cin c0 wceq wi wcel csn cdif wrex weq wa cuni vex eqeq1 elab2
      rexbidv difeq1 difeq2d unieqd eqtrd eqeq2d cbvrexvw reeanv eqeq12 syl5ibr
      sneq bitri necon3d kmlem5 ineq12 eqeq1d expd syl5d com12 adantl rexlimivv
      sylbir syl2anb rgen2 ) BIZCIZJZVIVJKZLMZNZBCFFVIFOVIEIZAIZVOPZQZUAZQZMZEV
      PRZVJHIZVPWCPZQZUAZQZMZHVPRZVNVJFOZDIZVTMZEVPRZWBDVIFBUBDBSWLWAEVPWKVIVTU
      CUEGUDWJVJVTMZEVPRZWIWMWODVJFCUBDCSWLWNEVPWKVJVTUCUEGUDWNWHEHVPEHSZVTWGVJ
      WPVTWCVSQWGVOWCVSUFWPVSWFWCWPVRWEWPVQWDVPVOWCUOUGUHUGUIZUJUKUPWBWITWAWHTZ
      HVPREVPRVNWAWHEHVPVPULWRVNEHVPVPWCVPOZWRVNNVOVPOWRWSVNWRVKVOWCJZWSVMWRVOW
      CVIVJWPBCSWRVTWGMWQVIVTVJWGUMUNUQWRWSWTVMWSWTTVMWRVTWGKZLMAEHURWRVLXALVIV
      TVJWGUSUTUNVAVBVCVDVEVFVGVH $.

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 3 => 4.
       (Contributed by NM, 25-Mar-2004.) $)
    kmlem10 $p |- ( A. h ( A. z e. h A. w e. h
                              ( z =/= w -> ( z i^i w ) = (/) ) ->
                         E. y A. z e. h ph ) -> E. y A. z e. A ph ) $=
      ( cv wne cin c0 wceq wi wral wex cdif raleq wal csn cuni wrex cab cvv vex
      kmlem9 abrexex eqeltri raleqbi1dv exbidv imbi12d spcv mpi ) DKZEKZLUPUQMN
      OPZEIKZQZDUSQZADUSQZCRZPZIUAUREHQZDHQZADHQZCRZBDEFGHJUHVDVFVHPIHHFKGKZBKZ
      VIUBSUCSZOGVJUDFUEUFJGFVJVKBUGUIUJUSHOZVAVFVCVHUTVEDUSHUREUSHTUKVLVBVGCAD
      USHTULUMUNUO $.

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 3 => 4.
       (Contributed by NM, 26-Mar-2004.) $)
    kmlem11 $p |- ( z e. x -> ( z i^i U. A ) = ( z \ U. ( x \ { z } ) ) ) $=
      ( cv wcel cuni cin csn cdif ciun wceq vex eqtr4i c0 cun difeq2d eqtrid wa
      cab unieqi difexi dfiun2 ineq2i iunin2 undif2 snssi ssequn1 sylib eqtr2id
      wrex wss iuneq1d iunxun difeq1 sneq unieqd eqtrd ineq2d iunxsn eqtri wral
      uneq1i wne eldifsni kmlem4 ex syl5 ralrimiv iuneq2 syl iun0 eqtrdi uneq2d
      incom un0 indif ) BGZAGZHZVTEIZJZDWAVTDGZWAWEKZLZIZLZJZMZVTWAVTKZLZIZLZWD
      VTDWAWIMZJWKWCWPVTWCCGWINDWAUMCUBZIWPEWQFUCDCWAWIWEWHDOUDUEPUFDWAVTWIUGPW
      BWKVTWOJZQRZWOWBWKDWLWMRZWJMZWSWBDWAWTWJWBWTWLWARZWAWLWAUHWBWLWAUNXBWANVT
      WAUIWLWAUJUKULUOWBXAWRDWMWJMZRZWSXADWLWJMZXCRXDDWLWMWJUPXEWRXCDVTWJWRBOWE
      VTNZWIWOVTXFWIVTWHLWOWEVTWHUQXFWHWNVTXFWGWMXFWFWLWAWEVTURSUSSUTVAVBVEVCWB
      XCQWRWBXCDWMQMZQWBWJQNZDWMVDXCXGNWBXHDWMWEWMHWEVTVFZWBXHWEWAVTVGWBXIXHWBX
      IUAWJWIVTJQVTWIVQADBVHTVIVJVKDWMWJQVLVMDWMVNVOVPTUTWSWRWOWRVRVTWNVSVCVOT
      $.

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 3 => 4.
       (Contributed by NM, 27-Mar-2004.) $)
    kmlem12 $p |- ( A. z e. x ( z \ U. ( x \ { z } ) ) =/= (/) ->
                    ( A. z e. A ( z =/= (/) -> E! v v e. ( z i^i y ) ) ->
        A. z e. x ( z =/= (/) -> E! v v e. ( z i^i ( y i^i U. A ) ) ) ) ) $=
      ( cv cdif cuni c0 wne wral cin wcel weu wi wceq eleq2d csn difeq1 difeq2d
      sneq unieqd eqtrd neeq1d cbvralvw ineq1d imbi12i in12 incom eqtri kmlem11
      eubidv eqtr2id ax-1 syl6bi ralimia imim2i sylbi cab wal raleqi df-ral vex
      wrex eqeq1 rexbidv imbi1i r19.23v bitr4i albii ralcom4 difexi neeq1 ineq1
      elab imbi12d ceqsalv ralbii 3bitr2i 3bitri ralim syl11 ) FIZAIZWFUAZJZKZJ
      ZLMZFWGNZDIZWKBIZOZPZDQZFWGNZRZCIZWGXAUAZJZKZJZLMZCWGNZXALMZWNXAWOGKZOOZP
      ZDQZRZCWGNZXHWNXAWOOZPZDQZRZCGNZWTXGWNXEWOOZPZDQZCWGNZRXGXNRWMXGWSYCWLXFF
      CWGWFXASZWKXELYDWKXAWJJXEWFXAWJUBYDWJXDXAYDWIXCYDWHXBWGWFXAUDUCUEUCUFZUGU
      HWRYBFCWGYDWQYADYDWPXTWNYDWKXEWOYEUITUOUHUJYCXNXGYBXMCWGXAWGPZYBXLXMYFYAX
      KDYFXTXJWNYFXJXAXIOZWOOZXTXJWOYGOYHXAWOXIUKWOYGULUMYFYGXEWOACEFGHUNUIUPTU
      OXLXHUQURUSUTVAXSWLWRRZFWGNZWTXSXRCEIZWKSZFWGVGZEVBZNXAYNPZXRRZCVCZYJXRCG
      YNHVDXRCYNVEYQXAWKSZXRRZFWGNZCVCYSCVCZFWGNYJYPYTCYPYRFWGVGZXRRYTYOUUBXRYM
      UUBEXACVFYKXASYLYRFWGYKXAWKVHVIVRVJYRXRFWGVKVLVMYSFCWGVNUUAYIFWGXRYICWKWF
      WJFVFVOYRXHWLXQWRXAWKLVPYRXPWQDYRXOWPWNXAWKWOVQTUOVSVTWAWBWCWLWRFWGWDVAWE
      $.

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4 1 <=> 4.  (Contributed by
       NM, 5-Apr-2004.) $)
    kmlem13 $p |- ( A. x ( ( A. z e. x z =/= (/) /\
           A. z e. x A. w e. x ( z =/= w -> ( z i^i w ) = (/) ) ) ->
         E. y A. z e. x E! v v e. ( z i^i y ) ) <->
          A. x ( -. E. z e. x A. v e. z E. w e. x
                     ( z =/= w /\ v e. ( z i^i w ) ) ->
               E. y A. z e. x ( z =/= (/) -> E! v v e. ( z i^i y ) ) ) ) $=
      ( vh vg cv wral cin wceq wi wcel wex wal wrex c0 wne wa weu wn raleqbi1dv
      kmlem1 raleq exbidv imbi12d cbvalvw kmlem10 eleq2d eubidv ralbidv cbvexvw
      ineq2 imbi2d cdif cuni kmlem3 ralinexa rexbii rexnal 3bitri ralbii ralnex
      csn bitri kmlem12 vex inex1 spcev exlimdv com12 syl5bir sylbi syl alrimiv
      syl6 kmlem7 imim1i biimt ralimi ralbi adantr pm5.74i sylibr alimi impbii
      wb ) CLZUAUBZCALZMZWLDLZUBZWLWPNZUAOPZDWNMZCWNMZUCZELZWLBLZNZQZEUDZCWNMZB
      RZPZASZWQXCWRQZUCDWNTZEWLMZCWNTUEZWMXGPZCWNMZBRZPZASZXKXAXRPZASZXTWSXGABC
      DUGYBWSDJLZMZCYCMZXPCYCMZBRZPZJSZXTYAYHAJWNYCOZXAYEXRYGWTYDCWNYCWSDWNYCUH
      UFYJXQYFBXPCWNYCUHUIUJUKYIXSAYIXPCHMZBRZXSXPABCDFGHJIULYLWMXCWLKLZNZQZEUD
      ZPZCHMZKRZXSYKYRBKXDYMOZXPYQCHYTXGYPWMYTXFYOEYTXEYNXCXDYMWLUQUMUNURUOUPXO
      WLWNWLVHUSUTUSUAUBZCWNMZYSXRUUBXNUEZCWNMXOUUAUUCCWNUUAWQXLUEPDWNMZEWLTXMU
      EZEWLTUUCACDEVAUUDUUEEWLWQXLDWNVBVCXMEWLVDVEVFXNCWNVGVIUUBYSXRUUBYRXRKUUB
      YRWMXCWLYMHUTZNZNZQZEUDZPZCWNMZXRAKCEFGHIVJXQUULBUUGYMUUFKVKVLXDUUGOZXPUU
      KCWNUUMXGUUJWMUUMXFUUIEUUMXEUUHXCXDUUGWLUQUMUNURUOVMVTVNVOVPVQVRVSVQVRXSX
      JAXSXBXRPXJXBXOXRACDEWAWBXBXIXRWOXIXRWKXAWOXHXQBWOXGXPWKZCWNMXHXQWKWMUUNC
      WNWMXGWCWDXGXPCWNWEVRUIWFWGWHWIWJ $.
  $}

  ${
    $d x y z w v u $.  $d u ph $.
    kmlem14.1 $e |- ( ph <->
                ( z e. y -> ( ( v e. x /\ y =/= v ) /\ z e. v ) ) ) $.
    kmlem14.2 $e |- ( ps <-> ( z e. x -> ( ( v e. z /\ v e. y ) /\
                ( ( u e. z /\ u e. y ) -> u = v ) ) ) ) $.
    kmlem14.3 $e |- ( ch <->
                A. z e. x E! v v e. ( z i^i y ) ) $.
    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 5 <=> 4.
       (Contributed by NM, 4-Apr-2004.) $)
    kmlem14 $p |- ( E. z e. x A. v e. z E. w e. x
                   ( z =/= w /\ v e. ( z i^i w ) ) <->
                 E. y A. z E. v A. u ( y e. x /\ ph ) ) $=
      ( cv wcel wa wrex wel wex wal wi wne cin wral neeq1 ineq1 anbi12d rexbidv
      weq eleq2d raleqbi1dv cbvrexvw df-rex eleq1w anbi2d cbvralvw df-ral bitri
      anbi2i 19.28v neeq2 ineq2 imbi2i 19.37v bitr4i 19.42v 19.3v baibr pm5.74i
      elin anass bitrdi bitr2i exbii 3bitr2i albii 3bitri ) FMZGMZUAZHMZVQVRUBZ
      NZOZGDMZPZHVQUCZFWDPEMZVRUAZVTWGVRUBZNZOZGWDPZHWGUCZEWDPEDQZWMOZERWNAOZIS
      ZHRZFSZERWFWMFEWDWEWLHVQWGFEUHZWCWKGWDWTVSWHWBWJVQWGVRUDWTWAWIVTVQWGVRUEU
      IUFUGUJUKWMEWDULWOWSEWOWNFEQZWHVQWINZOZGWDPZTZFSZOWNXEOZFSWSWMXFWNWMXDFWG
      UCXFWLXDHFWGHFUHZWKXCGWDXHWJXBWHHFWIUMUNUGUOXDFWGUPUQURWNXEFUSXGWRFXGWNXA
      HDQZWGVTUAZVQWGVTUBZNZOZOZTZHRZOWNXOOZHRWRXEXPWNXEXAXNHRZTXPXDXRXAXDXMHWD
      PXRXCXMGHWDGHUHZWHXJXBXLVRVTWGUTXSWIXKVQVRVTWGVAUIUFUKXMHWDULUQVBXAXNHVCV
      DURWNXOHVEXQWQHWQWPXQWPIVFAXOWNAXAXIXJOZFHQZOZTXOJXAYBXNXAYBXTXLOXNXAYAXL
      XTXLXAYAVQWGVTVIVGUNXIXJXLVJVKVHUQURVLVMVNVOVNVMVP $.

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 5 <=> 4.
       (Contributed by NM, 4-Apr-2004.) $)
    kmlem15 $p |- ( ( -. y e. x /\ ch ) <->
                     A. z E. v A. u ( -. y e. x /\ ps ) ) $=
      ( wel wa wal wex cv wi bitri albii 19.28v wn cin wcel weu weq wsb nfv eu1
      wral elin clelsb1 equcom imbi12i bitr4i exbii ralbii df-ral 19.21v 19.37v
      anbi12i 3bitri anbi2i 19.42v bitr2i 3bitr2i ) EDLUAZCMVFBHNZGOZFNZMVFVHMZ
      FNVFBMHNZGOZFNCVIVFCGPZFPZEPZUBZUCZGUDZFDPZUIGFLGELMZHFLHELMZHGUEZQZMZHNZ
      GOZFVSUIZVIKVRWFFVSVRVQVQGHUFZGHUEZQZHNZMZGOWFVQGHVQHUGUHWLWEGWLVTWCHNZMW
      EVQVTWKWMVMVNVOUJWJWCHWHWAWIWBWHHPZVPUCWAGHVPUKWNVNVOUJRGHULUMSUTVTWCHTUN
      UORUPWGFDLZWFQZFNVIWFFVSUQVHWPFVHWOWEQZGOWPVGWQGVGWOWDQZHNWQBWRHJSWOWDHUR
      RUOWOWEGUSRSUNVAVBVFVHFTVJVLFVLVFVGMZGOVJVKWSGVFBHTUOVFVGGVCVDSVE $.

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4 5 <=> 4.  (Contributed by
       NM, 4-Apr-2004.) $)
    kmlem16 $p |- ( ( E. z e. x A. v e. z E. w e. x
       ( z =/= w /\ v e. ( z i^i w ) ) \/ E. y ( -. y e. x /\ ch ) ) <->
       E. y A. z E. v A. u ( ( y e. x /\ ph ) \/ ( -. y e. x /\ ps ) ) ) $=
      ( cv wcel wa wn wex wo wal exbii wne wrex wral kmlem14 kmlem15 orbi12i wb
      cin 19.43 pm3.24 simpl sps exlimivv anim12i mto 19.33b ax-mp bitr2i albii
      exlimiv bitr3i 3bitr2i ) FMZGMZUAHMVCVDUHNOGDMZUBHVCUCFVEUBZEMVENZPZCOZEQ
      ZRVGAOZISZHQZFSZEQZVHBOZISZHQZFSZEQZRVNVSRZEQVKVPRISZHQZFSZEQVFVOVJVTABCD
      EFGHIJKLUDVIVSEABCDEFHIJKLUETUFVNVSEUIWAWDEWAVMVRRZFSZWDVMFQZVRFQZOZPWFWA
      UGWIVGVHOZVGUJZWGVGWHVHVLVGFHVKVGIVGAUKZULUMVQVHFHVPVHIVHBUKZULUMUNUOVMVR
      FUPUQWEWCFWCVLVQRZHQWEWBWNHVKIQZVPIQZOZPWBWNUGWQWJWKWOVGWPVHVKVGIWLUTVPVH
      IWMUTUNUOVKVPIUPUQTVLVQHUIURUSVATVB $.
  $}

  ${
    $d x y z w v u t h $.
    $( Equivalence of the Axiom of Choice and Maes' AC ~ ackm .  The proof
       consists of lemmas ~ kmlem1 through ~ kmlem16 and this final theorem.
       AC is not used for the proof.  Note: bypassing the first step (i.e.,
       replacing ~ dfac5 with ~ biid ) establishes the AC equivalence shown by
       Maes' writeup.  The left-hand-side AC shown here was chosen because it
       is shorter to display.  (Contributed by NM, 13-Apr-2004.)  (Revised by
       Mario Carneiro, 17-May-2015.) $)
    dfackm $p |- ( CHOICE <->
      A. x E. y A. z E. v A. u (
       ( y e. x /\ ( z e. y -> ( ( v e. x /\ -. y = v ) /\ z e. v ) ) ) \/
           ( -. y e. x /\ ( z e. x -> ( ( v e. z /\ v e. y ) /\
               ( ( u e. z /\ u e. y ) -> u = v ) ) ) ) ) ) $=
      ( vw vt vh cv wne wral wceq wi wa wex wal wel wn wrex bitri wac c0 cin wo
      wcel weu dfac5 csn cdif cuni cab kmlem13 kmlem8 albii df-ne bicomi anbi2i
      eqid anbi1i imbi2i biid kmlem16 ) UACIZUBJZCAIZKVCFIZJZVCVFUCZUBLMFVEKCVE
      KNDIZVCBIZUCUEDUFZCVEKZBOMAPZBAQZCBQZDAQZVJVILRZNZCDQZNZMZNVNRZCAQDCQDBQN
      ECQEBQNEIVILMNMZNUDEPDOCPBOZAPZABCFDUGVMVGVIVHUENFVESZDVCKCVESZWBVLNBOUDZ
      APZWEVMWGRVDVKMCVEKBOMZAPWIABCFDGHGIHIZVEWKUHUIUJUILHVESGUKZWLURULWJWHAWF
      BCDAUMUNTWHWDAWAWCVLABCFDEVTVPVJVIJZNZVSNVOVRWNVSVQWMVPWMVQVJVIUOUPUQUSUT
      WCVAVLVAVBUNTT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cardinal number arithmetic
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  For cardinal arithmetic, we follow [Mendelson] p. 258.  Rather than
  defining operations restricted to cardinal numbers, we use disjoint
  union ~ df-dju ( ` |_| ` ) for cardinal addition, Cartesian product
  ~ df-xp ( ` X. ` ) for cardinal multiplication, and set exponentiation
  ~ df-map ( ` ^m ` ) for cardinal exponentiation. Equinumerosity and
  dominance serve the roles of equality and ordering.  If we wanted to,
  we could easily convert our theorems to actual cardinal number
  operations via ~ carden , ~ carddom , and ~ cardsdom .  The advantage
  of Mendelson's approach is that we can directly use many equinumerosity
  theorems that we already have available.

$)

  $( Cardinal addition dominates union.  (Contributed by NM, 28-Sep-2004.)
     (Revised by Jim Kingdon, 15-Aug-2023.) $)
  undjudom $p |- ( ( A e. V /\ B e. W ) -> ( A u. B ) ~<_ ( A |_| B ) ) $=
    ( wcel wa cun csn cxp c1o cdom wbr cen cvv xpsnen2g mpan ensym endom 3syl
    c0 cdju 0ex con0 1on cin wceq xp01disjl undom mpan2 syl2an df-dju breqtrrdi
    ) ACEZBDEZFABGZTHAIZJHBIZGZABUAKUMAUPKLZBUQKLZUOURKLZUNUMUPAMLZAUPMLUSTNEUM
    VBUBTANCOPUPAQAUPRSUNUQBMLZBUQMLUTJUCEUNVCUDJBUCDOPUQBQBUQRSUSUTFUPUQUETUFV
    AABUGAUPBUQUHUIUJABUKUL $.

  $( Equinumerosity of a disjoint union and a union of two disjoint sets.
     (Contributed by NM, 5-Apr-2007.) $)
  endjudisj $p |- ( ( A e. V /\ B e. W /\ ( A i^i B ) = (/) )
      -> ( A |_| B ) ~~ ( A u. B ) ) $=
    ( wcel cin c0 wceq w3a csn cxp c1o cun cen wbr wa cvv xpsnen2g mpan con0
    cdju df-dju 0ex 1on anim12i xp01disjl jctl unen syl2an 3impa eqbrtrid ) ACE
    ZBDEZABFGHZIABUAGJAKZLJBKZMZABMZNABUBULUMUNUQURNOZULUMPUOANOZUPBNOZPUOUPFGH
    ZUNPUSUNULUTUMVAGQEULUTUCGAQCRSLTEUMVAUDLBTDRSUEUNVBABUFUGUOAUPBUHUIUJUK $.

  $( Disjoint unions of equinumerous sets are equinumerous.  (Contributed by
     NM, 28-Sep-2004.)  (Revised by Mario Carneiro, 29-Apr-2015.) $)
  djuen $p |- ( ( A ~~ B /\ C ~~ D ) -> ( A |_| C ) ~~ ( B |_| D ) ) $=
    ( cen wbr wa csn cxp c1o cun cdju cvv wcel relen xpsnen2g sylancr entr con0
    c0 0ex brrelex1i brrelex2i ensymd mpdan syl2anc 1on cin wceq xp01disjl unen
    mpanr12 syl2an df-dju 3brtr4g ) ABEFZCDEFZGTHZAIZJHZCIZKZURBIZUTDIZKZACLBDL
    EUPUSVCEFZVAVDEFZVBVEEFZUQUPUSAEFZAVCEFZVFUPTMNZAMNVIUAABEOUBTAMMPQUPBVCEFV
    JUPVCBUPVKBMNVCBEFUAABEOUCTBMMPQUDABVCRUEUSAVCRUFUQVACEFZCVDEFZVGUQJSNZCMNV
    LUGCDEOUBJCSMPQUQDVDEFVMUQVDDUQVNDMNVDDEFUGCDEOUCJDSMPQUDCDVDRUEVACVDRUFVFV
    GGUSVAUHTUIVCVDUHTUIVHACUJBDUJUSVCVAVDUKULUMACUNBDUNUO $.

  $( Disjoint union is equinumerous to union for disjoint sets.  (Contributed
     by Mario Carneiro, 29-Apr-2015.)  (Revised by Jim Kingdon,
     19-Aug-2023.) $)
  djuenun $p |- ( ( A ~~ B /\ C ~~ D /\ ( B i^i D ) = (/) ) ->
      ( A |_| C ) ~~ ( B u. D ) ) $=
    ( cen wbr cin wceq w3a cdju cun djuen 3adant3 cvv relen brrelex2i endjudisj
    c0 wcel id syl3an entr syl2anc ) ABEFZCDEFZBDGRHZIACJZBDJZEFZUHBDKZEFZUGUJE
    FUDUEUIUFABCDLMUDBNSUEDNSUFUFUKABEOPCDEOPUFTBDNNQUAUGUHUJUBUC $.

  $( Cardinal addition with cardinal one (which is the same as ordinal one).
     Used in proof of Theorem 6J of [Enderton] p. 143.  (Contributed by NM,
     28-Sep-2004.)  (Revised by Mario Carneiro, 29-Apr-2015.) $)
  dju1en $p |- ( ( A e. V /\ -. A e. A ) -> ( A |_| 1o ) ~~ suc A ) $=
    ( wcel wn wa c1o cdju csn cun csuc cen wbr cin c0 wceq enrefg adantr ensn1g
    ensymd simpr disjsn sylibr djuenun syl3anc df-suc breqtrrdi ) ABCZAACDZEZAF
    GZAAHZIZAJKUIAAKLZFUKKLZAUKMNOZUJULKLUGUMUHABPQUGUNUHUGUKFABRSQUIUHUOUGUHTA
    AUAUBAAFUKUCUDAUEUF $.

  $( Adding and subtracting one gives back the original cardinality.  Similar
     to ~ pncan for cardinalities.  (Contributed by Mario Carneiro,
     18-May-2015.)  (Revised by Jim Kingdon, 20-Aug-2023.) $)
  dju1dif $p |- ( ( A e. V /\ B e. ( A |_| 1o ) )
      -> ( ( A |_| 1o ) \ { B } ) ~~ A ) $=
    ( wcel c1o cdju wa csn cdif cop cen wbr cvv simpl 1oex djuex cxp 0ex wceq
    c0 sylancl simpr cun df1o2 xpeq2i xpsn eqtri ssun2 eqsstrri opex snss mpbir
    wss df-dju eleqtrri a1i difsnen syl3anc difeq1i xp01disjl disj3 mpbi difun2
    cin difeq2i 3eqtr2i eqtr4i xpsnen2g sylancr eqbrtrid entr syl2anc ) ACDZBAE
    FZDZGZVNBHIZVNETJZHZIZKLZVTAKLVQAKLVPVNMDZVOVRVNDZWAVPVMEMDWBVMVONZOAECMPUA
    VMVOUBWCVPVRTHZAQZEHZEQZUCZVNVRWIDVSWIUMVSWHWIWHWGWEQVSEWEWGUDUEETORUFUGZWH
    WFUHUIVRWIETUJUKULAEUNZUOUPBVRMVNUQURVPVTWFAKVTWIVSIZWFVNWIVSWKUSWFWFWHIZWI
    WHIWLWFWHVDTSWFWMSAEUTWFWHVAVBWFWHVCWHVSWIWJVEVFVGVPTMDVMWFAKLRWDTAMCVHVIVJ
    VQVTAVKVL $.

  $( 1+1=2 for cardinal number addition, derived from ~ pm54.43 as promised.
     Theorem *110.643 of _Principia Mathematica_, vol.  II, p. 86, which adds
     the remark, "The above proposition is occasionally useful."  Whitehead and
     Russell define cardinal addition on collections of all sets equinumerous
     to 1 and 2 (which for us are proper classes unless we restrict them as in
     ~ karden ), but after applying definitions, our theorem is equivalent.
     Because we use a disjoint union for cardinal addition (as explained in the
     comment at the top of this section), we use ` ~~ ` instead of =.  See
     ~ dju1p1e2ALT for a shorter proof that doesn't use ~ pm54.43 .
     (Contributed by NM, 5-Apr-2007.)  (Proof modification is discouraged.) $)
  dju1p1e2 $p |- ( 1o |_| 1o ) ~~ 2o $=
    ( c1o cdju c0 csn cxp cun c2o cen df-dju cin wceq wbr xp01disjl wb cvv wcel
    con0 1on xpsnen2g mp2an 0ex pm54.43 mpbi eqbrtri ) AABCDAEZADAEZFZGHAAIUEUF
    JCKZUGGHLZAAMUEAHLZUFAHLZUHUINCOPAQPZUJUARCAOQSTULULUKRRAAQQSTUEUFUBTUCUD
    $.

  $( Alternate proof of ~ dju1p1e2 .  (Contributed by Mario Carneiro,
     29-Apr-2015.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  dju1p1e2ALT $p |- ( 1o |_| 1o ) ~~ 2o $=
    ( c1o cdju csuc c2o cen con0 wcel wn wbr 1on word onordi ordirr ax-mp mp2an
    dju1en df-2o breqtrri ) AABZACZDEAFGAAGHZSTEIJAKUAAJLAMNAFPOQR $.

  $( Cardinal addition with cardinal zero (the empty set).  Part (a1) of proof
     of Theorem 6J of [Enderton] p. 143.  (Contributed by NM, 27-Sep-2004.)
     (Revised by Mario Carneiro, 29-Apr-2015.) $)
  dju0en $p |- ( A e. V -> ( A |_| (/) ) ~~ A ) $=
    ( wcel cdju cun cen cvv cin wceq wbr 0ex in0 endjudisj mp3an23 un0 breqtrdi
    c0 ) ABCZAQDZAQEZAFRQGCAQHQISTFJKALAQBGMNAOP $.

  $( Two times a cardinal number.  Exercise 4.56(g) of [Mendelson] p. 258.
     (Contributed by NM, 27-Sep-2004.)  (Revised by Mario Carneiro,
     29-Apr-2015.) $)
  xp2dju $p |- ( 2o X. A ) = ( A |_| A ) $=
    ( c0 csn c1o cun cxp c2o cdju xpundir cpr df2o3 df-pr xpeq1i df-dju 3eqtr4i
    eqtri ) BCZDCZEZAFQAFRAFEGAFAAHQRAIGSAGBDJSKBDLPMAANO $.

  $( Commutative law for cardinal addition.  Exercise 4.56(c) of [Mendelson]
     p. 258.  (Contributed by NM, 24-Sep-2004.)  (Revised by Mario Carneiro,
     29-Apr-2015.) $)
  djucomen $p |- ( ( A e. V /\ B e. W ) -> ( A |_| B ) ~~ ( B |_| A ) ) $=
    ( wcel wa cdju c1o csn cxp cun cen wbr cvv xpsnen2g mpan ensym cin syl2an
    c0 1oex wceq incom xp01disjl eqtri djuenun mp3an3 df-dju equncomi breqtrrdi
    0ex ) ACEZBDEZFABGZHIAJZTIBJZKZBAGZLULUOALMZUPBLMZUNUQLMZUMHNEULUSUAHANCOPT
    NEUMUTUKTBNDOPUSAUOLMZBUPLMZVAUTUOAQUPBQVBVCUOUPRZTUBVAVDUPUORTUOUPUCBAUDUE
    AUOBUPUFUGSSURUPUOBAUHUIUJ $.

  $( Associative law for cardinal addition.  Exercise 4.56(c) of [Mendelson]
     p. 258.  (Contributed by NM, 26-Sep-2004.)  (Revised by Mario Carneiro,
     29-Apr-2015.) $)
  djuassen $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
      ( ( A |_| B ) |_| C ) ~~ ( A |_| ( B |_| C ) ) ) $=
    ( wcel cdju c0 cxp c1o cun cen wbr cin cvv xpsnen2g sylancr ensymd 1oex w3a
    csn wceq 0ex simp1 snex simp2 xpexg syl2anc xp01disjl djuenun syl3anc simp3
    entr a1i indir xpeq2i xpindi xp0 3eqtr3i uneq12i eqtri df-dju xpundi uneq2i
    un0 unass 3eqtr4i breqtrrdi ) ADGZBEGZCFGZUAZABHZCHZIUBZAJZKUBZVPBJZJZLZVRV
    RCJZJZLZABCHZHZMVMVNWAMNZCWCMNWAWCOZIUCZVOWDMNVMAVQMNBVTMNVQVTOIUCZWGVMVQAV
    MIPGZVJVQAMNUDVJVKVLUEIAPDQRSVMVTBVMVTVSMNZVSBMNZVTBMNVMKPGZVSPGZWLTVMVPPGV
    KWOIUFVJVKVLUGZVPBPEUHRKVSPPQRVMWKVKWMUDWPIBPEQRVTVSBUNUISWJVMAVSUJUOAVQBVT
    UKULVMWCCVMWCWBMNZWBCMNZWCCMNVMWNWBPGZWQTVMVRPGVLWSKUFVJVKVLUMZVRCPFUHRKWBP
    PQRVMWNVLWRTWTKCPFQRWCWBCUNUISWIVMWHVQWCOZVTWCOZLZIVQVTWCUPXCIILIXAIXBIAWBU
    JVRVSWBOZJVRIJXBIXDIVRBCUJUQVRVSWBURVRUSUTVAIVFVBVBUOVNWACWCUKULVQVRWEJZLVQ
    VTWCLZLWFWDXEXFVQXEVRVSWBLZJXFWEXGVRBCVCUQVRVSWBVDVBVEAWEVCVQVTWCVGVHVI $.

  $( Cardinal multiplication distributes over cardinal addition.  Theorem 6I(3)
     of [Enderton] p. 142.  (Contributed by NM, 26-Sep-2004.)  (Revised by
     Mario Carneiro, 29-Apr-2015.) $)
  xpdjuen $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
      ( A X. ( B |_| C ) ) ~~ ( ( A X. B ) |_| ( A X. C ) ) ) $=
    ( wcel cxp cdju c0 csn c1o cun cen wbr cin cvv xpsnen2g sylancr ensymd wceq
    w3a enrefg 3ad2ant1 0ex simp2 xpen syl2anc con0 1on xp01disjl xpeq2i xpindi
    simp3 xp0 3eqtr3i a1i djuenun syl3anc df-dju xpundi eqtri breqtrrdi ) ADGZB
    EGZCFGZUBZABHZACHZIZABCIZHZVGVJAJKBHZHZALKCHZHZMZVLNVGVHVNNOZVIVPNOZVNVPPZJ
    UAZVJVQNOVGAANOZBVMNOVRVDVEWBVFADUCUDZVGVMBVGJQGVEVMBNOUEVDVEVFUFJBQERSTAAB
    VMUGUHVGWBCVONOVSWCVGVOCVGLUIGVFVOCNOUJVDVEVFUNLCUIFRSTAACVOUGUHWAVGAVMVOPZ
    HAJHVTJWDJABCUKULAVMVOUMAUOUPUQVHVNVIVPURUSVLAVMVOMZHVQVKWEABCUTULAVMVOVAVB
    VCT $.

  $( Sum of exponents law for cardinal arithmetic.  Theorem 6I(4) of [Enderton]
     p. 142.  (Contributed by NM, 27-Sep-2004.)  (Revised by Mario Carneiro,
     29-Apr-2015.) $)
  mapdjuen $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
      ( A ^m ( B |_| C ) ) ~~ ( ( A ^m B ) X. ( A ^m C ) ) ) $=
    ( wcel cmap co c0 csn cxp c1o cen wbr cvv snex xpexg sylancr syl2anc df-dju
    w3a cdju cun cin wceq simp2 simp3 simp1 xp01disjl mapunen syl31anc eqbrtrid
    oveq2i a1i enrefg syl 0ex xpsnen2g mapen con0 1on xpen entr ) ADGZBEGZCFGZU
    BZABCUCZHIZAJKZBLZHIZAMKZCLZHIZLZNOVQABHIZACHIZLZNOZVJVTNOVHVJAVLVOUDZHIZVQ
    NVIWBAHBCUAUNVHVLPGZVOPGZVEVLVOUEJUFZWCVQNOVHVKPGVFWDJQVEVFVGUGZVKBPERSVHVN
    PGVGWEMQVEVFVGUHZVNCPFRSVEVFVGUIZWFVHBCUJUOVLVOAPPDUKULUMVHVMVRNOZVPVSNOZWA
    VHAANOZVLBNOZWJVHVEWLWIADUPUQZVHJPGVFWMURWGJBPEUSSAAVLBUTTVHWLVOCNOZWKWNVHM
    VAGVGWOVBWHMCVAFUSSAAVOCUTTVMVRVPVSVCTVJVQVTVDT $.

  $( Sum of exponents law for cardinal arithmetic.  (Contributed by Mario
     Carneiro, 15-May-2015.) $)
  pwdjuen $p |- ( ( A e. V /\ B e. W ) ->
      ~P ( A |_| B ) ~~ ( ~P A X. ~P B ) ) $=
    ( wcel wa cdju cpw c2o cmap co cen wbr cxp cvv djuex pw2eng syl con0 2on wb
    mapdjuen mp3an1 xpen syl2an enen2 mpbird entr syl2anc ) ACEZBDEZFZABGZHZIUM
    JKZLMZUOAHZBHZNZLMZUNUSLMULUMOEUPABCDPUMOQRULUTUOIAJKZIBJKZNZLMZISEUJUKVDTI
    ABSCDUBUCULUSVCLMZUTVDUAUJUQVALMURVBLMVEUKACQBDQUQVAURVBUDUEUSVCUOUFRUGUNUO
    USUHUI $.

  $( Ordering law for cardinal addition.  Exercise 4.56(f) of [Mendelson]
     p. 258.  (Contributed by NM, 28-Sep-2004.)  (Revised by Mario Carneiro,
     29-Apr-2015.)  (Revised by Jim Kingdon, 1-Sep-2023.) $)
  djudom1 $p |- ( ( A ~<_ B /\ C e. V ) -> ( A |_| C ) ~<_ ( B |_| C ) ) $=
    ( cdom wbr wcel wa csn cxp c1o cun cdju snex xpdom2 cvv xpexg mpan df-dju
    c0 domrefg syl cin wceq xp01disjl undom mpan2 syl2an 3brtr4g ) ABEFZCDGZHTI
    ZAJZKIZCJZLZULBJZUOLZACMBCMEUJUMUQEFZUOUOEFZUPUREFZUKABULTNOUKUOPGZUTUNPGUK
    VBKNUNCPDQRUOPUAUBUSUTHUQUOUCTUDVABCUEUMUQUOUOUFUGUHACSBCSUI $.

  $( Ordering law for cardinal addition.  Theorem 6L(a) of [Enderton] p. 149.
     (Contributed by NM, 28-Sep-2004.)  (Revised by Mario Carneiro,
     29-Apr-2015.) $)
  djudom2 $p |- ( ( A ~<_ B /\ C e. V ) -> ( C |_| A ) ~<_ ( C |_| B ) ) $=
    ( cdom wbr wcel wa cdju djudom1 cen cvv reldom brrelex1i djucomen brrelex2i
    wb sylan domen1 domen2 sylan9bb syl2anc mpbid ) ABEFZCDGZHZACIZBCIZEFZCAIZC
    BIZEFZABCDJUFUGUJKFZUHUKKFZUIULQUDALGUEUMABEMNACLDORUDBLGUEUNABEMPBCLDORUMU
    IUJUHEFUNULUGUJUHSUHUKUJTUAUBUC $.

  $( A set is dominated by its disjoint union with another.  (Contributed by
     NM, 28-Sep-2004.)  (Revised by Mario Carneiro, 29-Apr-2015.) $)
  djudoml $p |- ( ( A e. V /\ B e. W ) -> A ~<_ ( A |_| B ) ) $=
    ( wcel cun cdom wbr cdju cvv wss unexg ssun1 ssdomg mpisyl undjudom syl2anc
    wa domtr ) ACEBDERZAABFZGHZUAABIZGHAUCGHTUAJEAUAKUBABCDLABMAUAJNOABCDPAUAUC
    SQ $.

  $( Cartesian product dominates disjoint union for sets with cardinality
     greater than 1.  Similar to Proposition 10.36 of [TakeutiZaring] p. 93.
     (Contributed by Mario Carneiro, 18-May-2015.) $)
  djuxpdom $p |- ( ( 1o ~< A /\ 1o ~< B ) -> ( A |_| B ) ~<_ ( A X. B ) ) $=
    ( c1o csdm wbr csn cxp cdom cen cvv wcel relsdom brrelex2i xpsnen2g sylancr
    c0 wb sdomen2 syl ibir cdju cun df-dju 0ex con0 1on unxpdom syl2an eqbrtrid
    wa xpen domentr syl2anc ) CADEZCBDEZUJZABUAZPFAGZCFBGZGZHEUTABGZIEZUQVAHEUP
    UQURUSUBZUTHABUCUNCURDEZCUSDEZVCUTHEUOUNVDUNURAIEZVDUNQUNPJKAJKVFUDCADLMPAJ
    JNOZURACRSTUOVEUOUSBIEZVEUOQUOCUEKBJKVHUFCBDLMCBUEJNOZUSBCRSTURUSUGUHUIUNVF
    VHVBUOVGVIURAUSBUKUHUQUTVAULUM $.

  $( The disjoint union of two finite sets is finite.  (Contributed by NM,
     22-Oct-2004.) $)
  djufi $p |- ( ( A ~< _om /\ B ~< _om ) -> ( A |_| B ) ~< _om ) $=
    ( com csdm wbr c0 csn cxp c1o cen wb con0 wcel cvv relsdom xpsnen2g sylancr
    brrelex1i sdomen1 syl cdju cun df-dju 0elon ibir 1on unfi2 syl2an eqbrtrid
    wa ) ACDEZBCDEZUJABUAFGAHZIGBHZUBZCDABUCUKUMCDEZUNCDEZUOCDEULUKUPUKUMAJEZUP
    UKKUKFLMANMURUDACDORFALNPQUMACSTUEULUQULUNBJEZUQULKULILMBNMUSUFBCDORIBLNPQU
    NBCSTUEUMUNUGUHUI $.

  $( Any partition of omega into two pieces (which may be disjoint) contains an
     infinite subset.  (Contributed by Mario Carneiro, 11-Feb-2013.) $)
  cdainflem $p |- ( ( A u. B ) ~~ _om -> ( A ~~ _om \/ B ~~ _om ) ) $=
    ( com cen wbr csdm wa wn wo cdom cvv wss ssdomg mpisyl domentr anim1i bren2
    mpancom sylibr ex cun unfi2 sdomnen con2i ianor relen brrelex1i ssun1 ssun2
    syl wcel orim12d syl5bi mpd ) ABUAZCDEZACFEZBCFEZGZHZACDEZBCDEZIZUSUPUSUOCF
    EUPHABUBUOCUCUJUDUTUQHZURHZIUPVCUQURUEUPVDVAVEVBUPVDVAUPVDGACJEZVDGVAUPVFVD
    AUOJEZUPVFUPUOKUKZAUOLVGUOCDUFUGZABUHAUOKMNAUOCORPACQSTUPVEVBUPVEGBCJEZVEGV
    BUPVJVEBUOJEZUPVJUPVHBUOLVKVIBAUIBUOKMNBUOCORPBCQSTULUMUN $.

  ${
    $d A x $.
    $( A set is infinite iff the cardinal sum with itself is infinite.
       (Contributed by NM, 22-Oct-2004.)  (Revised by Mario Carneiro,
       29-Apr-2015.) $)
    djuinf $p |- ( _om ~<_ A <-> _om ~<_ ( A |_| A ) ) $=
      ( vx com cdom wbr cvv wcel reldom brrelex2i syl2anc cen wss wa c0 csn cxp
      cin c1o cun mpan djudoml domtr mpdan cv wex anidm djuexb bitr3i sylibr wb
      cdju domeng syl indi wceq simpr df-dju sseqtrdi df-ss sylib eqtr3id ensym
      ibi adantr eqbrtrd wo cdainflem snex xpexg ssdomg mpisyl xpsnen2g domentr
      inss2 0ex domen1 syl5ibcom con0 1on jaod syl5 exlimdv sylc impbii ) CADEZ
      CAAUKZDEZWEAWFDEZWGWEAFGZWIWHCADHIZWJAAFFUAJCAWFUBUCWGWICBUDZKEZWKWFLZMZB
      UEZWEWGWFFGZWICWFDHIZWIWIWIMWPWIUFAAUGUHUIWGWOWGWPWGWOUJWQBCWFFULUMVCWIWN
      WEBWNWKNOZAPZQZWKROZAPZQZSZCKEZWIWEWNXDWKCKWNXDWKWSXBSZQZWKWKWSXBUNWNWKXF
      LXGWKUOWNWKWFXFWLWMUPAAUQURWKXFUSUTVAWLWKCKEWMCWKVBVDVEXEWTCKEZXCCKEZVFWI
      WEWTXCVGWIXHWEXIWIWTADEZXHWEWIWTWSDEZWSAKEZXJWIWSFGZWTWSLXKWRFGWIXMNVHWRA
      FFVITWKWSVNWTWSFVJVKNFGWIXLVONAFFVLTWTWSAVMJWTCAVPVQWIXCADEZXIWEWIXCXBDEZ
      XBAKEZXNWIXBFGZXCXBLXOXAFGWIXQRVHXAAFFVITWKXBVNXCXBFVJVKRVRGWIXPVSRAVRFVL
      TXCXBAVMJXCCAVPVQVTWAWAWBWCWD $.
  $}

  $( An infinite set is equinumerous to itself added with one.  (Contributed by
     Mario Carneiro, 15-May-2015.) $)
  infdju1 $p |- ( _om ~<_ A -> ( A |_| 1o ) ~~ A ) $=
    ( com cdom wbr c1o cdju csn cxp cen cop cdif cun difun2 df-dju 0ex wceq cvv
    c0 wcel con0 df1o2 xpeq2i 1oex xpsn eqtr2i difeq12i xp01disjl disj3 3eqtr4i
    cin reldom brrelex2i 1on djudoml sylancl domtr mpdan infdifsn syl eqbrtrrid
    mpbi ensymd xpsnen2g sylancr entr syl2anc ) BACDZAEFZRGZAHZIDVJAIDZVHAIDVGV
    JVHVGVJVHERJZGZKZVHIVJEGZEHZLZVPKVJVPKZVNVJVJVPMVHVQVMVPAENVPVOVIHVMEVIVOUA
    UBERUCOUDUEUFVJVPUJRPVJVRPAEUGVJVPUHVAUIVGBVHCDZVNVHIDVGAVHCDZVSVGAQSZETSVT
    BACUKULZUMAEQTUNUOBAVHUPUQVHVLURUSUTVBVGRQSWAVKOWBRAQQVCVDVHVJAVEVF $.

  $( The sum of a powerset with itself is equipotent to the successor powerset.
     (Contributed by Mario Carneiro, 15-May-2015.) $)
  pwdju1 $p |- ( A e. V -> ( ~P A |_| ~P A ) ~~ ~P ( A |_| 1o ) ) $=
    ( wcel c1o cdju cpw cxp cen wbr con0 pwdjuen mpan2 pwexg 1oex pwex xpcomeng
    1on cvv c2o c0 sylancl entr syl2anc csn cpr pwpw0 df1o2 pweqi df2o2 3eqtr4i
    xpeq1i xp2dju eqtri breqtrdi ensymd ) ABCZADEFZAFZUREZUPUQDFZURGZUSHUPUQURU
    TGZHIZVBVAHIZUQVAHIUPDJCVCQADBJKLUPURRCUTRCVDABMDNOURUTRRPUAUQVBVAUBUCVASUR
    GUSUTSURTUDZFTVEUEUTSUFDVEUGUHUIUJUKURULUMUNUO $.

  $( If the natural numbers inject into ` A ` , then ` ~P A ` is idempotent
     under cardinal sum.  (Contributed by Mario Carneiro, 15-May-2015.) $)
  pwdjuidm $p |- ( _om ~<_ A -> ( ~P A |_| ~P A ) ~~ ~P A ) $=
    ( com cdom wbr cpw cdju c1o cen cvv wcel reldom brrelex2i infdju1 pwen entr
    pwdju1 syl syl2anc ) BACDZAEZTFZAGFZEZHDZUCTHDZUATHDSAIJUDBACKLAIPQSUBAHDUE
    AMUBANQUAUCTOR $.

  $( If ` A ` is idempotent under cardinal sum and ` B ` is dominated by the
     power set of ` A ` , then so is the cardinal sum of ` A ` and ` B ` .
     (Contributed by Mario Carneiro, 15-May-2015.) $)
  djulepw $p |- ( ( ( A |_| A ) ~~ A /\ B ~<_ ~P A )
      -> ( A |_| B ) ~<_ ~P A ) $=
    ( cdju cen wbr cpw cdom wa c0 c1o cvv wcel csdm brrelex2i adantr 3syl simpr
    reldom syl2anc syl wceq djueq1 breq1d wne canth2g sdomdom brrelex1i djudom1
    relen sylan2 djudom2 syl2anc2 domtr pwdju1 domentr 0sdomg biimpar 0sdom1dom
    sylib simpll pwdom 0ex adantl djucomen sylancr dju0en domen1 mpbird endomtr
    wb pm2.61ne ) AACZADEZBAFZGEZHZABCZVNGEZIBCZVNGEZAIAIUAVQVSVNGAIBUBUCVPAIUD
    ZHZVQAJCZFZGEZWDVNGEZVRVPWEWAVPVQVNVNCZGEZWGWDDEZWEVPAVNGEZVOWHVPAKLZAVNMEW
    JVMWKVOVLADUINOZAKUEAVNUFPVMVOQZWJVOHZVQVNBCZGEZWOWGGEZWHVOWJBKLZWPBVNGRUGZ
    AVNBKUHUJWNVOVNKLWQWJVOQBVNGRNBVNVNKUKULVQWOWGUMSSVPWKWIWLAKUNTVQWGWDUOSOWB
    WCAGEZWFWBWCVLGEZVMWTWBJAGEZWKXAWBIAMEZXBVPXCWAVPWKXCWAVJWLAKUPTUQAURUSVPWK
    WAWLOJAAKUKSVMVOWAUTWCVLAUOSWCAVATVQWDVNUMSVPVSBICZDEZXDVNGEZVTVPIKLWRXEVBV
    OWRVMWSVCZIBKKVDVEVPXFVOWMVPWRXDBDEXFVOVJXGBKVFXDBVNVGPVHVSXDVNVISVK $.

  ${
    $d A x $.  $d B x $.
    $( The cardinal and ordinal sums are always equinumerous.  (Contributed by
       Mario Carneiro, 6-Feb-2013.)  (Revised by Jim Kingdon, 7-Sep-2023.) $)
    onadju $p |- ( ( A e. On /\ B e. On ) -> ( A +o B ) ~~ ( A |_| B ) ) $=
      ( vx con0 wcel wa cdju coa co cmpt crn cun cen wbr cin wceq enrefg adantr
      cv c0 simpr oacomf1olem ancoms simpld f1oeng syl2anc incom simprd djuenun
      wf1o eqid eqtrid syl3anc oarec breqtrrd ensymd ) ADEZBDEZFZABGZABHIZUSUTA
      CBACSHIJZKZLZVAMUSAAMNZBVCMNZAVCOZTPUTVDMNUQVEURADQRUSURBVCVBUJZVFUQURUAU
      SVHVCAOZTPZURUQVHVJFCBAVBVBUKUBUCZUDBVCDVBUEUFUSVGVITAVCUGUSVHVJVKUHULAAB
      VCUIUMCABUNUOUP $.
  $}

  $( The cardinal sum is equinumerous to an ordinal sum of the cardinals.
     (Contributed by Mario Carneiro, 6-Feb-2013.)  (Revised by Mario Carneiro,
     28-Apr-2015.) $)
  cardadju $p |- ( ( A e. dom card /\ B e. dom card ) ->
       ( A |_| B ) ~~ ( ( card ` A ) +o ( card ` B ) ) ) $=
    ( ccrd cdm wcel wa cfv coa co cdju cen wbr con0 cardon onadju mp2an cardid2
    djuen syl2an entr sylancr ensymd ) ACDZEZBUCEZFZACGZBCGZHIZABJZUFUIUGUHJZKL
    ZUKUJKLZUIUJKLUGMEUHMEULANBNUGUHOPUDUGAKLUHBKLUMUEAQBQUGAUHBRSUIUKUJTUAUB
    $.

  $( The disjoint union of two numerable sets is numerable.  (Contributed by
     Mario Carneiro, 29-Apr-2015.) $)
  djunum $p |- ( ( A e. dom card /\ B e. dom card ) ->
                ( A |_| B ) e. dom card ) $=
    ( ccrd cdm wcel wa cfv coa co con0 cdju cen wbr cardon oacl cardadju ensymd
    mp2an isnumi sylancr ) ACDZEBUAEFZACGZBCGZHIZJEZUEABKZLMUGUAEUCJEUDJEUFANBN
    UCUDORUBUGUEABPQUEUGST $.

  $( The union of two numerable sets is numerable.  (Contributed by Mario
     Carneiro, 29-Apr-2015.) $)
  unnum $p |- ( ( A e. dom card /\ B e. dom card ) ->
                ( A u. B ) e. dom card ) $=
    ( ccrd cdm wcel wa cdju cun cdom wbr djunum undjudom numdom syl2anc ) ACDZE
    BOEFABGZOEABHZPIJQOEABKABOOLPQMN $.

  ${
    $d B x $.  $d A x y $.
    $( The cardinal and ordinal sums of finite ordinals are equal.  For a
       shorter proof using ~ ax-rep , see ~ nnadjuALT .  (Contributed by Paul
       Chapman, 11-Apr-2009.)  (Revised by Mario Carneiro, 6-Feb-2013.)  Avoid
       ~ ax-rep .  (Revised by BTernaryTau, 2-Jul-2024.) $)
    nnadju $p |- ( ( A e. _om /\ B e. _om ) ->
        ( card ` ( A |_| B ) ) = ( A +o B ) ) $=
      ( vx com wcel wa cdju coa co cen wbr wceq wi djueq2 oveq2 breq12d c1o syl
      c0 entr vy ccrd cfv cv imbi2d csuc dju0en nna0 breqtrrd cvv 1oex djuassen
      mp3an3 enrefg wn word nnord ordirr dju1en mpdan djuen syl2an ensymd enref
      syl2anc mpan2 a1i nnacl nnasuc jctird syl6an expcom finds2 vtoclga impcom
      3syl syl6 carden2b cardnn eqtrd ) ADEZBDEZFZABGZUBUCZABHIZUBUCZWFWCWDWFJK
      ZWEWGLWBWAWHWAACUDZGZAWIHIZJKZMWAWHMCBDWIBLZWLWHWAWMWJWDWKWFJWIBANWIBAHOP
      UEWLASGZASHIZJKAUAUDZGZAWPHIZJKZAWPUFZGZAWTHIZJKZWACUAWISLWJWNWKWOJWISANW
      ISAHOPWIWPLWJWQWKWRJWIWPANWIWPAHOPWIWTLWJXAWKXBJWIWTANWIWTAHOPWAWNAWOJADU
      GAUHUIWAWPDEZWSXCMWAXDFZXAWQQGZJKWSXFXBJKZXCXEXFXAXEXFAWPQGZGZJKZXIXAJKZX
      FXAJKWAXDQUJEXJUKAWPQDDUJULUMWAAAJKXHWTJKZXKXDADUNXDWPWPEUOZXLXDWPUPXMWPU
      QWPURRWPDUSUTAAXHWTVAVBXFXIXATVEVCXEWSXFWRQGZJKZXNXBJKZFXGXEWSXOXPWSXOMXE
      WSQQJKXOQUKVDWQWRQQVAVFVGXEXNWRUFZXBJXEWRDEZWRWREUOZXNXQJKAWPVHZXEXRWRUPX
      SXTWRUQWRURVPWRDUSVEAWPVIUIVJXFXNXBTVQXAXFXBTVKVLVMVNVOWDWFVRRWCWFDEWGWFL
      ABVHWFVSRVT $.
    $( $j usage 'nnadju' avoids 'ax-rep'; $)
  $}

  $( Shorter proof of ~ nnadju using ~ ax-rep .  (Contributed by Paul Chapman,
     11-Apr-2009.)  (Revised by Mario Carneiro, 6-Feb-2013.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  nnadjuALT $p |- ( ( A e. _om /\ B e. _om ) ->
                 ( card ` ( A |_| B ) ) = ( A +o B ) ) $=
    ( com wcel wa coa co ccrd cfv cdju cen wbr wceq con0 onadju syl2an carden2b
    nnon syl nnacl cardnn eqtr3d ) ACDZBCDZEZABFGZHIZABJZHIZUFUEUFUHKLZUGUIMUCA
    NDBNDUJUDARBRABOPUFUHQSUEUFCDUGUFMABTUFUASUB $.

  $( The disjoint union of finite sets is equinumerous to the ordinal sum of
     the cardinalities of those sets.  (Contributed by BTernaryTau,
     3-Jul-2024.) $)
  ficardadju $p |- ( ( A e. Fin /\ B e. Fin ) -> ( A |_| B ) ~~
      ( ( card ` A ) +o ( card ` B ) ) ) $=
    ( cfn wcel wa ccrd cfv cdju cen wbr com ficardom c0 csn cxp c1o snfi syl2an
    nnfi ficardid coa nnadju cun df-dju xpfi sylancr unfi eqeltrid syl eqbrtrrd
    co djuen entr syl2anc ensymd ) ACDZBCDZEZAFGZBFGZUAUKZABHZURVAUSUTHZIJZVCVB
    IJZVAVBIJUPUSKDZUTKDZVDUQALBLVFVGEZVCFGZVAVCIUSUTUBVHVCCDVIVCIJVHVCMNZUSOZP
    NZUTOZUCZCUSUTUDVFVKCDZVMCDZVNCDVGVFVJCDUSCDVOMQUSSVJUSUEUFVGVLCDUTCDVPPQUT
    SVLUTUEUFVKVMUGRUHVCTUIUJRUPUSAIJUTBIJVEUQATBTUSAUTBULRVAVCVBUMUNUO $.

  $( The cardinality of the union of disjoint, finite sets is the ordinal sum
     of their cardinalities.  (Contributed by Paul Chapman, 5-Jun-2009.)
     (Proof shortened by Mario Carneiro, 28-Apr-2015.)  Avoid ~ ax-rep .
     (Revised by BTernaryTau, 3-Jul-2024.) $)
  ficardun $p |- ( ( A e. Fin /\ B e. Fin /\ ( A i^i B ) = (/) )
      -> ( card ` ( A u. B ) ) = ( ( card ` A ) +o ( card ` B ) ) ) $=
    ( cfn wcel cin c0 wceq w3a ccrd cfv coa co cun cen wbr cdju 3adant3 syl com
    ficardom ficardadju ensymd endjudisj entr syl2anc carden2b wa cardnn syl2an
    nnacl eqtr3d ) ACDZBCDZABEFGZHZAIJZBIJZKLZIJZABMZIJZURUOURUTNOZUSVAGUOURABP
    ZNOVCUTNOVBUOVCURULUMVCURNOUNABUAQUBABCCUCURVCUTUDUEURUTUFRULUMUSURGZUNULUP
    SDZUQSDZVDUMATBTVEVFUGURSDVDUPUQUJURUHRUIQUK $.

  $( Obsolete version of ~ ficardun as of 3-Jul-2024.  (Contributed by Paul
     Chapman, 5-Jun-2009.)  (Proof shortened by Mario Carneiro, 28-Apr-2015.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  ficardunOLD $p |- ( ( A e. Fin /\ B e. Fin /\ ( A i^i B ) = (/) )
             -> ( card ` ( A u. B ) ) = ( ( card ` A ) +o ( card ` B ) ) ) $=
    ( cfn wcel cin c0 wceq w3a cfv coa co cen wbr finnum syl2an 3adant3 syl com
    ccrd ficardom cun cdju cdm cardadju ensymd endjudisj syl2anc carden2b nnacl
    entr wa cardnn eqtr3d ) ACDZBCDZABEFGZHZASIZBSIZJKZSIZABUAZSIZUTUQUTVBLMZVA
    VCGUQUTABUBZLMVEVBLMVDUQVEUTUNUOVEUTLMZUPUNASUCZDBVGDVFUOANBNABUDOPUEABCCUF
    UTVEVBUJUGUTVBUHQUNUOVAUTGZUPUNURRDZUSRDZVHUOATBTVIVJUKUTRDVHURUSUIUTULQOPU
    M $.

  $( The cardinality of the union of finite sets is at most the ordinal sum of
     their cardinalities.  (Contributed by Mario Carneiro, 5-Feb-2013.)  Avoid
     ~ ax-rep .  (Revised by BTernaryTau, 3-Jul-2024.) $)
  ficardun2 $p |- ( ( A e. Fin /\ B e. Fin )
      -> ( card ` ( A u. B ) ) C_ ( ( card ` A ) +o ( card ` B ) ) ) $=
    ( cfn wcel wa cun ccrd cfv coa co wss cdom wbr cen undjudom syl2anc syl com
    cdju ficardom ficardadju domentr cdm wb unfi finnum con0 syl2an nnon onenon
    nnacl 3syl carddom2 mpbird wceq cardnn sseqtrd ) ACDZBCDZEZABFZGHZAGHZBGHZI
    JZGHZVEUTVBVFKZVAVELMZUTVAABSZLMVIVENMVHABCCOABUAVAVIVEUBPUTVAGUCZDZVEVJDZV
    GVHUDUTVACDVKABUEVAUFQUTVERDZVEUGDVLURVCRDVDRDVMUSATBTVCVDUKUHZVEUIVEUJULVA
    VEUMPUNUTVMVFVEUOVNVEUPQUQ $.

  $( Obsolete version of ~ ficardun2 as of 3-Jul-2024.  (Contributed by Mario
     Carneiro, 5-Feb-2013.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  ficardun2OLD $p |- ( ( A e. Fin /\ B e. Fin )
      -> ( card ` ( A u. B ) ) C_ ( ( card ` A ) +o ( card ` B ) ) ) $=
    ( cfn wcel cun ccrd cfv coa wss cdom wbr cdju finnum syl2an syl2anc syl com
    wa co ficardom cen undjudom cardadju domentr wb unfi con0 nnacl nnon onenon
    cdm 3syl carddom2 mpbird wceq cardnn sseqtrd ) ACDZBCDZRZABEZFGZAFGZBFGZHSZ
    FGZVEUTVBVFIZVAVEJKZUTVAABLZJKVIVEUAKZVHABCCUBURAFUKZDBVKDVJUSAMBMABUCNVAVI
    VEUDOUTVAVKDZVEVKDZVGVHUEUTVACDVLABUFVAMPUTVEQDZVEUGDVMURVCQDVDQDVNUSATBTVC
    VDUHNZVEUIVEUJULVAVEUMOUNUTVNVFVEUOVOVEUPPUQ $.

  ${
    $d B k m n $.
    $( Lemma for ~ domtriom .  This is the equinumerosity version of the
       algebraic identity ` sum_ k e. n ( 2 ^ k ) = ( 2 ^ n ) - 1 ` .
       (Contributed by Mario Carneiro, 7-Feb-2013.) $)
    pwsdompw $p |- ( ( n e. _om /\ A. k e. suc n ( B ` k ) ~~ ~P k ) ->
         U_ k e. n ( B ` k ) ~< ( B ` n ) ) $=
      ( com wcel cfv cpw cen wbr csuc csdm wi c0 wceq fveq2 breq12d syl syl2anc
      adantl ccrd vm wral ciun suceq raleqdv iuneq1 imbi12d 0iun 0ex sucid pweq
      cv rspcv ax-mp canth2 sdomentr sylancr eqbrtrid wss sssucid ssralv pm2.27
      ensym wa cdju vex elelsuc mp2b djuen c1o pwdju1 nnord ordirr dju1en mpdan
      word pwen entr syl2an sucex ensymd adantr ancoms nnfi pwfi isfinite bitri
      cfn sylib ensdomtr sylibr cdom cun iunsuc cvv fvex iunex undjudom eqbrtri
      wn mp2an coa co cdm sdomtr sylan2b finnum cardadju ficardom cardid2 simpl
      3syl syl21anc con0 wb cardon onenon cardsdomel cardidm eleq2i w3a nnaordr
      sylan biimpa syl31anc nnacl cardnn eleqtrrd cardsdomelir domsdomtr expcom
      sylsyld syld ex com23 finds1 imp ) CULZDEBULZAFZYSGZHIZBYRJZUBZBYRYTUCZYR
      AFZKIZUUDUUGLUUBBMJZUBZBMYTUCZMAFZKIZLUUBBUAULZJZUBZBUUMYTUCZUUMAFZKIZLZU
      UBBUUNJZUBZBUUNYTUCZUUNAFZKIZLCUAYRMNZUUDUUIUUGUULUVEUUBBUUCUUHYRMUDUEUVE
      UUEUUJUUFUUKKBYRMYTUFYRMAOPUGYRUUMNZUUDUUOUUGUURUVFUUBBUUCUUNYRUUMUDUEUVF
      UUEUUPUUFUUQKBYRUUMYTUFYRUUMAOPUGYRUUNNZUUDUVAUUGUVDUVGUUBBUUCUUTYRUUNUDU
      EUVGUUEUVBUUFUVCKBYRUUNYTUFYRUUNAOPUGUUIUUJMUUKKBYTUHUUIUUKMGZHIZMUUKKIZM
      UUHEUUIUVILMUIUJUUBUVIBMUUHYSMNYTUUKUUAUVHHYSMAOYSMUKPUMUNUVIMUVHKIUVHUUK
      HIUVJMUIUOUUKUVHVCMUVHUUKUPUQQURUUMDEZUVAUUSUVDUVKUVAUUSUVDLUVKUVAVDZUUSU
      URUVDUVAUUSUURLZUVKUVAUUOUVMUUNUUTUSUVAUUOLUUNUTUUBBUUNUUTVAUNUUOUURVBQSU
      VLUUQUUQVEZUVCHIZUURUVBUVNKIZUVDUVAUVKUVOUVAUVKVDZUVNUUNGZHIZUVRUVCHIZUVO
      UVAUVNUUMGZUWAVEZHIZUWBUVRHIZUVSUVKUVAUUQUWAHIZUWEUWCUUMUUNEUUMUUTEUVAUWE
      LUUMUAVFZUJUUMUUNVGUUBUWEBUUMUUTYSUUMNYTUUQUUAUWAHYSUUMAOZYSUUMUKPUMVHZUW
      HUUQUWAUUQUWAVIRUVKUWBUUMVJVEZGZHIUWJUVRHIZUWDUUMDVKUVKUWIUUNHIZUWKUVKUUM
      UUMEWTZUWLUVKUUMVPUWMUUMVLUUMVMQUUMDVNVOUWIUUNVQQUWBUWJUVRVRRUVNUWBUVRVRV
      SUVAUVTUVKUVAUVCUVRUUNUUTEUVAUVCUVRHIZLUUNUUMUWFVTUJUUBUWNBUUNUUTYSUUNNYT
      UVCUUAUVRHYSUUNAOYSUUNUKPUMUNWAWBUVNUVRUVCVRRWCUVLUUQWHEZUURUVPLUVAUVKUWO
      UVQUUQDKIZUWOUVAUWEUWADKIZUWPUVKUWHUVKUUMWHEZUWQUUMWDUWRUWAWHEUWQUUMWEUWA
      WFWGWIUUQUWADWJVSUUQWFZWKWCUURUWOUVPUURUWOVDZUVBUUPUUQVEZWLIUXAUVNKIZUVPU
      VBUUPUUQWMZUXAWLBUUMYTUUQUWFUWGWNUUPWOEUUQWOEUXCUXAWLIBUUMYTUWFYSAWPWQUUM
      AWPUUPUUQWOWOWRXAWSUWTUXAUUQTFZUXDXBXCZKIZUXEUVNHIZUXBUWTUXAUUPTFZUXDXBXC
      ZHIZUXIUXEKIZUXFUWTUUPTXDZEZUUQUXLEZUXJUWTUUPWHEZUXMUWTUUPDKIZUXOUWOUURUW
      PUXPUWSUUPUUQDXEXFUUPWFWKZUUPXGZQUWOUXNUURUUQXGZSUUPUUQXHRUWTUXIUXETFZEUX
      KUWTUXIUXEUXTUWTUXHDEZUXDDEZUYBUXHUXDEZUXIUXEEZUWTUXOUYAUXQUUPXIQUWOUYBUU
      RUUQXIZSZUYFUWTUXHUXDKIZUYCUWTUXHUUPHIZUURUUQUXDHIZUYGUWTUXOUXMUYHUXQUXRU
      UPXJXLUURUWOXKUWOUYIUURUWOUXNUXDUUQHIUYIUXSUUQXJUXDUUQVCXLSUYHUURVDUXHUUQ
      KIUYIUYGUXHUUPUUQWJUXHUUQUXDUPYCXMUYGUXHUXDTFZEZUYCUXHXNEUXDUXLEZUYGUYKXO
      UUPXPUXDXNEUYLUUQXPUXDXQUNUXHUXDXRXAUYJUXDUXHUUQXSXTWGWIUYAUYBUYBYAUYCUYD
      UXHUXDUXDYBYDYEUWOUXTUXENZUURUWOUXEDEZUYMUWOUYBUYBUYNUYEUYEUXDUXDYFRUXEYG
      QSYHUXIUXEYIQUXAUXIUXEWJRUWOUXGUURUWOUVNUXEUWOUXNUXNUVNUXEHIUXSUXSUUQUUQX
      HRWASUXAUXEUVNUPRUVBUXAUVNYJUQYKQUVPUVOUVDUVBUVNUVCUPYKYLYMYNYOYPYQ $.
  $}

  $( The union of two countable sets is countable.  (Contributed by FL,
     25-Aug-2006.)  (Proof shortened by Mario Carneiro, 30-Apr-2015.) $)
  unctb $p |- ( ( A ~<_ _om /\ B ~<_ _om ) -> ( A u. B ) ~<_ _om ) $=
    ( com cdom wbr wa cun cdju cvv wcel ctex undjudom sylancl domtr syl2anc cxp
    omex wss c2o mp2an syl2an djudom1 sylan2 simpr djudom2 cen xpex xp2dju word
    ordom 2onn ordelss xpss1 ax-mp eqsstrri ssdomg mp2 xpomen domentr ) ACDEZBC
    DEZFZABGZABHZDEZVDCDEZVCCDEUTAIJBIJZVEVAAKBKZABIILUAVBVDCCHZDEZVICDEZVFVBVD
    CBHZDEZVLVIDEZVJVAUTVGVMVHACBIUBUCVBVACIJVNUTVAUDQBCCIUEMVDVLVINOVICCPZDEZV
    OCUFEVKVOIJVIVORVPCCQQUGVISCPZVOCUHSCRZVQVORCUISCJVRUJUKCSULTSCCUMUNUOVIVOI
    UPUQURVIVOCUSTVDVICNMVCVDCNO $.

  $( Absorption law for addition to an infinite cardinal.  (Contributed by NM,
     30-Sep-2004.)  (Revised by Mario Carneiro, 29-Apr-2015.) $)
  infdjuabs $p |- ( ( A e. dom card /\ _om ~<_ A /\ B ~<_ A )
      -> ( A |_| B ) ~~ A ) $=
    ( ccrd cdm wcel com cdom wbr w3a cen cxp c2o simp3 reldom brrelex2i djudom2
    cdju cvv domtr syl2anc xp2dju breqtrrdi simp1 csdm 2onn nnsdom sdomdom mp2b
    syl2anc2 simp2 sylancr xpdom1g infxpidm2 3adant3 domentr brrelex1i 3ad2ant3
    djudoml sbth ) ACDZEZFAGHZBAGHZIZABQZAGHZAVEGHZVEAJHVDVEAAKZGHZVHAJHZVFVDVE
    LAKZGHVKVHGHZVIVDVEAAQZVKGVDVCAREVEVMGHVAVBVCMBAGNOBAARPUIAUAUBVDVALAGHZVLV
    AVBVCUCZVDLFGHZVBVNLFELFUDHVPUELUFLFUGUHVAVBVCUJLFASUKLAAUTULTVEVKVHSTVAVBV
    JVCAUMUNVEVHAUOTVDVABREZVGVOVCVAVQVBBAGNUPUQABUTRURTVEAUST $.

  $( An infinite set is equinumerous to its union with a smaller one.
     (Contributed by NM, 28-Sep-2004.)  (Revised by Mario Carneiro,
     29-Apr-2015.) $)
  infunabs $p |- ( ( A e. dom card /\ _om ~<_ A /\ B ~<_ A ) ->
    ( A u. B ) ~~ A ) $=
    ( ccrd cdm wcel com cdom wbr w3a cun cen cdju cvv reldom brrelex1i 3ad2ant3
    simp1 undjudom syl2anc infdjuabs domentr wss unexg ssun1 ssdomg mpisyl sbth
    ) ACDZEZFAGHZBAGHZIZABJZAGHZAUMGHZUMAKHULUMABLZGHZUPAKHUNULUIBMEZUQUIUJUKQZ
    UKUIURUJBAGNOPZABUHMRSABTUMUPAUASULUMMEZAUMUBUOULUIURVAUSUTABUHMUCSABUDAUMM
    UEUFUMAUGS $.

  $( The sum of two cardinal numbers is their maximum, if one of them is
     infinite.  Proposition 10.41 of [TakeutiZaring] p. 95.  (Contributed by
     NM, 28-Sep-2004.)  (Revised by Mario Carneiro, 29-Apr-2015.) $)
  infdju $p |- ( ( A e. dom card /\ B e. dom card /\ _om ~<_ A ) ->
      ( A |_| B ) ~~ ( A u. B ) ) $=
    ( ccrd cdm wcel com cdom wbr w3a cdju cun cen wss unnum ssun2 ssdomg mpisyl
    3adant3 syl2anc domentr simp1 djucomen simp3 ssun1 domtr infdjuabs undjudom
    djudom2 syl3anc sbth ) ACDZEZBUKEZFAGHZIZABJZABKZGHZUQUPGHZUPUQLHUOUPUQAJZG
    HZUTUQLHZURUOUPAUQJZGHZVCUTLHZVAUOBUQGHZULVDUOUQUKEZBUQMVFULUMVGUNABNRZBAOB
    UQUKPQULUMUNUAZBUQAUKUHSUOULVGVEVIVHAUQUKUKUBSUPVCUTTSUOVGFUQGHZAUQGHZVBVHU
    OUNVKVJULUMUNUCUOVGAUQMVKVHABUDAUQUKPQZFAUQUESVLUQAUFUIUPUTUQTSULUMUSUNABUK
    UKUGRUPUQUJS $.

  $( The cardinality of an infinite set does not change after subtracting a
     strictly smaller one.  Example in [Enderton] p. 164.  (Contributed by NM,
     22-Oct-2004.)  (Revised by Mario Carneiro, 29-Apr-2015.) $)
  infdif $p |- ( ( A e. dom card /\ _om ~<_ A /\ B ~< A ) ->
      ( A \ B ) ~~ A ) $=
    ( wcel com cdom wbr csdm cen wss ssdomg mpisyl cdju cun sdomdom syl2anc cvv
    domtr wn wi syl ccrd cdm w3a simp1 difss 3ad2ant3 numdom unnum ssun1 undif1
    cdif ssnum sylancl undjudom eqbrtrrid simp3 relsdom brrelex2i djudom1 simp2
    ex djuinf biimpri domrefg infdjuabs 3com23 3expia mpdan syl2im syld biimpcd
    domen2 sylcom domnsym syl56 wb domtri2 mpbird difexd djudom2 sylibr syl3anc
    mt2d domentr sbth ) AUAUBZCZDAEFZBAGFZUCZABUKZAEFZAWKEFZWKAHFWJWGWKAIZWLWGW
    HWIUDZABUEZWKAWFJKWJAWKWKLZEFZWQWKHFZWMWJAWKBLZEFZWTWQEFZWRWJAABMZEFZXCWTEF
    XAWJXCWFCZAXCIXDWJWGBWFCZXEWOWJWGBAEFZXFWOWIWGXGWHBANUFABUGOZABUHOABUIAXCWF
    JKWJXCWKBMZWTEABUJWJWKWFCZXFXIWTEFWJWGWNXJWOWPAWKULUMZXHWKBWFWFUNOUOAXCWTQO
    ZWJBWKEFZWKPCXBWJXMWKBGFZRZWJXNWIWGWHWIUPXNWTBBLZEFZWJABEFZWIRXNWKBEFBPCXQW
    KBNWKBGUQURWKBBPUSOWJXQAXPEFZXRWJXAXQXSSXLXAXQXSAWTXPQVATWJXSXPBHFZXRWJXSDX
    PEFZXTWJWHXSYASWGWHWIUTZWHXSYADAXPQVATWJXFYADBEFZXTXHYCYABVBVCXFBBEFZYCXTSB
    WFVDXFYDYCXTXFYCYDXTBBVEVFVGVHVIVJXTXSXRXPBAVLVKVMVJABVNVOWCWJXFXJXMXOVPXHX
    KBWKVQOVRWJABWFWOVSBWKWKPVTOAWTWQQOZWJXJDWKEFZWKWKEFZWSXKWJDWQEFZYFWJWHWRYH
    YBYEDAWQQOWKVBWAWJXJYGXKWKWFVDTWKWKVEWBAWQWKWDOWKAWEO $.

  $( Cardinality ordering for an infinite class difference.  (Contributed by
     NM, 24-Mar-2007.)  (Revised by Mario Carneiro, 29-Apr-2015.) $)
  infdif2 $p |- ( ( A e. dom card /\ B e. dom card /\ _om ~<_ A ) ->
      ( ( A \ B ) ~<_ B <-> A ~<_ B ) ) $=
    ( ccrd cdm wcel com cdom wbr w3a cdif wn wi domnsym cen simp3 infdif ensymd
    csdm sdomentr syl2anc nsyl3 3expia 3adant2 con2d wb domtri2 3adant3 sylibrd
    wss simp1 difss ssdomg mpisyl domtr ex syl impbid ) ACDZEZBUREZFAGHZIZABJZB
    GHZABGHZVBVDBARHZKZVEVBVFVDUSVAVFVDKZLUTUSVAVFVHVDBVCRHZUSVAVFIZVCBMVJVFAVC
    NHVIUSVAVFOVJVCAABPQBAVCSTUAUBUCUDUSUTVEVGUEVAABUFUGUHVBVCAGHZVEVDLVBUSVCAU
    IVKUSUTVAUJABUKVCAURULUMVKVEVDVCABUNUOUPUQ $.

  $( Dominance law for multiplication with an infinite cardinal.  (Contributed
     by NM, 26-Mar-2006.)  (Revised by Mario Carneiro, 29-Apr-2015.) $)
  infxpdom $p |- ( ( A e. dom card /\ _om ~<_ A /\ B ~<_ A ) ->
    ( A X. B ) ~<_ A ) $=
    ( ccrd cdm wcel com wbr w3a cxp cen xpdom2g 3adant2 3adant3 domentr syl2anc
    cdom infxpidm2 ) ACDZEZFAPGZBAPGZHABIZAAIZPGZUCAJGZUBAPGSUAUDTBAARKLSTUEUAA
    QMUBUCANO $.

  $( Absorption law for multiplication with an infinite cardinal.  (Contributed
     by NM, 30-Sep-2004.)  (Revised by Mario Carneiro, 29-Apr-2015.) $)
  infxpabs $p |- ( ( ( A e. dom card /\ _om ~<_ A ) /\
    ( B =/= (/) /\ B ~<_ A ) ) -> ( A X. B ) ~~ A ) $=
    ( ccrd cdm wcel com cdom wbr wa c0 wne cxp cen infxpdom 3expa simpll numdom
    adantrl ad2ant2rl simprl xpdom3 syl3anc sbth syl2anc ) ACDZEZFAGHZIZBJKZBAG
    HZIZIZABLZAGHZAUMGHZUMAMHUHUJUNUIUFUGUJUNABNORULUFBUEEZUIUOUFUGUKPUFUJUPUGU
    IABQSUHUIUJTABUEUEUAUBUMAUCUD $.

  $( The union of two sets that are strictly dominated by the infinite set
     ` X ` is also dominated by ` X ` .  This version of ~ infunsdom assumes
     additionally that ` A ` is the smaller of the two.  (Contributed by Mario
     Carneiro, 14-Dec-2013.)  (Revised by Mario Carneiro, 3-May-2015.) $)
  infunsdom1 $p |- ( ( ( X e. dom card /\ _om ~<_ X ) /\
    ( A ~<_ B /\ B ~< X ) ) -> ( A u. B ) ~< X ) $=
    ( ccrd cdm wcel com cdom wbr csdm cun simprl domsdomtr sylan unfi2 sylancom
    wa syl2anc cen adantr simpllr sdomdomtr wn con0 omelon onenon ax-mp sdomdom
    simpll ad2antll numdom domtri2 sylancr biimpar uncom simpr infunabs syl3anc
    wb eqbrtrid simplrr ensdomtr syldan pm2.61dan ) CDEZFZGCHIZQZABHIZBCJIZQZQZ
    BGJIZABKZCJIZVLVMQVNGJIZVGVOVLVMAGJIZVPVLVIVMVQVHVIVJLZABGMNABOPVFVGVKVMUAV
    NGCUBRVLVMUCZGBHIZVOVLVTVSVLGVEFZBVEFZVTVSUSGUDFWAUEGUFUGVLVFBCHIZWBVFVGVKU
    IVJWCVHVIBCUHUJCBUKRZGBULUMUNVLVTQZVNBSIVJVOWEVNBAKZBSABUOWEWBVTVIWFBSIVLWB
    VTWDTVLVTUPVLVIVTVRTBAUQURUTVHVIVJVTVAVNBCVBRVCVD $.

  $( The union of two sets that are strictly dominated by the infinite set
     ` X ` is also strictly dominated by ` X ` .  (Contributed by Mario
     Carneiro, 3-May-2015.) $)
  infunsdom $p |- ( ( ( X e. dom card /\ _om ~<_ X ) /\
    ( A ~< X /\ B ~< X ) ) -> ( A u. B ) ~< X ) $=
    ( ccrd cdm wcel com cdom wbr wa csdm cun sdomdom infunsdom1 anass1rs sylan2
    adantlrl wn numdom syl2anc ad2antll ad2antrl domtri2 biimpar uncom eqbrtrid
    wb simpll adantlrr syldan pm2.61dan ) CDEZFZGCHIZJZACKIZBCKIZJZJZABKIZABLZC
    KIZUTUSABHIZVBABMUOUQVCVBUPUOVCUQVBABCNOQPUSUTRZBAHIZVBUSVEVDUSBULFZAULFZVE
    VDUGUSUMBCHIZVFUMUNURUHZUQVHUOUPBCMUACBSTUSUMACHIZVGVIUPVJUOUQACMUBCASTBAUC
    TUDUOUPVEVBUQUOVEUPVBUOVEUPJJVABALCKABUEBACNUFOUIUJUK $.

  $( Absorption law for multiplication with an infinite cardinal.  Equivalent
     to Proposition 10.41 of [TakeutiZaring] p. 95.  (Contributed by NM,
     28-Sep-2004.)  (Revised by Mario Carneiro, 29-Apr-2015.) $)
  infxp $p |- ( ( ( A e. dom card /\ _om ~<_ A ) /\
    ( B e. dom card /\ B =/= (/) ) ) -> ( A X. B ) ~~ ( A u. B ) ) $=
    ( ccrd wcel com cdom wbr wa c0 wne cxp cun infxpabs infunabs adantrl ensymd
    cen entr syl2anc ad2ant2r cdm csdm sdomdom wi 3expa expr syl5 wn wb domtri2
    xpcomeng simplrl domtr ad4ant24 infn0 ad3antlr simpr syl22anc uncom syl3anc
    eqbrtrid syl2an2r ex sylbird pm2.61d ) ACUAZDZEAFGZHZBVFDZBIJZHZHZBAUBGZABK
    ZABLZQGZVNBAFGZVMVQBAUCVIVKVRVQUDVJVIVKVRVQVIVKVRHHZVOAQGAVPQGVQABMVSVPAVIV
    RVPAQGZVKVGVHVRVTABNUEOPVOAVPRSUFOUGVMVNUHZABFGZVQVGVJWBWAUIVHVKABUJTVMWBVQ
    VMVOBAKZQGZWBWCVPQGZVQVGVJWDVHVKABVFVFUKTVMWBHZWCBQGZBVPQGWEWFVJEBFGZAIJZWB
    WGVIVJVKWBULZVHWBWHVGVLEABUMUNZVHWIVGVLWBAUOUPVMWBUQZBAMURWFVPBWFVPBALZBQAB
    USWFVJWHWBWMBQGWJWKWLBANUTVAPWCBVPRSVOWCVPRVBVCVDVE $.

  $( A property of dominance over a powerset, and a main lemma for ~ gchac .
     Similar to Lemma 2.3 of [KanamoriPincus] p. 420.  (Contributed by Mario
     Carneiro, 15-May-2015.) $)
  pwdjudom $p |- ( ~P ( A |_| A ) ~<_ ( A |_| B ) -> ~P A ~<_ B ) $=
    ( cdju cpw cdom wbr c1o csn cxp cen cwdom cvv wcel xpsnen2g sylancr syl2anc
    c0 wn syl con0 canthwdom wi 0ex reldom brrelex2i djuexb sylibr simpld endom
    wa domwdom wdomtr expcom 4syl mtoi cun wo wb pwdjuen domen1 df-dju breqtrdi
    ibi unxpwdom ord mpd 1on simprd domentr ) AACDZABCZEFZADZGHBIZEFZVNBJFZVMBE
    FVLVMQHAIZKFZRVOVLVRVMAKFZAUAVLVQAJFZVQAEFVQAKFZVRVSUBVLQLMALMZVTUCVLWBBLMZ
    VLVKLMWBWCUJVJVKEUDUEABUFUGZUHZQALLNOVQAUIVQAUKVRWAVSVMVQAULUMUNUOVLVRVOVLV
    MVMIZVQVNUPZEFVRVOUQVLWFVKWGEVLWFVKEFZVLVJWFJFZVLWHURVLWBWBWIWEWEAALLUSPVJW
    FVKUTSVCABVAVBVMVQVNVDSVEVFVLGTMWCVPVGVLWBWCWDVHGBTLNOVMVNBVIP $.

  ${
    $d x y A $.
    $( Every infinite set has an equinumerous proper subset, proved without AC
       or Infinity.  Exercise 7 of [TakeutiZaring] p. 91.  See also
       ~ infpssALT .  (Contributed by NM, 23-Oct-2004.)  (Revised by Mario
       Carneiro, 30-Apr-2015.) $)
    infpss $p |- ( _om ~<_ A -> E. x ( x C. A /\ x ~~ A ) ) $=
      ( vy com cdom wbr cv wcel cen wa wex c0 wne infn0 n0 sylib csn cvv adantr
      wpss cdif reldom brrelex2i difexd simpr difsnpss infdifsn jca wceq psseq1
      breq1 anbi12d spcedv exlimddv ) DBEFZCGZBHZAGZBTZURBIFZJZAKCUOBLMUQCKBNCB
      OPUOUQJZVABUPQZUAZBTZVDBIFZJARVDUOVDRHUQUOBVCRDBEUBUCUDSVBVEVFVBUQVEUOUQU
      EUPBUFPUOVFUQBUPUGSUHURVDUIUSVEUTVFURVDBUJURVDBIUKULUMUN $.
  $}

  ${
    $d f x A $.  $d f x B $.
    $( An exponentiation law for infinite cardinals.  Similar to Lemma 6.2 of
       [Jech] p. 43.  Although this version of ~ infmap avoids the axiom of
       choice, it requires the powerset of an infinite set to be well-orderable
       and so is usually not applicable.  (Contributed by NM, 1-Oct-2004.)
       (Revised by Mario Carneiro, 30-Apr-2015.) $)
    infmap2 $p |- ( ( _om ~<_ A /\ B ~<_ A /\ ( A ^m B ) e. dom card ) ->
                      ( A ^m B ) ~~ { x | ( x C_ A /\ x ~~ B ) } ) $=
      ( vf cdom wbr cmap wcel wss cen wa cab c0 wceq cvv reldom syl syl2anc c1o
      wf com co ccrd cdm w3a cv oveq2 breq2 anbi2d abbidv breq12d wne brrelex1i
      cxp simpl2 brrelex2i xpcomeng simpl3 simpr mapdom3 numdom simpl1 infxpabs
      syl3anc syl22anc entr ssenen relen abid2 elmapi fssxp wfun ffun vex ensym
      fundmen 3syl fdm breqtrd jca ss2abi eqsstrri ssdomg domentr crn cmpt ovex
      mpisyl mptex rnex wrex wex wf1o ad2antll bren f1of adantl simplrl fssd wb
      sylib elmapd ad2antrr mpbird wfo f1ofo eqcomd ex eximdv mpd df-rex sylibr
      forn ss2abdv eqid rnmpt sseqtrrdi mpsyl wfn wral rgenw mp1i fodomnum sylc
      fnmpt dffn4 domtr sbth 3ad2ant1 map0e 1oex enref csn df-sn en0 anbi2i 0ss
      df1o2 sseq1 mpbiri pm4.71ri bitr4i 3eqtr4ri breqtrri eqbrtrdi pm2.61ne
      abbii ) UABEFZCBEFZBCGUBZUCUDZHZUEZUUJAUFZBIZUUNCJFZKZALZJFZBMGUBZUUOUUNM
      JFZKZALZJFCMCMNZUUJUUTUURUVCJCMBGUGUVDUUQUVBAUVDUUPUVAUUOCMUUNJUHUIUJUKUU
      MCMULZKZUUJUUREFZUURUUJEFZUUSUVFUUJUUNCBUNZIZUUPKZALZEFZUVLUURJFZUVGUVFUV
      LOHZUUJUVLIUVMUVFUVNUVOUVFUVIBJFZUVNUVFUVIBCUNZJFZUVQBJFZUVPUVFCOHZBOHZUV
      RUVFUUIUVTUUHUUIUULUVEUOZCBEPUMQZUVFUUIUWAUWBCBEPUPQZCBOOUQRUVFBUUKHZUUHU
      VEUUIUVSUVFUULBUUJEFZUWEUUHUUIUULUVEURZUVFUWAUVTUVEUWFUWDUWCUUMUVEUSZBCOO
      UTVDUUJBVARUUHUUIUULUVEVBUWHUWBBCVCVEUVIUVQBVFRAUVIBCVGQZUVLUURJVHUMQUUJU
      UNUUJHZALUVLAUUJVIUWJUVKAUWJCBUUNTZUVKUUNBCVJUWKUVJUUPCBUUNVKUWKUUNUUNUDZ
      CJUWKUUNVLUWLUUNJFUUNUWLJFCBUUNVMUUNAVNVPUWLUUNVOVQCBUUNVRVSVTQWAWBUUJUVL
      OWCWHUWIUUJUVLUURWDRUVFUURDUUJDUFZWEZWFZWEZEFZUWPUUJEFZUVHUWPOHUVFUURUWPI
      UWQUWODUUJUWNBCGWGWIWJUVFUURUUNUWNNZDUUJWKZALUWPUVFUUQUWTAUVFUUQUWTUVFUUQ
      KZUWMUUJHZUWSKZDWLZUWTUXACUUNUWMWMZDWLZUXDUXACUUNJFZUXFUUPUXGUVFUUOUUNCVO
      WNCUUNDWOXAUXAUXEUXCDUXAUXEUXCUXAUXEKZUXBUWSUXHUXBCBUWMTZUXHCUUNBUWMUXECU
      UNUWMTUXACUUNUWMWPWQUVFUUOUUPUXEWRWSUVFUXBUXIWTUUQUXEUVFBCUWMOOUWDUWCXBXC
      XDUXHUWNUUNUXEUWNUUNNZUXAUXECUUNUWMXEUXJCUUNUWMXFCUUNUWMXMQWQXGVTXHXIXJUW
      SDUUJXKXLXHXNDAUUJUWNUWOUWOXOZXPXQUURUWPOWCXRUVFUULUUJUWPUWOXEZUWRUWGUVFU
      WOUUJXSZUXLUWNOHZDUUJXTUXMUVFUXNDUUJUWMDVNWJYADUUJUWNUWOOUXKYEYBUUJUWOYFX
      AUUJUWPUWOYCYDUURUWPUUJYGRUUJUURYHRUUMUUTSUVCJUUMUWAUUTSNUUHUUIUWAUULUABE
      PUPYIBOYJQSSUVCJSYKYLMYMUUNMNZALSUVCAMYNYRUVBUXOAUVBUUOUXOKUXOUVAUXOUUOUU
      NYOYPUXOUUOUXOUUOMBIBYQUUNMBYSYTUUAUUBUUGUUCUUDUUEUUF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The Ackermann bijection
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d F a b c x y $.  $d G a b c x y $.  $d H a b c x y $.  $d A a b c x y $.
    $d B a b c x y $.
    $( Lemma for ~ ackbij2 .  (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij2lem1 $p |- ( A e. _om -> ~P A C_ ( ~P _om i^i Fin ) ) $=
      ( va com wcel cpw cfn cin cv wa word ordom ordelss mpan sspwd sselda nnfi
      wss elpwi ssfi syl2an elind ex ssrdv ) ACDZBAEZCEZFGZUDBHZUEDZUHUGDUDUIIU
      FFUHUDUEUFUHUDACCJUDACQKCALMNOUDAFDUHAQUHFDUIAPUHARAUHSTUAUBUC $.

    $( Lemma for ~ ackbij2 .  (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij1lem1 $p |- ( -. A e. B -> ( B i^i suc A ) = ( B i^i A ) ) $=
      ( wcel wn csuc cin csn cun df-suc ineq2i indi eqtri c0 wceq disjsn uneq2d
      biimpri un0 eqtrdi eqtrid ) ABCDZBAEZFZBAFZBAGZFZHZUDUCBAUEHZFUGUBUHBAIJB
      AUEKLUAUGUDMHUDUAUFMUDUFMNUABAOQPUDRST $.

    $( Lemma for ~ ackbij2 .  (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij1lem2 $p |- ( A e. B -> ( B i^i suc A ) =
        ( { A } u. ( B i^i A ) ) ) $=
      ( wcel csuc cin csn cun df-suc ineq2i indi uncom 3eqtri wss snssi sseqin2
      wceq sylib uneq1d eqtrid ) ABCZBADZEZBAFZEZBAEZGZUCUEGUBBAUCGZEUEUDGUFUAU
      GBAHIBAUCJUEUDKLTUDUCUETUCBMUDUCPABNUCBOQRS $.

    $( Lemma for ~ ackbij2 .  (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij1lem3 $p |- ( A e. _om -> A e. ( ~P _om i^i Fin ) ) $=
      ( com wcel cpw cfn wss word ordom ordelss mpan elpwg mpbird nnfi elind )
      ABCZBDZEAOAPCABFZBGOQHBAIJABBKLAMN $.

    $( Lemma for ~ ackbij2 .  (Contributed by Stefan O'Rear, 19-Nov-2014.) $)
    ackbij1lem4 $p |- ( A e. _om -> { A } e. ( ~P _om i^i Fin ) ) $=
      ( com wcel cpw cfn csn snelpwi snfi a1i elind ) ABCZBDEAFZABGLECKAHIJ $.

    $( Lemma for ~ ackbij2 .  (Contributed by Stefan O'Rear, 19-Nov-2014.)
       (Proof shortened by AV, 18-Jul-2022.) $)
    ackbij1lem5 $p |- ( A e. _om -> ( card ` ~P suc A ) =
        ( ( card ` ~P A ) +o ( card ` ~P A ) ) ) $=
      ( com wcel cpw ccrd cfv cdju cen wbr wceq c2o cxp cmap pw2eng syl cvv a1i
      co entr syl2anc csuc coa peano2 csn cun df-suc oveq2i cin elex snex elexi
      c0 2onn word nnord orddisj mapunen syl31anc ovex enref con0 mapsnend xpen
      2on sylancr eqbrtrid xpcomen sylancl ensymd xp2dju breqtrdi cfn nnfi pwfi
      id sylib ficardid djuen carden2b ficardom nnadju eqtrd ) ABCZAUAZDZEFZADZ
      EFZWHGZEFZWHWHUBRZWCWEWIHIZWFWJJWCWEWGWGGZHIWMWIHIWLWCWEKWGLZWMHWCWEKWDMR
      ZHIZWOWNHIZWEWNHIWCWDBCWPAUCWDBNOWCWOKKAMRZLZHIZWSWNHIWQWCWOWRKLZHIXAWSHI
      WTWCWOKAAUDZUEZMRZXAHWDXCKMAUFUGWCXDWRKXBMRZLZHIZXFXAHIZXDXAHIWCAPCXBPCZK
      PCZAXBUHULJZXGABUIXIWCAUJQXJWCKBUMUKZQWCAUNXKAUOAUPOAXBKPPPUQURWCWRWRHIXE
      KHIXHWRKAMUSZUTWCKAVABKVACWCVDQWCVOVBWRWRXEKVCVEXDXFXASTVFWRKXMXLVGWOXAWS
      SVHWCWNWSWCKKHIWGWRHIWNWSHIKXLUTABNKKWGWRVCVEVIWOWSWNSTWEWOWNSTWGVJVKWCWI
      WMWCWHWGHIZXNWIWMHIWCWGVLCZXNWCAVLCXOAVMAVNVPZWGVQOZXQWHWGWHWGVRTVIWEWMWI
      STWEWIVSOWCWHBCZXRWJWKJWCXOXRXPWGVTOZXSWHWHWATWB $.

    $( Lemma for ~ ackbij2 .  (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij1lem6 $p |- ( ( A e. ( ~P _om i^i Fin ) /\
          B e. ( ~P _om i^i Fin ) ) ->
        ( A u. B ) e. ( ~P _om i^i Fin ) ) $=
      ( com cpw cfn cin wcel wa cun elinel2 unfi syl2an wss elinel1 elpwi simpl
      simpr unssd elpwd elind ) ACDZEFZGZBUBGZHZUAEABIZUEUFCEUCAEGBEGUFEGUDAUAE
      JBUAEJABKLZUCAUAGZBUAGZUFCMZUDAUAENBUAENUHACMZBCMZUJUIACOBCOUKULHABCUKULP
      UKULQRLLSUGT $.

    ackbij.f $e |- F = ( x e. ( ~P _om i^i Fin ) |->
        ( card ` U_ y e. x ( { y } X. ~P y ) ) ) $.
    $( Lemma for ~ ackbij1 .  (Contributed by Stefan O'Rear, 21-Nov-2014.) $)
    ackbij1lem7 $p |- ( A e. ( ~P _om i^i Fin ) -> ( F ` A ) =
        ( card ` U_ y e. A ( { y } X. ~P y ) ) ) $=
      ( cv csn cpw cxp ciun ccrd cfv com cfn cin wceq iuneq1 fveq2d fvex fvmpt
      ) ACBAFZBFZGUBHIZJZKLBCUCJZKLMHNODUACPUDUEKBUACUCQREUEKST $.

    $( Lemma for ~ ackbij1 .  (Contributed by Stefan O'Rear, 19-Nov-2014.) $)
    ackbij1lem8 $p |- ( A e. _om -> ( F ` { A } ) = ( card ` ~P A ) ) $=
      ( va cv csn cfv cpw ccrd wceq com sneq fveq2d pweq eqeq12d wcel cxp cvv
      ciun cfn cin ackbij1lem4 ackbij1lem7 syl vex xpeq12d iunxsn cen wbr vpwex
      fveq2i xpsnen2g mp2an carden2b ax-mp eqtri eqtrdi vtoclga ) FGZHZDIZVAJZK
      IZLCHZDIZCJZKIZLFCMVACLZVCVGVEVIVJVBVFDVACNOVJVDVHKVACPOQVAMRZVCBVBBGZHZV
      LJZSZUAZKIZVEVKVBMJUBUCRVCVQLVAUDABVBDEUEUFVQVBVDSZKIZVEVPVRKBVAVOVRFUGZV
      LVALVMVBVNVDVLVANVLVAPUHUIUMVRVDUJUKZVSVELVATRVDTRWAVTFULVAVDTTUNUOVRVDUP
      UQURUSUT $.

    $( Lemma for ~ ackbij1 .  (Contributed by Stefan O'Rear, 19-Nov-2014.) $)
    ackbij1lem9 $p |- ( ( A e. ( ~P _om i^i Fin ) /\ B e. ( ~P _om i^i Fin ) /\
          ( A i^i B ) = (/) ) ->
        ( F ` ( A u. B ) ) = ( ( F ` A ) +o ( F ` B ) ) ) $=
      ( com cfn cin wcel wceq ciun ccrd cfv coa cen wbr syl2anc syl ackbij1lem7
      cpw c0 w3a cun cv csn cxp co cdju wral elinel2 3ad2ant1 wa elinel1 elpwid
      snfi con0 onfin2 inss2 eqsstri sstrdi sselda pwfi sylib sylancr ralrimiva
      wss xpfi iunfi ficardid 3ad2ant2 djuen djudisj 3ad2ant3 endjudisj syl3anc
      iunxun breqtrrdi entr carden2b ficardom nnadju eqtr3d ackbij1lem6 3adant3
      oveqan12d 3eqtr4d ) CGUAZHIZJZDWIJZCDIUBKZUCZBCDUDZBUEZUFZWOUAZUGZLZMNZBC
      WRLZMNZBDWRLZMNZOUHZWNENZCENZDENZOUHZWMXBXDUIZMNZWTXEWMXJWSPQZXKWTKWMXJXA
      XCUIZPQZXMWSPQXLWMXBXAPQZXDXCPQZXNWMXAHJZXOWMCHJZWRHJZBCUJXQWJWKXRWLCWHHU
      KULWMXSBCWMWOCJUMZWPHJZWQHJZXSWOUPZXTWOHJZYBWMCHWOWMCGHWJWKCGVGWLWJCGCWHH
      UNUOULGUQHIHURUQHUSUTZVAVBWOVCZVDWPWQVHZVEVFBCWRVIRZXAVJSWMXCHJZXPWMDHJZX
      SBDUJYIWKWJYJWLDWHHUKVKWMXSBDWMWODJUMZYAYBXSYCYKYDYBWMDHWOWMDGHWKWJDGVGWL
      WKDGDWHHUNUOVKYEVAVBYFVDYGVEVFBDWRVIRZXCVJSXBXAXDXCVLRWMXMXAXCUDZWSPWMXQY
      IXAXCIUBKZXMYMPQYHYLWLWJYNWKBBCDWQWQVMVNXAXCHHVOVPBCDWRVQVRXJXMWSVSRXJWSV
      TSWMXBGJZXDGJZXKXEKWMXQYOYHXAWASWMYIYPYLXCWASXBXDWBRWCWMWNWIJZXFWTKWJWKYQ
      WLCDWDWEABWNEFTSWJWKXIXEKWLWJWKXGXBXHXDOABCEFTABDEFTWFWEWG $.

    $( Lemma for ~ ackbij1 .  (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij1lem10 $p |- F : ( ~P _om i^i Fin ) --> _om $=
      ( com cpw cfn cin cv csn cxp ciun ccrd cfv wcel wral elinel2 wel wa con0
      snfi elinel1 elpwid onfin2 inss2 eqsstri sstrdi sselda pwfi sylib sylancr
      xpfi ralrimiva iunfi syl2anc ficardom syl fmpti ) AEFZGHZEBAIZBIZJZVBFZKZ
      LZMNZCDVAUTOZVFGOZVGEOVHVAGOVEGOZBVAPVIVAUSGQVHVJBVAVHBARSZVCGOVDGOZVJVBU
      AVKVBGOVLVHVAGVBVHVAEGVHVAEVAUSGUBUCETGHGUDTGUEUFUGUHVBUIUJVCVDULUKUMBVAV
      EUNUOVFUPUQUR $.

    $( Lemma for ~ ackbij1 .  (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij1lem11 $p |- ( ( A e. ( ~P _om i^i Fin ) /\ B C_ A ) ->
        B e. ( ~P _om i^i Fin ) ) $=
      ( com cpw cfn cin wcel wss wa cvv ssexg elinel1 elpwid sstr sylan2 elpwd
      ancoms elinel2 ssfi sylan elind ) CGHZIJZKZDCLZMUFIDUIUHDUFKUIUHMDGNDCUGO
      UHUICGLDGLUHCGCUFIPQDCGRSTUAUHCIKUIDIKCUFIUBCDUCUDUE $.

    $( Lemma for ~ ackbij1 .  (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij1lem12 $p |- ( ( B e. ( ~P _om i^i Fin ) /\ A C_ B ) ->
        ( F ` A ) C_ ( F ` B ) ) $=
      ( com cpw cfn cin wcel wss cfv cdif coa ackbij1lem11 ffvelrn sylancr wceq
      wa co ackbij1lem10 difssd syldan nnaword1 syl2anc cun disjdif ackbij1lem9
      wf c0 a1i syl3anc undif biimpi adantl fveq2d eqtr3d sseqtrd ) DGHIJZKZCDL
      ZTZCEMZVDDCNZEMZOUAZDEMZVCVDGKZVFGKZVDVGLVCUTGEUJZCUTKZVIABEFUBZABDCEFPZU
      TGCEQRVCVKVEUTKZVJVMVAVBVEDLVOVCDCUCABDVEEFPUDZUTGVEEQRVDVFUEUFVCCVEUGZEM
      ZVGVHVCVLVOCVEJUKSZVRVGSVNVPVSVCCDUHULABCVEEFUIUMVCVQDEVBVQDSZVAVBVTCDUNU
      OUPUQURUS $.

    $( Lemma for ~ ackbij1 .  (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij1lem13 $p |- ( F ` (/) ) = (/) $=
      ( c0 cfv coa co wceq cun com wcel cpw cfn ackbij1lem10 peano1 f0cli ax-mp
      cin mp3an nna0 un0 fveq2i ackbij1lem3 ackbij1lem9 3eqtr2ri wb nnacan mpbi
      in0 ) ECFZUKGHZUKEGHZIZUKEIZUMUKEEJZCFZULUKKLZUMUKIKMNSZKECABCDOPQZUKUARU
      PECEUBUCEUSLZVAEESEIUQULIEKLZVAPEUDRZVCEUJABEECDUETUFURURVBUNUOUGUTUTPUKU
      KEUHTUI $.

    $( Lemma for ~ ackbij1 .  (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij1lem14 $p |- ( A e. _om -> ( F ` { A } ) = suc ( F ` A ) ) $=
      ( com wcel cfv cpw ccrd csuc wceq pweq fveq2d fveq2 suceq syl coa adantr
      c0 va vb csn ackbij1lem8 cv eqeq12d weq c1o df-1o pw0 fveq2i cardsn ax-mp
      cvv 0ex eqtri ackbij1lem13 3eqtr4i wa oveq2 adantl ackbij1lem5 cun df-suc
      equncomi cfn ackbij1lem4 ackbij1lem3 incom word nnord orddisj ackbij1lem9
      cin eqtrid syl3anc oveq1d eqtrd nnfi sylib ficardom ackbij1lem10 ffvelrni
      co pwfi nnasuc syl2anc eqtr4d 3eqtr4d ex finds ) CFGCUCDHCIZJHZCDHZKZABCD
      EUDUAUEZIZJHZWPDHZKZLTIZJHZTDHZKZLUBUEZIZJHZXEDHZKZLZXEKZIZJHZXKDHZKZLZWM
      WOLUAUBCWPTLZWRXBWTXDXQWQXAJWPTMNXQWSXCLWTXDLWPTDOWSXCPQUFUAUBUGZWRXGWTXI
      XRWQXFJWPXEMNXRWSXHLWTXILWPXEDOWSXHPQUFWPXKLZWRXMWTXOXSWQXLJWPXKMNXSWSXNL
      WTXOLWPXKDOWSXNPQUFWPCLZWRWMWTWOXTWQWLJWPCMNXTWSWNLWTWOLWPCDOWSWNPQUFUHTK
      ZXBXDUIXBTUCZJHZUHXAYBJUJUKTUNGYCUHLUOTUNULUMUPXCTLXDYALABDEUQXCTPUMURXEF
      GZXJXPYDXJUSZXGXGRWDZXGXIRWDZXMXOXJYFYGLYDXGXIXGRUTVAYDXMYFLXJXEVBSYEXOXG
      XHRWDZKZYGYEXNYHLXOYILYEXNXEUCZXEVCZDHZYHXKYKDXKXEYJXEVDVEUKYEYLYJDHZXHRW
      DZYHYEYJFIVFVNZGZXEYOGZYJXEVNZTLZYLYNLYDYPXJXEVGSYDYQXJXEVHSZYDYSXJYDYRXE
      YJVNZTYJXEVIYDXEVJUUATLXEVKXEVLQVOSABYJXEDEVMVPYEYMXGXHRYDYMXGLXJABXEDEUD
      SVQVRVOXNYHPQYEXGFGZXHFGZYGYILYEXFVFGZUUBYDUUDXJYDXEVFGUUDXEVSXEWEVTSXFWA
      QYEYQUUCYTYOFXEDABDEWBWCQXGXHWFWGWHWIWJWKVR $.

    $( Lemma for ~ ackbij1 .  (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij1lem15 $p |- ( ( ( A e. ( ~P _om i^i Fin ) /\
          B e. ( ~P _om i^i Fin ) ) /\ ( c e. _om /\ c e. A /\ -. c e. B ) ) ->
        -. ( F ` ( A i^i suc c ) ) = ( F ` ( B i^i suc c ) ) ) $=
      ( com cpw cin wcel wa csuc cfv wss syl wceq ackbij1lem12 syl2anc wpss cfn
      cv wn w3a simpr1 ackbij1lem3 simpr3 ackbij1lem1 eqsstrdi csn ackbij1lem10
      inss2 con0 ffvelrni nnon onpsssuc 4syl ackbij1lem14 psseq2d mpbird simpll
      inss1 ackbij1lem11 sylancl cun ssun1 simpr2 ackbij1lem2 psssstrd sspsstrd
      sseqtrrid pssned necomd neneqd ) CHIUAJZKZDVOKZLZFUBZHKZVSCKZVSDKUCZUDZLZ
      CVSMZJZENZDWEJZENZWDWIWGWDWIWGWDWIVSENZWGWDVSVOKZWHVSOWIWJOWDVTWKVRVTWAWB
      UEZVSUFPZWDWHDVSJZVSWDWBWHWNQVRVTWAWBUGVSDUHPDVSULUIABWHVSEGRSWDWJVSUJZEN
      ZWGWDWJWPTWJWJMZTZWDWKWJHKWJUMKWRWMVOHVSEABEGUKUNWJUOWJUPUQWDWPWQWJWDVTWP
      WQQWLABVSEGURPUSUTWDWFVOKZWOWFOWPWGOWDVPWFCOWSVPVQWCVACWEVBABCWFEGVCVDWDW
      OCVSJZVEZWOWFWOWTVFWDWAWFXAQVRVTWAWBVGVSCVHPVKABWOWFEGRSVIVJVLVMVN $.

    $( Lemma for ~ ackbij1 .  (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij1lem16 $p |- ( ( A e. ( ~P _om i^i Fin ) /\ B e. ( ~P _om i^i Fin ) )
        ->
        ( ( F ` A ) = ( F ` B ) -> A = B ) ) $=
      ( com cfn cin wcel cfv wceq wi wss syl c0 ineq2 fveq2d eqeq12d w3a va cpw
      vb cun cuni csuc inss1 sseli elpwid adantr adantl unssd inss2 unfi syl2an
      wa nnunifi syl2anc peano2 cv imbi12d imbi2d weq in0 eqtr4i csn coa simp13
      2a1i co 3simpa ackbij1lem2 3ad2ant2 ackbij1lem4 simprl ackbij1lem11 incom
      sylancl word nnord orddisj ssdisj sylancr eqtrid syl3anc 3ad2ant1 syl3an1
      ackbij1lem9 eqtrd 3ad2ant3 simprr 3eqtr3d wb ackbij1lem10 ffvelrni nnacan
      3adant3 mpbid uneq2 ad2antrr ad2antlr 3eqtr4d 3adant1 embantd 3exp eqcomd
      ex wn simp12r simp12l simp11 simp3 ackbij1lem15 syl23anc pm2.21dd pm2.61d
      simp2 ackbij1lem1 biimpd mpd biimprd com34 finds mpcom con0 omsson sstrdi
      a2d onsucuni unssad df-ss sylib unssbd 3imtr3d ) CGUBZHIZJZDYPJZUPZCCDUDZ
      UEZUFZIZEKZDUUBIZEKZLZUUCUUELZCEKZDEKZLCDLUUBGJZYSUUGUUHMZYSUUAGJZUUKYSYT
      GNYTHJZUUMYSCDGYQCGNYRYQCGYPYOCYOHUGZUHUIUJYRDGNYQYRDGYPYODUUOUHUIUKULZYQ
      CHJDHJUUNYRYPHCYOHUMZUHYPHDUUQUHCDUNUOYTUQURUUAUSOYSCUAUTZIZEKZDUURIZEKZL
      ZUUSUVALZMZMYSCPIZEKZDPIZEKZLZUVFUVHLZMZMYSCUCUTZIZEKZDUVMIZEKZLZUVNUVPLZ
      MZMYSCUVMUFZIZEKZDUWAIZEKZLZUWBUWDLZMZMYSUULMUAUCUUBUURPLZUVEUVLYSUWIUVCU
      VJUVDUVKUWIUUTUVGUVBUVIUWIUUSUVFEUURPCQZRUWIUVAUVHEUURPDQZRSUWIUUSUVFUVAU
      VHUWJUWKSVAVBUAUCVCZUVEUVTYSUWLUVCUVRUVDUVSUWLUUTUVOUVBUVQUWLUUSUVNEUURUV
      MCQZRUWLUVAUVPEUURUVMDQZRSUWLUUSUVNUVAUVPUWMUWNSVAVBUURUWALZUVEUWHYSUWOUV
      CUWFUVDUWGUWOUUTUWCUVBUWEUWOUUSUWBEUURUWACQZRUWOUVAUWDEUURUWADQZRSUWOUUSU
      WBUVAUWDUWPUWQSVAVBUURUUBLZUVEUULYSUWRUVCUUGUVDUUHUWRUUTUUDUVBUUFUWRUUSUU
      CEUURUUBCQZRUWRUVAUUEEUURUUBDQZRSUWRUUSUUCUVAUUEUWSUWTSVAVBUVKYSUVJUVFPUV
      HCVDDVDVEVIUVMGJZYSUVTUWHUXAYSUWFUVTUWGUXAYSUWFUVTUWGMZUXAYSUWFTZUVMDJZUX
      BUXCUVMCJZUXDUXBMUXCUXEUXDUXBUXCUXEUXDTZUVRUVSUWGUXFUVMVFZEKZUVOVGVJZUXHU
      VQVGVJZLZUVRUXFUWCUWEUXIUXJUXAYSUWFUXEUXDVHUXCUXAYSUPZUXEUXDUWCUXILUXAYSU
      WFVKZUXLUXEUXDTZUWCUXGUVNUDZEKZUXIUXEUXLUWCUXPLUXDUXEUWBUXOEUVMCVLZRVMUXL
      UXEUXPUXILZUXDUXLUXGYPJZUVNYPJZUXGUVNIZPLUXRUXAUXSYSUVMVNUJZUXLYQUVNCNUXT
      UXAYQYRVOCUVMUGABCUVNEFVPVRZUXLUYAUVNUXGIZPUXGUVNVQUXLUVNUVMNUVMUXGIPLZUY
      DPLCUVMUMUXAUYEYSUXAUVMVSUYEUVMVTUVMWAOUJZUVNUVMUXGWBWCWDABUXGUVNEFWHWEWF
      WIWGUXCUXLUXEUXDUWEUXJLUXMUXNUWEUXGUVPUDZEKZUXJUXDUXLUWEUYHLUXEUXDUWDUYGE
      UVMDVLZRWJUXLUXEUYHUXJLZUXDUXLUXSUVPYPJZUXGUVPIZPLUYJUYBUXLYRUVPDNUYKUXAY
      QYRWKDUVMUGABDUVPEFVPVRZUXLUYLUVPUXGIZPUXGUVPVQUXLUVPUVMNUYEUYNPLDUVMUMUY
      FUVPUVMUXGWBWCWDABUXGUVPEFWHWEWFWIWGWLUXCUXEUXKUVRWMZUXDUXAYSUYOUWFUXLUXH
      GJZUVOGJZUVQGJZUYOUXLUXSUYPUYBYPGUXGEABEFWNZWOOUXLUXTUYQUYCYPGUVNEUYSWOOU
      XLUYKUYRUYMYPGUVPEUYSWOOUXHUVOUVQWPWEWQWFWRUXEUXDUVSUWGMZUXCUXEUXDUPZUVSU
      WGVUAUVSUPUXOUYGUWBUWDUVSUXOUYGLVUAUVNUVPUXGWSUKUXEUWBUXOLUXDUVSUXQWTUXDU
      WDUYGLUXEUVSUYIXAXBXGXCXDXEUXCUXEXHZUXDUXBUXCVUBUXDTZUWEUWCLZUXBVUCUWCUWE
      UXAYSUWFVUBUXDVHXFVUCYRYQUXAUXDVUBVUDXHYQYRUXAUWFVUBUXDXIYQYRUXAUWFVUBUXD
      XJUXAYSUWFVUBUXDXKUXCVUBUXDXLUXCVUBUXDXQABDCEUCFXMXNXOXEXPUXCUXEUXDXHZUXB
      MUXCUXEVUEUXBUXCUXEVUETZUWFUXBUXAYSUWFUXEVUEVHVUFYQYRUXAUXEVUEUWFXHYQYRUX
      AUWFUXEVUEXJYQYRUXAUWFUXEVUEXIUXAYSUWFUXEVUEXKUXCUXEVUEXQUXCUXEVUEXLABCDE
      UCFXMXNXOXEUXCVUBVUEUXBUXCVUBVUETZUVRUVSUWGVUGUWFUVRUXAYSUWFVUBVUEVHVUBVU
      EUWFUVRMUXCVUBVUEUPZUWFUVRVUHUWCUVOUWEUVQVUHUWBUVNEVUBUWBUVNLVUEUVMCXRUJZ
      RVUHUWDUVPEVUEUWDUVPLVUBUVMDXRUKZRSXSXCXTVUBVUEUYTUXCVUHUWGUVSVUHUWBUVNUW
      DUVPVUIVUJSYAXCXDXEXPXPXEYBYHYCYDYSUUDUUIUUFUUJYSUUCCEYSCUUBNUUCCLYSCDUUB
      YSYTYENYTUUBNYSYTGYEUUPYFYGYTYIOZYJCUUBYKYLZRYSUUEDEYSDUUBNUUEDLYSCDUUBVU
      KYMDUUBYKYLZRSYSUUCCUUEDVULVUMSYN $.

    $( Lemma for ~ ackbij1 .  (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij1lem17 $p |- F : ( ~P _om i^i Fin ) -1-1-> _om $=
      ( va vb com cpw cfn cin wf1 wf cv cfv wceq wral ackbij1lem10 ackbij1lem16
      weq wi rgen2 dff13 mpbir2an ) GHIJZGCKUDGCLEMZCNFMZCNOEFSTZFUDPEUDPABCDQU
      GEFUDUDABUEUFCDRUAEFUDGCUBUC $.

    $( Lemma for ~ ackbij1 .  (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij1lem18 $p |- ( A e. ( ~P _om i^i Fin ) -> E. b e. ( ~P _om i^i Fin )
          ( F ` b ) = suc ( F ` A ) ) $=
      ( com cfn cin wcel cun cfv csuc wceq wss c0 wn sylancr syl coa va cpw csn
      cdif cint cv wrex difss ackbij1lem11 mpan2 wne omsson sstri ominf elinel2
      con0 difinf eleq1 mpbiri necon3bi eldifad ackbij1lem4 ackbij1lem6 syl2anc
      0fin eldifbd disjsn sylibr ssdisj ackbij1lem9 syl3anc ackbij1lem14 oveq2d
      onint co ackbij1lem10 ffvelrni ackbij1lem3 nnasuc disjdifr a1i uncom mpan
      wa wo onnmin con2i adantl word ordom ordelss sselda eldif simplbi2 orcomd
      orrd orel1 sylc ssrdv undif sylib eqtrid fveq2d eqtr3d suceq eqtrd 3eqtrd
      ex fveqeq2 rspcev ) CGUBZHIZJZCGCUDZUEZUDZXOUCZKZXLJZXRDLZCDLZMZNZEUFZDLY
      BNZEXLUGXMXPXLJZXQXLJZXSXMXPCOZYFCXOUHZABCXPDFUIUJZXMXOGJZYGXMXOGCXMXNUPO
      ZXNPUKZXOXNJXNGUPGCUHULUMZXMXNHJZQZYMXMGHJQCHJYPUNCXKHUOGCUQRYOXNPXNPNYOP
      HJVEXNPHURUSUTSXNVNRZVAZXOVBSZXPXQVCVDXMXTXPDLZXQDLZTVOZYTXODLZMZTVOZYBXM
      YFYGXPXQIPNZXTUUBNYJYSXMYHCXQIPNZUUFYIXMXOCJQUUGXMXOGCYQVFCXOVGVHXPCXQVIR
      ABXPXQDFVJVKXMUUAUUDYTTXMYKUUAUUDNYRABXODFVLSVMXMUUEYTUUCTVOZMZYBXMYTGJZU
      UCGJZUUEUUINXMYFUUJYJXLGXPDABDFVPZVQSXMXOXLJZUUKXMYKUUMYRXOVRSZXLGXODUULV
      QSYTUUCVSVDXMUUHYANUUIYBNXMXPXOKZDLZUUHYAXMYFUUMXPXOIPNZUUPUUHNYJUUNUUQXM
      XOCVTWAABXPXODFVJVKXMUUOCDXMUUOXOXPKZCXPXOWBXMXOCOUURCNXMUAXOCXMUAUFZXOJZ
      UUSCJZXMUUTWDZUUSXNJZQZUVCUVAWEZUVAUUTUVDXMUVCUUTYLUVCUUTQYNXNUUSWFWCWGWH
      UVBUUSGJZUVEXMXOGUUSXMGWIYKXOGOWJYRGXOWKRWLUVFUVAUVCUVFUVAUVCUVCUVFUVAQUU
      SGCWMWNWPWOSUVCUVAWQWRXHWSXOCWTXAXBXCXDUUHYAXESXFXGYEYCEXRXLYDXRYBDXIXJVD
      $.

    $( The Ackermann bijection, part 1: each natural number can be uniquely
       coded in binary as a finite set of natural numbers and conversely.
       (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij1 $p |- F : ( ~P _om i^i Fin ) -1-1-onto-> _om $=
      ( va vb vc com cpw wceq cv wcel c0 csuc eleq1 cfv wrex ax-mp wb fvelrnb
      cfn cin wf1o wf1 crn ackbij1lem17 wf wss f1f frn mp2b peano1 ackbij1lem13
      ackbij1lem3 fveqeq2 rspcev mp2an wfn f1fn mpbir ackbij1lem18 adantl suceq
      wa eqeq2d rexbidv syl5ibcom rexlimdva 3imtr4g finds ssriv dff1o5 mpbir2an
      eqssi ) HIUAUBZHCUCVOHCUDZCUEZHJABCDUFZVQHVPVOHCUGVQHUHVRVOHCUIVOHCUJUKEH
      VQFKZVQLMVQLZEKZVQLZWANZVQLZWBFEWAVSMVQOVSWAVQOZVSWCVQOWEVTWACPMJZEVOQZMV
      OLZMCPMJZWGMHLWHULMUNRABCDUMWFWIEMVOWAMMCUOUPUQCVOURZVTWGSVPWJVRVOHCUSRZE
      VOMCTRUTWAHLZGKZCPZWAJZGVOQZVSCPZWCJZFVOQZWBWDWLWOWSGVOWLWMVOLZVDWQWNNZJZ
      FVOQZWOWSWTXCWLABWMCFDVAVBWOXBWRFVOWOXAWCWQWNWAVCVEVFVGVHWJWBWPSWKGVOWACT
      RWJWDWSSWKFVOWCCTRVIVJVKVNVOHCVLVM $.

    $( The Ackermann bijection, part 1b: the bijection from ~ ackbij1 restricts
       naturally to the powers of particular naturals.  (Contributed by Stefan
       O'Rear, 18-Nov-2014.) $)
    ackbij1b $p |- ( A e. _om -> ( F " ~P A ) = ( card ` ~P A ) ) $=
      ( va com wcel cpw cfv wn wceq cen wbr cfn cin wss cvv sylib ax-mp cima wo
      ccrd wpss ackbij1lem17 ackbij2lem1 pwexg f1imaeng mp3an2i nnfi pwfi ensym
      wf1 ficardid 3syl entr syl2anc csdm wi con0 onfin2 inss2 eqsstri ficardom
      sselid php3 ex sdomnen syl6 mt2d cv wral wa csuc ackbij1lem3 ackbij1lem12
      syl fvex elpwi syl2an word wb ackbij1lem10 peano1 f0cli nnord ordsucsssuc
      mp2an csn ackbij1lem14 ackbij1lem8 eqtr3d sseqtrd sucssel mpsyl ralrimiva
      adantr wfun cdm f1fun f1dm sseqtrrdi funimass4 sylancr mpbird sspss orel1
      sylc ) CGHZDCIZUAZXJUCJZUDZKXMXKXLLZUBZXNXIXMXKXLMNZXIXKXJMNZXJXLMNZXPGIO
      PZGDUMZXIXJXSQXJRHXQABDEUEZCUFZCGUGXSGXJDRUHUIXIXJOHZXLXJMNXRXICOHYCCUJCU
      KSZXJUNXLXJULUOXKXJXLUPUQXIXMXKXLURNZXPKXIXLOHZXMYEUSXIGOXLGUTOPOVAUTOVBV
      CXIYCXLGHYDXJVDVQVEYFXMYEXLXKVFVGVQXKXLVHVIVJXIXKXLQZXOXIYGFVKZDJZXLHZFXJ
      VLZXIYJFXJYIRHXIYHXJHZVMZYIVNZXLQYJYHDVRYMYNCDJZVNZXLYMYIYOQZYNYPQZXICXSH
      YHCQYQYLCVOYHCVSABYHCDEVPVTYIWAZYOWAZYQYRWBYIGHYSXSGYHDABDEWCZWDWEYIWFTYO
      GHYTXSGCDUUAWDWEYOWFTYIYOWGWHSXIYPXLLYLXICWIDJYPXLABCDEWJABCDEWKWLWQWMYIX
      LRWNWOWPXIDWRZXJDWSZQYGYKWBXTUUBYAXSGDWTTXIXJXSUUCYBXTUUCXSLYAXSGDXATXBFX
      JXLDXCXDXEXKXLXFSXMXNXGXH $.

    ackbij.g $e |- G = ( x e. _V |-> ( y e. ~P dom x |->
          ( F ` ( x " y ) ) ) ) $.
    $( Lemma for ~ ackbij2 .  (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij2lem2 $p |- ( A e. _om -> ( rec ( G , (/) ) ` A ) :
        ( R1 ` A ) -1-1-onto-> ( card ` ( R1 ` A ) ) ) $=
      ( va cv cr1 cfv ccrd c0 wf1o wceq fveq2 com wcel cpw syl crdg csuc 2fveq3
      vb vc f1oeq123d f1o0 0ex rdg0 f1oeq1 ax-mp r10 fveq2i card0 eqtri f1oeq23
      wb mp2an bitri mpbir cres cima cmpt ccom cfn cin wf1 wss ackbij1lem17 a1i
      wa ficardom ackbij2lem1 f1ores syl2anc ackbij1b cen wbr ficardid carden2b
      r1fin pwen eqtrd f1oeq3d mpbid adantr f1opw adantl f1oco cdm frsuc peano2
      4syl fvresd fvres fveq2d fvex dmeq pweqd imaeq1 mpteq12dv dmex pwex mptex
      cvv fvmpt eqtrdi 3eqtr3d f1odm mpteq1d wfn eqid fnmpti f1ofn wf ffvelrnda
      f1of imaeq2 imaex fvco3 sylan 3eqtr4rd eqfnfvd con0 r1suc bitrd mpbird ex
      nnon finds ) HIZJKZYLLKZYKEMUAZKZNMJKZYPLKZMYNKZNZUDIZJKZUUALKZYTYNKZNZYT
      UBZJKZUUFLKZUUEYNKZNZCJKZUUJLKZCYNKZNHUDCYKMOYLYPYMYQYOYRYKMYNPYKMJPYKMLJ
      UCUFYKYTOYLUUAYMUUBYOUUCYKYTYNPYKYTJPYKYTLJUCUFYKUUEOYLUUFYMUUGYOUUHYKUUE
      YNPYKUUEJPYKUUELJUCUFYKCOYLUUJYMUUKYOUULYKCYNPYKCJPYKCLJUCUFYSMMMNZUGYSYP
      YQMNZUUMYRMOYSUUNUQMEUHUIYPYQYRMUJUKYPMOYQMOUUNUUMUQULYQMLKMYPMLULUMUNUOY
      PMYQMMUPURUSUTYTQRZUUDUUIUUOUUDVKZUUIUUASZUUQLKZDUUBSZVAZHUUQUUCYKVBZVCZV
      DZNZUUPUUSUURUUTNZUUQUUSUVBNZUVDUUOUVEUUDUUOUUSDUUSVBZUUTNZUVEUUOQSVEVFZQ
      DVGZUUSUVIVHZUVHUVJUUOABDFVIVJUUOUUBQRZUVKUUOUUAVERZUVLYTWAZUUAVLTZUUBVMT
      UVIQUUSDVNVOUUOUVGUURUUSUUTUUOUVGUUSLKZUURUUOUVLUVGUVPOUVOABUUBDFVPTUUOUV
      MUUBUUAVQVRUUSUUQVQVRUVPUUROUVNUUAVSUUBUUAWBUUSUUQVTWMWCWDWEWFUUDUVFUUOUU
      AUUBUUCHWGWHZUUQUUSUURUUTUVBWIVOZUUPUUIUUFUUGUVCNZUVDUUPUUHUVCOUUIUVSUQUU
      PUUHBUUCWJZSZUUCBIZVBZDKZVCZUVCUUOUUHUWEOUUDUUOUUEYNQVAZKYTUWFKZEKZUUHUWE
      MYTEWKUUOUUEQYNYTWLWNUUOUWHUUCEKZUWEUUOUWGUUCEYTQYNWOWPUUCXERUWIUWEOYTYNW
      QZAUUCBAIZWJZSZUWKUWBVBZDKZVCUWEXEEUWKUUCOZBUWMUWOUWAUWDUWPUWLUVTUWKUUCWR
      WSUWPUWNUWCDUWKUUCUWBWTWPXAGBUWAUWDUVTUUCUWJXBXCXDXFUKXGXHWFUUPUWEBUUQUWD
      VCZUVCUUPBUWAUUQUWDUUPUVTUUAUUDUVTUUAOUUOUUAUUBUUCXIWHWSXJUUPUEUUQUWQUVCU
      WQUUQXKUUPBUUQUWDUWQUWCDWQUWQXLZXMVJUUPUVDUVCUUQXKUVRUUQUURUVCXNTUUPUEIZU
      UQRZVKZUWSUVBKZUUTKZUUCUWSVBZDKZUWSUVCKZUWSUWQKZUXAUXCUXBDKUXEUXAUXBUUSDU
      UPUUQUUSUWSUVBUUPUVFUUQUUSUVBXOZUVQUUQUUSUVBXQTZXPWNUXAUXBUXDDUWTUXBUXDOU
      UPHUWSUVAUXDUUQUVBYKUWSUUCXRUVBXLUUCUWSUWJXSXFWHWPWCUUPUXHUWTUXFUXCOUXIUU
      QUUSUWSUUTUVBXTYAUWTUXGUXEOUUPBUWSUWDUXEUUQUWQUWBUWSOUWCUXDDUWBUWSUUCXRWP
      UWRUXDDWQXFWHYBYCWCWCUUFUUGUUHUVCUJTUUOUVSUVDUQZUUDUUOUUFUUQOZUUGUUROUXJU
      UOYTYDRUXKYTYIYTYETZUUOUUFUUQLUXLWPUUFUUQUUGUURUVCUPVOWFYFYGYHYJ $.

    $( Lemma for ~ ackbij2 .  (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij2lem3 $p |- ( A e. _om -> ( rec ( G , (/) ) ` A ) C_
        ( rec ( G , (/) ) ` suc A ) ) $=
      ( wcel c0 cfv csuc cr1 cres cv wceq fveq2 fveq2d syl cima cpw va com crdg
      vb suceq reseq12d eqeq12d weq res0 r10 reseq2i 0ex rdg0 3eqtr4ri wfn ccrd
      vc wa wf1o peano2 ackbij2lem2 f1ofn adantr 4syl con0 nnon r1sssuc fnssres
      wss syl2anc r1suc eleq2d biimpa elpwid resima2 cmpt fvex resex dmeq pweqd
      imaeq1 mpteq12dv dmex pwex mptex fvmpt ax-mp fveq1i fndmd eleqtrrd imaeq2
      cdm cvv eqid eqtrid wtr r1tr a1i dftr4 sylib sselda f1odm 3eqtr4d adantlr
      fveq1d ad2antlr rdgsuc ad2antrr 3eqtr4rd fvres adantl eqfnfvd finds resss
      ex eqsstrdi ) CUBHCEIUCZJZCKZXQJZCLJZMZXTUANZXQJZYCKZXQJZYCLJZMZOIXQJZIKZ
      XQJZILJZMZOUDNZXQJZYNKZXQJZYNLJZMZOZYQYPKZXQJZYPLJZMZOZXRYBOUAUDCYCIOZYDY
      IYHYMYCIXQPUUFYFYKYGYLUUFYEYJXQYCIUEQYCILPUFUGUAUDUHZYDYOYHYSYCYNXQPUUGYF
      YQYGYRUUGYEYPXQYCYNUEQYCYNLPUFUGYCYPOZYDYQYHUUDYCYPXQPUUHYFUUBYGUUCUUHYEU
      UAXQYCYPUEQYCYPLPUFUGYCCOZYDXRYHYBYCCXQPUUIYFXTYGYAUUIYEXSXQYCCUEQYCCLPUF
      UGYKIMIYMYIYKUIYLIYKUJUKIEULUMUNYNUBHZYTUUEUUJYTURZUQUUCYQUUDUUJYQUUCUOZY
      TUUJUUCUUCUPJZYQUSZUULUUJYPUBHZUUNYNUTZABYPDEFGVARZUUCUUMYQVBRZVCUUJUUDUU
      CUOZYTUUJUUBUUALJZUOZUUCUUTVIZUUSUUJUUOUUAUBHUUTUUTUPJZUUBUSUVAUUPYPUTABU
      UADEFGVAUUTUVCUUBVBVDUUJYPVEHZUVBUUJUUOUVDUUPYPVFRZYPVGRUUTUUCUUBVHVJVCUU
      KUQNZUUCHZURZUVFUUBJZUVFYOEJZJZUVFUUDJZUVFYQJZUVHUVFYSEJZJZUVFYQEJZJZUVKU
      VIUUJUVGUVOUVQOYTUUJUVGURZYSUVFSZDJZYQUVFSZDJZUVOUVQUVRUVSUWADUVRUVFYRVIU
      VSUWAOUVRUVFYRUUJUVGUVFYRTZHUUJUUCUWCUVFUUJYNVEHZUUCUWCOYNVFZYNVKRVLVMZVN
      YQUVFYRVORQUVRUVOUVFBYSWLZTZYSBNZSZDJZVPZJZUVTUVFUVNUWLYSWMHUVNUWLOYQYRYP
      XQVQZVRZAYSBANZWLZTZUWPUWISZDJZVPZUWLWMEUWPYSOZBUWRUWTUWHUWKUXBUWQUWGUWPY
      SVSVTUXBUWSUWJDUWPYSUWIWAQWBGBUWHUWKUWGYSUWOWCWDWEWFWGWHUVRUVFUWHHUWMUVTO
      UVRUVFUWCUWHUWFUUJUWHUWCOUVGUUJUWGYRUUJYRYSUUJUULYRUUCVIZYSYRUOUURUUJUWDU
      XCUWEYNVGRUUCYRYQVHVJWIVTVCWJBUVFUWKUVTUWHUWLBUQUHZUWJUVSDUWIUVFYSWKQUWLW
      NUVSDVQWFRWOUVRUVQUVFBYQWLZTZYQUWISZDJZVPZJZUWBUVFUVPUXIYQWMHUVPUXIOUWNAY
      QUXAUXIWMEUWPYQOZBUWRUWTUXFUXHUXKUWQUXEUWPYQVSVTUXKUWSUXGDUWPYQUWIWAQWBGB
      UXFUXHUXEYQUWNWCWDWEWFWGWHUVRUVFUXFHUXJUWBOUVRUVFUUCTZUXFUUJUUCUXLUVFUUJU
      UCWPZUUCUXLVIUXMUUJYPWQWRUUCWSWTXAUUJUXFUXLOUVGUUJUXEUUCUUJUUNUXEUUCOUUQU
      UCUUMYQXBRVTVCWJBUVFUXHUWBUXFUXIUXDUXGUWADUWIUVFYQWKQUXIWNUWADVQWFRWOXCXD
      YTUVKUVOOUUJUVGYTUVFUVJUVNYOYSEPXEXFUUJUVIUVQOYTUVGUUJUVFUUBUVPUUJUVDUUBU
      VPOUVEIYPEXGRXEXHXIUVGUVLUVIOUUKUVFUUCUUBXJXKUUJUVMUVKOYTUVGUUJUVFYQUVJUU
      JUWDYQUVJOUWEIYNEXGRXEXHXIXLXOXMXTYAXNXP $.

    $( Lemma for ~ ackbij2 .  (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    ackbij2lem4 $p |- ( ( ( A e. _om /\ B e. _om ) /\ B C_ A ) ->
        ( rec ( G , (/) ) ` B ) C_ ( rec ( G , (/) ) ` A ) ) $=
      ( va vb c0 cfv cv wss wceq fveq2 sseq2d com wcel wa crdg csuc ackbij2lem3
      weq ssidd ad2antrr sstr2 syl5com findsg ) DFKUAZLZIMZUJLZNUKUKNUKJMZUJLZN
      ZUKUNUBZUJLZNZUKCUJLZNIJCDULDOUMUKUKULDUJPQIJUDUMUOUKULUNUJPQULUQOUMURUKU
      LUQUJPQULCOUMUTUKULCUJPQDRSZUKUEUNRSZVATDUNNZTUOURNZUPUSVBVDVAVCABUNEFGHU
      CUFUKUOURUGUHUI $.

    ackbij.h $e |- H = U. ( rec ( G , (/) ) " _om ) $.
    $( The Ackermann bijection, part 2: hereditarily finite sets can be
       represented by recursive binary notation.  (Contributed by Stefan
       O'Rear, 18-Nov-2014.) $)
    ackbij2 $p |- H : U. ( R1 " _om ) -1-1-onto-> _om $=
      ( va vb cr1 com wf1o wf1 wceq cfv wss wa wcel syl vc cima cuni c0 crdg cv
      crn ciun wo wral fveq2 fvex f1iun ccrd ackbij2lem2 f1of1 word ordom r1fin
      ficardom ordelss sylancr f1ss syl2anc nnord ordtri2or2 syl2an ackbij2lem4
      cfn wi ex ancoms orim12d mpd ralrimiva jca mprg wb rdgfun funiunfv eqcomd
      wfun f1eq1 mp2b cdm wlim r1funlim simpli f1eq2 mpbir rnuni wrex wex eliun
      bitr4i df-rex funfn mpbi rdgdmlim limomss ax-mp fvelimab mp2an f1ofo forn
      wfn 3syl eqsstrd rneq sseq1d syl5ibcom rexlimiv sylbi sselda exlimiv csuc
      wfo peano2 fnfvima mp3an12i cvv vex cardnn wbr simpri sseli onssr1 ssdomg
      cdom mpsyl con0 nnon onenon finnum carddom2 mpbird eqsstrrd 4syl eleqtrrd
      sucssel eleq1 eleq2d anbi12d spcev impbii 3bitri dff1o5 mpbir2an f1oeq1
      eqriv eqtri ) KLUBUCZLEMZUULLDUDUEZLUBZUCZMZUUQUULLUUPNZUUPUGZLOUURILIUFZ
      KPZUHZLILUUTUUNPZUHZNZUVALUVCNZUVCJUFZUUNPZQZUVHUVCQZUIZJLUJZRUVEILIJLUVC
      UVHUVALUUTUVGUUNUKUUTUUNULUMUUTLSZUVFUVLUVMUVAUVAUNPZUVCNZUVNLQZUVFUVMUVA
      UVNUVCMUVOABUUTCDFGUOUVAUVNUVCUPTUVMLUQZUVNLSZUVPURUVMUVAVISUVRUUTUSUVAUT
      TLUVNVAVBUVAUVNLUVCVCVDUVMUVKJLUVMUVGLSZRZUUTUVGQZUVGUUTQZUIZUVKUVMUUTUQU
      VGUQUWCUVSUUTVEUVGVEUUTUVGVFVGUVTUWAUVIUWBUVJUVSUVMUWAUVIVJUVSUVMRUWAUVIA
      BUVGUUTCDFGVHVKVLUVTUWBUVJABUUTUVGCDFGVHVKVMVNVOVPVQUURUULLUVDNZUVEUUNWBZ
      UUPUVDOUURUWDVRUDDVSZUWEUVDUUPILUUNVTWAUULLUUPUVDWCWDKWBZUVBUULOUVEUWDVRU
      WGKWEZWFZWGWHILKVTUVBUULLUVDWIWDWOWJUUSIUUOUUTUGZUHZLIUUOWKJUWKLUVGUWKSUV
      GUWJSZIUUOWLUUTUUOSZUWLRZIWMZUVSIUVGUUOUWJWNUWLIUUOWPUWOUVSUWNUVSIUWMUWJL
      UVGUWMUAUFZUUNPZUUTOZUALWLZUWJLQZUUNUUNWEZXFZLUXAQZUWMUWSVRUWEUXBUWFUUNWQ
      WRZUXAWFUXCUDDWSUXAWTXAZUAUXALUUTUUNXBXCUWRUWTUALUWPLSZUWQUGZLQUWRUWTUXFU
      XGUWPKPZUNPZLUXFUXHUXIUWQMUXHUXIUWQXQUXGUXIOABUWPCDFGUOUXHUXIUWQXDUXHUXIU
      WQXEXGUXFUVQUXILSZUXILQURUXFUXHVISUXJUWPUSUXHUTTLUXIVAVBXHUWRUXGUWJLUWQUU
      TXIXJXKXLXMXNXOUVSUVGXPZUUNPZUUOSZUVGUXLUGZSZUWOUXBUXCUVSUXKLSZUXMUXDUXEU
      VGXRZUXALUUNUXKXSXTUVSUVGUXKKPZUNPZUXNUVGYASUVSUXKUXSQZUVGUXSSJYBUVSUXPUX
      TUXQUXPUXKUXKUNPZUXSUXKYCUXPUYAUXSQZUXKUXRYIYDZUXRYASUXPUXKUXRQZUYCUXKKUL
      UXPUXKUWHSUYDLUWHUXKUWILUWHQUWGUWIWGYEUWHWTXAYFUXKYGTUXKUXRYAYHYJUXPUXKUN
      WEZSZUXRUYESZUYBUYCVRUXPUXKYKSUYFUXKYLUXKYMTUXPUXRVISUYGUXKUSUXRYNTUXKUXR
      YOVDYPYQTUVGUXSYAYTYJUVSUXPUXRUXSUXLMUXRUXSUXLXQUXNUXSOUXQABUXKCDFGUOUXRU
      XSUXLXDUXRUXSUXLXEYRYSUWNUXMUXORIUXLUXKUUNULUUTUXLOZUWMUXMUWLUXOUUTUXLUUO
      UUAUYHUWJUXNUVGUUTUXLXIUUBUUCUUDVDUUEUUFUUJUUKUULLUUPUUGUUHEUUPOUUMUUQVRH
      UULLEUUPUUIXAWJ $.
  $}

  ${
    $d a b c d e f $.
    $( The set of hereditarily finite sets is countable.  See ~ ackbij2 for an
       explicit bijection that works without Infinity.  See also ~ r1omALT .
       (Contributed by Stefan O'Rear, 18-Nov-2014.) $)
    r1om $p |- ( R1 ` _om ) ~~ _om $=
      ( va vc vd ve vf vb com cr1 cfv cima cuni cv ciun cvv cpw ccrd weq fveq2d
      cmpt cbvmptv wcel wlim wceq omex limom r1lim mp2an con0 wfun r1fnon fnfun
      cen wfn funiunfv mp2b eqtri cdm cfn cin csn cxp crdg wf1o wbr iuneq1 sneq
      c0 pweq xpeq12d cbviunv eqtrdi dmeq pweqd imaeq1 mpteq12dv imaeq2 ackbij2
      eqid fvex eqeltrri f1oen ax-mp eqbrtri ) GHIZHGJKZGULWDAGALZHIMZWEGNUAGUB
      WDWGUCUDUEAGNUFUGHUHUMHUIWGWEUCUJUHHUKAGHUNUOUPZWEGBNCBLZUQZOZWICLZJZDGOU
      RUSZEDLZELZUTZWPOZVAZMZPIZSZIZSZSZVGVBGJKZVCWEGULVDAFXBXEXFDAWNXAFWFFLZUT
      ZXGOZVAZMZPIDAQZWTXKPXLWTEWFWSMXKEWOWFWSVEEFWFWSXJEFQWQXHWRXIWPXGVFWPXGVH
      VIVJVKRTBANXDFWFUQZOZWFXGJZXBIZSZBAQZXDCXNWFWLJZXBIZSXQXRCWKXCXNXTXRWJXMW
      IWFVLVMXRWMXSXBWIWFWLVNRVOCFXNXTXPCFQXSXOXBWLXGWFVPRTVKTXFVRVQWEGXFWDWENW
      HGHVSVTWAWBWC $.
  $}

  ${
    $d f x y z A $.  $d f x y B $.
    $( A set is countable iff its collection of finite intersections is
       countable.  (Contributed by Jeff Hankins, 24-Aug-2009.)  (Proof
       shortened by Mario Carneiro, 17-May-2015.) $)
    fictb $p |- ( A e. B -> ( A ~<_ _om <-> ( fi ` A ) ~<_ _om ) ) $=
      ( vf vy vx vz wcel com cdom wbr cfv wa cvv cpw cfn ccrd wss syl syl2anc
      cv cfi wf1 wex brdomi adantl wi reldom brrelex2i cin c0 csn cdif cdm cint
      cmpt wfo con0 omelon2 ad2antlr pwexg ad2antrr inex1g difss ssdomg crn cen
      mpisyl cima wf1o f1f1orn f1opwfi f1oeng f1f frnd ssrind sylc cxp ciun weq
      sneq xpeq12d cbviunv iuneq1 eqtrid fveq2d cbvmptv ackbij1 sylancl domentr
      sspwd pweq endomtr domtr ondomen eqid fifo fodomnum ex exlimdv sylan2 mpd
      fvex ssfii mpsyl impbid ) ABGZAHIJZAUAKZHIJZXFXGXIXFXGLAHCTZUBZCUCZXIXGXL
      XFAHCUDUEXGXFHMGZXLXIUFAHIUGUHXFXMLZXKXICXNXKXIXNXKLZXHANZOUIZUJUKZULZIJZ
      XSHIJZXIXOXSPUMGZXSXHDXSDTZUNUOZUPZXTXOHUQGZYAYBXMYFXFXKURUSXOXSXQIJZXQHI
      JZYAXOXQMGZXSXQQYGXOXPMGZYIXFYJXMXKABUTVAXPOMVBRZXQXRVCXSXQMVDVGXOXQXJVEZ
      NZOUIZVFJZYNHIJZYHXOYIXQYNEXQXJETZVHUOZVIZYOYKXOAYLXJVIZYSXKYTXNAHXJVJUEA
      YLXJEVKRXQYNMYRVLSXOYNHNZOUIZIJZUUBHVFJZYPXOUUBMGZYNUUBQUUCXOUUAMGZUUEXMU
      UFXFXKHMUTUSUUAOMVBRZXOYMUUAOXOYLHXKYLHQXNXKAHXJAHXJVMVNUEWJVOYNUUBMVDVPX
      OUUEUUBHEUUBCYQXJUKZXJNZVQZVRZPKZUOZVIUUDUUGDFUUMEDUUBUULFYCFTZUKZUUNNZVQ
      ZVRZPKEDVSZUUKUURPUUSUUKFYQUUQVRUURCFYQUUJUUQCFVSUUHUUOUUIUUPXJUUNVTXJUUN
      WKWAWBFYQYCUUQWCWDWEWFWGUUBHMUUMVLWHYNUUBHWISXQYNHWLSXSXQHWMSZHXSWNSXFYEX
      MXKDAYDBYDWOWPVAXSXHYDWQVPUUTXHXSHWMSWRWSWTXAWRXFAXHIJZXIXGUFXHMGXFAXHQUV
      AAUAXBABXCAXHMVDXDUVAXIXGAXHHWMWRRXE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cofinality (without Axiom of Choice)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w v A $.
    $( A lemma used to simplify cofinality computations, showing the existence
       of the cardinal of an unbounded subset of a set ` A ` .  (Contributed by
       NM, 24-Apr-2004.) $)
    cflem $p |- ( A e. V -> E. x E. y ( x = ( card ` y )
                  /\ ( y C_ A /\ A. z e. A E. w e. y z C_ w ) ) ) $=
      ( wcel cv wss wrex wral wa wex ccrd cfv wceq ssid sseq2 rspcev mpan2 rgen
      sseq1 rexeq ralbidv anbi12d spcegv mp2ani fvex isseti mpbiran exbii excom
      19.41v bitr3i sylib ) EFGZBHZEIZCHZDHZIZDUQJZCEKZLZBMZAHUQNOZPZVDLZBMAMZU
      PEEIZVADEJZCEKZVEEQVKCEUSEGUSUSIZVKUSQVAVMDUSEUTUSUSRSTUAVDVJVLLBEFUQEPZU
      RVJVCVLUQEEUBVNVBVKCEVADUQEUCUDUEUFUGVEVHAMZBMVIVOVDBVOVGAMVDAVFUQNUHUIVG
      VDAUMUJUKVHBAULUNUO $.

    $( Value of the cofinality function.  Definition B of Saharon Shelah,
       _Cardinal Arithmetic_ (1994), p. xxx (Roman numeral 30).  The cofinality
       of an ordinal number ` A ` is the cardinality (size) of the smallest
       unbounded subset ` y ` of the ordinal number.  Unbounded means that for
       every member of ` A ` , there is a member of ` y ` that is at least as
       large.  Cofinality is a measure of how "reachable from below" an ordinal
       is.  (Contributed by NM, 1-Apr-2004.)  (Revised by Mario Carneiro,
       15-Sep-2013.) $)
    cfval $p |- ( A e. On -> ( cf ` A ) = |^| { x | E. y ( x = ( card ` y ) /\
                 ( y C_ A /\ A. z e. A E. w e. y z C_ w ) ) } ) $=
      ( vv con0 wcel cv ccrd cfv wceq wss wral wa wex cab cint cvv ccf intexab
      cflem sylib sseq2 raleq anbi12d anbi2d exbidv abbidv inteqd df-cf fvmptg
      wrex mpdan ) EGHZAIBIZJKLZUPEMZCIDIMDUPUMZCENZOZOZBPZAQZRZSHZETKVELUOVCAP
      VFABCDEGUBVCAUAUCFEUQUPFIZMZUSCVGNZOZOZBPZAQZRVEGSTVGELZVMVDVNVLVCAVNVKVB
      BVNVJVAUQVNVHURVIUTVGEUPUDUSCVGEUEUFUGUHUIUJFABCDUKULUN $.
  $}

  ${
    $d x y z w v $.
    $( Cofinality is a function on the class of ordinal numbers to the class of
       cardinal numbers.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
    cff $p |- cf : On --> On $=
      ( vx vy vz vw vv con0 cv ccrd cfv wceq wss wrex wral wa wex cab ccf df-cf
      cint wcel wne cardon eleq1 mpbiri adantr exlimiv abssi cflem abn0 oninton
      c0 sylibr sylancr fmpti ) AFFBGZCGZHIZJZUPAGZKDGEGKEUPLDUSMNZNZCOZBPZSZQA
      BCDERUSFTZVCFKVCUKUAZVDFTVBBFVAUOFTZCURVGUTURVGUQFTUPUBUOUQFUCUDUEUFUGVEV
      BBOVFBCDEUSFUHVBBUIULVCUJUMUN $.
  $}

  ${
    $d x y z w v A $.
    $( An upper bound on cofinality.  (Contributed by NM, 25-Apr-2004.)
       (Revised by Mario Carneiro, 15-Sep-2013.) $)
    cfub $p |- ( cf ` A ) C_
            |^| { x | E. y ( x = ( card ` y ) /\ ( y C_ A /\ A C_ U. y ) ) } $=
      ( vz vw con0 wcel ccf cfv cv ccrd wceq wss wa wex cab cint wral eximdv c0
      cuni wrex cfval dfss3 wi ssel onelon ex sylan9r onelss syl6 ancomsd eluni
      imdistand df-rex 3imtr4g ralimdv syl5bi imdistanda anim2d ss2abdv eqsstrd
      intss syl wn cdm cff fdmi eleq2i ndmfv sylnbir 0ss eqsstrdi pm2.61i ) CFG
      ZCHIZAJBJZKILZVQCMZCVQUAZMZNZNZBOZAPZQZMVOVPVRVSDJZEJZMZEVQUBZDCRZNZNZBOZ
      APZQZWFABDECUCVOWEWOMWPWFMVOWDWNAVOWCWMBVOWBWLVRVOVSWAWKWAWGVTGZDCRVOVSNZ
      WKDCVTUDWRWQWJDCWRWGWHGZWHVQGZNZEOWTWINZEOWQWJWRXAXBEWRWTWSXBWRWTWSWIWRWT
      WHFGZWSWIUEVSWTWHCGZVOXCVQCWHUFVOXDXCCWHUGUHUIWHWGUJUKUNULSEWGVQUMWIEVQUO
      UPUQURUSUTSVAWEWOVCVDVBVOVEVPTWFVOCHVFZGVPTLXEFCFFHVGVHVICHVJVKWFVLVMVN
      $.

    $( Value of the cofinality function at a limit ordinal.  Part of Definition
       of cofinality of [Enderton] p. 257.  (Contributed by NM,
       26-Apr-2004.) $)
    cflm $p |- ( ( A e. B /\ Lim A ) -> ( cf ` A ) =
           |^| { x | E. y ( x = ( card ` y ) /\ ( y C_ A /\ A = U. y ) ) } ) $=
      ( vz vw vv wcel cvv cfv cv wceq wss cuni wa wex cab cint wrex wral ccf wi
      wlim ccrd elex csuc limsuc biimpd sseq1 rexbidv sucssel elv reximi eluni2
      rspcv sylibr syl6com syl9 ralrimdv dfss3 syl6ibr adantr limuni sseq2d imp
      uniss syl5ibr jctird eqss imdistanda anim2d eximdv ss2abdv intss syl con0
      adantl limelon cfval sseqtrrd cfub eqimss anim2i eximi ss2abi ax-mp sstri
      jctil sylan ) CDHCIHZCUCZCUAJZAKBKZUDJLZWMCMZCWMNZLZOZOZBPZAQZRZLZCDUEWJW
      KOZWLXBMZXBWLMZOXCXDXFXEXDXBWNWOEKZFKZMZFWMSZECTZOZOZBPZAQZRZWLWKXBXPMZWJ
      WKXOXAMXQWKXNWTAWKXMWSBWKXLWRWNWKWOXKWQWKWOOZXKCWPMZWPCMZOWQXRXKXSXTWKXKX
      SUBWOWKXKGKZWPHZGCTXSWKXKYBGCWKYACHZYAUFZCHZXKYBWKYCYECYAUGUHYEXKYDXHMZFW
      MSZYBXJYGEYDCXGYDLXIYFFWMXGYDXHUIUJUOYGYAXHHZFWMSYBYFYHFWMYFYHUBGYAXHIUKU
      LUMFYAWMUNUPUQURUSGCWPUTVAVBWKWOXTWOXTWKWPCNZMWMCVFWKCYIWPCVCVDVGVEVHCWPV
      IVAVJVKVLVMXOXAVNVOVQXDCVPHWLXPLCIVRABEFCVSVOVTWLWNWOXSOZOZBPZAQZRZXBABCW
      AXAYMMYNXBMWTYLAWSYKBWRYJWNWQXSWOCWPWBWCWCWDWEXAYMVNWFWGWHWLXBVIUPWI $.
  $}

  ${
    $d x y $.
    $( Value of the cofinality function at 0.  Exercise 2 of [TakeutiZaring]
       p. 102.  (Contributed by NM, 16-Apr-2004.) $)
    cf0 $p |- ( cf ` (/) ) = (/) $=
      ( vx vy c0 ccf cfv wss wceq cv ccrd cuni wa wex cab cint cfub csn biantru
      0ss ss0b 0ex bitr3i anbi1ci exbii fveq2 eqeq2d ceqsexv card0 eqeq2i abbii
      3bitri df-sn eqtr4i inteqi intsn eqtri sseqtri mpbi ) CDEZCFURCGURAHZBHZI
      EZGZUTCFZCUTJZFZKZKZBLZAMZNZCABCOVJCPZNCVIVKVIUSCGZAMVKVHVLAVHUTCGZVBKZBL
      USCIEZGZVLVGVNBVFVMVBVFVCVMVEVCVDRQUTSUAUBUCVBVPBCTVMVAVOUSUTCIUDUEUFVOCU
      SUGUHUJUIACUKULUMCTUNUOUPURSUQ $.
  $}

  ${
    $d x y z w v A $.
    $( Cofinality is a cardinal number.  Proposition 11.11 of [TakeutiZaring]
       p. 103.  (Contributed by NM, 24-Apr-2004.)  (Revised by Mario Carneiro,
       15-Sep-2013.) $)
    cardcf $p |- ( card ` ( cf ` A ) ) = ( cf ` A ) $=
      ( vx vy vz vw vv con0 wcel ccf cfv ccrd wceq cv wss wa c0 fveq2 eqeltrrdi
      wex cvv wrex wral cab cint cfval wne vex eqeq1 anbi1d exbidv elab cardidm
      eqtrdi eqeq2 mpbird adantr exlimiv sylbi cardon ssriv fvex sylibr sylancr
      intex onint eqeltrd id eqeq12d vtoclga syl wn cdm cff fdmi eleq2i sylnbir
      ndmfv card0 3eqtr4a pm2.61i ) AGHZAIJZKJZWBLZWAWBBMZCMZKJZLZWFANDMEMNEWFU
      ADAUBOZOZCSZBUCZHWDWAWBWLUDZWLBCDEAUEZWAWLGNWLPUFZWMWLHFWLGFMZWLHZWPWPKJZ
      GWQWPWGLZWIOZCSZWRWPLZWKXABWPFUGWEWPLZWJWTCXCWHWSWIWEWPWGUHUIUJUKWTXBCWSX
      BWIWSXBWRWGLWSWRWGKJWGWPWGKQWFULUMWPWGWRUNUOUPUQURZWPUSRUTWAWMTHWOWAWMWBT
      WNAIVARWLVDVBWLVEVCVFXBWDFWBWLWPWBLZWRWCWPWBWPWBKQXEVGVHXDVIVJWAVKWBPLZWD
      WAAIVLZHXFXGGAGGIVMVNVOAIVQVPXFPKJPWCWBVRWBPKQXFVGVSVJVT $.

    $( Cofinality is bounded by the cardinality of its argument.  (Contributed
       by NM, 24-Apr-2004.)  (Revised by Mario Carneiro, 15-Sep-2013.) $)
    cflecard $p |- ( cf ` A ) C_ ( card ` A ) $=
      ( vx vy vz vw con0 wcel ccf cfv ccrd wss cv wceq wrex wral wa cab anbi12d
      cint ssid wex cfval csn df-sn sseq2 rspcev mpan2 rgen pm3.2i fveq2 eqeq2d
      sseq1 rexeq ralbidv spcegv ss2abdv eqsstrid intss syl fvex intsn sseqtrdi
      mpan2i eqsstrd wn cdm cff fdmi eleq2i ndmfv sylnbir 0ss eqsstrdi pm2.61i
      c0 ) AFGZAHIZAJIZKVPVQBLZCLZJIZMZVTAKZDLZELZKZEVTNZDAOZPZPZCUAZBQZSZVRBCD
      EAUBVPWMVRUCZSZVRVPWNWLKWMWOKVPWNVSVRMZBQWLBVRUDVPWPWKBVPWPAAKZWFEANZDAOZ
      PZWKWQWSATWRDAWDAGWDWDKZWRWDTWFXAEWDAWEWDWDUEUFUGUHUIWJWPWTPCAFVTAMZWBWPW
      IWTXBWAVRVSVTAJUJUKXBWCWQWHWSVTAAULXBWGWRDAWFEVTAUMUNRRUOVCUPUQWNWLURUSVR
      AJUTVAVBVDVPVEVQVOVRVPAHVFZGVQVOMXCFAFFHVGVHVIAHVJVKVRVLVMVN $.

    $( Cofinality is bounded by its argument.  Exercise 1 of [TakeutiZaring]
       p. 102.  (Contributed by NM, 26-Apr-2004.)  (Revised by Mario Carneiro,
       15-Sep-2013.) $)
    cfle $p |- ( cf ` A ) C_ A $=
      ( con0 wcel ccf cfv wss ccrd cflecard cardonle sstrid wn c0 cdm wceq fdmi
      cff eleq2i ndmfv sylnbir 0ss eqsstrdi pm2.61i ) ABCZADEZAFUCUDAGEAAHAIJUC
      KUDLAUCADMZCUDLNUEBABBDPOQADRSATUAUB $.
  $}

  $( The cofinality of any set is an ordinal (although it only makes sense when
     ` A ` is an ordinal).  (Contributed by Mario Carneiro, 9-Mar-2013.) $)
  cfon $p |- ( cf ` A ) e. On $=
    ( ccf cfv ccrd con0 cardcf cardon eqeltrri ) ABCZDCIEAFIGH $.

  ${
    $d A v w x y z $.
    $( Only the ordinal zero has cofinality zero.  (Contributed by NM,
       24-Apr-2004.)  (Revised by Mario Carneiro, 12-Feb-2013.) $)
    cfeq0 $p |- ( A e. On -> ( ( cf ` A ) = (/) <-> A = (/) ) ) $=
      ( vx vy vz vw vv con0 wcel ccf cfv c0 wceq cv ccrd wss wrex wral wa wex
      wb cab cint cfval eqeq1d vex eqeq1 anbi1d exbidv elab fveq2 cardidm eqeq2
      eqtrdi mpbird adantr exlimiv sylbi cardon eqeltrrdi ssriv onint0 0ex onss
      ax-mp w3a ancoms sylan 3adant2 3adant3r simp2 simp3 eqcom cdm cvv onssnum
      sstr mpan cardnueq0 syl syl5bb biimpa sseq1 rexeq ralbidv anbi12d wn rex0
      rgenw r19.2z mpan2 rexnal sylib necon4ai simpl2im syl21anc 3expib exlimdv
      wne syl5bi sylbid cf0 impbid1 ) AGHZAIJZKLZAKLZXCXEBMZCMZNJZLZXHAOZDMEMOZ
      EXHPZDAQZRZRZCSZBUAZUBZKLZXFXCXDXSKBCDEAUCUDXTKXRHZXCXFXRGOXTYATFXRGFMZXR
      HZYBYBNJZGYCYBXILZXORZCSZYDYBLZXQYGBYBFUEXGYBLZXPYFCYIXJYEXOXGYBXIUFUGUHU
      IYFYHCYEYHXOYEYHYDXILYEYDXINJXIYBXINUJXHUKUMYBXIYDULUNUOUPUQYBURUSUTXRVAV
      DYAKXILZXORZCSZXCXFXQYLBKVBXGKLZXPYKCYMXJYJXOXGKXIUFUGUHUIXCYKXFCXCYJXOXF
      XCYJXOVEXHGOZYJXOXFXCYJXKYNXNXCXKYNYJXCAGOZXKYNAVCXKYOYNXHAGVPVFVGVHVIXCY
      JXOVJXCYJXOVKYNYJRZXORKAOZXLEKPZDAQZXFYPXHKLZXOYQYSRZYNYJYTYJXIKLZYNYTKXI
      VLYNXHNVMHZUUBYTTXHVNHYNUUCCUEXHVNVOVQXHVRVSVTWAYTXOUUAYTXKYQXNYSXHKAWBYT
      XMYRDAXLEXHKWCWDWEWAVGYSAKAKWRZYRWFZDAPZYSWFUUDUUEDAQUUFUUEDAXLEWGWHUUEDA
      WIWJYRDAWKWLWMWNWOWPWQWSWSWTXFXDKIJKAKIUJXAUMXB $.
  $}

  ${
    $d x y z w v A $.
    $( Value of the cofinality function at a successor ordinal.  Exercise 3 of
       [TakeutiZaring] p. 102.  (Contributed by NM, 23-Apr-2004.)  (Revised by
       Mario Carneiro, 12-Feb-2013.) $)
    cfsuc $p |- ( A e. On -> ( cf ` suc A ) = 1o ) $=
      ( vx vy vz vw vv con0 wcel cfv cv ccrd wceq wss wrex wral wa wex c1o wn
      c0 csuc ccf cab sucelon cfval sylbi csn cardsn eqcomd snidg elsuci onelss
      cint wo wi eqimss a1i jaod syl5 sseq2 rspcev syl6an ralrimiv ssun2 df-suc
      cun sseqtrri jctil fveq2 eqeq2d sseq1 rexeq ralbidv anbi12d spcev syl2anc
      snex 1oex eqeq1 anbi1d exbidv elab sylibr el1o eqcom cdm cvv onssnum mpan
      wb vex cardnueq0 syl syl5bb biimpa rex0 wne nsuceq0 r19.2z mtbiri intnand
      nrex mto imnan mpbi w3a suceloni onss sylan2 ancoms adantrr 3adant2 simp2
      sstr simp3 jca31 3expib mtoi nexdv 0ex sylnibr adantr eleq1 adantl mtbird
      sylan2b ralrimiva cardon mpbiri exlimiv abssi oneqmini ax-mp eqtr4d ) AGH
      ZAUAZUBIZBJZCJZKIZLZYSYPMZDJZEJZMZEYSNZDYPOZPZPZCQZBUCZUMZRYOYPGHZYQUULLA
      UDBCDEYPUEUFYORUUKHZFJZUUKHZSZFROZRUULLZYORYTLZUUHPZCQZUUNYORAUGZKIZLZUVC
      YPMZUUEEUVCNZDYPOZPZUVBYOUVDRAGUHUIYOUVHUVFYOUVGDYPYOAUVCHUUCYPHZUUCAMZUV
      GAGUJUVJUUCAHZUUCALZUNYOUVKUUCAUKYOUVLUVKUVMAUUCULUVMUVKUOYOUUCAUPUQURUSU
      UEUVKEAUVCUUDAUUCUTVAVBVCUVCAUVCVFYPUVCAVDAVEVGVHUVAUVEUVIPCUVCAVQYSUVCLZ
      UUTUVEUUHUVIUVNYTUVDRYSUVCKVIVJUVNUUBUVFUUGUVHYSUVCYPVKUVNUUFUVGDYPUUEEYS
      UVCVLVMVNVNVOVPUUJUVBBRVRYRRLZUUIUVACUVOUUAUUTUUHYRRYTVSVTWAWBWCYOUUQFRUU
      ORHYOUUOTLZUUQUUOWDYOUVPPUUPTUUKHZYOUVQSUVPYOTYTLZUUHPZCQZUVQYOUVSCYOUVSY
      SGMZUVRPZUUHPZUWBUUHSUOUWCSUWBUUGUUBUWBYSTLZUUGSUWAUVRUWDUVRYTTLZUWAUWDTY
      TWEUWAYSKWFHZUWEUWDWJYSWGHUWAUWFCWKYSWGWHWIYSWLWMWNWOUWDUUGUUEETNZDYPOZUW
      HUWGDYPNZUWGDYPUWGSUVJUUEEWPUQXBYPTWQUWHUWIAWRUWGDYPWSWIXCUWDUUFUWGDYPUUE
      EYSTVLVMWTWMXAUWBUUHXDXEYOUVRUUHUWCYOUVRUUHXFUWAUVRUUHYOUUHUWAUVRYOUUBUWA
      UUGUUBYOUWAYOUUBUUMUWAAXGUUMUUBYPGMUWAYPXHYSYPGXNXIXIXJXKXLYOUVRUUHXMYOUV
      RUUHXOXPXQXRXSUUJUVTBTXTYRTLZUUIUVSCUWJUUAUVRUUHYRTYTVSVTWAWBYAYBUVPUUPUV
      QWJYOUUOTUUKYCYDYEYFYGUUKGMUUNUURPUUSUOUUJBGUUIYRGHZCUUAUWKUUHUUAUWKYTGHY
      SYHYRYTGYCYIYBYJYKFRUUKYLYMVPYN $.
  $}

  ${
    $d A f s w y z $.  $d A s x y z $.
    $( There is always a map from ` ( cf `` A ) ` to ` A ` (this is a stronger
       condition than the definition, which only presupposes a map from some
       ` y ~~ ( cf `` A ) ` .  (Contributed by Mario Carneiro, 28-Feb-2013.) $)
    cff1 $p |- ( A e. On -> E. f ( f : ( cf ` A ) -1-1-> A /\
        A. z e. A E. w e. ( cf ` A ) z C_ ( f ` w ) ) ) $=
      ( vy vs vx con0 wcel ccf cfv cv ccrd wceq wss wrex wral wa wex cen wf1 c0
      cab cint cfval cardon eleq1 mpbiri adantr exlimiv abssi cflem abn0 sylibr
      wne onint sylancr eqeltrd fvex eqeq1 anbi1d exbidv elab sylib wf1o simplr
      onss sstr sylan2 ancoms ad2ant2r wbr cdm cvv vex onssnum mpan cardid2 syl
      adantl wb breq1 mpbird bren syl2anc w3a f1of1 f1ss adantlr 3adant1 wfo wi
      f1ofo foelrn biimpcd reximdv syl5com rexlimdva ralimdv impcom adantll jca
      sseq2 3expia eximdv mpd expl exlimdv ) CHIZCJKZELZMKZNZXKCOZALZFLZOZFXKPZ
      ACQZRZRZESZXJCDLZUAZXOBLYCKZOZBXJPZACQZRZDSZXIXJGLZXLNZXTRZESZGUCZIYBXIXJ
      YOUDZYOGEAFCUEXIYOHOYOUBUOZYPYOIYNGHYMYKHIZEYLYRXTYLYRXLHIXKUFYKXLHUGUHUI
      UJUKXIYNGSYQGEAFCHULYNGUMUNYOUPUQURYNYBGXJCJUSYKXJNZYMYAEYSYLXMXTYKXJXLUT
      VAVBVCVDXIYAYJEXIXMXTYJXIXMRZXTRZXJXKYCVEZDSZYJUUAXMXKHOZUUCXIXMXTVFXIXNU
      UDXMXSXNXIUUDXIXNCHOUUDCVGXKCHVHVIVJVKXMUUDRZXJXKTVLZUUCUUEUUFXLXKTVLZUUD
      UUGXMUUDXKMVMIZUUGXKVNIUUDUUHEVOXKVNVPVQXKVRVSVTXMUUFUUGWAUUDXJXLXKTWBUIW
      CXJXKDWDVDWEUUAUUBYIDYTXTUUBYIYTXTUUBWFYDYHXTUUBYDYTXNUUBYDXSUUBXNXJXKYCU
      AZYDXJXKYCWGUUIXNYDXJXKCYCWHVJVIWIWJXTUUBYHYTXSUUBYHXNUUBXSYHUUBXJXKYCWKZ
      XSYHWLXJXKYCWMUUJXRYGACUUJXQYGFXKUUJXPXKIRXPYENZBXJPXQYGBXJXKXPYCWNXQUUKY
      FBXJUUKXQYFXPYEXOXCWOWPWQWRWSVSWTXAWJXBXDXEXFXGXHXF $.
  $}

  ${
    $d A f s w z $.  $d A f s x y z $.  $d B f x $.  $d B f w z $.
    $( If there is a cofinal map from ` B ` to ` A ` , then ` B ` is at least
       ` ( cf `` A ) ` .  This theorem and ~ cff1 motivate the picture of
       ` ( cf `` A ) ` as the greatest lower bound of the domain of cofinal
       maps into ` A ` .  (Contributed by Mario Carneiro, 28-Feb-2013.) $)
    cfflb $p |- ( ( A e. On /\ B e. On ) -> ( E. f ( f : B --> A /\
        A. z e. A E. w e. B z C_ ( f ` w ) ) -> ( cf ` A ) C_ B ) ) $=
      ( vs vx vy con0 wcel wa cv cfv wss wrex wral ccrd wceq 3ad2ant2 wbr sylan
      wf ccf crn frn adantr wfn ffn fnfvelrn sseq2 rspcev rexlimdva2 ralimdv wi
      imp jca fvex w3a wex cab cint cfval rnex fveq2 eqeq2d sseq1 rexeq ralbidv
      vex anbi12d spcev abid sylibr intss1 3adant2 eqsstrd 3expib sylibd vtocle
      syl sylan2 cardidm cdom cen cdm cvv sylan9ssr onssnum sylancr cardid2 wfo
      onss onenon dffn4 sylib fodomnum syl2im 3adant1 endomtr syl2anc wb cardon
      ax-mp carddom2 mpbird cardonle sstrd eqsstrrid 3expa adantrr ex exlimdv )
      CIJZDIJZKZDCELZUBZALZBLZXPMZNZBDOZACPZKZCUCMZDNZEXOYDYFXOYDKYEXPUDZQMZDYD
      XOYGCNZXRFLZNZFYGOZACPZKZYEYHNZYDYIYMXQYIYCDCXPUEZUFXQYCYMXQYBYLACXQYAYLB
      DXQXSDJZKXTYGJZYAYLXQXPDUGZYQYRDCXPUHZDXSXPUIUAYKYAFXTYGYJXTXRUJUKUAULUMU
      OUPXOYNKZYOUNGYHYGQUQGLZYHRZUUAYEUUBNZYOUUCXOYNUUDUUCXOYNURYEUUBHLZQMZRZU
      UECNZYKFUUEOZACPZKZKZHUSZGUTZVAZUUBXOUUCYEUUORZYNXMUUPXNGHAFCVBUFSUUCYNUU
      OUUBNZXOUUCYNKZUUBUUNJZUUQUURUUMUUSUULUURHYGXPEVIVCZUUEYGRZUUGUUCUUKYNUVA
      UUFYHUUBUUEYGQVDVEUVAUUHYIUUJYMUUEYGCVFUVAUUIYLACYKFUUEYGVGVHVJVJVKUUMGVL
      VMUUBUUNVNVTVOVPVQUUBYHYEUJVRVSWAXOXQYHDNZYCXMXNXQUVBXMXNXQURZYHYHQMZDYGW
      BUVCUVDDQMZDUVCUVDUVENZYHDWCTZUVCYHYGWDTZYGDWCTZUVGUVCYGQWEZJZUVHUVCYGWFJ
      YGINZUVKUUTXMXQUVLXNXQXMYGCIYPCWLWGVOYGWFWHWIYGWJVTXNXQUVIXMXNXQUVIXNDUVJ
      JZXQDYGXPWKZUVIDWMZXQYSUVNYTDXPWNWODYGXPWPWQUOWRYHYGDWSWTXNXMUVFUVGXAZXQX
      NYHUVJJZUVMUVPYHIJUVQYGXBYHWMXCUVOYHDXDWISXEXNXMUVEDNXQDXFSXGXHXIXJXGXKXL
      $.
  $}

  ${
    $d A w x y z $.
    $( Another expression for the cofinality function.  (Contributed by Mario
       Carneiro, 28-Feb-2013.) $)
    cfval2 $p |- ( A e. On -> ( cf ` A ) =
        |^|_ x e. { x e. ~P A | A. z e. A E. w e. x z C_ w } ( card ` x ) ) $=
      ( vy con0 wcel ccf cfv cv ccrd wceq wss wrex wral wa wex cab cint bitri
      crab ciin cfval fvex dfiin2 df-rex rabid velpw anbi1i anbi2ci exbii abbii
      cpw inteqi eqtr2i eqtrdi ) DFGDHIEJAJZKIZLZUQDMZBJCJMCUQNBDOZPZPZAQZERZSZ
      AVAADUMZUAZURUBZEABCDUCVIUSAVHNZERZSVFAEVHURUQKUDUEVKVEVJVDEVJUQVHGZUSPZA
      QVDUSAVHUFVMVCAVLVBUSVLUQVGGZVAPVBVAAVGUGVNUTVAADUHUITUJUKTULUNUOUP $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( A simpler expression for the cofinality predicate, at a limit ordinal.
       (Contributed by Mario Carneiro, 28-Feb-2013.) $)
    coflim $p |- ( ( Lim A /\ B C_ A ) ->
      ( U. B = A <-> A. x e. A E. y e. B x C_ y ) ) $=
      ( wlim wss wa cuni wceq wrex wral wcel eleq2 biimprd wel eluni2 con0 word
      cv wi limord ssel2 ordelon syl2an expr onelss syl6 reximdvai syl5bi syl9r
      ralrimdv w3a uniss 3ad2ant2 uniss2 3ad2ant3 limuni 3ad2ant1 eqtr4d 3expia
      eqssd impbid ) CEZDCFZGZDHZCIZASZBSZFZBDJZACKZVEVGVKACVGVHCLZVHVFLZVEVKVG
      VNVMVFCVHMNVNABOZBDJVEVKBVHDPVEVOVJBDVEVIDLZVIQLZVOVJTVCVDVPVQVCCRVICLVQV
      DVPGCUADCVIUBCVIUCUDUEVIVHUFUGUHUIUJUKVCVDVLVGVCVDVLULZVFCHZCVRVFVSVDVCVF
      VSFVLDCUMUNVLVCVSVFFVDABCDUOUPVAVCVDCVSIVLCUQURUSUTVB $.
  $}

  ${
    $d A w x y z $.
    cflim3.1 $e |- A e. _V $.
    $( Another expression for the cofinality function.  (Contributed by Mario
       Carneiro, 28-Feb-2013.) $)
    cflim3 $p |- ( Lim A -> ( cf ` A ) =
        |^|_ x e. { x e. ~P A | U. x = A } ( card ` x ) ) $=
      ( vy vz vw wlim ccf cfv cv ccrd wceq wss wrex wa wex cab cint wcel syl5bb
      wral cuni crab ciin con0 word limord elon sylibr cfval fvex dfiin2 df-rex
      cpw ancom rabid velpw anbi1i coflim pm5.32da anbi2d exbidv abbidv eqtr2id
      syl inteqd eqtrd ) BGZBHIZDJAJZKIZLZVJBMZEJFJMFVJNEBUAZOZOZAPZDQZRZAVJUBB
      LZABUNZUCZVKUDZVHBUESZVIVSLVHBUFWDBUGBCUHUIDAEFBUJVEVHWCVLAWBNZDQZRVSADWB
      VKVJKUKULVHWFVRVHWEVQDWEVJWBSZVLOZAPVHVQVLAWBUMVHWHVPAWHVLWGOVHVPWGVLUOVH
      WGVOVLWGVJWASZVTOZVHVOVTAWAUPWJVMVTOVHVOWIVMVTABUQURVHVMVTVNEFBVJUSUTTTVA
      TVBTVCVFVDVG $.
  $}

  ${
    $d A s y $.  $d A x y $.  $d s t y $.
    cflim2.1 $e |- A e. _V $.
    $( The cofinality function is a limit ordinal iff its argument is.
       (Contributed by Mario Carneiro, 28-Feb-2013.)  (Revised by Mario
       Carneiro, 15-Sep-2013.) $)
    cflim2 $p |- ( Lim A <-> Lim ( cf ` A ) ) $=
      ( vy vt vs vx wlim ccf com wss wceq wcel wa wn cep wbr con0 wb c0 c1o cfv
      cv cuni cpw crab ccrd ciin wral rabid velpw w3a ccnv wrex wel word limord
      ordsson sstr expcom 3syl imp 3adant3 ssel2 eloni ordirr ssel com12 adantl
      mtod sylan simpl2 simpl3 sseq1d mtbird unissb sylnib nrexdv ontri1 ancoms
      wi mtand vex brcnv epel notbii bitr4di a1i syl2and impl ralbidva rexbidva
      bitri syl mtbid cvv wfr wne wwe wor cfn epweon wess weso cnvso sylib csdm
      mpi cen onssnum mpan cardid2 ensym nnsdom ensdomtr syl2an isfinite sylibr
      cdm wofi syl2an2r wefr ssidd unieq eqtrdi eqeq1 syl5ib nlim0 limeq mtbiri
      uni0 syl6 necon2ad cab fvex sseq2 bibi12d mpbiri rexlimivw wo fveq2 ordom
      impcom 3adant2 adantr syl22anc cardon ordtri1 mp2b syl3an2b 3expb sylan2b
      fri ralrimiva ssiin cflim3 sseqtrrd dfiin2 cardlim ss2abi eleq1 eqeltrrdi
      cint abssi intex onint sylancr sselid eqeltrd elab csuc w3o ordzsl df-3or
      mpbid orcom df-or 3bitri cf0 1n0 df1o2 unieqi unisn eqtri neeqtrri limuni
      csn necon3ai ax-mp cfsuc sylan9eqr rexlimiva jaoi con4d fdmi eleq2i ndmfv
      0ex cff sylnbir pm2.21d pm2.61i impbii ) AGZAHUAZGZUXCIUXDJZUXEUXCICCUBZU
      CZAKZCAUDZUEZUXGUFUAZUGZUXDUXCIUXLJZCUXKUHIUXMJUXCUXNCUXKUXGUXKLUXCUXGUXJ
      LZUXIMUXNUXICUXJUIUXCUXOUXIUXNUXOUXCUXGAJZUXIUXNCAUJUXCUXPUXIUKZUXLILZNZU
      XNUXQUXRDUBZEUBZOULZPZNZDUXGUHZEUXGUMZUXQUXTUYAJZDUXGUHZEUXGUMZUYFUXQUYHE
      UXGUXQECUNZMZUXHUYAJZUYHUYKUYLAUYAJZUYKUYMUXGUYAJZUXQUXGQJZUYJUYNNUXCUXPU
      YOUXIUXCUXPUYOUXCAUOZAQJZUXPUYOVTAUPAUQUXPUYQUYOUXGAQURUSUTVAVBZUYOUYJMZU
      YNEEUNZUYSUYAQLZUYAUOUYTNUXGQUYAVCUYAVDUYAVEUTUYJUYNUYTVTUYOUYNUYJUYTUXGU
      YAUYAVFVGVHVIVJUYKUXPUYMUYNUXCUXPUXIUYJVKUXGAUYAURVJWAUYKUXHAUYAUXCUXPUXI
      UYJVLVMVNDUXGUYAVOVPVQUXQUYOUYIUYFRUYRUYOUYHUYEEUXGUYSUYGUYDDUXGUYOUYJDCU
      NZUYGUYDRZUYOUYJVUAVUBUXTQLZVUCUXGQUYAVFUXGQUXTVFVUAVUDMZVUCVTUYOVUEUYGED
      UNZNZUYDVUDVUAUYGVUGRUXTUYAVRVSUYCVUFUYCUYAUXTOPVUFUXTUYAODWBEWBWCDUYAWDW
      LWEWFWGWHWIWJWKWMWNUXQUXRMZUXGWOLZUXGUYBWPZUXGUXGJUXGSWQZUYFVUIVUHCWBZWGV
      UHUXGUYBWRZVUJUXQUYOUXRVUMUYRUYOUXGUYBWSZUXRUXGWTLZVUMUYOUXGOWSZVUNUYOUXG
      OWRZVUPUYOQOWRVUQXAUXGQOXBXGUXGOXCWMUXGOXDXEUYOUXRMUXGIXFPZVUOUYOUXGUXLXH
      PZUXLIXFPVURUXRUYOUXGUFXRLZUXLUXGXHPVUSVUIUYOVUTVULUXGWOXIXJUXGXKUXLUXGXL
      UTUXLXMUXGUXLIXNXOUXGXPXQUXGUYBXSXTVJUXGUYBYAWMVUHUXGYBUXQVUKUXRUXCUXIVUK
      UXPUXIUXCVUKUXIUXCUXGSUXIUXGSKZASKZUXCNZVVAUXHSKUXIVVBVVAUXHSUCSUXGSYCYJY
      DUXHASYEYFVVBUXCSGZYGASYHYIYKYLUUBUUCUUDEDUXGUXGWOUYBUULUUEWAUXLQLZUXLUOZ
      UXNUXSRZUXGUUFZUXLVDIUOVVFVVGUUAIUXLUUGXJUUHXQUUIUUJUUKUUMCUXKUXLIUUNXQCA
      BUUOZUUPUXCUXDIFUBZJZVVJGZRZFYMZLUXFUXERZUXCUXDVVJUXLKZCUXKUMZFYMZUVBZVVN
      UXCUXDUXMVVSVVICFUXKUXLUXGUFYNUUQYDZUXCVVRVVNVVSVVQVVMFVVPVVMCUXKVVPVVMUX
      NUXLGZRUXGUURVVPVVKUXNVVLVWAVVJUXLIYOVVJUXLYHYPYQYRUUSUXCVVRQJVVRSWQZVVSV
      VRLVVQFQVVPVVJQLZCUXKVVPVWCVVEVVHVVJUXLQUUTYQYRUVCUXCVVSWOLVWBUXCVVSUXDWO
      VVTAHYNZUVAVVRUVDXQVVRUVEUVFUVGUVHVVMVVOFUXDVWDVVJUXDKVVKUXFVVLUXEVVJUXDI
      YOVVJUXDYHYPUVIXEUVNAQLZUXEUXCVTVWEUXCUXEVWEVVCVVBAVVJUVJZKZFQUMZYSZUXENZ
      VWEVVBVWHUXCUVKZVVCVWIVTZVWEUYPVWKAVDFAUVLXEVWKVWIUXCYSUXCVWIYSVWLVVBVWHU
      XCUVMVWIUXCUVOUXCVWIUVPUVQXEVVBVWJVWHVVBUXEVVDYGVVBUXDSKZUXEVVDRZVVBUXDSH
      UASASHYTUVRYDUXDSYHZWMYIVWGVWJFQVWCVWGMZUXETGZTTUCZWQVWQNTSVWRUVSVWRSUWFZ
      UCSTVWSUVTUWASUWQUWBUWCUWDVWQTVWRTUWEUWGUWHVWPUXDTKUXEVWQRVWGVWCUXDVWFHUA
      TAVWFHYTVVJUWIUWJUXDTYHWMYIUWKUWLYKUWMVWENZUXEUXCVWTUXEVVDYGVWTVWMVWNVWEA
      HXRZLVWMVXAQAQQHUWRUWNUWOAHUWPUWSVWOWMYIUWTUXAUXB $.
  $}

  $( Value of the cofinality function at omega (the set of natural numbers).
     Exercise 4 of [TakeutiZaring] p. 102.  (Contributed by NM, 23-Apr-2004.)
     (Proof shortened by Mario Carneiro, 11-Jun-2015.) $)
  cfom $p |- ( cf ` _om ) = _om $=
    ( com ccf cfv cfle wlim wss limom omex cflim2 mpbi limomss ax-mp eqssi ) AB
    CZAADNEZANFAEOGAHIJNKLM $.

  ${
    $d A x y $.
    cfss.1 $e |- A e. _V $.
    $( There is a cofinal subset of ` A ` of cardinality ` ( cf `` A ) ` .
       (Contributed by Mario Carneiro, 24-Jun-2013.) $)
    cfss $p |- ( Lim A -> E. x ( x C_ A /\ x ~~ ( cf ` A ) /\ U. x = A ) ) $=
      ( vy cv cuni wceq wcel cfv ccrd wex wss cen wbr wrex fvex con0 syl sylib
      wa wlim cpw crab ccf w3a cab ciin cflim3 cint dfiin2 c0 wne cardon mpbiri
      eleq1 rexlimivw abssi limuni eqcomd fveq2 biantrud unieq eqeq1d biantrurd
      bitr3d anbi1d bitr2d spcev df-rex rabid anbi1i exbii bitri sylibr rexbidv
      pwid eqeq1 abn0 onint sylancr eqeltrid eqeltrd simprl simpld elpwid simpl
      elab cdm cvv vex word limord ordsson sylan2 onssnum cardid2 ensymd simprr
      sstr syl2anc breqtrrd simprd 3jca ex eximdv mpd ) BUAZAEZXHFZBGZABUBZUCZH
      ZBUDIZXHJIZGZTZAKZXHBLZXHXNMNZXJUEZAKXGXPAXLOZXRXGXNDEZXOGZAXLOZDUFZHYBXG
      XNAXLXOUGZYFABCUHXGYGYFUIZYFADXLXOXHJPUJXGYFQLYFUKULZYHYFHYEDQYDYCQHZAXLY
      DYJXOQHXHUMYCXOQUOUNUPUQXGYEDKZYIXGBJIZXOGZAXLOZYKXGXHXKHZXJTZYMTZAKZYNXG
      BFZBGZYRXGBYSBURUSYQYTABCXHBGZYTYTYMTYQUUAYMYTUUAXOYLXHBJUTUSVAUUAYTYPYMU
      UAXJYTYPUUAXIYSBXHBVBVCUUAYOXJUUAYOBXKHBCVPXHBXKUOUNVDVEVFVGVHRYNXMYMTZAK
      YRYMAXLVIUUBYQAXMYPYMXJAXKVJZVKVLVMVNYEYNDYLBJPYCYLGYDYMAXLYCYLXOVQVOVHRY
      EDVRVNYFVSVTWAWBYEYBDXNBUDPYCXNGYDXPAXLYCXNXOVQVOWGSXPAXLVISXGXQYAAXGXQYA
      XGXQTZXSXTXJUUDXHBUUDYOXJUUDXMYPXGXMXPWCUUCSZWDWEZUUDXHXOXNMUUDXSXGXHXOMN
      UUFXGXQWFXSXGTZXOXHUUGXHJWHHZXOXHMNUUGXHWIHXHQLZUUHAWJXGXSBQLZUUIXGBWKUUJ
      BWLBWMRXHBQWSWNXHWIWOVTXHWPRWQWTXGXMXPWRXAUUDYOXJUUEXBXCXDXEXF $.
  $}

  ${
    $d A x $.  $d B x $.
    cfslb.1 $e |- A e. _V $.
    $( Any cofinal subset of ` A ` is at least as large as ` ( cf `` A ) ` .
       (Contributed by Mario Carneiro, 24-Jun-2013.) $)
    cfslb $p |- ( ( Lim A /\ B C_ A /\ U. B = A ) -> ( cf ` A ) ~<_ B ) $=
      ( vx wlim wss cuni wceq cfv ccrd cdom wbr cvv wcel wex anbi12d sseq1d syl
      wa con0 w3a ccf cen fvex cv crab ciin wrex ssid ssex ad2antrr velpw sseq1
      cpw syl5bb unieq eqeq1d fveq2 spcegv mpcom df-rex rabid exbii bitri mpan2
      anbi1i sylibr iinss cflim3 syl5ibr 3impib ssdomg mpsyl cdm limord ordsson
      word sstr2 mpan9 onssnum syl2an2 cardid2 3adant3 domentr syl2anc ) AEZBAF
      ZBGZAHZUAZAUBIZBJIZKLZWLBUCLZWKBKLWLMNWJWKWLFZWMBJUDWFWGWIWOWGWISZWOWFDDU
      EZGZAHZDAUNZUFZWQJIZUGZWLFZWPXBWLFZDXAUHZXDWPWLWLFZXFWLUIWPXGSZWQWTNZWSSZ
      XESZDOZXFBMNZXHXLWGXMWIXGBACUJZUKXKXHDBMWQBHZXJWPXEXGXOXIWGWSWIXIWQAFXOWG
      DAULWQBAUMUOXOWRWHAWQBUPUQPXOXBWLWLWQBJURQPUSUTXFWQXANZXESZDOXLXEDXAVAXQX
      KDXPXJXEWSDWTVBVFVCVDVGVEDXAXBWLVHRWFWKXCWLDACVIQVJVKWKWLMVLVMWFWGWNWIWFW
      GSBJVNNZWNWGXMWFBTFZXRXNWFATFZWGXSWFAVQXTAVOAVPRBATVRVSBMVTWABWBRWCWKWLBW
      DWE $.

    $( Any subset of ` A ` smaller than its cofinality has union less than
       ` A ` .  (This is the contrapositive to ~ cfslb .)  (Contributed by
       Mario Carneiro, 24-Jun-2013.) $)
    cfslbn $p |- ( ( Lim A /\ B C_ A /\ B ~< ( cf ` A ) ) -> U. B e. A ) $=
      ( wlim wss ccf cfv csdm wbr cuni wcel wa wn wceq imp word con0 syl syl6
      wo uniss limuni sseq2d syl5ibr wb limord ordsson sstr2 ssorduni ordsseleq
      syl5com jctird mpbid ord w3a cdom cfslb domnsym 3expia syld con4d 3impia
      ) ADZBAEZBAFGZHIZBJZAKZVCVDLZVHVFVIVHMVGANZVFMZVIVHVJVIVGAEZVHVJTZVCVDVLV
      DVLVCVGAJZEBAUAVCAVNVGAUBUCUDOVCVDVLVMUEZVCVDVGPZAPZLVOVCVDVPVQVCVDBQEZVP
      VCAQEZVDVRVCVQVSAUFZAUGRBAQUHUKBUISVTULVGAUJSOUMUNVCVDVJVKVCVDVJUOVEBUPIV
      KABCUQVEBURRUSUTVAVB $.

    $d A x y $.  $d B x y $.
    $( Any small collection of small subsets of ` A ` cannot have union ` A ` ,
       where "small" means smaller than the cofinality.  This is a stronger
       version of ~ cfslb .  This is a common application of cofinality: under
       AC, ` ( aleph `` 1 ) ` is regular, so it is not a countable union of
       countable sets.  (Contributed by Mario Carneiro, 24-Jun-2013.) $)
    cfslb2n $p |- ( ( Lim A /\ A. x e. B ( x C_ A /\ x ~< ( cf ` A ) ) ) ->
        ( B ~< ( cf ` A ) -> U. B =/= A ) ) $=
      ( vy cv wss csdm wbr wa wral cuni wceq cdom wi con0 ralimdv imp wcel syl
      wlim ccf cfv csuc ciun wrex cab wn word limord ordsson sstr 3syl onsucuni
      expcom syl6 adantrd uniiun ss2iun eqsstrid cfslbn 3expib ordsucss sylsyld
      iunss sseq1 eqss simplbi2com syl6bi com3l sylc limsuc sylibd r19.29 eleq1
      syl6ibr biimparc rexlimivw abssdv vuniex sucex dfiun2 eqeq1i cfslb 3expia
      syl5bi syldan cmpt crn eqid rnmpt wfo wfn fnmpti dffn4 mpbi cvv brrelex1i
      ex relsdom breq1 foeq2 breq2 imbi12d cdm sdomdom ondomen sylancr fodomnum
      ccrd cfon vtoclg mpcom mpi eqbrtrrid sylan2 domnsym pm2.01da a1i necon2ad
      domtr 3syld ) BUAZAFZBGZYDBUBUCZHIZJZACKZJZCYFHIZCLZBYJYLBMZACYDLZUDZUEZB
      MZYFEFZYOMZACUFZEUGZNIZYKUHZYJYLYPGZYPBGZYMYQOYCYIUUDYCYIYDYOGZACKZUUDYCY
      HUUFACYCYEUUFYGYCYEYDPGZUUFYCBUIZBPGZYEUUHOBUJZBUKYEUUJUUHYDBPULUOUMYDUNU
      PUQQUUGYLACYDUEYPACURACYDYOUSUTUPRYCYIUUEYCYIYOBGZACKUUEYCYHUULACYCUUIYHY
      NBSZUULUUKYCYEYGUUMBYDDVAVBZYNBVCVDQACYOBVEVPRYMUUDUUEYQYMUUDBYPGZUUEYQOY
      LBYPVFYQUUEUUOYPBVGVHVIVJVKYCYIUUABGZYQUUBOYJYTEBYJYOBSZACKZYTYRBSZOYCYIU
      URYCYHUUQACYCYHUUMUUQUUNBYNVLVMQRUURYTUUSUURYTJUUQYSJZACUFUUSUUQYSACVNUUT
      UUSACYSUUSUUQYRYOBVOVQVRTWSTVSYQUUALZBMZYCUUPJUUBYPUVABAECYOYNAVTWAZWBWCY
      CUUPUVBUUBBUUADWDWEWFWGUUBUUCOYJUUBYKUUBYKJYFCNIZUUCYKUUBUUACNIUVDYKUUAAC
      YOWHZWIZCNAECYOUVEUVEWJZWKYKCUVFUVEWLZUVFCNIZUVECWMUVHACYOUVEUVCUVGWNCUVE
      WOWPCWQSYKUVHUVIOZCYFHWTWRYRYFHIZYRUVFUVEWLZUVFYRNIZOZOYKUVJOECWQYRCMZUVK
      YKUVNUVJYRCYFHXAUVOUVLUVHUVMUVIYRCUVFUVEXBYRCUVFNXCXDXDUVKYRXJXESZUVNUVKY
      FPSYRYFNIUVPBXKYRYFXFYFYRXGXHYRUVFUVEXITXLXMXNXOYFUUACYAXPYFCXQTXRXSYBXT
      $.
  $}

  ${
    $d f g s t v w x z A $.  $d f s t v w x y z B $.  $d v C $.  $d v w y K $.
    $d g s t v x z O $.
    cofsmo.1 $e |- C = { y e. B | A. w e. y ( f ` w ) e. ( f ` y ) } $.
    cofsmo.2 $e |- K = |^| { x e. B | z C_ ( f ` x ) } $.
    cofsmo.3 $e |- O = OrdIso ( _E , C ) $.
    $( Any cofinal map implies the existence of a strictly monotone cofinal map
       with a domain no larger than the original.  Proposition 11.7 of
       [TakeutiZaring] p. 101.  (Contributed by Mario Carneiro,
       20-Mar-2013.) $)
    cofsmo $p |- ( ( Ord A /\ B e. On ) ->
      ( E. f ( f : B --> A /\ A. z e. A E. w e. B z C_ ( f ` w ) ) ->
          E. x e. suc B E. g ( g : x --> A /\ Smo g /\
            A. z e. A E. v e. x z C_ ( g ` v ) ) ) ) $=
      ( con0 wcel wa cfv wss vt vs word wrex wral wsmo w3a wex csuc cdm wfo cep
      cv wf wiso wf1o cvv wwe ssrab3 ssexg mpan onss sstrid epweon mpisyl oiiso
      wess syl2anc ad2antlr isof1o f1ofo 3syl fof fss sylancl oion simplr eloni
      syl smoiso2 syl2an biimpar simprd syl21anc smorndom syl3anc onsssuc mpbid
      wb adantrr ccom vex oiexg coexg sylancr fcod simpr ordsson ad2antrr simpl
      simprl ffvelrn wfn ffn jca smoel2 sylan wceq fveq2 eleq2d raleqbi1dv crab
      wi eleq1d cbvralvw syl5bb cbvrabv eqtri elrab2 simprbi rspccv sylc ordtr1
      weq ancomsd imp fvco3 syl2an2r 3eltr4d ralrimivva issmo2 syl13anc c0 cint
      sseq2d ex wn ffvelrnd mpd ralbidv wne rabn0 onint eqeltrid sylan2br elrab
      ssrab2 inteqi sylib adantl simpr2 eleq2i simp21 simp1l fssd simp22 simp1r
      simp3 ontr1 3impib ontri1 simp23 simpl1 sstr rabid sylibr onnmin syl31anc
      anim12i sylbird con4d syl5bi 3expia ralrimiv sylanbrc expcom 3expib com13
      expr syld com23 imp31 foelrn eleq1 biimpcd syl6 ad5ant24 sylancom sylibrd
      reximdva ralimdv impr 3jca feq1 smoeq fveq1 rexbidv 3anbi123d spcedv feq2
      rexeq 3anbi13d exbidv rspcev exlimdv ) FUCZGPQZRZGFIUMZUNZCUMZDUMZUXISZTZ
      DGUDZCFUEZRZAUMZFJUMZUNZUXSUFZUXKEUMZUXSSZTZEUXRUDZCFUEZUGZJUHZAGUIZUDZIU
      XHUXQUYJUXHUXQRZLUJZUYIQZUYLFUXSUNZUYAUYDEUYLUDZCFUEZUGZJUHZUYJUXHUXJUYMU
      XPUXHUXJRZUYLGTZUYMUYSUYLGLUNZLUFZGUCZUYTUYSUYLHLUKZVUAUYSUYLHULULLUOZUYL
      HLUPVUDUXGVUEUXFUXJUXGHUQQZHULURZVUEHGTZUXGVUFUXMBUMZUXISZQZDVUIUEZBGHMUS
      ZHGPUTVAZUXGHPTZPULURVUGUXGHGPVUMGVBZVCZVDHPULVGVEHULLUQOVFVHVIZUYLHULULL
      VJUYLHLVKVLZVUDUYLHLUNZVUHVUAUYLHLVMZVUMUYLHGLVNVOVSZUYSUYLPQZUXGVUEVUBUX
      GVVCUXFUXJUXGVUFVVCVUNHULLUQOVPVSVIZUXFUXGUXJVQZVURVVCUXGRZVUERVUDVUBVVFV
      UDVUBRZVUEVVCUYLUCZVUOVVGVUEWIUXGUYLVRZVUQUYLHLVTWAWBWCWDZUXGVUCUXFUXJGVR
      VIUYLGLWEWFUYSVVCUXGUYTUYMWIVVDVVEUYLGWGVHWHWJUYKUYQUYLFUXILWKZUNZVVKUFZU
      XKUYBVVKSZTZEUYLUDZCFUEZUGJUQVVKUYKUXIUQQLUQQZVVKUQQIWLUXGVVRUXFUXQUXGVUF
      VVRVUNHULLUQOWMVSVIUXILUQUQWNWOUYKVVLVVMVVQUYKUYLGFUXILUXHUXJUXPXAUXHUXJV
      UAUXPVVBWJWPUXHUXJVVMUXPUYSVVLFPTZVVHUAUMZVVKSZUBUMZVVKSZQZUAVWBUEUBUYLUE
      ZVVMUYSUYLGFUXILUXHUXJWQVVBWPUXFVVSUXGUXJFWRZWSUYSVVCVVHVVDVVIVSUYSVWDUBU
      AUYLVWBUYSVWBUYLQZVVTVWBQZRZRZVVTLSZUXISZVWBLSZUXISZVWAVWCVWJVWMHQZVWKVWM
      QZVWLVWNQZUYSVUTVWGVWOVWIUYSVUDVUTVUSVVAVSVWGVWHWTUYLHVWBLXBWAUYSLUYLXCZV
      UBRVWIVWPUYSVWRVUBUYSVUDVUTVWRVUSVVAUYLHLXDVLVVJXEUYLVWBVVTLXFXGVWOUXRUXI
      SZVWNQZAVWMUEZVWPVWQXMVWOVWMGQVXAVWSUXKUXISZQZAUXKUEZVXACVWMGHVXCVWTAUXKV
      WMUXKVWMXHVXBVWNVWSUXKVWMUXIXIXJXKHVULBGXLVXDCGXLMVULVXDBCGVULVWSVUJQZAVU
      IUEBCYDZVXDVUKVXEDAVUIDAYDZUXMVWSVUJUXLUXRUXIXIZXNXOVXEVXCAVUIUXKVXFVUJVX
      BVWSVUIUXKUXIXIXJXKXPXQXRXSXTVWTVWQAVWKVWMUXRVWKXHVWSVWLVWNUXRVWKUXIXIXNY
      AVSYBUYSVUAVWIVVTUYLQZVWAVWLXHVVBUYSVWIVXIUYSVVCVVHVWIVXIXMVVDVVIVVHVWHVW
      GVXIVVTVWBUYLYCYEVLYFUYLGVVTUXILYGYHUYSVUAVWIVWGVWCVWNXHVVBUYSVWGVWHXAUYL
      GVWBUXILYGYHYIYJVVLVVSVVHVWEUGVVMUBUAUYLFVVKYKYFYLWJUXHUXJUXPVVQUYSUXOVVP
      CFUYSUXOVVPUYSUXORZKUYBLSZXHZEUYLUDZVVPUYSVUDUXOKHQZVXMVUSUXHUXJUXOVXNUXH
      UXOUXJVXNUXHUXOKGQZUXKKUXISZTZRZUXJVXNXMUXGUXOVXRXMUXFUXGUXOVXRUXGUXORZKU
      XNDGXLZQZVXRUXOUXGVXTYMUUAZVYAUXNDGUUBUXGVXTPTZVYBVYAUXGVXTGPUXNDGUUGVUPV
      CZVYCVYBRKVXTYNZVXTKUXKVWSTZAGXLZYNVYENVYGVXTVYFUXNADGADYDVWSUXMUXKUXRUXL
      UXIXIYOXQUUHXRZVXTUUCUUDXGUUEZUXNVXQDKGUXLKXHUXMVXPUXKUXLKUXIXIYOUUFUUIYP
      UUJUXJVXRUXHVXNUXJVXOVXQUXHVXNXMUXHUXJVXOVXQUGZVXNUXHVYJRZVXOUXMVXPQZDKUE
      ZVXNUXHUXJVXOVXQUUKVYKVYLDKUXHVYJUXLKQZVYLUXHVYJVYNUGZVYNVYLUXHVYJVYNUURZ
      VYNUXLVYEQZVYOVYLKVYEUXLVYHUULVYOVYLVYQVYOVYLYQZVXPUXMTZVYQYQZVYOVXPPQUXM
      PQVYSVYRWIVYOGPKUXIVYOGFPUXIUXHUXJVXOVXQVYNUUMVYOUXFVVSUXFUXGVYJVYNUUNVWF
      VSUUOZUXHUXJVXOVXQVYNUUPZYRVYOGPUXLUXIWUAVYOUXGVYNVXOUXLGQZUXFUXGVYJVYNUU
      QZVYPWUBUXGVYNVXOWUCUXLKGUUSUUTZWFYRVXPUXMUVAVHVYOUXGVYNVXOVXQVYSVYTXMWUD
      VYPWUBUXHUXJVXOVXQVYNUVBUXGVYNVXOUGZVXQVYSVYTWUFVXQVYSRZRZVYCUXLVXTQZVYTW
      UHUXGVYCUXGVYNVXOWUGUVCVYDVSWUHWUCUXNRWUIWUFWUCWUGUXNWUEUXKVXPUXMUVDUVIUX
      NDGUVEUVFVXTUXLUVGVHUVSUVHUVJUVKUVLYSUVMUVNVULVYMBKGHVUKVYLDVUIKVUIKXHVUJ
      VXPUXMVUIKUXIXIXJXKMXSUVOUVPUVQUVRUVTUWAUWBEUYLHKLUWCYHVXJVXLVVOEUYLVXJUY
      BUYLQZRZVXLUXKVXKUXISZTZVVOUXGUXOVXLWUMXMZUXFUXJWUJVXSVYAWUNVYIVYAVXLVXKV
      XTQZWUMVXLVYAWUOKVXKVXTUWDUWEWUOVXKGQWUMVYFWUMAVXKGVXTUXRVXKXHVWSWULUXKUX
      RVXKUXIXIYOUXNVYFDAGVXGUXMVWSUXKVXHYOXQXSXTUWFVSUWGWUKVVNWULUXKVXJWUJVUAV
      VNWULXHUYSVUAUXOWUJVVBWSUYLGUYBUXILYGUWHYOUWIUWJYSYPUWKUWLUWMUXSVVKXHZUYN
      VVLUYAVVMUYPVVQUYLFUXSVVKUWNUXSVVKUWOWUPUYOVVPCFWUPUYDVVOEUYLWUPUYCVVNUXK
      UYBUXSVVKUWPYOUWQYTUWRUWSUYHUYRAUYLUYIUXRUYLXHZUYGUYQJWUQUXTUYNUYFUYPUYAU
      XRUYLFUXSUWTWUQUYEUYOCFUYDEUXRUYLUXAYTUXBUXCUXDVHYPUXE $.
  $}

  ${
    $d f g t w x y z A $.  $d f t y z F $.  $d f w x y z G $.
    cfsmolem.2 $e |- F = ( z e. _V |->
      ( ( g ` dom z ) u. U_ t e. dom z suc ( z ` t ) ) ) $.
    cfsmolem.3 $e |- G = ( recs ( F ) |` ( cf ` A ) ) $.
    $( Lemma for ~ cfsmo .  (Contributed by Mario Carneiro, 28-Feb-2013.) $)
    cfsmolem $p |- ( A e. On -> E. f ( f : ( cf ` A ) --> A /\ Smo f /\
        A. z e. A E. w e. ( cf ` A ) z C_ ( f ` w ) ) ) $=
      ( vx vy con0 wcel cfv wss wral wa wi wceq ccf cv wf1 wrex wex wf wsmo w3a
      cff1 oneli 3ad2ant3 weq eleq1w 3anbi3d fveq2 eleq1d imbi12d simpl1 simpl2
      cfon ontr1 ax-mp ancoms 3ad2antl3 pm2.27 syl3anc ralimdva crecs csuc ciun
      wel cun cres fveq1i fvres eqtrid cdm recsval cvv wfun wfn fnfun resfunexg
      recsfnon vex mp2an dmeq fveq2d fveq1 suceq syl iuneq12d uneq12d fvex dmex
      sucex iunex unex fvmpt eqtrdi onss fnssres sylancr iuneq1 iuneq2i cbviunv
      fndm eqtr4i 3syl eqtrd 3ad2ant2 eloni adantl 3ad2ant1 f1f adantlr adantrl
      word ad2antrr sylbid 3impia wb onelon ex adantr syl2an2r anassrs imp feq1
      ffnfv sseq2d rexbidv ralbidv spcev com12 3expia ralrimiv sylibr expcom
      mpd ffvelrnda 3adant3 ordsucss iunss syl6ibr wo suceloni syl6 iunon simp1
      fvresd onsseleq syl2anc idd simpll simprr eqtr4d ralbidva biimpa sylanbrc
      wn eleq2 biimpar 3adant1 ffvelrn eqeltrrd sylan2 onsssuc rexbidva bitr4di
      eliun 3adant2 mpbird 3expa ralrimiva expl rexbiia bitrdi anbi12d syl21anc
      cfflb ontri1 mpbid pm2.21dd expcomd 3impib 3adant1l ordunel eqeltrd 3impa
      jaod syldc tfis2 mpcom onssi fneq1i mpbiran onordi sucid eliuni eleqtrrdi
      a1i mpan2 elun2 eleqtrrd 3eltr4d rgen issmo2 mp3an23 sylc ssun1 sseqtrrid
      sseq12d vtoclga sstr reximia ralimi ad2antlr fnex smoeq 3anbi123d exlimdv
      ) DMNZDUAOZDFUBZUCZAUBZBUBZUYEOZPZBUYDUDZADQZRZFUEUYDDEUBZUFZUYNUGZUYGUYH
      UYNOZPZBUYDUDZADQZUHZEUEZABDFUIUYCUYMVUBFUYMUYCVUBUYMUYCRUYDDHUFZHUGZUYGU
      YHHOZPZBUYDUDZADQZVUBUYFUYCVUCUYLUYFUYCRZKUBZHOZDNZKUYDQZVUCVUIVULKUYDUYF
      UYCVUJUYDNZVULVUJMNZUYFUYCVUNUHZVULVUNUYFVUOUYCUYDVUJDUTZUJZUKVUPVULSZUYF
      UYCLUBZUYDNZUHZVUTHOZDNZSZKLKLULZVUPVVBVULVVDVVFVUNVVAUYFUYCKLUYDUMUNVVFV
      UKVVCDVUJVUTHUOUPUQVVELVUJQZVUSSVUOVUPVVGVVDLVUJQZVULVUPVVEVVDLVUJVUPLKVK
      ZRUYFUYCVVAVVEVVDSUYFUYCVUNVVIURUYFUYCVUNVVIUSVUNUYFVVIVVAUYCVVIVUNVVAUYD
      MNZVVIVUNRZVVASVUQVUTVUJUYDVAVBZVCVDVVBVVDVEVFVGUYFUYCVUNVVHVULSVUIVUNVVH
      VULVUIVUNVVHUHZVUKVUJUYEOZLVUJVUTGVHZOZVIZVJZVLZDVUNVUIVUKVVSTVVHVUNVUKVU
      JVVOOZVVSVUNVUKVUJVVOUYDVMZOVVTVUJHVWAJVNVUJUYDVVOVOVPZVUNVUOVVTVVSTZVURV
      UOVVTVVOVUJVMZVQZUYEOZCVWECUBZVWDOZVIZVJZVLZVVSVUOVVTVWDGOZVWKVUJGVRVWDVS
      NZVWLVWKTVVOVTZVUJVSNZVWMVVOMWAZVWNGWDZMVVOWBVBKWEZVVOVUJVSWCWFZAVWDUYGVQ
      ZUYEOZCVWTVWGUYGOZVIZVJZVLVWKVSGUYGVWDTZVXAVWFVXDVWJVXEVWTVWEUYEUYGVWDWGZ
      WHVXECVWTVWEVXCVWIVXFVXEVXBVWHTVXCVWITVWGUYGVWDWIVXBVWHWJWKWLWMIVWFVWJVWE
      UYEWNCVWEVWIVWDVWSWOVWHVWGVWDWNWPWQWRWSVBWTVUOVWDVUJWAZVWEVUJTZVWKVVSTVUO
      VWPVUJMPVXGVWQVUJXAMVUJVVOXBXCZVUJVWDXGVXHVWFVVNVWJVVRVWEVUJUYEUOVXHVWJCV
      UJVWIVJZVVRCVWEVUJVWIXDVXJCVUJVWGVVOOZVIZVJZVVRCVUJVWIVXLCKVKVWHVXKTVWIVX
      LTVWGVUJVVOVOVWHVXKWJWKXELCVUJVVQVXLLCULVVPVXKTVVQVXLTVUTVWGVVOUOVVPVXKWJ
      WKXFZXHWTWMXIXJZWKXJZXKVVMDXRZVVNDNZVVRDNZVVSDNVUIVUNVXQVVHUYCVXQUYFDXLZX
      MXNVUIVUNVXRVVHUYFVUNVXRUYCUYFUYDDVUJUYEUYDDUYEXOUUAXPUUBUYCVUNVVHVXSUYFU
      YCVUNVVHUHZVVRDPZVXSUYCVUNVVHVYBUYCVUNRZVVHVVQDPZLVUJQVYBVYCVVDVYDLVUJVYC
      VVIRZVVDVVPDNZVYDVYEVVCVVPDVVIVYCVVCVVPTZVVIVUNVYGUYCVVKVVCVUTVWAOVVPVUTH
      VWAJVNVVKVUTUYDVVOVVLUUKVPZXQVCUPZUYCVYFVYDSZVUNVVIUYCVXQVYJVXTVVPDUUCWKX
      SXTVGLVUJVVQDUUDUUEYAVYAVYBVXSVVRDTZUUFZVXSVYAVVRMNZUYCVYBVYLYBVYAVWOVVQM
      NZLVUJQZVYMVWRUYCVUNVVHVYOVYCVVDVYNLVUJVYEVVDVVPMNZVYNVYEVVDVYFVYPVYIUYCV
      YFVYPSVUNVVIUYCVYFVYPDVVPYCZYDXSXTVVPUUGUUHVGYALVUJVVQVSUUIXCUYCVUNVVHUUJ
      VVRDUULUUMVYAVXSVXSVYKVYAVXSUUNUYCVUNVVHVYKVXSSZVUNVVHRZUYCVYRVYSVYKUYCVX
      SVYSVYKUYCRZVXSVYSVYTRZVUNVXSVUNVVHVYTUUOWUAUYDVUJPZVUNUVAZWUAUYCVUOVUJDU
      YNUFZVWGVUTUYNOZPZLVUJUDZCDQZRZEUEZWUBVYSVYKUYCUUPVUNVUOVVHVYTVURXSVYSVUJ
      DVWDUFZVYTVWGVVPPZLVUJUDZCDQZWUJVYSVXGVUTVWDOZDNZLVUJQZWUKVUNVXGVVHVUNVUO
      VXGVURVXIWKYEVUNVVHWUQVUNVVDWUPLVUJVUNVVIRZVVCWUODWURVVCVVPWUOVVIVUNVYGVY
      HVCVVIWUOVVPTZVUNVUTVUJVVOVOZXMUUQUPUURUUSLVUJDVWDYJUUTZVYSVYTWUNVYSWUKVY
      TWUNSWVAWUKVYKUYCWUNWUKVYKRZUYCRWUMCDWVBUYCVWGDNZWUMWUKVYKUYCWVCRZWUMWUKV
      YKWVDUHWUMVWGVVRNZVYKWVDWVEWUKVYKWVCWVEUYCVYKWVEWVCVVRDVWGUVBUVCXQUVDWUKW
      VDWUMWVEYBZVYKWVDWUKWVFWVDWUKRZWUMVWGVVQNZLVUJUDWVEWVGWULWVHLVUJWVDWUKVVI
      WULWVHYBZWVDVWGMNWUKVVIRZVYPWVIDVWGYCUYCWVJVYPWVCWVJUYCVYFVYPWVJWUOVVPDVV
      IWUSWUKWUTXMVUJDVUTVWDUVEUVFVYQUVGXPVWGVVPUVHYFYGUVILVWGVUJVVQUVKUVJVCUVL
      UVMUVNYGUVOUVPWKYHWUIWUKWUNREVWDVWSUYNVWDTZWUDWUKWUHWUNVUJDUYNVWDYIWVKWUG
      WUMCDWVKWUGVWGWUOPZLVUJUDWUMWVKWUFWVLLVUJWVKWUEWUOVWGVUTUYNVWDWIYKYLWVLWU
      LLVUJVVIWUOVVPVWGWUTYKUVQUVRYMUVSYNYFUYCVUORWUJWUBCLDVUJEUWAYHUVTVUNWUBWU
      CYBZVVHVYTVUNVVJVUOWVMVUQVURUYDVUJUWBXCXSUWCUWDYDUWEYOUWFUWKXTYTUWGDVVNVV
      RUWHVFUWIYPUWJUWLUXBUWMUWNYPYQVUCHUYDWAZVUMVWPUYDMPZWVNVWQUYDVUQUWOVWPWVO
      RVWAUYDWAWVNMUYDVVOXBUYDHVWAJUWPYRWFZKUYDDHYJUWQYRZXPUYFUYCVUDUYLVUIDMPZV
      UCVUDUYCWVRUYFDXAXMWVQWVRUYDXRZVVCVUKNZLVUJQZKUYDQZVUCVUDSUYDVUQUWRWWAKUY
      DVUNWVTLVUJVVIVUNWVTVVKVVPVVTVVCVUKVVKVVPVVSVVTVVIVVPVVSNZVUNVVIVVPVVRNZW
      WCVVIVVPVVQNZWWDVVPVUTVVOWNUWSVVIWWERVVPVXMVVRCVUTVXLVVQVUJVVPCLULVXKVVPT
      VXLVVQTVWGVUTVVOUOVXKVVPWJWKUWTVXNUXAUXCVVPVVRVVNUXDWKYEVVKVUOVWCVUNVUOVV
      IVURXMVXOWKUXEVYHVUNVUKVVTTVVIVWBXMUXFYSYQUXGVUCWVRWVSWWBUHVUDKLUYDDHUXHY
      OUXIUXJXPUYLVUHUYFUYCUYKVUGADUYJVUFBUYDUYHUYDNUYIVUEPZUYJVUFSVVNVUKPWWFKU
      YHUYDKBULVVNUYIVUKVUEVUJUYHUYEUOVUJUYHHUOUXMVUNVVSVVNVUKVVNVVRUXKVXPUXLUX
      NUYJWWFVUFUYGUYIVUEUXOYSWKUXPUXQUXRVUAVUCVUDVUHUHEHWVNVVJHVSNWVPVUQUYDMHU
      XSWFUYNHTZUYOVUCUYPVUDUYTVUHUYDDUYNHYIUYNHUXTWWGUYSVUGADWWGUYRVUFBUYDWWGU
      YQVUEUYGUYHUYNHWIYKYLYMUYAYNVFYSUYBYT $.
  $}

  ${
    $d A m f h w z $.  $d m f h x w z $.  $d m f x n w z $.
    $( The map in ~ cff1 can be assumed to be a strictly monotone ordinal
       function without loss of generality.  (Contributed by Mario Carneiro,
       28-Feb-2013.) $)
    cfsmo $p |- ( A e. On -> E. f ( f : ( cf ` A ) --> A /\ Smo f /\
        A. z e. A E. w e. ( cf ` A ) z C_ ( f ` w ) ) ) $=
      ( vm vh vx vn cvv cv cdm cfv csuc ciun cun cmpt crecs wceq suceq syl cres
      ccf dmeq fveq2d fveq2 cbviunv fveq1 iuneq12d eqtrid uneq12d eqid cfsmolem
      cbvmptv ) ABECDFGIGJZKZFJZLZHUOHJZUNLZMZNZOZPZVCQCUBLUAZGAIVBAJZKZUPLZEVF
      EJZVELZMZNZOUNVERZUQVGVAVKVLUOVFUPUNVEUCZUDVLVAEUOVHUNLZMZNVKHEUOUTVOURVH
      RUSVNRUTVORURVHUNUEUSVNSTUFVLEUOVFVOVJVMVLVNVIRVOVJRVHUNVEUGVNVISTUHUIUJU
      MVDUKUL $.
  $}

  ${
    $d A f g h x z $.  $d A f g x y z $.  $d B f g h x z $.  $d B f g x y z $.
    $( Lemma for ~ cfcof , showing subset relation in one direction.
       (Contributed by Mario Carneiro, 9-Mar-2013.)  (Revised by Mario
       Carneiro, 26-Dec-2014.) $)
    cfcoflem $p |- ( ( A e. On /\ B e. On ) -> ( E. f ( f : B --> A /\ Smo f /\
        A. x e. A E. y e. B x C_ ( f ` y ) ) -> ( cf ` A ) C_ ( cf ` B ) ) ) $=
      ( vh vz vg con0 wcel cv wf cfv wss wrex wral w3a wex wa wi wsmo cff1 ccom
      ccf wf1 f1f fco adantlr r19.29 ffvelrn wfn ffn smoword biimpd exp32 sylan
      syl7 com23 expdimp 3imp2 sstr2 syl5com wb fvco3 adantll 3ad2antr1 sylibrd
      sseq2d expcom 3expia com4t imp expcomd imp31 reximdva exp31 com34 impcomd
      rexlimdv syl5 ralimdv impr vex coex wceq feq1 fveq1 rexbidv ralbidv spcev
      anbi12d syl2an2r exp43 com24 3impia exlimiv com13 syl cfflb mpan2 sylan9r
      cfon ) DIJZDCEKZLZXDUAZAKZBKZXDMZNZBDOZACPZQZERZDUDMZCFKZLZXGGKZXPMZNZGXO
      OZACPZSZFRZCIJZCUDMXONZXCXODHKZUEZXHXRYGMZNZGXOOZBDPZSZHRXNYDTZBGDHUBYMYN
      HYHYLYNYHXODYGLZYLYNTXODYGUFXNYLYOYDXMYLYOYDTTZEXEXFXLYPXEXFSZYOYLXLYDYQY
      OYLXLYDYQYOSZXOCXDYGUCZLZYLXLSXGXRYSMZNZGXOOZACPZYDXEYOYTXFXODCXDYGUGUHYR
      YLXLUUDYRYLSXKUUCACYRYLXKUUCYLXKSYKXJSZBDOYRUUCYKXJBDUIYRUUEUUCBDYRUUEXHD
      JZUUCYRXJYKUUFUUCTYRXJUUFYKUUCYRXJUUFYKUUCTYRXJSZUUFSYJUUBGXOUUGUUFXRXOJZ
      YJUUBTZUUGUUHUUFUUIYRXJUUHUUFSZUUITUUJYJYRXJUUBUUHUUFYJYRXJUUBTZTYRUUHUUF
      YJQZUUKYRUULSZXJXGYIXDMZNZUUBUUMXIUUNNZXJUUOYRUUHUUFYJUUPYQYOUUHUUFYJUUPT
      ZTYQUUFYOUUHSZUUQUURYIDJZYQUUFUUQXODXRYGUJXEXDDUKZXFUUFUUSUUQTTDCXDULUUTX
      FSZUUFUUSUUQUVAUUFUUSSSYJUUPDXHYIXDUMUNUOUPUQURUSUTXGXIUUNVAVBYRUUFUUHUUB
      UUOVCZYJYOUUHUVBYQUURUUAUUNXGXODXRXDYGVDVHVEVFVGVIVJVKVLVMVNVOVPVQVRURVSV
      TUSWAWBYCYTUUDSFYSXDYGEWCHWCWDXPYSWEZXQYTYBUUDXOCXPYSWFUVCYAUUCACUVCXTUUB
      GXOUVCXSUUAXGXRXPYSWGVHWHWIWKWJWLWMWNWOWPWQWRVLWPWRYEXOIJYDYFTDXBAGCXOFWS
      WTXA $.
  $}

  ${
    $d A f g s w x $.  $d A f g s w z $.  $d B f g h s w $.  $d B f g n t w $.
    $d B f g s w x y $.  $d C f g h s w $.  $d C f g t w $.  $d C f g s w z $.
    $d H h s w $.  $d n w y $.
    coftr.1 $e |- H = ( t e. C |->
      |^| { n e. B | ( g ` t ) C_ ( f ` n ) } ) $.
    $( If there is a cofinal map from ` B ` to ` A ` and another from ` C ` to
       ` A ` , then there is also a cofinal map from ` C ` to ` B ` .
       Proposition 11.9 of [TakeutiZaring] p. 102.  A limited form of
       transitivity for the "cof" relation.  This is really a lemma for
       ~ cfcof .  (Contributed by Mario Carneiro, 16-Mar-2013.) $)
    coftr $p |-
    ( E. f ( f : B --> A /\ Smo f /\ A. x e. A E. y e. B x C_ ( f ` y ) ) ->
      ( E. g ( g : C --> A /\ A. z e. A E. w e. C z C_ ( g ` w ) ) ->
          E. h ( h : C --> B /\ A. s e. B E. w e. C s C_ ( h ` w ) ) ) ) $=
      ( cv wss wa wi wcel wsmo cfv wrex wral w3a wex cvv cdm fdm dmex eqeltrrdi
      wf crab cint cmpt wceq fveq2 sseq1d rabbidv inteqd cbvmptv eqtri eqeltrid
      vex mptexg syl ad2antrl wfn ffn smodm2 sylan 3adant3 adantr simpl3 simprl
      word simpl1 simpl2 ffvelrn 3ad2antl3 sseq1 rexbidv rspccv sylc wne ssrab2
      con0 ordsson sstrid sseq2d rspcev rabn0 sylibr oninton syl2an eloni simpl
      intminss adantl ordtr2 imp syl22anc rexlimdvaa fmptd syl3anc syl5 expdimp
      c0 simprr syl2anc simpr jca elrab sstr2 smoword biimprd syl9r com23 imp4b
      expr syl5bi ralrimiv ssint fvmptg syl5ibrcom ex reximdvai ancoms syl32anc
      mpdd feq1 fveq1 ralbidv anbi12d spcegv 3impib exlimdv exlimiv ) GFIPZULZY
      SUAZAPZBPZYSUBZQZBGUCZAFUDZUEZHFJPZULZCPZDPZUUIUBZQZDHUCZCFUDZRZJUFHGKPZU
      LZNPZUULUURUBZQZDHUCZNGUDZRZKUFZSIUUHUUQUVFJUUHUUQUVFUUHUUQRZMUGTZHGMULZU
      UTUULMUBZQZDHUCZNGUDZUVFUUJUVHUUHUUPUUJHUGTZUVHUUJHUUIUHUGHFUUIUIUUIJVDUJ
      UKUVNMDHUUMLPZYSUBZQZLGUMZUNZUOZUGMEHEPZUUIUBZUVPQZLGUMZUNZUOUVTOEDHUWEUV
      SUWAUULUPZUWDUVRUWFUWCUVQLGUWFUWBUUMUVPUWAUULUUIUQURUSUTZVAVBZDHUVSUGVEVC
      VFVGUVGGVPZUUGUUJUVIUUHUWIUUQYTUUAUWIUUGYTYSGVHZUUAUWIGFYSVIZGYSVJVKVLVMZ
      YTUUAUUGUUQVNZUUHUUJUUPVOZUWIUUGUUJUEZDHUVSGMUWOUULHTZRZUWIUUMUUDQZBGUCZU
      VSGTZUWIUUGUUJUWPVQUWQUUGUUMFTZUWSUWIUUGUUJUWPVRUUJUWIUWPUXAUUGHFUULUUIVS
      VTUUFUWSAUUMFUUBUUMUPUUEUWRBGUUBUUMUUDWAWBWCWDUWIUWRUWTBGUWIUUCGTZUWRRZRZ
      UVSVPZUWIUVSUUCQZUXBUWTUXDUVSWGTZUXEUWIUVRWGQUVRXHWEZUXGUXCUWIUVRGWGUVQLG
      WFGWHWIUXCUVQLGUCUXHUVQUWRLUUCGUVOUUCUPUVPUUDUUMUVOUUCYSUQWJZWKUVQLGWLWMU
      VRWNWOUVSWPVFUWIUXCWQUXCUXFUWIUVQUWRLUUCGUXIWRWSUWIUXBUWRVOUXEUWIRUXFUXBR
      UWTUVSUUCGWTXAXBXCWDZUWHXDXEUVGUVLNGUVGUUTGTZUUTYSUBZUUMQZDHUCZUVLUVGUUPY
      TUXKUXNSUUHUUJUUPXIYTUUAUUGUUQVQZUUPYTUXKUXNYTUXKRUXLFTUUPUXNGFUUTYSVSUUO
      UXNCUXLFUUKUXLUPUUNUXMDHUUKUXLUUMWAWBWCXFXGXJUVGUWIUUGUUJUWJUUAUXKUXNUVLS
      ZSUWLUWMUWNUVGYTUWJUXOUWKVFYTUUAUUGUUQVRUWOUWJUUARZUXKUXPUXQUXKRZUWOUXPUX
      RUWORUXMUVKDHUXRUWOUWPUXMUVKSUXRUXMUWQUVKUXRUXMUWQUVKSUWQUWPUWTRZUXRUXMRZ
      UVKUWQUWPUWTUWOUWPXKUXJXLUXTUVKUXSUUTUVSQZUXTUUTUUCQZBUVRUDUYAUXTUYBBUVRU
      UCUVRTUXCUXTUYBUVQUWRLUUCGUXIXMUXRUXMUXBUWRUYBUXRUXBUXMUWRUYBSZUXQUXKUXBU
      XMUYCSUXMUWRUXLUUDQZUXQUXKUXBRRZUYBUXLUUMUUDXNUYEUYBUYDGUUTUUCYSXOXPXQXTX
      RXSYAYBBUUTUVRYCWMUXSUVJUVSUUTEUULUWEUVSHGMUWGOYDWJYEXFYFXRXGYGYHXTYIYJYB
      UVHUVIUVMUVFUVEUVIUVMRKMUGUURMUPZUUSUVIUVDUVMHGUURMYKUYFUVCUVLNGUYFUVBUVK
      DHUYFUVAUVJUUTUULUURMYLWJWBYMYNYOYPXEYFYQYR $.
  $}

  ${
    $d c f g h k r s t w x y z A $.  $d c f g h k r s t v w y z B $.
    $( If there is a cofinal map from ` A ` to ` B ` , then they have the same
       cofinality.  This was used as Definition 11.1 of [TakeutiZaring] p. 100,
       who defines an equivalence relation cof ` ( A , B ) ` and defines our
       ` cf ( B ) ` as the minimum ` B ` such that cof ` ( A , B ) ` .
       (Contributed by Mario Carneiro, 20-Mar-2013.) $)
    cfcof $p |- ( ( A e. On /\ B e. On ) -> ( E. f ( f : B --> A /\ Smo f /\
        A. z e. A E. w e. B z C_ ( f ` w ) ) -> ( cf ` A ) = ( cf ` B ) ) ) $=
      ( vh vr vt vg vs vc vk wcel wa cv cfv wss wrex wral wex vy vv vx con0 w3a
      wf wsmo ccf wceq cfcoflem imp wf1 cff1 f1f anim1i syl crab cint cmpt eqid
      eximi coftr syl5com csuc word wi eloni cfon cep coi cofsmo sylancl onsuci
      oneli cfflb sylan2 3simpb impel wb onsssuc ibir ad2antlr sstrd rexlimdva2
      syld sylan9 eqssd ex ) CUDMZDUDMZNZDCEOZUFWLUGAOBOWLPQBDRACSUEETZCUHPZDUH
      PZUIWKWMNWNWOWKWMWNWOQABCDEUJUKWKWMWOWNQZWIWMWNDFOZUFGOZHOZWQPZQHWNRGDSNF
      TZWJWPWIWNCIOZUFZJOZWSXBPQHWNRJCSZNZITZWMXAWIWNCXBULZXENZITXGJHCIUMXIXFIX
      HXCXEWNCXBUNUOVAUPABJHUACDWNEIFUBUAWNUAOXBPUBOWLPQUBDUQURUSZGXJUTVBVCWJXA
      KOZDLOZUFZXLUGZWRXDXLPQJXKRGDSZUEZLTZKWNVDZRZWPWJDVEWNUDMZXAXSVFDVGCVHZKU
      CGHJDWNWTUCOZWQPMHYBSUCWNUQZFLWRXKWQPQKWNUQURZYCVIVJZYCUTYDUTYEUTVKVLWJXQ
      WPKXRWJXKXRMZNZXQNWOXKWNYGXMXONZLTZWOXKQZXQYFWJXKUDMZYIYJVFXRXKWNYAVMVNZG
      JDXKLVOVPXPYHLXMXNXOVQVAVRYFXKWNQZWJXQYFYMYFYKXTYMYFVSYLYAXKWNVTVLWAWBWCW
      DWEWFUKWGWH $.
  $}

  ${
    $d A f x y $.
    $( The cofinality function is idempotent.  (Contributed by Mario Carneiro,
       7-Mar-2013.)  (Revised by Mario Carneiro, 15-Sep-2013.) $)
    cfidm $p |- ( cf ` ( cf ` A ) ) = ( cf ` A ) $=
      ( vf vx vy con0 wcel ccf cfv wceq wss cfle a1i cv wf wsmo wrex w3a wex c0
      wral cfsmo wi cfon cfcoflem mpan2 mpd eqssd cf0 cdm cff fdmi eleq2i ndmfv
      wn sylnbir fveq2d 3eqtr4a pm2.61i ) AEFZAGHZGHZUTIUSVAUTVAUTJUSUTKLUSUTAB
      MZNVBOCMDMVBHJDUTPCATQBRZUTVAJZCDABUAUSUTEFVCVDUBAUCCDAUTBUDUEUFUGUSUNZSG
      HSVAUTUHVEUTSGUSAGUIZFUTSIVFEAEEGUJUKULAGUMUOZUPVGUQUR $.
  $}

  ${
    $d A f x y $.
    $( The cofinality of a limit aleph is the same as the cofinality of its
       argument, so if ` ( aleph `` A ) < A ` , then ` ( aleph `` A ) ` is
       singular.  Conversely, if ` ( aleph `` A ) ` is regular (i.e. weakly
       inaccessible), then ` ( aleph `` A ) = A ` , so ` A ` has to be rather
       large (see ~ alephfp ).  Proposition 11.13 of [TakeutiZaring] p. 103.
       (Contributed by Mario Carneiro, 9-Mar-2013.) $)
    alephsing $p |- ( Lim A -> ( cf ` ( aleph ` A ) ) = ( cf ` A ) ) $=
      ( vf vx vy cvv wcel cale cfv ccf wceq wa cv wsmo wrex wral con0 alephfnon
      wss sylancr c0 wlim w3a wex cres wfun wfn fnfun ax-mp simpl resfunexg crn
      wf limelon onss syl fnssres fvres adantl alephord2i imp eqeltrd ralrimiva
      sylan fnfvrnss syl2anc df-f sylanbrc alephsmo fndmi eleqtrrdi smores ciun
      cdm alephlim eleq2d eliun alephon reximi sylbi syl6bi ralrimiv feq1 smoeq
      onelssi fveq1 sylan9eq sseq2d rexbidva 3anbi123d spcegv syl13anc wi cfcof
      ralbidv mpd expcom wn cf0 fvprc fveq2d 3eqtr4a pm2.61d1 ) AUAZAEFZAGHZIHZ
      AIHZJZXDXCXHXDXCKZAXEBLZULZXJMZCLZDLZXJHZRZDANZCXEOZUBZBUCZXHXIGAUDZEFZAX
      EYAULZYAMZXMXNGHZRZDANZCXEOZXTXIGUEZXDYBGPUFZYIQPGUGUHXDXCUIGAEUJSXIYAAUF
      ZYAUKXERZYCXIYJAPRZYKQXIAPFZYMAEUMZAUNUOPAGUPSZXIYKXNYAHZXEFZDAOYLYPXIYRD
      AXIYNXNAFZYRYOYNYSKYQYEXEYSYQYEJYNXNAGUQZURYNYSYEXEFXNAUSUTVAVCVBDAXEYAVD
      VEAXEYAVFVGXIGMAGVMZFYDVHXIAPUUAYOPGQVIVJGAVKSXIYGCXEXIXMXEFXMDAYEVLZFZYG
      XIXEUUBXMDAEVNVOUUCXMYEFZDANYGDXMAYEVPUUDYFDAYEXMXNVQWDVRVSVTWAYBYCYDYHUB
      ZXTXSUUEBYAEXJYAJZXKYCXLYDXRYHAXEXJYAWBXJYAWCUUFXQYGCXEUUFXPYFDAUUFYSKXOY
      EXMUUFYSXOYQYEXNXJYAWEYTWFWGWHWNWIWJUTWKXIXEPFYNXTXHWLAVQYOCDXEABWMSWOWPX
      DWQZTIHTXFXGWRUUGXETIAGWSWTAIWSXAXB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Eight inequivalent definitions of finite set
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d F a b c d e $.  $d R a b c d e $.
    $( The range of a single-step monotone function from ` _om ` into a
       partially ordered set is a chain.  (Contributed by Stefan O'Rear,
       3-Nov-2014.) $)
    sornom $p |- ( ( F Fn _om /\ A. a e. _om ( ( F ` a ) R ( F ` suc a ) \/
          ( F ` a ) = ( F ` suc a ) ) /\ R Po ran F ) -> R Or ran F ) $=
      ( vb vc vd ve com cv cfv wbr wceq wo weq wcel wa wrex wi fveq2 orbi12d wb
      wfn csuc wral crn wpo w3a w3o wor simp3 fvelrnb anbi12d 3ad2ant1 wss word
      reeanv nnord ordtri2or2 syl2an adantl eleq1w bi2anan9 breqan12d eqeqan12d
      anbi2d sseq12 imbi12d breq2d eqeq2d imbi2d eqid olci suceq fveq2d breq12d
      vex eqeq12d simpr2 simplll rspcdva simprr simprl simpllr fnfvelrn syl2anc
      2a1i peano2 ad3antrrr potr syl13anc ancom2s orcd expr breq1 biimprcd syl6
      imp orc jaod ex breq2 eqeq2 biimpd a1i 3adantr2 mpd findsg ancom1s impcom
      a2d vtocl2 orim12d 3mix1 3mix2 jaoi 3mix3 eqcoms syl breq12 eqeq12 ancoms
      3orbi123d syl5ibcom rexlimdvva syl5bir sylbid ralrimivv df-so sylanbrc )
      BHUBZCIZBJZYKUCZBJZAKZYLYNLZMZCHUDZBUEZAUFZUGZYTDIZEIZAKZDENZUUCUUBAKZUHZ
      EYSUDDYSUDYSAUIYJYRYTUJUUAUUGDEYSYSUUAUUBYSOZUUCYSOZPZFIZBJZUUBLZFHQZGIZB
      JZUUCLZGHQZPZUUGYJYRUUJUUSUAYTYJUUHUUNUUIUURFHUUBBUKGHUUCBUKULUMUUSUUMUUQ
      PZGHQFHQUUAUUGUUMUUQFGHHUPUUAUUTUUGFGHHUUAUUKHOZUUOHOZPZPZUULUUPAKZUULUUP
      LZUUPUULAKZUHZUUTUUGUVDUVEUVFMZUVGUUPUULLZMZMZUVHUVDUUKUUOUNZUUOUUKUNZMZU
      VLUVCUVOUUAUVAUUKUOUUOUOUVOUVBUUKUQUUOUQUUKUUOURUSUTUVDUVMUVIUVNUVKUUAUUB
      HOZUUCHOZPZPZUUBUUCUNZUUBBJZUUCBJZAKZUWAUWBLZMZRZRZUVDUVMUVIRZRDEUUKUUOFV
      PZGVPZDFNZEGNZPZUVSUVDUWFUWHUWMUVRUVCUUAUWKUVPUVAUWLUVQUVBDFHVAEGHVAVBVEU
      WMUVTUVMUWEUVIUUBUUKUUCUUOVFUWMUWCUVEUWDUVFUWKUWLUWAUULUWBUUPAUUBUUKBSZUU
      CUUOBSZVCUWKUWLUWAUULUWBUUPUWNUWOVDTVGVGUUAUVRUVTUWEUVRUVTPUUAUWEUVQUVPUV
      TUUAUWERZUUAUWAUULAKZUWAUULLZMZRUUAUWAUWAAKZUWAUWALZMZRUUAUWAUUPAKZUWAUUP
      LZMZRUUAUWAUUOUCZBJZAKZUWAUXGLZMZRUWPFGUUCUUBFDNZUWSUXBUUAUXKUWQUWTUWRUXA
      UXKUULUWAUWAAUUKUUBBSZVHUXKUULUWAUWAUXLVITVJFGNZUWSUXEUUAUXMUWQUXCUWRUXDU
      XMUULUUPUWAAUUKUUOBSZVHUXMUULUUPUWAUXNVITVJUUKUXFLZUWSUXJUUAUXOUWQUXHUWRU
      XIUXOUULUXGUWAAUUKUXFBSZVHUXOUULUXGUWAUXPVITVJFENZUWSUWEUUAUXQUWQUWCUWRUW
      DUXQUULUWBUWAAUUKUUCBSZVHUXQUULUWBUWAUXRVITVJUXBUVPUUAUXAUWTUWAVKVLWFUVBU
      VPPUUBUUOUNZPZUUAUXEUXJUXTUUAUXEUXJRZUXTUUAPZUUPUXGAKZUUPUXGLZMZUYAUYBYQU
      YECHUUOCGNZYOUYCYPUYDUYFYLUUPYNUXGAYKUUOBSZUYFYMUXFBYKUUOVMVNZVOUYFYLUUPY
      NUXGUYGUYHVQTUXTYJYRYTVRUVBUVPUXSUUAVSVTUXTYJYTUYEUYARYRUXTYJYTPZPZUYCUYA
      UYDUYJUYCUYAUYJUYCPUXCUXJUXDUYJUYCUXCUXJUYJUYCUXCPPUXHUXIUYJUXCUYCUXHUYJU
      XCUYCPZUXHUYJYTUWAYSOZUUPYSOZUXGYSOZUYKUXHRUXTYJYTWAUYJYJUVPUYLUXTYJYTWBZ
      UVBUVPUXSUYIWCHUUBBWDWEUYJYJUVBUYMUYOUVBUVPUXSUYIVSHUUOBWDWEUYJYJUXFHOZUY
      NUYOUVBUYPUVPUXSUYIUUOWGWHHUXFBWDWEYSUWAUUPUXGAWIWJWQWKWLWMUYCUXDUXJRUYJU
      YCUXDUXHUXJUXDUXHUYCUWAUUPUXGAWNWOUXHUXIWRWPUTWSWTUYDUYARUYJUYDUXEUXJUYDU
      XCUXHUXDUXIUUPUXGUWAAXAUUPUXGUWAXBTXCXDWSXEXFWTXJXGXHXIWMZXKUUAUVBUVAUVNU
      VKRZUWGUUAUVBUVAPZPZUYRRDEUUOUUKUWJUWIDGNZEFNZPZUVSUYTUWFUYRVUCUVRUYSUUAV
      UAUVPUVBVUBUVQUVADGHVAEFHVAVBVEVUCUVTUVNUWEUVKUUBUUOUUCUUKVFVUCUWCUVGUWDU
      VJVUAVUBUWAUUPUWBUULAUUBUUOBSZUUCUUKBSZVCVUAVUBUWAUUPUWBUULVUDVUEVDTVGVGU
      YQXKWKXLXFUVIUVHUVKUVEUVHUVFUVEUVFUVGXMUVFUVEUVGXNZXOUVGUVHUVJUVGUVEUVFXP
      UVHUULUUPVUFXQXOXOXRUUTUVEUUDUVFUUEUVGUUFUULUUBUUPUUCAXSUULUUBUUPUUCXTUUQ
      UUMUVGUUFUAUUPUUCUULUUBAXSYAYBYCYDYEYFYGDEYSAYHYI $.
  $}

  $c Fin1a Fin2 Fin3 Fin4 Fin5 Fin6 Fin7 $.

  $( Extend class notation to include the class of Ia-finite sets. $)
  cfin1a $a class Fin1a $.

  $( Extend class notation to include the class of II-finite sets. $)
  cfin2 $a class Fin2 $.

  $( Extend class notation to include the class of IV-finite sets. $)
  cfin4 $a class Fin4 $.

  $( Extend class notation to include the class of III-finite sets. $)
  cfin3 $a class Fin3 $.

  $( Extend class notation to include the class of V-finite sets. $)
  cfin5 $a class Fin5 $.

  $( Extend class notation to include the class of VI-finite sets. $)
  cfin6 $a class Fin6 $.

  $( Extend class notation to include the class of VII-finite sets. $)
  cfin7 $a class Fin7 $.

  ${
    $d x y $.
    $( A set is Ia-finite iff it is not the union of two I-infinite sets.
       Equivalent to definition Ia of [Levy58] p. 2.  A I-infinite Ia-finite
       set is also known as an amorphous set.  This is the second of Levy's
       eight definitions of finite set.  Levy's I-finite is equivalent to our
       ~ df-fin and not repeated here.  These eight definitions are equivalent
       with Choice but strictly decreasing in strength in models where Choice
       fails; conversely, they provide a series of increasingly stronger
       notions of infiniteness.  (Contributed by Stefan O'Rear,
       12-Nov-2014.) $)
    df-fin1a $a |- Fin1a = { x |
      A. y e. ~P x ( y e. Fin \/ ( x \ y ) e. Fin ) } $.

    $( A set is II-finite (Tarski finite) iff every nonempty chain of subsets
       contains a maximum element.  Definition II of [Levy58] p. 2.
       (Contributed by Stefan O'Rear, 12-Nov-2014.) $)
    df-fin2 $a |- Fin2 = { x | A. y e. ~P ~P x ( ( y =/= (/) /\
      [C.] Or y ) -> U. y e. y ) } $.

    $( A set is IV-finite (Dedekind finite) iff it has no equinumerous proper
       subset.  Definition IV of [Levy58] p. 3.  (Contributed by Stefan O'Rear,
       12-Nov-2014.) $)
    df-fin4 $a |- Fin4 = { x | -. E. y ( y C. x /\ y ~~ x ) } $.

    $( A set is III-finite (weakly Dedekind finite) iff its power set is
       Dedekind finite.  Definition III of [Levy58] p. 2.  (Contributed by
       Stefan O'Rear, 12-Nov-2014.) $)
    df-fin3 $a |- Fin3 = { x | ~P x e. Fin4 } $.

    $( A set is V-finite iff it behaves finitely under ` |_| ` .  Definition V
       of [Levy58] p. 3.  (Contributed by Stefan O'Rear, 12-Nov-2014.) $)
    df-fin5 $a |- Fin5 = { x | ( x = (/) \/ x ~< ( x |_| x ) ) } $.

    $( A set is VI-finite iff it behaves finitely under ` X. ` .  Definition VI
       of [Levy58] p. 4.  (Contributed by Stefan O'Rear, 12-Nov-2014.) $)
    df-fin6 $a |- Fin6 = { x | ( x ~< 2o \/ x ~< ( x X. x ) ) } $.

    $( A set is VII-finite iff it cannot be infinitely well-ordered.
       Equivalent to definition VII of [Levy58] p. 4.  (Contributed by Stefan
       O'Rear, 12-Nov-2014.) $)
    df-fin7 $a |- Fin7 = { x | -. E. y e. ( On \ _om ) x ~~ y } $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x X $.
    $( Definition of a Ia-finite set.  (Contributed by Stefan O'Rear,
       16-May-2015.) $)
    isfin1a $p |- ( A e. V -> ( A e. Fin1a <->
      A. y e. ~P A ( y e. Fin \/ ( A \ y ) e. Fin ) ) ) $=
      ( vx cv cfn wcel cdif cpw wral cfin1a wceq difeq1 eleq1d orbi2d raleqbidv
      wo pweq df-fin1a elab2g ) AEZFGZDEZUAHZFGZQZAUCIZJUBBUAHZFGZQZABIZJDBKCUC
      BLZUFUJAUGUKUCBRULUEUIUBULUDUHFUCBUAMNOPDAST $.

    $( Property of a Ia-finite set.  (Contributed by Stefan O'Rear,
       16-May-2015.) $)
    fin1ai $p |- ( ( A e. Fin1a /\ X C_ A ) ->
      ( X e. Fin \/ ( A \ X ) e. Fin ) ) $=
      ( vx cfin1a wcel wss wa cv cfn cdif wo cpw wceq eleq1 difeq2 orbi12d wral
      eleq1d isfin1a ibi adantr elpw2g biimpar rspcdva ) ADEZBAFZGCHZIEZAUGJZIE
      ZKZBIEZABJZIEZKCALZBUGBMZUHULUJUNUGBINUPUIUMIUGBAORPUEUKCUOQZUFUEUQCADSTU
      AUEBUOEUFBADUBUCUD $.

    $( Definition of a II-finite set.  (Contributed by Stefan O'Rear,
       16-May-2015.) $)
    isfin2 $p |- ( A e. V -> ( A e. Fin2 <-> A. y e. ~P ~P A ( ( y =/= (/) /\
      [C.] Or y ) -> U. y e. y ) ) ) $=
      ( vx cv c0 wne crpss wor wa cuni wcel wi cpw wral cfin2 wceq pweq raleqdv
      pweqd df-fin2 elab2g ) AEZFGUCHIJUCKUCLMZADEZNZNZOUDABNZNZODBPCUEBQZUDAUG
      UIUJUFUHUEBRTSDAUAUB $.

    $( Property of a II-finite set.  (Contributed by Stefan O'Rear,
       16-May-2015.) $)
    fin2i $p |- ( ( ( A e. Fin2 /\ B C_ ~P A ) /\ ( B =/= (/) /\ [C.] Or B ) )
        -> U. B e. B ) $=
      ( vy cfin2 wcel cpw wss wa c0 wne crpss wor cuni cv wi wceq neeq1 anbi12d
      soeq2 cvv unieq id eleq12d imbi12d wral isfin2 ibi adantr wb pwexg elpw2g
      syl biimpar rspcdva imp ) ADEZBAFZGZHZBIJZBKLZHZBMZBEZUSCNZIJZVEKLZHZVEMZ
      VEEZOZVBVDOCUQFZBVEBPZVHVBVJVDVMVFUTVGVAVEBIQVEBKSRVMVIVCVEBVEBUAVMUBUCUD
      UPVKCVLUEZURUPVNCADUFUGUHUPBVLEZURUPUQTEVOURUIADUJBUQTUKULUMUNUO $.

    $( Definition of a III-finite set.  (Contributed by Stefan O'Rear,
       16-May-2015.) $)
    isfin3 $p |- ( A e. Fin3 <-> ~P A e. Fin4 ) $=
      ( vx cfin3 wcel cv cpw cfin4 cab df-fin3 eleq2i cvv pwexr wceq pweq elab3
      eleq1d bitri ) ACDABEZFZGDZBHZDAFZGDZCUAABIJTUCBAKAGLRAMSUBGRANPOQ $.

    $( Definition of a IV-finite set.  (Contributed by Stefan O'Rear,
       16-May-2015.) $)
    isfin4 $p |- ( A e. V -> ( A e. Fin4 <->
      -. E. y ( y C. A /\ y ~~ A ) ) ) $=
      ( vx cv wpss cen wbr wa wex cfin4 wceq psseq2 breq2 anbi12d exbidv notbid
      wn df-fin4 elab2g ) AEZDEZFZUAUBGHZIZAJZRUABFZUABGHZIZAJZRDBKCUBBLZUFUJUK
      UEUIAUKUCUGUDUHUBBUAMUBBUAGNOPQDAST $.

    $( Infer that a set is IV-infinite.  (Contributed by Stefan O'Rear,
       16-May-2015.) $)
    fin4i $p |- ( ( X C. A /\ X ~~ A ) -> -. A e. Fin4 ) $=
      ( vx cfin4 wcel cv wpss cen wbr wa wex wn isfin4 ibi cvv brrelex1i adantl
      relen wceq psseq1 breq1 anbi12d spcegv mpcom nsyl3 ) ADEZCFZAGZUGAHIZJZCK
      ZBAGZBAHIZJZUFUKLCADMNBOEZUNUKUMUOULBAHRPQUJUNCBOUGBSUHULUIUMUGBATUGBAHUA
      UBUCUDUE $.

    $( Definition of a V-finite set.  (Contributed by Stefan O'Rear,
       16-May-2015.) $)
    isfin5 $p |- ( A e. Fin5 <-> ( A = (/) \/ A ~< ( A |_| A ) ) ) $=
      ( vx cfin5 wcel cv c0 wceq cdju csdm wbr wo cab df-fin5 eleq2i cvv id 0ex
      eqeltrdi relsdom brrelex1i jaoi eqeq1 djueq12 breq12d orbi12d elab3 bitri
      anidms ) ACDABEZFGZUIUIUIHZIJZKZBLZDAFGZAAAHZIJZKZCUNABMNUMURBAOUOAODUQUO
      AFOUOPQRAUPISTUAUIAGZUJUOULUQUIAFUBUSUIAUKUPIUSPUSUKUPGUIAUIAUCUHUDUEUFUG
      $.

    $( Definition of a VI-finite set.  (Contributed by Stefan O'Rear,
       16-May-2015.) $)
    isfin6 $p |- ( A e. Fin6 <-> ( A ~< 2o \/ A ~< ( A X. A ) ) ) $=
      ( vx cfin6 wcel c2o csdm wbr cxp cab df-fin6 eleq2i cvv relsdom brrelex1i
      cv wo jaoi wceq breq1 id sqxpeqd breq12d orbi12d elab3 bitri ) ACDABOZEFG
      ZUFUFUFHZFGZPZBIZDAEFGZAAAHZFGZPZCUKABJKUJUOBALULALDUNAEFMNAUMFMNQUFARZUG
      ULUIUNUFAEFSUPUFAUHUMFUPTZUPUFAUQUAUBUCUDUE $.

    $( Definition of a VII-finite set.  (Contributed by Stefan O'Rear,
       16-May-2015.) $)
    isfin7 $p |- ( A e. V ->
      ( A e. Fin7 <-> -. E. y e. ( On \ _om ) A ~~ y ) ) $=
      ( vx cv cen wbr con0 cdif wrex wn cfin7 wceq breq1 rexbidv notbid df-fin7
      com elab2g ) DEZAEZFGZAHRIZJZKBUAFGZAUCJZKDBLCTBMZUDUFUGUBUEAUCTBUAFNOPDA
      QS $.
  $}

  $( A set with less than two elements has 0 or 1.  (Contributed by Stefan
     O'Rear, 30-Oct-2014.) $)
  sdom2en01 $p |- ( A ~< 2o <-> ( A = (/) \/ A ~~ 1o ) ) $=
    ( c2o wbr cfn wcel c0 wceq c1o wo com con0 2onn sselii 1onn ccrd cfv eleq2i
    wb cardnn ax-mp csdm cen cdom onfin2 inss2 eqsstri sdomdom domfi sylancr id
    cin 0fin eqeltrdi enfi mpbiri jaoi cpr df2o3 fvex elpr bitri a1i cdm finnum
    2on onenon cardsdom2 sylancl bitr3id cardnueq0 syl eqeq2i carden2 pm5.21nii
    orbi12d 3bitr3d ) ABUACZADEZAFGZAHUBCZIZVQBDEABUCCVRJDBJKDUKDUDKDUEUFZLMABU
    GBAUHUIVSVRVTVSAFDVSUJULUMVTVRHDEZJDHWBNMZAHUNUOUPVRAOPZBEZWEFGZWEHGZIZVQWA
    WFWIRVRWFWEFHUQZEWIBWJWEURQWEFHAOUSUTVAVBWFWEBOPZEZVRVQWKBWEBJEWKBGLBSTQVRA
    OVCZEZBWMEZWLVQRAVDZBKEWOVEBVFTABVGVHVIVRWGVSWHVTVRWNWGVSRWPAVJVKWHWEHOPZGZ
    VRVTWQHWEHJEWQHGNHSTVLVRWNHWMEZWRVTRWPWCWSWDHVDTAHVMVHVIVOVPVN $.

  ${
    $d b c A $.  $d b c d G $.  $d b c M $.  $d b N $.  $d b c d ph $.
    infpssrlem.a $e |- ( ph -> B C_ A ) $.
    infpssrlem.c $e |- ( ph -> F : B -1-1-onto-> A ) $.
    infpssrlem.d $e |- ( ph -> C e. ( A \ B ) ) $.
    infpssrlem.e $e |- G = ( rec ( `' F , C ) |` _om ) $.
    $( Lemma for ~ infpssr .  (Contributed by Stefan O'Rear, 30-Oct-2014.) $)
    infpssrlem1 $p |- ( ph -> ( G ` (/) ) = C ) $=
      ( c0 cfv ccnv crdg com cres fveq1i cdif wcel wceq fr0g syl eqtrid ) AKFLK
      EMZDNOPZLZDKFUEJQADBCRZSUFDTIDUGUDUAUBUC $.

    $( Lemma for ~ infpssr .  (Contributed by Stefan O'Rear, 30-Oct-2014.) $)
    infpssrlem2 $p |- ( M e. _om -> ( G ` suc M ) = ( `' F ` ( G ` M ) ) ) $=
      ( com wcel csuc ccnv crdg cres cfv frsuc fveq1i fveq2i 3eqtr4g ) GLMGNZEO
      ZDPLQZRGUERZUDRUCFRGFRZUDRDGUDSUCFUEKTUGUFUDGFUEKTUAUB $.

    $( Lemma for ~ infpssr .  (Contributed by Stefan O'Rear, 30-Oct-2014.) $)
    infpssrlem3 $p |- ( ph -> G : _om --> A ) $=
      ( vc vb com wfn cfv wcel c0 wceq fveq2 eleq1d cv wral wf ccnv crdg frfnom
      cres fneq1i mpbir a1i csuc infpssrlem1 eldifad eqeltrd wa wss adantr wf1o
      f1ocnv f1of 3syl ffvelrnda sseldd infpssrlem2 syl5ibr expd com12 ralrimiv
      finds2 ffnfv sylanbrc ) AFMNZKUAZFOZBPZKMUBMBFUCVLAVLEUDZDUEMUGZMNDVPUFMF
      VQJUHUIUJAVOKMVMMPAVOVOQFOZBPLUAZFOZBPZVSUKZFOZBPZAKLVMQRVNVRBVMQFSTVMVSR
      VNVTBVMVSFSTVMWBRVNWCBVMWBFSTAVRDBABCDEFGHIJULADBCIUMUNVSMPZAWAWDAWAUOZWD
      WEVTVPOZBPWFCBWGACBUPWAGUQABCVTVPACBEURBCVPURBCVPUCHCBEUSBCVPUTVAVBVCWEWC
      WGBABCDEFVSGHIJVDTVEVFVIVGVHKMBFVJVK $.

    $( Lemma for ~ infpssr .  (Contributed by Stefan O'Rear, 30-Oct-2014.) $)
    infpssrlem4 $p |- ( ( ph /\
      M e. _om /\ N e. M ) -> ( G ` M ) =/= ( G ` N ) ) $=
      ( vb com wcel cfv wne wa wi wceq vc vd cv wral c0 fveq2 neeq1d raleqbi1dv
      csuc imbi2d ral0 a1i w3a ccnv wn wf1o f1ocnv f1of 3syl adantl infpssrlem3
      wf ffvelrnda ancoms eldifbd nelne2 syl2anc infpssrlem2 adantr infpssrlem1
      ffvelrnd 3netr4d 3adant3 neeq2d syl5ibr adantrd wrex simpr elnn 3ad2antl1
      peano2 simpl nnsuc nfv nfra1 nf3an nfan simpl3 word nnord ordsucelsuc syl
      wb mpbird adantrr rsp sylc wf1 ad2antlr adantll f1fveq syl12anc necon3bid
      f1of1 biimprd neeq12d adantlr sylibrd adantrl 3adantl3 expr eleq1 imbi12d
      mpd anbi2d mpbiri com3l rexlimd ex pm2.61ine ralrimiva cbvralvw sylib a2d
      3exp finds impcom rspccv 3impia ) AGNOZHGOZGFPZHFPZQZAYJRYLMUCZFPZQZMGUDZ
      YKYNSYJAYRAUAUCZFPZYPQZMYSUDZSAUEFPZYPQZMUEUDZSAUBUCZFPZYPQZMUUFUDZSAUUFU
      IZFPZYPQZMUUJUDZSAYRSUAUBGYSUETZUUBUUEAUUAUUDMYSUEUUNYTUUCYPYSUEFUFZUGUHU
      JYSUUFTZUUBUUIAUUAUUHMYSUUFUUPYTUUGYPYSUUFFUFUGUHUJYSUUJTZUUBUUMAUUAUULMY
      SUUJUUQYTUUKYPYSUUJFUFUGUHUJYSGTZUUBYRAUUAYQMYSGUURYTYLYPYSGFUFUGUHUJUUEA
      UUDMUKULUUFNOZAUUIUUMUUSAUUIUUMUUSAUUIUMZUUKYTQZUAUUJUDUUMUUTUVAUAUUJUUTY
      SUUJOZRZUVASYSUEUUNUUTUVAUVBUUTUVAUUNUUKUUCQZUUSAUVDUUIUUSARZUUGEUNZPZDUU
      KUUCUVEUVGCODCOUOZUVGDQUVEBCUUGUVFABCUVFVBZUUSACBEUPZBCUVFUPZUVIJCBEUQZBC
      UVFURUSUTAUUSUUGBOZANBUUFFABCDEFIJKLVAZVCVDZVKAUVHUUSADBCKVEUTUVGDCVFVGUU
      SUUKUVGTZAABCDEFUUFIJKLVHZVIAUUCDTUUSABCDEFIJKLVJUTVLVMUUNYTUUCUUKUUOVNVO
      VPYSUEQZUVCUVAUVRUVCRZYSYOUIZTZMNVQZUVAUVSYSNOZUVRUWBUVCUWCUVRUUSAUVBUWCU
      UIUUSUVBRUVBUUJNOZUWCUUSUVBVRUUSUWDUVBUUFWAVIYSUUJVSVGVTUTUVRUVCWBMYSWCVG
      UVCUWBUVASUVRUVCUWAUVAMNUUTUVBMUUSAUUIMUUSMWDAMWDUUHMUUFWEWFUVBMWDWGUVAMW
      DUWAUVCYONOZUVAUWAUVCUWEUVASZSUUTUVTUUJOZRZUWEUUKUVTFPZQZSZSUUTUWGUWEUWJU
      UTUWGUWERZRZUUHUWJUWMUUIYOUUFOZUUHUUSAUUIUWLWHUUTUWGUWNUWEUUSAUWGUWNUUIUU
      SUWGRZUWNUWGUUSUWGVRUWOUUFWIZUWNUWGWMUUSUWPUWGUUFWJVIYOUUFWKWLWNVTWOUUHMU
      UFWPWQUUSAUWLUUHUWJSZUUIUVEUWEUWQUWGUVEUWERZUUHUVGYPUVFPZQZUWJUWRUWTUUHUW
      RUVGUWSUUGYPUWRBCUVFWRZUVMYPBOZUVGUWSTUUGYPTWMAUXAUUSUWEAUVJUVKUXAJUVLBCU
      VFXDUSWSUVEUVMUWEUVOVIAUWEUXBUUSANBYOFUVNVCWTBCUUGYPUVFXAXBXCXEUUSUWEUWJU
      WTWMAUUSUWERUUKUVGUWIUWSUUSUVPUWEUVQVIUWEUWIUWSTUUSABCDEFYOIJKLVHUTXFXGXH
      XIXJXNXKUWAUVCUWHUWFUWKUWAUVBUWGUUTYSUVTUUJXLXOUWAUVAUWJUWEUWAYTUWIUUKYSU
      VTFUFVNUJXMXPXQXRUTXNXSXTYAUVAUULUAMUUJYSYOTYTYPUUKYSYOFUFVNYBYCYEYDYFYGY
      QYNMHGYOHTYPYMYLYOHFUFVNYHWLYI $.

    $( Lemma for ~ infpssr .  (Contributed by Stefan O'Rear, 30-Oct-2014.) $)
    infpssrlem5 $p |- ( ph -> ( A e. V -> _om ~<_ A ) ) $=
      ( vb vc com wcel cv cfv wceq wral wa wf1 cdom wbr wf wi infpssrlem3 wo wn
      wne simpll simplrr simpr infpssrlem4 syl3anc necomd jaodan ex necon2bd wb
      simplrl word nnord ordtri3 syl2an adantl ralrimivva dff13 sylanbrc f1domg
      sylibrd syl5com ) ANBFUAZBGONBUBUCANBFUDLPZFQZMPZFQZRZVMVORZUEZMNSLNSVLAB
      CDEFHIJKUFAVSLMNNAVMNOZVONOZTZTZVQVMVOOZVOVMOZUGZUHZVRWCWFVNVPWCWFVNVPUIZ
      WCWDWHWEWCWDTZVPVNWIAWAWDVPVNUIAWBWDUJAVTWAWDUKWCWDULABCDEFVOVMHIJKUMUNUO
      WCWETAVTWEWHAWBWEUJAVTWAWEUTWCWEULABCDEFVMVOHIJKUMUNUPUQURWBVRWGUSZAVTVMV
      AVOVAWJWAVMVBVOVBVMVOVCVDVEVJVFLMNBFVGVHNBGFVIVK $.
  $}

  ${
    $d f y A $.  $d f y X $.
    $( Dedekind infinity implies existence of a denumerable subset: take a
       single point witnessing the proper subset relation and iterate the
       embedding.  (Contributed by Stefan O'Rear, 30-Oct-2014.)  (Revised by
       Mario Carneiro, 16-May-2015.) $)
    infpssr $p |- ( ( X C. A /\ X ~~ A ) -> _om ~<_ A ) $=
      ( vy vf cv wcel wn wa wex wpss cen wbr com cdom pssnel adantr wi cdif cvv
      ex eldif wss pssss wf1o bren crn wfo wceq simpr f1ofo forn 3syl eqeltrrdi
      vex rnex ccnv crdg cres simplr simpll eqid infpssrlem5 mpd exlimdv syl5bi
      syl5 impd sylbir exlimiv mpcom ) CEZAFVKBFGHZCIZBAJZBAKLZHZMANLZVNVMVOCBA
      OPVLVPVQQZCVLVKABRFZVRVKABUAVSVNVOVQVNBAUBZVSVOVQQZBAUCVSVTWAVOBADEZUDZDI
      VSVTHZVQBADUEWDWCVQDWDWCVQWDWCHZASFVQWEAWBUFZSWEWCBAWBUGWFAUHWDWCUIZBAWBU
      JBAWBUKULWBDUNUOUMWEABVKWBWBUPVKUQMURZSVSVTWCUSWGVSVTWCUTWHVAVBVCTVDVETVF
      VGVHVIVJ $.
  $}

  ${
    $d c f x A $.  $d c f x B $.
    $( Dedekind finite is a cardinal property.  (Contributed by Stefan O'Rear,
       30-Oct-2014.)  (Revised by Mario Carneiro, 16-May-2015.) $)
    fin4en1 $p |- ( A ~~ B -> ( A e. Fin4 -> B e. Fin4 ) ) $=
      ( vx vf cen wbr cfin4 wcel wi cv wpss wa wex wn wss wb syl2an syl2anc cvv
      cima ensym wf1o bren simpr wf1 f1of1 pssss ssid jctir f1imapss mpbird cdm
      imadmrn f1odm imaeq2d dff1o5 simprbi 3eqtr3a adantr psseq2d mpbid adantrr
      wceq crn vex f1imaen simprr entr f1oen3g mpan fin4i exlimdv con2d exlimiv
      ex sylbi relen brrelex1i isfin4 syl sylibrd ) ABEFBAEFZAGHZBGHZIABUAWBWCC
      JZBKZWEBEFZLZCMZNZWDWBBADJZUBZDMWCWJIZBADUCWLWMDWLWIWCWLWHWCNZCWLWHWNWLWH
      LZWKWETZAKZWPAEFZWNWLWFWQWGWLWFLZWPWKBTZKZWQWSXAWFWLWFUDWLBAWKUEZWEBOZBBO
      ZLXAWFPWFBAWKUFZWFXCXDWEBUGZBUHUIBAWEBWKUJQUKWSWTAWPWLWTAVCWFWLWKWKULZTWK
      VDZWTAWKUMWLXGBWKBAWKUNUOWLXBXHAVCBAWKUPUQURUSUTVAVBWOWPBEFZWBWRWOWPWEEFZ
      WGXIWLWFXJWGWLXBXCXJWFXEXFBAWEWKCVEVFQVBWLWFWGVGWPWEBVHRWLWBWHWKSHWLWBDVE
      BAWKSVIVJUSWPBAVHRAWPVKRVOVLVMVNVPWBBSHWDWJPBAEVQVRCBSVSVTWAVT $.

    $( Dedekind finite sets have Dedekind finite subsets.  (Contributed by
       Stefan O'Rear, 30-Oct-2014.)  (Revised by Mario Carneiro, 6-May-2015.)
       (Revised by Mario Carneiro, 16-May-2015.) $)
    ssfin4 $p |- ( ( A e. Fin4 /\ B C_ A ) -> B e. Fin4 ) $=
      ( vx vc cfin4 wcel wss wa cv wpss cen wbr wex wn cun wceq simprr ad2antrl
      cin cvv simpll cdif pssss simpr difssd unssd pssnel adantl simpllr simprl
      sylan9ssr sseldd elndif wo ioran xchnxbir sylanbrc nelneq2 syl2anc sylnib
      elun eqcom exlimddv dfpss2 adantrr c0 difexg enrefg 3syl ssinss1 inssdif0
      syl sylib disjdif jctir unen syl21anc simplr undif breqtrd fin4i pm2.65da
      nexdv wb ssexg ancoms isfin4 mpbird ) AEFZBAGZHZBEFZCIZBJZWMBKLZHZCMNZWKW
      PCWKWPWIWIWJWPUAZWKWPHZWMABUBZOZAJZXAAKLWINWKWNXBWOWKWNHZXAAGXAAPZNZXBXCW
      MWTAWNWKWMBAWMBUCZWIWJUDUKXCABUEUFXCDIZBFZXGWMFZNZHZXEDWNXKDMWKDWMBUGUHXC
      XKHZAXAPZXDXLXGAFXGXAFZNZXMNXLBAXGWIWJWNXKUIXCXHXJUJULXLXJXGWTFZNZXOXCXHX
      JQXHXQXCXJXGBAUMRXIXPUNXJXQHXNXIXPUOXGWMWTVAUPUQXGAXAURUSAXAVBUTVCXAAVDUQ
      VEWSXABWTOZAKWSWOWTWTKLZWMWTSVFPZBWTSVFPZHXAXRKLWKWNWOQWSWIWTTFXSWRABEVGW
      TTVHVIWSXTYAWSWMASBGZXTWSWMBGZYBWNYCWKWOXFRWMABVJVLWMABVKVMBAVNVOWMBWTWTV
      PVQWSWJXRAPWIWJWPVRBAVSVMVTAXAWAUSWBWCWKBTFZWLWQWDWJWIYDBAEWEWFCBTWGVLWH
      $.

    $( A set dominated by a Dedekind finite set is Dedekind finite.
       (Contributed by Mario Carneiro, 16-May-2015.) $)
    domfin4 $p |- ( ( A e. Fin4 /\ B ~<_ A ) -> B e. Fin4 ) $=
      ( vx cfin4 wcel wbr wa cv cen wss wex domeng biimpa ensym ad2antrl ssfin4
      cdom ad2ant2rl fin4en1 sylc exlimddv ) ADEZBAQFZGZBCHZIFZUEAJZGZBDEZCUBUC
      UHCKCBADLMUDUHGUEBIFZUEDEZUIUFUJUDUGBUENOUBUGUKUCUFAUEPRUEBSTUA $.

    $( ` _om ` is Dedekind infinite.  (Contributed by Stefan O'Rear,
       30-Oct-2014.)  (Proof shortened by Mario Carneiro, 16-May-2015.) $)
    ominf4 $p |- -. _om e. Fin4 $=
      ( com cfin4 wcel id c0 csn cdif wpss cen wn peano1 difsnpss mpbi limenpsi
      wbr limom ensymd fin4i sylancr pm2.65i ) ABCZUAUADUAAEFGZAHZUBAIOUAJEACUC
      KEALMUAAUBABPNQAUBRST $.

    $( Alternate proof of ~ infpss , shorter but requiring Replacement
       ( ~ ax-rep ).  (Contributed by Stefan O'Rear, 30-Oct-2014.)  (Revised by
       Mario Carneiro, 16-May-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    infpssALT $p |- ( _om ~<_ A -> E. x ( x C. A /\ x ~~ A ) ) $=
      ( com cdom wbr cv wpss cen wa wex cfin4 ominf4 wn cvv wb reldom brrelex2i
      wcel isfin4 syl domfin4 expcom sylbird mt3i ) CBDEZAFZBGUFBHEIAJZCKRZLUEU
      GMZBKRZUHUEBNRUJUIOCBDPQABNSTUJUEUHBCUAUBUCUD $.
  $}

  ${
    $d x A $.
    $( Alternate definition of IV-finite sets: they lack a denumerable subset.
       (Contributed by Stefan O'Rear, 30-Oct-2014.)  (Revised by Mario
       Carneiro, 17-May-2015.) $)
    isfin4-2 $p |- ( A e. V -> ( A e. Fin4 <-> -. _om ~<_ A ) ) $=
      ( vx wcel cfin4 cv wpss cen wbr wa wex wn com cdom isfin4 infpssr exlimiv
      infpss impbii notbii bitrdi ) ABDAEDCFZAGUBAHIJZCKZLMANIZLCABOUDUEUDUEUCU
      ECAUBPQCARSTUA $.
  $}

  $( Alternate definition of IV-finite sets: they are strictly dominated by
     their successors.  (Thus, the proper subset referred to in ~ isfin4 can be
     assumed to be only a singleton smaller than the original.)  (Contributed
     by Mario Carneiro, 18-May-2015.) $)
  isfin4p1 $p |- ( A e. Fin4 <-> A ~< ( A |_| 1o ) ) $=
    ( cfin4 wcel c1o cdju csdm wbr cdom cen wn con0 csn cxp mp2an ax-mp syl cvv
    c0 brrelex1i sylancr 1on djudoml mpan2 wpss cop cun 1oex snid 0lt1o opelxpi
    elun2 df-dju eleqtrri wne 1n0 wceq opelxp1 elsni necon3ai wa ssun1 sseqtrri
    wss wi ssnelpss relen xpsnen2g entr mpancom fin4i fin4en1 mtod con2i brsdom
    0ex sylanbrc com sdomnen infdju1 ensymd nsyl relsdom isfin4-2 mpbird impbii
    wb ) ABCZAADEZFGZWGAWHHGZAWHIGZJWIWGDKCWJUAADBKUBUCWKWGWKWGWHBCZWKRLZAMZWHU
    DZWNWHIGZWLJDRUEZWHCZWQWNCZJZWOWQWNDLZDMZUFZWHWQXBCZWQXCCDXACRDCXDDUGUHUIDR
    XADUJNWQXBWNUKOADULZUMDRUNWTUOWSDRWSDWMCDRUPDRWMAUQDRURPUSOWNWHVCWRWTUTWOVD
    WNXCWHWNXBVAXEVBWNWHWQVEONWNAIGZWKWPWKRQCAQCZXFVOAWHIVFSRAQQVGTWNAWHVHVIWHW
    NVJTAWHVKVLVMAWHVNVPWIWGVQAHGZJZWIWKXHAWHVRXHWHAAVSVTWAWIXGWGXIWFAWHFWBSAQW
    CPWDWE $.

  ${
    $d c v w x y z A $.  $d c v w x y z B $.  $d z ch $.  $d v ph $.  $d y V $.
    $d x ps $.  $d w th $.
    $( Lemma for ~ isfin2-2 .  The componentwise complement of a nonempty
       collection of sets is nonempty.  (Contributed by Stefan O'Rear,
       31-Oct-2014.)  (Revised by Mario Carneiro, 16-May-2015.) $)
    fin23lem7 $p |- ( ( A e. V /\ B C_ ~P A /\ B =/= (/) ) ->
      { x e. ~P A | ( A \ x ) e. B } =/= (/) ) $=
      ( vy wcel cpw wss c0 wne w3a cv cdif wrex crab wex wa n0 wceq simpr difss
      wb elpw2g ad2antrr mpbiri sselda elpwid dfss4 sylib eqeltrd difeq2 eleq1d
      rspcev syl2anc ex exlimdv syl5bi 3impia rabn0 sylibr ) BDFZCBGZHZCIJZKBAL
      ZMZCFZAVBNZVGAVBOIJVAVCVDVHVDELZCFZEPVAVCQZVHECRVKVJVHEVKVJVHVKVJQZBVIMZV
      BFZBVMMZCFZVHVLVNVMBHZBVIUAVAVNVQUBVCVJVMBDUCUDUEVLVOVICVLVIBHVOVISVLVIBV
      KCVBVIVAVCTUFUGVIBUHUIVKVJTUJVGVPAVMVBVEVMSVFVOCVEVMBUKULUMUNUOUPUQURVGAV
      BUSUT $.

    fin23lem11.1 $e |- ( z = ( A \ x ) -> ( ps <-> ch ) ) $.
    fin23lem11.2 $e |- ( w = ( A \ v ) -> ( ph <-> th ) ) $.
    fin23lem11.3 $e |- ( ( x C_ A /\ v C_ A ) -> ( ch <-> th ) ) $.
    $( Lemma for ~ isfin2-2 .  (Contributed by Stefan O'Rear, 31-Oct-2014.)
       (Revised by Mario Carneiro, 16-May-2015.) $)
    fin23lem11 $p |- ( B C_ ~P A -> ( E. x e. { c e. ~P A | ( A \ c ) e. B }
      A. w e. { c e. ~P A | ( A \ c ) e. B } -. ph ->
        E. z e. B A. v e. B -. ps ) ) $=
      ( wss wn cv cdif wcel wceq cpw crab wral wa wi difeq2 eleq1d elrab simp2r
      wrex w3a notbid simpl3 difss cvv wb ssun1 undif1 sseqtrri simpl2r simpl2l
      unexg syl2anc ssexg sylancr elpw2g mpbiri simpl1 simpr sseldd dfss4 sylib
      cun elpwid eqeltrd elrabd rspcdva simplrl ssel2 3adantl3 mpbird ralrimiva
      syl adantlr ralbidv rspcev 3exp syl5bi rexlimdv ) JIUAZOZAPZGIKQZRZJSZKWJ
      UBZUCZBPZHJUCZFJUJZEWPEQZWPSXAWJSZIXARZJSZUDZWKWQWTUEWOXDKXAWJWMXATWNXCJW
      MXAIUFUGUHWKXEWQWTWKXEWQUKZXDCPZHJUCZWTWKXBXDWQUIXFXGHJXFHQZJSZUDZXGDPZXK
      WLXLGWPIXIRZGQXMTADMULWKXEWQXJUMXKWOIXMRZJSKXMWJWMXMTWNXNJWMXMIUFUGXKXMWJ
      SZXMIOZIXIUNXKIUOSZXOXPUPXKIXCXAVMZOXRUOSZXQIIXAVMXRIXAUQIXAURUSXKXDXBXSX
      BXDWKWQXJUTXBXDWKWQXJVAXCXAJWJVBVCIXRUOVDVEXMIUOVFWCVGXKXNXIJXKXIIOZXNXIT
      XKXIIXKJWJXIWKXEWQXJVHXFXJVIZVJVNXIIVKVLYAVOVPVQWKXEXJXGXLUPWQWKXEUDXJUDZ
      CDYBXAIOXTCDUPYBXAIWKXBXDXJVRVNYBXIIWKXJXIWJSXEJWJXIVSWDVNNVCULVTWAWBWSXH
      FXCJFQXCTZWRXGHJYCBCLULWEWFVCWGWHWI $.
  $}

  ${
    $d b c f m n w x y z A $.  $d c f m n w x z B $.  $d b V $.
    $( A II-finite set contains minimal elements for every nonempty chain.
       (Contributed by Mario Carneiro, 16-May-2015.) $)
    fin2i2 $p |- ( ( ( A e. Fin2 /\ B C_ ~P A ) /\ ( B =/= (/) /\ [C.] Or B ) )
        -> |^| B e. B ) $=
      ( vw vz vm vn vc cfin2 wcel wss wa c0 wne crpss wor cv wpss wn wral cdif
      cpw wrex cint crab simplr cuni simpll ssrab2 a1i simprl fin23lem7 syl3anc
      sorpsscmpl ad2antll fin2i syl22anc sorpssuni syl mpbird psseq2 pssdifcom2
      wb fin23lem11 sylc sorpssint mpbid ) AHIZBAUAZJZKZBLMZBNOZKZKZCPZDPZQZRCB
      SDBUBZBUCBIZVNVIEPZFPZQZRFAGPTBIZGVHUDZSEWDUBZVRVGVIVMUEZVNWEWDUFWDIZVNVG
      WDVHJZWDLMZWDNOZWGVGVIVMUGZWHVNWCGVHUHUIVNVGVIVKWIWKWFVJVKVLUJGABHUKULVLW
      JVJVKGABUMUNZAWDUOUPVNWJWEWGVBWLFEWDUQURUSWBVQVOAVTTZQVTAVOTZQEDFCABGVPWM
      VOUTWAWNVTUTVTVOAVAVCVDVLVRVSVBVJVKCDBVEUNVF $.

    $( ` Fin2 ` expressed in terms of minimal elements.  (Contributed by Stefan
       O'Rear, 2-Nov-2014.)  (Proof shortened by Mario Carneiro,
       16-May-2015.) $)
    isfin2-2 $p |- ( A e. V -> ( A e. Fin2 <-> A. y e. ~P ~P A
      ( ( y =/= (/) /\ [C.] Or y ) -> |^| y e. y ) ) ) $=
      ( vb vm vn vw vz vc wcel cv c0 wne crpss wor wa wi wral wss wpss cint cpw
      cfin2 elpwi fin2i2 sylan2 ralrimiva cuni w3a wrex cdif crab simp1r simp1l
      ex simp3l fin23lem7 syl3anc sorpsscmpl adantl 3ad2ant3 wceq neeq1 anbi12d
      wn soeq2 inteq id eleq12d imbi12d simp2 ssrab2 cvv wb pwexg elpw2g mpbiri
      3syl mp2and sorpssint syl mpbird psseq1 pssdifcom1 fin23lem11 sylc simp3r
      rspcdva sorpssuni mpbid 3exp ralrimdva isfin2 sylibrd impbid2 ) BCJZBUCJZ
      AKZLMZWRNOZPZWRUAZWRJZQZABUBZUBZRZWQXDAXFWRXFJWQWRXESZXDWRXEUDWQXHPXAXCBW
      RUEUOUFUGWPXGDKZLMZXINOZPZXIUHXIJZQZDXFRWQWPXGXNDXFXIXFJWPXIXESZXGXNQXIXE
      UDWPXOPZXGXLXMXPXGXLUIZEKZFKZTZVEFXIREXIUJZXMXQXOGKZHKZTZVEGBIKUKXIJZIXEU
      LZRHYFUJZYAWPXOXGXLUMZXQYGYFUAZYFJZXQYFLMZYFNOZYJXQWPXOXJYKWPXOXGXLUNZYHX
      PXGXJXKUPIBXICUQURXLXPYLXGXKYLXJIBXIUSUTVAZXQXDYKYLPZYJQAXFYFWRYFVBZXAYOX
      CYJYPWSYKWTYLWRYFLVCWRYFNVFVDYPXBYIWRYFWRYFVGYPVHVIVJXPXGXLVKXQYFXFJZYFXE
      SZYEIXEVLXQWPXEVMJYQYRVNYMBCVOYFXEVMVPVRVQWHVSXQYLYGYJVNYNGHYFVTWAWBYDXTB
      YCUKZXSTBXSUKZYCTHEGFBXIIXRYSXSWCYBYTYCWCYCXSBWDWEWFXQXKYAXMVNXPXGXJXKWGF
      EXIWIWAWJWKUFWLDBCWMWNWO $.

    $( A subset of a II-finite set is II-finite.  (Contributed by Stefan
       O'Rear, 2-Nov-2014.)  (Revised by Mario Carneiro, 16-May-2015.) $)
    ssfin2 $p |- ( ( A e. Fin2 /\ B C_ A ) -> B e. Fin2 ) $=
      ( vx cfin2 wcel wss wa cv c0 wne crpss wor cuni wi cpw wral simpll adantl
      elpwi cvv simplr sspwd sstrd fin2i ex syl2anc ralrimiva ancoms isfin2 syl
      wb ssexg mpbird ) ADEZBAFZGZBDEZCHZIJURKLGZURMUREZNZCBOZOZPZUPVACVCUPURVC
      EZGZUNURAOZFZVAUNUOVEQVFURVBVGVEURVBFUPURVBSRVFBAUNUOVEUAUBUCUNVHGUSUTAUR
      UDUEUFUGUPBTEZUQVDUKUOUNVIBADULUHCBTUIUJUM $.

    $( II-finiteness is a cardinal property.  (Contributed by Mario Carneiro,
       18-May-2015.) $)
    enfin2i $p |- ( A ~~ B -> ( A e. Fin2 -> B e. Fin2 ) ) $=
      ( vx vf vy vw vz wcel cv cuni cpw wral wss cima wceq wrex imaeq2 syl12anc
      wa eleq1d cen wbr cfin2 c0 wne crpss wor wi wf1o wex bren elpwi crab ciun
      cab imauni vex imaex dfiun2 eqtri weq rexrab eleq1 biimparc rexlimivw cdm
      ccnv cnvimass f1odm ad3antrrr sseqtrid cnvex elpw sylibr wfo f1ofo simprl
      sselda elpwid foimacnv syl2anc eqcomd simpr eqeq2d anbi12d rspcev impbid2
      eqeltrrd ex syl5bb abbi1dv unieqd eqtrid simplr ssrab2 a1i sylib exlimddv
      simprrl n0 rabn0 wo elrab anbi12i simprrr adantr simprlr sorpssi wb f1of1
      wf1 simprll f1imass orbi12d mpbid sylan2b ralrimivva sorpss fin2i cbvrabv
      syl22anc elrab2 simprbi syl expr sylan2 ralrimiva exlimiv sylbi cvv relen
      brrelex2i isfin2 sylibrd ) ABUAUBZAUCHZCIZUDUEZYQUFUGZSZYQJZYQHZUHZCBKZKZ
      LZBUCHZYOABDIZUIZDUJYPUUFUHZABDUKUUIUUJDUUIYPUUFUUIYPSZUUCCUUEYQUUEHUUKYQ
      UUDMZUUCYQUUDULUUKUULYTUUBUUKUULYTSZSZUUHUUHEIZNZYQHZEAKZUMZJZNZUUAYQUUNU
      VAFIZUUHGIZNZOZGUUSPZFUOZJZUUAUVAGUUSUVDUNUVHGUUHUUSUPGFUUSUVDUUHUVCDUQZU
      RUSUTUUNUVGYQUUNUVFFYQUVFUVDYQHZUVESZGUURPZUUNUVBYQHZUUQUVJUVEGEUUREGVAUU
      PUVDYQUUOUVCUUHQTZVBUUNUVLUVMUVKUVMGUURUVEUVMUVJUVBUVDYQVCVDVEUUNUVMUVLUU
      NUVMSZUUHVGZUVBNZUURHZUUHUVQNZYQHZUVBUVSOZUVLUVOUVQAMUVRUVOUUHVFZUVQAUUHU
      VBVHUUIUWBAOYPUUMUVMABUUHVIVJVKUVQAUVPUVBUUHUVIVLURVMVNZUVOUVBUVSYQUVOUVS
      UVBUVOABUUHVOZUVBBMUVSUVBOUUIUWDYPUUMUVMABUUHVPVJUVOUVBBUUNYQUUDUVBUUKUUL
      YTVQVRVSABUVBUUHVTWAWBZUUNUVMWCWHZUWEUVKUVTUWASGUVQUURUVCUVQOZUVJUVTUVEUW
      AUWGUVDUVSYQUVCUVQUUHQZTUWGUVDUVSUVBUWHWDWEWFRWIWGWJWKWLWMUUNUUTUUSHZUVAY
      QHZUUNYPUUSUURMZUUSUDUEZUUSUFUGZUWIUUIYPUUMWNUWKUUNUUQEUURWOWPUUNUUQEUURP
      ZUWLUUNUVMUWNFUUNYRUVMFUJUUKUULYRYSWSFYQWTWQUVOUVRUVTUWNUWCUWFUUQUVTEUVQU
      URUUOUVQOUUPUVSYQUUOUVQUUHQTWFWAWRUUQEUURXAVNUUNUVCUVBMZUVBUVCMZXBZFUUSLG
      UUSLUWMUUNUWQGFUUSUUSUVCUUSHZUVBUUSHZSUUNUVCUURHZUVJSZUVBUURHZUUHUVBNZYQH
      ZSZSZUWQUWRUXAUWSUXEUUQUVJEUVCUURUVNXCUUQUXDEUVBUUREFVAUUPUXCYQUUOUVBUUHQ
      TXCXDUUNUXFSZUVDUXCMZUXCUVDMZXBZUWQUXGYSUVJUXDUXJUUNYSUXFUUKUULYRYSXEXFUU
      NUWTUVJUXEXGUUNUXAUXBUXDXEYQUVDUXCXHRUXGUXHUWOUXIUWPUXGABUUHXKZUVCAMZUVBA
      MZUXHUWOXIUUIUXKYPUUMUXFABUUHXJVJZUXGUVCAUUNUWTUVJUXEXLVSZUXGUVBAUUNUXAUX
      BUXDWSVSZABUVCUVBUUHXMRUXGUXKUXMUXLUXIUWPXIUXNUXPUXOABUVBUVCUUHXMRXNXOXPX
      QGFUUSXRVNAUUSXSYAUWIUUTUURHUWJUVJUWJGUUTUURUUSUVCUUTOUVDUVAYQUVCUUTUUHQT
      UUQUVJEGUURUVNXTYBYCYDWHYEYFYGWIYHYIYOBYJHUUGUUFXIABUAYKYLCBYJYMYDYN $.
  $}

  $( Lemma for ~ fin23 .  In a class of ordinals, each element is fully
     identified by those of its predecessors which also belong to the class.
     (Contributed by Stefan O'Rear, 1-Nov-2014.) $)
  fin23lem24 $p |- ( ( ( Ord A /\ B C_ A ) /\ ( C e. B /\ D e. B ) ) ->
    ( ( C i^i B ) = ( D i^i B ) <-> C = D ) ) $=
    ( word wa wcel cin wne sseldd ordelord syl2anc wn simpr elind adantr ordirr
    wceq syl elinel1 wss simpll simplr simprl simprr ordtri3 necon2abid simplrl
    wo wb nsyl nelne1 necomd simplrr jaodan ex sylbird necon4d ineq1 impbid1 )
    AEZBAUAZFZCBGZDBGZFZFZCBHZDBHZRCDRVGCDVHVIVGCDIZCDGZDCGZUIZVHVIIZVGCEZDEZVM
    VJUJVGVACAGVOVAVBVFUBZVGBACVAVBVFUCZVCVDVEUDJACKLZVGVADAGVPVQVGBADVRVCVDVEU
    EJADKLZVOVPFVMCDCDUFUGLVGVMVNVGVKVNVLVGVKFZVIVHWACVIGCVHGZMVIVHIWADBCVGVKNV
    CVDVEVKUHOWACCGZWBWAVOWCMVGVOVKVSPCQSCCBTUKCVIVHULLUMVGVLFZDVHGDVIGZMVNWDCB
    DVGVLNVCVDVEVLUNOWDDDGZWEWDVPWFMVGVPVLVTPDQSDDBTUKDVHVIULLUOUPUQURCDBUSUT
    $.

  $( In a chain of finite sets, dominance and subset coincide.  (Contributed by
     Stefan O'Rear, 8-Nov-2014.) $)
  fincssdom $p |- ( ( A e. Fin /\ B e. Fin /\ ( A C_ B \/ B C_ A ) ) ->
      ( A ~<_ B <-> A C_ B ) ) $=
    ( cfn wcel wss wo w3a cdom wn csdm wa wpss simpl1 simpr simpl3 orel1 dfpss3
    wbr sylc sylanbrc php3 syl2anc ex domnsym con2i syl6 con4d wi ssdomg impbid
    3ad2ant2 ) ACDZBCDZABEZBAEZFZGZABHRZUNUQUNURUQUNIZBAJRZURIUQUSUTUQUSKZULBAL
    ZUTULUMUPUSMVAUOUSVBVAUSUPUOUQUSNZULUMUPUSOUNUOPSVCBAQTABUAUBUCURUTABUDUEUF
    UGUMULUNURUHUPABCUIUKUJ $.

  $( Lemma for ~ fin23 .  In a chain of finite sets, equinumerosity is
     equivalent to equality.  (Contributed by Stefan O'Rear, 1-Nov-2014.) $)
  fin23lem25 $p |- ( ( A e. Fin /\ B e. Fin /\ ( A C_ B \/ B C_ A ) ) ->
    ( A ~~ B <-> A = B ) ) $=
    ( cfn wcel wss cen wbr wceq wn wi wpss dfpss2 csdm php3 sdomnen syl syl5bir
    wa ex expd wo w3a adantl eqcom notbii anbi2i bitri ensym nsyl adantr 3impia
    jaod con4d eqeng 3ad2ant1 impbid ) ACDZBCDZABEZBAEZUAZUBZABFGZABHZVBVDVCUQU
    RVAVDIZVCIZJZUQURRZUSVGUTVHUSVEVFURUSVERZVFJUQVIABKZURVFABLURVJVFURVJRABMGV
    FBANABOPSQUCTVHUTVEVFUQUTVERZVFJURVKBAKZUQVFVLUTBAHZIZRVKBALVNVEUTVMVDBAUDU
    EUFUGUQVLVFUQVLRBAMGZVFABNVOBAFGVCBAOABUHUIPSQUJTULUKUMUQURVDVCJVAABCUNUOUP
    $.

  ${
    $d i j a b $.  $d S i j a b $.  $d C a b $.
    $( Lemma for ~ fin23lem22 .  (Contributed by Stefan O'Rear, 1-Nov-2014.) $)
    fin23lem26 $p |- ( ( ( S C_ _om /\ -. S e. Fin ) /\ i e. _om ) ->
      E. j e. S ( j i^i S ) ~~ i ) $=
      ( va vb cv com wcel wss cfn wn wa cin cen wbr wrex c0 wceq con0 syl breq2
      csuc rexbidv weq word ordom simpl 0fin eleq1 mpbiri necon3bi adantl tz7.5
      wne mp3an2i en0 incom eqeq1i bitri rexbii sylibr cdif cint simplrl omsson
      wi sstrdi ssdifssd simplr ssel2 onfin2 eqsstri peano2 sselid adantlr ssfi
      inss2 ex mtod ssdif0 necon3bbii sylib ad2ant2lr onint syl2anc eldifad csn
      cun simprr cvv en2sn el2v a1i simprl sseldd nnord wel ordirr elinel1 nsyl
      disjsn ad2antrr unen syl22anc wb ordsuc adantrr simp2 simpl1 simpr eldifd
      w3a onnmin syl6an con4d imp simp3 ordsucss sscond simpl2 ordelon onmindif
      intss sylan impbida syl3anc df-suc eleq2i bitrdi expr pm5.32rd elin eqrdv
      3bitr4g indir eqtrdi snssi df-ss ineq1 breq1d uneq2d eqtrd 3brtr4d rspcev
      ad2antrl rexlimdvaa cbvrexvw syl6ib finds2 impcom ) BFZGHAGIZAJHZKZLZCFZA
      MZUUKNOZCAPZUUSUUQQNOZCAPZUUQDFZNOZCAPZUUQUVBUBZNOZCAPZUUOBDUUKQRUURUUTCA
      UUKQUUQNUAUCBDUDUURUVCCAUUKUVBUUQNUAUCUUKUVERUURUVFCAUUKUVEUUQNUAUCUUOAUU
      PMZQRZCAPZUVAGUEUUOUULAQUNZUVJUFUULUUNUGUUNUVKUULUUMAQAQRUUMQJHUHAQJUIUJU
      KULCGAUMUOUUTUVICAUUTUUQQRUVIUUQUPUUQUVHQUUPAUQURUSUTVAUVBGHZUUOUVDUVGVFU
      VLUUOLZUVDEFZAMZUVENOZEAPZUVGUVMUVCUVQCAUVMUUPAHZUVCLZLZAUUPUBZVBZVCZAHUW
      CAMZUVENOZUVQUVTUWCAUWAUVTUWBSIZUWBQUNZUWCUWBHUVTASUWAUVTAGSUVLUULUUNUVSV
      DZVEVGVHUUOUVRUWGUVLUVCUUOUVRLZAUWAIZKUWGUWIUWJUUMUULUUNUVRVIUWIUWAJHZUWJ
      UUMVFUULUVRUWKUUNUULUVRLUUPGHZUWKAGUUPVJUWLGJUWAGSJMJVKSJVQVLUUPVMVNTVOUW
      KUWJUUMUWAAVPVRTVSUWJUWBQAUWAVTWAWBWCUWBWDWEWFUVTUUQUUPWGZWHZUVBUVBWGZWHZ
      UWDUVENUVTUVCUWMUWONOZUUQUWMMQRZUVBUWOMQRZUWNUWPNOUVMUVRUVCWIUWQUVTUWQCDU
      UPUVBWJWJWKWLWMUVTUUPUEZUWRUVTUWLUWTUVTAGUUPUWHUVMUVRUVCWNWOUUPWPTZUWTUUP
      UUQHZKUWRUWTCCWQUXBUUPWRUUPUUPAWSWTUUQUUPXAVATUVLUWSUUOUVSUVLDDWQKZUWSUVL
      UVBUEUXCUVBWPUVBWRTUVBUVBXAVAXBUUQUVBUWMUWOXCXDUVTUWDUUQUWMAMZWHZUWNUVTUW
      DUUPUWMWHZAMZUXEUVTEUWDUXGUVTUVNUWCHZUVNAHZLUVNUXFHZUXILUVNUWDHUVNUXGHUVT
      UXIUXHUXJUVMUVSUXIUXHUXJXEUVMUVSUXILZLZUXHUVNUWAHZUXJUXLUXIASIZUWAUEZUXHU
      XMXEUVMUVSUXIWIUXLAGSUVLUULUUNUXKVDVEVGUVMUVSUXOUXIUVTUWTUXOUXAUUPXFWBXGU
      XIUXNUXOXLZUXHUXMUXPUXHUXMUXPUXMUXHUXPUWFUXMKZUVNUWBHZUXHKUXPASUWAUXIUXNU
      XOXHVHUXPUXQUXRUXPUXQLUVNAUWAUXIUXNUXOUXQXIUXPUXQXJXKVRUWBUVNXMXNXOXPUXPU
      XMLZAUVNUBZVBZVCZUWCUVNUXSUWBUYAIUYBUWCIUXSUXTUWAAUXPUXMUXTUWAIZUXPUXOUXM
      UYCVFUXIUXNUXOXQZUVNUWAXRTXPXSUWBUYAYCTUXSUXNUVNSHZUVNUYBHUXIUXNUXOUXMXTU
      XPUXOUXMUYEUYDUWAUVNYAYDAUVNYBWEWOYEYFUWAUXFUVNUUPYGYHYIYJYKUVNUWCAYLUVNU
      XFAYLYNYMUUPUWMAYOYPUVRUXEUWNRUVMUVCUVRUXDUWMUUQUVRUWMAIUXDUWMRUUPAYQUWMA
      YRWBUUAUUEUUBUVEUWPRUVTUVBYGWMUUCUVPUWEEUWCAUVNUWCRUVOUWDUVENUVNUWCAYSYTU
      UDWEUUFUVPUVFECAECUDUVOUUQUVENUVNUUPAYSYTUUGUUHVRUUIUUJ $.

    $( Lemma for ~ fin23lem22 .  (Contributed by Stefan O'Rear, 1-Nov-2014.) $)
    fin23lem23 $p |- ( ( ( S C_ _om /\ -. S e. Fin ) /\ i e. _om ) ->
      E! j e. S ( j i^i S ) ~~ i ) $=
      ( va com wss cfn wcel wa cv cin cen wbr wceq wral wo wb sseldd syl word
      wn wrex wi wreu fin23lem26 ensym entr sylan2 simpl simprl nnfi inss1 ssfi
      sylancl simprr nnord ordtri2or2 syl2an syl2anc orim12i fin23lem25 syl3anc
      ssrin ordom fin23lem24 mpanl1 bitrd syl5ib ralrimivva ad2antrr ineq1 reu4
      breq1d sylanbrc ) AEFZAGHUAZIBJZEHZICJZAKZVQLMZCAUBWADJZAKZVQLMZIZVSWBNZU
      CZDAOCAOZWACAUDABCUEVOWHVPVRVOWGCDAAWEVTWCLMZVOVSAHZWBAHZIZIZWFWDWAVQWCLM
      WIWCVQUFVTVQWCUGUHWMWIVTWCNZWFWMVTGHZWCGHZVTWCFZWCVTFZPZWIWNQWMVSEHZWOWMA
      EVSVOWLUIZVOWJWKUJRZWTVSGHVTVSFWOVSUKVSAULVSVTUMUNSWMWBEHZWPWMAEWBXAVOWJW
      KUORZXCWBGHWCWBFWPWBUKWBAULWBWCUMUNSWMVSWBFZWBVSFZPZWSWMWTXCXGXBXDWTVSTWB
      TXGXCVSUPWBUPVSWBUQURUSXEWQXFWRVSWBAVCWBVSAVCUTSVTWCVAVBETVOWLWNWFQVDEAVS
      WBVEVFVGVHVIVJWAWDCDAWFVTWCVQLVSWBAVKVMVLVN $.

    fin23lem22.b $e |- C
        = ( i e. _om |-> ( iota_ j e. S ( j i^i S ) ~~ i ) ) $.
    $( Lemma for ~ fin23 but could be used elsewhere if we find a good name for
       it.  Explicit construction of a bijection (actually an isomorphism, see
       ~ fin23lem27 ) between an infinite subset of ` _om ` and ` _om ` itself.
       (Contributed by Stefan O'Rear, 1-Nov-2014.) $)
    fin23lem22 $p |- ( ( S C_ _om /\ -. S e. Fin )
        -> C : _om -1-1-onto-> S ) $=
      ( va com wss cfn wcel wa cv cin cen wbr ccrd cfv syl wceq wb wn crio wreu
      fin23lem23 riotacl simpll simpr sseldd nnfi ficardom cardnn eqcomd eqeq1d
      infi 4syl eqcom bitrdi ad2antrl cdm con0 simprr nnon onenon inss1 sylancl
      3syl ssnum carden2 syl2anc adantrr ineq1 breq1d riota2 3bitrd f1o2d ) BGH
      ZBIJUAZKZCFGBDLZBMZCLZNOZDBUBZFLZBMZPQZAEVRWAGJZKWBDBUCZWCBJBCDUDZWBDBUER
      VRWDBJZKZWDGJZWDIJWEIJWFGJWKBGWDVPVQWJUFVRWJUGUHWDUIWDBUNWEUJUOVRWGWJKZKZ
      WAWFSZWFWAPQZSZWEWANOZWDWCSZWGWOWQTVRWJWGWOWPWFSWQWGWAWPWFWGWPWAWAUKULUMW
      PWFUPUQURWNWEPUSZJZWAWTJZWQWRTWNWDWTJZWEWDHXAWNWLWDUTJXCWNBGWDVPVQWMUFVRW
      GWJVAZUHWDVBWDVCVFWDBVDWDWEVGVEWNWAUTJZXBWGXEVRWJWAVBURWAVCRWEWAVHVIWNWRW
      CWDSZWSWNWJWHWRXFTXDVRWGWHWJWIVJWBWRDBWDVSWDSVTWEWANVSWDBVKVLVMVIWCWDUPUQ
      VNVO $.

    $( The mapping constructed in ~ fin23lem22 is in fact an isomorphism.
       (Contributed by Stefan O'Rear, 2-Nov-2014.) $)
    fin23lem27 $p |- ( ( S C_ _om /\ -. S e. Fin ) ->
        C Isom _E , _E ( _om , S ) ) $=
      ( va vb com wcel wa cep cv wbr syl cin cen wreu wceq breq1d con0 wss wral
      cfn wn wor wpo wfo cfv wiso word wwe ordom ordwe weso mp2b a1i sopo ax-mp
      wi poss mpi adantr wf1o fin23lem22 f1ofo crio csdm nnsdomel adantl biimpd
      wb fin23lem23 ineq1 cbvreuvw sylib nfv cbvriotavw riotaprop simprd simprr
      adantrr adantrl ensymd sdomentr ensdomtr expr simpll omsson sstrdi simpld
      syl2anc sseldd onsdominel 3expia riotabidv simprl fvmptd3 eleq12d sylibrd
      3syld breq2 epel fvex epeli 3imtr4g ralrimivva soisoi syl22anc ) BHUAZBUC
      IUDZJZHKUEZBKUFZHBAUGZFLZGLZKMZXOAUHZXPAUHZKMZUSZGHUBFHUBHBKKAUIXLXKHUJHK
      UKXLULHUMHKUNUOZUPXIXMXJXIHKUFZXMXLYCYBHKUQURBHKUTVAVBXKHBAVCXNABCDEVDHBA
      VENXKYAFGHHXKXOHIZXPHIZJZJZXOXPIZXRXSIZXQXTYGYHDLZBOZXOPMZDBVFZYKXPPMZDBV
      FZIZYIYGYHXOXPVGMZYMBOZYOBOZVGMZYPYGYHYQYFYHYQVKXKXOXPVHVIVJXKYFYQYTXKYFY
      QJJZYRXOPMZXOYSVGMZYTXKYFUUBYQYGYMBIZUUBYGCLZBOZXOPMZCBQZUUDUUBJYGYLDBQZU
      UHXKYDUUIYEBFDVLWAYLUUGDCBYJUUERZYKUUFXOPYJUUEBVMZSZVNVOUUGUUBCBYMUUBCVPY
      LUUGDCBUULVQUUEYMRUUFYRXOPUUEYMBVMSVRNZVSWAUUAYQXPYSPMZUUCXKYFYQVTXKYFUUN
      YQYGYSXPYGYOBIZYSXPPMZYGUUFXPPMZCBQZUUOUUPJYGYNDBQZUURXKYEUUSYDBGDVLWBYNU
      UQDCBUUJYKUUFXPPUUKSZVNVOUUQUUPCBYOUUPCVPYNUUQDCBUUTVQUUEYORUUFYSXPPUUEYO
      BVMSVRNZVSWCWAXOXPYSWDWKYRXOYSWEWKWFYGYMTIZYOTIZYTYPUSYGBTYMYGBHTXIXJYFWG
      WHWIZYGUUDUUBUUMWJZWLYGBTYOUVDYGUUOUUPUVAWJZWLUVBUVCYTYPYMYOBWMWNWKWTYGXR
      YMXSYOYGCXOYKUUEPMZDBVFZYMHABEUUEXORUVGYLDBUUEXOYKPXAWOXKYDYEWPUVEWQYGCXP
      UVHYOHABEUUEXPRUVGYNDBUUEXPYKPXAWOXKYDYEVTUVFWQWRWSGXOXBXRXSXPAXCXDXEXFFG
      HBKKAXGXH $.
  $}

  ${
    $d a b f g x A $.  $d a b f g x B $.
    isfin3ds.f $e |- F = { g | A. a e. ( ~P g ^m _om )
     ( A. b e. _om ( a ` suc b ) C_ ( a ` b ) -> |^| ran a e. ran a ) } $.
    $( Property of a III-finite set (descending sequence version).
       (Contributed by Mario Carneiro, 16-May-2015.) $)
    isfin3ds $p |- ( A e. V -> ( A e. F <-> A. f e. ( ~P A ^m _om )
      ( A. x e. _om ( f ` suc x ) C_ ( f ` x ) -> |^| ran f e. ran f ) ) ) $=
      ( cv csuc cfv wss com wral crn cint wcel cmap wceq wi cpw co suceq fveq2d
      fveq2 sseq12d cbvralvw fveq1 ralbidv syl5bb inteqd eleq12d imbi12d oveq1d
      rneq pweq raleqdv elab2g ) HJZKZGJZLZUTVBLZMZHNOZVBPZQZVGRZUAZGDJZUBZNSUC
      ZOZAJZKZCJZLZVOVQLZMZANOZVQPZQZWBRZUAZCBUBZNSUCZOZDBEFVNWECVMOVKBTZWHVJWE
      GCVMVBVQTZVFWAVIWDVFVPVBLZVOVBLZMZANOWJWAVEWMHANUTVOTZVCWKVDWLWNVAVPVBUTV
      OUDUEUTVOVBUFUGUHWJWMVTANWJWKVRWLVSVPVBVQUIVOVBVQUIUGUJUKWJVHWCVGWBWJVGWB
      VBVQUPZULWOUMUNUHWIWECVMWGWIVLWFNSVKBUQUOURUKIUS $.

    $( A subset of a III-finite set is III-finite.  (Contributed by Stefan
       O'Rear, 4-Nov-2014.) $)
    ssfin3ds $p |- ( ( A e. F /\ B C_ A ) -> B e. F ) $=
      ( vx vf wcel wss cv cfv com wral cpw cmap co cvv isfin3ds wa csuc cint wi
      crn pwexg simpr sspwd mapss syl2an2r ibi adantr ssralv sylc wb ancoms syl
      ssexg mpbird ) ADJZBAKZUAZBDJZHLZUBILZMVDVEMKHNOVEUEZUCVFJUDZIBPZNQRZOZVB
      VIAPZNQRZKZVGIVLOZVJUTVKSJVAVHVKKVMADUFVBBAUTVAUGUHVHVKNSUIUJUTVNVAUTVNHA
      ICDDEFGTUKULVGIVIVLUMUNVBBSJZVCVJUOVAUTVOBADURUPHBICDSEFGTUQUS $.
  $}

  ${
    $d c g i t u v x z $.  $d a b i u A $.  $d a b B $.  $d a t F $.  $d a V $.
    $d a b w x z P $.  $d a b i u v R $.  $d a b c i u v z U $.  $d a b f Z $.
    $d a b f g t x G $.
    fin23lem.a $e |- U = seqom ( ( i e. _om , u e. _V |-> if ( ( ( t ` i ) i^i
      u ) = (/) , u , ( ( t ` i ) i^i u ) ) ) , U. ran t ) $.
    $( The beginning of the proof that every II-finite set (every chain of
       subsets has a maximal element) is III-finite (has no denumerable
       collection of subsets).

       This first section is dedicated to the construction of ` U ` and its
       intersection.  First, the value of ` U ` at a successor.  (Contributed
       by Stefan O'Rear, 1-Nov-2014.) $)
    fin23lem12 $p |- ( A e. _om -> ( U ` suc A ) = if ( ( ( t ` A ) i^i
        ( U ` A ) ) = (/) , ( U ` A ) , ( ( t ` A ) i^i ( U ` A ) ) ) ) $=
      ( com wcel csuc cfv cvv cv cin c0 wceq cif cmpo co crn eqeq1d cuni ineq1d
      seqomsuc fvex fveq2 ifbieq2d ineq2 ifbieq12d eqid inex2 ovmpo mpan2 eqtrd
      id ifex ) CGHZCIDJCCDJZEAGKELZBLZJZALZMZNOZVAVBPZQZRZCUSJZUQMZNOZUQVHPZCV
      EDUSSUAFUCUPUQKHVFVJOCDUDZEACUQGKVDVJVEVGVAMZNOZVAVLPURCOZVCVMVBVLVAVNVBV
      LNVNUTVGVAURCUSUEUBZTVOUFVAUQOZVMVIVAVLUQVHVPVLVHNVAUQVGUGZTVPUNVQUHVEUIV
      IUQVHVKUQVGVKUJUOUKULUM $.

    $( Lemma for ~ fin23 .  Each step of ` U ` is a decrease.  (Contributed by
       Stefan O'Rear, 1-Nov-2014.) $)
    fin23lem13 $p |- ( A e. _om -> ( U ` suc A ) C_ ( U ` A ) ) $=
      ( com wcel csuc cfv cv cin c0 wceq cif fin23lem12 wss sseq1 ssid inss2
      keephyp eqsstrdi ) CGHCIDJCBKJZCDJZLZMNZUDUEOZUDABCDEFPUFUDUDQUEUDQUGUDQU
      DUEUDUGUDRUEUGUDRUDSUCUDTUAUB $.

    $( Lemma for ~ fin23 . ` U ` will never evolve to an empty set if it did
       not start with one.  (Contributed by Stefan O'Rear, 1-Nov-2014.) $)
    fin23lem14 $p
                |- ( ( A e. _om /\ U. ran t =/= (/) ) -> ( U ` A ) =/= (/) ) $=
  ( va vb com cv c0 wne cfv wi wceq fveq2 neeq1d imbi2d eqnetrd adantr wcel crn
  cuni csuc weq cvv vex rnex uniex cin cif cmpo seqom0g id wa fin23lem12 iftrue
  mp1i simprr wn iffalse neqne pm2.61ian ex imim2d finds imp ) CIUABJZUBZUCZKLZ
  CDMZKLZVKGJZDMZKLZNVKKDMZKLZNVKHJZDMZKLZNVKVSUDZDMZKLZNVKVMNGHCVNKOZVPVRVKWEV
  OVQKVNKDPQRGHUEZVPWAVKWFVOVTKVNVSDPQRVNWBOZVPWDVKWGVOWCKVNWBDPQRVNCOZVPVMVKWH
  VOVLKVNCDPQRVKVQVJKVJUFUAVQVJOVKVIVHBUGUHUIEAIUFEJVHMAJZUJZKOWIWJUKULDVJUFFUM
  URVKUNSVSIUAZWAWDVKWKWAWDWKWAUOZWCVSVHMVTUJZKOZVTWMUKZKWKWCWOOWAABVSDEFUPTWNW
  LWOKLWNWLUOWOVTKWNWOVTOWLWNVTWMUQTWNWKWAUSSWNUTZWLUOWOWMKWPWOWMOWLWNVTWMVATWP
  WMKLWLWMKVBTSVCSVDVEVFVG $.

    $( Lemma for ~ fin23 . ` U ` is a monotone function.  (Contributed by
       Stefan O'Rear, 1-Nov-2014.) $)
    fin23lem15 $p |- ( ( ( A e. _om /\ B e. _om ) /\ B C_ A ) ->
        ( U ` A ) C_ ( U ` B ) ) $=
      ( vb va cv cfv wss csuc wceq fveq2 sseq1d weq com wcel wa wi ad2antrr syl
      ssidd fin23lem13 sstr2 findsg ) HJZEKZDEKZLUJUJLIJZEKZUJLZUKMZEKZUJLZCEKZ
      UJLHICDUHDNUIUJUJUHDEOPHIQUIULUJUHUKEOPUHUNNUIUOUJUHUNEOPUHCNUIUQUJUHCEOP
      DRSZUJUDUKRSZURTDUKLZTUOULLZUMUPUAUSVAURUTABUKEFGUEUBUOULUJUFUCUG $.

    $( Lemma for ~ fin23 . ` U ` ranges over the original set; in particular
       ` ran U ` is a set, although we do not assume here that ` U ` is.
       (Contributed by Stefan O'Rear, 1-Nov-2014.) $)
    fin23lem16 $p |- U. ran U = U. ran t $=
      ( va vb crn cuni cv wss wcel cfv wceq com cvv c0 ax-mp peano1 mpan2 wb wa
      unissb wrex wfn cin cif cmpo fnseqom fvelrnb 0ss fin23lem15 uniex seqom0g
      vex rnex sseqtrdi sseq1 syl5ibcom rexlimiv sylbi mprgbir fnfvelrn elssuni
      mp2an eqeltrri eqssi ) CHZIZBJZHZIZVIVLKFJZVLKZFVHFVHVLUCVMVHLZGJZCMZVMNZ
      GOUDZVNCOUEZVOVSUADAOPDJVJMAJZUFZQNWAWBUGUHZCVLEUIZGOVMCUJRVRVNGOVPOLZVQV
      LKVRVNWEVQQCMZVLWEQOLZVQWFKZSWEWGUBQVPKWHVPUKABVPQCDEULTTVLPLWFVLNVKVJBUO
      UPUMWCCVLPEUNRZUQVQVMVLURUSUTVAVBVLVHLVLVIKWFVLVHWIVTWGWFVHLWDSOQCVCVEVFV
      LVHVDRVG $.

    $( Lemma for ~ fin23 .  The first set in ` U ` to see an input set is
       either contained in it or disjoint from it.  (Contributed by Stefan
       O'Rear, 1-Nov-2014.) $)
    fin23lem19 $p |- ( A e. _om -> ( ( U ` suc A ) C_ ( t ` A ) \/
      ( ( U ` suc A ) i^i ( t ` A ) ) = (/) ) ) $=
      ( com wcel csuc cfv cv cin c0 wceq wss wa wn wo cif fin23lem12 eqif sylib
      incom ineq2 eqeq1d biimparc eqtrid inss1 mpbiri adantl orim12i syl orcomd
      sseq1 ) CGHZCIDJZCBKJZLZMNZUPUQOZUOUQCDJZLZMNZUPVANZPZVCQZUPVBNZPZRZUSUTR
      UOUPVCVAVBSNVIABCDEFTVCUPVAVBUAUBVEUSVHUTVEURUQUPLZMUPUQUCVDVJMNVCVDVJVBM
      UPVAUQUDUEUFUGVGUTVFVGUTVBUQOUQVAUHUPVBUQUNUIUJUKULUM $.

    $( Lemma for ~ fin23 . ` X ` is either contained in or disjoint from all
       input sets.  (Contributed by Stefan O'Rear, 1-Nov-2014.) $)
    fin23lem20 $p |- ( A e. _om -> ( |^| ran U C_ ( t ` A ) \/ ( |^| ran U i^i
        ( t ` A ) ) = (/) ) ) $=
      ( com wcel crn cint csuc cfv wss cv cin c0 wceq wo wfn cvv fnseqom peano2
      cif cmpo cuni fnfvelrn sylancr intss1 syl fin23lem19 sstr2 ssdisj orim12d
      ex sylc ) CGHZDIZJZCKZDLZMZUTCBNZLZMZUTVCOPQZRURVCMZURVCOPQZRUPUTUQHZVAUP
      DGSUSGHVHEAGTENVBLANZOZPQVIVJUCUDDVBIUEFUACUBGUSDUFUGUTUQUHUIABCDEFUJVAVD
      VFVEVGURUTVCUKVAVEVGURUTVCULUNUMUO $.

    fin23lem17.f $e |- F = { g | A. a e. ( ~P g ^m _om )
      ( A. x e. _om ( a ` suc x ) C_ ( a ` x ) -> |^| ran a e. ran a ) } $.
    $( Lemma for ~ fin23 .  By ?  Fin3DS ? , ` U ` achieves its minimum ( ` X `
       in the synopsis above, but we will not be assigning a symbol here).
       TODO:  Fix comment; math symbol Fin3DS does not exist.  (Contributed by
       Stefan O'Rear, 4-Nov-2014.)  (Revised by Mario Carneiro,
       17-May-2015.) $)
    fin23lem17 $p |- ( ( U. ran t e. F /\ t : _om -1-1-> V ) ->
        |^| ran U e. ran U ) $=
      ( vc vb cv crn wcel com cfv wss cvv cuni wf1 wa csuc wral cint fin23lem13
      rgen wi cpw cmap wceq fveq1 sseq12d ralbidv rneq eleq12d imbi12d isfin3ds
      co inteqd ibi adantr wf wfn cin c0 cif cmpo fnseqom dffn3 mpbi fin23lem16
      pwuni pweqi sseqtri fss mp2an wb vex rnex uniex pwex dmfex sylancr adantl
      f1f elmapg mpbiri rspcdva mpi ) CNZOZUAZGPZQHWLUBZUCZLNZUDZDRZWRDRZSZLQUE
      ZDOZUFZXDPZXBLQBCWRDFJUGUHWQWSMNZRZWRXGRZSZLQUEZXGOZUFZXLPZUIZXCXFUIMWNUJ
      ZQUKUTZDXGDULZXKXCXNXFXRXJXBLQXRXHWTXIXAWSXGDUMWRXGDUMUNUOXRXMXEXLXDXRXLX
      DXGDUPZVAXSUQURWOXOMXQUEZWPWOXTLWNMEGGIAKUSVBVCWQDXQPZQXPDVDZQXDDVDZXDXPS
      YBDQVEYCFBQTFNWLRBNZVFZVGULYDYEVHVIDWNJVJQDVKVLXDXDUAZUJXPXDVNYFWNBCDFJVM
      VOVPQXDXPDVQVRWQXPTPQTPZYAYBVSWNWMWLCVTZWAWBWCWPYGWOWPWLTPQHWLVDYGYHQHWLW
      GQHTWLWDWEWFXPQDTTWHWEWIWJWK $.

    $( Lemma for ~ fin23 . ` X ` is not empty.  We only need here that ` t `
       has at least one set in its range besides ` (/) ` ; the much stronger
       hypothesis here will serve as our induction hypothesis though.
       (Contributed by Stefan O'Rear, 1-Nov-2014.)  (Revised by Mario Carneiro,
       6-May-2015.) $)
    fin23lem21 $p |- ( ( U. ran t e. F /\ t : _om -1-1-> V ) ->
        |^| ran U =/= (/) ) $=
      ( cv wcel com wa c0 wne wceq cvv cfn crn cuni wf1 cint fin23lem17 wi wrex
      cfv wfn wb cin cif cmpo fnseqom fvelrnb ax-mp id csn cdif cen wbr wn wf1o
      vex f1f1orn f1oen3g sylancr ominf wss snfi ssfi mpan enfi syl5ibr syl5bir
      ssdif0 necon3bd mpisyl wex n0 eldifsn elssuni ssn0 sylan sylbi fin23lem14
      exlimiv syl syl2anr neeq1 syl5ibcom rexlimdva syl5bi adantl mpd ) CLZUAZU
      BZGMZNHWPUCZODUAZUDZXAMZXBPQZABCDEFGHIJKUEWTXCXDUFWSXCILZDUHZXBRZINUGZWTX
      DDNUIXCXHUJFBNSFLWPUHBLZUKZPRXIXJULUMDWRJUNINXBDUOUPWTXGXDINWTXENMZOXFPQZ
      XGXDXKXKWRPQZXLWTXKUQWTWQPURZUSZPQZXMWTNWQUTVAZNTMZVBXPWTWPSMNWQWPVCXQCVD
      NHWPVENWQWPSVFVGVHXQXRXOPXOPRWQXNVIZXQXRWQXNVPXSXRXQWQTMZXNTMXSXTPVJXNWQV
      KVLNWQVMVNVOVQVRXPXEXOMZIVSXMIXOVTYAXMIYAXEWQMZXEPQZOXMXEWQPWAYBXEWRVIYCX
      MXEWQWBXEWRWCWDWEWGWEWHBCXEDFJWFWIXFXBPWJWKWLWMWNWO $.

    fin23lem.b $e |- P = { v e. _om | |^| ran U C_ ( t ` v ) } $.
    fin23lem.c $e |- Q = ( w e. _om |-> ( iota_ x e. P ( x i^i P ) ~~ w ) ) $.
    fin23lem.d $e |- R = ( w e. _om |-> ( iota_ x e. ( _om \ P )
        ( x i^i ( _om \ P ) ) ~~ w ) ) $.
    fin23lem.e $e |- Z = if ( P e. Fin , ( t o. R ) ,
        ( ( z e. P |-> ( ( t ` z ) \ |^| ran U ) ) o. Q ) ) $.
    $( Lemma for ~ fin23 .  The residual is also one-to-one.  This preserves
       the induction invariant.  (Contributed by Stefan O'Rear, 2-Nov-2014.) $)
    fin23lem28 $p |- ( t : _om -1-1-> _V -> Z : _om -1-1-> _V ) $=
      ( vb com cvv cv wf1 cfn wcel ccom wceq wa cfv crn cint cdif cmpt cif eqif
      wn wo mpbi wf1o wss difss ominf ssrab3 undif unfi eqeltrrid ex fin23lem22
      cun mtoi sylancr adantl f1of1 f1ss mpan2 3syl f1co syldan syl5ibrcom impr
      f1eq1 wf weq wi wral fvex difexi rgenw eqid fmpt a1i fveq2 fvmpt ad2antrl
      difeq1d ad2antll eqeq12d uneq2 sseq2d elrab2 simprbi sylib syl5ib anim12i
      wb sseli f1fveq sylan2 sylibd sylbid ralrimivva dff13 sylanbrc syl syl2an
      mpan jaodan ) UCUDFUEZUFZGUGUHZNYAIUIZUJZUKZYCUSZNBGBUEZYAULZJUMUNZUOZUPZ
      HUIZUJZUKZUTZUCUDNUFZNYCYDYMUQUJYPUAYCNYDYMURVAYBYFYQYOYBYCYEYQYBYCUKZYQY
      EUCUDYDUFZYBYCUCUCIUFZYSYRUCUCGUOZIVBZUCUUAIUFZYTYCUUBYBYCUUAUCVCZUUAUGUH
      ZUSUUBUCGVDZYCUUEUCUGUHZVEYCUUEUUGYCUUEUKUCGUUAVLZUGGUCVCZUUHUCUJYJDUEZYA
      ULZVCZDUCGRVFZGUCVGVAGUUAVHVIVJVMIUUACATVKVNVOUCUUAIVPUUCUUDYTUUFUCUUAUCI
      VQVRVSUCUCUDYAIVTWAUCUDNYDWDWBWCYBYGYNYQYBYGUKYQYNUCUDYMUFZYBGUDYLUFZUCGH
      UFZUUNYGYBGUDYLWEZOUEZYLULZUBUEZYLULZUJZOUBWFZWGZUBGWHOGWHUUOUUQYBYKUDUHZ
      BGWHUUQUVEBGYIYJYHYAWIWJWKBGUDYKYLYLWLZWMVAWNYBUVDOUBGGYBUURGUHZUUTGUHZUK
      ZUKZUVBUURYAULZYJUOZUUTYAULZYJUOZUJZUVCUVJUUSUVLUVAUVNUVGUUSUVLUJYBUVHBUU
      RYKUVLGYLBOWFYIUVKYJYHUURYAWOWRUVFUVKYJUURYAWIWJWPWQUVHUVAUVNUJYBUVGBUUTY
      KUVNGYLBUBWFYIUVMYJYHUUTYAWOWRUVFUVMYJUUTYAWIWJWPWSWTUVJUVOUVKUVMUJZUVCUV
      OYJUVLVLZYJUVNVLZUJUVJUVPUVLUVNYJXAUVJUVQUVKUVRUVMUVJYJUVKVCZUVQUVKUJUVGU
      VSYBUVHUVGUURUCUHZUVSUULUVSDUURUCGDOWFUUKUVKYJUUJUURYAWOXBRXCXDWQYJUVKVGX
      EUVJYJUVMVCZUVRUVMUJUVHUWAYBUVGUVHUUTUCUHZUWAUULUWADUUTUCGDUBWFUUKUVMYJUU
      JUUTYAWOXBRXCXDWSYJUVMVGXEWTXFUVIYBUVTUWBUKUVPUVCXHUVGUVTUVHUWBGUCUURUUMX
      IGUCUUTUUMXIXGUCUDUURUUTYAXJXKXLXMXNOUBGUDYLXOXPUUIYGUUPUUMUUIYGUKUCGHVBU
      UPHGCASVKUCGHVPXQXSUCGUDYLHVTXRUCUDNYMWDWBWCXTVR $.

    $( Lemma for ~ fin23 .  The residual is built from the same elements as the
       previous sequence.  (Contributed by Stefan O'Rear, 2-Nov-2014.) $)
    fin23lem29 $p |- U. ran Z C_ U. ran t $=
      ( cfn wcel cv ccom cfv crn cint cdif cmpt cif wceq wa wn wo cuni wss eqif
      biimpi rneq unieqd rncoss unissi eqsstrdi adantl unissb wrex cab abid a1i
      fvssunirn ssdifssd sseq1 syl5ibrcom sylbi eqid rnmpt eleq2s mprgbir sstri
      rexlimiv jaoi mp2b ) NGUBUCZFUDZIUEZBGBUDZWEUFZJUGUHZUIZUJZHUEZUKULZWDNWF
      ULZUMZWDUNZNWLULZUMZUOZNUGZUPZWEUGZUPZUQZUAWMWSWDNWFWLURUSWOXDWRWNXDWDWNX
      AWFUGZUPXCWNWTXENWFUTVAXEXBWEIVBVCVDVEWQXDWPWQXAWLUGZUPZXCWQWTXFNWLUTVAXG
      WKUGZUPZXCXFXHWKHVBVCXIXCUQOUDZXCUQZOXHOXHXCVFXKXJXJWJULZBGVGZOVHZXHXJXNU
      CXMXKXMOVIXLXKBGWGGUCZXKXLWJXCUQXOWHXCWIWHXCUQXOWEWGVKVJVLXJWJXCVMVNWAVOB
      OGWJWKWKVPVQVRVSVTVDVEWBWC $.

    $( Lemma for ~ fin23 .  The residual is disjoint from the common set.
       (Contributed by Stefan O'Rear, 2-Nov-2014.) $)
    fin23lem30 $p |- ( Fun t -> ( U. ran Z i^i |^| ran U ) = (/) ) $=
      ( vb cfn wcel cv ccom cfv crn cint cdif cmpt cif wceq wa wn wfun cuni cin
      wo c0 wi eqif biimpi wral cdm wrex simpr com cen wbr crio funmpt2 sylancl
      wb funco elunirn syl dmcoss sseli fvco mpan adantl eleq2d incom crab wf1o
      wss wf difss ominf cun ssrab3 undif mpbi eqeltrrid ex ad2antrr fin23lem22
      unfi mtoi sylancr f1of fdmd eleqtrd ffvelrnd eldifbd eleq2i eldifad fveq2
      sylnib sseq2d elrab3 mtbid fin23lem20 orel1 sylc eqtrid disj sylib sylbid
      rsp syl5 rexlimdv ralrimiv sylibr rneq unieqd ineq1d eqeq1d impcom rncoss
      syl5ibr expd unissi cab wex eluniab eleq2 eldifn syl6bi rexlimivw exlimiv
      sylbi eqid rnmpt unieqi eleq2s mprgbir ssdisj mp2an eqtrdi a1d jaoi mp2b
      ) NGUCUDZFUEZIUFZBGBUEUUPUGZJUHUIZUJZUKZHUFZULUMZUUONUUQUMZUNZUUOUOZNUVBU
      MZUNZUSZUUPUPZNUHZUQZUUSURZUTUMZVAZUAUVCUVIUUONUUQUVBVBVCUVEUVOUVHUVDUUOU
      VOUVDUUOUVJUVNUUOUVJUNZUVNUVDUUQUHZUQZUUSURZUTUMZUVPOUEZUUSUDUOZOUVRVDUVT
      UVPUWBOUVRUVPUWAUVRUDZUWAUBUEZUUQUGZUDZUBUUQVEZVFZUWBUVPUUQUPZUWCUWHVNUVP
      UVJIUPZUWIUUOUVJVGCVHAUEVHGUJZURCUEVIVJAUWKVKITVLZUUPIVOVMUBUWAUUQVPVQUVP
      UWFUWBUBUWGUWDUWGUDUWDIVEZUDZUVPUWFUWBVAZUWGUWMUWDUUPIVRVSUVPUWNUWOUVPUWN
      UNZUWFUWAUWDIUGZUUPUGZUDZUWBUWPUWEUWRUWAUWNUWEUWRUMZUVPUWJUWNUWTUWLUWDUUP
      IVTWAWBWCUWPUWBOUWRVDZUWSUWBVAUWPUWRUUSURZUTUMUXAUWPUXBUUSUWRURZUTUWRUUSW
      DUWPUUSUWRWGZUOUXDUXCUTUMZUSZUXEUWPUWQUUSDUEZUUPUGZWGZDVHWEZUDZUXDUWPUWQG
      UDUXKUWPUWQVHGUWPVHUWKUWDIUWPVHUWKIWFZVHUWKIWHUWPUWKVHWGUWKUCUDZUOZUXLVHG
      WIUUOUXNUVJUWNUUOUXMVHUCUDZWJUUOUXMUXOUUOUXMUNVHGUWKWKZUCGVHWGUXPVHUMUXID
      VHGRWLGVHWMWNGUWKWSWOWPWTWQIUWKCATWRXAVHUWKIXBVQZUWPUWDUWMVHUVPUWNVGUWPVH
      UWKIUXQXCXDXEZXFGUXJUWQRXGXJUWPUWQVHUDZUXKUXDVNUWPUWQVHGUXRXHZUXIUXDDUWQV
      HUXGUWQUMUXHUWRUUSUXGUWQUUPXIXKXLVQXMUWPUXSUXFUXTEFUWQJLPXNVQUXDUXEXOXPXQ
      OUWRUUSXRXSUWBOUWRYAVQXTWPYBYCXTYDOUVRUUSXRYEUVDUVMUVSUTUVDUVLUVRUUSUVDUV
      KUVQNUUQYFYGYHYIYLYMYJUVGUVOUVFUVGUVNUVJUVGUVMUVBUHZUQZUUSURZUTUVGUVLUYBU
      USUVGUVKUYANUVBYFYGYHUYBUVAUHZUQZWGUYEUUSURUTUMZUYCUTUMUYAUYDUVAHYKYNUYFU
      WBOUYEOUYEUUSXRUWBUWAUWDUUTUMZBGVFZUBYOZUQZUYEUWAUYJUDUWAUWDUDZUYHUNZUBYP
      UWBUYHUBUWAYQUYLUWBUBUYHUYKUWBUYGUYKUWBVABGUYGUYKUWAUUTUDUWBUWDUUTUWAYRUW
      AUURUUSYSYTUUAYJUUBUUCUYDUYIBUBGUUTUVAUVAUUDUUEUUFUUGUUHUYBUYEUUSUUIUUJUU
      KUULWBUUMUUN $.

    $( Lemma for ~ fin23 .  The residual is has a strictly smaller range than
       the previous sequence.  This will be iterated to build an unbounded
       chain.  (Contributed by Stefan O'Rear, 2-Nov-2014.) $)
    fin23lem31 $p |- ( ( t : _om -1-1-> V /\ G e. F /\
        U. ran t C_ G ) -> U. ran Z C. U. ran t ) $=
      ( com cv wf1 wcel crn cuni wss wpss wa ssfin3ds wne fin23lem29 a1i c0 wex
      cint fin23lem21 ancoms n0 sylib cdm wfn wceq cvv cfv cin cif cmpo fnseqom
      fndm ax-mp peano1 ne0ii eqnetri dm0rn0 necon3bii mpbi intssuni fin23lem16
      wn sseqtri sseli wral wfun f1fun adantr fin23lem30 syl disj rsp con2d imp
      wi nelne1 syl2an2 necomd exlimddv df-pss sylanbrc sylan2 3impb ) UDOFUEZU
      FZNMUGZXEUHUIZNUJZPUHUIZXHUKZXGXIULXFXHMUGZXKNXHKMQASUMXFXLULZXJXHUJZXJXH
      UNZXKXNXMABCDEFGHIJKLMPQRSTUAUBUCUOUPXMQUEZJUHZUSZUGZXOQXMXRUQUNZXSQURXLX
      FXTAEFJKLMOQRSUTVAQXRVBVCXMXSULXHXJXSXPXHUGXMXPXJUGZWCZXHXJUNXRXHXPXRXQUI
      ZXHXQUQUNZXRYCUJJVDZUQUNYDYEUDUQJUDVEYEUDVFLEUDVGLUEXEVHEUEZVIZUQVFYFYGVJ
      VKJXHRVLUDJVMVNUQUDVOVPVQYEUQXQUQJVRVSVTXQWAVNEFJLRWBWDWEXMXSYBXMYAXSXMXS
      WCZQXJWFZYAYHWPXMXJXRVIUQVFZYIXMXEWGZYJXFYKXLUDOXEWHWIABCDEFGHIJKLMPQRSTU
      AUBUCWJWKQXJXRWLVCYHQXJWMWKWNWOXPXHXJWQWRWSWTXJXHXAXBXCXD $.

    $( Lemma for ~ fin23 .  Wrap the previous construction into a function to
       hide the hypotheses.  (Contributed by Stefan O'Rear, 2-Nov-2014.) $)
    fin23lem32 $p |- ( G e. F -> E. f A. b
        ( ( b : _om -1-1-> _V /\ U. ran b C_ G ) ->
        ( ( f ` b ) : _om -1-1-> _V /\ U. ran ( f ` b ) C. U. ran b ) ) ) $=
      ( wcel com cvv cv wf1 crn cuni wss wa cfv wpss wi wal wex cmap fin23lem28
      cpw co cmpt ad2antrl simprl simpl simprr fin23lem31 syl3anc wceq wfn f1fn
      wb dffn3 sylib sspwuni biimpri ad2antll fssd pwexg adantr vex f1f sylancr
      wf dmfex elmapd mpbird fexd eqid fvmpt2 syl2anc f1eq1 rneq unieqd psseq1d
      syl anbi12d mpbir2and alrimiv mptex nfmpt1 nfeq2 fveq1 rneqd imbi2d albid
      ex ovex spcev sseq1d fveq2 psseq12d imbi12d cbvalvw exbii sylibr ) ONUEZU
      FUGFUHZUIZXSUJZUKZOULZUMZUFUGXSKUHZUNZUIZYFUJZUKZYBUOZUMZUPZFUQZKURZUFUGR
      UHZUIZYOUJZUKZOULZUMZUFUGYOYEUNZUIZUUAUJZUKZYRUOZUMZUPZRUQZKURXRYDUFUGXSF
      OVAZUFUSVBZPVCZUNZUIZUULUJZUKZYBUOZUMZUPZFUQZYNXRUURFXRYDUUQXRYDUMZUUQUFU
      GPUIZPUJZUKZYBUOZXTUVAXRYCABCDEFGHIJLMNPQSTUAUBUCUDUTVDZUUTXTXRYCUVDXRXTY
      CVEXRYDVFXRXTYCVGABCDEFGHIJLMNOUGPQSTUAUBUCUDVHVIUUTUULPVJZUUQUVAUVDUMVMU
      UTXSUUJUEZPUGUEUVFUUTUVGUFUUIXSWEUUTUFYAUUIXSXTUFYAXSWEZXRYCXTXSUFVKUVHUF
      UGXSVLUFXSVNVOVDYCYAUUIULZXRXTUVIYCYAOVPVQVRVSUUTUUIUFXSUGUGXRUUIUGUEYDON
      VTWAXTUFUGUEZXRYCXTXSUGUEUFUGXSWEUVJFWBUFUGXSWCUFUGUGXSWFWDVDZWGWHUUTUFUG
      UGPUUTUVAUFUGPWEUVEUFUGPWCWQUVKWIFUUJPUGUUKUUKWJWKWLUVFUUMUVAUUPUVDUFUGUU
      LPWMUVFUUOUVCYBUVFUUNUVBUULPWNWOWPWRWQWSXHWTYMUUSKUUKFUUJPUUIUFUSXIXAYEUU
      KVJZYLUURFFYEUUKFUUJPXBXCUVLYKUUQYDUVLYGUUMYJUUPUVLYFUULVJYGUUMVMXSYEUUKX
      DZUFUGYFUULWMWQUVLYIUUOYBUVLYHUUNUVLYFUULUVMXEWOWPWRXFXGXJWQUUHYMKUUGYLRF
      YOXSVJZYTYDUUFYKUVNYPXTYSYCUFUGYOXSWMUVNYRYBOUVNYQYAYOXSWNWOZXKWRUVNUUBYG
      UUEYJUVNUUAYFVJUUBYGVMYOXSYEXLZUFUGUUAYFWMWQUVNUUDYIYRYBUVNUUCYHUVNUUAYFU
      VPXEWOUVOXMWRXNXOXPXQ $.
  $}

  ${
    $d a b c d e f g i j k l x y $.  $d a j A $.  $d a b c d e f g h i j x G $.
    $d a b B $.  $d a c e F $.  $d a b c d e j ph $.  $d a b c d e j Y $.
    fin23lem33.f $e |- F = { g | A. a e. ( ~P g ^m _om )
      ( A. x e. _om ( a ` suc x ) C_ ( a ` x ) -> |^| ran a e. ran a ) } $.
    $( Lemma for ~ fin23 .  Discharge hypotheses.  (Contributed by Stefan
       O'Rear, 2-Nov-2014.) $)
    fin23lem33 $p |- ( G e. F -> E. f A. b
        ( ( b : _om -1-1-> _V /\ U. ran b C_ G ) ->
        ( ( f ` b ) : _om -1-1-> _V /\ U. ran ( f ` b ) C. U. ran b ) ) ) $=
      ( vi vy vd vc com cv cfv cin c0 wceq cif eqid ve vj vk vl cvv cmpo cseqom
      crn cuni cint wss crab cen wbr crio cmpt cdif cfn wcel ccom ineq1d eqeq1d
      fveq2 ifbieq2d ineq2 ifbieq12d cbvmpov seqomeq12 mp2an cbvrabv fin23lem32
      id sseq2d ) AICJKUAUBUCMUEUBNZUANZOZUCNZPZQRZVQVRSZUFZVOUHUIZUGZUHUJZUDNZ
      VOOZUKZUDMULZCMANZWHPCNZUMUNAWHUOUPZCMWIMWHUQZPWJUMUNAWLUOUPZWCBCLDEWHURU
      SVOWMUTIWHINVOOWDUQUPWKUTSZFGWALKMUELNZVOOZKNZPZQRZWQWRSZUFZRWBWBRWCXAWBU
      GRUBUCLKMUEVTWTWPVQPZQRZVQXBSVNWORZVSXCVRXBVQXDVRXBQXDVPWPVQVNWOVOVCVAZVB
      XEVDVQWQRZXCWSVQXBWQWRXFXBWRQVQWQWPVEZVBXFVLXGVFVGWBTWAXAWBWBVHVIHWGWDJNZ
      VOOZUKUDJMWEXHRWFXIWDWEXHVOVCVMVJWKTWMTWNTVK $.

    fin23lem.f $e |- ( ph -> h : _om -1-1-> _V ) $.
    fin23lem.g $e |- ( ph -> U. ran h C_ G ) $.
    fin23lem.h $e |- ( ph -> A. j ( ( j : _om -1-1-> _V /\ U. ran j C_ G ) ->
        ( ( i ` j ) : _om -1-1-> _V /\ U. ran ( i ` j ) C. U. ran j ) ) ) $.
    fin23lem.i $e |- Y = ( rec ( i , h ) |` _om ) $.
    $( Lemma for ~ fin23 .  Establish induction invariants on ` Y ` which
       parameterizes our contradictory chain of subsets.  In this section,
       ` h ` is the hypothetically assumed family of subsets, ` g ` is the
       ground set, and ` i ` is the induction function constructed in the
       previous section.  (Contributed by Stefan O'Rear, 2-Nov-2014.) $)
    fin23lem34 $p |- ( ( ph /\ A e. _om ) -> ( ( Y ` A ) : _om -1-1-> _V /\
        U. ran ( Y ` A ) C_ G ) ) $=
      ( com cvv cfv wceq vb wcel wf1 crn cuni wss wa cv wi c0 csuc wb fveq2 syl
      f1eq1 rneqd unieqd sseq1d anbi12d imbi2d crdg cres fveq1i elv eqtri ax-mp
      fr0g rneqi unieqi sseq1i anbi12i sylanbrc w3a wpss wal fvex rneq psseq12d
      imbi12d spcv imp pssss sstr sylan expcom anim2d ad2antll mpd frsuc fveq2i
      3adant1 3eqtr4g 3ad2ant1 mpbird 3exp a2d finds impcom ) CQUBAQRCJSZUCZWSU
      DZUEZIUFZUGZAQRKUHZJSZUCZXFUDZUEZIUFZUGZUIAQRUJJSZUCZXLUDZUEZIUFZUGZUIAQR
      UAUHZJSZUCZXSUDZUEZIUFZUGZUIAQRXRUKZJSZUCZYFUDZUEZIUFZUGZUIAXDUIKUACXEUJT
      ZXKXQAYLXGXMXJXPYLXFXLTXGXMULXEUJJUMZQRXFXLUOUNYLXIXOIYLXHXNYLXFXLYMUPUQU
      RUSUTXEXRTZXKYDAYNXGXTXJYCYNXFXSTXGXTULXEXRJUMZQRXFXSUOUNYNXIYBIYNXHYAYNX
      FXSYOUPUQURUSUTXEYETZXKYKAYPXGYGXJYJYPXFYFTXGYGULXEYEJUMZQRXFYFUOUNYPXIYI
      IYPXHYHYPXFYFYQUPUQURUSUTXECTZXKXDAYRXGWTXJXCYRXFWSTXGWTULXECJUMZQRXFWSUO
      UNYRXIXBIYRXHXAYRXFWSYSUPUQURUSUTAQREUHZUCZYTUDZUEZIUFZXQMNXMUUAXPUUDXLYT
      TXMUUAULXLUJFUHZYTVAQVBZSZYTUJJUUFPVCUUGYTTEYTRUUEVGVDVEZQRXLYTUOVFXOUUCI
      XNUUBXLYTUUHVHVIVJVKVLXRQUBZAYDYKUUIAYDYKUUIAYDVMYKQRXSUUESZUCZUUJUDZUEZI
      UFZUGZAYDUUOUUIAYDUGUUKUUMYBVNZUGZUUOAYDUUQAQRGUHZUCZUURUDZUEZIUFZUGZQRUU
      RUUESZUCZUVDUDZUEZUVAVNZUGZUIZGVOYDUUQUIZOUVJUVKGXSXRJVPUURXSTZUVCYDUVIUU
      QUVLUUSXTUVBYCQRUURXSUOUVLUVAYBIUVLUUTYAUURXSVQUQZURUSUVLUVEUUKUVHUUPUVLU
      VDUUJTUVEUUKULUURXSUUEUMZQRUVDUUJUOUNUVLUVGUUMUVAYBUVLUVFUULUVLUVDUUJUVNU
      PUQUVMVRUSVSVTUNWAYCUUQUUOUIAXTYCUUPUUNUUKUUPYCUUNUUPUUMYBUFYCUUNUUMYBWBU
      UMYBIWCWDWEWFWGWHWKUUIAYKUUOULZYDUUIYFUUJTZUVOUUIYEUUFSXRUUFSZUUESYFUUJYT
      XRUUEWIYEJUUFPVCXSUVQUUEXRJUUFPVCWJWLUVPYGUUKYJUUNQRYFUUJUOUVPYIUUMIUVPYH
      UULYFUUJVQUQURUSUNWMWNWOWPWQWR $.

    $( Lemma for ~ fin23 .  Strict order property of ` Y ` .  (Contributed by
       Stefan O'Rear, 2-Nov-2014.) $)
    fin23lem35 $p |- ( ( ph /\ A e. _om ) -> U. ran ( Y ` suc A ) C.
        U. ran ( Y ` A ) ) $=
      ( com wa cfv cvv wcel csuc crn cuni wpss wf1 wss fin23lem34 wal fvex wceq
      cv wi f1eq1 rneq unieqd sseq1d anbi12d wb fveq2 syl psseq12d imbi12d spcv
      rneqd adantr simprd crdg cres adantl fveq1i fveq2i 3eqtr4g psseq1d mpbird
      mpd frsuc ) ACQUAZRZCUBZJSZUCZUDZCJSZUCZUDZUEWDFULZSZUCZUDZWFUEZVSQTWHUFZ
      WKVSQTWDUFZWFIUGZRZWLWKRZABCDEFGHIJKLMNOPUHAWOWPUMZVRAQTGULZUFZWRUCZUDZIU
      GZRZQTWRWGSZUFZXDUCZUDZXAUEZRZUMZGUIWQOXJWQGWDCJUJWRWDUKZXCWOXIWPXKWSWMXB
      WNQTWRWDUNXKXAWFIXKWTWEWRWDUOUPZUQURXKXEWLXHWKXKXDWHUKXEWLUSWRWDWGUTZQTXD
      WHUNVAXKXGWJXAWFXKXFWIXKXDWHXMVEUPXLVBURVCVDVAVFVPVGVSWCWJWFVSWBWIVSWAWHV
      SVTWGEULZVHQVIZSZCXOSZWGSZWAWHVRXPXRUKAXNCWGVQVJVTJXOPVKWDXQWGCJXOPVKVLVM
      VEUPVNVO $.

    $( Lemma for ~ fin23 .  Weak order property of ` Y ` .  (Contributed by
       Stefan O'Rear, 2-Nov-2014.) $)
    fin23lem36 $p |- ( ( ( A e. _om /\ B e. _om ) /\ ( B C_ A /\ ph ) ) ->
        U. ran ( Y ` A ) C_ U. ran ( Y ` B ) ) $=
      ( wa wss wi vb com wcel cfv crn cuni csuc wceq fveq2 unieqd sseq1d imbi2d
      cv rneqd ssid 2a1i wpss simprr simpll fin23lem35 syl2anc pssssd sstr2 syl
      expr a2d findsg impr ) CUBUCDUBUCZRDCSACKUDZUEZUFZDKUDZUEZUFZSZALUMZKUDZU
      EZUFZVOSZTAVOVOSZTAUAUMZKUDZUEZUFZVOSZTAWCUGZKUDZUEZUFZVOSZTAVPTLUACDVQDU
      HZWAWBAWMVTVOVOWMVSVNWMVRVMVQDKUIUNUJUKULVQWCUHZWAWGAWNVTWFVOWNVSWEWNVRWD
      VQWCKUIUNUJUKULVQWHUHZWAWLAWOVTWKVOWOVSWJWOVRWIVQWHKUIUNUJUKULVQCUHZWAVPA
      WPVTVLVOWPVSVKWPVRVJVQCKUIUNUJUKULWBVIAVOUOUPWCUBUCZVIRZDWCSZRAWGWLWRWSAW
      GWLTZWRWSARZRZWKWFSWTXBWKWFXBAWQWKWFUQWRWSAURWQVIXAUSABWCEFGHIJKLMNOPQUTV
      AVBWKWFVOVCVDVEVFVGVH $.

    $( Lemma for ~ fin23 .  The contradictory chain has no minimum.
       (Contributed by Stefan O'Rear, 2-Nov-2014.)  (Revised by Mario Carneiro,
       17-May-2015.) $)
    fin23lem38 $p |- ( ph -> -. |^| ran ( b e. _om |->
          U. ran ( Y ` b ) ) e. ran ( b e. _om |-> U. ran ( Y ` b ) ) ) $=
      ( vd com wceq wcel cv cfv crn cuni cmpt cint wrex wa wpss csuc wss peano2
      wn eqid fveq2 rneqd unieqd rspceeqv mpan2 cvv wb fvex uniex elrnmpt ax-mp
      rnex sylibr adantl intss1 fin23lem35 sspsstrd dfpss2 simprbi cbvmptv nsyl
      syl nrexdv ibi ) AKRKUAZIUBZUCZUDZUEZUCZUFZQUAZIUBZUCZUDZSZQRUGZWEWDTZAWJ
      QRAWFRTZUHZWEWIUIZWJUMZWNWEWFUJZIUBZUCZUDZWIWNWTWDTZWEWTUKWMXAAWMWQRTZXAW
      FULXBWTWBSKRUGZXAXBWTWTSXCWTUNKWQRWBWTWTVSWQSZWAWSXDVTWRVSWQIUOUPUQURUSWT
      UTTXAXCVAWSWRWQIVBVFVCKRWBWTWCUTWCUNVDVEVGVPVHWTWDVIVPABWFCDEFGHIJLMNOPVJ
      VKWOWEWIUKWPWEWIVLVMVPVQWLWKQRWIWEWCWDKQRWBWIVSWFSZWAWHXEVTWGVSWFIUOUPUQV
      NVDVRVO $.

    $( Lemma for ~ fin23 .  Thus, we have that ` g ` could not have been in
       ` F ` after all.  (Contributed by Stefan O'Rear, 4-Nov-2014.) $)
    fin23lem39 $p |- ( ph -> -. G e. F ) $=
      ( vc wcel com cfv cvv ve vd cv crn cuni cmpt cint fin23lem38 wa csuc wral
      wss fin23lem35 pssssd wceq peano2 fveq2 rneqd unieqd eqid fvex rnex uniex
      wb fvmpt syl sseq12d adantl mpbird ralrimiva adantr wi cmap fveq1 ralbidv
      cpw co rneq inteqd eleq12d imbi12d isfin3ds ibi wf wf1 fin23lem34 adantlr
      simprd elpw2g ad2antlr fmpttd pwexg vex f1f dmfex sylancr syl2anr rspcdva
      elmapg mpd mtand ) AHGQZPRPUCZISZUDZUEZUFZUDZUGZXHQZABCDEFGHIJPKLMNOUHAXB
      UIZUAUCZUJZXGSZXLXGSZULZUARUKZXJAXQXBAXPUARAXLRQZUIZXPXMISZUDZUEZXLISZUDZ
      UEZULZXSYBYEABXLCDEFGHIJKLMNOUMUNXRXPYFVDAXRXNYBXOYEXRXMRQXNYBUOXLUPPXMXF
      YBRXGXCXMUOZXEYAYGXDXTXCXMIUQURUSXGUTZYAXTXMIVAVBVCVEVFPXLXFYERXGXCXLUOZX
      EYDYIXDYCXCXLIUQURUSYHYDYCXLIVAVBVCVEVGVHVIVJVKXKXMUBUCZSZXLYJSZULZUARUKZ
      YJUDZUGZYOQZVLZXQXJVLUBHVPZRVMVQZXGYJXGUOZYNXQYQXJUUAYMXPUARUUAYKXNYLXOXM
      YJXGVNXLYJXGVNVGVOUUAYPXIYOXHUUAYOXHYJXGVRZVSUUBVTWAXBYRUBYTUKZAXBUUCUAHU
      BCGGJBKWBWCVHXKXGYTQZRYSXGWDZXKPRXFYSXKXCRQZUIXFYSQZXFHULZAUUFUUHXBAUUFUI
      RTXDWEUUHABXCCDEFGHIJKLMNOWFWHWGXBUUGUUHVDAUUFXFHGWIWJVIWKXBYSTQRTQZUUDUU
      EVDAHGWLARTDUCZWEZUUILUUKUUJTQRTUUJWDUUIDWMRTUUJWNRTTUUJWOWPVFYSRXGTTWSWQ
      VIWRWTXA $.
  $}

  ${
    $d a b c d e f g x A $.  $d a b c e F $.
    fin23lem40.f $e |- F = { g | A. a e. ( ~P g ^m _om )
      ( A. x e. _om ( a ` suc x ) C_ ( a ` x ) -> |^| ran a e. ran a ) } $.
    $( Lemma for ~ fin23 . ` Fin2 ` sets satisfy the descending chain
       condition.  (Contributed by Stefan O'Rear, 3-Nov-2014.) $)
    fin23lem40 $p |- ( A e. Fin2 -> A e. F ) $=
      ( vb vf cfin2 wcel cv cfv wss com wral wa c0 wne crpss ad2antrl csuc cint
      crn wi cpw cmap co wf elmapi wor simpl frn cdm peano1 ne0i eqnetrd dm0rn0
      fdm mp1i necon3bii sylib ccnv wfn wbr wceq wpo ffn wpss sspss fvex brrpss
      wo brcnv bitri eqcom orbi12i sylbb2 ralimi ad2antll porpss cnvpo mpbi a1i
      sornom cnvso sylibr fin2i2 syl22anc expr sylan2 ralrimiva isfin3ds mpbird
      syl3anc ) BIJZBDJGKZUAZHKZLZWPWRLZMZGNOZWRUCZUBXCJZUDZHBUEZNUFUGZOWOXEHXG
      WRXGJWONXFWRUHZXEWRXFNUIWOXHXBXDWOXHXBPZPZWOXCXFMZXCQRZXCSUJZXDWOXIUKXHXK
      WOXBNXFWRULTXHXLWOXBXHWRUMZQRXLXHXNNQNXFWRURQNJNQRXHUNNQUOUSUPXNQXCQWRUQU
      TVATXJXCSVBZUJZXMXJWRNVCZWTWSXOVDZWTWSVEZVLZGNOZXCXOVFZXPXHXQWOXBNXFWRVGT
      XBYAWOXHXAXTGNXAWSWTVHZWSWTVEZVLXTWSWTVIXRYCXSYDXRWSWTSVDYCWTWSSWPWRVJZWQ
      WRVJVMWSWTYEVKVNWTWSVOVPVQVRVSYBXJXCSVFYBXCVTXCSWAWBWCXOWRGWDWNXCSWEWFBXC
      WGWHWIWJWKGBHCDIEAFWLWM $.

    $( Lemma for ~ fin23 .  A set which satisfies the descending sequence
       condition must be III-finite.  (Contributed by Stefan O'Rear,
       2-Nov-2014.) $)
    fin23lem41 $p |- ( A e. F -> A e. Fin3 ) $=
      ( vb vd vc ve wcel com cv wf1 wa cvv crn cuni wss syl cpw cfin4 cfin3 wbr
      cdom wn wex brdomi cfv wpss wi wal fin23lem33 adantl crdg cres f1ss mpan2
      ssv ad2antrr wf f1f frn uniss 3syl unipw sseqtrdi wceq rneq unieqd sseq1d
      f1eq1 anbi12d fveq2 rneqd psseq12d imbi12d cbvalvw biimpi eqid fin23lem39
      wb exlimddv pm2.01da exlimiv con2i pwexg isfin4-2 mpbird isfin3 sylibr )
      BDKZBUAZUBKZBUCKWLWNLWMUEUDZUFZWOWLWOLWMGMZNZGUGWLUFZLWMGUHWRWSGWRWLWRWLO
      ZLPHMZNZXAQZRZBSZOZLPXAIMZUIZNZXHQZRZXDUJZOZUKZHULZWSIWLXOIUGWRAICDBEHFUM
      UNWTXOOACGIJDBXGWQUOLUPZEFWRLPWQNZWLXOWRWMPSXQWMUSLWMPWQUQURUTWRWQQZRZBSW
      LXOWRXSWMRZBWRLWMWQVAXRWMSXSXTSLWMWQVBLWMWQVCXRWMVDVEBVFVGUTXOLPJMZNZYAQZ
      RZBSZOZLPYAXGUIZNZYGQZRZYDUJZOZUKZJULZWTXOYNXNYMHJXAYAVHZXFYFXMYLYOXBYBXE
      YELPXAYAVLYOXDYDBYOXCYCXAYAVIVJZVKVMYOXIYHXLYKYOXHYGVHXIYHWBXAYAXGVNZLPXH
      YGVLTYOXKYJXDYDYOXJYIYOXHYGYQVOVJYPVPVMVQVRVSUNXPVTWAWCWDWETWFWLWMPKWNWPW
      BBDWGWMPWHTWIBWJWK $.
  $}

  ${
    $d a b w x B $.  $d a b t G $.  $d a b x L $.  $d a b c s t u v w x y ph $.
    $d a b c d w x y A $.  $d a b c d w x y F $.  $d a b s t u v w x y S $.
    $d s t w x y J $.  $d a b s t x y K $.
    isf32lem.a $e |- ( ph -> F : _om --> ~P G ) $.
    isf32lem.b $e |- ( ph -> A. x e. _om ( F ` suc x ) C_ ( F ` x ) ) $.
    isf32lem.c $e |- ( ph -> -. |^| ran F e. ran F ) $.
    $( Lemma for ~ isfin3-2 .  Derive weak ordering property.  (Contributed by
       Stefan O'Rear, 5-Nov-2014.) $)
    isf32lem1 $p |- ( ( ( A e. _om /\ B e. _om ) /\ ( B C_ A /\ ph ) ) ->
        ( F ` A ) C_ ( F ` B ) ) $=
      ( com wcel wa wss cfv cv wi wceq fveq2 sseq1d imbi2d va vb csuc ssid 2a1i
      wral suceq fveq2d sseq12d rspcv syl5 ad2antrr sstr2 syl6 a2d findsg impr
      ) CJKDJKZLDCMACENZDENZMZAUAOZENZUTMZPAUTUTMZPAUBOZENZUTMZPAVFUCZENZUTMZPA
      VAPUAUBCDVBDQZVDVEAVLVCUTUTVBDERSTVBVFQZVDVHAVMVCVGUTVBVFERSTVBVIQZVDVKAV
      NVCVJUTVBVIERSTVBCQZVDVAAVOVCUSUTVBCERSTVEURAUTUDUEVFJKZURLDVFMZLZAVHVKVR
      AVJVGMZVHVKPVPAVSPURVQABOZUCZENZVTENZMZBJUFVPVSHWDVSBVFJVTVFQZWBVJWCVGWEW
      AVIEVTVFUGUHVTVFERUIUJUKULVJVGUTUMUNUOUPUQ $.

    $( Lemma for ~ isfin3-2 .  Non-minimum implies that there is always another
       decrease.  (Contributed by Stefan O'Rear, 5-Nov-2014.) $)
    isf32lem2 $p |- ( ( ph /\ A e. _om ) -> E. a e. _om ( A e. a /\
        ( F ` suc a ) C. ( F ` a ) ) ) $=
      ( vb com wcel wa cv cfv wceq wi wral wss fveq2 vc csuc wrex wpss crn cint
      vd adantr wfn cpw ffnd peano2 fnfvelrn syl2an intss1 syl fvelrnb ad2antrr
      wn simplrr ad3antlr simpr simplrl eqeq2d imbi2d eqid 2a1i cvv elex sucexb
      sylibr adantl sucssel imp eleq2w suceq fveq2d eqeq12d imbi12d rspcv com23
      wb mpd expcom syl6 a2d findsg impr syl22anc eqimss simplll isf32lem1 word
      eqtr3 nnord ad2antlr ad2antll ordtri2or2 syl2anc mpjaodan sseq2 syl5ibcom
      wo anassrs rexlimdva sylbid ralrimiv ssint eqssd eqeltrd sseq12d cbvralvw
      mtand rexnal sylib pm4.61 dfpss2 simplbi2 anim2d syl5bi ralimi rexim 3syl
      ) ACKLZMZCFNZLZYFUBZDOZYFDOZPZQZUSZFKUCZYGYIYJUDZMZFKUCZYEYLFKRZUSYNYEYRD
      UEZUFZYSLZAUUAUSYDIUHYEYRMZYTCUBZDOZYSUUBYTUUDUUBUUDYSLZYTUUDSYEUUEYRADKU
      IZUUCKLZUUEYDAKEUJDGUKZCULZKUUCDUMUNUHZUUDYSUOUPUUBUUDJNZSZJYSRUUDYTSUUBU
      ULJYSUUBUUKYSLZUANZDOZUUKPZUAKUCZUULAUUMUUQWBZYDYRAUUFUURUUHUAKUUKDUQUPUR
      UUBUUPUULUAKUUBUUNKLZMUUDUUOSZUUPUULYEYRUUSUUTYEYRUUSMZMZUUCUUNSZUUTUUNUU
      CSZUVBUVCMZUUDUUOPZUUTUVEUUSUUGUVCYRUVFYEYRUUSUVCUTYDUUGAUVAUVCUUIVAUVBUV
      CVBYEYRUUSUVCVCUUSUUGMUVCYRUVFYRUUDUUKDOZPZQYRUUDUUDPZQYRUUDUGNZDOZPZQYRU
      UDUVJUBZDOZPZQYRUVFQJUGUUNUUCUUKUUCPZUVHUVIYRUVPUVGUUDUUDUUKUUCDTVDVEUUKU
      VJPZUVHUVLYRUVQUVGUVKUUDUUKUVJDTVDVEUUKUVMPZUVHUVOYRUVRUVGUVNUUDUUKUVMDTV
      DVEUUKUUNPZUVHUVFYRUVSUVGUUOUUDUUKUUNDTVDVEUVIUUGYRUUDVFVGUVJKLZUUGMZUUCU
      VJSZMZYRUVLUVOUWCYRUVNUVKPZUVLUVOQUWCCUVJLZYRUWDQZUWAUWBUWEUWACVHLZUWBUWE
      QUUGUWGUVTUUGUUCVHLUWGUUCKVICVJVKVLCUVJVHVMUPVNUVTUWEUWFQUUGUWBUVTYRUWEUW
      DYLUWEUWDQFUVJKYFUVJPZYGUWEYKUWDFUGCVOUWHYIUVNYJUVKUWHYHUVMDYFUVJVPVQYFUV
      JDTVRVSVTWAURWCUVLUWDUVOUUDUVNUVKWNWDWEWFWGWHWIUUDUUOWJUPUVBUVDMUUGUUSUVD
      AUUTYDUUGAUVAUVDUUIVAYEYRUUSUVDUTUVBUVDVBAYDUVAUVDWKABUUCUUNDEGHIWLWIUVBU
      UCWMZUUNWMZUVCUVDXCYDUWIAUVAYDUUGUWIUUIUUCWOUPWPUUSUWJYEYRUUNWOWQUUCUUNWR
      WSWTXDUUOUUKUUDXAXBXEXFXGJUUDYSXHVKXIUUJXJXMYLFKXNVKYEYIYJSZFKRZYMYPQZFKR
      YNYQQAUWLYDABNZUBZDOZUWNDOZSZBKRUWLHUWRUWKBFKUWNYFPZUWPYIUWQYJUWSUWOYHDUW
      NYFVPVQUWNYFDTXKXLXOUHUWKUWMFKYMYGYKUSZMUWKYPYGYKXPUWKUWTYOYGYOUWKUWTYIYJ
      XQXRXSXTYAYMYPFKYBYCWC $.

    $( Lemma for ~ isfin3-2 .  Being a chain, difference sets are disjoint (one
       case).  (Contributed by Stefan O'Rear, 5-Nov-2014.) $)
    isf32lem3 $p |- ( ( ( A e. _om /\ B e. _om ) /\ ( B e. A /\ ph ) ) ->
        ( ( ( F ` A ) \ ( F ` suc A ) ) i^i
          ( ( F ` B ) \ ( F ` suc B ) ) ) = (/) ) $=
      ( va com wcel wa cv cfv csuc cdif wn wral wss cin c0 eldifi simpll peano2
      wceq ad2antlr word nnord ad2antrr simprl ordsucss sylc isf32lem1 syl22anc
      simprr sseld elndif syl56 ralrimiv disj sylibr ) CKLZDKLZMZDCLZAMZMZJNZDE
      OZDPZEOZQZLRZJCEOZCPEOZQZSVQVMUAUBUFVHVNJVQVIVQLVIVOLVHVIVLLVNVIVOVPUCVHV
      OVLVIVHVCVKKLZVKCTZAVOVLTVCVDVGUDVDVRVCVGDUEUGVHCUHZVFVSVCVTVDVGCUIUJVEVF
      AUKDCULUMVEVFAUPABCVKEFGHIUNUOUQVIVLVJURUSUTJVQVMVAVB $.

    $( Lemma for ~ isfin3-2 .  Being a chain, difference sets are disjoint.
       (Contributed by Stefan O'Rear, 5-Nov-2014.) $)
    isf32lem4 $p |- ( ( ( ph /\ A =/= B ) /\ ( A e. _om /\ B e. _om ) ) ->
        ( ( ( F ` A ) \ ( F ` suc A ) ) i^i
          ( ( F ` B ) \ ( F ` suc B ) ) ) = (/) ) $=
      ( wa com wcel cfv csuc cdif cin c0 wceq simplrr simplrl wne simpr simplll
      incom isf32lem3 eqtrid syl22anc wo simplr wn wb word nnord ordtri3 syl2an
      adantl necon2abid mpbird mpjaodan ) ACDUAZJZCKLZDKLZJZJZCDLZCEMCNEMOZDEMD
      NEMOZPZQRZDCLZVEVFJVCVBVFAVJVAVBVCVFSVAVBVCVFTVEVFUBAUTVDVFUCVCVBJVFAJJVI
      VHVGPQVGVHUDABDCEFGHIUEUFUGVEVKJVBVCVKAVJVAVBVCVKTVAVBVCVKSVEVKUBAUTVDVKU
      CABCDEFGHIUEUGVEVFVKUHZUTAUTVDUIVEVLCDVDCDRVLUJUKZVAVBCULDULVMVCCUMDUMCDU
      NUOUPUQURUS $.

    isf32lem.d $e |- S = { y e. _om | ( F ` suc y ) C. ( F ` y ) } $.
    $( Lemma for ~ isfin3-2 .  There are infinite decrease points.
       (Contributed by Stefan O'Rear, 5-Nov-2014.) $)
    isf32lem5 $p |- ( ph -> -. S e. Fin ) $=
      ( va vb wcel cv cfv wa com wrex wn con0 cfn csuc wpss isf32lem2 ralrimiva
      wral cuni wss ssrab3 nnunifi mpan adantl wi crab elssuni wb omsson sselid
      nnon ontri1 syl2anr syl5ib con2d impr eleq2i sylnib suceq fveq2d psseq12d
      wceq fveq2 elrab3 ad2antrl mtbid imnan sylib nrexdv anbi1d rexbidv notbid
      expr eleq1 rspcev syl2anc rexnal ex mt2d ) ADUAMZKNZLNZMZWJUBZEOZWJEOZUCZ
      PZLQRZKQUFZAWQKQABWIEFLGHIUDUEAWHWRSZAWHPZWQSZKQRZWSWTDUGZQMZXCWJMZWOPZLQ
      RZSZXBWHXDADQUHWHXDCNZUBZEOZXIEOZUCZCQDJUIDUJUKULZWTXFLQWTWJQMZPZXEWOSZUM
      XFSWTXOXEXQWTXOXEPPZWJXMCQUNZMZWOXRWJDMZXTWTXOXEYASXPYAXEYAWJXCUHZXPXESZW
      JDUOXOWJTMXCTMYBYCUPWTWJUSWTQTXCUQXNURWJXCUTVAVBVCVDDXSWJJVEVFXOXTWOUPWTX
      EXMWOCWJQXIWJVJZXKWMXLWNYDXJWLEXIWJVGVHXIWJEVKVIVLVMVNWAXEWOVOVPVQXAXHKXC
      QWIXCVJZWQXGYEWPXFLQYEWKXEWOWIXCWJWBVRVSVTWCWDWQKQWEVPWFWG $.

    isf32lem.e $e |- J = ( u e. _om |-> ( iota_ v e. S ( v i^i S ) ~~ u ) ) $.
    isf32lem.f $e |- K = ( ( w e. S |-> ( ( F ` w ) \ ( F ` suc w ) ) ) o.
      J ) $.
    $( Lemma for ~ isfin3-2 .  Each K value is nonempty.  (Contributed by
       Stefan O'Rear, 5-Nov-2014.) $)
    isf32lem6 $p |- ( ( ph /\ A e. _om ) -> ( K ` A ) =/= (/) ) $=
      ( com cfv wcel wa csuc cdif c0 cv cmpt ccom fveq1i wceq wf1o wss cfn wpss
      wf wn ssrab3 isf32lem5 fin23lem22 sylancr f1of fvco3 sylan adantr ffvelrn
      syl sylancom fveq2 suceq fveq2d difeq12d eqid fvex difexi fvmpt eqtrd wne
      eqtrid psseq12d elrab2 simprbi df-pss sylib pssdifn0 eqnetrd ) AGSUAZUBZG
      LTZGKTZITZWIUCZITZUDZUEWGWHGDHDUFZITZWNUCZITZUDZUGZKUHZTZWMGLWTRUIWGXAWIW
      STZWMASHKUOZWFXAXBUJASHKUKZXCAHSULZHUMUAUPZXDCUFZUCZITZXGITZUNZCSHPUQZABC
      HIJMNOPURZKHFEQUSZUTSHKVAZVFSHGWSKVBVCWGWIHUAZXBWMUJAWFXCXPWGXDXCWGXEXFXD
      XLAXFWFXMVDXNUTXOVFSHGKVEVGZDWIWRWMHWSWNWIUJZWOWJWQWLWNWIIVHXRWPWKIWNWIVI
      VJVKWSVLWJWLWIIVMVNVOVFVPVRWGWLWJULWLWJVQUBZWMUEVQWGWLWJUNZXSWGXPXTXQXPWI
      SUAXTXKXTCWISHXGWIUJZXIWLXJWJYAXHWKIXGWIVIVJXGWIIVHVSPVTWAVFWLWJWBWCWLWJW
      DVFWE $.

    $( Lemma for ~ isfin3-2 .  Different K values are disjoint.  (Contributed
       by Stefan O'Rear, 5-Nov-2014.) $)
    isf32lem7 $p |- ( ( ( ph /\ A =/= B ) /\ ( A e. _om /\ B e. _om ) ) ->
        ( ( K ` A ) i^i ( K ` B ) ) = (/) ) $=
      ( com wne wa wcel cfv cin csuc cdif c0 cmpt ccom fveq1i wceq wf1o wss cfn
      cv wf wn wpss ssrab3 isf32lem5 fin23lem22 sylancr f1of syl fvco3 ad2ant2r
      sylan adantr simpl ffvelrn syl2an fveq2 suceq fveq2d difeq12d eqid difexi
      fvmpt eqtrd eqtrid ad2ant2rl simpr ineq12d simpll simplr wf1 f1of1 f1fveq
      fvex wb biimpd necon3d mpd sselid isf32lem4 syl22anc ) AGHUAZUBZGTUCZHTUC
      ZUBZUBZGMUDZHMUDZUEGLUDZJUDZXFUFZJUDZUGZHLUDZJUDZXKUFZJUDZUGZUEZUHXCXDXJX
      EXOXCXDGDIDUPZJUDZXQUFZJUDZUGZUIZLUJZUDZXJGMYCSUKXCYDXFYBUDZXJAWTYDYEULZW
      RXAATILUQZWTYFATILUMZYGAITUNIUOUCURYHCUPZUFJUDYIJUDUSCTIQUTZABCIJKNOPQVAL
      IFERVBVCZTILVDVEZTIGYBLVFVHVGXCXFIUCZYEXJULWSYGWTYMXBAYGWRYLVIZWTXAVJTIGL
      VKVLZDXFYAXJIYBXQXFULZXRXGXTXIXQXFJVMYPXSXHJXQXFVNVOVPYBVQZXGXIXFJWJVRVSV
      EVTWAXCXEHYCUDZXOHMYCSUKXCYRXKYBUDZXOAXAYRYSULZWRWTAYGXAYTYLTIHYBLVFVHWBX
      CXKIUCZYSXOULWSYGXAUUAXBYNWTXAWCTIHLVKVLZDXKYAXOIYBXQXKULZXRXLXTXNXQXKJVM
      UUCXSXMJXQXKVNVOVPYQXLXNXKJWJVRVSVEVTWAWDXCAXFXKUAZXFTUCXKTUCXPUHULAWRXBW
      EXCWRUUDAWRXBWFXCXFXKGHXCXFXKULZGHULZWSTILWGZXBUUEUUFWKAUUGWRAYHUUGYKTILW
      HVEVITIGHLWIVHWLWMWNXCITXFYJYOWOXCITXKYJUUBWOABXFXKJKNOPWPWQVT $.

    $( Lemma for ~ isfin3-2 .  K sets are subsets of the base.  (Contributed by
       Stefan O'Rear, 6-Nov-2014.) $)
    isf32lem8 $p |- ( ( ph /\ A e. _om ) -> ( K ` A ) C_ G ) $=
      ( com cfv wcel wa csuc cdif cv cmpt ccom fveq1i wf wceq wf1o wss cfn wpss
      ssrab3 isf32lem5 fin23lem22 sylancr syl fvco3 sylan ffvelrnda fveq2 suceq
      wn f1of fveq2d difeq12d eqid fvex difexi fvmpt eqtrd eqtrid adantr sselid
      cpw ffvelrnd elpwid ssdifssd eqsstrd ) AGSUAZUBZGLTZGKTZITZWEUCZITZUDZJWC
      WDGDHDUEZITZWJUCZITZUDZUFZKUGZTZWIGLWPRUHWCWQWEWOTZWIASHKUIZWBWQWRUJASHKU
      KZWSAHSULHUMUAVEWTCUEZUCITXAITUNCSHPUOZABCHIJMNOPUPKHFEQUQURSHKVFUSZSHGWO
      KUTVAWCWEHUAWRWIUJASHGKXCVBZDWEWNWIHWOWJWEUJZWKWFWMWHWJWEIVCXEWLWGIWJWEVD
      VGVHWOVIWFWHWEIVJVKVLUSVMVNWCWFJWHWCWFJWCSJVQZWEIASXFIUIWBMVOWCHSWEXBXDVP
      VRVSVTWA $.

    isf32lem.g $e |- L = ( t e. G |->
      ( iota s ( s e. _om /\ t e. ( K ` s ) ) ) ) $.
    $( Lemma for ~ isfin3-2 .  Construction of the onto function.  (Contributed
       by Stefan O'Rear, 5-Nov-2014.)  (Revised by Mario Carneiro,
       2-Oct-2015.) $)
    isf32lem9 $p |- ( ph -> L : G -onto-> _om ) $=
      ( va vb com wf cv cfv wceq wrex wral wfo wcel wa cio weu cab ssab2 iotacl
      sselid wn c0 iotanul peano1 eqeltrdi pm2.61i a1i fmpti isf32lem6 n0 sylib
      wex wne isf32lem8 sselda eleq1w anbi2d iotabidv iotaex fvmpt3i syl wi w3a
      simp1r wal cin simpl1 simpr necomd simpl2 simpl3 isf32lem7 syl22anc disj1
      ex sp syl6 com23 3adant1r mpd necon4ad 3expia impd fveq2 anbi12d biimprcd
      eleq2d ancoms adantll impbid iota5 an32s eqtr2d jca eximdv df-rex syl6ibr
      ralrimiva dffo3 sylanbrc ) AJUDMUEZUBUFZUCUFZMUGZUHZUCJUIZUBUDUJJUDMUKXTA
      GJUDNUFZUDULZGUFZYFLUGZULZUMZNUNZMUAYLUDULZYHJULYKNUOZYMYNYKNUPUDYLYJNUDU
      QYKNURUSYNUTYLVAUDYKNVBVCVDVEVFVGVFAYEUBUDAYAUDULZUMZYBYALUGZULZUCVKZYEYP
      YQVAVLYSABCDEFYAHIJKLOPQRSTVHUCYQVIVJYPYSYBJULZYDUMZUCVKYEYPYRUUAUCYPYRUU
      AYPYRUMZYTYDYPYQJYBABCDEFYAHIJKLOPQRSTVMVNZUUBYCYGYBYIULZUMZNUNZYAUUBYTYC
      UUFUHUUCGYBYLUUFJMYHYBUHZYKUUENUUGYJUUDYGGUCYIVOVPVQUAYKNVRVSVTAYRYOUUFYA
      UHAYRUMZUUENYAUDUUHYOUMZUUEYFYAUHZUUIYGUUDUUJUUHYOYGUUDUUJWAUUHYOYGWBZUUD
      YFYAUUKYRYFYAVLZUUDUTZWAZAYRYOYGWCAYOYGYRUUNWAYRAYOYGWBZUULYRUUMUUOUULYRU
      UMWAZUCWDZUUPUUOUULUUQUUOUULUMZYQYIWEVAUHZUUQUURAYAYFVLYOYGUUSAYOYGUULWFU
      URYFYAUUOUULWGWHAYOYGUULWIAYOYGUULWJABCDEFYAYFHIJKLOPQRSTWKWLUCYQYIWMVJWN
      UUPUCWOWPWQWRWSWTXAXBYRYOUUJUUEWAZAYOYRUUTUUJUUEYOYRUMUUJYGYOUUDYRNUBUDVO
      UUJYIYQYBYFYALXCXFXDXEXGXHXIXJXKXLXMWNXNYDUCJXOXPWSXQUCUBJUDMXRXS $.

    $( Lemma for isfin3-2 .  Write in terms of weak dominance.  (Contributed by
       Stefan O'Rear, 6-Nov-2014.)  (Revised by Mario Carneiro,
       17-May-2015.) $)
    isf32lem10 $p |- ( ph -> ( G e. V -> _om ~<_* G ) ) $=
      ( com wfo wcel cvv cwdom wbr isf32lem9 wf fof syl fex sylan fowdom expcom
      ex sylsyld ) AJUCMUDZJNUEZMUFUEZUCJUGUHZABCDEFGHIJKLMOPQRSTUAUBUIZAUTVAAJ
      UCMUJZUTVAAUSVDVCJUCMUKULJUCNMUMUNUQVAUSVBMUFUCJUOUPUR $.
  $}

  ${
    $d b c d e f g h k l F $.  $d a b c d f g h k l x G $.  $d f V $.
    $( Lemma for ~ isfin3-2 .  Remove hypotheses from ~ isf32lem10 .
       (Contributed by Stefan O'Rear, 17-May-2015.) $)
    isf32lem11 $p |- ( ( G e. V /\ ( F : _om --> ~P G /\
        A. b e. _om ( F ` suc b ) C_ ( F ` b ) /\ -. |^| ran F e. ran F ) ) ->
      _om ~<_* G ) $=
      ( vc vd vh vg vf vk ve vl com cv csuc cfv wss wcel cmpt eqid cpw wral crn
      wf cint wn w3a cwdom wbr wpss crab cin cen crio cdif ccom cio simp1 suceq
      wa fveq2d fveq2 sseq12d cbvralvw biimpi 3ad2ant2 simp3 cbvrabv isf32lem10
      weq psseq12d impcom ) MBUAAUDZDNZOZAPZVNAPZQZDMUBZAUCZUEVTRUFZUGZBCRMBUHU
      IWBEFGHIJKNZOZAPZWCAPZUJZKMUKZABIMHNWHULINUMUIHWHUNSZGWHGNZAPWJOAPUOSWIUP
      ZJBLNZMRJNWLWKPRUTLUQSZCLVMVSWAURVSVMENZOZAPZWNAPZQZEMUBZWAVSWSVRWRDEMDEV
      JZVPWPVQWQWTVOWOAVNWNUSVAVNWNAVBVCVDVEVFVMVSWAVGWGFNZOZAPZXAAPZUJKFMKFVJZ
      WEXCWFXDXEWDXBAWCXAUSVAWCXAAVBVKVHWITWKTWMTVIVL $.

    isf32lem40.f $e |- F = { g | A. a e. ( ~P g ^m _om )
      ( A. x e. _om ( a ` suc x ) C_ ( a ` x ) -> |^| ran a e. ran a ) } $.
    $( Lemma for ~ isfin3-2 .  (Contributed by Stefan O'Rear, 6-Nov-2014.)
       (Revised by Mario Carneiro, 17-May-2015.) $)
    isf32lem12 $p |- ( G e. V -> ( -. _om ~<_* G -> G e. F ) ) $=
      ( vb vf wcel com cwdom wbr wn cv csuc cfv wral wi wa wss crn cint cmap co
      cpw wf elmapi isf32lem11 expcom 3expa impancom con1d exp31 com4t ralrimdv
      w3a syl isfin3ds sylibrd ) DEJZKDLMZNZHOZPIOZQVDVEQUAHKRZVEUBZUCVGJZSZIDU
      FZKUDUEZRDCJVAVCVIIVKVEVKJZVFVAVCVHVLKVJVEUGZVFVAVCVHSZSSVEVJKUHVMVFVAVNV
      MVFTZVATVHVBVOVHNZVAVBVMVFVPVAVBSVAVMVFVPUQVBVEDEHUIUJUKULUMUNURUOUPHDIBC
      EFAGUSUT $.
  $}

  $( One half of ~ isfin3-2 .  (Contributed by Mario Carneiro, 3-Jun-2015.) $)
  isfin32i $p |- ( A e. Fin3 -> -. _om ~<_* A ) $=
    ( cfin3 wcel cpw cfin4 com wbr wn isfin3 cdom isfin4-2 ibi cvv csdm relwdom
    cwdom brrelex1i canth2g sdomdom 3syl wdompwdom domtr syl2anc nsyl sylbi ) A
    BCADZECZFAPGZHAIUGFUFJGZUHUGUIHUFEKLUHFFDZJGZUJUFJGUIUHFMCFUJNGUKFAPOQFMRFU
    JSTFAUAFUJUFUBUCUDUE $.

  ${
    $d a b f g x y A $.  $d a b f x y F $.  $d a b x V $.
    $( Lemma for ~ isfin3-3 .  (Contributed by Stefan O'Rear, 17-May-2015.) $)
    isf33lem $p |- Fin3 = { g | A. a e. ( ~P g ^m _om )
      ( A. x e. _om ( a ` suc x ) C_ ( a ` x ) -> |^| ran a e. ran a ) } $=
      ( vf vy vb cfin3 cv cfv wss com wral crn cint wcel wi cpw cmap co weq cab
      csuc cwdom wbr isfin32i fveq1 sseq12d ralbidv rneq inteqd eleq12d imbi12d
      wn cbvralvw pweq oveq1d raleqdv syl5bb cbvabv isf32lem12 abbii fin23lem41
      mpd impbii eqriv ) DGAHZUBZCHZIZVFVHIZJZAKLZVHMZNZVMOZPZCBHZQZKRSZLZBUAZD
      HZGOZWBWAOZWCKWBUCUDUMWDWBUEAEWAWBGFVTVGFHZIZVFWEIZJZAKLZWEMZNZWJOZPZFEHZ
      QZKRSZLZBEVTWMFVSLZBETZWQVPWMCFVSCFTZVLWIVOWLWTVKWHAKWTVIWFVJWGVGVHWEUFVF
      VHWEUFUGUHWTVNWKVMWJWTVMWJVHWEUIZUJXAUKULUNZWSWMFVSWPWSVRWOKRVQWNUOUPUQUR
      USUTVCAWBBWAFVTWRBXBVAVBVDVE $.

    $( Weakly Dedekind-infinite sets are exactly those which can be mapped onto
       ` _om ` .  (Contributed by Stefan O'Rear, 6-Nov-2014.)  (Proof shortened
       by Mario Carneiro, 17-May-2015.) $)
    isfin3-2 $p |- ( A e. V -> ( A e. Fin3 <-> -. _om ~<_* A ) ) $=
      ( vx vg va wcel cfin3 com cwdom wbr isfin32i isf33lem isf32lem12 impbid2
      wn ) ABFAGFHAIJOAKCDGABECDELMN $.

    $( Weakly Dedekind-infinite sets are exactly those with an ` _om ` -indexed
       descending chain of subsets.  (Contributed by Stefan O'Rear,
       7-Nov-2014.) $)
    isfin3-3 $p |- ( A e. V -> ( A e. Fin3 <-> A. f e. ( ~P A ^m _om )
      ( A. x e. _om ( f ` suc x ) C_ ( f ` x ) -> |^| ran f e. ran f ) ) ) $=
      ( vg va vb cfin3 isf33lem isfin3ds ) ABCEHDFGGEFIJ $.

    $( Inference from ~ isfin3-3 .  (This is actually a bit stronger than
       ~ isfin3-3 because it does not assume ` F ` is a set and does not use
       the Axiom of Infinity either.)  (Contributed by Mario Carneiro,
       17-May-2015.) $)
    fin33i $p |- ( ( A e. Fin3 /\ F : _om --> ~P A /\
      A. x e. _om ( F ` suc x ) C_ ( F ` x ) ) -> |^| ran F e. ran F ) $=
      ( cfin3 wcel com cpw wf csuc cfv wss wral w3a crn cint cwdom wbr isfin32i
      cv wn 3ad2ant1 wi isf32lem11 3exp2 3imp mt3d ) BDEZFBGCHZASZICJUICJKAFLZM
      CNZOUKEZFBPQZUGUHUMTUJBRUAUGUHUJULTZUMUBUGUHUJUNUMCBDAUCUDUEUF $.
  $}

  ${
    $d a b c f g x y A $.  $d a b f y F $.  $d a b c x y V $.  $d a b c X $.
    $d y G $.
    $( Lemma for ~ compsscnv .  (Contributed by Mario Carneiro,
       17-May-2015.) $)
    compsscnvlem $p |- ( ( x e. ~P A /\ y = ( A \ x ) ) ->
      ( y e. ~P A /\ x = ( A \ y ) ) ) $=
      ( cv cpw wcel cdif wa wss simpr difss eqsstrdi velpw sylibr difeq2d elpwi
      wceq adantr dfss4 sylib eqtr2d jca ) ADZCEZFZBDZCUCGZQZHZUFUDFZUCCUFGZQUI
      UFCIUJUIUFUGCUEUHJZCUCKLBCMNUIUKCUGGZUCUIUFUGCULOUIUCCIZUMUCQUEUNUHUCCPRU
      CCSTUAUB $.

    compss.a $e |- F = ( x e. ~P A |-> ( A \ x ) ) $.
    $( Complementation on a power set lattice is an involution.  (Contributed
       by Mario Carneiro, 17-May-2015.) $)
    compsscnv $p |- `' F = F $=
      ( vy cv cpw wcel cdif wceq wa copab ccnv cnvopab cmpt difeq2 compsscnvlem
      cbvmptv df-mpt 3eqtr4i 3eqtri cnveqi impbii opabbii ) EFZBGZHAFZBUEIZJKZE
      ALZMUIAELZCMCUIEANCUJCAUFBUGIZOZEUFUHOUJDAEUFULUHUGUEBPREAUFUHSUAUBUMUGUF
      HUEULJKZAELCUKAEUFULSDUIUNAEUIUNEABQAEBQUCUDTT $.

    $( Lemma for ~ isfin3-4 .  (Contributed by Stefan O'Rear, 7-Nov-2014.) $)
    isf34lem1 $p |- ( ( A e. V /\ X C_ A ) -> ( F ` X ) = ( A \ X ) ) $=
      ( va wcel wss wa cv cdif cpw cvv cmpt difeq2 cbvmptv eqtri elpw2g biimpar
      difexg adantr fvmptd3 ) BDHZEBIZJGEBGKZLZBELZBMZCNCAUIBAKZLZOGUIUGOFAGUIU
      KUGUJUFBPQRUFEBPUDEUIHUEEBDSTUDUHNHUEBEDUAUBUC $.

    $( Lemma for ~ isfin3-4 .  (Contributed by Stefan O'Rear, 7-Nov-2014.) $)
    isf34lem2 $p |- ( A e. V -> F : ~P A --> ~P A ) $=
      ( wcel cpw cv cdif wss difss elpw2g mpbiri adantr fmptd ) BDFZABGZBAHZIZQ
      CPSQFZRQFPTSBJBRKSBDLMNEO $.

    $( Complementation is an antiautomorphism on power set lattices.
       (Contributed by Stefan O'Rear, 4-Nov-2014.)  (Proof shortened by Mario
       Carneiro, 17-May-2015.) $)
    compssiso $p |- ( A e. V -> F Isom [C.] , `' [C.] ( ~P A , ~P A ) ) $=
      ( va vb wcel cv crpss wbr cfv ccnv wb wral wfn cdif wpss wss wceq cpw cvv
      wf1o wiso difexg ralrimivw syl compsscnv fneq1i sylibr dff1o4 sylanbrc wa
      fnmpt elpwi ad2antll isf34lem1 ad2antrl psseq12d difss pssdifcom1 sylancl
      syldan dfss4 psseq1d 3bitrrd brrpss fvex 3bitr4g relrpss relbrcnv bitr4di
      sylib vex ralrimivva df-isom ) BDHZBUAZVRCUCZFIZGIZJKZVTCLZWACLZJMZKZNZGV
      ROFVROVRVRJWECUDVQCVRPZCMZVRPZVSVQBAIZQZUBHZAVROWHVQWMAVRBWKDUEUFAVRWLCUB
      EUNUGZVQWHWJWNVRWICABCEUHUIUJVRVRCUKULVQWGFGVRVRVQVTVRHZWAVRHZUMZUMZWBWDW
      CJKZWFWRVTWARZWDWCRZWBWSWRXABWAQZBVTQZRZBXCQZWARZWTWRWDXBWCXCVQWQWABSZWDX
      BTWPXGVQWOWABUOUPZABCDWAEUQVCVQWQVTBSZWCXCTWOXIVQWPVTBUOURZABCDVTEUQVCUSW
      RXGXCBSXDXFNXHBVTUTWAXCBVAVBWRXEVTWAWRXIXEVTTXJVTBVDVMVEVFVTWAGVNVGWDWCVT
      CVHVGVIWCWDJVJVKVLVOFGVRVRJWECVPUL $.

    $( Lemma for ~ isfin3-4 .  (Contributed by Stefan O'Rear, 7-Nov-2014.)
       (Revised by Mario Carneiro, 17-May-2015.) $)
    isf34lem3 $p |- ( ( A e. V /\ X C_ ~P A ) -> ( F " ( F " X ) ) = X ) $=
      ( wcel cpw wss cima ccnv compsscnv imaeq1i wceq crpss wiso wf1o compssiso
      wa wf1 isof1o f1of1 3syl f1imacnv sylan eqtr3id ) BDGZEBHZIZSCCEJZJCKZUJJ
      ZEUKCUJABCFLMUGUHUHCTZUIULENUGUHUHOOKZCPUHUHCQUMABCDFRUHUHOUNCUAUHUHCUBUC
      UHUHECUDUEUF $.

    $( Express image under of the complementation isomorphism.  (Contributed by
       Stefan O'Rear, 5-Nov-2014.)  (Proof shortened by Mario Carneiro,
       17-May-2015.) $)
    compss $p |- ( F " G ) = { y e. ~P A | ( A \ y ) e. G } $=
      ( ccnv cima cv cdif wcel crab compsscnv imaeq1i cmpt difeq2 cbvmptv eqtri
      cpw mptpreima eqtr3i ) DGZEHDEHCBIZJZEKBCSZLUBDEACDFMNBUEUDEDDAUECAIZJZOB
      UEUDOFABUEUGUDUFUCCPQRTUA $.

    $( Lemma for ~ isfin3-4 .  (Contributed by Stefan O'Rear, 7-Nov-2014.)
       (Revised by Mario Carneiro, 17-May-2015.) $)
    isf34lem4 $p |- ( ( A e. V /\ ( X C_ ~P A /\ X =/= (/) ) ) ->
        ( F ` U. X ) = |^| ( F " X ) ) $=
      ( va vb vc wcel wss wa cv cdif wceq wn wi ad2antrr simpr ex cpw cuni crab
      c0 wne cfv cint cima sspwuni isf34lem1 sylan2b adantrr wral simprl eldifd
      simplrr elunii syl2anc mt3d expr ralrimiva n0 sselda elpwid dfss4 eqeltrd
      wex sylib difss elpw2g mpbiri difeq2 eleq1d eleq2 imbi12d syl mpid eldifi
      rspcv syl6 exlimdv syl5bi impr wrex adantlrr adantrl elndif ad2antrl jcnd
      eluni notbid rspcev rexnal con2d jcad impbid eldif elintrab 3bitr4g eqrdv
      vex eqtrd compss inteqi eqtr4di ) BDJZEBUAZKZEUDUEZLZLZEUBZCUFZBGMZNZEJZG
      XGUCZUGZCEUHZUGXKXMBXLNZXRXFXHXMXTOZXIXHXFXLBKYAEBUIABCDXLFUJUKULXKHXTXRX
      KHMZBJZYBXLJZPZLZXPYBXNJZQZGXGUMZYBXTJYBXRJXKYFYIXKYFYIXKYFLZYHGXGYJXNXGJ
      ZXPYGYJYKXPLZLZYGYDXKYCYEYLUPYMYGPZYDYMYNLZYBXOJXPYDYOYBBXNYJYCYLYNXKYCYE
      UNRYMYNSUOYJYKXPYNUPYBXOEUQURTUSUTVATXKYIYCYEXFXHXIYIYCQZXIIMZEJZIVGXFXHL
      ZYPIEVBYSYRYPIYSYRYPYSYRLZYIYBBYQNZJZYCYTYIBUUANZEJZUUBYTUUCYQEYTYQBKUUCY
      QOYTYQBYSEXGYQXFXHSVCVDYQBVEVHYSYRSVFZYTUUAXGJZYIUUDUUBQZQXFUUFXHYRXFUUFU
      UABKBYQVIUUABDVJVKZRYHUUGGUUAXGXNUUAOZXPUUDYGUUBUUIXOUUCEXNUUABVLVMXNUUAY
      BVNVOZVSVPVQYBBYQVRVTTWAWBWCXKYDYIYDYBYQJZYRLZIVGXKYIPZIYBEWJXKUULUUMIXKU
      ULUUMXKUULLZYHPZGXGWDZUUMUUNUUFUUGPZUUPXFUUFXJUULUUHRUUNUUDUUBXKYRUUDUUKX
      FXHYRUUDXIUUEWEWFUUKUUBPXKYRYBYQBWGWHWIUUOUUQGUUAXGUUIYHUUGUUJWKWLURYHGXG
      WMVHTWAWBWNWOWPYBBXLWQXPGYBXGHXAWRWSWTXBXSXQAGBCEFXCXDXE $.

    $( Lemma for ~ isfin3-4 .  (Contributed by Stefan O'Rear, 7-Nov-2014.)
       (Revised by Mario Carneiro, 17-May-2015.) $)
    isf34lem5 $p |- ( ( A e. V /\ ( X C_ ~P A /\ X =/= (/) ) ) ->
        ( F ` |^| X ) = U. ( F " X ) ) $=
      ( wcel cpw wss c0 wne wa cima cfv cint wceq adantr sylib ccnv crpss eqtrd
      cuni crn imassrn wf isf34lem2 frnd sstrid cdm cin simprl sseqtrrd sseqin2
      fdmd simprr eqnetrd imadisj necon3bii sylibr jca isf34lem4 syldan adantrr
      isf34lem3 inteqd fveq2d compsscnv fveq1i wf1o compssiso isof1o sspwuni wb
      wiso syl elpw2g mpbird f1ocnvfv1 syl2an2r eqtr3id eqtr3d ) BDGZEBHZIZEJKZ
      LZLZCEMZUBZCNZCNZEOZCNWIWGWJWLCWGWJCWHMZOZWLWBWFWHWCIZWHJKZLWJWNPWGWOWPWG
      WHCUCWCCEUDWGWCWCCWBWCWCCUEWFABCDFUFQZUGUHZWGCUIZEUJZJKWPWGWTEJWGEWSIWTEP
      WGEWCWSWBWDWEUKWGWCWCCWQUNULEWSUMRWBWDWEUOUPWHJWTJCEUQURUSUTABCDWHFVAVBWG
      WMEWBWDWMEPWEABCDEFVDVCVEUAVFWGWKWJCSZNZWIWJXACABCFVGVHWBWCWCCVIZWFWIWCGZ
      XBWIPWBWCWCTTSZCVNXCABCDFVJWCWCTXECVKVOWGXDWIBIZWGWOXFWRWHBVLRWBXDXFVMWFW
      IBDVPQVQWCWCWICVRVSVTWA $.

    $( Lemma for ~ isfin3-4 .  (Contributed by Stefan O'Rear, 7-Nov-2014.) $)
    isf34lem7 $p |- ( ( A e. Fin3 /\ G : _om --> ~P A /\
      A. y e. _om ( G ` y ) C_ ( G ` suc y ) ) -> U. ran G e. ran G ) $=
      ( cfin3 wcel com wf cfv wss wral crn 3adant3 wceq syl2anc eqtrd c0 wne cv
      cpw csuc w3a cima cint cuni wfn isf34lem2 adantr ffnd imassrn frnd sstrid
      ccom simp1 fco sylan cdif sscon simpr peano2 syl2an simpll ffvelrn elpwid
      wa fvco3 isf34lem1 adantll sseq12d syl5ibr ralimdva 3impia fin33i syl3anc
      rnco2 inteqi 3eltr3g fnfvima simpl cdm cin incom frn adantl fdmd sseqtrrd
      wb df-ss sylib eqtrid peano1 ne0i eqnetrd dm0rn0 necon3bii imadisj sylibr
      fdm mp1i isf34lem5 syl12anc isf34lem3 unieqd eleq12d mpbid ) CGHZICUBZEJZ
      BUAZEKZXKUCZEKZLZBIMZUDZDENZUEZUFZDKZDXSUEZHZXRUGZXRHZXQDXIUHXSXILZXTXSHY
      CXQXIXIDXHXJXIXIDJZXPXHYGXJACDGFUIZUJZOUKXQXSDNZXIDXRULZXHXJYJXILXPXHXJVG
      ZXIXIDYIUMZOUNXQDEUOZNZUFZYOXTXSXQXHIXIYNJZXMYNKZXKYNKZLZBIMZYPYOHXHXJXPU
      PXHXJYQXPXHYGXJYQYHIXIXIDEUQUROXHXJXPUUAYLXOYTBIXOYTYLXKIHZVGZCXNUSZCXLUS
      ZLXLXNCUTUUCYRUUDYSUUEUUCYRXNDKZUUDYLXJXMIHZYRUUFPUUBXHXJVAZXKVBZIXIXMDEV
      HVCUUCXHXNCLUUFUUDPXHXJUUBVDZUUCXNCYLXJUUGXNXIHUUBUUHUUIIXIXMEVEVCVFACDGX
      NFVIQRUUCYSXLDKZUUEXJUUBYSUUKPXHIXIXKDEVHVJUUCXHXLCLUUKUUEPUUJUUCXLCXJUUB
      XLXIHXHIXIXKEVEVJVFACDGXLFVIQRVKVLVMVNBCYNVOVPYOXSDEVQZVRUULVSXIXSDXTVTVP
      XHXJYCYEWIXPYLYAYDYBXRYLYAYBUGZYDYLXHYFXSSTZYAUUMPXHXJWAZYLXSYJXIYKYMUNYL
      DWBZXRWCZSTUUNYLUUQXRSYLUUQXRUUPWCZXRUUPXRWDYLXRUUPLUURXRPYLXRXIUUPXJXRXI
      LZXHIXIEWEWFZYLXIXIDYIWGWHXRUUPWJWKWLYLEWBZSTXRSTYLUVAISXJUVAIPXHIXIEWTWF
      SIHISTYLWMISWNXAWOUVASXRSEWPWQWKWOXSSUUQSDXRWRWQWSACDGXSFXBXCYLYBXRYLXHUU
      SYBXRPUUOUUTACDGXRFXDQZXERUVBXFOXG $.

    $( Lemma for ~ isfin3-4 .  (Contributed by Stefan O'Rear, 7-Nov-2014.)
       (Revised by Mario Carneiro, 17-May-2015.) $)
    isf34lem6 $p |- ( A e. V -> ( A e. Fin3 <-> A. f e. ( ~P A ^m _om )
      ( A. y e. _om ( f ` y ) C_ ( f ` suc y ) -> U. ran f e. ran f ) ) ) $=
      ( vg wcel cfv wss com wral crn wi wf cvv wceq c0 wne cfin3 csuc cuni cmap
      cv cpw co elmapi isf34lem7 3expia sylan2 ralrimiva cint ccom cima elmapex
      simpld pwexb sylibr isf34lem2 syl fco syl2anc wa wb elmapg mpbird sseq12d
      fveq1 ralbidv rneq rnco2 eqtrdi unieqd eleq12d rspccv syl5 cdif ffvelrnda
      imbi12d sscon elpwid isf34lem1 syl2an2r peano2 ffvelrn syl2an fvco3 sylan
      syl5ibr sylibrd ralimdva wfn ffnd imassrn frnd fnfvima cdm cin incom fdmd
      sstrid sseqtrrd df-ss eqtrid peano1 ne0i eqnetrd dm0rn0 necon3bii imadisj
      sylib mp1i isf34lem4 syl12anc inteqd eqtrd sylibd imim12d sylcom ralrimiv
      isf34lem3 isfin3-3 impbid2 ) CFIZCUAIZBUEZDUEZJZYGUBZYHJZKZBLMZYHNZUCZYNI
      ZOZDCUFZLUDUGZMZYFYQDYSYHYSIYFLYRYHPZYQYHYRLUHYFUUAYMYPABCEYHGUIUJUKULYTY
      FYEYJHUEZJZYGUUBJZKZBLMZUUBNZUMZUUGIZOZHYSMYTUUJHYSYTUUBYSIZYGEUUBUNZJZYJ
      UULJZKZBLMZEUUGUOZUCZUUQIZOZUUJUUKUULYSIZYTUUTUUKUVALYRUULPZUUKYRYREPZLYR
      UUBPZUVBUUKCQIZUVCUUKYRQIZUVEUUKUVFLQIZUUBYRLUPZUQCURUSZACEQGUTVAZUUBYRLU
      HZLYRYREUUBVBVCUUKUVFUVGVDUVAUVBVEUVHYRLUULQQVFVAVGYQUUTDUULYSYHUULRZYMUU
      PYPUUSUVLYLUUOBLUVLYIUUMYKUUNYGYHUULVIYJYHUULVIVHVJUVLYOUURYNUUQUVLYNUUQU
      VLYNUULNUUQYHUULVKEUUBVLVMZVNUVMVOVTVPVQUUKUUFUUPUUSUUIUUKUUEUUOBLUUKYGLI
      ZVDZUUEUUDEJZUUCEJZKZUUOUUEUVRUVOCUUDVRZCUUCVRZKUUCUUDCWAUVOUVPUVSUVQUVTU
      UKUVEUVNUUDCKUVPUVSRUVIUVOUUDCUUKLYRYGUUBUVKVSWBACEQUUDGWCWDUUKUVEUVNUUCC
      KUVQUVTRUVIUVOUUCCUUKUVDYJLIZUUCYRIUVNUVKYGWEZLYRYJUUBWFWGWBACEQUUCGWCWDV
      HWJUVOUUMUVPUUNUVQUUKUVDUVNUUMUVPRUVKLYRYGEUUBWHWIUUKUVDUWAUUNUVQRUVNUVKU
      WBLYRYJEUUBWHWGVHWKWLUUKUUSUUREJZEUUQUOZIZUUIUUKEYRWMZUUQYRKZUUSUWEOUUKYR
      YREUVJWNUUKUUQENYREUUGWOUUKYRYREUVJWPXBZUWFUWGUUSUWEYRUUQEUURWQUJVCUUKUWC
      UUHUWDUUGUUKUWCUWDUMZUUHUUKUVEUWGUUQSTZUWCUWIRUVIUWHUUKEWRZUUGWSZSTUWJUUK
      UWLUUGSUUKUWLUUGUWKWSZUUGUWKUUGWTUUKUUGUWKKUWMUUGRUUKUUGYRUWKUUKLYRUUBUVK
      WPZUUKYRYREUVJXAXCUUGUWKXDXLXEUUKUUBWRZSTUUGSTUUKUWOLSUUKLYRUUBUVKXASLILS
      TUUKXFLSXGXMXHUWOSUUGSUUBXIXJXLXHUUQSUWLSEUUGXKXJUSACEQUUQGXNXOUUKUWDUUGU
      UKUVEUUGYRKUWDUUGRUVIUWNACEQUUGGYBVCZXPXQUWPVOXRXSXTYABCHFYCWJYD $.
  $}

  ${
    $d f x y A $.  $d x G $.  $d x y V $.
    $( Inference from ~ isfin3-4 .  (Contributed by Mario Carneiro,
       17-May-2015.) $)
    fin34i $p |- ( ( A e. Fin3 /\ G : _om --> ~P A /\
      A. x e. _om ( G ` x ) C_ ( G ` suc x ) ) -> U. ran G e. ran G ) $=
      ( vy cpw cv cdif cmpt eqid isf34lem7 ) DABDBEBDFGHZCKIJ $.

    $( Weakly Dedekind-infinite sets are exactly those with an ` _om ` -indexed
       ascending chain of subsets.  (Contributed by Stefan O'Rear, 7-Nov-2014.)
       (Proof shortened by Mario Carneiro, 17-May-2015.) $)
    isfin3-4 $p |- ( A e. V -> ( A e. Fin3 <-> A. f e. ( ~P A ^m _om )
      ( A. x e. _om ( f ` x ) C_ ( f ` suc x ) -> U. ran f e. ran f ) ) ) $=
      ( vy cpw cv cdif cmpt eqid isf34lem6 ) EABCEBFBEGHIZDLJK $.
  $}

  ${
    $d a b c d f g x y A $.  $d f x B $.  $d x V $.
    $( Every I-finite set is Ia-finite.  (Contributed by Stefan O'Rear,
       30-Oct-2014.)  (Revised by Mario Carneiro, 17-May-2015.) $)
    fin11a $p |- ( A e. Fin -> A e. Fin1a ) $=
      ( vx cfn wcel cfin1a cv cdif wo cpw wral wa wss elpwi ssfi orcd ralrimiva
      sylan2 isfin1a mpbird ) ACDZAEDBFZCDZAUAGCDZHZBAIZJTUDBUETUAUEDZKUBUCUFTU
      AALUBUAAMAUANQOPBACRS $.

    $( Ia-finiteness is a cardinal property.  (Contributed by Mario Carneiro,
       18-May-2015.) $)
    enfin1ai $p |- ( A ~~ B -> ( A e. Fin1a -> B e. Fin1a ) ) $=
      ( vf vx cen wbr cv cfin1a wcel wa cfn cdif wo wss ad2antrr wb cvv vex syl
      cima wf1o wex wi ensym bren sylib cpw wral elpwi simplr imassrn f1of frnd
      crn sstrid fin1ai syl2anc wf1 f1of1 simpr f1imaeng syl3anc enfi ccnv wfun
      wf a1i wceq df-f1 simprbi imadif 3syl wfo f1ofo foima eqtrd difssd adantr
      difeq1d dmfex sylancr difexd eqbrtrrd orbi12d mpbid sylan2 isfin1a mpbird
      ralrimiva ex exlimiv ) ABEFZBACGZUAZCUBZAHIZBHIZUCZWLBAEFWOABUDBACUEUFWNW
      RCWNWPWQWNWPJZWQDGZKIZBWTLZKIZMZDBUGZUHZWSXDDXEWTXEIWSWTBNZXDWTBUIWSXGJZW
      MWTTZKIZAXILZKIZMZXDXHWPXIANXMWNWPXGUJXHXIWMUNAWMWTUKXHBAWMWNBAWMVFZWPXGB
      AWMULZOUMUOAXIUPUQXHXJXAXLXCXHXIWTEFZXJXAPXHBAWMURZXGWTQIZXPWNXQWPXGBAWMU
      SOZWSXGUTXRXHDRVGBAWTWMQVAVBXIWTVCSXHXKXBEFXLXCPXHWMXBTZXKXBEXHXTWMBTZXIL
      ZXKXHXQWMVDVEZXTYBVHXSXQXNYCBAWMVIVJBWTWMVKVLXHYAAXIWNYAAVHZWPXGWNBAWMVMY
      DBAWMVNBAWMVOSOVSVPXHXQXBBNXBQIXTXBEFXSXHBWTVQXHBWTQWSBQIZXGWSWMQIXNYECRW
      NXNWPXOVRBAQWMVTWAZVRWBBAXBWMQVAVBWCXKXBVCSWDWEWFWIWSYEWQXFPYFDBQWGSWHWJW
      KS $.

    $( A set is finite in the usual sense iff the power set of its power set is
       Dedekind finite.  (Contributed by Stefan O'Rear, 3-Nov-2014.)  (Revised
       by Mario Carneiro, 17-May-2015.) $)
    isfin1-2 $p |- ( A e. Fin <-> ~P ~P A e. Fin4 ) $=
      ( cfn wcel cvv cpw cfin4 elex pwexb bitri sylibr com cdom wbr ominf domfi
      wn pwfi expcom syl5bi mtoi fineqvlem ex impbid2 con2bid wb isfin4-2 sylbi
      bitr4d pm5.21nii ) ABCZADCZAEZEZFCZABGUNUMDCZUKUMFGUKULDCUOAHULHIZJUKUJKU
      MLMZPZUNUKUQUJUKUQUJPZUQUJKBCZNUJUMBCZUQUTUJULBCVAAQULQIVAUQUTUMKORSTUKUS
      UQADUAUBUCUDUKUOUNURUEUPUMDUFUGUHUI $.

    $( A set is I-finite iff every system of subsets contains a maximal subset.
       Definition I of [Levy58] p. 2.  (Contributed by Stefan O'Rear,
       4-Nov-2014.)  (Proof shortened by Mario Carneiro, 17-May-2015.) $)
    isfin1-3 $p |- ( A e. V -> ( A e. Fin <-> `' [C.] Fr ~P A ) ) $=
      ( vc vb vd wcel cfn crpss wpo sylancr cv wbr wn cin wrex cvv wss wa wne
      c0 cpw ccnv wfr porpss cnvpo mpbi pwfi biimpi frfi wral inss2 pwexg ssexg
      0fin 0elpw elini ne0ii fri mpanr12 sylan ex elinel1 ralnex csn cun adantr
      snfi unfi sylancl elinel2 elpwid snssi ad2antrl vex snex unex elpw sylibr
      unssd elind wpss disjsn biimpri disjpss ad2antll brcnv brrpss bitri breq1
      wceq snnz rspcev expr con1d syl5bi impancom ssrdv ssfi syl2an2r rexlimiva
      syl2anc syl6 impbid2 ) ABFZAGFZAUAZHUBZUCZXEXFXGIZXFGFZXHXFHIXIXFUDXFHUEU
      FXEXJAUGUHXFXGUIJXDXHCKZDKZXGLZMCGXFNZUJZDXNOZXEXDXHXPXDXNPFZXHXPXDXNXFQZ
      XFPFXQGXFUKZABULXNXFPUMJXQXHRXRXNTSXPXSTXNTGXFUNAUOUPUQDCXFXNPXGURUSUTVAX
      OXEDXNXLXNFZXLGFZXOAXLQXEXLGXFVBZXTXOREAXLXTEKZAFZXOYCXLFZXOXMCXNOZMXTYDR
      ZYEXMCXNVCYGYEYFXTYDYEMZYFXTYDYHRZRZXLYCVDZVEZXNFYLXLXGLZYFYJGXFYLYJYAYKG
      FYLGFXTYAYIYBVFYCVGXLYKVHVIYJYLAQYLXFFYJXLYKAXTXLAQYIXTXLAXLGXFVJVKVFYDYK
      AQXTYHYCAVLVMVSYLAXLYKDVNZYCVOVPZVQVRVTYJXLYLWAZYMYHYPXTYDYHXLYKNTWJZYKTS
      YPYQYHXLYCWBWCYCEVNWKXLYKWDVIWEYMXLYLHLYPYLXLHYOYNWFXLYLYOWGWHVRXMYMCYLXN
      XKYLXLXGWIWLXAWMWNWOWPWQXLAWRWSWTXBXC $.

    $( A set is I-finite iff every system of subsets contains a minimal subset.
       (Contributed by Stefan O'Rear, 4-Nov-2014.)  (Revised by Mario Carneiro,
       17-May-2015.) $)
    isfin1-4 $p |- ( A e. V -> ( A e. Fin <-> [C.] Fr ~P A ) ) $=
      ( vx wcel cfn cpw crpss ccnv isfin1-3 cv cdif cmpt wiso wb eqid compssiso
      wfr isofr syl bitr4d ) ABDZAEDAFZGHZQZUBGQZABIUAUBUBGUCCUBACJKLZMUEUDNCAU
      FBUFOPUBUBGUCUFRST $.

    $( Compact quantifier-free version of the standard definition ~ df-fin .
       (Contributed by Stefan O'Rear, 6-Jan-2015.) $)
    dffin1-5 $p |- Fin = ( ~~ " _om ) $=
      ( vx vy cen wbr com wrex cab cfn cima ensymb rexbii df-fin dfima2 3eqtr4i
      cv abbii ) AOZBOZCDZBEFZAGRQCDZBEFZAGHCEITUBASUABEQRJKPABLBACEMN $.

    $( Every II-finite set (every chain of subsets has a maximal element) is
       III-finite (has no denumerable collection of subsets).  The proof here
       is the only one I could find, from
       ~ http://matwbn.icm.edu.pl/ksiazki/fm/fm6/fm619.pdf p.94 (writeup by
       Tarski, credited to Kuratowski).  Translated into English and modern
       notation, the proof proceeds as follows (variables renamed for
       uniqueness):

       Suppose for a contradiction that ` A ` is a set which is II-finite but
       not III-finite.

       For any countable sequence of distinct subsets ` T ` of ` A ` , we can
       form a decreasing sequence of nonempty subsets ` ( U `` T ) ` by taking
       finite intersections of initial segments of ` T ` while skipping over
       any element of ` T ` which would cause the intersection to be empty.

       By II-finiteness (as ~ fin2i2 ) this sequence contains its intersection,
       call it ` Y ` ; since by induction every subset in the sequence ` U ` is
       nonempty, the intersection must be nonempty.

       Suppose that an element ` X ` of ` T ` has nonempty intersection with
       ` Y ` .  Thus, said element has a nonempty intersection with the
       corresponding element of ` U ` , therefore it was used in the
       construction of ` U ` and all further elements of ` U ` are subsets of
       ` X ` , thus ` X ` contains the ` Y ` .  That is, all elements of ` X `
       either contain ` Y ` or are disjoint from it.

       Since there are only two cases, there must exist an infinite subset of
       ` T ` which uniformly either contain ` Y ` or are disjoint from it.  In
       the former case we can create an infinite set by subtracting ` Y ` from
       each element.  In either case, call the result ` Z ` ; this is an
       infinite set of subsets of ` A ` , each of which is disjoint from ` Y `
       and contained in the union of ` T ` ; the union of ` Z ` is strictly
       contained in the union of ` T ` , because only the latter is a superset
       of the nonempty set ` Y ` .

       The preceding four steps may be iterated a countable number of times
       starting from the assumed denumerable set of subsets to produce a
       denumerable sequence ` B ` of the ` T ` sets from each stage.  Great
       caution is required to avoid ~ ax-dc here; in particular an effective
       version of the pigeonhole principle (for aleph-null pigeons and 2 holes)
       is required.  Since a denumerable set of subsets is assumed to exist, we
       can conclude ` _om e. _V ` without the axiom.

       This ` B ` sequence is strictly decreasing, thus it has no minimum,
       contradicting the first assumption.  (Contributed by Stefan O'Rear,
       2-Nov-2014.)  (Proof shortened by Mario Carneiro, 17-May-2015.) $)
    fin23 $p |- ( A e. Fin2 -> A e. Fin3 ) $=
      ( vx vg va cfin3 isf33lem fin23lem40 ) BACEDBCDFG $.

    $( Every III-finite set is IV-finite.  (Contributed by Stefan O'Rear,
       30-Oct-2014.) $)
    fin34 $p |- ( A e. Fin3 -> A e. Fin4 ) $=
      ( cfin3 wcel cfin4 com cdom wbr wn cpw isfin3 isfin4-2 ibi csdm brrelex2i
      cvv reldom canth2g syl domsdomtr mpdan sdomdom nsyl sylbi mpbird ) ABCZAD
      CEAFGZHZUEAIZDCZUGAJUIEUHFGZUFUIUJHUHDKLUFEUHMGZUJUFAUHMGZUKUFAOCULEAFPNA
      OQREAUHSTEUHUARUBUCABKUD $.

    $( Alternate definition of V-finite which emphasizes the idempotent
       behavior of V-infinite sets.  (Contributed by Stefan O'Rear,
       30-Oct-2014.)  (Revised by Mario Carneiro, 17-May-2015.) $)
    isfin5-2 $p |- ( A e. V ->
        ( A e. Fin5 <-> -. ( A =/= (/) /\ A ~~ ( A |_| A ) ) ) ) $=
      ( wcel c0 wceq cdju csdm wbr wo wne wn cen cfin5 wa wb nne bicomi djudoml
      a1i cdom anidms brsdom baib syl orbi12d isfin5 ianor 3bitr4g ) ABCZADEZAA
      AFZGHZIADJZKZAUKLHZKZIAMCUMUONKUIUJUNULUPUJUNOUIUNUJADPQSUIAUKTHZULUPOUIU
      QAABBRUAULUQUPAUKUBUCUDUEAUFUMUOUGUH $.

    $( Every IV-finite set is V-finite: if we can pack two copies of the set
       into itself, we can certainly leave space.  (Contributed by Stefan
       O'Rear, 30-Oct-2014.)  (Proof shortened by Mario Carneiro,
       18-May-2015.) $)
    fin45 $p |- ( A e. Fin4 -> A e. Fin5 ) $=
      ( cfin4 wcel cfin5 c0 wne cdju cen wbr wa wn c1o csdm cvv simpl wb adantl
      cdom syl mpbird brrelex1i 0sdomg 0sdom1dom djudom2 syl2anc domen2 domnsym
      relen sylib isfin4p1 biimpi nsyl3 isfin5-2 ) ABCZADCAEFZAAAGZHIZJZKURAALG
      ZMIZUNURUSARIZUTKURVAUSUPRIZURLARIZANCZVBUREAMIZVCURVEUOUOUQOURVDVEUOPUQV
      DUOAUPHUHUAQZANUBSTAUCUIVFLAANUDUEUQVAVBPUOAUPUSUFQTUSAUGSUNUTAUJUKULABUM
      T $.

    $( Every V-finite set is VI-finite because multiplication dominates
       addition for cardinals.  (Contributed by Stefan O'Rear, 29-Oct-2014.)
       (Revised by Mario Carneiro, 17-May-2015.) $)
    fin56 $p |- ( A e. Fin5 -> A e. Fin6 ) $=
      ( c0 wceq cdju csdm wbr c2o cxp cfin5 wcel cfin6 c1o cen orc cdom cfn cvv
      wo com con0 sdom2en01 sylibr orcd wn cin onfin2 inss2 eqsstri 2onn sselii
      wb relsdom brrelex1i fidomtri sylancr wa xp2dju sylan eqbrtrrid sdomdomtr
      xpdom1g syldan ex sylbird orrd jaoi isfin5 isfin6 3imtr4i ) ABCZAAADZEFZR
      AGEFZAAAHZEFZRZAIJAKJVJVPVLVJVMVOVJVJALMFZRVMVJVQNAUAUBUCVLVMVOVLVMUDZGAO
      FZVOVLGPJAQJZVSVRUKSPGSTPUEPUFTPUGUHUIUJAVKEULUMZGAQUNUOVLVSVOVLVSVKVNOFV
      OVLVSUPVKGAHZVNOAUQVLVTVSWBVNOFWAGAAQVAURUSAVKVNUTVBVCVDVEVFAVGAVHVI $.

    $( Every I-finite set is VII-finite.  (Contributed by Mario Carneiro,
       17-May-2015.) $)
    fin17 $p |- ( A e. Fin -> A e. Fin7 ) $=
      ( vb cfn wcel cfin7 cv cen wbr con0 com cdif wrex wn wa wi enfi sylan9bbr
      eldif onfin biimpd con3d impancom sylbi rexlimiv con2i isfin7 mpbird ) AC
      DZAEDABFZGHZBIJKZLZMULUHUJUHMZBUKUIUKDUIIDZUIJDZMZNUJUMOUIIJRUNUJUPUMUNUJ
      NZUHUOUQUHUOUJUHUICDUNUOAUIPUISQTUAUBUCUDUEBACUFUG $.

    $( Every VI-finite set is VII-finite.  (Contributed by Stefan O'Rear,
       29-Oct-2014.)  (Revised by Mario Carneiro, 17-May-2015.) $)
    fin67 $p |- ( A e. Fin6 -> A e. Fin7 ) $=
      ( vb wcel c2o csdm wbr cfn cdom com wss sylancr syl cen con0 wn ensym cvv
      wa word wb cfin6 cxp wo cfin7 isfin6 2onn ssid ssnnfi mp2an sdomdom domfi
      fin17 cv cdif wrex sdomnen cdm eldifi isnumi syl2an vex eldif ordom eloni
      ccrd ordtri1 biimpar sylbi ssdomg domen2 syl5ibr impcom infxpidm2 syl2anc
      mpsyl rexlimiva nsyl relsdom brrelex1i isfin7 mpbird jaoi ) AUACADEFZAAAU
      BZEFZUCAUDCZAUEWCWFWEWCAGCZWFWCDGCZADHFWGDICDDJWHUFDUGDDUHUIADUJDAUKKAULL
      WEWFABUMZMFZBNIUNZUOZOZWEAWDMFZWLAWDUPWJWNBWKWIWKCZWJRZWDAMFZWNWPAVEUQCZI
      AHFZWQWOWINCZWIAMFWRWJWINIURAWIPWIAUSUTWJWOWSWOWSWJIWIHFZWIQCWOIWIJZXABVA
      WOWTWIICOZRXBWINIVBWTXBXCWTISWISXBXCTVCWIVDIWIVFKVGVHIWIQVIVOAWIIVJVKVLAV
      MVNWDAPLVPVQWEAQCWFWMTAWDEVRVSBAQVTLWAWBVH $.
  $}

  ${
    $d x A $.
    $( A set is VII-finite iff it is non-well-orderable or finite.
       (Contributed by Mario Carneiro, 17-May-2015.) $)
    isfin7-2 $p |- ( A e. V -> ( A e. Fin7 <->
      ( A e. dom card -> A e. Fin ) ) ) $=
      ( vx wcel cfin7 ccrd cdm cfn wi cv cen wbr con0 cdif wrex wn isfin7 ensym
      com wa ibi isnum2 simprl enfi onfin sylan9bbr biimprd con3d impcom eldifd
      simprr sylanr2 ex reximdv2 com12 sylbi con1d syl5com eldifi isnumi syl2an
      jca rexlimiva con3i syl5ibr fin17 a1i jad impbid2 ) ABDZAEDZAFGDZAHDZIVKA
      CJZKLZCMSNZOZPZVLVMVKVRCAEQUAVLVMVQVLVNAKLZCMOZVMPZVQICAUBWAVTVQWAVSVOCMV
      PWAVNMDZVSTVNVPDZVOTZVSWAWBVOWDVNARWAWBVOTZTZWCVOWFVNMSWAWBVOUCWEWAVNSDZP
      WEWGVMWEVMWGVOVMVNHDWBWGAVNUDVNUEUFUGUHUIUJWAWBVOUKVBULUMUNUOUPUQURVJVLVM
      VKVLPVKVJVRVQVLVOVLCVPWCWBVSVLVOVNMSUSAVNRVNAUTVAVCVDCABQVEVMVKIVJAVFVGVH
      VI $.
  $}

  $( A well-orderable set is VII-finite iff it is I-finite.  Thus, even without
     choice, on the class of well-orderable sets all eight definitions of
     finite set coincide.  (Contributed by Mario Carneiro, 18-May-2015.) $)
  fin71num $p |- ( A e. dom card -> ( A e. Fin7 <-> A e. Fin ) ) $=
    ( ccrd cdm wcel cfin7 cfn wi isfin7-2 biimt bitr4d ) ABCZDZAEDLAFDZGMAKHLMI
    J $.

  $( Class form of ~ isfin7-2 .  (Contributed by Mario Carneiro,
     17-May-2015.) $)
  dffin7-2 $p |- Fin7 = ( Fin u. ( _V \ dom card ) ) $=
    ( vx cfin7 cfn cvv ccrd cdm cdif cun cv wcel wi wn wo imor wb isfin7-2 elun
    elv orcom vex eldif mpbiran orbi1i 3bitri 3bitr4i eqriv ) ABCDEFZGZHZAIZUGJ
    ZUJCJZKZUKLZULMZUJBJZUJUIJZUKULNUPUMOAUJDPRUQULUJUHJZMURULMUOUJCUHQULURSURU
    NULURUJDJUNATUJDUGUAUBUCUDUEUF $.

  $( Axiom of Choice equivalent: the VII-finite sets are the same as I-finite
     sets.  (Contributed by Mario Carneiro, 18-May-2015.) $)
  dfacfin7 $p |- ( CHOICE <-> Fin7 = Fin ) $=
    ( vx cvv ccrd cdm cdif cfn wss cun wac cfin7 ssequn2 dfac10 cv finnum ssriv
    wceq mpbi eqeq1i bitr4i ssv eqss mpbiran ssundif 3bitri dffin7-2 3bitr4i )
    BCDZEZFGZFUHHZFPIJFPUHFKIUGFHZBPZBUKGZUIIUGBPULLUKUGBFUGGUKUGPAFUGAMNOFUGKQ
    RSULUKBGUMUKTUKBUAUBBUGFUCUDJUJFUERUF $.

  ${
    $d a x $.  $d a A $.  $d a b S $.
    fin1a2lem.a $e |- S = ( x e. On |-> suc x ) $.
    $( Lemma for ~ fin1a2 .  (Contributed by Stefan O'Rear, 7-Nov-2014.) $)
    fin1a2lem1 $p |- ( A e. On -> ( S ` A ) = suc A ) $=
      ( va con0 wcel csuc cfv wceq suceloni cv suceq cbvmptv eqtri fvmptg mpdan
      cmpt ) BFGBHZFGBCISJBKEBELZHZSFFCTBMCAFALZHZREFUARDAEFUCUAUBTMNOPQ $.

    $( Lemma for ~ fin1a2 .  (Contributed by Stefan O'Rear, 7-Nov-2014.) $)
    fin1a2lem2 $p |- S : On -1-1-> On $=
      ( va vb con0 wf1 wf cv cfv wceq weq wi wral csuc suceloni wcel fin1a2lem1
      fmpti wa eqeqan12d suc11 bitrd biimpd rgen2 dff13 mpbir2an ) FFBGFFBHDIZB
      JZEIZBJZKZDELZMZEFNDFNAFFAIZOBCUOPSUNDEFFUHFQZUJFQZTZULUMURULUHOZUJOZKUMU
      PUQUIUSUKUTAUHBCRAUJBCRUAUHUJUBUCUDUEDEFFBUFUG $.
  $}

  ${
    $d a x $.  $d a f y A $.  $d a b y E $.  $d a b S $.
    fin1a2lem.b $e |- E = ( x e. _om |-> ( 2o .o x ) ) $.
    $( Lemma for ~ fin1a2 .  (Contributed by Stefan O'Rear, 7-Nov-2014.) $)
    fin1a2lem3 $p |- ( A e. _om -> ( E ` A ) = ( 2o .o A ) ) $=
      ( va c2o cv comu co com oveq2 cmpt cbvmptv eqtri ovex fvmpt ) EBFEGZHIZFB
      HIJCQBFHKCAJFAGZHIZLEJRLDAEJTRSQFHKMNFBHOP $.

    $( Lemma for ~ fin1a2 .  (Contributed by Stefan O'Rear, 7-Nov-2014.) $)
    fin1a2lem4 $p |- E : _om -1-1-> _om $=
      ( va vb com cv cfv wceq wral c2o comu co wcel fin1a2lem3 con0 c0 a1i nnon
      c1o wf1 wf weq wi 2onn nnmcl mpan fmpti wa eqeqan12d wb 2on adantr adantl
      csuc 0lt1o elelsuc ax-mp df-2o eleqtrri omcan syl31anc bitrd biimpd rgen2
      dff13 mpbir2an ) FFBUAFFBUBDGZBHZEGZBHZIZDEUCZUDZEFJDFJAFFKAGZLMZBCKFNVOF
      NVPFNUEKVOUFUGUHVNDEFFVHFNZVJFNZUIZVLVMVSVLKVHLMZKVJLMZIZVMVQVRVIVTVKWAAV
      HBCOAVJBCOUJVSKPNZVHPNZVJPNZQKNZWBVMUKWCVSULRVQWDVRVHSUMVRWEVQVJSUNWFVSQT
      UOZKQTNQWGNUPQTUQURUSUTRKVHVJVAVBVCVDVEDEFFBVFVG $.

    $( Lemma for ~ fin1a2 .  (Contributed by Stefan O'Rear, 7-Nov-2014.) $)
    fin1a2lem5 $p |- ( A e. _om -> ( A e. ran E <-> -. suc A e. ran E ) ) $=
      ( va com wcel c2o cv wceq wn wb ax-mp fvelrnb eqcom eqeq2d syl5bb rexbiia
      wrex bitri comu co csuc crn cfv wfn wf1 fin1a2lem4 f1fn fin1a2lem3 notbii
      nneob 3bitr4g ) BFGBHEIZUAUBZJZEFSZBUCZUOJZEFSZKBCUDZGZURVAGZKEBULVBUNCUE
      ZBJZEFSZUQCFUFZVBVFLFFCUGVGACDUHFFCUIMZEFBCNMVEUPEFVEBVDJUNFGZUPVDBOVIVDU
      OBAUNCDUJZPQRTVCUTVCVDURJZEFSZUTVGVCVLLVHEFURCNMVKUSEFVKURVDJVIUSVDUROVIV
      DUOURVJPQRTUKUM $.

    fin1a2lem.aa $e |- S = ( x e. On |-> suc x ) $.
    $( Lemma for ~ fin1a2 .  Establish that ` _om ` can be broken into two
       equipollent pieces.  (Contributed by Stefan O'Rear, 7-Nov-2014.) $)
    fin1a2lem6 $p |- ( S |` ran E ) : ran E -1-1-onto-> ( _om \ ran E ) $=
      ( va vb wf1o com con0 mp2an wceq wb wrex wcel wa eleq1 c0 c2o ax-mp wf cv
      crn cima cres cdif wf1 wss fin1a2lem2 fin1a2lem4 f1f omsson sstrdi f1ores
      frn mp2b cfv wn csuc sseli fin1a2lem1 syl eqeq1d peano2 fin1a2lem5 biimpd
      rexbiia mpcom jca notbid anbi12d syl5ibcom rexlimiv wne peano1 fin1a2lem3
      comu co 2on om0 eqtri wfun cdm f1fun f1dm eleqtrri fvelrn eqeltrri mpbiri
      necon3bi nnsuc sylan2 anbi1d simplr adantl mpbird syl6bi simprr reximssdv
      com12 impr eqcomd impbii bitri wfn f1fn fvelimab eldif 3bitr4i eqriv mpbi
      f1oeq3 ) CUCZBXMUDZBXMUEZHZXMIXMUFZXOHZJJBUGZXMJUHZXPABEUIZIICUGZIICUAZXT
      ACDUJZIICUKZYCXMIJIICUOZULUMUPZJJXMBUNKXNXQLXPXRMFXNXQGUBZBUQZFUBZLZGXMNZ
      YJIOZYJXMOZURZPZYJXNOZYJXQOYLYHUSZYJLZGXMNZYPYKYSGXMYHXMOZYIYRYJUUAYHJOYI
      YRLXMJYHYGUTAYHBEVAVBVCVGYTYPYSYPGXMUUAYRIOZYRXMOZURZPZYSYPUUAUUBUUDUUAYH
      IOZUUBXMIYHYBYCXMIUHYDYEYFUPUTZYHVDVBUUFUUAUUDUUGUUFUUAUUDAYHCDVEZVFVHVIY
      SUUBYMUUDYOYRYJIQYSUUCYNYRYJXMQVJVKVLVMYPYJYRLZYSGXMIYOYMYJRVNUUIGINYNYJR
      YJRLYNRXMORCUQZRXMUUJSRVQVRZRRIOUUJUUKLVOARCDVPTSJOUUKRLVSSVTTWACWBZRCWCZ
      OUUJXMOYBUULYDIICWDTRIUUMVOYBUUMILYDIICWETWFRCWGKWHYJRXMQWIWJGYJWKWLYPUUF
      UUIUUAUUIYPUUFPZUUAUUIUUNUUEUUFPZUUAUUIYPUUEUUFUUIYMUUBYOUUDYJYRIQUUIYNUU
      CYJYRXMQVJVKWMUUOUUAUUDUUBUUDUUFWNUUFUUAUUDMUUEUUHWOWPWQWTXAYPUUFUUIPPYJY
      RYPUUFUUIWRXBWSXCXDBJXEZXTYQYLMXSUUPYAJJBXFTYGGJXMYJBXGKYJIXMXHXIXJXNXQXM
      XOXLTXK $.

    $( Lemma for ~ fin1a2 .  Split a III-infinite set in two pieces.
       (Contributed by Stefan O'Rear, 7-Nov-2014.) $)
    fin1a2lem7 $p |- ( ( A e. V /\ A. y e. ~P A
      ( y e. Fin3 \/ ( A \ y ) e. Fin3 ) ) -> A e. Fin3 ) $=
      ( vf wcel cfin3 cdif com wn wfo wb cima cvv sylancr wceq cv wo wral cwdom
      cpw wbr wex c0 wne peano1 ne0i brwdomn0 mp2b wrex crn wf vex fof cnvimass
      ccnv dmfex fssdm sselpwd cres ccom wfun wf1o fin1a2lem4 f1cnv f1ofo fofun
      wf1 ax-mp resex cofunexg mp2an cdm wss fores sylancl foimacnv mpan2 foeq3
      f1f frn syl mpbid foco fowdom cnvex imaex con2bii sylib fin1a2lem6 f1ocnv
      isfin3-2 difss sseqtrrid syl2anc funcnvcnv imadif imaeq2d fimacnv difeq1d
      fdmd 3eqtr3rd difexg con2bid wa eleq1 difeq2 eleq1d orbi12d notbid bitrdi
      3syl ioran rspcev syl12anc rexnal exlimiv sylbi con2i syl5ibr imp ) CFJZB
      UAZKJZCYGLZKJZUBZBCUEZUCZCKJZYMYNYFMCUDUFZNYOYMYOCMIUAZOZIUGZYMNZUHMJMUHU
      IYOYRPUJMUHUKIMCULUMYQYSIYQYKNZBYLUNZYSYQYPUTZEUOZQZYLJUUDKJZNZCUUDLZKJZN
      ZUUAYQUUDCRYQYPRJCMYPUPZCRJZIUQZCMYPURZCMRYPVASZYQCMUUDYPYPUUCUSZUUMVBVCY
      QMUUDUDUFZUUFYQEUTZYPUUDVDZVEZRJZUUDMUUSOZUUPUUQVFZUURRJUUTUUCMUUQOZUVBMM
      EVLZUUCMUUQVGUVCAEGVHZMMEVIUUCMUUQVJUMZUUCMUUQVKVMYPUUDUULVNUUQUURRVOVPYQ
      UVCUUDUUCUUROZUVAUVFYQUUDYPUUDQZUUROZUVGYQYPVFZUUDYPVQZVRUVICMYPVKZUUOUUD
      YPVSVTYQUVHUUCTZUVIUVGPYQUUCMVRZUVMUVDMMEUPUVNUVEMMEWDMMEWEUMCMUUCYPWAWBU
      VHUUCUUDUURWCWFWGUUDUUCMUUQUURWHSUUSRMUUDWISUUEUUPUUDRJUUEUUPNPUUBUUCYPUU
      LWJWKUUDRWPVMWLWMYQMUUGUDUFZUUIYQUUQDUUCVDZUTZVEZYPUUGVDZVEZRJZUUGMUVTOZU
      VOUVRVFZUVSRJUWAMUUCLZMUVROZUWCUVCUWDUUCUVQOZUWEUVFUUCUWDUVPVGUWDUUCUVQVG
      UWFADEGHWNUUCUWDUVPWOUWDUUCUVQVJUMUWDUUCMUUQUVQWHVPZUWDMUVRVKVMYPUUGUULVN
      UVRUVSRVOVPYQUWEUUGUWDUVSOZUWBUWGYQUUGYPUUGQZUVSOZUWHYQUVJUUGUVKVRUWJUVLY
      QCUUGUVKCUUDWQYQCMYPUUMXEWRUUGYPVSWSYQUWIUWDTUWJUWHPYQYPUUBUWDQZQZYPUUBMQ
      ZUUDLZQUWDUWIYQUWKUWNYPYQUVJUUBUTVFUWKUWNTUVLYPWTMUUCUUBXAXPXBYQUWDMVRUWL
      UWDTMUUCWQCMUWDYPWAWBYQUWNUUGYPYQUWMCUUDYQUUJUWMCTUUMCMYPXCWFXDXBXFUWIUWD
      UUGUVSWCWFWGUUGUWDMUVRUVSWHSUVTRMUUGWISYQUUHUVOYQUUKUUGRJUUHUVONPUUNCUUDR
      XGUUGRWPXPXHWGYTUUFUUIXIZBUUDYLYGUUDTZYTUUEUUHUBZNUWOUWPYKUWQUWPYHUUEYJUU
      HYGUUDKXJUWPYIUUGKYGUUDCXKXLXMXNUUEUUHXQXOXRXSYKBYLXTWMYAYBYCCFWPYDYE $.
  $}

  ${
    $d a b c d e f g h x y A $.  $d d e f g h B $.  $d c x V $.  $d b c d X $.
    $d e f g h x C $.
    $( Lemma for ~ fin1a2 .  Split a III-infinite set in two pieces.
       (Contributed by Stefan O'Rear, 7-Nov-2014.) $)
    fin1a2lem8 $p |- ( ( A e. V /\ A. x e. ~P A
      ( x e. Fin3 \/ ( A \ x ) e. Fin3 ) ) -> A e. Fin3 ) $=
      ( vy con0 cv csuc cmpt com c2o comu co eqid fin1a2lem7 ) DABDEDFZGHZDIJOK
      LHZCQMPMN $.

    $( Lemma for ~ fin1a2 .  In a chain of finite sets, initial segments are
       finite.  (Contributed by Stefan O'Rear, 8-Nov-2014.) $)
    fin1a2lem9 $p |- ( ( [C.] Or X /\ X C_ Fin /\ A e. _om ) ->
        { b e. X | b ~<_ A } e. Fin ) $=
      ( vc vd cfn wss com wcel cv cdom wbr con0 3ad2ant3 ccrd cfv wa wb syl2anc
      finnum crpss wor w3a csuc crab cin onfin2 inss2 peano2 sselid breq1 elrab
      eqsstri simprr cdm simpl2 simprl sseldd syl simpl3 carddom2 mpbird cardnn
      ex sseq2d cardon nnon onsssuc sylancr bitrd sylibd syl5bi wceq wo wi ssel
      elrabi anim12d imp 3ad2antl2 sorpssi cen carden2 syl2an adantr fin23lem25
      3ad2antl1 3expa biimpd sylbid fveq2 impbid1 syl2ani dom2d mpd domfi ) BUA
      UBZBFGZAHIZUCZAUDZFIZCJZAKLZCBUEZXAKLZXEFIWSWQXBWRWSHFXAHMFUFFUGMFUHUMZAU
      IZUJNWTXAHIZXFWSWQXIWRXHNWTDEXEXADJZOPZEJZOPZHXJXEIZXJBIZXJAKLZQZWTXKXAIZ
      XDXPCXJBXCXJAKUKULWTXQXKAOPZGZXRWTXQXTWTXQQZXTXPWTXOXPUNYAXJOUOZIZAYBIZXT
      XPRYAXJFIZYCYABFXJWQWRWSXQUPWTXOXPUQURXJTZUSYAAFIYDYAHFAXGWQWRWSXQUTUJATU
      SXJAVASVBVDWSWQXTXRRWRWSXTXKAGZXRWSXSAXKAVCVEWSXKMIAMIYGXRRXJVFAVGXKAVHVI
      VJNVKVLXNWTXOXLBIZXKXMVMZXJXLVMZRZXLXEIXDCXJBVQXDCXLBVQWTXOYHQZYKWTYLQZYI
      YJYMYEXLFIZQZXJXLGXLXJGVNZYIYJVOWRWQYLYOWSWRYLYOWRXOYEYHYNBFXJVPBFXLVPVRV
      SVTWQWRYLYPWSBXJXLWAWGYOYPQZYIXJXLWBLZYJYOYIYRRZYPYEYCXLYBIYSYNYFXLTXJXLW
      CWDWEYQYRYJYEYNYPYRYJRXJXLWFWHWIWJSXJXLOWKWLVDWMWNWOXAXEWPS $.

    $( Lemma for ~ fin1a2 .  A nonempty finite union of members of a chain is a
       member of the chain.  (Contributed by Stefan O'Rear, 8-Nov-2014.) $)
    fin1a2lem10 $p |- ( ( A =/= (/) /\ A e. Fin /\ [C.] Or A ) ->
        U. A e. A ) $=
      ( vc wcel c0 wne crpss wor cuni cv wi wtru cun wceq a1i neeq1 soeq2 unieq
      eleq12d imbi12d wa va vb cfn csn eqneqall tru 2thd id w3a vex unisn vsnid
      eqeltri uneq1 uncom un0 eqtri eqtrdi unieqd mpbiri a1d adantl simpr ssun1
      wss simpl2 soss mpsyl uniun uneq2i wo simprr elun1 ad2antll ssun2 sorpssi
      sselii syl12anc ssequn1 eleq1 syl5ibr impcom eqeltrid jaodan syl2anc expr
      sylbi embantd pm2.61dane 3exp com24 findcard2 3imp21 ) AUCCADEZAFGZAHZACZ
      UAIZDEZWRFGZWRHZWRCZJZJZKUBIZDEZXEFGZXEHZXECZJZJZXEBIZUDZLZDEZXNFGZXNHZXN
      CZJZJWNWOWQJZJUAUBBAWRDMZXDKXCWRDUEKYAUFNUGWRXEMZWSXFXCXJWRXEDOYBWTXGXBXI
      WRXEFPYBXAXHWRXEWRXEQYBUHRSSWRXNMZWSXOXCXSWRXNDOYCWTXPXBXRWRXNFPYCXAXQWRX
      NWRXNQYCUHRSSWRAMZWSWNXCXTWRADOYDWTWOXBWQWRAFPYDXAWPWRAWRAQYDUHRSSUFXEUCC
      ZXPXOXKXRYEXPXOXKXRJZYEXPXOUIZYFXEDXEDMZYFYGYHXRXKYHXRXMHZXMCYIXLXMXLBUJU
      KZBULZUMYHXQYIXNXMYHXNXMYHXNDXMLZXMXEDXMUNYLXMDLXMDXMUOXMUPUQURZUSYMRUTVA
      VBYGXFTZXFXJXRYGXFVCYNXGXIXRXEXNVEYNXPXGXEXMVDYEXPXOXFVFXEXNFVGVHYGXFXIXR
      YGXFXITZTZXQXHXLLZXNXQXHYILYQXEXMVIYIXLXHYJVJUQYPXIXHXLVEZXLXHVEZVKZYQXNC
      ZYGXFXIVLYPXPXHXNCZXLXNCZYTYEXPXOYOVFXIUUBYGXFXHXEXMVMZVNUUCYPXMXNXLXMXEV
      OYKVQZNXNXHXLVPVRXIYRUUAYSYRXIUUAYRYQXLMZXIUUAJXHXLVSXIUUAUUFUUCUUCXIUUEN
      YQXLXNVTWAWGWBXIYSTYQXLXHLZXNXHXLUOYSXIUUGXNCZYSUUGXHMZXIUUHJXLXHVSXIUUHU
      UIUUBUUDUUGXHXNVTWAWGWBWCWDWEWCWFWHWHWIWJWKWLWM $.

    $( Lemma for ~ fin1a2 .  (Contributed by Stefan O'Rear, 8-Nov-2014.) $)
    fin1a2lem11 $p |- ( ( [C.] Or A /\ A C_ Fin ) -> ran ( b e. _om |->
        U. { c e. A | c ~<_ b } ) = ( A u. { (/) } ) ) $=
      ( vd crpss cfn wss wa com cv cdom wbr crab cuni wceq c0 wcel sylibr simpr
      wo wor cmpt crn wrex cab csn cun eqid rnmpt unieq eqtrdi adantl 0ex elsn2
      uni0 olcd wne fin1a2lem9 ad4ant123 simplll soss mpsyl fin1a2lem10 syl3anc
      ssrab2 sselid orcd pm2.61dane eleq1 orbi12d syl5ibrcom rexlimdva ccrd cfv
      sselda ficardom syl breq1 cen ficardid ensym endom 3syl elrabd wral elrab
      elssuni simprr adantr domentr syl2anc wb simpllr simprl sorpssi fincssdom
      sseldd simplr syl12anc mpbid ex syl5bi ralrimiv unissb eqssd breq2 unieqd
      rabbidv rspceeqv velsn peano1 dom0 biimpi a1i 3imtr4g ssrdv uni0b sylancr
      wi eqcomd eqeq1 rexbidv jaod impbid elun bitr4di abbi1dv eqtrid ) AEUAZAF
      GZHZBICJZBJZKLZCAMZNZUBZUCDJZYPOZBIUDZDUEAPUFZUGZBDIYPYQYQUHUIYKYTDUUBYKY
      TYRAQZYRUUAQZTZYRUUBQYKYTUUEYKYSUUEBIYKYMIQZHZUUEYSYPAQZYPUUAQZTZUUGUUJYO
      PUUGYOPOZHZUUIUUHUULYPPOZUUIUUKUUMUUGUUKYPPNPYOPUJUOUKULYPPUMUNRUPUUGYOPU
      QZHZUUHUUIUUOYOAYPYNCAVEZUUOUUNYOFQZYOEUAZYPYOQUUGUUNSYIYJUUFUUQUUNYMACUR
      USYOAGUUOYIUURUUPYIYJUUFUUNUTYOAEVAVBYOVCVDVFVGVHYSUUCUUHUUDUUIYRYPAVIYRY
      PUUAVIVJVKVLYKUUCYTUUDYKUUCYTYKUUCHZYRVMVNZIQZYRYLUUTKLZCAMZNZOYTUUSYRFQZ
      UVAYKAFYRYIYJSVOZYRVPVQUUSYRUVDUUSYRUVCQYRUVDGUUSUVBYRUUTKLZCYRAYLYRUUTKV
      RYKUUCSUUSUUTYRVSLZYRUUTVSLUVGUUSUVEUVHUVFYRVTVQZUUTYRWAYRUUTWBWCWDYRUVCW
      GVQUUSYMYRGZBUVCWEUVDYRGUUSUVJBUVCYMUVCQYMAQZYMUUTKLZHZUUSUVJUVBUVLCYMAYL
      YMUUTKVRWFUUSUVMUVJUUSUVMHZYMYRKLZUVJUVNUVLUVHUVOUUSUVKUVLWHUUSUVHUVMUVIW
      IYMUUTYRWJWKUVNYMFQUVEUVJYRYMGTZUVOUVJWLUVNAFYMYIYJUUCUVMWMUUSUVKUVLWNZWQ
      UUSUVEUVMUVFWIUVNYIUVKUUCUVPYIYJUUCUVMUTUVQYKUUCUVMWRAYMYRWOWSYMYRWPVDWTX
      AXBXCBUVCYRXDRXEBUUTIYPUVDYRYMUUTOZYOUVCUVRYNUVBCAYMUUTYLKXFXHXGXIWKXAUUD
      YRPOZYKYTDPXJYKYTUVSPYPOZBIUDZYKPIQPYLPKLZCAMZNZOUWAXKYKUWDPYKUWCUUAGUWDP
      OYKBUWCUUAYKUVKYMPKLZHZYMPOZYMUWCQYMUUAQUWFUWGXSYKUWEUWGUVKUWEUWGYMXLXMUL
      XNUWBUWECYMAYLYMPKVRWFBPXJXOXPUWCXQRXTBPIYPUWDPUWGYOUWCUWGYNUWBCAYMPYLKXF
      XHXGXIXRUVSYSUVTBIYRPYPYAYBVKXBYCYDYRAUUAYEYFYGYH $.

    $( Lemma for ~ fin1a2 .  (Contributed by Stefan O'Rear, 8-Nov-2014.)
       (Revised by Mario Carneiro, 17-May-2015.) $)
    fin1a2lem12 $p |- ( ( ( A C_ ~P B /\ [C.] Or A /\ -. U. A e. A ) /\
        ( A C_ Fin /\ A =/= (/) ) ) -> -. B e. Fin3 ) $=
      ( ve vf vd wss cuni wcel wn c0 wa cfin3 com cv cdom wbr crab cvv wceq id
      cpw crpss wor w3a cfn wne cmpt crn wf cfv csuc wral simpll1 adantr ssrab2
      simpr unissi sspwuni biimpi sstrid wb elpw2g ad2antlr mpbird fmpttd sucex
      syl wi vex sssucid ssdomg mp2 domtr mpan2 ss2rabi uniss mp1i pwexg adantl
      ssexd rabexg uniexg 3syl breq2 rabbidv unieqd eqid fvmptg syl2anr 3sstr4d
      a1i peano2 ralrimiva fin34i syl3anc csn cun fin1a2lem11 adantrr 3ad2antl2
      simpll3 simplrr ss0b bitri pw0 sseq2i sssn df-ne unisn snid eqeltri unieq
      wo 0ex eleq12d mpbiri orim2i ord syl5bi sylbi sylbir com12 con3d sylanbrc
      sylc ioran uniun uneq2i un0 3eqtri eleq1i elun elsn2 orbi2i 3bitri notbid
      sylnibr syl5ibrcom mpd pm2.65da ) ABUAZFZAUBUCZAGZAHZIZUDZAUEFZAJUFZKZKZB
      LHZCMDNZCNZOPZDAQZGZUGZUHZGZUUSHZUUKUULKZUULMUUAUURUIENZUURUJZUVCUKZUURUJ
      ZFZEMULUVAUUKUULUPUVBCMUUQUUAUVBUUNMHZKZUUQUUAHZUUQBFZUVIUUBUVKUVBUUBUVHU
      UBUUCUUFUUJUULUMZUNUUBUUQUUDBUUPAUUODAUOUQUUBUUDBFABURUSUTVGUULUVJUVKVAUU
      KUVHUUQBLVBVCVDVEUVBUVGEMUVBUVCMHZKZUUMUVCOPZDAQZGZUUMUVEOPZDAQZGZUVDUVFU
      VPUVSFUVQUVTFUVNUVOUVRDAUVOUVRVHUUMAHUVOUVCUVEOPZUVRUVERHUVCUVEFUWAUVCEVI
      VFUVCVJUVCUVERVKVLUUMUVCUVEVMVNWKVOUVPUVSVPVQUVMUVMUVQRHZUVDUVQSUVBUVMTUV
      BARHZUVPRHUWBUVBAUUARUULUUARHUUKBLVRVSUVLVTZUVODARWAUVPRWBWCCUVCUUQUVQMRU
      URUUNUVCSZUUPUVPUWEUUOUVODAUUNUVCUUMOWDWEWFUURWGZWHWIUVMUVEMHUVTRHZUVFUVT
      SUVBUVCWLUVBUWCUVSRHUWGUWDUVRDARWAUVSRWBWCCUVEUUQUVTMRUURUUNUVESZUUPUVSUW
      HUUOUVRDAUUNUVEUUMOWDWEWFUWFWHWIWJWMEBUURWNWOUVBUUSAJWPZWQZSZUVAIZUUKUWKU
      ULUUCUUBUUJUWKUUFUUCUUHUWKUUIACDWRWSWTUNUVBUWLUWKUWJGZUWJHZIUVBUUEUUDJSZX
      MZUWNUVBUUFUWOIZUWPIUUBUUCUUFUUJUULXAZUVBUUIUUFUWQUUGUUHUUIUULXBUWRUUIUWO
      UUEUWOUUIUUEUWOAJUAZFZUUIUUEVHZUWTUUDJFUWOAJURUUDXCXDUWTAJSZAUWISZXMZUXAU
      WTAUWIFUXDUWSUWIAXEXFAJXGXDUUIUXBIUXDUUEAJXHUXDUXBUUEUXCUUEUXBUXCUUEUWIGZ
      UWIHUXEJUWIJXNXIZJXNXJXKUXCUUDUXEAUWIAUWIXLUXCTXOXPXQXRXSXTYAYBYCYEUUEUWO
      YFYDUWNUUDUWJHUUEUUDUWIHZXMUWPUWMUUDUWJUWMUUDUXEWQUUDJWQUUDAUWIYGUXEJUUDU
      XFYHUUDYIYJYKUUDAUWIYLUXGUWOUUEUUDJXNYMYNYOYQUWKUVAUWNUWKUUTUWMUUSUWJUUSU
      WJXLUWKTXOYPYRYSYT $.

    $( Lemma for ~ fin1a2 .  (Contributed by Stefan O'Rear, 8-Nov-2014.)
       (Revised by Mario Carneiro, 17-May-2015.) $)
    fin1a2lem13 $p |- ( ( ( A C_ ~P B /\ [C.] Or A /\ -. U. A e. A ) /\
        ( -. C e. Fin /\ C e. A ) ) -> -. ( B \ C ) e. Fin2 ) $=
      ( vg vf vx ve vh wss wcel wa cdif cv c0 wceq wrex cvv elrnmpt sylibr wral
      cpw crpss wor cuni w3a cfn cfin2 cmpt crn wne simpr simpll1 elpwid ssdifd
      wn ssel2 sseq1 syl5ibrcom rexlimdva wb eqid elv velpw 3imtr4g syl simplrr
      ssrdv difid eqcomi difeq1 rspceeqv mpan2 0ex ax-mp ne0i simpll2 wo eqeq2d
      3syl cbvrexvw wi sorpssi ssdif orim12i sseq2 orbi12d expr rexlimdv syl5bi
      weq ralrimiv ralbidv sorpss fin2i syl22anc simpll3 cbvmptv ibi adantl vex
      difexg mp2b elssuni simplr sseqtrd adantll cun unss2 uncom eqtri ad2antrr
      undif1 a1i eqeq1 simpllr ssdif0 biimpi ad2antlr eqtrd uni0c sylib rspcdva
      ralrimiva unissb eqssd simpll eqeltrd syl2anc mtod simplrl syl12anc orel1
      ex sylc undif sseq12d ssun1 sstr mpan syl5 syl6bi mpd ad2antrl rexlimdvaa
      simprl pm2.65da ) ABUAZIZAUBUCZAUDZAJZUOZUEZCUFJUOZCAJZKZKZBCLZUGJZDADMZC
      LZUHZUIZUDZUVCJZUUQUUSKZUUSUVCUURUAZIZUVCNUJZUVCUBUCZUVEUUQUUSUKUVFUUHUVH
      UUHUUIUULUUPUUSULUUHEUVCUVGUUHEMZUVAOZDAPZUVKUURIZUVKUVCJZUVKUVGJUUHUVLUV
      NDAUUHUUTAJZKZUVNUVLUVAUURIUVQUUTBCUVQUUTBAUUGUUTUPUMUNUVKUVAUURUQURUSUVO
      UVMUTEDAUVAUVKUVBQUVBVAZRVBZEUURVCVDVGVEUVFUUONUVCJZUVIUUMUUNUUOUUSVFZUUO
      NUVAODAPZUVTUUONCCLZOUWBUWCNCVHVIDCAUVAUWCNUUTCCVJVKVLNQJUVTUWBUTVMDAUVAN
      UVBQUVRRVNSUVCNVOVSUVFUUIUVJUUHUUIUULUUPUUSVPZUUIFMZUVKIZUVKUWEIZVQZEUVCT
      ZFUVCTUVJUUIUWIFUVCUWEUVCJZUWEUVAOZDAPZUUIUWIUWJUWLUTFDAUVAUWEUVBQUVRRVBU
      WLUWEGMZCLZOZGAPUUIUWIUWKUWODGADGWJUVAUWNUWEUUTUWMCVJVRVTUUIUWOUWIGAUUIUW
      MAJZKZUWIUWOUWNUVKIZUVKUWNIZVQZEUVCTUWQUWTEUVCUVOUVMUWQUWTUVSUWQUVLUWTDAU
      UIUWPUVPUVLUWTWAUUIUWPUVPKKZUWTUVLUWNUVAIZUVAUWNIZVQZUXAUWMUUTIZUUTUWMIZV
      QUXDAUWMUUTWBUXEUXBUXFUXCUWMUUTCWCUUTUWMCWCWDVEUVLUWRUXBUWSUXCUVKUVAUWNWE
      UVKUVAUWNUQWFURWGWHWIWKUWOUWHUWTEUVCUWOUWFUWRUWGUWSUWEUWNUVKUQUWEUWNUVKWE
      WFWLURUSWIWIWKFEUVCWMSVEUURUVCWNWOUVFUVEUUKUUHUUIUULUUPUUSWPZUVEUVDUVKCLZ
      OZEAPZUVFUUKUVEUXJEAUXHUVDUVBUVCDEAUVAUXHUUTUVKCVJWQRWRUVFUXIUUKEAUVFUVKA
      JZUXIKZKZUUJUVKAUXMUUJUVKUXMHMZUVKIZHATUUJUVKIUXMUXOHAUXMUXNAJZKZUXNCLZUX
      HIZUXOUXLUXPUXSUVFUXLUXPKZUXRUVDUXHUXTUXRUVCJZUXRUVDIUXTUXRUVAODAPZUYAUXP
      UYBUXLUXPUXRUXROUYBUXRVADUXNAUVAUXRUXRUUTUXNCVJVKVLWSUXNQJUXRQJUYAUYBUTHW
      TUXNCQXADAUVAUXRUVBQUVRRXBSUXRUVCXCVEUXKUXIUXPXDXEXFUXSCUXRXGZCUXHXGZIZUX
      QUXOUXRUXHCXHUXQUYEUXNCXGZUVKIZUXOUXQUYCUYFUYDUVKUYCUYFOUXQUYCUXRCXGUYFCU
      XRXIUXNCXLXJXMUXQCUVKIZUYDUVKOUXQUVKCIZUOUYIUYHVQZUYHUXQUYIUUKUVFUULUXLUX
      PUXGXKUXQUUOUXIUYIUUKWAUVFUUOUXLUXPUWAXKZUVFUXKUXIUXPVFUUOUXIKZUYIUUKUYLU
      YIKZUUJCAUYMUUJCUYMUWECIZFATUUJCIUYMUYNFAUYMUWEAJZKZUWECLZNOZUYNUYPUWMNOZ
      UYRGUVCUYQUWMUYQNXNUYPUVDNOUYSGUVCTUYPUVDUXHNUUOUXIUYIUYOXOUYIUXHNOZUYLUY
      OUYIUYTUVKCXPXQXRXSGUVCXTYAUYOUYQUVCJZUYMUYOUYQUVAODAPZVUAUYOUYQUYQOVUBUY
      QVADUWEAUVAUYQUYQUUTUWECVJVKVLUWEQJUYQQJVUAVUBUTFWTUWECQXADAUVAUYQUVBQUVR
      RXBSWSYBUWECXPSYCFACYDSUUOCUUJIUXIUYICAXCXKYEUUOUXIUYIYFYGYMYHYIUXQUUIUXK
      UUOUYJUVFUUIUXLUXPUWDXKUVFUXKUXIUXPYJUYKAUVKCWBYKUYIUYHYLYNCUVKYOYAYPUXNU
      YFIUYGUXOUXNCYQUXNUYFUVKYRYSUUAYTUUBYCHAUVKYDSUXKUVKUUJIUVFUXIUVKAXCUUCYE
      UVFUXKUXIUUEYGUUDYTYIUUF $.

    $( Weak theorem which skips Ia but has a trivial proof, needed to prove
       ~ fin1a2 .  (Contributed by Stefan O'Rear, 8-Nov-2014.)  (Revised by
       Mario Carneiro, 17-May-2015.) $)
    fin12 $p |- ( A e. Fin -> A e. Fin2 ) $=
      ( vb vc vd cfn wcel cfin2 cv c0 wne crpss wor wa cpw wral wn wrex wbr cvv
      vex cuni wi wpss ccnv wfr wss a1i isfin1-3 ad2antrr elpwi ad2antlr simprl
      syl22anc brcnv brrpss bitri notbii ralbii rexbii sylib sorpssuni ad2antll
      ibi fri wb mpbid ex ralrimiva isfin2 mpbird ) AEFZAGFBHZIJZVLKLZMZVLUAVLF
      ZUBZBANZNZOVKVQBVSVKVLVSFZMZVOVPWAVOMZCHZDHZUCZPZDVLOZCVLQZVPWBWDWCKUDZRZ
      PZDVLOZCVLQZWHWBVLSFZVRWIUEZVLVRUFZVMWMWNWBBTUGVKWOVTVOVKWOAEUHVCUIVTWPVK
      VOVLVRUJUKWAVMVNULCDVRVLSWIVDUMWLWGCVLWKWFDVLWJWEWJWCWDKRWEWDWCKDTZCTUNWC
      WDWQUOUPUQURUSUTVNWHVPVEWAVMDCVLVAVBVFVGVHBAEVIVJ $.

    $( An II-infinite set can have an I-infinite part broken off and remain
       II-infinite.  (Contributed by Stefan O'Rear, 8-Nov-2014.)  (Proof
       shortened by Mario Carneiro, 17-May-2015.) $)
    fin1a2s $p |- ( ( A e. V /\
      A. x e. ~P A ( x e. Fin \/ ( A \ x ) e. Fin2 ) ) -> A e. Fin2 ) $=
      ( vc wcel cv cfn cfin2 wo cpw wa wi wss cfin3 fin23 syl adantr wn simplrl
      wral cdif wne crpss wor cuni elpwi fin12 orim12i ralimi fin1a2lem8 sylan2
      c0 simprrr simprl ssralv idd w3a fin1a2lem13 ex 3expa adantll imp ancom2s
      adantlrl expr con4d jaod ralimdva syld impr dfss3 sylibr simprrl syl32anc
      fin1a2lem12 impancom an32s mt4d exp32 syl5 ralrimiv wb isfin2 mpbird ) BC
      EZAFZGEZBWFUAZHEZIZABJZTZKZBHEZDFZULUBZWOUCUDZKZWOUEWOEZLZDWKJZTZWMWTDXAW
      OXAEWOWKMZWMWTWOWKUFWMXCWRWSWMXCWRKZKBNEZWSWMXEXDWLWEWFNEZWHNEZIZAWKTXEWJ
      XHAWKWGXFWIXGWGWFHEXFWFUGWFOPWHOUHUIABCUJUKQWEXDWLWSRZXERZLWEXDKZXIWLXJXK
      XIWLXJXKXIWLKZKZXCWQXIWOGMZWPXJWEXCWRXLSXKWQXLWEXCWPWQUMQXKXIWLUNXMWGAWOT
      ZXNXKXIWLXOXKXIKZWLWJAWOTZXOXPXCWLXQLWEXCWRXISWJAWOWKUOPXPWJWGAWOXPWFWOEZ
      KZWGWGWIXSWGUPXSWGWIXPXRWGRZWIRZXPXTXRYAXPXTXRKZYAXDXIYBYALZWEXCWQXIYCWPX
      CWQXIYCXCWQXIUQYBYAWOBWFURUSUTVDVAVBVCVEVFVGVHVIVJAWOGVKVLXKWPXLWEXCWPWQV
      MQWOBVOVNVEVPVQVRVSVTWAWEWNXBWBWLDBCWCQWD $.

    $( Every Ia-finite set is II-finite.  Theorem 1 of [Levy58], p. 3.
       (Contributed by Stefan O'Rear, 8-Nov-2014.)  (Proof shortened by Mario
       Carneiro, 17-May-2015.) $)
    fin1a2 $p |- ( A e. Fin1a -> A e. Fin2 ) $=
      ( vb cfin1a wcel cv cfn cdif cfin2 wo cpw wral wss elpwi wa fin1ai orim2i
      fin12 syl sylan2 ralrimiva fin1a2s mpdan ) ACDZBEZFDZAUDGZHDZIZBAJZKAHDUC
      UHBUIUDUIDUCUDALZUHUDAMUCUJNUEUFFDZIUHAUDOUKUGUEUFQPRSTBACUAUB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Hereditarily size-limited sets without Choice
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x y a b c $.  $d B x y a b c d $.  $d U a b c d $.
    ituni.u $e |- U = ( x e. _V |->
        ( rec ( ( y e. _V |-> U. y ) , x ) |` _om ) ) $.
    $( Function value of iterated unions. _EDITORIAL_:  The iterated unions and
       order types of ordered sets are split out here because they could
       conceivably be independently useful.  (Contributed by Stefan O'Rear,
       11-Feb-2015.) $)
    itunifval $p |- ( A e. V -> ( U ` A ) =
          ( rec ( ( y e. _V |-> U. y ) , A ) |` _om ) ) $=
      ( wcel cvv cfv cv cuni cmpt crdg com cres wceq elex rdgeq2 reseq1d wfun
      rdgfun omex resfunexg mp2an fvmpt syl ) CEGCHGCDIBHBJKLZCMZNOZPCEQACUGAJZ
      MZNOUIHDUJCPUKUHNUJCUGRSFUHTNHGUIHGCUGUAUBUHNHUCUDUEUF $.

    $( Functionality of the iterated union.  (Contributed by Stefan O'Rear,
       11-Feb-2015.) $)
    itunifn $p |- ( A e. V -> ( U ` A ) Fn _om ) $=
      ( wcel cfv com wfn cvv cuni cmpt crdg cres frfnom itunifval fneq1d mpbiri
      cv ) CEGZCDHZIJBKBTLMZCNIOZIJCUCPUAIUBUDABCDEFQRS $.

    $( A zero-fold iterated union.  (Contributed by Stefan O'Rear,
       11-Feb-2015.) $)
    ituni0 $p |- ( A e. V -> ( ( U ` A ) ` (/) ) = A ) $=
      ( wcel c0 cfv cvv cv cuni cmpt crdg com cres itunifval fveq1d fr0g eqtrd
      ) CEGZHCDIZIHBJBKLMZCNOPZICUAHUBUDABCDEFQRCEUCST $.

    $( Successor iterated union.  (Contributed by Stefan O'Rear,
       11-Feb-2015.) $)
    itunisuc $p |- ( ( U ` A ) ` suc B ) = U. ( ( U ` A ) ` B ) $=
      ( va cvv wcel cfv cuni wceq com wa cv unieq fveq1d unieqd wn c0 csuc cmpt
      crdg cres frsuc cbvmptv uniex fvmpt ax-mp eqtrdi adantl itunifval 3eqtr4d
      fvex adantr uni0 eqcomi cdm itunifn eleq2d peano2b bitr4di notbid biimpar
      fndmd ndmfv syl 3eqtr4a pm2.61dan 0fv unieqi 3eqtr4ri fvprc pm2.61i ) CHI
      ZDUAZCEJZJZDVQJZKZLZVODMIZWAVOWBNZVPBHBOZKZUBZCUCMUDZJZDWGJZKZVRVTWBWHWJL
      VOWBWHWIWFJZWJCDWFUEWIHIWKWJLDWGUNZGWIGOZKZWJHWFWMWIPBGHWEWNWDWMPUFWIWLUG
      UHUIUJUKVOVRWHLWBVOVPVQWGABCEHFULZQUOWCVSWIVOVSWILWBVODVQWGWOQUORUMVOWBSZ
      NZTTKZVRVTWRTUPUQWQVPVQURZIZSZVRTLVOXAWPVOWTWBVOWTVPMIWBVOWSMVPVOMVQABCEH
      FUSVEZUTDVAVBVCVDVPVQVFVGWQVSTWQDWSIZSZVSTLVOXDWPVOXCWBVOWSMDXBUTVCVDDVQV
      FVGRVHVIVOSZVPTJZDTJZKZVRVTWRTXHXFUPXGTDVJVKVPVJVLXEVPVQTCEVMZQXEVSXGXEDV
      QTXIQRVHVN $.

    $( Each union iterate is a member of the transitive closure.  (Contributed
       by Stefan O'Rear, 11-Feb-2015.) $)
    itunitc1 $p |- ( ( U ` A ) ` B ) C_ ( TC ` A ) $=
      ( va vb vc cvv wcel cfv ctc wss cv wceq fveq2 com c0 sseq1d fveq1d ituni0
      sseq12d csuc weq tcid eqsstrd elv wi cuni itunisuc cpw wtr tctr pwtr mpbi
      trss ax-mp fvex sspwuni 3imtr3i eqsstrid a1i finds wn cdm wfn vex itunifn
      elpw fndm mp2b eleq2i ndmfv sylnbir 0ss eqsstrdi pm2.61i vtoclg fv2prc )
      CJKZDCELZLZCMLZNZDGOZELZLZWFMLZNZWEGCJWFCPZWHWCWIWDWKDWGWBWFCEQUAWFCMQUCD
      RKZWJHOZWGLZWINSWGLZWINZIOZWGLZWINZWQUDZWGLZWINZWJHIDWMSPWNWOWIWMSWGQTHIU
      EWNWRWIWMWQWGQTWMWTPWNXAWIWMWTWGQTWMDPWNWHWIWMDWGQTWPGWFJKZWOWFWIABWFEJFU
      BWFJUFUGUHWSXBUIWQRKWSXAWRUJZWIABWFWQEFUKWRWIULZKZWRXENZWSXDWINXEUMZXFXGU
      IWIUMXHWFUNWIUOUPXEWRUQURWRWIWQWGUSVJWRWIUTVAVBVCVDWLVEWHSWIWLDWGVFZKWHSP
      XIRDXCWGRVGXIRPGVHABWFEJFVIRWGVKVLVMDWGVNVOWIVPVQVRVSWAVEWCSWDCDEVTWDVPVQ
      VR $.

    $( The union of all union iterates creates the transitive closure; compare
       ~ trcl .  (Contributed by Stefan O'Rear, 11-Feb-2015.) $)
    itunitc $p |- ( TC ` A ) = U. ran ( U ` A ) $=
      ( va vb vc cvv wcel ctc cfv crn cuni wceq cv fveq2 wss c0 com eqeq12d wtr
      rneqd unieqd ituni0 elv fvssunirn eqsstrri dftr3 wrex wfn itunifn fnunirn
      wb vex mp2b elssuni csuc itunisuc sstrdi rexlimivw sylbi mprgbir wa tcmin
      wi mp2an unissb fvelrnb itunitc1 sseq1 syl5ibcom rexlimiv eqssi vtoclg wn
      a1i rn0 unieqi uni0 eqtr2i fvprc 3eqtr4a pm2.61i ) CIJZCKLZCDLZMZNZOZFPZK
      LZWKDLZMZNZOWJFCIWKCOZWLWFWOWIWKCKQWPWNWHWPWMWGWKCDQUCUDUAWLWOWKWORZWOUBZ
      WLWORZWKSWMLZWOWTWKOFABWKDIEUEUFWMSUGUHWRGPZWORZGWOGWOUIXAWOJZXAHPZWMLZJZ
      HTUJZXBWKIJZWMTUKZXCXGUNFUOZABWKDIEULZHXAWMTUMUPXFXBHTXFXAXENZWOXAXEUQXLX
      DURZWMLWOABWKXDDEUSWMXMUGUHUTVAVBVCWQWRVDWSVFFWKWOIVEUFVGWOWLRXAWLRZGWNGW
      NWLVHXAWNJZXEXAOZHTUJZXNXHXIXOXQUNXJXKHTXAWMVIUPXPXNHTXDTJZXEWLRZXPXNXSXR
      ABWKXDDEVJVQXEXAWLVKVLVMVBVCVNVOWEVPZSSMZNZWFWIYBSNSYASVRVSVTWACKWBXTWHYA
      XTWGSCDWBUCUDWCWD $.

    $( Unwrap an iterated union from the "other end".  (Contributed by Stefan
       O'Rear, 11-Feb-2015.) $)
    ituniiun $p |- ( A e. V -> ( ( U ` A ) ` suc B ) =
          U_ a e. A ( ( U ` a ) ` B ) ) $=
      ( vb csuc cfv ciun wceq fveq2 eqeq12d com wcel c0 iuneq2d cuni fveq1d weq
      vd vc cv iuneq1 suceq fveq2d uniiun itunisuc cvv ituni0 elv eqtri iuneq2i
      unieqi 3eqtr4i wi unieq wel a1i iuncom4 eqtr2i eqtrdi eqtrid finds eqcomi
      wn iun0 cdm peano2b wfn vex itunifn fndm mp2b eleq2i bitr4i ndmfv sylnbir
      sylnbi 3eqtr4a pm2.61i vtoclg ) DJZIUEZEKZKZGWFDGUEZEKZKZLZMZWECEKZKZGCWK
      LZMICFWFCMZWHWOWLWPWQWEWGWNWFCENUAGWFCWKUFODPQZWMUCUEZJZWGKZGWFWSWJKZLZMR
      JZWGKZGWFRWJKZLZMUDUEZJZWGKZGWFXHWJKZLZMZXIJZWGKZGWFXIWJKZLZMZWMUCUDDWSRM
      ZXAXEXCXGXSWTXDWGWSRUGUHXSGWFXBXFWSRWJNSOUCUDUBZXAXJXCXLXTWTXIWGWSXHUGUHX
      TGWFXBXKWSXHWJNSOWSXIMZXAXOXCXQYAWTXNWGWSXIUGUHYAGWFXBXPWSXIWJNSOWSDMZXAW
      HXCWLYBWTWEWGWSDUGUHYBGWFXBWKWSDWJNSOWFTZGWFWILXEXGGWFUIXERWGKZTYCABWFREH
      UJYDWFYDWFMIABWFEUKHULUMUPUNGWFXFWIABWIEWFHULUOUQXMXRURXHPQXMXOXJTZXQABWF
      XIEHUJXMYEXLTZXQXJXLUSXQGWFXKTZLYFGWFXPYGXPYGMGIUTABWIXHEHUJVAUOGWFXKVBVC
      VDVEVAVFWRVHZRGWFRLZWHWLYIRGWFVIVGWRWEWGVJZQZWHRMWRWEPQYKDVKYJPWEWFUKQWGP
      VLYJPMIVMABWFEUKHVNPWGVOVPVQVRWEWGVSWAYHGWFWKRWRDWJVJZQWKRMYLPDWIUKQWJPVL
      YLPMGVMABWIEUKHVNPWJVOVPVQDWJVSVTSWBWCWD $.
  $}

  ${
    $d H b $.  $d X b z $.  $d a b z $.
    hsmexlem7.h $e |- H = ( rec ( ( z e. _V |-> ( har ` ~P ( X X. z ) ) ) ,
            ( har ` ~P X ) ) |` _om ) $.
    $( Lemma for ~ hsmex .  Properties of the recurrent sequence of ordinals.
       (Contributed by Stefan O'Rear, 14-Feb-2015.) $)
    hsmexlem7 $p |- ( H ` (/) ) = ( har ` ~P X ) $=
      ( c0 cfv cvv cxp cpw char cmpt crdg com cres fveq1i wcel wceq fvex fr0g
      cv ax-mp eqtri ) EBFEAGCATHIJFKZCIZJFZLMNZFZUEEBUFDOUEGPUGUEQUDJRUEGUCSUA
      UB $.

    $( Lemma for ~ hsmex .  Properties of the recurrent sequence of ordinals.
       (Contributed by Stefan O'Rear, 14-Feb-2015.) $)
    hsmexlem8 $p |- ( a e. _om -> ( H ` suc a ) =
          ( har ` ~P ( X X. ( H ` a ) ) ) ) $=
      ( vb cv com wcel cfv cxp cpw char cvv csuc wceq fvex xpeq2 pweqd fveq2d
      frsucmpt2 mpan2 ) DGZHICUCBJZKZLZMJZNIUCOBJUGPUFMQAFCLMJUCCAGZKZLZMJUGCFG
      ZKZLZMJBNEUKUHPZUMUJMUNULUIUKUHCRSTUKUDPZUMUFMUOULUEUKUDCRSTUAUB $.

    $( Lemma for ~ hsmex .  Properties of the recurrent sequence of ordinals.
       (Contributed by Stefan O'Rear, 14-Feb-2015.) $)
    hsmexlem9 $p |- ( a e. _om -> ( H ` a ) e. On ) $=
      ( vb cv com wcel c0 wceq csuc wrex cfv con0 fveq2 cpw char harcl eqeltrdi
      wo nn0suc hsmexlem7 eqeltri cxp hsmexlem8 eleq1d syl5ibrcom rexlimiv jaoi
      syl ) DGZHIULJKZULFGZLZKZFHMZUAULBNZOIZFULUBUMUSUQUMURJBNZOULJBPUTCQZRNOA
      BCEUCVASUDTUPUSFHUNHIZUSUPUOBNZOIVBVCCUNBNUEQZRNOABCFEUFVDSTUPURVCOULUOBP
      UGUHUIUJUK $.
  $}

  ${
    hsmexlem.o $e |- O = OrdIso ( _E , A ) $.
    $( Lemma for ~ hsmex .  Bound the order type of a limited-cardinality set
       of ordinals.  (Contributed by Stefan O'Rear, 14-Feb-2015.)  (Revised by
       Mario Carneiro, 26-Jun-2015.) $)
    hsmexlem1 $p |- ( ( A C_ On /\ A ~<_* B ) -> dom O e. ( har ` ~P B ) ) $=
      ( con0 wss cwdom wbr wa wcel cpw cdom word cep cvv 3syl wf adantr syl3anc
      syl cdm char cfv oicl wb cuni csuc relwdom brrelex1i adantl uniexg sucexg
      wsmo oif onsucuni fss sylancr crn wceq oismo simpld ssorduni ordsuc sylib
      smorndom ssexd elong mpbiri csdm canth2g sdomdom cen wf1o wiso wwe epweon
      simpl wess mpisyl epse oiiso2 sylancl isof1o simprd f1oeq3d mpbid f1oen2g
      endom domwdom wdomtr sylancom wdompwdom domtr syl2anc elharval sylanbrc
      wse ) AEFZABGHZIZCUAZEJZXABKZLHZXAXCUBUCJWTXBXAMZANCDUDWTXAOJZXBXEUEWTXAA
      UFZUGZOWTAOJZXGOJXHOJWSXIWRABGUHUIUJZAOUKXGOULPWTXAXHCQZCUMZXHMZXAXHFWTXA
      ACQAXHFZXKANCDUNWRXNWSAUORXAAXHCUPUQWTXLCURZAUSZWRXLXPIWSACDUTRZVAWTXGMZX
      MWRXRWSAVBRXGVCVDXAXHCVESVFZXAOVGTVHZWTXAXAKZLHZYAXCLHZXDWTXFXAYAVIHYBXSX
      AOVJXAYAVKPWTXABGHZYCWRWSXAAGHZYDWTXAAVLHZXAALHYEWTXBXIXAACVMZYFXTXJWTXAX
      OCVMZYGWTXAXONNCVNZYHWTANVOZANWQYIWTWRENVOYJWRWSVQVPAENVRVSAVTANCDWAWBXAX
      ONNCWCTWTXOAXACWTXLXPXQWDWEWFXAACEOWGSXAAWHXAAWIPXAABWJWKXABWLTXAYAXCWMWN
      XCXAWOWP $.
  $}

  ${
    $d a b c d e A $.  $d b c d e B $.  $d a b c d e C $.  $d b c d e F $.
    $d b c V $.
    hsmexlem.f $e |- F = OrdIso ( _E , B ) $.
    hsmexlem.g $e |- G = OrdIso ( _E , U_ a e. A B ) $.
    $( Lemma for ~ hsmex .  Bound the order type of a union of sets of
       ordinals, each of limited order type.  Vaguely reminiscent of ~ unictb
       but use of order types allows to canonically choose the sub-bijections,
       removing the choice requirement.  (Contributed by Stefan O'Rear,
       14-Feb-2015.)  (Revised by Mario Carneiro, 26-Jun-2015.)  (Revised by
       AV, 18-Sep-2021.) $)
    hsmexlem2 $p |- ( ( A e. V /\ C e. On /\ A. a e. A ( B e. ~P On /\
              dom F e. C ) ) -> dom G e. ( har ` ~P ( A X. C ) ) ) $=
      ( vb ve vd wcel con0 wa cfv cv cep wceq wrex vc cpw cdm wral w3a ciun wss
      cxp cwdom wbr char elpwi adantr ralimi iunss sylibr 3ad2ant3 cvv c2nd csb
      c1st coi xpexg 3adant3 nfv nfra1 nfan rsp onelss imp adantrl wfo crn wsmo
      wi wf oismo syl ad2antrl simprd oif jctil dffo2 dffo3 simprbi 3syl 3impia
      ssrexv sylc 3exp sylan9r reximdai 3adant1 nfcv nfcsb1v nfoi nfeq2 csbeq1a
      nffv nfrex oieq2 eqtrid fveq1d eqeq2d rexbidv cbvrexw syl6ib eliun op1std
      cop vex csbeq1d op2ndd fveq12d rexxp 3imtr4g wdomd hsmexlem1 syl2anc ) AF
      MZCNMZBNUBMZDUCZCMZOZGAUDZUEZGABUFZNUGZYHACUHZUIUJEUCYJUBUKPMYFXTYIYAYFBN
      UGZGAUDYIYEYKGAYBYKYDBNULZUMUNGABNUOUPUQYGJUAYHYJURUAQZUSPZGYMVAPZBUTZRVB
      ZPZXTYAYJURMYFACFNVCVDYGJQZYHMZYSYRSZUAYJTZYGYSBMZGATZYSKQZGLQZBUTZRVBZPZ
      SZKCTZLATZYTUUBYGUUDYSUUEDPZSZKCTZGATZUULYAYFUUDUUPVOXTYAYFOUUCUUOGAYAYFG
      YAGVEYEGAVFVGYFGQZAMYEYAUUCUUOVOYEGAVHYAYEUUCUUOYAYEUUCUEYCCUGZUUNKYCTZUU
      OYAYEUURUUCYAYDUURYBYAYDUURCYCVIVJVKVDYAYEUUCUUSYAYEOZYCBDVLZUUSJBUDZUUCU
      USVOUUTYCBDVPZDVMBSZOUVAUUTUVDUVCUUTDVNZUVDYBUVEUVDOZYAYDYBYKUVFYLBDHVQVR
      VSVTBRDHWAWBYCBDWCUPUVAUVCUVBKJYCBDWDWEUUSJBVHWFWGUUNKYCCWHWIWJWKWLWMUUOU
      UKGLAUUOLVEUUJGKCGCWNGYSUUIGUUEUUHGUUGRGRWNGUUFBWOWPGUUEWNWSWQWTUUQUUFSZU
      UNUUJKCUVGUUMUUIYSUVGUUEDUUHUVGDBRVBZUUHHUVGBUUGSUVHUUHSGUUFBWRBUUGRXAVRX
      BXCXDXEXFXGGYSABXHUUAUUJUALKACYMUUFUUEXJSZYRUUIYSUVIYNUUEYQUUHUVIYPUUGSYQ
      UUHSUVIGYOUUFBUUFUUEYMLXKZKXKZXIXLYPUUGRXAVRUUFUUEYMUVJUVKXMXNXDXOXPVJXQY
      HYJEIXRXS $.

    $( Lemma for ~ hsmex .  Clear ` I ` hypothesis and extend previous result
       by dominance.  Note that this could be substantially strengthened, e.g.,
       using the weak Hartogs function, but all we need here is that there be
       *some* dominating ordinal.  (Contributed by Stefan O'Rear, 14-Feb-2015.)
       (Revised by Mario Carneiro, 26-Jun-2015.) $)
    hsmexlem3 $p |- ( ( ( A ~<_* D /\ C e. On ) /\ A. a e. A ( B e. ~P On /\
        dom F e. C ) ) -> dom G e. ( har ` ~P ( D X. C ) ) ) $=
      ( cwdom wbr con0 wcel wa cpw cdm cxp char cfv adantr wral wdomref xpwdomg
      wss cdom sylan2 wdompwdom harword 3syl cvv relwdom brrelex1i simplr simpr
      hsmexlem2 syl3anc sseldd ) ADJKZCLMZNZBLOMEPCMNGAUAZNZACQZOZRSZDCQZOZRSZF
      PZUTVEVHUDZVAUTVCVFJKZVDVGUEKVJUSURCCJKVKLCUBADCCUCUFVCVFUGVDVGUHUITVBAUJ
      MZUSVAVIVEMUTVLVAURVLUSADJUKULTTURUSVAUMUTVAUNABCEFUJGHIUOUPUQ $.
  $}

  ${
    $d a c d e f H $.  $d e O $.  $d c d e f S $.  $d c d f U $.  $d a b z X $.
    $d a b c d e f x y z $.
    hsmexlem4.x $e |- X e. _V $.
    hsmexlem4.h $e |- H = ( rec ( ( z e. _V |-> ( har ` ~P ( X X. z ) ) ) ,
            ( har ` ~P X ) ) |` _om ) $.
    hsmexlem4.u $e |- U = ( x e. _V |->
          ( rec ( ( y e. _V |-> U. y ) , x ) |` _om ) ) $.
    hsmexlem4.s $e |- S = { a e. U. ( R1 " On ) |
          A. b e. ( TC ` { a } ) b ~<_ X } $.
    hsmexlem4.o $e |- O = OrdIso ( _E , ( rank " ( ( U ` d ) ` c ) ) ) $.
    $( Lemma for ~ hsmex .  The core induction, establishing bounds on the
       order types of iterated unions of the initial set.  (Contributed by
       Stefan O'Rear, 14-Feb-2015.) $)
    hsmexlem4 $p |- ( ( c e. _om /\ d e. S ) -> dom O e. ( H ` c ) ) $=
      ( wcel cfv crnk ve vf cv com cdm wral c0 cima cep csuc wceq fveq2 imaeq2d
      coi oieq2 syl eqtrid dmeqd eleq12d ralbidv weq cpw char wss cwdom wbr crn
      con0 imassrn cr1 cuni wf rankf frn ax-mp cvv ituni0 elv imaeq2i wfun ffun
      sstri vex wdomimag mp2an cdom csn sneq fveq2d raleqdv elrab2 simprbi snex
      ctc wi tcid vsnid sselii breq1 rspcv domwdom 3syl wdomtr sylancr eqbrtrid
      eqid hsmexlem1 hsmexlem7 eleqtrrdi rgen wa nfra1 nfv nfan cxp ciun imaiun
      ituniiun eqtri dmeqi ad2antll hsmexlem9 fveq1d eleq1d simpll ssrab3 sseli
      ad2antrl r1elssi sselda snssi tcss tcel mp1i sstrd mpan9 sylanbrc adantll
      ssralv rspcdva fvex funimaex elpw mpbir jctil ralrimiva syl21anc eqeltrid
      hsmexlem3 hsmexlem8 eleqtrrd expr ralrimi expcom finds1 r19.21bi ) KUCZUD
      RGUEZUUQFSZRZLDUUTLDUFTUGLUCZESZSZUHZUIUNZUEZUGFSZRZLDUFTUAUCZUVBSZUHZUIU
      NZUEZUVIFSZRZLDUFZTUVIUJZUVBSZUHZUIUNZUEZUVQFSZRZLDUFZKUAUUQUGUKZUUTUVHLD
      UWEUURUVFUUSUVGUWEGUVEUWEGTUUQUVBSZUHZUIUNZUVEQUWEUWGUVDUKUWHUVEUKUWEUWFU
      VCTUUQUGUVBULUMUWGUVDUIUOUPUQURUUQUGFULUSUTKUAVAZUUTUVOLDUWIUURUVMUUSUVNU
      WIGUVLUWIGUWHUVLQUWIUWGUVKUKUWHUVLUKUWIUWFUVJTUUQUVIUVBULUMUWGUVKUIUOUPUQ
      URUUQUVIFULUSUTUUQUVQUKZUUTUWCLDUWJUURUWAUUSUWBUWJGUVTUWJGUWHUVTQUWJUWGUV
      SUKUWHUVTUKUWJUWFUVRTUUQUVQUVBULUMUWGUVSUIUOUPUQURUUQUVQFULUSUTUVHLDUVADR
      ZUVFHVBVCSZUVGUWKUVDVHVDUVDHVEVFUVFUWLRUVDTVGZVHTUVCVIVJVHUHVKZVHTVLZUWMV
      HVDVMUWNVHTVNVOZWBUWKUVDTUVAUHZHVEUVCUVATUVCUVAUKLABUVAEVPOVQVRVSUWKUWQUV
      AVEVFZUVAHVEVFZUWQHVEVFTVTZUVAVPRUWRUWOUWTVMUWNVHTWAVOZLWCZUVATVPWDWEUWKJ
      UCZHWFVFZJUVAWGZWNSZUFZUVAHWFVFZUWSUWKUVAUWNRZUXGUXDJIUCZWGZWNSZUFZUXGIUV
      AUWNDILVAZUXDJUXLUXFUXNUXKUXEWNUXJUVAWHWIWJPWKWLZUVAUXFRUXGUXHWOUXEUXFUVA
      UXEVPRUXEUXFVDUVAWMZUXEVPWPVOLWQZWRUXDUXHJUVAUXFUXCUVAHWFWSWTVOUVAHXAXBZU
      WQUVAHXCXDXEUVDHUVEUVEXFXGXDCFHNXHXIXJUVPUVIUDRZUWDUVPUXSXKUWCLDUVPUXSLUV
      OLDXLUXSLXMXNUVPUXSUWKUWCUVPUXSUWKXKZXKZUWAHUVNXOVBVCSZUWBUYAUWAUBUVATUVI
      UBUCZESZSZUHZXPZUIUNZUEZUYBUVTUYHUVSUYGUKUVTUYHUKUVSTUBUVAUYEXPZUHUYGUVRU
      YJTUVRUYJUKLABUVAUVIEVPUBOXRVRVSUBTUVAUYEXQXSUVSUYGUIUOVOXTUYAUWSUVNVHRZU
      YFVHVBRZUYFUIUNZUEZUVNRZXKZUBUVAUFUYIUYBRUWKUWSUVPUXSUXRYAUXSUYKUVPUWKCFH
      UANYBYHUYAUYPUBUVAUYAUYCUVARZXKZUYOUYLUYRUVOUYOLDUYCLUBVAZUVMUYNUVNUYSUVL
      UYMUYSUVKUYFUKUVLUYMUKUYSUVJUYETUYSUVIUVBUYDUVAUYCEULYCUMUVKUYFUIUOUPURYD
      UVPUXTUYQYEUXTUYQUYCDRZUVPUWKUYQUYTUXSUWKUYQXKUYCUWNRUXDJUYCWGZWNSZUFZUYT
      UWKUVAUWNUYCUWKUXIUVAUWNVDDUWNUVAUXMIUWNDPYFYGUVAYIUPYJUWKUXGUYQVUCUXOUYQ
      VUBUXFVDUXGVUCWOUYQVUBUVAWNSZUXFUYQVUAUVAVDVUBVUDVDUYCUVAYKUVAVUAUXBYLUPU
      VAUXERVUDUXFVDUYQUXQUXEUVAUXPYMYNYOUXDJVUBUXFYSUPYPUXMVUCIUYCUWNDIUBVAZUX
      DJUXLVUBVUEUXKVUAWNUXJUYCWHWIWJPWKYQYRYRYTUYLUYFVHVDUYFUWMVHTUYEVIUWPWBUY
      FVHUWTUYFVPRUXATUYEUVIUYDUUAUUBVOUUCUUDUUEUUFUVAUYFUVNHUYMUYHUBUYMXFUYHXF
      UUIUUGUUHUXSUWBUYBUKUVPUWKCFHUANUUJYHUUKUULUUMUUNUUOUUP $.

    $( Lemma for ~ hsmex .  Combining the above constraints, along with
       ~ itunitc and ~ tcrank , gives an effective constraint on the rank of
       ` S ` .  (Contributed by Stefan O'Rear, 14-Feb-2015.) $)
    hsmexlem5 $p |- ( d e. S -> ( rank ` d ) e.
          ( har ` ~P ( _om X. U. ran H ) ) ) $=
      ( wcel com con0 crnk cfv cima ciun cep coi cdm crn cuni cxp cpw char cres
      cv cid ctc cr1 wceq cdom wbr csn wral ssrab3 sseli tcrank syl itunitc wfn
      itunifn fniunfv eqtr4id imaeq2d imaiun a1i 3eqtrd dmresi rankon eqeltrrdi
      eqtr4di word eloni oiid 3syl dmeqd eqtr4d cwdom wa omex wdomref mp1i cmpt
      cvv crdg frfnom fneq1i mpbir ax-mp mpan hsmexlem9 mprg eqeltrri fvssunirn
      iunon eqid hsmexlem4 ancoms sselid wss imassrn rankf sstri wfun ffun fvex
      wf frn funimaex mp2b elpw jctil ralrimiva hsmexlem3 syl21anc eqeltrd ) LU
      NZDRZYEUAUBZKSUAKUNZYEEUBZUBZUCZUDZUEUFZUGZSFUHUIZUJUKULUBZYFYGUOYLUMZUGZ
      YNYFYGYLYRYFYGUAYEUPUBZUCZUAKSYJUDZUCZYLYFYEUQTUCUIZRYGYTURDUUCYEJUNHUSUT
      JIUNZVAUPUBVBIUUCDPVCVDYEVEVFYFYSUUAUAYFYSYIUHUIZUUAABYEEOVGYFYISVHUUAUUE
      URABYEEDOVIKSYIVJVFVKVLUUBYLURYFKUASYJVMVNVOZYLVPVSYFYMYQYFYLTRYLVTYMYQUR
      YFYLYGTUUFYEVQVRYLWAYLWBWCWDWEYFSSWFUTZYOTRZYKTUKRZYKUEUFZUGZYORZWGZKSVBY
      NYPRSWLRZUUGYFWHWLSWIWJUUHYFISUUDFUBZUDZYOTFSVHZUUPYOURUUQCWLHCUNUJUKULUB
      WKZHUKULUBZWMSUMZSVHUUSUURWNSFUUTNWOWPISFVJWQUUOTRZUUPTRZISUUNUVAISVBUVBW
      HISUUOWLXCWRCFHINWSWTXAVNYFUUMKSYFYHSRZWGZUULUUIUVDYHFUBZYOUUKFYHXBUVCYFU
      UKUVERABCDEFUUJHIJKLMNOPUUJXDZXEXFXGUUIYKTXHYKUAUHZTUAYJXIUUCTUAXOZUVGTXH
      XJUUCTUAXPWQXKYKTUVHUAXLYKWLRXJUUCTUAXMUAYJYHYIXNXQXRXSWPXTYASYKYOSUUJYMK
      UVFYMXDYBYCYD $.

    $( Lemma for ~ hsmex .  (Contributed by Stefan O'Rear, 14-Feb-2015.) $)
    hsmexlem6 $p |- S e. _V $=
      ( cfv cr1 wcel com crn cuni cxp cpw char fvex cv crnk hsmexlem5 con0 cima
      cdm wb cdom wbr csn ctc ssrab3 sseli harcl r1fnon fndmi eleqtrri rankr1ag
      wral sylancl mpbird ssriv ssexi ) DUAFUBUCUDUEZUFRZSRZVLSUGLDVMLUHZDTZVNV
      MTZVNUIRVLTZABCDEFGHIJKLMNOPQUJVOVNSUKULUCZTVLSUMZTVPVQUNDVRVNJUHHUOUPJIU
      HUQURRVFIVRDPUSUTVLUKVSVKVAUKSVBVCVDVNVLVEVGVHVIVJ $.
  $}

  ${
    $d a b c d e f s x y z X $.
    $( The collection of hereditarily size-limited well-founded sets comprise a
       set.  The proof is that of Randall Holmes at
       ~ http://math.boisestate.edu/~~holmes/holmes/hereditary.pdf , with
       modifications to use Hartogs' theorem instead of the weak variant
       (inconsequentially weakening some intermediate results), and making the
       well-foundedness condition explicit to avoid a direct dependence on
       ~ ax-reg .  (Contributed by Stefan O'Rear, 14-Feb-2015.) $)
    hsmex $p |- ( X e. V -> { s e. U. ( R1 " On ) |
            A. x e. ( TC ` { s } ) x ~<_ X } e. _V ) $=
      ( va vb vc vd ve vf cv cdom cfv cuni cvv wceq cmpt crdg com cres wbr wral
      vy vz csn ctc cr1 con0 cima crab wcel ralbidv rabbidv eleq1d cxp cpw char
      breq2 crnk cep coi vex rdgeq2 unieq cbvmptv rdgeq1 ax-mp eqtrdi hsmexlem6
      eqid reseq1d vtoclg ) AKZEKZLUAZADKUEUFMZUBZDUGUHUINZUJZOUKVMCLUAZAVPUBZD
      VRUJZOUKECBVNCPZVSWBOWCVQWADVRWCVOVTAVPVNCVMLURULUMUNFGHVSIOJOJKZNZQZIKZR
      ZSTZQZHOVNHKUOUPUQMQVNUPUQMRSTZUSUCKUDKWJMMUIUTVAZVNDAUCUDEVBWKVJIFOWIGOG
      KZNZQZFKZRZSTWGWPPZWHWQSWRWHWFWPRZWQWGWPWFVCWFWOPWSWQPJGOWEWNWDWMVDVEWPWF
      WOVFVGVHVKVEVSVJWLVJVIVL $.

    $( The set of hereditary size-limited sets, assuming ~ ax-reg .
       (Contributed by Stefan O'Rear, 11-Feb-2015.) $)
    hsmex2 $p |- ( X e. V -> { s | A. x e. ( TC ` { s } ) x ~<_ X } e. _V ) $=
      ( wcel cv cdom wbr csn ctc cfv wral cab cr1 con0 cima cuni crab cvv unir1
      rabeqi rabab eqtr2i hsmex eqeltrid ) CBEAFCGHADFIJKLZDMZUFDNOPQZRZSUIUFDS
      RUGUFDUHSTUAUFDUBUCABCDUDUE $.

    $( The set of hereditary size-limited sets, assuming ~ ax-reg , using
       strict comparison (an easy corollary by separation).  (Contributed by
       Stefan O'Rear, 11-Feb-2015.) $)
    hsmex3 $p |- ( X e. V -> { s | A. x e. ( TC ` { s } ) x ~< X } e. _V ) $=
      ( wcel cv csdm wbr csn ctc cfv wral cab cdom wss cvv ralimi ss2abi hsmex2
      sdomdom ssexg sylancr ) CBEAFZCGHZADFIJKZLZDMZUCCNHZAUELZDMZOUJPEUGPEUFUI
      DUDUHAUEUCCTQRABCDSUGUJPUAUB $.
  $}

$( End $[ set-zf.mm $] $)


$( Begin $[ set-zfc.mm $] $)
$(
###############################################################################
  ZFC (ZERMELO-FRAENKEL WITH CHOICE) SET THEORY
###############################################################################

  In this section we add the Axiom of Choice ~ ax-ac , as well as weaker forms
  such as the axiom of countable choice ~ ax-cc and dependent choice ~ ax-dc .
  We introduce these weaker forms so that theorems that do not need the full
  power of the axiom of choice, but need more than simple ZF, can use these
  intermediate axioms instead.

  The combination of the Zermelo-Fraenkel axioms and the axiom of choice is
  often abbreviated as ZFC.  The axiom of choice is widely accepted, and ZFC is
  the most commonly-accepted fundamental set of axioms for mathematics.

  However, there have been and still are some lingering controversies about the
  Axiom of Choice.  The axiom of choice does not satisfy those who wish to have
  a constructive proof (e.g., it will not satisfy intuitionistic logic).  Thus,
  we make it easy to identify which proofs depend on the axiom of choice or its
  weaker forms.

$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  ZFC Set Theory - add Countable Choice and Dependent Choice
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Introduce the Axiom of Countable Choice
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d f x z $.
    $( The axiom of countable choice (CC), also known as the axiom of
       denumerable choice.  It is clearly a special case of ~ ac5 , but is weak
       enough that it can be proven using DC (see ~ axcc ).  It is, however,
       strictly stronger than ZF and cannot be proven in ZF. It states that any
       countable collection of nonempty sets must have a choice function.
       (Contributed by Mario Carneiro, 9-Feb-2013.) $)
    ax-cc $a |- ( x ~~ _om ->
       E. f A. z e. x ( z =/= (/) -> ( f ` z ) e. z ) ) $.
  $}

  ${
    $d A a f z $.  $d A k n $.  $d A f n $.  $d F f g $.  $d G g n $.
    $d K n $.  $d n z $.
    axcc2lem.1 $e |- K = ( n e. _om |->
                       if ( ( F ` n ) = (/) , { (/) } , ( F ` n ) ) ) $.
    axcc2lem.2 $e |- A = ( n e. _om |-> ( { n } X. ( K ` n ) ) ) $.
    axcc2lem.3 $e |- G = ( n e. _om |-> ( 2nd ` ( f ` ( A ` n ) ) ) ) $.
    $( Lemma for ~ axcc2 .  (Contributed by Mario Carneiro, 8-Feb-2013.) $)
    axcc2lem $p |- E. g ( g Fn _om /\ A. n e. _om
                    ( ( F ` n ) =/= (/) -> ( g ` n ) e. ( F ` n ) ) ) $=
      ( vz c0 wne cfv wcel wi com wa cvv wceq vk va cv crn wral wfn c2nd fnmpti
      wex fvex w3a csn cxp snex xpex fvmpt2 mpan2 vex snnz iftrue neeq1d mpbiri
      cif 0ex wn iffalse eqnetrd pm2.61i p0ex ifex xpnz biimpi sylancr fnfvelrn
      neqne mpan neeq1 id eleq12d imbi12d rspccv syl5 mpdi impcom eleq2d adantr
      fveq2 wb mpbid xp2nd syl 3adant3 3ad2ant1 eqcomd ifnefalse 3ad2ant3 eqtrd
      3eltr3d 3expia expcom ralrimiv omex fnex mp2an fneq1 fveq1 eleq1d ralbidv
      imbi2d anbi12d spcev wf1 cen wbr wf a1i fmptd sneq xpeq12d fvmpt3i adantl
      ax-mp eqeq2d eqeq1d xp11 sneqr syl6bi sylbid rgen2 dff13 mpbir2an f1f1orn
      wf1o f1oen ensym 3syl cmpt rneqi cdm eqeltri wfun dmmptg mprg funrnex mp2
      funmpt breq1 raleq exbidv ax-cc vtocl mp2b exlimiiv ) KUCZLMZUUNBUCZNZUUN
      OZPZKAUDZUEZCUCZQUFZDUCZENZLMZUVDUVBNZUVEOZPZDQUEZRZCUIZBUVAFQUFZUVFUVDFN
      ZUVEOZPZDQUEZUVLDQUVDANZUUPNZUGNZFUVSUGUJZJUHZUVAUVPDQUVDQOZUVAUVPUWCUVAU
      VFUVOUWCUVAUVFUKZUVTUVDGNZUVNUVEUWCUVAUVTUWEOZUVFUWCUVARZUVSUVDULZUWEUMZO
      ZUWFUWGUVSUVROZUWJUVAUWCUWKUVAUWCUVRLMZUWKUWCUVRUWILUWCUWISOZUVRUWITZUWHU
      WEUVDUNUVDGUJUOZDQUWISAIUPUQZUWCUWHLMZUWELMZUWILMZUVDDURZUSZUWCUWRUVELTZL
      ULZUVEVCZLMZUXBUXEUXBUXEUXCLMLVDUSUXBUXDUXCLUXBUXCUVEUTVAVBUXBVEUXDUVELUX
      BUXCUVEVFUVELVOVGVHUWCUWEUXDLUWCUXDSOUWEUXDTZUXBUXCUVEVIUVDEUJVJDQUXDSGHU
      PUQZVAVBZUWQUWRRUWSUWHUWEVKVLVMVGUWCUVRUUTOZUVAUWLUWKPZAQUFUWCUXIDQUWIAUW
      OIUHQUVDAVNVPUUSUXJKUVRUUTUUNUVRTZUUOUWLUURUWKUUNUVRLVQUXKUUQUVSUUNUVRUUN
      UVRUUPWGUXKVRVSVTWAWBWCWDUWCUWKUWJWHUVAUWCUVRUWIUVSUWPWEWFWIUVSUWHUWEWJWK
      WLUWDUVNUVTUWCUVAUVNUVTTZUVFUWCUVTSOUXLUWADQUVTSFJUPUQWMWNUWDUWEUXDUVEUWC
      UVAUXFUVFUXGWMUVFUWCUXDUVETUVAUVELUXCUVEWOWPWQWRWSWTXAUVKUVMUVQRCFUVMQSOZ
      FSOUWBXBQSFXCXDUVBFTZUVCUVMUVJUVQQUVBFXEUXNUVIUVPDQUXNUVHUVOUVFUXNUVGUVNU
      VEUVDUVBFXFXGXIXHXJXKVMQSAXLZUUTQXMXNZUVABUIZUXOQSAXOZUVRUAUCZANZTZUVDUXS
      TZPZUAQUEDQUEUXMUXRXBUXMDQUWISAUWMUXMUWCRUWOXPIXQYBUYCDUAQQUWCUXSQOZRZUYA
      UVRUXSULZUXSGNZUMZTZUYBUYEUXTUYHUVRUYDUXTUYHTUWCDUXSUWIUYHQAUYBUWHUYFUWEU
      YGUVDUXSXRUVDUXSGWGXSIUWOXTYAYCUYEUYIUWIUYHTZUYBUYEUVRUWIUYHUWCUWNUYDUWPW
      FYDUWCUYJUYBPUYDUWCUYJUWHUYFTZUWEUYGTZRZUYBUWCUWQUWRUYJUYMWHUXAUXHUWHUWEU
      YFUYGYEVMUYKUYBUYLUVDUXSUWTYFWFYGWFYHYHYIDUAQSAYJYKUXOQUUTAYMQUUTXMXNUXPQ
      SAYLQUUTAXBYNQUUTYOYPUBUCZQXMXNZUUSKUYNUEZBUIZPUXPUXQPUBUUTUUTDQUWIYQZUDZ
      SAUYRIYRUYRYSZSOUYRUUAUYSSOUYTQSUWMUYTQTDQDQUWISUUBUWMUWCUWOXPUUCXBYTDQUW
      IUUFSUYRUUDUUEYTUYNUUTTZUYOUXPUYQUXQUYNUUTQXMUUGVUAUYPUVABUUSKUYNUUTUUHUU
      IVTUBKBUUJUUKUULUUM $.
  $}

  ${
    $d F f g m n $.
    $( A possibly more useful version of ax-cc using sequences instead of
       countable sets.  The Axiom of Infinity is needed to prove this, and
       indeed this implies the Axiom of Infinity.  (Contributed by Mario
       Carneiro, 8-Feb-2013.) $)
    axcc2 $p |- E. g ( g Fn _om /\ A. n e. _om
                    ( ( F ` n ) =/= (/) -> ( g ` n ) e. ( F ` n ) ) ) $=
      ( vm vf com cv csn cfv c0 wceq cif cmpt cxp c2nd nfcv fveq2 nffvmpt1 nffv
      cbvmpt fveqeq2 ifbieq2d nfxp sneq xpeq12d 2fveq3 fveq2d axcc2lem ) DFDGZH
      ZUIDFUICIZJKZJHZUKLZMZIZNZMZEABCDFUIURIEGZIZOIZMUODBFUNBGZCIZJKZUMVCLZBUN
      PDVEPUIVBKZULVDUKVCUMUIVBJCUAUIVBCQUBTDBFUQVBHZVBUOIZNBUQPDVGVHDVGPDFUNVB
      RUCVFUJVGUPVHUIVBUDUIVBUOQUETDBFVAVBURIZUSIZOIBVAPDVJODOPDVIUSDUSPDFUQVBR
      SSVFUTVJOUIVBUSURUFUGTUH $.
  $}

  ${
    $d F f g h k m $.  $d N f g h k m n $.
    axcc3.1 $e |- F e. _V $.
    axcc3.2 $e |- N ~~ _om $.
    $( A possibly more useful version of ~ ax-cc using sequences ` F ( n ) `
       instead of countable sets.  The Axiom of Infinity is needed to prove
       this, and indeed this implies the Axiom of Infinity.  (Contributed by
       Mario Carneiro, 8-Feb-2013.)  (Revised by Mario Carneiro,
       26-Dec-2014.) $)
    axcc3 $p |- E. f ( f Fn N /\ A. n e. N
                    ( F =/= (/) -> ( f ` n ) e. F ) ) $=
      ( vh vg vm cv wfn c0 wne cfv wcel wi wa com cvv wceq vk wral wex cmpt cen
      wbr relen brrelex1i mptexg mp2b wf1o bren mpbi ccnv ccom axcc2 f1of fnfco
      w3a sylan2 adantlr 3adant1 nfmpt1 nfeq2 nfv nf3an ffvelrnda fveq2 eleq12d
      neeq1d imbi12d rspcv syl 3ad2antl3 f1ocnv fvco3 syl2an2r f1ocnvfv1 fveq2d
      wf fveq1 eqid fvmpt2 mpan2 sylan9eq 3adant2 3expa 3adantl2 3ad2ant3 sylan
      3eqtrd eleq1d eleq2d bitr3d sylibd ex com23 3exp com34 3impia ralrimi vex
      imp32 coex fneq1 imbi2d ralbidv anbi12d spcev syl2anc exlimdv mpi vtocle
      ) AJZDKZCLMZBJZXNNZCOZPZBDUBZQZAUCZUABDCUDZDRUEUFZDSOYDSOFDRUEUGUHBDCSUIU
      JUAJZYDTZDRGJZUKZGUCZYCYEYJFDRGULUMYGYIYCGYGHJZRKZIJZYFYHUNZUOZNZLMZYMYKN
      ZYPOZPZIRUBZQZHUCYIYCPZHIYOUPYGUUBUUCHYGUUBYIYCYGUUBYIUSZYKYHUOZDKZXPXQUU
      ENZCOZPZBDUBZYCUUBYIUUFYGYLYIUUFUUAYIYLDRYHVTZUUFDRYHUQZRDYKYHURUTVAVBUUD
      UUIBDYGUUBYIBBYFYDBDCVCVDUUBBVEYIBVEVFYGUUBYIXQDOZUUIPZYGYLUUAYIUUNPYGYLY
      IUUAUUNYGYLYIUUAUUNPYGYLYIUSZUUMUUAUUIUUOUUMUUAUUIPUUOUUMQZUUAXQYHNZYONZL
      MZUUQYKNZUUROZPZUUIYIYGUUMUUAUVBPZYLYIUUMQZUUQROZUVCYIDRXQYHUULVGZYTUVBIU
      UQRYMUUQTZYQUUSYSUVAUVGYPUURLYMUUQYOVHZVJUVGYRUUTYPUURYMUUQYKVHUVHVIVKVLV
      MVNUUPUUSXPUVAUUHUUPUURCLYGYIUUMUURCTZYLYGYIUUMUVIYGYIUUMUSUURUUQYNNZYFNZ
      XQYFNZCYIUUMUURUVKTZYGYIRDYNVTZUUMUVEUVMYIRDYNUKUVNDRYHVORDYNUQVMUVFRDUUQ
      YFYNVPVQVBYIUUMUVKUVLTYGUVDUVJXQYFDRXQYHVRVSVBYGUUMUVLCTYIYGUUMUVLXQYDNZC
      XQYFYDWAUUMCSOUVOCTEBDCSYDYDWBWCWDWEWFWKWGWHZVJUUPUUGUUROUVAUUHUUPUUGUUTU
      URUUOUUKUUMUUGUUTTYIYGUUKYLUULWIDRXQYKYHVPWJWLUUPUURCUUGUVPWMWNVKWOWPWQWR
      WSXCWTXAYBUUFUUJQAUUEYKYHHXBGXBXDXNUUETZXOUUFYAUUJDXNUUEXEUVQXTUUIBDUVQXS
      UUHXPUVQXRUUGCXQXNUUEWAWLXFXGXHXIXJWRXKXLXKXLXM $.
  $}

  ${
    $d A f n x $.  $d N f n $.  $d f ph $.  $d ps x $.
    axcc4.1 $e |- A e. _V $.
    axcc4.2 $e |- N ~~ _om $.
    axcc4.3 $e |- ( x = ( f ` n ) -> ( ph <-> ps ) ) $.
    $( A version of ~ axcc3 that uses wffs instead of classes.  (Contributed by
       Mario Carneiro, 7-Apr-2013.) $)
    axcc4 $p |- ( A. n e. N E. x e. A ph ->
                    E. f ( f : N --> A /\ A. n e. N ps ) ) $=
      ( wrex wral cv wfn wcel wi wa wex ralimi syl6 crab c0 wne cfv rabex axcc3
      rabn0 pm2.27 sylbir elrab syl6ib ral2imi simpl anim2d ffnfv syl6ibr simpr
      wf adantld jcad eximdv mpi ) ACDKZFGLZEMZGNZACDUAZUBUCZFMVEUDZVGOZPZFGLZQ
      ZERGDVEURZBFGLZQZEREFVGGACDHUEIUFVDVMVPEVDVMVNVOVDVMVFVIDOZFGLZQVNVDVLVRV
      FVDVLVQBQZFGLZVRVCVKVSFGVCVKVJVSVCVHVKVJPACDUGVHVJUHUIABCVIDJUJUKULZVSVQF
      GVQBUMSTUNFGDVEUOUPVDVLVOVFVDVLVTVOWAVSBFGVQBUQSTUSUTVAVB $.
  $}

  ${
    $d f g x y $.
    $( An ~ ax-cc equivalent: every set has choice sets of length ` _om ` .
       (Contributed by Mario Carneiro, 31-Aug-2015.) $)
    acncc $p |- AC_ _om = _V $=
      ( vx vy vg vf com wacn cvv cv wcel cfv wral wex cpw c0 cdif cmap co wb wa
      csn vex isacn mp2an wfn wne wi axcc2 wf elmapi ffvelrn eldifsni syl sylan
      omex id syl5com ralimdva adantld eximdv mpi mprgbir 2th eqriv ) AEFZGAHZV
      DIZVEGIZVFBHZCHZJVHDHZJZIZBEKZCLZDVEMZNTOZEPQZVGEGIVFVNDVQKRAUAZUNBEDCGGV
      EUBUCVJVQIZVIEUDZVKNUEZVLUFZBEKZSZCLVNCBVJUGVSWDVMCVSWCVMVTVSWBVLBEVSVHEI
      ZSWAWBVLVSEVPVJUHZWEWAVJVPEUIWFWESVKVPIWAEVPVHVJUJVKVONUKULUMWBUOUPUQURUS
      UTVAVRVBVC $.
  $}

  ${
    $d A f n x $.  $d N f n $.  $d f ph $.  $d ps x $.
    axcc4dom.1 $e |- A e. _V $.
    axcc4dom.2 $e |- ( x = ( f ` n ) -> ( ph <-> ps ) ) $.
    $( Relax the constraint on ~ axcc4 to dominance instead of equinumerosity.
       (Contributed by Mario Carneiro, 18-Jan-2014.) $)
    axcc4dom $p |- ( ( N ~<_ _om /\ A. n e. N E. x e. A ph ) ->
                    E. f ( f : N --> A /\ A. n e. N ps ) ) $=
      ( com cdom wbr wral wf wa wex cen wi raleq breq1 wrex cv csdm brdom2 wcel
      wo cfn isfinite ac6sfi ex sylbir cif wceq feq2 anbi12d imbi12d omex enref
      exbidv elimhyp axcc4 dedth jaoi sylbi imp ) GJKLZACDUAZFGMZGDEUBZNZBFGMZO
      ZEPZVFGJUCLZGJQLZUFVHVMRZGJUDVNVPVOVNGUGUEZVPGUHVQVHVMABFCGDEIUIUJUKVOVPV
      GFVOGJULZMZVRDVINZBFVRMZOZEPZRGJGVRUMZVHVSVMWCVGFGVRSWDVLWBEWDVJVTVKWAGVR
      DVIUNBFGVRSUOUSUPABCDEFVRHVOVRJQLJJQLGJGVRJQTJVRJQTJUQURUTIVAVBVCVDVE $.
  $}

  ${
    $d A b c n $.  $d A m n y $.  $d B b c $.  $d C c k n $.  $d b j k n $.
    $d b n y $.
    domtriomlem.1 $e |- A e. _V $.
    domtriomlem.2 $e |- B = { y | ( y C_ A /\ y ~~ ~P n ) } $.
    domtriomlem.3 $e |- C = ( n e. _om |->
                              ( ( b ` n ) \ U_ k e. n ( b ` k ) ) ) $.
    $( Lemma for ~ domtriom .  (Contributed by Mario Carneiro, 9-Feb-2013.) $)
    domtriomlem $p |- ( -. A e. Fin -> _om ~<_ A ) $=
      ( vc wcel cv com wral wex wbr wi wa cen vm vj cfn wn cfv cdom wfn wne wss
      c0 cpw cab cvv pwex simpl ss2abi df-pw sseqtrri ssexi eqeltri enref axcc3
      omex nfv nfra1 nfan ccrd nnfi pwfi sylib ficardom isinf wceq breq2 anbi2d
      exbidv rspcv syl5 3syl finnum cardid2 entr expcom 4syl anim2d eximdv syld
      cdm neeq1i abn0 bitri syl6ibr com12 adantr rsp adantl mpdd ralrimi 3expib
      3adant2 mpi axcc2 w3a simp2 fvex sseq1 breq1 anbi12d elab2 simprbi ralimi
      ciun cdif weq fveq2 pweq breq12d cbvralvw csdm csuc peano2 omelon onelssi
      ssralv pwsdompw sdomdif eldifi syl6bi sseld imp sylanbrc word nnord eleq1
      ex wel 3ad2ant3 3impib pm2.21dd 3exp syl5bi difexi fvmpt2 sylibrd syl5com
      syl6 mpan2 neeq1d jca wf1 eleq2d simplbi syl9 com23 com13 ffnfv ordtri3or
      wf w3o syl2an cbviunv iuneq1 eqtrid difeq12d rspccv mpbidi syl11 3ad2ant1
      eleq12d syl5ib ssiun2 3ad2ant2 eldifbd 3adant1 2a1 ssiun2s a1i 3imp 3jaoi
      eldifn 3expia mpid com3r expd ralrimd ralrimiv dff13 19.8ad brdom exlimdv
      sylibr mpd exlimiv syl ) BUCLUDZFMZGMZUEZCLZFNOZGPZNBUFQZUWOUWQNUGZCUJUHZ
      UWSRZFNOZSZGPUXAGFCNCAMZBUIZUXHUWPUKZTQZSZAULZUMIUXMBUKZBHUNUXMUXIAULUXNU
      XLUXIAUXIUXKUOUPABUQURUSUTNVCVAVBUWOUXGUWTGUWOUXCUXFUWTUWOUXFUWTUXCUWOUXF
      SZUWSFNUWOUXFFUWOFVDUXEFNVEVFUXOUWPNLZUXDUWSUWOUXPUXDRUXFUXPUWOUXDUXPUWOU
      XLAPZUXDUXPUWOUXIUXHUXJVGUEZTQZSZAPZUXQUXPUXJUCLZUXRNLZUWOUYARUXPUWPUCLUY
      BUWPVHUWPVIVJZUXJVKUWOUXIUXHUAMZTQZSZAPZUANOUYCUYAABUAVLUYHUYAUAUXRNUYEUX
      RVMZUYGUXTAUYIUYFUXSUXIUYEUXRUXHTVNVOVPVQVRVSUXPUXTUXLAUXPUXSUXKUXIUXPUYB
      UXJVGWHLUXRUXJTQZUXSUXKRUYDUXJVTUXJWAUXSUYJUXKUXHUXRUXJWBWCWDWEWFWGUXDUXM
      UJUHUXQCUXMUJIWIUXLAWJWKWLWMWNUXFUXPUXERUWOUXEFNWOWPWQWRWTWSWFXAUWTUXBGUW
      TKMZNUGZUWPUYKUEZUWPDUEZLZFNOZSZKPZUXBUWTUYLUYNUJUHZUYORZFNOZSZKPUYRKFDXB
      UWTVUBUYQKUWTUYLVUAUYQUWTUYLVUAXCUYLUYPUWTUYLVUAXDUWTVUAUYPUYLUWTVUASZUYO
      FNUWTVUAFUWSFNVEZUYTFNVEVFVUCUXPUYSUYOUWTUXPUYSRVUAUWTUWRUXJTQZFNOZUXPUYS
      UWSVUEFNUWSUWRBUIZVUEUXLVUGVUESAUWRCUWPUWQXEZUXHUWRVMUXIVUGUXKVUEUXHUWRBX
      FUXHUWRUXJTXGXHIXIZXJXKUXPVUFUWREUWPEMZUWQUEZXLZXMZUJUHZUYSVUFVUKVUJUKZTQ
      ZENOZUXPVUNVUEVUPFENFEXNZUWRVUKUXJVUOTUWPVUJUWQXOZUWPVUJXPXQXRUXPVUQVULUW
      RXSQZVUNUXPVUQVUPEUWPXTZOZVUTUXPVVANLVVANUIVUQVVBRUWPYANVVAYBYCVUPEVVANYD
      VSUXPVVBVUTUWQEFYEYOWGVULUWRYFUUFUUAUXPUYNVUMUJUXPVUMUMLUYNVUMVMUWRVULVUH
      UUBFNVUMUMDJUUCUUGZUUHUUDUUEWNVUAUXPUYTRUWTUYTFNWOWPWQWRWTUUIWSWFXAUWTUYQ
      UXBKUWTUYLUYPUXBUWTUYLUYPXCZNBUYKUUJZKPUXBVVDVVEKVVDNBUYKUURZVUJUYKUEZUYM
      VMZEFXNZRZFNOZENOZVVEVVDUYLUYMBLZFNOZVVFUWTUYLUYPXDUWTUYPVVNUYLUWTUYPSVVM
      FNUWTUYPFVUDUYOFNVEZVFUWTUYPUXPVVMRUXPUYPUWTVVMUXPUYPUYOUWTVVMRUYPUXPUYOU
      YOFNWOZWMUXPUWTUYOVVMUXPUWTUWSUYOVVMRUWTUXPUWSUWSFNWOWMUXPUYOUYMUWRLZUWSV
      VMUXPUYOUYMVUMLZVVQUXPUYNVUMUYMVVCUUKZUYMUWRVULYGZYHUWSUWRBUYMUWSVUGVUEVU
      IUULYIUUMWGUUNWGUUOYJWRWTFNBUYKUUPYKUYPUWTVVLUYLUYPVVKENUYPVUJNLZVVJFNVVO
      VWAFVDUYPVWAUXPVVJVWAUXPSZVVHUYPVVIVWBVVHEFYPZVVIFEYPZUUSZUYPVVIRZVWAVUJY
      LUWPYLVWEUXPVUJYMUWPYMVUJUWPUUQUUTVWAUXPVVHVWEVWFRVWEVWAUXPVVHXCZVWFVWCVW
      GVWFRVVIVWDVWCVWGUYPVVIVWCVWGUYPXCUYMVULLZVVIVWCVWGUYPVWHVWGUYPSZUYMVUKLZ
      VWCVWHVWGUYPVWJVWGUYPVVGVUKUBVUJUBMZUWQUEZXLZXMZLZVWJVWAUXPUYPVWORVVHVVRF
      NOVWAVWOUYPVVRVWOFVUJNVURUYMVVGVUMVWNUWPVUJUYKXOVURUWRVUKVULVWMVUSVURVULU
      BUWPVWLXLVWMEUBUWPVUKVWLVUJVWKUWQXOUVAUBUWPVUJVWLUVBUVCUVDUVIUVEUYPVVRFNV
      VOUXPUYOVVRUYPVVPVVSUVFZWRUVGUVHZVVHVWAVWOVWJRUXPVWOVVGVUKLVVHVWJVVGVUKVW
      MYGVVGUYMVUKYNUVJYQWGYJVWCVUKVULUYMEUWPVUKUVKYIVRYRVWGUYPVWHUDVWCVWIUYMUW
      RVULVWGUYPVVRUXPVWAUYPVVRRVVHUYPUXPVVRVWPWMUVLYJZUVMUVNYSYTVVIVWGUYPUVOVW
      DVWGUYPVVIVWDVWGUYPXCUYMVWMLZVVIVWDVWGUYPVWSVWIVVRVWDVWSVWRVVRVVQVWDVWSVV
      TVWDUWRVWMUYMUBVUJVWLUWPUWRVWKUWPUWQXOUVPYIVRVRYRVWDVWGUYPVWSUDZVWGUYPVWT
      RRVWDVWGUYPVWOVWTVWQVVHVWAVWOVWTRUXPVVHVWOUYMVWNLVWTVVGUYMVWNYNUYMVUKVWMU
      VTYHYQWGUVQUVRYSYTUVSWMUWAUWBUWCUWDUWEUWFYQEFNBUYKUWGYKUWHNBKHUWIUWKWSUWJ
      UWLUWMUWN $.
  $}

  ${
    $d A b n y $.  $d b j k m n y $.
    domtriom.1 $e |- A e. _V $.
    $( Trichotomy of equinumerosity for ` _om ` , proven using countable
       choice.  Equivalently, all Dedekind-finite sets (as in ~ isfin4-2 ) are
       finite in the usual sense and conversely.  (Contributed by Mario
       Carneiro, 9-Feb-2013.) $)
    domtriom $p |- ( _om ~<_ A <-> -. A ~< _om ) $=
      ( vy vn vm vb vj vk com cdom wbr csdm wn domnsym cfn cfv ciun cdif fveq2
      cv wcel isfinite wss cpw cen wa cab cmpt eqid weq cbviunv iuneq1 difeq12d
      eqtrid cbvmptv domtriomlem sylnbir impbii ) IAJKZAILKZMIANUTAOUAUSAUBCACT
      ZAUCVADTZUDUEKUFCUGZEIETZFTZPZGVDGTZVEPZQZRZUHHDFBVCUIEDIVJVBVEPZHVBHTZVE
      PZQZREDUJZVFVKVIVNVDVBVESVOVIHVDVMQVNGHVDVHVMVGVLVESUKHVDVBVMULUNUMUOUPUQ
      UR $.
  $}

  $( Under countable choice, the IV-finite sets (Dedekind-finite) coincide with
     I-finite (finite in the usual sense) sets.  (Contributed by Mario
     Carneiro, 16-May-2015.) $)
  fin41 $p |- Fin4 = Fin $=
    ( vx cfin4 cfn cv com csdm wbr cdom wn vex domtriom con2bii isfinite wb cvv
    wcel isfin4-2 elv 3bitr4ri eqriv ) ABCADZEFGZEUAHGZIZUACPUABPZUCUBUAAJKLUAM
    UEUDNAUAOQRST $.

  ${
    $d x y w A $.
    dominf.1 $e |- A e. _V $.
    $( A nonempty set that is a subset of its union is infinite.  This version
       is proved from ~ ax-cc .  See ~ dominfac for a version proved from
       ~ ax-ac .  The axiom of Regularity is used for this proof, via
       ~ inf3lem6 , and its use is necessary: otherwise the set ` A = { A } `
       or ` A = { (/) , A } ` (where the second example even has nonempty
       well-founded part) provides a counterexample.  (Contributed by Mario
       Carneiro, 9-Feb-2013.) $)
    dominf $p |- ( ( A =/= (/) /\ A C_ U. A ) -> _om ~<_ A ) $=
      ( vx vy vw cv c0 wne cuni wss wa com cdom wbr wi eqid csdm wn cfn wcel id
      wceq neeq1 unieq sseq12d anbi12d breq2 imbi12d cpw cvv cin crab cmpt crdg
      cres wf1 inf3lem6 vpwex f1dom pwfi biimpi isfinite 3imtr3i con3i domtriom
      vex 3imtr4i 3syl vtocl ) CFZGHZVJVJIZJZKZLVJMNZOAGHZAAIZJZKZLAMNZOCABVJAU
      BZVNVSVOVTWAVKVPVMVRVJAGUCWAVJAVLVQWAUAVJAUDUEUFVJALMUGUHVNLVJUIZDUJEFVJU
      KDFJEVJULUMZGUNLUOZUPLWBMNZVOCDEAAWDWCWCPWDPBBUQLWBWDCURZUSWBLQNZRVJLQNZR
      WEVOWHWGVJSTZWBSTZWHWGWIWJVJUTVAVJVBWBVBVCVDWBWFVEVJCVFVEVGVHVI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Introduce the Axiom of Dependent Choice
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d f n x y z $.
    $( Dependent Choice.  Axiom DC1 of [Schechter] p. 149.  This theorem is
       weaker than the Axiom of Choice but is stronger than Countable Choice.
       It shows the existence of a sequence whose values can only be shown to
       exist (but cannot be constructed explicitly) and also depend on earlier
       values in the sequence.  Dependent choice is equivalent to the statement
       that every (nonempty) pruned tree has a branch.  This axiom is redundant
       in ZFC; see ~ axdc .  But ZF+DC is strictly weaker than ZF+AC, so this
       axiom provides for theorems that do not need the full power of AC.
       (Contributed by Mario Carneiro, 25-Jan-2013.) $)
    ax-dc $a |- ( ( E. y E. z y x z /\ ran x C_ dom x ) ->
                  E. f A. n e. _om ( f ` n ) x ( f ` suc n ) ) $.
  $}

  ${
    $d s t $.  $d s t x $.  $d f x $.  $d f n s t x $.
    $( The Axiom of Dependent Choice implies Infinity, the way we have stated
       it.  Thus, we have _Inf+AC_ implies _DC_ and _DC_ implies _Inf_, but
       _AC_ does not imply _Inf_.  (Contributed by Mario Carneiro,
       25-Jan-2013.) $)
    dcomex $p |- _om e. _V $=
      ( vn vf vs vt cfv c1o cop csn wbr com wral wcel cdm wss wceq syl 1oex wex
      vx cv csuc cvv c0 wne 1n0 df-br elsni fvex opth1 sylbi tz6.12i vex breldm
      mpsyl ralimi dfss3 sylibr dmex ssex crn wa wi snex fvsn wfun funsn dmsnop
      snid eleqtrri funbrfvb mp2an mpbi breq12 spc2ev ax-mp breq 2exbidv mpbiri
      wb ssid rnsnop 3sstr4i rneq dmeq sseq12d pm5.5 syl2anc exbidv bitrd ax-dc
      ralbidv vtocl exlimiiv ) ATZBTZEZWNUAZWOEZFFGZHZIZAJKZJUBLZBXBJWOMZNZXCXB
      WNXDLZAJKXEXAXFAJXAWNFWOIZXFFUCUDXAWPFOZXGUEXAWPWRGZWTLZXHWPWRWTUFXJXIWSO
      XHXIWSUGWPWRFFWNWOUHWQWOUHUIPUJWNFWOUKUNWNFWOAULQUMPUOAJXDUPUQJXDWOBULURU
      SPCTZDTZSTZIZDRCRZXMUTZXMMZNZVAZWPWRXMIZAJKZBRZVBZXBBRZSWTWSVCXMWTOZYCYBY
      DYEXOXRYCYBVSYEXOXKXLWTIZDRCRZFFWTIZYGFWTEFOZYHFFQQVDWTVEFWTMZLYIYHVSFFQQ
      VFFFHZYJFQVHFFQVGZVIFFWTVJVKVLYFYHCDFFQQXKFXLFWTVMVNVOYEXNYFCDXKXLXMWTVPV
      QVRYEXRWTUTZYJNYKYKYMYJYKVTFFQWAYLWBYEXPYMXQYJXMWTWCXMWTWDWEVRXSYBWFWGYEY
      AXBBYEXTXAAJWPWRXMWTVPWKWHWISCDBAWJWLWM $.
  $}

  ${
    $d A g h $.  $d A h x y $.  $d F g h $.  $d F h x y $.  $d G g k $.
    $d G k x y $.  $d R h k r x $.  $d r x y $.
    axdc2lem.1 $e |- A e. _V $.
    axdc2lem.2 $e |- R = { <. x , y >. | ( x e. A /\ y e. ( F ` x ) ) } $.
    axdc2lem.3 $e |- G = ( x e. _om |-> ( h ` x ) ) $.
    $( Lemma for ~ axdc2 .  We construct a relation ` R ` based on ` F ` such
       that ` x R y ` iff ` y e. ( F `` x ) ` , and show that the "function"
       described by ~ ax-dc can be restricted so that it is a real function
       (since the stated properties only show that it is the superset of a
       function).  (Contributed by Mario Carneiro, 25-Jan-2013.)  (Revised by
       Mario Carneiro, 26-Jun-2015.) $)
    axdc2lem $p |- ( ( A =/= (/) /\ F : A --> ( ~P A \ { (/) } ) ) -> E. g
      ( g : _om --> A /\ A. k e. _om ( g ` suc k ) e. ( F ` ( g ` k ) ) ) ) $=
      ( c0 wa cfv com wex wcel wceq cvv vr wne cpw csn cdif wf cv csuc wbr wral
      cdm crn wss crab copab dmeqi cab 19.42v abbii dmopab df-rab 3eqtr4i eqtri
      ffvelrn eldifsni n0 sylib ralrimiva rabid2 sylibr eqtr4id neeq1d biimparc
      syl wi wal eldifi elelpwi expcom 3syl expimpd exlimdv rneqi rnopab sseq1i
      alrimiv abss bitri sseqtrrd adantl cun cuni cxp fvrn0 elssuni ax-mp sseli
      anim2i ssopab2i df-xp 3sstr4i pwex difexi ssex unexg sylancl uniexd xpexg
      frn p0ex sylancr ssexg eldm exbii bitr2i dmeq syl5bb rneq sseq12d anbi12d
      breq ralbidv exbidv imbi12d ax-dc vtoclg mp2and simpr fveq2 suceq breq12d
      vex fveq2d rspccv fvex breldm syl6 ex eleq1 fveq1 imp adantll wb ad2antrr
      eleq2 mpbid fmptd impcom peano2 fvmptg eleq2d anbi2d brab simprbi syl6bir
      fvmpt ralimia adantr cmpt rgenw eqid fmpt mpbi dcomex rnex unex fex2 feq1
      mp3an eqeltri eleq12d spcev syl2anc exlimiv sylc ) CMUBZCCUCZMUDZUEZHUFZN
      ZGUGZFUGZOZUWBUHZUWCOZDUIZGPUJZFQZUVTPCEUGZUFZUWEUWJOZUWBUWJOZHOZRZGPUJZN
      ZEQZUWADUKZMUBZDULZUWSUMZUWIUVTUWTUVPUVTUWSCMUVTUWSBUGZAUGZHOZRZBQZACUNZC
      UWSUXDCRZUXFNZABUOZUKZUXHDUXKKUPUXJBQZAUQUXIUXGNZAUQUXLUXHUXMUXNAUXIUXFBU
      RUSUXJABUTUXGACVAVBVCUVTUXGACUJCUXHSUVTUXGACUVTUXINZUXEUVSRZUXGCUVSUXDHVD
      ZUXPUXEMUBUXGUXEUVQMVEBUXEVFVGVNVHUXGACVIVJVKZVLVMUVTUXBUVPUVTUXACUWSUVTU
      XJAQZUXCCRZVOZBVPZUXACUMZUVTUYABUVTUXJUXTAUVTUXIUXFUXTUXOUXPUXEUVQRZUXFUX
      TVOUXQUXEUVQUVRVQUXFUYDUXTUXCUXECVRVSVTWAWBWFUYCUXSBUQZCUMUYBUXAUYECUXAUX
      KULUYEDUXKKWCUXJABWDVCWEUXSBCWGWHVJUXRWIWJUWADTRZUWTUXBNZUWIVOZUWADCHULZU
      VRWKZWLZWMZUMUYLTRZUYFUXKUXIUXCUYKRZNZABUODUYLUXJUYOABUXFUYNUXIUXEUYKUXCU
      XEUYJRUXEUYKUMHUXDWNUXEUYJWOWPWQWRWSKABCUYKWTXAUWACTRUYKTRUYMJUWAUYJTUWAU
      YITRZUVRTRUYJTRUWAUYIUVSUMZUYPUVTUYQUVPCUVSHXIWJUYIUVSUVQUVRCJXBXCXDVNXJU
      YIUVRTTXEXFXGCUYKTTXHXKDUYLTXLXKUXDUXCUAUGZUIBQZAQZUYRULZUYRUKZUMZNZUWDUW
      FUYRUIZGPUJZFQZVOUYHUADTUYRDSZVUDUYGVUGUWIVUHUYTUWTVUCUXBUYTVUBMUBZVUHUWT
      VUIUXDVUBRZAQUYTAVUBVFVUJUYSABUXDUYRAYLXMXNXOVUHVUBUWSMUYRDXPZVLXQVUHVUAU
      XAVUBUWSUYRDXRVUKXSXTVUHVUFUWHFVUHVUEUWGGPUWDUWFUYRDYAYBYCYDUAABFGYEYFVNY
      GUVPUVTYHUWHUVTUWRVOFUWHUVTUWRUWHUVTNPCIUFZUWEIOZUWBIOZHOZRZGPUJZUWRUVTUW
      HVULUVTUWSCSZUWHVULVOUXRVURUWHVULVURUWHNZAPUXDUWCOZCIVUSUXDPRZNVUTUWSRZVU
      TCRZUWHVVAVVBVURUWHVVAVVBUWHVVAVUTUXDUHZUWCOZDUIZVVBUWGVVFGUXDPUWBUXDSZUW
      DVUTUWFVVEDUWBUXDUWCYIVVGUWEVVDUWCUWBUXDYJYMYKYNVUTVVEDUXDUWCYOVVDUWCYOYP
      YQUUAUUBVURVVBVVCUUCUWHVVAUWSCVUTUUEUUDUUFLUUGYRVNUUHUWHVUQUVTUWGVUPGPUWB
      PRZUWGVUNVUMDUIZVUPVVHVUNUWDVUMUWFDAUWBVUTUWDPIUXDUWBUWCYILUWBUWCYOUUPVVH
      UWEPRUWFTRVUMUWFSUWBUUIUWEUWCYOAUWEVUTUWFPTIUXDUWEUWCYILUUJXFYKVVIVUNCRZV
      UPUXJVVJUXCVUORZNVVJVUPNABVUNVUMDUWBIYOUWEIYOUXDVUNSZUXIVVJUXFVVKUXDVUNCY
      SVVLUXEVUOUXCUXDVUNHYIUUKXTUXCVUMSVVKVUPVVJUXCVUMVUOYSUULKUUMUUNUUOUUQUUR
      UWQVULVUQNEIIAPVUTUUSZTLPUWCULZUVRWKZVVMUFZPTRVVOTRVVMTRVUTVVORZAPUJVVPVV
      QAPUWCUXDWNUUTAPVVOVUTVVMVVMUVAUVBUVCUVDVVNUVRUWCFYLUVEXJUVFPVVOVVMTTUVGU
      VIUVJUWJISZUWKVULUWPVUQPCUWJIUVHVVRUWOVUPGPVVRUWLVUMUWNVUOUWEUWJIYTVVRUWM
      VUNHUWBUWJIYTYMUVKYBXTUVLUVMYRUVNUVO $.
  $}

  ${
    $d A g h k $.  $d A h k s t x y $.  $d F g h k $.  $d F h k s t x y $.
    $d g h k n $.  $d h n x y $.
    axdc2.1 $e |- A e. _V $.
    $( An apparent strengthening of ~ ax-dc (but derived from it) which shows
       that there is a denumerable sequence ` g ` for any function that maps
       elements of a set ` A ` to nonempty subsets of ` A ` such that
       ` g ( x + 1 ) e. F ( g ( x ) ) ` for all ` x e. _om ` .  The finitistic
       version of this can be proven by induction, but the infinite version
       requires this new axiom.  (Contributed by Mario Carneiro,
       25-Jan-2013.) $)
    axdc2 $p |- ( ( A =/= (/) /\ F : A --> ( ~P A \ { (/) } ) ) -> E. g
      ( g : _om --> A /\ A. k e. _om ( g ` suc k ) e. ( F ` ( g ` k ) ) ) ) $=
      ( vx vy vs vt vh vn cv wcel cfv wa copab com weq eleq1w fveq2 cmpt adantr
      wb eleq2d sylan9bb anbi12d cbvopabv cbvmptv axdc2lem ) FGAHLZAMZILZUJDNZM
      ZOZHIPBJCDKQKLZJLZNZUAEUOFLZAMZGLUSDNZMZOHIFGHFRZIGRZOUKUTUNVBVCUKUTUCVDH
      FASUBVCUNULVAMVDVBVCUMVAULUJUSDTUDIGVASUEUFUGKFQURUSUQNUPUSUQTUHUI $.
  $}

  ${
    $d A n s $.
    axdc3lem.1 $e |- A e. _V $.
    axdc3lem.2 $e |- S = { s | E. n e. _om ( s : suc n --> A /\
       ( s ` (/) ) = C /\ A. k e. n ( s ` suc k ) e. ( F ` ( s ` k ) ) ) } $.
    $( The class ` S ` of finite approximations to the DC sequence is a set.
       (We derive here the stronger statement that ` S ` is a subset of a
       specific set, namely ` ~P ( _om X. A ) ` .)  (Contributed by Mario
       Carneiro, 27-Jan-2013.)  Remove unnecessary distinct variable
       conditions.  (Revised by David Abernethy, 18-Mar-2014.) $)
    axdc3lem $p |- S e. _V $=
      ( com cxp cpw dcomex xpex pwex cv csuc cfv wcel wss wf wceq wral w3a wrex
      c0 cab wa fssxp peano2 cvv con0 omelon2 ax-mp onelssi xpss1 3syl sylan9ss
      velpw sylibr ancoms 3ad2antr1 rexlimiva abssi eqsstri ssexi ) CJAKZLZVGJA
      MHNOCEPZQZAGPZUAZUFVKRBUBZDPZQVKRVNVKRFRSDVIUCZUDZEJUEZGUGVHIVQGVHVPVKVHS
      ZEJVIJSZVMVLVRVOVLVSVRVLVSUHVKVGTVRVLVSVKVJAKZVGVJAVKUIVSVJJSVJJTVTVGTVIU
      JJVJJUKSJULSMUMUNUOVJJAUPUQURGVGUSUTVAVBVCVDVEVF $.
  $}

  ${
    $d A g h $.  $d A n s $.  $d C g h $.  $d C n s $.  $d F g h $.
    $d F n s $.  $d G i j k m $.  $d S i j k m $.  $d S i k s $.
    $d S j m u v $.  $d S i x y $.  $d a b h j m u v $.  $d g h k $.
    $d h i j k m $.  $d h i k s $.  $d h i x y $.  $d k n s $.  $d s u v $.
    axdc3lem2.1 $e |- A e. _V $.
    axdc3lem2.2 $e |- S = { s | E. n e. _om ( s : suc n --> A /\
       ( s ` (/) ) = C /\ A. k e. n ( s ` suc k ) e. ( F ` ( s ` k ) ) ) } $.
    axdc3lem2.3 $e |- G = ( x e. S |-> { y e. S |
                             ( dom y = suc dom x /\ ( y |` dom x ) = x ) } ) $.
    $( Lemma for ~ axdc3 .  We have constructed a "candidate set" ` S ` , which
       consists of all finite sequences ` s ` that satisfy our property of
       interest, namely ` s ( x + 1 ) e. F ( s ( x ) ) ` on its domain, but
       with the added constraint that ` s ( 0 ) = C ` .  These sets are
       possible "initial segments" of the _infinite_ sequence satisfying these
       constraints, but we can leverage the standard ~ ax-dc (with no initial
       condition) to select a sequence of ever-lengthening finite sequences,
       namely ` ( h `` n ) : m --> A ` (for some integer ` m ` ).  We let our
       "choice" function select a sequence whose domain is one more than the
       last one, and agrees with the previous one on its domain.  Thus, the
       application of vanilla ~ ax-dc yields a sequence of sequences whose
       domains increase without bound, and whose union is a function which has
       all the properties we want.  In this lemma, we show that given the
       sequence ` h ` , we can construct the sequence ` g ` that we are after.
       (Contributed by Mario Carneiro, 30-Jan-2013.) $)
    axdc3lem2 $p |- ( E. h ( h : _om --> S /\
        A. k e. _om ( h ` suc k ) e. ( G ` ( h ` k ) ) ) ->
      E. g ( g : _om --> A /\ ( g ` (/) ) = C /\
        A. k e. _om ( g ` suc k ) e. ( F ` ( g ` k ) ) ) ) $=
      ( com wcel wa wceq wi vj vm vi vu vv vb va cv wf csuc cfv wral c0 w3a wex
      crn wfun cdm wss wel fveq2 dmeqd eleq12d eleq2 sseq2d imbi12d anbi12d weq
      id peano1 ffvelrn mpan2 cab wrex nnord syl peano2 syl2anc 3ad2ant1 impcom
      word rexlimiva ss2abi eqsstri sseli fvex dmeq eleq2d eleq1d simpld adantr
      elab sylib ancoms adantrr fveq2d simprd ordsucelsuc 3syl cres crab eqeq1d
      suceq wb wo syl6 sseq1d biimprd com13 anim12d ex expcom ralrimdv ralrimiv
      imp frn rexlimivw sstrdi sseld vex syl6ib fvelrnb raleqbi1dv rspcv rspccv
      wfn 3imp orcd 3exp com3r sseq12 com23 rexlimdv ssel funssfv syl3anc fveq1
      fnfvelrn mpd adantlr cuni elequ2 fdm 0elsuc biimprcd syl5com noel pm2.21i
      eleq1 jctir 2fveq3 rspcva adantrl eqeq2d reseq2d eqeq12d rabbidv axdc3lem
      rabex fvmpt reseq1 elrab bitrdi simplbda bitr4d biimpd resss sseq1 elsuci
      mpbii pm2.27 sstr2 a1d jaoi finds2 funeq ffn anim12i w3o ordtri3or adantl
      ffun eqimss 2a1d 3jaoi mpcom orbi12d biimpcd exp4b rexlimiv syl6bi sylbid
      olcd com24 sylan jcad fununi syldan cop eluni2 opeldm a1i simprbi expcomd
      eldm2 elnn syl5bi exlimdv ciun syl2anr eliuni dmuni eleqtrrdi eqrdv rnuni
      impbid abid iunss eqsstrid df-fn biimpri sylanbr syl21anc sylancl elssuni
      sylibr df-f simp2 eqtrd nfv nfra1 nfan ad2antrr syl2an mpan9 biimpa syl9r
      rsp 3adant2 sstr syl3c wtr ordtr trsuc 4syl simpl simpr mpbird rnex uniex
      ralrimi feq1 ralbidv 3anbi123d spcev exlimiv ) PEGUHZUIZHUHZUJZVUQUKZVUSV
      UQUKKUKZQZHPULZRZPCFUHZUIZUMVVFUKZDSZVUTVVFUKZVUSVVFUKZJUKZQZHPULZUNZFUOZ
      GVVEPCVUQUPZUUAZUIZUMVVRUKZDSZVUTVVRUKZVUSVVRUKZJUKZQZHPULZVVPVVEVVRUQZVV
      RURZPSZVVRUPZCUSZVVSVURVVDUAUHZVUQUKZUBUHZVUQUKZUSZUAVWNULZUBPULZVWGVVEVW
      QUBPVVEVWNPQZVWPUAVWNVWSVVEUAUBUTZVWPTZVWSVVERZVWNVWOURZQZVXAVWSVVEVXDVXA
      RZVXEUMUMVUQUKZURZQZVWLUMQZVWMVXFUSZTZRZUCUHZVXMVUQUKZURZQZUAUCUTZVWMVXNU
      SZTZRZVXMUJZVYAVUQUKZURZQZVWLVYAQZVWMVYBUSZTZRZVVEUBUCVWNUMSZVXDVXHVXAVXK
      VYIVWNUMVXCVXGVYIVIVYIVWOVXFVWNUMVUQVAZVBVCVYIVWTVXIVWPVXJVWNUMVWLVDVYIVW
      OVXFVWMVYJVEVFVGUBUCVHZVXDVXPVXAVXSVYKVWNVXMVXCVXOVYKVIVYKVWOVXNVWNVXMVUQ
      VAZVBVCVYKVWTVXQVWPVXRUBUCUAUUBVYKVWOVXNVWMVYLVEVFVGVWNVYASZVXDVYDVXAVYGV
      YMVWNVYAVXCVYCVYMVIVYMVWOVYBVWNVYAVUQVAZVBVCVYMVWTVYEVWPVYFVWNVYAVWLVDVYM
      VWOVYBVWMVYNVEVFVGVURVXLVVDVURVXHVXKVURVXFEQZVXHVURUMPQZVYOVJPEUMVUQVKVLV
      YOVXHVXGPQZVYOVXFUMLUHZURZQZVYSPQZRZLVMZQVXHVYQRZEWUCVXFEIUHZUJZCVYRUIZUM
      VYRUKZDSZVUTVYRUKZVUSVYRUKZJUKZQZHWUEULZUNZIPVNZLVMZWUCNWUPWUBLWUOWUBIPWU
      OWUEPQZWUBWUGWUIWURWUBTWUNWUGVYSWUFSZWURWUBWUFCVYRUUCZWURUMWUFQZWUFPQZWUS
      WUBTWURWUEWAZWVAWUEVOZWUEUUDVPWUEVQWUSWUBWVAWVBRWUSVYTWVAWUAWVBVYSWUFUMVD
      VYSWUFPUUIVGUUEVRUUFVSVTWBWCWDZWEWUBWUDLVXFUMVUQWFZVYRVXFSZVYTVXHWUAVYQWV
      GVYSVXGUMVYRVXFWGZWHWVGVYSVXGPWVHWIVGWLWMWJVPZVXIVXJVWLUUGUUHUUJWKVXMPQZV
      VEVXTVYHTZWVJVVERVXNEQZVYBVXNKUKZQZWVKWVJVURWVLVVDVURWVJWVLPEVXMVUQVKWNWO
      WVJVVDWVNVURVVCWVNHVXMPHUCVHZVVAVYBVVBWVMWVOVUTVYAVUQVUSVXMXCWPVUSVXMKVUQ
      UUKVCUULUUMWVLWVNRZVXPVYDVXSVYGWVPVXPVYDWVPVXPVYAVXOUJZQZVYDWVLVXPWVRXDZW
      VNWVLVXOPQZVXOWAWVSWVLUMVXOQZWVTWVLVXNWUCQWWAWVTRZEWUCVXNWVEWEWUBWWBLVXNV
      XMVUQWFVYRVXNSZVYTWWAWUAWVTWWCVYSVXOUMVYRVXNWGZWHWWCVYSVXOPWWDWIVGWLWMWQV
      XOVOVXMVXOWRWSWKWVPVYCWVQVYAWVPVYCWVQSZVYBVXOWTZVXNSZWVLWVNVYBEQZWWEWWGRZ
      WVLWVNVYBBUHZURZWVQSZWWJVXOWTZVXNSZRZBEXAZQWWHWWIRWVLWVMWWPVYBAVXNWWKAUHZ
      URZUJZSZWWJWWRWTZWWQSZRZBEXAWWPEKWWQVXNSZWXCWWOBEWXDWWTWWLWXBWWNWXDWWSWVQ
      WWKWXDWWRVXOSWWSWVQSWWQVXNWGZWWRVXOXCVPUUNWXDWXAWWMWWQVXNWXDWWRVXOWWJWXEU
      UOWXDVIUUPVGUUQOWWOBECDEHIJLMNUURUUSUUTWHWWOWWIBVYBEWWJVYBSZWWLWWEWWNWWGW
      XFWWKVYCWVQWWJVYBWGXBWXFWWMWWFVXNWWJVYBVXOUVAXBVGUVBUVCUVDZWJWHUVEUVFWVPW
      WGVXNVYBUSZVXSVYGTWVPWWEWWGWXGWQWWGWWFVYBUSWXHVYBVXOUVGWWFVXNVYBUVHUVJVYE
      VXSWXHVYFVYEVXQUAUCVHZXEVXSWXHVYFTZTZVWLVXMUVIVXQWXKWXIVXQVXSVXRWXJVXQVXR
      UVKVWMVXNVYBUVLXFWXIWXJVXSWXIVYFWXHWXIVWMVXNVYBVWLVXMVUQVAXGXHUVMUVNVPXIW
      SXJVRXKUVOXOZWQXLXMXNVURVWRRZUDUHZUQZWXNUEUHZUSZWXPWXNUSZXEZUEVVQULZRZUDV
      VQULVWGWXMWYAUDVVQWXMWXNVVQQZWXOWXTVURWYBWXOTVWRVURWYBWXNVYRUQZLVMZQWXOVU
      RVVQWYDWXNVURVVQEWYDPEVUQXPZEWUQWYDNWUPWYCLWUOWYCIPWUGWUIWYCWUNWUFCVYRUWB
      VSXQWCWDXRXSWYCWXOLWXNUDXTZVYRWXNUVPWLYAWKVURVUQPYFZVWRWYBWXTTPEVUQUVQZWY
      GVWRRWYBWXSUEVVQWYGVWRWYBWXPVVQQZWXSTTWYGWYIWYBVWRWXSWYGWYIUFUHZVUQUKZWXP
      SZUFPVNZWYBVWRWXSTZTUFPWXPVUQYBWYGWYBWYMWYNWYGWYBUGUHZVUQUKZWXNSZUGPVNZWY
      MWYNTUGPWXNVUQYBWYRWYLWYNUFPWYQWYJPQZWYLWYNTZTUGPWYOPQZWYSWYQWYTXUAWYSWYQ
      WYLWYNXUAWYSRZVWRWYQWYLRZWXSXUBVWRWYPWYKUSZWYKWYPUSZXEZXUCWXSTWYOWAZWYJWA
      ZRZXUBVWRXUFTZXUAXUGWYSXUHWYOVOWYJVOUVRXUIUGUFUTZUGUFVHZUFUGUTZUVSXUBXUJT
      ZWYOWYJUVTXUKXUNXULXUMXUBVWRXUKXUFXUBVWRXUKXUFXUBVWRXUKUNXUDXUEXUBVWRXUKX
      UDWYSVWRXUKXUDTZTXUAWYSVWRVWMWYKUSZUAWYJULZXUOVWQXUQUBWYJPVWPXUPUAVWNWYJU
      BUFVHVWOWYKVWMVWNWYJVUQVAVEYCYDXUPXUDUAWYOWYJUAUGVHVWMWYPWYKVWLWYOVUQVAXG
      YEXFUWAYGYHYIYJXULXUFXUBVWRXULWYPWYKSZXUFWYOWYJVUQVAXURXUDXUEWYPWYKUWCYHV
      PUWDXUBVWRXUMXUFXUBVWRXUMXUFXUBVWRXUMUNXUEXUDXUBVWRXUMXUEXUAVWRXUMXUETZTW
      YSXUAVWRVWMWYPUSZUAWYOULZXUSVWQXVAUBWYOPVWPXUTUAVWNWYOUBUGVHVWOWYPVWMVWNW
      YOVUQVAVEYCYDXUTXUEUAWYJWYOUAUFVHVWMWYKWYPVWLWYJVUQVAXGYEXFWKYGUWMYIYJUWE
      VPUWFXUCXUFWXSXUCXUDWXQXUEWXRWYPWXNWYKWXPYKWYLWYQXUEWXRXDWYKWXPWYPWXNYKWN
      UWGUWHXFYLUWIYLUWJYMUWKYLUWLUWNXOXMUWOUWPXNVVQUDUEUWQVPUWRZVVEUBVWHPVVEVW
      NVWHQZVWSVURXVCVWSTVVDXVCVWNWXNUWSZVVRQZUDUOVURVWSUDVWNVVRUBXTZUXEVURXVEV
      WSUDXVEXVDWXPQZUEVVQVNVURVWSUEXVDVVQUWTVURXVGVWSUEVVQVURXVGWYIVWSVURXVGWY
      IRVWNWXPURZQZXVHPQZRVWSVURXVGXVIWYIXVJXVGXVITVURVWNWXNWXPXVFWYFUXAUXBVURV
      VQWUCUSZWYIXVJTVURVVQEWUCWYEWVEXRZXVKWYIWXPWUCQZXVJVVQWUCWXPYNXVMUMXVHQZX
      VJWUBXVNXVJRLWXPUEXTLUEVHZVYTXVNWUAXVJXVOVYSXVHUMVYRWXPWGZWHXVOVYSXVHPXVP
      WIVGWLUXCXFVPXJVWNXVHUXFXFUXDYMUXGUXHUXGWKVWSVVEXVCVXBVWNUDVVQWXNURZUXIZV
      WHVXBVWOVVQQZVXDVWNXVRQVWSVURXVSVVDVURWYGVWSXVSVWSWYHVWSVIPVWNVUQYRUXJWOV
      XBVXDVXAWXLWJZUDVWOXVQVXCVVQVWNWXNVWOWGUXKVRUDVVQUXLUXMXLUXPUXNVURVWKVVDV
      URVWJLVVQVYRUPZUXIZCLVVQUXOVURXWACUSZLVVQULXWBCUSVURXWCLVVQVURVVQXWCLVMZU
      SZVYRVVQQZXWCTVURVVQEXWDWYEEWUQXWDNWUPXWCLWUOXWCIPWUGWUIXWCWUNWUFCVYRXPVS
      XQWCWDXRXWEXWFVYRXWDQXWCVVQXWDVYRYNXWCLUXQYAVPXNLVVQXWACUXRUYFUXSWKVWGVWI
      RVVRPYFZVWKVVSVVRPUXTVVSXWGVWKRPCVVRUYGUYAUYBUYCVVEVVTUMVXFUKZDVVEVWGVXFV
      VRUSZVXHVVTXWHSXVBVVEVXFVVQQZXWIVURXWJVVDVURWYGVYPXWJWYHVJPUMVUQYRUYDWKZV
      XFVVQUYEVPVURVXHVVDWVIWKUMVVRVXFYOYPVVEXWJXWHDSZXWKVURXWJXWLTZVVDVURVVQWU
      ILVMZUSZXWMVURVVQEXWNWYEEWUQXWNNWUPWUILWUOWUIIPWUGWUIWUNUYHXQWCWDXRXWOXWJ
      VXFXWNQXWLVVQXWNVXFYNWUIXWLLVXFWVFWVGWUHXWHDUMVYRVXFYQXBWLYAVPWKYSUYIVVEV
      WEHPVURVVDHVURHUYJVVCHPUYKUYLVVEVUSPQZVWEVVEXWPRZVWEVUTVVAUKZVUSVVAUKZJUK
      ZQZXWQVVQEUSZVVAVVQQZVUTVVAURZQZXXAVURXXBVVDXWPWYEUYMVURXWPXXCVVDVURWYGVU
      TPQZXXCXWPWYHVUSVQZPVUTVUQYRUYNZYTVVEVXDUBPULZXWPXXEVVEVXDUBPVWSVVEVXDXVT
      XLXNXWPXXFXXIXXETXXGVXDXXEUBVUTPVWNVUTSZVWNVUTVXCXXDXXJVIXXJVWOVVAVWNVUTV
      UQVAVBVCYDVPUYOZXXBXXCVVAVUTVYSQZWUMTZLVMZQXXEXXATZXXBVVQXXNVVAXXBEXXNUSV
      VQXXNUSEWUQXXNNWUPXXMLWUOXXMIPWUOWURXXMWUGWUNWURXXMTZWUIWUGWUNXXPWUGXXLWU
      RWUNWUMWUGXXLWURWUNWUMTTZWUGXXLRVUTWUFQZXXQWUGWUSXXLXXRWUTWUSXXLXXRVYSWUF
      VUTVDUYPUWOWUNWURXXRWUMWURXXRHIUTZWUNWUMWURXXSXXRWURWVCXXSXXRXDWVDVUSWUEW
      RVPXHWUMHWUEUYRUYQXIVPXKUWNXOUYSVTWBWCWDVVQEXXNUYTVLXSXXMXXOLVVAVUTVUQWFZ
      VYRVVASZXXLXXEWUMXXAXYAVYSXXDVUTVYRVVAWGZWHXYAWUJXWRWULXWTVUTVYRVVAYQXYAW
      UKXWSJVUSVYRVVAYQWPVCVFWLYAVUAXWQVWBXWRSZVWCXWSSZVWEXXAXDXWQVWGVVAVVRUSZX
      XEXYCVVEVWGXWPXVBWKZVURXWPXYEVVDVURXWPRZXXCXYEXXHVVAVVQUYEVPYTZXXKVUTVVRV
      VAYOYPXWQVWGXYEVUSXXDQZXYDXYFXYHXWQXXEXYIXXKVURXWPXXEXYITZVVDXYGXXDPQZXXD
      WAXXDVUBZXYJXYGUMXXDQZXYKXYGXXCXYMXYKRZXXHVURXXCXYNTXWPVURXXCVVAWUCQXYNVU
      RVVQWUCVVAXVLXSWUBXYNLVVAXXTXYAVYTXYMWUAXYKXYAVYSXXDUMXYBWHXYAVYSXXDPXYBW
      IVGWLYAWKYSWQXXDVOXXDVUCXYLXXEXYIXXDVUSVUDXKVUEYTYSVUSVVRVVAYOYPXYCXYDRZV
      WBXWRVWDXWTXYCXYDVUFXYOVWCXWSJXYCXYDVUGWPVCVRVUHXKVUKVVOVVSVWAVWFUNFVVRVV
      QVUQGXTVUIVUJVVFVVRSZVVGVVSVVIVWAVVNVWFPCVVFVVRVULXYPVVHVVTDUMVVFVVRYQXBX
      YPVVMVWEHPXYPVVJVWBVVLVWDVUTVVFVVRYQXYPVVKVWCJVUSVVFVVRYQWPVCVUMVUNVUOYPV
      UP $.
  $}

  ${
    $d A m $.  $d A n s $.  $d B k m n $.  $d B k n s $.  $d C m $.
    $d C n s $.  $d F m $.  $d F n s $.
    axdc3lem3.1 $e |- A e. _V $.
    axdc3lem3.2 $e |- S = { s | E. n e. _om ( s : suc n --> A /\
       ( s ` (/) ) = C /\ A. k e. n ( s ` suc k ) e. ( F ` ( s ` k ) ) ) } $.
    axdc3lem3.3 $e |- B e. _V $.
    $( Simple substitution lemma for ~ axdc3 .  (Contributed by Mario Carneiro,
       27-Jan-2013.) $)
    axdc3lem3 $p |- ( B e. S <-> E. m e. _om ( B : suc m --> A /\
       ( B ` (/) ) = C /\ A. k e. m ( B ` suc k ) e. ( F ` ( B ` k ) ) ) ) $=
      ( wcel cv csuc wf c0 cfv wceq com wral w3a wrex eleq2i feq1 eqeq1d fveq2d
      cab fveq1 eleq12d ralbidv 3anbi123d rexbidv elab weq suceq feq2d 3anbi13d
      raleq cbvrexvw 3bitri ) BDMBGNZOZAINZPZQVDRZCSZENZOZVDRZVHVDRZHRZMZEVBUAZ
      UBZGTUCZIUHZMVCABPZQBRZCSZVIBRZVHBRZHRZMZEVBUAZUBZGTUCZFNZOZABPZVTWDEWHUA
      ZUBZFTUCDVQBKUDVPWGIBLVDBSZVOWFGTWMVEVRVGVTVNWEVCAVDBUEWMVFVSCQVDBUIUFWMV
      MWDEVBWMVJWAVLWCVIVDBUIWMVKWBHVHVDBUIUGUJUKULUMUNWFWLGFTGFUOZVRWJWEWKVTWN
      VCWIABVBWHUPUQWDEVBWHUSURUTVA $.
  $}

  ${
    $d A g h k $.  $d A k m n p x z $.  $d A h k s x $.  $d C g h k $.
    $d C k m n p z $.  $d C h k s $.  $d F g h k $.  $d F k m n p x z $.
    $d F h k s x $.  $d G h k $.  $d S h k s x $.  $d S k m x z $.
    $d S h x y $.  $d m x y z $.  $d n s x z $.
    axdc3lem4.1 $e |- A e. _V $.
    axdc3lem4.2 $e |- S = { s | E. n e. _om ( s : suc n --> A /\
       ( s ` (/) ) = C /\ A. k e. n ( s ` suc k ) e. ( F ` ( s ` k ) ) ) } $.
    axdc3lem4.3 $e |- G = ( x e. S |-> { y e. S |
                             ( dom y = suc dom x /\ ( y |` dom x ) = x ) } ) $.
    $( Lemma for ~ axdc3 .  We have constructed a "candidate set" ` S ` , which
       consists of all finite sequences ` s ` that satisfy our property of
       interest, namely ` s ( x + 1 ) e. F ( s ( x ) ) ` on its domain, but
       with the added constraint that ` s ( 0 ) = C ` .  These sets are
       possible "initial segments" of the _infinite_ sequence satisfying these
       constraints, but we can leverage the standard ~ ax-dc (with no initial
       condition) to select a sequence of ever-lengthening finite sequences,
       namely ` ( h `` n ) : m --> A ` (for some integer ` m ` ).  We let our
       "choice" function select a sequence whose domain is one more than the
       last one, and agrees with the previous one on its domain.  Thus, the
       application of vanilla ~ ax-dc yields a sequence of sequences whose
       domains increase without bound, and whose union is a function which has
       all the properties we want.  In this lemma, we show that ` S ` is
       nonempty, and that ` G ` always maps to a nonempty subset of ` S ` , so
       that we can apply ~ axdc2 .  See ~ axdc3lem2 for the rest of the proof.
       (Contributed by Mario Carneiro, 27-Jan-2013.) $)
    axdc3lem4 $p |- ( ( C e. A /\ F : A --> ( ~P A \ { (/) } ) ) ->
                E. g ( g : _om --> A /\ ( g ` (/) ) = C /\
                  A. k e. _om ( g ` suc k ) e. ( F ` ( g ` k ) ) ) ) $=
      ( wcel c0 wa cfv wceq wi vh vm vz vp cpw csn cdif wf com cv csuc wral wex
      w3a wne wrex peano1 eqid wb fsng mpan mpbiri snssi fssd suc0 feq2i sylibr
      cop fvsng ral0 a1i 3jca suceq feq2d raleq 3anbi13d sylancr snex axdc3lem3
      rspcev ne0d cdm cres cvv axdc3lem ssrab2 wn vex ffvelrn sylan2 necon3bbii
      crab elsn sylib syl cun expcom 3syl 3ad2ant3 3ad2ant1 simplr wss cin word
      adantr adantl mpbird nnord eleq2 disjsn df-suc ex a1d ancoms 3adant1 3imp
      wfun eqtrid syl2anc funssfv syl3anc eqeq1d biimpar 3adant2 impcom 3adant3
      nfv nf3an biimparc syl2an fveq2d eleq12d 3adant2l fveq2 eqtrd com3r 3impd
      3expib mpd com12 elpwi2 simp2 sucid mpan2 eldifn fvex bitri simp32 eldifi
      n0 elelpwi peano2 dmex mp2an simpr snssd fss fdm eleq1 ordirr mtbid fun2d
      sneq uneq2d eqtr4di ad2antlr mpbid adantrd ffun funsn jctir dmsnop ineq2i
      funun ssun1 0elsuc eleq2d adantrl nfra1 wo elsuci rsp adantlr ordsucelsuc
      ad2ant2lr biimpa 3adant1r ssun2 eqeq2d eleqtrri eqeltrrdi eqtr3di syl3an3
      snid fvsn 3expa 3adant1l biimprd jaoi impd ralrimi unex 3coml 3exp sylcom
      syl13anc expd com23 mpdi imp resundir wrel frel resdm incom wfn fnresdisj
      eqeq1i fnsn ax-mp 3bitr3ri uneq12d un0 eqtrdi uneq2i 3eqtr4i jctil reseq1
      dmun anbi12d 3exp2 exlimdv mpan2d 3expd rexlimiv sylbi rabn0 rabex eldifd
      dmeq fmptd axdc2 axdc3lem2 ) DCOZCCUEZPUFZUGZIUHZQUIEUAUJZUHGUJZUKZVUIRVU
      JVUIRJROGUIULQUAUMZUICFUJZUHPVUMRDSVUKVUMRVUJVUMRIROGUIULUNFUMVUDEPUOEEUE
      ZVUFUGZJUHVULVUHVUDEPDVHZUFZVUDUBUJZUKZCVUQUHZPVUQRDSZVUKVUQRVUJVUQRIROZG
      VURULZUNZUBUIUPZVUQEOVUDPUIOZPUKZCVUQUHZVVAVVBGPULZUNZVVEUQVUDVVHVVAVVIVU
      DVUFCVUQUHVVHVUDVUFDUFZCVUQVUDVUFVVKVUQUHZVUQVUQSZVUQURVVFVUDVVLVVMUSUQPD
      UICVUQUTVAVBDCVCVDVVGVUFCVUQVEVFVGVVFVUDVVAUQPDUICVIVAVVIVUDVVBGVJVKVLVVD
      VVJUBPUIVURPSZVUTVVHVVCVVIVVAVVNVUSVVGCVUQVURPVMVNVVBGVURPVOVPVTVQCVUQDEG
      UBHIKLMVUPVRVSVGWAVUHAEBUJZWBZAUJZWBZUKZSZVVOVVRWCZVVQSZQZBEWLZVUOJVUHVVQ
      EOZQZVWDVUNVUFVWDVUNOVWFVWDEWDCDEGHIKLMWEZVWCBEWFUUAVKVWFVWDPUOZVWDVUFOZW
      GVWFVWCBEUPZVWHVWEVUHVWJVWEVUSCVVQUHZPVVQRZDSZVUKVVQRZVUJVVQRZIRZOZGVURUL
      ZUNZUBUIUPVUHVWJTZCVVQDEGUBHIKLMAWHZVSVWSVWTUBUIVWSVURUIOZVWTVWKVWMVWRVXB
      VWTTZVWMVWRVWKVXCVWMVWRVWKVXBVWTVWRVWKVXBUNZVUHVWMVWJVXDVUHVWKVWMVWJTVWRV
      WKVXBUUBVUHVWKQZVWMVXDVWJVXEUCUJZVURVVQRZIRZOZUCUMZVWMVXDVWJTTZVXEVXHVUGO
      ZVXJVWKVUHVXGCOZVXLVWKVURVUSOVXMVURUBWHUUCVUSCVURVVQWIUUDCVUGVXGIWIWJZVXL
      VXHVUFOZWGZVXJVXHVUEVUFUUEVXPVXHPUOVXJVXOVXHPVXHPVXGIUUFWMWKUCVXHUUJUUGWN
      WOVUHVXJVXKTVWKVUHVXIVXKUCVUHVXIVWMVXDVWJVUHVXIVWMVXDUNZQZVVQVVRVXFVHZUFZ
      WPZEOZVYAWBZVVSSZVYAVVRWCZVVQSZQZVWJVUHVXQVYBVUHVXQVWKVYBVXIVWMVWRVWKVXBU
      UHVUHVWKVXQVYBVUHVWKVXQVYBTVXEVXIVWMVXDVYBVXEVXIVXFCOZVWMVXDVYBTZTVXEVXLV
      XHVUEOZVXIVYHTVXNVXHVUEVUFUUIVXIVYJVYHVXFVXHCUUKWQWRVXIVYHVWMVYIVXIVYHVWM
      QZVXDVYBVXDVXIVYKVYBVXDVXIVYKUNZUDUJZUKZCVYAUHZPVYARZDSZVUKVYARZVUJVYARZI
      RZOZGVYMULZUNZUDUIUPZVYBVYLVUSUIOZVUSUKZCVYAUHZVYQWUAGVUSULZWUDVXDVXIWUEV
      YKVXBVWRWUEVWKVURUULZWSWTVXDVXIVYKWUGVWKVXBVXIVYKWUGTZTZVWRVXBVWKWUKVXBVW
      KQZWUJVXIWULVYHWUGVWMWULVYHWUGWULVYHQZVUSVVRUFZWPZCVYAUHWUGWUMVUSWUNCVVQV
      XTVXBVWKVYHXAWUMWUNVXFUFZVXTUHZWUPCXBWUNCVXTUHVVRWDOZVXFWDOZWUQVVQVXAUUMZ
      UCWHZWURWUSQWUQVXTVXTSVXTURVVRVXFWDWDVXTUTVBUUNWUMVXFCWULVYHUUOUUPWUNWUPC
      VXTUUQVQWULVUSWUNXCPSZVYHVWKVXBVVRVUSSZWVBVUSCVVQUURZVXBWVCQZVVRVUSOZWGWV
      BWVEVVRVVROZWVFWVEVVRUIOZVVRXDZWVGWGZWVEWVHWUEVXBWUEWVCWUIXEWVCWVHWUEUSVX
      BVVRVUSUIUUSXFXGZVVRXHZVVRUUTZWRZWVCWVGWVFUSVXBVVRVUSVVRXIXFUVAVUSVVRXJVG
      WJXEUVBWUMWUOWUFCVYAVWKWUOWUFSZVXBVYHVWKWVCWVOWVDWVCWUOVUSVUSUFZWPWUFWVCW
      UNWVPVUSVVRVUSUVCUVDVUSXKUVEWOUVFVNUVGXLUVHXMXNXOXPVXDVYKVYQVXIVXDVWMVYQV
      YHVXDVYQVWMVWKVXBVYQVWMUSZVWRVXBVWKWVQWULVYPVWLDWULVYAXQZVVQVYAXBZPVVROZV
      YPVWLSWULVVQXQZVXTXQZQVVRVXTWBZXCZPSZWVRWULWWAWWBVWKWWAVXBVUSCVVQUVIXFVVR
      VXFWUTWVAUVJUVKVWKVXBWVCWWEWVDWVEWWDVVRWUNXCZPWWCWUNVVRVVRVXFWVAUVLZUVMWV
      EWVJWWFPSZWVNVVRVVRXJZVGXRWJVVQVXTUVNXSZWVSWULVVQVXTUVOZVKWULWVTPVUSOZVXB
      WWLVWKVXBVURXDZWWLVURXHZVURUVPWOXEVWKWVTWWLUSVXBVWKVVRVUSPWVDUVQXFXGPVYAV
      VQXTYAYBXNXOYCUVRYDVYLWUAGVUSVXDVXIVYKGVWRVWKVXBGVWQGVURUVSVWKGYGVXBGYGYH
      VXIGYGVYKGYGYHVXDVXIVUJVUSOZWUATVYKWWOVXDVXIQWUAWWOVXDVXIWUAWWOVWRVWKVXBV
      XIWUATZVWRWWOVWKVXBWWPTZTVWRWWOQZVWKWWQWWRVWKQZWWOWWQVWRWWOVWKXAWWOVXBWWS
      WWPWWOVUJVUROZVUJVURSZUVTVXBWWSWWPTZTZVUJVURUWAWWTWXCWXAVXBWWTWXBVXBWWTQZ
      WWRVWKWWPWXDWWRVWKUNZWUAVXIWXEWUAVWQWXDWWRVWQVWKWWTVWRVWQVXBWWOVWRWWTVWQV
      WQGVURUWBYEUWEYFWXDWWOVWKWUAVWQUSVWRWXDWWOVWKUNZVYRVWNVYTVWPWXDVWKVYRVWNS
      ZWWOWXDVWKQZWVRWVSVUKVVROZWXGVXBVWKWVRWWTWWJUWCWVSWXHWWKVKWXDVUKVUSOZWVCW
      XIVWKVXBWWTWXJVXBWWMWWTWXJUSWWNVUJVURUWDWOUWFWVDWVCWXIWXJVVRVUSVUKXIYIYJV
      UKVYAVVQXTYAYDWXFVYSVWOIVXBWWOVWKVYSVWOSZWWTVXBWWOVWKUNZWVRWVSVUJVVROZWXK
      VXBVWKWVRWWOWWJYDWVSWXLWWKVKWWOVWKWXMVXBVWKWWOWVCWXMWVDWVCWXMWWOVVRVUSVUJ
      XIYIWJXOVUJVYAVVQXTYAZUWGYKYLYMXGXMYRWQWXAVXBWXBWXAVXBQZWWRVWKWWPWXOWWRVW
      KUNWUAVXIWXOWWOVWKWUAVXIUSVWRWXOWWOVWKUNZVYRVXFVYTVXHWXOVWKVYRVXFSZWWOWXA
      VXBVWKWXQWXAVXBVWKUNZVYRVUKVXTRZVXFWXRWVRVXTVYAXBZVUKWWCOZVYRWXSSVXBVWKWV
      RWXAWWJXOWXTWXRVXTVVQUWHVKWXAVWKWYAVXBVWKWXAWVCWYAWVDWXAWVCQVUKVVRWWCWXAV
      VRVUKSZWVCWXAVUKVUSVVRVUJVURVMUWIYCZVVRWUNWWCVVRWUTUWNWWGUWJUWKWJYDVUKVYA
      VXTXTYAVWKWXAVXBWVCWXSVXFSZWVDWXAVXBWVCUNWYBWYDWXAWVCWYBVXBWYCYDWYBVVRVXT
      RWXSVXFVVRVUKVXTYNVVRVXFWUTWVAUWOUWLWOUWMYOUWPYDWXPVYSVXGIWXPVYSVWOVXGVXB
      WWOVWKWXKWXAWXNUWQWXOWWOVWOVXGSZVWKWXAWYEVXBVUJVURVVQYNXEWTYOYKYLYMUWRYRX
      LUWSWOYPYSXLWQYQUWTYTYFUXAWUCWUGVYQWUHUNUDVUSUIVYMVUSSZVYOWUGWUBWUHVYQWYF
      VYNWUFCVYAVYMVUSVMVNWUAGVYMVUSVOVPVTUXFCVYADEGUDHIKLMVVQVXTVXAVXSVRUXBVSV
      GUXCUXDUXGUXEYQXLUXHUXIUXJVXRVYFVYDVXQVYFVUHVXDVXIVYFVWMVWKVXBVYFVWRVXBVW
      KVYFWULVYEVVQVVRWCZVXTVVRWCZWPZVVQVVQVXTVVRUXKWULWYIVVQPWPVVQWULWYGVVQWYH
      PVWKWYGVVQSZVXBVWKVVQUXLWYJVUSCVVQUXMVVQUXNWOXFWULWVHWYHPSZVWKVXBWVCWVHWV
      DWVKWJWVHWVJWYKWVHWVIWVJWVLWVMWOWUNVVRXCZPSZWWHWYKWVJWYLWWFPWUNVVRUXOUXRV
      XTWUNUXPWYMWYKUSVVRVXFWUTWVAUXSWUNVVRVXTUXQUXTWWIUYAWNWOUYBVVQUYCUYDXRXNX
      OWSXFVVRWWCWPVVRWUNWPVYCVVSWWCWUNVVRWWGUYEVVQVXTUYIVVRXKUYFUYGVWCVYGBVYAE
      VVOVYASZVVTVYDVWBVYFWYNVVPVYCVVSVVOVYAUYTYBWYNVWAVYEVVQVVOVYAVVRUYHYBUYJV
      TXSUYKUYLXEYSYPUYMYPUYNYPXPYTUYOUYPYEVWCBEUYQVGVWIVWDPVWDPVWCBEVWGUYRWMWK
      VGUYSNVUAEUAGJVWGVUBYJABCDEFUAGHIJKLMNVUCWO $.
  $}

  ${
    $d A g k $.  $d A k n s t x $.  $d A k n t x y $.  $d C g k $.
    $d C k n s t x $.  $d C k n t x y $.  $d F g k $.  $d F j k n s t x $.
    $d F j k n t x y $.
    axdc3.1 $e |- A e. _V $.
    $( Dependent Choice.  Axiom DC1 of [Schechter] p. 149, with the addition of
       an initial value ` C ` .  This theorem is weaker than the Axiom of
       Choice but is stronger than Countable Choice.  It shows the existence of
       a sequence whose values can only be shown to exist (but cannot be
       constructed explicitly) and also depend on earlier values in the
       sequence.  (Contributed by Mario Carneiro, 27-Jan-2013.) $)
    axdc3 $p |- ( ( C e. A /\ F : A --> ( ~P A \ { (/) } ) ) ->
                E. g ( g : _om --> A /\ ( g ` (/) ) = C /\
                  A. k e. _om ( g ` suc k ) e. ( F ` ( g ` k ) ) ) ) $=
      ( vx vy vn vt vj vs cv csuc c0 cfv wceq wcel wral com wf w3a wrex cab cdm
      cres wa crab cmpt feq1 fveq1 eqeq1d fveq2d eleq12d ralbidv suceq cbvralvw
      2fveq3 bitrdi 3anbi123d rexbidv cbvabv eqid axdc3lem4 ) GHABIMZNZAJMZUAZO
      VGPZBQZKMZNZVGPZVKVGPZEPZRZKVESZUBZITUCZJUDZCDIEGVTHMZUEGMZUEZNQWAWCUFWBQ
      UGHVTUHUIZLFVSVFALMZUAZOWEPZBQZDMZNZWEPZWIWEPEPZRZDVESZUBZITUCJLVGWEQZVRW
      OITWPVHWFVJWHVQWNVFAVGWEUJWPVIWGBOVGWEUKULWPVQVLWEPZVKWEPZEPZRZKVESWNWPVP
      WTKVEWPVMWQVOWSVLVGWEUKWPVNWREVKVGWEUKUMUNUOWTWMKDVEVKWIQZWQWKWSWLXAVLWJW
      EVKWIUPUMVKWIEWEURUNUQUSUTVAVBWDVCVD $.
  $}

  ${
    $d g h i k m n s t x z A $.  $d g h i k m z C $.  $d g h n s t x z F $.
    $d h i k m z G $.
    axdc4lem.1 $e |- A e. _V $.
    axdc4lem.2 $e |- G
        = ( n e. _om , x e. A |-> ( { suc n } X. ( n F x ) ) ) $.
    $( Lemma for ~ axdc4 .  (Contributed by Mario Carneiro, 31-Jan-2013.)
       (Revised by Mario Carneiro, 16-Nov-2013.) $)
    axdc4lem $p |- ( ( C e. A /\ F : ( _om X. A ) --> ( ~P A \ { (/) } ) ) ->
                E. g ( g : _om --> A /\ ( g ` (/) ) = C /\
                  A. k e. _om ( g ` suc k ) e. ( k F ( g ` k ) ) ) ) $=
      ( vz wcel com c0 wa cfv wceq wex wi c2nd vh vm vi vt vs cxp cpw csn wf cv
      cdif cop csuc wral co peano1 opelxpi mpan simp2 fovrn peano2 snssd eldifi
      w3a wss elpw2 xpss12 sylan2b syl2an snex ovex xpex elpw sylibr syl2anc wn
      eldifn wne elsn necon3bbii vex sucex snnz xpnz biimpi sylbi eldifd 3expib
      3syl ralrimivv fmpo sylib dcomex axdc3 cvv 2ndcof 3ad2ant1 adantl mp3an23
      ccom syl fvco3 mpan2 fveq2 3ad2ant2 eqtrd op2ndg nfv opeq1 eqeq12d exbidv
      fex2 weq opeq2 eqeq2d imp df-ov simplr ffvelrn eleq1 opelxp2 syl6bi suceq
      sneqd oveq1 xpeq12d oveq2 xpeq2d ovmpo fveq2d eleq12d exlimiv com3l com12
      elxp op2nd eqtrdi oveq2d ex fveq1 sylan9eqr nfra1 nf3an 3ad2antr2 eqtr4di
      nfan spcegv mpan9 2fveq3 rspcv ad2antlr eleq2 velsn biimpac adantrr eximi
      sylsyld expcom cbvexvw syl8ib impancom 3adant2 finds2 rspccv 3impia simp3
      ralrimiv simp21 rspa 3ad2antl3 3adant1 simpl simprr eqtr3id eleq2d sylan2
      impel simpll biimprcd exp4c impcom exlimivv sylbid 3imp syl121anc ralrimi
      3expia 3jca feq1 eqeq1d ralbidv 3anbi123d spcedv exlimdv adantr mpd ) CBL
      ZMBUFZBUGZNUHZUKZGUIZOMUWRUAUJZUIZNUXCPZNCULZQZEUJZUMZUXCPZUXHUXCPZHPZLZE
      MUNZVDZUARZMBDUJZUIZNUXQPZCQZUXIUXQPZUXHUXHUXQPZGUOZLZEMUNZVDZDRZUWQUXFUW
      RLZUWRUWRUGZUWTUKZHUIZUXPUXBNMLZUWQUYHUPNCMBUQURUXBFUJZUMZUHZUYMAUJZGUOZU
      FZUYJLZABUNFMUNUYKUXBUYSFAMBUXBUYMMLZUYPBLZUYSUXBUYTVUAVDZUYRUYIUWTVUBUYT
      UYQUXALZUYRUYILZUXBUYTVUAUSUYMUYPUXAMBGUTZUYTVUCOUYRUWRVEZVUDUYTUYOMVEZUY
      QUWSLZVUFVUCUYTUYNMUYMVAVBUYQUWSUWTVCVUHVUGUYQBVEVUFUYQBIVFUYOMUYQBVGVHVI
      UYRUWRUYOUYQUYNVJUYMUYPGVKZVLZVMVNVOVUBVUCUYQUWTLZVPZUYRUWTLZVPZVUEUYQUWS
      UWTVQVULUYRNVRZVUNVULUYQNVRZVUOVUKUYQNUYQNVUIVSVTUYONVRZVUPVUOUYNUYMFWAWB
      WCVUQVUPOVUOUYOUYQWDWEURWFVUMUYRNUYRNVUJVSVTVNWIWGWHWJFAMBUYRUYJHJWKWLUWR
      UXFUAEHMBWMIVLWNVIUWQUXPUYGSUXBUWQUXOUYGUAUWQUXOUYGUWQUXOOZUYFMBTUXCWTZUI
      ZNVUSPZCQZUXIVUSPZUXHUXHVUSPZGUOZLZEMUNZVDDWOVUSVURVUTVUSWOLZUXOVUTUWQUXD
      UXGVUTUXNMMBUXCWPWQWRZVUTMWOLBWOLVVHWMIMBVUSWOWOXLWSXAVURVUTVVBVVGVVIUXOU
      WQVVAUXFTPZCUXOVVAUXETPZVVJUXDUXGVVAVVKQZUXNUXDUYLVVLUPMUWRNTUXCXBXCWQUXG
      UXDVVKVVJQUXNUXEUXFTXDXEXFUYLUWQVVJCQUPNCMBXGURUUAVURVVFEMUWQUXOEUWQEXHUX
      DUXGUXNEUXDEXHUXGEXHUXMEMUUBUUCUUFUWQUXOUXHMLZVVFUWQUXOVVMVDUXKUXHKUJZULZ
      QZKRZUXDVVMUXMVVFUWQUXOVVMVVQVURUBUJZUXCPZVVRVVNULZQZKRZUBMUNVVMVVQSVURVW
      BUBMVVRMLVURVWBVWBUXENVVNULZQZKRZUCUJZUXCPZVWFVVNULZQZKRZVWFUMZUXCPZVWKVV
      NULZQZKRZVURUBUCVVRNQZVWAVWDKVWPVVSUXEVVTVWCVVRNUXCXDVVRNVVNXIXJXKUBUCXMZ
      VWAVWIKVWQVVSVWGVVTVWHVVRVWFUXCXDVVRVWFVVNXIXJXKVVRVWKQZVWAVWNKVWRVVSVWLV
      VTVWMVVRVWKUXCXDVVRVWKVVNXIXJXKUWQUXDUXGVWEUXNUWQUXGVWEVWDUXGKCBVVNCQVWCU
      XFUXEVVNCNXNXOUUGXPUUDVURVWFMLZVWJVWOSZUXOVWSVWTSZUWQUXDUXNVXAUXGUXDVWSUX
      NVWTUXDVWSOZUXNVWJVWLVWKUDUJZULZQZUDRZVWOVWJVXBUXNVXFVWIVXBUXNVXFSZSKVXBV
      WIVXGVXBVWIOZVWGHPZVWKUHZVWFVVNGUOZUFZQZUXNVWLVXILZVXFVXHVXIVWFVVNHUOZVXL
      VWIVXIVXOQVXBVWIVXIVWHHPVXOVWGVWHHXDVWFVVNHXQUUEWRVXHVWSVVNBLZVXOVXLQUXDV
      WSVWIXRVXBVWGUWRLZVWIVXPMUWRVWFUXCXSVWIVXQVWHUWRLVXPVWGVWHUWRXTVWFVVNMBYA
      YBUUHFAVWFVVNMBUYRVXLHVXJVWFUYPGUOZUFFUCXMZUYOVXJUYQVXRVXSUYNVWKUYMVWFYCY
      DUYMVWFUYPGYEYFAKXMZVXRVXKVXJUYPVVNVWFGYGYHJVXJVXKVWKVJVWFVVNGVKVLYIVOXFV
      WSUXNVXNSUXDVWIUXMVXNEVWFMEUCXMZUXJVWLUXLVXIVYAUXIVWKUXCUXHVWFYCYJUXHVWFH
      UXCUUIYKUUJUUKVXMVXNVWLVXLLZVXFVXIVXLVWLUULVYBVWLUEUJZVXCULZQZVYCVXJLZVXC
      VXKLZOOZUDRZUERVXFUEUDVWLVXJVXKYOVYIVXFUEVYHVXEUDVYEVYFVXEVYGVYFVYEVXEVYF
      VYDVXDVWLVYFVYCVWKQVYDVXDQUEVWKUUMVYCVWKVXCXIWFXOUUNUUOUUPYLWFYBUUQUURYLY
      MVXEVWNUDKUDKXMVXDVWMVWLVXCVVNVWKXNXOUUSUUTUVAUVBWRYNUVCYNUVGVWBVVQUBUXHM
      UBEXMZVWAVVPKVYJVVSUXKVVTVVOVVRUXHUXCXDVVRUXHVVNXIXJXKUVDXAUVEUWQUXDUXGUX
      NVVMUVHUWQUXOVVMUVFUXOVVMUXMUWQUXNUXDVVMUXMUXGUXMEMUVIUVJUVKVVQUXDVVMOZUX
      MVVFVVPVYKUXMVVFSZSKVVPVYKVYLVVPVYKOZUXMUXJUXIUHZUXHVVNGUOZUFZLZVVFVYMUXL
      VYPUXJVYMUXLVVOHPZVYPVYMUXKVVOHVVPVYKUVLYJVYMVVMVXPVYRVYPQVVPUXDVVMUVMVVP
      UXKUWRLZVXPVYKVVPVYSVVOUWRLVXPUXKVVOUWRXTUXHVVNMBYAYBMUWRUXHUXCXSUVQVVMVX
      POVYRUXHVVNHUOVYPUXHVVNHXQFAUXHVVNMBUYRVYPHVYNUXHUYPGUOZUFFEXMZUYOVYNUYQV
      YTWUAUYNUXIUYMUXHYCYDUYMUXHUYPGYEYFVXTVYTVYOVYNUYPVVNUXHGYGYHJVYNVYOUXIVJ
      UXHVVNGVKVLYIUVNVOXFUVOVVPVYKVYQVVFSVYQVVPVYKVVFVYQUXJVYDQZVYCVYNLZVXCVYO
      LZOZOZUDRUERVVPVYKVVFSSZUEUDUXJVYNVYOYOWUFWUGUEUDWUEWUBWUGWUDWUBWUGSWUCWU
      DWUBVVPVYKVVFWUBVVPOZVYKOZVVFWUDWUIVVCVXCVVEVYOWUIVVCVYDTPZVXCWUIVVCUXJTP
      ZWUJVYKVVCWUKQZWUHVVMUXDUXIMLWULUXHVAMUWRUXITUXCXBUVPWRWUIUXJVYDTWUBVVPVY
      KUVRYJXFVYCVXCUEWAUDWAYPYQWUIVVDVVNUXHGWUIVVDVVOTPZVVNWUIVVDUXKTPZWUMVYKV
      VDWUNQWUHMUWRUXHTUXCXBWRWUIUXKVVOTWUBVVPVYKXRYJXFUXHVVNEWAKWAYPYQYRYKUVSU
      VTWRUWAUWBWFYMXPUWCYSYLUWDUWEUWGUWFUWHUXQVUSQZUXRVUTUXTVVBUYEVVGMBUXQVUSU
      WIWUOUXSVVACNUXQVUSYTUWJWUOUYDVVFEMWUOUYAVVCUYCVVEUXIUXQVUSYTWUOUYBVVDUXH
      GUXHUXQVUSYTYRYKUWKUWLUWMYSUWNUWOUWP $.
  $}

  ${
    $d A g k n x $.  $d C g k $.  $d F g k n x $.
    axdc4.1 $e |- A e. _V $.
    $( A more general version of ~ axdc3 that allows the function ` F ` to vary
       with ` k ` .  (Contributed by Mario Carneiro, 31-Jan-2013.) $)
    axdc4 $p |- ( ( C e. A /\ F : ( _om X. A ) --> ( ~P A \ { (/) } ) ) ->
                E. g ( g : _om --> A /\ ( g ` (/) ) = C /\
                  A. k e. _om ( g ` suc k ) e. ( k F ( g ` k ) ) ) ) $=
      ( vx vn com cv csuc csn co cxp cmpo eqid axdc4lem ) GABCDHEHGIAHJZKLRGJEM
      NOZFSPQ $.
  $}

  ${
    $d A c f h $.  $d A f h i n y $.  $d A c h k $.  $d A f h w z $.
    $d F c h k $.  $d F h i k z $.  $d G g z $.  $d G i z $.  $d f g h x $.
    axcclem.1 $e |- A = ( x \ { (/) } ) $.
    axcclem.2 $e |- F = ( n e. _om , y e. U. A |-> ( f ` n ) ) $.
    axcclem.3 $e |- G = ( w e. A |-> ( h ` suc ( `' f ` w ) ) ) $.
    $( Lemma for ~ axcc .  (Contributed by Mario Carneiro, 2-Feb-2013.)
       (Revised by Mario Carneiro, 16-Nov-2013.) $)
    axcclem $p |- ( x ~~ _om ->
       E. g A. z e. x ( z =/= (/) -> ( g ` z ) e. z ) ) $=
      ( cv com c0 cfv wcel wceq vk vc vi cen wbr wne wi wral wex cdom wn wa cfn
      csdm isfinite2 csn cdif eleq1i cun undif1 snfi unfi mpan2 eqeltrrid ssun1
      wss ssfi sylancl sylbi cvv wb isfiniteg ax-mp sdomnen 3syl con2i sdomentr
      dcomex expcom mtod vex difss eqsstri ssdomg mp2 jctil sylibr entr mpancom
      bren2 ensym wf1o bren cuni wf csuc f1of peano1 ffvelrn eldifn eleq2s fvex
      co elsn notbii neq0 bitr2i syl w3a cxp cpw elunii sylan2 ffvelrnda difabs
      difeq1i 3eqtr4i pwuni ssdif eqsstrri sseli ralrimivw ralrimiva fmpo sylib
      adantl difexi eqeltri uniex axdc4 syl2anc suceq fveq2d fveq2 3ad2ant3 imp
      exlimiv 3adant1 3adant2 3ad2ant1 3simpb eximi ex mpcom velsn eleq2i eldif
      necon3bbii sylbbr sylan2br simpl wrex wfo f1ofo foelrn sylan ccnv oveq12d
      id eleq12d rspcv 3adant3 eqcom f1ocnvfv syl5bi eqcomd simpr eqidd 3eltr3d
      ovmpo eleq1 fvmpt simp3 3eltr4d 3exp com3r 3expd com4r rexlimiv mpid impd
      impancom syl5 expd ralrimiv cmpt crn fvrn0 rgenw eqid fmpt mpbi rnex p0ex
      mpbird unex fex2 mp3an fveq1 eleq1d imbi2d ralbidv spcev exlimddv ) AOZPU
      DUEZEPUDUEZPEUDUEZCOZQUFZUXIGOZRZUXISZUGZCUXEUHZGUIZEUXEUDUEZUXFUXGUXFEUX
      EUJUEZEUXEUNUEZUKZULUXQUXFUXTUXRUXFUXSEPUNUEZUYAUXFUYAEUMSZUXEUMSZUXFUKZE
      UOUYBUXEQUPZUQZUMSZUYCEUYFUMLURUYGUXEUYEUSZUMSUXEUYHVFUYCUYGUYHUYFUYEUSZU
      MUXEUYEUTUYGUYEUMSUYIUMSQVAUYFUYEVBVCVDUXEUYEVEUYHUXEVGVHVIUYCUXEPUNUEZUY
      DPVJSUYCUYJVKVRUXEVLVMUXEPVNVIVOVPUXSUXFUYAEUXEPVQVSVTUXEVJSEUXEVFUXRAWAZ
      EUYFUXELUXEUYEWBWCEUXEVJWDWEWFEUXEWJWGEUXEPWHWIEPWKUXHPEFOZWLZFUIUXPPEFWM
      UYMUXPFUYMPEWNZHOZWOZUAOZWPZUYORZUYQUYQUYORZJXCZSZUAPUHZULZUXPHUBOZQUYLRZ
      SZUBUIZUYMVUDHUIZUYMVUFESZVUHUYMPEUYLWOQPSVUJPEUYLWQZWRPEQUYLWSVHZVUJVUFU
      YESZUKZVUHVUNVUFUYFEVUFUXEUYEWTLXAVUNVUFQTZUKVUHVUMVUOVUFQQUYLXBXDXEUBVUF
      XFXGWGXHVUGUYMVUIUGUBVUGUYMVUIVUGUYMULZUYPQUYORVUETZVUCXIZHUIZVUIVUPVUEUY
      NSZPUYNXJUYNXKZUYEUQZJWOZVUSUYMVUGVUJVUTVULVUEVUFEXLXMUYMVVCVUGUYMIOZUYLR
      ZVVBSZBUYNUHZIPUHVVCUYMVVGIPUYMVVDPSULVVEESZVVGUYMPEVVDUYLVUKXNVVHVVFBUYN
      EVVBVVEEEUYEUQZVVBUYFUYEUQUYFVVIEUXEUYEXOEUYFUYELXPLXQEVVAVFVVIVVBVFEXREV
      VAUYEXSVMXTYAYBXHYCIBPUYNVVEVVBJMYDYEYFUYNVUEHUAJEEUYFVJLUXEUYEUYKYGYHZYI
      YJYKVURVUDHUYPVUQVUCUUAUUBXHUUCYQUUDUYMVUDULZUXJUXIKRZUXISZUGZCUXEUHZUXPV
      VKVVNCUXEVVKUXIUXESZUXJVVMVVPUXJULUXIESZVVKVVMUXJVVPUXIUYESZUKZVVQVVRUXIQ
      CQUUEUUHVVQUXIUYFSVVPVVSULEUYFUXILUUFUXIUXEUYEUUGUUIUUJUYMVVQVUDVVMUYMVVQ
      ULZUYPVUCVVMVVTUYPUYMVUCVVMUGZUYMVVQUUKVVTUXIUCOZUYLRZTZUCPUULZUYPUYMVWAU
      GUGZUYMPEUYLUUMVVQVWEPEUYLUUNUCPEUXIUYLUUOUUPVWDVWFUCPVWDUYPUYMVWBPSZVWAV
      WDUYPUYMVWGVWAUYPUYMVWGXIZVUCVWDVVMVWHVUCVWDVVMVWHVUCVWDXIZUXIUYLUUQZRZWP
      ZUYORZVWCVVLUXIVWIVWBWPZUYORZVWBVWBUYORZJXCZVWMVWCVWHVUCVWOVWQSZVWDVWHVUC
      VWRVWGUYPVUCVWRUGUYMVUBVWRUAVWBPUYQVWBTZUYSVWOVUAVWQVWSUYRVWNUYOUYQVWBYLY
      MVWSUYQVWBUYTVWPJVWSUUSUYQVWBUYOYNUURUUTUVAYOYPUVBVWIVWNVWLUYOVWIVWBVWKTZ
      VWNVWLTVWHVWDVWTVUCVWHVWDULVWKVWBVWHVWDVWKVWBTZUYMVWGVWDVXAUGUYPVWDVWCUXI
      TUYMVWGULVXAUXIVWCUVCPEVWBUXIUYLUVDUVEYRYPUVFYSVWBVWKYLXHYMVWHVUCVWQVWCTZ
      VWDUYPVWGVXBUYMUYPVWGULVWGVWPUYNSVXBUYPVWGUVGPUYNVWBUYOWSIBVWBVWPPUYNVVEV
      WCJVWCVVDVWBUYLYNBOVWPTVWCUVHMVWBUYLXBUVJYKYSYTUVIVWIVVQVVLVWMTVWIVVQVWCE
      SZVWHVUCVXCVWDUYMVWGVXCUYPUYMPEVWBUYLVUKXNYRYTVWDVWHVVQVXCVKVUCUXIVWCEUVK
      YOUWODUXIDOZVWJRZWPZUYORZVWMEKVXDUXITZVXFVWLUYOVXHVXEVWKTVXFVWLTVXDUXIVWJ
      YNVXEVWKYLXHYMNVWLUYOXBUVLXHVWHVUCVWDUVMUVNUVOUVPUVQUVRUVSXHUVTUWAUWBUWCU
      WDUWEUXOVVOGKKDEVXGUWFZVJNEUYOUWGZUYEUSZVXIWOZEVJSVXKVJSVXIVJSVXGVXKSZDEU
      HVXLVXMDEUYOVXFUWHUWIDEVXKVXGVXIVXIUWJUWKUWLVVJVXJUYEUYOHWAUWMUWNUWPEVXKV
      XIVJVJUWQUWRYHUXKKTZUXNVVNCUXEVXNUXMVVMUXJVXNUXLVVLUXIUXIUXKKUWSUWTUXAUXB
      UXCXHUXDYQVIVO $.
  $}

  ${
    $d f t u v w x y z $.
    $( Although CC can be proven trivially using ~ ac5 , we prove it here using
       DC. (New usage is discouraged.)  (Contributed by Mario Carneiro,
       2-Feb-2013.) $)
    axcc $p |- ( x ~~ _om ->
       E. f A. z e. x ( z =/= (/) -> ( f ` z ) e. z ) ) $=
      ( vy vw vv vu vt cv c0 csn cdif com cuni cfv cmpo ccnv csuc cmpt eqid
      axcclem ) ADBEAIJKLZFCGHHDMUBNHIFIZOPZEUBEIUCQORGIOSZUBTUDTUETUA $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  ZFC Set Theory - add the Axiom of Choice
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Introduce the Axiom of Choice
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w v u t $.
    $( Axiom of Choice.  The Axiom of Choice (AC) is usually considered an
       extension of ZF set theory rather than a proper part of it.  It is
       sometimes considered philosophically controversial because it asserts
       the existence of a set without telling us what the set is.  ZF set
       theory that includes AC is called ZFC.

       The unpublished version given here says that given any set ` x ` , there
       exists a ` y ` that is a collection of unordered pairs, one pair for
       each nonempty member of ` x ` .  One entry in the pair is the member of
       ` x ` , and the other entry is some arbitrary member of that member of
       ` x ` .  See the rewritten version ~ ac3 for a more detailed
       explanation.  Theorem ~ ac2 shows an equivalent written compactly with
       restricted quantifiers.

       This version was specifically crafted to be short when expanded to
       primitives.  Kurt Maes' 5-quantifier version ~ ackm is slightly shorter
       when the biconditional of ~ ax-ac is expanded into implication and
       negation.  In ~ axac3 we allow the constant ` CHOICE ` to represent the
       Axiom of Choice; this simplifies the representation of theorems like
       ~ gchac (the Generalized Continuum Hypothesis implies the Axiom of
       Choice).

       Standard textbook versions of AC are derived as ~ ac8 , ~ ac5 , and
       ~ ac7 .  The Axiom of Regularity ~ ax-reg (among others) is used to
       derive our version from the standard ones; this reverse derivation is
       shown as Theorem ~ dfac2b .  Equivalents to AC are the well-ordering
       theorem ~ weth and Zorn's lemma ~ zorn .  See ~ ac4 for comments about
       stronger versions of AC.

       In order to avoid uses of ~ ax-reg for derivation of AC equivalents, we
       provide ~ ax-ac2 (due to Kurt Maes), which is equivalent to the standard
       AC of textbooks.  The derivation of ~ ax-ac2 from ~ ax-ac is shown by
       Theorem ~ axac2 , and the reverse derivation by ~ axac .  Therefore, new
       proofs should normally use ~ ax-ac2 instead.
       (New usage is discouraged.)  (Contributed by NM, 18-Jul-1996.) $)
    ax-ac $a |- E. y A. z A. w ( ( z e. w /\ w e. x ) -> E. v A. u ( E. t
              ( ( u e. w /\ w e. t ) /\ ( u e. t /\ t e. y ) ) <-> u = v ) ) $.

    $( Axiom of Choice expressed with the fewest number of different variables.
       The penultimate step shows the logical equivalence to ~ ax-ac .
       (New usage is discouraged.)  (Contributed by NM, 14-Aug-2003.) $)
    zfac $p |- E. x A. y A. z ( ( y e. z /\ z e. w ) -> E. w A. y ( E. w
              ( ( y e. z /\ z e. w ) /\ ( y e. w /\ w e. x ) ) <-> y = w ) ) $=
      ( vu vt vv wel wa wex weq wal elequ2 elequ1 anbi12d cbvexvw bitrdi anbi1d
      wb wi ax-ac equequ2 bibi2d anbi2d bibi1i albidv exbidv imbi2i 2albii mpbi
      equequ1 bibi12d cbvalvw exbii ) BCHZCDHZIZECHZCFHZIZEFHZFAHZIZIZFJZEGKZSZ
      ELZGJZTZCLBLZAJUQUQBDHZDAHZIZIZDJZBDKZSZBLZDJZTZCLBLZAJDABCGEFUAVKWBAVJWA
      BCVIVTUQVHVSGDGDKZVHURUPIZEDHZVMIZIZDJZEDKZSZELVSWCVGWJEWCVGVEWISWJWCVFWI
      VEGDEUBUCVEWHWIVDWGFDFDKZUTWDVCWFWKUSUPURFDCMUDWKVAWEVBVMFDEMFDANOOPUEQUF
      WJVREBEBKZWHVPWIVQWLWGVODWLWDUQWFVNWLURUOUPEBCNRWLWEVLVMEBDNROUGEBDUKULUM
      QPUHUIUNUJ $.

    $( Axiom of Choice equivalent.  By using restricted quantifiers, we can
       express the Axiom of Choice with a single explicit conjunction.  (If you
       want to figure it out, the rewritten equivalent ~ ac3 is easier to
       understand.)  Note: ~ aceq0 shows the logical equivalence to ~ ax-ac .
       (New usage is discouraged.)  (Contributed by NM, 18-Jul-1996.) $)
    ac2 $p |- E. y A. z e. x A. w e. z E! v e. z E. u e. y
              ( z e. u /\ v e. u ) $=
      ( vt wel wa cv wrex wreu wral wex weq wb wal wi ax-ac aceq0 mpbir ) CFHEF
      HIFBJKECJZLDUBMCAJMBNCDHDAHIFDHDGHIFGHGBHIIGNFEOPFQENRDQCQBNABCDEFGSABCDE
      FGTUA $.
  $}

  ${
    $d x y z w v u $.
    $( Axiom of Choice using abbreviations.  The logical equivalence to ~ ax-ac
       can be established by chaining ~ aceq0 and ~ aceq2 .  A standard
       textbook version of AC is derived from this one in ~ dfac2a , and this
       version of AC is derived from the textbook version in ~ dfac2b , showing
       their logical equivalence (see ~ dfac2 ).

       The following sketch will help you understand this version of the axiom.
       Given any set ` x ` , the axiom says that there exists a ` y ` that is a
       collection of unordered pairs, one pair for each nonempty member of
       ` x ` .  One entry in the pair is the member of ` x ` , and the other
       entry is some arbitrary member of that member of ` x ` .  Using the
       Axiom of Regularity, we can show that ` y ` is really a set of _ordered_
       pairs, very similar to the ordered pair construction ~ opthreg .  The
       key theorem for this (used in the proof of ~ dfac2b ) is ~ preleq .
       With this modified definition of ordered pair, it can be seen that ` y `
       is actually a choice function on the members of ` x ` .

       For example, suppose ` x = { { 1 , 2 } , { 1 , 3 } , { 2 , 3 , 4 } } ` .
       Let us try ` y = { { { 1 , 2 } , 1 } , { { 1 , 3 } , 1 } , `
       ` { { 2 , 3 , 4 } , 2 } } ` .  For the member (of ` x ` )
       ` z = { 1 , 2 } ` , the only assignment to ` w ` and ` v ` that
       satisfies the axiom is ` w = 1 ` and ` v = { { 1 , 2 } , 1 } ` , so
       there is exactly one ` w ` as required.  We verify the other two members
       of ` x ` similarly.  Thus, ` y ` satisfies the axiom.  Using our
       modified ordered pair definition, we can say that ` y ` corresponds to
       the choice function ` { <. { 1 , 2 } , 1 >. , <. { 1 , 3 } , 1 >. , `
       ` <. { 2 , 3 , 4 } , 2 >. } ` .  Of course other choices for ` y ` will
       also satisfy the axiom, for example
       ` y = { { { 1 , 2 } , 2 } , { { 1 , 3 } , 1 } , `
       ` { { 2 , 3 , 4 } , 4 } } ` .  What AC tells us is that there exists at
       least one such ` y ` , but it doesn't tell us which one.

       (New usage is discouraged.)  (Contributed by NM, 19-Jul-1996.) $)
    ac3 $p |- E. y A. z e. x ( z =/= (/) -> E! w e. z E. v e. y
              ( z e. v /\ w e. v ) ) $=
      ( vu wel wa cv wrex wreu wral wex c0 wne wi ac2 aceq2 mpbi ) CFGEFGHFBIZJ
      ECIZKDUALCAIZLBMUANOCEGDEGHETJDUAKPCUBLBMABCDEFQABCDEFRS $.
  $}

  ${
    $d x y z v u $.
    $( In order to avoid uses of ~ ax-reg for derivation of AC equivalents, we
       provide ~ ax-ac2 , which is equivalent to the standard AC of textbooks.
       This appears to be the shortest known equivalent to the standard AC when
       expressed in terms of set theory primitives.  It was found by Kurt Maes
       as Theorem ~ ackm .  We removed the leading quantifier to make it
       slightly shorter, since we have ~ ax-gen available.  The derivation of
       ~ ax-ac2 from ~ ax-ac is shown by Theorem ~ axac2 , and the reverse
       derivation by ~ axac .  Note that we use ~ ax-reg to derive ~ ax-ac from
       ~ ax-ac2 , but not to derive ~ ax-ac2 from ~ ax-ac .  (Contributed by
       NM, 19-Dec-2016.) $)
    ax-ac2 $a |- E. y A. z E. v A. u (
       ( y e. x /\ ( z e. y -> ( ( v e. x /\ -. y = v ) /\ z e. v ) ) ) \/
           ( -. y e. x /\ ( z e. x -> ( ( v e. z /\ v e. y ) /\
               ( ( u e. z /\ u e. y ) -> u = v ) ) ) ) ) $.
  $}

  ${
    $d v w x y z $.
    $( This theorem asserts that the constant ` CHOICE ` is a theorem, thus
       eliminating it as a hypothesis while assuming ~ ax-ac2 as an axiom.
       (Contributed by Mario Carneiro, 6-May-2015.)  (Revised by NM,
       20-Dec-2016.)  (Proof modification is discouraged.) $)
    axac3 $p |- CHOICE $=
      ( vy vx vz vw vv wac wel weq wn wa wi wal wex ax-ac2 ax-gen dfackm mpbir
      wo ) FABGZCAGDBGADHIJCDGJKJSICBGDCGDAGJECGEAGJEDHKJKJRELDMCLAMZBLTBBACDEN
      OBACDEPQ $.
  $}

  ${
    $d x y z v u $.
    $( A remarkable equivalent to the Axiom of Choice that has only five
       quantifiers (when expanded to use only the primitive predicates ` = `
       and ` e. ` and in prenex normal form), discovered and proved by Kurt
       Maes.  This establishes a new record, reducing from 6 to 5 the largest
       number of quantified variables needed by any ZFC axiom.  The
       ZF-equivalence to AC is shown by Theorem ~ dfackm .  Maes found this
       version of AC in April 2004 (replacing a longer version, also with five
       quantifiers, that he found in November 2003).  See Kurt Maes, "A
       5-quantifier ( ` e. , = ` )-expression ZF-equivalent to the Axiom of
       Choice", ~ https://doi.org/10.48550/arXiv.0705.3162 .

       The original FOM posts are:
       ~ http://www.cs.nyu.edu/pipermail/fom/2003-November/007631.html
       ~ http://www.cs.nyu.edu/pipermail/fom/2003-November/007641.html .
       (Contributed by NM, 29-Apr-2004.)  (Revised by Mario Carneiro,
       17-May-2015.)  (Proof modification is discouraged.) $)
    ackm $p |- A. x E. y A. z E. v A. u (
       ( y e. x /\ ( z e. y -> ( ( v e. x /\ -. y = v ) /\ z e. v ) ) ) \/
           ( -. y e. x /\ ( z e. x -> ( ( v e. z /\ v e. y ) /\
               ( ( u e. z /\ u e. y ) -> u = v ) ) ) ) ) $=
      ( wac cv wcel wceq wn wa wi wo wal wex axac3 dfackm mpbi ) FBGZAGZHZCGZSH
      DGZTHSUCIJKUBUCHKLKUAJUBTHUCUBHUCSHKEGZUBHUDSHKUDUCILKLKMENDOCNBOANPABCDE
      QR $.
  $}

  ${
    $d x y z v u $.
    $( Derive ~ ax-ac2 from ~ ax-ac .  (Contributed by NM, 19-Dec-2016.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    axac2 $p |- E. y A. z E. v A. u (
       ( y e. x /\ ( z e. y -> ( ( v e. x /\ -. y = v ) /\ z e. v ) ) ) \/
           ( -. y e. x /\ ( z e. x -> ( ( v e. z /\ v e. y ) /\
               ( ( u e. z /\ u e. y ) -> u = v ) ) ) ) ) $=
      ( wel weq wn wa wi wo wal wex wac cv c0 wne wrex wreu wral dfac2a ac3 mpg
      dfackm mpbi spi ) BAFZCBFDAFBDGHICDFIJIUGHCAFDCFDBFIECFEBFIEDGJIJIKELDMCL
      BMZANUHALCOZPQCEFDEFIEBORDUISJCAOTBMNAABCDEUAABCDEUBUCABCDEUDUEUF $.
  $}

  ${
    $d x y z w v u t $.
    $( Derive ~ ax-ac from ~ ax-ac2 .  Note that ~ ax-reg is used by the proof.
       (Contributed by NM, 19-Dec-2016.)
       (Proof modification is discouraged.) $)
    axac $p |- E. y A. z A. w ( ( z e. w /\ w e. x ) -> E. v A. u ( E. t
              ( ( u e. w /\ w e. t ) /\ ( u e. t /\ t e. y ) ) <-> u = v ) ) $=
      ( wel wa wex weq wb wal wi wac axac3 dfac0 mpbi spi ) CDHDAHIFDHDGHIFGHGB
      HIIGJFEKLFMEJNDMCMBJZAOTAMPABCDEFGQRS $.
  $}

  ${
    axaci.1 $e |- ( CHOICE <-> A. x ph ) $.
    $( Apply a choice equivalent.  (Contributed by Mario Carneiro,
       17-May-2015.) $)
    axaci $p |- ph $=
      ( wac wal axac3 mpbi spi ) ABDABEFCGH $.
  $}

  $( All sets are well-orderable under choice.  (Contributed by Mario Carneiro,
     28-Apr-2015.) $)
  cardeqv $p |- dom card = _V $=
    ( wac ccrd cdm cvv wceq axac3 dfac10 mpbi ) ABCDEFGH $.

  $( All sets are well-orderable under choice.  (Contributed by Stefan O'Rear,
     28-Feb-2015.) $)
  numth3 $p |- ( A e. V -> A e. dom card ) $=
    ( wcel cvv ccrd cdm elex cardeqv eleqtrrdi ) ABCADEFABGHI $.

  ${
    $d f x A $.
    numth.1 $e |- A e. _V $.
    $( Numeration theorem: any set is equinumerous to some ordinal (using AC).
       Theorem 10.3 of [TakeutiZaring] p. 84.  (Contributed by NM,
       20-Oct-2003.) $)
    numth2 $p |- E. x e. On x ~~ A $=
      ( ccrd cdm wcel cv cen wbr con0 wrex cvv numth3 ax-mp isnum2 mpbi ) BDEFZ
      AGBHIAJKBLFQCBLMNABOP $.

    $( Numeration theorem: every set can be put into one-to-one correspondence
       with some ordinal (using AC).  Theorem 10.3 of [TakeutiZaring] p. 84.
       (Contributed by NM, 10-Feb-1997.)  (Proof shortened by Mario Carneiro,
       8-Jan-2015.) $)
    numth $p |- E. x e. On E. f f : x -1-1-onto-> A $=
      ( cv cen wbr con0 wrex wf1o wex numth2 bren rexbii mpbi ) AEZBFGZAHIPBCEJ
      CKZAHIABDLQRAHPBCMNO $.
  $}

  ${
    $d x f $.
    $( An Axiom of Choice equivalent similar to the Axiom of Choice (first
       form) of [Enderton] p. 49.  (Contributed by NM, 29-Apr-2004.) $)
    ac7 $p |- E. f ( f C_ x /\ f Fn dom x ) $=
      ( cv wss cdm wfn wa wex df-ac axaci ) BCZACZDKLEFGBHAABIJ $.
  $}

  ${
    $d f x R $.
    $( An Axiom of Choice equivalent similar to the Axiom of Choice (first
       form) of [Enderton] p. 49.  (Contributed by NM, 23-Jul-2004.) $)
    ac7g $p |- ( R e. A -> E. f ( f C_ R /\ f Fn dom R ) ) $=
      ( vx cv wss cdm wfn wex wceq sseq2 dmeq fneq2d anbi12d exbidv ac7 vtoclg
      wa ) CEZDEZFZSTGZHZRZCISBFZSBGZHZRZCIDBATBJZUDUHCUIUAUEUCUGTBSKUIUBUFSTBL
      MNODCPQ $.
  $}

  ${
    $d x z f $.
    $( Equivalent of Axiom of Choice.  We do not insist that ` f ` be a
       function.  However, Theorem ~ ac5 , derived from this one, shows that
       this form of the axiom does imply that at least one such set ` f ` whose
       existence we assert is in fact a function.  Axiom of Choice of
       [TakeutiZaring] p. 83.

       Takeuti and Zaring call this "weak choice" in contrast to "strong
       choice" ` E. F A. z ( z =/= (/) -> ( F `` z ) e. z ) ` , which asserts
       the existence of a universal choice function but requires second-order
       quantification on (proper) class variable ` F ` and thus cannot be
       expressed in our first-order formalization.  However, it has been shown
       that ZF plus strong choice is a conservative extension of ZF plus weak
       choice.  See Ulrich Felgner, "Comparison of the axioms of local and
       universal choice", _Fundamenta Mathematica_, 71, 43-62 (1971).

       Weak choice can be strengthened in a different direction to choose from
       a collection of proper classes; see ~ ac6s5 .  (Contributed by NM,
       21-Jul-1996.) $)
    ac4 $p |- E. f A. z e. x ( z =/= (/) -> ( f ` z ) e. z ) $=
      ( cv c0 wne cfv wcel wi wral wex dfac3 axaci ) BDZEFNCDGNHIBADJCKAABCLM
      $.
  $}

  ${
    $d x y f A $.
    ac4c.1 $e |- A e. _V $.
    $( Equivalent of Axiom of Choice (class version).  (Contributed by NM,
       10-Feb-1997.) $)
    ac4c $p |- E. f A. x e. A ( x =/= (/) -> ( f ` x ) e. x ) $=
      ( vy cv c0 wne cfv wcel wi wral wex wceq raleq exbidv ac4 vtocl ) AFZGHSC
      FISJKZAEFZLZCMTABLZCMEBDUABNUBUCCTAUABOPEACQR $.
  $}

  ${
    $d f x y A $.
    ac5.1 $e |- A e. _V $.
    $( An Axiom of Choice equivalent: there exists a function ` f ` (called a
       choice function) with domain ` A ` that maps each nonempty member of the
       domain to an element of that member.  Axiom AC of [BellMachover] p. 488.
       Note that the assertion that ` f ` be a function is not necessary; see
       ~ ac4 .  (Contributed by NM, 29-Aug-1999.) $)
    ac5 $p |- E. f ( f Fn A /\ A. x e. A ( x =/= (/) -> ( f ` x ) e. x ) ) $=
      ( vy cv wfn c0 wne cfv wcel wi wral wex wceq fneq2 raleq anbi12d exbidv
      wa dfac4 axaci vtocl ) CFZEFZGZAFZHIUGUDJUGKLZAUEMZTZCNZUDBGZUHABMZTZCNEB
      DUEBOZUJUNCUOUFULUIUMUEBUDPUHAUEBQRSUKEEACUAUBUC $.
  $}

  ${
    $d x f A $.
    ac5b.1 $e |- A e. _V $.
    $( Equivalent of Axiom of Choice.  (Contributed by NM, 31-Aug-1999.) $)
    ac5b $p |- ( A. x e. A x =/= (/) ->
               E. f ( f : A --> U. A /\ A. x e. A ( f ` x ) e. x ) ) $=
      ( cv c0 wne wral cuni ccrd cdm wcel wn wf cfv wa wex cvv uniex numth3
      mp1i neirr neeq1 rspccv mtoi ac5num syl2anc ) AEZFGZABHZBIZJKLZFBLZMBUKCE
      ZNUHUNOUHLABHPCQUKRLULUJBDSUKRTUAUJUMFFGZFUBUIUOAFBUHFFUCUDUEABCUFUG $.
  $}

  ${
    $d f g x z A $.  $d f g x y z B $.  $d f g z ph $.  $d g y ps $.  $d g V $.
    ac6num.1 $e |- ( y = ( f ` x ) -> ( ph <-> ps ) ) $.
    $( A version of ~ ac6 which takes the choice as a hypothesis.  (Contributed
       by Mario Carneiro, 27-Aug-2015.) $)
    ac6num $p |- ( ( A e. V /\ U_ x e. A { y e. B | ph } e. dom card /\
      A. x e. A E. y e. B ph ) -> E. f ( f : A --> B /\ A. x e. A ps ) ) $=
      ( vg vz wcel wrex wral cv cfv wa c0 wceq cvv crab ciun ccrd cdm cmpt cuni
      w3a crn wf wex wn cab nfiu1 nfel1 wss ssiun2 ssexg expcom ralrimi dfiun2g
      syl5 syl eqid rnmpt unieqi eqtr4di id eqeltrrd 3ad2ant2 simp3 necom rabn0
      wne df-ne 3bitr3i ralbii ralnex bitri sylib wb 0ex elrnmpt sylnibr ac5num
      ax-mp syl2anc wfn ffn anim1i fveq2 eleq12d ralrnmptw anbi2d syl5ib simpl1
      wsbc mptexd elrabi ralimi ad2antll fmpt nfcv elrabsf simprbi nfmpt1 nfeq2
      jca feq1 fvex sbcie fveq1 fvmpt2 sylan9eq sbceq1d bitr3id ralbida anbi12d
      mpan2 spcedv ex syld exlimdv mpd ) EHLZCEADFUAZUBZUCUDZLZADFMZCENZUGZCEYE
      UEZUHZYMUFZJOZUIZKOZYOPZYQLZKYMNZQZJUJZEFGOZUIZBCENZQZGUJZYKYNYGLZRYMLZUK
      UUBYHYDUUHYJYHYFYNYGYHYFYQYESZCEMKULZUFZYNYHYETLZCENZYFUULSYHUUMCECYFYGCE
      YEUMUNCOZELZYEYFUOZYHUUMCEYEUPUUQYHUUMYEYFYGUQURVAUSZCKEYETUTVBYMUUKCKEYE
      YLYLVCZVDVEVFYHVGVHVIYKRYESZCEMZUUIYKYJUVAUKZYDYHYJVJYJUUTUKZCENUVBYIUVCC
      EYERVMRYEVMYIUVCYERVKADFVLRYEVNVOVPUUTCEVQVRVSRTLUUIUVAVTWACEYERYLTUUSWBW
      EWCKYMJWDWFYKUUAUUGJYKUUAYOYMWGZYEYOPZYELZCENZQZUUGUUAUVDYTQYKUVHYPUVDYTY
      MYNYOWHWIYKYTUVGUVDYKUUNYTUVGVTYHYDUUNYJUURVIYSUVFCKEYEYLTUUSUUJYRUVEYQYE
      YQYEYOWJUUJVGWKWLVBWMWNYKUVHUUGYKUVHQZUUFEFCEUVEUEZUIZADUVEWPZCENZQGTUVJU
      VICEUVEHYDYHYJUVHWOWQUVIUVKUVMUVIUVEFLZCENZUVKUVGUVOYKUVDUVFUVNCEADUVEFWR
      WSWTCEFUVEUVJUVJVCZXAVSUVGUVMYKUVDUVFUVLCEUVFUVNUVLADUVEFDFXBXCXDWSWTXGUU
      CUVJSZUUDUVKUUEUVMEFUUCUVJXHUVQBUVLCECUUCUVJCEUVEXEXFBADUUOUUCPZWPUVQUUPQ
      ZUVLABDUVRUUOUUCXIIXJUVSADUVRUVEUVQUUPUVRUUOUVJPZUVEUUOUUCUVJXKUUPUVETLUV
      TUVESYEYOXICEUVETUVJUVPXLXRXMXNXOXPXQXSXTYAYBYC $.
  $}

  ${
    $d f x A $.  $d f x y B $.  $d f ph $.  $d y ps $.
    ac6.1 $e |- A e. _V $.
    ac6.2 $e |- B e. _V $.
    ac6.3 $e |- ( y = ( f ` x ) -> ( ph <-> ps ) ) $.
    $( Equivalent of Axiom of Choice.  This is useful for proving that there
       exists, for example, a sequence mapping natural numbers to members of a
       larger set ` B ` , where ` ph ` depends on ` x ` (the natural number)
       and ` y ` (to specify a member of ` B ` ).  A stronger version of this
       theorem, ~ ac6s , allows ` B ` to be a proper class.  (Contributed by
       NM, 18-Oct-1999.)  (Revised by Mario Carneiro, 27-Aug-2015.) $)
    ac6 $p |- ( A. x e. A E. y e. B ph ->
              E. f ( f : A --> B /\ A. x e. A ps ) ) $=
      ( cvv wcel crab ciun ccrd cdm wrex wral cv wss wf rgenw iunss mpbir ssexi
      wa wex ssrab2 numth3 ax-mp ac6num mp3an12 ) EKLCEADFMZNZOPLZADFQCEREFGSUA
      BCERUFGUGHUNKLUOUNFIUNFTUMFTZCERUPCEADFUHUBCEUMFUCUDUEUNKUIUJABCDEFGKJUKU
      L $.
  $}

  ${
    $d A f x y z $.  $d B f y z $.
    ac6c4.1 $e |- A e. _V $.
    ac6c4.2 $e |- B e. _V $.
    $( Equivalent of Axiom of Choice. ` B ` is a collection ` B ( x ) ` of
       nonempty sets.  (Contributed by Mario Carneiro, 22-Mar-2013.) $)
    ac6c4 $p |- ( A. x e. A B =/= (/) ->
               E. f ( f Fn A /\ A. x e. A ( f ` x ) e. B ) ) $=
      ( vy vz c0 wne wral cv wcel wrex cfv wa wex nfv cbvralw nfel2 csb ciun wf
      wfn nfcsb1v nfcv nfne weq csbeq1a neeq1d n0 nfre1 eleq2d rspce eliun rspe
      sylibr sylancom exlimd syl5bi ralimia sylbi iunex eleq1 ac6 fveq2 eleq12d
      ex ffn biimpri anim12i eximi 3syl ) CIJZABKZGLZAHLZCUAZMZGABCUBZNZHBKZBVT
      DLZUCZVQWCOZVRMZHBKZPZDQWCBUDZALZWCOZCMZABKZPZDQVOVRIJZHBKWBVNWOAHBVNHRAV
      RIAVQCUEZAIUFUGAHUHZCVRIAVQCUIZUJSWOWAHBWOVSGQVQBMZWAGVRUKWSVSWAGWSGRVSGV
      TULWSVSWAWSVSVPVTMZWAWSVSPVPCMZABNWTXAVSAVQBAVPVRWPTWQCVRVPWRUMUNAVPBCUOU
      QVSGVTUPURVHUSUTVAVBVSWFHGBVTDEABCEFVCVPWEVRVDVEWHWNDWDWIWGWMBVTWCVIWMWGW
      LWFAHBWLHRAWEVRWPTWQWKWECVRWJVQWCVFWRVGSVJVKVLVM $.

    $( Equivalent of Axiom of Choice. ` B ` is a collection ` B ( x ) ` of
       nonempty sets.  Remark after Theorem 10.46 of [TakeutiZaring] p. 98.
       (Contributed by Mario Carneiro, 22-Mar-2013.) $)
    ac6c5 $p |- ( A. x e. A B =/= (/) -> E. f A. x e. A ( f ` x ) e. B ) $=
      ( c0 wne wral cv wfn cfv wcel wa wex ac6c4 exsimpr syl ) CGHABIDJZBKZAJSL
      CMABIZNDOUADOABCDEFPTUADQR $.

    $d A f x $.  $d B f $.
    $( An Axiom of Choice equivalent: the infinite Cartesian product of
       nonempty classes is nonempty.  Axiom of Choice (second form) of
       [Enderton] p. 55 and its converse.  (Contributed by Mario Carneiro,
       22-Mar-2013.) $)
    ac9 $p |- ( A. x e. A B =/= (/) <-> X_ x e. A B =/= (/) ) $=
      ( vf c0 wne wral cixp cv wfn cfv wcel wa wex ac6c4 n0 vex elixp bitr2i
      exbii sylib ixpn0 impbii ) CGHABIZABCJZGHZUFFKZBLAKUIMCNABIOZFPZUHABCFDEQ
      UHUIUGNZFPUKFUGRULUJFABCUIFSTUBUAUCABCUDUE $.
  $}

  ${
    $d x f z A $.  $d x y f z B $.  $d f z ph $.  $d y z ps $.
    ac6s.1 $e |- A e. _V $.
    ac6s.2 $e |- ( y = ( f ` x ) -> ( ph <-> ps ) ) $.
    $( Equivalent of Axiom of Choice.  Using the Boundedness Axiom ~ bnd2 , we
       derive this strong version of ~ ac6 that doesn't require ` B ` to be a
       set.  (Contributed by NM, 4-Feb-2004.) $)
    ac6s $p |- ( A. x e. A E. y e. B ph ->
                E. f ( f : A --> B /\ A. x e. A ps ) ) $=
      ( vz wrex wral cv wss wa wex wf bnd2 vex ac6 anim2i fss expcom anim1d imp
      eximi eximdv exlimiv 3syl ) ADFKCELJMZFNZADUJKCELZOZJPUKEUJGMZQZBCELZOZGP
      ZOZJPEFUNQZUPOZGPZACDJEFHRUMUSJULURUKABCDEUJGHJSITUAUFUSVBJUKURVBUKUQVAGU
      KUOUTUPUOUKUTEUJFUNUBUCUDUGUEUHUI $.

    $( Equivalent of Axiom of Choice.  Contrapositive of ~ ac6s .  (Contributed
       by NM, 10-Jun-2007.) $)
    ac6n $p |- ( A. f ( f : A --> B -> E. x e. A ps ) ->
                E. x e. A A. y e. B ph ) $=
      ( cv wf wn wral wa wex wrex wi wal cfv bitri wceq notbid ac6s con3i albii
      dfrex2 imbi2i alinexa dfral2 rexbii rexnal 3imtr4i ) EFGJZKZBLZCEMZNGOZLZ
      ALZDFPZCEMZLZUNBCEPZQZGRZADFMZCEPZVAUQUSUOCDEFGHDJCJUMSUAABIUBUCUDVEUNUPL
      ZQZGRURVDVIGVCVHUNBCEUFUGUEUNUPGUHTVGUTLZCEPVBVFVJCEADFUIUJUTCEUKTUL $.

    $( Generalization of the Axiom of Choice to classes.  Slightly strengthened
       version of ~ ac6s3 .  (Contributed by NM, 29-Sep-2006.) $)
    ac6s2 $p |- ( A. x e. A E. y ph -> E. f ( f Fn A /\ A. x e. A ps ) ) $=
      ( wex wral cvv wrex cv wfn wa rexv ralbii wf ac6s ffn anim1i eximi sylbir
      syl ) ADIZCEJADKLZCEJZFMZENZBCEJZOZFIZUFUECEADPQUGEKUHRZUJOZFIULABCDEKFGH
      SUNUKFUMUIUJEKUHTUAUBUDUC $.

    $( Generalization of the Axiom of Choice to classes.  Theorem 10.46 of
       [TakeutiZaring] p. 97.  (Contributed by NM, 3-Nov-2004.) $)
    ac6s3 $p |- ( A. x e. A E. y ph -> E. f A. x e. A ps ) $=
      ( wex wral cv wfn wa ac6s2 exsimpr syl ) ADICEJFKELZBCEJZMFIRFIABCDEFGHNQ
      RFOP $.
  $}

  ${
    $d A f x z $.  $d B f x y z $.  $d f z ph $.  $d y z ps $.
    ac6sg.1 $e |- ( y = ( f ` x ) -> ( ph <-> ps ) ) $.
    $( ~ ac6s with sethood as antecedent.  (Contributed by FL, 3-Aug-2009.) $)
    ac6sg $p |- ( A e. V -> ( A. x e. A E. y e. B ph ->
                E. f ( f : A --> B /\ A. x e. A ps ) ) ) $=
      ( vz wrex cv wral wf wa wex wi wceq raleq feq2 anbi12d exbidv imbi12d vex
      ac6s vtoclg ) ADFKZCJLZMZUHFGLZNZBCUHMZOZGPZQUGCEMZEFUJNZBCEMZOZGPZQJEHUH
      ERZUIUOUNUSUGCUHESUTUMURGUTUKUPULUQUHEFUJTBCUHESUAUBUCABCDUHFGJUDIUEUF $.
  $}

  ${
    $d f x z A $.  $d x y f z B $.  $d f z ph $.  $d z ps $.
    ac6sf.1 $e |- F/ y ps $.
    ac6sf.2 $e |- A e. _V $.
    ac6sf.3 $e |- ( y = ( f ` x ) -> ( ph <-> ps ) ) $.
    $( Version of ~ ac6 with bound-variable hypothesis.  (Contributed by NM,
       2-Mar-2008.) $)
    ac6sf $p |- ( A. x e. A E. y e. B ph ->
                E. f ( f : A --> B /\ A. x e. A ps ) ) $=
      ( vz wrex wral wsb cv wf wa wex cbvrexsvw ralbii cfv sbhypf ac6s sylbi )
      ADFLZCEMADKNZKFLZCEMEFGOZPBCEMQGRUEUGCEADKFSTUFBCKEFGIABDKCOUHUAHJUBUCUD
      $.
  $}

  ${
    $d f x y A $.  $d f y B $.
    ac6s4.1 $e |- A e. _V $.
    $( Generalization of the Axiom of Choice to proper classes. ` B ` is a
       collection ` B ( x ) ` of nonempty, possible proper classes.
       (Contributed by NM, 29-Sep-2006.) $)
    ac6s4 $p |- ( A. x e. A B =/= (/) ->
               E. f ( f Fn A /\ A. x e. A ( f ` x ) e. B ) ) $=
      ( vy c0 wne wral cv wcel wex wfn cfv wa n0 ralbii eleq1 ac6s2 sylbi ) CGH
      ZABIFJZCKZFLZABIDJZBMAJUENZCKZABIODLUAUDABFCPQUCUGAFBDEUBUFCRST $.

    $( Generalization of the Axiom of Choice to proper classes. ` B ` is a
       collection ` B ( x ) ` of nonempty, possible proper classes.  Remark
       after Theorem 10.46 of [TakeutiZaring] p. 98.  (Contributed by NM,
       27-Mar-2006.) $)
    ac6s5 $p |- ( A. x e. A B =/= (/) -> E. f A. x e. A ( f ` x ) e. B ) $=
      ( c0 wne wral cv wfn cfv wcel wa wex ac6s4 exsimpr syl ) CFGABHDIZBJZAIRK
      CLABHZMDNTDNABCDEOSTDPQ $.
  $}

  ${
    $d x z y w v $.
    $( An Axiom of Choice equivalent.  Given a family ` x ` of mutually
       disjoint nonempty sets, there exists a set ` y ` containing exactly one
       member from each set in the family.  Theorem 6M(4) of [Enderton] p. 151.
       (Contributed by NM, 14-May-2004.) $)
    ac8 $p |- ( ( A. z e. x z =/= (/) /\
                   A. z e. x A. w e. x ( z =/= w -> ( z i^i w ) = (/) ) ) ->
               E. y A. z e. x E! v v e. ( z i^i y ) ) $=
      ( cv c0 wne wral cin wceq wi wa wcel weu wex dfac5 axaci ) CFZGHCAFZISDFZ
      HSUAJGKLDTICTIMEFSBFJNEOCTIBPLAABCDEQR $.
  $}

  ${
    $d f x A $.  $d f B $.
    ac9.1 $e |- A e. _V $.
    $( An Axiom of Choice equivalent: the infinite Cartesian product of
       nonempty classes is nonempty.  Axiom of Choice (second form) of
       [Enderton] p. 55 and its converse.  This is a stronger version of the
       axiom in Enderton, with no existence requirement for the family of
       classes ` B ( x ) ` (achieved via the Collection Principle ~ cp ).
       (Contributed by NM, 29-Sep-2006.) $)
    ac9s $p |- ( A. x e. A B =/= (/) <-> X_ x e. A B =/= (/) ) $=
      ( vf c0 wne wral cixp cv wfn cfv wcel wa wex ac6s4 n0 vex elixp exbii
      bitr2i sylib ixpn0 impbii ) CFGABHZABCIZFGZUEEJZBKAJUHLCMABHNZEOZUGABCEDP
      UGUHUFMZEOUJEUFQUKUIEABCUHERSTUAUBABCUCUD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  AC equivalents:  well-ordering, Zorn's lemma
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y A $.
    $( Any set is strictly dominated by some ordinal.  (Contributed by NM,
       22-Oct-2003.) $)
    numthcor $p |- ( A e. V -> E. x e. On A ~< x ) $=
      ( vy cv csdm wbr con0 wrex wceq breq1 rexbidv cpw cen vpwex numth2 canth2
      vex ensym sdomentr sylancr reximi ax-mp vtoclg ) DEZAEZFGZAHIZBUFFGZAHIDB
      CUEBJUGUIAHUEBUFFKLUFUEMZNGZAHIUHAUJDOPUKUGAHUKUEUJFGUJUFNGUGUEDRQUFUJSUE
      UJUFTUAUBUCUD $.
  $}

  ${
    $d A x y $.
    $( Well-ordering theorem: any set ` A ` can be well-ordered.  This is an
       equivalent of the Axiom of Choice.  Theorem 6 of [Suppes] p. 242.  First
       proved by Ernst Zermelo (the "Z" in ZFC) in 1904.  (Contributed by Mario
       Carneiro, 5-Jan-2013.) $)
    weth $p |- ( A e. V -> E. x x We A ) $=
      ( vy cv wwe wex wceq weeq2 exbidv dfac8 axaci vtoclg ) DEZAEZFZAGZBOFZAGD
      BCNBHPRANBOIJQDDAKLM $.
  $}

  ${
    $d a b f g r s u v w x y z A $.  $d a b f u v y D $.
    $d a b f g r s u v x y z F $.  $d a b f g r s u v w x y z R $.  $d v C $.
    $( Generator function.  ` w ` is a well-ordering on ` A ` . $)
    zorn2lem.3 $e |- F =
      recs ( ( f e. _V |-> ( iota_ v e. C A. u e. C -. u w v ) ) ) $.
    $( Auxiliary sets. $)
    zorn2lem.4 $e |- C = { z e. A | A. g e. ran f g R z } $.
    zorn2lem.5 $e |- D = { z e. A | A. g e. ( F " x ) g R z } $.
    $( Lemma for ~ zorn2 .  (Contributed by NM, 3-Apr-1997.)  (Revised by Mario
       Carneiro, 9-May-2015.) $)
    zorn2lem1 $p |- ( ( x e. On /\ ( w We A /\ D =/= (/) ) ) ->
                   ( F ` x ) e. D ) $=
      ( cv con0 wcel wral cvv wwe c0 wne wa cfv wbr wn crio cres cmpt wceq tfr2
      adantr wfun wfn tfr1 fnfun ax-mp vex resfunexg mp2an crn crab cima df-ima
      rneq eqtr4di eleq2d imbi1d rabbidv 3eqtr4g riotaeqbidv eqid riotaex fvmpt
      ralbidv2 eqtrdi wreu wss simprl wor weso ad2antrl soex sylancl rabexd a1i
      ssrab3 simprr wereu syl13anc riotacl syl eqeltrd ) APZQRZFCPZUAZHUBUCZUDZ
      UDZWOLUEZEPZDPWQUFUGZEHSZDHUHZHXAXBLWOUIZJTXDEGSZDGUHZUJZUEZXFWPXBXKUKWTW
      OLXJMULUMXGTRZXKXFUKLUNZWOTRXLLQUOXMLXJMUPQLUQURAUSLWOTUTVAJXGXIXFTXJJPZX
      GUKZXHXEDGHXOKPZBPIUFZKXNVBZSZBFVCXQKLWOVDZSZBFVCGHXOXSYABFXOXQXQKXRXTXOX
      PXRRXPXTRXQXOXRXTXPXOXRXGVBXTXNXGVFLWOVEVGVHVIVPVJNOVKZXOXDXDEGHXOXCGRXCH
      RXDXOGHXCYBVHVIVPVLXJVMXEDHVNVOURVQXAXEDHVRZXFHRXAWRHTRHFVSZWSYCWPWRWSVTX
      AYABFHTOXAFWQWAZWQTRFTRWRYEWPWSFWQWBWCCUSFWQTWDWEWFYDXAYABFHOWHWGWPWRWSWI
      DEFHWQTWJWKXEDHWLWMWN $.

    $( Lemma for ~ zorn2 .  (Contributed by NM, 3-Apr-1997.)  (Revised by Mario
       Carneiro, 9-May-2015.) $)
    zorn2lem2 $p |- ( ( x e. On /\ ( w We A /\ D =/= (/) ) ) ->
                   ( y e. x -> ( F ` y ) R ( F ` x ) ) ) $=
      ( cv con0 wcel wbr wwe c0 wne cfv cima wral zorn2lem1 wceq ralbidv elrab2
      wa breq2 simprbi syl wi wfn wss cvv wn crio cmpt tfr1 onss fnfvima 3expia
      sylancr adantr breq1 rspccv sylsyld ) AQZRSZGDQZUAIUBUCUKZUKZLQZVKMUDZJTZ
      LMVKUEZUFZBQZVKSZWAMUDZVSSZWCVQJTZVOVQISZVTACDEFGHIJKLMNOPUGWFVQGSVTVPCQZ
      JTZLVSUFVTCVQGIWGVQUHWHVRLVSWGVQVPJULUIPUJUMUNVLWBWDUOZVNVLMRUPZVKRUQZWIM
      KURFQEQVMTUSFHUFEHUTVANVBVKVCWJWKWBWDRVKMWAVDVEVFVGVRWELWCVSVPWCVQJVHVIVJ
      $.

    $( Lemma for ~ zorn2 .  (Contributed by NM, 3-Apr-1997.)  (Revised by Mario
       Carneiro, 9-May-2015.) $)
    zorn2lem3 $p |- ( ( R Po A /\ ( x e. On /\ ( w We A /\ D =/= (/) ) ) ) ->
                   ( y e. x -> -. ( F ` x ) = ( F ` y ) ) ) $=
      ( cv wcel wa wbr wpo con0 wwe c0 wne cfv wceq wn wi zorn2lem2 adantl cima
      wral ssrab3 zorn2lem1 sselid breq1 biimprcd poirr nsyli com12 sylan2 syld
      ) GJUAZAQZUBRGDQUCIUDUESSZSBQZVERZVGMUFZVEMUFZJTZVJVIUGZUHZVFVHVKUIVDABCD
      EFGHIJKLMNOPUJUKVFVDVJGRZVKVMUIVFIGVJLQCQJTLMVEULUMCGIPUNACDEFGHIJKLMNOPU
      OUPVKVDVNSZVMVKVLVJVJJTZVOVLVPVKVJVIVJJUQURGVJJUSUTVAVBVC $.

    $( Lemma for ~ zorn2 .  (Contributed by NM, 3-Apr-1997.)  (Revised by Mario
       Carneiro, 9-May-2015.) $)
    zorn2lem4 $p |- ( ( R Po A /\ w We A ) -> E. x e. On D = (/) ) $=
      ( vy con0 cvv wcel wi wpo cv wwe wa c0 wceq wrex crn pm3.24 wne wal df-ne
      wn wral ralbii df-ral ralnex 3bitr3i wor weso adantr vex soex sylancl cfv
      wfn wb wbr crio cmpt tfr1 fvelrnb ax-mp nfa1 nfan ssrab3 zorn2lem1 sselid
      nfv cima eleq1 syl5ibcom exp32 com12 a2d spsd imp rexlimd syl5bi ssrdv ex
      ssexd adantl ccnv wfun zorn2lem3 exp45 com23 imp4a alrimdv alimdv syl6ibr
      r2al cres wss ssid tz7.48lem mpan wrel fnrel fndmi eqimssi relssres mp2an
      cdm cnveqi funeqi sylib syl6 onprc funrnex df-rn eleq1i dfdm4 eqtr3i mtoi
      3imtr4g jcad syl5bir mt3i ) FIUAZFCUBZUCZUDZHUEUFZAQUGZLUHZRSZYRUMZUDZYRU
      IYPUMZAUBZQSZHUEUJZTZAUKZYNYTUUDAQUNYOUMZAQUNUUFUUAUUDUUGAQHUEULUOUUDAQUP
      YOAQUQURYNUUFYRYSYMUUFYRTYKYMUUFYRYMUUFUDZYQFRUUHFYLUSZYLRSFRSYMUUIUUFFYL
      UTVACVBFYLRVCVDUUHPYQFPUBZYQSZUUBLVEZUUJUFZAQUGZUUHUUJFSZLQVFZUUKUUNVGLJR
      EUBDUBYLVHUMEGUNDGVIVJMVKZAQUUJLVLVMUUHUUMUUOAQYMUUFAYMAVSUUEAVNVOUUOAVSY
      MUUFUUCUUMUUOTZTZYMUUEUUSAYMUUCUUDUURUUCYMUUDUURTUUCYMUUDUURUUCYMUUDUDUDZ
      UULFSUUMUUOUUTHFUULKUBBUBIVHKLUUBVTUNBFHOVPABCDEFGHIJKLMNOVQVRUULUUJFWAWB
      WCWDWEWFWGWHWIWJWLWKWMYNUUFLWNZWOZYSYNUUFUULUUJLVEUFUMZPUUBUNAQUNZUVBYNUU
      FUUCUUJUUBSZUDUVCTZPUKZAUKUVDYNUUEUVGAYNUUEUVFPYNUUEUUCUVEUVCYNUUCUUDUVEU
      VCTZYKYMUUCUUDUVHTZTYKUUCYMUVIYKUUCYMUUDUVHAPBCDEFGHIJKLMNOWPWQWRWGWEWSWT
      XAUVCAPQUUBXCXBUVDLQXDZWNZWOZUVBQQXEUVDUVLQXFAPQLUUQXGXHUVKUVAUVJLLXIZLXO
      ZQXEUVJLUFUUPUVMUUQQLXJVMUVNQQLUUQXKZXLLQXMXNXPXQXRXSUVBYRQRSZXTUVBUVAXOZ
      RSZUVAUHZRSZYRUVPUVRUVBUVTRUVAYAWDYQUVQRLYBYCQUVSRUVNQUVSUVOLYDYEYCYGYFXS
      YHYIYJ $.

    ${
      $d x u v f s r a b H $.
      $( Auxiliary set.  ` H ` is ` D ` with ` x ` substituted for ` y ` . $)
      zorn2lem.7 $e |- H = { z e. A | A. g e. ( F " y ) g R z } $.
      $( Lemma for ~ zorn2 .  (Contributed by NM, 4-Apr-1997.)  (Revised by
         Mario Carneiro, 9-May-2015.) $)
      zorn2lem5 $p |- ( ( ( w We A /\ x e. On ) /\ A. y e. x H =/= (/) ) ->
            ( F " x ) C_ A ) $=
        ( cv wcel vs wwe con0 wa c0 wne wral cima cfv wceq wrex wfun wfn cvv wn
        wbr crio cmpt tfr1 fnfun ax-mp fvelima mpan nfra1 nfan wi df-ral onelon
        nfv wal ssrab3 zorn2lem1 sselid eleq1 syl5ib sylani com12 exp43 imp a2d
        com3r spsd syl5bi rexlimd syl5 ssrdv ) GDSZUBZASZUCTZUDZNUEUFZBWIUGZUDZ
        UAMWIUHZGUASZWOTZBSZMUIZWPUJZBWIUKZWNWPGTZMULZWQXAMUCUMXCMKUNFSESWGUPUO
        FHUGEHUQUROUSUCMUTVABWPWIMVBVCWNWTXBBWIWKWMBWKBVIWLBWIVDVEXBBVIWKWMWRWI
        TZWTXBVFZVFZWMXDWLVFZBVJWKXFWLBWIVGWKXGXFBWKXDWLXEWHWJXDWLXEVFZVFWJXDWH
        XHWJXDWHWLXEWTWJXDUDZWHWLUDZUDXBXIWTWRUCTZXJXBWIWRVHXKXJUDZWSGTWTXBXLNG
        WSLSCSJUPLMWRUHUGCGNRVKBCDEFGHNJKLMOPRVLVMWSWPGVNVOVPVQVRWAVSVTWBWCVSWD
        WEWF $.

      $( Lemma for ~ zorn2 .  (Contributed by NM, 4-Apr-1997.)  (Revised by
         Mario Carneiro, 9-May-2015.) $)
      zorn2lem6 $p |- ( R Po A ->
   ( ( ( w We A /\ x e. On ) /\ A. y e. x H =/= (/) ) -> R Or ( F " x ) ) ) $=
        ( wa wi vs vr vb va wpo wwe con0 wcel wne wral cima wbr weq w3o wor wss
        cv c0 poss zorn2lem5 syl11 cfv wceq wex wfn wfun cvv wn crio cmpt fnfun
        tfr1 wrex fvelima df-rex sylib anim12d an4 2exbii exdistrv bitri sylibr
        ex mp2b neeq1i ralbii imaeq2 raleqdv rabbidv neeq1d rspccv sylbi onelon
        crab anim12dan word ordtri3or syl2an eqid zorn2lem2 adantll breq12 syl6
        eloni biimpcd com23 adantrrl imp eqeq12 syl5ib adantl adantlr wb ancoms
        fveq2 adantrrr 3orim123d exp31 com4r syl6c exp4a a2d exlimdvv ralrimivv
        syl5 com3r imp4b jca2 df-so syl6ibr ) GJUEZGDUQZUFZAUQZUGUHZSZNURUIZBYN
        UJZSZMYNUKZJUEZUAUQZUBUQZJULZUAUBUMZUUCUUBJULZUNZUBYTUJUAYTUJZSYTJUOYKY
        SUUAUUHYTGUPYKUUAYSYTGJUSABCDEFGHIJKLMNOPQRUTVAYSUUGUAUBYTYTUUBYTUHZUUC
        YTUHZSZUCUQZYNUHZUDUQZYNUHZSZUULMVBZUUBVCZUUNMVBZUUCVCZSZSZUDVDUCVDZYSU
        UGUUKUUMUURSZUCVDZUUOUUTSZUDVDZSZUVCMUGVEMVFZUUKUVHTMKVGFUQEUQYLULVHFHU
        JEHVIVJOVLUGMVKUVIUUIUVEUUJUVGUVIUUIUVEUVIUUISUURUCYNVMUVEUCUUBYNMVNUUR
        UCYNVOVPWCUVIUUJUVGUVIUUJSUUTUDYNVMUVGUDUUCYNMVNUUTUDYNVOVPWCVQWDUVCUVD
        UVFSZUDVDUCVDUVHUVBUVJUCUDUUMUUOUURUUTVRVSUVDUVFUCUDVTWAWBYSUVBUUGUCUDY
        PYRUUPUVAUUGYRUUPLUQCUQJULZLMUULUKZUJZCGWNZURUIZUVKLMUUNUKZUJZCGWNZURUI
        ZSZTZYPUUPUVAUUGTZTYRUVKLMBUQZUKZUJZCGWNZURUIZBYNUJZUWAYQUWGBYNNUWFURRW
        EWFUWHUUMUVOUUOUVSUWGUVOBUULYNBUCUMZUWFUVNURUWIUWEUVMCGUWIUVKLUWDUVLUWC
        UULMWGWHWIWJWKUWGUVSBUUNYNBUDUMZUWFUVRURUWJUWEUVQCGUWJUVKLUWDUVPUWCUUNM
        WGWHWIWJWKVQWLYPUUPUVTUWBYMYOUUPUVTUWBTZTYOUUPYMUWKYOUUPYMUVTUWBYOUUPUU
        LUGUHZUUNUGUHZSZUWNYMUVTSZUWBTYOUUPUWNYOUUMUWLUUOUWMYNUULWMYNUUNWMWOWCZ
        UWPUWNUWOUVAUWNUUGUWNUWOUVAUWNUUGTUWNUULUUNUHZUCUDUMZUUNUULUHZUNZUWNUWO
        SZUVASZUUGUWLUULWPUUNWPUWTUWMUULXDUUNXDUULUUNWQWRUXBUWQUUDUWRUUEUWSUUFU
        XAUVAUWQUUDTZUWNYMUVSUVAUXCTUVOUWNYMUVSSZSZUWQUVAUUDUXEUWQUUQUUSJULZUVA
        UUDTUWMUXDUWQUXFTUWLUDUCCDEFGHUVRJKLMOPUVRWSWTXAUVAUXFUUDUUQUUBUUSUUCJX
        BXEXCXFXGXHUVAUWRUUETUXAUWRUUQUUSVCUVAUUEUULUUNMXOUUQUUBUUSUUCXIXJXKUXA
        UVAUWSUUFTZUWNYMUVOUVAUXGTUVSUWNYMUVOSZSZUWSUVAUUFUXIUWSUUSUUQJULZUVAUU
        FTUWLUXHUWSUXJTUWMUCUDCDEFGHUVNJKLMOPUVNWSWTXLUVAUXJUUFUUTUURUXJUUFXMUU
        SUUCUUQUUBJXBXNXEXCXFXPXHXQYEXRXSXTYAYFXHYBYEYGYCYEYDYHUAUBYTJYIYJ $.

      $( Lemma for ~ zorn2 .  (Contributed by NM, 6-Apr-1997.)  (Revised by
         Mario Carneiro, 9-May-2015.) $)
      zorn2lem7 $p |- ( ( A e. dom card /\ R Po A /\
      A. s ( ( s C_ A /\ R Or s ) -> E. a e. A A. r e. s ( r R a \/ r = a ) ) )
                  -> E. a e. A A. b e. A -. a R b ) $=
        ( ccrd cdm wcel wpo cv wss wor wa wbr weq wo wral wrex wal wwe wex ween
        wi wn c0 wceq con0 zorn2lem4 cima imaeq2 raleqdv rabbidv 3eqtr4g eqeq1d
        crab onminex df-ne ralbii anbi2i rexbii sylibr zorn2lem5 zorn2lem6 jcad
        wne a1i wfn wfun cvv crio cmpt tfr1 fnfun vex funimaex mp2b sseq1 soeq2
        anbi12d raleq rexbidv imbi12d spcv sylan9 adantld imp noel sseld 3anass
        w3a potr sylan2br expcomd breq1 biimprcd jaod exp42 sylan9r com24 com23
        adantl imp31 a2d ralimdv2 cbvralvw breq2 ralbidv elrab wb eleq2 bitr3id
        eqeq1i sylbi biimpd expdimp syl5bi exp32 com34 mtoi exp4a ex com4r impd
        pm2.43a com4l ralrimdv expd reximdvai com12 imp32 mpd exp45 imp4a com3l
        adantr rexlimiv 3syl adantlr pm2.43i expcom exlimiv 3impib ) GUCUDUEZGJ
        UFZOUGZGUHZUVBJUIZUJZPUGZQUGZJUKZPQULZUMZPUVBUNZQGUOZUTZOUPZUVGRUGZJUKZ
        VAZRGUNZQGUOZUUTGDUGZUQZDURUVAUVNUJZUVSUTZGDUSUWAUWCDUWBUWAUVSUWBUWAUJZ
        UVSUVAUWAUWDUVSUTZUVNUVAUWAUJIVBVCZAVDUOZUWFNVBWBZBAUGZUNZUJZAVDUOZUWEA
        CDEFGHIJKLMSTUAVEUWGUWFNVBVCZVAZBUWIUNZUJZAVDUOUWLUWFUWMABABULZINVBUWQL
        UGZCUGZJUKZLMUWIVFZUNZCGVLZUWTLMBUGZVFZUNZCGVLINUWQUXBUXFCGUWQUWTLUXAUX
        EUWIUXDMVGVHVIUAUBVJVKVMUWKUWPAVDUWJUWOUWFUWHUWNBUWINVBVNVOVPVQVRUWKUWE
        AVDUWDUWIVDUEZUWKUVSUWDUXGUWFUWJUVSUWBUWAUXGUWFUWJUVSUTZUTUWBUWFUWAUXGU
        JZUXHUWBUWFUXIUWJUVSUWBUWFUXIUWJUJZUJZUJUVJPUXAUNZQGUOZUVSUWBUXKUXMUWBU
        XJUXMUWFUVAUXJUXAGUHZUXAJUIZUJZUVNUXMUVAUXJUXNUXOUXJUXNUTUVAABCDEFGHIJK
        LMNSTUAUBVSZWCABCDEFGHIJKLMNSTUAUBVTWAUVMUXPUXMUTOUXAMVDWDMWEUXAWFUEMKW
        FFUGEUGUVTUKVAFHUNEHWGWHSWIVDMWJMUWIAWKWLWMUVBUXAVCZUVEUXPUVLUXMUXRUVCU
        XNUVDUXOUVBUXAGWNUVBUXAJWOWPUXRUVKUXLQGUVJPUVBUXAWQWRWSWTXAXBXCUWBUWFUX
        JUXMUVSUTZUVAUWFUXJUXSUTZUTUVNUWFUVAUXTUWFUVAUXJUXSUWFUVAUXJUJZUJZUXLUV
        RQGUYBUVGGUEZUXLUVRUYBUYCUXLUJUVQRGUYBUYCUXLUVOGUEZUVQUTUYDUYBUYCUXLUVQ
        UYDUWFUYAUYCUXLUVQUTZUTZUWFUYDUYAUYFUTUWFUYDUYAUYDUYFUWFUYDUYAUYDUYFUTU
        TUWFUYDUJZUYAUYCUYDUYEUYGUYAUYCUYDUYEUYGUYAUYCUYDUJZUXLUVQUYGUYAUYHUJZU
        JUXLUJUVPUVOVBUEZUVOXDUYGUYIUXLUVPUYJUTUYGUYIUVPUXLUYJUYGUYIUVPUXLUYJUT
        UYIUVPUJZUXLUVFUVOJUKZPUXAUNZUYGUYJUYKUVJUYLPUXAUXAUYKUVFUXAUEZUVJUYLUY
        AUYHUVPUYNUVJUYLUTZUTZUYAUVPUYHUYPUYAUYNUYHUVPUYOUXJUYNUVFGUEZUVAUYHUVP
        UYOUTUTUXJUXAGUVFUXQXEUVAUYQUYHUVPUYOUVAUYQUYHUJZUJZUVPUJUVHUYLUVIUYSUV
        PUVHUYLUTUYSUVHUVPUYLUYRUVAUYQUYCUYDXGUVHUVPUJUYLUTUYQUYCUYDXFGUVFUVGUV
        OJXHXIXJXCUVPUVIUYLUTUYSUVIUYLUVPUVFUVGUVOJXKXLXRXMXNXOXPXQXSXTYAUYMUWR
        UVOJUKZLUXAUNZUYGUYJUYLUYTPLUXAUVFUWRUVOJXKYBUWFUYDVUAUYJUWFUYDVUAUJZUY
        JVUBUVOUXCUEZUWFUYJUXBVUACUVOGCRULUWTUYTLUXAUWSUVOUWRJYCYDYEUWFUXCVBVCV
        UCUYJYFIUXCVBUAYIUXCVBUVOYGYJYHYKYLYMXOYNYOXSYPXNYQYOYRYSUUAYTUUBYTUUCU
        UDUUEYNUUFUULUUGUUHUUIXQYLUUJUUKUUMUUNUUOUUPUUQUURYJUUS $.
    $}
  $}

  ${
    $d x y z w v u g h t s r q d k m n R $.
    $d x y z w v u g h t s r q d k m n A $.
    $( Zorn's Lemma of [Monk1] p. 117.  This version of ~ zorn2 avoids the
       Axiom of Choice by assuming that ` A ` is well-orderable.  (Contributed
       by NM, 6-Apr-1997.)  (Revised by Mario Carneiro, 9-May-2015.) $)
    zorn2g $p |- ( ( A e. dom card /\ R Po A /\
      A. w ( ( w C_ A /\ R Or w ) -> E. x e. A A. z e. w ( z R x \/ z = x ) ) )
                  -> E. x e. A A. y e. A -. x R y ) $=
      ( vr vq vm vk vv vd vs vh vg vn cv wbr wral crab vu vt crn cvv crio crecs
      wn cmpt cima wceq weq breq1 notbid cbvralvw breq2 ralbidv cbvriotavw rneq
      syl5bb raleqdv rabbidv riotaeqbidv eqtrid cbvmptv ax-mp cbvrabv zorn2lem7
      recseq eqid ) UAUBGHIJEHQZKQZFRZHLQZUCZSZKETZMQZGQZFRZMNUDOQZPQZVJRZUGZOV
      LHNQZUCZSZKETZSZPWGUEZUHZUFZUAQUISGETZFLMWKVSMWKUBQUISGETZDCABWJLUDJQZIQZ
      VJRZUGZJVPSZIVPUEZUHZUJWKWTUFUJNLUDWIWSNLUKZWIWQJWGSZIWGUEWSWHXBPIWGWHWNW
      AVJRZUGZJWGSPIUKZXBWCXDOJWGOJUKWBXCVTWNWAVJULUMUNXEXDWQJWGXEXCWPWAWOWNVJU
      OUMUPUSUQXAXBWRIWGVPXAWFVOKEXAVLHWEVNWDVMURUTVAZXAWQJWGVPXFUTVBVCVDWJWTVH
      VEVOVSMVNSZKGEVOVQVKFRZMVNSKGUKZXGVLXHHMVNVJVQVKFULUNXIXHVSMVNVKVRVQFUOUP
      USVFWLVIWMVIVG $.

    $( Zorn's Lemma.  If the union of every chain (with respect to inclusion)
       in a set belongs to the set, then the set contains a maximal element.
       Theorem 6M of [Enderton] p. 151.  This version of ~ zorn avoids the
       Axiom of Choice by assuming that ` A ` is well-orderable.  (Contributed
       by NM, 12-Aug-2004.)  (Revised by Mario Carneiro, 9-May-2015.) $)
    zorng $p |- ( ( A e. dom card /\ A. z ( ( z C_ A /\ [C.] Or z ) ->
       U. z e. A ) ) -> E. x e. A A. y e. A -. x C. y ) $=
      ( vu wcel cv wss crpss wa wi wal wbr wn wral wrex wpss wceq wo sylib ccrd
      cdm wor cuni risset eqimss2 unissb vex brrpss orbi1i bitr4i ralbii sylibr
      sspss reximi sylbi imim2i alimi porpss zorn2g mp3an2 sylan2 notbii rexbii
      wpo ) DUAUBFZCGZDHVGIUCJZVGUDZDFZKZCLZJAGZBGZIMZNZBDOZADPZVMVNQZNZBDOZADP
      VLVFVHEGZVMIMZWBVMRZSZEVGOZADPZKZCLZVRVKWHCVJWGVHVJVMVIRZADPWGAVIDUEWJWFA
      DWJWBVMHZEVGOZWFWJVIVMHWLVIVMUFEVGVMUGTWEWKEVGWEWBVMQZWDSWKWCWMWDWBVMAUHU
      IUJWBVMUNUKULUMUOUPUQURVFDIVEWIVRDUSABECDIUTVAVBVQWAADVPVTBDVOVSVMVNBUHUI
      VCULVDT $.

    $( Variant of Zorn's lemma ~ zorng in which ` (/) ` , the union of the
       empty chain, is not required to be an element of ` A ` .  (Contributed
       by Jeff Madsen, 5-Jan-2011.)  (Revised by Mario Carneiro,
       9-May-2015.) $)
    zornn0g $p |- ( ( A e. dom card /\ A =/= (/) /\ A. z ( ( z C_ A /\
      z =/= (/) /\ [C.] Or z ) -> U. z e. A ) )
                                  -> E. x e. A A. y e. A -. x C. y ) $=
      ( vw wcel c0 wne cv wss crpss wor w3a cuni wi wral wrex wa ax-mp wceq cdm
      ccrd wal wpss wn csn cun simp2 simp1 snfi finnum unnum sylancl cdif uncom
      cfn sseq2i ssundif bitri difss soss wb ssdif0 uni0b biimpri eleq1d sylbir
      imbi2d difexi sseq1 neeq1 soeq2 3anbi123d unieq imbi12d com12 3expa an32s
      vex spcv unidif0 eleq1i elun1 sylbi syl6 0ex elun2 pm2.61ne sylan2 sylanb
      snid 2a1i alrimiv 3ad2ant3 zorng syl2anc ssun1 ssralv reximi rexun psseq1
      wo simpr 0pss bitrdi notbid nne ralbidv rexsn eqsn biimpar sylan2b mpbird
      rexeqdv jaodan ) DUBUAZFZDGHZCIZDJZXSGHZXSKLZMZXSNZDFZOZCUCZMZXRAIZBIZUDZ
      UEZBDGUFZUGZPZAYNQZYLBDPZADQZXQXRYGUHYHYNXPFZEIZYNJZYTKLZRZYTNZYNFZOZEUCZ
      YPYHXQYMXPFZYSXQXRYGUIYMUPFUUHGUJYMUKSDYMULUMYGXQUUGXRYGUUFEUUCYGUUEUUAYT
      YMUNZDJZUUBYGUUEOZUUAYTYMDUGZJUUJYNUULYTDYMUOUQYTYMDURUSUUBUUJUUIKLZUUKUU
      IYTJUUBUUMOYTYMUTUUIYTKVASUUJUUMRZUUKYGGYNFZOUUIGUUIGTZUUEUUOYGUUPYTYMJZU
      UEUUOVBYTYMVCUUQUUDGYNUUDGTUUQYTVDVEVFVGVHUUNUUIGHZRYGUUINZDFZUUEUUJUURUU
      MYGUUTOZUUJUURUUMUVAYGUUJUURUUMMZUUTYFUVBUUTOCUUIYTYMEVSVIXSUUITZYCUVBYEU
      UTUVCXTUUJYAUURYBUUMXSUUIDVJXSUUIGVKXSUUIKVLVMUVCYDUUSDXSUUIVNVFVOVTVPVQV
      RUUTUUDDFUUEUUSUUDDYTWAWBUUDDYMWCWDWEUUOUUNYGGYMFUUOGWFWKGYMDWGSWLWHWIWJV
      PWMWNABEYNWOWPYPXRYQAYNQZYRYOYQAYNDYNJYOYQODYMWQYLBDYNWRSWSUVDXRYRYQAYMQZ
      XBYRYQADYMWTXRYRYRUVEXRYRXCXRUVERZYRUVEXRUVEXCUVFYQADYMUVEXRYJGTZBDPZDYMT
      ZYQUVHAGWFYIGTZYLUVGBDUVJYLYJGHZUEUVGUVJYKUVKUVJYKGYJUDUVKYIGYJXAYJXDXEXF
      YJGXGXEXHXIXRUVIUVHBDGXJXKXLXNXMXOXLWIWP $.
  $}

  ${
    $d w x y z A $.  $d w x y z R $.
    zornn0.1 $e |- A e. _V $.
    $( Zorn's Lemma of [Monk1] p. 117.  This theorem is equivalent to the Axiom
       of Choice and states that every partially ordered set ` A ` (with an
       ordering relation ` R ` ) in which every totally ordered subset has an
       upper bound, contains at least one maximal element.  The main proof
       consists of lemmas ~ zorn2lem1 through ~ zorn2lem7 ; this final piece
       mainly changes bound variables to eliminate the hypotheses of
       ~ zorn2lem7 .  (Contributed by NM, 6-Apr-1997.)  (Revised by Mario
       Carneiro, 9-May-2015.) $)
    zorn2 $p |- ( ( R Po A /\
      A. w ( ( w C_ A /\ R Or w ) -> E. x e. A A. z e. w ( z R x \/ z = x ) ) )
                  -> E. x e. A A. y e. A -. x R y ) $=
      ( ccrd cdm wcel wpo cv wss wor wa wbr weq wral wrex cvv wal numth3 zorn2g
      wo wi wn ax-mp mp3an1 ) EHIJZEFKDLZEMUJFNOCLALZFPCAQUDCUJRAESUEDUAUKBLFPU
      FBERAESETJUIGETUBUGABCDEFUCUH $.

    $( Zorn's Lemma.  If the union of every chain (with respect to inclusion)
       in a set belongs to the set, then the set contains a maximal element.
       This theorem is equivalent to the Axiom of Choice.  Theorem 6M of
       [Enderton] p. 151.  See ~ zorn2 for a version with general partial
       orderings.  (Contributed by NM, 12-Aug-2004.) $)
    zorn $p |- ( A. z ( ( z C_ A /\ [C.] Or z ) -> U. z e. A ) ->
                E. x e. A A. y e. A -. x C. y ) $=
      ( ccrd cdm wcel cv wss crpss wor wa cuni wi wal wpss wn wral cvv numth3
      wrex ax-mp zorng mpan ) DFGHZCIZDJUGKLMUGNDHOCPAIBIQRBDSADUBDTHUFEDTUAUCA
      BCDUDUE $.

    $( Variant of Zorn's lemma ~ zorn in which ` (/) ` , the union of the empty
       chain, is not required to be an element of ` A ` .  (Contributed by Jeff
       Madsen, 5-Jan-2011.) $)
    zornn0 $p |- ( ( A =/= (/) /\ A. z ( ( z C_ A /\ z =/= (/) /\
      [C.] Or z ) -> U. z e. A ) ) -> E. x e. A A. y e. A -. x C. y ) $=
      ( ccrd cdm wcel c0 wne cv wss crpss wor w3a cuni wi wal wpss cvv wn ax-mp
      wral wrex numth3 zornn0g mp3an1 ) DFGHZDIJCKZDLUIIJUIMNOUIPDHQCRAKBKSUABD
      UCADUDDTHUHEDTUEUBABCDUFUG $.
  $}

  ${
    $d a x y z C $.  $d x y D $.  $d a f u v w x y z G $.  $d a f u w y z ph $.
    $d a f u w x y z A $.  $d a f u w x y z B $.  $d x z F $.
    ttukeylem.1 $e |- ( ph ->
      F : ( card ` ( U. A \ B ) ) -1-1-onto-> ( U. A \ B ) ) $.
    ttukeylem.2 $e |- ( ph -> B e. A ) $.
    ttukeylem.3 $e |- ( ph -> A. x ( x e. A <-> ( ~P x i^i Fin ) C_ A ) ) $.
    $( Lemma for ~ ttukey .  Expand out the property of being an element of a
       property of finite character.  (Contributed by Mario Carneiro,
       15-May-2015.) $)
    ttukeylem1 $p |- ( ph -> ( C e. A <-> ( ~P C i^i Fin ) C_ A ) ) $=
      ( cvv wcel cpw cfn cin wss cdom cun ccrd ssexg wb wi elex a1i wa wbr cuni
      cdif ssun1 undif1 sseqtrri cfv wfo fvex wf1o f1ofo syl fornex mpsyl unexg
      id syl2anc sylancr uniexb sylibr syl2anr infpwfidom reldom brrelex1i 3syl
      ex cv wal wceq eleq1 pweq ineq1d sseq1d bibi12d spcgv syl5com pm5.21ndd )
      AEJKZECKZELZMNZCOZWCWBUAAECUBUCAWFWBAWFUDWEJKZEWEPUEWBWFWFCJKZWGAWFUTACUF
      ZJKZWHAWIWIDUGZDQZOWLJKZWJWIWIDQWLWIDUHWIDUIUJAWKJKZDCKWMWKRUKZJKAWOWKFUL
      ZWNWKRUMAWOWKFUNWPGWOWKFUOUPWOWKJFUQURHWKDJCUSVAWIWLJSVBCVCVDWECJSVEEVFEW
      EPVGVHVIVJABVKZCKZWQLZMNZCOZTZBVLWBWCWFTZIXBXCBEJWQEVMZWRWCXAWFWQECVNXDWT
      WECXDWSWDMWQEVOVPVQVRVSVTWA $.

    $( Lemma for ~ ttukey .  A property of finite character is closed under
       subsets.  (Contributed by Mario Carneiro, 15-May-2015.) $)
    ttukeylem2 $p |- ( ( ph /\ ( C e. A /\ D C_ C ) ) -> D e. A ) $=
      ( wcel wss wa cpw cfn cin wi wb ttukeylem1 adantr simpr sspwd ssrin sstr2
      3syl 3imtr4d impancom impr ) AECKZFELZFCKZAUJUIUKAUJMZENZOPZCLZFNZOPZCLZU
      IUKULUPUMLUQUNLUOURQULFEAUJUAUBUPUMOUCUQUNCUDUEAUIUORUJABCDEGHIJSTAUKURRU
      JABCDFGHIJSTUFUGUH $.

    ttukeylem.4 $e |- G = recs ( ( z e. _V |-> if ( dom z = U. dom z ,
      if ( dom z = (/) , B , U. ran z ) , ( ( z ` U. dom z ) u.
      if ( ( ( z ` U. dom z ) u. { ( F ` U. dom z ) } ) e. A ,
        { ( F ` U. dom z ) } , (/) ) ) ) ) ) $.
    $( Lemma for ~ ttukey .  (Contributed by Mario Carneiro, 11-May-2015.) $)
    ttukeylem3 $p |- ( ( ph /\ C e. On ) -> ( G ` C ) = if ( C = U. C ,
      if ( C = (/) , B , U. ( G " C ) ) , ( ( G ` U. C ) u. if ( ( ( G ` U. C )
         u. { ( F ` U. C ) } ) e. A , { ( F ` U. C ) } , (/) ) ) ) ) $=
      ( con0 wcel cfv cvv wceq c0 cif cun wa cres cv cdm cuni crn csn cmpt cima
      tfr2 adantl eqidd simpr dmeqd wfn wss tfr1 ad2antlr fnssres sylancr fndmd
      eqtrd unieqd eqeq12d eqeq1d rneqd df-ima eqtr4di ifbieq2d fveq12d uneq12d
      onss fveq2d sneqd eleq1d ifbieq12d wn csuc onuni ad3antlr sucidg syl word
      eloni orduniorsuc orcanai eleqtrrd fvresd uneq1d ifbid ifeq2da wfun fnfun
      wo ax-mp resfunexg elexd funimaexg mpan uniexd ifcl syl2an fvex snex ifex
      0ex unex sylancl fvmptd ) AFMNZUAZFHOZHFUBZCPCUCZUDZXOUEZQZXORQZEXNUFZUEZ
      SZXPXNOZYBXPGOZUGZTZDNZYDRSZTZSZUHZOZFFUEZQZFRQZEHFUIZUEZSZYLHOZYRYLGOZUG
      ZTZDNZYTRSZTZSZXJXLYKQAFHYJLUJUKXKCXMYIUUEPYJPXKYJULXKXNXMQZUAZYIYMYQYLXM
      OZUUHYTTZDNZYTRSZTZSUUEUUGXQYMYAYHYQUULUUGXOFXPYLUUGXOXMUDFUUGXNXMXKUUFUM
      ZUNUUGFXMUUGHMUOZFMUPZXMFUOHYJLUQZXJUUOAUUFFVLURMFHUSUTVAVBZUUGXOFUUQVCZV
      DUUGXRYNXTYPEUUGXOFRUUQVEUUGXSYOUUGXSXMUFYOUUGXNXMUUMVFHFVGVHVCVIUUGYBUUH
      YGUUKUUGXPYLXNXMUUMUURVJZUUGYFUUJYDRYTRUUGYEUUIDUUGYBUUHYDYTUUSUUGYCYSUUG
      XPYLGUURVMVNZVKVOUUTUUGRULVPVKVPUUGYMUULUUDYQUUGYMVQZUAZUUHYRUUKUUCUVBYLF
      HUVBYLYLVRZFUVBYLMNZYLUVCNXJUVDAUUFUVAFVSVTYLMWAWBUUGYMFUVCQZUUGFWCZYMUVE
      WNXJUVFAUUFFWDURFWEWBWFWGWHZUVBUUJUUBYTRUVBUUIUUADUVBUUHYRYTUVGWIVOWJVKWK
      VBXKHWLZXJXMPNUUNUVHUUPMHWMWOZAXJUMHFMWPUTXKYQPNZUUDPNUUEPNAEPNYPPNUVJXJA
      EDJWQXJYOPUVHXJYOPNUVIHFMWRWSWTYNEYPPXAXBYRUUCYLHXCUUBYTRYSXDXFXEXGYMYQUU
      DPXAXHXIVB $.

    $( Lemma for ~ ttukey .  (Contributed by Mario Carneiro, 15-May-2015.) $)
    ttukeylem4 $p |- ( ph -> ( G ` (/) ) = B ) $=
      ( c0 cfv cuni wceq cima cif cun wcel iftruei con0 0elon ttukeylem3 eqcomi
      csn mpan2 uni0 eqid eqtri eqtrdi ) ALGMZLLNZOZLLOZEGLPNZQZULGMZUQULFMUEZR
      DSURLQRZQZEALUASUKUTOUBABCDELFGHIJKUCUFUTUPEUMUPUSULLUGUDTUNEUOLUHTUIUJ
      $.

    $( Lemma for ~ ttukey .  The ` G ` function forms a (transfinitely long)
       chain of inclusions.  (Contributed by Mario Carneiro, 15-May-2015.) $)
    ttukeylem5 $p |- ( ( ph /\ ( C e. On /\ D e. On /\ C C_ D ) ) ->
      ( G ` C ) C_ ( G ` D ) ) $=
      ( va con0 wcel wss cfv wi wceq vy wa cv sseq2 fveq2 sseq2d imbi12d imbi2d
      wral r19.21v wo wb onsseleq ad4ant23 cuni c0 cima cif csn cun wfn cvv cdm
      crn cmpt tfr1 simplr onss syl simprr fnfvima mp3an2i elssuni iffalse 3syl
      wn n0i sseqtrrd adantr simplrl csuc vuniex sucid word orduniorsuc orcanai
      eloni eleqtrrid mpd ssun1 sstrdi ifbothda ttukeylem3 ad4ant13 expr eqimss
      rspcdva a1i jaod sylbid ex expcom a2d syl5bi tfis3 expdcom 3imp2 ) AFOPZG
      OPZFGQZFIRZGIRZQZXIAXHXJXMSZAXHUBZFUAUCZQZXKXPIRZQZSZSZXOFNUCZQZXKYBIRZQZ
      SZSZXOXNSUANGXPYBTZXTYFXOYHXQYCXSYEXPYBFUDYHXRYDXKXPYBIUEUFUGUHXPGTZXTXNX
      OYIXQXJXSXMXPGFUDYIXRXLXKXPGIUEUFUGUHYGNXPUIXOYFNXPUIZSXPOPZYAXOYFNXPUJYK
      XOYJXTXOYKYJXTSXOYKUBZYJXTYLYJUBZXQFXPPZFXPTZUKZXSXHYKXQYPULAYJFXPUMUNYMY
      NXSYOYLYJYNXSYLYJYNUBZUBZXKXPXPUOZTZXPUPTZEIXPUQZUOZURZYSIRZUUEYSHRUSZUTD
      PUUFUPURZUTZURZXRYTXKUUDQZXKUUHQXKUUIQYRUUDUUHUUDUUIXKUDUUHUUIXKUDYRUUJYT
      YRXKUUCUUDYRXKUUBPZXKUUCQIOVAYRXPOQZYNUUKICVBCUCZVCZUUNUOZTUUNUPTEUUMVDUO
      URUUOUUMRZUUPUUOHRUSZUTDPUUQUPURUTURVEMVFYRYKUULXOYKYQVGZXPVHVIYLYJYNVJZO
      XPIFVKVLXKUUBVMVIYRYNUUAVPUUDUUCTUUSXPFVQUUAEUUCVNVOVRVSYRYTVPZUBZXKUUEUU
      HUVAFYSQZXKUUEQZUVAYNUVBYRYNUUTUUSVSFXPVMVIUVAYFUVBUVCSNXPYSYBYSTZYCUVBYE
      UVCYBYSFUDUVDYDUUEXKYBYSIUEUFUGYLYJYNUUTVTUVAYSYSWAZXPYSUAWBWCYRYTXPUVETZ
      YRYKXPWDYTUVFUKUURXPWGXPWEVOWFWHWQWIUUEUUGWJWKWLAYKXRUUITXHYQABCDEXPHIJKL
      MWMWNVRWOYOXSSYMYOXKXRTXSFXPIUEXKXRWPVIWRWSWTXAXBXCXDXEXFXG $.

    $( Lemma for ~ ttukey .  (Contributed by Mario Carneiro, 15-May-2015.) $)
    ttukeylem6 $p |- ( ( ph /\ C e. suc ( card ` ( U. A \ B ) ) ) ->
      ( G ` C ) e. A ) $=
      ( vu con0 wcel cfv wa wi wceq c0 vy va vw vf cuni cdif ccrd cardon onsuci
      vv csuc onelon sylan cv eleq1 fveq2 eleq1d imbi12d imbi2d wral r19.21v wb
      a1i word wss onordi ordelss sselda biimt syl ralbidva cima cif csn simprl
      cun onssi sselid ttukeylem3 syldan ad3antrrr wn cpw cfn cin wf wrex simpr
      wex elin2d ciun elin1d wfn wfun cvv cdm crn cmpt tfr1 fnfun funiunfv mp2b
      elpwid sseqtrrdi dfss3 eliun ralbii bitri sylib eleq2d ac6sfi syl2anc wne
      simp-4l simplrr ad2antrr simprrl adantr frn onss sstrd adantrr dffn4 fofi
      wfo ffn dm0rn0 eqeq1d bitr3id necon3bid biimpar sseldd rspcdva ttukeylem2
      fdmd ad2antrl expr ex ifclda uneq2 ordunifi syl3anc ffvelrn rnex ssonunii
      adantl simprr fnfvelrn elssuni ttukeylem5 syl13anc sseld anassrs ralimdva
      vex expimpd impr sylibr syl12anc mpanr2 mpdan pm2.61ne exlimdv ttukeylem1
      0ss mpd ssrdv mpbird un0 eqtr3id vuniex sucid wo orduniorsuc 3syl orcanai
      eloni eleqtrrid ifbothda eqeltrd sylbird com23 a2i sylbi tfis3 impd mpcom
      ) FNOZAFDUEEUFZUGPZUKZOZQFHPZDOZAUWKNOZUWLUWHUWOAUWJUWIUHUIZVCUWKFULUMUWH
      AUWLUWNAUAUNZUWKOZUWQHPZDOZRZRZAUBUNZUWKOZUXCHPZDOZRZRZAUWLUWNRZRUAUBFUWQ
      UXCSZUXAUXGAUXJUWRUXDUWTUXFUWQUXCUWKUOUXJUWSUXEDUWQUXCHUPUQURUSUWQFSZUXAU
      XIAUXKUWRUWLUWTUWNUWQFUWKUOUXKUWSUWMDUWQFHUPUQURUSUXHUBUWQUTZUXBRUWQNOZUX
      LAUXGUBUWQUTZRUXBAUXGUBUWQVAAUXNUXAAUWRUXNUWTAUWRUXNUWTRAUWRQZUXNUXFUBUWQ
      UTZUWTUXOUXFUXGUBUWQUXOUXCUWQOQUXDUXFUXGVBUXOUWQUWKUXCAUWKVDZUWRUWQUWKVEU
      XQAUWKUWPVFVCUWKUWQVGUMVHUXDUXFVIVJVKAUWRUXPUWTAUWRUXPQZQZUWSUWQUWQUEZSZU
      WQTSZEHUWQVLUEZVMZUXTHPZUYEUXTGPVNZVPZDOZUYFTVMZVPZVMZDAUXRUXMUWSUYKSUXSU
      WKNUWQUWKUWPVQAUWRUXPVOVRZABCDEUWQGHIJKLVSVTUXSUYAUYDUYJDUXSUYAQZUYBEUYCD
      AEDOZUXRUYAUYBJWAUYMUYCDOZUYBWBUYMUYOUYCWCZWDWEZDVEZUYMUCUYQDUYMUCUNZUYQO
      ZUYSDOZUYMUYTQZUYSUWQUDUNZWFZMUNZVUEVUCPZHPZOZMUYSUTZQZUDWIZVUAVUBUYSWDOZ
      VUEUJUNZHPZOZUJUWQWGZMUYSUTZVUKVUBUYPWDUYSUYMUYTWHZWJZVUBUYSUJUWQVUNWKZVE
      ZVUQVUBUYSUYCVUTVUBUYSUYCVUBUYPWDUYSVURWLXCHNWMHWNVUTUYCSHCWOCUNZWPZVVCUE
      ZSVVCTSEVVBWQUEVMVVDVVBPZVVEVVDGPVNZVPDOVVFTVMVPVMWRLWSNHWTUJUWQHXAXBXDVV
      AVUEVUTOZMUYSUTVUQMUYSVUTXEVVGVUPMUYSUJVUEUWQVUNXFXGXHXIVUOVUHMUJUYSUWQUD
      VUMVUFSVUNVUGVUEVUMVUFHUPXJXKXLVUBVUJVUAUDUYMUYTVUJVUAUYMUYTVUJQZQZVUATDO
      ZUYSTUYSTDUOVVIUYSTXMZQZAVUCWQZUEZHPZDOZUYSVVOVEZVUAAUXRUYAVVHVVKXNVVLUXF
      VVPUBUWQVVNUXCVVNSUXEVVODUXCVVNHUPUQUYMUXPVVHVVKAUWRUXPUYAXOXPVVLVVMUWQVV
      NVVLVUDVVMUWQVEZVVIVUDVVKUYMUYTVUDVUIXQZXRZUYSUWQVUCXSZVJZVVLVVMNVEZVVMWD
      OZVVMTXMZVVNVVMOVVLVVMUWQNVWBVVLUXMUWQNVEZUXSUXMUYAVVHVVKUYLWAUWQXTZVJYAV
      VLVULUYSVVMVUCYEZVWDVVIVULVVKUYMUYTVULVUJVUSYBXRVVLVUCUYSWMZVWHVVLVUDVWIV
      VTUYSUWQVUCYFZVJUYSVUCYCXIUYSVVMVUCYDXLVVIVWEVVKVVIVVMTUYSTVVMTSVUCWPZTSV
      VIUYSTSVUCYGVVIVWKUYSTVVIUYSUWQVUCVVSYOYHYIYJYKVVMUUAUUBYLYMVVLVUEVVOOZMU
      YSUTZVVQVVIVWMVVKUYMUYTVUJVWMVUBVUDVUIVWMVUBVUDQVUHVWLMUYSVUBVUDVUEUYSOZV
      UHVWLRVUBVUDVWNQZQZVUGVVOVUEVWPAVUFNOVVNNOZVUFVVNVEZVUGVVOVEAUXRUYAUYTVWO
      XNVWPUWQNVUFVWPUXMVWFUXSUXMUYAUYTVWOUYLWAVWGVJZVWOVUFUWQOVUBUYSUWQVUEVUCU
      UCUUFYLVWPVWCVWQVWPVVMUWQNVUDVVRVUBVWNVWAYPVWSYAVVMVUCUDUUOUUDUUEVJVWPVUF
      VVMOZVWRVWPVWIVWNVWTVUDVWIVUBVWNVWJYPVUBVUDVWNUUGUYSVUEVUCUUHXLVUFVVMUUIV
      JABCDEVUFVVNGHIJKLUUJUUKUULUUMUUNUUPUUQXRMUYSVVOXEUURABDEVVOUYSGIJKYNUUSA
      VVJUXRUYAVVHAUYNVVJJAUYNTEVEVVJEUVEABDEETGIJKYNUUTUVAWAUVBYQUVCUVFYRUVGAU
      YOUYRVBUXRUYAABDEUYCGIJKUVDXPUVHXRYSUYHUYHUYEDOZUYJDOUXSUYAWBZQZUYFTUYFUY
      ISUYGUYJDUYFUYIUYEYTUQTUYISZUYEUYJDVXDUYEUYETVPUYJUYEUVITUYIUYEYTUVJUQVXC
      UYHWHVXCVXAUYHWBVXCUXFVXAUBUWQUXTUXCUXTSUXEUYEDUXCUXTHUPUQAUWRUXPVXBXOVXC
      UXTUXTUKZUWQUXTUAUVKUVLUXSUYAUWQVXESZUXSUXMUWQVDUYAVXFUVMUYLUWQUVQUWQUVNU
      VOUVPUVRYMXRUVSYSUVTYQUWAYRUWBUWCUWDVCUWEUWFUWG $.

    $( Lemma for ~ ttukey .  (Contributed by Mario Carneiro, 15-May-2015.) $)
    ttukeylem7 $p |- ( ph -> E. x e. A ( B C_ x /\ A. y e. A -. x C. y ) ) $=
      ( cfv wcel wss wn wa c0 con0 wceq cuni cdif ccrd wpss wral wrex csuc fvex
      va cv sucid ttukeylem6 mpan2 ttukeylem4 w3a cardon 0ss 3pm3.2i ttukeylem5
      0elon eqsstrrd wi simprr cun ssun1 undif1 sseqtrri ccnv simpl wf1o f1ocnv
      wf f1of 3syl adantr eldifi ad2antll simprll elunii eldifn eldifd ffvelrnd
      syl2anc onelon sylancr suceloni syl a1i word onordi ordsucss syl13anc csn
      mpsyl ssun2 eloni ordunisuc fveq2d f1ocnvfv2 eqtr2d velsn ordelss eqsstrd
      cif sylibr simprlr sstrd eqeltrrd snssd unssd ttukeylem2 syl12anc iftrued
      eleqtrrd sselid cima syldan sucidg ordirr nelne1 neeqtrrd neneqd iffalsed
      ttukeylem3 wne eqtrd sseldd expr ssrdv sstrid eqssd npss ralrimiva psseq1
      sseq2 notbid ralbidv anbi12d rspcev ) AEUAZFUBZUCMZHMZENZFUUCOZUUCCUJZUDZ
      PZCEUEZFBUJZOZUUJUUFUDZPZCEUEZQZBEUFAUUBUUBUGNUUDUUBUUAUCUHUKABDEFUUBGHIJ
      KLULUMAFRHMZUUCABDEFGHIJKLUNARSNZUUBSNZRUUBOZUOUUPUUCOUUQUURUUSUTUUAUPZUU
      BUQURABDEFRUUBGHIJKLUSUMVAZAUUHCEAUUFENZQUUCUUFOZUUCUUFTZVBUUHAUVBUVCUVDA
      UVBUVCQZQZUUCUUFAUVBUVCVCUVFUUFUUFFUBZFVDZUUCUUFUUFFVDUVHUUFFVEUUFFVFVGUV
      FUVGFUUCUVFUIUVGUUCAUVEUIUJZUVGNZUVIUUCNAUVEUVJQZQZUVIGVHZMZUGZHMZUUCUVIU
      VLAUVOSNZUURUVOUUBOZUVPUUCOAUVKVIZUVLUVNSNZUVQUVLUURUVNUUBNZUVTUUTUVLUUAU
      UBUVIUVMAUUAUUBUVMVLZUVKAUUBUUAGVJZUUAUUBUVMVJUWBIUUBUUAGVKUUAUUBUVMVMVNV
      OUVLUVIYTFUVLUVIUUFNZUVBUVIYTNUVJUWDAUVEUVIUUFFVPVQZAUVBUVCUVJVRZUVIUUFEV
      SWCUVJUVIFNPAUVEUVIUUFFVTVQWAZWBZUUBUVNWDWEZUVNWFWGZUURUVLUUTWHZUUBWIZUVL
      UWAUVRUUBUUTWJZUWHUVNUUBWKWNABDEFUVOUUBGHIJKLUSWLUVLUVIUVOUAZHMZUWOUWNGMZ
      WMZVDZENZUWQRXDZVDZUVPUVLUWTUXAUVIUWTUWOWOUVLUVIUWQUWTUVLUVIUWPTUVIUWQNUV
      LUWPUVNGMZUVIUVLUWNUVNGUVLUVTUVNWIZUWNUVNTUWIUVNWPZUVNWQVNZWRUVLUWCUVIUUA
      NUXBUVITAUWCUVKIVOUWGUUBUUAUVIGWSWCWTZUIUWPXAXEUVLUWSUWQRUVLAUVBUWRUUFOUW
      SUVSUWFUVLUWOUWQUUFUVLUWOUUCUUFUVLUWOUVNHMZUUCUVLUWNUVNHUXEWRUVLAUVTUURUV
      NUUBOZUXGUUCOUVSUWIUWKUVLUWLUWAUXHUWMUWHUUBUVNXBWEABDEFUVNUUBGHIJKLUSWLXC
      AUVBUVCUVJXFXGUVLUWPUUFUVLUVIUWPUUFUXFUWEXHXIXJABEFUUFUWRGIJKXKXLXMXNXOUV
      LUVPUVOUWNTZUVORTFHUVOXPUAXDZUXAXDZUXAAUVKUVQUVPUXKTUWJABDEFUVOGHIJKLYDXQ
      UVLUXIUXJUXAUVLUVOUWNUVLUVOUVNUWNUVLUVNUVONZUVNUVNNPZUVOUVNYEUVLUWAUXLUWH
      UVNUUBXRWGUVLUVTUXCUXMUWIUXDUVNXSVNUVNUVOUVNXTWCUXEYAYBYCYFXNYGYHYIAUUEUV
      EUVAVOXJYJYKYHUUCUUFYLXEYMUUOUUEUUIQBUUCEUUJUUCTZUUKUUEUUNUUIUUJUUCFYOUXN
      UUMUUHCEUXNUULUUGUUJUUCUUFYNYPYQYRYSXL $.
  $}

  ${
    $d f w x y z A $.  $d f w x y z B $.
    $( The Teichm&uuml;ller-Tukey Lemma ~ ttukey with a slightly stronger
       conclusion: we can set up the maximal element of ` A ` so that it also
       contains some given ` B e. A ` as a subset.  (Contributed by Mario
       Carneiro, 15-May-2015.) $)
    ttukey2g $p |- ( ( U. A e. dom card /\ B e. A /\
      A. x ( x e. A <-> ( ~P x i^i Fin ) C_ A ) )
        -> E. x e. A ( B C_ x /\ A. y e. A -. x C. y ) ) $=
      ( vf vz vw cuni ccrd cdm wcel cv wss wa cfv cvv wceq c0 cif cun cpw wb wn
      cfn cin wal wpss wral wrex cdif difss ssnum mpan2 wf1o wex cen wbr isnum3
      wi bren bitri w3a crn csn cmpt crecs simp1 simp2 simp3 dmeq unieqd eqeq1d
      eqeq12d rneq ifbieq2d id fveq12d fveq2d uneq12d eleq1d ifbieq1d ifbieq12d
      sneqd cbvmptv recseq ax-mp ttukeylem7 3expib exlimiv sylbi syl 3impib ) C
      HZIJZKZDCKZALZCKWQUAUDUECMUBAUFZDWQMWQBLUGUCBCUHNACUIZWOWMDUJZWNKZWPWRNWS
      USZWOWTWMMXAWMDUKWMWTULUMXAWTIOZWTELZUNZEUOZXBXAXCWTUPUQXFWTURXCWTEUTVAXE
      XBEXEWPWRWSXEWPWRVBABFCDXDGPGLZJZXHHZQZXHRQZDXGVCZHZSZXIXGOZXOXIXDOZVDZTZ
      CKZXQRSZTZSZVEZVFZXEWPWRVGXEWPWRVHXEWPWRVIYCFPFLZJZYFHZQZYFRQZDYEVCZHZSZY
      GYEOZYMYGXDOZVDZTZCKZYORSZTZSZVEZQYDUUAVFQGFPYBYTXGYEQZXJYHXNYAYLYSUUBXHY
      FXIYGXGYEVJZUUBXHYFUUCVKZVMUUBXKYIXMYKDUUBXHYFRUUCVLUUBXLYJXGYEVNVKVOUUBX
      OYMXTYRUUBXIYGXGYEUUBVPUUDVQZUUBXSYQXQYORUUBXRYPCUUBXOYMXQYOUUEUUBXPYNUUB
      XIYGXDUUDVRWCZVSVTUUFWAVSWBWDYCUUAWEWFWGWHWIWJWKWL $.

    $( The Teichm&uuml;ller-Tukey Lemma ~ ttukey stated with the "choice" as an
       antecedent (the hypothesis ` U. A e. dom card ` says that ` U. A ` is
       well-orderable).  (Contributed by Mario Carneiro, 15-May-2015.) $)
    ttukeyg $p |- ( ( U. A e. dom card /\ A =/= (/) /\
      A. x ( x e. A <-> ( ~P x i^i Fin ) C_ A ) )
        -> E. x e. A A. y e. A -. x C. y ) $=
      ( vz cuni ccrd cdm wcel c0 wne cv cpw cfn cin wss wb wal wpss wn wrex wex
      wral wi n0 w3a wa ttukey2g simpr reximi syl 3exp exlimdv syl5bi 3imp ) CE
      FGHZCIJZAKZCHUQLMNCOPAQZUQBKRSBCUBZACTZUPDKZCHZDUAUOURUTUCZDCUDUOVBVCDUOV
      BURUTUOVBURUEVAUQOZUSUFZACTUTABCVAUGVEUSACVDUSUHUIUJUKULUMUN $.
  $}

  ${
    $d x y A $.
    ttukey.1 $e |- A e. _V $.
    $( The Teichm&uuml;ller-Tukey Lemma, an Axiom of Choice equivalent.  If
       ` A ` is a nonempty collection of finite character, then ` A ` has a
       maximal element with respect to inclusion.  Here "finite character"
       means that ` x e. A ` iff every finite subset of ` x ` is in ` A ` .
       (Contributed by Mario Carneiro, 15-May-2015.) $)
    ttukey $p |- ( ( A =/= (/) /\ A. x ( x e. A <-> ( ~P x i^i Fin ) C_ A ) )
       -> E. x e. A A. y e. A -. x C. y ) $=
      ( cuni ccrd cdm wcel c0 wne cv cpw cfn cin wss wb wal wpss wn cvv ttukeyg
      wral wrex uniex numth3 ax-mp mp3an1 ) CEZFGHZCIJAKZCHUJLMNCOPAQUJBKRSBCUB
      ACUCUHTHUICDUDUHTUEUFABCUAUG $.
  $}

  ${
    $d F w y z $.  $d K w y z $.  $d g w y $.  $d s w y $.  $d w x y z $.
    axdclem.1 $e |- F = ( rec ( ( y e. _V |->
                            ( g ` { z | y x z } ) ) , s ) |` _om ) $.
    $( Lemma for ~ axdc .  (Contributed by Mario Carneiro, 25-Jan-2013.) $)
    axdclem $p |- ( ( A. y e. ~P dom x ( y =/= (/) -> ( g ` y ) e. y )
      /\ ran x C_ dom x /\ E. z ( F ` K ) x z ) ->
      ( K e. _om -> ( F ` K ) x ( F ` suc K ) ) ) $=
      ( vw cv c0 wne cfv wcel wss wbr cab wceq fvex nfcv wi cdm cpw crn wex w3a
      wral csuc neeq1 abn0 bitrdi eleq2 breq2 cbvabv eleq2i bitr4di elab breq2d
      com fveq2 bitrd imbi12d rspcv vex brelrn abssi sstr mpan dmex elpw2 syl11
      sylibr 3imp cvv breq1 abbidv fveq2d frsucmpt mpan2 syl5ibrcom ) BJZKLZWAD
      JZMZWANZUAZBAJZUBZUCZUGZWGUDZWHOZFEMZCJZWGPZCUEZUFWMFUHEMZWGPFUSNZWMWOCQZ
      WCMZWGPZWJWLWPXAWSWINZWJWPXAUAZWLWFXCBWSWIWAWSRZWBWPWEXAXDWBWSKLWPWAWSKUI
      WOCUJUKXDWEWMWDWGPZXAXDWEWDWMIJZWGPZIQZNZXEXDWEWDWSNXIWAWSWDULXHWSWDXGWOI
      CXFWNWMWGUMUNUOUPXGXEIWDWAWCSXFWDWMWGUMUQUKXDWDWTWMWGWAWSWCUTURVAVBVCWLWS
      WHOZXBWSWKOWLXJWOCWKWMWNWGFESCVDVEVFWSWKWHVGVHWSWHWGAVDVIVJVLVKVMWRWQWTWM
      WGWRWTVNNWQWTRWSWCSBGJZFWAWNWGPZCQZWCMWTEVNBXKTBFTBWTTHWAWMRZXMWSWCXNXLWO
      CWAWMWNWGVOVPVQVRVSURVT $.
  $}

  ${
    $d F f n $.  $d F k n y z $.  $d f g n x $.  $d g k n s y $.
    $d g k n x y z $.
    axdclem2.1 $e |- F = ( rec ( ( y e. _V |->
                             ( g ` { z | y x z } ) ) , s ) |` _om ) $.
    $( Lemma for ~ axdc .  Using the full Axiom of Choice, we can construct a
       choice function ` g ` on ` ~P dom x ` .  From this, we can build a
       sequence ` F ` starting at any value ` s e. dom x ` by repeatedly
       applying ` g ` to the set ` ( F `` x ) ` (where ` x ` is the value from
       the previous iteration).  (Contributed by Mario Carneiro,
       25-Jan-2013.) $)
    axdclem2 $p |- ( E. z s x z -> ( ran x C_ dom x ->
       E. f A. n e. _om ( f ` n ) x ( f ` suc n ) ) ) $=
      ( cv c0 cfv wcel wi wbr wex csuc com cvv wceq vk wne cdm cpw wral crn wss
      w3a wfn cab cmpt crdg cres frfnom fneq1i mpbir a1i omex fnexd fveq2 suceq
      fveq2d breq12d fveq1i fr0g elv eqtri breq1i biimpri eximi axdclem syl3an3
      peano1 3com23 wa fvex brelrn ssel syl5 eldm syl6ib ad2antll peano2 3expia
      mpi com3r imp syld 3adantr2 ex finds2 com12 ralrimiv fveq1 ralbidv spcedv
      3exp vex dmex pwex ac4c exlimiiv ) BJZKUBXCEJZLXCMNBAJZUCZUDZUEZHJZCJZXEO
      ZCPZXEUFZXFUGZFJZDJZLZXOQZXPLZXEOZFRUEZDPZNNEXHXLXNYBXHXLXNUHZYAXOGLZXRGL
      ZXEOZFRUEDSGYCRGSGRUIZYCYGBSXCXJXEOCUJXDLUKZXIULRUMZRUIXIYHUNRGYIIUOUPUQR
      SMYCURUQUSYCYFFRXORMYCYFYFKGLZKQZGLZXEOZUAJZGLZYNQZGLZXEOZYQYPQZGLZXEOZYC
      FUAXOKTZYDYJYEYLXEXOKGUTUUBXRYKGXOKVAVBVCXOYNTZYDYOYEYQXEXOYNGUTUUCXRYPGX
      OYNVAVBVCXOYPTZYDYQYEYTXEXOYPGUTUUDXRYSGXOYPVAVBVCXHXNXLYMXLXHXNYJXJXEOZC
      PZYMXKUUECUUEXKYJXIXJXEYJKYILZXIKGYIIVDUUGXITHXISYHVEVFVGVHVIVJXHXNUUFUHK
      RMYMVMABCEGKHIVKWEVLVNYNRMZYCYRUUANZUUHXHXNUUIXLUUHXHXNVOZVOYRYQXJXEOCPZU
      UAXNYRUUKNUUHXHXNYRYQXFMZUUKYRYQXMMXNUULYOYQXEYNGVPYPGVPZVQXMXFYQVRVSCYQX
      EUUMVTWAWBUUHUUJUUKUUANUUJUUKUUHUUAXHXNUUKUUHUUANUUHYPRMXHXNUUKUHUUAYNWCA
      BCEGYPHIVKVSWDWFWGWHWIWJWKWLWMXPGTZXTYFFRUUNXQYDXSYEXEXOXPGWNXRXPGWNVCWOW
      PWQBXGEXFXEAWRWSWTXAXB $.
  $}

  ${
    $d f n x y z v g u w $.
    $( This theorem derives ~ ax-dc using ~ ax-ac and ~ ax-inf .  Thus, _AC_
       implies _DC_, but not vice-versa (so that ZFC is strictly stronger than
       ZF+DC).  (New usage is discouraged.)  (Contributed by Mario Carneiro,
       25-Jan-2013.) $)
    axdc $p |- ( ( E. y E. z y x z /\ ran x C_ dom x ) ->
       E. f A. n e. _om ( f ` n ) x ( f ` suc n ) ) $=
      ( vv vg vu vw cv wbr wex cfv com cvv cab cmpt crdg cres wceq crn cdm csuc
      wss wral wi breq2 cbvabv breq1 abbidv eqtrid fveq2d cbvmptv rdgeq1 reseq1
      weq mp2b axdclem2 exlimiv imp ) BJZCJZAJZKCLZBLVCUAVCUBUDZEJZDJZMVFUCVGMV
      CKENUEDLZVDVEVHUFBAFCDGEHOHJZIJZVCKZIPZGJZMZQZVARZNSZBVOFOFJZVBVCKZCPZVMM
      ZQZTVPWBVARZTVQWCNSTHFOVNWAHFUPZVLVTVMWDVLVIVBVCKZCPVTVKWEICVJVBVIVCUGUHW
      DWEVSCVIVRVBVCUIUJUKULUMVAVOWBUNVPWCNUOUQURUSUT $.
  $}

  $( An onto function implies dominance of domain over range.  Lemma 10.20 of
     [Kunen] p. 30.  This theorem uses the axiom of choice ~ ac7g .  The axiom
     of choice is not needed for finite sets, see ~ fodomfi .  See also
     ~ fodomnum .  (Contributed by NM, 23-Jul-2004.)  (Proof shortened by BJ,
     20-May-2024.) $)
  fodomg $p |- ( A e. V -> ( F : A -onto-> B -> B ~<_ A ) ) $=
    ( wcel ccrd cdm wfo cdom wbr wi numth3 fodomnum syl ) ADEAFGEABCHBAIJKADLAB
    CMN $.

  ${
    fodom.1 $e |- A e. _V $.
    $( An onto function implies dominance of domain over range.  (Contributed
       by NM, 23-Jul-2004.) $)
    fodom $p |- ( F : A -onto-> B -> B ~<_ A ) $=
      ( cvv wcel wfo cdom wbr wi fodomg ax-mp ) AEFABCGBAHIJDABCEKL $.
  $}

  ${
    $d x A $.
    $( The domain of a countable set is countable.  (Contributed by Thierry
       Arnoux, 29-Dec-2016.) $)
    dmct $p |- ( A ~<_ _om -> dom A ~<_ _om ) $=
      ( vx com cdom wbr cdm cvv cres dmresv wcel cv c1st cfv cmpt wfo wss resss
      ctex mpisyl domtr ssexg sylancr crn fvex eqid fnmpti dffn4 mpbi wrel wceq
      wfn relres reldm foeq3 mp2b mpbir fodomg ssdomg mpancom syl2anc eqbrtrrid
      wb ) ACDEZAFAGHZFZCDAIVCVEVDDEZVDCDEZVECDEVCVDGJZVDVEBVDBKZLMZNZOZVFVCVDA
      PZAGJZVHAGQZARZVDAGUAUBVLVDVKUCZVKOZVKVDUKVRBVDVJVKVILUDVKUEUFVDVKUGUHVDU
      IVEVQUJVLVRVBAGULBVDUMVEVQVDVKUNUOUPVDVEVKGUQSVDADEZVCVGVCVNVMVSVPVOVDAGU
      RSVDACTUSVEVDCTUTVA $.
  $}

  $( The range of a countable set is countable.  (Contributed by Thierry
     Arnoux, 29-Dec-2016.) $)
  rnct $p |- ( A ~<_ _om -> ran A ~<_ _om ) $=
    ( com cdom wbr ccnv cdm crn cnvct dmct df-rn breq1i biimpri 3syl ) ABCDAEZB
    CDNFZBCDZAGZBCDZAHNIRPQOBCAJKLM $.

  ${
    $d f A $.  $d f B $.
    $( Equivalence of an onto mapping and dominance for a nonempty set.
       Proposition 10.35 of [TakeutiZaring] p. 93.  (Contributed by NM,
       29-Jul-2004.) $)
    fodomb $p |- ( ( A =/= (/) /\ E. f f : A -onto-> B ) <->
                 ( (/) ~< B /\ B ~<_ A ) ) $=
      ( c0 wne cv wfo wa csdm wbr cdom wceq eqeq1d wb cvv wcel mpcom 0sdomg syl
      adantl wex cdm fof fdmd crn dm0rn0 forn syl5bb necon3bid biimpac vex dmex
      bitr3d eqeltrrdi fornex mpbird ex fodomg jca2 exlimdv sdomdomtr brrelex2i
      imp reldom mpbid fodomr jca impbii ) ADEZABCFZGZCUAZHDBIJZBAKJZHZVIVLVOVI
      VKVOCVIVKVMVNVIVKVMVIVKHVMBDEZVKVIVPVKADBDVKVJUBZDLZADLBDLZVKVQADVKABVJAB
      VJUCUDZMVRVJUEZDLVKVSVJUFVKWABDABVJUGMUHUMUIUJVKVMVPNZVIVKBOPZWBAOPZVKWCV
      KAVQOVTVJCUKULUNZABOVJUOQBORSTUPUQWDVKVNWEABVJOURQUSUTVCVOVIVLVODAIJZVIDB
      AVAVOWDWFVINVNWDVMBAKVDVBTAORSVEABCVFVGVH $.
  $}

  $( When assuming AC, weak and usual dominance coincide.  It is not known if
     this is an AC equivalent.  (Contributed by Stefan O'Rear, 11-Feb-2015.)
     (Revised by Mario Carneiro, 5-May-2015.) $)
  wdomac $p |- ( X ~<_* Y <-> X ~<_ Y ) $=
    ( cwdom wbr cvv wcel cdom relwdom brrelex2i reldom ccrd cdm numth3 wdomnumr
    wb syl pm5.21nii ) ABCDZBEFZABGDZABCHIABGJISBKLFRTOBEMABNPQ $.

  ${
    $d f x y A $.  $d f x y B $.
    brdom3.2 $e |- B e. _V $.
    $( Equivalence to a dominance relation.  (Contributed by NM,
       27-Mar-2007.) $)
    brdom3 $p |- ( A ~<_ B <-> E. f ( A. x E* y x f y /\
                 A. x e. A E. y e. B y f x ) ) $=
      ( cdom wbr cv wmo wal wrex wral wa wex c0 wceq cvv syl wss wfo wo wn csdm
      wi wne wcel wb reldom brrelex1i 0sdomg df-ne bitrdi biimpar fodomr ancoms
      syldan pm5.6 mpbi br0 nex exmo ax-gen rzal 0ex breq mobidv albidv rexbidv
      mtpor ralbidv anbi12d spcev sylancr wfun fofun wrel dffun6 simprbi wf jca
      dffo4 eximi jaoi cxp cin cdm wfn inss1 ssbri moimi relinxp mpbiran sylibr
      crn alimi funfnd rninxp biimpri anim12i df-fo inex1 dmex fodom inss2 dmss
      vex ax-mp dmxpss sstri ssdomg mp2 domtr mpan2 3syl exlimiv impbii ) CDGHZ
      AIZBIZEIZHZBJZAKZXTXSYAHZBDLZACMZNZEOZXRCPQZDCYAUAZEOZUBZYIXRYJUCZNYLUEXR
      YMUEXRYNPCUDHZYLXRYOYNXRYOCPUFZYNXRCRUGYOYPUHCDGUIUJCRUKSCPULUMUNYOXRYLDC
      EUOUPUQXRYJYLURUSYJYIYLYJXSXTPHZBJZAKZXTXSPHZBDLZACMZYIYRAYQBOYRYQBXSXTUT
      VAYQBVBVJVCUUAACVDYHYSUUBNEPVEYAPQZYDYSYGUUBUUCYCYRAUUCYBYQBXSXTYAPVFVGVH
      UUCYFUUAACUUCYEYTBDXTXSYAPVFVIVKVLVMVNYKYHEYKYDYGYKYAVOZYDDCYAVPUUDYAVQYD
      ABYAVRVSSYKDCYAVTYGBADCYAWBVSWAWCWDSYHXREYHYADCWEZWFZWGZCUUFUAZCUUGGHZXRY
      HUUFUUGWHZUUFWOCQZNUUHYDUUJYGUUKYDUUFYDXSXTUUFHZBJZAKZUUFVOZYCUUMAUULYBBU
      UFYAXSXTYAUUEWIWJWKWPUUOUUFVQUUNDCYAWLABUUFVRWMWNWQUUKYGBADCYAWRWSWTUUGCU
      UFXAWNUUGCUUFUUFYAUUEEXGXBXCXDUUIUUGDGHZXRDRUGUUGDTUUPFUUGUUEWGZDUUFUUETU
      UGUUQTYAUUEXEUUFUUEXFXHDCXIXJUUGDRXKXLCUUGDXMXNXOXPXQ $.

    $( An equivalence to a dominance relation.  (Contributed by NM,
       29-Mar-2007.) $)
    brdom5 $p |- ( A ~<_ B <->
  E. f ( A. x e. B E* y x f y /\ A. x e. A E. y e. B y f x ) ) $=
      ( cdom wbr cv wmo wral wrex wa wex wal cdm wcel wss sylibr cvv brdom3 cxp
      alral anim1i eximi sylbi cin wfo wfn crn wceq wrel wfun inss2 dmss dmxpss
      ax-mp sstri sseli inss1 ssbri moimi imim12i ralimi2 relinxp dffun7 funfnd
      jctil rninxp biimpri anim12i df-fo vex inex1 fodom ssdomg mp2 domtr mpan2
      dmex 3syl exlimiv impbii ) CDGHZAIZBIZEIZHZBJZADKZWFWEWGHBDLACKZMZENZWDWI
      AOZWKMZENWMABCDEFUAWOWLEWNWJWKWIADUCUDUEUFWLWDEWLWGDCUBZUGZPZCWQUHZCWRGHZ
      WDWLWQWRUIZWQUJCUKZMWSWJXAWKXBWJWQWJWQULZWEWFWQHZBJZAWRKZMWQUMWJXFXCWIXEA
      DWRWEWRQWEDQWIXEWRDWEWRWPPZDWQWPRWRXGRWGWPUNWQWPUOUQDCUPURZUSXDWHBWQWGWEW
      FWGWPUTVAVBVCVDDCWGVEVHABWQVFSVGXBWKBADCWGVIVJVKWRCWQVLSWRCWQWQWGWPEVMVNV
      TVOWTWRDGHZWDDTQWRDRXIFXHWRDTVPVQCWRDVRVSWAWBWC $.

    $( An equivalence to a dominance relation.  (Contributed by NM,
       28-Mar-2007.)  (Revised by NM, 16-Jun-2017.) $)
    brdom4 $p |- ( A ~<_ B <->
           E. f ( A. x e. B E* y e. A x f y /\ A. x e. A E. y e. B y f x ) ) $=
      ( cdom wbr cv wrmo wral wa wex wmo wal syl cdm crn wcel wss brdom3 anim1i
      wrex mormo alimi alral eximi sylbi cxp cin wfo wceq wrel wfun inss2 ax-mp
      wfn dmss dmxpss sstri sseli rnssi rnxpss inss1 ssbri anim12i moimi df-rmo
      3imtr4i imim12i ralimi2 relinxp jctil dffun9 sylibr funfnd rninxp biimpri
      df-fo vex inex1 dmex fodom cvv ssdomg mp2 domtr sylancl exlimiv impbii )
      CDGHZAIZBIZEIZHZBCJZADKZWMWLWNHBDUCACKZLZEMZWKWOBNZAOZWRLZEMWTABCDEFUAXCW
      SEXBWQWRXBWPAOWQXAWPAWOBCUDUEWPADUFPUBUGUHWSWKEWSCWNDCUIZUJZQZGHZXFDGHZWK
      WSXFCXEUKZXGWSXEXFUQZXERZCULZLXIWQXJWRXLWQXEWQXEUMZWLWMXEHZBXKJZAXFKZLXEU
      NWQXPXMWPXOADXFWLXFSWLDSWPXOXFDWLXFXDQZDXEXDTXFXQTWNXDUOZXEXDURUPDCUSUTZV
      AWMCSZWOLZBNWMXKSZXNLZBNWPXOYCYABYBXTXNWOXKCWMXKXDRCXEXDXRVBDCVCUTVAXEWNW
      LWMWNXDVDVEVFVGWOBCVHXNBXKVHVIVJVKDCWNVLVMABXEVNVOVPXLWRBADCWNVQVRVFXFCXE
      VSVOXFCXEXEWNXDEVTWAWBWCPDWDSXFDTXHFXSXFDWDWEWFCXFDWGWHWIWJ $.
  $}

  ${
    $d f g x y A v w z $.  $d f g x y B v w z $.
    brdom7disj.1 $e |- A e. _V $.
    brdom7disj.2 $e |- B e. _V $.
    brdom7disj.3 $e |- ( A i^i B ) = (/) $.
    $( An equivalence to a dominance relation for disjoint sets.  (Contributed
       by NM, 29-Mar-2007.)  (Revised by NM, 16-Jun-2017.) $)
    brdom7disj $p |- ( A ~<_ B <-> E. f ( A. x e. B E* y e. A { x , y } e. f
        /\ A. x e. A E. y e. B { y , x } e. f ) ) $=
      ( vv vz vw wbr cv wral wrex wa cpr wcel wceq cab cdom wrmo wex brdom4 cop
      vg weq wb wne cin incom eqtri disjne mp3an1 vex opthpr syl equcom anbi12i
      c0 bitr2di df-br a1i anbi12d rexbidva rexbidv rexcom zfpair2 eqeq1 anbi1d
      2rexbidv elab bitr4i adantr breq1 breq2 ceqsrex2v rmobidva ralbiia ancoms
      bitrd eqcom ancom 3bitr4g bicomi syl5bb csn snex simpl ss2abi df-sn ssexi
      sseqtrri ab2rexex2 eleq2 rmobidv ralbidv spcev exlimiv copab preq1 eleq1d
      syl2anbr preq2 eqid brab rmobii ralbii rexbii df-opab vuniex prid1 elunii
      cvv cuni mpan adantl prid2 eqeltrri abexex eqeltri breq impbii bitri ) CD
      UALAMZBMZUFMZLZBCUBZADNZYFYEYGLZBDOZACNZPZUFUCZYEYFQZEMZRZBCUBZADNZYFYEQZ
      YQRZBDOZACNZPZEUCZABCDUFGUDYOUUFYNUUFUFYJYPIMZJMZKMZQZSZUUHUUIUEYGRZPZJDO
      KCOZITZRZBCUBZADNZUUAUUORZBDOZACNZUUFYMUUQYIADYEDRZUUPYHBCUVBYFCRZPUUPJAU
      GZKBUGZPZUUHUUIYGLZPZKCOZJDOZYHUVBUUPUVJUHUVCUVBUVJYPUUJSZUULPZKCOZJDOZUU
      PUVBUVIUVMJDUVBUVHUVLKCUVBUUICRZPZUVFUVKUVGUULUVPUVKAJUGZBKUGZPZUVFUVPYEU
      UIUIZUVKUVSUHDCUJZUTSZUVBUVOUVTUWACDUJUTDCUKHULZDCYEUUIUMUNYEYFUUHUUIAUOZ
      BUOZJUOZKUOZUPUQUVQUVDUVRUVEAJURBKURUSVAUVGUULUHUVPUUHUUIYGVBZVCVDVEVFUVN
      UVLJDOKCOZUUPUVLJKDCVGUUNUWIIYPABVHUUGYPSZUUMUVLKJCDUWJUUKUVKUULUUGYPUUJV
      IVJVKVLVMVAVNUVGYEUUIYGLYHJKYEYFDCUUHYEUUIYGVOUUIYFYEYGVPVQWAVRVSUUTYLACY
      ECRZUUSYKBDUWKYFDRZPUUSKAUGZJBUGZPZUVGPZJDOZKCOZYKUWKUUSUWRUHUWLUUSUUAUUJ
      SZUULPZJDOZKCOZUWKUWRUUNUXBIUUABAVHUUGUUASZUUMUWTKJCDUXCUUKUWSUULUUGUUAUU
      JVIVJVKVLUWKUXAUWQKCUWKUWTUWPJDUWKUUHDRZPZUWSUWOUULUVGUXEUUJUUASZUWNUWMPZ
      UWSUWOUXEUUHYEUIZUXFUXGUHUXDUWKUXHUWBUXDUWKUXHUWCDCUUHYEUMUNVTUUHUUIYFYEU
      WFUWGUWEUWDUPUQUUAUUJWBUWMUWNWCWDUULUVGUHUXEUVGUULUWHWEVCVDVEVFWFVNUVGUUH
      YEYGLYKKJYEYFCDUUIYEUUHYGVPUUHYFYEYGVOVQWAVEVSUUEUURUVAPEUUOUUMKJICDFGUUM
      ITZUUJWGZUUJWHUXIUUKITUXJUUMUUKIUUKUULWIWJIUUJWKWMWLWNYQUUOSZYTUURUUDUVAU
      XKYSUUQADUXKYRUUPBCYQUUOYPWOWPWQUXKUUCUUTACUXKUUBUUSBDYQUUOUUAWOVFWQVDWRX
      CWSUUEYOEYTYEYFUUIUUHQZYQRZKJWTZLZBCUBZADNZYFYEUXNLZBDOZACNZYOUUDUXPYSADU
      XOYRBCUXMYEUUHQZYQRYRKJYEYFUXNUWDUWEUWMUXLUYAYQUUIYEUUHXAXBUWNUYAYPYQUUHY
      FYEXDXBUXNXEZXFXGXHUXSUUCACUXRUUBBDUXMYFUUHQZYQRUUBKJYFYEUXNUWEUWDUVEUXLU
      YCYQUUIYFUUHXAXBUVDUYCUUAYQUUHYEYFXDXBUYBXFXIXHYNUXQUXTPUFUXNUXNUUGUUIUUH
      UEZSZUXMPZJUCZKUCITXNUXMKJIXJUYGKIYQXOZEXKZUYFUUIUYHRZJUXMUYJUYEUUIUXLRUX
      MUYJUUIUUHUWGXLUUIUXLYQXMXPXQWSUYFJIUYHUYIUXMUUHUYHRZUYEUUHUXLRUXMUYKUUIU
      UHUWFXRUUHUXLYQXMXPXQUYFITUYEITZUYDWGUYLXNIUYDWKUYDWHXSUYFUYEIUYEUXMWIWJW
      LXTXTYAYGUXNSZYJUXQYMUXTUYMYIUXPADUYMYHUXOBCYEYFYGUXNYBWPWQUYMYLUXSACUYMY
      KUXRBDYFYEYGUXNYBVFWQVDWRXCWSYCYD $.

    $( An equivalence to a dominance relation for disjoint sets.  (Contributed
       by NM, 5-Apr-2007.) $)
    brdom6disj $p |- ( A ~<_ B <-> E. f ( A. x e. B E* y
      { x , y } e. f /\ A. x e. A E. y e. B { y , x } e. f ) ) $=
      ( vv vz vw wbr cv wral wrex wa cpr wcel wceq cab cdom wmo wex cop zfpair2
      vg brdom5 eqeq1 anbi1d df-br anbi2i bitr4di 2rexbidv wi weq wne wb cin c0
      elab incom eqtri disjne mp3an1 vex opthpr syl breq12 biimprd impd adantrd
      syl6bi ex rexlimdvv syl5bi moimdv ralimia ancoms eqcom 3bitr4g bicomi a1i
      ancom anbi12d rexbidva rexbidv syl5bb breq2 breq1 ceqsrex2v bitrd ralbiia
      adantr biimpri csn snex simpl ss2abi df-sn sseqtrri ssexi ab2rexex2 eleq2
      mobidv ralbidv spcev syl2an exlimiv copab preq1 eleq1d preq2 mobii ralbii
      eqid brab rexbii cvv df-opab cuni vuniex prid1 elunii mpan prid2 eqeltrri
      adantl abexex eqeltri breq syl2anbr impbii bitri ) CDUALAMZBMZUFMZLZBUBZA
      DNZYOYNYPLZBDOZACNZPZUFUCZYNYOQZEMZRZBUBZADNZYOYNQZUUFRZBDOZACNZPZEUCZABC
      DUFGUGUUDUUOUUCUUOUFYSUUEIMZJMZKMZQZSZUUQUURUDYPRZPZJDOKCOZITZRZBUBZADNZU
      UJUVDRZBDOZACNZUUOUUBYRUVFADYNDRZUVEYQBUVEUUEUUSSZUUQUURYPLZPZJDOKCOZUVKY
      QUVCUVOIUUEABUEUUPUUESZUVBUVNKJCDUVPUVBUVLUVAPUVNUVPUUTUVLUVAUUPUUEUUSUHU
      IUVMUVAUVLUUQUURYPUJZUKULUMUTUVKUVNYQKJCDUVKUURCRZUVNYQUNZUUQDRZUVKUVRUVS
      UVKUVRPZUVLUVMYQUWAUVLAJUOBKUOPZUVMYQUNUWAYNUURUPZUVLUWBUQDCURZUSSZUVKUVR
      UWCUWDCDURUSDCVAHVBZDCYNUURVCVDYNYOUUQUURAVEZBVEZJVEZKVEZVFVGUWBYQUVMYNUU
      QYOUURYPVHVIVLVJVMVKVNVOVPVQUVJUUBUVIUUAACYNCRZUVHYTBDUWKYODRZPUVHKAUOZJB
      UOZPZUVMPZJDOZKCOZYTUWKUVHUWRUQUWLUVHUUJUUSSZUVAPZJDOZKCOZUWKUWRUVCUXBIUU
      JBAUEUUPUUJSZUVBUWTKJCDUXCUUTUWSUVAUUPUUJUUSUHUIUMUTUWKUXAUWQKCUWKUWTUWPJ
      DUWKUVTPZUWSUWOUVAUVMUXDUUSUUJSZUWNUWMPZUWSUWOUXDUUQYNUPZUXEUXFUQUVTUWKUX
      GUWEUVTUWKUXGUWFDCUUQYNVCVDVRUUQUURYOYNUWIUWJUWHUWGVFVGUUJUUSVSUWMUWNWCVT
      UVAUVMUQUXDUVMUVAUVQWAWBWDWEWFWGWMUVMUUQYNYPLYTKJYNYOCDUURYNUUQYPWHUUQYOY
      NYPWIWJWKWEWLWNUUNUVGUVJPEUVDUVBKJICDFGUVBITZUUSWOZUUSWPUXHUUTITUXIUVBUUT
      IUUTUVAWQWRIUUSWSWTXAXBUUFUVDSZUUIUVGUUMUVJUXJUUHUVFADUXJUUGUVEBUUFUVDUUE
      XCXDXEUXJUULUVIACUXJUUKUVHBDUUFUVDUUJXCWFXEWDXFXGXHUUNUUDEUUIYNYOUURUUQQZ
      UUFRZKJXIZLZBUBZADNZYOYNUXMLZBDOZACNZUUDUUMUXOUUHADUXNUUGBUXLYNUUQQZUUFRU
      UGKJYNYOUXMUWGUWHUWMUXKUXTUUFUURYNUUQXJXKUWNUXTUUEUUFUUQYOYNXLXKUXMXOZXPX
      MXNUXRUULACUXQUUKBDUXLYOUUQQZUUFRUUKKJYOYNUXMUWHUWGKBUOUXKUYBUUFUURYOUUQX
      JXKJAUOUYBUUJUUFUUQYNYOXLXKUYAXPXQXNUUCUXPUXSPUFUXMUXMUUPUURUUQUDZSZUXLPZ
      JUCZKUCITXRUXLKJIXSUYFKIUUFXTZEYAZUYEUURUYGRZJUXLUYIUYDUURUXKRUXLUYIUURUU
      QUWJYBUURUXKUUFYCYDYGXHUYEJIUYGUYHUXLUUQUYGRZUYDUUQUXKRUXLUYJUURUUQUWIYEU
      UQUXKUUFYCYDYGUYEITUYDITZUYCWOUYKXRIUYCWSUYCWPYFUYEUYDIUYDUXLWQWRXAYHYHYI
      YPUXMSZYSUXPUUBUXSUYLYRUXOADUYLYQUXNBYNYOYPUXMYJXDXEUYLUUAUXRACUYLYTUXQBD
      YOYNYPUXMYJWFXEWDXFYKXHYLYM $.
  $}

  $( Once we allow AC, the "strongest" definition of finite set becomes
     equivalent to the "weakest" and the entire hierarchy collapses.
     (Contributed by Stefan O'Rear, 29-Oct-2014.) $)
  fin71ac $p |- Fin7 = Fin $=
    ( wac cfin7 cfn wceq axac3 dfacfin7 mpbi ) ABCDEFG $.

  $( An image of a function under a set is dominated by the set.  Proposition
     10.34 of [TakeutiZaring] p. 92.  (Contributed by NM, 23-Jul-2004.) $)
  imadomg $p |- ( A e. B -> ( Fun F -> ( F " A ) ~<_ A ) ) $=
    ( wcel wfun cima cres cdm cdom wbr wa crn df-ima cvv resfunexg dmexd funres
    wfo funforn expcom sylib adantr fodomg eqbrtrid wss cin dmres inss1 eqsstri
    sylc ssdomg mpi domtr sylan2 syld ) ABDZCEZCAFZCAGZHZIJZURAIJZUQUPVAUQUPKZU
    RUSLZUTICAMVCUTNDUTVDUSRZVDUTIJVCUSNCABOPUQVEUPUQUSEVEACQUSSUAUBUTVDUSNUCUJ
    UDTVAUPVBUPVAUTAIJZVBUPUTAUEVFUTACHZUFACAUGAVGUHUIUTABUKULURUTAUMUNTUO $.

  $( The image by a function of a countable set is countable.  (Contributed by
     Thierry Arnoux, 27-Mar-2018.) $)
  fimact $p |- ( ( A ~<_ _om /\ Fun F ) -> ( F " A ) ~<_ _om ) $=
    ( com cdom wbr wfun wa cima cvv wcel ctex imadomg sylan simpl domtr syl2anc
    imp ) ACDEZBFZGBAHZADEZRTCDERAIJZSUAAKUBSUAAIBLQMRSNTACOP $.

  $( The range of a function is dominated by its domain.  (Contributed by NM,
     1-Sep-2004.) $)
  fnrndomg $p |- ( A e. B -> ( F Fn A -> ran F ~<_ A ) ) $=
    ( wfn crn wfo wcel cdom wbr dffn4 fodomg syl5bi ) CADACEZCFABGMAHIACJAMCBKL
    $.

  $( If the domain of a function is countable, the function is countable.
     (Contributed by Thierry Arnoux, 29-Dec-2016.) $)
  fnct $p |- ( ( F Fn A /\ A ~<_ _om ) -> F ~<_ _om ) $=
    ( wfn com cdom wbr wa crn cxp cvv wcel wss ctex adantl adantr sylc sylancom
    cdm domtr syl2anc wfun wb fndm eleq1d fnfun funrnex xpexd simpl dffn3 sylib
    mpbird wf fssxp syl ssdomg cen xpdom1g omex fnrndomg xpdom2g sylancr xpomen
    domentr sylancl ) BACZADEFZGZBABHZIZEFZVIDEFZBDEFVGVIJKBVILZVJVGAVHJJVFAJKZ
    VEAMNZVGBRZJKZBUAZVHJKZVGVPVMVNVEVPVMUBVFVEVOAJABUCUDOUKVEVQVFABUEOJBUFPZUG
    VGAVHBULZVLVGVEVTVEVFUHZABUIUJAVHBUMUNBVIJUOPVGVIDDIZEFZWBDUPFVKVGVIDVHIZEF
    ZWDWBEFZWCVEVFVRWEVSADVHJUQQVGDJKVHDEFZWFURVEVFVHAEFZWGVGVMVEWHVNWAAJBUSPVH
    ADSQVHDDJUTVAVIWDWBSTVBVIWBDVCVDBVIDST $.

  ${
    $d x A $.
    $( A countable mapping set is countable.  (Contributed by Thierry Arnoux,
       29-Dec-2016.) $)
    mptct $p |- ( A ~<_ _om -> ( x e. A |-> B ) ~<_ _om ) $=
      ( com cdom wbr cmpt wfun cdm funmpt cvv wcel wss ctex eqid dmmptss ssdomg
      mpisyl domtr mpancom wfn funfn fnct sylanb sylancr ) BDEFZABCGZHZUGIZDEFZ
      UGDEFZABCJUIBEFZUFUJUFBKLUIBMULBNABCUGUGOPUIBKQRUIBDSTUHUGUIUAUJUKUGUBUIU
      GUCUDUE $.
  $}

  ${
    $d f g x y z A $.  $d f g y z B $.  $d f g x y z C $.  $d f y z T $.
    $d f ph $.
    iunfo.1 $e |- T = U_ x e. A ( { x } X. B ) $.
    $( Existence of an onto function from a disjoint union to a union.
       (Contributed by Mario Carneiro, 24-Jun-2013.)  (Revised by Mario
       Carneiro, 18-Jan-2014.) $)
    iunfo $p |- ( 2nd |` T ) : T -onto-> U_ x e. A B $=
      ( vy vz ciun c2nd wfo wfn wceq cvv wss mp2an cv cfv wrex wcel eliun fo2nd
      cres crn wf fof ffn mp2b ssv fnssres cima df-ima eleq2i bitri xp2nd eleq1
      csn cxp syl5ib reximdv syl5bi impcom rexlimiva nfiu1 nfcxfr nfv nfrex cop
      wa ssiun2 adantr simpr vsnid opelxp mpbiran sylibr sseldd eleqtrrdi op2nd
      fveqeq2 rspcev sylancl ex rexlimi impbii wb fvelimab 3bitr4i eqriv eqtr3i
      vex df-fo mpbir2an ) DABCHZIDUBZJWNDKZWNUCZWMLIMKZDMNZWOMMIJMMIUDWQUAMMIU
      EMMIUFUGZDUHZMDIUIOIDUJZWPWMIDUKFXAWMGPZIQZFPZLZGDRZXDCSZABRZXDXASZXDWMSX
      FXHXEXHGDXEXBDSZXHXJXBAPZUPZCUQZSZABRZXEXHXJXBABXMHZSXODXPXBEULAXBBXMTUMX
      EXNXGABXNXCCSXEXGXBXLCUNXCXDCUOURUSUTVAVBXGXFABXEAGDADXPEABXMVCVDXEAVEVFX
      KBSZXGXFXQXGVHZXKXDVGZDSXSIQXDLZXFXRXSXPDXRXMXPXSXQXMXPNXGABXMVIVJXRXGXSX
      MSZXQXGVKYAXKXLSXGAVLXKXDXLCVMVNVOVPEVQXKXDAWJFWJVRXEXTGXSDXBXSXDIVSVTWAW
      BWCWDWQWRXIXFWEWSWTGMDXDIWFOAXDBCTWGWHWIDWMWNWKWL $.

    iundomg.2 $e |- ( ph -> U_ x e. A ( C ^m B ) e. AC_ A ) $.
    iundomg.3 $e |- ( ph -> A. x e. A B ~<_ C ) $.
    $( An upper bound for the cardinality of a disjoint indexed union, with
       explicit choice principles. ` B ` depends on ` x ` and should be thought
       of as ` B ( x ) ` .  (Contributed by Mario Carneiro, 1-Sep-2015.) $)
    iundom2g $p |- ( ph -> T ~<_ ( A X. C ) ) $=
      ( vy vg cfv wf1 wral wa wcel wb cvv syl wceq vf vz cmap co ciun cv wf csb
      wex cxp cdom wbr wacn brdomi adantl f1f reldom brrelex2i brrelex1i elmapd
      wrex syl5ibr ssiun2 adantr sseld syld ancrd eximdv df-rex sylibr ralimiaa
      wss mpd nfv nfiu1 nfcv nfcsb1v nff1 nfrex weq csbeq1a f1eq2 rexbidv sylib
      cbvralw f1eq1 acni3 syl2anc fveq2 bitrd c0 wn wne acnrcl r19.2z rexlimivw
      df-ne expcom xpexg syl6an syl5bir xpeq1 0xp 0ex eqeltri eqeltrdi pm2.61d2
      wi c1st c2nd cop csn eleq2i eliun bitri r19.29 xp1st ad2antll elsni simpl
      eqeltrd fveq2d fveq1d ad2antrl xp2nd ffvelrnd opelxpd rexlimiva ex syl5bi
      fvex opth simpr eqeq2d djussxp eqsstri simprl sselid simpll csbeq1d nfel2
      rspc sylc eqcomd eleqtrd rexlimi adantrr ralrimiv eleq12d rspccva adantrl
      sylan eleqtrrd f1fveq syl12anc bitr3d pm5.32da simprr xpopth syl5bb dom2d
      imp syl5com adantld exlimdv ) ACBCEDUCUDZUEZUAUFZUGZBJUFZDUHZEUVJUVHLZMZJ
      CNZOZUAUIZFCEUJZUKULZAUVGCUMPZUVKEKUFZMZKUVGVAZJCNZUVPHADEUVTMZKUVGVAZBCN
      ZUWCADEUKULZBCNZUWFIUWGUWEBCBUFZCPZUWGOZUVTUVGPZUWDOZKUIZUWEUWKUWDKUIZUWN
      UWGUWOUWJDEKUNUOUWKUWDUWMKUWKUWDUWLUWKUWDUVTUVFPZUWLUWDUWPUWKDEUVTUGZDEUV
      TUPUWGUWPUWQQUWJUWGEDUVTRRDEUKUQURZDEUKUQUSUTUOVBUWKUVFUVGUVTUWJUVFUVGVLU
      WGBCUVFVCVDVEVFVGVHVMUWDKUVGVIVJVKSUWEUWBBJCUWEJVNUWABKUVGBCUVFVOBUVKEUVT
      BUVTVPBUVJDVQZBEVPZVRVSBJVTZUWDUWAKUVGUXADUVKTZUWDUWAQBUVJDWAZDUVKEUVTWBS
      WCWEWDUWAUVMJKCUAUVGUVKEUVTUVLWFWGWHAUVOUVRUAAUVNUVRUVIUVNDEUWIUVHLZMZBCN
      ZAUVRUXEUVMBJCUXEJVNBUVKEUVLBUVLVPUWSUWTVRUXAUXEDEUVLMZUVMUXAUXDUVLTUXEUX
      GQUWIUVJUVHWIDEUXDUVLWFSUXAUXBUXGUVMQUXCDUVKEUVLWBSWJWEAUVQRPZUXFUVRACWKT
      ZUXHUXIWLCWKWMZAUXHCWKWQACRPZUXJERPZUXHAUVSUXKHCUVGWNSAUWHUXJUXLXHIUXJUWH
      UXLUXJUWHOUWGBCVAUXLUWGBCWOUWGUXLBCUWRWPSWRSCERRWSWTXAUXIUVQWKEUJZRCWKEXB
      UXMWKREXCXDXEXFXGUXFJUBFUVQUVJXILZUVJXJLZUXNUVHLZLZXKZUBUFZXILZUXSXJLZUXT
      UVHLZLZXKZRUVJFPZUVJUWIXLZDUJZPZBCVAZUXFUXRUVQPZUYEUVJBCUYGUEZPUYIFUYKUVJ
      GXMBUVJCUYGXNXOZUXFUYIUYJUXFUYIOZUXEUYHOZBCVAZUYJUXEUYHBCXPZUYNUYJBCUWJUY
      NOZUXNUXQCEUYQUXNUWICUYQUXNUYFPZUXNUWITUYHUYRUWJUXEUVJUYFDXQXRUXNUWIXSSZU
      WJUYNXTYAUYQUXQUXOUXDLEUYQUXOUXPUXDUYQUXNUWIUVHUYSYBYCUYQDEUXOUXDUXEDEUXD
      UGUWJUYHDEUXDUPYDUYHUXODPUWJUXEUVJUYFDYEXRZYFYAYGYHSYIYJUXFUYEUXSFPZOZUXR
      UYDTZJUBVTZQVUCUXNUXTTZUXQUYCTZOZUXFVUBOZVUDUXNUXQUXTUYCUVJXIYKUXOUXPYKYL
      VUHVUGVUEUXOUYATZOZVUDVUHVUEVUFVUIVUHVUEOZUXQUYAUXPLZTZVUFVUIVUKVULUYCUXQ
      VUKUYAUXPUYBVUKUXNUXTUVHVUHVUEYMZYBYCYNVUKBUXNDUHZEUXPMZUXOVUOPZUYAVUOPVU
      MVUIQVUKUXNCPZUXFVUPVUKUVJCRUJZPZVURVUHVUTVUEVUHFVUSUVJFUYKVUSGBCDYOYPZUX
      FUYEVUAYQYRZVDUVJCRXQSUXFVUBVUEYSUXEVUPBUXNCBVUOEUXPBUXPVPBUXNDVQZUWTVRUW
      IUXNTZUXEDEUXPMZVUPVVDUXDUXPTUXEVVEQUWIUXNUVHWIDEUXDUXPWFSVVDDVUOTZVVEVUP
      QBUXNDWAZDVUOEUXPWBSWJUUBUUCVUHVUQVUEUXFUYEVUQVUAUXFUYEVUQUYEUYIUXFVUQUYL
      UXFUYIVUQUYMUYOVUQUYPUYNVUQBCBUXOVUOVVCUUAUWJUYNVUQUYQUXODVUOUYTUYQVVDVVF
      UYQUXNUWIUYSUUDVVGSUUEYIUUFSYIYJZUVBUUGVDVUKUYABUXTDUHZVUOVUHUYAVVIPZVUEU
      XFVUAVVJUYEUXFVUQJFNVUAVVJUXFVUQJFVVHUUHVUQVVJJUXSFVUDUXOUYAVUOVVIUVJUXSX
      JWIVUDBUXNUXTDUVJUXSXIWIYTUUIUUJUULUUKVDVUKBUXNUXTDVUNYTUUMVUOEUXOUYAUXPU
      UNUUOUUPUUQVUHVUTUXSVUSPVUJVUDQVVBVUHFVUSUXSVVAUXFUYEVUAUURYRUVJUXSCRCRUU
      SWHWJUUTYIUVAUVCXAUVDUVEVM $.

    iundomg.4 $e |- ( ph -> ( A X. C ) e. AC_ U_ x e. A B ) $.
    $( An upper bound for the cardinality of an indexed union, with explicit
       choice principles. ` B ` depends on ` x ` and should be thought of as
       ` B ( x ) ` .  (Contributed by Mario Carneiro, 1-Sep-2015.) $)
    iundomg $p |- ( ph -> U_ x e. A B ~<_ ( A X. C ) ) $=
      ( ciun cdom wbr cxp wacn wcel c2nd cres wfo iundom2g acndom2 iunfo mpisyl
      sylc fodomacn domtr syl2anc ) ABCDKZFLMZFCENZLMZUHUJLMAFUHOZPZFUHQFRZSUIA
      UKUJULPUMABCDEFGHITZJUHFUJUAUDBCDFGUBFUHUNUEUCUOUHFUJUFUG $.
  $}

  ${
    $d x A $.  $d x B $.
    $( An upper bound for the cardinality of an indexed union. ` C ` depends on
       ` x ` and should be thought of as ` C ( x ) ` .  (Contributed by NM,
       26-Mar-2006.) $)
    iundom $p |- ( ( A e. V /\ A. x e. A C ~<_ B ) ->
        U_ x e. A C ~<_ ( A X. B ) ) $=
      ( wcel cdom wbr wral wa cxp ciun cmap wacn cvv iunexg numth3 numacn sylc
      reldom cv csn eqid ccrd cdm simpl ovex rgenw sylancl syl brrelex1i ralimi
      co simpr sylan2 iundom2g brrelex2i 3syl iundomg ) BEFZDCGHZABIZJZABDCABAU
      AUBDKLZVDUCZVCUTABCDMUMZLZUDUEZFZVGBNFUTVBUFZVCVGOFZVIVCUTVFOFZABIVKVJVLA
      BCDMUGUHABVFEOPUIVGOQUJBEVGRSZUTVBUNZVCABDLZOFZBCKZVHFZVQVONFVBUTDOFZABIV
      PVAVSABDCGTUKULABDEOPUOVCVDVQGHVQOFVRVCABDCVDVEVMVNUPVDVQGTUQVQOQURVOOVQR
      SUS $.

    $( An upper bound for the cardinality of a union.  Theorem 10.47 of
       [TakeutiZaring] p. 98.  (Contributed by NM, 25-Mar-2006.)  (Proof
       shortened by Mario Carneiro, 1-Sep-2015.) $)
    unidom $p |- ( ( A e. V /\ A. x e. A x ~<_ B ) -> U. A ~<_ ( A X. B ) ) $=
      ( wcel cv cdom wbr wral wa cuni ciun cxp uniiun iundom eqbrtrid ) BDEAFZC
      GHABIJBKABQLBCMGABNABCQDOP $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y F $.
    uniimadom.1 $e |- A e. _V $.
    uniimadom.2 $e |- B e. _V $.
    $( An upper bound for the cardinality of the union of an image.  Theorem
       10.48 of [TakeutiZaring] p. 99.  (Contributed by NM, 25-Mar-2006.) $)
    uniimadom $p |- ( ( Fun F /\ A. x e. A ( F ` x ) ~<_ B ) ->
                 U. ( F " A ) ~<_ ( A X. B ) ) $=
      ( vy wfun cv cdom wbr wral cxp cvv wcel adantr wi wrex syl syl2anc cfv wa
      cima cuni funimaex wceq fvelima ex breq1 biimpd reximi r19.36v syl6 com23
      imp ralrimiv unidom imadomg ax-mp xpdom1 domtr ) DHZAIDUAZCJKZABLZUBZDBUC
      ZUDZVGCMZJKZVIBCMZJKZVHVKJKVFVGNOZGIZCJKZGVGLVJVBVMVEDBEUEPVFVOGVGVBVEVNV
      GOZVOQVBVPVEVOVBVPVCVNUFZABRZVEVOQZVBVPVRAVNBDUGUHVRVDVOQZABRVSVQVTABVQVD
      VOVCVNCJUIUJUKVDVOABULSUMUNUOUPGVGCNUQTVBVLVEVBVGBJKZVLBNOVBWAQEBNDURUSVG
      BCFUTSPVHVIVKVAT $.
  $}

  ${
    $d x z A $.  $d x z B $.  $d z F $.
    uniimadomf.1 $e |- F/_ x F $.
    uniimadomf.2 $e |- A e. _V $.
    uniimadomf.3 $e |- B e. _V $.
    $( An upper bound for the cardinality of the union of an image.  Theorem
       10.48 of [TakeutiZaring] p. 99.  This version of ~ uniimadom uses a
       bound-variable hypothesis in place of a distinct variable condition.
       (Contributed by NM, 26-Mar-2006.) $)
    uniimadomf $p |- ( ( Fun F /\ A. x e. A ( F ` x ) ~<_ B ) ->
                 U. ( F " A ) ~<_ ( A X. B ) ) $=
      ( vz cv cfv cdom wbr wral wfun cima cuni cxp nfv nfcv nffv nfbr weq fveq2
      breq1d cbvralw uniimadom sylan2b ) AIZDJZCKLZABMDNHIZDJZCKLZHBMDBOPBCQKLU
      JUMAHBUJHRAULCKAUKDEAUKSTAKSACSUAAHUBUIULCKUHUKDUCUDUEHBCDFGUFUG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cardinal number theorems using Axiom of Choice
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.
    cardval.1 $e |- A e. _V $.
    $( The value of the cardinal number function.  Definition 10.4 of
       [TakeutiZaring] p. 85.  See ~ cardval2 for a simpler version of its
       value.  (Contributed by NM, 21-Oct-2003.)  (Revised by Mario Carneiro,
       28-Apr-2015.) $)
    cardval $p |- ( card ` A ) = |^| { x e. On | x ~~ A } $=
      ( cvv wcel ccrd cdm cfv cen wbr con0 crab cint wceq numth3 cardval3 mp2b
      cv ) BDEBFGEBFHARBIJAKLMNCBDOABPQ $.

    $( Any set is equinumerous to its cardinal number.  Proposition 10.5 of
       [TakeutiZaring] p. 85.  (Contributed by NM, 22-Oct-2003.)  (Revised by
       Mario Carneiro, 28-Apr-2015.) $)
    cardid $p |- ( card ` A ) ~~ A $=
      ( cvv wcel ccrd cdm cfv cen wbr numth3 cardid2 mp2b ) ACDAEFDAEGAHIBACJAK
      L $.
  $}

  $( Any set is equinumerous to its cardinal number.  Closed theorem form of
     ~ cardid .  (Contributed by David Moews, 1-May-2017.) $)
  cardidg $p |- ( A e. B -> ( card ` A ) ~~ A ) $=
    ( wcel cvv ccrd cfv cen wbr elex cdm cardeqv eleq2i cardid2 sylbir syl ) AB
    CADCZAEFAGHZABIPAEJZCQRDAKLAMNO $.

  ${
    cardidd.1 $e |- ( ph -> A e. B ) $.
    $( Any set is equinumerous to its cardinal number.  Deduction form of
       ~ cardid .  (Contributed by David Moews, 1-May-2017.) $)
    cardidd $p |- ( ph -> ( card ` A ) ~~ A ) $=
      ( wcel ccrd cfv cen wbr cardidg syl ) ABCEBFGBHIDBCJK $.
  $}

  ${
    $d x y $.
    $( The cardinality function is a function with domain the well-orderable
       sets.  Assuming AC, this is the universe.  (Contributed by Mario
       Carneiro, 6-Jun-2013.)  (Revised by Mario Carneiro, 13-Sep-2013.) $)
    cardf $p |- card : _V --> On $=
      ( vy vx cv cen wbr con0 wrex cab ccrd wf cvv cardf2 cdm fdmi eqtr3i feq2i
      cardeqv mpbi ) ACBCDEAFGBHZFIJKFIJBALZSKFIIMSKSFITNQOPR $.
  $}

  $( Two sets are equinumerous iff their cardinal numbers are equal.  This
     important theorem expresses the essential concept behind "cardinality" or
     "size".  This theorem appears as Proposition 10.10 of [TakeutiZaring]
     p. 85, Theorem 7P of [Enderton] p. 197, and Theorem 9 of [Suppes] p. 242
     (among others).  The Axiom of Choice is required for its proof.  Related
     theorems are ~ hasheni and the finite-set-only ~ hashen .

     This theorem is also known as Hume's Principle.  Gottlob Frege's
     two-volume _Grundgesetze der Arithmetik_ used his Basic Law V to prove
     this theorem.  Unfortunately Basic Law V caused Frege's system to be
     inconsistent because it was subject to Russell's paradox (see ~ ru ).
     Later scholars have found that Frege primarily used Basic Law V to Hume's
     Principle.  If Basic Law V is replaced by Hume's Principle in Frege's
     system, much of Frege's work is restored. _Grundgesetze der Arithmetik_,
     once Basic Law V is replaced, proves "Frege's theorem" (the Peano axioms
     of arithmetic can be derived in second-order logic from Hume's principle).
     See https://plato.stanford.edu/entries/frege-theorem .  We take a
     different approach, using first-order logic and ZFC, to prove the Peano
     axioms of arithmetic.

     The theory of cardinality can also be developed without AC by introducing
     "card" as a primitive notion and stating this theorem as an axiom, as is
     done with the axiom for cardinal numbers in [Suppes] p. 111.  Finally, if
     we allow the Axiom of Regularity, we can avoid AC by defining the cardinal
     number of a set as the set of all sets equinumerous to it and having the
     least possible rank (see ~ karden ).  (Contributed by NM, 22-Oct-2003.) $)
  carden $p |- ( ( A e. C /\ B e. D ) ->
               ( ( card ` A ) = ( card ` B ) <-> A ~~ B ) ) $=
    ( wcel wa ccrd cfv wceq cen wbr numth3 ad2antrr cardid2 ensym 3syl ad2antlr
    cdm simpr cardidd eqbrtrd entr syl2anc ex carden2b impbid1 ) ACEZBDEZFZAGHZ
    BGHZIZABJKZUIULUMUIULFZAUJJKZUJBJKUMUNAGRZEZUJAJKUOUGUQUHULACLMANUJAOPUNUJU
    KBJUIULSUNBUPUHBUPEUGULBDLQTUAAUJBUBUCUDABUEUF $.

  $( Only the empty set has cardinality zero.  (Contributed by NM,
     23-Apr-2004.) $)
  cardeq0 $p |- ( A e. V -> ( ( card ` A ) = (/) <-> A = (/) ) ) $=
    ( wcel ccrd cfv c0 cen wbr cvv wb 0ex carden mpan2 card0 eqeq2i en0 3bitr3g
    wceq ) ABCZADEZFDEZRZAFGHZTFRAFRSFICUBUCJKAFBILMUAFTNOAPQ $.

  ${
    unsnen.1 $e |- A e. _V $.
    unsnen.2 $e |- B e. _V $.
    $( Equinumerosity of a set with a new element added.  (Contributed by NM,
       7-Nov-2008.) $)
    unsnen $p |- ( -. B e. A -> ( A u. { B } ) ~~ suc ( card ` A ) ) $=
      ( wcel wn csn cun ccrd cfv csuc cen cin wceq wbr disjsn word cardon cvv
      c0 onordi orddisj ax-mp cardid ensymi fvex en2sn mp2an unen mpanl12 mpan2
      wa sylbir df-suc breqtrrdi ) BAEFZABGZHZAIJZUSGZHZUSKLUPAUQMTNZURVALOZABP
      VBUSUTMTNZVCUSQVDUSARUAUSUBUCAUSLOUQUTLOZVBVDULVCUSAACUDUEBSEUSSEVEDAIUFB
      USSSUGUHAUSUQUTUIUJUKUMUSUNUO $.
  $}

  $( Two sets have the dominance relationship iff their cardinalities have the
     subset relationship.  Equation i of [Quine] p. 232.  (Contributed by NM,
     22-Oct-2003.)  (Revised by Mario Carneiro, 30-Apr-2015.) $)
  carddom $p |- ( ( A e. V /\ B e. W ) ->
               ( ( card ` A ) C_ ( card ` B ) <-> A ~<_ B ) ) $=
    ( wcel ccrd cdm cfv wss cdom wbr wb numth3 carddom2 syl2an ) ACEAFGZEBPEAFH
    BFHIABJKLBDEACMBDMABNO $.

  $( Two sets have the strict dominance relationship iff their cardinalities
     have the membership relationship.  Corollary 19.7(2) of [Eisenberg]
     p. 310.  (Contributed by NM, 22-Oct-2003.)  (Revised by Mario Carneiro,
     30-Apr-2015.) $)
  cardsdom $p |- ( ( A e. V /\ B e. W ) ->
               ( ( card ` A ) e. ( card ` B ) <-> A ~< B ) ) $=
    ( wcel ccrd cdm cfv csdm wbr wb numth3 cardsdom2 syl2an ) ACEAFGZEBOEAFHBFH
    EABIJKBDEACLBDLABMN $.

  $( Trichotomy law for dominance and strict dominance.  This theorem is
     equivalent to the Axiom of Choice.  (Contributed by NM, 4-Jan-2004.)
     (Revised by Mario Carneiro, 30-Apr-2015.) $)
  domtri $p |- ( ( A e. V /\ B e. W ) -> ( A ~<_ B <-> -. B ~< A ) ) $=
    ( wcel ccrd cdm cdom wbr csdm wn wb numth3 domtri2 syl2an ) ACEAFGZEBPEABHI
    BAJIKLBDEACMBDMABNO $.

  $( Trichotomy of equinumerosity and strict dominance.  This theorem is
     equivalent to the Axiom of Choice.  Theorem 8 of [Suppes] p. 242.
     (Contributed by NM, 4-Jan-2004.) $)
  entric $p |- ( ( A e. V /\ B e. W ) -> ( A ~< B \/ A ~~ B \/ B ~< A ) ) $=
    ( wcel wa csdm wbr cen wo wn cdom domtri biimprd brdom2 syl6ib con1d df-3or
    w3o orrd sylibr ) ACEBDEFZABGHZABIHZJZBAGHZJUCUDUFSUBUEUFUBUFUEUBUFKZABLHZU
    EUBUHUGABCDMNABOPQTUCUDUFRUA $.

  $( Trichotomy of dominance and strict dominance.  (Contributed by NM,
     4-Jan-2004.) $)
  entri2 $p |- ( ( A e. V /\ B e. W ) -> ( A ~<_ B \/ B ~< A ) ) $=
    ( wcel wa csdm wbr cen w3o cdom entric brdom2 orbi1i df-3or bitr4i sylibr
    wo ) ACEBDEFABGHZABIHZBAGHZJZABKHZUARZABCDLUDSTRZUARUBUCUEUAABMNSTUAOPQ $.

  $( Trichotomy of dominance.  This theorem is equivalent to the Axiom of
     Choice.  Part of Proposition 4.42(d) of [Mendelson] p. 275.  (Contributed
     by NM, 4-Jan-2004.) $)
  entri3 $p |- ( ( A e. V /\ B e. W ) -> ( A ~<_ B \/ B ~<_ A ) ) $=
    ( wcel wa cdom wbr csdm wo entri2 sdomdom orim2i syl ) ACEBDEFABGHZBAIHZJOB
    AGHZJABCDKPQOBALMN $.

  $( A set strictly dominates iff its cardinal strictly dominates.
     (Contributed by NM, 30-Oct-2003.) $)
  sdomsdomcard $p |- ( A ~< B <-> A ~< ( card ` B ) ) $=
    ( csdm wbr ccrd cfv cen cvv wcel cdm relsdom brrelex2i numth3 cardid2 ensym
    4syl sdomentr mpdan sdomsdomcardi impbii ) ABCDZABEFZCDZUABUBGDZUCUABHIBEJI
    UBBGDUDABCKLBHMBNUBBOPABUBQRABST $.

  $( Cantor's theorem in terms of cardinals.  This theorem tells us that no
     matter how large a cardinal number is, there is a still larger cardinal
     number.  Theorem 18.12 of [Monk1] p. 133.  (Contributed by NM,
     5-Nov-2003.) $)
  canth3 $p |- ( A e. V -> ( card ` A ) e. ( card ` ~P A ) ) $=
    ( wcel ccrd cfv cpw csdm wbr canth2g cvv wb pwexg cardsdom mpdan mpbird ) A
    BCZADEAFZDECZAQGHZABIPQJCRSKABLAQBJMNO $.

  $( Every infinite class is equinumerous to its Cartesian square.  This
     theorem, which is equivalent to the axiom of choice over ZF, provides the
     basis for infinite cardinal arithmetic.  Proposition 10.40 of
     [TakeutiZaring] p. 95.  This is a corollary of ~ infxpen (used via
     ~ infxpidm2 ).  (Contributed by NM, 17-Sep-2004.)  (Revised by Mario
     Carneiro, 9-Mar-2013.) $)
  infxpidm $p |- ( _om ~<_ A -> ( A X. A ) ~~ A ) $=
    ( ccrd cdm wcel com cdom wbr cxp cen cvv reldom brrelex2i infxpidm2 mpancom
    numth3 syl ) ABCDZEAFGZAAHAIGRAJDQEAFKLAJOPAMN $.

  ${
    $d x y z A $.
    $( The class of ordinals dominated by a given set is an ordinal.  Theorem
       56 of [Suppes] p. 227.  This theorem can be proved without the axiom of
       choice, see ~ hartogs .  (Contributed by NM, 7-Nov-2003.)
       (Proof modification is discouraged.)  Use ~ hartogs instead.
       (New usage is discouraged.) $)
    ondomon $p |- ( A e. V -> { x e. On | x ~<_ A } e. On ) $=
      ( vy vz wcel cv cdom wbr con0 crab word wss wa wi wal cvv imp breq1 ccrd
      wtr onelon vex onelss ssdomg mpsyl domtr anim2i anassrs sylan exp31 com12
      jca impd elrab 3imtr4g gen2 dftr2 mpbir ssrab2 ordon trssord mp3an wb cpw
      csdm wral canth2g domsdomtr sylan2 expcom ralrimivw syl ss2rab sylibr cfv
      elex wceq pwexg numth3 cardval2 3syl eqeltrrdi ssexg syl2anc elong mpbiri
      cdm fvex ) BCFZAGZBHIZAJKZJFZWMLZWMUAZWMJMJLWOWPDGZEGZFZWRWMFZNWQWMFZOZEP
      DPXBDEWSWTXAWSWRJFZWRBHIZNWQJFZWQBHIZNZWTXAWSXCXDXGXCWSXDXGOXCWSXDXGXCWSN
      ZXEWQWRHIZNXDXGXHXEXIWRWQUBWRQFXHWQWRMZXIEUCXCWSXJWRWQUDRWQWRQUEUFUMXEXIX
      DXGXIXDNXFXEWQWRBUGUHUIUJUKULUNWLXDAWRJWKWRBHSUOWLXFAWQJWKWQBHSUOUPRUQDEW
      MURUSWLAJUTVAWMJVBVCWJWMQFZWNWOVDWJWMWKBVEZVFIZAJKZMZXNQFXKWJWLXMOZAJVGZX
      OWJBQFZXQBCVQXRXPAJWLXRXMXRWLBXLVFIXMBQVHWKBXLVIVJVKVLVMWLXMAJVNVOWJXNXLT
      VPZQWJXLQFXLTWHFXSXNVRBCVSXLQVTAXLWAWBXLTWIWCWMXNQWDWEWMQWFVMWG $.
  $}

  ${
    $d x y A $.  $d y V $.
    $( The smallest ordinal that strictly dominates a set is a cardinal.
       (Contributed by NM, 28-Oct-2003.)  (Revised by Mario Carneiro,
       20-Sep-2014.) $)
    cardmin $p |- ( A e. V -> ( card ` |^| { x e. On | A ~< x } ) =
                      |^| { x e. On | A ~< x } ) $=
      ( vy wcel cv csdm wbr con0 crab cint wral ccrd cfv wceq wrex syl cvv nfcv
      breq2 numthcor onintrab2 sylib cdom wa wn wi onelon ex onnminsb wb domtri
      syli vex mpan sylibrd nfrab1 nfint nfbr onminsb jctird domsdomtr ralrimiv
      syl6 iscard sylanbrc ) BCEZBAFZGHZAIJZKZIEZDFZVKGHZDVKLVKMNVKOVGVIAIPZVLA
      BCUAZVIAUBUCZVGVNDVKVGVMVKEZVMBUDHZBVKGHZUEVNVGVRVSVTVGVRBVMGHZUFZVSVRVGV
      MIEZWBVGVLVRWCUGVQVLVRWCVKVMUHUIQVIWAAVMVHVMBGTUJUMVMREVGVSWBUKDUNVMBRCUL
      UOUPVGVOVTVPVIVTAABVKGABSAGSAVJVIAIUQURUSVHVKBGTUTQVAVMBVKVBVDVCDVKVEVF
      $.
  $}

  ${
    $d A x $.  $d V x $.
    $( A set is finite iff its cardinal is a natural number.  (Contributed by
       Jeff Madsen, 2-Sep-2009.) $)
    ficard $p |- ( A e. V -> ( A e. Fin <-> ( card ` A ) e. _om ) ) $=
      ( vx wcel cfn ccrd cfv com cv cen wrex isfi wa wceq carden wi cardnn eqtr
      wbr adantl expcom eleq1a syld sylbird rexlimdva syl5bi eqcomd mpbid ancld
      syl ex breq2 rspcev sylibr syl6 impbid ) ABDZAEDZAFGZHDZURACIZJSZCHKZUQUT
      CALZUQVBUTCHUQVAHDZMVBUSVAFGZNZUTAVABHOVEVGUTPUQVEVGUSVANZUTVEVFVANZVGVHP
      VAQVGVIVHUSVFVARUAUJVAHUSUBUCTUDUEUFUQUTUTAUSJSZMZURUQUTVJUQUTVJUQUTMUSUS
      FGZNZVJUTVMUQUTVLUSUSQUGTAUSBHOUHUKUIVKVCURVBVJCUSHVAUSAJULUMVDUNUOUP $.
  $}

  $( Equivalence between two infiniteness criteria for sets.  (Contributed by
     David Moews, 1-May-2017.) $)
  infinf $p |- ( A e. B -> ( -. A e. Fin <-> _om ~<_ A ) ) $=
    ( wcel cfn wn com csdm wbr cdom isfinite notbii wb omex domtri mpan bitr4id
    cvv ) ABCZADCZEAFGHZEZFAIHZSTAJKFQCRUBUALMFAQBNOP $.

  ${
    $d F x $.
    unirnfdomd.1 $e |- ( ph -> F : T --> Fin ) $.
    unirnfdomd.2 $e |- ( ph -> -. T e. Fin ) $.
    unirnfdomd.3 $e |- ( ph -> T e. V ) $.
    $( The union of the range of a function from an infinite set into the class
       of finite sets is dominated by its domain.  Deduction form.
       (Contributed by David Moews, 1-May-2017.) $)
    unirnfdomd $p |- ( ph -> U. ran F ~<_ T ) $=
      ( vx crn cxp cdom wbr com cvv wcel wral cfn syl2anc syl domtr cuni cen cv
      wfn ffnd fnex rnexg wf wss frn dfss3 sylib fict ralimi 3syl fnrndomg sylc
      unidom omex xpdom1 wn wb infinf mpbid xpdom2g infxpidm domentr ) ACIZUAZB
      BJZKLZVJBUBLZVIBKLAVIBMJZKLZVMVJKLZVKAVIVHMJZKLZVPVMKLZVNAVHNOZHUCZMKLZHV
      HPZVQACNOZVSACBUDZBDOZWCABQCEUEZGBDCUFRCNUGSABQCUHZVTQOZHVHPZWBEWGVHQUIWI
      BQCUJHVHQUKULWHWAHVHVTUMUNUOHVHMNURRAVHBKLZVRAWEWDWJGWFBDCUPUQVHBMUSUTSVI
      VPVMTRAWEMBKLZVOGABQOVAZWKFAWEWLWKVBGBDVCSVDZMBBDVERVIVMVJTRAWKVLWMBVFSVI
      VJBVGR $.
  $}

  ${
    konigth.1 $e |- A e. _V $.
    konigth.2 $e |- S = U_ i e. A ( M ` i ) $.
    konigth.3 $e |- P = X_ i e. A ( N ` i ) $.
    ${
      $d A a e f i $.  $d D a e $.  $d E a i $.  $d M a f $.  $d N a e f $.
      $d P a e f $.  $d S a e f $.
      konigth.4 $e |- D = ( i e. A |-> ( a e. ( M ` i ) |->
        ( ( f ` a ) ` i ) ) ) $.
      konigth.5 $e |- E = ( i e. A |-> ( e ` i ) ) $.
      $( Lemma for ~ konigth .  (Contributed by Mario Carneiro,
         22-Feb-2013.) $)
      konigthlem $p |- ( A. i e. A ( M ` i ) ~< ( N ` i ) -> S ~< P ) $=
        ( cfv c0 wcel cvv cv csdm wbr wral wn wfo wex crn cdif wne wa cdom fvex
        wfn cmpt eqid fnmpti wceq mptex fvmpt2 fneq1d mpbiri fnrndomg domsdomtr
        mpan2 mpsyl sylan sdomdif syl ralimiaa difexi ac6c5 equid eldifi eleq1d
        cixp syl5ibr ralimia jctil eqeltri elixp sylibr eleqtrrdi foelrn expcom
        wrex ciun eleq2i eliun bitri nfra1 nfv nfan w3a ad2antrl fveq1 sylan9eq
        wi fveq1d eqcomd eqtr3d fnfvelrn adantl eqeltrd simp1 simp3l rsp eldifn
        3adant1 syl6 sylc pm2.21dd 3expia expd rexlimd syl5bi ex com23 rexlimdv
        syl9r mt2i exlimiv 3syl nexdv 0dom mpan 0sdom sylib ralimi neeq1i rgenw
        mpd ixpexg ax-mp ac9 3bitr4i wb iunex domtri mp2an biimpri fodomr mtand
        syl2an notnotrd ) GUAZIQZUUFJQZUBUCZGAUDZDCUBUCZUUJUUKUEZDCFUAZUFZFUGZU
        UJUUNFUUJUUHUUFBQZUHZUIZRUJZGAUDUUFEUAZQZUURSZGAUDZEUGUUNUEZUUIUUSGAUUF
        ASZUUIUKUUQUUHUBUCZUUSUVEUUQUUGULUCZUUIUVFUUGTSUVEUUPUUGUNZUVGUUFIUMZUV
        EUVHKUUGUUFKUAZUUMQZQZUOZUUGUNKUUGUVLUVMUUFUVKUMZUVMUPZUQUVEUUGUUPUVMUV
        EUVMTSUUPUVMURKUUGUVLUVIUSGAUVMTBOUTVEZVAVBZUUGTUUPVCVFUUQUUGUUHVDVGUUQ
        UUHVHVIVJGAUURELUUHUUQUUFJUMZVKVLUVCUVDEUVCUUNUUMUUMURZFVMUVCHCSZUUNUVS
        UEZWRUVCHGAUUHVPZCUVCHAUNZUUFHQZUUHSZGAUDZUKHUWBSUVCUWFUWCUVBUWEGAUVBUW
        EUVEUVAUUHSUVAUUHUUQVNUVEUWDUVAUUHUVEUVATSUWDUVAURZUUFUUTUMZGAUVATHPUTV
        EZVOVQVRGAUVAHUWHPUQVSGAUUHHHGAUVAUOTPGAUVALUSVTWAWBNWCUVTUUNHUVKURZKDW
        FZUVCUWAUUNUVTUWKKDCHUUMWDWEUVCUWJUWAKDUVCUWJUVJDSZUWAUVCUWJUWLUWAWRUWL
        UVJUUGSZGAWFZUVCUWJUKZUWAUWLUVJGAUUGWGZSUWNDUWPUVJMWHGUVJAUUGWIWJUWOUWM
        UWAGAUVCUWJGUVBGAWKUWJGWLWMUWAGWLUWOUVEUWMUWAUVCUWJUVEUWMUKZUWAUVCUWJUW
        QWNZUVAUUQSZUWAUWJUWQUWSUVCUWJUWQUKZUVAUVJUUPQZUUQUWTUWDUVAUXAUVEUWGUWJ
        UWMUWIWOUWJUWQUWDUVLUXAUUFHUVKWPUWQUXAUVLUVEUWMUXAUVJUVMQZUVLUVEUVJUUPU
        VMUVPWSUWMUVLTSUXBUVLURUVNKUUGUVLTUVMUVOUTVEWQWTWQXAUWQUXAUUQSZUWJUVEUV
        HUWMUXCUVQUUGUVJUUPXBVGXCXDXIUWRUVCUVEUWSUEZUVCUWJUWQXEUVCUWJUVEUWMXFUV
        CUVEUVBUXDUVBGAXGUVAUUHUUQXHXJXKXLXMXNXOXPXQXRXSXTYLYAYBYCYDUUJRCUBUCZC
        DULUCZUUOUULUUJUUHRUJZGAUDZUXEUUIUXGGAUUIRUUHUBUCZUXGRUUGULUCUUIUXIUUGU
        VIYERUUGUUHVDYFUUHUVRYGYHYICRUJUWBRUJUXEUXHCUWBRNYJCCUWBTNUUHTSZGAUDUWB
        TSUXJGAUVRYKGAUUHTYMYNVTZYGGAUUHLUVRYOYPWBUXFUULCTSDTSUXFUULYQUXKDUWPTM
        GAUUGLUVIYRVTCDTTYSYTUUADCFUUBUUDUUCUUE $.
    $}
    $d A a e f i $.  $d A a e i j $.  $d M a b e f $.  $d N a e f $.
    $d P a e f $.  $d S a e f $.  $d b e f i $.
    $( Konig's Theorem.  If ` m ( i ) ~< n ( i ) ` for all ` i e. A ` , then
       ` sum_ i e. A m ( i ) ~< prod_ i e. A n ( i ) ` , where the sums and
       products stand in for disjoint union and infinite cartesian product.
       The version here is proven with unions rather than disjoint unions for
       convenience, but the version with disjoint unions is clearly a special
       case of this version.  The Axiom of Choice is needed for this proof, but
       it contains AC as a simple corollary (letting ` m ( i ) = (/) ` , this
       theorem says that an infinite cartesian product of nonempty sets is
       nonempty), so this is an AC equivalent.  Theorem 11.26 of
       [TakeutiZaring] p. 107.  (Contributed by Mario Carneiro,
       22-Feb-2013.) $)
    konigth $p |- ( A. i e. A ( M ` i ) ~< ( N ` i ) -> S ~< P ) $=
      ( vb vf ve vj va cv cfv cmpt weq fveq2 cbvmptv fveq1d mpteq2i konigthlem
      ) ADAJDOZEPZUDJOZKOZPZPZQZQBCLKDMAMOZLOZPZQEFNGHIDAUJNUEUDNOZUGPZPZQJNUEU
      IUPJNRUDUHUOUFUNUGSUATUBMDAUMUDULPUKUDULSTUC $.
  $}

  $( The power set of an aleph dominates the successor aleph.  (The Generalized
     Continuum Hypothesis says they are equinumerous, see ~ gch3 or
     ~ gchaleph2 .)  (Contributed by NM, 27-Aug-2005.) $)
  alephsucpw $p |- ( aleph ` suc A ) ~<_ ~P ( aleph ` A ) $=
    ( csuc cale cfv cpw cdom wbr csdm wn alephsucpw2 cvv wcel fvex domtri mp2an
    wb pwex mpbir ) ABZCDZACDZEZFGZUBTHGIZAJTKLUBKLUCUDPSCMUAACMQTUBKKNOR $.

  $( The set exponentiation of 2 to the aleph-zero has cardinality of at least
     aleph-one.  (If we were to assume the Continuum Hypothesis, their
     cardinalities would be the same.)  (Contributed by NM, 7-Jul-2004.) $)
  aleph1 $p |- ( aleph ` 1o ) ~<_ ( 2o ^m ( aleph ` (/) ) ) $=
    ( c1o cale cfv c0 csuc c2o cmap co cdom df-1o fveq2i cpw wbr alephsucpw cen
    wb fvex pw2en domen2 ax-mp mpbi eqbrtri ) ABCDEZBCZFDBCZGHZIAUCBJKUDUELZIMZ
    UDUFIMZDNUGUFOMUHUIPUEDBQRUGUFUDSTUAUB $.

  ${
    $d x y z A $.
    $( An alternate way to express the value of the aleph function for nonzero
       arguments.  Theorem 64 of [Suppes] p. 229.  (Contributed by NM,
       15-Nov-2003.) $)
    alephval2 $p |- ( ( A e. On /\ (/) e. A ) -> ( aleph ` A ) =
                    |^| { x e. On | A. y e. A ( aleph ` y ) ~< x } ) $=
      ( vz con0 wcel cale cfv csdm wbr wral wceq wa ccrd com cdom wi cvv wss wb
      cv crab c0 wn alephordi ralrimiv alephon jctil breq2 ralbidv elrab sylibr
      cint cardsdomelir alephcard eqcomi eleq2s wo omex vex entri3 mp2an cardom
      carddom sseq1i bitr3i cardidm cardalephex mpbii alephord ancoms breq1 cen
      wrex cardid sdomen1 ax-mp bitr3di sylan9bb breq1d sdomirr sdomen2 bitr3id
      fveq2 rspcv mtbiri nsyli adantl sylbird rexlimdva2 syl5 syl5bi adantr wne
      com12 ne0i onelon alephgeom ssdomg sylbi domtr sylan2 domnsym expr r19.2z
      syl ex syl2im rexnal syl6ib expimpd a1d com3r jaod mpi con3i syl56 ssrab2
      simprbi oneqmini syl2an2r ) CEFZCGHZBUAZGHZAUAZIJZBCKZAEUBZFZUCCFZDUAZYIF
      ZUDZDYCKZYCYIUMLZYBYCEFZYEYCIJZBCKZMYJYBYSYQYBYRBCYDCUEUFCUGUHYHYSAYCEYFY
      CLYGYRBCYFYCYEIUIUJUKULYBYKMZYNDYCYLYCFYLYCIJZYTYEYLIJZBCKZUDZYNUUAYLYCNH
      ZYCYLYCUNUUEYCCUOUPUQYTOYLPJZYLOPJZURZUUAUUDQZORFZYLRFZUUHUSDUTZOYLRRVAVB
      YTUUFUUIUUGYBUUFUUIQYKUUFOYLNHZSZYBUUIUUFONHZUUMSZUUNUUJUUKUUPUUFTUSUULOY
      LRRVDVBUUOOUUMVCVEVFUUNUUMYFGHZLZAEVNZYBUUIUUNUUMNHUUMLUUSYLVGAUUMVHVIYBU
      URUUIAEYBYFEFZMZUURMUUAYFCFZUUDUVAUVBUUQYCIJZUURUUAUUTYBUVBUVCTYFCVJVKUUR
      UUMYCIJZUVCUUAUUMUUQYCIVLUUMYLVMJZUVDUUATYLUULVOZUUMYLYCVPVQVRVSUURUVBUUD
      QUVAUVBUURUUDUVBUUCUUQYLIJZUURUUBUVGBYFCYDYFLYEUUQYLIYDYFGWDVTWEUURUVGUUQ
      UUQIJZUUQWAUVGUUQUUMIJZUURUVHUVEUVIUVGTUVFUUMYLUUQWBVQUUMUUQUUQIUIWCWFWGW
      OWHWIWJWKWLWMUUGUUAYTUUDUUGYTUUDQUUAUUGYBYKUUDYKUUGYBMZUUDYKUVJUUBUDZBCVN
      ZUUDYKCUCWNZUVJUVKBCKZUVLCUCWPUVJUVKBCUUGYBYDCFZUVKYBUVOMUUGYDEFZUVKCYDWQ
      UUGUVPMYLYEPJZUVKUVPUUGOYEPJZUVQUVPOYESZUVRYDWRYEEFUVSUVRQYDUGOYEEWSVQWTY
      LOYEXAXBYLYEXCXFXBXDUFUVMUVNUVLUVKBCXEXGXHUUBBCXIXJWOXKXLXMXNXOYMUUCYMYLE
      FUUCYHUUCAYLEYFYLLYGUUBBCYFYLYEIUIUJUKXSXPXQUFYIESYJYOMYPQYHAEXRDYCYIXTVQ
      YA $.
  $}

  ${
    $d x y w A $.
    dominfac.1 $e |- A e. _V $.
    $( A nonempty set that is a subset of its union is infinite.  This version
       is proved from ~ ax-ac .  See ~ dominf for a version proved from
       ~ ax-cc .  (Contributed by NM, 25-Mar-2007.) $)
    dominfac $p |- ( ( A =/= (/) /\ A C_ U. A ) -> _om ~<_ A ) $=
      ( vx vy vw cv c0 wne cuni wss wa com cdom wbr wi cvv eqid csdm wn wcel id
      wceq neeq1 unieq sseq12d anbi12d breq2 imbi12d cpw cin crab cmpt crdg wf1
      cres inf3lem6 vpwex f1dom cfn pwfi biimpi isfinite 3imtr3i wb omex domtri
      con3i mp2an vex 3imtr4i 3syl vtocl ) CFZGHZVMVMIZJZKZLVMMNZOAGHZAAIZJZKZL
      AMNZOCABVMAUBZVQWBVRWCWDVNVSVPWAVMAGUCWDVMAVOVTWDUAVMAUDUEUFVMALMUGUHVQLV
      MUIZDPEFVMUJDFJEVMUKULZGUMLUOZUNLWEMNZVRCDEAAWGWFWFQWGQBBUPLWEWGCUQZURWEL
      RNZSZVMLRNZSZWHVRWLWJVMUSTZWEUSTZWLWJWNWOVMUTVAVMVBWEVBVCVGLPTZWEPTWHWKVD
      VEWILWEPPVFVHWPVMPTVRWMVDVECVILVMPPVFVHVJVKVL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cardinal number arithmetic using Axiom of Choice
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.
    $( The countable union of countable sets is countable (indexed union
       version of ~ unictb ).  (Contributed by Mario Carneiro, 18-Jan-2014.) $)
    iunctb $p |- ( ( A ~<_ _om /\ A. x e. A B ~<_ _om ) ->
                 U_ x e. A B ~<_ _om ) $=
      ( com cdom wbr wral wa ciun cxp cv csn cmap wacn wcel ctex iunexg sylancl
      cvv sylc eqid co simpl adantr ovex rgenw acncc eleqtrrdi acndom simpr cen
      omex xpdom1g sylancr xpomen domentr ccrd ralimi syl2an con0 omelon onenon
      cdm ax-mp numacn mpisyl acndom2 iundomg domtr syl2anc ) BDEFZCDEFZABGZHZA
      BCIZBDJZEFVPDEFZVODEFVNABCDABAKLCJIZVRUAVNVKABDCMUBZIZDNZOVTBNOVKVMUCZVNV
      TSWAVNBSOZVSSOZABGVTSOVKWCVMBPZUDWDABDCMUEUFABVSSSQRUGUHBDVTUITVKVMUJVNVQ
      DVONZOZVPWFOVNVPDDJZEFZWHDUKFVQVNDSOVKWIULWBBDDSUMUNUOVPWHDUPRZVNVOSOZDUQ
      VCOZWGVKWCCSOZABGWKVMWEVLWMABCPURABCSSQUSDUTOWLVADVBVDVOSDVEVFVOVPDVGTVHW
      JVOVPDVIVJ $.
  $}

  ${
    $d x A $.
    $( The countable union of countable sets is countable.  Theorem 6Q of
       [Enderton] p. 159.  See ~ iunctb for indexed union version.
       (Contributed by NM, 26-Mar-2006.) $)
    unictb $p |- ( ( A ~<_ _om /\ A. x e. A x ~<_ _om ) -> U. A ~<_ _om ) $=
      ( com cdom wbr cv wral wa cuni ciun uniiun iunctb eqbrtrid ) BCDEAFZCDEAB
      GHBIABNJCDABKABNLM $.
  $}

  ${
    $d x A $.  $d x B $.
    $( An exponentiation law for infinite cardinals.  Similar to Lemma 6.2 of
       [Jech] p. 43.  (Contributed by NM, 1-Oct-2004.)  (Proof shortened by
       Mario Carneiro, 30-Apr-2015.) $)
    infmap $p |- ( ( _om ~<_ A /\ B ~<_ A ) ->
                      ( A ^m B ) ~~ { x | ( x C_ A /\ x ~~ B ) } ) $=
      ( com cdom wbr cmap co ccrd cdm wcel cv wss cen cab cvv ovex numth3 ax-mp
      wa infmap2 mp3an3 ) DBEFCBEFBCGHZIJKZUCALZBMUECNFTAONFUCPKUDBCGQUCPRSABCU
      AUB $.
  $}

  $( The sum of two alephs is their maximum.  Equation 6.1 of [Jech] p. 42.
     (Contributed by NM, 29-Sep-2004.)  (Revised by Mario Carneiro,
     30-Apr-2015.) $)
  alephadd $p |- ( ( aleph ` A ) |_| ( aleph ` B ) ) ~~
                 ( ( aleph ` A ) u. ( aleph ` B ) ) $=
    ( con0 wcel cale cfv cdju cun cen wbr wn cvv wa wceq mp2an c0 cxp com ax-mp
    fvex djuex cdm alephfnon fndmi eleq2i notbii csn c1o df-dju xpundir 3eqtr2i
    xp0 ndmfv djueq12 syl2an adantr adantl uneq12d 3eqtr4a syl2anbr eqeng mpsyl
    un0 eqtrdi wss alephgeom cdom ssdomg ccrd alephon onenon infdju mp3an12 syl
    ex wi sylbi djucomen entr sylancr uncom breqtrdi pm2.61ii ) ACDZBCDZAEFZBEF
    ZGZWFWGHZIJZWDKZWEKZWJWHLDZWKWLMWHWINZWJWFLDZWGLDZWMAETZBETZWFWGLLUAOWKAEUB
    ZDZKZBWSDZKZWNWLWTWDWSCACEUCUDZUEUFXBWEWSCBXDUEUFXAXCMZPPGZPWHWIXFPUGZPQUHU
    GZPQHXGXHHZPQPPPUIXGXHPUJXIULUKXAWFPNZWGPNZWHXFNXCAEUMZBEUMZWFPWGPUNUOXEWIP
    PHPXEWFPWGPXAXJXCXLUPXCXKXAXMUQURPVCVDUSUTWHWILVAVBVOWDRWFVEZWJAVFXNRWFVGJZ
    WJWOXNXOVPWQRWFLVHSWFVIUBZDZWGXPDZXOWJWFCDXQAVJWFVKSZWGCDXRBVJWGVKSZWFWGVLV
    MVNVQWERWGVEZWJBVFYARWGVGJZWJWPYAYBVPWRRWGLVHSYBWHWGWFHZWIIYBWHWGWFGZIJZYDY
    CIJZWHYCIJWOWPYEWQWRWFWGLLVROXRXQYBYFXTXSWGWFVLVMWHYDYCVSVTWGWFWAWBVNVQWC
    $.

  $( The product of two alephs is their maximum.  Equation 6.1 of [Jech] p. 42.
     (Contributed by NM, 29-Sep-2004.)  (Revised by Mario Carneiro,
     30-Apr-2015.) $)
  alephmul $p |- ( ( A e. On /\ B e. On ) ->
  ( ( aleph ` A ) X. ( aleph ` B ) ) ~~ ( ( aleph ` A ) u. ( aleph ` B ) ) ) $=
    ( con0 wcel cale cfv com cdom wbr wa wss alephgeom cvv wi fvex ssdomg ax-mp
    sylbi alephon onenon ccrd cdm wne cxp cun cen jctil infn0 syl infxp syl2an
    c0 ) ACDZAEFZUAUBZDZGUNHIZJBEFZUODZURULUCZJUNURUDUNURUEUFIBCDZUMUQUPUMGUNKZ
    UQALUNMDVBUQNAEOGUNMPQRUNCDUPASUNTQUGVAUTUSVAGURKZUTBLVCGURHIZUTURMDVCVDNBE
    OGURMPQURUHUIRURCDUSBSURTQUGUNURUJUK $.

  $( An exponentiation law for alephs.  Lemma 6.1 of [Jech] p. 42.
     (Contributed by NM, 29-Sep-2004.)  (Revised by Mario Carneiro,
     30-Apr-2015.) $)
  alephexp1 $p |- ( ( ( A e. On /\ B e. On ) /\ A C_ B ) ->
             ( ( aleph ` A ) ^m ( aleph ` B ) ) ~~ ( 2o ^m ( aleph ` B ) ) ) $=
    ( con0 wcel wa wss cale cfv cmap cen wbr c2o com cdom cvv fvex sylib ssdomg
    co ax-mp cpw ccrd cdm alephon onenon mp1i simplr alephgeom mpsyl word ordom
    2onn ordelss mp2an simpll sstrid alephord3 wi syl6bi imp csdm sdomdom domtr
    canth2 sylancl mappwen syl22anc wb pw2en enen2 ) ACDZBCDZEZABFZEZAGHZBGHZIS
    ZVQUAZJKZVRLVQISZJKZVOVQUBUCDZMVQNKZLVPNKZVPVSNKZVTVQCDWCVOBUDVQUEUFVQODZVO
    MVQFZWDBGPZVOVLWHVKVLVNUGBUHQMVQORUIVPODVOLVPFWEAGPVOLMVPMUJLMDLMFUKULMLUMU
    NVOVKMVPFVKVLVNUOAUHQUPLVPORUIVOVPVQNKZVQVSNKZWFVMVNWJVMVNVPVQFZWJABUQWGWLW
    JURWIVPVQORTUSUTVQVSVAKWKVQWIVDVQVSVBTVPVQVSVCVEVPVQVFVGVSWAJKVTWBVHVQWIVIV
    SWAVRVJTQ $.

  ${
    $d x A $.
    $( An alternate representation of a successor aleph.  Compare ~ alephsuc
       and ~ alephsuc2 .  Equality can be obtained by taking the ` card ` of
       the right-hand side then using ~ alephcard and ~ carden .  (Contributed
       by NM, 23-Oct-2004.) $)
    alephsuc3 $p |- ( A e. On ->
                     ( aleph ` suc A ) ~~ { x e. On | x ~~ ( aleph ` A ) } ) $=
      ( con0 wcel cale cfv cen wbr crab cdif cdom csdm wceq ccrd alephon onenon
      cv ax-mp com cvv csuc alephsuc2 alephcard cdm cardval2 eqtr3i difeq12d wn
      a1i wa difrab bren2 rabbii eqtr4i eqtr2di mp1i sucelon alephgeom bitri wi
      wss fvex ssdomg sylbi alephordilem1 infdif syl3anc eqbrtrd ensymd ) BCDZA
      QZBEFZGHZACIZBUAZEFZVJVNVPVLJZVPGVJVQVKVLKHZACIZVKVLLHZACIZJZVNVJVPVSVLWA
      ABUBVLWAMVJVLNFZVLWABUCVLNUDZDZWCWAMVLCDWEBOVLPRAVLUERUFUIUGWBVRVTUHUJZAC
      IVNVRVTACUKVMWFACVKVLULUMUNUOVJVPWDDZSVPKHZVLVPLHVQVPGHVPCDWGVJVOOVPPUPVJ
      SVPVAZWHVJVOCDWIBUQVOURUSVPTDWIWHUTVOEVBSVPTVCRVDBVEVPVLVFVGVHVI $.

    $( An expression equinumerous to 2 to an aleph power.  The proof equates
       the two laws for cardinal exponentiation ~ alephexp1 (which works if the
       base is less than or equal to the exponent) and ~ infmap (which works if
       the exponent is less than or equal to the base).  They can be equated
       only when the base is equal to the exponent, and this is the result.
       (Contributed by NM, 23-Oct-2004.) $)
    alephexp2 $p |- ( A e. On -> ( 2o ^m ( aleph ` A ) ) ~~
                      { x | ( x C_ ( aleph ` A ) /\ x ~~ ( aleph ` A ) ) } ) $=
      ( con0 wcel cale cfv cmap co cv wss cen wbr wa cab c2o com cdom cvv ax-mp
      sylancl alephgeom wi fvex ssdomg sylbi domrefg wb pm3.2 pm2.43i alephexp1
      infmap ssid enen1 syl mpbid ) BCDZBEFZUQGHZAIZUQJUSUQKLMANZKLZOUQGHZUTKLZ
      UPPUQQLZUQUQQLZVAUPPUQJZVDBUAUQRDZVFVDUBBEUCZPUQRUDSUEVGVEVHUQRUFSAUQUQUK
      TUPURVBKLZVAVCUGUPUPUPMZBBJVIUPVJUPUPUHUIBULBBUJTURVBUTUMUNUO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cofinality using the Axiom of Choice
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A f x y $.  $d A f y z $.
    $( A successor aleph is regular.  Theorem 11.15 of [TakeutiZaring] p. 103.
       (Contributed by Mario Carneiro, 9-Mar-2013.) $)
    alephreg $p |- ( cf ` ( aleph ` suc A ) ) = ( aleph ` suc A ) $=
      ( vf vx vy vz con0 wcel cale cfv ccf csdm wbr wa cdom cv wss wral syl2anc
      cvv c0 csuc wceq wn alephordilem1 cxp wf1 wrex wex alephon cff1 ciun fvex
      ax-mp sucex iunex wf f1f ad2antrr simplr wb oneli ffvelrn sylancr onsssuc
      onelon sylan2 anassrs rexbidva eliun bitr4di ancoms ralbidva dfss3 biimpa
      ssdomg mpsyl simprl suceloni wlim alephislim limsuc sylbi breq1 alephcard
      syl ccrd iscard simprbi vtoclri alephsucdom syl5ibr syl5 expdimp ralrimiv
      sylbid iundom domtr expcom exlimdv mpi cen com alephgeom mpan xpdom1 syl6
      infxpen domentr sylsyld domnsym ex mt2d wo cfon cfle onsseleq mpbii mp2an
      imp ori cf0 alephfnon fndmi eleq2i sucelon bitr4i sylnbir 3eqtr4a pm2.61i
      cdm ndmfv fveq2d ) AFGZAUAZHIZJIZYOUBZYMYPYOGZUCYQYMYRAHIZYOKLZAUDYMYRYTU
      CZYMYRMZYOYSNLZUUAUUBYOYPYSUEZNLZUUDYSNLZUUCUUBYPYOBOZUFZCOZDOZUUGIZPZDYP
      UGZCYOQZMZBUHZUUEYOFGZUUPYNUIZCDYOBUJUMUUBUUOUUEBUUOUUBUUEUUOUUBMZYODYPUU
      KUAZUKZNLZUVAUUDNLZUUEUVASGUUSYOUVAPZUVBDYPUUTYOJULZUUKUUJUUGULUNUOUUSYPY
      OUUGUPZUUNUVDUUHUVFUUNUUBYPYOUUGUQURZUUHUUNUUBUSUVFUUNUVDUVFUUNUUIUVAGZCY
      OQUVDUVFUUMUVHCYOUUIYOGUVFUUIFGZUUMUVHUTZYOUUIUURVAUVIUVFUVJUVIUVFMZUUMUU
      IUUTGZDYPUGUVHUVKUULUVLDYPUVIUVFUUJYPGZUULUVLUTZUVFUVMMZUVIUUKFGZUVNUVOUU
      QUUKYOGZUVPUURYPYOUUJUUGVBZYOUUKVEVCUUIUUKVDVFVGVHDUUIYPUUTVIVJVKVFVLCYOU
      VAVMVJVNRYOUVASVOVPUUSYMUVFUVCUUOYMYRVQUVGYMUVFMZYPSGUUTYSNLZDYPQUVCUVEUV
      SUVTDYPYMUVFUVMUVTUVOUVQYMUVTUVRYMUVQUUTYOGZUVTYMYNFGZUVQUWAUTZAVRUWBYOVS
      UWCYNVTYOUUKWAWBWEUWAUVTYMUUTYOKLZEOZYOKLZUWDEUUTYOUWEUUTYOKWCYOWFIYOUBZU
      WFEYOQZYNWDUWGUUQUWHEYOWGWHUMZWIUUTAWJWKWOWLWMWNDYPYSUUTSWPVCRYOUVAUUDWQR
      WRWSWTYMYRUUFYMYSYSUEZYSXALZYRUUDUWJNLZUUFYMXBYSPZUWKAXCYSFGUWMUWKAUIYSXG
      XDWBYMYRYPYSNLZUWLYRUWNYMYPYOKLZUWFUWOEYPYOUWEYPYOKWCUWIWIYPAWJWKYPYSYSAH
      ULXEXFUWLUWKUUFUUDUWJYSXHWRXIXSYOUUDYSWQRYOYSXJWEXKXLYRYQYPFGZUUQYRYQXMZY
      OXNUURUWPUUQMYPYOPUWQYOXOYPYOXPXQXRXTWEYMUCZTJITYPYOYAUWRYOTJYMYNHYJZGZYO
      TUBUWTUWBYMUWSFYNFHYBYCYDAYEYFYNHYKYGZYLUXAYHYI $.
  $}

  ${
    $d A f w y z $.  $d A f x y $.  $d H x $.
    pwcfsdom.1 $e |- H = ( y e. ( cf ` ( aleph ` A ) ) |->
       ( har ` ( f ` y ) ) ) $.
    $( A corollary of Konig's Theorem ~ konigth .  Theorem 11.28 of
       [TakeutiZaring] p. 108.  (Contributed by Mario Carneiro,
       20-Mar-2013.) $)
    pwcfsdom $p |- ( aleph ` A ) ~<
       ( ( aleph ` A ) ^m ( cf ` ( aleph ` A ) ) ) $=
      ( vx con0 wcel cale cfv ccf csdm wbr c0 wceq cvv wa com c2o wss cmap csuc
      vz vw co cv wrex wlim w3o onzsl biimpi aleph0 fveq2i 3eqtr4i 2fveq3 fveq2
      cfom 3eqtr4a cdom cpw cen fvex canth2 pw2en sdomentr mp2an alephon omelon
      alephgeom 2onn onelss mp2 sstr mpan sylbi mpsyl mapdom1 sdomdomtr sylancr
      ssdomg syl oveq2 breq2d syl5ibrcom syl5 alephreg rexlimivw wi wf wsmo w3a
      wral wex cfsmo cixp limelon ciun crn cab wfn fnrnfv unieqd dfiun2 eqtr4di
      ffn ad2antrl fnfvelrn sylan sseq2 rspcev rexlimdva2 ralimdv imp adantl wb
      cuni alephislim frn adantr coflim syl2an mpbird eqtr3d char ffvelrn oneli
      ccrd harcard simprbi ax-mp elharval mpan2 3syl ralrimiva eqid eleq2i cmpt
      wn c1o eqtrdi iscard domrefg biimpri breq1 rspccv fvmptg konigth eqbrtrrd
      harcl ovex ex alephlim eleq2d eliun alephcard cardsdomelir sylbir domnsym
      con2i ontri1 sylibr alephord2i ontr2 syl2anr syl5bi sylan9r cbvmptv eqtri
      sylbid fmptd ss2ixp ixpconst sseqtrdi adantrr syl2anc expcom 3adant2 mp2b
      exlimiv a1i 3jaod mpd cdm alephfnon fndmi ndmfv wne 1n0 1oex 0sdom id cf0
      mpbir oveq12d 0ex map0e breq12d mpbiri sylnbir pm2.61i ) BGHZBIJZUXBUXBKJ
      ZUAUEZLMZUXABNOZBFUFZUBZOZFGUGZBPHBUHQZUIZUXEUXAUXLFBUJUKUXAUXFUXEUXJUXKU
      XFUXCUXBOZUXAUXEUXFNIJZKJZUXNUXCUXBRKJRUXOUXNUQUXNRKULUMULUNBNKIUOBNIUPUR
      UXAUXEUXMUXBUXBUXBUAUEZLMZUXAUXBSUXBUAUEZLMZUXRUXPUSMZUXQUXBUXBUTZLMUYAUX
      RVAMUXSUXBBIVBZVCUXBUYBVDUXBUYAUXRVEVFUXASUXBUSMZUXTUXBGHZUXASUXBTZUYCBVG
      ZUXARUXBTZUYEBVISRTZUYGUYERGHSRHUYHVHVJRSVKVLSRUXBVMVNVOSUXBGVTVPSUXBUXBV
      QWAUXBUXRUXPVRVSUXMUXDUXPUXBLUXCUXBUXBUAWBWCWDZWEUXJUXMUXAUXEUXIUXMFGUXIU
      XHIJZKJUYJUXCUXBUXGWFBUXHKIUOBUXHIUPURWGUYIWEUXKUXEWHZUXAUYDUXCUXBCUFZWIZ
      UYLWJZUCUFZUDUFZUYLJZTZUDUXCUGZUCUXBWLZWKZCWMUYKUYFUCUDUXBCWNVUAUYKCUYMUY
      TUYKUYNUXKUYMUYTQZUXEUXKVUBQUXBFUXCUXGDJZWOZLMZVUDUXDUSMZUXEUXKUXAVUBVUEB
      PWPZUXAVUBQZFUXCUXGUYLJZWQZUXBVUDLVUHUYLWRZXPZVUJUXBUYMVULVUJOUXAUYTUYMVU
      LAUFZVUIOFUXCUGAWSZXPZVUJUYMUYLUXCWTZVULVUOOUXCUXBUYLXEZVUPVUKVUNFAUXCUYL
      XAXBWAFAUXCVUIUXGUYLVBZXCXDXFVUHVULUXBOZUYOVUMTZAVUKUGZUCUXBWLZVUBVVBUXAU
      YMUYTVVBUYMUYSVVAUCUXBUYMUYRVVAUDUXCUYMUYPUXCHZQUYQVUKHZUYRVVAUYMVUPVVCVV
      DVUQUXCUYPUYLXGXHVUTUYRAUYQVUKVUMUYQUYOXIXJXHXKXLXMXNUXAUXBUHZVUKUXBTZVUS
      VVBXOVUBUXAVVEBXQUKUYMVVFUYTUXCUXBUYLXRXSUCAUXBVUKXTYAYBYCUYMVUJVUDLMZUXA
      UYTUYMVUIVUCLMZFUXCWLVVGUYMVVHFUXCUYMUXGUXCHZQZVVHVUIVUIYDJZLMZVVJVUIUXBH
      ZVUIGHZVVLUXCUXBUXGUYLYEZUXBVUIUYFYFVUMVVKLMZAVVKWLZVVNVUIVVKHZVVLVVKYGJV
      VKOZVVQVUIYHVVSVVKGHZVVQAVVKUUAYIYJVVNVUIVUIUSMZVVRVUIPHVWAVURVUIPUUBYJVV
      RVVNVWAQVUIVUIYKUUCYLVVPVVLAVUIVVKVUMVUIVVKLUUDUUEVPYMVVIVVHVVLXOUYMVVIVU
      CVVKVUILVVIVVTVUCVVKOVUIUUIZAUXGVUMUYLJYDJZVVKUXCGDVUMUXGYDUYLUOZEUUFYLWC
      XNYBYNUXCVUDVUJFUYLDUXBKVBZVUJYOVUDYOUUGWAXFUUHXHUXKUYMVUFUYTUXDPHUXKUYMQ
      ZVUDUXDTZVUFUXBUXCUAUUJVWFUXCUXBDWIZVUCUXBTZFUXCWLZVWGVWFFUXCVVKUXBDVWFVV
      IVVKUXBHZUYMVVIVVMUXKVWKUYMVVIVVMVVOUUKUXKVVMVUIABVUMIJZWQZHZVWKUXKUXBVWM
      VUIABPUULUUMUXKUXAVWNVWKWHVUGVWNVUIVWLHZABUGUXAVWKAVUIBVWLUUNUXAVWOVWKABV
      WOVVKVWLTZVWLUXBHZVWKUXAVUMBHZQVWOVUIVWLLMZVWPVWOVUIVWLYGJZHVWSVWTVWLVUIV
      UMUUOYPVUIVWLUUPUUQVWSVWLVVKHZYRZVWPVXAVWSVXAVWLVUIUSMZVWSYRVXAVWLGHZVXCV
      UIVWLYKYIVWLVUIUURWAUUSVVTVXDVWPVXBXOVWBVUMVGVVKVWLUUTVFUVAWAUXAVWRVWQVUM
      BUVBXMVVTUYDVWPVWQQVWKWHVWBUYFVVKVWLUXBUVCVFUVDXKUVEWAUVIUVFXMDAUXCVWCYQF
      UXCVVKYQEAFUXCVWCVVKVWDUVGUVHUVJVWHVWIFUXCUYDVWHVVIQVUCUXBHVWIUYFUXCUXBUX
      GDYEUXBVUCVKVPYNVWJVUDFUXCUXBWOUXDFUXCVUCUXBUVKFUXCUXBVWEUYBUVLUVMYMVUDUX
      DPVTVPUVNUXBVUDUXDVRUVOUVPUVQUVSUVRUVTUWAUWBUXABIUWCZHZUXEVXEGBGIUWDUWEYP
      VXFYRUXBNOZUXEBIUWFVXGUXENYSLMZVXHYSNUWGUWHYSUWIUWJUWMVXGUXBNUXDYSLVXGUWK
      ZVXGUXDNNUAUEZYSVXGUXBNUXCNUAVXIVXGUXCNKJNUXBNKUPUWLYTUWNNPHVXJYSOUWONPUW
      PYJYTUWQUWRWAUWSUWT $.
  $}

  ${
    $d x y z A $.  $d x B $.
    cfpwsdom.1 $e |- B e. _V $.
    $( A corollary of Konig's Theorem ~ konigth .  Theorem 11.29 of
       [TakeutiZaring] p. 108.  (Contributed by Mario Carneiro,
       20-Mar-2013.) $)
    cfpwsdom $p |- ( 2o ~<_ B ->
        ( aleph ` A ) ~< ( cf ` ( card ` ( B ^m ( aleph ` A ) ) ) ) ) $=
      ( con0 wcel cdom wbr cale cfv cmap co ccf csdm cen wceq com cvv ax-mp c1o
      c0 vx vy vz c2o ccrd wi wa cxp ovex cardid ensymi cv wrex crn wn cpw fvex
      canth2 pw2en sdomentr mapdom1 sdomdomtr sylancr cfn wb ficard fict sylbir
      mp2an wss alephgeom alephon ssdomg sylbi domtr syl2an domnsym syl cardidm
      expcom con2d cun wo iscard3 elun df-or 3bitri syl56 wfn alephfnon fvelrnb
      mpbi syl6ib char cmpt eqid pwcfsdom fveq2 oveq12d breq12d mpbii rexlimivw
      syl6 imp ensdomtr enref mapen mapxpen mp3an sylancl xpdom2 biimpi infxpen
      entri domentr csuc nsuceq0 dom0 nemtbir df-2o breq1i breq2 syl5bb biimpcd
      adantld mtoi mapdom2 expl com12 mt2d domtri biimpri nsyl2 cdm fndm eleq2i
      id ex eqtrdi fveq2d ndmfv sylnbir wne 1oex 0sdom mpbir oveq2 map0e cardnn
      1n0 1onn df-1o fveq2i 0elon cfsuc eqtri mpbiri a1d pm2.61i ) ADEZUDBFGZAH
      IZBUVBJKZUEIZLIZMGZUFZUUTUVAUVFUUTUVAUGZUVEUVBFGZUVFUVHUVIUVCBUVBUVEUHZJK
      ZMGZUVHUVCUVDUVEJKZMGZUVMUVKNGUVLUVHUVCUVDNGUVDUVMMGZUVNUVDUVCUVCBUVBJUIZ
      UJZUKUUTUVAUVOUUTUVAUAULZHIZUVDOZUADUMZUVOUUTUVAUVDHUNZEZUWAUVAUVBUVCMGZU
      UTUVDPEZUOZUWCUVAUVBUDUVBJKZMGZUWGUVCFGUWDUVBUVBUPZMGUWIUWGNGUWHUVBAHUQZU
      RUVBUWJUSUVBUWIUWGUTVIUDBUVBVAUVBUWGUVCVBVCUUTUWEUWDUWEUUTUWDUOZUWEUUTUGU
      VCUVBFGZUWKUWEUVCPFGZPUVBFGZUWLUUTUWEUVCVDEZUWMUVCQEUWOUWEVEUVPUVCQVFRUVC
      VGVHUUTPUVBVJZUWNAVKZUVBDEZUWPUWNUFAVLZPUVBDVMRVNUVCPUVBVOVPUVCUVBVQVRVTW
      AUVDUEIUVDOZUWFUWCUFZUVCVSUWTUVDPUWBWBEUWEUWCWCUXAUVDWDUVDPUWBWEUWEUWCWFW
      GWLWHHDWIZUWCUWAVEWJUADUVDHWKRWMUVTUVOUADUVTUVSUVSUVSLIZJKZMGUVOUBUVRUCUB
      UXCUBULUCULIWNIWOZUXEWPWQUVTUVSUVDUXDUVMMUVTYQZUVTUVSUVDUXCUVEJUXFUVSUVDL
      WRWSWTXAXBXCXDUVCUVDUVMXEVCUVMUVCUVEJKZUVKUVDUVCNGUVEUVENGUVMUXGNGUVQUVEU
      VDLUQZXFUVDUVCUVEUVEXGVIBQEZUWRUVEQEZUXGUVKNGCUWSUXHBUVBUVEQDQXHXIXNUVCUV
      MUVKUTXJUVIUVHUVLUOZUVIUUTUVAUXKUVIUUTUGZUVAUGUVKUVCFGZUXKUXLUVJUVBFGZUVJ
      TOZBTOZUGZUOUXMUVAUVIUVJUVBUVBUHZFGUXRUVBNGZUXNUUTUVEUVBUVBUWJXKUUTUWRUWP
      UXSUWSUUTUWPUWQXLUVBXMVCUVJUXRUVBXOVPUVAUXQSXPZTFGZUYAUXTTSXQUXTXRXSUVAUX
      PUYAUXOUXPUVAUYAUVAUXTBFGUXPUYAUDUXTBFXTYABTUXTFYBYCYDYEYFUVJUVBBYGVPUVKU
      VCVQVRYHYIYJUVIUVFUOZUXJUVBQEUVIUYBVEUXHUWJUVEUVBQQYKVIYLYMYRUUTUOUVBTOZU
      VGUUTAHYNZEUYCUYDDAUXBUYDDOWJDHYORYPAHUUAUUBUYCUVFUVAUYCUVFTSMGZUYESTUUCU
      UJSUUDUUEUUFUYCUVBTUVESMUYCYQUYCUVESLIZSUYCUVDSLUYCUVDSUEIZSUYCUVCSUEUYCU
      VCBTJKZSUVBTBJUUGUXIUYHSOCBQUUHRYSYTSPEUYGSOUUKSUUIRYSYTUYFTXPZLIZSSUYILU
      ULUUMTDEUYJSOUUNTUUORUUPYSWTUUQUURVRUUS $.
  $}

  $( From ~ canth2 , we know that ` ( aleph `` 0 ) < ( 2 ^ _om ) ` , but we
     cannot prove that ` ( 2 ^ _om ) = ( aleph `` 1 ) ` (this is the Continuum
     Hypothesis), nor can we prove that it is less than any bound whatsoever
     (i.e. the statement ` ( aleph `` A ) < ( 2 ^ _om ) ` is consistent for any
     ordinal ` A ` ).  However, we can prove that ` ( 2 ^ _om ) ` is not equal
     to ` ( aleph `` _om ) ` , nor ` ( aleph `` ( aleph `` _om ) ) ` , on
     cofinality grounds, because by Konig's Theorem ~ konigth (in the form of
     ~ cfpwsdom ), ` ( 2 ^ _om ) ` has uncountable cofinality, which eliminates
     limit alephs like ` ( aleph `` _om ) ` .  (The first limit aleph that is
     _not_ eliminated is ` ( aleph `` ( aleph `` 1 ) ) ` , which has cofinality
     ` ( aleph `` 1 ) ` .)  (Contributed by Mario Carneiro, 21-Mar-2013.) $)
  alephom $p |- ( card ` ( 2o ^m _om ) ) =/= ( aleph ` _om ) $=
    ( com csdm wbr wn c2o cmap ccrd cfv cale wne sdomirr wceq ccf cvv wcel cdom
    co c0 aleph0 ax-mp 2onn elexi domrefg cfpwsdom oveq2i fveq2i eqeq1i biimpri
    mp2b fveq2d wlim limom alephsing cfom eqtri eqtrdi breq12d mpbii necon3bi
    a1i ) AABCZDEAFQZGHZAIHZJAKVAVCVDVCVDLZRIHZEVFFQZGHZMHZBCZVAENOEEPCVJEAUAUB
    ZENUCREVKUDUIVEVFAVIABVFALVESUTVEVIVDMHZAVEVHVDMVHVDLVEVHVCVDVGVBGVFAEFSUEU
    FUGUHUJVLAMHZAAUKVLVMLULAUMTUNUOUPUQURUST $.

  ${
    $d x y $.
    $( The beth function is strictly monotone.  This function is not strictly
       the beth function, but rather beth_A is the same as
       ` ( card `` ( R1 `` ( _om +o A ) ) ) ` , since conventionally we start
       counting at the first infinite level, and ignore the finite levels.
       (Contributed by Mario Carneiro, 6-Jun-2013.)  (Revised by Mario
       Carneiro, 2-Jun-2015.) $)
    smobeth $p |- Smo ( card o. R1 ) $=
      ( vy vx ccrd cr1 cdm con0 wfn crn wss wfun ax-mp r1fnon mpbi cep wcel cfv
      wf wa wb sylan ccom ccnv cima cv cen wbr wrex cab cardf2 ffun fnfun funco
      mp2an funfn cres rnco resss rnssi frn sstri df-f mpbir2an dmco feq2i word
      eqsstri wtr wwe elpreima simplbi onelon simprbi adantr r1ord2 imp syl2anc
      wral ssnum sylanbrc rgen2 dftr5 mpbir cnvimass cvv dffn2 fdmi epweon wess
      sseqtri df-ord wi csdm r1sdom cardsdom2 mpbird wceq fvco2 sylancr 3eltr4d
      mp2 ex adantl issmo ) ABCDUAZDUBCEZUCZXDEZFXDQZXFFXDQXHXDXGGZXDHZFIXDJZXI
      CJZDJZXKAUDZBUDZUEUFAFUGBUHZFCQZXLBAUIZXPFCUJKDFGZXMLFDUKKCDULUMXDUNMXJCD
      HZUOZHZFCDUPYBCHZFYACCXTUQURXQYCFIXRXPFCUSKUTVFXGFXDVAVBXGXFFXDCDVCZVDMXF
      VEXFVGZXFNVHZYEXNXFOZAXOVQBXFVQYGBAXFXOXOXFOZXNXOOZRZXNFOZXNDPZXEOZYGYHXO
      FOZYIYKYHYNXODPZXEOZXSYHYNYPRSLFXOXEDVIKZVJZXOXNVKTZYJYPYLYOIZYMYHYPYIYHY
      NYPYQVLVMZYHYNYIYTYRYNYIYTXNXOVNVOTYOYLVRVPZXSYGYKYMRSLFXNXEDVIKVSVTBAXFW
      AWBXFFIFNVHYFXFDEFDXEWCFWDDXSFWDDQLFDWEMWFWIWGXFFNWHWTXFWJVBYHYIXNXDPZXOX
      DPZOZWKYGYHYIUUEYJYLCPZYOCPZUUCUUDYJUUFUUGOZYLYOWLUFZYHYNYIUUIYRXOXNWMTYJ
      YMYPUUHUUISUUBUUAYLYOWNVPWOYJXSYKUUCUUFWPLYSFCDXNWQWRYJXSYNUUDUUGWPLYHYNY
      IYRVMFCDXOWQWRWSXAXBYDXC $.
  $}

$( I decided to comment out the Card class for now.  We have too many
   definitions, and this one doesn't really buy us much. $)

$(
  @c Card @. @( Class of all cardinal numbers @)

  @( Extend class definition to include the class of all cardinal numbers. @)
  ccdn @a class Card @.

  @( Define the class of all cardinal numbers.  The notation "Card" is used
     in Exercise 5(G) of [JustWeese] p. 174.  It should not be confused with
     the lowercase "card" for the cardinal number function ~ df-card .  @)
  df-cardn @a |- Card = ( _om u. ran aleph ) @.

  @( Membership in the class of cardinal numbers. @)
  elcard @p |- ( A e. Card <-> ( card ` A ) = A ) @=
    ( ccdn wcel com cale crn cun ccrd cfv wceq df-cardn eleq2i iscard3 bitr4i )
    ABCADEFGZCAHIAJBOAKLAMN @.
    @( [31-Dec-2004] @) @( [23-Sep-2004] @)

  @( The cardinality of a set is a cardinal number. @)
  cardel @p |- ( card ` A ) e. Card @=
    ( ccrd cfv ccdn wcel wceq cardidm elcard mpbir ) ABCZDEJBCJFAGJHI @.
    @( [16-Jan-2005] @) @( [23-Sep-2004] @)

  @( A natural number is a cardinal number. @)
  nncard @p |- ( A e. _om -> A e. Card ) @=
    ( com wcel ccrd cfv wceq ccdn cardnn elcard sylibr ) ABCADEAFAGCAHAIJ @.
    @( [16-Jan-2005] @) @( [23-Sep-2004] @)

  @( An alternate definition of the class of all cardinal numbers. @)
  cardnum2 @p |- Card = { x | ( card ` x ) = x } @=
    ( ccdn com cale crn cun cv ccrd cfv wceq cab df-cardn wcel iscard3 bicomi
    abbi2i eqcomi eqtr4i ) BCDEFZAGZHITJZAKZLSUBUAASUATSMTNOPQR @.
    @( [25-Jan-2005] @) @( [23-Sep-2004] @)

  @( The class of cardinal numbers is a proper class.  Exercise 5(G)(b) of
     [JustWeese] p. 174. @)
  cardnprc @p |- -. Card e. _V @=
    ( vx ccdn cvv wcel cv ccrd cfv wceq cab cardprc cardnum2 eleq1i mtbir ) BCD
    AEZFGNHAIZCDAJBOCAKLM @.
    @( [25-Jan-2005] @) @( [23-Sep-2004] @)

  @( The class of transfinite cardinals (the range of the aleph function) is a
     proper class. @)
  alephprc2 @p |- -. ran aleph e. _V @=
    ( cale crn cvv wcel com cun ccdn cardnprc df-cardn eleq1i mtbi omex wa
    unexb biimpi mpan mto ) ABZCDZERFZCDZGCDUAHGTCIJKECDZSUALUBSMUAERNOPQ @.
    @( [19-Feb-2005] @) @( [23-Sep-2004] @)
$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  ZFC Axioms with no distinct variable requirements
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $( A lemma for proving conditionless ZFC axioms.  Usage of this theorem is
     discouraged because it depends on ~ ax-13 .  (Contributed by NM,
     1-Jan-2002.)  (New usage is discouraged.) $)
  nd1 $p |- ( A. x x = y -> -. A. x y e. z ) $=
    ( weq wal wel elirrv wsb stdpc4 nfnth elequ1 sbie sylib mto axc11 mtoi ) AB
    DAEBCFZAEQBEZRCCFZCGZRQBCHSQBCIQSBCSBTJBCCKLMNQABOP $.

  $( A lemma for proving conditionless ZFC axioms.  Usage of this theorem is
     discouraged because it depends on ~ ax-13 .  (Contributed by NM,
     1-Jan-2002.)  (New usage is discouraged.) $)
  nd2 $p |- ( A. x x = y -> -. A. x z e. y ) $=
    ( weq wal wel elirrv wsb stdpc4 nfnth elequ2 sbie sylib mto axc11 mtoi ) AB
    DAECBFZAEQBEZRCCFZCGZRQBCHSQBCIQSBCSBTJBCCKLMNQABOP $.

  $( A lemma for proving conditionless ZFC axioms.  (Contributed by NM,
     2-Jan-2002.) $)
  nd3 $p |- ( A. x x = y -> -. A. z x e. y ) $=
    ( weq wal wel wn elirrv elequ2 mtbii sps sp nsyl ) ABDZAEABFZOCENOGANAAFOAH
    ABAIJKOCLM $.

  $( A lemma for proving conditionless ZFC axioms.  Usage of this theorem is
     discouraged because it depends on ~ ax-13 .  (Contributed by NM,
     2-Jan-2002.)  (New usage is discouraged.) $)
  nd4 $p |- ( A. x x = y -> -. A. z y e. x ) $=
    ( wel wal wn nd3 aecoms ) BADCEFBABACGH $.

  ${
    $d x w $.  $d y w $.  $d z w $.
    $( A version of the Axiom of Extensionality with no distinct variable
       conditions.  Usage of this theorem is discouraged because it depends on
       ~ ax-13 .  (Contributed by NM, 14-Aug-2003.)
       (New usage is discouraged.) $)
    axextnd $p |- E. x ( ( x e. y <-> x e. z ) -> y = z ) $=
      ( vw wel wb weq wal wex wi wn nfnae wnfc nfcvf nfcrd elequ1 syl6 ax6e ax7
      cv wa nfan adantr adantl nfbid bibi12d a1i cbvald axextg syl6bir 19.8a ex
      aleximi mpi a1d equcomi pm2.61ii 19.35ri ) ABEZACEZFZBCGZAABGZAHZACGZAHZV
      AAHZVBAIZJZVDKZVFKZVIVJVKUAZVGVBVHVLVGDBEZDCEZFZDHVBVLVOVADAVJVKAABALACAL
      UBVLVMVNAVLADBTZVJAVPMVKABNUCOVLADCTZVKAVQMVJACNUDOUEDAGZVOVAFJVLVRVMUSVN
      UTDABPDACPUFUGUHBCDUIUJVBAUKQULVDVHVGVDVEAIVHACRVCVEVBAABCSUMUNUOVFVHVGVF
      VCAIVHABRVEVCVBAVEVCCBGVBACBSCBUPQUMUNUOUQUR $.
  $}

  ${
    $d x z w $.  $d x y w $.  $d w ph $.
    $( Lemma for the Axiom of Replacement with no distinct variable conditions.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 2-Jan-2002.)  (New usage is discouraged.) $)
    axrepndlem1 $p |- ( -. A. y y = z -> E. x ( E. y A. z ( ph -> z = y ) ->
                 A. z ( z e. x <-> E. x ( x e. y /\ A. y ph ) ) ) ) $=
      ( vw weq wal wn wi wex wel wa wb nfnae a1i cv imbi12d cbvald exbid adantl
      wsb axrep2 wnf nfs1v nfcvd nfcvf2 nfeqd nfimd sbequ12r equequ1 nfvd nfcrd
      nfald nfand nfexd nfbid elequ1 nfeqf2 nfan1 albid anbi2d bibi12d ex mpbii
      exbidv ) CDFCGHZADEUAZECFZIZEGZCJZEBKZBCKZVGCGZLZBJZMZEGZIZBJADCFZIZDGZCJ
      ZDBKZVMACGZLZBJZMZDGZIZBJVGBCEUBVFVSWJBCDBNZVFVKWCVRWIVFVJWBCCDCNZVFVIWAE
      DCDDNZVFVGVHDVGDUCVFADEUDOZVFDEPZCPZVFDWOUECDUFZUGUHEDFZVIWAMIVFWRVGAVHVT
      AEDUIZEDCUJQORSVFVQWHEDWMVFVLVPDVFVLDUKVFVODBWKVFVMVNDVFDBWPWQULVFVGDCWLW
      NUMUNUOUPVFWRVQWHMVFWRLZVLWDVPWGWRVLWDMVFEDBUQTWTVOWFBWTVNWEVMWTVGACVFWRC
      WLCDEURUSWRVGAMVFWSTUTVAVEVBVCRQSVD $.
  $}

  ${
    $d x w $.  $d y w $.  $d z w $.  $d w ph $.
    $( Lemma for the Axiom of Replacement with no distinct variable conditions.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 2-Jan-2002.)  (Proof shortened by Mario Carneiro,
       6-Dec-2016.)  (New usage is discouraged.) $)
    axrepndlem2 $p |- ( ( ( -. A. x x = y /\ -. A. x x = z ) /\ -. A. y y = z )
                 -> E. x ( E. y A. z ( ph -> z = y ) ->
                     A. z ( z e. x <-> E. x ( x e. y /\ A. y ph ) ) ) ) $=
      ( vw weq wal wn wa wi wex wel wb nfnae nfan cv wnfc adantl adantr nfeqd
      wsb axrepndlem1 wnf nfs1v nfcvf nfimd nfald nfexd nfcvd nfeld nfand nfbid
      a1i nfv nfcvf2 nfan1 sbequ12r imbi1d albid exbid elequ2 elequ1 anbi12d ex
      cbvexd bibi12d imbi12d syl5ib imp ) BCFBGHZBDFBGHZIZCDFCGHZADCFZJZDGZCKZD
      BLZBCLZACGZIZBKZMZDGZJZBKZVMABEUAZVNJZDGZCKZDELZECLZWGCGZIZEKZMZDGZJZEKVL
      WFWGECDUBVLWRWEEBVJVKBBCBNBDBNOZVLWJWQBVLWIBCVJVKCBCCNBDCNOZVLWHBDVJVKDBC
      DNBDDNOZVLWGVNBWGBUCVLABEUDUMZVLBDPZCPZVKBXCQVJBDUERZVJBXDQVKBCUESZTUFUGU
      HVLWPBDXAVLWKWOBVLBXCEPZXEVLBXGUIZUJVLWNBEVLEUNVLWLWMBVLBXGXDXHXFUJVLWGBC
      WTXBUGUKZUHULUGUFVLEBFZWRWEMVLXJIZWJVQWQWDXKWIVPCVLXJCWTVLCXGBPZVLCXGUIVJ
      CXLQVKBCUOSTUPZXKWHVODVLXJDXAVLDXGXLVLDXGUIVKDXLQVJBDUORTUPZXJWHVOMVLXJWG
      AVNAEBUQZURRUSUTXKWPWCDXNXKWKVRWOWBXJWKVRMVLEBDVARVLWOWBMXJVLWNWAEBWSXIVL
      XJWNWAMXKWLVSWMVTXJWLVSMVLEBCVBRXKWGACXMXJWGAMVLXORUSVCVDVESVFUSVGVDVEVHV
      I $.
  $}

  $( A version of the Axiom of Replacement with no distinct variable
     conditions.  Usage of this theorem is discouraged because it depends on
     ~ ax-13 .  (Contributed by NM, 2-Jan-2002.)
     (New usage is discouraged.) $)
  axrepnd $p |- E. x ( E. y A. z ( ph -> z = y ) ->
               A. z ( A. y z e. x <-> E. x ( A. z x e. y /\ A. y ph ) ) ) $=
    ( weq wal wi wex wa wn nfnae nfan cv wnfc nfcvf2 nfae intnanrd nexd 2falsed
    aecoms wb axrepndlem2 nfcvf adantl ad2antrr nfeld nf5rd sp impbid1 ad2antlr
    wel anbi1d exbid bibi12d albid imbi2d mpbid exp31 nd2 nd3 alrimi a1d 19.8ad
    nd4 nd1 pm2.61iii ) BCEBFZBDEBFZCDECFZADCEGDFCHZDBUKZCFZBCUKZDFZACFZIZBHZUA
    ZDFZGZBHZVGJZVHJZVIJZWAWBWCIZWDIZVJVKVMVOIZBHZUAZDFZGZBHWAABCDUBWFWKVTBWEWD
    BWBWCBBCBKBDBKLCDBKLZWFWJVSVJWFWIVRDWEWDDWBWCDBCDKBDDKLCDDKLWFVKVLWHVQWFVKV
    LWFVKCWFCDMZBMZWDCWMNWECDUCUDWBCWNNWCWDBCOUEUFUGVKCUHUIWFWGVPBWLWFVMVNVOWFV
    MVNWFVMDWFDWNCMZWCDWNNWBWDBDOUJWDDWONWECDOUDUFUGVMDUHUIULUMUNUOUPUMUQURVGVT
    BVGVSVJVGVRDBCDPVGVLVQVLJCBCBDUSTVGVPBBCBPVGVNVOBCDUTQRSVAVBVCVHVTBVHVSVJVH
    VRDBDDPVHVLVQBDCVDVHVPBBDBPVHVNVOVNJZDBDBCVETQRSVAVBVCVIVTBVIVSVJVIVRDCDDPV
    IVLVQCDBVEVIVPBCDBPVIVNVOWPDCDCBUSTQRSVAVBVCVF $.

  ${
    $d x y w $.  $d x z w $.
    $( Lemma for the Axiom of Union with no distinct variable conditions.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 2-Jan-2002.)  (New usage is discouraged.) $)
    axunndlem1 $p |- E. x A. y ( E. x ( y e. x /\ x e. z ) -> y e. x ) $=
      ( vw weq wal wel wa wi wn cv en2lp elequ2 anbi2d mtbii nexdv nfnae exbidv
      wex sps pm2.21d axc4i 19.8ad zfun nfcvf nfcrd nfand nfexd nfimd wb elequ1
      nfvd anbi1d imbi12d a1i cbvald mpbii pm2.61i ) BCEZBFZBAGZACGZHZASZVAIZBF
      ZASZUTVFAUSVEBUTVDVAUTVCAUSVCJBUSVAABGZHVCBKAKLUSVHVBVABCAMNOTPUAUBUCUTJZ
      DAGZVBHZASZVJIZDFZASVGADCUDVIVNVFAVIVMVEDBBCBQVIVLVJBVIVKBABCAQVIVJVBBVIV
      JBULZVIBACKBCUEUFUGUHVOUIDBEZVMVEUJIVIVPVLVDVJVAVPVKVCAVPVJVAVBDBAUKZUMRV
      QUNUOUPRUQUR $.
  $}

  ${
    $d x w $.  $d y w $.  $d z w $.
    $( A version of the Axiom of Union with no distinct variable conditions.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 2-Jan-2002.)  (New usage is discouraged.) $)
    axunnd $p |- E. x A. y ( E. x ( y e. x /\ x e. z ) -> y e. x ) $=
      ( vw weq wal wel wa wex wi wn nfnae nfan cv wnfc nfcvf adantr nfcvd nfae
      wb axunndlem1 nfv nfeld adantl nfand nfexd nfimd nfald nfcvf2 nfeqd nfan1
      elequ2 elequ1 anbi12d a1i cbvexd imbi12d albid ex mpbii elirrv mtbiri sps
      intnanrd nexd pm2.21d alrimi 19.8ad intnand pm2.61ii ) ABEZAFZACEZAFZBAGZ
      ACGZHZAIZVOJZBFZAIZVLKZVNKZWAWBWCHZBDGZDCGZHZDIZWEJZBFZDIWADBCUAWDWJVTDAW
      BWCAABALACALMZWDWIABWBWCBABBLACBLMZWDWHWEAWDWGADWDDUBWDWEWFAWDABNZDNZWBAW
      MOWCABPQWDAWNRZUCZWDAWNCNZWOWCAWQOWBACPUDUCUEZUFWPUGUHWDDAEZWJVTTWDWSHZWI
      VSBWDWSBWLWDBWNANZWDBWNRWBBXAOWCABUIQUJUKWTWHVRWEVOWDWHVRTWSWDWGVQDAWKWRW
      SWGVQTJWDWSWEVOWFVPDABULZDACUMUNUOUPQWSWEVOTWDXBUDUQURUSUPUTUSVLVTAVLVSBA
      BBSVLVRVOVLVQAABASVKVQKZAVKVOVPVKVOBBGBVAABBULVBVDVCVEVFVGVHVNVTAVNVSBACB
      SVNVRVOVNVQAACASVMXCAVMVPVOVMVPCCGCVAACCUMVBVIVCVEVFVGVHVJ $.
  $}

  $( Lemma for the Axiom of Power Sets with no distinct variable conditions.
     (Contributed by NM, 4-Jan-2002.) $)
  axpowndlem1 $p |- ( A. x x = y -> ( -. x = y ->
             E. x A. y ( A. x ( E. z x e. y -> A. y x e. z ) -> y e. x ) ) ) $=
    ( weq wn wel wex wal wi pm2.24 sps ) ABDZLEABFCGACFBHIAHBAFIBHAGZIALMJK $.

  ${
    $d x w $.  $d z y w $.
    $( Lemma for the Axiom of Power Sets with no distinct variable conditions.
       Revised to remove a redundant antecedent from the consequence.  Usage of
       this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 4-Jan-2002.)  (Proof shortened by Mario Carneiro,
       6-Dec-2016.)  (Revised and shortened by Wolf Lammen, 9-Jun-2019.)
       (New usage is discouraged.) $)
    axpowndlem2 $p |- ( -. A. x x = y -> ( -. A. x x = z ->
         E. x A. y ( A. x ( E. z x e. y -> A. y x e. z ) -> y e. x ) ) ) $=
      ( vw weq wal wel wex wi wa nfnae cv nfeld adantr nfald adantl wb nfan1 ex
      wnf wn zfpow 19.8a imim12i alimi imim1i eximii nfan nfv nfcvd nfcvf nfexd
      sp nfimd nfeqf2 naecoms elequ1 exbid adantll albid adantlr imbi12d cbvald
      elequ2 cbvexd mpbii ) ABEAFUAZACEAFUAZABGZCHZACGZBFZIZAFZBAGZIZBFZAHZVGVH
      JZDBGZCHZDCGZBFZIZDFZBDGZIZBFZDHVRVTWBIZDFZWFIZBFWHDDBCUBWKWGBWEWJWFWDWID
      VTWAWCWBVTCUCWBBUMUDUEUFUEUGVSWHVQDAVGVHAABAKACAKUHZVSWGABVGVHBABBKZACBKZ
      UHZVSWEWFAVSWDADVSDUIVSWAWCAVGWAATVHVGVTACABCKVGADLZBLZVGAWPUJZABUKZMULNV
      HWCATVGVHWBABWNVHAWPCLVHAWPUJACUKMOPUNZOVGWFATVHVGAWQWPWSWRMNUNOVSDAEZWHV
      QQVSXAJZWGVPBVSXABWOVGXABTZVHXCBABADUOUPZNRXBWEVNWFVOVSWEVNQXAVSWDVMDAWLW
      TVSXAWDVMQXBWAVJWCVLVHXAWAVJQVGVHXAJVTVICVHXACACCKXACTCACADUOUPRXAVTVIQVH
      DABUQPURUSVGXAWCVLQVHVGXAJWBVKBVGXABWMXDRXAWBVKQVGDACUQPUTVAVBSVCNXAWFVOQ
      VSDABVDPVBUTSVEVFS $.
  $}

  ${
    $d x w $.  $d y z w $.
    $( Lemma for the Axiom of Power Sets with no distinct variable conditions.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 4-Jan-2002.)  (Revised by Mario Carneiro,
       10-Dec-2016.)  (Proof shortened by Wolf Lammen, 10-Jun-2019.)
       (New usage is discouraged.) $)
    axpowndlem3 $p |- ( -. x = y ->
               E. x A. y ( A. x ( E. z x e. y -> A. y x e. z ) -> y e. x ) ) $=
      ( vw weq wal wel wex wi wn cv c0 wceq wcel nfnae nfeld adantl exbid nfae
      wb sp csn p0ex eleq2 imbi2d albidv spcev 0ex snid mpbiri mpg neq0 con1bii
      eleq1 imbi1i albii exbii mpbir nfcvf2 nfcvd nfexd nfnd nfimd nfeqf2 nfan1
      wa elequ2 notbid elequ1 imbi12d cbvald mpbii axc11r alnex 3imtr3g pm2.21d
      ex nd3 jad spsd imim1d alimd eximd syl5com axpowndlem2 pm2.61d nsyl5 ) AB
      EZAFZWHABGZCHZACGBFZIZAFZBAGZIZBFZAHZWHAUAWIJZACEAFZWRWSWJAHZJZWOIZBFZAHZ
      WTWRWSADGZAHZJZDAGZIZDFZAHZXEXLDKZLMZXIIZDFZAHZXNXMLUBZNZIZXQDXPXTDFAXRUC
      AKZXRMZXOXTDYBXIXSXNYAXRXMUDUEUFUGXNXSLXRNLUHUIXMLXRUNUJUKXKXPAXJXODXHXNX
      IXNXGAXMULUMUOUPUQURWSXKXDAABAOZWSXJXCDBABBOWSXHXIBWSXGBWSXFBAYCWSBYAXMAB
      USZWSBXMUTZPVAVBWSBXMYAYEYDPVCWSDBEZXJXCTWSYFVFZXHXBXIWOYGXGXAYGXFWJAWSYF
      AYCABDVDVEYFXFWJTWSDBAVGQRVHYFXIWOTWSDBAVIQVJVQVKRVLWTXDWQAACASWTXCWPBACB
      SWTWNXBWOWTWMXBAWTWKWLXBWTWJJZCFYHAFWKJXBYHCAVMWJCVNWJAVNVOWTWLXBACBVRVPV
      SVTWAWBWCWDABCWEWFWG $.
  $}

  ${
    $d x w $.  $d y w $.  $d z w $.
    $( Lemma for the Axiom of Power Sets with no distinct variable conditions.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 4-Jan-2002.)  (Proof shortened by Mario Carneiro,
       10-Dec-2016.)  (New usage is discouraged.) $)
    axpowndlem4 $p |- ( -. A. y y = x -> ( -. A. y y = z -> ( -. x = y
      -> E. x A. y ( A. x ( E. z x e. y -> A. y x e. z ) -> y e. x ) ) ) ) $=
      ( vw weq wal wn wel wi nfnae nfan cv wnfc adantr nfcvd nfeqd nfeld adantl
      wex wb axpowndlem3 ax-gen nfcvf nfnd nfv nfexd nfald nfimd equequ2 notbid
      wa nfcvf2 nfan1 elequ2 exbid biidd cbvald imbi12d albid elequ1 ex 19.21bi
      a1i mpbii ) BAEBFGZBCEBFGZABEZGZABHZCSZACHZBFZIZAFZBAHZIZBFZASZIZVEVFUKZV
      SBVTADEZGZADHZCSZVKDFZIZAFZDAHZIZDFZASZIZDFVSBFWLDADCUAUBVTWLVSDBVEVFBBAB
      JBCBJKZVTWBWKBVTWABVTBALZDLZVEBWNMVFBAUCNZVTBWOOZPUDVTWJBAVEVFABAAJBCAJKZ
      VTWIBDVTDUEZVTWGWHBVTWFBAWRVTWDWEBVTWCBCVEVFCBACJBCCJKZVTBWNWOWPWQQUFVTVK
      BDWSVTBWNCLZWPVFBXAMVEBCUCRQZUGUHUGVTBWOWNWQWPQUHZUGUFUHVTDBEZWLVSTVTXDUK
      ZWBVHWKVRXDWBVHTVTXDWAVGDBAUIUJRVTWKVRTXDVTWJVQAWRVTWIVPDBWMXCVTXDWIVPTXE
      WGVNWHVOXEWFVMAVTXDAWRVTAWOBLZVTAWOOVEAXFMVFBAULNPUMXEWDVJWEVLXEWCVICVTXD
      CWTVTCWOXFVTCWOOVFCXFMVEBCULRPUMXDWCVITVTDBAUNRUOVTWEVLTXDVTVKVKDBWMXBXDV
      KVKTIVTXDVKUPVCUQNURUSXDWHVOTVTDBAUTRURVAUQUONURVAUQVDVBVA $.
  $}

  ${
    $d x w $.  $d y w $.
    $( A version of the Axiom of Power Sets with no distinct variable
       conditions.  Usage of this theorem is discouraged because it depends on
       ~ ax-13 .  (Contributed by NM, 4-Jan-2002.)
       (New usage is discouraged.) $)
    axpownd $p |- ( -. x = y ->
               E. x A. y ( A. x ( E. z x e. y -> A. y x e. z ) -> y e. x ) ) $=
      ( vw weq wal wn wel wex wi axpowndlem4 axpowndlem1 aecoms a1d wa nfnae cv
      wb 19.8ad alnex nfae nfan el nfcvf2 nfcvd nfeld elequ2 cbvexd mpbii df-ex
      a1i sylib adantr biidd dral1 3bitr3g nd2 mtt syl bitrd dral2 adantl mtbid
      pm2.21d alrimi ex pm2.61i pm2.61ii ) BAEBFBCEBFZABEZGZABHZCIZACHBFZJZAFZB
      AHZJZBFZAIZJZABCKWAABABCLZMVJAFZVIWAJWCWAVIWBNWCGZVIWAWDVIOZVTVKWEVSAWEVR
      BWDVIBABBPZBCBUAUBWEVPVQWEVLBIZGZAFZVPWDWIGZVIWDWGAIWJWDWGAWDADHZDIWGADUC
      WDWKVLDBWFWDBAQDQZABUDWDBWLUEUFDBEWKVLRJWDDBAUGUKUHUISWGAUJULUMVIWIVPRWDW
      HVOBCAVIWHVMGZVOVIVLGZBFWNCFWHWMWNWNBCVIWNUNUOVLBTVLCTUPVIVNGWMVORBCAUQVN
      VMURUSUTVAVBVCVDVESNVFVGVH $.
  $}

$(
  @{
    @d x z @.  @d y z @.
    axpowndNEWlem1 @p |- ( A. x x = y ->
        ( ( A. x x = y -> E. z A. x ( E. z z e. y -> x e. z ) )
         -> E. x A. y ( A. x ( E. z x e. y -> A. y x e. z ) -> y e. x ) ) ) @=
      ( weq wal wel wex wi cv csn c0 wceq wn wcel wa en2lp vex snid biantru
      mtbir snnzOLD a1bi mtbi neq0 imbi1i albii bicomi snex eqeq1 notbid eleq1
    imbi12d spcv sylbi mto hbae wb elequ2 sps exbidv imbi1d albidh mtbii nexdv
     pm2.21d a2i com12 ) ABDZAEZCBFZCGZACFZHZAEZCGZHVIABFCGVLBEHAEBAFHBEAGZVIVO
      VPVIVOVPVIVNCVICAFZCGZVLHZAEZVNVTCIZJZKLZMZWBWANZHZWEWFWEWEWAWBNZOWBWAPWG
      WEWACQZRSTWDWEWAWHUAUBUCVTAIZKLZMZVLHZAEZWFWMVTWLVSAWKVRVLCWIUDUEUFUGWLWF
      AWBWAUHWIWBLZWKWDVLWEWNWJWCWIWBKUIUJWIWBWAUKULUMUNUOVIVSVMAABAUPVIVRVKVLV
      IVQVJCVHVQVJUQAABCURUSUTVAVBVCVDVEVFVG @.
  @}

  @{
    @d x w @.  @d y w @.
   axpowndNEW @p |- ( ( A. x x = y -> E. z A. x ( E. z z e. y -> x e. z ) ) ->
               E. x A. y ( A. x ( E. z x e. y -> A. y x e. z ) -> y e. x ) ) @=
?@.
  @}
$)

  $( Lemma for the Axiom of Regularity with no distinct variable conditions.
     Usage of this theorem is discouraged because it depends on ~ ax-13 .
     (Contributed by NM, 3-Jan-2002.)  (New usage is discouraged.) $)
  axregndlem1 $p |- ( A. x x = z -> ( x e. y ->
               E. x ( x e. y /\ A. z ( z e. x -> -. z e. y ) ) ) ) $=
    ( wel wex weq wal wn wi wa 19.8a nfae elirrv elequ1 mtbii sps alrimi anim2i
    pm2.21d expcom eximd syl5 ) ABDZUCAEACFZAGZUCCADZCBDHZIZCGZJZAEUCAKUEUCUJAA
    CALUCUEUJUEUIUCUEUHCACCLUEUFUGUDUFHAUDAADUFAMACANOPSQRTUAUB $.

  ${
    $d x w $.  $d z y w $.
    $( Lemma for the Axiom of Regularity with no distinct variable conditions.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 3-Jan-2002.)  (Proof shortened by Mario Carneiro,
       10-Dec-2016.)  (New usage is discouraged.) $)
    axregndlem2 $p |- ( x e. y ->
                 E. x ( x e. y /\ A. z ( z e. x -> -. z e. y ) ) ) $=
      ( vw weq wal wel wn wi wa wex nfnae nfan cv nfcvd wnfc nfcvf nfeld wb ex
      axreg2 ax-gen adantr nfv adantl nfnd nfimd nfald nfand nfexd simpr eleq1d
      nfcvf2 nfeqd nfan1 eleq2d imbi1d albid anbi12d cbvexd cbvald mpbii elirrv
      imbi12d 19.21bi elequ2 mtbii sps pm2.21d axregndlem1 pm2.61ii ) ABEZAFZAC
      EAFZABGZVOCAGZCBGZHZIZCFZJZAKZIZVMHZVNHZWCWDWEJZWCAWFDBGZWGCDGZVRIZCFZJZD
      KZIZDFWCAFWMDDBCUAUBWFWMWCDAWDWEAABALACALMZWFWGWLAWFADNZBNZWFAWOOZWDAWPPW
      EABQUCZRZWFWKADWFDUDWFWGWJAWSWFWIACWDWECABCLACCLMZWFWHVRAWFACNZWOWEAXAPWD
      ACQUEZWQRWFVQAWFAXAWPXBWRRUFUGUHUIZUJUGWFDAEZWMWCSWFXDJZWGVOWLWBXEWOANZWP
      WFXDUKZULZWFWLWBSXDWFWKWADAWNXCWFXDWKWASXEWGVOWJVTXHXEWIVSCWFXDCWTWFCWOXF
      WFCWOOWECXFPWDACUMUEUNUOXEWHVPVRXEWOXFXAXGUPUQURUSTUTUCVDTVAVBVETVMVOWBVL
      VOHAVLAAGVOAVCABAVFVGVHVIABCVJVK $.
  $}

  ${
    $d x w $.  $d y w $.  $d z w $.
    $( A version of the Axiom of Regularity with no distinct variable
       conditions.  Usage of this theorem is discouraged because it depends on
       ~ ax-13 .  (Contributed by NM, 3-Jan-2002.)  (Proof shortened by Wolf
       Lammen, 18-Aug-2019.)  (New usage is discouraged.) $)
    axregnd $p |- ( x e. y ->
                 E. x ( x e. y /\ A. z ( z e. x -> -. z e. y ) ) ) $=
      ( vw weq wal wel wn wi wa wex axregndlem2 nfnae wnf cv nfcvf nfcrd adantr
      nfan elequ1 adantl nfimd wb notbid imbi12d a1i cbvald anbi2d exbid syl5ib
      nfnd axregndlem1 aecoms 19.8a elirrv elequ2 mtbii a1d alimi anim2i expcom
      ex nfae eximd syl5 pm2.61ii ) CAECFZCBEZCFZABGZVJCAGZCBGZHZIZCFZJZAKZIZVG
      HZVIHZVRVJVJDAGZDBGZHZIZDFZJZAKVSVTJZVQABDLWGWFVPAVSVTACAAMCBAMSWGWEVOVJW
      GWDVNDCVSVTCCACMCBCMSWGWAWCCVSWACNVTVSCDAOCAPQRVTWCCNVSVTWBCVTCDBOCBPQUKU
      AUBDCEZWDVNUCIWGWHWAVKWCVMDCATWHWBVLDCBTUDUEUFUGUHUIUJVBVRACABCULUMVJVJAK
      VIVQVJAUNVIVJVPACBAVCVJVIVPVIVOVJVHVNCVHVMVKVHCCGVLCUOCBCUPUQURUSUTVAVDVE
      VF $.
  $}

  ${
    $d x w $.  $d z y w $.
    $( Lemma for the Axiom of Infinity with no distinct variable conditions.
       (New usage is discouraged.)  (Contributed by NM, 5-Jan-2002.) $)
    axinfndlem1 $p |- ( A. x y e. z -> E. x ( y e. x /\
                 A. y ( y e. x -> E. z ( y e. z /\ z e. x ) ) ) ) $=
      ( vw weq wal wel wa wex wi wn nfnae nfan cv wnfc nfcvf adantr nfcvd nfeld
      adantl zfinf nfand nfexd nfimd nfald wb simpr eleq2d nfcvf2 elequ2 anbi2d
      nfeqd nfan1 exbid imbi12d albid anbi12d cbvexd mpbii a1d pm2.21d pm2.61ii
      ex nd1 nd2 ) ABEAFZACEAFZBCGZAFZBAGZVJVHCAGZHZCIZJZBFZHZAIZJZVFKZVGKZVRVS
      VTHZVQVIWABDGZWBVHCDGZHZCIZJZBFZHZDIVQDBCUAWAWHVPDAVSVTAABALACALMWAWBWGAW
      AABNZDNZVSAWIOVTABPQZWAAWJRZSZWAWFABVSVTBABBLACBLMZWAWBWEAWMWAWDACVSVTCAB
      CLACCLMZWAVHWCAWAAWICNZWKVTAWPOVSACPTZSWAAWPWJWQWLSUBUCUDUEUBWADAEZWHVPUF
      WAWRHZWBVJWGVOWSWJANZWIWAWRUGUHZWSWFVNBWAWRBWNWABWJWTWABWJRVSBWTOVTABUIQU
      LUMWSWBVJWEVMXAWSWDVLCWAWRCWOWACWJWTWACWJRVTCWTOVSACUITULUMWRWDVLUFWAWRWC
      VKVHDACUJUKTUNUOUPUQVCURUSUTVCVFVIVQABCVDVAVGVIVQACBVEVAVB $.
  $}

  ${
    $d x w $.  $d y w $.  $d z w $.
    $( A version of the Axiom of Infinity with no distinct variable conditions.
       (New usage is discouraged.)  (Contributed by NM, 5-Jan-2002.) $)
    axinfnd $p |- E. x ( y e. z -> ( y e. x /\
                 A. y ( y e. x -> E. z ( y e. z /\ z e. x ) ) ) ) $=
      ( vw wel wa wex wi wal weq wn nfnae nfan cv nfcvd wnfc nfeld adantr wb ex
      axinfndlem1 ax-gen nfcvf adantl nfald nfand nfexd nfimd nfeqd nfan1 simpr
      nfcvf2 eleq1d albid anbi1d exbid imbi12d cbvald anbi12d mpbii 19.21bi nd1
      aecoms pm2.21d nd3 pm2.61ii 19.35ri ) BCEZBAEZVIVHCAEZFZCGZHZBIZFZABAJBIZ
      BCJBIZVHAIZVOAGZHZVPKZVQKZVTWAWBFZVTBWCDCEZAIZDAEZWFWDVJFZCGZHZDIZFZAGZHZ
      DIVTBIWMDADCUAUBWCWMVTDBWAWBBBABLBCBLMZWCWEWLBWCWDBAWAWBABAALBCALMZWCBDNZ
      CNZWCBWPOZWBBWQPWABCUCUDZQZUEWCWKBAWOWCWFWJBWCBWPANZWRWABXAPWBBAUCRZQZWCW
      IBDWAWBDBADLBCDLMWCWFWHBXCWCWGBCWAWBCBACLBCCLMZWCWDVJBWTWCBWQXAWSXBQUFUGU
      HZUEUFUGUHWCDBJZWMVTSWCXFFZWEVRWLVSXGWDVHAWCXFAWOWCAWPBNZWCAWPOWAAXHPWBBA
      ULRUIUJZXGWPXHWQWCXFUKZUMZUNXGWKVOAXIXGWFVIWJVNXGWPXHXAXJUMZWCWJVNSXFWCWI
      VMDBWNXEWCXFWIVMSXGWFVIWHVLXLXGWGVKCWCXFCXDWCCWPXHWCCWPOWBCXHPWABCULUDUIU
      JXGWDVHVJXKUOUPUQTURRUSUPUQTURUTVATVPVRVSVRKABABCVBVCVDVQVRVSBCAVEVDVFVG
      $.
  $}

  $( Lemma for the Axiom of Choice with no distinct variable conditions.  Usage
     of this theorem is discouraged because it depends on ~ ax-13 .
     (Contributed by NM, 3-Jan-2002.)  (New usage is discouraged.) $)
  axacndlem1 $p |- ( A. x x = y ->
            E. x A. y A. z ( A. x ( y e. z /\ z e. w ) -> E. w A. y ( E. w
          ( ( y e. z /\ z e. w ) /\ ( y e. w /\ w e. x ) ) <-> y = w ) ) ) $=
    ( weq wal wel wa wex wb wi nfae simpl alimi nd1 pm2.21d syl5 alrimi 19.8ad
    ) ABEAFZBCGZCDGZHZAFZUCBDGDAGHHDIBDEJBFDIZKZCFZBFATUGBABBLTUFCABCLUDUAAFZTU
    EUCUAAUAUBMNTUHUEABCOPQRRS $.

  $( Lemma for the Axiom of Choice with no distinct variable conditions.  Usage
     of this theorem is discouraged because it depends on ~ ax-13 .
     (Contributed by NM, 3-Jan-2002.)  (New usage is discouraged.) $)
  axacndlem2 $p |- ( A. x x = z ->
            E. x A. y A. z ( A. x ( y e. z /\ z e. w ) -> E. w A. y ( E. w
          ( ( y e. z /\ z e. w ) /\ ( y e. w /\ w e. x ) ) <-> y = w ) ) ) $=
    ( weq wal wel wa wex wb wi nfae simpr alimi nd1 pm2.21d syl5 alrimi 19.8ad
    ) ACEAFZBCGZCDGZHZAFZUCBDGDAGHHDIBDEJBFDIZKZCFZBFATUGBACBLTUFCACCLUDUBAFZTU
    EUCUBAUAUBMNTUHUEACDOPQRRS $.

  $( Lemma for the Axiom of Choice with no distinct variable conditions.  Usage
     of this theorem is discouraged because it depends on ~ ax-13 .
     (Contributed by NM, 3-Jan-2002.)  (New usage is discouraged.) $)
  axacndlem3 $p |- ( A. y y = z ->
            E. x A. y A. z ( A. x ( y e. z /\ z e. w ) -> E. w A. y ( E. w
          ( ( y e. z /\ z e. w ) /\ ( y e. w /\ w e. x ) ) <-> y = w ) ) ) $=
    ( weq wal wel wa wex wb wi nfae simpl alimi nd3 pm2.21d alrimi axc4i 19.8ad
    syl5 ) BCEZBFZBCGZCDGZHZAFZUEBDGDAGHHDIBDEJBFDIZKZCFZBFAUAUIBUBUHCBCCLUFUCA
    FZUBUGUEUCAUCUDMNUBUJUGBCAOPTQRS $.

  ${
    $d x v $.  $d y z w v $.
    $( Lemma for the Axiom of Choice with no distinct variable conditions.
       (New usage is discouraged.)  (Contributed by NM, 8-Jan-2002.)  (Proof
       shortened by Mario Carneiro, 10-Dec-2016.) $)
    axacndlem4 $p |- E. x A. y A. z ( A. x ( y e. z /\ z e. w ) ->
              E. w A. y ( E. w ( ( y e. z /\ z e. w ) /\ ( y e. w /\ w e. x ) )
                     <-> y = w ) ) $=
      ( vv weq wal wel wa wex wb wi wn nfnae nf3an cv wnfc nfeld nfcvd nfeqd sp
      w3a nfcvf 3ad2ant2 3ad2ant1 3ad2ant3 nfand nfexd nfbid nfald nfimd nfcvf2
      nfan1 nf5rd adantr impbid1 simpr eleq2d anbi2d exbid bibi1d albid imbi12d
      zfac ex cbvexd mpbii 3exp axacndlem2 axacndlem1 nfae alimi pm2.21d alrimi
      nd2 syl5 19.8ad pm2.61iii ) ACFAGZABFAGZADFAGZBCHZCDHZIZAGZWDBDHZDAHZIZIZ
      DJZBDFZKZBGZDJZLZCGZBGZAJZVSMZVTMZWAMZWRWSWTXAUBZWDWDWFDEHZIZIZDJZWKKZBGZ
      DJZLZCGZBGZEJWREBCDVDXBXLWQEAWSWTXAAACANABANADANOXBXKABWSWTXABACBNABBNADB
      NOZXBXJACWSWTXACACCNABCNADCNOZXBWDXIAXBWBWCAXBABPZCPZWTWSAXOQXAABUCUDZWSW
      TAXPQXAACUCUEZRXBAXPDPZXRXAWSAXSQWTADUCUFZRUGZXBXHADWSWTXADACDNABDNADDNOZ
      XBXGABXMXBXFWKAXBXEADYBXBWDXDAYAXBWFXCAXBAXOXSXQXTRXBAXSEPZXTXBAYCSRUGUGU
      HXBAXOXSXQXTTUIUJUHUKUJUJXBEAFZXLWQKXBYDIZXKWPBXBYDBXMXBBYCAPZXBBYCSWTWSB
      YFQXAABULUDTUMZYEXJWOCXBYDCXNXBCYCYFXBCYCSWSWTCYFQXAACULUETUMYEWDWEXIWNYE
      WDWEXBWDWELYDXBWDAYAUNUOWDAUAUPYEXHWMDXBYDDYBXBDYCYFXBDYCSXAWSDYFQWTADULU
      FTUMZYEXGWLBYGYEXFWJWKYEXEWIDYHYEXDWHWDYEXCWGWFYEYCYFXSXBYDUQURUSUSUTVAVB
      UTVCVBVBVEVFVGVHABCDVIABCDVJWAWQAWAWPBADBVKWAWOCADCVKWEWCAGZWAWNWDWCAWBWC
      UQVLWAYIWNADCVOVMVPVNVNVQVR $.
  $}

  ${
    $d x v $.  $d y v $.  $d z w v $.
    $( Lemma for the Axiom of Choice with no distinct variable conditions.
       (New usage is discouraged.)  (Contributed by NM, 3-Jan-2002.)  (Proof
       shortened by Mario Carneiro, 10-Dec-2016.) $)
    axacndlem5 $p |- E. x A. y A. z ( A. x ( y e. z /\ z e. w ) ->
              E. w A. y ( E. w ( ( y e. z /\ z e. w ) /\ ( y e. w /\ w e. x ) )
                     <-> y = w ) ) $=
      ( vv weq wal wel wa wex wb wn nfnae nf3an cv nfcvd wnfc nfcvf nfeld nfeqd
      wi w3a axacndlem4 3ad2ant1 3ad2ant3 nfand nfald nfv 3ad2ant2 nfexd nfcvf2
      nfbid nfimd nfan1 simpr eleq1d anbi1d albid anbi12d eqeq1d bibi12d cbvald
      exbid adantr imbi12d mpbii 3exp axacndlem3 axacndlem1 aecoms en2lp elequ2
      ex nfae anbi2d mtbii sps pm2.21d spsd alrimi axc4i 19.8ad pm2.61iii ) BCF
      BGZBAFBGZBDFZBGZBCHZCDHZIZAGZWJBDHZDAHZIZIZDJZWFKZBGZDJZUAZCGZBGZAJZWDLZW
      ELZWGLZXCXDXEXFUBZECHZWIIZAGZXIEDHZWMIZIZDJZEDFZKZEGZDJZUAZCGZEGZAJXCAECD
      UCXGYAXBAXDXEXFABCAMBAAMBDAMNZXGXTXAEBXDXEXFBBCBMBABMBDBMNZXGXSBCXDXEXFCB
      CCMBACMBDCMNZXGXJXRBXGXIBAYBXGXHWIBXGBEOZCOZXGBYEPZXDXEBYFQXFBCRUDZSXGBYF
      DOZYHXFXDBYIQXEBDRUEZSUFZUGXGXQBDXDXEXFDBCDMBADMBDDMNZXGXPBEXGEUHXGXNXOBX
      GXMBDYLXGXIXLBYKXGXKWMBXGBYEYIYGYJSXGBYIAOZYJXEXDBYMQXFBARUISUFUFUJXGBYEY
      IYGYJTULZUGUJUMUGXGEBFZXTXAKXGYOIZXSWTCXGYOCYDXGCYEBOZXGCYEPXDXECYQQXFBCU
      KUDTUNYPXJWKXRWSYPXIWJAXGYOAYBXGAYEYQXGAYEPXEXDAYQQXFBAUKUITUNYPXHWHWIYPY
      EYQYFXGYOUOZUPUQZURXGXRWSKYOXGXQWRDYLXGXPWQEBYCYNXGYOXPWQKYPXNWPXOWFYPXMW
      ODXGYODYLXGDYEYQXGDYEPXFXDDYQQXEBDUKUETUNYPXIWJXLWNYSYPXKWLWMYPYEYQYIYRUP
      UQUSVCYPYEYQYIYRUTVAVMVBVCVDVEURVMVBVCVFVGABCDVHXCABABCDVIVJWGXBAWFXABWGW
      TCBDCVNWGWJWSAWGWJWSWFWJLBWFWHCBHZIWJYQYFVKWFYTWIWHBDCVLVOVPVQVRVSVTWAWBW
      C $.
  $}

  ${
    $d x v $.  $d y v $.  $d z v $.  $d w v $.
    $( A version of the Axiom of Choice with no distinct variable conditions.
       (New usage is discouraged.)  (Contributed by NM, 3-Jan-2002.)  (Proof
       shortened by Mario Carneiro, 10-Dec-2016.) $)
    axacnd $p |- E. x A. y A. z ( A. x ( y e. z /\ z e. w ) -> E. w A. y
       ( E. w ( ( y e. z /\ z e. w ) /\ ( y e. w /\ w e. x ) ) <-> y = w ) ) $=
      ( vv weq wal wel wa wex wb wn nfnae nf3an cv wnfc nfcvf nfcvd nfeld nfeqd
      axacndlem5 3ad2ant2 3ad2ant3 nfand nfald 3ad2ant1 nfexd nfbid nfimd nfan1
      w3a nfcvf2 simpr eleq2d eleq1d anbi12d albid anbi1d bibi1d imbi12d cbvald
      wi exbid ex mpbii 3exp axacndlem2 aecoms axacndlem3 nfae nd3 pm2.21d syl5
      alimi axc4i alrimi 19.8ad pm2.61iii ) CAFCGZCBFCGZCDFZCGZBCHZCDHZIZAGZWEB
      DHZDAHZIZIZDJZBDFZKZBGZDJZVBZCGZBGZAJZVSLZVTLZWBLZWSWTXAXBUKZBEHZEDHZIZAG
      ZXFWIIZDJZWLKZBGZDJZVBZEGZBGZAJWSABEDUAXCXOWRAWTXAXBACAAMCBAMCDAMNZXCXNWQ
      BWTXAXBBCABMCBBMCDBMNZXCXMWPECWTXAXBCCACMCBCMCDCMNXCXGXLCXCXFCAXPXCXDXECX
      CCBOZEOZXAWTCXRPXBCBQUBZXCCXSRZSXCCXSDOZYAXBWTCYBPXACDQUCZSUDZUEXCXKCDWTX
      AXBDCADMCBDMCDDMNZXCXJCBXQXCXIWLCXCXHCDYEXCXFWICYDXCWGWHCXCCXRYBXTYCSXCCY
      BAOZYCWTXACYFPXBCAQUFSUDUDUGXCCXRYBXTYCTUHUEUGUIXCECFZXMWPKXCYGIZXGWFXLWO
      YHXFWEAXCYGAXPXCAXSCOZXCAXSRWTXAAYIPXBCAULUFTUJYHXDWCXEWDYHXSYIXRXCYGUMZU
      NYHXSYIYBYJUOUPZUQYHXKWNDXCYGDYEXCDXSYIXCDXSRXBWTDYIPXACDULUCTUJZYHXJWMBX
      CYGBXQXCBXSYIXCBXSRXAWTBYIPXBCBULUBTUJYHXIWKWLYHXHWJDYLYHXFWEWIYKURVCUSUQ
      VCUTVDVAUQVCVEVFWSACABCDVGVHWSBCABCDVIVHWBWRAWBWQBCDBVJWAWPCWFWDAGZWBWOWE
      WDAWCWDUMVNWBYMWOCDAVKVLVMVOVPVQVR $.
  $}

  ${
    $d x y z w v u t $.
    $( Axiom of Extensionality ~ ax-ext , reproved from conditionless ZFC
       version and predicate calculus.  Usage of this theorem is discouraged
       because it depends on ~ ax-13 .  (Contributed by NM, 15-Aug-2003.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    zfcndext $p |- ( A. z ( z e. x <-> z e. y ) -> x = y ) $=
      ( cv wcel wb wceq axextnd 19.36iv ) CDZADZEJBDZEFKLGCCABHI $.

    $( Axiom of Replacement ~ ax-rep , reproved from conditionless ZFC axioms.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 15-Aug-2003.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    zfcndrep $p |- ( A. w E. y A. z ( A. y ph -> z = y ) ->
                     E. y A. z ( z e. y <-> E. w ( w e. x /\ A. y ph ) ) ) $=
      ( wal cv wceq wi wex wcel wa wb nfe1 nfv nfa1 nfex nfbi nfal exbii elequ2
      nfan nfim anbi1d exbidv bibi2d albidv imbi2d axrepnd 19.3v anbi1i bibi12i
      albii imbi2i mpbi chvar 19.35i 19.3 anbi2i a1i bibi12d cbvexv1 sylib ) AC
      FZDGZCGZHIDFZCJZEFVEEGZKZVIBGZKZVDCFZLZEJZMZDFZEJVEVFKZVLVDLZEJZMZDFZCJVH
      VQEVHVJVIVFKZVMLZEJZMZDFZIZEJZVHVQIZEJCBWJCEVHVQCVGCNVPCDVJVOCVJCOVNCEVLV
      MCVLCOVDCPUBQRSZUCQVFVKHZWHWJEWLWGVQVHWLWFVPDWLWEVOVJWLWDVNEWLWCVLVMCBEUA
      UDUEUFUGUHUEVHVJCFZWCDFZVMLZEJZMZDFZIZEJWIVDECDUIWSWHEWRWGVHWQWFDWMVJWPWE
      VJCUJWOWDEWNWCVMWCDUJUKTULUMUNTUOUPUQVQWBECWKWAEDVRVTEVREOVSENRSVIVFHZVPW
      ADWTVJVRVOVTECDUAVOVTMWTVNVSEVMVDVLVDCACPURUSTUTVAUGVBVC $.

    $( Axiom of Union ~ ax-un , reproved from conditionless ZFC axioms.  Usage
       of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 15-Aug-2003.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    zfcndun $p |- E. y A. z ( E. w ( z e. w /\ w e. x ) -> z e. y ) $=
      ( cv wcel wa wex wi wal axunnd elequ2 elequ1 anbi12d cbvexvw imbi1i albii
      wceq exbii mpbir ) CEZDEZFZUBAEZFZGZDHZUABEZFZIZCJZBHUIUHUDFZGZBHZUIIZCJZ
      BHBCAKUKUPBUJUOCUGUNUIUFUMDBUBUHRUCUIUEULDBCLDBAMNOPQST $.

    $( Axiom of Power Sets ~ ax-pow , reproved from conditionless ZFC axioms.
       The proof uses the "Axiom of Twoness" ~ dtru .  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  (Contributed by NM,
       15-Aug-2003.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    zfcndpow $p |- E. y A. z ( A. w ( w e. z -> w e. x ) -> z e. y ) $=
      ( cv wcel wi wal wceq wn dtru exnal mpbir nfe1 axpownd albii imbi1i exbii
      wex elequ1 exlimi ax-mp 19.9v 19.3v imbi12i mpbi imbi12d cbvalvw ) DEZCEZ
      FZUIAEZFZGZDHZUJBEZFZGZCHZBSUPUJFZUPULFZGZBHZUQGZCHZBSZUTASZVACHZGZBHZUQG
      ZCHZBSZVFUPUJIZJZBSZVMVPVNBHJBCKVNBLMVOVMBVLBNBCAOUAUBVLVEBVKVDCVJVCUQVIV
      BBVGUTVHVAUTAUCVACUDUEPQPRUFUSVEBURVDCUOVCUQUNVBDBUIUPIUKUTUMVADBCTDBATUG
      UHQPRM $.

    $( Axiom of Regularity ~ ax-reg , reproved from conditionless ZFC axioms.
       Usage of this theorem is discouraged because it depends on ~ ax-13 .
       (Contributed by NM, 15-Aug-2003.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    zfcndreg $p |- ( E. y y e. x ->
                 E. y ( y e. x /\ A. z ( z e. y -> -. z e. x ) ) ) $=
      ( cv wcel wn wi wal wa wex nfe1 axregnd exlimi ) BDZADZEZPCDZNEQOEFGCHIZB
      JBRBKBACLM $.

    $( Axiom of Infinity ~ ax-inf , reproved from conditionless ZFC axioms.
       Since we have already reproved Extensionality, Replacement, and Power
       Sets above, we are justified in referencing Theorem ~ el in the proof.
       (New usage is discouraged.)  (Proof modification is discouraged.)
       (Contributed by NM, 15-Aug-2003.) $)
    zfcndinf $p |- E. y ( x e. y /\
                 A. z ( z e. y -> E. w ( z e. w /\ w e. y ) ) ) $=
      ( cv wcel wa wex wi wal el nfv nfe1 nfim nfal nfan axinfnd 19.37iv elequ1
      nfex exlimi ax-mp wceq anbi1d exbidv imbi12d cbvalvw anbi2i exbii mpbir )
      AEZBEZFZCEZULFZUNDEZFZUPULFZGZDHZIZCJZGZBHUMUMUKUPFZURGZDHZIZAJZGZBHZVDDH
      VJADKVDVJDVIDBUMVHDUMDLZVGDAUMVFDVKVEDMNOPTVDVIBBADQRUAUBVCVIBVBVHUMVAVGC
      AUNUKUCZUOUMUTVFCABSVLUSVEDVLUQVDURCADSUDUEUFUGUHUIUJ $.

    $( Axiom of Choice ~ ax-ac , reproved from conditionless ZFC axioms.
       (Contributed by NM, 15-Aug-2003.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    zfcndac $p |- E. y A. z A. w ( ( z e. w /\ w e. x ) -> E. v A. u ( E. t
              ( ( u e. w /\ w e. t ) /\ ( u e. t /\ t e. y ) ) <-> u = v ) ) $=
      ( cv wcel wa wex wceq wb wal wi 2albii exbii elequ2 elequ1 anbi12d axacnd
      imbi1i equequ2 bibi2d anbi2d cbvexvw bibi1i bitrdi albidv equequ1 bibi12d
      19.3v mpbi anbi1d exbidv cbvalvw imbi2i mpbir ) CHZDHZIZUTAHZIZJZFHZUTIZU
      TGHZIZJZVEVGIZVGBHZIZJZJZGKZVEEHZLZMZFNZEKZOZDNCNZBKVDVDUSVBIZVBVKIZJZJZA
      KZUSVBLZMZCNZAKZOZDNCNZBKZVDBNZWKOZDNCNZBKWNBCDAUAWQWMBWPWLCDWOVDWKVDBULU
      BPQUMWBWMBWAWLCDVTWKVDVSWJEAVPVBLZVSVFVCJZVEVBIZWDJZJZAKZVEVBLZMZFNWJWRVR
      XEFWRVRVOXDMXEWRVQXDVOEAFUCUDVOXCXDVNXBGAVGVBLZVIWSVMXAXFVHVCVFGADRUEXFVJ
      WTVLWDGAFRGABSTTUFUGUHUIXEWIFCVEUSLZXCWGXDWHXGXBWFAXGWSVDXAWEXGVFVAVCFCDS
      UNXGWTWCWDFCASUNTUOFCAUJUKUPUHUFUQPQUR $.
  $}

$(
  @{
    @d x y z w @.
    zfcndpowNEW @p |- E. x A. y ( A. x ( x e. y -> x e. z ) -> y e. x ) @=
     ( wel wi wal wex weq wa wb zfcndrep hbae 19.9rOLD equid a1bi albii exbii
       bitri
      imbi1i mpbir 19.37 mpbi ax-gen biantru bibi2i bicomi biimpr sylbi alimi
      eximi syl axpowndNEW ax-mp 19.9rvOLD ax-5 19.3rOLD imbi12i )
      ABDZACDZEZAFZBADZE
      ZBFZAGURCGZUSBFZEZAFZVBEZBFZAGZABHZAFZCBDZCGZUSEZAFZCGZEVKVMUSVNAAHZBFZIZ
      CGZJZAFZCGZVRVMWDEZCGZVMWEEWGVSVLEZAFZBGZWDEZCGVSCBAKWFWKCVMWJWDVMVMBGWJV
      MBABBLMVMWIBVLWHAVSVLANZOPQRSQTVMWDCABCLUAUBWDVQCWCVPAWCUSVOJZVPWMWCVOWBU
      SVNWACVTVNVSBWLUCUDQUEUFUSVOUGUHUIUJUKABCULUMVDVJAVCVIBVAVHVBUTVGAURVEUSV
      FURCUNUSBUSBUOUPUQPSPQT @.
  @}
$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  The Generalized Continuum Hypothesis
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Sets satisfying the Generalized Continuum Hypothesis
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c GCH $.

  $( Extend class notation to include the collection of sets that satisfy the
     GCH. $)
  cgch $a class GCH $.

  ${
    $d x y $.
    $( Define the collection of "GCH-sets", or sets for which the generalized
       continuum hypothesis holds.  In this language the generalized continuum
       hypothesis can be expressed as ` GCH = _V ` .  A set ` x ` satisfies the
       generalized continuum hypothesis if it is finite or there is no set
       ` y ` strictly between ` x ` and its powerset in cardinality.  The
       continuum hypothesis is equivalent to ` _om e. GCH ` .  (Contributed by
       Mario Carneiro, 15-May-2015.) $)
    df-gch $a |- GCH = ( Fin u. { x | A. y -. ( x ~< y /\ y ~< ~P x ) } ) $.
  $}

  ${
    $d x y A $.
    $( Elementhood in the collection of GCH-sets.  (Contributed by Mario
       Carneiro, 15-May-2015.) $)
    elgch $p |- ( A e. V -> ( A e. GCH <-> ( A e. Fin \/
      A. x -. ( A ~< x /\ x ~< ~P A ) ) ) ) $=
      ( vy cgch wcel cfn cv csdm wbr cpw wa wn wal cab cun df-gch eleq2i elun
      wo bitri wceq breq1 pweq breq2d anbi12d notbid albidv elabg orbi2d syl5bb
      ) BEFZBGFZBDHZAHZIJZUOUNKZIJZLZMZANZDOZFZTZBCFZUMBUOIJZUOBKZIJZLZMZANZTUL
      BGVBPZFVDEVLBDAQRBGVBSUAVEVCVKUMVAVKDBCUNBUBZUTVJAVMUSVIVMUPVFURVHUNBUOIU
      CVMUQVGUOIUNBUDUEUFUGUHUIUJUK $.

    $( A finite set is a GCH-set.  (Contributed by Mario Carneiro,
       15-May-2015.) $)
    fingch $p |- Fin C_ GCH $=
      ( vx vy cfn cv csdm wbr cpw wa wn wal cab cun cgch ssun1 df-gch sseqtrri
      ) CCADZBDZEFRQGEFHIBJAKZLMCSNABOP $.

    $d x B $.
    $( The only GCH-sets which have other sets between it and its power set are
       finite sets.  (Contributed by Mario Carneiro, 15-May-2015.) $)
    gchi $p |- ( ( A e. GCH /\ A ~< B /\ B ~< ~P A ) -> A e. Fin ) $=
      ( vx cgch wcel csdm wbr cpw cfn wa cv wn wal wex relsdom brrelex1i adantl
      cvv wceq breq2 breq1 anbi12d spcegv mpcom df-ex sylib wo elgch ibi orcomd
      ord syl5 3impib ) ADEZABFGZBAHZFGZAIEZUOUQJZACKZFGZUTUPFGZJZLCMZLZUNURUSV
      CCNZVEBREZUSVFUQVGUOBUPFOPQVCUSCBRUTBSVAUOVBUQUTBAFTUTBUPFUAUBUCUDVCCUEUF
      UNVDURUNURVDUNURVDUGCADUHUIUJUKULUM $.

    $( If ` A <_ B < ~P A ` , and ` A ` is an infinite GCH-set, then ` A = B `
       in cardinality.  (Contributed by Mario Carneiro, 15-May-2015.) $)
    gchen1 $p |- ( ( ( A e. GCH /\ -. A e. Fin ) /\ ( A ~<_ B /\ B ~< ~P A ) )
      -> A ~~ B ) $=
      ( cgch wcel cfn wn wa cdom wbr cpw csdm cen simprl 3com23 3expia con3dimp
      gchi an32s adantrl bren2 sylanbrc ) ACDZAEDZFZGZABHIZBAJKIZGGUFABKIZFZABL
      IUEUFUGMUEUGUIUFUBUGUDUIUBUGGUHUCUBUGUHUCUBUHUGUCABQNOPRSABTUA $.

    $( If ` A < B <_ ~P A ` , and ` A ` is an infinite GCH-set, then
       ` B = ~P A ` in cardinality.  (Contributed by Mario Carneiro,
       15-May-2015.) $)
    gchen2 $p |- ( ( ( A e. GCH /\ -. A e. Fin ) /\ ( A ~< B /\ B ~<_ ~P A ) )
      -> B ~~ ~P A ) $=
      ( cgch wcel cfn wn wa csdm wbr cpw cdom simprr gchi 3expia con3dimp an32s
      cen adantrr bren2 sylanbrc ) ACDZAEDZFZGZABHIZBAJZKIZGGUGBUFHIZFZBUFQIUDU
      EUGLUDUEUIUGUAUEUCUIUAUEGUHUBUAUEUHUBABMNOPRBUFST $.

    $( If ` A <_ B <_ ~P A ` , and ` A ` is an infinite GCH-set, then either
       ` A = B ` or ` B = ~P A ` in cardinality.  (Contributed by Mario
       Carneiro, 15-May-2015.) $)
    gchor $p |- ( ( ( A e. GCH /\ -. A e. Fin ) /\ ( A ~<_ B /\ B ~<_ ~P A ) )
      -> ( A ~~ B \/ B ~~ ~P A ) ) $=
      ( cgch wcel cfn wn wa cdom wbr cpw csdm cen wo simprr brdom2 sylib gchen1
      wi expr adantrr orim1d mpd ) ACDAEDFGZABHIZBAJZHIZGGZBUEKIZBUELIZMZABLIZU
      IMUGUFUJUCUDUFNBUEOPUGUHUKUIUCUDUHUKRUFUCUDUHUKABQSTUAUB $.

    $( The property of being a GCH-set is a cardinal invariant.  (Contributed
       by Mario Carneiro, 15-May-2015.) $)
    engch $p |- ( A ~~ B -> ( A e. GCH <-> B e. GCH ) ) $=
      ( vx cen wbr cfn wcel cv csdm cpw wa wn wal wo cgch syl cvv relen elgch
      wb enfi sdomen1 sdomen2 anbi12d notbid albidv orbi12d brrelex1i brrelex2i
      pwen 3bitr4d ) ABDEZAFGZACHZIEZUNAJZIEZKZLZCMZNZBFGZBUNIEZUNBJZIEZKZLZCMZ
      NZAOGZBOGZULUMVBUTVHABUAULUSVGCULURVFULUOVCUQVEABUNUBULUPVDDEUQVETABUJUPV
      DUNUCPUDUEUFUGULAQGVJVATABDRUHCAQSPULBQGVKVITABDRUICBQSPUK $.
  $}

  $( Under certain conditions, a GCH-set can demonstrate trichotomy of
     dominance.  Lemma for ~ gchac .  (Contributed by Mario Carneiro,
     15-May-2015.) $)
  gchdomtri $p |- ( ( A e. GCH /\ ( A |_| A ) ~~ A /\ B ~<_ ~P A ) ->
      ( A ~<_ B \/ B ~<_ A ) ) $=
    ( cgch wcel cdju cen wbr cpw cdom wo wa wn csdm sdomdom cvv djudoml syl2anc
    wb adantr 3syl w3a cfn con3i reldom brrelex1i 3ad2ant3 fidomtri2 sylan orrd
    syl5ibr simp1 simpr djulepw 3adant1 syl22anc djucomen domen2 syl5ibrcom imp
    gchor domentr olcd simpl1 canth2g simpl2 pwen syl enen2 adantl mpbird endom
    pwdjudom domtr orcd jaodan syldan pm2.61dan ) ACDZAAEZAFGZBAHZIGZUAZAUBDZAB
    IGZBAIGZJZWCWDKZWEWFWELWFWHABMGZLZWIWEABNUCWCBODZWDWFWJRWBVRWKVTBWAIUDUEUFZ
    BAOUGUHUJUIWCWDLZAABEZFGZWNWAFGZJZWGWCWMKVRWMAWNIGZWNWAIGZWQWCVRWMVRVTWBUKZ
    SWCWMULWCWRWMWCVRWKWRWTWLABCOPQSWCWSWMVTWBWSVRABUMUNSAWNUTUOWCWOWGWPWCWOKWF
    WEWCWOWFWCWFWOBWNIGZWCBBAEZIGZXBWNFGZXAWCWKVRXCWLWTBAOCPQWCWKVRXDWLWTBAOCUP
    QBXBWNVAQAWNBUQURUSVBWCWPKZWEWFXEAWAIGZWABIGZWEXEVRAWAMGXFVRVTWBWPVCACVDAWA
    NTXEVSHZWNFGZXHWNIGXGXEXIXHWAFGZXEVTXJVRVTWBWPVEVSAVFVGWPXIXJRWCWNWAXHVHVIV
    JXHWNVKABVLTAWABVMQVNVOVPVQ $.

  ${
    $d u y B $.  $d a b r s t u v w x y z F $.  $d a b n r s t u v w x y z X $.
    $d r u w x y z M $.  $d r u w x y z N $.  $d a b n r s t u v w x y z ph $.
    $d a r s t w x z A $.  $d r u w x y z R $.  $d r u w x y z Y $.
    $d r u x y z S $.
    fpwwe2.1 $e |- W = { <. x , r >. | ( ( x C_ A /\ r C_ ( x X. x ) ) /\
      ( r We x /\ A. y e. x [. ( `' r " { y } ) / u ].
        ( u F ( r i^i ( u X. u ) ) ) = y ) ) } $.
    $( Lemma for ~ fpwwe2 .  (Contributed by Mario Carneiro, 3-Jun-2015.) $)
    fpwwe2cbv $p |- W = { <. a , s >. | ( ( a C_ A /\ s C_ ( a X. a ) ) /\
      ( s We a /\ A. z e. a [. ( `' s " { z } ) / v ].
        ( v F ( s i^i ( v X. v ) ) ) = z ) ) } $=
      ( cv wss cxp wa wwe wceq wsbc weq cin co ccnv csn cima copab simpl sseq1d
      wral simpr sqxpeqd sseq12d anbi12d weeq2 weeq1 sylan9bb id ineq2d oveq12d
      eqeq1d cbvsbcvw sneq imaeq2d eqeq2 sbceqbid syl5bb cbvralvw cnveqd ineq1d
      imaeq1d oveq2d raleqbidv cbvopabv eqtri ) HAMZFNZJMZVOVOOZNZPZVOVQQZEMZVQ
      WBWBOZUAZGUBZBMZRZEVQUCZWFUDZUEZSZBVOUIZPZPZAJUFKMZFNZIMZWOWOOZNZPZWOWQQZ
      DMZWQXBXBOZUAZGUBZCMZRZDWQUCZXFUDZUEZSZCWOUIZPZPZKIUFLWNXNAJKIAKTZJITZPZV
      TWTWMXMXQVPWPVSWSXQVOWOFXOXPUGZUHXQVQWQVRWRXOXPUJZXQVOWOXRUKULUMXQWAXAWLX
      LXOWAWOVQQXPXAVOWOVQUNWOVQWQUOUPWLXBVQXCUAZGUBZXFRZDWHXIUEZSZCVOUIXQXLWKY
      DBCVOWKYAWFRZDWJSBCTZYDWGYEEDWJEDTZWEYAWFYGWBXBWDXTGYGUQZYGWCXCVQYGWBXBYH
      UKURUSUTVAYFYEYBDWJYCYFWIXIWHWFXFVBVCWFXFYAVDVEVFVGXQYDXKCVOWOXRXQYBXGDYC
      XJXQWHXHXIXQVQWQXSVHVJXQYAXEXFXQXTXDXBGXQVQWQXCXSVIVKUTVEVLVFUMUMVMVN $.

    $d a b n r s t u v w x y z W $.
    $( Lemma for ~ fpwwe2 .  (Contributed by Mario Carneiro, 15-May-2015.) $)
    fpwwe2lem1 $p |- W C_ ( ~P A X. ~P ( A X. A ) ) $=
      ( cv wss cxp wa wwe cin co copab cpw wcel velpw sylibr wceq ccnv csn cima
      wsbc wral simpll simplr xpss12 syl2anc sstrd jca ssopab2i df-xp 3sstr4i )
      AIZDJZGIZUPUPKZJZLUPURMCIZURVAVAKNEOBIZUACURUBVBUCUDUEBUPUFLZLZAGPUPDQZRZ
      URDDKZQZRZLZAGPFVEVHKVDVJAGVDVFVIVDUQVFUQUTVCUGZADSTVDURVGJVIVDURUSVGUQUT
      VCUHVDUQUQUSVGJVKVKUPDUPDUIUJUKGVGSTULUMHAGVEVHUNUO $.

    fpwwe2.2 $e |- ( ph -> A e. V ) $.
    $( Lemma for ~ fpwwe2 .  (Contributed by Mario Carneiro, 19-May-2015.)
       (Revised by AV, 20-Jul-2024.) $)
    fpwwe2lem2 $p |- ( ph -> ( X W R <-> ( ( X C_ A /\ R C_ ( X X. X ) ) /\
      ( R We X /\ A. y e. X [. ( `' R " { y } ) / u ].
        ( u F ( R i^i ( u X. u ) ) ) = y ) ) ) ) $=
      ( wss cxp wa wwe cv wceq cvv wbr cin co ccnv csn cima wsbc wral wcel wrel
      relopabiv brrelex12 sylan adantr simprll ssexd xpexd simprlr simpl sseq1d
      a1i jca simpr sqxpeqd sseq12d anbi12d weeq2 weeq1 sylan9bb cnveqd imaeq1d
      ineq1d oveq2d eqeq1d sbceqbid raleqbidv brabga pm5.21nd ) AJFIUAZJENZFJJO
      ZNZPZJFQZDRZFWEWEOZUBZGUCZCRZSZDFUDZWIUEZUFZUGZCJUHZPZPZJTUIZFTUIZPZAIUJZ
      VSWTXAABRZENZKRZXBXBOZNZPZXBXDQZWEXDWFUBZGUCZWISZDXDUDZWLUFZUGZCXBUHZPZPZ
      BKILUKVAJFIULUMAWQPZWRWSXRJEHAEHUIWQMUNAVTWBWPUOUPZXRFWATXRJJTTXSXSUQAVTW
      BWPURUPVBXQWQBKJFITTXBJSZXDFSZPZXGWCXPWPYBXCVTXFWBYBXBJEXTYAUSZUTYBXDFXEW
      AXTYAVCZYBXBJYCVDVEVFYBXHWDXOWOXTXHJXDQYAWDXBJXDVGJXDFVHVIYBXNWNCXBJYCYBX
      KWJDXMWMYBXLWKWLYBXDFYDVJVKYBXJWHWIYBXIWGWEGYBXDFWFYDVLVMVNVOVPVFVFLVQVR
      $.

    ${
      fpwwe2lem3.4 $e |- ( ph -> X W R ) $.
      $( Lemma for ~ fpwwe2 .  (Contributed by Mario Carneiro, 19-May-2015.)
         (Revised by AV, 20-Jul-2024.) $)
      fpwwe2lem3 $p |- ( ( ph /\ B e. X ) -> ( ( `' R " { B } ) F
        ( R i^i ( ( `' R " { B } ) X. ( `' R " { B } ) ) ) ) = B ) $=
        ( wcel wa wceq wss cvv cv cxp cin co ccnv csn cima wsbc wral fpwwe2lem2
        wwe mpbid simprrd sneq imaeq2d eqeq2 sbceqbid rspccva sylan wb cnvimass
        wbr cdm relopabiv brrelex2i dmexg 3syl ssexg sylancr id sqxpeqd oveq12d
        ineq2d eqeq1d sbcieg syl adantr ) AFKPZQDUAZGVSVSUBZUCZHUDZFRZDGUEZFUFZ
        UGZUHZWFGWFWFUBZUCZHUDZFRZAWBCUAZRZDWDWLUFZUGZUHZCKUIZVRWGAKESGKKUBSQZK
        GUKZWQAKGJVBZWRWSWQQQOABCDEGHIJKLMNUJULUMWPWGCFKWLFRZWMWCDWOWFXAWNWEWDW
        LFUNUOWLFWBUPUQURUSAWGWKUTZVRAWFTPZXBAWFGVCZSXDTPZXCGWEVAAWTGTPXEOKGJBU
        AZESLUAZXFXFUBSQXFXGUKVSXGVTUCHUDWLRDXGUEWNUGUHCXFUIQQBLJMVDVEGTVFVGWFX
        DTVHVIWCWKDWFTVSWFRZWBWJFXHVSWFWAWIHXHVJZXHVTWHGXHVSWFXIVKVMVLVNVOVPVQU
        L $.
    $}

    fpwwe2.3 $e |- ( ( ph /\ ( x C_ A /\ r C_ ( x X. x ) /\ r We x ) ) ->
      ( x F r ) e. A ) $.
    $( Lemma for ~ fpwwe2 .  (Contributed by Mario Carneiro, 15-May-2015.)
       (Revised by AV, 20-Jul-2024.) $)
    fpwwe2lem4 $p |- ( ( ph /\ ( X C_ A /\ R C_ ( X X. X ) /\ R We X ) ) ->
      ( X F R ) e. A ) $=
      ( cvv wcel wa wss wwe w3a cxp co adantr simpr1 ssexd xpexd simpr2 cv wceq
      wi sseq1 xpeq12 anidms sseq2d weeq2 3anbi123d anbi2d oveq1 eleq1d imbi12d
      jca weeq1 3anbi23d oveq2 vtocl2g mpcom ) JOPZFOPZQAJERZFJJUAZRZJFSZTZQZJF
      GUBZEPZVNVGVHVNJEHAEHPVMMUCAVIVKVLUDUEZVNFVJOVNJJOOVQVQUFAVIVKVLUGUEVAABU
      HZERZKUHZVRVRUAZRZVRVTSZTZQZVRVTGUBZEPZUJAVIVTVJRZJVTSZTZQZJVTGUBZEPZUJVN
      VPUJBKJFOOVRJUIZWEWKWGWMWNWDWJAWNVSVIWBWHWCWIVRJEUKWNWAVJVTWNWAVJUIVRJVRJ
      ULUMUNVRJVTUOUPUQWNWFWLEVRJVTGURUSUTVTFUIZWKVNWMVPWOWJVMAWOWHVKWIVLVIVTFV
      JUKJVTFVBVCUQWOWLVOEVTFJGVDUSUTNVEVF $.

    ${
      fpwwe2lem8.x $e |- ( ph -> X W R ) $.
      fpwwe2lem8.y $e |- ( ph -> Y W S ) $.
      fpwwe2lem8.m $e |- M = OrdIso ( R , X ) $.
      fpwwe2lem8.n $e |- N = OrdIso ( S , Y ) $.
      ${
        fpwwe2lem5.1 $e |- ( ph -> B e. dom M ) $.
        fpwwe2lem5.2 $e |- ( ph -> B e. dom N ) $.
        fpwwe2lem5.3 $e |- ( ph -> ( M |` B ) = ( N |` B ) ) $.
        $( Lemma for ~ fpwwe2 .  (Contributed by Mario Carneiro, 18-May-2015.)
           (Revised by AV, 20-Jul-2024.) $)
        fpwwe2lem5 $p |- ( ( ph /\ C R ( M ` B ) ) ->
          ( C e. X /\ C e. Y /\ ( `' M ` C ) = ( `' N ` C ) ) ) $=
          ( cfv wbr wa wcel ccnv wceq cxp wss wwe cv cin co csn cima fpwwe2lem2
          wsbc wral mpbid simplrd brxp simplbi syl6 imp crn imassrn cdm wfo cep
          ssbrd wf1o wiso cvv relopabiv brrelex1i simprld syl2anc adantr isof1o
          syl oiiso f1ofo forn 3syl sseqtrid f1ocnvfv2 simpr eqbrtrd wb wf f1of
          f1ocnv ffvelrnd isorel syl12anc epelg wfn elpreima mpbir2and eleqtrdi
          mpbird imacnvcnv cres rneqd df-ima 3eqtr4g eleqtrd sseldd cnveqd wfun
          ffn dff1o3 simprbi funcnvres 3eqtr3d fveq1d fvresd 3jca ) AGFKUHZHUIZ
          UJZGOUKZGPUKGKULZUHZGLULZUHZUMAYFYHAYFGYEOOUNZUIZYHAHYMGYEAOEUOZHYMUO
          ZOHUPZDUQZHYRYRUNZURJUSCUQZUMDHULYTUTZVAVCCOVDZUJZAOHNUIZYOYPUJZUUCUJ
          UAABCDEHJMNOQRSVBVEZVFVPYNYHYEOUKGYEOOVGVHVIVJZYGLFVAZPGYGLVKZUUHPLFV
          LYGLVMZPLVQZUUJPLVNZUUIPUMYGUUJPVOILVRZUUKAUUMYFAPVSUKZPIUPZUUMAPINUI
          ZUUNUBPINBUQZEUOQUQZUUQUUQUNUOUJUUQUURUPYRUURYSURJUSYTUMDUURULUUAVAVC
          CUUQVDUJUJBQNRVTZWAWFAPEUOIPPUNUOUJZUUOYRIYSURJUSYTUMDIULUUAVAVCCPVDZ
          AUUPUUTUUOUVAUJUJUBABCDEIJMNPQRSVBVEWBPILVSUDWGWCWDUUJPVOILWEWFZUUJPL
          WHUUJPLWIWJWKYGGKFVAZUUHYGGYIULFVAZUVCYGGUVDUKZYHYJFUKZUUGYGYJFVOUIZU
          VFYGUVGYJKUHZYEHUIZYGUVHGYEHYGKVMZOKVQZYHUVHGUMYGUVJOVOHKVRZUVKAUVLYF
          AOVSUKZYQUVLAUUDUVMUAOHNUUSWAWFAUUEYQUUBUUFWBOHKVSUCWGWCWDZUVJOVOHKWE
          WFZUUGUVJOGKWLWCAYFWMWNYGUVLYJUVJUKFUVJUKZUVGUVIWOUVNYGOUVJGYIYGUVKOU
          VJYIVQOUVJYIWPZUVOUVJOKWROUVJYIWQWJZUUGWSAUVPYFUEWDZUVJOYJFVOHKWTXAXG
          YGUVPUVGUVFWOUVSYJFUVJXBWFVEYGUVQYIOXCUVEYHUVFUJWOUVROUVJYIXQOGFYIXDW
          JXEKFXHXFZYGKFXIZVKLFXIZVKUVCUUHYGUWAUWBAUWAUWBUMYFUGWDZXJKFXKLFXKXLX
          MZXNYGGYIUVCXIZUHGYKUUHXIZUHYJYLYGGUWEUWFYGUWAULZUWBULZUWEUWFYGUWAUWB
          UWCXOYGUVKYIXPZUWGUWEUMUVOUVKUVJOKVNUWIUVJOKXRXSFKXTWJYGUUKYKXPZUWHUW
          FUMUVBUUKUULUWJUUJPLXRXSFLXTWJYAYBYGGUVCYIUVTYCYGGUUHYKUWDYCYAYD $.

        $( Lemma for ~ fpwwe2 .  (Contributed by Mario Carneiro, 18-May-2015.)
           (Revised by AV, 20-Jul-2024.) $)
        fpwwe2lem6 $p |- ( ( ph /\ C R ( M ` B ) ) -> ( C S ( N ` B ) /\
          ( D R ( M ` B ) -> ( C R D <-> C S D ) ) ) ) $=
          ( cfv wbr wa wb wi ccnv cdm wf1o wcel wceq cep cvv wwe cv wss cxp cin
          wiso co csn cima wsbc wral relopabiv brrelex1i syl fpwwe2lem2 simprld
          mpbid syl2anc adantr isof1o fpwwe2lem5 simp2d f1ocnvfv2 simp3d simp1d
          oiiso eqbrtrd wf f1ocnv f1of ffvelrnd isorel syl12anc mpbird eqbrtrrd
          simpr 3syl adantrr adantrl breq12d isocnv simplrd imp simplbi 3bitr4d
          ssbrd brxp expr jca ) AGFLUIZIUJZUKZGFMUIZJUJHXJIUJZGHIUJZGHJUJZULZUM
          XLGMUNZUIZMUIZGXMJXLMUOZQMUPZGQUQZXTGURXLYAQUSJMVFZYBAYDXKAQUTUQZQJVA
          ZYDAQJOUJZYEUCQJOBVBZEVCRVBZYHYHVDVCUKYHYIVADVBZYIYJYJVDZVEKVGCVBZURD
          YIUNYLVHZVIVJCYHVKUKUKBROSVLZVMVNAQEVCJQQVDVCUKZYFYJJYKVEKVGYLURDJUNY
          MVIVJCQVKZAYGYOYFYPUKUKUCABCDEJKNOQRSTVOVQVPQJMUTUEWFVRZVSZYAQUSJMVTV
          NZXLGPUQZYCGLUNZUIZXSURZABCDEFGIJKLMNOPQRSTUAUBUCUDUEUFUGUHWAZWBZYAQG
          MWCVRXLXSFUSUJZXTXMJUJZXLUUBXSFUSXLYTYCUUCUUDWDZXLUUBFUSUJZUUBLUIZXJI
          UJZXLUUJGXJIXLLUOZPLUPZYTUUJGURXLUULPUSILVFZUUMAUUNXKAPUTUQZPIVAZUUNA
          PIOUJZUUOUBPIOYNVMVNAPEVCZIPPVDZVCZUKZUUPYJIYKVEKVGYLURDIUNYMVIVJCPVK
          ZAUUQUVAUUPUVBUKZUKUBABCDEIKNOPRSTVOVQZVPPILUTUDWFVRZVSZUULPUSILVTVNZ
          XLYTYCUUCUUDWEZUULPGLWCVRAXKWPWGXLUUNUUBUULUQFUULUQZUUIUUKULUVFXLPUUL
          GUUAXLUUMPUULUUAUPPUULUUAWHUVGUULPLWIPUULUUAWJWQUVHWKAUVIXKUFVSUULPUU
          BFUSILWLWMWNWOXLYDXSYAUQFYAUQZUUFUUGULYRXLQYAGXRXLYBQYAXRUPQYAXRWHYSY
          AQMWIQYAXRWJWQUUEWKAUVJXKUGVSYAQXSFUSJMWLWMVQWOAXKXNXQAXKXNUKZUKZUUBH
          UUAUIZUSUJZXSHXRUIZUSUJZXOXPUVLUUBXSUVMUVOUSAXKUUCXNUUHWRAXNUVMUVOURZ
          XKAXNUKZHPUQZHQUQZUVQABCDEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHWAZWDWSWTUVLP
          UULIUSUUAVFZYTUVSXOUVNULUVLUUNUWBAUUNUVKUVEVSUULPUSILXAVNAXKYTXNUVHWR
          AXNUVSXKUVRHXJUUSUJZUVSAXNUWCAIUUSHXJAUURUUTUVCUVDXBXFXCUWCUVSXJPUQHX
          JPPXGXDVNWSPUULGHIUSUUAWLWMUVLQYAJUSXRVFZYCUVTXPUVPULUVLYDUWDAYDUVKYQ
          VSYAQUSJMXAVNAXKYCXNUUEWRAXNUVTXKUVRUVSUVTUVQUWAWBWSQYAGHJUSXRWLWMXEX
          HXI $.
      $}

      fpwwe2lem8.s $e |- ( ph -> dom M C_ dom N ) $.
      $( Lemma for ~ fpwwe2 .  Show by induction that the two isometries ` M `
         and ` N ` agree on their common domain.  (Contributed by Mario
         Carneiro, 15-May-2015.)  (Proof shortened by Peter Mazsa,
         23-Sep-2022.)  (Revised by AV, 20-Jul-2024.) $)
      fpwwe2lem7 $p |- ( ph -> M = ( N |` dom M ) ) $=
        ( vw vz cdm cres wf wfn oif ffn mp1i fnssresd cv wcel wa wceq con0 word
        cfv oicl ordelon mpan wi eleq1w eqeq12d imbi12d imbi2d wral r19.21v wss
        fveq2 a1i ordelss sselda pm2.27 syl ralimdva wb fnssres syl2an2r adantr
        sylan sstrd eqfnfv syl2anc fvres ralbiia bitrdi ccnv csn cxp cin co wbr
        cima ad2antrr wwe w3a simpll simplr simpr fpwwe2lem6 simpld impbida cvv
        eqcomd fvex vex eliniseg ax-mp 3bitr4g eqrdv relinxp cop anbi12d simprd
        impr sylan2b pm5.32da df-br brinxp2 bitr3i sqxpeqd ineq2d eqtrd oveq12d
        eqrelrdv ffvelrni adantl fpwwe2lem3 3eqtr3d ex sylbird syld com23 sylbi
        a2i tfis2 com3l mpdi imp eqtr4d eqfnfvd ) AUDIUFZIJUUEUGZUUEMIUHIUUEUIZ
        AMFIUAUJZUUEMIUKULZAJUFZUUEJUUJNJUHJUUJUIZANGJUBUJZUUJNJUKULZUCUMAUDUNZ
        UUEUOZUPZUUNIUTZUUNJUTZUUNUUFUTZAUUOUUQUURUQZAUUOUUNURUOZUUTUUEUSZUUOUV
        AMFIUAVAZUUEUUNVBVCUVAAUUOUUTAUUOUUTVDZVDZACUNZUUEUOZUVFIUTZUVFJUTZUQZV
        DZVDZUDCUUNUVFUQZUVDUVKAUVMUUOUVGUUTUVJUDCUUEVEUVMUUQUVHUURUVIUUNUVFIVL
        UUNUVFJVLVFVGVHUVLCUUNVIZUVEVDUVAUVNAUVKCUUNVIZVDUVEAUVKCUUNVJAUVOUVDAU
        UOUVOUUTAUUOUVOUUTVDUUPUVOUVJCUUNVIZUUTUUPUVKUVJCUUNUUPUVFUUNUOZUPUVGUV
        KUVJVDUUPUUNUUEUVFAUVBUUOUUNUUEVKZUVBAUVCVMUUEUUNVNWCZVOUVGUVJVPVQVRUUP
        UVPIUUNUGZJUUNUGZUQZUUTUUPUWBUVFUVTUTZUVFUWAUTZUQZCUUNVIZUVPUUPUVTUUNUI
        ZUWAUUNUIZUWBUWFVSAUUGUUOUVRUWGUUIUVSUUEUUNIVTWAAUUKUUOUUNUUJVKUWHUUMUU
        PUUNUUEUUJUVSAUUEUUJVKUUOUCWBWDUUJUUNJVTWACUUNUVTUWAWEWFUWEUVJCUUNUVQUW
        CUVHUWDUVIUVFUUNIWGUVFUUNJWGVFWHWIUUPUWBUUTUUPUWBUPZFWJUUQWKWPZFUWJUWJW
        LZWMZHWNZGWJUURWKWPZGUWNUWNWLZWMZHWNZUUQUURUWIUWJUWNUWLUWPHUWICUWJUWNUW
        IUVFUUQFWOZUVFUURGWOZUVFUWJUOZUVFUWNUOZUWIUWRUWSUWIUWRUPZUWSUEUNZUUQFWO
        ZUVFUXCFWOZUVFUXCGWOZVSZVDZUWIBCDEUUNUVFUXCFGHIJKLMNOPAEKUOUUOUWBQWQZUW
        IABUNZEVKOUNZUXJUXJWLVKUXJUXKWRWSUXJUXKHWNEUOAUUOUWBWTZRWCZAMFLWOUUOUWB
        SWQZANGLWOUUOUWBTWQZUAUBAUUOUWBXAZUUPUUNUUJUOZUWBAUUEUUJUUNUCVOZWBZUUPU
        WBXBZXCZXDUWIUWSUPUWRUXCUURGWOUXFUXEVSVDUWIBCDEUUNUVFUXCGFHJIKLNMOPUXIU
        XMUXOUXNUBUAUXSUXPUWIUVTUWAUXTXGXCXDXEUUQXFUOZUWTUWRVSUUNIXHZFUUQUVFXFC
        XIZXJZXKUURXFUOUXAUWSVSUUNJXHGUURUVFXFUYDXJXKXLXMZUWIUWLGUWKWMZUWPUWICU
        EUWLUYGUWJUWJFXNUWJUWJGXNUWIUWTUXCUWJUOZUPZUXEUPZUYIUXFUPZUVFUXCXOZUWLU
        OZUYLUYGUOZUWIUYIUXEUXFUYIUWIUWRUXDUPZUXGUYBUYIUYOVSUYCUYBUWTUWRUYHUXDU
        YEFUUQUXCXFUEXIXJXPXKUWIUWRUXDUXGUXBUWSUXHUYAXQXRXSXTUYMUVFUXCUWLWOUYJU
        VFUXCUWLYAUWJUWJUVFUXCFYBYCUYNUVFUXCUYGWOUYKUVFUXCUYGYAUWJUWJUVFUXCGYBY
        CXLYHUWIUWKUWOGUWIUWJUWNUYFYDYEYFYGUWIAUUQMUOZUWMUUQUQUXLUUPUYPUWBUUOUY
        PAUUEMUUNIUUHYIYJWBABCDEUUQFHKLMOPQSYKWFUWIAUURNUOZUWQUURUQUXLUUPUYQUWB
        UUPUXQUYQUXRUUJNUUNJUULYIVQWBABCDEUURGHKLNOPQTYKWFYLYMYNYOYMYPYRYQVMYSY
        TUUAUUBUUOUUSUURUQAUUNUUEJWGYJUUCUUD $.

      $( Lemma for ~ fpwwe2 .  Given two well-orders ` <. X , R >. ` and
         ` <. Y , S >. ` of parts of ` A ` , one is an initial segment of the
         other.  (The ` O C_ P ` hypothesis is in order to break the symmetry
         of ` X ` and ` Y ` .)  (Contributed by Mario Carneiro, 15-May-2015.)
         (Proof shortened by Peter Mazsa, 23-Sep-2022.)  (Revised by AV,
         20-Jul-2024.) $)
      fpwwe2lem8 $p |- ( ph -> ( X C_ Y /\ R = ( S i^i ( Y X. X ) ) ) ) $=
        ( wss cxp cin wceq cdm cima cres crn wf1o wfo cep wiso cvv wcel wwe wbr
        cv wa co ccnv csn wsbc relopabiv brrelex1i syl fpwwe2lem2 mpbid simprld
        wral oiiso syl2anc isof1o f1ofo fpwwe2lem7 rneqd eqtr3d eqtr4di imassrn
        forn 3syl df-ima sseqtrid eqsstrd wrel simplrd relxp relss mpisyl jctir
        relinxp cop ssbrd syl6ib brinxp2 wfn isocnv adantr f1ofn simprll simprr
        brxp cfv wb simprlr sseldd isorel syl12anc fvex epeli sylib cnveqd wfun
        fnfun funcnvres eqtrd fveq1d eleqtrd fvresd f1of ffvelrnd eqeltrrd word
        wf wi oicl ordtr1 ax-mp elpreimad imacnvcnv eleqtrrd jca syl5bi breq12d
        ex sylan eqidd df-br isores3 syl3anc simprl 3bitr4d biantrurd pm5.21ndd
        sselda adantrr bitr4di bitrd 3bitr3g eqrelrdv2 mpancom ) AMNUDZFGNMUEUF
        ZUGZAMJIUHZUIZNAMJUUQUJZUKZUURAIUKZMUUTAUUQMIULZUUQMIUMUVAMUGAUUQMUNFIU
        OZUVBAMUPUQZMFURZUVCAMFLUSZUVDSMFLBUTZEUDOUTZUVGUVGUEUDVAUVGUVHURDUTZUV
        HUVIUVIUEZUFHVBCUTZUGDUVHVCUVKVDZUIVECUVGVLVAVABOLPVFZVGVHAMEUDZFMMUEZU
        DZVAZUVEUVIFUVJUFHVBUVKUGDFVCUVLUIVECMVLZAUVFUVQUVEUVRVAZVASABCDEFHKLMO
        PQVIVJZVKMFIUPUAVMVNZUUQMUNFIVOVHUUQMIVPUUQMIWBWCAIUUSABCDEFGHIJKLMNOPQ
        RSTUAUBUCVQZVRVSJUUQWDVTZAJUKZUURNJUUQWAAJUHZNJULZUWENJUMUWDNUGAUWENUNG
        JUOZUWFANUPUQZNGURZUWGANGLUSZUWHTNGLUVMVGVHANEUDGNNUEUDVAZUWIUVIGUVJUFH
        VBUVKUGDGVCUVLUIVECNVLZAUWJUWKUWIUWLVAVATABCDEGHKLNOPQVIVJVKNGJUPUBVMVN
        ZUWENUNGJVOVHUWENJVPUWENJWBWCWEWFZFWGZUUOWGZVAAUUPAUWOUWPAUVPUVOWGUWOAU
        VNUVPUVSUVTWHZMMWIFUVOWJWKNMGWMWLABCFUUOAUVGUVKFUSZUVGUVKUUOUSZUVGUVKWN
        ZFUQUWTUUOUQAUVGMUQZUVKMUQZVAZUWRUWSAUWRUVGUVKUVOUSUXCAFUVOUVGUVKUWQWOU
        VGUVKMMXDWPUWSUVGNUQZUXBVAZUVGUVKGUSZVAZAUXCNMUVGUVKGWQZAUXGUXCAUXGVAZU
        XAUXBUXIUVGJVCZVCUUQUIZMUXINUVGUUQUXJUXINUWEGUNUXJUOZNUWEUXJULUXJNWRZAU
        XLUXGAUWGUXLUWMUWENUNGJWSVHWTZNUWEGUNUXJVONUWEUXJXAWCZAUXDUXBUXFXBZUXIU
        VGUXJXEZUVKUXJXEZUQZUXRUUQUQZUXQUUQUQZUXIUXQUXRUNUSZUXSUXIUXFUYBAUXEUXF
        XCUXIUXLUXDUVKNUQUXFUYBXFUXNUXPUXIMNUVKAUUNUXGUWNWTAUXDUXBUXFXGZXHNUWEU
        VGUVKGUNUXJXIXJVJUXQUXRUVKUXJXKXLXMUXIUVKIVCZXEZUXRUUQUXIUYEUVKUXJUURUJ
        ZXEUXRUXIUVKUYDUYFUXIUYDUUSVCZUYFUXIIUUSAIUUSUGZUXGUWBWTXNUXIUXMUXJXOUY
        GUYFUGUXONUXJXPUUQJXQWCXRXSUXIUVKUURUXJUXIUVKMUURUYCAMUURUGZUXGUWCWTZXT
        YAXRUXIMUUQUVKUYDAMUUQUYDYFZUXGAMUUQFUNUYDUOZMUUQUYDULUYKAUVCUYLUWAUUQM
        UNFIWSVHZMUUQFUNUYDVOMUUQUYDYBWCWTUYCYCYDUUQYEUXSUXTVAUYAYGMFIUAYHUXQUX
        RUUQYIYJVNYKUXIMUURUXKUYJJUUQYLVTYMUYCYNYQYOAUXCUWRUWSXFAUXCVAZUWRUXFUW
        SUYNUVGUYDXEZUYEUNUSZUVGUYGXEZUVKUYGXEZUNUSZUWRUXFUYNUYOUYQUYEUYRUNUYNU
        VGUYDUYGUYNIUUSAUYHUXCUWBWTXNZXSUYNUVKUYDUYGUYTXSYPAUYLUXCUWRUYPXFUYMMU
        UQUVGUVKFUNUYDXIYRUYNUURUUQGUNUYGUOZUVGUURUQUVKUURUQUXFUYSXFAVUAUXCAUUQ
        UURUNGUUSUOZVUAAUWGUUQUWEUDUURUURUGVUBUWMUCAUURYSUWENUNGJUUQUURUUAUUBUU
        QUURUNGUUSWSVHWTUYNUVGMUURAUXAUXBUUCAUYIUXCUWCWTZXTUYNUVKMUURAUXAUXBXCZ
        VUCXTUURUUQUVGUVKGUNUYGXIXJUUDUYNUXFUXGUWSUYNUXEUXFUYNUXDUXBAUXAUXDUXBA
        MNUVGUWNUUGUUHVUDYNUUEUXHUUIUUJYQUUFUVGUVKFYTUVGUVKUUOYTUUKUULUUMYN $.
    $}

    ${
      fpwwe2lem9.4 $e |- ( ph -> X W R ) $.
      fpwwe2lem9.6 $e |- ( ph -> Y W S ) $.
      $( Lemma for ~ fpwwe2 .  Given two well-orders ` <. X , R >. ` and
         ` <. Y , S >. ` of parts of ` A ` , one is an initial segment of the
         other.  (Contributed by Mario Carneiro, 15-May-2015.)  (Revised by AV,
         20-Jul-2024.) $)
      fpwwe2lem9 $p |- ( ph -> ( ( X C_ Y /\ R = ( S i^i ( Y X. X ) ) ) \/
                                ( Y C_ X /\ S = ( R i^i ( X X. Y ) ) ) ) ) $=
        ( wss adantr coi cdm wo cxp cin wceq wa word eqid oicl ordtri2or2 mp2an
        wcel cv wwe w3a co adantlr wbr simpr fpwwe2lem8 ex orim12d mpi ) AKFUAZ
        UBZLGUAZUBZSZVHVFSZUCZKLSFGLKUDUEUFUGZLKSGFKLUDUEUFUGZUCVFUHVHUHVKKFVEV
        EUIZUJLGVGVGUIZUJVFVHUKULAVIVLVJVMAVIVLAVIUGBCDEFGHVEVGIJKLMNAEIUMZVIOT
        ABUNZESMUNZVQVQUDSVQVRUOUPZVQVRHUQEUMZVIPURAKFJUSZVIQTALGJUSZVIRTVNVOAV
        IUTVAVBAVJVMAVJUGBCDEGFHVGVEIJLKMNAVPVJOTAVSVTVJPURAWBVJRTAWAVJQTVOVNAV
        JUTVAVBVCVD $.
    $}

    fpwwe2.4 $e |- X = U. dom W $.
    $( Lemma for ~ fpwwe2 .  (Contributed by Mario Carneiro, 15-May-2015.)
       (Revised by AV, 20-Jul-2024.) $)
    fpwwe2lem10 $p |- ( ph -> W : dom W --> ~P ( X X. X ) ) $=
      ( vw vs wss cv wa wceq vt cdm wfn crn cxp cpw wf wrel wbr wi wal wfun wwe
      cin co ccnv csn cima wsbc relopabiv a1i simprr fpwwe2lem2 simprbda simprd
      wral adantrl adantr df-ss sylib eqtrd adantrr wcel w3a adantlr fpwwe2lem9
      eqtr2d simprl mpjaodan ex alrimiv alrimivv dffun2 sylanbrc funfnd wex vex
      elrn releldmi adantl elssuni sseqtrrdi xpss12 syl2anc sstrd velpw syl6ibr
      cuni syl exlimdv syl5bi ssrdv df-f ) AHHUBZUCHUDZIIUEZUFZQXDXGHUGAHAHUHZO
      RZPRZHUIZXIUARZHUIZSZXJXLTZUJZUAUKZPUKOUKHULXHABRZEQZJRZXRXRUEQZSXRXTUMZD
      RZXTYCYCUEZUNFUOCRZTDXTUPYEUQZURUSCXRVFSSBJHKUTZVAAXQOPAXPUAAXNXOAXNSZXIX
      IQZXJXLXIXIUEZUNZTZSZXOYIXLXJYJUNZTZSZYHYMSZXJYKXLYHYIYLVBYQXLYJQZYKXLTYH
      YRYMAXMYRXKAXMSXIEQZYRAXMYSYRSXIXLUMYCXLYDUNFUOYETDXLUPYFURUSCXIVFSABCDEX
      LFGHXIJKLVCVDVEVGVHXLYJVIVJVKYHYPSZXLYNXJYHYIYOVBYTXJYJQZYNXJTYHUUAYPAXKU
      UAXMAXKSZYSUUAAXKYSUUASXIXJUMYCXJYDUNFUOYETDXJUPYFURUSCXIVFSABCDEXJFGHXIJ
      KLVCVDVEZVLVHXJYJVIVJVQYHBCDEXJXLFGHXIXIJKAEGVMXNLVHAXSYAYBVNXRXTFUOEVMXN
      MVOAXKXMVRAXKXMVBVPVSVTWAWBOPUAHWCWDWEAPXEXGXJXEVMXKOWFAXJXGVMZOXJHPWGWHA
      XKUUDOAXKXJXFQZUUDAXKUUEUUBXJYJXFUUCUUBXIIQZUUFYJXFQUUBXIXDWRZIUUBXIXDVMZ
      XIUUGQXKUUHAXIXJHYGWIWJXIXDWKWSNWLZUUIXIIXIIWMWNWOVTPXFWPWQWTXAXBXDXGHXCW
      D $.

    $( Lemma for ~ fpwwe2 .  (Contributed by Mario Carneiro, 18-May-2015.)
       (Proof shortened by Peter Mazsa, 23-Sep-2022.)  (Revised by AV,
       20-Jul-2024.) $)
    fpwwe2lem11 $p |- ( ph -> X e. dom W ) $=
      ( va vw wbr wcel wss wa vs vn vv vz vt vb cuni cdm cxp wwe cv cin co wceq
      ccnv cima wsbc wral cpw wex vex fpwwe2lem2 simpld velpw sylibr ex exlimdv
      eldm syl5bi ssrdv sspwuni elrn simprd releldmi adantl elssuni syl syl2anc
      sylib jca wfr w3o c0 wne wn wi wal eleq2i eluni2 bitri cvv simplrr simprr
      wrex a1i simprl cop df-br adantr ad2antrr syl12anc ssbrd mpd brxp simplbi
      brinxp2 breqd mpbird elind sseldd eqsstrdi mpjaodan expr syl5bir rexlimdv
      wb exp32 alrimiv anbi12i bitr4i wor weso simplrl solin relelrni 3orim123d
      wo idd adantrr ad2antrl ssexd imp impr sylan2 impbid eliniseg elv 3bitr4g
      breq2 relinxp simprbda eqsstrid relopabiv sseqtrrdi xpss12 sstrd n0 ssel2
      crn csn inex2 simplbda ad2ant2r wefr inss2 inelcm syl22anc elin1d simprll
      fri ralnex simp-4l simprlr mpbid elin2d syl21anbrc breq1 rspcev inss1 w3a
      adantlr fpwwe2lem9 mtod ralrimiva reximssdv expimpd df-fr reeanv exdistrv
      ad2antll exp31 exlimdvv rexlimdvv ralrimivv sylanbrc fpwwe2cbv fpwwe2lem3
      dfwe2 simpr anasss cnvimass xpexd dmexd ssexg sylancr olc syl6 a1d elequ1
      id biimprd jaodan jctird syl6ibr ancld brin bitrdi sylibrd com24 equsalvw
      imbi12d eqrdv sylan9eqr sqxpeqd ineq2d anbi12d orc adantrl sylan2b bitr3i
      pm5.32da eqrelrdv eqtrd oveq12d eqeq1d sbcied ralrimiv mpbir2and ) AIHUUI
      ZUGZHQZIHUHZRAUYKIESZUYJIIUIZSZTIUYJUJZDUKZUYJUYQUYQUIZULZFUMZCUKZUNZDUYJ
      UOVUAUUJZUPZUQZCIURZTAUYMUYOAIUYLUGZENAUYLEUSZSVUGESAOUYLVUHOUKZUYLRZVUIU
      AUKZHQZUAUTZAVUIVUHRZUAVUIHOVAZVHZAVULVUNUAAVULVUNAVULTZVUIESZVUNVUQVURVU
      KVUIVUIUIZSZAVULVURVUTTZVUIVUKUJZUYQVUKUYRULFUMVUAUNDVUKUOVUCUPZUQCVUIURZ
      TZABCDEVUKFGHVUIJKLVBZUUAZVCOEVDVEVFVGVIVJUYLEVKVSUUBZAUYIUYNUSZSUYOAUAUY
      IVVIVUKUYIRZVULOUTAVUKVVIRZOVUKHUAVAVLAVULVVKOAVULVVKVUQVUKUYNSVVKVUQVUKV
      USUYNVUQVURVUTVVGVMZVUQVUIISZVVMVUSUYNSVUQVUIVUGIVUQVUJVUIVUGSVULVUJAVUIV
      UKHBUKZESZJUKZVVNVVNUISZTVVNVVPUJZUYQVVPUYRULFUMVUAUNDVVPUOVUCUPUQCVVNURT
      TBJHKUUCZVNVOVUIUYLVPVQNUUDZVVTVUIIVUIIUUEVRUUFUAUYNVDVEVFVGVIVJUYIUYNVKV
      SZVTAUYPVUFAIUYJWAZVUAPUKZUYJQZVUAVWCUNZVWCVUAUYJQZWBZPIURCIURUYPAUBUKZIS
      ZVWHWCWDZTVWCUCUKZUYJQZWEZPVWHURZUCVWHWNZWFZUBWGVWBAVWPUBAVWIVWJVWOVWJVUA
      VWHRZCUTAVWITZVWOCVWHUUGVWRVWQVWOCAVWIVWQVWOAVWIVWQTZTZVUAVUIRZOUYLWNZVWO
      VWTVUAIRZVXBVWSVXCAVWHIVUAUUHVOVXCVUAVUGRVXBIVUGVUANWHOVUAUYLWIWJZVSVWTVX
      AVWOOUYLVUJVUMVWTVXAVWOWFZVUPVWTVULVXEUAVWTVULVXAVWOVWTVULVXATZTZUDUKZVWK
      VUKQZWEUDVWHVUIULZURZVWNUCVWHVXJVXGVXJWKRZVUIVUKWAZVXJVUISZVXJWCWDZVXKUCV
      XJWNVXLVXGVUIVWHVUOUUKWOVXGVVBVXMAVULVVBVWSVXAVUQVVBVVDAVULVVAVVEVVFUULVC
      ZUUMVUIVUKUUNVQVXNVXGVWHVUIUUOWOVXGVWQVXAVXOAVWIVWQVXFWLVWTVULVXAWMVUAVWH
      VUIUUPVRUCUDVUIVXJWKVUKUUTUUQVXGVWKVXJRZVXKTZTZVWHVUIVWKVXGVXQVXKWPZUURVX
      SVWMPVWHVXSVWCVWHRZTZVWLVXIUDVXJWNZVYBVXKVYCWEVXGVXQVXKVYAWLVXIUDVXJUVAVS
      VWLVWCVWKWQZUEUKZRZUEUYIWNZVYBVYCVWLVYDUYJRVYGVWCVWKUYJWRUEVYDUYIWIWJVYBV
      YFVYCUEUYIVYEUYIRZUFUKZVYEHQZUFUTZVYBVYFVYCWFZUFVYEHUEVAVLZVYBVYJVYLUFVXS
      VYAVYJVYLVYFVWCVWKVYEQZVXSVYAVYJTZTVYCVWCVWKVYEWRVXSVYOVYNVYCVXSVYOVYNTZT
      ZVUIVYISZVUKVYEVYIVUIUIZULZUNZTZVYCVYIVUISZVYEVUKVUIVYIUIZULZUNZTZVYQWUBT
      ZVWCVXJRZVWCVWKVUKQZVYCWUHVWHVUIVWCVYQVYAWUBVXSVYAVYJVYNUUSZWSWUHVWCVWKVU
      SQZVWCVUIRZWUHWUJWULWUHWUJVWCVWKVYTQZWUHVWCVYIRZVWKVUIRZVYNWUNVYQWUOWUBVY
      QVWCVWKVYIVYIUIZQZWUOVYQVYNWURVXSVYOVYNWMVYQVYEWUQVWCVWKVYQAVULVYJVYEWUQS
      ZAVWSVXFVXRVYPUVBZVXGVULVXRVYPVWTVULVXAWPWTZVXSVYAVYJVYNUVCZAVULVYJTZTZVY
      IESZWUSWVDWVEWUSTZVYIVYEUJZUYQVYEUYRULFUMVUAUNDVYEUOVUCUPUQCVYIURZTZWVDVY
      JWVFWVITZAVULVYJWMZAVYJWVJXPWVCABCDEVYEFGHVYIJKLVBWSUVDZVCVMZXAXBXCWURWUO
      VWKVYIRVWCVWKVYIVYIXDXEVQZWSVXSWUPVYPWUBVXSVWHVUIVWKVXTUVEWTVXSVYOVYNWUBW
      LVYIVUIVWCVWKVYEXFUVFWUHVUKVYTVWCVWKVYQVYRWUAWMXGXHZWUHVUKVUSVWCVWKVYQVUT
      WUBVYQAVULVUTWUTWVAVVLVRWSXBXCWULWUMWUPVWCVWKVUIVUIXDXEVQXIWVOVXIWUJUDVWC
      VXJVXHVWCVWKVUKUVGUVHZVRVYQWUGTZWUIWUJVYCWVQVWHVUIVWCVYQVYAWUGWUKWSWVQVYI
      VUIVWCVYQWUCWUFWPVYQWUOWUGWVNWSXJXIWVQVYNWUJVXSVYOVYNWUGWLWVQVYEVUKVWCVWK
      WVQVYEWUEVUKVYQWUCWUFWMVUKWUDUVIZXKXBXCWVPVRVYQAVULVYJWUBWUGYGZWUTWVAWVBW
      VDBCDEVUKVYEFGHVUIVYIJKAEGRZWVCLWSAVVOVVQVVRUVJVVNVVPFUMERWVCMUVKAVULVYJW
      PWVKUVLZXAXLXMXNXMVGVIXOVIUVMUVNUVOXQVGVIXOXCXMVGVIUVPXRUBUCPIUYJUVQVEAVW
      GCPIIVXCVWCIRZTZVXAWUOTZUFUYLWNOUYLWNZAVWGWWCVXBWUOUFUYLWNZTWWEVXCVXBWWBW
      WFVXDWWBVWCVUGRWWFIVUGVWCNWHUFVWCUYLWIWJXSVXAWUOOUFUYLUYLUVRXTAWWDVWGOUFU
      YLUYLVUJVYIUYLRZTZWVCUEUTUAUTZAWWDVWGWFZWWHVUMVYJUEUTZTWWIVUJVUMWWGWWKVUP
      UEVYIHUFVAVHXSVULVYJUAUEUVSXTAWVCWWJUAUEAWVCWWDVWGWVDWWDTZWUBVWGWUGWWLWUB
      TZVUAVWCVYEQZVWEVWCVUAVYEQZWBZVWGWWMVYIVYEYAZVUAVYIRWUOWWPWWMWVGWWQWVDWVG
      WWDWUBWVDWVGWVHWVDWVFWVIWVLVMVCWTVYIVYEYBVQWWMVUIVYIVUAWWLVYRWUAWPWVDVXAW
      UOWUBYCXJWVDVXAWUOWUBWLVYIVUAVWCVYEYDXAWWMWWNVWDVWEVWEWWOVWFWWMVYEUYJVUAV
      WCWWMVYHVYEUYJSWVDVYHWWDWUBVYJVYHAVULVYIVYEHVVSYEUVTWTVYEUYIVPVQZXBWWMVWE
      YHWWMVYEUYJVWCVUAWWRXBYFXCWWLWUGTZVUAVWCVUKQZVWEVWCVUAVUKQZWBZVWGWWSVUIVU
      KYAZVXAWUMWXBWWSVVBWXCWVDVVBWWDWUGAVULVVBVYJVXPYIWTVUIVUKYBVQWVDVXAWUOWUG
      YCWWSVYIVUIVWCWWLWUCWUFWPWVDVXAWUOWUGWLXJVUIVUAVWCVUKYDXAWWSWWTVWDVWEVWEW
      XAVWFWWSVUKUYJVUAVWCWWSVVJVUKUYJSZWVDVVJWWDWUGVULVVJAVYJVUIVUKHVVSYEZYJWT
      VUKUYIVPZVQZXBWWSVWEYHWWSVUKUYJVWCVUAWXGXBYFXCWVDWVSWWDWWAWSXLUWAUWBVIUWC
      VIUWDCPIUYJUWHUWEAVUECIVXCVXBAVUEVXDAVXAVUEOUYLVUJVUMAVXAVUEWFZVUPAVULWXH
      UAAVULVXAVUEAVXFTZVUEVVCVUKVVCVVCUIZULZFUMZVUAUNZAVULVXAWXMVUQUDPUFEVUAVU
      KFGHVUIUEBCPUFDEFHUEJUDKUWFAWVTVULLWSAVULUWIUWGUWJWXIVUBWXMDVUDWKWXIVUDUY
      JUHZSWXNWKRVUDWKRUYJVUCUWKWXIUYJWKAUYJWKRVXFAUYJUYNWKAIIWKWKAIEGLVVHYKZWX
      OUWLVWAYKWSUWMVUDWXNWKUWNUWOWXIUYQVUDUNZTZUYTWXLVUAWXQUYQVVCUYSWXKFWXPWXI
      UYQVUDVVCWXPUWTWXIUDVUDVVCWXIVXHVUAUYJQZVXHVUAVUKQZVXHVUDRZVXHVVCRZWXIWXR
      WXSWXIVWCVUAUNZVXHVWCUYJQZVXHVWCVUKQZWFZWFZPWGWXRWXSWFZWXIWYFPWXIWYBWYEWY
      BWXIWXAWYBYGZWYEWYBWXAUWPWYCVXHVWCWQZVYERZUEUYIWNZWXIWYHTZWYDWYCWYIUYJRWY
      KVXHVWCUYJWRUEWYIUYIWIWJWYLWYJWYDUEUYIVYHVYKWYLWYJWYDWFZVYMWYLVYJWYMUFWXI
      WYHVYJWYMWFZAVULVXAWYHWYNWFVUQVYJWYHVXAWYMAVULVYJWYHVXAWYMWFWFWVDWYHVXAWY
      MWYJVXHVWCVYEQZWVDWYHVXATZTZWYDVXHVWCVYEWRWYQWUBWYOWYDWFWUGWYQWUBTZWYOWYO
      VXHVWCVYSQZTZWYDWYRWYOWYSWYRWYOVXHVYIRZWUMTWYSWYRWYOXUAWUMWYRWYOVXHVWCWUQ
      QZXUAWYRVYEWUQVXHVWCWVDWUSWYPWUBWVMWTXBXUBXUAWUOVXHVWCVYIVYIXDXEUWQWYQWUM
      WUBWVDWYHVXAWUMWVDWXAVXAWUMWFZWYBWVDWXATZWUMVXAXUDVWCVUAVUSQZWUMWVDWXAXUE
      WVDVUKVUSVWCVUAAVULVUTVYJVVLYIXBYLXUEWUMVXAVWCVUAVUIVUIXDXEVQUWRWYBXUCWVD
      WYBWUMVXAPCOUWSUXAVOUXBYMWSUXCVXHVWCVYIVUIXDUXDUXEWYRWYDVXHVWCVYTQWYTWYRV
      UKVYTVXHVWCWYQVYRWUAWMXGVXHVWCVYEVYSUXFUXGUXHWYQWUGTZVYEVUKVXHVWCXUFVYEWU
      EVUKWYQWUCWUFWMWVRXKXBWVDWVSWYPWWAWSXLXNXQXMUXIYMYLVGVIXOVIZYNVFXRWYEWYGP
      CWYBWYCWXRWYDWXSVWCVUAVXHUYJYSVWCVUAVXHVUKYSUXKUXJVSWXIVUKUYJVXHVUAWXIVVJ
      WXDVULVVJAVXAWXEYJWXFVQZXBYOWXTWXRXPCUYJVUAVXHWKUDVAZYPYQWYAWXSXPCVUKVUAV
      XHWKXUIYPZYQYRUXLUXMZWXQUYSUYJWXJULZWXKWXQUYRWXJUYJWXQUYQVVCXUKUXNUXOWXIX
      ULWXKUNWXPWXIUDPXULWXKVVCVVCUYJYTVVCVVCVUKYTWXIWYAVWCVVCRZTZWYCTZXUNWYDTZ
      WYIXULRZWYIWXKRZWXIXUNWYCWYDXUNWXIWXSWXATZWYCWYDXPXUNXUSXPCVUAWKRWYAWXSXU
      MWXAXUJVUKVUAVWCWKPVAYPUXPYQWXIXUSTZWYCWYDWXIWXAWYEWXSWXAWXIWYHWYEWXAWYBU
      XQXUGYNUXRXUTVUKUYJVXHVWCWXIWXDXUSXUHWSXBYOUXSUYAXUQVXHVWCXULQXUOVXHVWCXU
      LWRVVCVVCVXHVWCUYJXFUXTXURVXHVWCWXKQXUPVXHVWCWXKWRVVCVVCVXHVWCVUKXFUXTYRU
      YBWSUYCUYDUYEUYFXHXQVGVIXOVIUYGVTABCDEUYJFGHIJKLVBUYHIUYJHVVSVNVQ $.

    $( Lemma for ~ fpwwe2 .  (Contributed by Mario Carneiro, 18-May-2015.)
       (Revised by AV, 20-Jul-2024.) $)
    fpwwe2lem12 $p |- ( ph -> ( X F ( W ` X ) ) e. X ) $=
      ( wcel wa wss wbr wceq c0 vz va vb vs cfv co wn csn cun ssun2 cdm cxp wwe
      cuni cv cin ccnv cima wsbc wral adantr w3a adantlr 3syl fpwwe2lem2 simpld
      wb mpbid simprd unssd ssun1 xpss12 mp2an a1i jca wfr w3o wrex wi ad2antrr
      wne ssbrd brxp simplbi syl6 mtod nsyl wo brun bitrdi ioran bitri sylanbrc
      notbid simpr sylib ralsn mpbird ex cvv vex syl uncom sseqtrdi idd simprbi
      adantl syl5bi ad3antrrr sylibr elun ssbri elsni cnvimass sylancr eliniseg
      mpd simplr elv sylan9eqr sqxpeqd ineq2d indir sstrid disjsn eqtrid xpeq2d
      incom xp0 eqtrdi un0 eqtrd oveq12d eqeq1d sbcied cres ax-mp eqtri uneq12d
      crn fpwwe2lem11 cpw wfun fpwwe2lem10 ffun funfvbrb 3jca fpwwe2lem4 syldan
      snssd sstrdi wal cdif ssdif0 simpllr ovex breq2 rexsn sssn simplrr neneqd
      wf orcnd raleqdv breq1 rexeqbidv syl5bir difexg mp1i wefr simplrl ssundif
      fri syl22anc eldifn pm2.21d syl5 jaod con3d ralimdv jctird sseqtrri ralun
      undif1 ssralv mpsyl eldifi jctild expimpd pm2.61dne alrimiv df-fr anbi12i
      reximdv2 wor solin sylan 3orim123d ancomd 3mix3 3mix1 eqtr3 syl2an 3mix2d
      weso ccased ralrimivv dfwe2 fpwwe2cbv fpwwe2lem3 fvex xpexg sylancl unexg
      dmexd ssexg id nelne2 syl2anc necon3ai biorf orcom bitr4i bitr2di 3bitr4g
      snex eqrdv inxp dmss dmxpid ssneldd uneq2d eqcomd eleq1d rnss df-rn sseld
      rnxpid 3sstr3g sylbid ndmima sneqd imaeq2d df-ima cnvxp reseq1i ssid snnz
      xpssres rneqi cnvun imaeq1i imaundir eqtr3i 3eqtr4g xpindi 3eqtr3g jaodan
      sylan2b ralrimiva mpbir2and relopabiv releldmi elssuni sseqtrrdi pm2.18da
      rnxp df-ss snss ) AIIHUEZFUFZIOZAVVLUGZPZVVKUHZIQVVLVVNVVOIVVOUIZIVVOIUJZ
      VVNVVPHUKZUNZIVVNVVPVVJIVVOULZUIZHRZVVPVVROVVPVVSQVVNVWBVVPEQZVWAVVPVVPUL
      ZQZPZVVPVWAUMZDUOZVWAVWHVWHULZUPZFUFZCUOZSZDVWAUQZVWLUHZURZUSZCVVPUTZPZVV
      NVWCVWEVVNIVVOEVVNIEQZVVJIIULZQZVVNVWTVXBPZIVVJUMZVWHVVJVWIUPFUFVWLSDVVJU
      QZVWOURZUSCIUTZPZVVNIVVJHRZVXCVXHPVVNIVVROZVXIVVNBCDEFGHIJKAEGOVVMLVAZABU
      OZEQZJUOZVXLVXLULQZVXLVXNUMZVBVXLVXNFUFEOVVMMVCZNUUAZVVNVVRVXAUUBZHUVBHUU
      CVXJVXIVGVVNBCDEFGHIJKVXKVXQNUUDVVRVXSHUUEIHUUFVDVHZVVNBCDEVVJFGHIJKVXKVE
      VHZVFZVFZVVNVVKEAVVMVWTVXBVXDVBVVKEOVVNVWTVXBVXDVYCVVNVWTVXBVYBVIZVVNVXDV
      XGVVNVXCVXHVYAVIVFZUUGABCDEVVJFGHIJKLMUUHUUIUUJVJVVNVVJVVTVWDVVNVVJVXAVWD
      VYDIVVPQZVYFVXAVWDQIVVOVKZVYGIVVPIVVPVLVMUUKVVTVWDQZVVNVYFVVOVVPQVYHVYGVV
      QIVVPVVOVVPVLVMVNVJVOVVNVWGVWRVVNVVPVWAVPZVXLVWLVWARZVXLVWLSZVWLVXLVWARZV
      QZCVVPUTBVVPUTVWGVVNVXLVVPQZVXLTWAZPZUAUOZVWLVWARZUGZUAVXLUTZCVXLVRZVSZBU
      ULVYIVVNWUBBVVNVYPWUAVVNVYPPZWUAVXLVVOUUMZTWUDTSVXLVVOQZWUCWUAVXLVVOUUNWU
      CWUEWUAWUCWUEPZWUAVVKVWLVWARZUGZCVVOVRZWUFVVKVVKVVJRZUGZVVKVVKVVTRZUGZWUI
      WUFWUJVVLAVVMVYPWUEUUOZWUFWUJVVKVVKVXARZVVLWUFVVJVXAVVKVVKVVNVXBVYPWUEVYD
      VTWBWUOVVLVVLVVKVVKIIWCWDWEWFWUFVVLWULWUNWULVVLVVKVVOOVVKVVKIVVOWCWDWGWUI
      WUJWULWHZUGZWUKWUMPWUHWUQCVVKIVVJFUUPZVWLVVKSZWUGWUPWUSWUGVVKVVKVWARWUPVW
      LVVKVVKVWAUUQVVKVVKVVJVVTWIWJWNUURWUJWULWKWLWMWUFVYTWUHCVXLVVOWUFVXLTSZVX
      LVVOSZWUFWUEWUTWVAWHWUCWUEWOVXLVVKUUSWPWUFVXLTVVNVYNVYOWUEUUTUVAUVCZWUFVY
      TVYSUAVVOUTZWUHWUFVYSUAVXLVVOWVBUVDVYSWUHUAVVKWURVYQVVKSZVYRWUGVYQVVKVWLV
      WAUVEZWNWQWJUVFWRWSUVGWUCWUDTWAZWUAWUCWVFPZVYQVWLVVJRZUGZUAWUDUTZCWUDVRZW
      UAWVGWUDWTOZIVVJVPZWUDIQZWVFWVKVXLWTOWVLWVGBXAVXLVVOWTUVHUVIVVNWVMVYPWVFV
      VNVXDWVMVYEIVVJUVJXBVTWVGVXLVVOIUIZQWVNWVGVXLVVPWVOVVNVYNVYOWVFUVKIVVOXCX
      DVXLVVOIUVLWPWUCWVFWOCUAIWUDWTVVJUVMUVNWVGWVJVYTCWUDVXLWVGVWLWUDOZWVJVWLV
      XLOZVYTPWVGWVPPZWVJVYTWVQWVRWVJVYSUAWUDUTZWVCPZVYTWVRWVJWVSWVCWVRWVIVYSUA
      WUDWVRVYRWVHVYRWVHVYQVWLVVTRZWHZWVRWVHVYQVWLVVJVVTWIZWVRWVHWVHWWAWVRWVHXE
      WWAVWLVVOOZWVRWVHWWAVYQIOWWDVYQVWLIVVOWCXFZWVRWWDWVHWVPWWDUGWVGVWLVXLVVOU
      VOXGZUVPUVQUVRXHUVSUVTWVRVVKVWLVVJRZUGZVVKVWLVVTRZUGZWVCWVRWWGVVLVVNVVMVY
      PWVFWVPAVVMWOXIWVRWWGVVKVWLVXARZVVLWVRVVJVXAVVKVWLVVNVXBVYPWVFWVPVYDXIWBW
      WKVVLVWLIOZVVKVWLIIWCWDWEWFWVRWWDWWIWWFWWIVVLWWDVVKVWLIVVOWCXFWGWVCWWGWWI
      WHZUGZWWHWWJPVYSWWNUAVVKWURWVDVYRWWMWVDVYRWUGWWMWVEVVKVWLVVJVVTWIWJWNWQWW
      GWWIWKWLWMUWAVXLWUDVVOUIZQWVTVYSUAWWOUTVYTVXLVXLVVOUIWWOVXLVVOVKVXLVVOUWD
      UWBVYSUAWUDVVOUWCVYSUAVXLWWOUWEUWFWEWVPWVQWVGVWLVXLVVOUWGXGUWHUWIUWNXQWSU
      WJWSUWKBCUAVVPVWAUWLXJVVNVYMBCVVPVVPVXLVVPOZVWLVVPOZPVXLIOZVXLVVOOZWHZWWL
      WWDWHZPVVNVYMWWPWWTWWQWXAVXLIVVOXKVWLIVVOXKZUWMVVNWWRWWLWWSWWDVYMVVNWWRWW
      LPZVYMVVNWXCPZVXLVWLVVJRZVYKVWLVXLVVJRZVQZVYMVVNIVVJUWOZWXCWXGVVNVXDWXHVY
      EIVVJUXEXBIVXLVWLVVJUWPUWQWXDWXEVYJVYKVYKWXFVYLWXDVVJVWAVXLVWLVVJVWAQWXDV
      VJVVTVKVNZWBWXDVYKXEWXDVVJVWAVWLVXLWXIWBUWRXQWSVVNWWSWWLPZVYMVVNWXJPZVWLV
      XLVVTRZVYLVYMWXKWWLWWSPWXLWXKWWSWWLVVNWXJWOUWSVWLVXLIVVOWCXJVVTVWAVWLVXLV
      VTVVJUJZXLVYLVYJVYKUWTVDWSVVNWWRWWDPZVYMVVNWXNPZVXLVWLVVTRZVYJVYMWXOWXNWX
      PVVNWXNWOVXLVWLIVVOWCXJVVTVWAVXLVWLWXMXLVYJVYKVYLUXAVDWSWWSWWDPZVYMVSVVNW
      XQVYKVYJVYLWWSVXLVVKSWUSVYKWWDVXLVVKXMVWLVVKXMZVXLVWLVVKUXBUXCUXDVNUXFXHU
      XGBCVVPVWAUXHWMVVNVWQCVVPWWQVVNWXAVWQWXBVVNWWLVWQWWDVVNWWLPZVWQVXFVVJVXFV
      XFULZUPZFUFZVWLSZVVNUBUAUCEVWLVVJFGHIUDBCUAUCDEFHUDJUBKUXIVXKVXTUXJWXSVWM
      WYCDVWPWTVVNVWPWTOZWWLVVNVWPVWAUKZQWYEWTOWYDVWAVWOXNVVNVWAWTVVNVVJWTOVVTW
      TOZVWAWTOIHUXKVVNVXJVVOWTOWYFVXRVVKUYFIVVOVVRWTUXLUXMVVJVVTWTWTUXNXOUXOVW
      PWYEWTUXPXOZVAWXSVWHVWPSZPZVWKWYBVWLWYIVWHVXFVWJWYAFWYHWXSVWHVWPVXFWYHUXQ
      ZWXSUAVWPVXFWXSVYRWVHVYQVWPOZVYQVXFOZWXSWVHWWAWVHWHZVYRWXSVWLVVKWAZWWAUGW
      VHWYMVGWXSWWLVVMWYNVVNWWLWOAVVMWWLXRZVWLVVKIUXRUXSWWAVWLVVKWWAWWDWUSWWEWX
      RXBUXTWWAWVHUYAVDWYMWWBVYRWWAWVHUYBWWCUYCUYDWYKVYRVGCVWAVWLVYQWTUAXAZXPXS
      WYLWVHVGCVVJVWLVYQWTWYPXPXSUYEUYGXTZWYIVWJVWAWXTUPZWYAWYIVWIWXTVWAWYIVWHV
      XFWYQYAYBWXSWYRWYASWYHWXSWYRWYATUIZWYAWXSWYRWYAVVTWXTUPZUIWYSVVJVVTWXTYCW
      XSWYTTWYAWXSWYTIVXFUPZVVOVXFUPZULZTIVVOVXFVXFUYHWXSXUCXUATULTWXSXUBTXUAWX
      SXUBVXFVVOUPZTVVOVXFYHWXSVVKVXFOUGXUDTSWXSVXFIVVKWXSVXFVVJUKZIVVJVWOXNWXS
      XUEVXAUKZIWXSVXBXUEXUFQVVNVXBWWLVYDVAVVJVXAUYIXBIUYJXDYDWYOUYKVXFVVKYEXJY
      FYGXUAYIYJYFUYLYFWYAYKYJVAYLYMYNYOWRVVNWWDPZVWQVVKVWLSZXUGVWLVVKWWDWUSVVN
      WXRXGZUYMXUGVWMXUHDVWPWTVVNWYDWWDWYGVAXUGWYHPZVWKVVKVWLXUJVWHIVWJVVJFWYHX
      UGVWHVWPIWYJXUGVXFVVTUQZVWOURZUIZTIUIZVWPIXUGVXFTXULIXUGVWLVXEUKZOZUGVXFT
      SXUGXUPVVLAVVMWWDXRZXUGXUPVVKXUOOVVLXUGVWLVVKXUOXUIUYNXUGXUOIVVKXUGVVJYTZ
      VXAYTZXUOIXUGVXBXURXUSQVVNVXBWWDVYDVAZVVJVXAUYOXBVVJUYPIUYRUYSUYQUYTWFVWL
      VXEVUAXBXUGXULXUKVVOURZIXUGVWOVVOXUKXUGVWLVVKXUIVUBVUCXVAXUKVVOYPZYTZIXUK
      VVOVUDXVCVVOIULZYTZIXVBXVDXVBXVDVVOYPZXVDXUKXVDVVOIVVOVUEVUFVVOVVOQXVFXVD
      SVVOVUGVVOIVVOVUIYQYRVUJVVOTWAXVEISVVKWURVUHVVOIVVGYQYRYRYJYSVWPVXEXUKUIZ
      VWOURXUMVWNXVGVWOVVJVVTVUKVULVXEXUKVWOVUMYRITUIIXUNIYKITXCVUNVUOXTZXUJVWJ
      VWAVXAUPZVVJXUJVWIVXAVWAXUJVWHIXVHYAYBXUGXVIVVJSWYHXUGXVIVVJTUIZVVJXUGXVI
      VVJVXAUPZVVTVXAUPZUIXVJVVJVVTVXAYCXUGXVKVVJXVLTXUGVXBXVKVVJSXUTVVJVXAVVHW
      PXUGIVVOIUPZULITULXVLTXUGXVMTIXUGXVMIVVOUPZTVVOIYHXUGVVMXVNTSXUQIVVKYEXJY
      FYGIVVOIVUPIYIVUQYSYFVVJYKYJVAYLYMYNYOWRVURVUSVUTVOAVWBVWFVWSPVGVVMABCDEV
      WAFGHVVPJKLVEVAVVAVVPVWAHVXMVXOPVXPVWHVXNVWIUPFUFVWLSDVXNUQVWOURUSCVXLUTP
      PBJHKVVBVVCVVPVVRVVDVDNVVEYDVVKIWURVVIXJVVF $.

    $( Given any function ` F ` from well-orderings of subsets of ` A ` to
       ` A ` , there is a unique well-ordered subset ` <. X , ( W `` X ) >. `
       which "agrees" with ` F ` in the sense that each initial segment maps to
       its upper bound, and such that the entire set maps to an element of the
       set (so that it cannot be extended without losing the well-ordering).
       This theorem can be used to prove ~ dfac8a .  Theorem 1.1 of
       [KanamoriPincus] p. 415.  (Contributed by Mario Carneiro, 18-May-2015.)
       (Revised by AV, 20-Jul-2024.) $)
    fpwwe2 $p |- ( ph ->
      ( ( Y W R /\ ( Y F R ) e. Y ) <-> ( Y = X /\ R = ( W ` X ) ) ) ) $=
      ( wcel wa wceq wss vw vz wbr co cfv cdm wfun wb cxp cpw fpwwe2lem10 ffund
      funbrfv2b syl simprbda adantrr cuni elssuni sseqtrrdi cin wi simpl a1i c0
      cdif simplrr wne cv wn wral wrex cvv wfr adantr wwe ccnv cima fpwwe2lem11
      wsbc funfvbrb mpbid fpwwe2lem2 ad2antrr simpld ssexd difexd simprd difssd
      csn wefr fri syl21anc ssdif0 indif1 eqeq1i vex eliniseg elv notbii ralbii
      expr disj bitri 3bitr2i cnvimass dmss dmxpid sseqtrdi sstrid sylib sseq1d
      sseqin2 bitr3id eldifn ad2antrl eleq1w notbid syl5ibrcom con2d imp simprr
      rexbidv breqd eldifi simpr brxp sylanbrc brin rbaib bitrd biimpa ad5ant12
      ssbrd simplbi sylibr ex eqssd df-ss eqtrd jca syl6 sylbird mtod sselda wo
      wor weso sotric ioran bitrdi syl12anc mpbir2and ssrdv ineq1d eqtr3d inss2
      xpss1 3eqtr3a sqxpeqd ineq2d oveq12d fpwwe2lem3 mpdan eqneltrd rexlimdvaa
      sylbid necon4ad mpd w3a adantlr simprl fpwwe2lem9 mpjaod eqbrtrrd funbrfv
      in32 syld sylc eqcomd fpwwe2lem12 breq12 oveq12 eleq12d anbi12d impbid )
      AKFIUCZKFGUDZKQZRZKJSZFJIUEZSZRZAUWIUWMAUWIRZUWJUWLUWNKJUWNKIUFZQZKJTZAUW
      FUWPUWHAUWFUWPKIUEFSZAIUGZUWFUWPUWRRUHAUWOJJUIZUJIABCDEGHIJLMNOPUKULZKFIU
      MUNUOUPUWPKUWOUQJKUWOURPUSUNZUWNJKTZUWKFKJUIUTSZRZUXCUWQFUWKJKUIZUTZSZRZU
      XEUXCVAUWNUXCUXDVBVCUWNUXIUXCUWNUXIRZJKVEZVDSZUXCUXJUWHUXLAUWFUWHUXIVFUXJ
      UWHUXKVDUXJUXKVDVGZUAVHZUBVHZUWKUCZVIZUAUXKVJZUBUXKVKZUWHVIZUXJUXKVLQZJUW
      KVMZUXKJTZUXMUXSVAUXJJKVLUXJJEHUWNEHQZUXIAUYDUWINVNZVNZUXJJETZUWKUWTTZUXJ
      UYGUYHRZJUWKVOZDVHZUWKUYKUYKUIZUTGUDCVHZSDUWKVPZUYMWIZVQVSCJVJZRZAUYIUYQR
      ZUWIUXIAJUWKIUCZUYRAJUWOQZUYSABCDEGHIJLMNOPVRAUWSUYTUYSUHUXAJIVTUNWAZABCD
      EUWKGHIJLMNWBWAWCZWDZWDWEWFUXJUYJUYBUXJUYJUYPUXJUYIUYQVUBWGWDZJUWKWJUNUXJ
      JKWHUYAUYBRUYCUXMUXSUBUAJUXKVLUWKWKXAWLUXJUXSUYNUXOWIZVQZKTZUBUXKVKUXTUXJ
      UXRVUGUBUXKUXRJVUFUTZKTZUXJVUGVUIVUHKVEZVDSUXKVUFUTZVDSZUXRVUHKWMVUKVUJVD
      JVUFKWNWOVULUXNVUFQZVIZUAUXKVJUXRUAUXKVUFXBVUNUXQUAUXKVUMUXPVUMUXPUHUBUWK
      UXOUXNVLUAWPWQWRZWSWTXCXDUXJVUHVUFKUXJVUFJTVUHVUFSUXJVUFUWKUFZJUWKVUEXEUX
      JVUPUWTUFZJUXJUYHVUPVUQTUXJUYGUYHVUCWGUWKUWTXFUNJXGXHXIVUFJXLXJXKXMYBUXJV
      UGUXTUBUXKUXJUXOUXKQZVUGRZRZUWGUXOKVUTUWGVUFUWKVUFVUFUIZUTZGUDZUXOVUTKVUF
      FVVBGVUTKVUFVUTUAKVUFVUTUXNKQZVUMVUTVVDRZUXPVUMVVEUXPUXNUXOSZVIZUXOUXNUWK
      UCZVIZVUTVVDVVGVUTVVFVVDVUTVVDVIVVFUXOKQZVIZVURVVKUXJVUGUXOJKXNXOZVVFVVDV
      VJUAUBKXPXQXRXSXTVVEVVHVVJVUTVVKVVDVVLVNVVEVVHUXOUXNFUCZVVJVVEVVMUXOUXNUX
      GUCZVVHVVEFUXGUXOUXNUXJUXHVUSVVDUWNUWQUXHYAWCYCVVEUXOUXNUXFUCZVVNVVHUHVVE
      UXOJQZVVDVVOVUTVVPVVDVURVVPUXJVUGUXOJKYDXOZVNZVUTVVDYEUXOUXNJKYFYGVVNVVHV
      VOUXOUXNUWKUXFYHYIUNYJVVEVVMUXOUXNKKUIZUCZVVJVVEFVVSUXOUXNAUWIFVVSTZUXIVU
      SVVDUWNKETZVWAUWNVWBVWARZKFVOUYKFUYLUTGUDUYMSDFVPUYOVQVSCKVJRZAUWFVWCVWDR
      ZUWHAUWFVWEABCDEFGHIKLMNWBYKUPWDWGZYLYMVVTVVJVVDUXOUXNKKYFYNUUAUUBUUCVVEJ
      UWKUUFZUXNJQZVVPUXPVVGVVIRZUHVVEUYJVWGUXJUYJVUSVVDVUDWCJUWKUUGUNVUTKJUXNU
      WNUWQUXIVUSUXBWCZUUDVVRVWGVWHVVPRRUXPVVFVVHUUEVIVWIJUXNUXOUWKUUHVVFVVHUUI
      UUJUUKUULVUOYOYPUUMUXJVURVUGYAYQZVUTFUWKVVSUTZVVBVUTUXGVVSUTZVWLUXFUTZFVW
      LUWKUXFVVSUVPVUTFVVSUTZVWMFVUTFUXGVVSUWNUWQUXHVUSVFUUNVUTVWAVWOFSUWNVWAUX
      IVUSVWFWCFVVSYRXJUUOVUTVWLUXFTVWNVWLSVUTVWLVVSUXFUWKVVSUUPVUTUWQVVSUXFTVW
      JKJKUUQUNXIVWLUXFYRXJUURVUTVVSVVAUWKVUTKVUFVWKUUSUUTYSUVAVUTVVPVVCUXOSVVQ
      VUTBCDEUXOUWKGHIJLMUXJUYDVUSUYFVNUWNUYSUXIVUSAUYSUWIVUAVNZWCUVBUVCYSVVLUV
      DUVEUVFUVQUVGUVHJKWMYOYPUWNBCDEUWKFGHIJKLMUYEABVHZETLVHZVWQVWQUITVWQVWRVO
      UVIVWQVWRGUDEQUWIOUVJVWPAUWFUWHUVKZUVLUVMYQZUWNUWKFUWNUWSJFIUCUWKFSAUWSUW
      IUXAVNUWNKJFIVWTVWSUVNJFIUVOUVRUVSYTYPAUWIUWMUYSJUWKGUDZJQZRAUYSVXBVUAABC
      DEGHIJLMNOPUVTYTUWMUWFUYSUWHVXBKJFUWKIUWAUWMUWGVXAKJKJFUWKGUWBUWJUWLVBUWC
      UWDXRUWE $.
  $}

  ${
    $d a r s x A $.  $d a r s u x y z F $.  $d r u x y ph $.  $d r u x y R $.
    $d r u x y X $.  $d r u x y Y $.
    fpwwe.1 $e |- W = { <. x , r >. | ( ( x C_ A /\ r C_ ( x X. x ) ) /\
      ( r We x /\ A. y e. x ( F ` ( `' r " { y } ) ) = y ) ) } $.
    $( Lemma for ~ fpwwe .  (Contributed by Mario Carneiro, 15-May-2015.) $)
    fpwwecbv $p |- W = { <. a , s >. | ( ( a C_ A /\ s C_ ( a X. a ) ) /\
      ( s We a /\ A. z e. a ( F ` ( `' s " { z } ) ) = z ) ) } $=
      ( cv wss wa wwe cima cfv wceq wral weq anbi12d cxp csn copab simpl sseq1d
      ccnv simpr sqxpeqd sseq12d weeq2 weeq1 sylan9bb imaeq2d fveq2d id eqeq12d
      sneq cbvralvw cnveqd imaeq1d fveqeq2d raleqbidv syl5bb cbvopabv eqtri ) F
      AKZDLZHKZVFVFUAZLZMZVFVHNZVHUFZBKZUBZOZEPZVNQZBVFRZMZMZAHUCIKZDLZGKZWBWBU
      AZLZMZWBWDNZWDUFZCKZUBZOZEPWJQZCWBRZMZMZIGUCJWAWPAHIGAISZHGSZMZVKWGVTWOWS
      VGWCVJWFWSVFWBDWQWRUDZUEWSVHWDVIWEWQWRUGZWSVFWBWTUHUITWSVLWHVSWNWQVLWBVHN
      WRWHVFWBVHUJWBVHWDUKULVSVMWKOZEPZWJQZCVFRWSWNVRXDBCVFBCSZVQXCVNWJXEVPXBEX
      EVOWKVMVNWJUQUMUNXEUOUPURWSXDWMCVFWBWTWSXBWLWJEWSVMWIWKWSVHWDXAUSUTVAVBVC
      TTVDVE $.

    $d r u x y W $.
    fpwwe.2 $e |- ( ph -> A e. V ) $.
    $( Lemma for ~ fpwwe .  (Contributed by Mario Carneiro, 15-May-2015.)
       (Revised by AV, 20-Jul-2024.) $)
    fpwwelem $p |- ( ph -> ( X W R <-> ( ( X C_ A /\ R C_ ( X X. X ) ) /\
      ( R We X /\ A. y e. X ( F ` ( `' R " { y } ) ) = y ) ) ) ) $=
      ( wss wa wwe cv wceq cvv wcel anbi12d wbr cxp ccnv csn cima cfv wral wrel
      relopabiv brrelex12 sylan adantr simprll ssexd xpexd simprlr simpl sseq1d
      a1i simpr sqxpeqd sseq12d weeq2 weeq1 sylan9bb imaeq1d fveqeq2d raleqbidv
      jca cnveqd brabga pm5.21nd ) AIEHUAZIDMZEIIUBZMZNZIEOZEUCZCPZUDZUEZFUFVTQ
      ZCIUGZNZNZIRSZERSZNZAHUHZVMWIWJABPZDMZJPZWKWKUBZMZNZWKWMOZWMUCZWAUEZFUFVT
      QZCWKUGZNZNZBJHKUIUSIEHUJUKAWFNZWGWHXDIDGADGSWFLULAVNVPWEUMUNZXDEVORXDIIR
      RXEXEUOAVNVPWEUPUNVIXCWFBJIEHRRWKIQZWMEQZNZWPVQXBWEXHWLVNWOVPXHWKIDXFXGUQ
      ZURXHWMEWNVOXFXGUTZXHWKIXIVAVBTXHWQVRXAWDXFWQIWMOXGVRWKIWMVCIWMEVDVEXHWTW
      CCWKIXIXHWSWBVTFXHWRVSWAXHWMEXJVJVFVGVHTTKVKVL $.

    fpwwe.3 $e |- ( ( ph /\ x e. ( ~P A i^i dom card ) ) -> ( F ` x ) e. A ) $.
    fpwwe.4 $e |- X = U. dom W $.
    $( Given any function ` F ` from the powerset of ` A ` to ` A ` , ~ canth2
       gives that the function is not injective, but we can say rather more
       than that.  There is a unique well-ordered subset
       ` <. X , ( W `` X ) >. ` which "agrees" with ` F ` in the sense that
       each initial segment maps to its upper bound, and such that the entire
       set maps to an element of the set (so that it cannot be extended without
       losing the well-ordering).  This theorem can be used to prove ~ dfac8a .
       Theorem 1.1 of [KanamoriPincus] p. 415.  (Contributed by Mario Carneiro,
       18-May-2015.)  (Revised by AV, 20-Jul-2024.) $)
    fpwwe $p |- ( ph ->
      ( ( Y W R /\ ( F ` Y ) e. Y ) <-> ( Y = X /\ R = ( W ` X ) ) ) ) $=
      ( cfv wcel wa wceq cvv vu wbr c1st ccom co cop df-ov wfn fo1st fofn ax-mp
      wfo opex fvco2 mp2an eqtri cv wss cxp wwe ccnv cima wral bropaex12 op1stg
      csn syl fveq2d eqtrid eleq1d pm5.32i copab cin wsbc vex cnvex imaex inex1
      opco1i fveq2 eqeq1d sbcie ralbii anbi2i opabbii eqtr4i w3a cpw ccrd simp1
      cdm velpw sylibr 19.8a 3ad2ant3 ween elind sylan2 eqeltrid fpwwe2 bitr3id
      wex ) JEHUBZJFPZJQZRXCJEFUCUDZUEZJQZRAJISEIHPSRXCXHXEXCXGXDJXCXGJEUFZUCPZ
      FPZXDXGXIXFPZXKJEXFUGUCTUHZXITQXLXKSTTUCULXMUITTUCUJUKJEUMTFUCXIUNUOUPXCX
      JJFXCJTQETQRXJJSBUQZDURZKUQZXNXNUSURZRZXNXPUTZXPVAZCUQZVFZVBZFPZYASZCXNVC
      ZRZRZBKJEHLVDJETTVEVGVHVIVJVKABCUADEXFGHIJKHYHBKVLXRXSUAUQZXPYIYIUSZVMZXF
      UEZYASZUAYCVNZCXNVCZRZRZBKVLLYQYHBKYPYGXRYOYFXSYNYECXNYMYEUAYCXTYBXPKVOZV
      PVQYIYCSZYLYDYAYSYLYIFPYDYIYKFUAVOXPYJYRVRVSYIYCFVTVIWAWBWCWDWDWEWFMAXOXQ
      XSWGZRXNXPXFUEXNFPZDXNXPFBVOYRVSYTAXNDWHZWIWKZVMQUUADQYTUUBUUCXNYTXOXNUUB
      QXOXQXSWJBDWLWMYTXSKXBZXNUUCQXSXOUUDXQXSKWNWOXNKWPWMWQNWRWSOWTXA $.
  $}

  ${
    $d r x y A $.  $d r x y B $.  $d r x y D $.  $d r x y F $.  $d r x y V $.
    $d y C $.  $d r x y W $.
    canth4.1 $e |- W = { <. x , r >. | ( ( x C_ A /\ r C_ ( x X. x ) ) /\
      ( r We x /\ A. y e. x ( F ` ( `' r " { y } ) ) = y ) ) } $.
    canth4.2 $e |- B = U. dom W $.
    canth4.3 $e |- C = ( `' ( W ` B ) " { ( F ` B ) } ) $.
    $( An "effective" form of Cantor's theorem ~ canth .  For any function
       ` F ` from the powerset of ` A ` to ` A ` , there are two definable sets
       ` B ` and ` C ` which witness non-injectivity of ` F ` .  Corollary 1.3
       of [KanamoriPincus] p. 416.  (Contributed by Mario Carneiro,
       18-May-2015.) $)
    canth4 $p |- ( ( A e. V /\ F : D --> A /\ ( ~P A i^i dom card ) C_ D ) ->
      ( B C_ A /\ C C. B /\ ( F ` B ) = ( F ` C ) ) ) $=
      ( wcel wss cfv wceq wa simpld simprd wf cpw ccrd cdm cin w3a wpss cxp wwe
      ccnv cv csn cima wral wbr pm3.2i simp1 simpl2 simp3 sselda ffvelrnd fpwwe
      eqid mpbiri fpwwelem cnvimass eqsstri dmss syl dmxpid sseqtrdi sstrid wor
      mpbid wn weso sonr syl2anc eleq2i cvv fvex eliniseg ax-mp bitri ssnelpssd
      wb sylnibr sneq imaeq2d eqtr4di fveq2d id eqeq12d rspcdva eqcomd 3jca ) C
      HNZFCGUAZCUBUCUDUEZFOZUFZDCOZEDUGDGPZEGPZQXAXBDIPZDDUHZOZXAXBXGRZDXEUIZXE
      UJZBUKZULZUMZGPZXKQZBDUNZRZXADXEIUOZXHXQRXAXRXCDNZXAXRXSRDDQZXEXEQZRXTYAD
      VCXEVCUPXAABCXEGHIDDJKWQWRWTUQZXAAUKZWSNZRFCYCGWQWRWTYDURXAWSFYCWQWRWTUSU
      TVALVBVDZSXAABCXEGHIDJKYBVEVNZSZSXAEDXCXAEXEUDZDEXJXCULZUMZYHMXEYIVFVGXAY
      HXFUDZDXAXGYHYKOXAXBXGYGTXEXFVHVIDVJVKVLXAXRXSYETZXAXCXCXEUOZXCENZXADXEVM
      ZXSYMVOXAXIYOXAXIXPXAXHXQYFTZSDXEVPVIYLDXCXEVQVRYNXCYJNZYMEYJXCMVSXCVTNYQ
      YMWFDGWAZXEXCXCVTYRWBWCWDWGWEXAXDXCXAXOXDXCQBDXCXKXCQZXNXDXKXCYSXMEGYSXMY
      JEYSXLYIXJXKXCWHWIMWJWKYSWLWMXAXIXPYPTYLWNWOWP $.

    $( Lemma for ~ canthnum .  (Contributed by Mario Carneiro, 19-May-2015.) $)
    canthnumlem $p |- ( A e. V -> -. F : ( ~P A i^i dom card ) -1-1-> A ) $=
      ( wcel wceq wa cfv wss wb elpw2g cv cpw ccrd cdm cin wf1 wpss wf w3a ssid
      f1f canth4 mp3an3 sylan2 simp3d simp1d adantr mpbird wwe wex cxp ccnv csn
      simpr cima wral wbr eqid pm3.2i simpl syl ffvelrnda fpwwe mpbiri fpwwelem
      simpld mpbid fvex weeq1 spcev ween sylibr elind simp2d pssssd sstrd ssnum
      simprld syl2anc f1fveq syl12anc pssned necomd neneqd pm2.65da ) CGMZCUAZU
      BUCZUDZCFUEZDENZWOWSOZDFPZEFPNZWTXADCQZEDUFZXCWSWOWRCFUGZXDXEXCUHZWRCFUJZ
      WOXFWRWRQXGWRUIABCDEWRFGHIJKLUKULUMZUNXAWSDWRMEWRMXCWTRWOWSVCZXAWPWQDXADW
      PMZXDXAXDXEXCXIUOZWOXKXDRWSDCGSUPUQXADITZURZIUSZDWQMZXADDHPZURZXOXAXDXQDD
      UTQOZXRXQVABTZVBVDFPXTNBDVEZXADXQHVFZXSXRYAOOXAYBXBDMZXAYBYCODDNZXQXQNZOY
      DYEDVGXQVGVHXAABCXQFGHDDIJWOWSVIZXAWRCATFXAWSXFXJXHVJVKKVLVMVOXAABCXQFGHD
      IJYFVNVPWGXNXRIXQDHVQDXMXQVRVSVJDIVTWAZWBXAWPWQEXAEWPMZECQZXAEDCXAEDXAXDX
      EXCXIWCZWDZXLWEWOYHYIRWSECGSUPUQXAXPEDQEWQMYGYKDEWFWHWBWRCDEFWIWJVPXADEXA
      EDXAEDYJWKWLWMWN $.
  $}

  ${
    $d a f r s x y z $.  $d a f r s x z A $.  $d a f s z V $.
    $( The set of well-orderable subsets of a set ` A ` strictly dominates
       ` A ` .  A stronger form of ~ canth2 .  Corollary 1.4(a) of
       [KanamoriPincus] p. 417.  (Contributed by Mario Carneiro,
       19-May-2015.) $)
    canthnum $p |- ( A e. V -> A ~< ( ~P A i^i dom card ) ) $=
      ( vx vf va vz vr vy vs wcel cdm cdom wbr cfn cvv wss cv wa cfv eqid pwexg
      cpw ccrd cin cen csdm inex1g infpwfidom 3syl syl finnum ssriv sslin ax-mp
      ssdomg mpisyl domtr syl2anc wf1o wex wf1 cxp wwe ccnv csn cima wceq copab
      wral cuni fpwwecbv canthnumlem f1of1 nsyl nexdv ensym bren sylib sylanbrc
      wn brsdom ) ABJZAAUBZUCKZUDZLMZAWEUEMZVTAWEUFMWBAWCNUDZLMZWHWELMZWFWBWCOJ
      ZWHOJWIABUAZWCNOUGAUHUIWBWEOJZWHWEPZWJWBWKWMWLWCWDOUGUJNWDPWNCNWDCQZUKULN
      WDWCUMUNWHWEOUOUPAWHWEUQURWBWEADQZUSZDUTZWGWBWQDWBWEAWPVAWQEFAWOAPGQZWOWO
      VBPRWOWSVCWSVDHQZVEVFWPSWTVGHWOVIRRCGVHZKVJZXBXASVDXBWPSVEVFZWPBXAICHFAWP
      XAIGEXATVKXBTXCTVLWEAWPVMVNVOWGWEAUEMWRAWEVPWEADVQVRVNAWEWAVS $.
  $}

  ${
    $d r u x y B $.  $d r x C $.  $d f r u v w x y O $.  $d f r u v w x y V $.
    $d a f r s v w x y z $.  $d a f r s u v w x y A $.  $d r u x y F $.
    $d r u x y W $.
    canthwe.1 $e |- O = { <. x , r >. |
      ( x C_ A /\ r C_ ( x X. x ) /\ r We x ) } $.
    ${
      canthwe.2 $e |- W = { <. x , r >. | ( ( x C_ A /\ r C_ ( x X. x ) ) /\
      ( r We x /\ A. y e. x [. ( `' r " { y } ) / u ].
        ( u F ( r i^i ( u X. u ) ) ) = y ) ) } $.
      canthwe.3 $e |- B = U. dom W $.
      canthwe.4 $e |- C = ( `' ( W ` B ) " { ( B F ( W ` B ) ) } ) $.
      $( Lemma for ~ canthwe .  (Contributed by Mario Carneiro,
         31-May-2015.) $)
      canthwelem $p |- ( A e. V -> -. F : O -1-1-> A ) $=
        ( wcel wa wceq wss wwe wf1 cfv co wbr ccnv csn cima pm3.2i simpl cv cxp
        eqid w3a cop df-ov wf f1f ad2antlr copab simpr opabidw sylibr eleqtrrdi
        ffvelrnd eqeltrid fpwwe2 mpbiri simprd xpeq12i ineq2i simpld fpwwe2lem3
        cin oveq12i mpdan eqtrid 3eqtr3g wb cnvimass wsbc wral fpwwe2lem2 mpbid
        cdm dmss syl dmxpss sstrdi sstrid eqsstrid sstrd inss2 wess sylc weinxp
        a1i sylib cvv fvex cnvex imaex eqeltri inex1 sseq1d sqxpeqd weeq2 weeq1
        sseq12d sylan9bb 3anbi123d opelopaba syl3anbrc ssexd opelopabga syl2anc
        mpbir3and f1fveq syl12anc opth1 eleqtrrd eleqtrdi ovex eliniseg wn weso
        wor sonr pm2.65da ) DIPZHDGUAZEEJUBZGUCZYLYKUDZYIYJQZYLYKUEZYLUFZUGZPZY
        MYNYLFYQYNYLEFYNEYKJUDZYLEPZYNYSYTQEERZYKYKRZQUUAUUBEULYKULUHYNABCDYKGI
        JEEKMYIYJUIZYNAUJZDSZKUJZUUDUUDUKZSZUUDUUFTZUMZQZUUDUUFGUCUUDUUFUNZGUBD
        UUDUUFGUOUUKHDUULGYJHDGUPYIUUJHDGUQURUUKUULUUJAKUSZHUUKUUJUULUUMPYNUUJU
        TUUJAKVAVBLVCVDVENVFVGZVHZYNFYKFFUKZVMZUNZEYKUNZRZFERYNUURGUBZUUSGUBZRZ
        UUTYNFUUQGUCZYLUVAUVBYNUVDYQYKYQYQUKZVMZGUCZYLFYQUUQUVFGOUUPUVEYKFYQFYQ
        OOVIVJVNYNYTUVGYLRUUOYNABCDYLYKGIJEKMUUCYNYSYTUUNVKZVLVOVPFUUQGUOEYKGUO
        VQYNYJUURHPUUSHPUVCUUTVRYIYJUTYNUURUUMHYNFDSZUUQUUPSZFUUQTZUURUUMPYNFED
        YNFYQEOYNYQYKWDZEYKYPVSYNUVLEEUKZWDZEYNYKUVMSZUVLUVNSYNEDSZUVOYNUVPUVOQ
        ZEYKTZCUJZYKUVSUVSUKVMGUCBUJZRCYOUVTUFUGVTBEWAZQZYNYSUVQUWBQUVHYNABCDYK
        GIJEKMUUCWBWCZVKZVHZYKUVMWEWFEEWGWHWIWJZYNUVPUVOUWDVKZWKUVJYNYKUUPWLWPY
        NFYKTZUVKYNFESUVRUWHUWFYNUVRUWAYNUVQUWBUWCVHVKZFEYKWMWNFYKWOWQUUJUVIUVJ
        UVKUMAKFUUQFYQWROYOYPYKEJWSZWTXAXBZYKUUPUWJXCZUUDFRZUUFUUQRZQZUUEUVIUUH
        UVJUUIUVKUWOUUDFDUWMUWNUIZXDUWOUUFUUQUUGUUPUWMUWNUTUWOUUDFUWPXEXHUWMUUI
        FUUFTUWNUVKUUDFUUFXFFUUFUUQXGXIXJXKXLLVCYNUUSUUMHYNUUSUUMPZUVPUVOUVRUWG
        UWEUWIYNEWRPYKWRPZUWQUVPUVOUVRUMZVRYNEDIUUCUWGXMUWRYNUWJWPUUJUWSAKEYKWR
        WRUUDERZUUFYKRZQZUUEUVPUUHUVOUUIUVRUXBUUDEDUWTUXAUIZXDUXBUUFYKUUGUVMUWT
        UXAUTUXBUUDEUXCXEXHUWTUUIEUUFTUXAUVRUUDEUUFXFEUUFYKXGXIXJXNXOXPLVCHDUUR
        UUSGXQXRWCFUUQEYKUWKUWLXSWFXTOYAYNYTYRYMVRUUOYKYLYLEEYKGYBYCWFWCYNEYKYF
        ZYTYMYDYNUVRUXDUWIEYKYEWFUUOEYLYKYGXOYH $.
    $}

    $( The set of well-orders of a set ` A ` strictly dominates ` A ` .  A
       stronger form of ~ canth2 .  Corollary 1.4(b) of [KanamoriPincus]
       p. 417.  (Contributed by Mario Carneiro, 31-May-2015.) $)
    canthwe $p |- ( A e. V -> A ~< O ) $=
      ( vv vf wcel wbr cvv cxp wss cv wwe wa csn c0 wceq eqid vu vy vw va vs vz
      cdom cen csdm cpw w3a copab simp1 velpw sylibr simp2 xpss12 syl2anc sstrd
      wn jca ssopab2i df-xp 3sstr4i pwexg sqxpexg pwexd xpexd ssexg sylancr cop
      simpr snssd 0ss a1i wrel rel0 br0 wesn mpbiri mp1i snex 0ex simpl sqxpeqd
      sseq1d weeq2 weeq1 sylan9bb 3anbi123d opelopaba syl3anbrc eleqtrrdi ex wb
      sseq12d opth2 mpbiran2 sneqbg elv bitri 2a1i mpd wf1o wex wf1 cin co ccnv
      dom2d cima wsbc wral cdm cuni fpwwe2cbv canthwelem f1of1 nsyl nexdv ensym
      cfv bren sylib brsdom sylanbrc ) BDIZBCUGJZBCUHJZUTBCUIJYGCKIZYHYGCBUJZBB
      LZUJZLZMYNKIYJANZBMZENZYOYOLZMZYOYQOZUKZAEULZYOYKIZYQYMIZPZAEULCYNUUAUUEA
      EUUAUUCUUDUUAYPUUCYPYSYTUMZABUNUOUUAYQYLMUUDUUAYQYRYLYPYSYTUPUUAYPYPYRYLM
      UUFUUFYOBYOBUQURUSEYLUNUOVAVBFAEYKYMVCVDYGYKYMKKBDVEYGYLKBDVFVGVHCYNKVIVJ
      YGUAGBCUANZQZRVKZGNZQZRVKZKYGUUGBIZUUICIYGUUMPZUUIUUBCUUNUUHBMZRUUHUUHLZM
      ZUUHROZUUIUUBIUUNUUGBYGUUMVLVMUUQUUNUUPVNVORVPZUURUUNVQUUSUURUUGUUGRJUTUU
      GUUGVRUUGRVSVTWAUUAUUOUUQUURUKAEUUHRUUGWBWCYOUUHSZYQRSZPZYPUUOYSUUQYTUURU
      VBYOUUHBUUTUVAWDZWFUVBYQRYRUUPUUTUVAVLUVBYOUUHUVCWEWPUUTYTUUHYQOUVAUURYOU
      UHYQWGUUHYQRWHWIWJWKWLFWMWNUUIUULSZUUGUUJSZWOYGUUMUUJBIPUVDUUHUUKSZUVEUVD
      UVFRRSRTUUHRUUKRUUJWBWCWQWRUVFUVEWOUAUUGUUJKWSWTXAXBXJXCYGCBHNZXDZHXEZYIY
      GUVHHYGCBUVGXFUVHAUBUCBUDNZBMUENZUVJUVJLMPUVJUVKOUUJUVKUUJUUJLXGUVGXHUFNZ
      SGUVKXIUVLQXKXLUFUVJXMPPUDUEULZXNXOZUVNUVMYBZXIUVNUVOUVGXHQXKZUVGCDUVMEFU
      DUFUBUCGBUVGUVMEUEAUVMTXPUVNTUVPTXQCBUVGXRXSXTYICBUHJUVIBCYACBHYCYDXSBCYE
      YF $.
  $}

  ${
    $d x A $.
    $( Lemma for ~ canthp1 .  (Contributed by Mario Carneiro, 18-May-2015.) $)
    canthp1lem1 $p |- ( 1o ~< A -> ( A |_| 2o ) ~<_ ~P A ) $=
      ( vx c1o csdm wbr c2o cdju cxp cdom cpw wcel c0 wceq csn cen cvv syl pwen
      sylib syl2anc 1sdom2 djuxpdom mpan2 cv wn wex sdom0 breq2 mtbiri con2i wa
      neq0 relsdom brrelex2i adantr enrefg cpr df2o2 pwpw0 eqtr4i 0ex vex en2sn
      cdif mp2an ax-mp eqbrtri xpen sylancl snex pwex cun uncom wss simpr snssd
      undif eqtrid difexd canth2g domunsn 3syl eqbrtrrd xpdom1g sylancr endomtr
      pwdjuen domentr cin a1i disjdifr endjudisj syl3anc breqtrd exlimddv domtr
      ensymd ) CADEZAFGZAFHZIEZWTAJZIEZWSXBIEWRCFDEXAUAAFUBUCWRBUDZAKZXCBWRALMZ
      UEXEBUFXFWRXFWRCLDECUGALCDUHUIUJBAULSWRXEUKZWTAXDNZVDZXHGZJZIEZXKXBOEZXCX
      GWTXIJZXHJZHZIEZXPXKOEXLXGWTAXOHZOEZXRXPIEZXQXGAAOEZFXOOEXSXGAPKZYAWRYBXE
      CADUMUNUOZAPUPQFLNZJZXOOFLYDUQYEURUSUTYDXHOEZYEXOOELPKXDPKYFVABVBLXDPPVCV
      EYDXHRVFVGAAFXOVHVIXGXOPKAXNIEXTXHXDVJZVKXGXIXHVLZAXNIXGYHXHXIVLZAXIXHVMX
      GXHAVNYIAMXGXDAWRXEVOVPXHAVQSVRZXGXIPKZXIXNDEYHXNIEXGAXHPYCVSZXIPVTXIXNXD
      WAWBWCAXNXOPWDWEWTXRXPWFTXGXKXPXGYKXHPKZXKXPOEYLYGXIXHPPWGVIWQWTXPXKWHTXG
      XJAOEXMXGXJYHAOXGYKYMXIXHWILMZXJYHOEYLYMXGYGWJYNXGXHAWKWJXIXHPPWLWMYJWNXJ
      ARQWTXKXBWHTWOWSWTXBWPT $.
  $}

  ${
    $d r x y A $.  $d r x y B $.  $d r x y H $.  $d r x y ph $.  $d r x y W $.
    canthp1lem2.1 $e |- ( ph -> 1o ~< A ) $.
    canthp1lem2.2 $e |- ( ph -> F : ~P A -1-1-onto-> ( A |_| 1o ) ) $.
    canthp1lem2.3 $e |- ( ph ->
      G : ( ( A |_| 1o ) \ { ( F ` A ) } ) -1-1-onto-> A ) $.
    canthp1lem2.4 $e |- H = ( ( G o. F ) o.
      ( x e. ~P A |-> if ( x = A , (/) , x ) ) ) $.
    canthp1lem2.5 $e |- W = { <. x , r >. | ( ( x C_ A /\ r C_ ( x X. x ) ) /\
      ( r We x /\ A. y e. x ( H ` ( `' r " { y } ) ) = y ) ) } $.
    canthp1lem2.6 $e |- B = U. dom W $.
    $( Lemma for ~ canthp1 .  (Contributed by Mario Carneiro, 18-May-2015.) $)
    canthp1lem2 $p |- -. ph $=
      ( c1o wcel wceq c0 cdju cpw cen wbr cvv wf1o csdm relsdom brrelex2i pwexd
      syl f1oeng syl2anc ensymd wn c2o cdom cfn wpss canth2g wb sdomen2 sdomnen
      com mpbid ccrd cdm con0 omelon onenon ax-mp wss cfv ccnv csn cima cin w3a
      wf ccom cdif cres cv cif cmpt wfun wfo dff1o3 simprbi f1ofo f1ofn fnresdm
      wfn foeq1 4syl mpbird f1osng sylancl pwidg fnressn f1oeq1d resdif syl3anc
      cop fvex f1oco f1oeq1 sylibr f1of wa wne a1i eldifsn sylanbrc eqid pssned
      resco fveq1i sselpwd fvco3d 3eqtr3d adantr eqeq1 id ifbieq2d ifcl sylancr
      fvmptd3 neneqd iffalsed fveq2d fvresd mpd wwe cxp cun df-2o 1oex df-dju
      mto 0elpw sdom0 breq2 mtbii necon2ai ad2antrr simplr neqned ifclda fmpttd
      simpr fcod crn frnd cores eqtr4di feq1d inss1 canth4 simp1d simp2d necomd
      wi simp3d 3eqtr3g pssssd sstrd pssne sylan9eq sspsstr sylan eqtrd anim12i
      3eqtr4d wf1 f1of1 f1fveq syl12anc ex necon3ad npss sylib wex wral elinel1
      pm3.2i ffvelrn syl2an fpwwe mpbiri simpld fpwwelem simprld weeq1 eqeltrrd
      spcev ween domtri2 infdju1 syl6bir ensym syl6 mt3d 2onn nnsdom djufi csuc
      isfinite sssucid sseqtrri xpss2 unss2 mp1i ssun2 snid sucid opelxpi mp2an
      eleqtrri sselii wo neii opelxp1 elsni word 1onn nnord ordirr mp2b opelxp2
      pm3.2ni elun mtbir ssnelpss mp2ani psseq12i canthp1lem1 sdomdomtr pm2.65i
      1n0 php3 ) ADQUAZDUBZUCUDZAVUCVUBAVUCUERVUCVUBFUFZVUCVUBUCUDZADUEAQDUGUDZ
      DUERZKQDUGUHUIUKZUJLVUCVUBUEFULUMZUNAVUBVUCUGUDZVUDUOAVUBDUPUAZUGUDZVULVU
      CUQUDZVUKAVULURRZVUBVULUSZVUMAVULVDUGUDZVUOADVDUGUDZUPVDUGUDZVUQAVURDVUBU
      CUDZADVUBUGUDZVUTUOADVUCUGUDZVVAAVUHVVBVUIDUEUTUKAVUFVVBVVAVAVUJVUCVUBDVB
      UKVEDVUBVCUKAVURUOZVUBDUCUDZVUTAVVCVDDUQUDZVVDAVDVFVGZRZDVVFRVVEVVCVAVDVH
      RVVGVIVDVJVKAEDVVFAEDVLZEDSZAVVHEIVMZVNZEHVMZVOVPZEUSZVVLVVMHVMZSZAVUHVUC
      DHVSZVUCVVFVQZVUCVLZVVHVVNVVPVRVUIAVUCDGFVTZVUCDVOZWAZWBZBVUCBWCZDSZTVWDW
      DZWEZVTZVSVVQAVUCVWBDVWCVWGAVWBDVWCUFZVWBDVWCVSAVWBDGFVWBWBZVTZUFZVWIAVUB
      DFVMZVOZWAZDGUFVWBVWOVWJUFZVWLMAFVNWFZVUCVUBFVUCWBZWGZVWAVWNFVWAWBZWGZVWP
      AVUEVWQLVUEVUCVUBFWGZVWQVUCVUBFWHWIUKAVWSVXBAVUEVXBLVUCVUBFWJUKAVUEFVUCWM
      ZVWRFSVWSVXBVALVUCVUBFWKZVUCFWLVUCVUBVWRFWNWOWPAVWAVWNVWTUFZVXAAVXEVWAVWN
      DVWMXDVOZUFZAVUHVWMUERVXGVUIDFXEDVWMUEUEWQWRAVWAVWNVWTVXFAVXCDVUCRZVWTVXF
      SAVUEVXCLVXDUKAVUHVXHVUIDUEWSUKVUCDFWTUMXAWPVWAVWNVWTWJUKVUCVWAVUBVWNFXBX
      CVWBVWODGVWJXFUMVWCVWKSVWIVWLVAGFVWBXQVWBDVWCVWKXGVKXHZVWBDVWCXIUKABVUCVW
      FVWBAVWDVUCRZXJZVWETVWDVWBVXKVWEXJZTVUCRZTDXKZTVWBRVXMVXLDUUAZXLAVXNVXJVW
      EAVUGVXNKVUGTDTDSQTUGUDVUGQUUBTDQUGUUCUUDUUEUKUUFTVUCDXMXNVXKVWEUOZXJZVXJ
      VWDDXKVWDVWBRAVXJVXPUUGVXQVWDDVXKVXPUUKUUHVWDVUCDXMXNUUIUUJZUULAVUCDVWHHA
      VWHVVTVWGVTZHAVWGUUMVWBVLVWHVXSSAVUCVWBVWGVXRUUNVVTVWGVWBUUOUKNUUPUUQVEZV
      VSAVUCVVFUURXLBCDEVVMVUCHUEIJOPVVMXOUUSXCZUUTZAEDUSZUOZVVHVVIUVCAEVVMXKVY
      DAVVMEAVVMEAVVHVVNVVPVYAUVAZXPUVBAVYCEVVMAVYCEVVMSZAVYCXJZEVWCVMZVVMVWCVM
      ZSZVYFVYGEVVTVMZVVMVVTVMZVYHVYIVYGEVWGVMZVVTVMZVVMVWGVMZVVTVMZVYKVYLAVYNV
      YPSVYCAEVXSVMZVVMVXSVMZVYNVYPAVVLVVOVYQVYRAVVHVVNVVPVYAUVDEHVXSNXRVVMHVXS
      NXRUVEAVUCVWBEVVTVWGVXRAEDUEVUIVYBXSZXTAVUCVWBVVMVVTVWGVXRAVVMDUEVUIAVVME
      DAVVMEVYEUVFZVYBUVGXSZXTYAYBVYGVYMEVVTAVYCVYMVVITEWDZEABEVWFWUBVUCVWGVUCV
      WGXOZVWDESZVWEVVIVWDETVWDEDYCWUDYDYEVYSAVXMEVUCRZWUBVUCRVXOVYSVVITEVUCYFY
      GYHVYCVVITEVYCEDEDUVHZYIYJUVIYKVYGVYOVVMVVTVYGVYOVVMDSZTVVMWDZVVMAVYOWUHS
      VYCABVVMVWFWUHVUCVWGVUCWUCVWDVVMSZVWEWUGVWDVVMTVWDVVMDYCWUIYDYEWUAAVXMVVM
      VUCRZWUHVUCRVXOWUAWUGTVVMVUCYFYGYHYBVYGWUGTVVMVYGVVMDVYGVVMDAVVMEVLVYCVVM
      DUSVYTVVMEDUVJUVKXPZYIYJUVLYKYAVYGEVWBVVTVYGWUEEDXKZXJEVWBRZAWUEVYCWULVYS
      WUFUVMEVUCDXMXHZYLVYGVVMVWBVVTVYGWUJVVMDXKVVMVWBRZAWUJVYCWUAYBWUKVVMVUCDX
      MXNZYLUVNVYGVWBDVWCUVOZWUMWUOVYJVYFVAAWUQVYCAVWIWUQVXIVWBDVWCUVPUKYBWUNWU
      PVWBDEVVMVWCUVQUVRVEUVSUVTYMEDUWAUWBYMAEJWCZYNZJUWCZEVVFRAEVVJYNZWUTAVVHV
      VJEEYOVLXJZWVAVVKCWCZVOVPHVMWVCSCEUWDZAEVVJIUDZWVBWVAWVDXJXJAWVEVVLERZAWV
      EWVFXJEESZVVJVVJSZXJWVGWVHEXOVVJXOUWFABCDVVJHUEIEEJOVUIAVVQVXJVWDHVMDRVWD
      VVRRVXTVWDVUCVVFUWEVUCDVWDHUWGUWHPUWIUWJUWKABCDVVJHUEIEJOVUIUWLVEUWMWUSWV
      AJVVJEIXEEWURVVJUWNUWPUKEJUWQXHUWOVDDUWRYGDUWSUWTVUBDUXAUXBUXCUPVDRVUSUXD
      UPUXEVKDUPUXFWRVULUXHXHATVOZDYOZQVOZQYOZYPZWVJWVKUPYOZYPZUSZVUPAWVMWVOVLZ
      WVPWVLWVNVLZWVQAQUPVLWVRQQUXGZUPQUXIYQUXJQUPWVKUXKVKWVLWVNWVJUXLUXMWVQQQX
      DZWVORWVTWVMRZUOWVPWVNWVOWVTWVNWVJUXNQWVKRQUPRWVTWVNRQYRUXOQWVSUPQYRUXPYQ
      UXSQQWVKUPUXQUXRUXTWWAWVTWVJRZWVTWVLRZUYAWWBWWCWWBQTSZQTUYTUYBWWBQWVIRWWD
      QQWVIDUYCQTUYDUKYTWWCQQRZQVDRQUYEWWEUOUYFQUYGQUYHUYIQQWVKQUYJYTUYKWVTWVJW
      VLUYLUYMWVMWVOWVTUYNUYOUKVUBWVMVULWVODQYSDUPYSUYPXHVULVUBVUAUMAVUGVUNKDUY
      QUKVUBVULVUCUYRUMVUBVUCVCUKUYS $.
  $}

  ${
    $d a f g r s w x y z A $.
    $( A slightly stronger form of Cantor's theorem:  For ` 1 < n ` ,
       ` n + 1 < 2 ^ n ` .  Corollary 1.6 of [KanamoriPincus] p. 417.
       (Contributed by Mario Carneiro, 18-May-2015.) $)
    canthp1 $p |- ( 1o ~< A -> ( A |_| 1o ) ~< ~P A ) $=
      ( vf vg vx va vs vz vw c1o csdm wbr cdom cen c2o cvv wcel wfal cv wa wceq
      vy vr cdju cpw 1sdom2 sdomdom ax-mp relsdom brrelex2i djudom2 canthp1lem1
      wn sylancr domtr syl2anc fal wf1o wex ensym bren sylib cfv csn cdif pwidg
      wf f1of syl ffvelrn syl2anr dju1dif syl2an2r wss cxp wwe ccnv cima c0 cif
      ccom cmpt wral copab cdm cuni simpll simplr simpr eqeq1 id cbvmptv coeq2i
      ifbieq2d eqid fpwwecbv canthp1lem2 pm2.21i exlimddv exlimdv syl5 sylanbrc
      ex mtoi brsdom ) IAJKZAIUCZAUDZLKZXFXGMKZULXFXGJKXEXFANUCZLKZXJXGLKXHXEIN
      LKZAOPZXKINJKXLUEINUFUGIAJUHUIZINAOUJUMAUKXFXJXGUNUOXEXIQUPXIXGXFBRZUQZBU
      RZXEQXIXGXFMKXQXFXGUSXGXFBUTVAXEXPQBXEXPQXEXPSZXFAXOVBZVCVDZACRZUQZQCXRXT
      AMKZYBCURXEXMXPXSXFPZYCXNXPXGXFXOVFAXGPZYDXEXGXFXOVGXEXMYEXNAOVEVHXGXFAXO
      VIVJAXSOVKVLXTACUTVAXRYBSZQYFDUAAERZAVMFRZYGYGVNVMSYGYHVOYHVPGRZVCVQYAXOV
      TZHXGHRZATZVRYKVSZWAZVTZVBYITGYGWBSSEFWCZWDWEZXOYAYOYPUBXEXPYBWFXEXPYBWGX
      RYBWHYNDXGDRZATZVRYRVSZWAYJHDXGYMYTYKYRTZYLYSYKYRVRYKYRAWIUUAWJWMWKWLEGUA
      AYOYPUBFDYPWNWOYQWNWPWQWRXBWSWTXCXFXGXDXA $.
  $}

  $( The exclusion of finite sets from consideration in ~ df-gch is necessary,
     because otherwise finite sets larger than a singleton would violate the
     GCH property.  (Contributed by Mario Carneiro, 10-Jun-2015.) $)
  finngch $p |- ( ( A e. Fin /\ 1o ~< A ) ->
      ( A ~< ( A |_| 1o ) /\ ( A |_| 1o ) ~< ~P A ) ) $=
    ( cfn wcel c1o cdju csdm wbr cfin4 cfin2 cfin3 fin12 fin23 fin34 3syl sylib
    cpw isfin4p1 canthp1 anim12i ) ABCZAADEZFGZDAFGUAAPFGTAHCZUBTAICAJCUCAKALAM
    NAQOARS $.

  $( An infinite GCH-set is idempotent under cardinal successor.  (Contributed
     by Mario Carneiro, 18-May-2015.) $)
  gchdju1 $p |- ( ( A e. GCH /\ -. A e. Fin ) -> ( A |_| 1o ) ~~ A ) $=
    ( cgch wcel cfn wn wa c1o cdju cdom wbr cpw csdm cen com a1i djudoml sylan2
    1onn mp1i syl simpr wb nnfi fidomtri2 domfi sylbird mt3d canthp1 jca gchen1
    wi ex mpdan ensymd ) ABCZADCZEZFZAAGHZURAUSIJZUSAKLJZFAUSMJURUTVAUQUOGNCZUT
    VBUQROAGBNPQURGALJZVAURVCUPUOUQUAURVCEZAGIJZUPUQUOGDCZVEVDUBVBVFUQRGUCZSAGB
    UDQURVFVEUPUKVBVFURRVGSVFVEUPGAUEULTUFUGAUHTUIAUSUJUMUN $.

  $( An infinite GCH-set is Dedekind-infinite.  (Contributed by Mario Carneiro,
     31-May-2015.) $)
  gchinf $p |- ( ( A e. GCH /\ -. A e. Fin ) -> _om ~<_ A ) $=
    ( cgch wcel cfn wn wa c1o cdju cen wbr com gchdju1 ensymd cfin4 wb isfin4-2
    cdom adantr csdm isfin4p1 sdomnen sylbi syl6bir mt4d ) ABCZADCEZFZAAGHZIJZK
    AQJZUGUHAALMUGUJEZANCZUIEZUEULUKOUFABPRULAUHSJUMATAUHUAUBUCUD $.

  ${
    $d n r w x z $.  $d n y z D $.  $d a b s v y F $.  $d w y G $.  $d w y K $.
    $d a b r s v x y z H $.  $d a b n r s v x z ph $.  $d n z ps $.  $d s R $.
    $d a n r s x y z A $.  $d a b s v W $.  $d a b s v Z $.  $d a s Y $.
    pwfseqlem4.g $e |- ( ph -> G : ~P A -1-1-> U_ n e. _om ( A ^m n ) ) $.
    pwfseqlem4.x $e |- ( ph -> X C_ A ) $.
    pwfseqlem4.h $e |- ( ph -> H : _om -1-1-onto-> X ) $.
    pwfseqlem4.ps $e |- ( ps <->
      ( ( x C_ A /\ r C_ ( x X. x ) /\ r We x ) /\ _om ~<_ x ) ) $.
    pwfseqlem4.k $e |- ( ( ph /\ ps ) ->
      K : U_ n e. _om ( x ^m n ) -1-1-> x ) $.
    pwfseqlem4.d $e |- D = ( G ` { w e. x |
      ( ( `' K ` w ) e. ran G /\ -. w e. ( `' G ` ( `' K ` w ) ) ) } ) $.
    $( Lemma for ~ pwfseq .  Derive a contradiction by diagonalization.
       (Contributed by Mario Carneiro, 31-May-2015.) $)
    pwfseqlem1 $p |- ( ( ph /\ ps ) ->
        D e. ( U_ n e. _om ( A ^m n ) \ U_ n e. _om ( x ^m n ) ) ) $=
      ( wa wcel vy com cv cmap co ciun ccnv cfv crn crab cpw wf1 adantr f1f syl
      wn wf wss ssrab2 cxp wwe w3a cdom wbr simprl1 sylan2b sstrid rabex sylibr
      vex elpw ffvelrnd eqeltrid wb pm5.19 ffvelrn sylancom wf1o wceq f1ocnvfv1
      f1f1orn wfn f1fn fnfvelrn syl2anc eqeltrd eleq1d id 2fveq3 eleq12d notbid
      fveq2 anbi12d cbvrabv elrab2 anass bitr4i baib eqtrdi fveq2d eqtrd eleq2d
      bitrd ex mtoi eldifd ) ABSZFGUBEGUCZUDUEUFZGUBCUCZXHUDUEUFZXGFDUCZJUGZUHZ
      HUIZTZXLXNHUGZUHZTZUPZSZDXJUJZHUHZXIRXGEUKZXIYBHXGYDXIHULZYDXIHUQAYEBMUMZ
      YDXIHUNUOXGYBEURYBYDTZXGYBXJEYADXJUSBAXJEURZLUCZXJXJUTURZXJYIVAZVBUBXJVCV
      DZSYHPYHYJYKYLAVEVFVGYBEYADXJCVJVHVKVIZVLVMXGFXKTZFJUHZYBTZYPUPZVNZYPVOXG
      YNYRXGYNSZYPYOYOXMUHZXQUHZTZUPZYQYSYOXJTZYTXOTZYPUUCVNXGYNXKXJJUQZUUDYSXK
      XJJULZUUFXGUUGYNQUMZXKXJJUNUOXKXJFJVPVQYSYTFXOXGYNXKJUIZJVRZYTFVSYSUUGUUJ
      UUHXKXJJWAUOXKUUIFJVTVQZXGFXOTYNXGFYCXORXGHYDWBZYGYCXOTXGYEUULYFYDXIHWCUO
      YMYDYBHWDWEVMUMWFYPUUDUUESZUUCYPUUDUUEUUCSZSUUMUUCSUAUCZXMUHZXOTZUUOUUPXQ
      UHZTZUPZSZUUNUAYOXJYBUUOYOVSZUUQUUEUUTUUCUVBUUPYTXOUUOYOXMWLWGUVBUUSUUBUV
      BUUOYOUURUUAUVBWHUUOYOXQXMWIWJWKWMYAUVADUAXJXLUUOVSZXPUUQXTUUTUVCXNUUPXOX
      LUUOXMWLWGUVCXSUUSUVCXLUUOXRUURUVCWHXLUUOXQXMWIWJWKWMWNWOUUDUUEUUCWPWQWRW
      EYSUUBYPYSUUAYBYOYSUUAYCXQUHZYBYSYTYCXQYSYTFYCUUKRWSWTXGUVDYBVSZYNXGYDXOH
      VRZYGUVEXGYEUVFYFYDXIHWAUOYMYDXOYBHVTWEUMXAXBWKXCXDXEXF $.

    $d a r s x V $.
    pwfseqlem4.f $e |- F = ( x e. _V , r e. _V |-> if ( x e. Fin ,
     ( H ` ( card ` x ) ) , ( D ` |^| { z e. _om | -. ( D ` z ) e. x } ) ) ) $.
    $( Lemma for ~ pwfseq .  (Contributed by Mario Carneiro, 18-Nov-2014.)
       (Revised by AV, 18-Sep-2021.) $)
    pwfseqlem2 $p |- ( ( Y e. Fin /\ R e. V ) ->
        ( Y F R ) = ( H ` ( card ` Y ) ) ) $=
      ( va vs cv co ccrd cfv wceq cfn oveq1 2fveq3 eqeq12d eqeq1d nfcv cvv wcel
      oveq2 com crab cint cif cmpo nfmpo1 nfcxfr nfov nfeq1 nfmpo2 weq vex fvex
      wn ifex ovmpt4g mp3an iftrue eqtrid adantr vtocl2gaf vtocl2ga ) UEUGZUFUG
      ZJUHZWCUIUJLUJZUKZPWDJUHZPUIUJLUJZUKPHJUHZWIUKUEUFPHULNWCPUKWEWHWFWIWCPWD
      JUMWCPLUIUNUOWDHUKWHWJWIWDHPJUTUPCUGZQUGZJUHZWKUIUJZLUJZUKZWCWLJUHZWFUKWG
      CQWCWDULNCWCUQZQWCUQZQWDUQZCWQWFCWCWLJWRCJCQURURWKULUSZWODUGGUJWKUSVNDVAV
      BVCZGUJZVDZVEZUDCQURURXDVFVGCWLUQVHVIQWEWFQWCWDJWSQJXEUDCQURURXDVJVGWTVHV
      ICUEVKWMWQWOWFWKWCWLJUMWKWCLUIUNUOQUFVKWQWEWFWLWDWCJUTUPXAWPWLNUSXAWMXDWO
      WKURUSWLURUSXDURUSWMXDUKCVLQVLXAWOXCWNLVMXBGVMVOCQURURXDJURUDVPVQXAWOXCVR
      VSVTWAWB $.

    $( Lemma for ~ pwfseq .  Using the construction ` D ` from ~ pwfseqlem1 ,
       produce a function ` F ` that maps any well-ordered infinite set to an
       element outside the set.  (Contributed by Mario Carneiro,
       31-May-2015.) $)
    pwfseqlem3 $p |- ( ( ph /\ ps ) -> ( x F r ) e. ( A \ x ) ) $=
      ( vy wa cv co cfv wcel com crab cint cdif cfn ccrd cif cvv wceq fvex ifex
      wn vex ovmpt4g mp3an csdm wbr cdom wss cxp wwe w3a simprbi adantl domnsym
      syl isfinite iffalsed eqtrid cmap ciun wrex pwfseqlem1 eldif sylib simpld
      sylnibr eliun wf elmapi ad2antll wral ssiun2 ad2antrl simprd adantr elmap
      ssneldd wfn wb ffnfv baib 3syl syl5bb mtbid con0 nnon ssrab2 omsson sstri
      ffn wne word ordom simprl ordelss sylancr rexnal sylibr ssrexv sylc rabn0
      c0 onint sselid ontri1 syl2anc wi ssintrab syl2an imbi2d bitr4di pm5.74da
      con34b bi2.04 bitrdi elnn pm2.27 expcom a2d fveq2 eleq1d notbid rexlimddv
      sylbid ralimdv2 syl5bi sylbird ffvelrnd cbvrabv elrab2 eldifd eqeltrd
      mt3d ) ABUCZCUDZNUDZIUEZDUDZGUFZUUMUGZUSZDUHUIZUJZGUFZFUUMUKZUULUUOUUMULU
      GZUUMUMUFZKUFZUVBUNZUVBUUMUOUGUUNUOUGUVGUOUGUUOUVGUPCUTZNUTUVDUVFUVBUVEKU
      QUVAGUQURCNUOUOUVGIUOUAVAVBUULUVDUVFUVBUULUUMUHVCVDZUVDUULUHUUMVEVDZUVIUS
      BUVJABUUMFVFUUNUUMUUMVGVFUUMUUNVHVIUVJRVJVKUHUUMVLVMUUMVNWDVOVPUULGFHUDZV
      QUEZUGZUVBUVCUGHUHUULGHUHUVLVRZUGZUVMHUHVSUULUVOGHUHUUMUVKVQUEZVRZUGUSZUU
      LGUVNUVQUKUGUVOUVRUCABCEFGHJKLMNOPQRSTVTGUVNUVQWAWBZWCHGUHUVLWEWBUULUVKUH
      UGZUVMUCZUCZUVBFUUMUWBUVKFUVAGUVMUVKFGWFZUULUVTGFUVKWGWHZUWBUVAUVKUGZUURD
      UVKWIZUWBGUVPUGZUWFUWBUVPUVQGUVTUVPUVQVFUULUVMHUHUVPWJWKUULUVRUWAUULUVOUV
      RUVSWLWMWOUWGUVKUUMGWFZUWBUWFUUMUVKGUVHHUTWNUWBUWCGUVKWPZUWHUWFWQUWDUVKFG
      XHUWHUWIUWFDUVKUUMGWRWSWTXAXBZUWBUWEUSZUVKUVAVFZUWFUWBUVKXCUGZUVAXCUGUWLU
      WKWQUVTUWMUULUVMUVKXDZWKUWBUUTXCUVAUUTUHXCUUSDUHXEXFXGZUWBUUTXCVFUUTXTXIZ
      UVAUUTUGZUWOUWBUUSDUHVSZUWPUWBUVKUHVFZUUSDUVKVSZUWRUWBUHXJUVTUWSXKUULUVTU
      VMXLUHUVKXMXNUWBUWFUSUWTUWJUURDUVKXOXPUUSDUVKUHXQXRUUSDUHXSXPUUTYAXNZYBUV
      KUVAYCYDUWLUUSUVKUUPVFZYEZDUHWIUWBUWFUUSDUVKUHYFUWBUXCUURDUHUVKUVTUUPUHUG
      ZUXCYEZUUPUVKUGZUURYEZYEUULUVMUVTUXEUXFUXDUURYEZYEZUXGUVTUXEUXDUXGYEUXIUV
      TUXDUXCUXGUVTUXDUCZUXCUUSUXFUSZYEUXGUXJUXBUXKUUSUVTUWMUUPXCUGUXBUXKWQUXDU
      WNUUPXDUVKUUPYCYGYHUXFUURYKYIYJUXDUXFUURYLYMUVTUXFUXHUURUXFUVTUXHUURYEZUX
      FUVTUCUXDUXLUUPUVKYNUXDUURYOVMYPYQUUBWKUUCUUDUUEUUKUUFUWBUWQUVBUUMUGZUSZU
      XAUWQUVAUHUGUXNUBUDZGUFZUUMUGZUSZUXNUBUVAUHUUTUXOUVAUPZUXQUXMUXSUXPUVBUUM
      UXOUVAGYRYSYTUUSUXRDUBUHUUPUXOUPZUURUXQUXTUUQUXPUUMUUPUXOGYRYSYTUUGUUHVJV
      MUUIUUAUUJ $.

    $( Lemma for ~ pwfseqlem4 .  (Contributed by Mario Carneiro,
       7-Jun-2016.) $)
    pwfseqlem4a $p |- ( ( ph /\ ( a C_ A /\ s C_ ( a X. a ) /\ s We a ) ) ->
      ( a F s ) e. A ) $=
      ( cv wss cxp wwe w3a wa com csdm wbr co wcel cfn isfinite wi ccrd cfv cvv
      wceq vex pwfseqlem2 sylancl wf wf1o f1of syl fssd ficardom ffvelrn syl2an
      simpr eqeltrd ex adantr syl5bir wn cdom cdm wb omelon onenon ax-mp simpr3
      con0 wex 19.8ad ween sylibr domtri2 sylancr cdif nfv nfcv crab cif nfmpo2
      cint cmpo nfcxfr nfov nfel1 nfim sseq1 weeq1 3anbi23d anbi1d anbi2d oveq2
      eleq1d imbi12d nfmpo1 xpeq12 anidms sseq2d weeq2 3anbi123d anbi12d syl5bb
      weq breq2 oveq1 difeq2 eleq12d pwfseqlem3 chvarfv eldifad sylbird pm2.61d
      expr ) APUDZFUEZNUDZYLYLUFZUEZYLYNUGZUHZUIZYLUJUKULZYLYNIUMZFUNZYTYLUOUNZ
      YSUUBYLUPAUUCUUBUQYRAUUCUUBAUUCUIZUUAYLURUSZKUSZFUUDUUCYNUTUNUUAUUFVAAUUC
      VMNVBABCDEFGYNHIJKLUTMYLOQRSTUAUBUCVCVDAUJFKVEUUEUJUNUUFFUNUUCAUJMFKAUJMK
      VFUJMKVESUJMKVGVHRVIYLVJUJFUUEKVKVLVNVOVPVQYSYTVRZUJYLVSULZUUBYSUJURVTZUN
      ZYLUUIUNZUUHUUGWAUJWFUNUUJWBUJWCWDYSYQNWGUUKYSYQNAYMYPYQWEWHYLNWIWJUJYLWK
      WLAYRUUHUUBAYRUUHUIZUIZUUAFYLAYMOUDZYOUEZYLUUNUGZUHZUUHUIZUIZYLUUNIUMZFYL
      WMZUNZUQZUUMUUAUVAUNZUQONUUMUVDOUUMOWNOUUAUVAOYLYNIOYLWOOICOUTUTCUDZUOUNU
      VEURUSKUSDUDGUSUVEUNVRDUJWPWSGUSWQZWTZUCCOUTUTUVFWRXAOYNWOXBXCXDONYAZUUSU
      UMUVBUVDUVHUURUULAUVHUUQYRUUHUVHUUOYPUUPYQYMUUNYNYOXEYLUUNYNXFXGXHXIUVHUU
      TUUAUVAUUNYNYLIXJXKXLABUIZUVEUUNIUMZFUVEWMZUNZUQUVCCPUUSUVBCUUSCWNCUUTUVA
      CYLUUNICYLWOCIUVGUCCOUTUTUVFXMXACUUNWOXBXCXDCPYAZUVIUUSUVLUVBUVMBUURABUVE
      FUEZUUNUVEUVEUFZUEZUVEUUNUGZUHZUJUVEVSULZUIUVMUURTUVMUVRUUQUVSUUHUVMUVNYM
      UVPUUOUVQUUPUVEYLFXEUVMUVOYOUUNUVMUVOYOVAUVEYLUVEYLXNXOXPUVEYLUUNXQXRUVEY
      LUJVSYBXSXTXIUVMUVJUUTUVKUVAUVEYLUUNIYCUVEYLFYDYEXLABCDEFGHIJKLMOQRSTUAUB
      UCYFYGYGYHYKYIYJ $.

    pwfseqlem4.w $e |- W = { <. a , s >. |
    ( ( a C_ A /\ s C_ ( a X. a ) ) /\ ( s We a /\ A. b e. a
      [. ( `' s " { b } ) / v ]. ( v F ( s i^i ( v X. v ) ) ) = b ) ) } $.
    pwfseqlem4.z $e |- Z = U. dom W $.
    $( Lemma for ~ pwfseq .  Derive a final contradiction from the function
       ` F ` in ~ pwfseqlem3 .  Applying ~ fpwwe2 to it, we get a certain
       maximal well-ordered subset ` Z ` , but the defining property
       ` ( Z F ( W `` Z ) ) e. Z ` contradicts our assumption on ` F ` , so we
       are reduced to the case of ` Z ` finite.  This too is a contradiction,
       though, because ` Z ` and its preimage under ` ( W `` Z ) ` are distinct
       sets of the same cardinality and in a subset relation, which is
       impossible for finite sets.  (Contributed by Mario Carneiro,
       31-May-2015.) $)
    pwfseqlem4 $p |- -. ph $=
      ( ccrd cfv wbr ccnv csn cima wcel co cfn cvv wceq com csdm wa eqid pm3.2i
      cpw cmap ciun wf1 omex ovex iunex f1dmex sylancl pwexb sylibr pwfseqlem4a
      cv fpwwe2 mpbiri simprd wss cxp wwe cin wsbc wral simpld fpwwe2lem2 mpbid
      wi ssexd w3a sseq1 id sqxpeqd sseq2d weeq2 3anbi123d anbi2d 3expa adantrr
      syl pm4.71i bitr4di oveq1 eleq12d breq1 imbi12d fvex weeq1 3anbi23d oveq2
      eleq1d imbi1d wn cdom cdm con0 omelon onenon ax-mp wex simpr3 19.8ad ween
      wb cdif nfv nfcv nfcxfr nfov nfel1 nfim chvarfv sylbird pwfseqlem2 finnum
      ficardom syl2anc domtri2 crab cint cif nfmpo2 anbi1d nfmpo1 xpeq12 anidms
      sylancr breq2 anbi12d syl5bb difeq2 pwfseqlem3 eldifbd con4d vtocl vtoclg
      cmpo expr mpcom mpd isfinite eqeltrrd cen fpwwe2lem3 cnvimass dmss dmxpss
      mpdan sstrdi sstrid ssfid inex1 eqtr3d wf1o f1of1 f1fveq syl12anc carden2
      eqcomd wpss dfpss2 baib php3 sdomnen ex mt4d eleqtrrd eliniseg sylib weso
      wor sonr pm2.65i ) APUJUKZLUKZUWRPNUKZULZAUWRUWSUMZUWRUNZUOZUPZUWTAUWRPUX
      CAPUWSJUQZUWRPAPURUPZUWSUSUPUXEUWRUTAPVAVBULZUXFAUXEPUPZUXGAPUWSNULZUXHAU
      XIUXHVCPPUTZUWSUWSUTZVCUXJUXKPVDUWSVDVEASTFGUWSJUSNPPQUHAGVFZUSUPZGUSUPAU
      XLIVAGIVRZVGUQZVHZKVIUXPUSUPUXMUAIVAUXOVJGUXNVGVKVLUXLUXPUSKVMVNGVOVPZABC
      DEGHIJKLMOQRSUAUBUCUDUEUFUGVQUIVSVTZWAZPUSUPAUXHUXGWKZAPGUSUXQAPGWBZUWSPP
      WCZWBZAUYAUYCVCZPUWSWDZFVRZUWSUYFUYFWCWEJUQTVRZUTFUXAUYGUNUOWFTPWGZVCZAUX
      IUYDUYIVCZAUXIUXHUXRWHZASTFGUWSJUSNPQUHUXQWIWJZWHZWHWLASVRZGWBZUWSUYNUYNW
      CZWBZUYNUWSWDZWMZVCZUYNUWSJUQZUYNUPZUYNVAVBULZWKZWKZAUXTWKSPUSUYNPUTZUYTA
      VUDUXTVUFUYTAUYAUYCUYEWMZVCAVUFUYSVUGAVUFUYOUYAUYQUYCUYRUYEUYNPGWNVUFUYPU
      YBUWSVUFUYNPVUFWOZWPWQUYNPUWSWRWSWTAVUGAUYJVUGUYLUYDUYEVUGUYHUYAUYCUYEVUG
      VUGWOXAXBXCXDXEVUFVUBUXHVUCUXGVUFVUAUXEUYNPUYNPUWSJXFVUHXGUYNPVAVBXHXIXIA
      UYOQVRZUYPWBZUYNVUIWDZWMZVCZUYNVUIJUQZUYNUPZVUCWKZWKVUEQUWSPNXJZVUIUWSUTZ
      VUMUYTVUPVUDVURVULUYSAVURVUJUYQVUKUYRUYOVUIUWSUYPWNUYNVUIUWSXKXLWTVURVUOV
      UBVUCVURVUNVUAUYNVUIUWSUYNJXMXNXOXIVUMVUCVUOVUMVUCXPZVAUYNXQULZVUOXPZVUMV
      AUJXRZUPZUYNVVBUPZVUTVUSYGVAXSUPVVCXTVAYAYBVUMVUKQYCVVDVUMVUKQAUYOVUJVUKY
      DYEUYNQYFVPVAUYNUUAUUJAVULVUTVVAAVULVUTVCZVCZVUNGUYNAUYORVRZUYPWBZUYNVVGW
      DZWMZVUTVCZVCZUYNVVGJUQZGUYNYHZUPZWKZVVFVUNVVNUPZWKRQVVFVVQRVVFRYIRVUNVVN
      RUYNVUIJRUYNYJRJCRUSUSCVRZURUPVVRUJUKLUKDVRHUKVVRUPXPDVAUUBUUCHUKUUDZUUTZ
      UGCRUSUSVVSUUEYKRVUIYJYLYMYNVVGVUIUTZVVLVVFVVOVVQVWAVVKVVEAVWAVVJVULVUTVW
      AVVHVUJVVIVUKUYOVVGVUIUYPWNUYNVVGVUIXKXLUUFWTVWAVVMVUNVVNVVGVUIUYNJXMXNXI
      ABVCZVVRVVGJUQZGVVRYHZUPZWKVVPCSVVLVVOCVVLCYICVVMVVNCUYNVVGJCUYNYJCJVVTUG
      CRUSUSVVSUUGYKCVVGYJYLYMYNVVRUYNUTZVWBVVLVWEVVOVWFBVVKABVVRGWBZVVGVVRVVRW
      CZWBZVVRVVGWDZWMZVAVVRXQULZVCVWFVVKUDVWFVWKVVJVWLVUTVWFVWGUYOVWIVVHVWJVVI
      VVRUYNGWNVWFVWHUYPVVGVWFVWHUYPUTVVRUYNVVRUYNUUHUUIWQVVRUYNVVGWRWSVVRUYNVA
      XQUUKUULUUMWTVWFVWCVVMVWDVVNVVRUYNVVGJXFVVRUYNGUUNXGXIABCDEGHIJKLMORUAUBU
      CUDUEUFUGUUOYOYOUUPUVAYPUUQUURUUSUVBUVCPUVDVPZVUQABCDEGHUWSIJKLMUSOPRUAUB
      UCUDUEUFUGYQVNUXSUVEZAUXCPUVFULZUXCPUTZAUXCUJUKZUWQUTZVWOAUWQVWQAUWRVWQLU
      KZUTZUWQVWQUTZAUXCUWSUXCUXCWCZWEZJUQZUWRVWSAUWRPUPZVXDUWRUTVWNASTFGUWRUWS
      JUSNPQUHUXQUYKUVGUVKAUXCURUPZVXCUSUPVXDVWSUTAPUXCVWMAUXCUWSXRZPUWSUXBUVHA
      VXGUYBXRZPAUYCVXGVXHWBAUYAUYCUYMWAUWSUYBUVIXCPPUVJUVLUVMZUVNZUWSVXBVUQUVO
      ABCDEGHVXCIJKLMUSOUXCRUAUBUCUDUEUFUGYQVNUVPAVAOLVIZUWQVAUPZVWQVAUPZVWTVXA
      YGAVAOLUVQVXKUCVAOLUVRXCAUXFVXLVWMPYSXCAVXFVXMVXJUXCYSXCVAOUWQVWQLUVSUVTW
      JUWBAUXCVVBUPZPVVBUPZVWRVWOYGAVXFVXNVXJUXCYRXCAUXFVXOVWMPYRXCUXCPUWAYTWJA
      VWPXPZUXCPUWCZVWOXPZAUXCPWBZVXQVXPYGVXIVXQVXSVXPUXCPUWDUWEXCAUXFVXQVXRWKV
      WMUXFVXQVXRUXFVXQVCUXCPVBULVXRPUXCUWFUXCPUWGXCUWHXCYPUWIUWJUWRUSUPUXDUWTY
      GUWQLXJZUWSUWRUWRUSVXTUWKYBUWLAPUWSUWNZVXEUWTXPAUYEVYAAUYEUYHAUYDUYIUYLWA
      WHPUWSUWMXCVWNPUWRUWSUWOYTUWP $.
  $}

  ${
    $d a b c d i j m n s w z G $.  $d a b c d j m r s t w z H $.  $d f k x P $.
    $d a b c d f i j k m n r s t u v w x y z $.  $d a b k n r s t w x y z ph $.
    $d a b c d i j m n s w z K $.  $d b N $.  $d k n x y z ps $.  $d n y S $.
    $d a b c d n r s t w z A $.  $d b u v x y O $.
    pwfseqlem5.g $e |- ( ph -> G : ~P A -1-1-> U_ n e. _om ( A ^m n ) ) $.
    pwfseqlem5.x $e |- ( ph -> X C_ A ) $.
    pwfseqlem5.h $e |- ( ph -> H : _om -1-1-onto-> X ) $.
    pwfseqlem5.ps $e |- ( ps <->
      ( ( t C_ A /\ r C_ ( t X. t ) /\ r We t ) /\ _om ~<_ t ) ) $.
    pwfseqlem5.n $e |- ( ph -> A. b e. ( har ` ~P A ) ( _om C_ b ->
      ( N ` b ) : ( b X. b ) -1-1-onto-> b ) ) $.
    pwfseqlem5.o $e |- O = OrdIso ( r , t ) $.
    pwfseqlem5.t $e |- T =
      ( u e. dom O , v e. dom O |-> <. ( O ` u ) , ( O ` v ) >. ) $.
    pwfseqlem5.p $e |- P = ( ( O o. ( N ` dom O ) ) o. `' T ) $.
    pwfseqlem5.s $e |- S = seqom ( ( k e. _V , f e. _V |->
      ( x e. ( t ^m suc k ) |-> ( ( f ` ( x |` k ) ) P ( x ` k ) ) ) ) ,
      { <. (/) , ( O ` (/) ) >. } ) $.
    pwfseqlem5.q $e |- Q = ( y e. U_ n e. _om ( t ^m n ) |->
      <. dom y , ( ( S ` dom y ) ` y ) >. ) $.
    pwfseqlem5.i $e |- I = ( x e. _om , y e. t |-> <. ( O ` x ) , y >. ) $.
    pwfseqlem5.k $e |- K = ( ( P o. I ) o. Q ) $.
    $( Lemma for ~ pwfseq .  Although in some ways ~ pwfseqlem4 is the "main"
       part of the proof, one last aspect which makes up a remark in the
       original text is by far the hardest part to formalize.  The main proof
       relies on the existence of an injection ` K ` from the set of finite
       sequences on an infinite set ` x ` to ` x ` .  Now this alone would not
       be difficult to prove; this is mostly the claim of ~ fseqen .  However,
       what is needed for the proof is a _canonical_ injection on these sets,
       so we have to start from scratch pulling together explicit bijections
       from the lemmas.

       If one attempts such a program, it will mostly go through, but there is
       one key step which is inherently nonconstructive, namely the proof of
       ~ infxpen .  The resolution is not obvious, but it turns out that
       reversing an infinite ordinal's Cantor normal form absorbs all the
       non-leading terms ( ~ cnfcom3c ), which can be used to construct a
       pairing function explicitly using properties of the ordinal exponential
       ( ~ infxpenc ).  (Contributed by Mario Carneiro, 31-May-2015.) $)
    pwfseqlem5 $p |- -. ph $=
      ( vz vi vw vc vd vj vm vs va cv ccnv cfv crn wcel wn wa crab cvv cfn ccrd
      com cint cif cmpo wss cxp wwe cin wceq csn cima wsbc wral copab cuni cmap
      co cdm ciun ccom wf1 wf1o cep wiso vex w3a cdom wbr simprl3 sylan2b oiiso
      sylancr isof1o syl cardom cen simprr oien ensymd domentr syl2anc wb ax-mp
      con0 onenon mp1i wi f1oeq1d adantr a1i sylibr f1oco cmpt wf feqmptd mpbid
      cop xpf1o f1oeq1 f1of1 cres f1co c0 eqid omelon oion elv mpbird eqsstrrid
      carddom2 cardonle sstrd cpw char sseq2 fveq2 xpeq12 anidms f1oeq2d f1oeq3
      3bitrd imbi12d omex ovex iunex f1dmex sylancl simprl1 ssdomg sylc canth2g
      pwexb csdm sdomdom 3syl endomtr elharval sylanbrc rspcdva mpd f1of f1ocnv
      domtr f1ssres f1f1orn feqresmpt cid mptresid eqcomi f1oi mpbiri f1f xpss1
      4syl f1ss peano1 sseldd ffvelrnd fseqenlem2 f1eq1 fpwwe2cbv pwfseqlem4
      frn ) ABGUQURUSHURVFZSVGVHZPVIVJUWTUXAPVGVHVJVKVLURGVFZVMPVHZOGUCVNVNUXBV
      OVJUXBVPVHQVHUQVFUXCVHUXBVJVKUQVQVMVRUXCVHVSVTZPQSUTVFZHWAVAVFZUXEUXEWBWA
      VLUXEUXFWCVBVFZUXFUXGUXGWBWDUXDWMVCVFZWEVBUXFVGUXHWFWGWHVCUXEWIVLVLUTVAWJ
      ZUBUXIWNWKZVDUCVEUDUEUFUGUHABVLZOVQUXBOVFZWLWMWOZUXBIRWPZJWPZWQZUXMUXBSWQ
      ZUXKVQUXBWBZUXBUXNWQZUXMUXRJWQUXPUXKUXBUXBWBZUXBIWQZUXRUXTRWQZUXSUXKUXTUX
      BIWRZUYAUXKUXTUXBUAUAWNZTVHZWPZLVGZWPZWRZUYCUXKUYDUYDWBZUXBUYFWRZUXTUYJUY
      GWRZUYIUXKUYDUXBUAWRZUYJUYDUYEWRZUYKUXKUYDUXBWSUCVFZUAWTZUYMUXKUXBVNVJZUX
      BUYOWCZUYPGXAZBAUXBHWAZUYOUXTWAZUYRXBZVQUXBXCXDZVLZUYRUHUYTVUAUYRVUCAXEXF
      ZUXBUYOUAVNUJXGXHUYDUXBWSUYOUAXIXJZUXKVQUYDWAZUYNUXKVQUYDVPVHZUYDUXKVQVQV
      PVHZVUHXKUXKVUIVUHWAZVQUYDXCXDZUXKVUCUXBUYDXLXDVUKBAVUDVUCUHAVUBVUCXMXFUX
      KUYDUXBUXKUYQUYRUYDUXBXLXDZUYSVUEUXBUYOUAVNUJXNXHZXOVQUXBUYDXPXQUXKVQVPWN
      ZVJZUYDVUNVJZVUJVUKXRVQXTVJVUOUUAVQYAXSUYDXTVJZVUPUXKVUQGUXBUYOUAVNUJUUBU
      UCZUYDYAYBVQUYDUUFXHUUDUUEVUQVUHUYDWAUXKVURUYDUUGYBUUHZUXKVQUDVFZWAZVUTVU
      TWBZVUTVUTTVHZWRZYCZVUGUYNYCUDHUUIZUUJVHZUYDVUTUYDWEZVVAVUGVVDUYNVUTUYDVQ
      UUKVVHVVDVVBVUTUYEWRUYJVUTUYEWRUYNVVHVVBVUTVVCUYEVUTUYDTUULYDVVHVVBUYJVUT
      UYEVVHVVBUYJWEVUTUYDVUTUYDUUMUUNUUOVUTUYDUYJUYEUUPUUQUURAVVEUDVVGWIBUIYEU
      XKVUQUYDVVFXCXDZUYDVVGVJVUQUXKVURYFUXKVULUXBVVFXCXDZVVIVUMUXKUXBHXCXDZHVV
      FXCXDZVVJUXKHVNVJZUYTVVKUXKVVFVNVJZVVMUXKVVFOVQHUXLWLWMZWOZPWQZVVPVNVJVVN
      AVVQBUEYEOVQVVOUUSHUXLWLUUTUVAVVFVVPVNPUVBUVCHUVHYGZBAVUDUYTUHUYTVUAUYRVU
      CAUVDXFUXBHVNUVEUVFUXKVVMHVVFUVIXDVVLVVRHVNUVGHVVFUVJUVKUXBHVVFUVSXQUYDUX
      BVVFUVLXQVVFUYDUVMUVNUVOUVPUYJUYDUXBUAUYEYHXQUXKUYJUXTLWRZUYLUXKUYJUXTFEU
      YDUYDFVFUAVHZEVFUAVHZYMVTZWRZVVSUXKFEUYDUXBUYDUXBVVTVWAUXKUYMUYDUXBFUYDVV
      TYIZWRVUFUXKUYDUXBUAVWDUXKFUYDUXBUAUXKUYMUYDUXBUAYJVUFUYDUXBUAUVQXJZYKYDY
      LUXKUYMUYDUXBEUYDVWAYIZWRVUFUXKUYDUXBUAVWFUXKEUYDUXBUAVWEYKYDYLYNLVWBWEVV
      SVWCXRUKUYJUXTLVWBYOXSYGUYJUXTLUVRXJUXTUYJUXBUYFUYGYHXQIUYHWEUYCUYIXRULUX
      TUXBIUYHYOXSYGZUXTUXBIYPXJUXKUXRUAVQYQZVIZUXBWBZRWQZVWJUXTWAZUYBUXKUXRVWJ
      RWRZVWKUXKUXRVWJCDVQUXBCVFUAVHZDVFZYMVTZWRZVWMUXKCDVQVWIUXBUXBVWNVWOUXKVQ
      VWIVWHWRZVQVWICVQVWNYIZWRUXKVQUXBVWHWQZVWRUXKUYDUXBUAWQZVUGVWTUXKUYMVXAVU
      FUYDUXBUAYPXJVUSUYDUXBVQUAUVTXQZVQUXBVWHUWAXJUXKVQVWIVWHVWSUXKCUYDUXBVQUA
      VWEVUSUWBYDYLDUXBVWOYIZUWCUXBYQZWEZUXBUXBVXCWRZUXKVXDVXCDUXBUWDUWEVXEVXFU
      XBUXBVXDWRUXBUWFUXBUXBVXCVXDYOUWGYBYNRVWPWEVWMVWQXRUOUXRVWJRVWPYOXSYGUXRV
      WJRYPXJUXKVWTVQUXBVWHYJVWIUXBWAVWLVXBVQUXBVWHUWHVQUXBVWHUWSVWIUXBUXBUWIUW
      JUXRVWJUXTRUWKXQUXRUXTUXBIRYRXQUXKCDUXBYSUAVHMONIKJVNUYQUXKUYSYFUXKUYDUXB
      YSUAVWEUXKVQUYDYSVUSYSVQVJUXKUWLYFUWMUWNVWGUMUNUWOUXMUXRUXBUXNJYRXQSUXOWE
      UXQUXPXRUPUXMUXBSUXOUWPXSYGUXCYTUXDYTUTVCUDUSVBHUXDUXIVDVAVEUXIYTUWQUXJYT
      UWR $.
  $}

  ${
    $d b f g h k m n p r s t u w x y z A $.
    $( The powerset of a Dedekind-infinite set does not inject into the set of
       finite sequences.  The proof is due to Halbeisen and Shelah.
       Proposition 1.7 of [KanamoriPincus] p. 418.  (Contributed by Mario
       Carneiro, 31-May-2015.) $)
    pwfseq $p |- ( _om ~<_ A -> -. ~P A ~<_ U_ n e. _om ( A ^m n ) ) $=
      ( vt vh vb vm vg vx vy vk vw com cv cmap co wss wa wf1o cfv eqid vu vr vz
      vs vp vf cvv wcel cdom wbr cpw ciun wn reldom brrelex2i cen wex domeng wi
      bren cxp char wral con0 harcl infxpenc2 wf1 wwe w3a coi cdm ccom cop cmpo
      ax-mp ccnv csuc cres cmpt c0 csn cseqom simpr wceq wb oveq2 cbviunv f1eq3
      sylib simpllr simplll biid simplr sseq2 fveq2 xpeq12 anidms f1oeq3 3bitrd
      f1oeq1d f1oeq2d imbi12d cbvralvw mpteq1i pwfseqlem5 imnani brdomi nsyl ex
      nexdv exlimdv mpi exlimiv sylbi imp syl6bi mpcom ) AUGUHZLAUIUJZAUKZBLABM
      ZNOZULZUIUJZUMZLAUIUNUOXRXSLCMZUPUJZYFAPZQZCUQYECLAUGURYIYECYGYHYEYGLYFDM
      ZRZDUQYHYEUSZLYFDUTYKYLDYKYHYEYKYHQZLEMZPZYNYNVAZYNYNFMZSZRZUSZEXTVBSZVCZ
      FUQZYEUUAVDUHUUCXTVEUUAFEVFVOYMUUBYEFYMUUBYEYMUUBQZXTYCGMZVGZGUQYDUUDUUFG
      UUDUUFUUDUUFQZUAMZAPUBMZUUHUUHVAPUUHUUIVHVILUUHUIUJQZHIUCUDUAAUUHUUIVJZUU
      KVKZYQSVLUDUCUULUULUDMUUKSUCMUUKSVMVNZVPVLZIBLUUHYANOZULZIMZVKZUUQUURUEUF
      UGUGHUUHUEMZVQNOHMZUUSVRUFMSUUSUUTSUUNOVSVNVTVTUUKSVMWAWBZSSVMZVSZUVAUUMU
      FUEJUUEYJHILUUHUUTUUKSUUQVMVNZUUNUVDVLUVCVLZYQUUKYFUBKUUGUUFXTJLAJMZNOZUL
      ZUUEVGZUUDUUFWCYCUVHWDUUFUVIWEBJLYBUVGYAUVFANWFWGYCUVHXTUUEWHVOWIYKYHUUBU
      UFWJYKYHUUBUUFWKUUJWLUUGUUBLKMZPZUVJUVJVAZUVJUVJYQSZRZUSZKUUAVCYMUUBUUFWM
      YTUVOEKUUAYNUVJWDZYOUVKYSUVNYNUVJLWNUVPYSYPYNUVMRUVLYNUVMRUVNUVPYPYNYRUVM
      YNUVJYQWOWTUVPYPUVLYNUVMUVPYPUVLWDYNUVJYNUVJWPWQXAYNUVJUVLUVMWRWSXBXCWIUU
      KTUUMTUUNTUVATIUUPJLUUHUVFNOZULUVBBJLUUOUVQYAUVFUUHNWFWGXDUVDTUVETXEXFXJX
      TYCGXGXHXIXKXLXIXMXNXOXMXPXQ $.

    $( The powerset of a Dedekind-infinite set does not inject into its
       Cartesian product with itself.  (Contributed by Mario Carneiro,
       31-May-2015.)  (Proof shortened by AV, 18-Jul-2022.) $)
    pwxpndom2 $p |- ( _om ~<_ A -> -. ~P A ~<_ ( A |_| ( A X. A ) ) ) $=
      ( vn vx com cdom wbr cv cmap co c1o c2o cen c0 wceq cvv wcel a1i ensym wn
      wss cpw cxp cdju ciun pwfseq wi cun cin reldom brrelex2i csn df1o2 oveq2i
      id 0ex mapsnend eqbrtrid 3syl map2xp wa cdm elmapi fdmd adantr csuc sucid
      1oex df-2o eleqtrri 1on onirri nelneq2 mp2an adantl eqeq1d mtbiri pm2.65i
      elin mtbir eq0rdv djuenun syl3anc omex ovex iunex 1onn oveq2 ssiun2s 2onn
      ax-mp unssi ssdomg mp2 endomtr sylancl domtr expcom syl mtod ) DAEFZAUAZA
      AAUBZUCZEFZXABDABGZHIZUDZEFZABUEWTXCXGEFZXDXHUFWTXCAJHIZAKHIZUGZLFZXLXGEF
      ZXIWTAXJLFZXBXKLFZXJXKUHZMNXMWTAOPZXJALFXODAEUIUJZXRXJAMUKZHIALJXTAHULUMX
      RAMOOXRUNMOPXRUOQUPUQXJARURWTXRXKXBLFXPXSAOUSXKXBRURWTCXQCGZXQPZSWTYBYAXJ
      PZYAXKPZUTZYEYAVAZJNZYCYGYDYCJAYAYAAJVBVCVDYEYGKJNZJKPJJPSYHSJJVEKJVGVFVH
      VIJVJVKJKJVLVMYEYFKJYDYFKNYCYDKAYAYAAKVBVCVNVOVPVQYAXJXKVRVSQVTAXJXBXKWAW
      BXGOPXLXGTXNBDXFWCAXEHWDWEXJXKXGJDPXJXGTWFBDXFJXJXEJAHWGWHWJKDPXKXGTWIBDX
      FKXKXEKAHWGWHWJWKXLXGOWLWMXCXLXGWNWOXDXIXHXAXCXGWPWQWRWS $.
  $}

  $( The powerset of a Dedekind-infinite set does not inject into its Cartesian
     product with itself.  (Contributed by Mario Carneiro, 31-May-2015.) $)
  pwxpndom $p |- ( _om ~<_ A -> -. ~P A ~<_ ( A X. A ) ) $=
    ( com cdom wbr cpw cxp cdju pwxpndom2 cen cvv wcel reldom brrelex2i djudoml
    wi xpexd syl2anc djucomen domentr domtr expcom syl mtod ) BACDZAEZAAFZCDZUE
    AUFGZCDZAHUDUFUHCDZUGUIOUDUFUFAGZCDZUKUHIDZUJUDUFJKZAJKZULUDAAJJBACLMZUPPZU
    PUFAJJNQUDUNUOUMUQUPUFAJJRQUFUKUHSQUGUJUIUEUFUHTUAUBUC $.

  $( The powerset of a Dedekind-infinite set does not inject into its cardinal
     sum with itself.  (Contributed by Mario Carneiro, 31-May-2015.) $)
  pwdjundom $p |- ( _om ~<_ A -> -. ~P A ~<_ ( A |_| A ) ) $=
    ( com cdom wbr cpw cdju cxp pwxpndom2 wi cvv wcel c1o cen c0 csn xpeq1i 0ex
    df1o2 domtr syl2anc reldom brrelex2i xpsnen2g eqbrtrid ensymd wss omex word
    sylancr ordom 1onn ordelss mp2an ssdomg mpan xpdom1g endomtr djudom2 expcom
    mp2 syl mtod ) BACDZAEZAAFZCDZVDAAAGZFZCDZAHVCVEVHCDZVFVIIVCAVGCDZAJKZVJVCA
    LAGZMDVMVGCDZVKVCVMAVCVMNOZAGZAMLVOARPVCNJKVLVPAMDQBACUAUBZNAJJUCUIUDUEVCVL
    LACDZVNVQLBCDZVCVRBJKLBUFZVSUGBUHLBKVTUJUKBLULUMLBJUNUTLBASUOLAAJUPTAVMVGUQ
    TVQAVGAJURTVFVJVIVDVEVHSUSVAVB $.

  $( An infinite GCH-set is idempotent under cardinal sum.  Part of Lemma 2.2
     of [KanamoriPincus] p. 419.  (Contributed by Mario Carneiro,
     31-May-2015.) $)
  gchdjuidm $p |- ( ( A e. GCH /\ -. A e. Fin ) -> ( A |_| A ) ~~ A ) $=
    ( cgch wcel cfn wn cdju cdom wbr cpw csdm cen simpl djudoml syl2anc canth2g
    wa adantr syl cvv mpdan sdomdom reldom brrelex1i djudom1 pwexd domtr pwdju1
    djudom2 c1o gchdju1 pwen entr domentr com gchinf pwdjundom ensym endom nsyl
    brsdom sylanbrc jca gchen1 ensymd ) ABCZADCEZPZAAAFZVGAVHGHZVHAIZJHZPAVHKHV
    GVIVKVGVEVEVIVEVFLZVLAABBMNVGVHVJGHZVHVJKHZEVKVGVHVJVJFZGHZVOVJKHZVMVGAVJGH
    ZVPVGAVJJHZVRVEVSVFABOQAVJUARVRVHVJAFZGHZVTVOGHZVPVRASCWAAVJGUBUCZAVJASUDTV
    RVJSCWBVRASWCUEAVJVJSUHTVHVTVOUFNRVGVOAUIFZIZKHZWEVJKHZVQVEWFVFABUGQVGWDAKH
    WGAUJWDAUKRVOWEVJULNVHVOVJUMNVGVJVHGHZVNVGUNAGHWHEAUOAUPRVNVJVHKHWHVHVJUQVJ
    VHURRUSVHVJUTVAVBAVHVCTVD $.

  $( An infinite GCH-set is idempotent under cardinal product.  Part of Lemma
     2.2 of [KanamoriPincus] p. 419.  (Contributed by Mario Carneiro,
     31-May-2015.) $)
  gchxpidm $p |- ( ( A e. GCH /\ -. A e. Fin ) -> ( A X. A ) ~~ A ) $=
    ( cgch wcel cfn wn wa cxp cdom wbr cpw csdm cen c0 cvv ensymd adantr syldan
    c1o syl2anc syl csn 0ex a1i xpsneng sylan2 df1o2 wne wceq eqeltrdi necon3bi
    id 0fin adantl wb 0sdomg mpbird 0sdom1dom eqbrtrrid xpdom2g endomtr canth2g
    sylib sdomdom xpdom1g pwexg domtr cdju simpl pwdjuen gchdjuidm pwen domentr
    entr com gchinf pwxpndom ensym endom nsyl brsdom sylanbrc jca gchen1 mpdan
    ) ABCZADCZEZFZAAAGZWHAWIHIZWIAJZKIZFAWILIWHWJWLWHAAMUAZGZLIWNWIHIZWJWHWNAWG
    WEMNCZWNALIWPWGUBUCAMBNUDUEOWEWGWMAHIWOWHWMRAHUFWHMAKIZRAHIWHWQAMUGZWGWRWEW
    FAMAMUHZAMDWSUKULUIUJUMWEWQWRUNWGABUOPUPAUQVBURWMAABUSQAWNWIUTSWHWIWKHIZWIW
    KLIZEWLWHWIWKWKGZHIZXBWKLIZWTWHWIWKAGZHIZXEXBHIZXCWEWGAWKHIZXFWHAWKKIZXHWEX
    IWGABVAPAWKVCTZAWKABVDQWHWKNCZXHXGWEXKWGABVEPXJAWKWKNUSSWIXEXBVFSWHXBAAVGZJ
    ZLIXMWKLIZXDWHXMXBWEWGWEXMXBLIWEWGVHAABBVIQOWHXLALIXNAVJXLAVKTXBXMWKVMSWIXB
    WKVLSWHWKWIHIZXAWHVNAHIXOEAVOAVPTXAWKWILIXOWIWKVQWKWIVRTVSWIWKVTWAWBAWIWCWD
    O $.

  $( A relationship between dominance over the powerset and strict dominance
     when the sets involved are infinite GCH-sets.  Proposition 3.1 of
     [KanamoriPincus] p. 421.  (Contributed by Mario Carneiro, 31-May-2015.) $)
  gchpwdom $p |- ( ( _om ~<_ A /\ A e. GCH /\ B e. GCH ) ->
      ( A ~< B <-> ~P A ~<_ B ) ) $=
    ( com cdom wbr cgch wcel csdm cpw cdju cen cvv pwexd djudoml syl2anc wi syl
    ex wn 3syl w3a wa simpl2 simpl3 domen2 syl5ibrcom djucomen entr ensym endom
    syl6 wb domsdomtr 3ad2antl1 sdomnsym isfinite sylnibr gchdjuidm pwen domen1
    cfn pwdjudom canth2g sdomdomtr gchi 3expia 3ad2antl2 simpl1 domnsym pm2.21d
    syl5bi 3syld syl5 sylbird syld domentr sdomdom adantl pwdom djudom1 djudom2
    wo domtr pwdju1 gchdju1 gchor syl22anc mpjaod reldom brrelex1i pwexb sylbir
    c1o mpancom impbid1 ) CADEZAFGZBFGZUAZABHEZAIZBDEZWSWTXBWSWTUBZBXABJZKEZXBX
    DBIZKEZXCXBXEXAXDDEZXCXALGZWRXHXCAFWPWQWRWTUCMZWPWQWRWTUDZXABLFNOBXDXAUEUFX
    CXGXFBXAJZDEZXBXCXGXLXFKEZXMXCXLXDKEZXGXNPXCWRXIXOXKXJBXAFLUGOZXOXGXNXLXDXF
    UHRQXNXFXLKEXMXLXFUIXFXLUJQUKXCXMBBJZIZXLDEZXBXCXQBKEZXRXFKEXSXMULXCWRBVAGZ
    SZXTXKXCBCHEZYAXCCBHEZYCSWPWQWTYDWRCABUMUNCBUOQBUPUQZBUROXQBUSXRXFXLUTTXSXF
    XADEZXCXBBXAVBXCYFBXAHEZAVAGZXBXCWRBXFHEZYFYGPXKBFVCZYIYFYGBXFXAVDRTWQWPWTY
    GYHPWRWQWTYGYHABVEVFVGYHACHEZXCXBAUPXCYKXBXCWPYKSWPWQWRWTVHCAVIQVJVKVLVMVNV
    OXCWRYBBXDDEZXDXFDEZXEXGWBXKYEXCBXLDEZXOYLXCWRXIYNXKXJBXAFLNOXPBXLXDVPOXCXD
    XFXFJZDEZYOXFKEZYMXCXDXFBJZDEZYRYODEZYPXCXAXFDEZWRYSXCABDEZUUAWTUUBWSABVQVR
    ABVSQXKXAXFBFVTOXCBXFDEZXFLGYTXCWRYIUUCXKYJBXFVQTXCBFXKMBXFXFLWAOXDYRYOWCOX
    CYOBWMJZIZKEZUUEXFKEZYQXCWRUUFXKBFWDQXCUUDBKEZUUGXCWRYBUUHXKYEBWEOUUDBUSQYO
    UUEXFUHOXDYOXFVPOBXDWFWGWHRAXAHEZXBWTXBXIUUIXABDWIWJXIALGUUIAWKALVCWLQAXABV
    DWNWO $.

  $( If ` ( aleph `` A ) ` is a GCH-set and its powerset is well-orderable,
     then the successor aleph ` ( aleph `` suc A ) ` is equinumerous to the
     powerset of ` ( aleph `` A ) ` .  (Contributed by Mario Carneiro,
     15-May-2015.) $)
  gchaleph $p |- ( ( A e. On /\ ( aleph ` A ) e. GCH /\
    ~P ( aleph ` A ) e. dom card ) ->
    ( aleph ` suc A ) ~~ ~P ( aleph ` A ) ) $=
    ( con0 wcel cale cfv cgch cpw ccrd cdm w3a csuc cdom wbr csdm wn wb domtri2
    com cvv syl2anc cen alephsucpw2 alephon onenon ax-mp sylancr mpbiri cfn wss
    simp3 simp1 alephgeom sylib ssdomg mpsyl domnsym syl isfinite sylnibr simp2
    fvex wi alephordilem1 3ad2ant1 gchi 3expia mtod sylancl mpbird sbth ) ABCZA
    DEZFCZVLGZHIZCZJZAKZDEZVNLMZVNVSLMZVSVNUAMVQVTVNVSNMOZAUBVQVSVOCZVPVTWBPVSB
    CWCVRUCVSUDUEZVKVMVPUJZVSVNQUFUGVQWAVSVNNMZOZVQWFVLUHCZVQVLRNMZWHVQRVLLMZWI
    OVLSCVQRVLUIZWJADVAVQVKWKVKVMVPUKAULUMRVLSUNUORVLUPUQVLURUSVQVMVLVSNMZWFWHV
    BVKVMVPUTVKVMWLVPAVCVDVMWLWFWHVLVSVEVFTVGVQVPWCWAWGPWEWDVNVSQVHVIVSVNVJT $.

  $( If ` ( aleph `` A ) ` and ` ( aleph `` suc A ) ` are GCH-sets, then the
     successor aleph ` ( aleph `` suc A ) ` is equinumerous to the powerset of
     ` ( aleph `` A ) ` .  (Contributed by Mario Carneiro, 31-May-2015.) $)
  gchaleph2 $p |- ( ( A e. On /\ ( aleph ` A ) e. GCH /\
    ( aleph ` suc A ) e. GCH ) ->
    ( aleph ` suc A ) ~~ ~P ( aleph ` A ) ) $=
    ( con0 wcel cale cfv cgch csuc cpw ccrd cdm cen wbr char cdom harcl alephon
    w3a csdm onenon com harsdom wb wss simp1 alephgeom sylib ssdomg mpsyl simp2
    mp2b wceq alephsuc simp3 eqeltrrd gchpwdom syl3anc ondomen sylancr gchaleph
    syl mpbii syld3an3 ) ABCZADEZFCZAGDEZFCZVDHZIJZCZVFVHKLVCVEVGQZVDMEZBCVHVLN
    LZVJVDOVKVDVLRLZVMVDBCZVDVICVNAPZVDSVDUAUJVKTVDNLZVEVLFCVNVMUBVOVKTVDUCZVQV
    PVKVCVRVCVEVGUDZAUEUFTVDBUGUHVCVEVGUIVKVFVLFVKVCVFVLUKVSAULUTVCVEVGUMUNVDVL
    UOUPVAVLVHUQURAUSVB $.

  ${
    $d x A $.
    $( If ` A + ~~ ~P A ` , then ` A ` is a GCH-set.  The much simpler converse
       to ~ gchhar .  (Contributed by Mario Carneiro, 2-Jun-2015.) $)
    hargch $p |- ( ( har ` A ) ~~ ~P A -> A e. GCH ) $=
      ( vx char cfv cpw cen wbr cgch wcel cfn cv csdm wa cdom ccrd con0 syl cvv
      wn wb wal wo wi cdm harcl sdomdom ondomen sylancr ax-mp cardsdom2 sylancl
      onenon ibir harcard eleqtrdi elharval simprbi cardid2 domen1 3syl domnsym
      mpbid con2i sdomen2 notbid imnan sylib alrimiv olcd relen brrelex2i pwexb
      syl5ib sylibr elgch mpbird ) ACDZAEZFGZAHIZAJIZABKZLGZWBVRLGZMSZBUAZUBZVS
      WFWAVSWEBVSWCWDSZUCWEWCWBVQLGZSVSWHWIWCWIWBANGZWCSWIWBODZANGZWJWIWKVQIZWL
      WIWKVQODZVQWIWKWNIZWIWBOUDZIZVQWPIZWOWITWIVQPIZWBVQNGWQAUEZWBVQUFVQWBUGUH
      ZWSWRWTVQULUIWBVQUJUKUMAUNUOWMWKPIWLAWKUPUQQWIWQWKWBFGWLWJTXAWBURWKWBAUSU
      TVBWBAVAQVCVSWIWDVQVRWBVDVEVMWCWDVFVGVHVIVSARIZVTWGTVSVRRIXBVQVRFVJVKAVLV
      NBARVOQVP $.

    $( If ` ( aleph `` suc A ) ` is equinumerous to the powerset of
       ` ( aleph `` A ) ` , then ` ( aleph `` A ) ` is a GCH-set.  (Contributed
       by Mario Carneiro, 15-May-2015.) $)
    alephgch $p |- ( ( aleph ` suc A ) ~~ ~P ( aleph ` A ) ->
      ( aleph ` A ) e. GCH ) $=
      ( vx csuc cale cfv cpw cen wbr cfn wcel cv csdm wa wn wo cgch alephnbtwn2
      wal sdomen2 cvv anbi2d mtbii alrimiv olcd wb fvex elgch ax-mp sylibr ) AC
      DEZADEZFZGHZUKIJZUKBKZLHZUOULLHZMZNZBRZOZUKPJZUMUTUNUMUSBUMUPUOUJLHZMURAU
      OQUMVCUQUPUJULUOSUAUBUCUDUKTJVBVAUEADUFBUKTUGUHUI $.
  $}

  $( It is sufficient to require that all alephs are GCH-sets to ensure the
     full generalized continuum hypothesis.  (The proof uses the Axiom of
     Regularity.)  (Contributed by Mario Carneiro, 15-May-2015.) $)
  gch2 $p |- ( GCH = _V <-> ran aleph C_ GCH ) $=
    ( vx cgch cvv wceq cale wss wcel ccrd cfv com mpbi a1i cen wbr wac fnfvelrn
    con0 alephfnon sylancr sseldd crn ssv sseq2 mpbiri cun cardidm iscard3 elun
    cv wo wi cfn fingch nnfi sselid ssel jaod mpi cdm vex cpw wral csuc alephon
    wb wa simpr simpl suceloni adantl gchaleph2 syl3anc isnumi ralrimiva dfac12
    sylibr dfac10 sylib eleqtrrid cardid2 engch 3syl mpbid 2thd eqrdv impbii
    wfn ) BCDZEUAZBFZWHWJWICFWIUBBCWIUCUDWJABCWJAUIZBGZWKCGZWJWKHIZBGZWLWJWNJGZ
    WNWIGZUJZWOWNJWIUEGZWRWNHIWNDWSWKUFWNUGKWNJWIUHKWJWPWOWQWPWOUKWJWPULBWNUMWN
    UNUOLWIBWNUPUQURWJWKHUSZGWNWKMNWOWLVEWJWKCWTAUTZWJOWTCDWJWKEIZVAZWTGZAQVBOW
    JXDAQWJWKQGZVFZWKVCZEIZQGXHXCMNZXDXGVDXFXEXBBGXHBGXIWJXEVGZXFWIBXBWJXEVHZXF
    EQWGZXEXBWIGRXJQWKEPSTXFWIBXHXKXFXLXGQGZXHWIGRXEXMWJWKVIVJQXGEPSTWKVKVLXHXC
    VMSVNAVOVPVQVRVSWKVTWNWKWAWBWCWMWJXALWDWEWF $.

  $( An equivalent formulation of the generalized continuum hypothesis.
     (Contributed by Mario Carneiro, 15-May-2015.) $)
  gch3 $p |- ( GCH = _V <->
    A. x e. On ( aleph ` suc x ) ~~ ~P ( aleph ` x ) ) $=
    ( cgch cvv wceq cv csuc cale cfv cpw cen con0 wral wcel wa simpr fvex simpl
    wbr eleqtrrid sylibr gchaleph2 syl3anc ralrimiva crn wss wf alephgch ralimi
    wfn alephfnon ffnfv mpbiran frnd gch2 impbii ) BCDZAEZFZGHZUQGHZIJRZAKLZUPV
    AAKUPUQKMZNZVCUTBMZUSBMVAUPVCOVDUTCBUQGPUPVCQZSVDUSCBURGPVFSUQUAUBUCVBGUDBU
    EUPVBKBGVBVEAKLZKBGUFZVAVEAKUQUGUHVHGKUIVGUJAKBGUKULTUMUNTUO $.

  ${
    $d x A $.
    $( The equivalence of two versions of the Generalized Continuum Hypothesis.
       The right-hand side is the standard version in the literature.  The
       left-hand side is a version devised by Kannan Nambiar, which he calls
       the Axiom of Combinatorial Sets.  For the notation and motivation behind
       this axiom, see his paper, "Derivation of Continuum Hypothesis from
       Axiom of Combinatorial Sets", available at
       ~ http://www.e-atheneum.net/science/derivation&#95;ch.pdf .  The
       equivalence of the two sides provides a negative answer to Open Problem
       2 in
       ~ http://www.e-atheneum.net/science/open&#95;problem&#95;print.pdf .
       The key idea in the proof below is to equate both sides of ~ alephexp2
       to the successor aleph using ~ enen2 .  (Contributed by NM,
       1-Oct-2004.) $)
    gch-kn $p |- ( A e. On -> ( ( aleph ` suc A ) ~~
                { x | ( x C_ ( aleph ` A ) /\ x ~~ ( aleph ` A ) ) } <->
                ( aleph ` suc A ) ~~ ( 2o ^m ( aleph ` A ) ) ) ) $=
      ( con0 wcel csuc cale cfv c2o co cen wbr cv wss wa cab wb alephexp2 enen2
      cmap syl bicomd ) BCDZBEFGZHBFGZSIZJKZUCALZUDMUGUDJKNAOZJKZUBUEUHJKUFUIPA
      BQUEUHUCRTUA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derivation of the Axiom of Choice
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    gchaclem.1 $e |- ( ph -> _om ~<_ A ) $.
    gchaclem.3 $e |- ( ph -> ~P C e. GCH ) $.
    gchaclem.4 $e |- ( ph ->
      ( A ~<_ C /\ ( B ~<_ ~P C -> ~P A ~<_ B ) ) ) $.
    $( Lemma for ~ gchac (obsolete, used in Sierpi&#324;ski's proof).
       (Contributed by Mario Carneiro, 15-May-2015.) $)
    gchaclem $p |- ( ph ->
      ( A ~<_ ~P C /\ ( B ~<_ ~P ~P C -> ~P A ~<_ B ) ) ) $=
      ( cpw cdom wbr wi cvv wcel syl 3syl domtr syl2anc adantr com ex brrelex2i
      simpld csdm reldom canth2g sdomdom wo wa cgch cdju cen pwdjuidm gchdomtri
      simpr syl3anc pwdom simprd jaod syld jca ) ABDHZIJZCVAHIJZBHZCIJZKABDIJZD
      VAIJZVBAVFCVAIJZVEKZGUBZADLMZDVAUCJVGAVFVKVJBDIUDUANDLUEDVAUFOBDVAPQAVCVA
      CIJZVHUGZVEAVCVMAVCUHZVAUIMZVAVAUJVAUKJZVCVMAVOVCFRVNSDIJZVPAVQVCASBIJVFV
      QEVJSBDPQRDULNAVCUNVACUMUOTAVLVEVHAVFVDVAIJZVLVEKVJBDUPVRVLVEVDVACPTOAVFV
      IGUQURUSUT $.
  $}

  $( A "local" form of ~ gchac .  If ` A ` and ` ~P A ` are GCH-sets, then the
     Hartogs number of ` A ` is ` ~P A ` (so ` ~P A ` and a fortiori ` A ` are
     well-orderable).  The proof is due to Specker.  Theorem 2.1 of
     [KanamoriPincus] p. 419.  (Contributed by Mario Carneiro, 31-May-2015.) $)
  gchhar $p |- ( ( _om ~<_ A /\ A e. GCH /\ ~P A e. GCH ) ->
      ( har ` A ) ~~ ~P A ) $=
    ( com cdom wbr cgch wcel cpw cen cdju con0 djudoml sylancr csdm sylancl cvv
    wn syl2anc syl entr domentr w3a char cfv harcl cfn domnsym 3ad2ant1 sylnibr
    simp3 isfinite sylnib fvexd djuex canth2g pwdjuen pwexd cwdom simp2 harwdom
    pwfi cxp wdompwdom 3syl xpdom2g xpexd ensymd enrefg gchxpidm pwen gchdjuidm
    endomtr sdomdomtr gchen1 syl22anc djucomen harndom domen2 syl5ibrcom brsdom
    djuen mtoi sylanbrc sdomdom djudom1 djudom2 domtr gchen2 endom pwdjudom
    sbth ) BACDZAEFZAGZEFZUAZAUBUCZWMCDZWMWPCDZWPWMHDWOWPWPWMIZCDZWSWMHDWQWOWPJ
    FZWNWTAUDZWKWLWNUIZWPWMJEKLWOWMWSWOWMWMWPIZHDZXDWSHDZWMWSHDWOWNWMUEFZPZWMXD
    CDZXDWMGZMDZXEXCWOAUEFZXGWOABMDZXLWKWLXMPWNBAUFUGAUJUHZAUTUKZWOWNXAXIXCXBWM
    WPEJKNWOXDXDGZMDZXPXJCDZXKWOXDOFZXQWOWNWPOFZXSXCWOAUBULZWMWPEOUMQXDOUNRWOXP
    XJWPGZVAZHDZYCXJCDZXRWOWNXAYDXCXBWMWPEJUONWOYCXJAAVAZGZGZVAZCDZYIXJHDZYEWOX
    JOFYBYHCDZYJWOWMEXCUPWOWLWPYGUQDYLWKWLWNURZEAUSWPYGVBVCYBYHXJOVDQWOYIWMYGIZ
    GZHDYOXJHDZYKWOYOYIWOWNYGOFYOYIHDXCWOYFOWOAAEEYMYMVEUPWMYGEOUOQVFWOYNWMHDZY
    PWOYNWMWMIZHDZYRWMHDZYQWOWMWMHDZYGWMHDZYSWOWNUUAXCWMEVGRWOYFAHDZUUBWOWLXLPZ
    UUCYMXNAVHQYFAVIRWMWMYGWMVTQWOWNXHYTXCXOWMVJQZYNYRWMSQYNWMVIRYIYOXJSQYCYIXJ
    TQXPYCXJVKQXDXPXJVLQWMXDVMVNWOWNXTXFXCYAWMWPEOVOQWMXDWSSQVFWPWSWMTQZWOAAIZG
    ZAWPIZHDZUUHUUICDWRWOUUHWMHDZWMUUIHDUUJWOUUGAHDZUUKWOWLUUDUULYMXNAVJQUUGAVI
    RWOUUIWMWOWLUUDAUUIMDZUUIWMCDZUUIWMHDYMXNWOAUUICDZAUUIHDZPUUMWOWLXAUUOYMXBA
    WPEJKNWOUUPWPACDZAVPWOUUQUUPWPUUICDZWOWPWPAIZCDZUUSUUIHDZUURWOXAWLUUTXBYMWP
    AJEKLWOXAWLUVAXBYMWPAJEVOLWPUUSUUITQAUUIWPVQVRWAAUUIVSWBWOUUIYRCDZYTUUNWOUU
    IXDCDZXDYRCDZUVBWOAWMCDZXAUVCWOWLAWMMDUVEYMAEUNAWMWCVCXBAWMWPJWDNWOWQWNUVDU
    UFXCWPWMWMEWEQUUIXDYRWFQUUEUUIYRWMTQAUUIWGVNVFUUHWMUUISQUUHUUIWHAWPWIVCWPWM
    WJQ $.

  $( A "local" form of ~ gchac .  If ` A ` and ` ~P A ` are GCH-sets, then
     ` ~P A ` is well-orderable.  The proof is due to Specker.  Theorem 2.1 of
     [KanamoriPincus] p. 419.  (Contributed by Mario Carneiro, 15-May-2015.) $)
  gchacg $p |- ( ( _om ~<_ A /\ A e. GCH /\ ~P A e. GCH ) ->
      ~P A e. dom card ) $=
    ( com cdom wbr cgch wcel cpw w3a char cfv con0 cen ccrd harcl gchhar isnumi
    cdm sylancr ) BACDAEFAGZEFHAIJZKFTSLDSMQFANAOTSPR $.

  $( The Generalized Continuum Hypothesis implies the Axiom of Choice.  The
     original proof is due to Sierpi&#324;ski (1947); we use a refinement of
     Sierpi&#324;ski's result due to Specker.  (Contributed by Mario Carneiro,
     15-May-2015.) $)
  gchac $p |- ( GCH = _V -> CHOICE ) $=
    ( vx cgch cvv wceq ccrd cdm wac wcel com cun wss cpw cdom wbr vex omex unex
    cv eleqtrrid sylancl ssun2 ssdomg mp2 id pwex gchacg mp3an2i canth2 sdomdom
    csdm ax-mp numdom ssun1 ssnum a1i 2thd eqrdv dfac10 sylibr ) BCDZEFZCDGUTAV
    ACUTARZVAHZVBCHZUTVBIJZVAHZVBVEKVCUTVELZVAHZVEVGMNZVFIVEMNZUTVEBHVGBHVHVECH
    IVEKVJVBIAOZPQZIVBUAIVECUBUCUTVECBVLUTUDZSUTVGCBVEVLUEVMSVEUFUGVEVGUJNVIVEV
    LUHVEVGUIUKVGVEULTVBIUMVEVBUNTVDUTVKUOUPUQURUS $.

$( End $[ set-zfc.mm $] $)


$( Begin $[ set-tg.mm $] $)
$(
###############################################################################
  TG (TARSKI-GROTHENDIECK) SET THEORY
###############################################################################

  Here we introduce Tarski-Grothendieck (TG) set theory, named after
  mathematicians Alfred Tarski and Alexander Grothendieck.  TG theory extends
  ZFC with the TG Axiom ~ ax-groth , which states that for every set ` x `
  there is an inaccessible cardinal ` y ` such that ` y ` is not in ` x ` .
  The addition of this axiom to ZFC set theory provides a framework for
  category theory, thus for all practical purposes giving us a complete
  foundation for "all of mathematics".

  We first introduce the concept of inaccessibles, including weakly and
  strongly inaccessible cardinals ( ~ df-wina and ~ df-ina respectively ),
  Tarski classes ( ~ df-tsk ), and Grothendieck universes ( ~ df-gru ).  We
  then introduce the Tarski's axiom ~ ax-groth and prove various properties
  from that.

$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Inaccessibles
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Weakly and strongly inaccessible cardinals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c InaccW $. $( Weakly inaccessible $)
  $c Inacc $. $( Strongly inaccessible $)

  $( The class of weak inaccessibles. $)
  cwina $a class InaccW $.

  $( The class of strong inaccessibles. $)
  cina $a class Inacc $.

  ${
    $d x y z $.
    $( An ordinal is weakly inaccessible iff it is a regular limit cardinal.
       Note that our definition allows ` _om ` as a weakly inaccessible
       cardinal.  (Contributed by Mario Carneiro, 22-Jun-2013.) $)
    df-wina $a |- InaccW = { x | ( x =/= (/) /\ ( cf ` x ) = x /\
      A. y e. x E. z e. x y ~< z ) } $.

    $( An ordinal is strongly inaccessible iff it is a regular strong limit
       cardinal, which is to say that it dominates the powersets of every
       smaller ordinal.  (Contributed by Mario Carneiro, 22-Jun-2013.) $)
    df-ina $a |- Inacc = { x | ( x =/= (/) /\ ( cf ` x ) = x /\
      A. y e. x ~P y ~< x ) } $.
  $}

  ${
    $d A x y z $.
    $( Conditions of weak inaccessibility.  (Contributed by Mario Carneiro,
       22-Jun-2013.) $)
    elwina $p |- ( A e. InaccW <-> ( A =/= (/) /\ ( cf ` A ) = A /\
        A. x e. A E. y e. A x ~< y ) ) $=
      ( vz cwina wcel cvv c0 wne ccf cfv wceq csdm wbr wrex wral w3a elex fvex
      cv eleq1 mpbii 3ad2ant2 neeq1 wb fveq2 mpancom rexeq raleqbi1dv 3anbi123d
      eqeq12 df-wina elab2g pm5.21nii ) CEFCGFZCHIZCJKZCLZATBTMNZBCOZACPZQZCERU
      RUPUOVAURUQGFUOCJSUQCGUAUBUCDTZHIZVCJKZVCLZUSBVCOZAVCPZQVBDCEGVCCLZVDUPVF
      URVHVAVCCHUDVEUQLVIVFURUEVCCJUFVEUQVCCUKUGVGUTAVCCUSBVCCUHUIUJDABULUMUN
      $.

    $( Conditions of strong inaccessibility.  (Contributed by Mario Carneiro,
       22-Jun-2013.) $)
    elina $p |- ( A e. Inacc <-> ( A =/= (/) /\ ( cf ` A ) = A /\
      A. x e. A ~P x ~< A ) ) $=
      ( vy cina wcel cvv c0 wne ccf cfv wceq cv cpw csdm wbr wral w3a elex fvex
      eleq1 mpbii 3ad2ant2 neeq1 wb fveq2 eqeq12 mpancom breq2 3anbi123d df-ina
      raleqbi1dv elab2g pm5.21nii ) BDEBFEZBGHZBIJZBKZALMZBNOZABPZQZBDRUQUOUNUT
      UQUPFEUNBISUPBFTUAUBCLZGHZVBIJZVBKZURVBNOZAVBPZQVACBDFVBBKZVCUOVEUQVGUTVB
      BGUCVDUPKVHVEUQUDVBBIUEVDUPVBBUFUGVFUSAVBBVBBURNUHUKUICAUJULUM $.
  $}

  ${
    $d A x y $.
    $( A weakly inaccessible cardinal is an ordinal.  (Contributed by Mario
       Carneiro, 29-May-2014.) $)
    winaon $p |- ( A e. InaccW -> A e. On ) $=
      ( vx vy cwina wcel c0 wne ccf cfv wceq csdm wbr wrex wral w3a con0 elwina
      cv cfon eleq1 mpbii 3ad2ant2 sylbi ) ADEAFGZAHIZAJZBRCRKLCAMBANZOAPEZBCAQ
      UFUDUHUGUFUEPEUHASUEAPTUAUBUC $.

    $( Lemma for ~ inawina .  (Contributed by Mario Carneiro, 8-Jun-2014.) $)
    inawinalem $p |- ( A e. On ->
        ( A. x e. A ~P x ~< A -> A. x e. A E. y e. A x ~< y ) ) $=
      ( con0 wcel cv cpw csdm wbr wrex cen cdom sdomdom ccrd cdm ondomen isnum2
      wa sylib mpd sylan2 ensdomtr ad2ant2l wi sdomel ad2ant2r vex canth2 ensym
      sdomentr sylancr ad2antlr jca expcom reximdv2 ex ralimdv ) CDEZAFZGZCHIZU
      SBFZHIZBCJZACURVAVDURVARZVBUTKIZBDJZVDVAURUTCLIZVGUTCMURVHRUTNOEVGCUTPBUT
      QSUAVEVFVCBDCVBDEZVFRZVEVBCEZVCRVJVERZVKVCVLVBCHIZVKVFVAVMVIURVBUTCUBUCVI
      URVMVKUDVFVAVBCUEUFTVFVCVIVEVFUSUTHIUTVBKIVCUSAUGUHVBUTUIUSUTVBUJUKULUMUN
      UOTUPUQ $.

    $( Every strongly inaccessible cardinal is weakly inaccessible.
       (Contributed by Mario Carneiro, 29-May-2014.) $)
    inawina $p |- ( A e. Inacc -> A e. InaccW ) $=
      ( vx vy c0 wne ccf cfv wceq cv cpw csdm wbr wral w3a wrex cina wcel cwina
      con0 idd cfon eleq1 mpbii inawinalem 3anim123d mpcom elina elwina 3imtr4i
      3ad2ant2 ) ADEZAFGZAHZBIZJAKLBAMZNZUKUMUNCIKLCAOBAMZNZAPQARQASQZUPURUMUKU
      SUOUMULSQUSAUAULASUBUCUJUSUKUKUMUMUOUQUSUKTUSUMTBCAUDUEUFBAUGBCAUHUI $.
  $}

  $( ` _om ` is a strongly inaccessible cardinal.  (Many definitions of
     "inaccessible" explicitly disallow ` _om ` as an inaccessible cardinal,
     but this choice allows us to reuse our results for inaccessibles for
     ` _om ` .)  (Contributed by Mario Carneiro, 29-May-2014.) $)
  omina $p |- _om e. Inacc $=
    ( vx com cina wcel c0 wne ccf cfv wceq cv cpw csdm wbr wral peano1 cfom cfn
    ne0ii nnfi sylib pwfi isfinite rgen elina mpbir3an ) BCDBEFBGHBIAJZKZBLMZAB
    NEBORPUHABUFBDZUGQDZUHUIUFQDUJUFSUFUATUGUBTUCABUDUE $.

  ${
    $d A x y $.
    $( A weakly inaccessible cardinal is a cardinal.  (Contributed by Mario
       Carneiro, 29-May-2014.) $)
    winacard $p |- ( A e. InaccW -> ( card ` A ) = A ) $=
      ( vx vy cwina wcel c0 wne ccf cfv wceq csdm wbr wrex wral w3a ccrd elwina
      cv cardcf fveq2 id 3eqtr3a 3ad2ant2 sylbi ) ADEAFGZAHIZAJZBRCRKLCAMBANZOA
      PIZAJZBCAQUGUEUJUHUGUFPIUFUIAASUFAPTUGUAUBUCUD $.
  $}

  ${
    $d A w x y z $.
    $( A weakly inaccessible cardinal is infinite.  (Contributed by Mario
       Carneiro, 29-May-2014.) $)
    winainflem $p |- ( ( A =/= (/) /\ A e. On /\
        A. x e. A E. y e. A x ~< y ) -> _om C_ A ) $=
      ( vz vw c0 con0 wcel cv csdm wbr wrex w3a com wss wn wceq wa eleq2 syl wo
      wne wral csuc nn0suc simp1 necon2bi vex sucid mpbiri adantl breq1 rexbidv
      wi breq2 cbvrexvw bitrdi rspcv cdom cvv biimpa 3ad2antl2 wb nnon suceloni
      eleq1 biimparc sylan 3adant3 onelon simpl1 onsssuc syl2anc mpbird domnsym
      ssdomg mpsyl nrexdv 3expia pm2.65d intn3an3d rexlimiva jaoi word 3ad2ant2
      con2i ordom eloni ordtri1 sylancr ) CFUBZCGHZAIZBIZJKZBCLZACUCZMZNCOZCNHZ
      PZWTWRWTCFQZCDIZUDZQZDNLZUAWRPZDCUEXBXGXFWRCFWKWLWQUFUGXEXGDNXCNHZXERZWQW
      KWLXIWQXCEIZJKZECLZXIXCCHZWQXLUNXEXMXHXEXMXCXDHXCDUHZUICXDXCSUJUKWPXLAXCC
      WMXCQZWPXCWNJKZBCLXLXOWOXPBCWMXCWNJULUMXPXKBECWNXJXCJUOUPUQURTXHXEWQXLPXH
      XEWQMZXKECXQXJCHZRZXJXCUSKZXKPXCUTHXSXJXCOZXTXNXSYAXJXDHZXEXHXRYBWQXEXRYB
      CXDXJSVAVBXSXJGHZXCGHZYAYBVCXQWLXRYCXHXEWLWQXHXDGHZXEWLXHYDYEXCVDZXCVETXE
      WLYECXDGVFVGVHVICXJVJVHXSXHYDXHXEWQXRVKYFTXJXCVLVMVNXJXCUTVPVQXJXCVOTVRVS
      VTWAWBWCTWFWRNWDCWDZWSXAVCWGWLWKYGWQCWHWENCWIWJVN $.

    $( A weakly inaccessible cardinal is infinite.  (Contributed by Mario
       Carneiro, 29-May-2014.) $)
    winainf $p |- ( A e. InaccW -> _om C_ A ) $=
      ( vx vy cwina wcel wne ccf cfv wceq csdm wbr wrex wral w3a com wss elwina
      c0 cv con0 cfon eleq1 mpbii winainflem syl3an2 sylbi ) ADEARFZAGHZAIZBSCS
      JKCALBAMZNOAPZBCAQUIUGATEZUJUKUIUHTEULAUAUHATUBUCBCAUDUEUF $.

    $( A weakly inaccessible cardinal is a limit ordinal.  (Contributed by
       Mario Carneiro, 29-May-2014.) $)
    winalim $p |- ( A e. InaccW -> Lim A ) $=
      ( cwina wcel com wss wlim winainf ccrd cfv wceq wb winacard cardlim sseq2
      limeq bibi12d mpbii syl mpbid ) ABCZDAEZAFZAGTAHIZAJZUAUBKZALUDDUCEZUCFZK
      UEAMUDUFUAUGUBUCADNUCAOPQRS $.

    $( A nontrivial weakly inaccessible cardinal is a limit aleph.
       (Contributed by Mario Carneiro, 29-May-2014.) $)
    winalim2 $p |- ( ( A e. InaccW /\ A =/= _om ) ->
      E. x ( ( aleph ` x ) = A /\ Lim x ) ) $=
      ( vy vw vz wcel com wne wa cv cale cfv wceq con0 wrex wex c0 wn csdm wbr
      cwina wlim ccrd winacard wss winainf cardalephex syl adantr df-rex simprr
      wb mpbid eqcomd csuc cvv w3o simprl onzsl sylib simplr aleph0 eqtrdi eqtr
      fveq2 sylan2 ex necon3ad sylc pm2.21d breq1 rexbidv wral elwina ad3antrrr
      ccf simp3bi suceloni vex sucid alephord2i ad2antrl simplrr ad2antll eqtrd
      mpisyl eleqtrrd rspcdva expr iscard simprbi rsp breq2d sylibd alephnbtwn2
      wi 3syl pm3.21 mtoi syl6 imp nrexdv pm2.65d simpr a1i 3jaod eximdv syl5bi
      mpd jca ) BUAFZBGHZIZBAJZKLZMZANOZXOBMZXNUBZIZAPZXKXQXLXKBUCLBMZXQBUDZXKG
      BUEYBXQULBUFABUGUHUMUIXQXNNFZXPIZAPXMYAXPANUJXMYEXTAXMYEXTXMYEIZXRXSYFBXO
      XMYDXPUKZUNYFXNQMZXNCJZUOZMZCNOZXNUPFZXSIZUQZXSYFYDYOXMYDXPURCXNUSUTYFYHX
      SYLYNYFYHXSYFXPXLYHRYGXKXLYEVAXPYHBGXPYHBGMZYHXPXOGMYPYHXOQKLGXNQKVEVBVCB
      XOGVDVFVGVHVIVJYFYLXSYFYKCNYFYINFZIYKYIKLZDJZSTZDBOZYFYQYKUUAYFYQYKIZIZEJ
      ZYSSTZDBOZUUAEBYRUUDYRMUUEYTDBUUDYRYSSVKVLXKUUFEBVMZXLYEUUBXKBQHBVPLBMUUG
      EDBVNVQVOUUCYRYJKLZBYQYRUUHFZYFYKYQYJNFYIYJFUUIYIVRYICVSVTYIYJWAWFWBUUCBX
      OUUHXMYDXPUUBWCYKXOUUHMYFYQXNYJKVEWDWEZWGWHWIYFYQYKUUARUUCYTDBUUCYSBFZYTR
      ZUUCUUKYSUUHSTZUULUUCUUKYSBSTZUUMXKUUKUUNWPZXLYEUUBXKYBUUNDBVMZUUOYCYBBNF
      UUPDBWJWKUUNDBWLWQVOUUCBUUHYSSUUJWMWNUUMYTYTUUMIYIYSWOUUMYTWRWSWTXAXBWIXC
      XBVJYNXSWPYFYMXSXDXEXFXIXJVGXGXHXI $.
  $}

  ${
    $d A x $.  $d A y z $.
    $( A nontrivial weakly inaccessible cardinal is a fixed point of the aleph
       function.  (Contributed by Mario Carneiro, 29-May-2014.) $)
    winafp $p |- ( ( A e. InaccW /\ A =/= _om ) -> ( aleph ` A ) = A ) $=
      ( vx vy vz cwina wcel com wne wa cale cfv wceq wlim winalim2 cvv ad2antll
      cv ccf fveq2d eqtr3d wss con0 vex limelon mpan alephle syl simprl sseqtrd
      alephsing csdm wbr wrex wral elwina simp2bi ad2antrr cfle eqsstrrdi eqssd
      c0 exlimddv ) AEFZAGHZIZBQZJKZALZVFMZIZAJKZALBBANVEVJIZVGVKAVLVFAJVLVFAVL
      VFVGAVIVFVGUAZVEVHVIVFUBFZVMVFOFVIVNBUCVFOUDUEVFUFUGPVEVHVIUHZUIVLAVFRKZV
      FVLARKZVPAVLVGRKZVQVPVLVGARVOSVIVRVPLVEVHVFUJPTVCVQALZVDVJVCAVAHVSCQDQUKU
      LDAUMCAUNCDAUOUPUQTVFURUSUTSVOTVB $.
  $}

  ${
    winafp.1 $e |- A e. InaccW $.
    winafp.2 $e |- A =/= _om $.
    $( This theorem, which states that a nontrivial inaccessible cardinal is
       its own aleph number, is stated here in inference form, where the
       assumptions are in the hypotheses rather than an antecedent.  Often, we
       use ~ dedth to turn this type of statement into the closed form
       statement ~ winafp , but in this case, since it is consistent with ZFC
       that there are no nontrivial inaccessible cardinals, it is not possible
       to prove ~ winafp using this theorem and ~ dedth , in ZFC. (You can
       prove this if you use ~ ax-groth , though.)  (Contributed by Mario
       Carneiro, 28-May-2014.) $)
    winafpi $p |- ( aleph ` A ) = A $=
      ( cwina wcel com wne cale cfv wceq winafp mp2an ) ADEAFGAHIAJBCAKL $.
  $}

  ${
    $d x y z $.
    $( Assuming the GCH, weakly and strongly inaccessible cardinals coincide.
       Theorem 11.20 of [TakeutiZaring] p. 106.  (Contributed by Mario
       Carneiro, 5-Jun-2015.) $)
    gchina $p |- ( GCH = _V -> InaccW = Inacc ) $=
      ( vx vy vz cgch cvv wceq cwina cina cv wcel wa cfv csdm wbr wral w3a cdom
      wi com syl simpr c0 wne ccf wrex cpw idd cfn pwfi isfinite winainf ssdomg
      wss mpd sdomdomtr expcom syl5bi ad3antlr a1dd wn wb vex simplll eleqtrrid
      simprr gchinf syl2anc gchpwdom syl3anc ccrd winacard con0 iscard ad2antlr
      simprbi r19.21bi domsdomtr adantrr sylbid expr pm2.61d rexlimdva ralimdva
      3anim123d elwina elina 3imtr4g ex inawina impbid1 eqrdv ) DEFZAGHWLAIZGJZ
      WMHJZWLWNWOWLWNKZWNWOWLWNUAWPWMUBUCZWMUDLWMFZBIZCIZMNZCWMUEZBWMOZPWQWRWSU
      FZWMMNZBWMOZPWNWOWPWQWQWRWRXCXFWPWQUGWPWRUGWPXBXEBWMWPWSWMJZKZXAXECWMXHWT
      WMJZKZWSUHJZXAXERZXJXKXEXAWNXKXERWLXGXIXKXDUHJZWNXEWSUIXMXDSMNZWNXEXDUJWN
      SWMQNZXNXERWNSWMUMXOWMUKSWMGULUNXNXOXEXDSWMUOUPTUQUQURUSXHXIXKUTZXLXHXIXP
      KZKZXAXDWTQNZXEXRSWSQNZWSDJZWTDJXAXSVAXRYAXPXTXRWSEDBVBWLWNXGXQVCZVDZXHXI
      XPVEWSVFVGYCXRWTEDCVBYBVDWSWTVHVIXHXIXSXERZXPXJWTWMMNZYDXHYECWMWNYECWMOZW
      LXGWNWMVJLWMFZYFWMVKYGWMVLJYFCWMVMVOTVNVPXSYEXEXDWTWMVQUPTVRVSVTWAWBWCWDB
      CWMWEBWMWFWGUNWHWMWIWJWK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Weak universes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c WUni $. $( The class of weak universes. $)
  $c wUniCl $. $( The function of "weak universe closure". $)

  $( Extend class definition to include the class of all weak universes. $)
  cwun $a class WUni $.

  $( Extend class definition to include the map whose value is the smallest
     weak universe of which the given set is a subset. $)
  cwunm $a class wUniCl $.

  ${
    $d x y A $.  $d y B $.  $d u x y U $.
    $( The class of all weak universes.  A weak universe is a nonempty
       transitive class closed under union, pairing, and powerset.  The
       advantage of weak universes over Grothendieck universes is that one can
       prove that every set is contained in a weak universe in ZF (see
       ~ uniwun ) whereas the analogue for Grothendieck universes requires
       ~ ax-groth (see ~ grothtsk ).  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    df-wun $a |- WUni = { u | ( Tr u /\ u =/= (/) /\
      A. x e. u ( U. x e. u /\ ~P x e. u /\ A. y e. u { x , y } e. u ) ) } $.

    $( A function that maps a set ` x ` to the smallest weak universe that
       contains the elements of the set.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    df-wunc $a |- wUniCl = ( x e. _V |-> |^| { u e. WUni | x C_ u } ) $.

    $( Properties of a weak universe.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    iswun $p |- ( U e. V -> ( U e. WUni <-> ( Tr U /\ U =/= (/) /\
      A. x e. U ( U. x e. U /\ ~P x e. U /\ A. y e. U { x , y } e. U ) ) ) ) $=
      ( vu cv wtr wne cuni wcel cpw cpr wral w3a cwun wceq raleqbi1dv 3anbi123d
      c0 eleq2 treq neeq1 df-wun elab2g ) EFZGZUESHZAFZIZUEJZUHKZUEJZUHBFLZUEJZ
      BUEMZNZAUEMZNCGZCSHZUICJZUKCJZUMCJZBCMZNZACMZNECODUECPZUFURUGUSUQVEUECUAU
      ECSUBUPVDAUECVFUJUTULVAUOVCUECUITUECUKTUNVBBUECUECUMTQRQRABEUCUD $.

    $( A weak universe is transitive.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    wuntr $p |- ( U e. WUni -> Tr U ) $=
      ( vx vy cwun wcel wtr c0 wne cv cuni cpw cpr wral w3a iswun ibi simp1d )
      ADEZAFZAGHZBIZJAEUAKAEUACILAECAMNBAMZRSTUBNBCADOPQ $.

    wununi.1 $e |- ( ph -> U e. WUni ) $.
    wununi.2 $e |- ( ph -> A e. U ) $.
    $( A weak universe is closed under union.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    wununi $p |- ( ph -> U. A e. U ) $=
      ( vx vy cv cuni wcel wceq unieq eleq1d cwun cpw cpr wral w3a wtr c0 iswun
      wne ibi simp3d simp1 ralimi 3syl rspcdva ) AFHZIZCJZBIZCJFCBUIBKUJULCUIBL
      MACNJZUKUIOCJZUIGHPCJGCQZRZFCQZUKFCQDUMCSZCTUBZUQUMURUSUQRFGCNUAUCUDUPUKF
      CUKUNUOUEUFUGEUH $.

    $( A weak universe is closed under powerset.  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    wunpw $p |- ( ph -> ~P A e. U ) $=
      ( vx vy cv cpw wcel wceq pweq eleq1d cwun cuni cpr wral w3a wtr c0 simp3d
      wne iswun ibi simp2 ralimi 3syl rspcdva ) AFHZIZCJZBIZCJFCBUIBKUJULCUIBLM
      ACNJZUIOCJZUKUIGHPCJGCQZRZFCQZUKFCQDUMCSZCTUBZUQUMURUSUQRFGCNUCUDUAUPUKFC
      UNUKUOUEUFUGEUH $.

    $( The elements of a weak universe are also subsets of it.  (Contributed by
       Mario Carneiro, 2-Jan-2017.) $)
    wunelss $p |- ( ph -> A C_ U ) $=
      ( wtr wcel wss cwun wuntr syl trss sylc ) ACFZBCGBCHACIGNDCJKECBLM $.

    ${
      wunpr.3 $e |- ( ph -> B e. U ) $.
      $( A weak universe is closed under pairing.  (Contributed by Mario
         Carneiro, 2-Jan-2017.) $)
      wunpr $p |- ( ph -> { A , B } e. U ) $=
        ( vx vy wcel cv cpr wral cwun cuni cpw w3a wtr wceq eleq1d c0 wne iswun
        ibi simp3d simp3 ralimi 3syl preq1 preq2 rspc2va syl21anc ) ABDJCDJHKZI
        KZLZDJZIDMZHDMZBCLZDJZFGADNJZUMODJZUMPDJZUQQZHDMZUREVADRZDUAUBZVEVAVFVG
        VEQHIDNUCUDUEVDUQHDVBVCUQUFUGUHUPUTBUNLZDJHIBCDDUMBSUOVHDUMBUNUITUNCSVH
        USDUNCBUJTUKUL $.

      $( A weak universe is closed under binary union.  (Contributed by Mario
         Carneiro, 2-Jan-2017.) $)
      wunun $p |- ( ph -> ( A u. B ) e. U ) $=
        ( cpr cuni cun wcel wceq uniprg syl2anc wunpr wununi eqeltrrd ) ABCHZIZ
        BCJZDABDKCDKSTLFGBCDDMNARDEABCDEFGOPQ $.

      wuntp.3 $e |- ( ph -> C e. U ) $.
      $( A weak universe is closed under unordered triple.  (Contributed by
         Mario Carneiro, 2-Jan-2017.) $)
      wuntp $p |- ( ph -> { A , B , C } e. U ) $=
        ( ctp csn cpr cun tpass dfsn2 wunpr eqeltrid wunun ) ABCDJBKZCDLZMEBCDN
        ASTEFASBBLEBOABBEFGGPQACDEFHIPRQ $.
    $}

    ${
      wunss.3 $e |- ( ph -> B C_ A ) $.
      $( A weak universe is closed under subsets.  (Contributed by Mario
         Carneiro, 2-Jan-2017.) $)
      wunss $p |- ( ph -> B e. U ) $=
        ( cpw wunpw wunelss sselpwd sseldd ) ABHZDCAMDEABDEFIJACBDFGKL $.
    $}

    $( A weak universe is closed under binary intersections.  (Contributed by
       Mario Carneiro, 2-Jan-2017.) $)
    wunin $p |- ( ph -> ( A i^i B ) e. U ) $=
      ( cin wss inss1 a1i wunss ) ABBCGZDEFLBHABCIJK $.

    $( A weak universe is closed under class difference.  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    wundif $p |- ( ph -> ( A \ B ) e. U ) $=
      ( cdif difssd wunss ) ABBCGDEFABCHI $.

    $( A weak universe is closed under nonempty intersections.  (Contributed by
       Mario Carneiro, 2-Jan-2017.) $)
    wunint $p |- ( ( ph /\ A =/= (/) ) -> |^| A e. U ) $=
      ( c0 wne wa cuni cint cwun wcel adantr wununi wss intssuni adantl wunss )
      ABFGZHBIZBJZCACKLSDMATCLSABCDENMSUATOABPQR $.

    $( A weak universe is closed under singletons.  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    wunsn $p |- ( ph -> { A } e. U ) $=
      ( csn cpr dfsn2 wunpr eqeltrid ) ABFBBGCBHABBCDEEIJ $.

    $( A weak universe is closed under successors.  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    wunsuc $p |- ( ph -> suc A e. U ) $=
      ( csuc csn cun df-suc wunsn wunun eqeltrid ) ABFBBGZHCBIABMCDEABCDEJKL $.
  $}

  ${
    $d x y z A $.  $d x y z ph $.  $d x y z U $.
    wun0.1 $e |- ( ph -> U e. WUni ) $.
    $( A weak universe contains the empty set.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    wun0 $p |- ( ph -> (/) e. U ) $=
      ( vx vy cv wcel wne wex cwun wtr cuni cpw cpr wral w3a iswun ibi simp2d
      c0 syl n0 sylib wa adantr simpr wss 0ss a1i wunss exlimddv ) ADFZBGZTBGDA
      BTHZUMDIABJGZUNCUOBKZUNULLBGULMBGULEFNBGEBOPDBOZUOUPUNUQPDEBJQRSUADBUBUCA
      UMUDZULTBAUOUMCUEAUMUFTULUGURULUHUIUJUK $.

    $( A weak universe is infinite, because it contains all the finite levels
       of the cumulative hierarchy.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    wunr1om $p |- ( ph -> ( R1 " _om ) C_ U ) $=
      ( vy vx cr1 com cima cv cfv wceq wrex wcel wi csuc fveq2 eleq1d r10 con0
      c0 wun0 eqeltrid wa cpw cwun adantr simpr wunpw nnon r1suc syl5ibr finds2
      syl expd eleq1 imbi2d syl5ibcom rexlimiv wfun wfn r1fnon fnfun ax-mp mpan
      fvelima syl11 ssrdv ) ADFGHZBEIZFJZDIZKZEGLZAVKBMZVKVHMZVLAVNNZEGVIGMAVJB
      MZNVLVPVQTFJZBMVKFJZBMZVKOZFJZBMZAEDVITKVJVRBVITFPQVIVKKVJVSBVIVKFPQVIWAK
      VJWBBVIWAFPQAVRTBRABCUAUBVKGMZAVTWCAVTUCZWCWDVSUDZBMWEVSBABUEMVTCUFAVTUGU
      HWDWBWFBWDVKSMWBWFKVKUIVKUJUMQUKUNULVLVQVNAVJVKBUOUPUQURFUSZVOVMFSUTWGVAS
      FVBVCEVKGFVEVDVFVG $.

    $( A weak universe contains all the finite ordinals, and hence is infinite.
       (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    wunom $p |- ( ph -> _om C_ U ) $=
      ( vx com cv wcel wa cr1 cfv cwun adantr cima wss wral wunr1om wfun cdm wb
      r1funlim simpli simpri limomss ax-mp funimass4 mp2an sylib r19.21bi simpr
      wlim sselid onssr1 syl wunss ex ssrdv ) ADEBADFZEGZUQBGAURHZUQIJZUQBABKGU
      RCLAUTBGZDEAIEMBNZVADEOZABCPIQZEIRZNZVBVCSVDVEUJZTUAVGVFVDVGTUBVEUCUDZDEB
      IUEUFUGUHUSUQVEGUQUTNUSEVEUQVHAURUIUKUQULUMUNUOUP $.

    ${
      wunfi.2 $e |- ( ph -> A C_ U ) $.
      wunfi.3 $e |- ( ph -> A e. Fin ) $.
      $( A weak universe contains all finite sets with elements drawn from the
         universe.  (Contributed by Mario Carneiro, 2-Jan-2017.) $)
      wunfi $p |- ( ph -> A e. U ) $=
        ( vx vy vz wss wcel cfn wi cv c0 wceq sseq1 eleq1 imbi12d imbi2d imim1i
        csn cun wun0 a1d sstr mpan wa cwun adantr simprr simprl unssbd vex snss
        ssun1 sylibr wunsn wunun exp32 a2d syl5 a2i a1i findcard2 mpcom mpd ) A
        BCJZBCKZEBLKAVHVIMZFAGNZCJZVKCKZMZMAOCJZOCKZMZMAHNZCJZVRCKZMZMZAVRINZUB
        ZUCZCJZWECKZMZMZAVJMGHIBVKOPZVNVQAWJVLVOVMVPVKOCQVKOCRSTVKVRPZVNWAAWKVL
        VSVMVTVKVRCQVKVRCRSTVKWEPZVNWHAWLVLWFVMWGVKWECQVKWECRSTVKBPZVNVJAWMVLVH
        VMVIVKBCQVKBCRSTAVPVOACDUDUEWBWIMVRLKAWAWHWAWFVTMAWHWFVSVTVRWEJWFVSVRWD
        UPVRWECUFUGUAAWFVTWGAWFVTWGAWFVTUHZUHZVRWDCACUIKWNDUJZAWFVTUKWOWCCWPWOW
        DCJWCCKWOVRWDCAWFVTULUMWCCIUNUOUQURUSUTVAVBVCVDVEVFVG $.
    $}

    wunop.2 $e |- ( ph -> A e. U ) $.
    ${
      wunop.3 $e |- ( ph -> B e. U ) $.
      $( A weak universe is closed under ordered pairs.  (Contributed by Mario
         Carneiro, 2-Jan-2017.) $)
      wunop $p |- ( ph -> <. A , B >. e. U ) $=
        ( cop csn cpr wcel wceq dfopg syl2anc wunsn wunpr eqeltrd ) ABCHZBIZBCJ
        ZJZDABDKCDKRUALFGBCDDMNASTDEABDEFOABCDEFGPPQ $.

      ${
        wunot.3 $e |- ( ph -> C e. U ) $.
        $( A weak universe is closed under ordered triples.  (Contributed by
           Mario Carneiro, 2-Jan-2017.) $)
        wunot $p |- ( ph -> <. A , B , C >. e. U ) $=
          ( cotp cop df-ot wunop eqeltrid ) ABCDJBCKZDKEBCDLAODEFABCEFGHMIMN $.
      $}

      $( A weak universe is closed under cartesian products.  (Contributed by
         Mario Carneiro, 2-Jan-2017.) $)
      wunxp $p |- ( ph -> ( A X. B ) e. U ) $=
        ( cun cpw cxp wunun wunpw wss xpsspw a1i wunss ) ABCHZIZIZBCJZDEARDEAQD
        EABCDEFGKLLTSMABCNOP $.

      $( A weak universe is closed under partial mappings.  (Contributed by
         Mario Carneiro, 2-Jan-2017.) $)
      wunpm $p |- ( ph -> ( A ^pm B ) e. U ) $=
        ( cxp cpw cpm co wunxp wunpw wss pmsspw a1i wunss ) ACBHZIZBCJKZDEARDEA
        CBDEGFLMTSNABCOPQ $.

      $( A weak universe is closed under mappings.  (Contributed by Mario
         Carneiro, 2-Jan-2017.) $)
      wunmap $p |- ( ph -> ( A ^m B ) e. U ) $=
        ( cpm co cmap wunpm wss mapsspm a1i wunss ) ABCHIZBCJIZDEABCDEFGKQPLABC
        MNO $.

      wunf.3 $e |- ( ph -> F : A --> B ) $.
      $( A weak universe is closed under functions with known domain and
         codomain.  (Contributed by Mario Carneiro, 2-Jan-2017.) $)
      wunf $p |- ( ph -> F e. U ) $=
        ( cmap co wunmap wunelss wcel wf elmapd mpbird sseldd ) ACBJKZDEASDFACB
        DFHGLMAESNBCEOIACBEDDHGPQR $.
    $}

    $( A weak universe is closed under the domain operator.  (Contributed by
       Mario Carneiro, 2-Jan-2017.) $)
    wundm $p |- ( ph -> dom A e. U ) $=
      ( cuni cdm wununi wss crn cun ssun1 dmrnssfld sstri a1i wunss ) ABFZFZBGZ
      CDAQCDABCDEHHSRIASSBJZKRSTLBMNOP $.

    $( A weak universe is closed under the range operator.  (Contributed by
       Mario Carneiro, 2-Jan-2017.) $)
    wunrn $p |- ( ph -> ran A e. U ) $=
      ( cuni crn wununi wss cdm cun ssun2 dmrnssfld sstri a1i wunss ) ABFZFZBGZ
      CDAQCDABCDEHHSRIASBJZSKRSTLBMNOP $.

    $( A weak universe is closed under the converse operator.  (Contributed by
       Mario Carneiro, 2-Jan-2017.) $)
    wuncnv $p |- ( ph -> `' A e. U ) $=
      ( crn cdm cxp ccnv wunrn wundm wunxp wss cnvssrndm a1i wunss ) ABFZBGZHZB
      IZCDAQRCDABCDEJABCDEKLTSMABNOP $.

    $( A weak universe is closed under restrictions.  (Contributed by Mario
       Carneiro, 12-Jan-2017.) $)
    wunres $p |- ( ph -> ( A |` B ) e. U ) $=
      ( cres wss resss a1i wunss ) ABBCGZDEFLBHABCIJK $.

    $( A weak universe is closed under the function value operator.
       (Contributed by Mario Carneiro, 3-Jan-2017.) $)
    wunfv $p |- ( ph -> ( A ` B ) e. U ) $=
      ( crn cuni cfv wunrn wununi wss fvssunirn a1i wunss ) ABGZHZCBIZDEAPDEABD
      EFJKRQLABCMNO $.

    ${
      wunco.3 $e |- ( ph -> B e. U ) $.
      $( A weak universe is closed under composition.  (Contributed by Mario
         Carneiro, 12-Jan-2017.) $)
      wunco $p |- ( ph -> ( A o. B ) e. U ) $=
        ( ccom cdm crn cxp wundm wss dmcoss a1i wunss wunrn rncoss wunxp wrel
        relco relssdmrn mp1i ) ABCHZIZUDJZKZUDDEAUEUFDEACIZUEDEACDEGLUEUHMABCNO
        PABJZUFDEABDEFQUFUIMABCROPSUDTUDUGMABCUAUDUBUCP $.
    $}

    $( A weak universe is closed under transposition.  (Contributed by Mario
       Carneiro, 12-Jan-2017.) $)
    wuntpos $p |- ( ph -> tpos A e. U ) $=
      ( cdm ccnv c0 csn cun crn ctpos wundm wuncnv wun0 wunsn wunun wunrn wunxp
      cxp wss tposssxp a1i wunss ) ABFZGZHIZJZBKZTZBLZCDAUHUICDAUFUGCDAUECDABCD
      EMNAHCDACDOPQABCDERSUKUJUAABUBUCUD $.
  $}

  ${
    $d u x y A $.
    $( The intersection of a collection of weak universes is a weak universe.
       (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    intwun $p |- ( ( A C_ WUni /\ A =/= (/) ) -> |^| A e. WUni ) $=
      ( vx vy vu cwun wss c0 wne wa wcel wtr cv w3a sselda syl ralrimiva elint2
      wral sylibr adantlr cint cuni cpw cpr simpl wuntr trint 0ex intss1 adantl
      wun0 ne0d an32s wununi vuniex wunpw vpwex wunpr prex 3jca cvv simpr intex
      wb sylib iswun mpbir3and ) AEFZAGHZIZAUAZEJZVKKZVKGHZBLZUBZVKJZVOUCZVKJZV
      OCLZUDZVKJZCVKRZMZBVKRZVJDLZKZDARVMVJWGDAVJWFAJZIZWFEJZWGVJAEWFVHVIUENZWF
      UFOPDAUGOVJVKGVJGWFJZDARGVKJVJWLDAWIWFWKUKPDGAUHQSULVJWDBVKVJVOVKJZIZVQVS
      WCWNVPWFJZDARVQWNWODAWNWHIZVOWFVJWHWJWMWKTZVJWHWMVOWFJZWIVKWFVOWHVKWFFZVJ
      WFAUIZUJNUMZUNPDVPABUOQSWNVRWFJZDARVSWNXBDAWPVOWFWQXAUPPDVRABUQQSWNWBCVKW
      NVTVKJZIZWAWFJZDARWBXDXEDAXDWHIVOVTWFWNWHWJXCWQTWNWHWRXCXATWNWHXCVTWFJWPV
      KWFVTWHWSWNWTUJNUMURPDWAAVOVTUSQSPUTPVJVKVAJZVLVMVNWEMVDVJVIXFVHVIVBAVCVE
      BCVKVAVFOVG $.
  $}

  ${
    $d x y A $.  $d x y V $.
    $( Each limit stage in the cumulative hierarchy is a weak universe.
       (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    r1limwun $p |- ( ( A e. V /\ Lim A ) -> ( R1 ` A ) e. WUni ) $=
      ( vx vy wcel wa cr1 cfv cuni wral w3a a1i con0 adantl crnk adantr syl2anc
      c0 cv wb wlim wtr wne cpw cpr cwun cdm wss limelon r1fnon fndmi eleqtrrdi
      r1tr onssr1 syl 0ellim sseldd ne0d rankuni rankon eloni orduniss rankr1ai
      word mp2b wi onuni ax-mp ontr2 sylancr mp2and eqeltrid r1elwf uniwf sylib
      cima rankr1ag mpbird r1pwcl biimpa cun csuc wceq ad2antlr limord ad3antlr
      rankprb ordunel syl3anc limsuc mpbid eqeltrd prwf ralrimiva 3jca cvv fvex
      iswun syl3anbrc ) ABEZAUAZFZAGHZUBZXCRUCZCSZIZXCEZXFUDXCEZXFDSZUEZXCEZDXC
      JZKZCXCJZXCUFEZXDXBAUMLXBXCRXBAXCRXBAGUGZEZAXCUHXBAMXQABUIZMGUJUKULZAUNUO
      XARAEWTAUPNUQURXBXNCXCXBXFXCEZFZXHXIXMYBXHXGOHZAEZYBYCXFOHZIZAXFUSYBYFYEU
      HZYEAEZYFAEZYGYBYEMEZYEVDYGXFUTZYEVAYEVBVELYAYHXBXFAVCNZYBYFMEZAMEZYGYHFY
      IVFYJYMYKYEVGVHXBYNYAXSPYFYEAVIVJVKVLYBXGGMVPIZEZXRXHYDTYBXFYOEZYPYAYQXBX
      FAVMZNXFVNVOXBXRYAXTPZXGAVQQVRXBYAXIXAYAXITWTXFAVSNVTYBXLDXCYBXJXCEZFZXLX
      KOHZAEZUUAUUBYEXJOHZWAZWBZAUUAYQXJYOEZUUBUUFWCYAYQXBYTYRWDZYTUUGYBXJAVMNZ
      XFXJWGQUUAUUEAEZUUFAEZUUAAVDZYHUUDAEZUUJXAUULWTYAYTAWEWFYBYHYTYLPYTUUMYBX
      JAVCNAYEUUDWHWIXAUUJUUKTWTYAYTAUUEWJWFWKWLUUAXKYOEZXRXLUUCTUUAYQUUGUUNUUH
      UUIXFXJWMQYBXRYTYSPXKAVQQVRWNWOWNXCWPEXPXDXEXOKTAGWQCDXCWPWRVHWS $.

    $( The weak universes in the cumulative hierarchy are exactly the limit
       ordinals.  (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    r1wunlim $p |- ( A e. V -> ( ( R1 ` A ) e. WUni <-> Lim A ) ) $=
      ( vx wcel cr1 cfv cwun wlim wa c0 wceq csuc con0 wn syl sucidg r1ord sylc
      ad2antrl sylanbrc word cv wrex wo simpr wun0 elfvdm r1fnon fndmi eleqtrdi
      cdm eloni n0i fveq2 r10 eqtrdi nsyl cima cuni suceloni r1elwf wfelirr cpw
      simprr fveq2d r1suc eqtrd simplr adantr eleqtrrd wunpw eqeltrd rexlimdvaa
      3syl mtod ioran dflim3 r1limwun impbida ) ABDZAEFZGDZAHZVTWBIZAUAZAJKZACU
      BZLZKZCMUCZUDNZWCWDAMDZWEWDAEUKZMWDJWADZAWMDWDWAVTWBUEUFZJAEUGOMEUHUIUJZA
      ULOWDWFNWJNWKWDWAJKZWFWDWNWQNWOWAJUMOWFWAJEFJAJEUNUOUPUQWDWJWAWADZWDWAALZ
      EFDZWAEMURUSDWRNWDWSMDZAWSDZWTWDWLXAWPAUTOWDWLXBWPAMPOAWSQRWAWSVAWAVBVNWD
      WIWRCMWDWGMDZWIIZIZWAWGEFZVCZWAXEWAWHEFZXGXEAWHEWDXCWIVDZVEXCXHXGKWDWIWGV
      FSVGXEXFWAVTWBXDVHXEWLWGADXFWADWDWLXDWPVIXEWGWHAXCWGWHDWDWIWGMPSXIVJWGAQR
      VKVLVMVOWFWJVPTCAVQTABVRVS $.
  $}

  ${
    $d a u v w x y z $.  $d a b m n w A $.  $d a b m n U $.  $d a b m n V $.
    $d b i k m n u v w F $.
    wunex2.f $e |- F = ( rec ( ( z e. _V |-> ( ( z u. U. z ) u.
      U_ x e. z ( { ~P x , U. x } u.
        ran ( y e. z |-> { x , y } ) ) ) ) , ( A u. 1o ) ) |` _om ) $.
    wunex2.u $e |- U = U. ran F $.
    $( Construct a weak universe from a given set.  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    wunex2 $p |- ( A e. V -> ( U e. WUni /\ A C_ U ) ) $=
      ( va vm vu vv wcel wss cv com cvv cun wa vb vw vn vk vi cwun wtr wne cuni
      c0 cpw cpr wral w3a cfv wrex crn eleq2i wfn wb cmpt ciun crdg cres frfnom
      fneq1i mpbir fnunirn ax-mp bitri csuc elssuni ad2antll ssun2 ssun1 sstrdi
      c1o sstri wceq simprl fvex uniex unex prex mptex rnex iunex unieq uneq12d
      weq pweq preq12d preq2 cbvmptv preq1 mpteq2dv eqtrid rneqd cbviunv mpteq1
      uneq2d iuneq12d frsucmpt2w sylancl sseqtrrd fvssunirn sseqtrri rexlimdvaa
      id syl5bi ralrimiv dftr3 sylibr con0 1on unexg mpan2 fveq1i syl eqsstrrdi
      fr0g unssbd ssn0 ssiun2s sseqtrrid sstrd unssad vpwex vuniex simprd fveq2
      1n0 prss sseq2d vtoclga findsg sseldd wi imbi12d eqeltri word ordom ssidd
      simpld simplrl ordunel mp3an2i suceq fveq2d sseq12d sstr2 syl5com syl2anc
      ad2antrr simplrr biantrud bicomd eleq1w anbi2d sseq1 anbi12d chvarvv expl
      sseq1d sylc eqid elrnmpt1s 3jca wfun omex resfunexg mp2an iswun syl3anbrc
      simprr rdgfun jca ) DGNZEUFNZDEOUVREUGZEUJUHZJPZUIZENZUWBUKZENZUWBUAPZULZ
      ENZUAEUMZUNZJEUMZUVSUVRUWBEOZJEUMUVTUVRUWMJEUWBENZUWBKPZFUOZNZKQUPZUVRUWM
      UWNUWBFUQZUIZNZUWREUWTUWBIURFQUSZUXAUWRUTUXBCRCPZUXCUIZSZAUXCAPZUKZUXFUIZ
      ULZBUXCUXFBPZULZVAZUQZSZVBZSZVAZDVQSZVCZQVDZQUSUXRUXQVEQFUXTHVFVGZKUWBFQV
      HVIVJZUVRUWQUWMKQUVRUWOQNZUWQTTZUWBUWOVKZFUOZEUYDUWBUWPUWPUIZSZLUWPLPZUKZ
      UYIUIZULZMUWPUYIMPZULZVAZUQZSZVBZSZUYFUYDUWBUYGUYSUWQUWBUYGOUVRUYCUWBUWPV
      LVMUYGUYHUYSUYGUWPVNUYHUYRVOZVRVPUYDUYCUYSRNZUYFUYSVSZUVRUYCUWQVTUYHUYRUW
      PUYGUWOFWAZUWPVUCWBWCLUWPUYQVUCUYLUYPUYJUYKWDZUYOMUWPUYNVUCWEWFWCWGWCZCUB
      UXRUWOUXPUYSUBPZVUFUIZSZLVUFUYLMVUFUYNVAZUQZSZVBZSZFRHUBCWJZVUHUXEVULUXOV
      UNVUFUXCVUGUXDVUNXIZVUFUXCWHWIVUNVULAVUFUXIBVUFUXKVAZUQZSZVBUXOLAVUFVUKVU
      RLAWJZUYLUXIVUJVUQVUSUYJUXGUYKUXHUYIUXFWKUYIUXFWHWLVUSVUIVUPVUSVUIBVUFUYI
      UXJULZVAVUPMBVUFUYNVUTUYMUXJUYIWMWNVUSBVUFVUTUXKUYIUXFUXJWOWPWQWRWIWSVUNA
      VUFUXCVURUXNVUOVUNVUQUXMUXIVUNVUPUXLBVUFUXCUXKWTWRXAXBWQWIZVUFUWPVSZVUHUY
      HVULUYRVVBVUFUWPVUGUYGVVBXIZVUFUWPWHWIVVBLVUFUWPVUKUYQVVCVVBVUJUYPUYLVVBV
      UIUYOMVUFUWPUYNWTWRXAXBWIXCZXDZXEUYFUWTEFUYEXFIXGZVPXHXJXKJEXLXMUVRVQEOVQ
      UJUHUWAUVRDVQEUVRUXRUJFUOZEUVRUXRRNZVVGUXRVSUVRVQXNNVVHXODVQGXNXPXQVVHVVG
      UJUXTUOUXRUJFUXTHXRUXRRUXQYAWQXSVVGUWTEFUJXFIXGXTZYBYLVQEYCXDUVRUWKJEUWNU
      WRUVRUWKUYBUVRUWQUWKKQUYDUWDUWFUWJUYDUWFUWDUYDUWEUWCULZEOUWFUWDTUYDVVJMUW
      PUWBUYMULZVAZUQZEUYDVVJVVMSZUYREUWQVVNUYROUVRUYCLUWPUYQUWBVVNLJWJZUYLVVJU
      YPVVMVVOUYJUWEUYKUWCUYIUWBWKUYIUWBWHWLZVVOUYOVVLVVOMUWPUYNVVKUYIUWBUYMWOZ
      WPWRWIYDVMUYDUYRUYFEUYDUYSUYRUYFUYRUYHVNVVEYEVVFVPYFYGUWEUWCEJYHJYIYMXMZY
      JUYDUWFUWDVVRUUDUYDUWIUAEUWGENZUWGUCPZFUOZNZUCQUPZUYDUWIVVSUWGUWTNZVWCEUW
      TUWGIURUXBVWDVWCUTUYAUCUWGFQVHVIVJUYDVWBUWIUCQUYDVVTQNZVWBTZTZMUWOVVTSZFU
      OZVVKVAZUQZEUWHVWGVVJVWKEVWGVVJVWKSZLVWIUYLMVWIUYNVAZUQZSZVBZEVWGUWBVWINV
      WLVWPOVWGUWPVWIUWBVWGVWHQNZUYCUWPVWIOZQUUAVWGUYCVWEVWQUUBUVRUYCUWQVWFUUEZ
      UYDVWEVWBVTZQUWOVVTUUFUUGZVWSVWQUYCTUWOVWHOVWRUWOVVTVOUWPUDPZFUOZOZUWPUWP
      OZUWPUEPZFUOZOZUWPVXFVKZFUOZOZVWRUDUEVWHUWOUDKWJVXCUWPUWPVXBUWOFYKYNZUDUE
      WJVXCVXGUWPVXBVXFFYKYNZVXBVXIVSVXCVXJUWPVXBVXIFYKYNZVXBVWHVSVXCVWIUWPVXBV
      WHFYKYNUYCUWPUUCZVXFQNZUYCTZUWOVXFOZTZVXGVXJOZVXHVXKVXPVXTUYCVXRUWPUYFOVX
      TKVXFQKUEWJZUWPVXGUYFVXJUWOVXFFYKVYAUYEVXIFUWOVXFUUHUUIUUJUYCUYSUWPUYFUWP
      UYHUYSUWPUYGVOUYTVRUYCVUAVUBVUEVVDXQYEYOUUNUWPVXGVXJUUKUULZYPXQUUMUVRUYCU
      WQVWFUUOYQLVWIVWOUWBVWLVVOUYLVVJVWNVWKVVPVVOVWMVWJVVOMVWIUYNVVKVVQWPWRWIY
      DXSVWGVWPVWHVKZFUOZEVWGVWIVWIUIZSZVWPSZVWPVYDVWPVYFVNVWGVWQVYGRNVYDVYGVSV
      XAVYFVWPVWIVYEVWHFWAZVWIVYHWBWCLVWIVWOVYHUYLVWNVUDVWMMVWIUYNVYHWEWFWCWGWC
      CUBUXRVWHUXPVYGVUMFRHVVAVUFVWIVSZVUHVYFVULVWPVYIVUFVWIVUGVYEVYIXIZVUFVWIW
      HWIVYILVUFVWIVUKVWOVYJVYIVUJVWNUYLVYIVUIVWMMVUFVWIUYNWTWRXAXBWIXCXDYEVYDU
      WTEFVYCXFIXGVPYFYBVWGUWGVWINUWHRNUWHVWKNVWGVWAVWIUWGVWGVWQVWEVWAVWIOZVXAV
      WTVWEVVTVXFOZTZVWAVXGOZYRVWEVYKYRUEVWHQVXFVWHVSZVYMVWEVYNVYKVYOVWEVYMVYOV
      YLVWEVYOVWHVVTVXFVVTUWOVNVYOXIYEUUPUUQVYOVXGVWIVWAVXFVWHFYKYNYSVXPVWEVYLV
      YNVXSVXHYRVXPVWETZVYLTZVYNYRKUCKUCWJZVXSVYQVXHVYNVYRVXQVYPVXRVYLVYRUYCVWE
      VXPKUCQUURUUSUWOVVTVXFUUTUVAVYRUWPVWAVXGUWOVVTFYKUVDYSVXDVXEVXHVXKVXHUDUE
      VXFUWOVXLVXMVXNVXMVXOVYBYPUVBUVCYOUVEUYDVWEVWBUVOYQUWBUWGWDMVWIVVKUWHUWGV
      WJRVWJUVFUYMUWGUWBWMUVGXDYQXHXJXKUVHXHXJXKERNUVSUVTUWAUWLUNUTEUWTRIUWSFFU
      XTRHUXSUVIQRNUXTRNUXRUXQUVPUVJUXSQRUVKUVLYTWFWBYTJUAERUVMVIUVNUVRDVQEVVIY
      GUVQ $.
  $}

  ${
    $d u x y z $.  $d u A $.
    $( Construct a weak universe from a given set.  See also ~ wunex2 .
       (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    wunex $p |- ( A e. V -> E. u e. WUni A C_ u ) $=
      ( vz vx vy wcel cvv cv cuni cun cpw cpr cmpt crn ciun c1o cwun wss eqid
      crdg com cres wa wrex wunex2 sseq2 rspcev syl ) BCGDHDIZUJJKEUJEIZLUKJMFU
      JUKFIMNOKPKNBQKUAUBUCZOJZRGBUMSZUDBAIZSZARUEEFDBUMULCULTUMTUFUPUNAUMRUOUM
      BUGUHUI $.

    $( Every set is contained in a weak universe.  This is the analogue of
       ~ grothtsk for weak universes, but it is provable in ZF without the
       Tarski-Grothendieck axiom, contrary to ~ grothtsk .  (Contributed by
       Mario Carneiro, 2-Jan-2017.) $)
    uniwun $p |- U. WUni = _V $=
      ( vx vu cwun cuni cvv wceq cv wcel eqv csn wss wrex snex wunex eluni2 vex
      ax-mp snss rexbii bitri mpbir mpgbir ) CDZEFAGZUCHZAAUCIUEUDJZBGZKZBCLZUF
      EHUIUDMBUFENQUEUDUGHZBCLUIBUDCOUJUHBCUDUGAPRSTUAUB $.

    wunex3.u $e |- U = ( R1 ` ( ( rank ` A ) +o _om ) ) $.
    $( Construct a weak universe from a given set.  This version of ~ wunex has
       a simpler proof, but requires the axiom of regularity.  (Contributed by
       Mario Carneiro, 2-Jan-2017.) $)
    wunex3 $p |- ( A e. V -> ( U e. WUni /\ A C_ U ) ) $=
      ( wcel wss cwun crnk cfv cr1 r1rankid com coa co con0 rankon omelon mp2an
      oacl wlim c0 peano1 wb oaord1 mpbi r1ord2 sseqtrri sstrdi wa limom pm3.2i
      mp2 oalimcl r1limwun eqeltri jctil ) ACEZABFBGEUQAAHIZJIZBACKUSURLMNZJIZB
      UTOEZURUTEZUSVAFUROEZLOEZVBAPZQURLSRZUALEZVCUBVDVEVHVCUCVFQURLUDRUEURUTUF
      ULDUGUHBVAGDVBUTTZVAGEVGVDVELTZUIVIVFVEVJQUJUKURLOUMRUTOUNRUOUP $.
  $}

  ${
    $d u v w x y z $.  $d m n u v w x y A $.  $d u U $.  $d m n u v x y V $.
    $d m n u v w F $.
    $( Value of the weak universe closure operator.  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    wuncval $p |- ( A e. V -> ( wUniCl ` A ) = |^| { u e. WUni | A C_ u } ) $=
      ( vx wcel cv wss cwun crab cint cvv cwunm df-wunc wceq sseq1 rabbidv elex
      inteqd c0 wne wrex wunex rabn0 sylibr intex sylib fvmptd3 ) BCEZDBDFZAFZG
      ZAHIZJBUJGZAHIZJZKLKDAMUIBNZULUNUPUKUMAHUIBUJOPRBCQUHUNSTZUOKEUHUMAHUAUQA
      BCUBUMAHUCUDUNUEUFUG $.

    $( The weak universe closure of a set contains the set.  (Contributed by
       Mario Carneiro, 2-Jan-2017.) $)
    wuncid $p |- ( A e. V -> A C_ ( wUniCl ` A ) ) $=
      ( vu wcel cv wss cwun crab cint cwunm cfv ssintub wuncval sseqtrrid ) ABD
      ACEFCGHIAAJKCAGLCABMN $.

    $( The weak universe closure of a set is a weak universe.  (Contributed by
       Mario Carneiro, 2-Jan-2017.) $)
    wunccl $p |- ( A e. V -> ( wUniCl ` A ) e. WUni ) $=
      ( vu wcel cwunm cfv cv wss cwun crab cint wuncval c0 wne wrex wunex rabn0
      ssrab2 sylibr intwun sylancr eqeltrd ) ABDZAEFACGHZCIJZKZICABLUCUEIHUEMNZ
      UFIDUDCIRUCUDCIOUGCABPUDCIQSUETUAUB $.

    $( The weak universe closure is a subset of any other weak universe
       containing the set.  (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    wuncss $p |- ( ( U e. WUni /\ A C_ U ) -> ( wUniCl ` A ) C_ U ) $=
      ( vu cwun wcel wss wa cwunm cfv cv crab cint cvv ssexg ancoms wuncval syl
      wceq sseq2 intminss eqsstrd ) BDEZABFZGZAHIZACJZFZCDKLZBUDAMEZUEUHRUCUBUI
      ABDNOCAMPQUGUCCBDUFBASTUA $.

    $( The weak universe closure is idempotent.  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    wuncidm $p |- ( A e. V -> ( wUniCl ` ( wUniCl ` A ) ) = ( wUniCl ` A ) ) $=
      ( wcel cwunm cfv cwun wss wunccl ssid wuncss sylancl wuncid syl eqssd ) A
      BCZADEZDEZPOPFCZPPGQPGABHZPIPPJKORPQGSPFLMN $.

    wuncval2.f $e |- F = ( rec ( ( z e. _V |-> ( ( z u. U. z ) u.
      U_ x e. z ( { ~P x , U. x } u.
        ran ( y e. z |-> { x , y } ) ) ) ) , ( A u. 1o ) ) |` _om ) $.
    wuncval2.u $e |- U = U. ran F $.
    $( Our earlier expression for a containing weak universe is in fact the
       weak universe closure.  (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    wuncval2 $p |- ( A e. V -> ( wUniCl ` A ) = U ) $=
      ( vm vu vv wcel cfv wss com cv cuni cun c0 vn vw cwunm cwun wunex2 wuncss
      wa syl ciun crn wfn wceq cvv cpw cpr cmpt crdg cres frfnom fneq1i fniunfv
      c1o mpbir ax-mp eqtr4i wral csuc fveq2 sseq1d weq con0 unexg mpan2 fveq1i
      1on fr0g eqtrid wuncid csn df1o2 wunccl wun0 snssd eqsstrid unssd eqsstrd
      wi simplr fvex uniex unex prex mptex iunex id unieq uneq12d preq12d preq1
      rnex pweq mpteq2dv rneqd cbviunv cbvmptv mpteq1 uneq2d iuneq12d frsucmpt2
      preq2 sylancl simpr ad3antrrr sselda ralrimiva unissb sylibr wunpw wununi
      wunelss prssd adantr wunpr fmpttd frnd iunss expcom finds2 com12 ralrimiv
      ex eqssd ) DGMZDUCNZEYMEUDMDEOUGYNEOABCDEFGHIUEDEUFUHYMEJPJQZFNZUIZYNEFUJ
      RZYQIFPUKZYQYRULYSCUMCQZYTRZSZAYTAQZUNZUUCRZUOZBYTUUCBQZUOZUPZUJZSZUIZSZU
      PZDVBSZUQPURZPUKUUOUUNUSPFUUPHUTVCJPFVAVDVEYMYPYNOZJPVFYQYNOYMUUQJPYOPMYM
      UUQUUQTFNZYNOUAQZFNZYNOZUUSVGZFNZYNOZYMJUAYOTULYPUURYNYOTFVHVIJUAVJYPUUTY
      NYOUUSFVHVIYOUVBULYPUVCYNYOUVBFVHVIYMUURUUOYNYMUUOUMMZUURUUOULYMVBVKMUVEV
      ODVBGVKVLVMUVEUURTUUPNUUOTFUUPHVNUUOUMUUNVPVQUHYMDVBYNDGVRYMVBTVSYNVTYMTY
      NYMYNDGWAZWBWCWDWEWFYMUUSPMZUVAUVDWGYMUVGUGZUVAUVDUVHUVAUGZUVCUUTUUTRZSZK
      UUTKQZUNZUVLRZUOZLUUTUVLLQZUOZUPZUJZSZUIZSZYNUVIUVGUWBUMMUVCUWBULYMUVGUVA
      WHUVKUWAUUTUVJUUSFWIZUUTUWCWJWKKUUTUVTUWCUVOUVSUVMUVNWLUVRLUUTUVQUWCWMWTW
      KWNWKCUBUUOUUSUUMUWBUBQZUWDRZSZKUWDUVOLUWDUVQUPZUJZSZUIZSFUMHUBCVJZUWFUUB
      UWJUULUWKUWDYTUWEUUAUWKWOZUWDYTWPWQUWKUWJAUWDUUFLUWDUUCUVPUOZUPZUJZSZUIUU
      LKAUWDUWIUWPKAVJZUVOUUFUWHUWOUWQUVMUUDUVNUUEUVLUUCXAUVLUUCWPWRUWQUWGUWNUW
      QLUWDUVQUWMUVLUUCUVPWSXBXCWQXDUWKAUWDYTUWPUUKUWLUWKUWOUUJUUFUWKUWNUUIUWKU
      WNBUWDUUHUPUUILBUWDUWMUUHUVPUUGUUCXJXEBUWDYTUUHXFVQXCXGXHVQWQUWDUUTULZUWF
      UVKUWJUWAUWRUWDUUTUWEUVJUWRWOZUWDUUTWPWQUWRKUWDUUTUWIUVTUWSUWRUWHUVSUVOUW
      RUWGUVRLUWDUUTUVQXFXCXGXHWQXIXKUVIUVKUWAYNUVIUUTUVJYNUVHUVAXLZUVIUVLYNOZK
      UUTVFUVJYNOUVIUXAKUUTUVIUVLUUTMZUGZUVLYNYMYNUDMZUVGUVAUXBUVFXMZUVIUUTYNUV
      LUWTXNZXTXOKUUTYNXPXQWEUVIUVTYNOZKUUTVFUWAYNOUVIUXGKUUTUXCUVOUVSYNUXCUVMU
      VNYNUXCUVLYNUXEUXFXRUXCUVLYNUXEUXFXSYAUXCUUTYNUVRUXCLUUTUVQYNUXCUVPUUTMZU
      GUVLUVPYNUXCUXDUXHUXEYBUXCUVLYNMUXHUXFYBUXCUUTYNUVPUVHUVAUXBWHXNYCYDYEWEX
      OKUUTUVTYNYFXQWEWFYKYGYHYIYJJPYPYNYFXQWDYL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Tarski classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Tarski $. $( The class of Tarski classes. $)

  $( Extend class definition to include the class of all Tarski classes. $)
  ctsk $a class Tarski $.

  ${
    $d y z w $.
    $( The class of all Tarski classes.  Tarski classes is a phrase coined by
       Grzegorz Bancerek in his article _Tarski's Classes and Ranks_, Journal
       of Formalized Mathematics, Vol 1, No 3, May-August 1990.  A Tarski class
       is a set whose existence is ensured by Tarski's axiom A (see ~ ax-groth
       and the equivalent axioms).  Axiom A was first presented in Tarski's
       article _Ueber unerreichbare Kardinalzahlen_.  Tarski introduced the
       axiom A to enable ZFC to manage inaccessible cardinals.  Later
       Grothendieck introduced the concept of Grothendieck universes and showed
       they were equal to transitive Tarski classes.  (Contributed by FL,
       30-Dec-2010.) $)
    df-tsk $a |- Tarski = { y | ( A. z e. y ( ~P z C_ y
      /\ E. w e. y ~P z C_ w ) /\ A. z e. ~P y ( z ~~ y \/ z e. y ) ) } $.
  $}

  ${
    $d A x $.  $d T w x y z $.
    $( Properties of a Tarski class.  (Contributed by FL, 30-Dec-2010.) $)
    eltskg $p |- ( T e. V -> ( T e. Tarski <-> ( A. z e. T ( ~P z C_ T
      /\ E. w e. T ~P z C_ w ) /\ A. z e. ~P T ( z ~~ T \/ z e. T ) ) ) ) $=
      ( vy cv cpw wss wrex wa wral cen wbr wcel ctsk wceq sseq2 rexeq anbi12d
      wo raleqbi1dv pweq breq2 eleq2 orbi12d raleqbidv df-tsk elab2g ) AFZGZEFZ
      HZUJBFHZBUKIZJZAUKKZUIUKLMZUIUKNZTZAUKGZKZJUJCHZUMBCIZJZACKZUICLMZUICNZTZ
      ACGZKZJECODUKCPZUPVEVAVJUOVDAUKCVKULVBUNVCUKCUJQUMBUKCRSUAVKUSVHAUTVIUKCU
      BVKUQVFURVGUKCUILUCUKCUIUDUEUFSEABUGUH $.

    $( Properties of a Tarski class.  (Contributed by FL, 30-Dec-2010.)
       (Revised by Mario Carneiro, 20-Sep-2014.) $)
    eltsk2g $p |- ( T e. V -> ( T e. Tarski <-> ( A. z e. T ( ~P z C_ T
      /\ ~P z e. T ) /\ A. z e. ~P T ( z ~~ T \/ z e. T ) ) ) ) $=
      ( vw wcel ctsk cv cpw wss wrex wa wral cen wbr wo eltskg nfra1 weq r19.26
      wi pweq sseq1d rspccva adantlr vpwex elpw ssel syl5bir rexlimdva ralimdaa
      syl imdistani 3imtr4i ssid sseq2 rspcev mpan2 anim2i ralimi impbii anbi1i
      bitrdi ) BCEBFEAGZHZBIZVDDGZIZDBJZKZABLZVCBMNVCBEZOABHLZKVEVDBEZKZABLZVLK
      ADBCPVJVOVLVJVOVEABLZVHABLZKVPVMABLZKVJVOVPVQVRVPVHVMABVEABQVPVKKZVGVMDBV
      SVFBEZKVFHZBIZVGVMTVPVTWBVKVEWBAVFBADRVDWABVCVFUAUBUCUDVGVDWAEWBVMVDVFAUE
      UFWABVDUGUHUKUIUJULVEVHABSVEVMABSUMVNVIABVMVHVEVMVDVDIZVHVDUNVGWCDVDBVFVD
      VDUOUPUQURUSUTVAVB $.

    $( First axiom of a Tarski class.  The subsets of an element of a Tarski
       class belong to the class.  (Contributed by FL, 30-Dec-2010.)  (Proof
       shortened by Mario Carneiro, 20-Sep-2014.) $)
    tskpwss $p |- ( ( T e. Tarski /\ A e. T ) -> ~P A C_ T ) $=
      ( vx vy ctsk wcel cv cpw wss wral wrex wa cen wbr eltskg ibi simpld simpl
      wo ralimi syl wceq pweq sseq1d rspccva sylan ) BEFZCGZHZBIZCBJZABFAHZBIZU
      GUJUIDGIDBKZLZCBJZUKUGUPUHBMNUHBFSCBHJZUGUPUQLCDBEOPQUOUJCBUJUNRTUAUJUMCA
      BUHAUBUIULBUHAUCUDUEUF $.

    $( Second axiom of a Tarski class.  The powerset of an element of a Tarski
       class belongs to the class.  (Contributed by FL, 30-Dec-2010.)  (Proof
       shortened by Mario Carneiro, 20-Sep-2014.) $)
    tskpw $p |- ( ( T e. Tarski /\ A e. T ) -> ~P A e. T ) $=
      ( vx ctsk wcel cv cpw wral wss wa cen wbr eltsk2g ibi simpld simpr ralimi
      wo syl wceq pweq eleq1d rspccva sylan ) BDEZCFZGZBEZCBHZABEAGZBEZUEUGBIZU
      HJZCBHZUIUEUNUFBKLUFBERCBGHZUEUNUOJCBDMNOUMUHCBULUHPQSUHUKCABUFATUGUJBUFA
      UAUBUCUD $.

    $( Third axiom of a Tarski class.  A subset of a Tarski class is either
       equipotent to the class or an element of the class.  (Contributed by FL,
       30-Dec-2010.)  (Revised by Mario Carneiro, 20-Sep-2014.) $)
    tsken $p |- ( ( T e. Tarski /\ A C_ T ) -> ( A ~~ T \/ A e. T ) ) $=
      ( vx vy ctsk wcel cv cen wbr wo cpw wral wss wrex wa eltskg simprd elpw2g
      ibi biimpar wceq breq1 eleq1 orbi12d rspccva syl2an2r ) BEFZCGZBHIZUHBFZJ
      ZCBKZLZABMZAULFZABHIZABFZJZUGUHKZBMUSDGMDBNOCBLZUMUGUTUMOCDBEPSQUGUOUNABE
      RTUKURCAULUHAUAUIUPUJUQUHABHUBUHABUCUDUEUF $.
  $}

  $( The empty set is a (transitive) Tarski class.  (Contributed by FL,
     30-Dec-2010.) $)
  0tsk $p |- (/) e. Tarski $=
    ( vx c0 ctsk wcel cv cpw wss wa wral cen wbr wo ral0 wceq elsni enref breq1
    csn 0ex cvv mpbiri orcd syl pw0 eleq2s rgen wb eltsk2g ax-mp mpbir2an ) BCD
    ZAEZFZBGUMBDHZABIZULBJKZULBDZLZABFZIZUNAMURAUSURULBRZUSULVADULBNZURULBOVBUP
    UQVBUPBBJKBSPULBBJQUAUBUCUDUEUFBTDUKUOUTHUGSABTUHUIUJ $.

  $( An element of a Tarski class is strictly dominated by the class.  JFM
     CLASSES2 th. 1.  (Contributed by FL, 22-Feb-2011.)  (Revised by Mario
     Carneiro, 18-Jun-2013.) $)
  tsksdom $p |- ( ( T e. Tarski /\ A e. T ) -> A ~< T ) $=
    ( wcel cpw csdm wbr ctsk cdom canth2g wa wss simpl tskpwss ssdomg sdomdomtr
    sylc syl2an2 ) ABCZAADZEFBGCZSBHFZABEFABITRJTSBKUATRLABMSBGNPASBOQ $.

  $( A part of a Tarski class strictly dominated by the class is an element of
     the class.  JFM CLASSES2 th. 2.  (Contributed by FL, 22-Feb-2011.)  (Proof
     shortened by Mario Carneiro, 20-Sep-2014.) $)
  tskssel $p |- ( ( T e. Tarski /\ A C_ T /\ A ~< T ) -> A e. T ) $=
    ( ctsk wcel wss csdm wbr w3a cen wn sdomnen 3ad2ant3 tsken 3adant3 ord mpd
    wo ) BCDZABEZABFGZHZABIGZJZABDZTRUCSABKLUAUBUDRSUBUDQTABMNOP $.

  $( The subsets of an element of a Tarski class belong to the class.
     (Contributed by FL, 30-Dec-2010.)  (Revised by Mario Carneiro,
     18-Jun-2013.) $)
  tskss $p |- ( ( T e. Tarski /\ A e. T /\ B C_ A ) -> B e. T ) $=
    ( ctsk wcel wss wa cpw wb elpw2g adantl tskpwss sseld sylbird 3impia ) CDEZ
    ACEZBAFZBCEZPQGZRBAHZEZSQUBRIPBACJKTUACBACLMNO $.

  $( The intersection of two elements of a Tarski class belongs to the class.
     (Contributed by FL, 30-Dec-2010.)  (Proof shortened by Mario Carneiro,
     20-Sep-2014.) $)
  tskin $p |- ( ( T e. Tarski /\ A e. T ) -> ( A i^i B ) e. T ) $=
    ( ctsk wcel cin wss inss1 tskss mp3an3 ) CDEACEABFZAGKCEABHAKCIJ $.

  $( A singleton of an element of a Tarski class belongs to the class.  JFM
     CLASSES2 th. 2 (partly).  (Contributed by FL, 22-Feb-2011.)  (Revised by
     Mario Carneiro, 18-Jun-2013.) $)
  tsksn $p |- ( ( T e. Tarski /\ A e. T ) -> { A } e. T ) $=
    ( ctsk wcel cpw csn tskpw wss snsspw tskss mp3an3 syldan ) BCDZABDAEZBDZAFZ
    BDZABGMOPNHQAINPBJKL $.

  $( A transitive element of a Tarski class is a part of the class.  JFM
     CLASSES2 th. 8.  (Contributed by FL, 22-Feb-2011.)  (Revised by Mario
     Carneiro, 20-Sep-2014.) $)
  tsktrss $p |- ( ( T e. Tarski /\ Tr A /\ A e. T ) -> A C_ T ) $=
    ( ctsk wcel wtr w3a cpw wss simp2 dftr4 sylib tskpwss 3adant2 sstrd ) BCDZA
    EZABDZFZAAGZBRPASHOPQIAJKOQSBHPABLMN $.

  $( If an element of a Tarski class is an ordinal number, its successor is an
     element of the class.  JFM CLASSES2 th. 6 (partly).  (Contributed by FL,
     22-Feb-2011.)  (Proof shortened by Mario Carneiro, 20-Sep-2014.) $)
  tsksuc $p |- ( ( T e. Tarski /\ A e. On /\ A e. T ) -> suc A e. T ) $=
    ( ctsk wcel con0 w3a cpw csuc wss simp1 tskpw cuni word wceq eloni 3ad2ant2
    3adant2 ordunisuc eqimss 3syl sspwuni sylibr tskss syl3anc ) BCDZAEDZABDZFZ
    UEAGZBDZAHZUIIZUKBDUEUFUGJUEUGUJUFABKQUHUKLZAIZULUHAMZUMANUNUFUEUOUGAOPARUM
    ASTUKAUAUBUIUKBUCUD $.

  ${
    $d T x $.
    $( A nonempty Tarski class contains the empty set.  (Contributed by FL,
       30-Dec-2010.)  (Revised by Mario Carneiro, 18-Jun-2013.) $)
    tsk0 $p |- ( ( T e. Tarski /\ T =/= (/) ) -> (/) e. T ) $=
      ( vx c0 wne ctsk wcel cv wex wi wss 0ss tskss mp3an3 expcom exlimiv sylbi
      n0 impcom ) ACDZAEFZCAFZSBGZAFZBHTUAIZBAQUCUDBTUCUATUCCUBJUAUBKUBCALMNOPR
      $.
  $}

  $( One is an element of a nonempty Tarski class.  (Contributed by FL,
     22-Feb-2011.) $)
  tsk1 $p |- ( ( T e. Tarski /\ T =/= (/) ) -> 1o e. T ) $=
    ( ctsk wcel c0 wne wa c1o csn df1o2 tsk0 tsksn syldan eqeltrid ) ABCZADEZFG
    DHZAINODACPACAJDAKLM $.

  $( Two is an element of a nonempty Tarski class.  (Contributed by FL,
     22-Feb-2011.)  (Proof shortened by Mario Carneiro, 20-Sep-2014.) $)
  tsk2 $p |- ( ( T e. Tarski /\ T =/= (/) ) -> 2o e. T ) $=
    ( ctsk wcel c0 wne c1o c2o tsk1 wa csuc df-2o con0 1on tsksuc mp3an2 syldan
    eqeltrid ) ABCZADEFACZGACAHRSIGFJZAKRFLCSTACMFANOQP $.

  $( If a Tarski class is not empty, it has more than two elements.
     (Contributed by FL, 22-Feb-2011.) $)
  2domtsk $p |- ( ( T e. Tarski /\ T =/= (/) ) -> 2o ~< T ) $=
    ( ctsk wcel c0 wne c2o csdm wbr tsk2 tsksdom syldan ) ABCADEFACFAGHAIFAJK
    $.

  ${
    $d T x y $.
    $( A nonempty Tarski class is infinite, because it contains all the finite
       levels of the cumulative hierarchy.  (This proof does not use
       ~ ax-inf .)  (Contributed by Mario Carneiro, 24-Jun-2013.) $)
    tskr1om $p |- ( ( T e. Tarski /\ T =/= (/) ) -> ( R1 " _om ) C_ T ) $=
      ( vy vx ctsk wcel c0 wne wa cr1 com cima cv cfv wceq wrex wi fveq2 eleq1d
      csuc con0 r10 tsk0 eqeltrid cpw tskpw nnon r1suc syl syl5ibr expd adantrd
      finds2 eleq1 imbi2d syl5ibcom rexlimiv wfun wfn r1fnon fnfun fvelima mpan
      ax-mp syl11 ssrdv ) ADEZAFGZHZBIJKZACLZIMZBLZNZCJOZVHVLAEZVLVIEZVMVHVOPZC
      JVJJEVHVKAEZPVMVQVRFIMZAEVLIMZAEZVLSZIMZAEZVHCBVJFNVKVSAVJFIQRVJVLNVKVTAV
      JVLIQRVJWBNVKWCAVJWBIQRVHVSFAUAAUBUCVLJEZVFWAWDPVGWEVFWAWDVFWAHWDWEVTUDZA
      EVTAUEWEWCWFAWEVLTEWCWFNVLUFVLUGUHRUIUJUKULVMVRVOVHVKVLAUMUNUOUPIUQZVPVNI
      TURWGUSTIUTVCCVLJIVAVBVDVE $.

    $( A nonempty Tarski class contains the whole finite cumulative hierarchy.
       (This proof does not use ~ ax-inf .)  (Contributed by NM,
       22-Feb-2011.) $)
    tskr1om2 $p |- ( ( T e. Tarski /\ T =/= (/) ) -> U. ( R1 " _om ) C_ T ) $=
      ( vy vx ctsk wcel c0 wne wa cr1 com cima cuni cv wrex eluni2 wss wtr con0
      wi syld cfv wceq wfun wfn r1fnon fnfun ax-mp fvelima mpan r1tr treq mpbii
      rexlimivw trss 3syl adantl tskr1om sseld 3exp adantr imp rexlimdva syl5bi
      tskss ssrdv ) ADEZAFGZHZBIJKZLZABMZVJEVKCMZEZCVINVHVKAEZCVKVIOVHVMVNCVIVH
      VLVIEZHVMVKVLPZVNVOVMVPSZVHVOVKIUAZVLUBZBJNZVLQZVQIUCZVOVTIRUDWBUERIUFUGB
      VLJIUHUIVSWABJVSVRQWAVKUJVRVLUKULUMVLVKUNUOUPVHVOVPVNSZVHVOVLAEZWCVHVIAVL
      AUQURVFWDWCSVGVFWDVPVNVLVKAVDUSUTTVATVBVCVE $.
  $}

  $( A nonempty Tarski class is infinite.  (Contributed by FL, 22-Feb-2011.) $)
  tskinf $p |- ( ( T e. Tarski /\ T =/= (/) ) -> _om ~<_ T ) $=
    ( ctsk wcel wne com cr1 cima cen wbr cdom con0 cvv wf1 wss r111 omsson omex
    c0 wa f1imaen mp2an ensymi simpl tskr1om ssdomg sylc endomtr sylancr ) ABCZ
    ARDZSZEFEGZHIULAJIZEAJIULEKLFMEKNULEHIOPKLEFQTUAUBUKUIULANUMUIUJUCAUDULABUE
    UFEULAUGUH $.

  $( If ` A ` and ` B ` are members of a Tarski class, their unordered pair is
     also an element of the class.  JFM CLASSES2 th. 3 (partly).  (Contributed
     by FL, 22-Feb-2011.)  (Proof shortened by Mario Carneiro, 20-Jun-2013.) $)
  tskpr $p |- ( ( T e. Tarski /\ A e. T /\ B e. T )
    -> { A , B } e. T ) $=
    ( ctsk wcel w3a cpr wss csdm wbr simp1 prssi 3adant1 com cdom prfi isfinite
    wa cfn mpbi c0 ne0i tskinf sylan2 sdomdomtr sylancr 3adant3 tskssel syl3anc
    wne ) CDEZACEZBCEZFUKABGZCHZUNCIJZUNCEUKULUMKULUMUOUKABCLMUKULUPUMUKULRUNNI
    JZNCOJZUPUNSEUQABPUNQTULUKCUAUJURCAUBCUCUDUNNCUEUFUGUNCUHUI $.

  $( If ` A ` and ` B ` are members of a Tarski class, their ordered pair is
     also an element of the class.  JFM CLASSES2 th. 4.  (Contributed by FL,
     22-Feb-2011.) $)
  tskop $p |- ( ( T e. Tarski /\ A e. T /\ B e. T )
    -> <. A , B >. e. T ) $=
    ( ctsk wcel w3a cop csn cpr dfopg 3adant1 simp1 tsksn 3adant3 tskpr syl3anc
    wceq eqeltrd ) CDEZACEZBCEZFZABGZAHZABIZIZCTUAUCUFQSABCCJKUBSUDCEZUECEUFCES
    TUALSTUGUAACMNABCOUDUECOPR $.

  ${
    $d A x y z $.  $d B x y z $.  $d T x y z $.
    $( A Cartesian product of two parts of a Tarski class is a part of the
       class.  (Contributed by FL, 22-Feb-2011.)  (Proof shortened by Mario
       Carneiro, 20-Jun-2013.) $)
    tskxpss $p |- ( ( T e. Tarski /\ A C_ T /\ B C_ T )
    -> ( A X. B ) C_ T ) $=
      ( vz vx vy ctsk wcel wss cxp wa cv cop wceq wrex elxp2 w3a tskop eleq1a
      wi syl 3expib rexlimdvv syl5bi ssrdv xpss12 sstr expcom syl2im 3impib ) C
      GHZACIZBCIZABJZCIZUKCCJZCIZULUMKUNUPIZUOUKDUPCDLZUPHUSELZFLZMZNZFCOECOUKU
      SCHZEFUSCCPUKVCVDEFCCUKUTCHZVACHZVCVDTZUKVEVFQVBCHVGUTVACRVBCUSSUAUBUCUDU
      EACBCUFURUQUOUNUPCUGUHUIUJ $.
  $}

  ${
    $d T y $.
    $( A Tarski class is well-orderable.  (Contributed by Mario Carneiro,
       20-Jun-2013.) $)
    tskwe2 $p |- ( T e. Tarski -> T e. dom card ) $=
      ( vy ctsk wcel cv csdm wbr cpw crab wss ccrd wral elpwi tskssel 3exp syl5
      cdm wi ralrimiv rabss sylibr tskwe mpdan ) ACDZBEZAFGZBAHZIAJZAKQDUDUFUEA
      DZRZBUGLUHUDUJBUGUEUGDUEAJZUDUJUEAMUDUKUFUIUEANOPSUFBUGATUABACUBUC $.
  $}

  ${
    $d A t z $.
    $( The intersection of a collection of Tarski classes is a Tarski class.
       (Contributed by FL, 17-Apr-2011.)  (Proof shortened by Mario Carneiro,
       20-Sep-2014.) $)
    inttsk $p |- ( ( A C_ Tarski /\ A =/= (/) ) -> |^| A e. Tarski ) $=
      ( vz vt ctsk wss wa wcel cpw wral cen wbr syl2anc ralrimiva sylibr elint2
      cv wo wn cdom cvv wne cint simpll sselda elinti imp adantll tskpwss ssint
      c0 tskpw vpwex elpwi wrex rexnal simpr intex sylib ad2antrr simplr ssdomg
      jca sylc vex intss1 ad2antrl mpsyl simprr simplll simprl sseldd sstrd ord
      tsken mt3d ensymd domentr sbth rexlimdvaa syl5bir con1d syl6ibr sylan2 wb
      orrd eltsk2g syl mpbir2and ) ADEZAUJUAZFZAUBZDGZBPZHZWLEZWOWLGZFZBWLIZWNW
      LJKZWNWLGZQZBWLHZIZWKWRBWLWKXAFZWPWQXEWOCPZEZCAIWPXEXGCAXEXFAGZFZXFDGZWNX
      FGZXGXEADXFWIWJXAUCUDZXAXHXKWKXAXHXKWNAXFUEUFUGZWNXFUHLMCWOAUINXEWOXFGZCA
      IWQXEXNCAXIXJXKXNXLXMWNXFUKLMCWOABULONVBMWKXBBXCWNXCGWKWNWLEZXBWNWLUMWKXO
      FZWTXAXPWTRXKCAIZXAXPXQWTXQRXKRZCAUNXPWTXKCAUOXPXRWTCAXPXHXRFZFZWNWLSKZWL
      WNSKZWTXTWLTGZXOYAWKYCXOXSWKWJYCWIWJUPAUQURZUSWKXOXSUTZWNWLTVAVCXTWLXFSKZ
      XFWNJKYBXFTGXTWLXFEZYFCVDXHYGXPXRXFAVEVFZWLXFTVAVGXTWNXFXTWNXFJKZXKXPXHXR
      VHXTYIXKXTXJWNXFEYIXKQXTADXFWIWJXOXSVIXPXHXRVJVKXTWNWLXFYEYHVLWNXFVNLVMVO
      VPWLXFWNVQLWNWLVRLVSVTWACWNABVDOWBWEWCMWKYCWMWSXDFWDYDBWLTWFWGWH $.
  $}

  ${
    $d A w x y z $.
    $( ` ( R1 `` A ) ` for ` A ` a strongly inaccessible cardinal is equipotent
       to ` A ` .  (Contributed by Mario Carneiro, 6-Jun-2013.) $)
    inar1 $p |- ( A e. Inacc -> ( R1 ` A ) ~~ A ) $=
      ( vx vy vz wcel cr1 cfv cdom wbr con0 wceq syl syl2anc wral wa csdm wi c0
      cvv wss vw cina cen cxp cv ciun cwina inawina winaon winalim r1lim onelon
      wlim sylan csuc eleq1 fveq2 breq1d imbi12d weq ne0i 0sdomg syl5ibr breq1i
      wne r10 syl6ibr 3syl wtr word eloni ordtr trsuc ex adantl ccrd r1suc fvex
      cpw cardid ensymi pwen ax-mp eqbrtrdi wb winacard eleq2d cardsdom sylancr
      bitr3d ccf elina simp3bi pweq rspccv sylbird ensdomtr syl2an expr imim12d
      imp cun vex mpan nfcv nfiu1 nfbr wel iunex ssiun2 ssdomg endomtr vtoclgaf
      mpsyl iundom mp2an mp2 domtr com domentr eqbrtrd ad2antlr wrex wfn sylibr
      wn wf eleq1d ralimdva impr sseq2d syl5bi ad2antrl sylibd iunon a1i onelss
      wo mprg mpd rgen ssun2 xpdom2 ssun1 xpdom1 limomss sstrdi infxpidm eleq1a
      unex ordirr nsyli ad2ant2r simpll wex ccom cres limord cardf r1fnon dffn2
      elon mpbi fco onss fssres ffn simpr simplll ontr1 syl12anc biimpd embantd
      fvres fvco3 eqtrd sylibrd ffnfv sylanbrc eleq2 biimpa cardon onelssi syl5
      eliun reximdva expdimp ralrimiv wfun ffun resfunexg fveq1 rexbidv ralbidv
      feq1 anbi12d spcev syl6an syld simp2bi sseq1d ontri1 mt2d ordequn sylancl
      cfflb eqcom mtord sylc sylsyld iunss unssd id iuneq1 uneq12d 0elon elimel
      cif elexi onun2i dedth adantr onsseleq mpbid orcomd ord simprbi domsdomtr
      iscard breq1 exp43 com4l tfinds2 impd mpcom sdomdom ralrimiva winainf cdm
      infxpen fdmi eleqtrrdi onssr1 sbth ) AUBEZAFGZAHIZAVUFHIZVUFAUCIVUEVUFAAU
      DZHIVUIAUCIZVUGVUEVUFBABUEZFGZUFZVUIHVUEAJEZAUMZVUFVUMKVUEAUGEZVUNAUHZAUI
      ZLZVUEVUPVUOVUQAUJLBAJUKMVUEVUNVULAHIZBANVUMVUIHIVUSVUEVUTBAVUEVUKAEZOZVU
      LAPIZVUTVUKJEZVVBVVCVUEVUNVVAVVDVUSAVUKULUNVVDVUEVVAVVCVVAVVCQRAEZRFGZAPI
      ZQZCUEZAEZVVIFGZAPIZQZVVIUOZAEZVVNFGZAPIZQZVUEBCVUKRKZVVAVVEVVCVVGVUKRAUP
      VVSVULVVFAPVUKRFUQURUSBCUTZVVAVVJVVCVVLVUKVVIAUPVVTVULVVKAPVUKVVIFUQURUSV
      UKVVNKZVVAVVOVVCVVQVUKVVNAUPVWAVULVVPAPVUKVVNFUQURUSVUEVUPVUNVVHVUQVURVUN
      VVERAPIZVVGVVEVWBVUNARVEZARVAAJVBVCVVFRAPVFVDVGVHVVIJEZVUEVVMVVRQVWDVUEOV
      VOVVJVVLVVQVUEVVOVVJQZVWDVUEVUNAVIZVWEVUSVUNAVJZVWFAVKZAVLLVWFVVOVVJAVVIV
      MVNVHVOVWDVUEVVLVVQVWDVVPVVKVPGZVSZUCIVWJAPIZVVQVUEVVLOVWDVVPVVKVSZVWJUCV
      VIVQVVKVWIUCIZVWLVWJUCIVWIVVKVVKVVIFVRZVTWAZVVKVWIWBWCWDVUEVVLVWKVUEVVLVW
      IAEZVWKVUEVUPVWPVVLWEVUQVUPVWIAVPGZEZVWPVVLVUPVWQAVWIAWFZWGVUPVVKSEZVUNVW
      RVVLWEZVWNVURVVKASJWHZWIWJLVUEDUEZVSZAPIZDANZVWPVWKQVUEVWCAWKGZAKZVXFDAWL
      ZWMVXEVWKDVWIAVXCVWIKVXDVWJAPVXCVWIWNURWOLWPXAVVPVWJAWQWRWSWTVNVVAVUKUMZV
      UEVVMCVUKNZVVCVVAVXJVUEVXKVVCVVAVXJOZVUEVXKOZOZVULVUKCVUKVWIUFZXBZHIZVXPA
      PIZVVCVXJVXQVVAVXMVXJVULDVUKVXCFGZUFZVXPHVUKSEZVXJVULVXTKBXCZDVUKSUKXDVXJ
      VXTVUKVXOUDZHIZVYCVXPHIZVXTVXPHIVYAVXSVXOHIZDVUKNVYDVYBVYFDVUKVVKVXOHIZVY
      FCVXCVUKCVXCXECVXSVXOHCVXSXECHXECVUKVWIXFXGCDUTVVKVXSVXOHVVIVXCFUQURCBXHZ
      VWMVWIVXOHIZVYGVWOVXOSEVYHVWIVXOTVYICVUKVWIVYBVVKVPVRXIZCVUKVWIXJVWIVXOSX
      KXNVVKVWIVXOXLWIXMUUADVUKVXOVXSSXOXPVXJVYCVXPVXPUDZHIZVYKVXPUCIZVYEVYCVUK
      VXPUDZHIZVYNVYKHIZVYLVXOVXPHIZVYOVXPSEZVXOVXPTVYQVUKVXOVYBVYJUUJZVXOVUKUU
      BVXOVXPSXKXQVXOVXPVUKVYBUUCWCVUKVXPHIZVYPVYRVUKVXPTVYTVYSVUKVXOUUDZVUKVXP
      SXKXQVUKVXPVXPVYSUUEWCVYCVYNVYKXRXPVXJXSVXPHIZVYMVYRVXJXSVXPTWUBVYSVXJXSV
      UKVXPVUKUUFWUAUUGXSVXPSXKXNVXPUUHLVYCVYKVXPXTWIVXTVYCVXPXRWIYAYBVXNVXPAEZ
      VXRVXNVXPAKZYFWUCVXNWUDAVUKKZAVXOKZVVAVUEWUEYFZVXJVXKVVAVUEWUGVVAWUEAAEZV
      UEVUKAAUUIVUEVUNVWGWUHYFVUSVWHAUUKVHUULXAUUMVXNWUFVVAVVAVXJVXMUUNZVXNWUFA
      VUKTZVVAYFZVXNWUFVXGVUKTZWUJVXNWUFVUKAUAUEZYGZVXCVVIWUMGZTZCVUKYCZDANZOZU
      AUUOZWULVXNVUKAVPFUUPZVUKUUQZYGZWUFVXCVVIWVBGZTZCVUKYCZDANZWUTVXNWVBVUKYD
      ZWVDAEZCVUKNZWVCVXNVVDVUKJWVBYGZWVHVXJVVDVVAVXMVXJVUKVJZVVDVUKUURVUKVYBUV
      BYEZYBZVVDJJWVAYGZVUKJTWVKSJVPYGJSFYGZWVOUUSFJYDWVPUUTJFUVAUVCZJSJVPFUVDX
      PZVUKUVEJJVUKWVAUVFWIVUKJWVBUVGVHVXLVUEVXKWVJVXLVUEOZVVMWVICVUKWVSVYHOZVV
      MVWPWVIWVTVVJVVLVWPWVTVUNVYHVVAVVJVUEVUNVXLVYHVUSYBZWVSVYHUVHVVAVXJVUEVYH
      UVIVUNVYHVVAOVVJVVIVUKAUVJXAUVKWVTVVLVWPWVTVWRVVLVWPWVTVWTVUNVXAVWNWWAVXB
      WIWVTVWQAVWIVUEVWQAKZVXLVYHVUEVUPWWBVUQVWSLZYBWGWJUVLUVMZWVTWVDVWIAWVSVVD
      VYHWVDVWIKVXJVVDVVAVUEWVMYBVVDVYHOZWVDVVIWVAGZVWIVYHWVDWWFKVVDVVIVUKWVAUV
      NVOWWEWVPVWDWWFVWIKWVQVUKVVIULJSVVIVPFUVOWIUVPZUNYHUVQYIYJCVUKAWVBUVRUVSV
      XNVVDWUFWVGQWVNVVDWUFWVGVVDWUFOWVFDAVVDWUFVXCAEZWVFWUFWWHOVXCVXOEZVVDWVFW
      UFWWHWWIAVXOVXCUVTUWAWWIVXCVWIEZCVUKYCVVDWVFCVXCVUKVWIUWEVVDWWJWVECVUKWWJ
      WVEWWEVXCVWITVWIVXCVVKUWBZUWCWWEWVDVWIVXCWWGYKVCUWFYLUWDUWGUWHVNLWUSWVCWV
      GOUAWVBWVAUWIZVYAWVBSEWVOWWLWVRJJWVAUWJWCVYBWVAVUKSUWKXPWUMWVBKZWUNWVCWUR
      WVGVUKAWUMWVBUWOWWMWUQWVFDAWWMWUPWVECVUKWWMWUOWVDVXCVVIWUMWVBUWLYKUWMUWNU
      WPUWQUWRVXNVUNVVDWUTWULQVUEVUNVXLVXKVUSYMZWVNDCAVUKUAUXFMUWSVUEWULWUJWEVX
      LVXKVUEVXGAVUKVUEVWCVXHVXFVXIUWTUXAYMYNVXNVUNVVDWUJWUKWEWWNWVNAVUKUXBMYNU
      XCVXNVVDVXOJEZWUDWUEWUFYRZQWVNVWIJEZWWOCVUKVYAWWQCVUKNWWOVYBCVUKVWISYOXDW
      WQVYHWWKYPYSWUDAVXPKZVVDWWOOWWPVXPAUXGVVDWVLVXOVJWWRWWPQWWOVUKVKVXOVKAVUK
      VXOUXDWRYLUXEUXHVXNWUDWUCVXNWUCWUDVXNVXPATZWUCWUDYRZVXNVUKVXOAVXNVUNVVAVU
      KATWWNWUIAVUKYQUXIVXNVWIATZCVUKNZVXOATVXLVUEVXKWXBWVSVVMWXACVUKWVTVUNVVMV
      WPWXAWWAWWDAVWIYQUXJYIYJCVUKVWIAUXKYEUXLVXLVXPJEZVUNWWSWWTWEVXMVXJWXCVVAV
      XJVVDWXCWVMVVDWXCVVDVUKRUXRZCWXDVWIUFZXBZJEVUKRVUKWXDKZVXPWXFJWXGVUKWXDVX
      OWXEWXGUXMCVUKWXDVWIUXNUXOYHWXDWXEVUKRJUXPUXQZWWQWXEJEZCWXDWXDSEWWQCWXDNW
      XIWXDJWXHUXSCWXDVWISYOXDWWQVVIWXDEWWKYPYSUXTUYALVOVUEVUNVXKVUSUYBVXPAUYCW
      RUYDUYEUYFYTVXNWWBVXCAPIZDANZWUCVXRQVUEWWBVXLVXKWWCYMWWBVUNWXKDAUYIUYGWXJ
      VXRDVXPAVXCVXPAPUYJWOVHYTVULVXPAUYHMUYKUYLUYMUYNUYOVULAUYPLUYQBAAVULJXOMY
      AVUEVUNXSATZVUJVUSVUEVUPWXLVUQAUYRLAUYTMVUFVUIAXTMVUFSEVUEAVUFTZVUHAFVRVU
      EVUPAFUYSZEWXMVUQVUPAJWXNVURJSFWVQVUAVUBAVUCVHAVUFSXKXNVUFAVUDM $.
  $}

  $( Alternate proof of ~ r1om , shorter as a consequence of ~ inar1 , but
     requiring AC. (Contributed by Mario Carneiro, 27-May-2013.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  r1omALT $p |- ( R1 ` _om ) ~~ _om $=
    ( com cina wcel cr1 cfv cen wbr omina inar1 ax-mp ) ABCADEAFGHAIJ $.

  ${
    $d A w x y z $.
    $( Any set must be at least as large as the cofinality of its rank, because
       the ranks of the elements of ` A ` form a cofinal map into
       ` ( rank `` A ) ` .  (Contributed by Mario Carneiro, 27-May-2013.) $)
    rankcf $p |- -. A ~< ( cf ` ( rank ` A ) ) $=
      ( vx vy vw vz crnk cfv c0 wceq con0 wrex wcel wa ccf csdm wbr cdom c1o wi
      syl cv csuc cvv wlim w3o wn rankon onzsl sdom0 fveq2 eqtrdi breq2d mtbiri
      mpbi cf0 cfsuc sylan9eqr wne nsuceq0 neeq1 mpbiri cr1 cdm r1fnon eleqtrri
      0elon fndmi rankonid necon3i cima cuni wb rankvaln necon1ai 0sdom1dom vex
      breq2 0sdom bitr3i vtoclbg mpbird eqbrtrd rexlimiva domnsym csn cab nlim0
      adantl wss limeq r1elssi sselda ranksnb rankelb limsuc sylibd imp eqeltrd
      con4i eleq1a rexlimdva abssdv ciun snex dfiun2 iunid eqtr3i snwf abrexexg
      fveq2i 3syl eleq1 sseq1 r1elss rankuni2b eqtr3id fvex abrexco eqtri cfslb
      unieqi eqtr2di mpd3an23 2fveq3 breq12 mpdan rexeq abbidv mpancom cmpt crn
      imbi12d eqid rnmpt ccrd wfo cfon sdomdom ondomen sylancr wfn fnmpti dffn4
      fodomnum mpisyl eqbrtrrid vtoclg domtr syl6an pm2.01d 3jaoi ax-mp ) AFGZH
      IZUUMBUAZUBZIZBJKZUUMUCLZUUMUDZMZUEZAUUMNGZOPZUFZUUMJLUVBAUGBUUMUHUNUUNUV
      EUURUVAUUNUVDAHOPAUIUUNUVCHAOUUNUVCHNGHUUMHNUJUOUKULUMUURUVCAQPZUVEUUQUVF
      BJUUOJLZUUQMUVCRAQUUQUVGUVCUUPNGRUUMUUPNUJUUOUPUQUUQRAQPZUVGUUQUUMHURZUVH
      UUQUVIUUPHURUUOUSUUMUUPHUTVAUVIUVHAHURZAHUUMHAHIUUMHFGZHAHFUJHVBVCZLUVKHI
      HJUVLVFJVBVDVGVEHVHUNUKVIUVIAVBJVJVKZLZUVHUVJVLUVNUUMHAVMZVNRCUAZQPZUVPHU
      RZUVHUVJCAUVMUVPARQVQUVPAHUTUVQHUVPOPUVRUVPVOUVPCVPVRVSVTTWATWHWBWCUVCAWD
      ZTUUTUVEUUSUUTUVDUUTUVCDUAZUUOWEZFGZIZBAKZDWFZQPZUVDUWEAQPZUVEUUTUWEUUMWI
      UWEVKZUUMIZUWFUUTUWDDUUMUUTUWCUVTUUMLZBAUUTUUOALZMZUWBUUMLUWCUWJSUWLUWBUU
      OFGZUBZUUMUWLUUOUVMLZUWBUWNIUUTAUVMUUOUUTUVNAUVMWIUVNUUTUVNUFUUNUUTUFUVOU
      UNUUTHUDWGUUMHWJUMTWSZAWKZTWLUUOWMTUUTUWKUWNUUMLZUUTUWKUWMUUMLZUWRUUTUVNU
      WKUWSSUWPUUOAWNTUUMUWMWOWPWQWRUWBUUMUVTWTTXAXBUUTUVNUWIUWPUVNUUMEUVPUWAIZ
      BAKZCWFZEUAZFGZXCZUWHUVNUUMUXBVKZFGZUXEUXFAFBAUWAXCUXFABCAUWAUUOXDZXEBAXF
      XGXJUVNUXBUVMLZUXGUXEIUVNUXIUXBUVMWIZUVNUXACUVMUVNUWTUVPUVMLZBAUVNUWKMUWO
      UWAUVMLUWTUXKSUVNAUVMUUOUWQWLUUOXHUWAUVMUVPWTXKXAXBUVNUXBUCLUXIUXJVLBCAUW
      AUVMXIUXCUVMLUXCUVMWIUXIUXJEUXBUCUXCUXBUVMXLUXCUXBUVMXMUXCEVPXNVTTWAEUXBX
      OTXPUXEUVTUXDIEUXBKDWFZVKUWHEDUXBUXDUXCFXQXEUXLUWEDECBAUWAUXDUWBUXHUXCUWA
      FUJXRYAXSYBTUUMUWEAFXQXTYCUUTUVNUVDUWGSZUWPUVPUVPFGZNGZOPZUWCBUVPKZDWFZUV
      PQPZSUXMCAUVMUVPAIZUXPUVDUXSUWGUXTUXOUVCIUXPUVDVLUVPANFYDUVPAUXOUVCOYEYFU
      XRUWEIUXTUXSUWGVLUXTUXQUWDDUWCBUVPAYGYHUXRUWEUVPAQYEYIYLUXPUXRBUVPUWBYJZY
      KZUVPQBDUVPUWBUYAUYAYMZYNUXPUVPYOVCLZUVPUYBUYAYPZUYBUVPQPUXPUXOJLUVPUXOQP
      UYDUXNYQUVPUXOYRUXOUVPYSYTUYAUVPUUAUYEBUVPUWBUYAUWAFXQUYCUUBUVPUYAUUCUNUV
      PUYBUYAUUDUUEUUFUUGTUWFUWGMUVFUVEUVCUWEAUUHUVSTUUIUUJWHUUKUUL $.
  $}

  ${
    $d A x y $.
    $( ` ( R1 `` A ) ` for ` A ` a strongly inaccessible cardinal is a Tarski
       class.  (Contributed by Mario Carneiro, 8-Jun-2013.) $)
    inatsk $p |- ( A e. Inacc -> ( R1 ` A ) e. Tarski ) $=
      ( vx vy wcel cr1 cfv wss wa wral wbr wo con0 wceq syl sylbid imp csdm cvv
      wi wb cina cpw cen ctsk cwina inawina wrex ciun wlim winaon winalim r1lim
      cv syl2anc eleq2d eliun bitrdi csuc onelon sylan r1pw limsuc r1ord2 sseld
      rexlimdva cuni elssuni r1tr2 sstrdi jccil ralrimiva crnk rankr1ai syl6bir
      r1suc fvex elsuc sylib orcomd cdom elpwi ad2antlr ssdomg mpsyl ccf rankcf
      wn fveq2 c0 wne elina sylan9eqr breq2d mtbii inar1 sdomentr expcom adantr
      simp2bi mtod adantlr bren2 sylanbrc ex cima r1elwf r1fnon fndmi eleqtrrdi
      cdm rankr1ag biimprd orim12d mpd eltsk2g ax-mp ) AUADZBUMZUBZAEFZGZXSXTDZ
      HZBXTIZXRXTUCJZXRXTDZKZBXTUBZIZXTUDDZXQYCBXTXQYFHYBYAXQYFYBXQAUEDZYFYBSAU
      FZYKYFXRCUMZEFZDZCAUGZYBYKYFXRCAYNUHZDYPYKXTYQXRYKALDZAUIZXTYQMAUJZAUKZCA
      LULUNUOCXRAYNUPUQYKYOYBCAYKYMADZHZYOXSYMURZEFZDZYBUUCYMLDZYOUUFTYKYRUUBUU
      GYTAYMUSUTXRYMVANUUCUUEXTXSYKUUBUUEXTGZYKUUBUUDADZUUHYKYSUUBUUITUUAAYMVBN
      YKYRUUIUUHSYTUUDAVCNOPVDOVEONPYBXSXTVFXTXSXTVGAVHVIVJVKXQYGBYHXQXRYHDZHZX
      RVLFZAMZUULADZKYGUUKUUNUUMUUKUULAURZDZUUNUUMKXQUUJUUPXQUUJXRUUOEFZDZUUPXQ
      YRUURUUJTXQYKYRYLYTNZYRUUQYHXRAVOUONZXRUUOVMVNPUULAXRVLVPVQVRVSUUKUUMYEUU
      NYFUUKUUMYEUUKUUMHZXRXTVTJZXRXTQJZWGZYEXTRDZUVAXRXTGZUVBAEVPZUUJUVFXQUUMX
      RXTWAWBXRXTRWCWDXQUUMUVDUUJXQUUMHZUVCXRAQJZUVHXRUULWEFZQJUVIXRWFUVHUVJAXR
      QUUMXQUVJAWEFZAUULAWEWHXQAWIWJUVKAMXSAQJBAIBAWKWSWLWMWNXQUVCUVISZUUMXQXTA
      UCJZUVLAWOUVCUVMUVIXRXTAWPWQNWRWTXAXRXTXBXCXDUUKYFUUNUUKXRELXEVFDZAEXJZDZ
      YFUUNTXQUUJUVNXQUUJUURUVNUUTXRUUOXFVNPXQUVPUUJXQALUVOUUSLEXGXHXIWRXRAXKUN
      XLXMXNVKUVEYJYDYIHTUVGBXTRXOXPXC $.
  $}

  $( The set of hereditarily finite sets is a Tarski class.  (The
     Tarski-Grothendieck Axiom is not needed for this theorem.)  (Contributed
     by Mario Carneiro, 28-May-2013.) $)
  r1omtsk $p |- ( R1 ` _om ) e. Tarski $=
    ( com cina wcel cr1 cfv ctsk omina inatsk ax-mp ) ABCADEFCGAHI $.

  ${
    $d T x y $.  $d A x $.
    $( A Tarski class contains all ordinals smaller than it.  (Contributed by
       Mario Carneiro, 8-Jun-2013.) $)
    tskord $p |- ( ( T e. Tarski /\ A e. On /\ A ~< T ) -> A e. T ) $=
      ( vx vy con0 wcel csdm wbr cv wa wceq breq1 anbi2d eleq1 imbi12d wral wss
      wi syld imp ctsk simplrl onelss ssdomg adantlr simplrr domsdomtr ralimdva
      cdom syl2anc pm2.27 dfss3 tskssel 3exp syl5bir com23 adantl 3impib 3com12
      ex tfis3 ) AEFZBUAFZABGHZABFZVBVCVDVEVCCIZBGHZJZVFBFZRVCDIZBGHZJZVJBFZRZV
      CVDJZVERCDAVFVJKZVHVLVIVMVPVGVKVCVFVJBGLMVFVJBNOVFAKZVHVOVIVEVQVGVDVCVFAB
      GLMVFABNOVFEFZVHVNDVFPZVIVRVHVSVIRVRVHJZVSVMDVFPZVIVTVNVMDVFVTVJVFFZJZVCV
      KVNVMRVRVCVGWBUBWCVJVFUIHZVGVKVRWBWDVHVRWBWDVRWBVJVFQWDVFVJUCVJVFEUDSTUEV
      RVCVGWBUFVJVFBUGUJVLVMUKUJUHVHWAVIRZVRVCVGWEVCWAVGVIWAVFBQZVCVGVIRDVFBULV
      CWFVGVIVFBUMUNUOUPTUQSUTUPVAURUS $.
  $}

  ${
    $d T w x y z $.
    $( An even more direct relationship than ~ r1tskina to get an inaccessible
       cardinal out of a Tarski class: the size of any nonempty Tarski class is
       an inaccessible cardinal.  (Contributed by Mario Carneiro,
       9-Jun-2013.) $)
    tskcard $p |- ( ( T e. Tarski /\ T =/= (/) ) -> ( card ` T ) e. Inacc ) $=
      ( vx vz vy ctsk wcel c0 wa ccrd cfv ccf wceq cv csdm wbr cmap cdom adantr
      wss syl2anc vw wne cpw wral cina cardeq0 necon3bid biimpar cale con0 crab
      wn co cint char cmpt eqid pwcfsdom vpwex canth2 simpl cardon oneli adantl
      com cardsdomelir tskord syl3anc tskpwss syldan ssdomg sylc cardidg ensymd
      cen tskpw domentr sdomdomtr sylancr ralrimiva inawinalem ax-mp winainflem
      wrex wi mp3an2 sylan2 cardidm cardaleph sylancl fveq2d oveq12d mpbiri w3a
      breq12d simp1 simp3 cxp wf fvex elmap fssxp sylbi ex ssrdv cfle sstr mpan
      tskxpss 3exp com23 mpdi mpd sstr2 syl2im simp2 wfn cvv ffn fndmeng syl2an
      ensdomtr tskssel 3expia imp domnsym syl mt2d cfon onsseli elina syl3anbrc
      wo mpbi ori ) AEFZAGUBZHZAIJZGUBZYSKJZYSLZBMZUCZYSNOZBYSUDZYSUEFYPYTYQYPY
      SGAGAEUFUGUHZYRUUAYSFZULUUBYRUUHYSYSUUAPUMZNOZYRUUJYSUUCUIJSBUJUKUNZUIJZU
      ULUULKJZPUMZNOCUUKUACUUMCMUAMJUOJUPZUUOUQURYRYSUULUUIUUNNYRVEYSSZYSIJYSLY
      SUULLYRYTUUFUUPUUGYPUUFYQYPUUEBYSYPUUCYSFZHZUUDUUDUCZNOUUSYSQOZUUEUUDBUSU
      TUURUUSAQOZAYSVOOZUUTUURYPUUSASZUVAYPUUQVAZYPUUQUUCAFZUVCUURYPUUCUJFZUUCA
      NOZUVEUVDUUQUVFYPYSUUCAVBZVCVDUUQUVGYPUUCAVFVDUUCAVGVHZYPUVEUUDAFUVCUUCAV
      PUUDAVIVJVJUUSAEVKVLYPUVBUUQYPYSAAEVMVNZRUUSAYSVQTUUDUUSYSVRVSVTRZUUFYTUU
      CDMNODYSWDBYSUDZUUPYSUJFZUUFUVLWEUVHBDYSWAWBYTUVMUVLUUPUVHBDYSWCWFWGTAWHB
      YSWIWJZYRYSUULUUAUUMPUVNYRYSUULKUVNWKWLWOWMYPUUHUUJULZWEYQYPUUHUVOYPUUHHZ
      UUIYSQOZUVOUVPUUIAQOZUVBUVQYPUUHUUIASZUVRUVPBUUIAYPUUHUUCUUIFZUVEYPUUHUVT
      WNZYPUUCASZUVGUVEYPUUHUVTWPZUWAUVTYPUWBYPUUHUVTWQZUWCUVTUUCUUAYSWRZSZYPUW
      EASZUWBUVTUUAYSUUCWSZUWFYSUUAUUCAIWTYSKWTZXAZUUAYSUUCXBXCYPYSASZUWGYPBYSA
      YPUUQUVEUVIXDXEYPUWKUUAASZUWGUUAYSSZUWKUWLYSXFZUUAYSAXGXHYPUWLUWKUWGYPUWL
      UWKUWGUUAYSAXIXJXKXLXMUUCUWEAXNXOVLUWAUVTUUHUVGUWDYPUUHUVTXPUVTUUCUUAVOOU
      UAANOUVGUUHUVTUUAUUCUVTUWHUUAUUCVOOZUWJUWHUUCUUAXQUUAXRFUWOUUAYSUUCXSUWIU
      UAXRUUCXTWJXCVNUUAAVFUUCUUAAYBYATUUCAYCVHYDXEYPUVSUVRUUIAEVKYEVJYPUVBUUHU
      VJRUUIAYSVQTUUIYSYFYGXDRYHUUHUUBUWMUUHUUBYMUWNUUAYSYSYIUVHYJYNYOYGUVKBYSY
      KYL $.
  $}

  ${
    $d A x $.
    $( There is a direct relationship between transitive Tarski classes and
       inaccessible cardinals: the Tarski classes that occur in the cumulative
       hierarchy are exactly at the strongly inaccessible cardinals.
       (Contributed by Mario Carneiro, 8-Jun-2013.) $)
    r1tskina $p |- ( A e. On ->
        ( ( R1 ` A ) e. Tarski <-> ( A = (/) \/ A e. Inacc ) ) ) $=
      ( vx con0 wcel cr1 cfv ctsk c0 wceq cina wo wa wn wne ccrd cen wbr simplr
      syl2anc csdm df-ne simpll crnk csuc cima cuni onwf sseli eqid rankr1c syl
      mpbii simpld cdm r1fnon fndmi eleq2i rankonid bitr3i fveq2 sylbi neleqtrd
      adantl wss onssr1 sylbir tsken sylan2 ord mt3d carden2b wral simpl adantr
      cv sselda tsksdom ensymd sdomentr ralrimiva iscard eqtr3d on0eln0 biimpar
      sylanbrc r10 r1sdom syldan eqbrtrrid 0sdom sylib adantlr tskcard eqeltrrd
      fvex ex syl5bir orrd eqtrdi 0tsk eqeltrdi inatsk jaoi impbid1 ) ACDZAEFZG
      DZAHIZAJDZKZXEXGXJXEXGLZXHXIXHMAHNZXKXIAHUAXKXLXIXKXLLZXFOFZAJXMAOFZXNAXM
      AXFPQZXOXNIXMXGXEXPXEXGXLRZXEXGXLUBXGXELZXPAXFDZXEXSMXGXEAUCFZEFZXFAXEAYA
      DMZAXTUDEFDZXEAECUEUFZDZYBYCLZCYDAUGUHYEXTXTIYFXTUIAXTUJULUKUMXEXTAIZYAXF
      IXEAEUNZDZYGYHCACEUOUPUQZAURUSXTAEUTVAVBVCXRXPXSXEXGAXFVDZXPXSKXEYIYKYJAV
      EVFZAXFVGVHVIVJZSAXFVKUKXKXOAIZXLXKXEBVOZATQZBAVLYNXEXGVMXKYPBAXKYOADZLZY
      OXFTQZXFAPQZYPYRXGYOXFDYSXEXGYQRZXKAXFYOXEYKXGYLVNVPYOXFVQSYRXGXEYTUUAXEX
      GYQUBXRAXFYMVRSYOXFAVSSVTBAWAWEVNWBXMXGXFHNZXNJDXQXEXLUUBXGXEXLLZHXFTQUUB
      UUCHHEFZXFTWFXEXLHADZUUDXFTQXEUUEXLAWCWDAHWGWHWIXFAEWOWJWKWLXFWMSWNWPWQWR
      WPXHXGXIXHXFHGXHXFUUDHAHEUTWFWSWTXAAXBXCXD $.
  $}

  ${
    $d A f x y z $.  $d T f x y z $.
    $( The union of an element of a transitive Tarski class is in the set.
       (Contributed by Mario Carneiro, 22-Jun-2013.) $)
    tskuni $p |- ( ( T e. Tarski /\ Tr T /\ A e. T ) -> U. A e. T ) $=
      ( vf vz vx vy wcel cen wbr cv wa wceq wrex csdm adantr syl2anc syl wss wi
      cdom ctsk wtr w3a cuni ccrd cfv wf1o wex cima cab wne ccf tsksdom cardidg
      wn ensymd sdomentr cmpt crn eqid rnmpt cdm cardon sdomdom ondomen sylancr
      wfo con0 adantl wfn vex imaex fnmpti dffn4 mpbi fodomnum mpisyl eqbrtrrid
      domsdomtr sylancom adantll mpdan cina c0 ne0i tskcard sylan2 wral simp2bi
      elina breqtrrd 3adant2 wlim cwina inawina winalim 3syl eqeq1 rexbidv elab
      cpw imassrn f1ofo forn sseqtrid ad2antlr wf1 f1of1 elssuni f1imaen syl2an
      simpl1 trss 3adant1 sselda adantlr ensdomtr sseq1 breq1 anbi12d rexlimdva
      imp biimprcd syl5bi ralrimiv fvex cfslb2n mpd ciun dfiun2 ralrimivw iunss
      sylibr wf fof foelrn ex 3ad2ant2 3ad2ant1 expcom eluni2 nfiu1 nfel2 simp3
      nfv ssiun2 fnfvima syl3anc sseldd 3exp rexlimd eleq1a syl6 rexlimdv ssrdv
      ffn sylsyld eqssd eqtr3id necon3ai pm2.01da nexdv entr bren sylib mtod wo
      uniss df-tr biimpi sylan9ss syld tsken 3impb ord ) BUAGZBUBZABGZUCZAUDZBH
      IZUOUVTBGZUVSUWAUVTBUEUFZCJZUGZCUHZUVSUWECUVSUWEUVSUWEKZDJZUWDEJZUIZLZEAM
      ZDUJZUDZUWCUKZUWEUOUWGUWMUWCULUFZNIZUWOUVSUWQUWEUVPUVRUWQUVQUVPUVRKZUWMUW
      CUWPNUWRAUWCNIZUWMUWCNIZUWRABNIBUWCHIZUWSABUMUVPUXAUVRUVPUWCBBUAUNUPZOABU
      WCUQPUVRUWSUWTUVPUVRUWSUWMATIUWTUVRUWSKZUWMEAUWJURZUSZATEDAUWJUXDUXDUTZVA
      UXCAUEVBGZAUXEUXDVGZUXEATIUWSUXGUVRUWSUWCVHGAUWCTIUXGBVCAUWCVDUWCAVEVFVIU
      XDAVJUXHEAUWJUXDUWDUWICVKVLZUXFVMAUXDVNVOAUXEUXDVPVQVRUWMAUWCVSVTWAWBUWRU
      WCWCGZUWPUWCLZUVRUVPBWDUKUXJBAWEBWFWGZUXJUWCWDUKUXKUWIXAUWCNIEUWCWHEUWCWJ
      WIZQWKWLOUWGUWCWMZFJZUWCRZUXOUWPNIZKZFUWMWHUWQUWOSUWGUXJUWCWNGUXNUVSUXJUW
      EUVPUVRUXJUVQUXLWLOZUWCWOUWCWPWQUWGUXRFUWMUXOUWMGUXOUWJLZEAMZUWGUXRUWLUYA
      DUXOFVKUWHUXOLUWKUXTEAUWHUXOUWJWRWSWTUWGUXTUXREAUWGUWIAGZKZUWJUWCRZUWJUWP
      NIZUXTUXRSUWEUYDUVSUYBUWEUWDUSZUWJUWCUWDUWIXBUWEUVTUWCUWDVGZUYFUWCLUVTUWC
      UWDXCZUVTUWCUWDXDQXEZXFUYCUWJUWCUWPNUYCUWJUWIHIZUWIUWCNIZUWJUWCNIUWEUYBUY
      JUVSUWEUVTUWCUWDXGUWIUVTRZUYJUYBUVTUWCUWDXHUWIAXIZUVTUWCUWIUWDEVKXJXKWAUV
      SUYBUYKUWEUVSUYBKZUWIBNIZUXAUYKUYNUVPUWIBGUYOUVPUVQUVRUYBXLZUVSABUWIUVQUV
      RABRZUVPUVQUVRUYQBAXMZYBXNXOUWIBUMPUYNUVPUXAUYPUXBQUWIBUWCUQPXPUWJUWIUWCX
      QPUWGUXKUYBUWGUXJUXKUXSUXMQOWKUXTUXRUYDUYEKUXTUXPUYDUXQUYEUXOUWJUWCXRUXOU
      WJUWPNXSXTYCPYAYDYEFUWCUWMBUEYFYGPYHUWEUWNUWCUWEUWNEAUWJYIZUWCEDAUWJUXIYJ
      UWEUYSUWCUWEUYDEAWHUYSUWCRUWEUYDEAUYIYKEAUWJUWCYLYMUWEFUWCUYSUWEUYGUXOUWC
      GZUXOUYSGZSUYHUYGUVTUWCUWDYNZUYTUXOUWHUWDUFZLZDUVTMZVUAUVTUWCUWDYOUYGUYTV
      UEDUVTUWCUXOUWDYPYQVUBVUDVUADUVTVUBUWHUVTGZVUCUYSGZVUDVUASVUFUWHUWIGZEAMV
      UBVUGEUWHAUUAVUBVUHVUGEAVUBEUUEEVUCUYSEAUWJUUBUUCVUBUYBVUHVUGVUBUYBVUHUCZ
      UWJUYSVUCUYBVUBUWJUYSRVUHEAUWJUUFYRVUIUWDUVTVJZUYLVUHVUCUWJGVUBUYBVUJVUHU
      VTUWCUWDUUPYSUYBVUBUYLVUHUYMYRVUBUYBVUHUUDUVTUWIUWDUWHUUGUUHUUIUUJUUKYDVU
      CUYSUXOUULUUMUUNUUQQUUOUURUUSUUTQUVAUVBUVPUVQUWAUWFSUVRUWAUVPUWFUWAUVPKUV
      TUWCHIZUWFUVPUWAUXAVUKUXBUVTBUWCUVCWGUVTUWCCUVDUVEYTYSUVFUVSUWAUWBUVPUVQU
      VRUWAUWBUVGZUVQUVRKUVPUVTBRZVULUVQUVRVUMUVQUVRUYQVUMUYRUYQUVQVUMUYQUVQUVT
      BUDZBABUVHUVQVUNBRBUVIUVJUVKYTUVLYBUVTBUVMWGUVNUVOYH $.

    $( A nonempty transitive Tarski class is a weak universe.  (Contributed by
       Mario Carneiro, 2-Jan-2017.) $)
    tskwun $p |- ( ( T e. Tarski /\ Tr T /\ T =/= (/) ) -> T e. WUni ) $=
      ( vx vy ctsk wcel wtr c0 wne w3a cwun cv cuni cpw cpr wral simp2 simp3 wi
      3ad2ant1 ralrimiva tskuni 3expa 3adantl3 tskpw 3ad2antl1 tskpr 3exp imp31
      wa 3jca wb iswun mpbir3and ) ADEZAFZAGHZIZAJEZUOUPBKZLAEZUSMAEZUSCKZNAEZC
      AOZIZBAOZUNUOUPPUNUOUPQUQVEBAUQUSAEZUIZUTVAVDUNUOVGUTUPUNUOVGUTUSAUAUBUCU
      NUOVGVAUPUSAUDUEVHVCCAUQVGVBAEZVCUNUOVGVIVCRRUPUNVGVIVCUSVBAUFUGSUHTUJTUN
      UOURUOUPVFIUKUPBCADULSUM $.
  $}

  $( The intersection of an element of a transitive Tarski class is an element
     of the class.  (Contributed by FL, 17-Apr-2011.)  (Revised by Mario
     Carneiro, 20-Sep-2014.) $)
  tskint $p |- ( ( ( T e. Tarski /\ Tr T ) /\ A e. T /\ A =/= (/) ) ->
    |^| A e. T ) $=
    ( ctsk wcel wtr wa c0 wne w3a cuni wss simp1l tskuni 3expa 3adant3 intssuni
    cint 3ad2ant3 tskss syl3anc ) BCDZBEZFZABDZAGHZIUAAJZBDZAQZUFKZUHBDUAUBUDUE
    LUCUDUGUEUAUBUDUGABMNOUEUCUIUDAPRUFUHBST $.

  $( The union of two elements of a transitive Tarski class is in the set.
     (Contributed by Mario Carneiro, 20-Sep-2014.) $)
  tskun $p |- ( ( ( T e. Tarski /\ Tr T ) /\ A e. T /\ B e. T ) ->
    ( A u. B ) e. T ) $=
    ( ctsk wcel wtr wa w3a cpr cuni cun wceq uniprg 3adant1 simp1l simp1r tskpr
    3adant1r tskuni syl3anc eqeltrrd ) CDEZCFZGZACEZBCEZHZABIZJZABKZCUEUFUIUJLU
    DABCCMNUGUBUCUHCEZUICEUBUCUEUFOUBUCUEUFPUBUEUFUKUCABCQRUHCSTUA $.

  $( The Cartesian product of two elements of a transitive Tarski class is an
     element of the class.  JFM CLASSES2 th. 67 (partly).  (Contributed by FL,
     15-Apr-2011.)  (Proof shortened by Mario Carneiro, 20-Sep-2014.) $)
  tskxp $p |- ( ( ( T e. Tarski /\ Tr T ) /\ A e. T /\ B e. T )
  -> ( A X. B ) e. T ) $=
    ( ctsk wcel wtr wa w3a cwun c0 ne0i tskwun 3expa sylan2 3adant3 simp2 simp3
    wne wunxp ) CDEZCFZGZACEZBCEZHABCUBUCCIEZUDUCUBCJRZUECAKTUAUFUECLMNOUBUCUDP
    UBUCUDQS $.

  $( Set exponentiation is an element of a transitive Tarski class.  JFM
     CLASSES2 th. 67 (partly).  (Contributed by FL, 15-Apr-2011.)  (Proof
     shortened by Mario Carneiro, 20-Sep-2014.) $)
  tskmap $p |- ( ( ( T e. Tarski /\ Tr T ) /\ A e. T /\ B e. T )
  -> ( A ^m B ) e. T ) $=
    ( ctsk wcel wtr wa w3a cwun c0 ne0i tskwun 3expa sylan2 3adant3 simp2 simp3
    wne wunmap ) CDEZCFZGZACEZBCEZHABCUBUCCIEZUDUCUBCJRZUECAKTUAUFUECLMNOUBUCUD
    PUBUCUDQS $.

  $( A transitive Tarski class is closed under small unions.  (Contributed by
     Mario Carneiro, 22-Jun-2013.) $)
  tskurn $p |- ( ( ( T e. Tarski /\ Tr T ) /\ A e. T /\ F : A --> T )
  -> U. ran F e. T ) $=
    ( ctsk wcel wtr wa wf w3a crn cuni simp1l simp1r wss csdm wbr 3ad2ant3 sylc
    syl2anc syl3anc frn cdom ccrd cdm wfo tskwe2 syl simp2 trss ssnum wfn dffn4
    ffn sylib fodomnum tsksdom domsdomtr tskssel tskuni ) BDEZBFZGZABEZABCHZIZU
    TVACJZBEZVFKBEUTVAVCVDLZUTVAVCVDMZVEUTVFBNZVFBOPZVGVHVDVBVJVCABCUAQVEVFAUBP
    ZABOPZVKVEAUCUDZEZAVFCUEZVLVEBVNEZABNZVOVEUTVQVHBUFUGVEVAVCVRVIVBVCVDUHZBAU
    IRBAUJSVDVBVPVCVDCAUKVPABCUMACULUNQAVFCUORVEUTVCVMVHVSABUPSVFABUQSVFBURTVFB
    UST $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Grothendieck universes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Univ $. $( The class of all Grothendieck universes. $)

  $( Extend class notation to include the class of all Grothendieck
     universes. $)
  cgru $a class Univ $.

  ${
    $d u x y $.
    $( A Grothendieck universe is a set that is closed with respect to all the
       operations that are common in set theory: pairs, powersets, unions,
       intersections, Cartesian products etc.  Grothendieck and alii,
       S&eacute;minaire de G&eacute;om&eacute;trie Alg&eacute;brique 4,
       Expos&eacute; I, p. 185.  It was designed to give a precise meaning to
       the concepts of categories of sets, groups...  (Contributed by Mario
       Carneiro, 9-Jun-2013.) $)
    df-gru $a |- Univ = { u | ( Tr u /\ A. x e. u ( ~P x e. u /\
      A. y e. u { x , y } e. u /\ A. y e. ( u ^m x ) U. ran y e. u ) ) } $.
  $}

  ${
    $d U u x y $.
    $( Properties of a Grothendieck universe.  (Contributed by Mario Carneiro,
       9-Jun-2013.) $)
    elgrug $p |- ( U e. V ->
      ( U e. Univ <-> ( Tr U /\ A. x e. U ( ~P x e. U /\
        A. y e. U { x , y } e. U /\ A. y e. ( U ^m x ) U. ran y e. U ) ) ) ) $=
      ( vu cv wtr cpw wcel cpr wral crn cuni cmap co w3a cgru eleq2 raleqbi1dv
      wa wceq treq oveq1 raleqbidv 3anbi123d anbi12d df-gru elab2g ) EFZGZAFZHZ
      UIIZUKBFZJZUIIZBUIKZUNLMZUIIZBUIUKNOZKZPZAUIKZTCGZULCIZUOCIZBCKZURCIZBCUK
      NOZKZPZACKZTECQDUICUAZUJVDVCVLUICUBVBVKAUICVMUMVEUQVGVAVJUICULRUPVFBUICUI
      CUORSVMUSVHBUTVIUICUKNUCUICURRUDUESUFABEUGUH $.
  $}

  ${
    $d U x y $.  $d A x y $.  $d B y $.  $d F x y $.
    $( A Grothendieck universe is transitive.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    grutr $p |- ( U e. Univ -> Tr U ) $=
      ( vx vy cgru wcel wtr cv cpw cpr wral crn cuni cmap w3a elgrug ibi simpld
      co wa ) ADEZAFZBGZHAEUBCGZIAECAJUCKLAECAUBMRJNBAJZTUAUDSBCADOPQ $.

    $( A Grothendieck universe is transitive, so each element is a subset of
       the universe.  (Contributed by Mario Carneiro, 9-Jun-2013.) $)
    gruelss $p |- ( ( U e. Univ /\ A e. U ) -> A C_ U ) $=
      ( cgru wcel wtr wss grutr trss imp sylan ) BCDBEZABDZABFZBGKLMBAHIJ $.

    $( A Grothendieck universe contains the powerset of each of its members.
       (Contributed by Mario Carneiro, 9-Jun-2013.) $)
    grupw $p |- ( ( U e. Univ /\ A e. U ) -> ~P A e. U ) $=
      ( vy vx cgru wcel cpw cv cpr wral crn cuni cmap co w3a wi wtr elgrug ibi
      wa simprd simp1 ralimi wceq pweq eleq1d rspccv 3syl imp ) BEFZABFZAGZBFZU
      JCHZGZBFZUNDHZIBFDBJZUQKLBFDBUNMNJZOZCBJZUPCBJUKUMPUJBQZVAUJVBVATCDBERSUA
      UTUPCBUPURUSUBUCUPUMCABUNAUDUOULBUNAUEUFUGUHUI $.

    $( Any subset of an element of a Grothendieck universe is also an element.
       (Contributed by Mario Carneiro, 9-Jun-2013.) $)
    gruss $p |- ( ( U e. Univ /\ A e. U /\ B C_ A ) -> B e. U ) $=
      ( cgru wcel wss wa cpw wb elpw2g adantl grupw gruelss syldan sseld 3impia
      sylbird ) CDEZACEZBAFZBCEZRSGZTBAHZEZUASUDTIRBACJKUBUCCBRSUCCEUCCFACLUCCM
      NOQP $.

    ${
      $d B x $.
      $( A Grothendieck universe contains pairs derived from its elements.
         (Contributed by Mario Carneiro, 9-Jun-2013.) $)
      grupr $p |- ( ( U e. Univ /\ A e. U /\ B e. U ) -> { A , B } e. U ) $=
        ( vx vy cgru wcel cpr cv wral wi cpw crn cuni cmap co w3a eleq1d rspccv
        wceq wtr wa elgrug ibi simprd preq2 3ad2ant2 com12 ralimdv syl5com syl6
        preq1 com23 3imp ) CFGZACGZBCGZABHZCGZUOUQUPUSUOUQDIZBHZCGZDCJZUPUSKUOU
        TLCGZUTEIZHZCGZECJZVEMNCGECUTOPJZQZDCJZUQVCUOCUAZVKUOVLVKUBDECFUCUDUEUQ
        VJVBDCVJUQVBVHVDUQVBKVIVGVBEBCVEBTVFVACVEBUTUFRSUGUHUIUJVBUSDACUTATVAUR
        CUTABULRSUKUMUN $.
    $}

    $( A Grothendieck universe contains the range of any function which takes
       values in the universe (see ~ gruiun for a more intuitive version).
       (Contributed by Mario Carneiro, 9-Jun-2013.) $)
    gruurn $p |- ( ( U e. Univ /\ A e. U /\ F : A --> U ) -> U. ran F e. U ) $=
      ( vx vy cgru wcel wf crn cuni wa cmap co elmapg wi cpw wral wceq rspccv
      cv cpr w3a wtr elgrug ibi simprd rneq unieqd eleq1d 3ad2ant3 ralimi oveq2
      eleq2d imbi1d 3syl imp sylbird 3impia ) BFGZABGZABCHZCIZJZBGZUSUTKVACBALM
      ZGZVDBACFBNUSUTVFVDOZUSDTZPBGZVHETZUABGEBQZVJIZJZBGZEBVHLMZQZUBZDBQZCVOGZ
      VDOZDBQUTVGOUSBUCZVRUSWAVRKDEBFUDUEUFVQVTDBVPVIVTVKVNVDECVOVJCRZVMVCBWBVL
      VBVJCUGUHUISUJUKVTVGDABVHARZVSVFVDWCVOVECVHABLULUMUNSUOUPUQUR $.

    $( If ` B ( x ) ` is a family of elements of ` U ` and the index set ` A `
       is an element of ` U ` , then the indexed union ` U_ x e. A B ` is also
       an element of ` U ` , where ` U ` is a Grothendieck universe.
       (Contributed by Mario Carneiro, 9-Jun-2013.) $)
    gruiun $p |- ( ( U e. Univ /\ A e. U /\ A. x e. A B e. U )
        -> U_ x e. A B e. U ) $=
      ( cgru wcel wral ciun wa cmpt crn cuni wf wfn wss eqid fnmpt rnmptss df-f
      sylanbrc gruurn 3expia syl5com dfiun3g eleq1d sylibrd com12 3impia ) DEFZ
      BDFZCDFABGZABCHZDFZUKUIUJIZUMUKUNABCJZKZLZDFZUMUKBDUOMZUNURUKUOBNUPDOUSAB
      CUODUOPZQABCDUOUTRBDUOSTUIUJUSURBDUOUAUBUCUKULUQDABCDUDUEUFUGUH $.

    $( A Grothendieck universe contains unions of its elements.  (Contributed
       by Mario Carneiro, 17-Jun-2013.) $)
    gruuni $p |- ( ( U e. Univ /\ A e. U ) -> U. A e. U ) $=
      ( vx cgru wcel wa cuni cv ciun uniiun wral wss gruelss dfss3 sylib gruiun
      mpd3an3 eqeltrid ) BDEZABEZFZAGCACHZIZBCAJSTUBBECAKZUCBEUAABLUDABMCABNOCA
      UBBPQR $.

    $( A Grothendieck universe contains the range of any function which takes
       values in the universe (see ~ gruiun for a more intuitive version).
       (Contributed by Mario Carneiro, 9-Jun-2013.) $)
    grurn $p |- ( ( U e. Univ /\ A e. U /\ F : A --> U ) -> ran F e. U ) $=
      ( cgru wcel wf w3a crn cpw wss simp1 gruurn grupw syl2anc pwuni a1i gruss
      cuni syl3anc ) BDEZABEZABCFZGZTCHZRZIZBEZUDUFJZUDBETUAUBKZUCTUEBEUGUIABCL
      UEBMNUHUCUDOPUFUDBQS $.

    $( A Grothendieck universe contains image sets drawn from its members.
       (Contributed by Mario Carneiro, 9-Jun-2013.) $)
    gruima $p |- ( ( U e. Univ /\ Fun F /\ ( F " A ) C_ U ) ->
        ( A e. U -> ( F " A ) e. U ) ) $=
      ( cgru wcel wfun cima wss w3a wa cdm cin cres wrel wceq simpl2 wf syl3anc
      crn 3syl funrel df-ima resres resdm reseq1d eqtr3id rneqd simpr inss2 a1i
      eqtr4id simpl1 gruss wfn wfo funforn fof sylbi inss1 sylancl ffn eqsstrrd
      fssres simpl3 df-f sylanbrc grurn eqeltrd ex ) BDEZCFZCAGZBHZIZABEZVLBEVN
      VOJZVLCCKZALZMZSZBVPVKCNZVLVTOVJVKVMVOPZCUAWAVLCAMZSVTCAUBWAVSWCWAVSCVQMZ
      AMWCCVQAUCWAWDCACUDUEUFUGUKTZVPVJVRBEZVRBVSQZVTBEVJVKVMVOULZVPVJVOVRAHZWF
      WHVNVOUHWIVPVQAUIUJAVRBUMRVPVSVRUNZVTBHWGVPVKVRCSZVSQZWJWBVKVQWKCQZVRVQHW
      LVKVQWKCUOWMCUPVQWKCUQURVQAUSVQWKVRCVCUTVRWKVSVATVPVTVLBWEVJVKVMVOVDVBVRB
      VSVEVFVRBVSVGRVHVI $.

    $( Any element of an element of a Grothendieck universe is also an element
       of the universe.  (Contributed by Mario Carneiro, 9-Jun-2013.) $)
    gruel $p |- ( ( U e. Univ /\ A e. U /\ B e. A ) -> B e. U ) $=
      ( cgru wcel wa gruelss sseld 3impia ) CDEZACEZBAEBCEJKFACBACGHI $.

    $( A Grothendieck universe contains the singletons of its elements.
       (Contributed by Mario Carneiro, 9-Jun-2013.) $)
    grusn $p |- ( ( U e. Univ /\ A e. U ) -> { A } e. U ) $=
      ( cgru wcel wa csn cpr dfsn2 grupr 3anidm23 eqeltrid ) BCDZABDZEAFAAGZBAH
      LMNBDAABIJK $.

    $( A Grothendieck universe contains ordered pairs of its elements.
       (Contributed by Mario Carneiro, 10-Jun-2013.) $)
    gruop $p |- ( ( U e. Univ /\ A e. U /\ B e. U ) -> <. A , B >. e. U ) $=
      ( cgru wcel w3a cop csn dfopg 3adant1 simp1 grusn 3adant3 syl3anc eqeltrd
      cpr wceq grupr ) CDEZACEZBCEZFZABGZAHZABPZPZCTUAUCUFQSABCCIJUBSUDCEZUECEU
      FCESTUAKSTUGUAACLMABCRUDUECRNO $.

    ${
      $d B x $.
      $( A Grothendieck universe contains binary unions of its elements.
         (Contributed by Mario Carneiro, 9-Jun-2013.) $)
      gruun $p |- ( ( U e. Univ /\ A e. U /\ B e. U ) -> ( A u. B ) e. U ) $=
        ( vx cgru wcel w3a cun cpr ciun cuni wceq uniprg 3adant1 uniiun eqtr3di
        cv wral simp1 eleq1a grupr vex elpr jaao syl5bi ralrimiv gruiun syl3anc
        wa wo eqeltrd ) CEFZACFZBCFZGZABHZDABIZDQZJZCUOUQKZUPUSUMUNUTUPLULABCCM
        NDUQOPUOULUQCFURCFZDUQRZUSCFULUMUNSABCUAUMUNVBULUMUNUIZVADUQURUQFURALZU
        RBLZUJVCVAURABDUBUCUMVDVAUNVEACURTBCURTUDUEUFNDUQURCUGUHUK $.
    $}

    $( A Grothendieck universe contains binary cartesian products of its
       elements.  (Contributed by Mario Carneiro, 9-Jun-2013.) $)
    gruxp $p |- ( ( U e. Univ /\ A e. U /\ B e. U ) -> ( A X. B ) e. U ) $=
      ( cgru wcel w3a cun cxp gruun cpw grupw wss xpsspw gruss mp3an3 3ad2antl1
      syldan mpdan ) CDEZACEZBCEZFABGZCEZABHZCEZABCISTUCUEUASUCUBJZCEZUEUBCKSUG
      UFJZCEZUEUFCKSUIUDUHLUEABMUHUDCNOQQPR $.

    $( A Grothendieck universe contains all powers of its elements.
       (Contributed by Mario Carneiro, 9-Jun-2013.) $)
    grumap $p |- ( ( U e. Univ /\ A e. U /\ B e. U ) -> ( A ^m B ) e. U ) $=
      ( cgru wcel w3a cxp cpw cmap wss simp1 gruxp 3com23 grupw syl2anc mapsspw
      co a1i gruss syl3anc ) CDEZACEZBCEZFZUABAGZHZCEZABIQZUFJZUHCEUAUBUCKZUDUA
      UECEZUGUJUAUCUBUKBACLMUECNOUIUDABPRUFUHCST $.

    $( A Grothendieck universe contains indexed cartesian products of its
       elements.  (Contributed by Mario Carneiro, 9-Jun-2013.) $)
    gruixp $p |- ( ( U e. Univ /\ A e. U /\ A. x e. A B e. U )
        -> X_ x e. A B e. U ) $=
      ( cgru wcel wral w3a ciun cmap cixp wss simp1 gruiun simp2 grumap syl3anc
      co ixpssmapg 3ad2ant3 gruss ) DEFZBDFZCDFABGZHZUBABCIZBJRZDFZABCKZUGLZUID
      FUBUCUDMZUEUBUFDFUCUHUKABCDNUBUCUDOUFBDPQUDUBUJUCABCDSTUGUIDUAQ $.

    $( A Grothendieck universe contains indexed intersections of its elements.
       (Contributed by Mario Carneiro, 9-Jun-2013.) $)
    gruiin $p |- ( ( U e. Univ /\ E. x e. A B e. U ) -> |^|_ x e. A B e. U ) $=
      ( cgru wcel wrex ciin nfv nfii1 nfel1 wss iinss2 gruss syl3an3 3exp com23
      cv rexlimd imp ) DEFZCDFZABGABCHZDFZUAUBUDABUAAIAUCDABCJKUAUBARBFZUDUAUBU
      EUDUEUAUBUCCLUDABCMCUCDNOPQST $.

    $( A Grothendieck universe contains all functions on its elements.
       (Contributed by Mario Carneiro, 10-Jun-2013.) $)
    gruf $p |- ( ( U e. Univ /\ A e. U /\ F : A --> U ) -> F e. U ) $=
      ( vx cgru wcel wf w3a cv cfv cop cmpt simp3 feqmptd fvex fnasrn eqtrdi wa
      crn simpl1 gruel 3expa 3adantl3 ffvelrn 3ad2antl3 syl3anc fmpttd syld3an3
      gruop grurn eqeltrd ) BEFZABFZABCGZHZCDADIZUPCJZKZLZSZBUOCDAUQLUTUODABCUL
      UMUNMNDAUQUPCOPQULUMUNABUSGUTBFUODAURBUOUPAFZRULUPBFZUQBFZURBFULUMUNVATUL
      UMVAVBUNULUMVAVBAUPBUAUBUCUNULVAVCUMABUPCUDUEUPUQBUIUFUGABUSUJUHUK $.

    $( A Grothendieck universe contains all subsets of itself that are
       equipotent to an element of the universe.  (Contributed by Mario
       Carneiro, 9-Jun-2013.) $)
    gruen $p |- ( ( U e. Univ /\ A C_ U /\ ( B e. U /\ B ~~ A ) )
        -> A e. U ) $=
      ( vy cgru wcel wss cen wbr wa wi cv wf1o wex bren wfo f1ofo w3a crn wf
      wceq simp3l forn syl fof sylan grurn syl3an3 eqeltrrd 3expia expd exlimdv
      fss syl5 com3r expdimp syl7bi impd ancoms 3impia ) CEFZACGZBCFZBAHIZJZACF
      ZVBVAVEVFKVBVAJZVCVDVFVDBADLZMZDNZVGVCVFBADOVBVAVCVJVFKVAVCJZVJVBVFVKVIVB
      VFKZDVIBAVHPZVKVLBAVHQVKVMVBVFVAVCVMVBJZVFVAVCVNRZVHSZACVOVMVPAUAVAVCVMVB
      UBBAVHUCUDVNVAVCBCVHTZVPCFVMBAVHTVBVQBAVHUEBACVHUMUFBCVHUGUHUIUJUKUNULUOU
      PUQURUSUT $.

    $( A nonempty Grothendieck universe is a weak universe.  (Contributed by
       Mario Carneiro, 2-Jan-2017.) $)
    gruwun $p |- ( ( U e. Univ /\ U =/= (/) ) -> U e. WUni ) $=
      ( vx vy cgru wcel c0 wne wa cwun wtr cuni cpw cpr wral w3a adantr adantlr
      cv grutr ralrimiva simpr gruuni grupw grupr ad4ant134 wb iswun mpbir3and
      3jca ) ADEZAFGZHZAIEZAJZUKBRZKAEZUOLAEZUOCRZMAEZCANZOZBANZUJUNUKASPUJUKUA
      ULVABAULUOAEZHZUPUQUTUJVCUPUKUOAUBQUJVCUQUKUOAUCQVDUSCAUJVCURAEUSUKUOURAU
      DUETUITUJUMUNUKVBOUFUKBCADUGPUH $.
  $}

  ${
    $d u x y A $.
    $( The intersection of a family of universes is a universe.  (Contributed
       by Mario Carneiro, 9-Jun-2013.) $)
    intgru $p |- ( ( A C_ Univ /\ A =/= (/) ) -> |^| A e. Univ ) $=
      ( vx vy vu cgru wss wa cvv wcel wtr wral sylbi ral2imi vex elint2 3imtr4g
      cv adantlr wi 3expia c0 wne cint cpw cpr crn cuni cmap co w3a simpr intex
      sylib dfss3 grutr ralimi trint syl adantr grupw ex vpwex imp r19.26 grupr
      sylbir prex sylan2b ralrimiv wf wb elmapg elvd ad2antlr intss1 fss sylan2
      ralrimiva gruurn syl5 uniex syl6ibr sylbid sylanb elgrug biimpar syl12anc
      rnex 3jca ) AEFZAUAUBZGZAUCZHIZWMJZBQZUDZWMIZWPCQZUEZWMIZCWMKZWSUFZUGZWMI
      ZCWMWPUHUIZKZUJZBWMKZWMEIZWLWKWNWJWKUKAULZUMWJWOWKWJDQZJZDAKZWOWJXLEIZDAK
      ZXNDAEUNZXOXMDAXLUOUPLDAUQURUSWJXPWKXIXQXPWKGZXHBWMXRWPWMIZGZWRXBXGXPXSWR
      WKXPXSWRXPWPXLIZDAKZWQXLIZDAKXSWRXOYAYCDAXOYAYCWPXLUTVAMDWPABNOZDWQABVBOP
      VCRXPXSXBWKXPXSGZXACWMXSXPYBWSWMIZXASYDXPYBGZWSXLIZDAKZWTXLIZDAKZYFXAYGXO
      YAGZDAKZYIYKSXOYADAVDZYLYHYJDAXOYAYHYJWPWSXLVETMVFDWSACNZODWTAWPWSVGOPVHV
      IRXTXECXFXTWSXFIZWPWMWSVJZXEWKYPYQVKZXPXSWKWNYRXKWNYRBWMWPWSHHVLVMLVNXPXS
      YQXESWKYEYQXDXLIZDAKZXEYQWPXLWSVJZDAKZYEYTYQUUADAXLAIYQWMXLFUUAXLAVOWPWMX
      LWSVPVQVRXSXPYBUUBYTSZYDYGYMUUCYNYLUUAYSDAXOYAUUAYSWPXLWSVSTMVFVHVTDXDAXC
      WSYOWHWAOWBRWCVIWIVRWDWNXJWOXIGBCWMHWEWFWG $.

    $d u U $.
    $( The intersection of a universe with a class that acts like a universe is
       another universe.  (Contributed by Mario Carneiro, 10-Jun-2013.) $)
    ingru $p |- ( ( Tr A /\ A. x e. A ( ~P x e. A /\
          A. y e. A { x , y } e. A /\ A. y ( y : x --> A -> U. ran y e. A ) ) )
        -> ( U e. Univ -> ( U i^i A ) e. Univ ) ) $=
      ( vu cgru wcel wtr cv wral wi w3a wa wss ssralv elin simplbi2 ral2imi cvv
      ax-mp cpw cpr wf crn cuni wal cin wceq ineq1 eleq1d imbi2d cmap co elgrug
      ibi trin ex inss1 inss2 syl2im im2anan9 vex mapss mp2an inex1 elmap mpan2
      fss sylbi imim1i alimi df-ral sylibr 3impa df-3an 3imtr4g syl6ibr vtoclga
      syl wb com12 ) DFGCHZAIZUAZCGZWCBIZUBZCGZBCJZWCCWFUCZWFUDUEZCGZKZBUFZLZAC
      JZMZDCUGZFGZWQEIZCUGZFGZKWQWSKEDFWTDUHZXBWSWQXCXAWRFWTDCUIUJUKWTFGZWQXAHZ
      WDXAGZWGXAGZBXAJZWKXAGZBXAWCULUMZJZLZAXAJZMZXBXDWTHZWDWTGZWGWTGZBWTJZWKWT
      GZBWTWCULUMZJZLZAWTJZMZWQXNKXDYDABWTFUNUOXOWBXEYCWPXMXOWBXEWTCUPUQYCYBAXA
      JZWPWOAXAJZXMXAWTNZYCYEKWTCURZYBAXAWTOTXACNZWPYFKWTCUSZWOAXACOTYBWOXLAXAY
      BWEWIMZWNMZXFXHMZXKMZWOXLXPXRYAYLYNKXPXRMYKYMYAWNXKXPWEXFXRWIXHXFXPWEWDWT
      CPQXRXQBXAJZWIWHBXAJZXHYGXRYOKYHXQBXAWTOTYIWIYPKYJWHBXACOTXQWHXGBXAXGXQWH
      WGWTCPQRUTVAYAXSBXJJZWNWLBXJJZXKXJXTNZYAYQKWTSGYGYSEVBZYHXAWTWCSVCVDXSBXJ
      XTOTWNWFXJGZWLKZBUFYRWMUUBBUUAWJWLUUAWCXAWFUCZWJXAWCWFWTCYTVEZAVBVFUUCYIW
      JYJWCXACWFVHVGVIVJVKWLBXJVLVMXSWLXIBXJXIXSWLWKWTCPQRUTVAVNWEWIWNVOXFXHXKV
      OVPRUTVAVSXASGXBXNVTUUDABXASUNTVQVRWA $.

    $( The wellfounded part of a universe is another universe.  (Contributed by
       Mario Carneiro, 17-Jun-2013.) $)
    wfgru $p |- ( U e. Univ -> ( U i^i U. ( R1 " On ) ) e. Univ ) $=
      ( vx vy cr1 con0 cima cuni wtr cv cpw wcel cpr wral wf crn wi wal w3a wss
      cgru cin dftr3 r1elssi mprgbir pwwf biimpi prwf ralrimiva frn rnex r1elss
      vex uniwf bitr3i sylib ax-gen a1i 3jca rgen ingru mp2an ) DEFGZHZBIZJVBKZ
      VDCIZLVBKZCVBMZVDVBVFNZVFOZGVBKZPZCQZRZBVBMATKAVBUATKPVCVDVBSBVBBVBUBVDUC
      UDVNBVBVDVBKZVEVHVMVOVEVDUEUFVOVGCVBVDVFUGUHVMVOVLCVIVJVBSZVKVDVBVFUIVPVJ
      VBKVKVJVFCULUJUKVJUMUNUOUPUQURUSBCVBAUTVA $.

    $d B x y $.  $d U x y $.
    $( Each ordinal that is comparable with an element of the universe is in
       the universe.  (Contributed by Mario Carneiro, 10-Jun-2013.) $)
    grudomon $p |- ( ( U e. Univ /\ A e. On /\ ( B e. U /\ A ~<_ B ) ) ->
        A e. U ) $=
      ( vx vy wcel cdom wbr wa con0 wi wceq breq1 eleq1 imbi12d imbi2d wral cvv
      cv wss cgru r19.21v w3a simpl1 vex onelss ssdomg mpsyl sylan simplr domtr
      imp syl2anc pm2.27 syl ralimdva dfss3 cen wb domeng 3ad2ant3 biimpa gruss
      wex simpl2 3expia 3adant1 adantr ensym anim12d1 ancomsd eximdv gruen 3exp
      3com23 exlimdv sylsyld mpd syl5bir ex com23 3expib a2d syl5bi tfis3 com3l
      syld impr 3impia ) CUAFZBCFZABGHZIZAJFZACFZWJWMWNWOWJWKWLWNWOKWNWJWKIZWLW
      OWPDSZBGHZWQCFZKZKZWPESZBGHZXBCFZKZKZWPWLWOKZKDEAWQXBLZWTXEWPXHWRXCWSXDWQ
      XBBGMWQXBCNOPWQALZWTXGWPXIWRWLWSWOWQABGMWQACNOPXFEWQQWPXEEWQQZKWQJFZXAWPX
      EEWQUBXKWPXJWTXKWJWKXJWTKXKWJWKUCZWRXJWSXLWRXJWSKXLWRIZXJXDEWQQZWSXMXEXDE
      WQXMXBWQFZIZXCXEXDKXPXBWQGHZWRXCXMXKXOXQXKWJWKWRUDWQRFXKXOIXBWQTZXQDUEXKX
      OXRWQXBUFULXBWQRUGUHUIXLWRXOUJXBWQBUKUMXCXDUNUOUPXNWQCTZXMWSEWQCUQXMWQXBU
      RHZXBBTZIZEVDZXSWSKZXLWRYCWKXKWRYCUSWJEWQBCUTVAVBXMWJYCXDXBWQURHZIZEVDYDX
      KWJWKWRVEXMYBYFEXMYAXTYFXMYAXDXTYEXLYAXDKZWRWJWKYGXKWJWKYAXDBXBCVCVFVGVHW
      QXBVIVJVKVLWJYFYDEWJYFXSWSWJXSYFWSWQXBCVMVOVNVPVQVRVSWGVTWAWBWCWDWEWFWHWI
      VO $.
  $}

  ${
    $d A x y $.  $d U x y $.
    gruina.1 $e |- A = ( U i^i On ) $.
    $( If a Grothendieck universe ` U ` is nonempty, then the height of the
       ordinals in ` U ` is a strongly inaccessible cardinal.  (Contributed by
       Mario Carneiro, 17-Jun-2013.) $)
    gruina $p |- ( ( U e. Univ /\ U =/= (/) ) -> A e. Inacc ) $=
      ( vx vy wcel c0 wne wa cfv wceq csdm wbr wral con0 wss adantr cen sylancr
      sylc cgru ccf cv cpw cina wex wi n0 cin gruss mp3an3 0elon elin sylanblrc
      0ss eleqtrrdi ne0d expcom exlimiv sylbi impcom word cvv wtr cep wwe grutr
      wn tron trin sylancl inss2 epweon wess mp2 df-ord elon2 sylanbrc eqeltrid
      inex1g eloni ordirr syl biimpri mtod ccrd cuni cab cint wlim wrex eqsstri
      inss1 sseli cdom vpwex canth2 pwex cardid ensymi grupw syldan endom ax-mp
      com cardon mp3an2 mpanr2 onelss ssdomg endomtr sdomdomtr sylan2 ralrimiva
      grudomon inawinalem winainflem syl3anc wb vex sdomtr iscard cardlim sseq2
      limeq bibi12d mpbii mpbid cflm syl2anc eleq1 mpbiri abssi eqeltrrdi intex
      fvex sylibr onint eqeltrd eqeq1 anbi1d exbidv elab simp2rr simp1l simp2rl
      sylib sstrdi 3ad2ant3 simp2l eqbrtrdi gruen syl112anc gruuni 3exp exlimdv
      w3a mpd wo cfon cfle onsseleq mpan ord elina syl3anbrc ) BUAFZBGHZIZAGHZA
      UBJZAKZDUCZUDZALMZDANZAUEFUVHUVGUVJUVHUVMBFZDUFUVGUVJUGZDBUHUVQUVRDUVGUVQ
      UVJUVGUVQIZAGUVSGBOUIZAUVSGBFZGOFGUVTFUVGUVQGUVMPUWAUVMUOUVMGBUJUKULGBOUM
      UNCUPUQURUSUTVAZUVIAOFZUVKAFZVHUVLUVGUWCUVHUVGAUVTOCUVGUVTVBZUVTVCFUVTOFU
      VGUVTVDZUVTVEVFZUWEUVGBVDOVDUWFBVGVIBOVJVKUVTOPOVEVFUWGBOVLVMUVTOVEVNVOUV
      TVPUNBOUAVTUVTVQVRVSZQZUVIUWDABFZUVIUWCUWJVHUWIUWCUWJAAFZUWCAVBUWKVHAWAAW
      BWCUWJUWCUWKUWJUWCIZAUVTAAUVTFUWLABOUMWDCUPURWEWCUVIUVKEUCZWFJZKZUWMAPZAU
      WMWGZKZIZIZEUFZUWDUWJUGZUVIUVKUVMUWNKZUWSIZEUFZDWHZFUXAUVIUVKUXFWIZUXFUVI
      UWCAWJZUVKUXGKUWIUVIXEAPZUXHUVIUVJUWCUVMUWMLMEAWKDANZUXIUWBUWIUVGUXJUVHUV
      GUWCUVPUXJUWHUVGUVODAUVMAFZUVGUVQUVOABUVMAUVTBCBOWMWLZWNUVSUVNUVNUDZLMUXM
      AWOMZUVOUVNDWPZWQUVSUXMUXMWFJZRMUXPAWOMZUXNUXPUXMUXMUVNUXOWRWSZWTUVSUWCUX
      PAPZUXQUVGUWCUVQUWHQUVGUVQUXMBFZUXSUVGUVQUVNBFUXTUVMBXAUVNBXAXBUVGUXTIZUW
      CUXPAFZUXSUVGUWCUXTUWHQUYAUXPBFZUXPOFZUYBUVGUXTUXPUXMWOMZUYCUXPUXMRMUYEUX
      RUXPUXMXCXDUVGUYDUXTUYEIUYCUXMXFZUXPUXMBXOXGXHUYFUYCUYDIZUXPUVTAUXPUVTFUY
      GUXPBOUMWDCUPVKAUXPXITXBUXPAOXJTUXMUXPAXKSUVNUXMAXLSXMZXNZDEAXPTQDEAXQXRU
      VGUXIUXHXSZUVHUVGAWFJZAKZUYJUVGUWCUVMALMZDANUYLUWHUVGUYMDAUVGUXKIUVMUVNLM
      UVOUYMUVMDXTWQUYHUVMUVNAYASXNDAYBVRUYLXEUYKPZUYKWJZXSUYJAYCUYLUYNUXIUYOUX
      HUYKAXEYDUYKAYEYFYGWCQYHDEAOYIYJZUVIUXFOPUXFGHZUXGUXFFUXEDOUXDUVMOFZEUXCU
      YRUWSUXCUYRUWNOFUWMXFUVMUWNOYKYLQUSYMUVIUXGVCFUYQUVIUXGUVKVCUYPAUBYPZYNUX
      FYOYQUXFYRSYSUXEUXADUVKUYSUVMUVKKZUXDUWTEUYTUXCUWOUWSUVMUVKUWNYTUUAUUBUUC
      UUGUVIUWTUXBEUVIUWTUWDUWJUVIUWTUWDUUQZAUWQBUWPUWRUWOUVIUWDUUDVUAUVGUWMBFZ
      UWQBFUVGUVHUWTUWDUUEZVUAUVGUWMBPUVKBFZUVKUWMRMVUBVUCVUAUWMABUWPUWRUWOUVIU
      WDUUFUXLUUHUWDUVIVUDUWTABUVKUXLWNUUIVUAUVKUWNUWMRUVIUWOUWSUWDUUJUWMEXTWSU
      UKUWMUVKBUULUUMUWMBUUNYJYSUUOUUPUURWEUWCUWDUVLUVKOFZUWCUWDUVLUUSZAUUTVUEU
      WCIUVKAPVUFAUVAUVKAUVBYGUVCUVDTUVGUVPUVHUYIQDAUVEUVF $.

    $( A characterization of Grothendieck universes, part 1.  (Contributed by
       Mario Carneiro, 23-Jun-2013.) $)
    grur1a $p |- ( U e. Univ -> ( R1 ` A ) C_ U ) $=
      ( vx vy wcel cr1 cfv wss c0 wceq wi con0 fveq2 3syl wa sseli eleq1 eleq1d
      wral cin inss1 eqsstri sseq2 mpbii ss0 r10 eqtrdi 0ss eqsstrdi a1i wne cv
      cgru ciun cina cwina gruina inawina wlim winalim r1lim syl2anc inss2 csuc
      winaon imbi12d simpr elelsuc word wb sylan2 eloni ordsucelsuc syl5ibr mpd
      ne0d grupw ex adantr r1suc biimprcd syl6 embantd com23 com4r ontr1 pm2.27
      cpw expd com3r sylc imp ralimdva gruiun syld cvv vex mpan biimprd sylan9r
      3expia exp32 com34 tfinds2 impcom gruelss syldan ralrimiva sylibr eqsstrd
      iunss pm2.61dne ) BUNFZAGHZBIZBJBJKZXPLXNXQAJIZAJKZXPXQABIXRABMUAZBCBMUBU
      CZBJAUDUEAUFXSXOJBXSXOJGHZJAJGNUGUHBUIUJOUKXNBJULZXPXNYCPZXODADUMZGHZUOZB
      YDAUPFZAUQFZXOYGKZABCURZAUSZYIAMFZAUTYJAVFZAVADAMVBVCOXNYGBIZYCXNYFBIZDAT
      YOXNYPDAXNYEAFZYFBFZYPYQXNYRYQYEMFZXNYRLAMYEAXTMCBMVDUCQYSXNYQYRYQYRLJAFZ
      JBFZLZEUMZAFZUUCGHZBFZLZUUCVEZAFZUUHGHZBFZLXNDEYEJKZYQYTYRUUAYEJARUULYFJB
      UULYFYBJYEJGNUGUHSVGYEUUCKZYQUUDYRUUFYEUUCARUUMYFUUEBYEUUCGNSVGYEUUHKZYQU
      UIYRUUKYEUUHARUUNYFUUJBYEUUHGNSVGUUBXNABJYAQUKXNUUGUUIUUCMFZUUKXNUUIUUGUU
      OUUKLZXNUUIUUGUUPLXNUUIPZUUDUUFUUPUUQUUIUUDXNUUIVHUUIUUDUUQUUHAVEFZUUHAVI
      UUQYMAVJUUDUURVKUUIXNYCYMUUIBUUHABUUHYAQVQYDYHYIYMYKYLYNOZVLAVMUUCAVNOVOV
      PUUQUUFUUEWIZBFZUUPXNUUFUVALUUIXNUUFUVAUUEBVRVSVTUUOUUKUVAUUOUUJUUTBUUCWA
      SWBWCWDVSWEWFYEUTZXNYQUUGEYETZYRUVBXNYQUVCYRLXNYQPZUVCEYEUUEUOZBFZUVBYRUV
      DUVCUUFEYETZUVFUVDUUGUUFEYEUVDUUCYEFZUUGUUFLZUVDYQYMUVHUVILXNYQVHYQXNYCYM
      YQBYEABYEYAQZVQUUSVLYMUVHYQUVIYMUVHYQUVIYMUVHYQPUUDUVIUUCYEAWGUUDUUFWHWCW
      JWKWLWMWNYQXNYEBFZUVGUVFLUVJXNUVKUVGUVFEYEUUEBWOXBVLWPUVBYRUVFUVBYFUVEBYE
      WQFUVBYFUVEKDWREYEWQVBWSSWTXAXCXDXEWKVPXFYFBXGXHXIDAYFBXLXJVTXKVSXM $.

    $( A characterization of Grothendieck universes, part 2.  (Contributed by
       Mario Carneiro, 24-Jun-2013.) $)
    grur1 $p |- ( ( U e. Univ /\ U e. U. ( R1 " On ) ) -> U = ( R1 ` A ) ) $=
      ( vy vx wcel cr1 con0 wa cfv wss wn crnk wceq wi syl cvv ad2ant2r wbr ccf
      cgru cima cuni cv wrex wex nss fveqeq2 rspcev ad2antrl ctc simplr r1elssi
      ex simprl sseld sylc tcrank eleq2d wtr gruelss grutr adantr tcmin syl2anc
      vex ax-mp wfun wf rankf ffun fvelima mpan ssrexv syl2im sylbid simprr cdm
      wo wb cina cwina c0 wne ne0i gruina sylan2 inawina winaon 3syl wfn r1fnon
      fndm eleqtrrdi rankr1ag mtbid w3o rankon word eloni syl2an sylancr 3orass
      ordtri3or sylib ord mpjaod exlimdv syl5bi cdom simpll fveq2 ad2antll csdm
      mpd cpw wral elina simp2bi eqtrd rankcf fvex domtri mp2an mpbir eqbrtrrdi
      grudomon syl112anc elin biimpri ordirr adantl pm2.21dd rexlimdvaa pm2.18d
      cin syld grur1a eqssd ) BUAFZBGHUBUCZFZIZBAGJZUUCBUUDKZUUCUUELZDUDZMJZANZ
      DBUEZUUEUUFEUDZBFZUUKUUDFZLZIZEUFUUCUUJEBUUDUGUUCUUOUUJEUUCUUOUUJUUCUUOIZ
      UUKMJZANZUUJAUUQFZUULUURUUJOUUCUUNUULUURUUJUUIUURDUUKBUUGUUKAMUHUIUNUJUUP
      UUSAMUUKUKJZUBZFZUUJUUPUUQUVAAUUPUUKUUAFZUUQUVANUUPUUBUULUVCYTUUBUUOULUUC
      UULUUNUOUUBBUUAUUKBUMUPUQZUUKURPUSYTUULUVBUUJOUUBUUNYTUULIZUUTBKZUVBUUIDU
      UTUEZUUJUVEUUKBKZBUTZUVFUUKBVAYTUVIUULBVBVCUUKQFUVHUVIIUVFOEVFUUKBQVDVGVE
      MVHZUVBUVGUUAHMVIUVJVJUUAHMVKVGDAUUTMVLVMUUIDUUTBVNVORVPUUPUUQAFZLZUURUUS
      VSZUUPUUMUVKUUCUULUUNVQUUPUVCAGVRZFZUUMUVKVTUVDYTUULUVOUUBUUNUVEAHUVNUVEA
      WAFZAWBFZAHFZUULYTBWCWDZUVPBUUKWEABCWFZWGAWHZAWIZWJZGHWKUVNHNWLHGWMVGWNRU
      UKAWOVEWPYTUULUVLUVMOUUBUUNUVEUVKUVMUVEUVKUURUUSWQZUVKUVMVSUVEUUQHFZUVRUW
      DUUKWRUWCUWEUUQWSAWSZUWDUVRUUQWTAWTZUUQAXDXAXBUVKUURUUSXCXEXFRXOXGUNXHXIU
      UCUUIUUEDBUUCUUGBFZUUIIZIZABFZUVRUUEUWJYTUVRUWHAUUGXJSUWKYTUUBUWIXKUWJUVP
      UVQUVRYTUWHUVPUUBUUIUWHYTUVSUVPBUUGWEUVTWGRZUWAUWBWJZUUCUWHUUIUOUWJAUUHTJ
      ZUUGXJUWJUWNATJZAUUIUWNUWONUUCUWHUUHATXLXMUWJUVPUWOANZUWLUVPAWCWDUWPUUKXP
      AXNSEAXQEAXRXSPXTUWNUUGXJSZUUGUWNXNSLZUUGYAUWNQFUUGQFUWQUWRVTUUHTYBDVFUWN
      UUGQQYCYDYEYFAUUGBYGYHUWMUWKUVRIZAAFZUUEUWSABHYPZAAUXAFUWSABHYIYJCWNUVRUW
      TLZUWKUVRUWFUXBUWGAYKPYLYMVEYNYQYOYTUUDBKUUBABCYRVCYS $.
  $}

  ${
    $d T x y $.
    $( Grothendieck universes are the same as transitive Tarski classes, part
       one: a transitive Tarski class is a universe.  (The hard work is in
       ~ tskuni .)  (Contributed by Mario Carneiro, 17-Jun-2013.) $)
    grutsk1 $p |- ( ( T e. Tarski /\ Tr T ) -> T e. Univ ) $=
      ( vx vy ctsk wcel wtr wa cgru cv cpw cpr wral crn cuni cmap w3a ralrimiva
      co adantlr wb simpr tskpw tskpr 3expa wf elmapg tskurn 3expia sylbid 3jca
      ralrimiv elgrug adantr mpbir2and ) ADEZAFZGZAHEZUPBIZJAEZUSCIZKAEZCALZVAM
      NAEZCAUSORZLZPZBALZUOUPUAUQVGBAUQUSAEZGZUTVCVFUOVIUTUPUSAUBSUOVIVCUPUOVIG
      VBCAUOVIVAAEVBUSVAAUCUDQSVJVDCVEVJVAVEEZUSAVAUEZVDUOVIVKVLTUPAUSVADAUFSUQ
      VIVLVDUSAVAUGUHUIUKUJQUOURUPVHGTUPBCADULUMUN $.
  $}

  ${
    $d x y $.
    $( Grothendieck universes are the same as transitive Tarski classes.  (The
       proof in the forward direction requires Foundation.)  (Contributed by
       Mario Carneiro, 24-Jun-2013.) $)
    grutsk $p |- Univ = { x e. Tarski | Tr x } $=
      ( vy cgru cv wtr ctsk crab wcel wa c0 wceq 0tsk eleq1 mpbiri a1i wne con0
      wi cin cr1 cfv cima cuni cvv vex unir1 eleqtrri grur1 mpan2 adantr gruina
      eqid cina inatsk syl eqeltrd ex pm2.61dne grutr grutsk1 impbii treq elrab
      jca bitr4i eqriv ) BCADZEZAFGZBDZCHZVJFHZVJEZIZVJVIHVKVNVKVLVMVKVLVJJVJJK
      ZVLRVKVOVLJFHLVJJFMNOVKVJJPZVLVKVPIZVJVJQSZTUAZFVKVJVSKZVPVKVJTQUBUCZHVTV
      JUDWABUEUFUGVRVJVRULZUHUIUJVQVRUMHVSFHVRVJWBUKVRUNUOUPUQURVJUSVDVJUTVAVHV
      MAVJFVGVJVBVCVEVF $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  ZFC Set Theory plus the Tarski-Grothendieck Axiom
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Introduce the Tarski-Grothendieck Axiom
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w v u $.
    $( The Tarski-Grothendieck Axiom.  For every set ` x ` there is an
       inaccessible cardinal ` y ` such that ` y ` is not in ` x ` .  The
       addition of this axiom to ZFC set theory provides a framework for
       category theory, thus for all practical purposes giving us a complete
       foundation for "all of mathematics".  This version of the axiom is used
       by the Mizar project
       ( ~ http://www.mizar.org/JFM/Axiomatics/tarski.html ).  Unlike the ZFC
       axioms, this axiom is very long when expressed in terms of primitive
       symbols (see ~ grothprim ).  An open problem is finding a shorter
       equivalent.  (Contributed by NM, 18-Mar-2007.) $)
    ax-groth $a |- E. y ( x e. y /\ A. z e. y ( A. w ( w C_ z -> w e. y ) /\
                       E. w e. y A. v ( v C_ z -> v e. w ) ) /\
                     A. z ( z C_ y -> ( z ~~ y \/ z e. y ) ) ) $.

    $( The Tarski-Grothendieck axiom using abbreviations.  (Contributed by NM,
       22-Jun-2009.) $)
    axgroth5 $p |- E. y ( x e. y /\ A. z e. y ( ~P z C_ y
             /\ E. w e. y ~P z C_ w ) /\ A. z e. ~P y ( z ~~ y \/ z e. y ) ) $=
      ( vv wel cv cpw wss wrex wa wral cen wbr wo w3a wex wi wal pwss biid wcel
      ax-groth rexbii anbi12i ralbii df-ral velpw imbi1i albii bitri 3anbi123i
      exbii mpbir ) ABFZCGZHZBGZIZUQDGZIZDURJZKZCURLZUPURMNCBFOZCURHZLZPZBQUOUT
      UPIDBFRDSZEGUPIEDFRESZDURJZKZCURLZUPURIZVERZCSZPZBQABCDEUCVHVQBUOUOVDVMVG
      VPUOUAVCVLCURUSVIVBVKDUPURTVAVJDUREUPUTTUDUEUFVGUPVFUBZVERZCSVPVECVFUGVSV
      OCVRVNVECURUHUIUJUKULUMUN $.

    $( Alternate version of the Tarski-Grothendieck Axiom.  (Contributed by NM,
       18-Mar-2007.) $)
    axgroth2 $p |- E. y ( x e. y /\ A. z e. y ( A. w ( w C_ z -> w e. y ) /\
                       E. w e. y A. v ( v C_ z -> v e. w ) ) /\
                     A. z ( z C_ y -> ( y ~<_ z \/ z e. y ) ) ) $=
      ( wel cv wss wi wal wrex wa wral cdom wbr wo w3a wex cen ax-groth cvv elv
      ssdomg biantrurd sbthb bitrdi orbi1d pm5.74i albii 3anbi3i exbii mpbir )
      ABFZDGCGZHDBFIDJEGUNHEDFIEJDBGZKLCUOMZUNUOHZUOUNNOZCBFZPZIZCJZQZBRUMUPUQU
      NUOSOZUSPZIZCJZQZBRABCDETVCVHBVBVGUMUPVAVFCUQUTVEUQURVDUSUQURUNUONOZURLVD
      UQVIURUQVIIBUNUOUAUCUBUDUNUOUEUFUGUHUIUJUKUL $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derive the Power Set, Infinity and Choice Axioms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

    $( Derive the Axiom of Power Sets ~ ax-pow from the Tarski-Grothendieck
       axiom ~ ax-groth .  That it follows is mentioned by Bob Solovay at
       ~ http://www.cs.nyu.edu/pipermail/fom/2008-March/012783.html .  Note
       that ~ ax-pow is not used by the proof.  (Contributed by G&eacute;rard
       Lang, 22-Jun-2009.)  (New usage is discouraged.) $)
    grothpw $p |- E. y A. z ( A. w ( w e. z -> w e. x ) -> z e. y ) $=
      ( cv cpw cvv wcel wel wi wal wex wss wrex wa wral cen wbr wo w3a weq pweq
      ralimi sseq1d rspccv syl anim2i 3adant3 pm3.35 vex ssex axgroth5 exlimiiv
      simpl 3syl axpweq mpbi ) AEZFZGHZDCIDAIJDKCBIZJCKBLABIZCEZFZBEZMZVDDEMDVE
      NZOZCVEPZVCVEQRVASCVEFPZTZUTBVKVBVBUSVEMZJZOZVLUTVBVIVNVJVIVMVBVIVFCVEPVM
      VHVFCVEVFVGUNUCVFVLCURVECAUAVDUSVEVCURUBUDUEUFUGUHVBVLUIUSVEBUJUKUOABCDUL
      UMBCDURUPUQ $.

    $( Derive the Axiom of Power Sets from the Tarski-Grothendieck axiom
       ~ ax-groth .  Note that ~ ax-pow is not used by the proof.  Use ~ axpweq
       to obtain ~ ax-pow .  Use ~ pwex or ~ pwexg instead.  (Contributed by
       G&eacute;rard Lang, 22-Jun-2009.)  (New usage is discouraged.) $)
    grothpwex $p |- ~P x e. _V $=
      ( vy vz vw cv wcel cpw wss wrex wa cen wbr wo w3a cvv wi simpl ralimi weq
      wral pweq sseq1d rspccv anim2i 3adant3 pm3.35 ssex 3syl axgroth5 exlimiiv
      syl vex ) AEZBEZFZCEZGZUNHZUQDEHDUNIZJZCUNTZUPUNKLUPUNFMCUNGTZNZUMGZOFZBV
      CUOUOVDUNHZPZJZVFVEUOVAVHVBVAVGUOVAURCUNTVGUTURCUNURUSQRURVFCUMUNCASUQVDU
      NUPUMUAUBUCUKUDUEUOVFUFVDUNBULUGUHABCDUIUJ $.

    $( The Tarski-Grothendieck axiom using abbreviations.  This version is
       called Tarski's axiom: given a set ` x ` , there exists a set ` y `
       containing ` x ` , the subsets of the members of ` y ` , the power sets
       of the members of ` y ` , and the subsets of ` y ` of cardinality less
       than that of ` y ` .  (Contributed by NM, 21-Jun-2009.) $)
    axgroth6 $p |- E. y ( x e. y /\ A. z e. y ( ~P z C_ y /\ ~P z e. y )
                   /\ A. z e. ~P y ( z ~< y -> z e. y ) ) $=
      ( vw vv wel cv cpw wss wcel wa wral wbr wi w3a wex wb wceq pweq sylbi cen
      csdm wrex wo axgroth5 biid sseq1d cbvralvw ssid sseq2 rspcev mpan2 rspccv
      pwss vpwex sseq1 eleq1 imbi12d spcv syl6 rexlimdv impbid2 ralbidv pm5.32i
      wal r19.26 3bitr4i velpw cdom impexp cvv ssdomg elv pm4.71i imbi1i brsdom
      wn bitri imbi2i 3bitr4ri pm5.74ri pm4.64 bitrdi ralbiia 3anbi123i exbii
      mpbir ) ABFZCGZHZBGZIZWJWKJZKCWKLZWIWKUBMZCBFZNZCWKHZLZOZBPWHWLWJDGZIZDWK
      UCZKCWKLZWIWKUAMZWPUDZCWRLZOZBPABCDUEWTXHBWHWHWNXDWSXGWHUFWLCWKLZWMCWKLZK
      XIXCCWKLZKWNXDXIXJXKXIEGZHZWKIZEWKLZXJXKQWLXNCEWKWIXLRWJXMWKWIXLSUGUHXOWM
      XCCWKXOWMXCWMWJWJIZXCWJUIXBXPDWJWKXAWJWJUJUKULXOXBWMDWKXODBFXAHZWKIZXBWMN
      ZXNXREXAWKXLXARXMXQWKXLXASUGUMXRXLXAIZEBFZNZEVEXSEXAWKUNYBXSEWJCUOXLWJRXT
      XBYAWMXLWJXAUPXLWJWKUQURUSTUTVAVBVCTVDWLWMCWKVFWLXCCWKVFVGWQXFCWRWIWRJWIW
      KIZWQXFQCWKVHYCWQXEVQZWPNZXFYCWQYEYCWIWKVIMZKZYENYCYFYENZNYCYENYCWQNYCYFY
      EVJYCYGYEYCYFYCYFNBWIWKVKVLVMVNVOWQYHYCWQYFYDKZWPNYHWOYIWPWIWKVPVOYFYDWPV
      JVRVSVTWAXEWPWBWCTWDWEWFWG $.

    $( The Tarski-Grothendieck Axiom implies the Axiom of Infinity (in the form
       of ~ omex ).  Note that our proof depends on neither the Axiom of
       Infinity nor Regularity.  (Contributed by Mario Carneiro, 19-Apr-2013.)
       (New usage is discouraged.) $)
    grothomex $p |- _om e. _V $=
      ( vy vz vw vx com cr1 cvv wcel con0 wss mp2an c0 cpw wral cfv wceq eleq1d
      cv wa wi cima cres wf1 wf1o r111 omsson f1ores f1of1 ax-mp wel wfn r1fnon
      wrex wb fvelimab csuc fveq2 weq r10 eleq1i biimpri adantr pweq nnon r1suc
      rspccv syl biimprcd syl6 com3r adantld finds2 eleq1 biimpd rexlimiv sylbi
      syl9 com12 ssrdv vex ssex wex 0ex anbi1d exbidv csdm wbr w3a simpr ralimi
      axgroth6 anim2i 3adant3 eximii vtocl exlimiiv f1dmex ) EFEUAZFEUBZUCZWRGH
      ZEGHEWRWSUDZWTIGFUCEIJZXBUEUFIGEFUGKEWRWSUHUILARZHZBRZMZXDHZBXDNZSZXAAXJW
      RXDJXAXJCWRXDCRZWRHZXJCAUJZXLDRZFOZXKPZDEUMZXJXMTZFIUKXCXLXQUNULUFDIEXKFU
      OKXPXRDEXNEHXJXOXDHZXPXMXSLFOZXDHZXKFOZXDHZXKUPZFOZXDHZXJDCXNLPZXOXTXDXNL
      FUQQDCURXOYBXDXNXKFUQQXNYDPXOYEXDXNYDFUQQXEYAXIYAXEXTLXDUSUTVAVBXKEHZXIYC
      YFTXEXIYCYHYFXIYCYBMZXDHZYHYFTXHYJBYBXDXFYBPXGYIXDXFYBVCQVFYHYFYJYHYEYIXD
      YHXKIHYEYIPXKVDXKVEVGQVHVIVJVKVLXPXSXMXOXKXDVMVNVQVOVPVRVSWRXDAVTWAVGDAUJ
      ZXISZAWBXJAWBDLWCYGYLXJAYGYKXEXIXNLXDVMWDWEYKXGXDJZXHSZBXDNZXFXDWFWGBAUJT
      BXDMNZWHYLADABWKYKYOYLYPYOXIYKYNXHBXDYMXHWIWJWLWMWNWOWPEWRGWSWQK $.

    $( The Tarski-Grothendieck Axiom implies the Axiom of Choice (in the form
       of ~ cardeqv ).  This can be put in a more conventional form via ~ ween
       and ~ dfac8 .  Note that the mere existence of strongly inaccessible
       cardinals doesn't imply AC, but rather the particular form of the
       Tarski-Grothendieck axiom (see
       ~ http://www.cs.nyu.edu/pipermail/fom/2008-March/012783.html ).
       (Contributed by Mario Carneiro, 19-Apr-2013.)
       (New usage is discouraged.) $)
    grothac $p |- dom card = _V $=
      ( vy vu vx ccrd cdm cvv cv wcel cpw wss wa wral csdm wbr wi w3a crab cdom
      vex syl2im pweq sseq1d eleq1d anbi12d rspcva simpld rabss biimpri sdomdom
      weq canth2 ax-mp ssdomg elv domtr sylancr tskwe mpan numdom expcom 3impia
      axgroth6 exlimiiv 2th eqriv ) ADEZFAGZVFHZVGFHVGBGZHZCGZIZVIJZVLVIHZKZCVI
      LZVKVIMNZVKVIHOCVIIZLZPVHBVJVPVSVHVJVPKZVGIZVIJZVSVQCVRQVIJZVHVTWBWAVIHZV
      OWBWDKCVGVICAUJZVMWBVNWDWEVLWAVIVKVGUAZUBWEVLWAVIWFUCUDUEUFWCVSVQCVRVIUGU
      HWBVGVIRNZWCVIVFHZVHWBVGWARNZWAVIRNZWGVGWAMNWIVGASZUKVGWAUIULWBWJOBWAVIFU
      MUNVGWAVIUOUPVIFHWCWHBSCVIFUQURWHWGVHVIVGUSUTTTVAABCVBVCWKVDVE $.

    $( Alternate version of the Tarski-Grothendieck Axiom. ~ ax-cc is used to
       derive this version.  (Contributed by NM, 26-Mar-2007.) $)
    axgroth3 $p |- E. y ( x e. y /\ A. z e. y ( A. w ( w C_ z -> w e. y ) /\
                       E. w e. y A. v ( v C_ z -> v e. w ) ) /\
                     A. z ( z C_ y -> ( ( y \ z ) ~<_ z \/ z e. y ) ) ) $=
      ( wel cv wss wi wal wrex wa wral cdom wbr wo w3a wex wb wcel axgroth2 weq
      cdif cuni ssid elequ1 imbi12d spvv mpi reximi eluni2 sylibr adantl ralimi
      sseq1 dfss3 ccrd cdm com cvv vex grothac eleqtrri wne ne0i dominf infdif2
      c0 sylan mp3an12i orbi1d imbi2d albidv sylan2 pm5.32i 3bitr4i exbii mpbir
      df-3an ) ABFZDGCGZHDBFIDJZEGZWAHZEDFZIZEJZDBGZKZLZCWHMZWAWHHZWHWAUCWANOZC
      BFZPZIZCJZQZBRVTWKWLWHWANOZWNPZIZCJZQZBRABCDEUAWRXCBVTWKLZWQLXDXBLWRXCXDW
      QXBWKVTWHWHUDZHZWQXBSWKWAXETZCWHMXFWJXGCWHWIXGWBWICDFZDWHKXGWGXHDWHWGWAWA
      HZXHWAUEWFXIXHIECECUBWDXIWEXHWCWAWAUOECDUFUGUHUIUJDWAWHUKULUMUNCWHXEUPULV
      TXFLZWPXACXJWOWTWLXJWMWSWNWHUQURZTWAXKTXJUSWHNOZWMWSSWHUTXKBVAZVBVCWAUTXK
      CVAVBVCVTWHVHVDXFXLWHAGVEWHXMVFVIWHWAVGVJVKVLVMVNVOVTWKWQVSVTWKXBVSVPVQVR
      $.

    $( Alternate version of the Tarski-Grothendieck Axiom. ~ ax-ac is used to
       derive this version.  (Contributed by NM, 16-Apr-2007.) $)
    axgroth4 $p |- E. y ( x e. y /\ A. z e. y E. v e. y A. w ( w C_ z ->
    w e. ( y i^i v ) ) /\ A. z ( z C_ y -> ( ( y \ z ) ~<_ z \/ z e. y ) ) ) $=
      ( vu wel cv wss wi wal wrex wa wral cdif w3a wex weq anbi2i 3bitr2i sseq1
      cdom wbr wo cin wcel axgroth3 elequ2 imbi2d albidv r19.42v elequ1 imbi12d
      cbvalvw 19.26 pm4.76 elin imbi2i bitr4i albii rexbii ralbii 3anbi2i exbii
      cbvrexvw mpbi ) ABGZDHZCHZIZDBGZJZDKZFHZVIIZFDGZJZFKZDBHZLZMZCVSNZVIVSIVS
      VIOVIUBUCCBGUDJCKZPZBQVGVJVHVSEHZUEUFZJZDKZEVSLZCVSNZWCPZBQABCDFUGWDWKBWB
      WJVGWCWAWICVSWAVMVOFEGZJZFKZEVSLZMVMWNMZEVSLWIVTWOVMVRWNDEVSDERZVQWMFWQVP
      WLVODEFUHUIUJVESVMWNEVSUKWPWHEVSWPVMVJDEGZJZDKZMVLWSMZDKWHWNWTVMWMWSFDFDR
      VOVJWLWRVNVHVIUAFDEULUMUNSVLWSDUOXAWGDXAVJVKWRMZJWGVJVKWRUPWFXBVJVHVSWEUQ
      URUSUTTVATVBVCVDVF $.
  $}

  ${
    $d x y z w v u t h g $.
    $( Lemma for ~ grothprim .  Expand the membership of an unordered pair into
       primitives.  (Contributed by NM, 29-Mar-2007.) $)
    grothprimlem $p |- ( { u , v } e. w <-> E. g ( g e. w /\ A. h
      ( h e. g <-> ( h = u \/ h = v ) ) ) ) $=
      ( cv cpr wcel weq wo cab wel wb wal wa wex dfpr2 eleq1i clabel bitri ) CF
      ZBFZGZAFZHECIEBIJZEKZUDHDALEDLUEMENODPUCUFUDEUAUBQRUEEDUDST $.

    $( The Tarski-Grothendieck Axiom ~ ax-groth expanded into set theory
       primitives using 163 symbols (allowing the defined symbols ` /\ ` ,
       ` \/ ` , ` <-> ` , and ` E. ` ).  An open problem is whether a shorter
       equivalent exists (when expanded to primitives).  (Contributed by NM,
       16-Apr-2007.) $)
    grothprim $p |- E. y ( x e. y /\ A. z ( ( z e. y -> E. v ( v e. y /\
       A. w ( A. u ( u e. w -> u e. z ) -> ( w e. y /\ w e. v ) ) ) ) /\ E. w
      ( ( w e. z -> w e. y ) -> ( A. v ( ( v e. z -> E. t A. u ( E. g ( g e. w
      /\ A. h ( h e. g <-> ( h = v \/ h = u ) ) ) -> u = t ) ) /\ ( v e. y ->
      ( v e. z \/ E. u ( u e. z /\ E. g ( g e. w /\ A. h ( h e. g <-> ( h = u
      \/ h = v ) ) ) ) ) ) ) \/ z e. y ) ) ) ) $=
      ( wel cv wcel wi wal wrex wral wo wex wa bitri wss cin cdif cdom axgroth4
      wbr w3a weq wb 3anass dfss2 imbi12i albii rexbii df-rex ralbii df-ral cpr
      elin wmo vex difexi disjdifr brdom6disj orbi1i 19.44v bitr4i grothprimlem
      19.35 mobii df-mo wn eldif pm5.6 anbi12i 19.26 imbi2i exbii anbi2i mpbi )
      ABJZDKZCKZUAZWBBKZEKZUBLZMZDNZEWEOZCWEPZWCWEUAZWEWCUCZWCUDUFZCBJZQZMZCNZU
      GZBRWAWOEBJZFDJFCJZMFNZDBJZDEJSZMZDNZSERZMZDCJXCMZECJZHDJZIHJZIEUHZIFUHZQ
      UIINSHRZFGUHMFNGRZMZWTXJXAXKXLXNXMQUIINSHRZSFRZQMZSENZWOQZMZDRZSCNZSZBRAB
      CDEUEWSYFBWSWAWKWRSZSYFWAWKWRUJYGYEWAYGXHCNZYDCNZSYEWKYHWRYIWKXGCWEPYHWJX
      GCWEWJXFEWEOXGWIXFEWEWHXEDWDXBWGXDFWBWCUKWBWEWFUSULUMUNXFEWEUOTUPXGCWEUQT
      WQYDCWQXIWFFKZURWBLZFUTZEWCPZYJWFURWBLZFWCOZEWMPZSZWOQZMZDRZYDWQXIDNZYRDR
      ZMYTWLUUAWPUUBDWCWEUKWPYQDRZWOQUUBWNUUCWOEFWMWCDWEWCBVAVBCVAWCWEVCVDVEYQW
      ODVFVGULXIYRDVIVGYSYCDYRYBXIYQYAWOYQXQENZXTENZSYAYMUUDYPUUEYMXPEWCPUUDYLX
      PEWCYLXOFUTXPYKXOFDFEHIVHVJXOFGVKTUPXPEWCUQTYPWFWMLZYOMZENUUEYOEWMUQUUGXT
      EUUGWTXJVLSZXSMXTUUFUUHYOXSWFWEWCVMYOXRFWCOXSYNXRFWCDEFHIVHUNXRFWCUOTULWT
      XJXSVNTUMTVOXQXTEVPVGVEVQVRTUMVOXHYDCVPVGVSTVRVT $.
  $}

  ${
    $d w x y z $.
    $( The Tarski-Grothendieck Axiom, using abbreviations.  (Contributed by
       Mario Carneiro, 28-May-2013.) $)
    grothtsk $p |- U. Tarski = _V $=
      ( vw vx vy vz ctsk cuni cvv cv wcel wa wex cpw wss wrex wral cen wo mpbir
      wbr w3a axgroth5 wb eltskg elv anbi2i 3anass bitr4i exbii eluni vex eqriv
      2th ) AEFZGAHZUMIZUNGIUOUNBHZIZUPEIZJZBKZUTUQCHZLZUPMVBDHMDUPNJCUPOZVAUPP
      SVAUPIQCUPLOZTZBKABCDUAUSVEBUSUQVCVDJZJVEURVFUQURVFUBBCDUPGUCUDUEUQVCVDUF
      UGUHRBUNEUIRAUJULUK $.
  $}

  ${
    $d w x y z $.
    $( An equivalent to the Tarski-Grothendieck Axiom: there is a proper class
       of inaccessible cardinals.  (Contributed by Mario Carneiro,
       9-Jun-2013.) $)
    inaprc $p |- Inacc e/ _V $=
      ( vx vy vz vw cina cvv cuni con0 wss wcel ssriv wel wrex ctsk eluni2 ccrd
      cv wa sylan2 wb wnel wceq word cwina inawina winaon ssorduni ordsson mp2b
      syl vex grothtsk eleqtrri mpbi cfv c0 wne ne0i tskcard wbr tsksdom adantl
      cdm tskwe2 adantr cardsdomel mpbid eleq2 rspcev syl2an2 rexlimdvaa sylibr
      csdm mpi eqssi ssonprc ax-mp mpbir ) EFUAZEGZHUBZVTHEHIZVTUCVTHIAEHAQZEJW
      CUDJWCHJWCUEWCUFUJKZEUGVTUHUIBHVTBQZHJZBCLZCEMZWEVTJWFBDLZDNMZWHWENGZJWJW
      EFWKBUKULUMDWENOUNWFWIWHDNDQZNJZWIRZWLPUOZEJZWFWEWOJZWHWIWMWLUPUQWPWLWEUR
      WLUSSWFWNRWEWLVMUTZWQWNWRWFWEWLVAVBWNWFWLPVCJZWRWQTWMWSWIWLVDVEWEWLVFSVGW
      GWQCWOECQWOWEVHVIVJVKVNCWEEOVLKVOWBVSWATWDEVPVQVR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Tarski map function
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c tarskiMap $.
  $( A function whose value is the smallest Tarski class
     containing a particular set. $)

  $( Extend class definition to include the map whose value is the smallest
     Tarski class. $)
  ctskm $a class tarskiMap $.

  ${
    $d x y $.
    $( A function that maps a set ` x ` to the smallest Tarski class that
       contains the set.  (Contributed by FL, 30-Dec-2010.) $)
    df-tskm $a |- tarskiMap = ( x e. _V |-> |^| { y e. Tarski | x e. y } ) $.
  $}

  ${
    $d A x y $.
    $( Value of our tarski map.  (Contributed by FL, 30-Dec-2010.)  (Revised by
       Mario Carneiro, 20-Sep-2014.) $)
    tskmval $p |- ( A e. V ->
      ( tarskiMap ` A ) = |^| { x e. Tarski | A e. x } ) $=
      ( vy wcel cvv ctsk crab cint ctskm wceq elex wrex cuni grothtsk eleqtrrdi
      cv cfv eluni2 sylib intexrab eleq1 rabbidv inteqd df-tskm fvmptg syl2anc
      ) BCEZBFEBAQZEZAGHZIZFEZBJRULKBCLZUHUJAGMZUMUHBGNZEUOUHBFUPUNOPABGSTUJAGU
      ATDBDQZUIEZAGHZIULFFJUQBKZUSUKUTURUJAGUQBUIUBUCUDDAUEUFUG $.

    $( The set ` A ` is an element of the smallest Tarski class that contains
       ` A ` .  CLASSES1 th. 5.  (Contributed by FL, 30-Dec-2010.)  (Proof
       shortened by Mario Carneiro, 21-Sep-2014.) $)
    tskmid $p |- ( A e. V -> A e. ( tarskiMap ` A ) ) $=
      ( vx wcel cv ctsk crab cint ctskm cfv wi wral id elintrabg mpbiri tskmval
      rgenw eleqtrrd ) ABDZAACEDZCFGHZAIJSAUADTTKZCFLUBCFTMQTCAFBNOCABPR $.

    $( A Tarski class that contains ` A ` is a Tarski class.  (Contributed by
       FL, 17-Apr-2011.)  (Proof shortened by Mario Carneiro, 21-Sep-2014.) $)
    tskmcl $p |- ( tarskiMap ` A ) e. Tarski $=
      ( vx cvv wcel ctskm cfv ctsk cv crab cint tskmval wss c0 ssrab2 wrex cuni
      wne id grothtsk eleqtrrdi eluni2 sylib rabn0 sylibr sylancr eqeltrd fvprc
      inttsk wn 0tsk eqeltrdi pm2.61i ) ACDZAEFZGDUMUNABHDZBGIZJZGBACKUMUPGLUPM
      QZUQGDUOBGNUMUOBGOZURUMAGPZDUSUMACUTUMRSTBAGUAUBUOBGUCUDUPUHUEUFUMUIUNMGA
      EUGUJUKUL $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Being a part of ` ( tarskiMap `` A ) ` .  (Contributed by FL,
       17-Apr-2011.)  (Proof shortened by Mario Carneiro, 20-Sep-2014.) $)
    sstskm $p |- ( A e. V -> ( B C_ ( tarskiMap ` A ) <->
      A. x e. Tarski ( A e. x -> B C_ x ) ) ) $=
      ( wcel ctskm cfv wss cv ctsk cab cint wral crab tskmval df-rab inteqi wal
      wa wi eqtrdi sseq2d impexp albii ssintab df-ral 3bitr4i bitrdi ) BDEZCBFG
      ZHCAIZJEZBUKEZSZAKZLZHZUMCUKHZTZAJMZUIUJUPCUIUJUMAJNZLUPABDOVAUOUMAJPQUAU
      BUNURTZARULUSTZARUQUTVBVCAULUMURUCUDUNACUEUSAJUFUGUH $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Belonging to ` ( tarskiMap `` A ) ` .  (Contributed by FL, 17-Apr-2011.)
       (Proof shortened by Mario Carneiro, 21-Sep-2014.) $)
    eltskm $p |- ( A e. V -> ( B e. ( tarskiMap ` A ) <->
      A. x e. Tarski ( A e. x -> B e. x ) ) ) $=
      ( wcel ctskm cfv cv ctsk crab cint wi wral tskmval eleq2d cvv elex tskmid
      a1i eleq2 tskmcl wceq imbi12d rspcv ax-mp syl5com syl6 wb elintrabg bitrd
      pm5.21ndd ) BDEZCBFGZEZCBAHZEZAIJKZEZUPCUOEZLZAIMZULUMUQCABDNOULCPEZURVAU
      RVBLULCUQQSULVAUNVBULBUMEZVAUNBDRUMIEVAVCUNLZLBUAUTVDAUMIUOUMUBUPVCUSUNUO
      UMBTUOUMCTUCUDUEUFCUMQUGVBURVAUHLULUPACIPUISUKUJ $.
  $}

$( End $[ set-tg.mm $] $)


$( Begin $[ set-num.mm $] $)
$(
###############################################################################
  REAL AND COMPLEX NUMBERS
###############################################################################

  This section derives the basics of real and complex numbers.  We first
  construct and axiomatize real and complex numbers (e.g., ~ ax-resscn ).
  After that, we derive their basic properties, various operations like
  addition ( ~ df-add ) and sine ( ~ df-sin ), and subsets such as the integers
  ( ~ df-z ) and natural numbers ( ~ df-nn ).

$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Construction and axiomatization of real and complex numbers
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Dedekind-cut construction of real and complex numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)

  $c N. $. $( Set of positive integers $)

  $c +N $. $( Positive integer addition $)
  $c .N $. $( Positive integer multiplication $)
  $c <N $. $( Positive integer ordering relation $)

  $c +pQ $. $( Positive pre-fraction addition $)
  $c .pQ $. $( Positive pre-fraction multiplication $)
  $c <pQ $. $( Positive pre-fraction ordering relation $)

  $c ~Q $. $( Equivalence relation to construct positive fractions $)
  $c Q. $. $( Set of positive fractions $)
  $c 1Q $. $( Positive fraction constant 1 $)
  $c /Q $. $( Positive fraction equivalence class $)
  $c +Q $. $( Positive fraction addition $)
  $c .Q $. $( Positive fraction multiplication $)
  $c *Q $. $( Positive fraction reciprocal $)
  $c <Q $. $( Positive fraction ordering relation $)

  $c P. $. $( Set of positive reals $)
  $c 1P $. $( Positive real constant 1 $)
  $c +P. $. $( Positive real addition $)
  $c .P. $. $( Positive real multiplication $)
  $c <P $. $( Positive real ordering relation $)

  $c ~R $. $( Equivalence relation to construct signed reals $)
  $c R. $. $( Set of signed reals $)
  $c 0R $. $( Signed real constant 0 $)
  $c 1R $. $( Signed real constant 1 $)
  $c -1R $. $( Signed real constant minus 1 $)
  $c +R $. $( Signed real addition $)
  $c .R $. $( Signed real multiplication $)
  $c <R $. $( Signed real ordering relation $)
  $c <RR $. $( 'Less than' relation (restricted to non-extended reals) $)

  $c CC $. $( The set of complex numbers (blackboard bold C) $)
  $c RR $. $( The set of real numbers (blackboard bold R) $)
  $c 0 $. $( The real number 0. $)
  $c 1 $. $( The real number 1. $)
  $c _i $. $( Letter i (the imaginary unit = square root of -1) $)
  $c + $. $( Plus (addition) symbol $)
  $c x. $. $( Multiplication symbol (center dot) $)

  $( Extend class notation with new sets (constants) used for positive
     integers: $)

  $( The set of positive integers, which is the set of natural numbers ` _om `
     with 0 removed.

     _Note:  This is the start of the Dedekind-cut construction of real and_
     _complex numbers.  The last lemma of the construction is_ ~ mulcnsrec .
     _The actual set of Dedekind cuts is defined by_ ~ df-np . $)
  cnpi $a class N. $.
  $( Positive integer addition. $)
  cpli $a class +N $.
  $( Positive integer multiplication. $)
  cmi $a class .N $.
  $( Positive integer ordering relation. $)
  clti $a class <N $.

  $( Extend class notation with new sets (constants) used in construction of
    positive fractions: $)

  $( Positive pre-fraction addition. $)
  cplpq $a class +pQ $.
  $( Positive pre-fraction multiplication. $)
  cmpq $a class .pQ $.
  $( Positive pre-fraction ordering relation. $)
  cltpq $a class <pQ $.
  $( Equivalence class used to construct positive fractions. $)
  ceq $a class ~Q $.
  $( Set of positive fractions. $)
  cnq $a class Q. $.
  $( The positive fraction constant 1. $)
  c1q $a class 1Q $.
  $( Positive fraction equivalence class. $)
  cerq $a class /Q $.
  $( Positive fraction addition. $)
  cplq $a class +Q $.
  $( Positive fraction multiplication. $)
  cmq $a class .Q $.
  $( Positive fraction reciprocal operation. $)
  crq $a class *Q $.
  $( Positive fraction ordering relation. $)
  cltq $a class <Q $.

  $( Extend class notation with new sets (constants) used in construction of
    positive real numbers: $)

  $( Set of positive reals. $)
  cnp $a class P. $.
  $( Positive real constant 1. $)
  c1p $a class 1P $.
  $( Positive real addition. $)
  cpp $a class +P. $.
  $( Positive real multiplication. $)
  cmp $a class .P. $.
  $( Positive real ordering relation. $)
  cltp $a class <P $.

  $( Extend class notation with new sets (constants) used in construction of
    signed real numbers: $)

  $( Equivalence class used to construct signed reals. $)
  cer $a class ~R $.
  $( Set of signed reals. $)
  cnr $a class R. $.
  $( The signed real constant 0. $)
  c0r $a class 0R $.
  $( The signed real constant 1. $)
  c1r $a class 1R $.
  $( The signed real constant -1. $)
  cm1r $a class -1R $.
  $( Signed real addition. $)
  cplr $a class +R $.
  $( Signed real multiplication. $)
  cmr $a class .R $.
  $( Signed real ordering relation. $)
  cltr $a class <R $.

  $( Define the class of positive integers.  This is a "temporary" set used in
     the construction of complex numbers ~ df-c , and is intended to be used
     only by the construction.  (Contributed by NM, 15-Aug-1995.)
     (New usage is discouraged.) $)
  df-ni $a |- N. = ( _om \ { (/) } ) $.

  $( Define addition on positive integers.  This is a "temporary" set used in
     the construction of complex numbers ~ df-c , and is intended to be used
     only by the construction.  (Contributed by NM, 26-Aug-1995.)
     (New usage is discouraged.) $)
  df-pli $a |- +N = ( +o |` ( N. X. N. ) ) $.

  $( Define multiplication on positive integers.  This is a "temporary" set
     used in the construction of complex numbers ~ df-c , and is intended to be
     used only by the construction.  (Contributed by NM, 26-Aug-1995.)
     (New usage is discouraged.) $)
  df-mi $a |- .N = ( .o |` ( N. X. N. ) ) $.

  $( Define 'less than' on positive integers.  This is a "temporary" set used
     in the construction of complex numbers ~ df-c , and is intended to be used
     only by the construction.  (Contributed by NM, 6-Feb-1996.)
     (New usage is discouraged.) $)
  df-lti $a |- <N = ( _E i^i ( N. X. N. ) ) $.

  $( Membership in the class of positive integers.  (Contributed by NM,
     15-Aug-1995.)  (New usage is discouraged.) $)
  elni $p |- ( A e. N. <-> ( A e. _om /\ A =/= (/) ) ) $=
    ( cnpi wcel com c0 csn cdif wne wa df-ni eleq2i eldifsn bitri ) ABCADEFGZCA
    DCAEHIBNAJKADELM $.

  $( Membership in the class of positive integers.  (Contributed by NM,
     27-Nov-1995.)  (New usage is discouraged.) $)
  elni2 $p |- ( A e. N. <-> ( A e. _om /\ (/) e. A ) ) $=
    ( cnpi wcel com c0 wne wa elni word wb nnord ord0eln0 syl pm5.32i bitr4i )
    ABCADCZAEFZGPEACZGAHPRQPAIRQJAKALMNO $.

  $( A positive integer is a natural number.  (Contributed by NM, 15-Aug-1995.)
     (New usage is discouraged.) $)
  pinn $p |- ( A e. N. -> A e. _om ) $=
    ( cnpi com c0 csn cdif df-ni difss eqsstri sseli ) BCABCDEZFCGCKHIJ $.

  $( A positive integer is an ordinal number.  (Contributed by NM,
     23-Mar-1996.)  (New usage is discouraged.) $)
  pion $p |- ( A e. N. -> A e. On ) $=
    ( cnpi wcel com con0 pinn nnon syl ) ABCADCAECAFAGH $.

  $( A positive integer is ordinal.  (Contributed by NM, 29-Jan-1996.)
     (New usage is discouraged.) $)
  piord $p |- ( A e. N. -> Ord A ) $=
    ( cnpi wcel com word pinn nnord syl ) ABCADCAEAFAGH $.

  $( The class of positive integers is a set.  (Contributed by NM,
     15-Aug-1995.)  (New usage is discouraged.) $)
  niex $p |- N. e. _V $=
    ( cnpi com omex c0 csn cdif df-ni difss eqsstri ssexi ) ABCABDEZFBGBKHIJ $.

  $( The empty set is not a positive integer.  (Contributed by NM,
     26-Aug-1995.)  (New usage is discouraged.) $)
  0npi $p |- -. (/) e. N. $=
    ( c0 wceq cnpi wcel wn eqid com wne elni simprbi necon2bi ax-mp ) AABACDZEA
    FMAAMAGDAAHAIJKL $.

  $( Ordinal 'one' is a positive integer.  (Contributed by NM, 29-Oct-1995.)
     (New usage is discouraged.) $)
  1pi $p |- 1o e. N. $=
    ( c1o cnpi wcel com c0 wne 1onn 1n0 elni mpbir2an ) ABCADCAEFGHAIJ $.

  $( Positive integer addition in terms of ordinal addition.  (Contributed by
     NM, 27-Aug-1995.)  (New usage is discouraged.) $)
  addpiord $p |- ( ( A e. N. /\ B e. N. ) -> ( A +N B ) = ( A +o B ) ) $=
    ( cnpi wcel wa cop cxp cpli co coa wceq opelxpi cres cfv fvres df-ov df-pli
    fveq1i eqtri 3eqtr4g syl ) ACDBCDEABFZCCGZDZABHIZABJIZKABCCLUDUBJUCMZNZUBJN
    UEUFUBUCJOUEUBHNUHABHPUBHUGQRSABJPTUA $.

  $( Positive integer multiplication in terms of ordinal multiplication.
     (Contributed by NM, 27-Aug-1995.)  (New usage is discouraged.) $)
  mulpiord $p |- ( ( A e. N. /\ B e. N. ) -> ( A .N B ) = ( A .o B ) ) $=
    ( cnpi wcel wa cop cxp cmi co comu wceq opelxpi cres cfv fvres df-ov fveq1i
    df-mi eqtri 3eqtr4g syl ) ACDBCDEABFZCCGZDZABHIZABJIZKABCCLUDUBJUCMZNZUBJNU
    EUFUBUCJOUEUBHNUHABHPUBHUGRQSABJPTUA $.

  $( 1 is an identity element for multiplication on positive integers.
     (Contributed by NM, 4-Mar-1996.)  (Revised by Mario Carneiro,
     17-Nov-2014.)  (New usage is discouraged.) $)
  mulidpi $p |- ( A e. N. -> ( A .N 1o ) = A ) $=
    ( cnpi wcel c1o cmi co comu wceq 1pi mulpiord mpan2 com pinn nnm1 syl eqtrd
    ) ABCZADEFZADGFZAQDBCRSHIADJKQALCSAHAMANOP $.

  $( Positive integer 'less than' in terms of ordinal membership.  (Contributed
     by NM, 6-Feb-1996.)  (Revised by Mario Carneiro, 28-Apr-2015.)
     (New usage is discouraged.) $)
  ltpiord $p |- ( ( A e. N. /\ B e. N. ) -> ( A <N B <-> A e. B ) ) $=
    ( clti wbr cep cnpi cxp cin wcel wa df-lti breqi brinxp epelg adantl bitr3d
    wb syl5bb ) ABCDABEFFGHZDZAFIZBFIZJZABIZABCSKLUCABEDZTUDABFFEMUBUEUDQUAABFN
    OPR $.

  $( Positive integer 'less than' is a strict ordering.  (Contributed by NM,
     8-Feb-1996.)  (Proof shortened by Mario Carneiro, 10-Jul-2014.)
     (New usage is discouraged.) $)
  ltsopi $p |- <N Or N. $=
    ( cnpi clti wor cep con0 wss com c0 csn cdif df-ni difss omsson eqsstri wwe
    sstri epweon weso ax-mp soss mp2 cxp cin wceq wb df-lti soeq1 soinxp bitr4i
    mpbir ) ABCZADCZAEFEDCZULAGHIZJZEKUOGEGUNLMPNEDOUMQEDRSAEDTUAUKADAAUBUCZCZU
    LBUPUDUKUQUEUFABUPUGSADUHUIUJ $.

  $( Positive integer 'less than' is a relation on positive integers.
     (Contributed by NM, 8-Feb-1996.)  (New usage is discouraged.) $)
  ltrelpi $p |- <N C_ ( N. X. N. ) $=
    ( clti cep cnpi cxp cin df-lti inss2 eqsstri ) ABCCDZEIFBIGH $.

  $( Domain of addition on positive integers.  (Contributed by NM,
     26-Aug-1995.)  (New usage is discouraged.) $)
  dmaddpi $p |- dom +N = ( N. X. N. ) $=
    ( coa cnpi cxp cres cdm con0 cin cpli dmres fndmi ineq2i eqtri df-pli dmeqi
    fnoa wss wceq wa com c0 df-ni difss eqsstri omsson sstri anidm mpbir xpss12
    csn cdif ax-mp dfss mpbi 3eqtr4i ) ABBCZDZEZUOFFCZGZHEUOUQUOAEZGUSAUOIUTURU
    OURAOJKLHUPMNUOURPZUOUSQBFPZVBRZVAVCVBBSFBSTUIZUJSUASVDUBUCUDUEVBUFUGBFBFUH
    UKUOURULUMUN $.

  $( Domain of multiplication on positive integers.  (Contributed by NM,
     26-Aug-1995.)  (New usage is discouraged.) $)
  dmmulpi $p |- dom .N = ( N. X. N. ) $=
    ( comu cnpi cxp cres cdm con0 cin dmres fnom fndmi ineq2i eqtri df-mi dmeqi
    cmi wss wceq wa com c0 csn cdif df-ni difss omsson sstri anidm mpbir xpss12
    eqsstri ax-mp dfss mpbi 3eqtr4i ) ABBCZDZEZUOFFCZGZOEUOUQUOAEZGUSAUOHUTURUO
    URAIJKLOUPMNUOURPZUOUSQBFPZVBRZVAVCVBBSFBSTUAZUBSUCSVDUDUJUEUFVBUGUHBFBFUIU
    KUOURULUMUN $.

  $( Closure of addition of positive integers.  (Contributed by NM,
     18-Oct-1995.)  (New usage is discouraged.) $)
  addclpi $p |- ( ( A e. N. /\ B e. N. ) -> ( A +N B ) e. N. ) $=
    ( cnpi wcel wa cpli co coa addpiord com pinn wne nnacl sylan2 elni2 nnaordi
    c0 wi ne0i syl6 expcom imp32 sylan2b elni sylanbrc sylan eqeltrd ) ACDZBCDZ
    EABFGABHGZCABIUHAJDZUIUJCDZAKUKUIEUJJDZUJQLZULUIUKBJDZUMBKABMNUIUKUOQBDZEUN
    BOUKUOUPUNUOUKUPUNRUOUKEUPAQHGZUJDUNQBAPUJUQSTUAUBUCUJUDUEUFUG $.

  $( Closure of multiplication of positive integers.  (Contributed by NM,
     18-Oct-1995.)  (New usage is discouraged.) $)
  mulclpi $p |- ( ( A e. N. /\ B e. N. ) -> ( A .N B ) e. N. ) $=
    ( cnpi wcel wa cmi co comu mulpiord com wne pinn nnmcl syl2an elni2 simprbi
    c0 adantl wi adantr nnmordi syl21anc mpd ne0d elni sylanbrc eqeltrd ) ACDZB
    CDZEZABFGABHGZCABIUJUKJDZUKQKUKCDUHAJDZBJDZULUIALZBLZABMNUJUKAQHGZUJQBDZUQU
    KDZUIURUHUIUNURBOPRUJUNUMQADZURUSSUIUNUHUPRUHUMUIUOTUHUTUIUHUMUTAOPTQBAUAUB
    UCUDUKUEUFUG $.

  $( Addition of positive integers is commutative.  (Contributed by NM,
     27-Aug-1995.)  (New usage is discouraged.) $)
  addcompi $p |- ( A +N B ) = ( B +N A ) $=
    ( cnpi wcel wa cpli wceq coa com pinn nnacom syl2an addpiord ancoms 3eqtr4d
    co dmaddpi ndmovcom pm2.61i ) ACDZBCDZEZABFPZBAFPZGUBABHPZBAHPZUCUDTAIDBIDU
    EUFGUAAJBJABKLABMUATUDUFGBAMNOABCFQRS $.

  $( Addition of positive integers is associative.  (Contributed by NM,
     27-Aug-1995.)  (New usage is discouraged.) $)
  addasspi $p |- ( ( A +N B ) +N C ) = ( A +N ( B +N C ) ) $=
    ( cnpi wcel w3a cpli co wceq coa com pinn nnaass syl3an wa addclpi addpiord
    sylan oveq1d eqtrd adantr 3impa sylan2 oveq2d adantl 3impb 3eqtr4d ndmovass
    dmaddpi 0npi pm2.61i ) ADEZBDEZCDEZFZABGHZCGHZABCGHZGHZIUOABJHZCJHZABCJHZJH
    ZUQUSULAKEUMBKEUNCKEVAVCIALBLCLABCMNULUMUNUQVAIULUMOZUNOUQUPCJHZVAVDUPDEUNU
    QVEIABPUPCQRVDVEVAIUNVDUPUTCJABQSUATUBULUMUNUSVCIULUMUNOZOUSAURJHZVCVFULURD
    EUSVGIBCPAURQUCVFVGVCIULVFURVBAJBCQUDUETUFUGABCDGUIUJUHUK $.

  $( Multiplication of positive integers is commutative.  (Contributed by NM,
     21-Sep-1995.)  (New usage is discouraged.) $)
  mulcompi $p |- ( A .N B ) = ( B .N A ) $=
    ( cnpi wcel wa cmi wceq comu com pinn nnmcom syl2an mulpiord ancoms 3eqtr4d
    co dmmulpi ndmovcom pm2.61i ) ACDZBCDZEZABFPZBAFPZGUBABHPZBAHPZUCUDTAIDBIDU
    EUFGUAAJBJABKLABMUATUDUFGBAMNOABCFQRS $.

  $( Multiplication of positive integers is associative.  (Contributed by NM,
     21-Sep-1995.)  (New usage is discouraged.) $)
  mulasspi $p |- ( ( A .N B ) .N C ) = ( A .N ( B .N C ) ) $=
    ( cnpi wcel w3a cmi co wceq comu com pinn nnmass syl3an wa mulclpi mulpiord
    sylan oveq1d eqtrd adantr 3impa sylan2 oveq2d adantl 3impb 3eqtr4d ndmovass
    dmmulpi 0npi pm2.61i ) ADEZBDEZCDEZFZABGHZCGHZABCGHZGHZIUOABJHZCJHZABCJHZJH
    ZUQUSULAKEUMBKEUNCKEVAVCIALBLCLABCMNULUMUNUQVAIULUMOZUNOUQUPCJHZVAVDUPDEUNU
    QVEIABPUPCQRVDVEVAIUNVDUPUTCJABQSUATUBULUMUNUSVCIULUMUNOZOUSAURJHZVCVFULURD
    EUSVGIBCPAURQUCVFVGVCIULVFURVBAJBCQUDUETUFUGABCDGUIUJUHUK $.

  $( Multiplication of positive integers is distributive.  (Contributed by NM,
     21-Sep-1995.)  (New usage is discouraged.) $)
  distrpi $p |- ( A .N ( B +N C ) ) = ( ( A .N B ) +N ( A .N C ) ) $=
    ( cnpi wcel w3a cpli co cmi wceq coa comu pinn nndi mulpiord addpiord eqtrd
    com wa mulclpi syl3an addclpi sylan2 oveq2d adantl syl2an oveqan12d 3eqtr4d
    3impb 3impdi dmaddpi 0npi dmmulpi ndmovdistr pm2.61i ) ADEZBDEZCDEZFZABCGHZ
    IHZABIHZACIHZGHZJUSABCKHZLHZABLHZACLHZKHZVAVDUPAREUQBREURCREVFVIJAMBMCMABCN
    UAUPUQURVAVFJUPUQURSZSVAAUTLHZVFVJUPUTDEVAVKJBCUBAUTOUCVJVKVFJUPVJUTVEALBCP
    UDUEQUIUPUQURVDVIJUPUQSZUPURSZSVDVBVCKHZVIVLVBDEVCDEVDVNJVMABTACTVBVCPUFVLV
    MVBVGVCVHKABOACOUGQUJUHABCDGIUKULUMUNUO $.

  $( Addition cancellation law for positive integers.  (Contributed by Mario
     Carneiro, 8-May-2013.)  (New usage is discouraged.) $)
  addcanpi $p |- ( ( A e. N. /\ B e. N. ) ->
                 ( ( A +N B ) = ( A +N C ) <-> B = C ) ) $=
    ( cnpi wcel wa cpli co wceq wi addclpi syl5ib imp dmaddpi 0npi coa addpiord
    eleq1 com pinn ndmovrcl simpr 3syl adantr adantlr eqeq12d w3a nnacan biimpd
    syl3an 3expa sylbid sylan2 exp32 imp4b pm2.43i ex oveq2 impbid1 ) ADEZBDEZF
    ZABGHZACGHZIZBCIZVBVEVFVBVEFVFVBVEVBVEVFVBVEVBVEVFJZVEVBFZVBCDEZVGVHVDDEZUT
    VIFVIVEVBVJVBVCDEVEVJABKVCVDDRLMACDGNOUAUTVIUBUCVBVIFZVEABPHZACPHZIZVFVKVCV
    LVDVMVBVCVLIVIABQUDUTVIVDVMIVAACQUEUFUTVAVIVNVFJZUTASEZVABSEZVICSEZVOATBTCT
    VPVQVRUGVNVFABCUHUIUJUKULUMUNUOUPUQBCAGURUS $.

  $( Multiplication cancellation law for positive integers.  (Contributed by
     NM, 4-Feb-1996.)  (Revised by Mario Carneiro, 10-May-2013.)
     (New usage is discouraged.) $)
  mulcanpi $p |- ( ( A e. N. /\ B e. N. ) ->
                 ( ( A .N B ) = ( A .N C ) <-> B = C ) ) $=
    ( cnpi wcel wa cmi co wceq wi mulclpi eleq1 syl5ib comu mulpiord com sylan2
    pinn ex pm2.43i imp dmmulpi 0npi ndmovrcl simpr 3syl adantr adantlr eqeq12d
    w3a elni2 simprbi nnmcan biimpd syl3an com4r imp31 sylbid exp32 imp4b oveq2
    c0 3exp impbid1 ) ADEZBDEZFZABGHZACGHZIZBCIZVGVJVKVGVJFVKVGVJVGVJVKVGVJVGVJ
    VKJZVJVGFZVGCDEZVLVMVIDEZVEVNFVNVJVGVOVGVHDEVJVOABKVHVIDLMUAACDGUBUCUDVEVNU
    EUFVGVNFZVJABNHZACNHZIZVKVPVHVQVIVRVGVHVQIVNABOUGVEVNVIVRIVFACOUHUIVEVFVNVS
    VKJZVEVFVNVTJJVEVFVNVEVTVEVFVNVEVTJZVEAPEZVFBPEZVNCPEZWAARBRCRWBWCWDUJZVEVT
    VEWEVBAEZVTVEWBWFAUKULWEWFFVSVKABCUMUNQSUOVCUPTUQURQUSUTTSBCAGVAVD $.

  $( There is no identity element for addition on positive integers.
     (Contributed by NM, 28-Nov-1995.)  (New usage is discouraged.) $)
  addnidpi $p |- ( A e. N. -> -. ( A +N B ) = A ) $=
    ( cnpi wcel wa cpli co wceq wn wi coa com pinn c0 elni2 nnaordi nna0 eleq1d
    con2d eqeq1d word nnord ordirr eleq2 notbid syl5ibrcom sylbid adantl expcom
    syl syld imp32 sylan2b sylan addpiord mtbird dmaddpi ndmov 0npi eleq1 mtbii
    a1d syl6bi pm2.61i ) ACDZBCDZEZVEABFGZAHZIZJVGVJVEVGVIABKGZAHZVEALDZVFVLIZA
    MVFVMBLDZNBDZEVNBOVMVOVPVNVOVMVPVNJVOVMEVPANKGZVKDZVNNBAPVMVRVNJVOVMVRAVKDZ
    VNVMVQAVKAQRVMVLVSVMVSIVLAADZIZVMAUAWAAUBAUCUJVLVSVTVKAAUDUEUFSUGUHUKUIULUM
    UNVGVHVKAABUOTUPVBVGIZVIVEWBVINAHZVEIWBVHNAABCFUQURTWCNCDVEUSNACUTVAVCSVD
    $.

  ${
    $d x A $.  $d x B $.
    $( Ordering on positive integers in terms of existence of sum.
       (Contributed by NM, 15-Mar-1996.)  (Revised by Mario Carneiro,
       14-Jun-2013.)  (New usage is discouraged.) $)
    ltexpi $p |- ( ( A e. N. /\ B e. N. ) ->
               ( A <N B <-> E. x e. N. ( A +N x ) = B ) ) $=
      ( cnpi wcel wa c0 cv coa wceq com wrex clti wbr cpli pinn nnaordex syl2an
      co wb ltpiord addpiord eqeq1d pm5.32da elni2 anbi1i anass bitrdi rexbidv2
      bitri adantr 3bitr4d ) BDEZCDEZFBCEZGAHZEZBUPISZCJZFZAKLZBCMNBUPOSZCJZADL
      ZUMBKECKEUOVATUNBPCPABCQRBCUAUMVDVATUNUMVCUTADKUMUPDEZVCFVEUSFZUPKEZUTFZU
      MVEVCUSUMVEFVBURCBUPUBUCUDVFVGUQFZUSFVHVEVIUSUPUEUFVGUQUSUGUJUHUIUKUL $.
  $}

  $( Ordering property of addition for positive integers.  (Contributed by NM,
     7-Mar-1996.)  (New usage is discouraged.) $)
  ltapi $p |- ( C e. N. -> ( A <N B <-> ( C +N A ) <N ( C +N B ) ) ) $=
    ( clti cnpi cpli dmaddpi wcel wbr co wb coa com pinn ltpiord adantr addclpi
    wa wceq addpiord ltrelpi nnaord syl3an syl2an adantl eleq12d anandis ancoms
    0npi 3expa bitrd 3bitr4d 3impa ndmovord ) ABCDEFGUAUIAEHZBEHZCEHZABDIZCAFJZ
    CBFJZDIZKUOUPRZUQRABHZCALJZCBLJZHZURVAUOUPUQVCVFKZUOAMHUPBMHUQCMHVGANBNCNAB
    CUBUCUJVBURVCKUQABOPUQVBVAVFKZUQUOUPVHUQUORZUQUPRZRZVAUSUTHZVFVIUSEHUTEHVAV
    LKVJCAQCBQUSUTOUDVKUSVDUTVEVIUSVDSVJCATPVJUTVESVICBTUEUFUKUGUHULUMUN $.

  $( Ordering property of multiplication for positive integers.  (Contributed
     by NM, 8-Feb-1996.)  (New usage is discouraged.) $)
  ltmpi $p |- ( C e. N. -> ( A <N B <-> ( C .N A ) <N ( C .N B ) ) ) $=
    ( clti cnpi cmi wcel wbr co wb wa comu com pinn syl2an ltpiord mulclpi wceq
    adantr mulpiord dmmulpi ltrelpi 0npi wi c0 elni2 w3a nnmord sylan9bbr 3exp1
    iba imp4b syl5bi adantl eleq12d bitrd anandis ancoms 3bitr4d 3impa ndmovord
    imp ) ABCDEFUAUBUCAEGZBEGZCEGZABDHZCAFIZCBFIZDHZJVCVDKZVEKABGZCALIZCBLIZGZV
    FVIVJVEVKVNJZVCAMGZBMGZVEVOUDVDANBNVECMGZUECGZKVPVQKVOCUFVPVQVRVSVOVPVQVRVS
    VOVSVKVKVSKVPVQVRUGVNVSVKUKABCUHUIUJULUMOVBVJVFVKJVEABPSVEVJVIVNJZVEVCVDVTV
    EVCKZVEVDKZKZVIVGVHGZVNWAVGEGVHEGVIWDJWBCAQCBQVGVHPOWCVGVLVHVMWAVGVLRWBCATS
    WBVHVMRWACBTUNUOUPUQURUSUTVA $.

  $( One is less than two (one plus one).  (Contributed by NM, 13-Mar-1996.)
     (New usage is discouraged.) $)
  1lt2pi $p |- 1o <N ( 1o +N 1o ) $=
    ( c1o cpli co clti wbr wcel coa c0 com wceq 1onn nna0 ax-mp 0lt1o wb peano1
    nnaord cnpi 1pi mp2an mp3an mpbi eqeltrri addpiord eleqtrri addclpi ltpiord
    mpbir ) AAABCZDEZAUIFZAAAGCZUIAHGCZAULAIFZUMAJKALMHAFZUMULFZNHIFUNUNUOUPOPK
    KHAAQUAUBUCARFZUQUIULJSSAAUDTUEUQUIRFZUJUKOSUQUQURSSAAUFTAUIUGTUH $.

  $( No positive integer is less than one.  (Contributed by NM, 23-Mar-1996.)
     (New usage is discouraged.) $)
  nlt1pi $p |- -. A <N 1o $=
    ( cnpi wcel c1o clti wbr wn c0 wne com elni simprbi wceq wa noel wo ltpiord
    wb 1pi mpan2 csuc df-1o eleq2i elsucg syl5bb biimpa ord mpi ex necon3ad mpd
    bitrd ltrelpi brel simpld con3i pm2.61i ) ABCZADEFZGZURAHIZUTURAJCVAAKLURUS
    AHURUSAHMZURUSNZAHCZGVBAOVCVDVBURUSVDVBPZURUSADCZVEURDBCZUSVFRSADQTVFAHUAZC
    URVEDVHAUBUCAHBUDUEULUFUGUHUIUJUKUSURUSURVGADBBEUMUNUOUPUQ $.

  ${
    $d x y $.  $d x A $.  $d x ps $.  $d x ch $.  $d x th $.  $d x ta $.
    $d y ph $.
    $( Substitutions. $)
    indpi.1 $e |- ( x = 1o -> ( ph <-> ps ) ) $.
    indpi.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    indpi.3 $e |- ( x = ( y +N 1o ) -> ( ph <-> th ) ) $.
    indpi.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    indpi.5 $e |- ps $.
    $( Induction step. $)
    indpi.6 $e |- ( y e. N. -> ( ch -> th ) ) $.
    $( Principle of Finite Induction on positive integers.  (Contributed by NM,
       23-Mar-1996.)  (New usage is discouraged.) $)
    indpi $p |- ( A e. N. -> ta ) $=
      ( cnpi wcel c1o clti wi wa wceq wbr cv eqvinc mpbiri gencl eqcoms a1i com
      1oex wss pinn elni2 csuc word nnord ordsucss syl df-1o sseq1i syl6ibr imp
      sylbi 1onn eleq1 breq2 anbi12d imbi12d wne peano2b bitr4di syl5ib adantrd
      c0 wb 1pi ltpiord mpan biimpa eleq2 wo elsuci ne0i 0lt1o ne0d jaoi syl6bi
      mpbii syl5 jcad elni simpr cpli co addclpi mpan2 coa addpiord con0 oa1suc
      pion eqeq2d biimparc eleq1d syl5ibr pm2.43d biimprd anim12d impbid imbi1d
      eqtrd ex syl6bir adantr com12 pm5.74d bitrd 2a1i pm5.32i simplbi2 ltrelpi
      imim1d brel ibi jao mpi syl6com cvv 0ex sucssel ax-mp sylbir sylan2 syl9r
      impd adantlr findsg mpanl2 syl2anc expd wn nlt1pi wor ltsopi sotric mtbii
      pm2.43i notnotrd mpjaod ) HOPZHQUAZEQHRUBZUUKESUUJEQHAEFUCZQUAZQHUAFUUMHF
      QHUJUDLUUNABMIUEZUFUGUHUUJUULESUUJUUJUULEUUJHUIPZQHUKZUUJUULTZESZHULUUJUU
      PVNHPZTUUQHUMUUPUUTUUQUUPUUTVNUNZHUKZUUQUUPHUOUUTUVBSHUPVNHUQURQUVAHUSUTV
      AVBVCUUPQUIPZUUQUUSVDUUMOPZQUUMRUBZTZASZQOPZQQRUBZTZBSGUCZOPZQUVKRUBZTZCS
      ZUVLQUVKUNZRUBZTZDSZUUSFGHQUUNUVFUVJABUUNUVDUVHUVEUVIUUMQOVEUUMQQRVFVGIVH
      UUMUVKUAZUVFUVNACUVTUVDUVLUVEUVMUUMUVKOVEUUMUVKQRVFVGJVHUUMUVPUAZUVGUVRAS
      UVSUWAUVFUVRAUWAUVFUVRUWAUVFUVLUVQUWAUVFUVKUIPZUVKVNVIZTUVLUWAUVFUWBUWCUW
      AUVDUWBUVEUVDUUMUIPZUWAUWBUUMULUWAUWDUVPUIPUWBUUMUVPUIVEUVKVJVKVLVMUVFQUU
      MPZUWAUWCUVDUVEUWEUVHUVDUVEUWEVOVPQUUMVQVRVSUWAUWEQUVPPZUWCUUMUVPQVTUWFQU
      VKPZQUVKUAZWAZUWCQUVKWBZUWGUWCUWHUVKQWCUWHUVKVNUWHVNQPVNUVKPZWDQUVKVNVTWH
      WEWFURWGWIWJUVKWKVAUVFUVEUWAUVQUVDUVEWLUUMUVPQRVFZVLWJUWAUVLUVDUVQUVEUWAU
      VLUVDUWAUVLUVLUVDSUVLUVDUWAUVLTZUVKQWMWNZOPZUVLUVHUWOVPUVKQWOWPUWMUUMUWNO
      UVLUUMUWNUAZUWAUVLUWNUVPUUMUVLUWNUVKQWQWNZUVPUVLUVHUWNUWQUAVPUVKQWRWPUVLU
      VKWSPUWQUVPUAUVKXAUVKWTURXKXBZXCXDXEXLXFUWAUVEUVQUWLXGXHXIXJUWAUVRADUVRUW
      AADVOZUVLUWAUWSSUVQUVLUWAUWPUWSUWRKXMXNXOXPXQUUMHUAZUVFUURAEUWTUVDUUJUVEU
      ULUUMHOVEUUMHQRVFVGLVHBUVCUVJMXRUWBQUVKUKZUVOUVSSUVCUVOUVRCUWBUXATDUVOUVL
      UVQCUVLUVOUWGCSZUVQCSUVLUWGUVNCUVNUVLUWGUVLUVMUWGUVHUVLUVMUWGVOVPQUVKVQVR
      XSXTYBUVQUWFUXBCUVQUWFUVQUVHUVPOPTUVQUWFVOQUVPOORYAYCQUVPVQURYDUWFUWIUXBC
      UWJUXBUWHCSUWICSACUUNUWHFUUMUVKFQUVKUJUDJUUOUFUWGCUWHYEYFWIWIYGYOUXAUWBUW
      KCDSZUXAUVAUVKUKZUWKQUVAUVKUSUTVNYHPUXDUWKSYIVNUVKYHYJYKVCUWBUWKTUVLUXCUV
      KUMNYLYMYNYPYQYRYSYTUUGUUJUUKUULWAZUUJHQRUBZUXEUUAZHUUBUUJUVHUXFUXGVOZVPO
      RUUCUUJUVHTUXHUUDOHQRUUEVRWPUUFUUHUUI $.
  $}

  ${
    $d x y z w v u $.
    $( Define pre-addition on positive fractions.  This is a "temporary" set
       used in the construction of complex numbers ~ df-c , and is intended to
       be used only by the construction.  This "pre-addition" operation works
       directly with ordered pairs of integers.  The actual positive fraction
       addition ` +Q ` ( ~ df-plq ) works with the equivalence classes of these
       ordered pairs determined by the equivalence relation ` ~Q `
       ( ~ df-enq ).  (Analogous remarks apply to the other "pre-" operations
       in the complex number construction that follows.)  From Proposition
       9-2.3 of [Gleason] p. 117.  (Contributed by NM, 28-Aug-1995.)
       (New usage is discouraged.) $)
    df-plpq $a |- +pQ = ( x e. ( N. X. N. ) , y e. ( N. X. N. ) |->
      <. ( ( ( 1st ` x ) .N ( 2nd ` y ) ) +N
           ( ( 1st ` y ) .N ( 2nd ` x ) ) ) ,
           ( ( 2nd ` x ) .N ( 2nd ` y ) ) >. ) $.

    $( Define pre-multiplication on positive fractions.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition 9-2.4 of
       [Gleason] p. 119.  (Contributed by NM, 28-Aug-1995.)
       (New usage is discouraged.) $)
    df-mpq $a |- .pQ = ( x e. ( N. X. N. ) , y e. ( N. X. N. ) |->
        <. ( ( 1st ` x ) .N ( 1st ` y ) ) ,
           ( ( 2nd ` x ) .N ( 2nd ` y ) ) >. ) $.

    $( Define pre-ordering relation on positive fractions.  This is a
       "temporary" set used in the construction of complex numbers ~ df-c , and
       is intended to be used only by the construction.  Similar to Definition
       5 of [Suppes] p. 162.  (Contributed by NM, 28-Aug-1995.)
       (New usage is discouraged.) $)
    df-ltpq $a |- <pQ = { <. x , y >. |
      ( ( x e. ( N. X. N. ) /\ y e. ( N. X. N. ) ) /\
        ( ( 1st ` x ) .N ( 2nd ` y ) ) <N ( ( 1st ` y ) .N ( 2nd ` x ) ) ) } $.

    $( Define equivalence relation for positive fractions.  This is a
       "temporary" set used in the construction of complex numbers ~ df-c , and
       is intended to be used only by the construction.  From Proposition 9-2.1
       of [Gleason] p. 117.  (Contributed by NM, 27-Aug-1995.)
       (New usage is discouraged.) $)
    df-enq $a |- ~Q = { <. x , y >. | ( ( x e. ( N. X. N. ) /\
                   y e. ( N. X. N. ) ) /\ E. z E. w E. v E. u
                   ( ( x = <. z , w >. /\ y = <. v , u >. ) /\
                   ( z .N u ) = ( w .N v ) ) ) } $.

    $( Define class of positive fractions.  This is a "temporary" set used in
       the construction of complex numbers ~ df-c , and is intended to be used
       only by the construction.  From Proposition 9-2.2 of [Gleason] p. 117.
       (Contributed by NM, 16-Aug-1995.)  (New usage is discouraged.) $)
    df-nq $a |- Q. = { x e. ( N. X. N. ) | A. y e. ( N. X. N. )
      ( x ~Q y -> -. ( 2nd ` y ) <N ( 2nd ` x ) ) } $.

    $( Define a convenience function that "reduces" a fraction to lowest terms.
       Note that in this form, it is not obviously a function; we prove this in
       ~ nqerf .  (Contributed by NM, 27-Aug-1995.)
       (New usage is discouraged.) $)
    df-erq $a |- /Q = ( ~Q i^i ( ( N. X. N. ) X. Q. ) ) $.

    $( Define addition on positive fractions.  This is a "temporary" set used
       in the construction of complex numbers ~ df-c , and is intended to be
       used only by the construction.  From Proposition 9-2.3 of [Gleason]
       p. 117.  (Contributed by NM, 24-Aug-1995.)
       (New usage is discouraged.) $)
    df-plq $a |- +Q = ( ( /Q o. +pQ ) |` ( Q. X. Q. ) ) $.

    $( Define multiplication on positive fractions.  This is a "temporary" set
       used in the construction of complex numbers ~ df-c , and is intended to
       be used only by the construction.  From Proposition 9-2.4 of [Gleason]
       p. 119.  (Contributed by NM, 24-Aug-1995.)
       (New usage is discouraged.) $)
    df-mq $a |- .Q = ( ( /Q o. .pQ ) |` ( Q. X. Q. ) ) $.

    $( Define positive fraction constant 1.  This is a "temporary" set used in
       the construction of complex numbers ~ df-c , and is intended to be used
       only by the construction.  From Proposition 9-2.2 of [Gleason] p. 117.
       (Contributed by NM, 29-Oct-1995.)  (New usage is discouraged.) $)
    df-1nq $a |- 1Q = <. 1o , 1o >. $.

    $( Define reciprocal on positive fractions.  It means the same thing as one
       divided by the argument (although we don't define full division since we
       will never need it).  This is a "temporary" set used in the construction
       of complex numbers ~ df-c , and is intended to be used only by the
       construction.  From Proposition 9-2.5 of [Gleason] p. 119, who uses an
       asterisk to denote this unary operation.  (Contributed by NM,
       6-Mar-1996.)  (New usage is discouraged.) $)
    df-rq $a |- *Q = ( `' .Q " { 1Q } ) $.

    $( Define ordering relation on positive fractions.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  Similar to Definition 5 of
       [Suppes] p. 162.  (Contributed by NM, 13-Feb-1996.)
       (New usage is discouraged.) $)
    df-ltnq $a |- <Q = ( <pQ i^i ( Q. X. Q. ) ) $.
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u D $.
    $( Equivalence relation for positive fractions in terms of positive
       integers.  (Contributed by NM, 27-Aug-1995.)
       (New usage is discouraged.) $)
    enqbreq $p |- ( ( ( A e. N. /\ B e. N. ) /\ ( C e. N. /\ D e. N. ) ) ->
          ( <. A , B >. ~Q <. C , D >. <-> ( A .N D ) = ( B .N C ) ) ) $=
      ( vx vy vz vw vv vu cmi ceq cnpi df-enq ecopoveq ) EFGHIJABCDKLMEFGHIJNO
      $.
  $}

  $( Equivalence relation for positive fractions in terms of positive integers.
     (Contributed by Mario Carneiro, 8-May-2013.)
     (New usage is discouraged.) $)
  enqbreq2 $p |- ( ( A e. ( N. X. N. ) /\ B e. ( N. X. N. ) ) ->
        ( A ~Q B <-> ( ( 1st ` A ) .N ( 2nd ` B ) ) =
                     ( ( 1st ` B ) .N ( 2nd ` A ) ) ) ) $=
    ( cnpi cxp wcel wa ceq wbr c1st cfv c2nd cop co wceq 1st2nd2 wb xp1st xp2nd
    cmi jca breqan12d enqbreq syl2an mulcompi eqeq2i a1i 3bitrd ) ACCDZEZBUHEZF
    ZABGHAIJZAKJZLZBIJZBKJZLZGHZULUPSMZUMUOSMZNZUSUOUMSMZNZUIUJAUNBUQGACCOBCCOU
    AUIULCEZUMCEZFUOCEZUPCEZFURVAPUJUIVDVEACCQACCRTUJVFVGBCCQBCCRTULUMUOUPUBUCV
    AVCPUKUTVBUSUMUOUDUEUFUG $.

  ${
    $d x y z w v u $.
    $( The equivalence relation for positive fractions is an equivalence
       relation.  Proposition 9-2.1 of [Gleason] p. 117.  (Contributed by NM,
       27-Aug-1995.)  (Revised by Mario Carneiro, 6-Jul-2015.)
       (New usage is discouraged.) $)
    enqer $p |- ~Q Er ( N. X. N. ) $=
      ( vx vy vz vw vv vu cmi ceq cnpi df-enq cv mulcompi mulclpi mulasspi wcel
      wa co wceq mulcanpi biimpd ecopover ) ABCDEFGHIABCDEFJAKZBKZLUBUCMUBUCCKZ
      NUBIOUCIOPUBUCGQUBUDGQRUCUDRUBUCUDSTUA $.
  $}

  ${
    $d x y z w v u $.
    $( The equivalence relation for positive fractions exists.  (Contributed by
       NM, 3-Sep-1995.)  (New usage is discouraged.) $)
    enqex $p |- ~Q e. _V $=
      ( vx vy vz vw vv vu ceq cnpi cxp niex xpex cv wcel wa cop wceq cmi co wex
      copab df-enq opabssxp eqsstri ssexi ) GHHIZUEIZUEUEHHJJKZUGKGALZUEMBLZUEM
      NUHCLZDLZOPUIELZFLZOPNUJUMQRUKULQRPNFSESDSCSZNABTUFABCDEFUAUNABUEUEUBUCUD
      $.
  $}

  ${
    $d x y $.
    $( The class of positive fractions exists.  (Contributed by NM,
       16-Aug-1995.)  (Revised by Mario Carneiro, 27-Apr-2013.)
       (New usage is discouraged.) $)
    nqex $p |- Q. e. _V $=
      ( vy vx cv ceq wbr c2nd cfv clti wn wi cnpi cxp wral cnq niex xpex rabex2
      df-nq ) ACZBCZDETFGSFGHEIJBKKLZMAUANABRKKOOPQ $.

    $( The empty set is not a positive fraction.  (Contributed by NM,
       24-Aug-1995.)  (Revised by Mario Carneiro, 27-Apr-2013.)
       (New usage is discouraged.) $)
    0nnq $p |- -. (/) e. Q. $=
      ( vy vx c0 cnq wcel cnpi cxp 0nelxp cv ceq wbr c2nd clti wn wi wral df-nq
      cfv ssrab3 sseli mto ) CDECFFGZEFFHDUBCAIZBIZJKUDLRUCLRMKNOBUBPAUBDABQSTU
      A $.

    $( Each positive fraction is an ordered pair of positive integers (the
       numerator and denominator, in "lowest terms".  (Contributed by Mario
       Carneiro, 28-Apr-2013.)  (New usage is discouraged.) $)
    elpqn $p |- ( A e. Q. -> A e. ( N. X. N. ) ) $=
      ( vy vx cnq cnpi cxp cv ceq wbr c2nd cfv clti wn wral df-nq ssrab3 sseli
      wi ) DEEFZABGZCGZHIUAJKTJKLIMRCSNBSDBCOPQ $.

    $( Positive fraction 'less than' is a relation on positive fractions.
       (Contributed by NM, 14-Feb-1996.)  (Revised by Mario Carneiro,
       27-Apr-2013.)  (New usage is discouraged.) $)
    ltrelnq $p |- <Q C_ ( Q. X. Q. ) $=
      ( cltq cltpq cnq cxp cin df-ltnq inss2 eqsstri ) ABCCDZEIFBIGH $.
  $}

  ${
    $d A x y $.
    $( The representatives of positive integers as positive fractions.
       (Contributed by NM, 29-Oct-1995.)  (Revised by Mario Carneiro,
       6-May-2013.)  (New usage is discouraged.) $)
    pinq $p |- ( A e. N. -> <. A , 1o >. e. Q. ) $=
      ( vx vy cnpi wcel c1o cop cv ceq wbr c2nd cfv clti wn wi wral wceq breq2d
      mpan2 cvv cxp crab cnq breq1 fveq2 notbid imbi12d ralbidv 1pi nlt1pi 1oex
      opelxpi op2ndg mtbiri a1d ralrimivw elrabd df-nq eleqtrrdi ) ADEZAFGZBHZC
      HZIJZVCKLZVBKLZMJZNZOZCDDUAZPZBVJUBUCUTVKVAVCIJZVEVAKLZMJZNZOZCVJPBVAVJVB
      VAQZVIVPCVJVQVDVLVHVOVBVAVCIUDVQVGVNVQVFVMVEMVBVAKUERUFUGUHUTFDEVAVJEUIAF
      DDULSUTVPCVJUTVOVLUTVNVEFMJVEUJUTVMFVEMUTFTEVMFQUKAFDTUMSRUNUOUPUQBCURUS
      $.
  $}

  $( The positive fraction 'one'.  (Contributed by NM, 29-Oct-1995.)  (Revised
     by Mario Carneiro, 28-Apr-2013.)  (New usage is discouraged.) $)
  1nq $p |- 1Q e. Q. $=
    ( c1q c1o cop cnq df-1nq cnpi wcel 1pi pinq ax-mp eqeltri ) ABBCZDEBFGLDGHB
    IJK $.

  ${
    $d A a b x y $.  $d a b c d m x z $.  $d m x y z $.
    $( There is a unique element of ` Q. ` equivalent to each element of
       ` N. X. N. ` .  (Contributed by Mario Carneiro, 28-Apr-2013.)
       (New usage is discouraged.) $)
    nqereu $p |- ( A e. ( N. X. N. ) -> E! x e. Q. x ~Q A ) $=
      ( vy va vb vm vd vz cnpi wcel ceq wbr cnq wrex wa wi wral wceq clti wn vc
      cxp cv weq wreu cop elxp2 wel con0 csuc pion suceloni syl vex sucid eleq2
      rspcev sylancl adantl elequ2 imbi1d 2ralbidv breq2d rexbidv imbi2d elequ1
      opeq1 opeq2 imbi12d cbvral2vw ralbii c2nd cfv rexnal pm4.63 xp2nd ltpiord
      wb ancoms sylan2 adantll anbi2d syl5bb rexbidva bitr3id c1st xp1st rspccv
      w3a ralbidv eleq1 syl6 imp syl5 mpdi 3imp 1st2nd2 3ad2ant2 mpbird wer a1i
      enqer simpr simpl ertr4d ex reximdv syl5com 3expia rexlimdva com3r syl6bi
      impcomd com13 cmi co mulcompi enqbreq anidms mpbiri opelxpi op2ndd notbid
      breq1 df-nq elrab2 com12 breq2 elpqn fveq2 simprbi breq1d rspcva ad2antrr
      rsp syl2an ad2antlr syl2anc mpbid jca simplbi2 sylsyld pm2.61d2 ralrimivv
      expcom a1dd sylbir tfis2 impd rexlimdv syl5ibrcom rexlimivv sylbi anbi12d
      mpd syl2anr wo rabeq2i ersym impel wor ltsopi sotric mpan notnotb bitr4di
      id ord mt3d oveq2d eqtrid breqan12d bitrd biimpa mulcanpi opeq12d 3eqtr4d
      eqtrd rgen2 vtoclg reu4 sylanbrc ) BIIUBZJZAUCZBKLZAMNZUWFCUCZBKLZOZACUDZ
      PZCMQAMQZUWFAMUEUWDBDUCZEUCZUFZRZEINDINUWGDEBIIUGUWQUWGDEIIUWNIJZUWOIJZOZ
      UWGUWQUWEUWPKLZAMNZUWTECUHZCUINZUXBUWSUXDUWRUWSUWOUJZUIJZUWOUXEJZUXDUWSUW
      OUIJUXFUWOUKUWOULUMUWOEUNZUOUXCUXGCUXEUIUWHUXEUWOUPUQURUSUWTUXCUXBCUIUWHU
      IJZUWTUXCUXBPZUXIUWRUWSUXJUXIUWRUXJEIQZUWSUXJPUXIUXKDIQZUWRUXKPUXLEFUHZUX
      BPZEIQDIQZCFCFUDZUXJUXNDEIIUXPUXCUXMUXBCFEUTVAVBUXOFUWHQZUXLPUXIUXQGFUHZU
      WEUAUCZGUCZUFZKLZAMNZPZGIQUAIQZFUWHQZUXLUYEUXOFUWHUYDUXNUXRUWEUWNUXTUFZKL
      ZAMNZPUAGDEIIUADUDZUYCUYIUXRUYJUYBUYHAMUYJUYAUYGUWEKUXSUWNUXTVGVCVDVEGEUD
      ZUXRUXMUYIUXBGEFVFUYKUYHUXAAMUYKUYGUWPUWEKUXTUWOUWNVHVCVDVIVJVKUYFUXJDEII
      UYFUWPHUCZKLZUYLVLVMZUWOSLZTZPZHUWCQZUWTUXJPUWTUYRTZUYFUXJUWTUYSUYMUYNUWO
      JZOZHUWCNZUYFUXJPUYSUYQTZHUWCNUWTVUBUYQHUWCVNUWTVUCVUAHUWCVUCUYMUYOOUWTUY
      LUWCJZOZVUAUYMUYOVOVUEUYOUYTUYMUWSVUDUYOUYTVRZUWRVUDUWSUYNIJZVUFUYLIIVPZV
      UGUWSVUFUYNUWOVQVSVTWAWBWCWDWEUYFUXCVUBUXBUYFUXCVUBUXBPUYFUXCOZVUAUXBHUWC
      VUIVUDOUYTUYMUXBVUIVUDUYTUYMUXBPVUIVUDUYTWIZUWEUYLKLZAMNZUYMUXBVUJVULUWEU
      YLWFVMZUYNUFZKLZAMNZVUIVUDUYTVUPVUIVUDVUGUYTVUPPZVUHVUDVUMIJZVUIVUGVUQPZU
      YLIIWGUYFUXCVURVUSPZUYFUXCGEUHZUYCPZGIQZUAIQZVUTUYEVVDFUWOUWHFEUDZUYDVVBU
      AGIIVVEUXRVVAUYCFEGUTVAVBWHVVDVURVVAUWEVUMUXTUFZKLZAMNZPZGIQZVUSVVCVVJUAV
      UMIUXSVUMRZVVBVVIGIVVKUYCVVHVVAVVKUYBVVGAMVVKUYAVVFUWEKUXSVUMUXTVGVCVDVEW
      JWHVVIVUQGUYNIUXTUYNRZVVAUYTVVHVUPUXTUYNUWOWKVVLVVGVUOAMVVLVVFVUNUWEKUXTU
      YNVUMVHVCVDVIWHWLWLWMWNWOWPVUDVUIVULVUPVRUYTVUDVUKVUOAMVUDUYLVUNUWEKUYLII
      WQVCVDWRWSUYMVUKUXAAMUYMVUKUXAUYMVUKOZUWEUYLUWPKUWCUWCKWTZVVMXBXAUYMVUKXC
      UYMVUKXDXEXFXGXHXIXMXJXFXKXLXNUYRUWTUXBUXCUWTUYRUXBUWTUWPUWPKLZUYRUWPMJZU
      XBUWTVVOUWNUWOXOXPUWOUWNXOXPRZUWNUWOXQUWTVVOVVQVRUWNUWOUWNUWOXRXSXTUWTUWP
      UWCJZUYRVVPPUWNUWOIIYAVVPVVRUYRUWHUYLKLZUYNUWHVLVMZSLZTZPZHUWCQZUYRCUWPUW
      CMUWHUWPRZVWCUYQHUWCVWEVVSUYMVWBUYPUWHUWPUYLKYDVWEVWAUYOVWEVVTUWOUYNSUWNU
      WOUWHDUNUXHYBVCYCVIWJCHYEZYFUUAUMVVPVVOUXBUXAVVOAUWPMUWEUWPUWPKYDUQUUEUUB
      YGUUFUUCUUDUUGXAUUHUXKDIYOUMUXJEIYOWLUUIYGUUJUUOUWQUWFUXAAMBUWPUWEKYHVDUU
      KUULUUMUWEUWNKLZUWHUWNKLZOZUWKPZCMQAMQUWMDBUWCUWNBRZVWJUWLACMMVWKVWIUWJUW
      KVWKVWGUWFVWHUWIUWNBUWEKYHUWNBUWHKYHUUNVAVBVWJACMMVWIUWEUWHKLZUWEMJZUWHMJ
      ZOZUWKVWIUWEUWNUWHKUWCVVNVWIXBXAVWGVWHXDVWGVWHXCXEVWOVWLUWKVWOVWLOZUWEWFV
      MZUWEVLVMZUFZUWHWFVMZVVTUFZUWEUWHVWPVWQVWTVWRVVTVWPVWRVWQXOXPZVWRVWTXOXPZ
      RZVWQVWTRZVWPVXBVWQVVTXOXPZVXCVWPVXBVWQVWRXOXPVXFVWRVWQXQVWPVWRVVTVWQXOVW
      PVWRVVTRZVVTVWRSLZVWOVWLVXHTZVWNUWHUWCJZVUKUYNVWRSLZTZPZHUWCQZVWLVXIPZVWM
      UWHYIZVWMUWEUWCJZVXNVWDVXNCUWEUWCMCAUDZVWCVXMHUWCVXRVVSVUKVWBVXLUWHUWEUYL
      KYDVXRVWAVXKVXRVVTVWRUYNSUWHUWEVLYJVCYCVIWJVWFYFYKVXMVXOHUWHUWCHCUDZVUKVW
      LVXLVXIUYLUWHUWEKYHVXSVXKVXHVXSUYNVVTVWRSUYLUWHVLYJYLYCVIYMUUPWMVWPVXGVXH
      VWPVWRVVTSLZTZVXGVXHUUQZVWOUWHUWEKLZVYAVWLVWMVXQVWDVYCVYAPZVWNUWEYIZVWNVX
      JVWDVWDCMUWCVWFUURYKVWCVYDHUWEUWCHAUDZVVSVYCVWBVYAUYLUWEUWHKYHVYFVWAVXTVY
      FUYNVWRVVTSUYLUWEVLYJYLYCVIYMYPVWLUWEUWHKUWCVVNVWLXBXAVWLUVGUUSUUTVWPVWRI
      JZVVTIJZVYAVYBVRVWMVYGVWNVWLVWMVXQVYGVYEUWEIIVPZUMYNVWNVYHVWMVWLVWNVXJVYH
      VXPUWHIIVPZUMYQVYGVYHOZVYAVYBTZTVYBVYKVXTVYLISUVAVYKVXTVYLVRUVBIVWRVVTSUV
      CUVDYCVYBUVEUVFYRYSUVHUVIZUVJUVKVWOVWLVXFVXCRZVWMVXQVXJVWLVYNVRVWNVYEVXPV
      XQVXJOVWLVWSVXAKLZVYNVXQVXJUWEVWSUWHVXAKUWEIIWQZUWHIIWQZUVLVXQVWQIJZVYGOV
      WTIJZVYHOVYOVYNVRVXJVXQVYRVYGUWEIIWGZVYIYTVXJVYSVYHUWHIIWGVYJYTVWQVWRVWTV
      VTXRYPUVMYPUVNUVRVWPVXQVXDVXEVRZVWMVXQVWNVWLVYEYNZVXQVYGVYRWUAVYIVYTVWRVW
      QVWTUVOYRUMYSVYMUVPVWPVXQUWEVWSRWUBVYPUMVWPVXJUWHVXARVWNVXJVWMVWLVXPYQVYQ
      UMUVQXFWNUVSUVTUWFUWIACMUWEUWHBKYDUWAUWB $.
  $}

  ${
    $d x y $.
    $( Corollary of ~ nqereu : the function ` /Q ` is actually a function.
       (Contributed by Mario Carneiro, 6-May-2013.)
       (New usage is discouraged.) $)
    nqerf $p |- /Q : ( N. X. N. ) --> Q. $=
      ( vx vy cnpi cxp cnq cerq crn wss cdm wceq wbr wmo cvv ceq df-erq eqsstri
      cv wcel wa mpbir2an wf wfn wfun wrel wal inss2 xpss sstri df-rel mpbir wi
      cin wreu nqereu weu df-reu eumo sylbi syl moanimv simpld simprd wer enqer
      brel a1i inss1 ssbri ersym jca32 moimi ax-mp ax-gen dffun6 c1q c0 wne 1nq
      dmss ne0i dmxp mp2b sseqtri wrex reurex simpll simplr simpr breqi brinxp2
      wex bitri syl21anbrc reximdva rexex syl56 mpd vex eldm sylibr ssriv eqssi
      ex df-fn rnssi rnxpss df-f ) CCDZEFUAFXHUBZFGZEHXIFUCZFIZXHJXKFUDZAQZBQZF
      KZBLZAUEXMFMMDZHFXHEDZXRFNXSULZXSONXSUFPZXHEUGUHFUIUJXQAXNXHRZXOERZXOXNNK
      ZSZSZBLZXQYGYBYEBLZUKYBYDBEUMZYHBXNUNZYIYEBUOYHYDBEUPYEBUQURUSYBYEBUTUJXP
      YFBXPYBYCYDXPYBYCXNXOXHEFYAVEZVAXPYBYCYKVBXPXNXONXHXHNVCZXPVDVFFNXNXOFXTN
      ONXSVGPVHVIVJVKVLVMABFVNTXLXHXLXSIZXHFXSHXLYMHYAFXSVSVLVOEREVPVQYMXHJVREV
      OVTXHEWAWBWCAXHXLYBXPBWKZXNXLRYBYIYNYJYIYDBEWDYBXPBEWDYNYDBEWEYBYDXPBEYBY
      CSZYDXPYOYDSZYBYCXNXONKZXPYBYCYDWFYBYCYDWGYPXOXNNXHYLYPVDVFYOYDWHVIXPXNXO
      XTKYOYQSXNXOFXTOWIXHEXNXONWJWLWMXCWNXPBEWOWPWQBXNFAWRWSWTXAXBFXHXDTXJXSGE
      FXSYAXEXHEXFUHXHEFXGT $.
  $}

  $( Corollary of ~ nqereu : closure of ` /Q ` .  (Contributed by Mario
     Carneiro, 6-May-2013.)  (New usage is discouraged.) $)
  nqercl $p |- ( A e. ( N. X. N. ) -> ( /Q ` A ) e. Q. ) $=
    ( cnpi cxp cnq cerq nqerf ffvelrni ) BBCDAEFG $.

  $( Any member of ` ( N. X. N. ) ` relates to the representative of its
     equivalence class.  (Contributed by Mario Carneiro, 6-May-2013.)
     (New usage is discouraged.) $)
  nqerrel $p |- ( A e. ( N. X. N. ) -> A ~Q ( /Q ` A ) ) $=
    ( cnpi cxp wcel cerq cfv wbr ceq wceq wfn wb cnq wf nqerf ffn ax-mp fnbrfvb
    eqid mpan mpbii cin df-erq inss1 eqsstri ssbri syl ) ABBCZDZAAEFZEGZAUIHGUH
    UIUIIZUJUIREUGJZUHUKUJKUGLEMULNUGLEOPUGAUIEQSTEHAUIEHUGLCZUAHUBHUMUCUDUEUF
    $.

  $( Corollary of ~ nqereu : the function ` /Q ` acts as the identity on
     members of ` Q. ` .  (Contributed by Mario Carneiro, 6-May-2013.)
     (New usage is discouraged.) $)
  nqerid $p |- ( A e. Q. -> ( /Q ` A ) = A ) $=
    ( cerq wfun cnq wcel wbr cfv wceq cnpi cxp wf nqerf ffun ax-mp ceq elpqn id
    wer enqer wa a1i erref df-erq breqi brinxp2 bitri syl21anbrc funbrfv mpsyl
    cin ) BCZADEZAABFZABGAHIIJZDBKUKLUNDBMNULAUNEZULAAOFZUMAPZULQULAOUNUNORULSU
    AUQUBUMAAOUNDJUJZFUOULTUPTAABURUCUDUNDAAOUEUFUGAABUHUI $.

  ${
    $d A x $.  $d B x $.
    $( Corollary of ~ nqereu : if two fractions are both reduced and
       equivalent, then they are equal.  (Contributed by Mario Carneiro,
       6-May-2013.)  (New usage is discouraged.) $)
    enqeq $p |- ( ( A e. Q. /\ B e. Q. /\ A ~Q B ) -> A = B ) $=
      ( vx cnq wcel ceq wbr w3a wa cv wmo wceq 3simpa wrmo cnpi cxp eleq1 breq1
      wreu anbi12d elpqn 3ad2ant2 nqereu reurmo df-rmo sylib 3simpb simp2 enqer
      3syl wer a1i erref jca moi syl112anc ) ADEZBDEZABFGZHZUQURICJZDEZVABFGZIZ
      CKZUQUSIZURBBFGZIZABLUQURUSMUTVCCDNZVEUTBOOPZEZVCCDSVIURUQVKUSBUAUBZCBUCV
      CCDUDUJVCCDUEUFUQURUSUGUTURVGUQURUSUHUTBFVJVJFUKUTUIULVLUMUNVDVFVHCABDDVA
      ALVBUQVCUSVAADQVAABFRTVABLVBURVCVGVABDQVABBFRTUOUP $.
  $}

  $( The function ` /Q ` acts as a substitute for equivalence classes, and it
     satisfies the fundamental requirement for equivalence representatives: the
     representatives are equal iff the members are equivalent.  (Contributed by
     Mario Carneiro, 6-May-2013.)  (Revised by Mario Carneiro, 12-Aug-2015.)
     (New usage is discouraged.) $)
  nqereq $p |- ( ( A e. ( N. X. N. ) /\ B e. ( N. X. N. ) ) ->
    ( A ~Q B <-> ( /Q ` A ) = ( /Q ` B ) ) ) $=
    ( cnpi cxp wcel wa ceq wbr cerq cfv wceq w3a nqercl 3ad2ant1 3ad2ant2 enqer
    cnq wer a1i nqerrel simp3 ertr3d ertrd syl3anc 3expia adantr simprr breqtrd
    enqeq ad2antrl ertr4d expr impbid ) ACCDZEZBUNEZFABGHZAIJZBIJZKZUOUPUQUTUOU
    PUQLZURQEZUSQEZURUSGHUTUOUPVBUQAMNUPUOVCUQBMOVAURBUSGUNUNGRZVAPSZVAURABGUNV
    EUOUPAURGHZUQATZNUOUPUQUAUBUPUOBUSGHZUQBTZOUCURUSUIUDUEUOUPUTUQUOUPUTFZFZAU
    SBGUNVDVKPSVKAURUSGUOVFVJVGUFUOUPUTUGUHUPVHUOUTVIUJUKULUM $.

  ${
    $d A x y $.  $d B x y $.  $d C y $.
    $( Addition of positive fractions in terms of positive integers.
       (Contributed by Mario Carneiro, 8-May-2013.)
       (New usage is discouraged.) $)
    addpipq2 $p |- ( ( A e. ( N. X. N. ) /\ B e. ( N. X. N. ) ) ->
      ( A +pQ B ) = <. ( ( ( 1st ` A ) .N ( 2nd ` B ) ) +N
                         ( ( 1st ` B ) .N ( 2nd ` A ) ) ) ,
                         ( ( 2nd ` A ) .N ( 2nd ` B ) ) >. ) $=
      ( vx vy cnpi cxp cv c1st cfv c2nd cmi cpli cop wceq oveq1d oveq2d oveq12d
      co fveq2 opeq12d cplpq df-plpq opex ovmpo ) CDABEEFZUECGZHIZDGZJIZKRZUHHI
      ZUFJIZKRZLRZULUIKRZMAHIZBJIZKRZBHIZAJIZKRZLRZUTUQKRZMUAUPUIKRZUKUTKRZLRZU
      TUIKRZMUFANZUNVFUOVGVHUJVDUMVELVHUGUPUIKUFAHSOVHULUTUKKUFAJSZPQVHULUTUIKV
      IOTUHBNZVFVBVGVCVJVDURVEVALVJUIUQUPKUHBJSZPVJUKUSUTKUHBHSOQVJUIUQUTKVKPTC
      DUBVBVCUCUD $.

    $( Addition of positive fractions in terms of positive integers.
       (Contributed by Mario Carneiro, 8-May-2013.)
       (New usage is discouraged.) $)
    addpipq $p |- ( ( ( A e. N. /\ B e. N. ) /\ ( C e. N. /\ D e. N. ) ) ->
          ( <. A , B >. +pQ <. C , D >. ) =
            <. ( ( A .N D ) +N ( C .N B ) ) , ( B .N D ) >. ) $=
      ( cnpi wcel wa cop cplpq c1st cfv c2nd cmi cpli cxp opelxpi op1stg op2ndg
      co oveqan12d wceq addpipq2 syl2an oveqan12rd oveq12d opeq12d eqtrd ) AEFB
      EFGZCEFDEFGZGZABHZCDHZISZUKJKZULLKZMSZULJKZUKLKZMSZNSZURUOMSZHZADMSZCBMSZ
      NSZBDMSZHUHUKEEOZFULVGFUMVBUAUIABEEPCDEEPUKULUBUCUJUTVEVAVFUJUPVCUSVDNUHU
      IUNAUODMABEEQCDEERZTUIUHUQCURBMCDEEQABEERZUDUEUHUIURBUODMVIVHTUFUG $.

    $( Addition of positive fractions in terms of positive integers.
       (Contributed by NM, 28-Aug-1995.)  (Revised by Mario Carneiro,
       26-Dec-2014.)  (New usage is discouraged.) $)
    addpqnq $p |- ( ( A e. Q. /\ B e. Q. ) ->
        ( A +Q B ) = ( /Q ` ( A +pQ B ) ) ) $=
      ( vx vy cnq wcel cop cplq cfv cplpq cerq co cxp wceq opelxpi cnpi cv c1st
      c2nd cmi ccom cres df-plq fveq1i a1i fvresd wfn cpli df-plpq fnmpoi elpqn
      wa opex syl2an fvco2 sylancr 3eqtrd df-ov fveq2i 3eqtr4g ) AEFZBEFZULZABG
      ZHIZVDJIZKIZABHLABJLZKIVCVEVDKJUAZEEMZUBZIZVDVIIZVGVEVLNVCVDHVKUCUDUEVCVD
      VJVIABEEOUFVCJPPMZVNMZUGVDVOFZVMVGNCDVNVNCQZRIDQZSIZTLVRRIVQSIZTLUHLZVTVS
      TLZGJCDUIWAWBUMUJVAAVNFBVNFVPVBAUKBUKABVNVNOUNVOKJVDUOUPUQABHURVHVFKABJUR
      USUT $.

    $( Multiplication of positive fractions in terms of positive integers.
       (Contributed by Mario Carneiro, 8-May-2013.)
       (New usage is discouraged.) $)
    mulpipq2 $p |- ( ( A e. ( N. X. N. ) /\ B e. ( N. X. N. ) ) ->
      ( A .pQ B ) = <. ( ( 1st ` A ) .N ( 1st ` B ) ) ,
                       ( ( 2nd ` A ) .N ( 2nd ` B ) ) >. ) $=
      ( vx vy cnpi cxp cv c1st cfv cmi c2nd cop cmpq wceq oveq1d opeq12d oveq2d
      co fveq2 df-mpq opex ovmpo ) CDABEEFZUCCGZHIZDGZHIZJRZUDKIZUFKIZJRZLAHIZB
      HIZJRZAKIZBKIZJRZLMULUGJRZUOUJJRZLUDANZUHURUKUSUTUEULUGJUDAHSOUTUIUOUJJUD
      AKSOPUFBNZURUNUSUQVAUGUMULJUFBHSQVAUJUPUOJUFBKSQPCDTUNUQUAUB $.

    $( Multiplication of positive fractions in terms of positive integers.
       (Contributed by NM, 28-Aug-1995.)  (Revised by Mario Carneiro,
       8-May-2013.)  (New usage is discouraged.) $)
    mulpipq $p |- ( ( ( A e. N. /\ B e. N. ) /\ ( C e. N. /\ D e. N. ) ) ->
          ( <. A , B >. .pQ <. C , D >. ) = <. ( A .N C ) , ( B .N D ) >. ) $=
      ( cnpi wcel wa cop cmpq co c1st cfv cmi c2nd cxp opelxpi op1stg oveqan12d
      wceq op2ndg mulpipq2 syl2an opeq12d eqtrd ) AEFBEFGZCEFDEFGZGZABHZCDHZIJZ
      UHKLZUIKLZMJZUHNLZUINLZMJZHZACMJZBDMJZHUEUHEEOZFUIUTFUJUQSUFABEEPCDEEPUHU
      IUAUBUGUMURUPUSUEUFUKAULCMABEEQCDEEQRUEUFUNBUODMABEETCDEETRUCUD $.

    $( Multiplication of positive fractions in terms of positive integers.
       (Contributed by NM, 28-Aug-1995.)  (Revised by Mario Carneiro,
       26-Dec-2014.)  (New usage is discouraged.) $)
    mulpqnq $p |- ( ( A e. Q. /\ B e. Q. ) ->
        ( A .Q B ) = ( /Q ` ( A .pQ B ) ) ) $=
      ( vx vy cnq wcel cop cmq cfv cmpq cerq co cxp wceq opelxpi cnpi c1st c2nd
      cv cmi wa ccom cres df-mq fveq1i a1i fvresd wfn df-mpq opex fnmpoi syl2an
      elpqn fvco2 sylancr 3eqtrd df-ov fveq2i 3eqtr4g ) AEFZBEFZUAZABGZHIZVCJIZ
      KIZABHLABJLZKIVBVDVCKJUBZEEMZUCZIZVCVHIZVFVDVKNVBVCHVJUDUEUFVBVCVIVHABEEO
      UGVBJPPMZVMMZUHVCVNFZVLVFNCDVMVMCSZQIDSZQITLZVPRIVQRITLZGJCDUIVRVSUJUKUTA
      VMFBVMFVOVAAUMBUMABVMVMOULVNKJVCUNUOUPABHUQVGVEKABJUQURUS $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.  $d D x y $.
    $( Ordering of positive fractions in terms of positive integers.
       (Contributed by Mario Carneiro, 8-May-2013.)
       (New usage is discouraged.) $)
    ordpipq $p |- ( <. A , B >. <pQ <. C , D >. <->
                          ( A .N D ) <N ( C .N B ) ) $=
      ( vx vy wbr cnpi wcel wa cmi clti c1st cfv c2nd wceq fveq2 sylbi sylan9eq
      co cop cltpq cxp cv opex anbi1d opelxp op1stg adantr oveq1d op2ndg oveq2d
      eleq1 breq12d bitrd anbi2d adantl df-ltpq brab simpr ltrelpi brel dmmulpi
      pm5.32da 0npi ndmovrcl anim12i opelxpi ad2ant2rl simprl opelxpd jca ancri
      simplr 3syl impbii bitri ) ABUAZCDUAZUBGVRHHUCZIZVSVTIZJZADKTZCBKTZLGZJZW
      FEUDZVTIZFUDZVTIZJZWHMNZWJONZKTZWJMNZWHONZKTZLGZJZWAWKJZAWNKTZWPBKTZLGZJZ
      WGEFVRVSUBABUECDUEWHVRPZWTXAWSJXEXFWLXAWSXFWIWAWKWHVRVTUMUFUFXFXAWSXDXFXA
      JZWOXBWRXCLXGWMAWNKXFXAWMVRMNZAWHVRMQWAXHAPZWKWAAHIZBHIZJZXIABHHUGZABHHUH
      RUISUJXGWQBWPKXFXAWQVRONZBWHVROQWAXNBPZWKWAXLXOXMABHHUKRUISULUNVDUOWJVSPZ
      XEWCXDJWGXPXAWCXDXPWKWBWAWJVSVTUMUPUFXPWCXDWFXPWCJZXBWDXCWELXQWNDAKXPWCWN
      VSONZDWJVSOQWBXRDPZWAWBCHIZDHIZJZXSCDHHUGZCDHHUKRUQSULXQWPCBKXPWCWPVSMNZC
      WJVSMQWBYDCPZWAWBYBYEYCCDHHUHRUQSUJUNVDUOEFURUSWGWFWCWFUTWFWCWFWDHIZWEHIZ
      JXJYAJZXTXKJZJZWCWDWEHHLVAVBYFYHYGYIADHKVCVEVFCBHKVCVEVFVGYJWAWBXJXKWAYAX
      TABHHVHVIYJCDHHYHXTXKVJXJYAYIVNVKVLVOVMVPVQ $.
  $}

  $( Ordering of positive fractions in terms of positive integers.
     (Contributed by NM, 13-Feb-1996.)  (Revised by Mario Carneiro,
     28-Apr-2013.)  (New usage is discouraged.) $)
  ordpinq $p |- ( ( A e. Q. /\ B e. Q. ) ->
      ( A <Q B <-> ( ( 1st ` A ) .N ( 2nd ` B ) ) <N
                    ( ( 1st ` B ) .N ( 2nd ` A ) ) ) ) $=
    ( cnq wcel wa cltpq wbr cltq c1st cfv c2nd cmi co cxp cop cnpi elpqn 1st2nd
    wceq sylancr clti brinxp df-ltnq breqi bitr4di wrel relxp breqan12d ordpipq
    cin bitrdi bitr3d ) ACDZBCDZEZABFGZABHGZAIJZBKJZLMBIJZAKJZLMUAGZUOUPABFCCNU
    JZGUQABCCFUBABHVCUCUDUEUOUPURVAOZUTUSOZFGVBUMUNAVDBVEFUMPPNZUFZAVFDAVDSPPUG
    ZAQAVFRTUNVGBVFDBVESVHBQBVFRTUHURVAUTUSUIUKUL $.

  ${
    $d A x y $.  $d B y $.
    $( Closure of addition on positive fractions.  (Contributed by NM,
       29-Aug-1995.)  (Revised by Mario Carneiro, 8-May-2013.)
       (New usage is discouraged.) $)
    addpqf $p |- +pQ : ( ( N. X. N. ) X. ( N. X. N. ) ) --> ( N. X. N. ) $=
      ( vx vy cv c1st cfv c2nd cmi co cpli cop cnpi wcel wral cplpq xp1st xp2nd
      cxp wf mulclpi syl2an syl2anr addclpi syl2anc opelxpd rgen2 df-plpq fmpo
      wa mpbi ) ACZDEZBCZFEZGHZULDEZUJFEZGHZIHZUPUMGHZJZKKQZLZBVAMAVAMVAVAQVANR
      VBABVAVAUJVALZULVALZUHZURUSKKVEUNKLZUQKLZURKLVCUKKLUMKLZVFVDUJKKOULKKPZUK
      UMSTVDUOKLUPKLZVGVCULKKOUJKKPZUOUPSUAUNUQUBUCVCVJVHUSKLVDVKVIUPUMSTUDUEAB
      VAVAUTVANABUFUGUI $.

    $( Closure of addition on positive fractions.  (Contributed by NM,
       29-Aug-1995.)  (Revised by Mario Carneiro, 8-May-2013.)
       (New usage is discouraged.) $)
    addclnq $p |- ( ( A e. Q. /\ B e. Q. ) -> ( A +Q B ) e. Q. ) $=
      ( cnq wcel wa cplq co cplpq cerq cfv addpqnq cnpi cxp elpqn addpqf syl2an
      fovcl nqercl syl eqeltrd ) ACDZBCDZEZABFGABHGZIJZCABKUCUDLLMZDZUECDUAAUFD
      BUFDUGUBANBNABUFUFUFHOQPUDRST $.

    $( Closure of multiplication on positive fractions.  (Contributed by NM,
       29-Aug-1995.)  (Revised by Mario Carneiro, 8-May-2013.)
       (New usage is discouraged.) $)
    mulpqf $p |- .pQ : ( ( N. X. N. ) X. ( N. X. N. ) ) --> ( N. X. N. ) $=
      ( vx vy cv c1st cfv cmi co c2nd cop cnpi cxp wcel wral cmpq wf wa mulclpi
      xp1st syl2an xp2nd opelxpd rgen2 df-mpq fmpo mpbi ) ACZDEZBCZDEZFGZUFHEZU
      HHEZFGZIZJJKZLZBUOMAUOMUOUOKUONOUPABUOUOUFUOLZUHUOLZPUJUMJJUQUGJLUIJLUJJL
      URUFJJRUHJJRUGUIQSUQUKJLULJLUMJLURUFJJTUHJJTUKULQSUAUBABUOUOUNUONABUCUDUE
      $.

    $( Closure of multiplication on positive fractions.  (Contributed by NM,
       29-Aug-1995.)  (Revised by Mario Carneiro, 8-May-2013.)
       (New usage is discouraged.) $)
    mulclnq $p |- ( ( A e. Q. /\ B e. Q. ) -> ( A .Q B ) e. Q. ) $=
      ( cnq wcel wa cmq co cmpq cerq cfv mulpqnq cnpi elpqn mulpqf fovcl syl2an
      cxp nqercl syl eqeltrd ) ACDZBCDZEZABFGABHGZIJZCABKUCUDLLQZDZUECDUAAUFDBU
      FDUGUBAMBMABUFUFUFHNOPUDRST $.
  $}

  $( Domain of addition on positive fractions.  (Contributed by NM,
     24-Aug-1995.)  (Revised by Mario Carneiro, 10-Jul-2014.)
     (New usage is discouraged.) $)
  addnqf $p |- +Q : ( Q. X. Q. ) --> Q. $=
    ( vx cnq cxp cplq wf cerq cplpq ccom cres cnpi wss nqerf addpqf mp2an elpqn
    fco cv ssriv xpss12 fssres df-plq feq1i mpbir ) BBCZBDEUDBFGHZUDIZEZJJCZUHC
    ZBUEEZUDUIKZUGUHBFEUIUHGEUJLMUIUHBFGPNBUHKZULUKABUHAQORZUMBUHBUHSNUIBUDUETN
    UDBDUFUAUBUC $.

  $( Domain of multiplication on positive fractions.  (Contributed by NM,
     24-Aug-1995.)  (Revised by Mario Carneiro, 10-Jul-2014.)
     (New usage is discouraged.) $)
  mulnqf $p |- .Q : ( Q. X. Q. ) --> Q. $=
    ( vx cnq cxp cmq wf cerq cmpq ccom cres wss nqerf mulpqf fco mp2an cv elpqn
    cnpi ssriv xpss12 fssres df-mq feq1i mpbir ) BBCZBDEUDBFGHZUDIZEZQQCZUHCZBU
    EEZUDUIJZUGUHBFEUIUHGEUJKLUIUHBFGMNBUHJZULUKABUHAOPRZUMBUHBUHSNUIBUDUETNUDB
    DUFUAUBUC $.

  $( Addition of positive fractions is commutative.  (Contributed by NM,
     30-Aug-1995.)  (Revised by Mario Carneiro, 28-Apr-2013.)
     (New usage is discouraged.) $)
  addcompq $p |- ( A +pQ B ) = ( B +pQ A ) $=
    ( cnpi cxp wcel cplpq wceq c1st cfv c2nd cmi cpli addcompi mulcompi opeq12i
    wa co cop addpipq2 ancoms 3eqtr4a addpqf fdmi ndmovcom pm2.61i ) ACCDZEZBUF
    EZPZABFQZBAFQZGUIAHIBJIZKQZBHIAJIZKQZLQZUNULKQZRUOUMLQZULUNKQZRZUJUKUPURUQU
    SUMUOMUNULNOABSUHUGUKUTGBASTUAABUFFUFUFDUFFUBUCUDUE $.

  $( Addition of positive fractions is commutative.  (Contributed by NM,
     30-Aug-1995.)  (Revised by Mario Carneiro, 28-Apr-2013.)
     (New usage is discouraged.) $)
  addcomnq $p |- ( A +Q B ) = ( B +Q A ) $=
    ( cnq wcel wa cplq co wceq cplpq cfv addcompq fveq2i addpqnq ancoms 3eqtr4a
    cerq cxp addnqf fdmi ndmovcom pm2.61i ) ACDZBCDZEZABFGZBAFGZHUDABIGZPJBAIGZ
    PJZUEUFUGUHPABKLABMUCUBUFUIHBAMNOABCFCCQCFRSTUA $.

  $( Multiplication of positive fractions is commutative.  (Contributed by NM,
     31-Aug-1995.)  (Revised by Mario Carneiro, 28-Apr-2013.)
     (New usage is discouraged.) $)
  mulcompq $p |- ( A .pQ B ) = ( B .pQ A ) $=
    ( cnpi cxp wcel wa cmpq co wceq c1st cfv cmi c2nd mulcompi opeq12i mulpipq2
    cop ancoms 3eqtr4a mulpqf fdmi ndmovcom pm2.61i ) ACCDZEZBUDEZFZABGHZBAGHZI
    UGAJKZBJKZLHZAMKZBMKZLHZQUKUJLHZUNUMLHZQZUHUIULUPUOUQUJUKNUMUNNOABPUFUEUIUR
    IBAPRSABUDGUDUDDUDGTUAUBUC $.

  $( Multiplication of positive fractions is commutative.  (Contributed by NM,
     31-Aug-1995.)  (Revised by Mario Carneiro, 28-Apr-2013.)
     (New usage is discouraged.) $)
  mulcomnq $p |- ( A .Q B ) = ( B .Q A ) $=
    ( cnq wcel wa cmq wceq cmpq cerq cfv mulcompq fveq2i mulpqnq ancoms 3eqtr4a
    co cxp mulnqf fdmi ndmovcom pm2.61i ) ACDZBCDZEZABFPZBAFPZGUDABHPZIJBAHPZIJ
    ZUEUFUGUHIABKLABMUCUBUFUIGBAMNOABCFCCQCFRSTUA $.

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.
    $( Lemma for ~ adderpq .  (Contributed by Mario Carneiro, 8-May-2013.)
       (New usage is discouraged.) $)
    adderpqlem $p |- ( ( A e. ( N. X. N. ) /\ B e. ( N. X. N. ) /\
        C e. ( N. X. N. ) ) ->
      ( A ~Q B <-> ( A +pQ C ) ~Q ( B +pQ C ) ) ) $=
      ( vx vy cnpi wcel c1st cfv c2nd cmi co cpli wceq mulclpi syl2anc mulcompi
      fvex mulasspi eqtri vz cxp w3a cop cplpq wb xp1st 3ad2ant1 xp2nd 3ad2ant3
      ceq wbr addclpi 3ad2ant2 enqbreq syl22anc 3adant2 3adant1 breq12d 3adant3
      addpipq2 enqbreq2 mulcanpi addcanpi cv caov4 oveq12i ovex distrpi caovdir
      addcompi 3eqtr4i 3eqtrri oveq1i oveq2i eqeq12i bitr3di 3bitr2d 3bitr4rd )
      AFFUBZGZBVTGZCVTGZUCZAHIZCJIZKLZCHIZAJIZKLZMLZWIWFKLZUDZBHIZWFKLZWHBJIZKL
      ZMLZWPWFKLZUDZUKULZWKWSKLZWLWRKLZNZACUELZBCUELZUKULABUKULZWDWKFGZWLFGZWRF
      GZWSFGZXAXDUFWDWGFGZWJFGZXHWDWEFGZWFFGZXLWAWBXNWCAFFUGUHZWCWAXOWBCFFUIUJZ
      WEWFOPWDWHFGZWIFGZXMWCWAXRWBCFFUGUJZWAWBXSWCAFFUIUHZWHWIOPWGWJUMPWDXSXOXI
      YAXQWIWFOPZWDWOFGZWQFGZXJWDWNFGZXOYCWBWAYEWCBFFUGUNXQWNWFOPWDXRWPFGZYDXTW
      BWAYFWCBFFUIUNZWHWPOPZWOWQUMPWDYFXOXKYGXQWPWFOPWKWLWRWSUOUPWDXEWMXFWTUKWA
      WCXEWMNWBACVAUQWBWCXFWTNWABCVAURUSWDXGWEWPKLZWNWIKLZNZWFWFKLZYIKLZYLYJKLZ
      NZXDWAWBXGYKUFWCABVBUTWDYLFGZYIFGZYOYKUFWDXOXOYPXQXQWFWFOPZWDXNYFYQXPYGWE
      WPOPZYLYIYJVCPWDWLWQKLZYMMLZYTYNMLZNZYOXDWDYTFGZYMFGZUUCYOUFWDXIYDUUDYBYH
      WLWQOPWDYPYQUUEYRYSYLYIOPYTYMYNVDPUUAXBUUBXCYMYTMLWGWSKLZWJWSKLZMLUUAXBYM
      UUFYTUUGMYMYIYLKLUUFYLYIQDEUAWEWPWFWFKAHRBJRZCJRZDVEZEVEZQZUUJUUKUAVEZSZU
      UIVFTYTWIWHKLZWFWPKLZKLUUGDEUAWIWFWHWPKAJRUUICHRUULUUNUUHVFUUOWJUUPWSKWIW
      HQWFWPQVGTVGYTYMVKDEUAWGWJWSMKWEWFKVHWHWIKVHWPWFKVHUULUUJUUKUUMVIVJVLYTWL
      WOKLZMLUUQYTMLUUBXCYTUUQVKYNUUQYTMYNWFWFYJKLZKLZUUQWFWFYJSUUSWLWNKLZWFKLZ
      UUQUUSUURWFKLUVAWFUURQUURUUTWFKUUTWIWFWNKLZKLUVBWIKLUURWIWFWNSWIUVBQWFWNW
      ISVMVNTWLWNWFSTTVOWLWOWQVIVLVPVQVRVS $.

    $( Lemma for ~ mulerpq .  (Contributed by Mario Carneiro, 8-May-2013.)
       (New usage is discouraged.) $)
    mulerpqlem $p |- ( ( A e. ( N. X. N. ) /\ B e. ( N. X. N. ) /\
        C e. ( N. X. N. ) ) ->
      ( A ~Q B <-> ( A .pQ C ) ~Q ( B .pQ C ) ) ) $=
      ( vx vy vz cnpi wcel c1st cfv cmi co c2nd ceq wb mulclpi syl2anc mulcompi
      wceq fvex cxp w3a cop cmpq xp1st 3ad2ant1 3ad2ant3 xp2nd 3ad2ant2 enqbreq
      syl22anc mulpipq2 3adant2 3adant1 breq12d enqbreq2 3adant3 mulcanpi caov4
      wbr cv mulasspi eqtri 3eqtri eqeq12i a1i 3bitr2d 3bitr4rd ) AGGUAZHZBVIHZ
      CVIHZUBZAIJZCIJZKLZAMJZCMJZKLZUCZBIJZVOKLZBMJZVRKLZUCZNUTZVPWDKLZVSWBKLZS
      ZACUDLZBCUDLZNUTABNUTZVMVPGHZVSGHZWBGHZWDGHZWFWIOVMVNGHZVOGHZWMVJVKWQVLAG
      GUEUFZVLVJWRVKCGGUEUGZVNVOPQVMVQGHZVRGHZWNVJVKXAVLAGGUHUFVLVJXBVKCGGUHUGZ
      VQVRPQVMWAGHZWRWOVKVJXDVLBGGUEUIWTWAVOPQVMWCGHZXBWPVKVJXEVLBGGUHUIZXCWCVR
      PQVPVSWBWDUJUKVMWJVTWKWENVJVLWJVTSVKACULUMVKVLWKWESVJBCULUNUOVMWLVNWCKLZW
      AVQKLZSZVOVRKLZXGKLZXJXHKLZSZWIVJVKWLXIOVLABUPUQVMXJGHZXGGHZXMXIOVMWRXBXN
      WTXCVOVRPQVMWQXEXOWSXFVNWCPQXJXGXHURQXMWIOVMXKWGXLWHXKXGXJKLWGXJXGRDEFVNW
      CVOVRKAITBMTCITZDVAZEVAZRZXQXRFVAVBZCMTZUSVCXLXHXJKLWBVSKLWHXJXHRDEFWAVQV
      OVRKBITAMTXPXSXTYAUSWBVSRVDVEVFVGVH $.
  $}

  $( Addition is compatible with the equivalence relation.  (Contributed by
     Mario Carneiro, 8-May-2013.)  (New usage is discouraged.) $)
  adderpq $p |- ( ( /Q ` A ) +Q ( /Q ` B ) ) = ( /Q ` ( A +pQ B ) ) $=
    ( cnpi cxp wcel cerq cfv cplq co cplpq wceq cnq ceq wbr wb syl mpbid addpqf
    wn c0 wa nqercl addpqnq syl2an wer enqer nqerrel adantr wi elpqn adderpqlem
    a1i mpd imp adantl mpan9 addcompq 3brtr3g ertrd fovcl nqereq syl2anc eqtr4d
    3exp 0nnq cdm nqerf eleq2i ndmfv sylnbir eleq1d mtbiri con4i anim12i addnqf
    fdmi ndmov nsyl5 0nelxp mtbir pm2.61i ) ACCDZEZBWBEZUAZAFGZBFGZHIZABJIZFGZK
    WEWHWFWGJIZFGZWJWCWFLEZWGLEZWHWLKWDAUBZBUBZWFWGUCUDWEWIWKMNZWJWLKZWEWIWFBJI
    ZWKMWBWBMUEWEUFULWEAWFMNZWIWSMNZWCWTWDAUGUHWCWDWTXAOZWCWFWBEZWDXBUIWCWMXCWO
    WFUJPZWCXCWDXBAWFBUKVDUMUNQWEBWFJIZWGWFJIZWSWKMWEBWGMNZXEXFMNZWDXGWCBUGUOWC
    XCWDXGXHOZXDWDWGWBEZXCXIUIWDWNXJWPWGUJPZWDXJXCXIBWGWFUKVDUMUPQBWFUQWGWFUQUR
    USWEWIWBEWKWBEZWQWROABWBWBWBJRUTWCXCXJXLWDXDXKWFWGWBWBWBJRUTUDWIWKVAVBQVCWE
    SZWHTWJWMWNUAWEWHTKWMWCWNWDWCWMWCSZWMTLEZVEXNWFTLWCAFVFZEWFTKXPWBAWBLFVGVPZ
    VHAFVIVJVKVLVMWDWNWDSZWNXOVEXRWGTLWDBXPEWGTKXPWBBXQVHBFVIVJVKVLVMVNWFWGLHLL
    DLHVOVPVQVRXMWIXPEZSWJTKXMXSTXPEZXTTWBECCVSXPWBTXQVHVTXMWITXPABWBJWBWBDWBJR
    VPVQVKVLWIFVIPVCWA $.

  $( Multiplication is compatible with the equivalence relation.  (Contributed
     by Mario Carneiro, 8-May-2013.)  (New usage is discouraged.) $)
  mulerpq $p |- ( ( /Q ` A ) .Q ( /Q ` B ) ) = ( /Q ` ( A .pQ B ) ) $=
    ( cnpi cxp wcel cerq cfv cmq co cmpq wceq cnq ceq wbr wb mpbid mulpqf wn c0
    syl wa nqercl mulpqnq syl2an wer enqer nqerrel adantr elpqn mulerpqlem 3exp
    a1i mpd imp adantl mpan9 mulcompq 3brtr3g ertrd fovcl nqereq syl2anc eqtr4d
    0nnq cdm nqerf fdmi eleq2i ndmfv sylnbir eleq1d mtbiri con4i anim12i mulnqf
    wi ndmov nsyl5 0nelxp mtbir pm2.61i ) ACCDZEZBWBEZUAZAFGZBFGZHIZABJIZFGZKWE
    WHWFWGJIZFGZWJWCWFLEZWGLEZWHWLKWDAUBZBUBZWFWGUCUDWEWIWKMNZWJWLKZWEWIWFBJIZW
    KMWBWBMUEWEUFULWEAWFMNZWIWSMNZWCWTWDAUGUHWCWDWTXAOZWCWFWBEZWDXBVPWCWMXCWOWF
    UITZWCXCWDXBAWFBUJUKUMUNPWEBWFJIZWGWFJIZWSWKMWEBWGMNZXEXFMNZWDXGWCBUGUOWCXC
    WDXGXHOZXDWDWGWBEZXCXIVPWDWNXJWPWGUITZWDXJXCXIBWGWFUJUKUMUPPBWFUQWGWFUQURUS
    WEWIWBEWKWBEZWQWROABWBWBWBJQUTWCXCXJXLWDXDXKWFWGWBWBWBJQUTUDWIWKVAVBPVCWERZ
    WHSWJWMWNUAWEWHSKWMWCWNWDWCWMWCRZWMSLEZVDXNWFSLWCAFVEZEWFSKXPWBAWBLFVFVGZVH
    AFVIVJVKVLVMWDWNWDRZWNXOVDXRWGSLWDBXPEWGSKXPWBBXQVHBFVIVJVKVLVMVNWFWGLHLLDL
    HVOVGVQVRXMWIXPEZRWJSKXMXSSXPEZXTSWBECCVSXPWBSXQVHVTXMWISXPABWBJWBWBDWBJQVG
    VQVKVLWIFVITVCWA $.

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.
    $( Addition of positive fractions is associative.  (Contributed by NM,
       2-Sep-1995.)  (Revised by Mario Carneiro, 28-Apr-2013.)
       (New usage is discouraged.) $)
    addassnq $p |- ( ( A +Q B ) +Q C ) = ( A +Q ( B +Q C ) ) $=
      ( vx cnq wcel cplq wceq cplpq cerq cfv c2nd cmi cpli cop cnpi syl2anc syl
      co mulclpi vy vz w3a c1st addasspi ovex fvex cv mulcompi distrpi mulasspi
      caovdir oveq1i eqtri caov32 oveq2i oveq12i 3eqtr4i opeq12i elpqn 3ad2ant1
      cxp 3ad2ant2 addpipq2 relxp 3ad2ant3 1st2nd sylancr oveq12d xp1st addclpi
      wrel xp2nd addpipq syl22anc eqtrd 3eqtr4a adderpq 3eqtr4g addpqnq 3adant3
      fveq2d nqerid eqcomd 3adant1 3eqtr4d addnqf fdmi 0nnq ndmovass pm2.61i )
      AEFZBEFZCEFZUCZABGSZCGSZABCGSZGSZHWOABISZJKZCJKZGSZAJKZBCISZJKZGSZWQWSWOW
      TCISZJKAXEISZJKXCXGWOXHXIJWOAUDKZBLKZMSZBUDKZALKZMSZNSZCLKZMSZCUDKZXNXKMS
      ZMSZNSZXTXQMSZOZXJXKXQMSZMSZXMXQMSZXSXKMSZNSZXNMSZNSZXNYEMSZOZXHXIYBYKYCY
      LYFXOXQMSZNSZYANSYFYNYANSZNSYBYKYFYNYAUEXRYOYANXRXLXQMSZYNNSYODUAUBXLXOXQ
      NMXJXKMUFXMXNMUFCLUGZDUHZUAUHZUIZYSYTUBUHZUJZULYQYFYNNXJXKXQUKUMUNUMYJYPY
      FNYJYGXNMSZYHXNMSZNSYPDUAUBYGYHXNNMXMXQMUFXSXKMUFALUGZUUAUUCULUUDYNUUEYAN
      DUAUBXMXQXNMBUDUGYRUUFUUAYSYTUUBUKUOUUEXSXKXNMSZMSYAXSXKXNUKUUGXTXSMXKXNU
      IUPUNUQUNUPURXNXKXQUKUSWOXHXPXTOZXSXQOZISZYDWOWTUUHCUUIIWOAPPVBZFZBUUKFZW
      TUUHHWLWMUULWNAUTVAZWMWLUUMWNBUTVCZABVDQWOUUKVLZCUUKFZCUUIHPPVEZWNWLUUQWM
      CUTVFZCUUKVGVHVIWOXPPFZXTPFZXSPFZXQPFZUUJYDHWOXLPFZXOPFZUUTWOXJPFZXKPFZUV
      DWOUULUVFUUNAPPVJRZWOUUMUVGUUOBPPVMRZXJXKTQWOXMPFZXNPFZUVEWOUUMUVJUUOBPPV
      JRZWOUULUVKUUNAPPVMRZXMXNTQXLXOVKQWOUVKUVGUVAUVMUVIXNXKTQWOUUQUVBUUSCPPVJ
      RZWOUUQUVCUUSCPPVMRZXPXTXSXQVNVOVPWOXIXJXNOZYIYEOZISZYMWOAUVPXEUVQIWOUUPU
      ULAUVPHUURUUNAUUKVGVHWOUUMUUQXEUVQHUUOUUSBCVDQVIWOUVFUVKYIPFZYEPFZUVRYMHU
      VHUVMWOYGPFZYHPFZUVSWOUVJUVCUWAUVLUVOXMXQTQWOUVBUVGUWBUVNUVIXSXKTQYGYHVKQ
      WOUVGUVCUVTUVIUVOXKXQTQXJXNYIYEVNVOVPVQWBWTCVRAXEVRVSWOWPXACXBGWLWMWPXAHW
      NABVTWAWNWLCXBHWMWNXBCCWCWDVFVIWOAXDWRXFGWLWMAXDHWNWLXDAAWCWDVAWMWNWRXFHW
      LBCVTWEVIWFABCEGEEVBEGWGWHWIWJWK $.

    $( Multiplication of positive fractions is associative.  (Contributed by
       NM, 1-Sep-1995.)  (Revised by Mario Carneiro, 8-May-2013.)
       (New usage is discouraged.) $)
    mulassnq $p |- ( ( A .Q B ) .Q C ) = ( A .Q ( B .Q C ) ) $=
      ( cnq wcel cmq co wceq cmpq cerq cfv c1st cmi cop syl2anc oveq12d mulclpi
      c2nd cnpi syl w3a mulasspi opeq12i elpqn 3ad2ant1 3ad2ant2 mulpipq2 relxp
      cxp wrel 3ad2ant3 1st2nd sylancr xp1st xp2nd mulpipq eqtrd 3eqtr4a fveq2d
      mulerpq 3eqtr4g mulpqnq 3adant3 nqerid eqcomd 3adant1 3eqtr4d mulnqf fdmi
      syl22anc 0nnq ndmovass pm2.61i ) ADEZBDEZCDEZUAZABFGZCFGZABCFGZFGZHVQABIG
      ZJKZCJKZFGZAJKZBCIGZJKZFGZVSWAVQWBCIGZJKAWGIGZJKWEWIVQWJWKJVQALKZBLKZMGZC
      LKZMGZARKZBRKZMGZCRKZMGZNZWLWMWOMGZMGZWQWRWTMGZMGZNZWJWKWPXDXAXFWLWMWOUBW
      QWRWTUBUCVQWJWNWSNZWOWTNZIGZXBVQWBXHCXIIVQASSUIZEZBXKEZWBXHHVNVOXLVPAUDUE
      ZVOVNXMVPBUDUFZABUGOVQXKUJZCXKEZCXIHSSUHZVPVNXQVOCUDUKZCXKULUMPVQWNSEZWSS
      EZWOSEZWTSEZXJXBHVQWLSEZWMSEZXTVQXLYDXNASSUNTZVQXMYEXOBSSUNTZWLWMQOVQWQSE
      ZWRSEZYAVQXLYHXNASSUOTZVQXMYIXOBSSUOTZWQWRQOVQXQYBXSCSSUNTZVQXQYCXSCSSUOT
      ZWNWSWOWTUPVJUQVQWKWLWQNZXCXENZIGZXGVQAYNWGYOIVQXPXLAYNHXRXNAXKULUMVQXMXQ
      WGYOHXOXSBCUGOPVQYDYHXCSEZXESEZYPXGHYFYJVQYEYBYQYGYLWMWOQOVQYIYCYRYKYMWRW
      TQOWLWQXCXEUPVJUQURUSWBCUTAWGUTVAVQVRWCCWDFVNVOVRWCHVPABVBVCVPVNCWDHVOVPW
      DCCVDVEUKPVQAWFVTWHFVNVOAWFHVPVNWFAAVDVEUEVOVPVTWHHVNBCVBVFPVGABCDFDDUIDF
      VHVIVKVLVM $.
  $}

  ${
    $d A b c $.  $d B b c $.  $d C c $.
    $( Lemma for distributive law: cancellation of common factor.  (Contributed
       by NM, 2-Sep-1995.)  (Revised by Mario Carneiro, 8-May-2013.)
       (New usage is discouraged.) $)
    mulcanenq $p |- ( ( A e. N. /\ B e. N. /\ C e. N. ) ->
      <. ( A .N B ) , ( A .N C ) >. ~Q <. B , C >. ) $=
      ( vb vc cnpi wcel cmi co cop ceq wbr wa cv wi wceq oveq2 breq12d mulasspi
      imbi2d opeq1d opeq1 opeq2d w3a mulcompi oveq2i 3eqtr4i wb mulclpi 3adant3
      opeq2 3adant2 3simpc enqbreq syl21anc mpbiri 3expb expcom vtocl2ga impcom
      3impb ) AFGZBFGZCFGZABHIZACHIZJZBCJZKLZVCVDMVBVIVBADNZHIZAENZHIZJZVJVLJZK
      LZOVBVEVMJZBVLJZKLZOVBVIODEBCFFVJBPZVPVSVBVTVNVQVOVRKVTVKVEVMVJBAHQUAVJBV
      LUBRTVLCPZVSVIVBWAVQVGVRVHKWAVMVFVEVLCAHQUCVLCBUKRTVBVJFGZVLFGZMZVPVBWBWC
      VPVBWBWCUDZVPVKVLHIZVMVJHIZPZAVJVLHIZHIAVLVJHIZHIWFWGWIWJAHVJVLUEUFAVJVLS
      AVLVJSUGWEVKFGZVMFGZWDVPWHUHVBWBWKWCAVJUIUJVBWCWLWBAVLUIULVBWBWCUMVKVMVJV
      LUNUOUPUQURUSUTVA $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.
    $( Multiplication of positive fractions is distributive.  (Contributed by
       NM, 2-Sep-1995.)  (Revised by Mario Carneiro, 28-Apr-2013.)
       (New usage is discouraged.) $)
    distrnq $p |- ( A .Q ( B +Q C ) ) = ( ( A .Q B ) +Q ( A .Q C ) ) $=
      ( cnq wcel cplq co cmq wceq cerq cfv cplpq cmpq c1st cmi c2nd cop mulclpi
      cnpi syl2anc vx vy w3a ceq wbr cpli mulcompi oveq1i fvex mulasspi caov411
      vz eqtri oveq12i distrpi 3eqtr2i caov12 oveq2i opeq12i cxp elpqn 3ad2ant1
      xp2nd xp1st 3ad2ant2 3ad2ant3 addclpi mulcanenq syl3anc eqbrtrid mulpipq2
      cv syl oveq12d addpipq syl22anc eqtrd wrel relxp sylancr addpipq2 mulpipq
      1st2nd 3brtr4d wb mulpqf fovcl addpqf nqereq mpbid eqcomd mulerpq adderpq
      3eqtr4g nqerid addpqnq 3adant1 mulpqnq 3adant3 3adant2 addnqf fdmi mulnqf
      3eqtr4d 0nnq ndmovdistr pm2.61i ) ADEZBDEZCDEZUCZABCFGZHGZABHGZACHGZFGZIX
      KAJKZBCLGZJKZHGZABMGZJKZACMGZJKZFGZXMXPXKAXRMGZJKZYAYCLGZJKZXTYEXKYIYGXKY
      HYFUDUEZYIYGIZXKANKZBNKZOGZAPKZCPKZOGZOGZYLCNKZOGZYOBPKZOGZOGZUFGZUUBYQOG
      ZQZYLYMYPOGZYSUUAOGZUFGZOGZYOUUAYPOGZOGZQZYHYFUDXKUUFYOUUJOGZYOUULOGZQZUU
      MUDUUDUUNUUEUUOUUDYOYLOGZUUGOGZUUQUUHOGZUFGUUQUUIOGUUNYRUURUUCUUSUFYRYMYL
      OGZYQOGUURYNUUTYQOYLYMUGUHUAUBULYMYLYOYPOBNUIANUIZAPUIZUAVLZUBVLZUGZUVCUV
      DULVLUJZCPUIZUKUMUUCYSYLOGZUUBOGUUSYTUVHUUBOYLYSUGUHUAUBULYSYLYOUUAOCNUIU
      VAUVBUVEUVFBPUIZUKUMUNUUQUUGUUHUOYOYLUUIUJUPUUEYOUUAYQOGZOGUUOYOUUAYQUJUV
      JUULYOOUAUBULUUAYOYPOUVIUVBUVGUVEUVFUQURUMUSXKYOSEZUUJSEZUULSEZUUPUUMUDUE
      XKASSUTZEZUVKXHXIUVOXJAVAVBZASSVCVMZXKYLSEZUUISEZUVLXKUVOUVRUVPASSVDVMZXK
      UUGSEZUUHSEZUVSXKYMSEZYPSEZUWAXKBUVNEZUWCXIXHUWEXJBVAVEZBSSVDVMZXKCUVNEZU
      WDXJXHUWHXICVAVFZCSSVCVMZYMYPRTXKYSSEZUUASEZUWBXKUWHUWKUWICSSVDVMZXKUWEUW
      LUWFBSSVCVMZYSUUARTUUGUUHVGTZYLUUIRTXKUVKUUKSEZUVMUVQXKUWLUWDUWPUWNUWJUUA
      YPRTZYOUUKRTYOUUJUULVHVIVJXKYHYNUUBQZYTYQQZLGZUUFXKYAUWRYCUWSLXKUVOUWEYAU
      WRIUVPUWFABVKTXKUVOUWHYCUWSIUVPUWIACVKTVNXKYNSEZUUBSEZYTSEZYQSEZUWTUUFIXK
      UVRUWCUXAUVTUWGYLYMRTXKUVKUWLUXBUVQUWNYOUUARTXKUVRUWKUXCUVTUWMYLYSRTXKUVK
      UWDUXDUVQUWJYOYPRTYNUUBYTYQVOVPVQXKYFYLYOQZUUIUUKQZMGZUUMXKAUXEXRUXFMXKUV
      NVRUVOAUXEISSVSUVPAUVNWCVTXKUWEUWHXRUXFIUWFUWIBCWATVNXKUVRUVKUVSUWPUXGUUM
      IUVTUVQUWOUWQYLYOUUIUUKWBVPVQWDXKYHUVNEZYFUVNEZYJYKWEXKYAUVNEZYCUVNEZUXHX
      KUVOUWEUXJUVPUWFABUVNUVNUVNMWFWGTXKUVOUWHUXKUVPUWIACUVNUVNUVNMWFWGTYAYCUV
      NUVNUVNLWHWGTXKUVOXRUVNEZUXIUVPXKUWEUWHUXLUWFUWIBCUVNUVNUVNLWHWGTAXRUVNUV
      NUVNMWFWGTYHYFWITWJWKAXRWLYAYCWMWNXKAXQXLXSHXHXIAXQIXJXHXQAAWOWKVBXIXJXLX
      SIXHBCWPWQVNXKXNYBXOYDFXHXIXNYBIXJABWRWSXHXJXOYDIXIACWRWTVNXDABCDFHDDUTZD
      FXAXBXEUXMDHXCXBXFXG $.
  $}

  $( The equivalence class of ratio 1.  (Contributed by NM, 4-Mar-1996.)
     (Revised by Mario Carneiro, 28-Apr-2013.)  (New usage is discouraged.) $)
  1nqenq $p |- ( A e. N. -> 1Q ~Q <. A , A >. ) $=
    ( cnpi wcel cop c1q ceq cxp wer enqer a1i c1o cmi mulidpi opeq12d mulcanenq
    co wbr 1pi mp3an23 df-1nq breqtrrdi eqbrtrrd ersym ) ABCZAADZEFBBGZUFFHUDIJ
    UDAKLPZUGDZUEEFUDUGAUGAAMZUINUDUHKKDZEFUDKBCZUKUHUJFQRRAKKOSTUAUBUC $.

  $( Multiplication identity element for positive fractions.  (Contributed by
     NM, 3-Mar-1996.)  (Revised by Mario Carneiro, 28-Apr-2013.)
     (New usage is discouraged.) $)
  mulidnq $p |- ( A e. Q. -> ( A .Q 1Q ) = A ) $=
    ( cnq wcel c1q cmq co cmpq cerq cfv 1nq mulpqnq cop c1o cmi a1i syl mulidpi
    wceq cnpi 3eqtrd mpan2 c1st c2nd cxp wrel relxp elpqn 1st2nd sylancr df-1nq
    oveq12d xp1st xp2nd 1pi mulpipq syl22anc opeq12d eqtr4d fveq2d nqerid ) ABC
    ZADEFZADGFZHIZAHIAVADBCVBVDRJADKUAVAVCAHVAVCAUBIZAUCIZLZAVAVCVGMMLZGFZVEMNF
    ZVFMNFZLZVGVAAVGDVHGVASSUDZUEAVMCZAVGRSSUFAUGZAVMUHUIZDVHRVAUJOUKVAVESCZVFS
    CZMSCZVSVIVLRVAVNVQVOASSULZPVAVNVRVOASSUMZPVSVAUNOZWBVEVFMMUOUPVAVNVLVGRVOV
    NVJVEVKVFVNVQVJVERVTVEQPVNVRVKVFRWAVFQPUQPTVPURUSAUTT $.

  ${
    $d x y A $.  $d x y B $.  $d r s t x y $.
    $( Relationship between reciprocal and multiplication on positive
       fractions.  (Contributed by NM, 6-Mar-1996.)  (Revised by Mario
       Carneiro, 28-Apr-2015.)  (New usage is discouraged.) $)
    recmulnq $p |- ( A e. Q. ->
      ( ( *Q ` A ) = B <-> ( A .Q B ) = 1Q ) ) $=
      ( vx vy cnq wcel cvv crq cfv wceq cmq co c1q wa 1nq syl cv cop cerq cnpi
      vr vs vt fvex a1i eleq1 syl5ibcom wi id eqeltrdi cxp mulnqf fdmi ndmovrcl
      0nnq elex simpl2im wb oveq1 eqeq1d oveq2 wex wmo weu c2nd c1st cmi nqerid
      cmpq relxp elpqn 1st2nd sylancr fveq2d eqtr3d oveq1d mulerpq eqtrdi xp1st
      wrel xp2nd mulpipq syl22anc mulcompi opeq2i ceq wbr mulclpi syl2anc ax-mp
      1nqenq opelxpd nqereq mpbid eqtr3di 3eqtrd spcev mulcomnq mulassnq caovmo
      mulidnq df-eu sylanblrc copab wtru wss ccnv csn cdm cnvimass df-rq eqcomi
      cima 3sstr4i relss mp2 eleq2i wfn ffn fniniseg mp2b mpbiri opelxpi simpld
      wf ancom 2thd pm5.32i df-ov eqeq1i anbi1i 3bitr2ri bitri 3bitri opabbi2dv
      mptru fvopab3g ex pm5.21ndd ) AEFZBGFZAHIZBJZABKLZMJZYTUUBGFZUUCUUAUUFYTA
      HUDUEUUBBGUFUGUUEUUAUHYTUUEYTBEFZUUAUUEUUDEFYTUUGNUUEUUDMEUUEUIOUJABEKEEU
      KZEKULUMZUOUNPBEUPUQUEYTUUAUUCUUEURCQZDQZKLZMJZAUUKKLZMJUUECDABEGHUUJAJUU
      LUUNMUUJAUUKKUSUTUUKBJUUNUUDMUUKBAKVAUTUUJEFZUUMDVBZUUMDVCUUMDVDUUOUUJUUJ
      VEIZUUJVFIZRZSIZKLZMJZUUPUUOUVAUURUUQRZUUSVILZSIZUURUUQVGLZUVFRZSIZMUUOUV
      AUVCSIZUUTKLUVEUUOUUJUVIUUTKUUOUUJSIUUJUVIUUJVHUUOUUJUVCSUUOTTUKZVTUUJUVJ
      FZUUJUVCJTTVJUUJVKZUUJUVJVLVMVNVOVPUVCUUSVQVRUUOUVDUVGSUUOUVDUVFUUQUURVGL
      ZRZUVGUUOUURTFZUUQTFZUVPUVOUVDUVNJUUOUVKUVOUVLUUJTTVSPZUUOUVKUVPUVLUUJTTW
      APZUVRUVQUURUUQUUQUURWBWCUVMUVFUVFUUQUURWDWEVRVNUUOMSIZUVHMUUOMUVGWFWGZUV
      SUVHJZUUOUVFTFZUVTUUOUVOUVPUWBUVQUVRUURUUQWHWIZUVFWKPUUOMUVJFZUVGUVJFUVTU
      WAURMEFZUWDOMVKWJUUOUVFUVFTTUWCUWCWLMUVGWMVMWNUWEUVSMJOMVHWJWOWPUUMUVBDUU
      TUUSSUDUUKUUTJUULUVAMUUKUUTUUJKVAUTWQPUAUBUCDUUJMEKOUUIUOUAQZUBQZWRUWFUWG
      UCQWSUWFXAWTUUMDXBXCHUUOUUMNZCDXDJXEUWHCDHHUUHXFUUHVTHVTKXGMXHZXMZKXIZHUU
      HKUWIXJXKUWKUUHUUIXLXNEEVJHUUHXOXPUUJUUKRZHFZUWHURXEUWMUWLUWJFZUWLUUHFZUW
      LKIZMJZNZUWHHUWJUWLXKXQUUHEKYEKUUHXRUWNUWRURULUUHEKXSUUHMUWLKXTYAUWRUWQUW
      ONZUWHUWOUWQYFUWHUUMUUONUUMUWONUWSUUOUUMYFUUMUWOUUOUUMUWOUUOUUMUUOUUKEFZN
      ZUWOUUMUULEFZUXAUUMUXBUWEOUULMEUFYBUUJUUKEKUUIUOUNPZUUJUUKEEYCPUUMUUOUWTU
      XCYDYGYHUUMUWQUWOUULUWPMUUJUUKKYIYJYKYLYMYNUEYOYPYQYRYS $.
  $}

  $( A positive fraction times its reciprocal is 1.  (Contributed by NM,
     6-Mar-1996.)  (Revised by Mario Carneiro, 8-May-2013.)
     (New usage is discouraged.) $)
  recidnq $p |- ( A e. Q. -> ( A .Q ( *Q ` A ) ) = 1Q ) $=
    ( cnq wcel crq cfv wceq cmq co c1q eqid recmulnq mpbii ) ABCADEZMFAMGHIFMJA
    MKL $.

  $( Closure law for positive fraction reciprocal.  (Contributed by NM,
     6-Mar-1996.)  (Revised by Mario Carneiro, 8-May-2013.)
     (New usage is discouraged.) $)
  recclnq $p |- ( A e. Q. -> ( *Q ` A ) e. Q. ) $=
    ( cnq wcel crq cfv cmq co c1q recidnq 1nq eqeltrdi cxp mulnqf fdmi ndmovrcl
    wa 0nnq syl simprd ) ABCZTADEZBCZTAUAFGZBCTUBPTUCHBAIJKAUABFBBLBFMNQORS $.

  ${
    $d A x $.
    $( Reciprocal of reciprocal of positive fraction.  (Contributed by NM,
       26-Apr-1996.)  (Revised by Mario Carneiro, 29-Apr-2013.)
       (New usage is discouraged.) $)
    recrecnq $p |- ( A e. Q. -> ( *Q ` ( *Q ` A ) ) = A ) $=
      ( vx cv crq cfv wceq cnq 2fveq3 id eqeq12d wcel cmq co c1q recidnq eqtrid
      mulcomnq wb recclnq recmulnq syl mpbird vtoclga ) BCZDEZDEZUDFZADEDEZAFBA
      GUDAFZUFUHUDAUDADDHUIIJUDGKZUGUEUDLMZNFZUJUKUDUELMNUEUDQUDOPUJUEGKUGULRUD
      SUEUDTUAUBUC $.
  $}

  $( Domain of reciprocal on positive fractions.  (Contributed by NM,
     6-Mar-1996.)  (Revised by Mario Carneiro, 10-Jul-2014.)
     (New usage is discouraged.) $)
  dmrecnq $p |- dom *Q = Q. $=
    ( vx crq cdm cnq cxp wss cmq ccnv c1q csn cima cnvimass eqsstri mulnqf fdmi
    df-rq sseqtri dmss wcel cfv ax-mp dmxpid wbr cop wceq recclnq opelxpi mpdan
    cv co df-ov recidnq eqtr3id wf wfn wa ffn fniniseg sylanbrc eleqtrrdi df-br
    wb mp2b sylibr vex fvex breldm syl ssriv eqssi ) BCZDVKDDEZCZDBVLFVKVMFBGCZ
    VLBGHIJZKZVNPGVOLMVLDGNOQBVLRUADUBQADVKAUIZDSZVQVQBTZBUCZVQVKSVRVQVSUDZBSVT
    VRWAVPBVRWAVLSZWAGTZIUEZWAVPSZVRVSDSWBVQUFVQVSDDUGUHVRWCVQVSGUJIVQVSGUKVQUL
    UMVLDGUNGVLUOWEWBWDUPVBNVLDGUQVLIWAGURVCUSPUTVQVSBVAVDVQVSBAVEVQBVFVGVHVIVJ
    $.

  ${
    $d r s t x y z $.
    $( 'Less than' is a strict ordering on positive fractions.  (Contributed by
       NM, 19-Feb-1996.)  (Revised by Mario Carneiro, 4-May-2013.)
       (New usage is discouraged.) $)
    ltsonq $p |- <Q Or Q. $=
      ( vr vs vt cnq cltq cv wcel wa c1st cfv c2nd cmi co clti wbr cnpi ordpinq
      wb syl fvex vx vy vz wceq wo wn elpqn adantr xp1st adantl mulclpi syl2anc
      cxp xp2nd wor ltsopi sotric mpan fveq2 eqcomd oveq12d ceq enqbreq2 syl2an
      3expia sylbird impbid2 ancoms orbi12d notbid 3bitr4d w3a 3adant3 3ad2ant3
      enqeq ltmpi 3syl bitrd 3adant1 3ad2ant1 anbi12d mulcompi mulasspi breq12i
      caov13 ltrelpi eqbrtrrid sylan2b syl6bi 3adant2 3ad2ant2 sylibrd isso2i
      sotri ) UAUBUCDEUAFZDGZUBFZDGZHZWOIJZWQKJZLMZWQIJZWOKJZLMZNOZXBXEUDZXEXBN
      OZUEZUFZWOWQEOZWOWQUDZWQWOEOZUEZUFWSXBPGZXEPGZXFXJRZWSWTPGZXAPGZXOWSWOPPU
      MZGZXRWPYAWRWOUGZUHZWOPPUISWSWQXTGZXSWRYDWPWQUGZUJZWQPPUNZSWTXAUKULWSXCPG
      ZXDPGZXPWSYDYHYFWQPPUISWSYAYIYCWOPPUNZSXCXDUKULPNUOXOXPHXQUPPXBXENUQURULW
      OWQQZWSXNXIWSXLXGXMXHWSXLXGXLWTXCXAXDLWOWQIUSXLXDXAWOWQKUSUTVAWSXGWOWQVBO
      ZXLWPYAYDYLXGRWRYBYEWOWQVCVDWPWRYLXLWOWQVOVEVFVGWRWPXMXHRWQWOQVHVIVJVKWPW
      RUCFZDGZVLZXKWQYMEOZHZXAWTYMKJZLMZLMZXAYMIJZXDLMZLMZNOZWOYMEOZYOYQYRXBLMZ
      YRXELMZNOZXDXCYRLMZLMZXDUUAXALMZLMZNOZHUUDYOXKUUHYPUUMYOXKXFUUHWPWRXKXFRY
      NYKVMYOYMXTGZYRPGXFUUHRYNWPUUNWRYMUGVNYMPPUNXBXEYRVPVQVRYOYPUUIUUKNOZUUMW
      RYNYPUUORWPWQYMQVSYOYAYIUUOUUMRWPWRYAYNYBVTYJUUIUUKXDVPVQVRWAUUMUUHUUGUUC
      NOZUUDUUJUUGUULUUCNABCXDXCYRLWOKTZWQITYMKTZAFZBFZWBZUUSUUTCFWCZWEABCXDUUA
      XALUUQYMITWQKTZUVAUVBWEWDUUHUUPHYTUUFUUCNABCYRWTXALUURWOITUVCUVAUVBWEUUFU
      UGUUCNPUPWFWNWGWHWIYOUUEYSUUBNOZUUDWPYNUUEUVDRWRWOYMQWJYOYDXSUVDUUDRWRWPY
      DYNYEWKYGYSUUBXAVPVQVRWLWM $.
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( Compatibility of ordering on equivalent fractions.  (Contributed by
       Mario Carneiro, 9-May-2013.)  (New usage is discouraged.) $)
    lterpq $p |- ( A <pQ B <-> ( /Q ` A ) <Q ( /Q ` B ) ) $=
      ( vx vy cltpq wbr cnpi wcel wa cerq cfv c1st c2nd cmi co clti cnq wb fvex
      syl vz cxp cltq cv copab df-ltpq opabssxp eqsstri brel ltrelnq elpqn fdmi
      nqerf 0nelxp ndmfvrcl anim12i syl2an xp1st xp2nd mulclpi ltmpi nqercl cop
      ordpinq 1st2nd2 breqan12d ordpipq 3syl wceq mulcompi a1i nqerrel enqbreq2
      bitrdi mpdan mpbid eqcomd oveqan12d mulasspi caov411 eqtri 3eqtr4g 3bitrd
      ceq breq12d 3bitr4rd pm5.21nii ) ABEFZAGGUBZHZBWIHZIZAJKZBJKZUCFZABWIWIEE
      CUDZWIHDUDZWIHIWPLKWQMKNOWQLKWPMKNOPFZICDUEWIWIUBCDUFWRCDWIWIUGUHUIWOWMQH
      ZWNQHZIWLWMWNQQUCUJUIWSWMWIHZWNWIHZWLWTWMUKZWNUKZXAWJXBWKAWIJWIQJUMULZGGU
      NZUOBWIJXEXFUOUPUQTWLWMLKZWNMKZNOZWNLKZWMMKZNOZPFZALKZBMKZNOZXINOZXPXLNOZ
      PFZWOWHWLXPGHZXMXSRWJXNGHXOGHXTWKAGGURBGGUSXNXOUTUQXIXLXPVATWJWSWTWOXMRWK
      AVBZBVBZWMWNVDUQWLWHXPBLKZAMKZNOZPFZXIXPNOZXIYENOZPFZXSWLWHXNYDVCZYCXOVCZ
      EFYFWJWKAYJBYKEAGGVEBGGVEVFXNYDYCXOVGVNWLXIGHZYFYIRWJXGGHZXHGHZYLWKWJWSXA
      YMYAXCWMGGURVHWKWTXBYNYBXDWNGGUSVHXGXHUTUQXPYEXIVATWLYGXQYHXRPYGXQVIWLXIX
      PVJVKWLXGYDNOZYCXHNOZNOZXNXKNOZXJXONOZNOZYHXRWJWKYOYRYPYSNWJYRYOWJAWMWDFZ
      YRYOVIZAVLWJXAUUAUUBRWJWSXAYAXCTAWMVMVOVPVQWKBWNWDFZYPYSVIZBVLWKXBUUCUUDR
      WKWTXBYBXDTBWNVMVOVPVRYHYEXINOYQXIYEVJCDUAYCYDXGXHNBLSAMSWMLSWPWQVJZWPWQU
      AUDVSZWNMSVTWAXRXLXPNOYTXPXLVJCDUAXJXKXNXONWNLSWMMSALSUUEUUFBMSVTWAWBWEWC
      WFWG $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.
    $( Ordering property of addition for positive fractions.  Proposition
       9-2.6(ii) of [Gleason] p. 120.  (Contributed by NM, 6-Mar-1996.)
       (Revised by Mario Carneiro, 10-May-2013.)
       (New usage is discouraged.) $)
    ltanq $p |- ( C e. Q. ->
      ( A <Q B <-> ( C +Q A ) <Q ( C +Q B ) ) ) $=
      ( cltq cnq wcel wbr c1st cfv c2nd cmi clti cpli cnpi syl2anc syl mulcompi
      vx co fvex vy vz cplq cxp addnqf fdmi ltrelnq 0nnq w3a wb ordpinq 3adant3
      cplpq cltpq cop elpqn 3ad2ant3 3ad2ant1 addpipq2 3ad2ant2 breq12d addpqnq
      wceq cerq ancoms 3adant2 3adant1 lterpq bitr4di xp2nd mulclpi ltmpi xp1st
      ltapi bitrd mulasspi caov411 eqtri oveq2i distrpi 3eqtr2i oveq12i breq12i
      cv bitrdi ordpipq 3bitr4rd ndmovord ) ABCDEUCEEUDEUCUEUFUGUHAEFZBEFZCEFZU
      IZABDGZAHIZBJIZKSZBHIZAJIZKSZLGZCAUCSZCBUCSZDGZWIWJWMWTUJWKABUKULWLCAUMSZ
      CBUMSZUNGZCHIZWRKSZWNCJIZKSZMSZXIWRKSZUOZXGWOKSZWQXIKSZMSZXIWOKSZUOZUNGZX
      CWTWLXDXMXEXRUNWLCNNUDZFZAXTFZXDXMVCWKWIYAWJCUPUQZWIWJYBWKAUPURZCAUSOWLYA
      BXTFZXEXRVCYCWJWIYEWKBUPUTZCBUSOVAWLXCXDVDIZXEVDIZDGXFWLXAYGXBYHDWIWKXAYG
      VCZWJWKWIYICAVBVEVFWJWKXBYHVCZWIWKWJYJCBVBVEVGVAXDXEVHVIWLWTXKXQKSZXPXLKS
      ZLGZXSWLWTXQXHKSZXIXIKSZWPKSZMSZYNYOWSKSZMSZLGZYMWLWTYPYRLGZYTWLYONFZWTUU
      AUJWLXINFZUUCUUBWLYAUUCYCCNNVJPZUUDXIXIVKOWPWSYOVLPWLYNNFZUUAYTUJWLXQNFZX
      HNFZUUEWLUUCWONFZUUFUUDWLYEUUHYFBNNVJPXIWOVKOWLXGNFZWRNFZUUGWLYAUUIYCCNNV
      MPWLYBUUJYDANNVJPXGWRVKOXQXHVKOYPYRYNVNPVOYQYKYSYLLYQYNXQXJKSZMSXQXKKSYKY
      PUUKYNMYPWPYOKSUUKYOWPQRUAUBWNWOXIXIKAHTBJTZCJTZRWDZUAWDZQZUUNUUOUBWDVPZU
      UMVQVRVSXQXHXJVTXQXKQWAYSXLXNKSZXLXOKSZMSXLXPKSYLYNUURYRUUSMYNXHXQKSUURXQ
      XHQRUAUBXGWRXIWOKCHTAJTZUUMUUPUUQUULVQVRYRWSYOKSUUSYOWSQRUAUBWQWRXIXIKBHT
      UUTUUMUUPUUQUUMVQVRWBXLXNXOVTXLXPQWAWCWEXKXLXPXQWFVIWGVOWH $.

    $( Ordering property of multiplication for positive fractions.  Proposition
       9-2.6(iii) of [Gleason] p. 120.  (Contributed by NM, 6-Mar-1996.)
       (Revised by Mario Carneiro, 10-May-2013.)
       (New usage is discouraged.) $)
    ltmnq $p |- ( C e. Q. ->
      ( A <Q B <-> ( C .Q A ) <Q ( C .Q B ) ) ) $=
      ( vx vy vz cltq cnq cmq wcel c1st cfv c2nd cmi co clti wbr cnpi fvex wceq
      cxp mulnqf fdmi ltrelnq 0nnq w3a cmpq cltpq wb elpqn 3ad2ant3 xp1st xp2nd
      cop syl mulclpi syl2anc ltmpi cv mulcompi mulasspi breq12i bitrdi ordpipq
      bitr4di 3ad2ant1 mulpipq2 3ad2ant2 breq12d bitr4d ordpinq 3adant3 mulpqnq
      caov4 cerq ancoms 3adant2 3adant1 lterpq 3bitr4d ndmovord ) ABCGHIHHUAHIU
      BUCUDUEAHJZBHJZCHJZUFZAKLZBMLZNOZBKLZAMLZNOZPQZCAUGOZCBUGOZUHQZABGQZCAIOZ
      CBIOZGQZWEWLCKLZWFNOZCMLZWJNOZUNZWTWINOZXBWGNOZUNZUHQZWOWEWLXAXFNOZXEXCNO
      ZPQZXHWEWLWTXBNOZWHNOZXLWKNOZPQZXKWEXLRJZWLXOUIWEWTRJZXBRJZXPWECRRUAZJZXQ
      WDWBXTWCCUJUKZCRRULUOWEXTXRYACRRUMUOWTXBUPUQWHWKXLURUOXMXIXNXJPDEFWTXBWFW
      GNCKSZCMSZAKSDUSZEUSZUTZYDYEFUSVAZBMSVNDEFWTXBWIWJNYBYCBKSYFYGAMSVNVBVCXA
      XCXEXFVDVEWEWMXDWNXGUHWEXTAXSJZWMXDTYAWBWCYHWDAUJVFCAVGUQWEXTBXSJZWNXGTYA
      WCWBYIWDBUJVHCBVGUQVIVJWBWCWPWLUIWDABVKVLWEWSWMVOLZWNVOLZGQWOWEWQYJWRYKGW
      BWDWQYJTZWCWDWBYLCAVMVPVQWCWDWRYKTZWBWDWCYMCBVMVPVRVIWMWNVSVEVTWA $.
  $}

  $( One is less than two (one plus one).  (Contributed by NM, 13-Mar-1996.)
     (Revised by Mario Carneiro, 10-May-2013.)  (New usage is discouraged.) $)
  1lt2nq $p |- 1Q <Q ( 1Q +Q 1Q ) $=
    ( c1q cerq cfv cplpq co cltq cltpq wbr c1o cop cpli cmi clti wcel 1pi ax-mp
    wceq 3brtr4i df-1nq 1nq cplq 1lt2pi mulidpi addclpi ordpipq oveq12i addpipq
    cnpi mp2an mpbir mp4an opeq12i 3eqtri lterpq mpbi cnq nqerid eqcomi addpqnq
    ) ABCZAADEZBCZAAAUAEZFAVAGHUTVBFHIIJZIIKEZIJZAVAGVDVFGHIILEZVEILEZMHIVEVGVH
    MUBIUHNZVGIQOIUCPZVEUHNZVHVEQVIVIVKOOIIUDUIVEUCPRIIVEIUEUJSVAVDVDDEZVGVGKEZ
    VGJZVFAVDAVDDSSUFVIVIVIVIVLVNQOOOOIIIIUGUKVMVEVGIVGIVGIKVJVJUFVJULUMRAVAUNU
    OUTAAUPNZUTAQTAUQPURVOVOVCVBQTTAAUSUIR $.

  ${
    $d A x y $.  $d B y $.  $d r s t x y $.
    $( The sum of two fractions is greater than one of them.  (Contributed by
       NM, 14-Mar-1996.)  (Revised by Mario Carneiro, 10-May-2013.)
       (New usage is discouraged.) $)
    ltaddnq $p |- ( ( A e. Q. /\ B e. Q. ) -> A <Q ( A +Q B ) ) $=
      ( vx vy vr vs vt cv cplq co cltq wbr cnq wceq wcel c1q cmq ltanq addcomnq
      vex id oveq1 breq12d oveq2 breq2d wa 1lt2nq ltmnq mulidnq distrnq oveq12d
      mpbii eqtrid 3brtr3d syl5ib imp addassnq caov12 wb adantl mpbird vtocl2ga
      3brtr3g ) CHZVDDHZIJZKLZAAVEIJZKLAABIJZKLCDABMMVDANZVDAVFVHKVJUAVDAVEIUBU
      CVEBNVHVIAKVEBAIUDUEVDMOZVEMOZUFZVGVEVDIJZVEVFIJZKLZVMVFVDVEVEIJZIJZVNVOK
      VKVLVFVRKLZVLVEVQKLVKVSVLVEPQJZVEPPIJZQJZVEVQKVLPWAKLVTWBKLUGPWAVEUHULVEU
      IZVLWBVTVTIJVQVEPPUJVLVTVEVTVEIWCWCUKUMUNVEVQVDRUOUPVDVESEFGVDVEVEICTDTZW
      DEHZFHZSWEWFGHUQURVCVLVGVPUSVKVDVFVERUTVAVB $.
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( Ordering on positive fractions in terms of existence of sum.  Definition
       in Proposition 9-2.6 of [Gleason] p. 119.  (Contributed by NM,
       24-Apr-1996.)  (Revised by Mario Carneiro, 10-May-2013.)
       (New usage is discouraged.) $)
    ltexnq $p |- ( B e. Q. -> ( A <Q B <-> E. x ( A +Q x ) = B ) ) $=
      ( vy cnq wcel cltq wbr cplq co wceq wa cfv cmi adantr mulclpi syl2anc cop
      cnpi cerq vz cv wex ltrelnq brel c1st c2nd clti ordpinq cpli wb cxp elpqn
      wrex xp1st syl adantl xp2nd ltexpi cplpq wrel relxp 1st2nd sylancr oveq1d
      ad2antrr simpr addpipq syl22anc eqtrd oveq2 fvex mulcompi mulasspi caov12
      distrpi oveq12i eqtr2i oveq2i 3eqtr4g eqcomi a1i opeq12d eqeq2d syl5ibcom
      eqtri fveq2 adderpq nqerid eqtr3id ceq mulcanenq syl3anc ad2antlr opelxpd
      nqereq mpbid eqeq12d syl5ib syld eqeq1d spcev syl6 rexlimdva sylbid mpcom
      breqtrrd eleq1 biimparc addnqf fdmi 0nnq ndmovrcl ltaddnq 3syl breqtrd ex
      exlimdv impbid2 ) CEFZBCGHZBAUBZIJZCKZAUCZBEFZXTLZYAYEBCEEGUDUEYGYABUFMZC
      UGMZNJZCUFMZBUGMZNJZUHHZYEBCUIYGYNYJDUBZUJJZYMKZDSUNZYEYGYJSFZYMSFZYNYRUK
      YGYHSFZYISFZYSYGBSSULZFZUUAYFUUDXTBUMZOZBSSUOUPZYGCUUCFZUUBXTUUHYFCUMZUQZ
      CSSURUPZYHYIPQYGYKSFZYLSFZYTYGUUHUULUUJCSSUOUPZYGUUDUUMUUFBSSURUPZYKYLPQD
      YJYMUSQYGYQYEDSYGYOSFZLZYQBYOYLYINJZRZTMZIJZCKZYEUUQYQBUUSUTJZYLYLNJZYKNJ
      ZUVDYINJZRZKZUVBUUQUVCYHUURNJZYOYLNJZUJJZYLUURNJZRZKYQUVHUUQUVCYHYLRZUUSU
      TJZUVMUUQBUVNUUSUTUUQUUCVAZUUDBUVNKSSVBZYFUUDXTUUPUUEVFBUUCVCVDVEUUQUUAUU
      MUUPUURSFZUVOUVMKYGUUAUUPUUGOYGUUMUUPUUOOYGUUPVGYGUVRUUPYGUUMUUBUVRUUOUUK
      YLYIPQOYHYLYOUURVHVIVJYQUVMUVGUVCYQUVKUVEUVLUVFYQYLYPNJZYLYMNJZUVKUVEYPYM
      YLNVKUVSYLYJNJZYLYONJZUJJUVKYLYJYOVPUWAUVIUWBUVJUJADUAYLYHYINBUGVLBUFVLCU
      GVLYBYOVMYBYOUAUBVNVOYLYOVMVQVRUVEYLYLYKNJZNJUVTYLYLYKVNUWCYMYLNYLYKVMVSW
      FVTUVLUVFKYQUVFUVLYLYLYIVNWAWBWCWDWEUVHUVCTMZUVGTMZKUUQUVBUVCUVGTWGUUQUWD
      UVAUWECUUQUWDBTMZUUTIJUVABUUSWHUUQUWFBUUTIYFUWFBKXTUUPBWIVFVEWJUUQUWECTMZ
      CUUQUVGCWKHZUWEUWGKZUUQUVGYKYIRZCWKUUQUVDSFZUULUUBUVGUWJWKHYGUWKUUPYGUUMU
      UMUWKUUOUUOYLYLPQOZYGUULUUPUUNOZYGUUBUUPUUKOZUVDYKYIWLWMUUQUVPUUHCUWJKUVQ
      XTUUHYFUUPUUIWNZCUUCVCVDXGUUQUVGUUCFUUHUWHUWIUKUUQUVEUVFSSUUQUWKUULUVESFU
      WLUWMUVDYKPQUUQUWKUUBUVFSFUWLUWNUVDYIPQWOUWOUVGCWPQWQXTUWGCKYFUUPCWIWNVJW
      RWSWTYDUVBAUUTUUSTVLYBUUTKYCUVACYBUUTBIVKXAXBXCXDXEXEXFXTYDYAAXTYDYAXTYDL
      ZBYCCGUWPYCEFZYFYBEFLBYCGHYDUWQXTYCCEXHXIBYBEIEEULEIXJXKXLXMBYBXNXOXTYDVG
      XPXQXRXS $.
  $}

  ${
    $d A x $.
    $( One-half of any positive fraction exists.  Lemma for Proposition
       9-2.6(i) of [Gleason] p. 120.  (Contributed by NM, 16-Mar-1996.)
       (Revised by Mario Carneiro, 10-May-2013.)
       (New usage is discouraged.) $)
    halfnq $p |- ( A e. Q. -> E. x ( x +Q x ) = A ) $=
      ( cnq wcel c1q cplq co crq cfv cmq wceq distrnq 1nq addclnq oveq1i oveq2i
      cv eqtr3i mulidnq 3eqtr3i wex mp2an recidnq ax-mp eqtri mulassnq mulcomnq
      oveq12i recclnq syl2anc mp2b eqtrid ovex oveq12 anidms eqeq1d spcev syl )
      BCDZBEEFGZHIZJGZVBFGZBKZAQZVEFGZBKZAUAUSVCBEJGZBBVAVAFGZJGVCVHBVAVALVIEBJ
      UTVIJGZVAJGZUTVAJGZVIEVJUTVAJVJVLVLFGUTUTVAVALVLEVLEFUTCDZVLEKECDZVNVMMME
      ENUBZUTUCUDZVPUHUEOVIVLJGZVIEJGZVKVIVLEVIJVPPVIUTJGZVAJGVQVKVIUTVAUFVSVJV
      AJVIUTUGORVMVICDZVRVIKVOVMVACDZWAVTUTUIZWBVAVANUJVISUKTVPTPRBSULVGVDAVBBV
      AJUMVEVBKZVFVCBWCVFVCKVEVBVEVBFUNUOUPUQUR $.
  $}

  ${
    $d x A $.
    $( The is no smallest positive fraction.  (Contributed by NM, 26-Apr-1996.)
       (Revised by Mario Carneiro, 10-May-2013.)
       (New usage is discouraged.) $)
    nsmallnq $p |- ( A e. Q. -> E. x x <Q A ) $=
      ( cnq wcel cv cplq co wceq wex cltq wbr halfnq eleq1a wa addnqf fdmi 0nnq
      cxp ndmovrcl ltaddnq syl syl6 breq2 mpbidi eximdv mpd ) BCDZAEZUHFGZBHZAI
      UHBJKZAIABLUGUJUKAUJUHUIJKZUKUGUGUJUICDZULBCUIMUMUHCDZUNNULUHUHCFCCRCFOPQ
      SUHUHTUAUBUIBUHJUCUDUEUF $.
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( There exists a number between any two positive fractions.  Proposition
       9-2.6(i) of [Gleason] p. 120.  (Contributed by NM, 17-Mar-1996.)
       (Revised by Mario Carneiro, 10-May-2013.)
       (New usage is discouraged.) $)
    ltbtwnnq $p |- ( A <Q B <-> E. x ( A <Q x /\ x <Q B ) ) $=
      ( vy vz cltq wbr cv wa wex cnq wcel ltrelnq brel simprd cplq co simpld ex
      wceq ltexnq eleq1 biimparc cxp addnqf fdmi 0nnq ndmovrcl nsmallnq ltaddnq
      syl2an ltanq biimpa sylan simplr breqtrd ovex breq2 breq1 anbi12d syl2anc
      syl spcev exlimdv syl5 mpd sylbid mpcom ltsonq sotri exlimiv impbii ) BCF
      GZBAHZFGZVNCFGZIZAJZCKLZVMVRVMBKLZVSBCKKFMNOVSVMBDHZPQZCTZDJVRDBCUAVSWCVR
      DVSWCVRVSWCIZWAKLZVRWDVTWEWDWBKLZVTWEIWCWFVSWBCKUBUCBWAKPKKUDKPUEUFUGUHVB
      ZOWEEHZWAFGZEJWDVREWAUIWDWIVREWDWIVRWDWIIZBBWHPQZFGZWKCFGZVRWDVTWHKLZWLWI
      WDVTWEWGRZWIWNWEWHWAKKFMNRBWHUJUKWJWKWBCFWDVTWIWKWBFGZWOVTWIWPWHWABULUMUN
      VSWCWIUOUPVQWLWMIAWKBWHPUQVNWKTVOWLVPWMVNWKBFURVNWKCFUSUTVCVASVDVEVFSVDVG
      VHVQVMABVNCFKVIMVJVKVL $.
  $}

  ${
    $d A x y $.  $d B y $.
    $( Ordering property of reciprocal for positive fractions.  Proposition
       9-2.6(iv) of [Gleason] p. 120.  (Contributed by NM, 9-Mar-1996.)
       (Revised by Mario Carneiro, 10-May-2013.)
       (New usage is discouraged.) $)
    ltrnq $p |- ( A <Q B <-> ( *Q ` B ) <Q ( *Q ` A ) ) $=
      ( vx vy cltq wbr cnq wcel wa crq cfv ltrelnq brel syl wb wceq co mulcomnq
      cmq c1q dmrecnq 0nnq ndmfvrcl anim12ci cv breq1 fveq2 breq2d breq2 breq1d
      bibi12d recclnq mulclnq syl2an ltmnq 3eqtr2i recidnq oveq2d eqtrid oveq2i
      mulassnq mulidnq sylan9eq eqtri sylan9eqr breq12d vtocl2ga pm5.21nii
      bitrd ) ABEFZAGHZBGHZIZBJKZAJKZEFZABGGELMVPVNGHZVOGHZIVMVNVOGGELMVQVLVRVK
      BGJUAUBUCAGJUAUBUCUDNCUEZDUEZEFZVTJKZVSJKZEFZOAVTEFZWBVOEFZOVJVPOCDABGGVS
      APZWAWEWDWFVSAVTEUFWGWCVOWBEVSAJUGUHUKVTBPZWEVJWFVPVTBAEUIWHWBVNVOEVTBJUG
      UJUKVSGHZVTGHZIZWAWCWBSQZVSSQZWLVTSQZEFZWDWKWLGHZWAWOOWIWCGHZWBGHZWPWJVSU
      LZVTULZWCWBUMUNVSVTWLUONWKWMWBWNWCEWKWMWBVSWCSQZSQZWBWMVSWLSQXAWBSQXBWLVS
      RVSWCWBVAXAWBRUPWIWJXBWBTSQZWBWIXATWBSVSUQURWJWRXCWBPWTWBVBNVCUSWKWNWCVTW
      BSQZSQZWCWNWCWBVTSQZSQXEWCWBVTVAXFXDWCSWBVTRUTVDWJWIXEWCTSQZWCWJXDTWCSVTU
      QURWIWQXGWCPWSWCVBNVEUSVFVIVGVH $.
  $}

  ${
    $d A x $.
    $( For any fraction, there is an integer that is greater than it.  This is
       also known as the "archimedean property".  (Contributed by Mario
       Carneiro, 10-May-2013.)  (New usage is discouraged.) $)
    archnq $p |- ( A e. Q. -> E. x e. N. A <Q <. x , 1o >. ) $=
      ( cnq wcel c1st cfv c1o cpli cnpi cop cltq wbr wrex syl 1pi cmi clti wceq
      co syl2anc cv cxp elpqn xp1st addclpi sylancl c2nd wn xp2nd mulclpi oveq2
      wa eqeq1d rspcev mp2an ltexpi mpbiri nlt1pi wb ltmpi mulidpi breq2d bitrd
      eqid mtbii ltsopi ltrelpi sotri3 syl3anc pinq ordpinq mpdan oveq2i eqtrid
      ovex 1oex op2nd op1st oveq1i a1i breq12d mpbird opeq1 ) BCDZBEFZGHSZIDZBW
      FGJZKLZBAUAZGJZKLZAIMWDWEIDZGIDZWGWDBIIUBDZWMBUCZBIIUDNZOWEGUEUFZWDWIWEWF
      BUGFZPSZQLZWDWTIDZWEWFQLZWTWFQLZUHXAWDWGWSIDZXBWRWDWOXEWPBIIUINWFWSUJTWDW
      MWGXCWQWRWMWGULXCWEWJHSZWFRZAIMZWNWFWFRZXHOWFVDXGXIAGIWJGRXFWFWFWJGWEHUKU
      MUNUOAWEWFUPUQTWDWSGQLZXDWSURWDXJWTWFGPSZQLZXDWDWGXJXLUSWRWSGWFUTNWDXKWFW
      TQWDWGXKWFRWRWFVANVBVCVEWEWFWTQIVFVGVHVIWDWIWEWHUGFZPSZWHEFZWSPSZQLZXAWDW
      HCDZWIXQUSWDWGXRWRWFVJNBWHVKVLWDXNWEXPWTQWDXNWEGPSZWEXMGWEPWFGWEGHVOZVPVQ
      VMWDWMXSWERWQWEVANVNXPWTRWDXOWFWSPWFGXTVPVRVSVTWAVCWBWLWIAWFIWJWFRWKWHBKW
      JWFGWCVBUNT $.
  $}

  ${
    $d x y z $.
    $( Define the set of positive reals.  A "Dedekind cut" is a partition of
       the positive rational numbers into two classes such that all the numbers
       of one class are less than all the numbers of the other.  A positive
       real is defined as the lower class of a Dedekind cut.  Definition 9-3.1
       of [Gleason] p. 121.  (Note:  This is a "temporary" definition used in
       the construction of complex numbers ~ df-c , and is intended to be used
       only by the construction.)  (Contributed by NM, 31-Oct-1995.)
       (New usage is discouraged.) $)
    df-np $a |- P. = { x | ( ( (/) C. x /\ x C. Q. ) /\
         A. y e. x ( A. z ( z <Q y -> z e. x ) /\ E. z e. x y <Q z ) ) } $.
  $}

  $( Define the positive real constant 1.  This is a "temporary" set used in
     the construction of complex numbers ~ df-c , and is intended to be used
     only by the construction.  Definition of [Gleason] p. 122.  (Contributed
     by NM, 13-Mar-1996.)  (New usage is discouraged.) $)
  df-1p $a |- 1P = { x | x <Q 1Q } $.

  ${
    $d x y w v u $.
    $( Define addition on positive reals.  This is a "temporary" set used in
       the construction of complex numbers ~ df-c , and is intended to be used
       only by the construction.  From Proposition 9-3.5 of [Gleason] p. 123.
       (Contributed by NM, 18-Nov-1995.)  (New usage is discouraged.) $)
    df-plp $a |- +P. = ( x e. P. , y e. P. |->
                   { w | E. v e. x E. u e. y w = ( v +Q u ) } ) $.

    $( Define multiplication on positive reals.  This is a "temporary" set used
       in the construction of complex numbers ~ df-c , and is intended to be
       used only by the construction.  From Proposition 9-3.7 of [Gleason]
       p. 124.  (Contributed by NM, 18-Nov-1995.)
       (New usage is discouraged.) $)
    df-mp $a |- .P. = ( x e. P. , y e. P. |->
                   { w | E. v e. x E. u e. y w = ( v .Q u ) } ) $.

    $( Define ordering on positive reals.  This is a "temporary" set used in
       the construction of complex numbers ~ df-c , and is intended to be used
       only by the construction.  From Proposition 9-3.2 of [Gleason] p. 122.
       (Contributed by NM, 14-Feb-1996.)  (New usage is discouraged.) $)
    df-ltp $a |- <P = { <. x , y >. | ( ( x e. P. /\ y e. P. ) /\
                 x C. y ) } $.
  $}

  ${
    $d x y z $.
    $( The class of positive reals is a set.  (Contributed by NM, 31-Oct-1995.)
       (New usage is discouraged.) $)
    npex $p |- P. e. _V $=
      ( vx vz vy cnp cnq cpw nqex pwex c0 cv wpss wa cltq wbr wel wal wrex wral
      wi cab wss pssss ad2antlr ss2abi df-np df-pw 3sstr4i ssexi ) DEFZEGHIAJZK
      ZUJEKZLBJZCJZMNBAOSBPUNUMMNBUJQLCUJRZLZATUJEUAZATDUIUPUQAULUQUKUOUJEUBUCU
      DACBUEAEUFUGUH $.
  $}

  ${
    $d x y z A $.
    $( Membership in positive reals.  (Contributed by NM, 16-Feb-1996.)
       (New usage is discouraged.) $)
    elnp $p |- ( A e. P. <-> ( ( (/) C. A /\ A C. Q. ) /\
       A. x e. A ( A. y ( y <Q x -> y e. A ) /\ E. y e. A x <Q y ) ) ) $=
      ( vz cnp wcel cvv c0 wpss cnq wa cv cltq wbr wal wrex wral elex anbi12d
      wi wss pssss nqex ssex syl ad2antlr wceq psseq2 psseq1 eleq2 imbi2d rexeq
      albidv raleqbi1dv df-np elab2g pm5.21nii ) CEFCGFZHCIZCJIZKZBLZALZMNZVBCF
      ZTZBOZVCVBMNZBCPZKZACQZKZCERUTURUSVKUTCJUAURCJUBCJUCUDUEUFHDLZIZVMJIZKZVD
      VBVMFZTZBOZVHBVMPZKZAVMQZKVLDCEGVMCUGZVPVAWBVKWCVNUSVOUTVMCHUHVMCJUISWAVJ
      AVMCWCVSVGVTVIWCVRVFBWCVQVEVDVMCVBUJUKUMVHBVMCULSUNSDABUOUPUQ $.
  $}

  ${
    $d x y z A $.
    $( Membership in positive reals.  (Contributed by Mario Carneiro,
       11-May-2013.)  (New usage is discouraged.) $)
    elnpi $p |- ( A e. P. <-> ( ( A e. _V /\ (/) C. A /\ A C. Q. ) /\
       A. x e. A ( A. y ( y <Q x -> y e. A ) /\ E. y e. A x <Q y ) ) ) $=
      ( vz cnp wcel cvv c0 wpss cnq w3a cv cltq wbr wi wal wrex wa wral anbi12d
      elex simpl1 wceq psseq2 psseq1 eleq2 imbi2d albidv rexeq raleqbi1dv df-np
      wel elab2g id 3expib 3simpc impbid1 anbi1d bitrd pm5.21nii ) CEFZCGFZVBHC
      IZCJIZKZBLZALZMNZVFCFZOZBPZVGVFMNZBCQZRZACSZRZCEUAVBVCVDVOUBVBVAVCVDRZVOR
      ZVPHDLZIZVSJIZRZVHBDULZOZBPZVLBVSQZRZAVSSZRVRDCEGVSCUCZWBVQWHVOWIVTVCWAVD
      VSCHUDVSCJUETWGVNAVSCWIWEVKWFVMWIWDVJBWIWCVIVHVSCVFUFUGUHVLBVSCUITUJTDABU
      KUMVBVQVEVOVBVQVEVBVCVDVEVEUNUOVBVCVDUPUQURUSUT $.
  $}

  ${
    $d x y A $.
    $( A positive real is not empty.  (Contributed by NM, 15-May-1996.)
       (Revised by Mario Carneiro, 11-May-2013.)
       (New usage is discouraged.) $)
    prn0 $p |- ( A e. P. -> A =/= (/) ) $=
      ( vy vx cnp wcel c0 wpss wne cvv cnq w3a cv cltq wbr wi wal wrex wa elnpi
      wral simpl2 sylbi 0pss sylib ) ADEZFAGZAFHUEAIEZUFAJGZKBLZCLZMNUIAEOBPUJU
      IMNBAQRCATZRUFCBASUGUFUHUKUAUBAUCUD $.

    $( A positive real is a subset of the positive fractions.  (Contributed by
       NM, 29-Feb-1996.)  (Revised by Mario Carneiro, 11-May-2013.)
       (New usage is discouraged.) $)
    prpssnq $p |- ( A e. P. -> A C. Q. ) $=
      ( vy vx cnp wcel cvv c0 wpss cnq w3a cv cltq wbr wi wal wrex elnpi simpl3
      wa wral sylbi ) ADEAFEZGAHZAIHZJBKZCKZLMUEAENBOUFUELMBAPSCATZSUDCBAQUBUCU
      DUGRUA $.
  $}

  $( A positive real is a set of positive fractions.  (Contributed by NM,
     13-Mar-1996.)  (Revised by Mario Carneiro, 11-May-2013.)
     (New usage is discouraged.) $)
  elprnq $p |- ( ( A e. P. /\ B e. A ) -> B e. Q. ) $=
    ( cnp wcel cnq prpssnq pssssd sselda ) ACDZAEBIAEAFGH $.

  $( The empty set is not a positive real.  (Contributed by NM, 15-Nov-1995.)
     (New usage is discouraged.) $)
  0npr $p |- -. (/) e. P. $=
    ( c0 wceq cnp wcel wn eqid prn0 necon2bi ax-mp ) AABACDZEAFJAAAGHI $.

  ${
    $d x y A $.  $d x y B $.  $d y C $.
    $( A positive real is closed downwards under the positive fractions.
       Definition 9-3.1 (ii) of [Gleason] p. 121.  (Contributed by NM,
       25-Feb-1996.)  (Revised by Mario Carneiro, 11-May-2013.)
       (New usage is discouraged.) $)
    prcdnq $p |- ( ( A e. P. /\ B e. A ) -> ( C <Q B -> C e. A ) ) $=
      ( vx vy cnp wcel wa cltq wbr wi cvv cnq cxp wrel wceq eleq1 anbi2d wpss
      cv wss ltrelnq relxp relss mp2 brrelex1i breq2 anbi12d imbi1d imbi12d wal
      breq1 wrex c0 w3a wral simprbi r19.21bi simpld 19.21bi imp vtocl2g sylan2
      elnpi adantll pm2.43i ex ) AFGZBAGZHZCBIJZCAGZVJVKHZVLVIVKVMVLKZVHVKVICLG
      VNCBIIMMNZUAVOOIOUBMMUCIVOUDUEUFVHDTZAGZHZETZVPIJZHZVSAGZKVJVSBIJZHZWBKVN
      DEBCALVPBPZWAWDWBWEVRVJVTWCWEVQVIVHVPBAQRVPBVSIUGUHUIVSCPZWDVMWBVLWFWCVKV
      JVSCBIULRVSCAQUJVRVTWBVRVTWBKZEVRWGEUKZVPVSIJEAUMZVHWHWIHZDAVHALGUNASAMSU
      OWJDAUPDEAVDUQURUSUTVAVBVCVEVFVG $.
  $}

  $( A positive fraction not in a positive real is an upper bound.  Remark (1)
     of [Gleason] p. 122.  (Contributed by NM, 25-Feb-1996.)
     (New usage is discouraged.) $)
  prub $p |- ( ( ( A e. P. /\ B e. A ) /\ C e. Q. ) ->
             ( -. C e. A -> B <Q C ) ) $=
    ( cnp wcel wa cnq wn wceq cltq wo wi eleq1 biimpcd adantl prcdnq jaod con3d
    wbr adantr wb elprnq wor ltsonq sotric mpan sylan sylibrd ) ADEZBAEZFZCGEZF
    CAEZHZBCIZCBJSZKZHZBCJSZUKUNURLULUKUQUMUKUOUMUPUJUOUMLUIUOUJUMBCAMNOABCPQRT
    UKBGEZULUSURUAZABUBGJUCUTULFVAUDGBCJUEUFUGUH $.

  ${
    $d x y A $.  $d x y B $.
    $( A positive real has no largest member.  Definition 9-3.1(iii) of
       [Gleason] p. 121.  (Contributed by NM, 9-Mar-1996.)  (Revised by Mario
       Carneiro, 11-May-2013.)  (New usage is discouraged.) $)
    prnmax $p |- ( ( A e. P. /\ B e. A ) -> E. x e. A B <Q x ) $=
      ( vy cnp wcel cv cltq wbr wrex wa wceq eleq1 anbi2d breq1 rexbidv imbi12d
      wi wal wpss cvv cnq w3a wral elnpi simprbi r19.21bi simprd vtoclg anabsi7
      c0 ) BEFZCBFZCAGZHIZABJZULDGZBFZKZUQUNHIZABJZRULUMKZUPRDCBUQCLZUSVBVAUPVC
      URUMULUQCBMNVCUTUOABUQCUNHOPQUSUNUQHIUNBFRASZVAULVDVAKZDBULBUAFUKBTBUBTUC
      VEDBUDDABUEUFUGUHUIUJ $.
  $}

  ${
    $d A x y $.
    $( A simplifying observation, and an indication of why any attempt to
       develop a theory of the real numbers without the Axiom of Infinity is
       doomed to failure: since every member of ` P. ` is an infinite set, the
       negation of Infinity implies that ` P. ` , and hence ` RR ` , is empty.
       (Note that this proof, which used the fact that Dedekind cuts have no
       maximum, could just as well have used that they have no minimum, since
       they are downward-closed by ~ prcdnq and ~ nsmallnq ).  (Contributed by
       Mario Carneiro, 11-May-2013.)  (Revised by Mario Carneiro, 16-Nov-2014.)
       (New usage is discouraged.) $)
    npomex $p |- ( A e. P. -> _om e. _V ) $=
      ( vx vy cnp wcel cfn cvv wne com wn elex cv cltq wbr wrex wral wor adantr
      cnq sylib prnmax ralrimiva wa wss prpssnq pssssd ltsonq soss mpisyl simpr
      c0 prn0 fimax2g syl3anc ralnex rexbii rexnal bitri ex mt2d nelne1 syl2anc
      necomd fineqv necon1abii ) ADEZFGHIGEZVFGFVFAGEAFEZJGFHADKVFVHBLZCLMNZCAO
      ZBAPZVFVKBACAVIUAUBVFVHVLJZVFVHUCZVJJCAPZBAOZVMVNAMQZVHAUKHZVPVFVQVHVFASU
      DSMQVQVFASAUEUFUGASMUHUIRVFVHUJVFVRVHAULRBCAMUMUNVPVKJZBAOVMVOVSBAVJCAUOU
      PVKBAUQURTUSUTAGFVAVBVCVGFGVDVET $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( A positive real has no largest member.  Addition version.  (Contributed
       by NM, 7-Apr-1996.)  (Revised by Mario Carneiro, 11-May-2013.)
       (New usage is discouraged.) $)
    prnmadd $p |- ( ( A e. P. /\ B e. A ) -> E. x ( B +Q x ) e. A ) $=
      ( vy cnp wcel wa cv cltq wbr wrex cplq wex prnmax wceq cnq ltrelnq simprd
      co brel ltexnq biimpcd mpd eleq1a eximdv syl5 rexlimiv syl ) BEFCBFGCDHZI
      JZDBKCAHLSZBFZAMZDBCNUJUMDBUJUKUIOZAMZUIBFZUMUJUIPFZUOUJCPFUQCUIPPIQTRUQU
      JUOACUIUAUBUCUPUNULAUIBUKUDUEUFUGUH $.
  $}

  ${
    $d x y $.
    $( Positive real 'less than' is a relation on positive reals.  (Contributed
       by NM, 14-Feb-1996.)  (New usage is discouraged.) $)
    ltrelpr $p |- <P C_ ( P. X. P. ) $=
      ( vx vy cltp cv cnp wcel wa wpss copab cxp df-ltp opabssxp eqsstri ) CADZ
      EFBDZEFGNOHZGABIEEJABKPABEELM $.
  $}

  ${
    $d x y z f g h A $.  $d x y z f g h B $.  $d x y z w v f g h G $.
    $d f g F $.  $d f g h C $.  $d g h D $.
    genp.1 $e |- F = ( w e. P. , v e. P. |->
                    { x | E. y e. w E. z e. v x = ( y G z ) } ) $.
    genp.2 $e |- ( ( y e. Q. /\ z e. Q. ) -> ( y G z ) e. Q. ) $.
    $( Value of general operation (addition or multiplication) on positive
       reals.  (Contributed by NM, 10-Mar-1996.)  (Revised by Mario Carneiro,
       17-Nov-2014.)  (New usage is discouraged.) $)
    genpv $p |- ( ( A e. P. /\ B e. P. ) -> ( A F B ) =
               { f | E. g e. A E. h e. B f = ( g G h ) } ) $=
      ( cnp wcel cv wceq wrex cnq wa cab oveq1 rexeq abbidv eqeq12d rexbidv cvv
      co oveq2 wss wi elprnq eleq1 syl5ibrcom syl2an an4s rexlimdvva nqex ssexg
      abssdv sylancl weq ovmpog vtocl2ga eqeq1 2rexbidv eqeq2d cbvrex2vw bitrdi
      mpd3an3 cbvabv eqtrdi ) FOPGOPUAFGKUIZAQZBQZCQZLUIZRZCGSZBFSZAUBZHQZIQZJQ
      ZLUIZRZJGSIFSZHUBWCWDKUIZVSCWDSZBWCSZAUBZRZFWDKUIZWJBFSZAUBZRVNWBRHIFGOOW
      CFRZWIWNWLWPWCFWDKUCWQWKWOAWJBWCFUDUEUFWDGRZWNVNWPWBWDGFKUJWRWOWAAWRWJVTB
      FVSCWDGUDUGUEUFWCOPZWDOPZWLUHPZWMWSWTUAZWLTUKTUHPXAXBWKATXBVSVOTPZBCWCWDW
      SVPWCPZWTVQWDPZVSXCULZWSXDUAVPTPZVQTPZXFWTXEUAWCVPUMWDVQUMXGXHUAXCVSVRTPN
      VOVRTUNUOUPUQURVAUSWLTUHUTVBDEWCWDOOVSCEQZSZBDQZSZAUBWLKXJBWCSZAUBUHDHVCX
      LXMAXJBXKWCUDUEEIVCZXMWKAXNXJWJBWCVSCXIWDUDUGUEMVDVKVEWAWHAHAHVCZWAWCVRRZ
      CGSBFSWHXOVSXPBCFGVOWCVRVFVGXPWGWCWDVQLUIZRBCIJFGBIVCVRXQWCVPWDVQLUCVHCJV
      CXQWFWCVQWEWDLUJVHVIVJVLVM $.

    $( Membership in value of general operation (addition or multiplication) on
       positive reals.  (Contributed by NM, 13-Mar-1996.)  (Revised by Mario
       Carneiro, 12-Jun-2013.)  (New usage is discouraged.) $)
    genpelv $p |- ( ( A e. P. /\ B e. P. ) -> ( C e. ( A F B ) <->
               E. g e. A E. h e. B C = ( g G h ) ) ) $=
      ( vf wcel cv wceq wrex cvv cnp wa co genpv eleq2d ovex eqeltrdi rexlimivw
      cab id eqeq1 2rexbidv elab3 bitrdi ) FUAPGUAPUBZHFGKUCZPHOQZIQZJQZLUCZRZJ
      GSIFSZOUIZPHUTRZJGSZIFSZUOUPVCHABCDEFGOIJKLMNUDUEVBVFOHTVEHTPZIFVDVGJGVDH
      UTTVDUJURUSLUFUGUHUHUQHRVAVDIJFGUQHUTUKULUMUN $.

    $( Pre-closure law for general operation on positive reals.  (Contributed
       by NM, 10-Mar-1996.)  (Revised by Mario Carneiro, 12-Jun-2013.)
       (New usage is discouraged.) $)
    genpprecl $p |- ( ( A e. P. /\ B e. P. ) -> ( ( C e. A /\ D e. B ) ->
                  ( C G D ) e. ( A F B ) ) ) $=
      ( vg vh wcel wa co cnp cv wceq wrex eqid rspceov mp3an3 genpelv syl5ibr )
      HFPZIGPZQHIKRZFGJRPFSPGSPQUJNTOTKRUAOGUBNFUBZUHUIUJUJUAUKUJUCNOFGHIUJKUDU
      EABCDEFGUJNOJKLMUFUG $.

    $( Domain of general operation on positive reals.  (Contributed by NM,
       18-Nov-1995.)  (Revised by Mario Carneiro, 17-Nov-2014.)
       (New usage is discouraged.) $)
    genpdm $p |- dom F = ( P. X. P. ) $=
      ( cv co wceq wrex cvv wcel cnp wral wa cnq elprnq cab wi eleq1 syl5ibrcom
      cxp wfn cdm wss syl2an an4s rexlimdvva abssdv nqex ssexg rgen2 fnmpo fndm
      sylancl mp2b ) AJZBJZCJZGKZLZCEJZMBDJZMZAUAZNOZEPQDPQFPPUEZUFFUGVJLVIDEPP
      VFPOZVEPOZRZVHSUHSNOVIVMVGASVMVDUTSOZBCVFVEVKVAVFOZVLVBVEOZVDVNUBZVKVORVA
      SOZVBSOZVQVLVPRVFVATVEVBTVRVSRVNVDVCSOIUTVCSUCUDUIUJUKULUMVHSNUNURUODEPPV
      HFNHUPVJFUQUS $.

    $( The result of an operation on positive reals is not empty.  (Contributed
       by NM, 28-Feb-1996.)  (Revised by Mario Carneiro, 12-Jun-2013.)
       (New usage is discouraged.) $)
    genpn0 $p |- ( ( A e. P. /\ B e. P. ) -> (/) C. ( A F B ) ) $=
      ( vf vg cnp wcel wa cv wex c0 wne co wpss prn0 n0 sylib anim12i genpprecl
      wi ne0i 0pss sylibr syl6 expcomd exlimdv com23 impd mpd ) FNOZGNOZPZLQZFO
      ZLRZMQZGOZMRZPSFGHUAZUBZURVCUSVFURFSTVCFUCLFUDUEUSGSTVFGUCMGUDUEUFUTVCVFV
      HUTVBVFVHUHLUTVFVBVHUTVEVBVHUHMUTVBVEVHUTVBVEPVAVDIUAZVGOZVHABCDEFGVAVDHI
      JKUGVJVGSTVHVGVIUIVGUJUKULUMUNUOUNUPUQ $.

    $( The result of an operation on positive reals is a subset of the positive
       fractions.  (Contributed by NM, 18-Nov-1995.)  (Revised by Mario
       Carneiro, 12-Jun-2013.)  (New usage is discouraged.) $)
    genpss $p |- ( ( A e. P. /\ B e. P. ) -> ( A F B ) C_ Q. ) $=
      ( vf vg vh cnp wcel wa co cnq cv wceq wrex genpelv elprnq im2anan9 caovcl
      wi ex syl6 eleq1a rexlimdvv sylbid ssrdv ) FOPZGOPZQZLFGHRZSUPLTZUQPURMTZ
      NTZIRZUAZNGUBMFUBURSPZABCDEFGURMNHIJKUCUPVBVCMNFGUPUSFPZUTGPZQZVASPZVBVCU
      GUPVFUSSPZUTSPZQVGUNVDVHUOVEVIUNVDVHFUSUDUHUOVEVIGUTUDUHUEBCUSUTSIKUFUIVA
      SURUJUIUKULUM $.

    ${
      $d w v A $.  $d w v B $.  $d w v F $.
      genpnnp.3 $e |- ( z e. Q. -> ( x <Q y <-> ( z G x ) <Q ( z G y ) ) ) $.
      genpnnp.4 $e |- ( x G y ) = ( y G x ) $.
      $( The result of an operation on positive reals is different from the set
         of positive fractions.  (Contributed by NM, 29-Feb-1996.)  (Revised by
         Mario Carneiro, 12-Jun-2013.)  (New usage is discouraged.) $)
      genpnnp $p |- ( ( A e. P. /\ B e. P. ) -> -. ( A F B ) = Q. ) $=
        ( vf vg wcel wa cnq wn wi cnp cv wex co wceq prpssnq pssnel syl anim12i
        wpss exdistrv sylibr wrex wral cltq wbr prub im2anan9 elprnq anim1i wor
        ltsonq so2nr mpan ad2antrr simpr simpl ancoms vex caovord3 anbi2d sylan
        wb mtbid ex con2d syld an4s com24 imp32 ralrimivv ralnex2 sylib genpelv
        syl2an adantr mtbird expcom caovcl eleq2 biimprcd ad2ant2r exlimdvv mpd
        con3d syldc ) FUAPZGUAPZQZDUBZRPZWTFPSZQZEUBZRPZXDGPSZQZQZEUCDUCZFGHUDZ
        RUEZSZWSXCDUCZXGEUCZQXIWQXMWRXNWQFRUJXMFUFDFRUGUHWRGRUJXNGUFEGRUGUHUIXC
        XGDEUKULWSXHXLDEXHWSWTXDIUDZXJPZSZXLXAXEXBXFWSXQTZXBXFQZXAXEQZXRWSXSXTQ
        ZXQWSYAQZXPXONUBZOUBZIUDUEZOGUMNFUMZYBYESZOGUNNFUNYFSYBYGNOFGWSXSXTYCFP
        ZYDGPZQZYGTWSYJXTXSYGWSYJXTXSYGTZTZWQYHWRYIYLWQYHQZWRYIQZQXTYKYMXAYNXEY
        KYMXAQZYNXEQZQXSYCWTUOUPZYDXDUOUPZQZYGYOXBYQYPXFYRFYCWTUQGYDXDUQURYOYCR
        PZXAQZYDRPZXEQZYSYGTYPYMYTXAFYCUSUTYNUUBXEGYDUSUTUUAUUCQZYEYSUUDYEYSSUU
        DYEQYQWTYCUOUPZQZYSUUAUUFSZUUCYERUOVAUUAUUGVBRYCWTUOVCVDVEUUDXEYTQZYEUU
        FYSVMUUCUUAUUHUUCXEUUAYTUUBXEVFYTXAVGUIVHUUHYEQUUEYRYQABCWTXDYCYDUORIDV
        IEVILNVIMOVIVJVKVLVNVOVPWEVQVRVOVRVOVSVTWAYENOFGWBWCWSXPYFVMYAABCDEFGXO
        NOHIJKWDWFWGWHVHVRXAXEXQXLTZXBXFXTXORPZUUIBCWTXDRIKWIUUJXKXPXKXPUUJXJRX
        OWJWKWOUHWLWPWMWN $.
    $}

    ${
      $d F h $.
      genpcd.2 $e |- ( ( ( ( A e. P. /\ g e. A ) /\
                       ( B e. P. /\ h e. B ) ) /\ x e. Q. ) ->
                       ( x <Q ( g G h ) -> x e. ( A F B ) ) ) $.
      $( Downward closure of an operation on positive reals.  (Contributed by
         NM, 13-Mar-1996.)  (Revised by Mario Carneiro, 12-Jun-2013.)
         (New usage is discouraged.) $)
      genpcd $p |- ( ( A e. P. /\ B e. P. ) -> ( f e. ( A F B ) ->
                   ( x <Q f -> x e. ( A F B ) ) ) ) $=
        ( wcel wa cv cltq wi cnp wbr co cnq ltrelnq brel simpld wceq wb genpelv
        wrex adantr breq2 biimpd sylan9r an4s impancom rexlimdvv sylbid ex syl5
        exp31 com34 pm2.43d com23 ) FUAPZGUAPZQZARZHRZSUBZVJFGKUCZPZVIVLPZVHVKV
        MVNTVHVKVMVKVNVKVIUDPZVHVMVKVNTZTZVKVOVJUDPVIVJUDUDSUEUFUGVHVOVQVHVOQZV
        MVJIRZJRZLUCZUHZJGUKIFUKZVPVHVMWCUIVOABCDEFGVJIJKLMNUJULVRWBVPIJFGVHVSF
        PZVTGPZQVOWBVPTZVFWDVGWEVOWFTVFWDQVGWEQQZVOWBVPWBVKVIWASUBZWGVOQVNWBVKW
        HVJWAVISUMUNOUOVBUPUQURUSUTVAVCVDVE $.
    $}

    ${
      $d x y h F $.
      genpnmax.2 $e |- ( v e. Q. ->
                       ( z <Q w <-> ( v G z ) <Q ( v G w ) ) ) $.
      genpnmax.3 $e |- ( z G w ) = ( w G z ) $.
      $( An operation on positive reals has no largest member.  (Contributed by
         NM, 10-Mar-1996.)  (Revised by Mario Carneiro, 12-Jun-2013.)
         (New usage is discouraged.) $)
      genpnmax $p |- ( ( A e. P. /\ B e. P. ) -> ( f e. ( A F B ) ->
                     E. x e. ( A F B ) f <Q x ) ) $=
        ( vg vh wcel wa cv cltq cnp co wceq wbr genpelv prnmax adantr genpprecl
        wrex wi exp4b com34 imp32 cnq elprnq vex caovord2 biimpd adantl anim12d
        syl breq2 rspcev syl6 adantlr expd rexlimdv mpd rexbidv syl5ibr expdcom
        an4s breq1 rexlimdvv sylbid ) FUAQZGUAQZRZHSZFGIUBZQVSOSZPSZJUBZUCZPGUI
        OFUIVSASZTUDZAVTUIZABCDEFGVSOPIJKLUEVRWDWGOPFGWDVRWAFQZWBGQZRZWGVRWJRWG
        WDWCWETUDZAVTUIZVPWHVQWIWLVPWHRZVQWIRZRZWABSZTUDZBFUIZWLWMWRWNBFWAUFUGW
        OWQWLBFWOWPFQZWQWLVPWNWSWQRZWLUJWHVPWNRZWTWPWBJUBZVTQZWCXBTUDZRWLXAWSXC
        WQXDVPVQWIWSXCUJVPVQWSWIXCVPVQWSWIXCABCDEFGWPWBIJKLUHUKULUMWNWQXDUJZVPW
        NWBUNQZXEGWBUOXFWQXDCDEWAWPWBTUNJOUPBUPMPUPNUQURVAUSUTWKXDAXBVTWEXBWCTV
        BVCVDVEVFVGVHVLWDWFWKAVTVSWCWETVMVIVJVKVNVO $.
    $}

    ${
      $d w v A $.  $d w v B $.  $d x y w v h F $.
      genpcl.3 $e |- ( h e. Q. ->
                      ( f <Q g <-> ( h G f ) <Q ( h G g ) ) ) $.
      genpcl.4 $e |- ( x G y ) = ( y G x ) $.
      genpcl.5 $e |- ( ( ( ( A e. P. /\ g e. A ) /\
                       ( B e. P. /\ h e. B ) ) /\ x e. Q. ) ->
                       ( x <Q ( g G h ) -> x e. ( A F B ) ) ) $.
      $( Closure of an operation on reals.  (Contributed by NM, 13-Mar-1996.)
         (Revised by Mario Carneiro, 17-Nov-2014.)
         (New usage is discouraged.) $)
      genpcl $p |- ( ( A e. P. /\ B e. P. ) -> ( A F B ) e. P. ) $=
        ( wcel cnq cv cnp wa c0 co wpss cltq wbr wi wal wrex wral genpn0 wss wn
        wceq genpss vex caovord genpnnp dfpss2 sylanbrc genpcd alrimdv genpnmax
        caovcom jcad ralrimiv elnp syl21anbrc ) FUARGUARUBZUCFGKUDZUEVKSUEZATZH
        TZUFUGVMVKRUHZAUIZVNVMUFUGAVKUJZUBZHVKUKVKUARABCDEFGKLMNULVJVKSUMVKSUOU
        NVLABCDEFGKLMNUPABCDEFGKLMNHIJVMBTCTZUFSLAUQBUQOURPUSVKSUTVAVJVRHVKVJVN
        VKRZVPVQVJVTVOAABCDEFGHIJKLMNQVBVCABCDEFGHKLMNHIJVSDTZETUFSLCUQZDUQZOUR
        ABVSWALWBWCPVEVDVFVGHAVKVHVI $.
    $}

    ${
      $d x y z w v f g h t $.  $d x f g h t A $.  $d x f g h t B $.
      $d x y z f g h t C $.  $d x y z h t F $.  $d t G $.
      genpass.4 $e |- dom F = ( P. X. P. ) $.
      genpass.5 $e |- ( ( f e. P. /\ g e. P. ) -> ( f F g ) e. P. ) $.
      genpass.6 $e |- ( ( f G g ) G h ) = ( f G ( g G h ) ) $.
      $( Associativity of an operation on reals.  (Contributed by NM,
         18-Mar-1996.)  (Revised by Mario Carneiro, 12-Jun-2013.)
         (New usage is discouraged.) $)
      genpass $p |- ( ( A F B ) F C ) = ( A F ( B F C ) ) $=
        ( vt wrex cnp wcel w3a co wceq wex genpelv 3adant1 anbi1d exbidv df-rex
        cv wa wb ovex isseti biantrur 19.41v bitr4i rexcom4 bitri oveq2 eqtr4di
        rexbii eqeq2d pm5.32i r19.41v bitr3i exbii 3bitri 3bitr4g caovcl sylan2
        rexbidv 3impb 3adant3 oveq1 3bitr4ri r19.41vv bitrd 3bitr4rd eqrdv 0npr
        stoic3 ndmovass pm2.61i ) FUAUBZGUAUBZHUAUBZUCZFGLUDZHLUDZFGHLUDZLUDZUE
        WJAWLWNWJAULZIULZSULZMUDZUEZSWMTZIFTZWOWPJULZMUDZKULZMUDZUEZKHTZJGTZIFT
        ZWOWNUBZWOWLUBZWJWTXHIFWJWQWMUBZWSUMZSUFWQXBXDMUDZUEZKHTZJGTZWSUMZSUFZW
        TXHWJXMXRSWJXLXQWSWHWIXLXQUNWGABCDEGHWQJKLMNOUGUHUIUJWSSWMUKXHXOXFUMZKH
        TZSUFZJGTYAJGTZSUFXSXGYBJGXGXTSUFZKHTYBXFYDKHXFXOSUFZXFUMYDYEXFSXNXBXDM
        UOUPUQXOXFSURUSVDXTKSHUTVAVDYAJSGUTYCXRSYCXPWSUMZJGTXRYAYFJGYAXOWSUMZKH
        TYFYGXTKHXOWSXFXOWRXEWOXOWRWPXNMUDXEWQXNWPMVBRVCVEVFVDXOWSKHVGVHVDXPWSJ
        GVGVAVIVJVKVNWGWHWIXJXAUNZWHWIUMWGWMUAUBYHIJGHUALQVLABCDEFWMWOISLMNOUGV
        MVOWJXKWOWQXDMUDZUEZKHTZSWKTZXIWGWHWKUAUBWIXKYLUNIJFGUALQVLABCDEWKHWOSK
        LMNOUGWDWJWQWKUBZYKUMZSUFWQXCUEZJGTIFTZYKUMZSUFZYLXIWJYNYQSWJYMYPYKWGWH
        YMYPUNWIABCDEFGWQIJLMNOUGVPUIUJYKSWKUKXIYOYKUMZJGTZSUFZIFTYTIFTZSUFYRXH
        UUAIFXHYSSUFZJGTUUAXGUUCJGYOXGUMZSUFYOSUFZXGUMUUCXGYOXGSURYSUUDSYOYKXGY
        OYJXFKHYOYIXEWOWQXCXDMVQVEVNVFVIUUEXGSXCWPXBMUOUPUQVRVDYSJSGUTVAVDYTISF
        UTUUBYQSYOYKIJFGVSVIVJVKVTWAWBFGHUALPWCWEWF $.
    $}
  $}

  ${
    $d x y z f g h A $.  $d x y z f g h B $.  $d x y z v u f g h $.
    $( Value of addition on positive reals.  (Contributed by NM, 28-Feb-1996.)
       (New usage is discouraged.) $)
    plpv $p |- ( ( A e. P. /\ B e. P. ) -> ( A +P. B ) =
             { x | E. y e. A E. z e. B x = ( y +Q z ) } ) $=
      ( vf vg vh vu vv cpp cplq df-plp cv addclnq genpv ) FGHIJDEABCKLIJFGHMGNH
      NOP $.

    $( Value of multiplication on positive reals.  (Contributed by NM,
       28-Feb-1996.)  (New usage is discouraged.) $)
    mpv $p |- ( ( A e. P. /\ B e. P. ) -> ( A .P. B ) =
             { x | E. y e. A E. z e. B x = ( y .Q z ) } ) $=
      ( vf vg vh vu vv cmp cmq df-mp cv mulclnq genpv ) FGHIJDEABCKLIJFGHMGNHNO
      P $.

    $( Domain of addition on positive reals.  (Contributed by NM, 18-Nov-1995.)
       (New usage is discouraged.) $)
    dmplp $p |- dom +P. = ( P. X. P. ) $=
      ( vz vu vv vx vy cpp cplq df-plp cv addclnq genpdm ) ABCDEFGDEABCHBICIJK
      $.

    $( Domain of multiplication on positive reals.  (Contributed by NM,
       18-Nov-1995.)  (New usage is discouraged.) $)
    dmmp $p |- dom .P. = ( P. X. P. ) $=
      ( vz vu vv vx vy cmp cmq df-mp cv mulclnq genpdm ) ABCDEFGDEABCHBICIJK $.
  $}

  ${
    $d A x y z $.
    $( The canonical embedding of the rationals into the reals.  (Contributed
       by Mario Carneiro, 12-Jun-2013.)  (New usage is discouraged.) $)
    nqpr $p |- ( A e. Q. -> { x | x <Q A } e. P. ) $=
      ( vz vy cnq wcel c0 cv cltq wbr wi wa wex sylibr ltrelnq ltsonq breq1 vex
      wpss elab cab wal wrex wral cnp wne nsmallnq abn0 0pss wss wn brel simpld
      abssi soirri elabg mtbiri ancli mpsyl sotri expcom adantl syl6ibr alrimiv
      ssnelpss ltbtwnnq anbi2i biimpri ancomd eximi sylbi jca sylan2b ralrimiva
      df-rex elnp syl21anbrc ) BEFZGAHZBIJZAUAZSZWAESZCHZDHZIJZWDWAFZKZCUBZWEWD
      IJZCWAUCZLZDWAUDWAUEFVRWAGUFZWBVRVTAMWMABUGVTAUHNWAUINWAEUJVRVRBWAFZUKZLW
      CVTAEVTVSEFVRVSBEEIOULUMUNVRWOVRWNBBIJZBIEPOUOVTWPABEVSBBIQUPUQURWAEBVEUS
      VRWLDWAWEWAFVRWEBIJZWLVTWQAWEDRVSWEBIQTVRWQLZWIWKWRWHCWRWFWDBIJZWGWQWFWSK
      VRWFWQWSWDWEBIEPOUTVAVBVTWSAWDCRVSWDBIQTZVCVDWRWGWJLZCMZWKWQXBVRWQWJWSLZC
      MXBCWEBVFXCXACXCWJWGWJWGLXCWGWSWJWTVGVHVIVJVKVBWJCWAVONVLVMVNDCWAVPVQ $.
  $}

  $( The positive real number 'one'.  (Contributed by NM, 13-Mar-1996.)
     (Revised by Mario Carneiro, 12-Jun-2013.)  (New usage is discouraged.) $)
  1pr $p |- 1P e. P. $=
    ( vx c1p cv c1q cltq wbr cab cnp df-1p cnq wcel 1nq nqpr ax-mp eqeltri ) BA
    CDEFAGZHAIDJKPHKLADMNO $.

  ${
    $d x y z w $.  $d y z w g $.  $d y z w h $.
    $( Lemma to prove downward closure in positive real addition.  Part of
       proof of Proposition 9-3.5 of [Gleason] p. 123.  (Contributed by NM,
       13-Mar-1996.)  (New usage is discouraged.) $)
    addclprlem1 $p |- ( ( ( A e. P. /\ g e. A ) /\ x e. Q. ) ->
   ( x <Q ( g +Q h ) -> ( ( x .Q ( *Q ` ( g +Q h ) ) ) .Q g ) e. A ) ) $=
      ( vy vz vw wcel cv wa cnq co cltq wbr crq cfv cmq ltmnq ovex c1q cnp cplq
      wb elprnq ltrnq mulcomnq caovord2 sylan9bbr syl5bb recidnq oveq1d mulidnq
      vex eqtrid sylan9eqr breq2d bitrd sylan wi prcdnq adantr sylbid ) BUAHCIZ
      BHJZAIZKHZJVEVCDIUBLZMNZVEVGOPZQLZVCQLZVCMNZVKBHZVDVCKHZVFVHVLUCBVCUDVNVF
      JZVHVKVEVEOPZQLZVCQLZMNZVLVHVIVPMNZVOVSVEVGUEVFVTVJVQMNVNVSVIVPVEREFGVJVQ
      VCMKQVEVIQSVEVPQSEIZFIZGIRCUMWAWBUFUGUHUIVOVRVCVKMVFVNVRTVCQLZVCVFVQTVCQV
      EUJUKVNWCVCTQLVCTVCUFVCULUNUOUPUQURVDVLVMUSVFBVCVKUTVAVB $.
  $}

  ${
    $d x y z w v g h $.  $d x y z A $.  $d x y z B $.
    $( Lemma to prove downward closure in positive real addition.  Part of
       proof of Proposition 9-3.5 of [Gleason] p. 123.  (Contributed by NM,
       13-Mar-1996.)  (New usage is discouraged.) $)
    addclprlem2 $p |- ( ( ( ( A e. P. /\ g e. A ) /\
                       ( B e. P. /\ h e. B ) ) /\ x e. Q. ) ->
                       ( x <Q ( g +Q h ) -> x e. ( A +P. B ) ) ) $=
      ( vy vz vw wcel cv wa cnq cplq co cltq crq cmq wi simpl c1q vv cnp breq2i
      wbr cfv addclprlem1 adantlr addcomnq fveq2i oveq2i oveq1i 3imtr4g adantll
      cpp eleq1i jcad anim12i df-plp addclnq genpprecl 3syl syld distrnq eqtr3i
      mulassnq mulcomnq wceq elprnq recidnq eqtrid oveq2d mulidnq eleq1d sylibd
      sylan9eq ) BUBIZDJZBIZKZCUBIZEJZCIZKZKZAJZLIZKZWEVQWAMNZOUDZWEWHPUEZQNZVQ
      QNZWKWAQNZMNZBCUNNZIZWEWOIWGWIWLBIZWMCIZKZWPWGWIWQWRVSWFWIWQRWCABDEUFUGWC
      WFWIWRRVSWCWFKWEWAVQMNZOUDWEWTPUEZQNZWAQNZCIWIWRACEDUFWHWTWEOVQWAUHZUCWMX
      CCWKXBWAQWJXAWEQWHWTPXDUIUJUKUOULUMUPWGWDVPVTKWSWPRWDWFSVSVPWCVTVPVRSVTWB
      SUQAFGHUABCWLWMUNMHUAAFGURFJGJUSUTVAVBWGWNWEWOWGWNWEWJWHQNZQNZWEWKWHQNWNX
      FWKVQWAVCWEWJWHVEVDWDWFXFWETQNWEWDXETWEQWDXEWHWJQNZTWJWHVFWDVQLIZWALIZKWH
      LIXGTVGVSXHWCXIBVQVHCWAVHUQVQWAUSWHVIVAVJVKWEVLVOVJVMVN $.
  $}

  ${
    $d x y z w v f g h $.  $d x y z w v f g h A $.  $d x y z w v f g h B $.
    $( Closure of addition on positive reals.  First statement of Proposition
       9-3.5 of [Gleason] p. 123.  (Contributed by NM, 13-Mar-1996.)
       (New usage is discouraged.) $)
    addclpr $p |- ( ( A e. P. /\ B e. P. ) -> ( A +P. B ) e. P. ) $=
      ( vx vy vz vw vv vf vg vh cpp cplq df-plp cv addclnq addcomnq addclprlem2
      ltanq genpcl ) CDEFGABHIJKLFGCDEMDNZENOHNINJNRCNTPCABIJQS $.
  $}

  ${
    $d x y z w v g h $.  $d x y z A $.  $d x y z B $.
    $( Lemma to prove downward closure in positive real multiplication.  Part
       of proof of Proposition 9-3.7 of [Gleason] p. 124.  (Contributed by NM,
       14-Mar-1996.)  (New usage is discouraged.) $)
    mulclprlem $p |- ( ( ( ( A e. P. /\ g e. A ) /\
                       ( B e. P. /\ h e. B ) ) /\ x e. Q. ) ->
                       ( x <Q ( g .Q h ) -> x e. ( A .P. B ) ) ) $=
      ( vy vz vw wcel cv wa cnq cmq co cltq wbr wi wb c1q eqtrid vv cnp crq cfv
      cmp elprnq recclnq vex ovex ltmnq fvex mulcomnq caovord2 mulassnq recidnq
      adantl oveq2d mulidnq sylan9eqr breq2d bitrd syl2an prcdnq adantr mulclnq
      syl sylbid df-mp genpprecl exp4b com34 imp32 adantlr syld sylan9eq eleq1d
      sylan sylibd ) BUBIZDJZBIZKZCUBIZEJZCIZKZKZAJZLIZKWHVTWDMNZOPZWHWDUCUDZMN
      ZWDMNZBCUENZIZWHWOIZWGWKWPQWIWGWKWMBIZWPWGWKWMVTOPZWRWBVTLIZWDLIZWKWSRWFB
      VTUFCWDUFZWTXAKZWKWMWJWLMNZOPZWSXCWLLIZWKXERXAXFWTWDUGUPFGHWHWJWLOLMAUHVT
      WDMUIFJZGJZHJUJWDUCUKXGXHULUMVFXCXDVTWMOXAWTXDVTSMNZVTXAXDVTWDWLMNZMNXIVT
      WDWLUNXAXJSVTMWDUOZUQTVTURUSUTVAVBWBWSWRQWFBVTWMVCVDVGVSWFWRWPQZWAVSWCWEX
      LVSWCWRWEWPVSWCWRWEWPAFGHUABCWMWDUEMHUAAFGVHXGXHVEVIVJVKVLVMVNVDWGXAWIWPW
      QRWFXAWBXBUPXAWIKWNWHWOXAWIWNWHSMNZWHXAWNWHWLWDMNZMNXMWHWLWDUNXAXNSWHMXAX
      NXJSWLWDULXKTUQTWHURVOVPVQVR $.
  $}

  ${
    $d x y z w v f g h $.  $d x y z w v f g h A $.  $d x y z w v f g h B $.
    $d x y z w A $.  $d x y z w B $.
    $( Closure of multiplication on positive reals.  First statement of
       Proposition 9-3.7 of [Gleason] p. 124.  (Contributed by NM,
       13-Mar-1996.)  (New usage is discouraged.) $)
    mulclpr $p |- ( ( A e. P. /\ B e. P. ) -> ( A .P. B ) e. P. ) $=
      ( vx vy vz vw vv vf vg vh cmp cmq df-mp mulclnq ltmnq mulcomnq mulclprlem
      cv genpcl ) CDEFGABHIJKLFGCDEMDRZERNHRIRJROCRTPCABIJQS $.
  $}

  ${
    $d f g h v w x y z $.  $d f g h x y z A $.  $d f g h x y z B $.
    $d f g h x y z C $.
    $( Addition of positive reals is commutative.  Proposition 9-3.5(ii) of
       [Gleason] p. 123.  (Contributed by NM, 19-Nov-1995.)
       (New usage is discouraged.) $)
    addcompr $p |- ( A +P. B ) = ( B +P. A ) $=
      ( vx vz vy cnp wcel wa cpp co wceq cv cplq wrex cab plpv addcomnq 2rexbii
      eqeq2i rexcom bitri abbii eqtrdi ancoms eqtr4d dmplp ndmovcom pm2.61i ) A
      FGZBFGZHZABIJZBAIJZKUKULCLZDLZELZMJZKZEBNDANZCOZUMCDEABPUJUIUMUTKUJUIHUMU
      NUPUOMJZKZDANEBNZCOUTCEDBAPVCUSCVCURDANEBNUSVBUREDBAVAUQUNUPUOQSRUREDBATU
      AUBUCUDUEABFIUFUGUH $.

    $( Addition of positive reals is associative.  Proposition 9-3.5(i) of
       [Gleason] p. 123.  (Contributed by NM, 18-Mar-1996.)
       (New usage is discouraged.) $)
    addasspr $p |- ( ( A +P. B ) +P. C ) = ( A +P. ( B +P. C ) ) $=
      ( vx vy vz vw vv vf vg vh cplq df-plp cv addclnq addclpr addassnq genpass
      cpp dmplp ) DEFGHABCIJKSLGHDEFMENFNOTINZJNZPUAUBKNQR $.

    $( Multiplication of positive reals is commutative.  Proposition 9-3.7(ii)
       of [Gleason] p. 124.  (Contributed by NM, 19-Nov-1995.)
       (New usage is discouraged.) $)
    mulcompr $p |- ( A .P. B ) = ( B .P. A ) $=
      ( vx vz vy cnp wcel wa cmp co wceq cv cmq cab mpv mulcomnq eqeq2i 2rexbii
      wrex rexcom bitri abbii eqtrdi ancoms eqtr4d dmmp ndmovcom pm2.61i ) AFGZ
      BFGZHZABIJZBAIJZKUKULCLZDLZELZMJZKZEBSDASZCNZUMCDEABOUJUIUMUTKUJUIHUMUNUP
      UOMJZKZDASEBSZCNUTCEDBAOVCUSCVCURDASEBSUSVBUREDBAVAUQUNUPUOPQRUREDBATUAUB
      UCUDUEABFIUFUGUH $.

    $( Multiplication of positive reals is associative.  Proposition 9-3.7(i)
       of [Gleason] p. 124.  (Contributed by NM, 18-Mar-1996.)
       (New usage is discouraged.) $)
    mulasspr $p |- ( ( A .P. B ) .P. C ) = ( A .P. ( B .P. C ) ) $=
      ( vx vy vz vw vv vf vg vh cmp df-mp mulclnq dmmp mulclpr mulassnq genpass
      cmq cv ) DEFGHABCIJKLSGHDEFMETFTNOITZJTZPUAUBKTQR $.
  $}

  ${
    $d x y z w v u f g h A $.  $d x y z w v u f g h B $.
    $d x y z w v u f g h C $.
    $( Lemma for distributive law for positive reals.  (Contributed by NM,
       1-May-1996.)  (Revised by Mario Carneiro, 13-Jun-2013.)
       (New usage is discouraged.) $)
    distrlem1pr $p |- ( ( A e. P. /\ B e. P. /\ C e. P. ) ->
       ( A .P. ( B +P. C ) ) C_ ( ( A .P. B ) +P. ( A .P. C ) ) ) $=
      ( vw vx vv vf vg vh vy vz cnp wcel cpp co cmp cv cmq wceq wa wrex addclpr
      w3a df-mp mulclnq genpelv sylan2 3impb cplq df-plp addclnq 3adant1 adantr
      wb wi simprr simpr eqeq2d biimpac distrnq eqtrdi mulclpr 3adant3 ad2antrr
      syl2an 3adant2 simpll genpprecl impl adantlrr simplr imp syl22anc eqeltrd
      oveq2 exp32 rexlimdvv sylbid com34 impd ssrdv ) ALMZBLMZCLMZUCZDABCNOZPOZ
      ABPOZACPOZNOZWEDQZWGMZWKEQZFQZROZSZFWFUAEAUAZWKWJMZWBWCWDWLWQUNZWCWDTWBWF
      LMWSBCUBGHIJKAWFWKEFPRJKGHIUDZHQZIQZUEZUFUGUHWEWPWREFAWFWEWMAMZWNWFMZWPWR
      UOWEXDWPXEWRWEXDWPXEWRUOWEXDWPTZTZXEWNJQZKQZUIOZSZKCUAJBUAZWRWEXEXLUNZXFW
      CWDXMWBGHIDEBCWNJKNUIDEGHIUJZXAXBUKZUFULUMXGXKWRJKBCXGXHBMZXICMZTZXKWRXGX
      RXKTZTZWKWMXHROZWMXIROZUIOZWJXGWPXKWKYCSXSWEXDWPUPXRXKUQWPXKTWKWMXJROZYCX
      KWPWKYDSXKWOYDWKWNXJWMRVOURUSWMXHXIUTVAVEXTWHLMZWILMZYAWHMZYBWIMZYCWJMZWE
      YEXFXSWBWCYEWDABVBVCVDWEYFXFXSWBWDYFWCACVBVFVDXSXGXPYGXPXQXKVGWEXDXPYGWPW
      EXDXPYGWBWCXDXPTYGUOWDGHIJKABWMXHPRWTXCVHVCVIVJUGXSXGXQYHXPXQXKVKWEXDXQYH
      WPWEXDXQYHWBWDXDXQTYHUOWCGHIJKACWMXIPRWTXCVHVFVIVJUGYEYFTYGYHTYIGHIDEWHWI
      YAYBNUIXNXOVHVLVMVNVPVQVRVPVSVTVQVRWA $.

    $( Lemma for distributive law for positive reals.  (Contributed by NM,
       2-May-1996.)  (Revised by Mario Carneiro, 14-Jun-2013.)
       (New usage is discouraged.) $)
    distrlem4pr $p |- ( ( ( A e. P. /\ B e. P. /\ C e. P. ) /\
         ( ( x e. A /\ y e. B ) /\ ( f e. A /\ z e. C ) ) ) ->
         ( ( x .Q y ) +Q ( f .Q z ) ) e. ( A .P. ( B +P. C ) ) ) $=
      ( vw vv vu vg vh wcel cv wa cltq cmq co cplq cnq cnp w3a wb simpl2 elprnq
      wbr cpp simprlr syl2anc simp1 simprl syl2an simpl3 simprrr ltmnq mulcomnq
      cmp vex caovord2 mulclnq ovex ltanq addcomnq syl sylan9bb syl12anc simpl1
      wi addclpr 3adant1 adantr mulclpr distrnq simprrl df-plp addclnq syl22anc
      genpprecl df-mp eqeltrrid prcdnq sylbid simpll sylan9bbr syl21anc simprll
      imp wo weq wor ltsonq sotrieq mpan oveq2d eqtrid eleq1d syl5ibcom sylbird
      wn oveq1 ecase3d ) DUAMZEUAMZFUAMZUBZANZDMZBNZEMZOZGNZDMZCNZFMZOZOZOZXFXK
      PUFZXKXFPUFZXFXHQRZXKXMQRZSRZDEFUGRZUQRZMZXQXRYBXKXHQRZYASRZPUFZYEXQXHTMZ
      XKTMZXMTMZXRYHUCXQXCXIYIXBXCXDXPUDZXEXGXIXOUHZEXHUEUIZXEXBXLYJXPXBXCXDUJZ
      XJXLXNUKDXKUEULZXQXDXNYKXBXCXDXPUMZXEXJXLXNUNZFXMUEUIZYIXRXTYFPUFZYJYKOZY
      HHIJXFXKXHPTQAURZGURZHNZINZJNZUOZBURUUDUUEUPZUSUUAYATMYTYHUCXKXMUTHIJXTYF
      YAPTSXFXHQVAXKXHQVAUUDUUEUUFVBXKXMQVAUUDUUEVCUSVDVEVFXQYDUAMZYGYDMYHYEVHX
      QXBYCUAMZUUIXBXCXDXPVGZXEUUJXPXCXDUUJXBEFVIVJVKZDYCVLUIZXQYGXKXHXMSRZQRZY
      DXKXHXMVMXQXBUUJXLUUNYCMZUUOYDMZUUKUULXEXJXLXNVNXQXCXDXIXNUUPYLYQYMYRXCXD
      OXIXNOUUPHKLJIEFXHXMUGSJIHKLVOKNZLNZVPVRWGVQZXBUUJOZXLUUPOUUQHKLJIDYCXKUU
      NUQQJIHKLVSZUURUUSUTZVRWGVQVTYDYGYBWAUIWBXQXSYBXTXFXMQRZSRZPUFZYEXQXFTMZY
      IYKXSUVFUCXEXBXGUVGXPYOXGXIXOWCDXFUEULZYNYSYKXSYAUVDPUFZUVGYIOZUVFHIJXKXF
      XMPTQUUCUUBUUGCURUUHUSUVJXTTMUVIUVFUCXFXHUTYAUVDXTVBVDWDWEXQUUIUVEYDMUVFY
      EVHUUMXQUVEXFUUNQRZYDXFXHXMVMZXQXBUUJXGUUPUVKYDMZUUKUULXEXGXIXOWFUUTUVAXG
      UUPOUVMHKLJIDYCXFUUNUQQUVBUVCVRWGVQZVTYDUVEYBWAUIWBXQXRXSWHWSZAGWIZYEXQUV
      GYJUVPUVOUCZUVHYPTPWJUVGYJOUVQWKTXFXKPWLWMUIXQUVMUVPYEUVNUVPUVKYBYDUVPUVK
      UVEYBUVLUVPUVDYAXTSXFXKXMQWTWNWOWPWQWRXA $.

    $( Lemma for distributive law for positive reals.  (Contributed by NM,
       2-May-1996.)  (Revised by Mario Carneiro, 14-Jun-2013.)
       (New usage is discouraged.) $)
    distrlem5pr $p |- ( ( A e. P. /\ B e. P. /\ C e. P. ) ->
       ( ( A .P. B ) +P. ( A .P. C ) ) C_ ( A .P. ( B +P. C ) ) ) $=
      ( vw vv vu vf vg vh vx vy vz cnp wcel cmp co cv wrex wa wi w3a wb mulclpr
      cpp cplq wceq 3adant3 addclnq genpelv 3imp3i2an cmq df-mp mulclnq 3adant2
      df-plp anbi2d distrlem4pr oveq12 eqeq2d eleq1 syl6bi imp syl5ibrcom exp4b
      com3l com23 rexlimivv rexlimdvv com3r sylbid impd ssrdv ) AMNZBMNZCMNZUAZ
      DABOPZACOPZUDPZABCUDPOPZVPDQZVSNZWAEQZFQZUEPZUFZFVRREVQRZWAVTNZVMVNVOVQMN
      ZVRMNWBWGUBVMVNWIVOABUCUGACUCGHIJKVQVRWAEFUDUEJKGHIUOHQZIQZUHUIUJVPWFWHEF
      VQVRVPWCVQNZWDVRNZSWLWDGQZLQZUKPZUFZLCRGARZSWFWHTZVPWMWRWLVMVOWMWRUBVNJHI
      DEACWDGLOUKDEJHIULWJWKUMZUIUNUPVPWLWRWSVPWLWCJQZKQZUKPZUFZKBRJARZWRWSTVMV
      NWLXEUBVOGHIDEABWCJKOUKDEGHIULWTUIUGXEWRVPWSXEWQVPWSTZGLACXDWNANWOCNSZWQX
      FTZTJKABXAANXBBNSZXGXDXHXIXGXDWQXFVPXIXGSZXDWQSZWSVPXJXKWFWHVPXJSWHXKWFSX
      CWPUEPZVTNZJKLABCGUQXKWFWHXMUBZXKWFWAXLUFXNXKWEXLWAWCXCWDWPUEURUSWAXLVTUT
      VAVBVCVDVEVDVFVGVHVIVJVKVJVHVJVL $.
  $}

  $( Multiplication of positive reals is distributive.  Proposition 9-3.7(iii)
     of [Gleason] p. 124.  (Contributed by NM, 2-May-1996.)
     (New usage is discouraged.) $)
  distrpr $p |- ( A .P. ( B +P. C ) ) = ( ( A .P. B ) +P. ( A .P. C ) ) $=
    ( cnp wcel w3a cpp wceq distrlem1pr distrlem5pr eqssd dmplp 0npr ndmovdistr
    co cmp dmmp pm2.61i ) ADEBDECDEFZABCGOPOZABPOACPOGOZHSTUAABCIABCJKABCDGPLMQ
    NR $.

  ${
    $d x y z w v u f g A $.
    $( 1 is an identity element for positive real multiplication.  Theorem
       9-3.7(iv) of [Gleason] p. 124.  (Contributed by NM, 2-Apr-1996.)
       (New usage is discouraged.) $)
    1idpr $p |- ( A e. P. -> ( A .P. 1P ) = A ) $=
      ( vx vf vg vw vu vv vy vz wcel c1p co cv cmq wrex cltq wbr wa cnq c1q cnp
      cmp wceq df-rex wb elprnq breq1 df-1p abeq2i ltmnq mulidnq breq2d bitr2id
      wex bitrd sylan9bbr ex pm5.32rd exbidv 19.42v bitr3di syl5bb rexbidva 1pr
      sylan df-mp mulclnq genpelv mpan2 prnmax wi crq cfv ltrelnq brel vex fvex
      mulcomnq mulassnq caov12 oveq2d eqtrid sylan9eqr eqcomd ovex oveq2 eqeq2d
      recidnq spcev 3syl a1i ancld reximia syl prcdnq adantrd rexlimdva 3bitr4d
      impbid eqrdv ) AUAJZBAKUBLZAXABMZCMZDMZNLZUCZDKOZCAOZXCXDPQZXGDUNZRZCAOZX
      CXBJZXCAJZXAXHXLCAXHXEKJZXGRZDUNZXAXDAJZRZXLXGDKUDXTXJXGRZDUNXRXLXTYAXQDX
      TXGXJXPXTXGXJXPUEZXTXDSJZXGYBAXDUFXGXJXFXDPQZYCXPXCXFXDPUGXPXETPQZYCYDYED
      KDUHUIYCYEXFXDTNLZPQYDXETXDUJYCYFXDXFPXDUKULUOUMUPVEUQURUSXJXGDUTVAVBVCXA
      KUAJXNXIUEVDEFGHIAKXCCDUBNHIEFGVFFMGMVGVHVIXAXOXMXAXOXMXAXORXJCAOXMCAXCVJ
      XJXLCAXSXJXKXJXKVKXSXJXCSJZYCRZXCXDXCXDVLVMZNLZNLZUCZXKXCXDSSPVNVOYHYKXCY
      CYGYKXCTNLZXCYCYKXCXDYINLZNLYMHIEXDXCYINCVPBVPXDVLVQHMZIMZVRYOYPEMVSVTYCY
      NTXCNXDWHWAWBXCUKWCWDXGYLDYJXCYINWEXEYJUCXFYKXCXEYJXDNWFWGWIWJWKWLWMWNUQX
      AXLXOCAXTXJXOXKAXDXCWOWPWQWSWRWT $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Positive real 'less than' in terms of proper subset.  (Contributed by
       NM, 20-Feb-1996.)  (New usage is discouraged.) $)
    ltprord $p |- ( ( A e. P. /\ B e. P. ) -> ( A <P B <-> A C. B ) ) $=
      ( vx vy cnp wcel wa cltp wbr wpss wceq eleq1 anbi1d psseq1 anbi12d anbi2d
      cv psseq2 df-ltp brabg bianabs ) AEFZBEFZGZABHIABJZCQZEFZDQZEFZGZUFUHJZGU
      BUIGZAUHJZGUDUEGCDABEEHUFAKZUJULUKUMUNUGUBUIUFAELMUFAUHNOUHBKZULUDUMUEUOU
      IUCUBUHBELPUHBAROCDSTUA $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Proper subset is a linear ordering on positive reals.  Part of
       Proposition 9-3.3 of [Gleason] p. 122.  (Contributed by NM,
       25-Feb-1996.)  (New usage is discouraged.) $)
    psslinpr $p |- ( ( A e. P. /\ B e. P. ) ->
                ( A C. B \/ A = B \/ B C. A ) ) $=
      ( vx vy cnp wcel wa wpss wceq wo w3o cv wn wex wal cltq wss sspss orbi2i
      wi wbr cnq elprnq prub sylan2 prcdnq adantl exp43 com3r imp imp4a alrimdv
      syld com23 exlimdv xchnxbi dfss2 bitr3i 3imtr4g orrd df-3or orordir eqcom
      nss or32 bitr4i 3bitri sylibr ) AEFZBEFZGZABHZABIZJZBAHZBAIZJZJZVLVMVOKZV
      KVNVQVKCLZAFZVTBFMZGZCNZDLZBFZWEAFZTZDOZVNMVQVKWCWICVKWCWHDVKWFWCWGVKWFWA
      WBWGVIVJWFWAWBWGTZTZTVJWFVIWKVJWFVIWAWJVJWFGZVIWAGZGWBWEVTPUAZWGWMWLVTUBF
      WBWNTAVTUCBWEVTUDUEWMWNWGTWLAVTWEUFUGUMUHUIUJUKUNULUOABQWDVNCABVDABRUPVQB
      AQWIBARDBAUQURUSUTVSVNVOJVLVOJVMJZVRVLVMVOVAVLVMVOVEWOVNVOVMJZJVRVLVOVMVB
      VQWPVNVPVMVOBAVCSSVFVGVH $.
  $}

  ${
    $d x y z $.
    $( Positive real 'less than' is a strict ordering.  Part of Proposition
       9-3.3 of [Gleason] p. 122.  (Contributed by NM, 25-Feb-1996.)
       (New usage is discouraged.) $)
    ltsopr $p |- <P Or P. $=
      ( vx vy vz cnp cltp cv wcel wbr wn wa pssirr ltprord mtbiri anidms w3a wi
      wpss psstr wb w3o 3adant3 3adant1 anbi12d 3adant2 imbi12d mpbiri psslinpr
      weq biidd ancoms 3orbi123d mpbird issoi ) ABCDEAFZDGZUNUNEHZIUOUOJUPUNUNQ
      UNKUNUNLMNUOBFZDGZCFZDGZOZUNUQEHZUQUSEHZJZUNUSEHZPUNUQQZUQUSQZJZUNUSQZPUN
      UQUSRVAVDVHVEVIVAVBVFVCVGUOURVBVFSUTUNUQLZUAURUTVCVGSUOUQUSLUBUCUOUTVEVIS
      URUNUSLUDUEUFUOURJZVBABUHZUQUNEHZTVFVLUQUNQZTUNUQUGVKVBVFVLVLVMVNVJVKVLUI
      URUOVMVNSUQUNLUJUKULUM $.
  $}

  ${
    $d A b w x y z $.  $d B b x $.  $d b v w x y z $.
    prlem934.1 $e |- B e. _V $.
    $( Lemma 9-3.4 of [Gleason] p. 122.  (Contributed by NM, 25-Mar-1996.)
       (Revised by Mario Carneiro, 11-May-2013.)
       (New usage is discouraged.) $)
    prlem934 $p |- ( A e. P. -> E. x e. A -. ( x +Q B ) e. A ) $=
      ( vy wcel cv cplq co cnq wi wceq eleq1d wa cmq c1o cltq wbr syl2anc c1q
      vb vw vz vv cnp wral wn wrex c0 wne prn0 r19.2z ex syl prpssnq pssssd cxp
      sseld addnqf fdmi 0nnq ndmovrcl simprd syl6com com12 oveq2 ralbidv notbid
      rexlimivw imbi2d wss wpss dfpss2 sylib adantr w3a 3ad2ant1 wex simpl1 crq
      n0 cfv simprl simpl2 recclnq mulclnq archnq sylan2 simpll2 simplrl simprr
      cop cnpi wb ltmnq vex fvex mulcomnq mulassnq caov12 breq12i bitrdi oveq2d
      recidnq mulidnq sylan9eq breq1d bitrd syl21anc pinq sylan simpll1 simplrr
      biimpa elprnq ltaddnq addcomnq breqtrdi ltsonq ltrelnq sotri simpll3 cpli
      opeq1 df-1nq eqtr4di oveq1d eqtrid oveq1 rspccva biimpar syl2an 1nq cplpq
      cerq cmi 1pi mpan2 mulidpi mpd 3impb 3simpa addassnq opex distrnq caovdir
      elexi addpqnq sylancl oveq2i addpipq mpanr12 oveq12d opeq12d eqtrd fveq2d
      a1i mp1i addclpi nqerid 3syl 3eqtrd adantl 3eqtr3rd expd expimpd syl5 a2d
      syl5ib indpi syl13anc prcdnq rexlimddv expr exlimdv eqelssd 3expia expcom
      imp mtod vtoclga 3syld pm2.01d rexnal sylibr ) BUEFZAGZCHIZBFZABUFZUGZUWI
      UGABUHUWFUWJUWFUWJUWIABUHZCJFZUWKUWFBUIUJZUWJUWLKBUKZUWNUWJUWLUWIABULUMUN
      UWLUWFUWMUWIUWFUWMKABUWFUWIUWHJFZUWMUWFBJUWHUWFBJBUOZUPZURUWPUWGJFUWMUWGC
      JHJJUQJHUSUTVAVBVCVDVIVEUWMUWFUWKUWFUWGUAGZHIZBFZABUFZUGZKUWFUWKKUACJUWSC
      LZUXCUWKUWFUXDUXBUWJUXDUXAUWIABUXDUWTUWHBUWSCUWGHVFMVGVHVJUWFUWSJFZUXCUWF
      UXENUXBBJLZUWFUXFUGZUXEUWFBJVKZUXGUWFBJVLUXHUXGNUWQBJVMVNVCVOUWFUXEUXBUXF
      UWFUXEUXBVPZUBBJUWFUXEUXHUXBUWRVQUXIUBGZJFZNZEGZBFZEVRZUXJBFZUXLUWFUXOUWF
      UXEUXBUXKVSUWFUWNUXOUWOEBWAVNUNUXLUXNUXPEUXIUXKUXNUXPUXIUXKUXNNZNZUXJUWSV
      TWBZOIZUCGZPWLZQRZUXPUCWMUXRUXKUXEUYCUCWMUHZUXIUXKUXNWCUWFUXEUXBUXQWDUXEU
      XKUXSJFZUYDUWSWEUXKUYENUXTJFUYDUXJUXSWFUCUXTWGUNWHSUXRUYAWMFZUYCNZNZUXJUX
      MUYBUWSOIZHIZQRZUXPUYHUXJUYIQRZUYIUYJQRZUYKUYHUXEUXKUYCUYLUWFUXEUXBUXQUYG
      WIZUXIUXKUXNUYGWJUXRUYFUYCWKUXEUXKNZUYCUYLUYOUYCUXJUWSUXSOIZOIZUYIQRZUYLU
      XEUYCUYRWNUXKUXEUYCUWSUXTOIZUWSUYBOIZQRUYRUXTUYBUWSWOUYSUYQUYTUYIQUDAEUWS
      UXJUXSOUAWPZUBWPUWSVTWQUDGZUWGWRZVUBUWGUXMWSWTUWSUYBWRXAXBVOUYOUYQUXJUYIQ
      UXEUXKUYQUXJTOIUXJUXEUYPTUXJOUWSXDXCUXJXEXFXGXHXNXIUYHUYIJFZUXMJFZUYMUYHU
      YFUXEVUDUXRUYFUYCWCZUYNUYFUYBJFZUXEVUDUYAXJZUYBUWSWFXKSUYHUWFUXNVUEUWFUXE
      UXBUXQUYGXLZUXIUXKUXNUYGXMZBUXMXOSVUDVUENUYIUYIUXMHIUYJQUYIUXMXPUYIUXMXQX
      RSUXJUYIUYJQJXSXTYASUYHUWFUYJBFZUYKUXPKVUIUYHUYFUXEUXBUXNVUKVUFUYNUWFUXEU
      XBUXQUYGYBVUJUYFUXEUXBUXNVPZVUKVULUXMUXJPWLZUWSOIZHIZBFZKVULUXMTUWSOIZHIZ
      BFZKVULVUKKZVULUXMUYAPYCIZPWLZUWSOIZHIZBFZKVUTUBUCUYAUXJPLZVUPVUSVULVVFVU
      OVURBVVFVUNVUQUXMHVVFVUMTUWSOVVFVUMPPWLZTUXJPPYDYEYFYGXCMVJUXJUYALZVUPVUK
      VULVVHVUOUYJBVVHVUNUYIUXMHVVHVUMUYBUWSOUXJUYAPYDYGXCMVJZUXJVVALZVUPVVEVUL
      VVJVUOVVDBVVJVUNVVCUXMHVVJVUMVVBUWSOUXJVVAPYDYGXCMVJVVIUXEUXBUXNVUSUXEVUQ
      UWSLZUXMUWSHIZBFZVUSUXBUXNNUXEVUQUWSTOIUWSTUWSWRUWSXEYHZUXAVVMAUXMBUWGUXM
      LUWTVVLBUWGUXMUWSHYIMYJVVKVUSVVMVVKVURVVLBVUQUWSUXMHVFMYKYLUUAUYFVULVUKVV
      EVULUXEUXBNUYFVUKVVEKZUXEUXBUXNUUBUYFUXEUXBVVOUYFUXENZUXBVUKVVEUXBVUKNUYJ
      UWSHIZBFZVVPVVEUXAVVRAUYJBUWGUYJLUWTVVQBUWGUYJUWSHYIMYJVVPVVQVVDBVVPVVQUX
      MUYIUWSHIZHIVVDUXMUYIUWSUUCVVPVVSVVCUXMHVVPUYBTHIZUWSOIZUYIVUQHIZVVCVVSVW
      AVWBLVVPUDAEUYBTUWSHOUYAPUUDTJYMUUGVUAVUCVUBUWGUXMUUEUUFUUQVVPVVTVVBUWSOU
      YFVVTVVBLUXEUYFVVTUYBTYNIZYOWBZVVBYOWBZVVBUYFVUGTJFVVTVWDLVUHYMUYBTUUHUUI
      UYFVWCVVBYOUYFVWCUYAPYPIZPPYPIZYCIZVWGWLZVVBUYFVWCUYBVVGYNIZVWITVVGUYBYNY
      EUUJUYFPWMFZVWJVWILZYQUYFVWKNVWKVWKVWLYQYQUYAPPPUUKUULYRYHUYFVWHVVAVWGPUY
      FVWFUYAVWGPYCUYAYSVWKVWGPLUYFYQPYSUURZUUMVWMUUNUUOUUPUYFVVAWMFZVVBJFVWEVV
      BLUYFVWKVWNYQUYAPUUSYRVVAXJVVBUUTUVAUVBVOYGVVPVUQUWSUYIHUXEVVKUYFVVNUVCXC
      UVDXCYHMUVIUVEUVFUVGUVHUVJUVSUVKBUYJUXJUVLSYTUVMUVNUVOYTUVPUVQUVTUVRUWAVE
      UWBUWCUWIABUWDUWE $.
  $}

  ${
    $d x y z w v A $.  $d x y z w v B $.
    $( The sum of two positive reals is greater than one of them.  Proposition
       9-3.5(iii) of [Gleason] p. 123.  (Contributed by NM, 26-Mar-1996.)
       (Revised by Mario Carneiro, 12-Jun-2013.)
       (New usage is discouraged.) $)
    ltaddpr $p |- ( ( A e. P. /\ B e. P. ) -> A <P ( A +P. B ) ) $=
      ( vy vx vz vw vv cnp wcel wa cpp co wbr cv wn wi cplq cnq mpd syl6ibr wex
      cltp wpss c0 wne prn0 n0 sylib adantl wss wceq wal addclpr df-plp addclnq
      genpprecl imp cltq elprnq addnqf fdmi 0nnq ndmovrcl ltaddnq 3syl syl2an2r
      cxp prcdnq exp32 com23 alrimdv dfss2 wrex vex prlem934 adantr eleq2 con3d
      biimprcd syl6 expd com34 rexlimdv dfpss2 exlimdv wb ltprord syldan mpbird
      jcad ) AHIZBHIZJZAABKLZUBMZAWNUCZWMCNZBIZCUAZWPWLWSWKWLBUDUEWSBUFCBUGUHUI
      WMWRWPCWMWRAWNUJZAWNUKZOZJWPWMWRWTXBWMWRDNZAIZXCWNIZPZDULWTWMWRXFDWMXDWRX
      EWMXDWRXEWMWNHIZXDWRJZXCWQQLZWNIZXEABUMZWMXHXJDCEFGABXCWQKQFGDCEUNWQENUOU
      PZUQXGXJJZXCXIURMZXEXMXIRIXCRIWQRIJXNWNXIUSXCWQRQRRVGRQUTVAVBVCXCWQVDVEWN
      XIXCVHSVFVIVJVKDAWNVLTWMXIAIZOZDAVMZWRXBPZWKXQWLDAWQCVNVOVPWMXPXRDAWMXDWR
      XPXBWMXDWRXPXBPZWMXHXJXSXLXJXAXOXAXOXJAWNXIVQVSVRVTWAWBWCSWJAWNWDTWESWKWL
      XGWOWPWFXKAWNWGWHWI $.
  $}

  $( The sum of two positive reals is greater than one of them.  (Contributed
     by NM, 13-May-1996.)  (New usage is discouraged.) $)
  ltaddpr2 $p |- ( C e. P. -> ( ( A +P. B ) = C -> A <P C ) ) $=
    ( cpp co wceq cnp wcel cltp eleq1 dmplp 0npr ndmovrcl syl6bir ltaddpr breq2
    wa wbr syl5ib syldc ) ABDEZCFZCGHZAGHBGHQZACIRZUBUCUAGHUDUACGJABGDKLMNUDAUA
    IRUBUEABOUACAIPST $.

  ${
    $d x y z w v f g h A $.  $d x y z w v B $.  $d x z w v f g h C $.
    $d x y z w v u f g h $.
    ltexprlem.1 $e |- C = { x | E. y ( -. y e. A /\ ( y +Q x ) e. B ) } $.
    $( Lemma for Proposition 9-3.5(iv) of [Gleason] p. 123.  (Contributed by
       NM, 3-Apr-1996.)  (New usage is discouraged.) $)
    ltexprlem1 $p |- ( B e. P. -> ( A C. B -> C =/= (/) ) ) $=
      ( cnp wcel wpss cv wn cplq co wa wex c0 wne pssnel prnmadd anim2i impd n0
      19.42v sylibr exp32 com3l eximdv syl5 abeq2i exbii excom 3bitr4i syl6ibr
      ) DGHZCDIZBJZCHKZUPAJZLMDHZNZAOZBOZEPQZUOUPDHZUQNZBOUNVBBCDRUNVEVABUNVDUQ
      VAUQUNVDVAUQUNVDVAUQUNVDNZNUQUSAOZNVAVFVGUQADUPSTUQUSAUCUDUEUFUAUGUHUREHZ
      AOUTBOZAOVCVBVHVIAVIAEFUIUJAEUBUTBAUKULUM $.

    $( Lemma for Proposition 9-3.5(iv) of [Gleason] p. 123.  (Contributed by
       NM, 3-Apr-1996.)  (New usage is discouraged.) $)
    ltexprlem2 $p |- ( B e. P. -> C C. Q. ) $=
      ( cnp wcel cnq cv wn cplq co wa wex abeq2i elprnq cxp cltq wbr addnqf syl
      fdmi 0nnq ndmovrcl ltaddnq ancoms addcomnq breqtrdi prcdnq mpd ex adantld
      syl5 exlimdv syl5bi ssrdv prpssnq sspsstrd ) DGHZEDIUTAEDAJZEHBJZCHKZVBVA
      LMZDHZNZBOZUTVADHZVGAEFPUTVFVHBUTVEVHVCUTVEVHUTVENZVBIHZVAIHZNZVHVIVDIHVL
      DVDQVBVAILIIRILUAUCUDUEUBVLVAVDSTVIVHVLVAVAVBLMZVDSVKVJVAVMSTVAVBUFUGVAVB
      UHUIDVDVAUJUNUKULUMUOUPUQDURUS $.

    $( Lemma for Proposition 9-3.5(iv) of [Gleason] p. 123.  (Contributed by
       NM, 6-Apr-1996.)  (New usage is discouraged.) $)
    ltexprlem3 $p |- ( B e. P. ->
                  ( x e. C -> A. z ( z <Q x -> z e. C ) ) ) $=
      ( cnp wcel cv cltq wbr wi wa wn cplq co wex cnq wb elprnq cxp addnqf fdmi
      0nnq ndmovrcl simpld 3syl prcdnq sylbid impancom anim2d eximdv abeq2i vex
      ltanq weq oveq2 eleq1d anbi2d exbidv elab2 3imtr4g ex com23 alrimdv ) EHI
      ZAJZFIZCJZVHKLZVJFIZMCVGVKVIVLVGVKVIVLMVGVKNZBJZDIOZVNVHPQZEIZNZBRZVOVNVJ
      PQZEIZNZBRZVIVLVMVRWBBVMVQWAVOVGVQVKWAVGVQNZVKVTVPKLZWAWDVPSIZVNSIZVKWETE
      VPUAWFWGVHSIVNVHSPSSUBSPUCUDUEUFUGVJVHVNUPUHEVPVTUIUJUKULUMVSAFGUNVSWCAVJ
      FCUOACUQZVRWBBWHVQWAVOWHVPVTEVHVJVNPURUSUTVAGVBVCVDVEVF $.

    $( Lemma for Proposition 9-3.5(iv) of [Gleason] p. 123.  (Contributed by
       NM, 6-Apr-1996.)  (New usage is discouraged.) $)
    ltexprlem4 $p |- ( B e. P. ->
                  ( x e. C -> E. z ( z e. C /\ x <Q z ) ) ) $=
      ( vw wcel cv cplq wa wex cltq wbr wceq cnq ltrelnq exbii sylibr cnp wn co
      wrex prnmax df-rex sylib brel simpld cxp addnqf fdmi ndmovrcl syl ltaddnq
      ltsonq sotri sylan mpancom simprd ltexnq biimpd mpcom eqcom anim2i 19.41v
      0nnq ancri an12 eximi excom ovex eleq1 breq2 anbi12d ltanq ndmovordi 3syl
      ceqsexv sylbi an12s 19.42v ex eximdv abeq2i vex oveq2 eleq1d anbi2d elab2
      exbidv anbi1i anass 3bitr2i bitr4i 3imtr4g ) EUAIZBJZDIUBZWRAJZKUCZEIZLZB
      MZWSWRCJZKUCZEIZWTXENOZLZLZCMZBMZWTFIXEFIZXHLZCMZWQXCXKBWQXCXKWQXCLWSXICM
      ZLZXKWSWQXBXQWQXBLZXPWSXRHJZEIZXAXSNOZLZHMZXSXFPZYBLZHMZCMZXPXRYAHEUDYCHE
      XAUEYAHEUFUGYCYECMZHMYGYBYHHYBYDCMZYBLZYHYBXTYIYALZLYJYAYKXTYAYIYAXFXSPZC
      MZYIYAWRXSNOZYMWRQIZWTQILZYAYNYAXAQIZYPYAYQXSQIZXAXSQQNRUHUIWRWTQKQQUJQKU
      KULZVGUMUNYPWRXANOYAYNWRWTUOWRXAXSNQUPRUQURUSYRYNYMYNYOYRWRXSQQNRUHUTYRYN
      YMCWRXSVAVBVCUNYDYLCXSXFVDSTVHVEYIXTYAVITYDYBCVFTVJYECHVKTYFXICYFXGXAXFNO
      ZLZXIYBUUAHXFWRXEKVLYDXTXGYAYTXSXFEVMXSXFXANVNVOVSYTXHXGWTXEWRNQKYSRVGWTX
      EWRVPVQVEVTVJVRVEWAWSXICWBTWCWDXDAFGWEXOXJBMZCMXLXNUUBCXNWSXGLZBMZXHLUUCX
      HLZBMUUBXMUUDXHXDUUDAXEFCWFWTXEPZXCUUCBUUFXBXGWSUUFXAXFEWTXEWRKWGWHWIWKGW
      JWLUUCXHBVFUUEXJBWSXGXHWMSWNSXJBCVKWOWP $.

    $( Lemma for Proposition 9-3.5(iv) of [Gleason] p. 123.  (Contributed by
       NM, 6-Apr-1996.)  (New usage is discouraged.) $)
    ltexprlem5 $p |- ( ( B e. P. /\ A C. B ) -> C e. P. ) $=
      ( vz cnp wcel wpss wa c0 cnq cv cltq wbr wi wal syl6ibr adantr ltexprlem1
      wrex wral wne 0pss imp ltexprlem2 ltexprlem3 wex ltexprlem4 jcad ralrimiv
      df-rex elnp syl21anbrc ) DHIZCDJZKLEJZEMJZGNZANZOPUTEIZQGRZVAUTOPZGEUBZKZ
      AEUCZEHIUPUQURUPUQELUDURABCDEFUAEUESUFUPUSUQABCDEFUGTUPVGUQUPVFAEUPVAEIZV
      CVEABGCDEFUHUPVHVBVDKGUIVEABGCDEFUJVDGEUMSUKULTAGEUNUO $.

    $( Lemma for Proposition 9-3.5(iv) of [Gleason] p. 123.  (Contributed by
       NM, 8-Apr-1996.)  (Revised by Mario Carneiro, 12-Jun-2013.)
       (New usage is discouraged.) $)
    ltexprlem6 $p |- ( ( ( A e. P. /\ B e. P. ) /\ A C. B ) ->
                     ( A +P. C ) C_ B ) $=
      ( vz vw vg vh cnp wcel co wa cv cplq wi cltq cnq vex vf wpss cpp wss wceq
      vv vu wrex ltexprlem5 df-plp addclnq genpelv sylan2 wex abeq2i wbr elprnq
      wb wn cxp addnqf fdmi 0nnq ndmovrcl simpld syl prub simprd ltanq addcomnq
      caovord2 3syl prcdnq sylbid adantl exp32 com34 imp4b exlimdv syl5bi exp31
      syld com23 imp43 eleq1 biimparc sylan rexlimdvv adantrr ssrdv anassrs ) C
      KLZDKLZCDUBZCEUCMZDUDWLWMWNNZNZGWODWQGOZWOLZWRHOZAOZPMZUEZAEUHHCUHZWRDLZW
      PWLEKLWSXDURABCDEFUIUAIJGBCEWRHAUCPGBUAIJUJIOJOUKULUMWLWMXDXEQWNWLWMNZXCX
      EHACEXFWTCLZXAELZNZXCXEXFXINXBDLZXCXEWLWMXGXHXJWLXGWMXHXJQZWLXGWMXKXHBOZC
      LUSZXLXAPMZDLZNZBUNZWLXGNZWMNZXJXQAEFUOXSXPXJBXRWMXMXOXJXRWMXOXMXJXRWMXOX
      MXJQXRWMXONZNXMWTXLRUPZXJXTXRXLSLZXMYAQXTXNSLZYBDXNUQZYCYBXASLZXLXASPSSUT
      SPVAVBVCVDZVEVFCWTXLVGUMXTYAXJQXRXTYAXBXNRUPZXJXTYCYEYAYGURYDYCYBYEYFVHGU
      FUGWTXLXARSPHTBTWRUFOZUGOVIATWRYHVJVKVLDXNXBVMVNVOWBVPVQVRVSVTWAWCWDXCXEX
      JWRXBDWEWFWGWAWHWIVNWJWK $.

    $( Lemma for Proposition 9-3.5(iv) of [Gleason] p. 123.  (Contributed by
       NM, 8-Apr-1996.)  (Revised by Mario Carneiro, 12-Jun-2013.)
       (New usage is discouraged.) $)
    ltexprlem7 $p |- ( ( ( A e. P. /\ B e. P. ) /\ A C. B ) ->
                     B C_ ( A +P. C ) ) $=
      ( vw vv vz vf cnp wcel wa co cv wi wb expd cplq cnq vg vh wpss ltexprlem5
      cpp cltp wbr ltaddpr addclpr ltprord syldan mpbid pssssd sseld 2a1d com4r
      wex prnmadd elprnq cxp addnqf fdmi 0nnq ndmovrcl syl simpld wrex prlem934
      vex adantr wceq cltq prub ltexnq adantl sylibd ad2ant2r addcomnq addassnq
      wn ex caov32 oveq1 eqtrid eleq1d biimpar ovex eleq1 notbid anbi12d abeq2i
      spcev sylibr sylan2 df-plp addclnq genpprecl sylan2i exp4d imp42 ad2antrl
      exp32 exlimdv syl6d rexlimddv com14 syld com4t pm2.61i syl5 com34 pm2.43d
      mpd imp31 ssrdv ) CKLZDKLZMCDUCZMGDCEUENZXPXQXRGOZDLZXTXSLZPZXPXQXRYCPXPX
      QXRXQYCXPXQXRXQYCPZXQXRMEKLZXPYDABCDEFUDXTCLZXPYEYDPPYFXPYEYDXPYEMZXQYAYF
      YBYGYFYBPXQYAYGCXSXTYGCXSYGCXSUFUGZCXSUCZCEUHXPYEXSKLYHYIQCEUICXSUJUKULUM
      UNUOUPRYFVTZXPYEYDXQYAYJYGYBXQYAXTHOZSNZDLZHUQZYJYGYBPPZXQYAYNHDXTURWAXQY
      MYOHXQYMYOXQYMMZXTTLZYOYPYQYKTLZYPYLTLYQYRMDYLUSXTYKTSTTUTTSVAVBVCVDVEVFY
      MYQYOPXQYGYQYJYMYBYGIOZYKSNZCLZVTZYQYJYMYBPZPPICXPUUBICVGYEICYKHVIZVHVJYG
      YSCLZUUBMMZYQYJYSAOZSNZXTVKZAUQZUUCXPUUEYQYJUUJPZPYEUUBXPUUEMZYQUUKUULYQM
      YJYSXTVLUGZUUJCYSXTVMYQUUMUUJQUULAYSXTVNVOVPWAVQUUFUUIUUCAUUFUUIYMYBUUFUU
      IYMMZMUUHXSLZYBYGUUEUUBUUNUUOYGUUEUUBUUNUUOUUBUUNMYGUUEUUGELZUUOUUNUUBYTU
      UGSNZDLZUUPUUIUURYMUUIUUQYLDUUIUUQUUHYKSNYLJUAUBYSYKUUGSIVIUUDAVIJOZUAOZV
      RUUSUUTUBOVSWBUUHXTYKSWCWDWEWFUUBUURMZBOZCLZVTZUVBUUGSNZDLZMZBUQZUUPUVGUV
      ABYTYSYKSWGUVBYTVKZUVDUUBUVFUURUVIUVCUUAUVBYTCWHWIUVIUVEUUQDUVBYTUUGSWCWE
      WJWLUVHAEFWKWMWNIJHAGCEYSUUGUESAGIJHWOUUSYKWPWQWRWSWTUUIUUOYBQUUFYMUUHXTX
      SWHXAULXBXCXDXEXFVOXMWAXCXGXHRXIXJRXKXLXNXO $.
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Proposition 9-3.5(iv) of [Gleason] p. 123.  (Contributed by NM,
       13-May-1996.)  (Revised by Mario Carneiro, 14-Jun-2013.)
       (New usage is discouraged.) $)
    ltexpri $p |- ( A <P B -> E. x e. P. ( A +P. x ) = B ) $=
      ( vw vy vz cnp wcel wa cltp wbr cv cpp wceq wrex ltrelpr cplq wex oveq2
      co brel wpss ltprord wn eleq1d anbi2d exbidv cbvabv ltexprlem5 ltexprlem6
      cab adantll ltexprlem7 eqssd eqeq1d rspcev syl2anc ex sylbid mpcom ) BGHZ
      CGHZIZBCJKZBALZMTZCNZAGOZBCGGJPUAVCVDBCUBZVHBCUCVCVIVHVCVIIZDLZBHUDZVKELZ
      QTZCHZIZDRZEUKZGHZBVRMTZCNZVHVBVIVSVAFDBCVRVQVLVKFLZQTZCHZIZDREFVMWBNZVPW
      EDWFVOWDVLWFVNWCCVMWBVKQSUEUFUGUHZUIULVJVTCFDBCVRWGUJFDBCVRWGUMUNVGWAAVRG
      VEVRNVFVTCVEVRBMSUOUPUQURUSUT $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Lemma for Proposition 9-3.5(v) of [Gleason] p. 123.  (Contributed by NM,
       8-Apr-1996.)  (New usage is discouraged.) $)
    ltaprlem $p |- ( C e. P. -> ( A <P B ->
                    ( C +P. A ) <P ( C +P. B ) ) ) $=
      ( vx cnp wcel cltp wbr cpp co ltrelpr brel simpld cv wceq wrex wa ltexpri
      wi expd addclpr ltaddpr addasspr oveq2 eqtrid breq2d syl5ib syl5 rexlimiv
      com3r syl sylan2i pm2.43b ) CEFZABGHZCAIJZCBIJZGHZUOUNUOURUOUOUNAEFZURUOU
      SBEFABEEGKLMUOADNZIJZBOZDEPUNUSQZURSZDABRVBVDDEVBVCUTEFZURVCUPEFZVBVEURSC
      AUAVBVFVEURVFVEQUPUPUTIJZGHVBURUPUTUBVBVGUQUPGVBVGCVAIJUQCAUTUCVABCIUDUEU
      FUGTUHUJUIUKULTUM $.
  $}

  $( Ordering property of addition.  Proposition 9-3.5(v) of [Gleason] p. 123.
     (Contributed by NM, 8-Apr-1996.)  (New usage is discouraged.) $)
  ltapr $p |- ( C e. P. -> ( A <P B <-> ( C +P. A ) <P ( C +P. B ) ) ) $=
    ( cltp cnp cpp ltrelpr wcel wbr co wb wa ltaprlem adantr wceq ltsopr sotric
    wi wn wo dmplp 0npr olc mpan adantl addclpr anim12dan sylancr 3imtr3d con4d
    wor syl5 df-or syl6ib com23 soirri oveq2 breq2d mtbiri pm2.21d impbid 3impb
    pm2.61d2 3com13 ndmovord ) ABCDEFUAGUBCEHZBEHZAEHZABDIZCAFJZCBFJZDIZKZVFVGV
    HVMVFVGVHLZLZVIVLVFVIVLRVNABCMNVOBAOZVLVIRVOVLVPSZVIVOVLVPVITZVQVIRVLVKVJOZ
    VLTZVOVRVLVSUCVOVRVTVOBADIZVKVJDIZVRSZVTSZVFWAWBRVNBACMNVNWAWCKZVFEDUKZVNWE
    PEBADQUDUEVOWFVKEHZVJEHZLWBWDKPVFVGWGVHWHCBUFCAUFUGEVKVJDQUHUIUJULVPVIUMUNU
    OVPVLVIVPVLVJVJDIVJDEPGUPVPVKVJVJDBACFUQURUSUTVCVAVBVDVE $.

  $( Addition cancellation law for positive reals.  Proposition 9-3.5(vi) of
     [Gleason] p. 123.  (Contributed by NM, 9-Apr-1996.)
     (New usage is discouraged.) $)
  addcanpr $p |- ( ( A e. P. /\ B e. P. ) ->
                 ( ( A +P. B ) = ( A +P. C ) -> B = C ) ) $=
    ( cnp wcel wa cpp co wceq wi addclpr cltp wbr wo wn wb ltapr ltsopr sotrieq
    mpan eleq1 dmplp 0npr ndmovrcl syl6bi syl5com orbi12d ad2antrr wor ad2ant2l
    notbid syl2an 3bitr4d exbiri syld pm2.43d ) ADEZBDEZFZABGHZACGHZIZBCIZUSVBU
    QCDEZFZVBVCJUSUTDEZVBVEABKZVBVFVADEZVEUTVADUAACDGUBUCUDUEUFUSVEVCVBUSVEFBCL
    MZCBLMZNZOZUTVALMZVAUTLMZNZOZVCVBUQVLVPPURVEUQVKVOUQVIVMVJVNBCAQCBAQUGUKUHU
    RVDVCVLPZUQUQDLUIZURVDFVQRDBCLSTUJUSVFVHVBVPPZVEVGACKVRVFVHFVSRDUTVALSTULUM
    UNUOUP $.

  ${
    $d x y z b A $.  $d x b B $.  $d b u v w x y z $.
    $( Lemma 9-3.6 of [Gleason] p. 124.  (Contributed by NM, 26-Apr-1996.)
       (Revised by Mario Carneiro, 12-Jun-2013.)
       (New usage is discouraged.) $)
    prlem936 $p |- ( ( A e. P. /\ 1Q <Q B ) ->
                   E. x e. A -. ( x .Q B ) e. A ) $=
      ( vy vz cnq wcel c1q cltq wbr wa cv cmq co wi wceq adantr cplq syl wb cnp
      vb vu vw vv wn wrex ltrelnq brel simprd adantl breq2 anbi2d eleq1d notbid
      oveq2 rexbidv imbi12d wex c0 prn0 n0 sylib elprnq ad2ant2r mulidnq simplr
      wne ltmnq biimpa syl2anc eqbrtrrd ad2antlr mulclnq mpbid simplll prlem934
      ltexnq vex simprr eleq1 biimparc sylan cxp addnqf fdmi 0nnq ndmovrcl prub
      addclnq syl21anc ad2antrr crq cfv recclnq sylan2 ancoms mulassnq mulcomnq
      oveq2i eqtri recidnq oveq2d eqtrid breq1d bitrd adantll mulnqf ltanq ovex
      sylan9eq simpld distrnq caovdir caov12 sylan9eqr eqtr4i a1i breq2d bitr4d
      oveq12d adantrr addcomnq breq12i bitrdi ad2antrl caov411 adantrl syl22anc
      fvex oveq1 3bitr3d sylibd prcdnq impancom con3d ex com23 mpdd exlimddv
      reximdva mpd expr rspcev pm2.61d vtoclg mpcom ) CFGZBUAGZHCIJZKZALZCMNZBG
      ZUFZABUGZUUJUUHUUIUUJHFGZUUHHCFFIUHUIUJUKUUIHUBLZIJZKZUULUURMNZBGZUFZABUG
      ZOUUKUUPOUBCFUURCPZUUTUUKUVDUUPUVEUUSUUJUUIUURCHIULUMUVEUVCUUOABUVEUVBUUN
      UVEUVAUUMBUURCUULMUPUNUOUQURUUTDLZBGZUVDDUUIUVGDUSZUUSUUIBUTVHUVHBVADBVBV
      CQUUTUVGKUVFUURMNZBGZUVDUUTUVGUVJUVDUUTUVGUVJKZKZUVFELZRNZUVIPZUVDEUVLUVF
      UVIIJZUVOEUSZUVLUVFHMNZUVFUVIIUVLUVFFGZUVRUVFPUUIUVGUVSUUSUVJBUVFVDVEZUVF
      VFSUVLUVSUUSUVRUVIIJZUVTUUIUUSUVKVGUVSUUSUWAHUURUVFVIVJVKVLUVLUVIFGZUVPUV
      QTUVLUVSUURFGZUWBUVTUUSUWCUUIUVKUUSUUQUWCHUURFFIUHUIUJVMZUVFUURVNVKEUVFUV
      IVRSVOUVLUVOKZUULUVMRNZBGZUFZABUGZUVDUWEUUIUWIUUIUUSUVKUVOVPZABUVMEVSZVQS
      UWEUWHUVCABUWEUULBGZKZUWHUWFUVAIJZUVCUWMUWHUVNUWFIJZUWNUWMUUIUVNBGZUWFFGZ
      UWHUWOOUWEUUIUWLUWJQZUWEUWPUWLUVLUVJUVOUWPUUTUVGUVJVTUVOUWPUVJUVNUVIBWAWB
      WCZQUWMUULFGZUVMFGZUWQUWEUUIUWLUWTUWJBUULVDWCZUWEUXAUWLUWEUUIUWPUXAUWJUWS
      UUIUWPKUVNFGZUXABUVNVDUXCUVSUXAUVFUVMFRFFWDZFRWEWFWGWHUJSVKQZUULUVMWJVKBU
      VNUWFWIWKUWMUVAFGZUVSUXAUVOUWOUWNTUWMUWTUWCUXFUXBUVLUWCUVOUWLUWDWLUULUURV
      NVKUVLUVSUVOUWLUVTWLUXEUVLUVOUWLVGUXFUVSKZUXAUVOKKUVFUULIJZUWFUVNUULUVFWM
      WNZMNZMNZIJZUWOUWNUXGUXAUXHUXLTUVOUXGUXAKUXHUVMUVMUXIMNZUULMNZIJZUXLUVSUX
      AUXHUXOTUXFUVSUXAKZUXHUXMUVFMNZUXNIJZUXOUXPUXMFGZUXHUXRTUXAUVSUXSUVSUXAUX
      IFGUXSUVFWOUVMUXIVNWPWQUVFUULUXMVISUXPUXQUVMUXNIUXPUXQUVMUVFUXIMNZMNZUVMU
      XQUVMUXIUVFMNZMNUYAUVMUXIUVFWRUYBUXTUVMMUXIUVFWSWTXAUVSUXAUYAUVMHMNUVMUVS
      UXTHUVMMUVFXBZXCUVMVFXKXDXEXFXGUXGUXOUXLTUXAUXGUXOUWFUULUXNRNZIJZUXLUXFUX
      OUYETZUVSUXFUWTUYFUXFUWTUWCUULUURFMUXDFMXHWFWGWHXLZUVMUXNUULXISQUXGUXKUYD
      UWFIUXGUXKUVFUXJMNZUVMUXJMNZRNUYDUCUDUEUVFUVMUXJRMDVSZUWKUULUXIMXJUCLZUDL
      ZWSZUYKUYLUELZXMXNUXGUYHUULUYIUXNRUXGUYHUULUXTMNZUULUCUDUEUVFUULUXIMUYJAV
      SZUVFWMYJZUYMUYKUYLUYNWRZXOUVSUXFUYOUULHMNZUULUVSUXTHUULMUYCXCUXFUWTUYSUU
      LPUYGUULVFSXPXDUYIUXNPUXGUYIUVMUXIUULMNZMNUXNUXJUYTUVMMUULUXIWSWTUVMUXIUU
      LWRXQXRYAXDXSXTQXFYBUXAUXHUWOTUXGUVOUXAUXHUVMUVFRNZUVMUULRNZIJUWOUVFUULUV
      MXIVUAUVNVUBUWFIUVMUVFYCUVMUULYCYDYEYFUXGUVOUXLUWNTUXAUXGUVOKUXKUVAUWFIUV
      OUXGUXKUVIUXJMNZUVAUVNUVIUXJMYKUXGVUCUVAUXTMNZUVAUCUDUEUVFUURUULUXIMUYJUB
      VSUYPUYMUYRUYQYGUVSUXFVUDUVAHMNUVAUVSUXTHUVAMUYCXCUVAVFXPXDXPXSYHYLYIYMUW
      MUUIUWHUWNUVCOOUWRUUIUWNUWHUVCUUIUWNUWHUVCOUUIUWNKUVBUWGUUIUVBUWNUWGBUVAU
      WFYNYOYPYQYRSYSUUAUUBYTUUCUVGUVJUFZUVDOUUTUVGVUEUVDUVCVUEAUVFBUULUVFPZUVB
      UVJVUFUVAUVIBUULUVFUURMYKUNUOUUDYQUKUUEYTUUFUUG $.
  $}

  ${
    $d x y z w v u f g A $.  $d x z w v u f g B $.
    reclempr.1 $e |- B = { x | E. y ( x <Q y /\ -. ( *Q ` y ) e. A ) } $.
    $( Lemma for Proposition 9-3.7 of [Gleason] p. 124.  (Contributed by NM,
       30-Apr-1996.)  (Revised by Mario Carneiro, 12-Jun-2013.)
       (New usage is discouraged.) $)
    reclem2pr $p |- ( A e. P. -> B e. P. ) $=
      ( vz wcel c0 cnq wa cltq wbr wn wex crq cfv syl eleq1d sylibr jca wpss cv
      cnp wi wal wrex wral prpssnq pssnel recclnq nsmallnq adantr notbid anbi2d
      wne recrecnq fvex wceq breq2 fveq2 anbi12d spcev syl6bir vex breq1 anbi1d
      exbidv elab2 syl6ibr expcomd imp eximdv mpd n0 exlimiv 3syl 0pss wss prn0
      elprnq pm2.43i dmrecnq 0nnq ndmfvrcl prcdnq syl5bi alrimiv abeq2i exanali
      wb ltrnq bitri con2bii sylib eximi ex exlimdv 3imtr4g ltrelnq brel simpld
      nss sylbi ssriv jctil dfpss3 ltsonq sotri anim1d cab nfe1 nfab nfcxfr nfv
      com12 nfrex adantll simpll expcom ltbtwnnq df-rex impcom exlimi rgen elnp
      19.8a sylanblrc ) CUCGZHDUAZDIUAZJFUBZAUBZKLZYKDGZUDZFUEZYLYKKLZFDUFZJZAD
      UGDUCGYHYIYJYHDHUOZYIYHCIUAYLIGZYLCGZMZJZANYTCUHACIUIUUDYTAUUDYNFNZYTUUDY
      KYLOPZKLZFNZUUEUUAUUHUUCUUAUUFIGZUUHYLUJFUUFUKQULUUDUUGYNFUUAUUCUUGYNUDUU
      AUUGUUCYNUUAUUGUUCJZYKBUBZKLZUUKOPZCGZMZJZBNZYNUUAUUJUUGUUFOPZCGZMZJZUUQU
      UAUUTUUCUUGUUAUUSUUBUUAUURYLCYLUPRUMUNUUPUVABUUFYLOUQUUKUUFURZUULUUGUUOUU
      TUUKUUFYKKUSUVBUUNUUSUVBUUMUURCUUKUUFOUTRUMVAVBVCYLUUKKLZUUOJZBNZUUQAYKDF
      VDYLYKURZUVDUUPBUVFUVCUULUUOYLYKUUKKVEVFVGEVHZVIVJVKVLVMFDVNSVOVPDVQSYHDI
      VRZIDVRMZJYJYHUVIUVHYHCHUOZUVICVSYHYKCGZFNUUAYLDGZMZJZANZUVJUVIYHUVKUVOFY
      HUVKUVOYHUVKJZYHUUFCGZJZANZUVOUVPUVSUVPUVPYHYKOPZOPZCGZJZUVSUVPYKIGZUWCUV
      PWJCYKVTUWDUWBUVKYHUWDUWAYKCYKUPRUNQUVRUWCAUVTYKOUQYLUVTURZUVQUWBYHUWEUUF
      UWACYLUVTOUTRUNVBVCWAUVRUVNAUVRUUAUVMUVRUUIUUACUUFVTYLIOWBWCWDQUVRUVCUUNU
      DZBUEZUVMUVRUWFBUVCUUMUUFKLUVRUUNYLUUKWKCUUFUUMWEWFWGUVLUWGUVLUVEUWGMUVEA
      DEWHZUVCUUNBWIWLWMWNTWOQWPWQFCVNAIDXBWRVMADIUVLUVEUUAUWHUVDUUABUVCUUAUUOU
      VCUUAUUKIGYLUUKIIKWSWTXAULVOXCXDXEDIXFSTYSADUVLYPYRUVLYOFYMUVLYNYMUVEUUQU
      VLYNYMUVDUUPBYMUVCUULUUOYMUVCUULYKYLUUKKIXGWSXHWPXIVLUWHUVGWRXOWGUVLUVEYR
      UWHUVDYRBYQBFDBDUVEAXJEUVEBAUVDBXKXLXMYQBXNXPUUOUVCYRUUOYQUULJZFNYNYQJZFN
      UVCYRUUOUWIUWJFUWIUUOUWJUWIUUOJYNYQUULUUOYNYQUUPUUQYNUUPBYFUVGSXQYQUULUUO
      XRTXSVLFYLUUKXTYQFDYAWRYBYCXCTYDAFDYEYG $.

    $( Lemma for Proposition 9-3.7(v) of [Gleason] p. 124.  (Contributed by NM,
       30-Apr-1996.)  (Revised by Mario Carneiro, 12-Jun-2013.)
       (New usage is discouraged.) $)
    reclem3pr $p |- ( A e. P. -> 1P C_ ( A .P. B ) ) $=
      ( vw vv vz wcel co cv c1q cltq wbr wa crq cfv cmq cnq wceq vu cnp c1p cmp
      vf vg df-1p abeq2i wrex ltrnq mulcomnq recclnq mulidnq mp2b recidnq ax-mp
      wn 1nq 3eqtr3i breq1i prlem936 sylan2b prnmax ad2ant2r w3a elprnq 3adant3
      bitri simp1r ltrelnq brel simpld syl simp3 simp2r fvex ltmnq vex caovord2
      wb syl5bb adantl biimpd eqtr3id oveqan12d mulassnq caov4 3eqtr3g recmulnq
      mulclnq sylan mpbird eleq1d notbid biimprd anim12d wex ovex breq2 anbi12d
      fveq2 spcev breq1 anbi1d exbidv elab2 sylibr imp syl22anc simprd 3ad2ant3
      syl6 eqtr3di oveq1d sylan9eqr syl2anc oveq2 rspceeqv 3expia reximdv df-mp
      reclem2pr genpelv mpdan ad2antrr sylibrd mpd rexlimddv ex syl5bi ssrdv )
      CUBIZFUCCDUDJZFKZUCIYNLMNZYLYNYMIZYOFUCFUGUHYLYOYPYLYOOZGKZYNPQZRJZCIZUQZ
      YPGCYOYLLYSMNZUUBGCUIYOLPQZYSMNUUCYNLUJUUDLYSMUUDLRJZLUUDRJZUUDLUUDLUKLSI
      ZUUDSIUUEUUDTURLULUUDUMUNUUGUUFLTURLUOUPUSUTVHGCYSVAVBYQYRCIZUUBOZOZYRHKZ
      MNZHCUIZYPYLUUHUUMYOUUBHCYRVCVDUUJUUMYNUUKAKZRJZTADUIZHCUIZYPUUJUULUUPHCY
      QUUIUULUUPYQUUIUULVEZUUKPQZYNRJZDIZYNUUKUUTRJZTZUUPUURYRSIZYNSIZUULUUBUVA
      YQUUIUVDUULYLUUHUVDYOUUBCYRVFVDVGUURYOUVEYLYOUUIUULVIYOUVEUUGYNLSSMVJVKVL
      VMZYQUUIUULVNYQUUHUUBUULVOUVDUVEOZUULUUBOZUVAUVGUVHUUTYRPQZYNRJZMNZUVJPQZ
      CIZUQZOZUVAUVGUULUVKUUBUVNUVGUULUVKUVEUULUVKVTUVDUULUUSUVIMNUVEUVKYRUUKUJ
      ABUAUUSUVIYNMSRUUKPVPYRPVPZUUNBKZUAKZVQFVRZUUNUVQUKZVSWAWBWCUVGUVNUUBUVGU
      VMUUAUVGUVLYTCUVGUVLYTTZUVJYTRJZLTZUVGUVIYRRJZYNYSRJZRJLLRJZUWBLUVDUVEUWD
      LUWELRUVDUWDYRUVIRJLYRUVIUKYRUOWDYNUOWEABUAUVIYRYNYSRUVPGVRUVSUVTUUNUVQUV
      RWFYNPVPWGUUGUWFLTURLUMUPWHUVGUVJSIZUWAUWCVTUVDUVISIUVEUWGYRULUVIYNWJWKUV
      JYTWIVMWLWMWNWOWPUVOUUTUVQMNZUVQPQZCIZUQZOZBWQZUVAUWLUVOBUVJUVIYNRWRUVQUV
      JTZUWHUVKUWKUVNUVQUVJUUTMWSUWNUWJUVMUWNUWIUVLCUVQUVJPXAWMWNWTXBUUNUVQMNZU
      WKOZBWQUWMAUUTDUUSYNRWRUUNUUTTZUWPUWLBUWQUWOUWHUWKUUNUUTUVQMXCXDXEEXFXGXL
      XHXIUURUUKSIZUVEUVCUULYQUWRUUIUULUVDUWRYRUUKSSMVJVKXJXKUVFUVEUWRYNLYNRJZU
      VBUVEYNLRJYNUWSYNUMYNLUKXMUWRUUKUUSRJZYNRJUWSUVBUWRUWTLYNRUUKUOXNUUKUUSYN
      WFXMXOXPAUUTDUUOUVBYNUUNUUTUUKRXQXRXPXSXTYLYPUUQVTZYOUUIYLDUBIUXAABCDEYBU
      AUEUFBFCDYNHAUDRBFUAUEUFYAUEKUFKWJYCYDYEYFYGYHYIYJYK $.

    $( Lemma for Proposition 9-3.7(v) of [Gleason] p. 124.  (Contributed by NM,
       30-Apr-1996.)  (New usage is discouraged.) $)
    reclem4pr $p |- ( A e. P. -> ( A .P. B ) = 1P ) $=
      ( vw vz vf vg wcel co c1p cv c1q cltq wbr cmq wi wa cnq cnp cmp wceq wrex
      vu wb reclem2pr df-mp mulclnq genpelv mpdan crq cfv wn wex abeq2i ltrelnq
      brel simprd elprnq syl biimpd adantr recclnq prub sylan2 mulcomnq recidnq
      ltmnq breq12d bitrd adantl sylibd anim12d ltsonq sotri syl6 exp4b pm2.43d
      a1i syl5 impd exlimdv syl5bi breq1 expimpd rexlimdvv sylbid df-1p syl6ibr
      biimprcd ssrdv reclem3pr eqssd ) CUAJZCDUBKZLWOFWPLWOFMZWPJZWQNOPZWQLJWOW
      RWQGMZAMZQKZUCZADUDGCUDZWSWODUAJWRXDUFABCDEUGUEHIBFCDWQGAUBQBFUEHIUHHMIMU
      IUJUKWOXCWSGACDWOWTCJZXADJZXCWSRZWOXESZXFXBNOPZXGXFXABMZOPZXJULUMZCJUNZSZ
      BUOZXHXIXOADEUPXHXNXIBXHXKXMXIXHXKXMXIRZXKXJTJZXHXKXPRXKXATJXQXAXJTTOUQUR
      USXHXQXKXMXIXHXQSZXNXBWTXJQKZOPZXSNOPZSXIXRXKXTXMYAXHXKXTRXQXHXKXTXHWTTJX
      KXTUFCWTUTXAXJWTVIVAVBVCXRXMWTXLOPZYAXQXHXLTJXMYBRXJVDCWTXLVEVFXQYBYAUFXH
      XQYBXJWTQKZXJXLQKZOPYAWTXLXJVIXQYCXSYDNOYCXSUCXQXJWTVGVTXJVHVJVKVLVMVNXBX
      SNOTVOUQVPVQVRWAVSWBWCWDXCWSXIWQXBNOWEWKVQWFWGWHWSFLFWIUPWJWLABCDEWMWN $.
  $}

  ${
    $d x y z w A $.
    $( The reciprocal of a positive real exists.  Part of Proposition 9-3.7(v)
       of [Gleason] p. 124.  (Contributed by NM, 15-May-1996.)  (Revised by
       Mario Carneiro, 12-Jun-2013.)  (New usage is discouraged.) $)
    recexpr $p |- ( A e. P. -> E. x e. P. ( A .P. x ) = 1P ) $=
      ( vz vy vw cnp wcel cv cltq wbr crq cfv wn wa wex cab cmp co c1p wceq
      wrex breq1 anbi1d exbidv cbvabv reclem2pr reclem4pr eqeq1d rspcev syl2anc
      oveq2 ) BFGCHZDHZIJZUMKLBGMZNZDOZCPZFGBURQRZSTZBAHZQRZSTZAFUAEDBURUQEHZUM
      IJZUONZDOCEULVDTZUPVFDVGUNVEUOULVDUMIUBUCUDUEZUFEDBURVHUGVCUTAURFVAURTVBU
      SSVAURBQUKUHUIUJ $.
  $}

  ${
    $d x y z A $.
    $( The union of a nonempty, bounded set of positive reals is a positive
       real.  Part of Proposition 9-3.3 of [Gleason] p. 122.  (Contributed by
       NM, 19-May-1996.)  (Revised by Mario Carneiro, 12-Jun-2013.)
       (New usage is discouraged.) $)
    suplem1pr $p |- ( ( A =/= (/) /\
        E. x e. P. A. y e. A y <P x ) -> U. A e. P. ) $=
      ( vz c0 wne cv cltp wbr wral cnp wrex wa wpss cnq wcel wi wss sylibr ex
      cuni cltq wal ltrelpr brel simpld ralimi dfss3 rexlimivw adantl ssel prn0
      n0 0pss elssuni psssstr syl2an expcom sylcom exlimdv syl5bi prpssnq pssss
      ltprord syl6bi mpcom unissb sspsstr syl2im rexlimdva anim12d prcdnq com3r
      wex sylan9 reximdvai eluni2 3imtr4g com23 alrimdv eluni prnmax imp ssrexv
      syl6 syl expimpd jcad ralrimiv elnp sylanbrc ) CEFZBGZAGZHIZBCJZAKLZMZECU
      AZNZWSONZMZWMWNUBIZWMWSPZQZBUCZWNWMUBIZBWSLZMZAWSJZWSKPCKRZWRXBWQXKWLWPXK
      AKWPWMKPZBCJXKWOXLBCWOXLWNKPZWMWNKKHUDUEZUFUGBCKUHSUIUJZXKWLWTWQXAWLDGZCP
      ZDVNXKWTDCUMXKXQWTDXKXQXPKPZWTCKXPUKZXRXQWTXREXPNZXPWSRZWTXQXRXPEFXTXPULX
      PUNSXPCUOZEXPWSUPUQURUSUTVAXKWPXAAKXKXMMWNONZWPWSWNRZXAXMYCXKWNVBUJWPWMWN
      RZBCJYDWOYEBCXLXMMZWOYEXNYFWOWMWNNYEWMWNVDWMWNVCVEVFUGBCWNVGSYDYCXAWSWNOV
      HURVIVJVKVFWRXKXJXOXKXIAWSXKWNWSPZXFXHXKYGXEBXKXCYGXDXKXCYGXDQXKXCMZWNXPP
      ZDCLWMXPPZDCLYGXDYHYIYJDCXKXQXRXCYIYJQXSXRYIXCYJXRYIXCYJQXPWNWMVLTVMVOVPD
      WNCVQDWMCVQVRTVSVTYGYIXQMZDVNXKXHDWNCWAXKYKXHDXKYIXQXHXKYIMXQXGBXPLZXHXKY
      IXQYLQXKXQYIYLXKXQXRYIYLQXSXRYIYLBXPWNWBTWEVSWCXQYAYLXHQYBXGBXPWSWDWFUSWG
      UTVAWHWIWFABWSWJWK $.

    $( The union of a set of positive reals (if a positive real) is its
       supremum (the least upper bound).  Part of Proposition 9-3.3 of
       [Gleason] p. 122.  (Contributed by NM, 19-May-1996.)  (Revised by Mario
       Carneiro, 12-Jun-2013.)  (New usage is discouraged.) $)
    suplem2pr $p |- ( A C_ P. -> ( ( y e. A -> -. U. A <P y ) /\
           ( y <P U. A -> E. z e. A y <P z ) ) ) $=
      ( cnp wss cv cltp wbr wi wcel wn ltrelpr brel wa wral wb weq wpss ltprord
      wo cuni wrex simpld ralnex ssel2 ltsopr sotric mpan con2bid ancoms orbi2d
      wor sspss equcom orbi2i orcom 3bitri bitr4di sylan an32s ralbidva bitr3id
      bitr3d unissb ssnpss biimpd mpcom nsyl syl6bi ex syl5 pm2.43d elssuni syl
      con4d jctil ) CDEZAFZCUAZGHZVRBFZGHZBCUBZIZVRCJZVSVRGHZKIVQVTWCVTVRDJZVQW
      DVTWGVSDJZVRVSDDGLMZUCVQWGWDVQWGNZWCVTWJWCKZVSVREZVTKWJWKWAVREZBCOZWLWKWB
      KZBCOWJWNWBBCUDWJWOWMBCVQWACJZWGWOWMPZVQWPNWADJZWGWQCDWAUEWRWGNZABQZWAVRG
      HZTZWOWMWGWRXBWOPWGWRNZWBXBDGULXCWBXBKPUFDVRWAGUGUHUIUJWSXBWTWAVRRZTZWMWS
      XAXDWTWAVRSUKWMXDBAQZTXDWTTXEWAVRUMXFWTXDBAUNUOXDWTUPUQURVCUSUTVAVBBCVRVD
      URWLVRVSRZVTVSVRVEWGWHNZVTXGWIXHVTXGVRVSSVFVGVHVIVOVJVKVLWEVSVRRZWFWEVRVS
      EXIKVRCVMVRVSVEVNWHWGNZWFXIVSVRDDGLMXJWFXIVSVRSVFVGVHVP $.

    $( The union of a nonempty, bounded set of positive reals has a supremum.
       Part of Proposition 9-3.3 of [Gleason] p. 122.  (Contributed by NM,
       19-May-1996.)  (New usage is discouraged.) $)
    supexpr $p |- ( ( A =/= (/) /\ E. x e. P. A. y e. A y <P x ) ->
       E. x e. P. ( A. y e. A -. x <P y /\
           A. y e. P. ( y <P x -> E. z e. A y <P z ) ) ) $=
      ( c0 wne cv cltp wbr wral cnp wrex wa cuni wn wi suplem1pr simpld ralbidv
      wcel ltrelpr brel ralimi dfss3 sylibr rexlimivw adantl suplem2pr ralrimiv
      wss simprd ralrimivw jca breq1 notbid breq2 imbi1d anbi12d rspcev syl2anc
      syl wceq ) DEFZBGZAGZHIZBDJZAKLZMZDNZKTVJVDHIZOZBDJZVDVJHIZVDCGHICDLZPZBK
      JZMZVEVDHIZOZBDJZVFVOPZBKJZMZAKLABDQVIDKUJZVRVHWEVCVGWEAKVGVDKTZBDJWEVFWF
      BDVFWFVEKTVDVEKKHUAUBRUCBDKUDUEUFUGWEVMVQWEVLBDWEVDDTVLPZVPBCDUHZRUIWEVPB
      KWEWGVPWHUKULUMVAWDVRAVJKVEVJVBZWAVMWCVQWIVTVLBDWIVSVKVEVJVDHUNUOSWIWBVPB
      KWIVFVNVOVEVJVDHUPUQSURUSUT $.
  $}

  ${
    $d x y z w v u f $.
    $( Define equivalence relation for signed reals.  This is a "temporary" set
       used in the construction of complex numbers ~ df-c , and is intended to
       be used only by the construction.  From Proposition 9-4.1 of [Gleason]
       p. 126.  (Contributed by NM, 25-Jul-1995.)
       (New usage is discouraged.) $)
    df-enr $a |- ~R = { <. x , y >. | ( ( x e. ( P. X. P. ) /\
                   y e. ( P. X. P. ) ) /\ E. z E. w E. v E. u
                   ( ( x = <. z , w >. /\ y = <. v , u >. ) /\
                   ( z +P. u ) = ( w +P. v ) ) ) } $.

    $( Define class of signed reals.  This is a "temporary" set used in the
       construction of complex numbers ~ df-c , and is intended to be used only
       by the construction.  From Proposition 9-4.2 of [Gleason] p. 126.
       (Contributed by NM, 25-Jul-1995.)  (New usage is discouraged.) $)
    df-nr $a |- R. = ( ( P. X. P. ) /. ~R ) $.

    $( Define addition on signed reals.  This is a "temporary" set used in the
       construction of complex numbers ~ df-c , and is intended to be used only
       by the construction.  From Proposition 9-4.3 of [Gleason] p. 126.
       (Contributed by NM, 25-Aug-1995.)  (New usage is discouraged.) $)
    df-plr $a |- +R = { <. <. x , y >. , z >. | ( ( x e. R. /\ y e. R. ) /\
      E. w E. v E. u E. f (
         ( x = [ <. w , v >. ] ~R /\ y = [ <. u , f >. ] ~R ) /\
               z = [ <. ( w +P. u ) , ( v +P. f ) >. ] ~R ) ) } $.

    $( Define multiplication on signed reals.  This is a "temporary" set used
       in the construction of complex numbers ~ df-c , and is intended to be
       used only by the construction.  From Proposition 9-4.3 of [Gleason]
       p. 126.  (Contributed by NM, 25-Aug-1995.)
       (New usage is discouraged.) $)
    df-mr $a |- .R = { <. <. x , y >. , z >. | ( ( x e. R. /\ y e. R. ) /\
      E. w E. v E. u E. f (
         ( x = [ <. w , v >. ] ~R /\ y = [ <. u , f >. ] ~R ) /\
           z = [ <. ( ( w .P. u ) +P. ( v .P. f ) ) ,
             ( ( w .P. f ) +P. ( v .P. u ) ) >. ] ~R ) ) } $.

    $( Define ordering relation on signed reals.  This is a "temporary" set
       used in the construction of complex numbers ~ df-c , and is intended to
       be used only by the construction.  From Proposition 9-4.4 of [Gleason]
       p. 127.  (Contributed by NM, 14-Feb-1996.)
       (New usage is discouraged.) $)
    df-ltr $a |- <R = { <. x , y >. | ( ( x e. R. /\ y e. R. ) /\
       E. z E. w E. v E. u
       ( ( x = [ <. z , w >. ] ~R /\ y = [ <. v , u >. ] ~R ) /\
                ( z +P. u ) <P ( w +P. v ) ) ) } $.

    $( Define signed real constant 0.  This is a "temporary" set used in the
       construction of complex numbers ~ df-c , and is intended to be used only
       by the construction.  From Proposition 9-4.2 of [Gleason] p. 126.
       (Contributed by NM, 9-Aug-1995.)  (New usage is discouraged.) $)
    df-0r $a |- 0R = [ <. 1P , 1P >. ] ~R $.

    $( Define signed real constant 1.  This is a "temporary" set used in the
       construction of complex numbers ~ df-c , and is intended to be used only
       by the construction.  From Proposition 9-4.2 of [Gleason] p. 126.
       (Contributed by NM, 9-Aug-1995.)  (New usage is discouraged.) $)
    df-1r $a |- 1R = [ <. ( 1P +P. 1P ) , 1P >. ] ~R $.

    $( Define signed real constant -1.  This is a "temporary" set used in the
       construction of complex numbers ~ df-c , and is intended to be used only
       by the construction.  (Contributed by NM, 9-Aug-1995.)
       (New usage is discouraged.) $)
    df-m1r $a |- -1R = [ <. 1P , ( 1P +P. 1P ) >. ] ~R $.
  $}

  ${
    $d x y z w v u $.
    $( The equivalence relation for signed reals is an equivalence relation.
       Proposition 9-4.1 of [Gleason] p. 126.  (Contributed by NM, 3-Sep-1995.)
       (Revised by Mario Carneiro, 6-Jul-2015.)  (New usage is discouraged.) $)
    enrer $p |- ~R Er ( P. X. P. ) $=
      ( vx vy vz vw vv vu cpp cer cnp df-enr addcompr addclpr addasspr addcanpr
      cv ecopover ) ABCDEFGHIABCDEFJAOZBOZKQRLQRCOZMQRSNP $.
  $}

  $( The class of signed reals is a set.  Note that a shorter proof is possible
     using ~ qsex (and not requiring ~ enrer ), but it would add a dependency
     on ~ ax-rep .  (Contributed by Mario Carneiro, 17-Nov-2014.)  Extract
     proof from that of ~ axcnex .  (Revised by BJ, 4-Feb-2023.)
     (New usage is discouraged.) $)
  nrex1 $p |- R. e. _V $=
    ( cnr cnp cxp cer cqs cvv df-nr cpw npex xpex pwex wss wtru wer enrer mptru
    a1i qsss ssexi eqeltri ) ABBCZDEZFGUBUAHZUABBIIJKUBUCLMUADUADNMOQRPST $.

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u D $.
    $( Equivalence relation for signed reals in terms of positive reals.
       (Contributed by NM, 3-Sep-1995.)  (New usage is discouraged.) $)
    enrbreq $p |- ( ( ( A e. P. /\ B e. P. ) /\
                     ( C e. P. /\ D e. P. ) ) ->
          ( <. A , B >. ~R <. C , D >. <-> ( A +P. D ) = ( B +P. C ) ) ) $=
      ( vx vy vz vw vv vu cpp cer cnp df-enr ecopoveq ) EFGHIJABCDKLMEFGHIJNO
      $.
  $}

  $( Equivalence class equality of positive fractions in terms of positive
     integers.  (Contributed by NM, 29-Nov-1995.)
     (New usage is discouraged.) $)
  enreceq $p |- ( ( ( A e. P. /\ B e. P. ) /\ ( C e. P. /\ D e. P. ) ) ->
                ( [ <. A , B >. ] ~R = [ <. C , D >. ] ~R <->
                ( A +P. D ) = ( B +P. C ) ) ) $=
    ( cnp wcel wa cop cer wbr cec wceq cpp co cxp wer enrer a1i opelxpi adantr
    erth enrbreq bitr3d ) AEFBEFGZCEFDEFGZGZABHZCDHZIJUGIKUHIKLADMNBCMNLUFUGUHI
    EEOZUIIPUFQRUDUGUIFUEABEESTUAABCDUBUC $.

  ${
    $d x y z w v u $.
    $( The equivalence relation for signed reals exists.  (Contributed by NM,
       25-Jul-1995.)  (New usage is discouraged.) $)
    enrex $p |- ~R e. _V $=
      ( vx vy vz vw vv vu cer cnp cxp npex xpex cv wcel wa cop cpp co wex copab
      wceq df-enr opabssxp eqsstri ssexi ) GHHIZUEIZUEUEHHJJKZUGKGALZUEMBLZUEMN
      UHCLZDLZOTUIELZFLZOTNUJUMPQUKULPQTNFRERDRCRZNABSUFABCDEFUAUNABUEUEUBUCUD
      $.
  $}

  ${
    $d x y z w v u $.
    $( Signed real 'less than' is a relation on signed reals.  (Contributed by
       NM, 14-Feb-1996.)  (New usage is discouraged.) $)
    ltrelsr $p |- <R C_ ( R. X. R. ) $=
      ( vx vy vz vw vv vu cltr cv cnr wcel wa cop cer cec wceq cpp cltp wbr wex
      co copab cxp df-ltr opabssxp eqsstri ) GAHZIJBHZIJKUFCHZDHZLMNOUGEHZFHZLM
      NOKUHUKPTUIUJPTQRKFSESDSCSZKABUAIIUBABCDEFUCULABIIUDUE $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.  $d x y z F $.
    $d x y z G $.  $d x y z R $.  $d x y z S $.
    $( Lemma showing compatibility of addition.  (Contributed by NM,
       3-Sep-1995.)  (New usage is discouraged.) $)
    addcmpblnr $p |- ( ( ( ( A e. P. /\ B e. P. ) /\ ( C e. P. /\ D e. P. ) )
               /\ ( ( F e. P. /\ G e. P. ) /\ ( R e. P. /\ S e. P. ) ) ) ->
                ( ( ( A +P. D ) = ( B +P. C ) /\ ( F +P. S ) = ( G +P. R ) ) ->
     <. ( A +P. F ) , ( B +P. G ) >. ~R <. ( C +P. R ) , ( D +P. S ) >. ) ) $=
      ( cpp co wceq wa cop cnp wcel addclpr anim12i an4s addcompr addasspr cer
      wbr oveq12 wb enrbreq syl oveq1i 3eqtr3i oveq2i 3eqtr4i eqeq12i syl5ibr
      bitrdi ) ADIJZBCIJZKGFIJZHEIJZKLAGIJZBHIJZMCEIJZDFIJZMUAUBZANOZBNOZLZCNOZ
      DNOZLZLGNOZHNOZLZENOZFNOZLZLLZUNUPIJZUOUQIJZKZUNUOUPUQIUCVOVBURVAIJZUSUTI
      JZKZVRVOURNOZUSNOZLZUTNOZVANOZLZLZVBWAUDVEVKVHVNWHVEVKLWDVHVNLWGVCVIVDVJW
      DVCVILWBVDVJLWCAGPBHPQRVFVLVGVMWGVFVLLWEVGVMLWFCEPDFPQRQRURUSUTVAUEUFVSVP
      VTVQAGVAIJZIJADUPIJZIJVSVPWIWJAIGDIJZFIJDGIJZFIJWIWJWKWLFIGDSUGGDFTDGFTUH
      UIAGVATADUPTUJBHUTIJZIJBCUQIJZIJVTVQWMWNBIHCIJZEIJCHIJZEIJWMWNWOWPEIHCSUG
      HCETCHETUHUIBHUTTBCUQTUJUKUMUL $.

    $( Lemma used in lemma showing compatibility of multiplication.
       (Contributed by NM, 4-Sep-1995.)  (New usage is discouraged.) $)
    mulcmpblnrlem $p |- ( ( ( A +P. D ) = ( B +P. C ) /\
                            ( F +P. S ) = ( G +P. R ) ) ->
                    ( ( D .P. F ) +P. ( ( ( A .P. F ) +P. ( B .P. G ) ) +P.
                            ( ( C .P. S ) +P. ( D .P. R ) ) ) ) =
                    ( ( D .P. F ) +P. ( ( ( A .P. G ) +P. ( B .P. F ) ) +P.
                            ( ( C .P. R ) +P. ( D .P. S ) ) ) ) ) $=
      ( vx vy vz cpp co cmp distrpr mulcompr oveq12i 3eqtr3g addasspr ovex wceq
      oveq1 3eqtr4i oveq1d oveq2 oveq2d eqtrid sylan9eq addcompr caov32 eqtr4di
      wa cv caov12 sylan9eqr eqtrdi eqtr4d caov13 caov4 oveq2i caov42 ) ADLMZBC
      LMZUAZGFLMZHELMZUAZULZDGNMZAGNMZCFNMZLMZBHNMZDENMZLMZLMZLMZVIAHNMZDFNMZLM
      ZBGNMZCENMZLMZLMZLMZVIVJVMLMVKVNLMLMZLMVIVRWALMWBVSLMLMZLMVHVOVLVILMZLMZV
      IVTLMZWCLMZVQWEVHWIVOCHNMZWCLMZLMZWKVHWHWMVOLVHVJVILMZVKLMZWAWLWBLMZLMZWH
      WMVDVGWPWACGNMZLMZVKLMZWRVDWOWTVKLVDVBGNMZVCGNMZWOWTVBVCGNUBGVBNMGANMZGDN
      MZLMXBWOGADOVBGPVJXDVIXELAGPDGPQUCGVCNMGBNMZGCNMZLMXCWTGBCOVCGPWAXFWSXGLB
      GPCGPQUCRUDVGXAWAWSVKLMZLMWRWAWSVKSVGXHWQWALVGCVENMCVFNMXHWQVEVFCNUECGFOC
      HEORUFUGUHIJKVJVIVKLAGNTZDGNTZCFNTZIUMZJUMZUIZXLXMKUMSZUJIJKWAWLWBLBGNTZC
      HNTZCENTZXNXOUNRUFVHWKVOWLLMZWCLMWNVHWJXSWCLVHVRVIVSLMZLMZVMWLLMZVNLMZWJX
      SVGVDYAVRDHNMZLMZVNLMZYCVGYAVRYDVNLMZLMYFVGXTYGVRLVGDVENMDVFNMXTYGVEVFDNU
      EDGFODHEORUFVRYDVNSUKVDYEYBVNLVDVBHNMZVCHNMZYEYBVBVCHNUBHVBNMHANMZHDNMZLM
      YHYEHADOVBHPVRYJYDYKLAHPDHPQUCHVCNMHBNMZHCNMZLMYIYBHBCOVCHPVMYLWLYMLBHPCH
      PQUCRUDUOIJKVRVIVSLAHNTZXJDFNTZXNXOUNIJKVMWLVNLBHNTZXQDENTZXNXOUJRUDVOWLW
      CSUPUQIJKVOVLVILVMVNLTVJVKLTXJXNXOURVIVTWCSRVPWFVILIJKVJVKVMVNLXIXKYPXNXO
      YQUSUTWDWGVILIJKVRVSWAWBLYNYOXPXNXOXRVAUTR $.

    $( Lemma showing compatibility of multiplication.  (Contributed by NM,
       5-Sep-1995.)  (New usage is discouraged.) $)
    mulcmpblnr $p |- ( ( ( ( A e. P. /\ B e. P. ) /\ ( C e. P. /\ D e. P. ) )
               /\ ( ( F e. P. /\ G e. P. ) /\ ( R e. P. /\ S e. P. ) ) ) ->
                ( ( ( A +P. D ) = ( B +P. C ) /\ ( F +P. S ) = ( G +P. R ) ) ->
    <. ( ( A .P. F ) +P. ( B .P. G ) ) , ( ( A .P. G ) +P. ( B .P. F ) ) >. ~R
 <. ( ( C .P. R ) +P. ( D .P. S ) ) , ( ( C .P. S ) +P. ( D .P. R ) ) >. ) ) $=
      ( cnp wcel wa cpp co wceq cmp cop mulclpr syl2anc addclpr syl22anc cer wi
      wbr mulcmpblnrlem simplll simprll simpllr simprlr simplrl simprrr simplrr
      ad2ant2lr simprrl addcanpr syl5 wb syl2an enrbreq sylibrd ) AIJZBIJZKZCIJ
      ZDIJZKZKZGIJZHIJZKZEIJZFIJZKZKZKZADLMBCLMNGFLMHELMNKZAGOMZBHOMZLMZCFOMZDE
      OMZLMZLMZAHOMZBGOMZLMZCEOMZDFOMZLMZLMZNZVRWEPWHWAPUAUCZVODGOMZWBLMWLWILMN
      ZVNWJABCDEFGHUDVNWLIJZWBIJZWMWJUBVEVIWNVBVLVDVGWNVCVHDGQULULVNVRIJZWAIJZW
      OVNVPIJZVQIJZWPVNUTVGWRUTVAVEVMUEZVFVGVHVLUFZAGQRVNVAVHWSUTVAVEVMUGZVFVGV
      HVLUHZBHQRVPVQSRZVNVSIJZVTIJZWQVNVCVKXEVBVCVDVMUIZVFVIVJVKUJZCFQRVNVDVJXF
      VBVCVDVMUKZVFVIVJVKUMZDEQRVSVTSRZVRWASRWLWBWIUNRUOVNWPWEIJZWHIJZWQWKWJUPX
      DVNUTVHVAVGXLWTXCXBXAUTVHKWCIJWDIJXLVAVGKAHQBGQWCWDSUQTVNVCVJVDVKXMXGXJXI
      XHVCVJKWFIJWGIJXMVDVKKCEQDFQWFWGSUQTXKVRWEWHWAURTUS $.
  $}

  ${
    $d a b c d f g h s t u v w x y $.
    $( Decomposing signed reals into positive reals.  Lemma for ~ addsrpr and
       ~ mulsrpr .  (Contributed by Jim Kingdon, 30-Dec-2019.) $)
    prsrlem1 $p |- ( (
        ( A e. ( ( P. X. P. ) /. ~R ) /\ B e. ( ( P. X. P. ) /. ~R ) )
        /\ ( ( A = [ <. w , v >. ] ~R /\ B = [ <. u , t >. ] ~R )
        /\ ( A = [ <. s , f >. ] ~R /\ B = [ <. g , h >. ] ~R ) ) ) -> (
        ( ( ( w e. P. /\ v e. P. ) /\ ( s e. P. /\ f e. P. ) )
          /\ ( ( u e. P. /\ t e. P. ) /\ ( g e. P. /\ h e. P. ) ) )
        /\ ( ( w +P. f ) = ( v +P. s ) /\ ( u +P. h ) = ( t +P. g ) ) ) ) $=
      ( cnp cer wcel wa cv cop cec wceq cpp co vx vy va vb vc cxp cqs cdm enrer
      vd wer erdm ax-mp simprll simpll eqeltrrd ecelqsdm sylancr opelxp simprrl
      sylib jca simprlr simplr simprrr wbr eqtr3d a1i mpbird wb df-enr ecopoveq
      erth syl2anc mpbid jca31 ) EKKUFZLUGZMZFVRMZNZEAOZBOZPZLQZRZFCOZDOZPZLQZR
      ZNZEJOZGOZPZLQZRZFHOZIOZPZLQZRZNZNZNZWBKMWCKMNZWMKMWNKMNZNWGKMWHKMNZWRKMW
      SKMNZNWBWNSTWCWMSTRZWGWSSTWHWRSTRZNXEXFXGXEWDVQMZXFXELUHVQRZWEVRMXLVQLUKZ
      XMUIVQLULUMZXEEWEVRWAWFWKXCUNZVSVTXDUOZUPVQWDLUQURZWBWCKKUSVAZXEWOVQMZXGX
      EXMWPVRMXTXOXEEWPVRWAWLWQXBUTZXQUPVQWOLUQURWMWNKKUSVAZVBXEXHXIXEWIVQMZXHX
      EXMWJVRMYCXOXEFWJVRWAWFWKXCVCZVSVTXDVDZUPVQWILUQURZWGWHKKUSVAZXEWTVQMZXIX
      EXMXAVRMYHXOXEFXAVRWAWLWQXBVEZYEUPVQWTLUQURWRWSKKUSVAZVBXEXJXKXEWDWOLVFZX
      JXEYKWEWPRXEEWEWPXPYAVGXEWDWOLVQXNXEUIVHZXRVMVIXEXFXGYKXJVJXSYBUAUBUCUDUE
      UJWBWCWMWNSLKUAUBUCUDUEUJVKZVLVNVOXEWIWTLVFZXKXEYNWJXARXEFWJXAYDYIVGXEWIW
      TLVQYLYFVMVIXEXHXIYNXKVJYGYJUAUBUCUDUEUJWGWHWRWSSLKYMVLVNVOVBVP $.
  $}

  ${
    $d A f g h q s t u v w z $.  $d B f g h q s t u v w z $.
    $( There is at most one result from adding signed reals.  (Contributed by
       Jim Kingdon, 30-Dec-2019.) $)
    addsrmo $p |- ( ( A e. ( ( P. X. P. ) /. ~R ) /\
        B e. ( ( P. X. P. ) /. ~R ) ) -> E* z E. w E. v E. u E. t
        ( ( A = [ <. w , v >. ] ~R /\ B = [ <. u , t >. ] ~R )
        /\ z = [ <. ( w +P. u ) , ( v +P. t ) >. ] ~R ) ) $=
      ( vq vs cnp cer wcel wa cv cop cec wceq cpp co wex vf cxp cqs wal wmo wer
      vg vh wi enrer a1i wbr prsrlem1 addcmpblnr imp syl erthi adantrlr simprlr
      adantrrr simprrr 3eqtr4d expr exlimdvv impd alrimivv opeq12 eceq1d eqeq2d
      ex anbi1d simpl oveq1d simpr opeq12d anbi2d oveq2d cbvex4vw anbi2i imbi1i
      anbi12d 2albii sylibr eqeq1 4exbidv mo4 ) FJJUBZKUCZLGWHLMZFBNZCNZOZKPZQZ
      GDNZENZOZKPZQZMZANZWJWORSZWKWPRSZOZKPZQZMZETDTZCTBTZWTHNZXEQZMZETDTCTBTZM
      ZXAXJQZUIZHUDAUDZXIAUEWIXIFINZUANZOZKPZQZGUGNZUHNZOZKPZQZMZXJXRYCRSZXSYDR
      SZOZKPZQZMZUHTUGTZUATITZMZXOUIZHUDAUDXQWIYRAHWIXIYPXOWIXHYPXOUIZBCWIXGYSD
      EWIXGYSWIXGMZYOXOIUAYTYNXOUGUHWIXGYNXOWIXGYNMMXEYLXAXJWIXGYHXEYLQZYMWIWTY
      HUUAXFWIWTYHMMZXDYKKWGWGKUFUUBUJUKUUBWJJLWKJLMXRJLXSJLMMWOJLWPJLMYCJLYDJL
      MMMZWJXSRSWKXRRSQWOYDRSWPYCRSQMZMXDYKKULZBCDEFGUAUGUHIUMUUCUUDUUEWJWKXRXS
      YCYDWOWPUNUOUPUQURUTWIWTXFYNUSWIXGYHYMVAVBVCVDVDVJVDVDVEVFXPYRAHXNYQXOXMY
      PXIXLYBWSMZXJXRWORSZXSWPRSZOZKPZQZMYNBCDEIUAUGUHWJXRQZWKXSQZMZWTUUFXKUUKU
      UNWNYBWSUUNWMYAFUUNWLXTKWJWKXRXSVGVHVIVKUUNXEUUJXJUUNXDUUIKUUNXBUUGXCUUHU
      UNWJXRWORUULUUMVLVMUUNWKXSWPRUULUUMVNVMVOVHVIWAWOYCQZWPYDQZMZUUFYHUUKYMUU
      QWSYGYBUUQWRYFGUUQWQYEKWOWPYCYDVGVHVIVPUUQUUJYLXJUUQUUIYKKUUQUUGYIUUHYJUU
      QWOYCXRRUUOUUPVLVQUUQWPYDXSRUUOUUPVNVQVOVHVIWAVRVSVTWBWCXIXMAHXOXGXLBCDEX
      OXFXKWTXAXJXEWDVPWEWFWC $.

    $( There is at most one result from multiplying signed reals.  (Contributed
       by Jim Kingdon, 30-Dec-2019.) $)
    mulsrmo $p |- ( ( A e. ( ( P. X. P. ) /. ~R ) /\
        B e. ( ( P. X. P. ) /. ~R ) ) -> E* z E. w E. v E. u E. t
        ( ( A = [ <. w , v >. ] ~R /\ B = [ <. u , t >. ] ~R )
        /\ z = [ <. ( ( w .P. u ) +P. ( v .P. t ) ) ,
          ( ( w .P. t ) +P. ( v .P. u ) ) >. ] ~R ) ) $=
      ( vq cnp cer wcel wa cv cop cec wceq cmp co cpp wex vs vf cxp cqs wal wmo
      vg vh wi wer enrer a1i wbr prsrlem1 mulcmpblnr imp erthi adantrlr simprlr
      syl adantrrr simprrr 3eqtr4d expr exlimdvv ex impd alrimivv opeq12 eceq1d
      eqeq2d anbi1d simpl oveq1d oveq12d opeq12d anbi12d anbi2d oveq2d cbvex4vw
      simpr anbi2i imbi1i 2albii sylibr eqeq1 4exbidv mo4 ) FIIUCZJUDZKGWJKLZFB
      MZCMZNZJOZPZGDMZEMZNZJOZPZLZAMZWLWQQRZWMWRQRZSRZWLWRQRZWMWQQRZSRZNZJOZPZL
      ZETDTZCTBTZXBHMZXKPZLZETDTCTBTZLZXCXPPZUIZHUEAUEZXOAUFWKXOFUAMZUBMZNZJOZP
      ZGUGMZUHMZNZJOZPZLZXPYDYIQRZYEYJQRZSRZYDYJQRZYEYIQRZSRZNZJOZPZLZUHTUGTZUB
      TUATZLZYAUIZHUEAUEYCWKUUHAHWKXOUUFYAWKXNUUFYAUIZBCWKXMUUIDEWKXMUUIWKXMLZU
      UEYAUAUBUUJUUDYAUGUHWKXMUUDYAWKXMUUDLLXKUUBXCXPWKXMYNXKUUBPZUUCWKXBYNUUKX
      LWKXBYNLLZXJUUAJWIWIJUJUULUKULUULWLIKWMIKLYDIKYEIKLLWQIKWRIKLYIIKYJIKLLLZ
      WLYESRWMYDSRPWQYJSRWRYISRPLZLXJUUAJUMZBCDEFGUBUGUHUAUNUUMUUNUUOWLWMYDYEYI
      YJWQWRUOUPUTUQURVAWKXBXLUUDUSWKXMYNUUCVBVCVDVEVEVFVEVEVGVHYBUUHAHXTUUGYAX
      SUUFXOXRYHXALZXPYDWQQRZYEWRQRZSRZYDWRQRZYEWQQRZSRZNZJOZPZLUUDBCDEUAUBUGUH
      WLYDPZWMYEPZLZXBUUPXQUVEUVHWPYHXAUVHWOYGFUVHWNYFJWLWMYDYEVIVJVKVLUVHXKUVD
      XPUVHXJUVCJUVHXFUUSXIUVBUVHXDUUQXEUURSUVHWLYDWQQUVFUVGVMZVNUVHWMYEWRQUVFU
      VGWAZVNVOUVHXGUUTXHUVASUVHWLYDWRQUVIVNUVHWMYEWQQUVJVNVOVPVJVKVQWQYIPZWRYJ
      PZLZUUPYNUVEUUCUVMXAYMYHUVMWTYLGUVMWSYKJWQWRYIYJVIVJVKVRUVMUVDUUBXPUVMUVC
      UUAJUVMUUSYQUVBYTUVMUUQYOUURYPSUVMWQYIYDQUVKUVLVMZVSUVMWRYJYEQUVKUVLWAZVS
      VOUVMUUTYRUVAYSSUVMWRYJYDQUVOVSUVMWQYIYEQUVNVSVOVPVJVKVQVTWBWCWDWEXOXSAHY
      AXMXRBCDEYAXLXQXBXCXPXKWFVRWGWHWE $.
  $}

  ${
    $d x y z w v u t A $.  $d x y z w v u t B $.  $d x y z w v u t C $.
    $d x y z w v u t D $.
    $( Addition of signed reals in terms of positive reals.  (Contributed by
       NM, 3-Sep-1995.)  (Revised by Mario Carneiro, 12-Aug-2015.)
       (New usage is discouraged.) $)
    addsrpr $p |- ( ( ( A e. P. /\ B e. P. ) /\
                     ( C e. P. /\ D e. P. ) ) ->
                ( [ <. A , B >. ] ~R +R [ <. C , D >. ] ~R ) =
                   [ <. ( A +P. C ) , ( B +P. D ) >. ] ~R ) $=
      ( vw vv vu vt vz cnp wcel wa cop cer cec cv wceq cpp co wex vx vy cxp cqs
      cplr opelxpi enrex ecelqsi syl anim12i pm3.2i opeq12 eceq1d eqeq2d anbi1d
      eqid simpl oveq1d simpr opeq12d anbi12d spc2egv anbi2d oveq2d 2eximdv cvv
      sylan9 mp2ani wi ecexg ax-mp w3a simp1 eqeq1d simp2 simp3 4exbidv addsrmo
      coprab df-plr df-nr eleq2i anbi12i anbi1i oprabbii eqtri ovig mp3an3 sylc
      cnr ) AJKBJKLZCJKDJKLZLZABMZNOZJJUCZNUDZKZCDMZNOZWQKZLWOEPZFPZMZNOZQZWTGP
      ZHPZMZNOZQZLZACRSZBDRSZMZNOZXBXGRSZXCXHRSZMZNOZQZLZHTGTZFTETZWOWTUESXPQZW
      KWRWLXAWKWNWPKWRABJJUFWPWNNUGUHUIWLWSWPKXACDJJUFWPWSNUGUHUIUJWMWOWOQZWTWT
      QZLZXPXPQZYDYFYGWOUPWTUPUKXPUPWKYHYILZXFYGLZXPXBCRSZXCDRSZMZNOZQZLZFTETWL
      YDYQYJEFABJJXBAQZXCBQZLZYKYHYPYIYTXFYFYGYTXEWOWOYTXDWNNXBXCABULUMUNUOYTYO
      XPXPYTYNXONYTYLXMYMXNYTXBACRYRYSUQURYTXCBDRYRYSUSURUTUMUNVAVBWLYQYCEFYBYQ
      GHCDJJXGCQZXHDQZLZXLYKYAYPUUCXKYGXFUUCXJWTWTUUCXIWSNXGXHCDULUMUNVCUUCXTYO
      XPUUCXSYNNUUCXQYLXRYMUUCXGCXBRUUAUUBUQVDUUCXHDXCRUUAUUBUSVDUTUMUNVAVBVEVG
      VHWRXAXPVFKZYDYEVINVFKUUDUGXOVFNVJVKUAPZXEQZUBPZXJQZLZIPZXTQZLZHTGTFTETZY
      DUAUBIWOWTXPVFWQWQUEUUEWOQZUUGWTQZUUJXPQZVLZUULYBEFGHUUQUUIXLUUKYAUUQUUFX
      FUUHXKUUQUUEWOXEUUNUUOUUPVMVNUUQUUGWTXJUUNUUOUUPVOVNVAUUQUUJXPXTUUNUUOUUP
      VPVNVAVQIEFGHUUEUUGVRUEUUEWJKZUUGWJKZLZUUMLZUAUBIVSUUEWQKZUUGWQKZLZUUMLZU
      AUBIVSUAUBIEFGHVTUVAUVEUAUBIUUTUVDUUMUURUVBUUSUVCWJWQUUEWAWBWJWQUUGWAWBWC
      WDWEWFWGWHWI $.

    $( Multiplication of signed reals in terms of positive reals.  (Contributed
       by NM, 3-Sep-1995.)  (Revised by Mario Carneiro, 12-Aug-2015.)
       (New usage is discouraged.) $)
    mulsrpr $p |- ( ( ( A e. P. /\ B e. P. ) /\
                     ( C e. P. /\ D e. P. ) ) ->
                ( [ <. A , B >. ] ~R .R [ <. C , D >. ] ~R ) =
                   [ <. ( ( A .P. C ) +P. ( B .P. D ) ) ,
                              ( ( A .P. D ) +P. ( B .P. C ) ) >. ] ~R ) $=
      ( vw vv vu vt vz cnp wcel wa cop cer cec wceq cmp co cpp wex vx vy cxp cv
      cqs cmr opelxpi enrex ecelqsi syl eqid pm3.2i opeq12 eceq1d eqeq2d anbi1d
      anim12i simpl oveq1d simpr oveq12d opeq12d anbi12d spc2egv anbi2d 2eximdv
      oveq2d sylan9 mp2ani cvv ecexg ax-mp w3a simp1 eqeq1d simp2 simp3 4exbidv
      wi mulsrmo coprab df-mr df-nr eleq2i anbi12i anbi1i oprabbii eqtri mp3an3
      cnr ovig sylc ) AJKBJKLZCJKDJKLZLZABMZNOZJJUCZNUEZKZCDMZNOZWSKZLWQEUDZFUD
      ZMZNOZPZXBGUDZHUDZMZNOZPZLZACQRZBDQRZSRZADQRZBCQRZSRZMZNOZXDXIQRZXEXJQRZS
      RZXDXJQRZXEXIQRZSRZMZNOZPZLZHTGTZFTETZWQXBUFRYBPZWMWTWNXCWMWPWRKWTABJJUGW
      RWPNUHUIUJWNXAWRKXCCDJJUGWRXANUHUIUJUQWOWQWQPZXBXBPZLZYBYBPZYNYPYQWQUKXBU
      KULYBUKWMYRYSLZXHYQLZYBXDCQRZXEDQRZSRZXDDQRZXECQRZSRZMZNOZPZLZFTETWNYNUUK
      YTEFABJJXDAPZXEBPZLZUUAYRUUJYSUUNXHYPYQUUNXGWQWQUUNXFWPNXDXEABUMUNUOUPUUN
      UUIYBYBUUNUUHYANUUNUUDXQUUGXTUUNUUBXOUUCXPSUUNXDACQUULUUMURZUSUUNXEBDQUUL
      UUMUTZUSVAUUNUUEXRUUFXSSUUNXDADQUUOUSUUNXEBCQUUPUSVAVBUNUOVCVDWNUUKYMEFYL
      UUKGHCDJJXICPZXJDPZLZXNUUAYKUUJUUSXMYQXHUUSXLXBXBUUSXKXANXIXJCDUMUNUOVEUU
      SYJUUIYBUUSYIUUHNUUSYEUUDYHUUGUUSYCUUBYDUUCSUUSXICXDQUUQUURURZVGUUSXJDXEQ
      UUQUURUTZVGVAUUSYFUUEYGUUFSUUSXJDXDQUVAVGUUSXICXEQUUTVGVAVBUNUOVCVDVFVHVI
      WTXCYBVJKZYNYOVSNVJKUVBUHYAVJNVKVLUAUDZXGPZUBUDZXLPZLZIUDZYJPZLZHTGTFTETZ
      YNUAUBIWQXBYBVJWSWSUFUVCWQPZUVEXBPZUVHYBPZVMZUVJYLEFGHUVOUVGXNUVIYKUVOUVD
      XHUVFXMUVOUVCWQXGUVLUVMUVNVNVOUVOUVEXBXLUVLUVMUVNVPVOVCUVOUVHYBYJUVLUVMUV
      NVQVOVCVRIEFGHUVCUVEVTUFUVCWJKZUVEWJKZLZUVKLZUAUBIWAUVCWSKZUVEWSKZLZUVKLZ
      UAUBIWAUAUBIEFGHWBUVSUWCUAUBIUVRUWBUVKUVPUVTUVQUWAWJWSUVCWCWDWJWSUVEWCWDW
      EWFWGWHWKWIWL $.
  $}

  ${
    $d A x y z w v u f $.  $d B x y z w v u f $.  $d C x y z w v u f $.
    $d D x y z w v u f $.
    $( Ordering of signed reals in terms of positive reals.  (Contributed by
       NM, 20-Feb-1996.)  (Revised by Mario Carneiro, 12-Aug-2015.)
       (New usage is discouraged.) $)
    ltsrpr $p |- ( [ <. A , B >. ] ~R <R [ <. C , D >. ] ~R <->
                          ( A +P. D ) <P ( B +P. C ) ) $=
      ( vz vx vy cpp cer cnp cltp wceq cv co wcel wa cop cec addasspr ovex cltr
      vu vw vv vf cnr cxp wer enrer erdm ax-mp df-nr ltrelsr ltrelpr 0npr dmplp
      cdm wbr enrex df-ltr addclpr ad2ant2lr anim12ci an4s enreceq eqcom bitrdi
      wb bi2anan9 oveq12 addcompr oveq1i 3eqtr3i oveq2i 3eqtr4i syl6bi caovord3
      3eqtr4g ltapr syl6an brecop brecop2 ) ABCDHIUAJUFKJJUGZIUHIUQWCLUIWCIUJUK
      ULUMUNUOUPEMZUBMZHNZUCMZUDMZHNZKURZADHNZBCHNZKURZFGEUCUDUBABCDIJUFUAUSUIU
      LFGEUCUDUBUTWDJOZWGJOZPZAJOZBJOZPZPZWHJOZWEJOZPZCJOZDJOZPZPZPZWLJOZWIJOZP
      ZWDWGQIRABQIRLZWHWEQIRCDQIRLZPZWFWLHNZWIWKHNZLZWJWMVHWPXCWSXFXKWPXCPXJWSX
      FPXIWOXAXJWNXBWGWHVAVBWRXDXIWQXEBCVAVBVCVDXHXNWDBHNZWGAHNZLZWECHNZWHDHNZL
      ZPZXQWTXLXTXGXMYCWDWGABVEXGXMYBYALYCWHWECDVEYBYAVFVGVIYDXRYAHNZXSYBHNZXOX
      PXRXSYAYBHVJWDWEWLHNZHNWDBYAHNZHNXOYEYGYHWDHWEBHNZCHNBWEHNZCHNYGYHYIYJCHW
      EBVKVLWEBCSBWECSVMVNWDWEWLSWDBYASVOWGWHWKHNZHNWGAYBHNZHNXPYFYKYLWGHWHAHNZ
      DHNAWHHNZDHNYKYLYMYNDHWHAVKVLWHADSAWHDSVMVNWGWHWKSWGAYBSVOVRVPFGUEWFWLWIW
      KKJHWDWEHTBCHTFMZGMZUEMVSWGWHHTYOYPVKADHTVQVTWAWB $.
  $}

  $( Greater than zero in terms of positive reals.  (Contributed by NM,
     13-May-1996.)  (New usage is discouraged.) $)
  gt0srpr $p |- ( 0R <R [ <. A , B >. ] ~R <-> B <P A ) $=
    ( c1p cop cer cec cltr wbr cpp co cltp c0r ltsrpr df-0r breq1i cnp wcel 1pr
    wb ltapr ax-mp 3bitr4i ) CCDEFZABDEFZGHCBIJCAIJKHZLUDGHBAKHZCCABMLUCUDGNOCP
    QUFUESRBACTUAUB $.

  $( The empty set is not a signed real.  (Contributed by NM, 25-Aug-1995.)
     (Revised by Mario Carneiro, 10-Jul-2014.)  (New usage is discouraged.) $)
  0nsr $p |- -. (/) e. R. $=
    ( c0 wceq cnr wcel eqid wne cnp cxp cer cqs cdm wer enrer erdm ax-mp elqsn0
    wn mpan df-nr eleq2s necon2bi ) AABACDZQAEUBAAAAFZAGGHZIJZCIKUDBZAUEDUCUDIL
    UFMUDINOUDAIPRSTUAO $.

  $( The constant ` 0R ` is a signed real.  (Contributed by NM, 9-Aug-1995.)
     (New usage is discouraged.) $)
  0r $p |- 0R e. R. $=
    ( c1p cop cer cec cnp cxp cqs c0r cnr 1pr opelxpi mp2an enrex ecelqsi ax-mp
    wcel df-0r df-nr 3eltr4i ) AABZCDZEEFZCGZHITUBPZUAUCPAEPZUEUDJJAAEEKLUBTCMN
    OQRS $.

  $( The constant ` 1R ` is a signed real.  (Contributed by NM, 9-Aug-1995.)
     (New usage is discouraged.) $)
  1sr $p |- 1R e. R. $=
    ( c1p cpp co cop cer cec cnp cxp cqs c1r cnr wcel 1pr addclpr mp2an opelxpi
    enrex ecelqsi ax-mp df-1r df-nr 3eltr4i ) AABCZADZEFZGGHZEIZJKUDUFLZUEUGLUC
    GLZAGLZUHUJUJUIMMAANOMUCAGGPOUFUDEQRSTUAUB $.

  $( The constant ` -1R ` is a signed real.  (Contributed by NM, 9-Aug-1995.)
     (New usage is discouraged.) $)
  m1r $p |- -1R e. R. $=
    ( c1p cpp cop cer cec cnp cxp cqs cm1r cnr wcel addclpr mp2an opelxpi enrex
    co 1pr ecelqsi ax-mp df-m1r df-nr 3eltr4i ) AAABPZCZDEZFFGZDHZIJUDUFKZUEUGK
    AFKZUCFKZUHQUIUIUJQQAALMAUCFFNMUFUDDORSTUAUB $.

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Closure of addition on signed reals.  (Contributed by NM, 25-Jul-1995.)
       (New usage is discouraged.) $)
    addclsr $p |- ( ( A e. R. /\ B e. R. ) -> ( A +R B ) e. R. ) $=
      ( vx vy vz vw cnr wcel wa cplr co cnp cer cop cec df-nr wceq eleq1d cpp
      cv cxp cqs oveq1 oveq2 addsrpr addclpr anim12i an4s opelxpi enrex ecelqsi
      3syl eqeltrd 2ecoptocl eleqtrrdi ) AGHBGHIABJKZLLUAZMUBZGCTZDTZNMOZETZFTZ
      NMOZJKZURHAVDJKZURHUPURHCDEFABLLMGPVAAQVEVFURVAAVDJUCRVDBQVFUPURVDBAJUDRU
      SLHZUTLHZIVBLHZVCLHZIIZVEUSVBSKZUTVCSKZNZMOZURUSUTVBVCUEVKVLLHZVMLHZIZVNU
      QHVOURHVGVIVHVJVRVGVIIVPVHVJIVQUSVBUFUTVCUFUGUHVLVMLLUIUQVNMUJUKULUMUNPUO
      $.
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Closure of multiplication on signed reals.  (Contributed by NM,
       10-Aug-1995.)  (New usage is discouraged.) $)
    mulclsr $p |- ( ( A e. R. /\ B e. R. ) -> ( A .R B ) e. R. ) $=
      ( vx vy vz vw cnr wcel wa cmr co cnp cer cop cec df-nr wceq cmp mulclpr
      cv cxp cqs oveq1 eleq1d oveq2 cpp mulsrpr addclpr syl2an an4s jca opelxpi
      an42s enrex ecelqsi 3syl eqeltrd 2ecoptocl eleqtrrdi ) AGHBGHIABJKZLLUAZM
      UBZGCTZDTZNMOZETZFTZNMOZJKZVBHAVHJKZVBHUTVBHCDEFABLLMGPVEAQVIVJVBVEAVHJUC
      UDVHBQVJUTVBVHBAJUEUDVCLHZVDLHZIVFLHZVGLHZIIZVIVCVFRKZVDVGRKZUFKZVCVGRKZV
      DVFRKZUFKZNZMOZVBVCVDVFVGUGVOVRLHZWALHZIWBVAHWCVBHVOWDWEVKVMVLVNWDVKVMIVP
      LHVQLHWDVLVNIVCVFSVDVGSVPVQUHUIUJVKVNVLVMWEVKVNIVSLHVTLHWEVLVMIVCVGSVDVFS
      VSVTUHUIUMUKVRWALLULVAWBMUNUOUPUQURPUS $.
  $}

  ${
    $d x y z w v u f $.
    $( Domain of addition on signed reals.  (Contributed by NM, 25-Aug-1995.)
       (New usage is discouraged.) $)
    dmaddsr $p |- dom +R = ( R. X. R. ) $=
      ( vx vy vw vv vu vf vz cplr cdm cnr cv wcel wa cop cer cec wceq cpp wex
      co cxp coprab df-plr dmeqi dmoprabss eqsstri 0nsr addclsr oprssdm eqssi )
      HIZJJUAZUKAKZJLBKZJLMUMCKZDKZNOPQUNEKZFKZNOPQMGKUOUQRTUPURRTNOPQMFSESDSCS
      ZMABGUBZIULHUTABGCDEFUCUDUSABGJJUEUFABJHUGUMUNUHUIUJ $.
  $}

  ${
    $d x y z w v u f $.
    $( Domain of multiplication on signed reals.  (Contributed by NM,
       25-Aug-1995.)  (New usage is discouraged.) $)
    dmmulsr $p |- dom .R = ( R. X. R. ) $=
      ( vx vy vw vv vu vf vz cmr cdm cnr cv wcel wa cop cer cec wceq cmp co wex
      cxp cpp coprab df-mr dmeqi dmoprabss eqsstri 0nsr mulclsr oprssdm eqssi )
      HIZJJUAZULAKZJLBKZJLMUNCKZDKZNOPQUOEKZFKZNOPQMGKUPURRSUQUSRSUBSUPUSRSUQUR
      RSUBSNOPQMFTETDTCTZMABGUCZIUMHVAABGCDEFUDUEUTABGJJUFUGABJHUHUNUOUIUJUK $.
  $}

  ${
    $d f g h u v w x y z A $.  $d u v w z B $.  $d u v w x y z C $.
    $( Addition of signed reals is commutative.  (Contributed by NM,
       31-Aug-1995.)  (Revised by Mario Carneiro, 28-Apr-2015.)
       (New usage is discouraged.) $)
    addcomsr $p |- ( A +R B ) = ( B +R A ) $=
      ( vx vy vz vw cnr wcel wa cplr co wceq cpp cer cnp df-nr addsrpr addcompr
      cv ecovcom dmaddsr ndmovcom pm2.61i ) AGHBGHIABJKBAJKLCDEFABGCSZESZMKJNOD
      SZFSZMKUEUDMKUGUFMKPUDUFUEUGQUEUGUDUFQUDUERUFUGRTABGJUAUBUC $.

    $( Addition of signed reals is associative.  (Contributed by NM,
       2-Sep-1995.)  (Revised by Mario Carneiro, 28-Apr-2015.)
       (New usage is discouraged.) $)
    addasssr $p |- ( ( A +R B ) +R C ) = ( A +R ( B +R C ) ) $=
      ( vx vy vz vw vv vu cnr wcel cplr co cv cpp cnp addsrpr addclpr anim12i
      wa w3a wceq cer df-nr an4s addasspr ecovass dmaddsr 0nsr ndmovass pm2.61i
      ) AJKBJKCJKUAABLMCLMABCLMLMUBDEFGHIABCJLGNZINZOMZUCPDNZFNZOMZENZULOMZUQHN
      ZOMUSUMOMUOUPUTOMZOMURUNOMVAUDUOURUPULQUPULUTUMQUQUSUTUMQUOURVAUNQUOPKZUP
      PKZURPKZULPKZUQPKZUSPKZTVBVCTVFVDVETVGUOUPRURULRSUEVCUTPKZVEUMPKZVAPKZUNP
      KZTVCVHTVJVEVITVKUPUTRULUMRSUEUOUPUTUFURULUMUFUGABCJLUHUIUJUK $.

    $( Multiplication of signed reals is commutative.  (Contributed by NM,
       31-Aug-1995.)  (Revised by Mario Carneiro, 28-Apr-2015.)
       (New usage is discouraged.) $)
    mulcomsr $p |- ( A .R B ) = ( B .R A ) $=
      ( vx vy vz vw cnr wcel wa cmr co wceq cv cmp cpp cer cnp mulsrpr mulcompr
      oveq12i df-nr addcompr eqtri ecovcom dmmulsr ndmovcom pm2.61i ) AGHBGHIAB
      JKBAJKLCDEFABGCMZEMZNKZDMZFMZNKZOKJPQUHULNKZUKUINKZOKZUIUHNKZULUKNKZOKUIU
      KNKZULUHNKZOKZUAUHUKUIULRUIULUHUKRUJUQUMUROUHUISUKULSTUPUTUSOKVAUNUTUOUSO
      UHULSUKUISTUTUSUBUCUDABGJUEUFUG $.

    $( Multiplication of signed reals is associative.  (Contributed by NM,
       2-Sep-1995.)  (Revised by Mario Carneiro, 28-Apr-2015.)
       (New usage is discouraged.) $)
    mulasssr $p |- ( ( A .R B ) .R C ) = ( A .R ( B .R C ) ) $=
      ( vx vy vz cnr wcel cmr co cmp cpp cnp mulsrpr mulclpr addclpr syl2an vex
      cv wa vw vv vu vf vg vh w3a wceq cer df-nr an4s mulcompr distrpr mulasspr
      an42s addcompr addasspr caovlem2 ecovass dmmulsr 0nsr ndmovass pm2.61i
      jca ) AGHBGHCGHUGABIJCIJABCIJIJUHDEFUAUBUCABCGIFSZUCSZKJZUASZUBSZKJZLJZUI
      MDSZVEKJZESZVHKJZLJZVLVHKJZVNVEKJZLJZVPVIKJVSVFKJLJVPVFKJVSVIKJLJVLVEVIKJ
      ZVHVFKJZLJZKJVNVKKJLJVLVKKJVNWBKJLJWBUJVLVNVEVHNVEVHVIVFNVPVSVIVFNVLVNWBV
      KNVLMHZVNMHZTVEMHZVHMHZTZTVPMHZVSMHZWCWEWDWFWHWCWETVMMHVOMHWHWDWFTVLVEOVN
      VHOVMVOPQUKWCWFWDWEWIWCWFTVQMHVRMHWIWDWETVLVHOVNVEOVQVRPQUOVDWGVIMHZVFMHZ
      TTWBMHZVKMHZWEWJWFWKWLWEWJTVTMHWAMHWLWFWKTVEVIOVHVFOVTWAPQUKWEWKWFWJWMWEW
      KTVGMHVJMHWMWFWJTVEVFOVHVIOVGVJPQUOVDUDUEUFVLVNVEVHVFLKVIDRZERZFRZUDSZUES
      ZULZWQWRUFSZUMZUARZUBRZWQWRWTUNZUCRZWQWRUPZWQWRWTUQZURUDUEUFVLVNVEVHVILKV
      FWNWOWPWSXAXBXEXDXCXFXGURUSABCGIUTVAVBVC $.

    $( Multiplication of signed reals is distributive.  (Contributed by NM,
       2-Sep-1995.)  (Revised by Mario Carneiro, 28-Apr-2015.)
       (New usage is discouraged.) $)
    distrsr $p |- ( A .R ( B +R C ) ) = ( ( A .R B ) +R ( A .R C ) ) $=
      ( vf vg cnr wcel cplr co cmr cnp cv cpp wa addclpr mulclpr syl2an distrpr
      cmp ovex vx vy vz vw vv vu vh w3a wceq df-nr addsrpr mulsrpr anim12i an4s
      cer an42s jca oveq12i addcompr addasspr caov4 ecovdi dmaddsr 0nsr dmmulsr
      eqtri ndmovdistr pm2.61i ) AFGBFGCFGUHABCHIJIABJIACJIHIUIUAUBUCUDUEUFABCF
      HUOKJUALZUCLZUELZMIZSIZUBLZUDLZUFLZMIZSIZMIZVIVQSIZVNVLSIZMIZVIVJSIZVNVOS
      IZMIZVIVKSIZVNVPSIZMIZMIZVIVOSIZVNVJSIZMIZVIVPSIZVNVKSIZMIZMIZVLVQWEWLWHW
      OUJVJVOVKVPUKVIVNVLVQULVIVNVJVOULVIVNVKVPULWEWLWHWOUKVJKGZVKKGZVOKGZVPKGZ
      VLKGZVQKGZNWQWRNXAWSWTNXBVJVKOVOVPOUMUNVIKGZVNKGZNZWQWSNNWEKGZWLKGZXCWQXD
      WSXFXCWQNWCKGWDKGXFXDWSNVIVJPVNVOPWCWDOQUNXCWSXDWQXGXCWSNWJKGWKKGXGXDWQNV
      IVOPVNVJPWJWKOQUPUQXEWRWTNNWHKGZWOKGZXCWRXDWTXHXCWRNWFKGWGKGXHXDWTNVIVKPV
      NVPPWFWGOQUNXCWTXDWRXIXCWTNWMKGWNKGXIXDWRNVIVPPVNVKPWMWNOQUPUQVSWCWFMIZWD
      WGMIZMIWIVMXJVRXKMVIVJVKRVNVOVPRURDEUGWCWFWDWGMVIVJSTVIVKSTVNVOSTDLZELZUS
      ZXLXMUGLUTZVNVPSTVAVFWBWJWMMIZWKWNMIZMIWPVTXPWAXQMVIVOVPRVNVJVKRURDEUGWJW
      MWKWNMVIVOSTVIVPSTVNVJSTXNXOVNVKSTVAVFVBABCFHJVCVDVEVGVH $.
  $}

  $( Minus one plus one is zero for signed reals.  (Contributed by NM,
     5-May-1996.)  (New usage is discouraged.) $)
  m1p1sr $p |- ( -1R +R 1R ) = 0R $=
    ( cm1r c1r cplr co c1p cpp cop cer cec c0r df-m1r cnp wcel wceq 1pr addclpr
    df-1r mp2an mp4an eqtr4i oveq12i df-0r addsrpr addasspr oveq2i wb enreceq
    mpbir ) ABCDEEEFDZGHIZUIEGHIZCDZJAUJBUKCKQUAJEEGHIZULUBULEUIFDZUIEFDZGHIZUM
    ELMZUILMZURUQULUPNOUQUQUROOEEPRZUSOEUIUIEUCSUMUPNZEUOFDEUNFDNZUOUNEFEEEUDUE
    UQUQUNLMZUOLMZUTVAUFOOUQURVBOUSEUIPRURUQVCUSOUIEPREEUNUOUGSUHTTT $.

  $( Minus one times minus one is plus one for signed reals.  (Contributed by
     NM, 14-May-1996.)  (New usage is discouraged.) $)
  m1m1sr $p |- ( -1R .R -1R ) = 1R $=
    ( cm1r cmr c1p cpp cop cer cec c1r df-m1r oveq12i cmp cnp wcel wceq addclpr
    co 1pr mp2an eqtr4i mulclpr df-1r mulsrpr mp4an addasspr 1idpr ax-mp oveq1i
    distrpr mulcompr oveq2i wb enreceq mpbir ) AABPCCCDPZEFGZUOBPZHAUOAUOBIIJHU
    NCEFGZUPUAUPCCKPZUNUNKPZDPZCUNKPZUNCKPZDPZEFGZUQCLMZUNLMZVEVFUPVDNQVEVEVFQQ
    CCORZQVGCUNCUNUBUCUQVDNZUNVCDPZCUTDPZNZVICCVCDPZDPVJCCVCUDUTVLCDURCUSVCDVEU
    RCNQCUEUFUSVBVBDPVCUNCCUHVAVBVBDCUNUIUGSJUJSVFVEUTLMZVCLMZVHVKUKVGQURLMZUSL
    MZVMVEVEVOQQCCTRVFVFVPVGVGUNUNTRURUSORVALMZVBLMZVNVEVFVQQVGCUNTRVFVEVRVGQUN
    CTRVAVBORUNCUTVCULUCUMSSS $.

  ${
    $d x y z w v u f g h $.
    $( Signed real 'less than' is a strict ordering.  (Contributed by NM,
       19-Feb-1996.)  (New usage is discouraged.) $)
    ltsosr $p |- <R Or R. $=
      ( vf vg vh vx vy vw cltr cv cer wbr wceq wo wb cnp cpp co cltp wcel vex
      wa vz vv vu cnr cop cec wn df-nr breq1 eqeq1 breq2 orbi12d notbid bibi12d
      eqeq2 ltsrpr addclpr wor ltsopr sotric mpan syl2an an42s enreceq addcompr
      breq12i bitri a1i bitr4d syl5bb 2ecoptocl wi anbi1d imbi12d imbi1d anbi2d
      anbi12d ovex ltapr caovord2 addasspr bitrdi bi2anan9r ltrelpr sotri dmplp
      0npr ndmovordi caov12 3imtr4i syl6bi ad2ant2l 3adant2 3ecoptocl isso2i
      syl ) ABCUDGDHZEHZUEIUFZUAHZFHZUEIUFZGJZWSXBKZXBWSGJZLZUGZMAHZXBGJZXHXBKZ
      XBXHGJZLZUGZMXHBHZGJZXHXNKZXNXHGJZLZUGZMDEUAFXHXNNNIUDUHWSXHKZXCXIXGXMWSX
      HXBGUIZXTXFXLXTXDXJXEXKWSXHXBUJWSXHXBGUKULUMUNXBXNKZXIXOXMXSXBXNXHGUKZYBX
      LXRYBXJXPXKXQXBXNXHUOXBXNXHGUIULUMUNXCWQXAOPZWRWTOPZQJZWQNRZWRNRZTZWTNRZX
      ANRZTZTZXGWQWRWTXAUPZYMYFYDYEKZYEYDQJZLZUGZXGYGYKYHYJYFYRMZYGYKTYDNRZYENR
      ZYSYHYJTWQXAUQWRWTUQNQURYTUUATYSUSNYDYEQUTVAVBVCYMXFYQYMXDYOXEYPWQWRWTXAV
      DXEYPMYMXEWTWROPZXAWQOPZQJYPWTXAWQWRUPUUBYEUUCYDQWTWRVEXAWQVEVFVGVHULUMVI
      VJVKXCXBUBHZUCHZUEIUFZGJZTZWSUUFGJZVLZXIUUGTZXHUUFGJZVLXOXNUUFGJZTZUULVLX
      OXNCHZGJZTZXHUUOGJZVLDEUAFUBUCXHXNUUONIUDUHXTUUHUUKUUIUULXTXCXIUUGYAVMWSX
      HUUFGUIVNYBUUKUUNUULYBXIXOUUGUUMYCXBXNUUFGUIVQVOUUFUUOKZUUNUUQUULUURUUSUU
      MUUPXOUUFUUOXNGUKVPUUFUUOXHGUKVNYIUUDNRZUUENRZTUUJYLYHUVAUUJYGUUTYHUVATUU
      HWQXAUUEOPOPZWRWTUUEOPZOPZQJZUVDWRXAUUDOPZOPZQJZTZUUIUVAXCUVEYHUUGUVHXCYF
      UVAUVEYNUVAYFYDUUEOPZYEUUEOPZQJUVEABCYDYEUUEQNOWQXAOVRWRWTOVRXHXNUUOVSUCS
      ZXHXNVEZVTUVJUVBUVKUVDQWQXAUUEWAWRWTUUEWAVFWBVJUUGUVCUVFQJYHUVHWTXAUUDUUE
      UPUVCUVFWRVSVJWCUVIUVBUVGQJZUUIUVBUVDUVGQNUSWDWEXAWQUUEOPZOPZXAWRUUDOPZOP
      ZQJUVOUVQQJUVNUUIUVOUVQXAQNOWFWDWGUVOUVQXAVSWHUVBUVPUVGUVRQABCWQXAUUEODSF
      SZUVLUVMXHXNUUOWAZWIABCWRXAUUDOESUVSUBSUVMUVTWIVFWQWRUUDUUEUPWJWPWKWLWMWN
      WO $.
  $}

  $( 0 is less than 1 for signed reals.  (Contributed by NM, 26-Mar-1996.)
     (New usage is discouraged.) $)
  0lt1sr $p |- 0R <R 1R $=
    ( c1p cop cer cec cpp co c0r c1r cltr wbr cltp cnp wcel 1pr addclpr ltaddpr
    mp2an addcompr breqtrri ltsrpr mpbir df-0r df-1r 3brtr4i ) AABCDZAAEFZABCDZ
    GHIUEUGIJUFAUFEFZKJUFUFAEFZUHKUFLMZALMZUFUIKJUKUKUJNNAAOQNUFAPQAUFRSAAUFATU
    AUBUCUD $.

  $( 1 and 0 are distinct for signed reals.  (Contributed by NM, 26-Mar-1996.)
     (New usage is discouraged.) $)
  1ne0sr $p |- -. 1R = 0R $=
    ( c1r c0r wceq cltr wbr cnr wor wcel wn ltsosr 1sr sonr mp2an 0lt1sr mpbiri
    breq1 mto ) ABCZAADEZFDGAFHSIJKFADLMRSBADENABADPOQ $.

  ${
    $d x y z w v $.  $d x y A $.
    $( The signed real number 0 is an identity element for addition of signed
       reals.  (Contributed by NM, 10-Apr-1996.)
       (New usage is discouraged.) $)
    0idsr $p |- ( A e. R. -> ( A +R 0R ) = A ) $=
      ( vx vy vz vw vv cv cop cer cec c0r cplr co wceq cnp wcel wa c1p cpp 1pr
      df-nr oveq1 id eqeq12d df-0r oveq2i addsrpr mpanr12 addclpr mpan2 anim12i
      cnr vex elexi addcompr addasspr caov12 enreceq mpbiri mpdan eqtr4d eqtrid
      ecoptocl ) BGZCGZHIJZKLMZVFNAKLMZANBCAOOIULUAVFANZVGVHVFAVFAKLUBVIUCUDVDO
      PZVEOPZQZVGVFRRHIJZLMZVFKVMVFLUEUFVLVNVDRSMZVERSMZHIJZVFVLROPZVRVNVQNTTVD
      VERRUGUHVLVOOPZVPOPZQZVFVQNZVJVSVKVTVJVRVSTVDRUIUJVKVRVTTVERUIUJUKVLWAQWB
      VDVPSMVEVOSMNDEFVDVERSBUMCUMROTUNDGZEGZUOWCWDFGUPUQVDVEVOVPURUSUTVAVBVC
      $.
  $}

  ${
    $d x y A $.  $d x y z w v $.
    $( 1 is an identity element for multiplication.  (Contributed by NM,
       2-May-1996.)  (New usage is discouraged.) $)
    1idsr $p |- ( A e. R. -> ( A .R 1R ) = A ) $=
      ( vx vy cop cer cec c1r cmr wceq cnp wcel c1p cpp cmp 1pr addclpr mulclpr
      cv co mpan2 vz vw vv df-nr oveq1 id eqeq12d wa df-1r oveq2i mp2an mulsrpr
      cnr mpanr12 distrpr 1idpr oveq1d eqtr2id oveqan12d addasspr ovex addcompr
      eqtrid vex caov12 3eqtr3g wb syl2an anim12i syldan anidms mpbird ecoptocl
      enreceq eqtr4d ) BRZCRZDEFZGHSZVRIAGHSZAIBCAJJEUMUDVRAIZVSVTVRAVRAGHUEWAU
      FUGVPJKZVQJKZUHZVSVRLLMSZLDEFZHSZVRGWFVRHUIUJWDWGVPWENSZVQLNSZMSZVPLNSZVQ
      WENSZMSZDEFZVRWDWEJKZLJKZWGWNIWPWPWOOOLLPUKZOVPVQWELULUNWDVRWNIZVPWMMSZVQ
      WJMSZIZWDVPWKMSZWLMSWHVQWIMSZMSWSWTWBWCXBWHWLXCMWBWHWKWKMSXBVPLLUOWBWKVPW
      KMVPUPUQURWCWLWIWIMSXCVQLLUOWCWIVQWIMVQUPUQVCUSVPWKWLUTUAUBUCWHVQWIMVPWEN
      VACVDVQLNVAUARZUBRZVBXDXEUCRUTVEVFWDWRXAVGZWDWDWJJKZWMJKZUHXFWDXGWDXHWBWH
      JKZWIJKZXGWCWBWOXIWQVPWEQTWCWPXJOVQLQTWHWIPVHWBWKJKZWLJKZXHWCWBWPXKOVPLQT
      WCWOXLWQVQWEQTWKWLPVHVIVPVQWJWMVNVJVKVLVOVCVM $.
  $}

  ${
    $d x y A $.
    $( A signed real times 0 is 0.  (Contributed by NM, 10-Apr-1996.)
       (New usage is discouraged.) $)
    00sr $p |- ( A e. R. -> ( A .R 0R ) = 0R ) $=
      ( vx vy cv cop cer cec c0r cmr co wceq cnp wa c1p cmp cpp mpanr12 mulclpr
      wcel 1pr cnr df-nr oveq1 eqeq1d mulsrpr mpan2 addclpr syl2an anim12i eqid
      enreceq mpbiri sylan anidms eqtrd df-0r oveq2i 3eqtr4g ecoptocl ) BDZCDZE
      FGZHIJZHKAHIJZHKBCALLFUAUBVBAKVCVDHVBAHIUCUDUTLSZVALSZMZVBNNEFGZIJZVHVCHV
      GVIUTNOJZVANOJZPJZVLEFGZVHVGNLSZVNVIVMKTTUTVANNUEQVGVMVHKZVGVGMZVNVNVOTTV
      PVLLSZVQMZVNVNMZVOVGVQVGVQVEVJLSZVKLSZVQVFVEVNVTTUTNRUFVFVNWATVANRUFVJVKU
      GUHZWBUIVRVSMVOVLNPJZWCKWCUJVLVLNNUKULUMQUNUOHVHVBIUPUQUPURUS $.
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u f $.
    $( Ordering property of addition.  (Contributed by NM, 10-May-1996.)
       (New usage is discouraged.) $)
    ltasr $p |- ( C e. R. -> ( A <R B <-> ( C +R A ) <R ( C +R B ) ) ) $=
      ( vx vy cltr cnr cplr wcel wbr co wb cv cop cer cec cnp wceq cpp vex 0nsr
      vz vw vv vu dmaddsr ltrelsr df-nr oveq1 breq12d bibi2d breq1 oveq2 breq1d
      vf bibi12d breq2 breq2d w3a addclpr 3ad2ant1 cltp ltapr addcompr addasspr
      wa ltsrpr caov4 caov42 eqtri breq12i bitri 3bitr4g addsrpr 3adant3 bitr4d
      syl 3adant2 3ecoptocl 3coml ndmovord ) ABCFGHUFUGUACGIAGIBGIABFJZCAHKZCBH
      KZFJZLZDMZEMZNOPZUBMZUCMZNOPZFJZUDMZUEMZNOPZWIHKZWPWLHKZFJZLWMCWIHKZCWLHK
      ZFJZLAWLFJZWCXAFJZLWFUDUEDEUBUCCABQOGUHWPCRZWSXBWMXEWQWTWRXAFWPCWIHUIWPCW
      LHUIUJUKWIARZWMXCXBXDWIAWLFULXFWTWCXAFWIACHUMUNUPWLBRZXCWBXDWEWLBAFUQXGXA
      WDWCFWLBCHUMURUPWNQIWOQIVFZWGQIWHQIVFZWJQIWKQIVFZUSZWMWNWGSKZWOWHSKZNOPZW
      NWJSKZWOWKSKZNOPZFJZWSXKWNWOSKZQIZWMXRLXHXIXTXJWNWOUTVAXTWGWKSKZWHWJSKZVB
      JXSYASKZXSYBSKZVBJZWMXRYAYBXSVCWGWHWJWKVGXRXLXPSKZXMXOSKZVBJYEXLXMXOXPVGY
      FYCYGYDVBEUBUOWNWGWOWKSUDTZDTUETZWHWJVDWHWJUOMZVEUCTVHYGXOXMSKYDXMXOVDDUC
      UOWNWJWOWHSYHUBTYIWGWKVDWGWKYJVEETVIVJVKVLVMVQXKWQXNWRXQFXHXIWQXNRXJWNWOW
      GWHVNVOXHXJWRXQRXIWNWOWJWKVNVRUJVPVSVTWA $.
  $}

  $( A signed real plus its negative is zero.  (Contributed by NM,
     14-May-1996.)  (New usage is discouraged.) $)
  pn0sr $p |- ( A e. R. -> ( A +R ( A .R -1R ) ) = 0R ) $=
    ( cnr wcel c1r cmr co cm1r cplr 1idsr oveq1d distrsr m1p1sr oveq2i addcomsr
    c0r 3eqtr3i 00sr eqtr3id eqtr3d ) ABCZADEFZAGEFZHFZAUBHFOTUAAUBHAIJTUCAOEFZ
    OAGDHFZEFUBUAHFUDUCAGDKUEOAELMUBUANPAQRS $.

  ${
    $d x A $.
    $( Existence of negative signed real.  Part of Proposition 9-4.3 of
       [Gleason] p. 126.  (Contributed by NM, 2-May-1996.)
       (New usage is discouraged.) $)
    negexsr $p |- ( A e. R. -> E. x e. R. ( A +R x ) = 0R ) $=
      ( cnr wcel cm1r cmr co cplr c0r wceq cv wrex m1r mpan2 pn0sr oveq2 eqeq1d
      mulclsr rspcev syl2anc ) BCDZBEFGZCDZBUBHGZIJZBAKZHGZIJZACLUAECDUCMBERNBO
      UHUEAUBCUFUBJUGUDIUFUBBHPQST $.
  $}

  ${
    $d x y z A $.  $d x y z w v u f $.
    $( The reciprocal of a positive signed real exists.  Part of Proposition
       9-4.3 of [Gleason] p. 126.  (Contributed by NM, 15-May-1996.)
       (New usage is discouraged.) $)
    recexsrlem $p |- ( 0R <R A -> E. x e. R. ( A .R x ) = 1R ) $=
      ( vw vv vu cnr wcel c0r cv cmr co c1r wceq cer cnp cpp wa cmp c1p 1pr wbr
      vy vz vf cltr wrex ltrelsr brel simprd cop cec df-nr breq2 eqeq1d rexbidv
      wi oveq1 imbi12d cltp gt0srpr ltexpri sylbi recexpr addclpr mpan2 ecopqsi
      enrex sylancl ad2antlr jctir anim2i adantr mulsrpr syl eqcomd vex distrpr
      mulcompr caovdir oveq2 eqtrid sylan9eqr oveq1d ovex elexi addcompr caov32
      addasspr eqtrdi oveq1i eqtri oveq2i caov12 3eqtr4g wb sylan2 syl2an an32s
      mulclpr anassrs jca mp2an pm3.2i enreceq syl5ibr imp eqtrd eqtr4di rspcev
      df-1r syl2anc exp43 rexlimdv syl5 ecoptocl mpcom ) BFGZHBUEUAZBAIZJKZLMZA
      FUFZXRHFGXQHBFFUEUGUHUIHUBIZUCIZUJNUKZUEUAZYEXSJKZLMZAFUFZUPXRYBUPUBUCBOO
      NFULYEBMZYFXRYIYBYEBHUEUMYJYHYAAFYJYGXTLYEBXSJUQUNUOURYFYDCIZPKZYCMZCOUFZ
      YCOGZYDOGZQZYIYFYDYCUSUAYNYCYDUTCYDYCVAVBYQYMYICOYKOGYKDIZRKZSMZDOUFYQYMY
      IUPZDYKVCYQYTUUADOYQYROGZYTYMYIYQUUBQZYTYMQZQZYRSPKZSUJNUKZFGZYEUUGJKZLMZ
      YIUUBUUHYQUUDUUBUUFOGZSOGZUUHUUBUULUUKTYRSVDVEZTOUUFSNFVGULVFVHVIUUEUUISS
      PKZSUJNUKZLUUEUUIYCUUFRKZYDSRKZPKZYCSRKZYDUUFRKZPKZUJNUKZUUOUUEYQUUKUULQZ
      QZUUIUVBMUUCUVDUUDUUBUVCYQUUBUUKUULUUMTVJVKVLYCYDUUFSVMVNUUCUUDUVBUUOMZUU
      DUVEUUCUURSPKZUVAUUNPKZMZUUDYCYRRKZUUSUUQPKZPKZSPKZYDYRRKZUVJPKZUUNPKZUVF
      UVGUUDUVLUVNSPKZSPKUVOUUDUVKUVPSPUUDUVKUVMSPKZUVJPKUVPUUDUVIUVQUVJPYMYTUV
      IYLYRRKZUVQYMUVRUVIYLYCYRRUQVOYTUVRUVMYSPKUVQEUDAYDYKYRPRUCVPCVPDVPEIZUDI
      ZVRUVSUVTXSVQVSYSSUVMPVTWAWBWCEUDAUVMSUVJPYDYRRWDZSOTWEUUSUUQPWDUVSUVTWFZ
      UVSUVTXSWHZWGWIWCUVNSSWHWIUURUVKSPUURUVIUUSPKZUUQPKUVKUUPUWDUUQPYCYRSVQWJ
      UVIUUSUUQWHWKWJUVAUVNUUNPUVAUUSUVMUUQPKZPKUVNUUTUWEUUSPYDYRSVQWLEUDAUUSUV
      MUUQPYCSRWDUWAYDSRWDUWBUWCWMWKWJWNUUCUUROGZUVAOGZQUUNOGZUULQUVEUVHWOUUCUW
      FUWGYOUUBYPUWFYOUUBQUUPOGZUUQOGZUWFYPUUBYOUUKUWIUUMYCUUFWSWPYPUULUWJTYDSW
      SVEUUPUUQVDWQWRYOYPUUBUWGYOUUSOGZUUTOGZUWGYPUUBQYOUULUWKTYCSWSVEUUBYPUUKU
      WLUUMYDUUFWSWPUUSUUTVDWQWTXAUWHUULUULUULUWHTTSSVDXBTXCUURUVAUUNSXDVHXEXFX
      GXJXHYHUUJAUUGFXSUUGMYGUUILXSUUGYEJVTUNXIXKXLXMXNXMXNXOXP $.
  $}

  $( The sum of two positive signed reals is positive.  (Contributed by NM,
     14-May-1996.)  (New usage is discouraged.) $)
  addgt0sr $p |- ( ( 0R <R A /\ 0R <R B ) -> 0R <R ( A +R B ) ) $=
    ( c0r cltr wbr cplr co cnr wcel wb ltrelsr brel ltasr 0idsr breq1d simpl2im
    bitrd biimpa ltsosr sotri syldan ) CADEZCBDEZAABFGZDEZCUDDEUBUCUEUBCHIAHIZU
    CUEJCAHHDKLUFUCACFGZUDDEUECBAMUFUGAUDDANOQPRCAUDDHSKTUA $.

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w v u f g h $.
    $( The product of two positive signed reals is positive.  (Contributed by
       NM, 13-May-1996.)  (New usage is discouraged.) $)
    mulgt0sr $p |- ( ( 0R <R A /\ 0R <R B ) -> 0R <R ( A .R B ) ) $=
      ( vv vf vg vh cnr wcel wa c0r cltr wbr co cv wi cnp wceq cmp cpp ovex cmr
      vx vy vz vw vu ltrelsr brel simprd anim12i cop cer cec df-nr breq2 anbi1d
      oveq1 breq2d imbi12d anbi2d gt0srpr anbi12i simprr mulclpr addclpr syl2an
      cltp an4s wrex ltexpri oveq12 oveq1d distrpr eqtr3id vex mulcompr caovdir
      oveq12i addcompr addasspr 3eqtr4i caov12 3eqtr4g oveqan12rd eqtr3d eqtr3i
      oveq2 caov4 caov32 oveq2i addcanpr syl5 eqcom ltaddpr2 syl5bi adantl syld
      3eqtr3g sylan a1d exp4a com34 rexlimdv expl com24 rexlimiv syl2im syl2anc
      imp com12 mulsrpr bitrdi sylibrd 2ecoptocl mpcom ) AGHZBGHZIJAKLZJBKLZIZJ
      ABUAMZKLZXRXPXSXQXRJGHZXPJAGGKUGUHUIXSYCXQJBGGKUGUHUIUJJUBNZUCNZUKULUMZKL
      ZJUDNZUENZUKULUMZKLZIZJYFYJUAMZKLZOXRYKIZJAYJUAMZKLZOXTYBOUBUCUDUEABPPULG
      UNYFAQZYLYOYNYQYRYGXRYKYFAJKUOUPYRYMYPJKYFAYJUAUQURUSYJBQZYOXTYQYBYSYKXSX
      RYJBJKUOUTYSYPYAJKYJBAUAWGURUSYLYEYDVGLZYIYHVGLZIZYDPHZYEPHZIZYHPHZYIPHZI
      IZYNYGYTYKUUAYDYEVAYHYIVAVBUUHUUBYDYIRMZYEYHRMZSMZYDYHRMZYEYIRMZSMZVGLZYN
      UUHUUGUUNPHZUUBUUOOUUEUUFUUGVCUUCUUFUUDUUGUUPUUCUUFIUULPHUUMPHUUPUUDUUGIY
      DYHVDYEYIVDUULUUMVEVFVHUUBUUGUUPIZUUOYTUUAUUQUUOOZYTYECNZSMZYDQZCPVIUUAYI
      UFNZSMZYHQZUFPVIZUURCYEYDVJUFYIYHVJUVAUVEUUROCPUUSPHZUUQUVEUVAUUOUVFUUGUU
      PUVEUVAUUOOZOUVFUUGIZUUPIZUVDUVGUFPUVIUVBPHZUVAUVDUUOUVIUVJUVAUVDUUOUVIUV
      AUVDIZUUOOZUVJUVHUUSYIRMZPHZUUPUVLUUSYIVDUVNUUPIZUVKUUNUUKUUSUVBRMZSMZQZU
      UOUVKUVMUUNSMZUVMUVQSMZQUVOUVRUVKUULUUMUVMSMZSMZUVMUUJUVPSMZSMZUUISMZUVSU
      VTUVKUUTUVCRMZUWASMUWBUWEUVKUWFUULUWASUUTYDUVCYHRVKVLUVDUVAUWFUWDUWAUUISU
      VDUUMYEUVBRMZSMZUVMUVPSMZSMZUUJUWISMUWFUWDUVDUWHUUJUWISUVDUWHYEUVCRMUUJYE
      YIUVBVMUVCYHYERWGVNVLUUTYIRMZUUTUVBRMZSMUWAUWGUVPSMZSMUWFUWJUWKUWAUWLUWMS
      DEFYEUUSYISRUCVOZCVOZUEVODNZENZVPZUWPUWQFNZVMZVQZDEFYEUUSUVBSRUWNUWOUFVOU
      WRUWTVQVRUUTYIUVBVMDEFUUMUWGUVMUVPSYEYIRTYEUVBRTUUSYIRTZUWPUWQVSZUWPUWQUW
      SVTZUUSUVBRTZWHWADEFUVMUUJUVPSUXBYEYHRTUXEUXCUXDWBWCUVAUWAUWKUUIUXAUUTYDY
      IRUQVNWDWEUUNUVMSMUWBUVSUULUUMUVMVTUUNUVMVSWFUVMUUISMUWCSMUVMUUIUWCSMZSMU
      WEUVTUVMUUIUWCVTDEFUVMUWCUUISUXBUUJUVPSTYDYIRTUXCUXDWIUVQUXFUVMSUUIUUJUVP
      VTWJWAWRUVMUUNUVQWKWLUUPUVRUUOOUVNUVRUVQUUNQUUPUUOUUNUVQWMUUKUVPUUNWNWOWP
      WQWSWTXAXBXCXDXEXFXGXIXJXHUUHYNJUUNUUKUKULUMZKLUUOUUHYMUXGJKYDYEYHYIXKURU
      UNUUKVAXLXMWOXNXO $.
  $}

  ${
    $d x y A $.
    $( The square of a nonzero signed real is positive.  (Contributed by NM,
       14-May-1996.)  (New usage is discouraged.) $)
    sqgt0sr $p |- ( ( A e. R. /\ A =/= 0R ) -> 0R <R ( A .R A ) ) $=
      ( cnr wcel c0r cmr co cltr wbr wceq wb mpan2 cm1r cplr mulclsr syl eqtrid
      wa anidms c1r mulasssr wne wo wn wor ltsosr sotrieq mpan necon2abid ltasr
      0r m1r addcomsr pn0sr 0idsr breq12d bitrd mulgt0sr syl6bi mulcomsr oveq1i
      3eqtr3i m1m1sr oveq2i eqtri 3eqtr4i breq2d sylibd wi a1i jaod sylbird imp
      1idsr ) ABCZADUAZDAAEFZGHZVNVOADGHZDAGHZUBZVQVNVTADVNDBCZADIVTUCJZUJBGUDV
      NWAQWBUEBADGUFUGKUHVNVRVQVSVNVRDALEFZWCEFZGHZVQVNVRDWCGHZWEVNVRWCAMFZWCDM
      FZGHZWFVNWCBCZVRWIJVNLBCWJUKALNKZADWCUIOVNWGDWHWCGVNWGAWCMFDWCAULAUMPVNWJ
      WHWCIWKWCUNOUOUPWFWEWCWCUQRURVNWDVPDGVNWDVPSEFZVPALWCEFZEFAASEFZEFWDWLWMW
      NAEWMALLEFZEFZWNLAEFZLEFWCLEFWMWPWQWCLELAUSUTLALTALLTVAWOSAEVBVCVDVCALWCT
      AASTVEVNWLVPIZVNVNQVPBCWRAANVPVMORPVFVGVSVQVHVNVSVQAAUQRVIVJVKVL $.

    $( The reciprocal of a nonzero signed real exists.  Part of Proposition
       9-4.3 of [Gleason] p. 126.  (Contributed by NM, 15-May-1996.)
       (New usage is discouraged.) $)
    recexsr $p |- ( ( A e. R. /\ A =/= 0R ) -> E. x e. R. ( A .R x ) = 1R ) $=
      ( vy cnr wcel c0r wne cmr co cltr wbr cv c1r wceq wrex sqgt0sr wa mulclsr
      mulasssr eqeq1i oveq2 eqeq1d rspcev sylan2b sylan rexlimdva2 impel syldan
      recexsrlem ) BDEZBFGFBBHIZJKZBALZHIZMNZADOZBPUJUKCLZHIZMNZCDOUPULUJUSUPCD
      UJUQDEQBUQHIZDEZUSUPBUQRUSVABUTHIZMNZUPURVBMBBUQSTUOVCAUTDUMUTNUNVBMUMUTB
      HUAUBUCUDUEUFCUKUIUGUH $.
  $}

  ${
    mappsrpr.2 $e |- C e. R. $.
    $( Mapping from positive signed reals to positive reals.  (Contributed by
       NM, 17-May-1996.)  (Revised by Mario Carneiro, 15-Jun-2013.)
       (New usage is discouraged.) $)
    mappsrpr $p |- ( ( C +R -1R ) <R ( C +R [ <. A , 1P >. ] ~R ) <->
                     A e. P. ) $=
      ( cm1r c1p cop cer cec cltr wbr cpp co cltp cplr cnp df-m1r breq1i ltsrpr
      wcel 1pr bitri cnr wb ltasr ax-mp ltrelpr brel dmplp 0npr ndmovrcl simprd
      simpl2im addclpr mp2an ltaddpr mpan impbii 3bitr3i ) DAEFGHZIJZEEKLZVAAKL
      ZMJZBDNLBUSNLIJZAOSZUTEVAFGHZUSIJVCDVFUSIPQEVAAERUABUBSUTVDUCCDUSBUDUEVCV
      EVCVAOSZVBOSZVEVAVBOOMUFUGVHVGVEVAAOKUHUIUJUKULVGVEVCEOSZVIVGTTEEUMUNVAAU
      OUPUQUR $.
  $}

  ${
    ltpsrpr.3 $e |- C e. R. $.
    $( Mapping of order from positive signed reals to positive reals.
       (Contributed by NM, 17-May-1996.)  (Revised by Mario Carneiro,
       15-Jun-2013.)  (New usage is discouraged.) $)
    ltpsrpr $p |- ( ( C +R [ <. A , 1P >. ] ~R ) <R
           ( C +R [ <. B , 1P >. ] ~R ) <-> A <P B ) $=
      ( c1p cop cer cec cplr co cltr wbr cltp cnr wcel ltasr ax-mp cpp addcompr
      wb breq1i ltsrpr cnp 1pr ltapr 3bitr4i bitr3i ) CAEFGHZIJCBEFGHZIJKLZUHUI
      KLZABMLZCNOUKUJTDUHUICPQAERJZEBRJZMLEARJZUNMLZUKULUMUOUNMAESUAAEBEUBEUCOU
      LUPTUDABEUEQUFUG $.
  $}

  ${
    $d x y z A $.  $d x y z C $.
    map2psrpr.2 $e |- C e. R. $.
    $( Equivalence for positive signed real.  (Contributed by NM, 17-May-1996.)
       (Revised by Mario Carneiro, 15-Jun-2013.)
       (New usage is discouraged.) $)
    map2psrpr $p |- ( ( C +R -1R ) <R A <->
            E. x e. P. ( C +R [ <. x , 1P >. ] ~R ) = A ) $=
      ( cm1r cplr co cltr wbr c1p cer wceq cnp wrex cnr wcel wb c0r cpp cltp vy
      vz cv cop cec ltrelsr brel simprd cmr ltasr ax-mp pn0sr addasssr addcomsr
      oveq1i 3eqtr3i 0idsr eqtrid breq2d syl5bb m1r mulclsr mp2an addclsr df-nr
      mpan breq2 eqeq2 rexbidv imbi12d df-m1r breq1i addasspr breq2i ltsrpr 1pr
      wi ltapr 3bitr4i bitri ltexpri sylbi enreceq mpanl2 eqeq1i bitr4di ancoms
      wa addcompr rexbidva syl5ibr ecoptocl syl oveq2 sylan9eqr ex reximdv syld
      sylbird mpcom mappsrpr bitr3id biimpac rexlimiva impbii ) CEFGZBHIZCAUCZJ
      UDKUEZFGZBLZAMNZBOPZXGXLXGXFOPXMXFBOOHUFUGUHXMXGECEUIGZBFGZHIZXLXPXFCXOFG
      ZHIZXMXGCOPZXPXRQDEXOCUJUKXMXQBXFHXMXQBRFGZBCXNFGZBFGRBFGXQXTYARBFXSYARLD
      CULUKUOCXNBUMRBUNUPBUQURZUSUTXMXPXIXOLZAMNZXLXMXOOPZXPYDVQZXNOPZXMYEXSEOP
      YGDVACEVBVCXNBVDVFEUAUCZUBUCZUDKUEZHIZXIYJLZAMNZVQYFUAUBXOMMKOVEYJXOLZYKX
      PYMYDYJXOEHVGYNYLYCAMYJXOXIVHVIVJYKYMYHMPYIMPWHZYIXHSGZJYHSGZLZAMNZYKYIYQ
      TIZYSYKJJJSGZUDKUEZYJHIZYTEUUBYJHVKVLJYISGZUUAYHSGZTIUUDJYQSGZTIZUUCYTUUE
      UUFUUDTJJYHVMVNJUUAYHYIVOJMPZYTUUGQVPYIYQJVRUKVSVTAYIYQWAWBYOYLYRAMXHMPZY
      OYLYRQUUIYOWHYLXHYISGZYQLZYRUUIUUHYOYLUUKQVPXHJYHYIWCWDYPUUJYQYIXHWIWEWFW
      GWJWKWLWMXMYCXKAMXMYCXKYCXMXJXQBXIXOCFWNYBWOWPWQWRWSWTXKXGAMXKUUIXGUUIXFX
      JHIXKXGXHCDXAXJBXFHVGXBXCXDXE $.
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    supsrlem.1 $e |- B = { w | ( C +R [ <. w , 1P >. ] ~R ) e. A } $.
    supsrlem.2 $e |- C e. R. $.
    $( Lemma for supremum theorem.  (Contributed by NM, 21-May-1996.)  (Revised
       by Mario Carneiro, 15-Jun-2013.)  (New usage is discouraged.) $)
    supsrlem $p |- ( ( C e. A /\ E. x e. R. A. y e. A y <R x ) ->
       E. x e. R. ( A. y e. A -. x <R y /\
            A. y e. R. ( y <R x -> E. z e. A y <R z ) ) ) $=
      ( wcel cltr wbr wral cnr wrex wa wi cnp c1p cm1r vv vu cv cltp wn wne c0r
      c0 cplr co wceq 0idsr mp1i simpl eqeltrd cop cer elexi opeq1 eceq1d df-0r
      cec 1pr eqtr4di oveq2d eleq1d elab2 sylibr breq1 rspccv c1r 0lt1sr wb m1r
      ne0d ltasr ax-mp mpbi m1p1sr 3brtr3i breqtri ltrelsr sotri mpan map2psrpr
      ltsosr sylib breq2 ralbidv abeq2i ltpsrpr syl6ib ralrimiv syl6bir reximdv
      syl6 syl5bi com12 rexlimivw impcom supexpr syl2anc mappsrpr sylbir simprd
      syld brel adantl wex sylanbr rexex wal df-ral 19.29 syl5bb bitr3id notbid
      imbi12d biimpac exlimiv syl sylanb expcom 3syl impd impancom pm2.01d expr
      ex r19.29 biimprd vex bitrdi rspcev rexlimiva rexbidv syl5ib imim12d a1dd
      eleq1 sylan2b sotri2 mp3an3 syl5 expcomd ad2antrr pm2.61d adantlr anim12d
      imbi1d anbi12d syl6an rexlimdva mpd ) GEJZBUCZAUCZKLZBEMZANOZPZUAUCZDUCZU
      DLZUEZDFMZUVCUVBUDLZUVCUBUCZUDLZUBFOZQZDRMZPZUAROZUUQUUPKLZUEZBEMZUURUUPC
      UCZKLZCEOZQZBNMZPZANOZUVAFUHUFUVGDFMZUAROZUVNUVAFSUVAGUGUIUJZEJZSFJUVAUWG
      GEGNJZUWGGUKZUVAIGULZUMUUOUUTUNUOGUVCSUPZUQVBZUIUJZEJZUWHDSFSRVCURUVCSUKZ
      UWNUWGEUWPUWMUGGUIUWPUWMSSUPZUQVBUGUWPUWLUWQUQUVCSSUSUTVAVDVEVFHVGVHVOUUT
      UUOUWFUUSUUOUWFQANUUSUUOGUVBSUPUQVBUIUJZUUQUKZUAROZUWFUUSUUOGUUQKLZUWTUUR
      UXABGEUUPGUUQKVIVJUXAGTUIUJZUUQKLZUWTUXBGKLZUXAUXCUXBUWGGKTUGKLZUXBUWGKLZ
      TUGUIUJZTVKUIUJZTUGKUGVKKLZUXGUXHKLZVLTNJZUXIUXJVMVNUGVKTVPVQVRUXKUXGTUKV
      NTULVQVSVTUWIUXEUXFVMITUGGVPVQVRUWIUWJIUWKVQWAZUXBGUUQKNWFWBWCWDUAUUQGIWE
      WGWPUUSUWSUWEUARUWSUUSUWEUWSUUSUUPUWRKLZBEMZUWEUWSUXMUURBEUWRUUQUUPKWHWIU
      XNUVGDFUVCFJZUWOUXNUVGUWODFHWJZUXNUWOUWNUWRKLZUVGUXMUXQBUWNEUUPUWNUWRKVIV
      JUVCUVBGIWKZWLWQWMWNWRWOXFWSWTUADUBFXAXBUVAUVMUWDUARUVAUVBRJZPZUWRNJZUVMU
      WRUUPKLZUEZBEMZUXMUVTQZBNMZPZUWDUXSUYAUVAUXSUXBNJZUYAUXSUXBUWRKLZUYHUYAPU
      VBGIXCZUXBUWRNNKWBXGXDXEXHUXTUVFUYDUVLUYFUXSUVFUYDQUVAUXSUVFUYDUXSUVFPUYC
      BEUXSUVFUUPEJZUYCUXSUVFUYKPZPUYBUXSUYBUYLUYCUXSUYBPZUVFUYKUYCUYMUWNUUPUKZ
      DROZUYNDXIZUVFUYKUYCQZQUYMUXBUUPKLZUYOUXSUYIUYBUYRUYJUXBUWRUUPKNWFWBWCXJD
      UUPGIWEZWGUYNDRXKUVFUYPUYQUVFUXOUVEQZDXLZUYPUYQUVEDFXMVUAUYPPUYTUYNPZDXIU
      YQUYTUYNDXNVUBUYQDUYNUYTUYQUYNUXOUYKUVEUYCUXOUWOUYNUYKUXPUWNUUPEYTXOUYNUV
      DUYBUVDUWRUWNKLUYNUYBUVBUVCGIWKUWNUUPUWRKWHXPXQXRXSXTYAYBYCYDYEYFYGYHWMYI
      XHUUOUXSUVLUYFQUUTUUOUXSPZUVLUYFVUCUVLPZUYEBNVUDUYRUUPNJZUYEQZVUDUYRUYEVU
      EUVLUYRUYEQVUCUVLUYRUYEUYRUVLUYOUYEUYSUVLUYOPUVKUYNPZDROUYEUVKUYNDRYJVUGU
      YEDRUYNUVKUYEUYNUXMUVGUVJUVTUYNUVGUXMUVGUXQUYNUXMUXRUWNUUPUWRKVIXPYKUVJUW
      NUVRKLZCEOZUYNUVTUVIVUIUBFUVHFJGUVHSUPZUQVBZUIUJZEJZUVIVUIUWOVUMDUVHFUBYL
      UVCUVHUKZUWNVULEVUNUWMVUKGUIVUNUWLVUJUQUVCUVHSUSUTVEVFHVGVUHUVICVULEUVRVU
      LUKVUHUWNVULKLUVIUVRVULUWNKWHUVCUVHGIWKYMYNYBYOUYNVUHUVSCEUWNUUPUVRKVIYPY
      QYRWTWSYAUUAYIXHYSUUOUYRUEZVUFQUXSUVLUUOVUEVUOUYEVUEVUOPUUPGKLZUUOUYEVUEV
      UOUXDVUPUXLUUPUXBGKNWFWBUUBUUCUUOVUPUVTUXMUUOVUPUVTUVSVUPCGEUVRGUUPKWHYNY
      IYSUUDUUEUUFUUGWMYIUUHUUIUWCUYGAUWRNUUQUWRUKZUVQUYDUWBUYFVUQUVPUYCBEVUQUV
      OUYBUUQUWRUUPKVIXQWIVUQUWAUYEBNVUQUURUXMUVTUUQUWRUUPKWHUUJWIUUKYNUULUUMUU
      N $.
  $}

  ${
    $d x y z w v u A $.
    $( A nonempty, bounded set of signed reals has a supremum.  (Contributed by
       NM, 21-May-1996.)  (Revised by Mario Carneiro, 15-Jun-2013.)
       (New usage is discouraged.) $)
    supsr $p |- ( ( A =/= (/) /\ E. x e. R. A. y e. A y <R x ) ->
       E. x e. R. ( A. y e. A -. x <R y /\
            A. y e. R. ( y <R x -> E. z e. A y <R z ) ) ) $=
      ( vu vw vv cv cltr wbr wral cnr wrex wi wa wcel c1r c1p cer cplr c0 wn n0
      wne wex wss ltrelsr simpld ralimi dfss3 sylibr sseld rexlimivw impcom cif
      brel eleq1 anbi1d imbi1d cop cec co cab opeq1 eceq1d oveq2d eleq1d cbvabv
      wceq 1sr elimel supsrlem dedth mpcom ex exlimiv sylbi imp ) DUAUDZBHZAHZI
      JZBDKZALMZWAVTIJUBBDKWBVTCHIJCDMNBLKOALMZVSEHZDPZEUEWDWENZEDUCWGWHEWGWDWE
      WFLPZWGWDOZWEWDWGWIWCWGWINALWCDLWFWCVTLPZBDKDLUFWBWKBDWBWKWALPVTWALLIUGUP
      UHUIBDLUJUKULUMUNWIWJWENWIWFQUOZDPZWDOZWENWFQWFWLVIZWJWNWEWOWGWMWDWFWLDUQ
      URUSABCFDWLGHZRUTZSVAZTVBZDPZGVCWLWTWLFHZRUTZSVAZTVBZDPGFWPXAVIZWSXDDXEWR
      XCWLTXEWQXBSWPXARVDVEVFVGVHWFQLVJVKVLVMVNVOVPVQVR $.
  $}

  $( Class of complex numbers. $)
  cc $a class CC $.
  $( Class of real numbers. $)
  cr $a class RR $.
  $( Extend class notation to include the complex number 0. $)
  cc0 $a class 0 $.
  $( Extend class notation to include the complex number 1. $)
  c1 $a class 1 $.
  $( Extend class notation to include the complex number i. $)
  ci $a class _i $.
  $( Addition on complex numbers. $)
  caddc $a class + $.
  $( 'Less than' predicate (defined over real subset of complex numbers). $)
  cltrr $a class <RR $.
  $( Multiplication on complex numbers.  The token ` x. ` is a center dot. $)
  cmul $a class x. $.

  $( Define the set of complex numbers.  The 23 axioms for complex numbers
     start at ~ axresscn .  (Contributed by NM, 22-Feb-1996.)
     (New usage is discouraged.) $)
  df-c $a |- CC = ( R. X. R. ) $.

  $( Define the complex number 0.  (Contributed by NM, 22-Feb-1996.)
     (New usage is discouraged.) $)
  df-0 $a |- 0 = <. 0R , 0R >. $.

  $( Define the complex number 1.  (Contributed by NM, 22-Feb-1996.)
     (New usage is discouraged.) $)
  df-1 $a |- 1 = <. 1R , 0R >. $.

  $( Define the complex number ` _i ` (the imaginary unit).  (Contributed by
     NM, 22-Feb-1996.)  (New usage is discouraged.) $)
  df-i $a |- _i = <. 0R , 1R >. $.

  $( Define the set of real numbers.  (Contributed by NM, 22-Feb-1996.)
     (New usage is discouraged.) $)
  df-r $a |- RR = ( R. X. { 0R } ) $.

  ${
    $d x y z w v u f $.
    $( Define addition over complex numbers.  (Contributed by NM, 28-May-1995.)
       (New usage is discouraged.) $)
    df-add $a |- + = { <. <. x , y >. , z >. | ( ( x e. CC /\ y e. CC ) /\
                  E. w E. v E. u E. f ( ( x = <. w , v >. /\ y = <. u , f >. )
                  /\ z = <. ( w +R u ) , ( v +R f ) >. ) ) } $.

    $( Define multiplication over complex numbers.  (Contributed by NM,
       9-Aug-1995.)  (New usage is discouraged.) $)
    df-mul $a |- x. = { <. <. x , y >. , z >. | ( ( x e. CC /\ y e. CC ) /\
               E. w E. v E. u E. f ( ( x = <. w , v >. /\ y = <. u , f >. )
                  /\ z = <. ( ( w .R u ) +R ( -1R .R ( v .R f ) ) ) ,
                  ( ( v .R u ) +R ( w .R f ) ) >. ) ) } $.

    $( Define 'less than' on the real subset of complex numbers.  Proofs should
       typically use ` < ` instead; see ~ df-ltxr .  (Contributed by NM,
       22-Feb-1996.)  (New usage is discouraged.) $)
    df-lt $a |- <RR = { <. x , y >. | ( ( x e. RR /\ y e. RR ) /\
     E. z E. w ( ( x = <. z , 0R >. /\ y = <. w , 0R >. ) /\ z <R w ) ) } $.
  $}

  $( Ordered pair membership in the class of complex numbers.  (Contributed by
     NM, 14-May-1996.)  (New usage is discouraged.) $)
  opelcn $p |- ( <. A , B >. e. CC <-> ( A e. R. /\ B e. R. ) ) $=
    ( cop cc wcel cnr cxp wa df-c eleq2i opelxp bitri ) ABCZDEMFFGZEAFEBFEHDNMI
    JABFFKL $.

  $( Ordered pair membership in class of real subset of complex numbers.
     (Contributed by NM, 22-Feb-1996.)  (New usage is discouraged.) $)
  opelreal $p |- ( <. A , 0R >. e. RR <-> A e. R. ) $=
    ( c0r cop cr wcel cnr wceq eqid csn cxp wa df-r eleq2i opelxp 0r elexi elsn
    anbi2i 3bitri mpbiran2 ) ABCZDEZAFEZBBGZBHUBUAFBIZJZEUCBUEEZKUCUDKDUFUALMAB
    FUENUGUDUCBBBFOPQRST $.

  ${
    $d x y A $.
    $( Membership in class of real numbers.  (Contributed by NM, 31-Mar-1996.)
       (New usage is discouraged.) $)
    elreal $p |- ( A e. RR <-> E. x e. R. <. x , 0R >. = A ) $=
      ( vy cr wcel cnr c0r csn cxp cv cop wceq wrex eleq2i elxp2 0r elexi opeq2
      df-r bitri eqeq2d rexsn eqcom rexbii ) BDEBFGHZIZEZAJZGKZBLZAFMZDUFBSNUGB
      UHCJZKZLZCUEMZAFMUKACBFUEOUOUJAFUOBUILZUJUNUPCGGFPQULGLUMUIBULGUHRUAUBBUI
      UCTUDTT $.
  $}

  $( Ordered pair membership in the class of complex numbers.  (Contributed by
     Mario Carneiro, 15-Jun-2013.)  (New usage is discouraged.) $)
  elreal2 $p |- ( A e. RR <->
      ( ( 1st ` A ) e. R. /\ A = <. ( 1st ` A ) , 0R >. ) ) $=
    ( cr wcel cnr c0r csn cxp c1st cfv cop wceq wa df-r eleq2i xp1st c2nd xp2nd
    1st2nd2 elsni syl opeq2d eqtrd eleq1 0r elexi snid opelxp mpbiran2 biimparc
    jca bitrdi impbii bitri ) ABCADEFZGZCZAHIZDCZAUQEJZKZLZBUOAMNUPVAUPURUTADUN
    OUPAUQAPIZJUSADUNRUPVBEUQUPVBUNCVBEKADUNQVBESTUAUBUJUTUPURUTUPUSUOCZURAUSUO
    UCVCUREUNCEEDUDUEUFUQEDUNUGUHUKUIULUM $.

  $( The empty set is not a complex number.  Note: do not use this after the
     real number axioms are developed, since it is a construction-dependent
     property.  (Contributed by NM, 2-May-1996.)
     (New usage is discouraged.) $)
  0ncn $p |- -. (/) e. CC $=
    ( c0 cc wcel cnr cxp 0nelxp df-c eleq2i mtbir ) ABCADDEZCDDFBJAGHI $.

  ${
    $d x y z w $.
    $( 'Less than' is a relation on real numbers.  (Contributed by NM,
       22-Feb-1996.)  (New usage is discouraged.) $)
    ltrelre $p |- <RR C_ ( RR X. RR ) $=
      ( vx vy vz vw cltrr cv cr wcel wa c0r cop wceq wbr wex copab cxp opabssxp
      cltr df-lt eqsstri ) EAFZGHBFZGHIUACFZJKLUBDFZJKLIUCUDRMIDNCNZIABOGGPABCD
      SUEABGGQT $.
  $}

  ${
    $d x y z w v u f A $.  $d x y z w v u f B $.  $d x y z w v u f C $.
    $d x y z w v u f D $.
    $( Addition of complex numbers in terms of signed reals.  (Contributed by
       NM, 28-May-1995.)  (New usage is discouraged.) $)
    addcnsr $p |- ( ( ( A e. R. /\ B e. R. ) /\ ( C e. R. /\ D e. R. ) ) ->
           ( <. A , B >. + <. C , D >. ) = <. ( A +R C ) , ( B +R D ) >. ) $=
      ( vx vy vz vw vv vu vf cv cplr co cop wceq wa cc wcel wex caddc cnr oveq1
      opex opeq12 syl2an oveq2 sylan9eq coprab cxp df-add eleq2i anbi12i anbi1i
      df-c oprabbii eqtri ov3 ) EFGHIJABCDHLZJLZMNZILZKLZMNZOZACMNZBDMNZOZKUAUB
      VFVGUDUSAPZVBBPZQUTCPZVCDPZQVEAUTMNZBVCMNZOZVHVIVAVMPVDVNPVEVOPVJUSAUTMUC
      VBBVCMUCVAVDVMVNUEUFVKVMVFPVNVGPVOVHPVLUTCAMUGVCDBMUGVMVNVFVGUEUFUHUAELZR
      SZFLZRSZQZVPUSVBOPVRUTVCOPQGLVEPQKTJTITHTZQZEFGUIVPUBUBUJZSZVRWCSZQZWAQZE
      FGUIEFGHIJKUKWBWGEFGVTWFWAVQWDVSWERWCVPUOULRWCVRUOULUMUNUPUQUR $.

    $( Multiplication of complex numbers in terms of signed reals.
       (Contributed by NM, 9-Aug-1995.)  (New usage is discouraged.) $)
    mulcnsr $p |- ( ( ( A e. R. /\ B e. R. ) /\ ( C e. R. /\ D e. R. ) ) ->
               ( <. A , B >. x. <. C , D >. ) =
                   <. ( ( A .R C ) +R ( -1R .R ( B .R D ) ) ) ,
                          ( ( B .R C ) +R ( A .R D ) ) >. ) $=
      ( vx vy vz vw vv vu vf cv cmr co cm1r cplr cop wceq wa oveq1 cmul opeq12d
      cnr opex oveq2d oveqan12d oveqan12rd oveq2 sylan9eq cc wcel coprab df-mul
      wex cxp df-c eleq2i anbi12i anbi1i oprabbii eqtri ov3 ) EFGHIJABCDHLZJLZM
      NZOILZKLZMNZMNZPNZVFVDMNZVCVGMNZPNZQZACMNZOBDMNZMNZPNZBCMNZADMNZPNZQZKUAU
      CVRWAUDVCARZVFBRZSZVDCRZVGDRZSZVNAVDMNZOBVGMNZMNZPNZBVDMNZAVGMNZPNZQWBWEV
      JWLVMWOWCWDVEWIVIWKPVCAVDMTWDVHWJOMVFBVGMTUEUFWDWCVKWMVLWNPVFBVDMTVCAVGMT
      UGUBWHWLVRWOWAWFWGWIVOWKVQPVDCAMUHWGWJVPOMVGDBMUHUEUFWFWGWMVSWNVTPVDCBMUH
      VGDAMUHUFUBUIUAELZUJUKZFLZUJUKZSZWPVCVFQRWRVDVGQRSGLVNRSKUNJUNIUNHUNZSZEF
      GULWPUCUCUOZUKZWRXCUKZSZXASZEFGULEFGHIJKUMXBXGEFGWTXFXAWQXDWSXEUJXCWPUPUQ
      UJXCWRUPUQURUSUTVAVB $.
  $}

  ${
    eqresr.1 $e |- A e. _V $.
    $( Equality of real numbers in terms of intermediate signed reals.
       (Contributed by NM, 10-May-1996.)  (New usage is discouraged.) $)
    eqresr $p |- ( <. A , 0R >. = <. B , 0R >. <-> A = B ) $=
      ( c0r cop wceq eqid cnr 0r elexi opth mpbiran2 ) ADEBDEFABFDDFDGADBDCDHIJ
      KL $.
  $}

  $( Addition of real numbers in terms of intermediate signed reals.
     (Contributed by NM, 10-May-1996.)  (New usage is discouraged.) $)
  addresr $p |- ( ( A e. R. /\ B e. R. ) ->
           ( <. A , 0R >. + <. B , 0R >. ) = <. ( A +R B ) , 0R >. ) $=
    ( cnr wcel wa c0r cop caddc co cplr wceq 0r addcnsr an4s 0idsr ax-mp opeq2i
    mpanr12 eqtrdi ) ACDZBCDZEZAFGBFGHIZABJIZFFJIZGZUDFGUBFCDZUGUCUFKZLLTUGUAUG
    UHAFBFMNRUEFUDUGUEFKLFOPQS $.

  $( Multiplication of real numbers in terms of intermediate signed reals.
     (Contributed by NM, 10-May-1996.)  (New usage is discouraged.) $)
  mulresr $p |- ( ( A e. R. /\ B e. R. ) ->
         ( <. A , 0R >. x. <. B , 0R >. ) = <. ( A .R B ) , 0R >. ) $=
    ( cnr wcel wa c0r cop cmul co cmr cm1r cplr wceq mulcnsr ax-mp oveq2i 0idsr
    0r 00sr eqtrid an4s mpanr12 m1r eqtri mulclsr syl oveqan12rd eqtrdi opeq12d
    mulcomsr eqtrd ) ACDZBCDZEZAFGBFGHIZABJIZKFFJIZJIZLIZFBJIZAFJIZLIZGZUPFGUNF
    CDZVDUOVCMZRRULVDUMVDVEAFBFNUAUBUNUSUPVBFUNUSUPFLIZUPURFUPLURKFJIZFUQFKJVDU
    QFMRFSOPKCDVGFMUCKSOUDPUNUPCDVFUPMABUEUPQUFTUNVBFFLIZFUMULUTFVAFLUMUTBFJIFF
    BUJBSTASUGVDVHFMRFQOUHUIUK $.

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Ordering of real subset of complex numbers in terms of signed reals.
       (Contributed by NM, 22-Feb-1996.)  (New usage is discouraged.) $)
    ltresr $p |- ( <. A , 0R >. <RR <. B , 0R >. <-> A <R B ) $=
      ( vz vw vx vy c0r cop cltrr wbr cnr wcel wa cltr cr wceq wex anbi1d eqcom
      cv ltrelre brel opelreal anbi12i sylib ltrelsr opex eleq1 2exbidv anbi12d
      wb eqeq1 anbi2d df-lt brab baib eqresr 3bitr4i opth2 bitr4i anbi1i 2exbii
      vex bitrdi syl2anbr breq12 copsex2g bitrd pm5.21nii ) AGHZBGHZIJZAKLZBKLZ
      MZABNJZVLVJOLZVKOLZMZVOVJVKOOIUAUBVQVMVRVNAUCZBUCZUDUEABKKNUFUBVOVLABHCTZ
      DTZHPZWBWCNJZMZDQCQZVPVMVQVRVLWGUKVNVTWAVSVLVJWBGHZPZVKWCGHZPZMZWEMZDQCQZ
      WGVLVSWNETZOLZFTZOLZMZWOWHPZWQWJPZMZWEMZDQCQZMVQWRMZWIXAMZWEMZDQCQZMVSWNM
      EFVJVKIAGUGBGUGWOVJPZWSXEXDXHXIWPVQWRWOVJOUHRXIXCXGCDXIXBXFWEXIWTWIXAWOVJ
      WHULRRUIUJWQVKPZXEVSXHWNXJWRVRVQWQVKOUHUMXJXGWMCDXJXFWLWEXJXAWKWIWQVKWJUL
      UMRUIUJEFCDUNUOUPWMWFCDWLWDWEWLAWBPZBWCPZMWDWIXKWKXLWHVJPWBAPWIXKWBACVCZU
      QVJWHSAWBSURWJVKPWCBPWKXLWCBDVCZUQVKWJSBWCSURUDABWBWCXMXNUSUTVAVBVDVEWEVP
      CDABKKWBAWCBNVFVGVHVI $.
  $}

  $( Ordering of real subset of complex numbers in terms of signed reals.
     (Contributed by NM, 22-Feb-1996.)  (New usage is discouraged.) $)
  ltresr2 $p |- ( ( A e. RR /\ B e. RR ) ->
      ( A <RR B <-> ( 1st ` A ) <R ( 1st ` B ) ) ) $=
    ( cr wcel wa cltrr wbr c1st cfv c0r cop cltr wceq elreal2 simprbi breqan12d
    cnr ltresr bitrdi ) ACDZBCDZEABFGAHIZJKZBHIZJKZFGUBUDLGTUAAUCBUEFTUBQDAUCMA
    NOUAUDQDBUEMBNOPUBUDRS $.

  $( Technical trick to permit reuse of previous lemmas to prove arithmetic
     operation laws in ` CC ` from those in ` R. ` .  The trick involves
     ~ qsid , which shows that the coset of the converse membership relation
     (which is not an equivalence relation) acts as an identity divisor for the
     quotient set operation.  This lets us "pretend" that ` CC ` is a quotient
     set, even though it is not (compare ~ df-c ), and allows us to reuse some
     of the equivalence class lemmas we developed for the transition from
     positive reals to signed reals, etc.  (Contributed by NM, 13-Aug-1995.)
     (New usage is discouraged.) $)
  dfcnqs $p |- CC = ( ( R. X. R. ) /. `' _E ) $=
    ( cc cnr cxp cep ccnv cqs df-c qsid eqtr4i ) ABBCZJDEFGJHI $.

  $( Technical trick to permit re-use of some equivalence class lemmas for
     operation laws.  See ~ dfcnqs and ~ mulcnsrec .  (Contributed by NM,
     13-Aug-1995.)  (New usage is discouraged.) $)
  addcnsrec $p |- ( ( ( A e. R. /\ B e. R. ) /\ ( C e. R. /\ D e. R. ) ) ->
                 ( [ <. A , B >. ] `' _E + [ <. C , D >. ] `' _E ) =
                   [ <. ( A +R C ) , ( B +R D ) >. ] `' _E ) $=
    ( cnr wcel wa cop caddc cplr cep ccnv cec addcnsr opex ecid oveq12i 3eqtr4g
    co ) AEFBEFGCEFDEFGGABHZCDHZISACJSZBDJSZHZTKLZMZUAUEMZISUDUEMABCDNUFTUGUAIT
    ABOPUACDOPQUDUBUCOPR $.

  $( Technical trick to permit re-use of some equivalence class lemmas for
     operation laws.  The trick involves ~ ecid , which shows that the coset of
     the converse membership relation (which is not an equivalence relation)
     leaves a set unchanged.  See also ~ dfcnqs .

     _Note:  This is the last lemma (from which the axioms will be derived) in_
     _the construction of real and complex numbers.  The construction starts_
     _at_ ~ cnpi .  (Contributed by NM, 13-Aug-1995.)
     (New usage is discouraged.) $)
  mulcnsrec $p |- ( ( ( A e. R. /\ B e. R. ) /\ ( C e. R. /\ D e. R. ) ) ->
               ( [ <. A , B >. ] `' _E x. [ <. C , D >. ] `' _E ) =
                    [ <. ( ( A .R C ) +R ( -1R .R ( B .R D ) ) ) ,
                          ( ( B .R C ) +R ( A .R D ) ) >. ] `' _E ) $=
    ( cnr wcel wa cop cmul cmr cm1r cplr cep ccnv cec mulcnsr opex ecid oveq12i
    co 3eqtr4g ) AEFBEFGCEFDEFGGABHZCDHZITACJTKBDJTJTLTZBCJTADJTLTZHZUBMNZOZUCU
    GOZITUFUGOABCDPUHUBUIUCIUBABQRUCCDQRSUFUDUEQRUA $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Final derivation of real and complex number postulates
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w v u f $.
    $( Addition is an operation on the complex numbers.  This theorem can be
       used as an alternate axiom for complex numbers in place of the less
       specific ~ axaddcl .  This construction-dependent theorem should not be
       referenced directly; instead, use ~ ax-addf .  (Contributed by NM,
       8-Feb-2005.)  (New usage is discouraged.) $)
    axaddf $p |- + : ( CC X. CC ) --> CC $=
      ( vx vy vw vv vu vf vz cc cxp caddc cv co wcel wral wceq cop cplr wex cnr
      wa wf wfn wfun cdm coprab wmo moeq mosubop anass 2exbii bitri mobii mpbir
      19.42vv moani funoprab df-add funeqi dmeqi dmoprabss eqsstri oveq1 eleq1d
      0ncn df-c oveq2 addcnsr addclsr anim12i opelxpi eqeltrd 2optocl eleqtrrdi
      an4s syl oprssdm eqssi df-fn mpbir2an rgen2 ffnov ) HHIZHJUAJWBUBZAKZBKZJ
      LZHMZBHNAHNWCJUCZJUDZWBOWHWDHMWEHMTZWDCKZDKZPOZWEEKZFKZPOZTGKZWKWNQLZWLWO
      QLPZOZTZFRERZDRCRZTZABGUEZUCXDABGXCWJGXCGUFWMWPWTTZFRERZTZDRCRZGUFXGGCDWD
      WTGEFWEGWSUGUHUHXCXIGXBXHCDXBWMXFTZFRERXHXAXJEFWMWPWTUIUJWMXFEFUNUKUJULUM
      UOUPJXEABGCDEFUQZURUMWIWBWIXEUDWBJXEXKUSXCABGHHUTVAABHJVDWJWFSSIZHWQWKPZW
      LWNPZJLZXLMWDXNJLZXLMWFXLMGCDEWDWESSHVEXMWDOXOXPXLXMWDXNJVBVCXNWEOXPWFXLX
      NWEWDJVFVCWQSMZWKSMZTWLSMZWNSMZTTZXOWQWLQLZWRPZXLWQWKWLWNVGYAYBSMZWRSMZTZ
      YCXLMXQXSXRXTYFXQXSTYDXRXTTYEWQWLVHWKWNVHVIVNYBWRSSVJVOVKVLVEVMZVPVQJWBVR
      VSWGABHHYGVTABHHHJWAVS $.

    $( Multiplication is an operation on the complex numbers.  This theorem can
       be used as an alternate axiom for complex numbers in place of the less
       specific ~ axmulcl .  This construction-dependent theorem should not be
       referenced directly; instead, use ~ ax-mulf .  (Contributed by NM,
       8-Feb-2005.)  (New usage is discouraged.) $)
    axmulf $p |- x. : ( CC X. CC ) --> CC $=
      ( vx vy vw vv vu vf vz cc cmul cv co wcel wceq wa cop cmr wex cnr mulclsr
      cm1r cxp wf wfn wral wfun cdm cplr coprab wmo moeq mosubop 2exbii 19.42vv
      anass bitri mobii mpbir moani funoprab df-mul funeqi dmeqi dmoprabss 0ncn
      eqsstri df-c oveq1 eleq1d mulcnsr m1r sylancr addclsr syl2an an4s syl2anr
      oveq2 an42s opelxpd eqeltrd 2optocl eleqtrrdi eqssi df-fn mpbir2an rgen2
      oprssdm ffnov ) HHUAZHIUBIWHUCZAJZBJZIKZHLZBHUDAHUDWIIUEZIUFZWHMWNWJHLWKH
      LNZWJCJZDJZOMZWKEJZFJZOMZNGJZWQWTPKZTWRXAPKPKUGKWRWTPKWQXAPKUGKOZMZNZFQEQ
      ZDQCQZNZABGUHZUEXJABGXIWPGXIGUIWSXBXFNZFQEQZNZDQCQZGUIXMGCDWJXFGEFWKGXEUJ
      UKUKXIXOGXHXNCDXHWSXLNZFQEQXNXGXPEFWSXBXFUNULWSXLEFUMUOULUPUQURUSIXKABGCD
      EFUTZVAUQWOWHWOXKUFWHIXKXQVBXIABGHHVCVEABHIVDWPWLRRUAZHXCWQOZWRWTOZIKZXRL
      WJXTIKZXRLWLXRLGCDEWJWKRRHVFXSWJMYAYBXRXSWJXTIVGVHXTWKMYBWLXRXTWKWJIVPVHX
      CRLZWQRLZNWRRLZWTRLZNNZYAXCWRPKZTXDPKZUGKZWQWRPKZXCWTPKZUGKZOXRXCWQWRWTVI
      YGYJYMRRYCYEYDYFYJRLZYCYENYHRLYIRLZYNYDYFNZXCWRSYPTRLXDRLYOVJWQWTSTXDSVKY
      HYIVLVMVNYCYFYDYEYMRLZYDYENYKRLYLRLYQYCYFNWQWRSXCWTSYKYLVLVOVQVRVSVTVFWAZ
      WFWBIWHWCWDWMABHHYRWEABHHHIWGWD $.
  $}

  $( The complex numbers form a set.  This axiom is redundant in the presence
     of the other axioms (see ~ cnexALT ), but the proof requires the axiom of
     replacement, while the derivation from the construction here does not.
     Thus, we can avoid ~ ax-rep in later theorems by invoking Axiom ~ ax-cnex
     instead of ~ cnexALT .  Use ~ cnex instead.  (Contributed by Mario
     Carneiro, 17-Nov-2014.)  (New usage is discouraged.) $)
  axcnex $p |- CC e. _V $=
    ( cc cnr cxp cvv df-c nrex1 xpex eqeltri ) ABBCDEBBFFGH $.

  $( The real numbers are a subset of the complex numbers.  Axiom 1 of 22 for
     real and complex numbers, derived from ZF set theory.  This
     construction-dependent theorem should not be referenced directly; instead,
     use ~ ax-resscn .  (Contributed by NM, 1-Mar-1995.)  (Proof shortened by
     Andrew Salmon, 12-Aug-2011.)  (New usage is discouraged.) $)
  axresscn $p |- RR C_ CC $=
    ( cnr c0r csn cxp cr cc wcel wss 0r snssi xpss2 mp2b df-r df-c 3sstr4i ) AB
    CZDZAADZEFBAGPAHQRHIBAJPAAKLMNO $.

  $( 1 is a complex number.  Axiom 2 of 22 for real and complex numbers,
     derived from ZF set theory.  This construction-dependent theorem should
     not be referenced directly; instead, use ~ ax-1cn .  (Contributed by NM,
     12-Apr-2007.)  (New usage is discouraged.) $)
  ax1cn $p |- 1 e. CC $=
    ( cr cc c1 axresscn c1r c0r cop df-1 wcel cnr opelreal mpbir eqeltri sselii
    1sr ) ABCDCEFGZAHPAIEJIOEKLMN $.

  $( ` _i ` is a complex number.  Axiom 3 of 22 for real and complex numbers,
     derived from ZF set theory.  This construction-dependent theorem should
     not be referenced directly; instead, use ~ ax-icn .  (Contributed by NM,
     23-Feb-1996.)  (New usage is discouraged.) $)
  axicn $p |- _i e. CC $=
    ( ci cc wcel c0r cnr c1r 0r 1sr cop wa df-i eleq1i opelcn bitri mpbir2an )
    ABCZDECZFECZGHPDFIZBCQRJASBKLDFMNO $.

  ${
    $d x y A $.  $d x y B $.
    $( Closure law for addition of complex numbers.  Axiom 4 of 22 for real and
       complex numbers, derived from ZF set theory.  This
       construction-dependent theorem should not be referenced directly, nor
       should the proven axiom ~ ax-addcl be used later.  Instead, in most
       cases use ~ addcl .  (Contributed by NM, 14-Jun-1995.)
       (New usage is discouraged.) $)
    axaddcl $p |- ( ( A e. CC /\ B e. CC ) -> ( A + B ) e. CC ) $=
      ( cc caddc axaddf fovcl ) ABCCCDEF $.

    $( Closure law for addition in the real subfield of complex numbers.  Axiom
       5 of 22 for real and complex numbers, derived from ZF set theory.  This
       construction-dependent theorem should not be referenced directly, nor
       should the proven axiom ~ ax-addrcl be used later.  Instead, in most
       cases use ~ readdcl .  (Contributed by NM, 31-Mar-1996.)
       (New usage is discouraged.) $)
    axaddrcl $p |- ( ( A e. RR /\ B e. RR ) -> ( A + B ) e. RR ) $=
      ( vx vy cv c0r cop caddc co cr wcel cnr elreal wceq oveq1 eleq1d oveq2 wa
      cplr addresr addclsr opelreal sylibr eqeltrd 2gencl ) CEZFGZDEZFGZHIZJKAU
      IHIZJKABHIZJKCDUGUIABLJCAMDBMUGANUJUKJUGAUIHOPUIBNUKULJUIBAHQPUFLKUHLKRZU
      JUFUHSIZFGZJUFUHTUMUNLKUOJKUFUHUAUNUBUCUDUE $.

    $( Closure law for multiplication of complex numbers.  Axiom 6 of 22 for
       real and complex numbers, derived from ZF set theory.  This
       construction-dependent theorem should not be referenced directly, nor
       should the proven axiom ~ ax-mulcl be used later.  Instead, in most
       cases use ~ mulcl .  (Contributed by NM, 10-Aug-1995.)
       (New usage is discouraged.) $)
    axmulcl $p |- ( ( A e. CC /\ B e. CC ) -> ( A x. B ) e. CC ) $=
      ( cc cmul axmulf fovcl ) ABCCCDEF $.

    $( Closure law for multiplication in the real subfield of complex numbers.
       Axiom 7 of 22 for real and complex numbers, derived from ZF set theory.
       This construction-dependent theorem should not be referenced directly,
       nor should the proven axiom ~ ax-mulrcl be used later.  Instead, in most
       cases use ~ remulcl .  (New usage is discouraged.)  (Contributed by NM,
       31-Mar-1996.) $)
    axmulrcl $p |- ( ( A e. RR /\ B e. RR ) -> ( A x. B ) e. RR ) $=
      ( vx vy cv c0r cop cmul co cr wcel cnr elreal wceq oveq1 eleq1d oveq2 cmr
      wa mulresr mulclsr opelreal sylibr eqeltrd 2gencl ) CEZFGZDEZFGZHIZJKAUIH
      IZJKABHIZJKCDUGUIABLJCAMDBMUGANUJUKJUGAUIHOPUIBNUKULJUIBAHQPUFLKUHLKSZUJU
      FUHRIZFGZJUFUHTUMUNLKUOJKUFUHUAUNUBUCUDUE $.
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Multiplication of complex numbers is commutative.  Axiom 8 of 22 for
       real and complex numbers, derived from ZF set theory.  This
       construction-dependent theorem should not be referenced directly, nor
       should the proven axiom ~ ax-mulcom be used later.  Instead, use
       ~ mulcom .  (Contributed by NM, 31-Aug-1995.)
       (New usage is discouraged.) $)
    axmulcom $p |- ( ( A e. CC /\ B e. CC ) -> ( A x. B ) = ( B x. A ) ) $=
      ( vx vy vz vw cc cv cmr co cm1r cplr cmul cep ccnv cnr mulcnsrec mulcomsr
      dfcnqs oveq12i oveq2i addcomsr eqtri ecovcom ) CDEFABGCHZEHZIJZKDHZFHZIJZ
      IJZLJMNOPUHUFIJZUEUIIJZLJZUFUEIJZKUIUHIJZIJZLJUIUEIJZUFUHIJZLJZSUEUHUFUIQ
      UFUIUEUHQUGUOUKUQLUEUFRUJUPKIUHUIRUATUNUSURLJUTULUSUMURLUHUFRUEUIRTUSURUB
      UCUD $.
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $( Addition of complex numbers is associative.  This theorem transfers the
       associative laws for the real and imaginary signed real components of
       complex number pairs, to complex number addition itself.  Axiom 9 of 22
       for real and complex numbers, derived from ZF set theory.  This
       construction-dependent theorem should not be referenced directly, nor
       should the proven axiom ~ ax-addass be used later.  Instead, use
       ~ addass .  (Contributed by NM, 2-Sep-1995.)
       (New usage is discouraged.) $)
    axaddass $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                 ( ( A + B ) + C ) = ( A + ( B + C ) ) ) $=
      ( vx vy vz vw vv vu cv cplr co cnr addcnsrec wcel wa addclsr anim12i an4s
      addasssr cc caddc cep ccnv dfcnqs ecovass ) DEFGHIABCUAUBGJZIJZKLZUCUDMDJ
      ZFJZKLZEJZUGKLZULHJZKLUNUHKLUJUKUOKLZKLUMUIKLUPUEUJUMUKUGNUKUGUOUHNULUNUO
      UHNUJUMUPUINUJMOZUKMOZUMMOZUGMOZULMOZUNMOZPUQURPVAUSUTPVBUJUKQUMUGQRSURUO
      MOZUTUHMOZUPMOZUIMOZPURVCPVEUTVDPVFUKUOQUGUHQRSUJUKUOTUMUGUHTUF $.
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u f g h $.
    $( Multiplication of complex numbers is associative.  Axiom 10 of 22 for
       real and complex numbers, derived from ZF set theory.  This
       construction-dependent theorem should not be referenced directly;
       instead, use ~ ax-mulass .  (Contributed by NM, 3-Sep-1995.)
       (New usage is discouraged.) $)
    axmulass $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                 ( ( A x. B ) x. C ) = ( A x. ( B x. C ) ) ) $=
      ( vf vg vh cv cmr co cplr cnr cm1r wcel mulclsr ovex distrsr oveq2i eqtri
      wa vex vx vy vz vw vv vu cc cmul cep dfcnqs mulcnsrec m1r sylancr addclsr
      ccnv syl2an an4s syl2anr an42s jca addcomsr addasssr caov42 oveq12i elexi
      mulcomsr mulasssr caovdilem caov12 3eqtr4ri ecovass ) UAUBUCUDUEUFABCUGUH
      UDGZUEGZHIZUCGZUFGZHIZJIZUIUOKUAGZVOHIZLUBGZVLHIZHIZJIZWAVOHIZVSVLHIZJIZW
      DVMHIZLWGVPHIZHIZJIZWGVMHIZWDVPHIZJIZVSVOVMHIZLVLVPHIZHIZJIZHIZLWAVRHIZHI
      ZJIZWAWRHIZVSVRHIZJIZWRUJVSWAVOVLUKVOVLVMVPUKWDWGVMVPUKVSWAWRVRUKVSKMZWAK
      MZSVOKMZVLKMZSZSWDKMZWGKMZXFXHXGXIXKXFXHSVTKMWCKMZXKXGXISZVSVONXNLKMZWBKM
      XMULWAVLNLWBNUMVTWCUNUPUQXFXIXGXHXLXGXHSWEKMWFKMXLXFXISWAVONVSVLNWEWFUNUR
      USUTXJVMKMZVPKMZSSWRKMZVRKMZXHXPXIXQXRXHXPSWOKMWQKMZXRXIXQSZVOVMNYAXOWPKM
      XTULVLVPNLWPNUMWOWQUNUPUQXHXQXIXPXSXIXPSVNKMVQKMXSXHXQSVLVMNVOVPNVNVQUNUR
      USUTVSWOHIZVSWQHIZJIZLWAVNHIZHIZLWAVQHIZHIZJIZJIYBYFJIZYHYCJIZJIXBWKDEFYB
      YCYFYHJVSWOHOVSWQHOLYEHODGZEGZVAZYLYMFGZVBZLYGHOVCWSYDXAYIJVSWOWQPXALYEYG
      JIZHIYIWTYQLHWAVNVQPQLYEYGPRVDWHYJWJYKJWHYBLWBVMHIZHIZJIYJDEFVSLVOWBJHVMU
      ATZLKULVEZUCTZYLYMVFZYLYMYOPZWAVLHOZUETZYLYMYOVGZVHYSYFYBJYRYELHWAVLVMVGQ
      QRWJLYGVSWPHIZJIZHIZYKWIUUILHDEFWAVSVOVLJHVPUBTZYTUUBUUCUUDUDTZUFTZUUGVHQ
      UUJYHLUUHHIZJIYKLYGUUHPUUNYCYHJDEFLVSWPHUUAYTVLVPHOZUUCUUGVIQRRVDVJWAWOHI
      ZWAWQHIZJIZVSVNHIZVSVQHIZJIZJIUUPUUSJIZUUTUUQJIZJIXEWNDEFUUPUUQUUSUUTJWAW
      OHOWAWQHOVSVNHOYNYPVSVQHOVCXCUURXDUVAJWAWOWQPVSVNVQPVDWLUVBWMUVCJDEFWAVSV
      OVLJHVMUUKYTUUBUUCUUDUULUUFUUGVHWMUUTLWBVPHIZHIZJIUVCDEFVSLVOWBJHVPYTUUAU
      UBUUCUUDUUEUUMUUGVHUVEUUQUUTJUVELWAWPHIZHIUUQUVDUVFLHWAVLVPVGQDEFLWAWPHUU
      AUUKUUOUUCUUGVIRQRVDVJVK $.
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u f g h $.
    $( Distributive law for complex numbers (left-distributivity).  Axiom 11 of
       22 for real and complex numbers, derived from ZF set theory.  This
       construction-dependent theorem should not be referenced directly, nor
       should the proven axiom ~ ax-distr be used later.  Instead, use
       ~ adddi .  (Contributed by NM, 2-Sep-1995.)
       (New usage is discouraged.) $)
    axdistr $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( A x. ( B + C ) ) = ( ( A x. B ) + ( A x. C ) ) ) $=
      ( vf vg vh cnr cv cplr co cmr cm1r mulcnsrec wcel wa addclsr an4s mulclsr
      distrsr ovex vx vy vz vw vv vu cc caddc cep ccnv dfcnqs addcnsrec anim12i
      cmul m1r sylancr syl2an syl2anr an42s jca eqtri oveq12i addcomsr addasssr
      oveq2i caov4 ecovdi ) UAUBUCUDUEUFABCUGUHUIUJGUNUAHZUCHZUEHZIJZKJZLUBHZUD
      HZUFHZIJZKJZKJZIJZVMVKKJZVHVPKJZIJZVHVIKJZLVMVNKJZKJZIJZVHVJKJZLVMVOKJZKJ
      ZIJZIJZVMVIKJZVHVNKJZIJZVMVJKJZVHVOKJZIJZIJZVKVPWFWNWJWQUKVIVNVJVOULVHVMV
      KVPMVHVMVIVNMVHVMVJVOMWFWNWJWQULVIGNZVJGNZVNGNZVOGNZVKGNZVPGNZOWSWTOXCXAX
      BOXDVIVJPVNVOPUMQVHGNZVMGNZOZWSXAOOWFGNZWNGNZXEWSXFXAXHXEWSOWCGNWEGNZXHXF
      XAOZVHVIRXKLGNZWDGNXJUOVMVNRLWDRUPWCWEPUQQXEXAXFWSXIXFWSOWLGNWMGNXIXEXAOV
      MVIRVHVNRWLWMPURUSUTXGWTXBOOWJGNZWQGNZXEWTXFXBXMXEWTOWGGNWIGNZXMXFXBOZVHV
      JRXPXLWHGNXOUOVMVORLWHRUPWGWIPUQQXEXBXFWTXNXFWTOWOGNWPGNXNXEXBOVMVJRVHVOR
      WOWPPURUSUTVSWCWGIJZWEWIIJZIJWKVLXQVRXRIVHVIVJSVRLWDWHIJZKJXRVQXSLKVMVNVO
      SVELWDWHSVAVBDEFWCWGWEWIIVHVIKTVHVJKTLWDKTDHZEHZVCZXTYAFHVDZLWHKTVFVAWBWL
      WOIJZWMWPIJZIJWRVTYDWAYEIVMVIVJSVHVNVOSVBDEFWLWOWMWPIVMVIKTVMVJKTVHVNKTYB
      YCVHVOKTVFVAVG $.
  $}

  $( i-squared equals -1 (expressed as i-squared plus 1 is 0).  Axiom 12 of 22
     for real and complex numbers, derived from ZF set theory.  This
     construction-dependent theorem should not be referenced directly; instead,
     use ~ ax-i2m1 .  (Contributed by NM, 5-May-1996.)
     (New usage is discouraged.) $)
  axi2m1 $p |- ( ( _i x. _i ) + 1 ) = 0 $=
    ( c0r c1r cop cmul co caddc ci cm1r cplr cmr cnr wcel wceq 0r 1sr ax-mp m1r
    1idsr eqtri oveq12i c1 cc0 mulcnsr mp4an 00sr oveq2i addcomsr 0idsr opeq12i
    3eqtri oveq1i addresr mp2an m1p1sr opeq1i df-i df-1 df-0 3eqtr4i ) ABCZUTDE
    ZBACZFEZAACZGGDEZUAFEUBVCHACZVBFEZHBIEZACZVDVAVFVBFVAAAJEZHBBJEZJEZIEZBAJEZ
    ABJEZIEZCZVFAKLZBKLZVRVSVAVQMNONOABABUCUDVMHVPAVMAHIEHAIEZHVJAVLHIVRVJAMNAU
    EPVLHBJEZHVKBHJVSVKBMOBRPUFHKLZWAHMQHRPSTAHUGWBVTHMQHUHPUJVPAAIEZAVNAVOAIVS
    VNAMOBUEPVRVOAMNARPTVRWCAMNAUHPSUISUKWBVSVGVIMQOHBULUMVHAAUNUOUJVEVAUAVBFGU
    TGUTDUPUPTUQTURUS $.

  $( 1 and 0 are distinct.  Axiom 13 of 22 for real and complex numbers,
     derived from ZF set theory.  This construction-dependent theorem should
     not be referenced directly; instead, use ~ ax-1ne0 .  (Contributed by NM,
     19-Mar-1996.)  (New usage is discouraged.) $)
  ax1ne0 $p |- 1 =/= 0 $=
    ( c1 cc0 wceq c1r c0r cop 1ne0sr cnr 1sr elexi mtbir df-1 df-0 eqeq12i neir
    eqresr ) ABABCDEFZEEFZCZSDECGDEDHIJPKAQBRLMNKO $.

  ${
    $d A x y $.
    $( ` 1 ` is an identity element for real multiplication.  Axiom 14 of 22
       for real and complex numbers, derived from ZF set theory.  Weakened from
       the original axiom in the form of statement in ~ mulid1 , based on ideas
       by Eric Schmidt.  This construction-dependent theorem should not be
       referenced directly; instead, use ~ ax-1rid .  (Contributed by Scott
       Fenton, 3-Jan-2013.)  (New usage is discouraged.) $)
    ax1rid $p |- ( A e. RR -> ( A x. 1 ) = A ) $=
      ( vx vy cv cop c1 cmul co wceq cnr c0r csn cr df-r oveq1 id eqeq12d elsni
      wcel c1r df-1 oveq2i cmr 1sr mpan2 1idsr opeq1d eqtrd eqtrid opeq2 oveq1d
      mulresr syl5ibr impcom sylan2 optocl ) BDZCDZEZFGHZUSIZAFGHZAIBCAJKLZMNUS
      AIZUTVBUSAUSAFGOVDPQURVCSUQJSZURKIZVAURKRVFVEVAVEVAVFUQKEZFGHZVGIVEVHVGTK
      EZGHZVGFVIVGGUAUBVEVJUQTUCHZKEZVGVETJSVJVLIUDUQTULUEVEVKUQKUQUFUGUHUIVFUT
      VHUSVGVFUSVGFGURKUQUJZUKVMQUMUNUOUP $.
  $}

  ${
    $d x A $.
    $( Existence of negative of real number.  Axiom 15 of 22 for real and
       complex numbers, derived from ZF set theory.  This
       construction-dependent theorem should not be referenced directly;
       instead, use ~ ax-rnegex .  (Contributed by NM, 15-May-1996.)
       (New usage is discouraged.) $)
    axrnegex $p |- ( A e. RR -> E. x e. RR ( A + x ) = 0 ) $=
      ( cr wcel c1st cfv cm1r cmr co c0r cop caddc cc0 wceq cv wrex cnr elreal2
      simplbi syl2anc mulclsr sylancl opelreal sylibr cplr simprbi oveq1d pn0sr
      m1r addresr opeq1d df-0 eqtr4di syl 3eqtrd oveq2 eqeq1d rspcev ) BCDZBEFZ
      GHIZJKZCDZBVBLIZMNZBAOZLIZMNZACPUSVAQDZVCUSUTQDZGQDVIUSVJBUTJKZNZBRZSZUIU
      TGUAUBZVAUCUDUSVDVKVBLIZUTVAUEIZJKZMUSBVKVBLUSVJVLVMUFUGUSVJVIVPVRNVNVOUT
      VAUJTUSVJVRMNVNVJVRJJKMVJVQJJUTUHUKULUMUNUOVHVEAVBCVFVBNVGVDMVFVBBLUPUQUR
      T $.
  $}

  ${
    $d x y A $.  $d x y z $.
    $( Existence of reciprocal of nonzero real number.  Axiom 16 of 22 for real
       and complex numbers, derived from ZF set theory.  This
       construction-dependent theorem should not be referenced directly;
       instead, use ~ ax-rrecex .  (Contributed by NM, 15-May-1996.)
       (New usage is discouraged.) $)
    axrrecex $p |- ( ( A e. RR /\ A =/= 0 ) -> E. x e. RR ( A x. x ) = 1 ) $=
      ( vy vz cr wcel cc0 wne cv cmul co c1 wceq wrex c0r cop cnr bitri eqeq1d
      wa wi wex elreal df-rex neeq1 oveq1 rexbidv imbi12d df-0 eqeq2i necon3bii
      vex eqresr cmr recexsr ex opelreal anbi1i mulresr df-1 ovex bitrdi syl5bb
      c1r pm5.32da oveq2 rspcev syl6bir expd rexlimdv syld syl5bi gencl imp ) B
      EFZBGHZBAIZJKZLMZAENZCIZOPZGHZWBVQJKZLMZAENZUAVPVTUAWAQFZVOCWBBVOWBBMZCQN
      WGWHTCUBCBUCWHCQUDRWHWCVPWFVTWBBGUEWHWEVSAEWHWDVRLWBBVQJUFSUGUHWCWAOHZWGW
      FWBGWAOWBGMWBOOPZMWAOMGWJWBUIUJWAOCULUMRUKWGWIWADIZUNKZVDMZDQNZWFWGWIWNDW
      AUOUPWGWMWFDQWGWKQFZWMWFWGWOWMTZWKOPZEFZWBWQJKZLMZTZWFXAWOWTTWGWPWRWOWTWK
      UQURWGWOWTWMWGWOTZWTWLOPZLMZWMXBWSXCLWAWKUSSXDXCVDOPZMWMLXEXCUTUJWLVDWAWK
      UNVAUMRVBVEVCWEWTAWQEVQWQMWDWSLVQWQWBJVFSVGVHVIVJVKVLVMVN $.
  $}

  ${
    $d x y z w A $.
    $( A complex number can be expressed in terms of two reals.  Definition
       10-1.1(v) of [Gleason] p. 130.  Axiom 17 of 22 for real and complex
       numbers, derived from ZF set theory.  This construction-dependent
       theorem should not be referenced directly; instead, use ~ ax-cnre .
       (Contributed by NM, 13-May-1996.)  (New usage is discouraged.) $)
    axcnre $p |- ( A e. CC ->
                      E. x e. RR E. y e. RR A = ( x + ( _i x. y ) ) ) $=
      ( cv cop cmul co caddc wceq cr cnr wcel wa c0r cplr c1r cmr cm1r eqtrid
      0r vz vw ci wrex cc df-c eqeq1 2rexbidv wex opelreal anbi12i biimpri df-i
      oveq1i 1sr mulcnsr mpanl12 mpan2 mulcomsr oveq1d ax-mp oveq2i eqtri 0idsr
      00sr m1r eqtrdi 1idsr eqtrd opeq12d oveq2d adantl addcnsr mpanl2 addcomsr
      mpanr1 opeq12 syl2an 3eqtrrd eleq1 bi2anan9 oveq1 sylan9eq eqeq2d anbi12d
      opex oveq2 spc2ev syl2anc r2ex sylibr optocl ) UADZUBDZEZADZUCBDZFGZHGZIZ
      BJUDAJUDZCWSIZBJUDAJUDUAUBCKKUEUFWOCIWTXBABJJWOCWSUGUHWMKLZWNKLZMZWPJLZWQ
      JLZMZWTMZBUIAUIZXAXEWMNEZJLZWNNEZJLZMZWOXKUCXMFGZHGZIZXJXOXEXLXCXNXDWMUJW
      NUJUKULXEXQXKNWNEZHGZWMNOGZNWNOGZEZWOXDXQXTIXCXDXPXSXKHXDXPNPEZXMFGZXSUCY
      DXMFUMUNXDYENWNQGZRPNQGZQGZOGZPWNQGZNNQGZOGZEZXSXDNKLZYEYMIZTYNPKLZXDYNMY
      OTUONPWNNUPUQURXDYINYLWNXDYINYHOGZNXDYFNYHOXDYFWNNQGNNWNUSWNVESUTYQNNOGZN
      YHNNOYHRNQGZNYGNRQYPYGNIUOPVEVAVBRKLYSNIVFRVEVAVCVBYNYRNITNVDVAVCVGXDYLWN
      YKOGZWNXDYJWNYKOXDYJWNPQGWNPWNUSWNVHSUTXDYTWNNOGZWNYKNWNOYNYKNITNVEVAVBWN
      VDZSVIVJVISVKVLXCYNXDXTYCIZTXCYNYNXDMUUCTWMNNWNVMVNVPXCYAWMIYBWNIYCWOIXDW
      MVDXDYBUUAWNNWNVOUUBSYAYBWMWNVQVRVSXIXOXRMABXKXMWMNWFWNNWFWPXKIZWQXMIZMZX
      HXOWTXRUUDXFXLUUEXGXNWPXKJVTWQXMJVTWAUUFWSXQWOUUDUUEWSXKWRHGXQWPXKWRHWBUU
      EWRXPXKHWQXMUCFWGVKWCWDWEWHWIWTABJJWJWKWL $.
  $}

  ${
    $d x y A $.  $d y B $.
    $( Ordering on reals satisfies strict trichotomy.  Axiom 18 of 22 for real
       and complex numbers, derived from ZF set theory.  Note:  The more
       general version for extended reals is ~ axlttri .  This
       construction-dependent theorem should not be referenced directly;
       instead, use ~ ax-pre-lttri .  (Contributed by NM, 19-May-1996.)
       (Revised by Mario Carneiro, 16-Jun-2013.)
       (New usage is discouraged.) $)
    axpre-lttri $p |- ( ( A e. RR /\ B e. RR ) ->
                  ( A <RR B <-> -. ( A = B \/ B <RR A ) ) ) $=
      ( vx vy cv c0r cop cltrr wbr wceq wo wn wb cnr elreal breq1 breq2 orbi12d
      notbid cltr cr eqeq1 bibi12d eqeq2 wcel wor ltsosr sotric mpan ltresr vex
      wa eqresr orbi12i notbii 3bitr4g 2gencl ) CEZFGZDEZFGZHIZUSVAJZVAUSHIZKZL
      ZMAVAHIZAVAJZVAAHIZKZLZMABHIZABJZBAHIZKZLZMCDUSVAABNUACAODBOUSAJZVBVGVFVK
      USAVAHPVQVEVJVQVCVHVDVIUSAVAUBUSAVAHQRSUCVABJZVGVLVKVPVABAHQVRVJVOVRVHVMV
      IVNVABAUDVABAHPRSUCURNUEUTNUEULZURUTTIZURUTJZUTURTIZKZLZVBVFNTUFVSVTWDMUG
      NURUTTUHUIURUTUJVEWCVCWAVDWBURUTCUKUMUTURUJUNUOUPUQ $.
  $}

  ${
    $d x y z A $.  $d y z B $.  $d z C $.
    $( Ordering on reals is transitive.  Axiom 19 of 22 for real and complex
       numbers, derived from ZF set theory.  Note:  The more general version
       for extended reals is ~ axlttrn .  This construction-dependent theorem
       should not be referenced directly; instead, use ~ ax-pre-lttrn .
       (Contributed by NM, 19-May-1996.)  (Revised by Mario Carneiro,
       16-Jun-2013.)  (New usage is discouraged.) $)
    axpre-lttrn $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
               ( ( A <RR B /\ B <RR C ) -> A <RR C ) ) $=
      ( vx vy vz cv c0r cop cltrr wbr wa cnr elreal wceq breq1 breq2 wcel cltr
      wi anbi1d imbi12d anbi12d imbi1d anbi2d w3a ltresr ltsosr ltrelsr syl2anb
      cr sotri sylibr a1i 3gencl ) DGZHIZEGZHIZJKZUSFGZHIZJKZLZUQVBJKZTZAUSJKZV
      CLZAVBJKZTABJKZBVBJKZLZVITVJBCJKZLZACJKZTDEFUQUSVBAMUKBCDANEBNFCNUQAOZVDV
      HVEVIVPUTVGVCUQAUSJPUAUQAVBJPUBUSBOZVHVLVIVQVGVJVCVKUSBAJQUSBVBJPUCUDVBCO
      ZVLVNVIVOVRVKVMVJVBCBJQUEVBCAJQUBVFUPMRURMRVAMRUFVDUPVASKZVEUTUPURSKURVAS
      KVSVCUPURUGURVAUGUPURVASMUHUIULUJUPVAUGUMUNUO $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    $( Ordering property of addition on reals.  Axiom 20 of 22 for real and
       complex numbers, derived from ZF set theory.  Note:  The more general
       version for extended reals is ~ axltadd .  This construction-dependent
       theorem should not be referenced directly; instead, use ~ ax-pre-ltadd .
       (Contributed by NM, 11-May-1996.)  (New usage is discouraged.) $)
    axpre-ltadd $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                  ( A <RR B -> ( C + A ) <RR ( C + B ) ) ) $=
      ( vx vy vz cr wcel cltrr wbr caddc co cv c0r cop wb cnr elreal wceq wa
      w3a breq1 oveq2 breq1d bibi12d breq2 breq2d oveq1 breq12d cltr cplr ltasr
      bibi2d adantr ltresr addresr breqan12d anandis bitrdi ancoms 3impa 3gencl
      a1i 3bitr4d biimpd ) AGHBGHCGHUAABIJZCAKLZCBKLZIJZDMZNOZEMZNOZIJZFMZNOZVK
      KLZVPVMKLZIJZPZAVMIJZVPAKLZVRIJZPVFWBVPBKLZIJZPVFVIPDEFVKVMVPAQGBCDAREBRF
      CRVKASZVNWAVSWCVKAVMIUBWFVQWBVRIVKAVPKUCUDUEVMBSZWAVFWCWEVMBAIUFWGVRWDWBI
      VMBVPKUCUGUEVPCSZWEVIVFWHWBVGWDVHIVPCAKUHVPCBKUHUIUMVJQHZVLQHZVOQHZVTWKWI
      WJTZVTWKWLTZVJVLUJJZVOVJUKLZVOVLUKLZUJJZVNVSWKWNWQPWLVJVLVOULUNVNWNPWMVJV
      LUOVCWMVSWONOZWPNOZIJZWQWKWIWJVSWTPWKWITWKWJTVQWRVRWSIVOVJUPVOVLUPUQURWOW
      PUOUSVDUTVAVBVE $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The product of two positive reals is positive.  Axiom 21 of 22 for real
       and complex numbers, derived from ZF set theory.  Note:  The more
       general version for extended reals is ~ axmulgt0 .  This
       construction-dependent theorem should not be referenced directly;
       instead, use ~ ax-pre-mulgt0 .  (Contributed by NM, 13-May-1996.)
       (New usage is discouraged.) $)
    axpre-mulgt0 $p |- ( ( A e. RR /\ B e. RR ) ->
                  ( ( 0 <RR A /\ 0 <RR B ) -> 0 <RR ( A x. B ) ) ) $=
      ( vx vy cc0 cv c0r cop cltrr wbr wa cmul cnr elreal wceq cltr df-0 ltresr
      co wi cr breq2 anbi1d oveq1 breq2d imbi12d anbi2d oveq2 wcel breq1i bitri
      cmr mulgt0sr syl2anb a1i mulresr breq12d bitrdi syl5ibr 2gencl ) ECFZGHZI
      JZEDFZGHZIJZKZEVBVELSZIJZTEAIJZVFKZEAVELSZIJZTVJEBIJZKZEABLSZIJZTCDVBVEAB
      MUACANDBNVBAOZVGVKVIVMVRVCVJVFVBAEIUBUCVRVHVLEIVBAVELUDUEUFVEBOZVKVOVMVQV
      SVFVNVJVEBEIUBUGVSVLVPEIVEBALUHUEUFVGVIVAMUIVDMUIKZGVAVDULSZPJZVCGVAPJZGV
      DPJZWBVFVCGGHZVBIJWCEWEVBIQUJGVARUKVFWEVEIJWDEWEVEIQUJGVDRUKVAVDUMUNVTVIW
      EWAGHZIJWBVTEWEVHWFIEWEOVTQUOVAVDUPUQGWARURUSUT $.
  $}

  ${
    $d x y z w v u A $.
    $( A nonempty, bounded-above set of reals has a supremum.  Axiom 22 of 22
       for real and complex numbers, derived from ZF set theory.  Note:  The
       more general version with ordering on extended reals is ~ axsup .  This
       construction-dependent theorem should not be referenced directly;
       instead, use ~ ax-pre-sup .  (Contributed by NM, 19-May-1996.)  (Revised
       by Mario Carneiro, 16-Jun-2013.)  (New usage is discouraged.) $)
    axpre-sup $p |- ( ( A C_ RR /\ A =/= (/) /\ E. x e. RR
                    A. y e. A y <RR x ) -> E. x e. RR ( A. y e. A -. x <RR y /\
                    A. y e. RR ( y <RR x -> E. z e. A y <RR z ) ) ) $=
      ( vw vv vu cr cv cltrr wbr wral wrex wi wa cltr c1st cnr wcel cvv wss wne
      c0 wn cima cfv c0r cop elreal2 simplbi adantl wfn wb wfo wf fo1st fof ffn
      wceq mp2b fvelimab mp2an r19.29 ssel2 ltresr2 breq1 sylan9bb biimpd exp31
      ssv syl imp4b ancomsd an32s rexlimdva syl5 expd syl7bi impr ralrimiv expr
      adantlr brralrspcev syl6an n0 fnfvima mp3an12 ne0d exlimiv sylbi supsr ex
      breq2 notbid rspccv syl5com simprbi breq2d ltresr bitrdi sylibrd ad2antrr
      wex ralrimdva breq1d rexbidv imbi12d com3l sylbid adantr sylan2 com4r imp
      exbiri reximdvai syl5bi expcom rexlimdv ralrimdv opelreal biimpri ralbidv
      com23 syl6d imbi1d anbi12d rspcev syl2and 3syld 3impia ) DHUAZDUCUBZBIZAI
      ZJKZBDLZAHMZYNYMJKZUDZBDLZYOYMCIZJKZCDMZNZBHLZOZAHMZYKYLOZYQEIZFIZPKZEQDU
      EZLFRMZUUJUUIPKZUDZEUULLZUUKUUIGIZPKZGUULMZNZERLZOZFRMZUUGUUHYPUUMAHUUHYN
      HSZOYNQUFZRSZYPUUIUVEPKZEUULLZUUMUVDUVFUUHUVDUVFYNUVEUGUHUSYNUIUJUKUUHUVD
      YPUVHUUHUVDYPOZOUVGEUULYKUVIUUIUULSZUVGNZYLYKUVDYPUVKUVJYMQUFZUUIUSZBDMZY
      KUVDOZYPUVGQTULZDTUAZUVJUVNUMTTQUNTTQUOUVPUPTTQUQTTQURUTZDVJZBTDUUIQVAVBU
      VOYPUVNUVGYPUVNOYOUVMOZBDMUVOUVGYOUVMBDVCUVOUVTUVGBDYKYMDSZUVDUVTUVGNYKUW
      AOZUVDOUVMYOUVGUWBUVDUVMYOUVGUWBYMHSZUVDUVMYOUVGNZNNDHYMVDZUWCUVDUVMUWDUW
      CUVDOZUVMOYOUVGUWFYOUVLUVEPKUVMUVGYMYNVEUVLUUIUVEPVFVGVHVIVKVLVMVNVOVPVQV
      RVSWBVTWAFEUUIUVEPRUULWCWDVOYLUUMUVCNZYKYLUULUCUBZUWGYLUWABXCUWHBDWEUWAUW
      HBUWAUULUVLUVPUVQUWAUVLUULSZUVRUVSTDQYMWFWGZWHWIWJUWHUUMUVCFEGUULWKWLVKUK
      UUHUVBUUGFRUUHUUJRSZOZUUPUUJUGUHZYMJKZUDZBDLZUVAYMUWMJKZUUCNZBHLZUUGYKUUP
      UWPNYLUWKYKUUPUWOBDUWBUUPUUJUVLPKZUDZUWOUWAUUPUXANYKUWAUWIUUPUXAUWJUUOUXA
      EUVLUULUUIUVLUSZUUNUWTUUIUVLUUJPWMWNWOWPUKUWBUWNUWTUWBUWCUWNUWTUMUWEUWCUW
      NUWMUVLUGUHZJKUWTUWCYMUXCUWMJUWCUVLRSZYMUXCUSZYMUIZWQZWRUUJUVLWSWTVKWNXAX
      DXBUWLUVAUWRBHYKUVAUWCUWRNNYLUWKUWCYKUVAUWRUWCYKUVAUWRNUWCYKOZUWQUVAUUCUX
      HUWQUVAUVLUUQPKZGUULMZUUCUWCUWQUVAUXJNZNYKUWCUWQUVLUUJPKZUXKUWCUWQUXCUWMJ
      KUXLUWCYMUXCUWMJUXGXEUVLUUJWSWTUVAUWCUXLUXJUWCUXDUVAUXLUXJNZUWCUXDUXEUXFU
      JUUTUXMEUVLRUXBUUKUXLUUSUXJUUIUVLUUJPVFUXBUURUXIGUULUUIUVLUUQPVFXFXGWOVPX
      HXIXJUXHUXIUUCGUULUXHUXIUUQUULSZUUCUXIUXHUXNUUCNUXNUUAQUFZUUQUSZCDMZUXIUX
      HOZUUCUVPUVQUXNUXQUMUVRUVSCTDUUQQVAVBUXRUXPUUBCDUXIUXHUUADSZUXPUUBNNUXHUX
      SUXPUXIUUBUWCYKUXSUXPUXIUUBNNUWCYKUXSOZOZUXPUUBUXIUYAUUBUVLUXOPKZUXPUXIUX
      TUWCUUAHSUUBUYBUMDHUUAVDYMUUAVEXKUXOUUQUVLPWMVGXNWAXLXMXOXPXQYCXRYDYCWLXH
      XBXSUWLUWMHSZUWPUWSOZUUGNUWKUYCUUHUYCUWKUUJXTYAUKUYCUYDUUGUUFUYDAUWMHYNUW
      MUSZYTUWPUUEUWSUYEYSUWOBDUYEYRUWNYNUWMYMJVFWNYBUYEUUDUWRBHUYEYOUWQUUCYNUW
      MYMJWMYEYBYFYGWLVKYHVOYIYJ $.
  $}

  ${
    wuncn.1 $e |- ( ph -> U e. WUni ) $.
    wuncn.2 $e |- ( ph -> _om e. U ) $.
    $( A weak universe containing ` _om ` contains the complex number
       construction.  This theorem is construction-dependent in the literal
       sense, but will also be satisfied by any other reasonable implementation
       of the complex numbers.  (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    wuncn $p |- ( ph -> CC e. U ) $=
      ( vx cnr cxp cnp cer cpw cnq com eqeltrid wunxp wss ssriv a1i wunss wunpw
      cnpi cc df-c cqs df-nr c0 csn cdif df-ni wundif elpqn wcel prpssnq pssssd
      cv velpw sylibr wer enrer qsss ) AUAFFGBUBAFFBCAFHHGZIUCZBUDAUTJVABCAUTBC
      AHHBCAKJZHBCAKBCATTGZKBCATTBCATLUEUFZUGBUHALVDBCDUIMZVENKVCOAEKVCEUNZUJPQ
      RSHVBOAEHVBVFHUKZVFKOVFVBUKVGVFKVFULUMEKUOUPPQRZVHNSAUTIUTIUQAURQUSRMZVIN
      M $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Real and complex number postulates restated as axioms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The complex numbers form a set.  This axiom is redundant - see ~ cnexALT -
     but we provide this axiom because the justification theorem ~ axcnex does
     not use ~ ax-rep even though the redundancy proof does.  Proofs should
     normally use ~ cnex instead.  (New usage is discouraged.)  (Contributed by
     NM, 1-Mar-1995.) $)
  ax-cnex $a |- CC e. _V $.
  $( $j restatement 'ax-cnex' of 'axcnex'; $)

  $( The real numbers are a subset of the complex numbers.  Axiom 1 of 22 for
     real and complex numbers, justified by Theorem ~ axresscn .  (Contributed
     by NM, 1-Mar-1995.) $)
  ax-resscn $a |- RR C_ CC $.
  $( $j restatement 'ax-resscn' of 'axresscn'; $)

  $( 1 is a complex number.  Axiom 2 of 22 for real and complex numbers,
     justified by Theorem ~ ax1cn .  (Contributed by NM, 1-Mar-1995.) $)
  ax-1cn $a |- 1 e. CC $.
  $( $j restatement 'ax-1cn' of 'ax1cn'; $)

  $( ` _i ` is a complex number.  Axiom 3 of 22 for real and complex numbers,
     justified by Theorem ~ axicn .  (Contributed by NM, 1-Mar-1995.) $)
  ax-icn $a |- _i e. CC $.
  $( $j restatement 'ax-icn' of 'axicn'; $)

  $( Closure law for addition of complex numbers.  Axiom 4 of 22 for real and
     complex numbers, justified by Theorem ~ axaddcl .  Proofs should normally
     use ~ addcl instead, which asserts the same thing but follows our naming
     conventions for closures.  (New usage is discouraged.)  (Contributed by
     NM, 22-Nov-1994.) $)
  ax-addcl $a |- ( ( A e. CC /\ B e. CC ) -> ( A + B ) e. CC ) $.
  $( $j restatement 'ax-addcl' of 'axaddcl'; $)

  $( Closure law for addition in the real subfield of complex numbers.  Axiom 6
     of 23 for real and complex numbers, justified by Theorem ~ axaddrcl .
     Proofs should normally use ~ readdcl instead.  (New usage is discouraged.)
     (Contributed by NM, 22-Nov-1994.) $)
  ax-addrcl $a |- ( ( A e. RR /\ B e. RR ) -> ( A + B ) e. RR ) $.
  $( $j restatement 'ax-addrcl' of 'axaddrcl'; $)

  $( Closure law for multiplication of complex numbers.  Axiom 6 of 22 for real
     and complex numbers, justified by Theorem ~ axmulcl .  Proofs should
     normally use ~ mulcl instead.  (New usage is discouraged.)  (Contributed
     by NM, 22-Nov-1994.) $)
  ax-mulcl $a |- ( ( A e. CC /\ B e. CC ) -> ( A x. B ) e. CC ) $.
  $( $j restatement 'ax-mulcl' of 'axmulcl'; $)

  $( Closure law for multiplication in the real subfield of complex numbers.
     Axiom 7 of 22 for real and complex numbers, justified by Theorem
     ~ axmulrcl .  Proofs should normally use ~ remulcl instead.
     (New usage is discouraged.)  (Contributed by NM, 22-Nov-1994.) $)
  ax-mulrcl $a |- ( ( A e. RR /\ B e. RR ) -> ( A x. B ) e. RR ) $.
  $( $j restatement 'ax-mulrcl' of 'axmulrcl'; $)

  $( Multiplication of complex numbers is commutative.  Axiom 8 of 22 for real
     and complex numbers, justified by Theorem ~ axmulcom .  Proofs should
     normally use ~ mulcom instead.  (New usage is discouraged.)  (Contributed
     by NM, 22-Nov-1994.) $)
  ax-mulcom $a |- ( ( A e. CC /\ B e. CC ) -> ( A x. B ) = ( B x. A ) ) $.
  $( $j restatement 'ax-mulcom' of 'axmulcom'; $)

  $( Addition of complex numbers is associative.  Axiom 9 of 22 for real and
     complex numbers, justified by Theorem ~ axaddass .  Proofs should normally
     use ~ addass instead.  (New usage is discouraged.)  (Contributed by NM,
     22-Nov-1994.) $)
  ax-addass $a |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( ( A + B ) + C ) = ( A + ( B + C ) ) ) $.
  $( $j restatement 'ax-addass' of 'axaddass'; $)

  $( Multiplication of complex numbers is associative.  Axiom 10 of 22 for real
     and complex numbers, justified by Theorem ~ axmulass .  Proofs should
     normally use ~ mulass instead.  (New usage is discouraged.)  (Contributed
     by NM, 22-Nov-1994.) $)
  ax-mulass $a |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( ( A x. B ) x. C ) = ( A x. ( B x. C ) ) ) $.
  $( $j restatement 'ax-mulass' of 'axmulass'; $)

  $( Distributive law for complex numbers (left-distributivity).  Axiom 11 of
     22 for real and complex numbers, justified by Theorem ~ axdistr .  Proofs
     should normally use ~ adddi instead.  (New usage is discouraged.)
     (Contributed by NM, 22-Nov-1994.) $)
  ax-distr $a |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
              ( A x. ( B + C ) ) = ( ( A x. B ) + ( A x. C ) ) ) $.
  $( $j restatement 'ax-distr' of 'axdistr'; $)

  $( i-squared equals -1 (expressed as i-squared plus 1 is 0).  Axiom 12 of 22
     for real and complex numbers, justified by Theorem ~ axi2m1 .
     (Contributed by NM, 29-Jan-1995.) $)
  ax-i2m1 $a |- ( ( _i x. _i ) + 1 ) = 0 $.
  $( $j restatement 'ax-i2m1' of 'axi2m1'; $)

  $( 1 and 0 are distinct.  Axiom 13 of 22 for real and complex numbers,
     justified by Theorem ~ ax1ne0 .  (Contributed by NM, 29-Jan-1995.) $)
  ax-1ne0 $a |- 1 =/= 0 $.
  $( $j restatement 'ax-1ne0' of 'ax1ne0'; $)

  $( ` 1 ` is an identity element for real multiplication.  Axiom 14 of 22 for
     real and complex numbers, justified by Theorem ~ ax1rid .  Weakened from
     the original axiom in the form of statement in ~ mulid1 , based on ideas
     by Eric Schmidt.  (Contributed by NM, 29-Jan-1995.) $)
  ax-1rid $a |- ( A e. RR -> ( A x. 1 ) = A ) $.
  $( $j restatement 'ax-1rid' of 'ax1rid'; $)

  ${
    $d x A $.
    $( Existence of negative of real number.  Axiom 15 of 22 for real and
       complex numbers, justified by Theorem ~ axrnegex .  (Contributed by Eric
       Schmidt, 21-May-2007.) $)
    ax-rnegex $a |- ( A e. RR -> E. x e. RR ( A + x ) = 0 ) $.
    $( $j restatement 'ax-rnegex' of 'axrnegex'; $)

    $( Existence of reciprocal of nonzero real number.  Axiom 16 of 22 for real
       and complex numbers, justified by Theorem ~ axrrecex .  (Contributed by
       Eric Schmidt, 11-Apr-2007.) $)
    ax-rrecex $a |- ( ( A e. RR /\ A =/= 0 ) -> E. x e. RR ( A x. x ) = 1 ) $.
    $( $j restatement 'ax-rrecex' of 'axrrecex'; $)
  $}

  ${
    $d x y A $.
    $( A complex number can be expressed in terms of two reals.  Definition
       10-1.1(v) of [Gleason] p. 130.  Axiom 17 of 22 for real and complex
       numbers, justified by Theorem ~ axcnre .  For naming consistency, use
       ~ cnre for new proofs.  (New usage is discouraged.)  (Contributed by NM,
       9-May-1999.) $)
    ax-cnre $a |- ( A e. CC ->
                      E. x e. RR E. y e. RR A = ( x + ( _i x. y ) ) ) $.
    $( $j restatement 'ax-cnre' of 'axcnre'; $)
  $}

  $( Ordering on reals satisfies strict trichotomy.  Axiom 18 of 22 for real
     and complex numbers, justified by Theorem ~ axpre-lttri .  Note:  The more
     general version for extended reals is ~ axlttri .  Normally new proofs
     would use ~ xrlttri .  (New usage is discouraged.)  (Contributed by NM,
     13-Oct-2005.) $)
  ax-pre-lttri $a |- ( ( A e. RR /\ B e. RR ) ->
                ( A <RR B <-> -. ( A = B \/ B <RR A ) ) ) $.
  $( $j restatement 'ax-pre-lttri' of 'axpre-lttri'; $)

  $( Ordering on reals is transitive.  Axiom 19 of 22 for real and complex
     numbers, justified by Theorem ~ axpre-lttrn .  Note:  The more general
     version for extended reals is ~ axlttrn .  Normally new proofs would use
     ~ lttr .  (New usage is discouraged.)  (Contributed by NM,
     13-Oct-2005.) $)
  ax-pre-lttrn $a |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
             ( ( A <RR B /\ B <RR C ) -> A <RR C ) ) $.
  $( $j restatement 'ax-pre-lttrn' of 'axpre-lttrn'; $)

  $( Ordering property of addition on reals.  Axiom 20 of 22 for real and
     complex numbers, justified by Theorem ~ axpre-ltadd .  Normally new proofs
     would use ~ axltadd .  (New usage is discouraged.)  (Contributed by NM,
     13-Oct-2005.) $)
  ax-pre-ltadd $a |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A <RR B -> ( C + A ) <RR ( C + B ) ) ) $.
  $( $j restatement 'ax-pre-ltadd' of 'axpre-ltadd'; $)

  $( The product of two positive reals is positive.  Axiom 21 of 22 for real
     and complex numbers, justified by Theorem ~ axpre-mulgt0 .  Normally new
     proofs would use ~ axmulgt0 .  (New usage is discouraged.)  (Contributed
     by NM, 13-Oct-2005.) $)
  ax-pre-mulgt0 $a |- ( ( A e. RR /\ B e. RR ) ->
                ( ( 0 <RR A /\ 0 <RR B ) -> 0 <RR ( A x. B ) ) ) $.
  $( $j restatement 'ax-pre-mulgt0' of 'axpre-mulgt0'; $)

  ${
    $d x y z A $.
    $( A nonempty, bounded-above set of reals has a supremum.  Axiom 22 of 22
       for real and complex numbers, justified by Theorem ~ axpre-sup .  Note:
       Normally new proofs would use ~ axsup .  (New usage is discouraged.)
       (Contributed by NM, 13-Oct-2005.) $)
    ax-pre-sup $a |- ( ( A C_ RR /\ A =/= (/) /\ E. x e. RR
                    A. y e. A y <RR x ) -> E. x e. RR ( A. y e. A -. x <RR y /\
                    A. y e. RR ( y <RR x -> E. z e. A y <RR z ) ) ) $.
    $( $j restatement 'ax-pre-sup' of 'axpre-sup'; $)
  $}

  $( Addition is an operation on the complex numbers.  This deprecated axiom is
     provided for historical compatibility but is not a bona fide axiom for
     complex numbers (independent of set theory) since it cannot be interpreted
     as a first-order or second-order statement (see
     ~ https://us.metamath.org/downloads/schmidt-cnaxioms.pdf ).  It may be
     deleted in the future and should be avoided for new theorems.  Instead,
     the less specific ~ addcl should be used.  Note that uses of ~ ax-addf can
     be eliminated by using the defined operation
     ` ( x e. CC , y e. CC |-> ( x + y ) ) ` in place of ` + ` , from which
     this axiom (with the defined operation in place of ` + ` ) follows as a
     theorem.

     This axiom is justified by Theorem ~ axaddf .  (New usage is discouraged.)
     (Contributed by NM, 19-Oct-2004.) $)
  ax-addf $a |- + : ( CC X. CC ) --> CC $.
  $( $j restatement 'ax-addf' of 'axaddf'; $)

  $( Multiplication is an operation on the complex numbers.  This deprecated
     axiom is provided for historical compatibility but is not a bona fide
     axiom for complex numbers (independent of set theory) since it cannot be
     interpreted as a first-order or second-order statement (see
     ~ https://us.metamath.org/downloads/schmidt-cnaxioms.pdf ).  It may be
     deleted in the future and should be avoided for new theorems.  Instead,
     the less specific ~ ax-mulcl should be used.  Note that uses of ~ ax-mulf
     can be eliminated by using the defined operation
     ` ( x e. CC , y e. CC |-> ( x x. y ) ) ` in place of ` x. ` , from which
     this axiom (with the defined operation in place of ` x. ` ) follows as a
     theorem.

     This axiom is justified by Theorem ~ axmulf .  (New usage is discouraged.)
     (Contributed by NM, 19-Oct-2004.) $)
  ax-mulf $a |- x. : ( CC X. CC ) --> CC $.
  $( $j restatement 'ax-mulf' of 'axmulf'; $)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Derive the basic properties from the field axioms
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Some deductions from the field axioms for complex numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Alias for ~ ax-cnex .  See also ~ cnexALT .  (Contributed by Mario
     Carneiro, 17-Nov-2014.) $)
  cnex $p |- CC e. _V $=
    ( ax-cnex ) A $.

  $( Alias for ~ ax-addcl , for naming consistency with ~ addcli .  Use this
     theorem instead of ~ ax-addcl or ~ axaddcl .  (Contributed by NM,
     10-Mar-2008.) $)
  addcl $p |- ( ( A e. CC /\ B e. CC ) -> ( A + B ) e. CC ) $=
    ( ax-addcl ) ABC $.

  $( Alias for ~ ax-addrcl , for naming consistency with ~ readdcli .
     (Contributed by NM, 10-Mar-2008.) $)
  readdcl $p |- ( ( A e. RR /\ B e. RR ) -> ( A + B ) e. RR ) $=
    ( ax-addrcl ) ABC $.

  $( Alias for ~ ax-mulcl , for naming consistency with ~ mulcli .
     (Contributed by NM, 10-Mar-2008.) $)
  mulcl $p |- ( ( A e. CC /\ B e. CC ) -> ( A x. B ) e. CC ) $=
    ( ax-mulcl ) ABC $.

  $( Alias for ~ ax-mulrcl , for naming consistency with ~ remulcli .
     (Contributed by NM, 10-Mar-2008.) $)
  remulcl $p |- ( ( A e. RR /\ B e. RR ) -> ( A x. B ) e. RR ) $=
    ( ax-mulrcl ) ABC $.

  $( Alias for ~ ax-mulcom , for naming consistency with ~ mulcomi .
     (Contributed by NM, 10-Mar-2008.) $)
  mulcom $p |- ( ( A e. CC /\ B e. CC ) -> ( A x. B ) = ( B x. A ) ) $=
    ( ax-mulcom ) ABC $.

  $( Alias for ~ ax-addass , for naming consistency with ~ addassi .
     (Contributed by NM, 10-Mar-2008.) $)
  addass $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                 ( ( A + B ) + C ) = ( A + ( B + C ) ) ) $=
    ( ax-addass ) ABCD $.

  $( Alias for ~ ax-mulass , for naming consistency with ~ mulassi .
     (Contributed by NM, 10-Mar-2008.) $)
  mulass $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                 ( ( A x. B ) x. C ) = ( A x. ( B x. C ) ) ) $=
    ( ax-mulass ) ABCD $.

  $( Alias for ~ ax-distr , for naming consistency with ~ adddii .
     (Contributed by NM, 10-Mar-2008.) $)
  adddi $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( A x. ( B + C ) ) = ( ( A x. B ) + ( A x. C ) ) ) $=
    ( ax-distr ) ABCD $.

  $( A real number is a complex number.  (Contributed by NM, 10-Aug-1999.) $)
  recn $p |- ( A e. RR -> A e. CC ) $=
    ( cr cc ax-resscn sseli ) BCADE $.

  $( The real numbers form a set.  See also ~ reexALT .  (Contributed by Mario
     Carneiro, 17-Nov-2014.) $)
  reex $p |- RR e. _V $=
    ( cr cc cnex ax-resscn ssexi ) ABCDE $.

  $( Reals are a subset of the pair of real and complex numbers.  (Contributed
     by David A. Wheeler, 8-Dec-2018.) $)
  reelprrecn $p |- RR e. { RR , CC } $=
    ( cr cc reex prid1 ) ABCD $.

  $( Complex numbers are a subset of the pair of real and complex numbers .
     (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  cnelprrecn $p |- CC e. { RR , CC } $=
    ( cr cc cnex prid2 ) ABCD $.

  $( Hypothesis for weak deduction theorem to eliminate ` A =/= 0 ` .
     (Contributed by NM, 15-May-1999.) $)
  elimne0 $p |- if ( A =/= 0 , A , 1 ) =/= 0 $=
    ( cc0 wne c1 cif neeq1 ax-1ne0 elimhyp ) ABCZIADEZBCDBCADAJBFDJBFGH $.

  $( Distributive law for complex numbers (right-distributivity).  (Contributed
     by NM, 10-Oct-2004.) $)
  adddir $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
              ( ( A + B ) x. C ) = ( ( A x. C ) + ( B x. C ) ) ) $=
    ( cc wcel w3a caddc co cmul adddi 3coml addcl mulcom stoic3 3adant2 3adant1
    wceq oveq12d 3eqtr4d ) ADEZBDEZCDEZFZCABGHZIHZCAIHZCBIHZGHZUDCIHZACIHZBCIHZ
    GHUBTUAUEUHQCABJKTUAUDDEUBUIUEQABLUDCMNUCUJUFUKUGGTUBUJUFQUAACMOUAUBUKUGQTB
    CMPRS $.

  $( Zero is a complex number.  See also ~ 0cnALT .  (Contributed by NM,
     19-Feb-2005.) $)
  0cn $p |- 0 e. CC $=
    ( ci cmul co c1 caddc cc0 cc ax-i2m1 wcel ax-icn mulcl mp2an addcl eqeltrri
    ax-1cn ) AABCZDECZFGHPGIZDGIQGIAGIZSRJJAAKLOPDMLN $.

  $( Zero is a complex number, deduction form.  (Contributed by David A.
     Wheeler, 8-Dec-2018.) $)
  0cnd $p |- ( ph -> 0 e. CC ) $=
    ( cc0 cc wcel 0cn a1i ) BCDAEF $.

  $( Zero is a set.  (Contributed by David A. Wheeler, 7-Jul-2016.) $)
  c0ex $p |- 0 e. _V $=
    ( cc0 cc 0cn elexi ) ABCD $.

  $( One is a complex number, deduction form.  (Contributed by David A.
     Wheeler, 6-Dec-2018.) $)
  1cnd $p |- ( ph -> 1 e. CC ) $=
    ( c1 cc wcel ax-1cn a1i ) BCDAEF $.

  $( One is a set.  (Contributed by David A. Wheeler, 7-Jul-2016.) $)
  1ex $p |- 1 e. _V $=
    ( c1 cc ax-1cn elexi ) ABCD $.

  ${
    $d A x y $.
    $( Alias for ~ ax-cnre , for naming consistency.  (Contributed by NM,
       3-Jan-2013.) $)
    cnre $p |- ( A e. CC -> E. x e. RR E. y e. RR A = ( x + ( _i x. y ) ) ) $=
      ( ax-cnre ) ABCD $.
  $}

  ${
    $d A x y $.
    $( The number 1 is an identity element for multiplication.  Based on ideas
       by Eric Schmidt.  (Contributed by Scott Fenton, 3-Jan-2013.) $)
    mulid1 $p |- ( A e. CC -> ( A x. 1 ) = A ) $=
      ( vx vy cc wcel cv ci cmul co caddc wceq cr wrex c1 ax-icn ax-1cn ax-1rid
      recn syl eqtrd cnre wa sylancr adddir mp3an3 syl2an mulass mp3an13 oveq2d
      mulcl oveqan12d oveq1 id eqeq12d syl5ibrcom rexlimivv ) ADEABFZGCFZHIZJIZ
      KZCLMBLMANHIZAKZBCAUAVAVCBCLLUQLEZURLEZUBZVCVAUTNHIZUTKVFVGUQNHIZUSNHIZJI
      ZUTVDUQDEZUSDEZVGVJKZVEUQRVEGDEZURDEZVLOURRZGURUJUCVKVLNDEZVMPUQUSNUDUEUF
      VDVEVHUQVIUSJUQQVEVIGURNHIZHIZUSVEVOVIVSKZVPVNVOVQVTOPGURNUGUHSVEVRURGHUR
      QUITUKTVAVBVGAUTAUTNHULVAUMUNUOUPS $.
  $}

  $( Identity law for multiplication.  See ~ mulid1 for commuted version.
     (Contributed by NM, 8-Oct-1999.) $)
  mulid2 $p |- ( A e. CC -> ( 1 x. A ) = A ) $=
    ( cc wcel c1 cmul co wceq ax-1cn mulcom mpan mulid1 eqtrd ) ABCZDAEFZADEFZA
    DBCMNOGHDAIJAKL $.

  ${
    $d a b c d x y z $.
    $( The number 1 is real.  This used to be one of our postulates for complex
       numbers, but Eric Schmidt discovered that it could be derived from a
       weaker postulate, ~ ax-1cn , by exploiting properties of the imaginary
       unit ` _i ` .  (Contributed by Eric Schmidt, 11-Apr-2007.)  (Revised by
       Scott Fenton, 3-Jan-2013.) $)
    1re $p |- 1 e. RR $=
      ( vx vy vz va vb vc vd cv wne cr wrex cc0 c1 wcel cmul co wceq neeq1 wa
      wi ci caddc ax-1ne0 cc ax-1cn ax-mp biimpcd 0cn neeq2 reximdv syl6mpi mpi
      cnre wo wn ioran df-ne con2bii anbi12i bitr4i id oveq2 oveqan12d necon1ai
      sylbi rspc2ev ad2ant2r ad2ant2l jaod syl5 rexlimdvva rexlimivv mp2b eqtr3
      3expia ex necon3d rspcev expcom syl6 com23 adantld adantrd a1dd pm2.61ine
      ax-rrecex remulcl adantlr eleq1 syl5ibcom rexlimdva mpd rexlimiva ) AHZBH
      ZIZBJKAJKZCHZLIZCJKZMJNZMLIZDHZUAEHZOPZUBPZFHZUAGHZOPZUBPZIZGJKZFJKZEJKZD
      JKZWQUCXBMXFQZEJKZDJKZXOMUDNXRUEDEMUMUFXBXQXNDJXBXPXMEJXBXPXFLIZLXJQZGJKZ
      FJKZXMXPXBXSMXFLRUGLUDNYBUHFGLUMUFXSYAXLFJXSXTXKGJXTXSXKLXJXFUIUGUJUJUKUJ
      UJULXMWQDEJJXCJNZXDJNZSZXKWQFGJJXKXCXGIZXDXHIZUNZYEXGJNZXHJNZSSZWQYHXFXJY
      HUOZXCXGQZXDXHQZSZXFXJQYLYFUOZYGUOZSYOYFYGUPYMYPYNYQYFYMXCXGUQURYGYNXDXHU
      QURUSUTYMYNXCXGXEXIUBYMVAXDXHUAOVBVCVEVDYKYFWQYGYCYIYFWQTYDYJYCYIYFWQWPYF
      XCWOIABXCXGJJWNXCWORWOXGXCUIVFVOVGYDYJYGWQTYCYIYDYJYGWQWPYGXDWOIABXDXHJJW
      NXDWORWOXHXDUIVFVOVHVIVJVKVLVMWPWTABJJWNJNZWOJNZSZWPWTTZTWNLWNLQZYSUUAYRU
      UBWPYSWTUUBWPWOLIZYSWTTUUBWOLWNWOUUBWOLQWNWOQWNWOLVNVPVQYSUUCWTWSUUCCWOJW
      RWOLRVRVSVTWAWBWNLIZYTWTWPUUDYRWTYSYRUUDWTWSUUDCWNJWRWNLRVRVSWCWDWEVLWSXA
      CJWRJNZWSSZWRWNOPZMQZAJKXAAWRWFUUFUUHXAAJUUFYRSUUGJNZUUHXAUUEYRUUIWSWRWNW
      GWHUUGMJWIWJWKWLWMVM $.
  $}

  $( The number 1 is real, deduction form.  (Contributed by David A. Wheeler,
     6-Dec-2018.) $)
  1red $p |- ( ph -> 1 e. RR ) $=
    ( c1 cr wcel 1re a1i ) BCDAEF $.

  ${
    $d x y $.  $d x z $.
    $( The number 0 is real.  Remark: the first step could also be ~ ax-icn .
       See also ~ 0reALT .  (Contributed by Eric Schmidt, 21-May-2007.)
       (Revised by Scott Fenton, 3-Jan-2013.)  Reduce dependencies on axioms.
       (Revised by Steven Nguyen, 11-Oct-2022.) $)
    0re $p |- 0 e. RR $=
      ( vx vy vz c1 cc wcel cv ci cmul co caddc wceq cr wrex cc0 cnre ax-rnegex
      ax-1cn wa readdcl eleq1 syl5ibcom rexlimdva mpd adantr rexlimiva mp2b ) D
      EFDAGZHBGIJKJLBMNZAMNOMFZRABDPUIUJAMUHMFZUJUIUKUHCGZKJZOLZCMNUJCUHQUKUNUJ
      CMUKULMFSUMMFUNUJUHULTUMOMUAUBUCUDUEUFUG $.
  $}

  $( The number 0 is real, deduction form.  (Contributed by David A. Wheeler,
     6-Dec-2018.) $)
  0red $p |- ( ph -> 0 e. RR ) $=
    ( cc0 cr wcel 0re a1i ) BCDAEF $.

  ${
    axi.1 $e |- A e. CC $.
    $( Identity law for multiplication.  (Contributed by NM, 14-Feb-1995.) $)
    mulid1i $p |- ( A x. 1 ) = A $=
      ( cc wcel c1 cmul co wceq mulid1 ax-mp ) ACDAEFGAHBAIJ $.

    $( Identity law for multiplication.  (Contributed by NM, 14-Feb-1995.) $)
    mulid2i $p |- ( 1 x. A ) = A $=
      ( cc wcel c1 cmul co wceq mulid2 ax-mp ) ACDEAFGAHBAIJ $.

    axi.2 $e |- B e. CC $.
    $( Closure law for addition.  (Contributed by NM, 23-Nov-1994.) $)
    addcli $p |- ( A + B ) e. CC $=
      ( cc wcel caddc co addcl mp2an ) AEFBEFABGHEFCDABIJ $.

    $( Closure law for multiplication.  (Contributed by NM, 23-Nov-1994.) $)
    mulcli $p |- ( A x. B ) e. CC $=
      ( cc wcel cmul co mulcl mp2an ) AEFBEFABGHEFCDABIJ $.

    $( Commutative law for multiplication.  (Contributed by NM,
       23-Nov-1994.) $)
    mulcomi $p |- ( A x. B ) = ( B x. A ) $=
      ( cc wcel cmul co wceq mulcom mp2an ) AEFBEFABGHBAGHICDABJK $.

    ${
      mulcomli.3 $e |- ( A x. B ) = C $.
      $( Commutative law for multiplication.  (Contributed by NM,
         23-Nov-1994.) $)
      mulcomli $p |- ( B x. A ) = C $=
        ( cmul co mulcomi eqtri ) BAGHABGHCBAEDIFJ $.
    $}

    axi.3 $e |- C e. CC $.
    $( Associative law for addition.  (Contributed by NM, 23-Nov-1994.) $)
    addassi $p |- ( ( A + B ) + C ) = ( A + ( B + C ) ) $=
      ( cc wcel caddc co wceq addass mp3an ) AGHBGHCGHABIJCIJABCIJIJKDEFABCLM
      $.

    $( Associative law for multiplication.  (Contributed by NM,
       23-Nov-1994.) $)
    mulassi $p |- ( ( A x. B ) x. C ) = ( A x. ( B x. C ) ) $=
      ( cc wcel cmul co wceq mulass mp3an ) AGHBGHCGHABIJCIJABCIJIJKDEFABCLM $.

    $( Distributive law (left-distributivity).  (Contributed by NM,
       23-Nov-1994.) $)
    adddii $p |- ( A x. ( B + C ) ) = ( ( A x. B ) + ( A x. C ) ) $=
      ( cc wcel caddc co cmul wceq adddi mp3an ) AGHBGHCGHABCIJKJABKJACKJIJLDEF
      ABCMN $.

    $( Distributive law (right-distributivity).  (Contributed by NM,
       16-Feb-1995.) $)
    adddiri $p |- ( ( A + B ) x. C ) = ( ( A x. C ) + ( B x. C ) ) $=
      ( cc wcel caddc co cmul wceq adddir mp3an ) AGHBGHCGHABIJCKJACKJBCKJIJLDE
      FABCMN $.
  $}

  ${
    recni.1 $e |- A e. RR $.
    $( A real number is a complex number.  (Contributed by NM, 1-Mar-1995.) $)
    recni $p |- A e. CC $=
      ( cr cc ax-resscn sselii ) CDAEBF $.

    axri.2 $e |- B e. RR $.
    $( Closure law for addition of reals.  (Contributed by NM, 17-Jan-1997.) $)
    readdcli $p |- ( A + B ) e. RR $=
      ( cr wcel caddc co readdcl mp2an ) AEFBEFABGHEFCDABIJ $.

    $( Closure law for multiplication of reals.  (Contributed by NM,
       17-Jan-1997.) $)
    remulcli $p |- ( A x. B ) e. RR $=
      ( cr wcel cmul co remulcl mp2an ) AEFBEFABGHEFCDABIJ $.
  $}

  ${
    addcld.1 $e |- ( ph -> A e. CC ) $.
    $( Identity law for multiplication.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    mulid1d $p |- ( ph -> ( A x. 1 ) = A ) $=
      ( cc wcel c1 cmul co wceq mulid1 syl ) ABDEBFGHBICBJK $.

    $( Identity law for multiplication.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    mulid2d $p |- ( ph -> ( 1 x. A ) = A ) $=
      ( cc wcel c1 cmul co wceq mulid2 syl ) ABDEFBGHBICBJK $.

    addcld.2 $e |- ( ph -> B e. CC ) $.
    $( Closure law for addition.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    addcld $p |- ( ph -> ( A + B ) e. CC ) $=
      ( cc wcel caddc co addcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.

    $( Closure law for multiplication.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    mulcld $p |- ( ph -> ( A x. B ) e. CC ) $=
      ( cc wcel cmul co mulcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.

    $( Commutative law for multiplication.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    mulcomd $p |- ( ph -> ( A x. B ) = ( B x. A ) ) $=
      ( cc wcel cmul co wceq mulcom syl2anc ) ABFGCFGBCHICBHIJDEBCKL $.

    addassd.3 $e |- ( ph -> C e. CC ) $.
    $( Associative law for addition.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    addassd $p |- ( ph -> ( ( A + B ) + C ) = ( A + ( B + C ) ) ) $=
      ( cc wcel caddc co wceq addass syl3anc ) ABHICHIDHIBCJKDJKBCDJKJKLEFGBCDM
      N $.

    $( Associative law for multiplication.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    mulassd $p |- ( ph -> ( ( A x. B ) x. C ) = ( A x. ( B x. C ) ) ) $=
      ( cc wcel cmul co wceq mulass syl3anc ) ABHICHIDHIBCJKDJKBCDJKJKLEFGBCDMN
      $.

    $( Distributive law (left-distributivity).  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    adddid $p |- ( ph -> ( A x. ( B + C ) ) = ( ( A x. B ) + ( A x. C ) ) ) $=
      ( cc wcel caddc co cmul wceq adddi syl3anc ) ABHICHIDHIBCDJKLKBCLKBDLKJKM
      EFGBCDNO $.

    $( Distributive law (right-distributivity).  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    adddird $p |- ( ph -> ( ( A + B ) x. C ) = ( ( A x. C ) + ( B x. C ) ) ) $=
      ( cc wcel caddc co cmul wceq adddir syl3anc ) ABHICHIDHIBCJKDLKBDLKCDLKJK
      MEFGBCDNO $.
  $}

  ${
    adddirp1d.a $e |- ( ph -> A e. CC ) $.
    adddirp1d.b $e |- ( ph -> B e. CC ) $.
    $( Distributive law, plus 1 version.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    adddirp1d $p |- ( ph -> ( ( A + 1 ) x. B ) = ( ( A x. B ) + B ) ) $=
      ( c1 caddc co cmul 1cnd adddird mulid2d oveq2d eqtrd ) ABFGHCIHBCIHZFCIHZ
      GHOCGHABFCDAJEKAPCOGACELMN $.
  $}

  ${
    joinlmuladdmuld.1 $e |- ( ph -> A e. CC ) $.
    joinlmuladdmuld.2 $e |- ( ph -> B e. CC ) $.
    joinlmuladdmuld.3 $e |- ( ph -> C e. CC ) $.
    joinlmuladdmuld.4 $e |- ( ph -> ( ( A x. B ) + ( C x. B ) ) = D ) $.
    $( Join AB+CB into (A+C) on LHS. (Contributed by David A. Wheeler,
       26-Oct-2019.) $)
    joinlmuladdmuld $p |- ( ph -> ( ( A + C ) x. B ) = D ) $=
      ( caddc co cmul adddird eqtrd ) ABDJKCLKBCLKDCLKJKEABDCFHGMIN $.
  $}

  ${
    recnd.1 $e |- ( ph -> A e. RR ) $.
    $( Deduction from real number to complex number.  (Contributed by NM,
       26-Oct-1999.) $)
    recnd $p |- ( ph -> A e. CC ) $=
      ( cr wcel cc recn syl ) ABDEBFECBGH $.

    readdcld.2 $e |- ( ph -> B e. RR ) $.
    $( Closure law for addition of reals.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    readdcld $p |- ( ph -> ( A + B ) e. RR ) $=
      ( cr wcel caddc co readdcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.

    $( Closure law for multiplication of reals.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    remulcld $p |- ( ph -> ( A x. B ) e. RR ) $=
      ( cr wcel cmul co remulcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Infinity and the extended real number system
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c <_ $. $( 'Less than or equal to' relation. $)
  $c +oo $. $( Plus infinity $)
  $c -oo $. $( Minus infinity $)
  $c RR* $. $( The set of extended reals $)
  $c < $. $( 'Less than' relation (over extended reals) $)

  $( Plus infinity. $)
  cpnf $a class +oo $.
  $( Minus infinity. $)
  cmnf $a class -oo $.
  $( The set of extended reals (includes plus and minus infinity). $)
  cxr $a class RR* $.
  $( 'Less than' predicate (extended to include the extended reals). $)
  clt $a class < $.
  $( Extend wff notation to include the 'less than or equal to' relation. $)
  cle $a class <_ $.

  $( Define plus infinity.  Note that the definition is arbitrary, requiring
     only that ` +oo ` be a set not in ` RR ` and different from ` -oo `
     ( ~ df-mnf ).  We use ` ~P U. CC ` to make it independent of the
     construction of ` CC ` , and Cantor's Theorem will show that it is
     different from any member of ` CC ` and therefore ` RR ` .  See ~ pnfnre ,
     ~ mnfnre , and ~ pnfnemnf .

     A simpler possibility is to define ` +oo ` as ` CC ` and ` -oo ` as
     ` { CC } ` , but that approach requires the Axiom of Regularity to show
     that ` +oo ` and ` -oo ` are different from each other and from all
     members of ` RR ` .  (Contributed by NM, 13-Oct-2005.)
     (New usage is discouraged.) $)
  df-pnf $a |- +oo = ~P U. CC $.

  $( Define minus infinity as the power set of plus infinity.  Note that the
     definition is arbitrary, requiring only that ` -oo ` be a set not in
     ` RR ` and different from ` +oo ` (see ~ mnfnre and ~ pnfnemnf ).
     (Contributed by NM, 13-Oct-2005.)  (New usage is discouraged.) $)
  df-mnf $a |- -oo = ~P +oo $.

  $( Define the set of extended reals that includes plus and minus infinity.
     Definition 12-3.1 of [Gleason] p. 173.  (Contributed by NM,
     13-Oct-2005.) $)
  df-xr $a |- RR* = ( RR u. { +oo , -oo } ) $.

  ${
    $d x y $.
    $( Define 'less than' on the set of extended reals.  Definition 12-3.1 of
       [Gleason] p. 173.  Note that in our postulates for complex numbers,
       ` <RR ` is primitive and not necessarily a relation on ` RR ` .
       (Contributed by NM, 13-Oct-2005.) $)
    df-ltxr $a |- < = ( { <. x , y >. | ( x e. RR /\ y e. RR /\ x <RR y ) }
      u. ( ( ( RR u. { -oo } ) X. { +oo } ) u. ( { -oo } X. RR ) ) ) $.
  $}

  $( Define 'less than or equal to' on the extended real subset of complex
     numbers.  Theorem ~ leloe relates it to 'less than' for reals.
     (Contributed by NM, 13-Oct-2005.) $)
  df-le $a |- <_ = ( ( RR* X. RR* ) \ `' < ) $.

  $( Plus infinity is not a real number.  (Contributed by NM, 13-Oct-2005.) $)
  pnfnre $p |- +oo e/ RR $=
    ( cpnf cr wcel cc cuni cpw df-pnf pwuninel eqneltri recn mto nelir ) ABABCA
    DCADEFDGDHIAJKL $.

  $( Plus infinity is not a real number.  (Contributed by Glauco Siliprandi,
     23-Oct-2021.) $)
  pnfnre2 $p |- -. +oo e. RR $=
    ( cpnf cr pnfnre neli ) ABCD $.

  $( Minus infinity is not a real number.  (Contributed by NM, 13-Oct-2005.) $)
  mnfnre $p |- -oo e/ RR $=
    ( cmnf cr wcel cc cuni cpw cpnf df-mnf df-pnf pweqi 2pwuninel eqneltri recn
    eqtri mto nelir ) ABABCADCADEFZFZDAGFRHGQIJNDKLAMOP $.

  $( The standard reals are a subset of the extended reals.  (Contributed by
     NM, 14-Oct-2005.) $)
  ressxr $p |- RR C_ RR* $=
    ( cr cpnf cmnf cpr cun cxr ssun1 df-xr sseqtrri ) AABCDZEFAJGHI $.

  $( The Cartesian product of standard reals are a subset of the Cartesian
     product of extended reals.  (Contributed by David A. Wheeler,
     8-Dec-2018.) $)
  rexpssxrxp $p |- ( RR X. RR ) C_ ( RR* X. RR* ) $=
    ( cr cxr wss cxp ressxr xpss12 mp2an ) ABCZHAADBBDCEEABABFG $.

  $( A standard real is an extended real.  (Contributed by NM, 14-Oct-2005.) $)
  rexr $p |- ( A e. RR -> A e. RR* ) $=
    ( cr cxr ressxr sseli ) BCADE $.

  $( Zero is an extended real.  (Contributed by Mario Carneiro,
     15-Jun-2014.) $)
  0xr $p |- 0 e. RR* $=
    ( cr cxr cc0 ressxr 0re sselii ) ABCDEF $.

  $( No (finite) real equals plus infinity.  (Contributed by NM, 14-Oct-2005.)
     (Proof shortened by Andrew Salmon, 19-Nov-2011.) $)
  renepnf $p |- ( A e. RR -> A =/= +oo ) $=
    ( cr wcel cpnf wceq pnfnre neli eleq1 mtbiri necon2ai ) ABCZADADEKDBCDBFGAD
    BHIJ $.

  $( No real equals minus infinity.  (Contributed by NM, 14-Oct-2005.)  (Proof
     shortened by Andrew Salmon, 19-Nov-2011.) $)
  renemnf $p |- ( A e. RR -> A =/= -oo ) $=
    ( cr wcel cmnf wceq mnfnre neli eleq1 mtbiri necon2ai ) ABCZADADEKDBCDBFGAD
    BHIJ $.

  ${
    rexrd.1 $e |- ( ph -> A e. RR ) $.
    $( A standard real is an extended real.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    rexrd $p |- ( ph -> A e. RR* ) $=
      ( cr cxr ressxr sselid ) ADEBFCG $.

    $( No (finite) real equals plus infinity.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    renepnfd $p |- ( ph -> A =/= +oo ) $=
      ( cr wcel cpnf wne renepnf syl ) ABDEBFGCBHI $.

    $( No real equals minus infinity.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    renemnfd $p |- ( ph -> A =/= -oo ) $=
      ( cr wcel cmnf wne renemnf syl ) ABDEBFGCBHI $.
  $}

  $( Plus infinity exists.  (Contributed by David A. Wheeler, 8-Dec-2018.)
     (Revised by Steven Nguyen, 7-Dec-2022.) $)
  pnfex $p |- +oo e. _V $=
    ( cpnf cc cuni cpw cvv df-pnf cnex uniex pwex eqeltri ) ABCZDEFKBGHIJ $.

  $( Plus infinity belongs to the set of extended reals.  (Contributed by NM,
     13-Oct-2005.)  (Proof shortened by Anthony Hart, 29-Aug-2011.) $)
  pnfxr $p |- +oo e. RR* $=
    ( cpnf cr cmnf cpr cun cxr ssun2 pnfex prid1 sselii df-xr eleqtrri ) ABACDZ
    EZFMNAMBGACHIJKL $.

  $( Plus and minus infinity are different elements of ` RR* ` .  (Contributed
     by NM, 14-Oct-2005.) $)
  pnfnemnf $p |- +oo =/= -oo $=
    ( cpnf cpw cmnf cxr wcel wne pnfxr pwne ax-mp necomi df-mnf neeqtrri ) AABZ
    CMAADEMAFGADHIJKL $.

  $( Minus and plus infinity are different.  (Contributed by David A. Wheeler,
     8-Dec-2018.) $)
  mnfnepnf $p |- -oo =/= +oo $=
    ( cpnf cmnf pnfnemnf necomi ) ABCD $.

  $( Minus infinity belongs to the set of extended reals.  (Contributed by NM,
     13-Oct-2005.)  (Proof shortened by Anthony Hart, 29-Aug-2011.)  (Proof
     shortened by Andrew Salmon, 19-Nov-2011.) $)
  mnfxr $p |- -oo e. RR* $=
    ( cmnf cr cpnf cpr cun cxr wcel cpw cvv df-mnf pnfex pwex prid2 elun2 ax-mp
    eqeltri df-xr eleqtrri ) ABCADZEZFASGATGCAACHIJCKLPMASBNOQR $.

  ${
    rexri.1 $e |- A e. RR $.
    $( A standard real is an extended real (inference form.)  (Contributed by
       David Moews, 28-Feb-2017.) $)
    rexri $p |- A e. RR* $=
      ( cr wcel cxr rexr ax-mp ) ACDAEDBAFG $.
  $}

  $( ` 1 ` is an extended real number.  (Contributed by Glauco Siliprandi,
     2-Jan-2022.) $)
  1xr $p |- 1 e. RR* $=
    ( c1 1re rexri ) ABC $.

  $( The reals and the infinities are disjoint.  (Contributed by NM,
     25-Oct-2005.)  (Proof shortened by Andrew Salmon, 19-Nov-2011.) $)
  renfdisj $p |- ( RR i^i { +oo , -oo } ) = (/) $=
    ( vx cr cpnf cmnf cpr cin c0 wceq cv wcel wn renepnf renemnf nelprd mprgbir
    disj ) BCDEZFGHAIZQJKABABQPRBJRCDRLRMNO $.

  ${
    $d x y $.
    $( "Less than" is a relation on extended reals.  (Contributed by Mario
       Carneiro, 28-Apr-2015.) $)
    ltrelxr $p |- < C_ ( RR* X. RR* ) $=
      ( vx vy cv cr wcel copab cmnf csn cun cxp cxr wa eqsstri sstri wss ressxr
      cpnf unssi xpss12 mp2an clt cltrr wbr w3a df-ltxr df-3an opabbii opabssxp
      rexpssxrxp cpr snsspr2 ssun2 df-xr sseqtrri snsspr1 ) UAACZDEZBCZDEZUPURU
      BUCZUDZABFZDGHZIZQHZJZVCDJZIZIKKJZABUEVBVHVIVBDDJZVIVBUQUSLUTLZABFVJVAVKA
      BUQUSUTUFUGUTABDDUHMUINVFVGVIVDKOVEKOVFVIODVCKPVCQGUJZKQGUKVLDVLIKVLDULUM
      UNZNZRVEVLKQGUOVMNVDKVEKSTVCKODKOVGVIOVNPVCKDKSTRRM $.
  $}

  $( "Less than" is a relation.  (Contributed by NM, 14-Oct-2005.) $)
  ltrel $p |- Rel < $=
    ( clt cxr cxp wss wrel ltrelxr relxp relss mp2 ) ABBCZDJEAEFBBGAJHI $.

  $( "Less than or equal to" is a relation on extended reals.  (Contributed by
     Mario Carneiro, 28-Apr-2015.) $)
  lerelxr $p |- <_ C_ ( RR* X. RR* ) $=
    ( cle cxr cxp clt ccnv cdif df-le difss eqsstri ) ABBCZDEZFJGJKHI $.

  $( "Less than or equal to" is a relation.  (Contributed by FL, 2-Aug-2009.)
     (Revised by Mario Carneiro, 28-Apr-2015.) $)
  lerel $p |- Rel <_ $=
    ( cle cxr cxp wss wrel lerelxr relxp relss mp2 ) ABBCZDJEAEFBBGAJHI $.

  $( "Less than or equal to" expressed in terms of "less than", for extended
     reals.  (Contributed by NM, 14-Oct-2005.) $)
  xrlenlt $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A <_ B <-> -. B < A ) ) $=
    ( cxr wcel wa cle wbr cop clt ccnv wn df-br cxp wb opelxpi cdif df-le eldif
    eleq2i bitri baib syl syl5bb opelcnvg bitr4id notbid bitr4d ) ACDBCDEZABFGZ
    ABHZIJZDZKZBAIGZKUIUJFDZUHUMABFLUHUJCCMZDZUOUMNABCCOUOUQUMUOUJUPUKPZDUQUMEF
    URUJQSUJUPUKRTUAUBUCUHUNULUHUNBAHIDULBAILABCCIUDUEUFUG $.

  ${
    xrlenltd.a $e |- ( ph -> A e. RR* ) $.
    xrlenltd.b $e |- ( ph -> B e. RR* ) $.
    $( "Less than or equal to" expressed in terms of "less than", for extended
       reals.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    xrlenltd $p |- ( ph -> ( A <_ B <-> -. B < A ) ) $=
      ( cxr wcel cle wbr clt wn wb xrlenlt syl2anc ) ABFGCFGBCHICBJIKLDEBCMN $.
  $}

  $( "Less than" expressed in terms of "less than or equal to", for extended
     reals.  (Contributed by NM, 6-Feb-2007.) $)
  xrltnle $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A < B <-> -. B <_ A ) ) $=
    ( cxr wcel clt wbr cle wn wb wa xrlenlt con2bid ancoms ) BCDZACDZABEFZBAGFZ
    HINOJQPBAKLM $.

  ${
    xrnltled.1 $e |- ( ph -> A e. RR* ) $.
    xrnltled.2 $e |- ( ph -> B e. RR* ) $.
    xrnltled.3 $e |- ( ph -> -. B < A ) $.
    $( "Not less than" implies "less than or equal to".  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    xrnltled $p |- ( ph -> A <_ B ) $=
      ( cle wbr clt wn xrlenltd mpbird ) ABCGHCBIHJFABCDEKL $.
  $}

  $( The three (non-exclusive) possibilities implied by a subset of extended
     reals.  (Contributed by NM, 25-Oct-2005.)  (Proof shortened by Andrew
     Salmon, 19-Nov-2011.) $)
  ssxr $p |- ( A C_ RR* -> ( A C_ RR \/ +oo e. A \/ -oo e. A ) ) $=
    ( cr cpnf cmnf cpr cun wss wcel wo cxr w3o wn cin c0 wceq csn disjsn sseq2i
    wa cdif df-pr ineq2i indi eqtri anbi12i biimpri pm4.56 un00 3imtr3i reldisj
    eqtrid renfdisj disj3 mpbi difun2 eqtr4i bitr4di syl5ib df-xr 3orrot df-3or
    orrd bitri 3imtr4i ) ABCDEZFZGZCAHZDAHZIZABGZIZAJGVKVHVIKZVGVJVKVJLZAVEMZNO
    ZVGVKVNVOACPZMZADPZMZFZNVOAVQVSFZMWAVEWBACDUAUBAVQVSUCUDVHLZVILZSZVRNOZVTNO
    ZSZVNWANOWHWEWFWCWGWDACQADQUEUFVHVIUGVRVTUHUIUKVGVPAVFVETZGVKAVEVFUJBWIABBV
    ETZWIBVEMNOBWJOULBVEUMUNBVEUOUPRUQURVBJVFAUSRVMVHVIVKKVLVKVHVIUTVHVIVKVAVCV
    D $.

  ${
    $d x y A $.  $d x y B $.
    $( The standard less-than ` <RR ` and the extended real less-than ` < ` are
       identical when restricted to the non-extended reals ` RR ` .
       (Contributed by NM, 13-Oct-2005.)  (Revised by Mario Carneiro,
       28-Apr-2015.) $)
    ltxrlt $p |- ( ( A e. RR /\ B e. RR ) -> ( A < B <-> A <RR B ) ) $=
      ( vx vy cr wcel wa clt wbr cv cltrr cmnf csn cun cpnf cxp wn wo brun syl
      w3a copab brxp wceq elsni pnfnre neli simpr eleq1 syl5ib simplbiim mnfnre
      wb mtoi simpl adantr sylbi jaoi con2i df-ltxr equncomi breqi df-or 3bitri
      wi biimt bitr4id breq12 df-3an opabbii brab2a baibr bitr4d ) AEFZBEFZGZAB
      HIZABCJZEFZDJZEFZVRVTKIZUAZCDUBZIZABKIZVPABELMZNZOMZPZWGEPZNZIZQZVQWEUMWM
      VPWMABWJIZABWKIZRVPQZABWJWKSWOWQWPWOAWHFBWIFZWQABWHWIUCWRBOUDZWQBOUEWSVPO
      EFZOEUFUGVPVOWSWTVNVOUHBOEUIUJUNTUKWPAWGFZVOGWQABWGEUCXAWQVOXAALUDZWQALUE
      XBVPLEFZLEULUGVPVNXBXCVNVOUOALEUIUJUNTUPUQURUQUSWNVQWNWEVEZWEVQABWLWDNZIW
      MWERXDABHXEHWDWLCDUTVAVBABWLWDSWMWEVCVDWNWEVFVGTWEVPWFWBWFCDABEEWDVRAVTBK
      VHWCVSWAGWBGCDVSWAWBVIVJVKVLVM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Restate the ordering postulates with extended real "less than"
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Ordering on reals satisfies strict trichotomy.  Axiom 18 of 22 for real
     and complex numbers, derived from ZF set theory.  (This restates
     ~ ax-pre-lttri with ordering on the extended reals.)  (Contributed by NM,
     13-Oct-2005.) $)
  axlttri $p |- ( ( A e. RR /\ B e. RR ) ->
                ( A < B <-> -. ( A = B \/ B < A ) ) ) $=
    ( cr wcel wa cltrr wbr wceq wo clt ax-pre-lttri ltxrlt ancoms orbi2d notbid
    wn wb 3bitr4d ) ACDZBCDZEZABFGABHZBAFGZIZPABJGUBBAJGZIZPABKABLUAUFUDUAUEUCU
    BTSUEUCQBALMNOR $.

  $( Ordering on reals is transitive.  Axiom 19 of 22 for real and complex
     numbers, derived from ZF set theory.  This restates ~ ax-pre-lttrn with
     ordering on the extended reals.  New proofs should use ~ lttr instead for
     naming consistency.  (New usage is discouraged.)  (Contributed by NM,
     13-Oct-2005.) $)
  axlttrn $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
             ( ( A < B /\ B < C ) -> A < C ) ) $=
    ( cr wcel w3a cltrr wbr wa clt ax-pre-lttrn 3adant3 3adant1 anbi12d 3adant2
    wb ltxrlt 3imtr4d ) ADEZBDEZCDEZFZABGHZBCGHZIACGHZABJHZBCJHZIACJHZABCKUBUFU
    CUGUDSTUFUCPUAABQLTUAUGUDPSBCQMNSUAUHUEPTACQOR $.

  $( Ordering property of addition on reals.  Axiom 20 of 22 for real and
     complex numbers, derived from ZF set theory.  (This restates
     ~ ax-pre-ltadd with ordering on the extended reals.)  (Contributed by NM,
     13-Oct-2005.) $)
  axltadd $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A < B -> ( C + A ) < ( C + B ) ) ) $=
    ( cr wcel w3a cltrr wbr caddc co clt ax-pre-ltadd wb ltxrlt 3adant3 readdcl
    wa syl2an 3impdi 3coml 3imtr4d ) ADEZBDEZCDEZFABGHZCAIJZCBIJZGHZABKHZUFUGKH
    ZABCLUBUCUIUEMUDABNOUDUBUCUJUHMZUDUBUCUKUDUBQUFDEUGDEUKUDUCQCAPCBPUFUGNRSTU
    A $.

  $( The product of two positive reals is positive.  Axiom 21 of 22 for real
     and complex numbers, derived from ZF set theory.  (This restates
     ~ ax-pre-mulgt0 with ordering on the extended reals.)  (Contributed by NM,
     13-Oct-2005.) $)
  axmulgt0 $p |- ( ( A e. RR /\ B e. RR ) ->
                ( ( 0 < A /\ 0 < B ) -> 0 < ( A x. B ) ) ) $=
    ( cr wcel wa cc0 cltrr wbr cmul co clt ax-pre-mulgt0 wb 0re ltxrlt bi2anan9
    mpan remulcl sylancr 3imtr4d ) ACDZBCDZEZFAGHZFBGHZEFABIJZGHZFAKHZFBKHZEFUF
    KHZABLUAUHUDUBUIUEFCDZUAUHUDMNFAOQUKUBUIUEMNFBOQPUCUKUFCDUJUGMNABRFUFOST $.

  ${
    $d x y z A $.
    $( A nonempty, bounded-above set of reals has a supremum.  Axiom 22 of 22
       for real and complex numbers, derived from ZF set theory.  (This
       restates ~ ax-pre-sup with ordering on the extended reals.)
       (Contributed by NM, 13-Oct-2005.) $)
    axsup $p |- ( ( A C_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A y < x ) ->
                E. x e. RR ( A. y e. A -. x < y /\
                A. y e. RR ( y < x -> E. z e. A y < z ) ) ) $=
      ( cr cv clt wbr wral wrex wa cltrr wb wcel ltxrlt sylan ralbidva rexbidva
      an32s ancoms wss c0 wne wn ax-pre-sup 3expia ssel2 adantr adantll adantlr
      wi notbid imbi12d anbi12d 3imtr4d 3impia ) DEUAZDUBUCZBFZAFZGHZBDIZAEJZUT
      USGHZUDZBDIZVAUSCFZGHZCDJZUKZBEIZKZAEJZUQURKUSUTLHZBDIZAEJZUTUSLHZUDZBDIZ
      VNUSVGLHZCDJZUKZBEIZKZAEJZVCVMUQURVPWEABCDUEUFUQVCVPMURUQVBVOAEUQUTENZKZV
      AVNBDUQUSDNZWFVAVNMZUQWHKZUSENZWFWIDEUSUGZUSUTOZPSQRUHUQVMWEMURUQVLWDAEWG
      VFVSVKWCWGVEVRBDWGWHKVDVQUQWHWFVDVQMZWJWKWFWNWLWFWKWNUTUSOTPSULQWGVJWBBEW
      GWKKVAVNVIWAWFWKWIUQWKWFWIWMTUIUQWKVIWAMWFUQWKKVHVTCDUQVGDNZWKVHVTMZUQWOK
      VGENZWKWPDEVGUGWKWQWPUSVGOTPSRUJUMQUNRUHUOUP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ordering on reals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Alias for ~ axlttrn , for naming consistency with ~ lttri .  New proofs
     should generally use this instead of ~ ax-pre-lttrn .  (Contributed by NM,
     10-Mar-2008.) $)
  lttr $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
             ( ( A < B /\ B < C ) -> A < C ) ) $=
    ( axlttrn ) ABCD $.

  $( The product of two positive numbers is positive.  (Contributed by NM,
     10-Mar-2008.) $)
  mulgt0 $p |- ( ( ( A e. RR /\ 0 < A ) /\
                ( B e. RR /\ 0 < B ) ) -> 0 < ( A x. B ) ) $=
    ( cr wcel cc0 clt wbr cmul co wa axmulgt0 imp an4s ) ACDZBCDZEAFGZEBFGZEABH
    IFGZNOJPQJRABKLM $.

  $( 'Less than or equal to' expressed in terms of 'less than'.  (Contributed
     by NM, 13-May-1999.) $)
  lenlt $p |- ( ( A e. RR /\ B e. RR ) -> ( A <_ B <-> -. B < A ) ) $=
    ( cr wcel cxr cle wbr clt wn wb rexr xrlenlt syl2an ) ACDAEDBEDABFGBAHGIJBC
    DAKBKABLM $.

  $( 'Less than' expressed in terms of 'less than or equal to'.  (Contributed
     by NM, 11-Jul-2005.) $)
  ltnle $p |- ( ( A e. RR /\ B e. RR ) -> ( A < B <-> -. B <_ A ) ) $=
    ( cr wcel wa cle wbr clt wn wb lenlt ancoms con2bid ) ACDZBCDZEBAFGZABHGZON
    PQIJBAKLM $.

  ${
    $d x y z $.
    $( 'Less than' is a strict ordering.  (Contributed by NM, 19-Jan-1997.) $)
    ltso $p |- < Or RR $=
      ( vx vy vz cr clt cv axlttri lttr isso2i ) ABCDEAFZBFZGJKCFHI $.
  $}

  $( 'Greater than' is a strict ordering.  (Contributed by JJ, 11-Oct-2018.) $)
  gtso $p |- `' < Or RR $=
    ( cr clt wor ccnv ltso cnvso mpbi ) ABCABDCEABFG $.

  $( Consequence of trichotomy.  (Contributed by NM, 9-Oct-1999.) $)
  lttri2 $p |- ( ( A e. RR /\ B e. RR ) ->
                ( A =/= B <-> ( A < B \/ B < A ) ) ) $=
    ( cr wcel wa clt wbr wo wceq wn wor wb ltso sotrieq mpan bicomd necon1abid
    ) ACDBCDEZABFGBAFGHZABRABIZSJZCFKRTUALMCABFNOPQ $.

  $( Trichotomy law for 'less than'.  (Contributed by NM, 5-May-1999.) $)
  lttri3 $p |- ( ( A e. RR /\ B e. RR ) ->
                ( A = B <-> ( -. A < B /\ -. B < A ) ) ) $=
    ( cr clt wor wcel wa wceq wbr wn wb ltso sotrieq2 mpan ) CDEACFBCFGABHABDIJ
    BADIJGKLCABDMN $.

  $( Trichotomy law for 'less than'.  (Contributed by NM, 20-Sep-2007.)  (Proof
     shortened by Andrew Salmon, 19-Nov-2011.) $)
  lttri4 $p |- ( ( A e. RR /\ B e. RR ) -> ( A < B \/ A = B \/ B < A ) ) $=
    ( cr clt wor wcel wa wbr wceq w3o ltso solin mpan ) CDEACFBCFGABDHABIBADHJK
    CABDLM $.

  $( Trichotomy law.  (Contributed by NM, 14-May-1999.) $)
  letri3 $p |- ( ( A e. RR /\ B e. RR ) ->
                ( A = B <-> ( A <_ B /\ B <_ A ) ) ) $=
    ( cr wcel wa wceq clt wbr wn lttri3 biancomd lenlt wb ancoms anbi12d bitr4d
    cle ) ACDZBCDZEZABFZBAGHIZABGHIZEABQHZBAQHZETUAUBUCABJKTUDUBUEUCABLSRUEUCMB
    ALNOP $.

  $( 'Less than or equal to' expressed in terms of 'less than' or 'equals'.
     (Contributed by NM, 13-May-1999.) $)
  leloe $p |- ( ( A e. RR /\ B e. RR ) ->
               ( A <_ B <-> ( A < B \/ A = B ) ) ) $=
    ( cr wcel wa cle wbr clt wn wo lenlt wb axlttri ancoms con2bid eqcom orbi1i
    wceq orcom bitri bitr3di bitrd ) ACDZBCDZEZABFGBAHGZIZABHGZABRZJZABKUEBARZU
    HJZUGUJUEUFULUDUCUFULILBAMNOULUIUHJUJUKUIUHBAPQUIUHSTUAUB $.

  $( Equality in terms of 'less than or equal to', 'less than'.  (Contributed
     by NM, 7-Apr-2001.) $)
  eqlelt $p |- ( ( A e. RR /\ B e. RR ) ->
               ( A = B <-> ( A <_ B /\ -. A < B ) ) ) $=
    ( cr wcel wa wceq cle wbr clt wn letri3 wb lenlt ancoms anbi2d bitrd ) ACDZ
    BCDZEZABFABGHZBAGHZETABIHJZEABKSUAUBTRQUAUBLBAMNOP $.

  $( 'Less than' implies 'less than or equal to'.  (Contributed by NM,
     25-Aug-1999.) $)
  ltle $p |- ( ( A e. RR /\ B e. RR ) ->
               ( A < B -> A <_ B ) ) $=
    ( clt wbr cle cr wcel wa wceq wo orc leloe syl5ibr ) ABCDZABEDAFGBFGHNABIZJ
    NOKABLM $.

  $( 'Less than or equal to' implies 'less than' is not 'equals'.  (Contributed
     by NM, 27-Jul-1999.) $)
  leltne $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) ->
                ( A < B <-> B =/= A ) ) $=
    ( cr wcel cle wbr clt wne wb wa wceq wn wi lttri3 simpl syl6bi adantr leloe
    wo biimpa ord impbid necon2abid necom bitr4di 3impa ) ACDZBCDZABEFZABGFZBAH
    ZIUGUHJZUIJZUJABHUKUMUJABUMABKZUJLZULUNUOMUIULUNUOBAGFLZJUOABNUOUPOPQUMUJUN
    ULUIUJUNSABRTUAUBUCBAUDUEUF $.

  $( Transitive law.  (Contributed by NM, 23-May-1999.) $)
  lelttr $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
             ( ( A <_ B /\ B < C ) -> A < C ) ) $=
    ( cr wcel w3a cle wbr clt wceq wo wi wb leloe 3adant3 lttr expd biimprd a1i
    breq1 jaod sylbid impd ) ADEZBDEZCDEZFZABGHZBCIHZACIHZUGUHABIHZABJZKZUIUJLZ
    UDUEUHUMMUFABNOUGUKUNULUGUKUIUJABCPQULUNLUGULUJUIABCITRSUAUBUC $.

  $( Transitive law.  (Contributed by NM, 25-Aug-1999.) $)
  ltletr $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
             ( ( A < B /\ B <_ C ) -> A < C ) ) $=
    ( cr wcel w3a cle wbr wceq wo wi wb leloe 3adant1 lttr expcomd breq2 biimpd
    clt a1i jaod sylbid impcomd ) ADEZBDEZCDEZFZBCGHZABSHZACSHZUGUHBCSHZBCIZJZU
    IUJKZUEUFUHUMLUDBCMNUGUKUNULUGUIUKUJABCOPULUNKUGULUIUJBCASQRTUAUBUC $.

  $( Transitive law, weaker form of ~ ltletr .  (Contributed by AV,
     14-Oct-2018.) $)
  ltleletr $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A < B /\ B <_ C ) -> A <_ C ) ) $=
    ( cr wcel w3a wa clt wbr cle 3simpb ltletr ltle sylsyld ) ADEZBDEZCDEZFOQGA
    BHIBCJIGACHIACJIOPQKABCLACMN $.

  $( Transitive law.  (Contributed by NM, 12-Nov-1999.) $)
  letr $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
             ( ( A <_ B /\ B <_ C ) -> A <_ C ) ) $=
    ( cr wcel w3a cle wbr wa clt wceq wo wb leloe 3adant1 adantr lelttr wi ltle
    3adant2 syld expdimp breq2 biimpcd adantl jaod sylbid expimpd ) ADEZBDEZCDE
    ZFZABGHZBCGHZACGHZULUMIZUNBCJHZBCKZLZUOULUNUSMZUMUJUKUTUIBCNOPUPUQUOURULUMU
    QUOULUMUQIACJHZUOABCQUIUKVAUORUJACSTUAUBUMURUORULURUMUOBCAGUCUDUEUFUGUH $.

  $( 'Less than' is irreflexive.  (Contributed by NM, 18-Aug-1999.) $)
  ltnr $p |- ( A e. RR -> -. A < A ) $=
    ( cr clt wor wcel wbr wn ltso sonr mpan ) BCDABEAACFGHBACIJ $.

  $( 'Less than or equal to' is reflexive.  (Contributed by NM,
     18-Aug-1999.) $)
  leid $p |- ( A e. RR -> A <_ A ) $=
    ( cr wcel cle wbr wa clt wceq wo eqid olci leloe mpbiri anidms ) ABCZAADEZO
    OFPAAGEZAAHZIRQAJKAALMN $.

  $( 'Less than' implies not equal.  (Contributed by NM, 9-Oct-1999.)  (Revised
     by Mario Carneiro, 16-Sep-2015.) $)
  ltne $p |- ( ( A e. RR /\ A < B ) -> B =/= A ) $=
    ( cr wcel clt wbr wne wn wceq ltnr breq2 notbid syl5ibrcom necon2ad imp ) A
    CDZABEFZBAGPQBAPQHBAIZAAEFZHAJRQSBAAEKLMNO $.

  $( 'Less than' is not symmetric.  (Contributed by NM, 8-Jan-2002.) $)
  ltnsym $p |- ( ( A e. RR /\ B e. RR ) -> ( A < B -> -. B < A ) ) $=
    ( cr wcel wa clt wbr wceq wo wn axlttri pm2.46 syl6bi ) ACDBCDEABFGABHZBAFG
    ZIJOJABKNOLM $.

  $( 'Less than' is antisymmetric and irreflexive.  (Contributed by NM,
     13-Aug-2005.)  (Proof shortened by Andrew Salmon, 19-Nov-2011.) $)
  ltnsym2 $p |- ( ( A e. RR /\ B e. RR ) -> -. ( A < B /\ B < A ) ) $=
    ( cr clt wor wcel wa wbr wn ltso so2nr mpan ) CDEACFBCFGABDHBADHGIJCABDKL
    $.

  $( Trichotomy law.  (Contributed by NM, 18-Aug-1999.)  (Proof shortened by
     Andrew Salmon, 19-Nov-2011.) $)
  letric $p |- ( ( A e. RR /\ B e. RR ) -> ( A <_ B \/ B <_ A ) ) $=
    ( cr wcel cle wbr wo wa wn clt ltnle ltle sylbird orrd ancoms ) BCDZACDZABE
    FZBAEFZGPQHZRSTRIBAJFSBAKBALMNO $.

  $( 'Less than' expressed in terms of 'less than or equal to'.  (Contributed
     by NM, 27-Oct-1999.) $)
  ltlen $p |- ( ( A e. RR /\ B e. RR ) ->
               ( A < B <-> ( A <_ B /\ B =/= A ) ) ) $=
    ( cr wcel wa clt wbr cle ltle wi ltne ex adantr jcad wceq wo leloe wn df-ne
    wne pm2.24 eqcoms syl5bi jao1i syl6bi impd impbid ) ACDZBCDZEZABFGZABHGZBAT
    ZEUJUKULUMABIUHUKUMJUIUHUKUMABKLMNUJULUMUKUJULUKABOZPUMUKJABQUKUNUMUMBAOZRZ
    UNUKBASUPUKJBAUOUKUAUBUCUDUEUFUG $.

  $( Equality implies 'less than or equal to'.  (Contributed by NM,
     4-Apr-2005.) $)
  eqle $p |- ( ( A e. RR /\ A = B ) -> A <_ B ) $=
    ( cr wcel cle wbr wceq leid breq2 biimpac sylan ) ACDAAEFZABGZABEFZAHMLNABA
    EIJK $.

  ${
    eqled.1 $e |- ( ph -> A e. RR ) $.
    eqled.2 $e |- ( ph -> A = B ) $.
    $( Equality implies 'less than or equal to'.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    eqled $p |- ( ph -> A <_ B ) $=
      ( cr wcel wceq cle wbr eqle syl2anc ) ABFGBCHBCIJDEBCKL $.
  $}

  $( Addition to both sides of 'less than'.  (Contributed by NM, 12-Nov-1999.)
     (Revised by Mario Carneiro, 27-May-2016.) $)
  ltadd2 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A < B <-> ( C + A ) < ( C + B ) ) ) $=
    ( cr wcel w3a clt wbr caddc co axltadd wceq wo wn wi oveq2 readdcld axlttri
    wb syl2anc a1i 3com12 orim12d con3d simp3 simp1 simp2 3imtr4d impbid ) ADEZ
    BDEZCDEZFZABGHZCAIJZCBIJZGHZABCKUMUOUPLZUPUOGHZMZNZABLZBAGHZMZNZUQUNUMVDUTU
    MVBURVCUSVBUROUMABCIPUAUKUJULVCUSOBACKUBUCUDUMUODEUPDEUQVASUMCAUJUKULUEZUJU
    KULUFZQUMCBVFUJUKULUGZQUOUPRTUMUJUKUNVESVGVHABRTUHUI $.

  $( A nonzero nonnegative number is positive.  (Contributed by NM,
     20-Nov-2007.) $)
  ne0gt0 $p |- ( ( A e. RR /\ 0 <_ A ) -> ( A =/= 0 <-> 0 < A ) ) $=
    ( cr wcel cc0 cle wbr wa wne clt wo wb 0re lttri2 mpan2 adantr lenlt biimpa
    wn mpan biorf syl bitr4d ) ABCZDAEFZGZADHZADIFZDAIFZJZUHUCUFUIKZUDUCDBCZUJL
    ADMNOUEUGRZUHUIKUCUDULUKUCUDULKLDAPSQUGUHTUAUB $.

  ${
    lecase.1 $e |- ( ph -> A e. RR ) $.
    lecase.2 $e |- ( ph -> B e. RR ) $.
    lecase.3 $e |- ( ( ph /\ A <_ B ) -> ps ) $.
    lecase.4 $e |- ( ( ph /\ B <_ A ) -> ps ) $.
    $( Ordering elimination by cases.  (Contributed by NM, 6-Jul-2007.) $)
    lecasei $p |- ( ph -> ps ) $=
      ( cle wbr cr wcel wo letric syl2anc mpjaodan ) ACDIJZBDCIJZGHACKLDKLQRMEF
      CDNOP $.
  $}

  $( Trichotomy law.  (Contributed by NM, 4-Apr-2005.) $)
  lelttric $p |- ( ( A e. RR /\ B e. RR ) -> ( A <_ B \/ B < A ) ) $=
    ( cr wcel wa cle wbr clt wo wn pm2.1 lenlt orbi1d mpbiri ) ACDBCDEZABFGZBAH
    GZIQJZQIQKOPRQABLMN $.

  ${
    ltlecasei.1 $e |- ( ( ph /\ A < B ) -> ps ) $.
    ltlecasei.2 $e |- ( ( ph /\ B <_ A ) -> ps ) $.
    ltlecasei.3 $e |- ( ph -> A e. RR ) $.
    ltlecasei.4 $e |- ( ph -> B e. RR ) $.
    $( Ordering elimination by cases.  (Contributed by NM, 1-Jul-2007.)  (Proof
       shortened by Mario Carneiro, 27-May-2016.) $)
    ltlecasei $p |- ( ph -> ps ) $=
      ( cle wbr clt cr wcel wo lelttric syl2anc mpjaodan ) ADCIJZBCDKJZFEADLMCL
      MRSNHGDCOPQ $.
  $}

  ${
    lt.1 $e |- A e. RR $.
    $( 'Less than' is irreflexive.  (Contributed by NM, 18-Aug-1999.) $)
    ltnri $p |- -. A < A $=
      ( cr wcel clt wbr wn ltnr ax-mp ) ACDAAEFGBAHI $.

    $( Equality implies 'less than or equal to'.  (Contributed by NM,
       23-May-1999.)  (Revised by Alexander van der Vekens, 20-Mar-2018.) $)
    eqlei $p |- ( A = B -> A <_ B ) $=
      ( cr wcel wceq cle wbr wi eleq1a ax-mp eqcoms wa letri3 mpan simpl syl6bi
      wb mpcom ) BDEZABFZABGHZTBAADEZBAFTICADBJKLTUAUBBAGHZMZUBUCTUAUERCABNOUBU
      DPQS $.

    $( Equality implies 'less than or equal to'.  (Contributed by Alexander van
       der Vekens, 20-Mar-2018.) $)
    eqlei2 $p |- ( B = A -> B <_ A ) $=
      ( cr wcel wceq cle wbr wi eleq1a ax-mp wa eqcom letri3 mpan syl5bb syl6bi
      wb simpr mpcom ) BDEZBAFZBAGHZADEZUBUAICADBJKUAUBABGHZUCLZUCUBABFZUAUFBAM
      UDUAUGUFRCABNOPUEUCSQT $.

    ${
      ltneii.2 $e |- A < B $.
      $( 'Less than' implies not equal.  (Contributed by Mario Carneiro,
         30-Sep-2013.) $)
      gtneii $p |- B =/= A $=
        ( cr wcel clt wbr wne ltne mp2an ) AEFABGHBAICDABJK $.

      $( 'Greater than' implies not equal.  (Contributed by Mario Carneiro,
         16-Sep-2015.) $)
      ltneii $p |- A =/= B $=
        ( gtneii necomi ) BAABCDEF $.
    $}

    lt.2 $e |- B e. RR $.
    $( Consequence of trichotomy.  (Contributed by NM, 19-Jan-1997.) $)
    lttri2i $p |- ( A =/= B <-> ( A < B \/ B < A ) ) $=
      ( cr wcel wne clt wbr wo wb lttri2 mp2an ) AEFBEFABGABHIBAHIJKCDABLM $.

    $( Consequence of trichotomy.  (Contributed by NM, 14-May-1999.) $)
    lttri3i $p |- ( A = B <-> ( -. A < B /\ -. B < A ) ) $=
      ( cr wcel wceq clt wbr wn wa wb lttri3 mp2an ) AEFBEFABGABHIJBAHIJKLCDABM
      N $.

    $( Consequence of trichotomy.  (Contributed by NM, 14-May-1999.) $)
    letri3i $p |- ( A = B <-> ( A <_ B /\ B <_ A ) ) $=
      ( cr wcel wceq cle wbr wa wb letri3 mp2an ) AEFBEFABGABHIBAHIJKCDABLM $.

    $( 'Less than or equal to' in terms of 'less than'.  (Contributed by NM,
       14-May-1999.) $)
    leloei $p |- ( A <_ B <-> ( A < B \/ A = B ) ) $=
      ( cr wcel cle wbr clt wceq wo wb leloe mp2an ) AEFBEFABGHABIHABJKLCDABMN
      $.

    $( 'Less than' expressed in terms of 'less than or equal to'.  (Contributed
       by NM, 27-Oct-1999.) $)
    ltleni $p |- ( A < B <-> ( A <_ B /\ B =/= A ) ) $=
      ( cr wcel clt wbr cle wne wa wb ltlen mp2an ) AEFBEFABGHABIHBAJKLCDABMN
      $.

    $( 'Less than' is not symmetric.  (Contributed by NM, 6-May-1999.) $)
    ltnsymi $p |- ( A < B -> -. B < A ) $=
      ( cr wcel clt wbr wn wi ltnsym mp2an ) AEFBEFABGHBAGHIJCDABKL $.

    $( 'Less than or equal to' in terms of 'less than'.  (Contributed by NM,
       24-May-1999.) $)
    lenlti $p |- ( A <_ B <-> -. B < A ) $=
      ( cr wcel cle wbr clt wn wb lenlt mp2an ) AEFBEFABGHBAIHJKCDABLM $.

    $( 'Less than' in terms of 'less than or equal to'.  (Contributed by NM,
       11-Jul-2005.) $)
    ltnlei $p |- ( A < B <-> -. B <_ A ) $=
      ( cle wbr clt lenlti con2bii ) BAEFABGFBADCHI $.

    $( 'Less than' implies 'less than or equal to'.  (Contributed by NM,
       14-May-1999.) $)
    ltlei $p |- ( A < B -> A <_ B ) $=
      ( cr wcel clt wbr cle wi ltle mp2an ) AEFBEFABGHABIHJCDABKL $.

    ${
      ltlei.1 $e |- A < B $.
      $( 'Less than' implies 'less than or equal to' (inference).  (Contributed
         by NM, 22-Aug-1999.) $)
      ltleii $p |- A <_ B $=
        ( clt wbr cle ltlei ax-mp ) ABFGABHGEABCDIJ $.
    $}

    $( 'Less than' implies not equal.  (Contributed by NM, 28-Jul-1999.) $)
    ltnei $p |- ( A < B -> B =/= A ) $=
      ( cr wcel clt wbr wne ltne mpan ) AEFABGHBAICABJK $.

    $( Trichotomy law for 'less than or equal to'.  (Contributed by NM,
       2-Aug-1999.) $)
    letrii $p |- ( A <_ B \/ B <_ A ) $=
      ( cle wbr wn clt ltnlei ltlei sylbir orri ) ABEFZBAEFZMGBAHFNBADCIBADCJKL
      $.

    ${
      lt.3 $e |- C e. RR $.
      $( 'Less than' is transitive.  Theorem I.17 of [Apostol] p. 20.
         (Contributed by NM, 14-May-1999.) $)
      lttri $p |- ( ( A < B /\ B < C ) -> A < C ) $=
        ( cr wcel clt wbr wa wi lttr mp3an ) AGHBGHCGHABIJBCIJKACIJLDEFABCMN $.

      $( 'Less than or equal to', 'less than' transitive law.  (Contributed by
         NM, 14-May-1999.) $)
      lelttri $p |- ( ( A <_ B /\ B < C ) -> A < C ) $=
        ( cr wcel cle wbr clt wa wi lelttr mp3an ) AGHBGHCGHABIJBCKJLACKJMDEFAB
        CNO $.

      $( 'Less than', 'less than or equal to' transitive law.  (Contributed by
         NM, 14-May-1999.) $)
      ltletri $p |- ( ( A < B /\ B <_ C ) -> A < C ) $=
        ( cr wcel clt wbr cle wa wi ltletr mp3an ) AGHBGHCGHABIJBCKJLACIJMDEFAB
        CNO $.

      $( 'Less than or equal to' is transitive.  (Contributed by NM,
         14-May-1999.) $)
      letri $p |- ( ( A <_ B /\ B <_ C ) -> A <_ C ) $=
        ( cr wcel cle wbr wa wi letr mp3an ) AGHBGHCGHABIJBCIJKACIJLDEFABCMN $.

      $( Extended trichotomy law for 'less than or equal to'.  (Contributed by
         NM, 14-Aug-2000.) $)
      le2tri3i $p |- ( ( A <_ B /\ B <_ C /\ C <_ A ) <->
                      ( A = B /\ B = C /\ C = A ) ) $=
        ( cle wbr w3a wa letri letri3i biimpri sylan2 3impb 3comr eqcomd stoic3
        wceq eqlei 3jca 3anim123i impbii ) ABGHZBCGHZCAGHZIZABSZBCSZCASZIUGUHUI
        UJUDUEUFUHUEUFJUDBAGHZUHBCAEFDKUHUDUKJABDELMNOUEUFUDUIUEUFUDUIUFUDJUECB
        GHZUICABFDEKUIUEULJBCEFLMNOPUDUEACGHZUFUJABCDEFKUMUFJZACACSUNACDFLMQRUA
        UHUDUIUEUJUFABDTBCETCAFTUBUC $.

      $( Addition to both sides of 'less than'.  (Contributed by NM,
         21-Jan-1997.)  (Proof shortened by OpenAI, 25-Mar-2020.) $)
      ltadd2i $p |- ( A < B <-> ( C + A ) < ( C + B ) ) $=
        ( cr wcel clt wbr caddc co wb ltadd2 mp3an ) AGHBGHCGHABIJCAKLCBKLIJMDE
        FABCNO $.
    $}

    $( The product of two positive numbers is positive.  (Contributed by NM,
       16-May-1999.) $)
    mulgt0i $p |- ( ( 0 < A /\ 0 < B ) -> 0 < ( A x. B ) ) $=
      ( cr wcel cc0 clt wbr wa cmul co wi axmulgt0 mp2an ) AEFBEFGAHIGBHIJGABKL
      HIMCDABNO $.

    mulgt0i.3 $e |- 0 < A $.
    mulgt0i.4 $e |- 0 < B $.
    $( The product of two positive numbers is positive.  (Contributed by NM,
       18-May-1999.) $)
    mulgt0ii $p |- 0 < ( A x. B ) $=
      ( cc0 clt wbr cmul co mulgt0i mp2an ) GAHIGBHIGABJKHIEFABCDLM $.
  $}

  ${
    ltd.1 $e |- ( ph -> A e. RR ) $.
    $( 'Less than' is irreflexive.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    ltnrd $p |- ( ph -> -. A < A ) $=
      ( cr wcel clt wbr wn ltnr syl ) ABDEBBFGHCBIJ $.

    ${
      ltned.2 $e |- ( ph -> A < B ) $.
      $( 'Less than' implies not equal.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      gtned $p |- ( ph -> B =/= A ) $=
        ( cr wcel clt wbr wne ltne syl2anc ) ABFGBCHICBJDEBCKL $.

      $( 'Greater than' implies not equal.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      ltned $p |- ( ph -> A =/= B ) $=
        ( gtned necomd ) ACBABCDEFG $.
    $}

    ${
      ne0gt0d.2 $e |- ( ph -> 0 <_ A ) $.
      ne0gt0d.3 $e |- ( ph -> A =/= 0 ) $.
      $( A nonzero nonnegative number is positive.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      ne0gt0d $p |- ( ph -> 0 < A ) $=
        ( cc0 wne clt wbr cr wcel cle wb ne0gt0 syl2anc mpbid ) ABFGZFBHIZEABJK
        FBLIQRMCDBNOP $.
    $}

    ltd.2 $e |- ( ph -> B e. RR ) $.
    $( Ordering on reals satisfies strict trichotomy.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    lttrid $p |- ( ph -> ( A < B <-> -. ( A = B \/ B < A ) ) ) $=
      ( cr wcel clt wbr wceq wo wn wb axlttri syl2anc ) ABFGCFGBCHIBCJCBHIKLMDE
      BCNO $.

    $( Consequence of trichotomy.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    lttri2d $p |- ( ph -> ( A =/= B <-> ( A < B \/ B < A ) ) ) $=
      ( cr wcel wne clt wbr wo wb lttri2 syl2anc ) ABFGCFGBCHBCIJCBIJKLDEBCMN
      $.

    $( Consequence of trichotomy.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    lttri3d $p |- ( ph -> ( A = B <-> ( -. A < B /\ -. B < A ) ) ) $=
      ( cr wcel wceq clt wbr wn wa wb lttri3 syl2anc ) ABFGCFGBCHBCIJKCBIJKLMDE
      BCNO $.

    $( Trichotomy law for 'less than'.  (Contributed by NM, 20-Sep-2007.)
       (Proof shortened by Andrew Salmon, 19-Nov-2011.) $)
    lttri4d $p |- ( ph -> ( A < B \/ A = B \/ B < A ) ) $=
      ( cr wcel clt wbr wceq w3o lttri4 syl2anc ) ABFGCFGBCHIBCJCBHIKDEBCLM $.

    $( Consequence of trichotomy.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    letri3d $p |- ( ph -> ( A = B <-> ( A <_ B /\ B <_ A ) ) ) $=
      ( cr wcel wceq cle wbr wa wb letri3 syl2anc ) ABFGCFGBCHBCIJCBIJKLDEBCMN
      $.

    $( 'Less than or equal to' in terms of 'less than'.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    leloed $p |- ( ph -> ( A <_ B <-> ( A < B \/ A = B ) ) ) $=
      ( cr wcel cle wbr clt wceq wo wb leloe syl2anc ) ABFGCFGBCHIBCJIBCKLMDEBC
      NO $.

    $( Equality in terms of 'less than or equal to', 'less than'.  (Contributed
       by NM, 7-Apr-2001.) $)
    eqleltd $p |- ( ph -> ( A = B <-> ( A <_ B /\ -. A < B ) ) ) $=
      ( cr wcel wceq cle wbr clt wn wa wb eqlelt syl2anc ) ABFGCFGBCHBCIJBCKJLM
      NDEBCOP $.

    $( 'Less than' expressed in terms of 'less than or equal to'.  (Contributed
       by Mario Carneiro, 27-May-2016.) $)
    ltlend $p |- ( ph -> ( A < B <-> ( A <_ B /\ B =/= A ) ) ) $=
      ( cr wcel clt wbr cle wne wa wb ltlen syl2anc ) ABFGCFGBCHIBCJICBKLMDEBCN
      O $.

    $( 'Less than or equal to' in terms of 'less than'.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    lenltd $p |- ( ph -> ( A <_ B <-> -. B < A ) ) $=
      ( cr wcel cle wbr clt wn wb lenlt syl2anc ) ABFGCFGBCHICBJIKLDEBCMN $.

    $( 'Less than' in terms of 'less than or equal to'.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    ltnled $p |- ( ph -> ( A < B <-> -. B <_ A ) ) $=
      ( cr wcel clt wbr cle wn wb ltnle syl2anc ) ABFGCFGBCHICBJIKLDEBCMN $.

    ${
      ltled.1 $e |- ( ph -> A < B ) $.
      $( 'Less than' implies 'less than or equal to'.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      ltled $p |- ( ph -> A <_ B ) $=
        ( clt wbr cle cr wcel wi ltle syl2anc mpd ) ABCGHZBCIHZFABJKCJKPQLDEBCM
        NO $.

      $( 'Less than' implies 'less than or equal to'.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      ltnsymd $p |- ( ph -> -. B < A ) $=
        ( cle wbr clt wn ltled lenltd mpbid ) ABCGHCBIHJABCDEFKABCDELM $.
    $}

    ${
      nltled.1 $e |- ( ph -> -. B < A ) $.
      $( 'Not less than ' implies 'less than or equal to'.  (Contributed by
         Glauco Siliprandi, 11-Dec-2019.) $)
      nltled $p |- ( ph -> A <_ B ) $=
        ( cle wbr clt wn lenltd mpbird ) ABCGHCBIHJFABCDEKL $.
    $}

    ${
      lensymd.3 $e |- ( ph -> A <_ B ) $.
      $( 'Less than or equal to' implies 'not less than'.  (Contributed by
         Glauco Siliprandi, 11-Dec-2019.) $)
      lensymd $p |- ( ph -> -. B < A ) $=
        ( cle wbr clt wn lenltd mpbid ) ABCGHCBIHJFABCDEKL $.
    $}

    $( Trichotomy law for 'less than or equal to'.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    letrid $p |- ( ph -> ( A <_ B \/ B <_ A ) ) $=
      ( cr wcel cle wbr wo letric syl2anc ) ABFGCFGBCHICBHIJDEBCKL $.

    ${
      leltned.3 $e |- ( ph -> A <_ B ) $.
      $( 'Less than or equal to' implies 'less than' is not 'equals'.
         (Contributed by Mario Carneiro, 27-May-2016.) $)
      leltned $p |- ( ph -> ( A < B <-> B =/= A ) ) $=
        ( cr wcel cle wbr clt wne wb leltne syl3anc ) ABGHCGHBCIJBCKJCBLMDEFBCN
        O $.

      leneltd.4 $e |- ( ph -> B =/= A ) $.
      $( 'Less than or equal to' and 'not equals' implies 'less than'.
         (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
      leneltd $p |- ( ph -> A < B ) $=
        ( clt wbr wne leltned mpbird ) ABCHICBJGABCDEFKL $.
    $}

    ${
      mulgt0d.3 $e |- ( ph -> 0 < A ) $.
      mulgt0d.4 $e |- ( ph -> 0 < B ) $.
      $( The product of two positive numbers is positive.  (Contributed by
         Mario Carneiro, 27-May-2016.) $)
      mulgt0d $p |- ( ph -> 0 < ( A x. B ) ) $=
        ( cr wcel cc0 clt wbr cmul co mulgt0 syl22anc ) ABHIJBKLCHIJCKLJBCMNKLD
        FEGBCOP $.
    $}

    letrd.3 $e |- ( ph -> C e. RR ) $.
    $( Addition to both sides of 'less than'.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    ltadd2d $p |- ( ph -> ( A < B <-> ( C + A ) < ( C + B ) ) ) $=
      ( cr wcel clt wbr caddc co wb ltadd2 syl3anc ) ABHICHIDHIBCJKDBLMDCLMJKNE
      FGBCDOP $.

    ${
      letrd.4 $e |- ( ph -> A <_ B ) $.
      letrd.5 $e |- ( ph -> B <_ C ) $.
      $( Transitive law deduction for 'less than or equal to'.  (Contributed by
         NM, 20-May-2005.) $)
      letrd $p |- ( ph -> A <_ C ) $=
        ( cle wbr cr wcel wa wi letr syl3anc mp2and ) ABCJKZCDJKZBDJKZHIABLMCLM
        DLMSTNUAOEFGBCDPQR $.
    $}

    ${
      lelttrd.4 $e |- ( ph -> A <_ B ) $.
      lelttrd.5 $e |- ( ph -> B < C ) $.
      $( Transitive law deduction for 'less than or equal to', 'less than'.
         (Contributed by NM, 8-Jan-2006.) $)
      lelttrd $p |- ( ph -> A < C ) $=
        ( cle wbr clt cr wcel wa wi lelttr syl3anc mp2and ) ABCJKZCDLKZBDLKZHIA
        BMNCMNDMNTUAOUBPEFGBCDQRS $.
    $}

    ${
      ltletrd.4 $e |- ( ph -> A < B ) $.
      $( Addition to both sides of 'less than'.  (Contributed by Mario
         Carneiro, 30-May-2016.) $)
      ltadd2dd $p |- ( ph -> ( C + A ) < ( C + B ) ) $=
        ( clt wbr caddc co ltadd2d mpbid ) ABCIJDBKLDCKLIJHABCDEFGMN $.

      ltletrd.5 $e |- ( ph -> B <_ C ) $.
      $( Transitive law deduction for 'less than', 'less than or equal to'.
         (Contributed by NM, 9-Jan-2006.) $)
      ltletrd $p |- ( ph -> A < C ) $=
        ( clt wbr cle cr wcel wa wi ltletr syl3anc mp2and ) ABCJKZCDLKZBDJKZHIA
        BMNCMNDMNTUAOUBPEFGBCDQRS $.
    $}

    ${
      lttrd.4 $e |- ( ph -> A < B ) $.
      lttrd.5 $e |- ( ph -> B < C ) $.
      $( Transitive law deduction for 'less than'.  (Contributed by NM,
         9-Jan-2006.) $)
      lttrd $p |- ( ph -> A < C ) $=
        ( clt wbr cr wcel wa wi lttr syl3anc mp2and ) ABCJKZCDJKZBDJKZHIABLMCLM
        DLMSTNUAOEFGBCDPQR $.
    $}
  $}

  ${
    lelttrdi.r $e |- ( ph -> ( A e. RR /\ B e. RR /\ C e. RR ) ) $.
    lelttrdi.l $e |- ( ph -> B <_ C ) $.
    $( If a number is less than another number, and the other number is less
       than or equal to a third number, the first number is less than the third
       number.  (Contributed by Alexander van der Vekens, 24-Mar-2018.) $)
    lelttrdi $p |- ( ph -> ( A < B -> A < C ) ) $=
      ( clt wbr wa cr wcel simp1d adantr simp2d simp3d simpr cle ltletrd ex ) A
      BCGHZBDGHATIBCDABJKZTAUACJKZDJKZELMAUBTAUAUBUCENMAUCTAUAUBUCEOMATPACDQHTF
      MRS $.
  $}

  ${
    $d A x y z w $.  $d B x y z w $.
    $( The Dedekind cut theorem.  This theorem, which may be used to replace
       ~ ax-pre-sup with appropriate adjustments, states that, if ` A `
       completely preceeds ` B ` , then there is some number separating the two
       of them.  (Contributed by Scott Fenton, 13-Jun-2013.) $)
    dedekind $p |- ( ( A C_ RR /\ B C_ RR /\ A. x e. A A. y e. B x < y ) ->
       E. z e. RR A. x e. A A. y e. B ( x <_ z /\ z <_ y ) ) $=
      ( vw cr cv clt wbr wral cle wa wrex wi c0 wcel nfv wceq c1 wss wne w3a wn
      nfra1 nf3an nfan nfra2w simpl2l sselda simplrl simprrl r19.21bi nltled ex
      simprll simp2r simpr ssel2 syl2an simpl3 simp2 com12 adantl simplr ltnsym
      rsp adantlr syl2an2r syld an32s ralimdva mpd breq2 notbid cbvralvw ralnex
      sylib breq1 rexbidv imbi12d simplrr rspcdva mtod expr anim12d expd simp2l
      ralrimd ralrimi simp1l wex simp1r n0 sseld ralcom ralbidv rspccv 3ad2ant3
      sylbi jcad eximdv df-rex sylibr axsup syl3anc reximddv 3expib 1re anbi12d
      rzal 2ralbidv rspcev sylancr a1d ralrimivw pm2.61iine 3impa ) DGUAZEGUAZA
      HZBHZIJZBEKZADKZYACHZLJZYFYBLJZMZBEKZADKZCGNZXSXTMZYEMZYLODEPPDPUBZEPUBZM
      ZYMYEYLYQYMYEUCZYFYAIJUDZADKZYAYFIJZYAFHZIJZFDNZOZAGKZMZYKCGYRYFGQZUUGMZM
      ZYJADYRUUIAYQYMYEAYQARYMARYDADUEUFUUHUUGAUUHARYTUUFAYSADUEUUEAGUEUGUGUGUU
      JYADQZYIBEYRUUIBYQYMYEBYQBRYMBRYCABDEUHUFUUIBRUGUUKBRUUJUUKYBEQZYIUUJUUKY
      GUULYHUUJUUKYGUUJUUKMYAYFUUJDGYAXSXTYQYEUUIUIUJYRUUHUUGUUKUKUUJYSADYRUUHY
      TUUFULUMUNUOYRUUIUULYHYRUUIUULMZMZYFYBYRUUHUUGUULUPYRXTUULYBGQZUUMYQXSXTY
      EUQZUUIUULURZEGYBUSUTZUUNYBYFIJZYBUUBIJZFDNZUUNUUTUDZFDKZUVAUDUUNYBYAIJZU
      DZADKZUVCUUNYEUVFYQYMYEUUMVAYRYMUULYEUVFOUUMYQYMYEVBUUQYMUULMYDUVEADYMUUK
      UULYDUVEOYMUUKMZUULMYDYCUVEUULYDYCOUVGYDUULYCYCBEVGVCVDUVGYAGQZUULUUOYCUV
      EOXSUUKUVHXTDGYAUSVHUVGEGYBXSXTUUKVEUJYAYBVFVIVJVKVLUTVMUVEUVBAFDYAUUBSUV
      DUUTYAUUBYBIVNVOVPVRUUTFDVQVRUUNUUEUUSUVAOAGYBYAYBSZUUAUUSUUDUVAYAYBYFIVS
      UVIUUCUUTFDYAYBUUBIVSVTWAUUMUUFYRUUHYTUUFUULWBVDUURWCWDUNWEWFWGWIWJYRXSYO
      UUAADKZCGNZUUGCGNYQXSXTYEWHYOYPYMYEWKYRUUHUVJMZCWLZUVKYRYFEQZCWLZUVMYRYPU
      VOYOYPYMYEWMCEWNVRYRUVNUVLCYRUVNUUHUVJYREGYFUUPWOYEYQUVNUVJOZYMYEYCADKZBE
      KUVPYCABDEWPUVQUVJBYFEYBYFSYCUUAADYBYFYAIVNWQWRWTWSXAXBVMUVJCGXCXDCAFDXEX
      FXGXHDPSZYLYNUVRTGQZYATLJZTYBLJZMZBEKZADKZYLXIUWCADXKYKUWDCTGYFTSZYIUWBAB
      DEUWEYGUVTYHUWAYFTYALVNYFTYBLVSXJXLXMZXNXOEPSZYLYNUWGUVSUWDYLXIUWGUWCADUW
      BBEXKXPUWFXNXOXQXR $.

    $( The Dedekind cut theorem, with the hypothesis weakened to only require
       non-strict less than.  (Contributed by Scott Fenton, 2-Jul-2013.) $)
    dedekindle $p |- ( ( A C_ RR /\ B C_ RR /\ A. x e. A A. y e. B x <_ y ) ->
       E. z e. RR A. x e. A A. y e. B ( x <_ z /\ z <_ y ) ) $=
      ( vw cr wss cv cle wbr wral wa wi c0 wcel syl2an weq ssel2 nfv w3a simpr1
      wrex cin wceq clt simpr2 wne simp1 simpl disjel biimpcd necon3bd ad2antll
      wn eleq1w simp2 simp3 simpr ltlend biimprd mpan2d ralimdvva 3exp dedekind
      mpd 3imp2 syl3anc ex wex n0 elinel1 nfra1 nf3an nfan nfra2w elinel2 breq2
      rsp rspccv syl5 syl6 com23 imp32 3ad2antl3 breq1 ralbidv rspccva r19.21bi
      adantr jca ralrimi expr anbi12d 2ralbidv rspcev syl2anc exlimiv pm2.61ine
      expcom sylbi ) DGHZEGHZAIZBIZJKZBELZADLZUAZXDCIZJKZXJXEJKZMZBELADLZCGUCZN
      ZDEUDZOXQOUEZXIXOXRXIMXBXCXDXEUFKZBELADLZXOXRXBXCXHUBXRXBXCXHUGXRXBXCXHXT
      XRXBXCXHXTNXRXBXCUAZXFXSABDEYAXDDPZXEEPZMZMZXFXEXDUHZXSYEXDEPZUOZYFYAXRYB
      YHYDXRXBXCUIYBYCUJZDEXDUKQYCYHYFNYAYBYCYGXEXDBARYCYGBAEUPULUMUNVFYEXSXFYF
      MYEXDXEYAXBYBXDGPYDXRXBXCUQYIDGXDSQYAXCYCXEGPYDXRXBXCURYBYCUSEGXESQUTVAVB
      VCVDVGABCDEVEVHVIXQOUHFIZXQPZFVJXPFXQVKYKXPFXIYKXOXIYKMZYJGPZXDYJJKZYJXEJ
      KZMZBELZADLZXOXIXBYJDPZYMYKXBXCXHUIYJDEVLZDGYJSQYLYQADXIYKAXBXCXHAXBATXCA
      TXGADVMVNYKATVOXIYKYBYQXIYKYBMZMZYPBEXIUUABXBXCXHBXBBTXCBTXFABDEVPVNUUABT
      VOUUBYCYPUUBYCMYNYOUUBYNYCXHXBUUAYNXCXHYKYBYNXHYBYKYNXHYBXGYKYNNXGADVSYKY
      JEPXGYNYJDEVQXFYNBYJEXEYJXDJVRVTWAWBWCWDWEWJUUBYOBEXIXHYSYOBELZUUAXBXCXHU
      RYKYSYBYTWJXGUUCAYJDAFRXFYOBEXDYJXEJWFWGWHQWIWKVIWLWMWLXNYRCYJGCFRZXMYPAB
      DEUUDXKYNXLYOXJYJXDJVRXJYJXEJWFWNWOWPWQWTWRXAWS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Initial properties of the complex numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Commutative/associative law for multiplication.  (Contributed by NM,
     30-Apr-2005.) $)
  mul12 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( A x. ( B x. C ) ) = ( B x. ( A x. C ) ) ) $=
    ( cc wcel w3a cmul co wceq wa mulcom oveq1d 3adant3 mulass 3com12 3eqtr3d )
    ADEZBDEZCDEZFABGHZCGHZBAGHZCGHZABCGHGHBACGHGHZQRUAUCISQRJTUBCGABKLMABCNRQSU
    CUDIBACNOP $.

  $( Commutative/associative law.  (Contributed by NM, 8-Oct-1999.) $)
  mul32 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( ( A x. B ) x. C ) = ( ( A x. C ) x. B ) ) $=
    ( cc wcel w3a cmul co wceq wa mulcom oveq2d 3adant1 mulass 3com23 3eqtr4d )
    ADEZBDEZCDEZFABCGHZGHZACBGHZGHZABGHCGHACGHBGHZRSUAUCIQRSJTUBAGBCKLMABCNQSRU
    DUCIACBNOP $.

  $( Commutative/associative law.  (Contributed by Scott Fenton,
     3-Jan-2013.) $)
  mul31 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A x. B ) x. C ) = ( ( C x. B ) x. A ) ) $=
    ( cc wcel cmul co wceq wa mulcom oveq2d 3adant1 mulass mulcl ancoms mulcomd
    w3a simp1 3eqtr4d ) ADEZBDEZCDEZQZABCFGZFGZACBFGZFGZABFGCFGUFAFGUAUBUEUGHTU
    AUBIUDUFAFBCJKLABCMUCUFAUAUBUFDEZTUBUAUHCBNOLTUAUBRPS $.

  $( Rearrangement of 4 factors.  (Contributed by NM, 8-Oct-1999.) $)
  mul4 $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
              ( ( A x. B ) x. ( C x. D ) ) =
                 ( ( A x. C ) x. ( B x. D ) ) ) $=
    ( cc wcel wa cmul co wceq w3a mul32 oveq1d 3expa adantrr mulcl mulass 3expb
    sylan an4s 3eqtr3d ) AEFZBEFZGZCEFZDEFZGZGABHIZCHIZDHIZACHIZBHIZDHIZUHCDHIH
    IZUKBDHIHIZUDUEUJUMJZUFUBUCUEUPUBUCUEKUIULDHABCLMNOUDUHEFZUGUJUNJZABPUQUEUF
    URUHCDQRSUBUEUCUFUMUOJZUBUEGUKEFZUCUFGUSACPUTUCUFUSUKBDQRSTUA $.

  $( Rearrangement of 4 factors: swap the right factors in the factors of a
     product of two products.  (Contributed by AV, 4-Mar-2023.) $)
  mul4r $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
              ( ( A x. B ) x. ( C x. D ) ) =
                 ( ( A x. D ) x. ( C x. B ) ) ) $=
    ( cc wcel cmul wceq mulcom adantl oveq2d mul4 ancom2s simplr simprl mulcomd
    wa co 3eqtrd ) AEFZBEFZQZCEFZDEFZQZQZABGRZCDGRZGRUGDCGRZGRZADGRZBCGRZGRZUKC
    BGRZGRUFUHUIUGGUEUHUIHUBCDIJKUBUDUCUJUMHABDCLMUFULUNUKGUFBCTUAUENUBUCUDOPKS
    $.

  $( A simple product of sums expansion.  (Contributed by NM, 21-Feb-2005.) $)
  muladd11 $p |- ( ( A e. CC /\ B e. CC ) -> ( ( 1 + A ) x. ( 1 + B ) ) =
                 ( ( 1 + A ) + ( B + ( A x. B ) ) ) ) $=
    ( cc wcel wa c1 caddc cmul wceq ax-1cn addcl mpan adddi mp3an2 sylan adantr
    co mulid1d adddir eqtrd mp3an1 mulid2 adantl oveq1d oveq12d ) ACDZBCDZEZFAG
    QZFBGQHQZUIFHQZUIBHQZGQZUIBABHQZGQZGQUFUICDZUGUJUMIZFCDZUFUPJFAKLZUPURUGUQJ
    UIFBMNOUHUKUIULUOGUFUKUIIUGUFUIUSRPUHULFBHQZUNGQZUOURUFUGULVAIJFABSUAUHUTBU
    NGUGUTBIUFBUBUCUDTUET $.

  $( Two times a number.  (Contributed by NM, 18-May-1999.)  (Revised by Mario
     Carneiro, 27-May-2016.) $)
  1p1times $p |- ( A e. CC -> ( ( 1 + 1 ) x. A ) = ( A + A ) ) $=
    ( cc wcel c1 caddc co 1cnd id cmul mulid2 oveq12d joinlmuladdmuld ) ABCZDAD
    AAEFMGZMHNMDAIFZAOAEAJZPKL $.

  $( A theorem for complex numbers analogous the second Peano postulate
     ~ peano2nn .  (Contributed by NM, 17-Aug-2005.) $)
  peano2cn $p |- ( A e. CC -> ( A + 1 ) e. CC ) $=
    ( cc wcel c1 caddc co ax-1cn addcl mpan2 ) ABCDBCADEFBCGADHI $.

  $( A theorem for reals analogous the second Peano postulate ~ peano2nn .
     (Contributed by NM, 5-Jul-2005.) $)
  peano2re $p |- ( A e. RR -> ( A + 1 ) e. RR ) $=
    ( cr wcel c1 caddc co 1re readdcl mpan2 ) ABCDBCADEFBCGADHI $.

  $( Cancellation law for addition over the reals.  (Contributed by Scott
     Fenton, 3-Jan-2013.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  readdcan $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( C + A ) = ( C + B ) <-> A = B ) ) $=
    ( cr wcel w3a clt wbr wn wa caddc co wceq ltadd2 notbid simp2 simp1 lttri3d
    simp3 readdcld ltadd2d anbi12d 3bitr4rd ) ADEZBDEZCDEZFZABGHZIZBAGHZIZJCAKL
    ZCBKLZGHZIZUMULGHZIZJABMULUMMUGUIUOUKUQUGUHUNABCNOUGUJUPUGBACUDUEUFPZUDUEUF
    QZUDUEUFSZUAOUBUGABUSURRUGULUMUGCAUTUSTUGCBUTURTRUC $.

  ${
    $d c y $.
    $( ` 0 ` is its own additive identity.  (Contributed by Scott Fenton,
       3-Jan-2013.) $)
    00id $p |- ( 0 + 0 ) = 0 $=
      ( vc vy cc0 cr wcel cv caddc co wceq 0re wa cmul c1 cc 0cn syl2anc eqtr3d
      recnd oveq1d remulcl wrex ax-rnegex oveq2 eqeq1d biimpd adantld ax-rrecex
      wi wne adantlr simplll simprl mulass mp3an3 oveq1 mulid2i eqtrdi ad2antll
      simpllr mpan2 adddir mp3an2i sylancr addass eqtr2d sylan2 readdcl sylancl
      ad2antrl readdcan mp3an2 mpbid rexlimddv expcom pm2.61ine rexlimiva mp2b
      wb ) CDEZCAFZGHZCIZADUACCGHZCIZJACUBWBWDADVTDEZWBKZWDUHVTCVTCIZWBWDWEWGWB
      WDWGWAWCCVTCCGUCUDUEUFWFVTCUIZWDWFWHKZVTBFZLHZMIZWDBDWEWHWLBDUAWBBVTUGUJW
      IWJDEZWLKZKZVTWJCLHZLHZCGHZWCCWOWQCCGWOWKCLHZWQCWOVTNEZWJNEZWSWQIZWOVTWEW
      BWHWNUKZRZWOWJWIWMWLULZRWTXACNEZXBOVTWJCUMUNPWLWSCIWIWMWLWSMCLHCWKMCLUOCO
      UPUQURQSWOCWPLHZWRGHZXGCGHZIZWRCIZWOXIXGWQGHZCGHZXHWOXGXLCGWOWAWPLHZXGXLW
      OWACWPLWEWBWHWNUSSXFWOWTWPNEXNXLIOXDWOWPWMWPDEZWIWLWMVSXOJWJCTUTZVIZRCVTW
      PVAVBQSWOXGNEZWQNEZXMXHIZWOXGWMXGDEZWIWLWMVSXOYAJXPCWPTVCVIZRWOWQWOWEXOWQ
      DEZXCXQVTWPTZPRXRXSXFXTOXGWQCVDUNPVEWOWRDEZYAXJXKVRZWOWEWMYEXCXEWEWMKYCVS
      YEWMWEXOYCXPYDVFJWQCVGVHPYBYEVSYAYFJWRCXGVJVKPVLQVMVNVOVPVQ $.
  $}

  ${
    $d A y $.  $d B y $.
    $( Lemma for ~ mul02 .  If any real does not produce ` 0 ` when multiplied
       by ` 0 ` , then any complex is equal to double itself.  (Contributed by
       Scott Fenton, 3-Jan-2013.) $)
    mul02lem1 $p |- ( ( ( A e. RR /\ ( 0 x. A ) =/= 0 ) /\ B e. CC ) ->
                       B = ( B + B ) ) $=
      ( vy cr wcel cc0 cmul co wne wa cc c1 wceq caddc recnd mulcld 0cn syl2anc
      mp3an3 eqtrd cv wrex 0re remulcl mpan ax-rrecex adantr 00id oveq2i eqcomi
      sylan simprl simplll simplr mul32 mul31 simprr oveq1d mulid2 ad2antlr syl
      adddi mp3an23 oveq12d 3eqtr3a rexlimddv ) ADEZFAGHZFIZJZBKEZJZVHCUAZGHZLM
      ZBBBNHZMCDVJVOCDUBZVKVGVHDEZVIVQFDEVGVRUCFAUDUECVHUFUKUGVLVMDEZVOJZJZVMAG
      HZBGHZFGHZWCFFNHZGHZBVPWFWDWEFWCGUHUIUJWAWDWBFGHZBGHZBWAWBKEZVKWDWHMZWAVM
      AWAVMVLVSVOULOZWAAVGVIVKVTUMOZPZVJVKVTUNZWIVKFKEZWJQWBBFUOSRWAWHLBGHZBWAW
      GLBGWAWGVNLWAVMKEZAKEZWGVNMZWKWLWQWRWOWSQVMAFUPSRVLVSVOUQTURVKWPBMVJVTBUS
      UTTTZWAWFWDWDNHZVPWAWCKEZWFXAMZWAWBBWMWNPXBWOWOXCQQWCFFVBVCVAWAWDBWDBNWTW
      TVDTVEVF $.
  $}

  $( Lemma for ~ mul02 .  Zero times a real is zero.  (Contributed by Scott
     Fenton, 3-Jan-2013.) $)
  mul02lem2 $p |- ( A e. RR -> ( 0 x. A ) = 0 ) $=
    ( cr wcel c1 cc0 cmul co wceq ax-1ne0 wa caddc ci cc ax-1cn mul02lem1 mpan2
    wne ax-icn ax-i2m1 0re eqcomd oveq2d mulcli addassi oveq1i eqtr3i eqtr4i wb
    00id 3eqtr3g 1re readdcan mp3an sylib ex necon1d mpi ) ABCZDEQEAFGZEHIURUSE
    DEURUSEQZDEHZURUTJZEDKGZEEKGZHZVAVBLLFGZDDKGZKGZVFDKGZVCVDVBVGDVFKVBDVGVBDM
    CDVGHNADOPUAUBVIDKGVHVCVFDDLLRRUCNNUDVIEDKSUEUFVIEVDSUIUGUJDBCEBCZVJVEVAUHU
    KTTDEEULUMUNUOUPUQ $.

  ${
    $d A x y $.
    $( Multiplication by ` 0 ` .  Theorem I.6 of [Apostol] p. 18.  Based on
       ideas by Eric Schmidt.  (Contributed by NM, 10-Aug-1999.)  (Revised by
       Scott Fenton, 3-Jan-2013.) $)
    mul02 $p |- ( A e. CC -> ( 0 x. A ) = 0 ) $=
      ( vx vy cc wcel cv ci cmul co caddc wceq cr wrex cc0 cnre 0cn recn ax-icn
      mul02lem2 ax-mp wa mulcl sylancr adddi mp3an3an mp3an12i oveq2d oveqan12d
      mul12 eqtrd oveq2 eqeq1d syl5ibrcom rexlimivv 0re eqtr3i eqtrdi syl ) ADE
      ABFZGCFZHIZJIZKZCLMBLMNAHIZNKZBCAOVCVEBCLLUSLEZUTLEZUAZVEVCNVBHIZNKVHVING
      NHIZJIZNVHVINUSHIZNVAHIZJIZVKNDEZVFUSDEVGVADEZVIVNKPUSQVGGDEZUTDEZVPRUTQZ
      GUTUBUCNUSVAUDUEVFVGVLNVMVJJUSSVGVMGNUTHIZHIZVJVOVQVGVRVMWAKPRVSNGUTUIUFV
      GVTNGHUTSUGUJUHUJZNNHIZVKNNVBKZCLMBLMZWCVKKZVOWEPBCNOTWDWFBCLLVHWFWDVIVKK
      WBWDWCVIVKNVBNHUKULUMUNTNLEWCNKUONSTUPUQVCVDVINAVBNHUKULUMUNUR $.
  $}

  $( Multiplication by ` 0 ` .  Theorem I.6 of [Apostol] p. 18.  (Contributed
     by NM, 15-May-1999.)  (Revised by Scott Fenton, 3-Jan-2013.) $)
  mul01 $p |- ( A e. CC -> ( A x. 0 ) = 0 ) $=
    ( cc wcel cc0 cmul co wceq 0cn mulcom mpan2 mul02 eqtrd ) ABCZADEFZDAEFZDMD
    BCNOGHADIJAKL $.

  ${
    $d A c x $.
    $( ` 0 ` is an additive identity.  This used to be one of our complex
       number axioms, until it was found to be dependent on the others.  Based
       on ideas by Eric Schmidt.  (Contributed by Scott Fenton, 3-Jan-2013.)
       (Proof shortened by Mario Carneiro, 27-May-2016.) $)
    addid1 $p |- ( A e. CC -> ( A + 0 ) = A ) $=
      ( vc vx c1 cr wcel caddc co cc0 wceq cc 1re wa ci ax-1cn mul01 eqtr3i 0re
      cmul a1i cv wrex ax-rnegex wne ax-1ne0 oveq2 eqeq1d biimpcd ax-icn mulcli
      wi 0cn adddii mulid1i ax-mp ax-i2m1 eqtr4i oveq12i eqeq12i addassi oveq2i
      eqtri oveq1i 00id eqcomi wb readdcan mp3an 3bitri sylib necon3d ax-rrecex
      syl6 mpi sylan2 simpr simplrl recnd mulcld simplll adddid addassd simpllr
      oveq1d eqtr3d 3eqtr4a readdcld syl3anc mpbid oveq2d mul31 simplrr mulid2d
      3eqtrd syl oveq12d 3eqtr3d exp42 rexlimdv mpd rexlimiva mp2b ) DEFZDBUAZG
      HZIJZBEUBAKFZAIGHZAJZUKZLBDUCXFXJBEXDEFZXFMZXDCUAZSHZDJZCEUBZXJXFXKXDIUDZ
      XPXFDIUDXQUEXFXDIDIXFXDIJZDIGHZIJZDIJZXRXFXTXRXEXSIXDIDGUFUGUHXTNNSHZYBSH
      ZXSSHZYCISHZJZYAXSIYCSUFYFYCYBDGHZGHZIJIDGHZIIGHZJZYAYDYHYEIYDYCDSHZYEGHY
      HYCDIYBYBNNUIUIUJZYMUJZOULUMYLYCYEYGGYCYNUNYEIYGYCKFYEIJYNYCPUOZUPUQURVBY
      OUSYHYIIYJYCYBGHZDGHYHYIYCYBDYNYMOUTYPIDGYCYBDSHZGHZYPIYQYBYCGYBYMUNVAYBY
      GSHZYRIYBYBDYMYMOUMYSYBISHZIYGIYBSUPVAYBKFYTIJYMYBPUOVBQQVCQYJIVDVEUSXCIE
      FZUUAYKYAVFLRRDIIVGVHVIVJVMVKVNCXDVLVOXLXOXJCEXLXMEFZXOXGXIXLUUBXOMZMZXGM
      ZAXMSHZXDSHZUUFISHZGHZUUGXHAUUEUUFXDIGHZSHUUIUUGUUEUUFXDIUUEAXMUUDXGVPZUU
      EXMXLUUBXOXGVQVRZVSZUUEXDXKXFUUCXGVTZVRZIKFUUEULTZWAUUEUUJXDUUFSUUEDUUJGH
      ZXEJZUUJXDJZUUEYJIUUQXEVDUUEXEIGHUUQYJUUEDXDIDKFUUEOTUUOUUPWBUUEXEIIGXKXF
      UUCXGWCZWDWEUUTWFUUEUUJEFXKXCUURUUSVFUUEXDIUUNUUAUUERTWGUUNXCUUELTUUJXDDV
      GWHWIWJWEUUEUUGAUUHIGUUEUUGXNASHZDASHAUUEXGXMKFXDKFUUGUVAJUUKUULUUOAXMXDW
      KWHUUEXNDASXLUUBXOXGWLWDUUEAUUKWMWNZUUEUUFKFUUHIJUUMUUFPWOWPUVBWQWRWSWTXA
      XB $.
  $}

  ${
    $d A x a b c d $.
    $( Existence of the negative of a complex number.  (Contributed by Eric
       Schmidt, 21-May-2007.)  (Revised by Scott Fenton, 3-Jan-2013.)  (Proof
       shortened by Mario Carneiro, 27-May-2016.) $)
    cnegex $p |- ( A e. CC -> E. x e. CC ( A + x ) = 0 ) $=
      ( va vb vc vd cc wcel cv ci cmul co caddc wceq cr wrex cc0 recnd eqtr3d
      wa cnre ax-rnegex anim12i reeanv sylibr ax-icn a1i simplrr mulcld simplrl
      addcld simplll simpllr adddid simprr oveq2d mul01 ax-mp eqtrdi addid1 syl
      addassd 3eqtrd oveq1d simprl oveq2 eqeq1d rspcev syl2anc rexlimdvva oveq1
      ex mpd rexbidv syl5ibrcom rexlimivv ) BGHBCIZJDIZKLZMLZNZDOPCOPBAIZMLZQNZ
      AGPZCDBUAWAWECDOOVQOHZVROHZTZWEWAVTWBMLZQNZAGPZWHVQEIZMLZQNZVRFIZMLZQNZTZ
      FOPEOPZWKWHWNEOPZWQFOPZTWSWFWTWGXAEVQUBFVRUBUCWNWQEFOOUDUEWHWRWKEFOOWHWLO
      HZWOOHZTZTZWRWKXEWRTZJWOKLZWLMLZGHVTXHMLZQNZWKXFXGWLXFJWOJGHZXFUFUGZXFWOW
      HXBXCWRUHRZUIZXFWLWHXBXCWRUJRZUKXFWMXIQXFVTXGMLZWLMLWMXIXFXPVQWLMXFXPVQVS
      XGMLZMLVQQMLZVQXFVQVSXGXFVQWFWGXDWRULRZXFJVRXLXFVRWFWGXDWRUMRZUIZXNVBXFXQ
      QVQMXFJWPKLZXQQXFJVRWOXLXTXMUNXFYBJQKLZQXFWPQJKXEWNWQUOUPXKYCQNUFJUQURUSS
      UPXFVQGHXRVQNXSVQUTVAVCVDXFVTXGWLXFVQVSXSYAUKXNXOVBSXEWNWQVESWJXJAXHGWBXH
      NWIXIQWBXHVTMVFVGVHVIVLVJVMWAWDWJAGWAWCWIQBVTWBMVKVGVNVOVPVA $.
  $}

  ${
    $d A x $.
    $( Existence of a left inverse for addition.  (Contributed by Scott Fenton,
       3-Jan-2013.) $)
    cnegex2 $p |- ( A e. CC -> E. x e. CC ( x + A ) = 0 ) $=
      ( cc wcel ci cmul co caddc cc0 wceq cv wrex ax-icn mulcli mulcl c1 mulid2
      mpan oveq2d ax-i2m1 oveq1i ax-1cn adddir mul02 eqtr3d oveq1 eqeq1d rspcev
      mp3an12 3eqtr3a syl2anc ) BCDZEEFGZBFGZCDZUNBHGZIJZAKZBHGZIJZACLUMCDZULUO
      EEMMNZUMBORULUNPBFGZHGZUPIULVCBUNHBQSULUMPHGZBFGZIBFGVDIVEIBFTUAVAPCDULVF
      VDJVBUBUMPBUCUIBUDUJUEUTUQAUNCURUNJUSUPIURUNBHUFUGUHUK $.
  $}

  ${
    $d x y A $.  $d x B $.  $d x C $.
    $( ` 0 ` is a left identity for addition.  This used to be one of our
       complex number axioms, until it was discovered that it was dependent on
       the others.  Based on ideas by Eric Schmidt.  (Contributed by Scott
       Fenton, 3-Jan-2013.) $)
    addid2 $p |- ( A e. CC -> ( 0 + A ) = A ) $=
      ( vx vy cc wcel cv caddc co cc0 wceq cnegex wrex ad2antrl w3a 0cn mp3an12
      wa addass oveq2d 3eqtr3rd adantr 3ad2ant3 00id oveq1i simp1 simp2l simp3l
      addassd simp2r oveq1d simp3r addid1 3ad2ant1 eqtr3d eqtrid expd rexlimddv
      3expia rexlimdv mpd ) ADEZABFZGHZIJZIAGHZAJZBDBAKVAVBDEZVDQZQZVBCFZGHZIJZ
      CDLZVFVGVMVAVDCVBKMVIVLVFCDVIVJDEZVLVFVAVHVNVLQZVFVAVHVONZIIGHZVJGHZIIVJG
      HZGHZAVEVOVAVRVTJZVHVNWAVLIDEZWBVNWAOOIIVJRPUAUBVPVRVSAVQIVJGUCUDVPAIGHZV
      SAVPVCVJGHAVKGHVSWCVPAVBVJVAVHVOUEVAVGVDVOUFVAVHVNVLUGUHVPVCIVJGVAVGVDVOU
      IUJVPVKIAGVAVHVNVLUKSTVAVHWCAJVOAULUMUNZUOVPVSAIGWDSTURUPUSUTUQ $.

    $( Cancellation law for addition.  Theorem I.1 of [Apostol] p. 18.
       (Contributed by NM, 22-Nov-1994.)  (Proof shortened by Mario Carneiro,
       27-May-2016.) $)
    addcan $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                   ( ( A + B ) = ( A + C ) <-> B = C ) ) $=
      ( vx cc wcel w3a cv caddc co cc0 wceq wb wa oveq1d addassd addid2 3eqtr3d
      oveq2 syl wrex cnegex2 3ad2ant1 simprr simprl simpl1 simpl2 simpl3 syl5ib
      eqeq12d impbid1 rexlimddv ) AEFZBEFZCEFZGZDHZAIJZKLZABIJZACIJZLZBCLZMDEUM
      UNUSDEUAUODAUBUCUPUQEFZUSNZNZVBVCVBUQUTIJZUQVAIJZLVFVCUTVAUQISVFVGBVHCVFU
      RBIJKBIJZVGBVFURKBIUPVDUSUDZOVFUQABUPVDUSUEZUMUNUOVEUFZUMUNUOVEUGZPVFUNVI
      BLVMBQTRVFURCIJKCIJZVHCVFURKCIVJOVFUQACVKVLUMUNUOVEUHZPVFUOVNCLVOCQTRUJUI
      BCAISUKUL $.

    $( Cancellation law for addition.  (Contributed by NM, 30-Jul-2004.)
       (Revised by Scott Fenton, 3-Jan-2013.) $)
    addcan2 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                    ( ( A + C ) = ( B + C ) <-> A = B ) ) $=
      ( vx cc wcel w3a cv caddc co cc0 wb wa oveq1 addassd oveq2d addid1 3eqtrd
      wceq syl wrex cnegex 3ad2ant3 simpl1 simpl3 simprl simprr eqeq12d impbid1
      simpl2 syl5ib rexlimddv ) AEFZBEFZCEFZGZCDHZIJZKSZACIJZBCIJZSZABSZLDEUOUM
      USDEUAUNDCUBUCUPUQEFZUSMZMZVBVCVBUTUQIJZVAUQIJZSVFVCUTVAUQINVFVGAVHBVFVGA
      URIJAKIJZAVFACUQUMUNUOVEUDZUMUNUOVEUEZUPVDUSUFZOVFURKAIUPVDUSUGZPVFUMVIAS
      VJAQTRVFVHBURIJBKIJZBVFBCUQUMUNUOVEUJZVKVLOVFURKBIVMPVFUNVNBSVOBQTRUHUKAB
      CINUIUL $.
  $}

  $( Addition commutes.  This used to be one of our complex number axioms,
     until it was found to be dependent on the others.  Based on ideas by Eric
     Schmidt.  (Contributed by Scott Fenton, 3-Jan-2013.) $)
  addcom $p |- ( ( A e. CC /\ B e. CC ) -> ( A + B ) = ( B + A ) ) $=
    ( cc wcel wa caddc co wceq c1 cmul 1cnd addcld simpl simpr 1p1times addassd
    adddid wb syl3anc mpbid oveqan12d 3eqtr3rd 3eqtr4d addcan2 3eqtr3d addcan
    syl ) ACDZBCDZEZAABFGZFGZABAFGZFGZHZUKUMHZUJAAFGZBFGZUKAFGZULUNUJURBFGZUSBF
    GZHZURUSHZUJUQBBFGZFGZUKUKFGZUTVAUJIIFGZUKJGZVGAJGZVGBJGZFGVFVEUJVGABUJIIUJ
    KZVKLUHUIMZUHUINZQUJUKCDZVHVFHUJABVLVMLZUKOUGUHUIVIUQVJVDFAOBOUAUBUJUQBBUJA
    AVLVLLZVMVMPUJUKABVOVLVMPUCUJURCDUSCDUIVBVCRUJUQBVPVMLUJUKAVOVLLVMURUSBUDST
    UJAABVLVLVMPUJABAVLVMVLPUEUJUHVNUMCDUOUPRVLVOUJBAVMVLLAUKUMUFST $.

  ${
    mul.1 $e |- A e. CC $.
    $( ` 0 ` is an additive identity.  (Contributed by NM, 23-Nov-1994.)
       (Revised by Scott Fenton, 3-Jan-2013.) $)
    addid1i $p |- ( A + 0 ) = A $=
      ( cc wcel cc0 caddc co wceq addid1 ax-mp ) ACDAEFGAHBAIJ $.

    $( ` 0 ` is a left identity for addition.  (Contributed by NM,
       3-Jan-2013.) $)
    addid2i $p |- ( 0 + A ) = A $=
      ( cc wcel cc0 caddc co wceq addid2 ax-mp ) ACDEAFGAHBAIJ $.

    $( Multiplication by 0.  Theorem I.6 of [Apostol] p. 18.  (Contributed by
       NM, 23-Nov-1994.) $)
    mul02i $p |- ( 0 x. A ) = 0 $=
      ( cc wcel cc0 cmul co wceq mul02 ax-mp ) ACDEAFGEHBAIJ $.

    $( Multiplication by ` 0 ` .  Theorem I.6 of [Apostol] p. 18.  (Contributed
       by NM, 23-Nov-1994.)  (Revised by Scott Fenton, 3-Jan-2013.) $)
    mul01i $p |- ( A x. 0 ) = 0 $=
      ( cc wcel cc0 cmul co wceq mul01 ax-mp ) ACDAEFGEHBAIJ $.

    mul.2 $e |- B e. CC $.
    $( Addition commutes.  Based on ideas by Eric Schmidt.  (Contributed by
       Scott Fenton, 3-Jan-2013.) $)
    addcomi $p |- ( A + B ) = ( B + A ) $=
      ( cc wcel caddc co wceq addcom mp2an ) AEFBEFABGHBAGHICDABJK $.

    ${
      addcomli.2 $e |- ( A + B ) = C $.
      $( Addition commutes.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
      addcomli $p |- ( B + A ) = C $=
        ( caddc co addcomi eqtri ) BAGHABGHCBAEDIFJ $.
    $}

    mul.3 $e |- C e. CC $.
    $( Cancellation law for addition.  Theorem I.1 of [Apostol] p. 18.
       (Contributed by NM, 27-Oct-1999.)  (Revised by Scott Fenton,
       3-Jan-2013.) $)
    addcani $p |- ( ( A + B ) = ( A + C ) <-> B = C ) $=
      ( cc wcel caddc co wceq wb addcan mp3an ) AGHBGHCGHABIJACIJKBCKLDEFABCMN
      $.

    $( Cancellation law for addition.  Theorem I.1 of [Apostol] p. 18.
       (Contributed by NM, 14-May-2003.)  (Revised by Scott Fenton,
       3-Jan-2013.) $)
    addcan2i $p |- ( ( A + C ) = ( B + C ) <-> A = B ) $=
      ( cc wcel caddc co wceq wb addcan2 mp3an ) AGHBGHCGHACIJBCIJKABKLDEFABCMN
      $.

    $( Commutative/associative law that swaps the first two factors in a triple
       product.  (Contributed by NM, 11-May-1999.)  (Proof shortened by Andrew
       Salmon, 19-Nov-2011.) $)
    mul12i $p |- ( A x. ( B x. C ) ) = ( B x. ( A x. C ) ) $=
      ( cc wcel cmul co wceq mul12 mp3an ) AGHBGHCGHABCIJIJBACIJIJKDEFABCLM $.

    $( Commutative/associative law that swaps the last two factors in a triple
       product.  (Contributed by NM, 11-May-1999.) $)
    mul32i $p |- ( ( A x. B ) x. C ) = ( ( A x. C ) x. B ) $=
      ( cc wcel cmul co wceq mul32 mp3an ) AGHBGHCGHABIJCIJACIJBIJKDEFABCLM $.

    mul4.4 $e |- D e. CC $.
    $( Rearrangement of 4 factors.  (Contributed by NM, 16-Feb-1995.) $)
    mul4i $p |- ( ( A x. B ) x. ( C x. D ) ) =
               ( ( A x. C ) x. ( B x. D ) ) $=
      ( cc wcel cmul co wceq mul4 mp4an ) AIJBIJCIJDIJABKLCDKLKLACKLBDKLKLMEFGH
      ABCDNO $.
  $}

  ${
    muld.1 $e |- ( ph -> A e. CC ) $.
    $( Multiplication by 0.  Theorem I.6 of [Apostol] p. 18.  (Contributed by
       Mario Carneiro, 27-May-2016.) $)
    mul02d $p |- ( ph -> ( 0 x. A ) = 0 ) $=
      ( cc wcel cc0 cmul co wceq mul02 syl ) ABDEFBGHFICBJK $.

    $( Multiplication by ` 0 ` .  Theorem I.6 of [Apostol] p. 18.  (Contributed
       by Mario Carneiro, 27-May-2016.) $)
    mul01d $p |- ( ph -> ( A x. 0 ) = 0 ) $=
      ( cc wcel cc0 cmul co wceq mul01 syl ) ABDEBFGHFICBJK $.

    $( ` 0 ` is an additive identity.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    addid1d $p |- ( ph -> ( A + 0 ) = A ) $=
      ( cc wcel cc0 caddc co wceq addid1 syl ) ABDEBFGHBICBJK $.

    $( ` 0 ` is a left identity for addition.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    addid2d $p |- ( ph -> ( 0 + A ) = A ) $=
      ( cc wcel cc0 caddc co wceq addid2 syl ) ABDEFBGHBICBJK $.

    addcomd.2 $e |- ( ph -> B e. CC ) $.
    $( Addition commutes.  Based on ideas by Eric Schmidt.  (Contributed by
       Scott Fenton, 3-Jan-2013.)  (Revised by Mario Carneiro, 27-May-2016.) $)
    addcomd $p |- ( ph -> ( A + B ) = ( B + A ) ) $=
      ( caddc co wceq c1 cmul 1cnd addcld cc wcel 1p1times syl addassd wb mpbid
      syl3anc adddid oveq12d 3eqtr3rd 3eqtr4d addcan2 3eqtr3d addcan ) ABBCFGZF
      GZBCBFGZFGZHZUHUJHZABBFGZCFGZUHBFGZUIUKAUOCFGZUPCFGZHZUOUPHZAUNCCFGZFGZUH
      UHFGZUQURAIIFGZUHJGZVDBJGZVDCJGZFGVCVBAVDBCAIIAKZVHLDEUAAUHMNZVEVCHABCDEL
      ZUHOPAVFUNVGVAFABMNZVFUNHDBOPACMNZVGVAHECOPUBUCAUNCCABBDDLZEEQAUHBCVJDEQU
      DAUOMNUPMNVLUSUTRAUNCVMELAUHBVJDLEUOUPCUETSABBCDDEQABCBDEDQUFAVKVIUJMNULU
      MRDVJACBEDLBUHUJUGTS $.

    addcand.3 $e |- ( ph -> C e. CC ) $.
    $( Cancellation law for addition.  Theorem I.1 of [Apostol] p. 18.
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    addcand $p |- ( ph -> ( ( A + B ) = ( A + C ) <-> B = C ) ) $=
      ( cc wcel caddc co wceq wb addcan syl3anc ) ABHICHIDHIBCJKBDJKLCDLMEFGBCD
      NO $.

    $( Cancellation law for addition.  Theorem I.1 of [Apostol] p. 18.
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    addcan2d $p |- ( ph -> ( ( A + C ) = ( B + C ) <-> A = B ) ) $=
      ( cc wcel caddc co wceq wb addcan2 syl3anc ) ABHICHIDHIBDJKCDJKLBCLMEFGBC
      DNO $.

    ${
      addcanad.4 $e |- ( ph -> ( A + B ) = ( A + C ) ) $.
      $( Cancelling a term on the left-hand side of a sum in an equality.
         Consequence of ~ addcand .  (Contributed by David Moews,
         28-Feb-2017.) $)
      addcanad $p |- ( ph -> B = C ) $=
        ( caddc co wceq addcand mpbid ) ABCIJBDIJKCDKHABCDEFGLM $.
    $}

    ${
      addcan2ad.4 $e |- ( ph -> ( A + C ) = ( B + C ) ) $.
      $( Cancelling a term on the right-hand side of a sum in an equality.
         Consequence of ~ addcan2d .  (Contributed by David Moews,
         28-Feb-2017.) $)
      addcan2ad $p |- ( ph -> A = B ) $=
        ( caddc co wceq addcan2d mpbid ) ABDIJCDIJKBCKHABCDEFGLM $.
    $}

    ${
      addneintrd.4 $e |- ( ph -> B =/= C ) $.
      $( Introducing a term on the left-hand side of a sum in a negated
         equality.  Contrapositive of ~ addcanad .  Consequence of ~ addcand .
         (Contributed by David Moews, 28-Feb-2017.) $)
      addneintrd $p |- ( ph -> ( A + B ) =/= ( A + C ) ) $=
        ( caddc co wne addcand necon3bid mpbird ) ABCIJZBDIJZKCDKHAOPCDABCDEFGL
        MN $.
    $}

    ${
      addneintr2d.4 $e |- ( ph -> A =/= B ) $.
      $( Introducing a term on the right-hand side of a sum in a negated
         equality.  Contrapositive of ~ addcan2ad .  Consequence of
         ~ addcan2d .  (Contributed by David Moews, 28-Feb-2017.) $)
      addneintr2d $p |- ( ph -> ( A + C ) =/= ( B + C ) ) $=
        ( caddc co wne addcan2d necon3bid mpbird ) ABDIJZCDIJZKBCKHAOPBCABCDEFG
        LMN $.
    $}

    $( Commutative/associative law that swaps the first two factors in a triple
       product.  (Contributed by Mario Carneiro, 27-May-2016.) $)
    mul12d $p |- ( ph -> ( A x. ( B x. C ) ) = ( B x. ( A x. C ) ) ) $=
      ( cc wcel cmul co wceq mul12 syl3anc ) ABHICHIDHIBCDJKJKCBDJKJKLEFGBCDMN
      $.

    $( Commutative/associative law that swaps the last two factors in a triple
       product.  (Contributed by Mario Carneiro, 27-May-2016.) $)
    mul32d $p |- ( ph -> ( ( A x. B ) x. C ) = ( ( A x. C ) x. B ) ) $=
      ( cc wcel cmul co wceq mul32 syl3anc ) ABHICHIDHIBCJKDJKBDJKCJKLEFGBCDMN
      $.

    $( Commutative/associative law.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    mul31d $p |- ( ph -> ( ( A x. B ) x. C ) = ( ( C x. B ) x. A ) ) $=
      ( cc wcel cmul co wceq mul31 syl3anc ) ABHICHIDHIBCJKDJKDCJKBJKLEFGBCDMN
      $.

    mul4d.4 $e |- ( ph -> D e. CC ) $.
    $( Rearrangement of 4 factors.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    mul4d $p |- ( ph -> ( ( A x. B ) x. ( C x. D ) ) =
                        ( ( A x. C ) x. ( B x. D ) ) ) $=
      ( cc wcel cmul co wceq mul4 syl22anc ) ABJKCJKDJKEJKBCLMDELMLMBDLMCELMLMN
      FGHIBCDEOP $.
  $}

  $( A simple product of sums expansion.  (Contributed by AV, 30-Jul-2021.) $)
  muladd11r $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A + 1 ) x. ( B + 1 ) ) =
                 ( ( ( A x. B ) + ( A + B ) ) + 1 ) ) $=
    ( cc wcel wa c1 caddc cmul simpl 1cnd addcomd simpr oveq12d muladd11 addcld
    co mulcl addassd addcl 3eqtrd eqtr3d oveq1d ) ACDZBCDZEZAFGPZBFGPZHPFAGPZFB
    GPZHPUHBABHPZGPZGPZUJABGPZGPZFGPZUEUFUHUGUIHUEAFUCUDIZUEJZKUEBFUCUDLZUQKMAB
    NUEULFAUKGPZGPUSFGPUOUEFAUKUQUPUEBUJURABQZOZRUEFUSUQUEAUKUPVAOKUEUSUNFGUEUM
    UJGPUSUNUEABUJUPURUTRUEUMUJABSUTKUAUBTT $.

  ${
    comraddd.1 $e |- ( ph -> B e. CC ) $.
    comraddd.2 $e |- ( ph -> C e. CC ) $.
    comraddd.3 $e |- ( ph -> A = ( B + C ) ) $.
    $( Commute RHS addition, in deduction form.  (Contributed by David A.
       Wheeler, 11-Oct-2018.) $)
    comraddd $p |- ( ph -> A = ( C + B ) ) $=
      ( caddc co addcomd eqtrd ) ABCDHIDCHIGACDEFJK $.
  $}

  $( Adding a negative number to another number decreases it.  (Contributed by
     Glauco Siliprandi, 11-Dec-2019.) $)
  ltaddneg $p |- ( ( A e. RR /\ B e. RR ) -> ( A < 0 <-> ( B + A ) < B ) ) $=
    ( cr wcel wa cc0 clt wbr caddc co wb ltadd2 mp3an2 wceq recn addid1d adantl
    0re breq2d bitrd ) ACDZBCDZEZAFGHZBAIJZBFIJZGHZUEBGHUAFCDUBUDUGKRAFBLMUCUFB
    UEGUBUFBNUAUBBBOPQST $.

  $( Adding a negative number to another number decreases it.  (Contributed by
     AV, 19-Mar-2021.) $)
  ltaddnegr $p |- ( ( A e. RR /\ B e. RR ) -> ( A < 0 <-> ( A + B ) < B ) ) $=
    ( cr wcel wa cc0 clt wbr caddc co ltaddneg cc wceq recn addcom breq1d bitrd
    syl2anr ) ACDZBCDZEZAFGHBAIJZBGHABIJZBGHABKUAUBUCBGTBLDALDUBUCMSBNANBAORPQ
    $.


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Real and complex numbers - basic operations
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Addition
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Commutative/associative law that swaps the first two terms in a triple
     sum.  (Contributed by NM, 11-May-2004.) $)
  add12 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( A + ( B + C ) ) = ( B + ( A + C ) ) ) $=
    ( cc wcel w3a caddc co wceq wa addcom oveq1d 3adant3 addass 3com12 3eqtr3d
    ) ADEZBDEZCDEZFABGHZCGHZBAGHZCGHZABCGHGHBACGHGHZQRUAUCISQRJTUBCGABKLMABCNRQ
    SUCUDIBACNOP $.

  $( Commutative/associative law that swaps the last two terms in a triple sum.
     (Contributed by NM, 13-Nov-1999.) $)
  add32 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( ( A + B ) + C ) = ( ( A + C ) + B ) ) $=
    ( cc wcel w3a caddc co wceq wa addcom oveq2d 3adant1 addass 3com23 3eqtr4d
    ) ADEZBDEZCDEZFABCGHZGHZACBGHZGHZABGHCGHACGHBGHZRSUAUCIQRSJTUBAGBCKLMABCNQS
    RUDUCIACBNOP $.

  $( Commutative/associative law that swaps the last two terms in a triple sum,
     rearranging the parentheses.  (Contributed by Paul Chapman,
     18-May-2007.) $)
  add32r $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                          ( A + ( B + C ) ) = ( ( A + C ) + B ) ) $=
    ( cc wcel w3a caddc co addass add32 eqtr3d ) ADEBDECDEFABGHCGHABCGHGHACGHBG
    HABCIABCJK $.

  $( Rearrangement of 4 terms in a sum.  (Contributed by NM, 13-Nov-1999.)
     (Proof shortened by Andrew Salmon, 22-Oct-2011.) $)
  add4 $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
              ( ( A + B ) + ( C + D ) ) = ( ( A + C ) + ( B + D ) ) ) $=
    ( cc wcel wa caddc wceq add12 3expb oveq2d adantll addcl addass sylan2 an4s
    co 3expa 3eqtr4d ) AEFZBEFZGZCEFZDEFZGZGABCDHRZHRZHRZACBDHRZHRZHRZABHRUGHRZ
    ACHRUJHRZUBUFUIULIUAUBUFGUHUKAHUBUDUEUHUKIBCDJKLMUFUCUGEFZUMUIIZCDNUAUBUOUP
    ABUGOSPUAUDUBUEUNULIZUBUEGUAUDGUJEFZUQBDNUAUDURUQACUJOSPQT $.

  $( Rearrangement of 4 terms in a sum.  (Contributed by NM, 12-May-2005.) $)
  add42 $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
              ( ( A + B ) + ( C + D ) ) = ( ( A + C ) + ( D + B ) ) ) $=
    ( cc wcel wa caddc co add4 wceq addcom ad2ant2l oveq2d eqtrd ) AEFZBEFZGCEF
    ZDEFZGGZABHICDHIHIACHIZBDHIZHIUADBHIZHIABCDJTUBUCUAHQSUBUCKPRBDLMNO $.

  ${
    add.1 $e |- A e. CC $.
    add.2 $e |- B e. CC $.
    add.3 $e |- C e. CC $.
    $( Commutative/associative law that swaps the first two terms in a triple
       sum.  (Contributed by NM, 21-Jan-1997.) $)
    add12i $p |- ( A + ( B + C ) ) = ( B + ( A + C ) ) $=
      ( cc wcel caddc co wceq add12 mp3an ) AGHBGHCGHABCIJIJBACIJIJKDEFABCLM $.

    $( Commutative/associative law that swaps the last two terms in a triple
       sum.  (Contributed by NM, 21-Jan-1997.) $)
    add32i $p |- ( ( A + B ) + C ) = ( ( A + C ) + B ) $=
      ( cc wcel caddc co wceq add32 mp3an ) AGHBGHCGHABIJCIJACIJBIJKDEFABCLM $.

    add4.4 $e |- D e. CC $.
    $( Rearrangement of 4 terms in a sum.  (Contributed by NM, 9-May-1999.) $)
    add4i $p |- ( ( A + B ) + ( C + D ) ) = ( ( A + C ) + ( B + D ) ) $=
      ( cc wcel caddc co wceq add4 mp4an ) AIJBIJCIJDIJABKLCDKLKLACKLBDKLKLMEFG
      HABCDNO $.

    $( Rearrangement of 4 terms in a sum.  (Contributed by NM, 22-Aug-1999.)
       (Proof shortened by OpenAI, 25-Mar-2020.) $)
    add42i $p |- ( ( A + B ) + ( C + D ) ) = ( ( A + C ) + ( D + B ) ) $=
      ( cc wcel caddc co wceq add42 mp4an ) AIJBIJCIJDIJABKLCDKLKLACKLDBKLKLMEF
      GHABCDNO $.
  $}

  ${
    addd.1 $e |- ( ph -> A e. CC ) $.
    addd.2 $e |- ( ph -> B e. CC ) $.
    addd.3 $e |- ( ph -> C e. CC ) $.
    $( Commutative/associative law that swaps the first two terms in a triple
       sum.  (Contributed by Mario Carneiro, 27-May-2016.) $)
    add12d $p |- ( ph -> ( A + ( B + C ) ) = ( B + ( A + C ) ) ) $=
      ( cc wcel caddc co wceq add12 syl3anc ) ABHICHIDHIBCDJKJKCBDJKJKLEFGBCDMN
      $.

    $( Commutative/associative law that swaps the last two terms in a triple
       sum.  (Contributed by Mario Carneiro, 27-May-2016.) $)
    add32d $p |- ( ph -> ( ( A + B ) + C ) = ( ( A + C ) + B ) ) $=
      ( cc wcel caddc co wceq add32 syl3anc ) ABHICHIDHIBCJKDJKBDJKCJKLEFGBCDMN
      $.

    add4d.4 $e |- ( ph -> D e. CC ) $.
    $( Rearrangement of 4 terms in a sum.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    add4d $p |- ( ph ->
      ( ( A + B ) + ( C + D ) ) = ( ( A + C ) + ( B + D ) ) ) $=
      ( cc wcel caddc co wceq add4 syl22anc ) ABJKCJKDJKEJKBCLMDELMLMBDLMCELMLM
      NFGHIBCDEOP $.

    $( Rearrangement of 4 terms in a sum.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    add42d $p |- ( ph ->
      ( ( A + B ) + ( C + D ) ) = ( ( A + C ) + ( D + B ) ) ) $=
      ( cc wcel caddc co wceq add42 syl22anc ) ABJKCJKDJKEJKBCLMDELMLMBDLMECLML
      MNFGHIBCDEOP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subtraction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare symbols needed for some defined terms. $)
  $c - $. $( Subtraction (binary minus). $)
  $c -u $. $( Unary minus sign. $)

  $( Extend class notation to include subtraction. $)
  cmin $a class - $.

  $( Extend class notation to include unary minus.  The symbol ` -u ` is not a
     class by itself but part of a compound class definition.  We do this
     rather than making it a formal function since it is so commonly used.
     Note:  We use different symbols for unary minus ( ` -u ` ) and subtraction
     ~ cmin ( ` - ` ) to prevent syntax ambiguity.  For example, looking at the
     syntax definition ~ co , if we used the same symbol
     then " ` ( - A - B ) ` " could mean either " ` - A ` " minus " ` B ` ", or
     it could represent the (meaningless) operation of
     classes " ` - ` " and " ` - B ` " connected with "operation" " ` A ` ".
     On the other hand, " ` ( -u A - B ) ` " is unambiguous. $)
  cneg $a class -u A $.

  ${
    $d x y z $.
    $( Define subtraction.  Theorem ~ subval shows its value (and describes how
       this definition works), Theorem ~ subaddi relates it to addition, and
       Theorems ~ subcli and ~ resubcli prove its closure laws.  (Contributed
       by NM, 26-Nov-1994.) $)
    df-sub $a |- - = ( x e. CC , y e. CC |->
                   ( iota_ z e. CC ( y + z ) = x ) ) $.
  $}

  $( Define the negative of a number (unary minus).  We use different symbols
     for unary minus ( ` -u ` ) and subtraction ( ` - ` ) to prevent syntax
     ambiguity.  See ~ cneg for a discussion of this.  (Contributed by NM,
     10-Feb-1995.) $)
  df-neg $a |- -u A = ( 0 - A ) $.

  ${
    $d x y $.  $d x z $.
    $( Alternate proof of ~ 0cn which does not reference ~ ax-1cn .
       (Contributed by NM, 19-Feb-2005.)  (Revised by Mario Carneiro,
       27-May-2016.)  Reduce dependencies on axioms.  (Revised by Steven
       Nguyen, 7-Jan-2022.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    0cnALT $p |- 0 e. CC $=
      ( vx vy vz ci cc wcel cv cmul co caddc wceq cr wrex ax-icn cnre ax-rnegex
      cc0 wa readdcl eleq1 syl5ibcom rexlimdva mpd adantr rexlimiva mp2b recni
      ) QDEFDAGZDBGHIJIKBLMZALMQLFZNABDOUIUJALUHLFZUJUIUKUHCGZJIZQKZCLMUJCUHPUK
      UNUJCLUKULLFRUMLFUNUJUHULSUMQLTUAUBUCUDUEUFUG $.
  $}

  $( Alternate proof of ~ 0cnALT which is shorter, but depends on ~ ax-8 ,
     ~ ax-13 , ~ ax-sep , ~ ax-nul , ~ ax-pow , ~ ax-pr , ~ ax-un , and every
     complex number axiom except ~ ax-pre-mulgt0 and ~ ax-pre-sup .
     (Contributed by NM, 19-Feb-2005.)  (Revised by Mario Carneiro,
     27-May-2016.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  0cnALT2 $p |- 0 e. CC $=
    ( vx ci cv caddc co cc0 wceq wrex wcel ax-icn cnegex ax-mp addcl mpan eleq1
    cc syl5ibcom rexlimiv ) BACZDEZFGZAPHZFPIZBPIZUBJABKLUAUCAPSPIZTPIZUAUCUDUE
    UFJBSMNTFPOQRL $.

  ${
    $d x y A $.  $d x y B $.
    $( Existential uniqueness of negatives.  Theorem I.2 of [Apostol] p. 18.
       (Contributed by NM, 22-Nov-1994.)  (Proof shortened by Mario Carneiro,
       27-May-2016.) $)
    negeu $p |- ( ( A e. CC /\ B e. CC ) -> E! x e. CC ( A + x ) = B ) $=
      ( vy cc wcel wa cv caddc co wceq wreu wrex cnegex adantr wral simpl simpr
      cc0 wb addcl syl2anr simplrr oveq1d simplll simplrl simpllr eqeq2d addcld
      addassd addid2d 3eqtr3rd addcand bitrd ralrimiva reu6i syl2anc rexlimddv
      ) BEFZCEFZGZBDHZIJZSKZBAHZIJZCKZAELZDEUSVDDEMUTDBNOVAVBEFZVDGZGZVBCIJZEFZ
      VGVEVLKZTZAEPVHVJVIUTVMVAVIVDQUSUTRVBCUAUBVKVOAEVKVEEFZGZVGVFBVLIJZKVNVQC
      VRVFVQVCCIJSCIJVRCVQVCSCIVAVIVDVPUCUDVQBVBCUSUTVJVPUEZVAVIVDVPUFZUSUTVJVP
      UGZUJVQCWAUKULUHVQBVEVLVSVKVPRVQVBCVTWAUIUMUNUOVGAEVLUPUQUR $.
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( Value of subtraction, which is the (unique) element ` x ` such that
       ` B + x = A ` .  (Contributed by NM, 4-Aug-2007.)  (Revised by Mario
       Carneiro, 2-Nov-2013.) $)
    subval $p |- ( ( A e. CC /\ B e. CC ) ->
                  ( A - B ) = ( iota_ x e. CC ( B + x ) = A ) ) $=
      ( vy vz cc cv caddc co wceq crio cmin eqeq2 riotabidv oveq1 eqeq1d df-sub
      riotaex ovmpo ) DEBCFFEGZAGZHIZDGZJZAFKCUAHIZBJZAFKLUBBJZAFKUCBJUDUGAFUCB
      UBMNTCJZUGUFAFUHUBUEBTCUAHOPNDEAQUFAFRS $.
  $}

  $( Equality theorem for negatives.  (Contributed by NM, 10-Feb-1995.) $)
  negeq $p |- ( A = B -> -u A = -u B ) $=
    ( wceq cc0 cmin co cneg oveq2 df-neg 3eqtr4g ) ABCDAEFDBEFAGBGABDEHAIBIJ $.

  ${
    negeqi.1 $e |- A = B $.
    $( Equality inference for negatives.  (Contributed by NM, 14-Feb-1995.) $)
    negeqi $p |- -u A = -u B $=
      ( wceq cneg negeq ax-mp ) ABDAEBEDCABFG $.
  $}

  ${
    negeqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for negatives.  (Contributed by NM, 14-May-1999.) $)
    negeqd $p |- ( ph -> -u A = -u B ) $=
      ( wceq cneg negeq syl ) ABCEBFCFEDBCGH $.
  $}

  ${
    nfnegd.1 $e |- ( ph -> F/_ x A ) $.
    $( Deduction version of ~ nfneg .  (Contributed by NM, 29-Feb-2008.)
       (Revised by Mario Carneiro, 15-Oct-2016.) $)
    nfnegd $p |- ( ph -> F/_ x -u A ) $=
      ( cneg cc0 cmin co df-neg nfcvd nfovd nfcxfrd ) ABCEFCGHCIABFCGABFJABGJDK
      L $.
  $}

  ${
    nfneg.1 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for the negative of a complex number.
       (Contributed by NM, 12-Jun-2005.)  (Revised by Mario Carneiro,
       15-Oct-2016.) $)
    nfneg $p |- F/_ x -u A $=
      ( cneg wnfc wtru a1i nfnegd mptru ) ABDEFABABEFCGHI $.
  $}

  $( Move class substitution in and out of the negative of a number.
     (Contributed by NM, 1-Mar-2008.)  (Proof shortened by Andrew Salmon,
     22-Oct-2011.) $)
  csbnegg $p |- ( A e. V -> [_ A / x ]_ -u B = -u [_ A / x ]_ B ) $=
    ( wcel cc0 cmin co csb cneg csbov2g df-neg csbeq2i 3eqtr4g ) BDEABFCGHZIFAB
    CIZGHABCJZIPJABFCGDKABQOCLMPLN $.

  $( A negative is a set.  (Contributed by NM, 4-Apr-2005.) $)
  negex $p |- -u A e. _V $=
    ( cneg cc0 cmin df-neg ovexi ) ABCADAEF $.

  ${
    $d x A $.  $d x B $.
    $( Closure law for subtraction.  (Contributed by NM, 10-May-1999.)
       (Revised by Mario Carneiro, 21-Dec-2013.) $)
    subcl $p |- ( ( A e. CC /\ B e. CC ) -> ( A - B ) e. CC ) $=
      ( vx cc wcel wa cmin co cv caddc wceq crio subval wreu ancoms riotacl syl
      negeu eqeltrd ) ADEZBDEZFZABGHBCIJHAKZCDLZDCABMUBUCCDNZUDDEUATUECBAROUCCD
      PQS $.
  $}

  $( Closure law for negative.  (Contributed by NM, 6-Aug-2003.) $)
  negcl $p |- ( A e. CC -> -u A e. CC ) $=
    ( cc wcel cneg cc0 cmin co df-neg 0cn subcl mpan eqeltrid ) ABCZADEAFGZBAHE
    BCMNBCIEAJKL $.

  $( ` -u _i ` is a complex number.  (Contributed by David A. Wheeler,
     7-Dec-2018.) $)
  negicn $p |- -u _i e. CC $=
    ( ci cc wcel cneg ax-icn negcl ax-mp ) ABCADBCEAFG $.

  ${
    $d x y z $.
    $( Subtraction is an operation on the complex numbers.  (Contributed by NM,
       4-Aug-2007.)  (Revised by Mario Carneiro, 16-Nov-2013.) $)
    subf $p |- - : ( CC X. CC ) --> CC $=
      ( vy vz vx cv caddc co wceq cc crio wcel wral cxp cmin wf wa subval subcl
      eqeltrrd rgen2 df-sub fmpo mpbi ) ADZBDEFCDZGBHIZHJZAHKCHKHHLHMNUFCAHHUDH
      JUCHJOUDUCMFUEHBUDUCPUDUCQRSCAHHUEHMCABTUAUB $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Relationship between subtraction and addition.  (Contributed by NM,
       20-Jan-1997.)  (Revised by Mario Carneiro, 21-Dec-2013.) $)
    subadd $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                  ( ( A - B ) = C <-> ( B + C ) = A ) ) $=
      ( vx cc wcel w3a cmin co wceq cv caddc crio wb subval eqeq1d 3adant3 wreu
      wa negeu oveq2 riota2 sylan2 3impb 3com13 bitr4d ) AEFZBEFZCEFZGABHIZCJZB
      DKZLIZAJZDEMZCJZBCLIZAJZUGUHUKUPNUIUGUHSUJUOCDABOPQUIUHUGURUPNZUIUHUGUSUH
      UGSUIUNDERUSDBATUNURDECULCJUMUQAULCBLUAPUBUCUDUEUF $.
  $}

  $( Relationship between subtraction and addition.  (Contributed by Scott
     Fenton, 5-Jul-2013.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  subadd2 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
            ( ( A - B ) = C <-> ( C + B ) = A ) ) $=
    ( cc wcel w3a cmin co wceq caddc subadd simp2 simp3 addcomd eqeq1d bitrd )
    ADEZBDEZCDEZFZABGHCIBCJHZAICBJHZAIABCKTUAUBATBCQRSLQRSMNOP $.

  $( Swap subtrahend and result of subtraction.  (Contributed by NM,
     14-Dec-2007.) $)
  subsub23 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - B ) = C <-> ( A - C ) = B ) ) $=
    ( cc wcel caddc co wceq cmin addcom 3adant1 eqeq1d subadd wb 3com23 3bitr4d
    w3a ) ADEZBDEZCDEZQZBCFGZAHCBFGZAHZABIGCHACIGBHZUAUBUCASTUBUCHRBCJKLABCMRTS
    UEUDNACBMOP $.

  $( Cancellation law for subtraction.  (Contributed by NM, 10-May-2004.)
     (Revised by Mario Carneiro, 27-May-2016.) $)
  pncan $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A + B ) - B ) = A ) $=
    ( cc wcel wa caddc co cmin wceq simpr simpl addcomd wb addcl subadd syl3anc
    mpbird ) ACDZBCDZEZABFGZBHGAIZBAFGUAIZTBARSJZRSKZLTUACDSRUBUCMABNUDUEUABAOP
    Q $.

  $( Cancellation law for subtraction.  (Contributed by NM, 17-Apr-2005.) $)
  pncan2 $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A + B ) - A ) = B ) $=
    ( cc wcel caddc co cmin wceq wa addcom oveq1d pncan eqtr3d ancoms ) BCDZACD
    ZABEFZAGFZBHOPIZBAEFZAGFRBSTQAGBAJKBALMN $.

  $( Subtraction and addition of equals.  (Contributed by NM, 14-Mar-2005.)
     (Proof shortened by Steven Nguyen, 8-Jan-2023.) $)
  pncan3 $p |- ( ( A e. CC /\ B e. CC ) -> ( A + ( B - A ) ) = B ) $=
    ( cc wcel cmin co caddc wceq subcl w3a eqid subadd mpbii mpd3an3 ancoms ) B
    CDZACDZABAEFZGFBHZPQRCDZSBAIPQTJRRHSRKBARLMNO $.

  $( Cancellation law for subtraction.  (Contributed by NM, 10-May-2004.)
     (Revised by Mario Carneiro, 27-May-2016.) $)
  npcan $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A - B ) + B ) = A ) $=
    ( cc wcel wa cmin co caddc subcl simpr addcomd wceq pncan3 ancoms eqtrd ) A
    CDZBCDZEZABFGZBHGBSHGZARSBABIPQJKQPTALBAMNO $.

  $( Associative-type law for addition and subtraction.  (Contributed by NM,
     6-Aug-2003.)  (Revised by Mario Carneiro, 27-May-2016.) $)
  addsubass $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                   ( ( A + B ) - C ) = ( A + ( B - C ) ) ) $=
    ( cc wcel cmin co caddc simp1 subcl 3adant1 simp3 addassd wceq npcan oveq2d
    w3a eqtrd oveq1d addcld pncan syl2anc eqtr3d ) ADEZBDEZCDEZQZABCFGZHGZCHGZC
    FGZABHGZCFGUIUGUJULCFUGUJAUHCHGZHGULUGAUHCUDUEUFIZUEUFUHDEUDBCJKZUDUEUFLZMU
    GUMBAHUEUFUMBNUDBCOKPRSUGUIDEUFUKUINUGAUHUNUOTUPUICUAUBUC $.

  $( Law for addition and subtraction.  (Contributed by NM, 19-Aug-2001.)
     (Proof shortened by Andrew Salmon, 22-Oct-2011.) $)
  addsub $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                  ( ( A + B ) - C ) = ( ( A - C ) + B ) ) $=
    ( cc wcel w3a caddc co cmin wa addcom oveq1d 3adant3 addsubass 3com12 subcl
    wceq sylan2 3impb 3eqtrd ) ADEZBDEZCDEZFABGHZCIHZBAGHZCIHZBACIHZGHZUHBGHZUA
    UBUEUGQUCUAUBJUDUFCIABKLMUBUAUCUGUIQBACNOUBUAUCUIUJQZUBUAUCUKUAUCJUBUHDEUKA
    CPBUHKRSOT $.

  $( Commutative/associative law for addition and subtraction.  (Contributed by
     NM, 1-Feb-2007.) $)
  subadd23 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( ( A - B ) + C ) = ( A + ( C - B ) ) ) $=
    ( cc wcel cmin co caddc wceq w3a addsub addsubass eqtr3d 3com23 ) ADEZCDEZB
    DEZABFGCHGZACBFGHGZIOPQJACHGBFGRSACBKACBLMN $.

  $( Commutative/associative law for addition and subtraction.  (Contributed by
     NM, 8-Feb-2005.) $)
  addsub12 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( A + ( B - C ) ) = ( B + ( A - C ) ) ) $=
    ( cc wcel cmin co caddc wceq w3a subadd23 subcl addcom stoic3 eqtr3d 3com23
    ) ADEZCDEZBDEZABCFGHGZBACFGZHGZIQRSJUABHGZTUBACBKQRUADESUCUBIACLUABMNOP $.

  $( Law for subtraction and addition.  (Contributed by NM, 20-Nov-2005.) $)
  2addsub $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
                 ( ( ( A + B ) + C ) - D ) = ( ( ( A + C ) - D ) + B ) ) $=
    ( cc wcel wa caddc co cmin wceq add32 3expa oveq1d addcl addsub 3expb sylan
    adantrr an4s eqtrd ) AEFZBEFZGZCEFZDEFZGGZABHICHIZDJIACHIZBHIZDJIZUIDJIBHIZ
    UGUHUJDJUDUEUHUJKZUFUBUCUEUMABCLMSNUBUEUCUFUKULKZUBUEGUIEFZUCUFGUNACOUOUCUF
    UNUIBDPQRTUA $.

  $( Relation between sums and differences.  (Contributed by Jeff Madsen,
     17-Jun-2010.) $)
  addsubeq4 $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
                    ( ( A + B ) = ( C + D ) <-> ( C - A ) = ( B - D ) ) ) $=
    ( cc wcel wa cmin co wceq caddc eqcom subcl ancoms subadd 3expa an4s syl5bb
    wb sylan addcom adantl oveq1d addsubass 3com12 eqtrd adantlr addcl 3bitr2rd
    eqeq1d 3expb sylan2 ) AEFZBEFZGZCEFZDEFZGZGZCAHIZBDHIZJZDUTKIZBJZCDKIZAHIZB
    JZABKIVEJZVBVAUTJZUSVDUTVALUMUPUNUQVIVDSZUMUPGUTEFZUNUQGZVJUPUMVKCAMNVLVKVJ
    UNUQVKVJBDUTOPNTQRUSVFVCBUMURVFVCJUNUMURGZVFDCKIZAHIZVCVMVEVNAHURVEVNJUMCDU
    AUBUCURUMVOVCJZUPUQUMVPUQUPUMVPDCAUDUEPNUFUGUJURUOVEEFZVGVHSZCDUHVQUOVRVQUM
    UNVRVEABOUKNULUI $.

  ${
    pncan3oi.1 $e |- A e. CC $.
    pncan3oi.2 $e |- B e. CC $.
    $( Subtraction and addition of equals.  Almost but not exactly the same as
       ~ pncan3i and ~ pncan , this order happens often when applying
       "operations to both sides" so create a theorem specifically for it.  A
       deduction version of this is available as ~ pncand .  (Contributed by
       David A. Wheeler, 11-Oct-2018.) $)
    pncan3oi $p |- ( ( A + B ) - B ) = A $=
      ( cc wcel caddc co cmin wceq pncan mp2an ) AEFBEFABGHBIHAJCDABKL $.
  $}

  ${
    mvrraddi.1 $e |- B e. CC $.
    mvrraddi.2 $e |- C e. CC $.
    mvrraddi.3 $e |- A = ( B + C ) $.
    $( Move the right term in a sum on the RHS to the LHS. (Contributed by
       David A. Wheeler, 11-Oct-2018.) $)
    mvrraddi $p |- ( A - C ) = B $=
      ( cmin co caddc oveq1i pncan3oi eqtri ) ACGHBCIHZCGHBAMCGFJBCDEKL $.
  $}

  ${
    mvlladdi.1 $e |- A e. CC $.
    mvlladdi.2 $e |- B e. CC $.
    mvlladdi.3 $e |- ( A + B ) = C $.
    $( Move the left term in a sum on the LHS to the RHS. (Contributed by David
       A. Wheeler, 11-Oct-2018.) $)
    mvlladdi $p |- B = ( C - A ) $=
      ( caddc co cmin pncan3oi addcomli oveq1i eqtr3i ) BAGHZAIHBCAIHBAEDJNCAIA
      BCDEFKLM $.
  $}

  $( Subtraction of a number from itself.  (Contributed by NM, 8-Oct-1999.)
     (Revised by Mario Carneiro, 27-May-2016.) $)
  subid $p |- ( A e. CC -> ( A - A ) = 0 ) $=
    ( cc wcel cc0 caddc co cmin addid1 oveq1d wceq 0cn pncan2 mpan2 eqtr3d ) AB
    CZADEFZAGFZAAGFDOPAAGAHIODBCQDJKADLMN $.

  $( Identity law for subtraction.  (Contributed by NM, 9-May-2004.)  (Revised
     by Mario Carneiro, 27-May-2016.) $)
  subid1 $p |- ( A e. CC -> ( A - 0 ) = A ) $=
    ( cc wcel cc0 caddc co cmin addid1 oveq1d wceq 0cn pncan mpan2 eqtr3d ) ABC
    ZADEFZDGFZADGFAOPADGAHIODBCQAJKADLMN $.

  $( Cancellation law for subtraction.  (Contributed by NM, 8-Feb-2005.) $)
  npncan $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - B ) + ( B - C ) ) = ( A - C ) ) $=
    ( cc wcel w3a cmin co caddc wceq subcl 3adant3 addsubass syld3an1 wa oveq1d
    npcan eqtr3d ) ADEZBDEZCDEZFABGHZBIHZCGHZUBBCGHIHZACGHZUBDEZTSUAUDUEJSTUGUA
    ABKLUBBCMNSTUDUFJUASTOUCACGABQPLR $.

  $( Cancellation law for subtraction.  (Contributed by NM, 1-Sep-2005.) $)
  nppcan $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( ( A - B ) + C ) + B ) = ( A + C ) ) $=
    ( cc wcel w3a cmin co caddc subcl 3adant3 simp3 simp2 add32d wceq wa oveq1d
    npcan eqtrd ) ADEZBDEZCDEZFZABGHZCIHBIHUDBIHZCIHZACIHZUCUDCBTUAUDDEUBABJKTU
    AUBLTUAUBMNTUAUFUGOUBTUAPUEACIABRQKS $.

  $( Cancellation law for subtraction:  ((a-b)-c)+b = a-c holds for complex
     numbers a,b,c.  (Contributed by Alexander van der Vekens, 24-Mar-2018.) $)
  nnpcan $p |- ( ( A e. CC /\ B e. CC /\ C e. CC )
                    -> ( ( ( A - B ) - C ) + B ) = ( A - C ) ) $=
    ( cc wcel w3a cmin co caddc wceq subcl 3adant3 addsub eqcomd syld3an1 npcan
    oveq1d eqtrd ) ADEZBDEZCDEZFZABGHZCGHBIHZUCBIHZCGHZACGHUCDEZTSUAUDUFJSTUGUA
    ABKLUGTUAFUFUDUCBCMNOUBUEACGSTUEAJUAABPLQR $.

  $( Cancellation law for subtraction.  (Contributed by Mario Carneiro,
     14-Sep-2015.) $)
  nppcan3 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - B ) + ( C + B ) ) = ( A + C ) ) $=
    ( cc wcel w3a cmin co caddc subcl 3adant3 simp3 simp2 addassd nppcan eqtr3d
    ) ADEZBDEZCDEZFZABGHZCIHBIHUACBIHIHACIHTUACBQRUADESABJKQRSLQRSMNABCOP $.

  $( Cancellation law for subtraction.  (Contributed by NM, 8-Feb-2005.) $)
  subcan2 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - C ) = ( B - C ) <-> A = B ) ) $=
    ( cc wcel w3a cmin co wceq caddc wb simp1 simp3 subcl 3adant1 subadd2 npcan
    syl3anc eqeq1d eqcom bitrdi bitrd ) ADEZBDEZCDEZFZACGHBCGHZIZUGCJHZAIZABIZU
    FUCUEUGDEZUHUJKUCUDUELUCUDUEMUDUEULUCBCNOACUGPRUFUJBAIUKUFUIBAUDUEUIBIUCBCQ
    OSBATUAUB $.

  $( If the difference between two numbers is zero, they are equal.
     (Contributed by NM, 16-Nov-1999.) $)
  subeq0 $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A - B ) = 0 <-> A = B ) ) $=
    ( cc wcel wa cmin co wceq cc0 subid adantl eqeq2d subcan2 3anidm23 bitr3d
    wb ) ACDZBCDZEZABFGZBBFGZHZTIHABHZSUAITRUAIHQBJKLQRUBUCPABBMNO $.

  $( Cancellation law for subtraction.  (Contributed by Scott Fenton,
     21-Jun-2013.) $)
  npncan2 $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A - B ) + ( B - A ) ) = 0 ) $=
    ( cc wcel wa cmin co caddc cc0 wceq npncan 3anidm13 subid adantr eqtrd ) AC
    DZBCDZEABFGBAFGHGZAAFGZIPQRSJABAKLPSIJQAMNO $.

  $( Law for double subtraction.  (Contributed by NM, 30-Jun-2005.)  (Revised
     by Mario Carneiro, 27-May-2016.) $)
  subsub2 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                  ( A - ( B - C ) ) = ( A + ( C - B ) ) ) $=
    ( cc wcel w3a cmin co caddc wceq cc0 subcl 3adant1 simp1 simp3 simp2 add12d
    syl2anc npncan2 oveq2d addid1d 3eqtrd wb addcld subadd syl3anc mpbird ) ADE
    ZBDEZCDEZFZABCGHZGHACBGHZIHZJZULUNIHZAJZUKUPAULUMIHZIHAKIHAUKULAUMUIUJULDEZ
    UHBCLMZUHUIUJNZUKUJUIUMDEUHUIUJOUHUIUJPCBLRZQUKURKAIUIUJURKJUHBCSMTUKAVAUAU
    BUKUHUSUNDEUOUQUCVAUTUKAUMVAVBUDAULUNUEUFUG $.

  $( Cancellation law for subtraction.  (Contributed by NM, 21-Jun-2005.)
     (Proof shortened by Andrew Salmon, 19-Nov-2011.) $)
  nncan $p |- ( ( A e. CC /\ B e. CC ) -> ( A - ( A - B ) ) = B ) $=
    ( cc wcel wa cmin co caddc wceq subsub2 3anidm12 pncan3 eqtrd ) ACDZBCDZEAA
    BFGFGZABAFGHGZBNOPQIAABJKABLM $.

  $( Law for double subtraction.  (Contributed by NM, 13-May-2004.) $)
  subsub $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                  ( A - ( B - C ) ) = ( ( A - B ) + C ) ) $=
    ( cc wcel w3a cmin caddc subsub2 wceq addsubass addsub eqtr3d 3com23 eqtrd
    co ) ADEZBDEZCDEZFABCGPGPACBGPHPZABGPCHPZABCIQSRTUAJQSRFACHPBGPTUAACBKACBLM
    NO $.

  $( Cancellation law for subtraction.  (Contributed by NM, 29-Sep-2005.) $)
  nppcan2 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - ( B + C ) ) + C ) = ( A - B ) ) $=
    ( cc wcel w3a caddc co cmin wceq addcl 3adant1 subsub syld3an2 pncan oveq2d
    eqtr3d ) ADEZBDEZCDEZFZABCGHZCIHZIHZAUBIHCGHZABIHRUBDEZSTUDUEJSTUFRBCKLAUBC
    MNUAUCBAISTUCBJRBCOLPQ $.

  $( Law for double subtraction.  (Contributed by NM, 27-Jul-2005.) $)
  subsub3 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                  ( A - ( B - C ) ) = ( ( A + C ) - B ) ) $=
    ( cc wcel w3a cmin co caddc subsub2 wceq addsubass 3com23 eqtr4d ) ADEZBDEZ
    CDEZFABCGHGHACBGHIHZACIHBGHZABCJOQPSRKACBLMN $.

  $( Law for double subtraction.  (Contributed by NM, 19-Aug-2005.)  (Revised
     by Mario Carneiro, 27-May-2016.) $)
  subsub4 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                  ( ( A - B ) - C ) = ( A - ( B + C ) ) ) $=
    ( cc wcel w3a cmin co caddc wceq nppcan2 wb simp1 simp2 subcl syl2anc simp3
    addcld subadd2 syl3anc mpbird ) ADEZBDEZCDEZFZABGHZCGHABCIHZGHZJZUHCIHUFJZA
    BCKUEUFDEZUDUHDEZUIUJLUEUBUCUKUBUCUDMZUBUCUDNZABOPUBUCUDQZUEUBUGDEULUMUEBCU
    NUORAUGOPUFCUHSTUA $.

  $( Swap the second and third terms in a double subtraction.  (Contributed by
     NM, 19-Aug-2005.) $)
  sub32 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                  ( ( A - B ) - C ) = ( ( A - C ) - B ) ) $=
    ( cc wcel w3a caddc cmin wceq addcom 3adant1 oveq2d subsub4 3com23 3eqtr4d
    co ) ADEZBDEZCDEZFZABCGPZHPACBGPZHPZABHPCHPACHPBHPZTUAUBAHRSUAUBIQBCJKLABCM
    QSRUDUCIACBMNO $.

  $( Cancellation law for subtraction.  (Contributed by NM, 4-Sep-2005.) $)
  nnncan $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - ( B - C ) ) - C ) = ( A - B ) ) $=
    ( cc wcel cmin co caddc wceq subcl 3adant1 subsub4 syld3an2 wa npcan oveq2d
    w3a eqtrd ) ADEZBDEZCDEZQABCFGZFGCFGZAUBCHGZFGZABFGZSUBDEZTUAUCUEITUAUGSBCJ
    KAUBCLMTUAUEUFISTUANUDBAFBCOPKR $.

  $( Cancellation law for subtraction.  (Contributed by NM, 8-Feb-2005.)
     (Proof shortened by Andrew Salmon, 19-Nov-2011.) $)
  nnncan1 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - B ) - ( A - C ) ) = ( C - B ) ) $=
    ( cc wcel w3a cmin co wceq subcl 3adant2 sub32 syld3an3 nncan oveq1d eqtrd
    ) ADEZBDEZCDEZFZABGHACGHZGHZAUAGHZBGHZCBGHQRSUADEZUBUDIQSUERACJKABUALMTUCCB
    GQSUCCIRACNKOP $.

  $( Cancellation law for subtraction.  (Contributed by NM, 1-Oct-2005.) $)
  nnncan2 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - C ) - ( B - C ) ) = ( A - B ) ) $=
    ( cc wcel w3a cmin co wceq subcl 3adant1 sub32 syld3an2 nnncan eqtr3d ) ADE
    ZBDEZCDEZFABCGHZGHCGHZACGHSGHZABGHPSDEZQRTUAIQRUBPBCJKASCLMABCNO $.

  $( Cancellation law for subtraction.  (Contributed by Scott Fenton,
     23-Jun-2013.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  npncan3 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
    ( ( A - B ) + ( C - A ) ) = ( C - B ) ) $=
    ( cc wcel w3a cmin co caddc simp1 subcl ancoms 3adant2 simp2 addsub syl3anc
    wceq pncan3 oveq1d eqtr3d ) ADEZBDEZCDEZFZACAGHZIHZBGHZABGHUEIHZCBGHUDUAUED
    EZUBUGUHQUAUBUCJUAUCUIUBUCUAUICAKLMUAUBUCNAUEBOPUDUFCBGUAUCUFCQUBACRMST $.

  $( Cancellation law for mixed addition and subtraction.  (Contributed by NM,
     4-Mar-2005.)  (Revised by Mario Carneiro, 27-May-2016.)  (Proof shortened
     by SN, 13-Nov-2023.) $)
  pnpcan $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A + B ) - ( A + C ) ) = ( B - C ) ) $=
    ( cc wcel w3a caddc co cmin wceq addcl subsub4 stoic4a pncan2 oveq1d eqtr3d
    3adant3 ) ADEZBDEZCDEZFZABGHZAIHZCIHZUBACGHIHZBCIHRSUBDETUDUEJABKUBACLMUAUC
    BCIRSUCBJTABNQOP $.

  $( Cancellation law for mixed addition and subtraction.  (Contributed by
     Scott Fenton, 9-Jun-2006.) $)
  pnpcan2 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( ( A + C ) - ( B + C ) ) = ( A - B ) ) $=
    ( cc wcel w3a caddc co cmin wceq addcom 3adant2 3adant1 oveq12d 3coml eqtrd
    pnpcan ) ADEZBDEZCDEZFZACGHZBCGHZIHCAGHZCBGHZIHZABIHZUAUBUDUCUEIRTUBUDJSACK
    LSTUCUEJRBCKMNTRSUFUGJCABQOP $.

  $( Cancellation law for mixed addition and subtraction.  (Contributed by NM,
     30-Jun-2005.)  (Revised by Mario Carneiro, 27-May-2016.) $)
  pnncan $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A + B ) - ( A - C ) ) = ( B + C ) ) $=
    ( cc wcel caddc co cmin wceq simp1 simp2 addcld simp3 subsub syl3anc pncan2
    w3a 3adant3 oveq1d eqtrd ) ADEZBDEZCDEZQZABFGZACHGHGZUEAHGZCFGZBCFGUDUEDEUA
    UCUFUHIUDABUAUBUCJZUAUBUCKLUIUAUBUCMUEACNOUDUGBCFUAUBUGBIUCABPRST $.

  $( Cancellation law for mixed addition and subtraction.  (Contributed by NM,
     30-Jun-2005.) $)
  ppncan $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A + B ) + ( C - B ) ) = ( A + C ) ) $=
    ( cc wcel w3a caddc co cmin wceq addcom 3adant3 oveq1d addcl subsub2 pnncan
    syld3an1 3com12 3eqtr3d ) ADEZBDEZCDEZFZABGHZBCIHZIHZBAGHZUEIHZUDCBIHGHZACG
    HZUCUDUGUEITUAUDUGJUBABKLMUDDEZUATUBUFUIJTUAUKUBABNLUDBCOQUATUBUHUJJBACPRS
    $.

  $( Rearrangement of 4 terms in a mixed addition and subtraction.
     (Contributed by NM, 4-Mar-2005.) $)
  addsub4 $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
              ( ( A + B ) - ( C + D ) ) = ( ( A - C ) + ( B - D ) ) ) $=
    ( cc wcel caddc cmin wceq simpll simplr simprl addsub syl3anc oveq1d addcld
    wa co simprr subsub4 subcl ad2ant2r addsubass 3eqtr3d ) AEFZBEFZQZCEFZDEFZQ
    ZQZABGRZCHRZDHRZACHRZBGRZDHRZULCDGRHRZUOBDHRGRZUKUMUPDHUKUEUFUHUMUPIUEUFUJJ
    ZUEUFUJKZUGUHUILZABCMNOUKULEFUHUIUNURIUKABUTVAPVBUGUHUISZULCDTNUKUOEFZUFUIU
    QUSIUEUHVDUFUIACUAUBVAVCUOBDUCNUD $.

  $( Rearrangement of 4 terms in a mixed addition and subtraction.
     (Contributed by NM, 24-Aug-2006.) $)
  subadd4 $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
              ( ( A - B ) - ( C - D ) ) = ( ( A + D ) - ( B + C ) ) ) $=
    ( cc wcel wa cmin caddc wceq subcl subsub2 3expb sylan addsub4 an42s eqtr4d
    co ) AEFZBEFZGZCEFZDEFZGZGABHRZCDHRHRZUEDCHRIRZADIRBCIRHRZUAUEEFZUDUFUGJZAB
    KUIUBUCUJUECDLMNSUCTUBUHUGJADBCOPQ $.

  $( Rearrangement of 4 terms in a subtraction.  (Contributed by NM,
     23-Nov-2007.) $)
  sub4 $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
              ( ( A - B ) - ( C - D ) ) = ( ( A - C ) - ( B - D ) ) ) $=
    ( cc wcel wa caddc cmin wceq addcom ad2ant2lr oveq2d subadd4 an4s 3eqtr4d
    co ) AEFZBEFZGCEFZDEFZGGZADHQZBCHQZIQUCCBHQZIQZABIQCDIQIQACIQBDIQIQZUBUDUEU
    CISTUDUEJRUABCKLMABCDNRTSUAUGUFJACBDNOP $.

  $( Minus 0 equals 0.  (Contributed by NM, 17-Jan-1997.) $)
  neg0 $p |- -u 0 = 0 $=
    ( cc0 cneg cmin co df-neg cc wcel wceq 0cn subid ax-mp eqtri ) ABAACDZAAEAF
    GMAHIAJKL $.

  $( Addition of a number and its negative.  (Contributed by NM,
     14-Mar-2005.) $)
  negid $p |- ( A e. CC -> ( A + -u A ) = 0 ) $=
    ( cc wcel cneg caddc co cc0 cmin df-neg oveq2i wceq 0cn pncan3 mpan2 eqtrid
    ) ABCZAADZEFAGAHFZEFZGQRAEAIJPGBCSGKLAGMNO $.

  $( Relationship between subtraction and negative.  Theorem I.3 of [Apostol]
     p. 18.  (Contributed by NM, 21-Jan-1997.)  (Proof shortened by Mario
     Carneiro, 27-May-2016.) $)
  negsub $p |- ( ( A e. CC /\ B e. CC ) -> ( A + -u B ) = ( A - B ) ) $=
    ( cc wcel wa cneg caddc co cc0 cmin wceq df-neg oveq2i a1i addsubass mp3an2
    0cn simpl addid1d oveq1d 3eqtr2d ) ACDZBCDZEZABFZGHZAIBJHZGHZAIGHZBJHZABJHU
    FUHKUDUEUGAGBLMNUBICDUCUJUHKQAIBOPUDUIABJUDAUBUCRSTUA $.

  $( Relationship between subtraction and negative.  (Contributed by NM,
     10-May-2004.)  (Revised by Mario Carneiro, 27-May-2016.) $)
  subneg $p |- ( ( A e. CC /\ B e. CC ) -> ( A - -u B ) = ( A + B ) ) $=
    ( cc wcel wa cneg cmin co cc0 caddc df-neg oveq2i wceq subsub mp3an2 eqtrid
    0cn subid1 adantr oveq1d eqtrd ) ACDZBCDZEZABFZGHZAIGHZBJHZABJHUDUFAIBGHZGH
    ZUHUEUIAGBKLUBICDUCUJUHMQAIBNOPUDUGABJUBUGAMUCARSTUA $.

  $( A number is equal to the negative of its negative.  Theorem I.4 of
     [Apostol] p. 18.  (Contributed by NM, 12-Jan-2002.)  (Revised by Mario
     Carneiro, 27-May-2016.) $)
  negneg $p |- ( A e. CC -> -u -u A = A ) $=
    ( cc wcel cneg cc0 caddc co cmin df-neg wceq 0cn subneg eqtrid addid2 eqtrd
    mpan ) ABCZADZDZEAFGZAQSERHGZTRIEBCQUATJKEALPMANO $.

  $( Negative is one-to-one.  (Contributed by NM, 8-Feb-2005.)  (Revised by
     Mario Carneiro, 27-May-2016.) $)
  neg11 $p |- ( ( A e. CC /\ B e. CC ) -> ( -u A = -u B <-> A = B ) ) $=
    ( cc wcel wa cneg wceq negeq negneg eqeqan12d syl5ib impbid1 ) ACDZBCDZEZAF
    ZBFZGZABGZRPFZQFZGOSPQHMNTAUABAIBIJKABHL $.

  $( Negative contraposition law.  (Contributed by NM, 9-May-2004.) $)
  negcon1 $p |- ( ( A e. CC /\ B e. CC ) -> ( -u A = B <-> -u B = A ) ) $=
    ( cc wcel wa cneg wceq negcl neg11 sylan negneg adantr eqeq1d bitr3d bitrdi
    wb eqcom ) ACDZBCDZEZAFZBGZABFZGZUCAGTUAFZUCGZUBUDRUACDSUFUBPAHUABIJTUEAUCR
    UEAGSAKLMNAUCQO $.

  $( Negative contraposition law.  (Contributed by NM, 14-Nov-2004.) $)
  negcon2 $p |- ( ( A e. CC /\ B e. CC ) -> ( A = -u B <-> B = -u A ) ) $=
    ( cc wcel wa cneg wceq eqcom negcon1 bitr4id bitrdi ) ACDBCDEZABFZGZAFZBGZB
    OGLNMAGPAMHABIJOBHK $.

  $( A number is zero iff its negative is zero.  (Contributed by NM,
     12-Jul-2005.)  (Revised by Mario Carneiro, 27-May-2016.) $)
  negeq0 $p |- ( A e. CC -> ( A = 0 <-> -u A = 0 ) ) $=
    ( cc wcel cneg cc0 wceq wb 0cn neg11 mpan2 neg0 eqeq2i bitr3di ) ABCZADZEDZ
    FZAEFZOEFNEBCQRGHAEIJPEOKLM $.

  $( Cancellation law for subtraction.  (Contributed by NM, 8-Feb-2005.)
     (Revised by Mario Carneiro, 27-May-2016.) $)
  subcan $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - B ) = ( A - C ) <-> B = C ) ) $=
    ( cc wcel w3a caddc co wceq cmin simp2 simp1 addcomd eqeq1d simp3 addsubeq4
    wb syl22anc addcan 3bitr3d ) ADEZBDEZCDEZFZBAGHZACGHZIZABGHZUFIABJHACJHIZBC
    IUDUEUHUFUDBAUAUBUCKZUAUBUCLZMNUDUBUAUAUCUGUIQUJUKUKUAUBUCOBAACPRABCST $.

  $( Distribution of negative over subtraction.  (Contributed by NM,
     15-Nov-2004.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  negsubdi $p |- ( ( A e. CC /\ B e. CC ) -> -u ( A - B ) = ( -u A + B ) ) $=
    ( cc wcel wa cc0 cmin co caddc cneg 0cn subsub mp3an1 df-neg oveq1i 3eqtr4g
    wceq ) ACDZBCDZEFABGHZGHZFAGHZBIHZTJAJZBIHFCDRSUAUCQKFABLMTNUDUBBIANOP $.

  $( Distribution of negative over addition.  (Contributed by NM, 10-May-2004.)
     (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  negdi $p |- ( ( A e. CC /\ B e. CC ) ->
                 -u ( A + B ) = ( -u A + -u B ) ) $=
    ( cc wcel wa cneg cmin co caddc subneg negeqd negcl negsubdi sylan2 eqtr3d
    wceq ) ACDZBCDZEZABFZGHZFZABIHZFAFTIHZSUAUCABJKRQTCDUBUDPBLATMNO $.

  $( Distribution of negative over addition.  (Contributed by NM,
     1-Jan-2006.) $)
  negdi2 $p |- ( ( A e. CC /\ B e. CC ) ->
                 -u ( A + B ) = ( -u A - B ) ) $=
    ( cc wcel wa caddc co cneg cmin negdi wceq negcl negsub sylan eqtrd ) ACDZB
    CDZEABFGHAHZBHFGZRBIGZABJPRCDQSTKALRBMNO $.

  $( Distribution of negative over subtraction.  (Contributed by NM,
     4-Oct-1999.) $)
  negsubdi2 $p |- ( ( A e. CC /\ B e. CC ) -> -u ( A - B ) = ( B - A ) ) $=
    ( cc wcel wa cmin cneg caddc negsubdi wceq negcl addcom sylan negsub ancoms
    co 3eqtrd ) ACDZBCDZEABFPGAGZBHPZBTHPZBAFPZABIRTCDSUAUBJAKTBLMSRUBUCJBANOQ
    $.

  $( Relationship between subtraction and negative.  (Contributed by Paul
     Chapman, 8-Oct-2007.) $)
  neg2sub $p |- ( ( A e. CC /\ B e. CC ) -> ( -u A - -u B ) = ( B - A ) ) $=
    ( cc wcel wa cneg cmin co caddc wceq negcl sylan negsubdi negsubdi2 3eqtr2d
    subneg ) ACDZBCDZEAFZBFGHZSBIHZABGHFBAGHQSCDRTUAJAKSBPLABMABNO $.

  ${
    $d x A $.
    renegcl.1 $e |- A e. RR $.
    $( Closure law for negative of reals.  (Note: this inference proof style
       and the deduction theorem usage in ~ renegcl is deprecated, but is
       retained for its demonstration value.)  (Contributed by NM,
       17-Jan-1997.)  (Proof shortened by Andrew Salmon, 22-Oct-2011.) $)
    renegcli $p |- -u A e. RR $=
      ( vx cr wcel cv caddc co cc0 wceq wrex cneg ax-rnegex cc recn cmin df-neg
      wb eqeq1i 0cn recni subadd mp3an12 syl5bb eleq1a sylbird rexlimiv mp2b
      syl ) ADEACFZGHIJZCDKALZDEZBCAMUKUMCDUJDEZUKULUJJZUMUNUJNEZUOUKRUJOUOIAPH
      ZUJJZUPUKULUQUJAQSINEANEUPURUKRTABUAIAUJUBUCUDUIUJDULUEUFUGUH $.

    resubcl.2 $e |- B e. RR $.
    $( Closure law for subtraction of reals.  (Contributed by NM, 17-Jan-1997.)
       (Revised by Mario Carneiro, 27-May-2016.) $)
    resubcli $p |- ( A - B ) e. RR $=
      ( cneg caddc co cmin cr cc wcel wceq recni negsub mp2an renegcli readdcli
      eqeltrri ) ABEZFGZABHGZIAJKBJKTUALACMBDMABNOASCBDPQR $.
  $}

  $( Closure law for negative of reals.  The weak deduction theorem ~ dedth is
     used to convert hypothesis of the inference (deduction) form of this
     theorem, ~ renegcli , to an antecedent.  (Contributed by NM, 20-Jan-1997.)
     (Proof modification is discouraged.) $)
  renegcl $p |- ( A e. RR -> -u A e. RR ) $=
    ( cr wcel cneg c1 cif wceq negeq eleq1d 1re elimel renegcli dedth ) ABCZADZ
    BCNAEFZDZBCAEAPGOQBAPHIPAEBJKLM $.

  $( Closure law for subtraction of reals.  (Contributed by NM,
     20-Jan-1997.) $)
  resubcl $p |- ( ( A e. RR /\ B e. RR ) -> ( A - B ) e. RR ) $=
    ( cr wcel wa cneg caddc cmin wceq recn negsub syl2an renegcl readdcl sylan2
    co cc eqeltrrd ) ACDZBCDZEABFZGPZABHPZCSAQDBQDUBUCITAJBJABKLTSUACDUBCDBMAUA
    NOR $.

  $( The negative of a real is real.  (Contributed by NM, 11-Aug-1999.)
     (Revised by Mario Carneiro, 14-Jul-2014.) $)
  negreb $p |- ( A e. CC -> ( -u A e. RR <-> A e. RR ) ) $=
    ( cc wcel cneg cr renegcl negneg eleq1d syl5ib impbid1 ) ABCZADZECZAECZMLDZ
    ECKNLFKOAEAGHIAFJ $.

  $( "Reverse" second Peano postulate analogue for complex numbers:  A complex
     number minus 1 is a complex number.  (Contributed by Alexander van der
     Vekens, 18-Mar-2018.) $)
  peano2cnm $p |- ( N e. CC -> ( N - 1 ) e. CC ) $=
    ( cc wcel c1 cmin co ax-1cn subcl mpan2 ) ABCDBCADEFBCGADHI $.

  $( "Reverse" second Peano postulate analogue for reals.  (Contributed by NM,
     6-Feb-2007.) $)
  peano2rem $p |- ( N e. RR -> ( N - 1 ) e. RR ) $=
    ( cr wcel c1 cmin co 1re resubcl mpan2 ) ABCDBCADEFBCGADHI $.

  ${
    negidi.1 $e |- A e. CC $.
    $( Closure law for negative.  (Contributed by NM, 26-Nov-1994.) $)
    negcli $p |- -u A e. CC $=
      ( cc wcel cneg negcl ax-mp ) ACDAECDBAFG $.

    $( Addition of a number and its negative.  (Contributed by NM,
       26-Nov-1994.) $)
    negidi $p |- ( A + -u A ) = 0 $=
      ( cc wcel cneg caddc co cc0 wceq negid ax-mp ) ACDAAEFGHIBAJK $.

    $( A number is equal to the negative of its negative.  Theorem I.4 of
       [Apostol] p. 18.  (Contributed by NM, 8-Feb-1995.)  (Proof shortened by
       Andrew Salmon, 22-Oct-2011.) $)
    negnegi $p |- -u -u A = A $=
      ( cc wcel cneg wceq negneg ax-mp ) ACDAEEAFBAGH $.

    $( Subtraction of a number from itself.  (Contributed by NM,
       26-Nov-1994.) $)
    subidi $p |- ( A - A ) = 0 $=
      ( cc wcel cmin co cc0 wceq subid ax-mp ) ACDAAEFGHBAIJ $.

    $( Identity law for subtraction.  (Contributed by NM, 29-May-1999.) $)
    subid1i $p |- ( A - 0 ) = A $=
      ( cc wcel cc0 cmin co wceq subid1 ax-mp ) ACDAEFGAHBAIJ $.

    $( A number is nonzero iff its negative is nonzero.  (Contributed by NM,
       10-Aug-1999.) $)
    negne0bi $p |- ( A =/= 0 <-> -u A =/= 0 ) $=
      ( cc0 cneg cc wcel wceq wb negeq0 ax-mp necon3bii ) ACADZCAEFACGLCGHBAIJK
      $.

    $( The negative of a real is real.  (Contributed by NM, 11-Aug-1999.) $)
    negrebi $p |- ( -u A e. RR <-> A e. RR ) $=
      ( cc wcel cneg cr wb negreb ax-mp ) ACDAEFDAFDGBAHI $.

    ${
      negne0i.2 $e |- A =/= 0 $.
      $( The negative of a nonzero number is nonzero.  (Contributed by NM,
         30-Jul-2004.) $)
      negne0i $p |- -u A =/= 0 $=
        ( cc0 wne cneg negne0bi mpbi ) ADEAFDECABGH $.
    $}

    pncan3i.2 $e |- B e. CC $.
    $( Closure law for subtraction.  (Contributed by NM, 26-Nov-1994.)
       (Revised by Mario Carneiro, 21-Dec-2013.) $)
    subcli $p |- ( A - B ) e. CC $=
      ( cc wcel cmin co subcl mp2an ) AEFBEFABGHEFCDABIJ $.

    $( Subtraction and addition of equals.  (Contributed by NM,
       26-Nov-1994.) $)
    pncan3i $p |- ( A + ( B - A ) ) = B $=
      ( cc wcel cmin co caddc wceq pncan3 mp2an ) AEFBEFABAGHIHBJCDABKL $.

    $( Relationship between subtraction and negative.  Theorem I.3 of [Apostol]
       p. 18.  (Contributed by NM, 26-Nov-1994.)  (Proof shortened by Andrew
       Salmon, 22-Oct-2011.) $)
    negsubi $p |- ( A + -u B ) = ( A - B ) $=
      ( cc wcel cneg caddc co cmin wceq negsub mp2an ) AEFBEFABGHIABJIKCDABLM
      $.

    $( Relationship between subtraction and negative.  (Contributed by NM,
       1-Dec-2005.) $)
    subnegi $p |- ( A - -u B ) = ( A + B ) $=
      ( cc wcel cneg cmin co caddc wceq subneg mp2an ) AEFBEFABGHIABJIKCDABLM
      $.

    $( If the difference between two numbers is zero, they are equal.
       (Contributed by NM, 8-May-1999.) $)
    subeq0i $p |- ( ( A - B ) = 0 <-> A = B ) $=
      ( cc wcel cmin co cc0 wceq wb subeq0 mp2an ) AEFBEFABGHIJABJKCDABLM $.

    $( Negative is one-to-one.  (Contributed by NM, 1-Aug-1999.) $)
    neg11i $p |- ( -u A = -u B <-> A = B ) $=
      ( cc wcel cneg wceq wb neg11 mp2an ) AEFBEFAGBGHABHICDABJK $.

    $( Negative contraposition law.  (Contributed by NM, 25-Aug-1999.) $)
    negcon1i $p |- ( -u A = B <-> -u B = A ) $=
      ( cc wcel cneg wceq wb negcon1 mp2an ) AEFBEFAGBHBGAHICDABJK $.

    $( Negative contraposition law.  (Contributed by NM, 25-Aug-1999.) $)
    negcon2i $p |- ( A = -u B <-> B = -u A ) $=
      ( cc wcel cneg wceq wb negcon2 mp2an ) AEFBEFABGHBAGHICDABJK $.

    $( Distribution of negative over addition.  (Contributed by NM,
       28-Jul-1999.)  (Proof shortened by OpenAI, 25-Mar-2011.) $)
    negdii $p |- -u ( A + B ) = ( -u A + -u B ) $=
      ( cc wcel caddc co cneg wceq negdi mp2an ) AEFBEFABGHIAIBIGHJCDABKL $.

    $( Distribution of negative over subtraction.  (Contributed by NM,
       6-Aug-1999.) $)
    negsubdii $p |- -u ( A - B ) = ( -u A + B ) $=
      ( cneg caddc co cmin negcli negdii negsubi negeqi negnegi oveq2i 3eqtr3i
      ) ABEZFGZEAEZPEZFGABHGZERBFGAPCBDIJQTABCDKLSBRFBDMNO $.

    $( Distribution of negative over subtraction.  (Contributed by NM,
       1-Oct-1999.) $)
    negsubdi2i $p |- -u ( A - B ) = ( B - A ) $=
      ( cmin co cneg caddc negsubdii negcli negsubi addcomli eqtri ) ABEFGAGZBH
      FBAEFZABCDIBNODACJBADCKLM $.

    subadd.3 $e |- C e. CC $.
    $( Relationship between subtraction and addition.  (Contributed by NM,
       26-Nov-1994.)  (Revised by Mario Carneiro, 21-Dec-2013.) $)
    subaddi $p |- ( ( A - B ) = C <-> ( B + C ) = A ) $=
      ( cc wcel cmin co wceq caddc wb subadd mp3an ) AGHBGHCGHABIJCKBCLJAKMDEFA
      BCNO $.

    $( Relationship between subtraction and addition.  (Contributed by NM,
       15-Dec-2006.) $)
    subadd2i $p |- ( ( A - B ) = C <-> ( C + B ) = A ) $=
      ( cc wcel cmin co wceq caddc wb subadd2 mp3an ) AGHBGHCGHABIJCKCBLJAKMDEF
      ABCNO $.

    ${
      subaddri.4 $e |- ( B + C ) = A $.
      $( Relationship between subtraction and addition.  (Contributed by NM,
         16-Dec-2006.) $)
      subaddrii $p |- ( A - B ) = C $=
        ( cmin co wceq caddc subaddi mpbir ) ABHICJBCKIAJGABCDEFLM $.
    $}

    $( Swap subtrahend and result of subtraction.  (Contributed by NM,
       7-Oct-1999.) $)
    subsub23i $p |- ( ( A - B ) = C <-> ( A - C ) = B ) $=
      ( cc wcel cmin co wceq wb subsub23 mp3an ) AGHBGHCGHABIJCKACIJBKLDEFABCMN
      $.

    $( Associative-type law for subtraction and addition.  (Contributed by NM,
       16-Sep-1999.) $)
    addsubassi $p |- ( ( A + B ) - C ) = ( A + ( B - C ) ) $=
      ( cc wcel caddc co cmin wceq addsubass mp3an ) AGHBGHCGHABIJCKJABCKJIJLDE
      FABCMN $.

    $( Law for subtraction and addition.  (Contributed by NM, 6-Aug-2003.) $)
    addsubi $p |- ( ( A + B ) - C ) = ( ( A - C ) + B ) $=
      ( cc wcel caddc co cmin wceq addsub mp3an ) AGHBGHCGHABIJCKJACKJBIJLDEFAB
      CMN $.

    $( Cancellation law for subtraction.  (Contributed by NM, 8-Feb-2005.) $)
    subcani $p |- ( ( A - B ) = ( A - C ) <-> B = C ) $=
      ( cc wcel cmin co wceq wb subcan mp3an ) AGHBGHCGHABIJACIJKBCKLDEFABCMN
      $.

    $( Cancellation law for subtraction.  (Contributed by NM, 8-Feb-2005.) $)
    subcan2i $p |- ( ( A - C ) = ( B - C ) <-> A = B ) $=
      ( cc wcel cmin co wceq wb subcan2 mp3an ) AGHBGHCGHACIJBCIJKABKLDEFABCMN
      $.

    $( Cancellation law for mixed addition and subtraction.  (Contributed by
       NM, 14-Jan-2006.) $)
    pnncani $p |- ( ( A + B ) - ( A - C ) ) = ( B + C ) $=
      ( cc wcel caddc co cmin wceq pnncan mp3an ) AGHBGHCGHABIJACKJKJBCIJLDEFAB
      CMN $.

    addsub4i.4 $e |- D e. CC $.
    $( Rearrangement of 4 terms in a mixed addition and subtraction.
       (Contributed by NM, 17-Oct-1999.) $)
    addsub4i $p |- ( ( A + B ) - ( C + D ) ) =
                 ( ( A - C ) + ( B - D ) ) $=
      ( cc wcel caddc co cmin wceq addsub4 mp4an ) AIJBIJCIJDIJABKLCDKLMLACMLBD
      MLKLNEFGHABCDOP $.
  $}

  $( Alternate proof of ~ 0re .  (Contributed by NM, 19-Feb-2005.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  0reALT $p |- 0 e. RR $=
    ( c1 cmin co cc0 cr ax-1cn subidi 1re resubcli eqeltrri ) AABCDEAFGAAHHIJ
    $.

  ${
    negidd.1 $e |- ( ph -> A e. CC ) $.
    $( Closure law for negative.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    negcld $p |- ( ph -> -u A e. CC ) $=
      ( cc wcel cneg negcl syl ) ABDEBFDECBGH $.

    $( Subtraction of a number from itself.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    subidd $p |- ( ph -> ( A - A ) = 0 ) $=
      ( cc wcel cmin co cc0 wceq subid syl ) ABDEBBFGHICBJK $.

    $( Identity law for subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    subid1d $p |- ( ph -> ( A - 0 ) = A ) $=
      ( cc wcel cc0 cmin co wceq subid1 syl ) ABDEBFGHBICBJK $.

    $( Addition of a number and its negative.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    negidd $p |- ( ph -> ( A + -u A ) = 0 ) $=
      ( cc wcel cneg caddc co cc0 wceq negid syl ) ABDEBBFGHIJCBKL $.

    $( A number is equal to the negative of its negative.  Theorem I.4 of
       [Apostol] p. 18.  (Contributed by Mario Carneiro, 27-May-2016.) $)
    negnegd $p |- ( ph -> -u -u A = A ) $=
      ( cc wcel cneg wceq negneg syl ) ABDEBFFBGCBHI $.

    $( A number is zero iff its negative is zero.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    negeq0d $p |- ( ph -> ( A = 0 <-> -u A = 0 ) ) $=
      ( cc wcel cc0 wceq cneg wb negeq0 syl ) ABDEBFGBHFGICBJK $.

    $( A number is nonzero iff its negative is nonzero.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    negne0bd $p |- ( ph -> ( A =/= 0 <-> -u A =/= 0 ) ) $=
      ( cc0 cneg negeq0d necon3bid ) ABDBEDABCFG $.

    ${
      negcon1d.2 $e |- ( ph -> B e. CC ) $.
      $( Contraposition law for unary minus.  Deduction form of ~ negcon1 .
         (Contributed by David Moews, 28-Feb-2017.) $)
      negcon1d $p |- ( ph -> ( -u A = B <-> -u B = A ) ) $=
        ( cc wcel cneg wceq wb negcon1 syl2anc ) ABFGCFGBHCICHBIJDEBCKL $.
    $}

    ${
      negcon1ad.2 $e |- ( ph -> -u A = B ) $.
      $( Contraposition law for unary minus.  One-way deduction form of
         ~ negcon1 .  (Contributed by David Moews, 28-Feb-2017.) $)
      negcon1ad $p |- ( ph -> -u B = A ) $=
        ( cneg wceq cc negcld eqeltrrd negcon1d mpbid ) ABFZCGCFBGEABCDAMCHEABD
        IJKL $.
    $}

    ${
      neg11ad.2 $e |- ( ph -> B e. CC ) $.
      $( The negatives of two complex numbers are equal iff they are equal.
         Deduction form of ~ neg11 .  Generalization of ~ neg11d .
         (Contributed by David Moews, 28-Feb-2017.) $)
      neg11ad $p |- ( ph -> ( -u A = -u B <-> A = B ) ) $=
        ( cc wcel cneg wceq wb neg11 syl2anc ) ABFGCFGBHCHIBCIJDEBCKL $.
    $}

    ${
      negned.2 $e |- ( ph -> B e. CC ) $.
      negned.3 $e |- ( ph -> A =/= B ) $.
      $( If two complex numbers are unequal, so are their negatives.
         Contrapositive of ~ neg11d .  (Contributed by David Moews,
         28-Feb-2017.) $)
      negned $p |- ( ph -> -u A =/= -u B ) $=
        ( cneg wne neg11ad necon3bid mpbird ) ABGZCGZHBCHFALMBCABCDEIJK $.
    $}

    ${
      negne0d.2 $e |- ( ph -> A =/= 0 ) $.
      $( The negative of a nonzero number is nonzero.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      negne0d $p |- ( ph -> -u A =/= 0 ) $=
        ( cc0 wne cneg negne0bd mpbid ) ABEFBGEFDABCHI $.
    $}

    ${
      negrebd.2 $e |- ( ph -> -u A e. RR ) $.
      $( The negative of a real is real.  (Contributed by Mario Carneiro,
         28-May-2016.) $)
      negrebd $p |- ( ph -> A e. RR ) $=
        ( cneg cr wcel cc wb negreb syl mpbid ) ABEFGZBFGZDABHGMNICBJKL $.
    $}

    pncand.2 $e |- ( ph -> B e. CC ) $.
    $( Closure law for subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    subcld $p |- ( ph -> ( A - B ) e. CC ) $=
      ( cc wcel cmin co subcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.

    $( Cancellation law for subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    pncand $p |- ( ph -> ( ( A + B ) - B ) = A ) $=
      ( cc wcel caddc co cmin wceq pncan syl2anc ) ABFGCFGBCHICJIBKDEBCLM $.

    $( Cancellation law for subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    pncan2d $p |- ( ph -> ( ( A + B ) - A ) = B ) $=
      ( cc wcel caddc co cmin wceq pncan2 syl2anc ) ABFGCFGBCHIBJICKDEBCLM $.

    $( Subtraction and addition of equals.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    pncan3d $p |- ( ph -> ( A + ( B - A ) ) = B ) $=
      ( cc wcel cmin co caddc wceq pncan3 syl2anc ) ABFGCFGBCBHIJICKDEBCLM $.

    $( Cancellation law for subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    npcand $p |- ( ph -> ( ( A - B ) + B ) = A ) $=
      ( cc wcel cmin co caddc wceq npcan syl2anc ) ABFGCFGBCHICJIBKDEBCLM $.

    $( Cancellation law for subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    nncand $p |- ( ph -> ( A - ( A - B ) ) = B ) $=
      ( cc wcel cmin co wceq nncan syl2anc ) ABFGCFGBBCHIHICJDEBCKL $.

    $( Relationship between subtraction and negative.  Theorem I.3 of [Apostol]
       p. 18.  (Contributed by Mario Carneiro, 27-May-2016.) $)
    negsubd $p |- ( ph -> ( A + -u B ) = ( A - B ) ) $=
      ( cc wcel cneg caddc co cmin wceq negsub syl2anc ) ABFGCFGBCHIJBCKJLDEBCM
      N $.

    $( Relationship between subtraction and negative.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    subnegd $p |- ( ph -> ( A - -u B ) = ( A + B ) ) $=
      ( cc wcel cneg cmin co caddc wceq subneg syl2anc ) ABFGCFGBCHIJBCKJLDEBCM
      N $.

    ${
      subeq0d.3 $e |- ( ph -> ( A - B ) = 0 ) $.
      $( If the difference between two numbers is zero, they are equal.
         (Contributed by Mario Carneiro, 27-May-2016.) $)
      subeq0d $p |- ( ph -> A = B ) $=
        ( cmin co cc0 wceq cc wcel wb subeq0 syl2anc mpbid ) ABCGHIJZBCJZFABKLC
        KLQRMDEBCNOP $.
    $}

    ${
      subne0d.3 $e |- ( ph -> A =/= B ) $.
      $( Two unequal numbers have nonzero difference.  (Contributed by Mario
         Carneiro, 1-Jan-2017.) $)
      subne0d $p |- ( ph -> ( A - B ) =/= 0 ) $=
        ( cmin co cc0 wne cc wcel wceq wb subeq0 syl2anc necon3bid mpbird ) ABC
        GHZIJBCJFASIBCABKLCKLSIMBCMNDEBCOPQR $.
    $}

    $( The difference of two complex numbers is zero iff they are equal.
       Deduction form of ~ subeq0 .  Generalization of ~ subeq0d .
       (Contributed by David Moews, 28-Feb-2017.) $)
    subeq0ad $p |- ( ph -> ( ( A - B ) = 0 <-> A = B ) ) $=
      ( cc wcel cmin co cc0 wceq wb subeq0 syl2anc ) ABFGCFGBCHIJKBCKLDEBCMN $.

    ${
      subne0ad.3 $e |- ( ph -> ( A - B ) =/= 0 ) $.
      $( If the difference of two complex numbers is nonzero, they are unequal.
         Converse of ~ subne0d .  Contrapositive of ~ subeq0bd .  (Contributed
         by David Moews, 28-Feb-2017.) $)
      subne0ad $p |- ( ph -> A =/= B ) $=
        ( cmin co cc0 wne subeq0ad necon3bid mpbid ) ABCGHZIJBCJFANIBCABCDEKLM
        $.
    $}

    ${
      neg11d.3 $e |- ( ph -> -u A = -u B ) $.
      $( If the difference between two numbers is zero, they are equal.
         (Contributed by Mario Carneiro, 27-May-2016.) $)
      neg11d $p |- ( ph -> A = B ) $=
        ( cneg wceq neg11ad mpbid ) ABGCGHBCHFABCDEIJ $.
    $}

    $( Distribution of negative over addition.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    negdid $p |- ( ph -> -u ( A + B ) = ( -u A + -u B ) ) $=
      ( cc wcel caddc co cneg wceq negdi syl2anc ) ABFGCFGBCHIJBJCJHIKDEBCLM $.

    $( Distribution of negative over addition.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    negdi2d $p |- ( ph -> -u ( A + B ) = ( -u A - B ) ) $=
      ( cc wcel caddc co cneg cmin wceq negdi2 syl2anc ) ABFGCFGBCHIJBJCKILDEBC
      MN $.

    $( Distribution of negative over subtraction.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    negsubdid $p |- ( ph -> -u ( A - B ) = ( -u A + B ) ) $=
      ( cc wcel cmin co cneg caddc wceq negsubdi syl2anc ) ABFGCFGBCHIJBJCKILDE
      BCMN $.

    $( Distribution of negative over subtraction.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    negsubdi2d $p |- ( ph -> -u ( A - B ) = ( B - A ) ) $=
      ( cc wcel cmin co cneg wceq negsubdi2 syl2anc ) ABFGCFGBCHIJCBHIKDEBCLM
      $.

    $( Relationship between subtraction and negative.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    neg2subd $p |- ( ph -> ( -u A - -u B ) = ( B - A ) ) $=
      ( cc wcel cneg cmin co wceq neg2sub syl2anc ) ABFGCFGBHCHIJCBIJKDEBCLM $.

    subaddd.3 $e |- ( ph -> C e. CC ) $.
    $( Relationship between subtraction and addition.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    subaddd $p |- ( ph -> ( ( A - B ) = C <-> ( B + C ) = A ) ) $=
      ( cc wcel cmin co wceq caddc wb subadd syl3anc ) ABHICHIDHIBCJKDLCDMKBLNE
      FGBCDOP $.

    $( Relationship between subtraction and addition.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    subadd2d $p |- ( ph -> ( ( A - B ) = C <-> ( C + B ) = A ) ) $=
      ( cc wcel cmin co wceq caddc wb subadd2 syl3anc ) ABHICHIDHIBCJKDLDCMKBLN
      EFGBCDOP $.

    $( Associative-type law for subtraction and addition.  (Contributed by
       Mario Carneiro, 27-May-2016.) $)
    addsubassd $p |- ( ph -> ( ( A + B ) - C ) = ( A + ( B - C ) ) ) $=
      ( cc wcel caddc co cmin wceq addsubass syl3anc ) ABHICHIDHIBCJKDLKBCDLKJK
      MEFGBCDNO $.

    $( Law for subtraction and addition.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    addsubd $p |- ( ph -> ( ( A + B ) - C ) = ( ( A - C ) + B ) ) $=
      ( cc wcel caddc co cmin wceq addsub syl3anc ) ABHICHIDHIBCJKDLKBDLKCJKMEF
      GBCDNO $.

    $( Commutative/associative law for addition and subtraction.  (Contributed
       by Mario Carneiro, 27-May-2016.) $)
    subadd23d $p |- ( ph -> ( ( A - B ) + C ) = ( A + ( C - B ) ) ) $=
      ( cc wcel cmin co caddc wceq subadd23 syl3anc ) ABHICHIDHIBCJKDLKBDCJKLKM
      EFGBCDNO $.

    $( Commutative/associative law for addition and subtraction.  (Contributed
       by Mario Carneiro, 27-May-2016.) $)
    addsub12d $p |- ( ph -> ( A + ( B - C ) ) = ( B + ( A - C ) ) ) $=
      ( cc wcel cmin co caddc wceq addsub12 syl3anc ) ABHICHIDHIBCDJKLKCBDJKLKM
      EFGBCDNO $.

    $( Cancellation law for subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    npncand $p |- ( ph -> ( ( A - B ) + ( B - C ) ) = ( A - C ) ) $=
      ( cc wcel cmin co caddc wceq npncan syl3anc ) ABHICHIDHIBCJKCDJKLKBDJKMEF
      GBCDNO $.

    $( Cancellation law for subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    nppcand $p |- ( ph -> ( ( ( A - B ) + C ) + B ) = ( A + C ) ) $=
      ( cc wcel cmin co caddc wceq nppcan syl3anc ) ABHICHIDHIBCJKDLKCLKBDLKMEF
      GBCDNO $.

    $( Cancellation law for subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    nppcan2d $p |- ( ph -> ( ( A - ( B + C ) ) + C ) = ( A - B ) ) $=
      ( cc wcel caddc co cmin wceq nppcan2 syl3anc ) ABHICHIDHIBCDJKLKDJKBCLKME
      FGBCDNO $.

    $( Cancellation law for subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    nppcan3d $p |- ( ph -> ( ( A - B ) + ( C + B ) ) = ( A + C ) ) $=
      ( cc wcel cmin co caddc wceq nppcan3 syl3anc ) ABHICHIDHIBCJKDCLKLKBDLKME
      FGBCDNO $.

    $( Law for double subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    subsubd $p |- ( ph -> ( A - ( B - C ) ) = ( ( A - B ) + C ) ) $=
      ( cc wcel cmin co caddc wceq subsub syl3anc ) ABHICHIDHIBCDJKJKBCJKDLKMEF
      GBCDNO $.

    $( Law for double subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    subsub2d $p |- ( ph -> ( A - ( B - C ) ) = ( A + ( C - B ) ) ) $=
      ( cc wcel cmin co caddc wceq subsub2 syl3anc ) ABHICHIDHIBCDJKJKBDCJKLKME
      FGBCDNO $.

    $( Law for double subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    subsub3d $p |- ( ph -> ( A - ( B - C ) ) = ( ( A + C ) - B ) ) $=
      ( cc wcel cmin co caddc wceq subsub3 syl3anc ) ABHICHIDHIBCDJKJKBDLKCJKME
      FGBCDNO $.

    $( Law for double subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    subsub4d $p |- ( ph -> ( ( A - B ) - C ) = ( A - ( B + C ) ) ) $=
      ( cc wcel cmin co caddc wceq subsub4 syl3anc ) ABHICHIDHIBCJKDJKBCDLKJKME
      FGBCDNO $.

    $( Swap the second and third terms in a double subtraction.  (Contributed
       by Mario Carneiro, 27-May-2016.) $)
    sub32d $p |- ( ph -> ( ( A - B ) - C ) = ( ( A - C ) - B ) ) $=
      ( cc wcel cmin co wceq sub32 syl3anc ) ABHICHIDHIBCJKDJKBDJKCJKLEFGBCDMN
      $.

    $( Cancellation law for subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    nnncand $p |- ( ph -> ( ( A - ( B - C ) ) - C ) = ( A - B ) ) $=
      ( cc wcel cmin co wceq nnncan syl3anc ) ABHICHIDHIBCDJKJKDJKBCJKLEFGBCDMN
      $.

    $( Cancellation law for subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    nnncan1d $p |- ( ph -> ( ( A - B ) - ( A - C ) ) = ( C - B ) ) $=
      ( cc wcel cmin co wceq nnncan1 syl3anc ) ABHICHIDHIBCJKBDJKJKDCJKLEFGBCDM
      N $.

    $( Cancellation law for subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    nnncan2d $p |- ( ph -> ( ( A - C ) - ( B - C ) ) = ( A - B ) ) $=
      ( cc wcel cmin co wceq nnncan2 syl3anc ) ABHICHIDHIBDJKCDJKJKBCJKLEFGBCDM
      N $.

    $( Cancellation law for subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    npncan3d $p |- ( ph -> ( ( A - B ) + ( C - A ) ) = ( C - B ) ) $=
      ( cc wcel cmin co caddc wceq npncan3 syl3anc ) ABHICHIDHIBCJKDBJKLKDCJKME
      FGBCDNO $.

    $( Cancellation law for mixed addition and subtraction.  (Contributed by
       Mario Carneiro, 27-May-2016.) $)
    pnpcand $p |- ( ph -> ( ( A + B ) - ( A + C ) ) = ( B - C ) ) $=
      ( cc wcel caddc co cmin wceq pnpcan syl3anc ) ABHICHIDHIBCJKBDJKLKCDLKMEF
      GBCDNO $.

    $( Cancellation law for mixed addition and subtraction.  (Contributed by
       Mario Carneiro, 27-May-2016.) $)
    pnpcan2d $p |- ( ph -> ( ( A + C ) - ( B + C ) ) = ( A - B ) ) $=
      ( cc wcel caddc co cmin wceq pnpcan2 syl3anc ) ABHICHIDHIBDJKCDJKLKBCLKME
      FGBCDNO $.

    $( Cancellation law for mixed addition and subtraction.  (Contributed by
       Mario Carneiro, 27-May-2016.) $)
    pnncand $p |- ( ph -> ( ( A + B ) - ( A - C ) ) = ( B + C ) ) $=
      ( cc wcel caddc co cmin wceq pnncan syl3anc ) ABHICHIDHIBCJKBDLKLKCDJKMEF
      GBCDNO $.

    $( Cancellation law for mixed addition and subtraction.  (Contributed by
       Mario Carneiro, 27-May-2016.) $)
    ppncand $p |- ( ph -> ( ( A + B ) + ( C - B ) ) = ( A + C ) ) $=
      ( cc wcel caddc co cmin wceq ppncan syl3anc ) ABHICHIDHIBCJKDCLKJKBDJKMEF
      GBCDNO $.

    ${
      subcand.4 $e |- ( ph -> ( A - B ) = ( A - C ) ) $.
      $( Cancellation law for subtraction.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      subcand $p |- ( ph -> B = C ) $=
        ( cmin co wceq cc wcel wb subcan syl3anc mpbid ) ABCIJBDIJKZCDKZHABLMCL
        MDLMRSNEFGBCDOPQ $.
    $}

    ${
      subcan2d.4 $e |- ( ph -> ( A - C ) = ( B - C ) ) $.
      $( Cancellation law for subtraction.  (Contributed by Mario Carneiro,
         22-Sep-2016.) $)
      subcan2d $p |- ( ph -> A = B ) $=
        ( cmin co wceq cc wcel wb subcan2 syl3anc mpbid ) ABDIJCDIJKZBCKZHABLMC
        LMDLMRSNEFGBCDOPQ $.
    $}

    $( Cancellation law for subtraction.  Deduction form of ~ subcan .
       Generalization of ~ subcand .  (Contributed by David Moews,
       28-Feb-2017.) $)
    subcanad $p |- ( ph -> ( ( A - B ) = ( A - C ) <-> B = C ) ) $=
      ( cc wcel cmin co wceq wb subcan syl3anc ) ABHICHIDHIBCJKBDJKLCDLMEFGBCDN
      O $.

    ${
      subneintrd.4 $e |- ( ph -> B =/= C ) $.
      $( Introducing subtraction on both sides of a statement of inequality.
         Contrapositive of ~ subcand .  (Contributed by David Moews,
         28-Feb-2017.) $)
      subneintrd $p |- ( ph -> ( A - B ) =/= ( A - C ) ) $=
        ( cmin co wne subcanad necon3bid mpbird ) ABCIJZBDIJZKCDKHAOPCDABCDEFGL
        MN $.
    $}

    $( Cancellation law for subtraction.  Deduction form of ~ subcan2 .
       Generalization of ~ subcan2d .  (Contributed by David Moews,
       28-Feb-2017.) $)
    subcan2ad $p |- ( ph -> ( ( A - C ) = ( B - C ) <-> A = B ) ) $=
      ( cc wcel cmin co wceq wb subcan2 syl3anc ) ABHICHIDHIBDJKCDJKLBCLMEFGBCD
      NO $.

    ${
      subneintr2d.4 $e |- ( ph -> A =/= B ) $.
      $( Introducing subtraction on both sides of a statement of inequality.
         Contrapositive of ~ subcan2d .  (Contributed by David Moews,
         28-Feb-2017.) $)
      subneintr2d $p |- ( ph -> ( A - C ) =/= ( B - C ) ) $=
        ( cmin co wne subcan2ad necon3bid mpbird ) ABDIJZCDIJZKBCKHAOPBCABCDEFG
        LMN $.
    $}

    addsub4d.4 $e |- ( ph -> D e. CC ) $.
    $( Rearrangement of 4 terms in a mixed addition and subtraction.
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    addsub4d $p |- ( ph ->
                ( ( A + B ) - ( C + D ) ) = ( ( A - C ) + ( B - D ) ) ) $=
      ( cc wcel caddc co cmin wceq addsub4 syl22anc ) ABJKCJKDJKEJKBCLMDELMNMBD
      NMCENMLMOFGHIBCDEPQ $.

    $( Rearrangement of 4 terms in a mixed addition and subtraction.
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    subadd4d $p |- ( ph ->
                ( ( A - B ) - ( C - D ) ) = ( ( A + D ) - ( B + C ) ) ) $=
      ( cc wcel cmin co caddc wceq subadd4 syl22anc ) ABJKCJKDJKEJKBCLMDELMLMBE
      NMCDNMLMOFGHIBCDEPQ $.

    $( Rearrangement of 4 terms in a subtraction.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    sub4d $p |- ( ph ->
                ( ( A - B ) - ( C - D ) ) = ( ( A - C ) - ( B - D ) ) ) $=
      ( cc wcel cmin co wceq sub4 syl22anc ) ABJKCJKDJKEJKBCLMDELMLMBDLMCELMLMN
      FGHIBCDEOP $.

    $( Law for subtraction and addition.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    2addsubd $p |- ( ph ->
      ( ( ( A + B ) + C ) - D ) = ( ( ( A + C ) - D ) + B ) ) $=
      ( cc wcel caddc co cmin wceq 2addsub syl22anc ) ABJKCJKDJKEJKBCLMDLMENMBD
      LMENMCLMOFGHIBCDEPQ $.

    $( Relation between sums and differences.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    addsubeq4d $p |- ( ph ->
        ( ( A + B ) = ( C + D ) <-> ( C - A ) = ( B - D ) ) ) $=
      ( cc wcel caddc co wceq cmin wb addsubeq4 syl22anc ) ABJKCJKDJKEJKBCLMDEL
      MNDBOMCEOMNPFGHIBCDEQR $.
  $}

  ${
    subeqxfrd.a $e |- ( ph -> A e. CC ) $.
    subeqxfrd.b $e |- ( ph -> B e. CC ) $.
    subeqxfrd.c $e |- ( ph -> C e. CC ) $.
    subeqxfrd.d $e |- ( ph -> D e. CC ) $.
    subeqxfrd.1 $e |- ( ph -> ( A - B ) = ( C - D ) ) $.
    $( Transfer two terms of a subtraction in an equality.  (Contributed by
       Thierry Arnoux, 2-Feb-2020.) $)
    subeqxfrd $p |- ( ph -> ( A - C ) = ( B - D ) ) $=
      ( cmin co caddc oveq1d npncand npncan3d 3eqtr3d ) ABCKLZCDKLZMLDEKLZSMLBD
      KLCEKLARTSMJNABCDFGHOADECHIGPQ $.
  $}

  ${
    mvlraddd.1 $e |- ( ph -> A e. CC ) $.
    mvlraddd.2 $e |- ( ph -> B e. CC ) $.
    mvlraddd.3 $e |- ( ph -> ( A + B ) = C ) $.
    $( Move the right term in a sum on the LHS to the RHS, deduction form.
       (Contributed by David A. Wheeler, 11-Oct-2018.) $)
    mvlraddd $p |- ( ph -> A = ( C - B ) ) $=
      ( caddc co cmin pncand oveq1d eqtr3d ) ABCHIZCJIBDCJIABCEFKANDCJGLM $.

    $( Move the left term in a sum on the LHS to the RHS, deduction form.
       (Contributed by David A. Wheeler, 11-Oct-2018.) $)
    mvlladdd $p |- ( ph -> B = ( C - A ) ) $=
      ( caddc co cmin pncand addcomd eqtr3d oveq1d ) ACBHIZBJICDBJIACBFEKAODBJA
      BCHIODABCEFLGMNM $.
  $}

  ${
    mvrraddd.1 $e |- ( ph -> B e. CC ) $.
    mvrraddd.2 $e |- ( ph -> C e. CC ) $.
    mvrraddd.3 $e |- ( ph -> A = ( B + C ) ) $.
    $( Move the right term in a sum on the RHS to the LHS, deduction form.
       (Contributed by David A. Wheeler, 11-Oct-2018.) $)
    mvrraddd $p |- ( ph -> ( A - C ) = B ) $=
      ( cmin co caddc oveq1d pncand eqtrd ) ABDHICDJIZDHICABNDHGKACDEFLM $.

    $( Move the left term in a sum on the RHS to the LHS, deduction form.
       (Contributed by David A. Wheeler, 11-Oct-2018.) $)
    mvrladdd $p |- ( ph -> ( A - B ) = C ) $=
      ( comraddd mvrraddd ) ABDCFEABCDEFGHI $.
  $}

  ${
    assraddsubd.1 $e |- ( ph -> B e. CC ) $.
    assraddsubd.2 $e |- ( ph -> C e. CC ) $.
    assraddsubd.3 $e |- ( ph -> D e. CC ) $.
    assraddsubd.4 $e |- ( ph -> A = ( ( B + C ) - D ) ) $.
    $( Associate RHS addition-subtraction.  (Contributed by David A. Wheeler,
       15-Oct-2018.) $)
    assraddsubd $p |- ( ph -> A = ( B + ( C - D ) ) ) $=
      ( caddc co cmin addsubassd eqtrd ) ABCDJKELKCDELKJKIACDEFGHMN $.
  $}

  ${
    subaddeqd.a $e |- ( ph -> A e. CC ) $.
    subaddeqd.b $e |- ( ph -> B e. CC ) $.
    subaddeqd.c $e |- ( ph -> C e. CC ) $.
    subaddeqd.d $e |- ( ph -> D e. CC ) $.
    subaddeqd.1 $e |- ( ph -> ( A + B ) = ( C + D ) ) $.
    $( Transfer two terms of a subtraction to an addition in an equality.
       (Contributed by Thierry Arnoux, 2-Feb-2020.) $)
    subaddeqd $p |- ( ph -> ( A - D ) = ( C - B ) ) $=
      ( caddc co cmin oveq1d addcomd eqtrd pnpcan2d pnpcand 3eqtr3d ) ABCKLZECK
      LZMLZEDKLZUAMLZBEMLDCMLAUBDEKLZUAMLUDATUEUAMJNAUEUCUAMADEHIONPABECFIGQAED
      CIHGRS $.
  $}

  ${
    addlsub.a $e |- ( ph -> A e. CC ) $.
    addlsub.b $e |- ( ph -> B e. CC ) $.
    addlsub.c $e |- ( ph -> C e. CC ) $.
    $( Left-subtraction:  Subtraction of the left summand from the result of an
       addition.  (Contributed by BJ, 6-Jun-2019.) $)
    addlsub $p |- ( ph -> ( ( A + B ) = C <-> A = ( C - B ) ) ) $=
      ( caddc co wceq cmin oveq1 pncand wa wi eqtr2 eqcomd a1i mpan2d syl5 eqtr
      npcand impbid ) ABCHIZDJZBDCKIZJZUEUDCKIZUFJZAUGUDDCKLAUIUHBJZUGABCEFMUIU
      JNZUGOAUKUFBUHUFBPQRSTUGUDUFCHIZJZAUEBUFCHLAUMULDJZUEADCGFUBUMUNNUEOAUDUL
      DUARSTUC $.

    $( Right-subtraction:  Subtraction of the right summand from the result of
       an addition.  (Contributed by BJ, 6-Jun-2019.) $)
    addrsub $p |- ( ph -> ( ( A + B ) = C <-> B = ( C - A ) ) ) $=
      ( caddc co wceq cmin addcomd eqeq1d addlsub bitrd ) ABCHIZDJCBHIZDJCDBKIJ
      APQDABCEFLMACBDFEGNO $.

    $( A subtraction law:  Exchanging the subtrahend and the result of the
       subtraction.  (Contributed by BJ, 6-Jun-2019.) $)
    subexsub $p |- ( ph -> ( A = ( C - B ) <-> B = ( C - A ) ) ) $=
      ( caddc co wceq cmin addlsub addrsub bitr3d ) ABCHIDJBDCKIJCDBKIJABCDEFGL
      ABCDEFGMN $.
  $}

  $( If adding a number to a another number yields the other number, the added
     number must be ` 0 ` .  This shows that ` 0 ` is the unique (right)
     identity of the complex numbers.  (Contributed by AV, 17-Jan-2021.) $)
  addid0 $p |- ( ( X e. CC /\ Y e. CC ) -> ( ( X + Y ) = X <-> Y = 0 ) ) $=
    ( cc wcel wa caddc co wceq cc0 simpl simpr subaddd eqcom subid adantr eqtrd
    cmin wi ex syl5bi sylbird oveq2 addid1 sylan9eqr impbid ) ACDZBCDZEZABFGZAH
    ZBIHZUHUJAAQGZBHZUKUHAABUFUGJZUNUFUGKLUFUMUKRUGUMBULHZUFUKULBMUFUOUKUFUOEBU
    LIUFUOKUFULIHUOANOPSTOUAUFUKUJRUGUFUKUJUKUFUIAIFGABIAFUBAUCUDSOUE $.

  $( Adding a nonzero number to a complex number does not yield the complex
     number.  (Contributed by AV, 17-Jan-2021.) $)
  addn0nid $p |- ( ( X e. CC /\ Y e. CC /\ Y =/= 0 ) -> ( X + Y ) =/= X ) $=
    ( cc wcel cc0 wne caddc co wa wceq addid0 biimpd necon3d 3impia ) ACDZBCDZB
    EFABGHZAFOPIZQABERQAJBEJABKLMN $.

  ${
    pnpncand.1 $e |- ( ph -> A e. CC ) $.
    pnpncand.2 $e |- ( ph -> B e. CC ) $.
    pnpncand.3 $e |- ( ph -> C e. CC ) $.
    $( Addition/subtraction cancellation law.  (Contributed by Scott Fenton,
       14-Dec-2017.) $)
    pnpncand $p |- ( ph -> ( ( A + ( B - C ) ) + ( C - B ) ) = A ) $=
      ( cmin co caddc subcld addcld subsub2d pncand eqtr3d ) ABCDHIZJIZPHIQDCHI
      JIBAQCDABPEACDFGKZLFGMABPERNO $.
  $}

  $( Reverse the order of subtraction in an equality.  (Contributed by Scott
     Fenton, 8-Jul-2013.) $)
  subeqrev $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
    ( ( A - B ) = ( C - D ) <-> ( B - A ) = ( D - C ) ) ) $=
    ( cc wcel wa cmin co cneg wb subcl neg11 syl2an negsubdi2 eqeqan12d bitr3d
    wceq ) AEFBEFGZCEFDEFGZGABHIZJZCDHIZJZRZUAUCRZBAHIZDCHIZRSUAEFUCEFUEUFKTABL
    CDLUAUCMNSTUBUGUDUHABOCDOPQ $.

  $( Two complex numbers add up to zero iff they are each other's opposites.
     (Contributed by Thierry Arnoux, 2-May-2017.) $)
  addeq0 $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A + B ) = 0 <-> A = -u B ) ) $=
    ( cc wcel wa cc0 cmin co wceq caddc cneg simpr simpl subadd2d df-neg eqeq1i
    0cnd eqcom bitr3i bitr3di ) ACDZBCDZEZFBGHZAIZABJHFIABKZIZUCFBAUCQUAUBLUAUB
    MNUEUFAIUGUFUDABOPUFARST $.

  $( Cancellation law for addition and subtraction with 1.  (Contributed by
     Alexander van der Vekens, 3-Oct-2018.) $)
  pncan1 $p |- ( A e. CC -> ( ( A + 1 ) - 1 ) = A ) $=
    ( cc wcel c1 id 1cnd pncand ) ABCZADHEHFG $.

  $( Cancellation law for subtraction and addition with 1.  (Contributed by
     Alexander van der Vekens, 5-Oct-2018.) $)
  npcan1 $p |- ( A e. CC -> ( ( A - 1 ) + 1 ) = A ) $=
    ( cc wcel c1 id 1cnd npcand ) ABCZADHEHFG $.

  ${
    subeq0bd.1 $e |- ( ph -> A e. CC ) $.
    subeq0bd.2 $e |- ( ph -> A = B ) $.
    $( If two complex numbers are equal, their difference is zero.  Consequence
       of ~ subeq0ad .  Converse of ~ subeq0d .  Contrapositive of ~ subne0ad .
       (Contributed by David Moews, 28-Feb-2017.) $)
    subeq0bd $p |- ( ph -> ( A - B ) = 0 ) $=
      ( cmin co cc0 wceq cc eqeltrrd subeq0ad mpbird ) ABCFGHIBCIEABCDABCJEDKLM
      $.
  $}

  ${
    renegcld.1 $e |- ( ph -> A e. RR ) $.
    $( Closure law for negative of reals.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    renegcld $p |- ( ph -> -u A e. RR ) $=
      ( cr wcel cneg renegcl syl ) ABDEBFDECBGH $.

    resubcld.2 $e |- ( ph -> B e. RR ) $.
    $( Closure law for subtraction of reals.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    resubcld $p |- ( ph -> ( A - B ) e. RR ) $=
      ( cr wcel cmin co resubcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.
  $}

  ${
    $d A x y z $.
    $( The image under negation of a nonempty set of reals is nonempty.
       (Contributed by Paul Chapman, 21-Mar-2011.) $)
    negn0 $p |- ( ( A C_ RR /\ A =/= (/) ) ->
                  { z e. RR | -u z e. A } =/= (/) ) $=
      ( vx vy cr wss c0 wne cv cneg wcel crab wex n0 ssel wb renegcl wceq negeq
      eleq1d elrab3 syl recn negnegd bitrd biimprd elex2 syl6ibr exlimdv syl5bi
      syli syl6 imp ) BEFZBGHZAIZJZBKZAELZGHZUOCIZBKZCMUNUTCBNUNVBUTCUNVBDIUSKD
      MZUTUNVBVAJZUSKZVCVBUNVAEKZVEBEVAOVFVEVBVFVEVDJZBKZVBVFVDEKVEVHPVAQURVHAV
      DEUPVDRUQVGBUPVDSTUAUBVFVGVABVFVAVAUCUDTUEUFUKDVDUSUGULDUSNUHUIUJUM $.
  $}

  ${
    $d A n x y $.
    negf1o.1 $e |- F = ( x e. A |-> -u x ) $.
    $( Negation is an isomorphism of a subset of the real numbers to the
       negated elements of the subset.  (Contributed by AV, 9-Aug-2020.) $)
    negf1o $p |- ( A C_ RR -> F : A -1-1-onto-> { n e. RR | -u n e. A } ) $=
      ( vy cr cv cneg wcel wa wceq negeq eleq1d imp wi cc recn adantl impcom wb
      wss crab ssel renegcl syl6 negneg eqcomd syl biimpcd mpd elrabd weq elrab
      simpr a1i syl5bi syl6com ad3antrrr negcon2 syl2anc exp31 sylbi f1o2d ) BG
      UBZAFBCHZIZBJZCGUCZAHZIZFHZIZDEVEVJBJZKZVHVKIZBJZCVKGVFVKLVGVPBVFVKMNVEVN
      VKGJZVEVNVJGJZVRBGVJUDZVJUEUFOVOVSVQVEVNVSVTOVNVSVQPVEVSVNVQVSVJVPBVSVJQJ
      ZVJVPLVJRZWAVPVJVJUGUHUINUJSUKULVEVLVIJZVMBJZWCVLGJZWDKZVEWDVHWDCVLGCFUMV
      GVMBVFVLMNUNZWFWDPVEWEWDUOUPUQOVNWCKVEVJVMLVLVKLUAZWCVNVEWHPZWCWFVNWIPWGW
      FVNVEWHWFVNKZVEKWAVLQJZWHWJVEWAVNVEWAPWFVEVNVSWAVTWBURSOWEWKWDVNVEVLRUSVJ
      VLUTVAVBVCTTVD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Multiplication
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( k times k minus 1 is a complex number if k is a complex number.
     (Contributed by Alexander van der Vekens, 11-Mar-2018.) $)
  kcnktkm1cn $p |- ( K e. CC -> ( K x. ( K - 1 ) ) e. CC ) $=
    ( cc wcel c1 cmin co id peano2cnm mulcld ) ABCZAADEFJGAHI $.

  $( Product of two sums.  (Contributed by NM, 14-Jan-2006.)  (Proof shortened
     by Andrew Salmon, 19-Nov-2011.) $)
  muladd $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
               ( ( A + B ) x. ( C + D ) ) =
       ( ( ( A x. C ) + ( D x. B ) ) + ( ( A x. D ) + ( C x. B ) ) ) ) $=
    ( cc wcel wa caddc co cmul wceq addcl 3expa adantrl oveq12d mulcl ad2ant2lr
    adddir syl2an ad2ant2l adddi adantrr ad2ant2r anandirs add32d mulcom oveq2d
    3expb sylan ad2ant2rl addassd ancoms 3eqtr3d an4s 3eqtrd ) AEFZBEFZGZCEFZDE
    FZGZGZABHIZCDHIJIZVCCJIZVCDJIZHIZACJIZBCJIZHIZADJIZBDJIZHIZHIZVHDBJIZHIZVKC
    BJIZHIHIZURVCEFZVAVDVGKZABLVSUSUTVTVCCDUAUHUIVBVEVJVFVMHURUSVEVJKZUTUPUQUSW
    AABCRMUBURUTVFVMKZUSUPUQUTWBABDRMNOVBVNVHVMHIZVIHIVPVKHIZVQHIVRVBVHVIVMUPUS
    VHEFZUQUTACPZUCZUQUSVIEFUPUTBCPQURUTVMEFZUSUPUQUTWHUPUTGVKEFZVLEFZWHUQUTGZA
    DPZBDPZVKVLLSUDNUEVBWCWDVIVQHVBVHVKHIZVLHIWNVOHIWCWDVBVLVOWNHUQUTVLVOKUPUSB
    DUFTUGVBVHVKVLWGUPUTWIUQUSWLUJZUQUTWJUPUSWMTUKVBVHVKVOWGWOUQUTVOEFZUPUSUTUQ
    WPDBPULZTUEUMUQUSVIVQKUPUTBCUFQOVBVPVKVQUPUSUQUTVPEFZUPUSGWEWPWRWKWFWQVHVOL
    SUNWOUQUSVQEFZUPUTUSUQWSCBPULQUKUOUO $.

  $( Distribution of multiplication over subtraction.  Theorem I.5 of [Apostol]
     p. 18.  (Contributed by NM, 18-Nov-2004.) $)
  subdi $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( A x. ( B - C ) ) = ( ( A x. B ) - ( A x. C ) ) ) $=
    ( cc wcel w3a cmul cmin wceq caddc simp1 simp3 3adant1 adddid pncan3 ancoms
    co subcl oveq2d mulcl eqtr3d 3adant3 3adant2 wa sylan2 3impb subaddd mpbird
    eqcomd ) ADEZBDEZCDEZFZABGQZACGQZHQZABCHQZGQZUMUPURIUOURJQZUNIUMACUQJQZGQUS
    UNUMACUQUJUKULKUJUKULLUKULUQDEZUJBCRZMNUMUTBAGUKULUTBIZUJULUKVCCBOPMSUAUMUN
    UOURUJUKUNDEULABTUBUJULUODEUKACTUCUJUKULURDEZUKULUDUJVAVDVBAUQTUEUFUGUHUI
    $.

  $( Distribution of multiplication over subtraction.  Theorem I.5 of [Apostol]
     p. 18.  (Contributed by NM, 30-Dec-2005.) $)
  subdir $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( ( A - B ) x. C ) = ( ( A x. C ) - ( B x. C ) ) ) $=
    ( cc wcel cmin co cmul wceq subdi 3coml subcl mulcom stoic3 3adant2 3adant1
    w3a oveq12d 3eqtr4d ) ADEZBDEZCDEZQZCABFGZHGZCAHGZCBHGZFGZUDCHGZACHGZBCHGZF
    GUBTUAUEUHICABJKTUAUDDEUBUIUEIABLUDCMNUCUJUFUKUGFTUBUJUFIUAACMOUAUBUKUGITBC
    MPRS $.

  $( The imaginary unit ` _i ` is not zero.  (Contributed by NM,
     6-May-1999.) $)
  ine0 $p |- _i =/= 0 $=
    ( ci cc0 wceq c1 ax-1ne0 neii caddc cmul oveq2 ax-icn mul01i eqtr2di oveq1d
    co ax-1cn addid2i ax-i2m1 3eqtr3g mto neir ) ABABCZDBCDBEFUABDGNAAHNZDGNDBU
    ABUBDGUAUBABHNBABAHIAJKLMDOPQRST $.

  $( Product with negative is negative of product.  Theorem I.12 of [Apostol]
     p. 18.  (Contributed by NM, 14-May-1999.)  (Proof shortened by Mario
     Carneiro, 27-May-2016.) $)
  mulneg1 $p |- ( ( A e. CC /\ B e. CC ) ->
                 ( -u A x. B ) = -u ( A x. B ) ) $=
    ( cc wcel wa cmin co cmul cneg wceq subdir mp3an1 simpr mul02d oveq1d eqtrd
    cc0 0cn df-neg oveq1i 3eqtr4g ) ACDZBCDZEZQAFGZBHGZQABHGZFGZAIZBHGUGIUDUFQB
    HGZUGFGZUHQCDUBUCUFUKJRQABKLUDUJQUGFUDBUBUCMNOPUIUEBHASTUGSUA $.

  $( The product with a negative is the negative of the product.  (Contributed
     by NM, 30-Jul-2004.) $)
  mulneg2 $p |- ( ( A e. CC /\ B e. CC ) ->
                 ( A x. -u B ) = -u ( A x. B ) ) $=
    ( cc wcel wa cneg cmul co mulneg1 ancoms negcl mulcom sylan2 negeqd 3eqtr4d
    wceq ) ACDZBCDZEZBFZAGHZBAGHZFZATGHZABGHZFRQUAUCPBAIJRQTCDUDUAPBKATLMSUEUBA
    BLNO $.

  $( Swap the negative sign in a product.  (Contributed by NM, 30-Jul-2004.) $)
  mulneg12 $p |- ( ( A e. CC /\ B e. CC ) ->
                  ( -u A x. B ) = ( A x. -u B ) ) $=
    ( cc wcel wa cneg cmul co mulneg1 mulneg2 eqtr4d ) ACDBCDEAFBGHABGHFABFGHAB
    IABJK $.

  $( Product of two negatives.  Theorem I.12 of [Apostol] p. 18.  (Contributed
     by NM, 30-Jul-2004.)  (Proof shortened by Andrew Salmon, 19-Nov-2011.) $)
  mul2neg $p |- ( ( A e. CC /\ B e. CC ) -> ( -u A x. -u B ) = ( A x. B ) ) $=
    ( cc wcel wa cneg cmul co negcl mulneg12 sylan2 negneg adantl oveq2d eqtrd
    wceq ) ACDZBCDZEZAFBFZGHZATFZGHZABGHRQTCDUAUCPBIATJKSUBBAGRUBBPQBLMNO $.

  $( Convert a subtraction to addition using multiplication by a negative.
     (Contributed by NM, 2-Feb-2007.) $)
  submul2 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                 ( A - ( B x. C ) ) = ( A + ( B x. -u C ) ) ) $=
    ( cc wcel cmul co cmin cneg caddc wceq wa adantl oveq2d mulcl negsub sylan2
    mulneg2 eqtr2d 3impb ) ADEZBDEZCDEZABCFGZHGZABCIFGZJGZKUAUBUCLZLZUGAUDIZJGZ
    UEUIUFUJAJUHUFUJKUABCRMNUHUAUDDEUKUEKBCOAUDPQST $.

  $( Product with minus one is negative.  (Contributed by NM, 16-Nov-1999.) $)
  mulm1 $p |- ( A e. CC -> ( -u 1 x. A ) = -u A ) $=
    ( cc wcel c1 cneg cmul co wceq ax-1cn mulneg1 mpan mulid2 negeqd eqtrd ) AB
    CZDEAFGZDAFGZEZAEDBCOPRHIDAJKOQAALMN $.

  $( Addition with product with minus one is a subtraction.  (Contributed by
     AV, 18-Oct-2021.) $)
  addneg1mul $p |- ( ( A e. CC /\ B e. CC )
                     -> ( A + ( -u 1 x. B ) ) = ( A - B ) ) $=
    ( cc wcel wa c1 cneg cmul caddc cmin wceq mulm1 adantl oveq2d negsub eqtrd
    co ) ACDZBCDZEZAFGBHQZIQABGZIQABJQTUAUBAISUAUBKRBLMNABOP $.

  $( Product of two differences.  (Contributed by NM, 14-Jan-2006.) $)
  mulsub $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
               ( ( A - B ) x. ( C - D ) ) =
       ( ( ( A x. C ) + ( D x. B ) ) - ( ( A x. D ) + ( C x. B ) ) ) ) $=
    ( cc wcel wa cneg caddc cmul cmin negsub oveqan12d wceq negcl mulneg2 mulcl
    co ancoms syl2an muladd sylanr2 sylanl2 mul2neg oveq2d negdi eqtr4d ancom2s
    ad2ant2l an42s oveq12d addcl an4s negsubd 3eqtrd eqtr3d ) AEFZBEFZGZCEFZDEF
    ZGZGZABHZIRZCDHZIRZJRZABKRZCDKRZJRACJRZDBJRZIRZADJRZCBJRZIRZKRZUSVBVEVIVGVJ
    JABLCDLMVCVHVKVFVDJRZIRZAVFJRZCVDJRZIRZIRZVMVPHZIRVQURUQVDEFZVBVHWCNZBOVAUQ
    WEGUTVFEFWFDOAVDCVFUAUBUCVCVSVMWBWDIURVAVSVMNUQUTURVAGZVRVLVKIVAURVRVLNDBUD
    SUEUIUQVAURUTWBWDNZUQVAGZUTURWHWIUTURGZGWBVNHZVOHZIRZWDWIWJVTWKWAWLIADPCBPM
    WIVNEFZVOEFZWDWMNWJADQZCBQZVNVOUFTUGUHUJUKVCVMVPUQUTURVAVMEFZUQUTGVKEFVLEFZ
    WRWGACQVAURWSDBQSVKVLULTUMUQVAURUTVPEFZWIWNWOWTURUTGWPUTURWOWQSVNVOULTUJUNU
    OUP $.

  $( Swap the order of subtraction in a multiplication.  (Contributed by Scott
     Fenton, 24-Jun-2013.) $)
  mulsub2 $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
    ( ( A - B ) x. ( C - D ) ) = ( ( B - A ) x. ( D - C ) ) ) $=
    ( cc wcel wa cmin co cneg cmul wceq subcl syl2an negsubdi2 oveqan12d eqtr3d
    mul2neg ) AEFBEFGZCEFDEFGZGABHIZJZCDHIZJZKIZUAUCKIZBAHIZDCHIZKISUAEFUCEFUEU
    FLTABMCDMUAUCRNSTUBUGUDUHKABOCDOPQ $.

  ${
    mulm1.1 $e |- A e. CC $.
    $( Product with minus one is negative.  (Contributed by NM,
       31-Jul-1999.) $)
    mulm1i $p |- ( -u 1 x. A ) = -u A $=
      ( cc wcel c1 cneg cmul co wceq mulm1 ax-mp ) ACDEFAGHAFIBAJK $.

    mulneg.2 $e |- B e. CC $.
    $( Product with negative is negative of product.  Theorem I.12 of [Apostol]
       p. 18.  (Contributed by NM, 10-Feb-1995.)  (Revised by Mario Carneiro,
       27-May-2016.) $)
    mulneg1i $p |- ( -u A x. B ) = -u ( A x. B ) $=
      ( cc wcel cneg cmul co wceq mulneg1 mp2an ) AEFBEFAGBHIABHIGJCDABKL $.

    $( Product with negative is negative of product.  (Contributed by NM,
       31-Jul-1999.)  (Revised by Mario Carneiro, 27-May-2016.) $)
    mulneg2i $p |- ( A x. -u B ) = -u ( A x. B ) $=
      ( cc wcel cneg cmul co wceq mulneg2 mp2an ) AEFBEFABGHIABHIGJCDABKL $.

    $( Product of two negatives.  Theorem I.12 of [Apostol] p. 18.
       (Contributed by NM, 14-Feb-1995.)  (Revised by Mario Carneiro,
       27-May-2016.) $)
    mul2negi $p |- ( -u A x. -u B ) = ( A x. B ) $=
      ( cc wcel cneg cmul co wceq mul2neg mp2an ) AEFBEFAGBGHIABHIJCDABKL $.

    subdi.3 $e |- C e. CC $.
    $( Distribution of multiplication over subtraction.  Theorem I.5 of
       [Apostol] p. 18.  (Contributed by NM, 26-Nov-1994.) $)
    subdii $p |- ( A x. ( B - C ) ) = ( ( A x. B ) - ( A x. C ) ) $=
      ( cc wcel cmin co cmul wceq subdi mp3an ) AGHBGHCGHABCIJKJABKJACKJIJLDEFA
      BCMN $.

    $( Distribution of multiplication over subtraction.  Theorem I.5 of
       [Apostol] p. 18.  (Contributed by NM, 8-May-1999.) $)
    subdiri $p |- ( ( A - B ) x. C ) = ( ( A x. C ) - ( B x. C ) ) $=
      ( cc wcel cmin co cmul wceq subdir mp3an ) AGHBGHCGHABIJCKJACKJBCKJIJLDEF
      ABCMN $.

    muladdi.4 $e |- D e. CC $.
    $( Product of two sums.  (Contributed by NM, 17-May-1999.) $)
    muladdi $p |- ( ( A + B ) x. ( C + D ) ) =
        ( ( ( A x. C ) + ( D x. B ) ) + ( ( A x. D ) + ( C x. B ) ) ) $=
      ( cc wcel caddc co cmul wceq muladd mp4an ) AIJBIJCIJDIJABKLCDKLMLACMLDBM
      LKLADMLCBMLKLKLNEFGHABCDOP $.
  $}

  ${
    mulm1d.1 $e |- ( ph -> A e. CC ) $.
    $( Product with minus one is negative.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    mulm1d $p |- ( ph -> ( -u 1 x. A ) = -u A ) $=
      ( cc wcel c1 cneg cmul co wceq mulm1 syl ) ABDEFGBHIBGJCBKL $.

    mulnegd.2 $e |- ( ph -> B e. CC ) $.
    $( Product with negative is negative of product.  Theorem I.12 of [Apostol]
       p. 18.  (Contributed by Mario Carneiro, 27-May-2016.) $)
    mulneg1d $p |- ( ph -> ( -u A x. B ) = -u ( A x. B ) ) $=
      ( cc wcel cneg cmul co wceq mulneg1 syl2anc ) ABFGCFGBHCIJBCIJHKDEBCLM $.

    $( Product with negative is negative of product.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    mulneg2d $p |- ( ph -> ( A x. -u B ) = -u ( A x. B ) ) $=
      ( cc wcel cneg cmul co wceq mulneg2 syl2anc ) ABFGCFGBCHIJBCIJHKDEBCLM $.

    $( Product of two negatives.  Theorem I.12 of [Apostol] p. 18.
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    mul2negd $p |- ( ph -> ( -u A x. -u B ) = ( A x. B ) ) $=
      ( cc wcel cneg cmul co wceq mul2neg syl2anc ) ABFGCFGBHCHIJBCIJKDEBCLM $.

    subdid.3 $e |- ( ph -> C e. CC ) $.
    $( Distribution of multiplication over subtraction.  Theorem I.5 of
       [Apostol] p. 18.  (Contributed by Mario Carneiro, 27-May-2016.) $)
    subdid $p |- ( ph -> ( A x. ( B - C ) ) = ( ( A x. B ) - ( A x. C ) ) ) $=
      ( cc wcel cmin co cmul wceq subdi syl3anc ) ABHICHIDHIBCDJKLKBCLKBDLKJKME
      FGBCDNO $.

    $( Distribution of multiplication over subtraction.  Theorem I.5 of
       [Apostol] p. 18.  (Contributed by Mario Carneiro, 27-May-2016.) $)
    subdird $p |- ( ph -> ( ( A - B ) x. C ) = ( ( A x. C ) - ( B x. C ) ) ) $=
      ( cc wcel cmin co cmul wceq subdir syl3anc ) ABHICHIDHIBCJKDLKBDLKCDLKJKM
      EFGBCDNO $.

    muladdd.4 $e |- ( ph -> D e. CC ) $.
    $( Product of two sums.  (Contributed by Mario Carneiro, 27-May-2016.) $)
    muladdd $p |- ( ph -> ( ( A + B ) x. ( C + D ) ) =
        ( ( ( A x. C ) + ( D x. B ) ) + ( ( A x. D ) + ( C x. B ) ) ) ) $=
      ( cc wcel caddc co cmul wceq muladd syl22anc ) ABJKCJKDJKEJKBCLMDELMNMBDN
      MECNMLMBENMDCNMLMLMOFGHIBCDEPQ $.

    $( Product of two differences.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    mulsubd $p |- ( ph -> ( ( A - B ) x. ( C - D ) ) =
         ( ( ( A x. C ) + ( D x. B ) ) - ( ( A x. D ) + ( C x. B ) ) ) ) $=
      ( cc wcel cmin co cmul caddc wceq mulsub syl22anc ) ABJKCJKDJKEJKBCLMDELM
      NMBDNMECNMOMBENMDCNMOMLMPFGHIBCDEQR $.
  $}

  ${
    muls1d.1 $e |- ( ph -> A e. CC ) $.
    muls1d.2 $e |- ( ph -> B e. CC ) $.
    $( Multiplication by one minus a number.  (Contributed by Scott Fenton,
       23-Dec-2017.) $)
    muls1d $p |- ( ph -> ( A x. ( B - 1 ) ) = ( ( A x. B ) - A ) ) $=
      ( c1 cmin co cmul 1cnd subdid mulid1d oveq2d eqtrd ) ABCFGHIHBCIHZBFIHZGH
      OBGHABCFDEAJKAPBOGABDLMN $.

    $( Multiplication followed by the subtraction of a factor.  (Contributed by
       Alexander van der Vekens, 28-Aug-2018.) $)
    mulsubfacd $p |- ( ph -> ( ( A x. B ) - B ) = ( ( A - 1 ) x. B ) ) $=
      ( c1 cmin co cmul 1cnd subdird mulid2d oveq2d eqtr2d ) ABFGHCIHBCIHZFCIHZ
      GHOCGHABFCDAJEKAPCOGACELMN $.
  $}

  $( The product of a sum and a difference.  (Contributed by AV,
     5-Mar-2023.) $)
  addmulsub $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) )
        -> ( ( A + B ) x. ( C - D ) )
           = ( ( ( A x. C ) + ( B x. C ) ) - ( ( A x. D ) + ( B x. D ) ) ) ) $=
    ( cc wcel caddc cmin cmul simpll simplr addcld simprl simprr subdid adddird
    wa co oveq12d eqtrd ) AEFZBEFZQZCEFZDEFZQZQZABGRZCDHRIRUHCIRZUHDIRZHRACIRBC
    IRGRZADIRBDIRGRZHRUGUHCDUGABUAUBUFJZUAUBUFKZLUCUDUEMZUCUDUENZOUGUIUKUJULHUG
    ABCUMUNUOPUGABDUMUNUPPST $.

  $( The difference with a product of a sum and a difference.  (Contributed by
     AV, 5-Mar-2023.) $)
  subaddmulsub $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC )
                       /\ E e. CC ) -> ( E - ( ( A + B ) x. ( C - D ) ) )
                                       = ( ( ( E - ( A x. C ) ) - ( B x. C ) )
                                           + ( ( A x. D ) + ( B x. D ) ) ) ) $=
    ( cc wcel wa w3a caddc cmin cmul wceq addmulsub 3adant3 oveq2d simp3 mulcld
    co addcld simp1l simp2l simp1r simp2r subsubd subsub4d eqcomd oveq1d 3eqtrd
    ) AFGZBFGZHZCFGZDFGZHZEFGZIZEABJSCDKSLSZKSEACLSZBCLSZJSZADLSZBDLSZJSZKSZKSE
    VAKSZVDJSEUSKSUTKSZVDJSUQURVEEKULUOURVEMUPABCDNOPUQEVAVDULUOUPQZUQUSUTUQACU
    JUKUOUPUAZULUMUNUPUBZRZUQBCUJUKUOUPUCZVJRZTUQVBVCUQADVIULUMUNUPUDZRUQBDVLVN
    RTUEUQVFVGVDJUQVGVFUQEUSUTVHVKVMUFUGUHUI $.

  $( A special difference of a product with a product of a sum and a
     difference.  (Contributed by AV, 5-Mar-2023.) $)
  mulsubaddmulsub $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) )
                         -> ( ( B x. C ) - ( ( A + B ) x. ( C - D ) ) )
                            = ( ( ( A x. D ) + ( B x. D ) ) - ( A x. C ) ) ) $=
    ( cc wcel wa cmul caddc cmin wceq simplr simprl mulcld subaddmulsub mpd3an3
    co cc0 oveq1d eqtrd cneg simpll sub32d subidd df-neg eqtr4di negcld addcomd
    simprr addcld negsubd ) AEFZBEFZGZCEFZDEFZGZGZBCHQZABIQCDJQHQJQZUSACHQZJQUS
    JQZADHQZBDHQZIQZIQZVEVAJQZUNUQUSEFUTVFKURBCULUMUQLZUNUOUPMZNZABCDUSOPURVFVA
    UAZVEIQZVGURVBVKVEIURVBRVAJQZVKURVBUSUSJQZVAJQVMURUSVAUSVJURACULUMUQUBZVINZ
    VJUCURVNRVAJURUSVJUDSTVAUEUFSURVLVEVKIQVGURVKVEURVAVPUGURVCVDURADVOUNUOUPUI
    ZNURBDVHVQNUJZUHURVEVAVRVPUKTTT $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ordering on reals (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Positive implies nonzero.  (Contributed by NM, 3-Oct-1999.)  (Proof
     shortened by Mario Carneiro, 27-May-2016.) $)
  gt0ne0 $p |- ( ( A e. RR /\ 0 < A ) -> A =/= 0 ) $=
    ( cr wcel cc0 clt wbr wne 0red ltne sylan ) ABCZDBCDAEFADGKHDAIJ $.

  $( A number which is less than zero is not zero.  (Contributed by Stefan
     O'Rear, 13-Sep-2014.) $)
  lt0ne0 $p |- ( ( A e. RR /\ A < 0 ) -> A =/= 0 ) $=
    ( cr wcel cc0 clt wbr wa ltne necomd ) ABCADEFGDAADHI $.

  $( Addition to both sides of 'less than'.  (Contributed by NM, 12-Nov-1999.)
     (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  ltadd1 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A < B <-> ( A + C ) < ( B + C ) ) ) $=
    ( cr wcel w3a clt wbr caddc co ltadd2 simp3 recnd simp1 addcomd simp2 bitrd
    breq12d ) ADEZBDEZCDEZFZABGHCAIJZCBIJZGHACIJZBCIJZGHABCKUBUCUEUDUFGUBCAUBCS
    TUALMZUBASTUANMOUBCBUGUBBSTUAPMORQ $.

  $( Addition to both sides of 'less than or equal to'.  (Contributed by NM,
     18-Oct-1999.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  leadd1 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A <_ B <-> ( A + C ) <_ ( B + C ) ) ) $=
    ( cr w3a clt wbr wn caddc co cle wb ltadd1 3com12 notbid simp1 simp2 lenltd
    wcel readdcld simp3 3bitr4d ) ADSZBDSZCDSZEZBAFGZHBCIJZACIJZFGZHABKGUIUHKGU
    FUGUJUDUCUEUGUJLBACMNOUFABUCUDUEPZUCUDUEQZRUFUIUHUFACUKUCUDUEUAZTUFBCULUMTR
    UB $.

  $( Addition to both sides of 'less than or equal to'.  (Contributed by NM,
     26-Oct-1999.) $)
  leadd2 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A <_ B <-> ( C + A ) <_ ( C + B ) ) ) $=
    ( cr wcel w3a cle wbr caddc co leadd1 simp1 recnd simp3 addcomd simp2 bitrd
    breq12d ) ADEZBDEZCDEZFZABGHACIJZBCIJZGHCAIJZCBIJZGHABCKUBUCUEUDUFGUBACUBAS
    TUALMUBCSTUANMZOUBBCUBBSTUAPMUGORQ $.

  $( 'Less than' relationship between subtraction and addition.  (Contributed
     by NM, 21-Jan-1997.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  ltsubadd $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                  ( ( A - B ) < C <-> A < ( C + B ) ) ) $=
    ( cr wcel w3a co clt wbr caddc wb simp1 simp2 resubcld simp3 ltadd1 syl3anc
    cmin recnd npcand breq1d bitrd ) ADEZBDEZCDEZFZABRGZCHIZUGBJGZCBJGZHIZAUJHI
    UFUGDEUEUDUHUKKUFABUCUDUELZUCUDUEMZNUCUDUEOUMUGCBPQUFUIAUJHUFABUFAULSUFBUMS
    TUAUB $.

  $( 'Less than' relationship between subtraction and addition.  (Contributed
     by NM, 21-Jan-1997.) $)
  ltsubadd2 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A - B ) < C <-> A < ( B + C ) ) ) $=
    ( cr wcel w3a cmin clt wbr caddc ltsubadd simp2 recnd addcomd breq2d bitr4d
    co simp3 ) ADEZBDEZCDEZFZABGQCHIACBJQZHIABCJQZHIABCKUBUDUCAHUBBCUBBSTUALMUB
    CSTUARMNOP $.

  $( 'Less than or equal to' relationship between subtraction and addition.
     (Contributed by NM, 17-Nov-2004.)  (Proof shortened by Mario Carneiro,
     27-May-2016.) $)
  lesubadd $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A - B ) <_ C <-> A <_ ( C + B ) ) ) $=
    ( cr wcel w3a co cle wbr caddc wb simp1 simp2 resubcld simp3 leadd1 syl3anc
    cmin recnd npcand breq1d bitrd ) ADEZBDEZCDEZFZABRGZCHIZUGBJGZCBJGZHIZAUJHI
    UFUGDEUEUDUHUKKUFABUCUDUELZUCUDUEMZNUCUDUEOUMUGCBPQUFUIAUJHUFABUFAULSUFBUMS
    TUAUB $.

  $( 'Less than or equal to' relationship between subtraction and addition.
     (Contributed by NM, 10-Aug-1999.) $)
  lesubadd2 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A - B ) <_ C <-> A <_ ( B + C ) ) ) $=
    ( cr wcel w3a cmin cle wbr caddc lesubadd simp2 recnd addcomd breq2d bitr4d
    co simp3 ) ADEZBDEZCDEZFZABGQCHIACBJQZHIABCJQZHIABCKUBUDUCAHUBBCUBBSTUALMUB
    CSTUARMNOP $.

  $( 'Less than' relationship between addition and subtraction.  (Contributed
     by NM, 17-Nov-2004.) $)
  ltaddsub $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A + B ) < C <-> A < ( C - B ) ) ) $=
    ( cr wcel w3a caddc co clt wbr cmin cle wn wb lesubadd 3com13 resubcl lenlt
    stoic3 wa readdcl sylan2 3impb 3coml 3bitr3rd con4bid ) ADEZBDEZCDEZFZABGHZ
    CIJZACBKHZIJZUJUMALJZCUKLJZUNMZULMZUIUHUGUOUPNCBAOPUIUHUGUOUQNZUIUHUMDEUGUS
    CBQUMARSPUIUGUHUPURNZUIUGUHUTUGUHTUIUKDEUTABUACUKRUBUCUDUEUF $.

  $( 'Less than' relationship between addition and subtraction.  (Contributed
     by NM, 17-Nov-2004.) $)
  ltaddsub2 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A + B ) < C <-> B < ( C - A ) ) ) $=
    ( cr wcel w3a caddc co clt wbr cmin wceq cc addcom syl2an 3adant3 breq1d wb
    recn ltaddsub 3com12 bitrd ) ADEZBDEZCDEZFZABGHZCIJBAGHZCIJZBCAKHIJZUFUGUHC
    IUCUDUGUHLZUEUCAMEBMEUKUDASBSABNOPQUDUCUEUIUJRBACTUAUB $.

  $( 'Less than or equal to' relationship between addition and subtraction.
     (Contributed by NM, 6-Apr-2005.) $)
  leaddsub $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A + B ) <_ C <-> A <_ ( C - B ) ) ) $=
    ( cr wcel w3a caddc co cle wbr cmin clt wn wb ltsubadd 3com13 resubcl ltnle
    stoic3 wa readdcl sylan2 3impb 3coml 3bitr3rd con4bid ) ADEZBDEZCDEZFZABGHZ
    CIJZACBKHZIJZUJUMALJZCUKLJZUNMZULMZUIUHUGUOUPNCBAOPUIUHUGUOUQNZUIUHUMDEUGUS
    CBQUMARSPUIUGUHUPURNZUIUGUHUTUGUHTUIUKDEUTABUACUKRUBUCUDUEUF $.

  $( 'Less than or equal to' relationship between and addition and subtraction.
     (Contributed by NM, 6-Apr-2005.) $)
  leaddsub2 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A + B ) <_ C <-> B <_ ( C - A ) ) ) $=
    ( cr wcel w3a caddc co cle wbr cmin wceq cc addcom syl2an 3adant3 breq1d wb
    recn leaddsub 3com12 bitrd ) ADEZBDEZCDEZFZABGHZCIJBAGHZCIJZBCAKHIJZUFUGUHC
    IUCUDUGUHLZUEUCAMEBMEUKUDASBSABNOPQUDUCUEUIUJRBACTUAUB $.

  $( Swap subtrahends in an inequality.  (Contributed by NM, 29-Sep-2005.) $)
  suble $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A - B ) <_ C <-> ( A - C ) <_ B ) ) $=
    ( cr wcel w3a cmin co cle wbr caddc lesubadd wb lesubadd2 3com23 bitr4d ) A
    DEZBDEZCDEZFABGHCIJACBKHIJZACGHBIJZABCLQSRUATMACBNOP $.

  $( Swap subtrahends in an inequality.  (Contributed by NM, 29-Sep-2005.)
     (Proof shortened by Andrew Salmon, 19-Nov-2011.) $)
  lesub $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( A <_ ( B - C ) <-> C <_ ( B - A ) ) ) $=
    ( cr wcel cmin co cle wbr wb w3a caddc leaddsub leaddsub2 bitr3d 3com23 ) A
    DEZCDEZBDEZABCFGHIZCBAFGHIZJQRSKACLGBHITUAACBMACBNOP $.

  $( 'Less than' relationship between subtraction and addition.  (Contributed
     by NM, 4-Oct-1999.) $)
  ltsub23 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A - B ) < C <-> ( A - C ) < B ) ) $=
    ( cr wcel w3a cmin co clt wbr caddc ltsubadd wb ltsubadd2 3com23 bitr4d ) A
    DEZBDEZCDEZFABGHCIJACBKHIJZACGHBIJZABCLQSRUATMACBNOP $.

  $( 'Less than' relationship between subtraction and addition.  (Contributed
     by NM, 17-Nov-2004.) $)
  ltsub13 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( A < ( B - C ) <-> C < ( B - A ) ) ) $=
    ( cr wcel cmin co clt wbr wb w3a caddc ltaddsub ltaddsub2 bitr3d 3com23 ) A
    DEZCDEZBDEZABCFGHIZCBAFGHIZJQRSKACLGBHITUAACBMACBNOP $.

  $( Adding both sides of two 'less than or equal to' relations.  (Contributed
     by NM, 17-Apr-2005.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  le2add $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) ) ->
                ( ( A <_ C /\ B <_ D ) -> ( A + B ) <_ ( C + D ) ) ) $=
    ( cr wcel wa cle wbr caddc co wb simpll simprl simplr leadd1 syl3anc simprr
    leadd2 readdcld anbi12d wi letr sylbid ) AEFZBEFZGZCEFZDEFZGZGZACHIZBDHIZGA
    BJKZCBJKZHIZUOCDJKZHIZGZUNUQHIZUKULUPUMURUKUEUHUFULUPLUEUFUJMZUGUHUINZUEUFU
    JOZACBPQUKUFUIUHUMURLVCUGUHUIRZVBBDCSQUAUKUNEFUOEFUQEFUSUTUBUKABVAVCTUKCBVB
    VCTUKCDVBVDTUNUOUQUCQUD $.

  $( Adding both sides of two orderings.  (Contributed by NM, 23-Dec-2007.) $)
  ltleadd $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) ) ->
                ( ( A < C /\ B <_ D ) -> ( A + B ) < ( C + D ) ) ) $=
    ( cr wcel wa clt wbr caddc co wb ltadd1 3com23 3expa adantrr leadd2 readdcl
    cle 3expb adantll anbi12d wi adantr ancoms ad2ant2lr adantl ltletr syl3anc
    sylbid ) AEFZBEFZGZCEFZDEFZGZGZACHIZBDSIZGABJKZCBJKZHIZVACDJKZSIZGZUTVCHIZU
    QURVBUSVDUMUNURVBLZUOUKULUNVGUKUNULVGACBMNOPULUPUSVDLZUKULUNUOVHULUOUNVHBDC
    QNTUAUBUQUTEFZVAEFZVCEFZVEVFUCUMVIUPABRUDULUNVJUKUOUNULVJCBRUEUFUPVKUMCDRUG
    UTVAVCUHUIUJ $.

  $( Adding both sides of two orderings.  (Contributed by NM, 15-Aug-2008.) $)
  leltadd $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) ) ->
                ( ( A <_ C /\ B < D ) -> ( A + B ) < ( C + D ) ) ) $=
    ( cr wcel wa cle wbr caddc co wi ltleadd ancomsd cc wceq recn addcom syl2an
    clt ancom2s ancom1s breqan12d sylibrd ) AEFZBEFZGZCEFZDEFZGZGACHIZBDTIZGZBA
    JKZDCJKZTIZABJKZCDJKZTIUFUEUJUMUPLZUFUEGZUIUHUSUTUIUHGGULUKUPBADCMNUAUBUGUJ
    UQUNURUOTUEAOFBOFUQUNPUFAQBQABRSUHCOFDOFURUOPUICQDQCDRSUCUD $.

  $( Adding both sides of two 'less than' relations.  Theorem I.25 of [Apostol]
     p. 20.  (Contributed by NM, 15-Aug-1999.)  (Proof shortened by Mario
     Carneiro, 27-May-2016.) $)
  lt2add $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) ) ->
                ( ( A < C /\ B < D ) -> ( A + B ) < ( C + D ) ) ) $=
    ( cr wcel wa clt wbr cle caddc co wi ltle ad2ant2r leltadd syland ) AEFZBEF
    ZGCEFZDEFZGGACHIZACJIZBDHIABKLCDKLHIRTUBUCMSUAACNOABCDPQ $.

  $( The sum of 2 positive numbers is positive.  (Contributed by NM,
     1-Jun-2005.)  (Proof shortened by Andrew Salmon, 19-Nov-2011.) $)
  addgt0 $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 0 < A /\ 0 < B ) ) ->
                0 < ( A + B ) ) $=
    ( cr wcel wa cc0 clt wbr caddc co 00id wi 0re lt2add mpanl12 imp eqbrtrrid
    ) ACDBCDEZFAGHFBGHEZEFFFIJZABIJZGKRSTUAGHZFCDZUCRSUBLMMFFABNOPQ $.

  $( The sum of nonnegative and positive numbers is positive.  (Contributed by
     NM, 28-Dec-2005.)  (Proof shortened by Andrew Salmon, 19-Nov-2011.) $)
  addgegt0 $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 0 <_ A /\ 0 < B ) ) ->
                  0 < ( A + B ) ) $=
    ( cr wcel wa cc0 cle wbr clt caddc co 00id wi 0re leltadd mpanl12 eqbrtrrid
    imp ) ACDBCDEZFAGHFBIHEZEFFFJKZABJKZILSTUAUBIHZFCDZUDSTUCMNNFFABOPRQ $.

  $( The sum of nonnegative and positive numbers is positive.  (Contributed by
     NM, 28-Dec-2005.)  (Proof shortened by Andrew Salmon, 19-Nov-2011.) $)
  addgtge0 $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 0 < A /\ 0 <_ B ) ) ->
                  0 < ( A + B ) ) $=
    ( cr wcel wa cc0 clt wbr cle caddc co 00id wi 0re ltleadd mpanl12 eqbrtrrid
    imp ) ACDBCDEZFAGHFBIHEZEFFFJKZABJKZGLSTUAUBGHZFCDZUDSTUCMNNFFABOPRQ $.

  $( The sum of 2 nonnegative numbers is nonnegative.  (Contributed by NM,
     17-Mar-2005.)  (Proof shortened by Andrew Salmon, 19-Nov-2011.) $)
  addge0 $p |- ( ( ( A e. RR /\ B e. RR ) /\
               ( 0 <_ A /\ 0 <_ B ) ) -> 0 <_ ( A + B ) ) $=
    ( cr wcel wa cc0 cle wbr caddc co 00id wi 0re le2add mpanl12 imp eqbrtrrid
    ) ACDBCDEZFAGHFBGHEZEFFFIJZABIJZGKRSTUAGHZFCDZUCRSUBLMMFFABNOPQ $.

  $( Adding a positive number to another number increases it.  (Contributed by
     NM, 17-Nov-2004.) $)
  ltaddpos $p |- ( ( A e. RR /\ B e. RR ) -> ( 0 < A <-> B < ( B + A ) ) ) $=
    ( cr wcel wa cc0 clt wbr caddc co wb ltadd2 mp3an1 wceq recn addid1d adantl
    0re breq1d bitrd ) ACDZBCDZEZFAGHZBFIJZBAIJZGHZBUFGHFCDUAUBUDUGKRFABLMUCUEB
    UFGUBUEBNUAUBBBOPQST $.

  $( Adding a positive number to another number increases it.  (Contributed by
     NM, 8-Apr-2005.) $)
  ltaddpos2 $p |- ( ( A e. RR /\ B e. RR ) -> ( 0 < A <-> B < ( A + B ) ) ) $=
    ( cr wcel wa cc0 clt wbr caddc co ltaddpos wceq addcom syl2an breq2d bitr4d
    cc recn ) ACDZBCDZEZFAGHBBAIJZGHBABIJZGHABKUAUCUBBGSAQDBQDUCUBLTARBRABMNOP
    $.

  $( Subtracting a positive number from another number decreases it.
     (Contributed by NM, 17-Nov-2004.)  (Proof shortened by Andrew Salmon,
     19-Nov-2011.) $)
  ltsubpos $p |- ( ( A e. RR /\ B e. RR ) -> ( 0 < A <-> ( B - A ) < B ) ) $=
    ( cr wcel wa cc0 clt wbr caddc co cmin ltaddpos wb ltsubadd 3anidm13 ancoms
    bitr4d ) ACDZBCDZEFAGHBBAIJGHZBAKJBGHZABLSRUATMZSRUBBABNOPQ $.

  $( Comparison of two numbers whose difference is positive.  (Contributed by
     NM, 17-Nov-2004.) $)
  posdif $p |- ( ( A e. RR /\ B e. RR ) -> ( A < B <-> 0 < ( B - A ) ) ) $=
    ( cr wcel wa cc0 cmin co clt caddc wb resubcl ancoms simpl ltaddpos syl2anc
    wbr cc wceq recn pncan3 syl2an breq2d bitr2d ) ACDZBCDZEZFBAGHZIQZAAUHJHZIQ
    ZABIQUGUHCDZUEUIUKKUFUEULBALMUEUFNUHAOPUGUJBAIUEARDBRDUJBSUFATBTABUAUBUCUD
    $.

  $( Subtraction from both sides of 'less than or equal to'.  (Contributed by
     NM, 13-May-2004.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  lesub1 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A <_ B <-> ( A - C ) <_ ( B - C ) ) ) $=
    ( cr wcel w3a cmin co cle caddc simp1 simp3 simp2 resubcld lesubadd syl3anc
    wbr wb recnd npcand breq2d bitr2d ) ADEZBDEZCDEZFZACGHBCGHZIQZAUGCJHZIQZABI
    QUFUCUEUGDEUHUJRUCUDUEKUCUDUELZUFBCUCUDUEMZUKNACUGOPUFUIBAIUFBCUFBULSUFCUKS
    TUAUB $.

  $( Subtraction of both sides of 'less than or equal to'.  (Contributed by NM,
     29-Sep-2005.)  (Revised by Mario Carneiro, 27-May-2016.) $)
  lesub2 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A <_ B <-> ( C - B ) <_ ( C - A ) ) ) $=
    ( cr wcel w3a cle wbr cmin co caddc leadd2 wb simp3 simp1 readdcld lesubadd
    simp2 syl3anc recnd addsubd breq1d 3bitr2d resubcld leaddsub bitrd ) ADEZBD
    EZCDEZFZABGHZCBIJZAKJZCGHZULCAIJGHZUJUKCAKJZCBKJGHZUPBIJZCGHZUNABCLUJUPDEUH
    UIUSUQMUJCAUGUHUINZUGUHUIOZPUGUHUIRZUTUPBCQSUJURUMCGUJCABUJCUTTUJAVATUJBVBT
    UAUBUCUJULDEUGUIUNUOMUJCBUTVBUDVAUTULACUESUF $.

  $( Subtraction from both sides of 'less than'.  (Contributed by FL,
     3-Jan-2008.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  ltsub1 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A < B <-> ( A - C ) < ( B - C ) ) ) $=
    ( cr wcel w3a cle wbr wn cmin co wb lesub1 3com12 notbid simp1 simp2 ltnled
    clt resubcld simp3 3bitr4d ) ADEZBDEZCDEZFZBAGHZIBCJKZACJKZGHZIABSHUIUHSHUF
    UGUJUDUCUEUGUJLBACMNOUFABUCUDUEPZUCUDUEQZRUFUIUHUFACUKUCUDUEUAZTUFBCULUMTRU
    B $.

  $( Subtraction of both sides of 'less than'.  (Contributed by NM,
     29-Sep-2005.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  ltsub2 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A < B <-> ( C - B ) < ( C - A ) ) ) $=
    ( cr wcel w3a cle wbr wn cmin co wb lesub2 3com12 notbid simp1 simp2 ltnled
    clt resubcld simp3 3bitr4d ) ADEZBDEZCDEZFZBAGHZICAJKZCBJKZGHZIABSHUIUHSHUF
    UGUJUDUCUEUGUJLBACMNOUFABUCUDUEPZUCUDUEQZRUFUIUHUFCBUCUDUEUAZULTUFCAUMUKTRU
    B $.

  $( Subtracting both sides of two 'less than' relations.  (Contributed by
     Mario Carneiro, 14-Apr-2016.) $)
  lt2sub $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) ) ->
                ( ( A < C /\ D < B ) -> ( A - B ) < ( C - D ) ) ) $=
    ( cr wcel wa clt wbr cmin simpll simprl simplr ltsub1 syl3anc simprr ltsub2
    co wb resubcl anbi12d wi adantr resubcld adantl lttr sylbid ) AEFZBEFZGZCEF
    ZDEFZGZGZACHIZDBHIZGABJRZCBJRZHIZURCDJRZHIZGZUQUTHIZUNUOUSUPVAUNUHUKUIUOUSS
    UHUIUMKUJUKULLZUHUIUMMZACBNOUNULUIUKUPVASUJUKULPVEVDDBCQOUAUNUQEFZUREFUTEFZ
    VBVCUBUJVFUMABTUCUNCBVDVEUDUMVGUJCDTUEUQURUTUFOUG $.

  $( Subtracting both sides of two 'less than or equal to' relations.
     (Contributed by Mario Carneiro, 14-Apr-2016.) $)
  le2sub $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) ) ->
                ( ( A <_ C /\ D <_ B ) -> ( A - B ) <_ ( C - D ) ) ) $=
    ( cr wcel wa cle wbr cmin simpll simprl simplr lesub1 syl3anc simprr lesub2
    co wb resubcl anbi12d wi adantr resubcld adantl letr sylbid ) AEFZBEFZGZCEF
    ZDEFZGZGZACHIZDBHIZGABJRZCBJRZHIZURCDJRZHIZGZUQUTHIZUNUOUSUPVAUNUHUKUIUOUSS
    UHUIUMKUJUKULLZUHUIUMMZACBNOUNULUIUKUPVASUJUKULPVEVDDBCQOUAUNUQEFZUREFUTEFZ
    VBVCUBUJVFUMABTUCUNCBVDVEUDUMVGUJCDTUEUQURUTUFOUG $.

  $( Negative of both sides of 'less than'.  Theorem I.23 of [Apostol] p. 20.
     (Contributed by NM, 27-Aug-1999.)  (Proof shortened by Mario Carneiro,
     27-May-2016.) $)
  ltneg $p |- ( ( A e. RR /\ B e. RR ) -> ( A < B <-> -u B < -u A ) ) $=
    ( cr wcel wa clt wbr cc0 cmin cneg 0re ltsub2 mp3an3 df-neg breq12i bitr4di
    co wb ) ACDZBCDZEABFGZHBIQZHAIQZFGZBJZAJZFGSTHCDUAUDRKABHLMUEUBUFUCFBNANOP
    $.

  $( Contraposition of negative in 'less than'.  (Contributed by NM,
     8-Nov-2004.) $)
  ltnegcon1 $p |- ( ( A e. RR /\ B e. RR ) -> ( -u A < B <-> -u B < A ) ) $=
    ( cr wcel wa cneg clt wbr wb renegcl ltneg sylan simpl recnd negnegd breq2d
    bitrd ) ACDZBCDZEZAFZBGHZBFZUAFZGHZUCAGHRUACDSUBUEIAJUABKLTUDAUCGTATARSMNOP
    Q $.

  $( Contraposition of negative in 'less than'.  (Contributed by Mario
     Carneiro, 25-Feb-2015.) $)
  ltnegcon2 $p |- ( ( A e. RR /\ B e. RR ) -> ( A < -u B <-> B < -u A ) ) $=
    ( cr wcel wa cneg clt wbr wb renegcl ltneg sylan2 simpr recnd negnegd bitrd
    breq1d ) ACDZBCDZEZABFZGHZUAFZAFZGHZBUDGHSRUACDUBUEIBJAUAKLTUCBUDGTBTBRSMNO
    QP $.

  $( Negative of both sides of 'less than or equal to'.  (Contributed by NM,
     12-Sep-1999.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  leneg $p |- ( ( A e. RR /\ B e. RR ) -> ( A <_ B <-> -u B <_ -u A ) ) $=
    ( cr wcel wa cle wbr cc0 cmin cneg 0re lesub2 mp3an3 df-neg breq12i bitr4di
    co wb ) ACDZBCDZEABFGZHBIQZHAIQZFGZBJZAJZFGSTHCDUAUDRKABHLMUEUBUFUCFBNANOP
    $.

  $( Contraposition of negative in 'less than or equal to'.  (Contributed by
     NM, 10-May-2004.) $)
  lenegcon1 $p |- ( ( A e. RR /\ B e. RR ) -> ( -u A <_ B <-> -u B <_ A ) ) $=
    ( cr wcel wa cneg cle wbr wb renegcl leneg sylan recn negnegd breq2d adantr
    bitrd ) ACDZBCDZEAFZBGHZBFZTFZGHZUBAGHZRTCDSUAUDIAJTBKLRUDUEISRUCAUBGRAAMNO
    PQ $.

  $( Contraposition of negative in 'less than or equal to'.  (Contributed by
     NM, 8-Oct-2005.) $)
  lenegcon2 $p |- ( ( A e. RR /\ B e. RR ) -> ( A <_ -u B <-> B <_ -u A ) ) $=
    ( cr wcel wa cneg cle wbr wb renegcl sylan2 wceq recn negnegd adantl breq1d
    leneg bitrd ) ACDZBCDZEZABFZGHZUBFZAFZGHZBUEGHTSUBCDUCUFIBJAUBQKUAUDBUEGTUD
    BLSTBBMNOPR $.

  $( Comparison of a number and its negative to zero.  Theorem I.23 of
     [Apostol] p. 20.  (Contributed by NM, 14-May-1999.) $)
  lt0neg1 $p |- ( A e. RR -> ( A < 0 <-> 0 < -u A ) ) $=
    ( cr wcel cc0 clt wbr cneg wb 0re ltneg mpan2 neg0 breq1i bitrdi ) ABCZADEF
    ZDGZAGZEFZDREFODBCPSHIADJKQDRELMN $.

  $( Comparison of a number and its negative to zero.  (Contributed by NM,
     10-May-2004.) $)
  lt0neg2 $p |- ( A e. RR -> ( 0 < A <-> -u A < 0 ) ) $=
    ( cr wcel cc0 clt wbr cneg wb 0re ltneg mpan neg0 breq2i bitrdi ) ABCZDAEFZ
    AGZDGZEFZQDEFDBCOPSHIDAJKRDQELMN $.

  $( Comparison of a number and its negative to zero.  (Contributed by NM,
     10-May-2004.) $)
  le0neg1 $p |- ( A e. RR -> ( A <_ 0 <-> 0 <_ -u A ) ) $=
    ( cr wcel cc0 cle wbr cneg wb 0re leneg mpan2 neg0 breq1i bitrdi ) ABCZADEF
    ZDGZAGZEFZDREFODBCPSHIADJKQDRELMN $.

  $( Comparison of a number and its negative to zero.  (Contributed by NM,
     24-Aug-1999.) $)
  le0neg2 $p |- ( A e. RR -> ( 0 <_ A <-> -u A <_ 0 ) ) $=
    ( cr wcel cc0 cle wbr cneg wb 0re leneg mpan neg0 breq2i bitrdi ) ABCZDAEFZ
    AGZDGZEFZQDEFDBCOPSHIDAJKRDQELMN $.

  $( A number is less than or equal to itself plus a nonnegative number.
     (Contributed by NM, 21-Feb-2005.) $)
  addge01 $p |- ( ( A e. RR /\ B e. RR ) -> ( 0 <_ B <-> A <_ ( A + B ) ) ) $=
    ( cr wcel wa cc0 cle wbr caddc co wb leadd2 mp3an1 ancoms wceq recn addid1d
    0re adantr breq1d bitrd ) ACDZBCDZEZFBGHZAFIJZABIJZGHZAUGGHUCUBUEUHKZFCDUCU
    BUIRFBALMNUDUFAUGGUBUFAOUCUBAAPQSTUA $.

  $( A number is less than or equal to itself plus a nonnegative number.
     (Contributed by NM, 27-Jul-2005.) $)
  addge02 $p |- ( ( A e. RR /\ B e. RR ) -> ( 0 <_ B <-> A <_ ( B + A ) ) ) $=
    ( cr wcel wa cc0 cle wbr caddc co addge01 cc wceq recn addcom syl2an breq2d
    bitrd ) ACDZBCDZEZFBGHAABIJZGHABAIJZGHABKUAUBUCAGSALDBLDUBUCMTANBNABOPQR $.

  $( Two nonnegative numbers are zero iff their sum is zero.  (Contributed by
     Jeff Madsen, 2-Sep-2009.)  (Proof shortened by Mario Carneiro,
     27-May-2016.) $)
  add20 $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) )
                        -> ( ( A + B ) = 0 <-> ( A = 0 /\ B = 0 ) ) ) $=
    ( cr wcel cc0 cle wbr wa caddc wceq simpllr simplrl simplll addge02 syl2anc
    co wb mpbid simpr breqtrd simplrr letri3d mpbir2and oveq2d addid1d 3eqtr3rd
    0red recnd jca ex oveq12 00id eqtrdi impbid1 ) ACDZEAFGZHZBCDZEBFGZHZHZABIP
    ZEJZAEJZBEJZHZVAVCVFVAVCHZVDVEVGVBAEIPEAVGBEAIVGVEBEFGUSVGBVBEFVGUPBVBFGZUO
    UPUTVCKVGURUOUPVHQUQURUSVCLZUOUPUTVCMZBANORVAVCSZTUQURUSVCUAVGBEVIVGUGUBUCZ
    UDVKVGAVGAVJUHUEUFVLUIUJVFVBEEIPEAEBEIUKULUMUN $.

  $( Nonnegative subtraction.  (Contributed by NM, 14-Mar-2005.)  (Proof
     shortened by Mario Carneiro, 27-May-2016.) $)
  subge0 $p |- ( ( A e. RR /\ B e. RR ) ->
                ( 0 <_ ( A - B ) <-> B <_ A ) ) $=
    ( cr wcel wa cc0 caddc co cle wbr cmin wb 0red simpr simpl leaddsub syl3anc
    recnd addid2d breq1d bitr3d ) ACDZBCDZEZFBGHZAIJZFABKHIJZBAIJUDFCDUCUBUFUGL
    UDMUBUCNZUBUCOFBAPQUDUEBAIUDBUDBUHRSTUA $.

  $( Nonpositive subtraction.  (Contributed by NM, 20-Mar-2008.)  (Proof
     shortened by Mario Carneiro, 27-May-2016.) $)
  suble0 $p |- ( ( A e. RR /\ B e. RR ) ->
                ( ( A - B ) <_ 0 <-> A <_ B ) ) $=
    ( cr wcel wa cmin co cc0 cle wbr wb suble mp3an3 simpl recnd subid1d breq1d
    0re bitrd ) ACDZBCDZEZABFGHIJZAHFGZBIJZABIJTUAHCDUCUEKRABHLMUBUDABIUBAUBATU
    ANOPQS $.

  $( The sum of a real number and a second real number is less than the real
     number iff the second real number is negative.  (Contributed by Alexander
     van der Vekens, 30-May-2018.) $)
  leaddle0 $p |- ( ( A e. RR /\ B e. RR ) -> ( ( A + B ) <_ A <-> B <_ 0 ) ) $=
    ( cr wcel wa caddc co cle wbr cmin wb leaddsub2 3anidm13 wceq subidd adantr
    cc0 recn breq2d bitrd ) ACDZBCDZEZABFGAHIZBAAJGZHIZBQHIUAUBUDUFKABALMUCUEQB
    HUAUEQNUBUAAAROPST $.

  $( Nonnegative subtraction.  (Contributed by NM, 27-Jul-2005.) $)
  subge02 $p |- ( ( A e. RR /\ B e. RR ) ->
                ( 0 <_ B <-> ( A - B ) <_ A ) ) $=
    ( cr wcel wa cc0 cle wbr caddc co cmin addge01 wb lesubadd 3anidm13 bitr4d
    ) ACDZBCDZEFBGHAABIJGHZABKJAGHZABLQRTSMABANOP $.

  $( Lemma to show a nonnegative number is zero.  (Contributed by NM,
     8-Oct-1999.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  lesub0 $p |- ( ( A e. RR /\ B e. RR ) ->
                ( ( 0 <_ A /\ B <_ ( B - A ) ) <-> A = 0 ) ) $=
    ( cr wcel wa cc0 wceq cle wbr cmin co 0red letri3 sylan2 ancom simpr lesub2
    wb simpl syl3anc recnd subid1d breq1d bitrd ancoms anbi2d syl5bb bitr2d ) A
    CDZBCDZEZAFGZAFHIZFAHIZEZUNBBAJKZHIZEZUJUIFCDZULUORUJLAFMNUOUNUMEUKURUMUNOU
    KUMUQUNUJUIUMUQRUJUIEZUMBFJKZUPHIZUQUTUIUSUJUMVBRUJUIPUTLUJUISZAFBQTUTVABUP
    HUTBUTBVCUAUBUCUDUEUFUGUH $.

  $( The product of two nonnegative numbers is nonnegative.  (Contributed by
     NM, 8-Oct-1999.)  (Revised by Mario Carneiro, 27-May-2016.) $)
  mulge0 $p |- ( ( ( A e. RR /\ 0 <_ A ) /\
                ( B e. RR /\ 0 <_ B ) ) -> 0 <_ ( A x. B ) ) $=
    ( cr wcel cc0 cle wbr cmul co wa clt wceq 0red leloed an4s breqtrrid breq2d
    wo recnd syl5ibcom simpl simpr anbi12d simpll simplr remulcld mulgt0 ex 0re
    ltled leid ax-mp mul02d oveq1 adantrd mul01d oveq2 adantld ccased sylbid
    imp ) ACDZBCDZEAFGZEBFGZEABHIZFGZVBVCJZVDVEJZVGVHVIEAKGZEALZRZEBKGZEBLZRZJV
    GVHVDVLVEVOVHEAVHMZVBVCUAZNVHEBVPVBVCUBZNUCVHVJVMVKVNVGVHVJVMJZVGVHVSJZEVFV
    TMVTABVBVCVSUDVBVCVSUEUFVBVJVCVMEVFKGABUGOUJUHVHVKVGVMVHEEBHIZFGVKVGVHEEWAF
    ECDEEFGUIEUKULZVHBVHBVRSUMPVKWAVFEFEABHUNQTUOVHVNVGVJVHEAEHIZFGVNVGVHEEWCFW
    BVHAVHAVQSUPPVNWCVFEFEBAHUQQTZURVHVNVGVKWDURUSUTVAO $.

  $( The product of two negative numbers is positive.  (Contributed by Jeff
     Hankins, 8-Jun-2009.) $)
  mullt0 $p |- ( ( ( A e. RR /\ A < 0 ) /\ ( B e. RR /\ B < 0 ) )
               -> 0 < ( A x. B ) ) $=
    ( cr wcel cc0 clt wbr wa cneg cmul renegcl adantr lt0neg1 biimpa jca mulgt0
    co syl2an cc recn wceq mul2neg ad2ant2r breqtrd ) ACDZAEFGZHZBCDZBEFGZHZHEA
    IZBIZJQZABJQZFUGUKCDZEUKFGZHULCDZEULFGZHEUMFGUJUGUOUPUEUOUFAKLUEUFUPAMNOUJU
    QURUHUQUIBKLUHUIURBMNOUKULPRUEUHUMUNUAZUFUIUEASDBSDUSUHATBTABUBRUCUD $.

  $( A nonzero square is positive.  Theorem I.20 of [Apostol] p. 20.
     (Contributed by NM, 6-May-1999.)  (Proof shortened by Mario Carneiro,
     27-May-2016.) $)
  msqgt0 $p |- ( ( A e. RR /\ A =/= 0 ) -> 0 < ( A x. A ) ) $=
    ( cr wcel cc0 wne clt wbr wo cmul co id lttri2d biimpa mullt0 anidms mulgt0
    0red wa jaodan syldan ) ABCZADEZADFGZDAFGZHZDAAIJFGZUAUBUEUAADUAKUAQLMUAUCU
    FUDUAUCRUFAANOUAUDRUFAAPOST $.

  $( A square is nonnegative.  (Contributed by NM, 23-May-2007.)  (Revised by
     Mario Carneiro, 27-May-2016.) $)
  msqge0 $p |- ( A e. RR -> 0 <_ ( A x. A ) ) $=
    ( cr wcel cc0 cmul co cle wbr oveq12 anidms 0cn mul01i eqtrdi breq2d wne wa
    wceq 0red simpl remulcld msqgt0 ltled 0re leid mp1i pm2.61ne ) ABCZDAAEFZGH
    DDGHZADADQZUHDDGUJUHDDEFZDUJUHUKQADADEIJDKLMNUGADOZPZDUHUMRUMAAUGULSZUNTAUA
    UBDBCUIUGUCDUDUEUF $.

  $( 0 is less than 1.  Theorem I.21 of [Apostol] p. 20.  (Contributed by NM,
     17-Jan-1997.) $)
  0lt1 $p |- 0 < 1 $=
    ( cc0 c1 cmul co clt wcel wne wbr 1re ax-1ne0 msqgt0 ax-1cn mulid1i breqtri
    cr mp2an ) ABBCDZBEBOFBAGAQEHIJBKPBLMN $.

  $( 0 is less than or equal to 1.  (Contributed by Mario Carneiro,
     29-Apr-2015.) $)
  0le1 $p |- 0 <_ 1 $=
    ( cc0 c1 0re 1re 0lt1 ltleii ) ABCDEF $.

  $( An interval law for less than or equal.  (Contributed by Scott Fenton,
     27-Jun-2013.) $)
  relin01 $p |- ( A e. RR ->
    ( A <_ 0 \/ ( 0 <_ A /\ A <_ 1 ) \/ 1 <_ A ) ) $=
    ( cr cc0 cle wbr c1 wa wo w3o 1re letric mpan2 pm3.21 orim2d syl5com orim1d
    wcel 0re mpd df-3or sylibr ) ABQZACDEZCADEZAFDEZGZHZFADEZHZUCUFUHIUBUEUHHZU
    IUBFBQUJJAFKLUBUEUGUHUBUCUDHZUEUGUBCBQUKRACKLUEUDUFUCUEUDMNOPSUCUFUHTUA $.

  ${
    $d x B $.  $d x y C $.  $d x y D $.  $d x y M $.  $d x y N $.  $d x y ph $.
    $d x y S $.
    ltord.1 $e |- ( x = y -> A = B ) $.
    ltord.2 $e |- ( x = C -> A = M ) $.
    ltord.3 $e |- ( x = D -> A = N ) $.
    ltord.4 $e |- S C_ RR $.
    ltord.5 $e |- ( ( ph /\ x e. S ) -> A e. RR ) $.
    ${
      ltord.6 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x < y -> A < B ) ) $.
      $( Lemma for ~ ltord1 .  (Contributed by Mario Carneiro, 14-Jun-2014.) $)
      ltordlem $p |- ( ( ph /\ ( C e. S /\ D e. S ) ) ->
                        ( C < D -> M < N ) ) $=
        ( clt wbr wi wceq cv wral wcel wa ralrimivva breq1 breq1d imbi12d breq2
        eqeq1 eqeq1d chvarvv breq2d rspc2v mpan9 ) ABUAZCUAZQRZDEQRZSZCHUBBHUBF
        HUCGHUCUDFGQRZIJQRZSZAUTBCHHPUEUTVCFUQQRZIEQRZSBCFGHHUPFTZURVDUSVEUPFUQ
        QUFVFDIEQLUGUHUQGTZVDVAVEVBUQGFQUIVGEJIQUPGTZDJTZSVGEJTZSBCUPUQTZVHVGVI
        VJUPUQGUJVKDEJKUKUHMULUMUHUNUO $.

      $( Infer an ordering relation from a proof in only one direction.
         (Contributed by Mario Carneiro, 14-Jun-2014.) $)
      ltord1 $p |- ( ( ph /\ ( C e. S /\ D e. S ) ) -> ( C < D <-> M < N ) ) $=
        ( wcel clt wceq cr wa wbr ltordlem wo wn wi eqeq1 eqeq1d imbi12d vtoclg
        cv ad2antrl ancom2s orim12d con3d wb ralrimiva eleq1d rspccva anim12dan
        wral sylan axlttri syl sseli syl2an adantl 3imtr4d impbid ) AFHQZGHQZUA
        ZUAZFGRUBZIJRUBZABCDEFGHIJKLMNOPUCVMIJSZJIRUBZUDZUEZFGSZGFRUBZUDZUEZVOV
        NVMWBVRVMVTVPWAVQVJVTVPUFZAVKBUKZGSZDJSZUFWDBFHWEFSZWFVTWGVPWEFGUGWHDIJ
        LUHUIMUJULAVKVJWAVQUFABCDEGFHJIKMLNOPUCUMUNUOVMITQZJTQZUAVOVSUPAVJWIVKW
        JADTQZBHVAZVJWIAWKBHOUQZWKWIBFHWHDITLURUSVBAWLVKWJWMWKWJBGHWFDJTMURUSVB
        UTIJVCVDVLVNWCUPZAVJFTQGTQWNVKHTFNVEHTGNVEFGVCVFVGVHVI $.

      $( Infer an ordering relation from a proof in only one direction.
         (Contributed by Mario Carneiro, 14-Jun-2014.) $)
      leord1 $p |- ( ( ph /\ ( C e. S /\ D e. S ) ) ->
                     ( C <_ D <-> M <_ N ) ) $=
        ( wcel wa wbr cr clt wn cle wb ltord1 ancom2s notbid sseli lenlt syl2an
        adantl wral ralrimiva wceq eleq1d rspccva sylan adantrr adantrl 3bitr4d
        cv lenltd ) AFHQZGHQZRZRZGFUASZUBZJIUASZUBFGUCSZIJUCSVFVGVIAVDVCVGVIUDA
        BCDEGFHJIKMLNOPUEUFUGVEVJVHUDZAVCFTQGTQVKVDHTFNUHHTGNUHFGUIUJUKVFIJAVCI
        TQZVDADTQZBHULZVCVLAVMBHOUMZVMVLBFHBVAZFUNDITLUOUPUQURAVDJTQZVCAVNVDVQV
        OVMVQBGHVPGUNDJTMUOUPUQUSVBUT $.

      $( A strictly increasing real function on a subset of ` RR ` is
         one-to-one.  (Contributed by Mario Carneiro, 14-Jun-2014.) $)
      eqord1 $p |- ( ( ph /\ ( C e. S /\ D e. S ) ) -> ( C = D <-> M = N ) ) $=
        ( wcel wa cle cr wbr wceq leord1 wb ancom2s anbi12d sseli letri3 syl2an
        adantl wral ralrimiva cv eleq1d rspccva adantrr adantrl letri3d 3bitr4d
        sylan ) AFHQZGHQZRZRZFGSUAZGFSUAZRZIJSUAZJISUAZRFGUBZIJUBVDVEVHVFVIABCD
        EFGHIJKLMNOPUCAVBVAVFVIUDABCDEGFHJIKMLNOPUCUEUFVCVJVGUDZAVAFTQGTQVKVBHT
        FNUGHTGNUGFGUHUIUJVDIJAVAITQZVBADTQZBHUKZVAVLAVMBHOULZVMVLBFHBUMZFUBDIT
        LUNUOUTUPAVBJTQZVAAVNVBVQVOVMVQBGHVPGUBDJTMUNUOUTUQURUS $.
    $}

    ltord2.6 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x < y -> B < A ) ) $.
    $( Infer an ordering relation from a proof in only one direction.
       (Contributed by Mario Carneiro, 14-Jun-2014.) $)
    ltord2 $p |- ( ( ph /\ ( C e. S /\ D e. S ) ) -> ( C < D <-> N < M ) ) $=
      ( wcel clt wbr cr cneg wceq negeqd renegcld wral ralrimiva eleq1d rspccva
      wa cv wb sylan adantrl adantrr ltneg syl2anc sylibd ltord1 bitr4d ) AFHQZ
      GHQZUIUIZFGRSIUAZJUAZRSZJIRSZABCDUAZEUAZFGHVCVDBUJZCUJZUBZDEKUCVIFUBZDILU
      CVIGUBZDJMUCNAVIHQZUIDOUDAVNVJHQZUIUIZVIVJRSEDRSZVGVHRSZPVPETQZDTQZVQVRUK
      AVOVSVNAVTBHUEZVOVSAVTBHOUFZVTVSBVJHVKDETKUGUHULUMAVNVTVOOUNEDUOUPUQURVBJ
      TQZITQZVFVEUKAVAWCUTAWAVAWCWBVTWCBGHVMDJTMUGUHULUMAUTWDVAAWAUTWDWBVTWDBFH
      VLDITLUGUHULUNJIUOUPUS $.

    $( Infer an ordering relation from a proof in only one direction.
       (Contributed by Mario Carneiro, 14-Jun-2014.) $)
    leord2 $p |- ( ( ph /\ ( C e. S /\ D e. S ) ) -> ( C <_ D <-> N <_ M ) ) $=
      ( wcel wa wbr cr cle cneg cv wceq negeqd renegcld clt wb ralrimiva eleq1d
      rspccva sylan adantrl adantrr ltneg syl2anc sylibd leord1 leneg bitr4d
      wral ) AFHQZGHQZRRZFGUASIUBZJUBZUASZJIUASZABCDUBZEUBZFGHVEVFBUCZCUCZUDZDE
      KUEVKFUDZDILUEVKGUDZDJMUENAVKHQZRDOUFAVPVLHQZRRZVKVLUGSEDUGSZVIVJUGSZPVRE
      TQZDTQZVSVTUHAVQWAVPAWBBHVAZVQWAAWBBHOUIZWBWABVLHVMDETKUJUKULUMAVPWBVQOUN
      EDUOUPUQURVDJTQZITQZVHVGUHAVCWEVBAWCVCWEWDWBWEBGHVODJTMUJUKULUMAVBWFVCAWC
      VBWFWDWBWFBFHVNDITLUJUKULUNJIUSUPUT $.

    $( A strictly decreasing real function on a subset of ` RR ` is one-to-one.
       (Contributed by Mario Carneiro, 14-Jun-2014.) $)
    eqord2 $p |- ( ( ph /\ ( C e. S /\ D e. S ) ) -> ( C = D <-> M = N ) ) $=
      ( wcel wa wceq cr cneg cv negeqd renegcld clt wb ralrimiva eleq1d rspccva
      wbr sylan adantrl adantrr ltneg syl2anc sylibd eqord1 recnd neg11ad bitrd
      wral ) AFHQZGHQZRRZFGSIUAZJUAZSIJSABCDUAZEUAZFGHVEVFBUBZCUBZSZDEKUCVIFSZD
      ILUCVIGSZDJMUCNAVIHQZRDOUDAVNVJHQZRRZVIVJUEUJEDUEUJZVGVHUEUJZPVPETQZDTQZV
      QVRUFAVOVSVNAVTBHVAZVOVSAVTBHOUGZVTVSBVJHVKDETKUHUIUKULAVNVTVOOUMEDUNUOUP
      UQVDIJVDIAVBITQZVCAWAVBWCWBVTWCBFHVLDITLUHUIUKUMURVDJAVCJTQZVBAWAVCWDWBVT
      WDBGHVMDJTMUHUIUKULURUSUT $.
  $}

  ${
    $d w x y z ph $.  $d w x y z S $.  $d x y ps $.  $d w z ch $.
    wlogle.1 $e |- ( ( z = x /\ w = y ) -> ( ps <-> ch ) ) $.
    wlogle.2 $e |- ( ( z = y /\ w = x ) -> ( ps <-> th ) ) $.
    wlogle.3 $e |- ( ph -> S C_ RR ) $.
    ${
      wloglei.4 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ x <_ y ) ) -> th ) $.
      wloglei.5 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ x <_ y ) ) -> ch ) $.
      $( Form of ~ wlogle where both sides of the equivalence are proven rather
         than showing that they are equivalent to each other.  (Contributed by
         Mario Carneiro, 9-Mar-2015.) $)
      wloglei $p |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ch ) $=
        ( cv wcel wa cle vex weq cr wss adantr simprr sseldd simprl wi bi2anan9
        wbr eleq1w anbi2d wb breq12 ancoms anbi12d imbi12d ancom syl5bb syl2anb
        equcom bicomd w3a df-3an sylan2br anassrs vtocl2 lecasei ) AEOZIPZFOZIP
        ZQZQZCVJVHVMIUAVJAIUAUBVLLUCZAVIVKUDUEVMIUAVHVNAVIVKUFUEAGOZIPZHOZIPZQZ
        QZVQVORUIZQZBUGZVMVJVHRUIZQZCUGGHVHVJESFSGETZHFTZQZWBWEBCWHVTVMWAWDWHVS
        VLAWFVPVIWGVRVKGEIUJHFIUJUHUKWGWFWAWDULVQVJVOVHRUMUNUOJUPVMVHVJRUIZQZDU
        GWCFEVOVQGSHSFGTZEHTZQZWJWBDBWMVMVTWIWAWMVLVSAVLVKVIQWMVSVIVKUQWKVKVPWL
        VIVRFGIUJEHIUJUHURUKWLWKWIWAULVHVQVJVORUMUNUOWMBDWKGFTHETBDULWLFGUTEHUT
        KUSVAUPAVLWIDVLWIQZAVIVKWIVBZDVIVKWIVCZMVDVEVFVFAVLWICWNAWOCWPNVDVEVG
        $.
    $}

    wlogle.4 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( ch <-> th ) ) $.
    wlogle.5 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ x <_ y ) ) -> ch ) $.
    $( If the predicate ` ch ( x , y ) ` is symmetric under interchange of
       ` x , y ` , then "without loss of generality" we can assume that
       ` x <_ y ` .  (Contributed by Mario Carneiro, 18-Aug-2014.)  (Revised by
       Mario Carneiro, 11-Sep-2014.) $)
    wlogle $p |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ch ) $=
      ( cv wcel cle wbr w3a wa wb 3adantr3 mpbid wloglei ) ABCDEFGHIJKLAEOZIPZF
      OZIPZUEUGQRZSTCDNAUFUHCDUAUIMUBUCNUD $.
  $}

  ${
    lt2.1 $e |- A e. RR $.
    $( 'Less than or equal to' is reflexive.  (Contributed by NM,
       18-Aug-1999.) $)
    leidi $p |- A <_ A $=
      ( cr wcel cle wbr leid ax-mp ) ACDAAEFBAGH $.

    $( Positive means nonzero (useful for ordering theorems involving
       division).  (Contributed by NM, 16-Sep-1999.) $)
    gt0ne0i $p |- ( 0 < A -> A =/= 0 ) $=
      ( cc0 0re ltnei ) CADBE $.

    ${
      gt0ne0i.2 $e |- 0 < A $.
      $( Positive implies nonzero.  (Contributed by NM, 15-May-1999.) $)
      gt0ne0ii $p |- A =/= 0 $=
        ( cc0 clt wbr wne gt0ne0i ax-mp ) DAEFADGCABHI $.
    $}

    $( A nonzero square is positive.  Theorem I.20 of [Apostol] p. 20.
       (Contributed by NM, 17-Jan-1997.)  (Revised by Mario Carneiro,
       27-May-2016.) $)
    msqgt0i $p |- ( A =/= 0 -> 0 < ( A x. A ) ) $=
      ( cr wcel cc0 wne cmul co clt wbr msqgt0 mpan ) ACDAEFEAAGHIJBAKL $.

    $( A square is nonnegative.  (Contributed by NM, 14-May-1999.)  (Proof
       shortened by Andrew Salmon, 19-Nov-2011.) $)
    msqge0i $p |- 0 <_ ( A x. A ) $=
      ( cr wcel cc0 cmul co cle wbr msqge0 ax-mp ) ACDEAAFGHIBAJK $.

    lt2.2 $e |- B e. RR $.
    $( Addition of 2 positive numbers is positive.  (Contributed by NM,
       16-May-1999.)  (Proof shortened by Andrew Salmon, 19-Nov-2011.) $)
    addgt0i $p |- ( ( 0 < A /\ 0 < B ) -> 0 < ( A + B ) ) $=
      ( cr wcel cc0 clt wbr wa caddc co addgt0 mpanl12 ) AEFBEFGAHIGBHIJGABKLHI
      CDABMN $.

    $( Addition of 2 nonnegative numbers is nonnegative.  (Contributed by NM,
       28-May-1999.)  (Proof shortened by Andrew Salmon, 19-Nov-2011.) $)
    addge0i $p |- ( ( 0 <_ A /\ 0 <_ B ) -> 0 <_ ( A + B ) ) $=
      ( cr wcel cc0 cle wbr wa caddc co addge0 mpanl12 ) AEFBEFGAHIGBHIJGABKLHI
      CDABMN $.

    $( Addition of nonnegative and positive numbers is positive.  (Contributed
       by NM, 25-Sep-1999.)  (Revised by Mario Carneiro, 27-May-2016.) $)
    addgegt0i $p |- ( ( 0 <_ A /\ 0 < B ) -> 0 < ( A + B ) ) $=
      ( cr wcel cc0 cle wbr clt wa caddc co addgegt0 mpanl12 ) AEFBEFGAHIGBJIKG
      ABLMJICDABNO $.

    ${
      addgt0i.3 $e |- 0 < A $.
      addgt0i.4 $e |- 0 < B $.
      $( Addition of 2 positive numbers is positive.  (Contributed by NM,
         18-May-1999.) $)
      addgt0ii $p |- 0 < ( A + B ) $=
        ( cc0 clt wbr caddc co addgt0i mp2an ) GAHIGBHIGABJKHIEFABCDLM $.
    $}

    $( Two nonnegative numbers are zero iff their sum is zero.  (Contributed by
       NM, 28-Jul-1999.) $)
    add20i $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
      ( ( A + B ) = 0 <-> ( A = 0 /\ B = 0 ) ) ) $=
      ( cr wcel cc0 cle wbr wa caddc co wceq wb add20 an4s mpanl12 ) AEFZBEFZGA
      HIZGBHIZJABKLGMAGMBGMJNZCDRTSUAUBABOPQ $.

    $( Negative of both sides of 'less than'.  Theorem I.23 of [Apostol] p. 20.
       (Contributed by NM, 21-Jan-1997.) $)
    ltnegi $p |- ( A < B <-> -u B < -u A ) $=
      ( cr wcel clt wbr cneg wb ltneg mp2an ) AEFBEFABGHBIAIGHJCDABKL $.

    $( Negative of both sides of 'less than or equal to'.  (Contributed by NM,
       1-Aug-1999.) $)
    lenegi $p |- ( A <_ B <-> -u B <_ -u A ) $=
      ( cr wcel cle wbr cneg wb leneg mp2an ) AEFBEFABGHBIAIGHJCDABKL $.

    $( Contraposition of negative in 'less than'.  (Contributed by NM,
       14-May-1999.) $)
    ltnegcon2i $p |- ( A < -u B <-> B < -u A ) $=
      ( cr wcel cneg clt wbr wb ltnegcon2 mp2an ) AEFBEFABGHIBAGHIJCDABKL $.

    $( The product of two nonnegative numbers is nonnegative.  (Contributed by
       NM, 30-Jul-1999.) $)
    mulge0i $p |- ( ( 0 <_ A /\ 0 <_ B ) -> 0 <_ ( A x. B ) ) $=
      ( cr wcel cc0 cle wbr wa cmul co mulge0 an4s mpanl12 ) AEFZBEFZGAHIZGBHIZ
      JGABKLHIZCDPRQSTABMNO $.

    $( Lemma to show a nonnegative number is zero.  (Contributed by NM,
       8-Oct-1999.)  (Proof shortened by Andrew Salmon, 19-Nov-2011.) $)
    lesub0i $p |- ( ( 0 <_ A /\ B <_ ( B - A ) ) <-> A = 0 ) $=
      ( cr wcel cc0 cle wbr cmin co wa wceq wb lesub0 mp2an ) AEFBEFGAHIBBAJKHI
      LAGMNCDABOP $.

    $( Adding a positive number to another number increases it.  (Contributed
       by NM, 25-Aug-1999.) $)
    ltaddposi $p |- ( 0 < A <-> B < ( B + A ) ) $=
      ( cr wcel cc0 clt wbr caddc co wb ltaddpos mp2an ) AEFBEFGAHIBBAJKHILCDAB
      MN $.

    $( Comparison of two numbers whose difference is positive.  (Contributed by
       NM, 19-Aug-2001.) $)
    posdifi $p |- ( A < B <-> 0 < ( B - A ) ) $=
      ( cr wcel clt wbr cc0 cmin co wb posdif mp2an ) AEFBEFABGHIBAJKGHLCDABMN
      $.

    $( Contraposition of negative in 'less than'.  (Contributed by NM,
       14-May-1999.) $)
    ltnegcon1i $p |- ( -u A < B <-> -u B < A ) $=
      ( cr wcel cneg clt wbr wb ltnegcon1 mp2an ) AEFBEFAGBHIBGAHIJCDABKL $.

    $( Contraposition of negative in 'less than or equal to'.  (Contributed by
       NM, 6-Apr-2005.) $)
    lenegcon1i $p |- ( -u A <_ B <-> -u B <_ A ) $=
      ( cr wcel cneg cle wbr wb lenegcon1 mp2an ) AEFBEFAGBHIBGAHIJCDABKL $.

    $( Nonnegative subtraction.  (Contributed by NM, 13-Aug-2000.) $)
    subge0i $p |- ( 0 <_ ( A - B ) <-> B <_ A ) $=
      ( cr wcel cc0 cmin co cle wbr wb subge0 mp2an ) AEFBEFGABHIJKBAJKLCDABMN
      $.

    lt2.3 $e |- C e. RR $.
    $( Addition to both sides of 'less than'.  Theorem I.18 of [Apostol] p. 20.
       (Contributed by NM, 21-Jan-1997.) $)
    ltadd1i $p |- ( A < B <-> ( A + C ) < ( B + C ) ) $=
      ( cr wcel clt wbr caddc co wb ltadd1 mp3an ) AGHBGHCGHABIJACKLBCKLIJMDEFA
      BCNO $.

    $( Addition to both sides of 'less than or equal to'.  (Contributed by NM,
       11-Aug-1999.) $)
    leadd1i $p |- ( A <_ B <-> ( A + C ) <_ ( B + C ) ) $=
      ( cr wcel cle wbr caddc co wb leadd1 mp3an ) AGHBGHCGHABIJACKLBCKLIJMDEFA
      BCNO $.

    $( Addition to both sides of 'less than or equal to'.  (Contributed by NM,
       11-Aug-1999.) $)
    leadd2i $p |- ( A <_ B <-> ( C + A ) <_ ( C + B ) ) $=
      ( cr wcel cle wbr caddc co wb leadd2 mp3an ) AGHBGHCGHABIJCAKLCBKLIJMDEFA
      BCNO $.

    $( 'Less than' relationship between subtraction and addition.  (Contributed
       by NM, 21-Jan-1997.)  (Proof shortened by Andrew Salmon,
       19-Nov-2011.) $)
    ltsubaddi $p |- ( ( A - B ) < C <-> A < ( C + B ) ) $=
      ( cr wcel cmin co clt wbr caddc wb ltsubadd mp3an ) AGHBGHCGHABIJCKLACBMJ
      KLNDEFABCOP $.

    $( 'Less than or equal to' relationship between subtraction and addition.
       (Contributed by NM, 30-Sep-1999.)  (Proof shortened by Andrew Salmon,
       19-Nov-2011.) $)
    lesubaddi $p |- ( ( A - B ) <_ C <-> A <_ ( C + B ) ) $=
      ( cr wcel cmin co cle wbr caddc wb lesubadd mp3an ) AGHBGHCGHABIJCKLACBMJ
      KLNDEFABCOP $.

    $( 'Less than' relationship between subtraction and addition.  (Contributed
       by NM, 21-Jan-1997.) $)
    ltsubadd2i $p |- ( ( A - B ) < C <-> A < ( B + C ) ) $=
      ( cr wcel cmin co clt wbr caddc wb ltsubadd2 mp3an ) AGHBGHCGHABIJCKLABCM
      JKLNDEFABCOP $.

    $( 'Less than or equal to' relationship between subtraction and addition.
       (Contributed by NM, 3-Aug-1999.) $)
    lesubadd2i $p |- ( ( A - B ) <_ C <-> A <_ ( B + C ) ) $=
      ( cr wcel cmin co cle wbr caddc wb lesubadd2 mp3an ) AGHBGHCGHABIJCKLABCM
      JKLNDEFABCOP $.

    $( 'Less than' relationship between subtraction and addition.  (Contributed
       by NM, 14-May-1999.) $)
    ltaddsubi $p |- ( ( A + B ) < C <-> A < ( C - B ) ) $=
      ( cr wcel caddc co clt wbr cmin wb ltaddsub mp3an ) AGHBGHCGHABIJCKLACBMJ
      KLNDEFABCOP $.

    lt.4 $e |- D e. RR $.
    $( Adding both side of two inequalities.  Theorem I.25 of [Apostol] p. 20.
       (Contributed by NM, 14-May-1999.) $)
    lt2addi $p |- ( ( A < C /\ B < D ) -> ( A + B ) < ( C + D ) ) $=
      ( cr wcel clt wbr wa caddc co wi lt2add mp4an ) AIJBIJCIJDIJACKLBDKLMABNO
      CDNOKLPEFGHABCDQR $.

    $( Adding both side of two inequalities.  (Contributed by NM,
       16-Sep-1999.) $)
    le2addi $p |- ( ( A <_ C /\ B <_ D ) -> ( A + B ) <_ ( C + D ) ) $=
      ( cr wcel cle wbr wa caddc co wi le2add mp4an ) AIJBIJCIJDIJACKLBDKLMABNO
      CDNOKLPEFGHABCDQR $.
  $}

  ${
    gt0ne0d.1 $e |- ( ph -> 0 < A ) $.
    $( Positive implies nonzero.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    gt0ne0d $p |- ( ph -> A =/= 0 ) $=
      ( cc0 cr wcel clt wbr wne 0re ltne sylancr ) ADEFDBGHBDIJCDBKL $.
  $}

  ${
    lt0ne0d.1 $e |- ( ph -> A < 0 ) $.
    $( Something less than zero is not zero.  Deduction form.  (Contributed by
       David Moews, 28-Feb-2017.) $)
    lt0ne0d $p |- ( ph -> A =/= 0 ) $=
      ( cc0 clt wbr wne wceq 0re ltnri breq1 mtbiri necon2ai syl ) ABDEFZBDGCOB
      DBDHODDEFDIJBDDEKLMN $.
  $}

  ${
    leidd.1 $e |- ( ph -> A e. RR ) $.
    $( 'Less than or equal to' is reflexive.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    leidd $p |- ( ph -> A <_ A ) $=
      ( cr wcel cle wbr leid syl ) ABDEBBFGCBHI $.

    ${
      msqgt0d.2 $e |- ( ph -> A =/= 0 ) $.
      $( A nonzero square is positive.  Theorem I.20 of [Apostol] p. 20.
         (Contributed by Mario Carneiro, 27-May-2016.) $)
      msqgt0d $p |- ( ph -> 0 < ( A x. A ) ) $=
        ( cr wcel cc0 wne cmul co clt wbr msqgt0 syl2anc ) ABEFBGHGBBIJKLCDBMN
        $.
    $}

    $( A square is nonnegative.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    msqge0d $p |- ( ph -> 0 <_ ( A x. A ) ) $=
      ( cr wcel cc0 cmul co cle wbr msqge0 syl ) ABDEFBBGHIJCBKL $.

    $( Comparison of a number and its negative to zero.  Theorem I.23 of
       [Apostol] p. 20.  (Contributed by Mario Carneiro, 27-May-2016.) $)
    lt0neg1d $p |- ( ph -> ( A < 0 <-> 0 < -u A ) ) $=
      ( cr wcel cc0 clt wbr cneg wb lt0neg1 syl ) ABDEBFGHFBIGHJCBKL $.

    $( Comparison of a number and its negative to zero.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    lt0neg2d $p |- ( ph -> ( 0 < A <-> -u A < 0 ) ) $=
      ( cr wcel cc0 clt wbr cneg wb lt0neg2 syl ) ABDEFBGHBIFGHJCBKL $.

    $( Comparison of a number and its negative to zero.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    le0neg1d $p |- ( ph -> ( A <_ 0 <-> 0 <_ -u A ) ) $=
      ( cr wcel cc0 cle wbr cneg wb le0neg1 syl ) ABDEBFGHFBIGHJCBKL $.

    $( Comparison of a number and its negative to zero.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    le0neg2d $p |- ( ph -> ( 0 <_ A <-> -u A <_ 0 ) ) $=
      ( cr wcel cc0 cle wbr cneg wb le0neg2 syl ) ABDEFBGHBIFGHJCBKL $.

    ltnegd.2 $e |- ( ph -> B e. RR ) $.
    ${
      addgegt0d.3 $e |- ( ph -> 0 <_ A ) $.
      addgegt0d.4 $e |- ( ph -> 0 < B ) $.
      $( Addition of nonnegative and positive numbers is positive.
         (Contributed by Mario Carneiro, 27-May-2016.) $)
      addgegt0d $p |- ( ph -> 0 < ( A + B ) ) $=
        ( cr wcel cc0 cle wbr clt caddc co addgegt0 syl22anc ) ABHICHIJBKLJCMLJ
        BCNOMLDEFGBCPQ $.
    $}

    ${
      addgtge0d.3 $e |- ( ph -> 0 < A ) $.
      addgtge0d.4 $e |- ( ph -> 0 <_ B ) $.
      $( Addition of positive and nonnegative numbers is positive.
         (Contributed by Asger C. Ipsen, 12-May-2021.) $)
      addgtge0d $p |- ( ph -> 0 < ( A + B ) ) $=
        ( cr wcel cc0 clt wbr cle caddc co addgtge0 syl22anc ) ABHICHIJBKLJCMLJ
        BCNOKLDEFGBCPQ $.
    $}

    ${
      addgt0d.3 $e |- ( ph -> 0 < A ) $.
      addgt0d.4 $e |- ( ph -> 0 < B ) $.
      $( Addition of 2 positive numbers is positive.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      addgt0d $p |- ( ph -> 0 < ( A + B ) ) $=
        ( cc0 0red ltled addgegt0d ) ABCDEAHBAIDFJGK $.
    $}

    ${
      addge0d.3 $e |- ( ph -> 0 <_ A ) $.
      addge0d.4 $e |- ( ph -> 0 <_ B ) $.
      $( Addition of 2 nonnegative numbers is nonnegative.  (Contributed by
         Mario Carneiro, 27-May-2016.) $)
      addge0d $p |- ( ph -> 0 <_ ( A + B ) ) $=
        ( cr wcel cc0 cle wbr caddc co addge0 syl22anc ) ABHICHIJBKLJCKLJBCMNKL
        DEFGBCOP $.

      $( The product of two nonnegative numbers is nonnegative.  (Contributed
         by Mario Carneiro, 27-May-2016.) $)
      mulge0d $p |- ( ph -> 0 <_ ( A x. B ) ) $=
        ( cr wcel cc0 cle wbr cmul co mulge0 syl22anc ) ABHIJBKLCHIJCKLJBCMNKLD
        FEGBCOP $.
    $}

    $( Negative of both sides of 'less than'.  Theorem I.23 of [Apostol] p. 20.
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    ltnegd $p |- ( ph -> ( A < B <-> -u B < -u A ) ) $=
      ( cr wcel clt wbr cneg wb ltneg syl2anc ) ABFGCFGBCHICJBJHIKDEBCLM $.

    $( Negative of both sides of 'less than or equal to'.  (Contributed by
       Mario Carneiro, 27-May-2016.) $)
    lenegd $p |- ( ph -> ( A <_ B <-> -u B <_ -u A ) ) $=
      ( cr wcel cle wbr cneg wb leneg syl2anc ) ABFGCFGBCHICJBJHIKDEBCLM $.

    ${
      ltnegcon1d.3 $e |- ( ph -> -u A < B ) $.
      $( Contraposition of negative in 'less than'.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      ltnegcon1d $p |- ( ph -> -u B < A ) $=
        ( cneg clt wbr cr wcel wb ltnegcon1 syl2anc mpbid ) ABGCHIZCGBHIZFABJKC
        JKPQLDEBCMNO $.
    $}

    ${
      ltnegcon2d.3 $e |- ( ph -> A < -u B ) $.
      $( Contraposition of negative in 'less than'.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      ltnegcon2d $p |- ( ph -> B < -u A ) $=
        ( cneg clt wbr cr wcel wb ltnegcon2 syl2anc mpbid ) ABCGHIZCBGHIZFABJKC
        JKPQLDEBCMNO $.
    $}

    ${
      lenegcon1d.3 $e |- ( ph -> -u A <_ B ) $.
      $( Contraposition of negative in 'less than or equal to'.  (Contributed
         by Mario Carneiro, 27-May-2016.) $)
      lenegcon1d $p |- ( ph -> -u B <_ A ) $=
        ( cneg cle wbr cr wcel wb lenegcon1 syl2anc mpbid ) ABGCHIZCGBHIZFABJKC
        JKPQLDEBCMNO $.
    $}

    ${
      lenegcon2d.3 $e |- ( ph -> A <_ -u B ) $.
      $( Contraposition of negative in 'less than or equal to'.  (Contributed
         by Mario Carneiro, 27-May-2016.) $)
      lenegcon2d $p |- ( ph -> B <_ -u A ) $=
        ( cneg cle wbr cr wcel wb lenegcon2 syl2anc mpbid ) ABCGHIZCBGHIZFABJKC
        JKPQLDEBCMNO $.
    $}

    $( Adding a positive number to another number increases it.  (Contributed
       by Mario Carneiro, 27-May-2016.) $)
    ltaddposd $p |- ( ph -> ( 0 < A <-> B < ( B + A ) ) ) $=
      ( cr wcel cc0 clt wbr caddc co wb ltaddpos syl2anc ) ABFGCFGHBIJCCBKLIJMD
      EBCNO $.

    $( Adding a positive number to another number increases it.  (Contributed
       by Mario Carneiro, 27-May-2016.) $)
    ltaddpos2d $p |- ( ph -> ( 0 < A <-> B < ( A + B ) ) ) $=
      ( cr wcel cc0 clt wbr caddc co wb ltaddpos2 syl2anc ) ABFGCFGHBIJCBCKLIJM
      DEBCNO $.

    $( Subtracting a positive number from another number decreases it.
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    ltsubposd $p |- ( ph -> ( 0 < A <-> ( B - A ) < B ) ) $=
      ( cr wcel cc0 clt wbr cmin co wb ltsubpos syl2anc ) ABFGCFGHBIJCBKLCIJMDE
      BCNO $.

    $( Comparison of two numbers whose difference is positive.  (Contributed by
       Mario Carneiro, 27-May-2016.) $)
    posdifd $p |- ( ph -> ( A < B <-> 0 < ( B - A ) ) ) $=
      ( cr wcel clt wbr cc0 cmin co wb posdif syl2anc ) ABFGCFGBCHIJCBKLHIMDEBC
      NO $.

    $( A number is less than or equal to itself plus a nonnegative number.
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    addge01d $p |- ( ph -> ( 0 <_ B <-> A <_ ( A + B ) ) ) $=
      ( cr wcel cc0 cle wbr caddc co wb addge01 syl2anc ) ABFGCFGHCIJBBCKLIJMDE
      BCNO $.

    $( A number is less than or equal to itself plus a nonnegative number.
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    addge02d $p |- ( ph -> ( 0 <_ B <-> A <_ ( B + A ) ) ) $=
      ( cr wcel cc0 cle wbr caddc co wb addge02 syl2anc ) ABFGCFGHCIJBCBKLIJMDE
      BCNO $.

    $( Nonnegative subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    subge0d $p |- ( ph -> ( 0 <_ ( A - B ) <-> B <_ A ) ) $=
      ( cr wcel cc0 cmin co cle wbr wb subge0 syl2anc ) ABFGCFGHBCIJKLCBKLMDEBC
      NO $.

    $( Nonpositive subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    suble0d $p |- ( ph -> ( ( A - B ) <_ 0 <-> A <_ B ) ) $=
      ( cr wcel cmin co cc0 cle wbr wb suble0 syl2anc ) ABFGCFGBCHIJKLBCKLMDEBC
      NO $.

    $( Nonnegative subtraction.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    subge02d $p |- ( ph -> ( 0 <_ B <-> ( A - B ) <_ A ) ) $=
      ( cr wcel cc0 cle wbr cmin co wb subge02 syl2anc ) ABFGCFGHCIJBCKLBIJMDEB
      CNO $.

    ltadd1d.3 $e |- ( ph -> C e. RR ) $.
    $( Addition to both sides of 'less than'.  Theorem I.18 of [Apostol] p. 20.
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    ltadd1d $p |- ( ph -> ( A < B <-> ( A + C ) < ( B + C ) ) ) $=
      ( cr wcel clt wbr caddc co wb ltadd1 syl3anc ) ABHICHIDHIBCJKBDLMCDLMJKNE
      FGBCDOP $.

    $( Addition to both sides of 'less than or equal to'.  (Contributed by
       Mario Carneiro, 27-May-2016.) $)
    leadd1d $p |- ( ph -> ( A <_ B <-> ( A + C ) <_ ( B + C ) ) ) $=
      ( cr wcel cle wbr caddc co wb leadd1 syl3anc ) ABHICHIDHIBCJKBDLMCDLMJKNE
      FGBCDOP $.

    $( Addition to both sides of 'less than or equal to'.  (Contributed by
       Mario Carneiro, 27-May-2016.) $)
    leadd2d $p |- ( ph -> ( A <_ B <-> ( C + A ) <_ ( C + B ) ) ) $=
      ( cr wcel cle wbr caddc co wb leadd2 syl3anc ) ABHICHIDHIBCJKDBLMDCLMJKNE
      FGBCDOP $.

    $( 'Less than' relationship between subtraction and addition.  (Contributed
       by Mario Carneiro, 27-May-2016.) $)
    ltsubaddd $p |- ( ph -> ( ( A - B ) < C <-> A < ( C + B ) ) ) $=
      ( cr wcel cmin co clt wbr caddc wb ltsubadd syl3anc ) ABHICHIDHIBCJKDLMBD
      CNKLMOEFGBCDPQ $.

    $( 'Less than or equal to' relationship between subtraction and addition.
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    lesubaddd $p |- ( ph -> ( ( A - B ) <_ C <-> A <_ ( C + B ) ) ) $=
      ( cr wcel cmin co cle wbr caddc wb lesubadd syl3anc ) ABHICHIDHIBCJKDLMBD
      CNKLMOEFGBCDPQ $.

    $( 'Less than' relationship between subtraction and addition.  (Contributed
       by Mario Carneiro, 27-May-2016.) $)
    ltsubadd2d $p |- ( ph -> ( ( A - B ) < C <-> A < ( B + C ) ) ) $=
      ( cr wcel cmin co clt wbr caddc wb ltsubadd2 syl3anc ) ABHICHIDHIBCJKDLMB
      CDNKLMOEFGBCDPQ $.

    $( 'Less than or equal to' relationship between subtraction and addition.
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    lesubadd2d $p |- ( ph -> ( ( A - B ) <_ C <-> A <_ ( B + C ) ) ) $=
      ( cr wcel cmin co cle wbr caddc wb lesubadd2 syl3anc ) ABHICHIDHIBCJKDLMB
      CDNKLMOEFGBCDPQ $.

    $( 'Less than' relationship between subtraction and addition.  (Contributed
       by Mario Carneiro, 27-May-2016.) $)
    ltaddsubd $p |- ( ph -> ( ( A + B ) < C <-> A < ( C - B ) ) ) $=
      ( cr wcel caddc co clt wbr cmin wb ltaddsub syl3anc ) ABHICHIDHIBCJKDLMBD
      CNKLMOEFGBCDPQ $.

    $( 'Less than' relationship between subtraction and addition.  (Contributed
       by Mario Carneiro, 29-Dec-2016.) $)
    ltaddsub2d $p |- ( ph -> ( ( A + B ) < C <-> B < ( C - A ) ) ) $=
      ( cr wcel caddc co clt wbr cmin wb ltaddsub2 syl3anc ) ABHICHIDHIBCJKDLMC
      DBNKLMOEFGBCDPQ $.

    $( 'Less than or equal to' relationship between and addition and
       subtraction.  (Contributed by Mario Carneiro, 27-May-2016.) $)
    leaddsub2d $p |- ( ph -> ( ( A + B ) <_ C <-> B <_ ( C - A ) ) ) $=
      ( cr wcel caddc co cle wbr cmin wb leaddsub2 syl3anc ) ABHICHIDHIBCJKDLMC
      DBNKLMOEFGBCDPQ $.

    ${
      subled.4 $e |- ( ph -> ( A - B ) <_ C ) $.
      $( Swap subtrahends in an inequality.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      subled $p |- ( ph -> ( A - C ) <_ B ) $=
        ( cmin co cle wbr cr wcel wb suble syl3anc mpbid ) ABCIJDKLZBDIJCKLZHAB
        MNCMNDMNSTOEFGBCDPQR $.
    $}

    ${
      lesubd.4 $e |- ( ph -> A <_ ( B - C ) ) $.
      $( Swap subtrahends in an inequality.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      lesubd $p |- ( ph -> C <_ ( B - A ) ) $=
        ( cmin co cle wbr cr wcel wb lesub syl3anc mpbid ) ABCDIJKLZDCBIJKLZHAB
        MNCMNDMNSTOEFGBCDPQR $.
    $}

    ${
      ltsub23d.4 $e |- ( ph -> ( A - B ) < C ) $.
      $( 'Less than' relationship between subtraction and addition.
         (Contributed by Mario Carneiro, 27-May-2016.) $)
      ltsub23d $p |- ( ph -> ( A - C ) < B ) $=
        ( cmin co clt wbr cr wcel wb ltsub23 syl3anc mpbid ) ABCIJDKLZBDIJCKLZH
        ABMNCMNDMNSTOEFGBCDPQR $.
    $}

    ${
      ltsub13d.4 $e |- ( ph -> A < ( B - C ) ) $.
      $( 'Less than' relationship between subtraction and addition.
         (Contributed by Mario Carneiro, 27-May-2016.) $)
      ltsub13d $p |- ( ph -> C < ( B - A ) ) $=
        ( cmin co clt wbr cr wcel wb ltsub13 syl3anc mpbid ) ABCDIJKLZDCBIJKLZH
        ABMNCMNDMNSTOEFGBCDPQR $.
    $}

    $( Subtraction from both sides of 'less than or equal to'.  (Contributed by
       Mario Carneiro, 27-May-2016.) $)
    lesub1d $p |- ( ph -> ( A <_ B <-> ( A - C ) <_ ( B - C ) ) ) $=
      ( cr wcel cle wbr cmin co wb lesub1 syl3anc ) ABHICHIDHIBCJKBDLMCDLMJKNEF
      GBCDOP $.

    $( Subtraction of both sides of 'less than or equal to'.  (Contributed by
       Mario Carneiro, 27-May-2016.) $)
    lesub2d $p |- ( ph -> ( A <_ B <-> ( C - B ) <_ ( C - A ) ) ) $=
      ( cr wcel cle wbr cmin co wb lesub2 syl3anc ) ABHICHIDHIBCJKDCLMDBLMJKNEF
      GBCDOP $.

    $( Subtraction from both sides of 'less than'.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    ltsub1d $p |- ( ph -> ( A < B <-> ( A - C ) < ( B - C ) ) ) $=
      ( cr wcel clt wbr cmin co wb ltsub1 syl3anc ) ABHICHIDHIBCJKBDLMCDLMJKNEF
      GBCDOP $.

    $( Subtraction of both sides of 'less than'.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    ltsub2d $p |- ( ph -> ( A < B <-> ( C - B ) < ( C - A ) ) ) $=
      ( cr wcel clt wbr cmin co wb ltsub2 syl3anc ) ABHICHIDHIBCJKDCLMDBLMJKNEF
      GBCDOP $.

    ${
      ltadd1dd.4 $e |- ( ph -> A < B ) $.
      $( Addition to both sides of 'less than'.  Theorem I.18 of [Apostol]
         p. 20.  (Contributed by Mario Carneiro, 30-May-2016.) $)
      ltadd1dd $p |- ( ph -> ( A + C ) < ( B + C ) ) $=
        ( clt wbr caddc co ltadd1d mpbid ) ABCIJBDKLCDKLIJHABCDEFGMN $.

      $( Subtraction from both sides of 'less than'.  (Contributed by Mario
         Carneiro, 30-May-2016.) $)
      ltsub1dd $p |- ( ph -> ( A - C ) < ( B - C ) ) $=
        ( clt wbr cmin co ltsub1d mpbid ) ABCIJBDKLCDKLIJHABCDEFGMN $.

      $( Subtraction of both sides of 'less than'.  (Contributed by Mario
         Carneiro, 30-May-2016.) $)
      ltsub2dd $p |- ( ph -> ( C - B ) < ( C - A ) ) $=
        ( clt wbr cmin co ltsub2d mpbid ) ABCIJDCKLDBKLIJHABCDEFGMN $.
    $}

    ${
      leadd1dd.4 $e |- ( ph -> A <_ B ) $.
      $( Addition to both sides of 'less than or equal to'.  (Contributed by
         Mario Carneiro, 30-May-2016.) $)
      leadd1dd $p |- ( ph -> ( A + C ) <_ ( B + C ) ) $=
        ( cle wbr caddc co leadd1d mpbid ) ABCIJBDKLCDKLIJHABCDEFGMN $.

      $( Addition to both sides of 'less than or equal to'.  (Contributed by
         Mario Carneiro, 30-May-2016.) $)
      leadd2dd $p |- ( ph -> ( C + A ) <_ ( C + B ) ) $=
        ( cle wbr caddc co leadd2d mpbid ) ABCIJDBKLDCKLIJHABCDEFGMN $.

      $( Subtraction from both sides of 'less than or equal to'.  (Contributed
         by Mario Carneiro, 30-May-2016.) $)
      lesub1dd $p |- ( ph -> ( A - C ) <_ ( B - C ) ) $=
        ( cle wbr cmin co lesub1d mpbid ) ABCIJBDKLCDKLIJHABCDEFGMN $.

      $( Subtraction of both sides of 'less than or equal to'.  (Contributed by
         Mario Carneiro, 30-May-2016.) $)
      lesub2dd $p |- ( ph -> ( C - B ) <_ ( C - A ) ) $=
        ( cle wbr cmin co lesub2d mpbid ) ABCIJDCKLDBKLIJHABCDEFGMN $.
    $}

    ${
      lesub3d.x $e |- ( ph -> X e. RR ) $.
      lesub3d.g $e |- ( ph -> ( X + C ) <_ A ) $.
      lesub3d.l $e |- ( ph -> B <_ X ) $.
      $( The result of subtracting a number less than or equal to an
         intermediate number from a number greater than or equal to a third
         number increased by the intermediate number is greater than or equal
         to the third number.  (Contributed by AV, 13-Aug-2020.) $)
      lesub3d $p |- ( ph -> C <_ ( A - B ) ) $=
        ( caddc co cle wbr cmin readdcld recnd cr wcel addcomd leadd1dd eqbrtrd
        letrd wb leaddsub syl3anc mpbid ) ADCLMZBNOZDBCPMNOZAUIEDLMZBADCHGQAEDI
        HQFAUICDLMULNADCADHRACGRUAACEDGIHKUBUCJUDADSTCSTBSTUJUKUEHGFDCBUFUGUH
        $.
    $}

    lt2addd.4 $e |- ( ph -> D e. RR ) $.
    ${
      le2addd.5 $e |- ( ph -> A <_ C ) $.
      le2addd.6 $e |- ( ph -> B <_ D ) $.
      $( Adding both side of two inequalities.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      le2addd $p |- ( ph -> ( A + B ) <_ ( C + D ) ) $=
        ( cle wbr caddc co cr wcel wa wi le2add syl22anc mp2and ) ABDLMZCELMZBC
        NODENOLMZJKABPQCPQDPQEPQUCUDRUESFGHIBCDETUAUB $.

      $( Subtracting both sides of two 'less than or equal to' relations.
         (Contributed by Mario Carneiro, 27-May-2016.) $)
      le2subd $p |- ( ph -> ( A - D ) <_ ( C - B ) ) $=
        ( cle wbr cmin co cr wcel wa wi le2sub syl22anc mp2and ) ABDLMZCELMZBEN
        ODCNOLMZJKABPQEPQDPQCPQUCUDRUESFIHGBEDCTUAUB $.
    $}

    ${
      ltleaddd.5 $e |- ( ph -> A < C ) $.
      ltleaddd.6 $e |- ( ph -> B <_ D ) $.
      $( Adding both sides of two orderings.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      ltleaddd $p |- ( ph -> ( A + B ) < ( C + D ) ) $=
        ( clt wbr cle caddc co cr wcel wa wi ltleadd syl22anc mp2and ) ABDLMZCE
        NMZBCOPDEOPLMZJKABQRCQRDQREQRUDUESUFTFGHIBCDEUAUBUC $.
    $}

    ${
      leltaddd.5 $e |- ( ph -> A <_ C ) $.
      leltaddd.6 $e |- ( ph -> B < D ) $.
      $( Adding both sides of two orderings.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      leltaddd $p |- ( ph -> ( A + B ) < ( C + D ) ) $=
        ( cle wbr clt caddc co cr wcel wa wi leltadd syl22anc mp2and ) ABDLMZCE
        NMZBCOPDEOPNMZJKABQRCQRDQREQRUDUESUFTFGHIBCDEUAUBUC $.
    $}

    ${
      lt2addd.5 $e |- ( ph -> A < C ) $.
      lt2addd.6 $e |- ( ph -> B < D ) $.
      $( Adding both side of two inequalities.  Theorem I.25 of [Apostol]
         p. 20.  (Contributed by Mario Carneiro, 27-May-2016.) $)
      lt2addd $p |- ( ph -> ( A + B ) < ( C + D ) ) $=
        ( ltled ltleaddd ) ABCDEFGHIJACEGIKLM $.

      $( Subtracting both sides of two 'less than' relations.  (Contributed by
         Mario Carneiro, 27-May-2016.) $)
      lt2subd $p |- ( ph -> ( A - D ) < ( C - B ) ) $=
        ( clt wbr cmin co cr wcel wa wi lt2sub syl22anc mp2and ) ABDLMZCELMZBEN
        ODCNOLMZJKABPQEPQDPQCPQUCUDRUESFIHGBEDCTUAUB $.
    $}
  $}

  ${
    possumd.1 $e |- ( ph -> A e. RR ) $.
    possumd.2 $e |- ( ph -> B e. RR ) $.
    $( Condition for a positive sum.  (Contributed by Scott Fenton,
       16-Dec-2017.) $)
    possumd $p |- ( ph -> ( 0 < ( A + B ) <-> -u B < A ) ) $=
      ( cneg clt wbr cmin co caddc renegcld posdifd recnd subnegd breq2d bitr2d
      cc0 ) ACFZBGHRBSIJZGHRBCKJZGHASBACELDMATUARGABCABDNACENOPQ $.
  $}

  ${
    sublt0d.1 $e |- ( ph -> A e. RR ) $.
    sublt0d.2 $e |- ( ph -> B e. RR ) $.
    $( When a subtraction gives a negative result.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    sublt0d $p |- ( ph -> ( ( A - B ) < 0 <-> A < B ) ) $=
      ( cmin co cc0 clt wbr caddc 0red ltsubaddd recnd addid2d breq2d bitrd ) A
      BCFGHIJBHCKGZIJBCIJABCHDEALMARCBIACACENOPQ $.
  $}

  $( Addition and subtraction on one side of 'less than'.  (Contributed by AV,
     24-Nov-2018.) $)
  ltaddsublt $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                    ( B < C <-> ( ( A + B ) - C ) < A ) ) $=
    ( cr wcel w3a clt caddc co cmin wb ltadd2 3comr readdcl 3adant3 simp3 simp1
    wbr ltsubaddd bitr4d ) ADEZBDEZCDEZFZBCGRZABHIZACHIGRZUFCJIAGRUBUCUAUEUGKBC
    ALMUDUFCAUAUBUFDEUCABNOUAUBUCPUAUBUCQST $.

  $( One is less than or equal to one.  (Contributed by David A. Wheeler,
     16-Jul-2016.) $)
  1le1 $p |- 1 <_ 1 $=
    ( c1 1re leidi ) ABC $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Reciprocals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( ` _i ` times itself is minus 1.  (Contributed by NM, 6-May-1999.)  (Proof
     shortened by Andrew Salmon, 19-Nov-2011.) $)
  ixi $p |- ( _i x. _i ) = -u 1 $=
    ( c1 cneg cc0 cmin co ci cmul df-neg caddc ax-i2m1 0cn ax-1cn ax-icn mulcli
    wceq subadd2i mpbir eqtr2i ) ABCADEZFFGEZAHSTOTAIECOJCATKLFFMMNPQR $.

  $( Lemma for ~ recex .  (Contributed by Eric Schmidt, 23-May-2007.) $)
  recextlem1 $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A + ( _i x. B ) ) x.
      ( A - ( _i x. B ) ) ) = ( ( A x. A ) + ( B x. B ) ) ) $=
    ( cc wcel wa ci cmul caddc cmin cneg ax-icn mulcl adantl sylan2 subdid wceq
    co eqtrd anidms oveq12d simpl subcl adddird mulcom c1 oveq1i mulm1d eqtr2id
    mpan ixi mul4 mpanl12 eqtr4d adantr negcld npncand subneg syl2an 3eqtrd ) A
    CDZBCDZEZAFBGQZHQAVCIQZGQAVDGQZVCVDGQZHQAAGQZAVCGQZIQZVHBBGQZJZIQZHQZVGVJHQ
    ZVBAVCVDUTVAUAZVAVCCDZUTFCDZVAVPKFBLUIZMZVAUTVPVDCDVRAVCUBNUCVBVEVIVFVLHVBA
    AVCVOVOVSOVBVFVCAGQZVCVCGQZIQVLVBVCAVCVSVOVSOVBVHVTVKWAIVAUTVPVHVTPVRAVCUDN
    VAVKWAPZUTVAWBVAVAEZVKFFGQZVJGQZWAWCWEUEJZVJGQVKWDWFVJGUJUFWCVJBBLZUGUHVQVQ
    WCWEWAPKKFFBBUKULRSMTUMTVBVMVGVKIQZVNVBVGVHVKUTVGCDZVAUTWIAALSZUNVAUTVPVHCD
    VRAVCLNVAVKCDZUTVAWKWCVJWGUOSMUPUTWIVJCDZWHVNPVAWJVAWLWGSVGVJUQURRUS $.

  $( Lemma for ~ recex .  (Contributed by Eric Schmidt, 23-May-2007.) $)
  recextlem2 $p |- ( ( A e. RR /\ B e. RR /\ ( A + ( _i x. B ) ) =/= 0 ) ->
                        ( ( A x. A ) + ( B x. B ) ) =/= 0 ) $=
    ( cr wcel ci cmul co caddc cc0 wne clt wbr wa wceq eqtrdi sylan2 cle anidms
    remulcl anim12i w3a wo wn ax-icn mul01i oveq12 00id necon3ai neorian sylibr
    oveq2 msqgt0 msqge0 an32s addgtge0 syl2an2r anassrs addgegt0 jaodan gt0ne0d
    3impa ) ACDZBCDZAEBFGZHGZIJZUAAAFGZBBFGZHGZVBVCVFIVIKLZVFVBVCMZAIJZBIJZUBZV
    JVFAINZBINZMZUCVNVQVEIVQVEIIHGZIVPVOVDINVEVRNVPVDEIFGIBIEFUKEUDUEOAIVDIHUFP
    UGOUHAIBIUIUJVKVLVJVMVKVGCDZVHCDZMZVLIVGKLZIVHQLZMZVJVBVSVCVTVBVSAASRVCVTBB
    SRTZVBVLVCWDVBVLMWBVCWCAULBUMTUNVGVHUOUPVKWAVMIVGQLZIVHKLZMZVJWEVBVCVMWHVBW
    FVCVMMWGAUMBULTUQVGVHURUPUSPVAUT $.

  ${
    $d x y a b A $.
    $( Existence of reciprocal of nonzero complex number.  (Contributed by Eric
       Schmidt, 22-May-2007.) $)
    recex $p |- ( ( A e. CC /\ A =/= 0 ) -> E. x e. CC ( A x. x ) = 1 ) $=
      ( va vb vy cc wcel cc0 wne cv cmul co c1 wceq wrex ci cr wi wa adantr mpd
      caddc cnre recextlem2 3expia remulcl anidms readdcl syl2an ax-rrecex recn
      sylan cmin ax-icn mulcl mpan subcl sylan2 addcl mulassd recextlem1 oveq1d
      simpr eqtr3d id sylan9eq oveq2 eqeq1d rspcev syl2an2r exp31 syl5 rexlimdv
      ex syld wb neeq1 adantl oveq1 rexbidv 3imtr4d rexlimivv syl imp ) BFGZBHI
      ZBAJZKLZMNZAFOZWEBCJZPDJZKLZUBLZNZDQOCQOWFWJRZCDBUCWOWPCDQQWKQGZWLQGZSZWO
      WPWSWOSWNHIZWNWGKLZMNZAFOZWFWJWSWTXCRWOWSWTWKWKKLZWLWLKLZUBLZHIZXCWQWRWTX
      GWKWLUDUEWSXGXCWSXGSXFEJZKLZMNZEQOZXCWSXFQGZXGXKWQXDQGZXEQGZXLWRWQXMWKWKU
      FUGWRXNWLWLUFUGXDXEUHUIEXFUJULWSXKXCRZXGWQWKFGZWLFGZXOWRWKUKWLUKXPXQSZXJX
      CEQXHQGXHFGZXRXJXCRXHUKXRXSXJXCXRXSSZWKWMUMLZXHKLZFGZXJWNYBKLZMNZXCXRYAFG
      ZXSYCXQXPWMFGZYFPFGXQYGUNPWLUOUPZWKWMUQURZYAXHUOULXTXJYDXIMXTWNYAKLZXHKLY
      DXIXTWNYAXHXRWNFGZXSXQXPYGYKYHWKWMUSURTXRYFXSYITXRXSVCUTXTYJXFXHKXRYJXFNX
      SWKWLVATVBVDXJVEVFXBYEAYBFWGYBNXAYDMWGYBWNKVGVHVIVJVKVLVMUITUAVNVOTWOWFWT
      VPWSBWNHVQVRWOWJXCVPWSWOWIXBAFWOWHXAMBWNWGKVSVHVTVRWAVNWBWCWD $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x ph $.
    mulcand.1 $e |- ( ph -> A e. CC ) $.
    mulcand.2 $e |- ( ph -> B e. CC ) $.
    mulcand.3 $e |- ( ph -> C e. CC ) $.
    mulcand.4 $e |- ( ph -> C =/= 0 ) $.
    $( Cancellation law for multiplication.  Theorem I.7 of [Apostol] p. 18.
       (Contributed by NM, 26-Jan-1995.)  (Revised by Mario Carneiro,
       27-May-2016.) $)
    mulcand $p |- ( ph -> ( ( C x. A ) = ( C x. B ) <-> A = B ) ) $=
      ( vx cmul co wceq c1 cc wcel wa oveq2 adantr oveq1d mulassd cv wi cc0 wne
      wrex recex syl2anc simprl mulcomd eqtrd mulid2d 3eqtr3d eqeq12d rexlimddv
      simprr syl5ib impbid1 ) ADBJKZDCJKZLZBCLZADIUAZJKZMLZUTVAUBINADNOZDUCUDVD
      INUEGHIDUFUGUTVBURJKZVBUSJKZLAVBNOZVDPZPZVAURUSVBJQVJVFBVGCVJVBDJKZBJKMBJ
      KVFBVJVKMBJVJVKVCMVJVBDAVHVDUHZAVEVIGRZUIAVHVDUOUJZSVJVBDBVLVMABNOVIERZTV
      JBVOUKULVJVKCJKMCJKVGCVJVKMCJVNSVJVBDCVLVMACNOVIFRZTVJCVPUKULUMUPUNBCDJQU
      Q $.

    $( Cancellation law for multiplication.  Theorem I.7 of [Apostol] p. 18.
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    mulcan2d $p |- ( ph -> ( ( A x. C ) = ( B x. C ) <-> A = B ) ) $=
      ( cmul co wceq mulcomd eqeq12d mulcand bitrd ) ABDIJZCDIJZKDBIJZDCIJZKBCK
      APRQSABDEGLACDFGLMABCDEFGHNO $.
  $}

  ${
    mulcanad.1 $e |- ( ph -> A e. CC ) $.
    mulcanad.2 $e |- ( ph -> B e. CC ) $.
    mulcanad.3 $e |- ( ph -> C e. CC ) $.
    mulcanad.4 $e |- ( ph -> C =/= 0 ) $.
    ${
      mulcanad.5 $e |- ( ph -> ( C x. A ) = ( C x. B ) ) $.
      $( Cancellation of a nonzero factor on the left in an equation.  One-way
         deduction form of ~ mulcand .  (Contributed by David Moews,
         28-Feb-2017.) $)
      mulcanad $p |- ( ph -> A = B ) $=
        ( cmul co wceq mulcand mpbid ) ADBJKDCJKLBCLIABCDEFGHMN $.
    $}

    ${
      mulcan2ad.5 $e |- ( ph -> ( A x. C ) = ( B x. C ) ) $.
      $( Cancellation of a nonzero factor on the right in an equation.  One-way
         deduction form of ~ mulcan2d .  (Contributed by David Moews,
         28-Feb-2017.) $)
      mulcan2ad $p |- ( ph -> A = B ) $=
        ( cmul co wceq mulcan2d mpbid ) ABDJKCDJKLBCLIABCDEFGHMN $.
    $}
  $}

  $( Cancellation law for multiplication (full theorem form).  Theorem I.7 of
     [Apostol] p. 18.  (Contributed by NM, 29-Jan-1995.)  (Revised by Mario
     Carneiro, 27-May-2016.) $)
  mulcan $p |- ( ( A e. CC /\ B e. CC /\ ( C e. CC /\ C =/= 0 ) ) ->
                 ( ( C x. A ) = ( C x. B ) <-> A = B ) ) $=
    ( cc wcel cc0 wne wa w3a simp1 simp2 simp3l simp3r mulcand ) ADEZBDEZCDEZCF
    GZHZIABCOPSJOPSKOPQRLOPQRMN $.

  $( Cancellation law for multiplication.  (Contributed by NM, 21-Jan-2005.)
     (Revised by Mario Carneiro, 27-May-2016.) $)
  mulcan2 $p |- ( ( A e. CC /\ B e. CC /\ ( C e. CC /\ C =/= 0 ) ) ->
                 ( ( A x. C ) = ( B x. C ) <-> A = B ) ) $=
    ( cc wcel cc0 wne wa w3a simp1 simp2 simp3l simp3r mulcan2d ) ADEZBDEZCDEZC
    FGZHZIABCOPSJOPSKOPQRLOPQRMN $.

  ${
    mulcan.1 $e |- A e. CC $.
    mulcan.2 $e |- B e. CC $.
    mulcan.3 $e |- C e. CC $.
    mulcan.4 $e |- C =/= 0 $.
    $( Cancellation law for multiplication.  Theorem I.7 of [Apostol] p. 18.
       (Contributed by NM, 26-Jan-1995.) $)
    mulcani $p |- ( ( C x. A ) = ( C x. B ) <-> A = B ) $=
      ( cc wcel cc0 wne wa cmul co wceq wb pm3.2i mulcan mp3an ) AHIBHICHIZCJKZ
      LCAMNCBMNOABOPDETUAFGQABCRS $.
  $}

  $( If a product is zero, one of its factors must be zero.  Theorem I.11 of
     [Apostol] p. 18.  (Contributed by NM, 9-Oct-1999.)  (Revised by Mario
     Carneiro, 27-May-2016.) $)
  mul0or $p |- ( ( A e. CC /\ B e. CC ) ->
                 ( ( A x. B ) = 0 <-> ( A = 0 \/ B = 0 ) ) ) $=
    ( cc wcel wa cmul co cc0 wceq wne simpr adantr mul02d eqeq2d simpl mulcan2d
    wo 0cnd eqeq1d syl5ibrcom bitr3d biimpd impancom necon1bd orrd oveq1 mul01d
    ex oveq2 jaod impbid ) ACDZBCDZEZABFGZHIZAHIZBHIZQZUNUPUSUNUPEZUQURUTUQBHUN
    BHJZUPUQUNVAEZUPUQVBUOHBFGZIUPUQVBVCHUOVBBUNUMVAULUMKZLZMNVBAHBUNULVAULUMOZ
    LVBRVEUNVAKPUAUBUCUDUEUHUNUQUPURUNUPUQVCHIUNBVDMUQUOVCHAHBFUFSTUNUPURAHFGZH
    IUNAVFUGURUOVGHBHAFUISTUJUK $.

  $( The product of two nonzero numbers is nonzero.  (Contributed by NM,
     1-Aug-2004.)  (Proof shortened by Andrew Salmon, 19-Nov-2011.) $)
  mulne0b $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A =/= 0 /\ B =/= 0 ) <->
               ( A x. B ) =/= 0 ) ) $=
    ( cc wcel wa cc0 wne wceq wo wn cmul co neanior mul0or necon3abid bitr4id )
    ACDBCDEZAFGBFGEAFHBFHIZJABKLZFGAFBFMQRSFABNOP $.

  $( The product of two nonzero numbers is nonzero.  (Contributed by NM,
     30-Dec-2007.) $)
  mulne0 $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) ) ->
               ( A x. B ) =/= 0 ) $=
    ( cc wcel cc0 wne cmul co wa mulne0b biimpa an4s ) ACDZBCDZAEFZBEFZABGHEFZM
    NIOPIQABJKL $.

  ${
    muln0.1 $e |- A e. CC $.
    muln0.2 $e |- B e. CC $.
    muln0.3 $e |- A =/= 0 $.
    muln0.4 $e |- B =/= 0 $.
    $( The product of two nonzero numbers is nonzero.  (Contributed by NM,
       15-Feb-1995.) $)
    mulne0i $p |- ( A x. B ) =/= 0 $=
      ( cc wcel cc0 wne cmul co mulne0 mp4an ) AGHAIJBGHBIJABKLIJCEDFABMN $.
  $}

  $( Property of numbers whose product equals their sum.  Equation 5 of
     [Kreyszig] p. 12.  (Contributed by NM, 13-Nov-2006.) $)
  muleqadd $p |- ( ( A e. CC /\ B e. CC ) ->
             ( ( A x. B ) = ( A + B ) <-> ( ( A - 1 ) x. ( B - 1 ) ) = 1 ) ) $=
    ( cc wcel wa c1 cmin co cmul wceq caddc ax-1cn mulsub mpanr2 mpanl2 mulid1i
    cc0 oveq2i a1i mulid1 oveqan12d oveq12d addsub mp3an2 syl2anc 3eqtrd eqeq1d
    mulcl addcl subcld 0cn addcan2 mp3an23 syl addid2i eqeq2i subeq0ad 3bitr2rd
    wb bitr3di ) ACDZBCDZEZAFGHBFGHIHZFJABIHZABKHZGHZFKHZFJZVGQJZVEVFJVCVDVHFVC
    VDVEFFIHZKHZAFIHZBFIHZKHZGHZVEFKHZVFGHZVHVAFCDZVBVDVPJZLVAVSEVBVSVTLAFBFMNO
    VCVLVQVOVFGVLVQJVCVKFVEKFLPRSVAVBVMAVNBKATBTUAUBVCVECDZVFCDZVRVHJZABUHZABUI
    ZWAVSWBWCLVEFVFUCUDUEUFUGVCVHQFKHZJZVJVIVCVGCDZWGVJUSZVCVEVFWDWEUJWHQCDVSWI
    UKLVGQFULUMUNWFFVHFLUOUPUTVCVEVFWDWEUQUR $.

  ${
    $d x y A $.  $d x y B $.
    $( Existential uniqueness of reciprocals.  Theorem I.8 of [Apostol] p. 18.
       (Contributed by NM, 29-Jan-1995.)  (Revised by Mario Carneiro,
       17-Feb-2014.) $)
    receu $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                  E! x e. CC ( B x. x ) = A ) $=
      ( vy cc wcel cc0 w3a cv cmul co wceq wrex wa wi wral 3adant1 oveq2 eqeq1d
      c1 wreu recex simprl simpll mulcld oveq1 ad2antll mulassd mulid2d 3eqtr3d
      simplr rspcev syl2anc rexlimdvaa 3adant3 eqtr3 mulcan syl5ib 3expa expcom
      wne mpd ralrimivv reu4 sylanbrc ) BEFZCEFZCGVAZHZCAIZJKZBLZAEMZVLCDIZJKZB
      LZNZVJVNLZOZDEPAEPVLAEUAVIVOTLZDEMZVMVGVHWAVFDCUBQVFVGWAVMOVHVFVGNZVTVMDE
      WBVNEFZVTNZNZVNBJKZEFCWFJKZBLZVMWEVNBWBWCVTUCZVFVGWDUDZUEWEVOBJKZTBJKZWGB
      VTWKWLLWBWCVOTBJUFUGWECVNBVFVGWDUKWIWJUHWEBWJUIUJVLWHAWFEVJWFLVKWGBVJWFCJ
      RSULUMUNUOVBVIVSADEEVGVHVJEFZWCNZVSOVFWNVGVHNZVSWMWCWOVSVQVKVOLWMWCWOHVRV
      KVOBUPVJVNCUQURUSUTQVCVLVPADEVRVKVOBVJVNCJRSVDVE $.
  $}

  ${
    $d x y $.
    $( Multiplication maps nonzero complex numbers to nonzero complex numbers.
       (Contributed by Steve Rodriguez, 23-Feb-2007.) $)
    mulnzcnopr $p |- ( x. |` ( ( CC \ { 0 } ) X. ( CC \ { 0 } ) ) ) :
                             ( ( CC \ { 0 } ) X. ( CC \ { 0 } ) ) -->
                             ( CC \ { 0 } ) $=
      ( vx vy cc cc0 csn cdif cxp cmul wf wfn cv co wcel wss wa ffnov mp2an wne
      wral eldifsn cres ax-mulf mpbi simpli difss xpss12 fnssres ovres ad2ant2r
      mulcl mulne0 jca syl2anb sylibr eqeltrd rgen2 mpbir2an ) CDEZFZUSGZUSHUTU
      AZIVAUTJZAKZBKZVALZUSMZBUSSAUSSHCCGZJZUTVGNZVBVHVCVDHLZCMZBCSACSZVGCHIVHV
      LOUBABCCCHPUCUDUSCNZVMVICURUEZVNUSCUSCUFQVGUTHUGQVFABUSUSVCUSMZVDUSMZOZVE
      VJUSVCVDUSUSHUHVQVKVJDRZOZVJUSMVOVCCMZVCDRZOZVDCMZVDDRZOZVSVPVCCDTVDCDTWB
      WEOVKVRVTWCVKWAWDVCVDUJUIVCVDUKULUMVJCDTUNUOUPABUSUSUSVAPUQ $.
  $}

  ${
    mul0or.1 $e |- A e. CC $.
    $( A number is zero iff its square is zero (where square is represented
       using multiplication).  (Contributed by NM, 28-Jul-1999.) $)
    msq0i $p |- ( ( A x. A ) = 0 <-> A = 0 ) $=
      ( cmul co cc0 wceq wo cc wcel wb mul0or mp2an oridm bitri ) AACDEFZAEFZPG
      ZPAHIZROQJBBAAKLPMN $.

    mul0or.2 $e |- B e. CC $.
    $( If a product is zero, one of its factors must be zero.  Theorem I.11 of
       [Apostol] p. 18.  (Contributed by NM, 7-Oct-1999.) $)
    mul0ori $p |- ( ( A x. B ) = 0 <-> ( A = 0 \/ B = 0 ) ) $=
      ( cc wcel cmul co cc0 wceq wo wb mul0or mp2an ) AEFBEFABGHIJAIJBIJKLCDABM
      N $.
  $}

  ${
    msq0d.1 $e |- ( ph -> A e. CC ) $.
    $( A number is zero iff its square is zero (where square is represented
       using multiplication).  (Contributed by Mario Carneiro, 27-May-2016.) $)
    msq0d $p |- ( ph -> ( ( A x. A ) = 0 <-> A = 0 ) ) $=
      ( cmul co cc0 wceq wo cc wcel wb mul0or syl2anc oridm bitrdi ) ABBDEFGZBF
      GZQHZQABIJZSPRKCCBBLMQNO $.

    mul0ord.2 $e |- ( ph -> B e. CC ) $.
    $( If a product is zero, one of its factors must be zero.  Theorem I.11 of
       [Apostol] p. 18.  (Contributed by Mario Carneiro, 27-May-2016.) $)
    mul0ord $p |- ( ph -> ( ( A x. B ) = 0 <-> ( A = 0 \/ B = 0 ) ) ) $=
      ( cc wcel cmul co cc0 wceq wo wb mul0or syl2anc ) ABFGCFGBCHIJKBJKCJKLMDE
      BCNO $.

    $( The product of two nonzero numbers is nonzero.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    mulne0bd $p |- ( ph -> ( ( A =/= 0 /\ B =/= 0 ) <-> ( A x. B ) =/= 0 ) ) $=
      ( cc wcel cc0 wne wa cmul co wb mulne0b syl2anc ) ABFGCFGBHICHIJBCKLHIMDE
      BCNO $.

    mulne0d.3 $e |- ( ph -> A =/= 0 ) $.
    mulne0d.4 $e |- ( ph -> B =/= 0 ) $.
    $( The product of two nonzero numbers is nonzero.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    mulne0d $p |- ( ph -> ( A x. B ) =/= 0 ) $=
      ( cc0 wne cmul co mulne0bd mpbi2and ) ABHICHIBCJKHIFGABCDELM $.
  $}

  $( A generalized form of the cancellation law for multiplication.
     (Contributed by Scott Fenton, 17-Jun-2013.) $)
  mulcan1g $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
    ( ( A x. B ) = ( A x. C ) <-> ( A = 0 \/ B = C ) ) ) $=
    ( cc wcel w3a cmul co cmin cc0 wceq wo mulcl 3adant3 3adant2 subeq0ad simp1
    subcl 3adant1 mul0ord subdi eqeq1d wb subeq0 orbi2d 3bitr3d bitr3d ) ADEZBD
    EZCDEZFZABGHZACGHZIHZJKZULUMKAJKZBCKZLZUKULUMUHUIULDEUJABMNUHUJUMDEUIACMOPU
    KABCIHZGHZJKUPUSJKZLUOURUKAUSUHUIUJQUIUJUSDEUHBCRSTUKUTUNJABCUAUBUKVAUQUPUI
    UJVAUQUCUHBCUDSUEUFUG $.

  $( A generalized form of the cancellation law for multiplication.
     (Contributed by Scott Fenton, 17-Jun-2013.) $)
  mulcan2g $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
    ( ( A x. C ) = ( B x. C ) <-> ( A = B \/ C = 0 ) ) ) $=
    ( cc wcel w3a cmul co wceq wo mulcom 3adant2 3adant1 eqeq12d mulcan1g 3coml
    cc0 wb orcom bitrdi bitrd ) ADEZBDEZCDEZFZACGHZBCGHZICAGHZCBGHZIZABIZCQIZJZ
    UEUFUHUGUIUBUDUFUHIUCACKLUCUDUGUIIUBBCKMNUEUJULUKJZUMUDUBUCUJUNRCABOPULUKST
    UA $.

  ${
    mulne0bad.1 $e |- ( ph -> A e. CC ) $.
    mulne0bad.2 $e |- ( ph -> B e. CC ) $.
    mulne0bad.3 $e |- ( ph -> ( A x. B ) =/= 0 ) $.
    $( A factor of a nonzero complex number is nonzero.  Partial converse of
       ~ mulne0d and consequence of ~ mulne0bd .  (Contributed by David Moews,
       28-Feb-2017.) $)
    mulne0bad $p |- ( ph -> A =/= 0 ) $=
      ( cc0 wne wa cmul co mulne0bd mpbird simpld ) ABGHZCGHZAOPIBCJKGHFABCDELM
      N $.

    $( A factor of a nonzero complex number is nonzero.  Partial converse of
       ~ mulne0d and consequence of ~ mulne0bd .  (Contributed by David Moews,
       28-Feb-2017.) $)
    mulne0bbd $p |- ( ph -> B =/= 0 ) $=
      ( cc0 wne wa cmul co mulne0bd mpbird simprd ) ABGHZCGHZAOPIBCJKGHFABCDELM
      N $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Division
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Extend class notation to include division. $)
  cdiv $a class / $.

  ${
    $d x y z $.
    $( Define division.  Theorem ~ divmuli relates it to multiplication, and
       ~ divcli and ~ redivcli prove its closure laws.  (Contributed by NM,
       2-Feb-1995.)  Use ~ divval instead.  (Revised by Mario Carneiro,
       1-Apr-2014.)  (New usage is discouraged.) $)
    df-div $a |- / = ( x e. CC , y e. ( CC \ { 0 } ) |->
                   ( iota_ z e. CC ( y x. z ) = x ) ) $.
  $}

  ${
    $d x y z $.
    $( You can't divide by zero, because division explicitly excludes zero from
       the domain of the function.  Thus, by the definition of function value,
       it evaluates to the empty set.  (This theorem is for information only
       and normally is not referenced by other proofs.  To be meaningful, it
       assumes that ` (/) ` is not a complex number, which depends on the
       particular complex number construction that is used.)  (Contributed by
       Mario Carneiro, 1-Apr-2014.)  (New usage is discouraged.) $)
    1div0 $p |- ( 1 / 0 ) = (/) $=
      ( vx vy vz cdiv cdm cc cc0 csn cdif wceq c1 wcel wa wn co c0 cv cmul crio
      cxp df-div riotaex dmmpo eqid eldifsni adantl necon2bi ax-mp ndmovg mp2an
      wne ) DEFFGHIZTJKFLZGULLZMZNZKGDOPJABFULBQCQROAQJZCFSDABCUAUQCFUBUCGGJUPG
      UDUOGGUNGGUKUMGFGUEUFUGUHKGFULDUIUJ $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y C $.
    $( Value of division: if ` A ` and ` B ` are complex numbers with ` B `
       nonzero, then ` ( A / B ) ` is the (unique) complex number such that
       ` ( B x. x ) = A ` .  (Contributed by NM, 8-May-1999.)  (Revised by
       Mario Carneiro, 17-Feb-2014.) $)
    divval $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                   ( A / B ) = ( iota_ x e. CC ( B x. x ) = A ) ) $=
      ( vz vy cc wcel cc0 wne cdiv co cmul wceq crio csn cdif eldifsn riotabidv
      cv wa eqeq2 oveq1 eqeq1d df-div riotaex ovmpo sylan2br 3impb ) BFGZCFGZCH
      IZBCJKCASZLKZBMZAFNZMZUJUKTUICFHOPZGUPCFHQDEBCFUQESZULLKZDSZMZAFNUOJUSBMZ
      AFNUTBMVAVBAFUTBUSUARURCMZVBUNAFVCUSUMBURCULLUBUCRDEAUDUNAFUEUFUGUH $.

    $( Relationship between division and multiplication.  (Contributed by NM,
       2-Aug-2004.)  (Revised by Mario Carneiro, 17-Feb-2014.) $)
    divmul $p |- ( ( A e. CC /\ B e. CC /\ ( C e. CC /\ C =/= 0 ) )
                 -> ( ( A / C ) = B <-> ( C x. B ) = A ) ) $=
      ( vx cc wcel cc0 wne wa w3a cdiv co wceq cv cmul crio divval 3expb eqeq1d
      3adant2 wreu wb simp2 receu oveq2 riota2 3imp3i2an bitr4d ) AEFZBEFZCEFZC
      GHZIZJZACKLZBMCDNZOLZAMZDEPZBMZCBOLZAMZUNUOUSBUIUMUOUSMZUJUIUKULVCDACQRTS
      UIUJUMUJURDEUAZVBUTUBUIUJUMUCUIUKULVDDACUDRURVBDEBUPBMUQVAAUPBCOUESUFUGUH
      $.
  $}

  $( Relationship between division and multiplication.  (Contributed by NM,
     7-Feb-2006.) $)
  divmul2 $p |- ( ( A e. CC /\ B e. CC /\ ( C e. CC /\ C =/= 0 ) )
              -> ( ( A / C ) = B <-> A = ( C x. B ) ) ) $=
    ( cc wcel cc0 wne wa w3a cdiv co wceq cmul divmul eqcom bitrdi ) ADEBDECDEC
    FGHIACJKBLCBMKZALAQLABCNQAOP $.

  $( Relationship between division and multiplication.  (Contributed by NM,
     13-Feb-2006.) $)
  divmul3 $p |- ( ( A e. CC /\ B e. CC /\ ( C e. CC /\ C =/= 0 ) )
              -> ( ( A / C ) = B <-> A = ( B x. C ) ) ) $=
    ( cc wcel cc0 wne wa w3a cdiv co wceq divmul2 mulcom adantrr 3adant1 eqeq2d
    cmul bitr4d ) ADEZBDEZCDEZCFGZHZIZACJKBLACBRKZLABCRKZLABCMUEUGUFAUAUDUGUFLZ
    TUAUBUHUCBCNOPQS $.

  ${
    $d x A $.  $d x B $.
    $( Closure law for division.  (Contributed by NM, 21-Jul-2001.)  (Proof
       shortened by Mario Carneiro, 17-Feb-2014.) $)
    divcl $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) -> ( A / B ) e. CC ) $=
      ( vx cc wcel cc0 wne w3a cdiv co cmul wceq crio divval wreu receu riotacl
      cv syl eqeltrd ) ADEBDEBFGHZABIJBCRKJALZCDMZDCABNUAUBCDOUCDECABPUBCDQST
      $.
  $}

  $( Closure law for reciprocal.  (Contributed by NM, 30-Apr-2005.) $)
  reccl $p |- ( ( A e. CC /\ A =/= 0 ) -> ( 1 / A ) e. CC ) $=
    ( c1 cc wcel cc0 wne cdiv co ax-1cn divcl mp3an1 ) BCDACDAEFBAGHCDIBAJK $.

  $( A cancellation law for division.  (Contributed by NM, 3-Feb-2004.)
     (Revised by Mario Carneiro, 27-May-2016.) $)
  divcan2 $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                 ( B x. ( A / B ) ) = A ) $=
    ( cc wcel cc0 wne w3a cdiv co wceq cmul eqid wa simp1 3simpc divmul syl3anc
    wb divcl mpbii ) ACDZBCDZBEFZGZABHIZUEJZBUEKIAJZUELUDUAUECDUBUCMUFUGRUAUBUC
    NABSUAUBUCOAUEBPQT $.

  $( A cancellation law for division.  (Contributed by NM, 5-Jun-2004.)
     (Revised by Mario Carneiro, 27-May-2016.) $)
  divcan1 $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 )
        -> ( ( A / B ) x. B ) = A ) $=
    ( cc wcel cc0 wne w3a cdiv co cmul divcl simp2 mulcomd divcan2 eqtrd ) ACDZ
    BCDZBEFZGZABHIZBJIBTJIASTBABKPQRLMABNO $.

  $( A ratio is zero iff the numerator is zero.  (Contributed by NM,
     20-Apr-2006.)  (Revised by Mario Carneiro, 27-May-2016.) $)
  diveq0 $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
               ( ( A / B ) = 0 <-> A = 0 ) ) $=
    ( cc wcel cc0 wne cdiv co wceq cmul wa wb simp1 0cnd 3simpc divmul2 syl3anc
    w3a simp2 mul01d eqeq2d bitrd ) ACDZBCDZBEFZRZABGHEIZABEJHZIZAEIUFUCECDUDUE
    KUGUILUCUDUEMUFNUCUDUEOAEBPQUFUHEAUFBUCUDUESTUAUB $.

  $( The ratio of nonzero numbers is nonzero.  (Contributed by NM, 2-Aug-2004.)
     (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  divne0b $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                  ( A =/= 0 <-> ( A / B ) =/= 0 ) ) $=
    ( cc wcel cc0 wne w3a cdiv co wceq diveq0 bicomd necon3bid ) ACDBCDBEFGZAEA
    BHIZENOEJAEJABKLM $.

  $( The ratio of nonzero numbers is nonzero.  (Contributed by NM,
     28-Dec-2007.) $)
  divne0 $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) ) ->
                  ( A / B ) =/= 0 ) $=
    ( cc wcel cc0 wne wa cdiv co wb divne0b 3expb biimpa an32s ) ACDZBCDZBEFZGZ
    AEFZABHIEFZORGSTOPQSTJABKLMN $.

  $( The reciprocal of a nonzero number is nonzero.  (Contributed by NM,
     9-Feb-2006.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  recne0 $p |- ( ( A e. CC /\ A =/= 0 ) -> ( 1 / A ) =/= 0 ) $=
    ( c1 cc wcel cc0 wne wa cdiv co ax-1cn ax-1ne0 divne0 mpanl12 ) BCDBEFACDAE
    FGBAHIEFJKBALM $.

  $( Multiplication of a number and its reciprocal.  (Contributed by NM,
     25-Oct-1999.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  recid $p |- ( ( A e. CC /\ A =/= 0 ) -> ( A x. ( 1 / A ) ) = 1 ) $=
    ( c1 cc wcel cc0 wne cdiv co cmul wceq ax-1cn divcan2 mp3an1 ) BCDACDAEFABA
    GHIHBJKBALM $.

  $( Multiplication of a number and its reciprocal.  (Contributed by NM,
     22-Jun-2006.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  recid2 $p |- ( ( A e. CC /\ A =/= 0 ) -> ( ( 1 / A ) x. A ) = 1 ) $=
    ( c1 cc wcel cc0 wne cdiv co cmul wceq ax-1cn divcan1 mp3an1 ) BCDACDAEFBAG
    HAIHBJKBALM $.

  $( Relationship between division and reciprocal.  Theorem I.9 of [Apostol]
     p. 18.  (Contributed by NM, 2-Aug-2004.)  (Revised by Mario Carneiro,
     27-May-2016.) $)
  divrec $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                ( A / B ) = ( A x. ( 1 / B ) ) ) $=
    ( cc wcel cc0 wne w3a cdiv co c1 cmul wceq simp2 simp1 reccl 3adant1 mul12d
    recid oveq2d mulid1d 3eqtrd wa wb mulcld 3simpc divmul syl3anc mpbird ) ACD
    ZBCDZBEFZGZABHIAJBHIZKIZLZBUNKIZALZULUPABUMKIZKIAJKIAULBAUMUIUJUKMUIUJUKNZU
    JUKUMCDUIBOPZQULURJAKUJUKURJLUIBRPSULAUSTUAULUIUNCDUJUKUBUOUQUCUSULAUMUSUTU
    DUIUJUKUEAUNBUFUGUH $.

  $( Relationship between division and reciprocal.  (Contributed by NM,
     7-Feb-2006.) $)
  divrec2 $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                ( A / B ) = ( ( 1 / B ) x. A ) ) $=
    ( cc wcel cc0 wne w3a cdiv co cmul divrec simp1 reccl 3adant1 mulcomd eqtrd
    c1 ) ACDZBCDZBEFZGZABHIAQBHIZJIUBAJIABKUAAUBRSTLSTUBCDRBMNOP $.

  $( An associative law for division.  (Contributed by NM, 2-Aug-2004.) $)
  divass $p |- ( ( A e. CC /\ B e. CC /\ ( C e. CC /\ C =/= 0 ) ) ->
                ( ( A x. B ) / C ) = ( A x. ( B / C ) ) ) $=
    ( cc wcel cc0 wne wa cmul co c1 cdiv wceq reccl mulass syl3an3 mulcl divrec
    w3a syl3anc 3adant3 simp3l simp3r simp2 oveq2d 3eqtr4d ) ADEZBDEZCDEZCFGZHZ
    SZABIJZKCLJZIJZABUNIJZIJZUMCLJZABCLJZIJUKUGUHUNDEUOUQMCNABUNOPULUMDEZUIUJUR
    UOMUGUHUTUKABQUAUGUHUIUJUBZUGUHUIUJUCZUMCRTULUSUPAIULUHUIUJUSUPMUGUHUKUDVAV
    BBCRTUEUF $.

  $( A commutative/associative law for division.  (Contributed by NM,
     2-Aug-2004.) $)
  div23 $p |- ( ( A e. CC /\ B e. CC /\ ( C e. CC /\ C =/= 0 ) )
            -> ( ( A x. B ) / C ) = ( ( A / C ) x. B ) ) $=
    ( cc wcel cc0 wne wa w3a cmul cdiv wceq mulcom oveq1d 3adant3 divass 3com12
    co simp2 divcl 3expb 3adant2 mulcomd 3eqtrd ) ADEZBDEZCDEZCFGZHZIZABJRZCKRZ
    BAJRZCKRZBACKRZJRZUOBJRUEUFULUNLUIUEUFHUKUMCKABMNOUFUEUIUNUPLBACPQUJBUOUEUF
    UISUEUIUODEZUFUEUGUHUQACTUAUBUCUD $.

  $( A commutative/associative law for division.  (Contributed by Mario
     Carneiro, 27-May-2016.) $)
  div32 $p |- ( ( A e. CC /\ ( B e. CC /\ B =/= 0 ) /\ C e. CC )
            -> ( ( A / B ) x. C ) = ( A x. ( C / B ) ) ) $=
    ( cc wcel cc0 wne wa cdiv co cmul wceq w3a div23 divass eqtr3d 3com23 ) ADE
    ZCDEZBDEBFGHZABIJCKJZACBIJKJZLRSTMACKJBIJUAUBACBNACBOPQ $.

  $( A commutative/associative law for division.  (Contributed by NM,
     22-Apr-2005.) $)
  div13 $p |- ( ( A e. CC /\ ( B e. CC /\ B =/= 0 ) /\ C e. CC )
            -> ( ( A / B ) x. C ) = ( ( C / B ) x. A ) ) $=
    ( cc wcel cc0 wne wa w3a cmul co cdiv wceq mulcom oveq1d div23 3com23 3coml
    3adant2 3eqtr3d ) ADEZBDEBFGHZCDEZIACJKZBLKZCAJKZBLKZABLKCJKZCBLKAJKZUAUCUE
    UGMUBUAUCHUDUFBLACNOSUAUCUBUEUHMACBPQUCUAUBUGUIMCABPRT $.

  $( A commutative/associative law for division.  (Contributed by NM,
     30-Apr-2005.) $)
  div12 $p |- ( ( A e. CC /\ B e. CC /\ ( C e. CC /\ C =/= 0 ) )
            -> ( A x. ( B / C ) ) = ( B x. ( A / C ) ) ) $=
    ( cc wcel cc0 wne wa w3a cdiv co cmul divcl 3expb mulcom sylan2 3impb div13
    wceq 3comr stoic3 3com23 3eqtrd ) ADEZBDEZCDEZCFGZHZIABCJKZLKZUIALKZACJKZBL
    KZBULLKZUDUEUHUJUKSZUEUHHUDUIDEZUOUEUFUGUPBCMNAUIOPQUEUHUDUKUMSBCARTUDUHUEU
    MUNSZUDUHULDEZUEUQUDUFUGURACMNULBOUAUBUC $.

  $( An associative law for division and multiplication.  (Contributed by AV,
     10-Jul-2021.) $)
  divmulass $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC )
                      /\ ( D e. CC /\ D =/= 0 ) )
              -> ( ( A x. ( B / D ) ) x. C ) = ( ( A x. B ) x. ( C / D ) ) ) $=
    ( cc wcel w3a cc0 wne wa cdiv cmul wceq simpl1 simpl2 divass syl3anc eqcomd
    co simpr oveq1d mulcl 3adant3 adantr simpl3 div32 eqtrd ) AEFZBEFZCEFZGZDEF
    DHIJZJZABDKSLSZCLSABLSZDKSZCLSZUOCDKSLSZUMUNUPCLUMUPUNUMUHUIULUPUNMUHUIUJUL
    NUHUIUJULOUKULTZABDPQRUAUMUOEFZULUJUQURMUKUTULUHUIUTUJABUBUCUDUSUHUIUJULUEU
    ODCUFQUG $.

  $( An associative/commutative law for division and multiplication.
     (Contributed by AV, 10-Jul-2021.) $)
  divmulasscom $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC )
                      /\ ( D e. CC /\ D =/= 0 ) )
              -> ( ( A x. ( B / D ) ) x. C ) = ( B x. ( ( A x. C ) / D ) ) ) $=
    ( cc wcel w3a cc0 wne cdiv cmul divmulass wceq mulcom 3adant3 adantr oveq1d
    wa co simpl2 simpl1 simp3 anim1i 3anass sylibr divcl mulassd divass syl3anc
    syl simpr eqcomd oveq2d eqtrd 3eqtrd ) AEFZBEFZCEFZGZDEFZDHIZRZRZABDJSKSCKS
    ABKSZCDJSZKSBAKSZVEKSZBACKSDJSZKSZABCDLVCVDVFVEKUSVDVFMZVBUPUQVJURABNOPQVCV
    GBAVEKSZKSVIVCBAVEUPUQURVBTUPUQURVBUAZVCURUTVAGZVEEFVCURVBRVMUSURVBUPUQURUB
    ZUCURUTVAUDUECDUFUJUGVCVKVHBKVCVHVKVCUPURVBVHVKMVLUSURVBVNPUSVBUKACDUHUIULU
    MUNUO $.

  $( Distribution of division over addition.  (Contributed by NM, 31-Jul-2004.)
     (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  divdir $p |- ( ( A e. CC /\ B e. CC /\ ( C e. CC /\ C =/= 0 ) )
               -> ( ( A + B ) / C ) = ( ( A / C ) + ( B / C ) ) ) $=
    ( cc wcel cc0 wne wa caddc co c1 cdiv cmul simp1 simp2 reccl divrec syl3anc
    w3a wceq 3ad2ant3 adddird addcld simp3l simp3r oveq12d 3eqtr4d ) ADEZBDEZCD
    EZCFGZHZSZABIJZKCLJZMJZAUOMJZBUOMJZIJUNCLJZACLJZBCLJZIJUMABUOUHUIULNZUHUIUL
    OZULUHUODEUICPUAUBUMUNDEUJUKUSUPTUMABVBVCUCUHUIUJUKUDZUHUIUJUKUEZUNCQRUMUTU
    QVAURIUMUHUJUKUTUQTVBVDVEACQRUMUIUJUKVAURTVCVDVEBCQRUFUG $.

  $( A cancellation law for division.  (Contributed by NM, 3-Feb-2004.)  (Proof
     shortened by Mario Carneiro, 27-May-2016.) $)
  divcan3 $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                 ( ( B x. A ) / B ) = A ) $=
    ( cc wcel cc0 wne w3a cmul co cdiv wceq wa simp2 simp1 mulcld 3simpc divmul
    eqid wb syl3anc mpbiri ) ACDZBCDZBEFZGZBAHIZBJIAKZUFUFKZUFRUEUFCDUBUCUDLUGU
    HSUEBAUBUCUDMUBUCUDNZOUIUBUCUDPUFABQTUA $.

  $( A cancellation law for division.  (Contributed by NM, 8-Feb-2005.) $)
  divcan4 $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                 ( ( A x. B ) / B ) = A ) $=
    ( cc wcel cc0 wne w3a cmul co cdiv wceq mulcom 3adant3 oveq1d divcan3 eqtrd
    ) ACDZBCDZBEFZGZABHIZBJIBAHIZBJIATUAUBBJQRUAUBKSABLMNABOP $.

  $( One-to-one relationship for division.  (Contributed by NM, 20-Apr-2006.)
     (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  div11 $p |- ( ( A e. CC /\ B e. CC /\ ( C e. CC /\ C =/= 0 ) ) ->
               ( ( A / C ) = ( B / C ) <-> A = B ) ) $=
    ( cc wcel cc0 wne wa w3a cdiv co cmul wceq simp1 simp3l divcl syl3anc simp2
    simp3r divcan2 mulcand eqeq12d bitr3d ) ADEZBDEZCDEZCFGZHZIZCACJKZLKZCBCJKZ
    LKZMUJULMABMUIUJULCUIUDUFUGUJDEUDUEUHNZUDUEUFUGOZUDUEUFUGSZACPQUIUEUFUGULDE
    UDUEUHRZUOUPBCPQUOUPUAUIUKAUMBUIUDUFUGUKAMUNUOUPACTQUIUEUFUGUMBMUQUOUPBCTQU
    BUC $.

  $( A number divided by itself is one.  (Contributed by NM, 1-Aug-2004.) $)
  divid $p |- ( ( A e. CC /\ A =/= 0 ) -> ( A / A ) = 1 ) $=
    ( cc wcel cc0 wne wa cdiv co c1 cmul wceq divrec 3anidm12 recid eqtrd ) ABC
    ZADEZFAAGHZAIAGHJHZIPQRSKAALMANO $.

  $( Division into zero is zero.  (Contributed by NM, 14-Mar-2005.) $)
  div0 $p |- ( ( A e. CC /\ A =/= 0 ) -> ( 0 / A ) = 0 ) $=
    ( cc wcel cc0 wne wa cdiv co wceq simpl mul01d wb 0cn divmul mp3an12 mpbird
    cmul ) ABCZADEZFZDAGHDIZADQHDIZTARSJKDBCZUCTUAUBLMMDDANOP $.

  $( A number divided by 1 is itself.  (Contributed by NM, 9-Jan-2002.)  (Proof
     shortened by Mario Carneiro, 27-May-2016.) $)
  div1 $p |- ( A e. CC -> ( A / 1 ) = A ) $=
    ( cc wcel c1 cdiv co wceq mulid2 wb cc0 wne wa ax-1cn ax-1ne0 pm3.2i divmul
    cmul mp3an3 anidms mpbird ) ABCZADEFAGZDAQFAGZAHUAUBUCIZUAUADBCZDJKZLUDUEUF
    MNOAADPRST $.

  $( 1 divided by 1 is 1.  (Contributed by David A. Wheeler, 7-Dec-2018.) $)
  1div1e1 $p |- ( 1 / 1 ) = 1 $=
    ( c1 cc wcel cdiv co wceq ax-1cn div1 ax-mp ) ABCAADEAFGAHI $.

  $( Equality in terms of unit ratio.  (Contributed by Stefan O'Rear,
     27-Aug-2015.) $)
  diveq1 $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
      ( ( A / B ) = 1 <-> A = B ) ) $=
    ( cc wcel cc0 wne w3a cdiv co c1 wceq cmul wb wa ax-1cn divmul2 3impb simp2
    mp3an2 mulid1d eqeq2d bitrd ) ACDZBCDZBEFZGZABHIJKZABJLIZKZABKUCUDUEUGUIMZU
    CJCDUDUENUJOAJBPSQUFUHBAUFBUCUDUERTUAUB $.

  $( Move negative sign inside of a division.  (Contributed by NM,
     17-Sep-2004.) $)
  divneg $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                -u ( A / B ) = ( -u A / B ) ) $=
    ( cc wcel cc0 wne w3a cneg c1 cdiv co cmul wceq wa reccl sylan2 3impb negcl
    mulneg1 divrec syl3an1 negeqd 3eqtr4rd ) ACDZBCDZBEFZGZAHZIBJKZLKZAUILKZHZU
    HBJKZABJKZHUDUEUFUJULMZUEUFNUDUICDUOBOAUISPQUDUHCDUEUFUMUJMARUHBTUAUGUNUKAB
    TUBUC $.

  $( Distribution of division over addition with a multiplication.
     (Contributed by AV, 1-Jul-2021.) $)
  muldivdir $p |- ( ( A e. CC /\ B e. CC /\ ( C e. CC /\ C =/= 0 ) )
               -> ( ( ( C x. A ) + B ) / C ) = ( A + ( B / C ) ) ) $=
    ( cc wcel cc0 wne wa w3a cmul co caddc cdiv wceq simp3l simp1 mulcld divdir
    syld3an1 3anass biimpri 3adant2 divcan3 syl oveq1d eqtrd ) ADEZBDEZCDEZCFGZ
    HZIZCAJKZBLKCMKZUMCMKZBCMKZLKZAUPLKUMDEUHUGUKUNUQNULCAUGUHUIUJOUGUHUKPQUMBC
    RSULUOAUPLULUGUIUJIZUOANUGUKURUHURUGUKHUGUIUJTUAUBACUCUDUEUF $.

  $( Distribution of division over subtraction.  (Contributed by NM,
     4-Mar-2005.) $)
  divsubdir $p |- ( ( A e. CC /\ B e. CC /\ ( C e. CC /\ C =/= 0 ) )
               -> ( ( A - B ) / C ) = ( ( A / C ) - ( B / C ) ) ) $=
    ( cc wcel cc0 wne wa w3a cdiv co cneg caddc cmin negcl eqtr3d 3expb 3adant1
    wceq divcl divdir syl3an2 negsub oveq1d 3adant3 divneg 3adant2 negsubd
    oveq2d ) ADEZBDEZCDEZCFGZHZIZACJKZBLZCJKZMKZABNKZCJKZUPBCJKZNKZUOAUQMKZCJKZ
    USVAUKUJUQDEUNVEUSSBOAUQCUAUBUJUKVEVASUNUJUKHVDUTCJABUCUDUEPUOUPVBLZMKUSVCU
    OVFURUPMUKUNVFURSZUJUKULUMVGBCUFQRUIUOUPVBUJUNUPDEZUKUJULUMVHACTQUGUKUNVBDE
    ZUJUKULUMVIBCTQRUHPP $.

  $( Bring a term in a subtraction into the numerator.  (Contributed by Scott
     Fenton, 3-Jul-2013.) $)
  subdivcomb1 $p |- ( ( A e. CC /\ B e. CC /\ ( C e. CC /\ C =/= 0 ) ) ->
     ( ( ( C x. A ) - B ) / C ) = ( A - ( B / C ) ) ) $=
    ( cc wcel cc0 wne wa cmul co cmin cdiv wceq simp3l simp1 divsubdir syld3an1
    w3a mulcld divcan3 3expb 3adant2 oveq1d eqtrd ) ADEZBDEZCDEZCFGZHZRZCAIJZBK
    JCLJZUKCLJZBCLJZKJZAUNKJUKDEUFUEUIULUOMUJCAUEUFUGUHNUEUFUIOSUKBCPQUJUMAUNKU
    EUIUMAMZUFUEUGUHUPACTUAUBUCUD $.

  $( Bring a term in a subtraction into the numerator.  (Contributed by Scott
     Fenton, 3-Jul-2013.) $)
  subdivcomb2 $p |- ( ( A e. CC /\ B e. CC /\ ( C e. CC /\ C =/= 0 ) ) ->
     ( ( A - ( C x. B ) ) / C ) = ( ( A / C ) - B ) ) $=
    ( cc wcel cc0 wne wa w3a cmul co cmin cdiv simp3l simp2 mulcld divsubdir c1
    wceq eqtrd syld3an2 simprl simpl simpr div23 syl3anc divid oveq1d sylan9eqr
    mulid2 3adant1 oveq2d ) ADEZBDEZCDEZCFGZHZIZACBJKZLKCMKZACMKZUSCMKZLKZVABLK
    UMUSDEUNUQUTVCSURCBUMUNUOUPNUMUNUQOPAUSCQUAURVBBVALUNUQVBBSUMUNUQHZVBCCMKZB
    JKZBVDUOUNUQVBVFSUNUOUPUBUNUQUCUNUQUDCBCUEUFUQUNVFRBJKBUQVERBJCUGUHBUJUITUK
    ULT $.

  $( A number is equal to the reciprocal of its reciprocal.  Theorem I.10 of
     [Apostol] p. 18.  (Contributed by NM, 26-Sep-1999.)  (Proof shortened by
     Mario Carneiro, 27-May-2016.) $)
  recrec $p |- ( ( A e. CC /\ A =/= 0 ) -> ( 1 / ( 1 / A ) ) = A ) $=
    ( cc wcel cc0 wne wa c1 cdiv co wceq cmul recid2 wb 1cnd simpl reccl recne0
    divmul syl112anc mpbird ) ABCZADEZFZGGAHIZHIAJZUDAKIGJZALUCGBCUAUDBCUDDEUEU
    FMUCNUAUBOAPAQGAUDRST $.

  $( Reciprocal is one-to-one.  (Contributed by NM, 16-Sep-1999.)  (Revised by
     Mario Carneiro, 27-May-2016.) $)
  rec11 $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) )
                  -> ( ( 1 / A ) = ( 1 / B ) <-> A = B ) ) $=
    ( cc wcel cc0 wne wa c1 cdiv co wceq cmul wb 1cnd reccl adantl simpl divmul
    syl3anc simpll simprl simprr divrec eqeq1d diveq1 3bitr2d ) ACDZAEFZGZBCDZB
    EFZGZGZHAIJHBIJZKZAUNLJZHKZABIJZHKZABKZUMHCDUNCDZUIUOUQMUMNULVAUIBOPUIULQHU
    NARSUMURUPHUMUGUJUKURUPKUGUHULTZUIUJUKUAZUIUJUKUBZABUCSUDUMUGUJUKUSUTMVBVCV
    DABUESUF $.

  $( Mutual reciprocals.  (Contributed by Paul Chapman, 18-Oct-2007.) $)
  rec11r $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) )
                  -> ( ( 1 / A ) = B <-> ( 1 / B ) = A ) ) $=
    ( cc wcel cc0 wne wa c1 cdiv co wceq cmul 1cnd simprl simpll simplr divmul2
    wb syl112anc simprr divmul3 bitr4d ) ACDZAEFZGZBCDZBEFZGZGZHAIJBKZHABLJKZHB
    IJAKZUIHCDZUFUCUDUJUKRUIMZUEUFUGNZUCUDUHOZUCUDUHPHBAQSUIUMUCUFUGULUKRUNUPUO
    UEUFUGTHABUASUB $.

  $( Multiplication of two ratios.  Theorem I.14 of [Apostol] p. 18.
     (Contributed by NM, 1-Aug-2004.) $)
  divmuldiv $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( ( C e. CC /\ C =/= 0 )
                    /\ ( D e. CC /\ D =/= 0 ) ) )
               -> ( ( A / C ) x. ( B / D ) ) = ( ( A x. B ) / ( C x. D ) ) ) $=
    ( cc wcel cc0 wne wa cdiv co cmul wceq 3anass divcl mulcl 3adantr1 3adantl1
    w3a syl2an ad2ant2r mulne0 divcan3 syl3anc simp2 jca mul4 divcan2 oveqan12d
    eqtr3d oveq1d syl2anbr an4s ) AEFZCEFZCGHZIZBEFZDEFZDGHZIZACJKZBDJKZLKZABLK
    ZCDLKZJKZMZUNUQIUNUOUPSZURUSUTSZVHURVAIUNUOUPNURUSUTNVIVJIZVFVDLKZVFJKZVDVG
    VKVDEFZVFEFZVFGHZVMVDMVIVBEFZVCEFZVNVJACOZBDOZVBVCPTUOUPVJVOUNUQUSUTVOURUOU
    SVOUPUTCDPUAQRUOUPVJVPUNUQUSUTVPURCDUBQRVDVFUCUDVKVLVEVFJVKCVBLKZDVCLKZLKZV
    LVEVIUOVQIUSVRIWCVLMVJVIUOVQUNUOUPUEVSUFVJUSVRURUSUTUEVTUFCVBDVCUGTVIVJWAAW
    BBLACUHBDUHUIUJUKUJULUM $.

  $( Division of two ratios.  Theorem I.15 of [Apostol] p. 18.  (Contributed by
     NM, 2-Aug-2004.) $)
  divdivdiv $p |- ( ( ( A e. CC /\ ( B e. CC /\ B =/= 0 ) ) /\
                  ( ( C e. CC /\ C =/= 0 ) /\ ( D e. CC /\ D =/= 0 ) ) )
                -> ( ( A / B ) / ( C / D ) ) = ( ( A x. D ) / ( B x. C ) ) ) $=
    ( cc wcel cc0 wa cdiv co cmul wceq divcl syl3anc mulcomd divmuldiv eqtrd c1
    wne mulcld simprrl simprll simprlr simplrl simplrr syl22anc simprrr mulne0d
    simpll simplr simprl oveq2d simprr divid syl2anc mulassd mulid2d 3eqtr3d wb
    oveq1d eqtr3d mulne0 ad2ant2lr divne0 adantl divmul syl112anc mpbird ) AEFZ
    BEFZBGSZHZHZCEFZCGSZHZDEFZDGSZHZHZHZABIJZCDIJZIJADKJZBCKJZIJZLZWCWFKJZWBLZW
    AWCDCIJZWBKJZKJZWHWBWAWKWFWCKWAWKWBWJKJZWFWAWJWBWAVQVNVOWJEFVMVPVQVRUAZVMVN
    VOVSUBZVMVNVOVSUCZDCMNZWAVIVJVKWBEFZVIVLVTUIZVIVJVKVTUDZVIVJVKVTUEABMNZOWAV
    IVQVLVPWMWFLWSWNVIVLVTUJVMVPVSUKZADBCPUFQULWAWCWJKJZWBKJRWBKJWLWBWAXCRWBKWA
    XCCDKJZDCKJZIJZRWAVNVQVSVPXCXFLWOWNVMVPVSUMXBCDDCPUFWAXFXEXEIJZRWAXDXEXEIWA
    CDWOWNOUTWAXEEFXEGSXGRLWADCWNWOTWADCWNWOVMVPVQVRUGZWPUHXEUNUOQQUTWAWCWJWBWA
    VNVQVRWCEFZWOWNXHCDMNZWQXAUPWAWBXAUQURVAWAWRWFEFZXIWCGSZWGWIUSXAWAWDEFWEEFW
    EGSZXKWAADWSWNTWABCWTWOTVLVPXMVIVSBCVBVCWDWEMNXJVTXLVMCDVDVEWBWFWCVFVGVH $.

  $( Cancellation of common factor in a ratio.  (Contributed by NM,
     9-Jan-2006.) $)
  divcan5 $p |- ( ( A e. CC /\ ( B e. CC /\ B =/= 0 ) /\
       ( C e. CC /\ C =/= 0 ) ) -> ( ( C x. A ) / ( C x. B ) ) = ( A / B ) ) $=
    ( cc wcel cc0 wne wa w3a cdiv co cmul c1 divid oveq1d 3ad2ant3 simp3l simp1
    wceq simp3 simp2 divmuldiv syl22anc divcl 3expb mulid2d 3adant3 3eqtr3d ) A
    DEZBDEZBFGZHZCDEZCFGZHZIZCCJKZABJKZLKZMURLKZCALKCBLKJKZURUOUIUSUTSULUOUQMUR
    LCNOPUPUMUIUOULUSVASUIULUMUNQUIULUORUIULUOTUIULUOUACACBUBUCUIULUTURSUOUIULH
    URUIUJUKURDEABUDUEUFUGUH $.

  $( Swap the denominators in the product of two ratios.  (Contributed by NM,
     3-May-2005.) $)
  divmul13 $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( ( C e. CC /\ C =/= 0 )
                    /\ ( D e. CC /\ D =/= 0 ) ) )
                -> ( ( A / C ) x. ( B / D ) ) = ( ( B / C ) x. ( A / D ) ) ) $=
    ( cc wcel wa cc0 wne cmul co cdiv wceq mulcom adantr oveq1d ancom1s 3eqtr4d
    divmuldiv ) AEFZBEFZGZCEFCHIGDEFDHIGGZGZABJKZCDJKZLKBAJKZUFLKZACLKBDLKJKBCL
    KADLKJKZUDUEUGUFLUBUEUGMUCABNOPABCDSUATUCUIUHMBACDSQR $.

  $( Swap the numerators in the product of two ratios.  (Contributed by NM,
     3-May-2005.) $)
  divmul24 $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( ( C e. CC /\ C =/= 0 )
                    /\ ( D e. CC /\ D =/= 0 ) ) )
                -> ( ( A / C ) x. ( B / D ) ) = ( ( A / D ) x. ( B / C ) ) ) $=
    ( cc wcel wa cc0 wne cmul cdiv wceq mulcom ad2ant2r adantl oveq2d divmuldiv
    co ancom2s 3eqtr4d ) AEFBEFGZCEFZCHIZGZDEFZDHIZGZGZGZABJRZCDJRZKRUJDCJRZKRZ
    ACKRBDKRJRADKRBCKRJRZUIUKULUJKUHUKULLZUAUBUEUOUCUFCDMNOPABCDQUAUGUDUNUMLABD
    CQST $.

  $( Cross-multiply in an equality of ratios.  (Contributed by Mario Carneiro,
     23-Feb-2014.) $)
  divmuleq $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( ( C e. CC /\ C =/= 0 ) /\
                     ( D e. CC /\ D =/= 0 ) ) ) ->
                   ( ( A / C ) = ( B / D ) <-> ( A x. D ) = ( B x. C ) ) ) $=
    ( cc wcel wa cc0 wne cdiv co cmul wceq divcl 3expb ad2ant2r mulassd divcan1
    ad2ant2l oveq1d wb mulne0 jca adantl mulcan2 syl3anc simprll simprrl eqtr3d
    mulcl mulcomd oveq2d 3eqtr2d eqeq12d bitr3d ) AEFZBEFZGZCEFZCHIZGZDEFZDHIZG
    ZGZGZACJKZCDLKZLKZBDJKZVHLKZMZVGVJMZADLKZBCLKZMVFVGEFZVJEFZVHEFZVHHIZGZVLVM
    UAUPVAVPUQVDUPUSUTVPACNOPZUQVDVQUPVAUQVBVCVQBDNOSZVEVTURVEVRVSUSVBVRUTVCCDU
    JPCDUBUCUDVGVJVHUEUFVFVIVNVKVOVFVGCLKZDLKVIVNVFVGCDWAURUSUTVDUGZURVAVBVCUHZ
    QVFWCADLUPVAWCAMZUQVDUPUSUTWFACROPTUIVFVKVJDCLKZLKVJDLKZCLKVOVFVHWGVJLVFCDW
    DWEUKULVFVJDCWBWEWDQVFWHBCLUQVDWHBMZUPVAUQVBVCWIBDROSTUMUNUO $.

  $( The reciprocal of a ratio.  (Contributed by NM, 3-Aug-2004.) $)
  recdiv $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) ) ->
                ( 1 / ( A / B ) ) = ( B / A ) ) $=
    ( cc wcel cc0 wne wa c1 cdiv cmul 1div1e1 oveq1i wceq ax-1cn ax-1ne0 pm3.2i
    co divdivdiv mpanl12 mulid2 eqtr3id oveqan12rd ad2ant2r eqtrd ) ACDZAEFZGBC
    DZBEFZGGZHABIQZIQZHBJQZHAJQZIQZBAIQZUIUKHHIQZUJIQZUNUPHUJIKLHCDZURHEFZGUIUQ
    UNMNURUSNOPHHABRSUAUEUGUNUOMUFUHUGUEULBUMAIBTATUBUCUD $.

  $( Cancellation of inverted fractions.  (Contributed by NM, 28-Dec-2007.) $)
  divcan6 $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) ) ->
         ( ( A / B ) x. ( B / A ) ) = 1 ) $=
    ( cc wcel cc0 wne wa cdiv co c1 cmul recdiv oveq2d wceq divcl 3expb adantlr
    divne0 recid syl2anc eqtr3d ) ACDZAEFZGBCDZBEFZGZGZABHIZJUHHIZKIZUHBAHIZKIJ
    UGUIUKUHKABLMUGUHCDZUHEFUJJNUBUFULUCUBUDUEULABOPQABRUHSTUA $.

  $( Swap denominators in a division.  (Contributed by NM, 2-Aug-2004.) $)
  divdiv32 $p |- ( ( A e. CC /\ ( B e. CC /\ B =/= 0 )
      /\ ( C e. CC /\ C =/= 0 ) ) -> ( ( A / B ) / C ) = ( ( A / C ) / B ) ) $=
    ( cc wcel cc0 wne wa w3a c1 cdiv cmul wceq reccl div23 syl3an2 divrec 3expb
    co 3adant3 oveq1d divcl syl3an1 3impa 3com23 3eqtr4d ) ADEZBDEZBFGZHZCDEZCF
    GZHZIZAJBKSZLSZCKSZACKSZUOLSZABKSZCKSURBKSZUJUGUODEUMUQUSMBNAUOCOPUNUTUPCKU
    GUJUTUPMZUMUGUHUIVBABQRTUAUGUMUJVAUSMZUGUMUJVCUGUMHZUHUIVCVDURDEZUHUIVCUGUK
    ULVEACUBRURBQUCRUDUEUF $.

  $( Cancel equal divisors in a division.  (Contributed by Jeff Hankins,
     29-Sep-2013.) $)
  divcan7 $p |- ( ( A e. CC /\ ( B e. CC /\ B =/= 0 ) /\
    ( C e. CC /\ C =/= 0 ) ) -> ( ( A / C ) / ( B / C ) ) = ( A / B ) ) $=
    ( cc wcel cc0 wne wa w3a cdiv co cmul wceq divdivdiv 3impdir mulcom adantrr
    3adant2 oveq1d divcan5 3eqtrd ) ADEZBDEBFGHZCDEZCFGZHZIZACJKBCJKJKZACLKZCBL
    KZJKZCALKZUJJKABJKUBUFUCUHUKMACBCNOUGUIULUJJUBUFUIULMZUCUBUDUMUEACPQRSABCTU
    A $.

  $( Cancellation law for division and multiplication.  (Contributed by Scott
     Fenton, 7-Jun-2013.)  (Proof shortened by Fan Zheng, 3-Jul-2016.) $)
  dmdcan $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) /\
         C e. CC ) ->
         ( ( A / B ) x. ( C / A ) ) = ( C / B ) ) $=
    ( cc wcel cc0 wne wa w3a cdiv co cmul wceq simp1l simp3 simp1r divcl simp2l
    syl3anc simp2r div23 syl112anc divcan2 oveq1d eqtr3d ) ADEZAFGZHZBDEZBFGZHZ
    CDEZIZACAJKZLKZBJKZABJKUNLKZCBJKUMUFUNDEZUIUJUPUQMUFUGUKULNZUMULUFUGURUHUKU
    LOZUSUFUGUKULPZCAQSUHUIUJULRUHUIUJULTAUNBUAUBUMUOCBJUMULUFUGUOCMUTUSVACAUCS
    UDUE $.

  $( Division into a fraction.  (Contributed by NM, 31-Dec-2007.) $)
  divdiv1 $p |- ( ( A e. CC /\ ( B e. CC /\ B =/= 0 ) /\
       ( C e. CC /\ C =/= 0 ) ) -> ( ( A / B ) / C ) = ( A / ( B x. C ) ) ) $=
    ( cc wcel cc0 wne wa cdiv co c1 cmul ax-1cn ax-1ne0 pm3.2i divdivdiv mpanr2
    w3a wceq 3impa div1 oveq2d ad2antrl 3adant1 mulid1 oveq1d 3ad2ant1 3eqtr3d
    ) ADEZBDEBFGHZCDEZCFGZHZRABIJZCKIJZIJZAKLJZBCLJZIJZUNCIJZAURIJZUIUJUMUPUSSZ
    UIUJHUMKDEZKFGZHVBVCVDMNOABCKPQTUJUMUPUTSZUIUKVEUJULUKUOCUNICUAUBUCUDUIUJUS
    VASUMUIUQAURIAUEUFUGUH $.

  $( Division by a fraction.  (Contributed by NM, 27-Dec-2008.) $)
  divdiv2 $p |- ( ( A e. CC /\ ( B e. CC /\ B =/= 0 ) /\ ( C e. CC /\ C =/= 0 )
              ) -> ( A / ( B / C ) ) = ( ( A x. C ) / B ) ) $=
    ( cc wcel cc0 wne wa c1 cdiv co cmul ax-1cn ax-1ne0 pm3.2i divdivdiv mpanl2
    w3a wceq 3impb div1 3ad2ant1 oveq1d mulid2 ad2antrl 3adant3 oveq2d 3eqtr3d
    ) ADEZBDEZBFGZHZCDECFGHZRZAIJKZBCJKZJKZACLKZIBLKZJKZAUPJKURBJKUIULUMUQUTSZU
    IIDEZIFGZHULUMHVAVBVCMNOAIBCPQTUNUOAUPJUIULUOASUMAUAUBUCUNUSBURJUIULUSBSZUM
    UJVDUIUKBUDUEUFUGUH $.

  $( Division into a reciprocal.  (Contributed by NM, 19-Oct-2007.) $)
  recdiv2 $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) ) ->
                ( ( 1 / A ) / B ) = ( 1 / ( A x. B ) ) ) $=
    ( c1 cc wcel cc0 wne wa cdiv co cmul wceq ax-1cn divdiv1 mp3an1 ) CDEADEAFG
    HBDEBFGHCAIJBIJCABKJIJLMCABNO $.

  $( Cancellation in a double division.  (Contributed by Mario Carneiro,
     26-Apr-2015.) $)
  ddcan $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) ) ->
                ( A / ( A / B ) ) = B ) $=
    ( cc wcel cc0 wne wa cdiv co wceq cmul simpll simprl simprr divcan1 syl3anc
    wb divcl divne0 divmul syl112anc mpbird ) ACDZAEFZGZBCDZBEFZGZGZAABHIZHIBJZ
    UJBKIAJZUIUCUFUGULUCUDUHLZUEUFUGMZUEUFUGNZABOPUIUCUFUJCDZUJEFUKULQUMUNUIUCU
    FUGUPUMUNUOABRPABSABUJTUAUB $.

  $( Addition of two ratios.  Theorem I.13 of [Apostol] p. 18.  (Contributed by
     NM, 1-Aug-2004.)  (Revised by Mario Carneiro, 2-May-2016.) $)
  divadddiv $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( ( C e. CC /\ C =/= 0 )
                    /\ ( D e. CC /\ D =/= 0 ) ) ) ->
  ( ( A / C ) + ( B / D ) ) = ( ( ( A x. D ) + ( B x. C ) ) / ( C x. D ) ) ) $=
    ( cc wcel wa cc0 wne cmul co caddc cdiv wceq mulcl ad2ant2r syl3anc mulcomd
    oveq12d divcan5 adantrl ad2ant2lr mulne0 adantl divdir simpll simprr simpld
    adantrr jca simprll simprl eqtrd simplr oveq1d eqtr2d ) AEFZBEFZGZCEFZCHIZG
    ZDEFZDHIZGZGZGZADJKZBCJKZLKCDJKZMKZVHVJMKZVIVJMKZLKZACMKZBDMKZLKVGVHEFZVIEF
    ZVJEFZVJHIZGZVKVNNUSVEVQVBUQVCVQURVDADOPUAURVBVRUQVEURUTVRVABCOUIUBVFWAUSVF
    VSVTUTVCVSVAVDCDOPCDUCUJUDVHVIVJUEQVGVLVOVMVPLVGVLDAJKZDCJKZMKZVOVGVHWBVJWC
    MVGADUQURVFUFZVGVCVDUSVBVEUGZUHZRVGCDUSUTVAVEUKZWGRSVGUQVBVEWDVONWEUSVBVEUL
    ZWFACDTQUMVGVMCBJKZVJMKZVPVGVIWJVJMVGBCUQURVFUNZWHRUOVGURVEVBWKVPNWLWFWIBDC
    TQUMSUP $.

  $( Subtraction of two ratios.  (Contributed by Scott Fenton, 22-Apr-2014.)
     (Revised by Mario Carneiro, 2-May-2016.) $)
  divsubdiv $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( ( C e. CC /\ C =/= 0 )
                    /\ ( D e. CC /\ D =/= 0 ) ) ) ->
  ( ( A / C ) - ( B / D ) ) = ( ( ( A x. D ) - ( B x. C ) ) / ( C x. D ) ) ) $=
    ( cc wcel wa cc0 wne cmul co cneg caddc cdiv cmin wceq syl3anc oveq2d divcl
    eqtr3d negcl divadddiv sylanl2 simplr simprrl simprrr divneg simpll simprll
    simprlr negsubd mulneg1d mulcld eqtrd oveq1d ) AEFZBEFZGZCEFZCHIZGZDEFZDHIZ
    GZGZGZADJKZBLZCJKZMKZCDJKZNKZACNKZBDNKZOKZVGBCJKZOKZVKNKVFVMVHDNKZMKZVLVOUQ
    UPVHEFVEVSVLPBUAAVHCDUBUCVFVMVNLZMKVSVOVFVTVRVMMVFUQVBVCVTVRPUPUQVEUDZURVAV
    BVCUEZURVAVBVCUFZBDUGQRVFVMVNVFUPUSUTVMEFUPUQVEUHZURUSUTVDUIZURUSUTVDUJACSQ
    VFUQVBVCVNEFWAWBWCBDSQUKTTVFVJVQVKNVFVJVGVPLZMKVQVFVIWFVGMVFBCWAWEULRVFVGVP
    VFADWDWBUMVFBCWAWEUMUKUNUOT $.

  $( Two numbers whose reciprocals sum to 1 are called "conjugates" and satisfy
     this relationship.  Equation 5 of [Kreyszig] p. 12.  (Contributed by NM,
     12-Nov-2006.) $)
  conjmul $p |- ( ( ( P e. CC /\ P =/= 0 ) /\ ( Q e. CC /\ Q =/= 0 ) ) ->
      ( ( ( 1 / P ) + ( 1 / Q ) ) = 1 <-> ( ( P - 1 ) x. ( Q - 1 ) ) = 1 ) ) $=
    ( cc wcel cc0 wne wa cmul co cdiv caddc wceq cmin reccl adantr recid 3eqtrd
    c1 adantl ad2ant2r simpll simprl mul32d oveq1d mulid2 mulassd oveq2d mulid1
    ad2antrl ad2antrr oveq12d mulcl adddid addcom 3eqtr4d mulid1d eqeq12d addcl
    syl2an mulne0 ax-1cn mulcan mp3an2 syl12anc eqcom muleqadd syl5bb 3bitr3d
    wb ) ACDZAEFZGZBCDZBEFZGZGZABHIZRAJIZRBJIZKIZHIZVQRHIZLZABKIZVQLZVTRLZARMIB
    RMIHIRLZVPWAWDWBVQVPVQVRHIZVQVSHIZKIBAKIZWAWDVPWHBWIAKVPWHAVRHIZBHIZRBHIZBV
    PABVRVJVKVOUAZVLVMVNUBZVLVRCDZVOANZOZUCVLWLWMLVOVLWKRBHAPUDOVMWMBLVLVNBUEUI
    QVPWIABVSHIZHIZARHIZAVPABVSWNWOVOVSCDZVLBNZSZUFVOWTXALVLVOWSRAHBPUGSVJXAALV
    KVOAUHUJQUKVPVQVRVSVJVMVQCDZVKVNABULZTZWRXDUMVJVMWDWJLVKVNABUNTUOVJVMWBVQLV
    KVNVJVMGZVQXFUPTUQVPVTCDZXEVQEFZWCWFVIZVLWPXBXIVOWQXCVRVSURUSXGABUTXIRCDXEX
    JGXKVAVTRVQVBVCVDVJVMWEWGVIVKVNWEVQWDLXHWGWDVQVEABVFVGTVH $.

  ${
    $d x A $.
    $( Closure law for reciprocal.  (Contributed by NM, 30-Apr-2005.)  (Revised
       by Mario Carneiro, 27-May-2016.) $)
    rereccl $p |- ( ( A e. RR /\ A =/= 0 ) -> ( 1 / A ) e. RR ) $=
      ( vx cr wcel cc0 wne wa cv c1 cdiv co wceq wrex cmul ax-rrecex eqcom 1cnd
      cc wb recnd simpll simplr divmul syl112anc syl5bb rexbidva mpbird risset
      simpr sylibr ) ACDZAEFZGZBHZIAJKZLZBCMZUOCDUMUQAUNNKILZBCMBAOUMUPURBCUPUO
      UNLZUMUNCDZGZURUNUOPVAIRDUNRDARDULUSURSVAQVAUNUMUTUITVAAUKULUTUATUKULUTUB
      IUNAUCUDUEUFUGBUOCUHUJ $.
  $}

  $( Closure law for division of reals.  (Contributed by NM, 27-Sep-1999.)
     (Revised by Mario Carneiro, 27-May-2016.) $)
  redivcl $p |- ( ( A e. RR /\ B e. RR /\ B =/= 0 ) -> ( A / B ) e. RR ) $=
    ( cr wcel cc0 wne w3a cdiv co c1 cmul wceq simp1 recnd simp2 divrec syl3anc
    cc simp3 rereccl 3adant1 remulcld eqeltrd ) ACDZBCDZBEFZGZABHIZAJBHIZKIZCUG
    ARDBRDUFUHUJLUGAUDUEUFMZNUGBUDUEUFONUDUEUFSABPQUGAUIUKUEUFUICDUDBTUAUBUC $.

  $( A number equal to its negative is zero.  (Contributed by NM, 12-Jul-2005.)
     (Revised by Mario Carneiro, 27-May-2016.) $)
  eqneg $p |- ( A e. CC -> ( A = -u A <-> A = 0 ) ) $=
    ( cc wcel c1 caddc cmul cc0 wceq cneg 1p1times ax-1cn addcli mul01i eqtr4id
    co negid eqeq12d a1i 1re 0lt1 0cnd readdcli addgt0ii gt0ne0ii mulcand negcl
    id wne addcand 3bitr3rd ) ABCZDDEOZAFOZULGFOZHAAEOZAAIZEOZHAGHAUPHUKUMUOUNU
    QAJUKUNGUQULDDKKLZMAPNQUKAGULUKUGZUKUAULBCUKURRULGUHUKULDDSSUBDDSSTTUCUDRUE
    UKAAUPUSUSAUFUIUJ $.

  ${
    eqnegd.1 $e |- ( ph -> A e. CC ) $.
    $( A complex number equals its negative iff it is zero.  Deduction form of
       ~ eqneg .  (Contributed by David Moews, 28-Feb-2017.) $)
    eqnegd $p |- ( ph -> ( A = -u A <-> A = 0 ) ) $=
      ( cc wcel cneg wceq cc0 wb eqneg syl ) ABDEBBFGBHGICBJK $.
  $}

  ${
    eqnegad.1 $e |- ( ph -> A e. CC ) $.
    eqnegad.2 $e |- ( ph -> A = -u A ) $.
    $( If a complex number equals its own negative, it is zero.  One-way
       deduction form of ~ eqneg .  (Contributed by David Moews,
       28-Feb-2017.) $)
    eqnegad $p |- ( ph -> A = 0 ) $=
      ( cneg wceq cc0 eqnegd mpbid ) ABBEFBGFDABCHI $.
  $}

  $( Quotient of two negatives.  (Contributed by Paul Chapman, 10-Nov-2012.) $)
  div2neg $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                  ( -u A / -u B ) = ( A / B ) ) $=
    ( cc wcel cc0 wne w3a cneg cdiv co wceq cmul negcl 3ad2ant2 simp1 syl112anc
    c1 3adant1 eqtrd 3ad2ant1 simp2 divneg syld3an1 negeqd eqtr3d oveq2d ax-1cn
    simp3 div12 divid negcli mulcom mpan2 negeq0 necon3bid biimpa divmul mpbird
    mulm1 wb divcl ) ACDZBCDZBEFZGZAHZBHZIJABIJZKZVGVHLJZVFKZVEVJAVGBIJZLJZVFVE
    VGCDZVBVCVDVJVMKVCVBVNVDBMNZVBVCVDOVBVCVDUAZVBVCVDUHVGABUIPVEVMAQHZLJZVFVEV
    LVQALVEBBIJZHZVLVQVCVCVBVDVTVLKVPBBUBUCVEVSQVCVDVSQKVBBUJRUDUEUFVBVCVRVFKVD
    VBVRVQALJZVFVBVQCDVRWAKQUGUKAVQULUMAUSSTSSVEVFCDZVHCDVNVGEFZVIVKUTVBVCWBVDA
    MTABVAVOVCVDWCVBVCVDWCVCBEVGEBUNUOUPRVFVHVGUQPUR $.

  $( Move negative sign inside of a division.  (Contributed by Mario Carneiro,
     15-Sep-2014.) $)
  divneg2 $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                   -u ( A / B ) = ( A / -u B ) ) $=
    ( cc wcel cc0 wne w3a cdiv co cneg divneg wceq negcl div2neg syl3an1 negneg
    3ad2ant1 oveq1d 3eqtr2d ) ACDZBCDZBEFZGZABHIJAJZBHIZUDJZBJZHIZAUGHIABKTUDCD
    UAUBUHUELAMUDBNOUCUFAUGHTUAUFALUBAPQRS $.

  ${
    divclz.1 $e |- A e. CC $.
    $( Closure law for reciprocal.  (Contributed by NM, 30-Apr-2005.) $)
    recclzi $p |- ( A =/= 0 -> ( 1 / A ) e. CC ) $=
      ( cc wcel cc0 wne c1 cdiv co reccl mpan ) ACDAEFGAHICDBAJK $.

    $( The reciprocal of a nonzero number is nonzero.  (Contributed by NM,
       14-May-1999.) $)
    recne0zi $p |- ( A =/= 0 -> ( 1 / A ) =/= 0 ) $=
      ( cc wcel cc0 wne c1 cdiv co recne0 mpan ) ACDAEFGAHIEFBAJK $.

    $( Multiplication of a number and its reciprocal.  (Contributed by NM,
       14-May-1999.) $)
    recidzi $p |- ( A =/= 0 -> ( A x. ( 1 / A ) ) = 1 ) $=
      ( cc wcel cc0 wne c1 cdiv co cmul wceq recid mpan ) ACDAEFAGAHIJIGKBALM
      $.

    $( A number divided by 1 is itself.  (Contributed by NM, 9-Jan-2002.) $)
    div1i $p |- ( A / 1 ) = A $=
      ( cc wcel c1 cdiv co wceq div1 ax-mp ) ACDAEFGAHBAIJ $.

    $( A number equal to its negative is zero.  (Contributed by NM,
       29-May-1999.) $)
    eqnegi $p |- ( A = -u A <-> A = 0 ) $=
      ( cc wcel cneg wceq cc0 wb eqneg ax-mp ) ACDAAEFAGFHBAIJ $.

    ${
      reccl.2 $e |- A =/= 0 $.
      $( Closure law for reciprocal.  (Contributed by NM, 30-Apr-2005.) $)
      reccli $p |- ( 1 / A ) e. CC $=
        ( cc0 wne c1 cdiv co cc wcel recclzi ax-mp ) ADEFAGHIJCABKL $.

      $( Multiplication of a number and its reciprocal.  (Contributed by NM,
         9-Feb-1995.) $)
      recidi $p |- ( A x. ( 1 / A ) ) = 1 $=
        ( cc0 wne c1 cdiv co cmul wceq recidzi ax-mp ) ADEAFAGHIHFJCABKL $.

      $( A number is equal to the reciprocal of its reciprocal.  Theorem I.10
         of [Apostol] p. 18.  (Contributed by NM, 9-Feb-1995.) $)
      recreci $p |- ( 1 / ( 1 / A ) ) = A $=
        ( cc wcel cc0 wne c1 cdiv co wceq recrec mp2an ) ADEAFGHHAIJIJAKBCALM
        $.

      $( A number divided by itself is one.  (Contributed by NM,
         9-Feb-1995.) $)
      dividi $p |- ( A / A ) = 1 $=
        ( cc wcel cc0 wne cdiv co c1 wceq divid mp2an ) ADEAFGAAHIJKBCALM $.

      $( Division into zero is zero.  (Contributed by NM, 12-Aug-1999.) $)
      div0i $p |- ( 0 / A ) = 0 $=
        ( cc wcel cc0 wne cdiv co wceq div0 mp2an ) ADEAFGFAHIFJBCAKL $.
    $}

    divclz.2 $e |- B e. CC $.
    $( Closure law for division.  (Contributed by NM, 7-May-1999.)  (Revised by
       Mario Carneiro, 17-Feb-2014.) $)
    divclzi $p |- ( B =/= 0 -> ( A / B ) e. CC ) $=
      ( cc wcel cc0 wne cdiv co divcl mp3an12 ) AEFBEFBGHABIJEFCDABKL $.

    $( A cancellation law for division.  (Contributed by NM, 2-Oct-1999.) $)
    divcan1zi $p |- ( B =/= 0 -> ( ( A / B ) x. B ) = A ) $=
      ( cc wcel cc0 wne cdiv co cmul wceq divcan1 mp3an12 ) AEFBEFBGHABIJBKJALC
      DABMN $.

    $( A cancellation law for division.  (Contributed by NM, 10-Aug-1999.) $)
    divcan2zi $p |- ( B =/= 0 -> ( B x. ( A / B ) ) = A ) $=
      ( cc wcel cc0 wne cdiv co cmul wceq divcan2 mp3an12 ) AEFBEFBGHBABIJKJALC
      DABMN $.

    $( Relationship between division and reciprocal.  Theorem I.9 of [Apostol]
       p. 18.  (Contributed by NM, 11-Oct-1999.) $)
    divreczi $p |- ( B =/= 0 -> ( A / B ) = ( A x. ( 1 / B ) ) ) $=
      ( cc wcel cc0 wne cdiv co c1 cmul wceq divrec mp3an12 ) AEFBEFBGHABIJAKBI
      JLJMCDABNO $.

    $( A cancellation law for division.  (Eliminates a hypothesis of ~ divcan3i
       with the weak deduction theorem.)  (Contributed by NM, 3-Feb-2004.) $)
    divcan3zi $p |- ( B =/= 0 -> ( ( B x. A ) / B ) = A ) $=
      ( cc wcel cc0 wne cmul co cdiv wceq divcan3 mp3an12 ) AEFBEFBGHBAIJBKJALC
      DABMN $.

    $( A cancellation law for division.  (Contributed by NM, 12-Oct-1999.) $)
    divcan4zi $p |- ( B =/= 0 -> ( ( A x. B ) / B ) = A ) $=
      ( cc wcel cc0 wne cmul co cdiv wceq divcan4 mp3an12 ) AEFBEFBGHABIJBKJALC
      DABMN $.

    $( Reciprocal is one-to-one.  (Contributed by NM, 16-Sep-1999.) $)
    rec11i $p |- ( ( A =/= 0 /\ B =/= 0 ) ->
               ( ( 1 / A ) = ( 1 / B ) <-> A = B ) ) $=
      ( cc wcel cc0 wne wa c1 cdiv co wceq wb rec11 an4s mpanl12 ) AEFZBEFZAGHZ
      BGHZIJAKLJBKLMABMNZCDRTSUAUBABOPQ $.

    ${
      divcl.3 $e |- B =/= 0 $.
      $( Closure law for division.  (Contributed by NM, 2-Feb-1995.)  (Revised
         by Mario Carneiro, 17-Feb-2014.) $)
      divcli $p |- ( A / B ) e. CC $=
        ( cc0 wne cdiv co cc wcel divclzi ax-mp ) BFGABHIJKEABCDLM $.

      $( A cancellation law for division.  (Contributed by NM, 9-Feb-1995.) $)
      divcan2i $p |- ( B x. ( A / B ) ) = A $=
        ( cc0 wne cdiv co cmul wceq divcan2zi ax-mp ) BFGBABHIJIAKEABCDLM $.

      $( A cancellation law for division.  (Contributed by NM, 18-May-1999.) $)
      divcan1i $p |- ( ( A / B ) x. B ) = A $=
        ( cdiv co divcli divcan2i mulcomli ) BABFGADABCDEHABCDEIJ $.

      $( Relationship between division and reciprocal.  Theorem I.9 of
         [Apostol] p. 18.  (Contributed by NM, 9-Feb-1995.) $)
      divreci $p |- ( A / B ) = ( A x. ( 1 / B ) ) $=
        ( cc0 wne cdiv co c1 cmul wceq divreczi ax-mp ) BFGABHIAJBHIKILEABCDMN
        $.

      $( A cancellation law for division.  (Contributed by NM, 16-Feb-1995.) $)
      divcan3i $p |- ( ( B x. A ) / B ) = A $=
        ( cc0 wne cmul co cdiv wceq divcan3zi ax-mp ) BFGBAHIBJIAKEABCDLM $.

      $( A cancellation law for division.  (Contributed by NM, 18-May-1999.) $)
      divcan4i $p |- ( ( A x. B ) / B ) = A $=
        ( cc0 wne cmul co cdiv wceq divcan4zi ax-mp ) BFGABHIBJIAKEABCDLM $.
    $}

    ${
      divneq0.3 $e |- A =/= 0 $.
      divneq0.4 $e |- B =/= 0 $.
      $( The ratio of nonzero numbers is nonzero.  (Contributed by NM,
         9-Feb-1995.) $)
      divne0i $p |- ( A / B ) =/= 0 $=
        ( cc wcel cc0 wne cdiv co divne0 mp4an ) AGHAIJBGHBIJABKLIJCEDFABMN $.

      $( Reciprocal is one-to-one.  (Contributed by NM, 16-Sep-1999.) $)
      rec11ii $p |- ( ( 1 / A ) = ( 1 / B ) <-> A = B ) $=
        ( cc0 wne c1 cdiv co wceq wb rec11i mp2an ) AGHBGHIAJKIBJKLABLMEFABCDNO
        $.
    $}

    divmulz.3 $e |- C e. CC $.
    $( An associative law for division.  (Contributed by NM, 12-Aug-1999.) $)
    divasszi $p |- ( C =/= 0 -> ( ( A x. B ) / C ) = ( A x. ( B / C ) ) ) $=
      ( cc wcel cc0 wne cmul co cdiv wceq wa divass mp3an12 mpan ) CGHZCIJZABKL
      CMLABCMLKLNZFAGHBGHSTOUADEABCPQR $.

    $( Relationship between division and multiplication.  (Contributed by NM,
       8-May-1999.)  (Revised by Mario Carneiro, 17-Feb-2014.) $)
    divmulzi $p |- ( B =/= 0 -> ( ( A / B ) = C <-> ( B x. C ) = A ) ) $=
      ( cc wcel cc0 wne cdiv co wceq cmul wb wa divmul mp3an12 mpan ) BGHZBIJZA
      BKLCMBCNLAMOZEAGHCGHTUAPUBDFACBQRS $.

    $( Distribution of division over addition.  (Contributed by NM,
       31-Jul-2004.) $)
    divdirzi $p |- ( C =/= 0 ->
                    ( ( A + B ) / C ) = ( ( A / C ) + ( B / C ) ) ) $=
      ( cc wcel cc0 wne caddc co cdiv wceq wa divdir mp3an12 mpan ) CGHZCIJZABK
      LCMLACMLBCMLKLNZFAGHBGHSTOUADEABCPQR $.

    $( Swap denominators in a division.  (Contributed by NM, 15-Sep-1999.) $)
    divdiv23zi $p |- ( ( B =/= 0 /\ C =/= 0 ) ->
                ( ( A / B ) / C ) = ( ( A / C ) / B ) ) $=
      ( cc wcel cc0 wne cdiv co wceq wa divdiv32 mp3an1 mpanr1 mpanl1 ) BGHZBIJ
      ZCIJZABKLCKLACKLBKLMZESTNZCGHZUAUBFAGHUCUDUANUBDABCOPQR $.

    ${
      divmul.4 $e |- B =/= 0 $.
      $( Relationship between division and multiplication.  (Contributed by NM,
         2-Feb-1995.)  (Revised by Mario Carneiro, 17-Feb-2014.) $)
      divmuli $p |- ( ( A / B ) = C <-> ( B x. C ) = A ) $=
        ( cc0 wne cdiv co wceq cmul wb divmulzi ax-mp ) BHIABJKCLBCMKALNGABCDEF
        OP $.

      divdiv23.5 $e |- C =/= 0 $.
      $( Swap denominators in a division.  (Contributed by NM, 15-Sep-1999.) $)
      divdiv32i $p |- ( ( A / B ) / C ) = ( ( A / C ) / B ) $=
        ( cc0 wne cdiv co wceq divdiv23zi mp2an ) BIJCIJABKLCKLACKLBKLMGHABCDEF
        NO $.
    $}

    ${
      divass.4 $e |- C =/= 0 $.
      $( An associative law for division.  (Contributed by NM, 15-Feb-1995.) $)
      divassi $p |- ( ( A x. B ) / C ) = ( A x. ( B / C ) ) $=
        ( cc0 wne cmul co cdiv wceq divasszi ax-mp ) CHIABJKCLKABCLKJKMGABCDEFN
        O $.

      $( Distribution of division over addition.  (Contributed by NM,
         16-Feb-1995.) $)
      divdiri $p |- ( ( A + B ) / C ) = ( ( A / C ) + ( B / C ) ) $=
        ( cc0 wne caddc co cdiv wceq divdirzi ax-mp ) CHIABJKCLKACLKBCLKJKMGABC
        DEFNO $.

      $( A commutative/associative law for division.  (Contributed by NM,
         3-Sep-1999.) $)
      div23i $p |- ( ( A x. B ) / C ) = ( ( A / C ) x. B ) $=
        ( cc wcel cc0 wne wa cmul co cdiv wceq pm3.2i div23 mp3an ) AHIBHICHIZC
        JKZLABMNCONACONBMNPDETUAFGQABCRS $.

      $( One-to-one relationship for division.  (Contributed by NM,
         20-Aug-2001.) $)
      div11i $p |- ( ( A / C ) = ( B / C ) <-> A = B ) $=
        ( cc wcel cc0 wne wa cdiv co wceq wb pm3.2i div11 mp3an ) AHIBHICHIZCJK
        ZLACMNBCMNOABOPDETUAFGQABCRS $.
    $}

    divmuldiv.4 $e |- D e. CC $.
    divmuldiv.5 $e |- B =/= 0 $.
    divmuldiv.6 $e |- D =/= 0 $.
    $( Multiplication of two ratios.  Theorem I.14 of [Apostol] p. 18.
       (Contributed by NM, 16-Feb-1995.) $)
    divmuldivi $p |- ( ( A / B ) x. ( C / D ) ) =
                      ( ( A x. C ) / ( B x. D ) ) $=
      ( cc wcel cc0 wne wa cdiv co cmul wceq pm3.2i divmuldiv mp4an ) AKLCKLBKL
      ZBMNZODKLZDMNZOABPQCDPQRQACRQBDRQPQSEGUCUDFITUEUFHJTACBDUAUB $.

    $( Swap denominators of two ratios.  (Contributed by NM, 6-Aug-1999.) $)
    divmul13i $p |- ( ( A / B ) x. ( C / D ) ) =
                   ( ( C / B ) x. ( A / D ) ) $=
      ( cmul co cdiv mulcomi oveq1i divmuldivi 3eqtr4ri ) CAKLZBDKLZMLACKLZSMLC
      BMLADMLKLABMLCDMLKLRTSMCAGENOCBADGFEHIJPABCDEFGHIJPQ $.

    $( Addition of two ratios.  Theorem I.13 of [Apostol] p. 18.  (Contributed
       by NM, 21-Feb-1995.) $)
    divadddivi $p |- ( ( A / B ) + ( C / D ) ) =
                      ( ( ( A x. D ) + ( C x. B ) ) / ( B x. D ) ) $=
      ( cc wcel cc0 wne wa cdiv co caddc cmul pm3.2i wceq divadddiv mp4an ) AKL
      CKLBKLZBMNZODKLZDMNZOABPQCDPQRQADSQCBSQRQBDSQPQUAEGUDUEFITUFUGHJTACBDUBUC
      $.

    divdivdiv.7 $e |- C =/= 0 $.
    $( Division of two ratios.  Theorem I.15 of [Apostol] p. 18.  (Contributed
       by NM, 22-Feb-1995.) $)
    divdivdivi $p |- ( ( A / B ) / ( C / D ) )
                        = ( ( A x. D ) / ( B x. C ) ) $=
      ( cc wcel cc0 wne wa cdiv co cmul pm3.2i wceq divdivdiv mp4an ) ALMBLMZBN
      OZPCLMZCNOZPDLMZDNOZPABQRCDQRQRADSRBCSRQRUAEUDUEFITUFUGGKTUHUIHJTABCDUBUC
      $.
  $}

  ${
    redivcl.1 $e |- A e. RR $.
    $( Closure law for reciprocal.  (Contributed by NM, 30-Apr-2005.) $)
    rerecclzi $p |- ( A =/= 0 -> ( 1 / A ) e. RR ) $=
      ( cr wcel cc0 wne c1 cdiv co rereccl mpan ) ACDAEFGAHICDBAJK $.

    ${
      rereccl.2 $e |- A =/= 0 $.
      $( Closure law for reciprocal.  (Contributed by NM, 30-Apr-2005.) $)
      rereccli $p |- ( 1 / A ) e. RR $=
        ( cc0 wne c1 cdiv co cr wcel rerecclzi ax-mp ) ADEFAGHIJCABKL $.
    $}

    redivcl.2 $e |- B e. RR $.
    $( Closure law for division of reals.  (Contributed by NM, 9-May-1999.) $)
    redivclzi $p |- ( B =/= 0 -> ( A / B ) e. RR ) $=
      ( cr wcel cc0 wne cdiv co redivcl mp3an12 ) AEFBEFBGHABIJEFCDABKL $.

    redivcl.3 $e |- B =/= 0 $.
    $( Closure law for division of reals.  (Contributed by NM, 9-May-1999.) $)
    redivcli $p |- ( A / B ) e. RR $=
      ( cc0 wne cdiv co cr wcel redivclzi ax-mp ) BFGABHIJKEABCDLM $.
  $}

  ${
    div1d.1 $e |- ( ph -> A e. CC ) $.
    $( A number divided by 1 is itself.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    div1d $p |- ( ph -> ( A / 1 ) = A ) $=
      ( cc wcel c1 cdiv co wceq div1 syl ) ABDEBFGHBICBJK $.

    ${
      reccld.2 $e |- ( ph -> A =/= 0 ) $.
      $( Closure law for reciprocal.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      reccld $p |- ( ph -> ( 1 / A ) e. CC ) $=
        ( cc wcel cc0 wne c1 cdiv co reccl syl2anc ) ABEFBGHIBJKEFCDBLM $.

      $( The reciprocal of a nonzero number is nonzero.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      recne0d $p |- ( ph -> ( 1 / A ) =/= 0 ) $=
        ( cc wcel cc0 wne c1 cdiv co recne0 syl2anc ) ABEFBGHIBJKGHCDBLM $.

      $( Multiplication of a number and its reciprocal.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      recidd $p |- ( ph -> ( A x. ( 1 / A ) ) = 1 ) $=
        ( cc wcel cc0 wne c1 cdiv co cmul wceq recid syl2anc ) ABEFBGHBIBJKLKIM
        CDBNO $.

      $( Multiplication of a number and its reciprocal.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      recid2d $p |- ( ph -> ( ( 1 / A ) x. A ) = 1 ) $=
        ( cc wcel cc0 wne c1 cdiv co cmul wceq recid2 syl2anc ) ABEFBGHIBJKBLKI
        MCDBNO $.

      $( A number is equal to the reciprocal of its reciprocal.  (Contributed
         by Mario Carneiro, 27-May-2016.) $)
      recrecd $p |- ( ph -> ( 1 / ( 1 / A ) ) = A ) $=
        ( cc wcel cc0 wne c1 cdiv co wceq recrec syl2anc ) ABEFBGHIIBJKJKBLCDBM
        N $.

      $( A number divided by itself is one.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      dividd $p |- ( ph -> ( A / A ) = 1 ) $=
        ( cc wcel cc0 wne cdiv co c1 wceq divid syl2anc ) ABEFBGHBBIJKLCDBMN $.

      $( Division into zero is zero.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      div0d $p |- ( ph -> ( 0 / A ) = 0 ) $=
        ( cc wcel cc0 wne cdiv co wceq div0 syl2anc ) ABEFBGHGBIJGKCDBLM $.
    $}

    divcld.2 $e |- ( ph -> B e. CC ) $.
    ${
      divcld.3 $e |- ( ph -> B =/= 0 ) $.
      $( Closure law for division.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      divcld $p |- ( ph -> ( A / B ) e. CC ) $=
        ( cc wcel cc0 wne cdiv co divcl syl3anc ) ABGHCGHCIJBCKLGHDEFBCMN $.

      $( A cancellation law for division.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      divcan1d $p |- ( ph -> ( ( A / B ) x. B ) = A ) $=
        ( cc wcel cc0 wne cdiv co cmul wceq divcan1 syl3anc ) ABGHCGHCIJBCKLCML
        BNDEFBCOP $.

      $( A cancellation law for division.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      divcan2d $p |- ( ph -> ( B x. ( A / B ) ) = A ) $=
        ( cc wcel cc0 wne cdiv co cmul wceq divcan2 syl3anc ) ABGHCGHCIJCBCKLML
        BNDEFBCOP $.

      $( Relationship between division and reciprocal.  Theorem I.9 of
         [Apostol] p. 18.  (Contributed by Mario Carneiro, 27-May-2016.) $)
      divrecd $p |- ( ph -> ( A / B ) = ( A x. ( 1 / B ) ) ) $=
        ( cc wcel cc0 wne cdiv co c1 cmul wceq divrec syl3anc ) ABGHCGHCIJBCKLB
        MCKLNLODEFBCPQ $.

      $( Relationship between division and reciprocal.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      divrec2d $p |- ( ph -> ( A / B ) = ( ( 1 / B ) x. A ) ) $=
        ( cc wcel cc0 wne cdiv co c1 cmul wceq divrec2 syl3anc ) ABGHCGHCIJBCKL
        MCKLBNLODEFBCPQ $.

      $( A cancellation law for division.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      divcan3d $p |- ( ph -> ( ( B x. A ) / B ) = A ) $=
        ( cc wcel cc0 wne cmul co cdiv wceq divcan3 syl3anc ) ABGHCGHCIJCBKLCML
        BNDEFBCOP $.

      $( A cancellation law for division.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      divcan4d $p |- ( ph -> ( ( A x. B ) / B ) = A ) $=
        ( cc wcel cc0 wne cmul co cdiv wceq divcan4 syl3anc ) ABGHCGHCIJBCKLCML
        BNDEFBCOP $.

      ${
        diveq0d.4 $e |- ( ph -> ( A / B ) = 0 ) $.
        $( A ratio is zero iff the numerator is zero.  (Contributed by Mario
           Carneiro, 27-May-2016.) $)
        diveq0d $p |- ( ph -> A = 0 ) $=
          ( cdiv co cc0 wceq cc wcel wne wb diveq0 syl3anc mpbid ) ABCHIJKZBJKZ
          GABLMCLMCJNSTODEFBCPQR $.
      $}

      ${
        diveq1d.4 $e |- ( ph -> ( A / B ) = 1 ) $.
        $( Equality in terms of unit ratio.  (Contributed by Mario Carneiro,
           27-May-2016.) $)
        diveq1d $p |- ( ph -> A = B ) $=
          ( cdiv co c1 wceq cc wcel cc0 wne wb diveq1 syl3anc mpbid ) ABCHIJKZB
          CKZGABLMCLMCNOTUAPDEFBCQRS $.
      $}

      $( The quotient of two complex numbers is one iff they are equal.
         Deduction form of ~ diveq1 .  Generalization of ~ diveq1d .
         (Contributed by David Moews, 28-Feb-2017.) $)
      diveq1ad $p |- ( ph -> ( ( A / B ) = 1 <-> A = B ) ) $=
        ( cc wcel cc0 wne cdiv co c1 wceq wb diveq1 syl3anc ) ABGHCGHCIJBCKLMNB
        CNODEFBCPQ $.

      $( A fraction of complex numbers is zero iff its numerator is.  Deduction
         form of ~ diveq0 .  (Contributed by David Moews, 28-Feb-2017.) $)
      diveq0ad $p |- ( ph -> ( ( A / B ) = 0 <-> A = 0 ) ) $=
        ( cc wcel cc0 wne cdiv co wceq wb diveq0 syl3anc ) ABGHCGHCIJBCKLIMBIMN
        DEFBCOP $.

      ${
        divne1d.4 $e |- ( ph -> A =/= B ) $.
        $( If two complex numbers are unequal, their quotient is not one.
           Contrapositive of ~ diveq1d .  (Contributed by David Moews,
           28-Feb-2017.) $)
        divne1d $p |- ( ph -> ( A / B ) =/= 1 ) $=
          ( cdiv co c1 wne diveq1ad necon3bid mpbird ) ABCHIZJKBCKGAOJBCABCDEFL
          MN $.
      $}

      $( A ratio is zero iff the numerator is zero.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      divne0bd $p |- ( ph -> ( A =/= 0 <-> ( A / B ) =/= 0 ) ) $=
        ( cc wcel cc0 wne cdiv co wb divne0b syl3anc ) ABGHCGHCIJBIJBCKLIJMDEFB
        CNO $.

      $( Move negative sign inside of a division.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      divnegd $p |- ( ph -> -u ( A / B ) = ( -u A / B ) ) $=
        ( cc wcel cc0 wne cdiv co cneg wceq divneg syl3anc ) ABGHCGHCIJBCKLMBMC
        KLNDEFBCOP $.

      $( Move negative sign inside of a division.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      divneg2d $p |- ( ph -> -u ( A / B ) = ( A / -u B ) ) $=
        ( cc wcel cc0 wne cdiv co cneg wceq divneg2 syl3anc ) ABGHCGHCIJBCKLMBC
        MKLNDEFBCOP $.

      $( Quotient of two negatives.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      div2negd $p |- ( ph -> ( -u A / -u B ) = ( A / B ) ) $=
        ( cc wcel cc0 wne cneg cdiv co wceq div2neg syl3anc ) ABGHCGHCIJBKCKLMB
        CLMNDEFBCOP $.
    $}

    ${
      divne0d.3 $e |- ( ph -> A =/= 0 ) $.
      divne0d.4 $e |- ( ph -> B =/= 0 ) $.
      $( The ratio of nonzero numbers is nonzero.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      divne0d $p |- ( ph -> ( A / B ) =/= 0 ) $=
        ( cc wcel cc0 wne cdiv co divne0 syl22anc ) ABHIBJKCHICJKBCLMJKDFEGBCNO
        $.

      $( The reciprocal of a ratio.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      recdivd $p |- ( ph -> ( 1 / ( A / B ) ) = ( B / A ) ) $=
        ( cc wcel cc0 wne c1 cdiv co wceq recdiv syl22anc ) ABHIBJKCHICJKLBCMNM
        NCBMNODFEGBCPQ $.

      $( Division into a reciprocal.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      recdiv2d $p |- ( ph -> ( ( 1 / A ) / B ) = ( 1 / ( A x. B ) ) ) $=
        ( cc wcel cc0 wne c1 cdiv co cmul wceq recdiv2 syl22anc ) ABHIBJKCHICJK
        LBMNCMNLBCONMNPDFEGBCQR $.

      $( Cancellation of inverted fractions.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      divcan6d $p |- ( ph -> ( ( A / B ) x. ( B / A ) ) = 1 ) $=
        ( cc wcel cc0 wne cdiv co cmul c1 wceq divcan6 syl22anc ) ABHIBJKCHICJK
        BCLMCBLMNMOPDFEGBCQR $.

      $( Cancellation in a double division.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      ddcand $p |- ( ph -> ( A / ( A / B ) ) = B ) $=
        ( cc wcel cc0 wne cdiv co wceq ddcan syl22anc ) ABHIBJKCHICJKBBCLMLMCND
        FEGBCOP $.

      rec11d.5 $e |- ( ph -> ( 1 / A ) = ( 1 / B ) ) $.
      $( Reciprocal is one-to-one.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      rec11d $p |- ( ph -> A = B ) $=
        ( c1 cdiv co wceq cc wcel cc0 wne wb rec11 syl22anc mpbid ) AIBJKICJKLZ
        BCLZHABMNBOPCMNCOPUAUBQDFEGBCRST $.
    $}

    divmuld.3 $e |- ( ph -> C e. CC ) $.
    ${
      divmuld.4 $e |- ( ph -> B =/= 0 ) $.
      $( Relationship between division and multiplication.  (Contributed by
         Mario Carneiro, 27-May-2016.) $)
      divmuld $p |- ( ph -> ( ( A / B ) = C <-> ( B x. C ) = A ) ) $=
        ( cc wcel cc0 wne cdiv co wceq cmul wb divmul syl112anc ) ABIJDIJCIJCKL
        BCMNDOCDPNBOQEGFHBDCRS $.

      $( A commutative/associative law for division.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      div32d $p |- ( ph -> ( ( A / B ) x. C ) = ( A x. ( C / B ) ) ) $=
        ( cc wcel cc0 wne cdiv co cmul wceq div32 syl121anc ) ABIJCIJCKLDIJBCMN
        DONBDCMNONPEFHGBCDQR $.

      $( A commutative/associative law for division.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      div13d $p |- ( ph -> ( ( A / B ) x. C ) = ( ( C / B ) x. A ) ) $=
        ( cc wcel cc0 wne cdiv co cmul wceq div13 syl121anc ) ABIJCIJCKLDIJBCMN
        DONDCMNBONPEFHGBCDQR $.

      divdiv23d.5 $e |- ( ph -> C =/= 0 ) $.
      $( Swap denominators in a division.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      divdiv32d $p |- ( ph -> ( ( A / B ) / C ) = ( ( A / C ) / B ) ) $=
        ( cc wcel cc0 wne cdiv co wceq divdiv32 syl122anc ) ABJKCJKCLMDJKDLMBCN
        ODNOBDNOCNOPEFHGIBCDQR $.

      $( Cancellation of common factor in a ratio.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      divcan5d $p |- ( ph -> ( ( C x. A ) / ( C x. B ) ) = ( A / B ) ) $=
        ( cc wcel cc0 wne cmul co cdiv wceq divcan5 syl122anc ) ABJKCJKCLMDJKDL
        MDBNODCNOPOBCPOQEFHGIBCDRS $.

      $( Cancellation of common factor in a ratio.  (Contributed by Mario
         Carneiro, 1-Jan-2017.) $)
      divcan5rd $p |- ( ph -> ( ( A x. C ) / ( B x. C ) ) = ( A / B ) ) $=
        ( cmul co cdiv mulcomd oveq12d divcan5d eqtrd ) ABDJKZCDJKZLKDBJKZDCJKZ
        LKBCLKAQSRTLABDEGMACDFGMNABCDEFGHIOP $.

      $( Cancel equal divisors in a division.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      divcan7d $p |- ( ph -> ( ( A / C ) / ( B / C ) ) = ( A / B ) ) $=
        ( cc wcel cc0 wne cdiv co wceq divcan7 syl122anc ) ABJKCJKCLMDJKDLMBDNO
        CDNONOBCNOPEFHGIBCDQR $.

      $( Cancellation law for division and multiplication.  (Contributed by
         Mario Carneiro, 27-May-2016.) $)
      dmdcand $p |- ( ph -> ( ( B / C ) x. ( A / B ) ) = ( A / C ) ) $=
        ( cc wcel cc0 wne cdiv co cmul wceq dmdcan syl221anc ) ACJKCLMDJKDLMBJK
        CDNOBCNOPOBDNOQFHGIECDBRS $.

      $( Cancellation law for division and multiplication.  (Contributed by
         David Moews, 28-Feb-2017.) $)
      dmdcan2d $p |- ( ph -> ( ( A / B ) x. ( B / C ) ) = ( A / C ) ) $=
        ( cdiv co cmul divcld mulcomd dmdcand eqtrd ) ABCJKZCDJKZLKRQLKBDJKAQRA
        BCEFHMACDFGIMNABCDEFGHIOP $.

      $( Division into a fraction.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      divdiv1d $p |- ( ph -> ( ( A / B ) / C ) = ( A / ( B x. C ) ) ) $=
        ( cc wcel cc0 wne cdiv co cmul wceq divdiv1 syl122anc ) ABJKCJKCLMDJKDL
        MBCNODNOBCDPONOQEFHGIBCDRS $.

      $( Division by a fraction.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      divdiv2d $p |- ( ph -> ( A / ( B / C ) ) = ( ( A x. C ) / B ) ) $=
        ( cc wcel cc0 wne cdiv co cmul wceq divdiv2 syl122anc ) ABJKCJKCLMDJKDL
        MBCDNONOBDPOCNOQEFHGIBCDRS $.
    $}

    ${
      divassd.4 $e |- ( ph -> C =/= 0 ) $.
      $( Relationship between division and multiplication.  (Contributed by
         Mario Carneiro, 27-May-2016.) $)
      divmul2d $p |- ( ph -> ( ( A / C ) = B <-> A = ( C x. B ) ) ) $=
        ( cc wcel cc0 wne cdiv co wceq cmul wb divmul2 syl112anc ) ABIJCIJDIJDK
        LBDMNCOBDCPNOQEFGHBCDRS $.

      $( Relationship between division and multiplication.  (Contributed by
         Mario Carneiro, 27-May-2016.) $)
      divmul3d $p |- ( ph -> ( ( A / C ) = B <-> A = ( B x. C ) ) ) $=
        ( cc wcel cc0 wne cdiv co wceq cmul wb divmul3 syl112anc ) ABIJCIJDIJDK
        LBDMNCOBCDPNOQEFGHBCDRS $.

      $( An associative law for division.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      divassd $p |- ( ph -> ( ( A x. B ) / C ) = ( A x. ( B / C ) ) ) $=
        ( cc wcel cc0 wne cmul co cdiv wceq divass syl112anc ) ABIJCIJDIJDKLBCM
        NDONBCDONMNPEFGHBCDQR $.

      $( A commutative/associative law for division.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      div12d $p |- ( ph -> ( A x. ( B / C ) ) = ( B x. ( A / C ) ) ) $=
        ( cc wcel cc0 wne cdiv co cmul wceq div12 syl112anc ) ABIJCIJDIJDKLBCDM
        NONCBDMNONPEFGHBCDQR $.

      $( A commutative/associative law for division.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      div23d $p |- ( ph -> ( ( A x. B ) / C ) = ( ( A / C ) x. B ) ) $=
        ( cc wcel cc0 wne cmul co cdiv wceq div23 syl112anc ) ABIJCIJDIJDKLBCMN
        DONBDONCMNPEFGHBCDQR $.

      $( Distribution of division over addition.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      divdird $p |- ( ph -> ( ( A + B ) / C ) = ( ( A / C ) + ( B / C ) ) ) $=
        ( cc wcel cc0 wne caddc co cdiv wceq divdir syl112anc ) ABIJCIJDIJDKLBC
        MNDONBDONCDONMNPEFGHBCDQR $.

      $( Distribution of division over subtraction.  (Contributed by Mario
         Carneiro, 27-May-2016.) $)
      divsubdird $p |- ( ph ->
          ( ( A - B ) / C ) = ( ( A / C ) - ( B / C ) ) ) $=
        ( cc wcel cc0 wne cmin co cdiv wceq divsubdir syl112anc ) ABIJCIJDIJDKL
        BCMNDONBDONCDONMNPEFGHBCDQR $.

      div11d.5 $e |- ( ph -> ( A / C ) = ( B / C ) ) $.
      $( One-to-one relationship for division.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      div11d $p |- ( ph -> A = B ) $=
        ( cdiv co wceq cc wcel cc0 wne wb div11 syl112anc mpbid ) ABDJKCDJKLZBC
        LZIABMNCMNDMNDOPUAUBQEFGHBCDRST $.
    $}

    divmuldivd.4 $e |- ( ph -> D e. CC ) $.
    divmuldivd.5 $e |- ( ph -> B =/= 0 ) $.
    divmuldivd.6 $e |- ( ph -> D =/= 0 ) $.
    $( Multiplication of two ratios.  Theorem I.14 of [Apostol] p. 18.
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    divmuldivd $p |- ( ph -> ( ( A / B ) x. ( C / D ) ) =
                             ( ( A x. C ) / ( B x. D ) ) ) $=
      ( cc wcel cc0 wne wa cdiv co cmul jca wceq divmuldiv syl22anc ) ABLMDLMCL
      MZCNOZPELMZENOZPBCQRDEQRSRBDSRCESRQRUAFHAUDUEGJTAUFUGIKTBDCEUBUC $.

    $( Swap denominators of two ratios.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    divmul13d $p |- ( ph -> ( ( A / B ) x. ( C / D ) ) =
                            ( ( C / B ) x. ( A / D ) ) ) $=
      ( cc wcel cc0 wne wa cdiv co cmul jca wceq divmul13 syl22anc ) ABLMDLMCLM
      ZCNOZPELMZENOZPBCQRDEQRSRDCQRBEQRSRUAFHAUDUEGJTAUFUGIKTBDCEUBUC $.

    $( Swap the numerators in the product of two ratios.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    divmul24d $p |- ( ph -> ( ( A / B ) x. ( C / D ) ) =
                           ( ( A / D ) x. ( C / B ) ) ) $=
      ( cc wcel cc0 wne wa cdiv co cmul jca wceq divmul24 syl22anc ) ABLMDLMCLM
      ZCNOZPELMZENOZPBCQRDEQRSRBEQRDCQRSRUAFHAUDUEGJTAUFUGIKTBDCEUBUC $.

    $( Addition of two ratios.  Theorem I.13 of [Apostol] p. 18.  (Contributed
       by Mario Carneiro, 27-May-2016.) $)
    divadddivd $p |- ( ph -> ( ( A / B ) + ( C / D ) ) =
                      ( ( ( A x. D ) + ( C x. B ) ) / ( B x. D ) ) ) $=
      ( cc wcel cc0 wne wa cdiv co caddc cmul wceq jca divadddiv syl22anc ) ABL
      MDLMCLMZCNOZPELMZENOZPBCQRDEQRSRBETRDCTRSRCETRQRUAFHAUEUFGJUBAUGUHIKUBBDC
      EUCUD $.

    $( Subtraction of two ratios.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    divsubdivd $p |- ( ph -> ( ( A / B ) - ( C / D ) ) =
                       ( ( ( A x. D ) - ( C x. B ) ) / ( B x. D ) ) ) $=
      ( cc wcel cc0 wne wa cdiv co cmin cmul wceq jca divsubdiv syl22anc ) ABLM
      DLMCLMZCNOZPELMZENOZPBCQRDEQRSRBETRDCTRSRCETRQRUAFHAUEUFGJUBAUGUHIKUBBDCE
      UCUD $.

    $( Cross-multiply in an equality of ratios.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    divmuleqd $p |- ( ph ->
        ( ( A / B ) = ( C / D ) <-> ( A x. D ) = ( C x. B ) ) ) $=
      ( cc wcel cc0 wne wa cdiv co wceq cmul wb jca divmuleq syl22anc ) ABLMDLM
      CLMZCNOZPELMZENOZPBCQRDEQRSBETRDCTRSUAFHAUEUFGJUBAUGUHIKUBBDCEUCUD $.

    divdivdivd.7 $e |- ( ph -> C =/= 0 ) $.
    $( Division of two ratios.  Theorem I.15 of [Apostol] p. 18.  (Contributed
       by Mario Carneiro, 27-May-2016.) $)
    divdivdivd $p |- ( ph -> ( ( A / B ) / ( C / D ) )
                        = ( ( A x. D ) / ( B x. C ) ) ) $=
      ( cc wcel cc0 wne wa cdiv co jca cmul wceq divdivdiv syl22anc ) ABMNCMNZC
      OPZQDMNZDOPZQEMNZEOPZQBCRSDERSRSBEUASCDUASRSUBFAUEUFGJTAUGUHHLTAUIUJIKTBC
      DEUCUD $.
  $}

  ${
    diveq1bd.1 $e |- ( ph -> B e. CC ) $.
    diveq1bd.2 $e |- ( ph -> B =/= 0 ) $.
    diveq1bd.3 $e |- ( ph -> A = B ) $.
    $( If two complex numbers are equal, their quotient is one.  One-way
       deduction form of ~ diveq1 .  Converse of ~ diveq1d .  (Contributed by
       David Moews, 28-Feb-2017.) $)
    diveq1bd $p |- ( ph -> ( A / B ) = 1 ) $=
      ( cdiv co c1 wceq cc eqeltrd diveq1ad mpbird ) ABCGHIJBCJFABCABCKFDLDEMN
      $.
  $}

  $( Swap the order of subtraction in a division.  (Contributed by Scott
     Fenton, 24-Jun-2013.) $)
  div2sub $p |- ( ( ( A e. CC /\ B e. CC ) /\
    ( C e. CC /\ D e. CC /\ C =/= D ) ) ->
    ( ( A - B ) / ( C - D ) ) = ( ( B - A ) / ( D - C ) ) ) $=
    ( cc wcel wa wne w3a cmin cneg cdiv cc0 wceq subcl 3adant3 subeq0 necon3bid
    co negsubdi2 biimp3ar jca div2neg 3expb syl2an oveqan12d eqtr3d ) AEFBEFGZC
    EFZDEFZCDHZIZGABJSZKZCDJSZKZLSZUMUOLSZBAJSZDCJSZLSUHUMEFZUOEFZUOMHZGUQURNZU
    LABOULVBVCUIUJVBUKCDOPUIUJVCUKUIUJGUOMCDCDQRUAUBVAVBVCVDUMUOUCUDUEUHULUNUSU
    PUTLABTUIUJUPUTNUKCDTPUFUG $.

  ${
    div2subd.1 $e |- ( ph -> A e. CC ) $.
    div2subd.2 $e |- ( ph -> B e. CC ) $.
    div2subd.3 $e |- ( ph -> C e. CC ) $.
    div2subd.4 $e |- ( ph -> D e. CC ) $.
    div2subd.5 $e |- ( ph -> C =/= D ) $.
    $( Swap subtrahend and minuend inside the numerator and denominator of a
       fraction.  Deduction form of ~ div2sub .  (Contributed by David Moews,
       28-Feb-2017.) $)
    div2subd $p |- ( ph -> ( ( A - B ) / ( C - D ) ) =
                           ( ( B - A ) / ( D - C ) ) ) $=
      ( cc wcel wne cmin co cdiv wceq div2sub syl23anc ) ABKLCKLDKLEKLDEMBCNODE
      NOPOCBNOEDNOPOQFGHIJBCDERS $.
  $}

  ${
    redivcld.1 $e |- ( ph -> A e. RR ) $.
    ${
      rereccld.2 $e |- ( ph -> A =/= 0 ) $.
      $( Closure law for reciprocal.  (Contributed by Mario Carneiro,
         27-May-2016.) $)
      rereccld $p |- ( ph -> ( 1 / A ) e. RR ) $=
        ( cr wcel cc0 wne c1 cdiv co rereccl syl2anc ) ABEFBGHIBJKEFCDBLM $.
    $}

    redivcld.2 $e |- ( ph -> B e. RR ) $.
    redivcld.3 $e |- ( ph -> B =/= 0 ) $.
    $( Closure law for division of reals.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    redivcld $p |- ( ph -> ( A / B ) e. RR ) $=
      ( cr wcel cc0 wne cdiv co redivcl syl3anc ) ABGHCGHCIJBCKLGHDEFBCMN $.
  $}

  $( Subtraction of reciprocals.  (Contributed by Scott Fenton, 9-Jul-2015.) $)
  subrec $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) ) ->
    ( ( 1 / A ) - ( 1 / B ) ) = ( ( B - A ) / ( A x. B ) ) ) $=
    ( cc wcel cc0 wne wa c1 cdiv cmin cmul 1cnd simpll simprl simplr divsubdivd
    co simprr mulid2d oveq12d oveq1d eqtrd ) ACDZAEFZGZBCDZBEFZGZGZHAIQHBIQJQHB
    KQZHAKQZJQZABKQZIQBAJQZUMIQUIHAHBUILZUCUDUHMZUOUEUFUGNZUCUDUHOUEUFUGRPUIULU
    NUMIUIUJBUKAJUIBUQSUIAUPSTUAUB $.

  ${
    subreci.1 $e |- A e. CC $.
    subreci.2 $e |- B e. CC $.
    subreci.3 $e |- A =/= 0 $.
    subreci.4 $e |- B =/= 0 $.
    $( Subtraction of reciprocals.  (Contributed by Scott Fenton,
       9-Jan-2017.) $)
    subreci $p |- ( ( 1 / A ) - ( 1 / B ) ) = ( ( B - A ) / ( A x. B ) ) $=
      ( cc wcel cc0 wne c1 cdiv co cmin cmul wceq subrec mp4an ) AGHAIJBGHBIJKA
      LMKBLMNMBANMABOMLMPCEDFABQR $.
  $}

  ${
    subrecd.1 $e |- ( ph -> A e. CC ) $.
    subrecd.2 $e |- ( ph -> B e. CC ) $.
    subrecd.3 $e |- ( ph -> A =/= 0 ) $.
    subrecd.4 $e |- ( ph -> B =/= 0 ) $.
    $( Subtraction of reciprocals.  (Contributed by Scott Fenton,
       9-Jan-2017.) $)
    subrecd $p |- ( ph ->
      ( ( 1 / A ) - ( 1 / B ) ) = ( ( B - A ) / ( A x. B ) ) ) $=
      ( cc wcel cc0 wne c1 cdiv co cmin cmul wceq subrec syl22anc ) ABHIBJKCHIC
      JKLBMNLCMNONCBONBCPNMNQDFEGBCRS $.
  $}

  ${
    mvllmuld.1 $e |- ( ph -> A e. CC ) $.
    mvllmuld.2 $e |- ( ph -> B e. CC ) $.
    mvllmuld.3 $e |- ( ph -> A =/= 0 ) $.
    mvllmuld.4 $e |- ( ph -> ( A x. B ) = C ) $.
    $( Move the left term in a product on the LHS to the RHS, deduction form.
       (Contributed by David A. Wheeler, 11-Oct-2018.) $)
    mvllmuld $p |- ( ph -> B = ( C / A ) ) $=
      ( cmul co cdiv divcan4d mulcomd eqtr3d oveq1d ) ACBIJZBKJCDBKJACBFEGLAPDB
      KABCIJPDABCEFMHNON $.
  $}

  ${
    mvllmuli.1 $e |- A e. CC $.
    mvllmuli.2 $e |- B e. CC $.
    mvllmuli.3 $e |- A =/= 0 $.
    mvllmuli.4 $e |- ( A x. B ) = C $.
    $( Move the left term in a product on the LHS to the RHS, inference form.
       Uses ~ divcan4i .  (Contributed by David A. Wheeler, 11-Oct-2018.) $)
    mvllmuli $p |- B = ( C / A ) $=
      ( cmul co cdiv divcan4i mulcomli oveq1i eqtr3i ) BAHIZAJIBCAJIBAEDFKOCAJA
      BCDEGLMN $.
  $}

  ${
    ldiv.a $e |- ( ph -> A e. CC ) $.
    ldiv.b $e |- ( ph -> B e. CC ) $.
    ldiv.c $e |- ( ph -> C e. CC ) $.
    ${
      ldiv.bn0 $e |- ( ph -> B =/= 0 ) $.
      $( Left-division.  (Contributed by BJ, 6-Jun-2019.) $)
      ldiv $p |- ( ph -> ( ( A x. B ) = C <-> A = ( C / B ) ) ) $=
        ( cmul co wceq cdiv oveq1 divcan4d eqeq1d syl5ib divcan1d eqeq2d impbid
        ) ABCIJZDKZBDCLJZKZUATCLJZUBKAUCTDCLMAUDBUBABCEFHNOPUCTUBCIJZKAUABUBCIM
        AUEDTADCGFHQRPS $.
    $}

    ${
      rdiv.an0 $e |- ( ph -> A =/= 0 ) $.
      $( Right-division.  (Contributed by BJ, 6-Jun-2019.) $)
      rdiv $p |- ( ph -> ( ( A x. B ) = C <-> B = ( C / A ) ) ) $=
        ( cmul co wceq cdiv mulcomd eqeq1d ldiv bitrd ) ABCIJZDKCBIJZDKCDBLJKAQ
        RDABCEFMNACBDFEGHOP $.
    $}

    ${
      mdiv.an0 $e |- ( ph -> A =/= 0 ) $.
      mdiv.bn0 $e |- ( ph -> B =/= 0 ) $.
      $( A division law.  (Contributed by BJ, 6-Jun-2019.) $)
      mdiv $p |- ( ph -> ( A = ( C / B ) <-> B = ( C / A ) ) ) $=
        ( cmul co wceq cdiv ldiv rdiv bitr3d ) ABCJKDLBDCMKLCDBMKLABCDEFGINABCD
        EFGHOP $.
    $}
  $}

  ${
    lineq.a $e |- ( ph -> A e. CC ) $.
    lineq.b $e |- ( ph -> B e. CC ) $.
    lineq.x $e |- ( ph -> X e. CC ) $.
    lineq.y $e |- ( ph -> Y e. CC ) $.
    lineq.n0 $e |- ( ph -> A =/= 0 ) $.
    $( Solution of a (scalar) linear equation.  (Contributed by BJ,
       6-Jun-2019.) $)
    lineq $p |- ( ph ->
                      ( ( ( A x. X ) + B ) = Y <-> X = ( ( Y - B ) / A ) ) ) $=
      ( cmul co caddc wceq cmin cdiv mulcld addlsub subcld rdiv bitrd ) ABDKLZC
      MLENUBECOLZNDUCBPLNAUBCEABDFHQGIRABDUCFHAECIGSJTUA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ordering on reals (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Hypothesis for weak deduction theorem to eliminate ` 0 < A ` .
     (Contributed by NM, 15-May-1999.) $)
  elimgt0 $p |- 0 < if ( 0 < A , A , 1 ) $=
    ( cc0 clt wbr c1 cif breq2 0lt1 elimhyp ) BACDZBJAEFZCDBECDAEAKBCGEKBCGHI
    $.

  $( Hypothesis for weak deduction theorem to eliminate ` 0 <_ A ` .
     (Contributed by NM, 30-Jul-1999.) $)
  elimge0 $p |- 0 <_ if ( 0 <_ A , A , 0 ) $=
    ( cc0 cle wbr cif breq2 0re leidi elimhyp ) BACDZBJABEZCDBBCDABAKBCFBKBCFBG
    HI $.

  $( A number is less than itself plus 1.  (Contributed by NM, 20-Aug-2001.) $)
  ltp1 $p |- ( A e. RR -> A < ( A + 1 ) ) $=
    ( c1 cr wcel caddc co clt wbr 1re wa cc0 0lt1 ltaddpos mpbii mpan ) BCDZACD
    ZAABEFGHZIPQJKBGHRLBAMNO $.

  $( A number is less than or equal to itself plus 1.  (Contributed by NM,
     5-Jan-2006.) $)
  lep1 $p |- ( A e. RR -> A <_ ( A + 1 ) ) $=
    ( cr wcel c1 caddc co clt wbr cle ltp1 wi peano2re ltle mpdan mpd ) ABCZAAD
    EFZGHZAQIHZAJPQBCRSKALAQMNO $.

  $( A number minus 1 is less than itself.  (Contributed by NM, 9-Apr-2006.) $)
  ltm1 $p |- ( A e. RR -> ( A - 1 ) < A ) $=
    ( cr wcel c1 cmin co cc0 clt wbr 0lt1 wb 0re 1re mp3an12 mpbii recn subid1d
    ltsub2 breqtrd ) ABCZADEFZAGEFZAHTGDHIZUAUBHIZJGBCDBCTUCUDKLMGDARNOTAAPQS
    $.

  $( A number minus 1 is less than or equal to itself.  (Contributed by Mario
     Carneiro, 2-Oct-2015.) $)
  lem1 $p |- ( A e. RR -> ( A - 1 ) <_ A ) $=
    ( cr wcel c1 cmin co clt wbr cle ltm1 wi peano2rem ltle mpancom mpd ) ABCZA
    DEFZAGHZQAIHZAJQBCPRSKALQAMNO $.

  $( A transitive property of 'less than or equal' and plus 1.  (Contributed by
     NM, 5-Aug-2005.) $)
  letrp1 $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) -> A <_ ( B + 1 ) ) $=
    ( cr wcel cle wbr w3a c1 caddc co clt wa adantl peano2re ancli lelttr 3expb
    ltp1 wi sylan2 mpan2d 3impia ltle 3adant3 mpd ) ACDZBCDZABEFZGABHIJZKFZAUIE
    FZUFUGUHUJUFUGLUHBUIKFZUJUGULUFBRMUGUFUGUICDZLUHULLUJSZUGUMBNZOUFUGUMUNABUI
    PQTUAUBUFUGUJUKSZUHUGUFUMUPUOAUIUCTUDUE $.

  $( A transitive property of plus 1 and 'less than or equal'.  (Contributed by
     NM, 16-Aug-2005.) $)
  p1le $p |- ( ( A e. RR /\ B e. RR /\ ( A + 1 ) <_ B ) -> A <_ B ) $=
    ( cr wcel c1 caddc co cle wa lep1 adantr wi peano2re ancli letr 3expa sylan
    wbr mpand 3impia ) ACDZBCDZAEFGZBHRZABHRZUAUBIAUCHRZUDUEUAUFUBAJKUAUAUCCDZI
    UBUFUDIUELZUAUGAMNUAUGUBUHAUCBOPQST $.

  $( The reciprocal of a positive number is positive.  Exercise 4 of [Apostol]
     p. 21.  (Contributed by NM, 25-Aug-1999.)  (Revised by Mario Carneiro,
     27-May-2016.) $)
  recgt0 $p |- ( ( A e. RR /\ 0 < A ) -> 0 < ( 1 / A ) ) $=
    ( cr wcel cc0 clt wbr wa c1 cdiv co wceq wo 0re cneg cmul rereccld lt0neg1d
    wn adantr mpbird simpl recnd gt0ne0 recne0d necomd neneqd 1re ltnsymi ax-mp
    0lt1 simpll wne renegcld simpr mpbid simplr mulgt0d reccld mulneg1d recid2d
    cc negeqd eqtrd breqtrd 1red ex mtoi ioran sylanbrc wb axlttri sylancr ) AB
    CZDAEFZGZDHAIJZEFZDVPKZVPDEFZLRZVOVRRVSRVTVODVPVOVPDVOAVOAVMVNUAZUBZAUCZUDU
    EUFVOVSHDEFZDHEFWDRUJDHMUGUHUIVOVSWDVOVSGZWDDHNZEFWEDVPNZAOJZWFEWEWGAWEVPWE
    AVMVNVSUKZVOADULVSWCSZPUMWIWEVSDWGEFVOVSUNWEVPVOVPBCZVSVOAWAWCPZSQUOVMVNVSU
    PUQWEWHVPAOJZNWFWEVPAWEAVOAVACVSWBSZWJURWNUSWEWMHWEAWNWJUTVBVCVDWEHWEVEQTVF
    VGVRVSVHVIVODBCWKVQVTVJMWLDVPVKVLT $.

  $( Infer that a multiplicand is positive from a nonnegative multiplier and
     positive product.  (Contributed by NM, 24-Apr-2005.)  (Revised by Mario
     Carneiro, 27-May-2016.) $)
  prodgt0 $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 0 <_ A /\ 0 < ( A x. B ) ) )
                 -> 0 < B ) $=
    ( cr wcel wa cc0 cle wbr cmul co clt wceq wo 0red simpl leloed recnd breq2d
    wi cdiv simpll simplr remulcld simprl gt0ne0d simprr recgt0 mulgt0d divrecd
    c1 rereccld ad2ant2r cc simpr adantr divcan3d eqtr3d exp32 0re ltnri mul02d
    breqtrd mtbiri pm2.21d oveq1 imbi1d syl5ibcom jaod sylbid imp32 ) ACDZBCDZE
    ZFAGHZFABIJZKHZFBKHZVMVNFAKHZFALZMVPVQSZVMFAVMNVKVLOPVMVRVTVSVMVRVPVQVMVRVP
    EZEZFVOUJATJZIJZBKWBVOWCWBABVKVLWAUAZVKVLWAUBUCZWBAWEWBAVMVRVPUDUEZUKVMVRVP
    UFVKVRFWCKHVLVPAUGULUHWBVOATJWDBWBVOAWBVOWFQWBAWEQZWGUIWBBAVMBUMDWAVMBVKVLU
    NQZUOWHWGUPUQVBURVMFFBIJZKHZVQSVSVTVMWKVQVMWKFFKHFUSUTVMWJFFKVMBWIVARVCVDVS
    WKVPVQVSWJVOFKFABIVERVFVGVHVIVJ $.

  $( Infer that a multiplier is positive from a nonnegative multiplicand and
     positive product.  (Contributed by NM, 24-Apr-2005.) $)
  prodgt02 $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 0 <_ B /\ 0 < ( A x. B ) ) )
                 -> 0 < A ) $=
    ( cr wcel wa cc0 cle wbr cmul co clt cc wceq mulcom syl2an breq2d biimpd wi
    recn prodgt0 ex ancoms sylan2d imp ) ACDZBCDZEZFBGHZFABIJZKHZEFAKHZUGUJFBAI
    JZKHZUHUKUGUJUMUGUIULFKUEALDBLDUIULMUFASBSABNOPQUFUEUHUMEZUKRUFUEEUNUKBATUA
    UBUCUD $.

  $( Lemma for ~ ltmul1 .  Multiplication of both sides of 'less than' by a
     positive number.  Theorem I.19 of [Apostol] p. 20.  (Contributed by NM,
     15-May-1999.)  (Revised by Mario Carneiro, 27-May-2016.) $)
  ltmul1a $p |- ( ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) ) /\ A < B )
      -> ( A x. C ) < ( B x. C ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cmul co simpl2 simpl1 resubcld simpl3l posdifd
    cmin recnd remulcld simpr mpbid simpl3r mulgt0d subdird breqtrd mpbird ) AD
    EZBDEZCDEZFCGHZIZJZABGHZIZACKLZBCKLZGHFUQUPRLZGHUOFBARLZCKLURGUOUSCUOBAUHUI
    ULUNMZUHUIULUNNZOUJUKUHUIUNPZUOUNFUSGHUMUNUAUOABVAUTQUBUJUKUHUIUNUCUDUOBACU
    OBUTSUOAVASUOCVBSUEUFUOUPUQUOACVAVBTUOBCUTVBTQUG $.

  $( Multiplication of both sides of 'less than' by a positive number.  Theorem
     I.19 of [Apostol] p. 20.  (Contributed by NM, 13-Feb-2005.)  (Revised by
     Mario Carneiro, 27-May-2016.) $)
  ltmul1 $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) )
               -> ( A < B <-> ( A x. C ) < ( B x. C ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cmul co ltmul1a ex wceq wo wn remulcld lttrid
    wi oveq1 a1i 3com12 orim12d con3d simp1 simp3l simp2 3imtr4d impbid ) ADEZB
    DEZCDEZFCGHZIZJZABGHZACKLZBCKLZGHZUPUQUTABCMNUPURUSOZUSURGHZPZQABOZBAGHZPZQ
    UTUQUPVFVCUPVDVAVEVBVDVATUPABCKUAUBULUKUOVEVBTULUKUOJVEVBBACMNUCUDUEUPURUSU
    PACUKULUOUFZUKULUMUNUGZRUPBCUKULUOUHZVHRSUPABVGVISUIUJ $.

  $( Multiplication of both sides of 'less than' by a positive number.  Theorem
     I.19 of [Apostol] p. 20.  (Contributed by NM, 13-Feb-2005.) $)
  ltmul2 $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) )
                -> ( A < B <-> ( C x. A ) < ( C x. B ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cmul co ltmul1 wb cc recn mulcom sylan 3adant2
    wceq 3adant1 breq12d syl3an3 3adant3r bitrd ) ADEZBDEZCDEZFCGHZIJABGHACKLZB
    CKLZGHZCAKLZCBKLZGHZABCMUFUGUHULUONZUIUHUFUGCOEZUPCPUFUGUQJUJUMUKUNGUFUQUJU
    MTZUGUFAOEUQURAPACQRSUGUQUKUNTZUFUGBOEUQUSBPBCQRUAUBUCUDUE $.

  $( Multiplication of both sides of 'less than or equal to' by a positive
     number.  (Contributed by NM, 21-Feb-2005.) $)
  lemul1 $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) )
                -> ( A <_ B <-> ( A x. C ) <_ ( B x. C ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a wceq wo cmul co cle ltmul1 cc wb recn remulcl
    wne adantr gt0ne0 jca mulcan2 syl3an bicomd orbi12d 3adant3 3adant2 3adant1
    leloe leloed 3adant3r 3bitr4d ) ADEZBDEZCDEZFCGHZIZJZABGHZABKZLZACMNZBCMNZG
    HZVEVFKZLZABOHZVEVFOHZVAVBVGVCVHABCPVAVHVCUPAQEUQBQEUTCQEZCFUAZIVHVCRASBSUT
    VLVMURVLUSCSUBCUCUDABCUEUFUGUHUPUQVJVDRUTABULUIUPUQURVKVIRUSUPUQURJVEVFUPUR
    VEDEUQACTUJUQURVFDEUPBCTUKUMUNUO $.

  $( Multiplication of both sides of 'less than or equal to' by a positive
     number.  (Contributed by NM, 16-Mar-2005.) $)
  lemul2 $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) )
               -> ( A <_ B <-> ( C x. A ) <_ ( C x. B ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cle cmul co lemul1 wb wceq recn mulcom syl2an
    cc 3adant2 3adant1 breq12d 3adant3r bitrd ) ADEZBDEZCDEZFCGHZIJABKHACLMZBCL
    MZKHZCALMZCBLMZKHZABCNUFUGUHULUOOUIUFUGUHJUJUMUKUNKUFUHUJUMPZUGUFATECTEZUPU
    HAQCQZACRSUAUGUHUKUNPZUFUGBTEUQUSUHBQURBCRSUBUCUDUE $.

  $( Multiplication of both sides of 'less than or equal to' by a nonnegative
     number.  (Contributed by NM, 21-Feb-2005.) $)
  lemul1a $p |- ( ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 <_ C ) ) /\
                 A <_ B ) -> ( A x. C ) <_ ( B x. C ) ) $=
    ( cr wcel cc0 cle wbr wa w3a cmul co clt wceq 0re com12 recn mul01d oveq2
    wi wo leloe mpan pm5.32i lemul1 biimpd 3expia leidi breqan12d mpbiri syl5ib
    wb breq12d a1dd adantl jaodan sylbi 3impia imp ) ADEZBDEZCDEZFCGHZIZJABGHZA
    CKLZBCKLZGHZUTVAVDVEVHTZVDUTVAIZVIVDVBFCMHZFCNZUAZIVJVITZVBVCVMFDEVBVCVMULO
    FCUBUCUDVBVKVNVLVJVBVKIZVIUTVAVOVIUTVAVOJVEVHABCUEUFUGPVLVNVBVLVJVHVEVJAFKL
    ZBFKLZGHZVLVHVJVRFFGHFOUHUTVAVPFVQFGUTAAQRVABBQRUIUJVLVPVFVQVGGFCAKSFCBKSUM
    UKUNUOUPUQPURUS $.

  $( Multiplication of both sides of 'less than or equal to' by a nonnegative
     number.  (Contributed by Paul Chapman, 7-Sep-2007.) $)
  lemul2a $p |- ( ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 <_ C ) ) /\
                      A <_ B ) -> ( C x. A ) <_ ( C x. B ) ) $=
    ( cr wcel cc0 cle wbr wa cmul co lemul1a wceq cc recn mulcom syl2an adantrr
    w3a adantr 3adant2 3adant1 3brtr3d ) ADEZBDEZCDEZFCGHZIZSZABGHZIACJKZBCJKZC
    AJKZCBJKZGABCLUIUKUMMZUJUDUHUOUEUDUFUOUGUDANECNEZUOUFAOCOZACPQRUATUIULUNMZU
    JUEUHURUDUEUFURUGUEBNEUPURUFBOUQBCPQRUBTUC $.

  $( Comparison of product of two positive numbers.  (Contributed by NM,
     30-Dec-2005.) $)
  ltmul12a $p |- ( ( ( ( A e. RR /\ B e. RR ) /\ ( 0 <_ A /\ A < B ) ) /\
               ( ( C e. RR /\ D e. RR ) /\ ( 0 <_ C /\ C < D ) ) ) ->
                 ( A x. C ) < ( B x. D ) ) $=
    ( cr wcel cc0 cle wbr clt cmul simpllr ad2ant2l imp ad2ant2r lelttr remulcl
    wa co wi simplll simpll simprl jca ltle adantrl lemul1a syl31anc wb simplrl
    simplrr 0re mp3an1 adantlr ltmul2 syl112anc biimpa anasss ad2ant2lr syl3anc
    adantrrl adantr mp2and an4s ) AEFZBEFZRZCEFZDEFZRZGAHIZABJIZRZGCHIZCDJIZRZA
    CKSZBDKSZJIZVGVJRZVMVPRZRZVQBCKSZHIZWCVRJIZVSWBVEVFVHVNRZABHIZWDVEVFVJWAUAV
    EVFVJWALVJVPWFVGVMVJVPRVHVNVHVIVPUBVJVNVOUCUDMVGVMWGVJVPVGVLWGVKVGVLWGABUEN
    UFOABCUGUHVTVMVOWEVNVTVMVOWEVTVMRZVOWEWHVHVIVFGBJIZVOWEUIVGVHVIVMUJVGVHVIVM
    UKVEVFVJVMLVGVMWIVJVGVMWIGEFVEVFVMWITULGABPUMNUNCDBUOUPUQURVAVTWDWERVSTZWAV
    TVQEFZWCEFZVREFZWJVEVHWKVFVIACQOVFVHWLVEVIBCQUSVFVIWMVEVHBDQMVQWCVRPUTVBVCV
    D $.

  $( Comparison of product of two nonnegative numbers.  (Contributed by NM,
     22-Feb-2008.) $)
  lemul12b $p |- ( ( ( ( A e. RR /\ 0 <_ A ) /\ B e. RR ) /\
       ( C e. RR /\ ( D e. RR /\ 0 <_ D ) ) ) -> ( ( A <_ B /\ C <_ D ) ->
                 ( A x. C ) <_ ( B x. D ) ) ) $=
    ( cr wcel cc0 cle wbr wa cmul co wi w3a lemul2a ex adantlr remulcl ad2ant2r
    3comr adantrrr lemul1a ad4ant134 adantrl anim12d ancomsd ad2ant2rl ad2ant2l
    3expb adantrr letr syl3anc syld ) AEFZGAHIZJZBEFZJZCEFZDEFZGDHIZJZJZJZABHIZ
    CDHIZJACKLZADKLZHIZVHBDKLZHIZJZVGVJHIZVDVFVEVLVDVFVIVEVKUPVCVFVIMZUQUPUSUTV
    NVAUPUSUTVNUSUTUPVNUSUTUPNVFVICDAOPTUIUAQURVBVEVKMZUSUNUQVBVOUOUNUQVBNVEVKA
    BDUBPUCUDUEUFVDVGEFZVHEFZVJEFZVLVMMUPUSVPUQVBUNUSVPUOACRQSUPVBVQUQUSUNUTVQU
    OVAADRSUGUQVBVRUPUSUQUTVRVABDRUJUHVGVHVJUKULUM $.

  $( Comparison of product of two nonnegative numbers.  (Contributed by NM,
     22-Feb-2008.) $)
  lemul12a $p |- ( ( ( ( A e. RR /\ 0 <_ A ) /\ B e. RR ) /\
       ( ( C e. RR /\ 0 <_ C ) /\ D e. RR ) ) -> ( ( A <_ B /\ C <_ D ) ->
                 ( A x. C ) <_ ( B x. D ) ) ) $=
    ( cr wcel cc0 cle wbr wa cmul co simpll ad2antlr simplrr wi 0re letr mp3an1
    exp4b com23 imp41 ad2ant2l jca jca32 simpr lemul12b sylc ex ) AEFGAHIJBEFJZ
    CEFZGCHIZJZDEFZJZJZABHIZCDHIZJZACKLBDKLHIZUPUSJZUJUKUNGDHIZJZJJUSUTVAUJUKVC
    UJUOUSMUOUKUJUSUKULUNMNVAUNVBUJUMUNUSOUOURVBUJUQUKULUNURVBUKUNULURVBPUKUNUL
    URVBGEFUKUNULURJVBPQGCDRSTUAUBUCUDUEUPUSUFABCDUGUHUI $.

  $( The product of two numbers greater than 1 is greater than 1.  (Contributed
     by NM, 13-Feb-2005.) $)
  mulgt1 $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 1 < A /\ 1 < B ) ) ->
                1 < ( A x. B ) ) $=
    ( cr wcel wa c1 clt wbr cmul co wi a1i cc0 0lt1 1re lttr adantr mp3an1 syld
    simpl 0re mp3an12 mpani ltmul2 biimpd exp32 impcom impd wceq ax-1rid breq1d
    w3a sylibd jcad remulcl syldan imp ) ACDZBCDZEZFAGHZFBGHZEZFABIJZGHZUTVCVAA
    VDGHZEZVEUTVCVAVFVCVAKUTVAVBTLUTVCAFIJZVDGHZVFUTVAVBVIUTVAMAGHZVBVIKZURVAVJ
    KUSURMFGHZVAVJNMCDFCDZURVLVAEVJKUAOMFAPUBUCQUSURVJVKKUSURVJVKVMUSURVJEZVKOV
    MUSVNULVBVIFBAUDUERUFUGSUHUTVHAVDGURVHAUIUSAUJQUKUMUNURUSVDCDZVGVEKZABUOVMU
    RVOVPOFAVDPRUPSUQ $.

  $( Multiplication by a number greater than 1.  (Contributed by NM,
     24-Dec-2005.) $)
  ltmulgt11 $p |- ( ( A e. RR /\ B e. RR /\ 0 < A ) ->
                ( 1 < B <-> A < ( A x. B ) ) ) $=
    ( cr wcel cc0 clt wbr w3a c1 cmul co wb 1re ltmul2 mp3an1 3impb 3com12 wceq
    wa ax-1rid 3ad2ant1 breq1d bitrd ) ACDZBCDZEAFGZHZIBFGZAIJKZABJKZFGZAUJFGUE
    UDUFUHUKLZUEUDUFULICDUEUDUFSULMIBANOPQUGUIAUJFUDUEUIARUFATUAUBUC $.

  $( Multiplication by a number greater than 1.  (Contributed by NM,
     24-Dec-2005.) $)
  ltmulgt12 $p |- ( ( A e. RR /\ B e. RR /\ 0 < A ) ->
                ( 1 < B <-> A < ( B x. A ) ) ) $=
    ( cr wcel cc0 clt wbr w3a c1 cmul ltmulgt11 wceq recn mulcom syl2an 3adant3
    co cc breq2d bitrd ) ACDZBCDZEAFGZHZIBFGAABJQZFGABAJQZFGABKUDUEUFAFUAUBUEUF
    LZUCUAARDBRDUGUBAMBMABNOPST $.

  $( Multiplication by a number greater than or equal to 1.  (Contributed by
     NM, 17-Dec-2005.) $)
  lemulge11 $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 0 <_ A /\ 1 <_ B ) ) ->
                A <_ ( A x. B ) ) $=
    ( cr wcel wa cc0 cle wbr c1 cmul co wceq ax-1rid ad2antrr simpll simprl jca
    simplr 1re 0le1 pm3.2i jctil jca31 leid simprr lemul12a sylc eqbrtrrd ) ACD
    ZBCDZEZFAGHZIBGHZEZEZAIJKZAABJKZGUIUPALUJUNAMNUOUIULEZUIEICDZFIGHZEZUJEZEAA
    GHZUMEUPUQGHUOURUIVBUOUIULUIUJUNOZUKULUMPQVDUOUJVAUIUJUNRUSUTSTUAUBUCUOVCUM
    UIVCUJUNAUDNUKULUMUEQAAIBUFUGUH $.

  $( Multiplication by a number greater than or equal to 1.  (Contributed by
     Paul Chapman, 21-Mar-2011.) $)
  lemulge12 $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 0 <_ A /\ 1 <_ B ) ) ->
                    A <_ ( B x. A ) ) $=
    ( cr wcel wa cc0 cle wbr c1 cmul co lemulge11 wb cc wceq recn mulcom syl2an
    breq2d adantr mpbid ) ACDZBCDZEZFAGHIBGHEZEAABJKZGHZABAJKZGHZABLUDUGUIMUEUD
    UFUHAGUBANDBNDUFUHOUCAPBPABQRSTUA $.

  $( Division of both sides of 'less than' by a positive number.  (Contributed
     by NM, 10-Oct-2004.)  (Revised by Mario Carneiro, 27-May-2016.) $)
  ltdiv1 $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) ) ->
               ( A < B <-> ( A / C ) < ( B / C ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a c1 cdiv co wb simp1 simp2 simp3l recnd divrecd
    cmul simp3r gt0ne0d rereccld recgt0 3ad2ant3 ltmul1 syl112anc breq12d
    bitr4d ) ADEZBDEZCDEZFCGHZIZJZABGHZAKCLMZTMZBUQTMZGHZACLMZBCLMZGHUOUJUKUQDE
    FUQGHZUPUTNUJUKUNOZUJUKUNPZUOCUJUKULUMQZUOCUJUKULUMUAUBZUCUNUJVCUKCUDUEABUQ
    UFUGUOVAURVBUSGUOACUOAVDRUOCVFRZVGSUOBCUOBVERVHVGSUHUI $.

  $( Division of both sides of a less than or equal to relation by a positive
     number.  (Contributed by NM, 18-Nov-2004.) $)
  lediv1 $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) ) ->
               ( A <_ B <-> ( A / C ) <_ ( B / C ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a wn cdiv co cle ltdiv1 3adant1 redivcl syld3an3
    wb 3expb 3com12 notbid lenlt 3adant3 wne gt0ne0 3adant2 lenltd 3bitr4d ) AD
    EZBDEZCDEZFCGHZIZJZBAGHZKZBCLMZACLMZGHZKABNHZUSURNHUOUPUTUKUJUNUPUTSBACOUAU
    BUJUKVAUQSUNABUCUDUOUSURUJUNUSDEZUKUJULUMVBUJULUMCFUEZVBULUMVCUJCUFZPACQRTU
    GUKUNURDEZUJUKULUMVEUKULUMVCVEULUMVCUKVDPBCQRTPUHUI $.

  $( Division of a positive number by a positive number.  (Contributed by NM,
     28-Sep-2005.) $)
  gt0div $p |- ( ( A e. RR /\ B e. RR /\ 0 < B ) ->
               ( 0 < A <-> 0 < ( A / B ) ) ) $=
    ( cr wcel cc0 clt wbr w3a cdiv co wb wa 0re ltdiv1 mp3an1 3impb cc wne wceq
    recn gt0ne0 div0 syl2an2r breq1d 3adant1 bitrd ) ACDZBCDZEBFGZHEAFGZEBIJZAB
    IJZFGZEULFGZUGUHUIUJUMKZECDUGUHUILZUOMEABNOPUHUIUMUNKUGUPUKEULFUHBQDUIBERUK
    ESBTBUABUBUCUDUEUF $.

  $( Division of a nonnegative number by a positive number.  (Contributed by
     NM, 28-Sep-2005.) $)
  ge0div $p |- ( ( A e. RR /\ B e. RR /\ 0 < B ) ->
               ( 0 <_ A <-> 0 <_ ( A / B ) ) ) $=
    ( cr wcel cc0 clt wbr w3a cle cdiv co wb wa 0re lediv1 mp3an1 3impb cc wceq
    wne recn gt0ne0 div0 syl2an2r breq1d 3adant1 bitrd ) ACDZBCDZEBFGZHEAIGZEBJ
    KZABJKZIGZEUMIGZUHUIUJUKUNLZECDUHUIUJMZUPNEABOPQUIUJUNUOLUHUQULEUMIUIBRDUJB
    ETULESBUABUBBUCUDUEUFUG $.

  $( The ratio of two positive numbers is positive.  (Contributed by NM,
     12-Oct-1999.) $)
  divgt0 $p |- ( ( ( A e. RR /\ 0 < A ) /\
             ( B e. RR /\ 0 < B ) ) -> 0 < ( A / B ) ) $=
    ( cr wcel cc0 clt wbr cdiv co wi w3a gt0div biimpd 3exp com34 com23 imp43 )
    ACDZEAFGZBCDZEBFGZEABHIFGZRTSUAUBJRTUASUBRTUASUBJRTUAKSUBABLMNOPQ $.

  $( The ratio of nonnegative and positive numbers is nonnegative.
     (Contributed by NM, 27-Sep-1999.) $)
  divge0 $p |- ( ( ( A e. RR /\ 0 <_ A ) /\
             ( B e. RR /\ 0 < B ) ) -> 0 <_ ( A / B ) ) $=
    ( cr wcel cc0 cle wbr clt cdiv co w3a ge0div biimpd 3exp com34 com23 imp43
    wi ) ACDZEAFGZBCDZEBHGZEABIJFGZSUATUBUCRSUAUBTUCSUAUBTUCRSUAUBKTUCABLMNOPQ
    $.

  $( A condition for multiplication to be nonnegative.  (Contributed by Scott
     Fenton, 25-Jun-2013.) $)
  mulge0b $p |- ( ( A e. RR /\ B e. RR ) ->
    ( 0 <_ ( A x. B ) <->
      ( ( A <_ 0 /\ B <_ 0 ) \/ ( 0 <_ A /\ 0 <_ B ) ) ) ) $=
    ( cr wcel wa cc0 cmul co cle wbr wo wn clt wb 0re ltnle mpan adantr wi ex
    ianor adantl orbi12d ltle imp ad2ant2rl remulcl simprl simpll simprr divge0
    cdiv syl22anc recn ad2antlr ad2antrr wne gt0ne0 divcan3d breqtrd jca simplr
    cc expr ad2ant2l divcan4d jaod sylbird syl5bi orrd le0neg1 bi2anan9 renegcl
    cneg mulge0 an4s syl2an wceq mul2neg breq2d sylibd sylbid impbid ) ACDZBCDZ
    EZFABGHZIJZAFIJZBFIJZEZFAIJZFBIJZEZKZWFWHWOWFWHEZWKWNWKLWILZWJLZKZWPWNWIWJU
    AWPWSFAMJZFBMJZKZWNWFXBWSNWHWFWTWQXAWRWDWTWQNZWEFCDZWDXCOFAPQRWEXAWRNZWDXDW
    EXEOFBPQUBUCRWPWTWNXAWFWHWTWNWFWHWTEZEZWLWMWDWTWLWEWHWDWTWLXDWDWTWLSOFAUDQU
    EUFXGFWGAULHZBIXGWGCDZWHWDWTFXHIJWFXIXFABUGZRWFWHWTUHWDWEXFUIWFWHWTUJWGAUKU
    MXGBAWEBVCDZWDXFBUNZUOWDAVCDZWEXFAUNZUPWDWTAFUQWEWHAURUFUSUTVAVDWFWHXAWNWFW
    HXAEZEZWLWMXPFWGBULHZAIXPXIWHWEXAFXQIJWFXIXOXJRWFWHXAUHWDWEXOVBWFWHXAUJWGBU
    KUMXPABWDXMWEXOXNUPWEXKWDXOXLUOWEXABFUQWDWHBURVEVFUTWEXAWMWDWHWEXAWMXDWEXAW
    MSOFBUDQUEVEVAVDVGVHVIVJTWFWKWHWNWFWKFAVNZIJZFBVNZIJZEZWHWDWIXSWEWJYAAVKBVK
    VLWFYBFXRXTGHZIJZWHWDXRCDZXTCDZYBYDSWEAVMBVMYEYFEYBYDYEXSYFYAYDXRXTVOVPTVQW
    FYCWGFIWDXMXKYCWGVRWEXNXLABVSVQVTWAWBWFWNWHWDWLWEWMWHABVOVPTVGWC $.

  $( A condition for multiplication to be nonpositive.  (Contributed by Scott
     Fenton, 25-Jun-2013.) $)
  mulle0b $p |- ( ( A e. RR /\ B e. RR ) ->
    ( ( A x. B ) <_ 0 <->
      ( ( A <_ 0 /\ 0 <_ B ) \/ ( 0 <_ A /\ B <_ 0 ) ) ) ) $=
    ( cr wcel wa cmul co cc0 cle wbr cneg wo remulcl le0neg1d wb le0neg2 anbi2d
    le0neg1 cc recn orbi12d adantl renegcl mulge0b sylan2 mulneg2 breq2d syl2an
    3bitr2rd bitrd ) ACDZBCDZEZABFGZHIJHUNKZIJZAHIJZHBIJZEZHAIJZBHIJZEZLZUMUNAB
    MNUMVCUQBKZHIJZEZUTHVDIJZEZLZHAVDFGZIJZUPULVCVIOUKULUSVFVBVHULURVEUQBPQULVA
    VGUTBRQUAUBULUKVDCDVKVIOBUCAVDUDUEUKASDZBSDZVKUPOULATBTVLVMEVJUOHIABUFUGUHU
    IUJ $.

  $( A condition for multiplication of subtraction to be nonpositive.
     (Contributed by Scott Fenton, 25-Jun-2013.) $)
  mulsuble0b $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
    ( ( ( A - B ) x. ( C - B ) ) <_ 0 <->
      ( ( A <_ B /\ B <_ C ) \/ ( C <_ B /\ B <_ A ) ) ) ) $=
    ( cr wcel cmin co cc0 cle wbr wa wo wb resubcl 3adant3 ancoms suble0 subge0
    3adant1 anbi12d w3a cmul mulle0b syl2anc biancomd orbi12d bitrd ) ADEZBDEZC
    DEZUAZABFGZCBFGZUBGHIJZULHIJZHUMIJZKZHULIJZUMHIJZKZLZABIJZBCIJZKZCBIJZBAIJZ
    KZLUKULDEZUMDEZUNVAMUHUIVHUJABNOUIUJVIUHUJUIVICBNPSULUMUCUDUKUQVDUTVGUKUOVB
    UPVCUHUIUOVBMUJABQOUIUJUPVCMZUHUJUIVJCBRPSTUKUTVEVFUKURVFUSVEUHUIURVFMUJABR
    OUIUJUSVEMZUHUJUIVKCBQPSTUEUFUG $.

  $( 'Less than' relationship between division and multiplication.
     (Contributed by NM, 12-Oct-1999.)  (Proof shortened by Mario Carneiro,
     27-May-2016.) $)
  ltmuldiv $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) )
                -> ( ( A x. C ) < B <-> A < ( B / C ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cmul co cdiv wb simp1 simp3l remulcld syld3an1
    ltdiv1 recnd simp3r gt0ne0d divcan4d breq1d bitrd ) ADEZBDEZCDEZFCGHZIZJZAC
    KLZBGHZULCMLZBCMLZGHZAUOGHULDEUGUFUJUMUPNUKACUFUGUJOZUFUGUHUIPZQULBCSRUKUNA
    UOGUKACUKAUQTUKCURTUKCUFUGUHUIUAUBUCUDUE $.

  $( 'Less than' relationship between division and multiplication.
     (Contributed by NM, 18-Nov-2004.) $)
  ltmuldiv2 $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) )
                   -> ( ( C x. A ) < B <-> A < ( B / C ) ) ) $=
    ( cr wcel cc0 clt wbr wa cmul co cdiv wceq cc mulcom syl2an adantrr 3adant2
    w3a recn breq1d ltmuldiv bitr3d ) ADEZBDEZCDEZFCGHZIZSZACJKZBGHCAJKZBGHABCL
    KGHUIUJUKBGUDUHUJUKMZUEUDUFULUGUDANECNEULUFATCTACOPQRUAABCUBUC $.

  $( 'Less than' relationship between division and multiplication.
     (Contributed by NM, 18-Nov-2004.) $)
  ltdivmul $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) )
              -> ( ( A / C ) < B <-> A < ( C x. B ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cmul co cdiv wb remulcl ancoms adantrr 3adant1
    cc recn ltdiv1 syld3an2 wceq adantr ad2antrl gt0ne0 adantl divcan3d breq2d
    wne bitr2d ) ADEZBDEZCDEZFCGHZIZJZACBKLZGHZACMLZURCMLZGHZUTBGHULURDEZUMUPUS
    VBNUMUPVCULUMUNVCUOUNUMVCCBOPQRAURCUAUBUQVABUTGUMUPVABUCULUMUPIBCUMBSEUPBTU
    DUNCSEUMUOCTUEUPCFUJUMCUFUGUHRUIUK $.

  $( 'Less than or equal to' relationship between division and multiplication.
     (Contributed by NM, 9-Dec-2005.) $)
  ledivmul $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) ) ->
                  ( ( A / C ) <_ B <-> A <_ ( C x. B ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cmul co cdiv wb remulcl ancoms 3adant1 cc recn
    cle adantrr lediv1 syld3an2 wceq adantr ad2antrl wne gt0ne0 adantl divcan3d
    breq2d bitr2d ) ADEZBDEZCDEZFCGHZIZJZACBKLZTHZACMLZUSCMLZTHZVABTHUMUSDEZUNU
    QUTVCNUNUQVDUMUNUOVDUPUOUNVDCBOPUAQAUSCUBUCURVBBVATUNUQVBBUDUMUNUQIBCUNBREU
    QBSUEUOCREUNUPCSUFUQCFUGUNCUHUIUJQUKUL $.

  $( 'Less than' relationship between division and multiplication.
     (Contributed by NM, 24-Feb-2005.) $)
  ltdivmul2 $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) )
                 -> ( ( A / C ) < B <-> A < ( B x. C ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cdiv co cmul ltdivmul wceq recn mulcom adantrr
    cc syl2an 3adant1 breq2d bitr4d ) ADEZBDEZCDEZFCGHZIZJZACKLBGHACBMLZGHABCML
    ZGHABCNUIUKUJAGUEUHUKUJOZUDUEUFULUGUEBSECSEULUFBPCPBCQTRUAUBUC $.

  $( 'Less than' relationship between division and multiplication.
     (Contributed by NM, 8-Jan-2006.) $)
  lt2mul2div $p |- ( ( ( A e. RR /\ ( B e. RR /\ 0 < B ) )
                   /\ ( C e. RR /\ ( D e. RR /\ 0 < D ) ) ) ->
                    ( ( A x. B ) < ( C x. D ) <-> ( A / D ) < ( C / B ) ) ) $=
    ( cr wcel cc0 clt wbr wa cmul co cdiv wceq recn adantl adantr jca syl3anc
    cc mulcom syl2an oveq1d wne ad2antll ad2antrl gt0ne0 eqtrd adantrrr adantll
    divass breq2d wb simpll remulcl adantrr simplr ltmuldiv simpl redivcl 3expb
    sylan2 ancoms ad2ant2lr simprr ltdivmul 3bitr4d ) AEFZBEFZGBHIZJZJZCEFZDEFZ
    GDHIZJZJZJZACDKLZBMLZHIZADCBMLZKLZHIZABKLVSHIZADMLWBHIZVRVTWCAHVKVQVTWCNZVH
    VKVMVNWGVOVKVMVNJZJZVTDCKLZBMLZWCWHVTWKNVKWHVSWJBMVMCTFZDTFZVSWJNVNCOZDOZCD
    UAUBUCPWIWMWLBTFZBGUDZJZWKWCNVNWMVKVMWOUEVMWLVKVNWNUFVKWRWHVKWPWQVIWPVJBOQB
    UGZRQDCBUKSUHUIUJULVRVHVSEFZVKWEWAUMVHVKVQUNZVQWTVLVMVNWTVOCDUOUPPVHVKVQUQA
    VSBURSVRVHWBEFZVPWFWDUMXAVKVMXBVHVPVMVKXBVKVMVIWQJXBVKVIWQVIVJUSWSRVMVIWQXB
    CBUTVAVBVCVDVLVMVPVEAWBDVFSVG $.

  $( 'Less than or equal to' relationship between division and multiplication.
     (Contributed by NM, 9-Dec-2005.) $)
  ledivmul2 $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) ) ->
                  ( ( A / C ) <_ B <-> A <_ ( B x. C ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cdiv cle cmul ledivmul wceq recn mulcom syl2an
    co cc adantrr 3adant1 breq2d bitr4d ) ADEZBDEZCDEZFCGHZIZJZACKSBLHACBMSZLHA
    BCMSZLHABCNUJULUKALUFUIULUKOZUEUFUGUMUHUFBTECTEUMUGBPCPBCQRUAUBUCUD $.

  $( 'Less than or equal' relationship between division and multiplication.
     (Contributed by NM, 10-Mar-2006.) $)
  lemuldiv $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) ) ->
                  ( ( A x. C ) <_ B <-> A <_ ( B / C ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cdiv co wn cmul cle wb ltdivmul2 3com12 lenltd
    3adant1 notbid simp1 gt0ne0 redivcl syld3an3 3expb remulcl 3adant2 3adant3r
    wne simp2 3bitr4rd ) ADEZBDEZCDEZFCGHZIZJZBCKLZAGHZMBACNLZGHZMZAUSOHVABOHZU
    RUTVBUNUMUQUTVBPBACQRUAURAUSUMUNUQUBUNUQUSDEZUMUNUOUPVEUNUOUPCFUJZVEUOUPVFU
    NCUCTBCUDUEUFTSUMUNUOVDVCPUPUMUNUOJVABUMUOVADEUNACUGUHUMUNUOUKSUIUL $.

  $( 'Less than or equal' relationship between division and multiplication.
     (Contributed by NM, 10-Mar-2006.) $)
  lemuldiv2 $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) ) ->
                      ( ( C x. A ) <_ B <-> A <_ ( B / C ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cmul co cle cdiv wceq cc mulcom syl2an adantrr
    recn 3adant2 breq1d lemuldiv bitr3d ) ADEZBDEZCDEZFCGHZIZJZACKLZBMHCAKLZBMH
    ABCNLMHUJUKULBMUEUIUKULOZUFUEUGUMUHUEAPECPEUMUGATCTACQRSUAUBABCUCUD $.

  $( The reciprocal of both sides of 'less than'.  (Contributed by NM,
     26-Sep-1999.)  (Revised by Mario Carneiro, 27-May-2016.) $)
  ltrec $p |- ( ( ( A e. RR /\ 0 < A ) /\ ( B e. RR /\ 0 < B ) ) ->
              ( A < B <-> ( 1 / B ) < ( 1 / A ) ) ) $=
    ( cr wcel cc0 clt wbr wa c1 cdiv co cmul 1red simprl simpll simplr ltmuldiv
    wb syl112anc recnd mulid2d breq1d gt0ne0d divrecd 3bitr3d rereccld ltdivmul
    breq2d simprr bitr4d ) ACDZEAFGZHZBCDZEBFGZHZHZABFGZIBIAJKZLKZFGZIBJKUSFGZU
    QIALKZBFGZIBAJKZFGZURVAUQICDZUNUKULVDVFRUQMZUMUNUONZUKULUPOZUKULUPPZIBAQSUQ
    VCABFUQAUQAVJTZUAUBUQVEUTIFUQBAUQBVITVLUQAVKUCZUDUHUEUQVGUSCDUNUOVBVARVHUQA
    VJVMUFVIUMUNUOUIIUSBUGSUJ $.

  $( The reciprocal of both sides of 'less than or equal to'.  (Contributed by
     NM, 3-Oct-1999.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  lerec $p |- ( ( ( A e. RR /\ 0 < A ) /\ ( B e. RR /\ 0 < B ) ) ->
              ( A <_ B <-> ( 1 / B ) <_ ( 1 / A ) ) ) $=
    ( cr wcel cc0 clt wbr wa wn c1 co cle wb ltrec ancoms notbid lenltd gt0ne0d
    cdiv rereccld simpll simprl simprr simplr 3bitr4d ) ACDZEAFGZHZBCDZEBFGZHZH
    ZBAFGZIJASKZJBSKZFGZIABLGUOUNLGULUMUPUKUHUMUPMBANOPULABUFUGUKUAZUHUIUJUBZQU
    LUOUNULBURULBUHUIUJUCRTULAUQULAUFUGUKUDRTQUE $.

  $( Lemma for ~ lt2msq .  (Contributed by Mario Carneiro, 27-May-2016.) $)
  lt2msq1 $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ B e. RR /\ A < B ) ->
                  ( A x. A ) < ( B x. B ) ) $=
    ( cr wcel cc0 cle wbr wa clt w3a co simp1l remulcld simp2 simp1 simp3 ltled
    cmul lemul1a lelttrd syl31anc wb 0red simp1r ltmul2 syl112anc mpbid ) ACDZE
    AFGZHZBCDZABIGZJZAARKZBARKZBBRKZUMAAUHUIUKULLZUQMUMBAUJUKULNZUQMUMBBURURMUM
    UHUKUJABFGUNUOFGUQURUJUKULOUMABUQURUJUKULPZQABASUAUMULUOUPIGZUSUMUHUKUKEBIG
    ULUTUBUQURURUMEABUMUCUQURUHUIUKULUDUSTABBUEUFUGT $.

  $( Two nonnegative numbers compare the same as their squares.  (Contributed
     by Roy F. Longton, 8-Aug-2005.)  (Revised by Mario Carneiro,
     27-May-2016.) $)
  lt2msq $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
                  ( A < B <-> ( A x. A ) < ( B x. B ) ) ) $=
    ( cr wcel cc0 cle wbr wa cmul co wi lt2msq1 3expia adantrr wceq wo remulcld
    clt wn lttrid oveq12d a1i ancoms orim12d con3d simpll simprl 3imtr4d impbid
    id ) ACDZEAFGZHZBCDZEBFGZHZHZABRGZAAIJZBBIJZRGZUMUNURVAKUOUMUNURVAABLMNUQUS
    UTOZUTUSRGZPZSABOZBARGZPZSVAURUQVGVDUQVEVBVFVCVEVBKUQVEABABIVEUJZVHUAUBUPUM
    VFVCKZUPUKVIULUPUKVFVCBALMNUCUDUEUQUSUTUQAAUKULUPUFZVJQUQBBUMUNUOUGZVKQTUQA
    BVJVKTUHUI $.

  $( Division of a positive number by both sides of 'less than'.  (Contributed
     by NM, 27-Apr-2005.) $)
  ltdiv2 $p |- ( ( ( A e. RR /\ 0 < A ) /\ ( B e. RR /\ 0 < B ) /\
    ( C e. RR /\ 0 < C ) ) -> ( A < B <-> ( C / B ) < ( C / A ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a c1 cdiv co wb 3adant3 cmul wne cc recn adantr
    ltrec gt0ne0 rereccl syldan ltmul2 syl3an2 syl3an1 jca divrec 3expb 3adant2
    wceq breq12d syl3an 3coml bitr4d 3com12 bitrd ) ADEZFAGHZIZBDEZFBGHZIZCDEZF
    CGHZIZJABGHZKBLMZKALMZGHZCBLMZCALMZGHZVAVDVHVKNVGABUAOVDVAVGVKVNNVDVAVGJVKC
    VIPMZCVJPMZGHZVNVDVIDEZVAVGVKVQNZVBVCBFQZVRBUBZBUCUDVAVRVJDEZVGVSUSUTAFQZWB
    AUBZAUCUDVIVJCUEUFUGVGVDVAVNVQNZVGCREZVDBREZVTIZVAAREZWCIZWEVEWFVFCSTVDWGVT
    VBWGVCBSTWAUHVAWIWCUSWIUTASTWDUHWFWHWJJVLVOVMVPGWFWHVLVOULZWJWFWGVTWKCBUIUJ
    OWFWJVMVPULZWHWFWIWCWLCAUIUJUKUMUNUOUPUQUR $.

  $( Reciprocal swap in a 'less than' relation.  (Contributed by NM,
     24-Feb-2005.) $)
  ltrec1 $p |- ( ( ( A e. RR /\ 0 < A ) /\ ( B e. RR /\ 0 < B ) ) ->
              ( ( 1 / A ) < B <-> ( 1 / B ) < A ) ) $=
    ( cr wcel cc0 clt wbr wa c1 cdiv co wb wne gt0ne0 rereccl syldan recgt0 jca
    ltrec sylan wceq cc recn recrec adantr breq2d bitrd ) ACDZEAFGZHZBCDEBFGHZH
    ZIAJKZBFGZIBJKZIUMJKZFGZUOAFGUJUMCDZEUMFGZHUKUNUQLUJURUSUHUIAEMZURANZAOPAQR
    UMBSTULUPAUOFUJUPAUAZUKUHUIUTVBVAUHAUBDUTVBAUCAUDTPUEUFUG $.

  $( Reciprocal swap in a 'less than or equal to' relation.  (Contributed by
     NM, 24-Feb-2005.) $)
  lerec2 $p |- ( ( ( A e. RR /\ 0 < A ) /\ ( B e. RR /\ 0 < B ) ) ->
              ( A <_ ( 1 / B ) <-> B <_ ( 1 / A ) ) ) $=
    ( cr wcel cc0 clt wbr wa c1 cdiv co cle wb wne gt0ne0 rereccl syldan recgt0
    jca lerec sylan2 wceq cc recn recrec syl2an2r adantl breq1d bitrd ) ACDEAFG
    HZBCDZEBFGZHZHZAIBJKZLGZIUOJKZIAJKZLGZBURLGUMUJUOCDZEUOFGZHUPUSMUMUTVAUKULB
    ENZUTBOZBPQBRSAUOTUAUNUQBURLUMUQBUBZUJUKBUCDULVBVDBUDVCBUEUFUGUHUI $.

  $( Invert ratios of positive numbers and swap their ordering.  (Contributed
     by NM, 9-Jan-2006.) $)
  ledivdiv $p |- ( ( ( ( A e. RR /\ 0 < A ) /\ ( B e. RR /\ 0 < B ) ) /\
                      ( ( C e. RR /\ 0 < C ) /\ ( D e. RR /\ 0 < D ) ) ) ->
                  ( ( A / B ) <_ ( C / D ) <-> ( D / C ) <_ ( B / A ) ) ) $=
    ( cr wcel cc0 clt wbr wa cdiv co cle wne gt0ne0 jca syl2an cc recn adantr
    c1 wb simpl redivcl 3expb sylan2 adantlr divgt0 lerec wceq breqan12rd bitrd
    recdiv ) AEFZGAHIZJZBEFZGBHIZJZJZCEFZGCHIZJZDEFZGDHIZJZJZJABKLZCDKLZMIZUAVI
    KLZUAVHKLZMIZDCKLZBAKLZMIUTVHEFZGVHHIZJVIEFZGVIHIZJVJVMUBVGUTVPVQUNUSVPUOUS
    UNUQBGNZJVPUSUQVTUQURUCBOZPUNUQVTVPABUDUEUFUGABUHPVGVRVSVAVFVRVBVFVAVDDGNZJ
    VRVFVDWBVDVEUCDOZPVAVDWBVRCDUDUEUFUGCDUHPVHVIUIQVGUTVKVNVLVOMVCCRFZCGNZJDRF
    ZWBJVKVNUJVFVCWDWEVAWDVBCSTCOPVFWFWBVDWFVEDSTWCPCDUMQUPARFZAGNZJBRFZVTJVLVO
    UJUSUPWGWHUNWGUOASTAOPUSWIVTUQWIURBSTWAPABUMQUKUL $.

  $( Division of a positive number by both sides of 'less than or equal to'.
     (Contributed by NM, 10-Jan-2006.) $)
  lediv2 $p |- ( ( ( A e. RR /\ 0 < A ) /\ ( B e. RR /\ 0 < B ) /\
       ( C e. RR /\ 0 < C ) ) -> ( A <_ B <-> ( C / B ) <_ ( C / A ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a c1 cdiv co cle cmul wb wne gt0ne0 cc recn wceq
    rereccl syldan 3ad2ant2 simp3l simp3r lemul2 syl112anc lerec 3adant3 adantr
    3ad2ant1 jca divrec 3expb syl2an 3adant2 breq12d 3coml 3adant3r 3bitr4d ) A
    DEZFAGHZIZBDEZFBGHZIZCDEZFCGHZIZJZKBLMZKALMZNHZCVLOMZCVMOMZNHZABNHZCBLMZCAL
    MZNHZVKVLDEZVMDEZVHVIVNVQPVGVDWBVJVEVFBFQZWBBRZBUBUCUDVDVGWCVJVBVCAFQZWCARZ
    AUBUCULVDVGVHVIUEVDVGVHVIUFVLVMCUGUHVDVGVRVNPVJABUIUJVDVGVHWAVQPZVIVHVDVGWH
    VHVDVGJVSVOVTVPNVHVGVSVOUAZVDVHCSEZBSEZWDIWIVGCTZVGWKWDVEWKVFBTUKWEUMWJWKWD
    WICBUNUOUPUQVHVDVTVPUAZVGVHWJASEZWFIWMVDWLVDWNWFVBWNVCATUKWGUMWJWNWFWMCAUNU
    OUPUJURUSUTVA $.

  $( Swap denominator with other side of 'less than'.  (Contributed by NM,
     3-Oct-1999.) $)
  ltdiv23 $p |- ( ( A e. RR /\ ( B e. RR /\ 0 < B ) /\ ( C e. RR /\ 0 < C ) )
              -> ( ( A / B ) < C <-> ( A / C ) < B ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cdiv co cmul wb wne gt0ne0 jca 3expb cc recn
    simpl redivcl sylan2 3adant3 simp3 simp2 ltmul1 3adant3r wceq adantr adantl
    syl3anc ad2antrl breq1d remulcl ancoms adantrr 3adant1 ltdiv1 syl2an breq2d
    divcan1d syld3an2 divcan3 bitrd 3adant2r 3bitrd ) ADEZBDEZFBGHZIZCDEZFCGHZI
    ZJZABKLZCGHZVPBMLZCBMLZGHZAVSGHZACKLZBGHZVHVKVLVQVTNZVMVHVKVLJVPDEZVLVKWDVH
    VKWEVLVKVHVIBFOZIWEVKVIWFVIVJUABPZQVHVIWFWEABUBRUCUDVHVKVLUEVHVKVLUFVPCBUGU
    LUHVOVRAVSGVHVKVRAUIVNVHVKIABVHASEVKATUJVIBSEZVHVJBTZUMVKWFVHWGUKVBUDUNVHVI
    VNWAWCNVJVHVIVNJZWAWBVSCKLZGHZWCVHVSDEZVIVNWAWLNVIVNWMVHVIVLWMVMVLVIWMCBUOU
    PUQURAVSCUSVCWJWKBWBGVIVNWKBUIZVHVIWHCSEZCFOZIWNVNWIVNWOWPVLWOVMCTUJCPQWHWO
    WPWNBCVDRUTURVAVEVFVG $.

  $( Swap denominator with other side of 'less than or equal to'.  (Contributed
     by NM, 30-May-2005.) $)
  lediv23 $p |- ( ( A e. RR /\ ( B e. RR /\ 0 < B ) /\ ( C e. RR /\ 0 < C ) )
              -> ( ( A / B ) <_ C <-> ( A / C ) <_ B ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cdiv co cle cmul wb wne gt0ne0 jca cc recn
    simpl redivcl 3expb sylan2 3adant3 simp3 simp2 lemul1 syl3anc 3adant3r wceq
    adantr ad2antrl adantl breq1d remulcl ancoms adantrr 3adant1 lediv1 divcan3
    divcan1d syld3an2 syl2an breq2d bitrd 3adant2r 3bitrd ) ADEZBDEZFBGHZIZCDEZ
    FCGHZIZJZABKLZCMHZVQBNLZCBNLZMHZAVTMHZACKLZBMHZVIVLVMVRWAOZVNVIVLVMJVQDEZVM
    VLWEVIVLWFVMVLVIVJBFPZIWFVLVJWGVJVKUABQZRVIVJWGWFABUBUCUDUEVIVLVMUFVIVLVMUG
    VQCBUHUIUJVPVSAVTMVIVLVSAUKVOVIVLIABVIASEVLATULVJBSEZVIVKBTZUMVLWGVIWHUNVBU
    EUOVIVJVOWBWDOVKVIVJVOJZWBWCVTCKLZMHZWDVIVTDEZVJVOWBWMOVJVOWNVIVJVMWNVNVMVJ
    WNCBUPUQURUSAVTCUTVCWKWLBWCMVJVOWLBUKZVIVJWICSEZCFPZIWOVOWJVOWPWQVMWPVNCTUL
    CQRWIWPWQWOBCVAUCVDUSVEVFVGVH $.

  $( Comparison of ratio of two nonnegative numbers.  (Contributed by NM,
     31-Dec-2005.) $)
  lediv12a $p |- ( ( ( ( A e. RR /\ B e. RR ) /\ ( 0 <_ A /\ A <_ B ) ) /\
               ( ( C e. RR /\ D e. RR ) /\ ( 0 < C /\ C <_ D ) ) ) ->
                 ( A / D ) <_ ( B / C ) ) $=
    ( cr wcel wa cc0 cle wbr clt c1 cdiv co cmul wi jca cc recn adantl rereccld
    simplr 0re ltletr mp3an1 imp gt0ne0d gt0ne0 rereccl syldan ad2ant2r syl2anc
    wne recgt0 ltle sylancr mpd simprr wb id lerec syl12anc mpbid jca31 simplll
    simplrl simpllr simprll simprrl simprlr jca32 simplrr simprrr lemul12a sylc
    sylan2 adantr ad2antlr divrecd ad4ant14 ad2antrl adantrrr adantrlr ad4ant24
    wceq 3brtr4d ) AEFZBEFZGZHAIJZABIJZGZGZCEFZDEFZGZHCKJZCDIJZGZGZGALDMNZONZBL
    CMNZONZADMNZBCMNZIWTWMXAEFZXCEFZGZHXAIJZXAXCIJZGZGZXBXDIJZWTXGXHXLWTDWNWOWS
    UBZWTDWPWSHDKJZHEFZWNWOWSXPPUCHCDUDUEUFZUGZUAZWNWQXHWOWRWNWQCHUMZXHCUHZCUIU
    JUKWTXJXKWTHXAKJZXJWTWOXPYCXOXRDUNULWTXQXGYCXJPUCXTHXAUOUPUQWTWRXKWPWQWRURW
    TWNWQGZWOXPWRXKUSWNWQYDWOWRYDUTUKXOXRCDVAVBVCQVDWMXMGZWGWJGWHGZXGXJGZXHGGWK
    XKGXNYEYFYGXHYEWGWJWHWGWHWLXMVEWIWJWKXMVFWGWHWLXMVGVDYEXGXJWMXGXHXLVHWMXIXJ
    XKVIQWMXGXHXLVJVKYEWKXKWIWJWKXMVLWMXIXJXKVMQABXAXCVNVOVPWGWTXEXBWEWHWLWGWTG
    ADWGARFWTASVQWTDRFZWGWOYHWNWSDSVRTWTDHUMWGXSTVSVTWHWTXFXDWEZWGWLWHWNWSYIWOW
    HWNWQYIWRWHYDGBCWHBRFYDBSVQWNCRFWHWQCSWAYDYAWHYBTVSWBWCWDWF $.

  $( Division of both sides of 'less than or equal to' into a nonnegative
     number.  (Contributed by Paul Chapman, 7-Sep-2007.) $)
  lediv2a $p |- ( ( ( ( A e. RR /\ 0 < A ) /\ ( B e. RR /\ 0 < B ) /\
                     ( C e. RR /\ 0 <_ C ) ) /\
                   A <_ B ) -> ( C / B ) <_ ( C / A ) ) $=
    ( cr wcel cc0 clt wbr wa cle w3a cdiv pm3.2 pm2.43i adantr leid anim1ci jca
    co ad2antlr 3adantl2 id ad2ant2r simplr anim1i 3adantl3 lediv12a syl2anc )
    ADEZFAGHZIZBDEZFBGHZIZCDEZFCJHZIZKABJHZIUOUOIZUPCCJHZIZIZUIULIZUJURIZIZCBLS
    CALSJHUKUQURVBUNUQVBUKURUQUSVAUOUSUPUOUSUOUOMNOUOUTUPCPQRTUAUKUNURVEUQUKUNI
    ZURIVCVDVFVCURUIULVCUJUMVCUBUCOVFUJURUIUJUNUDUERUFCCABUGUH $.

  $( The reciprocal of a positive number less than 1 is greater than 1.
     (Contributed by NM, 23-Feb-2005.) $)
  reclt1 $p |- ( ( A e. RR /\ 0 < A ) -> ( A < 1 <-> 1 < ( 1 / A ) ) ) $=
    ( cr wcel cc0 clt wbr wa c1 cdiv co wb 1re 0lt1 ltrec mpanr12 breq1i bitrdi
    1div1e1 ) ABCDAEFGZAHEFZHHIJZHAIJZEFZHUBEFSHBCDHEFTUCKLMAHNOUAHUBERPQ $.

  $( The reciprocal of a positive number greater than 1 is less than 1.
     (Contributed by NM, 28-Dec-2005.) $)
  recgt1 $p |- ( ( A e. RR /\ 0 < A ) -> ( 1 < A <-> ( 1 / A ) < 1 ) ) $=
    ( cr wcel cc0 clt wbr wa c1 cdiv co wb 1re 0lt1 ltrec mpanl12 breq2i bitrdi
    1div1e1 ) ABCDAEFGZHAEFZHAIJZHHIJZEFZUAHEFHBCDHEFSTUCKLMHANOUBHUAERPQ $.

  $( The reciprocal of a number greater than 1 is positive and less than 1.
     (Contributed by NM, 23-Feb-2005.) $)
  recgt1i $p |- ( ( A e. RR /\ 1 < A ) ->
               ( 0 < ( 1 / A ) /\ ( 1 / A ) < 1 ) ) $=
    ( cr wcel c1 clt wbr wa cc0 cdiv co 0lt1 wi 0re 1re mp3an12 mpani imdistani
    lttr recgt0 syl recgt1 biimpa sylancom jca ) ABCZDAEFZGZHDAIJZEFZUHDEFZUGUE
    HAEFZGZUIUEUFUKUEHDEFZUFUKKHBCDBCUEUMUFGUKLMNHDAROPQZASTUEUFULUJUNULUFUJAUA
    UBUCUD $.

  $( Construct a number less than 1 from any nonnegative number.  (Contributed
     by NM, 30-Dec-2005.) $)
  recp1lt1 $p |- ( ( A e. RR /\ 0 <_ A ) -> ( A / ( 1 + A ) ) < 1 ) $=
    ( cr wcel cc0 cle wbr wa c1 caddc co cdiv clt cmul ltp1 cc wceq recn adantr
    1re recnd ax-1cn addcom sylancl breqtrd readdcl mpan addgtge0 mpanr1 mpanl1
    0lt1 gt0ne0d divcan1d mulid2d 3brtr4d simpl redivcld ltmul1 mp3an2 syl12anc
    wb mpbird ) ABCZDAEFZGZAHAIJZKJZHLFZVFVEMJZHVEMJZLFZVDAVEVHVILVBAVELFVCVBAA
    HIJZVELANVBAOCZHOCVKVEPAQZUAAHUBUCUDRVDAVEVBVLVCVMRVDVEVBVEBCZVCHBCZVBVNSHA
    UEUFZRZTVDVEVOVBVCDVELFZSVOVBGDHLFVCVRUJHAUGUHUIZUKZULVBVIVEPVCVBVEVBVEVPTU
    MRUNVDVFBCZVNVRVGVJUTZVDAVEVBVCUOVQVTUPVQVSWAVOVNVRGWBSVFHVEUQURUSVA $.

  $( Given a positive number ` A ` , construct a new positive number less than
     both ` A ` and 1.  (Contributed by NM, 28-Dec-2005.) $)
  recreclt $p |- ( ( A e. RR /\ 0 < A ) ->
        ( ( 1 / ( 1 + ( 1 / A ) ) ) < 1 /\ ( 1 / ( 1 + ( 1 / A ) ) ) < A ) ) $=
    ( cr wcel cc0 clt wbr wa c1 cdiv co caddc recgt0 1re ltaddpos sylancl mpbid
    wb sylancr 0lt1 cc wne gt0ne0 rereccl syldan readdcl wi lttr mp3an12i mpani
    0re mpd recgt1 syl2anc mpbii recnd ax-1cn addcom breqtrd simpl simpr ltrec1
    wceq syl22anc jca ) ABCZDAEFZGZHHHAIJZKJZIJZHEFZVJAEFZVGHVIEFZVKVGDVHEFZVMA
    LVGVHBCZHBCZVNVMQVEVFADUAVOAUBAUCUDZMVHHNOPZVGVIBCZDVIEFZVMVKQVGVPVOVSMVQHV
    HUERZVGVMVTVRVGDHEFZVMVTSDBCVPVGVSWBVMGVTUFUJMWADHVIUGUHUIUKZVIULUMPVGVHVIE
    FZVLVGVHVHHKJZVIEVGWBVHWEEFZSVGVPVOWBWFQMVQHVHNRUNVGVHTCHTCWEVIVBVGVHVQUOUP
    VHHUQOURVGVEVFVSVTWDVLQVEVFUSVEVFUTWAWCAVIVAVCPVD $.

  $( The square function on nonnegative reals is monotonic.  (Contributed by
     NM, 3-Aug-1999.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  le2msq $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
              ( A <_ B <-> ( A x. A ) <_ ( B x. B ) ) ) $=
    ( cr wcel cc0 cle wbr wa clt cmul lt2msq ancoms notbid simpll simprl lenltd
    wn co wb remulcld 3bitr4d ) ACDZEAFGZHZBCDZEBFGZHZHZBAIGZQBBJRZAAJRZIGZQABF
    GUKUJFGUHUIULUGUDUIULSBAKLMUHABUBUCUGNZUDUEUFOZPUHUKUJUHAAUMUMTUHBBUNUNTPUA
    $.

  $( The square of a nonnegative number is a one-to-one function.  (Contributed
     by NM, 29-Jul-1999.)  (Revised by Mario Carneiro, 27-May-2016.) $)
  msq11 $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
              ( ( A x. A ) = ( B x. B ) <-> A = B ) ) $=
    ( cr wcel cc0 cle wbr cmul wceq le2msq ancoms anbi12d simpll simprl letri3d
    wa co wb remulcld 3bitr4rd ) ACDZEAFGZPZBCDZEBFGZPZPZABFGZBAFGZPAAHQZBBHQZF
    GZUKUJFGZPABIUJUKIUGUHULUIUMABJUFUCUIUMRBAJKLUGABUAUBUFMZUCUDUENZOUGUJUKUGA
    AUNUNSUGBBUOUOSOT $.

  $( "Less than or equal to" and division relation.  (Lemma for computing upper
     bounds of products.  The "+ 1" prevents division by zero.)  (Contributed
     by NM, 28-Sep-2005.) $)
  ledivp1 $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
                  ( ( A / ( B + 1 ) ) x. B ) <_ A ) $=
    ( cr wcel cc0 cle wbr wa c1 caddc cdiv cmul simprl peano2re ad2antrl simpll
    co clt jca cc wne ltp1 wi 0re lelttr mp3an1 mpdan mpan2d imp gt0ne0d adantl
    redivcld adantr divge0 sylan2 lep1 lemul2a syl31anc ad2antrr recnd divcan1d
    recn breqtrd ) ACDZEAFGZHZBCDZEBFGZHZHZABIJQZKQZBLQZVLVKLQZAFVJVGVKCDZVLCDZ
    EVLFGZHBVKFGZVMVNFGVFVGVHMVGVOVFVHBNZOZVJVPVQVJAVKVDVEVIPVTVIVKEUAVFVIVKVGV
    HEVKRGZVGVHBVKRGZWABUBVGVOVHWBHWAUCZVSECDVGVOWCUDEBVKUEUFUGUHUIZUJUKZULVIVF
    VOWAHVQVIVOWAVGVOVHVSUMWDSAVKUNUOSVGVRVFVHBUPOBVKVLUQURVJAVKVDATDVEVIAVBUSV
    GVKTDVFVHVGVKVSUTOWEVAVC $.

  ${
    $d x A $.
    $( If a nonnegative number is less than any positive number, it is zero.
       (Contributed by NM, 11-Feb-2006.) $)
    squeeze0 $p |- ( ( A e. RR /\ 0 <_ A /\ A. x e. RR ( 0 < x -> A < x ) ) ->
                   A = 0 ) $=
      ( cr wcel cc0 cle wbr cv clt wi wral wceq wo 0re leloe mpan breq2 imbi12d
      wb rspcv ltnr pm2.21d com12 imim2i com13 ax-1 eqcoms a1i jaod sylbid 3imp
      syl5d ) BCDZEBFGZEAHZIGZBUOIGZJZACKZBELZUMUNEBIGZEBLZMZUSUTJZECDUMUNVCSNE
      BOPUMVAVDVBUMUSVABBIGZJZVAUTURVFABCUOBLUPVAUQVEUOBEIQUOBBIQRTVFVAUMUTVEUM
      UTJVAUMVEUTUMVEUTBUAUBUCUDUEULVBVDJUMVDBEUTUSUFUGUHUIUJUK $.
  $}

  ${
    ltplus1.1 $e |- A e. RR $.
    $( A number is less than itself plus 1.  (Contributed by NM,
       20-Aug-2001.) $)
    ltp1i $p |- A < ( A + 1 ) $=
      ( cr wcel c1 caddc co clt wbr ltp1 ax-mp ) ACDAAEFGHIBAJK $.

    $( The reciprocal of a positive number is positive.  Exercise 4 of
       [Apostol] p. 21.  (Contributed by NM, 15-May-1999.) $)
    recgt0i $p |- ( 0 < A -> 0 < ( 1 / A ) ) $=
      ( cr wcel cc0 clt wbr c1 cdiv co recgt0 mpan ) ACDEAFGEHAIJFGBAKL $.

    ${
      recgt0i.2 $e |- 0 < A $.
      $( The reciprocal of a positive number is positive.  Exercise 4 of
         [Apostol] p. 21.  (Contributed by NM, 15-May-1999.) $)
      recgt0ii $p |- 0 < ( 1 / A ) $=
        ( cc0 c1 cdiv co clt wbr wn recni 0re 1re ax-mp cneg cmul cr wb lt0neg1
        wcel wceq ax-1cn ax-1ne0 gt0ne0ii divne0i nesymi 0lt1 rereccli renegcli
        wo ltnsymi mulgt0i mpan2 mulneg1i recidi mulcomli negeqi eqtri breqtrdi
        3imtr4i mto pm3.2ni axlttri mp2an mpbir ) DEAFGZHIZDVFUAZVFDHIZUJJZVHVI
        VFDEAUBABKZUCABCUDZUEUFVIEDHIZDEHIVMJUGDELMUKNDVFOZHIZDEOZHIZVIVMVODVNA
        PGZVPHVODAHIDVRHICVNAVFABVLUHZUIBULUMVRVFAPGZOVPVFAVFVSKZVKUNVTEAVFEVKW
        AAVKVLUOUPUQURUSVFQTZVIVORVSVFSNEQTVMVQRMESNUTVAVBDQTWBVGVJRLVSDVFVCVDV
        E $.
    $}

    prodgt0.2 $e |- B e. RR $.
    $( Infer that a multiplicand is positive from a nonnegative multiplier and
       positive product.  (Contributed by NM, 15-May-1999.) $)
    prodgt0i $p |- ( ( 0 <_ A /\ 0 < ( A x. B ) ) -> 0 < B ) $=
      ( cr wcel cc0 cle wbr cmul co clt wa prodgt0 mpanl12 ) AEFBEFGAHIGABJKLIM
      GBLICDABNO $.

    $( The ratio of two positive numbers is positive.  (Contributed by NM,
       16-May-1999.) $)
    divgt0i $p |- ( ( 0 < A /\ 0 < B ) -> 0 < ( A / B ) ) $=
      ( cr wcel cc0 clt wbr cdiv co wa divgt0 mpanr1 mpanl1 ) AEFZGAHIZGBHIZGAB
      JKHIZCPQLBEFRSDABMNO $.

    $( The ratio of nonnegative and positive numbers is nonnegative.
       (Contributed by NM, 12-Aug-1999.) $)
    divge0i $p |- ( ( 0 <_ A /\ 0 < B ) -> 0 <_ ( A / B ) ) $=
      ( cr wcel cc0 cle wbr clt cdiv co wa divge0 mpanr1 mpanl1 ) AEFZGAHIZGBJI
      ZGABKLHIZCQRMBEFSTDABNOP $.

    $( The reciprocal of both sides of 'less than'.  (Contributed by NM,
       15-Sep-1999.) $)
    ltreci $p |- ( ( 0 < A /\ 0 < B ) ->
                ( A < B <-> ( 1 / B ) < ( 1 / A ) ) ) $=
      ( cr wcel cc0 clt wbr c1 cdiv co wb wa ltrec mpanr1 mpanl1 ) AEFZGAHIZGBH
      IZABHIJBKLJAKLHIMZCRSNBEFTUADABOPQ $.

    $( The reciprocal of both sides of 'less than or equal to'.  (Contributed
       by NM, 16-Sep-1999.) $)
    lereci $p |- ( ( 0 < A /\ 0 < B ) ->
                ( A <_ B <-> ( 1 / B ) <_ ( 1 / A ) ) ) $=
      ( cr wcel cc0 clt wbr cle c1 cdiv co wb wa lerec mpanr1 mpanl1 ) AEFZGAHI
      ZGBHIZABJIKBLMKALMJINZCSTOBEFUAUBDABPQR $.

    $( The square function on nonnegative reals is strictly monotonic.
       (Contributed by NM, 3-Aug-1999.) $)
    lt2msqi $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
                ( A < B <-> ( A x. A ) < ( B x. B ) ) ) $=
      ( cr wcel cc0 cle wbr clt cmul co wb wa lt2msq mpanr1 mpanl1 ) AEFZGAHIZG
      BHIZABJIAAKLBBKLJIMZCRSNBEFTUADABOPQ $.

    $( The square function on nonnegative reals is monotonic.  (Contributed by
       NM, 2-Aug-1999.) $)
    le2msqi $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
                ( A <_ B <-> ( A x. A ) <_ ( B x. B ) ) ) $=
      ( cr wcel cc0 cle wbr cmul co wb wa le2msq mpanr1 mpanl1 ) AEFZGAHIZGBHIZ
      ABHIAAJKBBJKHILZCQRMBEFSTDABNOP $.

    $( The square of a nonnegative number is a one-to-one function.
       (Contributed by NM, 29-Jul-1999.) $)
    msq11i $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
                ( ( A x. A ) = ( B x. B ) <-> A = B ) ) $=
      ( cr wcel cc0 cle wbr cmul co wceq wb wa msq11 mpanr1 mpanl1 ) AEFZGAHIZG
      BHIZAAJKBBJKLABLMZCRSNBEFTUADABOPQ $.

    ${
      divgt0i2.3 $e |- 0 < B $.
      $( The ratio of two positive numbers is positive.  (Contributed by NM,
         16-May-1999.) $)
      divgt0i2i $p |- ( 0 < A -> 0 < ( A / B ) ) $=
        ( cc0 clt wbr cdiv co divgt0i mpan2 ) FAGHFBGHFABIJGHEABCDKL $.
    $}

    ${
      ltreci.3 $e |- 0 < A $.
      ltreci.4 $e |- 0 < B $.
      $( The reciprocal of both sides of 'less than'.  (Contributed by NM,
         15-Sep-1999.) $)
      ltrecii $p |- ( A < B <-> ( 1 / B ) < ( 1 / A ) ) $=
        ( cc0 clt wbr c1 cdiv co wb ltreci mp2an ) GAHIGBHIABHIJBKLJAKLHIMEFABC
        DNO $.

      $( The ratio of two positive numbers is positive.  (Contributed by NM,
         18-May-1999.) $)
      divgt0ii $p |- 0 < ( A / B ) $=
        ( cc0 clt wbr cdiv co divgt0i2i ax-mp ) GAHIGABJKHIEABCDFLM $.
    $}

    ltmul1.3 $e |- C e. RR $.
    $( Multiplication of both sides of 'less than' by a positive number.
       Theorem I.19 of [Apostol] p. 20.  (Contributed by NM, 16-May-1999.) $)
    ltmul1i $p |- ( 0 < C -> ( A < B <-> ( A x. C ) < ( B x. C ) ) ) $=
      ( cr wcel cc0 clt wbr cmul co wb wa ltmul1 mp3an12 mpan ) CGHZICJKZABJKAC
      LMBCLMJKNZFAGHBGHSTOUADEABCPQR $.

    $( Division of both sides of 'less than' by a positive number.
       (Contributed by NM, 16-May-1999.) $)
    ltdiv1i $p |- ( 0 < C -> ( A < B <-> ( A / C ) < ( B / C ) ) ) $=
      ( cr wcel cc0 clt wbr cdiv co wb wa ltdiv1 mp3an12 mpan ) CGHZICJKZABJKAC
      LMBCLMJKNZFAGHBGHSTOUADEABCPQR $.

    $( 'Less than' relationship between division and multiplication.
       (Contributed by NM, 12-Oct-1999.) $)
    ltmuldivi $p |- ( 0 < C -> ( ( A x. C ) < B <-> A < ( B / C ) ) ) $=
      ( cr wcel cc0 clt wbr cmul co cdiv wb wa ltmuldiv mp3an12 mpan ) CGHZICJK
      ZACLMBJKABCNMJKOZFAGHBGHTUAPUBDEABCQRS $.

    $( Multiplication of both sides of 'less than' by a positive number.
       Theorem I.19 of [Apostol] p. 20.  (Contributed by NM, 16-May-1999.) $)
    ltmul2i $p |- ( 0 < C -> ( A < B <-> ( C x. A ) < ( C x. B ) ) ) $=
      ( cr wcel cc0 clt wbr cmul co wb wa ltmul2 mp3an12 mpan ) CGHZICJKZABJKCA
      LMCBLMJKNZFAGHBGHSTOUADEABCPQR $.

    $( Multiplication of both sides of 'less than or equal to' by a positive
       number.  (Contributed by NM, 2-Aug-1999.) $)
    lemul1i $p |- ( 0 < C -> ( A <_ B <-> ( A x. C ) <_ ( B x. C ) ) ) $=
      ( cr wcel cc0 clt wbr cle cmul co wb wa lemul1 mp3an12 mpan ) CGHZICJKZAB
      LKACMNBCMNLKOZFAGHBGHTUAPUBDEABCQRS $.

    $( Multiplication of both sides of 'less than or equal to' by a positive
       number.  (Contributed by NM, 1-Aug-1999.) $)
    lemul2i $p |- ( 0 < C -> ( A <_ B <-> ( C x. A ) <_ ( C x. B ) ) ) $=
      ( cr wcel cc0 clt wbr cle cmul co wb wa lemul2 mp3an12 mpan ) CGHZICJKZAB
      LKCAMNCBMNLKOZFAGHBGHTUAPUBDEABCQRS $.

    $( Swap denominator with other side of 'less than'.  (Contributed by NM,
       26-Sep-1999.) $)
    ltdiv23i $p |- ( ( 0 < B /\ 0 < C ) ->
                ( ( A / B ) < C <-> ( A / C ) < B ) ) $=
      ( cc0 clt wbr cr wcel cdiv co wb wa ltdiv23 mp3an1 mpanl1 mpanr1 ) GBHIZC
      JKZGCHIZABLMCHIACLMBHINZFBJKZTUAUBOZUCEAJKUDTOUEUCDABCPQRS $.

    $( "Less than or equal to" and division relation.  (Lemma for computing
       upper bounds of products.  The "+ 1" prevents division by zero.)
       (Contributed by NM, 17-Sep-2005.) $)
    ledivp1i $p |- ( ( 0 <_ A /\ 0 <_ C /\ A <_ ( B / ( C + 1 ) ) ) ->
                  ( A x. C ) <_ B ) $=
      ( cc0 cle wbr c1 co w3a cmul cr wcel wa mpan2 clt syl recni cdiv readdcli
      caddc 1re ltp1i ltleii lemul2a mp3an12 3ad2ant1 wi 0re lelttri wb gt0ne0i
      mpan wne redivclzi lemul1 mp3an1 ex mpani mpcom biimpd imp wceq divcan1zi
      3syl adantr breqtrd 3adant1 remulcli letri syl2anc ) GAHIZGCHIZABCJUCKZUA
      KZHIZLACMKZAVPMKZHIZVTBHIZVSBHIVNVOWAVRANOZVNWADCNOZVPNOZWCVNPZWAFCJFUDUB
      ZWDWEWFLCVPHIWACVPFWGCFUEZUFCVPAUGQUHUOUIVOVRWBVNVOVRPVTVQVPMKZBHVOVRVTWI
      HIZVOGVPRIZVRWJUJVOCVPRIWKWHGCVPUKFWGULQZWKVRWJVQNOZWKVRWJUMZWKVPGUPZWMVP
      WGUNZBVPEWGUQSWMWEWKWNWGWMWEWKPZWNWCWMWQWNDAVQVPURUSUTVAVBVCSVDVOWIBVEZVR
      VOWKWOWRWLWPBVPBETVPWGTVFVGVHVIVJVSVTBACDFVKAVPDWGVKEVLVM $.

    $( Less-than and division relation.  (Lemma for computing upper bounds of
       products.  The "+ 1" prevents division by zero.)  (Contributed by NM,
       17-Sep-2005.) $)
    ltdivp1i $p |- ( ( 0 <_ A /\ 0 <_ C /\ A < ( B / ( C + 1 ) ) ) ->
                  ( A x. C ) < B ) $=
      ( cc0 cle wbr c1 co clt w3a cmul cr wcel wa mpan2 lelttri syl caddc ltp1i
      cdiv 1re readdcli ltleii lemul2a mp3an12 mpan 3ad2ant1 wi 0re wne gt0ne0i
      wb redivclzi ltmul1 mp3an1 mpanr1 mpancom biimpd imp wceq recni divcan1zi
      3syl adantr breqtrd 3adant1 remulcli syl2anc ) GAHIZGCHIZABCJUAKZUCKZLIZM
      ACNKZAVNNKZHIZVRBLIZVQBLIVLVMVSVPAOPZVLVSDCOPZVNOPZWAVLQZVSFCJFUDUEZWBWCW
      DMCVNHIVSCVNFWECFUBZUFCVNAUGRUHUIUJVMVPVTVLVMVPQVRVOVNNKZBLVMVPVRWGLIZVMG
      VNLIZVPWHUKVMCVNLIWIWFGCVNULFWESRZWIVPWHVOOPZWIVPWHUOZWIVNGUMZWKVNWEUNZBV
      NEWEUPTWKWCWIWLWEWAWKWCWIQWLDAVOVNUQURUSUTVATVBVMWGBVCZVPVMWIWMWOWJWNBVNB
      EVDVNWEVDVEVFVGVHVIVQVRBACDFVJAVNDWEVJESVK $.

    ${
      ltdiv23i.4 $e |- 0 < B $.
      ltdiv23i.5 $e |- 0 < C $.
      $( Swap denominator with other side of 'less than'.  (Contributed by NM,
         26-Sep-1999.) $)
      ltdiv23ii $p |- ( ( A / B ) < C <-> ( A / C ) < B ) $=
        ( cc0 clt wbr cdiv co wb ltdiv23i mp2an ) IBJKICJKABLMCJKACLMBJKNGHABCD
        EFOP $.
    $}

    ${
      ltmul1i.4 $e |- 0 < C $.
      $( Multiplication of both sides of 'less than' by a positive number.
         Theorem I.19 of [Apostol] p. 20.  (Contributed by NM, 16-May-1999.)
         (Proof shortened by Paul Chapman, 25-Jan-2008.) $)
      ltmul1ii $p |- ( A < B <-> ( A x. C ) < ( B x. C ) ) $=
        ( cc0 clt wbr cmul co wb ltmul1i ax-mp ) HCIJABIJACKLBCKLIJMGABCDEFNO
        $.

      $( Division of both sides of 'less than' by a positive number.
         (Contributed by NM, 16-May-1999.) $)
      ltdiv1ii $p |- ( A < B <-> ( A / C ) < ( B / C ) ) $=
        ( cc0 clt wbr cdiv co wb ltdiv1i ax-mp ) HCIJABIJACKLBCKLIJMGABCDEFNO
        $.
    $}
  $}

  ${
    ltp1d.1 $e |- ( ph -> A e. RR ) $.
    $( A number is less than itself plus 1.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    ltp1d $p |- ( ph -> A < ( A + 1 ) ) $=
      ( cr wcel c1 caddc co clt wbr ltp1 syl ) ABDEBBFGHIJCBKL $.

    $( A number is less than or equal to itself plus 1.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    lep1d $p |- ( ph -> A <_ ( A + 1 ) ) $=
      ( cr wcel c1 caddc co cle wbr lep1 syl ) ABDEBBFGHIJCBKL $.

    $( A number minus 1 is less than itself.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    ltm1d $p |- ( ph -> ( A - 1 ) < A ) $=
      ( cr wcel c1 cmin co clt wbr ltm1 syl ) ABDEBFGHBIJCBKL $.

    $( A number minus 1 is less than or equal to itself.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    lem1d $p |- ( ph -> ( A - 1 ) <_ A ) $=
      ( cr wcel c1 cmin co cle wbr lem1 syl ) ABDEBFGHBIJCBKL $.

    ${
      recgt0d.2 $e |- ( ph -> 0 < A ) $.
      $( The reciprocal of a positive number is positive.  Exercise 4 of
         [Apostol] p. 21.  (Contributed by Mario Carneiro, 28-May-2016.) $)
      recgt0d $p |- ( ph -> 0 < ( 1 / A ) ) $=
        ( cr wcel cc0 clt wbr c1 cdiv co recgt0 syl2anc ) ABEFGBHIGJBKLHICDBMN
        $.
    $}

    divgt0d.2 $e |- ( ph -> B e. RR ) $.
    ${
      divgt0d.3 $e |- ( ph -> 0 < A ) $.
      divgt0d.4 $e |- ( ph -> 0 < B ) $.
      $( The ratio of two positive numbers is positive.  (Contributed by Mario
         Carneiro, 28-May-2016.) $)
      divgt0d $p |- ( ph -> 0 < ( A / B ) ) $=
        ( cr wcel cc0 clt wbr cdiv co divgt0 syl22anc ) ABHIJBKLCHIJCKLJBCMNKLD
        FEGBCOP $.
    $}

    ${
      mulgt1d.3 $e |- ( ph -> 1 < A ) $.
      mulgt1d.4 $e |- ( ph -> 1 < B ) $.
      $( The product of two numbers greater than 1 is greater than 1.
         (Contributed by Mario Carneiro, 28-May-2016.) $)
      mulgt1d $p |- ( ph -> 1 < ( A x. B ) ) $=
        ( cr wcel c1 clt wbr cmul co mulgt1 syl22anc ) ABHICHIJBKLJCKLJBCMNKLDE
        FGBCOP $.
    $}

    ${
      lemulge11d.3 $e |- ( ph -> 0 <_ A ) $.
      lemulge11d.4 $e |- ( ph -> 1 <_ B ) $.
      $( Multiplication by a number greater than or equal to 1.  (Contributed
         by Mario Carneiro, 28-May-2016.) $)
      lemulge11d $p |- ( ph -> A <_ ( A x. B ) ) $=
        ( cr wcel cc0 cle wbr c1 cmul co lemulge11 syl22anc ) ABHICHIJBKLMCKLBB
        CNOKLDEFGBCPQ $.

      $( Multiplication by a number greater than or equal to 1.  (Contributed
         by Mario Carneiro, 28-May-2016.) $)
      lemulge12d $p |- ( ph -> A <_ ( B x. A ) ) $=
        ( cr wcel cc0 cle wbr c1 cmul co lemulge12 syl22anc ) ABHICHIJBKLMCKLBC
        BNOKLDEFGBCPQ $.
    $}

    lemul1ad.3 $e |- ( ph -> C e. RR ) $.
    ${
      lemul1ad.4 $e |- ( ph -> 0 <_ C ) $.
      lemul1ad.5 $e |- ( ph -> A <_ B ) $.
      $( Multiplication of both sides of 'less than or equal to' by a
         nonnegative number.  (Contributed by Mario Carneiro, 28-May-2016.) $)
      lemul1ad $p |- ( ph -> ( A x. C ) <_ ( B x. C ) ) $=
        ( cr wcel cc0 cle wbr wa cmul co jca lemul1a syl31anc ) ABJKCJKDJKZLDMN
        ZOBCMNBDPQCDPQMNEFAUAUBGHRIBCDST $.

      $( Multiplication of both sides of 'less than or equal to' by a
         nonnegative number.  (Contributed by Mario Carneiro, 28-May-2016.) $)
      lemul2ad $p |- ( ph -> ( C x. A ) <_ ( C x. B ) ) $=
        ( cr wcel cc0 cle wbr wa cmul co jca lemul2a syl31anc ) ABJKCJKDJKZLDMN
        ZOBCMNDBPQDCPQMNEFAUAUBGHRIBCDST $.
    $}

    ltmul12ad.3 $e |- ( ph -> D e. RR ) $.
    ${
      ltmul12ad.4 $e |- ( ph -> 0 <_ A ) $.
      ltmul12ad.5 $e |- ( ph -> A < B ) $.
      ltmul12ad.6 $e |- ( ph -> 0 <_ C ) $.
      ltmul12ad.7 $e |- ( ph -> C < D ) $.
      $( Comparison of product of two positive numbers.  (Contributed by Mario
         Carneiro, 28-May-2016.) $)
      ltmul12ad $p |- ( ph -> ( A x. C ) < ( B x. D ) ) $=
        ( cr wcel wa cc0 wbr clt jca cle cmul co ltmul12a syl22anc ) ABNOZCNOZP
        QBUARZBCSRZPDNOZENOZPQDUARZDESRZPBDUBUCCEUBUCSRAUFUGFGTAUHUIJKTAUJUKHIT
        AULUMLMTBCDEUDUE $.
    $}

    ${
      lemul12ad.4 $e |- ( ph -> 0 <_ A ) $.
      lemul12ad.5 $e |- ( ph -> 0 <_ C ) $.
      lemul12ad.6 $e |- ( ph -> A <_ B ) $.
      lemul12ad.7 $e |- ( ph -> C <_ D ) $.
      $( Comparison of product of two nonnegative numbers.  (Contributed by
         Mario Carneiro, 28-May-2016.) $)
      lemul12ad $p |- ( ph -> ( A x. C ) <_ ( B x. D ) ) $=
        ( cle wbr cmul co cr wcel wa cc0 wi jca lemul12a syl22anc mp2and ) ABCN
        OZDENOZBDPQCEPQNOZLMABRSZUABNOZTCRSDRSZUADNOZTERSUGUHTUIUBAUJUKFJUCGAUL
        UMHKUCIBCDEUDUEUF $.
    $}

    ${
      lemul12bd.4 $e |- ( ph -> 0 <_ A ) $.
      lemul12bd.5 $e |- ( ph -> 0 <_ D ) $.
      lemul12bd.6 $e |- ( ph -> A <_ B ) $.
      lemul12bd.7 $e |- ( ph -> C <_ D ) $.
      $( Comparison of product of two nonnegative numbers.  (Contributed by
         Mario Carneiro, 28-May-2016.) $)
      lemul12bd $p |- ( ph -> ( A x. C ) <_ ( B x. D ) ) $=
        ( cle wbr cmul co cr wcel wa cc0 wi jca lemul12b syl22anc mp2and ) ABCN
        OZDENOZBDPQCEPQNOZLMABRSZUABNOZTCRSDRSERSZUAENOZTUGUHTUIUBAUJUKFJUCGHAU
        LUMIKUCBCDEUDUEUF $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Completeness Axiom and Suprema
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x y $.
    $( A finite set of real numbers has a maximum.  (Contributed by Jeff
       Madsen, 2-Sep-2009.)  (Proof shortened by Steven Nguyen, 3-Jun-2023.) $)
    fimaxre $p |- ( ( A C_ RR /\ A e. Fin /\ A =/= (/) )
                                            -> E. x e. A A. y e. A y <_ x ) $=
      ( cr wss wcel wne cv clt wbr wi wral wrex wor wa weq wo ssel2 wb a1i ltso
      cfn c0 w3a cle soss mpi fimaxg syl3an1 adantrl leloed orcom equcom orbi2i
      adantrr bitri neor 3bitr2d biimprd anassrs ralimdva reximdva 3ad2ant1 mpd
      ) CDEZCUBFZCUCGZUDAHZBHZGVIVHIJZKZBCLZACMZVIVHUEJZBCLZACMZVECINZVFVGVMVED
      INVQUACDIUFUGABCIUHUIVEVFVMVPKVGVEVLVOACVEVHCFZOVKVNBCVEVRVICFZVKVNKVEVRV
      SOOZVNVKVTVNVJBAPZQZABPZVJQZVKVTVIVHVEVSVIDFVRCDVIRUJVEVRVHDFVSCDVHRUOUKW
      DWBSVTWDVJWCQWBWCVJULWCWAVJABUMUNUPTWDVKSVTVJVHVIUQTURUSUTVAVBVCVD $.
  $}

  ${
    $d A x y $.
    $( A nonempty finite set of real numbers has an upper bound.  (Contributed
       by Jeff Madsen, 27-May-2011.)  (Revised by Mario Carneiro,
       13-Feb-2014.) $)
    fimaxre2 $p |- ( ( A C_ RR /\ A e. Fin ) ->
                     E. x e. RR A. y e. A y <_ x ) $=
      ( cr wss cfn wcel wa cv cle wbr wral wrex c0 wceq wi cc0 rzal brralrspcev
      0re sylancr a1i wne fimaxre 3expia ssrexv adantr syld pm2.61dne ) CDEZCFG
      ZHZBIZAIJKBCLZADMZCNCNOZUOPULUPQDGUMQJKZBCLUOTUQBCRABUMQJDCSUAUBULCNUCZUN
      ACMZUOUJUKURUSABCUDUEUJUSUOPUKUNACDUFUGUHUI $.
  $}

  ${
    $d w x y z A $.  $d w x z B $.
    $( A nonempty finite set of real numbers has a maximum (image set version).
       (Contributed by Mario Carneiro, 13-Feb-2014.) $)
    fimaxre3 $p |- ( ( A e. Fin /\ A. y e. A B e. RR )
                                      -> E. x e. RR A. y e. A B <_ x ) $=
      ( vw vz cfn wcel cr wral wa cv cle wbr wceq wrex syl wb wi wal cab r19.29
      eleq1 biimparc rexlimivw ex abssdv abrexfi fimaxre2 syl2anr r19.23v albii
      wss ralcom4 eqeq1 rexbidv ralab 3bitr4i breq1 ceqsalg ralimi ralbi adantl
      nfv bitr3id mpbid ) CGHZDIHZBCJZKELZALZMNZEFLZDOZBCPZFUAZJZAIPZDVKMNZBCJZ
      AIPZVIVPIUMVPGHVRVGVIVOFIVIVOVMIHZVIVOKVHVNKZBCPWBVHVNBCUBWCWBBCVNWBVHVMD
      IUCUDUEQUFUGBFCDUHAEVPUIUJVIVRWARVGVIVQVTAIVQVJDOZVLSZETZBCJZVIVTWEBCJZET
      WDBCPZVLSZETWGVQWHWJEWDVLBCUKULWEBECUNVOWIVLEFVMVJOVNWDBCVMVJDUOUPUQURVIW
      FVSRZBCJWGVTRVHWKBCVLVSEDIVSEVDVJDVKMUSUTVAWFVSBCVBQVEUPVCVF $.
  $}

  ${
    $d A x y $.
    $( A nonempty finite set of real numbers has a minimum.  Analogous to
       ~ fimaxre .  (Contributed by AV, 9-Aug-2020.)  (Proof shortened by
       Steven Nguyen, 3-Jun-2023.) $)
    fiminre $p |- ( ( A C_ RR /\ A e. Fin /\ A =/= (/) )
                                            -> E. x e. A A. y e. A x <_ y ) $=
      ( cr wss cfn wcel wne cv clt wbr wi wral wrex wor wa wo ssel2 wb a1i ltso
      c0 w3a cle soss mpi fiming syl3an1 weq adantr adantlr leloed neor 3bitr2d
      orcom biimprd ralimdva reximdva 3ad2ant1 mpd ) CDEZCFGZCUBHZUCAIZBIZHVDVE
      JKZLZBCMZACNZVDVEUDKZBCMZACNZVACJOZVBVCVIVADJOVMUACDJUEUFABCJUGUHVAVBVIVL
      LVCVAVHVKACVAVDCGZPZVGVJBCVOVECGZPZVJVGVQVJVFABUIZQZVRVFQZVGVQVDVEVOVDDGV
      PCDVDRUJVAVPVEDGVNCDVERUKULVTVSSVQVRVFUOTVTVGSVQVFVDVEUMTUNUPUQURUSUT $.
  $}

  ${
    $d A x y $.
    $( A nonempty finite set of real numbers is bounded below.  (Contributed by
       Glauco Siliprandi, 8-Apr-2021.) $)
    fiminre2 $p |- ( ( A C_ RR /\ A e. Fin ) -> E. x e. RR A. y e. A x <_ y )
               $=
      ( cr wss cfn wcel wa c0 wceq cle wbr wral wrex cc0 0red rzal breq1 adantl
      cv ralbidv rspcev syl2anc wn wne neqne simpll simplr simpr fiminre ssrexv
      syl3anc sylc syldan pm2.61dan ) CDEZCFGZHZCIJZATZBTZKLZBCMZADNZUSVDURUSOD
      GOVAKLZBCMZVDUSPVEBCQVCVFAODUTOJVBVEBCUTOVAKRUAUBUCSURUSUDZCIUEZVDVGVHURC
      IUFSURVHHZUPVCACNZVDUPUQVHUGZVIUPUQVHVJVKUPUQVHUHURVHUIABCUJULVCACDUKUMUN
      UO $.
  $}

  ${
    $d A a n x $.
    $( The negation of a finite set of real numbers is finite.  (Contributed by
       AV, 9-Aug-2020.) $)
    negfi $p |- ( ( A C_ RR /\ A e. Fin )
                  -> { n e. RR | -u n e. A } e. Fin ) $=
      ( va vx cr cfn wcel cv cneg crab wceq syl eqcomd eleq1d wb cvv cab wa imp
      adantl wss cmpt crn wral ssel renegcl syl6 ralrimiv dmmptg wfun fundmfibi
      cdm funmpt mp1i bitr4d wf1 reex ssex mptexd wf1o negf1o f1vrnfibi syl2anc
      eqid f1of1 wrex recn negnegd biimpcd mpdan eleq1 negeq anbi12d syl5ibrcom
      jca rexlimdva simprr eqeq2d negneg ad2antrl rspcedvd impbid abbidv df-rab
      wi cc ex rnmpt 3eqtr4g 3bitrd biimpa ) AEUAZAFGZBHZIZAGZBEJZFGZWLWMCACHZI
      ZUBZFGZXAUCZFGZWRWLWMXAULZFGZXBWLAXEFWLXEAWLWTEGZCAUDXEAKWLXGCAWLWSAGZWSE
      GZXGAEWSUEZWSUFZUGUHCAWTEUILMNXAUJXBXFOWLCAWTUMXAUKUNUOWLXAPGADHIAGDEJZXA
      UPZXBXDOWLCAWTPAEUQURUSWLAXLXAUTXMCADXAXAVDZVAAXLXAVELAXLXAPVBVCWLXCWQFWL
      WNWTKZCAVFZBQWNEGZWPRZBQXCWQWLXPXRBWLXPXRWLXOXRCAWLXHRZXRXOXGWTIZAGZRZXSX
      IYBWLXHXIXJSXSXIRXGYAXIXGXSXKTXSXIYAXHXIYAWEWLXIXHYAXIWSXTAXIXTWSXIWSWSVG
      VHMNVITSVOVJXOXQXGWPYAWNWTEVKXOWOXTAWNWTVLNVMVNVPWLXRXPWLXRRZXOWNWOIZKZCW
      OAWLXQWPVQWSWOKZXOYEOYCYFWTYDWNWSWOVLVRTXQYEWLWPXQWNWFGZYEWNVGYGYDWNWNVSM
      LVTWAWGWBWCCBAWTXAXNWHWPBEWDWINWJWK $.
  $}

  ${
    $d w x y S $.  $d w y A $.
    $( If a set of reals contains a lower bound, it contains a unique lower
       bound.  (Contributed by NM, 9-Oct-2005.) $)
    lbreu $p |- ( ( S C_ RR /\ E. x e. S A. y e. S x <_ y ) ->
                E! x e. S A. y e. S x <_ y ) $=
      ( vw cr wss cv cle wbr wral wrex wa weq wi wreu wcel breq2 im2anan9r ssel
      rspcv anim12d impcom letri3 syl exbiri com23 syld com3r ralrimivv anim1ci
      wb breq1 ralbidv reu4 sylibr ) CEFZAGZBGZHIZBCJZACKZLVAUTDGZURHIZBCJZLZAD
      MZNZDCJACJZLUTACOUPVHVAUPVGADCCUQCPZVBCPZLZVEUPVFVKVEUQVBHIZVBUQHIZLZUPVF
      NVJUTVLVIVDVMUSVLBVBCURVBUQHQTVCVMBUQCURUQVBHQTRVKUPVNVFVKUPVFVNVKUPLUQEP
      ZVBEPZLZVFVNUKUPVKVQUPVIVOVJVPCEUQSCEVBSUAUBUQVBUCUDUEUFUGUHUIUJUTVDADCVF
      USVCBCUQVBURHULUMUNUO $.

    $( If a set of reals contains a lower bound, it contains a unique lower
       bound that belongs to the set.  (Contributed by NM, 9-Oct-2005.)
       (Revised by Mario Carneiro, 24-Dec-2016.) $)
    lbcl $p |- ( ( S C_ RR /\ E. x e. S A. y e. S x <_ y ) ->
                ( iota_ x e. S A. y e. S x <_ y ) e. S ) $=
      ( cr wss cv cle wbr wral wrex wa wreu crio wcel lbreu riotacl syl ) CDEAF
      BFGHBCIZACJKRACLRACMCNABCORACPQ $.

    $( If a set of reals contains a lower bound, the lower bound is less than
       or equal to all members of the set.  (Contributed by NM, 9-Oct-2005.)
       (Proof shortened by Mario Carneiro, 24-Dec-2016.) $)
    lble $p |- ( ( S C_ RR /\ E. x e. S A. y e. S x <_ y /\ A e. S ) ->
                ( iota_ x e. S A. y e. S x <_ y ) <_ A ) $=
      ( cr wss cv cle wbr wral wrex wcel crio wa wreu nfcv nfriota1 nfbr nfralw
      lbreu eqid wceq nfra1 nfriota nfeq2 breq1 ralbid riotaprop syl breq2 rspc
      simprd mpan9 3impa ) DEFZAGZBGZHIZBDJZADKZCDLZUSADMZCHIZUOUTNZVBUQHIZBDJZ
      VAVCVDVBDLZVFVDUSADOVGVFNABDTUSVFADVBVEABDADPAVBUQHUSADQAHPAUQPRSVBUAUPVB
      UBURVEBDBUPVBUSBADURBDUCBDPUDZUEUPVBUQHUFUGUHUIULVEVCBCDBVBCHVHBHPBCPRUQC
      VBHUJUKUMUN $.
  $}

  ${
    $d S x y z $.
    $( If a set of reals contains a lower bound, the lower bound is its
       infimum.  (Contributed by NM, 9-Oct-2005.)  (Revised by AV,
       4-Sep-2020.) $)
    lbinf $p |- ( ( S C_ RR /\ E. x e. S A. y e. S x <_ y ) ->
                    inf ( S , RR , < ) = ( iota_ x e. S A. y e. S x <_ y ) ) $=
      ( vz cr wss cv cle wbr wral wrex crio clt wor ltso a1i wcel lbcl adantr
      wa wi ssel mpd ssel2 adantlr lble 3expa lensymd infmin ) CEFZAGBGHIBCJZAC
      KZTZDECUKACLZMEMNUMOPUMUNCQZUNEQZABCRZUJUOUPUAULCEUNUBSUCZUQUMDGZCQZTUNUS
      UMUPUTURSUJUTUSEQULCEUSUDUEUJULUTUNUSHIABUSCUFUGUHUI $.

    $( If a set of reals contains a lower bound, it contains its infimum.
       (Contributed by NM, 11-Oct-2005.)  (Revised by AV, 4-Sep-2020.) $)
    lbinfcl $p |- ( ( S C_ RR /\ E. x e. S A. y e. S x <_ y )
                         -> inf ( S , RR , < ) e. S ) $=
      ( cr wss cv cle wbr wral wrex wa clt cinf crio lbinf lbcl eqeltrd ) CDEAF
      BFGHBCIZACJKCDLMRACNCABCOABCPQ $.

    $d A y $.
    $( If a set of reals contains a lower bound, its infimum is less than or
       equal to all members of the set.  (Contributed by NM, 11-Oct-2005.)
       (Revised by AV, 4-Sep-2020.) $)
    lbinfle $p |- ( ( S C_ RR /\ E. x e. S A. y e. S x <_ y /\ A e. S )
                         -> inf ( S , RR , < ) <_ A ) $=
      ( cr wss cle wbr wral wrex wcel w3a clt cinf crio wceq lbinf 3adant3 lble
      cv eqbrtrd ) DEFZATBTGHBDIZADJZCDKZLDEMNZUCADOZCGUBUDUFUGPUEABDQRABCDSUA
      $.
  $}

  ${
    $d x y z w v u t A $.
    $( A nonempty, bounded-above set of reals has a supremum.  Stronger version
       of completeness axiom (it has a slightly weaker antecedent).
       (Contributed by NM, 19-Jan-1997.) $)
    sup2 $p |- ( ( A C_ RR /\ A =/= (/) /\
                  E. x e. RR A. y e. A ( y < x \/ y = x ) ) ->
               E. x e. RR ( A. y e. A -. x < y /\
                  A. y e. RR ( y < x -> E. z e. A y < z ) ) ) $=
      ( cr cv clt wbr wceq wral wrex w3a wi wa wcel wex c1 caddc adantr imp wss
      c0 wne wo wn peano2re a1i ssel ltp1 ancli lttr 3expb sylan2 sylan2i exp4b
      co com34 pm2.43d breq1 syl5ibrcom adantl jaod syl6 com23 ralimdv2 expimpd
      ex a2d jcad ovex eleq1 breq2 ralbidv anbi12d spcev exlimdv cbvexvw syl6ib
      df-rex 3imtr4g imdistani df-3an 3imtr4i axsup syl ) DEUAZDUBUCZBFZAFZGHZW
      HWIIZUDZBDJZAEKZLZWFWGWJBDJZAEKZLZWIWHGHUEBDJWJWHCFZGHZCDKMBEJNAEKWFWGNZW
      NNXAWQNWOWRXAWNWQWFWNWQMWGWFWIEOZWMNZAPZXBWPNZAPZWNWQWFXDWSEOZWTBDJZNZCPZ
      XFWFXCXJAWFXCWIQRUPZEOZWHXKGHZBDJZNZXJWFXCXLXNXCXLMWFXBXLWMWIUFZSUGWFXBWM
      XNWFXBNZWLXMBDDXQWHDOZWLXMWFXBXRWLXMMZMWFXRXBXSWFXRWHEOZXBXSMDEWHUHXTXBXS
      XTXBNZWJXMWKXTXBWJXMMZXTXBYBXTXBWJXBXMXTXBWJXBXMXBYAWJWIXKGHZXMWIUIZXBXTX
      BXLNWJYCNXMMZXBXLXPUJXTXBXLYEWHWIXKUKULUMUNUOUQURTXBWKXMMXTXBXMWKYCYDWHWI
      XKGUSUTVAVBVGVCVDTVHVEVFVIXIXOCXKWIQRVJWSXKIZXGXLXHXNWSXKEVKYFWTXMBDWSXKW
      HGVLVMVNVOVCVPXIXECAWSWIIZXGXBXHWPWSWIEVKYGWTWJBDWSWIWHGVLVMVNVQVRWMAEVSW
      PAEVSVTSWAWFWGWNWBWFWGWQWBWCABCDWDWE $.

    $( A version of the completeness axiom for reals.  (Contributed by NM,
       12-Oct-2004.) $)
    sup3 $p |- ( ( A C_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A y <_ x ) ->
                  E. x e. RR ( A. y e. A -. x < y /\
                  A. y e. RR ( y < x -> E. z e. A y < z ) ) ) $=
      ( cr wss c0 wne cv cle wbr wral wrex w3a clt weq wo wa wcel 3anass expcom
      wn wi ssel leloe syl9 imp31 ralbidva rexbidva anbi2d pm5.32i 3bitr4i sup2
      wb sylbi ) DEFZDGHZBIZAIZJKZBDLZAEMZNZUPUQURUSOKZBAPQZBDLZAEMZNZUSUROKUBB
      DLVDURCIOKCDMUCBELRAEMUPUQVBRZRUPUQVGRZRVCVHUPVIVJUPVBVGUQUPVAVFAEUPUSESZ
      RUTVEBDUPVKURDSZUTVEUNZUPVLURESZVKVMDEURUDVNVKVMURUSUEUAUFUGUHUIUJUKUPUQV
      BTUPUQVGTULABCDUMUO $.

    $( Lemma for ~ infm3 .  (Contributed by NM, 14-Jun-2005.) $)
    infm3lem $p |- ( x e. RR -> E. y e. RR x = -u y ) $=
      ( cv cr wcel cneg wceq wrex renegcl negnegd eqcomd negeq rspceeqv syl2anc
      recn ) ACZDEZPFZDEPRFZGPBCZFZGBDHPIQSPQPPOJKBRDUASPTRLMN $.

    $( The completeness axiom for reals in terms of infimum: a nonempty,
       bounded-below set of reals has an infimum.  (This theorem is the dual of
       ~ sup3 .)  (Contributed by NM, 14-Jun-2005.) $)
    infm3 $p |- ( ( A C_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A x <_ y ) ->
                  E. x e. RR ( A. y e. A -. y < x /\
                  A. y e. RR ( x < y -> E. z e. A z < y ) ) ) $=
      ( vu vv vw vt cr cv cle wbr wral wrex clt wi wa wcel wal df-ral wss c0 wn
      wne cneg crab wex ssel pm4.71rd exbidv df-rex renegcl eleq1 rexxfr bitr3i
      infm3lem bitrdi n0 rabn0 3bitr4g imbi1d impexp albidv wceq imbi12d ralxfr
      breq2 rexbidv breq1 imbi2d negeq eleq1d elrab imbi1i bitri albii 3bitr4ri
      ralbidv wb leneg ancoms bitr3id rexbiia bitr4i anbi12d ssrab2 sup3 mp3an1
      ralbidva syl6bi notbid adantrd syl5bb ltneg rexrab anbi2d rexbidva adantl
      sylibrd 3impib ) DIUAZDUBUDZAJZBJZKLZBDMZAINZXDXCOLZUCZBDMZXCXDOLZCJZXDOL
      ZCDNZPZBIMZQZAINZXAXBXGQZEJZFJZOLZUCZFGJZUEZDRZGIUFZMZYAXTOLZYAHJZOLZHYGN
      ZPZFIMZQZEINZXRXAXSYGUBUDZYAXTKLZFYGMZEINZQYPXAXBYQXGYTXAYADRZFUGZYFGINZX
      BYQXAUUBYAIRZUUAQZFUGZUUCXAUUAUUEFXAUUAUUDDIYAUHUIUJUUFUUAFINUUCUUAFIUKUU
      AYFFGYEIIYDULFGUPYAYEDUMUNUOUQFDURYFGIUSUTXAXGYAUEZDRZXCUUGKLZPZFIMZAINZY
      TXAXFUUKAIXAXDDRZXEPZBSXDIRZUUNPZBSZXFUUKXAUUNUUPBXAUUNUUOUUMQZXEPUUPXAUU
      MUURXEXAUUMUUODIXDUHUIZVAUUOUUMXEVBUQVCXEBDTUUKUUNBIMUUQUUNUUJBFUUGIIYAUL
      ZBFUPZXDUUGVDZUUMUUHXEUUIXDUUGDUMZXDUUGXCKVGVEVFUUNBITUOUTVHUULUUHXTUEZUU
      GKLZPZFIMZEINYTUUKUVGAEUVDIIXTULZAEUPZXCUVDVDZUUJUVFFIUVJUUIUVEUUHXCUVDUU
      GKVIVJVRUNYSUVGEIYSUUHYRPZFIMZXTIRZUVGYAYGRZYRPZFSUUDUVKPZFSYSUVLUVOUVPFU
      VOUUDUUHQZYRPUVPUVNUVQYRYFUUHGYAIYDYAVDYEUUGDYDYAVKVLVMZVNUUDUUHYRVBVOVPY
      RFYGTUVKFITVQUVMUVKUVFFIUVMUUDQZYRUVEUUHUUDUVMYRUVEVSYAXTVTWAVJWIWBWCWDUQ
      WEYGIUAYQYTYPYFGIWFEFHYGWGWHWJXAXRUUHUUGXCOLZUCZPZFIMZXCUUGOLZYJUEZDRZUWE
      UUGOLZQZHINZPZFIMZQZAINZYPXAXQUWLAIXAXJUWCXPUWKXAUUMXIPZBSUUOUWNPZBSZXJUW
      CXAUWNUWOBXAUWNUURXIPUWOXAUUMUURXIUUSVAUUOUUMXIVBUQVCXIBDTUWCUWNBIMUWPUWN
      UWBBFUUGIIUUTUVAUVBUUMUUHXIUWAUVCUVBXHUVTXDUUGXCOVIWKVEVFUWNBITUOUTXPUWDX
      LUUGOLZCDNZPZFIMXAUWKXOUWSBFUUGIIUUTUVAUVBXKUWDXNUWRXDUUGXCOVGUVBXMUWQCDX
      DUUGXLOVGVHVEVFXAUWSUWJFIXAUWRUWIUWDXAXLDRZUWQQZCUGXLIRZUXAQZCUGZUWRUWIXA
      UXAUXCCXAUXAUXBXAUWTUXBUWQDIXLUHWLUIUJUWQCDUKUWIUXACINUXDUXAUWHCHUWEIIYJU
      LCHUPXLUWEVDUWTUWFUWQUWGXLUWEDUMXLUWEUUGOVIWEUNUXACIUKUOUTVJVRWMWEVHUWMUU
      HUUGUVDOLZUCZPZFIMZUVDUUGOLZUWIPZFIMZQZEINYPUWLUXLAEUVDIIUVHUVIUVJUWCUXHU
      WKUXKUVJUWBUXGFIUVJUWAUXFUUHUVJUVTUXEXCUVDUUGOVGWKVJVRUVJUWJUXJFIUVJUWDUX
      IUWIXCUVDUUGOVIVAVRWEUNYOUXLEIUVMYHUXHYNUXKYHUUHYCPZFIMZUVMUXHUVNYCPZFSUU
      DUXMPZFSYHUXNUXOUXPFUXOUVQYCPUXPUVNUVQYCUVRVNUUDUUHYCVBVOVPYCFYGTUXMFITVQ
      UVMUXMUXGFIUVSYCUXFUUHUVSYBUXEXTYAWNWKVJWIWBUVMYMUXJFIUVSYIUXIYLUWIUUDUVM
      YIUXIVSYAXTWNWAUUDYLUWIVSUVMYLUWFYKQZHINUUDUWIYFUWFYKHGIYDYJVDYEUWEDYDYJV
      KVLWOUUDUXQUWHHIUUDYJIRQYKUWGUWFYAYJWNWPWQWMWRVEWIWEWCWDUQWSWT $.

    $( Closure of supremum of a nonempty bounded set of reals.  (Contributed by
       NM, 12-Oct-2004.) $)
    suprcl $p |- ( ( A C_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A y <_ x ) ->
                  sup ( A , RR , < ) e. RR ) $=
      ( vz cr wss c0 wne cv cle wbr wral wrex w3a clt wor ltso a1i sup3 supcl )
      CEFCGHBIAIJKBCLAEMNZABDECOEOPUAQRABDCST $.

    $( A member of a nonempty bounded set of reals is less than or equal to the
       set's upper bound.  (Contributed by NM, 12-Oct-2004.) $)
    suprub $p |- ( ( ( A C_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A y <_ x )
                 /\ B e. A ) -> B <_ sup ( A , RR , < ) ) $=
      ( vz cr wss c0 wne cv cle wbr wral wrex w3a wcel wa clt csup simp1 sselda
      suprcl adantr wn wor ltso a1i sup3 supub imp nltled ) CFGZCHIZBJAJKLBCMAF
      NZOZDCPZQDCFRSZUOCFDULUMUNTUAUOUQFPUPABCUBUCUOUPUQDRLUDUOABEFCDRFRUEUOUFU
      GABECUHUIUJUK $.
  $}

  ${
    $d A x y $.
    suprubd.1 $e |- ( ph -> A C_ RR ) $.
    suprubd.2 $e |- ( ph -> A =/= (/) ) $.
    suprubd.3 $e |- ( ph -> E. x e. RR A. y e. A y <_ x ) $.
    suprubd.4 $e |- ( ph -> B e. A ) $.
    $( Natural deduction form of ~ suprubd .  (Contributed by Stanislas Polu,
       9-Mar-2020.) $)
    suprubd $p |- ( ph -> B <_ sup ( A , RR , < ) ) $=
      ( cr wss c0 wne cv cle wbr wral wrex wcel clt csup suprub syl31anc ) ADJK
      DLMCNBNOPCDQBJREDSEDJTUAOPFGHIBCDEUBUC $.
  $}

  ${
    $d A x y $.
    suprcld.2 $e |- ( ph -> A C_ RR ) $.
    suprcld.1 $e |- ( ph -> A =/= (/) ) $.
    suprcld.4 $e |- ( ph -> E. x e. RR A. y e. A y <_ x ) $.
    $( Natural deduction form of ~ suprcl .  (Contributed by Stanislas Polu,
       9-Mar-2020.) $)
    suprcld $p |- ( ph -> sup ( A , RR , < ) e. RR ) $=
      ( cr wss c0 wne cv cle wbr wral wrex clt csup wcel suprcl syl3anc ) ADHID
      JKCLBLMNCDOBHPDHQRHSEFGBCDTUA $.
  $}

  ${
    $d A w x y $.  $d A w z $.  $d B w z $.
    $( The supremum of a nonempty bounded set of reals is the least upper
       bound.  (Contributed by NM, 15-Nov-2004.)  (Revised by Mario Carneiro,
       6-Sep-2014.) $)
    suprlub $p |- ( ( ( A C_ RR /\ A =/= (/) /\
                      E. x e. RR A. y e. A y <_ x ) /\ B e. RR ) ->
                    ( B < sup ( A , RR , < ) <-> E. z e. A B < z ) ) $=
      ( vw cr wss c0 wne cv cle wbr wral wrex w3a wcel wa clt csup wor ltso a1i
      sup3 simp1 suplub2 breq2 cbvrexvw bitrdi ) DGHZDIJZBKAKLMBDNAGOZPZEGQREDG
      STSMEFKZSMZFDOECKZSMZCDOUMABFGDESGSUAUMUBUCABFDUDUJUKULUEUFUOUQFCDUNUPESU
      GUHUI $.

    $( An upper bound is not less than the supremum of a nonempty bounded set
       of reals.  (Contributed by NM, 15-Nov-2004.)  (Revised by Mario
       Carneiro, 6-Sep-2014.) $)
    suprnub $p |- ( ( ( A C_ RR /\ A =/= (/) /\
                      E. x e. RR A. y e. A y <_ x ) /\ B e. RR ) ->
                    ( -. B < sup ( A , RR , < ) <-> A. z e. A -. B < z ) ) $=
      ( cr wss c0 wne cv cle wbr wral wrex w3a wcel wa clt csup wn suprlub
      notbid ralnex bitr4di ) DFGDHIBJAJKLBDMAFNOEFPQZEDFRSRLZTECJRLZCDNZTUGTCD
      MUEUFUHABCDEUAUBUGCDUCUD $.

    $( The supremum of a nonempty bounded set of reals is less than or equal to
       an upper bound.  (Contributed by NM, 18-Mar-2005.)  (Revised by Mario
       Carneiro, 6-Sep-2014.) $)
    suprleub $p |- ( ( ( A C_ RR /\ A =/= (/) /\
                       E. x e. RR A. y e. A y <_ x ) /\ B e. RR ) ->
                  ( sup ( A , RR , < ) <_ B <-> A. z e. A z <_ B ) ) $=
      ( vw cr wss c0 wne cv cle wbr wral wrex w3a wcel wa clt wn suprnub suprcl
      csup wb lenlt sylan simpl1 sselda simplr lenltd ralbidva 3bitr4d cbvralvw
      breq1 bitrdi ) DGHZDIJZBKAKLMBDNAGOZPZEGQZRZDGSUCZELMZFKZELMZFDNZCKZELMZC
      DNVAEVBSMTZEVDSMTZFDNVCVFABFDEUAUSVBGQUTVCVIUDABDUBVBEUEUFVAVEVJFDVAVDDQZ
      RVDEVADGVDUPUQURUTUGUHUSUTVKUIUJUKULVEVHFCDVDVGELUNUMUO $.
  $}

  ${
    $d x y z b v w a A $.  $d x y z b v w a B $.  $d x w a C $.
    $d z b v w a ph $.
    supadd.a1 $e |- ( ph -> A C_ RR ) $.
    supadd.a2 $e |- ( ph -> A =/= (/) ) $.
    supadd.a3 $e |- ( ph -> E. x e. RR A. y e. A y <_ x ) $.
    ${
      supaddc.b $e |- ( ph -> B e. RR ) $.
      supaddc.c $e |- C = { z | E. v e. A z = ( v + B ) } $.
      $( The supremum function distributes over addition in a sense similar to
         that in ~ supmul1 .  (Contributed by Brendan Leahy, 25-Sep-2017.) $)
      supaddc $p |- ( ph -> ( sup ( A , RR , < ) + B ) =
          sup ( C , RR , < ) ) $=
        ( vw va cr cle wbr wcel wrex clt csup caddc co wceq wn cv vex weq oveq1
        eqeq2d cbvrexvw eqeq1 rexbidv syl5bb elab2 wa sselda suprcld adantr wss
        wral c0 wne w3a suprub sylan leadd1dd breq1 syl5ibrcom rexlimdva syl5bi
        3jca ralrimiv wb readdcld eleq1a syl ssrdv wex ovex isseti rgenw r19.2z
        wi sylancl exbii n0 rexcom4 3bitr4i sylibr brralrspcev syl2anc suprleub
        syl31anc cmin ltsubaddd biimpar resubcld suprlub mpbid adantlr ad2antrr
        mpbird rspe adantl simplrr eqbrtrrd mpdan exlimdv lensymd mtbird nrexdv
        expr mpi pm2.65da eqleltd mpbir2and eqcomd ) AHPUAUBZFPUAUBZGUCUDZAXTYB
        UEXTYBQRZXTYBUARZUFAYCNUGZYBQRZNHVBZAYFNHYEHSZYEOUGZGUCUDZUEZOFTZAYFDUG
        ZEUGZGUCUDZUEZEFTZYLDYEHNUHYQYMYJUEZOFTDNUIZYLYPYREOFEOUIYOYJYMYNYIGUCU
        JUKULYSYRYKOFYMYEYJUMUNUOMUPZAYKYFOFAYIFSZUQZYFYKYJYBQRUUBYIYAGAFPYIIUR
        ZAYAPSUUAABCFIJKUSZUTAGPSZUUALUTZAFPVAZFVCVDZCUGBUGZQRCFVBBPTZVEUUAYIYA
        QRAUUGUUHUUJIJKVMBCFYIVFVGVHYEYJYBQVIVJVKVLVNZAHPVAZHVCVDZYEUUIQRNHVBBP
        TZYBPSZYCYGVOANHPYHYLAYEPSZYTAYKUUPOFUUBYJPSZYKUUPWEUUBYIGUUCUUFVPZYJPY
        EVQVRVKVLVSZAYKNVTZOFTZUUMAUUHUUTOFVBUVAJUUTOFNYJYIGUCWAWBZWCUUTOFWDWFY
        HNVTYLNVTUUMUVAYHYLNYTWGNHWHYKONFWIWJWKZAUUOYGUUNAYAGUUDLVPZUUKBNYEYBQP
        HWLWMZUVDBNNHYBWNWOXDAYDXTGWPUDZYIUARZOFTZAYDUQZUVFYAUARZUVHAUVJYDAXTGY
        AABNHUUSUVCUVEUSZLUUDWQWRAUVJUVHVOZYDAUUGUUHUUJUVFPSUVLIJKAXTGUVKLWSBCO
        FUVFWTWOUTXAUVIUVGOFUVIUUAUQZUVGXTYJUARUVMYJXTAUUAUUQYDUURXBAXTPSYDUUAU
        VKXCZAUUAYJXTQRZYDUUBUUTUVOUVBUUBYKUVONAUUAYKUVOAUUAYKUQZUQZYHUVOUVPYHA
        UVPYLYHYKOFXEYTWKXFUVQYHUQYEYJXTQAUUAYKYHXGAYHYEXTQRZUVPAUULUUMUUNVEYHU
        VRAUULUUMUUNUUSUVCUVEVMBNHYEVFVGXBXHXIXNXJXOXBXKUVMXTGYIUVNAUUEYDUUALXC
        AUUAYIPSYDUUCXBWQXLXMXPAXTYBUVKUVDXQXRXS $.
    $}
    supadd.b1 $e |- ( ph -> B C_ RR ) $.
    supadd.b2 $e |- ( ph -> B =/= (/) ) $.
    supadd.b3 $e |- ( ph -> E. x e. RR A. y e. B y <_ x ) $.
    supadd.c $e |- C = { z | E. v e. A E. b e. B z = ( v + b ) } $.
    $( The supremum function distributes over addition in a sense similar to
       that in ~ supmul .  (Contributed by Brendan Leahy, 26-Sep-2017.) $)
    supadd $p |- ( ph -> ( sup ( A , RR , < ) + sup ( B , RR , < ) ) =
        sup ( C , RR , < ) ) $=
      ( va vw cr cle clt csup caddc wceq wbr wrex cab suprcld eqid supaddc wcel
      co cv wa sselda recnd adantr addcomd eqeq2d rexbidva abbidv supeq1d eqtrd
      wral vex weq eqeq1 rexbidv elab wss c0 wne adantlr rspe cbvrexvw 2rexbidv
      oveq1 syl5bb elab2 sylibr ex anim12d readdcl syl6 eleq1a rexlimdvv syl5bi
      wi sseld ssrdv wex ovex isseti rgenw r19.2z sylancl rexcom4 sylib syl2anc
      ralrimivw n0 exbii bitri readdcld adantrr adantrl w3a 3jca suprub le2addd
      sylan breq1 biimprcd ralrimiv brralrspcev syl3anc wb syl rexlimdva abssdv
      sylan9r suprleub syl31anc mpbird eqbrtrd syl5ibrcom letri3d mpbir2and
      abn0 ) AFSUAUBZGSUAUBZUCULZHSUAUBZUDYLYMTUEYMYLTUEZAYLDUMZYKQUMZUCULZUDZQ
      FUFZDUGZSUAUBZYMTAYLYOYPYKUCULZUDZQFUFZDUGZSUAUBUUAABCDQFYKUUEJKLABCGMNOU
      HZUUEUIUJASUUEYTUAAUUDYSDAUUCYRQFAYPFUKZUNZUUBYQYOUUHYPYKUUHYPAFSYPJUOZUP
      UUHYKAYKSUKZUUGUUFUQZUPURUSUTVAVBVCAUUAYMTUEZRUMZYMTUEZRYTVDZAUUNRYTUUMYT
      UKUUMYQUDZQFUFZAUUNYSUUQDUUMRVEZDRVFZYRUUPQFYOUUMYQVGVHVIAUUPUUNQFUUHUUNU
      UPYQYMTUEUUHYQYOYPIUMZUCULZUDZIGUFZDUGZSUAUBZYMTUUHYQYOUUTYPUCULZUDZIGUFZ
      DUGZSUAUBUVEUUHBCDIGYPUVIAGSVJZUUGMUQAGVKVLZUUGNUQACUMBUMZTUEZCGVDBSUFZUU
      GOUQUUIUVIUIUJUUHSUVIUVDUAUUHUVHUVCDUUHUVGUVBIGUUHUUTGUKZUNZUVFUVAYOUVPUU
      TYPUVPUUTAUVOUUTSUKZUUGAGSUUTMUOZVMZUPUVPYPUUHYPSUKZUVOUUIUQZUPURUSUTVAVB
      VCUUHUVEYMTUEZUUNRUVDVDZUUHUUNRUVDUUMUVDUKUUMUVAUDZIGUFZUUHUUNUVCUWEDUUMU
      URUUSUVBUWDIGYOUUMUVAVGZVHVIUUGUWEUUMHUKZAUUNUUGUWEUWGUUGUWEUNUWEQFUFZUWG
      UWEQFVNYOEUMZUUTUCULZUDZIGUFZEFUFZUWHDUUMHUURUWMUVCQFUFUUSUWHUWLUVCEQFEQV
      FZUWKUVBIGUWNUWJUVAYOUWIYPUUTUCVQUSVHVOUUSUVBUWDQIFGUWFVPVRPVSZVTWAAHSVJZ
      HVKVLZUUMUVLTUEZRHVDBSUFZUWGUUNWHARHSUWGUWHAUUMSUKZUWOAUWDUWTQIFGAUUGUVOU
      NZUVASUKZUWDUWTWHAUXAUVTUVQUNUXBAUUGUVTUVOUVQAFSYPJWIAGSUUTMWIWBYPUUTWCWD
      UVASUUMWEWDWFWGWJZAUWHRWKZUWQAUWERWKZQFUFZUXDAFVKVLZUXEQFVDUXFKAUXEQFAUWD
      RWKZIGUFZUXEAUVKUXHIGVDUXINUXHIGRUVAYPUUTUCWLZWMWNUXHIGWOWPUWDIRGWQWRWTUX
      EQFWOWSUWEQRFWQWRUWQUWGRWKUXDRHXAUWGUWHRUWOXBXCVTZAYLSUKZUUMYLTUEZRHVDZUW
      SAYJYKABCFJKLUHZUUFXDZAUXMRHUWGUWHAUXMUWOAUWDUXMQIFGAUXAUVAYLTUEZUWDUXMWH
      AUXAUXQAUXAUNYPUUTYJYKAUUGUVTUVOUUIXEAUVOUVQUUGUVRXFAYJSUKUXAUXOUQAUUJUXA
      UUFUQAUUGYPYJTUEZUVOAFSVJZUXGUVMCFVDBSUFZXGUUGUXRAUXSUXGUXTJKLXHBCFYPXIXK
      XEAUVOUUTYKTUEZUUGAUVJUVKUVNXGUVOUYAAUVJUVKUVNMNOXHBCGUUTXIXKXFXJWAUWDUXM
      UXQUUMUVAYLTXLXMWDWFWGXNZBRUUMYLTSHXOWSZUWPUWQUWSXGUWGUUNBRHUUMXIWAXPYAWG
      XNZUUHUVDSVJUVDVKVLZUWRRUVDVDBSUFZYMSUKZUWBUWCXQUUHUVCDSUUHUVBYOSUKZIGUVP
      UXBUVBUYHWHUVPYPUUTUWAUVSXDUVASYOWEXRXSXTAUYEUUGAUVCDWKZUYEAUVBDWKZIGUFZU
      YIAUVKUYJIGVDUYKNUYJIGDUVAUXJWMWNUYJIGWOWPUVBIDGWQWRUVCDYIVTUQUUHUYGUWCUY
      FAUYGUUGABRHUXCUXKUYCUHZUQZUYDBRUUMYMTSUVDXOWSUYMBRRUVDYMYBYCYDYEUUMYQYMT
      XLYFXSWGXNZAYTSVJYTVKVLZUWRRYTVDBSUFZUYGUULUUOXQAYSDSAYRUYHQFUUHYQSUKYRUY
      HWHUUHYKYPUUKUUIXDYQSYOWEXRXSXTAYSDWKZUYOAYRDWKZQFUFZUYQAUXGUYRQFVDUYSKUY
      RQFDYQYKYPUCWLWMWNUYRQFWOWPYRQDFWQWRYSDYIVTAUYGUUOUYPUYLUYNBRUUMYMTSYTXOW
      SUYLBRRYTYMYBYCYDYEAYNUXNUYBAUWPUWQUWSUXLYNUXNXQUXCUXKUYCUXPBRRHYLYBYCYDA
      YLYMUXPUYLYGYH $.
  $}

  ${
    $d A b v w x z $.  $d B b v w x y z $.  $d C b w x $.  $d ph b w $.
    supmul1.1 $e |- C = { z | E. v e. B z = ( A x. v ) } $.
    supmul1.2 $e |- ( ph <-> ( ( A e. RR /\ 0 <_ A /\ A. x e. B 0 <_ x ) /\
        ( B C_ RR /\ B =/= (/) /\ E. x e. RR A. y e. B y <_ x ) ) ) $.
    $( The supremum function distributes over multiplication, in the sense that
       ` A x. ( sup B ) = sup ( A x. B ) ` , where ` A x. B ` is shorthand for
       ` { A x. b | b e. B } ` and is defined as ` C ` below.  This is the
       simple version, with only one set argument; see ~ supmul for the more
       general case with two set arguments.  (Contributed by Mario Carneiro,
       5-Jul-2013.) $)
    supmul1 $p |- ( ph ->
      ( A x. sup ( B , RR , < ) ) = sup ( C , RR , < ) ) $=
      ( vw vb cr clt cle wbr wa wcel cc0 adantr csup cmul co wceq wral wrex vex
      wn cv oveq2 eqeq2d cbvrexvw eqeq1 rexbidv syl5bb elab2 wss c0 simpr sylbi
      wne w3a simp1d sselda suprcl syl simpl1 simpl2 jca sylan lemul2a syl31anc
      suprub breq1 rexlimdva syl5bi ralrimiv wb wi remulcld eleq1a ssrdv simpr2
      syl5ibrcom wex ovex isseti rgenw r19.2z sylancl n0 rexcom4 3bitr4i sylibr
      exbii brralrspcev syl2anc 3jca suprleub mpbird simpl3 breq2 rspccva letrd
      cdiv 0red exlimdv mpd imp mulge0d anim1i lelttr syl3anc prodgt02 syl22anc
      ltdivmul syl112anc gt0ne0d redivcld suprlub mpbid adantlr ad2antrr adantl
      ex rspe simplrr eqbrtrrd mpdan mpi lensymd mtbird nrexdv pm2.65da eqleltd
      expr eqcomd ) AHMNUAZFGMNUAZUBUCZAYRYTUDYRYTOPZYRYTNPZUHZQAUUAUUCAUUAKUIZ
      YTOPZKHUEZAUUEKHUUDHRZUUDFLUIZUBUCZUDZLGUFZAUUEDUIZFEUIZUBUCZUDZEGUFZUUKD
      UUDHKUGUUPUULUUIUDZLGUFUULUUDUDZUUKUUOUUQELGUUMUUHUDUUNUUIUULUUMUUHFUBUJU
      KULUURUUQUUJLGUULUUDUUIUMUNUOIUPZAUUJUUELGAUUHGRZQZUUEUUJUUIYTOPZUVAUUHMR
      ZYSMRZFMRZSFOPZQZUUHYSOPZUVBAGMUUHAGMUQZGURVAZCUIBUIZOPCGUEBMUFZAUVEUVFSU
      VKOPZBGUEZVBZUVIUVJUVLVBZQZUVPJUVOUVPUSUTZVCVDZAUVDUUTAUVPUVDUVRBCGVEVFZT
      ZAUVGUUTAUVEUVFAUVQUVEJUVEUVFUVNUVPVGUTZAUVQUVFJUVEUVFUVNUVPVHUTZVITAUVPU
      UTUVHUVRBCGUUHVMVJZUUHYSFVKVLUUDUUIYTOVNWDVOVPVQZAHMUQZHURVAZUUDUVKOPKHUE
      BMUFZVBZYTMRZUUAUUFVRAUWFUWGUWHAKHMUUGUUKAUUDMRZUUSAUUJUWKLGUVAUUIMRZUUJU
      WKVSUVAFUUHAUVEUUTUWBTZUVSVTZUUIMUUDWAVFVOVPZWBAUUJKWEZLGUFZUWGAUVJUWPLGU
      EUWQAUVQUVJJUVOUVIUVJUVLWCUTZUWPLGKUUIFUUHUBWFWGZWHUWPLGWIWJUUGKWEZUUKKWE
      UWGUWQUUGUUKKUUSWOKHWKZUUJLKGWLWMWNZAUWJUUFUWHAFYSUWBUVTVTZUWEBKUUDYTOMHW
      PWQWRZUXCBKKHYTWSWQWTAUUBYRFXEUCZUUHNPZLGUFZAUUBQZUXEYSNPZUXGUXHUXIUUBAUU
      BUSUXHYRMRZUVDUVESFNPZUXIUUBVRAUXJUUBAUWIUXJUXDBKHVEVFZTZAUVDUUBUVTTZAUVE
      UUBUWBTZUXHUVEUVDSYSOPZSYTNPZUXKUXOUXNAUXPUUBAUVJUXPUWRUVJUUTLWEAUXPLGWKA
      UUTUXPLAUUTUXPUVASUUHYSUVAXFUVSUWAAUVNUUTSUUHOPZAUVQUVNJUVEUVFUVNUVPXAUTU
      VMUXRBUUHGUVKUUHSOXBXCVJZUWDXDYEXGVPXHTUXHSYROPZUUBQZUXQAUXTUUBAUWGUXTUXB
      UWGUWTAUXTUXAAUUGUXTKAUUGUXTAUUGQZSUUDYRUYBXFAUUGUWKUWOXIAUXJUUGUXLTAUUGS
      UUDOPZUUGUUKAUYCUUSAUUJUYCLGUVAUYCUUJSUUIOPUVAFUUHUWMUVSAUVFUUTUWCTUXSXJU
      UDUUISOXBWDVOVPXIAUWIUUGUUDYROPZUXDBKHUUDVMVJZXDYEXGVPXHXKAUYAUXQVSZUUBAS
      MRUXJUWJUYFAXFUXLUXCSYRYTXLXMTXHFYSXNXOZYRYSFXPXQWTUXHUVPUXEMRUXIUXGVRAUV
      PUUBUVRTUXHYRFUXMUXOUXHFUYGXRXSBCLGUXEXTWQYAUXHUXFLGUXHUUTQZUXFYRUUINPZUY
      HUUIYRAUUTUWLUUBUWNYBAUXJUUBUUTUXLYCZAUUTUUIYROPZUUBUVAUWPUYKUWSUVAUUJUYK
      KAUUTUUJUYKAUUTUUJQZQZUUGUYKUYLUUGAUYLUUKUUGUUJLGYFUUSWNYDUYMUUGQUUDUUIYR
      OAUUTUUJUUGYGAUUGUYDUYLUYEYBYHYIYPXGYJYBYKUYHUXJUVCUVEUXKUXFUYIVRUYJAUUTU
      VCUUBUVSYBAUVEUUBUUTUWBYCUXHUXKUUTUYGTYRUUHFXPXQYLYMYNVIAYRYTUXLUXCYOWTYQ
      $.
  $}

  ${
    $d A a b v x y w z $.  $d B a b v x y w z $.  $d C a x w $.
    $d ph a b w z $.
    supmul.1 $e |- C = { z | E. v e. A E. b e. B z = ( v x. b ) } $.
    supmul.2 $e |- ( ph <-> ( ( A. x e. A 0 <_ x /\ A. x e. B 0 <_ x ) /\
        ( A C_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A y <_ x ) /\
        ( B C_ RR /\ B =/= (/) /\ E. x e. RR A. y e. B y <_ x ) ) ) $.
    $( Lemma for ~ supmul .  (Contributed by Mario Carneiro, 5-Jul-2013.) $)
    supmullem1 $p |- ( ph -> A. w e. C
        w <_ ( sup ( A , RR , < ) x. sup ( B , RR , < ) ) ) $=
      ( va cv cr cle wbr wcel wrex cc0 clt csup cmul wceq vex weq oveq1 rexbidv
      co eqeq2d cbvrexvw eqeq1 2rexbidv syl5bb elab2 wa wi wss wne wral simp2bi
      c0 w3a simp1d sselda adantrr suprcl syl adantr simp3bi simp1l sylbi breq2
      adantrl rspccv imp simp1r suprub sylan lemul12ad breq1 biimprcd rexlimdvv
      ex syl6 syl5bi ralrimiv ) AENZGOUAUBZHOUAUBZUCUIZPQZEIWHIRWHMNZJNZUCUIZUD
      ZJHSMGSZAWLDNZFNZWNUCUIZUDZJHSZFGSZWQDWHIEUEXCWRWOUDZJHSZMGSDEUFZWQXBXEFM
      GFMUFZXAXDJHXGWTWOWRWSWMWNUCUGUJUHUKXFXDWPMJGHWRWHWOULUMUNKUOAWPWLMJGHAWM
      GRZWNHRZUPZWOWKPQZWPWLUQAXJXKAXJUPWMWIWNWJAXHWMORXIAGOWMAGOURZGVBUSZCNBNZ
      PQZCGUTBOSZATXNPQZBGUTZXQBHUTZUPZXLXMXPVCZHOURZHVBUSZXOCHUTBOSZVCZLVAZVDV
      EVFAWIORZXJAYAYGYFBCGVGVHVIAXIWNORXHAHOWNAYBYCYDAXTYAYELVJZVDVEVNAWJORZXJ
      AYEYIYHBCHVGVHVIAXHTWMPQZXIAXHYJAXRXHYJUQAXTYAYEVCZXRLXRXSYAYEVKVLXQYJBWM
      GXNWMTPVMVOVHVPVFAXITWNPQZXHAXIYLAXSXIYLUQAYKXSLXRXSYAYEVQVLXQYLBWNHXNWNT
      PVMVOVHVPVNAXHWMWIPQZXIAYAXHYMYFBCGWMVRVSVFAXIWNWJPQZXHAYEXIYNYHBCHWNVRVS
      VNVTWDWPWLXKWHWOWKPWAWBWEWCWFWG $.

    $( Lemma for ~ supmul .  (Contributed by Mario Carneiro, 5-Jul-2013.) $)
    supmullem2 $p |- ( ph ->
        ( C C_ RR /\ C =/= (/) /\ E. x e. RR A. w e. C w <_ x ) ) $=
      ( va cr cv cle wral wrex wcel cmul wss c0 wne wbr wceq vex eqeq2d rexbidv
      co oveq1 cbvrexvw eqeq1 2rexbidv syl5bb elab2 wa wi cc0 w3a simp2bi sseld
      simp1d simp3bi anim12d syl6 eleq1a rexlimdvv syl5bi ssrdv wex simp2d ovex
      remulcl isseti rgenw r19.2z sylancl rexcom4 sylib ralrimivw syl2anc exbii
      n0 bitri sylibr clt csup suprcl syl remulcld supmullem1 brralrspcev 3jca
      ) AINUAIUBUCZEOZBOZPUDEIQBNRZAEINWOISZWOMOZJOZTUIZUEZJHRZMGRZAWONSZDOZFOZ
      WTTUIZUEZJHRZFGRZXDDWOIEUFXKXFXAUEZJHRZMGRXFWOUEZXDXJXMFMGXGWSUEZXIXLJHXO
      XHXAXFXGWSWTTUJUGUHUKXNXLXBMJGHXFWOXAULUMUNKUOZAXBXEMJGHAWSGSZWTHSZUPZXAN
      SZXBXEUQAXSWSNSZWTNSZUPXTAXQYAXRYBAGNWSAGNUAZGUBUCZCOWPPUDZCGQBNRZAURWPPU
      DZBGQYGBHQUPZYCYDYFUSZHNUAZHUBUCZYECHQBNRZUSZLUTZVBVAAHNWTAYJYKYLAYHYIYML
      VCZVBVAVDWSWTVMVEXANWOVFVEVGVHVIAXDEVJZWNAXCEVJZMGRZYPAYDYQMGQYRAYCYDYFYN
      VKAYQMGAXBEVJZJHRZYQAYKYSJHQYTAYJYKYLYOVKYSJHEXAWSWTTVLVNVOYSJHVPVQXBJEHV
      RVSVTYQMGVPWAXCMEGVRVSWNWREVJYPEIWCWRXDEXPWBWDWEAGNWFWGZHNWFWGZTUIZNSWOUU
      CPUDEIQWQAUUAUUBAYIUUANSYNBCGWHWIAYMUUBNSYOBCHWHWIWJABCDEFGHIJKLWKBEWOUUC
      PNIWLWAWM $.

    $( The supremum function distributes over multiplication, in the sense that
       ` ( sup A ) x. ( sup B ) = sup ( A x. B ) ` , where ` A x. B ` is
       shorthand for ` { a x. b | a e. A , b e. B } ` and is defined as ` C `
       below.  We made use of this in our definition of multiplication in the
       Dedekind cut construction of the reals (see ~ df-mp ).  (Contributed by
       Mario Carneiro, 5-Jul-2013.)  (Revised by Mario Carneiro,
       6-Sep-2014.) $)
    supmul $p |- ( ph ->
      ( sup ( A , RR , < ) x. sup ( B , RR , < ) ) = sup ( C , RR , < ) ) $=
      ( va vw cr wceq cle wbr wrex wcel wral clt csup cmul co cv cab wss c0 wne
      w3a cc0 wa simp2bi suprcl syl simp3bi cc mulcom syl2an syl2anc wex simp2d
      recn n0 sylib 0red simp1d sselda adantr wi simp1r sylbi rspccv imp suprub
      breq2 sylan letrd exlimddv simp1l eqid supmul1 syl31anc eqtrd vex rexbidv
      biid eqeq1 elab rspe oveq1 eqeq2d cbvrexvw syl5bb elab2 sylibr supmullem2
      2rexbidv sylan9r syl5bi ralrimiv adantlr remulcld eleq1a rexlimdva abssdv
      ex wb ovex isseti rgenw sylancl rexcom4 cbvexvw abn0 brralrspcev suprleub
      r19.2z mpbird eqbrtrd breq1 syl5ibrcom supmullem1 letri3d mpbir2and ) AFN
      UAUBZGNUAUBZUCUDZHNUAUBZOYHYIPQYIYHPQZAYHDUEZYGLUEZUCUDZOZLFRZDUFZNUAUBZY
      IPAYHYGYFUCUDZYQAYFNSZYGNSZYHYROZAFNUGZFUHUIZCUEBUEZPQZCFTBNRZUJZYSAUKUUD
      PQZBFTZUUHBGTZULZUUGGNUGZGUHUIZUUECGTBNRZUJZKUMZBCFUNUOZAUUOYTAUUKUUGUUOK
      UPZBCGUNUOZYSYFUQSYGUQSZUUAYTYFVCYGVCZYFYGURUSUTAYTUKYGPQZUUIUUGYRYQOUUSA
      IUEZGSZUVBIAUUMUVDIVAAUULUUMUUNUURVBZIGVDVEAUVDULZUKUVCYGUVFVFAGNUVCAUULU
      UMUUNUURVGVHZAYTUVDUUSVIAUVDUKUVCPQZAUUJUVDUVHVJAUUKUUGUUOUJZUUJKUUIUUJUU
      GUUOVKVLZUUHUVHBUVCGUUDUVCUKPVPVMUOVNAUUOUVDUVCYGPQUURBCGUVCVOVQVRVSAUVIU
      UIKUUIUUJUUGUUOVTVLZUUPYTUVBUUIUJUUGULZBCDLYGFYPYPWAUVLWGWBWCWDAYQYIPQZMU
      EZYIPQZMYPTZAUVOMYPUVNYPSUVNYMOZLFRZAUVOYOUVRDUVNMWEZYKUVNOZYNUVQLFYKUVNY
      MWHWFWIAUVQUVOLFAYLFSZULZUVOUVQYMYIPQUWBYMYLYGUCUDZYIPUWBYTYLNSZYMUWCOZAY
      TUWAUUSVIZAFNYLAUUBUUCUUFUUPVGVHZYTUUTYLUQSUWEUWDUVAYLVCYGYLURUSUTUWBUWCY
      KYLUVCUCUDZOZIGRZDUFZNUAUBZYIPUWBUWDUKYLPQZUUJUUOUWCUWLOUWGAUWAUWMAUUIUWA
      UWMVJUVKUUHUWMBYLFUUDYLUKPVPVMUOVNAUUJUWAUVJVIAUUOUWAUURVIUWDUWMUUJUJUUOU
      LZBCDIYLGUWKUWKWAUWNWGWBWCUWBUWLYIPQZUVOMUWKTZUWBUVOMUWKUVNUWKSUVNUWHOZIG
      RZUWBUVOUWJUWRDUVNUVSUVTUWIUWQIGYKUVNUWHWHZWFZWIUWAUWRUVNHSZAUVOUWAUWRUXA
      UWAUWRULUWRLFRZUXAUWRLFWJYKEUEZUVCUCUDZOZIGRZEFRZUXBDUVNHUVSUXGUWJLFRUVTU
      XBUXFUWJELFUXCYLOZUXEUWIIGUXHUXDUWHYKUXCYLUVCUCWKWLWFWMUVTUWIUWQLIFGUWSWR
      WNJWOWPXGAHNUGHUHUIUVNUUDPQZMHTBNRUJZUXAUVOVJABCDMEFGHIJKWQZUXJUXAUVOBMHU
      VNVOXGUOWSWTXAZUWBUWKNUGUWKUHUIZUXIMUWKTBNRZYINSZUWOUWPXHUWBUWJDNUWBUWIYK
      NSZIGUWBUVDULZUWHNSUWIUXPVJUXQYLUVCUWBUWDUVDUWGVIAUVDUVCNSUWAUVGXBXCUWHNY
      KXDUOXEXFAUXMUWAAUWJDVAZUXMAUWRMVAZUXRAUWQMVAZIGRZUXSAUUMUXTIGTUYAUVEUXTI
      GMUWHYLUVCUCXIXJXKUXTIGXRXLUWQIMGXMVEUWJUWRDMUWTXNWPUWJDXOWPVIUWBUXOUWPUX
      NAUXOUWAAUXJUXOUXKBMHUNUOZVIZUXLBMUVNYIPNUWKXPUTUYCBMMUWKYIXQWCXSXTXTUVNY
      MYIPYAYBXEWTXAZAYPNUGYPUHUIZUXIMYPTBNRZUXOUVMUVPXHAYODNAYNUXPLFUWBYMNSYNU
      XPVJUWBYGYLUWFUWGXCYMNYKXDUOXEXFAYODVAZUYEAYNDVAZLFRZUYGAUUCUYHLFTUYIAUUB
      UUCUUFUUPVBUYHLFDYMYGYLUCXIXJXKUYHLFXRXLYNLDFXMVEYODXOWPAUXOUVPUYFUYBUYDB
      MUVNYIPNYPXPUTUYBBMMYPYIXQWCXSXTAYJUVNYHPQMHTZABCDMEFGHIJKYCAUXJYHNSYJUYJ
      XHUXKAYFYGUUQUUSXCZBMMHYHXQUTXSAYHYIUYKUYBYDYE $.
  $}

  ${
    $d x y z A $.
    sup3i.1 $e |- ( A C_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A y <_ x ) $.
    $( A version of the completeness axiom for reals.  (Contributed by NM,
       23-Aug-1999.) $)
    sup3ii $p |- E. x e. RR ( A. y e. A -. x < y /\
                  A. y e. RR ( y < x -> E. z e. A y < z ) ) $=
      ( cr wss c0 wne cv cle wbr wral wrex w3a clt wn wi wa sup3 ax-mp ) DFGDHI
      BJZAJZKLBDMAFNOUCUBPLQBDMUBUCPLUBCJPLCDNRBFMSAFNEABCDTUA $.

    $( Closure of supremum of a nonempty bounded set of reals.  (Contributed by
       NM, 12-Sep-1999.) $)
    suprclii $p |- sup ( A , RR , < ) e. RR $=
      ( cr wss c0 wne cv cle wbr wral wrex w3a clt csup wcel suprcl ax-mp ) CEF
      CGHBIAIJKBCLAEMNCEOPEQDABCRS $.

    $( A member of a nonempty bounded set of reals is less than or equal to the
       set's upper bound.  (Contributed by NM, 12-Sep-1999.) $)
    suprubii $p |- ( B e. A -> B <_ sup ( A , RR , < ) ) $=
      ( cr wss c0 wne cv cle wbr wral wrex w3a wcel clt csup suprub mpan ) CFGC
      HIBJAJKLBCMAFNODCPDCFQRKLEABCDST $.

    $d z B $.
    $( The supremum of a nonempty bounded set of reals is the least upper
       bound.  (Contributed by NM, 15-Oct-2004.)  (Revised by Mario Carneiro,
       6-Sep-2014.) $)
    suprlubii $p |- ( B e. RR ->
      ( B < sup ( A , RR , < ) <-> E. z e. A B < z ) ) $=
      ( cr wss c0 wne cv cle wbr wral wrex w3a wcel clt csup wb suprlub mpan )
      DGHDIJBKAKLMBDNAGOPEGQEDGRSRMECKRMCDOTFABCDEUAUB $.

    $( An upper bound is not less than the supremum of a nonempty bounded set
       of reals.  (Contributed by NM, 15-Oct-2004.)  (Revised by Mario
       Carneiro, 6-Sep-2014.) $)
    suprnubii $p |- ( B e. RR ->
      ( -. B < sup ( A , RR , < ) <-> A. z e. A -. B < z ) ) $=
      ( cr wss c0 wne cv cle wbr wral wrex w3a wcel clt csup wn wb suprnub mpan
      ) DGHDIJBKAKLMBDNAGOPEGQEDGRSRMTECKRMTCDNUAFABCDEUBUC $.

    $( The supremum of a nonempty bounded set of reals is less than or equal to
       an upper bound.  (Contributed by NM, 18-Mar-2005.)  (Revised by Mario
       Carneiro, 6-Sep-2014.) $)
    suprleubii $p |- ( B e. RR ->
      ( sup ( A , RR , < ) <_ B <-> A. z e. A z <_ B ) ) $=
      ( cr wss c0 wne cv cle wbr wral wrex w3a wcel clt csup wb suprleub mpan )
      DGHDIJBKAKLMBDNAGOPEGQDGRSELMCKELMCDNTFABCDEUAUB $.
  $}

  ${
    $d x y $.  $d y ph $.  $d x ps $.
    riotaneg.1 $e |- ( x = -u y -> ( ph <-> ps ) ) $.
    $( The negative of the unique real such that ` ph ` .  (Contributed by NM,
       13-Jun-2005.) $)
    riotaneg $p |- ( E! x e. RR ph ->
                ( iota_ x e. RR ph ) = -u ( iota_ y e. RR ps ) ) $=
      ( wtru cr wreu crio cneg wceq tru nfriota1 nfneg wcel renegcl adantl recn
      cv cc wa simpr renegcld negeq wb negcon2 syl2an reuhyp riotaxfrd mpan ) F
      ACGHACGIBDGIZJZKLFABCDGDSZJZULDUKBDGMNUMGOZUNGOFUMPQFUKGOZUAUKFUPUBUCEUMU
      KUDCSZGOZUQUNKZDGHFCDUNUQJZGUQPURUQTOUMTOUSUMUTKUEUOUQRUMRUQUMUFUGUHQUIUJ
      $.
  $}

  ${
    $d x y z $.  $d y z F $.
    negiso.1 $e |- F = ( x e. RR |-> -u x ) $.
    $( Negation is an order anti-isomorphism of the real numbers, which is its
       own inverse.  (Contributed by Mario Carneiro, 24-Dec-2016.) $)
    negiso $p |- ( F Isom < , `' < ( RR , RR ) /\ `' F = F ) $=
      ( vz vy cr clt ccnv wceq cv wbr cfv wb wral cneg cmpt wa wtru wcel negeq
      wiso wf1o simpr renegcld recn negcon2 syl2an adantl f1ocnv2d mptru simpli
      cc ltneg negex brcnv bitr4di fvmpt breqan12d bitr4d rgen2 df-isom cbvmptv
      mpbir2an simpri 3eqtr4i pm3.2i ) FFGGHZBUAZBHZBIVHFFBUBZDJZEJZGKZVKBLZVLB
      LZVGKZMZEFNDFNVJVIEFVLOZPZIZVJVTQRAEFFAJZOZVRBCRWAFSZQWARWCUCUDRVLFSZQVLR
      WDUCUDWCWDQWAVRIVLWBIMZRWCWAULSVLULSWEWDWAUEVLUEWAVLUFUGUHUIUJZUKVQDEFFVK
      FSZWDQZVMVKOZVRVGKZVPWHVMVRWIGKWJVKVLUMWIVRGVKUNZVLUNZUOUPWGWDVNWIVOVRVGA
      VKWBWIFBWAVKTCWKUQAVLWBVRFBWAVLTCWLUQURUSUTDEFFGVGBVAVCVSAFWBPVIBEAFVRWBV
      LWATVBVJVTWFVDCVEVF $.
  $}

  ${
    $d A w x y z $.
    $( The infimum of a set of reals ` A ` .  (Contributed by NM, 9-Oct-2005.)
       (Revised by AV, 4-Sep-2020.) $)
    dfinfre $p |- ( A C_ RR -> inf ( A , RR , < ) = U. { x e. RR |
        ( A. y e. A x <_ y /\ A. y e. RR ( x < y -> E. z e. A z < y ) ) } ) $=
      ( cr clt cv wbr wral wrex wi wa crab cuni wn wcel wb vex brcnv eqtrid wss
      cinf ccnv csup cle df-inf df-sup ssel2 notbii lenlt bitr4id sylan2 ancoms
      an32s ralbidva rexbii imbi12i ralbii a1i anbi12d rabbidva unieqd ) DEUAZD
      EFUBDEFUCZUDZAGZBGZUEHZBDIZVFVGFHZCGZVGFHZCDJZKZBEIZLZAEMZNZDEFUFVCVEVFVG
      VDHZOZBDIZVGVFVDHZVGVKVDHZCDJZKZBEIZLZAEMZNVRABCDEVDUGVCWHVQVCWGVPAEVCVFE
      PZLZWAVIWFVOWJVTVHBDVCVGDPZWIVTVHQZWIVCWKLZWLWMWIVGEPZWLDEVGUHWIWNLVTVGVF
      FHZOVHVSWOVFVGFARZBRZSUIVFVGUJUKULUMUNUOWFVOQWJWEVNBEWBVJWDVMVGVFFWQWPSWC
      VLCDVGVKFWQCRSUPUQURUSUTVAVBTT $.

    $( Closure of infimum of a nonempty bounded set of reals.  (Contributed by
       NM, 8-Oct-2005.)  (Revised by AV, 4-Sep-2020.) $)
    infrecl $p |- ( ( A C_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A x <_ y )
                    -> inf ( A , RR , < ) e. RR ) $=
      ( vz cr wss c0 wne cv cle wbr wral wrex w3a clt wor ltso a1i infm3 infcl
      ) CEFCGHAIBIJKBCLAEMNZABDECOEOPUAQRABDCST $.

    $( The infimum of a set of reals ` A ` is the negative of the supremum of
       the negatives of its elements.  The antecedent ensures that ` A ` is
       nonempty and has a lower bound.  (Contributed by NM, 14-Jun-2005.)
       (Revised by AV, 4-Sep-2020.) $)
    infrenegsup $p |- ( ( A C_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A x <_ y )
                        -> inf ( A , RR , < )
                           = -u sup ( { z e. RR | -u z e. A } , RR , < ) ) $=
      ( vw cr cv wbr wral wrex clt cneg wcel csup ccnv cfv cima wiso vex brcnv
      wss c0 wne cle w3a cinf crab infrecl recnd negnegd cmpt cbvmptv mptpreima
      negeq wceq eqid negiso simpri imaeq1i eqtr3i supeq1i simpli isocnv isoeq1
      ax-mp wb mpbi a1i simp1 wn wi notbii ralbii rexbii imbi12i anbi12i sylibr
      wa infm3 wor supiso eqtrid df-inf eqcomi fveq2i negex fvmpt eqtr2d negeqd
      gtso syl eqtr3d ) DFUAZDUBUCZAGZBGZUDHBDIAFJZUEZDFKUFZLZLWSCGZLZDMCFUGZFK
      NZLWRWSWRWSABDUHZUIUJWRWTXDWRXDDFKOZNZEFEGZLZUKZPZWTWRXDXJDQZFKNXKFXCXLKX
      JOZDQXCXLCFXBDXJECFXIXBXHXAUNULUMXMXJDFFKXFXJRZXMXJUOZEXJXJUPZUQZURZUSUTV
      AWRABCFFDXFKXJFFXFKXJRZWRFFXFKXMRZXSXNXTXNXOXQVBFFKXFXJVCVEXOXTXSVFXRFFXF
      KXJXMVDVEVGVHWMWNWQVIWRWPWOKHZVJZBDIZWOWPKHZXAWPKHZCDJZVKZBFIZVRZAFJWOWPX
      FHZVJZBDIZWPWOXFHZWPXAXFHZCDJZVKZBFIZVRZAFJABCDVSYRYIAFYLYCYQYHYKYBBDYJYA
      WOWPKASZBSZTVLVMYPYGBFYMYDYOYFWPWOKYTYSTYNYECDWPXAKYTCSTVNVOVMVPVNVQFXFVT
      WRWJVHWAWBWRWSFMZXKWTUOXEUUAXKWSXJPWTXGWSXJWSXGDFKWCWDWEEWSXIWTFXJXHWSUNX
      PWSWFWGWBWKWHWIWL $.
  $}

  ${
    $d w x y A $.  $d w z A $.  $d w z B $.
    $( Any lower bound of a nonempty set of real numbers is less than or equal
       to its infimum.  (Contributed by Jeff Hankins, 1-Sep-2013.)  (Revised by
       AV, 4-Sep-2020.)  (Proof modification is discouraged.) $)
    infregelb $p |- ( ( ( A C_ RR /\ A =/= (/) /\
                        E. x e. RR A. y e. A x <_ y ) /\ B e. RR ) ->
                      ( B <_ inf ( A , RR , < ) <-> A. z e. A B <_ z ) ) $=
      ( vw cr wss c0 cv cle wbr wral wrex wcel wa clt wn wb bitrdi wne w3a cinf
      wor a1i infm3 simp1 infglbb notbid infrecl anim1i ancomd lenlt syl simplr
      ltso wi ssel adantr imp lenltd ralbidva 3ad2antl1 ralnex 3bitr4d cbvralvw
      breq2 ) DGHZDIUAZAJBJKLBDMAGNZUBZEGOZPZEDGQUCZKLZEFJZKLZFDMZECJZKLZCDMVMV
      NEQLZRZVPEQLZFDNZRZVOVRVMWAWDVKABFGDEQGQUDVKUPUEABFDUFVHVIVJUGUHUIVMVLVNG
      OZPVOWBSVMWFVLVKWFVLABDUJUKULEVNUMUNVMVRWCRZFDMZWEVHVIVLVRWHSVJVHVLPZVQWG
      FDWIVPDOZPEVPVHVLWJUOWIWJVPGOZVHWJWKUQVLDGVPURUSUTVAVBVCWCFDVDTVEVQVTFCDV
      PVSEKVGVFT $.
  $}

  ${
    $d x y z B $.
    $( If a nonempty set of real numbers has a lower bound, its infimum is less
       than or equal to any of its elements.  (Contributed by Jeff Hankins,
       15-Sep-2013.)  (Revised by AV, 4-Sep-2020.) $)
    infrelb $p |- ( ( B C_ RR /\ E. x e. RR A. y e. B x <_ y /\ A e. B )
                    -> inf ( B , RR , < ) <_ A ) $=
      ( vz cr wss cv cle wbr wral wrex wcel w3a clt cinf syl3anc wn wa wi simp1
      c0 wne ne0i 3ad2ant3 simp2 infrecl ssel2 3adant2 wor simpll adantl simplr
      ltso a1i infm3 inflb expcom pm2.43b 3impia nltled ) DFGZAHZBHZIJBDKAFLZCD
      MZNZDFOPZCVGVBDUBUCZVEVHFMVBVEVFUAVFVBVIVEDCUDZUEVBVEVFUFABDUGQVBVFCFMVED
      FCUHUIVBVEVFCVHOJRZVBVESZVFVKVLVFVFVKTVLVFSZABEFDCOFOUJVMUNUOVMVBVIVEVDVC
      OJRBDKVCVDOJEHVDOJEDLTBFKSAFLVBVEVFUKVFVIVLVJULVBVEVFUMABEDUPQUQURUSUTVA
      $.
  $}

  ${
    $d B x y $.
    $( The infimum of a finite set of reals is less than or equal to any of its
       elements.  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    infrefilb $p |- ( ( B C_ RR /\ B e. Fin /\ A e. B ) -> inf ( B , RR , < )
       <_ A ) $=
      ( vx vy cr wss cfn wcel w3a cle wbr wral wrex cinf simp1 fiminre2 3adant3
      cv clt simp3 infrelb syl3anc ) BEFZBGHZABHZIUCCRDRJKDBLCEMZUEBESNAJKUCUDU
      EOUCUDUFUECDBPQUCUDUETCDABUAUB $.
  $}

  ${
    supfirege.1 $e |- ( ph -> B C_ RR ) $.
    supfirege.2 $e |- ( ph -> B e. Fin ) $.
    supfirege.3 $e |- ( ph -> C e. B ) $.
    supfirege.4 $e |- ( ph -> S = sup ( B , RR , < ) ) $.
    $( The supremum of a finite set of real numbers is greater than or equal to
       all the real numbers of the set.  (Contributed by AV, 1-Oct-2019.) $)
    supfirege $p |- ( ph -> C <_ S ) $=
      ( cle wbr clt wceq wo cr wor ltso a1i supgtoreq sseldd wcel csup cfn ne0d
      c0 wne wss fisupcl syl13anc eqeltrd leloed mpbird ) ACDIJCDKJCDLMANBCKDNK
      OZAPQZEFGHRACDABNCEGSABNDEADBNKUAZBHAULBUBTBUDUEBNUFUNBTUMFABCGUCENBKUGUH
      UISUJUK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Imaginary and complex number properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The imaginary unit ` _i ` is not a real number.  (Contributed by NM,
     6-May-1999.) $)
  inelr $p |- -. _i e. RR $=
    ( ci cr wcel cc0 wceq ine0 neii cmul co clt wbr wn c1 0re 1re ltnsymi ax-mp
    0lt1 caddc cneg ixi renegcli eqeltri ltadd1i ax-1cn addid2i ax-i2m1 breq12i
    bitri mtbir wne msqgt0 ex necon1bd mpi mto ) ABCZADEZADFGUQDAAHIZJKZLURUTMD
    JKZDMJKVALRDMNOPQUTDMSIZUSMSIZJKVADUSMNUSMTBUAMOUBUCOUDVBMVCDJMUEUFUGUHUIUJ
    UQUTADUQADUKUTAULUMUNUOUP $.

  $( A real number times the imaginary unit is real only if the number is 0.
     (Contributed by NM, 28-May-1999.)  (Revised by Mario Carneiro,
     27-May-2016.) $)
  rimul $p |- ( ( A e. RR /\ ( _i x. A ) e. RR ) -> A = 0 ) $=
    ( cr wcel ci cmul co wa wn cc0 wceq inelr cdiv cc ax-icn simpll recnd simpr
    wne a1i divcan4d simplr redivcld eqeltrrd ex necon1bd mpi ) ABCZDAEFZBCZGZD
    BCZHAIJKUJUKAIUJAIRZUKUJULGZUHALFDBUMDADMCUMNSUMAUGUIULOZPUJULQZTUMUHAUGUIU
    LUAUNUOUBUCUDUEUF $.

  $( The representation of complex numbers in terms of real and imaginary parts
     is unique.  Proposition 10-1.3 of [Gleason] p. 130.  (Contributed by NM,
     9-May-1999.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  cru $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) ) ->
      ( ( A + ( _i x. B ) ) = ( C + ( _i x. D ) ) <-> ( A = C /\ B = D ) ) ) $=
    ( cr wcel wa ci cmul co caddc wceq simplrl simplll cmin cc0 mulcld resubcld
    recnd subeq0d simpr cc ax-icn a1i simpllr simplrr addsubeq4d subdid eqeltrd
    mpbid eqtr4d rimul syl2anc oveq2d oveq1d subidd 3eqtrd eqcomd jca ex oveq12
    oveq2 sylan2 impbid1 ) AEFZBEFZGZCEFZDEFZGZGZAHBIJZKJCHDIJZKJLZACLZBDLZGZVK
    VNVQVKVNGZVOVPVRCAVRCAVRCVGVHVIVNMZSZVRAVEVFVJVNNZSZVRCAOJZVLVMOJZVMVMOJPVR
    VNWCWDLVKVNUAVRAVLCVMWBVRHBHUBFVRUCUDZVRBVEVFVJVNUEZSZQVTVRHDWEVRDVGVHVIVNU
    FZSZQZUGUJZVRVLVMVMOVRBDHIVRBDWGWIVRBDOJZEFHWLIJZEFWLPLVRBDWFWHRVRWMWCEVRWM
    WDWCVRHBDWEWGWIUHWKUKVRCAVSWARUIWLULUMTZUNUOVRVMWJUPUQTURWNUSUTVPVOVLVMLVNB
    DHIVBACVLVMKVAVCVD $.

  $( The real representation of complex numbers is nonzero iff one of its terms
     is nonzero.  (Contributed by NM, 29-Apr-2005.)  (Proof shortened by Mario
     Carneiro, 27-May-2016.) $)
  crne0 $p |- ( ( A e. RR /\ B e. RR ) ->
    ( ( A =/= 0 \/ B =/= 0 ) <-> ( A + ( _i x. B ) ) =/= 0 ) ) $=
    ( cr wcel wa cc0 wne wo wceq wn ci cmul co caddc neorian ax-icn mul01i 00id
    oveq2i 0re eqtri eqeq2i wb cru mpanr12 bitr3id necon3abid bitr4id ) ACDBCDE
    ZAFGBFGHAFIBFIEZJAKBLMNMZFGAFBFOUIUJUKFUKFIUKFKFLMZNMZIZUIUJUMFUKUMFFNMFULF
    FNKPQSRUAUBUIFCDZUOUNUJUCTTABFFUDUEUFUGUH $.

  ${
    $d x y z w A $.
    $( The real part of a complex number is unique.  Proposition 10-1.3 of
       [Gleason] p. 130.  (Contributed by NM, 9-May-1999.)  (Proof shortened by
       Mario Carneiro, 27-May-2016.) $)
    creur $p |- ( A e. CC -> E! x e. RR E. y e. RR A = ( x + ( _i x. y ) ) ) $=
      ( vz vw cc wcel cv ci cmul co caddc wceq cr wrex wreu cnre wa wb wral cru
      ancoms eqcom ancom 3bitr4g anassrs rexbidva biidd ceqsrexv ad2antlr bitrd
      ralrimiva reu6i syldan eqeq1 rexbidv reubidv syl5ibrcom rexlimivv syl ) C
      FGCDHZIEHZJKLKZMZENODNOCAHZIBHZJKLKZMZBNOZANPZDECQVDVJDENNVANGZVBNGZRZVJV
      DVCVGMZBNOZANPZVKVLVOVEVAMZSZANTVPVMVRANVMVENGZRZVOVFVBMZVQRZBNOZVQVTVNWB
      BNVMVSVFNGZVNWBSVMVSWDRZRVGVCMZVQWARZVNWBWEVMWFWGSVEVFVAVBUAUBVCVGUCWAVQU
      DUEUFUGVLWCVQSVKVSVQVQBVBNWAVQUHUIUJUKULVOANVAUMUNVDVIVOANVDVHVNBNCVCVGUO
      UPUQURUSUT $.

    $( The imaginary part of a complex number is unique.  Proposition 10-1.3 of
       [Gleason] p. 130.  (Contributed by NM, 9-May-1999.)  (Proof shortened by
       Mario Carneiro, 27-May-2016.) $)
    creui $p |- ( A e. CC -> E! y e. RR E. x e. RR A = ( x + ( _i x. y ) ) ) $=
      ( vz vw cc wcel cv ci cmul co caddc wceq cr wrex wreu cnre wa wb wral cru
      simpr eqcom ancoms syl5bb anass1rs rexbidva biidd ceqsrexv ad2antrr bitrd
      ralrimiva reu6i syl2anc eqeq1 rexbidv reubidv syl5ibrcom rexlimivv syl )
      CFGCDHZIEHZJKLKZMZENODNOCAHZIBHZJKLKZMZANOZBNPZDECQVDVJDENNVANGZVBNGZRZVJ
      VDVCVGMZANOZBNPZVMVLVOVFVBMZSZBNTVPVKVLUBVMVRBNVMVFNGZRZVOVEVAMZVQRZANOZV
      QVTVNWBANVMVENGZVSVNWBSVNVGVCMZVMWDVSRZRWBVCVGUCWFVMWEWBSVEVFVAVBUAUDUEUF
      UGVKWCVQSVLVSVQVQAVANWAVQUHUIUJUKULVOBNVBUMUNVDVIVOBNVDVHVNANCVCVGUOUPUQU
      RUSUT $.
  $}

  ${
    $d x y z A $.
    $( The complex conjugate of a complex number is unique.  (Contributed by
       Mario Carneiro, 6-Nov-2013.) $)
    cju $p |- ( A e. CC -> E! x e. CC
               ( ( A + x ) e. RR /\ ( _i x. ( A - x ) ) e. RR ) ) $=
      ( vy vz cc wcel cv caddc co cr ci cmin cmul wrex wceq ax-icn oveq2d oveq2
      wa eleq1d wi wral wreu cnre recn mulcl sylancr subcl syl2an adantr adantl
      ppncand readdcl anidms eqeltrd pnncand a1i adddid eqtr4d addcld mulass c1
      mp3an12i ixi 1re renegcli eqeltri simpr readdcld remulcl anbi12d syl12anc
      cneg rspcev oveq1 rexbidv syl5ibrcom rexlimivv syl an4 cc0 resubcl pnpcan
      syl5ib ancoms adantrl adantrr subdid nnncan1 3com23 eqtr3d anim12d subeq0
      3expb rimul biimpd 3syld syl5bi ralrimivva reu4 sylanbrc ) BEFZBAGZHIZJFZ
      KBXCLIZMIZJFZSZAENZXIBCGZHIZJFZKBXKLIZMIZJFZSZSZXCXKOZUAZCEUBAEUBXIAEUCXB
      BXKKDGZMIZHIZOZDJNCJNXJCDBUDYDXJCDJJXKJFZYAJFZSZXJYDYCXCHIZJFZKYCXCLIZMIZ
      JFZSZAENZYGXKYBLIZEFZYCYOHIZJFZKYCYOLIZMIZJFZYNYEXKEFZYBEFZYPYFXKUEZYFKEF
      ZYAEFZUUCPYAUEZKYAUFUGZXKYBUHUIYGYQXKXKHIZJYGXKYBXKYEUUBYFUUDUJZYFUUCYEUU
      HUKZUUJULYEUUIJFZYFYEUULXKXKUMUNUJUOYGYTKKMIZYAYAHIZMIZJYGYTKKUUNMIZMIZUU
      OYGYSUUPKMYGYSYBYBHIUUPYGXKYBYBUUJUUKUUKUPYGKYAYAUUEYGPUQYFUUFYEUUGUKZUUR
      URUSQUUEUUEYGUUNEFUUOUUQOPPYGYAYAUURUURUTKKUUNVAVCUSYGUUMJFUUNJFUUOJFUUMV
      BVMJVDVBVEVFVGYGYAYAYEYFVHZUUSVIUUMUUNVJUGUOYMYRUUASAYOEXCYOOZYIYRYLUUAUU
      TYHYQJXCYOYCHRTUUTYKYTJUUTYJYSKMXCYOYCLRQTVKVNVLYDXIYMAEYDXEYIXHYLYDXDYHJ
      BYCXCHVOTYDXGYKJYDXFYJKMBYCXCLVOQTVKVPVQVRVSXBXTACEEXRXEXMSZXHXPSZSZXBXCE
      FZUUBSZSZXSXEXHXMXPVTUVFUVCXCXKLIZJFZKUVGMIZJFZSZUVGWAOZXSUVFUVAUVHUVBUVJ
      UVAXDXLLIZJFUVFUVHXDXLWBUVFUVMUVGJXBUVDUUBUVMUVGOBXCXKWCWNTWDUVBXOXGLIZJF
      ZUVFUVJXPXHUVOXOXGWBWEUVFUVNUVIJUVFKXNXFLIZMIUVNUVIUVFKXNXFUUEUVFPUQXBUUB
      XNEFUVDBXKUHWFXBUVDXFEFUUBBXCUHWGWHUVFUVPUVGKMXBUVDUUBUVPUVGOZXBUUBUVDUVQ
      BXKXCWIWJWNQWKTWDWLUVKUVLUAUVFUVGWOUQUVEUVLXSUAXBUVEUVLXSXCXKWMWPUKWQWRWS
      XIXQACEXSXEXMXHXPXSXDXLJXCXKBHRTXSXGXOJXSXFXNKMXCXKBLRQTVKWTXA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Function operation analogue theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.  $d x F $.  $d x G $.  $d x V $.
    $( Function analogue of ~ subeq0 .  (Contributed by Mario Carneiro,
       24-Jul-2014.) $)
    ofsubeq0 $p |- ( ( A e. V /\ F : A --> CC /\ G : A --> CC ) ->
                     ( ( F oF - G ) = ( A X. { 0 } ) <-> F = G ) ) $=
      ( vx wcel cc wf cmin co cfv cc0 wceq wral ffnd eqidd c0ex ffvelrnda wfn
      wb w3a cv cof csn cxp wa simp2 simp3 simp1 inidm fvconst2 adantl subeq0ad
      ofval eqeq12d bitrd ralbidva offn fconst ffn ax-mp eqfnfv sylancl syl2anc
      3bitr4d ) ADFZAGBHZAGCHZUAZEUBZBCIUCJZKZVJALUDZUEZKZMZEANZVJBKZVJCKZMZEAN
      ZVKVNMZBCMZVIVPVTEAVIVJAFZUFZVPVRVSIJZLMVTWEVLWFVOLVIAAVRVSIABCDDVJVIAGBV
      FVGVHUGZOZVIAGCVFVGVHUHZOZVFVGVHUIZWKAUJZWEVRPWEVSPUNWDVOLMVIALVJQUKULUOW
      EVRVSVIAGVJBWGRVIAGVJCWIRUMUPUQVIVKASVNASZWBVQTVIAAIABCDDWHWJWKWKWLURAVMV
      NHWMALQUSAVMVNUTVAEAVKVNVBVCVIBASCASWCWATWHWJEABCVBVDVE $.

    $( Function analogue of ~ negsub .  (Contributed by Mario Carneiro,
       24-Jul-2014.) $)
    ofnegsub $p |- ( ( A e. V /\ F : A --> CC /\ G : A --> CC ) ->
      ( F oF + ( ( A X. { -u 1 } ) oF x. G ) ) = ( F oF - G ) ) $=
      ( vx wcel cc wf cfv cneg caddc c1 cmul cof cmin ffnd offn eqidd ffvelrnda
      co w3a cv csn cxp simp1 simp2 wfn ax-1cn negcli fnconstg mp1i simp3 inidm
      wa a1i ofc1 mulm1d eqtrd negsubd ofval eqtr4d offveq ) ADFZAGBHZAGCHZUAZE
      AEUBZBIZVGCIZJZKBALJZUCUDZCMNTZBCONTZDVCVDVEUEZVFAGBVCVDVEUFZPZVFAAMAVLCD
      DVKGFZVLAUGVFLUHUIZAVKGUJUKVFAGCVCVDVEULZPZVOVOAUMZQVFAAOABCDDVQWAVOVOWBQ
      VFVGAFUNZVHRZWCVGVMIVKVIMTVJVFAVKVIMCDGVGVOVRVFVSUOWAWCVIRZUPWCVIVFAGVGCV
      TSZUQURWCVHVJKTVHVIOTVGVNIWCVHVIVFAGVGBVPSWFUSVFAAVHVIOABCDDVGVQWAVOVOWBW
      DWEUTVAVB $.

    $( Function analogue of ~ subge0 .  (Contributed by Mario Carneiro,
       24-Jul-2014.) $)
    ofsubge0 $p |- ( ( A e. V /\ F : A --> RR /\ G : A --> RR ) ->
                     ( ( A X. { 0 } ) oR <_ ( F oF - G ) <-> G oR <_ F ) ) $=
      ( vx wcel cr wf cc0 cfv cmin co cle wbr wral ffvelrnda ffnd eqidd ofrfval
      cc w3a cv csn cxp cof cofr simp2 simp3 subge0d ralbidva wfn fnconstg mp1i
      wa 0cn simp1 inidm offn wceq c0ex fvconst2 adantl ofval 3bitr4d ) ADFZAGB
      HZAGCHZUAZIEUBZBJZVICJZKLZMNZEAOVKVJMNZEAOAIUCUDZBCKUELZMUFZNCBVQNVHVMVNE
      AVHVIAFZUNZVJVKVHAGVIBVEVFVGUGZPVHAGVICVEVFVGUHZPUIUJVHEAAIVLMAVOVPDDITFV
      OAUKVHUOAITULUMVHAAKABCDDVHAGBVTQZVHAGCWAQZVEVFVGUPZWDAUQZURWDWDWEVRVIVOJ
      IUSVHAIVIUTVAVBVHAAVJVKKABCDDVIWBWCWDWDWEVSVJRZVSVKRZVCSVHEAAVKVJMACBDDWC
      WBWDWDWEWGWFSVD $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Integer sets
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Positive integers (as a subset of complex numbers)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c NN $. $( The set of positive integers (blackboard bold N). $)

  $( Extend class notation to include the class of positive integers. $)
  cn $a class NN $.

  $( Define the set of positive integers.  Some authors, especially in analysis
     books, call these the natural numbers, whereas other authors choose to
     include 0 in their definition of natural numbers.  Note that ` NN ` is a
     subset of complex numbers ( ~ nnsscn ), in contrast to the more elementary
     ordinal natural numbers ` _om ` , ~ df-om ).  See ~ nnind for the
     principle of mathematical induction.  See ~ df-n0 for the set of
     nonnegative integers ` NN0 ` .  See ~ dfn2 for ` NN ` defined in terms of
     ` NN0 ` .

     This is a technical definition that helps us avoid the Axiom of Infinity
     ~ ax-inf2 in certain proofs.  For a more conventional and intuitive
     definition ("the smallest set of reals containing ` 1 ` as well as the
     successor of every member") see ~ dfnn3 (or its slight variant ~ dfnn2 ).
     (Contributed by NM, 10-Jan-1997.)  (Revised by Mario Carneiro,
     3-May-2014.) $)
  df-nn $a |- NN = ( rec ( ( x e. _V |-> ( x + 1 ) ) , 1 ) " _om ) $.

  $( Alternate proof of ~ nnex , more direct, that makes use of ~ ax-rep .
     (Contributed by Mario Carneiro, 3-May-2014.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  nnexALT $p |- NN e. _V $=
    ( vx cn cvv cv c1 caddc cmpt crdg com cima df-nn wfun wcel rdgfun funimaexg
    co omex mp2an eqeltri ) BACADEFPGZEHZIJZCAKUALICMUBCMETNQUAICORS $.

  ${
    $d n x y z A $.
    $( Peano's inductive postulate.  Theorem I.36 (principle of mathematical
       induction) of [Apostol] p. 34.  (Contributed by NM, 10-Jan-1997.)
       (Revised by Mario Carneiro, 17-Nov-2014.) $)
    peano5nni $p |- ( ( 1 e. A /\ A. x e. A ( x + 1 ) e. A ) -> NN C_ A ) $=
      ( vn vy vz c1 wcel cv caddc co wral wa cvv com c0 wceq fveq2 eleq1d oveq1
      cfv cmpt crdg cres crn cima df-nn df-ima eqtri wfn frfnom a1i csuc ax-1cn
      cn wf cc fr0g ax-mp simpl eqeltrid wi rspccv ad2antlr ovex eqid frsucmpt2
      mpan2 adantl sylibrd expcom finds2 com12 ralrimiv ffnfv sylanbrc eqsstrid
      wb frnd ) FBGZAHZFIJZBGZABKZLZUNCMCHZFIJZUAZFUBZNUCZUDZBUNWHNUEWJCUFWHNUG
      UHWDNBWIWDWINUIZDHZWITZBGZDNKNBWIUOWKWDFWGUJUKWDWNDNWLNGWDWNWNOWITZBGEHZW
      ITZBGZWPULZWITZBGZWDDEWLOPWMWOBWLOWIQRWLWPPWMWQBWLWPWIQRWLWSPWMWTBWLWSWIQ
      RWDWOFBFUPGWOFPUMFUPWGUQURVSWCUSUTWDWPNGZWRXAVAWDXBLWRWQFIJZBGZXAWCWRXDVA
      VSXBWBXDAWQBVTWQPWAXCBVTWQFISRVBVCXBXAXDVQWDXBWTXCBXBXCMGWTXCPWQFIVDCDFWP
      WFXCWLFIJWIMWIVEWLWEFISWLWQFISVFVGRVHVIVJVKVLVMDNBWIVNVOVRVP $.
  $}

  $( The positive integers are a subset of the reals.  (Contributed by NM,
     10-Jan-1997.)  (Revised by Mario Carneiro, 16-Jun-2013.) $)
  nnssre $p |- NN C_ RR $=
    ( vx c1 cr wcel cv caddc co wral cn wss 1re peano2re rgen peano5nni mp2an )
    BCDAEZBFGCDZACHICJKQACPLMACNO $.

  $( The positive integers are a subset of the complex numbers.  Remark: this
     could also be proven from ~ nnssre and ~ ax-resscn at the cost of using
     more axioms.  (Contributed by NM, 2-Aug-2004.)  Reduce dependencies on
     axioms.  (Revised by Steven Nguyen, 4-Oct-2022.) $)
  nnsscn $p |- NN C_ CC $=
    ( vx c1 cc wcel cv caddc co wral wss ax-1cn peano2cn rgen peano5nni mp2an
    cn ) BCDAEZBFGCDZACHOCIJQACPKLACMN $.

  $( The set of positive integers exists.  (Contributed by NM, 3-Oct-1999.)
     (Revised by Mario Carneiro, 17-Nov-2014.) $)
  nnex $p |- NN e. _V $=
    ( cn cc cnex nnsscn ssexi ) ABCDE $.

  $( A positive integer is a real number.  (Contributed by NM, 18-Aug-1999.) $)
  nnre $p |- ( A e. NN -> A e. RR ) $=
    ( cn cr nnssre sseli ) BCADE $.

  $( A positive integer is a complex number.  (Contributed by NM,
     18-Aug-1999.) $)
  nncn $p |- ( A e. NN -> A e. CC ) $=
    ( cn cc nnsscn sseli ) BCADE $.

  ${
    nnre.1 $e |- A e. NN $.
    $( A positive integer is a real number.  (Contributed by NM,
       18-Aug-1999.) $)
    nnrei $p |- A e. RR $=
      ( cn wcel cr nnre ax-mp ) ACDAEDBAFG $.

    $( A positive integer is a complex number.  (Contributed by NM,
       18-Aug-1999.)  Reduce dependencies on axioms.  (Revised by Steven
       Nguyen, 4-Oct-2022.) $)
    nncni $p |- A e. CC $=
      ( cn wcel cc nncn ax-mp ) ACDAEDBAFG $.
  $}

  ${
    $d x y z A $.
    $( Peano postulate: 1 is a positive integer.  (Contributed by NM,
       11-Jan-1997.)  (Revised by Mario Carneiro, 17-Nov-2014.) $)
    1nn $p |- 1 e. NN $=
      ( vx c1 cvv cv caddc co cmpt crdg com cres crn cn cfv wcel wceq 1ex ax-mp
      c0 fr0g wfn frfnom peano1 fnfvelrn mp2an eqeltrri cima df-nn df-ima eqtri
      eleqtrri ) BACADBEFGZBHZIJZKZLRUMMZBUNBCNUOBOPBCUKSQUMITRINUOUNNBUKUAUBIR
      UMUCUDUELULIUFUNAUGULIUHUIUJ $.

    $( Peano postulate: a successor of a positive integer is a positive
       integer.  (Contributed by NM, 11-Jan-1997.)  (Revised by Mario Carneiro,
       17-Nov-2014.) $)
    peano2nn $p |- ( A e. NN -> ( A + 1 ) e. NN ) $=
      ( vx vy vz c1 caddc co cn wcel cvv cmpt crdg com cres crn wceq wrex oveq1
      cv cfv wfn frfnom fvelrnb ax-mp csuc ovex frsucmpt2 mpan2 peano2 fnfvelrn
      wb eqid sylancr df-nn df-ima eleqtrrdi eqeltrrd eleq1d syl5ibcom rexlimiv
      cima eqtri sylbi eleq2s ) AEFGZHIZABJBSZEFGZKZELZMNZOZHAVLIZCSZVKTZAPZCMQ
      ZVFVKMUAZVMVQUKEVIUBZCMAVKUCUDVPVFCMVNMIZVOEFGZHIVPVFVTVNUEZVKTZWAHVTWAJI
      WCWAPVOEFUFBDEVNVHWADSZEFGVKJVKULWDVGEFRWDVOEFRUGUHVTWCVLHVTVRWBMIWCVLIVS
      VNUIMWBVKUJUMHVJMVAVLBUNVJMUOVBZUPUQVPWAVEHVOAEFRURUSUTVCWEVD $.

    $( Alternate definition of the set of positive integers.  This was our
       original definition, before the current ~ df-nn replaced it.  This
       definition requires the axiom of infinity to ensure it has the
       properties we expect.  (Contributed by Jeff Hankins, 12-Sep-2013.)
       (Revised by Mario Carneiro, 3-May-2014.) $)
    dfnn2 $p |- NN = |^| { x | ( 1 e. x /\ A. y e. x ( y + 1 ) e. x ) } $=
      ( vz cn c1 cv wcel caddc co wral wa cab cint wss wi elintab wal wceq rgen
      eleq2 1ex simpl mpgbir oveq1 eleq1d rspccv adantl a2i alimi vex peano5nni
      ovex 3imtr4i mp2an 1nn peano2nn nnex raleqbi1dv anbi12d elab intss1 ax-mp
      mpbir2an eqssi ) DEAFZGZBFZEHIZVEGZBVEJZKZALZMZEVMGZCFZEHIZVMGZCVMJDVMNVN
      VKVFOAVKAEUAPVFVJUBUCVQCVMVKVOVEGZOZAQVKVPVEGZOZAQVOVMGVQVSWAAVKVRVTVJVRV
      TOVFVIVTBVOVEVGVORVHVPVEVGVOEHUDUEUFUGUHUIVKAVOCUJPVKAVPVOEHULPUMSCVMUKUN
      DVLGZVMDNWBEDGZVHDGZBDJZUOWDBDVGUPSVKWCWEKADUQVEDRVFWCVJWEVEDETVIWDBVEDVE
      DVHTURUSUTVCDVLVAVBVD $.

    $( Alternate definition of the set of positive integers.  Definition of
       positive integers in [Apostol] p. 22.  (Contributed by NM,
       3-Jul-2005.) $)
    dfnn3 $p |- NN =
               |^| { x | ( x C_ RR /\ 1 e. x /\ A. y e. x ( y + 1 ) e. x ) } $=
      ( vz cv cr wss c1 wcel caddc wral wa cab cint cn eleq2 raleqbi1dv anbi12d
      wceq dfnn2 pm3.2i co w3a wb eqeq2i sylbir nnssre eqsstrri peano2nn intabs
      1nn rgen 3anass abbii inteqi 3eqtr4ri ) ADZEFZGUPHZBDZGIUAZUPHZBUPJZKZKZA
      LZMVCALMUQURVBUBZALZMNVCGCDZHZUTVHHZBVHJZKZGNHZUTNHZBNJZKZACEUPVHRURVIVBV
      KUPVHGOVAVJBUPVHUPVHUTOPQUPVLCLMZRUPNRZVCVPUCNVQUPCBSZUDVRURVMVBVOUPNGOVA
      VNBUPNUPNUTOPQUEVQEFVPVQNEVSUFUGVMVOUJVNBNUSUHUKTTUIVGVEVFVDAUQURVBULUMUN
      ABSUO $.
  $}

  ${
    nnred.1 $e |- ( ph -> A e. NN ) $.
    $( A positive integer is a real number.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    nnred $p |- ( ph -> A e. RR ) $=
      ( cn cr nnssre sselid ) ADEBFCG $.

    $( A positive integer is a complex number.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    nncnd $p |- ( ph -> A e. CC ) $=
      ( cn cc nnsscn sselid ) ADEBFCG $.

    $( Peano postulate: a successor of a positive integer is a positive
       integer.  (Contributed by Mario Carneiro, 27-May-2016.) $)
    peano2nnd $p |- ( ph -> ( A + 1 ) e. NN ) $=
      ( cn wcel c1 caddc co peano2nn syl ) ABDEBFGHDECBIJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Principle of mathematical induction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.  $d x A $.  $d x ps $.  $d x ch $.  $d x th $.  $d x ta $.
    $d y ph $.
    $( Substitutions. $)
    nnind.1 $e |- ( x = 1 -> ( ph <-> ps ) ) $.
    nnind.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    nnind.3 $e |- ( x = ( y + 1 ) -> ( ph <-> th ) ) $.
    nnind.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    nnind.5 $e |- ps $.
    $( Induction step. $)
    nnind.6 $e |- ( y e. NN -> ( ch -> th ) ) $.
    $( Principle of Mathematical Induction (inference schema).  The first four
       hypotheses give us the substitution instances we need; the last two are
       the basis and the induction step.  See ~ nnaddcl for an example of its
       use.  See ~ nn0ind for induction on nonnegative integers and ~ uzind ,
       ~ uzind4 for induction on an arbitrary upper set of integers.  See
       ~ indstr for strong induction.  See also ~ nnindALT .  This is an
       alternative for Metamath 100 proof #74.  (Contributed by NM,
       10-Jan-1997.)  (Revised by Mario Carneiro, 16-Jun-2013.) $)
    nnind $p |- ( A e. NN -> ta ) $=
      ( cn wcel crab wa c1 elrab cv caddc wral wss 1nn mpbir2an elrabi peano2nn
      co a1d anim12d 3imtr4g mpcom rgen peano5nni mp2an sseli sylib simprd ) HO
      PZUTEUTHAFOQZPUTEROVAHSVAPZGUAZSUBUIZVAPZGVAUCOVAUDVBSOPBUEMABFSOITUFVEGV
      AVCOPZVCVAPZVEAFVCOUGVFVFCRVDOPZDRVGVEVFVFVHCDVFVHVFVCUHUJNUKACFVCOJTADFV
      DOKTULUMUNGVAUOUPUQAEFHOLTURUS $.
  $}

  ${
    $d x y $.  $d x A $.  $d x ps $.  $d x ch $.  $d x th $.  $d x ta $.
    $d y ph $.
    $( Induction step. $)
    nnindALT.6 $e |- ( y e. NN -> ( ch -> th ) ) $.
    $( Basis. $)
    nnindALT.5 $e |- ps $.
    $( Substitutions. $)
    nnindALT.1 $e |- ( x = 1 -> ( ph <-> ps ) ) $.
    nnindALT.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    nnindALT.3 $e |- ( x = ( y + 1 ) -> ( ph <-> th ) ) $.
    nnindALT.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Principle of Mathematical Induction (inference schema).  The last four
       hypotheses give us the substitution instances we need; the first two are
       the induction step and the basis.

       This ALT version of ~ nnind has a different hypothesis order.  It may be
       easier to use with the Metamath program Proof Assistant, because "MM-PA>
       ASSIGN LAST" will be applied to the substitution instances first.  We
       may eventually use this one as the official version.  You may use either
       version.  After the proof is complete, the ALT version can be changed to
       the non-ALT version with "MM-PA> MINIMIZE__WITH nnind / MAY_GROW".
       (Contributed by NM, 7-Dec-2005.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    nnindALT $p |- ( A e. NN -> ta ) $=
      ( nnind ) ABCDEFGHKLMNJIO $.
  $}

  ${
    $d x A $.  $d x y ph $.  $d y ps $.  $d x ch $.  $d x et $.  $d x th $.
    $d x ta $.
    nnindd.1 $e |- ( x = 1 -> ( ps <-> ch ) ) $.
    nnindd.2 $e |- ( x = y -> ( ps <-> th ) ) $.
    nnindd.3 $e |- ( x = ( y + 1 ) -> ( ps <-> ta ) ) $.
    nnindd.4 $e |- ( x = A -> ( ps <-> et ) ) $.
    nnindd.5 $e |- ( ph -> ch ) $.
    nnindd.6 $e |- ( ( ( ph /\ y e. NN ) /\ th ) -> ta ) $.
    $( Principle of Mathematical Induction (inference schema) on integers, a
       deduction version.  (Contributed by Thierry Arnoux, 19-Jul-2020.) $)
    nnindd $p |- ( ( ph /\ A e. NN ) -> et ) $=
      ( cn wcel wi wceq imbi2d cv c1 caddc co wa ex expcom a2d nnind impcom ) I
      PQAFABRACRADRAERAFRGHIGUAZUBSBCAJTUKHUAZSBDAKTUKULUBUCUDSBEALTUKISBFAMTNU
      LPQZADEAUMDERAUMUEDEOUFUGUHUIUJ $.
  $}

  ${
    $d x y A $.
    $( Every positive integer is one or a successor.  (Contributed by Mario
       Carneiro, 16-May-2014.) $)
    nn1m1nn $p |- ( A e. NN -> ( A = 1 \/ ( A - 1 ) e. NN ) ) $=
      ( vx vy cv c1 wceq cmin co cn wcel wo caddc orc 1cnd eqeq1 eleq1d orbi12d
      cc oveq1 ax-1cn 2thd nncn pncan sylancl id eqeltrd olcd a1d nnind ) BDZEF
      ZUJEGHZIJZKZERJZCDZEFZUPEGHZIJZKZUPELHZEFZVAEGHZIJZKZAEFZAEGHZIJZKBCAUKUN
      UOUKUMMUKNUAUJUPFZUKUQUMUSUJUPEOVIULURIUJUPEGSPQUJVAFZUKVBUMVDUJVAEOVJULV
      CIUJVAEGSPQUJAFZUKVFUMVHUJAEOVKULVGIUJAEGSPQTUPIJZVEUTVLVDVBVLVCUPIVLUPRJ
      UOVCUPFUPUBTUPEUCUDVLUEUFUGUHUI $.
  $}

  ${
    $d x y $.  $d x y A $.  $d x ps $.  $d x ch $.  $d x th $.  $d y ph $.
    $( Substitutions. $)
    nn1suc.1 $e |- ( x = 1 -> ( ph <-> ps ) ) $.
    nn1suc.3 $e |- ( x = ( y + 1 ) -> ( ph <-> ch ) ) $.
    nn1suc.4 $e |- ( x = A -> ( ph <-> th ) ) $.
    $( Hypothesis showing it holds for 1. $)
    nn1suc.5 $e |- ps $.
    $( Hypothesis showing it holds for a successor. $)
    nn1suc.6 $e |- ( y e. NN -> ch ) $.
    $( If a statement holds for 1 and also holds for a successor, it holds for
       all positive integers.  The first three hypotheses give us the
       substitution instances we need; the last two show that it holds for 1
       and for a successor.  (Contributed by NM, 11-Oct-2004.)  (Revised by
       Mario Carneiro, 16-May-2014.) $)
    nn1suc $p |- ( A e. NN -> th ) $=
      ( cn wcel c1 wceq co wsbc sbcie caddc cmin wi 1ex mpbir 1nn mpbiri sbcieg
      wb eleq1 syl dfsbcq bitr3d a1i cv ovex oveq1 sbceq1d bitr3id vtoclga nncn
      cc ax-1cn npcan sylancl bitrd syl5ib nn1m1nn mpjaod ) GMNZGOPZDGOUAQZMNZV
      JDUBVIVJDAEORZVMBKABEOUCHSUDVJAEGRZDVMVJVIVNDUHVJVIOMNUEGOMUIUFADEGMJUGZU
      JAEGOUKULUFUMVLAEVKOTQZRZVIDCVQFVKMCAEFUNZOTQZRVRVKPZVQACEVSVROTUOISVTAEV
      SVPVRVKOTUPUQURLUSVIVQVNDVIAEVPGVIGVANOVANVPGPGUTVBGOVCVDUQVOVEVFGVGVH $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Closure of addition of positive integers, proved by induction on the
       second addend.  (Contributed by NM, 12-Jan-1997.) $)
    nnaddcl $p |- ( ( A e. NN /\ B e. NN ) -> ( A + B ) e. NN ) $=
      ( vx vy cn wcel caddc co cv wi c1 wceq oveq2 eleq1d imbi2d peano2nn wa cc
      nncn ax-1cn addass mp3an3 syl2an syl5ib expcom a2d nnind impcom ) BEFAEFZ
      ABGHZEFZUIACIZGHZEFZJUIAKGHZEFZJUIADIZGHZEFZJUIAUQKGHZGHZEFZJUIUKJCDBULKL
      ZUNUPUIVCUMUOEULKAGMNOULUQLZUNUSUIVDUMUREULUQAGMNOULUTLZUNVBUIVEUMVAEULUT
      AGMNOULBLZUNUKUIVFUMUJEULBAGMNOAPUQEFZUIUSVBUIVGUSVBJUSURKGHZEFUIVGQZVBUR
      PVIVHVAEUIARFZUQRFZVHVALZVGASUQSVJVKKRFVLTAUQKUAUBUCNUDUEUFUGUH $.

    $( Closure of multiplication of positive integers.  (Contributed by NM,
       12-Jan-1997.)  Remove dependency on ~ ax-mulcom and ~ ax-mulass .
       (Revised by Steven Nguyen, 24-Sep-2022.) $)
    nnmulcl $p |- ( ( A e. NN /\ B e. NN ) -> ( A x. B ) e. NN ) $=
      ( vx vy cn wcel cmul co cv wi c1 caddc wceq oveq2 eleq1d imbi2d cr wa cc
      nncn nnre ax-1rid biimprd mpcom nnaddcl ancoms ax-1cn adddi mp3an3 syl2an
      syl adantr oveq2d eqtrd syl5ibr exp4b pm2.43b a2d nnind impcom ) BEFAEFZA
      BGHZEFZVAACIZGHZEFZJVAAKGHZEFZJVAADIZGHZEFZJVAAVIKLHZGHZEFZJVAVCJCDBVDKMZ
      VFVHVAVOVEVGEVDKAGNOPVDVIMZVFVKVAVPVEVJEVDVIAGNOPVDVLMZVFVNVAVQVEVMEVDVLA
      GNOPVDBMZVFVCVAVRVEVBEVDBAGNOPAQFZVAVHAUAZVSVHVAVSVGAEAUBZOUCUDVIEFZVAVKV
      NWBVAVKVNJVAWBVAVKVNVAVKRVNVAWBRZVJALHZEFZVKVAWEVJAUEUFWCVMWDEWCVMVJVGLHZ
      WDVAASFZVISFZVMWFMZWBATVITWGWHKSFWIUGAVIKUHUIUJWCVGAVJLVAVGAMZWBVAVSWJVTW
      AUKULUMUNOUOUPUQURUSUT $.
  $}

  ${
    nnmulcli.1 $e |- A e. NN $.
    nnmulcli.2 $e |- B e. NN $.
    $( Closure of multiplication of positive integers.  (Contributed by Mario
       Carneiro, 18-Feb-2014.) $)
    nnmulcli $p |- ( A x. B ) e. NN $=
      ( cn wcel cmul co nnmulcl mp2an ) AEFBEFABGHEFCDABIJ $.
  $}

  $( "Minus times minus is plus, The reason for this we need not discuss."  (W.
     H. Auden, as quoted in M. Guillen "Bridges to Infinity", p. 64, see also
     Metamath Book, section 1.1.1, p. 5) This statement, formalized to "The
     product of two negative integers is a positive integer", is proved by the
     following theorem, therefore it actually need not be discussed anymore.
     "The reason for this" is that ` ( -u A x. -u B ) = ( A x. B ) ` for all
     complex numbers ` A ` and ` B ` because of ~ mul2neg , ` A ` and ` B ` are
     complex numbers because of ~ nncn , and ` ( A x. B ) e. NN ` because of
     ~ nnmulcl .  This also holds for positive reals, see ~ rpmtmip .  Note
     that the opposites ` -u A ` and ` -u B ` of the positive integers ` A `
     and ` B ` are negative integers.  (Contributed by AV, 23-Dec-2022.) $)
  nnmtmip $p |- ( ( A e. NN /\ B e. NN ) -> ( -u A x. -u B ) e. NN ) $=
    ( cn wcel wa cneg cmul co cc wceq nncn mul2neg syl2an nnmulcl eqeltrd ) ACD
    ZBCDZEAFBFGHZABGHZCPAIDBIDRSJQAKBKABLMABNO $.

  ${
    $d x A $.  $d x B $.
    $( There exists a positive integer greater than or equal to any two others.
       (Contributed by NM, 18-Aug-1999.) $)
    nn2ge $p |- ( ( A e. NN /\ B e. NN ) ->
                E. x e. NN ( A <_ x /\ B <_ x ) ) $=
      ( cn wcel wa cv cle wbr wrex cr nnre adantr leid sylan wceq breq2 anbi12d
      rspcev syldan adantl anim1ci adantll anim1i adantlr lecasei ) BDEZCDEZFBA
      GZHIZCUIHIZFZADJZBCUGBKEZUHBLZMUHCKEZUGCLZUAUHBCHIZUMUGUHURURCCHIZFZUMUHU
      PURUTUQUPUSURCNUBOULUTACDUICPUJURUKUSUICBHQUICCHQRSTUCUGCBHIZUMUHUGVABBHI
      ZVAFZUMUGUNVAVCUOUNVBVABNUDOULVCABDUIBPUJVBUKVAUIBBHQUIBCHQRSTUEUF $.
  $}

  ${
    $d x y A $.
    $( A positive integer is one or greater.  (Contributed by NM,
       25-Aug-1999.) $)
    nnge1 $p |- ( A e. NN -> 1 <_ A ) $=
      ( vx vy c1 cv cle wbr caddc co breq2 wcel cr wi cc0 clt wn 0re 1re lenlt
      wb 1le1 cn nnre recn addid1d breq2d 0lt1 axltadd mp3an12 wa readdcl mpan2
      mpi peano2re mp3an3 syl2anc mpand con3d sylancr 3imtr4d sylbird syl nnind
      lttr ) DBEZFGDDFGDCEZFGZDVFDHIZFGZDAFGBCAVEDDFJVEVFDFJVEVHDFJVEADFJUAVFUB
      KVFLKZVGVIMVFUCVJVGDVFNHIZFGZVIVJVKVFDFVJVFVFUDUEUFVJVKDOGZPZVHDOGZPZVLVI
      VJVOVMVJVKVHOGZVOVMVJNDOGZVQUGNLKZDLKZVJVRVQMQRNDVFUHUIUMVJVKLKZVHLKZVQVO
      UJVMMZVJVSWAQVFNUKULZVFUNZWAWBVTWCRVKVHDVDUOUPUQURVJVTWAVLVNTRWDDVKSUSVJV
      TWBVIVPTRWEDVHSUSUTVAVBVC $.
  $}

  $( A positive integer is greater than one iff it is not equal to one.
     (Contributed by NM, 7-Oct-2004.) $)
  nngt1ne1 $p |- ( A e. NN -> ( 1 < A <-> A =/= 1 ) ) $=
    ( c1 cr wcel cn cle wbr clt wne wb 1re nnre nnge1 leltne mp3an2i ) BCDAEDAC
    DBAFGBAHGABIJKALAMBANO $.

  $( A positive integer is less than or equal to one iff it is equal to one.
     (Contributed by NM, 3-Apr-2005.) $)
  nnle1eq1 $p |- ( A e. NN -> ( A <_ 1 <-> A = 1 ) ) $=
    ( cn wcel c1 cle wbr wa wceq nnge1 biantrud cr wb 1re letri3 sylancl bitr4d
    nnre ) ABCZADEFZSDAEFZGZADHZRTSAIJRAKCDKCUBUALAQMADNOP $.

  $( A positive integer is positive.  (Contributed by NM, 26-Sep-1999.) $)
  nngt0 $p |- ( A e. NN -> 0 < A ) $=
    ( cn wcel cr c1 cle wbr cc0 clt nnre nnge1 0lt1 wa wi 0re 1re mp3an12 mpani
    ltletr sylc ) ABCADCZEAFGZHAIGZAJAKUAHEIGZUBUCLHDCEDCUAUDUBMUCNOPHEASQRT $.

  $( A positive integer is not less than one.  (Contributed by NM,
     18-Jan-2004.)  (Revised by Mario Carneiro, 27-May-2016.) $)
  nnnlt1 $p |- ( A e. NN -> -. A < 1 ) $=
    ( cn wcel c1 cle wbr clt wn nnge1 cr wb 1re nnre lenlt sylancr mpbid ) ABCZ
    DAEFZADGFHZAIQDJCAJCRSKLAMDANOP $.

  $( A positive integer is not less than or equal to zero.  (Contributed by AV,
     13-May-2020.) $)
  nnnle0 $p |- ( A e. NN -> -. A <_ 0 ) $=
    ( cn wcel cc0 cle wbr wn clt nngt0 cr wb 0re wa ltnle bicomd sylancr mpbird
    nnre ) ABCZADEFGZDAHFZAISDJCZAJCZTUAKLARUBUCMUATDANOPQ $.

  ${
    $d x y A $.
    $( A positive integer is nonzero.  See ~ nnne0ALT for a shorter proof using
       ~ ax-pre-mulgt0 .  This proof avoids ~ 0lt1 , and thus ~ ax-pre-mulgt0 ,
       by splitting ~ ax-1ne0 into the two separate cases ` 0 < 1 ` and
       ` 1 < 0 ` .  (Contributed by NM, 27-Sep-1999.)  Remove dependency on
       ~ ax-pre-mulgt0 .  (Revised by Steven Nguyen, 30-Jan-2023.) $)
    nnne0 $p |- ( A e. NN -> A =/= 0 ) $=
      ( vx vy cn wcel c1 cc0 clt wbr wne 1re 0re wa cv caddc breq1 imbi2d breq2
      wi wceq wo ax-1ne0 lttri2i mpbi co weq simp1 nnred 1red readdcld readdcli
      id w3a cr a1i 0red simp3 ltadd1dd ax-1cn addid2i simp2 eqbrtrid lttrd a2d
      3exp nnind imp lt0ne0d ex addgt0d gt0ne0d jaod mpi ) ADEZFGHIZGFHIZUAZAGJ
      ZFGJVQUBFGKLUCUDVNVOVRVPVNVOVRVNVOMAVNVOAGHIZVOBNZGHIZSVOVOSVOCNZGHIZSVOW
      BFOUEZGHIZSVOVSSBCAVTFTZWAVOVOVTFGHPQBCUFZWAWCVOVTWBGHPQVTWDTZWAWEVOVTWDG
      HPQVTATZWAVSVOVTAGHPQVOULWBDEZVOWCWEWJVOWCWEWJVOWCUMZWDGFOUEZGWKWBFWKWBWJ
      VOWCUGUHZWKUIZUJWLUNEWKGFLKUKUOWKUPZWKWBGFWMWOWNWJVOWCUQURWKWLFGHFUSUTWJV
      OWCVAVBVCVEVDVFVGVHVIVNVPVRVNVPMAVNVPGAHIZVPGVTHIZSVPVPSVPGWBHIZSVPGWDHIZ
      SVPWPSBCAWFWQVPVPVTFGHRQWGWQWRVPVTWBGHRQWHWQWSVPVTWDGHRQWIWQWPVPVTAGHRQVP
      ULWJVPWRWSWJVPWRWSWJVPWRUMZWBFWTWBWJVPWRUGUHWTUIWJVPWRUQWJVPWRVAVJVEVDVFV
      GVKVIVLVM $.
  $}

  $( No positive integer is equal to its negation.  (Contributed by AV,
     20-Jun-2023.) $)
  nnneneg $p |- ( A e. NN -> A =/= -u A ) $=
    ( cn wcel cneg wceq cc0 nnne0 neneqd nncn eqnegd mtbird neqned ) ABCZAADZMA
    NEAFEMAFAGHMAAIJKL $.

  $( Zero is not a positive integer.  (Contributed by NM, 25-Aug-1999.)  Remove
     dependency on ~ ax-pre-mulgt0 .  (Revised by Steven Nguyen,
     30-Jan-2023.) $)
  0nnn $p |- -. 0 e. NN $=
    ( cc0 cn wcel wne neirr nnne0 mto ) ABCAADAEAFG $.

  $( Alternate proof of ~ 0nnn , which requires ~ ax-pre-mulgt0 but is not
     based on ~ nnne0 (and which can therefore be used in ~ nnne0ALT ).
     (Contributed by NM, 25-Aug-1999.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  0nnnALT $p |- -. 0 e. NN $=
    ( cc0 cn wcel c1 clt wbr 0lt1 nnnlt1 mt2 ) ABCADEFGAHI $.

  $( Alternate version of ~ nnne0 .  A positive integer is nonzero.
     (Contributed by NM, 27-Sep-1999.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  nnne0ALT $p |- ( A e. NN -> A =/= 0 ) $=
    ( cn wcel cc0 wceq 0nnnALT eleq1 mtbiri necon2ai ) ABCZADADEJDBCFADBGHI $.

  ${
    nngt0.1 $e |- A e. NN $.
    $( A positive integer is positive (inference version).  (Contributed by NM,
       17-Sep-1999.) $)
    nngt0i $p |- 0 < A $=
      ( cn wcel cc0 clt wbr nngt0 ax-mp ) ACDEAFGBAHI $.

    $( A positive integer is nonzero (inference version).  (Contributed by NM,
       25-Aug-1999.) $)
    nnne0i $p |- A =/= 0 $=
      ( nnrei nngt0i gt0ne0ii ) AABCABDE $.
  $}

  $( The quotient of a real and a positive integer is real.  (Contributed by
     NM, 28-Nov-2008.) $)
  nndivre $p |- ( ( A e. RR /\ N e. NN ) -> ( A / N ) e. RR ) $=
    ( cn wcel cr cc0 wne wa cdiv co nnre nnne0 jca redivcl 3expb sylan2 ) BCDZA
    EDZBEDZBFGZHABIJEDZQSTBKBLMRSTUAABNOP $.

  $( The reciprocal of a positive integer is real.  (Contributed by NM,
     8-Feb-2008.) $)
  nnrecre $p |- ( N e. NN -> ( 1 / N ) e. RR ) $=
    ( c1 cr wcel cn cdiv co 1re nndivre mpan ) BCDAEDBAFGCDHBAIJ $.

  $( The reciprocal of a positive integer is positive.  (Contributed by NM,
     25-Aug-1999.) $)
  nnrecgt0 $p |- ( A e. NN -> 0 < ( 1 / A ) ) $=
    ( cn wcel c1 cle wbr cc0 cdiv co clt nnge1 0lt1 cr wa wi 0re ltletr mp3an12
    nnre 1re recgt0 ex syld syl mpani mpd ) ABCZDAEFZGDAHIJFZAKUGGDJFZUHUILUGAM
    CZUJUHNZUIOASUKULGAJFZUIGMCDMCUKULUMOPTGDAQRUKUMUIAUAUBUCUDUEUF $.

  ${
    $d z A $.  $d x y z B $.
    $( Subtraction of positive integers.  (Contributed by NM, 20-Aug-2001.)
       (Revised by Mario Carneiro, 16-May-2014.) $)
    nnsub $p |- ( ( A e. NN /\ B e. NN ) -> ( A < B <-> ( B - A ) e. NN ) ) $=
      ( vz vx cn wcel clt wbr cmin co wi wral wceq breq2 eleq1d imbi12d ralbidv
      c1 oveq1 cr vy wa cv caddc nnnlt1 pm2.21d rgen breq1 cbvralvw nncn adantr
      oveq2 cc ax-1cn pncan sylancl simpl eqeltrd syl5ibrcom 2a1dd rspcv wb 1re
      nnre ltsubadd mp3an2 syl2anr subsub3 mp3an3 syl2an biimpd syl9r wo adantl
      nn1m1nn mpjaod ralrimdva syl5bi nnind rspcva sylan2 posdif syl5ibr impbid
      cc0 nngt0 ) AEFZBEFZUBZABGHZBAIJZEFZWHWGCUCZBGHZBWMIJZEFZKZCELZWJWLKZWMDU
      CZGHZWTWMIJZEFZKZCELWMRGHZRWMIJZEFZKZCELWMUAUCZGHZXIWMIJZEFZKZCELZWMXIRUD
      JZGHZXOWMIJZEFZKZCELZWRDUABWTRMZXDXHCEYAXAXEXCXGWTRWMGNYAXBXFEWTRWMISOPQW
      TXIMZXDXMCEYBXAXJXCXLWTXIWMGNYBXBXKEWTXIWMISOPQWTXOMZXDXSCEYCXAXPXCXRWTXO
      WMGNYCXBXQEWTXOWMISOPQWTBMZXDWQCEYDXAWNXCWPWTBWMGNYDXBWOEWTBWMISOPQXHCEWM
      EFZXEXGWMUEUFUGXNWTXIGHZXIWTIJZEFZKZDELZXIEFZXTXMYICDEWMWTMZXJYFXLYHWMWTX
      IGUHYLXKYGEWMWTXIIULOPUIYKYJXSCEYKYEUBZWMRMZYJXSKWMRIJZEFZYMYNXRYJXPYMXRY
      NXORIJZEFYMYQXIEYMXIUMFZRUMFZYQXIMYKYRYEXIUJZUKUNXIRUOUPYKYEUQURYNXQYQEWM
      RXOIULOUSUTYPYJYOXIGHZXIYOIJZEFZKZYMXSYIUUDDYOEWTYOMZYFUUAYHUUCWTYOXIGUHU
      UEYGUUBEWTYOXIIULOPVAYMUUDXSYMUUAXPUUCXRYEWMTFZXITFZUUAXPVBZYKWMVDXIVDUUF
      RTFUUGUUHVCWMRXIVEVFVGYMUUBXQEYKYRWMUMFZUUBXQMZYEYTWMUJYRUUIYSUUJUNXIWMRV
      HVIVJOPVKVLYEYNYPVMYKWMVOVNVPVQVRVSWQWSCAEWMAMZWNWJWPWLWMABGUHUUKWOWKEWMA
      BIULOPVTWAWLWJWIWEWKGHZWKWFWGATFBTFWJUULVBWHAVDBVDABWBVJWCWD $.

    nnsub.1 $e |- A e. NN $.
    nnsub.2 $e |- B e. NN $.
    $( Subtraction of positive integers.  (Contributed by NM, 19-Aug-2001.) $)
    nnsubi $p |- ( A < B <-> ( B - A ) e. NN ) $=
      ( cn wcel clt wbr cmin co wb nnsub mp2an ) AEFBEFABGHBAIJEFKCDABLM $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Two ways to express " ` A ` divides ` B ` " for positive integers.
       (Contributed by NM, 3-Feb-2004.)  (Proof shortened by Mario Carneiro,
       16-May-2014.) $)
    nndiv $p |- ( ( A e. NN /\ B e. NN ) ->
                ( E. x e. NN ( A x. x ) = B <-> ( B / A ) e. NN ) ) $=
      ( cdiv co cn wcel cv wceq wrex cmul risset eqcom ad2antlr ad2antrr adantl
      wa cc nncn cc0 wne nnne0 divmuld syl5bb rexbidva bitr2id ) CBDEZFGAHZUGIZ
      AFJBFGZCFGZQZBUHKECIZAFJAUGFLULUIUMAFUIUGUHIULUHFGZQZUMUHUGMUOCBUHUKCRGUJ
      UNCSNUJBRGUKUNBSOUNUHRGULUHSPUJBTUAUKUNBUBOUCUDUEUF $.
  $}

  $( Transitive property of divisibility: if ` A ` divides ` B ` and ` B `
     divides ` C ` , then ` A ` divides ` C ` .  Typically, ` C ` would be an
     integer, although the theorem holds for complex ` C ` .  (Contributed by
     NM, 3-May-2005.) $)
  nndivtr $p |- ( ( ( A e. NN /\ B e. NN /\ C e. CC ) /\
               ( ( B / A ) e. NN /\ ( C / B ) e. NN ) ) -> ( C / A ) e. NN ) $=
    ( cn wcel cc w3a cdiv co wa cmul nnmulcl c1 cc0 wne wceq 3ad2ant2 nnne0 jca
    nncn 3ad2ant1 divmul24 syl22anc dividd oveq1d sylan2 ancoms mulid2d 3adant2
    simp3 divcl 3expb 3eqtrd eleq1d syl5ib imp ) ADEZBDEZCFEZGZBAHIZDECBHIZDEJZ
    CAHIZDEZVCVAVBKIZDEUTVEVAVBLUTVFVDDUTVFBBHIZVDKIZMVDKIZVDUTBFEZUSAFEZANOZJZ
    VJBNOZJZVFVHPURUQVJUSBTZQUQURUSUJUQURVMUSUQVKVLATARSZUAURUQVOUSURVJVNVPBRZS
    QBCABUBUCURUQVHVIPUSURVGMVDKURBVPVRUDUEQUQUSVIVDPURUQUSJVDUSUQVDFEZUQUSVMVS
    VQUSVKVLVSCAUKULUFUGUHUIUMUNUOUP $.

  ${
    nnge1d.1 $e |- ( ph -> A e. NN ) $.
    $( A positive integer is one or greater.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    nnge1d $p |- ( ph -> 1 <_ A ) $=
      ( cn wcel c1 cle wbr nnge1 syl ) ABDEFBGHCBIJ $.

    $( A positive integer is positive.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    nngt0d $p |- ( ph -> 0 < A ) $=
      ( cn wcel cc0 clt wbr nngt0 syl ) ABDEFBGHCBIJ $.

    $( A positive integer is nonzero.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    nnne0d $p |- ( ph -> A =/= 0 ) $=
      ( cn wcel cc0 wne nnne0 syl ) ABDEBFGCBHI $.

    $( The reciprocal of a positive integer is real.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    nnrecred $p |- ( ph -> ( 1 / A ) e. RR ) $=
      ( cn wcel c1 cdiv co cr nnrecre syl ) ABDEFBGHIECBJK $.

    nnmulcld.2 $e |- ( ph -> B e. NN ) $.
    $( Closure of addition of positive integers.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    nnaddcld $p |- ( ph -> ( A + B ) e. NN ) $=
      ( cn wcel caddc co nnaddcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.

    $( Closure of multiplication of positive integers.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    nnmulcld $p |- ( ph -> ( A x. B ) e. NN ) $=
      ( cn wcel cmul co nnmulcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.
  $}

  ${
    nndivred.1 $e |- ( ph -> A e. RR ) $.
    nndivred.2 $e |- ( ph -> B e. NN ) $.
    $( A positive integer is one or greater.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    nndivred $p |- ( ph -> ( A / B ) e. RR ) $=
      ( cr wcel cn cdiv co nndivre syl2anc ) ABFGCHGBCIJFGDEBCKL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Decimal representation of numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The decimal representation of numbers/integers is based on the decimal digits
  0 through 9 ( ~ df-0 through ~ df-9 ), which are explicitly defined in the
  following.  Note that the numbers 0 and 1 are constants defined as primitives
  of the complex number axiom system (see ~ df-0 and ~ df-1 ).

  With the decimal constructor ~ df-dec , it is possible to easily express
  larger integers in base 10.  See ~ deccl and the theorems that follow it.
  See also ~ 4001prm (4001 is prime) and the proof of ~ bpos .  Note that
  the decimal constructor builds on the definitions in this section.

  Note: The number 10 will be represented by its digits using the decimal
  constructor only, i.e., by ` ; 1 0 ` .  Therefore, only decimal digits are
  needed (as symbols) for the decimal representation of a number.

  Integers can also be exhibited as sums of powers of 10 (e.g., the number 103
  can be expressed as ` ( ( ; 1 0 ^ 2 ) + 3 ) `) or as some other expression
  built from operations on the numbers 0 through 9.  For example, the prime
  number 823541 can be expressed as ` ( 7 ^ 7 ) - 2 ` .  Decimals can be
  expressed as ratios of integers, as in ~ cos2bnd .

  Most abstract math rarely requires numbers larger than 4.  Even in Wiles'
  proof of Fermat's Last Theorem, the largest number used appears to be 12.

$)

  $c 2 $. $( The decimal number 2 $)
  $c 3 $. $( The decimal number 3 $)
  $c 4 $. $( The decimal number 4 $)
  $c 5 $. $( The decimal number 5 $)
  $c 6 $. $( The decimal number 6 $)
  $c 7 $. $( The decimal number 7 $)
  $c 8 $. $( The decimal number 8 $)
  $c 9 $. $( The decimal number 9 $)

  $( Extend class notation to include the number 2. $)
  c2 $a class 2 $.
  $( Extend class notation to include the number 3. $)
  c3 $a class 3 $.
  $( Extend class notation to include the number 4. $)
  c4 $a class 4 $.
  $( Extend class notation to include the number 5. $)
  c5 $a class 5 $.
  $( Extend class notation to include the number 6. $)
  c6 $a class 6 $.
  $( Extend class notation to include the number 7. $)
  c7 $a class 7 $.
  $( Extend class notation to include the number 8. $)
  c8 $a class 8 $.
  $( Extend class notation to include the number 9. $)
  c9 $a class 9 $.

  $( Define the number 2.  (Contributed by NM, 27-May-1999.) $)
  df-2 $a |- 2 = ( 1 + 1 ) $.

  $( Define the number 3.  (Contributed by NM, 27-May-1999.) $)
  df-3 $a |- 3 = ( 2 + 1 ) $.
  $( Define the number 4.  (Contributed by NM, 27-May-1999.) $)
  df-4 $a |- 4 = ( 3 + 1 ) $.
  $( Define the number 5.  (Contributed by NM, 27-May-1999.) $)
  df-5 $a |- 5 = ( 4 + 1 ) $.
  $( Define the number 6.  (Contributed by NM, 27-May-1999.) $)
  df-6 $a |- 6 = ( 5 + 1 ) $.
  $( Define the number 7.  (Contributed by NM, 27-May-1999.) $)
  df-7 $a |- 7 = ( 6 + 1 ) $.
  $( Define the number 8.  (Contributed by NM, 27-May-1999.) $)
  df-8 $a |- 8 = ( 7 + 1 ) $.
  $( Define the number 9.  (Contributed by NM, 27-May-1999.) $)
  df-9 $a |- 9 = ( 8 + 1 ) $.

  $( Zero is different from one (the commuted form is Axiom ~ ax-1ne0 ).
     (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  0ne1 $p |- 0 =/= 1 $=
    ( c1 cc0 ax-1ne0 necomi ) ABCD $.

  $( One minus one equals zero.  (Contributed by David A. Wheeler,
     7-Jul-2016.) $)
  1m1e0 $p |- ( 1 - 1 ) = 0 $=
    ( c1 ax-1cn subidi ) ABC $.

  $( 2 is a positive integer.  (Contributed by NM, 20-Aug-2001.) $)
  2nn $p |- 2 e. NN $=
    ( c2 c1 caddc co cn df-2 wcel 1nn peano2nn ax-mp eqeltri ) ABBCDZEFBEGLEGHB
    IJK $.

  $( The number 2 is real.  (Contributed by NM, 27-May-1999.) $)
  2re $p |- 2 e. RR $=
    ( c2 c1 caddc co cr df-2 1re readdcli eqeltri ) ABBCDEFBBGGHI $.

  $( The number 2 is a complex number.  (Contributed by NM, 30-Jul-2004.)
     Reduce dependencies on axioms.  (Revised by Steven Nguyen, 4-Oct-2022.) $)
  2cn $p |- 2 e. CC $=
    ( c2 c1 caddc co cc df-2 ax-1cn addcli eqeltri ) ABBCDEFBBGGHI $.

  $( Alternate proof of ~ 2cn .  Shorter but uses more axioms.  Similar proofs
     are possible for ~ 3cn , ... , ~ 9cn .  (Contributed by NM, 30-Jul-2004.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  2cnALT $p |- 2 e. CC $=
    ( c2 2re recni ) ABC $.

  $( The number 2 is a set.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  2ex $p |- 2 e. _V $=
    ( c2 cc 2cn elexi ) ABCD $.

  $( The number 2 is a complex number, deduction form.  (Contributed by David
     A. Wheeler, 8-Dec-2018.) $)
  2cnd $p |- ( ph -> 2 e. CC ) $=
    ( c2 cc wcel 2cn a1i ) BCDAEF $.

  $( 3 is a positive integer.  (Contributed by NM, 8-Jan-2006.) $)
  3nn $p |- 3 e. NN $=
    ( c3 c2 c1 caddc co cn df-3 wcel 2nn peano2nn ax-mp eqeltri ) ABCDEZFGBFHMF
    HIBJKL $.

  $( The number 3 is real.  (Contributed by NM, 27-May-1999.) $)
  3re $p |- 3 e. RR $=
    ( c3 c2 c1 caddc co cr df-3 2re 1re readdcli eqeltri ) ABCDEFGBCHIJK $.

  $( The number 3 is a complex number.  (Contributed by FL, 17-Oct-2010.)
     Reduce dependencies on axioms.  (Revised by Steven Nguyen, 4-Oct-2022.) $)
  3cn $p |- 3 e. CC $=
    ( c3 c2 c1 caddc co cc df-3 2cn ax-1cn addcli eqeltri ) ABCDEFGBCHIJK $.

  $( The number 3 is a set.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  3ex $p |- 3 e. _V $=
    ( c3 cc 3cn elexi ) ABCD $.

  $( 4 is a positive integer.  (Contributed by NM, 8-Jan-2006.) $)
  4nn $p |- 4 e. NN $=
    ( c4 c3 c1 caddc co cn df-4 wcel 3nn peano2nn ax-mp eqeltri ) ABCDEZFGBFHMF
    HIBJKL $.

  $( The number 4 is real.  (Contributed by NM, 27-May-1999.) $)
  4re $p |- 4 e. RR $=
    ( c4 c3 c1 caddc co cr df-4 3re 1re readdcli eqeltri ) ABCDEFGBCHIJK $.

  $( The number 4 is a complex number.  (Contributed by David A. Wheeler,
     7-Jul-2016.)  Reduce dependencies on axioms.  (Revised by Steven Nguyen,
     4-Oct-2022.) $)
  4cn $p |- 4 e. CC $=
    ( c4 c3 c1 caddc co cc df-4 3cn ax-1cn addcli eqeltri ) ABCDEFGBCHIJK $.

  $( 5 is a positive integer.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  5nn $p |- 5 e. NN $=
    ( c5 c4 c1 caddc co cn df-5 wcel 4nn peano2nn ax-mp eqeltri ) ABCDEZFGBFHMF
    HIBJKL $.

  $( The number 5 is real.  (Contributed by NM, 27-May-1999.) $)
  5re $p |- 5 e. RR $=
    ( c5 c4 c1 caddc co cr df-5 4re 1re readdcli eqeltri ) ABCDEFGBCHIJK $.

  $( The number 5 is a complex number.  (Contributed by David A. Wheeler,
     8-Dec-2018.)  Reduce dependencies on axioms.  (Revised by Steven Nguyen,
     4-Oct-2022.) $)
  5cn $p |- 5 e. CC $=
    ( c5 c4 c1 caddc co cc df-5 4cn ax-1cn addcli eqeltri ) ABCDEFGBCHIJK $.

  $( 6 is a positive integer.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  6nn $p |- 6 e. NN $=
    ( c6 c5 c1 caddc co cn df-6 wcel 5nn peano2nn ax-mp eqeltri ) ABCDEZFGBFHMF
    HIBJKL $.

  $( The number 6 is real.  (Contributed by NM, 27-May-1999.) $)
  6re $p |- 6 e. RR $=
    ( c6 c5 c1 caddc co cr df-6 5re 1re readdcli eqeltri ) ABCDEFGBCHIJK $.

  $( The number 6 is a complex number.  (Contributed by David A. Wheeler,
     8-Dec-2018.)  Reduce dependencies on axioms.  (Revised by Steven Nguyen,
     4-Oct-2022.) $)
  6cn $p |- 6 e. CC $=
    ( c6 c5 c1 caddc co cc df-6 5cn ax-1cn addcli eqeltri ) ABCDEFGBCHIJK $.

  $( 7 is a positive integer.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  7nn $p |- 7 e. NN $=
    ( c7 c6 c1 caddc co cn df-7 wcel 6nn peano2nn ax-mp eqeltri ) ABCDEZFGBFHMF
    HIBJKL $.

  $( The number 7 is real.  (Contributed by NM, 27-May-1999.) $)
  7re $p |- 7 e. RR $=
    ( c7 c6 c1 caddc co cr df-7 6re 1re readdcli eqeltri ) ABCDEFGBCHIJK $.

  $( The number 7 is a complex number.  (Contributed by David A. Wheeler,
     8-Dec-2018.)  Reduce dependencies on axioms.  (Revised by Steven Nguyen,
     4-Oct-2022.) $)
  7cn $p |- 7 e. CC $=
    ( c7 c6 c1 caddc co cc df-7 6cn ax-1cn addcli eqeltri ) ABCDEFGBCHIJK $.

  $( 8 is a positive integer.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  8nn $p |- 8 e. NN $=
    ( c8 c7 c1 caddc co cn df-8 wcel 7nn peano2nn ax-mp eqeltri ) ABCDEZFGBFHMF
    HIBJKL $.

  $( The number 8 is real.  (Contributed by NM, 27-May-1999.) $)
  8re $p |- 8 e. RR $=
    ( c8 c7 c1 caddc co cr df-8 7re 1re readdcli eqeltri ) ABCDEFGBCHIJK $.

  $( The number 8 is a complex number.  (Contributed by David A. Wheeler,
     8-Dec-2018.)  Reduce dependencies on axioms.  (Revised by Steven Nguyen,
     4-Oct-2022.) $)
  8cn $p |- 8 e. CC $=
    ( c8 c7 c1 caddc co cc df-8 7cn ax-1cn addcli eqeltri ) ABCDEFGBCHIJK $.

  $( 9 is a positive integer.  (Contributed by NM, 21-Oct-2012.) $)
  9nn $p |- 9 e. NN $=
    ( c9 c8 c1 caddc co cn df-9 wcel 8nn peano2nn ax-mp eqeltri ) ABCDEZFGBFHMF
    HIBJKL $.

  $( The number 9 is real.  (Contributed by NM, 27-May-1999.) $)
  9re $p |- 9 e. RR $=
    ( c9 c8 c1 caddc co cr df-9 8re 1re readdcli eqeltri ) ABCDEFGBCHIJK $.

  $( The number 9 is a complex number.  (Contributed by David A. Wheeler,
     8-Dec-2018.)  Reduce dependencies on axioms.  (Revised by Steven Nguyen,
     4-Oct-2022.) $)
  9cn $p |- 9 e. CC $=
    ( c9 c8 c1 caddc co cc df-9 8cn ax-1cn addcli eqeltri ) ABCDEFGBCHIJK $.

  $( Zero is nonnegative.  (Contributed by David A. Wheeler, 7-Jul-2016.) $)
  0le0 $p |- 0 <_ 0 $=
    ( cc0 0re leidi ) ABC $.

  $( The number 0 is less than or equal to 2.  (Contributed by David A.
     Wheeler, 7-Dec-2018.) $)
  0le2 $p |- 0 <_ 2 $=
    ( cc0 c1 caddc co c2 cle wbr 0le1 1re addge0i mp2an df-2 breqtrri ) ABBCDZE
    FABFGZOANFGHHBBIIJKLM $.

  $( The number 2 is positive.  (Contributed by NM, 27-May-1999.) $)
  2pos $p |- 0 < 2 $=
    ( cc0 c1 caddc co c2 clt 1re 0lt1 addgt0ii df-2 breqtrri ) ABBCDEFBBGGHHIJK
    $.

  $( The number 2 is nonzero.  (Contributed by NM, 9-Nov-2007.) $)
  2ne0 $p |- 2 =/= 0 $=
    ( c2 2re 2pos gt0ne0ii ) ABCD $.

  $( The number 3 is positive.  (Contributed by NM, 27-May-1999.) $)
  3pos $p |- 0 < 3 $=
    ( cc0 c2 c1 caddc co c3 clt 2re 1re 2pos 0lt1 addgt0ii df-3 breqtrri ) ABCD
    EFGBCHIJKLMN $.

  $( The number 3 is nonzero.  (Contributed by FL, 17-Oct-2010.)  (Proof
     shortened by Andrew Salmon, 7-May-2011.) $)
  3ne0 $p |- 3 =/= 0 $=
    ( c3 3re 3pos gt0ne0ii ) ABCD $.

  $( The number 4 is positive.  (Contributed by NM, 27-May-1999.) $)
  4pos $p |- 0 < 4 $=
    ( cc0 c3 c1 caddc co c4 clt 3re 1re 3pos 0lt1 addgt0ii df-4 breqtrri ) ABCD
    EFGBCHIJKLMN $.

  $( The number 4 is nonzero.  (Contributed by David A. Wheeler,
     5-Dec-2018.) $)
  4ne0 $p |- 4 =/= 0 $=
    ( c4 4re 4pos gt0ne0ii ) ABCD $.

  $( The number 5 is positive.  (Contributed by NM, 27-May-1999.) $)
  5pos $p |- 0 < 5 $=
    ( cc0 c4 c1 caddc co c5 clt 4re 1re 4pos 0lt1 addgt0ii df-5 breqtrri ) ABCD
    EFGBCHIJKLMN $.

  $( The number 6 is positive.  (Contributed by NM, 27-May-1999.) $)
  6pos $p |- 0 < 6 $=
    ( cc0 c5 c1 caddc co c6 clt 5re 1re 5pos 0lt1 addgt0ii df-6 breqtrri ) ABCD
    EFGBCHIJKLMN $.

  $( The number 7 is positive.  (Contributed by NM, 27-May-1999.) $)
  7pos $p |- 0 < 7 $=
    ( cc0 c6 c1 caddc co c7 clt 6re 1re 6pos 0lt1 addgt0ii df-7 breqtrri ) ABCD
    EFGBCHIJKLMN $.

  $( The number 8 is positive.  (Contributed by NM, 27-May-1999.) $)
  8pos $p |- 0 < 8 $=
    ( cc0 c7 c1 caddc co c8 clt 7re 1re 7pos 0lt1 addgt0ii df-8 breqtrri ) ABCD
    EFGBCHIJKLMN $.

  $( The number 9 is positive.  (Contributed by NM, 27-May-1999.) $)
  9pos $p |- 0 < 9 $=
    ( cc0 c8 c1 caddc co c9 clt 8re 1re 8pos 0lt1 addgt0ii df-9 breqtrri ) ABCD
    EFGBCHIJKLMN $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Some properties of specific numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This section includes specific theorems about one-digit natural numbers
  (membership, addition, subtraction, multiplication, division, ordering).

$)

  $( -1 is a complex number.  (Contributed by David A. Wheeler, 7-Jul-2016.) $)
  neg1cn $p |- -u 1 e. CC $=
    ( c1 ax-1cn negcli ) ABC $.

  $( -1 is a real number.  (Contributed by David A. Wheeler, 5-Dec-2018.) $)
  neg1rr $p |- -u 1 e. RR $=
    ( c1 1re renegcli ) ABC $.

  $( -1 is nonzero.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  neg1ne0 $p |- -u 1 =/= 0 $=
    ( c1 ax-1cn ax-1ne0 negne0i ) ABCD $.

  $( -1 is less than 0.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  neg1lt0 $p |- -u 1 < 0 $=
    ( c1 cneg cc0 clt wbr neg0 0lt1 eqbrtri 1re 0re ltnegcon1i mpbir ) ABCDECBZ
    ADEMCADFGHACIJKL $.

  $( ` -u -u 1 ` is 1.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  negneg1e1 $p |- -u -u 1 = 1 $=
    ( c1 ax-1cn negnegi ) ABC $.

  $( ` 1 + -u 1 ` is 0.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  1pneg1e0 $p |- ( 1 + -u 1 ) = 0 $=
    ( c1 ax-1cn negidi ) ABC $.

  $( 0 minus 0 equals 0.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  0m0e0 $p |- ( 0 - 0 ) = 0 $=
    ( cc0 0cn subidi ) ABC $.

  $( 1 - 0 = 1.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  1m0e1 $p |- ( 1 - 0 ) = 1 $=
    ( c1 ax-1cn subid1i ) ABC $.

  $( 0 + 1 = 1.  (Contributed by David A. Wheeler, 7-Jul-2016.) $)
  0p1e1 $p |- ( 0 + 1 ) = 1 $=
    ( c1 ax-1cn addid2i ) ABC $.

  $( Function value at ` N + 1 ` with ` N ` replaced by ` 0 ` .  Technical
     theorem to be used to reduce the size of a significant number of proofs.
     (Contributed by AV, 13-Aug-2022.) $)
  fv0p1e1 $p |- ( N = 0 -> ( F ` ( N + 1 ) ) = ( F ` 1 ) ) $=
    ( cc0 wceq c1 caddc co oveq1 0p1e1 eqtrdi fveq2d ) BCDZBEFGZEALMCEFGEBCEFHI
    JK $.

  $( 1 + 0 = 1.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  1p0e1 $p |- ( 1 + 0 ) = 1 $=
    ( c1 ax-1cn addid1i ) ABC $.

  $( 1 + 1 = 2.  (Contributed by NM, 1-Apr-2008.) $)
  1p1e2 $p |- ( 1 + 1 ) = 2 $=
    ( c2 c1 caddc co df-2 eqcomi ) ABBCDEF $.

  $( 2 - 1 = 1.  The result is on the right-hand-side to be consistent with
     similar proofs like ~ 4p4e8 .  (Contributed by David A. Wheeler,
     4-Jan-2017.) $)
  2m1e1 $p |- ( 2 - 1 ) = 1 $=
    ( c2 c1 2cn ax-1cn 1p1e2 subaddrii ) ABBCDDEF $.

  $( 1 = 2 - 1.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  1e2m1 $p |- 1 = ( 2 - 1 ) $=
    ( c2 c1 cmin co 2m1e1 eqcomi ) ABCDBEF $.

  $( 3 - 1 = 2.  (Contributed by FL, 17-Oct-2010.)  (Revised by NM,
     10-Dec-2017.)  (Proof shortened by AV, 6-Sep-2021.) $)
  3m1e2 $p |- ( 3 - 1 ) = 2 $=
    ( c3 c2 c1 2cn ax-1cn df-3 mvrraddi ) ABCDEFG $.

  $( 4 - 1 = 3.  (Contributed by AV, 8-Feb-2021.)  (Proof shortened by AV,
     6-Sep-2021.) $)
  4m1e3 $p |- ( 4 - 1 ) = 3 $=
    ( c4 c3 c1 3cn ax-1cn df-4 mvrraddi ) ABCDEFG $.

  $( 5 - 1 = 4.  (Contributed by AV, 6-Sep-2021.) $)
  5m1e4 $p |- ( 5 - 1 ) = 4 $=
    ( c5 c4 c1 4cn ax-1cn df-5 mvrraddi ) ABCDEFG $.

  $( 6 - 1 = 5.  (Contributed by AV, 6-Sep-2021.) $)
  6m1e5 $p |- ( 6 - 1 ) = 5 $=
    ( c6 c5 c1 5cn ax-1cn df-6 mvrraddi ) ABCDEFG $.

  $( 7 - 1 = 6.  (Contributed by AV, 6-Sep-2021.) $)
  7m1e6 $p |- ( 7 - 1 ) = 6 $=
    ( c7 c6 c1 6cn ax-1cn df-7 mvrraddi ) ABCDEFG $.

  $( 8 - 1 = 7.  (Contributed by AV, 6-Sep-2021.) $)
  8m1e7 $p |- ( 8 - 1 ) = 7 $=
    ( c8 c7 c1 7cn ax-1cn df-8 mvrraddi ) ABCDEFG $.

  $( 9 - 1 = 8.  (Contributed by AV, 6-Sep-2021.) $)
  9m1e8 $p |- ( 9 - 1 ) = 8 $=
    ( c9 c8 c1 8cn ax-1cn df-9 mvrraddi ) ABCDEFG $.

  $( Two plus two equals four.  For more information, see "2+2=4 Trivia" on the
     Metamath Proof Explorer Home Page: ~ mmset.html#trivia .  This proof is
     simple, but it depends on many other proof steps because 2 and 4 are
     complex numbers and thus it depends on our construction of complex
     numbers.  The proof ~ o2p2e4 is similar but proves ` 2 + 2 = 4 ` using
     ordinal natural numbers (finite integers starting at 0), so that proof
     depends on fewer intermediate steps.  (Contributed by NM, 27-May-1999.) $)
  2p2e4 $p |- ( 2 + 2 ) = 4 $=
    ( c2 caddc co c1 c4 df-2 oveq2i c3 df-4 oveq1i ax-1cn addassi 3eqtri eqtr4i
    df-3 2cn ) AABCADDBCZBCZEAQABFGEHDBCADBCZDBCRIHSDBOJADDPKKLMN $.

  $( Two times a number.  (Contributed by NM, 10-Oct-2004.)  (Revised by Mario
     Carneiro, 27-May-2016.)  (Proof shortened by AV, 26-Feb-2020.) $)
  2times $p |- ( A e. CC -> ( 2 x. A ) = ( A + A ) ) $=
    ( cc wcel c2 cmul co c1 caddc df-2 oveq1i 1p1times eqtrid ) ABCDAEFGGHFZAEF
    AAHFDMAEIJAKL $.

  $( A number times 2.  (Contributed by NM, 16-Oct-2007.) $)
  times2 $p |- ( A e. CC -> ( A x. 2 ) = ( A + A ) ) $=
    ( cc wcel c2 cmul co caddc wceq 2cn mulcom mpan2 2times eqtrd ) ABCZADEFZDA
    EFZAAGFNDBCOPHIADJKALM $.

  ${
    2timesi.1 $e |- A e. CC $.
    $( Two times a number.  (Contributed by NM, 1-Aug-1999.) $)
    2timesi $p |- ( 2 x. A ) = ( A + A ) $=
      ( cc wcel c2 cmul co caddc wceq 2times ax-mp ) ACDEAFGAAHGIBAJK $.

    $( A number times 2.  (Contributed by NM, 11-May-2004.) $)
    times2i $p |- ( A x. 2 ) = ( A + A ) $=
      ( cc wcel c2 cmul co caddc wceq times2 ax-mp ) ACDAEFGAAHGIBAJK $.
  $}

  $( Two times a complex number minus the number itself results in the number
     itself.  (Contributed by Alexander van der Vekens, 8-Jun-2018.) $)
  2txmxeqx $p |- ( X e. CC -> ( ( 2 x. X ) - X ) = X ) $=
    ( cc wcel c2 cmul co id 2times mvrladdd ) ABCZDAEFAAJGZKAHI $.

  $( 2 divided by 2 is 1.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  2div2e1 $p |- ( 2 / 2 ) = 1 $=
    ( c2 2cn 2ne0 dividi ) ABCD $.

  $( 2 + 1 = 3.  (Contributed by Mario Carneiro, 18-Apr-2015.) $)
  2p1e3 $p |- ( 2 + 1 ) = 3 $=
    ( c3 c2 c1 caddc co df-3 eqcomi ) ABCDEFG $.

  $( 1 + 2 = 3.  For a shorter proof using ~ addcomli , see ~ 1p2e3ALT .
     (Contributed by David A. Wheeler, 8-Dec-2018.)  Reduce dependencies on
     axioms.  (Revised by Steven Nguyen, 12-Dec-2022.) $)
  1p2e3 $p |- ( 1 + 2 ) = 3 $=
    ( c1 c2 caddc co c3 oveq2i ax-1cn addassi 1p1e2 oveq1i 2p1e3 eqtri 3eqtr2i
    df-2 ) ABCDAAACDZCDOACDZEBOACNFAAAGGGHPBACDEOBACIJKLM $.

  $( Alternate proof of ~ 1p2e3 , shorter but using more axioms.  (Contributed
     by David A. Wheeler, 8-Dec-2018.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  1p2e3ALT $p |- ( 1 + 2 ) = 3 $=
    ( c2 c1 c3 2cn ax-1cn 2p1e3 addcomli ) ABCDEFG $.

  $( 3 + 1 = 4.  (Contributed by Mario Carneiro, 18-Apr-2015.) $)
  3p1e4 $p |- ( 3 + 1 ) = 4 $=
    ( c4 c3 c1 caddc co df-4 eqcomi ) ABCDEFG $.

  $( 4 + 1 = 5.  (Contributed by Mario Carneiro, 18-Apr-2015.) $)
  4p1e5 $p |- ( 4 + 1 ) = 5 $=
    ( c5 c4 c1 caddc co df-5 eqcomi ) ABCDEFG $.

  $( 5 + 1 = 6.  (Contributed by Mario Carneiro, 18-Apr-2015.) $)
  5p1e6 $p |- ( 5 + 1 ) = 6 $=
    ( c6 c5 c1 caddc co df-6 eqcomi ) ABCDEFG $.

  $( 6 + 1 = 7.  (Contributed by Mario Carneiro, 18-Apr-2015.) $)
  6p1e7 $p |- ( 6 + 1 ) = 7 $=
    ( c7 c6 c1 caddc co df-7 eqcomi ) ABCDEFG $.

  $( 7 + 1 = 8.  (Contributed by Mario Carneiro, 18-Apr-2015.) $)
  7p1e8 $p |- ( 7 + 1 ) = 8 $=
    ( c8 c7 c1 caddc co df-8 eqcomi ) ABCDEFG $.

  $( 8 + 1 = 9.  (Contributed by Mario Carneiro, 18-Apr-2015.) $)
  8p1e9 $p |- ( 8 + 1 ) = 9 $=
    ( c9 c8 c1 caddc co df-9 eqcomi ) ABCDEFG $.

  $( 3 + 2 = 5.  (Contributed by NM, 11-May-2004.) $)
  3p2e5 $p |- ( 3 + 2 ) = 5 $=
    ( c3 c2 caddc co c4 c1 c5 df-2 oveq2i 3cn ax-1cn addassi eqtr4i df-4 oveq1i
    df-5 ) ABCDZEFCDZGQAFCDZFCDZRQAFFCDZCDTBUAACHIAFFJKKLMESFCNOMPM $.

  $( 3 + 3 = 6.  (Contributed by NM, 11-May-2004.) $)
  3p3e6 $p |- ( 3 + 3 ) = 6 $=
    ( c3 caddc co c2 c1 c6 df-3 oveq2i 3cn 2cn ax-1cn addassi eqtr4i df-6 3p2e5
    c5 oveq1i ) AABCZADBCZEBCZFRADEBCZBCTAUAABGHADEIJKLMFPEBCTNSPEBOQMM $.

  $( 4 + 2 = 6.  (Contributed by NM, 11-May-2004.) $)
  4p2e6 $p |- ( 4 + 2 ) = 6 $=
    ( c4 c2 caddc co c5 c1 c6 df-2 oveq2i 4cn ax-1cn addassi eqtr4i df-5 oveq1i
    df-6 ) ABCDZEFCDZGQAFCDZFCDZRQAFFCDZCDTBUAACHIAFFJKKLMESFCNOMPM $.

  $( 4 + 3 = 7.  (Contributed by NM, 11-May-2004.) $)
  4p3e7 $p |- ( 4 + 3 ) = 7 $=
    ( c4 c3 caddc co c2 c1 c7 df-3 oveq2i 4cn 2cn ax-1cn addassi eqtr4i c6 df-7
    4p2e6 oveq1i ) ABCDZAECDZFCDZGSAEFCDZCDUABUBACHIAEFJKLMNGOFCDUAPTOFCQRNN $.

  $( 4 + 4 = 8.  (Contributed by NM, 11-May-2004.) $)
  4p4e8 $p |- ( 4 + 4 ) = 8 $=
    ( c4 caddc co c3 c1 c8 df-4 oveq2i 4cn 3cn ax-1cn addassi eqtr4i df-8 4p3e7
    c7 oveq1i ) AABCZADBCZEBCZFRADEBCZBCTAUAABGHADEIJKLMFPEBCTNSPEBOQMM $.

  $( 5 + 2 = 7.  (Contributed by NM, 11-May-2004.) $)
  5p2e7 $p |- ( 5 + 2 ) = 7 $=
    ( c5 c2 caddc co c6 c1 c7 df-2 oveq2i 5cn ax-1cn addassi eqtr4i df-6 oveq1i
    df-7 ) ABCDZEFCDZGQAFCDZFCDZRQAFFCDZCDTBUAACHIAFFJKKLMESFCNOMPM $.

  $( 5 + 3 = 8.  (Contributed by NM, 11-May-2004.) $)
  5p3e8 $p |- ( 5 + 3 ) = 8 $=
    ( c5 c3 caddc co c2 c1 c8 df-3 oveq2i 5cn 2cn ax-1cn addassi eqtr4i c7 df-8
    5p2e7 oveq1i ) ABCDZAECDZFCDZGSAEFCDZCDUABUBACHIAEFJKLMNGOFCDUAPTOFCQRNN $.

  $( 5 + 4 = 9.  (Contributed by NM, 11-May-2004.) $)
  5p4e9 $p |- ( 5 + 4 ) = 9 $=
    ( c5 c4 caddc co c3 c1 c9 df-4 oveq2i 5cn 3cn ax-1cn addassi eqtr4i c8 df-9
    5p3e8 oveq1i ) ABCDZAECDZFCDZGSAEFCDZCDUABUBACHIAEFJKLMNGOFCDUAPTOFCQRNN $.

  $( 6 + 2 = 8.  (Contributed by NM, 11-May-2004.) $)
  6p2e8 $p |- ( 6 + 2 ) = 8 $=
    ( c6 c2 caddc co c7 c1 c8 df-2 oveq2i 6cn ax-1cn addassi eqtr4i df-7 oveq1i
    df-8 ) ABCDZEFCDZGQAFCDZFCDZRQAFFCDZCDTBUAACHIAFFJKKLMESFCNOMPM $.

  $( 6 + 3 = 9.  (Contributed by NM, 11-May-2004.) $)
  6p3e9 $p |- ( 6 + 3 ) = 9 $=
    ( c6 c3 caddc co c2 c1 c9 df-3 oveq2i 6cn 2cn ax-1cn addassi eqtr4i c8 df-9
    6p2e8 oveq1i ) ABCDZAECDZFCDZGSAEFCDZCDUABUBACHIAEFJKLMNGOFCDUAPTOFCQRNN $.

  $( 7 + 2 = 9.  (Contributed by NM, 11-May-2004.) $)
  7p2e9 $p |- ( 7 + 2 ) = 9 $=
    ( c7 c2 caddc co c8 c1 c9 df-2 oveq2i 7cn ax-1cn addassi eqtr4i df-8 oveq1i
    df-9 ) ABCDZEFCDZGQAFCDZFCDZRQAFFCDZCDTBUAACHIAFFJKKLMESFCNOMPM $.

  $( 1 times 1 equals 1.  (Contributed by David A. Wheeler, 7-Jul-2016.) $)
  1t1e1 $p |- ( 1 x. 1 ) = 1 $=
    ( c1 ax-1cn mulid1i ) ABC $.

  $( 2 times 1 equals 2.  (Contributed by David A. Wheeler, 6-Dec-2018.) $)
  2t1e2 $p |- ( 2 x. 1 ) = 2 $=
    ( c2 2cn mulid1i ) ABC $.

  $( 2 times 2 equals 4.  (Contributed by NM, 1-Aug-1999.) $)
  2t2e4 $p |- ( 2 x. 2 ) = 4 $=
    ( c2 cmul co caddc c4 2cn 2timesi 2p2e4 eqtri ) AABCAADCEAFGHI $.

  $( 3 times 1 equals 3.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  3t1e3 $p |- ( 3 x. 1 ) = 3 $=
    ( c3 3cn mulid1i ) ABC $.

  $( 3 times 2 equals 6.  (Contributed by NM, 2-Aug-2004.) $)
  3t2e6 $p |- ( 3 x. 2 ) = 6 $=
    ( c3 c2 cmul co caddc c6 3cn times2i 3p3e6 eqtri ) ABCDAAEDFAGHIJ $.

  $( 3 times 3 equals 9.  (Contributed by NM, 11-May-2004.) $)
  3t3e9 $p |- ( 3 x. 3 ) = 9 $=
    ( c3 cmul co c2 c1 caddc c9 df-3 oveq2i 3cn 2cn ax-1cn adddii 3t2e6 oveq12i
    c6 3t1e3 eqtri 6p3e9 ) AABCADEFCZBCZGATABHIUAPAFCZGUAADBCZAEBCZFCUBADEJKLMU
    CPUDAFNQORSRR $.

  $( 4 times 2 equals 8.  (Contributed by NM, 2-Aug-2004.) $)
  4t2e8 $p |- ( 4 x. 2 ) = 8 $=
    ( c4 c2 cmul co caddc c8 4cn times2i 4p4e8 eqtri ) ABCDAAEDFAGHIJ $.

  $( 2 times 0 equals 0.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  2t0e0 $p |- ( 2 x. 0 ) = 0 $=
    ( c2 2cn mul01i ) ABC $.

  $( One half of four is two.  (Contributed by NM, 3-Sep-1999.) $)
  4d2e2 $p |- ( 4 / 2 ) = 2 $=
    ( c4 c2 cdiv co wceq cmul 2t2e4 4cn 2cn 2ne0 divmuli mpbir ) ABCDBEBBFDAEGA
    BBHIIJKL $.

  $( 1 is less than 2.  (Contributed by NM, 24-Feb-2005.) $)
  1lt2 $p |- 1 < 2 $=
    ( c1 caddc co c2 clt 1re ltp1i df-2 breqtrri ) AAABCDEAFGHI $.

  $( 2 is less than 3.  (Contributed by NM, 26-Sep-2010.) $)
  2lt3 $p |- 2 < 3 $=
    ( c2 c1 caddc co c3 clt 2re ltp1i df-3 breqtrri ) AABCDEFAGHIJ $.

  $( 1 is less than 3.  (Contributed by NM, 26-Sep-2010.) $)
  1lt3 $p |- 1 < 3 $=
    ( c1 c2 clt wbr c3 1lt2 2lt3 1re 2re 3re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 3 is less than 4.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  3lt4 $p |- 3 < 4 $=
    ( c3 c1 caddc co c4 clt 3re ltp1i df-4 breqtrri ) AABCDEFAGHIJ $.

  $( 2 is less than 4.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  2lt4 $p |- 2 < 4 $=
    ( c2 c3 clt wbr c4 2lt3 3lt4 2re 3re 4re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 1 is less than 4.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  1lt4 $p |- 1 < 4 $=
    ( c1 c2 clt wbr c4 1lt2 2lt4 1re 2re 4re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 4 is less than 5.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  4lt5 $p |- 4 < 5 $=
    ( c4 c1 caddc co c5 clt 4re ltp1i df-5 breqtrri ) AABCDEFAGHIJ $.

  $( 3 is less than 5.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  3lt5 $p |- 3 < 5 $=
    ( c3 c4 clt wbr c5 3lt4 4lt5 3re 4re 5re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 2 is less than 5.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  2lt5 $p |- 2 < 5 $=
    ( c2 c4 clt wbr c5 2lt4 4lt5 2re 4re 5re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 1 is less than 5.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  1lt5 $p |- 1 < 5 $=
    ( c1 c4 clt wbr c5 1lt4 4lt5 1re 4re 5re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 5 is less than 6.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  5lt6 $p |- 5 < 6 $=
    ( c5 c1 caddc co c6 clt 5re ltp1i df-6 breqtrri ) AABCDEFAGHIJ $.

  $( 4 is less than 6.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  4lt6 $p |- 4 < 6 $=
    ( c4 c5 clt wbr c6 4lt5 5lt6 4re 5re 6re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 3 is less than 6.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  3lt6 $p |- 3 < 6 $=
    ( c3 c4 clt wbr c6 3lt4 4lt6 3re 4re 6re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 2 is less than 6.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  2lt6 $p |- 2 < 6 $=
    ( c2 c3 clt wbr c6 2lt3 3lt6 2re 3re 6re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 1 is less than 6.  (Contributed by NM, 19-Oct-2012.) $)
  1lt6 $p |- 1 < 6 $=
    ( c1 c2 clt wbr c6 1lt2 2lt6 1re 2re 6re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 6 is less than 7.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  6lt7 $p |- 6 < 7 $=
    ( c6 c1 caddc co c7 clt 6re ltp1i df-7 breqtrri ) AABCDEFAGHIJ $.

  $( 5 is less than 7.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  5lt7 $p |- 5 < 7 $=
    ( c5 c6 clt wbr c7 5lt6 6lt7 5re 6re 7re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 4 is less than 7.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  4lt7 $p |- 4 < 7 $=
    ( c4 c5 clt wbr c7 4lt5 5lt7 4re 5re 7re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 3 is less than 7.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  3lt7 $p |- 3 < 7 $=
    ( c3 c4 clt wbr c7 3lt4 4lt7 3re 4re 7re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 2 is less than 7.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  2lt7 $p |- 2 < 7 $=
    ( c2 c3 clt wbr c7 2lt3 3lt7 2re 3re 7re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 1 is less than 7.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  1lt7 $p |- 1 < 7 $=
    ( c1 c2 clt wbr c7 1lt2 2lt7 1re 2re 7re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 7 is less than 8.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  7lt8 $p |- 7 < 8 $=
    ( c7 c1 caddc co c8 clt 7re ltp1i df-8 breqtrri ) AABCDEFAGHIJ $.

  $( 6 is less than 8.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  6lt8 $p |- 6 < 8 $=
    ( c6 c7 clt wbr c8 6lt7 7lt8 6re 7re 8re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 5 is less than 8.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  5lt8 $p |- 5 < 8 $=
    ( c5 c6 clt wbr c8 5lt6 6lt8 5re 6re 8re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 4 is less than 8.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  4lt8 $p |- 4 < 8 $=
    ( c4 c5 clt wbr c8 4lt5 5lt8 4re 5re 8re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 3 is less than 8.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  3lt8 $p |- 3 < 8 $=
    ( c3 c4 clt wbr c8 3lt4 4lt8 3re 4re 8re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 2 is less than 8.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  2lt8 $p |- 2 < 8 $=
    ( c2 c3 clt wbr c8 2lt3 3lt8 2re 3re 8re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 1 is less than 8.  (Contributed by Mario Carneiro, 15-Sep-2013.) $)
  1lt8 $p |- 1 < 8 $=
    ( c1 c2 clt wbr c8 1lt2 2lt8 1re 2re 8re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 8 is less than 9.  (Contributed by Mario Carneiro, 19-Feb-2014.) $)
  8lt9 $p |- 8 < 9 $=
    ( c8 c1 caddc co c9 clt 8re ltp1i df-9 breqtrri ) AABCDEFAGHIJ $.

  $( 7 is less than 9.  (Contributed by Mario Carneiro, 9-Mar-2015.) $)
  7lt9 $p |- 7 < 9 $=
    ( c7 c8 clt wbr c9 7lt8 8lt9 7re 8re 9re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 6 is less than 9.  (Contributed by Mario Carneiro, 9-Mar-2015.) $)
  6lt9 $p |- 6 < 9 $=
    ( c6 c7 clt wbr c9 6lt7 7lt9 6re 7re 9re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 5 is less than 9.  (Contributed by Mario Carneiro, 9-Mar-2015.) $)
  5lt9 $p |- 5 < 9 $=
    ( c5 c6 clt wbr c9 5lt6 6lt9 5re 6re 9re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 4 is less than 9.  (Contributed by Mario Carneiro, 9-Mar-2015.) $)
  4lt9 $p |- 4 < 9 $=
    ( c4 c5 clt wbr c9 4lt5 5lt9 4re 5re 9re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 3 is less than 9.  (Contributed by Mario Carneiro, 9-Mar-2015.) $)
  3lt9 $p |- 3 < 9 $=
    ( c3 c4 clt wbr c9 3lt4 4lt9 3re 4re 9re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 2 is less than 9.  (Contributed by Mario Carneiro, 9-Mar-2015.) $)
  2lt9 $p |- 2 < 9 $=
    ( c2 c3 clt wbr c9 2lt3 3lt9 2re 3re 9re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 1 is less than 9.  (Contributed by NM, 19-Oct-2012.)  (Revised by Mario
     Carneiro, 9-Mar-2015.) $)
  1lt9 $p |- 1 < 9 $=
    ( c1 c2 clt wbr c9 1lt2 2lt9 1re 2re 9re lttri mp2an ) ABCDBECDAECDFGABEHIJ
    KL $.

  $( 0 is not equal to 2.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  0ne2 $p |- 0 =/= 2 $=
    ( c2 cc0 2ne0 necomi ) ABCD $.

  $( 1 is not equal to 2.  (Contributed by NM, 19-Oct-2012.) $)
  1ne2 $p |- 1 =/= 2 $=
    ( c1 c2 1re 1lt2 ltneii ) ABCDE $.

  $( 1 is less than or equal to 2.  (Contributed by David A. Wheeler,
     8-Dec-2018.) $)
  1le2 $p |- 1 <_ 2 $=
    ( c1 c2 1re 2re 1lt2 ltleii ) ABCDEF $.

  $( 2 is a nonzero complex number.  (Contributed by David A. Wheeler,
     7-Dec-2018.) $)
  2cnne0 $p |- ( 2 e. CC /\ 2 =/= 0 ) $=
    ( c2 cc wcel cc0 wne 2cn 2ne0 pm3.2i ) ABCADEFGH $.

  $( 2 is a nonzero real number.  (Contributed by David A. Wheeler,
     8-Dec-2018.) $)
  2rene0 $p |- ( 2 e. RR /\ 2 =/= 0 ) $=
    ( c2 cr wcel cc0 wne 2re 2ne0 pm3.2i ) ABCADEFGH $.

  $( 1 is less than or equal to 3.  (Contributed by David A. Wheeler,
     8-Dec-2018.) $)
  1le3 $p |- 1 <_ 3 $=
    ( c1 c3 1re 3re 1lt3 ltleii ) ABCDEF $.

  $( ` -u 1 x. -u 1 ` is 1.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  neg1mulneg1e1 $p |- ( -u 1 x. -u 1 ) = 1 $=
    ( c1 cneg cmul co ax-1cn mul2negi 1t1e1 eqtri ) ABZICDAACDAAAEEFGH $.

  $( One-half is real.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  halfre $p |- ( 1 / 2 ) e. RR $=
    ( c2 2re 2ne0 rereccli ) ABCD $.

  $( One-half is a complex number.  (Contributed by David A. Wheeler,
     8-Dec-2018.) $)
  halfcn $p |- ( 1 / 2 ) e. CC $=
    ( c2 2cn 2ne0 reccli ) ABCD $.

  $( One-half is greater than zero.  (Contributed by NM, 24-Feb-2005.) $)
  halfgt0 $p |- 0 < ( 1 / 2 ) $=
    ( c2 2re 2pos recgt0ii ) ABCD $.

  $( One-half is not negative.  (Contributed by AV, 7-Jun-2020.) $)
  halfge0 $p |- 0 <_ ( 1 / 2 ) $=
    ( cc0 c1 c2 cdiv co 0re halfre halfgt0 ltleii ) ABCDEFGHI $.

  $( One-half is less than one.  (Contributed by NM, 24-Feb-2005.) $)
  halflt1 $p |- ( 1 / 2 ) < 1 $=
    ( c1 cdiv co clt wbr 1div1e1 1lt2 eqbrtri 1re 2re 0lt1 2pos ltdiv23ii mpbi
    c2 ) AABCZODEAOBCADEPAODFGHAAOIIJKLMN $.

  $( Prove that 1 - 1/2 = 1/2.  (Contributed by David A. Wheeler,
     4-Jan-2017.) $)
  1mhlfehlf $p |- ( 1 - ( 1 / 2 ) ) = ( 1 / 2 ) $=
    ( c2 c1 cmin co cdiv cc wcel cc0 wne wceq 2cn ax-1cn 2cnne0 divsubdir mp3an
    wa 2m1e1 oveq1i 2div2e1 3eqtr3ri ) ABCDZAEDZAAEDZBAEDZCDZUDBUDCDAFGZBFGUFAH
    IPUBUEJKLMABANOUABAEQRUCBUDCSRT $.

  $( An eighth of four thirds is a sixth.  (Contributed by Paul Chapman,
     24-Nov-2007.) $)
  8th4div3 $p |- ( ( 1 / 8 ) x. ( 4 / 3 ) ) = ( 1 / 6 ) $=
    ( c1 c8 cdiv co c4 c3 cmul c6 ax-1cn 8re recni 4cn gt0ne0ii c2 eqtr3i eqtri
    3cn 2cn cc wcel divmuldivi mulcomi mul32i 4t2e8 oveq1i mulassi 3t2e6 oveq2i
    8pos 3ne0 oveq12i cc0 wne wceq 6re 6pos 4ne0 wa divcan5 mp3an1 mp4an ) ABCD
    EFCDGDZEAGDZEHGDZCDZAHCDZVBAEGDZBFGDZCDVEABEFIBJKLQBJUIMUJUAVGVCVHVDCAEILUB
    VHEFNGDZGDZVDEFGDNGDZVHVJENGDZFGDVKVHENFLRQUCVLBFGUDUEOEFNLQRUFOVIHEGUGUHPU
    KPHSTZHULUMZESTZEULUMZVEVFUNZHUOKHUOUPMLUQASTVMVNURVOVPURVQIAHEUSUTVAP $.

  $( One half plus or minus one sixth.  (Contributed by Paul Chapman,
     17-Jan-2008.) $)
  halfpm6th $p |- ( ( ( 1 / 2 ) - ( 1 / 6 ) ) = ( 1 / 3 ) /\
                       ( ( 1 / 2 ) + ( 1 / 6 ) ) = ( 2 / 3 ) ) $=
    ( c1 c2 cdiv co c6 cmin wceq caddc cmul 3cn ax-1cn 2cn 3ne0 2ne0 divmuldivi
    c3 oveq1i mulid1i 3t2e6 oveq12i dividi halfcn mulid2i eqtri 3eqtr3i cc wcel
    cc0 wne wa 6cn 6re 6pos gt0ne0ii pm3.2i divsubdir mp3an 3m1e2 oveq2i reccli
    3eqtr2i c4 divdiri df-4 3eqtr4ri 2t2e4 divcli ) ABCDZAECDZFDZAPCDZGVHVIHDZB
    PCDZGVJPECDZVIFDZPAFDZECDZVKVHVNVIFPPCDZVHIDZPAIDZPBIDZCDVHVNPPABJJKLMNOVSA
    VHIDVHVRAVHIPJMUAQVHUBUCUDVTPWAECPJRSTUEZQPUFUGAUFUGEUFUGZEUHUIZUJVQVOGJKWC
    WDUKEULUMUNZUOPAEUPUQVQBECDABIDZWACDZVKVPBECURQWFBWAECBLUCSTVKBBCDZIDVKAIDW
    GVKWHAVKIBLNUAZUSAPBBKJLLMNOVKPJMUTRUEVAVAVLVBECDZBBIDZWACDZVMPAHDZECDVNVIH
    DWJVLPAEJKUKWEVCVBWMECVDQVHVNVIHWBQVEWKVBWAECVFSTVMWHIDVMAIDWLVMWHAVMIWIUSB
    PBBLJLLMNOVMBPLJMVGRUEVAUO $.

  $( i times 0 equals 0.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  it0e0 $p |- ( _i x. 0 ) = 0 $=
    ( ci ax-icn mul01i ) ABC $.

  $( ` ( 2 x. _i ) e. CC ` .  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  2mulicn $p |- ( 2 x. _i ) e. CC $=
    ( c2 ci 2cn ax-icn mulcli ) ABCDE $.

  $( ` ( 2 x. _i ) =/= 0 ` .  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  2muline0 $p |- ( 2 x. _i ) =/= 0 $=
    ( c2 ci 2cn ax-icn 2ne0 ine0 mulne0i ) ABCDEFG $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Simple number properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Closure of half of a number.  (Contributed by NM, 1-Jan-2006.) $)
  halfcl $p |- ( A e. CC -> ( A / 2 ) e. CC ) $=
    ( cc wcel c2 cc0 wne cdiv co 2cn 2ne0 divcl mp3an23 ) ABCDBCDEFADGHBCIJADKL
    $.

  $( Real closure of half.  (Contributed by NM, 1-Jan-2006.) $)
  rehalfcl $p |- ( A e. RR -> ( A / 2 ) e. RR ) $=
    ( cr wcel c2 cc0 wne cdiv co 2re 2ne0 redivcl mp3an23 ) ABCDBCDEFADGHBCIJAD
    KL $.

  $( Half of a number is zero iff the number is zero.  (Contributed by NM,
     20-Apr-2006.) $)
  half0 $p |- ( A e. CC -> ( ( A / 2 ) = 0 <-> A = 0 ) ) $=
    ( cc wcel c2 cc0 wne cdiv co wceq wb 2cn 2ne0 diveq0 mp3an23 ) ABCDBCDEFADG
    HEIAEIJKLADMN $.

  $( Two halves make a whole.  (Contributed by NM, 11-Apr-2005.) $)
  2halves $p |- ( A e. CC -> ( ( A / 2 ) + ( A / 2 ) ) = A ) $=
    ( cc wcel c2 cmul co cdiv caddc 2times oveq1d cc0 wne wceq 2cn 2ne0 divcan3
    mp3an23 wa 2cnne0 divdir mp3an3 anidms 3eqtr3rd ) ABCZDAEFZDGFZAAHFZDGFZAAD
    GFZUIHFZUDUEUGDGAIJUDDBCZDKLZUFAMNOADPQUDUHUJMZUDUDUKULRUMSAADTUAUBUC $.

  $( A number is positive iff its half is positive.  (Contributed by NM,
     10-Apr-2005.) $)
  halfpos2 $p |- ( A e. RR -> ( 0 < A <-> 0 < ( A / 2 ) ) ) $=
    ( cr wcel c2 cc0 clt wbr cdiv co wb 2re 2pos gt0div mp3an23 ) ABCDBCEDFGEAF
    GEADHIFGJKLADMN $.

  $( A positive number is greater than its half.  (Contributed by NM,
     28-Oct-2004.)  (Proof shortened by Mario Carneiro, 27-May-2016.) $)
  halfpos $p |- ( A e. RR -> ( 0 < A <-> ( A / 2 ) < A ) ) $=
    ( cr wcel cc0 clt c2 cdiv co caddc halfpos2 rehalfcl ltaddposd cc wceq recn
    wbr 2halves syl breq2d 3bitrd ) ABCZDAEPDAFGHZEPUBUBUBIHZEPUBAEPAJUAUBUBAKZ
    UDLUAUCAUBEUAAMCUCANAOAQRST $.

  $( A number is nonnegative iff its half is nonnegative.  (Contributed by NM,
     9-Dec-2005.) $)
  halfnneg2 $p |- ( A e. RR -> ( 0 <_ A <-> 0 <_ ( A / 2 ) ) ) $=
    ( cr wcel c2 cc0 clt wbr cle cdiv co wb 2re 2pos ge0div mp3an23 ) ABCDBCEDF
    GEAHGEADIJHGKLMADNO $.

  $( Closure of half-sum and half-difference.  (Contributed by Paul Chapman,
     12-Oct-2007.) $)
  halfaddsubcl $p |- ( ( A e. CC /\ B e. CC ) -> ( ( ( A + B ) / 2 ) e. CC /\
                         ( ( A - B ) / 2 ) e. CC ) ) $=
    ( cc wcel wa caddc co c2 cdiv cmin addcl halfcl syl subcl jca ) ACDBCDEZABF
    GZHIGCDZABJGZHIGCDZPQCDRABKQLMPSCDTABNSLMO $.

  $( Sum and difference of half-sum and half-difference.  (Contributed by Paul
     Chapman, 12-Oct-2007.) $)
  halfaddsub $p |- ( ( A e. CC /\ B e. CC ) ->
                      ( ( ( ( A + B ) / 2 ) + ( ( A - B ) / 2 ) ) = A /\
                        ( ( ( A + B ) / 2 ) - ( ( A - B ) / 2 ) ) = B ) ) $=
    ( cc wcel wa caddc cdiv cmin wceq 2times adantr eqtr4d oveq1d 2cnne0 mp3an3
    co c2 cmul syl2anc 2cn ppncan 3anidm13 addcl cc0 wne divdir divcan3 mp3an23
    subcl 2ne0 3eqtr3d pnncan 3anidm23 adantl divsubdir jca ) ACDZBCDZEZABFPZQG
    PZABHPZQGPZFPZAIVAVCHPZBIUSUTVBFPZQGPZQARPZQGPZVDAUSVFVHQGUSVFAAFPZVHUQURVF
    VJIABAUAUBUQVHVJIURAJKLMUSUTCDZVBCDZVGVDIZABUCZABUIZVKVLQCDZQUDUEZEZVMNUTVB
    QUFOSUQVIAIZURUQVPVQVSTUJAQUGUHKUKUSUTVBHPZQGPZQBRPZQGPZVEBUSVTWBQGUSVTBBFP
    ZWBUQURVTWDIABBULUMURWBWDIUQBJUNLMUSVKVLWAVEIZVNVOVKVLVRWENUTVBQUOOSURWCBIZ
    UQURVPVQWFTUJBQUGUHUNUKUP $.

  $( Subtracting the half of a number from the number yields the half of the
     number.  (Contributed by AV, 28-Jun-2021.) $)
  subhalfhalf $p |- ( A e. CC -> ( A - ( A / 2 ) ) = ( A / 2 ) ) $=
    ( cc wcel c2 cdiv co cmin cmul 2cnd cc0 wne 2ne0 a1i divcan1d eqcomd oveq1d
    id halfcl c1 3eqtrd mulcomd mulsubfacd wceq 2m1e1 mulid2d ) ABCZAADEFZGFUGD
    HFZUGGFDUGHFZUGGFZUGUFAUHUGGUFUHAUFADUFQUFIZDJKUFLMNOPUFUHUIUGGUFUGDARZUKUA
    PUFUJDSGFZUGHFSUGHFUGUFDUGUKULUBUFUMSUGHUMSUCUFUDMPUFUGULUETT $.

  $( TODO - use this to reduce:
  Statement "lt2add" is directly referenced in the proofs of 9 statements:
    2climnn 2climnn0 climaddlem3 climmullem5 climcaui ser1f0i
  MM> SHOW USAGE 2halves
  Statement "2halves" is directly referenced in the proofs of 10 statements:
    2climnn 2climnn0 climmullem5 climcaui caucvgi ser1f0i
  $)
  $( A sum is less than the whole if each term is less than half.  (Contributed
     by NM, 13-Dec-2006.) $)
  lt2halves $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( ( A < ( C / 2 ) /\ B < ( C / 2 ) ) -> ( A + B ) < C ) ) $=
    ( cr wcel w3a c2 co clt wbr wa caddc wi 3simpa rehalfcl jca 3ad2ant3 lt2add
    cdiv syl2anc wb cc wceq recn 2halves syl breq2d sylibd ) ADEZBDEZCDEZFZACGS
    HZIJBUMIJKZABLHZUMUMLHZIJZUOCIJZULUIUJKUMDEZUSKZUNUQMUIUJUKNUKUIUTUJUKUSUSC
    OZVAPQABUMUMRTUKUIUQURUAUJUKUPCUOIUKCUBEUPCUCCUDCUEUFUGQUH $.

  $( Sum is less than product for numbers greater than 2.  (Contributed by
     Stefan Allan, 24-Sep-2010.) $)
  addltmul $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 2 < A /\ 2 < B ) )
              -> ( A + B ) < ( A x. B ) ) $=
    ( cr wcel wa c2 clt wbr caddc co cmul c1 cmin 2re 1re ltsub1 syl2an remulcl
    wb cc mp3an13 2m1e1 breq1i bitrdi bi2anan9 wi peano2rem mulgt1 ex wceq recn
    sylbid ax-1cn mulsub mpanl2 mpanr2 mpan2 readdcl remulcli sylancl ltaddsub2
    breq2d mp3an2 syl2anc oveq2i breq2i bitr3di ltadd1 mp3an3 ax-1rid oveqan12d
    1t1e1 breq1d bitr3d 3bitrd sylibd imp ) ACDZBCDZEZFAGHZFBGHZEZABIJZABKJZGHZ
    VTWCLALMJZBLMJZKJZGHZWFVTWCLWGGHZLWHGHZEZWJVRWAWKVSWBWLVRWAFLMJZWGGHZWKFCDZ
    VRLCDZWAWOSNOFALPUAWNLWGGUBUCUDVSWBWNWHGHZWLWPVSWQWBWRSNOFBLPUAWNLWHGUBUCUD
    UEVRWGCDZWHCDZWMWJUFVSAUGBUGWSWTEWMWJWGWHUHUIQULVTWJLWELLKJZIJZALKJZBLKJZIJ
    ZMJZGHZXELIJZWELIJZGHZWFVTWIXFLGVRATDZBTDZWIXFUJZVSAUKBUKXKXLLTDZXMUMXKXNXL
    XNEXMUMALBLUNUOUPQVBVTXHXBGHZXGXJVTXECDZXBCDZXOXGSZVRXCCDZXDCDZXPVSVRWQXSOA
    LRUQVSWQXTOBLRUQXCXDURQZVTWECDZXACDXQABRZLLOOUSWEXAURUTXPWQXQXROXELXBVAVCVD
    XBXIXHGXALWEIVLVEVFVGVTXEWEGHZXJWFVTXPYBYDXJSZYAYCXPYBWQYEOXEWELVHVIVDVTXEW
    DWEGVRVSXCAXDBIAVJBVJVKVMVNVOVPVQ $.

  ${
    $d x y $.
    $( There is no smallest positive real number.  (Contributed by NM,
       28-Oct-2004.) $)
    nominpos $p |- -. E. x e. RR ( 0 < x /\
                   -. E. y e. RR ( 0 < y /\ y < x ) ) $=
      ( cc0 cv clt wbr wa cr wrex wn wcel wi c2 cdiv co rehalfcl divgt0 mpanr12
      2re 2pos halfpos biimpd jcad wceq breq2 breq1 anbi12d rspcev syl6an sylib
      ex iman nrex ) CADZEFZCBDZEFZUPUNEFZGZBHIZJGZAHUNHKZUOUTLVAJVBUNMNOZHKUOC
      VCEFZVCUNEFZGZUTUNPVBUOVDVEVBUOVDVBUOGMHKCMEFVDSTUNMQRUKVBUOVEUNUAUBUCUSV
      FBVCHUPVCUDUQVDURVEUPVCCEUEUPVCUNEUFUGUHUIUOUTULUJUM $.
  $}

  $( Ordering property for average.  (Contributed by Mario Carneiro,
     28-May-2014.) $)
  avglt1 $p |- ( ( A e. RR /\ B e. RR ) ->
                 ( A < B <-> A < ( ( A + B ) / 2 ) ) ) $=
    ( cr wcel wa clt wbr caddc co c2 cmul cdiv wb ltadd2 3anidm13 cc wceq simpl
    recnd times2 syl breq1d cc0 readdcl 2re pm3.2i a1i ltmuldiv syl3anc 3bitr2d
    2pos ) ACDZBCDZEZABFGZAAHIZABHIZFGZAJKIZUQFGZAUQJLIFGZULUMUOURMABANOUNUSUPU
    QFUNAPDUSUPQUNAULUMRZSATUAUBUNULUQCDJCDZUCJFGZEZUTVAMVBABUDVEUNVCVDUEUKUFUG
    AUQJUHUIUJ $.

  $( Ordering property for average.  (Contributed by Mario Carneiro,
     28-May-2014.) $)
  avglt2 $p |- ( ( A e. RR /\ B e. RR ) ->
                 ( A < B <-> ( ( A + B ) / 2 ) < B ) ) $=
    ( cr wcel wa caddc co c2 cmul clt wbr cdiv cc simpr recnd 2times syl breq2d
    wceq wb cc0 readdcl 2re 2pos pm3.2i a1i ltdivmul syl3anc 3anidm23 3bitr4rd
    ltadd1 ) ACDZBCDZEZABFGZHBIGZJKZUOBBFGZJKZUOHLGBJKZABJKZUNUPURUOJUNBMDUPURS
    UNBULUMNZOBPQRUNUOCDUMHCDZUAHJKZEZUTUQTABUBVBVEUNVCVDUCUDUEUFUOBHUGUHULUMVA
    USTABBUKUIUJ $.

  $( Ordering property for average.  (Contributed by Mario Carneiro,
     28-May-2014.) $)
  avgle1 $p |- ( ( A e. RR /\ B e. RR ) ->
                 ( A <_ B <-> A <_ ( ( A + B ) / 2 ) ) ) $=
    ( cr wcel wa clt wbr wn caddc co c2 cdiv cle wb avglt2 ancoms cc wceq lenlt
    recn addcom syl2an oveq1d breq1d bitr4d notbid readdcl rehalfcl syl 3bitr4d
    syldan ) ACDZBCDZEZBAFGZHABIJZKLJZAFGZHZABMGAUQMGZUNUOURUNUOBAIJZKLJZAFGZUR
    UMULUOVCNBAOPUNUQVBAFUNUPVAKLULAQDBQDUPVARUMATBTABUAUBUCUDUEUFABSULUMUQCDZU
    TUSNUNUPCDVDABUGUPUHUIAUQSUKUJ $.

  $( Ordering property for average.  (Contributed by Jeff Hankins,
     15-Sep-2013.)  (Revised by Mario Carneiro, 28-May-2014.) $)
  avgle2 $p |- ( ( A e. RR /\ B e. RR ) ->
                 ( A <_ B <-> ( ( A + B ) / 2 ) <_ B ) ) $=
    ( cr wcel wa clt wbr wn caddc co c2 cdiv cle wb avglt1 ancoms cc wceq lenlt
    recn addcom syl2an oveq1d breq2d bitr4d notbid readdcl rehalfcl syl 3bitr4d
    sylancom ) ACDZBCDZEZBAFGZHBABIJZKLJZFGZHZABMGUQBMGZUNUOURUNUOBBAIJZKLJZFGZ
    URUMULUOVCNBAOPUNUQVBBFUNUPVAKLULAQDBQDUPVARUMATBTABUAUBUCUDUEUFABSULUMUQCD
    ZUTUSNUNUPCDVDABUGUPUHUIUQBSUKUJ $.

  $( The average of two numbers is less than or equal to at least one of them.
     (Contributed by NM, 9-Dec-2005.)  (Revised by Mario Carneiro,
     28-May-2014.) $)
  avgle $p |- ( ( A e. RR /\ B e. RR ) ->
               ( ( ( A + B ) / 2 ) <_ A \/ ( ( A + B ) / 2 ) <_ B ) ) $=
    ( cr wcel wa cle wo caddc co c2 cdiv letric orcomd wb avgle2 ancoms cc wceq
    wbr recn addcom syl2an oveq1d breq1d bitr4d orbi12d mpbid ) ACDZBCDZEZBAFSZ
    ABFSZGABHIZJKIZAFSZUNBFSZGUJULUKABLMUJUKUOULUPUJUKBAHIZJKIZAFSZUOUIUHUKUSNB
    AOPUJUNURAFUJUMUQJKUHAQDBQDUMUQRUIATBTABUAUBUCUDUEABOUFUG $.

  ${
    2timesd.1 $e |- ( ph -> A e. CC ) $.
    $( Two times a number.  (Contributed by Mario Carneiro, 27-May-2016.) $)
    2timesd $p |- ( ph -> ( 2 x. A ) = ( A + A ) ) $=
      ( cc wcel c2 cmul co caddc wceq 2times syl ) ABDEFBGHBBIHJCBKL $.

    $( A number times 2.  (Contributed by Mario Carneiro, 27-May-2016.) $)
    times2d $p |- ( ph -> ( A x. 2 ) = ( A + A ) ) $=
      ( cc wcel c2 cmul co caddc wceq times2 syl ) ABDEBFGHBBIHJCBKL $.

    $( Closure of half of a number (frequently used special case).
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    halfcld $p |- ( ph -> ( A / 2 ) e. CC ) $=
      ( cc wcel c2 cdiv co halfcl syl ) ABDEBFGHDECBIJ $.

    $( Two halves make a whole.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    2halvesd $p |- ( ph -> ( ( A / 2 ) + ( A / 2 ) ) = A ) $=
      ( cc wcel c2 cdiv co caddc wceq 2halves syl ) ABDEBFGHZMIHBJCBKL $.
  $}

  ${
    rehalfcld.1 $e |- ( ph -> A e. RR ) $.
    $( Real closure of half.  (Contributed by Mario Carneiro, 27-May-2016.) $)
    rehalfcld $p |- ( ph -> ( A / 2 ) e. RR ) $=
      ( cr wcel c2 cdiv co rehalfcl syl ) ABDEBFGHDECBIJ $.

    lt2halvesd.2 $e |- ( ph -> B e. RR ) $.
    lt2halvesd.3 $e |- ( ph -> C e. RR ) $.
    lt2halvesd.4 $e |- ( ph -> A < ( C / 2 ) ) $.
    lt2halvesd.5 $e |- ( ph -> B < ( C / 2 ) ) $.
    $( A sum is less than the whole if each term is less than half.
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    lt2halvesd $p |- ( ph -> ( A + B ) < C ) $=
      ( c2 cdiv co clt wbr caddc cr wcel wa wi lt2halves syl3anc mp2and ) ABDJK
      LZMNZCUCMNZBCOLDMNZHIABPQCPQDPQUDUERUFSEFGBCDTUAUB $.
  $}

  ${
    rehalfcli.1 $e |- A e. RR $.
    $( Half a real number is real.  Inference form.  (Contributed by David
       Moews, 28-Feb-2017.) $)
    rehalfcli $p |- ( A / 2 ) e. RR $=
      ( cr wcel c2 cdiv co rehalfcl ax-mp ) ACDAEFGCDBAHI $.
  $}

  ${
    lt2addmuld.a $e |- ( ph -> A e. RR ) $.
    lt2addmuld.b $e |- ( ph -> B e. RR ) $.
    lt2addmuld.c $e |- ( ph -> C e. RR ) $.
    lt2addmuld.altc $e |- ( ph -> A < C ) $.
    lt2addmuld.bltc $e |- ( ph -> B < C ) $.
    $( If two real numbers are less than a third real number, the sum of the
       two real numbers is less than twice the third real number.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    lt2addmuld $p |- ( ph -> ( A + B ) < ( 2 x. C ) ) $=
      ( caddc co c2 cmul clt lt2addd recnd 2timesd breqtrrd ) ABCJKDDJKLDMKNABC
      DDEFGGHIOADADGPQR $.
  $}

  $( Adding two times 1 to a number.  (Contributed by AV, 22-Sep-2018.) $)
  add1p1 $p |- ( N e. CC -> ( ( N + 1 ) + 1 ) = ( N + 2 ) ) $=
    ( cc wcel c1 caddc co c2 id 1cnd addassd wceq 1p1e2 a1i oveq2d eqtrd ) ABCZ
    ADEFDEFADDEFZEFAGEFPADDPHPIZRJPQGAEQGKPLMNO $.

  $( Subtracting two times 1 from a number.  (Contributed by AV,
     23-Oct-2018.) $)
  sub1m1 $p |- ( N e. CC -> ( ( N - 1 ) - 1 ) = ( N - 2 ) ) $=
    ( cc wcel c1 cmin co caddc c2 id 1cnd subsub4d wceq 1p1e2 a1i oveq2d eqtrd
    ) ABCZADEFDEFADDGFZEFAHEFQADDQIQJZSKQRHAERHLQMNOP $.

  $( Subtracting 2 and afterwards 1 from a number results in the difference
     between the number and 3.  (Contributed by Alexander van der Vekens,
     16-Sep-2018.) $)
  cnm2m1cnm3 $p |- ( A e. CC -> ( ( A - 2 ) - 1 ) = ( A - 3 ) ) $=
    ( cc wcel c2 cmin co c1 caddc c3 id 2cnd 1cnd subsub4d wceq 2p1e3 a1i eqtrd
    oveq2d ) ABCZADEFGEFADGHFZEFAIEFSADGSJSKSLMSTIAETINSOPRQ $.

  $( A complex number increased by 1, then divided by 2, then decreased by 1
     equals the complex number decreased by 1 and then divided by 2.
     (Contributed by AV, 24-May-2020.) $)
  xp1d2m1eqxm1d2 $p |- ( X e. CC
                         -> ( ( ( X + 1 ) / 2 ) - 1 ) = ( ( X - 1 ) / 2 ) ) $=
    ( cc wcel c1 caddc co cdiv cmin peano2cn halfcld peano2cnm syl 2cnd cc0 wne
    c2 2ne0 a1i cmul divcan1d 1cnd subdird mulid2d oveq12d wceq 2m1e1 oveq2d id
    subsub3d 3eqtr2rd 3eqtrd mulcan2ad ) ABCZADEFZPGFZDHFZADHFZPGFZPUMUOBCUPBCU
    MUNAIZJZUOKLUMUQAKZJUMMZPNOUMQRZUMUPPSFUOPSFZDPSFZHFUNPHFZURPSFZUMUODPUTUMU
    AZVBUBUMVDUNVEPHUMUNPUSVBVCTUMPVBUCUDUMVGUQAPDHFZHFVFUMUQPVAVBVCTUMVIDAHVID
    UEUMUFRUGUMAPDUMUHVBVHUIUJUKUL $.

  $( An integer greater than 5, divided by 4 and increased by 1, is less than
     or equal to the half of the integer minus 1.  (Contributed by AV,
     8-Jul-2021.) $)
  div4p1lem1div2 $p |- ( ( N e. RR /\ 6 <_ N )
                         -> ( ( N / 4 ) + 1 ) <_ ( ( N - 1 ) / 2 ) ) $=
    ( cr wcel c6 cle wbr c4 co c1 caddc cmin c2 cmul a1i wceq adantr wb syl3anc
    cc cc0 wa cdiv 6re id leadd2d biimpa times2d breqtrrd 4cn 2cn addassd 4p2e6
    recn oveq2i eqtrdi breq1d clt 4re wne redivcld peano2re peano2rem rehalfcld
    mpbird 4ne0 syl 4pos pm3.2i lemul1 divcan1d mulid2i oveq12d joinlmuladdmuld
    recnd 1cnd 2t2e4 eqcomi oveq2d w3a mulass eqcomd 2ne0 oveq1d subdird 3eqtrd
    breq12d readdcld 2re remulcld leaddsub bicomd 3bitrd ) ABCZDAEFZUAZAGUBHZIJ
    HZAIKHZLUBHZEFZAGJHZLJHZALMHZEFZWOXDADJHZXCEFZWOXEAAJHZXCEWMWNXEXGEFWMDAADB
    CWMUCNWMUDZXHUEUFWMXCXGOWNWMAAUMZUGPUHWMXDXFQWNWMXBXEXCEWMXBAGLJHZJHXEWMAGL
    XIGSCWMUINZLSCZWMUJNZUKXJDAJULUNUOUPPVDWMWTXDQWNWMWTWQGMHZWSGMHZEFZXAXCLKHZ
    EFZXDWMWQBCZWSBCGBCZTGUQFZUAZWTXPQWMWPBCXSWMAGXHXTWMURNZGTUSWMVENZUTZWPVAVF
    WMWRAVBZVCZYBWMXTYAURVGVHNWQWSGVIRWMXNXAXOXQEWMWPGIXAWMWPYEVNXKWMVOZWMWPGMH
    AIGMHZGJWMAGXIXKYDVJYIGOWMGUIVKNVLVMWMXOWSLLMHZMHZWSLMHZLMHZXQWMGYJWSMGYJOW
    MYJGVPVQNVRWMWSSCZXLXLYKYMOWMWSYGVNXMXMYNXLXLVSYMYKWSLLVTWARWMYMWRLMHXCILMH
    ZKHXQWMYLWRLMWMWRLWMWRYFVNXMLTUSWMWBNVJWCWMAILXIYHXMWDWMYOLXCKYOLOWMLUJVKNV
    RWEWEWFWMXABCZLBCZXCBCZXRXDQWMAGXHYCWGYQWMWHNZWMALXHYSWIYPYQYRVSXDXRXALXCWJ
    WKRWLPVD $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The Archimedean property
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( The set of positive integers is unbounded above.  Theorem I.28 of
       [Apostol] p. 26.  (Contributed by NM, 21-Jan-1997.) $)
    nnunb $p |- -. E. x e. RR A. y e. NN ( y < x \/ y = x ) $=
      ( vz cv clt wbr wceq cn wral cr wrex wn wi wa wcel wal wex c1 cmin co 1re
      wo peano2rem ltm1 ovex eleq1 breq1 rexbidv imbi12d spcv syl7 syl5 pm2.43d
      pm3.24 df-rex syl6ib com12 wb nnre ltsubadd mp3an2 sylan2 pm5.32da exbidv
      caddc breq2 anbi12d spcev sylan exlimiv syl6bi syld df-ral alinexa bitr2i
      peano2nn con1bii 3imtr4g anim2d mtoi nrex wss c0 wne nnssre ne0ii mp3an12
      1nn sup2 mto ) BDZADZEFZWKWLGUBBHIAJKZWLWKEFZLZBHIZWMWKCDZEFZCHKZMZBJIZNZ
      AJKZXCAJWLJOZXCWQWQLZNWQUNXEXBXFWQXEWKJOZXAMZBPZWKHOZWONZBQZXBXFXEXIWRHOZ
      WLRSTZWREFZNZCQZXLXIXEXQXIXEXOCHKZXQXIXEXRXEXNJOZXIXEXRMWLUCXEXNWLEFZXIXS
      XRWLUDXHXSXTXRMZMBXNWLRSUEWKXNGZXGXSXAYAWKXNJUFYBWMXTWTXRWKXNWLEUGYBWSXOC
      HWKXNWREUGUHUIUIUJUKULUMXOCHUOUPUQXEXQXMWLWRRVETZEFZNZCQXLXEXPYECXEXMXOYD
      XMXEWRJOZXOYDURZWRUSXERJOYFYGUAWLRWRUTVAVBVCVDYEXLCXMYCHOZYDXLWRVPXKYHYDN
      BYCWRRVEUEWKYCGXJYHWOYDWKYCHUFWKYCWLEVFVGVHVIVJVKVLXABJVMXLWQWQXJWPMBPXLL
      WPBHVMXJWOBVNVOVQVRVSVTWAHJWBHWCWDWNXDWERHWHWFABCHWIWGWJ $.
  $}

  ${
    $d n y A $.
    $( Archimedean property of real numbers.  For any real number, there is an
       integer greater than it.  Theorem I.29 of [Apostol] p. 26.  (Contributed
       by NM, 21-Jan-1997.) $)
    arch $p |- ( A e. RR -> E. n e. NN A < n ) $=
      ( vy cv clt wbr cn wrex cr wceq breq1 rexbidv wo wral wn nnunb mpbir wcel
      ralnex rexnal wa wb nnre axlttri sylan2 equcom orbi1i orcom notbii bitrdi
      bitri biimprd reximdva syl5bir ralimia ax-mp vtoclri ) CDZBDZEFZBGHZAUSEF
      ZBGHCAIURAJUTVBBGURAUSEKLUSUREFZUSURJZMZBGNZOZCINZVACINVHVFCIHOCBPVFCISQV
      GVACIVGVEOZBGHURIRZVAVEBGTVJVIUTBGVJUSGRZUAZUTVIVLUTURUSJZVCMZOZVIVKVJUSI
      RUTVOUBUSUCURUSUDUEVNVEVNVDVCMVEVMVDVCCBUFUGVDVCUHUKUIUJULUMUNUOUPUQ $.
  $}

  ${
    $d n A $.
    $( There exists a positive integer whose reciprocal is less than a given
       positive real.  Exercise 3 of [Apostol] p. 28.  (Contributed by NM,
       8-Nov-2004.) $)
    nnrecl $p |- ( ( A e. RR /\ 0 < A ) -> E. n e. NN ( 1 / n ) < A ) $=
      ( cr wcel cc0 clt wbr wa c1 cdiv co cv cn simpl gt0ne0 rereccld wb adantr
      wrex jca arch recgt0 nnre nngt0 ltrec syl2an cc recn recrecd breq2d bitrd
      syl rexbidva mpbid ) ACDZEAFGZHZIAJKZBLZFGZBMSZIUSJKZAFGZBMSUQURCDZVAUQAU
      OUPNAOZPZURBUAULUQUTVCBMUQUSMDZHUTVBIURJKZFGZVCUQVDEURFGZHUSCDZEUSFGZHUTV
      IQVGUQVDVJVFAUBTVGVKVLUSUCUSUDTURUSUEUFUQVIVCQVGUQVHAVBFUQAUOAUGDUPAUHRVE
      UIUJRUKUMUN $.
  $}

  ${
    $d x A $.  $d x k $.
    $( A bounded real sequence ` A ( k ) ` is less than or equal to at least
       one of its indices.  (Contributed by NM, 18-Jan-2008.) $)
    bndndx $p |- ( E. x e. RR A. k e. NN ( A e. RR /\ A <_ x ) ->
                  E. k e. NN A <_ k ) $=
      ( cr wcel cv cle wbr wa cn wral wrex wi clt arch nnre lelttr ltle 3adant2
      w3a syld exp5o com3l imp4b com23 sylan2 reximdva r19.35 sylib rexlimiv
      mpd ) BDEZBAFZGHZIZCJKZBCFZGHZCJLZADUMDEZUOURMZCJLZUPUSMUTUMUQNHZCJLVBUMC
      OUTVCVACJUQJEUTUQDEZVCVAMUQPUTVDIUOVCURUTVDULUNVCURMZULUTVDUNVEMULUTVDUNV
      CURULUTVDTUNVCIBUQNHZURBUMUQQULVDVFURMUTBUQRSUAUBUCUDUEUFUGUKUOURCJUHUIUJ
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Nonnegative integers (as a subset of complex numbers)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c NN0 $. $( The set of nonnegative integers (blackboard bold N_0). $)

  $( Extend class notation to include the class of nonnegative integers. $)
  cn0 $a class NN0 $.

  $( Define the set of nonnegative integers.  (Contributed by Raph Levien,
     10-Dec-2002.) $)
  df-n0 $a |- NN0 = ( NN u. { 0 } ) $.

  $( Nonnegative integers expressed in terms of naturals and zero.
     (Contributed by Raph Levien, 10-Dec-2002.) $)
  elnn0 $p |- ( A e. NN0 <-> ( A e. NN \/ A = 0 ) ) $=
    ( cn0 wcel cn cc0 csn cun wceq df-n0 eleq2i elun c0ex elsn2 orbi2i 3bitri
    wo ) ABCADEFZGZCADCZAQCZPSAEHZPBRAIJADQKTUASAELMNO $.

  $( Positive naturals are a subset of nonnegative integers.  (Contributed by
     Raph Levien, 10-Dec-2002.) $)
  nnssnn0 $p |- NN C_ NN0 $=
    ( cn cc0 csn cun cn0 ssun1 df-n0 sseqtrri ) AABCZDEAIFGH $.

  $( Nonnegative integers are a subset of the reals.  (Contributed by Raph
     Levien, 10-Dec-2002.) $)
  nn0ssre $p |- NN0 C_ RR $=
    ( cn0 cn cc0 csn cun cr df-n0 nnssre wcel wss 0re snssi ax-mp unssi eqsstri
    ) ABCDZEFGBPFHCFIPFJKCFLMNO $.

  $( Nonnegative integers are a subset of the complex numbers.  (Contributed by
     NM, 9-May-2004.)  Reduce dependencies on axioms.  (Revised by Steven
     Nguyen, 8-Oct-2022.) $)
  nn0sscn $p |- NN0 C_ CC $=
    ( cn0 cn cc0 csn cun cc df-n0 nnsscn wcel wss 0cn snssi ax-mp unssi eqsstri
    ) ABCDZEFGBPFHCFIPFJKCFLMNO $.

  $( The set of nonnegative integers exists.  (Contributed by NM,
     18-Jul-2004.) $)
  nn0ex $p |- NN0 e. _V $=
    ( cn0 cn cc0 csn cun cvv df-n0 nnex snex unex eqeltri ) ABCDZEFGBLHCIJK $.

  $( A positive integer is a nonnegative integer.  (Contributed by NM,
     9-May-2004.) $)
  nnnn0 $p |- ( A e. NN -> A e. NN0 ) $=
    ( cn cn0 nnssnn0 sseli ) BCADE $.

  ${
    nnnn0i.1 $e |- N e. NN $.
    $( A positive integer is a nonnegative integer.  (Contributed by NM,
       20-Jun-2005.) $)
    nnnn0i $p |- N e. NN0 $=
      ( cn wcel cn0 nnnn0 ax-mp ) ACDAEDBAFG $.
  $}

  $( A nonnegative integer is a real number.  (Contributed by NM,
     9-May-2004.) $)
  nn0re $p |- ( A e. NN0 -> A e. RR ) $=
    ( cn0 cr nn0ssre sseli ) BCADE $.

  $( A nonnegative integer is a complex number.  (Contributed by NM,
     9-May-2004.) $)
  nn0cn $p |- ( A e. NN0 -> A e. CC ) $=
    ( cn0 cc nn0sscn sseli ) BCADE $.

  ${
    nn0rei.1 $e |- A e. NN0 $.
    $( A nonnegative integer is a real number.  (Contributed by NM,
       14-May-2003.) $)
    nn0rei $p |- A e. RR $=
      ( cn0 cr nn0ssre sselii ) CDAEBF $.

    $( A nonnegative integer is a complex number.  (Contributed by NM,
       14-May-2003.)  Reduce dependencies on axioms.  (Revised by Steven
       Nguyen, 8-Oct-2022.) $)
    nn0cni $p |- A e. CC $=
      ( cn0 cc nn0sscn sselii ) CDAEBF $.
  $}

  $( The set of positive integers defined in terms of nonnegative integers.
     (Contributed by NM, 23-Sep-2007.)  (Proof shortened by Mario Carneiro,
     13-Feb-2013.) $)
  dfn2 $p |- NN = ( NN0 \ { 0 } ) $=
    ( cn0 cc0 csn cdif cn cun df-n0 difeq1i difun2 wcel wceq 0nnn difsn 3eqtrri
    wn ax-mp ) ABCZDEQFZQDEQDZEARQGHEQIBEJOSEKLBEMPN $.

  $( The positive integer property expressed in terms of difference from zero.
     (Contributed by Stefan O'Rear, 12-Sep-2015.) $)
  elnnne0 $p |- ( N e. NN <-> ( N e. NN0 /\ N =/= 0 ) ) $=
    ( cn wcel cn0 cc0 csn cdif wne wa dfn2 eleq2i eldifsn bitri ) ABCADEFGZCADC
    AEHIBNAJKADELM $.

  $( 0 is a nonnegative integer.  (Contributed by Raph Levien, 10-Dec-2002.) $)
  0nn0 $p |- 0 e. NN0 $=
    ( cc0 wceq cn0 wcel eqid cn wo elnn0 biimpri olcs ax-mp ) AABZACDZAEAFDZLMM
    NLGAHIJK $.

  $( 1 is a nonnegative integer.  (Contributed by Raph Levien, 10-Dec-2002.) $)
  1nn0 $p |- 1 e. NN0 $=
    ( c1 1nn nnnn0i ) ABC $.

  $( 2 is a nonnegative integer.  (Contributed by Raph Levien, 10-Dec-2002.) $)
  2nn0 $p |- 2 e. NN0 $=
    ( c2 2nn nnnn0i ) ABC $.

  $( 3 is a nonnegative integer.  (Contributed by Mario Carneiro,
     18-Feb-2014.) $)
  3nn0 $p |- 3 e. NN0 $=
    ( c3 3nn nnnn0i ) ABC $.

  $( 4 is a nonnegative integer.  (Contributed by Mario Carneiro,
     18-Feb-2014.) $)
  4nn0 $p |- 4 e. NN0 $=
    ( c4 4nn nnnn0i ) ABC $.

  $( 5 is a nonnegative integer.  (Contributed by Mario Carneiro,
     19-Apr-2015.) $)
  5nn0 $p |- 5 e. NN0 $=
    ( c5 5nn nnnn0i ) ABC $.

  $( 6 is a nonnegative integer.  (Contributed by Mario Carneiro,
     19-Apr-2015.) $)
  6nn0 $p |- 6 e. NN0 $=
    ( c6 6nn nnnn0i ) ABC $.

  $( 7 is a nonnegative integer.  (Contributed by Mario Carneiro,
     19-Apr-2015.) $)
  7nn0 $p |- 7 e. NN0 $=
    ( c7 7nn nnnn0i ) ABC $.

  $( 8 is a nonnegative integer.  (Contributed by Mario Carneiro,
     19-Apr-2015.) $)
  8nn0 $p |- 8 e. NN0 $=
    ( c8 8nn nnnn0i ) ABC $.

  $( 9 is a nonnegative integer.  (Contributed by Mario Carneiro,
     19-Apr-2015.) $)
  9nn0 $p |- 9 e. NN0 $=
    ( c9 9nn nnnn0i ) ABC $.

  $( A nonnegative integer is greater than or equal to zero.  (Contributed by
     NM, 9-May-2004.)  (Revised by Mario Carneiro, 16-May-2014.) $)
  nn0ge0 $p |- ( N e. NN0 -> 0 <_ N ) $=
    ( cn0 wcel cc0 cle wbr wceq wo cn elnn0 nngt0 id eqcomd orim12i sylbi cr wb
    clt 0re nn0re leloe sylancr mpbird ) ABCZDAEFZDARFZDAGZHZUDAICZADGZHUHAJUIU
    FUJUGAKUJADUJLMNOUDDPCAPCUEUHQSATDAUAUBUC $.

  $( A nonnegative integer is not less than zero.  (Contributed by NM,
     9-May-2004.)  (Revised by Mario Carneiro, 27-May-2016.) $)
  nn0nlt0 $p |- ( A e. NN0 -> -. A < 0 ) $=
    ( cn0 wcel cc0 cle wbr clt wn nn0ge0 cr wb 0re nn0re lenlt sylancr mpbid )
    ABCZDAEFZADGFHZAIQDJCAJCRSKLAMDANOP $.

  ${
    nn0ge0i.1 $e |- N e. NN0 $.
    $( Nonnegative integers are nonnegative.  (Contributed by Raph Levien,
       10-Dec-2002.) $)
    nn0ge0i $p |- 0 <_ N $=
      ( cn0 wcel cc0 cle wbr nn0ge0 ax-mp ) ACDEAFGBAHI $.
  $}

  $( A nonnegative integer is less than or equal to zero iff it is equal to
     zero.  (Contributed by NM, 9-Dec-2005.) $)
  nn0le0eq0 $p |- ( N e. NN0 -> ( N <_ 0 <-> N = 0 ) ) $=
    ( cn0 wcel cc0 cle wbr wa nn0ge0 biantrud cr wb nn0re letri3 sylancl bitr4d
    wceq 0re ) ABCZADEFZSDAEFZGZADPZRTSAHIRAJCDJCUBUAKALQADMNO $.

  $( A nonnegative integer increased by 1 is greater than 0.  (Contributed by
     Alexander van der Vekens, 3-Oct-2018.) $)
  nn0p1gt0 $p |- ( N e. NN0 -> 0 < ( N + 1 ) ) $=
    ( cn0 wcel c1 nn0re 1red nn0ge0 cc0 clt wbr 0lt1 a1i addgegt0d ) ABCZADAENF
    AGHDIJNKLM $.

  $( A positive integer plus a nonnegative integer is a positive integer.
     (Contributed by NM, 20-Apr-2005.)  (Proof shortened by Mario Carneiro,
     16-May-2014.) $)
  nnnn0addcl $p |- ( ( M e. NN /\ N e. NN0 ) -> ( M + N ) e. NN ) $=
    ( cn0 wcel cn cc0 wceq wo caddc co elnn0 nnaddcl wa oveq2 addid1d sylan9eqr
    nncn simpl eqeltrd jaodan sylan2b ) BCDAEDZBEDZBFGZHABIJZEDZBKUBUCUFUDABLUB
    UDMUEAEUDUBUEAFIJABFAINUBAAQOPUBUDRSTUA $.

  $( A nonnegative integer plus a positive integer is a positive integer.
     (Contributed by NM, 22-Dec-2005.) $)
  nn0nnaddcl $p |- ( ( M e. NN0 /\ N e. NN ) -> ( M + N ) e. NN ) $=
    ( cn wcel cn0 caddc co wa wceq nncn nn0cn addcom syl2an nnnn0addcl eqeltrrd
    cc ancoms ) BCDZAEDZABFGZCDRSHBAFGZTCRBPDAPDUATISBJAKBALMBANOQ $.

  $( The result of subtracting a positive integer from 0 is not a nonnegative
     integer.  (Contributed by Alexander van der Vekens, 19-Mar-2018.) $)
  0mnnnnn0 $p |- ( N e. NN -> ( 0 - N ) e/ NN0 ) $=
    ( cn wcel cc0 cmin co cn0 wnel cr 0re wn nnel cneg df-neg eqcomi eleq1i cle
    wbr nn0ge0 syl5bi nnre le0neg1d clt nngt0 0red ltnled pm2.21 syl6bi sylbird
    wi mpd syl5 mt4i ) ABCZDAEFZGHZDICZJUPKUOGCZUNUQKZUOGLURAMZGCZUNUSUOUTGUTUO
    ANOPVADUTQRZUNUSUTSUNVBADQRZUSUNAAUAZUBUNDAUCRZVCUSUJZAUDUNVEVCKVFUNDAUNUEV
    DUFVCUSUGUHUKUIULTTUM $.

  ${
    un0addcl.1 $e |- ( ph -> S C_ CC ) $.
    un0addcl.2 $e |- T = ( S u. { 0 } ) $.
    ${
      un0addcl.3 $e |- ( ( ph /\ ( M e. S /\ N e. S ) ) -> ( M + N ) e. S ) $.
      $( If ` S ` is closed under addition, then so is ` S u. { 0 } ` .
         (Contributed by Mario Carneiro, 17-Jul-2014.) $)
      un0addcl $p |- ( ( ph /\ ( M e. T /\ N e. T ) ) -> ( M + N ) e. T ) $=
        ( wcel caddc co cc0 wo wa eleq2i elun bitri cc sselda eqeltrd csn ssun1
        cun sseqtrri sselid expr addid2d wss a1i elsni oveq1d eleq1d syl5ibrcom
        wi impancom jaodan sylan2b 0cnd snssd unssd eqsstrid addid1d simpr jaod
        oveq2d syl5bi impr ) ADCIZECIZDEJKZCIZVIEBIZELUAZIZMZAVHNZVKVIEBVMUCZIV
        OCVQEGOEBVMPQVPVLVKVNVHADBIZDVMIZMZVLVKUNZVHDVQIVTCVQDGODBVMPQAVRWAVSAV
        RVLVKAVRVLNNBCVJBVQCBVMUBGUDZHUEUFAVLVSVKAVLNZVKVSLEJKZCIWCWDECWCEABREF
        SUGABCEBCUHAWBUISTVSVJWDCVSDLEJDLUJUKULUMUOUPUQVPVKVNDLJKZCIVPWEDCVPDAC
        RDACVQRGABVMRFALRAURUSUTVASVBAVHVCTVNVJWECVNELDJELUJVEULUMVDVFVG $.
    $}

    un0mulcl.3 $e |- ( ( ph /\ ( M e. S /\ N e. S ) ) -> ( M x. N ) e. S ) $.
    $( If ` S ` is closed under multiplication, then so is ` S u. { 0 } ` .
       (Contributed by Mario Carneiro, 17-Jul-2014.) $)
    un0mulcl $p |- ( ( ph /\ ( M e. T /\ N e. T ) ) -> ( M x. N ) e. T ) $=
      ( wcel cmul co cc0 wo wa eleq2i elun bitri sseqtrri cc sselda csn wi expr
      cun ssun1 sselid mul02d wss ssun2 c0ex mpbir eqeltrdi elsni oveq1d eleq1d
      snss syl5ibrcom impancom jaodan sylan2b 0cnd snssd eqsstrid mul01d oveq2d
      unssd jaod syl5bi impr ) ADCIZECIZDEJKZCIZVKEBIZELUAZIZMZAVJNZVMVKEBVOUDZ
      IVQCVSEGOEBVOPQVRVNVMVPVJADBIZDVOIZMZVNVMUBZVJDVSIWBCVSDGODBVOPQAVTWCWAAV
      TVNVMAVTVNNNBCVLBVSCBVOUEGRHUFUCAVNWAVMAVNNZVMWALEJKZCIWDWELCWDEABSEFTUGL
      CIVOCUHVOVSCVOBUIGRLCUJUPUKZULWAVLWECWADLEJDLUMUNUOUQURUSUTVRVMVPDLJKZCIV
      RWGLCVRDACSDACVSSGABVOSFALSAVAVBVFVCTVDWFULVPVLWGCVPELDJELUMVEUOUQVGVHVI
      $.
  $}

  $( Closure of addition of nonnegative integers.  (Contributed by Raph Levien,
     10-Dec-2002.)  (Proof shortened by Mario Carneiro, 17-Jul-2014.) $)
  nn0addcl $p |- ( ( M e. NN0 /\ N e. NN0 ) -> ( M + N ) e. NN0 ) $=
    ( cn cc wss cn0 wcel wa caddc co nnsscn df-n0 nnaddcl adantl un0addcl mpan
    id ) CDEZAFGBFGHABIJZFGKRCFABRQLACGBCGHSCGRABMNOP $.

  $( Closure of multiplication of nonnegative integers.  (Contributed by NM,
     22-Jul-2004.)  (Proof shortened by Mario Carneiro, 17-Jul-2014.) $)
  nn0mulcl $p |- ( ( M e. NN0 /\ N e. NN0 ) -> ( M x. N ) e. NN0 ) $=
    ( cn cc wss cn0 wcel wa cmul co nnsscn df-n0 nnmulcl adantl un0mulcl mpan
    id ) CDEZAFGBFGHABIJZFGKRCFABRQLACGBCGHSCGRABMNOP $.

  ${
    nn0addcli.1 $e |- M e. NN0 $.
    nn0addcli.2 $e |- N e. NN0 $.
    $( Closure of addition of nonnegative integers, inference form.
       (Contributed by Raph Levien, 10-Dec-2002.) $)
    nn0addcli $p |- ( M + N ) e. NN0 $=
      ( cn0 wcel caddc co nn0addcl mp2an ) AEFBEFABGHEFCDABIJ $.

    $( Closure of multiplication of nonnegative integers, inference form.
       (Contributed by Raph Levien, 10-Dec-2002.) $)
    nn0mulcli $p |- ( M x. N ) e. NN0 $=
      ( cn0 wcel cmul co nn0mulcl mp2an ) AEFBEFABGHEFCDABIJ $.
  $}

  $( A nonnegative integer plus 1 is a positive integer.  Strengthening of
     ~ peano2nn .  (Contributed by Raph Levien, 30-Jun-2006.)  (Revised by
     Mario Carneiro, 16-May-2014.) $)
  nn0p1nn $p |- ( N e. NN0 -> ( N + 1 ) e. NN ) $=
    ( cn0 wcel c1 cn caddc co 1nn nn0nnaddcl mpan2 ) ABCDECADFGECHADIJ $.

  $( Second Peano postulate for nonnegative integers.  (Contributed by NM,
     9-May-2004.) $)
  peano2nn0 $p |- ( N e. NN0 -> ( N + 1 ) e. NN0 ) $=
    ( cn0 wcel c1 caddc co 1nn0 nn0addcl mpan2 ) ABCDBCADEFBCGADHI $.

  $( A positive integer minus 1 is a nonnegative integer.  (Contributed by
     Jason Orendorff, 24-Jan-2007.)  (Revised by Mario Carneiro,
     16-May-2014.) $)
  nnm1nn0 $p |- ( N e. NN -> ( N - 1 ) e. NN0 ) $=
    ( cn wcel c1 cmin co cc0 wceq wo cn0 nn1m1nn oveq1 eqtrdi orim1i syl orcomd
    1m1e0 elnn0 sylibr ) ABCZADEFZBCZUAGHZIUAJCTUCUBTADHZUBIUCUBIAKUDUCUBUDUADD
    EFGADDELQMNOPUARS $.

  $( The nonnegative integer property expressed in terms of positive integers.
     (Contributed by NM, 10-May-2004.)  (Proof shortened by Mario Carneiro,
     16-May-2014.) $)
  elnn0nn $p |- ( N e. NN0 <-> ( N e. CC /\ ( N + 1 ) e. NN ) ) $=
    ( cn0 wcel cc c1 caddc co cn nn0cn nn0p1nn jca cmin wceq simpl ax-1cn pncan
    wa sylancl nnm1nn0 adantl eqeltrrd impbii ) ABCZADCZAEFGZHCZQZUCUDUFAIAJKUG
    UEELGZABUGUDEDCUHAMUDUFNOAEPRUFUHBCUDUESTUAUB $.

  $( The positive integer property expressed in terms of nonnegative integers.
     (Contributed by NM, 10-May-2004.) $)
  elnnnn0 $p |- ( N e. NN <-> ( N e. CC /\ ( N - 1 ) e. NN0 ) ) $=
    ( cn wcel cc c1 cmin co cn0 nncn caddc wa npcan1 eleq1d peano2cnm biantrurd
    bitr3d elnn0nn bitr4di biadanii ) ABCZADCZAEFGZHCZAIUATUBDCZUBEJGZBCZKZUCUA
    UFTUGUAUEABALMUAUDUFANOPUBQRS $.

  $( The positive integer property expressed in terms of nonnegative integers.
     (Contributed by NM, 1-Sep-2005.) $)
  elnnnn0b $p |- ( N e. NN <-> ( N e. NN0 /\ 0 < N ) ) $=
    ( cn wcel cn0 cc0 clt wbr wa nnnn0 nngt0 jca wceq wo wi elnn0 breq2 pm2.21i
    0re ltnri syl6bi jao1i sylbi imp impbii ) ABCZADCZEAFGZHUEUFUGAIAJKUFUGUEUF
    UEAELZMUGUENAOUEUHUGUHUGEEFGZUEAEEFPUIUEERSQTUAUBUCUD $.

  $( The positive integer property expressed in terms of nonnegative integers.
     (Contributed by NM, 10-Jan-2006.) $)
  elnnnn0c $p |- ( N e. NN <-> ( N e. NN0 /\ 1 <_ N ) ) $=
    ( cn wcel cn0 c1 cle wbr wa nnnn0 nnge1 jca cc0 clt 0lt1 cr wi nn0re ltletr
    0re 1re mp3an12i mpani imdistani elnnnn0b sylibr impbii ) ABCZADCZEAFGZHZUG
    UHUIAIAJKUJUHLAMGZHUGUHUIUKUHLEMGZUIUKNLOCEOCUHAOCULUIHUKPSTAQLEARUAUBUCAUD
    UEUF $.

  $( A number is less than or equal to itself plus a nonnegative integer.
     (Contributed by NM, 10-Mar-2005.) $)
  nn0addge1 $p |- ( ( A e. RR /\ N e. NN0 ) -> A <_ ( A + N ) ) $=
    ( cn0 wcel cr cc0 cle wbr wa caddc co nn0re nn0ge0 jca addge01 3expb sylan2
    biimp3a ) BCDZAEDZBEDZFBGHZIAABJKGHZSUAUBBLBMNTUAUBUCTUAUBUCABORPQ $.

  $( A number is less than or equal to itself plus a nonnegative integer.
     (Contributed by NM, 10-Mar-2005.) $)
  nn0addge2 $p |- ( ( A e. RR /\ N e. NN0 ) -> A <_ ( N + A ) ) $=
    ( cn0 wcel cr cc0 cle wbr wa caddc co nn0re nn0ge0 jca addge02 3expb sylan2
    biimp3a ) BCDZAEDZBEDZFBGHZIABAJKGHZSUAUBBLBMNTUAUBUCTUAUBUCABORPQ $.

  ${
    nn0addge1i.1 $e |- A e. RR $.
    nn0addge1i.2 $e |- N e. NN0 $.
    $( A number is less than or equal to itself plus a nonnegative integer.
       (Contributed by NM, 10-Mar-2005.) $)
    nn0addge1i $p |- A <_ ( A + N ) $=
      ( cr wcel cn0 caddc co cle wbr nn0addge1 mp2an ) AEFBGFAABHIJKCDABLM $.

    $( A number is less than or equal to itself plus a nonnegative integer.
       (Contributed by NM, 10-Mar-2005.) $)
    nn0addge2i $p |- A <_ ( N + A ) $=
      ( cr wcel cn0 caddc co cle wbr nn0addge2 mp2an ) AEFBGFABAHIJKCDABLM $.
  $}

  $( Subtraction of nonnegative integers.  (Contributed by NM, 9-May-2004.)
     (Proof shortened by Mario Carneiro, 16-May-2014.) $)
  nn0sub $p |- ( ( M e. NN0 /\ N e. NN0 ) ->
                ( M <_ N <-> ( N - M ) e. NN0 ) ) $=
    ( cn0 wcel wbr cmin co cn cc0 wo clt cr wb nn0re elnn0 nngt0 eleq1d bibi12d
    wceq syl5ibr wa leloe syl2an wi nnsub ex nncn subid1d id eqeltrd 2thd breq1
    cle oveq2 jaoi sylbi nn0nlt0 pm2.21d posdif sylancl impbid breq2 syl5ibrcom
    0re oveq1 jaod syl5bi cc nn0cn subeq0 syl2anr eqcom bitr2di orbi12d bitr4di
    imp bitrd ) ACDZBCDZUAZABUMEZBAFGZHDZWBISZJZWBCDVTWAABKEZABSZJZWEVRALDZBLDW
    AWHMVSANZBNABUBUCVTWFWCWGWDVRVSWFWCMZVSBHDZBISZJVRWKBOVRWLWKWMVRAHDZAISZJWL
    WKUDZAOWNWPWOWNWLWKABUEUFWLWKWOIBKEZBIFGZHDZMWLWQWSBPWLWRBHWLBBUGUHWLUIUJUK
    WOWFWQWCWSAIBKULWOWBWRHAIBFUNQRTUOUPVRWKWMAIKEZIAFGZHDZMVRWTXBVRWTXBAUQURXB
    WTVRIXAKEZXAPVRWIILDWTXCMWJVDAIUSUTTVAWMWFWTWCXBBIAKVBWMWBXAHBIAFVEQRVCVFVG
    VPVTWDBASZWGVSBVHDAVHDWDXDMVRBVIAVIBAVJVKBAVLVMVNVQWBOVO $.

  $( Subtracting a nonnegative integer from a nonnegative integer which is
     greater than the first one results in a nonnegative integer.  (Contributed
     by Alexander van der Vekens, 6-Apr-2018.) $)
  ltsubnn0 $p |- ( ( A e. NN0 /\ B e. NN0 )
                   -> ( B < A -> ( A - B ) e. NN0 ) ) $=
    ( cn0 wcel wa clt wbr cle cmin co cr wi nn0re ltle syl2anr wb nn0sub ancoms
    sylibd ) ACDZBCDZEBAFGZBAHGZABIJCDZUABKDAKDUBUCLTBMAMBANOUATUCUDPBAQRS $.

  $( A nonnegative integer is greater than or equal to its negative.
     (Contributed by AV, 13-Aug-2021.) $)
  nn0negleid $p |- ( A e. NN0 -> -u A <_ A ) $=
    ( cn0 wcel cneg cc0 nn0re renegcld 0red cle wbr nn0ge0 le0neg2d mpbid letrd
    ) ABCZADZEAOAAFZGOHQOEAIJPEIJAKZOAQLMRN $.

  $( If the difference of a real number and a nonnegative integer is greater
     than another real number, the sum of the real number and the nonnegative
     integer is also greater than the other real number.  (Contributed by AV,
     13-Aug-2021.) $)
  difgtsumgt $p |- ( ( A e. RR /\ B e. NN0 /\ C e. RR )
                     -> ( C < ( A - B ) -> C < ( A + B ) ) ) $=
    ( cr wcel cn0 w3a cmin co clt wbr cneg caddc cc wa wceq recn nn0cn 3ad2ant2
    readdcld anim12i 3adant3 negsub syl eqcomd breq2d simp3 simp1 renegcld 3jca
    nn0re cle nn0negleid leadd2dd lelttrdi sylbid ) ADEZBFEZCDEZGZCABHIZJKCABLZ
    MIZJKCABMIZJKUTVAVCCJUTVCVAUTANEZBNEZOZVCVAPUQURVGUSUQVEURVFAQBRUAUBABUCUDU
    EUFUTCVCVDUTUSVCDEVDDEUQURUSUGUTAVBUQURUSUHZURUQVBDEUSURBBUKZUISZTUTABVHURU
    QBDEUSVISZTUJUTVBBAVJVKVHURUQVBBULKUSBUMSUNUOUP $.

  ${
    nn0le2xi.1 $e |- N e. NN0 $.
    $( A nonnegative integer is less than or equal to twice itself.
       (Contributed by Raph Levien, 10-Dec-2002.) $)
    nn0le2xi $p |- N <_ ( 2 x. N ) $=
      ( caddc co c2 cmul cle nn0rei nn0addge1i nn0cni 2timesi breqtrri ) AAACDE
      AFDGAAABHBIAABJKL $.
  $}

  ${
    nn0lele2xi.1 $e |- M e. NN0 $.
    nn0lele2xi.2 $e |- N e. NN0 $.
    $( 'Less than or equal to' implies 'less than or equal to twice' for
       nonnegative integers.  (Contributed by Raph Levien, 10-Dec-2002.) $)
    nn0lele2xi $p |- ( N <_ M -> N <_ ( 2 x. M ) ) $=
      ( cle wbr c2 cmul co nn0le2xi nn0rei 2re remulcli letri mpan2 ) BAEFAGAHI
      ZEFBPEFACJBAPBDKACKZGALQMNO $.
  $}

  $( Two ways to write the support of a function on ` NN0 ` .  (Contributed by
     Mario Carneiro, 29-Dec-2014.)  (Revised by AV, 7-Jul-2019.) $)
  frnnn0supp $p |- ( ( I e. V /\ F : I --> NN0 )
                  -> ( F supp 0 ) = ( `' F " NN ) ) $=
    ( wcel cn0 wf wa cc0 csupp co ccnv csn cdif cima cn wceq cvv c0ex frnsuppeq
    wi mpan2 imp dfn2 imaeq2i eqtr4di ) BCDZBEAFZGAHIJZAKZEHLMZNZUIONUFUGUHUKPZ
    UFHQDUGULTREABCQHSUAUBOUJUIUCUDUE $.

  $( A function on ` NN0 ` is finitely supported iff its support is finite.
     (Contributed by AV, 8-Jul-2019.) $)
  frnnn0fsupp $p |- ( ( I e. V /\ F : I --> NN0 )
                  -> ( F finSupp 0 <-> ( `' F " NN ) e. Fin ) ) $=
    ( wcel cn0 wf wa cc0 cfsupp wbr ccnv csn cdif cima cfn cn wb cvv wi c0ex
    frnfsuppbi mpan2 imp dfn2 imaeq2i eleq1i bitr4di ) BCDZBEAFZGAHIJZAKZEHLMZN
    ZODZUKPNZODUHUIUJUNQZUHHRDUIUPSTEABCRHUAUBUCUOUMOPULUKUDUEUFUG $.

  $( Version of ~ frnnn0supp avoiding ~ ax-rep by assuming ` F ` is a set
     rather than its domain ` I ` .  (Contributed by SN, 5-Aug-2024.) $)
  frnnn0suppg $p |- ( ( F e. V /\ F : I --> NN0 )
                   -> ( F supp 0 ) = ( `' F " NN ) ) $=
    ( wcel cn0 wf wa cc0 csupp co ccnv csn cdif cima cn wceq wi c0ex frnsuppeqg
    cvv mpan2 imp dfn2 imaeq2i eqtr4di ) ACDZBEAFZGAHIJZAKZEHLMZNZUIONUFUGUHUKP
    ZUFHTDUGULQREABCTHSUAUBOUJUIUCUDUE $.
  $( $j usage 'frnnn0suppg' avoids 'ax-rep'; $)

  $( Version of ~ frnnn0fsupp avoiding ~ ax-rep by assuming ` F ` is a set
     rather than its domain ` I ` .  (Contributed by SN, 5-Aug-2024.) $)
  frnnn0fsuppg $p |- ( ( F e. V /\ F : I --> NN0 )
                    -> ( F finSupp 0 <-> ( `' F " NN ) e. Fin ) ) $=
    ( wcel cn0 wf wa cc0 cfsupp wbr csupp co cfn ccnv cn cima wfun wb ffun cvv
    simpl c0ex funisfsupp mp3an3 syl2an2 frnnn0suppg eleq1d bitrd ) ACDZBEAFZGZ
    AHIJZAHKLZMDZANOPZMDUJAQZUIUIULUNRZBEASUIUJUAUPUIHTDUQUBACTHUCUDUEUKUMUOMAB
    CUFUGUH $.
  $( $j usage 'frnnn0fsuppg' avoids 'ax-rep'; $)

  ${
    nnnn0d.1 $e |- ( ph -> A e. NN ) $.
    $( A positive integer is a nonnegative integer.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    nnnn0d $p |- ( ph -> A e. NN0 ) $=
      ( cn cn0 nnssnn0 sselid ) ADEBFCG $.
  $}

  ${
    nn0red.1 $e |- ( ph -> A e. NN0 ) $.
    $( A nonnegative integer is a real number.  (Contributed by Mario Carneiro,
       27-May-2016.) $)
    nn0red $p |- ( ph -> A e. RR ) $=
      ( cn0 cr nn0ssre sselid ) ADEBFCG $.

    $( A nonnegative integer is a complex number.  (Contributed by Mario
       Carneiro, 27-May-2016.) $)
    nn0cnd $p |- ( ph -> A e. CC ) $=
      ( nn0red recnd ) ABABCDE $.

    $( A nonnegative integer is greater than or equal to zero.  (Contributed by
       Mario Carneiro, 27-May-2016.) $)
    nn0ge0d $p |- ( ph -> 0 <_ A ) $=
      ( cn0 wcel cc0 cle wbr nn0ge0 syl ) ABDEFBGHCBIJ $.

    nn0addcld.2 $e |- ( ph -> B e. NN0 ) $.
    $( Closure of addition of nonnegative integers, inference form.
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    nn0addcld $p |- ( ph -> ( A + B ) e. NN0 ) $=
      ( cn0 wcel caddc co nn0addcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.

    $( Closure of multiplication of nonnegative integers, inference form.
       (Contributed by Mario Carneiro, 27-May-2016.) $)
    nn0mulcld $p |- ( ph -> ( A x. B ) e. NN0 ) $=
      ( cn0 wcel cmul co nn0mulcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.
  $}

  $( Closure law for addition of reals, restricted to nonnegative integers.
     (Contributed by Alexander van der Vekens, 6-Apr-2018.) $)
  nn0readdcl $p |- ( ( A e. NN0 /\ B e. NN0 ) -> ( A + B ) e. RR ) $=
    ( cn0 wcel wa caddc co nn0addcl nn0red ) ACDBCDEABFGABHI $.

  $( A nonnegative integer which is neither 0 nor 1 is greater than or equal to
     2.  (Contributed by Alexander van der Vekens, 6-Dec-2017.) $)
  nn0n0n1ge2 $p |- ( ( N e. NN0 /\ N =/= 0 /\ N =/= 1 ) -> 2 <_ N ) $=
    ( cn0 wcel cc0 wne c1 w3a c2 cle wbr cmin co wceq caddc 3ad2ant1 cn elnnne0
    wa nnm1nn0 syl nn0cn subsub4d oveq2i eqtr2di 3simpa sylibr subeq0ad necon3d
    1cnd 1p1e2 biimpd imp 3adant2 sylanbrc eqeltrd wb 2nn0 jctl nn0sub mpbird )
    ABCZADEZAFEZGZHAIJZAHKLZBCZVDVFAFKLZFKLZBVAVBVFVIMVCVAVIAFFNLZKLVFVAAFFAUAZ
    VAUIZVLUBVJHAKUJUCUDOVDVHPCZVIBCVDVHBCZVHDEZVMVDAPCZVNVDVAVBRVPVAVBVCUEAQUF
    ASTVAVCVOVBVAVCVOVAVHDAFVAVHDMAFMVAAFVKVLUGUKUHULUMVHQUNVHSTUOVDHBCZVARZVEV
    GUPVAVBVRVCVAVQUQUROHAUSTUT $.

  $( A nonnegative integer is neither 0 nor 1 if and only if it is greater than
     or equal to 2.  (Contributed by Alexander van der Vekens, 17-Jan-2018.) $)
  nn0n0n1ge2b $p |- ( N e. NN0 -> ( ( N =/= 0 /\ N =/= 1 ) <-> 2 <_ N ) ) $=
    ( cn0 wcel cc0 wne c1 wa c2 cle wbr nn0n0n1ge2 wn wceq nne clt breq1 mpbiri
    wo a1d cr 3expib ianor orbi12i bitri wi 2pos 1lt2 impcom wb nn0re 2re jctir
    jaoi adantr ltnle syl mpbid ex syl5bi impcon4bid ) ABCZADEZAFEZGZHAIJZVAVBV
    CVEAKUAVDLZADMZAFMZRZVAVELZVFVBLZVCLZRVIVBVCUBVKVGVLVHADNAFNUCUDVAVIVJVAVIG
    ZAHOJZVJVIVAVNVGVAVNUEVHVGVNVAVGVNDHOJUFADHOPQSVHVNVAVHVNFHOJUGAFHOPQSUMUHV
    MATCZHTCZGZVNVJUIVAVQVIVAVOVPAUJUKULUNAHUOUPUQURUSUT $.

  $( If a nonnegative integer is greater than or equal to two, the integer
     decreased by 1 is a positive integer.  (Contributed by Alexander van der
     Vekens, 1-Aug-2018.)  (Revised by AV, 4-Jan-2020.) $)
  nn0ge2m1nn $p |- ( ( N e. NN0 /\ 2 <_ N ) -> ( N - 1 ) e. NN ) $=
    ( c1 wceq cmin co cn wcel wo cn0 c2 cle wbr wa simpl cr w3a clt 2re 1lt2 wi
    1red a1i nn0re 3jca simpr jctil ltleletr sylc elnnnn0c sylanbrc nn1m1nn syl
    adantr breq2 1re ltnlei pm2.21 sylbi ax-mp syl6bi adantld ax-1 jaoi mpcom
    wn ) ABCZABDEFGZHZAIGZJAKLZMZVGVKAFGZVHVKVIBAKLZVLVIVJNVKBOGZJOGZAOGZPZBJQL
    ZVJMVMVIVQVJVIVNVOVPVIUAVOVIRUBAUCUDUMVKVJVRVIVJUESUFBJAUGUHAUIUJAUKULVFVKV
    GTVGVFVJVGVIVFVJJBKLZVGABJKUNVRVSVGTZSVRVSVEVTBJUORUPVSVGUQURUSUTVAVGVKVBVC
    VD $.

  $( If a nonnegative integer is greater than or equal to two, the integer
     decreased by 1 is also a nonnegative integer.  (Contributed by Alexander
     van der Vekens, 1-Aug-2018.) $)
  nn0ge2m1nn0 $p |- ( ( N e. NN0 /\ 2 <_ N ) -> ( N - 1 ) e. NN0 ) $=
    ( cn0 wcel c2 cle wbr wa c1 cmin co nn0ge2m1nn nnnn0d ) ABCDAEFGAHIJAKL $.

  $( Closure law for dividing of a nonnegative integer by a positive integer.
     (Contributed by Alexander van der Vekens, 14-Apr-2018.) $)
  nn0nndivcl $p |- ( ( K e. NN0 /\ L e. NN ) -> ( K / L ) e. RR ) $=
    ( cn0 wcel cn wa cr cc0 wne w3a cdiv co elnnne0 adantr ad2antrl simprr 3jca
    nn0re sylan2b redivcl syl ) ACDZBEDZFAGDZBGDZBHIZJZABKLGDUCUBBCDZUFFZUGBMUB
    UIFUDUEUFUBUDUIARNUHUEUBUFBROUBUHUFPQSABTUA $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Extended nonnegative integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The function values of the hash (set size) function are either nonnegative
  integers or positive infinity, see ~ hashf .  To avoid the need to
  distinguish between finite and infinite sets (and therefore if the set size
  is a nonnegative integer or positive infinity), it is useful to provide a
  definition of the set of nonnegative integers extended by positive infinity,
  analogously to the extension of the real numbers ` RR* ` , see ~ df-xr .  The
  definition of extended nonnegative integers can be used in Ramsey theory,
  because the Ramsey number is either a nonnegative integer or plus infinity,
  see ~ ramcl2 , or for the degree of polynomials, see ~ mdegcl , or for the
  degree of vertices in graph theory, see ~ vtxdgf .

$)

  $c NN0* $. $( The set of extended nonnegative integers $)

  $( The set of extended nonnegative integers. $)
  cxnn0 $a class NN0* $.

  $( Define the set of extended nonnegative integers that includes positive
     infinity.  Analogue of the extension of the real numbers ` RR* ` , see
     ~ df-xr .  (Contributed by AV, 10-Dec-2020.) $)
  df-xnn0 $a |- NN0* = ( NN0 u. { +oo } ) $.

  $( An extended nonnegative integer is either a standard nonnegative integer
     or positive infinity.  (Contributed by AV, 10-Dec-2020.) $)
  elxnn0 $p |- ( A e. NN0* <-> ( A e. NN0 \/ A = +oo ) ) $=
    ( cxnn0 wcel cn0 cpnf csn cun wceq df-xnn0 eleq2i pnfex elsn2 orbi2i 3bitri
    wo elun ) ABCADEFZGZCADCZAQCZOSAEHZOBRAIJADQPTUASAEKLMN $.

  $( The standard nonnegative integers are a subset of the extended nonnegative
     integers.  (Contributed by AV, 10-Dec-2020.) $)
  nn0ssxnn0 $p |- NN0 C_ NN0* $=
    ( cn0 cpnf csn cun cxnn0 ssun1 df-xnn0 sseqtrri ) AABCZDEAIFGH $.

  $( A standard nonnegative integer is an extended nonnegative integer.
     (Contributed by AV, 10-Dec-2020.) $)
  nn0xnn0 $p |- ( A e. NN0 -> A e. NN0* ) $=
    ( cn0 cxnn0 nn0ssxnn0 sseli ) BCADE $.

  $( An extended nonnegative integer is an extended real.  (Contributed by AV,
     10-Dec-2020.) $)
  xnn0xr $p |- ( A e. NN0* -> A e. RR* ) $=
    ( cxnn0 wcel cn0 cpnf wceq wo cxr elxnn0 nn0re rexrd pnfxr eleq1 jaoi sylbi
    mpbiri ) ABCADCZAEFZGAHCZAIQSRQAAJKRSEHCLAEHMPNO $.

  $( Zero is an extended nonnegative integer.  (Contributed by AV,
     10-Dec-2020.) $)
  0xnn0 $p |- 0 e. NN0* $=
    ( cn0 cxnn0 cc0 nn0ssxnn0 0nn0 sselii ) ABCDEF $.

  $( Positive infinity is an extended nonnegative integer.  (Contributed by AV,
     10-Dec-2020.) $)
  pnf0xnn0 $p |- +oo e. NN0* $=
    ( cpnf cxnn0 wcel cn0 wceq wo eqid olci elxnn0 mpbir ) ABCADCZAAEZFLKAGHAIJ
    $.

  $( No standard nonnegative integer equals positive infinity.  (Contributed by
     AV, 10-Dec-2020.) $)
  nn0nepnf $p |- ( A e. NN0 -> A =/= +oo ) $=
    ( cn0 wcel cpnf wceq cr pnfnre neli nn0re mto eleq1 mtbiri necon2ai ) ABCZA
    DADENDBCZODFCDFGHDIJADBKLM $.

  ${
    nn0xnn0d.1 $e |- ( ph -> A e. NN0 ) $.
    $( A standard nonnegative integer is an extended nonnegative integer,
       deduction form.  (Contributed by AV, 10-Dec-2020.) $)
    nn0xnn0d $p |- ( ph -> A e. NN0* ) $=
      ( cn0 cxnn0 nn0ssxnn0 sselid ) ADEBFCG $.

    $( No standard nonnegative integer equals positive infinity, deduction
       form.  (Contributed by AV, 10-Dec-2020.) $)
    nn0nepnfd $p |- ( ph -> A =/= +oo ) $=
      ( cn0 wcel cpnf wne nn0nepnf syl ) ABDEBFGCBHI $.
  $}

  $( No extended nonnegative integer equals negative infinity.  (Contributed by
     AV, 10-Dec-2020.) $)
  xnn0nemnf $p |- ( A e. NN0* -> A =/= -oo ) $=
    ( cxnn0 wcel cn0 cpnf wceq wo cmnf wne elxnn0 nn0re renemnfd pnfnemnf neeq1
    mpbiri jaoi sylbi ) ABCADCZAEFZGAHIZAJRTSRAAKLSTEHIMAEHNOPQ $.

  $( The extended nonnegative integers are extended reals without negative
     infinity.  (Contributed by AV, 10-Dec-2020.) $)
  xnn0xrnemnf $p |- ( A e. NN0* -> ( A e. RR* /\ A =/= -oo ) ) $=
    ( cxnn0 wcel cxr cmnf wne xnn0xr xnn0nemnf jca ) ABCADCAEFAGAHI $.

  $( An extended nonnegative integer which is not a standard nonnegative
     integer is positive infinity.  (Contributed by AV, 10-Dec-2020.) $)
  xnn0nnn0pnf $p |- ( ( N e. NN0* /\ -. N e. NN0 ) -> N = +oo ) $=
    ( cxnn0 wcel cn0 wn cpnf wceq wo wi elxnn0 pm2.53 sylbi imp ) ABCZADCZEZAFG
    ZNOQHPQIAJOQKLM $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Integers (as a subset of complex numbers)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ZZ $. $( The set of integers (blackboard bold Z). $)

  $( Extend class notation to include the class of integers. $)
  cz $a class ZZ $.

  $( Define the set of integers, which are the positive and negative integers
     together with zero.  Definition of integers in [Apostol] p. 22.  The
     letter Z abbreviates the German word Zahlen meaning "numbers."
     (Contributed by NM, 8-Jan-2002.) $)
  df-z $a |- ZZ = { n e. RR | ( n = 0 \/ n e. NN \/ -u n e. NN ) } $.

  ${
    $d x N $.
    $( Membership in the set of integers.  (Contributed by NM, 8-Jan-2002.) $)
    elz $p |- ( N e. ZZ <->
              ( N e. RR /\ ( N = 0 \/ N e. NN \/ -u N e. NN ) ) ) $=
      ( vx cv cc0 wceq cn wcel cneg w3o cr cz eqeq1 eleq1 eleq1d 3orbi123d df-z
      negeq elrab2 ) BCZDEZSFGZSHZFGZIADEZAFGZAHZFGZIBAJKSAEZTUDUAUEUCUGSADLSAF
      MUHUBUFFSAQNOBPR $.
  $}

  $( The negative of a positive integer is an integer.  (Contributed by NM,
     12-Jan-2002.) $)
  nnnegz $p |- ( N e. NN -> -u N e. ZZ ) $=
    ( cn wcel cneg cr cc0 wceq w3o cz nnre renegcld cc nncn negneg eleq1d mpcom
    biimprd 3mix3d elz sylanbrc ) ABCZADZECUBFGZUBBCZUBDZBCZHUBICUAAAJKUAUFUCUD
    ALCZUAUFAMUGUFUAUGUEABANOQPRUBST $.

  $( An integer is a real.  (Contributed by NM, 8-Jan-2002.) $)
  zre $p |- ( N e. ZZ -> N e. RR ) $=
    ( cz wcel cr cc0 wceq cn cneg w3o elz simplbi ) ABCADCAEFAGCAHGCIAJK $.

  $( An integer is a complex number.  (Contributed by NM, 9-May-2004.) $)
  zcn $p |- ( N e. ZZ -> N e. CC ) $=
    ( cz wcel zre recnd ) ABCAADE $.

  ${
    zrei.1 $e |- A e. ZZ $.
    $( An integer is a real number.  (Contributed by NM, 14-Jul-2005.) $)
    zrei $p |- A e. RR $=
      ( cz wcel cr zre ax-mp ) ACDAEDBAFG $.
  $}

  $( The integers are a subset of the reals.  (Contributed by NM,
     2-Aug-2004.) $)
  zssre $p |- ZZ C_ RR $=
    ( vx cz cr cv zre ssriv ) ABCADEF $.

  $( The integers are a subset of the complex numbers.  (Contributed by NM,
     2-Aug-2004.) $)
  zsscn $p |- ZZ C_ CC $=
    ( vx cz cc cv zcn ssriv ) ABCADEF $.

  $( The set of integers exists.  See also ~ zexALT .  (Contributed by NM,
     30-Jul-2004.)  (Revised by Mario Carneiro, 17-Nov-2014.) $)
  zex $p |- ZZ e. _V $=
    ( cz cc cnex zsscn ssexi ) ABCDE $.

  $( Positive integer property expressed in terms of integers.  (Contributed by
     NM, 8-Jan-2002.) $)
  elnnz $p |- ( N e. NN <-> ( N e. ZZ /\ 0 < N ) ) $=
    ( cn wcel cr cneg cc0 wceq wo wa clt wbr cz orc nngt0 jca31 wi wn w3o bitri
    nnre idd lt0neg2 renegcl 0re ltnsym sylancl sylbid nsyl gt0ne0 neneqd ioran
    imp sylanbrc pm2.21d jaod ex com23 imp31 impbii 3orrot 3orass anbi2i anbi1i
    elz bitr4i ) ABCZADCZVFAEZBCZAFGZHZHZIZFAJKZIZALCZVNIVFVOVFVGVLVNATVFVKMANO
    VGVLVNVFVGVNVLVFVGVNVLVFPVGVNIZVFVFVKVQVFUAVQVKVFVQVIQVJQVKQVQFVHJKZVIVGVNV
    RQZVGVNVHFJKZVSAUBVGVHDCFDCVTVSPAUCUDVHFUEUFUGULVHNUHVQAFAUIUJVIVJUKUMUNUOU
    PUQURUSVPVMVNVPVGVJVFVIRZIVMAVDWAVLVGWAVFVIVJRVLVJVFVIUTVFVIVJVASVBSVCVE $.

  $( Zero is an integer.  (Contributed by NM, 12-Jan-2002.) $)
  0z $p |- 0 e. ZZ $=
    ( cc0 cz wcel cr wceq cn cneg w3o 0re eqid 3mix1i elz mpbir2an ) ABCADCAAEZ
    AFCZAGFCZHINOPAJKALM $.

  $( Zero is an integer, deduction form.  (Contributed by David A. Wheeler,
     8-Dec-2018.) $)
  0zd $p |- ( ph -> 0 e. ZZ ) $=
    ( cc0 cz wcel 0z a1i ) BCDAEF $.

  $( Nonnegative integer property expressed in terms of integers.  (Contributed
     by NM, 9-May-2004.) $)
  elnn0z $p |- ( N e. NN0 <-> ( N e. ZZ /\ 0 <_ N ) ) $=
    ( cn0 wcel cn cc0 wceq wo cz clt wbr wa cle elnn0 elnnz eqcom orbi12i id 0z
    eleq1 cr mpbii jaoi orc impbii anbi1i ordir 0re zre sylancr pm5.32i 3bitr4i
    wb leloe 3bitri ) ABCADCZAEFZGAHCZEAIJZKZEAFZGZUQEALJZKZAMUOUSUPUTANAEOPUQU
    TGZURUTGZKUQVEKVAVCVDUQVEVDUQUQUQUTUQQUTEHCUQREAHSUAUBUQUTUCUDUEUQURUTUFUQV
    BVEUQETCATCVBVEULUGAUHEAUMUIUJUKUN $.

  $( Integer property expressed in terms nonnegative integers and positive
     integers.  (Contributed by NM, 10-May-2004.) $)
  elznn0nn $p |- ( N e. ZZ <-> ( N e. NN0 \/ ( N e. RR /\ -u N e. NN ) ) ) $=
    ( cz wcel cr cc0 wceq cn cneg w3o wa cn0 wo elz andi df-3or anbi2i pm4.71ri
    nn0re elnn0 bitri orcom orbi1i 3bitr4i ) ABCADCZAEFZAGCZAHGCZIZJZAKCZUDUGJZ
    LZAMUDUEUFLZUGLZJUDUMJZUKLUIULUDUMUGNUHUNUDUEUFUGOPUJUOUKUJUDUJJUOUJUDARQUJ
    UMUDUJUFUELUMASUFUEUATPTUBUCT $.

  $( Integer property expressed in terms of nonnegative integers.  (Contributed
     by NM, 9-May-2004.) $)
  elznn0 $p |- ( N e. ZZ <-> ( N e. RR /\ ( N e. NN0 \/ -u N e. NN0 ) ) ) $=
    ( cz wcel cr cc0 wceq cn cneg w3o wa cn0 wo elz wb elnn0 a1i recn 0cn bitri
    cc negcon1 sylancl eqeq1i eqcom bitrdi orbi2d syl5bb orbi12d 3orass orordir
    neg0 orcom 3bitrri bitr2di pm5.32i ) ABCADCZAEFZAGCZAHZGCZIZJUPAKCZUSKCZLZJ
    AMUPVAVDUPVDURUQLZUTUQLZLZVAUPVBVEVCVFVBVENUPAOPVCUTUSEFZLUPVFUSOUPVHUQUTUP
    VHEHZAFZUQUPATCETCVHVJNAQRAEUAUBVJEAFUQVIEAUKUCEAUDSUEUFUGUHVAUQURUTLZLVKUQ
    LVGUQURUTUIUQVKULURUTUQUJUMUNUOS $.

  $( Integer property expressed in terms of positive integers and nonnegative
     integers.  (Contributed by NM, 12-Jul-2005.) $)
  elznn $p |- ( N e. ZZ <-> ( N e. RR /\ ( N e. NN \/ -u N e. NN0 ) ) ) $=
    ( cz wcel cr cc0 wceq cn cneg w3o wa cn0 elz 3orrot 3orass bitri elnn0 recn
    wo orbi2d bitr4id negeq0d pm5.32i ) ABCADCZAEFZAGCZAHZGCZIZJUCUEUFKCZRZJALU
    CUHUJUCUHUEUGUDRZRZUJUHUEUGUDIULUDUEUGMUEUGUDNOUCUIUKUEUCUIUGUFEFZRUKUFPUCU
    DUMUGUCAAQUASTSTUBO $.

  $( There is no integer in the open unit interval, i.e., an integer is either
     less than or equal to ` 0 ` or greater than or equal to ` 1 ` .
     (Contributed by AV, 4-Jun-2023.) $)
  zle0orge1 $p |- ( Z e. ZZ -> ( Z <_ 0 \/ 1 <_ Z ) ) $=
    ( cz wcel cr cn cneg cn0 wo wa cc0 cle wbr c1 elznn wi nnge1 elnn0z le0neg1
    a1i biimprd adantld syl5bi orim12d imp orcomd sylbi ) ABCADCZAECZAFZGCZHZIZ
    AJKLZMAKLZHANULUNUMUGUKUNUMHUGUHUNUJUMUHUNOUGAPSUJUIBCZJUIKLZIUGUMUIQUGUPUM
    UOUGUMUPARTUAUBUCUDUEUF $.

  ${
    $d x y z N $.
    $( Membership in the set of integers.  Commonly used in constructions of
       the integers as equivalence classes under subtraction of the positive
       integers.  (Contributed by Mario Carneiro, 16-May-2014.) $)
    elz2 $p |- ( N e. ZZ <-> E. x e. NN E. y e. NN N = ( x - y ) ) $=
      ( wcel cr cn0 cneg wo wa cv cmin co wceq cn c1 1nn ax-1cn sylancr syl2an
      cc wrex elznn0 caddc nn0p1nn adantl a1i recn adantr pncan sylancl rspceov
      eqcomd syl3anc negsub simpr nnnn0addcl eqeltrrd nncan jaodan nnre resubcl
      cz cle wbr letric syl2anr wb nnnn0 nn0sub negsubdi2 eleq1d bitr4d orbi12d
      nncn mpbid jca eleq1 negeq anbi12d syl5ibrcom rexlimivv impbii bitri ) CV
      BDCEDZCFDZCGZFDZHZIZCAJZBJZKLZMZBNUAANUAZCUBWIWNWDWEWNWGWDWEIZCOUCLZNDZON
      DZCWPOKLZMWNWEWQWDCUDUEWRWOPUFWOWSCWOCTDZOTDZWSCMWDWTWECUGZUHQCOUIUJULABN
      NWPOCKUKUMWDWGIZWROCKLZNDCOXDKLZMWNWRXCPUFXCOWFUCLZXDNXCXAWTXFXDMQWDWTWGX
      BUHZOCUNRXCWRWGXFNDPWDWGUOOWFUPRUQXCXECXCXAWTXECMQXGOCURRULABNNOXDCKUKUMU
      SWMWIABNNWJNDZWKNDZIZWIWMWLEDZWLFDZWLGZFDZHZIXJXKXOXHWJEDZWKEDZXKXIWJUTZW
      KUTZWJWKVASXJWKWJVCVDZWJWKVCVDZHZXOXIXQXPYBXHXSXRWKWJVEVFXJXTXLYAXNXIWKFD
      ZWJFDZXTXLVGXHWKVHZWJVHZWKWJVIVFXJYAWKWJKLZFDZXNXHYDYCYAYHVGXIYFYEWJWKVIS
      XJXMYGFXHWJTDWKTDXMYGMXIWJVNWKVNWJWKVJSVKVLVMVOVPWMWDXKWHXOCWLEVQWMWEXLWG
      XNCWLFVQWMWFXMFCWLVRVKVMVSVTWAWBWC $.

    $( Alternative definition of the integers, based on ~ elz2 .  (Contributed
       by Mario Carneiro, 16-May-2014.) $)
    dfz2 $p |- ZZ = ( - " ( NN X. NN ) ) $=
      ( vx vy vz cz cmin cn cxp cima cv wcel co wceq wrex elz2 cc wfn wb nnsscn
      wss mp2an wf subf ffn ax-mp xpss12 ovelimab bitr4i eqriv ) ADEFFGZHZAIZDJ
      UKBICIEKLCFMBFMZUKUJJZBCUKNEOOGZPZUIUNSZUMULQUNOEUAUOUBUNOEUCUDFOSZUQUPRR
      FOFOUETBCUNFFUKEUFTUGUH $.
  $}

  $( Alternate proof of ~ zex .  (Contributed by NM, 30-Jul-2004.)  (Revised by
     Mario Carneiro, 16-May-2014.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  zexALT $p |- ZZ e. _V $=
    ( cz cmin cn cxp cima cvv dfz2 cc wfun wcel subf ffun nnexALT xpex funimaex
    wf mp2b eqeltri ) ABCCDZEZFGHHDZHBPBITFJKUAHBLBSCCMMNOQR $.

  $( Positive integers are a subset of integers.  (Contributed by NM,
     9-Jan-2002.)  Reduce dependencies on axioms.  (Revised by Steven Nguyen,
     29-Nov-2022.) $)
  nnssz $p |- NN C_ ZZ $=
    ( vx cn cz cv wcel cr cc0 wceq cneg w3o nnre 3mix2 elz sylanbrc ssriv ) ABC
    ADZBEZPFEPGHZQPIBEZJPCEPKQRSLPMNO $.

  $( Nonnegative integers are a subset of the integers.  (Contributed by NM,
     9-May-2004.) $)
  nn0ssz $p |- NN0 C_ ZZ $=
    ( cn0 cn cc0 csn cun cz df-n0 nnssz wcel wss c0ex snss mpbi unssi eqsstri
    0z ) ABCDZEFGBQFHCFIQFJPCFKLMNO $.

  $( A positive integer is an integer.  (Contributed by NM, 9-May-2004.) $)
  nnz $p |- ( N e. NN -> N e. ZZ ) $=
    ( cn cz nnssz sseli ) BCADE $.

  $( A nonnegative integer is an integer.  (Contributed by NM, 9-May-2004.) $)
  nn0z $p |- ( N e. NN0 -> N e. ZZ ) $=
    ( cn0 cz nn0ssz sseli ) BCADE $.

  ${
    nnzi.1 $e |- N e. NN $.
    $( A positive integer is an integer.  (Contributed by Mario Carneiro,
       18-Feb-2014.) $)
    nnzi $p |- N e. ZZ $=
      ( cn cz nnssz sselii ) CDAEBF $.
  $}

  ${
    nn0zi.1 $e |- N e. NN0 $.
    $( A nonnegative integer is an integer.  (Contributed by Mario Carneiro,
       18-Feb-2014.) $)
    nn0zi $p |- N e. ZZ $=
      ( cn0 cz nn0ssz sselii ) CDAEBF $.
  $}

  $( Positive integer property expressed in terms of integers.  (Contributed by
     NM, 10-May-2004.)  (Proof shortened by Mario Carneiro, 16-May-2014.) $)
  elnnz1 $p |- ( N e. NN <-> ( N e. ZZ /\ 1 <_ N ) ) $=
    ( cn wcel cz c1 cle wbr wa nnz nnge1 jca cc0 clt 0lt1 cr 0re 1re zre ltletr
    wi mp3an12i mpani imdistani elnnz sylibr impbii ) ABCZADCZEAFGZHZUGUHUIAIAJ
    KUJUHLAMGZHUGUHUIUKUHLEMGZUIUKNLOCEOCUHAOCULUIHUKTPQARLEASUAUBUCAUDUEUF $.

  $( An integer is not a positive integer iff it is less than one.
     (Contributed by NM, 13-Jul-2005.) $)
  znnnlt1 $p |- ( N e. ZZ -> ( -. N e. NN <-> N < 1 ) ) $=
    ( cz wcel cn wn c1 cle wbr clt elnnz1 baib notbid cr zre 1re sylancl bitr4d
    wb ltnle ) ABCZADCZEFAGHZEZAFIHZTUAUBUATUBAJKLTAMCFMCUDUCRANOAFSPQ $.

  $( Positive integers expressed as a subset of integers.  (Contributed by NM,
     3-Oct-2004.) $)
  nnzrab $p |- NN = { x e. ZZ | 1 <_ x } $=
    ( cn cv cz wcel c1 cle wbr wa cab crab elnnz1 abbi2i df-rab eqtr4i ) BACZDE
    FPGHZIZAJQADKRABPLMQADNO $.

  $( Nonnegative integers expressed as a subset of integers.  (Contributed by
     NM, 3-Oct-2004.) $)
  nn0zrab $p |- NN0 = { x e. ZZ | 0 <_ x } $=
    ( cn0 cv cz wcel cc0 cle wbr wa cab crab elnn0z abbi2i df-rab eqtr4i ) BACZ
    DEFPGHZIZAJQADKRABPLMQADNO $.

  $( One is an integer.  (Contributed by NM, 10-May-2004.) $)
  1z $p |- 1 e. ZZ $=
    ( c1 1nn nnzi ) ABC $.

  $( One is an integer, deduction form.  (Contributed by David A. Wheeler,
     6-Dec-2018.) $)
  1zzd $p |- ( ph -> 1 e. ZZ ) $=
    ( c1 cz wcel 1z a1i ) BCDAEF $.

  $( 2 is an integer.  (Contributed by NM, 10-May-2004.) $)
  2z $p |- 2 e. ZZ $=
    ( c2 2nn nnzi ) ABC $.

  $( 3 is an integer.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  3z $p |- 3 e. ZZ $=
    ( c3 3nn nnzi ) ABC $.

  $( 4 is an integer.  (Contributed by BJ, 26-Mar-2020.) $)
  4z $p |- 4 e. ZZ $=
    ( c4 4nn nnzi ) ABC $.

  $( Closure law for negative integers.  (Contributed by NM, 9-May-2004.) $)
  znegcl $p |- ( N e. ZZ -> -u N e. ZZ ) $=
    ( cz wcel cr cc0 wceq cn cneg w3o elz negeq neg0 eqtrdi eqeltrdi nnnegz nnz
    0z 3jaoi simplbiim ) ABCADCAEFZAGCZAHZGCZIUBBCZAJTUDUAUCTUBEBTUBEHEAEKLMQNA
    OUBPRS $.

  $( -1 is an integer.  (Contributed by David A. Wheeler, 5-Dec-2018.) $)
  neg1z $p |- -u 1 e. ZZ $=
    ( c1 cn wcel cneg cz 1nn nnnegz ax-mp ) ABCADECFAGH $.

  $( A complex number is an integer iff its negative is.  (Contributed by
     Stefan O'Rear, 13-Sep-2014.) $)
  znegclb $p |- ( A e. CC -> ( A e. ZZ <-> -u A e. ZZ ) ) $=
    ( cc wcel cz cneg znegcl negneg eleq1d syl5ib impbid2 ) ABCZADCZAEZDCZAFNME
    ZDCKLMFKOADAGHIJ $.

  $( The negative of a nonnegative integer is an integer.  (Contributed by NM,
     9-May-2004.) $)
  nn0negz $p |- ( N e. NN0 -> -u N e. ZZ ) $=
    ( cn0 wcel cz cneg nn0z znegcl syl ) ABCADCAEDCAFAGH $.

  ${
    nn0negzi.1 $e |- N e. NN0 $.
    $( The negative of a nonnegative integer is an integer.  (Contributed by
       Mario Carneiro, 18-Feb-2014.) $)
    nn0negzi $p |- -u N e. ZZ $=
      ( cn0 wcel cneg cz nn0negz ax-mp ) ACDAEFDBAGH $.
  $}

  ${
    $d u v w x y z M $.  $d w x y z N $.
    $( Closure of addition of integers.  (Contributed by NM, 9-May-2004.)
       (Proof shortened by Mario Carneiro, 16-May-2014.) $)
    zaddcl $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M + N ) e. ZZ ) $=
      ( vx vy vz vw vu vv cz wcel cv cmin co wceq cn wrex caddc wa cc nncn elz2
      reeanv nnaddcl adantr adantl anim12i addsub4 syl2an eqcomd rspceov sylibr
      syl3anc oveq12 eleq1d syl5ibrcom rexlimdvva syl5bir rexlimivv syl2anb
      sylbir ) AIJACKZDKZLMZNZDOPZCOPZBEKZFKZLMZNZFOPZEOPZABQMZIJZBIJCDAUAEFBUA
      VFVLRVEVKRZEOPCOPVNVEVKCEOOUBVOVNCEOOVOVDVJRZFOPDOPVAOJZVGOJZRZVNVDVJDFOO
      UBVSVPVNDFOOVSVBOJZVHOJZRZRZVNVPVCVIQMZIJZWCWDGKHKLMNHOPGOPZWEWCVAVGQMZOJ
      ZVBVHQMZOJZWDWGWILMZNWFVSWHWBVAVGUCUDWBWJVSVBVHUCUEWCWKWDVSVASJZVGSJZRVBS
      JZVHSJZRWKWDNWBVQWLVRWMVATVGTUFVTWNWAWOVBTVHTUFVAVGVBVHUGUHUIGHOOWGWIWDLU
      JULGHWDUAUKVPVMWDIAVCBVIQUMUNUOUPUQURUTUS $.
  $}

  $( Second Peano postulate generalized to integers.  (Contributed by NM,
     13-Feb-2005.) $)
  peano2z $p |- ( N e. ZZ -> ( N + 1 ) e. ZZ ) $=
    ( cz wcel c1 caddc co 1z zaddcl mpan2 ) ABCDBCADEFBCGADHI $.

  $( Closure of subtraction of integers.  (Contributed by NM, 11-May-2004.) $)
  zsubcl $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M - N ) e. ZZ ) $=
    ( cz wcel wa cneg caddc co cmin wceq zcn negsub syl2an znegcl zaddcl sylan2
    cc eqeltrrd ) ACDZBCDZEABFZGHZABIHZCSAQDBQDUBUCJTAKBKABLMTSUACDUBCDBNAUAOPR
    $.

  $( "Reverse" second Peano postulate for integers.  (Contributed by NM,
     12-Sep-2005.) $)
  peano2zm $p |- ( N e. ZZ -> ( N - 1 ) e. ZZ ) $=
    ( cz wcel c1 cmin co 1z zsubcl mpan2 ) ABCDBCADEFBCGADHI $.

  $( Transitive law of ordering for integers.  (Contributed by Alexander van
     der Vekens, 3-Apr-2018.) $)
  zletr $p |- ( ( J e. ZZ /\ K e. ZZ /\ L e. ZZ )
                -> ( ( J <_ K /\ K <_ L ) -> J <_ L ) ) $=
    ( cz wcel cr cle wbr wa wi zre letr syl3an ) ADEAFEBDEBFECDECFEABGHBCGHIACG
    HJAKBKCKABCLM $.

  $( Reverse closure law for addition of integers.  (Contributed by NM,
     11-May-2004.) $)
  zrevaddcl $p |- ( N e. ZZ ->
                   ( ( M e. CC /\ ( M + N ) e. ZZ ) <-> M e. ZZ ) ) $=
    ( cz wcel cc caddc co wa cmin zcn pncan sylan2 ancoms adantr zsubcl adantlr
    wceq eqeltrrd ex wi zaddcl expcom impbid pm5.32da pm4.71ri bitr4di ) BCDZAE
    DZABFGZCDZHUHACDZHUKUGUHUJUKUGUHHZUJUKULUJUKULUJHUIBIGZACULUMAQZUJUHUGUNUGU
    HBEDUNBJABKLMNUGUJUMCDZUHUJUGUOUIBOMPRSUGUKUJTUHUKUGUJABUAUBNUCUDUKUHAJUEUF
    $.

  $( The positive difference of unequal integers is a positive integer.
     (Generalization of ~ nnsub .)  (Contributed by NM, 11-May-2004.) $)
  znnsub $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M < N <-> ( N - M ) e. NN ) ) $=
    ( cz wcel wa clt wbr cmin co cn cr wb posdif syl2an zsubcl ancoms biantrurd
    cc0 zre bitrd elnnz bitr4di ) ACDZBCDZEZABFGZBAHIZCDZRUGFGZEZUGJDUEUFUIUJUC
    AKDBKDUFUILUDASBSABMNUEUHUIUDUCUHBAOPQTUGUAUB $.

  $( The nonnegative difference of integers is a nonnegative integer.
     (Generalization of ~ nn0sub .)  (Contributed by NM, 14-Jul-2005.) $)
  znn0sub $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
                ( M <_ N <-> ( N - M ) e. NN0 ) ) $=
    ( cz wcel wa cle wbr co cc0 cn0 wb cr subge0 syl2an zsubcl biantrurd bitr3d
    cmin zre ancoms elnn0z bitr4di ) ACDZBCDZEABFGZBARHZCDZIUFFGZEZUFJDUDUCUEUI
    KUDUCEZUHUEUIUDBLDALDUHUEKUCBSASBAMNUJUGUHBAOPQTUFUAUB $.

  $( The sum of a real number not being an integer and an integer is not an
     integer.  (Contributed by AV, 19-Jul-2021.) $)
  nzadd $p |- ( ( A e. ( RR \ ZZ ) /\ B e. ZZ )
                -> ( A + B ) e. ( RR \ ZZ ) ) $=
    ( cr cz cdif wcel wa caddc co wn eldif zre readdcl sylan2 adantlr wi zsubcl
    cmin expcom cc adantl wceq zcn pncan syl2an eleq1d sylibd con3d com23 imp31
    recn ex jca sylanb sylibr ) ACDEZFZBDFZGABHIZCFZUSDFZJZGZUSUPFUQACFZADFZJZG
    ZURVCACDKVGURGUTVBVDURUTVFURVDBCFUTBLABMNOVDVFURVBVDURVFVBVDURVFVBPVDURGZVA
    VEVHVAUSBRIZDFZVEURVAVJPVDVAURVJUSBQSUAVHVIADVDATFBTFVIAUBURAUKBUCABUDUEUFU
    GUHULUIUJUMUNUSCDKUO $.

  $( Closure of multiplication of integers.  (Contributed by NM,
     30-Jul-2004.) $)
  zmulcl $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M x. N ) e. ZZ ) $=
    ( cz wcel cr cn0 cneg wo wa cmul co elznn0 nn0mulcl jctild cc syl2an eleq1d
    wceq syl5ib syl6 wi orcd a1i remulcl mulneg1 olc mulneg2 mul2neg orc ccased
    recn syl6ibr imp an4s syl2anb ) ACDAEDZAFDZAGZFDZHZIBEDZBFDZBGZFDZHZIABJKZC
    DZBCDALBLUPVAUTVEVGUPVAIZUTVEIZVGVHVIVFEDZVFFDZVFGZFDZHZIZVGVHUQVBUSVDVOVHU
    QVBIZVNVJVPVNUAVHVPVKVMABMUBUCABUDZNVHUSVBIZVNVJVHVRVMVNVRURBJKZFDVHVMURBMV
    HVSVLFUPAODZBODZVSVLRVAAUKZBUKZABUEPQSVMVKUFZTVQNVHUQVDIZVNVJVHWEVMVNWEAVCJ
    KZFDVHVMAVCMVHWFVLFUPVTWAWFVLRVAWBWCABUGPQSWDTVQNVHUSVDIZVNVJVHWGVKVNWGURVC
    JKZFDVHVKURVCMVHWHVFFUPVTWAWHVFRVAWBWCABUHPQSVKVMUITVQNUJVFLULUMUNUO $.

  $( Integer ordering relation.  (Contributed by NM, 10-May-2004.)  (Proof
     shortened by Mario Carneiro, 16-May-2014.) $)
  zltp1le $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M < N <-> ( M + 1 ) <_ N ) ) $=
    ( cz wcel wa clt wbr c1 caddc co cle cmin cn wi nnge1 a1i znnsub cr wb zre
    1re leaddsub2 mp3an2 syl2an 3imtr4d adantr ltp1d peano2re syl adantl ltletr
    syl3anc mpand impbid ) ACDZBCDZEZABFGZAHIJZBKGZUQBALJZMDZHVAKGZURUTVBVCNUQV
    AOPABQUOARDZBRDZUTVCSZUPATZBTZVDHRDVEVFUAAHBUBUCUDUEUQAUSFGZUTURUQAUOVDUPVG
    UFZUGUQVDUSRDZVEVIUTEURNVJUQVDVKVJAUHUIUPVEUOVHUJAUSBUKULUMUN $.

  $( Integer ordering relation.  (Contributed by NM, 10-May-2004.) $)
  zleltp1 $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M <_ N <-> M < ( N + 1 ) ) ) $=
    ( cz wcel wa cle wbr c1 caddc co clt cr wb zre leadd1 mp3an3 syl2an peano2z
    1re zltp1le sylan2 bitr4d ) ACDZBCDZEABFGZAHIJBHIJZFGZAUFKGZUCALDZBLDZUEUGM
    ZUDANBNUIUJHLDUKSABHOPQUDUCUFCDUHUGMBRAUFTUAUB $.

  $( Integer ordering relation.  (Contributed by NM, 13-Nov-2004.) $)
  zlem1lt $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M <_ N <-> ( M - 1 ) < N ) ) $=
    ( cz wcel wa c1 cmin co clt wbr caddc cle wb peano2zm zltp1le sylan wceq cc
    zcn ax-1cn npcan sylancl adantr breq1d bitr2d ) ACDZBCDZEZAFGHZBIJZUIFKHZBL
    JZABLJUFUICDUGUJULMANUIBOPUHUKABLUFUKAQZUGUFARDFRDUMASTAFUAUBUCUDUE $.

  $( Integer ordering relation.  (Contributed by NM, 13-Nov-2004.) $)
  zltlem1 $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M < N <-> M <_ ( N - 1 ) ) ) $=
    ( cz wcel wa c1 cmin co cle wbr caddc clt wb peano2zm zleltp1 sylan2 cc zcn
    wceq ax-1cn npcan sylancl adantl breq2d bitr2d ) ACDZBCDZEZABFGHZIJZAUIFKHZ
    LJZABLJUGUFUICDUJULMBNAUIOPUHUKBALUGUKBSZUFUGBQDFQDUMBRTBFUAUBUCUDUE $.

  $( An integer greater than ` 0 ` is greater than or equal to ` 1 ` .
     (Contributed by AV, 14-Oct-2018.) $)
  zgt0ge1 $p |- ( Z e. ZZ -> ( 0 < Z <-> 1 <_ Z ) ) $=
    ( cz wcel cc0 clt wbr c1 caddc co cle wb zltp1le mpan wceq 0p1e1 a1i breq1d
    0z bitrd ) ABCZDAEFZDGHIZAJFZGAJFDBCTUAUCKRDALMTUBGAJUBGNTOPQS $.

$( TODO: The following 14 theorems do not contain ` ZZ ` - these theorems are
   about positive or nonnegative integers which are defined earlier.  But the
   proofs of these theorems are based on theorems for ` ZZ `.  It should be
   clarified if these theorems could be proven without theorems for ` ZZ ` and
   then could be moved up into the corresponding subsections.  Alternately,
   these theorems could be moved into a new separate subsection "Positive and
   nonnegative integers (cont.)". $)

  $( Positive integer ordering relation.  (Contributed by NM, 13-Aug-2001.)
     (Proof shortened by Mario Carneiro, 16-May-2014.) $)
  nnleltp1 $p |- ( ( A e. NN /\ B e. NN ) ->
                ( A <_ B <-> A < ( B + 1 ) ) ) $=
    ( cn wcel cz cle wbr c1 caddc co clt wb nnz zleltp1 syl2an ) ACDAEDBEDABFGA
    BHIJKGLBCDAMBMABNO $.

  $( Positive integer ordering relation.  (Contributed by NM, 19-Aug-2001.) $)
  nnltp1le $p |- ( ( A e. NN /\ B e. NN ) ->
                ( A < B <-> ( A + 1 ) <_ B ) ) $=
    ( cn wcel cz clt wbr c1 caddc co cle wb nnz zltp1le syl2an ) ACDAEDBEDABFGA
    HIJBKGLBCDAMBMABNO $.

  $( Closure of addition of positive integers minus one.  (Contributed by NM,
     6-Aug-2003.)  (Proof shortened by Mario Carneiro, 16-May-2014.) $)
  nnaddm1cl $p |- ( ( A e. NN /\ B e. NN ) -> ( ( A + B ) - 1 ) e. NN ) $=
    ( cn wcel wa caddc co c1 cmin wceq nncn ax-1cn addsub mp3an3 syl2an nnm1nn0
    cc cn0 nn0nnaddcl sylan eqeltrd ) ACDZBCDZEABFGHIGZAHIGZBFGZCUBAQDZBQDZUDUF
    JZUCAKBKUGUHHQDUILABHMNOUBUERDUCUFCDAPUEBSTUA $.

  $( Nonnegative integer ordering relation.  (Contributed by Raph Levien,
     10-Dec-2002.)  (Proof shortened by Mario Carneiro, 16-May-2014.) $)
  nn0ltp1le $p |- ( ( M e. NN0 /\ N e. NN0 ) ->
                ( M < N <-> ( M + 1 ) <_ N ) ) $=
    ( cn0 wcel cz clt wbr c1 caddc co cle wb nn0z zltp1le syl2an ) ACDAEDBEDABF
    GAHIJBKGLBCDAMBMABNO $.

  $( Nonnegative integer ordering relation.  (Contributed by Raph Levien,
     10-Apr-2004.) $)
  nn0leltp1 $p |- ( ( M e. NN0 /\ N e. NN0 ) ->
                ( M <_ N <-> M < ( N + 1 ) ) ) $=
    ( cn0 wcel cz cle wbr c1 caddc co clt wb nn0z zleltp1 syl2an ) ACDAEDBEDABF
    GABHIJKGLBCDAMBMABNO $.

  $( Nonnegative integer ordering relation.  (Contributed by NM, 10-May-2004.)
     (Proof shortened by Mario Carneiro, 16-May-2014.) $)
  nn0ltlem1 $p |- ( ( M e. NN0 /\ N e. NN0 ) ->
                ( M < N <-> M <_ ( N - 1 ) ) ) $=
    ( cn0 wcel cz clt wbr c1 cmin co cle wb nn0z zltlem1 syl2an ) ACDAEDBEDABFG
    ABHIJKGLBCDAMBMABNO $.

  $( Subtraction of nonnegative integers.  (Contributed by NM, 4-Sep-2005.) $)
  nn0sub2 $p |- ( ( M e. NN0 /\ N e. NN0 /\ M <_ N ) -> ( N - M ) e. NN0 ) $=
    ( cn0 wcel cle wbr cmin co nn0sub biimp3a ) ACDBCDABEFBAGHCDABIJ $.

  $( A nonnegative integer less than ` 1 ` is ` 0 ` .  (Contributed by Paul
     Chapman, 22-Jun-2011.)  (Proof shortened by OpenAI, 25-Mar-2020.) $)
  nn0lt10b $p |- ( N e. NN0 -> ( N < 1 <-> N = 0 ) ) $=
    ( cn0 wcel c1 clt wbr cc0 wceq cn wo wi elnn0 nnnlt1 pm2.21d ax-1 jaoi 0lt1
    sylbi breq1 mpbiri impbid1 ) ABCZADEFZAGHZUBAICZUDJUCUDKZALUEUFUDUEUCUDAMNU
    DUCOPRUDUCGDEFQAGDESTUA $.

  $( A nonnegative integer less than 2 must be 0 or 1.  (Contributed by
     Alexander van der Vekens, 16-Sep-2018.) $)
  nn0lt2 $p |- ( ( N e. NN0 /\ N < 2 ) -> ( N = 0 \/ N = 1 ) ) $=
    ( cn0 wcel c2 clt wbr wa cc0 wceq c1 wo wi olc a1d wne cle cz wb sylancl cr
    cmin co nn0z 2z zltlem1 2m1e1 breq2i bitrdi necom nn0re 1re nn0lt10b biimpa
    ltlen orcd ex sylbird expd syl7bi sylbid imp com12 pm2.61ine ) ABCZADEFZGZA
    HIZAJIZKZLAJVHVIVFVHVGMNVFAJOZVIVDVEVJVILZVDVEAJPFZVKVDVEADJUAUBZPFZVLVDAQC
    DQCVEVNRAUCUDADUESVMJAPUFUGUHVJJAOZVDVLVIAJUIVDVLVOVIVDVLVOGZAJEFZVIVDATCJT
    CVQVPRAUJUKAJUNSVDVQVIVDVQGVGVHVDVQVGAULUMUOUPUQURUSUTVAVBVC $.

  $( A nonnegative integer which is less than or equal to 2 is either 0 or 1 or
     2.  (Contributed by AV, 16-Mar-2019.) $)
  nn0le2is012 $p |- ( ( N e. NN0 /\ N <_ 2 )
                      -> ( N = 0 \/ N = 1 \/ N = 2 ) ) $=
    ( cn0 wcel c2 cle wbr cc0 wceq c1 w3o clt wo nn0re a1i leloed cz com12 jaoi
    a1d sylbid cr wi cmin co wb nn0z 2z zltlem1 sylancl 2m1e1 breq2d bitrd 1red
    2re nn0lt10b 3mix1 syl6bi 3mix2 3mix3 imp ) ABCZADEFZAGHZAIHZADHZJZVAVBADKF
    ZVELZVFVAADAMZDUACVAUNNOVHVAVFVGVAVFUBZVEVAVGVFVAVGAIEFZVFVAVGADIUCUDZEFZVK
    VAAPCDPCVGVMUEAUFUGADUHUIVAVLIAEVLIHVAUJNUKULVAVKAIKFZVDLZVFVAAIVIVAUMOVOVA
    VFVNVJVDVAVNVFVAVNVCVFAUOVCVDVEUPUQQVDVFVAVDVCVEURSRQTTQVEVFVAVEVCVDUSSRQTU
    T $.

  $( Nonnegative integer ordering relation.  (Contributed by NM,
     21-Jun-2005.) $)
  nn0lem1lt $p |- ( ( M e. NN0 /\ N e. NN0 ) ->
                   ( M <_ N <-> ( M - 1 ) < N ) ) $=
    ( cn0 wcel cz cle wbr c1 cmin co clt wb nn0z zlem1lt syl2an ) ACDAEDBEDABFG
    AHIJBKGLBCDAMBMABNO $.

  $( Positive integer ordering relation.  (Contributed by NM, 21-Jun-2005.) $)
  nnlem1lt $p |- ( ( M e. NN /\ N e. NN ) -> ( M <_ N <-> ( M - 1 ) < N ) ) $=
    ( cn wcel cz cle wbr c1 cmin co clt wb nnz zlem1lt syl2an ) ACDAEDBEDABFGAH
    IJBKGLBCDAMBMABNO $.

  $( Positive integer ordering relation.  (Contributed by NM, 21-Jun-2005.) $)
  nnltlem1 $p |- ( ( M e. NN /\ N e. NN ) -> ( M < N <-> M <_ ( N - 1 ) ) ) $=
    ( cn wcel cz clt wbr c1 cmin co cle wb nnz zltlem1 syl2an ) ACDAEDBEDABFGAB
    HIJKGLBCDAMBMABNO $.

  $( A positive integer decreased by 1 is greater than or equal to 0.
     (Contributed by AV, 30-Oct-2018.) $)
  nnm1ge0 $p |- ( N e. NN -> 0 <_ ( N - 1 ) ) $=
    ( cn wcel cc0 clt wbr c1 cmin co cle nngt0 cz wb nnz zltlem1 sylancr mpbid
    0z ) ABCZDAEFZDAGHIJFZAKSDLCALCTUAMRANDAOPQ $.

  $( Division of a nonnegative integer by a positive number is not negative.
     (Contributed by Alexander van der Vekens, 14-Apr-2018.) $)
  nn0ge0div $p |- ( ( K e. NN0 /\ L e. NN ) -> 0 <_ ( K / L ) ) $=
    ( cn0 wcel cn wa cc0 cle wbr cdiv co nn0ge0 adantr cr clt wb cz elnnz nn0re
    w3a zre ad2antrl simprr 3jca sylan2b ge0div syl mpbid ) ACDZBEDZFZGAHIZGABJ
    KHIZUIULUJALMUKANDZBNDZGBOIZTZULUMPUJUIBQDZUPFZUQBRUIUSFUNUOUPUIUNUSASMURUO
    UIUPBUAUBUIURUPUCUDUEABUFUGUH $.

  ${
    $d k M $.  $d k N $.
    $( Two ways to express " ` M ` divides ` N ` .  (Contributed by NM,
       3-Oct-2008.) $)
    zdiv $p |- ( ( M e. NN /\ N e. ZZ )
                -> ( E. k e. ZZ ( M x. k ) = N <-> ( N / M ) e. ZZ ) ) $=
      ( cn wcel cz wa cc0 wne cv cmul co wceq wrex cdiv wb nnne0 cc wi zcn nncn
      adantr w3a divcan3 3coml 3expa sylan2 3adantl2 oveq1 sylan9req rexlimdva2
      simplr divcan2 3com12 oveq2 eqeq1d rspcev expcom syl impbid 3expia syl2an
      eqeltrrd mpd ) BDEZCFEZGBHIZBAJZKLZCMZAFNZCBOLZFEZPZVEVGVFBQUBVEBREZCREZV
      GVNSVFBUACTVOVPVGVNVOVPVGUCZVKVMVQVJVMAFVQVHFEZGZVJGVHVLFVSVJVHVIBOLZVLVO
      VGVRVTVHMZVPVRVOVGGVHREZWAVHTVOVGWBWAWBVOVGWAVHBUDUEUFUGUHVICBOUIUJVQVRVJ
      ULVCUKVQBVLKLZCMZVMVKSVPVOVGWDCBUMUNVMWDVKVJWDAVLFVHVLMVIWCCVHVLBKUOUPUQU
      RUSUTVAVBVD $.
  $}

  $( Property of divisibility: if ` D ` divides ` A ` and ` B ` then it divides
     ` A + B ` .  (Contributed by NM, 3-Oct-2008.) $)
  zdivadd $p |- ( ( ( D e. NN /\ A e. ZZ /\ B e. ZZ ) /\
       ( ( A / D ) e. ZZ /\ ( B / D ) e. ZZ ) ) -> ( ( A + B ) / D ) e. ZZ ) $=
    ( cn wcel cz w3a cdiv co wa caddc wceq cc cc0 wne zcn nncn nnne0 jca divdir
    syl3an 3comr adantr zaddcl adantl eqeltrd ) CDEZAFEZBFEZGZACHIZFEBCHIZFEJZJ
    ABKICHIZUKULKIZFUJUNUOLZUMUHUIUGUPUHAMEUIBMEUGCMEZCNOZJUPAPBPUGUQURCQCRSABC
    TUAUBUCUMUOFEUJUKULUDUEUF $.

  $( Property of divisibility: if ` D ` divides ` A ` then it divides
     ` B x. A ` .  (Contributed by NM, 3-Oct-2008.) $)
  zdivmul $p |- ( ( ( D e. NN /\ A e. ZZ /\ B e. ZZ ) /\
       ( A / D ) e. ZZ ) -> ( ( B x. A ) / D ) e. ZZ ) $=
    ( cn wcel cz w3a cdiv co wa cmul wceq cc cc0 wne zcn 3ad2ant2 3ad2ant1 nncn
    nnne0 jca 3ad2ant3 divass syl3anc 3comr adantr zmulcl 3ad2antl3 eqeltrd ) C
    DEZAFEZBFEZGZACHIZFEZJBAKICHIZBUNKIZFUMUPUQLZUOUKULUJURUKULUJGBMEZAMEZCMEZC
    NOZJZURULUKUSUJBPQUKULUTUJAPRUJUKVCULUJVAVBCSCTUAUBBACUCUDUEUFULUJUOUQFEUKB
    UNUGUHUI $.

  ${
    $d k M $.  $d k N $.
    $( An extensionality-like property for integer ordering.  (Contributed by
       NM, 29-Oct-2005.) $)
    zextle $p |- ( ( M e. ZZ /\ N e. ZZ /\ A. k e. ZZ ( k <_ M <-> k <_ N ) )
                  -> M = N ) $=
      ( cz wcel cv cle wbr wb wral wceq wa zre leidd adantr breq1 bibi12d mpbid
      rspcva cr adantlr mpbird adantll jca ex letri3 syl2an sylibrd 3impia ) BD
      EZCDEZAFZBGHZULCGHZIZADJZBCKZUJUKLZUPBCGHZCBGHZLZUQURUPVAURUPLUSUTUJUPUSU
      KUJUPLBBGHZUSUJVBUPUJBBMZNOUOVBUSIABDULBKUMVBUNUSULBBGPULBCGPQSRUAUKUPUTU
      JUKUPLUTCCGHZUKVDUPUKCCMZNOUOUTVDIACDULCKUMUTUNVDULCBGPULCCGPQSUBUCUDUEUJ
      BTECTEUQVAIUKVCVEBCUFUGUHUI $.

    $( An extensionality-like property for integer ordering.  (Contributed by
       NM, 29-Oct-2005.) $)
    zextlt $p |- ( ( M e. ZZ /\ N e. ZZ /\ A. k e. ZZ ( k < M <-> k < N ) )
                  -> M = N ) $=
      ( cz wcel clt wbr wb wral wceq wa c1 cmin cle zltlem1 peano2zm syl2an zcn
      co cc cv adantrr adantrl bibi12d ancoms ralbidva wi zextle 3expia subcan2
      ax-1cn mp3an3 sylibd sylbid 3impia ) BDEZCDEZAUAZBFGZURCFGZHZADIZBCJZUPUQ
      KZVBURBLMSZNGZURCLMSZNGZHZADIZVCVDVAVIADURDEZVDVAVIHVKVDKUSVFUTVHVKUPUSVF
      HUQURBOUBVKUQUTVHHUPURCOUCUDUEUFVDVJVEVGJZVCUPVEDEZVGDEZVJVLUGUQBPCPVMVNV
      JVLAVEVGUHUIQUPBTEZCTEZVLVCHZUQBRCRVOVPLTEVQUKBCLUJULQUMUNUO $.
  $}

  $( The reciprocal of a number greater than 1 is not an integer.  (Contributed
     by NM, 3-May-2005.) $)
  recnz $p |- ( ( A e. RR /\ 1 < A ) -> -. ( 1 / A ) e. ZZ ) $=
    ( cr wcel c1 clt wbr wa cdiv co cz cc0 recgt1i simprd cle wn simpld zgt0ge1
    syl5ibcom wb 1re wne 0lt1 wi 0re mp3an12 mpani imdistani gt0ne0 syl rereccl
    lttr syldan lenlt sylancr sylibd mt2d ) ABCZDAEFZGZDAHIZJCZUTDEFZUSKUTEFZVB
    ALZMUSVADUTNFZVBOZUSVCVAVEUSVCVBVDPUTQRUSDBCZUTBCZVEVFSTUQURAKUAZVHUSUQKAEF
    ZGVIUQURVJUQKDEFZURVJUBKBCVGUQVKURGVJUCUDTKDAUKUEUFUGAUHUIAUJULDUTUMUNUOUP
    $.

  $( A number between an integer and its successor is not an integer.
     (Contributed by NM, 3-May-2005.) $)
  btwnnz $p |- ( ( A e. ZZ /\ A < B /\ B < ( A + 1 ) ) -> -. B e. ZZ ) $=
    ( cz wcel clt wbr c1 caddc co wn wa cle zltp1le cr wb peano2z zre syl lenlt
    syl2an bitrd biimpd impancom con2d 3impia ) ACDZABEFZBAGHIZEFZBCDZJUFUGKUJU
    IUFUJUGUIJZUFUJKZUGUKULUGUHBLFZUKABMUFUHNDZBNDUMUKOUJUFUHCDUNAPUHQRBQUHBSTU
    AUBUCUDUE $.

  $( A larger number does not divide a smaller positive integer.  (Contributed
     by NM, 3-May-2005.) $)
  gtndiv $p |- ( ( A e. RR /\ B e. NN /\ B < A ) -> -. ( B / A ) e. ZZ ) $=
    ( cc0 cz wcel cr cn clt wbr w3a cdiv co c1 caddc wn 0z nnre 3ad2ant2 wa wb
    simp1 nngt0 adantl wi 0re lttr mp3an1 sylan ancoms mpand divgt0d simp3 cmul
    3impia 1re ltdivmul2 mp3an2 syl12anc recn mulid2d breq2d bitrd mpbird 0p1e1
    3ad2ant1 breqtrrdi btwnnz mp3an2i ) CDEAFEZBGEZBAHIZJZCBAKLZHIVMCMNLZHIVMDE
    OPVLBAVJVIBFEZVKBQZRZVIVJVKUAZVJVICBHIZVKBUBZRVIVJVKCAHIZVIVJSVSVKWAVJVSVIV
    TUCVJVIVSVKSWAUDZVJVOVIWBVPCFEVOVIWBUECBAUFUGUHUIUJUNZUKVLVMMVNHVLVMMHIZVKV
    IVJVKULVLWDBMAUMLZHIZVKVLVOVIWAWDWFTZVQVRWCVOMFEVIWASWGUOBMAUPUQURVIVJWFVKT
    VKVIWEABHVIAAUSUTVAVEVBVCVDVFCVMVGVH $.

  $( One-half is not an integer.  (Contributed by NM, 31-Jul-2004.) $)
  halfnz $p |- -. ( 1 / 2 ) e. ZZ $=
    ( c2 cr wcel c1 clt wbr cdiv co cz wn 2re 1lt2 recnz mp2an ) ABCDAEFDAGHICJ
    KLAMN $.

  $( Three halves is not an integer.  (Contributed by AV, 2-Jun-2020.) $)
  3halfnz $p |- -. ( 3 / 2 ) e. ZZ $=
    ( c1 cz wcel c3 c2 cdiv co clt wbr caddc wn cmul cr wb 3re 2re mp3an breq2i
    c4 mpbir 1z 2cn mulid2i 2lt3 eqbrtri cc0 1re 2pos pm3.2i ltmuldiv mpbi 3lt4
    wa 2t2e4 1p1e2 ltdivmul bitri btwnnz ) ABCADEFGZHIZUSAAJGZHIZUSBCKUAAELGZDH
    IZUTVCEDHEUBUCUDUEAMCDMCZEMCZUFEHIZUMZVDUTNUGOVFVGPUHUIZADEUJQUKVBDEELGZHIZ
    VKDSHIULVJSDHUNRTVBUSEHIZVKVAEUSHUORVEVFVHVLVKNOPVIDEEUPQUQTAUSURQ $.

  ${
    $d w x y z A $.
    $( The supremum of a bounded-above set of integers is a member of the set.
       (Contributed by Paul Chapman, 21-Mar-2011.)  (Revised by Mario Carneiro,
       26-Jun-2015.) $)
    suprzcl $p |- ( ( A C_ ZZ /\ A =/= (/) /\ E. x e. RR A. y e. A y <_ x ) ->
                    sup ( A , RR , < ) e. A ) $=
      ( vz vw cz wss cv cle wbr wral cr clt c1 wcel wb syl wa adantr syl3anl1
      c0 wne wrex w3a csup cmin zssre sstr mpan2 suprcl syl3an1 ltm1d peano2rem
      suprlub mpdan mpbid caddc simpl1 sselda sselid simprl sseldd zre peano2re
      co wceq suprub adantlr simprr ltsubaddd lelttrd zleltp1 syl2anc ralrimiva
      1red mpbird suprleub syldan adantrr letri3d mpbir2and eqeltrd rexlimddv )
      CFGZCUAUBZBHAHIJBCKALUCZUDZCLMUEZNUFVEZDHZMJZWHCODCWGWIWHMJZWKDCUCZWGWHWD
      CLGZWEWFWHLOZWDFLGWNUGCFLUHUIZABCUJZUKZULWDWNWEWFWLWMPZWPWNWEWFUDZWILOZWS
      WTWOXAWQWHUMQABDCWIUNUOUKUPWGWJCOZWKRZRZWHWJCXDWHWJVFWHWJIJZWJWHIJZXDXEEH
      ZWJIJZECKZXDXHECXDXGCOZRZXHXGWJNUQVEZMJZXKXGWHXLXKFLXGUGXDCFXGWDWEWFXCURZ
      USZUTXDWOXJWGWOXCWRSZSXDXLLOZXJXDWJLOZXQXDWJFOZXRXDCFWJXNWGXBWKVAZVBZWJVC
      QZWJVDQSWGXJXGWHIJZXCWDWNWEWFXJYCWPABCXGVGTVHXDWHXLMJZXJXDWKYDWGXBWKVIXDW
      HNWJXPXDVOYBVJUPSVKXKXGFOXSXHXMPXOXDXSXJYASXGWJVLVMVPVNWGXCXRXEXIPZYBWDWN
      WEWFXRYEWPABECWJVQTVRVPWGXBXFWKWDWNWEWFXBXFWPABCWJVGTVSXDWHWJXPYBVTWAXTWB
      WC $.
  $}

  ${
    $d x A $.
    $( Two ways to express " ` A ` is a prime number (or 1)".  See also
       ~ isprm .  (Contributed by NM, 4-May-2005.) $)
    prime $p |- ( A e. NN -> (
                 A. x e. NN ( ( A / x ) e. NN -> ( x = 1 \/ x = A ) ) <->
          A. x e. NN ( ( 1 < x /\ x <_ A /\ ( A / x ) e. NN ) -> x = A ) ) ) $=
      ( cn wcel cv cdiv co c1 wceq wo wi clt wbr cle w3a wa wb wn cr nnre sylan
      wne bi2.04 impexp imbi2i 3bitr4ri nngt1ne1 adantl anbi1d cz gtndiv 3expia
      neor nnz con2d lenlt syl2an sylibrd ancoms pm4.71rd anbi2d 3anass bitr4di
      syl5 bitr3d imbi1d syl5bb ralbidva ) BCDZBAEZFGZCDZVJHIVJBIZJZKZHVJLMZVJB
      NMZVLOZVMKZACVOVJHUBZVLPZVMKZVIVJCDZPZVSVTVLVMKKVLVTVMKZKWBVOVTVLVMUCVTVL
      VMUDVNWEVLVMVJHUMUEUFWDWAVRVMWDVPVLPZWAVRWDVPVTVLWCVPVTQVIVJUGUHUIWDWFVPV
      QVLPZPVRWDVLWGVPWDVLVQVLVKUJDZWDVQVKUNWCVIWHVQKWCVIPZWHBVJLMZRZVQWIWJWHWC
      VJSDZVIWJWHRZKVJTZWLVIWJWMVJBUKULUAUOWCWLBSDVQWKQVIWNBTVJBUPUQURUSVDUTVAV
      PVQVLVBVCVEVFVGVH $.
  $}

  $( The square of a nonzero integer is a positive integer.  (Contributed by
     NM, 2-Aug-2004.) $)
  msqznn $p |- ( ( A e. ZZ /\ A =/= 0 ) -> ( A x. A ) e. NN ) $=
    ( cz wcel cc0 wne wa co clt wbr cn zmulcl anidms adantr cr zre msqgt0 sylan
    cmul elnnz sylanbrc ) ABCZADEZFAARGZBCZDUCHIZUCJCUAUDUBUAUDAAKLMUAANCUBUEAO
    APQUCST $.

  $( No even integer equals an odd integer (i.e. no integer can be both even
     and odd).  Exercise 10(a) of [Apostol] p. 28.  (Contributed by NM,
     31-Jul-2004.)  (Proof shortened by Mario Carneiro, 18-May-2014.) $)
  zneo $p |- ( ( A e. ZZ /\ B e. ZZ ) ->
             ( 2 x. A ) =/= ( ( 2 x. B ) + 1 ) ) $=
    ( cz wcel wa c2 cmul co c1 caddc cdiv wne wceq cc 2cn zcn mulcl sylancr a1i
    cmin wn halfnz adantr adantl 1cnd subaddd subdid oveq1d zsubcl syl cc0 2ne0
    divcan3d eqtr3d eqeltrd oveq1 eleq1d syl5ibcom sylbird necon3bd mpi necomd
    ) ACDZBCDZEZFBGHZIJHZFAGHZVEIFKHZCDZUAVGVHLUBVEVJVGVHVEVGVHMVHVFTHZIMZVJVEV
    HVFIVEFNDZANDZVHNDOVCVNVDAPUCZFAQRVEVMBNDZVFNDOVDVPVCBPUDZFBQRVEUEUFVEVKFKH
    ZCDVLVJVEVRABTHZCVEFVSGHZFKHVRVSVEVTVKFKVEFABVMVEOSZVOVQUGUHVEVSFVEVSCDVSND
    ABUIZVSPUJWAFUKLVEULSUMUNWBUOVLVRVICVKIFKUPUQURUSUTVAVB $.

  ${
    $d j k N $.
    $( A positive integer is even or odd but not both.  (Contributed by NM,
       1-Jan-2006.)  (Proof shortened by Mario Carneiro, 18-May-2014.) $)
    nneo $p |- ( N e. NN ->
                ( ( N / 2 ) e. NN <-> -. ( ( N + 1 ) / 2 ) e. NN ) ) $=
      ( vj vk cn wcel c2 cdiv co c1 caddc cmul wceq cc nncn syl oveq1d wo oveq1
      eleq1d orbi12d wn peano2cn 2cn a1i cc0 wne 2ne0 divcan2d eqtr4d cz syl2an
      nnz zneo expcom necon2bd syl5com df-2 oveq1i 2div2e1 1nn eqeltri peano2nn
      cv eqtr3i orci add1p1 wa 2cnne0 divdir mp3an23 oveq2i eqtrdi eqtrd orim2d
      syl5ibr orcom syl6ib nnind ord impbid ) ADEZAFGHZDEZAIJHZFGHZDEZUAZWAFWEK
      HZFWBKHZIJHZLWCWGWAWHWDWJWAWDFWAAMEWDMEANZAUBOFMEZWAUCUDZFUEUFZWAUGUDZUHW
      AWIAIJWAAFWKWMWOUHPUIWCWFWHWJWFWCWHWJUFZWFWEUJEWBUJEWPWCWEULWBULWEWBUMUKU
      NUOUPWAWFWCBVCZIJHZFGHZDEZWQFGHZDEZQIIJHZFGHZDEZIFGHZDEZQCVCZIJHZFGHZDEZX
      HFGHZDEZQZXIIJHZFGHZDEZXKQZWFWCQBCAWQILZWTXEXBXGXSWSXDDXSWRXCFGWQIIJRPSXS
      XAXFDWQIFGRSTWQXHLZWTXKXBXMXTWSXJDXTWRXIFGWQXHIJRPSXTXAXLDWQXHFGRSTWQXILZ
      WTXQXBXKYAWSXPDYAWRXOFGWQXIIJRPSYAXAXJDWQXIFGRSTWQALZWTWFXBWCYBWSWEDYBWRW
      DFGWQAIJRPSYBXAWBDWQAFGRSTXEXGXDIDFFGHZXDIFXCFGUQURUSVDUTVAVEXHDEZXNXKXQQ
      XRYDXMXQXKXMXQYDXLIJHZDEXLVBYDXPYEDYDXHMEZXPYELXHNYFXPXHFJHZFGHZYEYFXOYGF
      GXHVFPYFYHXLYCJHZYEYFWLWLWNVGYHYILUCVHXHFFVIVJYCIXLJUSVKVLVMOSVOVNXKXQVPV
      QVRVSVT $.

    nneoi.1 $e |- N e. NN $.
    $( A positive integer is even or odd but not both.  (Contributed by NM,
       20-Aug-2001.) $)
    nneoi $p |- ( ( N / 2 ) e. NN <-> -. ( ( N + 1 ) / 2 ) e. NN ) $=
      ( cn wcel c2 cdiv co c1 caddc wn wb nneo ax-mp ) ACDAEFGCDAHIGEFGCDJKBALM
      $.
  $}

  $( An integer is even or odd.  (Contributed by NM, 1-Jan-2006.) $)
  zeo $p |- ( N e. ZZ -> ( ( N / 2 ) e. ZZ \/ ( ( N + 1 ) / 2 ) e. ZZ ) ) $=
    ( cz wcel c2 cdiv co c1 caddc cc0 wceq cn cneg wn 2cn cc mp3an23 syl eleq1d
    cmin ax-1cn cr w3o wa wi elz oveq1 div0i 0z eqeltri eqeltrdi pm2.24d adantl
    2ne0 nnz con3i nneo biimprd con1d syl56 recn divneg syl6bir halfcld negnegd
    nnnegz sylibd adantr con3d peano2zm negsubdi2i 2m1e1 eqtr2i subcli negcon2i
    wne mpbi oveq2i negcl addsubass negdi mpan2 3eqtr4a oveq1d 2div2e1 peano2cn
    eqcomi 2cnne0 divsubdir eqtr4id 3eqtr4d syl5ib znegcl syl6 peano2re sylan9r
    recnd syl5 syld 3jaodan sylbi orrd ) ABCZADEFZBCZAGHFZDEFZBCZXBAUACZAIJZAKC
    ZALZKCZUBUCXDMZXGUDZAUEXHXIXNXJXLXIXNXHXIXDXGXIXCIDEFZBAIDEUFXOIBDNUMUGUHUI
    UJUKULXJXNXHXMXCKCZMXJXFKCZXGXPXDXCUNUOXJXQXPXJXPXQMAUPUQURXFUNUSULXHXLUCZX
    MXKDEFZKCZMZXGXRXTXDXHXTXDUDXLXHXTXCLZLZBCZXDXHXTYBKCYDXHYBXSKXHAOCZYBXSJZA
    UTZYEDOCZDIVOZYFNUMADVAPQRYBVEVBXHYCXCBXHXCXHAYGVCVDRVFVGVHXLYAXKGHFZDEFZKC
    ZXHXGXLYLXTXLXTYLMXKUPUQURYLYKBCZXHXGYKUNXHYMXFLZLZBCZXGXHYMYNBCZYPYMYKGSFZ
    BCXHYQYKVIXHYRYNBXHYEYRYNJYGYEYJDSFZDEFZXELZDEFZYRYNYEYSUUADEYEXKGDSFZHFZXK
    GLZHFZYSUUAUUCUUEXKHGUUCLZJUUCUUEJUUGDGSFGGDTNVJVKVLGUUCTGDTNVMVNVPVQYEXKOC
    ZYSUUDJZAVRZUUHGOCZYHUUITNXKGDVSPQYEUUKUUAUUFJTAGVTWAWBWCYEYRYKDDEFZSFZYTGU
    ULYKSUULGWDWFVQYEYJOCZYTUUMJZYEUUHUUNUUJXKWEQUUNYHYHYIUCUUONWGYJDDWHPQWIYEX
    EOCZYNUUBJZAWEUUPYHYIUUQNUMXEDVAPQWJQRWKYNWLWMXHYOXFBXHXFXHXEXHXEAWNWPVCVDR
    VFWQWOWRWSWTXA $.

  $( An integer is even or odd but not both.  (Contributed by Mario Carneiro,
     12-Sep-2015.) $)
  zeo2 $p |- ( N e. ZZ ->
              ( ( N / 2 ) e. ZZ <-> -. ( ( N + 1 ) / 2 ) e. ZZ ) ) $=
    ( cz wcel c2 cdiv co c1 caddc wn cmul wceq cc zcn peano2cn syl 2cnd cc0 wne
    2ne0 divcan2d a1i oveq1d eqtr4d zneo expcom necon2bd syl5com zeo ord impbid
    con1d ) ABCZADEFZBCZAGHFZDEFZBCZIZULDUPJFZDUMJFZGHFZKUNURULUSUOVAULUODULALC
    UOLCAMZANOULPZDQRULSUAZTULUTAGHULADVBVCVDTUBUCUNUQUSVAUQUNUSVARUPUMUDUEUFUG
    ULUNUQULUNUQAUHUIUKUJ $.

  ${
    $d x A $.  $d x B $.
    $( Second Peano postulate for upper integers.  (Contributed by NM,
       3-Oct-2004.) $)
    peano2uz2 $p |- ( ( A e. ZZ /\ B e. { x e. ZZ | A <_ x } ) ->
                             ( B + 1 ) e. { x e. ZZ | A <_ x } ) $=
      ( cz wcel cle wbr wa c1 caddc co cv crab peano2z ad2antrl cr wi zre breq2
      elrab lep1 adantl peano2re ancli letr 3expb sylan2 mpan2d syl2an impr jca
      anbi2i 3imtr4i ) BDEZCDEZBCFGZHZHZCIJKZDEZBUSFGZHUNCBALZFGZADMZEZHUSVDEUR
      UTVAUOUTUNUPCNOUNUOUPVAUNBPEZCPEZUPVAQUOBRCRVFVGHUPCUSFGZVAVGVHVFCUAUBVGV
      FVGUSPEZHUPVHHVAQZVGVICUCUDVFVGVIVJBCUSUEUFUGUHUIUJUKVEUQUNVCUPACDVBCBFST
      ULVCVAAUSDVBUSBFSTUM $.
  $}

  ${
    $d k n x A $.  $d k n x N $.
    ${
      peano5uzi.1 $e |- N e. ZZ $.
      $( Peano's inductive postulate for upper integers.  (Contributed by NM,
         6-Jul-2005.)  (Revised by Mario Carneiro, 3-May-2014.) $)
      peano5uzi $p |- ( ( N e. A /\ A. x e. A ( x + 1 ) e. A ) ->
                    { k e. ZZ | N <_ k } C_ A ) $=
        ( vn wcel c1 caddc co wa cz cc wceq ax-1cn cn wi oveq1 eleq1d imbi2d cv
        wral cle wbr crab breq2 elrab cmin ad2antrl ax-mp subcli sylancl subsub
        zcn npcan mp3an23 syl cn0 wb znn0sub mpan biimpa adantl nn0p1nn eqeltrd
        simpl pncan3i eqeltrid rspccv ad2antll adantr add32 sylibd ex a2d nnind
        nncn sylc eqeltrrd syl5bi ssrdv ) DBGZAUAZHIJZBGZABUBZKZFDCUAZUCUDZCLUE
        ZBFUAZWJGWKLGZDWKUCUDZKZWGWKBGZWIWMCWKLWHWKDUCUFUGWGWNWOWGWNKZWKDHUHJZU
        HJZWQIJZWKBWPWKMGZWQMGZWSWKNWLWTWGWMWKUNUIZDHDLGZDMGZEDUNUJZOUKZWKWQUOU
        LWPWRPGWGWSBGZWPWRWKDUHJZHIJZPWPWTWRXINZXBWTXDHMGZXJXEOWKDHUMUPUQWPXHUR
        GZXIPGWNXLWGWLWMXLXCWLWMXLUSEDWKUTVAVBVCXHVDUQVEWGWNVFWGWHWQIJZBGZQWGHW
        QIJZBGZQWGWKWQIJZBGZQWGWKHIJZWQIJZBGZQWGXGQCFWRWHHNZXNXPWGYBXMXOBWHHWQI
        RSTWHWKNZXNXRWGYCXMXQBWHWKWQIRSTWHXSNZXNYAWGYDXMXTBWHXSWQIRSTWHWRNZXNXG
        WGYEXMWSBWHWRWQIRSTWGXODBHDOXEVGWBWFVFVHWKPGZWGXRYAYFWGXRYAQYFWGKZXRXQH
        IJZBGZYAWFXRYIQYFWBWEYIAXQBWCXQNWDYHBWCXQHIRSVIVJYGYHXTBYGWTYHXTNZYFWTW
        GWKVQVKWTXAXKYJXFOWKWQHVLUPUQSVMVNVOVPVRVSVNVTWA $.
    $}

    $( Peano's inductive postulate for upper integers.  (Contributed by NM,
       6-Jul-2005.)  (Revised by Mario Carneiro, 25-Jul-2013.) $)
    peano5uzti $p |- ( N e. ZZ -> ( ( N e. A /\ A. x e. A ( x + 1 ) e. A )
                          -> { k e. ZZ | N <_ k } C_ A ) ) $=
      ( cz wcel cv c1 caddc co wral wa cle wbr crab wss wi cif wceq eleq1 breq1
      anbi1d rabbidv sseq1d imbi12d 1z elimel peano5uzi dedth ) DEFZDBFZAGHIJBF
      ABKZLZDCGZMNZCEOZBPZQUJDHRZBFZULLZURUNMNZCEOZBPZQDHDURSZUMUTUQVCVDUKUSULD
      URBTUBVDUPVBBVDUOVACEDURUNMUAUCUDUEABCURDHEUFUGUHUI $.
  $}

  ${
    $d x y z N $.
    dfuzi.1 $e |- N e. ZZ $.
    $( An expression for the upper integers that start at ` N ` that is
       analogous to ~ dfnn2 for positive integers.  (Contributed by NM,
       6-Jul-2005.)  (Proof shortened by Mario Carneiro, 3-May-2014.) $)
    dfuzi $p |- { z e. ZZ | N <_ z } =
               |^| { x | ( N e. x /\ A. y e. x ( y + 1 ) e. x ) } $=
      ( cv cle wbr cz crab wcel c1 caddc co wral wa cab wss mpbir2an eleq2 cint
      ssintab peano5uzi mpgbir zrei leidi breq2 elrab peano2uz2 mpan rgen rabex
      wi zex wceq raleqbi1dv anbi12d elab intss1 ax-mp eqssi ) DCFZGHZCIJZDAFZK
      ZBFZLMNZVEKZBVEOZPZAQZUAZVDVMRVKVDVERUMAVKAVDUBBVECDEUCUDVDVLKZVMVDRVNDVD
      KZVHVDKZBVDOZVODIKZDDGHZEDDEUEUFVCVSCDIVBDDGUGUHSVPBVDVRVGVDKVPECDVGUIUJU
      KVKVOVQPAVDVCCIUNULVEVDUOVFVOVJVQVEVDDTVIVPBVEVDVEVDVHTUPUQURSVDVLUSUTVA
      $.
  $}

  ${
    $d j w N $.  $d j ps $.  $d j ch $.  $d j th $.  $d j ta $.  $d k w ph $.
    $d j k w M $.
    $( Substitutions. $)
    uzind.1 $e |- ( j = M -> ( ph <-> ps ) ) $.
    uzind.2 $e |- ( j = k -> ( ph <-> ch ) ) $.
    uzind.3 $e |- ( j = ( k + 1 ) -> ( ph <-> th ) ) $.
    uzind.4 $e |- ( j = N -> ( ph <-> ta ) ) $.
    $( Basis. $)
    uzind.5 $e |- ( M e. ZZ -> ps ) $.
    $( Induction step. $)
    uzind.6 $e |- ( ( M e. ZZ /\ k e. ZZ /\ M <_ k ) -> ( ch -> th ) ) $.
    $( Induction on the upper integers that start at ` M ` .  The first four
       hypotheses give us the substitution instances we need; the last two are
       the basis and the induction step.  (Contributed by NM, 5-Jul-2005.) $)
    uzind $p |- ( ( M e. ZZ /\ N e. ZZ /\ M <_ N ) -> ta ) $=
      ( cz wcel cle wbr wa vw w3a cv crab c1 caddc wral wss zre leidd jca ancli
      co wceq breq2 anbi12d elrab sylibr wi peano2z a1i adantrd clt ltp1 adantl
      cr peano2re lelttr 3expb sylan2 mpan2d ltle syld syl2an expimpd 3exp jcad
      imp4d 3imtr4g ralrimiv peano5uzti mp2and sseld 3imtr3g 3impib simprrd ) H
      PQZIPQZHIRSZUBWHWIEWGWHWIWHWIETZTZWGIHUAUCZRSZUAPUDZQIHFUCZRSZATZFPUDZQWH
      WITWKWGWNWRIWGHWRQZGUCZUEUFUMZWRQZGWRUGWNWRUHWGWGHHRSZBTZTWSWGXDWGXCBWGHH
      UIZUJNUKULWQXDFHPWOHUNWPXCABWOHHRUOJUPUQURWGXBGWRWGWTPQZHWTRSZCTZTZXAPQZH
      XARSZDTZTWTWRQXBWGXIXJXLWGXFXJXHXFXJUSWGWTUTVAVBWGXIXKDWGXFXHXKWGXFTXGXKC
      WGHVFQZWTVFQZXGXKUSXFXEWTUIXMXNTZXGHXAVCSZXKXOXGWTXAVCSZXPXNXQXMWTVDVEXNX
      MXNXAVFQZTXGXQTXPUSZXNXRWTVGZULXMXNXRXSHWTXAVHVIVJVKXNXMXRXPXKUSXTHXAVLVJ
      VMVNVBVOWGXFXGCDWGXFXGCDUSOVPVRVQVQWQXHFWTPWOWTUNWPXGACWOWTHRUOKUPUQWQXLF
      XAPWOXAUNWPXKADWOXAHRUOLUPUQVSVTGWRUAHWAWBWCWMWIUAIPWLIHRUOUQWQWJFIPWOIUN
      WPWIAEWOIHRUOMUPUQWDWEWF $.
  $}

  ${
    $d j N $.  $d j ps $.  $d j ch $.  $d j th $.  $d j ta $.  $d k ph $.
    $d j k M $.
    $( Substitutions. $)
    uzind2.1 $e |- ( j = ( M + 1 ) -> ( ph <-> ps ) ) $.
    uzind2.2 $e |- ( j = k -> ( ph <-> ch ) ) $.
    uzind2.3 $e |- ( j = ( k + 1 ) -> ( ph <-> th ) ) $.
    uzind2.4 $e |- ( j = N -> ( ph <-> ta ) ) $.
    $( Basis. $)
    uzind2.5 $e |- ( M e. ZZ -> ps ) $.
    $( Induction step. $)
    uzind2.6 $e |- ( ( M e. ZZ /\ k e. ZZ /\ M < k ) -> ( ch -> th ) ) $.
    $( Induction on the upper integers that start _after_ an integer ` M ` .
       The first four hypotheses give us the substitution instances we need;
       the last two are the basis and the induction step.  (Contributed by NM,
       25-Jul-2005.) $)
    uzind2 $p |- ( ( M e. ZZ /\ N e. ZZ /\ M < N ) -> ta ) $=
      ( cz wcel wbr wi wceq clt wa c1 caddc co zltp1le peano2z cv imbi2d 3expia
      cle a1i w3a sylbird ex com3l imp 3adant1 a2d uzind 3exp syl com34 pm2.43a
      sylbid 3impia ) HPQZIPQZHIUARZEVGVHUBVIHUCUDUEZIUKRZEHIUFVGVHVKESZVHVGVLV
      GVHVKVGEVGVJPQZVHVKVGESZSSHUGVMVHVKVNVGASVGBSZVGCSVGDSVNFGVJIFUHZVJTABVGJ
      UIVPGUHZTACVGKUIVPVQUCUDUETADVGLUIVPITAEVGMUIVOVMNULVMVQPQZVJVQUKRZUMVGCD
      VRVSVGCDSZSZVMVRVSWAVGVRVSVTVGVRVSVTSVGVRUBVSHVQUARZVTHVQUFVGVRWBVTOUJUNU
      OUPUQURUSUTVAVBVCVDUQVEVF $.
  $}

  ${
    $d j k N $.  $d j ps $.  $d j ch $.  $d j th $.  $d j ta $.  $d m ph $.
    $d j m k M $.
    $( Substitutions. $)
    uzind3.1 $e |- ( j = M -> ( ph <-> ps ) ) $.
    uzind3.2 $e |- ( j = m -> ( ph <-> ch ) ) $.
    uzind3.3 $e |- ( j = ( m + 1 ) -> ( ph <-> th ) ) $.
    uzind3.4 $e |- ( j = N -> ( ph <-> ta ) ) $.
    $( Basis. $)
    uzind3.5 $e |- ( M e. ZZ -> ps ) $.
    $( Induction step. $)
    uzind3.6 $e |- ( ( M e. ZZ /\ m e. { k e. ZZ | M <_ k } ) ->
                   ( ch -> th ) ) $.
    $( Induction on the upper integers that start at an integer ` M ` .  The
       first four hypotheses give us the substitution instances we need, and
       the last two are the basis and the induction step.  (Contributed by NM,
       26-Jul-2005.) $)
    uzind3 $p |- ( ( M e. ZZ /\ N e. { k e. ZZ | M <_ k } ) -> ta ) $=
      ( cle wbr cz wcel cv wa breq2 elrab wi sylan2br 3impb uzind 3expb sylan2b
      crab ) JIGUAZQRZGSUKZTISTZJSTZIJQRZUBEUMUQGJSULJIQUCUDUOUPUQEABCDEFHIJKLM
      NOUOHUAZSTZIURQRZCDUEZUSUTUBUOURUNTVAUMUTGURSULURIQUCUDPUFUGUHUIUJ $.
  $}

  ${
    $d x y $.  $d A x $.  $d ps x $.  $d ch x $.  $d th x $.  $d ta x $.
    $d ph y $.
    nn0ind.1 $e |- ( x = 0 -> ( ph <-> ps ) ) $.
    nn0ind.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    nn0ind.3 $e |- ( x = ( y + 1 ) -> ( ph <-> th ) ) $.
    nn0ind.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    nn0ind.5 $e |- ps $.
    nn0ind.6 $e |- ( y e. NN0 -> ( ch -> th ) ) $.
    $( Principle of Mathematical Induction (inference schema) on nonnegative
       integers.  The first four hypotheses give us the substitution instances
       we need; the last two are the basis and the induction step.
       (Contributed by NM, 13-May-2004.) $)
    nn0ind $p |- ( A e. NN0 -> ta ) $=
      ( cn0 wcel cz cc0 cle wbr wa elnn0z 0z a1i cv sylbir 3adant1 uzind mp3an1
      wi sylbi ) HOPHQPZRHSTZUAEHUBRQPZULUMEUCABCDEFGRHIJKLBUNMUDGUEZQPZRUOSTZC
      DUJZUNUPUQUAUOOPURUOUBNUFUGUHUIUK $.
  $}

  ${
    $d x y $.  $d A x $.  $d ps x $.  $d ch x $.  $d th x $.  $d ta x $.
    $d ph y $.
    nn0indALT.6 $e |- ( y e. NN0 -> ( ch -> th ) ) $.
    nn0indALT.5 $e |- ps $.
    nn0indALT.1 $e |- ( x = 0 -> ( ph <-> ps ) ) $.
    nn0indALT.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    nn0indALT.3 $e |- ( x = ( y + 1 ) -> ( ph <-> th ) ) $.
    nn0indALT.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Principle of Mathematical Induction (inference schema) on nonnegative
       integers.  The last four hypotheses give us the substitution instances
       we need; the first two are the basis and the induction step.  Either
       ~ nn0ind or ~ nn0indALT may be used; see comment for ~ nnind .
       (Contributed by NM, 28-Nov-2005.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    nn0indALT $p |- ( A e. NN0 -> ta ) $=
      ( nn0ind ) ABCDEFGHKLMNJIO $.
  $}

  ${
    $d x A $.  $d x y ph $.  $d y ps $.  $d x ch $.  $d x et $.  $d x th $.
    $d x ta $.
    nn0indd.1 $e |- ( x = 0 -> ( ps <-> ch ) ) $.
    nn0indd.2 $e |- ( x = y -> ( ps <-> th ) ) $.
    nn0indd.3 $e |- ( x = ( y + 1 ) -> ( ps <-> ta ) ) $.
    nn0indd.4 $e |- ( x = A -> ( ps <-> et ) ) $.
    nn0indd.5 $e |- ( ph -> ch ) $.
    nn0indd.6 $e |- ( ( ( ph /\ y e. NN0 ) /\ th ) -> ta ) $.
    $( Principle of Mathematical Induction (inference schema) on nonnegative
       integers, a deduction version.  (Contributed by Thierry Arnoux,
       23-Mar-2018.) $)
    nn0indd $p |- ( ( ph /\ A e. NN0 ) -> et ) $=
      ( cn0 wcel wi wceq imbi2d cv cc0 c1 caddc co wa expcom a2d nn0ind impcom
      ex ) IPQAFABRACRADRAERAFRGHIGUAZUBSBCAJTULHUAZSBDAKTULUMUCUDUESBEALTULISB
      FAMTNUMPQZADEAUNDERAUNUFDEOUKUGUHUIUJ $.
  $}

  ${
    $d K x $.  $d M x y $.  $d N x y $.  $d ch x $.  $d ph y $.  $d ps x $.
    $d ta x $.  $d th x $.
    fzind.1 $e |- ( x = M -> ( ph <-> ps ) ) $.
    fzind.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    fzind.3 $e |- ( x = ( y + 1 ) -> ( ph <-> th ) ) $.
    fzind.4 $e |- ( x = K -> ( ph <-> ta ) ) $.
    fzind.5 $e |- ( ( M e. ZZ /\ N e. ZZ /\ M <_ N ) -> ps ) $.
    fzind.6 $e |- ( ( ( M e. ZZ /\ N e. ZZ ) /\
                      ( y e. ZZ /\ M <_ y /\ y < N ) ) -> ( ch -> th ) ) $.
    $( Induction on the integers from ` M ` to ` N ` inclusive .  The first
       four hypotheses give us the substitution instances we need; the last two
       are the basis and the induction step.  (Contributed by Paul Chapman,
       31-Mar-2011.) $)
    fzind $p |- ( ( ( M e. ZZ /\ N e. ZZ ) /\
                    ( K e. ZZ /\ M <_ K /\ K <_ N ) ) -> ta ) $=
      ( cle wbr wa wi cz wcel w3a cv c1 caddc co breq1 anbi2d imbi12d 3expib cr
      wceq zre p1le 3expia syl2an imdistanda imim1d 3ad2ant2 wb zltp1le adantlr
      clt expcom pm5.32d adantl 3expa com12 sylbird ex com23 3impib impcomd a2d
      expd syld uzind expcomd 3expb 3impia impd impcom ) HUAUBZIHQRZHJQRZUCZIUA
      UBZJUAUBZSZEWGWHWIEWDWEWFWHWIETZTWDWESZWHWFWKWHWLWFWKTZWHWDWEWMWHWDWEUCWI
      WFEWIFUDZJQRZSZATWIIJQRZSZBTWIGUDZJQRZSZCTZWIWSUEUFUGZJQRZSZDTZWIWFSZETFG
      IHWNIUMZWPWRABXHWOWQWIWNIJQUHUIKUJWNWSUMZWPXAACXIWOWTWIWNWSJQUHUILUJWNXCU
      MZWPXEADXJWOXDWIWNXCJQUHUIMUJWNHUMZWPXGAEXKWOWFWIWNHJQUHUINUJWHWIWQBOUKWH
      WSUAUBZIWSQRZUCZXBXECTZXFXLWHXBXOTXMXLXEXACXLWIXDWTXLWSULUBZJULUBZXDWTTWI
      WSUNJUNXPXQXDWTWSJUOUPUQURUSUTXNXECDXNXDWICDTZWHXLXMXDWIXRTZTWHXLXMSZXDXS
      WHWIXTXDSZXRWHWIYAXRTWJYAXTWSJVDRZSZXRWIYCYAVAWHWIXTYBXDXTWIYBXDVAZXLWIYD
      XMWSJVBVCVEVFVGYCWJXRXLXMYBWJXRTWJXLXMYBUCXRPVEVHVIVJVKVLVPVMVNVOVQVRVSVT
      VEVLWAWBWC $.
  $}

  ${
    $d K x $.  $d N x y $.  $d ch x $.  $d ph y $.  $d ps x $.  $d ta x $.
    $d th x $.
    fnn0ind.1 $e |- ( x = 0 -> ( ph <-> ps ) ) $.
    fnn0ind.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    fnn0ind.3 $e |- ( x = ( y + 1 ) -> ( ph <-> th ) ) $.
    fnn0ind.4 $e |- ( x = K -> ( ph <-> ta ) ) $.
    fnn0ind.5 $e |- ( N e. NN0 -> ps ) $.
    fnn0ind.6 $e |- ( ( N e. NN0 /\ y e. NN0 /\ y < N ) -> ( ch -> th ) ) $.
    $( Induction on the integers from ` 0 ` to ` N ` inclusive.  The first four
       hypotheses give us the substitution instances we need; the last two are
       the basis and the induction step.  (Contributed by Paul Chapman,
       31-Mar-2011.) $)
    fnn0ind $p |- ( ( N e. NN0 /\ K e. NN0 /\ K <_ N ) -> ta ) $=
      ( wcel wbr wa cc0 wi cn0 cle cz elnn0z w3a nn0z 0z sylbir 3adant1 clt 0re
      cv cr zre lelttr ltle 3adant2 syld mp3an3an ex com23 3impib impcom anbi1i
      3expb syl2anbr expcom 3impa expd mpd fzind mpanl1 syl5 3expa sylanb 3impb
      adantll ) IUAPZHUAPZHIUBQZEVSVTRVREVSHUCPZSHUBQZRVTVRETZHUDWAWBVTWCVRIUCP
      ZWAWBVTUEZEIUFWDWEESUCPZWDWEEUGABCDEFGHSIJKLMWDSIUBQZBWFWDWGRZVRBIUDZNUHU
      IWDGULZUCPZSWJUBQZWJIUJQZUEZCDTZWFWDWNRWGWOWNWDWGWKWLWMWDWGTWKWDWLWMRZWGW
      KWDWPWGTZSUMPZWKWJUMPZWDIUMPZWQUKWJUNIUNWRWSWTUEWPSIUJQZWGSWJIUOWRWTXAWGT
      WSSIUPUQURUSUTVAVBVCWNWDWGWOTWNWDWGWOWKWLWMWHWOTWHWKWLRZWMRZWOWHVRWJUAPZW
      MRWOXCWIXDXBWMWJUDVDVRXDWMWOOVEVFVGVHVIVCVJVQVKVLVGVMVNVOVCVP $.
  $}

  ${
    $d x y z $.  $d A x z $.  $d ps x z $.  $d ch x z $.  $d th x z $.
    $d ta x z $.  $d ph y z $.
    nn0ind-raph.1 $e |- ( x = 0 -> ( ph <-> ps ) ) $.
    nn0ind-raph.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    nn0ind-raph.3 $e |- ( x = ( y + 1 ) -> ( ph <-> th ) ) $.
    nn0ind-raph.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    nn0ind-raph.5 $e |- ps $.
    nn0ind-raph.6 $e |- ( y e. NN0 -> ( ch -> th ) ) $.
    $( Principle of Mathematical Induction (inference schema) on nonnegative
       integers.  The first four hypotheses give us the substitution instances
       we need; the last two are the basis and the induction step.  Raph Levien
       remarks:  "This seems a bit painful.  I wonder if an explicit
       substitution version would be easier."  (Contributed by Raph Levien,
       10-Apr-2004.) $)
    nn0ind-raph $p |- ( A e. NN0 -> ta ) $=
      ( vz wcel cc0 wceq c1 wi cn0 cn wo elnn0 wsb wsbc dfsbcq2 cv sbhypf caddc
      nfv co nfsbc1v 1ex c0ex wa 0nn0 eleq1a ax-mp mpbiri eqeq2 syl6bir pm5.74d
      wb mpbii com12 vtocle sylc adantr oveq1 0p1e1 eqtrdi eqeq2d imp mpbird ex
      sbceq1a mpbid vtoclef nnnn0 syl nnind bicomd sylan9bb sylbird eqcoms jaoi
      eqeq1 sylbi ) HUAPHUBPZHQRZUCEHUDWJEWKAFOUEAFSUFZCDEOGHAFOSUGACFOGUHZCFUK
      JUIADFOWMSUJULZDFUKKUIAEFOHEFUKLUIWLFSAFSUMUNFUHZSRZAWLWPATGQUOWMQRZWPAWQ
      WPUPADWQDWPWQWMUAPZCDQUAPWQWRTUQQUAWMURUSWQCTFQUOWQWOQRZCWQWSATWSCTWSABMI
      UTWQWSACWQWSWOWMRACVDWMQWOVAJVBVCVEVFVGNVHVIWQWPADVDZWQWPWOWNRWTWQWNSWOWQ
      WNQSUJULSWMQSUJVJVKVLVMKVBVNVOVPVGAFSVQVRVSWMUBPWRCDTWMVTNWAWBEQHQHRZETZF
      QXBFUKUOWSXAWOHRZEWOQHWHWSXCEWSXCUPBEMWSBAXCEWSABIWCLWDVEVPWEVSWFWGWI $.
  $}

  ${
    $d A x $.  $d ch x $.  $d et x $.  $d ph y $.  $d ps x $.  $d ta x $.
    $d th x $.  $d x y ze $.
    zindd.1 $e |- ( x = 0 -> ( ph <-> ps ) ) $.
    zindd.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    zindd.3 $e |- ( x = ( y + 1 ) -> ( ph <-> ta ) ) $.
    zindd.4 $e |- ( x = -u y -> ( ph <-> th ) ) $.
    zindd.5 $e |- ( x = A -> ( ph <-> et ) ) $.
    zindd.6 $e |- ( ze -> ps ) $.
    zindd.7 $e |- ( ze -> ( y e. NN0 -> ( ch -> ta ) ) ) $.
    zindd.8 $e |- ( ze -> ( y e. NN -> ( ch -> th ) ) ) $.
    $( Principle of Mathematical Induction on all integers, deduction version.
       The first five hypotheses give the substitutions; the last three are the
       basis, the induction, and the extension to negative numbers.
       (Contributed by Paul Chapman, 17-Apr-2009.)  (Proof shortened by Mario
       Carneiro, 4-Jan-2017.) $)
    zindd $p |- ( ze -> ( A e. ZZ -> et ) ) $=
      ( cz wcel wral wi cv cneg cn0 cn wo cr znegcl elznn0nn sylib simpr orim2i
      wa syl zcn negnegd eleq1d orbi2d mpbid cc0 wceq imbi2d c1 caddc com12 a2d
      co nn0ind nnnn0 syl11 mpdd jaod ralrimiv wb negeq sylan9eqr eqcomd bicomd
      syl5 rspcdv rspccv 3syl ) GDISUAZAHSUAJSTFUBGDISIUCZSTZWEUDZUETZWEUFTZUGZ
      GDWFWHWGUDZUFTZUGZWJWFWHWGUHTZWLUNZUGZWMWFWGSTWPWEUIWGUJUKWOWLWHWNWLULUMU
      OWFWLWIWHWFWKWEUFWFWEWEUPUQURUSUTGWHDWIWHGDGAUBZGBUBZGCUBZGEUBZGDUBHIWGHU
      CZVAVBABGKVCZXAWEVBACGLVCZXAWEVDVEVHVBAEGMVCZXAWGVBZADGNVCPWEUETZGCEGXFCE
      UBQVFVGZVIVFGWICDXFGCWIWQWRWSWTWSHIWEXBXCXDXCPXGVIWEVJVKRVLVMVTVNWDAHSXAS
      TZWDAXHDAIXAUDZSXAUIXHWEXIVBZUNZADXKXEADVOXKWGXAXJXHWGXIUDXAWEXIVPXHXAXAU
      PUQVQVRNUOVSWAVFVNAFHJSOWBWC $.
  $}

  ${
    $d x z A $.  $d y A $.
    $( Any real number can be sandwiched between two integers.  Exercise 2 of
       [Apostol] p. 28.  (Contributed by NM, 10-Nov-2004.) $)
    btwnz $p |- ( A e. RR -> ( E. x e. ZZ x < A /\ E. y e. ZZ A < y ) ) $=
      ( vz cr wcel cv clt wbr cz wrex cneg cn renegcl arch wa wb nnre ltnegcon1
      syl ex syl5 pm5.32d nnnegz breq1 rspcev sylan syl6bi expd rexlimdv anim1i
      mpd nnz reximi2 jca ) CEFZAGZCHIZAJKZCBGZHIZBJKZUPCLZDGZHIZDMKZUSUPVCEFVF
      CNVCDOTUPVEUSDMUPVDMFZVEUSUPVGVEPVGVDLZCHIZPUSUPVGVEVIVGVDEFZUPVEVIQZVDRU
      PVJVKCVDSUAUBUCVGVHJFVIUSVDUDURVIAVHJUQVHCHUEUFUGUHUIUJULUPVABMKVBCBOVAVA
      BMJUTMFUTJFVAUTUMUKUNTUO $.
  $}

  ${
    nn0zd.1 $e |- ( ph -> A e. NN0 ) $.
    $( A positive integer is an integer.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    nn0zd $p |- ( ph -> A e. ZZ ) $=
      ( cn0 cz nn0ssz sselid ) ADEBFCG $.
  $}

  ${
    nnzd.1 $e |- ( ph -> A e. NN ) $.
    $( A nonnegative integer is an integer.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    nnzd $p |- ( ph -> A e. ZZ ) $=
      ( nnnn0d nn0zd ) ABABCDE $.
  $}

  ${
    zred.1 $e |- ( ph -> A e. ZZ ) $.
    $( An integer is a real number.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    zred $p |- ( ph -> A e. RR ) $=
      ( cz cr zssre sselid ) ADEBFCG $.

    $( An integer is a complex number.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    zcnd $p |- ( ph -> A e. CC ) $=
      ( zred recnd ) ABABCDE $.

    $( Closure law for negative integers.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    znegcld $p |- ( ph -> -u A e. ZZ ) $=
      ( cz wcel cneg znegcl syl ) ABDEBFDECBGH $.

    $( Deduction from second Peano postulate generalized to integers.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    peano2zd $p |- ( ph -> ( A + 1 ) e. ZZ ) $=
      ( cz wcel c1 caddc co peano2z syl ) ABDEBFGHDECBIJ $.

    zaddcld.1 $e |- ( ph -> B e. ZZ ) $.
    $( Closure of addition of integers.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    zaddcld $p |- ( ph -> ( A + B ) e. ZZ ) $=
      ( cz wcel caddc co zaddcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.

    $( Closure of subtraction of integers.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    zsubcld $p |- ( ph -> ( A - B ) e. ZZ ) $=
      ( cz wcel cmin co zsubcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.

    $( Closure of multiplication of integers.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    zmulcld $p |- ( ph -> ( A x. B ) e. ZZ ) $=
      ( cz wcel cmul co zmulcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.
  $}

  $( The negative of a negative integer, is a natural number.  (Contributed by
     Glauco Siliprandi, 11-Dec-2019.) $)
  znnn0nn $p |- ( ( N e. ZZ /\ -. N e. NN0 ) -> -u N e. NN ) $=
    ( cz wcel cn0 wn wa cn wo cr simpl znegcld elznn sylib simprd cc zcn adantr
    cneg negnegd simpr eqneltrd pm2.24 jao1i sylc ) ABCZADCEZFZARZGCZUHRZDCZHZU
    KEZUIUGUHICZULUGUHBCUNULFUGAUEUFJKUHLMNUGUJADUGAUEAOCUFAPQSUEUFTUAUIUKUMUKU
    IUBUCUD $.

  $( Increasing an integer by 2 results in an integer.  (Contributed by
     Alexander van der Vekens, 16-Sep-2018.) $)
  zadd2cl $p |- ( N e. ZZ -> ( N + 2 ) e. ZZ ) $=
    ( cz wcel c2 id 2z a1i zaddcld ) ABCZADIEDBCIFGH $.

  ${
    $d x y $.  $d y ph $.  $d x ps $.
    zriotaneg.1 $e |- ( x = -u y -> ( ph <-> ps ) ) $.
    $( The negative of the unique integer such that ` ph ` .  (Contributed by
       AV, 1-Dec-2018.) $)
    zriotaneg $p |- ( E! x e. ZZ ph ->
                ( iota_ x e. ZZ ph ) = -u ( iota_ y e. ZZ ps ) ) $=
      ( wtru cz wreu crio cneg wceq tru cv nfriota1 nfneg wcel znegcl adantl cc
      zcn wa simpr znegcld negeq wb negcon2 syl2an reuhyp riotaxfrd mpan ) FACG
      HACGIBDGIZJZKLFABCDGDMZJZULDUKBDGNOUMGPZUNGPFUMQRFUKGPZUAUKFUPUBUCEUMUKUD
      CMZGPZUQUNKZDGHFCDUNUQJZGUQQURUQSPUMSPUSUMUTKUEUOUQTUMTUQUMUFUGUHRUIUJ $.
  $}

  ${
    $d A a b r $.
    $( The supremum of a nonempty finite set of integers is a member of the
       set.  (Contributed by AV, 1-Oct-2019.) $)
    suprfinzcl $p |- ( ( A C_ ZZ /\ A =/= (/) /\ A e. Fin )
                       -> sup ( A , RR , < ) e. A ) $=
      ( va vr vb cz wss c0 wne wcel cv wbr wral cr clt wi wa wor zssre 3ad2ant1
      wrex cfn cle csup w3a wn ltso soss mp2 simp3 simp2 simp1 fisup2g syl13anc
      a1i sstrdi ssrexv syl ssel2 zred adantr imp simplr lenltd bicomd ralbidva
      id ex biimpd adantrd reximdva syld mpd suprzcl syld3an3 ) AEFZAGHZAUAIZBJ
      ZCJZUBKZBALZCMTZAMNUCAIVOVPVQUDZVSVRNKUEZBALZVRVSNKVRDJNKDATOBELZPZCATZWB
      WCENQZVQVPVOWHWIWCEMFMNQWIRUFEMNUGUHUNVOVPVQUIVOVPVQUJVOVPVQUKCBDEANULUMW
      CWHWGCMTZWBWCAMFZWHWJOVOVPWKVQVOAEMVOVFRUOSWGCAMUPUQWCWGWACMWCVSMIZPZWEWA
      WFWMWEWAWMWDVTBAWMVRAIZPZVTWDWOVRVSWMWNVRMIZWCWNWPOZWLVOVPWQVQVOWNWPVOWNP
      VRAEVRURUSVGSUTVAWCWLWNVBVCVDVEVHVIVJVKVLCBAVMVN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Decimal arithmetic
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ; $.
  $( Constant used for decimal constructor. $)
  cdc $a class ; A B $.

  $( Define the "decimal constructor", which is used to build up "decimal
     integers" or "numeric terms" in base ` 1 0 ` .  For example,
     ` ( ; ; ; 1 0 0 0 + ; ; ; 2 0 0 0 ) = ; ; ; 3 0 0 0 ` ~ 1kp2ke3k .
     (Contributed by Mario Carneiro, 17-Apr-2015.)  (Revised by AV,
     1-Aug-2021.) $)
  df-dec $a |- ; A B = ( ( ( 9 + 1 ) x. A ) + B ) $.

  $( 9 + 1 = 10.  (Contributed by Mario Carneiro, 18-Apr-2015.)  (Revised by
     Stanislas Polu, 7-Apr-2020.)  (Revised by AV, 1-Aug-2021.) $)
  9p1e10 $p |- ( 9 + 1 ) = ; 1 0 $=
    ( c1 cc0 cdc c9 caddc co cmul df-dec cn 9nn 1nn nnaddcl mp2an nncni mulid1i
    wcel oveq1i addid1i 3eqtrri ) ABCDAEFZAGFZBEFTBEFTABHUATBETTDIPAIPTIPJKDALM
    NZOQTUBRS $.

  $( Version of the definition of the "decimal constructor" using ` ; 1 0 `
     instead of the symbol 10.  Of course, this statement cannot be used as
     definition, because it uses the "decimal constructor".  (Contributed by
     AV, 1-Aug-2021.) $)
  dfdec10 $p |- ; A B = ( ( ; 1 0 x. A ) + B ) $=
    ( cdc c9 c1 caddc co cmul cc0 df-dec 9p1e10 oveq1i eqtri ) ABCDEFGZAHGZBFGE
    ICZAHGZBFGABJOQBFNPAHKLLM $.

  $( A decimal number is a set.  (Contributed by Mario Carneiro, 17-Apr-2015.)
     (Revised by AV, 6-Sep-2021.) $)
  decex $p |- ; A B e. _V $=
    ( cdc c9 c1 caddc co cmul df-dec ovexi ) ABCDEFGAHGBFABIJ $.

  $( Equality theorem for the decimal constructor.  (Contributed by Mario
     Carneiro, 17-Apr-2015.)  (Revised by AV, 6-Sep-2021.) $)
  deceq1 $p |- ( A = B -> ; A C = ; B C ) $=
    ( wceq c9 c1 caddc co cmul cdc oveq2 oveq1d df-dec 3eqtr4g ) ABDZEFGHZAIHZC
    GHPBIHZCGHACJBCJOQRCGABPIKLACMBCMN $.

  $( Equality theorem for the decimal constructor.  (Contributed by Mario
     Carneiro, 17-Apr-2015.)  (Revised by AV, 6-Sep-2021.) $)
  deceq2 $p |- ( A = B -> ; C A = ; C B ) $=
    ( wceq c9 c1 caddc co cmul cdc oveq2 df-dec 3eqtr4g ) ABDEFGHCIHZAGHNBGHCAJ
    CBJABNGKCALCBLM $.

  ${
    deceq1i.1 $e |- A = B $.
    $( Equality theorem for the decimal constructor.  (Contributed by Mario
       Carneiro, 17-Apr-2015.) $)
    deceq1i $p |- ; A C = ; B C $=
      ( wceq cdc deceq1 ax-mp ) ABEACFBCFEDABCGH $.

    $( Equality theorem for the decimal constructor.  (Contributed by Mario
       Carneiro, 17-Apr-2015.) $)
    deceq2i $p |- ; C A = ; C B $=
      ( wceq cdc deceq2 ax-mp ) ABECAFCBFEDABCGH $.

    deceq12i.2 $e |- C = D $.
    $( Equality theorem for the decimal constructor.  (Contributed by Mario
       Carneiro, 17-Apr-2015.) $)
    deceq12i $p |- ; A C = ; B D $=
      ( cdc deceq1i deceq2i eqtri ) ACGBCGBDGABCEHCDBFIJ $.
  $}

  ${
    numnncl.1 $e |- T e. NN0 $.
    numnncl.2 $e |- A e. NN0 $.
    ${
      numnncl.3 $e |- B e. NN $.
      $( Closure for a numeral (with units place).  (Contributed by Mario
         Carneiro, 18-Feb-2014.) $)
      numnncl $p |- ( ( T x. A ) + B ) e. NN $=
        ( cmul co cn0 wcel cn caddc nn0mulcli nn0nnaddcl mp2an ) CAGHZIJBKJPBLH
        KJCADEMFPBNO $.
    $}

    $( Add a zero in the units place.  (Contributed by Mario Carneiro,
       18-Feb-2014.) $)
    num0u $p |- ( T x. A ) = ( ( T x. A ) + 0 ) $=
      ( cmul co cc0 caddc nn0mulcli nn0cni addid1i eqcomi ) BAEFZGHFMMMBACDIJKL
      $.

    $( Add a zero in the higher places.  (Contributed by Mario Carneiro,
       18-Feb-2014.) $)
    num0h $p |- A = ( ( T x. 0 ) + A ) $=
      ( cc0 cmul co caddc nn0cni mul01i oveq1i addid2i eqtr2i ) BEFGZAHGEAHGANE
      AHBBCIJKAADILM $.

    numcl.2 $e |- B e. NN0 $.
    $( Closure for a decimal integer (with units place).  (Contributed by Mario
       Carneiro, 18-Feb-2014.) $)
    numcl $p |- ( ( T x. A ) + B ) e. NN0 $=
      ( cmul co nn0mulcli nn0addcli ) CAGHBCADEIFJ $.

    numsuc.4 $e |- ( B + 1 ) = C $.
    numsuc.5 $e |- N = ( ( T x. A ) + B ) $.
    $( The successor of a decimal integer (no carry).  (Contributed by Mario
       Carneiro, 18-Feb-2014.) $)
    numsuc $p |- ( N + 1 ) = ( ( T x. A ) + C ) $=
      ( c1 caddc co cmul oveq1i nn0mulcli nn0cni ax-1cn addassi oveq2i 3eqtri )
      EKLMDANMZBLMZKLMUBBKLMZLMUBCLMEUCKLJOUBBKUBDAFGPQBHQRSUDCUBLITUA $.
  $}

  ${
    deccl.1 $e |- A e. NN0 $.
    deccl.2 $e |- B e. NN0 $.
    $( Closure for a numeral.  (Contributed by Mario Carneiro, 17-Apr-2015.)
       (Revised by AV, 6-Sep-2021.) $)
    deccl $p |- ; A B e. NN0 $=
      ( cdc c9 c1 caddc co cmul cn0 df-dec 9nn0 1nn0 nn0addcli numcl eqeltri )
      ABEFGHIZAJIBHIKABLABRFGMNOCDPQ $.
  $}

  $( 10 is a positive integer.  (Contributed by NM, 8-Nov-2012.)  (Revised by
     AV, 6-Sep-2021.) $)
  10nn $p |- ; 1 0 e. NN $=
    ( c9 c1 caddc co cc0 cdc cn 9p1e10 wcel 9nn peano2nn ax-mp eqeltrri ) ABCDZ
    BEFGHAGINGIJAKLM $.

  $( The number 10 is positive.  (Contributed by NM, 5-Feb-2007.)  (Revised by
     AV, 8-Sep-2021.) $)
  10pos $p |- 0 < ; 1 0 $=
    ( c1 cc0 cdc 10nn nngt0i ) ABCDE $.

  $( 10 is a nonnegative integer.  (Contributed by Mario Carneiro,
     19-Apr-2015.)  (Revised by AV, 6-Sep-2021.) $)
  10nn0 $p |- ; 1 0 e. NN0 $=
    ( c1 cc0 1nn0 0nn0 deccl ) ABCDE $.

  $( The number 10 is real.  (Contributed by NM, 5-Feb-2007.)  (Revised by AV,
     8-Sep-2021.)  Reduce dependencies on axioms.  (Revised by Steven Nguyen,
     8-Oct-2022.) $)
  10re $p |- ; 1 0 e. RR $=
    ( c1 cc0 cdc c9 caddc co cmul df-dec 9re 1re readdcli remulcli 0re eqeltri
    cr ) ABCDAEFZAGFZBEFOABHQBPADAIJKJLMKN $.

  ${
    decnncl.1 $e |- A e. NN0 $.
    decnncl.2 $e |- B e. NN $.
    $( Closure for a numeral.  (Contributed by Mario Carneiro, 17-Apr-2015.)
       (Revised by AV, 6-Sep-2021.) $)
    decnncl $p |- ; A B e. NN $=
      ( cdc c1 cc0 cmul co caddc cn dfdec10 10nn0 numnncl eqeltri ) ABEFGEZAHIB
      JIKABLABPMCDNO $.
  $}

  ${
    dec0u.1 $e |- A e. NN0 $.
    $( Add a zero in the units place.  (Contributed by Mario Carneiro,
       17-Apr-2015.)  (Revised by AV, 6-Sep-2021.) $)
    dec0u $p |- ( ; 1 0 x. A ) = ; A 0 $=
      ( c1 cc0 cdc cmul co caddc 10nn0 num0u dfdec10 eqtr4i ) CDEZAFGZNDHGADEAM
      IBJADKL $.

    $( Add a zero in the higher places.  (Contributed by Mario Carneiro,
       17-Apr-2015.)  (Revised by AV, 6-Sep-2021.) $)
    dec0h $p |- A = ; 0 A $=
      ( c1 cc0 cdc cmul co caddc 10nn0 num0h dfdec10 eqtr4i ) ACDEZDFGAHGDAEAMI
      BJDAKL $.
  $}

  ${
    numnncl2.1 $e |- T e. NN $.
    numnncl2.2 $e |- A e. NN $.
    $( Closure for a decimal integer (zero units place).  (Contributed by Mario
       Carneiro, 9-Mar-2015.) $)
    numnncl2 $p |- ( ( T x. A ) + 0 ) e. NN $=
      ( cmul co cc0 caddc cn nnmulcli nncni addid1i eqeltri ) BAEFZGHFNINNBACDJ
      ZKLOM $.
  $}

  ${
    decnncl2.1 $e |- A e. NN $.
    $( Closure for a decimal integer (zero units place).  (Contributed by Mario
       Carneiro, 17-Apr-2015.)  (Revised by AV, 6-Sep-2021.) $)
    decnncl2 $p |- ; A 0 e. NN $=
      ( cc0 cdc c1 cmul co caddc cn dfdec10 10nn numnncl2 eqeltri ) ACDECDZAFGC
      HGIACJANKBLM $.
  $}

  ${
    numlt.1 $e |- T e. NN $.
    numlt.2 $e |- A e. NN0 $.
    numlt.3 $e |- B e. NN0 $.
    ${
      numlt.4 $e |- C e. NN $.
      numlt.5 $e |- B < C $.
      $( Comparing two decimal integers (equal higher places).  (Contributed by
         Mario Carneiro, 18-Feb-2014.) $)
      numlt $p |- ( ( T x. A ) + B ) < ( ( T x. A ) + C ) $=
        ( clt wbr cmul co caddc nn0rei nnrei nnnn0i nn0mulcli ltadd2i mpbi ) BC
        JKDALMZBNMUACNMJKIBCUABGOCHPUADADEQFROST $.
    $}

    numltc.3 $e |- C e. NN0 $.
    numltc.4 $e |- D e. NN0 $.
    numltc.5 $e |- C < T $.
    numltc.6 $e |- A < B $.
    $( Comparing two decimal integers (unequal higher places).  (Contributed by
       Mario Carneiro, 18-Feb-2014.) $)
    numltc $p |- ( ( T x. A ) + C ) < ( ( T x. B ) + D ) $=
      ( cmul co caddc clt wbr cle nn0rei wcel numlt nnrei ax-1cn adddii mulid1i
      c1 recni oveq2i eqtri breqtrri cn0 wb nn0ltp1le mp2an cc0 nngt0i peano2re
      mpbi cr ax-mp lemul2i remulcli readdcli ltletri nn0addge1i ) EAMNZCONZEBM
      NZPQZVHVHDONZRQVGVJPQVGEAUFONZMNZPQVLVHRQZVIVGVFEONZVLPACEEFGIFKUAVLVFEUF
      MNZONVNEAUFEEFUBZUGZAAGSZUGUCUDVOEVFOEVQUEUHUIUJVKBRQZVMABPQZVSLAUKTBUKTV
      TVSULGHABUMUNURUOEPQVSVMULEFUPVKBEAUSTVKUSTVRAUQUTZBHSZVPVAUTURVGVLVHVFCE
      AVPVRVBCISVCZEVKVPWAVBEBVPWBVBZVDUNVHDWDJVEVGVHVJWCWDVHDWDDJSVCVDUN $.
  $}

  ${
    le9lt10.c $e |- A e. NN0 $.
    le9lt10.e $e |- A <_ 9 $.
    $( A "decimal digit" (i.e. a nonnegative integer less than or equal to 9)
       is less then 10.  (Contributed by AV, 8-Sep-2021.) $)
    le9lt10 $p |- A < ; 1 0 $=
      ( c9 c1 caddc co cc0 cdc clt cle cz wcel wb nn0zi 9nn0 zleltp1 mp2an mpbi
      wbr 9p1e10 breqtri ) ADEFGZEHIJADKTZAUCJTZCALMDLMUDUENABODPOADQRSUAUB $.
  $}

  ${
    declt.a $e |- A e. NN0 $.
    declt.b $e |- B e. NN0 $.
    ${
      declt.c $e |- C e. NN $.
      declt.l $e |- B < C $.
      $( Comparing two decimal integers (equal higher places).  (Contributed by
         Mario Carneiro, 17-Apr-2015.)  (Revised by AV, 6-Sep-2021.) $)
      declt $p |- ; A B < ; A C $=
        ( c1 cc0 cdc cmul co caddc clt 10nn numlt dfdec10 3brtr4i ) HIJZAKLZBML
        TCMLABJACJNABCSODEFGPABQACQR $.
    $}

    ${
      decltc.c $e |- C e. NN0 $.
      decltc.d $e |- D e. NN0 $.
      decltc.s $e |- C < ; 1 0 $.
      decltc.l $e |- A < B $.
      $( Comparing two decimal integers (unequal higher places).  (Contributed
         by Mario Carneiro, 18-Feb-2014.)  (Revised by AV, 6-Sep-2021.) $)
      decltc $p |- ; A C < ; B D $=
        ( c1 cc0 cdc cmul co caddc clt 10nn numltc dfdec10 3brtr4i ) KLMZANOCPO
        UBBNODPOACMBDMQABCDUBREFGHIJSACTBDTUA $.
    $}

    ${
      declth.c $e |- C e. NN0 $.
      declth.d $e |- D e. NN0 $.
      declth.e $e |- C <_ 9 $.
      declth.l $e |- A < B $.
      $( Comparing two decimal integers (unequal higher places).  (Contributed
         by AV, 8-Sep-2021.) $)
      declth $p |- ; A C < ; B D $=
        ( le9lt10 decltc ) ABCDEFGHCGIKJL $.
    $}

    decsuc.c $e |- ( B + 1 ) = C $.
    decsuc.n $e |- N = ; A B $.
    $( The successor of a decimal integer (no carry).  (Contributed by Mario
       Carneiro, 17-Apr-2015.)  (Revised by AV, 6-Sep-2021.) $)
    decsuc $p |- ( N + 1 ) = ; A C $=
      ( c1 caddc co cc0 cdc cmul 10nn0 dfdec10 eqtri numsuc eqtr4i ) DIJKILMZAN
      KZCJKACMABCTDOEFGDABMUABJKHABPQRACPS $.
  $}

  ${
    3decltc.a $e |- A e. NN0 $.
    3decltc.b $e |- B e. NN0 $.
    3decltc.c $e |- C e. NN0 $.
    3decltc.d $e |- D e. NN0 $.
    3decltc.e $e |- E e. NN0 $.
    3decltc.f $e |- F e. NN0 $.
    3decltc.3 $e |- A < B $.
    ${
      3declth.1 $e |- C <_ 9 $.
      3declth.2 $e |- E <_ 9 $.
      $( Comparing two decimal integers with three "digits" (unequal higher
         places).  (Contributed by AV, 8-Sep-2021.) $)
      3declth $p |- ; ; A C E < ; ; B D F $=
        ( cdc deccl declth ) ACPBDPEFACGIQBDHJQKLOABCDGHIJNMRR $.
    $}

    3decltc.1 $e |- C < ; 1 0 $.
    3decltc.2 $e |- E < ; 1 0 $.
    $( Comparing two decimal integers with three "digits" (unequal higher
       places).  (Contributed by AV, 15-Jun-2021.)  (Revised by AV,
       6-Sep-2021.) $)
    3decltc $p |- ; ; A C E < ; ; B D F $=
      ( cdc deccl decltc ) ACPBDPEFACGIQBDHJQKLOABCDGHIJNMRR $.
  $}

  ${
    decle.1 $e |- A e. NN0 $.
    decle.2 $e |- B e. NN0 $.
    decle.3 $e |- C e. NN0 $.
    ${
      decle.4 $e |- B <_ C $.
      $( Comparing two decimal integers (equal higher places).  (Contributed by
         AV, 17-Aug-2021.)  (Revised by AV, 8-Sep-2021.) $)
      decle $p |- ; A B <_ ; A C $=
        ( c1 cc0 cdc cmul caddc cle wbr nn0rei 10nn0 nn0mulcli leadd2i dfdec10
        co mpbi 3brtr4i ) HIJZAKTZBLTZUDCLTZABJACJMBCMNUEUFMNGBCUDBEOCFOUDUCAPD
        QORUAABSACSUB $.
    $}

    decleh.4 $e |- D e. NN0 $.
    decleh.5 $e |- C <_ 9 $.
    decleh.6 $e |- A < B $.
    $( Comparing two decimal integers (unequal higher places).  (Contributed by
       AV, 17-Aug-2021.)  (Revised by AV, 8-Sep-2021.) $)
    decleh $p |- ; A C <_ ; B D $=
      ( cdc deccl nn0rei declth ltleii ) ACKZBDKZPACEGLMQBDFHLMABCDEFGHIJNO $.
  $}

  ${
    declei.1 $e |- A e. NN $.
    declei.2 $e |- B e. NN0 $.
    declei.3 $e |- C e. NN0 $.
    declei.4 $e |- C <_ 9 $.
    $( Comparing a digit to a decimal integer.  (Contributed by AV,
       17-Aug-2021.) $)
    declei $p |- C <_ ; A B $=
      ( cc0 cdc cle dec0h 0nn0 nnnn0i nngt0i decleh eqbrtri ) CHCIABIJCFKHACBLA
      DMFEGADNOP $.
  $}

  ${
    numlti.1 $e |- T e. NN $.
    numlti.2 $e |- A e. NN $.
    numlti.3 $e |- B e. NN0 $.
    numlti.4 $e |- C e. NN0 $.
    numlti.5 $e |- C < T $.
    $( Comparing a digit to a decimal integer.  (Contributed by Mario Carneiro,
       18-Feb-2014.) $)
    numlti $p |- C < ( ( T x. A ) + B ) $=
      ( cc0 cmul co caddc clt nnnn0i num0h 0nn0 nngt0i numltc eqbrtri ) CDJKLCM
      LDAKLBMLNCDDEOHPJACBDEQAFOHGIAFRST $.
  $}

  ${
    declti.a $e |- A e. NN $.
    declti.b $e |- B e. NN0 $.
    declti.c $e |- C e. NN0 $.
    ${
      declti.l $e |- C < ; 1 0 $.
      $( Comparing a digit to a decimal integer.  (Contributed by Mario
         Carneiro, 18-Feb-2014.)  (Revised by AV, 6-Sep-2021.) $)
      declti $p |- C < ; A B $=
        ( c1 cc0 cdc cmul co caddc clt 10nn numlti dfdec10 breqtrri ) CHIJZAKLB
        MLABJNABCSODEFGPABQR $.
    $}

    decltdi.4 $e |- C <_ 9 $.
    $( Comparing a digit to a decimal integer.  (Contributed by AV,
       8-Sep-2021.) $)
    decltdi $p |- C < ; A B $=
      ( le9lt10 declti ) ABCDEFCFGHI $.
  $}

  ${
    numsucc.1 $e |- Y e. NN0 $.
    numsucc.2 $e |- T = ( Y + 1 ) $.
    numsucc.3 $e |- A e. NN0 $.
    numsucc.4 $e |- ( A + 1 ) = B $.
    numsucc.5 $e |- N = ( ( T x. A ) + Y ) $.
    $( The successor of a decimal integer (with carry).  (Contributed by Mario
       Carneiro, 18-Feb-2014.) $)
    numsucc $p |- ( N + 1 ) = ( ( T x. B ) + 0 ) $=
      ( c1 caddc co cmul cc0 cn0 1nn0 nn0addcli nn0cni oveq2i 3eqtr4ri eqeltrri
      eqeltri mulid1i ax-1cn adddii eqcomi numsuc num0u 3eqtri ) DKLMZCAKLMZNMZ
      CBNMZUNOLMCANMZCKNMZLMUOCLMUMUKUPCUOLCCCEKLMZPGEKFQRUCZSZUDTCAKUSAHSUEUFA
      ECCDURHFCUQGUGJUHUAULBCNITBCURULBPIAKHQRUBUIUJ $.
  $}

  ${
    decsucc.1 $e |- A e. NN0 $.
    decsucc.2 $e |- ( A + 1 ) = B $.
    decsucc.3 $e |- N = ; A 9 $.
    $( The successor of a decimal integer (with carry).  (Contributed by Mario
       Carneiro, 18-Feb-2014.)  (Revised by AV, 6-Sep-2021.) $)
    decsucc $p |- ( N + 1 ) = ; B 0 $=
      ( c1 caddc co cc0 cmul c9 9nn0 9p1e10 eqcomi dfdec10 eqtri numsucc eqtr4i
      cdc ) CGHIGJTZBKIJHIBJTABUACLMLGHIUANODECALTUAAKILHIFALPQRBJPS $.
  $}

  $( The successor of zero.  (Contributed by Mario Carneiro, 18-Feb-2014.) $)
  1e0p1 $p |- 1 = ( 0 + 1 ) $=
    ( cc0 c1 caddc co 0p1e1 eqcomi ) ABCDBEF $.

  $( Ten plus an integer.  (Contributed by Mario Carneiro, 19-Apr-2015.)
     (Revised by AV, 6-Sep-2021.) $)
  dec10p $p |- ( ; 1 0 + A ) = ; 1 A $=
    ( c1 cdc cc0 cmul co caddc dfdec10 10nn nncni mulid1i oveq1i eqtr2i ) BACBD
    CZBEFZAGFNAGFBAHONAGNNIJKLM $.

  ${
    numma.1 $e |- T e. NN0 $.
    numma.2 $e |- A e. NN0 $.
    numma.3 $e |- B e. NN0 $.
    numma.4 $e |- C e. NN0 $.
    numma.5 $e |- D e. NN0 $.
    numma.6 $e |- M = ( ( T x. A ) + B ) $.
    numma.7 $e |- N = ( ( T x. C ) + D ) $.
    ${
      numma.8 $e |- P e. NN0 $.
      numma.9 $e |- ( ( A x. P ) + C ) = E $.
      numma.10 $e |- ( ( B x. P ) + D ) = F $.
      $( Perform a multiply-add of two decimal integers ` M ` and ` N ` against
         a fixed multiplicand ` P ` (no carry).  (Contributed by Mario
         Carneiro, 18-Feb-2014.) $)
      numma $p |- ( ( M x. P ) + N ) = ( ( T x. E ) + F ) $=
        ( cmul caddc oveq1i oveq12i nn0cni mulcli adddii mulassi eqtr4i adddiri
        co add4i oveq2i 3eqtr2i ) IEUAUKZJUBUKFAUAUKZBUBUKZEUAUKZFCUAUKZDUBUKZU
        BUKZFAEUAUKZCUBUKZUAUKZBEUAUKZDUBUKZUBUKZFGUAUKZHUBUKUOURJUTUBIUQEUAPUC
        QUDVGUPEUAUKZUSUBUKZVFUBUKZVAVDVJVFUBVDFVBUAUKZUSUBUKVJFVBCFKUEZAEALUEZ
        ERUEZUFCNUEZUGVIVLUSUBFAEVMVNVOUHUCUIUCVAVIVEUBUKZUTUBUKVKURVQUTUBUPBEF
        AVMVNUFZBMUEZVOUJUCVIUSVEDUPEVRVOUFFCVMVPUFBEVSVOUFDOUEULUIUIVDVHVFHUBV
        CGFUASUMTUDUN $.
    $}

    ${
      nummac.8 $e |- P e. NN0 $.
      nummac.9 $e |- F e. NN0 $.
      nummac.10 $e |- G e. NN0 $.
      nummac.11 $e |- ( ( A x. P ) + ( C + G ) ) = E $.
      nummac.12 $e |- ( ( B x. P ) + D ) = ( ( T x. G ) + F ) $.
      $( Perform a multiply-add of two decimal integers ` M ` and ` N ` against
         a fixed multiplicand ` P ` (with carry).  (Contributed by Mario
         Carneiro, 18-Feb-2014.) $)
      nummac $p |- ( ( M x. P ) + N ) = ( ( T x. E ) + F ) $=
        ( cmin co cmul caddc nn0cni mulcli addassi eqtri addcli eqeltrri subdii
        oveq1i wceq subadd2i mpbir eqcomi numma wcel npcan mp2an subcli 3eqtr4i
        cc eqtr3i ) FGIUDUEZUFUEZFIUFUEZHUGUEZUGUEFGUFUEZVJUDUEZVKUGUEZJEUFUEKU
        GUEVLHUGUEZVIVMVKUGFGIFLUHZAEUFUEZCUGUEZIUGUEZGVFVSVQCIUGUEUGUEGVQCIAEA
        MUHESUHUIZCOUHZIUAUHZUJUBUKZVRIVQCVTWAULZWBULUMZWBUNUOABCDEFVHVKJKLMNOP
        QRSVHVRVHVRUPVSGUPWCGIVRWEWBWDUQURUSUCUTVMVJUGUEZHUGUEVOVNWFVLHUGVLVFVA
        VJVFVAWFVLUPFGVPWEUIZFIVPWBUIZVLVJVBVCUOVMVJHVLVJWGWHVDWHHTUHUJVGVE $.
    $}

    ${
      numma2c.8 $e |- P e. NN0 $.
      numma2c.9 $e |- F e. NN0 $.
      numma2c.10 $e |- G e. NN0 $.
      numma2c.11 $e |- ( ( P x. A ) + ( C + G ) ) = E $.
      numma2c.12 $e |- ( ( P x. B ) + D ) = ( ( T x. G ) + F ) $.
      $( Perform a multiply-add of two decimal integers ` M ` and ` N ` against
         a fixed multiplicand ` P ` (with carry).  (Contributed by Mario
         Carneiro, 18-Feb-2014.) $)
      numma2c $p |- ( ( P x. M ) + N ) = ( ( T x. E ) + F ) $=
        ( cmul co caddc nn0cni cn0 numcl eqeltri mulcomi oveq1i eqtri nummac )
        EJUDUEZKUFUEJEUDUEZKUFUEFGUDUEHUFUEUOUPKUFEJESUGZJJFAUDUEBUFUEUHQABFLMN
        UIUJUGUKULABCDEFGHIJKLMNOPQRSTUAAEUDUEZCIUFUEZUFUEEAUDUEZUSUFUEGURUTUSU
        FAEAMUGUQUKULUBUMBEUDUEZDUFUEEBUDUEZDUFUEFIUDUEHUFUEVAVBDUFBEBNUGUQUKUL
        UCUMUNUM $.
    $}

    ${
      numadd.8 $e |- ( A + C ) = E $.
      numadd.9 $e |- ( B + D ) = F $.
      $( Add two decimal integers ` M ` and ` N ` (no carry).  (Contributed by
         Mario Carneiro, 18-Feb-2014.) $)
      numadd $p |- ( M + N ) = ( ( T x. E ) + F ) $=
        ( co caddc c1 cmul numcl eqeltri nn0cni mulid1i oveq1i 1nn0 eqtri numma
        cn0 eqtr3i ) HUAUBSZITSHITSEFUBSGTSUMHITHHHEAUBSBTSUKOABEJKLUCUDUEUFUGA
        BCDUAEFGHIJKLMNOPUHAUAUBSZCTSACTSFUNACTAAKUEUFUGQUIBUAUBSZDTSBDTSGUOBDT
        BBLUEUFUGRUIUJUL $.
    $}

    ${
      numaddc.8 $e |- F e. NN0 $.
      numaddc.9 $e |- ( ( A + C ) + 1 ) = E $.
      numaddc.10 $e |- ( B + D ) = ( ( T x. 1 ) + F ) $.
      $( Add two decimal integers ` M ` and ` N ` (with carry).  (Contributed
         by Mario Carneiro, 18-Feb-2014.) $)
      numaddc $p |- ( M + N ) = ( ( T x. E ) + F ) $=
        ( co c1 cmul caddc cn0 numcl eqeltri nn0cni mulid1i oveq1i 1nn0 addassi
        ax-1cn 3eqtr2i eqtri nummac eqtr3i ) HUAUBTZIUCTHIUCTEFUBTGUCTUQHIUCHHH
        EAUBTBUCTUDOABEJKLUEUFUGUHUIABCDUAEFGUAHIJKLMNOPUJQUJAUAUBTZCUAUCTZUCTA
        USUCTACUCTUAUCTFURAUSUCAAKUGZUHUIACUAUTCMUGULUKRUMBUAUBTZDUCTBDUCTEUAUB
        TGUCTVABDUCBBLUGUHUISUNUOUP $.
    $}
  $}

  ${
    nummul1c.1 $e |- T e. NN0 $.
    nummul1c.2 $e |- P e. NN0 $.
    nummul1c.3 $e |- A e. NN0 $.
    nummul1c.4 $e |- B e. NN0 $.
    nummul1c.5 $e |- N = ( ( T x. A ) + B ) $.
    nummul1c.6 $e |- D e. NN0 $.
    nummul1c.7 $e |- E e. NN0 $.
    ${
      nummul1c.8 $e |- ( ( A x. P ) + E ) = C $.
      nummul1c.9 $e |- ( B x. P ) = ( ( T x. E ) + D ) $.
      $( The product of a decimal integer with a number.  (Contributed by Mario
         Carneiro, 18-Feb-2014.) $)
      nummul1c $p |- ( N x. P ) = ( ( T x. C ) + D ) $=
        ( co cc0 caddc cmul cn0 numcl eqeltri num0u num0h nn0cni addid2i oveq2i
        0nn0 eqtri eqtr3i nummac ) HEUARZUNSTRFCUARDTREHHFAUARBTRUBMABFIKLUCUDJ
        UEABSSEFCDGHSIKLUJUJMSFIUJUFJNOAEUARZSGTRZTRUOGTRCUPGUOTGGOUGUHUIPUKBEU
        ARZUQSTRFGUARDTREBLJUEQULUMUK $.
    $}

    ${
      nummul2c.7 $e |- ( ( P x. A ) + E ) = C $.
      nummul2c.8 $e |- ( P x. B ) = ( ( T x. E ) + D ) $.
      $( The product of a decimal integer with a number (with carry).
         (Contributed by Mario Carneiro, 18-Feb-2014.) $)
      nummul2c $p |- ( P x. N ) = ( ( T x. C ) + D ) $=
        ( cmul co caddc cn0 numcl eqeltri nn0cni oveq1i eqtri mulcomli nummul1c
        mulcomi ) HEFCRSDTSHHFARSBTSUAMABFIKLUBUCUDEJUDZABCDEFGHIJKLMNOAERSZGTS
        EARSZGTSCUKULGTAEAKUDUJUIUEPUFEBFGRSDTSUJBLUDQUGUHUG $.
    $}
  $}

  ${
    decma.a $e |- A e. NN0 $.
    decma.b $e |- B e. NN0 $.
    decma.c $e |- C e. NN0 $.
    decma.d $e |- D e. NN0 $.
    decma.m $e |- M = ; A B $.
    decma.n $e |- N = ; C D $.
    ${
      decma.p $e |- P e. NN0 $.
      decma.e $e |- ( ( A x. P ) + C ) = E $.
      decma.f $e |- ( ( B x. P ) + D ) = F $.
      $( Perform a multiply-add of two numerals ` M ` and ` N ` against a fixed
         multiplicand ` P ` (no carry).  (Contributed by Mario Carneiro,
         18-Feb-2014.)  (Revised by AV, 6-Sep-2021.) $)
      decma $p |- ( ( M x. P ) + N ) = ; E F $=
        ( cmul co caddc c1 cc0 cdc 10nn0 dfdec10 eqtri numma eqtr4i ) HESTIUATU
        BUCUDZFSTGUATFGUDABCDEUJFGHIUEJKLMHABUDUJASTBUATNABUFUGICDUDUJCSTDUATOC
        DUFUGPQRUHFGUFUI $.
    $}

    ${
      decmac.p $e |- P e. NN0 $.
      decmac.f $e |- F e. NN0 $.
      decmac.g $e |- G e. NN0 $.
      decmac.e $e |- ( ( A x. P ) + ( C + G ) ) = E $.
      decmac.2 $e |- ( ( B x. P ) + D ) = ; G F $.
      $( Perform a multiply-add of two numerals ` M ` and ` N ` against a fixed
         multiplicand ` P ` (with carry).  (Contributed by Mario Carneiro,
         18-Feb-2014.)  (Revised by AV, 6-Sep-2021.) $)
      decmac $p |- ( ( M x. P ) + N ) = ; E F $=
        ( cmul co caddc c1 cc0 cdc 10nn0 dfdec10 eqtri nummac eqtr4i ) IEUBUCJU
        DUCUEUFUGZFUBUCGUDUCFGUGABCDEUMFGHIJUHKLMNIABUGUMAUBUCBUDUCOABUIUJJCDUG
        UMCUBUCDUDUCPCDUIUJQRSTBEUBUCDUDUCHGUGUMHUBUCGUDUCUAHGUIUJUKFGUIUL $.
    $}

    ${
      decma2c.p $e |- P e. NN0 $.
      decma2c.f $e |- F e. NN0 $.
      decma2c.g $e |- G e. NN0 $.
      decma2c.e $e |- ( ( P x. A ) + ( C + G ) ) = E $.
      decma2c.2 $e |- ( ( P x. B ) + D ) = ; G F $.
      $( Perform a multiply-add of two numerals ` M ` and ` N ` against a fixed
         multiplier ` P ` (with carry).  (Contributed by Mario Carneiro,
         18-Feb-2014.)  (Revised by AV, 6-Sep-2021.) $)
      decma2c $p |- ( ( P x. M ) + N ) = ; E F $=
        ( cmul co caddc c1 cc0 cdc 10nn0 dfdec10 eqtri numma2c eqtr4i ) EIUBUCJ
        UDUCUEUFUGZFUBUCGUDUCFGUGABCDEUMFGHIJUHKLMNIABUGUMAUBUCBUDUCOABUIUJJCDU
        GUMCUBUCDUDUCPCDUIUJQRSTEBUBUCDUDUCHGUGUMHUBUCGUDUCUAHGUIUJUKFGUIUL $.
    $}

    ${
      decadd.e $e |- ( A + C ) = E $.
      decadd.f $e |- ( B + D ) = F $.
      $( Add two numerals ` M ` and ` N ` (no carry).  (Contributed by Mario
         Carneiro, 18-Feb-2014.)  (Revised by AV, 6-Sep-2021.) $)
      decadd $p |- ( M + N ) = ; E F $=
        ( caddc co cdc cmul c1 cc0 10nn0 dfdec10 eqtri numadd eqtr4i ) GHQRUAUB
        SZETRFQREFSABCDUHEFGHUCIJKLGABSUHATRBQRMABUDUEHCDSUHCTRDQRNCDUDUEOPUFEF
        UDUG $.
    $}

    decaddc.e $e |- ( ( A + C ) + 1 ) = E $.
    ${
      decaddc.f $e |- F e. NN0 $.
      decaddc.2 $e |- ( B + D ) = ; 1 F $.
      $( Add two numerals ` M ` and ` N ` (with carry).  (Contributed by Mario
         Carneiro, 18-Feb-2014.)  (Revised by AV, 6-Sep-2021.) $)
      decaddc $p |- ( M + N ) = ; E F $=
        ( caddc co cdc c1 cc0 cmul 10nn0 dfdec10 eqtri numaddc eqtr4i ) GHRSUAU
        BTZEUCSFRSEFTABCDUIEFGHUDIJKLGABTUIAUCSBRSMABUEUFHCDTUICUCSDRSNCDUEUFPO
        BDRSUAFTUIUAUCSFRSQUAFUEUFUGEFUEUH $.
    $}

    decaddc2.t $e |- ( B + D ) = ; 1 0 $.
    $( Add two numerals ` M ` and ` N ` (with carry).  (Contributed by Mario
       Carneiro, 18-Feb-2014.)  (Revised by AV, 6-Sep-2021.) $)
    decaddc2 $p |- ( M + N ) = ; E 0 $=
      ( cc0 0nn0 decaddc ) ABCDEPFGHIJKLMNQOR $.
  $}

  ${
    decrmanc.a $e |- A e. NN0 $.
    decrmanc.b $e |- B e. NN0 $.
    decrmanc.n $e |- N e. NN0 $.
    decrmanc.m $e |- M = ; A B $.
    decrmanc.p $e |- P e. NN0 $.
    ${
      decrmanc.e $e |- ( A x. P ) = E $.
      decrmanc.f $e |- ( ( B x. P ) + N ) = F $.
      $( Perform a multiply-add of two numerals ` M ` and ` N ` against a fixed
         multiplicand ` P ` (no carry).  (Contributed by AV, 16-Sep-2021.) $)
      decrmanc $p |- ( ( M x. P ) + N ) = ; E F $=
        ( cc0 0nn0 dec0h cmul co caddc nn0mulcli nn0cni addid1i eqtri decma ) A
        BOGCDEFGHIPJKGJQLACRSZOTSUFDUFUFACHLUAUBUCMUDNUE $.
    $}

    ${
      decrmac.f $e |- F e. NN0 $.
      decrmac.g $e |- G e. NN0 $.
      decrmac.e $e |- ( ( A x. P ) + G ) = E $.
      decrmac.2 $e |- ( ( B x. P ) + N ) = ; G F $.
      $( Perform a multiply-add of two numerals ` M ` and ` N ` against a fixed
         multiplicand ` P ` (with carry).  (Contributed by AV, 16-Sep-2021.) $)
      decrmac $p |- ( ( M x. P ) + N ) = ; E F $=
        ( cc0 co caddc 0nn0 dec0h cmul nn0cni addid2i oveq2i eqtri decmac ) ABR
        HCDEFGHIJUAKLHKUBMNOACUCSZRFTSZTSUIFTSDUJFUITFFOUDUEUFPUGQUH $.
    $}
  $}

  ${
    decaddm10.a $e |- A e. NN0 $.
    decaddm10.b $e |- B e. NN0 $.
    $( The sum of two multiples of 10 is a multiple of 10.  (Contributed by AV,
       30-Jul-2021.) $)
    decaddm10 $p |- ( ; A 0 + ; B 0 ) = ; ( A + B ) 0 $=
      ( cc0 caddc co cdc 0nn0 eqid 00id decadd ) AEBEABFGZEAEHZBEHZCIDINJOJMJKL
      $.
  $}

  ${
    decaddi.1 $e |- A e. NN0 $.
    decaddi.2 $e |- B e. NN0 $.
    decaddi.3 $e |- N e. NN0 $.
    decaddi.4 $e |- M = ; A B $.
    ${
      decaddi.5 $e |- ( B + N ) = C $.
      $( Add two numerals ` M ` and ` N ` (no carry).  (Contributed by Mario
         Carneiro, 18-Feb-2014.) $)
      decaddi $p |- ( M + N ) = ; A C $=
        ( cc0 0nn0 dec0h nn0cni addid1i decadd ) ABKEACDEFGLHIEHMAAFNOJP $.
    $}

    decaddci.5 $e |- ( A + 1 ) = D $.
    ${
      decaddci.6 $e |- C e. NN0 $.
      decaddci.7 $e |- ( B + N ) = ; 1 C $.
      $( Add two numerals ` M ` and ` N ` (no carry).  (Contributed by Mario
         Carneiro, 18-Feb-2014.) $)
      decaddci $p |- ( M + N ) = ; D C $=
        ( cc0 0nn0 dec0h caddc co c1 nn0cni addid1i oveq1i eqtri decaddc ) ABNF
        DCEFGHOIJFIPANQRZSQRASQRDUEASQAAGTUAUBKUCLMUD $.
    $}

    ${
      decaddci2.6 $e |- ( B + N ) = ; 1 0 $.
      $( Add two numerals ` M ` and ` N ` (no carry).  (Contributed by Mario
         Carneiro, 18-Feb-2014.)  (Revised by AV, 6-Sep-2021.) $)
      decaddci2 $p |- ( M + N ) = ; D 0 $=
        ( cc0 0nn0 decaddci ) ABLCDEFGHIJMKN $.
    $}

    ${
      decsubi.5 $e |- ( B - N ) = C $.
      $( Difference between a numeral ` M ` and a nonnegative integer ` N ` (no
         underflow).  (Contributed by AV, 22-Jul-2021.)  (Revised by AV,
         6-Sep-2021.) $)
      decsubi $p |- ( M - N ) = ; A C $=
        ( c1 cdc co caddc cmin nn0cni dfdec10 eqtri cmul 10nn0 nn0mulcli oveq1i
        cc0 addsubassi eqcomi oveq2i 3eqtr4i ) MUENZAUAOZBPOZFQOUKBFQOZPOZEFQOA
        CNZUKBFUKUJAUBGUCRBHRFIRUFEULFQEABNULJABSTUDUOUKCPOUNACSCUMUKPUMCLUGUHT
        UI $.
    $}
  $}

  ${
    decmul1.p $e |- P e. NN0 $.
    decmul1.a $e |- A e. NN0 $.
    decmul1.b $e |- B e. NN0 $.
    decmul1.n $e |- N = ; A B $.

    ${
      decmul1.c $e |- ( A x. P ) = C $.
      decmul1.d $e |- ( B x. P ) = D $.
      $( The product of a numeral with a number (no carry).  (Contributed by
         AV, 22-Jul-2021.)  (Revised by AV, 6-Sep-2021.)  Remove hypothesis
         ` D e. NN0 ` .  (Revised by Steven Nguyen, 7-Dec-2022.) $)
      decmul1 $p |- ( N x. P ) = ; C D $=
        ( cmul co cc0 caddc cdc cn0 deccl eqtri eqeltri num0u nn0mulcli addid1i
        0nn0 nn0cni decrmanc ) FEMNZUHOPNCDQEFFABQRJABHISUAGUBABECDFOHIUEJGKBEM
        NZOPNUIDUIUIBEIGUCUFUDLTUGT $.
    $}

    decmul1.0 $e |- D e. NN0 $.
    decmul1c.e $e |- E e. NN0 $.
    ${
      decmul1c.c $e |- ( ( A x. P ) + E ) = C $.
      decmul1c.2 $e |- ( B x. P ) = ; E D $.
      $( The product of a numeral with a number (with carry).  (Contributed by
         Mario Carneiro, 18-Feb-2014.)  (Revised by AV, 6-Sep-2021.) $)
      decmul1c $p |- ( N x. P ) = ; C D $=
        ( cmul co cdc caddc dfdec10 c1 cc0 10nn0 eqtri nummul1c eqtr4i ) GEPQUA
        UBRZCPQDSQCDRABCDEUGFGUCHIJGABRUGAPQBSQKABTUDLMNBEPQFDRUGFPQDSQOFDTUDUE
        CDTUF $.
    $}

    decmul2c.c $e |- ( ( P x. A ) + E ) = C $.
    decmul2c.2 $e |- ( P x. B ) = ; E D $.
    $( The product of a numeral with a number (with carry).  (Contributed by
       Mario Carneiro, 18-Feb-2014.)  (Revised by AV, 6-Sep-2021.) $)
    decmul2c $p |- ( P x. N ) = ; C D $=
      ( cmul co cdc caddc dfdec10 c1 cc0 10nn0 eqtri nummul2c eqtr4i ) EGPQUAUB
      RZCPQDSQCDRABCDEUGFGUCHIJGABRUGAPQBSQKABTUDLMNEBPQFDRUGFPQDSQOFDTUDUECDTU
      F $.
  $}

  ${
    decmulnc.n $e |- N e. NN0 $.
    decmulnc.a $e |- A e. NN0 $.
    decmulnc.b $e |- B e. NN0 $.
    $( The product of a numeral with a number (no carry).  (Contributed by AV,
       15-Jun-2021.) $)
    decmulnc $p |- ( N x. ; A B ) = ; ( N x. A ) ( N x. B ) $=
      ( cmul co cc0 cdc eqid nn0mulcli 0nn0 nn0cni addid1i dec0h decmul2c ) ABC
      AGHZCBGHZCIABJZDEFTKCBDFLZMRRCADELNOSUAPQ $.
  $}

  ${
    11multnc.n $e |- N e. NN0 $.
    $( The product of 11 (as numeral) with a number (no carry).  (Contributed
       by AV, 15-Jun-2021.) $)
    11multnc $p |- ( N x. ; 1 1 ) = ; N N $=
      ( c1 cdc cmul co 1nn0 decmulnc nn0cni mulid1i deceq12i eqtri ) ACCDEFACEF
      ZMDAADCCABGGHMAMAAABIJZNKL $.
  $}

  ${
    decmul10add.1 $e |- A e. NN0 $.
    decmul10add.2 $e |- B e. NN0 $.
    decmul10add.3 $e |- M e. NN0 $.
    decmul10add.4 $e |- E = ( M x. A ) $.
    decmul10add.5 $e |- F = ( M x. B ) $.
    $( A multiplication of a number and a numeral expressed as addition with
       first summand as multiple of 10.  (Contributed by AV, 22-Jul-2021.)
       (Revised by AV, 6-Sep-2021.) $)
    decmul10add $p |- ( M x. ; A B ) = ( ; E 0 + F ) $=
      ( cdc cmul co cc0 caddc nn0cni 10nn0 nn0mulcli eqcomi 3eqtri oveq2i dec0u
      c1 dfdec10 adddii mul12i deceq1i oveq12i ) EABKZLMEUCNKZALMZBOMZLMEUKLMZE
      BLMZOMCNKZDOMUIULELABUDUAEUKBEHPZUKUJAQFRPBGPUEUMUOUNDOUMUJEALMZLMUQNKUOE
      UJAUPUJQPAFPUFUQEAHFRUBUQCNCUQISUGTDUNJSUHT $.
  $}

  ${
    6p5lem.1 $e |- A e. NN0 $.
    6p5lem.2 $e |- D e. NN0 $.
    6p5lem.3 $e |- E e. NN0 $.
    6p5lem.4 $e |- B = ( D + 1 ) $.
    6p5lem.5 $e |- C = ( E + 1 ) $.
    6p5lem.6 $e |- ( A + D ) = ; 1 E $.
    $( Lemma for ~ 6p5e11 and related theorems.  (Contributed by Mario
       Carneiro, 19-Apr-2015.) $)
    6p5lem $p |- ( A + B ) = ; 1 C $=
      ( caddc co c1 cdc oveq2i nn0cni ax-1cn addassi 1nn0 eqcomi decsuc 3eqtr2i
      ) ABLMADNLMZLMADLMZNLMNCOBUDALIPADNAFQDGQRSNECUETHCENLMJUAKUBUC $.
  $}

  $( 5 + 5 = 10.  (Contributed by NM, 5-Feb-2007.)  (Revised by Stanislas Polu,
     7-Apr-2020.)  (Revised by AV, 6-Sep-2021.) $)
  5p5e10 $p |- ( 5 + 5 ) = ; 1 0 $=
    ( c5 caddc co c4 c1 cc0 cdc df-5 oveq2i 5cn 4cn ax-1cn addassi eqtr4i 5p4e9
    c9 oveq1i 9p1e10 3eqtri ) AABCZADBCZEBCZPEBCEFGTADEBCZBCUBAUCABHIADEJKLMNUA
    PEBOQRS $.

  $( 6 + 4 = 10.  (Contributed by NM, 5-Feb-2007.)  (Revised by Stanislas Polu,
     7-Apr-2020.)  (Revised by AV, 6-Sep-2021.) $)
  6p4e10 $p |- ( 6 + 4 ) = ; 1 0 $=
    ( c6 c4 caddc co c3 c1 c9 cc0 cdc df-4 oveq2i 6cn 3cn ax-1cn addassi eqtr4i
    6p3e9 oveq1i 9p1e10 3eqtri ) ABCDZAECDZFCDZGFCDFHIUAAEFCDZCDUCBUDACJKAEFLMN
    OPUBGFCQRST $.

  $( 6 + 5 = 11.  (Contributed by Mario Carneiro, 19-Apr-2015.)  (Revised by
     AV, 6-Sep-2021.) $)
  6p5e11 $p |- ( 6 + 5 ) = ; 1 1 $=
    ( c6 c5 c1 c4 cc0 6nn0 4nn0 0nn0 df-5 1e0p1 6p4e10 6p5lem ) ABCDEFGHIJKL $.

  $( 6 + 6 = 12.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  6p6e12 $p |- ( 6 + 6 ) = ; 1 2 $=
    ( c6 c2 c5 c1 6nn0 5nn0 1nn0 df-6 df-2 6p5e11 6p5lem ) AABCDEFGHIJK $.

  $( 7 + 3 = 10.  (Contributed by NM, 5-Feb-2007.)  (Revised by Stanislas Polu,
     7-Apr-2020.)  (Revised by AV, 6-Sep-2021.) $)
  7p3e10 $p |- ( 7 + 3 ) = ; 1 0 $=
    ( c7 c3 caddc co c2 c1 c9 cc0 cdc df-3 oveq2i 7cn 2cn ax-1cn addassi eqtr4i
    7p2e9 oveq1i 9p1e10 3eqtri ) ABCDZAECDZFCDZGFCDFHIUAAEFCDZCDUCBUDACJKAEFLMN
    OPUBGFCQRST $.

  $( 7 + 4 = 11.  (Contributed by Mario Carneiro, 19-Apr-2015.)  (Revised by
     AV, 6-Sep-2021.) $)
  7p4e11 $p |- ( 7 + 4 ) = ; 1 1 $=
    ( c7 c4 c1 c3 cc0 7nn0 3nn0 0nn0 df-4 1e0p1 7p3e10 6p5lem ) ABCDEFGHIJKL $.

  $( 7 + 5 = 12.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  7p5e12 $p |- ( 7 + 5 ) = ; 1 2 $=
    ( c7 c5 c2 c4 c1 7nn0 4nn0 1nn0 df-5 df-2 7p4e11 6p5lem ) ABCDEFGHIJKL $.

  $( 7 + 6 = 13.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  7p6e13 $p |- ( 7 + 6 ) = ; 1 3 $=
    ( c7 c6 c3 c5 c2 7nn0 5nn0 2nn0 df-6 df-3 7p5e12 6p5lem ) ABCDEFGHIJKL $.

  $( 7 + 7 = 14.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  7p7e14 $p |- ( 7 + 7 ) = ; 1 4 $=
    ( c7 c4 c6 c3 7nn0 6nn0 3nn0 df-7 df-4 7p6e13 6p5lem ) AABCDEFGHIJK $.

  $( 8 + 2 = 10.  (Contributed by NM, 5-Feb-2007.)  (Revised by Stanislas Polu,
     7-Apr-2020.)  (Revised by AV, 6-Sep-2021.) $)
  8p2e10 $p |- ( 8 + 2 ) = ; 1 0 $=
    ( c8 c2 caddc co c1 c9 cc0 cdc df-2 oveq2i 8cn ax-1cn addassi eqtr4i oveq1i
    df-9 9p1e10 3eqtr2i ) ABCDZAECDZECDZFECDEGHSAEECDZCDUABUBACIJAEEKLLMNFTECPO
    QR $.

  $( 8 + 3 = 11.  (Contributed by Mario Carneiro, 19-Apr-2015.)  (Revised by
     AV, 6-Sep-2021.) $)
  8p3e11 $p |- ( 8 + 3 ) = ; 1 1 $=
    ( c8 c3 c1 c2 cc0 8nn0 2nn0 0nn0 df-3 1e0p1 8p2e10 6p5lem ) ABCDEFGHIJKL $.

  $( 8 + 4 = 12.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  8p4e12 $p |- ( 8 + 4 ) = ; 1 2 $=
    ( c8 c4 c2 c3 c1 8nn0 3nn0 1nn0 df-4 df-2 8p3e11 6p5lem ) ABCDEFGHIJKL $.

  $( 8 + 5 = 13.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  8p5e13 $p |- ( 8 + 5 ) = ; 1 3 $=
    ( c8 c5 c3 c4 c2 8nn0 4nn0 2nn0 df-5 df-3 8p4e12 6p5lem ) ABCDEFGHIJKL $.

  $( 8 + 6 = 14.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  8p6e14 $p |- ( 8 + 6 ) = ; 1 4 $=
    ( c8 c6 c4 c5 c3 8nn0 5nn0 3nn0 df-6 df-4 8p5e13 6p5lem ) ABCDEFGHIJKL $.

  $( 8 + 7 = 15.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  8p7e15 $p |- ( 8 + 7 ) = ; 1 5 $=
    ( c8 c7 c5 c6 c4 8nn0 6nn0 4nn0 df-7 df-5 8p6e14 6p5lem ) ABCDEFGHIJKL $.

  $( 8 + 8 = 16.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  8p8e16 $p |- ( 8 + 8 ) = ; 1 6 $=
    ( c8 c6 c7 c5 8nn0 7nn0 5nn0 df-8 df-6 8p7e15 6p5lem ) AABCDEFGHIJK $.

  $( 9 + 2 = 11.  (Contributed by Mario Carneiro, 19-Apr-2015.)  (Revised by
     AV, 6-Sep-2021.) $)
  9p2e11 $p |- ( 9 + 2 ) = ; 1 1 $=
    ( c9 c2 c1 cc0 9nn0 1nn0 0nn0 df-2 1e0p1 9p1e10 6p5lem ) ABCCDEFGHIJK $.

  $( 9 + 3 = 12.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  9p3e12 $p |- ( 9 + 3 ) = ; 1 2 $=
    ( c9 c3 c2 c1 9nn0 2nn0 1nn0 df-3 df-2 9p2e11 6p5lem ) ABCCDEFGHIJK $.

  $( 9 + 4 = 13.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  9p4e13 $p |- ( 9 + 4 ) = ; 1 3 $=
    ( c9 c4 c3 c2 9nn0 3nn0 2nn0 df-4 df-3 9p3e12 6p5lem ) ABCCDEFGHIJK $.

  $( 9 + 5 = 14.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  9p5e14 $p |- ( 9 + 5 ) = ; 1 4 $=
    ( c9 c5 c4 c3 9nn0 4nn0 3nn0 df-5 df-4 9p4e13 6p5lem ) ABCCDEFGHIJK $.

  $( 9 + 6 = 15.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  9p6e15 $p |- ( 9 + 6 ) = ; 1 5 $=
    ( c9 c6 c5 c4 9nn0 5nn0 4nn0 df-6 df-5 9p5e14 6p5lem ) ABCCDEFGHIJK $.

  $( 9 + 7 = 16.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  9p7e16 $p |- ( 9 + 7 ) = ; 1 6 $=
    ( c9 c7 c6 c5 9nn0 6nn0 5nn0 df-7 df-6 9p6e15 6p5lem ) ABCCDEFGHIJK $.

  $( 9 + 8 = 17.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  9p8e17 $p |- ( 9 + 8 ) = ; 1 7 $=
    ( c9 c8 c7 c6 9nn0 7nn0 6nn0 df-8 df-7 9p7e16 6p5lem ) ABCCDEFGHIJK $.

  $( 9 + 9 = 18.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  9p9e18 $p |- ( 9 + 9 ) = ; 1 8 $=
    ( c9 c8 c7 9nn0 8nn0 7nn0 df-9 df-8 9p8e17 6p5lem ) AABBCDEFGHIJ $.

  $( 10 + 10 = 20.  (Contributed by Mario Carneiro, 19-Apr-2015.)  (Revised by
     AV, 6-Sep-2021.) $)
  10p10e20 $p |- ( ; 1 0 + ; 1 0 ) = ; 2 0 $=
    ( c1 cc0 c2 cdc 1nn0 0nn0 eqid 1p1e2 00id decadd ) ABABCBABDZKEFEFKGZLHIJ
    $.

  $( 10 - 1 = 9.  (Contributed by AV, 6-Sep-2021.) $)
  10m1e9 $p |- ( ; 1 0 - 1 ) = 9 $=
    ( c1 cc0 cdc c9 9cn ax-1cn caddc co 9p1e10 eqcomi mvrraddi ) ABCZDAEFDAGHLI
    JK $.

  ${
    4t3lem.1 $e |- A e. NN0 $.
    4t3lem.2 $e |- B e. NN0 $.
    4t3lem.3 $e |- C = ( B + 1 ) $.
    4t3lem.4 $e |- ( A x. B ) = D $.
    4t3lem.5 $e |- ( D + A ) = E $.
    $( Lemma for ~ 4t3e12 and related theorems.  (Contributed by Mario
       Carneiro, 19-Apr-2015.) $)
    4t3lem $p |- ( A x. C ) = E $=
      ( cmul co c1 caddc oveq2i nn0cni ax-1cn adddii mulid1i eqtri oveq12i ) AC
      KLABMNLZKLZECUBAKHOUCDANLZEUCABKLZAMKLZNLUDABMAFPZBGPQRUEDUFANIAUGSUATJTT
      $.
  $}

  $( 4 times 3 equals 12.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  4t3e12 $p |- ( 4 x. 3 ) = ; 1 2 $=
    ( c4 c2 c3 c8 c1 cdc 4nn0 2nn0 df-3 4t2e8 8p4e12 4t3lem ) ABCDEBFGHIJKL $.

  $( 4 times 4 equals 16.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  4t4e16 $p |- ( 4 x. 4 ) = ; 1 6 $=
    ( c4 c3 c1 c2 cdc c6 4nn0 3nn0 df-4 4t3e12 1nn0 2nn0 4cn 2cn 4p2e6 addcomli
    eqid decaddi 4t3lem ) ABACDEZCFEGHIJCDFTAKLGTQADFMNOPRS $.

  $( 5 times 2 equals 10.  (Contributed by NM, 5-Feb-2007.)  (Revised by AV,
     4-Sep-2021.) $)
  5t2e10 $p |- ( 5 x. 2 ) = ; 1 0 $=
    ( c5 c1 c2 cc0 cdc 5nn0 1nn0 df-2 5cn mulid1i 5p5e10 4t3lem ) ABCABDEFGHAIJ
    KL $.

  $( 5 times 3 equals 15.  (Contributed by Mario Carneiro, 19-Apr-2015.)
     (Revised by AV, 6-Sep-2021.) $)
  5t3e15 $p |- ( 5 x. 3 ) = ; 1 5 $=
    ( c5 c2 c3 c1 cc0 cdc 5nn0 2nn0 df-3 5t2e10 dec10p 4t3lem ) ABCDEFDAFGHIJAK
    L $.

  $( 5 times 4 equals 20.  (Contributed by Mario Carneiro, 19-Apr-2015.)
     (Revised by AV, 6-Sep-2021.) $)
  5t4e20 $p |- ( 5 x. 4 ) = ; 2 0 $=
    ( c5 c3 c4 c1 cdc c2 5nn0 3nn0 df-4 5t3e15 1nn0 eqid 1p1e2 5p5e10 decaddci2
    cc0 4t3lem ) ABCDAEZFPEGHIJDAFRAKGGRLMNOQ $.

  $( 5 times 5 equals 25.  (Contributed by Mario Carneiro, 19-Apr-2015.)
     (Revised by AV, 6-Sep-2021.) $)
  5t5e25 $p |- ( 5 x. 5 ) = ; 2 5 $=
    ( c5 c4 c1 cc0 cdc c2 cmul co 5nn0 4nn0 df-5 5t4e20 2nn0 dec0u eqtr4i caddc
    dfdec10 eqcomi 4t3lem ) ABACDEFGHZFAEZIJKABGHFDETLFMNOUATAPHFAQRS $.

  $( 6 times 2 equals 12.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  6t2e12 $p |- ( 6 x. 2 ) = ; 1 2 $=
    ( c6 c2 cmul co caddc c1 cdc 6cn times2i 6p6e12 eqtri ) ABCDAAEDFBGAHIJK $.

  $( 6 times 3 equals 18.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  6t3e18 $p |- ( 6 x. 3 ) = ; 1 8 $=
    ( c6 c2 c3 c1 cdc c8 6nn0 2nn0 df-3 6t2e12 1nn0 eqid 6cn 2cn 6p2e8 addcomli
    decaddi 4t3lem ) ABCDBEZDFEGHIJDBFSAKHGSLABFMNOPQR $.

  $( 6 times 4 equals 24.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  6t4e24 $p |- ( 6 x. 4 ) = ; 2 4 $=
    ( c6 c3 c4 c1 c8 cdc 6nn0 3nn0 df-4 6t3e18 1nn0 8nn0 eqid 1p1e2 4nn0 8p6e14
    c2 decaddci 4t3lem ) ABCDEFZQCFGHIJDECQTAKLGTMNOPRS $.

  $( 6 times 5 equals 30.  (Contributed by Mario Carneiro, 19-Apr-2015.)
     (Revised by AV, 6-Sep-2021.) $)
  6t5e30 $p |- ( 6 x. 5 ) = ; 3 0 $=
    ( c6 c4 c5 c2 cdc c3 cc0 6nn0 4nn0 df-5 6t4e24 2nn0 2p1e3 c1 6cn 4cn 6p4e10
    eqid addcomli decaddci2 4t3lem ) ABCDBEZFGEHIJKDBFUBALIHUBRMABNGEOPQSTUA $.

  $( 6 times 6 equals 36.  (Contributed by Mario Carneiro, 19-Apr-2015.)
     (Revised by AV, 6-Sep-2021.) $)
  6t6e36 $p |- ( 6 x. 6 ) = ; 3 6 $=
    ( c6 c5 c1 cc0 cdc c3 cmul co 6nn0 5nn0 df-6 6t5e30 3nn0 dec0u eqtr4i caddc
    dfdec10 eqcomi 4t3lem ) ABACDEFGHZFAEZIJKABGHFDETLFMNOUATAPHFAQRS $.

  $( 7 times 2 equals 14.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  7t2e14 $p |- ( 7 x. 2 ) = ; 1 4 $=
    ( c7 c2 cmul co caddc c1 c4 cdc 7cn times2i 7p7e14 eqtri ) ABCDAAEDFGHAIJKL
    $.

  $( 7 times 3 equals 21.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  7t3e21 $p |- ( 7 x. 3 ) = ; 2 1 $=
    ( c7 c2 c3 c1 c4 7nn0 2nn0 df-3 7t2e14 1nn0 4nn0 eqid 1p1e2 nn0cni addcomli
    cdc 7p4e11 decaddci 4t3lem ) ABCDEPZBDPFGHIDEDBTAJKFTLMJAEDDPAFNEKNQORS $.

  $( 7 times 4 equals 28.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  7t4e28 $p |- ( 7 x. 4 ) = ; 2 8 $=
    ( c7 c3 c4 c2 c1 cdc c8 7nn0 3nn0 df-4 7t3e21 2nn0 1nn0 7cn ax-1cn addcomli
    eqid 7p1e8 decaddi 4t3lem ) ABCDEFZDGFHIJKDEGUAALMHUAQAEGNORPST $.

  $( 7 times 5 equals 35.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  7t5e35 $p |- ( 7 x. 5 ) = ; 3 5 $=
    ( c7 c4 c5 c2 c8 cdc 7nn0 4nn0 df-5 7t4e28 2nn0 8nn0 eqid 2p1e3 5nn0 8p7e15
    c3 decaddci 4t3lem ) ABCDEFZQCFGHIJDECQTAKLGTMNOPRS $.

  $( 7 times 6 equals 42.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  7t6e42 $p |- ( 7 x. 6 ) = ; 4 2 $=
    ( c7 c5 c6 c3 cdc c4 c2 7nn0 5nn0 df-6 7t5e35 3nn0 eqid 3p1e4 nn0cni 7p5e12
    2nn0 c1 addcomli decaddci 4t3lem ) ABCDBEZFGEHIJKDBGFUBALIHUBMNQABRGEAHOBIO
    PSTUA $.

  $( 7 times 7 equals 49.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  7t7e49 $p |- ( 7 x. 7 ) = ; 4 9 $=
    ( c7 c6 c4 c2 cdc c9 7nn0 6nn0 df-7 7t6e42 4nn0 2nn0 7cn 2cn 7p2e9 addcomli
    eqid decaddi 4t3lem ) ABACDEZCFEGHIJCDFTAKLGTQADFMNOPRS $.

  $( 8 times 2 equals 16.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  8t2e16 $p |- ( 8 x. 2 ) = ; 1 6 $=
    ( c8 c2 cmul co caddc c1 c6 cdc 8cn times2i 8p8e16 eqtri ) ABCDAAEDFGHAIJKL
    $.

  $( 8 times 3 equals 24.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  8t3e24 $p |- ( 8 x. 3 ) = ; 2 4 $=
    ( c8 c2 c3 c1 c6 cdc 8nn0 2nn0 df-3 8t2e16 1nn0 6nn0 eqid 1p1e2 4nn0 nn0cni
    c4 8p6e14 addcomli decaddci 4t3lem ) ABCDEFZBQFGHIJDEQBUBAKLGUBMNOAEDQFAGPE
    LPRSTUA $.

  $( 8 times 4 equals 32.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  8t4e32 $p |- ( 8 x. 4 ) = ; 3 2 $=
    ( c8 c3 c4 c2 8nn0 3nn0 df-4 8t3e24 2nn0 4nn0 eqid 2p1e3 c1 nn0cni addcomli
    cdc 8p4e12 decaddci 4t3lem ) ABCDCPZBDPEFGHDCDBTAIJETKLIACMDPAENCJNQORS $.

  $( 8 times 5 equals 40.  (Contributed by Mario Carneiro, 19-Apr-2015.)
     (Revised by AV, 6-Sep-2021.) $)
  8t5e40 $p |- ( 8 x. 5 ) = ; 4 0 $=
    ( c8 c4 c5 c3 c2 cdc cc0 8nn0 4nn0 df-5 8t4e32 3nn0 2nn0 eqid 3p1e4 8cn 2cn
    c1 8p2e10 addcomli decaddci2 4t3lem ) ABCDEFZBGFHIJKDEBUCALMHUCNOAERGFPQSTU
    AUB $.

  $( 8 times 6 equals 48.  (Contributed by Mario Carneiro, 19-Apr-2015.)
     (Revised by AV, 6-Sep-2021.) $)
  8t6e48 $p |- ( 8 x. 6 ) = ; 4 8 $=
    ( c8 c5 c6 c1 cc0 cdc c4 cmul 8nn0 5nn0 df-6 8t5e40 4nn0 dec0u eqtr4i caddc
    co dfdec10 eqcomi 4t3lem ) ABCDEFGHQZGAFZIJKABHQGEFUALGMNOUBUAAPQGARST $.

  $( 8 times 7 equals 56.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  8t7e56 $p |- ( 8 x. 7 ) = ; 5 6 $=
    ( c8 c6 c7 c4 cdc c5 8nn0 6nn0 df-7 8t6e48 4nn0 eqid 8p8e16 decaddci 4t3lem
    4p1e5 ) ABCDAEZFBEGHIJDABFQAKGGQLPHMNO $.

  $( 8 times 8 equals 64.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  8t8e64 $p |- ( 8 x. 8 ) = ; 6 4 $=
    ( c8 c7 c5 c6 cdc c4 8nn0 7nn0 df-8 8t7e56 5nn0 6nn0 eqid 5p1e6 4nn0 nn0cni
    c1 8p6e14 addcomli decaddci 4t3lem ) ABACDEZDFEGHIJCDFDUBAKLGUBMNOADQFEAGPD
    LPRSTUA $.

  $( 9 times 2 equals 18.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  9t2e18 $p |- ( 9 x. 2 ) = ; 1 8 $=
    ( c9 c2 cmul co caddc c1 c8 cdc 9cn times2i 9p9e18 eqtri ) ABCDAAEDFGHAIJKL
    $.

  $( 9 times 3 equals 27.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  9t3e27 $p |- ( 9 x. 3 ) = ; 2 7 $=
    ( c9 c2 c3 c1 c8 cdc 9nn0 2nn0 df-3 9t2e18 1nn0 8nn0 eqid 1p1e2 7nn0 nn0cni
    c7 9p8e17 addcomli decaddci 4t3lem ) ABCDEFZBQFGHIJDEQBUBAKLGUBMNOAEDQFAGPE
    LPRSTUA $.

  $( 9 times 4 equals 36.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  9t4e36 $p |- ( 9 x. 4 ) = ; 3 6 $=
    ( c9 c3 c4 c2 c7 cdc 9nn0 3nn0 df-4 9t3e27 2nn0 7nn0 eqid 2p1e3 6nn0 nn0cni
    c6 c1 9p7e16 addcomli decaddci 4t3lem ) ABCDEFZBQFGHIJDEQBUCAKLGUCMNOAERQFA
    GPELPSTUAUB $.

  $( 9 times 5 equals 45.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  9t5e45 $p |- ( 9 x. 5 ) = ; 4 5 $=
    ( c9 c4 c5 c3 c6 cdc 9nn0 4nn0 df-5 9t4e36 3nn0 6nn0 eqid 3p1e4 5nn0 nn0cni
    c1 9p6e15 addcomli decaddci 4t3lem ) ABCDEFZBCFGHIJDECBUBAKLGUBMNOAEQCFAGPE
    LPRSTUA $.

  $( 9 times 6 equals 54.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  9t6e54 $p |- ( 9 x. 6 ) = ; 5 4 $=
    ( c9 c5 c6 cdc 9nn0 5nn0 df-6 9t5e45 4nn0 eqid 4p1e5 nn0cni 9p5e14 addcomli
    c4 c1 decaddci 4t3lem ) ABCOBDZBODEFGHOBOBSAIFESJKIABPODAELBFLMNQR $.

  $( 9 times 7 equals 63.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  9t7e63 $p |- ( 9 x. 7 ) = ; 6 3 $=
    ( c9 c6 c7 c5 c4 cdc 9nn0 6nn0 df-7 9t6e54 5nn0 4nn0 eqid 5p1e6 3nn0 nn0cni
    c3 c1 9p4e13 addcomli decaddci 4t3lem ) ABCDEFZBQFGHIJDEQBUCAKLGUCMNOAERQFA
    GPELPSTUAUB $.

  $( 9 times 8 equals 72.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  9t8e72 $p |- ( 9 x. 8 ) = ; 7 2 $=
    ( c9 c7 c8 c6 c3 cdc c2 9nn0 7nn0 df-8 9t7e63 6nn0 3nn0 eqid 6p1e7 2nn0 9cn
    c1 3cn 9p3e12 addcomli decaddci 4t3lem ) ABCDEFZBGFHIJKDEGBUDALMHUDNOPAERGF
    QSTUAUBUC $.

  $( 9 times 9 equals 81.  (Contributed by Mario Carneiro, 19-Apr-2015.) $)
  9t9e81 $p |- ( 9 x. 9 ) = ; 8 1 $=
    ( c9 c8 c7 c2 cdc c1 9nn0 8nn0 df-9 9t8e72 7nn0 2nn0 eqid 7p1e8 1nn0 9p2e11
    9cn 2cn addcomli decaddci 4t3lem ) ABACDEZBFEGHIJCDFBUBAKLGUBMNOADFFEQRPSTU
    A $.

  $( 9 times 11 equals 99.  (Contributed by AV, 14-Jun-2021.)  (Revised by AV,
     6-Sep-2021.) $)
  9t11e99 $p |- ( 9 x. ; 1 1 ) = ; 9 9 $=
    ( c9 c1 cc0 cdc cmul co caddc 9cn 10nn0 nn0cni ax-1cn mulcli adddii mulid1i
    oveq2i mulcomi eqtri oveq12i dfdec10 3eqtr4i ) ABCDZBEFZBGFZEFZUAAEFZAGFZAB
    BDZEFAADUDAUBEFZABEFZGFUFAUBBHUABUAIJZKLKMUHUEUIAGUHAUAEFUEUBUAAEUAUJNOAUAH
    UJPQAHNRQUGUCAEBBSOAAST $.

  $( 9 is less than 10.  (Contributed by Mario Carneiro, 8-Feb-2015.)  (Revised
     by AV, 8-Sep-2021.) $)
  9lt10 $p |- 9 < ; 1 0 $=
    ( c9 c1 caddc co cc0 cdc clt 9re ltp1i 9p1e10 breqtri ) AABCDBEFGAHIJK $.

  $( 8 is less than 10.  (Contributed by Mario Carneiro, 8-Feb-2015.)  (Revised
     by AV, 8-Sep-2021.) $)
  8lt10 $p |- 8 < ; 1 0 $=
    ( c8 c9 clt wbr c1 cc0 cdc 8lt9 9lt10 8re 9re 10re lttri mp2an ) ABCDBEFGZC
    DAOCDHIABOJKLMN $.

  $( 7 is less than 10.  (Contributed by Mario Carneiro, 10-Mar-2015.)
     (Revised by AV, 8-Sep-2021.) $)
  7lt10 $p |- 7 < ; 1 0 $=
    ( c7 c8 clt wbr c1 cc0 cdc 7lt8 8lt10 7re 8re 10re lttri mp2an ) ABCDBEFGZC
    DAOCDHIABOJKLMN $.

  $( 6 is less than 10.  (Contributed by Mario Carneiro, 10-Mar-2015.)
     (Revised by AV, 8-Sep-2021.) $)
  6lt10 $p |- 6 < ; 1 0 $=
    ( c6 c7 clt wbr c1 cc0 cdc 6lt7 7lt10 6re 7re 10re lttri mp2an ) ABCDBEFGZC
    DAOCDHIABOJKLMN $.

  $( 5 is less than 10.  (Contributed by Mario Carneiro, 10-Mar-2015.)
     (Revised by AV, 8-Sep-2021.) $)
  5lt10 $p |- 5 < ; 1 0 $=
    ( c5 c6 clt wbr c1 cc0 cdc 5lt6 6lt10 5re 6re 10re lttri mp2an ) ABCDBEFGZC
    DAOCDHIABOJKLMN $.

  $( 4 is less than 10.  (Contributed by Mario Carneiro, 10-Mar-2015.)
     (Revised by AV, 8-Sep-2021.) $)
  4lt10 $p |- 4 < ; 1 0 $=
    ( c4 c5 clt wbr c1 cc0 cdc 4lt5 5lt10 4re 5re 10re lttri mp2an ) ABCDBEFGZC
    DAOCDHIABOJKLMN $.

  $( 3 is less than 10.  (Contributed by Mario Carneiro, 10-Mar-2015.)
     (Revised by AV, 8-Sep-2021.) $)
  3lt10 $p |- 3 < ; 1 0 $=
    ( c3 c4 clt wbr c1 cc0 cdc 3lt4 4lt10 3re 4re 10re lttri mp2an ) ABCDBEFGZC
    DAOCDHIABOJKLMN $.

  $( 2 is less than 10.  (Contributed by Mario Carneiro, 10-Mar-2015.)
     (Revised by AV, 8-Sep-2021.) $)
  2lt10 $p |- 2 < ; 1 0 $=
    ( c2 c3 clt wbr c1 cc0 cdc 2lt3 3lt10 2re 3re 10re lttri mp2an ) ABCDBEFGZC
    DAOCDHIABOJKLMN $.

  $( 1 is less than 10.  (Contributed by NM, 7-Nov-2012.)  (Revised by Mario
     Carneiro, 9-Mar-2015.)  (Revised by AV, 8-Sep-2021.) $)
  1lt10 $p |- 1 < ; 1 0 $=
    ( c1 c2 clt wbr cc0 cdc 1lt2 2lt10 1re 2re 10re lttri mp2an ) ABCDBAEFZCDAN
    CDGHABNIJKLM $.

  ${
    decbin.1 $e |- A e. NN0 $.
    $( Decompose base 4 into base 2.  (Contributed by Mario Carneiro,
       18-Feb-2014.) $)
    decbin0 $p |- ( 4 x. A ) = ( 2 x. ( 2 x. A ) ) $=
      ( c2 cmul co c4 2t2e4 oveq1i 2cn nn0cni mulassi eqtr3i ) CCDEZADEFADECCAD
      EDEMFADGHCCAIIABJKL $.

    $( Decompose base 4 into base 2.  (Contributed by Mario Carneiro,
       18-Feb-2014.) $)
    decbin2 $p |- ( ( 4 x. A ) + 2 ) = ( 2 x. ( ( 2 x. A ) + 1 ) ) $=
      ( c2 cmul co c1 caddc c4 2t1e2 oveq2i nn0cni mulcli ax-1cn adddii decbin0
      2cn oveq1i 3eqtr4ri ) CCADEZDEZCFDEZGETCGECSFGEDEHADEZCGEUACTGIJCSFPCAPAB
      KLMNUBTCGABOQR $.

    $( Decompose base 4 into base 2.  (Contributed by Mario Carneiro,
       18-Feb-2014.) $)
    decbin3 $p |- ( ( 4 x. A ) + 3 ) = ( ( 2 x. ( ( 2 x. A ) + 1 ) ) + 1 ) $=
      ( c2 cmul co c1 caddc c4 c3 4nn0 2nn0 2p1e3 decbin2 eqcomi numsuc ) CCADE
      FGEDEZFGEHADEZIGEACIHPJBKLQCGEPABMNON $.
  $}

  $( Half minus a third.  (Contributed by Scott Fenton, 8-Jul-2015.) $)
  halfthird $p |- ( ( 1 / 2 ) - ( 1 / 3 ) ) = ( 1 / 6 ) $=
    ( c1 c2 cdiv co c3 cmin cmul c6 2cn 3cn 2ne0 subreci ax-1cn 2p1e3 subaddrii
    3ne0 3t2e6 mulcomli oveq12i eqtri ) ABCDAECDFDEBFDZBEGDZCDAHCDBEIJKPLUAAUBH
    CEBAJIMNOEBHJIQRST $.

  $( One fifth minus one sixth.  (Contributed by Scott Fenton, 9-Jan-2017.) $)
  5recm6rec $p |- ( ( 1 / 5 ) - ( 1 / 6 ) ) = ( 1 / ; 3 0 ) $=
    ( c1 c5 cdiv co c6 cmin cmul cc0 cdc 5cn 6cn 5re 5pos gt0ne0ii 6pos subreci
    c3 6re ax-1cn 5p1e6 subaddrii 6t5e30 mulcomli oveq12i eqtri ) ABCDAECDFDEBF
    DZBEGDZCDAQHIZCDBEJKBLMNERONPUFAUGUHCEBAKJSTUAEBUHKJUBUCUDUE $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Upper sets of integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ZZ>= $. $( ` ZZ ` with "greater than or equal to" subscript. $)

  $( Extend class notation with the upper integer function.
     Read " ` ZZ>= `` M ` " as "the set of integers greater than or equal to
     ` M ` ". $)
  cuz $a class ZZ>= $.

  ${
    $d j k N $.  $d k M $.
    $( Define a function whose value at ` j ` is the semi-infinite set of
       contiguous integers starting at ` j ` , which we will also call the
       upper integers starting at ` j ` .  Read " ` ZZ>= `` M ` " as "the set
       of integers greater than or equal to ` M ` ".  See ~ uzval for its
       value, ~ uzssz for its relationship to ` ZZ ` , ~ nnuz and ~ nn0uz for
       its relationships to ` NN ` and ` NN0 ` , and ~ eluz1 and ~ eluz2 for
       its membership relations.  (Contributed by NM, 5-Sep-2005.) $)
    df-uz $a |- ZZ>= = ( j e. ZZ |-> { k e. ZZ | j <_ k } ) $.

    $( The value of the upper integers function.  (Contributed by NM,
       5-Sep-2005.)  (Revised by Mario Carneiro, 3-Nov-2013.) $)
    uzval $p |- ( N e. ZZ -> ( ZZ>= ` N ) = { k e. ZZ | N <_ k } ) $=
      ( vj cv cle wbr cz crab cuz wceq breq1 rabbidv df-uz zex rabex fvmpt ) CB
      CDZADZEFZAGHBREFZAGHGIQBJSTAGQBREKLCAMTAGNOP $.

    $( The domain and range of the upper integers function.  (Contributed by
       Scott Fenton, 8-Aug-2013.)  (Revised by Mario Carneiro, 3-Nov-2013.) $)
    uzf $p |- ZZ>= : ZZ --> ~P ZZ $=
      ( vj vk cv cle wbr cz crab cpw wcel wral cuz wf ssrab2 elpwi2 rgenw df-uz
      cvv zex fmpt mpbi ) ACBCDEZBFGZFHZIZAFJFUCKLUDAFUBFQRUABFMNOAFUCUBKABPST
      $.

    $( Membership in the upper set of integers starting at ` M ` .
       (Contributed by NM, 5-Sep-2005.) $)
    eluz1 $p |- ( M e. ZZ ->
           ( N e. ( ZZ>= ` M ) <-> ( N e. ZZ /\ M <_ N ) ) ) $=
      ( vk cz wcel cuz cfv cv cle wbr crab wa uzval eleq2d breq2 elrab bitrdi )
      ADEZBAFGZEBACHZIJZCDKZEBDEABIJZLRSUBBCAMNUAUCCBDTBAIOPQ $.

    $( Implication of membership in an upper set of integers.  (Contributed by
       NM, 6-Sep-2005.)  (Revised by Mario Carneiro, 3-Nov-2013.) $)
    eluzel2 $p |- ( N e. ( ZZ>= ` M ) -> M e. ZZ ) $=
      ( cuz cfv wcel cdm cz elfvdm cpw uzf fdmi eleqtrdi ) BACDEACFGBACHGGICJKL
      $.

    $( Membership in an upper set of integers.  We use the fact that a
       function's value (under our function value definition) is empty outside
       of its domain to show ` M e. ZZ ` .  (Contributed by NM, 5-Sep-2005.)
       (Revised by Mario Carneiro, 3-Nov-2013.) $)
    eluz2 $p |- ( N e. ( ZZ>= ` M ) <-> ( M e. ZZ /\ N e. ZZ /\ M <_ N ) ) $=
      ( cuz cfv wcel cz cle wbr w3a eluzel2 simp1 wa eluz1 bitrd 3anass bitr4di
      ibar pm5.21nii ) BACDEZAFEZTBFEZABGHZIZABJTUAUBKTSTUAUBLZLZUCTSUDUEABMTUD
      QNTUAUBOPR $.
  $}

  $( Membership in an earlier upper set of integers.  (Contributed by Thierry
     Arnoux, 8-Oct-2018.) $)
  eluzmn $p |- ( ( M e. ZZ /\ N e. NN0 ) -> M e. ( ZZ>= ` ( M - N ) ) ) $=
    ( cz wcel cn0 wa cmin co cle wbr cuz simpl simpr nn0zd zsubcld caddc nn0red
    cfv zred recnd readdcld cr nn0addge1 sylancom lesub1dd pncand breqtrd eluz2
    syl3anbrc ) ACDZBEDZFZABGHZCDUJUMAIJAUMKRDULABUJUKLZULBUJUKMZNOUNULUMABPHZB
    GHAIULAUPBULAUNSZULABUQULBUOQZUAURUJUKAUBDAUPIJUQABUCUDUEULABULAUQTULBURTUF
    UGUMAUHUI $.

  ${
    eluz.1 $e |- M e. ZZ $.
    $( Membership in an upper set of integers.  (Contributed by NM,
       5-Sep-2005.) $)
    eluz1i $p |- ( N e. ( ZZ>= ` M ) <-> ( N e. ZZ /\ M <_ N ) ) $=
      ( cz wcel cuz cfv cle wbr wa wb eluz1 ax-mp ) ADEBAFGEBDEABHIJKCABLM $.
  $}

  $( An integer in an upper set of integers is an element of an upper set of
     integers with a smaller bound.  (Contributed by Alexander van der Vekens,
     17-Jun-2018.) $)
  eluzuzle $p |- ( ( B e. ZZ /\ B <_ A )
                   -> ( C e. ( ZZ>= ` A ) -> C e. ( ZZ>= ` B ) ) ) $=
    ( cuz cfv wcel cz cle wbr w3a wa eluz2 simpll simpr2 cr zre ad2antrr adantl
    3ad2ant1 3ad2ant2 simplr simpr3 letrd syl3anbrc ex syl5bi ) CADEFAGFZCGFZAC
    HIZJZBGFZBAHIZKZCBDEFZACLUMUJUNUMUJKZUKUHBCHIUNUKULUJMUMUGUHUINUOBACUKBOFUL
    UJBPQUJAOFZUMUGUHUPUIAPSRUJCOFZUMUHUGUQUICPTRUKULUJUAUMUGUHUIUBUCBCLUDUEUF
    $.

  $( A member of an upper set of integers is an integer.  (Contributed by NM,
     6-Sep-2005.) $)
  eluzelz $p |- ( N e. ( ZZ>= ` M ) -> N e. ZZ ) $=
    ( cuz cfv wcel cz cle wbr eluz2 simp2bi ) BACDEAFEBFEABGHABIJ $.

  $( A member of an upper set of integers is a real.  (Contributed by Mario
     Carneiro, 31-Aug-2013.) $)
  eluzelre $p |- ( N e. ( ZZ>= ` M ) -> N e. RR ) $=
    ( cuz cfv wcel eluzelz zred ) BACDEBABFG $.

  $( A member of an upper set of integers is a complex number.  (Contributed by
     Glauco Siliprandi, 29-Jun-2017.) $)
  eluzelcn $p |- ( N e. ( ZZ>= ` M ) -> N e. CC ) $=
    ( cuz cfv wcel eluzelre recnd ) BACDEBABFG $.

  $( Implication of membership in an upper set of integers.  (Contributed by
     NM, 6-Sep-2005.) $)
  eluzle $p |- ( N e. ( ZZ>= ` M ) -> M <_ N ) $=
    ( cuz cfv wcel cz cle wbr eluz2 simp3bi ) BACDEAFEBFEABGHABIJ $.

  $( Membership in an upper set of integers.  (Contributed by NM,
     2-Oct-2005.) $)
  eluz $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( N e. ( ZZ>= ` M ) <-> M <_ N ) ) $=
    ( cz wcel cuz cfv cle wbr eluz1 baibd ) ACDBAEFDBCDABGHABIJ $.

  $( Membership of the least member in an upper set of integers.  (Contributed
     by NM, 2-Sep-2005.) $)
  uzid $p |- ( M e. ZZ -> M e. ( ZZ>= ` M ) ) $=
    ( cz wcel cuz cfv cle wbr id zre leidd eluz1 mpbir2and ) ABCZAADECMAAFGMHMA
    AIJAAKL $.

  ${
    uzidd.1 $e |- ( ph -> M e. ZZ ) $.
    $( Membership of the least member in an upper set of integers.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    uzidd $p |- ( ph -> M e. ( ZZ>= ` M ) ) $=
      ( cz wcel cuz cfv uzid syl ) ABDEBBFGECBHI $.
  $}

  ${
    $d k M $.
    $( The upper integers are all nonempty.  (Contributed by Mario Carneiro,
       16-Jan-2014.) $)
    uzn0 $p |- ( M e. ran ZZ>= -> M =/= (/) ) $=
      ( vk cuz crn wcel cv cfv wceq cz wrex c0 wne cpw wfn uzf ffn fvelrnb mp2b
      wf wb uzid ne0d neeq1 syl5ibcom rexlimiv sylbi ) ACDEZBFZCGZAHZBIJZAKLZII
      MZCSCINUGUKTOIUMCPBIACQRUJULBIUHIEZUIKLUJULUNUIUHUHUAUBUIAKUCUDUEUF $.
  $}

  $( Transitive law for sets of upper integers.  (Contributed by NM,
     20-Sep-2005.) $)
  uztrn $p |- ( ( M e. ( ZZ>= ` K ) /\ K e. ( ZZ>= ` N ) ) ->
              M e. ( ZZ>= ` N ) ) $=
    ( cuz cfv wcel wa cz cle eluzel2 adantl eluzelz adantr eluzle wi syl2an23an
    wbr zletr mp2and eluz2 syl3anbrc ) BADEFZACDEZFZGZCHFZBHFZCBIQZBUCFUDUFUBCA
    JZKUBUGUDABLMZUECAIQZABIQZUHUDUKUBCANKUBULUDABNMUDUFAHFUBUGUKULGUHOUICALUJC
    ABRPSCBTUA $.

  ${
    uztrn2.1 $e |- Z = ( ZZ>= ` K ) $.
    $( Transitive law for sets of upper integers.  (Contributed by Mario
       Carneiro, 26-Dec-2013.) $)
    uztrn2 $p |- ( ( N e. Z /\ M e. ( ZZ>= ` N ) ) -> M e. Z ) $=
      ( wcel cuz cfv wa eleq2i uztrn ancoms sylanb eleqtrrdi ) CDFZBCGHFZIBAGHZ
      DOCQFZPBQFZDQCEJPRSCBAKLMEN $.
  $}

  $( Contraposition law for upper integers.  (Contributed by NM,
     28-Nov-2005.) $)
  uzneg $p |- ( N e. ( ZZ>= ` M ) -> -u M e. ( ZZ>= ` -u N ) ) $=
    ( cuz cfv wcel cneg cle wbr eluzle cz wb eluzel2 eluzelz zre syl2an syl2anc
    cr leneg mpbid znegcl eluz mpbird ) BACDEZAFZBFZCDEZUEUDGHZUCABGHZUGABIUCAJ
    EZBJEZUHUGKZABLZABMZUIAQEBQEUKUJANBNABROPSUCUJUIUFUGKZUMULUJUEJEUDJEUNUIBTA
    TUEUDUAOPUB $.

  $( An upper set of integers is a subset of all integers.  (Contributed by NM,
     2-Sep-2005.)  (Revised by Mario Carneiro, 3-Nov-2013.) $)
  uzssz $p |- ( ZZ>= ` M ) C_ ZZ $=
    ( cuz cdm wcel cfv cz wss cpw ffvelrni elpwid fdmi eleq2s wn ndmfv eqsstrdi
    uzf c0 0ss pm2.61i ) ABCZDZABEZFGZUCAFTAFDUBFFFHZABPIJFUDBPKLUAMUBQFABNFROS
    $.

  $( An upper set of integers is a subset of the reals.  (Contributed by Glauco
     Siliprandi, 23-Oct-2021.) $)
  uzssre $p |- ( ZZ>= ` M ) C_ RR $=
    ( cuz cfv cz cr uzssz zssre sstri ) ABCDEAFGH $.

  ${
    $d k M $.  $d k N $.
    $( Subset relationship for two sets of upper integers.  (Contributed by NM,
       5-Sep-2005.) $)
    uzss $p |- ( N e. ( ZZ>= ` M ) -> ( ZZ>= ` N ) C_ ( ZZ>= ` M ) ) $=
      ( vk cuz cfv wcel cv cz cle wbr wa eluzle adantr wi eluzel2 eluzelz eluz1
      jca wb syl zletr 3expa sylan mpand imdistanda 3imtr4d ssrdv ) BADEZFZCBDE
      ZUHUICGZHFZBUKIJZKZULAUKIJZKZUKUJFZUKUHFZUIULUMUOUIULKABIJZUMUOUIUSULABLM
      UIAHFZBHFZKULUSUMKUONZUIUTVAABOZABPZRUTVAULVBABUKUAUBUCUDUEUIVAUQUNSVDBUK
      QTUIUTURUPSVCAUKQTUFUG $.
  $}

  $( Totality of the ordering relation on integers, stated in terms of upper
     integers.  (Contributed by NM, 6-Jul-2005.)  (Revised by Mario Carneiro,
     25-Jun-2013.) $)
  uztric $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
      ( N e. ( ZZ>= ` M ) \/ M e. ( ZZ>= ` N ) ) ) $=
    ( cz wcel wa cuz cfv wo cle wbr cr zre letric syl2an eluz wb ancoms orbi12d
    mpbird ) ACDZBCDZEZBAFGDZABFGDZHABIJZBAIJZHZTAKDBKDUGUAALBLABMNUBUCUEUDUFAB
    OUATUDUFPBAOQRS $.

  $( The upper integers function is one-to-one.  (Contributed by NM,
     12-Dec-2005.) $)
  uz11 $p |- ( M e. ZZ -> ( ( ZZ>= ` M ) = ( ZZ>= ` N ) <-> M = N ) ) $=
    ( cz wcel cuz cfv wceq wa eleq2 eluzel2 syl6bi mpan9 cle wbr syl5ibr eluzle
    uzid syl6 cr zre syl5ib anim12d impl ancoms anassrs wb letri3 syl2an mpbird
    adantlr mpdan ex fveq2 impbid1 ) ACDZAEFZBEFZGZABGZUOURUSUOURHZBCDZUSUOAUPD
    ZURVAAQZURVBAUQDZVAUPUQAIZBAJKLUTVAHUSABMNZBAMNZHZUOURVAVHURVAHUOVHURVAUOVH
    URVAVFUOVGURVABUPDZVFVAVIURBUQDBQUPUQBIOABPRURUOVDVGUOVBURVDVCVEUABAPRUBUCU
    DUEUOVAUSVHUFZURUOASDBSDVJVAATBTABUGUHUJUIUKULABEUMUN $.

  $( Membership in the next upper set of integers.  (Contributed by NM,
     12-Sep-2005.) $)
  eluzp1m1 $p |- ( ( M e. ZZ /\
             N e. ( ZZ>= ` ( M + 1 ) ) ) -> ( N - 1 ) e. ( ZZ>= ` M ) ) $=
    ( cz wcel c1 caddc co cuz cfv cmin cle wbr wa peano2zm ad2antrl cr wb eluz1
    zre 1re leaddsub mp3an2 syl2an biimpa anasss jca ex peano2z syl 3imtr4d imp
    ) ACDZBAEFGZHIDZBEJGZAHIDZULBCDZUMBKLZMZUOCDZAUOKLZMZUNUPULUSVBULUSMUTVAUQU
    TULURBNOULUQURVAULUQMURVAULAPDZBPDZURVAQZUQASBSVCEPDVDVETAEBUAUBUCUDUEUFUGU
    LUMCDUNUSQAUHUMBRUIAUORUJUK $.

  $( Strict ordering implied by membership in the next upper set of integers.
     (Contributed by NM, 12-Sep-2005.) $)
  eluzp1l $p |- ( ( M e. ZZ /\ N e. ( ZZ>= ` ( M + 1 ) ) ) -> M < N ) $=
    ( cz wcel c1 caddc cuz cfv clt wbr cle eluzle adantl eluzelz zltp1le sylan2
    co wa wb mpbird ) ACDZBAEFQZGHDZRABIJZUBBKJZUCUEUAUBBLMUCUABCDUDUESUBBNABOP
    T $.

  $( Membership in the next upper set of integers.  (Contributed by NM,
     5-Oct-2005.) $)
  eluzp1p1 $p |- ( N e. ( ZZ>= ` M ) -> ( N + 1 ) e. ( ZZ>= ` ( M + 1 ) ) ) $=
    ( cz wcel cle wbr w3a c1 caddc co cuz cfv peano2z 3ad2ant1 3ad2ant2 zre 1re
    cr wb eluz2 leadd1 mp3an3 syl2an biimp3a 3jca 3imtr4i ) ACDZBCDZABEFZGZAHIJ
    ZCDZBHIJZCDZUKUMEFZGBAKLDUMUKKLDUJULUNUOUGUHULUIAMNUHUGUNUIBMOUGUHUIUOUGARD
    ZBRDZUIUOSZUHAPBPUPUQHRDURQABHUAUBUCUDUEABTUKUMTUF $.

  ${
    eluzaddi.1 $e |- M e. ZZ $.
    eluzaddi.2 $e |- K e. ZZ $.
    $( Membership in a later upper set of integers.  (Contributed by Paul
       Chapman, 22-Nov-2007.) $)
    eluzaddi $p |- ( N e. ( ZZ>= ` M )
          -> ( N + K ) e. ( ZZ>= ` ( M + K ) ) ) $=
      ( cuz cfv wcel caddc co cz cle wbr eluzelz zaddcl sylancl wa eluz1i zrei
      cr wb zre leadd1 mp3an13 syl biimpa sylbi mp2an sylanbrc ) CBFGHZCAIJZKHZ
      BAIJZUKLMZUKUMFGHUJCKHZAKHZULBCNECAOPUJUOBCLMZQUNBCDRUOUQUNUOCTHZUQUNUAZC
      UBBTHURATHUSBDSAESBCAUCUDUEUFUGUMUKBKHUPUMKHDEBAOUHRUI $.

    $( Membership in an earlier upper set of integers.  (Contributed by Paul
       Chapman, 22-Nov-2007.) $)
    eluzsubi $p |- ( N e. ( ZZ>= ` ( M + K ) )
         -> ( N - K ) e. ( ZZ>= ` M ) ) $=
      ( caddc co cuz cfv wcel cmin cz cle eluzelz zsubcl sylancl eluz1i cr zrei
      wbr wa zaddcl mp2an wb zre leaddsub mp3an12i biimpa sylbi sylanbrc ) CBAF
      GZHIJZCAKGZLJZBUMMTZUMBHIJULCLJZALJZUNUKCNECAOPULUPUKCMTZUAUOUKCBLJUQUKLJ
      DEBAUBUCQUPURUOBRJARJUPCRJURUOUDBDSAESCUEBACUFUGUHUIBUMDQUJ $.
  $}

  $( Membership in a later upper set of integers.  (Contributed by Jeff Madsen,
     2-Sep-2009.) $)
  eluzadd $p |- ( ( N e. ( ZZ>= ` M ) /\ K e. ZZ ) ->
                                      ( N + K ) e. ( ZZ>= ` ( M + K ) ) ) $=
    ( cuz cfv wcel cz caddc co eluzel2 wa wi cc0 cif wceq fveq2 eleq2d oveq2 0z
    elimel fvoveq1 imbi12d fveq2d eleq12d imbi2d eluzaddi dedth2h com12 mpand
    imp ) CBDEZFZAGFZCAHIZBAHIDEZFZULBGFZUMUPBCJUQUMKULUPUQUMULUPLCUQBMNZDEZFZU
    NURAHIZDEZFZLUTCUMAMNZHIZURVDHIZDEZFZLBAMMBUROZULUTUPVCVIUKUSCBURDPQVIUOVBU
    NBURADHUAQUBAVDOZVCVHUTVJUNVEVBVGAVDCHRVJVAVFDAVDURHRUCUDUEVDURCBMGSTAMGSTU
    FUGUHUIUJ $.

  $( Membership in an earlier upper set of integers.  (Contributed by Jeff
     Madsen, 2-Sep-2009.) $)
  eluzsub $p |- ( ( M e. ZZ /\ K e. ZZ /\ N e. ( ZZ>= ` ( M + K ) ) )
                                          -> ( N - K ) e. ( ZZ>= ` M ) ) $=
    ( cz wcel caddc co cuz cfv cmin wi cc0 wceq fvoveq1 eleq2d imbi12d oveq2 0z
    cif elimel fveq2 fveq2d eleq1d eluzsubi dedth2h 3impia ) BDEZADEZCBAFGHIZEZ
    CAJGZBHIZEZUGUHUJUMKCUGBLSZAFGZHIZEZUKUNHIZEZKCUNUHALSZFGZHIZEZCUTJGZUREZKB
    ALLBUNMZUJUQUMUSVFUIUPCBUNAHFNOVFULURUKBUNHUAOPAUTMZUQVCUSVEVGUPVBCVGUOVAHA
    UTUNFQUBOVGUKVDURAUTCJQUCPUTUNCBLDRTALDRTUDUEUF $.

  $( Membership of a difference in an earlier upper set of integers.
     (Contributed by AV, 10-May-2022.) $)
  subeluzsub $p |- ( ( M e. ZZ /\ N e. ( ZZ>= ` K ) )
                     -> ( M - K ) e. ( ZZ>= ` ( M - N ) ) ) $=
    ( cz wcel cuz cfv wa cmin cle wbr eluzelz zsubcl sylan2 eluzel2 zred adantl
    co cr zre adantr eluzle lesub2dd eluz2 syl3anbrc ) BDEZCAFGEZHZBCIRZDEZBAIR
    ZDEZUIUKJKUKUIFGEUGUFCDEUJACLZBCMNUGUFADEULACOZBAMNUHACBUGASEUFUGAUNPQUGCSE
    UFUGCUMPQUFBSEUGBTUAUGACJKUFACUBQUCUIUKUDUE $.

  $( Choices for an element of an upper interval of integers.  (Contributed by
     Jeff Madsen, 2-Sep-2009.) $)
  uzm1 $p |- ( N e. ( ZZ>= ` M ) -> ( N = M \/ ( N - 1 ) e. ( ZZ>= ` M ) ) ) $=
    ( cuz cfv wcel wceq c1 cmin co cle wbr w3a eluzel2 a1d eluzelz peano2zm syl
    wn cz clt wne df-ne eluzle wa zred eluzelre ltlend biimprd mpand syl5bir wb
    zltlem1 syl2anc sylibd 3jcad eluz2 syl6ibr orrd ) BACDZEZBAFZBGHIZUSEZUTVAR
    ZASEZVBSEZAVBJKZLVCUTVDVEVFVGUTVEVDABMZNUTVFVDUTBSEZVFABOZBPQNUTVDABTKZVGVD
    BAUAZUTVKBAUBUTABJKZVLVKABUCUTVKVMVLUDUTABUTAVHUEABUFUGUHUIUJUTVEVIVKVGUKVH
    VJABULUMUNUOAVBUPUQUR $.

  $( The nonnegative difference of integers is a nonnegative integer.
     (Contributed by NM, 4-Sep-2005.) $)
  uznn0sub $p |- ( N e. ( ZZ>= ` M ) -> ( N - M ) e. NN0 ) $=
    ( cuz cfv wcel cz cle wbr w3a cmin co cn0 eluz2 znn0sub biimp3a sylbi ) BAC
    DEAFEZBFEZABGHZIBAJKLEZABMQRSTABNOP $.

  $( Intersection of two upper intervals of integers.  (Contributed by Mario
     Carneiro, 24-Dec-2013.) $)
  uzin $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
    ( ( ZZ>= ` M ) i^i ( ZZ>= ` N ) ) = ( ZZ>= ` if ( M <_ N , N , M ) ) ) $=
    ( cz wcel wa cuz cfv wo cle wbr wceq wss uzss sylib eluzle fveq2d eqtr4d cr
    syl zre cin cif uztric sseqin2 iftrue eluzel2 eluzelz letri3 syl2an syl2anc
    df-ss wb mpbirand biimprcd eqeq1d sylibrd com12 iffalse pm2.61d1 jaoi ) ACD
    ZBCDZEBAFGZDZABFGZDZHVCVEUAZABIJZBAUBZFGZKZABUCVDVKVFVDVGVEVJVDVEVCLVGVEKAB
    MVEVCUDNVDVIBFVDVHVIBKABOVHBAUEZSPQVFVGVCVJVFVCVELVGVCKBAMVCVEUKNVFVIAFVFVH
    VIAKZVHVFVMVHVFBAKZVMVFVNVHVFVNBAIJZVHBAOVFVBVAVNVOVHEULZBAUFBAUGVBBRDARDVP
    VABTATBAUHUIUJUMUNVHVIBAVLUOUPUQVHBAURUSPQUTS $.

  $( Choices for an element of an upper interval of integers.  (Contributed by
     Jeff Madsen, 2-Sep-2009.) $)
  uzp1 $p |- ( N e. ( ZZ>= ` M ) -> ( N = M \/ N e. ( ZZ>= ` ( M + 1 ) ) ) ) $=
    ( cuz cfv wcel wceq c1 cmin co wo caddc uzm1 eluzp1p1 eluzelcn ax-1cn npcan
    cc sylancl eleq1d syl5ib orim2d mpd ) BACDZEZBAFZBGHIZUCEZJUEBAGKICDZEZJABL
    UDUGUIUEUGUFGKIZUHEUDUIAUFMUDUJBUHUDBQEGQEUJBFABNOBGPRSTUAUB $.

  $( Nonnegative integers expressed as an upper set of integers.  (Contributed
     by NM, 2-Sep-2005.) $)
  nn0uz $p |- NN0 = ( ZZ>= ` 0 ) $=
    ( vk cn0 cc0 cv cle wbr cz crab cuz nn0zrab wcel wceq 0z uzval ax-mp eqtr4i
    cfv ) BCADEFAGHZCIQZAJCGKSRLMACNOP $.

  $( Positive integers expressed as an upper set of integers.  (Contributed by
     NM, 2-Sep-2005.) $)
  nnuz $p |- NN = ( ZZ>= ` 1 ) $=
    ( vk cn c1 cv cle wbr cz crab cuz cfv nnzrab wcel wceq uzval ax-mp eqtr4i
    1z ) BCADEFAGHZCIJZAKCGLSRMQACNOP $.

  $( A positive integer expressed as a member of an upper set of integers.
     (Contributed by NM, 6-Jun-2006.) $)
  elnnuz $p |- ( N e. NN <-> N e. ( ZZ>= ` 1 ) ) $=
    ( cn c1 cuz cfv nnuz eleq2i ) BCDEAFG $.

  $( A nonnegative integer expressed as a member an upper set of integers.
     (Contributed by NM, 6-Jun-2006.) $)
  elnn0uz $p |- ( N e. NN0 <-> N e. ( ZZ>= ` 0 ) ) $=
    ( cn0 cc0 cuz cfv nn0uz eleq2i ) BCDEAFG $.

  $( An integer greater than or equal to 2 is a positive integer.  (Contributed
     by AV, 3-Nov-2018.) $)
  eluz2nn $p |- ( A e. ( ZZ>= ` 2 ) -> A e. NN ) $=
    ( c2 cuz cfv wcel c1 cn cz cle wbr wi 1z 1le2 eluzuzle mp2an nnuz eleqtrrdi
    ) ABCDEZAFCDZGFHEFBIJRASEKLMBFANOPQ $.

  $( An integer greater than or equal to 4 is an integer greater than or equal
     to 2.  (Contributed by AV, 30-May-2023.) $)
  eluz4eluz2 $p |- ( X e. ( ZZ>= ` 4 ) -> X e. ( ZZ>= ` 2 ) ) $=
    ( c2 cz wcel c4 cle wbr cuz cfv wi 2z 2re 4re 2lt4 ltleii eluzuzle mp2an )
    BCDBEFGAEHIDABHIDJKBELMNOEBAPQ $.

  $( An integer greater than or equal to 4 is a positive integer.  (Contributed
     by AV, 30-May-2023.) $)
  eluz4nn $p |- ( X e. ( ZZ>= ` 4 ) -> X e. NN ) $=
    ( c4 cuz cfv wcel c2 cn eluz4eluz2 eluz2nn syl ) ABCDEAFCDEAGEAHAIJ $.

  $( If an integer is greater than or equal to 2, then it is a nonnegative
     integer.  (Contributed by AV, 27-Aug-2018.)  (Proof shortened by AV,
     3-Nov-2018.) $)
  eluzge2nn0 $p |- ( N e. ( ZZ>= ` 2 ) -> N e. NN0 ) $=
    ( c2 cuz cfv wcel eluz2nn nnnn0d ) ABCDEAAFG $.

  $( An integer greater than or equal to 2 is not 0.  (Contributed by AV,
     25-May-2020.) $)
  eluz2n0 $p |- ( N e. ( ZZ>= ` 2 ) -> N =/= 0 ) $=
    ( c2 cuz cfv wcel eluz2nn nnne0d ) ABCDEAAFG $.

  $( An integer in the upper set of integers starting at 3 is element of the
     upper set of integers starting at 2.  (Contributed by Alexander van der
     Vekens, 17-Sep-2018.) $)
  uzuzle23 $p |- ( A e. ( ZZ>= ` 3 ) -> A e. ( ZZ>= ` 2 ) ) $=
    ( c2 cz wcel c3 cle wbr cuz cfv wi 2z 2re 3re 2lt3 ltleii eluzuzle mp2an )
    BCDBEFGAEHIDABHIDJKBELMNOEBAPQ $.

  $( If an integer is greater than 3, then it is a positive integer.
     (Contributed by Alexander van der Vekens, 17-Sep-2018.) $)
  eluzge3nn $p |- ( N e. ( ZZ>= ` 3 ) -> N e. NN ) $=
    ( c3 cuz cfv wcel c1 cn cz cle wbr wi 1z 1le3 eluzuzle mp2an elnnuz sylibr
    ) ABCDEZAFCDEZAGEFHEFBIJRSKLMBFANOAPQ $.

  $( An integer greater than or equal to 3 decreased by 2 is a positive
     integer, analogous to ~ uz2m1nn .  (Contributed by Alexander van der
     Vekens, 17-Sep-2018.) $)
  uz3m2nn $p |- ( N e. ( ZZ>= ` 3 ) -> ( N - 2 ) e. NN ) $=
    ( c3 cuz cfv wcel c2 clt wbr cmin co cn cz cle w3a eluz2 2lt3 cr wa wi 2re
    3re zre ltletr mp3an12i mpani imp 3adant1 sylbi 2nn eluzge3nn nnsub sylancr
    wb mpbid ) ABCDEZFAGHZAFIJKEZUOBLEZALEZBAMHZNUPBAOUSUTUPURUSUTUPUSFBGHZUTUP
    PFQEBQEUSAQEVAUTRUPSTUAAUBFBAUCUDUEUFUGUHUOFKEAKEUPUQUMUIAUJFAUKULUN $.

  $( 1 is an integer greater than or equal to 0.  (Contributed by Alexander van
     der Vekens, 8-Jun-2018.) $)
  1eluzge0 $p |- 1 e. ( ZZ>= ` 0 ) $=
    ( c1 cc0 cuz cfv wcel cz cle wbr 0z 1z 0le1 eluz2 mpbir3an ) ABCDEBFEAFEBAG
    HIJKBALM $.

  $( 2 is an integer greater than or equal to 0.  (Contributed by Alexander van
     der Vekens, 8-Jun-2018.)  (Proof shortened by OpenAI, 25-Mar-2020.) $)
  2eluzge0 $p |- 2 e. ( ZZ>= ` 0 ) $=
    ( c2 cn0 cc0 cuz cfv 2nn0 nn0uz eleqtri ) ABCDEFGH $.

  $( 2 is an integer greater than or equal to 1.  (Contributed by Alexander van
     der Vekens, 8-Jun-2018.) $)
  2eluzge1 $p |- 2 e. ( ZZ>= ` 1 ) $=
    ( c2 c1 cuz cfv wcel cz cle wbr 1z 2z 1le2 eluz2 mpbir3an ) ABCDEBFEAFEBAGH
    IJKBALM $.

  $( The upper integers starting from a natural are a subset of the naturals.
     (Contributed by Scott Fenton, 29-Jun-2013.) $)
  uznnssnn $p |- ( N e. NN -> ( ZZ>= ` N ) C_ NN ) $=
    ( cn wcel cuz cfv c1 wss elnnuz uzss sylbi nnuz sseqtrrdi ) ABCZADEZFDEZBMA
    OCNOGAHFAIJKL $.

  ${
    $d m n M $.
    $( Restricted universal quantification in an upper set of integers.
       (Contributed by NM, 9-Sep-2005.) $)
    raluz $p |- ( M e. ZZ -> ( A. n e. ( ZZ>= ` M ) ph <->
               A. n e. ZZ ( M <_ n -> ph ) ) ) $=
      ( cz wcel cv cle wbr wi cuz cfv wa eluz1 imbi1d impexp bitrdi ralbidv2 )
      CDEZACBFZGHZAIZBCJKZDRSUBEZAISDEZTLZAIUDUAIRUCUEACSMNUDTAOPQ $.

    $( Restricted universal quantification in an upper set of integers.
       (Contributed by NM, 9-Sep-2005.) $)
    raluz2 $p |- ( A. n e. ( ZZ>= ` M ) ph <->
               ( M e. ZZ -> A. n e. ZZ ( M <_ n -> ph ) ) ) $=
      ( cuz cfv wral cz wcel cv cle wbr wi w3a eluz2 3anass bitri imbi1i impexp
      wa imbi2i bi2.04 ralbii2 r19.21v ) ABCDEZFCGHZCBIZJKZALZLZBGFUEUHBGFLAUIB
      UDGUFUDHZALUEUFGHZUGSZSZALZUKUILZUJUMAUJUEUKUGMUMCUFNUEUKUGOPQUNUEUKUHLZL
      ZUOUNUEULALZLUQUEULARURUPUEUKUGARTPUEUKUHUAPPUBUEUHBGUCP $.

    $( Restricted existential quantification in an upper set of integers.
       (Contributed by NM, 9-Sep-2005.) $)
    rexuz $p |- ( M e. ZZ -> ( E. n e. ( ZZ>= ` M ) ph <->
               E. n e. ZZ ( M <_ n /\ ph ) ) ) $=
      ( cz wcel cv cle wbr wa cuz cfv eluz1 anbi1d anass bitrdi rexbidv2 ) CDEZ
      ACBFZGHZAIZBCJKZDQRUAEZAIRDEZSIZAIUCTIQUBUDACRLMUCSANOP $.

    $( Restricted existential quantification in an upper set of integers.
       (Contributed by NM, 9-Sep-2005.) $)
    rexuz2 $p |- ( E. n e. ( ZZ>= ` M ) ph <->
               ( M e. ZZ /\ E. n e. ZZ ( M <_ n /\ ph ) ) ) $=
      ( cuz cfv wrex cz wcel cv cle wbr wa eluz2 df-3an bitri anbi1i anass an21
      w3a rexbii2 r19.42v ) ABCDEZFCGHZCBIZJKZALZLZBGFUCUFBGFLAUGBUBGUDUBHZALUC
      UDGHZLZUELZALZUIUGLZUHUKAUHUCUIUESUKCUDMUCUIUENOPULUJUFLUMUJUEAQUCUIUFROO
      TUCUFBGUAO $.

    $( Double existential quantification in an upper set of integers.
       (Contributed by NM, 3-Nov-2005.) $)
    2rexuz $p |- ( E. m E. n e. ( ZZ>= ` m ) ph <->
                  E. m e. ZZ E. n e. ZZ ( m <_ n /\ ph ) ) $=
      ( cv cuz cfv wrex wex cz wcel cle wbr wa rexuz2 exbii df-rex bitr4i ) ACB
      DZEFGZBHRIJRCDKLAMCIGZMZBHTBIGSUABACRNOTBIPQ $.
  $}

  $( Second Peano postulate for an upper set of integers.  (Contributed by NM,
     7-Sep-2005.) $)
  peano2uz $p |- ( N e. ( ZZ>= ` M ) ->
                 ( N + 1 ) e. ( ZZ>= ` M ) ) $=
    ( cz wcel cle wbr w3a c1 caddc co cuz cfv simp1 peano2z 3ad2ant2 zre letrp1
    cr syl3an2 eluz2 syl3an1 3jca 3imtr4i ) ACDZBCDZABEFZGZUDBHIJZCDZAUHEFZGBAK
    LZDUHUKDUGUDUIUJUDUEUFMUEUDUIUFBNOUDARDZUEUFUJAPUEULBRDUFUJBPABQSUAUBABTAUH
    TUC $.

  ${
    peano2uzs.1 $e |- Z = ( ZZ>= ` M ) $.
    $( Second Peano postulate for an upper set of integers.  (Contributed by
       Mario Carneiro, 26-Dec-2013.) $)
    peano2uzs $p |- ( N e. Z -> ( N + 1 ) e. Z ) $=
      ( c1 caddc co wcel cuz cfv peano2uz eleqtrrdi eleq2s ) BEFGZCHBAIJZCBOHNO
      CABKDLDM $.
  $}

  $( Reversed second Peano axiom for upper integers.  (Contributed by NM,
     2-Jan-2006.) $)
  peano2uzr $p |- ( ( M e. ZZ /\
             N e. ( ZZ>= ` ( M + 1 ) ) ) -> N e. ( ZZ>= ` M ) ) $=
    ( cz wcel c1 caddc co cuz cfv wa cmin wceq cc eluzelcn ax-1cn npcan sylancl
    adantl eluzp1m1 peano2uz syl eqeltrrd ) ACDZBAEFGZHIDZJZBEKGZEFGZBAHIZUEUHB
    LZUCUEBMDEMDUJUDBNOBEPQRUFUGUIDUHUIDABSAUGTUAUB $.

  ${
    $d j K $.  $d j k M $.  $d j k N $.
    $( Addition closure law for an upper set of integers.  (Contributed by NM,
       4-Jun-2006.) $)
    uzaddcl $p |- ( ( N e. ( ZZ>= ` M ) /\ K e. NN0 ) ->
                   ( N + K ) e. ( ZZ>= ` M ) ) $=
      ( vj vk cn0 wcel cuz caddc co cv wi cc0 c1 wa wceq cc eleq1d oveq2 imbi2d
      cfv eluzelcn ax-1cn addass mp3an3 syl2anr adantr peano2uz adantl eqeltrrd
      nn0cn exp31 a2d addid1d ibir nn0indALT impcom ) AFGCBHUAZGZCAIJZURGZUSCDK
      ZIJZURGZLUSCMIJZURGZLUSCEKZIJZURGZLUSCVGNIJZIJZURGZLUSVALDEAVGFGZUSVIVLVM
      USVIVLVMUSOZVIOVHNIJZVKURVNVOVKPZVIUSCQGZVGQGZVPVMBCUBZVGUKVQVRNQGVPUCCVG
      NUDUEUFUGVIVOURGVNBVHUHUIUJULUMUSVFUSVECURUSCVSUNRUOVBMPZVDVFUSVTVCVEURVB
      MCISRTVBVGPZVDVIUSWAVCVHURVBVGCISRTVBVJPZVDVLUSWBVCVKURVBVJCISRTVBAPZVDVA
      USWCVCUTURVBACISRTUPUQ $.
  $}

  $( The sum of a nonnegative integer and an integer is an integer greater than
     or equal to that integer.  (Contributed by Alexander van der Vekens,
     3-Oct-2018.) $)
  nn0pzuz $p |- ( ( N e. NN0 /\ Z e. ZZ ) -> ( N + Z ) e. ( ZZ>= ` Z ) ) $=
    ( cn0 wcel cz wa caddc co cle wbr cuz cfv simpr nn0z zaddcl sylan nn0addge2
    cr zre ancoms eluz2 syl3anbrc ) ACDZBEDZFUDABGHZEDZBUEIJZUEBKLDUCUDMUCAEDUD
    UFANABOPUDUCUGUDBRDUCUGBSBAQPTBUEUAUB $.

  ${
    $d j m N $.  $d j ps $.  $d j ch $.  $d j th $.  $d j ta $.  $d k ph $.
    $d j k m M $.
    $( Substitutions. $)
    uzind4.1 $e |- ( j = M -> ( ph <-> ps ) ) $.
    uzind4.2 $e |- ( j = k -> ( ph <-> ch ) ) $.
    uzind4.3 $e |- ( j = ( k + 1 ) -> ( ph <-> th ) ) $.
    uzind4.4 $e |- ( j = N -> ( ph <-> ta ) ) $.
    $( Basis. $)
    uzind4.5 $e |- ( M e. ZZ -> ps ) $.
    $( Induction step. $)
    uzind4.6 $e |- ( k e. ( ZZ>= ` M ) -> ( ch -> th ) ) $.
    $( Induction on the upper set of integers that starts at an integer ` M ` .
       The first four hypotheses give us the substitution instances we need,
       and the last two are the basis and the induction step.  (Contributed by
       NM, 7-Sep-2005.) $)
    uzind4 $p |- ( N e. ( ZZ>= ` M ) -> ta ) $=
      ( vm wcel cz cle wbr cuz cfv cv eluzel2 breq2 eluzelz eluzle elrabd wa wi
      crab elrab w3a eluz2 biimpri 3expb sylan2b syl uzind3 syl2anc ) IHUAUBZQZ
      HRQZIHPUCZSTZPRUKZQEHIUDVBVEHISTPIRVDIHSUEHIUFHIUGUHABCDEFPGHIJKLMNVCGUCZ
      VFQZUIVGVAQZCDUJVHVCVGRQZHVGSTZUIVIVEVKPVGRVDVGHSUEULVCVJVKVIVIVCVJVKUMHV
      GUNUOUPUQOURUSUT $.
  $}

  ${
    $d j N $.  $d j ps $.  $d j ch $.  $d j th $.  $d j ta $.  $d k ph $.
    $d j k M $.
    $( Basis. $)
    uzind4ALT.5 $e |- ( M e. ZZ -> ps ) $.
    $( Induction step. $)
    uzind4ALT.6 $e |- ( k e. ( ZZ>= ` M ) -> ( ch -> th ) ) $.
    $( Substitutions. $)
    uzind4ALT.1 $e |- ( j = M -> ( ph <-> ps ) ) $.
    uzind4ALT.2 $e |- ( j = k -> ( ph <-> ch ) ) $.
    uzind4ALT.3 $e |- ( j = ( k + 1 ) -> ( ph <-> th ) ) $.
    uzind4ALT.4 $e |- ( j = N -> ( ph <-> ta ) ) $.
    $( Induction on the upper set of integers that starts at an integer ` M ` .
       The last four hypotheses give us the substitution instances we need; the
       first two are the basis and the induction step.  Either ~ uzind4 or
       ~ uzind4ALT may be used; see comment for ~ nnind .  (Contributed by NM,
       7-Sep-2005.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    uzind4ALT $p |- ( N e. ( ZZ>= ` M ) -> ta ) $=
      ( uzind4 ) ABCDEFGHILMNOJKP $.
  $}

  ${
    $d m k j M $.  $d j N $.  $d j m ph $.
    $( Basis. $)
    uzind4s.1 $e |- ( M e. ZZ -> [. M / k ]. ph ) $.
    $( Induction step. $)
    uzind4s.2 $e |- ( k e. ( ZZ>= ` M )
         -> ( ph -> [. ( k + 1 ) / k ]. ph ) ) $.
    $( Induction on the upper set of integers that starts at an integer ` M ` ,
       using explicit substitution.  The hypotheses are the basis and the
       induction step.  (Contributed by NM, 4-Nov-2005.) $)
    uzind4s $p |- ( N e. ( ZZ>= ` M ) -> [. N / k ]. ph ) $=
      ( vj vm wsb wsbc cv c1 caddc co dfsbcq2 sbequ wcel wi nfim imbi12d eleq1w
      cuz cfv nfv nfs1v nfsbc1v weq sbequ12 oveq1 sbceq1d chvarfv uzind4 ) ABGI
      ABCJABHIZABHKZLMNZJZABDJGHCDABGCOAGHBPABGUOOABGDOEBKZCUBUCZQZAABUQLMNZJZR
      ZRUNURQZUMUPRZRBHVCVDBVCBUDUMUPBABHUEABUOUFSSBHUGZUSVCVBVDBHURUAVEAUMVAUP
      ABHUHVEABUTUOUQUNLMUIUJTTFUKUL $.
  $}

  ${
    $d k m n M $.  $d m N $.  $d k m n ph $.  $d j k m n $.
    $( Basis. $)
    uzind4s2.1 $e |- ( M e. ZZ -> [. M / j ]. ph ) $.
    $( Induction step. $)
    uzind4s2.2 $e |- ( k e. ( ZZ>= ` M ) ->
                     ( [. k / j ]. ph -> [. ( k + 1 ) / j ]. ph ) ) $.
    $( Induction on the upper set of integers that starts at an integer ` M ` ,
       using explicit substitution.  The hypotheses are the basis and the
       induction step.  Use this instead of ~ uzind4s when ` j ` and ` k ` must
       be distinct in ` [. ( k + 1 ) / j ]. ph ` .  (Contributed by NM,
       16-Nov-2005.) $)
    uzind4s2 $p |- ( N e. ( ZZ>= ` M ) -> [. N / j ]. ph ) $=
      ( vm vn cv wsbc c1 caddc co dfsbcq wi cuz cfv weq oveq1 sbceq1d imbi12d
      vtoclga uzind4 ) ABHJZKABDKABIJZKZABUFLMNZKZABEKHIDEABUEDOABUEUFOABUEUHOA
      BUEEOFABCJZKZABUJLMNZKZPUGUIPCUFDQRCISZUKUGUMUIABUJUFOUNABULUHUJUFLMTUAUB
      GUCUD $.
  $}

  ${
    $d j N $.  $d j ps $.  $d j ch $.  $d j th $.  $d j ta $.  $d k ph $.
    $d j k M $.
    $( Substitutions. $)
    uzind4i.1 $e |- ( j = M -> ( ph <-> ps ) ) $.
    uzind4i.2 $e |- ( j = k -> ( ph <-> ch ) ) $.
    uzind4i.3 $e |- ( j = ( k + 1 ) -> ( ph <-> th ) ) $.
    uzind4i.4 $e |- ( j = N -> ( ph <-> ta ) ) $.
    $( Basis. $)
    uzind4i.5 $e |- ps $.
    $( Induction step. $)
    uzind4i.6 $e |- ( k e. ( ZZ>= ` M ) -> ( ch -> th ) ) $.
    $( Induction on the upper integers that start at ` M ` .  The first four
       give us the substitution instances we need, and the last two are the
       basis and the induction step.  This is a stronger version of ~ uzind4
       assuming that ` ps ` holds unconditionally.  Notice that
       ` N e. ( ZZ>= `` M ) ` implies that the lower bound ` M ` is an integer
       ( ` M e. ZZ ` , see ~ eluzel2 ).  (Contributed by NM, 4-Sep-2005.)
       (Revised by AV, 13-Jul-2022.) $)
    uzind4i $p |- ( N e. ( ZZ>= ` M ) -> ta ) $=
      ( cz wcel a1i uzind4 ) ABCDEFGHIJKLMBHPQNROS $.
  $}

  ${
    $d h t n m M $.  $d h j t k m n S $.
    $( Well-ordering principle: any nonempty subset of an upper set of integers
       has a least element.  (Contributed by NM, 8-Oct-2005.) $)
    uzwo $p |- ( ( S C_ ( ZZ>= ` M ) /\ S =/= (/) ) ->
               E. j e. S A. k e. S j <_ k ) $=
      ( vt vn wa cv cle wbr wral wn wcel wceq wi breq1 ralbidv imbi2d cz wb cuz
      vh vm cfv wss c0 wne wrex wal c1 caddc co ssel eluzle syl6 ralrimiv uzssz
      adantr mpan2 eluzelz rspcev expcom con3rr3 ssel2 cr zre letri3 syl2an clt
      sstr zleltp1 peano2re syl ltnle bitrd ancoms anbi2d sylan2 eleq1a sylbird
      ad2antll expd con1 com23 exp32 com34 ralimdva sylan9r pm2.43d expl sylani
      ex a2d uzind4i adantl sylcom adantrd pm2.61i alrimdv eq0 syl6ibr necon1ad
      imp41 imp breq2 cbvralvw rexbii sylib ) ADUAUDZUEZAUFUGZGBHZEHZIJZEAKZBAU
      HZXLCHZIJZCAKZBAUHXJXKXPXJXPAUFXJXPLZFHZAMZLZFUIAUFNXJXTYCFXJXTYCYAXIMZXJ
      XTGZYCOYDYEYAXMIJZEAKZYCYEUBHZXMIJZEAKZOYEDXMIJZEAKZOYEUCHZXMIJZEAKZOYEYM
      UJUKULZXMIJZEAKZOYEYGOUBUCDYAYHDNZYJYLYEYSYIYKEAYHDXMIPQRYHYMNZYJYOYEYTYI
      YNEAYHYMXMIPQRYHYPNZYJYRYEUUAYIYQEAYHYPXMIPQRYHYANZYJYGYEUUBYIYFEAYHYAXMI
      PQRXJYLXTXJYKEAXJXMAMZXMXIMYKAXIXMUMDXMUNUOUPURYMXIMZYEYOYRXJUUDASUEZXTYO
      YROZXJXISUEUUEDUQAXISVJUSUUDYMSMZUUEXTGUUFODYMUTUUGUUEXTUUFUUGUUEGZXTGYOY
      RXTYOYMAMZLZUUHUUFYOUUIXPUUIYOXPXOYOBYMAXLYMNXNYNEAXLYMXMIPQVAVBVCUUHUUJU
      UFUUHUUJGYNYQEAUUGUUEUUJUUCYNYQOZUUGUUEUUCUUJUUKUUGUUEUUCUUJUUKOUUGUUEUUC
      GZGZYNUUJYQUUMYNYQLZUUIOUUJYQOUUMYNUUNUUIUUMYNUUNGZYMXMNZUUIUULUUGXMSMZUU
      PUUOTASXMVDUUGUUQGZUUPYNXMYMIJZGZUUOUUGYMVEMZXMVEMZUUPUUTTUUQYMVFZXMVFZYM
      XMVGVHUURUUSUUNYNUUQUUGUUSUUNTUUQUUGGUUSXMYPVIJZUUNXMYMVKUUQUVBYPVEMZUVEU
      UNTUUGUVDUUGUVAUVFUVCYMVLVMXMYPVNVHVOVPVQVOVRUUCUUPUUIOUUGUUEXMAYMVSWAVTW
      BYQUUIWCUOWDWEWFXCWGWLWHWIWJVMWKWMWNXTYGYCOXJYGYBXPYBYGXPXOYGBYAAXLYANXNY
      FEAXLYAXMIPQVAVBVCWOWPYDLXJYCXTXJYBYDAXIYAUMVCWQWRWLWSFAWTXAXBXDXOXSBAXNX
      RECAXMXQXLIXEXFXGXH $.

    $( Well-ordering principle: any nonempty subset of an upper set of integers
       has a unique least element.  (Contributed by NM, 8-Oct-2005.) $)
    uzwo2 $p |- ( ( S C_ ( ZZ>= ` M ) /\ S =/= (/) ) ->
               E! j e. S A. k e. S j <_ k ) $=
      ( cuz cfv wss cr c0 wne cv cle wbr wral wrex wreu cz uzssz zssre sstri
      sstr mpan2 uzwo lbreu syl2an2r ) ADEFZGZAHGZAIJBKCKLMCANZBAOUIBAPUGUFHGUH
      UFQHDRSTAUFHUAUBABCDUCBCAUDUE $.
  $}

  ${
    $d x y A $.
    $( Well-ordering principle: any nonempty set of positive integers has a
       least element.  Theorem I.37 (well-ordering principle) of [Apostol]
       p. 34.  (Contributed by NM, 17-Aug-2001.) $)
    nnwo $p |- ( ( A C_ NN /\ A =/= (/) ) -> E. x e. A A. y e. A x <_ y ) $=
      ( cn wss c1 cuz cfv c0 wne cv cle wbr wral wrex nnuz sseq2i uzwo sylanb )
      CDECFGHZECIJAKBKLMBCNACODTCPQCABFRS $.
  $}

  ${
    $d x y w v $.  $d w v A $.
    nnwof.1 $e |- F/_ x A $.
    nnwof.2 $e |- F/_ y A $.
    $( Well-ordering principle: any nonempty set of positive integers has a
       least element.  This version allows ` x ` and ` y ` to be present in
       ` A ` as long as they are effectively not free.  (Contributed by NM,
       17-Aug-2001.)  (Revised by Mario Carneiro, 15-Oct-2016.) $)
    nnwof $p |- ( ( A C_ NN /\ A =/= (/) ) -> E. x e. A A. y e. A x <_ y ) $=
      ( vw vv cn wss c0 wne wa cv cle wbr wral wrex nnwo nfcv nfv breq1 ralbidv
      nfralw weq breq2 cbvralfw bitrdi cbvrexfw sylib ) CHICJKLFMZGMZNOZGCPZFCQ
      AMZBMZNOZBCPZACQFGCRUMUQFACFCSDULAGCDULATUCUQFTFAUDZUMUNUKNOZGCPUQURULUSG
      CUJUNUKNUAUBUSUPGBCGCSEUSBTUPGTUKUOUNNUEUFUGUHUI $.
  $}

  ${
    $d x y $.  $d y ph $.  $d x ps $.
    nnwos.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Well-ordering principle: any nonempty set of positive integers has a
       least element (schema form).  (Contributed by NM, 17-Aug-2001.) $)
    nnwos $p |- ( E. x e. NN ph ->
                  E. x e. NN ( ph /\ A. y e. NN ( ps -> x <_ y ) ) ) $=
      ( cn crab wa cv wral wrex bitr3i wcel wex wal df-rex df-ral bitri exbii
      wi wss c0 wne cle wbr nfrab1 nfcv nnwof ssrab2 biantrur rabn0 rabid elrab
      imbi1i impexp albii anbi12i anbi2i anass bitr4i 3bitri 3imtr3i ) ACFGZFUA
      ZVCUBUCZHZCIZDIZUDUEZDVCJZCVCKZACFKZABVITZDFJZHZCFKZCDVCACFUFDVCUGUHVFVEV
      LVDVEACFUIUJACFUKLVKVGVCMZVJHZCNVGFMZAHZVHFMZVMTZDOZHZCNZVPVJCVCPVRWDCVQV
      TVJWCACFULVJVHVCMZVITZDOWCVIDVCQWGWBDWGWABHZVITWBWFWHVIABCVHFEUMUNWABVIUO
      RUPRUQSWEVSVOHZCNVPWDWICWDVTVNHWIVNWCVTVMDFQURVSAVNUSLSVOCFPUTVAVB $.
  $}

  ${
    $d x y $.  $d y ph $.  $d x ps $.
    $( Substitutions. $)
    indstr.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Induction step. $)
    indstr.2 $e |- ( x e. NN -> ( A. y e. NN ( y < x -> ps ) -> ph ) ) $.
    $( Strong Mathematical Induction for positive integers (inference schema).
       (Contributed by NM, 17-Aug-2001.) $)
    indstr $p |- ( x e. NN -> ph ) $=
      ( cn wral wn wrex cv cle wbr wi wa wcel pm3.24 clt cr nnre syl2an bitr4di
      wb lenlt imbi2d con34b ralbidva sylbid anim2d syl6ib mtoi nrex weq notbid
      ancom nnwos mto dfral2 mpbir rspec ) ACGACGHAIZCGJZIVBVABIZCKZDKZLMZNZDGH
      ZOZCGJVICGVDGPZVIAVAOZAQVJVIVAAOVKVJVHAVAVJVHVEVDRMZBNZDGHAVJVGVMDGVJVEGP
      ZOZVGVCVLIZNVMVOVFVPVCVJVDSPVESPVFVPUCVNVDTVETVDVEUDUAUEVLBUFUBUGFUHUIVAA
      UOUJUKULVAVCCDCDUMABEUNUPUQACGURUSUT $.
  $}

  $( Membership in a nonnegative upper set of integers implies membership in
     ` NN0 ` .  (Contributed by Paul Chapman, 22-Jun-2011.) $)
  eluznn0 $p |- ( ( N e. NN0 /\ M e. ( ZZ>= ` N ) ) -> M e. NN0 ) $=
    ( cc0 cn0 nn0uz uztrn2 ) CABDEF $.

  $( Membership in a positive upper set of integers implies membership in
     ` NN ` .  (Contributed by JJ, 1-Oct-2018.) $)
  eluznn $p |- ( ( N e. NN /\ M e. ( ZZ>= ` N ) ) -> M e. NN ) $=
    ( c1 cn nnuz uztrn2 ) CABDEF $.

  $( Two ways to say "an integer greater than or equal to 2".  (Contributed by
     Paul Chapman, 23-Nov-2012.) $)
  eluz2b1 $p |- ( N e. ( ZZ>= ` 2 ) <-> ( N e. ZZ /\ 1 < N ) ) $=
    ( c2 cuz cfv wcel cz cle wbr wa c1 clt 2z eluz1i caddc co zltp1le mpan df-2
    wb 1z breq1i bitr4di pm5.32i bitr4i ) ABCDEAFEZBAGHZIUEJAKHZIBALMUEUGUFUEUG
    JJNOZAGHZUFJFEUEUGUISTJAPQBUHAGRUAUBUCUD $.

  $( An integer greater than or equal to 2 is greater than 1.  (Contributed by
     AV, 24-May-2020.) $)
  eluz2gt1 $p |- ( N e. ( ZZ>= ` 2 ) -> 1 < N ) $=
    ( c2 cuz cfv wcel cz c1 clt wbr eluz2b1 simprbi ) ABCDEAFEGAHIAJK $.

  $( Two ways to say "an integer greater than or equal to 2".  (Contributed by
     Paul Chapman, 23-Nov-2012.) $)
  eluz2b2 $p |- ( N e. ( ZZ>= ` 2 ) <-> ( N e. NN /\ 1 < N ) ) $=
    ( c2 cuz cfv wcel cz c1 clt wbr wa cn eluz2b1 cle cr 1re zre ltle imdistani
    wi sylancr elnnz1 sylibr simpr jca nnz anim1i impbii bitri ) ABCDEAFEZGAHIZ
    JZAKEZUJJZALUKUMUKULUJUKUIGAMIZJULUIUJUNUIGNEANEUJUNSOAPGAQTRAUAUBUIUJUCUDU
    LUIUJAUEUFUGUH $.

  $( Two ways to say "an integer greater than or equal to 2".  (Contributed by
     Paul Chapman, 23-Nov-2012.) $)
  eluz2b3 $p |- ( N e. ( ZZ>= ` 2 ) <-> ( N e. NN /\ N =/= 1 ) ) $=
    ( c2 cuz cfv wcel cn c1 clt wbr wa wne eluz2b2 nngt1ne1 pm5.32i bitri ) ABC
    DEAFEZGAHIZJPAGKZJALPQRAMNO $.

  $( One less than an integer greater than or equal to 2 is a positive integer.
     (Contributed by Paul Chapman, 17-Nov-2012.) $)
  uz2m1nn $p |- ( N e. ( ZZ>= ` 2 ) -> ( N - 1 ) e. NN ) $=
    ( c2 cuz cfv wcel cz c1 clt wbr wa cmin co cn eluz2b1 wb znnsub mpan biimpa
    1z sylbi ) ABCDEAFEZGAHIZJAGKLMEZANUAUBUCGFEUAUBUCOSGAPQRT $.

  $( 1 is not in ` ( ZZ>= `` 2 ) ` .  (Contributed by Paul Chapman,
     21-Nov-2012.) $)
  1nuz2 $p |- -. 1 e. ( ZZ>= ` 2 ) $=
    ( c1 c2 cuz cfv wcel wne neirr cn eluz2b3 simprbi mto ) ABCDEZAAFZAGLAHEMAI
    JK $.

  $( A positive integer is either 1 or greater than or equal to 2.
     (Contributed by Paul Chapman, 17-Nov-2012.) $)
  elnn1uz2 $p |- ( N e. NN <-> ( N = 1 \/ N e. ( ZZ>= ` 2 ) ) ) $=
    ( c1 wceq c2 cuz cfv wcel wo cn wne wa eluz2b3 orbi2i exmidne ordi mpbiran2
    wi 1nn eleq1 mpbiri pm2.621 ax-mp olc impbii 3bitrri ) ABCZADEFGZHUFAIGZABJ
    ZKZHZUFUHHZUHUGUJUFALMUKULUFUIHABNUFUHUIOPULUHUFUHQULUHQUFUHBIGRABISTUFUHUA
    UBUHUFUCUDUE $.

  $( Closure of multiplication of integers greater than or equal to 2.
     (Contributed by Paul Chapman, 26-Oct-2012.) $)
  uz2mulcl $p |- ( ( M e. ( ZZ>= ` 2 ) /\ N e. ( ZZ>= ` 2 ) ) ->
                   ( M x. N ) e. ( ZZ>= ` 2 ) ) $=
    ( c2 cuz cfv wcel wa cmul co cz c1 clt wbr eluzelz syl2an cr eluz2b1 anim1i
    zre sylbi zmulcl mulgt1 an4s sylanbrc ) ACDEZFZBUEFZGABHIZJFZKUHLMZUHUEFUFA
    JFZBJFZUIUGCANCBNABUAOUFAPFZKALMZGZBPFZKBLMZGZUJUGUFUKUNGUOAQUKUMUNASRTUGUL
    UQGURBQULUPUQBSRTUMUPUNUQUJABUBUCOUHQUD $.

  ${
    $d ph y $.  $d ps x $.  $d x y $.
    indstr2.1 $e |- ( x = 1 -> ( ph <-> ch ) ) $.
    indstr2.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    indstr2.3 $e |- ch $.
    indstr2.4 $e |- ( x e. ( ZZ>= ` 2 ) ->
                      ( A. y e. NN ( y < x -> ps ) -> ph ) ) $.
    $( Strong Mathematical Induction for positive integers (inference schema).
       The first two hypotheses give us the substitution instances we need; the
       last two are the basis and the induction step.  (Contributed by Paul
       Chapman, 21-Nov-2012.) $)
    indstr2 $p |- ( x e. NN -> ph ) $=
      ( cv cn wcel c1 wceq c2 cuz clt wbr wi wb cfv wral elnn1uz2 nnnlt1 adantl
      wo wa wn breq2 adantr mtbird pm2.21d ralrimiva pm5.5 syl bitrd jaoi sylbi
      mpbiri indstr ) ABDEGDJZKLVAMNZVAOPUALZUFEJZVAQRZBSZEKUBZASZVAUCVBVHVCVBV
      HCHVBVHACVBVGVHATVBVFEKVBVDKLZUGZVEBVJVEVDMQRZVIVKUHVBVDUDUEVBVEVKTVIVAMV
      DQUIUJUKULUMVGAUNUOFUPUSIUQURUT $.
  $}

  ${
    $d k M $.
    uzinfi.1 $e |- M e. ZZ $.
    $( Extract the lower bound of an upper set of integers as its infimum.
       (Contributed by NM, 7-Oct-2005.)  (Revised by AV, 4-Sep-2020.) $)
    uzinfi $p |- inf ( ( ZZ>= ` M ) , RR , < ) = M $=
      ( vk cz wcel cuz cfv cr clt cinf wceq wor ltso a1i zre uzid cv wbr wn cle
      w3a wi eluz2 adantr adantl lenltd biimp3a a1d sylbi impcom infmin ax-mp
      wa ) ADEZAFGZHIJAKBUNCHUOAIHILUNMNAOZAPCQZUOEZUNUQAIRSZURUNUQDEZAUQTRZUAZ
      UNUSUBAUQUCVBUSUNUNUTVAUSUNUTUMAUQUNAHEUTUPUDUTUQHEUNUQOUEUFUGUHUIUJUKUL
      $.
  $}

  $( The infimum of the set of positive integers is one.  (Contributed by NM,
     16-Jun-2005.)  (Revised by AV, 5-Sep-2020.) $)
  nninf $p |- inf ( NN , RR , < ) = 1 $=
    ( cn cr clt cinf c1 cuz cfv nnuz infeq1i 1z uzinfi eqtri ) ABCDEFGZBCDEBAMC
    HIEJKL $.

  $( The infimum of the set of nonnegative integers is zero.  (Contributed by
     NM, 16-Jun-2005.)  (Revised by AV, 5-Sep-2020.) $)
  nn0inf $p |- inf ( NN0 , RR , < ) = 0 $=
    ( cn0 cr clt cinf cc0 cuz cfv nn0uz infeq1i 0z uzinfi eqtri ) ABCDEFGZBCDEB
    AMCHIEJKL $.

  ${
    $d A k $.  $d S j k $.
    $( The infimum of a subset of an upper set of integers is less than or
       equal to all members of the subset.  (Contributed by NM, 11-Oct-2005.)
       (Revised by AV, 5-Sep-2020.) $)
    infssuzle $p |- ( ( S C_ ( ZZ>= ` M ) /\ A e. S )
                           -> inf ( S , RR , < ) <_ A ) $=
      ( vj vk cuz cfv wss wcel cv cle wbr wral wrex cr clt cinf c0 wne ne0i cz
      uzwo sylan2 uzssz zssre sstri sstr mpan2 lbinfle 3com23 syl3an1 mpd3an3 )
      BCFGZHZABIZDJEJKLEBMDBNZBOPQAKLZUOUNBRSUPBATBDECUBUCUNBOHZUOUPUQUNUMOHURU
      MUAOCUDUEUFBUMOUGUHURUPUOUQDEABUIUJUKUL $.
  $}

  ${
    $d S j k $.
    $( The infimum of a subset of an upper set of integers belongs to the
       subset.  (Contributed by NM, 11-Oct-2005.)  (Revised by AV,
       5-Sep-2020.) $)
    infssuzcl $p |- ( ( S C_ ( ZZ>= ` M ) /\ S =/= (/) )
                           -> inf ( S , RR , < ) e. S ) $=
      ( vj vk cuz cfv wss cr c0 wne cv cle wbr wral wrex clt cinf wcel cz uzssz
      zssre sstri sstr mpan2 uzwo lbinfcl syl2an2r ) ABEFZGZAHGZAIJCKDKLMDANCAO
      AHPQARUIUHHGUJUHSHBTUAUBAUHHUCUDACDBUECDAUFUG $.
  $}

  ${
    $d A a b x y z $.
    $( The image under negation of a bounded-above set of reals is bounded
       below.  (Contributed by Paul Chapman, 21-Mar-2011.) $)
    ublbneg $p |- ( E. x e. RR A. y e. A y <_ x ->
                    E. x e. RR A. y e. { z e. RR | -u z e. A } x <_ y ) $=
      ( vb va cv cle wbr wral cr wrex cneg wcel crab breq1 cbvralvw rexbii wceq
      ralbidv breq2 cbvrexvw bitri renegcl wa elrabi negeq eleq1d elrab3 biimpd
      wi mpcom rspcv adantl wb lenegcon1 sylan2 sylibrd ralrimdva rspcev syl6an
      syl rexlimiv sylbir ) BGZAGZHIZBDJZAKLZEGZFGZHIZEDJZFKLZVFVEHIZBCGZMZDNZC
      KOZJZAKLZVNVEVKHIZBDJZFKLVIVMWCFKVLWBEBDVJVEVKHPQRWCVHFAKVKVFSWBVGBDVKVFV
      EHUATUBUCVMWAFKVKKNZVKMZKNVMWEVEHIZBVSJZWAVKUDWDVMWFBVSWDVEVSNZUEVMVEMZVK
      HIZWFWHVMWJUKZWDWHWIDNZWKVEKNZWHWLVRCVEKUFZWMWHWLVRWLCVEKVPVESVQWIDVPVEUG
      UHUIUJULVLWJEWIDVJWIVKHPUMVBUNWHWDWMWFWJUOWNVKVEUPUQURUSVTWGAWEKVFWESVOWF
      BVSVFWEVEHPTUTVAVCVD $.
  $}

  ${
    $d A w z $.
    $( Two ways to express the image under negation of a set of integers.
       (Contributed by Paul Chapman, 21-Mar-2011.) $)
    eqreznegel $p |- ( A C_ ZZ ->
                       { z e. RR | -u z e. A } = { z e. ZZ | -u z e. A } ) $=
      ( vw cz wss cv cneg wcel cr crab wa wi ssel cc recn caddc cc0 negid elrab
      co eqeltrdi pm4.71i zrevaddcl syl5bb syl5ib syl6 impcomd simpr zre anim1i
      0z jca2 impbid1 weq negeq eleq1d 3bitr4g eqrdv ) BDEZCAFZGZBHZAIJZVBADJZU
      SCFZIHZVEGZBHZKZVEDHZVHKZVEVCHVEVDHUSVIVKUSVIVJVHUSVHVFVJUSVHVGDHZVFVJLBD
      VGMVFVENHZVLVJVEOVMVMVEVGPTZDHZKVLVJVMVOVMVNQDVERUKUAUBVEVGUCUDUEUFUGVFVH
      UHULVJVFVHVEUIUJUMVBVHAVEIACUNVAVGBUTVEUOUPZSVBVHAVEDVPSUQUR $.
  $}

  ${
    $d A w x y z $.
    $( The supremum of a bounded-above set of reals is the negation of the
       infimum of that set's image under negation.  (Contributed by Paul
       Chapman, 21-Mar-2011.)  ( Revised by AV, 13-Sep-2020.) $)
    supminf $p |- ( ( A C_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A y <_ x ) ->
      sup ( A , RR , < ) = -u inf ( { z e. RR | -u z e. A } , RR , < ) ) $=
      ( vw cr wss c0 wne cv cle wbr wral cneg wcel clt wceq wb eleq1d recn wrex
      w3a crab cinf csup ssrab2 negn0 ublbneg infrenegsup mp3an3an 3impa elrabi
      wa adantl ssel2 elrab3 renegcl syl negnegd 3bitrd eqrdav supeq1d 3ad2ant1
      negeq negeqd eqtrd infrecl suprcl cc negcon2 syl2an syl2anc mpbid ) DFGZD
      HIZBJZAJZKLBDMAFUAZUBZCJZNZDOZCFUCZFPUDZDFPUEZNZQZWEWDNQZVSWDEJZNZWCOZEFU
      CZFPUEZNZWFVNVOVRWDWNQZWCFGZVNVOUMZWCHIZVRVQVPKLBWCMAFUAZWOWBCFUFZCDUGZAB
      CDUHZABEWCUIUJUKVSWMWEVNVOWMWEQVRVNFWLDPVNAWLDFVQWLOZVQFOZVNWKEVQFULUNDFV
      QUOXDXCVQDOZRVNXDXCVQNZWCOZXFNZDOZXEWKXGEVQFWIVQQWJXFWCWIVQVDSUPXDXFFOXGX
      IRVQUQWBXICXFFVTXFQWAXHDVTXFVDSUPURXDXHVQDXDVQVQTUSSUTUNVAVBVCVEVFVSWDFOZ
      WEFOZWGWHRZVNVOVRXJWPWQWRVRWSXJWTXAXBABWCVGUJUKABDVHXJWDVIOWEVIOXLXKWDTWE
      TWDWEVJVKVLVM $.

    $( If a set of reals is bounded below, it is bounded below by an integer.
       (Contributed by Paul Chapman, 21-Mar-2011.) $)
    lbzbi $p |- ( A C_ RR -> ( E. x e. RR A. y e. A x <_ y <->
                               E. x e. ZZ A. y e. A x <_ y ) ) $=
      ( vz cr wss cv cle wbr wral wrex cz wcel wi wa clt expdimp com23 imp ex
      nfv nfre1 btwnz simpld w3a zre ltleletr syl3an1 expd 3expia syl5 ralrimiv
      ssel2 ralim syl anasss expcom imdistand breq1 ralbidv rspcev syl6 ancomsd
      weq rexlimdv mpdi rexlimd zssre ssrexv ax-mp impbid1 ) CEFZAGZBGZHIZBCJZA
      EKZVPALKZVLVPVRAEVLAUAVPALUBVLVPVMEMZVRVLVPVSVRNVLVPOZVSDGZVMPIZDLKZVRVSW
      CVMWAPIDLKDDVMUCUDVSVTWCVRNZVSVLVPWDVSVLOZVPOWBVRDLWEVPWALMZWBVRNZWEWFVPW
      GWEWBWFVPOZVRWEWBWHVRNWEWBOZWHWFWAVNHIZBCJZOVRWIWFVPWKWEWBWFVPWKNZNWEWFWB
      WLWFWEWBWLNZWFVSVLWMWFVSOZVLOZWBWLWOWBOZVOWJNZBCJWLWPWQBCWOWBVNCMZWQNWOWR
      WBWQWNVLWRWBWQNZVLWROVNEMZWNWSCEVNUMWFVSWTWSWFVSWTUEWBVOWJWFWAEMVSWTWBVOO
      WJNWAUFWAVMVNUGUHUIUJUKQRSULVOWJBCUNUOTUPUQRSURVPWKAWALADVDVOWJBCVMWAVNHU
      SUTVAVBTRVCQVEUPUQVFTRVGLEFVRVQNVHVPALEVIVJVK $.
  $}

  ${
    $d m n w x y z A $.  $d n x B $.  $d x y M $.  $d x Z $.
    $( Any nonempty bounded subset of integers has a supremum in the set.  (The
       proof does not use ~ ax-pre-sup .)  (Contributed by Mario Carneiro,
       21-Apr-2015.) $)
    zsupss $p |- ( ( A C_ ZZ /\ A =/= (/) /\ E. x e. ZZ A. y e. A y <_ x ) ->
                    E. x e. A ( A. y e. A -. x < y /\
                      A. y e. B ( y < x -> E. z e. A y < z ) ) ) $=
      ( vm vn vw cz cv cle wbr wral wrex clt wa wceq wcel cneg zred c0 wn breq1
      wss wne wi cbvralvw breq2 ralbidv syl5bb cbvrexvw crab cr cuz cfv simp1rl
      cinf w3a znegcld simp2 simp1rr simp3 rspcdva lenegcon1d syl3anbrc rabssdv
      eluz2 wex n0 ssel2 zcnd negnegd simpr eqeltrd negeq eleq1d rspcev syl2anc
      ex exlimdv imp sylan2b adantr sylibr infssuzcl cbvrabv elrab2 simprbi syl
      simpll sselda ssrab2 sselid elrabd infssuzle lenegcon2d lensymd ralrimiva
      rabn0 ralrimivw notbid imbi1d anbi12d syl12anc rexlimdvaa syl5bi 3impia )
      DIUDZDUAUEZBJZAJZKLZBDMZAINZXKXJOLZUBZBDMZXJXKOLZXJCJZOLZCDNZUFZBEMZPZADN
      ZXNFJZGJZKLZFDMZGINXHXIPZYEXMYIAGIXMYFXKKLZFDMXKYGQZYIXLYKBFDXJYFXKKUCUGY
      LYKYHFDXKYGYFKUHUIUJUKYJYIYEGIYJYGIRZYIPZPZHJZSZDRZHIULZUMOUQZSZDRZUUAXJO
      LZUBZBDMZXJUUAOLZYAUFZBEMZYEYOYTYSRZUUBYOYSYGSZUNUOZUDZYSUAUEZUUIYOYRHIUU
      KYOYPIRZYRURZUUJIRZUUNUUJYPKLYPUUKRUUOYGYMYIYJUUNYRUPZUSYOUUNYRUTZUUOYPYG
      UUOYPUURTUUOYGUUQTUUOYHYQYGKLFDYQYFYQYGKUCYMYIYJUUNYRVAYOUUNYRVBVCVDUUJYP
      VGVEVFZYOYRHINZUUMYJUUTYNXIXHYGDRZGVHZUUTGDVIXHUVBUUTXHUVAUUTGXHUVAUUTXHU
      VAPZUUPUUJSZDRZUUTUVCYGDIYGVJZUSUVCUVDYGDUVCYGUVCYGUVFVKVLXHUVAVMVNYRUVEH
      UUJIYPUUJQYQUVDDYPUUJVOVPVQVRVSVTWAWBWCYRHIWSWDYSUUJWEVRZUUIYTIRUUBUUJDRZ
      UUBGYTIYSYGYTQUUJUUADYGYTVOVPYRUVHHGIYPYGQYQUUJDYPYGVOVPWFWGWHWIZYOUUDBDY
      OXJDRZPZXJUUAUVKXJYODIXJXHXIYNWJWKZTZUVKUUAUVKYTUVKYSIYTYRHIWLYOUUIUVJUVG
      WCWMZUSTUVKYTXJUVKYTUVNTUVMUVKUULXJSZYSRYTUVOKLYOUULUVJUUSWCUVKYRUVOSZDRH
      UVOIYPUVOQYQUVPDYPUVOVOVPUVKXJUVLUSUVKUVPXJDUVKXJUVKXJUVLVKVLYOUVJVMVNWNU
      VOYSUUJWOVRWPWQWRYOUUGBEYOUUBUUGUVIUUBUUFYAXTUUFCUUADXSUUAXJOUHVQVSWIWTYD
      UUEUUHPAUUADXKUUAQZXQUUEYCUUHUVQXPUUDBDUVQXOUUCXKUUAXJOUCXAUIUVQYBUUGBEUV
      QXRUUFYAXKUUAXJOUHXBUIXCVQXDXEXFXG $.
    $( $j usage 'zsupss' avoids 'ax-pre-sup'; $)

    $( The supremum of a bounded-above set of integers is a member of the set.
       (This version of ~ suprzcl avoids ~ ax-pre-sup .)  (Contributed by Mario
       Carneiro, 21-Apr-2015.)  (Revised by Mario Carneiro, 24-Dec-2016.) $)
    suprzcl2 $p |- ( ( A C_ ZZ /\ A =/= (/) /\ E. x e. ZZ A. y e. A y <_ x ) ->
                    sup ( A , RR , < ) e. A ) $=
      ( vz cz wss c0 wne cv cle wbr wral wrex w3a clt wi cr wa wcel wtru zsupss
      csup wceq ssel2 zred wor ltso a1i eqsup mptru 3expib syl simpr syl5ibrcom
      wn eleq1 syld rexlimdva 3ad2ant1 mpd ) CEFZCGHZBIZAIZJKBCLAEMZNVDVCOKUOBC
      LZVCVDOKVCDIOKDCMPBQLZRZACMZCQOUBZCSZABDCQUAVAVBVIVKPVEVAVHVKACVAVDCSZRZV
      HVJVDUCZVKVMVDQSZVHVNPVMVDCEVDUDUEVOVFVGVNVOVFVGNVNPTBDQCVDOQOUFTUGUHUIUJ
      UKULVMVKVNVLVAVLUMVJVDCUPUNUQURUSUT $.
    $( $j usage 'suprzcl2' avoids 'ax-pre-sup'; $)

    $( The supremum of a bounded-above set of integers is greater than any
       member of the set.  (Contributed by Mario Carneiro, 21-Apr-2015.) $)
    suprzub $p |- ( ( A C_ ZZ /\ E. x e. ZZ A. y e. A y <_ x /\ B e. A ) ->
                    B <_ sup ( A , RR , < ) ) $=
      ( vz cz wss cv cle wbr wral wrex wcel w3a cr clt csup sseldd syl3anc wn
      simp1 zssre sstrdi simp3 c0 wne ne0d simp2 suprzcl2 wor ltso wi wa zsupss
      a1i ssrexv sylc supub mpd nltled ) CFGZBHZAHZIJBCKAFLZDCMZNZDCOPQZVFCODVF
      CFOVAVDVEUAZUBUCZVAVDVEUDZRVFCOVGVIVFVACUEUFZVDVGCMVHVFCDVJUGZVAVDVEUHZAB
      CUISRVFVEVGDPJTVJVFABEOCDPOPUJVFUKUOVFCOGVCVBPJTBCKVBVCPJVBEHPJECLULBOKUM
      ZACLZVNAOLVIVFVAVKVDVOVHVLVMABECOUNSVNACOUPUQURUSUT $.

    uzsupss.1 $e |- Z = ( ZZ>= ` M ) $.
    $( Any bounded subset of an upper set of integers has a supremum.
       (Contributed by Mario Carneiro, 22-Jul-2014.)  (Revised by Mario
       Carneiro, 21-Apr-2015.) $)
    uzsupss $p |- ( ( M e. ZZ /\ A C_ Z /\ E. x e. ZZ A. y e. A y <_ x ) ->
                    E. x e. Z ( A. y e. A -. x < y /\
                      A. y e. Z ( y < x -> E. z e. A y < z ) ) ) $=
      ( cz wcel wss cv cle wbr wral wrex clt wn wi wa c0 w3a cuz cfv simpl1 syl
      wceq uzid eleqtrrdi simpr raleqdv mpbiri eluzle wb eluzel2 eluzelz cr zre
      ral0 lenlt syl2an syl2anc mpbid eleq2s pm2.21d breq1 notbid ralbidv breq2
      a1i imbi1d anbi12d rspcev syl12anc wne simpl2 uzssz eqsstri sstrdi simpl3
      rgen zsupss syl3anc ssrexv sylc pm2.61dane ) EHIZDFJZBKZAKZLMBDNAHOZUAZWI
      WHPMZQZBDNZWHWIPMZWHCKPMCDOZRZBFNZSZAFOZDTWKDTUFZSZEFIEWHPMZQZBDNZWHEPMZW
      PRZBFNZWTXBEEUBUCZFXBWFEXIIWFWGWJXAUDEUGUEGUHXBXEXDBTNXDBURXBXDBDTWKXAUIU
      JUKXHXBXGBFWHFIXFWPXFQZWHXIFWHXIIZEWHLMZXJEWHULXKWFWHHIZXLXJUMZEWHUNEWHUO
      WFEUPIWHUPIXNXMEUQWHUQEWHUSUTVAVBGVCVDVTVIWSXEXHSAEFWIEUFZWNXEWRXHXOWMXDB
      DXOWLXCWIEWHPVEVFVGXOWQXGBFXOWOXFWPWIEWHPVHVJVGVKVLVMWKDTVNZSZWGWSADOZWTW
      FWGWJXPVOZXQDHJXPWJXRXQDFHXSFXIHGEVPVQVRWKXPUIWFWGWJXPVSABCDFWAWBWSADFWCW
      DWE $.
  $}

  $( A (nonnegative) integer between 1 and 3 must be 1, 2 or 3.  (Contributed
     by Alexander van der Vekens, 13-Sep-2018.) $)
  nn01to3 $p |- ( ( N e. NN0 /\ 1 <_ N /\ N <_ 3 )
                  -> ( N = 1 \/ N = 2 \/ N = 3 ) ) $=
    ( c3 wceq wcel c1 cle wbr w3a c2 wi wn wa wo clt wne cr a1i zre pm2.61ine
    cz cn0 w3o 3mix3 a1d nn0re 3ad2ant1 simp3 leltned nesym bitr2di cn elnnnn0c
    3re orc 2a1d cuz cfv eluz2b3 eluz2 2a1 wb id leltne syl3an caddc co 2z df-3
    simpr breq2d biimpa adantr btwnnz mp3an2i pm2.21d exp31 com24 pm2.43i com12
    3ad2ant2 sylbird sylbi imp olcd ex sylbir expcom 3adant3 sylbid impcom orcd
    df-3or sylibr pm2.61i ) ABCZAUADZEAFGZABFGZHZAECZAICZWOUBZJWOXBWSWOWTXAUCUD
    WOKZWSXBXCWSLZWTXAMZWOMXBXDXEWOWSXCXEWSXCABNGZXEWSXFBAOXCWSABWPWQAPDZWRAUEU
    FBPDWSUMQWPWQWRUGUHBAUIUJWPWQXFXEJZWRWPWQLAUKDZXHAULXIXHJAEWTXEXIXFWTXAUNUO
    XIAEOZXHXIXJLAIUPUQDZXHAURXKXFXEXKXFLXAWTXKXFXAXKITDZATDZIAFGZHZXFXAJZIAUSX
    OXPJAIXAXOXFUTXOAIOZXPXOXQIANGZXPXLIPDXMXGXNXNXRXQVAIRARXNVBIAVCVDXMXLXRXPJ
    ZXNXMXSXMXFXRXMXAXMXFXRXMXAJXMXFLZXRLZXMXAXLYAXRAIEVEVFZNGZXMKVGXTXRVIXTYCX
    RXMXFYCXMBYBANBYBCXMVHQVJVKVLIAVMVNVOVPVQVRVTWAVSSWBWCWDWEWFWGSWFWHWIWJWKWT
    XAWOWLWMWEWN $.

  $( Alternate proof of ~ nn0ge2m1nn :  If a nonnegative integer is greater
     than or equal to two, the integer decreased by 1 is a positive integer.
     This version is proved using ~ eluz2 , a theorem for upper sets of
     integers, which are defined later than the positive and nonnegative
     integers.  This proof is, however, much shorter than the proof of
     ~ nn0ge2m1nn .  (Contributed by Alexander van der Vekens, 1-Aug-2018.)
     (New usage is discouraged.)  (Proof modification is discouraged.) $)
  nn0ge2m1nnALT $p |- ( ( N e. NN0 /\ 2 <_ N ) -> ( N - 1 ) e. NN ) $=
    ( cn0 wcel c2 cle wbr wa cuz cfv c1 cmin co cn cz 2z a1i adantr simpr eluz2
    nn0z syl3anbrc uz2m1nn syl ) ABCZDAEFZGZADHICZAJKLMCUFDNCZANCZUEUGUHUFOPUDU
    IUEATQUDUERDASUAAUBUC $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Well-ordering principle for bounded-below sets of integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d n x y z A $.  $d n x y z B $.
    $( Well-ordering principle: any nonempty subset of an upper set of integers
       has a unique least element.  This generalization of ~ uzwo2 allows the
       lower bound ` B ` to be any real number.  See also ~ nnwo and ~ nnwos .
       (Contributed by NM, 12-Nov-2004.)  (Proof shortened by Mario Carneiro,
       2-Oct-2015.)  (Proof shortened by AV, 27-Sep-2020.) $)
    uzwo3 $p |- ( ( B e. RR /\ ( A C_ { z e. ZZ | B <_ z } /\ A =/= (/) ) )
                  -> E! x e. A A. y e. A x <_ y ) $=
      ( vn cr wcel cv cle wbr cz wss wa cneg wral cn adantr syl2anc ralrimiva
      crab c0 wne clt wreu wrex renegcl arch syl cinf wi cuz cfv simplrl nnnegz
      wceq zred simprl simpll nnred simplrr ltnegcon1d simprr ltletrd wb mpbird
      ltled eluz expr rabss adantlr sstrd infssuzcl infssuzle sylan breq2 uzssz
      sylibr rspcdva zssre sstri sstrdi letri3d mpbir2and breq1 ralbidv syl3anc
      sseldd eqreu rexlimddv ) EGHZDECIZJKZCLUAZMZDUBUCZNZNZEOZFIZUDKZAIZBIZJKZ
      BDPZADUEZFQWRWSGHZXAFQUFWKXGWQEUGRWSFUHUIWRWTQHZXANZNZDGUDUJZDHZXKXCJKZBD
      PZXEXBXKUPZUKZADPXFXJDWTOZULUMZMZWPXLXJDWNXRWKWOWPXIUNWKXIWNXRMZWQWKXINZW
      MWLXRHZUKZCLPXTYAYCCLYAWLLHZWMYBYAYDWMNZNZYBXQWLJKZYFXQWLYFXQYFXHXQLHZWKX
      HXAYEUNZWTUOUIZUQZYFWLYAYDWMURZUQZYFXQEWLYKWKXIYEUSZYMYFEWTYNYFWTYIUTWKXH
      XAYEVAVBYAYDWMVCVDVGYFYHYDYBYGVEYJYLXQWLVHSVFVITWMCLXRVJVRVKVLZWKWOWPXIVA
      DXQVMSZXJXMBDXJXSXCDHXMYOXCDXQVNVOTXJXPADXJXBDHZXEXOXJYQXENZNZXOXBXKJKZXK
      XBJKZYSXDYTBDXKXCXKXBJVPXJYQXEVCXJXLYRYPRVSYSXSYQUUAXJXSYRYORXJYQXEURZXBD
      XQVNSYSXBXKYSDGXBXJDGMYRXJDXRGYOXRLGXQVQVTWAWBZRUUBWHXJXKGHYRXJDGXKUUCYPW
      HRWCWDVITXEXNADXKXOXDXMBDXBXKXCJWEWFWIWGWJ $.

    $( There is a unique smallest integer greater than or equal to a given real
       number.  (Contributed by NM, 12-Nov-2004.)  (Revised by Mario Carneiro,
       13-Jun-2014.) $)
    zmin $p |- ( A e. RR ->
                 E! x e. ZZ ( A <_ x /\ A. y e. ZZ ( A <_ y -> x <_ y ) ) ) $=
      ( vz vn cr wcel cv cle wbr cz crab wral wreu wi wa wrex cn wss breq2 arch
      c0 wne clt nnssz ssrexv mpsyl zre ltle sylan2 reximdva mpd sylibr cbvrabv
      rabn0 eqimssi uzwo3 mpanr1 mpdan elrab ralrab anbi12i anass bitri 3bitr4i
      weu eubii df-reu sylib ) CFGZAHZBHZIJZBCDHZIJZDKLZMZAVPNZCVKIJZCVLIJZVMOB
      KMZPZAKNZVJVPUBUCZVRVJVODKQZWDVJCVNUDJZDKQZWERKSVJWFDRQWGUECDUAWFDRKUFUGV
      JWFVODKVNKGVJVNFGWFVOOVNUHCVNUIUJUKULVODKUOUMVJVPCEHZIJZEKLZSWDVRVPWJVOWI
      DEKVNWHCITUNUPABEVPCUQURUSVKVPGZVQPZAVFVKKGZWBPZAVFVRWCWLWNAWLWMVSPZWAPWN
      WKWOVQWAVOVSDVKKVNVKCITUTVOVTVMBDKVNVLCITVAVBWMVSWAVCVDVGVQAVPVHWBAKVHVEV
      I $.
  $}

  ${
    $d x y z w A $.
    $( There is a unique largest integer less than or equal to a given real
       number.  (Contributed by NM, 15-Nov-2004.) $)
    zmax $p |- ( A e. RR ->
               E! x e. ZZ ( x <_ A /\ A. y e. ZZ ( y <_ A -> y <_ x ) ) ) $=
      ( vz vw cr wcel cneg cv cle wbr wi cz wral wa wreu znegcl wceq wb imbi12d
      renegcl zmin syl cc zcn negcon2 syl2an reuhyp breq2 breq1 ralbidv anbi12d
      imbi2d reuxfr1 zre leneg sylan ancoms rspcv adantrr sylan2 adantrl biimpd
      lenegcon1 com23 syld com13 ralrimdv exbiri impbid reubidva bitr4id mpbid
      ex ) CFGZCHZDIZJKZVPEIZJKZVQVSJKZLZEMNZOZDMPZAIZCJKZBIZCJKZWHWFJKZLZBMNZO
      ZAMPZVOVPFGWECUADEVPUBUCVOWEVPWFHZJKZVTWOVSJKZLZEMNZOZAMPWNWDWTDAWOMMWFQD
      AWOVQHZMVQQVQMGVQUDGWFUDGVQWORZWFXARSWFMGZVQUEWFUEVQWFUFUGUHXBVRWPWCWSVQW
      OVPJUIXBWBWREMXBWAWQVTVQWOVSJUJUMUKULUNVOWMWTAMVOXCOZWGWPWLWSXCVOWGWPSZXC
      WFFGZVOXEWFUOZWFCUPUQURXDWLWSXDWLWREMVSMGZWLXDWRXHWLVSHZCJKZXIWFJKZLZXDWR
      LXHXIMGWLXLLVSQWKXLBXIMWHXIRWIXJWJXKWHXICJUJWHXIWFJUJTUSUCXHXDXLWRXHXDXLW
      RLXHXDOXLWRXHVSFGZXDXLWRSVSUOXMXDOXJVTXKWQXMVOXJVTSXCVSCVDUTXMXCXKWQSZVOX
      CXMXFXNXGVSWFVDVAVBTUQVCVNVEVFVGVHXDWSWKBMWHMGZWSXDWKXOWSVPWHHZJKZWOXPJKZ
      LZXDWKLXOXPMGWSXSLWHQWRXSEXPMVSXPRVTXQWQXRVSXPVPJUIVSXPWOJUITUSUCXOXDXSWK
      XOXDWKXSXOWHFGZXDWKXSSWHUOXTXDOWIXQWJXRXTVOWIXQSXCWHCUPUTXTXCWJXRSZVOXCXT
      XFYAXGWHWFUPVAVBTUQVIVEVFVGVHVJULVKVLVM $.
  $}

  ${
    $d x y A $.
    $( There is a unique integer between a real number and the number plus one.
       Exercise 5 of [Apostol] p. 28.  (Contributed by NM, 13-Nov-2004.) $)
    zbtwnre $p |- ( A e. RR -> E! x e. ZZ ( A <_ x /\ x < ( A + 1 ) ) ) $=
      ( vy cr wcel cv cle wbr wi cz wa wreu c1 co clt wb zre syl sylan2 zlem1lt
      wral caddc zmin cmin peano2rem ltletr syl3an1 3expa adantlr sylibrd exp4b
      com23 ralrimdv wn ltnrd peano2zm mpdan mtbird ad2antrr ancoms adantr wceq
      lenlt breq2 imbi12d rspcv imp sylbird ex impbid 1re ltsubadd mp3an2 sylan
      mt3d bitr3d anbi2d reubidva mpbid ) BDEZBAFZGHZBCFZGHZWAWCGHZIZCJUAZKZAJL
      WBWABMUBNOHZKZAJLACBUCVTWHWJAJVTWAJEZKWGWIWBWKVTWGWIPWKVTKZWAMUDNZBOHZWGW
      IWLWNWGWLWNWFCJWLWCJEZWNWFWLWOWNWDWEWLWOKWNWDKZWMWCOHZWEWOWLWCDEZWPWQIZWC
      QWKVTWRWSWKWMDEZVTWRWSWKWADEZWTWAQZWAUERZWMBWCUFUGUHSWKWOWEWQPVTWAWCTUIUJ
      UKULUMWLWGWNWLWGKZWNWAWMGHZWKXEUNVTWGWKXEWMWMOHZWKWMXCUOWKWMJEZXEXFPWAUPZ
      WAWMTUQURUSXDWNUNZBWMGHZXEWLXJXIPZWGVTWKXKWKVTWTXKXCBWMVCSUTVAWKWGXJXEIZV
      TWKWGXLWKXGWGXLIXHWFXLCWMJWCWMVBWDXJWEXEWCWMBGVDWCWMWAGVDVEVFRVGUIVHVOVIV
      JWKXAVTWNWIPZXBXAMDEVTXMVKWAMBVLVMVNVPUTVQVRVS $.
  $}

  ${
    $d x y A $.
    $( There is a unique greatest integer less than or equal to a real number.
       Exercise 4 of [Apostol] p. 28.  (Contributed by NM, 15-Nov-2004.) $)
    rebtwnz $p |- ( A e. RR -> E! x e. ZZ ( x <_ A /\ A < ( x + 1 ) ) ) $=
      ( vy cr wcel cneg cv cle wbr c1 caddc co clt wa cz wreu znegcl cc wceq wb
      renegcl zbtwnre syl zcn negcon2 syl2an reuhyp breq2 breq1 anbi12d reuxfr1
      zre leneg ancoms cmin peano2rem ltneg sylan ltsubadd mp3an2 recn negsubdi
      ax-1cn sylancl adantr breq2d 3bitr3d sylan2 bicomd reubidva syl5bb mpbid
      1re ) BDEZBFZCGZHIZVPVOJKLZMIZNZCOPZAGZBHIZBWBJKLMIZNZAOPZVNVODEWABUACVOU
      BUCWAVOWBFZHIZWGVRMIZNZAOPVNWFVTWJCAWGOOWBQCAWGVPFZOVPQVPOEVPREWBREVPWGSZ
      WBWKSTWBOEZVPUDWBUDVPWBUEUFUGWLVQWHVSWIVPWGVOHUHVPWGVRMUIUJUKVNWJWEAOVNWM
      NWEWJWMVNWBDEZWEWJTWBULVNWNNZWCWHWDWIWNVNWCWHTWBBUMUNWOBJUOLZWBMIZWGWPFZM
      IZWDWIVNWPDEWNWQWSTBUPWPWBUQURVNJDEWNWQWDTVMBJWBUSUTWOWRVRWGMVNWRVRSZWNVN
      BREJREWTBVAVCBJVBVDVEVFVGUJVHVIVJVKVL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Rational numbers (as a subset of complex numbers)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c QQ $. $( The set of rational numbers (blackboard bold Q). $)

  $( Extend class notation to include the class of rationals. $)
  cq $a class QQ $.

  $( Define the set of rational numbers.  Based on definition of rationals in
     [Apostol] p. 22.  See ~ elq for the relation "is rational".  (Contributed
     by NM, 8-Jan-2002.) $)
  df-q $a |- QQ = ( / " ( ZZ X. NN ) ) $.

  ${
    $d x y z A $.
    $( Membership in the set of rationals.  (Contributed by NM, 8-Jan-2002.)
       (Revised by Mario Carneiro, 28-Jan-2014.) $)
    elq $p |- ( A e. QQ <-> E. x e. ZZ E. y e. NN A = ( x / y ) ) $=
      ( vz cq wcel cdiv cz cn cxp cima cv co wceq wrex df-q cc cc0 wss mp2an wb
      eleq2i csn cdif wfn cmul crio df-div riotaex zsscn wne nncn nnne0 eldifsn
      fnmpoi sylanbrc ssriv xpss12 ovelimab bitri ) CEFCGHIJZKZFZCALZBLZGMNBIOA
      HOZEVBCPUBGQQRUCUDZJZUEVAVHSZVCVFUAABQVGVEDLUFMVDNZDQUGGABDUHVJDQUIUOHQSI
      VGSVIUJAIVGVDIFVDQFVDRUKVDVGFVDULVDUMVDQRUNUPUQHQIVGURTABVHHICGUSTUT $.

    $( If ` A ` is rational, then some integer multiple of it is an integer.
       (Contributed by NM, 7-Nov-2008.)  (Revised by Mario Carneiro,
       22-Jul-2014.) $)
    qmulz $p |- ( A e. QQ -> E. x e. NN ( A x. x ) e. ZZ ) $=
      ( vy cq wcel cv cdiv co wceq cn wrex cz elq rexcom wa cc zcn adantr sylbi
      cmul adantl nncn cc0 nnne0 divcan1d simpr eqeltrd oveq1 eleq1d syl5ibrcom
      wne rexlimdva reximia ) BDEBCFZAFZGHZIZAJKCLKZBUOTHZLEZAJKZCABMURUQCLKZAJ
      KVAUQCALJNVBUTAJUOJEZUQUTCLVCUNLEZOZUTUQUPUOTHZLEVEVFUNLVEUNUOVDUNPEVCUNQ
      UAVCUOPEVDUOUBRVCUOUCUKVDUOUDRUEVCVDUFUGUQUSVFLBUPUOTUHUIUJULUMSS $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The ratio of an integer and a positive integer is a rational number.
       (Contributed by NM, 12-Jan-2002.) $)
    znq $p |- ( ( A e. ZZ /\ B e. NN ) -> ( A / B ) e. QQ ) $=
      ( vx vy cz wcel cn wa cdiv co cv wceq wrex eqid rspceov mp3an3 elq sylibr
      cq ) AEFZBGFZHABIJZCKDKIJLDGMCEMZUBSFTUAUBUBLUCUBNCDEGABUBIOPCDUBQR $.
  $}

  ${
    $d x y A $.
    $( A rational number is a real number.  (Contributed by NM,
       14-Nov-2002.) $)
    qre $p |- ( A e. QQ -> A e. RR ) $=
      ( vx vy cq wcel cv cdiv co wceq cn wrex cz cr elq cc0 wne zre nnre nnne0
      wa jca redivcl 3expb syl2an eleq1 syl5ibrcom rexlimivv sylbi ) ADEABFZCFZ
      GHZIZCJKBLKAMEZBCANULUMBCLJUILEZUJJEZTUMULUKMEZUNUIMEZUJMEZUJOPZTUPUOUIQU
      OURUSUJRUJSUAUQURUSUPUIUJUBUCUDAUKMUEUFUGUH $.

    $( An integer is a rational number.  (Contributed by NM, 9-Jan-2002.)
       (Proof shortened by Steven Nguyen, 23-Mar-2023.) $)
    zq $p |- ( A e. ZZ -> A e. QQ ) $=
      ( cz wcel c1 cdiv co cq zcn div1d cn 1nn znq mpan2 eqeltrrd ) ABCZADEFZAG
      OAAHIODJCPGCKADLMN $.
  $}

  ${
    qred.1 $e |- ( ph -> A e. QQ ) $.
    $( A rational number is a real number.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    qred $p |- ( ph -> A e. RR ) $=
      ( cq wcel cr qre syl ) ABDEBFECBGH $.
  $}

  $( The integers are a subset of the rationals.  (Contributed by NM,
     9-Jan-2002.) $)
  zssq $p |- ZZ C_ QQ $=
    ( vx cz cq cv zq ssriv ) ABCADEF $.

  $( The nonnegative integers are a subset of the rationals.  (Contributed by
     NM, 31-Jul-2004.) $)
  nn0ssq $p |- NN0 C_ QQ $=
    ( cn0 cz cq nn0ssz zssq sstri ) ABCDEF $.

  $( The positive integers are a subset of the rationals.  (Contributed by NM,
     31-Jul-2004.) $)
  nnssq $p |- NN C_ QQ $=
    ( cn cz cq nnssz zssq sstri ) ABCDEF $.

  $( The rationals are a subset of the reals.  (Contributed by NM,
     9-Jan-2002.) $)
  qssre $p |- QQ C_ RR $=
    ( vx cq cr cv qre ssriv ) ABCADEF $.

  $( The rationals are a subset of the complex numbers.  (Contributed by NM,
     2-Aug-2004.) $)
  qsscn $p |- QQ C_ CC $=
    ( cq cr cc qssre ax-resscn sstri ) ABCDEF $.

  $( The set of rational numbers exists.  See also ~ qexALT .  (Contributed by
     NM, 30-Jul-2004.)  (Revised by Mario Carneiro, 17-Nov-2014.) $)
  qex $p |- QQ e. _V $=
    ( cq cc cnex qsscn ssexi ) ABCDE $.

  $( A positive integer is rational.  (Contributed by NM, 17-Nov-2004.) $)
  nnq $p |- ( A e. NN -> A e. QQ ) $=
    ( cn cq nnssq sseli ) BCADE $.

  $( A rational number is a complex number.  (Contributed by NM,
     2-Aug-2004.) $)
  qcn $p |- ( A e. QQ -> A e. CC ) $=
    ( cq cc qsscn sseli ) BCADE $.

  ${
    $d x y z $.
    $( Alternate proof of ~ qex .  (Contributed by NM, 30-Jul-2004.)  (Revised
       by Mario Carneiro, 16-Jun-2013.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    qexALT $p |- QQ e. _V $=
      ( vy vz vx cq cz cn cv cdiv cmpo crn cvv wcel wceq wrex eqid ovex elrnmpo
      co elq bitr4i eqriv zexALT nnexALT mpoex rnex eqeltri ) DABEFAGZBGZHRZIZJ
      ZKCDUKCGZDLULUIMBFNAENULUKLABULSABEFUIULUJUJOUGUHHPQTUAUJABEFUIUBUCUDUEUF
      $.
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.
    $( Closure of addition of rationals.  (Contributed by NM, 1-Aug-2004.) $)
    qaddcl $p |- ( ( A e. QQ /\ B e. QQ ) -> ( A + B ) e. QQ ) $=
      ( vx vy vz vw vu vv cq wcel cv cdiv co wceq cn wrex cz caddc wa cc elq wi
      cmul zmulcl sylan2 ad2ant2rl simpl adantl syl2anr zaddcld adantr ad2ant2l
      nnz nnmulcl oveq12 cc0 wne zcn anim12i nncn nnne0 jca divadddiv sylan9eqr
      syl2an an4s w3a rspceov sylibr syl3anc exp43 rexlimivv rexlimdvv syl2anb
      imp ) AIJACKZDKZLMZNZDOPCQPZBEKZFKZLMZNZFOPEQPZABRMZIJZBIJCDAUAEFBUAVTWEW
      GVTWDWGEFQOVSWAQJZWBOJZSZWDWGUBUBCDQOVPQJZVQOJZSZVSWJWDWGWMWJVSWDWGWMWJSZ
      VSWDSZSVPWBUCMZWAVQUCMZRMZQJZVQWBUCMZOJZWFWRWTLMZNZWGWNWSWOWNWPWQWKWIWPQJ
      ZWLWHWIWKWBQJXDWBUMVPWBUDUEUFWJWHVQQJZWQQJWMWHWIUGWLXEWKVQUMUHWAVQUDUIUJU
      KWNXAWOWLWIXAWKWHVQWBUNULUKWOWNWFVRWCRMZXBAVRBWCRUOWKWHWLWIXFXBNZWKWHSVPT
      JZWATJZSVQTJZVQUPUQZSZWBTJZWBUPUQZSZSXGWLWISWKXHWHXIVPURWAURUSWLXLWIXOWLX
      JXKVQUTVQVAVBWIXMXNWBUTWBVAVBUSVPWAVQWBVCVEVFVDWSXAXCVGWFGKHKLMNHOPGQPWGG
      HQOWRWTWFLVHGHWFUAVIVJVFVKVLVMVOVN $.

    $( Closure law for the negative of a rational.  (Contributed by NM,
       2-Aug-2004.)  (Revised by Mario Carneiro, 15-Sep-2014.) $)
    qnegcl $p |- ( A e. QQ -> -u A e. QQ ) $=
      ( vx vy cq wcel cv cdiv co wceq cn wrex cz cneg elq wa cc zcn adantr nncn
      adantl cc0 wne nnne0 divnegd znegcl sylan eqeltrd negeq eleq1d syl5ibrcom
      znq rexlimivv sylbi ) ADEABFZCFZGHZIZCJKBLKAMZDEZBCANUQUSBCLJUNLEZUOJEZOZ
      USUQUPMZDEVBVCUNMZUOGHZDVBUNUOUTUNPEVAUNQRVAUOPEUTUOSTVAUOUAUBUTUOUCTUDUT
      VDLEVAVEDEUNUEVDUOUKUFUGUQURVCDAUPUHUIUJULUM $.

    $( Closure of multiplication of rationals.  (Contributed by NM,
       1-Aug-2004.) $)
    qmulcl $p |- ( ( A e. QQ /\ B e. QQ ) -> ( A x. B ) e. QQ ) $=
      ( vx vy vz vw vv vu cq wcel cv cdiv co wceq cn wrex cz cmul wa cc nnmulcl
      elq wi zmulcl anim12i an4s oveq12 cc0 wne zcn ad2ant2r nnne0 jca ad2ant2l
      divmuldiv syl2anc sylan9eqr rspceov 3expa sylibr syl2an2r exp43 rexlimivv
      nncn rexlimdvv imp syl2anb ) AIJACKZDKZLMZNZDOPCQPZBEKZFKZLMZNZFOPEQPZABR
      MZIJZBIJCDAUBEFBUBVLVQVSVLVPVSEFQOVKVMQJZVNOJZSZVPVSUCUCCDQOVHQJZVIOJZSZV
      KWBVPVSWEWBVKVPVSWEWBSZVHVMRMZQJZVIVNRMZOJZSZVKVPSZVRWGWILMZNZVSWCVTWDWAW
      KWCVTSWHWDWASWJVHVMUDVIVNUAUEUFWLWFVRVJVORMZWMAVJBVORUGWFVHTJZVMTJZSZVITJ
      ZVIUHUIZSZVNTJZVNUHUIZSZSZWOWMNWCVTWRWDWAWCWPVTWQVHUJVMUJUEUKWDWAXEWCVTWD
      XAWAXDWDWSWTVIVDVIULUMWAXBXCVNVDVNULUMUEUNVHVMVIVNUOUPUQWKWNSVRGKHKLMNHOP
      GQPZVSWHWJWNXFGHQOWGWIVRLURUSGHVRUBUTVAUFVBVCVEVFVG $.
  $}

  $( Closure of subtraction of rationals.  (Contributed by NM, 2-Aug-2004.) $)
  qsubcl $p |- ( ( A e. QQ /\ B e. QQ ) -> ( A - B ) e. QQ ) $=
    ( cq wcel wa cneg caddc co cmin wceq qcn negsub syl2an qnegcl qaddcl sylan2
    cc eqeltrrd ) ACDZBCDZEABFZGHZABIHZCSAQDBQDUBUCJTAKBKABLMTSUACDUBCDBNAUAOPR
    $.

  ${
    $d x y z w A $.
    $( Closure of reciprocal of rationals.  (Contributed by NM, 3-Aug-2004.) $)
    qreccl $p |- ( ( A e. QQ /\ A =/= 0 ) -> ( 1 / A ) e. QQ ) $=
      ( vx vy vz vw cq wcel cc0 wne c1 cdiv co cv wceq cn wrex cz wi wa adantlr
      elq cmul nnne0 ancli neeq1 cc zcn nncn anim12i divne0b 3expa sylan bicomd
      wb sylan9bbr nnz zmulcl sylan2 adantr msqznn jca oveq2 divid oveq1d simpl
      simpll simpr divdivdiv syl22anc eqtr3d anass1rs sylan9eqr an32s ex sylbid
      an4s anasss rspceov sylibr syl8 rexlimivv sylbi imp ) AFGZAHIZJAKLZFGZWDA
      BMZCMZKLZNZCOPBQPWEWGRZBCAUAWKWLBCQOWHQGZWIOGZSZWKWEWHWIUBLZQGZWHWHUBLZOG
      ZSZWFWPWRKLZNZSZWGWNWMWNWIHIZSWKWEXCRZRZWNXDWIUCUDWMWNXDXFWOXDSZWKXEXGWKS
      ZWEWHHIZXCWKWEWJHIZXGXIAWJHUEXGXIXJWOWHUFGZWIUFGZSZXDXIXJUNZWMXKWNXLWHUGW
      IUHUIZXKXLXDXNWHWIUJUKULUMUOXHXIXCXHXISWTXBXGXIWTWKWOXIWTXDWOXISWQWSWOWQX
      IWNWMWIQGWQWIUPWHWIUQURUSWMXIWSWNWHUTTVATTXGXIWKXBWKXGXISWFJWJKLZXAAWJJKV
      BWOXIXDXPXANZWOXMXIXDSXQXOXKXIXLXDXQXKXISZXLXDSZSZWHWHKLZWJKLZXPXAXTYAJWJ
      KXRYAJNXSWHVCUSVDXTXKXRXRXSYBXANXKXIXSVFXRXSVEZYCXRXSVGWHWHWHWIVHVIVJVPUL
      VKVLVMVAVNVOVNVQURXCWFDMEMKLNEOPDQPZWGWQWSXBYDDEQOWPWRWFKVRUKDEWFUAVSVTWA
      WBWC $.
  $}

  $( Closure of division of rationals.  (Contributed by NM, 3-Aug-2004.) $)
  qdivcl $p |- ( ( A e. QQ /\ B e. QQ /\ B =/= 0 ) -> ( A / B ) e. QQ ) $=
    ( cq wcel cc0 wne w3a cdiv co c1 cmul cc qcn id divrec syl3an qreccl qmulcl
    wceq wa sylan2 3impb eqeltrd ) ACDZBCDZBEFZGABHIZAJBHIZKIZCUDALDUEBLDUFUFUG
    UISAMBMUFNABOPUDUEUFUICDZUEUFTUDUHCDUJBQAUHRUAUBUC $.

  $( Reverse closure law for addition of rationals.  (Contributed by NM,
     2-Aug-2004.) $)
  qrevaddcl $p |- ( B e. QQ ->
                   ( ( A e. CC /\ ( A + B ) e. QQ ) <-> A e. QQ ) ) $=
    ( cq wcel cc caddc co wa cmin qcn pncan sylan2 ancoms adantr qsubcl adantlr
    wceq eqeltrrd ex wi qaddcl expcom impbid pm5.32da pm4.71ri bitr4di ) BCDZAE
    DZABFGZCDZHUHACDZHUKUGUHUJUKUGUHHZUJUKULUJUKULUJHUIBIGZACULUMAQZUJUHUGUNUGU
    HBEDUNBJABKLMNUGUJUMCDZUHUJUGUOUIBOMPRSUGUKUJTUHUKUGUJABUAUBNUCUDUKUHAJUEUF
    $.

  $( The reciprocal of a positive integer is rational.  (Contributed by NM,
     17-Nov-2004.) $)
  nnrecq $p |- ( A e. NN -> ( 1 / A ) e. QQ ) $=
    ( c1 cz wcel cn cdiv co cq 1z znq mpan ) BCDAEDBAFGHDIBAJK $.

  $( The sum of an irrational number and a rational number is irrational.
     (Contributed by NM, 7-Nov-2008.) $)
  irradd $p |- ( ( A e. ( RR \ QQ ) /\ B e. QQ )
                -> ( A + B ) e. ( RR \ QQ ) ) $=
    ( cr cq cdif wcel wa caddc co wn eldif qre readdcl sylan2 adantlr wi qsubcl
    cmin expcom cc adantl wceq qcn pncan syl2an eleq1d sylibd con3d com23 imp31
    recn ex jca sylanb sylibr ) ACDEZFZBDFZGABHIZCFZUSDFZJZGZUSUPFUQACFZADFZJZG
    ZURVCACDKVGURGUTVBVDURUTVFURVDBCFUTBLABMNOVDVFURVBVDURVFVBVDURVFVBPVDURGZVA
    VEVHVAUSBRIZDFZVEURVAVJPVDVAURVJUSBQSUAVHVIADVDATFBTFVIAUBURAUKBUCABUDUEUFU
    GUHULUIUJUMUNUSCDKUO $.

  $( The product of an irrational with a nonzero rational is irrational.
     (Contributed by NM, 7-Nov-2008.) $)
  irrmul $p |- ( ( A e. ( RR \ QQ ) /\ B e. QQ /\ B =/= 0 )
                -> ( A x. B ) e. ( RR \ QQ ) ) $=
    ( cr cq cdif wcel cc0 wne w3a co wn wa eldif qre remulcl sylan2 wi 3expb cc
    cmul ad2ant2r cdiv qdivcl expcom adantl wceq divcan4 syl3an1 syl3an2 eleq1d
    qcn recn sylibd con3d ex com23 imp31 jca 3impb syl3an1b sylibr ) ACDEZFZBDF
    ZBGHZIABTJZCFZVFDFZKZLZVFVBFVCACFZADFZKZLZVDVEVJACDMVNVDVEVJVNVDVELZLVGVIVK
    VDVGVMVEVDVKBCFVGBNABOPUAVKVMVOVIVKVOVMVIVKVOVMVIQVKVOLZVHVLVPVHVFBUBJZDFZV
    LVOVHVRQVKVHVOVRVHVDVEVRVFBUCRUDUEVPVQADVKVDVEVQAUFZVDVKBSFZVEVSBUKVKASFVTV
    EVSAULABUGUHUIRUJUMUNUOUPUQURUSUTVFCDMVA $.

  ${
    $d A x y z $.
    $( A positive rational is the quotient of two positive integers.
       (Contributed by AV, 29-Dec-2022.) $)
    elpq $p |- ( ( A e. QQ /\ 0 < A )
                 -> E. x e. NN E. y e. NN A = ( x / y ) ) $=
      ( vz wcel cc0 clt wbr wa cv cdiv co wceq cn wrex cz rexcom wi cr adantl
      cq elq bitri breq2 wb zre nnre adantr nngt0 gt0div syl3anc sylan9bb elnnz
      bicomd simplbi2 imp weq oveq1 eqeq2d simpll rspcedvd ex sylbid com13 impl
      rexlimdva reximdva syl5bi impcom sylibr ) CUAEZFCGHZICAJZBJZKLZMZANOZBNOZ
      VPBNOANOVLVKVRVKCDJZVNKLZMZDPOZBNOZVLVRVKWABNODPOWCDBCUBWADBPNQUCVLWBVQBN
      VLVNNEZIWAVQDPVLWDVSPEZWAVQRWAWDWEIZVLVQWAWFVLVQRWAWFIZVLFVSGHZVQWAVLFVTG
      HZWFWHCVTFGUDWFWHWIWFVSSEZVNSEZFVNGHZWHWIUEWEWJWDVSUFTWDWKWEVNUGUHWDWLWEV
      NUIUHVSVNUJUKUNULWGWHVQWGWHIZVPWAAVSNWGWHVSNEZWFWHWNRZWAWEWOWDWNWEWHVSUMU
      OTTUPADUQZVPWAUEWMWPVOVTCVMVSVNKURUSTWAWFWHUTVAVBVCVBVDVEVFVGVHVIVPABNNQV
      J $.

    $( A class is a positive rational iff it is the quotient of two positive
       integers.  (Contributed by AV, 30-Dec-2022.) $)
    elpqb $p |- ( ( A e. QQ /\ 0 < A )
                  <-> E. x e. NN E. y e. NN A = ( x / y ) ) $=
      ( cq wcel cc0 clt wbr wa cv cdiv co wceq cn wrex elpq cr nnre nngt0 jca
      cz nnz znq sylan divgt0 syl2an eleq1 anbi12d syl5ibrcom rexlimivv impbii
      breq2 ) CDEZFCGHZIZCAJZBJZKLZMZBNOANOABCPUSUOABNNUPNEZUQNEZIZUOUSURDEZFUR
      GHZIVBVCVDUTUPUAEVAVCUPUBUPUQUCUDUTUPQEZFUPGHZIUQQEZFUQGHZIVDVAUTVEVFUPRU
      PSTVAVGVHUQRUQSTUPUQUEUFTUSUMVCUNVDCURDUGCURFGULUHUIUJUK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Existence of the set of complex numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d F k n x y $.  $d T n y $.
    rpnnen1lem.1 $e |- T = { n e. ZZ | ( n / k ) < x } $.
    rpnnen1lem.2 $e |- F = ( x e. RR |->
        ( k e. NN |-> ( sup ( T , RR , < ) / k ) ) ) $.
    $( Lemma for ~ rpnnen1 .  (Contributed by Mario Carneiro, 12-May-2013.) $)
    rpnnen1lem2 $p |- ( ( x e. RR /\ k e. NN ) -> sup ( T , RR , < ) e. ZZ ) $=
      ( vy cv cr wcel wa cz clt co wbr c0 cle wrex syl2anc csup cdiv ssrab3 wss
      cn wne wral crab cmul nnre remulcl ancoms sylan2 btwnz simpld syl cc0 zre
      wb adantl simpll nngt0 jca ad2antlr ltdivmul rexbidva mpbird rabn0 sylibr
      syl3anc neeq1i rabeq2i wi ltle impr sylan2b ralrimiva brralrspcev suprzcl
      sylbid mp3an2i sselid ) AIZJKZCIZUEKZLZBMBJNUAZDIZWEUBOWCNPZDMBFUCZBMUDWG
      BQUFZWIHIRPDBUGHJSZWHBKWKWGWJDMUHZQUFZWLWGWJDMSZWOWGWPWIWEWCUIOZNPZDMSZWG
      WQJKZWSWFWDWEJKZWTWEUJZXAWDWTWEWCUKZULUMZWTWSWQWINPDMSDDWQUNUOUPWGWJWRDMW
      GWIMKZLZWIJKZWDXAUQWENPZLZWJWRUSXEXGWGWIURUTZWDWFXEVAZWFXIWDXEWFXAXHXBWEV
      BVCVDWIWCWEVEVJZVFVGWJDMVHVIBWNQFVKVIWGWTWIWQRPZDBUGWMXDWGXMDBWIBKWGXEWJL
      XMWJDBMFVLWGXEWJXMXFWJWRXMXLXFXGWTWRXMVMXJXFXAWDWTWFXAWDXEXBVDXKXCTWIWQVN
      TVTVOVPVQHDWIWQRJBVRTHDBVSWAWB $.

    rpnnen1lem.n $e |- NN e. _V $.
    rpnnen1lem.q $e |- QQ e. _V $.
    $( Lemma for ~ rpnnen1 .  (Contributed by Mario Carneiro, 12-May-2013.)
       (Revised by NM, 13-Aug-2021.)  (Proof modification is discouraged.) $)
    rpnnen1lem1 $p |- ( x e. RR -> ( F ` x ) e. ( QQ ^m NN ) ) $=
      ( vy cv cr wcel cn clt co cq cz wa wbr cfv csup cdiv cmpt cmap wceq mptex
      cvv fvmpt2 mpan2 wf crab ssrab2 eqsstri wss c0 wne cle wral wrex a1i cmul
      remulcl ancoms sylan2 btwnz simpld syl cc0 wb zre adantl simpll nngt0 jca
      nnre ad2antlr ltdivmul syl3anc mpbird rabn0 sylibr neeq1i rabeq2i syl2anc
      rexbidva ltle sylbid impr sylan2b ralrimiva ralbidv rspcev suprzcl sselid
      wi breq2 znq sylancom eqid fmptd elmap eqeltrd ) AKZLMZXDEUAZCNBLOUBZCKZU
      CPZUDZQNUEPZXEXJUHMXFXJUFCNXIHUGALXJUHEGUIUJXENQXJUKXJXKMXECNXIQXJXEXHNMZ
      XGRMXIQMXEXLSZBRXGBDKZXHUCPXDOTZDRULZRFXODRUMUNZXMBRUOZBUPUQZXNJKZURTZDBU
      SZJLUTZXGBMXRXMXQVAXMXPUPUQZXSXMXODRUTZYDXMYEXNXHXDVBPZOTZDRUTZXMYFLMZYHX
      LXEXHLMZYIXHVPZYJXEYIXHXDVCZVDVEZYIYHYFXNOTDRUTDDYFVFVGVHXMXOYGDRXMXNRMZS
      ZXNLMZXEYJVIXHOTZSZXOYGVJYNYPXMXNVKVLZXEXLYNVMZXLYRXEYNXLYJYQYKXHVNVOVQXN
      XDXHVRVSZWFVTXODRWAWBBXPUPFWCWBXMYIXNYFURTZDBUSZYCYMXMUUBDBXNBMXMYNXOSUUB
      XODBRFWDXMYNXOUUBYOXOYGUUBUUAYOYPYIYGUUBWPYSYOYJXEYIXLYJXEYNYKVQYTYLWEXNY
      FWGWEWHWIWJWKYBUUCJYFLXTYFUFYAUUBDBXTYFXNURWQWLWMWEJDBWNVSWOXGXHWRWSXJWTX
      AQNXJIHXBWBXC $.

    $( Lemma for ~ rpnnen1 .  (Contributed by Mario Carneiro, 12-May-2013.)
       (Revised by NM, 13-Aug-2021.)  (Proof modification is discouraged.) $)
    rpnnen1lem3 $p |- ( x e. RR -> A. n e. ran ( F ` x ) n <_ x ) $=
      ( vy cv cr wcel cle wbr wral cn wa clt cz cfv crn csup cdiv cmpt cvv wceq
      co mptex fvmpt2 mpan2 fveq1d ovex eqid sylan9eq rabeq2i cc0 wb zre adantl
      cmul simpll nnre nngt0 jca ad2antlr ltdivmul syl3anc remulcl syl2anc ltle
      wi sylbid impr sylan2b ralrimiva wss c0 wne wrex crab eqsstri zssre sstri
      ssrab2 a1i ancoms sylan2 btwnz simpld rexbidva mpbird rabn0 sylibr neeq1i
      syl breq2 ralbidv rspcev suprleub syl31anc rpnnen1lem2 zred simpl eqbrtrd
      ledivmul cq wf wfn cmap rpnnen1lem1 elmap sylib ffn breq1 ralrn 3syl ) AK
      ZLMZDKZXRNOZDXREUAZUBPZCKZYBUAZXRNOZCQPZXSYFCQXSYDQMZRZYEBLSUCZYDUDUHZXRN
      XSYHYEYDCQYKUEZUAZYKXSYDYBYLXSYLUFMYBYLUGCQYKHUIALYLUFEGUJUKULYHYKUFMYMYK
      UGYJYDUDUMCQYKUFYLYLUNUJUKUOYIYKXRNOZYJYDXRVAUHZNOZYIYPXTYONOZDBPZYIYQDBX
      TBMYIXTTMZXTYDUDUHXRSOZRYQYTDBTFUPYIYSYTYQYIYSRZYTXTYOSOZYQUUAXTLMZXSYDLM
      ZUQYDSOZRZYTUUBURYSUUCYIXTUSUTZXSYHYSVBZYHUUFXSYSYHUUDUUEYDVCZYDVDVEZVFXT
      XRYDVGVHZUUAUUCYOLMZUUBYQVLUUGUUAUUDXSUULYHUUDXSYSUUIVFUUHYDXRVIZVJXTYOVK
      VJVMVNVOVPZYIBLVQZBVRVSZXTJKZNOZDBPZJLVTZUULYPYRURUUOYIBTLBYTDTWAZTFYTDTW
      EWBWCWDWFYIUVAVRVSZUUPYIYTDTVTZUVBYIUVCUUBDTVTZYIUULUVDYHXSUUDUULUUIUUDXS
      UULUUMWGWHZUULUVDYOXTSODTVTDDYOWIWJWPYIYTUUBDTUUKWKWLYTDTWMWNBUVAVRFWOWNY
      IUULYRUUTUVEUUNUUSYRJYOLUUQYOUGUURYQDBUUQYOXTNWQWRWSVJUVEJDDBYOWTXAWLYIYJ
      LMXSUUFYNYPURYIYJABCDEFGXBXCXSYHXDYHUUFXSUUJUTYJXRYDXFVHWLXEVPXSQXGYBXHZY
      BQXIYCYGURXSYBXGQXJUHMUVFABCDEFGHIXKXGQYBIHXLXMQXGYBXNYAYFDCQYBXTYEXRNXOX
      PXQWL $.

    $( Lemma for ~ rpnnen1 .  (Contributed by Mario Carneiro, 12-May-2013.)
       (Revised by NM, 13-Aug-2021.)  (Proof modification is discouraged.) $)
    rpnnen1lem4 $p |- ( x e. RR -> sup ( ran ( F ` x ) , RR , < ) e. RR ) $=
      ( vy cv cr wcel c0 wne cle wbr wral cn cq cfv crn wss wrex clt csup wf co
      cmap rpnnen1lem1 elmap sylib frn qssre sstrdi syl cdm c1 1nn ne0ii neeq1d
      fdm mpbiri dm0rn0 necon3bii rpnnen1lem3 breq2 ralbidv rspcev mpdan suprcl
      weq syl3anc ) AKZLMZVNEUAZUBZLUCZVQNOZDKZJKZPQZDVQRZJLUDZVQLUEUFLMVOSTVPU
      GZVRVOVPTSUIUHMWEABCDEFGHIUJTSVPIHUKULZWEVQTLSTVPUMUNUOUPVOWEVSWFWEVPUQZN
      OZVSWEWHSNOURSUSUTWEWGSNSTVPVBVAVCWGNVQNVPVDVEULUPVOVTVNPQZDVQRZWDABCDEFG
      HIVFWCWJJVNLJAVLWBWIDVQWAVNVTPVGVHVIVJJDVQVKVM $.

    $( Lemma for ~ rpnnen1 .  (Contributed by Mario Carneiro, 12-May-2013.)
       (Revised by NM, 13-Aug-2021.)  (Proof modification is discouraged.) $)
    rpnnen1lem5 $p |- ( x e. RR -> sup ( ran ( F ` x ) , RR , < ) = x ) $=
      ( vy cr wcel clt cle wbr c0 cn co wa cz cv cfv csup wceq wral rpnnen1lem3
      crn wn wss wne wrex wb cq wf rpnnen1lem1 elmap sylib frn qssre sstrdi syl
      cmap cdm c1 1nn ne0ii neeq1d mpbiri dm0rn0 necon3bii breq2 ralbidv rspcev
      fdm mpdan id suprleub syl31anc mpbird cmin rpnnen1lem4 resubcl adantr cc0
      cdiv posdif mpancom biimpa gt0ne0d rereccld arch ex w3a caddc rpnnen1lem2
      zred 3adant3 ltp1d wi jca nnre nngt0 ltrec1 syl2an ad2antrr adantl simpll
      nnrecre ltaddsub2d wfn fnfvelrn sylan sseldd 3jca suprub syl2anc leadd1dd
      ffn readdcld readdcl simpl lelttr expd syl3anc mpd adantlr sylbird sylbid
      peano2zd oveq1 breq1d elrab2 biimpri ad2antlr sylibr cc fvmpt2 mpan2 syld
      cvv crab ssrab2 eqsstri zssre sstri a1i cmul remulcl ancoms sylan2 simpld
      btwnz zre ltdivmul rexbidva rabn0 neeq1i rabeq2i ltle impr sylan2b syldan
      ralrimiva zcnd 1cnd nncn nnne0 divdir cmpt fveq1d ovex eqid oveq1d eqtr4d
      mptex sylan9eq lenltd 3imtr3d exp31 com4l com14 rexlimdv3a pm2.01d eqlelt
      3imp mt2d mpbir2and ) AUAZKLZUWHEUBZUGZKMUCZUWHUDZUWLUWHNOZUWLUWHMOZUHZUW
      IUWNDUAZUWHNOZDUWKUEZABCDEFGHIUFZUWIUWKKUIZUWKPUJZUWQJUAZNOZDUWKUEZJKUKZU
      WIUWNUWSULUWIQUMUWJUNZUXAUWIUWJUMQVBRLUXGABCDEFGHIUOUMQUWJIHUPUQZUXGUWKUM
      KQUMUWJURUSUTVAZUWIUXGUXBUXHUXGUWJVCZPUJZUXBUXGUXKQPUJVDQVEVFUXGUXJQPQUMU
      WJVNVGVHUXJPUWKPUWJVIVJUQVAZUWIUWSUXFUWTUXEUWSJUWHKUXCUWHUDUXDUWRDUWKUXCU
      WHUWQNVKVLVMVOZUWIVPJDDUWKUWHVQVRVSUWIUWOUWIUWOVDUWHUWLVTRZWERZCUAZMOZCQU
      KZUWPUWIUWOUXRUWIUWOSZUXOKLUXRUXSUXNUWIUXNKLZUWOUWIUWLKLZUXTABCDEFGHIWAZU
      WHUWLWBVOWCZUXSUXNUWIUWOWDUXNMOZUYAUWIUWOUYDULUYBUWLUWHWFWGWHZWIWJUXOCWKV
      AWLUWIUXQUWPCQUWIUXPQLZUXQWMZUWOBKMUCZUYHVDWNRZMOZUYGUYHUWIUYFUYHKLUXQUWI
      UYFSZUYHABCDEFGWOZWPZWQWRUWIUYFUXQUWOUYJUHZWSUWOUYFUXQUWIUYNUWIUWOUYFUXQU
      YNUWIUWOUYFUXQUYNWSUXSUYFSZUXQUXPUWJUBZVDUXPWERZWNRZUWHMOZUYNUYOUXQUYQUXN
      MOZUYSUXSUXTUYDSUXPKLZWDUXPMOZSZUXQUYTULUYFUXSUXTUYDUYCUYEWTUYFVUAVUBUXPX
      AZUXPXBWTZUXNUXPXCXDUYOUYTUWLUYQWNRZUWHMOZUYSUYOUWLUYQUWHUWIUYAUWOUYFUYBX
      EUYFUYQKLZUXSUXPXHZXFUWIUWOUYFXGXIUWIUYFVUGUYSWSZUWOUYKUYRVUFNOZVUJUYKUYP
      UWLUYQUYKUWKKUYPUWIUXAUYFUXIWCUWIUWJQXJZUYFUYPUWKLZUWIUXGVULUXHQUMUWJXRVA
      QUXPUWJXKXLZXMZUWIUYAUYFUYBWCUYFVUHUWIVUIXFZUYKUXAUXBUXFWMZVUMUYPUWLNOUWI
      VUQUYFUWIUXAUXBUXFUXIUXLUXMXNWCVUNJDUWKUYPXOXPXQUYKUYRKLZVUFKLZUWIVUKVUJW
      SUYKUYPUYQVUOVUPXSUWIUYAVUHVUSUYFUYBVUIUWLUYQXTXDUWIUYFYAVURVUSUWIWMVUKVU
      GUYSUYRVUFUWHYBYCYDYEYFYGYHUWIUYFUYSUYNWSUWOUYKUYIUXPWERZUWHMOZUYIUYHNOZU
      YSUYNUYKVVAVVBUYKVVAUYIBLZVVBUYKUYITLZVVAVVCUYKUYHUYLYIZVVCVVDVVASUWQUXPW
      ERZUWHMOZVVADUYITBUWQUYIUDVVFVUTUWHMUWQUYIUXPWEYJYKFYLYMXLUYKBKUIZBPUJZUX
      DDBUEZJKUKZWMVVCVVBUYKVVHVVIVVKVVHUYKBTKBVVGDTUUAZTFVVGDTUUBUUCUUDUUEUUFU
      YKVVLPUJZVVIUYKVVGDTUKZVVMUYKVVNUWQUXPUWHUUGRZMOZDTUKZUYKVVOKLZVVQUYFUWIV
      UAVVRVUDVUAUWIVVRUXPUWHUUHZUUIUUJZVVRVVQVVOUWQMODTUKDDVVOUULUUKVAUYKVVGVV
      PDTUYKUWQTLZSZUWQKLZUWIVUCVVGVVPULVWAVWCUYKUWQUUMXFZUWIUYFVWAXGZUYFVUCUWI
      VWAVUEYNUWQUWHUXPUUNYDZUUOVSVVGDTUUPYOBVVLPFUUQYOUYKVVRUWQVVONOZDBUEZVVKV
      VTUYKVWGDBUWQBLUYKVWAVVGSVWGVVGDBTFUURUYKVWAVVGVWGVWBVVGVVPVWGVWFVWBVWCVV
      RVVPVWGWSVWDVWBVUAUWIVVRUYFVUAUWIVWAVUDYNVWEVVSXPUWQVVOUUSXPYHUUTUVAUVCVV
      JVWHJVVOKUXCVVOUDUXDVWGDBUXCVVOUWQNVKVLVMXPXNJDBUYIXOXLUVBWLUYKVUTUYRUWHM
      UYKVUTUYHUXPWERZUYQWNRZUYRUYKUYHYPLVDYPLUXPYPLZUXPWDUJZSZVUTVWJUDUYKUYHUY
      LUVDUYKUVEUYFVWMUWIUYFVWKVWLUXPUVFUXPUVGWTXFUYHVDUXPUVHYDUYKUYPVWIUYQWNUW
      IUYFUYPUXPCQVWIUVIZUBZVWIUWIUXPUWJVWNUWIVWNYTLUWJVWNUDCQVWIHUVOAKVWNYTEGY
      QYRUVJUYFVWIYTLVWOVWIUDUYHUXPWEUVKCQVWIYTVWNVWNUVLYQYRUVPUVMUVNYKUYKUYIUY
      HUYKUYIVVEWPUYMUVQUVRYFYSUVSUVTUWAUWEUWFUWBYSUWCUYAUWIUWMUWNUWPSULUYBUWLU
      WHUWDWGUWG $.

    $( Lemma for ~ rpnnen1 .  (Contributed by Mario Carneiro, 12-May-2013.)
       (Revised by NM, 15-Aug-2021.)  (Proof modification is discouraged.) $)
    rpnnen1lem6 $p |- RR ~<_ ( QQ ^m NN ) $=
      ( vy cq cn cmap cvv wcel cr cv cfv wceq clt cdom wbr ovex rpnnen1lem1 crn
      co wa csup rneq supeq1d rpnnen1lem5 fveq2 rneqd eqeq12d vtoclga eqeqan12d
      id syl5ib impbid1 dom2 ax-mp ) KLMUFZNOPVBUAUBKLMUCAJPVBAQZERZJQZERZNABCD
      EFGHIUDVCPOZVEPOZUGZVDVFSZVCVESZVJVDUEZPTUHZVFUEZPTUHZSVIVKVJPVLVNTVDVFUI
      UJVGVHVMVCVOVEABCDEFGHIUKZVMVCSVOVESAVEPVKVMVOVCVEVKPVLVNTVKVDVFVCVEEULZU
      MUJVKUQUNVPUOUPURVQUSUTVA $.
  $}

  ${
    $d j k m n x y $.
    rpnnen1.n $e |- NN e. _V $.
    rpnnen1.q $e |- QQ e. _V $.
    $( One half of ~ rpnnen , where we show an injection from the real numbers
       to sequences of rational numbers.  Specifically, we map a real number
       ` x ` to the sequence ` ( F `` x ) : NN --> QQ ` (see ~ rpnnen1lem6 )
       such that ` ( ( F `` x ) `` k ) ` is the largest rational number with
       denominator ` k ` that is strictly less than ` x ` .  In this manner, we
       get a monotonically increasing sequence that converges to ` x ` , and
       since each sequence converges to a unique real number, this mapping from
       reals to sequences of rational numbers is injective.  Note:  The ` NN `
       and ` QQ ` existence hypotheses provide for use with either ~ nnex and
       ~ qex , or ~ nnexALT and ~ qexALT .  The proof should not be modified to
       use any of those 4 theorems.  (Contributed by Mario Carneiro,
       13-May-2013.)  (Revised by Mario Carneiro, 16-Jun-2013.)  (Revised by
       NM, 15-Aug-2021.)  (Proof modification is discouraged.) $)
    rpnnen1 $p |- RR ~<_ ( QQ ^m NN ) $=
      ( vx vm vk vn vy vj cv cdiv co clt wbr cz crab cr cn csup cmpt weq breq1d
      oveq1 cbvrabv oveq2 rabbidv supeq1d oveq12d cbvmptv breq2 oveq1d mpteq2dv
      id eqtrid rpnnen1lem6 ) CDIZEIZJKZCIZLMZDNOZEFGPHQUOHIZJKZGIZLMZDNOZPLRZV
      AJKZSZSUSFIZUPJKZURLMDFNDFTUQVJURLUOVIUPJUBUAUCGCPVHEQUTPLRZUPJKZSZGCTZVH
      EQUQVCLMZDNOZPLRZUPJKZSVMHEQVGVRHETZVFVQVAUPJVSPVEVPLVSVDVODNVSVBUQVCLVAU
      PUOJUDUAUEUFVSULUGUHVNEQVRVLVNVQVKUPJVNPVPUTLVNVOUSDNVCURUQLUIUEUFUJUKUMU
      HABUN $.
  $}

  $( Alternate proof of ~ reex .  (Contributed by NM, 30-Jul-2004.)  (Revised
     by Mario Carneiro, 23-Aug-2014.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  reexALT $p |- RR e. _V $=
    ( cr cq cn cmap co cdom wbr cvv wcel nnexALT qexALT rpnnen1 brrelex1i ax-mp
    reldom ) ABCDEZFGAHIJKLAPFOMN $.

  ${
    $d F u v w z $.  $d x y u v w z $.
    cnref1o.1 $e |- F = ( x e. RR , y e. RR |-> ( x + ( _i x. y ) ) ) $.
    $( There is a natural one-to-one mapping from ` ( RR X. RR ) ` to ` CC ` ,
       where we map ` <. x , y >. ` to ` ( x + ( _i x. y ) ) ` .  In our
       construction of the complex numbers, this is in fact our _definition_ of
       ` CC ` (see ~ df-c ), but in the axiomatic treatment we can only show
       that there is the expected mapping between these two sets.  (Contributed
       by Mario Carneiro, 16-Jun-2013.)  (Revised by Mario Carneiro,
       17-Feb-2014.) $)
    cnref1o $p |- F : ( RR X. RR ) -1-1-onto-> CC $=
      ( vz vw vu vv cr cc cv cfv wceq wcel ci cmul co caddc wa wrex cxp wf1 wfo
      wf1o wf wi wral wfn ovex fnmpoi c1st c2nd cop 1st2nd2 df-ov eqtr4di xp1st
      fveq2d xp2nd oveq1 oveq2 oveq2d ovmpo syl2anc eqtrd ax-icn sylancr addcld
      recnd mulcl eqeltrd rgen ffnfv mpbir2an wb jca cru syl2an oveq12d eqeq12d
      fveq2 vtoclga eqeqan12d fvex opth bitrdi 3bitr4d biimpd rgen2 cnre eqeq2d
      dff13 2rexbiia sylibr rexxp dffo3 df-f1o ) IIUAZJCUDWRJCUBZWRJCUCZWSWRJCU
      EZEKZCLZFKZCLZMZXBXDMZUFZFWRUGEWRUGXACWRUHXCJNZEWRUGABIIAKZOBKZPQZRQZCDXJ
      XLRUIUJXIEWRXBWRNZXCXBUKLZOXBULLZPQZRQZJXNXCXOXPCQZXRXNXCXOXPUMZCLXSXNXBX
      TCXBIIUNZURXOXPCUOUPXNXOINZXPINZXSXRMXBIIUQZXBIIUSZABXOXPIIXMXRCXOXLRQXJX
      OXLRUTXKXPMXLXQXORXKXPOPVAVBDXOXQRUIVCVDVEZXNXOXQXNXOYDVIXNOJNXPJNXQJNVFX
      NXPYEVIOXPVJVGVHVKVLEWRJCVMVNZXHEFWRWRXNXDWRNZSZXFXGYIXRXDUKLZOXDULLZPQZR
      QZMZXOYJMXPYKMSZXFXGXNYBYCSYJINZYKINZSYNYOVOYHXNYBYCYDYEVPYHYPYQXDIIUQXDI
      IUSVPXOXPYJYKVQVRXNYHXCXRXEYMYFXCXRMXEYMMEXDWRXGXCXEXRYMXBXDCWAXGXOYJXQYL
      RXBXDUKWAXGXPYKOPXBXDULWAVBVSVTYFWBWCYIXGXTYJYKUMZMYOXNYHXBXTXDYRYAXDIIUN
      WCXOXPYJYKXBUKWDXBULWDWEWFWGWHWIEFWRJCWLVNWTXAXDXCMZEWRTZFJUGYGYTFJXDJNZX
      DGKZHKZCQZMZHITGITZYTUUAXDUUBOUUCPQZRQZMZHITGITUUFGHXDWJUUEUUIGHIIUUBINUU
      CINSUUDUUHXDABUUBUUCIIXMUUHCUUBXLRQXJUUBXLRUTXKUUCMXLUUGUUBRXKUUCOPVAVBDU
      UBUUGRUIVCWKWMWNYSUUEEGHIIXBUUBUUCUMZMZXCUUDXDUUKXCUUJCLUUDXBUUJCWAUUBUUC
      CUOUPWKWOWNVLEFWRJCWPVNWRJCWQVN $.
  $}

  ${
    $d x y $.
    $( The set of complex numbers exists.  This theorem shows that ~ ax-cnex is
       redundant if we assume ~ ax-rep .  See also ~ ax-cnex .  (Contributed by
       NM, 30-Jul-2004.)  (Revised by Mario Carneiro, 16-Jun-2013.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    cnexALT $p |- CC e. _V $=
      ( vx vy cr cxp cvv wcel cc cv ci cmul co caddc cmpo wfo reexALT xpex wf1o
      eqid cnref1o f1ofo ax-mp fornex mp2 ) CCDZEFUDGABCCAHIBHJKLKMZNZGEFCCOOPU
      DGUEQUFABUEUERSUDGUETUAUDGEUEUBUC $.
  $}

  $( The set of extended reals exists.  (Contributed by NM, 24-Dec-2006.) $)
  xrex $p |- RR* e. _V $=
    ( cxr cr cpnf cmnf cpr cun cvv df-xr reex prex unex eqeltri ) ABCDEZFGHBMIC
    DJKL $.

  $( The addition operation is a set.  (Contributed by NM, 19-Oct-2004.)
     (Revised by Mario Carneiro, 17-Nov-2014.) $)
  addex $p |- + e. _V $=
    ( cc cxp caddc wf cvv wcel ax-addf cnex xpex fex2 mp3an ) AABZACDLEFAEFCEFG
    AAHHIHLACEEJK $.

  $( The multiplication operation is a set.  (Contributed by NM, 19-Oct-2004.)
     (Revised by Mario Carneiro, 17-Nov-2014.) $)
  mulex $p |- x. e. _V $=
    ( cc cxp cmul wf cvv wcel ax-mulf cnex xpex fex2 mp3an ) AABZACDLEFAEFCEFGA
    AHHIHLACEEJK $.


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Order sets
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Positive reals (as a subset of complex numbers)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c RR+ $. $( The set of positive reals (blackboard bold R^+). $)

  $( Extend class notation to include the class of positive reals. $)
  crp $a class RR+ $.

  $( Define the set of positive reals.  Definition of positive numbers in
     [Apostol] p. 20.  (Contributed by NM, 27-Oct-2007.) $)
  df-rp $a |- RR+ = { x e. RR | 0 < x } $.

  ${
    $d x A $.
    $( Membership in the set of positive reals.  (Contributed by NM,
       27-Oct-2007.) $)
    elrp $p |- ( A e. RR+ <-> ( A e. RR /\ 0 < A ) ) $=
      ( vx cc0 cv clt wbr cr crp breq2 df-rp elrab2 ) CBDZEFCAEFBAGHLACEIBJK $.
  $}

  ${
    elrpi.1 $e |- A e. RR $.
    elrpi.2 $e |- 0 < A $.
    $( Membership in the set of positive reals.  (Contributed by NM,
       23-Feb-2008.) $)
    elrpii $p |- A e. RR+ $=
      ( crp wcel cr cc0 clt wbr elrp mpbir2an ) ADEAFEGAHIBCAJK $.
  $}

  $( 1 is a positive real.  (Contributed by Jeff Hankins, 23-Nov-2008.) $)
  1rp $p |- 1 e. RR+ $=
    ( c1 1re 0lt1 elrpii ) ABCD $.

  $( 2 is a positive real.  (Contributed by Mario Carneiro, 28-May-2016.) $)
  2rp $p |- 2 e. RR+ $=
    ( c2 2re 2pos elrpii ) ABCD $.

  $( 3 is a positive real.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  3rp $p |- 3 e. RR+ $=
    ( c3 3re 3pos elrpii ) ABCD $.

  $( The positive reals are a subset of the reals.  (Contributed by NM,
     24-Feb-2008.) $)
  rpssre $p |- RR+ C_ RR $=
    ( vx cc0 cv clt wbr cr crp df-rp ssrab3 ) BACDEAFGAHI $.

  $( A positive real is a real.  (Contributed by NM, 27-Oct-2007.)  (Proof
     shortened by Steven Nguyen, 8-Oct-2022.) $)
  rpre $p |- ( A e. RR+ -> A e. RR ) $=
    ( crp cr rpssre sseli ) BCADE $.

  $( A positive real is an extended real.  (Contributed by Mario Carneiro,
     21-Aug-2015.) $)
  rpxr $p |- ( A e. RR+ -> A e. RR* ) $=
    ( crp wcel rpre rexrd ) ABCAADE $.

  $( A positive real is a complex number.  (Contributed by NM, 11-Nov-2008.) $)
  rpcn $p |- ( A e. RR+ -> A e. CC ) $=
    ( crp wcel rpre recnd ) ABCAADE $.

  $( A positive integer is a positive real.  (Contributed by NM,
     28-Nov-2008.) $)
  nnrp $p |- ( A e. NN -> A e. RR+ ) $=
    ( cn wcel cr cc0 clt wbr crp nnre nngt0 elrp sylanbrc ) ABCADCEAFGAHCAIAJAK
    L $.

  $( A positive real is greater than zero.  (Contributed by FL,
     27-Dec-2007.) $)
  rpgt0 $p |- ( A e. RR+ -> 0 < A ) $=
    ( crp wcel cr cc0 clt wbr elrp simprbi ) ABCADCEAFGAHI $.

  $( A positive real is greater than or equal to zero.  (Contributed by NM,
     22-Feb-2008.) $)
  rpge0 $p |- ( A e. RR+ -> 0 <_ A ) $=
    ( crp wcel cr cc0 clt wbr cle rpre rpgt0 wi 0re ltle mpan sylc ) ABCADCZEAF
    GZEAHGZAIAJEDCPQRKLEAMNO $.

  $( A positive real is a positive real number.  (Contributed by NM,
     11-Nov-2008.)  (Revised by Mario Carneiro, 31-Jan-2014.) $)
  rpregt0 $p |- ( A e. RR+ -> ( A e. RR /\ 0 < A ) ) $=
    ( crp wcel cr cc0 clt wbr wa elrp biimpi ) ABCADCEAFGHAIJ $.

  $( A positive real is a nonnegative real number.  (Contributed by Mario
     Carneiro, 31-Jan-2014.) $)
  rprege0 $p |- ( A e. RR+ -> ( A e. RR /\ 0 <_ A ) ) $=
    ( crp wcel cr cc0 cle wbr rpre rpge0 jca ) ABCADCEAFGAHAIJ $.

  $( A positive real is nonzero.  (Contributed by NM, 18-Jul-2008.) $)
  rpne0 $p |- ( A e. RR+ -> A =/= 0 ) $=
    ( crp wcel cr cc0 clt wbr wa wne rpregt0 gt0ne0 syl ) ABCADCEAFGHAEIAJAKL
    $.

  $( A positive real is a nonzero real number.  (Contributed by NM,
     11-Nov-2008.) $)
  rprene0 $p |- ( A e. RR+ -> ( A e. RR /\ A =/= 0 ) ) $=
    ( crp wcel cr cc0 wne rpre rpne0 jca ) ABCADCAEFAGAHI $.

  $( A positive real is a nonzero complex number.  (Contributed by NM,
     11-Nov-2008.) $)
  rpcnne0 $p |- ( A e. RR+ -> ( A e. CC /\ A =/= 0 ) ) $=
    ( crp wcel cc cc0 wne rpcn rpne0 jca ) ABCADCAEFAGAHI $.

  $( A positive real number is a complex number not being 0.  (Contributed by
     AV, 29-May-2020.) $)
  rpcndif0 $p |- ( A e. RR+ -> A e. ( CC \ { 0 } ) ) $=
    ( crp wcel cc cc0 wne wa csn cdif rpcnne0 eldifsn sylibr ) ABCADCAEFGADEHIC
    AJADEKL $.

  $( Quantification over positive reals.  (Contributed by NM, 12-Feb-2008.) $)
  ralrp $p |- ( A. x e. RR+ ph <-> A. x e. RR ( 0 < x -> ph ) ) $=
    ( cc0 cv clt wbr wi crp cr wcel wa elrp imbi1i impexp bitri ralbii2 ) ACBDZ
    EFZAGZBHIQHJZAGQIJZRKZAGUASGTUBAQLMUARANOP $.

  $( Quantification over positive reals.  (Contributed by Mario Carneiro,
     21-May-2014.) $)
  rexrp $p |- ( E. x e. RR+ ph <-> E. x e. RR ( 0 < x /\ ph ) ) $=
    ( cc0 cv clt wbr wa crp cr wcel elrp anbi1i anass bitri rexbii2 ) ACBDZEFZA
    GZBHIPHJZAGPIJZQGZAGTRGSUAAPKLTQAMNO $.

  $( Closure law for addition of positive reals.  Part of Axiom 7 of [Apostol]
     p. 20.  (Contributed by NM, 27-Oct-2007.) $)
  rpaddcl $p |- ( ( A e. RR+ /\ B e. RR+ ) -> ( A + B ) e. RR+ ) $=
    ( crp wcel wa caddc co cr cc0 clt wbr rpre readdcl syl2an elrp an4s syl2anb
    addgt0 sylanbrc ) ACDZBCDZEABFGZHDZIUBJKZUBCDTAHDZBHDZUCUAALBLABMNTUEIAJKZE
    UFIBJKZEUDUAAOBOUEUFUGUHUDABRPQUBOS $.

  $( Closure law for multiplication of positive reals.  Part of Axiom 7 of
     [Apostol] p. 20.  (Contributed by NM, 27-Oct-2007.) $)
  rpmulcl $p |- ( ( A e. RR+ /\ B e. RR+ ) -> ( A x. B ) e. RR+ ) $=
    ( crp wcel wa cmul co cc0 clt wbr rpre remulcl syl2an elrp syl2anb sylanbrc
    cr mulgt0 ) ACDZBCDZEABFGZQDZHUAIJZUACDSAQDZBQDZUBTAKBKABLMSUDHAIJEUEHBIJEU
    CTANBNABROUANP $.

  $( "Minus times minus is plus", see also ~ nnmtmip , holds for positive
     reals, too (formalized to "The product of two negative reals is a positive
     real").  "The reason for this" in this case is that ` ( -u A x. -u B ) `
     ` = ( A x. B ) ` for all complex numbers ` A ` and ` B ` because of
     ~ mul2neg , ` A ` and ` B ` are complex numbers because of ~ rpcn , and
     ` ( A x. B ) e. RR+ ` because of ~ rpmulcl .  Note that the opposites
     ` -u A ` and ` -u B ` of the positive reals ` A ` and ` B ` are negative
     reals.  (Contributed by AV, 23-Dec-2022.) $)
  rpmtmip $p |- ( ( A e. RR+ /\ B e. RR+ ) -> ( -u A x. -u B ) e. RR+ ) $=
    ( crp wcel wa cneg cmul co cc wceq rpcn mul2neg syl2an rpmulcl eqeltrd ) AC
    DZBCDZEAFBFGHZABGHZCPAIDBIDRSJQAKBKABLMABNO $.

  $( Closure law for division of positive reals.  (Contributed by FL,
     27-Dec-2007.) $)
  rpdivcl $p |- ( ( A e. RR+ /\ B e. RR+ ) -> ( A / B ) e. RR+ ) $=
    ( crp wcel wa cdiv co cr cc0 clt wbr rpre rprene0 redivcl 3expb syl2an elrp
    wne divgt0 syl2anb sylanbrc ) ACDZBCDZEABFGZHDZIUDJKZUDCDUBAHDZBHDZBIRZEUEU
    CALBMUGUHUIUEABNOPUBUGIAJKEUHIBJKEUFUCAQBQABSTUDQUA $.

  $( Closure law for reciprocation of positive reals.  (Contributed by Jeff
     Hankins, 23-Nov-2008.) $)
  rpreccl $p |- ( A e. RR+ -> ( 1 / A ) e. RR+ ) $=
    ( c1 crp wcel cdiv co 1rp rpdivcl mpan ) BCDACDBAEFCDGBAHI $.

  $( Closure law for half of a positive real.  (Contributed by Mario Carneiro,
     31-Jan-2014.) $)
  rphalfcl $p |- ( A e. RR+ -> ( A / 2 ) e. RR+ ) $=
    ( crp wcel c2 cdiv co 2rp rpdivcl mpan2 ) ABCDBCADEFBCGADHI $.

  $( A number greater than or equal to a positive real is positive real.
     (Contributed by Mario Carneiro, 28-May-2016.) $)
  rpgecl $p |- ( ( A e. RR+ /\ B e. RR /\ A <_ B ) -> B e. RR+ ) $=
    ( crp wcel cle wbr w3a cc0 clt simp2 0red rpre 3ad2ant1 rpgt0 simp3 ltletrd
    cr elrp sylanbrc ) ACDZBQDZABEFZGZUAHBIFBCDTUAUBJZUCHABUCKTUAAQDUBALMUDTUAH
    AIFUBANMTUAUBOPBRS $.

  $( Half of a positive real is less than the original number.  (Contributed by
     Mario Carneiro, 21-May-2014.) $)
  rphalflt $p |- ( A e. RR+ -> ( A / 2 ) < A ) $=
    ( crp wcel cr cc0 clt wbr wa c2 cdiv co elrp halfpos biimpa sylbi ) ABCADCZ
    EAFGZHAIJKAFGZALPQRAMNO $.

  $( Closure law for division of a real by a positive real.  (Contributed by
     NM, 10-Nov-2008.) $)
  rerpdivcl $p |- ( ( A e. RR /\ B e. RR+ ) -> ( A / B ) e. RR ) $=
    ( crp wcel cr cc0 wne wa cdiv co rprene0 redivcl 3expb sylan2 ) BCDAEDZBEDZ
    BFGZHABIJEDZBKOPQRABLMN $.

  $( A nonnegative number plus one is a positive number.  (Contributed by Mario
     Carneiro, 5-Oct-2015.) $)
  ge0p1rp $p |- ( ( A e. RR /\ 0 <_ A ) -> ( A + 1 ) e. RR+ ) $=
    ( cr wcel cc0 cle wbr wa c1 caddc co clt crp peano2re 0red simpl simpr ltp1
    adantr lelttrd elrp sylanbrc ) ABCZDAEFZGZAHIJZBCZDUEKFUELCUBUFUCAMRZUDDAUE
    UDNUBUCOUGUBUCPUBAUEKFUCAQRSUETUA $.

  $( Either a nonzero real or its negation is a positive real, but not both.
     Axiom 8 of [Apostol] p. 20.  (Contributed by NM, 7-Nov-2008.) $)
  rpneg $p |- ( ( A e. RR /\ A =/= 0 ) -> ( A e. RR+ <-> -. -u A e. RR+ ) ) $=
    ( cr wcel cc0 wne wa clt wbr cneg wn crp wo wi 0re mpan imp adantr wb bitrd
    elrp cle ltle olcd renegcl pm2.24d ltlen biimprd expcomd jaod simpl impbid2
    jctild lenlt lt0neg1 notbid orbi2d ianor bitr4di notbii 3bitr4g ) ABCZADEZF
    ZVADAGHZFZAIZBCZDVFGHZFZJZAKCVFKCZJVCVEVGJZVHJZLZVJVCVEVLDAUAHZLZVNVCVEVPVE
    VOVLVAVDVODBCZVAVDVOMNDAUBOPUCVCVPVDVAVCVLVDVOVAVLVDMVBVAVGVDAUDUEQVAVBVOVD
    MVAVOVBVDVAVDVOVBFZVQVAVDVRRNDAUFOUGUHPUIVAVBUJULUKVCVOVMVLVAVOVMRVBVAVOADG
    HZJZVMVQVAVOVTRNDAUMOVAVSVHAUNUOSQUPSVGVHUQURATVKVIVFTUSUT $.

  $( Elementhood of a negation in the positive real numbers.  (Contributed by
     Thierry Arnoux, 19-Sep-2018.) $)
  negelrp $p |- ( A e. RR -> ( -u A e. RR+ <-> A < 0 ) ) $=
    ( cneg crp wcel cr cc0 clt wbr elrp lt0neg1 renegcl biantrurd bitr2d syl5bb
    wa ) ABZCDPEDZFPGHZOZAEDZAFGHZPITUARSAJTQRAKLMN $.

  ${
    negelrpd.1 $e |- ( ph -> A e. RR ) $.
    negelrpd.2 $e |- ( ph -> A < 0 ) $.
    $( The negation of a negative number is in the positive real numbers.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    negelrpd $p |- ( ph -> -u A e. RR+ ) $=
      ( cneg crp wcel cc0 clt wbr cr wb negelrp syl mpbird ) ABEFGZBHIJZDABKGPQ
      LCBMNO $.
  $}

  $( Zero is not a positive real.  Axiom 9 of [Apostol] p. 20.  (Contributed by
     NM, 27-Oct-2007.) $)
  0nrp $p |- -. 0 e. RR+ $=
    ( cc0 crp wcel clt wbr 0re ltnri rpgt0 mto ) ABCAADEAFGAHI $.

  $( Subtracting a positive real from another number decreases it.
     (Contributed by FL, 27-Dec-2007.) $)
  ltsubrp $p |- ( ( A e. RR /\ B e. RR+ ) -> ( A - B ) < A ) $=
    ( crp wcel cr cc0 clt wbr wa cmin co elrp wi ltsubpos biimpd expcom sylan2b
    imp32 ) BCDAEDZBEDZFBGHZIABJKAGHZBLSTUAUBTSUAUBMTSIUAUBBANOPRQ $.

  $( Adding a positive number to another number increases it.  (Contributed by
     FL, 27-Dec-2007.) $)
  ltaddrp $p |- ( ( A e. RR /\ B e. RR+ ) -> A < ( A + B ) ) $=
    ( crp wcel cr cc0 clt wbr wa caddc co elrp wi ltaddpos biimpd imp32 sylan2b
    expcom ) BCDAEDZBEDZFBGHZIAABJKGHZBLSTUAUBTSUAUBMTSIUAUBBANORPQ $.

  $( Two ways to say one number is less than another.  (Contributed by Mario
     Carneiro, 21-May-2014.) $)
  difrp $p |- ( ( A e. RR /\ B e. RR ) ->
                ( A < B <-> ( B - A ) e. RR+ ) ) $=
    ( cr wcel wa clt wbr cc0 cmin co crp posdif wb resubcl ancoms elrp baib syl
    bitr4d ) ACDZBCDZEZABFGHBAIJZFGZUCKDZABLUBUCCDZUEUDMUATUFBANOUEUFUDUCPQRS
    $.

  ${
    elrpd.1 $e |- ( ph -> A e. RR ) $.
    elrpd.2 $e |- ( ph -> 0 < A ) $.
    $( Membership in the set of positive reals.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    elrpd $p |- ( ph -> A e. RR+ ) $=
      ( cr wcel cc0 clt wbr crp elrp sylanbrc ) ABEFGBHIBJFCDBKL $.
  $}

  ${
    nnrpd.1 $e |- ( ph -> A e. NN ) $.
    $( A positive integer is a positive real.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    nnrpd $p |- ( ph -> A e. RR+ ) $=
      ( cn wcel crp nnrp syl ) ABDEBFECBGH $.
  $}

  $( An integer greater than 1 is a positive real number not equal to 0 or 1.
     Useful for working with integer logarithm bases (which is a common case,
     e.g., base 2, base 3, or base 10).  (Contributed by Thierry Arnoux,
     26-Sep-2017.)  (Proof shortened by AV, 9-Jul-2022.) $)
  zgt1rpn0n1 $p |- ( B e. ( ZZ>= ` 2 ) -> ( B e. RR+ /\ B =/= 0 /\ B =/= 1 ) )
    $=
    ( c2 cuz cfv wcel crp cc0 wne c1 eluz2nn nnrpd eluz2n0 wn 1nuz2 nelne2 3jca
    mpan2 ) ABCDZEZAFEAGHAIHZSAAJKALSIREMTNAIROQP $.

  ${
    rpred.1 $e |- ( ph -> A e. RR+ ) $.
    $( A positive real is a real.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    rpred $p |- ( ph -> A e. RR ) $=
      ( crp cr rpssre sselid ) ADEBFCG $.

    $( A positive real is an extended real.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    rpxrd $p |- ( ph -> A e. RR* ) $=
      ( rpred rexrd ) ABABCDE $.

    $( A positive real is a complex number.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    rpcnd $p |- ( ph -> A e. CC ) $=
      ( rpred recnd ) ABABCDE $.

    $( A positive real is greater than zero.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    rpgt0d $p |- ( ph -> 0 < A ) $=
      ( crp wcel cc0 clt wbr rpgt0 syl ) ABDEFBGHCBIJ $.

    $( A positive real is greater than or equal to zero.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    rpge0d $p |- ( ph -> 0 <_ A ) $=
      ( crp wcel cc0 cle wbr rpge0 syl ) ABDEFBGHCBIJ $.

    $( A positive real is nonzero.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    rpne0d $p |- ( ph -> A =/= 0 ) $=
      ( crp wcel cc0 wne rpne0 syl ) ABDEBFGCBHI $.

    $( A positive real is real and greater than zero.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    rpregt0d $p |- ( ph -> ( A e. RR /\ 0 < A ) ) $=
      ( cr wcel cc0 clt wbr rpred rpgt0d jca ) ABDEFBGHABCIABCJK $.

    $( A positive real is real and greater than or equal to zero.  (Contributed
       by Mario Carneiro, 28-May-2016.) $)
    rprege0d $p |- ( ph -> ( A e. RR /\ 0 <_ A ) ) $=
      ( cr wcel cc0 cle wbr rpred rpge0d jca ) ABDEFBGHABCIABCJK $.

    $( A positive real is a nonzero real number.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    rprene0d $p |- ( ph -> ( A e. RR /\ A =/= 0 ) ) $=
      ( cr wcel cc0 wne rpred rpne0d jca ) ABDEBFGABCHABCIJ $.

    $( A positive real is a nonzero complex number.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    rpcnne0d $p |- ( ph -> ( A e. CC /\ A =/= 0 ) ) $=
      ( cc wcel cc0 wne rpcnd rpne0d jca ) ABDEBFGABCHABCIJ $.

    $( Closure law for reciprocation of positive reals.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    rpreccld $p |- ( ph -> ( 1 / A ) e. RR+ ) $=
      ( crp wcel c1 cdiv co rpreccl syl ) ABDEFBGHDECBIJ $.

    $( Closure law for reciprocation of positive reals.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    rprecred $p |- ( ph -> ( 1 / A ) e. RR ) $=
      ( c1 cdiv co rpreccld rpred ) ADBEFABCGH $.

    $( Closure law for half of a positive real.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    rphalfcld $p |- ( ph -> ( A / 2 ) e. RR+ ) $=
      ( crp wcel c2 cdiv co rphalfcl syl ) ABDEBFGHDECBIJ $.

    $( The reciprocal of a positive number less than 1 is greater than 1.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    reclt1d $p |- ( ph -> ( A < 1 <-> 1 < ( 1 / A ) ) ) $=
      ( cr wcel cc0 clt wbr wa c1 cdiv co wb rpregt0d reclt1 syl ) ABDEFBGHIBJG
      HJJBKLGHMABCNBOP $.

    $( The reciprocal of a positive number greater than 1 is less than 1.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    recgt1d $p |- ( ph -> ( 1 < A <-> ( 1 / A ) < 1 ) ) $=
      ( cr wcel cc0 clt wbr wa c1 cdiv co wb rpregt0d recgt1 syl ) ABDEFBGHIJBG
      HJBKLJGHMABCNBOP $.

    rpaddcld.1 $e |- ( ph -> B e. RR+ ) $.
    $( Closure law for addition of positive reals.  Part of Axiom 7 of
       [Apostol] p. 20.  (Contributed by Mario Carneiro, 28-May-2016.) $)
    rpaddcld $p |- ( ph -> ( A + B ) e. RR+ ) $=
      ( crp wcel caddc co rpaddcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.

    $( Closure law for multiplication of positive reals.  Part of Axiom 7 of
       [Apostol] p. 20.  (Contributed by Mario Carneiro, 28-May-2016.) $)
    rpmulcld $p |- ( ph -> ( A x. B ) e. RR+ ) $=
      ( crp wcel cmul co rpmulcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.

    $( Closure law for division of positive reals.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    rpdivcld $p |- ( ph -> ( A / B ) e. RR+ ) $=
      ( crp wcel cdiv co rpdivcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.

    $( The reciprocal of both sides of 'less than'.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    ltrecd $p |- ( ph -> ( A < B <-> ( 1 / B ) < ( 1 / A ) ) ) $=
      ( cr wcel cc0 clt wbr wa c1 cdiv co wb rpregt0d ltrec syl2anc ) ABFGHBIJK
      CFGHCIJKBCIJLCMNLBMNIJOABDPACEPBCQR $.

    $( The reciprocal of both sides of 'less than or equal to'.  (Contributed
       by Mario Carneiro, 28-May-2016.) $)
    lerecd $p |- ( ph -> ( A <_ B <-> ( 1 / B ) <_ ( 1 / A ) ) ) $=
      ( cr wcel cc0 clt wbr wa cle c1 cdiv co wb rpregt0d lerec syl2anc ) ABFGH
      BIJKCFGHCIJKBCLJMCNOMBNOLJPABDQACEQBCRS $.

    ${
      ltrec1d.2 $e |- ( ph -> ( 1 / A ) < B ) $.
      $( Reciprocal swap in a 'less than' relation.  (Contributed by Mario
         Carneiro, 28-May-2016.) $)
      ltrec1d $p |- ( ph -> ( 1 / B ) < A ) $=
        ( c1 cdiv co clt wbr cr wcel cc0 wa wb rpregt0d ltrec1 syl2anc mpbid )
        AGBHICJKZGCHIBJKZFABLMNBJKOCLMNCJKOUAUBPABDQACEQBCRST $.
    $}

    ${
      lerec2d.2 $e |- ( ph -> A <_ ( 1 / B ) ) $.
      $( Reciprocal swap in a 'less than or equal to' relation.  (Contributed
         by Mario Carneiro, 28-May-2016.) $)
      lerec2d $p |- ( ph -> B <_ ( 1 / A ) ) $=
        ( c1 cdiv co cle wbr cr wcel cc0 clt wa wb rpregt0d lerec2 syl2anc
        mpbid ) ABGCHIJKZCGBHIJKZFABLMNBOKPCLMNCOKPUBUCQABDRACERBCSTUA $.
    $}

    ${
      lediv2ad.3 $e |- ( ph -> C e. RR ) $.
      lediv2ad.4 $e |- ( ph -> 0 <_ C ) $.
      lediv2ad.5 $e |- ( ph -> A <_ B ) $.
      $( Division of both sides of 'less than or equal to' into a nonnegative
         number.  (Contributed by Mario Carneiro, 28-May-2016.) $)
      lediv2ad $p |- ( ph -> ( C / B ) <_ ( C / A ) ) $=
        ( cr wcel cc0 clt wbr wa cle cdiv co rpregt0d jca lediv2a syl31anc ) AB
        JKLBMNOCJKLCMNODJKZLDPNZOBCPNDCQRDBQRPNABESACFSAUCUDGHTIBCDUAUB $.
    $}

    ltdiv2d.3 $e |- ( ph -> C e. RR+ ) $.
    $( Division of a positive number by both sides of 'less than'.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    ltdiv2d $p |- ( ph -> ( A < B <-> ( C / B ) < ( C / A ) ) ) $=
      ( cr wcel cc0 clt wbr wa cdiv co wb rpregt0d ltdiv2 syl3anc ) ABHIJBKLMCH
      IJCKLMDHIJDKLMBCKLDCNODBNOKLPABEQACFQADGQBCDRS $.

    $( Division of a positive number by both sides of 'less than or equal to'.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    lediv2d $p |- ( ph -> ( A <_ B <-> ( C / B ) <_ ( C / A ) ) ) $=
      ( cr wcel cc0 clt wbr wa cle cdiv co wb rpregt0d lediv2 syl3anc ) ABHIJBK
      LMCHIJCKLMDHIJDKLMBCNLDCOPDBOPNLQABERACFRADGRBCDST $.

    ledivdivd.4 $e |- ( ph -> D e. RR+ ) $.
    ${
      ledivdivd.5 $e |- ( ph -> ( A / B ) <_ ( C / D ) ) $.
      $( Invert ratios of positive numbers and swap their ordering.
         (Contributed by Mario Carneiro, 28-May-2016.) $)
      ledivdivd $p |- ( ph -> ( D / C ) <_ ( B / A ) ) $=
        ( cdiv co cle wbr cr wcel cc0 clt wa rpregt0d ledivdiv syl22anc mpbid
        wb ) ABCKLDEKLMNZEDKLCBKLMNZJABOPQBRNSCOPQCRNSDOPQDRNSEOPQERNSUEUFUDABF
        TACGTADHTAEITBCDEUAUBUC $.
    $}
  $}

  $( The ratio of a number over a smaller positive number is larger than 1.
     (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
  divge1 $p |- ( ( A e. RR+ /\ B e. RR /\ A <_ B ) -> 1 <_ ( B / A ) ) $=
    ( crp wcel cr cle wbr c1 cdiv co wceq rpgecl rpcn rpne0 dividd eqcomd simp3
    w3a syl simp1 lediv2d mpbid eqbrtrd ) ACDZBEDZABFGZRZHBBIJZBAIJZFUGBCDZHUHK
    ABLZUJUHHUJBBMBNOPSUGUFUHUIFGUDUEUFQUGABBUDUEUFTUKUKUAUBUC $.

  $( A real number divided by a positive real number is less than 1 iff the
     real number is less than the positive real number.  (Contributed by AV,
     25-May-2020.) $)
  divlt1lt $p |- ( ( A e. RR /\ B e. RR+ ) -> ( ( A / B ) < 1 <-> A < B ) ) $=
    ( cr wcel crp wa cdiv co c1 clt wbr cc0 wb simpl rpregt0 adantl 0lt1 pm3.2i
    1re a1i ltdiv23 syl3anc wceq recn div1d adantr breq1d bitrd ) ACDZBEDZFZABG
    HIJKZAIGHZBJKZABJKUKUIBCDLBJKFZICDZLIJKZFZULUNMUIUJNUJUOUIBOPURUKUPUQSQRTAB
    IUAUBUKUMABJUIUMAUCUJUIAAUDUEUFUGUH $.

  $( A real number divided by a positive real number is less than or equal to 1
     iff the real number is less than or equal to the positive real number.
     (Contributed by AV, 29-Jun-2021.) $)
  divle1le $p |- ( ( A e. RR /\ B e. RR+ )
                   -> ( ( A / B ) <_ 1 <-> A <_ B ) ) $=
    ( cr wcel crp wa cdiv co c1 cle wbr cc0 clt simpl rpregt0 adantl 1re pm3.2i
    wb 0lt1 a1i lediv23 syl3anc wceq recn div1d adantr breq1d bitrd ) ACDZBEDZF
    ZABGHIJKZAIGHZBJKZABJKULUJBCDLBMKFZICDZLIMKZFZUMUOSUJUKNUKUPUJBOPUSULUQURQT
    RUAABIUBUCULUNABJUJUNAUDUKUJAAUEUFUGUHUI $.

  $( If a number is less than or equal to another number, the number divided by
     a positive number greater than or equal to one is less than or equal to
     the other number.  (Contributed by AV, 29-Jun-2021.) $)
  ledivge1le $p |- ( ( A e. RR /\ B e. RR+ /\ ( C e. RR+ /\ 1 <_ C ) )
                     -> ( A <_ B -> ( A / C ) <_ B ) ) $=
    ( cr wcel crp c1 cle wbr wa w3a cdiv co wi wb adantr 1red syl3anc cc0 clt
    divle1le rerpdivcl rpre letr expd sylbird com23 expimpd ex 3imp1 simp1 0lt1
    adantl 0red ltletr mpani imp jca 3ad2ant3 rpregt0 3ad2ant2 3jca lediv23 syl
    mpbird ) ADEZBFEZCFEZGCHIZJZKZABHIZACLMBHIZVKVLJZVMABLMZCHIZVFVGVJVLVPVFVGV
    JVLVPNZNVFVGJZVHVIVQVRVHJZVLVIVPVSVLVOGHIZVIVPNVRVTVLOVHABUAPVSVTVIVPVSVODE
    ZGDEZCDEZVTVIJVPNVRWAVHABUBPVSQVHWCVRCUCZUMVOGCUDRUEUFUGUHUIUJVNVFWCSCTIZJZ
    BDESBTIJZKZVMVPOVKWHVLVKVFWFWGVFVGVJUKVJVFWFVGVJWCWEVHWCVIWDPVHVIWEVHSGTIZV
    IWEULVHSDEWBWCWIVIJWENVHUNVHQWDSGCUORUPUQURUSVGVFWGVJBUTVAVBPACBVCVDVEUI $.

  ${
    rpgecld.1 $e |- ( ph -> A e. RR ) $.
    ${
      ge0p1rp.2 $e |- ( ph -> 0 <_ A ) $.
      $( A nonnegative number plus one is a positive number.  (Contributed by
         Mario Carneiro, 28-May-2016.) $)
      ge0p1rpd $p |- ( ph -> ( A + 1 ) e. RR+ ) $=
        ( cr wcel cc0 cle wbr c1 caddc co crp ge0p1rp syl2anc ) ABEFGBHIBJKLMFC
        DBNO $.
    $}

    rpgecld.2 $e |- ( ph -> B e. RR+ ) $.
    $( Closure law for division of a real by a positive real.  (Contributed by
       Mario Carneiro, 28-May-2016.) $)
    rerpdivcld $p |- ( ph -> ( A / B ) e. RR ) $=
      ( cr wcel crp cdiv co rerpdivcl syl2anc ) ABFGCHGBCIJFGDEBCKL $.

    $( Subtracting a positive real from another number decreases it.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    ltsubrpd $p |- ( ph -> ( A - B ) < A ) $=
      ( cr wcel crp cmin co clt wbr ltsubrp syl2anc ) ABFGCHGBCIJBKLDEBCMN $.

    $( Adding a positive number to another number increases it.  (Contributed
       by Mario Carneiro, 28-May-2016.) $)
    ltaddrpd $p |- ( ph -> A < ( A + B ) ) $=
      ( cr wcel crp caddc co clt wbr ltaddrp syl2anc ) ABFGCHGBBCIJKLDEBCMN $.

    $( Adding a positive number to another number increases it.  (Contributed
       by Mario Carneiro, 28-May-2016.) $)
    ltaddrp2d $p |- ( ph -> A < ( B + A ) ) $=
      ( caddc co clt ltaddrpd recnd rpcnd addcomd breqtrd ) ABBCFGCBFGHABCDEIAB
      CABDJACEKLM $.

    $( Multiplication by a number greater than 1.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    ltmulgt11d $p |- ( ph -> ( 1 < A <-> B < ( B x. A ) ) ) $=
      ( cr wcel cc0 clt wbr c1 cmul co wb rpred rpgt0d ltmulgt11 syl3anc ) ACFG
      BFGHCIJKBIJCCBLMIJNACEODACEPCBQR $.

    $( Multiplication by a number greater than 1.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    ltmulgt12d $p |- ( ph -> ( 1 < A <-> B < ( A x. B ) ) ) $=
      ( cr wcel cc0 clt wbr c1 cmul co wb rpred rpgt0d ltmulgt12 syl3anc ) ACFG
      BFGHCIJKBIJCBCLMIJNACEODACEPCBQR $.

    $( Division of a positive number by a positive number.  (Contributed by
       Mario Carneiro, 28-May-2016.) $)
    gt0divd $p |- ( ph -> ( 0 < A <-> 0 < ( A / B ) ) ) $=
      ( cr wcel cc0 clt wbr cdiv co wb rpred rpgt0d gt0div syl3anc ) ABFGCFGHCI
      JHBIJHBCKLIJMDACENACEOBCPQ $.

    $( Division of a nonnegative number by a positive number.  (Contributed by
       Mario Carneiro, 28-May-2016.) $)
    ge0divd $p |- ( ph -> ( 0 <_ A <-> 0 <_ ( A / B ) ) ) $=
      ( cr wcel cc0 clt wbr cle cdiv co wb rpred rpgt0d ge0div syl3anc ) ABFGCF
      GHCIJHBKJHBCLMKJNDACEOACEPBCQR $.

    ${
      rpgecld.3 $e |- ( ph -> B <_ A ) $.
      $( A number greater than or equal to a positive real is positive real.
         (Contributed by Mario Carneiro, 28-May-2016.) $)
      rpgecld $p |- ( ph -> A e. RR+ ) $=
        ( crp wcel cr cle wbr rpgecl syl3anc ) ACGHBIHCBJKBGHEDFCBLM $.
    $}

    divge0d.3 $e |- ( ph -> 0 <_ A ) $.
    $( The ratio of nonnegative and positive numbers is nonnegative.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    divge0d $p |- ( ph -> 0 <_ ( A / B ) ) $=
      ( cr wcel cc0 cle wbr clt wa cdiv co rpregt0d divge0 syl21anc ) ABGHIBJKC
      GHICLKMIBCNOJKDFACEPBCQR $.
  $}

  ${
    ltmul1d.1 $e |- ( ph -> A e. RR ) $.
    ltmul1d.2 $e |- ( ph -> B e. RR ) $.
    ltmul1d.3 $e |- ( ph -> C e. RR+ ) $.
    $( The ratio of nonnegative and positive numbers is nonnegative.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    ltmul1d $p |- ( ph -> ( A < B <-> ( A x. C ) < ( B x. C ) ) ) $=
      ( cr wcel cc0 clt wbr wa cmul co wb rpregt0d ltmul1 syl3anc ) ABHICHIDHIJ
      DKLMBCKLBDNOCDNOKLPEFADGQBCDRS $.

    $( Multiplication of both sides of 'less than' by a positive number.
       Theorem I.19 of [Apostol] p. 20.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    ltmul2d $p |- ( ph -> ( A < B <-> ( C x. A ) < ( C x. B ) ) ) $=
      ( cr wcel cc0 clt wbr wa cmul co wb rpregt0d ltmul2 syl3anc ) ABHICHIDHIJ
      DKLMBCKLDBNODCNOKLPEFADGQBCDRS $.

    $( Multiplication of both sides of 'less than or equal to' by a positive
       number.  (Contributed by Mario Carneiro, 28-May-2016.) $)
    lemul1d $p |- ( ph -> ( A <_ B <-> ( A x. C ) <_ ( B x. C ) ) ) $=
      ( cr wcel cc0 clt wbr wa cle cmul co wb rpregt0d lemul1 syl3anc ) ABHICHI
      DHIJDKLMBCNLBDOPCDOPNLQEFADGRBCDST $.

    $( Multiplication of both sides of 'less than or equal to' by a positive
       number.  (Contributed by Mario Carneiro, 28-May-2016.) $)
    lemul2d $p |- ( ph -> ( A <_ B <-> ( C x. A ) <_ ( C x. B ) ) ) $=
      ( cr wcel cc0 clt wbr wa cle cmul co wb rpregt0d lemul2 syl3anc ) ABHICHI
      DHIJDKLMBCNLDBOPDCOPNLQEFADGRBCDST $.

    $( Division of both sides of 'less than' by a positive number.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    ltdiv1d $p |- ( ph -> ( A < B <-> ( A / C ) < ( B / C ) ) ) $=
      ( cr wcel cc0 clt wbr wa cdiv co wb rpregt0d ltdiv1 syl3anc ) ABHICHIDHIJ
      DKLMBCKLBDNOCDNOKLPEFADGQBCDRS $.

    $( Division of both sides of a less than or equal to relation by a positive
       number.  (Contributed by Mario Carneiro, 28-May-2016.) $)
    lediv1d $p |- ( ph -> ( A <_ B <-> ( A / C ) <_ ( B / C ) ) ) $=
      ( cr wcel cc0 clt wbr wa cle cdiv co wb rpregt0d lediv1 syl3anc ) ABHICHI
      DHIJDKLMBCNLBDOPCDOPNLQEFADGRBCDST $.

    $( 'Less than' relationship between division and multiplication.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    ltmuldivd $p |- ( ph -> ( ( A x. C ) < B <-> A < ( B / C ) ) ) $=
      ( cr wcel cc0 clt wbr wa cmul co cdiv wb rpregt0d ltmuldiv syl3anc ) ABHI
      CHIDHIJDKLMBDNOCKLBCDPOKLQEFADGRBCDST $.

    $( 'Less than' relationship between division and multiplication.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    ltmuldiv2d $p |- ( ph -> ( ( C x. A ) < B <-> A < ( B / C ) ) ) $=
      ( cr wcel cc0 clt wbr wa cmul co cdiv wb rpregt0d ltmuldiv2 syl3anc ) ABH
      ICHIDHIJDKLMDBNOCKLBCDPOKLQEFADGRBCDST $.

    $( 'Less than or equal to' relationship between division and
       multiplication.  (Contributed by Mario Carneiro, 30-May-2016.) $)
    lemuldivd $p |- ( ph -> ( ( A x. C ) <_ B <-> A <_ ( B / C ) ) ) $=
      ( cr wcel cc0 clt wbr wa cmul co cle cdiv wb rpregt0d lemuldiv syl3anc )
      ABHICHIDHIJDKLMBDNOCPLBCDQOPLREFADGSBCDTUA $.

    $( 'Less than or equal to' relationship between division and
       multiplication.  (Contributed by Mario Carneiro, 30-May-2016.) $)
    lemuldiv2d $p |- ( ph -> ( ( C x. A ) <_ B <-> A <_ ( B / C ) ) ) $=
      ( cr wcel cc0 clt wbr wa cmul co cle cdiv wb rpregt0d lemuldiv2 syl3anc )
      ABHICHIDHIJDKLMDBNOCPLBCDQOPLREFADGSBCDTUA $.

    $( 'Less than' relationship between division and multiplication.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    ltdivmuld $p |- ( ph -> ( ( A / C ) < B <-> A < ( C x. B ) ) ) $=
      ( cr wcel cc0 clt wbr wa cdiv co cmul wb rpregt0d ltdivmul syl3anc ) ABHI
      CHIDHIJDKLMBDNOCKLBDCPOKLQEFADGRBCDST $.

    $( 'Less than' relationship between division and multiplication.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    ltdivmul2d $p |- ( ph -> ( ( A / C ) < B <-> A < ( B x. C ) ) ) $=
      ( cr wcel cc0 clt wbr wa cdiv co cmul wb rpregt0d ltdivmul2 syl3anc ) ABH
      ICHIDHIJDKLMBDNOCKLBCDPOKLQEFADGRBCDST $.

    $( 'Less than or equal to' relationship between division and
       multiplication.  (Contributed by Mario Carneiro, 28-May-2016.) $)
    ledivmuld $p |- ( ph -> ( ( A / C ) <_ B <-> A <_ ( C x. B ) ) ) $=
      ( cr wcel cc0 clt wbr wa cdiv co cle cmul wb rpregt0d ledivmul syl3anc )
      ABHICHIDHIJDKLMBDNOCPLBDCQOPLREFADGSBCDTUA $.

    $( 'Less than or equal to' relationship between division and
       multiplication.  (Contributed by Mario Carneiro, 28-May-2016.) $)
    ledivmul2d $p |- ( ph -> ( ( A / C ) <_ B <-> A <_ ( B x. C ) ) ) $=
      ( cr wcel cc0 clt wbr wa cdiv co cle cmul wb rpregt0d ledivmul2 syl3anc )
      ABHICHIDHIJDKLMBDNOCPLBCDQOPLREFADGSBCDTUA $.

    ${
      ltdiv1dd.4 $e |- ( ph -> A < B ) $.
      $( The ratio of nonnegative and positive numbers is nonnegative.
         (Contributed by Mario Carneiro, 30-May-2016.) $)
      ltmul1dd $p |- ( ph -> ( A x. C ) < ( B x. C ) ) $=
        ( clt wbr cmul co ltmul1d mpbid ) ABCIJBDKLCDKLIJHABCDEFGMN $.

      $( Multiplication of both sides of 'less than' by a positive number.
         Theorem I.19 of [Apostol] p. 20.  (Contributed by Mario Carneiro,
         30-May-2016.) $)
      ltmul2dd $p |- ( ph -> ( C x. A ) < ( C x. B ) ) $=
        ( clt wbr cmul co ltmul2d mpbid ) ABCIJDBKLDCKLIJHABCDEFGMN $.

      $( Division of both sides of 'less than' by a positive number.
         (Contributed by Mario Carneiro, 30-May-2016.) $)
      ltdiv1dd $p |- ( ph -> ( A / C ) < ( B / C ) ) $=
        ( clt wbr cdiv co ltdiv1d mpbid ) ABCIJBDKLCDKLIJHABCDEFGMN $.
    $}

    ${
      lediv1dd.4 $e |- ( ph -> A <_ B ) $.
      $( Division of both sides of a less than or equal to relation by a
         positive number.  (Contributed by Mario Carneiro, 30-May-2016.) $)
      lediv1dd $p |- ( ph -> ( A / C ) <_ ( B / C ) ) $=
        ( cle wbr cdiv co lediv1d mpbid ) ABCIJBDKLCDKLIJHABCDEFGMN $.
    $}

    ${
      lediv12ad.4 $e |- ( ph -> D e. RR ) $.
      lediv12ad.5 $e |- ( ph -> 0 <_ A ) $.
      lediv12ad.6 $e |- ( ph -> A <_ B ) $.
      lediv12ad.7 $e |- ( ph -> C <_ D ) $.
      $( Comparison of ratio of two nonnegative numbers.  (Contributed by Mario
         Carneiro, 28-May-2016.) $)
      lediv12ad $p |- ( ph -> ( A / D ) <_ ( B / C ) ) $=
        ( cr wcel wa cc0 cle wbr cdiv jca clt co rpred rpgt0d lediv12a syl22anc
        ) ABMNZCMNZOPBQRZBCQRZODMNZEMNZOPDUARZDEQRZOBESUBCDSUBQRAUGUHFGTAUIUJJK
        TAUKULADHUCITAUMUNADHUDLTBCDEUEUF $.
    $}
  $}

  ${
    mul2lt0.1 $e |- ( ph -> A e. RR ) $.
    mul2lt0.2 $e |- ( ph -> B e. RR ) $.
    ${
      mul2lt0.3 $e |- ( ph -> ( A x. B ) < 0 ) $.
      $( If the result of a multiplication is strictly negative, then
         multiplicands are of different signs.  (Contributed by Thierry Arnoux,
         19-Sep-2018.) $)
      mul2lt0rlt0 $p |- ( ( ph /\ B < 0 ) -> 0 < A ) $=
        ( cc0 clt wbr wa cneg cmul co cdiv cr wcel remulcld adantr cc recnd crp
        0red wb negelrp biimpar ltdiv1dd mulcld simpr lt0ne0d divneg2d divcan4d
        syl negeqd eqtr3d negcld negne0d div0d 3brtr3d lt0neg2d mpbird ) ACGHIZ
        JZGBHIBKZGHIVBBCLMZCKZNMZGVENMVCGHVBVDGVEAVDOPVAABCDEQRVBUBAVEUAPZVAACO
        PVGVAUCECUDULUEAVDGHIVAFRUFVBVDCNMZKVFVCVBVDCVBBCABSPVAABDTRZACSPVAACET
        RZUGVJVBCAVAUHUIZUJVBVHBVBBCVIVJVKUKUMUNVBVEVBCVJUOVBCVJVKUPUQURVBBABOP
        VADRUSUT $.

      $( If the result of a multiplication is strictly negative, then
         multiplicands are of different signs.  (Contributed by Thierry Arnoux,
         19-Sep-2018.) $)
      mul2lt0rgt0 $p |- ( ( ph /\ 0 < B ) -> A < 0 ) $=
        ( cc0 clt wbr wa cmul co adantr wcel recnd mul02d breqtrrd 0red simpr
        cr elrpd ltmul1d mpbird ) AGCHIZJZBGHIBCKLZGCKLZHIUEUFGUGHAUFGHIUDFMUEC
        UECACTNUDEMZOPQUEBGCABTNUDDMUERUECUHAUDSUAUBUC $.

      $( If the result of a multiplication is strictly negative, then
         multiplicands are of different signs.  (Contributed by Thierry Arnoux,
         19-Sep-2018.) $)
      mul2lt0llt0 $p |- ( ( ph /\ A < 0 ) -> 0 < B ) $=
        ( cmul co cc0 clt recnd mulcomd eqbrtrrd mul2lt0rlt0 ) ACBEDABCGHCBGHIJ
        ABCABDKACEKLFMN $.

      $( If the result of a multiplication is strictly negative, then
         multiplicands are of different signs.  (Contributed by Thierry Arnoux,
         2-Oct-2018.) $)
      mul2lt0lgt0 $p |- ( ( ph /\ 0 < A ) -> B < 0 ) $=
        ( cmul co cc0 clt recnd mulcomd eqbrtrrd mul2lt0rgt0 ) ACBEDABCGHCBGHIJ
        ABCABDKACEKLFMN $.
    $}

    $( If the result of a multiplication is strictly negative, then
       multiplicands are of different signs.  (Contributed by Thierry Arnoux,
       19-Sep-2018.) $)
    mul2lt0bi $p |- ( ph -> ( ( A x. B ) < 0
      <-> ( ( A < 0 /\ 0 < B ) \/ ( 0 < A /\ B < 0 ) ) ) ) $=
      ( cmul co cc0 clt wbr wa wo cle wn 0red ltnled adantr simprl simprr ex cr
      remulcld wcel mulge0d con3d sylbid ianor syl6ib orbi12d sylibrd imp simpr
      mul2lt0llt0 jca mul2lt0rlt0 orim12d elrpd ltmul1dd recnd breqtrd ltmul2dd
      mpd mul02d mul01d jaodan impbida ) ABCFGZHIJZBHIJZHCIJZKZHBIJZCHIJZKZLZAV
      HKZVIVMLZVOAVHVQAVHHBMJZNZHCMJZNZLZVQAVHVRVTKZNZWBAVHHVGMJZNWDAVGHABCDEUB
      AOZPAWCWEAWCWEAWCKBCABUAUCZWCDQACUAUCZWCEQAVRVTRAVRVTSUDTUEUFVRVTUGUHAVIV
      SVMWAABHDWFPACHEWFPUIUJUKVPVIVKVMVNVPVIVKVPVIKVIVJVPVIULVPBCAWGVHDQZAWHVH
      EQZAVHULZUMUNTVPVMVNVPVMKVLVMVPBCWIWJWKUOVPVMULUNTUPVBAVKVHVNAVKKZVGHCFGH
      IWLBHCAWGVKDQWLOWLCAWHVKEQZAVIVJSUQAVIVJRURWLCWLCWMUSVCUTAVNKZVGBHFGHIWNC
      HBAWHVNEQWNOWNBAWGVNDQZAVLVMRUQAVLVMSVAWNBWNBWOUSVDUTVEVF $.
  $}

  ${
    prodge0rd.1 $e |- ( ph -> A e. RR+ ) $.
    prodge0rd.2 $e |- ( ph -> B e. RR ) $.
    prodge0rd.3 $e |- ( ph -> 0 <_ ( A x. B ) ) $.
    $( Infer that a multiplicand is nonnegative from a positive multiplier and
       nonnegative product.  (Contributed by NM, 2-Jul-2005.)  (Revised by
       Mario Carneiro, 27-May-2016.)  (Revised by AV, 9-Jul-2022.) $)
    prodge0rd $p |- ( ph -> 0 <_ B ) $=
      ( cc0 0red clt wbr cmul co rpred cneg cr wcel adantr cc recnd lt0neg1d wa
      remulcld lensymd renegcld rpgt0d mulgt0d mulneg2d breqtrd ex 3imtr4d mtod
      simpr nltled ) AGCAHZEACGIJZBCKLZGIJZAGUPUNABCABDMZEUBZFUCAGCNZIJZGUPNZIJ
      ZUOUQAVAVCAVAUAZGBUTKLVBIVDBUTABOPVAURQAUTOPVAACEUDQAGBIJVAABDUEQAVAULUFV
      DBCABRPVAABURSQACRPVAACESQUGUHUIACETAUPUSTUJUKUM $.
  $}

  ${
    prodge0ld.1 $e |- ( ph -> A e. RR ) $.
    prodge0ld.2 $e |- ( ph -> B e. RR+ ) $.
    prodge0ld.3 $e |- ( ph -> 0 <_ ( A x. B ) ) $.
    $( Infer that a multiplier is nonnegative from a positive multiplicand and
       nonnegative product.  (Contributed by NM, 2-Jul-2005.)  (Revised by AV,
       9-Jul-2022.) $)
    prodge0ld $p |- ( ph -> 0 <_ A ) $=
      ( cc0 cmul co cle rpcnd recnd mulcomd breqtrrd prodge0rd ) ACBEDAGBCHICBH
      IJFACBACEKABDLMNO $.
  $}

  ${
    ltdiv23d.1 $e |- ( ph -> A e. RR ) $.
    ltdiv23d.2 $e |- ( ph -> B e. RR+ ) $.
    ltdiv23d.3 $e |- ( ph -> C e. RR+ ) $.
    ${
      ltdiv23d.4 $e |- ( ph -> ( A / B ) < C ) $.
      $( Swap denominator with other side of 'less than'.  (Contributed by
         Mario Carneiro, 28-May-2016.) $)
      ltdiv23d $p |- ( ph -> ( A / C ) < B ) $=
        ( cdiv co clt wbr cr wcel cc0 wa wb rpregt0d ltdiv23 syl3anc mpbid ) AB
        CIJDKLZBDIJCKLZHABMNCMNOCKLPDMNODKLPUBUCQEACFRADGRBCDSTUA $.
    $}

    ${
      lediv23d.4 $e |- ( ph -> ( A / B ) <_ C ) $.
      $( Swap denominator with other side of 'less than or equal to'.
         (Contributed by Mario Carneiro, 28-May-2016.) $)
      lediv23d $p |- ( ph -> ( A / C ) <_ B ) $=
        ( cdiv co cle wbr cr wcel cc0 clt wa wb rpregt0d lediv23 syl3anc mpbid
        ) ABCIJDKLZBDIJCKLZHABMNCMNOCPLQDMNODPLQUCUDREACFSADGSBCDTUAUB $.
    $}
  $}

  ${
    lt2mul2divd.1 $e |- ( ph -> A e. RR ) $.
    lt2mul2divd.2 $e |- ( ph -> B e. RR+ ) $.
    lt2mul2divd.3 $e |- ( ph -> C e. RR ) $.
    lt2mul2divd.4 $e |- ( ph -> D e. RR+ ) $.
    $( The ratio of nonnegative and positive numbers is nonnegative.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    lt2mul2divd $p |- ( ph ->
      ( ( A x. B ) < ( C x. D ) <-> ( A / D ) < ( C / B ) ) ) $=
      ( cr wcel cc0 clt wbr wa cmul co cdiv wb rpregt0d lt2mul2div syl22anc ) A
      BJKCJKLCMNODJKEJKLEMNOBCPQDEPQMNBERQDCRQMNSFACGTHAEITBCDEUAUB $.
  $}

  $( Division of a positive integer by a positive number is less than or equal
     to the integer iff the number is greater than or equal to 1.  (Contributed
     by AV, 19-Jun-2021.) $)
  nnledivrp $p |- ( ( A e. NN /\ B e. RR+ )
                     -> ( 1 <_ B <-> ( A / B ) <_ A ) ) $=
    ( cn wcel crp wa c1 cle wbr cdiv co cr cc0 clt wb 1re pm3.2i rpregt0 adantr
    0lt1 adantl nnre nngt0 jca lediv2 mp3an2i wceq nncn div1d breq2d bitrd ) AC
    DZBEDZFZGBHIZABJKZAGJKZHIZUPAHIGLDZMGNIZFUNBLDMBNIFZALDZMANIZFZUOUROUSUTPTQ
    UMVAULBRUAULVDUMULVBVCAUBAUCUDSGBAUEUFUNUQAUPHULUQAUGUMULAAUHUISUJUK $.

  $( Division of a nonnegative integer by a positive integer is less than or
     equal to the integer.  (Contributed by AV, 19-Jun-2021.) $)
  nn0ledivnn $p |- ( ( A e. NN0 /\ B e. NN ) -> ( A / B ) <_ A ) $=
    ( cn0 wcel cn cdiv co cle wbr cc0 wceq wo wi elnn0 wa c1 nnge1 adantl wb ex
    crp nnrp nnledivrp sylan2 mpbid wne nncn nnne0 jca div0 0le0 eqbrtrdi oveq1
    cc syl id breq12d adantr mpbird jaoi sylbi imp ) ACDZBEDZABFGZAHIZVCAEDZAJK
    ZLVDVFMZANVGVIVHVGVDVFVGVDOPBHIZVFVDVJVGBQRVDVGBUADVJVFSBUBABUCUDUETVHVDVFV
    HVDOZVFJBFGZJHIZVKVLJJHVKBUNDZBJUFZOZVLJKVDVPVHVDVNVOBUGBUHUIRBUJUOUKULVHVF
    VMSVDVHVEVLAJHAJBFUMVHUPUQURUSTUTVAVB $.

  $( If the sum of a real number and a positive real number is less than or
     equal to a third real number, the first real number is less than the third
     real number.  (Contributed by AV, 1-Jul-2021.) $)
  addlelt $p |- ( ( M e. RR /\ N e. RR /\ A e. RR+ )
                      -> ( ( M + A ) <_ N -> M < N ) ) $=
    ( cr wcel crp w3a caddc clt wbr cle cc0 rpgt0 3ad2ant3 rpre simp1 ltaddposd
    co mpbid wa wi simpl adantl readdcld 3adant2 simp2 ltletr syl3anc mpand ) B
    DEZCDEZAFEZGZBBAHRZIJZUNCKJZBCIJZUMLAIJZUOULUJURUKAMNUMABULUJADEZUKAOZNUJUK
    ULPZQSUMUJUNDEZUKUOUPTUQUAVAUJULVBUKUJULTBAUJULUBULUSUJUTUCUDUEUJUKULUFBUNC
    UGUHUI $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Infinity and the extended real number system (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)
  $c -e $. $( the negative of an extended real number. $)
  $c +e $. $( Addition of extended real numbers. $)
  $c *e $. $( Multiplication of extended real numbers. $)

  $( Extend class notation to include the negative of an extended real. $)
  cxne $a class -e A $.

  $( Extend class notation to include addition of extended reals. $)
  cxad $a class +e $.

  $( Extend class notation to include multiplication of extended reals. $)
  cxmu $a class *e $.

  $( Define the negative of an extended real number.  (Contributed by FL,
     26-Dec-2011.) $)
  df-xneg $a |- -e A = if ( A = +oo , -oo , if ( A = -oo , +oo , -u A ) ) $.

  ${
    $d x y $.
    $( Define addition over extended real numbers.  (Contributed by Mario
       Carneiro, 20-Aug-2015.) $)
    df-xadd $a |- +e = ( x e. RR* , y e. RR* |-> if ( x = +oo ,
            if ( y = -oo , 0 , +oo ) , if ( x = -oo ,
            if ( y = +oo , 0 , -oo ) , if ( y = +oo , +oo ,
                 if ( y = -oo , -oo , ( x + y ) ) ) ) ) ) $.

    $( Define multiplication over extended real numbers.  (Contributed by Mario
       Carneiro, 20-Aug-2015.) $)
    df-xmul $a |- *e = ( x e. RR* , y e. RR* |-> if ( ( x = 0 \/ y = 0 ) , 0 ,
            if ( ( ( ( 0 < y /\ x = +oo ) \/ ( y < 0 /\ x = -oo ) ) \/
                   ( ( 0 < x /\ y = +oo ) \/ ( x < 0 /\ y = -oo ) ) ) , +oo ,
            if ( ( ( ( 0 < y /\ x = -oo ) \/ ( y < 0 /\ x = +oo ) ) \/
                   ( ( 0 < x /\ y = -oo ) \/ ( x < 0 /\ y = +oo ) ) ) , -oo ,
                 ( x x. y ) ) ) ) ) $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The 'less than' binary relation on the set of extended reals.
       Definition 12-3.1 of [Gleason] p. 173.  (Contributed by NM,
       14-Oct-2005.) $)
    ltxr $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A < B <->
              ( ( ( ( A e. RR /\ B e. RR ) /\ A <RR B ) \/
                   ( A = -oo /\ B = +oo ) ) \/ ( ( A e. RR /\ B = +oo )
                  \/ ( A = -oo /\ B e. RR ) ) ) ) ) $=
      ( vx vy cxr wcel wa cv cr cltrr wbr cmnf csn cun cpnf cxp wceq clt syl5bb
      wo w3a copab breq12 df-3an opabbii brab2a a1i brun brxp orcom bitri elsng
      wb orbi1d bi2anan9 andir bitrdi anbi1d adantr orbi12d orass df-ltxr breqi
      elun 3bitr4g ) AEFZBEFZGZABCHZIFZDHZIFZVIVKJKZUAZCDUBZKZABILMZNZOMZPZVQIP
      ZNZKZTZAIFZBIFZGABJKZGZALQZBOQZGZWEWJGZWIWFGZTZTZTABRKZWHWKTWNTVHVPWHWCWO
      VPWHUMVHVMWGCDABIIVOVIAVKBJUCVNVJVLGVMGCDVJVLVMUDUEUFUGWCABVTKZABWAKZTZVH
      WOABVTWAUHVHWSWKWLTZWMTWOVHWQWTWRWMWQAVRFZBVSFZGZVHWTABVRVSUIVHXCWIWETZWJ
      GWTVFXAXDVGXBWJXAAVQFZWETZVFXDXAWEXETXFAIVQVDWEXEUJUKVFXEWIWEALEULZUNSBOE
      ULUOWIWEWJUPUQSWRXEWFGZVHWMABVQIUIVFXHWMUMVGVFXEWIWFXGURUSSUTWKWLWMVAUQSU
      TWPABVOWBNZKWDABRXICDVBVCABVOWBUHUKWHWKWNVAVE $.
  $}

  $( Membership in the set of extended reals.  (Contributed by NM,
     14-Oct-2005.) $)
  elxr $p |- ( A e. RR* <-> ( A e. RR \/ A = +oo \/ A = -oo ) ) $=
    ( cxr wcel cr cpnf cmnf cpr cun wo wceq df-xr eleq2i elun pnfex mnfxr elexi
    w3o elpr2 orbi2i 3orass bitr4i 3bitri ) ABCADEFGZHZCADCZAUCCZIZUEAEJZAFJZQZ
    BUDAKLADUCMUGUEUHUIIZIUJUFUKUEAEFNFBOPRSUEUHUITUAUB $.

  $( An extended real other than minus infinity is real or positive infinite.
     (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  xrnemnf $p |- ( ( A e. RR* /\ A =/= -oo ) <-> ( A e. RR \/ A = +oo ) ) $=
    ( cr wcel cpnf wceq wo cmnf wn cxr wne pm5.61 w3o elxr df-3or bitri anbi12i
    wa df-ne renemnf pnfnemnf neeq1 mpbiri jaoi neneqd pm4.71i 3bitr4i ) ABCZAD
    EZFZAGEZFZUJHZQUIULQAICZAGJZQUIUIUJKUMUKUNULUMUGUHUJLUKAMUGUHUJNOAGRPUIULUI
    AGUGUNUHASUHUNDGJTADGUAUBUCUDUEUF $.

  $( An extended real other than plus infinity is real or negative infinite.
     (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  xrnepnf $p |- ( ( A e. RR* /\ A =/= +oo ) <-> ( A e. RR \/ A = -oo ) ) $=
    ( cr wcel cmnf wceq wo cpnf wn wa cxr wne pm5.61 w3o elxr df-3or or32 df-ne
    3bitri anbi12i renepnf mnfnepnf neeq1 mpbiri jaoi neneqd pm4.71i 3bitr4i )
    ABCZADEZFZAGEZFZUKHZIUJUMIAJCZAGKZIUJUJUKLUNULUOUMUNUHUKUIMUHUKFUIFULANUHUK
    UIOUHUKUIPRAGQSUJUMUJAGUHUOUIATUIUODGKUAADGUBUCUDUEUFUG $.

  $( The extended real 'less than' is irreflexive.  (Contributed by NM,
     14-Oct-2005.) $)
  xrltnr $p |- ( A e. RR* -> -. A < A ) $=
    ( cxr wcel cr cpnf wceq cmnf clt wbr wa cltrr neli intnanr pnfnemnf pm3.2ni
    wo intnan wb pnfxr ltxr w3o elxr ltnr pnfnre neii mp2an mtbir breq12 anidms
    wn mtbiri mnfnre nesymi mnfxr 3jaoi sylbi ) ABCADCZAEFZAGFZUAAAHIZUJZAUBUQV
    AURUSAUCURUTEEHIZVBEDCZVCJZEEKIZJZEGFZEEFZJZPZVCVHJZVGVCJZPZPZVJVMVFVIVDVEV
    CVCEDUDLZQMVGVHEGNUEMOVKVLVCVHVOMVCVGVOQOOEBCZVPVBVNRSSEETUFUGURUTVBRAEAEHU
    HUIUKUSUTGGHIZVQGDCZVRJZGGKIZJZGGFZGEFZJZPZVRWCJZWBVRJZPZPZWEWHWAWDVSVTVRVR
    GDULLZQMWCWBEGNUMQOWFWGVRWCWJMVRWBWJQOOGBCZWKVQWIRUNUNGGTUFUGUSUTVQRAGAGHUH
    UIUKUOUP $.

  $( Any (finite) real is less than plus infinity.  (Contributed by NM,
     14-Oct-2005.) $)
  ltpnf $p |- ( A e. RR -> A < +oo ) $=
    ( cr wcel cpnf clt wbr wa cltrr cmnf wceq wo eqid orc mpan2 olcd rexr pnfxr
    cxr wb ltxr sylancl mpbird ) ABCZADEFZUCDBCZGADHFGAIJZDDJZGKZUCUGGZUFUEGZKZ
    KZUCUKUHUCUGUKDLUIUJMNOUCARCDRCUDULSAPQADTUAUB $.

  ${
    ltpnfd.a $e |- ( ph -> A e. RR ) $.
    $( Any (finite) real is less than plus infinity.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    ltpnfd $p |- ( ph -> A < +oo ) $=
      ( cr wcel cpnf clt wbr ltpnf syl ) ABDEBFGHCBIJ $.
  $}

  $( Zero is less than plus infinity.  (Contributed by David A. Wheeler,
     8-Dec-2018.) $)
  0ltpnf $p |- 0 < +oo $=
    ( cc0 cr wcel cpnf clt wbr 0re ltpnf ax-mp ) ABCADEFGAHI $.

  $( Minus infinity is less than any (finite) real.  (Contributed by NM,
     14-Oct-2005.) $)
  mnflt $p |- ( A e. RR -> -oo < A ) $=
    ( cr wcel cmnf clt wbr wa cltrr wceq cpnf wo eqid olc mpan olcd cxr wb rexr
    mnfxr ltxr sylancr mpbird ) ABCZDAEFZDBCZUCGDAHFGDDIZAJIZGKZUEUGGZUFUCGZKZK
    ZUCUKUHUFUCUKDLUJUIMNOUCDPCAPCUDULQSARDATUAUB $.

  ${
    mnfltd.a $e |- ( ph -> A e. RR ) $.
    $( Minus infinity is less than any (finite) real.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    mnfltd $p |- ( ph -> -oo < A ) $=
      ( cr wcel cmnf clt wbr mnflt syl ) ABDEFBGHCBIJ $.
  $}

  $( Minus infinity is less than 0.  (Contributed by David A. Wheeler,
     8-Dec-2018.) $)
  mnflt0 $p |- -oo < 0 $=
    ( cc0 cr wcel cmnf clt wbr 0re mnflt ax-mp ) ABCDAEFGAHI $.

  $( Minus infinity is less than plus infinity.  (Contributed by NM,
     14-Oct-2005.) $)
  mnfltpnf $p |- -oo < +oo $=
    ( cmnf cpnf clt wbr cr wcel wa cltrr wceq wo eqid olc mp2an cxr mnfxr pnfxr
    orci wb ltxr mpbir ) ABCDZAEFZBEFZGABHDGZAAIZBBIZGZJZUBUFGUEUCGJZJZUHUIUEUF
    UHAKBKUGUDLMQANFBNFUAUJROPABSMT $.

  $( Minus infinity is less than an extended real that is either real or plus
     infinity.  (Contributed by NM, 2-Feb-2006.) $)
  mnfltxr $p |- ( ( A e. RR \/ A = +oo ) -> -oo < A ) $=
    ( cr wcel cmnf clt wbr cpnf wceq mnflt mnfltpnf breq2 mpbiri jaoi ) ABCDAEF
    ZAGHZAIONDGEFJAGDEKLM $.

  $( No extended real is greater than plus infinity.  (Contributed by NM,
     15-Oct-2005.) $)
  pnfnlt $p |- ( A e. RR* -> -. +oo < A ) $=
    ( cxr wcel cpnf clt wbr cr wa cltrr cmnf wceq wo neli intnanr pnfnemnf neii
    pnfnre pm3.2ni wb pnfxr ltxr mpan mtbiri ) ABCZDAEFZDGCZAGCZHZDAIFZHZDJKZAD
    KZHZLZUFULHZUKUGHZLZLZUNUQUJUMUHUIUFUGDGQMZNNUKULDJOPZNRUOUPUFULUSNUKUGUTNR
    RDBCUDUEURSTDAUAUBUC $.

  $( No extended real is less than minus infinity.  (Contributed by NM,
     15-Oct-2005.) $)
  nltmnf $p |- ( A e. RR* -> -. A < -oo ) $=
    ( cxr wcel cmnf clt wbr cr wa cltrr wceq cpnf wo mnfnre neli intnan intnanr
    pnfnemnf nesymi pm3.2ni wb mnfxr ltxr mpan2 mtbiri ) ABCZADEFZAGCZDGCZHZADI
    FZHZADJZDKJZHZLZUGUMHZULUHHZLZLZUOURUKUNUIUJUHUGDGMNZOPUMULKDQRZOSUPUQUMUGV
    AOUHULUTOSSUEDBCUFUSTUAADUBUCUD $.

  $( Plus infinity is an upper bound for extended reals.  (Contributed by NM,
     30-Jan-2006.) $)
  pnfge $p |- ( A e. RR* -> A <_ +oo ) $=
    ( cxr wcel cpnf cle wbr clt wn pnfnlt wb pnfxr xrlenlt mpan2 mpbird ) ABCZA
    DEFZDAGFHZAIODBCPQJKADLMN $.

  $( An extended nonnegative integer is neither 0 nor 1 if and only if it is
     greater than or equal to 2.  (Contributed by AV, 5-Apr-2021.) $)
  xnn0n0n1ge2b $p |- ( N e. NN0* -> ( ( N =/= 0 /\ N =/= 1 ) <-> 2 <_ N ) ) $=
    ( cxnn0 wcel cn0 cpnf wceq wo cc0 wne c1 wa c2 cle wb nn0nepnf ax-mp necomi
    wbr neeq1 mpbiri elxnn0 nn0n0n1ge2b 0nn0 1nn0 jca cxr 2re rexri pnfge breq2
    2thd jaoi sylbi ) ABCADCZAEFZGAHIZAJIZKZLAMRZNZAUAUNUTUOAUBUOURUSUOUPUQUOUP
    EHIHEHDCHEIUCHOPQAEHSTUOUQEJIJEJDCJEIUDJOPQAEJSTUEUOUSLEMRZLUFCVALUGUHLUIPA
    ELMUJTUKULUM $.

  $( 0 less than or equal to positive infinity.  (Contributed by David A.
     Wheeler, 8-Dec-2018.) $)
  0lepnf $p |- 0 <_ +oo $=
    ( cc0 cxr wcel cpnf cle wbr 0xr pnfge ax-mp ) ABCADEFGAHI $.

  $( An extended nonnegative integer is greater than or equal to 0.
     (Contributed by Alexander van der Vekens, 6-Jan-2018.)  (Revised by AV,
     10-Dec-2020.) $)
  xnn0ge0 $p |- ( N e. NN0* -> 0 <_ N ) $=
    ( cxnn0 wcel cn0 cpnf wceq wo cc0 cle wbr elxnn0 nn0ge0 0lepnf breq2 mpbiri
    jaoi sylbi ) ABCADCZAEFZGHAIJZAKRTSALSTHEIJMAEHINOPQ $.

  $( Minus infinity is less than or equal to any extended real.  (Contributed
     by NM, 19-Jan-2006.) $)
  mnfle $p |- ( A e. RR* -> -oo <_ A ) $=
    ( cxr wcel cmnf cle wbr clt wn nltmnf wb mnfxr xrlenlt mpan mpbird ) ABCZDA
    EFZADGFHZAIDBCOPQJKDALMN $.

  $( Ordering on the extended reals is not symmetric.  (Contributed by NM,
     15-Oct-2005.) $)
  xrltnsym $p |- ( ( A e. RR* /\ B e. RR* ) ->
                ( A < B -> -. B < A ) ) $=
    ( cxr wcel cr cpnf wceq cmnf clt wbr wn pnfnlt syl adantr adantl mtbird a1d
    wa wb pm2.21d wi elxr ltnsym rexr breq1 nltmnf breq2 3jaodan sylan2br mnfxr
    w3o ax-mp breq12 mtbiri ancoms xrltnr 3jaoian syl2anb ) ACDZAEDZAFGZAHGZUKB
    EDZBFGZBHGZUKZABIJZBAIJZKZUAZBCDZAUBBUBZUTVFVJVAVBUTVCVJVDVEABUCUTVDRZVIVGV
    MVHFAIJZUTVNKZVDUTUSVOAUDZALMNVDVHVNSUTBFAIUEOPQUTVERZVGVIVQVGAHIJZUTVRKZVE
    UTUSVSVPAUFMNVEVGVRSUTBHAIUGOPTUHVFVAVKVJVLVAVKRZVGVIVTVGFBIJZVKWAKVABLOVAV
    GWASVKAFBIUENPTUIVBVCVJVDVEVBVCRZVIVGWBVHBHIJZVCWCKZVBVCVKWDBUDBUFMOVBVHWCS
    VCAHBIUGNPQVBVDRVIVGVDVBVIVDVBRVHFHIJZHCDZWEKUJHLULBFAHIUMUNUOQVBVERZVGVIWG
    VGHHIJZWFWHKUJHUPULAHBHIUMUNTUHUQUR $.

  $( 'Less than' is antisymmetric and irreflexive for extended reals.
     (Contributed by NM, 6-Feb-2007.) $)
  xrltnsym2 $p |- ( ( A e. RR* /\ B e. RR* ) -> -. ( A < B /\ B < A ) ) $=
    ( cxr wcel wa clt wbr wn wi xrltnsym imnan sylib ) ACDBCDEABFGZBAFGZHIMNEHA
    BJMNKL $.

  $( Ordering on the extended reals satisfies strict trichotomy.  New proofs
     should generally use this instead of ~ ax-pre-lttri or ~ axlttri .
     (Contributed by NM, 14-Oct-2005.) $)
  xrlttri $p |- ( ( A e. RR* /\ B e. RR* ) ->
                ( A < B <-> -. ( A = B \/ B < A ) ) ) $=
    ( wcel wa wceq clt wbr wn wi adantr wb adantl cpnf cmnf mpbird pm2.24d olcd
    breq2 a1d 3jaodan cxr wo xrltnr mtbid xrltnsym ancoms jaod w3o elxr axlttri
    ex cr biimprd con1d ltpnf mnflt breq1 eqtr3 mnfltpnf breq12 3jaoian syl2anb
    orcd mpbiri impbid con2bid ) AUACZBUACZDZABEZBAFGZUBZABFGZVIVLVMHZVIVJVNVKV
    GVJVNIVHVGVJVNVGVJDAAFGZVMVGVOHVJAUCJVJVOVMKVGABAFRLUDUKJVHVGVKVNIBAUEUFUGV
    GAULCZAMEZANEZUHBULCZBMEZBNEZUHZVNVLIZVHAUIBUIVPWBWCVQVRVPVSWCVTWAVPVSDZVLV
    MWDVMVLHABUJUMUNVPVTDZVMVLWEVMAMFGZVPWFVTAUOJVTVMWFKVPBMAFRLOPVPWADZVLVNWGV
    KVJWGVKNAFGZVPWHWAAUPJWAVKWHKVPBNAFUQLOQSTVQVSWCVTWAVQVSDZVLVNWIVKVJWIVKBMF
    GZVSWJVQBUOLVQVKWJKVSAMBFRJOQSVQVTDZVLVNWKVJVKABMURVCSVQWADZVLVNWLVKVJWAVQV
    KWAVQDVKNMFGZUSBNAMFUTVDUFQSTVRVSWCVTWAVRVSDZVMVLWNVMNBFGZVSWOVRBUPLVRVMWOK
    VSANBFUQJOPVRVTDZVMVLWPVMWMUSANBMFUTVDPVRWADZVLVNWQVJVKABNURVCSTVAVBVEVF $.

  $( Ordering on the extended reals is transitive.  (Contributed by NM,
     15-Oct-2005.) $)
  xrlttr $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
             ( ( A < B /\ B < C ) -> A < C ) ) $=
    ( cxr wcel cr cpnf wceq cmnf w3o clt wbr wa wn adantr adantl mtbird pm2.21d
    wb adantlr wi elxr lttr 3expa an32s pnfnlt syl breq1 adantll adantld nltmnf
    rexr breq2 adantrd 3jaodan sylan2b ltpnf mpbird a1d anasss adantrr mnfltpnf
    mnflt breq12 mpbiri 3jaoian 3impb syl3an3b syl3an1b ) ADEZAFEZAGHZAIHZJZBDE
    ZCDEZABKLZBCKLZMZACKLZUAZAUBVPVNVOCFEZCGHZCIHZJZWACUBVNVOWEWAVKVOWEMWAVLVMV
    KVOWEWAVKVOMZWBWAWCWDVKWBVOWAVOVKWBMZBFEZBGHZBIHZJWABUBWGWHWAWIWJVKWHWBWAVK
    WHWBWAABCUCUDUEWGWIMVRVTVQWBWIVRVTUAVKWBWIMZVRVTWKVRGCKLZWBWLNZWIWBVPWMCULC
    UFUGOWIVRWLSWBBGCKUHPQRUIUJWGWJMVQVTVRVKWJVQVTUAWBVKWJMZVQVTWNVQAIKLZVKWONZ
    WJVKVJWPAULAUKUGOWJVQWOSVKBIAKUMPQRTUNUOUPUEWFWCMVTVSVKWCVTVOVKWCMVTAGKLZVK
    WQWCAUQOWCVTWQSVKCGAKUMPURTUSVOWDWAVKVOWDMZVRVTVQWRVRVTWRVRBIKLZVOWSNWDBUKO
    WDVRWSSVOCIBKUMPQRUJZUIUOUTVLVOWAWEVLVOMZVQVTVRXAVQVTXAVQGBKLZVOXBNVLBUFPVL
    VQXBSVOAGBKUHOQRUNVAVMVOWEWAVMVOMWBWAWCWDVMWBWAVOVMWBMZVTVSXCVTICKLZWBXDVMC
    VCPVMVTXDSWBAICKUHOURUSTVMWCWAVOVMWCMZVTVSXEVTIGKLVBAICGKVDVEUSTVOWDWAVMWTU
    IUOUTVFVGVHVI $.

  ${
    $d x y z $.
    $( 'Less than' is a strict ordering on the extended reals.  (Contributed by
       NM, 15-Oct-2005.) $)
    xrltso $p |- < Or RR* $=
      ( vx vy vz cxr clt cv xrlttri xrlttr isso2i ) ABCDEAFZBFZGJKCFHI $.
  $}

  $( Trichotomy law for 'less than' for extended reals.  (Contributed by NM,
     10-Dec-2007.) $)
  xrlttri2 $p |- ( ( A e. RR* /\ B e. RR* ) ->
                ( A =/= B <-> ( A < B \/ B < A ) ) ) $=
    ( cxr wcel wa clt wbr wo wceq wn wor xrltso sotrieq mpan bicomd necon1abid
    wb ) ACDBCDEZABFGBAFGHZABRABIZSJZCFKRTUAQLCABFMNOP $.

  $( Trichotomy law for 'less than' for extended reals.  (Contributed by NM,
     9-Feb-2006.) $)
  xrlttri3 $p |- ( ( A e. RR* /\ B e. RR* ) ->
                ( A = B <-> ( -. A < B /\ -. B < A ) ) ) $=
    ( cxr clt wor wcel wa wceq wbr wn wb xrltso sotrieq2 mpan ) CDEACFBCFGABHAB
    DIJBADIJGKLCABDMN $.

  $( 'Less than or equal' expressed in terms of 'less than' or 'equals', for
     extended reals.  (Contributed by NM, 19-Jan-2006.) $)
  xrleloe $p |- ( ( A e. RR* /\ B e. RR* ) ->
               ( A <_ B <-> ( A < B \/ A = B ) ) ) $=
    ( cxr wcel wa cle wbr clt wn wceq wo xrlenlt wb xrlttri ancoms eqcom orbi1i
    con2bid orcom bitri bitr3di bitrd ) ACDZBCDZEZABFGBAHGZIZABHGZABJZKZABLUEBA
    JZUHKZUGUJUEUFULUDUCUFULIMBANORULUIUHKUJUKUIUHBAPQUIUHSTUAUB $.

  $( 'Less than or equal to' implies 'less than' is not 'equals', for extended
     reals.  (Contributed by NM, 9-Feb-2006.) $)
  xrleltne $p |- ( ( A e. RR* /\ B e. RR* /\ A <_ B ) ->
                ( A < B <-> B =/= A ) ) $=
    ( cxr wcel cle wbr clt wne wb wa wceq wn wi xrlttri3 simpl syl6bi adantr wo
    xrleloe biimpa ord impbid necon2abid necom bitr4di 3impa ) ACDZBCDZABEFZABG
    FZBAHZIUGUHJZUIJZUJABHUKUMUJABUMABKZUJLZULUNUOMUIULUNUOBAGFLZJUOABNUOUPOPQU
    MUJUNULUIUJUNRABSTUAUBUCBAUDUEUF $.

  $( 'Less than' expressed in terms of 'less than or equal to'.  (Contributed
     by Mario Carneiro, 6-Nov-2015.) $)
  xrltlen $p |- ( ( A e. RR* /\ B e. RR* ) ->
               ( A < B <-> ( A <_ B /\ B =/= A ) ) ) $=
    ( cxr wcel wa clt wbr wn wceq cle wne xrlttri ioran biancomi bitrdi xrlenlt
    wo wb nesym a1i anbi12d bitr4d ) ACDBCDEZABFGZBAFGZHZABIZHZEZABJGZBAKZEUCUD
    UGUEQHZUIABLULUFUHUGUEMNOUCUJUFUKUHABPUKUHRUCBASTUAUB $.

  ${
    $d x y $.
    $( Alternative definition of 'less than or equal to' in terms of 'less
       than'.  (Contributed by Mario Carneiro, 6-Nov-2015.) $)
    dfle2 $p |- <_ = ( < u. ( _I |` RR* ) ) $=
      ( vx cle clt cid cxr cres cun lerel cxp wss wrel ltrelxr idssxp unssi wbr
      vy cv wcel brel wo relxp relss mp2 lerelxr weq xrleloe resieq orbi2d brun
      wa bitr4d bitr4di pm5.21nii eqbrriv ) APBCDEFZGZHUPEEIZJUQKUPKCUOUQLEMNZE
      EUAUPUQUBUCAQZPQZBOZUSERUTERUJZUSUTUPOZUSUTEEBUDSUSUTEEUPURSVBVAUSUTCOZUS
      UTUOOZTZVCVBVAVDAPUEZTVFUSUTUFVBVEVGVDEUSUTUGUHUKUSUTCUOUIULUMUN $.

    $( Alternative definition of 'less than' in terms of 'less than or equal
       to'.  (Contributed by Mario Carneiro, 6-Nov-2015.) $)
    dflt2 $p |- < = ( <_ \ _I ) $=
      ( vx vy clt cle cid cdif ltrel wss wrel difss lerel relss mp2 cv wbr wcel
      cxr wa brel weq ltrelxr cxp lerelxr wn wne xrltlen equcom vex ideq bitr4i
      sstri necon3abii anbi2i bitrdi brdif bitr4di pm5.21nii eqbrriv ) ABCDEFZG
      USDHDIUSIDEJZKUSDLMANZBNZCOZVAQPVBQPRZVAVBUSOZVAVBQQCUASVAVBQQUSUSDQQUBUT
      UCUKSVDVCVAVBDOZVAVBEOZUDZRZVEVDVCVFVBVAUEZRVIVAVBUFVJVHVFVGVBVABATABTVGB
      AUGVAVBBUHUIUJULUMUNVAVBDEUOUPUQUR $.
  $}

  $( 'Less than' implies 'less than or equal' for extended reals.  (Contributed
     by NM, 19-Jan-2006.) $)
  xrltle $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A < B -> A <_ B ) ) $=
    ( clt wbr cle cxr wcel wa wceq wo orc xrleloe syl5ibr ) ABCDZABEDAFGBFGHNAB
    IZJNOKABLM $.

  ${
    xrltled.a $e |- ( ph -> A e. RR* ) $.
    xrltled.b $e |- ( ph -> B e. RR* ) $.
    xrltled.altb $e |- ( ph -> A < B ) $.
    $( 'Less than' implies 'less than or equal to' for extended reals.
       Deduction form of ~ xrltle .  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    xrltled $p |- ( ph -> A <_ B ) $=
      ( clt wbr cle cxr wcel wi xrltle syl2anc mpd ) ABCGHZBCIHZFABJKCJKPQLDEBC
      MNO $.
  $}

  $( 'Less than or equal to' is reflexive for extended reals.  (Contributed by
     NM, 7-Feb-2007.) $)
  xrleid $p |- ( A e. RR* -> A <_ A ) $=
    ( cxr wcel cle wbr wa clt wceq wo eqid olci xrleloe mpbiri anidms ) ABCZAAD
    EZOOFPAAGEZAAHZIRQAJKAALMN $.

  ${
    xrleidd.1 $e |- ( ph -> A e. RR* ) $.
    $( 'Less than or equal to' is reflexive for extended reals.  Deduction form
       of ~ xrleid .  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    xrleidd $p |- ( ph -> A <_ A ) $=
      ( cxr wcel cle wbr xrleid syl ) ABDEBBFGCBHI $.
  $}

  $( Trichotomy law for extended reals.  (Contributed by NM, 7-Feb-2007.) $)
  xrletri $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A <_ B \/ B <_ A ) ) $=
    ( cxr wcel wa cle wbr wn clt wb xrltnle ancoms wi xrltle sylbird orrd ) ACD
    ZBCDZEZABFGZBAFGZSTHZBAIGZUARQUCUBJBAKLRQUCUAMBANLOP $.

  $( Trichotomy law for extended reals.  (Contributed by FL, 2-Aug-2009.) $)
  xrletri3 $p |- ( ( A e. RR* /\ B e. RR* ) ->
                   ( A = B <-> ( A <_ B /\ B <_ A ) ) ) $=
    ( cxr wcel wceq clt wbr cle xrlttri3 biancomd xrlenlt ancoms anbi12d bitr4d
    wa wn wb ) ACDZBCDZOZABEZBAFGPZABFGPZOABHGZBAHGZOTUAUBUCABIJTUDUBUEUCABKSRU
    EUCQBAKLMN $.

  ${
    xrletrid.1 $e |- ( ph -> A e. RR* ) $.
    xrletrid.2 $e |- ( ph -> B e. RR* ) $.
    xrletrid.3 $e |- ( ph -> A <_ B ) $.
    xrletrid.4 $e |- ( ph -> B <_ A ) $.
    $( Trichotomy law for extended reals.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    xrletrid $p |- ( ph -> A = B ) $=
      ( wceq cle wbr cxr wcel wa wb xrletri3 syl2anc mpbir2and ) ABCHZBCIJZCBIJ
      ZFGABKLCKLRSTMNDEBCOPQ $.
  $}

  $( Transitive law for ordering on extended reals.  (Contributed by NM,
     19-Jan-2006.) $)
  xrlelttr $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
             ( ( A <_ B /\ B < C ) -> A < C ) ) $=
    ( cxr wcel w3a cle wbr clt wceq wo wi wb xrleloe 3adant3 expd breq1 biimprd
    xrlttr a1i jaod sylbid impd ) ADEZBDEZCDEZFZABGHZBCIHZACIHZUGUHABIHZABJZKZU
    IUJLZUDUEUHUMMUFABNOUGUKUNULUGUKUIUJABCSPULUNLUGULUJUIABCIQRTUAUBUC $.

  $( Transitive law for ordering on extended reals.  (Contributed by NM,
     19-Jan-2006.) $)
  xrltletr $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
             ( ( A < B /\ B <_ C ) -> A < C ) ) $=
    ( cxr wcel w3a cle wbr clt wceq wo wi xrleloe 3adant1 xrlttr expcomd biimpd
    wb breq2 a1i jaod sylbid impcomd ) ADEZBDEZCDEZFZBCGHZABIHZACIHZUGUHBCIHZBC
    JZKZUIUJLZUEUFUHUMRUDBCMNUGUKUNULUGUIUKUJABCOPULUNLUGULUIUJBCAISQTUAUBUC $.

  $( Transitive law for ordering on extended reals.  (Contributed by NM,
     9-Feb-2006.) $)
  xrletr $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
             ( ( A <_ B /\ B <_ C ) -> A <_ C ) ) $=
    ( cxr wcel w3a cle wbr wa clt wceq wo wb xrleloe 3adant1 adantr xrlelttr wi
    xrltle 3adant2 syld expdimp breq2 biimpcd adantl jaod sylbid expimpd ) ADEZ
    BDEZCDEZFZABGHZBCGHZACGHZULUMIZUNBCJHZBCKZLZUOULUNUSMZUMUJUKUTUIBCNOPUPUQUO
    URULUMUQUOULUMUQIACJHZUOABCQUIUKVAUORUJACSTUAUBUMURUORULURUMUOBCAGUCUDUEUFU
    GUH $.

  ${
    xrlttrd.1 $e |- ( ph -> A e. RR* ) $.
    xrlttrd.2 $e |- ( ph -> B e. RR* ) $.
    xrlttrd.3 $e |- ( ph -> C e. RR* ) $.
    ${
      xrlttrd.4 $e |- ( ph -> A < B ) $.
      xrlttrd.5 $e |- ( ph -> B < C ) $.
      $( Transitive law for ordering on extended reals.  (Contributed by Mario
         Carneiro, 23-Aug-2015.) $)
      xrlttrd $p |- ( ph -> A < C ) $=
        ( clt wbr cxr wcel wa wi xrlttr syl3anc mp2and ) ABCJKZCDJKZBDJKZHIABLM
        CLMDLMSTNUAOEFGBCDPQR $.
    $}

    ${
      xrlelttrd.4 $e |- ( ph -> A <_ B ) $.
      xrlelttrd.5 $e |- ( ph -> B < C ) $.
      $( Transitive law for ordering on extended reals.  (Contributed by Mario
         Carneiro, 23-Aug-2015.) $)
      xrlelttrd $p |- ( ph -> A < C ) $=
        ( cle wbr clt cxr wcel wa wi xrlelttr syl3anc mp2and ) ABCJKZCDLKZBDLKZ
        HIABMNCMNDMNTUAOUBPEFGBCDQRS $.
    $}

    ${
      xrltletrd.4 $e |- ( ph -> A < B ) $.
      xrltletrd.5 $e |- ( ph -> B <_ C ) $.
      $( Transitive law for ordering on extended reals.  (Contributed by Mario
         Carneiro, 23-Aug-2015.) $)
      xrltletrd $p |- ( ph -> A < C ) $=
        ( clt wbr cle cxr wcel wa wi xrltletr syl3anc mp2and ) ABCJKZCDLKZBDJKZ
        HIABMNCMNDMNTUAOUBPEFGBCDQRS $.
    $}

    ${
      xrletrd.4 $e |- ( ph -> A <_ B ) $.
      xrletrd.5 $e |- ( ph -> B <_ C ) $.
      $( Transitive law for ordering on extended reals.  (Contributed by Mario
         Carneiro, 23-Aug-2015.) $)
      xrletrd $p |- ( ph -> A <_ C ) $=
        ( cle wbr cxr wcel wa wi xrletr syl3anc mp2and ) ABCJKZCDJKZBDJKZHIABLM
        CLMDLMSTNUAOEFGBCDPQR $.
    $}
  $}

  $( 'Less than' implies not equal for extended reals.  (Contributed by NM,
     20-Jan-2006.) $)
  xrltne $p |- ( ( A e. RR* /\ B e. RR* /\ A < B ) -> B =/= A ) $=
    ( cxr wcel clt wbr w3a wne wo wa orc wor wceq wn wb sotrieq mpan necon2abid
    xrltso syl5ib 3impia necomd ) ACDZBCDZABEFZGABUCUDUEABHZUEUEBAEFZIZUCUDJZUF
    UEUGKUIUHABCELUIABMUHNOSCABEPQRTUAUB $.

  $( An extended real is not less than plus infinity iff they are equal.
     (Contributed by NM, 30-Jan-2006.) $)
  nltpnft $p |- ( A e. RR* -> ( A = +oo <-> -. A < +oo ) ) $=
    ( cxr wcel cpnf wceq clt wbr wn pnfxr xrltnr ax-mp breq1 mtbiri wo pnfge wb
    cle xrleloe mpan2 mpbid ord impbid2 ) ABCZADEZADFGZHUDUEDDFGZDBCZUFHIDJKADD
    FLMUCUEUDUCADQGZUEUDNZAOUCUGUHUIPIADRSTUAUB $.

  $( An extended real which is greater than plus infinity is plus infinity.
     (Contributed by Thierry Arnoux, 18-Dec-2016.) $)
  xgepnf $p |- ( A e. RR* -> ( +oo <_ A <-> A = +oo ) ) $=
    ( cxr wcel cpnf cle wbr clt wn wceq wb pnfxr xrlenlt mpan nltpnft bitr4d )
    ABCZDAEFZADGFHZADIDBCPQRJKDALMANO $.

  $( An extended real is not greater than minus infinity iff they are equal.
     (Contributed by NM, 2-Feb-2006.) $)
  ngtmnft $p |- ( A e. RR* -> ( A = -oo <-> -. -oo < A ) ) $=
    ( cxr wcel cmnf wceq clt wbr wn mnfxr xrltnr ax-mp breq2 mtbiri wo mnfle wb
    cle xrleloe mpan mpbid ord eqcom syl6ib impbid2 ) ABCZADEZDAFGZHZUFUGDDFGZD
    BCZUIHIDJKADDFLMUEUHDAEZUFUEUGUKUEDAQGZUGUKNZAOUJUEULUMPIDARSTUADAUBUCUD $.

  $( An extended real which is less than minus infinity is minus infinity.
     (Contributed by Thierry Arnoux, 18-Feb-2018.) $)
  xlemnf $p |- ( A e. RR* -> ( A <_ -oo <-> A = -oo ) ) $=
    ( cxr wcel cmnf cle wbr clt wn wceq wb mnfxr xrlenlt mpan2 ngtmnft bitr4d )
    ABCZADEFZDAGFHZADIPDBCQRJKADLMANO $.

  $( An extended real is real iff it is strictly bounded by infinities.
     (Contributed by NM, 2-Feb-2006.) $)
  xrrebnd $p |- ( A e. RR* -> ( A e. RR <-> ( -oo < A /\ A < +oo ) ) ) $=
    ( cxr wcel cr cmnf clt wbr cpnf wa mnflt ltpnf wceq nltpnft ngtmnft orbi12d
    jca wo wn ianor orcom bitr2i bitrdi con2bid w3o elxr 3orass bitri sylbb ord
    sylbid impbid2 ) ABCZADCZEAFGZAHFGZIZUMUNUOAJAKPULUPAHLZAELZQZRUMULUSUPULUS
    UORZUNRZQZUPRZULUQUTURVAAMANOVCVAUTQVBUNUOSVAUTTUAUBUCULUSUMULUMUQURUDZUSUM
    QZAUEVDUMUSQVEUMUQURUFUMUSTUGUHUIUJUK $.

  $( A way of proving that an extended real is real.  (Contributed by NM,
     9-Mar-2006.) $)
  xrre $p |- ( ( ( A e. RR* /\ B e. RR ) /\ ( -oo < A /\ A <_ B ) ) ->
              A e. RR ) $=
    ( cxr wcel cr wa cmnf clt wbr cle cpnf simprl ltpnf adantl wi rexr xrlelttr
    pnfxr mp3an3 sylan2 mpan2d imp adantrl wb xrrebnd ad2antrr mpbir2and ) ACDZ
    BEDZFZGAHIZABJIZFZFAEDZUKAKHIZUJUKULLUJULUOUKUJULUOUJULBKHIZUOUIUPUHBMNUIUH
    BCDZULUPFUOOZBPUHUQKCDURRABKQSTUAUBUCUHUNUKUOFUDUIUMAUEUFUG $.

  $( An extended real between two others is real.  (Contributed by NM,
     6-Feb-2007.) $)
  xrre2 $p |- ( ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\
              ( A < B /\ B < C ) ) -> B e. RR ) $=
    ( cxr wcel w3a clt wbr wa cr cmnf wi cle mnfle adantr mnfxr xrlelttr mp3an1
    cpnf mpand 3adant3 pnfge adantl pnfxr mp3an3 mpan2d 3adant1 anim12d xrrebnd
    xrltletr wb 3ad2ant2 sylibrd imp ) ADEZBDEZCDEZFZABGHZBCGHZIZBJEZURVAKBGHZB
    SGHZIZVBURUSVCUTVDUOUPUSVCLUQUOUPIKAMHZUSVCUOVFUPANOKDEUOUPVFUSIVCLPKABQRTU
    AUPUQUTVDLUOUPUQIUTCSMHZVDUQVGUPCUBUCUPUQSDEUTVGIVDLUDBCSUJUEUFUGUHUPUOVBVE
    UKUQBUIULUMUN $.

  $( A way of proving that an extended real is real.  (Contributed by FL,
     29-May-2014.) $)
  xrre3 $p |- ( ( ( A e. RR* /\ B e. RR ) /\ ( B <_ A /\ A < +oo ) )
      -> A e. RR ) $=
    ( cxr wcel cr wa cle wbr cpnf clt cmnf mnflt adantl wi mnfxr simpl xrltletr
    rexr mp3an2i mpand imp adantrr simprr wb xrrebnd ad2antrr mpbir2and ) ACDZB
    EDZFZBAGHZAIJHZFZFAEDZKAJHZULUJUKUOULUJUKUOUJKBJHZUKUOUIUPUHBLMKCDUJBCDZUHU
    PUKFUONOUIUQUHBRMUHUIPKBAQSTUAUBUJUKULUCUHUNUOULFUDUIUMAUEUFUG $.

  $( A nonnegative extended real is greater than negative infinity.
     (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  ge0gtmnf $p |- ( ( A e. RR* /\ 0 <_ A ) -> -oo < A ) $=
    ( cxr wcel cmnf cc0 clt wbr cle mnflt0 wa wi mnfxr 0xr xrltletr mp3an12 imp
    mpanr1 ) ABCZDEFGZEAHGZDAFGZIRSTJZUADBCEBCRUBUAKLMDEANOPQ $.

  $( A nonnegative extended real is greater than negative infinity.
     (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  ge0nemnf $p |- ( ( A e. RR* /\ 0 <_ A ) -> A =/= -oo ) $=
    ( cxr wcel cc0 cle wbr cmnf clt wne ge0gtmnf wceq ngtmnft adantr necon2abid
    wa wn wb mpbid ) ABCZDAEFZOZGAHFZAGIAJUAUBAGSAGKUBPQTALMNR $.

  $( A nonnegative extended real that is less than a real bound is real.
     (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  xrrege0 $p |- ( ( ( A e. RR* /\ B e. RR ) /\ ( 0 <_ A /\ A <_ B ) ) ->
              A e. RR ) $=
    ( cxr wcel cr cc0 cle wbr cmnf clt ge0gtmnf ad2ant2r simprr jca xrre syldan
    wa ) ACDZBEDZQZFAGHZABGHZQZIAJHZUBQAEDTUCQUDUBRUAUDSUBAKLTUAUBMNABOP $.

  $( An extended real is less than or equal to the maximum of it and another.
     (Contributed by NM, 7-Feb-2007.) $)
  xrmax1 $p |- ( ( A e. RR* /\ B e. RR* ) -> A <_ if ( A <_ B , B , A ) ) $=
    ( cxr wcel cle wbr wn xrleid iffalse breq2d syl5ibrcom id breqtrrd pm2.61d2
    cif iftrue adantr ) ACDZAABEFZBAOZEFZBCDRSUARUASGZAAEFAHUBTAAESBAIJKSABTESL
    SBAPMNQ $.

  $( An extended real is less than or equal to the maximum of it and another.
     (Contributed by NM, 7-Feb-2007.) $)
  xrmax2 $p |- ( ( A e. RR* /\ B e. RR* ) -> B <_ if ( A <_ B , B , A ) ) $=
    ( cxr wcel wa cle wbr cif xrleid ad2antlr iftrue adantl breqtrrd wn xrletri
    wceq orcanai iffalse pm2.61dan ) ACDZBCDZEZABFGZBUCBAHZFGUBUCEBBUDFUABBFGTU
    CBIJUCUDBPUBUCBAKLMUBUCNZEBAUDFUBUCBAFGABOQUEUDAPUBUCBARLMS $.

  $( The minimum of two extended reals is less than or equal to one of them.
     (Contributed by NM, 7-Feb-2007.) $)
  xrmin1 $p |- ( ( A e. RR* /\ B e. RR* ) -> if ( A <_ B , A , B ) <_ A ) $=
    ( cxr wcel wa cle wbr wceq iftrue adantl xrleid ad2antrr eqbrtrd wn iffalse
    cif xrletri orcanai pm2.61dan ) ACDZBCDZEZABFGZUCABPZAFGUBUCEUDAAFUCUDAHUBU
    CABIJTAAFGUAUCAKLMUBUCNZEUDBAFUEUDBHUBUCABOJUBUCBAFGABQRMS $.

  $( The minimum of two extended reals is less than or equal to one of them.
     (Contributed by NM, 7-Feb-2007.) $)
  xrmin2 $p |- ( ( A e. RR* /\ B e. RR* ) -> if ( A <_ B , A , B ) <_ B ) $=
    ( cxr wcel cle wbr cif wn xrleid iffalse breq1d syl5ibrcom eqbrtrd pm2.61d2
    iftrue id adantl ) BCDZABEFZABGZBEFZACDRSUARUASHZBBEFBIUBTBBESABJKLSTABESAB
    OSPMNQ $.

  $( The maximum of two extended reals is equal to the first if the first is
     bigger.  (Contributed by Mario Carneiro, 25-Mar-2015.) $)
  xrmaxeq $p |- ( ( A e. RR* /\ B e. RR* /\ B <_ A ) ->
    if ( A <_ B , B , A ) = A ) $=
    ( cxr wcel cle wbr w3a cif wceq wa wb xrletri3 ancoms biimpar anassrs 3impa
    ifeq1da ifid eqtrdi ) ACDZBCDZBAEFZGABEFZBAHZUCAAHZATUAUBUDUEITUAJZUBJUCBAA
    UFUBUCBAIZUFUGUBUCJZUATUGUHKBALMNOQPUCARS $.

  $( The minimum of two extended reals is equal to the second if the first is
     bigger.  (Contributed by Mario Carneiro, 25-Mar-2015.) $)
  xrmineq $p |- ( ( A e. RR* /\ B e. RR* /\ B <_ A ) ->
    if ( A <_ B , A , B ) = B ) $=
    ( cxr wcel cle wbr w3a cif wceq wa wb xrletri3 ancoms biimpar anassrs 3impa
    ifeq1da ifid eqtr3di ) ACDZBCDZBAEFZGABEFZBBHZUCABHZBTUAUBUDUEITUAJZUBJUCBA
    BUFUBUCBAIZUFUGUBUCJZUATUGUHKBALMNOQPUCBRS $.

  $( Two ways of saying the maximum of two extended reals is less than a third.
     (Contributed by NM, 7-Feb-2007.) $)
  xrmaxlt $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
               ( if ( A <_ B , B , A ) < C <-> ( A < C /\ B < C ) ) ) $=
    ( cxr wcel w3a cle wbr cif clt xrmax1 3adant3 ifcl ancoms xrlelttr syld3an2
    wa wi mpand breq1 xrmax2 simp2 simp3 syl3anc jcad ifboth impbid1 ) ADEZBDEZ
    CDEZFZABGHZBAIZCJHZACJHZBCJHZQUKUNUOUPUKAUMGHZUNUOUHUIUQUJABKLUHUMDEZUIUJUQ
    UNQUORUHUIURUJUIUHURULBADMNLZAUMCOPSUKBUMGHZUNUPUHUIUTUJABUALUKUIURUJUTUNQU
    PRUHUIUJUBUSUHUIUJUCBUMCOUDSUEUPUOUNULUPUOUNBABUMCJTAUMCJTUFNUG $.

  $( Two ways of saying an extended real is less than the minimum of two
     others.  (Contributed by NM, 7-Feb-2007.) $)
  xrltmin $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
               ( A < if ( B <_ C , B , C ) <-> ( A < B /\ A < C ) ) ) $=
    ( cxr wcel w3a cle wbr cif clt wa xrmin1 3adant1 wi simp1 ifcl simp2 mpan2d
    xrltletr breq2 syl3anc xrmin2 syld3an2 jcad ifboth impbid1 ) ADEZBDEZCDEZFZ
    ABCGHZBCIZJHZABJHZACJHZKUJUMUNUOUJUMULBGHZUNUHUIUPUGBCLMUJUGULDEZUHUMUPKUNN
    UGUHUIOUHUIUQUGUKBCDPMZUGUHUIQAULBSUARUJUMULCGHZUOUHUIUSUGBCUBMUGUQUHUIUMUS
    KUONURAULCSUCRUDUKUNUOUMBCBULAJTCULAJTUEUF $.

  $( Two ways of saying the maximum of two numbers is less than or equal to a
     third.  (Contributed by Mario Carneiro, 18-Jun-2014.) $)
  xrmaxle $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
                  ( if ( A <_ B , B , A ) <_ C <-> ( A <_ C /\ B <_ C ) ) ) $=
    ( cxr wcel w3a cle wbr cif wa xrmax1 3adant3 wi ifcl ancoms xrletr syld3an2
    mpand xrmax2 breq1 simp2 simp3 syl3anc jcad ifboth impbid1 ) ADEZBDEZCDEZFZ
    ABGHZBAIZCGHZACGHZBCGHZJUJUMUNUOUJAULGHZUMUNUGUHUPUIABKLUGULDEZUHUIUPUMJUNM
    UGUHUQUIUHUGUQUKBADNOLZAULCPQRUJBULGHZUMUOUGUHUSUIABSLUJUHUQUIUSUMJUOMUGUHU
    IUAURUGUHUIUBBULCPUCRUDUOUNUMUKUOUNUMBABULCGTAULCGTUEOUF $.

  $( Two ways of saying a number is less than or equal to the minimum of two
     others.  (Contributed by Mario Carneiro, 18-Jun-2014.) $)
  xrlemin $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
                  ( A <_ if ( B <_ C , B , C ) <-> ( A <_ B /\ A <_ C ) ) ) $=
    ( cxr wcel w3a cle wbr wa xrmin1 3adant1 wi simp1 ifcl simp2 xrletr syl3anc
    cif mpan2d breq2 xrmin2 syld3an2 jcad ifboth impbid1 ) ADEZBDEZCDEZFZABCGHZ
    BCRZGHZABGHZACGHZIUIULUMUNUIULUKBGHZUMUGUHUOUFBCJKUIUFUKDEZUGULUOIUMLUFUGUH
    MUGUHUPUFUJBCDNKZUFUGUHOAUKBPQSUIULUKCGHZUNUGUHURUFBCUAKUFUPUGUHULURIUNLUQA
    UKCPUBSUCUJUMUNULBCBUKAGTCUKAGTUDUE $.

  $( A number is less than or equal to the maximum of it and another.  See also
     ~ max1ALT .  (Contributed by NM, 3-Apr-2005.) $)
  max1 $p |- ( ( A e. RR /\ B e. RR ) -> A <_ if ( A <_ B , B , A ) ) $=
    ( cr wcel cxr cle wbr cif rexr xrmax1 syl2an ) ACDAEDBEDAABFGBAHFGBCDAIBIAB
    JK $.

  $( A number is less than or equal to the maximum of it and another.  This
     version of ~ max1 omits the ` B e. RR ` antecedent.  Although it doesn't
     exploit undefined behavior, it is still considered poor style, and the use
     of ~ max1 is preferred.  (Proof modification is discouraged.)
     (New usage is discouraged.)  (Contributed by NM, 3-Apr-2005.) $)
  max1ALT $p |- ( A e. RR -> A <_ if ( A <_ B , B , A ) ) $=
    ( cr wcel cle wbr cif wn iffalse breq2d syl5ibrcom iftrue breqtrrd pm2.61d2
    leid id ) ACDZABEFZARBAGZEFZQTRHZAAEFAOUASAAERBAIJKRABSERPRBALMN $.

  $( A number is less than or equal to the maximum of it and another.
     (Contributed by NM, 3-Apr-2005.) $)
  max2 $p |- ( ( A e. RR /\ B e. RR ) -> B <_ if ( A <_ B , B , A ) ) $=
    ( cr wcel cxr cle wbr cif rexr xrmax2 syl2an ) ACDAEDBEDBABFGBAHFGBCDAIBIAB
    JK $.

  $( The supremum of two real numbers is the maximum of these two numbers.
     (Contributed by AV, 8-Jun-2021.) $)
  2resupmax $p |- ( ( A e. RR /\ B e. RR )
                  -> sup ( { A , B } , RR , < ) = if ( A <_ B , B , A ) ) $=
    ( cr wcel wa cpr clt csup wbr cif cle wceq ltso suppr mp3an1 wn ifnot lenlt
    wor bicomd ifbid eqtr3id eqtrd ) ACDZBCDZEZABFCGHZBAGIZABJZABKIZBAJZCGSUDUE
    UGUILMCABGNOUFUIUHPZBAJUKUHBAQUFULUJBAUFUJULABRTUAUBUC $.

  $( The minimum of two numbers is less than or equal to the first.
     (Contributed by NM, 3-Aug-2007.) $)
  min1 $p |- ( ( A e. RR /\ B e. RR ) -> if ( A <_ B , A , B ) <_ A ) $=
    ( cr wcel cxr cle wbr cif rexr xrmin1 syl2an ) ACDAEDBEDABFGABHAFGBCDAIBIAB
    JK $.

  $( The minimum of two numbers is less than or equal to the second.
     (Contributed by NM, 3-Aug-2007.) $)
  min2 $p |- ( ( A e. RR /\ B e. RR ) -> if ( A <_ B , A , B ) <_ B ) $=
    ( cr wcel cxr cle wbr cif rexr xrmin2 syl2an ) ACDAEDBEDABFGABHBFGBCDAIBIAB
    JK $.

  $( Two ways of saying the maximum of two numbers is less than or equal to a
     third.  (Contributed by NM, 29-Sep-2005.) $)
  maxle $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
               ( if ( A <_ B , B , A ) <_ C <-> ( A <_ C /\ B <_ C ) ) ) $=
    ( cr wcel cxr cle wbr cif wa wb rexr xrmaxle syl3an ) ADEAFEBDEBFECDECFEABG
    HBAICGHACGHBCGHJKALBLCLABCMN $.

  $( Two ways of saying a number is less than or equal to the minimum of two
     others.  (Contributed by NM, 3-Aug-2007.) $)
  lemin $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
               ( A <_ if ( B <_ C , B , C ) <-> ( A <_ B /\ A <_ C ) ) ) $=
    ( cr wcel cxr cle wbr cif wa wb rexr xrlemin syl3an ) ADEAFEBDEBFECDECFEABC
    GHBCIGHABGHACGHJKALBLCLABCMN $.

  $( Two ways of saying the maximum of two numbers is less than a third.
     (Contributed by NM, 3-Aug-2007.) $)
  maxlt $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
               ( if ( A <_ B , B , A ) < C <-> ( A < C /\ B < C ) ) ) $=
    ( cr wcel cxr cle wbr cif clt wa wb rexr xrmaxlt syl3an ) ADEAFEBDEBFECDECF
    EABGHBAICJHACJHBCJHKLAMBMCMABCNO $.

  $( Two ways of saying a number is less than the minimum of two others.
     (Contributed by NM, 1-Sep-2006.) $)
  ltmin $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
               ( A < if ( B <_ C , B , C ) <-> ( A < B /\ A < C ) ) ) $=
    ( cr wcel cxr cle wbr cif clt wa wb rexr xrltmin syl3an ) ADEAFEBDEBFECDECF
    EABCGHBCIJHABJHACJHKLAMBMCMABCNO $.

  $( A real number which is less than or equal to a second real number is less
     than or equal to the maximum/supremum of the second real number and a
     third real number.  (Contributed by AV, 8-Jun-2021.) $)
  lemaxle $p |- ( ( ( B e. RR /\ C e. RR ) /\ A e. RR /\ A <_ B )
                  -> A <_ if ( C <_ B , B , C ) ) $=
    ( cr wcel wa cle wbr max2 ancoms adantr wi simpr simpll ifcl syl3anc mpan2d
    cif letr 3impia ) BDEZCDEZFZADEZABGHZACBGHZBCRZGHZUCUDFZUEBUGGHZUHUCUJUDUBU
    AUJCBIJKUIUDUAUGDEZUEUJFUHLUCUDMUAUBUDNUCUKUDUFBCDOKABUGSPQT $.

  $( Decompose a real number into positive and negative parts.  (Contributed by
     Mario Carneiro, 6-Aug-2014.) $)
  max0sub $p |- ( A e. RR ->
    ( if ( 0 <_ A , A , 0 ) - if ( 0 <_ -u A , -u A , 0 ) ) = A ) $=
    ( cr wcel cc0 cle wbr cif cneg cmin co wa cxr adantr biimpa xrmaxeq mp3an2i
    wceq 0xr oveq12d eqtrd 0red id iftrue renegcl rexrd le0neg2 cc recn subid1d
    adantl rexr simpr le0neg1 iftrued df-neg negnegd eqtr3id lecasei ) ABCZDAEF
    ZADGZDAHZEFZVBDGZIJZAQDAUSUAUSUBUSUTKZVEADIJAVFVAAVDDIUTVAAQUSUTADUCUJDLCZV
    FVBLCVBDEFZVDDQRVFVBUSVBBCUTAUDMUEUSUTVHAUFNDVBOPSVFAUSAUGCZUTAUHZMUITUSADE
    FZKZVEDVBIJZAVLVADVDVBIVGVLALCZVKVADQRUSVNVKAUKMUSVKULDAOPVLVCVBDUSVKVCAUMN
    UNSVLVMVBHAVBUOVLAUSVIVKVJMUPUQTUR $.

  $( An if statement transforms an implication into an inequality of terms.
     (Contributed by Mario Carneiro, 31-Aug-2014.) $)
  ifle $p |- ( ( ( A e. RR /\ B e. RR /\ B <_ A ) /\ ( ph -> ps ) ) ->
    if ( ph , A , B ) <_ if ( ps , A , B ) ) $=
    ( cr wcel cle wbr w3a wi wa cif simpll1 leidd wceq iftrue adantl imp breq2
    id adantll iftrued 3brtr4d iffalse simpll3 simpll2 ifboth syl2anc pm2.61dan
    wn eqbrtrd ) CEFZDEFZDCGHZIZABJZKZAACDLZBCDLZGHUQAKZCCURUSGUTCULUMUNUPAMNAU
    RCOUQACDPQUTBCDUPABUOUPABUPTRUAUBUCUQAUJZKZURDUSGVAURDOUQACDUDQVBUNDDGHZDUS
    GHZULUMUNUPVAUEVBDULUMUNUPVAUFNBUNVCVDCDCUSDGSDUSDGSUGUHUKUI $.

  ${
    $d k M $.  $d k N $.
    $( There exists an integer greater than or equal to any two others.
       (Contributed by NM, 28-Aug-2005.) $)
    z2ge $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
                E. k e. ZZ ( M <_ k /\ N <_ k ) ) $=
      ( cz wcel wa cle wbr cif cv wrex ifcl ancoms cr zre max1 jca syl2an breq2
      max2 wceq anbi12d rspcev syl2anc ) BDEZCDEZFBCGHZCBIZDEZBUHGHZCUHGHZFZBAJ
      ZGHZCUMGHZFZADKUFUEUIUGCBDLMUEBNEZCNEZULUFBOCOUQURFUJUKBCPBCTQRUPULAUHDUM
      UHUAUNUJUOUKUMUHBGSUMUHCGSUBUCUD $.
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( The rational numbers are dense in ` RR ` : any two real numbers have a
       rational between them.  Exercise 6 of [Apostol] p. 28.  (Contributed by
       NM, 18-Nov-2004.)  (Proof shortened by Mario Carneiro, 13-Jun-2014.) $)
    qbtwnre $p |- ( ( A e. RR /\ B e. RR /\ A < B ) ->
                  E. x e. QQ ( A < x /\ x < B ) ) $=
      ( vy vz cr wcel clt wbr cv wa cq wrex c1 co cmin wi cz recnd wb cn posdif
      cdiv cc0 resubcl nnrecl sylan ex ancoms sylbid cmul cle caddc wreu adantl
      nnre simplr remulcld peano2rem syl zbtwnre 3syl znq an32 ad2antrl adantrr
      reurex simpll zre ad2antll ltletr syl3anc subdid breq2d resubcld ltdivmul
      1red syl112anc ltsub13 3bitr4rd anbi1d biancomd ltmuldiv2 3imtr3d cc wceq
      nngt0 ax-1cn npcan sylancl bitr4d biimpd syl5bi breq2 breq1 rspcev syl6an
      anim12d anbi12d expd expr rexlimdv mpd rexlimdva syld 3impia ) BFGZCFGZBC
      HIZBAJZHIZXJCHIZKZALMZXGXHKZXINDJZUCOCBPOZHIZDUAMZXNXOXIUDXQHIZXSBCUBXHXG
      XTXSQXHXGKZXTXSYAXQFGZXTXSCBUEXQDUFUGUHUIUJXOXRXNDUAXOXPUAGZKZXPCUKOZNPOZ
      EJZULIZYGYFNUMOZHIZKZERMZXRXNQZYDYFFGZYKERUNYLYDYEFGZYNYDXPCYCXPFGZXOXPUP
      ZUOXGXHYCUQURZYEUSUTZEYFVAYKERVGVBYDYKYMERXOYCYGRGZYKYMQXOYCYTKZKZYKXRXNU
      UBYGXPUCOZLGZYKXRKZBUUCHIZUUCCHIZKZXNUUAUUDXOYTYCUUDYGXPVCUIUOUUEYHXRKZYJ
      KUUBUUHYHYJXRVDUUBUUIUUFYJUUGUUBXPBUKOZYFHIZYHKZUUJYGHIZUUIUUFUUBUUJFGZYN
      YGFGZUULUUMQUUBXPBYCYPXOYTYQVEZXGXHUUAVHZURZXOYCYNYTYSVFYTUUOXOYCYGVIVJZU
      UJYFYGVKVLUUBUULYHXRUUBUUKXRYHUUBNXPXQUKOZHIZNYEUUJPOZHIZXRUUKUUBUUTUVBNH
      UUBXPCBUUBXPUUPSUUBCXGXHUUAUQZSUUBBUUQSVMVNUUBNFGZYBYPUDXPHIZXRUVATUUBVQZ
      UUBCBUVDUUQVOUUPYCUVFXOYTXPWGVEZNXQXPVPVRUUBUUNYOUVEUUKUVCTUURXOYCYOYTYRV
      FZUVGUUJYENVSVLVTWAWBUUBXGUUOYPUVFUUMUUFTUUQUUSUUPUVHBYGXPWCVRWDUUBYJUUGU
      UBYJYGYEHIZUUGUUBYIYEYGHUUBYEWEGNWEGYIYEWFUUBYEUVISWHYENWIWJVNUUBUUOXHYPU
      VFUUGUVJTUUSUVDUUPUVHYGCXPVPVRWKWLWRWMXMUUHAUUCLXJUUCWFXKUUFXLUUGXJUUCBHW
      NXJUUCCHWOWSWPWQWTXAXBXCXDXEXF $.

    $( The rational numbers are dense in ` RR* ` : any two extended real
       numbers have a rational between them.  (Contributed by NM, 6-Feb-2007.)
       (Proof shortened by Mario Carneiro, 23-Aug-2015.) $)
    qbtwnxr $p |- ( ( A e. RR* /\ B e. RR* /\ A < B )
                   -> E. x e. QQ ( A < x /\ x < B ) ) $=
      ( wcel clt wbr wa cq wrex cr cpnf wceq qbtwnre c1 adantr adantl a1d breq2
      cmnf breq1 cxr cv w3o wi elxr 3expia caddc co simpl peano2re ltp1 syl3anc
      qre ltpnfd simplr breqtrrd anim2d reximdva mpd rexr nltmnf pm2.21d sylbid
      wb sylan 3jaodan sylan2b pnfnlt cmin peano2rem ltm1 simpll mnfltd eqbrtrd
      wn simpr anim1d 1re mnflt ax-mp mpbiri ltpnf cz 1z zq anbi12d rspcev mpan
      syl2an 3mix3 sylibr 3jaoian sylanb 3impia ) BUADZCUADZBCEFZBAUBZEFZWRCEFZ
      GZAHIZWOBJDZBKLZBSLZUCZWPWQXBUDZBUEZXCWPXGXDXEWPXCCJDZCKLZCSLZUCZXGCUEZXC
      XIXGXJXKXCXIWQXBABCMUFXCXJGZXBWQXNWSWRBNUGUHZEFZGZAHIZXBXNXCXOJDZBXOEFZXR
      XCXJUIXCXSXJBUJOXCXTXJBUKOABXOMULXNXQXAAHXNWRHDZGZXPWTWSYBWTXPYBWRKCEYAWR
      KEFXNYAWRWRUMZUNPXCXJYAUOUPQUQURUSQXCWOXKXGBUTWOXKGZWQBSEFZXBXKWQYEVDWOCS
      BERPYDYEXBWOYEVOXKBVAOVBVCZVEVFVGXDWPGZWQKCEFZXBXDWQYHVDWPBKCETOYGYHXBWPY
      HVOXDCVHPVBVCWPXEXLXGXMXEXIXGXJXKXEXIGZXBWQYICNVIUHZWREFZWTGZAHIZXBYIYJJD
      ZXIYJCEFZYMXIYNXECVJPXEXIVPXIYOXECVKPAYJCMULYIYLXAAHYIYAGZYKWSWTYPWSYKYPB
      SWREXEXIYAVLYPWRYAWRJDYIYCPVMVNQVQURUSQXEXJGXBWQXEBNEFZNCEFZXBXJXEYQSNEFZ
      NJDZYSVRNVSVTBSNETWAXJYRNKEFZYTUUAVRNWBVTCKNERWANHDZYQYRGZXBNWCDUUBWDNWEV
      TXAUUCANHWRNLWSYQWTYRWRNBERWRNCETWFWGWHWIQXEWOXKXGXEXFWOXEXCXDWJXHWKYFVEV
      FVGWLWMWN $.
  $}

  ${
    $d x A $.
    $( If a nonnegative real is less than any positive rational, it is zero.
       (Contributed by NM, 6-Feb-2007.) $)
    qsqueeze $p |- ( ( A e. RR /\ 0 <_ A /\ A. x e. QQ ( 0 < x -> A < x ) ) ->
                   A = 0 ) $=
      ( cr wcel cc0 cle wbr cv clt wi cq wral w3a wceq wn wa wrex wb 0re ltnle
      mpan qbtwnre mp3an1 qre ltnsym con2d sylan2 anim2d reximdva syld rexanali
      ex sylbird syl6ib con4d imp 3adant2 letri3 mpan2 rbaibd 3adant3 mpbird )
      BCDZEBFGZEAHZIGZBVEIGZJAKLZMBENZBEFGZVCVHVJVDVCVHVJVCVJVHVCVJOZVFVGOZPZAK
      QZVHOVCVKEBIGZVNECDZVCVOVKRSEBTUAVCVOVFVEBIGZPZAKQZVNVCVOVSVPVCVOVSSAEBUB
      UCULVCVRVMAKVCVEKDZPVQVLVFVTVCVECDZVQVLJVEUDVCWAPVGVQBVEUEUFUGUHUIUJUMVFV
      GAKUKUNUOUPUQVCVDVIVJRVHVCVIVJVDVCVPVIVJVDPRSBEURUSUTVAVB $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Lemma for ~ qextlt and qextle .  (Contributed by Mario Carneiro,
       3-Oct-2014.) $)
    qextltlem $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A < B ->
      E. x e. QQ ( -. ( x < A <-> x < B ) /\ -. ( x <_ A <-> x <_ B ) ) ) ) $=
      ( cxr wcel wa clt wbr cv cq wrex wb cle qbtwnxr 3expia syl2anc 2thd sylib
      wn nbbn simprl simplll rexrd ad2antlr xrltnle mpbid wi xrltle mtod simprr
      qre simpllr xrltled jca ex reximdva syld ) BDEZCDEZFZBCGHZBAIZGHZVBCGHZFZ
      AJKZVBBGHZVDLSZVBBMHZVBCMHZLSZFZAJKURUSVAVFABCNOUTVEVLAJUTVBJEZFZVEVLVNVE
      FZVHVKVOVGSZVDLVHVOVPVDVOVGVIVOVCVISZVNVCVDUAVOURVBDEZVCVQLURUSVMVEUBZVMV
      RUTVEVMVBVBUKUCUDZBVBUEPUFZVOVRURVGVIUGVTVSVBBUHPUIVNVCVDUJZQVGVDTRVOVQVJ
      LVKVOVQVJWAVOVBCVTURUSVMVEULWBUMQVIVJTRUNUOUPUQ $.

    $( An extensionality-like property for extended real ordering.
       (Contributed by Mario Carneiro, 3-Oct-2014.) $)
    qextlt $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A = B <->
      A. x e. QQ ( x < A <-> x < B ) ) ) $=
      ( cxr wcel wa wceq cv clt wbr wb cq wral wn wrex cle qextltlem simpl syl6
      reximi breq2 ralrimivw wne wo xrlttri2 wi bicom sylnib ancoms jaod sylbid
      rexnal syl6ib necon4ad impbid2 ) BDEZCDEZFZBCGZAHZBIJZUTCIJZKZALMZUSVCALB
      CUTIUAUBURVDBCURBCUCZVCNZALOZVDNURVEBCIJZCBIJZUDVGBCUEURVHVGVIURVHVFUTBPJ
      ZUTCPJZKNZFZALOVGABCQVMVFALVFVLRTSUQUPVIVGUFUQUPFVIVBVAKZNZVKVJKNZFZALOVG
      ACBQVQVFALVQVNVCVOVPRVBVAUGUHTSUIUJUKVCALULUMUNUO $.

    $( An extensionality-like property for extended real ordering.
       (Contributed by Mario Carneiro, 3-Oct-2014.) $)
    qextle $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A = B <->
      A. x e. QQ ( x <_ A <-> x <_ B ) ) ) $=
      ( cxr wcel wa wceq cv cle wbr wb cq wral wn wrex clt qextltlem simpr syl6
      reximi breq2 ralrimivw wne wo xrlttri2 wi bicom sylnib ancoms jaod sylbid
      rexnal syl6ib necon4ad impbid2 ) BDEZCDEZFZBCGZAHZBIJZUTCIJZKZALMZUSVCALB
      CUTIUAUBURVDBCURBCUCZVCNZALOZVDNURVEBCPJZCBPJZUDVGBCUEURVHVGVIURVHUTBPJZU
      TCPJZKNZVFFZALOVGABCQVMVFALVLVFRTSUQUPVIVGUFUQUPFVIVKVJKNZVBVAKZNZFZALOVG
      ACBQVQVFALVQVOVCVNVPRVBVAUGUHTSUIUJUKVCALULUMUNUO $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Show that ` A ` is less than ` B ` by showing that there is no positive
       bound on the difference.  (Contributed by Mario Carneiro,
       12-Jun-2014.) $)
    xralrple $p |- ( ( A e. RR* /\ B e. RR ) ->
                   ( A <_ B <-> A. x e. RR+ A <_ ( B + x ) ) ) $=
      ( vy cxr wcel cr wa cle wbr caddc co crp adantl mpbid rexrd wn cq syl2anc
      clt cv wral cc0 rpge0 simplr rpre addge01d simpll readdcld xrletr syl3anc
      mpan2d ralrimdva wrex rexr simpl qbtwnxr 3expia cmin simprrl qre ad2antrl
      wi wb difrp simprrr xrltnle recnd pncan3d breq2d mtbird wceq oveq2 notbid
      rspcev rexnal sylib rexlimdvaa syld con2d xrlenlt sylan2 sylibrd impbid )
      BEFZCGFZHZBCIJZBCAUAZKLZIJZAMUBZWGWHWKAMWGWIMFZHZWHCWJIJZWKWNUCWIIJZWOWMW
      PWGWIUDNWNCWIWEWFWMUEZWMWIGFWGWIUFNZUGOWNWECEFZWJEFWHWOHWKVCWEWFWMUHWNCWQ
      PWNWJWNCWIWQWRUIPBCWJUJUKULUMWGWLCBTJZQZWHWGWTWLWGWTCDUAZTJZXBBTJZHZDRUNZ
      WLQZWGWSWEWTXFVCWFWSWECUOZNWEWFUPWSWEWTXFDCBUQURSWGXEXGDRWGXBRFZXEHZHZWKQ
      ZAMUNZXGXKXBCUSLZMFZBCXNKLZIJZQZXMXKXCXOWGXIXCXDUTXKWFXBGFZXCXOVDWEWFXJUE
      ZXIXSWGXEXBVAVBZCXBVESOXKXQBXBIJZXKXDYBQZWGXIXCXDVFXKXBEFWEXDYCVDXKXBYAPW
      EWFXJUHXBBVGSOXKXPXBBIXKCXBXKCXTVHXKXBYAVHVIVJVKXLXRAXNMWIXNVLZWKXQYDWJXP
      BIWIXNCKVMVJVNVOSWKAMVPVQVRVSVTWFWEWSWHXAVDXHBCWAWBWCWD $.

    $( Show that ` A ` is less than ` B ` by showing that there is no positive
       bound on the difference.  (Contributed by Mario Carneiro,
       12-Jun-2014.) $)
    alrple $p |- ( ( A e. RR /\ B e. RR ) ->
                   ( A <_ B <-> A. x e. RR+ A <_ ( B + x ) ) ) $=
      ( cr wcel cxr cle wbr cv caddc co crp wral wb rexr xralrple sylan ) BDEBF
      ECDEBCGHBCAIJKGHALMNBOABCPQ $.
  $}

  $( Equality of two extended numbers with ` -e ` in front of them.
     (Contributed by FL, 26-Dec-2011.)  (Proof shortened by Mario Carneiro,
     20-Aug-2015.) $)
  xnegeq $p |- ( A = B -> -e A = -e B ) $=
    ( wceq cpnf cmnf cneg cif cxne eqeq1 negeq ifbieq2d df-xneg 3eqtr4g ) ABCZA
    DCZEAECZDAFZGZGBDCZEBECZDBFZGZGAHBHNOSRUBEABDINPTQUADABEIABJKKALBLM $.

  $( A negative extended real exists as a set.  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xnegex $p |- -e A e. _V $=
    ( cxne cpnf wceq cmnf cneg cif cvv df-xneg cxr mnfxr elexi pnfex negex ifex
    eqeltri ) ABACDZEAEDZCAFZGZGHAIQETEJKLRCSMANOOP $.

  $( Minus ` +oo ` .  Remark of [BourbakiTop1] p.  IV.15.  (Contributed by FL,
     26-Dec-2011.) $)
  xnegpnf $p |- -e +oo = -oo $=
    ( cpnf cxne wceq cmnf cneg cif df-xneg eqid iftruei eqtri ) ABAACZDADCAAEFZ
    FDAGKDLAHIJ $.

  $( Minus ` -oo ` .  Remark of [BourbakiTop1] p.  IV.15.  (Contributed by FL,
     26-Dec-2011.)  (Revised by Mario Carneiro, 20-Aug-2015.) $)
  xnegmnf $p |- -e -oo = +oo $=
    ( cmnf cxne cpnf wceq cneg cif df-xneg wne mnfnepnf ifnefalse ax-mp iftruei
    eqid 3eqtri ) ABACDAAADZCAEZFZFZQCAGACHRQDIACAQJKOCPAMLN $.

  $( Minus a real number.  Remark [BourbakiTop1] p.  IV.15.  (Contributed by
     FL, 26-Dec-2011.)  (Proof shortened by Mario Carneiro, 20-Aug-2015.) $)
  rexneg $p |- ( A e. RR -> -e A = -u A ) $=
    ( cr wcel cxne cpnf wceq cmnf cif df-xneg wne renepnf ifnefalse syl renemnf
    cneg eqtrd eqtrid ) ABCZADAEFGAGFEAOZHZHZSAIRUATSRAEJUATFAKAEGTLMRAGJTSFANA
    GESLMPQ $.

  $( The negative of zero.  (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  xneg0 $p |- -e 0 = 0 $=
    ( cc0 cxne cneg cr wcel wceq 0re rexneg ax-mp neg0 eqtri ) ABZACZAADELMFGAH
    IJK $.

  $( Closure of extended real negative.  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xnegcl $p |- ( A e. RR* -> -e A e. RR* ) $=
    ( cxr wcel cr cpnf wceq cmnf w3o cxne elxr cneg rexneg renegcl rexrd xnegeq
    eqeltrd xnegpnf mnfxr eqeltri eqeltrdi xnegmnf pnfxr 3jaoi sylbi ) ABCADCZA
    EFZAGFZHAIZBCZAJUEUIUFUGUEUHUEUHAKDALAMPNUFUHEIZBAEOUJGBQRSTUGUHGIZBAGOUKEB
    UAUBSTUCUD $.

  $( Extended real version of ~ negneg .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xnegneg $p |- ( A e. RR* -> -e -e A = A ) $=
    ( cxr wcel cpnf wceq cmnf w3o cxne elxr cneg rexneg renegcl xnegmnf xnegpnf
    cr xnegeq syl eqtrdi id 3eqtr4a recn negnegd 3eqtrd 3jaoi sylbi ) ABCAOCZAD
    EZAFEZGAHZHZAEZAIUFUKUGUHUFUJAJZHZULJZAUFUIULEUJUMEAKUIULPQUFULOCUMUNEALULK
    QUFAAUAUBUCUGFHZDUJAMUGUIFEUJUOEUGUIDHZFADPNRUIFPQUGSTUHUPFUJANUHUIDEUJUPEU
    HUIUODAFPMRUIDPQUHSTUDUE $.

  $( Extended real version of ~ neg11 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xneg11 $p |- ( ( A e. RR* /\ B e. RR* ) -> ( -e A = -e B <-> A = B ) ) $=
    ( cxr wcel wa cxne wceq xnegeq xnegneg eqeqan12d syl5ib impbid1 ) ACDZBCDZE
    ZAFZBFZGZABGZRPFZQFZGOSPQHMNTAUABAIBIJKABHL $.

  $( Forward direction of ~ xltneg .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xltnegi $p |- ( ( A e. RR* /\ B e. RR* /\ A < B ) -> -e B < -e A ) $=
    ( cxr wcel clt wbr cxne cr cpnf wceq cmnf w3o wa wi elxr cneg rexneg adantr
    wn sylbid bitr4d biimpd xnegeq xnegpnf eqtrdi adantl renegcl eqeltrd mnfltd
    ltneg breqan12rd eqbrtrd a1d breq2d rexr nltmnf syl pm2.21d 3jaodan sylan2b
    simpr simpl breq1d pnfnlt breq1 anbi2d ltpnfd mnfltpnf eqbrtrdi breq2 mnfxr
    expimpd ax-mp pm2.21i syl6bi imp 3jaoian sylanb xnegmnf syl5ibr 3jaoi sylbi
    3impib ) ACDZBCDZABEFZBGZAGZEFZWDAHDZAIJZAKJZLWEWFMZWINZAOWJWNWKWLWJWEWFWIW
    EWJBHDZBIJZBKJZLZWFWINZBOZWJWOWSWPWQWJWOMZWFWIXAWFBPZAPZEFWIABUJWOWJWGXBWHX
    CEBQZAQZUKUAUBWJWPMZWIWFXFWGKWHEWPWGKJZWJWPWGIGKBIUCUDUEZUFWJKWHEFWPWJWHWJW
    HXCHXEAUGUHUIRULUMWJWQMZWFAKEFZWIXIBKAEWJWQVAUNXIXJWIWJXJSZWQWJWDXKAUOAUPUQ
    RURTUSUTVLWKWEWFWIWKWEMZWFIBEFZWIXLAIBEWKWEVBVCXLXMWIWEXMSWKBVDUFURTVLWLWMW
    EKBEFZMZWIWLWFXNWEAKBEVEVFXOWIWLWGIEFZWEWRXNXPWTWOXNXPWPWQWOXNMWGWOWGHDXNWO
    WGXBHXDBUGUHRVGWPXNMWGKIEWPXGXNXHRVHVIWQXNXPWQXNKKEFZXPBKKEVJXQXPKCDXQSVKKU
    PVMVNVOVPVQVRWLWHIWGEWLWHKGIAKUCVSUEUNVTTWAWBWC $.

  $( Extended real version of ~ ltneg .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xltneg $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A < B <-> -e B < -e A ) ) $=
    ( cxr wcel wa clt xltnegi 3expia wi xnegcl syl2anr xnegneg breqan12d sylibd
    wbr cxne impbid ) ACDZBCDZEZABFOZBPZAPZFOZRSUAUDABGHTUDUCPZUBPZFOZUASUBCDZU
    CCDZUDUGIRBJAJUHUIUDUGUBUCGHKRSUEAUFBFALBLMNQ $.

  $( Extended real version of ~ leneg .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xleneg $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A <_ B <-> -e B <_ -e A ) ) $=
    ( cxr wcel wa clt wbr wn cle wb xltneg ancoms notbid xrlenlt xnegcl syl2anr
    cxne 3bitr4d ) ACDZBCDZEZBAFGZHAQZBQZFGZHZABIGUDUCIGZUAUBUETSUBUEJBAKLMABNT
    UDCDUCCDUGUFJSBOAOUDUCNPR $.

  $( Extended real version of ~ lt0neg1 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xlt0neg1 $p |- ( A e. RR* -> ( A < 0 <-> 0 < -e A ) ) $=
    ( cxr wcel cc0 clt wbr cxne wb 0xr xltneg mpan2 xneg0 breq1i bitrdi ) ABCZA
    DEFZDGZAGZEFZDREFODBCPSHIADJKQDRELMN $.

  $( Extended real version of ~ lt0neg2 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xlt0neg2 $p |- ( A e. RR* -> ( 0 < A <-> -e A < 0 ) ) $=
    ( cxr wcel cc0 clt wbr cxne wb 0xr xltneg mpan xneg0 breq2i bitrdi ) ABCZDA
    EFZAGZDGZEFZQDEFDBCOPSHIDAJKRDQELMN $.

  $( Extended real version of ~ le0neg1 .  (Contributed by Mario Carneiro,
     9-Sep-2015.) $)
  xle0neg1 $p |- ( A e. RR* -> ( A <_ 0 <-> 0 <_ -e A ) ) $=
    ( cxr wcel cc0 cle wbr cxne wb 0xr xleneg mpan2 xneg0 breq1i bitrdi ) ABCZA
    DEFZDGZAGZEFZDREFODBCPSHIADJKQDRELMN $.

  $( Extended real version of ~ le0neg2 .  (Contributed by Mario Carneiro,
     9-Sep-2015.) $)
  xle0neg2 $p |- ( A e. RR* -> ( 0 <_ A <-> -e A <_ 0 ) ) $=
    ( cxr wcel cc0 cle wbr cxne wb 0xr xleneg mpan xneg0 breq2i bitrdi ) ABCZDA
    EFZAGZDGZEFZQDEFDBCOPSHIDAJKRDQELMN $.

  ${
    $d x y A $.  $d x y B $.
    $( Value of the extended real addition operation.  (Contributed by Mario
       Carneiro, 20-Aug-2015.) $)
    xaddval $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A +e B ) = if ( A = +oo ,
            if ( B = -oo , 0 , +oo ) , if ( A = -oo ,
            if ( B = +oo , 0 , -oo ) , if ( B = +oo , +oo ,
                 if ( B = -oo , -oo , ( A + B ) ) ) ) ) ) $=
      ( vx vy cxr cv cpnf wceq cc0 cif caddc co eqeq1d ifbid ifbieq2d ifbieq12d
      cmnf c0ex pnfex ifex cxad wa simpl simpr oveq12 df-xadd mnfxr ovex ovmpoa
      elexi ) CDABEECFZGHZDFZQHZIGJZUKQHZUMGHZIQJZUQGUNQUKUMKLZJZJZJZJAGHZBQHZI
      GJZAQHZBGHZIQJZVGGVDQABKLZJZJZJZJUAUKAHZUMBHZUBZULVCUOVBVEVLVOUKAGVMVNUCZ
      MVOUNVDIGVOUMBQVMVNUDZMZNVOUPVFURVAVHVKVOUKAQVPMVOUQVGIQVOUMBGVQMZNVOUQVG
      UTVJGVSVOUNVDUSVIQVRUKAUMBKUEOOPPCDUFVCVEVLVDIGRSTVFVHVKVGIQRQEUGUJZTVGGV
      JSVDQVIVTABKUHTTTTUI $.

    $( The extended real addition operation is closed in extended reals.
       (Contributed by Mario Carneiro, 21-Aug-2015.) $)
    xaddf $p |- +e : ( RR* X. RR* ) --> RR* $=
      ( vx vy cv cpnf wceq cmnf cc0 cif cxr wcel wral cxad wa 0xr wn cr anassrs
      a1i wo ifclda caddc co cxp wf pnfxr ifcli mnfxr ioran w3o elxr 3orass ord
      sylbb con1d sylan2br readdcl syl2an rexrd an32s rgen2 df-xadd fmpo mpbi
      imp ) ACZDEZBCZFEZGDHZVEFEZVGDEZGFHZVKDVHFVEVGUAUBZHZHZHZHZIJZBIKAIKIIUCI
      LUDVRABIIVEIJZVGIJZMZVFVIVPIVIIJWAVFMVHGDINUEUFRWAVFOZMZVJVLVOIVLIJWCVJMV
      KGFINUGUFRWAWBVJOZVOIJZVSWBWDMZVTWEVSWFMZVTMZVKDVNIDIJWHVKMUERWHVKOZMZVHF
      VMIFIJWJVHMUGRWHWIVHOZVMIJZWGVTWIWKMZWLWGVTWMMZMVMWGVEPJZVGPJZVMPJWNWFVSV
      FVJSZOZWOVFVJUHVSWRWOVSWOWQVSWOWQVSWOVFVJUIWOWQSVEUJWOVFVJUKUMULUNVDUOWMV
      TVKVHSZOZWPVKVHUHVTWTWPVTWPWSVTWPWSVTWPVKVHUIWPWSSVGUJWPVKVHUKUMULUNVDUOV
      EVGUPUQURQQTTUSQTTUTABIIVQILABVAVBVC $.

    $( Value of the extended real multiplication operation.  (Contributed by
       Mario Carneiro, 20-Aug-2015.) $)
    xmulval $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A *e B ) =
            if ( ( A = 0 \/ B = 0 ) , 0 ,
            if ( ( ( ( 0 < B /\ A = +oo ) \/ ( B < 0 /\ A = -oo ) ) \/
                   ( ( 0 < A /\ B = +oo ) \/ ( A < 0 /\ B = -oo ) ) ) , +oo ,
            if ( ( ( ( 0 < B /\ A = -oo ) \/ ( B < 0 /\ A = +oo ) ) \/
                   ( ( 0 < A /\ B = -oo ) \/ ( A < 0 /\ B = +oo ) ) ) , -oo ,
                 ( A x. B ) ) ) ) ) $=
      ( vx vy cxr cc0 wceq wo clt wbr cpnf cmnf cmul cif eqeq1d orbi12d anbi12d
      wa ifbieq2d ifex cv co cxmu simpl simpr breq2d breq1d oveq12 df-xmul c0ex
      pnfex mnfxr elexi ovex ovmpoa ) CDABEECUAZFGZDUAZFGZHZFFURIJZUPKGZRZURFIJ
      ZUPLGZRZHZFUPIJZURKGZRZUPFIJZURLGZRZHZHZKVAVERZVDVBRZHZVHVLRZVKVIRZHZHZLU
      PURMUBZNZNZNAFGZBFGZHZFFBIJZAKGZRZBFIJZALGZRZHZFAIJZBKGZRZAFIJZBLGZRZHZHZ
      KWIWMRZWLWJRZHZWPWTRZWSWQRZHZHZLABMUBZNZNZNUCUPAGZURBGZRZUTWHWEXMFXPUQWFU
      SWGXPUPAFXNXOUDZOXPURBFXNXOUEZOPXPVOXCWDXLKXPVGWOVNXBXPVCWKVFWNXPVAWIVBWJ
      XPURBFIXRUFZXPUPAKXQOZQXPVDWLVEWMXPURBFIXRUGZXPUPALXQOZQPXPVJWRVMXAXPVHWP
      VIWQXPUPAFIXQUFZXPURBKXROZQXPVKWSVLWTXPUPAFIXQUGZXPURBLXROZQPPXPWBXJWCXKL
      XPVRXFWAXIXPVPXDVQXEXPVAWIVEWMXSYBQXPVDWLVBWJYAXTQPXPVSXGVTXHXPVHWPVLWTYC
      YFQXPVKWSVIWQYEYDQPPUPAURBMUHSSSCDUIWHFXMUJXCKXLUKXJLXKLEULUMABMUNTTTUO
      $.
  $}

  $( Addition of positive infinity on the right.  (Contributed by Mario
     Carneiro, 20-Aug-2015.) $)
  xaddpnf1 $p |- ( ( A e. RR* /\ A =/= -oo ) -> ( A +e +oo ) = +oo ) $=
    ( cxr wcel cmnf wne cpnf cxad co cc0 cif caddc pnfxr xaddval mpan2 pnfnemnf
    wceq ifnefalse mp1i eqid eqtrdi iftruei ifeq12d ifid sylan9eq ) ABCZADEZAFG
    HZAFPZFDPZIFJZADPFFPZIDJZUKFUIDAFKHJZJZJZJZFUEFBCUGUPPLAFMNUFUPUHFFJFUFUHUJ
    FUOFFDEUJFPUFOFDIFQRUFUOUNFADULUNQUKFUMFSUATUBUHFUCTUD $.

  $( Addition of positive infinity on the left.  (Contributed by Mario
     Carneiro, 20-Aug-2015.) $)
  xaddpnf2 $p |- ( ( A e. RR* /\ A =/= -oo ) -> ( +oo +e A ) = +oo ) $=
    ( cxr wcel cmnf wne cpnf cxad co wceq cc0 cif caddc pnfxr xaddval mpan eqid
    iftruei ifnefalse eqtrid sylan9eq ) ABCZADEZFAGHZFFIZADIZJFKZFDIAFIZJDKUGFU
    EDFALHKKKZKZFFBCUAUCUIIMFANOUBUIUFFUDUFUHFPQADJFRST $.

  $( Addition of negative infinity on the right.  (Contributed by Mario
     Carneiro, 20-Aug-2015.) $)
  xaddmnf1 $p |- ( ( A e. RR* /\ A =/= +oo ) -> ( A +e -oo ) = -oo ) $=
    ( cxr wcel cpnf wne cmnf cxad co wceq cc0 cif caddc mnfxr xaddval ifnefalse
    mpan2 mnfnepnf ax-mp eqid eqtri iftruei ifeq12 mp2an ifid eqtrdi sylan9eq )
    ABCZADEZAFGHZADIFFIZJDKZAFIZFDIZJFKZUMDUJFAFLHZKZKZKZKZFUGFBCUIUSIMAFNPUHUS
    URFADUKUROURULFFKZFUNFIZUQFIURUTIFDEZVAQFDJFORUQUPFVBUQUPIQFDDUPORUJFUOFSUA
    TULUNFUQFUBUCULFUDTUEUF $.

  $( Addition of negative infinity on the left.  (Contributed by Mario
     Carneiro, 20-Aug-2015.) $)
  xaddmnf2 $p |- ( ( A e. RR* /\ A =/= +oo ) -> ( -oo +e A ) = -oo ) $=
    ( cxr wcel cpnf wne cmnf cxad co wceq cc0 caddc mnfxr xaddval mpan mnfnepnf
    cif ifnefalse ax-mp eqid iftruei eqtri eqtrid sylan9eq ) ABCZADEZFAGHZFDIAF
    IZJDPZFFIZADIZJFPZUJDUGFFAKHPPZPZPZFFBCUDUFUNILFAMNUEUNUKFUNUMUKFDEUNUMIOFD
    UHUMQRUIUKULFSTUAADJFQUBUC $.

  $( Addition of positive and negative infinity.  This is often taken to be a
     "null" value or out of the domain, but we define it (somewhat arbitrarily)
     to be zero so that the resulting function is total, which simplifies
     proofs.  (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  pnfaddmnf $p |- ( +oo +e -oo ) = 0 $=
    ( cpnf cmnf cxad wceq cc0 cif caddc cxr wcel pnfxr mnfxr xaddval mp2an eqid
    co iftruei 3eqtri ) ABCOZAADZBBDZEAFZABDBADZEBFUBATBABGOFFFZFZUAEAHIBHIRUDD
    JKABLMSUAUCANPTEABNPQ $.

  $( Addition of negative and positive infinity.  This is often taken to be a
     "null" value or out of the domain, but we define it (somewhat arbitrarily)
     to be zero so that the resulting function is total, which simplifies
     proofs.  (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  mnfaddpnf $p |- ( -oo +e +oo ) = 0 $=
    ( cmnf cpnf cxad wceq cc0 cif caddc wcel mnfxr pnfxr xaddval mp2an mnfnepnf
    co cxr wne ifnefalse eqid iftruei eqtri ax-mp ) ABCNZABDBADZEBFZAADZBBDZEAF
    ZUFBUCAABGNFFZFZFZEAOHBOHUBUJDIJABKLUJUIEABPUJUIDMABUDUIQUAUIUGEUEUGUHARSUF
    EABRSTTT $.

  $( The extended real addition operation when both arguments are real.
     (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  rexadd $p |- ( ( A e. RR /\ B e. RR ) -> ( A +e B ) = ( A + B ) ) $=
    ( cr wcel wa cxad cpnf wceq cmnf cc0 cif cxr rexr wne renepnf ifnefalse syl
    co renemnf eqtrd caddc xaddval syl2an sylan9eq ) ACDZBCDZEABFRZAGHBIHZJGKZA
    IHBGHZJIKZUJGUHIABUARZKZKZKZKZULUEALDBLDUGUPHUFAMBMABUBUCUEUFUPUNULUEUPUOUN
    UEAGNUPUOHAOAGUIUOPQUEAINUOUNHASAIUKUNPQTUFUNUMULUFBGNUNUMHBOBGGUMPQUFBINUM
    ULHBSBIIULPQTUDT $.

  $( Extended real subtraction when both arguments are real.  (Contributed by
     Mario Carneiro, 23-Aug-2015.) $)
  rexsub $p |- ( ( A e. RR /\ B e. RR ) -> ( A +e -e B ) = ( A - B ) ) $=
    ( cr wcel wa cxne cxad co cneg caddc cmin wceq rexneg adantl oveq2d renegcl
    rexadd sylan2 cc recn negsub syl2an 3eqtrd ) ACDZBCDZEZABFZGHABIZGHZAUHJHZA
    BKHZUFUGUHAGUEUGUHLUDBMNOUEUDUHCDUIUJLBPAUHQRUDASDBSDUJUKLUEATBTABUAUBUC $.

  ${
    rexaddd.1 $e |- ( ph -> A e. RR ) $.
    rexaddd.2 $e |- ( ph -> B e. RR ) $.
    $( The extended real addition operation when both arguments are real.
       Deduction version of ~ rexadd .  (Contributed by Glauco Siliprandi,
       24-Dec-2020.) $)
    rexaddd $p |- ( ph -> ( A +e B ) = ( A + B ) ) $=
      ( cr wcel cxad co caddc wceq rexadd syl2anc ) ABFGCFGBCHIBCJIKDEBCLM $.
  $}

  $( The extended nonnegative integers are closed under extended addition.
     (Contributed by AV, 10-Dec-2020.) $)
  xnn0xaddcl $p |- ( ( A e. NN0* /\ B e. NN0* ) -> ( A +e B ) e. NN0* ) $=
    ( cn0 wcel wa cxnn0 cxad co wi nn0re cpnf wceq xnn0nnn0pnf cxr cmnf wne syl
    cr wn ex caddc nn0addcl nn0xnn0d wb rexadd eleq1d syl2an mpbird ianor oveq1
    a1d wo xnn0xrnemnf xaddpnf2 sylan9eq expcom impd oveq2 xaddpnf1 impcomd imp
    jaoi pnf0xnn0 eqeltrdi sylbi pm2.61i ) ACDZBCDZEZAFDZBFDZEZABGHZFDZIZVIVNVL
    VIVNABUAHZFDZVIVPABUBUCVGARDZBRDZVNVQUDVHAJBJVRVSEVMVPFABUEUFUGUHUKVISVGSZV
    HSZULZVOVGVHUIWBVLVNWBVLEVMKFWBVLVMKLZVTVLWCIWAVTVJVKWCVJVTVKWCIZVJVTEAKLZW
    DAMWEVKWCWEVKVMKBGHZKAKBGUJVKBNDBOPEWFKLBUMBUNQUOTQUPUQWAVKVJWCVKWAVJWCIZVK
    WAEBKLZWGBMWHVJWCWHVJVMAKGHZKBKAGURVJANDAOPEWIKLAUMAUSQUOTQUPUTVBVAVCVDTVEV
    F $.

  $( Closure of extended real addition in the subset ` RR* / { -oo } ` .
     (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  xaddnemnf $p |- ( ( ( A e. RR* /\ A =/= -oo ) /\
                      ( B e. RR* /\ B =/= -oo ) ) -> ( A +e B ) =/= -oo ) $=
    ( cxr wcel cmnf wne wa cr cpnf wceq wo cxad co xrnemnf caddc rexadd readdcl
    pnfnemnf a1i eqnetrd eqeltrd renemnfd oveq2 rexr renemnf xaddpnf1 sylan9eqr
    syl2anc jaodan sylan2b oveq1 xaddpnf2 sylan9eq jaoian sylanb ) ACDZAEFZGAHD
    ZAIJZKBCDBEFGZABLMZEFZANURUTVBUSUTURBHDZBIJZKVBBNURVCVBVDURVCGZVAVEVAABOMHA
    BPABQUAUBURVDGZVAIEVDURVAAILMZIBIALUCURUPUQVGIJAUDAUEAUFUHUGIEFZVFRSTUIUJUS
    UTGZVAIEUSUTVAIBLMIAIBLUKBULUMVHVIRSTUNUO $.

  $( Closure of extended real addition in the subset ` RR* / { +oo } ` .
     (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  xaddnepnf $p |- ( ( ( A e. RR* /\ A =/= +oo ) /\
                      ( B e. RR* /\ B =/= +oo ) ) -> ( A +e B ) =/= +oo ) $=
    ( cxr wcel cpnf wne wa cr cmnf wceq wo cxad co xrnepnf caddc rexadd readdcl
    mnfnepnf a1i eqnetrd eqeltrd renepnfd oveq2 rexr renepnf xaddmnf1 sylan9eqr
    syl2anc jaodan sylan2b oveq1 xaddmnf2 sylan9eq jaoian sylanb ) ACDZAEFZGAHD
    ZAIJZKBCDBEFGZABLMZEFZANURUTVBUSUTURBHDZBIJZKVBBNURVCVBVDURVCGZVAVEVAABOMHA
    BPABQUAUBURVDGZVAIEVDURVAAILMZIBIALUCURUPUQVGIJAUDAUEAUFUHUGIEFZVFRSTUIUJUS
    UTGZVAIEUSUTVAIBLMIAIBLUKBULUMVHVIRSTUNUO $.

  $( Extended real version of ~ negid .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xnegid $p |- ( A e. RR* -> ( A +e -e A ) = 0 ) $=
    ( cxr wcel cr cpnf wceq cmnf w3o cxne cxad co cc0 elxr cneg caddc rexneg id
    xnegeq eqtrdi oveq12d oveq2d renegcl rexadd negidd 3eqtrd xnegpnf pnfaddmnf
    mpdan recn xnegmnf mnfaddpnf 3jaoi sylbi ) ABCADCZAEFZAGFZHAAIZJKZLFZAMUNUS
    UOUPUNURAANZJKZAUTOKZLUNUQUTAJAPUAUNUTDCVAVBFAUBAUTUCUHUNAAUIUDUEUOUREGJKLU
    OAEUQGJUOQUOUQEIGAERUFSTUGSUPURGEJKLUPAGUQEJUPQUPUQGIEAGRUJSTUKSULUM $.

  $( The extended real addition operation is closed in extended reals.
     (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  xaddcl $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A +e B ) e. RR* ) $=
    ( cxr cxad xaddf fovcl ) ABCCCDEF $.

  $( The extended real addition operation is commutative.  (Contributed by NM,
     26-Dec-2011.) $)
  xaddcom $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A +e B ) = ( B +e A ) ) $=
    ( cxr wcel cr cpnf wceq cmnf w3o cxad co elxr 3eqtr4d wne syl2anc sylan9eqr
    wa eqtr4d oveq2d oveq1d caddc recn addcom syl2an rexadd ancoms rexr renemnf
    oveq2 xaddpnf1 oveq1 xaddpnf2 renepnf xaddmnf1 xaddmnf2 3jaodan sylan2b cc0
    cc pnfaddmnf mnfaddpnf eqtr4i simpr 3eqtr4a pm2.61dane adantl simpl 3jaoian
    sylanb ) ACDZAEDZAFGZAHGZIBCDZABJKZBAJKZGZALVKVNVQVLVMVNVKBEDZBFGZBHGZIVQBL
    VKVRVQVSVTVKVRQABUAKZBAUAKZVOVPVKAUSDBUSDWAWBGVRAUBBUBABUCUDABUEVRVKVPWBGBA
    UEUFMVKVSQVOFVPVSVKVOAFJKZFBFAJUIVKVJAHNZWCFGAUGZAUHZAUJOPVSVKVPFAJKZFBFAJU
    KVKVJWDWGFGWEWFAULOPRVKVTQVOHVPVTVKVOAHJKZHBHAJUIVKVJAFNZWHHGWEAUMZAUNOPVTV
    KVPHAJKZHBHAJUKVKVJWIWKHGWEWJAUOOPRUPUQVLVNQZFBJKZBFJKZVOVPVNWMWNGZVLVNWOBH
    VNVTQZFHJKZHFJKZWMWNWQURWRUTVAVBWPBHFJVNVTVCZSWPBHFJWSTVDVNBHNQWMFWNBULBUJR
    VEVFWLAFBJVLVNVGZTWLAFBJWTSMVMVNQZHBJKZBHJKZVOVPVNXBXCGZVMVNXDBFVNVSQZWRWQX
    BXCWRURWQVAUTVBXEBFHJVNVSVCZSXEBFHJXFTVDVNBFNQXBHXCBUOBUNRVEVFXAAHBJVMVNVGZ
    TXAAHBJXGSMVHVI $.

  $( Extended real version of ~ addid1 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xaddid1 $p |- ( A e. RR* -> ( A +e 0 ) = A ) $=
    ( cxr wcel cr cpnf wceq cmnf w3o cc0 cxad co elxr 0re wne ax-mp mp2an oveq1
    0xr id 3eqtr4a caddc rexadd mpan2 addid1d renemnf xaddpnf2 renepnf xaddmnf2
    recn eqtrd 3jaoi sylbi ) ABCADCZAEFZAGFZHAIJKZAFZALUMUQUNUOUMUPAIUAKZAUMIDC
    ZUPURFMAIUBUCUMAAUIUDUJUNEIJKZEUPAIBCZIGNZUTEFRUSVBMIUEOIUFPAEIJQUNSTUOGIJK
    ZGUPAVAIENZVCGFRUSVDMIUGOIUHPAGIJQUOSTUKUL $.

  $( Extended real version of ~ addid2 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xaddid2 $p |- ( A e. RR* -> ( 0 +e A ) = A ) $=
    ( cxr wcel cc0 cxad co wceq 0xr xaddcom mpan xaddid1 eqtrd ) ABCZDAEFZADEFZ
    ADBCMNOGHDAIJAKL $.

  ${
    xaddid1d.1 $e |- ( ph -> A e. RR* ) $.
    $( ` 0 ` is a right identity for extended real addition.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    xaddid1d $p |- ( ph -> ( A +e 0 ) = A ) $=
      ( cxr wcel cc0 cxad co wceq xaddid1 syl ) ABDEBFGHBICBJK $.
  $}

  $( Extended nonnegative integer ordering relation.  (Contributed by Thierry
     Arnoux, 30-Jul-2023.) $)
  xnn0lem1lt $p |- ( ( M e. NN0 /\ N e. NN0* ) -> ( M <_ N <-> ( M - 1 ) < N
       ) ) $=
    ( cn0 wcel cxnn0 wa cle wbr c1 cmin co clt wb nn0lem1lt adantlr wn cpnf cxr
    cr breq2d nn0re rexrd pnfge syl ad2antrr simpll peano2rem ltpnf xnn0nnn0pnf
    4syl 2thd wceq adantll 3bitr4d pm2.61dan ) ACDZBEDZFZBCDZABGHZAIJKZBLHZMZUP
    USVCUQABNOURUSPZFZAQGHZVAQLHZUTVBVEVFVGUPVFUQVDUPARDVFUPAAUAZUBAUCUDUEVEUPA
    SDVASDVGUPUQVDUFVHAUGVAUHUJUKVEBQAGUQVDBQULUPBUIUMZTVEBQVALVITUNUO $.

  $( An extended nonnegative integer which is less than or equal to a
     nonnegative integer is a nonnegative integer.  (Contributed by AV,
     24-Nov-2021.) $)
  xnn0lenn0nn0 $p |- ( ( M e. NN0* /\ N e. NN0 /\ M <_ N ) -> M e. NN0 ) $=
    ( cxnn0 wcel cn0 cle wbr cpnf wo wi elxnn0 2a1 wa wb breq1 nn0re syl sylbid
    wceq cr adantr cxr rexrd xgepnf wnel pnfnre eleq1 syl6bi com13 ax-mp adantl
    elnelall ex jaoi sylbi 3imp ) ACDZBEDZABFGZAEDZUQUTAHSZIURUSUTJZJZAKUTVCVAU
    TURUSLVAURVBVAURMUSHBFGZUTVAUSVDNURAHBFOUAURVDUTJVAURVDBHSZUTURBUBDVDVENURB
    BPUCBUDQHTUEZURVEUTJJUFVEURVFUTVEURHEDZVFUTJZBHEUGVGHTDVHHPUTHTULQUHUIUJRUK
    RUMUNUOUP $.

  $( An extended nonnegative integer which is less than or equal to 2 is either
     0 or 1 or 2.  (Contributed by AV, 24-Nov-2021.) $)
  xnn0le2is012 $p |- ( ( N e. NN0* /\ N <_ 2 )
                       -> ( N = 0 \/ N = 1 \/ N = 2 ) ) $=
    ( cxnn0 wcel c2 cle wbr cn0 cc0 wceq c1 w3o xnn0lenn0nn0 mp3an2 nn0le2is012
    2nn0 sylancom ) ABCZADEFZAGCZAHIAJIADIKQDGCRSOADLMANP $.

  $( The sum of two extended nonnegative integers is ` 0 ` iff each of the two
     extended nonnegative integers is ` 0 ` .  (Contributed by AV,
     14-Dec-2020.) $)
  xnn0xadd0 $p |- ( ( A e. NN0* /\ B e. NN0* )
                   -> ( ( A +e B ) = 0 <-> ( A = 0 /\ B = 0 ) ) ) $=
    ( cxnn0 wcel wa cxad co cc0 wceq wi cn0 cpnf wo elxnn0 cr syl2an eqeq1d cxr
    nn0re wne caddc rexadd cle wb nn0ge0 add20 bitrd biimpd expcom oveq2 adantr
    wbr jca cmnf nn0xnn0 xnn0xrnemnf xaddpnf1 3syl adantl renepnf ax-mp pm2.21i
    0re nesymi syl6bi ex sylbi com12 oveq1 xaddpnf2 syl sylan9bb imp oveq12 0xr
    jaoi xaddid1 eqtrdi impbid1 ) ACDZBCDZEABFGZHIZAHIBHIEZVTWAWCWDJZVTAKDZALIZ
    MWAWEJZANWFWHWGWAWFWEWABKDZBLIZMWFWEJZBNWIWKWJWFWIWEWFWIEZWCWDWLWCABUAGZHIZ
    WDWLWBWMHWFAODZBODZWBWMIWIASZBSZABUBPQWFWOHAUCULZEWPHBUCULZEWNWDUDWIWFWOWSW
    QAUEUMWIWPWTWRBUEUMABUFPUGUHUIWJWFWEWJWFEZWCLHIZWDXAWCALFGZHIZXBWJWCXDUDWFW
    JWBXCHBLAFUJQUKXAXCLHWFXCLIZWJWFVTARDAUNTEXEAUOAUPAUQURUSQUGXBWDHLHODHLTVCH
    UTVAVDVBZVEVFVPVGVHWGWAWEWGWAEWCXBWDWGWCLBFGZHIWAXBWGWBXGHALBFVIQWAXGLHWABR
    DBUNTEXGLIBUPBVJVKQVLXFVEVFVPVGVMWDWBHHFGZHAHBHFVNHRDXHHIVOHVQVAVRVS $.

  $( Extended real version of ~ negdi .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xnegdi $p |- ( ( A e. RR* /\ B e. RR* ) ->
    -e ( A +e B ) = ( -e A +e -e B ) ) $=
    ( wcel cr cpnf wceq cmnf cxad co cxne syl xnegeq xnegpnf wne eqtrdi 3eqtr4a
    wa oveq2d xnegmnf cc0 cxr w3o elxr caddc cneg cc recn syl2an readdcl rexneg
    negdi renegcl rexadd 3eqtr4d oveqan12d oveq2 rexr renemnf syl2anc sylan9eqr
    xaddpnf1 eqeltrd renepnf xaddmnf1 3jaodan sylan2b xneg0 pnfaddmnf mnfaddpnf
    simpr adantl xaddpnf2 xnegcl xnegneg eqeq1d necon3d imp xaddmnf2 pm2.61dane
    syl5ib syl2an2r simpl oveq1d adantr 3jaoian sylanb ) AUACZADCZAEFZAGFZUBBUA
    CZABHIZJZAJZBJZHIZFZAUCWHWKWQWIWJWKWHBDCZBEFZBGFZUBWQBUCWHWRWQWSWTWHWRQZABU
    DIZJZAUEZBUEZHIZWMWPXAXBUEZXDXEUDIZXCXFWHAUFCBUFCXGXHFWRAUGBUGABUKUHXAXBDCX
    CXGFABUIXBUJKWHXDDCXEDCXFXHFWRAULZBULXDXEUMUHUNXAWLXBFWMXCFABUMWLXBLKWHWRWN
    XDWOXEHAUJZBUJUOUNWHWSQZEJZGWMWPMXKWLEFWMXLFWSWHWLAEHIZEBEAHUPWHWGAGNXMEFAU
    QZAURAVAUSUTWLELKWSWHWPWNGHIZGWSWOGWNHWSWOXLGBELMOZRWHWNDCZXOGFZWHWNXDDXJXI
    VBZXQWNUACZWNENXRWNUQZWNVCWNVDUSKUTPWHWTQZGJZEWMWPSYBWLGFWMYCFWTWHWLAGHIZGB
    GAHUPWHWGAENYDGFXNAVCAVDUSUTWLGLKWTWHWPWNEHIZEWTWOEWNHWTWOYCEBGLSOZRWHXQYEE
    FZXSXQXTWNGNYGYAWNURWNVAUSKUTPVEVFWIWKQZEBHIZJZGWOHIZWMWPWKYJYKFZWIWKYLBGWK
    WTQZTJZTYJYKVGYMYITFYJYNFYMYIEGHIZTYMBGEHWKWTVJRVHOYITLKYMYKGEHIZTYMWOEGHWT
    WOEFZWKYFVKRVIOPWKBGNZQZXLGYJYKMYSYIEFYJXLFBVLYIELKWKWOUACZYRWOENZYKGFBVMZW
    KYRUUAWKWOEBGYQWOJZGFWKWTYQUUCXLGWOELMOWKUUCBGBVNZVOVTVPVQWOVRWAPVSVKYHWLYI
    FWMYJFYHAEBHWIWKWBWCWLYILKYHWNGWOHYHWNXLGWIWNXLFWKAELWDMOWCUNWJWKQZGBHIZJZE
    WOHIZWMWPWKUUGUUHFZWJWKUUIBEWKWSQZYNTUUGUUHVGUUJUUFTFUUGYNFUUJUUFYPTUUJBEGH
    WKWSVJRVIOUUFTLKUUJUUHYOTUUJWOGEHWSWOGFZWKXPVKRVHOPWKBENZQZYCEUUGUUHSUUMUUF
    GFUUGYCFBVRUUFGLKWKYTUULWOGNZUUHEFUUBWKUULUUNWKWOGBEUUKUUCEFWKWSUUKUUCYCEWO
    GLSOWKUUCBEUUDVOVTVPVQWOVLWAPVSVKUUEWLUUFFWMUUGFUUEAGBHWJWKWBWCWLUUFLKUUEWN
    EWOHUUEWNYCEWJWNYCFWKAGLWDSOWCUNWEWF $.

  $( Associativity of extended real addition.  The correct condition here is
     "it is not the case that both ` +oo ` and ` -oo ` appear as one of
     ` A , B , C ` , i.e. ` -. { +oo , -oo } C_ { A , B , C } ` ", but this
     condition is difficult to work with, so we break the theorem into two
     parts: this one, where ` -oo ` is not present in ` A , B , C ` , and
     ~ xaddass2 , where ` +oo ` is not present.  (Contributed by Mario
     Carneiro, 20-Aug-2015.) $)
  xaddass $p |- ( ( ( A e. RR* /\ A =/= -oo ) /\ ( B e. RR* /\ B =/= -oo ) /\
  ( C e. RR* /\ C =/= -oo ) ) -> ( ( A +e B ) +e C ) = ( A +e ( B +e C ) ) ) $=
    ( cxr wcel cmnf wne wa cr cxad wceq cpnf caddc rexadd 3eqtr4d adantr oveq1d
    co syl2anc sylan9eqr w3a cc recn addass syl3an 3expa readdcl sylan2 anassrs
    sylan adantll oveq2d oveq2 simp1l simp2l xaddcl xaddnemnf xaddpnf1 3ad2ant1
    3adant3 eqtr4d 3ad2ant2 adantlr wo simp3 xrnemnf mpjaodan xaddpnf2 3ad2ant3
    sylib oveq1 simpl2 simpl3 syl simpl2l simpl3l simpr eqtrd simp1 ) ADEZAFGZH
    ZBDEZBFGZHZCDEZCFGZHZUAZAIEZABJRZCJRZABCJRZJRZKZALKZWIWJHZBIEZWOBLKZWIWJWRW
    OWIWJWRHZHCIEZWOCLKZWTXAWOWIWTXAHZABMRZCJRZABCMRZJRZWLWNXCXDCMRZAXFMRZXEXGW
    JWRXAXHXIKZWJAUBEWRBUBEXACUBEXJAUCBUCCUCABCUDUEUFWTXDIEXAXEXHKABUGXDCNUJWJW
    RXAXGXIKZWRXAHWJXFIEXKBCUGAXFNUHUIOXCWKXDCJWTWKXDKXAABNPQXCWMXFAJWRXAWMXFKW
    JBCNUKULOUKWIXBWOWTWIXBHZWLALJRZWNXLWLLXMXBWIWLWKLJRZLCLWKJUMWIWKDEZWKFGZXN
    LKWIVTWCXOVTWAWEWHUNWBWCWDWHUOABUPSWBWEXPWHABUQUTWKURSTWIXMLKZXBWBWEXQWHAUR
    USZPVAXLWMLAJXBWIWMBLJRZLCLBJUMWEWBXSLKWHBURVBTULVAVCWIXAXBVDZWTWIWHXTWBWEW
    HVECVFVJPVGUIWIWSWOWJWIWSHZLCJRZXMWLWNWIYBXMKWSWIYBLXMWHWBYBLKZWECVHZVIZXRV
    APYAWKLCJWSWIWKXMLBLAJUMXRTQYAWMLAJWSWIWMYBLBLCJVKYETULOVCWQWEWRWSVDWBWEWHW
    JVLBVFVJVGWIWPHZYBLWMJRZWLWNYFYBLYGYFWHYCWBWEWHWPVMZYDVNYFWMDEZWMFGZYGLKYFW
    CWFYIWCWDWBWHWPVOWFWGWBWEWPVPBCUPSYFWEWHYJWBWEWHWPVLZYHBCUQSWMVHSVAYFWKLCJY
    FWKLBJRZLYFALBJWIWPVQZQYFWEYLLKYKBVHVNVRQYFALWMJYMQOWIWBWJWPVDWBWEWHVSAVFVJ
    VG $.

  $( Associativity of extended real addition.  See ~ xaddass for notes on the
     hypotheses.  (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  xaddass2 $p |- ( ( ( A e. RR* /\ A =/= +oo ) /\ ( B e. RR* /\ B =/= +oo ) /\
  ( C e. RR* /\ C =/= +oo ) ) -> ( ( A +e B ) +e C ) = ( A +e ( B +e C ) ) ) $=
    ( cxr wcel cpnf wne wa cxad cxne wceq cmnf xnegcl syl xneg11 xnegdi syl2anc
    co wb xaddcl w3a simp1l simp1r sylancl necon3bid mpbird xnegpnf a1i neeqtrd
    pnfxr simp2l simp2r simp3l simp3r xaddass syl222anc oveq1d oveq2d 3eqtr4d
    mpbid ) ADEZAFGZHZBDEZBFGZHZCDEZCFGZHZUAZABIRZCIRZJZABCIRZIRZJZKZVLVOKZVJVK
    JZCJZIRZAJZVNJZIRZVMVPVJWBBJZIRZVTIRZWBWEVTIRZIRZWAWDVJWBDEZWBLGWEDEZWELGVT
    DEZVTLGWGWIKVJVAWJVAVBVFVIUBZAMNVJWBFJZLVJWBWNGVBVAVBVFVIUCVJWBWNAFVJVAFDEZ
    WBWNKAFKSWMUJAFOUDUEUFWNLKVJUGUHZUIVJVDWKVCVDVEVIUKZBMNVJWEWNLVJWEWNGVEVCVD
    VEVIULVJWEWNBFVJVDWOWEWNKBFKSWQUJBFOUDUEUFWPUIVJVGWLVCVFVGVHUMZCMNVJVTWNLVJ
    VTWNGVHVCVFVGVHUNVJVTWNCFVJVGWOVTWNKCFKSWRUJCFOUDUEUFWPUIWBWEVTUOUPVJVSWFVT
    IVJVAVDVSWFKWMWQABPQUQVJWCWHWBIVJVDVGWCWHKWQWRBCPQURUSVJVKDEZVGVMWAKVJVAVDW
    SWMWQABTQZWRVKCPQVJVAVNDEZVPWDKWMVJVDVGXAWQWRBCTQZAVNPQUSVJVLDEZVODEZVQVRSV
    JWSVGXCWTWRVKCTQVJVAXAXDWMXBAVNTQVLVOOQUT $.

  $( Extended real version of ~ pncan .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xpncan $p |- ( ( A e. RR* /\ B e. RR ) -> ( ( A +e B ) +e -e B ) = A ) $=
    ( cxr wcel cr wa cxad co wceq adantl oveq2d cmnf ad2antlr cpnf rexr renepnf
    wne syl cc0 eqtrd cxne cneg rexneg renegcl xaddmnf2 syl2anc oveq1 sylan9eqr
    oveq1d simpr 3eqtr4d simpll renemnf xaddass syl222anc simplr rexaddd negidd
    caddc recnd xaddid1 ad2antrr pm2.61dane ) ACDZBEDZFZABGHZBUAZGHVGBUBZGHZAVF
    VHVIVGGVEVHVIIVDBUCJKVFVJAIALVFALIZFZLVIGHZLVJAVLVIEDZVMLIZVEVNVDVKBUDZMVNV
    ICDZVINQVOVIOZVIPVIUEUFRVLVGLVIGVKVFVGLBGHZLALBGUGVEVSLIZVDVEBCDZBNQVTBOZBP
    BUEUFJUHUIVFVKUJUKVFALQZFZVJABVIGHZGHZAWDVDWCWABLQZVQVILQZVJWFIVDVEWCULVFWC
    UJVEWAVDWCWBMVEWGVDWCBUMMWDVNVQVEVNVDWCVPMZVRRWDVNWHWIVIUMRABVIUNUOWDWFASGH
    ZAWDWESAGWDWEBVIUSHSWDBVIVDVEWCUPZWIUQWDBWDBWKUTURTKVDWJAIVEWCAVAVBTTVCT $.

  $( Extended real version of ~ npcan .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xnpcan $p |- ( ( A e. RR* /\ B e. RR ) -> ( ( A +e -e B ) +e B ) = A ) $=
    ( cxr wcel cr wa cxne cxad wceq rexr xnegneg syl adantl oveq2d cneg renegcl
    co rexneg eqeltrd xpncan sylan2 eqtr3d ) ACDZBEDZFZABGZHQZUFGZHQZUGBHQAUEUH
    BUGHUDUHBIZUCUDBCDUJBJBKLMNUDUCUFEDUIAIUDUFBOEBRBPSAUFTUAUB $.

  $( Extended real version of ~ leadd1 ; note that the converse implication is
     not true, unlike the real version (for example ` 0 < 1 ` but
     ` ( 1 +e +oo ) <_ ( 0 +e +oo ) ` ).  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xleadd1a $p |- ( ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\ A <_ B ) ->
    ( A +e C ) <_ ( B +e C ) ) $=
    ( cxr wcel cle wbr wa cxad co cpnf wceq cmnf syl2anc ad2antrr adantr simplr
    syl wne adantlr w3a cr caddc simplrr simpr simplrl simpllr leadd1dd rexaddd
    3brtr4d simpl1 simpl3 xaddcl pnfge rexr renemnf xaddpnf2 ad2antrl sylan9eqr
    oveq1 breqtrrd xrleidd mnfle eqbrtrd wb simpl2 mpbir2and oveq1d breqtrd w3o
    xrletri3 elxr sylib mpjao3dan anassrs xaddmnf2 adantl oveq2d xaddpnf1 sylan
    renepnf eqtrd pm2.61dane xaddmnf1 ) ADEZBDEZCDEZUAZABFGZHZCUBEZACIJZBCIJZFG
    ZCKLZCMLZWJWKHZAUBEZWNAKLZAMLZWJWKWRWNWJWKWRHZHZBUBEZWNBKLZBMLZXBXCHZACUCJB
    CUCJWLWMFXFABCWJWKWRXCUDZXBXCUEZWJWKWRXCUFZWHWIXAXCUGUHXFACXGXIUIXFBCXHXIUI
    UJXBXDHZWLKWMFXJWLDEZWLKFGZWJXKXAXDWJWEWGXKWEWFWGWIUKZWEWFWGWIULZACUMNZOWLU
    NZRXDXBWMKCIJZKBKCIUTWKXQKLZWJWRWKWGCMSXRCUOZCUPCUQNURUSVAWJXEWNXAWJXEHZWLW
    LWMFXTWLWJXKXEXOPVBXTABCIXTABLZWIBAFGZWHWIXEQXTBMAFWJXEUEXTWEMAFGWJWEXEXMPA
    VCRVDWJYAWIYBHVEZXEWJWEWFYCXMWEWFWGWIVFZABVKNZPVGVHVIZTWJXCXDXEVJZXAWJWFYGY
    DBVLVMPVNVOWJWSWNWKWJWSHZWLWLWMFYHWLWJXKWSXOPVBYHABCIYHYAWIYBWHWIWSQYHBKAFW
    JBKFGZWSWJWFYIYDBUNRPWJWSUEVAWJYCWSYEPVGVHVIZTWQWTHZWLMWMFWTWQWLMCIJZMAMCIU
    TWKYLMLZWJWKWGCKSYMXSCWACVPNVQUSYKWMDEZMWMFGZWJYNWKWTWJWFWGYNYDXNBCUMNZOWMV
    CZRVDWJWRWSWTVJZWKWJWEYRXMAVLVMPVNWJWOHZWNBMWJXEWNWOYFTYSBMSZHZWLKWMFUUAXKX
    LWJXKWOYTXOOXPRUUAWMBKIJZKUUACKBIWJWOYTQVRYSWFYTUUBKLWJWFWOYDPBVSVTWBVAWCWJ
    WPHZWNAKWJWSWNWPYJTUUCAKSZHZWLMWMFUUEWLAMIJZMUUECMAIWJWPUUDQVRUUCWEUUDUUFML
    WJWEWPXMPAWDVTWBUUEYNYOWJYNWPUUDYPOYQRVDWCWJWGWKWOWPVJXNCVLVMVN $.

  $( Commuted form of ~ xleadd1a .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xleadd2a $p |- ( ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\ A <_ B ) ->
    ( C +e A ) <_ ( C +e B ) ) $=
    ( cxr wcel w3a cle wbr wa cxad xleadd1a wceq xaddcom 3adant2 adantr 3adant1
    co 3brtr3d ) ADEZBDEZCDEZFZABGHZIACJQZBCJQZCAJQZCBJQZGABCKUBUDUFLZUCSUAUHTA
    CMNOUBUEUGLZUCTUAUISBCMPOR $.

  $( Weakened version of ~ xleadd1a under which the reverse implication is
     true.  (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  xleadd1 $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR ) ->
                  ( A <_ B <-> ( A +e C ) <_ ( B +e C ) ) ) $=
    ( cxr wcel cr w3a cle wbr cxad co rexr xleadd1a syl3an3 xaddcl syl2anc wceq
    wi ex xpncan cxne simp1 3ad2ant3 xnegcl syl syl3anc 3adant2 3adant1 breq12d
    simp2 sylibd impbid ) ADEZBDEZCFEZGZABHIZACJKZBCJKZHIZUOUMUNCDEZUQUTRCLZUMU
    NVAGUQUTABCMSNUPUTURCUAZJKZUSVCJKZHIZUQUPURDEZUSDEZVCDEZUTVFRUPUMVAVGUMUNUO
    UBUOUMVAUNVBUCZACOPUPUNVAVHUMUNUOUJVJBCOPUPVAVIVJCUDUEVGVHVIGUTVFURUSVCMSUF
    UPVDAVEBHUMUOVDAQUNACTUGUNUOVEBQUMBCTUHUIUKUL $.

  $( Extended real version of ~ ltadd1 .  (Contributed by Mario Carneiro,
     23-Aug-2015.) $)
  xltadd1 $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR ) ->
                  ( A < B <-> ( A +e C ) < ( B +e C ) ) ) $=
    ( cxr wcel cr w3a cle wbr wn co clt wb xleadd1 3com12 notbid xrltnle xaddcl
    cxad syl2anc 3adant3 simp1 rexr 3ad2ant3 simp2 3bitr4d ) ADEZBDEZCFEZGZBAHI
    ZJZBCSKZACSKZHIZJZABLIZUNUMLIZUJUKUOUHUGUIUKUOMBACNOPUGUHUQULMUIABQUAUJUNDE
    ZUMDEZURUPMUJUGCDEZUSUGUHUIUBUIUGVAUHCUCUDZACRTUJUHVAUTUGUHUIUEVBBCRTUNUMQT
    UF $.

  $( Extended real version of ~ ltadd2 .  (Contributed by Mario Carneiro,
     23-Aug-2015.) $)
  xltadd2 $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR ) ->
                  ( A < B <-> ( C +e A ) < ( C +e B ) ) ) $=
    ( cxr wcel cr w3a clt wbr cxad co xltadd1 rexr wceq xaddcom 3adant2 3adant1
    wb breq12d syl3an3 bitrd ) ADEZBDEZCFEZGABHIACJKZBCJKZHIZCAJKZCBJKZHIZABCLU
    DUBUCCDEZUGUJRCMUBUCUKGUEUHUFUIHUBUKUEUHNUCACOPUCUKUFUINUBBCOQSTUA $.

  $( The sum of nonnegative extended reals is nonnegative.  (Contributed by
     Mario Carneiro, 21-Aug-2015.) $)
  xaddge0 $p |- ( ( ( A e. RR* /\ B e. RR* ) /\ ( 0 <_ A /\ 0 <_ B ) ) ->
                  0 <_ ( A +e B ) ) $=
    ( cxr wcel wa cc0 cle wbr cxad co 0xr a1i simplr xaddcl adantr wceq xaddid2
    simprr syl simpll simprl xleadd1a syl31anc eqbrtrrd xrletrd ) ACDZBCDZEZFAG
    HZFBGHZEZEZFBABIJZFCDZULKLZUFUGUKMZUHUMCDUKABNOUHUIUJRULFBIJZBUMGULUGUQBPUP
    BQSULUNUFUGUIUQUMGHUOUFUGUKTUPUHUIUJUAFABUBUCUDUE $.

  $( Extended real version of ~ le2add .  (Contributed by Mario Carneiro,
     23-Aug-2015.) $)
  xle2add $p |- ( ( ( A e. RR* /\ B e. RR* ) /\ ( C e. RR* /\ D e. RR* ) ) ->
     ( ( A <_ C /\ B <_ D ) -> ( A +e B ) <_ ( C +e D ) ) ) $=
    ( cxr wcel wa cle wbr cxad simpll simprl simplr w3a xleadd1a syl3anc xaddcl
    co wi ex simprr xleadd2a adantr syl2anc adantl xrletr syl2and ) AEFZBEFZGZC
    EFZDEFZGZGZACHIZABJRZCBJRZHIZBDHIZUQCDJRZHIZUPUTHIZUNUHUKUIUOURSUHUIUMKUJUK
    ULLZUHUIUMMZUHUKUINUOURACBOTPUNUIULUKUSVASVDUJUKULUAVCUIULUKNUSVABDCUBTPUNU
    PEFZUQEFZUTEFZURVAGVBSUJVEUMABQUCUNUKUIVFVCVDCBQUDUMVGUJCDQUEUPUQUTUFPUG $.

  $( Extended real version of ~ lt2add .  Note that ~ ltleadd , which has
     weaker assumptions, is not true for the extended reals (since
     ` 0 + +oo < 1 + +oo ` fails).  (Contributed by Mario Carneiro,
     23-Aug-2015.) $)
  xlt2add $p |- ( ( ( A e. RR* /\ B e. RR* ) /\ ( C e. RR* /\ D e. RR* ) ) ->
     ( ( A < C /\ B < D ) -> ( A +e B ) < ( C +e D ) ) ) $=
    ( cxr wcel wa clt wbr cxad co cpnf wceq cmnf adantr wb mpbid wne necon2abid
    syl w3a xaddcl 3ad2ant1 simp1l simp2r syl2anc 3ad2ant2 simp3r simp1r simprl
    cr xltadd2 syl3anc simp3l simp2l simprr xltadd1 xrlttrd anassrs pnfxr pnfge
    a1i xrltletrd nltpnft xaddnepnf syl22anc mpbird oveq2 mnfxr mnfle xrlelttrd
    cle ngtmnft xaddpnf1 sylan9eqr breqtrrd adantlr a1d necon4bd imp elxr sylib
    wn w3o mpjao3dan oveq1 xaddmnf2 xaddnemnf eqbrtrd 3expia ) AEFZBEFZGZCEFZDE
    FZGZACHIZBDHIZGZABJKZCDJKZHIZWMWPWSUAZAUKFZXBALMZANMZXCXDGDUKFZXBDLMZDNMZXC
    XDXGXBXCXDXGGZGZWTADJKZXAXCWTEFZXJWMWPXMWSABUBUCZOXCXLEFZXJXCWKWOXOWKWLWPWS
    UDZWMWNWOWSUEZADUBUFOXCXAEFZXJWPWMXRWSCDUBUGZOXKWRWTXLHIZXCWRXJWMWPWQWRUHZO
    XKWLWOXDWRXTPXCWLXJWKWLWPWSUIZOXCWOXJXQOXCXDXGUJBDAULUMQXKWQXLXAHIZXCWQXJWM
    WPWQWRUNZOXKWKWNXGWQYCPXCWKXJXPOXCWNXJWMWNWOWSUOZOXCXDXGUPACDUQUMQURUSXCXHX
    BXDXCXHGWTLXAHXCWTLHIZXHXCYFWTLRZXCWKALRZWLBLRZYGXPXCALHIZYHXCACLXPYELEFXCU
    TVBZYDXCWNCLVLIYECVATVCXCWKYJYHPXPWKYJALAVDSTQZYBXCBLHIZYIXCBDLYBXQYKYAXCWO
    DLVLIXQDVATVCXCWLYMYIPYBWLYMBLBVDSTQZABVEVFXCXMYFYGPXNXMYFWTLWTVDSTVGOXHXCX
    ACLJKZLDLCJVHXCWNCNRZYOLMYEXCNCHIZYPXCNACNEFXCVIVBZXPYEXCWKNAVLIXPAVJTYDVKX
    CWNYQYPPYEWNYQCNCVMSTQZCVNUFVOVPVQXCXIXBXDXCXIXBXCXBDNXCDNRZXBWCZXCNDHIZYTX
    CNBDYRYBXQXCWLNBVLIYBBVJTYAVKXCWOUUBYTPXQWOUUBDNDVMSTQZVRVSVTVQXCXGXHXIWDZX
    DXCWOUUDXQDWAWBOWEXCXEXBXCXBALXCYHUUAYLVRVSVTXCXFGWTNXAHXFXCWTNBJKZNANBJWFX
    CWLYIUUENMYBYNBWGUFVOXCNXAHIZXFXCUUFXANRZXCWNYPWOYTUUGYEYSXQUUCCDWHVFXCXRUU
    FUUGPXSXRUUFXANXAVMSTVGOWIXCWKXDXEXFWDXPAWAWBWEWJ $.

  $( Extended real version of ~ subge0 .  (Contributed by Mario Carneiro,
     24-Aug-2015.) $)
  xsubge0 $p |- ( ( A e. RR* /\ B e. RR* ) ->
      ( 0 <_ ( A +e -e B ) <-> B <_ A ) ) $=
    ( cxr wcel cpnf wceq cmnf cc0 cxne co cle wbr wb wa adantl breq2d breqtrrid
    cxad eqtrdi 3bitr4d cr w3o elxr 0xr rexr xnegcl xaddcl sylan2 simpr xleadd1
    mp3an2i xaddid2 syl xnpcan breq12d bitrd pnfxr xrletri3 mpan2 wne wn mnflt0
    clt mnfxr xrltnle mp2an mpbi xaddmnf1 mtbiri ex necon4ad 0le0 oveq1 impbid1
    pnfaddmnf pnfge biantrurd adantr xnegeq xnegpnf oveq2d mnfaddpnf pm2.61dane
    breq1 0lepnf xaddpnf1 mnfle 2thd xnegmnf 3jaodan sylan2b ) BCDZACDZBUADZBEF
    ZBGFZUBHABIZRJZKLZBAKLZMZBUCWMWNXAWOWPWMWNNZWSHBRJZWRBRJZKLZWTHCDZXBWRCDZWN
    WSXEMUDWNWMWLXGBUEZWLWMWQCDXGBUFAWQUGUHUHWMWNUIHWRBUJUKXBXCBXDAKXBWLXCBFWNW
    LWMXHOBULUMABUNUOUPWMWONZHAGRJZKLZEAKLZWSWTWMXKXLMWOWMAEFZAEKLZXLNZXKXLWMEC
    DXMXOMUQAEURUSWMXKXMWMXKAEWMAEUTZXKVAWMXPNZXKHGKLZGHVCLZXRVAZVBGCDXFXSXTMVD
    UDGHVEVFVGXQXJGHKAVHPVIVJVKXMHHXJKVLXMXJEGRJHAEGRVMVOSQVNWMXNXLAVPVQTVRXIWR
    XJHKXIWQGARWOWQGFWMWOWQEIGBEVSVTSOWAPWOWTXLMWMBEAKWDOTWMWPNZHAERJZKLZGAKLZW
    SWTWMYCYDMWPWMYCYDWMYCAGWMAGFZNHHYBKVLYEYBHFWMYEYBGERJHAGERVMWBSOQWMAGUTNHE
    YBKWEAWFQWCAWGWHVRYAWRYBHKYAWQEARWPWQEFWMWPWQGIEBGVSWISOWAPWPWTYDMWMBGAKWDO
    TWJWK $.

  $( Extended real version of ~ posdif .  (Contributed by Mario Carneiro,
     24-Aug-2015.) $)
  xposdif $p |- ( ( A e. RR* /\ B e. RR* ) ->
      ( A < B <-> 0 < ( B +e -e A ) ) ) $=
    ( cxr wcel wa cxne cxad co cc0 clt wbr wb xnegcl xaddcl sylan2 xlt0neg1 cle
    wn xrltnle wceq syl xsubge0 notbid 0xr sylancl 3bitr4d xnegdi oveq2d adantl
    xnegneg xaddcom sylan 3eqtrd breq2d 3bitr3d ) ACDZBCDZEZABFZGHZIJKZIUTFZJKZ
    ABJKZIBAFZGHZJKURUTCDZVAVCLUQUPUSCDZVGBMZAUSNOZUTPUAURIUTQKZRZBAQKZRVAVDURV
    KVMABUBUCURVGICDVAVLLVJUDUTISUEABSUFURVBVFIJURVBVEUSFZGHZVEBGHZVFUQUPVHVBVO
    TVIAUSUGOUQVOVPTUPUQVNBVEGBUJUHUIUPVECDUQVPVFTAMVEBUKULUMUNUO $.

  $( Under certain conditions, the conclusion of ~ lesubadd is true even in the
     extended reals.  (Contributed by Mario Carneiro, 4-Sep-2015.) $)
  xlesubadd $p |- ( ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\
                      ( 0 <_ A /\ B =/= -oo /\ 0 <_ C ) ) ->
                    ( ( A +e -e B ) <_ C <-> A <_ ( C +e B ) ) ) $=
    ( cxr wcel cc0 cle wbr cmnf wne wa cxad co cpnf wceq syl syl2anc syl5ibrcom
    wb breq1d w3a cxne simpl1 simpl2 xnegcl xaddcl adantr simpll3 simpr xleadd1
    cr syl3anc xnpcan sylan bitrd simpr3 oveq1 pnfaddmnf eqtrdi xaddmnf1 simpl3
    wi mnfle breq1 syld pm2.61dne pnfge ge0nemnf xaddpnf1 breqtrrd 2thd xnegpnf
    ex xnegeq oveq2d oveq2 breq2d bibi12d imp simpr2 jca xrnemnf sylib mpjaodan
    wo ) ADEZBDEZCDEZUAZFAGHZBIJZFCGHZUAZKZBUKEZABUBZLMZCGHZACBLMZGHZSZBNOZWNWO
    KZWRWQBLMZWSGHZWTXCWQDEZWHWOWRXESWNXFWOWNWFWPDEZXFWFWGWHWMUCZWNWGXGWFWGWHWM
    UDZBUEPAWPUFQUGWFWGWHWMWOUHWNWOUIWQCBUJULXCXDAWSGWNWFWOXDAOXHABUMUNTUOWNXBX
    AWNXAXBAILMZCGHZACNLMZGHZSWNXKXMWNXKANWNXKANOZWLWIWJWKWLUPZXNXJFCGXNXJNILMF
    ANILUQURUSTRWNANJZXJIOZXKWNWFXPXQVBXHWFXPXQAUTVMPWNXKXQICGHZWNWHXRWFWGWHWMV
    AZCVCPXJICGVDRVEVFWNANXLGWNWFANGHXHAVGPWNWHCIJZXLNOXSWNWHWLXTXSXOCVHQCVIQVJ
    VKXBWRXKWTXMXBWQXJCGXBWPIALXBWPNUBIBNVNVLUSVOTXBWSXLAGBNCLVPVQVRRVSWNWGWKKW
    OXBWEWNWGWKXIWIWJWKWLVTWABWBWCWD $.

  $( Lemma for ~ rexmul .  (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  xmullem $p |- ( ( ( ( ( A e. RR* /\ B e. RR* ) /\ -. ( A = 0 \/ B = 0 ) )
   /\ -. ( ( ( 0 < B /\ A = +oo ) \/ ( B < 0 /\ A = -oo ) ) \/
           ( ( 0 < A /\ B = +oo ) \/ ( A < 0 /\ B = -oo ) ) ) )
   /\ -. ( ( ( 0 < B /\ A = -oo ) \/ ( B < 0 /\ A = +oo ) ) \/
           ( ( 0 < A /\ B = -oo ) \/ ( A < 0 /\ B = +oo ) ) ) ) -> A e. RR ) $=
    ( cxr wcel wa cc0 wceq wo clt wbr cpnf cmnf ioran anbi12i bitri w3o pm2.21d
    wn adantl expdimp anbi2i simplll elxr sylib idd simprlr simplrr imp simpllr
    cr wi 0xr wor xrltso solin mpan sylancl mpjao3dan simprll 3jaod mpd syl2anb
    anassrs ) ACDZBCDZEZAFGZBFGZHRZEZFBIJZAKGZEZBFIJZALGZEZHZFAIJZBKGZEZAFIJZBL
    GZEZHZHRZVKVOEZVNVLEZHZVRWBEZWAVSEZHZHRZAUJDZVJVFVGRZVHRZEZEZVMRZVPRZEZVTRW
    CREZEZWFRZWGRZEZWIRWJREZEZEZWMWEWLEVIWPVFVGVHMUAWEXBWLXGWEVQRZWDRZEXBVQWDMX
    IWTXJXAVMVPMVTWCMNOWLWHRZWKRZEXGWHWKMXKXEXLXFWFWGMWIWJMNONWQXHEZWMVLVOPZWMX
    MVDXNVDVEWPXHUBAUCUDXMWMWMVLVOXMWMUEXMVNVLWMUKZVHVKXMVNVLWMXMWGWMXHXDWQXBXC
    XDXFUFSQTXMVHXOXMVHXOVFWNWOXHUGZQUHXMVKVLWMXMVMWMXHWRWQWRWSXAXGUBSQTXMVEFCD
    ZVNVHVKPZVDVEWPXHUIULCIUMVEXQEXRUNCBFIUOUPUQZURXMVNVOWMUKZVHVKXMVNVOWMXMVPW
    MXHWSWQWRWSXAXGUISQTXMVHXTXMVHXTXPQUHXMVKVOWMXMWFWMXHXCWQXBXCXDXFUSSQTXSURU
    TVAVBVC $.

  $( Lemma for ~ xmulneg1 .  (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  xmullem2 $p |- ( ( A e. RR* /\ B e. RR* ) ->
       ( ( ( ( 0 < B /\ A = +oo ) \/ ( B < 0 /\ A = -oo ) ) \/
           ( ( 0 < A /\ B = +oo ) \/ ( A < 0 /\ B = -oo ) ) ) ->
      -. ( ( ( 0 < B /\ A = -oo ) \/ ( B < 0 /\ A = +oo ) ) \/
           ( ( 0 < A /\ B = -oo ) \/ ( A < 0 /\ B = +oo ) ) ) ) ) $=
    ( wa cc0 clt wbr cpnf wceq wo cmnf wn wi con2i adantl 0xr mtbiri adantr a1i
    jaod syl6ibr cxr wcel wne mnfnepnf eqeq1 necon3bbid mpbiri ax-mp breq2 jaoi
    nltmnf simpr xrltnsym sylancl adantrd ianor orcom bitri con2d pnfnlt breq1d
    orim12d adantld breq1 jcad ioran pnfnemnf simpl or4 3imtr4g ) AUAUBZBUAUBZC
    ZDBEFZAGHZCZDAEFZBGHZCZIZBDEFZAJHZCZADEFZBJHZCZIZIZVNWBCZWAVOCZIZKZVQWECZWD
    VRCZIZKZCVPWCIVSWFIIWKWOIKVMWHWLWPVMWHWIKZWJKZCWLVMWHWQWRVMWHWBKZVNKZIZWQVM
    VTWSWGWTVTWSLVMVPWSVSVOWSVNWBVOWBVOKZJGUCUDWBVOJGAJGUEUFUGZMNVQWSVRWBVQWBVQ
    DJEFZDUAUBZXDKODUKUHZAJDEUIPZMQUJRVMWCWTWFVMWAWTWBVMVLXEWAWTLVKVLULOBDUMUNZ
    UOWFWTLVMWEWTWDWEVNXDXFBJDEUIPZNRSVBWQWTWSIXAVNWBUPWTWSUQURTVMWHWAKZXBIWRVM
    VTXJWGXBVMVPXJVSVMVNXJVOVMWAVNXHUSUOVSXJLVMVSWAGDEFZXEXKKODUTUHZVSBGDEVQVRU
    LVAPRSVMWCXBWFVMWBXBWAWBXBLVMXCRVCWFXBLVMWDXBWEVOWDVOWDXKXLAGDEVDPZMQRSVBWA
    VOUPTVEWIWJVFTVMWHWMKZWNKZCWPVMWHXNXOVMWHWEKZVQKZIZXNVMVTXPWGXQVMVPXPVSVPXP
    LVMVNXPVOWEVNXIMQRVSXPLVMVRXPVQVRXPGJUCVGVRWEGJBGJUEUFUGZNRSVMWCXQWFWCXQLVM
    WBXQWAXGNRVMWDXQWEVMVKXEWDXQLVKVLVHOADUMUNZUOSVBXNXQXPIXRVQWEUPXQXPUQURTVMW
    HWDKZVRKZIXOVMVTYAWGYBVMVPYAVSVPYALVMVOYAVNXMNRVMVQYAVRVMWDVQXTUSUOSWGYBLVM
    WCYBWFWAYBWBVRWAVRWAXKXLBGDEVDPMQWEYBWDVRWEXSMNUJRVBWDVRUPTVEWMWNVFTVEVPWCV
    SWFVIWKWOVFVJ $.

  $( Extended real multiplication is commutative.  (Contributed by Mario
     Carneiro, 20-Aug-2015.) $)
  xmulcom $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A *e B ) = ( B *e A ) ) $=
    ( wcel wa cc0 wceq wo clt wbr cpnf cmnf co wn orcom notbii ifeq2da wb ifbid
    cif a1i cmul cxmu xmullem recnd ancom anbi12i syl2anb mulcomd eqtrd xmulval
    cxr cr ancoms 3eqtr4d ) AUKCZBUKCZDZAEFZBEFZGZEEBHIZAJFZDBEHIZAKFZDGZEAHIZB
    JFZDAEHIZBKFZDGZGZJVAVDDVCVBDGZVFVIDVHVGDGZGZKABUALZSZSZSZUSURGZEVJVEGZJVMV
    LGZKBAUALZSZSZSZABUBLBAUBLZUQVRUTEWDSWEUQUTVQWDEUQUTMZDZVQVKJWCSWDWHVKVPWCJ
    WHVKMZDZVPVNKWBSWCWJVNVOWBKWJVNMZDZABWLAABUCUDWLBWJUPUODZVSMZDZVTMZDWAMBULC
    WKWHWOWIWPUQWMWGWNUOUPUEUTVSURUSNZOUFVKVTVEVJNZOUFVNWAVLVMNZOBAUCUGUDUHPWJV
    NWAKWBVNWAQWJWSTRUIPWHVKVTJWCVKVTQWHWRTRUIPUQUTVSEWDUTVSQUQWQTRUIABUJUPUOWF
    WEFBAUJUMUN $.

  $( Extended real version of ~ mul01 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xmul01 $p |- ( A e. RR* -> ( A *e 0 ) = 0 ) $=
    ( cxr wcel cc0 cxmu co wceq wo clt wbr cpnf cmnf cmul cif 0xr xmulval mpan2
    wa eqid olci iftruei eqtrdi ) ABCZADEFZADGZDDGZHZDDDIJZAKGRZUHALGRZHDAIJZDK
    GZRADIJZDLGZRHHKUJUIHUKUNRUMULRHHLADMFNNZNZDUCDBCUDUPGOADPQUGDUOUFUEDSTUAUB
    $.

  $( Extended real version of ~ mul02 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xmul02 $p |- ( A e. RR* -> ( 0 *e A ) = 0 ) $=
    ( cxr wcel cc0 cxmu co wceq 0xr xmulcom mpan xmul01 eqtrd ) ABCZDAEFZADEFZD
    DBCMNOGHDAIJAKL $.

  $( Extended real version of ~ mulneg1 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xmulneg1 $p |- ( ( A e. RR* /\ B e. RR* ) ->
      ( -e A *e B ) = -e ( A *e B ) ) $=
    ( cxr wcel wa cxne cc0 wceq wo clt wbr cpnf co cif wb wn orbi12d xnegeq syl
    cmnf cmul xneg0 eqeq2i 0xr xneg11 mpan2 bitr3id adantr orbi1d ifbid xnegpnf
    simpll pnfxr sylancl anbi2d xnegmnf mnfxr xlt0neg1 ad2antrr bicomd xlt0neg2
    anbi1d orcom bitrdi biimpar iftrued wi xmullem2 notbid sylibrd imp iffalsed
    cxmu iftrue adantl eqtrdi 3eqtr4d con2d eqtrd adantlr iffalse ad2antlr cneg
    eqtr4d xmullem recnd cr ancom notbii anbi12i syl2anb mulneg1d rexneg oveq1d
    remulcld pm2.61dan ifeq2da ifsb eqtr4di xnegcl xmulval sylan ) ACDZBCDZEZAF
    ZGHZBGHZIZGGBJKZXFLHZEZBGJKZXFTHZEZIZGXFJKZBLHZEZXFGJKZBTHZEZIZIZLXJXNEZXMX
    KEZIZXQYAEZXTXREZIZIZTXFBUAMZNZNZNZAGHZXHIZGXJALHZEZXMATHZEZIZGAJKZXREZAGJK
    ZYAEZIZIZLXJYTEZXMYREZIZUUCYAEZUUEXREZIZIZTABUAMZNZNZNZFZXFBVMMZABVMMZFZXEY
    OYQGUURFZNZUUTXEYOYQGYNNUVEXEXIYQGYNXEXGYPXHXCXGYPOXDXGXFGFZHZXCYPUVFGXFUBU
    CXCGCDUVGYPOUDAGUEUFUGUHUIUJXEYQYNUVDGXEYQPZEZUUHYNUVDHZUVIUUHEZYMTYNUVDUVK
    YKTYLUVIYKUUHUVIYGUUBYJUUGUVIYEYSYFUUAUVIXNYRXJXNXFLFZHZUVIYRUVLTXFUKUCUVIX
    CLCDUVMYROXCXDUVHULZUMALUEUNUGZUOUVIXKYTXMXKXFTFZHZUVIYTUVPLXFUPUCUVIXCTCDU
    VQYTOUVNUQATUEUNUGZUOQUVIYJUUFUUDIUUGUVIYHUUFYIUUDUVIXQUUEYAUVIUUEXQXCUUEXQ
    OXDUVHAURUSUTZVBUVIXTUUCXRUVIUUCXTXCUUCXTOXDUVHAVAUSUTZVBQUUFUUDVCVDQZVEVFU
    VKYDLYMUVIUUHYDPZUVIUUHUUOPZUWBXEUUHUWCVGUVHABVHUHZUVIYDUUOUVIXPUUKYCUUNUVI
    XLUUIXOUUJUVIXKYTXJUVRUOUVIXNYRXMUVOUOQUVIYCUUMUULIUUNUVIXSUUMYBUULUVIXQUUE
    XRUVSVBUVIXTUUCYAUVTVBQUUMUULVCVDQZVIZVJVKVLUVKUVDUVLTUVKUURLHZUVDUVLHUUHUW
    GUVIUUHLUUQVNVOUURLRSUKVPVQUVIUUHPZEZUUOUVJUVIUUOUVJUWHUVIUUOEZYNLUVDUWJYDL
    YMUVIYDUUOUWEVEVFUWJUVDUVPLUWJUURTHUVDUVPHUWJUURUUQTUWJUUHLUUQUVIUUOUWHUVIU
    UHUUOUWDVRVKVLUUOUUQTHUVIUUOTUUPVNVOVSUURTRSUPVPWDVTUWIUWCEZYMYLYNUVDUWKYKT
    YLUWIYKPZUWCUVIUWLUWHUVIYKUUHUWAVIVEUHVLUWKYDLYMUVIUWCUWBUWHUVIUWBUWCUWFVEV
    TVLUWKUVDUUPFZYLUWKUURUUPHUVDUWMHUWKUURUUQUUPUWHUURUUQHUVIUWCUUHLUUQWAWBUWC
    UUQUUPHUWIUUOTUUPWAVOVSUURUUPRSUWKAWCZBUAMUUPWCZYLUWMUWKABUWKAABWEZWFUWKBUW
    IXDXCEZXHYPIZPZEZUUGUUBIZPZEUUNUUKIZPBWGDUWCUVIUWTUWHUXBXEUWQUVHUWSXCXDWHYQ
    UWRYPXHVCWIWJUUHUXAUUBUUGVCWIWJUUOUXCUUKUUNVCWIBAWEWKZWFWLUWKXFUWNBUAUWKAWG
    DXFUWNHUWPAWMSWNUWKUUPWGDUWMUWOHUWKABUWPUXDWOUUPWMSVQWDVQWPWPWQVSYQGUURUUTG
    UVDUUSGHUUTUVFGUUSGRUBVPUUSUURRWRWSXCXFCDXDUVAYOHAWTXFBXAXBXEUVBUUSHUVCUUTH
    ABXAUVBUUSRSVQ $.

  $( Extended real version of ~ mulneg2 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xmulneg2 $p |- ( ( A e. RR* /\ B e. RR* ) ->
      ( A *e -e B ) = -e ( A *e B ) ) $=
    ( cxr wcel wa cxne cxmu co xmulneg1 ancoms xnegcl xmulcom sylan2 xnegeq syl
    wceq 3eqtr4d ) ACDZBCDZEZBFZAGHZBAGHZFZAUAGHZABGHZFZSRUBUDPBAIJSRUACDUEUBPB
    KAUALMTUFUCPUGUDPABLUFUCNOQ $.

  $( The extended real multiplication when both arguments are real.
     (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  rexmul $p |- ( ( A e. RR /\ B e. RR ) -> ( A *e B ) = ( A x. B ) ) $=
    ( cr wcel wa cc0 wceq clt wbr cpnf cmnf cmul cif wne adantr necon2bi adantl
    wo co jaoi cxmu wn renepnf renemnf con2i iffalsed eqtrd ifeq2d rexr xmulval
    cxr syl2an ifid oveq1 mul02lem2 sylan9eqr oveq2 recn mul01d ifeq1da eqtr3id
    jaodan 3eqtr4d ) ACDZBCDZEZAFGZBFGZRZFFBHIZAJGZEZBFHIZAKGZEZRZFAHIZBJGZEZAF
    HIZBKGZEZRZRZJVJVNEZVMVKEZRZVQWAEZVTVREZRZRZKABLSZMZMZMZVIFWLMZABUASZWLVFVI
    WNWLFVFWNWMWLVFWDJWMWDVFVPVFUBZWCVLWRVOVKWRVJVFAJVDAJNVEAUCOPZQVNWRVMVFAKVD
    AKNVEAUDOPZQTVSWRWBVRWRVQVFBJVEBJNVDBUCQPZQWAWRVTVFBKVEBKNVDBUDQPZQTTUEUFVF
    WKKWLWKVFWGWRWJWEWRWFVNWRVJWTQVKWRVMWSQTWHWRWIWAWRVQXBQVRWRVTXAQTTUEUFUGUHV
    DAUKDBUKDWQWOGVEAUIBUIABUJULVFWLVIWLWLMWPVIWLUMVFVIWLFWLVFVGWLFGVHVGVFWLFBL
    SZFAFBLUNVEXCFGVDBUOQUPVHVFWLAFLSZFBFALUQVDXDFGVEVDAAURUSOUPVBUTVAVC $.

  ${
    $d x y $.
    $( The extended real multiplication operation is closed in extended reals.
       (Contributed by Mario Carneiro, 21-Aug-2015.) $)
    xmulf $p |- *e : ( RR* X. RR* ) --> RR* $=
      ( vx vy cv cc0 wceq wo clt wbr cpnf wa cmnf cif cxr wcel a1i orcom notbii
      wral wn ifclda cmul co cxp cxmu wf pnfxr mnfxr xmullem cr anbi12i syl2anb
      0xr ancom remulcld rexrd rgen2 df-xmul fmpo mpbi ) ACZDEZBCZDEZFZDDVBGHZU
      TIEZJVBDGHZUTKEZJFZDUTGHZVBIEZJUTDGHZVBKEZJFZFZIVEVHJVGVFJFZVJVMJVLVKJFZF
      ZKUTVBUAUBZLZLZLZMNZBMRAMRMMUCMUDUEWCABMMUTMNZVBMNZJZVDDWAMDMNWFVDJULOWFV
      DSZJZVOIVTMIMNWHVOJUFOWHVOSZJZVRKVSMKMNWJVRJUGOWJVRSZJZVSWLUTVBUTVBUHWJWE
      WDJZVCVAFZSZJZVNVIFZSZJVQVPFZSVBUINWKWHWPWIWRWFWMWGWOWDWEUMVDWNVAVCPQUJVO
      WQVIVNPQUJVRWSVPVQPQVBUTUHUKUNUOTTTUPABMMWBMUDABUQURUS $.
  $}

  $( Closure of extended real multiplication.  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xmulcl $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A *e B ) e. RR* ) $=
    ( cxr cxmu xmulf fovcl ) ABCCCDEF $.

  $( Multiplication by plus infinity on the right.  (Contributed by Mario
     Carneiro, 20-Aug-2015.) $)
  xmulpnf1 $p |- ( ( A e. RR* /\ 0 < A ) -> ( A *e +oo ) = +oo ) $=
    ( cxr wcel cc0 clt wbr wa cpnf cxmu co wceq wo cmnf cif pnfxr xmulval mpan2
    cmul adantr wne wn 0xr xrltne mp3an1 cr 0re renepnf necomi neanior sylanblc
    ax-mp iffalsed simpr eqid jctir orcd olcd iftrued 3eqtrd ) ABCZDAEFZGZAHIJZ
    ADKHDKLZDDHEFZAHKZGHDEFZAMKZGLZVAHHKZGZADEFZHMKZGZLZLZHVEVHGVGVFGLVAVMGVLVJ
    GLLMAHRJNZNZNZVRHUTVCVSKZVAUTHBCVTOAHPQSVBVDDVRVBADTZHDTVDUADBCUTVAWAUBDAUC
    UDDHDUECDHTUFDUGUKUHADHDUIUJULVBVPHVQVBVOVIVBVKVNVBVAVJUTVAUMHUNUOUPUQURUS
    $.

  $( Multiplication by plus infinity on the left.  (Contributed by Mario
     Carneiro, 20-Aug-2015.) $)
  xmulpnf2 $p |- ( ( A e. RR* /\ 0 < A ) -> ( +oo *e A ) = +oo ) $=
    ( cxr wcel cc0 clt wbr wa cpnf cxmu wceq pnfxr xmulcom mpan adantr xmulpnf1
    co eqtrd ) ABCZDAEFZGHAIPZAHIPZHRTUAJZSHBCRUBKHALMNAOQ $.

  $( Multiplication by minus infinity on the right.  (Contributed by Mario
     Carneiro, 20-Aug-2015.) $)
  xmulmnf1 $p |- ( ( A e. RR* /\ 0 < A ) -> ( A *e -oo ) = -oo ) $=
    ( cxr wcel cc0 clt wbr wa cmnf cxmu co cpnf cxne xnegpnf oveq2i simpl pnfxr
    wceq xmulneg2 sylancl xmulpnf1 xnegeq syl eqtrdi eqtrd eqtr3id ) ABCZDAEFZG
    ZAHIJAKLZIJZHUIHAIMNUHUJAKIJZLZHUHUFKBCUJULQUFUGOPAKRSUHULUIHUHUKKQULUIQATU
    KKUAUBMUCUDUE $.

  $( Multiplication by minus infinity on the left.  (Contributed by Mario
     Carneiro, 20-Aug-2015.) $)
  xmulmnf2 $p |- ( ( A e. RR* /\ 0 < A ) -> ( -oo *e A ) = -oo ) $=
    ( cxr wcel cc0 clt wbr wa cmnf cxmu wceq mnfxr xmulcom mpan adantr xmulmnf1
    co eqtrd ) ABCZDAEFZGHAIPZAHIPZHRTUAJZSHBCRUBKHALMNAOQ $.

  $( Multiplication by plus infinity on the right, for negative input.
     (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  xmulpnf1n $p |- ( ( A e. RR* /\ A < 0 ) -> ( A *e +oo ) = -oo ) $=
    ( cxr wcel cc0 clt wa cpnf cxmu cxne cmnf wceq simpl pnfxr xmulneg1 sylancl
    wbr co xnegcl xlt0neg1 biimpa xmulpnf1 syl2an2r eqtr3d xnegmnf xmulcl mnfxr
    eqtr4di wb xneg11 mpbid ) ABCZADEPZFZAGHQZIZJIZKZUNJKZUMUOGUPUMAIZGHQZUOGUM
    UKGBCZUTUOKUKULLZMAGNOUKUSBCULDUSEPZUTGKARUKULVCASTUSUAUBUCUDUGUMUNBCZJBCUQ
    URUHUMUKVAVDVBMAGUEOUFUNJUIOUJ $.

  $( Extended real version of ~ mulid1 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xmulid1 $p |- ( A e. RR* -> ( A *e 1 ) = A ) $=
    ( cxr wcel cr cpnf wceq cmnf w3o c1 cxmu elxr cmul 1re 1xr 0lt1 mp2an oveq1
    co id 3eqtr4a mpan2 ax-1rid eqtrd cc0 clt wbr xmulpnf2 xmulmnf2 3jaoi sylbi
    rexmul ) ABCADCZAEFZAGFZHAIJRZAFZAKULUPUMUNULUOAILRZAULIDCUOUQFMAIUKUAAUBUC
    UMEIJRZEUOAIBCZUDIUEUFZUREFNOIUGPAEIJQUMSTUNGIJRZGUOAUSUTVAGFNOIUHPAGIJQUNS
    TUIUJ $.

  $( Extended real version of ~ mulid2 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xmulid2 $p |- ( A e. RR* -> ( 1 *e A ) = A ) $=
    ( cxr wcel c1 cxmu co wceq 1xr xmulcom mpan xmulid1 eqtrd ) ABCZDAEFZADEFZA
    DBCMNOGHDAIJAKL $.

  $( Extended real version of ~ mulm1 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xmulm1 $p |- ( A e. RR* -> ( -u 1 *e A ) = -e A ) $=
    ( cxr wcel c1 cneg cxmu co cxne cr wceq 1re rexneg oveq1i 1xr xmulneg1 mpan
    ax-mp eqtr3id xmulid2 xnegeq syl eqtrd ) ABCZDEZAFGZDAFGZHZAHZUCUEDHZAFGZUG
    UIUDAFDICUIUDJKDLQMDBCUCUJUGJNDAOPRUCUFAJUGUHJASUFATUAUB $.

  $( Lemma for ~ xmulass .  (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  xmulasslem2 $p |- ( ( 0 < A /\ A = -oo ) -> ph ) $=
    ( cmnf wceq cc0 clt wbr breq2 cxr wn 0xr nltmnf ax-mp pm2.21i syl6bi impcom
    wcel ) BCDZEBFGZARSECFGZABCEFHTAEIQTJKELMNOP $.

  $( Extended real version of ~ mulgt0 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xmulgt0 $p |- ( ( ( A e. RR* /\ 0 < A ) /\ ( B e. RR* /\ 0 < B ) ) ->
      0 < ( A *e B ) ) $=
    ( cxr wcel cc0 clt wbr wa cr cxmu cpnf wceq cmnf simpr adantl 0ltpnf adantr
    co sylan sylan9eqr anim12i cmul mulgt0 ancoms rexmul breqtrrd anassrs oveq2
    an4s xmulpnf1 breqtrrid adantlr xmulasslem2 w3o simprl elxr sylib mpjao3dan
    simplrr oveq1 xmulpnf2 ad4ant24 simpll ) ACDZEAFGZHZBCDZEBFGZHZHZAIDZEABJRZ
    FGZAKLZAMLZVJVKHZBIDZVMBKLZBMLZVJVKVQVMVJVEVHHZVKVQHZVMVFVEVIVHVDVENVGVHNUA
    VTWAHEABUBRZVLFWAVTEWBFGZVKVEVQVHWCABUCUIUDWAVLWBLVTABUEOUFSUGVJVRVMVKVJVRH
    EKVLFPVRVJVLAKJRZKBKAJUHVFWDKLVIAUJQTUKULVPVHVSVMVFVGVHVKUSVMBUMSVJVQVRVSUN
    ZVKVJVGWEVFVGVHUOBUPUQQURVJVNHEKVLFPVNVJVLKBJRZKAKBJUTVIWFKLVFBVAOTUKVEVOVM
    VDVIVMAUMVBVJVDVKVNVOUNVDVEVIVCAUPUQUR $.

  $( Extended real version of ~ mulge0 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xmulge0 $p |- ( ( ( A e. RR* /\ 0 <_ A ) /\ ( B e. RR* /\ 0 <_ B ) ) ->
      0 <_ ( A *e B ) ) $=
    ( cxr wcel cc0 cle wbr wa clt cxmu co wceq 0xr adantr 0le0 eqcomd sylan9eqr
    wi breqtrrid wo xmulgt0 an4s xmulcl xrltle sylancr mpd ad2ant2r impl xmul01
    ex oveq2 ad2antrr adantlr wb xrleloe mpan biimpa ad2antlr mpjaodan ad2antrl
    oveq1 xmul02 ) ACDZEAFGZHZBCDZEBFGZHZHZEAIGZEABJKZFGZEALZVIVJHEBIGZVLEBLZVI
    VJVNVLVCVFVJVNHZVLRVDVGVCVFHZVPVLVQVPHZEVKIGZVLVCVJVFVNVSABUAUBVRECDZVKCDZV
    SVLRMVQWAVPABUCNEVKUDUEUFUJUGUHVIVOVLVJVIVOHEEVKFOVOVIVKAEJKZEVOWBVKEBAJUKP
    VCWBELVDVHAUIULQSUMVHVNVOTZVEVJVFVGWCVTVFVGWCUNMEBUOUPUQURUSVIVMHEEVKFOVMVI
    VKEBJKZEVMWDVKEABJVAPVFWDELVEVGBVBUTQSVEVJVMTZVHVCVDWEVTVCVDWEUNMEAUOUPUQNU
    S $.

  ${
    $d x D $.  $d x E $.  $d x F $.  $d x ph $.  $d x X $.  $d x Y $.
    xmulasslem.1 $e |- ( x = D -> ( ps <-> X = Y ) ) $.
    xmulasslem.2 $e |- ( x = -e D -> ( ps <-> E = F ) ) $.
    xmulasslem.x $e |- ( ph -> X e. RR* ) $.
    xmulasslem.y $e |- ( ph -> Y e. RR* ) $.
    xmulasslem.d $e |- ( ph -> D e. RR* ) $.
    xmulasslem.ps $e |- ( ( ph /\ ( x e. RR* /\ 0 < x ) ) -> ps ) $.
    xmulasslem.0 $e |- ( ph -> ( x = 0 -> ps ) ) $.
    xmulasslem.e $e |- ( ph -> E = -e X ) $.
    xmulasslem.f $e |- ( ph -> F = -e Y ) $.
    $( Lemma for ~ xmulass .  (Contributed by Mario Carneiro, 20-Aug-2015.) $)
    xmulasslem $p |- ( ph -> X = Y ) $=
      ( cc0 cxr wi clt wbr wceq w3o wcel 0xr wor xrltso solin mpan sylancl cxne
      wa wb xlt0neg1 syl xnegcl breq2 imbi12d imbi2d exp32 com12 vtoclga sylbid
      cv mpcom eqeq12d xneg11 syl2anc bitrd sylibd eqeq1 vtoclg 3jaod mpd ) ADR
      UAUBZDRUCZRDUAUBZUDZGHUCZADSUEZRSUEZVSMUFSUAUGWAWBUMVSUHSDRUAUIUJUKAVPVTV
      QVRAVPEFUCZVTAVPRDULZUAUBZWCAWAVPWEUNMDUOUPWDSUEZAWEWCTZAWAWFMDUQUPARCVEZ
      UAUBZBTZTZAWGTCWDSWHWDUCZWJWGAWLWIWEBWCWHWDRUAURJUSUTAWHSUEZWJAWMWIBNVAVB
      ZVCVFVDAWCGULZHULZUCZVTAEWOFWPPQVGAGSUEHSUEWQVTUNKLGHVHVIVJVKWAAVQVTTZMAW
      HRUCZBTZTAWRTCDSWHDUCZWTWRAXAWSVQBVTWHDRVLIUSUTOVMVFWAAVRVTTZMWKAXBTCDSXA
      WJXBAXAWIVRBVTWHDRUAURIUSUTWNVCVFVNVO $.
  $}

  $( Lemma for ~ xmulass .  (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  xmulasslem3 $p |- ( ( ( A e. RR* /\ 0 < A ) /\ ( B e. RR* /\ 0 < B ) /\
    ( C e. RR* /\ 0 < C ) ) -> ( ( A *e B ) *e C ) = ( A *e ( B *e C ) ) ) $=
    ( cxr wcel cc0 clt wa cr cxmu co wceq cpnf cmul rexmul sylan 3eqtr4d adantr
    wbr sylan9eqr w3a cmnf cc mulass syl3an 3expa remulcl sylan2 anassrs oveq1d
    adantll oveq2d simp1l simp2l xmulcl syl2anc xmulgt0 3adant3 xmulpnf1 simpl1
    recn oveq2 syl eqtr4d 3ad2ant2 adantlr simpl3r xmulasslem2 w3o simp3l sylib
    mpjao3dan xmulpnf2 3ad2ant3 3ad2ant1 oveq1 simpl2r simpl3 3adant1 simp1r
    elxr ) ADEZFAGSZHZBDEZFBGSZHZCDEZFCGSZHZUAZAIEZABJKZCJKZABCJKZJKZLZAMLZAUBL
    ZWKWLHZBIEZWQBMLZBUBLZWKWLXAWQWKWLXAHZHZCIEZWQCMLZCUBLZXDXFWQWKXDXFHZABNKZC
    JKZABCNKZJKZWNWPXIXJCNKZAXLNKZXKXMWLXAXFXNXOLZWLAUCEXABUCEXFCUCEXPAVABVACVA
    ABCUDUEUFXDXJIEXFXKXNLABUGXJCOPWLXAXFXMXOLZXAXFHWLXLIEXQBCUGAXLOUHUIQXIWMXJ
    CJXDWMXJLXFABORUJXIWOXLAJXAXFWOXLLWLBCOUKULQUKWKXGWQXDWKXGHZWNAMJKZWPXRWNMX
    SXGWKWNWMMJKZMCMWMJVBWKWMDEZFWMGSZXTMLWKWBWEYAWBWCWGWJUMZWDWEWFWJUNZABUOUPW
    DWGYBWJABUQURWMUSUPTXRWDXSMLZWDWGWJXGUTAUSZVCVDXRWOMAJXGWKWOBMJKZMCMBJVBWGW
    DYGMLWJBUSVETULVDVFXEWIXHWQWHWIWDWGXDVGWQCVHPWKXFXGXHVIZXDWKWHYHWDWGWHWIVJZ
    CWAVKRVLUIWKXBWQWLWKXBHZMCJKZXSWNWPWKYKXSLXBWKYKMXSWJWDYKMLZWGCVMZVNZWDWGYE
    WJYFVOZVDRYJWMMCJXBWKWMXSMBMAJVBYOTUJYJWOMAJXBWKWOYKMBMCJVPYNTULQVFWTWFXCWQ
    WEWFWDWJWLVQWQBVHPWKXAXBXCVIZWLWKWEYPYDBWAVKRVLWKWRHZYKMWNWPYQWJYLWDWGWJWRV
    RYMVCYQWMMCJWRWKWMMBJKZMAMBJVPWGWDYRMLWJBVMVETUJWRWKWPMWOJKZMAMWOJVPWKWODEZ
    FWOGSZYSMLWKWEWHYTYDYIBCUOUPWGWJUUAWDBCUQVSWOVMUPTQWKWCWSWQWBWCWGWJVTWQAVHP
    WKWBWLWRWSVIYCAWAVKVL $.

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    $( Associativity of the extended real multiplication operation.
       Surprisingly, there are no restrictions on the values, unlike ~ xaddass
       which has to avoid the "undefined" combinations ` +oo +e -oo ` and
       ` -oo +e +oo ` .  The equivalent "undefined" expression here would be
       ` 0 *e +oo ` , but since this is defined to equal ` 0 ` any zeroes in
       the expression make the whole thing evaluate to zero (on both sides),
       thus establishing the identity in this case.  (Contributed by Mario
       Carneiro, 20-Aug-2015.) $)
    xmulass $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
      ( ( A *e B ) *e C ) = ( A *e ( B *e C ) ) ) $=
      ( cxr wcel cxmu co wceq cxne oveq1 oveq1d eqeq12d xmulcl syl2anc wa oveq2
      cc0 oveq2d xmulneg2 xmulneg1 vx vy vz w3a cv stoic3 simp1 3adant1 clt wbr
      simprl simpl2 simpl3 adantr xmulasslem3 ad4ant234 syl ad2antrl syl5ibrcom
      xmul01 eqtr4d eqtrd xmulasslem xmul02 3ad2ant3 3eqtr4d 3ad2ant2 3adant3 )
      ADEZBDEZCDEZUDZUAUEZBFGZCFGZVMBCFGZFGZHZUAAAIZBFGZCFGZVSVPFGZABFGZCFGZAVP
      FGZVMAHZVOWDVQWEWFVNWCCFVMABFJKVMAVPFJLVMVSHZVOWAVQWBWGVNVTCFVMVSBFJKVMVS
      VPFJLVIVJWCDEZVKWDDEABMZWCCMUFVLVIVPDEZWEDEVIVJVKUGZVJVKWJVIBCMUHZAVPMNWK
      VLVMDEZQVMUIUJZOZOZVMUBUEZFGZCFGZVMWQCFGZFGZHZUBBVMBIZFGZCFGZVMXCCFGZFGZV
      OVQWQBHZWSVOXAVQXHWRVNCFWQBVMFPKXHWTVPVMFWQBCFJRLWQXCHZWSXEXAXGXIWRXDCFWQ
      XCVMFPKXIWTXFVMFWQXCCFJRLWPVNDEZVKVODEWPWMVJXJVLWMWNUKZVIVJVKWOULZVMBMNZV
      IVJVKWOUMZVNCMNWPWMWJVQDEXKVLWJWOWLUNZVMVPMNXLWPWQDEZQWQUIUJZOZOZWRUCUEZF
      GZVMWQXTFGZFGZHZUCCWRCIZFGZVMWQYEFGZFGZWSXAXTCHZYAWSYCXAXTCWRFPYIYBWTVMFX
      TCWQFPRLXTYEHZYAYFYCYHXTYEWRFPYJYBYGVMFXTYEWQFPRLXSWRDEZVKWSDEXSWMXPYKWPW
      MXRXKUNZWPXPXQUKZVMWQMNZWPVKXRXNUNZWRCMNXSWMWTDEZXADEYLXSXPVKYPYMYOWQCMNZ
      VMWTMNYOWOXRXTDEQXTUIUJOYDVLVMWQXTUOUPXSYDXTQHZWRQFGZVMWQQFGZFGZHXSYSVMQF
      GZUUAXSYSQUUBXSYKYSQHYNWRUTUQXSWMUUBQHZYLVMUTZUQVAXSYTQVMFXPYTQHWPXQWQUTU
      RRVAYRYAYSYCUUAXTQWRFPYRYBYTVMFXTQWQFPRLUSXSYKVKYFWSIHYNYOWRCSNXSYHVMWTIZ
      FGZXAIZXSYGUUEVMFXSXPVKYGUUEHYMYOWQCSNRXSWMYPUUFUUGHYLYQVMWTSNVBVCWPXBWQQ
      HZUUBCFGZVMQCFGZFGZHWPUUJUUBUUIUUKWPUUJQUUBVLUUJQHZWOVKVIUULVJCVDVEZUNZWM
      UUCVLWNUUDURZVAWPUUBQCFUUOKWPUUJQVMFUUNRVFUUHWSUUIXAUUKUUHWRUUBCFWQQVMFPK
      UUHWTUUJVMFWQQCFJRLUSWPXEVNIZCFGZVOIZWPXDUUPCFWPWMVJXDUUPHXKXLVMBSNKWPXJV
      KUUQUURHXMXNVNCTNVBWPXGVMVPIZFGZVQIZWPXFUUSVMFWPVJVKXFUUSHXLXNBCTNRWPWMWJ
      UUTUVAHXKXOVMVPSNVBVCVLVRVMQHZQBFGZCFGZQVPFGZHVLUUJQUVDUVEUUMVLUVCQCFVJVI
      UVCQHVKBVDVGKVLWJUVEQHWLVPVDUQVFUVBVOUVDVQUVEUVBVNUVCCFVMQBFJKVMQVPFJLUSV
      LWAWCIZCFGZWDIZVLVTUVFCFVIVJVTUVFHVKABTVHKVIVJWHVKUVGUVHHWIWCCTUFVBVLVIWJ
      WBWEIHWKWLAVPTNVC $.
  $}

  $( Extended real version of ~ lemul1a .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xlemul1a $p |- ( ( ( A e. RR* /\ B e. RR* /\ ( C e. RR* /\ 0 <_ C ) ) /\
    A <_ B ) -> ( A *e C ) <_ ( B *e C ) ) $=
    ( cxr wcel cc0 cle wbr wa cxmu co clt wceq cpnf adantr syl eqbrtrd ad2antrr
    cmnf ax-mp w3a wi wo wb 0xr simpr xrleloe sylancr cr w3o simpllr elxr sylib
    cmul simplrr simprll simprlr simprr simplrl lemul1 syl112anc rexmul syl2anc
    mpbid 3brtr4d expr simprl 0re lttri4 sylancl simplll xmulpnf1n sylan xmulcl
    pnfxr mnfle oveq1 xmul02 eqtrdi adantl breq1 syl5ibcom leloe pnfge xmulpnf1
    ex sylibd breqtrrid xrleid breqtrri oveq1d jaodan syldan ltletr mp3an1 impr
    imp breqtrid mpan2d breq12d mpbiri 3jaod mpd oveq2 syl5ibrcom nltmnf mtbiri
    wn breq2 con2i ad2antrl pm2.21d anassrs adantlr xmulpnf2 ad2ant2lr breqtrrd
    sylan9eqr xrletri3 ad3antrrr mpbir2and mpjao3dan xmulmnf2 exp32 xmul01 a1dd
    adantll ad2antlr jaod sylbid expimpd 3impia ) ADEZBDEZCDEZFCGHZIZUAABGHZACJ
    KZBCJKZGHZYMYNYQYRUUAUBZYMYNIZYOYPUUBUUCYOIZYPFCLHZFCMZUCZUUBUUDFDEZYOYPUUG
    UDUEUUCYOUFFCUGUHUUDUUEUUBUUFUUDUUEYRUUAUUDUUEYRIZIZAUIEZUUAANMZASMZUUJUUKI
    BUIEZUUABNMZBSMZUUJUUKUUNUUAUUJUUKUUNIZIZCUIEZCNMZCSMZUJZUUAUURYOUVBUUCYOUU
    IUUQUKCULUMUURUUSUUAUUTUVAUUJUUQUUSUUAUUJUUQUUSIZIZACUNKZBCUNKZYSYTGUVDYRUV
    EUVFGHZUUDUUEYRUVCUOUVDUUKUUNUUSUUEYRUVGUDUUJUUKUUNUUSUPZUUJUUKUUNUUSUQZUUJ
    UUQUUSURZUUDUUEYRUVCUSABCUTVAVDUVDUUKUUSYSUVEMUVHUVJACVBVCUVDUUNUUSYTUVFMUV
    IUVJBCVBVCVEVFUURUUAUUTANJKZBNJKZGHZUURAFLHZAFMZFALHZUJZUVMUURUUKFUIEZUVQUU
    JUUKUUNVGVHAFVIVJUURUVNUVMUVOUVPUURUVNUVMUURUVNIZUVKSUVLGUURYMUVNUVKSMUUJYM
    UUQYMYNYOUUIVKZOAVLVMUVSUVLDEZSUVLGHUVSYNNDEZUWAUURYNUVNUUJYNUUQYMYNYOUUIUK
    ZOZOVOBNVNVJUVLVPPQWFUURUVOUVMUURUVOIUVKFUVLGUVOUVKFMUURUVOUVKFNJKZFAFNJVQU
    WBUWEFMVONVRTZVSVTUURUVOFBLHZFBMZUCZFUVLGHZUURUVOUWIUURUVOFBGHZUWIUURYRUVOU
    WKUUDUUEYRUUQUOZAFBGWAWBUURUVRUUNUWKUWIUDVHUUJUUKUUNURFBWCUHWGWQUURUWGUWJUW
    HUURUWGIFNUVLGUUHFNGHUEFWDTUURYNUWGUVLNMZUWDBWEZVMWHUURUWHIZFUWEUVLGFFUWEGU
    UHFFGHZUEFWITZUWFWJUWOFBNJUURUWHUFWKWRWLWMQWFUUJUUQUVPUVMUUJUUQUVPIZIZUVMNN
    GHZUWBUWTVONWDTUWSUVKNUVLNGUWSYMUVPUVKNMUUJYMUWRUVTOUUJUUQUVPURAWEVCUWSYNUW
    GUWMUUJYNUWRUWCOUUJUUQUVPUWGUURUVPYRUWGUWLUUQUVPYRIUWGUBZUUJUVRUUKUUNUXAVHF
    ABWNWOVTWSWPUWNVCWTXAVFXBXCUUTYSUVKYTUVLGCNAJXDCNBJXDWTXEUURUVAUUAUUJUVAXHZ
    UUQUUEUXBUUDYRUVAUUEUVAUUEFSLHZUUHUXCXHUEFXFTCSFLXIXGXJXKOXLXBXCXMUUJUUOUUA
    UUKUUJUUOIZYSNYTGUXDYSDEZYSNGHUUDUXEUUIUUOYMYOUXEYNACVNXNRYSWDPUUOUUJYTNCJK
    ZNBNCJVQYOUUEUXFNMUUCYRCXOXPXRXQXNUUJUUPUUAUUKUUJUUPIZYSYTYTGUXGABCJUXGABMZ
    YRBAGHZUUDUUEYRUUPUOUXGBSAGUUJUUPUFUXGYMSAGHUUJYMUUPUVTOAVPPQUUCUXHYRUXIIUD
    ZYOUUIUUPABXSZXTYAWKUXGYTDEZYTYTGHZUUDUXLUUIUUPYNYOUXLYMBCVNYGZRYTWIZPQXNUU
    JUUNUUOUUPUJZUUKUUJYNUXPUWCBULUMOYBUUJUULIZYSYTYTGUXQABCJUXQUXHYRUXIUUDUUEY
    RUULUOUXQBNAGUXQYNBNGHUUJYNUULUWCOBWDPUUJUULUFXQUUCUXJYOUUIUULUXKXTYAWKUUDU
    XMUUIUULUUDUXLUXMUXNUXOPRQUUJUUMIZYSSYTGUUMUUJYSSCJKZSASCJVQYOUUEUXSSMUUCYR
    CYCXPXRUXRUXLSYTGHUUDUXLUUIUUMUXNRYTVPPQUUJYMUUKUULUUMUJUVTAULUMYBYDUUDUUFU
    UAYRUUDAFJKZBFJKZGHZUUFUUAUUDUYBUWPUWQUUDUXTFUYAFGYMUXTFMYNYOAYERYNUYAFMYMY
    OBYEYHWTXAUUFUXTYSUYAYTGFCAJXDFCBJXDWTWBYFYIYJYKYLWQ $.

  $( Extended real version of ~ lemul2a .  (Contributed by Mario Carneiro,
     8-Sep-2015.) $)
  xlemul2a $p |- ( ( ( A e. RR* /\ B e. RR* /\ ( C e. RR* /\ 0 <_ C ) ) /\
    A <_ B ) -> ( C *e A ) <_ ( C *e B ) ) $=
    ( cxr wcel cc0 cle wbr wa w3a cxmu co xlemul1a wceq simpl3l xmulcom syl2anc
    simpl1 simpl2 3brtr3d ) ADEZBDEZCDEZFCGHZIZJABGHZIZACKLZBCKLZCAKLZCBKLZGABC
    MUGUAUCUHUJNUAUBUEUFRUCUDUAUBUFOZACPQUGUBUCUIUKNUAUBUEUFSULBCPQT $.

  $( Extended real version of ~ lemul1 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xlemul1 $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR+ ) ->
    ( A <_ B <-> ( A *e C ) <_ ( B *e C ) ) ) $=
    ( cxr wcel crp w3a cle wbr cxmu co cc0 wa wi rpxr 3ad2ant3 syl2anc syl wceq
    c1 rpge0 jca xlemul1a ex syl3an3 cdiv simp1 simp2 rpreccl syl112anc xmulass
    xmulcl syl3anc cmul rpre rpred rexmul recnd wne rpne0 recidd oveq2d xmulid1
    cr eqtrd 3eqtrd breq12d sylibd impbid ) ADEZBDEZCFEZGZABHIZACJKZBCJKZHIZVLV
    JVKCDEZLCHIZMZVNVQNVLVRVSCOZCUAUBVJVKVTGVNVQABCUCUDUEVMVQVOTCUFKZJKZVPWBJKZ
    HIZVNVMVODEZVPDEZWBDEZLWBHIZVQWENVMVJVRWFVJVKVLUGZVLVJVRVKWAPZACULQVMVKVRWG
    VJVKVLUHZWKBCULQVMWBFEZWHVLVJWMVKCUIPZWBORZVMWMWIWNWBUARWFWGWHWIMGVQWEVOVPW
    BUCUDUJVMWCAWDBHVMWCACWBJKZJKZATJKZAVMVJVRWHWCWQSWJWKWOACWBUKUMVMWPTAJVMWPC
    WBUNKZTVMCVDEZWBVDEWPWSSVLVJWTVKCUOPZVMWBWNUPCWBUQQVMCVMCXAURVLVJCLUSVKCUTP
    VAVEZVBVMVJWRASWJAVCRVFVMWDBWPJKZBTJKZBVMVKVRWHWDXCSWLWKWOBCWBUKUMVMWPTBJXB
    VBVMVKXDBSWLBVCRVFVGVHVI $.

  $( Extended real version of ~ lemul2 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xlemul2 $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR+ ) ->
    ( A <_ B <-> ( C *e A ) <_ ( C *e B ) ) ) $=
    ( cxr wcel crp w3a cle wbr cxmu co xlemul1 wceq simp1 rpxr 3ad2ant3 xmulcom
    syl2anc simp2 breq12d bitrd ) ADEZBDEZCFEZGZABHIACJKZBCJKZHICAJKZCBJKZHIABC
    LUEUFUHUGUIHUEUBCDEZUFUHMUBUCUDNUDUBUJUCCOPZACQRUEUCUJUGUIMUBUCUDSUKBCQRTUA
    $.

  $( Extended real version of ~ ltmul1 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xltmul1 $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR+ ) ->
    ( A < B <-> ( A *e C ) < ( B *e C ) ) ) $=
    ( cxr wcel crp w3a cle wbr wn cxmu clt xlemul1 3com12 notbid xrltnle xmulcl
    co wb syl2anc 3adant3 simp1 rpxr 3ad2ant3 simp2 3bitr4d ) ADEZBDEZCFEZGZBAH
    IZJZBCKRZACKRZHIZJZABLIZUNUMLIZUJUKUOUHUGUIUKUOSBACMNOUGUHUQULSUIABPUAUJUND
    EZUMDEZURUPSUJUGCDEZUSUGUHUIUBUIUGVAUHCUCUDZACQTUJUHVAUTUGUHUIUEVBBCQTUNUMP
    TUF $.

  $( Extended real version of ~ ltmul2 .  (Contributed by Mario Carneiro,
     8-Sep-2015.) $)
  xltmul2 $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR+ ) ->
    ( A < B <-> ( C *e A ) < ( C *e B ) ) ) $=
    ( cxr wcel crp w3a clt cxmu co xltmul1 wb rpxr wceq xmulcom 3adant2 3adant1
    wbr breq12d syl3an3 bitrd ) ADEZBDEZCFEZGABHRACIJZBCIJZHRZCAIJZCBIJZHRZABCK
    UDUBUCCDEZUGUJLCMUBUCUKGUEUHUFUIHUBUKUEUHNUCACOPUCUKUFUINUBBCOQSTUA $.

  $( Lemma for ~ xadddi .  (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  xadddilem $p |- ( ( ( A e. RR /\ B e. RR* /\ C e. RR* ) /\ 0 < A ) ->
    ( A *e ( B +e C ) ) = ( ( A *e B ) +e ( A *e C ) ) ) $=
    ( cr wcel cxr cc0 wa cxad cxmu wceq cpnf cmnf adantr 3eqtr4d adantll oveq2d
    co wne syl2anc w3a clt simpl1 caddc cmul cc recn adddi syl3an 3expa readdcl
    rexmul sylan2 anassrs remulcl adantlr rexaddd oveq12d sylanl1 rexr 3ad2ant1
    wbr rexadd xmulpnf1 sylan eqeltrd renemnf syl eqtr4d oveq2 adantl sylan9eqr
    xaddpnf1 xmulmnf1 renepnf xaddmnf1 w3o simpl3 elxr sylib mpjao3dan ad2antrr
    xaddpnf2 simpr oveq1d sylan9eq pnfxr pnfnemnf mp2an oveqan12d oveq12 eqtrdi
    3eqtr4a 3eqtr4rd pnfaddmnf xmul01 xaddmnf2 mnfaddpnf mnfxr mnfnepnf simpl2
    3syl ) ADEZBFEZCFEZUAZGAUBVBZHZBDEZABCIRZJRZABJRZACJRZIRZKZBLKZBMKZXHXIHZCD
    EZXOCLKZCMKZXHXCXIXSXOXCXDXEXGUCZXCXIHZXSHZABCUDRZJRZABUERZACUERZIRZXKXNYDA
    YEUERZYGYHUDRZYFYIXCXIXSYJYKKZXCAUFEXIBUFEXSCUFEYLAUGBUGCUGABCUHUIUJXCXIXSY
    FYJKZXIXSHXCYEDEYMBCUKAYEULUMUNYDYGYHYCYGDEXSABUOZNXCXSYHDEXIACUOZUPUQOYDXJ
    YEAJXIXSXJYEKXCBCVCPQYDXLYGXMYHIYCXLYGKXSABULZNXCXSXMYHKXIACULZUPUROUSXRXTH
    ZALJRZXLLIRZXKXNXRYSYTKXTXRYSLYTXHYSLKZXIXFAFEZXGUUAXCXDUUBXEAUTZVAZAVDVEZN
    ZXRXLDEZYTLKZXHXCXIUUGYBYCXLYGDYPYNVFVEZUUGXLFEZXLMSUUHXLUTZXLVGXLVMTVHVINY
    RXJLAJXTXRXJBLIRZLCLBIVJXIUULLKZXHXIXDBMSUUMBUTZBVGBVMTVKVLQYRXMLXLIXTXRXMY
    SLCLAJVJZUUFVLQOXRYAHZAMJRZXLMIRZXKXNUUPUUQMUURXRUUQMKZYAXHUUSXIXFUUBXGUUSU
    UDAVNVEZNZNUUPUUGUURMKZXRUUGYAUUINUUGUUJXLLSUVBUUKXLVOXLVPTVHVIUUPXJMAJYAXR
    XJBMIRZMCMBIVJXIUVCMKZXHXIXDBLSUVDUUNBVOBVPTVKVLQUUPXMMXLIYAXRXMUUQMCMAJVJZ
    UVAVLQOXHXSXTYAVQZXIXHXEUVFXCXDXEXGVRCVSVTZNWAXHXPHZXSXOXTYAUVHXSHZYSLXMIRZ
    XKXNUVIYSLUVJXHUUAXPXSUUEWBUVIXMDEZUVJLKZUVHXCXSUVKXHXCXPYBNXCXSHXMYHDYQYOV
    FZVEUVKXMFEZXMMSUVLXMUTZXMVGXMWCTVHVIUVIXJLAJUVHXSXJLCIRZLUVHBLCIXHXPWDWEXS
    XECMSUVPLKCUTZCVGCWCTWFQUVIXLLXMIUVHXLLKXSXPXHXLYSLBLAJVJZUUEVLNWEOUVHXTHYS
    YSIRZYSXNXKXHUVSYSKXPXTXHLLIRZLUVSYSLFELMSUVTLKWGWHLVMWIZXHYSLYSLIUUEUUEURU
    UEWMWBXPXTXNUVSKXHXPXTXLYSXMYSIUVRUUOWJPXPXTXKYSKXHXPXTHZXJLAJUWBXJUVTLBLCL
    IWKUWAWLQPWNUVHYAHYSUUQIRZAGJRZXNXKXHUWCUWDKXPYAXHLMIRZGUWCUWDWOXHYSLUUQMIU
    UEUUTURXHXCUUBUWDGKYBUUCAWPXBZWMWBXPYAXNUWCKXHXPYAXLYSXMUUQIUVRUVEWJPXPYAXK
    UWDKZXHXPYAHZXJGAJUWHXJUWEGBLCMIWKWOWLQPWNXHUVFXPUVGNWAXHXQHZXSXOXTYAUWIXSH
    ZUUQMXMIRZXKXNUWJUUQMUWKXHUUSXQXSUUTWBUWJUVKUWKMKZUWIXCXSUVKXHXCXQYBNUVMVEU
    VKUVNXMLSUWLUVOXMVOXMWQTVHVIUWJXJMAJUWIXSXJMCIRZMUWIBMCIXHXQWDWEXSXECLSUWMM
    KUVQCVOCWQTWFQUWJXLMXMIUWIXLMKXSXQXHXLUUQMBMAJVJZUUTVLNWEOUWIXTHUWDUUQYSIRZ
    XKXNXHUWDUWOKXQXTXHUWDGUWOUWFXHUWOMLIRZGXHUUQMYSLIUUTUUEURWRWLVIWBXQXTUWGXH
    XQXTHZXJGAJUWQXJUWPGBMCLIWKWRWLQPXQXTXNUWOKXHXQXTXLUUQXMYSIUWNUUOWJPOUWIYAH
    UUQUUQIRZUUQXNXKXHUWRUUQKXQYAXHMMIRZMUWRUUQMFEMLSUWSMKWSWTMVPWIZXHUUQMUUQMI
    UUTUUTURUUTWMWBXQYAXNUWRKXHXQYAXLUUQXMUUQIUWNUVEWJPXQYAXKUUQKXHXQYAHZXJMAJU
    XAXJUWSMBMCMIWKUWTWLQPWNXHUVFXQUVGNWAXHXDXIXPXQVQXCXDXEXGXABVSVTWA $.

  $( Distributive property for extended real addition and multiplication.  Like
     ~ xaddass , this has an unusual domain of correctness due to
     counterexamples like ` ( +oo x. ( 2 - 1 ) ) = -oo =/= `
     ` ( ( +oo x. 2 ) - ( +oo x. 1 ) ) = ( +oo - +oo ) = 0 ` .  In this theorem
     we show that if the multiplier is real then everything works as expected.
     (Contributed by Mario Carneiro, 20-Aug-2015.) $)
  xadddi $p |- ( ( A e. RR /\ B e. RR* /\ C e. RR* ) ->
    ( A *e ( B +e C ) ) = ( ( A *e B ) +e ( A *e C ) ) ) $=
    ( cr wcel cxr cc0 clt wbr cxad cxmu wceq syl2anc xmul02 syl oveq1d xmulneg1
    co cxne xmulcl w3a xadddilem simpl2 simpl3 xaddcl 0xr xaddid1 ax-mp eqtr4di
    wa simpr eqtr3d oveq12d 3eqtr3d simp1 adantr cneg rexneg renegcl eqeltrd wb
    rexrd xlt0neg1 biimpa syl31anc xnegdi eqtr4d xneg11 mpbid w3o 0re mpjao3dan
    lttri4 sylancr ) ADEZBFEZCFEZUAZGAHIZABCJRZKRZABKRZACKRZJRZLZGALZAGHIZABCUB
    VRWFUJZGVTKRZGGJRZWAWDWHWIGWJWHVTFEZWIGLWHVPVQWKVOVPVQWFUCZVOVPVQWFUDZBCUEZ
    MVTNOGFEWJGLUFGUGUHUIWHGAVTKVRWFUKZPWHGWBGWCJWHGBKRZGWBWHVPWPGLWLBNOWHGABKW
    OPULWHGCKRZGWCWHVQWQGLWMCNOWHGACKWOPULUMUNVRWGUJZWASZWDSZLZWEWRASZVTKRZXBBK
    RZXBCKRZJRZWSWTWRXBDEZVPVQGXBHIZXCXFLWRVOXGVRVOWGVOVPVQUOZUPVOXBAUQDAURAUSU
    TOVOVPVQWGUCZVOVPVQWGUDZVRWGXHVRAFEZWGXHVAVRAXIVBZAVCOVDXBBCUBVEWRXLWKXCWSL
    VRXLWGXMUPZWRVPVQWKXJXKWNMZAVTQMWRXFWBSZWCSZJRZWTWRXDXPXEXQJWRXLVPXDXPLXNXJ
    ABQMWRXLVQXEXQLXNXKACQMUMWRWBFEZWCFEZWTXRLWRXLVPXSXNXJABTMZWRXLVQXTXNXKACTM
    ZWBWCVFMVGUNWRWAFEZWDFEZXAWEVAWRXLWKYCXNXOAVTTMWRXSXTYDYAYBWBWCUEMWAWDVHMVI
    VRGDEVOVSWFWGVJVKXIGAVMVNVL $.

  $( Commuted version of ~ xadddi .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xadddir $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR ) ->
    ( ( A +e B ) *e C ) = ( ( A *e C ) +e ( B *e C ) ) ) $=
    ( cxr wcel cr w3a cxad co cxmu xadddi 3coml xaddcl 3adant3 3ad2ant3 xmulcom
    wceq rexr syl2anc simp1 simp2 oveq12d 3eqtr4d ) ADEZBDEZCFEZGZCABHIZJIZCAJI
    ZCBJIZHIZUHCJIZACJIZBCJIZHIUFUDUEUIULQCABKLUGUHDEZCDEZUMUIQUDUEUPUFABMNUFUD
    UQUECROZUHCPSUGUNUJUOUKHUGUDUQUNUJQUDUEUFTURACPSUGUEUQUOUKQUDUEUFUAURBCPSUB
    UC $.

  $( The assumption that the multiplier be real in ~ xadddi can be relaxed if
     the addends have the same sign.  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xadddi2 $p |- ( ( A e. RR* /\ ( B e. RR* /\ 0 <_ B ) /\
                                ( C e. RR* /\ 0 <_ C ) ) ->
    ( A *e ( B +e C ) ) = ( ( A *e B ) +e ( A *e C ) ) ) $=
    ( cxr wcel cc0 cle wbr wa cxad co cxmu wceq cpnf cmnf adantr syl2an2r oveq1
    sylancr sylan9eqr w3a clt simpr simp2l ad2antrr simp3l xadddi syl3anc pnfxr
    wne xmulcl simpl3r 0lepnf xmulge0 mpanl12 ge0nemnf syl2anc xaddpnf2 oveq12d
    cr xmulpnf2 sylan oveq1d xaddcl 0xr a1i xaddid1d xleadd2a syl31anc eqbrtrrd
    xrltletrd 3eqtr4rd mnfxr xmulneg1 xnegmnf oveq1i eqtr3di xnegpnf eqeq12d wb
    cxne xneg11 sylancl bitr3d necon3bid mpbid xaddmnf2 xmulmnf2 w3o elxr sylib
    simpl1 mpjao3dan simp1 xaddid2 syl eqcomd xmul01 3ad2ant1 oveq2d wo xrleloe
    oveq2 simp2r mpjaodan ) ADEZBDEZFBGHZIZCDEZFCGHZIZUAZFBUBHZABCJKZLKZABLKZAC
    LKZJKZMZFBMZXMXNIZAUTEZXTANMZAOMZYBYCIYCXGXJXTYBYCUCXMXGXNYCXFXGXHXLUDZUEXM
    XJXNYCXFXIXJXKUFZUEABCUGUHYBYDINNCLKZJKZNXSXPYBYHDEZYDYHOUJZYINMYBNDEZXJYJU
    IXMXJXNYGPZNCUKSZYBYKYDYBYJFYHGHZYKYNXMXJXNXKYOYGXJXKXFXIXNULZYLFNGHXLYOUIU
    MNCUNUOQYHUPUQZPYHURQYDYBXSNBLKZYHJKYIYDXQYRXRYHJANBLRANCLRUSYBYRNYHJXMXGXN
    YRNMYFBVAVBVCTYDYBXPNXOLKZNANXOLRXMXODEZXNFXOUBHZYSNMXMXGXJYTYFYGBCVDUQZYBF
    BXOFDEZYBVEVFZXMXGXNYFPZXMYTXNUUBPXMXNUCYBBFJKZBXOGYBBUUEVGYBUUCXJXGXKUUFXO
    GHUUDYMUUEYPFCBVHVIVJVKZXOVAQTVLYBYEIOOCLKZJKZOXSXPYBUUIOMZYEYBUUHDEZUUHNUJ
    ZUUJYBODEZXJUUKVMYMOCUKSZYBYKUULYQYBYHOUUHNYBUUHWAZNWAZMZYHOMUUHNMZYBUUOYHU
    UPOYBOWAZCLKZUUOYHYBUUMXJUUTUUOMVMYMOCVNSUUSNCLVOVPVQUUPOMYBVRVFVSYBUUKYLUU
    QUURVTUUNUIUUHNWBWCWDWEWFUUHWGUQPYEYBXSOBLKZUUHJKUUIYEXQUVAXRUUHJAOBLRAOCLR
    USYBUVAOUUHJXMXGXNUVAOMYFBWHVBVCTYEYBXPOXOLKZOAOXOLRXMYTXNUUAUVBOMUUBUUGXOW
    HQTVLYBXFYCYDYEWIXFXIXLXNWLAWJWKWMXMYAIZFXRJKZXRXSXPUVCXRDEZUVDXRMXMUVEYAXM
    XFXJUVEXFXIXLWNYGACUKUQPXRWOWPUVCXQFXRJYAXMXQAFLKZFYAUVFXQFBALXCWQXFXIUVFFM
    XLAWRWSTVCUVCXOCALYAXMXOFCJKZCYAUVGXOFBCJRWQXMXJUVGCMYGCWOWPTWTVLXMXHXNYAXA
    ZXFXGXHXLXDXMUUCXGXHUVHVTVEYFFBXBSWFXE $.

  $( Commuted version of ~ xadddi2 .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  xadddi2r $p |- ( ( ( A e. RR* /\ 0 <_ A ) /\ ( B e. RR* /\ 0 <_ B ) /\
    C e. RR* ) -> ( ( A +e B ) *e C ) = ( ( A *e C ) +e ( B *e C ) ) ) $=
    ( cxr wcel cc0 cle wbr wa w3a cxad co cxmu wceq xadddi2 3coml simp1l simp2l
    syl2anc xmulcom xaddcl simp3 oveq12d 3eqtr4d ) ADEZFAGHZIZBDEZFBGHZIZCDEZJZ
    CABKLZMLZCAMLZCBMLZKLZUMCMLZACMLZBCMLZKLUKUGUJUNUQNCABOPULUMDEZUKURUNNULUEU
    HVAUEUFUJUKQZUGUHUIUKRZABUASUGUJUKUBZUMCTSULUSUOUTUPKULUEUKUSUONVBVDACTSULU
    HUKUTUPNVCVDBCTSUCUD $.

  $( Extended real version of ~ 2times .  (Contributed by Mario Carneiro,
     20-Aug-2015.) $)
  x2times $p |- ( A e. RR* -> ( 2 *e A ) = ( A +e A ) ) $=
    ( cxr wcel c2 cxmu co c1 cxad caddc df-2 cr wceq rexadd mp2an eqtr4i oveq1i
    1re cc0 cle wbr wa 1xr pm3.2i xadddi2r mp3an12 xmulid2 oveq12d eqtrd eqtrid
    0le1 ) ABCZDAEFGGHFZAEFZAAHFZDULAEDGGIFZULJGKCZUPULUOLQQGGMNOPUKUMGAEFZUQHF
    ZUNGBCZRGSTZUAZVAUKUMURLUSUTUBUJUCZVBGGAUDUEUKUQAUQAHAUFZVCUGUHUI $.

  ${
    xnegcld.1 $e |- ( ph -> A e. RR* ) $.
    $( Closure of extended real negative.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    xnegcld $p |- ( ph -> -e A e. RR* ) $=
      ( cxr wcel cxne xnegcl syl ) ABDEBFDECBGH $.

    xaddcld.2 $e |- ( ph -> B e. RR* ) $.
    $( The extended real addition operation is closed in extended reals.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    xaddcld $p |- ( ph -> ( A +e B ) e. RR* ) $=
      ( cxr wcel cxad co xaddcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.

    $( Closure of extended real multiplication.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    xmulcld $p |- ( ph -> ( A *e B ) e. RR* ) $=
      ( cxr wcel cxmu co xmulcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.
  $}

  ${
    xadd4d.1 $e |- ( ph -> ( A e. RR* /\ A =/= -oo ) ) $.
    xadd4d.2 $e |- ( ph -> ( B e. RR* /\ B =/= -oo ) ) $.
    xadd4d.3 $e |- ( ph -> ( C e. RR* /\ C =/= -oo ) ) $.
    xadd4d.4 $e |- ( ph -> ( D e. RR* /\ D =/= -oo ) ) $.
    $( Rearrangement of 4 terms in a sum for extended addition, analogous to
       ~ add4d .  (Contributed by Alexander van der Vekens, 21-Dec-2017.) $)
    xadd4d $p |- ( ph ->
      ( ( A +e B ) +e ( C +e D ) ) = ( ( A +e C ) +e ( B +e D ) ) ) $=
      ( cxad co cxr wcel cmnf wne wa wceq xaddass simpld syl2anc syl3anc oveq2d
      xaddcld xaddnemnf syl112anc xaddcom oveq1d eqtr2d eqtrd 3eqtr4d ) ABDCJKZ
      EJKZJKZBDCEJKZJKZJKZBCJKDEJKZJKZBDJKUNJKZAULUOBJADLMZDNOZPZCLMZCNOZPZELMZ
      ENOZPZULUOQHGIDCERUAUBAURBCUQJKZJKZUMABLMBNOPZVEUQLMUQNOZURVJQFGADEAUTVAH
      SZAVFVGISZUCAVBVHVLHIDEUDTBCUQRUEAVIULBJAULCDJKZEJKZVIAUKVOEJAUTVCUKVOQVM
      AVCVDGSZDCUFTUGAVEVBVHVPVIQGHICDERUAUHUBUIAVKVBUNLMUNNOZUSUPQFHACEVQVNUCA
      VEVHVRGICEUDTBDUNRUEUJ $.
  $}

  ${
    xnn0add4d.1 $e |- ( ph -> A e. NN0* ) $.
    xnn0add4d.2 $e |- ( ph -> B e. NN0* ) $.
    xnn0add4d.3 $e |- ( ph -> C e. NN0* ) $.
    xnn0add4d.4 $e |- ( ph -> D e. NN0* ) $.
    $( Rearrangement of 4 terms in a sum for extended addition of extended
       nonnegative integers, analogous to ~ xadd4d .  (Contributed by AV,
       12-Dec-2020.) $)
    xnn0add4d $p |- ( ph -> ( ( A +e B ) +e ( C +e D ) )
                            = ( ( A +e C ) +e ( B +e D ) ) ) $=
      ( cxnn0 wcel cxr cmnf wne wa xnn0xrnemnf syl xadd4d ) ABCDEABJKBLKBMNOFBP
      QACJKCLKCMNOGCPQADJKDLKDMNOHDPQAEJKELKEMNOIEPQR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Supremum and infimum on the extended reals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Adding minus infinity to a set does not affect the existence of its
       supremum.  (Contributed by NM, 26-Oct-2005.) $)
    xrsupexmnf $p |- ( E. x e. RR* ( A. y e. A -. x < y /\
              A. y e. RR* ( y < x -> E. z e. A y < z ) ) ->
         E. x e. RR* ( A. y e. ( A u. { -oo } ) -. x < y /\
              A. y e. RR* ( y < x -> E. z e. ( A u. { -oo } ) y < z ) ) ) $=
      ( cv clt wbr wn wral wrex wi cxr wa cmnf csn cun wcel wo elun syl5bi wceq
      simpr velsn nltmnf breq2 notbid syl5ibrcom adantr jaod ex ralimdv2 anim1i
      elun1 reximi2 imim2i ralimi anim12d1 reximia ) AEZBEZFGZHZBDIZUTUSFGZUTCE
      ZFGZCDJZKZBLIZMVBBDNOZPZIZVDVFCVKJZKZBLIZMALUSLQZVCVLVIVOVPVBVBBDVKVPUTDQ
      ZVBKZUTVKQZVBKVSVQUTVJQZRVPVRMZVBUTDVJSWAVQVBVTVPVRUBVPVTVBKVRVTUTNUAZVPV
      BBNUCVPVBWBUSNFGZHUSUDWBVAWCUTNUSFUEUFUGTUHUITUJUKVHVNBLVGVMVDVFVFCDVKVED
      QVEVKQVFVEDVJUMULUNUOUPUQUR $.

    $( Adding plus infinity to a set does not affect the existence of its
       infimum.  (Contributed by NM, 19-Jan-2006.) $)
    xrinfmexpnf $p |- ( E. x e. RR* ( A. y e. A -. y < x /\
              A. y e. RR* ( x < y -> E. z e. A z < y ) ) ->
         E. x e. RR* ( A. y e. ( A u. { +oo } ) -. y < x /\
              A. y e. RR* ( x < y -> E. z e. ( A u. { +oo } ) z < y ) ) ) $=
      ( cv clt wbr wn wral wrex wi cxr wa cpnf csn cun wcel wo elun syl5bi wceq
      simpr velsn pnfnlt breq1 notbid syl5ibrcom adantr jaod ex ralimdv2 anim1i
      elun1 reximi2 imim2i ralimi anim12d1 reximia ) BEZAEZFGZHZBDIZUTUSFGZCEZU
      SFGZCDJZKZBLIZMVBBDNOZPZIZVDVFCVKJZKZBLIZMALUTLQZVCVLVIVOVPVBVBBDVKVPUSDQ
      ZVBKZUSVKQZVBKVSVQUSVJQZRVPVRMZVBUSDVJSWAVQVBVTVPVRUBVPVTVBKVRVTUSNUAZVPV
      BBNUCVPVBWBNUTFGZHUTUDWBVAWCUSNUTFUEUFUGTUHUITUJUKVHVNBLVGVMVDVFVFCDVKVED
      QVEVKQVFVEDVJUMULUNUOUPUQUR $.

    $( Lemma for ~ xrsupss .  (Contributed by NM, 25-Oct-2005.) $)
    xrsupsslem $p |- ( ( A C_ RR* /\ ( A C_ RR \/ +oo e. A ) ) -> E. x e. RR*
        ( A. y e. A -. x < y /\ A. y e. RR* ( y < x -> E. z e. A y < z ) ) ) $=
      ( cxr cr clt wbr wn wral wrex wi wa cpnf wcel c0 wceq cle cmnf breq1 sup3
      wss cv raleq rexeq imbi2d ralbidv anbi12d rexbidv wne rexr anim1i reximi2
      w3a syl elxr simpr pnfnlt adantr wb notbid adantl mpbird pm2.21d ad2antlr
      w3o ex wex ssel mnflt syl6 ancld eximdv n0 df-rex 3imtr4g imp a1d imbi12d
      ad2antrr 3jaod syl5bi ralimdv2 anim2d reximdva 3adant3 3expa ralnex ssel2
      mpd rexnal letric ord sylan an32s ralimdva sylan2br breq2 cbvrexvw ralbii
      syl5bir sylib pnfxr ralrimiv c1 caddc peano2re rspcva adantrr ancoms ltp1
      co sylan2 ancli ltletr mpand adantll exp31 a1dd com4r xrltnr ax-mp mtbiri
      2a1d cc0 0re mpan mpan9 syl5ibr expd 3jaoi sylbi com13 jca imbi1d sylancr
      rspcev syldan adantlr pm2.61dan mnfxr ral0 nltmnf rgen mp2an a1i pm2.61ne
      pm3.2i ralrimivw anim12i jaodan ) DEUBZDFUBZAUCZBUCZGHZIZBDJZUUOUUNGHZUUO
      CUCZGHZCDKZLZBEJZMZAEKZNDOZUUMUVFUULUUMUVFUUQBPJZUUSUVACPKZLZBEJZMZAEKZDP
      DPQZUVEUVLAEUVNUURUVHUVDUVKUUQBDPUDUVNUVCUVJBEUVNUVBUVIUUSUVACDPUEUFUGUHU
      IUUMDPUJZMZUUOUUNRHZBDJZAFKZUVFUUMUVOUVSUVFUUMUVOUVSUNZUURUVCBFJZMZAEKZUV
      FUVTUWBAFKUWCABCDUAUWBUWBAFEUUNFOZUUNEOZUWBUUNUKULUMUOUUMUVOUWCUVFLUVSUVP
      UWBUVEAEUVPUWEMZUWAUVDUURUWFUVCUVCBFEUWFUUOFOZUVCLZUUOEOZUVCLUWIUWGUUONQZ
      UUOSQZVFZUWFUWHMZUVCUUOUPZUWMUWGUVCUWJUWKUWFUWHUQUWEUWJUVCLUVPUWHUWEUWJUV
      CUWEUWJMZUUSUVBUWOUUSIZNUUNGHZIZUWEUWRUWJUUNURUSUWJUWPUWRUTUWEUWJUUSUWQUU
      ONUUNGTVAVBVCVDVGVEUWFUWKUVCLUWHUWFUWKUVCUWFUWKMUVCSUUNGHZSUUTGHZCDKZLZUV
      PUXBUWEUWKUVPUXAUWSUUMUVOUXAUUMUUTDOZCVHUXCUWTMZCVHUVOUXAUUMUXCUXDCUUMUXC
      UWTUUMUXCUUTFOZUWTDFUUTVIUUTVJZVKVLVMCDVNUWTCDVOVPVQVRVTUWKUVCUXBUTUWFUWK
      UUSUWSUVBUXAUUOSUUNGTUWKUVAUWTCDUUOSUUTGTUIZVSVBVCVGUSWAWBVGWCWDWEWFWJWGU
      UMUVSIZUVFUVOUUMUXHUUNUUTRHZCDKZAFJZUVFUUMUXHMUUNUUORHZBDKZAFJZUXKUXHUUMU
      VRIZAFJZUXNUVRAFWHUUMUXPUXNUUMUXOUXMAFUXOUVQIZBDKUUMUWDMZUXMUVQBDWKUXRUXQ
      UXLBDUUMUUODOZUWDUXQUXLLZUUMUXSMUWGUWDUXTDFUUOWIUWGUWDMUVQUXLUUOUUNWLWMWN
      WOWEXAWPVQWQUXMUXJAFUXLUXIBCDUUOUUTUUNRWRWSWTXBUUMUXKMZNEOZNUUOGHZIZBDJZU
      UONGHZUVBLZBEJZMZUVFXCUYAUYEUYHUUMUYEUXKUUMUYDBDUUMUXSUWGUYDDFUUOVIUWGUWI
      UYDUUOUKUUOURZUOVKXDUSUYAUYGBEUUMUXKUWIUYGLUWIUXKUUMUYGUWIUWLUXKUUMUYGLLZ
      UWNUWGUYKUWJUWKUXKUUMUYFUWGUVBUXKUUMUWGUVBLUYFUXKUUMUWGUVBUXKUUMMZUWGMUUO
      XEXFXLZUUTRHZCDKZUVBUWGUYLUYMFOZUYOUUOXGZUYPUYLUYOUYPUXKUYOUUMUXJUYOAUYMF
      UUNUYMQUXIUYNCDUUNUYMUUTRTUIXHXIXJXMUUMUWGUYOUVBLUXKUUMUWGMUYNUVACDUUMUXC
      UWGUYNUVALZUUMUXCMZUXEUWGUYRDFUUTWIZUWGUXEUYRUWGUXEMUUOUYMGHZUYNUVAUWGVUA
      UXEUUOXKUSUWGUWGUYPMUXEVUAUYNMUVALZUWGUYPUYQXNUWGUYPUXEVUBUUOUYMUUTXOWGWN
      XPXJWNWOWEXQWJXRXSXTUWJUYGUXKUUMUWJUYFUVBUWJUYFNNGHZUYBVUCIXCNYAYBUUONNGT
      YCVDYDUWKUXKUUMUYGUWKUYLUVBUYFUYLUVBUWKUXAUXKYEUUTRHZCDKZUUMUXAYEFOUXKVUE
      YFUXJVUEAYEFUUNYEQUXIVUDCDUUNYEUUTRTUIXHYGUUMVUDUWTCDUYSUWTVUDUYSUXEUWTUY
      TUXFUOVRWEYHUXGYIXSYJYKYLYMVQXDYNUVEUYIANEUUNNQZUURUYEUVDUYHVUFUUQUYDBDVU
      FUUPUYCUUNNUUOGTVAUGVUFUVCUYGBEVUFUUSUYFUVBUUNNUUOGWRYOUGUHYQZYPYRYSYTUVM
      UUMSEOSUUOGHZIZBPJZUUOSGHZUVILZBEJZMZUVMUUAVUJVUMVUIBUUBVULBEUWIVUKUVIUUO
      UUCVDUUDUUHUVLVUNASEUUNSQZUVHVUJUVKVUMVUOUUQVUIBPVUOUUPVUHUUNSUUOGTVAUGVU
      OUVJVULBEVUOUUSVUKUVIUUNSUUOGWRYOUGUHYQUUEUUFUUGVBUULUVGMUYBUYIUVFXCUULUY
      EUVGUYHUULUYDBDUULUXSUWIUYDDEUUOVIUYJVKXDUVGUYGBEUVGUYFUVBUVAUYFCNDUUTNUU
      OGWRYQVGUUIUUJVUGYPUUK $.

    $( Lemma for ~ xrinfmss .  (Contributed by NM, 19-Jan-2006.) $)
    xrinfmsslem $p |- ( ( A C_ RR* /\ ( A C_ RR \/ -oo e. A ) ) -> E. x e. RR*
        ( A. y e. A -. y < x /\ A. y e. RR* ( x < y -> E. z e. A z < y ) ) ) $=
      ( cxr cr clt wbr wn wral wrex wi wa cmnf wcel c0 wceq cle cpnf breq2 rexr
      wss raleq rexeq imbi2d ralbidv anbi12d rexbidv wne w3a anim1i reximi2 syl
      cv infm3 w3o elxr simpr wex ssel ltpnf ancld eximdv n0 df-rex 3imtr4g imp
      syl6 a1d ad2antrr wb imbi12d adantl mpbird adantr nltmnf pm2.21d ad2antlr
      ex notbid 3jaod syl5bi ralimdv2 anim2d reximdva 3adant3 mpd ralnex rexnal
      3expa ssel2 letric ancoms ord sylan an32s syl5bir ralimdva sylan2br breq1
      cbvrexvw ralbii sylib mnfxr ralrimiv cmin peano2rem rspcva adantrr sylan2
      wo c1 co ltm1 ancri lelttr 3expb mpan2d adantll exp31 a1dd com4r cc0 mpan
      0re mpan9 syl5ibr expd xrltnr ax-mp mtbiri 2a1d 3jaoi sylbi imbi1d rspcev
      com13 jca sylancr syldan adantlr pm2.61dan pnfxr ral0 pnfnlt pm3.2i mp2an
      rgen a1i pm2.61ne ralrimivw anim12i jaodan ) DEUBZDFUBZBUNZAUNZGHZIZBDJZU
      UQUUPGHZCUNZUUPGHZCDKZLZBEJZMZAEKZNDOZUUOUVHUUNUUOUVHUUSBPJZUVAUVCCPKZLZB
      EJZMZAEKZDPDPQZUVGUVNAEUVPUUTUVJUVFUVMUUSBDPUCUVPUVEUVLBEUVPUVDUVKUVAUVCC
      DPUDUEUFUGUHUUODPUIZMZUUQUUPRHZBDJZAFKZUVHUUOUVQUWAUVHUUOUVQUWAUJZUUTUVEB
      FJZMZAEKZUVHUWBUWDAFKUWEABCDUOUWDUWDAFEUUQFOZUUQEOZUWDUUQUAUKULUMUUOUVQUW
      EUVHLUWAUVRUWDUVGAEUVRUWGMZUWCUVFUUTUWHUVEUVEBFEUWHUUPFOZUVELZUUPEOZUVELU
      WKUWIUUPSQZUUPNQZUPZUWHUWJMZUVEUUPUQZUWOUWIUVEUWLUWMUWHUWJURUWHUWLUVELUWJ
      UWHUWLUVEUWHUWLMUVEUUQSGHZUVBSGHZCDKZLZUVRUWTUWGUWLUVRUWSUWQUUOUVQUWSUUOU
      VBDOZCUSUXAUWRMZCUSUVQUWSUUOUXAUXBCUUOUXAUWRUUOUXAUVBFOZUWRDFUVBUTUVBVAZV
      HVBVCCDVDUWRCDVEVFVGVIVJUWLUVEUWTVKUWHUWLUVAUWQUVDUWSUUPSUUQGTUWLUVCUWRCD
      UUPSUVBGTUHZVLVMVNVSVOUWGUWMUVELUVRUWJUWGUWMUVEUWGUWMMZUVAUVDUXFUVAIZUUQN
      GHZIZUWGUXIUWMUUQVPVOUWMUXGUXIVKUWGUWMUVAUXHUUPNUUQGTVTVMVNVQVSVRWAWBVSWC
      WDWEWFWGWJUUOUWAIZUVHUVQUUOUXJUVBUUQRHZCDKZAFJZUVHUUOUXJMUUPUUQRHZBDKZAFJ
      ZUXMUXJUUOUVTIZAFJZUXPUVTAFWHUUOUXRUXPUUOUXQUXOAFUXQUVSIZBDKUUOUWFMZUXOUV
      SBDWIUXTUXSUXNBDUUOUUPDOZUWFUXSUXNLZUUOUYAMUWIUWFUYBDFUUPWKUWIUWFMUVSUXNU
      WFUWIUVSUXNXKUUQUUPWLWMWNWOWPWEWQWRVGWSUXOUXLAFUXNUXKBCDUUPUVBUUQRWTXAXBX
      CUUOUXMMZNEOZUUPNGHZIZBDJZNUUPGHZUVDLZBEJZMZUVHXDUYCUYGUYJUUOUYGUXMUUOUYF
      BDUUOUYAUWIUYFDFUUPUTUWIUWKUYFUUPUAUUPVPZUMVHXEVOUYCUYIBEUUOUXMUWKUYILUWK
      UXMUUOUYIUWKUWNUXMUUOUYILLZUWPUWIUYMUWLUWMUXMUUOUYHUWIUVDUXMUUOUWIUVDLUYH
      UXMUUOUWIUVDUXMUUOMZUWIMUVBUUPXLXFXMZRHZCDKZUVDUWIUYNUYOFOZUYQUUPXGZUYRUY
      NUYQUYRUXMUYQUUOUXLUYQAUYOFUUQUYOQUXKUYPCDUUQUYOUVBRTUHXHXIWMXJUUOUWIUYQU
      VDLUXMUUOUWIMUYPUVCCDUUOUXAUWIUYPUVCLZUUOUXAMZUXCUWIUYTDFUVBWKZUXCUWIMUYP
      UYOUUPGHZUVCUWIVUCUXCUUPXNVMUWIUXCUYRUWIMUYPVUCMUVCLZUWIUYRUYSXOUXCUYRUWI
      VUDUVBUYOUUPXPXQXJXRWOWPWEXSWGXTYAYBUWLUXMUUOUYIUWLUYNUVDUYHUYNUVDUWLUWSU
      XMUVBYCRHZCDKZUUOUWSYCFOUXMVUFYEUXLVUFAYCFUUQYCQUXKVUECDUUQYCUVBRTUHXHYDU
      UOVUEUWRCDVUAUWRVUEVUAUXCUWRVUBUXDUMVIWEYFUXEYGYAYHUWMUYIUXMUUOUWMUYHUVDU
      WMUYHNNGHZUYDVUGIXDNYIYJUUPNNGTYKVQYLYMYNYQVGXEYRUVGUYKANEUUQNQZUUTUYGUVF
      UYJVUHUUSUYFBDVUHUURUYEUUQNUUPGTVTUFVUHUVEUYIBEVUHUVAUYHUVDUUQNUUPGWTYOUF
      UGYPZYSYTUUAUUBUVOUUOSEOUUPSGHZIZBPJZSUUPGHZUVKLZBEJZMZUVOUUCVULVUOVUKBUU
      DVUNBEUWKVUMUVKUUPUUEVQUUHUUFUVNVUPASEUUQSQZUVJVULUVMVUOVUQUUSVUKBPVUQUUR
      VUJUUQSUUPGTVTUFVUQUVLVUNBEVUQUVAVUMUVKUUQSUUPGWTYOUFUGYPUUGUUIUUJVMUUNUV
      IMUYDUYKUVHXDUUNUYGUVIUYJUUNUYFBDUUNUYAUWKUYFDEUUPUTUYLVHXEUVIUYIBEUVIUYH
      UVDUVCUYHCNDUVBNUUPGWTYPVSUUKUULVUIYSUUM $.

    $( Any subset of extended reals has a supremum.  (Contributed by NM,
       25-Oct-2005.) $)
    xrsupss $p |- ( A C_ RR* -> E. x e. RR* (
         A. y e. A -. x < y /\ A. y e. RR* ( y < x -> E. z e. A y < z ) ) ) $=
      ( cxr wss cr cpnf wcel wo cv clt wbr wral wrex wi wa cmnf xrsupsslem w3o
      wn csn cdif ssdifss ssxr df-3or neldifsn biorfi bitr4i sylib syl2anc2 cun
      xrsupexmnf snssi wceq undif uncom eqeq1i bitri raleq rexeq imbi2d ralbidv
      wb anbi12d sylbi syl rexbidv syl5ib mpan9 mpjaodan ) DEFZDGFZHDIZJZAKZBKZ
      LMUAZBDNZVQVPLMZVQCKLMZCDOZPZBENZQZAEOZRDIZABCDSVLVRBDRUBZUCZNVTWACWIOPBE
      NQAEOZWGWFVLWIEFZWIGFZHWIIZJZWJDEWHUDWKWLWMRWIIZTZWNWIUEWPWNWOJWNWLWMWOUF
      WOWNRDUGUHUIUJABCWISUKWJVRBWIWHULZNZVTWACWQOZPZBENZQZAEOWGWFABCWIUMWGXBWE
      AEWGWHDFZXBWEVDZRDUNXCWQDUOZXDXCWHWIULZDUOXEWHDUPXFWQDWHWIUQURUSXEWRVSXAW
      DVRBWQDUTXEWTWCBEXEWSWBVTWACWQDVAVBVCVEVFVGVHVIVJVLVMVNWGTVOWGJDUEVMVNWGU
      FUJVK $.

    $( Any subset of extended reals has an infimum.  (Contributed by NM,
       25-Oct-2005.) $)
    xrinfmss $p |- ( A C_ RR* -> E. x e. RR* (
         A. y e. A -. y < x /\ A. y e. RR* ( x < y -> E. z e. A z < y ) ) ) $=
      ( cxr wss cr cmnf wcel wo cv clt wbr wn wral wrex wi wa cpnf bitri 3orass
      xrinfmsslem csn cdif ssdifss w3o ssxr pnfex snid elndif biorf mp2b orbi2i
      bitr4i sylib syl2anc2 cun xrinfmexpnf wceq undif uncom eqeq1i raleq rexeq
      wb snss imbi2d ralbidv anbi12d sylbi rexbidv syl5ib mpan9 df-3or mpjaodan
      or32 ) DEFZDGFZHDIZJZBKZAKZLMNZBDOZWBWALMZCKWALMZCDPZQZBEOZRZAEPZSDIZABCD
      UBVQWCBDSUCZUDZOWEWFCWNPQBEORAEPZWLWKVQWNEFZWNGFZHWNIZJZWODEWMUEWPWQSWNIZ
      WRUFZWSWNUGXAWQWTWRJZJWSWQWTWRUAWRXBWQSWMIWTNWRXBVESUHUISWMDUJWTWRUKULUMU
      NUOABCWNUBUPWOWCBWNWMUQZOZWEWFCXCPZQZBEOZRZAEPWLWKABCWNURWLXHWJAEWLXCDUSZ
      XHWJVEWLWMDFZXISDUHVFXJWMWNUQZDUSXIWMDUTXKXCDWMWNVAVBTTXIXDWDXGWIWCBXCDVC
      XIXFWHBEXIXEWGWEWFCXCDVDVGVHVIVJVKVLVMVQVRWLVSUFZVTWLJZDUGXLVRWLJVSJXMVRW
      LVSVNVRWLVSVPTUOVO $.

    $( Any subset of extended reals has an infimum.  (Contributed by Mario
       Carneiro, 16-Mar-2014.) $)
    xrinfmss2 $p |- ( A C_ RR* -> E. x e. RR* ( A. y e. A -. x `' < y /\
                      A. y e. RR* ( y `' < x -> E. z e. A y `' < z ) ) ) $=
      ( cxr wss cv clt wbr wn wral wrex wi wa ccnv xrinfmss brcnv ralbii rexbii
      vex notbii imbi12i anbi12i sylibr ) DEFBGZAGZHIZJZBDKZUFUEHIZCGZUEHIZCDLZ
      MZBEKZNZAELUFUEHOZIZJZBDKZUEUFUQIZUEUKUQIZCDLZMZBEKZNZAELABCDPVFUPAEUTUIV
      EUOUSUHBDURUGUFUEHATZBTZQUARVDUNBEVAUJVCUMUEUFHVHVGQVBULCDUEUKHVHCTQSUBRU
      CSUD $.

    $( By quantifying only over reals, we can specify any extended real upper
       bound for any set of extended reals.  (Contributed by NM,
       9-Apr-2006.) $)
    xrub $p |- ( ( A C_ RR* /\ B e. RR* ) -> ( A. x e. RR ( x < B ->
          E. y e. A x < y ) <-> A. x e. RR* ( x < B -> E. y e. A x < y ) ) ) $=
      ( vz cxr wcel wa clt wbr wrex wi cr wceq breq1 rexbidv cpnf cmnf c1 ax-mp
      wss cv wral imbi12d cbvralvw w3o elxr pm2.27 a1i wn pnfnlt notbid syl5ibr
      pm2.21 syl6com ad2antlr a1dd cmin peano2rem rspcv syl adantl ltm1 syl5com
      co id mnflt mnfxr rexrd ssel2 adantlr xrlttr mp3an2i mpand reximdva 3syld
      1re ltpnf breq2 mpbiri rexr mp3an12 mpani sylan9r syl5 xrltnr pm2.21d a1d
      mtbiri 3jaodan sylan2b imp syl5ibrcom 3jaod syl5bi com23 ralimdv2 pm2.43d
      ex imim1i ralimi2 impbid1 ) CFUAZDFGZHZAUBZDIJZXFBUBZIJZBCKZLZAMUCZXKAFUC
      ZXEXLXMXLEUBZDIJZXNXHIJZBCKZLZEMUCZXEXLXMLZXKXRAEMXFXNNZXGXOXJXQXFXNDIOYA
      XIXPBCXFXNXHIOPUDUEXEXSXTXEXSHZXKXKAMFYBXFFGZXFMGZXKLZXKYCYDXFQNZXFRNZUFY
      BYEXKLZXFUGYBYDYHYFYGYDYHLYBYDXKUHUIYBYFXKYEXDYFXKLXCXSYFXDXGUJZXKXDYIYFQ
      DIJZUJDUKYFXGYJXFQDIOULUMXGXJUNUOUPUQYBYGXKYEYBXKYGRDIJZRXHIJZBCKZLZXEXSY
      NXDXCDMGZDQNZDRNZUFXSYNLZDUGXCYOYRYPYQXCYOHZXSYMYKYSXSDSURVEZDIJZYTXHIJZB
      CKZLZUUCYMYOXSUUDLZXCYOYTMGZUUEDUSZXRUUDEYTMXNYTNZXOUUAXQUUCXNYTDIOUUHXPU
      UBBCXNYTXHIOPUDUTVAVBYOUUDUUCLXCYOUUAUUDUUCDVCUUDVFVDVBYSUUBYLBCYSXHCGZHZ
      RYTIJZUUBYLUUJUUFUUKYOUUFXCUUIUUGUPZYTVGVARFGZUUJYTFGXHFGZUUKUUBHYLLVHUUJ
      YTUULVIXCUUIUUNYOCFXHVJZVKRYTXHVLVMVNVOVPUQXCYPHZXSYMYKXSSDIJZSXHIJZBCKZL
      ZUUPYMSMGZXSUUTLVQXRUUTESMXNSNZXOUUQXQUUSXNSDIOUVBXPUURBCXNSXHIOPUDUTTYPU
      UTUUSXCYMYPUUQUUTUUSYPUUQSQIJZUVAUVCVQSVRTDQSIVSVTUUTVFVDXCUURYLBCXCUUIHU
      UNUURYLLUUOUUNRSIJZUURYLUVAUVDVQSVGTUUMSFGZUUNUVDUURHYLLVHUVAUVEVQSWATRSX
      HVLWBWCVAVOWDWEUQXCYQHZYNXSUVFYKYMYQYKUJXCYQYKRRIJZUUMUVGUJVHRWFTDRRIVSWI
      VBWGWHWJWKWLYGXGYKXJYMXFRDIOYGXIYLBCXFRXHIOPUDWMUQWNWOWPWQWSWOWRXKXKAFMYD
      YCXKXFWAWTXAXB $.

    $( The supremum of a set of extended reals.  (Contributed by NM,
       9-Apr-2006.)  (Revised by Mario Carneiro, 21-Apr-2015.) $)
    supxr $p |- ( ( ( A C_ RR* /\ B e. RR* ) /\ ( A. x e. A -. B < x /\
    A. x e. RR ( x < B -> E. y e. A x < y ) ) ) -> sup ( A , RR* , < ) = B ) $=
      ( cxr wss wcel wa cv clt wbr wn wral wrex wi cr csup wceq simplr wtru w3a
      simprl xrub biimpa adantrl wor xrltso a1i eqsup mptru syl3anc ) CEFZDEGZH
      ZDAIZJKLACMZUODJKUOBIJKBCNOZAPMZHZHUMUPUQAEMZCEJQDRZULUMUSSUNUPURUBUNURUT
      UPUNURUTABCDUCUDUEUMUPUTUAVAOTABECDJEJUFTUGUHUIUJUK $.

    $( The supremum of a set of extended reals.  (Contributed by NM,
       9-Apr-2006.) $)
    supxr2 $p |- ( ( ( A C_ RR* /\ B e. RR* ) /\ ( A. x e. A x <_ B /\
  A. x e. RR ( x < B -> E. y e. A x < y ) ) ) -> sup ( A , RR* , < ) = B ) $=
      ( cxr wss wcel wa cv cle wbr wral clt wrex wi cr wn csup wceq wb ralbidva
      ssel2 xrlenlt sylan an32s anbi1d biimpa supxr syldan ) CEFZDEGZHZAIZDJKZA
      CLZUMDMKUMBIMKBCNOAPLZHZDUMMKQZACLZUPHZCEMRDSULUQUTULUOUSUPULUNURACUJUMCG
      ZUKUNURTZUJVAHUMEGUKVBCEUMUBUMDUCUDUEUAUFUGABCDUHUI $.

    $( The supremum of an arbitrary set of extended reals is an extended real.
       (Contributed by NM, 24-Oct-2005.) $)
    supxrcl $p |- ( A C_ RR* -> sup ( A , RR* , < ) e. RR* ) $=
      ( vx vy vz cxr wss clt wor xrltso a1i xrsupss supcl ) AEFZBCDEAGEGHMIJBCD
      AKL $.

    $( The supremum of the union of two sets of extended reals equals the
       largest of their suprema.  (Contributed by NM, 19-Jan-2006.) $)
    supxrun $p |- ( ( A C_ RR* /\ B C_ RR*
                      /\ sup ( A , RR* , < ) <_ sup ( B , RR* , < ) )
                    -> sup ( ( A u. B ) , RR* , < ) = sup ( B , RR* , < ) ) $=
      ( vx vy vz vw cxr wss clt csup wbr wcel cv wn wral wi cr 3ad2ant2 xrsupss
      wa cle w3a cun wrex wceq unss biimpi 3adant3 supxrcl wo elun xrltso supub
      wor a1i 3ad2ant1 ad2antrr ad2antlr ssel2 adantlr xrlelttr syl3anc expdimp
      con3d exp41 com34 3imp mpdd jaod syl5bi ralrimiv rexr suplub sylani elun2
      anim1i reximi2 syl6 expd supxr syl22anc ) AGHZBGHZAGIJZBGIJZUAKZUBZABUCZG
      HZWEGLZWECMZIKZNZCWHOWKWEIKZWKDMZIKZDWHUDZPZCQOZWHGIJWEUEWBWCWIWFWBWCTZWI
      ABGUFUGUHWCWBWJWFBUIZRWGWMCWHWKWHLWKALZWKBLZUJWGWMWKABUKWGXBWMXCWGXBWDWKI
      KZNZWMWBWCXBXEPWFWBDEFGAWKIGIUNZWBULUODEFASUMUPWBWCWFXBXEWMPZPWBWCXBWFXGW
      BWCXBWFXGWTXBTZWFTWLXDXHWFWLXDXHWDGLZWJWKGLZWFWLTXDPWBXIWCXBAUIUQWCWJWBXB
      XAURWBXBXJWCAGWKUSUTWDWEWKVAVBVCVDVEVFVGVHWCWBXCWMPWFWCDEFGBWKIXFWCULUOZD
      EFBSUMRVIVJVKWCWBWSWFWCWRCQWCWKQLZWNWQWCXLWNTWPDBUDZWQXLWCXJWNXMWKVLWCCED
      GBWKIXKCEDBSVMVNWPWPDBWHWOBLWOWHLWPWOBAVOVPVQVRVSVKRCDWHWEVTWA $.

    $( Adding minus infinity to a set does not affect its supremum.
       (Contributed by NM, 19-Jan-2006.) $)
    supxrmnf $p |- ( A C_ RR* ->
                 sup ( ( A u. { -oo } ) , RR* , < ) = sup ( A , RR* , < ) ) $=
      ( cxr wss cmnf csn cun clt csup uncom supeq1i cle wbr wceq mnfxr snssi id
      wcel mp1i wor xrltso supsn mp2an supxrcl mnfle syl supxrun syl3anc eqtrid
      eqbrtrid ) ABCZADEZFZBGHUKAFZBGHZABGHZBULUMGAUKIJUJUKBCZUJUKBGHZUOKLUNUOM
      DBQZUPUJNDBORUJPUJUQDUOKBGSURUQDMTNBDGUAUBUJUOBQDUOKLAUCUOUDUEUIUKAUFUGUH
      $.

    $( The supremum of a set of extended reals containing plus infinity is plus
       infinity.  (Contributed by NM, 15-Oct-2005.) $)
    supxrpnf $p |- ( ( A C_ RR* /\ +oo e. A ) -> sup ( A , RR* , < ) = +oo ) $=
      ( vy vz cxr wss cpnf wcel cv clt wbr wn wral wrex wi cr wa csup wceq ssel
      pnfnlt syl6 ralrimiv breq2 rspcev ex ralrimivw anim12i pnfxr supxr mpanl2
      syldan ) ADEZFAGZFBHZIJKZBALZUNFIJZUNCHZIJZCAMZNZBOLZPZADIQFRZULUPUMVBULU
      OBAULUNAGUNDGUOADUNSUNTUAUBUMVABOUMUQUTUSUQCFAURFUNIUCUDUEUFUGULFDGVCVDUH
      BCAFUIUJUK $.

    $( The supremum of an unbounded-above set of extended reals is plus
       infinity.  (Contributed by NM, 19-Jan-2006.) $)
    supxrunb1 $p |- ( A C_ RR* -> ( A. x e. RR E. y e. A x <_ y <->
                    sup ( A , RR* , < ) = +oo ) ) $=
      ( vz vw cxr cv cle wbr wrex cr wral clt cpnf wceq wn wi wa wcel rexr csup
      wss ssel pnfnlt ralrimiv adantr c1 caddc co peano2re breq1 rexbidv rspcva
      syl6 adantrr ancoms ssel2 ltp1 ancli xrltletr syl3an2 syl3an1 3expa sylan
      sylan2 mpand an32s reximdva adantll mpd exp31 com4r com13 imp pnfxr supxr
      a1dd jca mpanl2 syldan ad2antlr ltpnf breq2 syl5ibr impcom wor xrltso a1i
      ex xrsupss ad2antrr suplub mp2and adantlr xrltle syl2anc ralrimdva impbid
      syld ) CFUBZAGZBGZHIZBCJZAKLZCFMUAZNOZWTXEXGWTXENDGZMIPZDCLZXHNMIZXHXBMIZ
      BCJZQZDKLZRZXGWTXERZXJXOWTXJXEWTXIDCWTXHCSXHFSZXICFXHUCXHUDUNUEUFXQXNDKWT
      XEXHKSZXNQXSXEWTXNXEWTXKXSXMXEWTXSXMQXKXEWTXSXMXEWTRZXSRXHUGUHUIZXBHIZBCJ
      ZXMXSXTYAKSZYCXHUJZYDXTYCYDXEYCWTXDYCAYAKXAYAOXCYBBCXAYAXBHUKULUMUOUPVEWT
      XSYCXMQXEWTXSRYBXLBCWTXBCSZXSYBXLQZWTYFRXBFSZXSYGCFXBUQZXSYHYGXSYHRXHYAMI
      ZYBXLXSYJYHXHURUFXSXSYDRYHYJYBRXLQZXSYDYEUSXSYDYHYKXSXRYDYHYKXHTYDXRYAFSY
      HYKYATXHYAXBUTVAVBVCVDVFUPVDVGVHVIVJVKVQVLVMVNUEVRWTNFSXPXGVODBCNVPVSVTWI
      WTXGXDAKWTXAKSZRZXGXAXBMIZBCJZXDYMXGYOYMXGRZXAFSZXAXFMIZYOYLYQWTXGXATZWAY
      LXGYRWTXGYLYRYLYRXGXANMIXAWBXFNXAMWCWDWEVIYPDEBFCXAMFMWFYPWGWHWTXHEGZMIPE
      CLYTXHMIYTXBMIBCJQEFLRDFJYLXGDEBCWJWKWLWMWIYMYNXCBCYMYFRYQYHYNXCQYLYQWTYF
      YSWAWTYFYHYLYIWNXAXBWOWPVHWSWQWR $.

    $( The supremum of an unbounded-above set of extended reals is plus
       infinity.  (Contributed by NM, 19-Jan-2006.) $)
    supxrunb2 $p |- ( A C_ RR* -> ( A. x e. RR E. y e. A x < y <->
                    sup ( A , RR* , < ) = +oo ) ) $=
      ( vz vw cxr cv clt wbr wrex cr wral cpnf wceq wn wi wcel ralrimiv exp31
      wa csup ssel pnfnlt syl6 adantr breq1 rexbidv rspcva adantrr ancoms com4r
      wss a1dd com13 imp pnfxr supxr mpanl2 syldan ex rexr ad2antlr ltpnf breq2
      jca syl5ibr impcom adantll wor xrltso a1i ad2antrr suplub mp2and ralrimdv
      xrsupss com23 impbid ) CFULZAGZBGZHIZBCJZAKLZCFHUAZMNZVSWDWFVSWDMDGZHIOZD
      CLZWGMHIZWGWAHIZBCJZPZDKLZTZWFVSWDTZWIWNVSWIWDVSWHDCVSWGCQWGFQWHCFWGUBWGU
      CUDRUEWPWMDKVSWDWGKQZWMPWQWDVSWMWDVSWJWQWLWDVSWQWLPWJWDVSWQWLWQWDVSTWLWQW
      DWLVSWCWLAWGKVTWGNWBWKBCVTWGWAHUFUGUHUIUJSUMUKUNUORVEVSMFQWOWFUPDBCMUQURU
      SUTVSWFWCAKVSVTKQZWFWCVSWRWFWCVSWRTWFTZVTFQZVTWEHIZWCWRWTVSWFVTVAVBWRWFXA
      VSWFWRXAWRXAWFVTMHIVTVCWEMVTHVDVFVGVHWSDEBFCVTHFHVIWSVJVKVSWGEGZHIOECLXBW
      GHIXBWAHIBCJPEFLTDFJWRWFDEBCVPVLVMVNSVQVOVR $.

    $( The supremum of a bounded-above set of extended reals is less than
       infinity.  (Contributed by NM, 30-Jan-2006.) $)
    supxrbnd1 $p |- ( A C_ RR* -> ( E. x e. RR A. y e. A y < x <->
                    sup ( A , RR* , < ) < +oo ) ) $=
      ( cxr wss cv clt wbr wral cr wrex csup cpnf wn cle wceq ralnex wcel wa wb
      rexr ssel2 xrlenlt syl2anr an32s rexbidva rexnal bitr2di ralbidva bitr3id
      supxrunb1 supxrcl nltpnft syl 3bitrd con4bid ) CDEZBFZAFZGHZBCIZAJKZCDGLZ
      MGHZUQVBNZUSUROHZBCKZAJIZVCMPZVDNZVEVANZAJIUQVHVAAJQUQVKVGAJUQUSJRZSZVGUT
      NZBCKVKVMVFVNBCUQURCRZVLVFVNTZVLUSDRURDRVPUQVOSUSUACDURUBUSURUCUDUEUFUTBC
      UGUHUIUJABCUKUQVCDRVIVJTCULVCUMUNUOUP $.

    $( The supremum of a bounded-above set of extended reals is less than
       infinity.  (Contributed by NM, 30-Jan-2006.) $)
    supxrbnd2 $p |- ( A C_ RR* -> ( E. x e. RR A. y e. A y <_ x <->
                    sup ( A , RR* , < ) < +oo ) ) $=
      ( cxr wss cv cle wbr wral cr wrex clt csup cpnf wn wceq ralnex wcel wa wb
      ssel2 rexr xrlenlt con2bid syl2an an32s rexbidva bitr2di ralbidva bitr3id
      rexnal supxrunb2 supxrcl nltpnft syl 3bitrd con4bid ) CDEZBFZAFZGHZBCIZAJ
      KZCDLMZNLHZURVCOZUTUSLHZBCKZAJIZVDNPZVEOZVFVBOZAJIURVIVBAJQURVLVHAJURUTJR
      ZSZVHVAOZBCKVLVNVGVOBCURUSCRZVMVGVOTZURVPSUSDRZUTDRZVQVMCDUSUAUTUBVRVSSVA
      VGUSUTUCUDUEUFUGVABCUKUHUIUJABCULURVDDRVJVKTCUMVDUNUOUPUQ $.

    $( The supremum of an empty set under the extended reals is minus infinity.
       (Contributed by NM, 15-Oct-2005.) $)
    xrsup0 $p |- sup ( (/) , RR* , < ) = -oo $=
      ( vy vz c0 cxr wss cmnf wcel cv clt wbr wn wral wrex wi cr csup 0ss mnfxr
      wceq ral0 rexr nltmnf syl pm2.21d rgen supxr mp4an ) CDEFDGFAHZIJKZACLUHF
      IJZUHBHIJBCMZNZAOLCDIPFSDQRUIATULAOUHOGZUJUKUMUHDGUJKUHUAUHUBUCUDUEABCFUF
      UG $.

    $( A member of a set of extended reals is less than or equal to the set's
       supremum.  (Contributed by NM, 7-Feb-2006.) $)
    supxrub $p |- ( ( A C_ RR* /\ B e. A ) -> B <_ sup ( A , RR* , < ) ) $=
      ( vx vy vz cxr wss wcel wa clt ssel2 supxrcl adantr wbr wn wor xrltso a1i
      csup xrsupss supub imp xrnltled ) AFGZBAHZIBAFJSZAFBKUDUFFHUEALMUDUEUFBJN
      OUDCDEFABJFJPUDQRCDEATUAUBUC $.

    $( The supremum of a set of extended reals is less than or equal to an
       upper bound.  (Contributed by Mario Carneiro, 13-Sep-2015.) $)
    supxrlub $p |- ( ( A C_ RR* /\ B e. RR* ) ->
                      ( B < sup ( A , RR* , < ) <-> E. x e. A B < x ) ) $=
      ( vy vz cxr wss clt wor xrltso a1i xrsupss id suplub2 ) BFGZDEAFBCHFHIOJK
      DEABLOMN $.

    $( The supremum of a set of extended reals is less than or equal to an
       upper bound.  (Contributed by NM, 22-Feb-2006.)  (Revised by Mario
       Carneiro, 6-Sep-2014.) $)
    supxrleub $p |- ( ( A C_ RR* /\ B e. RR* ) ->
                      ( sup ( A , RR* , < ) <_ B <-> A. x e. A x <_ B ) ) $=
      ( cxr wss wcel wa clt csup wbr wn cv wral cle wrex supxrlub notbid ralnex
      bitr4di wb supxrcl xrlenlt sylan sselda simplr xrlenltd ralbidva 3bitr4d
      simpl ) BDEZCDFZGZCBDHIZHJZKZCALZHJZKZABMZUMCNJZUPCNJZABMULUOUQABOZKUSULU
      NVBABCPQUQABRSUJUMDFUKUTUOTBUAUMCUBUCULVAURABULUPBFZGUPCULBDUPUJUKUIUDUJU
      KVCUEUFUGUH $.

    $( The real and extended real suprema match when the real supremum exists.
       (Contributed by NM, 18-Oct-2005.)  (Proof shortened by Mario Carneiro,
       7-Sep-2014.) $)
    supxrre $p |- ( ( A C_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A y <_ x ) ->
                  sup ( A , RR* , < ) = sup ( A , RR , < ) ) $=
      ( vz cr wss cv cle wbr wral cxr clt csup wcel rexrd wb suprleub supxrleub
      mpdan cmnf c0 wne wrex w3a simp1 ressxr sstrdi supxrcl syl suprcl syl2anc
      leidd bitr4d mpbid xrleidd wex simp2 n0 sylib wa a1i sselda adantr mnfltd
      mnfxr supxrub sylan xrltletrd exlimddv xrre syl22anc xrletrid ) CEFZCUAUB
      ZBGAGZHIBCJAEUCZUDZCKLMZCELMZVQCKFZVRKNZVQCEKVMVNVPUEZUFUGZCUHUIZVQVSABCU
      JZOZVQVSVSHIZVRVSHIZVQVSWEULVQWGDGZVSHIDCJZWHVQVSENZWGWJPWEABDCVSQSVQVTVS
      KNWHWJPWCWFDCVSRUKUMUNZVQVRVRHIZVSVRHIZVQVRWDUOVQWMVOVRHIACJZWNVQVTWAWMWO
      PWCWDACVRRUKVQVRENZWNWOPVQWAWKTVRLIZWHWPWDWEVQWICNZWQDVQVNWRDUPVMVNVPUQDC
      URUSVQWRUTZTWIVRTKNWSVEVAWSWIVQCEWIWBVBZOVQWAWRWDVCWSWIWTVDVQVTWRWIVRHIWC
      CWIVFVGVHVIWLVRVSVJVKABACVRQSUMUNVL $.

    $( The supremum of a bounded-above nonempty set of reals is real.
       (Contributed by NM, 19-Jan-2006.) $)
    supxrbnd $p |- ( ( A C_ RR /\ A =/= (/) /\ sup ( A , RR* , < ) < +oo ) ->
                    sup ( A , RR* , < ) e. RR ) $=
      ( vy vx cr wss c0 wne cxr clt csup cpnf wbr cv cle wral wrex wa wn bitrdi
      wcel ressxr sstr mpan2 wi supxrcl pnfxr xrltne mp3an2 necomd ex supxrunb2
      syl wceq wb adantlr rexr ad2antlr xrlenlt con2bid syl2anc rexbidva rexnal
      ssel2 ralbidva bitr3d ralnex necon2abid sylibrd imp sylan 3adant2 supxrre
      w3a suprcl eqeltrd syld3an3 ) ADEZAFGZAHIJZKILZBMZCMZNLZBAOZCDPZVSDTVQVTW
      EVRVQAHEZVTWEVQDHEWFUAADHUBUCWFVTWEWFVTVSKGZWEWFVSHTZVTWGUDAUEWHVTWGWHVTQ
      KVSWHKHTVTKVSGUFVSKUGUHUIUJULWFWEVSKWFVSKUMZWDRZCDOZWERWFWBWAILZBAPZCDOWI
      WKCBAUKWFWMWJCDWFWBDTZQZWMWCRZBAPWJWOWLWPBAWOWAATZQWAHTZWBHTZWLWPUNWFWQWR
      WNAHWAVCUOWNWSWFWQWBUPUQWRWSQWCWLWAWBURUSUTVAWCBAVBSVDVEWDCDVFSVGVHVIVJVK
      VQVRWEVMVSADIJDCBAVLCBAVNVOVP $.

    $( The supremum of a nonempty set of reals is greater than minus infinity.
       (Contributed by NM, 2-Feb-2006.) $)
    supxrgtmnf $p |- ( ( A C_ RR /\ A =/= (/) ) ->
                     -oo < sup ( A , RR* , < ) ) $=
      ( cr wss c0 wne wa cxr clt csup wcel cpnf wceq wo cmnf wn supxrbnd 3expia
      wbr con3d syl wb ressxr sstr mpan2 supxrcl adantr nltpnft sylibrd mnfltxr
      orrd ) ABCZADEZFZAGHIZBJZUNKLZMNUNHRUMUOUPUMUOOUNKHRZOZUPUMUQUOUKULUQUOAP
      QSUMUNGJZUPURUAUKUSULUKAGCZUSUKBGCUTUBABGUCUDAUETUFUNUGTUHUJUNUIT $.

    $( The supremum of a nonempty set of reals is real iff it is less than plus
       infinity.  (Contributed by NM, 5-Feb-2006.) $)
    supxrre1 $p |- ( ( A C_ RR /\ A =/= (/) ) ->
            ( sup ( A , RR* , < ) e. RR <-> sup ( A , RR* , < ) < +oo ) ) $=
      ( cr wss c0 wne wa cxr clt csup wcel cmnf wbr cpnf supxrgtmnf ressxr sstr
      wb mpan2 supxrcl xrrebnd 3syl adantr mpbirand ) ABCZADEZFAGHIZBJZKUFHLZUF
      MHLZANUDUGUHUIFQZUEUDAGCZUFGJUJUDBGCUKOABGPRASUFTUAUBUC $.

    $( The supremum of a nonempty set of reals is real iff it is not plus
       infinity.  (Contributed by NM, 5-Feb-2006.) $)
    supxrre2 $p |- ( ( A C_ RR /\ A =/= (/) ) ->
            ( sup ( A , RR* , < ) e. RR <-> sup ( A , RR* , < ) =/= +oo ) ) $=
      ( cr wss c0 wne wa cxr clt csup wcel cpnf supxrre1 wb wceq wn ressxr sstr
      wbr mpan2 supxrcl nltpnft 3syl necon2abid adantr bitrd ) ABCZADEZFAGHIZBJ
      UHKHRZUHKEZALUFUIUJMUGUFUIUHKUFAGCZUHGJUHKNUIOMUFBGCUKPABGQSATUHUAUBUCUDU
      E $.

    $( Smaller sets of extended reals have smaller suprema.  (Contributed by
       Mario Carneiro, 1-Apr-2015.) $)
    supxrss $p |- ( ( A C_ B /\ B C_ RR* ) ->
        sup ( A , RR* , < ) <_ sup ( B , RR* , < ) ) $=
      ( vx wss cxr wa clt csup cle wbr cv wral wcel simplr simpl sselda supxrub
      syl2anc ralrimiva wb sstr supxrcl adantl supxrleub mpbird ) ABDZBEDZFZAEG
      HBEGHZIJZCKZUIIJZCALZUHULCAUHUKAMZFUGUKBMULUFUGUNNUHABUKUFUGOPBUKQRSUHAED
      UIEMZUJUMTABEUAUGUOUFBUBUCCAUIUDRUE $.
  $}

  ${
    $d A x y z $.
    $( The infimum of an arbitrary set of extended reals is an extended real.
       (Contributed by NM, 19-Jan-2006.)  (Revised by AV, 5-Sep-2020.) $)
    infxrcl $p |- ( A C_ RR* -> inf ( A , RR* , < ) e. RR* ) $=
      ( vx vy vz cxr wss clt wor xrltso a1i xrinfmss infcl ) AEFZBCDEAGEGHMIJBC
      DAKL $.

    $( A member of a set of extended reals is greater than or equal to the
       set's infimum.  (Contributed by Mario Carneiro, 16-Mar-2014.)  (Revised
       by AV, 5-Sep-2020.) $)
    infxrlb $p |- ( ( A C_ RR* /\ B e. A )
                         -> inf ( A , RR* , < ) <_ B ) $=
      ( vx vy vz cxr wss wcel wa clt infxrcl adantr ssel2 wbr wn wor xrltso a1i
      cinf xrinfmss inflb imp xrnltled ) AFGZBAHZIAFJSZBUDUFFHUEAKLAFBMUDUEBUFJ
      NOUDCDEFABJFJPUDQRCDEATUAUBUC $.

    ${
      $d B x $.
      $( The infimum of a set of extended reals is greater than or equal to a
         lower bound.  (Contributed by Mario Carneiro, 16-Mar-2014.)  (Revised
         by AV, 5-Sep-2020.) $)
      infxrgelb $p |- ( ( A C_ RR* /\ B e. RR* ) ->
                     ( B <_ inf ( A , RR* , < ) <-> A. x e. A B <_ x ) ) $=
        ( vz vy cxr wss wcel wa clt cinf wbr wn cv wral cle wrex wor xrltso id
        xrinfmss infglbb notbid ralnex bitr4di wb infxrcl xrlenlt syl2anr simpl
        a1i simplr sselda xrlenltd ralbidva 3bitr4d ) BFGZCFHZIZBFJKZCJLZMZANZC
        JLZMZABOZCUTPLZCVCPLZABOUSVBVDABQZMVFUSVAVIUQDEAFBCJFJRUQSUKDEABUAUQTUB
        UCVDABUDUEURURUTFHVGVBUFUQURTBUGCUTUHUIUSVHVEABUSVCBHZICVCUQURVJULUSBFV
        CUQURUJUMUNUOUP $.
    $}

    $( The real and extended real infima match when the real infimum exists.
       (Contributed by Mario Carneiro, 7-Sep-2014.)  (Revised by AV,
       5-Sep-2020.) $)
    infxrre $p |- ( ( A C_ RR /\ A =/= (/)
                          /\ E. x e. RR A. y e. A x <_ y ) ->
                  inf ( A , RR* , < ) = inf ( A , RR , < ) ) $=
      ( vz cr wss cv cle wbr wral cxr clt cinf wcel wb infxrgelb syl2anc adantr
      cmnf infregelb wne wrex w3a simp1 ressxr sstrdi infxrcl syl infrecl rexrd
      c0 xrleidd simp2 n0 sylib wa sselda mnfxr mnfltd leidd mpdan bitr4d mpbid
      wex a1i xrltletrd infxrlb sylan xrre syl22anc exlimddv xrletrid ) CEFZCUK
      UAZAGZBGHIBCJAEUBZUCZCKLMZCELMZVQCKFZVRKNZVQCEKVMVNVPUDZUEUFZCUGUHZVQVSAB
      CUIZUJZVQVRVRHIZVRVSHIZVQVRWDULVQWGVRVOHIACJZWHVQVTWAWGWIOWCWDACVRPQVQVRE
      NZWHWIOVQDGZCNZWJDVQVNWLDVDVMVNVPUMDCUNUOVQWLUPWAWKENSVRLIZVRWKHIZWJVQWAW
      LWDRVQCEWKWBUQVQWMWLVQSVSVRSKNVQURVEWFWDVQVSWEUSVQVSVSHIZVSVRHIZVQVSWEUTV
      QWOVSVOHIACJZWPVQVSENWOWQOWEABACVSTVAVQVTVSKNWPWQOWCWFACVSPQVBVCZVFRVQVTW
      LWNWCCWKVGVHVRWKVIVJVKABACVRTVAVBVCWRVL $.
  $}

  $( The infinimum of a set of extended reals containing minus infinity is
     minus infinity.  (Contributed by Thierry Arnoux, 18-Feb-2018.)  (Revised
     by AV, 28-Sep-2020.) $)
  infxrmnf $p |- ( ( A C_ RR* /\ -oo e. A ) -> inf ( A , RR* , < ) = -oo ) $=
    ( cxr wss cmnf wcel clt cinf cle wbr wceq infxrlb infxrcl adantr xlemnf syl
    wa wb mpbid ) ABCZDAEZPZABFGZDHIZUBDJZADKUAUBBEZUCUDQSUETALMUBNOR $.

  ${
    $d y z $.
    $( The infimum of the empty set under the extended reals is positive
       infinity.  (Contributed by Mario Carneiro, 21-Apr-2015.)  (Revised by
       AV, 5-Sep-2020.) $)
    xrinf0 $p |- inf ( (/) , RR* , < ) = +oo $=
      ( vy vz c0 cxr clt cinf cpnf wceq wtru wor xrltso a1i wcel pnfxr wbr noel
      cv wn pm2.21i adantl wa wrex pnfnlt pm2.21d imp eqinfd mptru ) CDEFGHIABD
      CGEDEJIKLGDMINLAQZCMZUHGEORZIUIUJUHPSTUHDMZGUHEOZUABQUHEOBCUBZIUKULUMUKUL
      UMUHUCUDUETUFUG $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Larger sets of extended reals have smaller infima.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.)  (Revised by AV, 13-Sep-2020.) $)
    infxrss $p |- ( ( A C_ B /\ B C_ RR* )
                    -> inf ( B , RR* , < ) <_ inf ( A , RR* , < ) ) $=
      ( vx wss cxr wa clt cinf cle wbr cv wral wcel simplr simpl sselda infxrlb
      syl2anc ralrimiva wb sstr infxrcl adantl infxrgelb mpbird ) ABDZBEDZFZBEG
      HZAEGHIJZUICKZIJZCALZUHULCAUHUKAMZFUGUKBMULUFUGUNNUHABUKUFUGOPBUKQRSUHAED
      UIEMZUJUMTABEUAUGUOUFBUBUCCAUIUDRUE $.
  $}

  ${
    $d x y $.
    $( For all real numbers there is a smaller real number.  (Contributed by
       AV, 5-Sep-2020.) $)
    reltre $p |- A. x e. RR E. y e. RR y < x $=
      ( cv clt wbr cr wrex wcel c1 cmin co peano2rem wceq breq1 adantl rspcedvd
      wb ltm1 rgen ) BCZACZDEZBFGAFUAFHZUBUAIJKZUADEZBUDFUALTUDMUBUEQUCTUDUADNO
      UARPS $.

    $( For all positive real numbers there is a smaller positive real number.
       (Contributed by AV, 5-Sep-2020.) $)
    rpltrp $p |- A. x e. RR+ E. y e. RR+ y < x $=
      ( cv clt wbr crp wrex wcel c2 cdiv co rphalfcl wceq breq1 adantl rphalflt
      wb rspcedvd rgen ) BCZACZDEZBFGAFUAFHZUBUAIJKZUADEZBUDFUALTUDMUBUEQUCTUDU
      ADNOUAPRS $.

    $( For all extended real numbers not being minus infinity there is a
       smaller real number.  (Contributed by AV, 5-Sep-2020.) $)
    reltxrnmnf $p |- A. x e. RR* ( -oo < x -> E. y e. RR y < x ) $=
      ( cmnf cv clt wbr cr wrex wi cxr wcel cpnf wceq w3o elxr reltre rspec a1d
      cc0 breq2 0red wb breq1 adantl 0ltpnf mpbiri rspcedvd mnfxr pm2.21d ax-mp
      nltmnf syl6bi 3jaoi sylbi rgen ) CADZEFZBDZUPEFZBGHZIZAJUPJKUPGKZUPLMZUPC
      MZNVAUPOVBVAVCVDVBUTUQUTAGABPQRVCUTUQVCUSSUPEFZBSGVCUAURSMUSVEUBVCURSUPEU
      CUDVCVESLEFUEUPLSETUFUGRVDUQCCEFZUTUPCCETCJKZVFUTIUHVGVFUTCUKUIUJULUMUNUO
      $.
  $}

  ${
    $d x y z $.
    $( The infimum of the reals is minus infinity.  (Contributed by AV,
       5-Sep-2020.) $)
    infmremnf $p |- inf ( RR , RR* , < ) = -oo $=
      ( vx vz vy cmnf cv clt wbr cr wrex wi cxr wral cinf reltxrnmnf wor xrltso
      wceq a1i wcel breq2 mnfxr wn rexr nltmnf syl adantl rexbidv imbi12d rspcv
      wa weq com23 imp impcom eqinfd ax-mp ) DAEZFGZBEZUQFGZBHIZJZAKLZHKFMDQABN
      VCCBKHDFKFOVCPRDKSVCUARCEZHSZVDDFGUBZVCVEVDKSZVFVDUCVDUDUEUFVGDVDFGZUJVCU
      SVDFGZBHIZVGVHVCVJJVGVCVHVJVBVHVJJAVDKACUKZURVHVAVJUQVDDFTVKUTVIBHUQVDUSF
      TUGUHUIULUMUNUOUP $.

    $( The infimum of the positive reals is 0.  (Contributed by AV,
       5-Sep-2020.) $)
    infmrp1 $p |- inf ( RR+ , RR , < ) = 0 $=
      ( vy vx vz cv clt wbr crp wrex wral cr cinf cc0 wceq rpltrp wor ltso 0red
      a1i wcel wn rpre rpge0 lensymd adantl wa wi elrp weq breq2 rexbidv sylbir
      rspcv impcom eqinfd ax-mp ) ADZBDZEFZAGHZBGIZGJEKLMBANUTCAJGLEJEOUTPRUTQC
      DZGSZVALEFTUTVBLVAVBQVAUAVAUBUCUDVAJSLVAEFUEZUTUPVAEFZAGHZVCVBUTVEUFVAUGU
      SVEBVAGBCUHURVDAGUQVAUPEUIUJULUKUMUNUO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Real number intervals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c (,) $.
  $c (,] $.
  $c [,) $.
  $c [,] $.

  $( Extend class notation with the set of open intervals of extended reals. $)
  cioo $a class (,) $.

  $( Extend class notation with the set of open-below, closed-above intervals
     of extended reals. $)
  cioc $a class (,] $.

  $( Extend class notation with the set of closed-below, open-above intervals
     of extended reals. $)
  cico $a class [,) $.

  $( Extend class notation with the set of closed intervals of extended
     reals. $)
  cicc $a class [,] $.

  ${
    $d x y z $.
    $( Define the set of open intervals of extended reals.  (Contributed by NM,
       24-Dec-2006.) $)
    df-ioo $a |- (,) = ( x e. RR* , y e. RR* |->
                   { z e. RR* | ( x < z /\ z < y ) } ) $.

    $( Define the set of open-below, closed-above intervals of extended reals.
       (Contributed by NM, 24-Dec-2006.) $)
    df-ioc $a |- (,] = ( x e. RR* , y e. RR* |->
                   { z e. RR* | ( x < z /\ z <_ y ) } ) $.

    $( Define the set of closed-below, open-above intervals of extended reals.
       (Contributed by NM, 24-Dec-2006.) $)
    df-ico $a |- [,) = ( x e. RR* , y e. RR* |->
                   { z e. RR* | ( x <_ z /\ z < y ) } ) $.

    $( Define the set of closed intervals of extended reals.  (Contributed by
       NM, 24-Dec-2006.) $)
    df-icc $a |- [,] = ( x e. RR* , y e. RR* |->
                   { z e. RR* | ( x <_ z /\ z <_ y ) } ) $.
  $}

  ${
    $d w x y z A $.  $d w x y z C $.  $d w x y z D $.  $d w O $.  $d w Q $.
    $d w x y z B $.  $d w P $.  $d x y z R $.  $d x y z S $.  $d x y z T $.
    $d x y z U $.  $d w W $.  $d w X $.
    ixx.1 $e |- O = ( x e. RR* , y e. RR* |->
                   { z e. RR* | ( x R z /\ z S y ) } ) $.
    $( Value of the interval function.  (Contributed by Mario Carneiro,
       3-Nov-2013.) $)
    ixxval $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A O B ) =
                 { z e. RR* | ( A R z /\ z S B ) } ) $=
      ( cxr cv wbr wa crab wceq breq1 anbi1d rabbidv breq2 anbi2d rabex ovmpo
      xrex ) ABDEJJAKZCKZFLZUEBKZGLZMZCJNDUEFLZUEEGLZMZCJNHUJUHMZCJNUDDOZUIUMCJ
      UNUFUJUHUDDUEFPQRUGEOZUMULCJUOUHUKUJUGEUEGSTRIULCJUCUAUB $.

    $( Membership in an interval of extended reals.  (Contributed by Mario
       Carneiro, 3-Nov-2013.) $)
    elixx1 $p |- ( ( A e. RR* /\ B e. RR* ) -> ( C e. ( A O B ) <->
                 ( C e. RR* /\ A R C /\ C S B ) ) ) $=
      ( cxr wcel wa co cv wbr crab w3a ixxval eleq2d breq2 breq1 anbi12d 3anass
      wceq elrab bitr4i bitrdi ) DKLEKLMZFDEINZLFDCOZGPZUKEHPZMZCKQZLZFKLZDFGPZ
      FEHPZRZUIUJUOFABCDEGHIJSTUPUQURUSMZMUTUNVACFKUKFUEULURUMUSUKFDGUAUKFEHUBU
      CUFUQURUSUDUGUH $.

    $( The set of intervals of extended reals maps to subsets of extended
       reals.  (Contributed by FL, 14-Jun-2007.)  (Revised by Mario Carneiro,
       16-Nov-2013.) $)
    ixxf $p |- O : ( RR* X. RR* ) --> ~P RR* $=
      ( cv wbr wa cxr crab cpw wcel wral cxp wf cvv xrex ssrab2 elpwi2 rgen2w
      fmpo mpbi ) AHCHZDIUEBHEIJZCKLZKMZNZBKOAKOKKPUHFQUIABKKUGKRSUFCKTUAUBABKK
      UGUHFGUCUD $.

    $( The set of intervals of extended reals exists.  (Contributed by Mario
       Carneiro, 3-Nov-2013.)  (Revised by Mario Carneiro, 17-Nov-2014.) $)
    ixxex $p |- O e. _V $=
      ( cxr cxp cpw xrex xpex pwex wf wss ixxf fssxp ax-mp ssexi ) FHHIZHJZIZTU
      AHHKKLHKMLTUAFNFUBOABCDEFGPTUAFQRS $.

    $( The set of intervals of extended reals maps to subsets of extended
       reals.  (Contributed by Mario Carneiro, 4-Jul-2014.) $)
    ixxssxr $p |- ( A O B ) C_ RR* $=
      ( co cxr cpw wcel wss cop cfv df-ov cxp ixxf 0elpw eqeltri ovex elpw mpbi
      f0cli ) DEHJZKLZMUFKNUFDEOZHPUGDEHQKKRUGUHHABCFGHISKTUEUAUFKDEHUBUCUD $.

    $( Membership in a set of open intervals of extended reals.  We use the
       fact that an operation's value is empty outside of its domain to show
       ` A e. RR* ` and ` B e. RR* ` .  (Contributed by Mario Carneiro,
       3-Nov-2013.) $)
    elixx3g $p |- ( C e. ( A O B ) <->
          ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\ ( A R C /\ C S B ) ) ) $=
      ( cxr wcel wa wbr w3a co anass df-3an bitrd c0 anbi1i wb elixx1 3anass wn
      ibar syl5bb cxp cpw ixxf fdmi ndmov eleq2d pm2.21i simpl pm5.21ni pm2.61i
      noel 3bitr4ri ) DKLZEKLZMZFKLZMZDFGNZFEHNZMZMVBVCVGMZMZUTVAVCOZVGMFDEIPZL
      ZVBVCVGQVJVDVGUTVAVCRUAVBVLVIUBVBVLVCVEVFOZVIABCDEFGHIJUCVMVHVBVIVCVEVFUD
      VBVHUFUGSVBUEZVLFTLZVIVNVKTFDEKIKKUHKUIIABCGHIJUJUKULUMVOVBVIVOVBFURUNVBV
      HUOUPSUQUS $.

    ${
      ixx.2 $e |- P = ( x e. RR* , y e. RR* |->
                       { z e. RR* | ( x T z /\ z U y ) } ) $.
      ixx.3 $e |- ( ( A e. RR* /\ w e. RR* ) -> ( A R w -> A T w ) ) $.
      ixx.4 $e |- ( ( w e. RR* /\ B e. RR* ) -> ( w S B -> w U B ) ) $.
      $( An interval is a subset of its closure.  (Contributed by Paul Chapman,
         18-Oct-2007.)  (Revised by Mario Carneiro, 3-Nov-2013.) $)
      ixxssixx $p |- ( A O B ) C_ ( A P B ) $=
        ( cxr wcel wa wbr co cv crab elmpocl w3a simp1 a1i simpl 3simpa expimpd
        wi syl2im simpr 3simpb ancoms 3jcad elixx1 3imtr4d mpcom ssriv ) DEFLUA
        ZEFGUAZEQRZFQRZSZDUBZVARZVFVBRZABQQAUBCUBZHTVIBUBITSCQUCEFLVFMUDVEVFQRZ
        EVFHTZVFFITZUEZVJEVFJTZVFFKTZUEVGVHVEVMVJVNVOVMVJUKVEVJVKVLUFUGVEVCVMVJ
        VKSVNVCVDUHVJVKVLUIVCVJVKVNOUJULVEVDVMVJVLSVOVCVDUMVJVKVLUNVDVJVLVOVJVD
        VLVOUKPUOUJULUPABCEFVFHILMUQABCEFVFJKGNUQURUSUT $.
    $}

    ${
      ixxun.2 $e |- P = ( x e. RR* , y e. RR* |->
                         { z e. RR* | ( x T z /\ z U y ) } ) $.
      ixxun.3 $e |- ( ( B e. RR* /\ w e. RR* ) -> ( B T w <-> -. w S B ) ) $.
      $( Split an interval into disjoint pieces.  (Contributed by Mario
         Carneiro, 16-Jun-2014.) $)
      ixxdisj $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
                      ( ( A O B ) i^i ( B P C ) ) = (/) ) $=
        ( cxr wcel c0 wbr w3a co cin wss wceq elin elixx1 3adant3 biimpa simp3d
        cv wa wb adantrr wn 3adant1 simp2d simpl2 simp1d syl2anc mpbid pm2.65da
        adantrl pm2.21d syl5bi ssrdv ss0 syl ) EQRZFQRZGQRZUAZEFMUBZFGHUBZUCZSU
        DVOSUEVLDVOSDUKZVORVPVMRZVPVNRZULZVLVPSRZVPVMVNUFVLVSVTVLVSVPFJTZVLVQWA
        VRVLVQULVPQRZEVPITZWAVLVQWBWCWAUAZVIVJVQWDUMVKABCEFVPIJMNUGUHUIUJUNVLVR
        WAUOZVQVLVRULZFVPKTZWEWFWBWGVPGLTZVLVRWBWGWHUAZVJVKVRWIUMVIABCFGVPKLHOU
        GUPUIZUQWFVJWBWGWEUMVIVJVKVRURWFWBWGWHWJUSPUTVAVCVBVDVEVFVOVGVH $.

      ixxun.4 $e |- Q = ( x e. RR* , y e. RR* |->
                         { z e. RR* | ( x R z /\ z U y ) } ) $.
      ixxun.5 $e |- ( ( w e. RR* /\ B e. RR* /\ C e. RR* ) ->
                      ( ( w S B /\ B X C ) -> w U C ) ) $.
      ixxun.6 $e |- ( ( A e. RR* /\ B e. RR* /\ w e. RR* ) ->
                      ( ( A W B /\ B T w ) -> A R w ) ) $.
      $( Split an interval into two parts.  (Contributed by Mario Carneiro,
         16-Jun-2014.) $)
      ixxun $p |- ( ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\
                      ( A W B /\ B X C ) ) ->
                    ( ( A O B ) u. ( B P C ) ) = ( A Q C ) ) $=
        ( cxr wcel w3a wbr wa co cun cv wo elun wb simpl1 simpl2 elixx1 syl2anc
        biimpa simp1d simp2d simp3d simplrr adantr simpl3 syl3anc mp2and jaodan
        wi 3jca simplrl biimpar syldan exmid jca df-3an bitrdi mpbirand 3anan12
        wn biantrud 3bitr2d orbi12d mpbiri impbida syl5bb eqrdv ) EUCUDZFUCUDZG
        UCUDZUEZEFOUFZFGPUFZUGZUGZDEFNUHZFGHUHZUIZEGIUHZDUJZWQUDWSWOUDZWSWPUDZU
        KZWNWSWRUDZWSWOWPULWNXBXCWNXBWSUCUDZEWSJUFZWSGMUFZUEZXCWNWTXGXAWNWTUGZX
        DXEXFXHXDXEWSFKUFZWNWTXDXEXIUEZWNWGWHWTXJUMWGWHWIWMUNZWGWHWIWMUOZABCEFW
        SJKNQUPUQZURZUSZXHXDXEXIXNUTXHXIWLXFXHXDXEXIXNVAWJWKWLWTVBXHXDWHWIXIWLU
        GXFVHXOWNWHWTXLVCWNWIWTWGWHWIWMVDZVCUAVEVFVIWNXAUGZXDXEXFXQXDFWSLUFZXFW
        NXAXDXRXFUEZWNWHWIXAXSUMXLXPABCFGWSLMHRUPUQZURZUSZXQWKXRXEWJWKWLXAVJXQX
        DXRXFYAUTXQWGWHXDWKXRUGXEVHWNWGXAXKVCWNWHXAXLVCYBUBVEVFXQXDXRXFYAVAVIVG
        WNXCXGWNWGWIXCXGUMXKXPABCEGWSJMITUPUQZVKVLWNXCUGZXBXIXIVSZUKXIVMYDWTXIX
        AYEYDWTXDXEUGZXIYDXDXEYDXDXEXFWNXCXGYCURZUSZYDXDXEXFYGUTVNWNWTYFXIUGZUM
        XCWNWTXJYIXMXDXEXIVOVPVCVQYDXAXRXDXFUGZUGZXRYEWNXAYKUMXCWNXAXSYKXTXDXRX
        FVRVPVCYDYJXRYDXDXFYHYDXDXEXFYGVAVNVTYDWHXDXRYEUMWNWHXCXLVCYHSUQWAWBWCW
        DWEWF $.
    $}

    ${
      ixxin.2 $e |- ( ( A e. RR* /\ C e. RR* /\ z e. RR* ) ->
        ( if ( A <_ C , C , A ) R z <-> ( A R z /\ C R z ) ) ) $.
      ixxin.3 $e |- ( ( z e. RR* /\ B e. RR* /\ D e. RR* ) ->
        ( z S if ( B <_ D , B , D ) <-> ( z S B /\ z S D ) ) ) $.
      $( Intersection of two intervals of extended reals.  (Contributed by
         Mario Carneiro, 3-Nov-2013.) $)
      ixxin $p |- ( ( ( A e. RR* /\ B e. RR* ) /\ ( C e. RR* /\ D e. RR* ) ) ->
          ( ( A O B ) i^i ( C O D ) ) =
            ( if ( A <_ C , C , A ) O if ( B <_ D , B , D ) ) ) $=
        ( cxr wcel wa co wbr crab ixxval cin cle cif cv inrab ineqan12d wceq wb
        ad4ant124 ancoms adantll anbi12d an4 bitr4di rabbidva an4s 3eqtr4a ifcl
        3expb syl2an eqtr4d ) DNOZENOZPZFNOZGNOZPZPZDEJQZFGJQZUAZDFUBRZFDUCZCUD
        ZHRZVNEGUBRZEGUCZIRZPZCNSZVMVQJQZVHDVNHRZVNEIRZPZCNSZFVNHRZVNGIRZPZCNSZ
        UAWDWHPZCNSZVKVTWDWHCNUEVDVGVIWEVJWIABCDEHIJKTABCFGHIJKTUFVBVEVCVFVTWKU
        GVBVEPZVCVFPZPZVSWJCNWNVNNOZPZVSWBWFPZWCWGPZPWJWPVOWQVRWRVBVEWOVOWQUHWM
        LUIWMWOVRWRUHZWLWOWMWSWOVCVFWSMUSUJUKULWBWCWFWGUMUNUOUPUQVBVEVCVFWAVTUG
        ZWLVMNOZVQNOWTWMVEVBXAVLFDNURUJVPEGNURABCVMVQHIJKTUTUPVA $.
    $}

    ${
      ixxss1.2 $e |- P = ( x e. RR* , y e. RR* |->
                         { z e. RR* | ( x T z /\ z S y ) } ) $.
      ixxss1.3 $e |- ( ( A e. RR* /\ B e. RR* /\ w e. RR* ) ->
                       ( ( A W B /\ B T w ) -> A R w ) ) $.
      $( Subset relationship for intervals of extended reals.  (Contributed by
         Mario Carneiro, 3-Nov-2013.)  (Revised by Mario Carneiro,
         28-Apr-2015.) $)
      ixxss1 $p |- ( ( A e. RR* /\ A W B ) ->
                   ( B P C ) C_ ( A O C ) ) $=
        ( cxr wcel wbr wa co cv w3a elixx3g simplbi adantl simp3d simplr simpld
        simprbi wi simpll simp1d syl3anc mp2and simprd wb simp2d elixx1 syl2anc
        mpbir3and ex ssrdv ) EQRZEFMSZTZDFGHUAZEGLUAZVFDUBZVGRZVIVHRZVFVJTZVKVI
        QRZEVIISZVIGJSZVLFQRZGQRZVMVJVPVQVMUCZVFVJVRFVIKSZVOTZABCFGVIKJHOUDZUEU
        FZUGZVLVEVSVNVDVEVJUHVLVSVOVJVTVFVJVRVTWAUJUFZUIVLVDVPVMVEVSTVNUKVDVEVJ
        ULZVLVPVQVMWBUMWCPUNUOVLVSVOWDUPVLVDVQVKVMVNVOUCUQWEVLVPVQVMWBURABCEGVI
        IJLNUSUTVAVBVC $.
    $}

    ${
      ixxss2.2 $e |- P = ( x e. RR* , y e. RR* |->
                         { z e. RR* | ( x R z /\ z T y ) } ) $.
      ixxss2.3 $e |- ( ( w e. RR* /\ B e. RR* /\ C e. RR* ) ->
                       ( ( w T B /\ B W C ) -> w S C ) ) $.
      $( Subset relationship for intervals of extended reals.  (Contributed by
         Mario Carneiro, 3-Nov-2013.)  (Revised by Mario Carneiro,
         28-Apr-2015.) $)
      ixxss2 $p |- ( ( C e. RR* /\ B W C ) ->
                   ( A P B ) C_ ( A O C ) ) $=
        ( cxr wcel wbr wa co cv w3a elixx3g simplbi adantl simp3d simpld simprd
        simprbi simplr wi simp2d simpll syl3anc mp2and wb simp1d elixx1 syl2anc
        mpbir3and ex ssrdv ) GQRZFGMSZTZDEFHUAZEGLUAZVFDUBZVGRZVIVHRZVFVJTZVKVI
        QRZEVIISZVIGJSZVLEQRZFQRZVMVJVPVQVMUCZVFVJVRVNVIFKSZTZABCEFVIIKHOUDZUEU
        FZUGZVLVNVSVJVTVFVJVRVTWAUJUFZUHVLVSVEVOVLVNVSWDUIVDVEVJUKVLVMVQVDVSVET
        VOULWCVLVPVQVMWBUMVDVEVJUNZPUOUPVLVPVDVKVMVNVOUCUQVLVPVQVMWBURWEABCEGVI
        IJLNUSUTVAVBVC $.
    $}

    ${
      ixxss12.2 $e |- P = ( x e. RR* , y e. RR* |->
                         { z e. RR* | ( x T z /\ z U y ) } ) $.
      ixxss12.3 $e |- ( ( A e. RR* /\ C e. RR* /\ w e. RR* ) ->
                        ( ( A W C /\ C T w ) -> A R w ) ) $.
      ixxss12.4 $e |- ( ( w e. RR* /\ D e. RR* /\ B e. RR* ) ->
                        ( ( w U D /\ D X B ) -> w S B ) ) $.
      $( Subset relationship for intervals of extended reals.  (Contributed by
         Mario Carneiro, 20-Feb-2015.)  (Revised by Mario Carneiro,
         28-Apr-2015.) $)
      ixxss12 $p |- ( ( ( A e. RR* /\ B e. RR* ) /\ ( A W C /\ D X B ) ) ->
        ( C P D ) C_ ( A O B ) ) $=
        ( cxr wa wbr co cv elixx3g simplbi adantl simp3d simplrl simprbi simpld
        wcel w3a wi simplll simp1d syl3anc mp2and simprd simplrr simp2d simpllr
        wb elixx1 ad2antrr mpbir3and ex ssrdv ) EUAUMZFUAUMZUBZEGOUCZHFPUCZUBZU
        BZDGHIUDZEFNUDZVPDUEZVQUMZVSVRUMZVPVTUBZWAVSUAUMZEVSJUCZVSFKUCZWBGUAUMZ
        HUAUMZWCVTWFWGWCUNZVPVTWHGVSLUCZVSHMUCZUBZABCGHVSLMIRUFZUGUHZUIZWBVMWIW
        DVLVMVNVTUJWBWIWJVTWKVPVTWHWKWLUKUHZULWBVJWFWCVMWIUBWDUOVJVKVOVTUPWBWFW
        GWCWMUQWNSURUSWBWJVNWEWBWIWJWOUTVLVMVNVTVAWBWCWGVKWJVNUBWEUOWNWBWFWGWCW
        MVBVJVKVOVTVCTURUSVLWAWCWDWEUNVDVOVTABCEFVSJKNQVEVFVGVHVI $.
    $}

    ${
      ixxub.2 $e |- ( ( w e. RR* /\ B e. RR* ) -> ( w < B -> w S B ) ) $.
      ixxub.3 $e |- ( ( w e. RR* /\ B e. RR* ) -> ( w S B -> w <_ B ) ) $.
      ixxub.4 $e |- ( ( A e. RR* /\ w e. RR* ) -> ( A < w -> A R w ) ) $.
      ixxub.5 $e |- ( ( A e. RR* /\ w e. RR* ) -> ( A R w -> A <_ w ) ) $.
      $( Extract the upper bound of an interval.  (Contributed by Mario
         Carneiro, 17-Jun-2014.) $)
      ixxub $p |- ( ( A e. RR* /\ B e. RR* /\ ( A O B ) =/= (/) ) ->
                   sup ( ( A O B ) , RR* , < ) = B ) $=
        ( cxr wcel clt wbr syl2anc ad2antrr co c0 wne w3a csup wss cv wa elixx1
        wb 3adant3 biimpa simp1d ssrdv supxrcl syl simp2 cle wral simp3d adantr
        ex wi ralrimiva supxrleub mpbird cq wrex simprl wn rexrd ad2antlr simp1
        mpd qre wex simp3 sylib simp2d supxrub sylan xrletrd exlimddv xrlelttrd
        simprr mpbir3and xrlenltd mpbid pm2.65da nrexdv qbtwnxr 3expia xrnltled
        n0 mtod xrletrid ) EOPZFOPZEFIUAZUBUCZUDZWSOQUEZFXAWSOUFZXBOPZXADWSOXAD
        UGZWSPZXEOPZXAXFUHZXGEXEGRZXEFHRZXAXFXGXIXJUDZWQWRXFXKUJZWTABCEFXEGHIJU
        IUKZULZUMZVBUNZWSUOUPZWQWRWTUQZXAXBFURRZXEFURRZDWSUSZXAXTDWSXHXJXTXHXGX
        IXJXNUTXHXGWRXJXTVCXOXAWRXFXRVALSVNVDXAXCWRXSYAUJXPXRDWSFVESVFXAFXBXRXQ
        XAXBFQRZXBXEQRZXEFQRZUHZDVGVHZXAYEDVGXAXEVGPZUHZYEYCYHYCYDVIZYHYEUHZXEX
        BURRZYCVJYJXCXFYKXAXCYGYEXPTYJXFXGXIXJYGXGXAYEYGXEXEVOVKVLZYJEXEQRZXIYJ
        EXBXEXAWQYGYEWQWRWTVMZTZXAXDYGYEXQTZYLXAEXBURRZYGYEXAXFYQDXAWTXFDVPWQWR
        WTVQDWSWNVRXHEXEXBXAWQXFYNVAZXOXAXDXFXQVAXHXIEXEURRZXHXGXIXJXNVSXHWQXGX
        IYSVCYRXONSVNXAXCXFYKXPWSXEVTZWAWBWCTYIWDYJWQXGYMXIVCYOYLMSVNYJYDXJYHYC
        YDWEYJXGWRYDXJVCYLXAWRYGYEXRTKSVNXAXLYGYEXMTWFYTSYJXEXBYLYPWGWHWIWJXAXD
        WRYBYFVCXQXRXDWRYBYFDXBFWKWLSWOWMWP $.

      $( Extract the lower bound of an interval.  (Contributed by Mario
         Carneiro, 17-Jun-2014.)  (Revised by AV, 12-Sep-2020.) $)
      ixxlb $p |- ( ( A e. RR* /\ B e. RR* /\ ( A O B ) =/= (/) ) ->
                   inf ( ( A O B ) , RR* , < ) = A ) $=
        ( cxr wcel clt wbr cle syl2anc co c0 wne w3a cinf wss cv elixx1 3adant3
        wa wb biimpa simp1d ex ssrdv infxrcl syl simp1 wrex simprr ad2antrr qre
        cq wn rexrd ad2antlr simprl wi mpd simpll2 simp3 n0 sylib adantr simpl2
        wex infxrlb sylan simp3d exlimddv xrltletrd mpbir3and xrlenltd pm2.65da
        xrletrd mpbid nrexdv qbtwnxr 3expia mtod xrnltled wral simp2d ralrimiva
        infxrgelb mpbird xrletrid ) EOPZFOPZEFIUAZUBUCZUDZWTOQUEZEXBWTOUFZXCOPZ
        XBDWTOXBDUGZWTPZXFOPZXBXGUJZXHEXFGRZXFFHRZXBXGXHXJXKUDZWRWSXGXLUKZXAABC
        EFXFGHIJUHUIZULZUMZUNUOZWTUPUQZWRWSXAURZXBXCEXRXSXBEXCQRZEXFQRZXFXCQRZU
        JZDVCUSZXBYCDVCXBXFVCPZUJZYCYBYFYAYBUTZYFYCUJZXCXFSRZYBVDYHXDXGYIXBXDYE
        YCXQVAYHXGXHXJXKYEXHXBYCYEXFXFVBVEVFZYHYAXJYFYAYBVGYHWRXHYAXJVHXBWRYEYC
        XSVAYJMTVIYHXFFQRZXKYHXFXCFYJXBXEYEYCXRVAZWRWSXAYEYCVJZYGXBXCFSRZYEYCXB
        XGYNDXBXAXGDVPWRWSXAVKDWTVLVMXIXCXFFXBXEXGXRVNXPWRWSXAXGVOZXBXDXGYIXQWT
        XFVQZVRXIXKXFFSRZXIXHXJXKXOVSXIXHWSXKYQVHXPYOLTVIWEVTVAWAYHXHWSYKXKVHYJ
        YMKTVIXBXMYEYCXNVAWBYPTYHXCXFYLYJWCWFWDWGXBWRXEXTYDVHXSXRWRXEXTYDDEXCWH
        WITWJWKXBEXCSRZEXFSRZDWTWLZXBYSDWTXIXJYSXIXHXJXKXOWMXIWRXHXJYSVHXBWRXGX
        SVNXPNTVIWNXBXDWRYRYTUKXQXSDWTEWOTWPWQ $.
    $}
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w x y z C $.  $d x y z D $.
    $( The set of open intervals of extended reals exists.  (Contributed by NM,
       6-Feb-2007.)  (Revised by Mario Carneiro, 3-Nov-2013.) $)
    iooex $p |- (,) e. _V $=
      ( vx vy vz clt cioo df-ioo ixxex ) ABCDDEABCFG $.

    $( Value of the open interval function.  (Contributed by NM, 24-Dec-2006.)
       (Revised by Mario Carneiro, 3-Nov-2013.) $)
    iooval $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A (,) B ) =
                 { x e. RR* | ( A < x /\ x < B ) } ) $=
      ( vy vz clt cioo df-ioo ixxval ) DEABCFFGDEAHI $.

    $( An empty open interval of extended reals.  (Contributed by NM,
       6-Feb-2007.) $)
    ioo0 $p |- ( ( A e. RR* /\ B e. RR* ) -> ( ( A (,) B ) = (/) <->
                 B <_ A ) ) $=
      ( vx cxr wcel wa cioo co c0 wceq cv clt wbr crab cle iooval wn wrex bitrd
      cq eqeq1d wne df-ne rabn0 bitr3i wi xrlttr 3com23 3expa rexlimdva qbtwnxr
      w3a qre rexrd anim1i reximi2 syl 3expia impbid syl5bb xrltnle con4bid ) A
      DEZBDEZFZABGHZIJACKZLMVGBLMFZCDNZIJZBAOMZVEVFVIICABPUAVEVJVKVEVJQZABLMZVK
      QVLVHCDRZVEVMVLVIIUBVNVIIUCVHCDUDUEVEVNVMVEVHVMCDVCVDVGDEZVHVMUFZVCVOVDVP
      AVGBUGUHUIUJVCVDVMVNVCVDVMULVHCTRVNCABUKVHVHCTDVGTEZVOVHVQVGVGUMUNUOUPUQU
      RUSUTABVASVBS $.

    $( An open interval of extended reals is nonempty iff the lower argument is
       less than the upper argument.  (Contributed by NM, 2-Mar-2007.) $)
    ioon0 $p |- ( ( A e. RR* /\ B e. RR* ) -> ( ( A (,) B ) =/= (/) <->
                 A < B ) ) $=
      ( cxr wcel wa clt wbr cioo co c0 wceq cle wn wb xrlenlt ancoms necon1abid
      ioo0 bitr2d ) ACDZBCDZEZABFGZABHIZJUBUDJKBALGZUCMZABRUATUEUFNBAOPSQ $.

    $( The open interval function's value is empty outside of its domain.
       (Contributed by NM, 21-Jun-2007.)  (Revised by Mario Carneiro,
       28-Apr-2015.) $)
    ndmioo $p |- ( -. ( A e. RR* /\ B e. RR* ) -> ( A (,) B ) = (/) ) $=
      ( vx vy vz cxr cioo cxp cpw clt df-ioo ixxf fdmi ndmov ) ABFGFFHFIGCDEJJG
      CDEKLMN $.

    $( An open interval with identical lower and upper bounds is empty.
       (Contributed by NM, 21-Jun-2007.)  (Revised by Mario Carneiro,
       3-Nov-2013.) $)
    iooid $p |- ( A (,) A ) = (/) $=
      ( cxr wcel wa cioo co c0 wceq cle wbr xrleid adantr mpbird ndmioo pm2.61i
      ioo0 ) ABCZQDZAAEFGHZRSAAIJZQTQAKLAAPMAANO $.

    $( Membership in a set of open intervals of extended reals.  We use the
       fact that an operation's value is empty outside of its domain to show
       ` A e. RR* ` and ` B e. RR* ` .  (Contributed by NM, 24-Dec-2006.)
       (Revised by Mario Carneiro, 3-Nov-2013.) $)
    elioo3g $p |- ( C e. ( A (,) B ) <->
          ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\ ( A < C /\ C < B ) ) ) $=
      ( vx vy vz clt cioo df-ioo elixx3g ) DEFABCGGHDEFIJ $.

    $( A member of an open interval of reals is a real.  (Contributed by NM,
       17-Aug-2008.)  (Revised by Mario Carneiro, 3-Nov-2013.) $)
    elioore $p |- ( A e. ( B (,) C ) -> A e. RR ) $=
      ( cioo co wcel cxr w3a clt wbr wa cr elioo3g 3ancomb xrre2 sylanb sylbi )
      ABCDEFBGFZCGFZAGFZHZBAIJACIJKZKALFZBCAMUARTSHUBUCRSTNBACOPQ $.

    $( An open interval does not contain its left endpoint.  (Contributed by
       Mario Carneiro, 29-Dec-2016.) $)
    lbioo $p |- -. A e. ( A (,) B ) $=
      ( cioo co wcel clt wbr cxr w3a wa elioo3g simprbi simpld wn simp3d xrltnr
      simplbi syl pm2.65i ) AABCDEZAAFGZTUAABFGZTAHEZBHEZUCIZUAUBJZABAKZLMTUCUA
      NTUCUDUCTUEUFUGQOAPRS $.

    $( An open interval does not contain its right endpoint.  (Contributed by
       Mario Carneiro, 29-Dec-2016.) $)
    ubioo $p |- -. B e. ( A (,) B ) $=
      ( cioo co wcel clt wbr cxr w3a wa elioo3g simprbi simprd wn simp2d xrltnr
      simplbi syl pm2.65i ) BABCDEZBBFGZTABFGZUATAHEZBHEZUDIZUBUAJZABBKZLMTUDUA
      NTUCUDUDTUEUFUGQOBPRS $.

    $( Value of the open interval function.  (Contributed by NM, 6-Feb-2007.)
       (Revised by Mario Carneiro, 3-Nov-2013.) $)
    iooval2 $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A (,) B ) =
                 { x e. RR | ( A < x /\ x < B ) } ) $=
      ( cxr wcel wa cioo co cv clt wbr crab cr iooval cin wss elioore eqsstrrdi
      wceq ssriv df-ss sylib inrab2 ressxr sseqin2 rabeqi eqtri eqtr3di eqtrd
      mpbi ) BDECDEFZBCGHZBAIZJKUMCJKFZADLZUNAMLZABCNZUKUOMOZUOUPUKUOMPURUOSUKU
      OULMUQAULMUMBCQTRUOMUAUBURUNADMOZLUPUNADMUCUNAUSMMDPUSMSUDMDUEUJUFUGUHUI
      $.

    $( Intersection of two open intervals of extended reals.  (Contributed by
       NM, 7-Feb-2007.)  (Revised by Mario Carneiro, 3-Nov-2013.) $)
    iooin $p |- ( ( ( A e. RR* /\ B e. RR* ) /\ ( C e. RR* /\ D e. RR* ) ) ->
         ( ( A (,) B ) i^i ( C (,) D ) ) =
         ( if ( A <_ C , C , A ) (,) if ( B <_ D , B , D ) ) ) $=
      ( vx vy vz clt cioo df-ioo cv xrmaxlt xrltmin ixxin ) EFGABCDHHIEFGJACGKZ
      LOBDMN $.

    $( Subset relationship for open intervals of extended reals.  (Contributed
       by NM, 7-Feb-2007.)  (Revised by Mario Carneiro, 20-Feb-2015.) $)
    iooss1 $p |- ( ( A e. RR* /\ A <_ B ) ->
                 ( B (,) C ) C_ ( A (,) C ) ) $=
      ( vx vy vz vw cioo clt cle df-ioo cv xrlelttr ixxss1 ) DEFGABCHIIIHJDEFKZ
      OABGLMN $.

    $( Subset relationship for open intervals of extended reals.  (Contributed
       by NM, 7-Feb-2007.)  (Revised by Mario Carneiro, 3-Nov-2013.) $)
    iooss2 $p |- ( ( C e. RR* /\ B <_ C ) ->
                 ( A (,) B ) C_ ( A (,) C ) ) $=
      ( vx vy vz vw cioo clt cle df-ioo cv xrltletr ixxss2 ) DEFGABCHIIIHJDEFKZ
      OGLBCMN $.

    $( Value of the open-below, closed-above interval function.  (Contributed
       by NM, 24-Dec-2006.)  (Revised by Mario Carneiro, 3-Nov-2013.) $)
    iocval $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A (,] B ) =
                 { x e. RR* | ( A < x /\ x <_ B ) } ) $=
      ( vy vz clt cle cioc df-ioc ixxval ) DEABCFGHDEAIJ $.

    $( Value of the closed-below, open-above interval function.  (Contributed
       by NM, 24-Dec-2006.)  (Revised by Mario Carneiro, 3-Nov-2013.) $)
    icoval $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A [,) B ) =
                 { x e. RR* | ( A <_ x /\ x < B ) } ) $=
      ( vy vz cle clt cico df-ico ixxval ) DEABCFGHDEAIJ $.

    $( Value of the closed interval function.  (Contributed by NM,
       24-Dec-2006.)  (Revised by Mario Carneiro, 3-Nov-2013.) $)
    iccval $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A [,] B ) =
                 { x e. RR* | ( A <_ x /\ x <_ B ) } ) $=
      ( vy vz cle cicc df-icc ixxval ) DEABCFFGDEAHI $.

    $( Membership in an open interval of extended reals.  (Contributed by NM,
       24-Dec-2006.)  (Revised by Mario Carneiro, 3-Nov-2013.) $)
    elioo1 $p |- ( ( A e. RR* /\ B e. RR* ) -> ( C e. ( A (,) B ) <->
                 ( C e. RR* /\ A < C /\ C < B ) ) ) $=
      ( vx vy vz clt cioo df-ioo elixx1 ) DEFABCGGHDEFIJ $.

    $( Membership in an open interval of extended reals.  (Contributed by NM,
       6-Feb-2007.) $)
    elioo2 $p |- ( ( A e. RR* /\ B e. RR* ) -> ( C e. ( A (,) B ) <->
                 ( C e. RR /\ A < C /\ C < B ) ) ) $=
      ( vx cxr wcel wa cioo co cv clt wbr cr crab w3a iooval2 eleq2d wceq breq2
      breq1 anbi12d elrab 3anass bitr4i bitrdi ) AEFBEFGZCABHIZFCADJZKLZUHBKLZG
      ZDMNZFZCMFZACKLZCBKLZOZUFUGULCDABPQUMUNUOUPGZGUQUKURDCMUHCRUIUOUJUPUHCAKS
      UHCBKTUAUBUNUOUPUCUDUE $.

    $( Membership in an open-below, closed-above interval of extended reals.
       (Contributed by NM, 24-Dec-2006.)  (Revised by Mario Carneiro,
       3-Nov-2013.) $)
    elioc1 $p |- ( ( A e. RR* /\ B e. RR* ) -> ( C e. ( A (,] B ) <->
                 ( C e. RR* /\ A < C /\ C <_ B ) ) ) $=
      ( vx vy vz clt cle cioc df-ioc elixx1 ) DEFABCGHIDEFJK $.

    $( Membership in a closed-below, open-above interval of extended reals.
       (Contributed by NM, 24-Dec-2006.)  (Revised by Mario Carneiro,
       3-Nov-2013.) $)
    elico1 $p |- ( ( A e. RR* /\ B e. RR* ) -> ( C e. ( A [,) B ) <->
                 ( C e. RR* /\ A <_ C /\ C < B ) ) ) $=
      ( vx vy vz cle clt cico df-ico elixx1 ) DEFABCGHIDEFJK $.

    $( Membership in a closed interval of extended reals.  (Contributed by NM,
       24-Dec-2006.)  (Revised by Mario Carneiro, 3-Nov-2013.) $)
    elicc1 $p |- ( ( A e. RR* /\ B e. RR* ) -> ( C e. ( A [,] B ) <->
                 ( C e. RR* /\ A <_ C /\ C <_ B ) ) ) $=
      ( vx vy vz cle cicc df-icc elixx1 ) DEFABCGGHDEFIJ $.

    $( A closed interval with identical lower and upper bounds is a singleton.
       (Contributed by Jeff Hankins, 13-Jul-2009.) $)
    iccid $p |- ( A e. RR* -> ( A [,] A ) = { A } ) $=
      ( vx cxr wcel co csn cv cle wbr w3a wb wi wa clt wn xrlenlt ancoms sylbid
      cicc syl5ibrcom elicc1 anidms xrlttri3 biimprd expcomd com23 3impd eleq1a
      wceq ex xrleid breq2 breq1 3jcad impbid velsn bitr4di bitrd eqrdv ) ACDZB
      AASEZAFZUTBGZVADZVCCDZAVCHIZVCAHIZJZVCVBDZUTVDVHKAAVCUAUBUTVHVCAUIZVIUTVH
      VJUTVEVFVGVJUTVEVFVGVJLZLUTVEMZVFVCANIOZVKAVCPVLVGVMVJVLVGAVCNIOZVMVJLVEU
      TVGVNKVCAPQVLVMVNVJVEUTVMVNMZVJLVEUTMVJVOVCAUCUDQUERUFRUJUGUTVJVEVFVGACVC
      UHUTVFVJAAHIZAUKZVCAAHULTUTVGVJVPVQVCAAHUMTUNUOBAUPUQURUS $.

    $( An empty open interval of extended reals.  (Contributed by FL,
       30-May-2014.) $)
    ico0 $p |- ( ( A e. RR* /\ B e. RR* ) -> ( ( A [,) B ) = (/) <->
                 B <_ A ) ) $=
      ( vx cxr wcel wa cico co c0 wceq cv cle wbr clt crab wn wrex wi cq bitrd
      icoval eqeq1d wne df-ne rabn0 bitr3i xrlelttr 3expa rexlimdva w3a qbtwnxr
      3com23 qre rexrd a1i simpr1 simpl xrltle syl2anc anim1d anim12d ex adantr
      syl pm2.43b reximdv2 mpd 3expia impbid syl5bb xrltnle con4bid ) ADEZBDEZF
      ZABGHZIJACKZLMZVQBNMZFZCDOZIJZBALMZVOVPWAICABUAUBVOWBWCVOWBPZABNMZWCPWDVT
      CDQZVOWEWDWAIUCWFWAIUDVTCDUEUFVOWFWEVOVTWECDVMVNVQDEZVTWERZVMWGVNWHAVQBUG
      ULUHUIVMVNWEWFVMVNWEUJZAVQNMZVSFZCSQWFCABUKWIWKVTCSDWIVQSEZWKFZWGVTFZWLWI
      WMWNRZRZWKWLWGWPWLVQVQUMUNZWGWIWOWGWIFZWLWGWKVTWLWGRWRWQUOWRWJVRVSWRVMWGW
      JVRRWGVMVNWEUPWGWIUQAVQURUSUTVAVBVDVCVEVFVGVHVIVJABVKTVLT $.

    $( An empty open interval of extended reals.  (Contributed by FL,
       30-May-2014.) $)
    ioc0 $p |- ( ( A e. RR* /\ B e. RR* ) -> ( ( A (,] B ) = (/) <->
                 B <_ A ) ) $=
      ( vx cxr wcel wa cioc co c0 wceq cv clt wbr cle crab wn wrex wi cq bitrd
      iocval eqeq1d wne df-ne rabn0 bitr3i xrltletr 3expa rexlimdva w3a qbtwnxr
      3com23 qre rexrd a1i xrltle 3ad2antr2 anim2d anim12d syl pm2.43b reximdv2
      ex adantr mpd 3expia impbid syl5bb xrltnle con4bid ) ADEZBDEZFZABGHZIJACK
      ZLMZVOBNMZFZCDOZIJZBANMZVMVNVSICABUAUBVMVTWAVMVTPZABLMZWAPWBVRCDQZVMWCWBV
      SIUCWDVSIUDVRCDUEUFVMWDWCVMVRWCCDVKVLVODEZVRWCRZVKWEVLWFAVOBUGULUHUIVKVLW
      CWDVKVLWCUJZVPVOBLMZFZCSQWDCABUKWGWIVRCSDWGVOSEZWIFZWEVRFZWJWGWKWLRZRZWIW
      JWEWNWJVOVOUMUNZWEWGWMWEWGFZWJWEWIVRWJWERWPWOUOWPWHVQVPWEVKVLWHVQRWCVOBUP
      UQURUSVCUTVDVAVBVEVFVGVHABVITVJT $.

    $( An empty closed interval of extended reals.  (Contributed by FL,
       30-May-2014.) $)
    icc0 $p |- ( ( A e. RR* /\ B e. RR* ) -> ( ( A [,] B ) = (/) <->
                 B < A ) ) $=
      ( vx cxr wcel wa cicc co c0 wceq cv cle wbr crab iccval eqeq1d wrex bitrd
      clt wn wne df-ne rabn0 bitr3i wi xrletr 3com23 3expa rexlimdva w3a xrleid
      simp2 simp3 3ad2ant2 anbi12d rspcev syl12anc 3expia impbid syl5bb xrlenlt
      breq2 breq1 con4bid ) ADEZBDEZFZABGHZIJACKZLMZVIBLMZFZCDNZIJZBASMZVGVHVMI
      CABOPVGVNVOVGVNTZABLMZVOTVPVLCDQZVGVQVPVMIUAVRVMIUBVLCDUCUDVGVRVQVGVLVQCD
      VEVFVIDEZVLVQUEZVEVSVFVTAVIBUFUGUHUIVEVFVQVRVEVFVQUJVFVQBBLMZVRVEVFVQULVE
      VFVQUMVFVEWAVQBUKUNVLVQWAFCBDVIBJVJVQVKWAVIBALVBVIBBLVCUOUPUQURUSUTABVARV
      DR $.
  $}

  $( Alternate definition of the positive real numbers.  (Contributed by
     Thierry Arnoux, 4-May-2020.) $)
  dfrp2 $p |- RR+ = ( 0 (,) +oo ) $=
    ( vx crp cc0 cpnf cioo co cv cr wcel clt wbr wa ltpnf adantr pm4.71i df-3an
    w3a bitr4i elrp cxr wb 0xr pnfxr elioo2 mp2an 3bitr4i eqriv ) ABCDEFZAGZHIZ
    CUIJKZLZUJUKUIDJKZQZUIBIUIUHIZULULUMLUNULUMUJUMUKUIMNOUJUKUMPRUISCTIDTIUOUN
    UAUBUCCDUIUDUEUFUG $.

  ${
    elicod.a $e |- ( ph -> A e. RR* ) $.
    elicod.b $e |- ( ph -> B e. RR* ) $.
    elicod.3 $e |- ( ph -> C e. RR* ) $.
    elicod.4 $e |- ( ph -> A <_ C ) $.
    elicod.5 $e |- ( ph -> C < B ) $.
    $( Membership in a left-closed right-open interval.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    elicod $p |- ( ph -> C e. ( A [,) B ) ) $=
      ( cico co wcel cxr cle wbr clt w3a wb elico1 syl2anc mpbir3and ) ADBCJKLZ
      DMLZBDNOZDCPOZGHIABMLCMLUBUCUDUEQREFBCDSTUA $.
  $}

  $( An element of a left-closed right-open interval is greater than or equal
     to its lower bound.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  icogelb $p |- ( ( A e. RR* /\ B e. RR* /\ C e. ( A [,) B ) ) -> A <_ C ) $=
    ( cxr wcel cico co cle wbr wa clt w3a elico1 simp2 syl6bi 3impia ) ADEZBDEZ
    CABFGEZACHIZQRJSCDEZTCBKIZLTABCMUATUBNOP $.

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.
    $( A member of a left-closed right-open interval of reals is real.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    elicore $p |- ( ( A e. RR /\ C e. ( A [,) B ) ) -> C e. RR ) $=
      ( vx vy vz cr wcel cico co cxr cle wbr cpnf clt w3a simpld adantl simprd
      wa df-ico elixx3g biimpi simp3d simpl pnfxr a1i pnfge syl xrltletrd xrre3
      simp2d syl22anc ) AGHZCABIJHZTZCKHZUNACLMZCNOMCGHUOUQUNUOAKHZBKHZUQUOUSUT
      UQPZURCBOMZTZUOVAVCTDEFABCLOIDEFUAUBUCZQZUDRZUNUOUEUOURUNUOURVBUOVAVCVDSZ
      QRUPCBNVFUOUTUNUOUSUTUQVEULZRNKHUPUFUGUOVBUNUOURVBVGSRUOBNLMZUNUOUTVIVHBU
      HUIRUJCAUKUM $.
  $}

  $( The upper bound belongs to an open-below, closed-above interval.  See
     ~ ubicc2 .  (Contributed by FL, 29-May-2014.) $)
  ubioc1 $p |- ( ( A e. RR* /\ B e. RR* /\ A < B ) -> B e. ( A (,] B ) ) $=
    ( cxr wcel clt wbr w3a co cle simp2 simp3 xrleid 3ad2ant2 wb elioc1 3adant3
    cioc mpbir3and ) ACDZBCDZABEFZGBABQHDZTUABBIFZSTUAJSTUAKTSUCUABLMSTUBTUAUCG
    NUAABBOPR $.

  $( The lower bound belongs to a closed-below, open-above interval.  See
     ~ lbicc2 .  (Contributed by FL, 29-May-2014.) $)
  lbico1 $p |- ( ( A e. RR* /\ B e. RR* /\ A < B ) -> A e. ( A [,) B ) ) $=
    ( cxr wcel clt wbr w3a co cle simp1 xrleid 3ad2ant1 simp3 wb elico1 3adant3
    cico mpbir3and ) ACDZBCDZABEFZGAABQHDZSAAIFZUASTUAJSTUCUAAKLSTUAMSTUBSUCUAG
    NUAABAOPR $.

  $( An element of a closed interval is less than or equal to its upper bound.
     (Contributed by Jeff Hankins, 14-Jul-2009.) $)
  iccleub $p |- ( ( A e. RR* /\ B e. RR* /\ C e. ( A [,] B ) ) -> C <_ B ) $=
    ( cxr wcel cicc co cle wbr wa w3a elicc1 simp3 syl6bi 3impia ) ADEZBDEZCABF
    GEZCBHIZPQJRCDEZACHIZSKSABCLTUASMNO $.

  $( An element of a closed interval is more than or equal to its lower bound.
     (Contributed by Thierry Arnoux, 23-Dec-2016.) $)
  iccgelb $p |- ( ( A e. RR* /\ B e. RR* /\ C e. ( A [,] B ) ) -> A <_ C ) $=
    ( cxr wcel cicc co cle wbr wa w3a elicc1 biimpa simp2d 3impa ) ADEZBDEZCABF
    GEZACHIZPQJZRJCDEZSCBHIZTRUASUBKABCLMNO $.

  $( TODO - see if this shortens the uses of any other elioo*'s $)
  $( Membership in an open interval of extended reals.  (Contributed by NM,
     17-Aug-2008.) $)
  elioo5 $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* )
           -> ( C e. ( A (,) B ) <-> ( A < C /\ C < B ) ) ) $=
    ( cxr wcel w3a co clt wbr wa wb elioo1 3adant3 3anass baibr 3ad2ant3 bitr4d
    cioo ) ADEZBDEZCDEZFCABRGEZUAACHIZCBHIZFZUCUDJZSTUBUEKUAABCLMUASUFUEKTUEUAU
    FUAUCUDNOPQ $.

  $( A nonempty open interval spans an interval of extended reals.
     (Contributed by NM, 17-Aug-2008.) $)
  eliooxr $p |- ( A e. ( B (,) C ) -> ( B e. RR* /\ C e. RR* ) ) $=
    ( cioo co wcel c0 wne cxr wa ne0i ndmioo necon1ai syl ) ABCDEZFOGHBIFCIFJZO
    AKPOGBCLMN $.

  $( Ordering implied by a member of an open interval of reals.  (Contributed
     by NM, 17-Aug-2008.)  (Revised by Mario Carneiro, 9-May-2014.) $)
  eliooord $p |- ( A e. ( B (,) C ) -> ( B < A /\ A < C ) ) $=
    ( cioo co wcel cr clt wbr w3a wa cxr wb eliooxr elioo2 syl ibi 3simpc ) ABC
    DEFZAGFZBAHIZACHIZJZUAUBKSUCSBLFCLFKSUCMABCNBCAOPQTUAUBRP $.

  $( Membership in an open interval of extended reals.  (Contributed by NM,
     8-Jun-2007.)  (Revised by Mario Carneiro, 28-Apr-2015.) $)
  elioo4g $p |- ( C e. ( A (,) B ) <->
        ( ( A e. RR* /\ B e. RR* /\ C e. RR ) /\ ( A < C /\ C < B ) ) ) $=
    ( cioo co wcel cxr cr w3a clt wbr wa eliooxr elioore df-3an sylibr eliooord
    jca rexr 3anim3i anim1i elioo3g impbii ) CABDEFZAGFZBGFZCHFZIZACJKCBJKLZLZU
    DUHUIUDUEUFLZUGLUHUDUKUGCABMCABNRUEUFUGOPCABQRUJUEUFCGFZIZUILUDUHUMUIUGULUE
    UFCSTUAABCUBPUC $.

  ${
    $d x A $.  $d x B $.
    $( An open interval is a set of reals.  (Contributed by NM,
       31-May-2007.) $)
    ioossre $p |- ( A (,) B ) C_ RR $=
      ( vx cioo co cr cv elioore ssriv ) CABDEFCGABHI $.
  $}

  $( An open interval is a set of complex numbers.  (Contributed by Glauco
     Siliprandi, 11-Dec-2019.) $)
  ioosscn $p |- ( A (,) B ) C_ CC $=
    ( cioo co cr cc ioossre ax-resscn sstri ) ABCDEFABGHI $.

  $( Membership in an open-below, closed-above real interval.  (Contributed by
     Paul Chapman, 30-Dec-2007.)  (Revised by Mario Carneiro, 14-Jun-2014.) $)
  elioc2 $p |- ( ( A e. RR* /\ B e. RR ) ->
      ( C e. ( A (,] B ) <-> ( C e. RR /\ A < C /\ C <_ B ) ) ) $=
    ( cxr wcel cr wa cioc clt wbr cle w3a rexr cmnf cpnf a1i xrlelttrd ad2antlr
    co wb elioc1 sylan2 mnfxr simpll simpr1 mnfle ad2antrr simpr2 pnfxr xrrebnd
    simpr3 ltpnf syl mpbir2and 3jca ex 3anim1i impbid1 bitrd ) ADEZBFEZGZCABHSE
    ZCDEZACIJZCBKJZLZCFEZVEVFLZVAUTBDEZVCVGTBMZABCUAUBVBVGVIVBVGVIVBVGGZVHVEVFV
    LVHNCIJZCOIJZVLNACNDEVLUCPUTVAVGUDVBVDVEVFUEZUTNAKJVAVGAUFUGVBVDVEVFUHZQVLC
    BOVOVAVJUTVGVKRODEVLUIPVBVDVEVFUKZVABOIJUTVGBULRQVLVDVHVMVNGTVOCUJUMUNVPVQU
    OUPVHVDVEVFCMUQURUS $.

  $( Membership in a closed-below, open-above real interval.  (Contributed by
     Paul Chapman, 21-Jan-2008.)  (Revised by Mario Carneiro, 14-Jun-2014.) $)
  elico2 $p |- ( ( A e. RR /\ B e. RR* ) ->
      ( C e. ( A [,) B ) <-> ( C e. RR /\ A <_ C /\ C < B ) ) ) $=
    ( cr wcel cxr wa cico cle wbr clt w3a rexr cmnf cpnf a1i ad2antrr xrltletrd
    co wb elico1 sylan mnfxr simpr1 mnflt simpr2 simplr simpr3 ad2antlr xrrebnd
    pnfxr pnfge syl mpbir2and 3jca ex 3anim1i impbid1 bitrd ) ADEZBFEZGZCABHSEZ
    CFEZACIJZCBKJZLZCDEZVEVFLZUTAFEZVAVCVGTAMZABCUAUBVBVGVIVBVGVIVBVGGZVHVEVFVL
    VHNCKJZCOKJZVLNACNFEVLUCPUTVJVAVGVKQVBVDVEVFUDZUTNAKJVAVGAUEQVBVDVEVFUFZRVL
    CBOVOUTVAVGUGOFEVLUKPVBVDVEVFUHZVABOIJUTVGBULUIRVLVDVHVMVNGTVOCUJUMUNVPVQUO
    UPVHVDVEVFCMUQURUS $.

  $( Membership in a closed real interval.  (Contributed by Paul Chapman,
     21-Sep-2007.)  (Revised by Mario Carneiro, 14-Jun-2014.) $)
  elicc2 $p |- ( ( A e. RR /\ B e. RR ) -> ( C e. ( A [,] B ) <->
                    ( C e. RR /\ A <_ C /\ C <_ B ) ) ) $=
    ( cr wcel wa cicc co cxr cle wbr w3a wb rexr cmnf clt a1i ad2antrr ad2antlr
    cpnf elicc1 syl2an mnfxr simpr1 mnflt simpr2 xrltletrd pnfxr simpr3 xrrebnd
    ltpnf xrlelttrd syl mpbir2and 3jca ex 3anim1i impbid1 bitrd ) ADEZBDEZFZCAB
    GHEZCIEZACJKZCBJKZLZCDEZVEVFLZUTAIEZBIEZVCVGMVAANZBNZABCUAUBVBVGVIVBVGVIVBV
    GFZVHVEVFVNVHOCPKZCTPKZVNOACOIEVNUCQUTVJVAVGVLRVBVDVEVFUDZUTOAPKVAVGAUERVBV
    DVEVFUFZUGVNCBTVQVAVKUTVGVMSTIEVNUHQVBVDVEVFUIZVABTPKUTVGBUKSULVNVDVHVOVPFM
    VQCUJUMUNVRVSUOUPVHVDVEVFCNUQURUS $.

  ${
    elicc2i.1 $e |- A e. RR $.
    elicc2i.2 $e |- B e. RR $.
    $( Inference for membership in a closed interval.  (Contributed by Scott
       Fenton, 3-Jun-2013.) $)
    elicc2i $p |- ( C e. ( A [,] B ) <-> ( C e. RR /\ A <_ C /\ C <_ B ) ) $=
      ( cr wcel cicc co cle wbr w3a wb elicc2 mp2an ) AFGBFGCABHIGCFGACJKCBJKLM
      DEABCNO $.
  $}

  $( Membership in a closed real interval.  (Contributed by Stefan O'Rear,
     16-Nov-2014.)  (Proof shortened by Mario Carneiro, 1-Jan-2017.) $)
  elicc4 $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
      ( C e. ( A [,] B ) <-> ( A <_ C /\ C <_ B ) ) ) $=
    ( cxr wcel cicc co cle wbr wa wb w3a elicc1 3anass bitrdi baibd 3impa ) ADE
    ZBDEZCDEZCABFGEZACHIZCBHIZJZKRSJZUATUDUEUATUBUCLTUDJABCMTUBUCNOPQ $.

  ${
    $d w x y z A $.  $d w x y z B $.  $d w x y z C $.  $d w x y z D $.
    $( Condition for a closed interval to be a subset of another closed
       interval.  (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario
       Carneiro, 20-Feb-2015.) $)
    iccss $p |- ( ( ( A e. RR /\ B e. RR ) /\
                    ( A <_ C /\ D <_ B ) ) -> ( C [,] D ) C_ ( A [,] B ) ) $=
      ( vx vy vz vw cr wcel wa cxr cle wbr cicc co wss rexr anim12i xrletr cv
      df-icc ixxss12 sylan ) AIJZBIJZKALJZBLJZKACMNDBMNKCDOPABOPQUEUGUFUHARBRSE
      FGHABCDOMMMMOMMEFGUBZUIACHUAZTUJDBTUCUD $.

    $( Condition for a closed interval to be a subset of an open interval.
       (Contributed by Mario Carneiro, 20-Feb-2015.) $)
    iccssioo $p |- ( ( ( A e. RR* /\ B e. RR* ) /\
      ( A < C /\ D < B ) ) -> ( C [,] D ) C_ ( A (,) B ) ) $=
      ( vx vy vz vw cicc clt cle cioo df-ioo df-icc xrltletr xrlelttr ixxss12
      cv ) EFGHABCDIJJKKLJJEFGMEFGNACHRZOSDBPQ $.

    $( Condition for a closed-below, open-above interval to be a subset of a
       closed-below, open-above interval.  (Contributed by Thierry Arnoux,
       21-Sep-2017.) $)
    icossico $p |- ( ( ( A e. RR* /\ B e. RR* ) /\
      ( A <_ C /\ D <_ B ) ) -> ( C [,) D ) C_ ( A [,) B ) ) $=
      ( vx vy vz vw cico cle clt df-ico cv xrletr xrltletr ixxss12 ) EFGHABCDIJ
      KJKIJJEFGLZQACHMZNRDBOP $.

    $( Condition for a closed interval to be a subset of another closed
       interval.  (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario
       Carneiro, 28-Apr-2015.) $)
    iccss2 $p |- ( ( C e. ( A [,] B ) /\ D e. ( A [,] B ) ) ->
      ( C [,] D ) C_ ( A [,] B ) ) $=
      ( vx vy vz vw cicc co wcel cxr cle wbr w3a elixx3g adantr simprbi xrletr
      wa wss df-icc simplbi simp1d simp2d simpld simprd adantl ixxss12 syl22anc
      cv ) CABIJZKZDULKZTZALKZBLKZACMNZDBMNZCDIJULUAUOUPUQCLKZUMUPUQUTOZUNUMVAU
      RCBMNZTZEFGABCMMIEFGUBZPZUCQZUDUOUPUQUTVFUEUOURVBUMVCUNUMVAVCVERQUFUNUSUM
      UNADMNZUSUNUPUQDLKOVGUSTEFGABDMMIVDPRUGUHEFGHABCDIMMMMIMMVDVDACHUKZSVHDBS
      UIUJ $.

    $( Condition for a closed interval to be a subset of a half-open interval.
       (Contributed by Mario Carneiro, 9-Sep-2015.) $)
    iccssico $p |- ( ( ( A e. RR* /\ B e. RR* ) /\
      ( A <_ C /\ D < B ) ) -> ( C [,] D ) C_ ( A [,) B ) ) $=
      ( vx vy vz vw cicc cle clt cico df-ico df-icc cv xrletr xrlelttr ixxss12
      ) EFGHABCDIJKJJLJKEFGMEFGNACHOZPSDBQR $.

    $( Condition for a closed interval to be a subset of an open interval.
       (Contributed by Mario Carneiro, 20-Feb-2015.) $)
    iccssioo2 $p |- ( ( C e. ( A (,) B ) /\ D e. ( A (,) B ) ) ->
      ( C [,] D ) C_ ( A (,) B ) ) $=
      ( cioo co wcel wa cxr clt wbr cicc wss c0 wne ne0i adantr ndmioo necon1ai
      eliooord syl simpld adantl simprd iccssioo syl12anc ) CABEFZGZDUGGZHZAIGB
      IGHZACJKZDBJKZCDLFUGMUJUGNOZUKUHUNUIUGCPQUKUGNABRSUAUJULCBJKZUHULUOHUICAB
      TQUBUJADJKZUMUIUPUMHUHDABTUCUDABCDUEUF $.

    $( Condition for a closed interval to be a subset of a closed-below,
       open-above interval.  (Contributed by Mario Carneiro, 20-Feb-2015.) $)
    iccssico2 $p |- ( ( C e. ( A [,) B ) /\ D e. ( A [,) B ) ) ->
      ( C [,] D ) C_ ( A [,) B ) ) $=
      ( vx vy vz cico co wcel wa cxr cle wbr clt cv adantr w3a elixx3g simprbi
      cicc crab df-ico elmpocl1 elmpocl2 simpld simprd adantl iccssico syl22anc
      wss ) CABHIZJZDULJZKALJZBLJZACMNZDBONZCDUAIULUKUMUOUNEFLLEPGPZMNUSFPONKGL
      UBZABHCEFGUCZUDQUMUPUNEFLLUTABHCVAUEQUMUQUNUMUQCBONZUMUOUPCLJRUQVBKEFGABC
      MOHVASTUFQUNURUMUNADMNZURUNUOUPDLJRVCURKEFGABDMOHVASTUGUHABCDUIUJ $.
  $}

  $( The open interval from minus to plus infinity.  (Contributed by NM,
     6-Feb-2007.) $)
  ioomax $p |- ( -oo (,) +oo ) = RR $=
    ( vx cmnf cpnf cioo co cv clt wbr wa crab cxr wcel wceq mnfxr pnfxr iooval2
    cr mp2an rabid2 mnflt ltpnf jca mprgbir eqtr4i ) BCDEZBAFZGHZUFCGHZIZAQJZQB
    KLCKLUEUJMNOABCPRQUJMUIAQUIAQSUFQLUGUHUFTUFUAUBUCUD $.

  $( The closed interval from minus to plus infinity.  (Contributed by Mario
     Carneiro, 4-Jul-2014.) $)
  iccmax $p |- ( -oo [,] +oo ) = RR* $=
    ( vx cmnf cpnf cicc co cv cle wbr wa cxr crab wcel mnfxr pnfxr iccval mp2an
    wceq rabid2 mnfle pnfge jca mprgbir eqtr4i ) BCDEZBAFZGHZUECGHZIZAJKZJBJLCJ
    LUDUIQMNABCOPJUIQUHAJUHAJRUEJLUFUGUESUETUAUBUC $.

  $( The set of positive reals expressed as an open interval.  (Contributed by
     NM, 7-May-2007.) $)
  ioopos $p |- ( 0 (,) +oo ) = { x e. RR | 0 < x } $=
    ( cc0 cpnf cioo co cv clt wbr wa crab cxr wcel wceq 0xr pnfxr iooval2 mp2an
    cr ltpnf biantrud rabbiia eqtr4i ) BCDEZBAFZGHZUDCGHZIZARJZUEARJBKLCKLUCUHM
    NOABCPQUEUGARUDRLUFUEUDSTUAUB $.

  $( The set of positive reals expressed as an open interval.  (Contributed by
     Steve Rodriguez, 25-Nov-2007.) $)
  ioorp $p |- ( 0 (,) +oo ) = RR+ $=
    ( vx cc0 cpnf cioo co cv clt wbr cr crab crp ioopos df-rp eqtr4i ) BCDEBAFG
    HAIJKALAMN $.

  $( Shift the arguments of the open interval function.  (Contributed by NM,
     17-Aug-2008.) $)
  iooshf $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) )
     -> ( ( A - B ) e. ( C (,) D ) <-> A e. ( ( C + B ) (,) ( D + B ) ) ) ) $=
    ( cr wcel wa caddc co clt wbr cioo wb 3expa cxr readdcl rexrd rexr ad2antrl
    elioo5 ltaddsub 3com13 adantrr w3a ltsubadd bicomd adantrl anbi12d ad2ant2l
    cmin ad2ant2rl syl3anc ancoms ad2antll resubcl adantr 3bitr4rd ) AEFZBEFZGZ
    CEFZDEFZGZGZCBHIZAJKZADBHIZJKZGZCABUJIZJKZVJDJKZGZAVEVGLIFZVJCDLIFZVDVFVKVH
    VLUTVAVFVKMZVBURUSVAVPVAUSURVPCBAUAUBNUCUTVBVHVLMZVAURUSVBVQURUSVBUDVLVHABD
    UEUFNUGUHVCUTVNVIMZVCUTGVEOFZVGOFZAOFZVRVAUSVSVBURVAUSGVECBPQUKVBUSVTVAURVB
    USGVGDBPQUIURWAVCUSARSVEVGATULUMVDCOFZDOFZVJOFZVOVMMVAWBUTVBCRSVBWCUTVADRUN
    UTWDVCUTVJABUOQUPCDVJTULUQ $.

  ${
    $d w x y z A $.  $d w x y z B $.
    $( A closed-above interval with real upper bound is a set of reals.
       (Contributed by FL, 29-May-2014.) $)
    iocssre $p |- ( ( A e. RR* /\ B e. RR ) -> ( A (,] B ) C_ RR ) $=
      ( vx cxr wcel cr wa cioc co cv w3a clt wbr cle elioc2 simp1d 3expia ssrdv
      biimp3a ) ADEZBFEZGCABHIZFTUACJZUBEZUCFEZTUAUDKUEAUCLMZUCBNMZTUAUDUEUFUGK
      ABUCOSPQR $.

    $( A closed-below interval with real lower bound is a set of reals.
       (Contributed by Mario Carneiro, 14-Jun-2014.) $)
    icossre $p |- ( ( A e. RR /\ B e. RR* ) -> ( A [,) B ) C_ RR ) $=
      ( vx cr wcel cxr wa cico co cv w3a cle wbr clt elico2 simp1d 3expia ssrdv
      biimp3a ) ADEZBFEZGCABHIZDTUACJZUBEZUCDEZTUAUDKUEAUCLMZUCBNMZTUAUDUEUFUGK
      ABUCOSPQR $.

    $( A closed real interval is a set of reals.  (Contributed by FL,
       6-Jun-2007.)  (Proof shortened by Paul Chapman, 21-Jan-2008.) $)
    iccssre $p |- ( ( A e. RR /\ B e. RR ) -> ( A [,] B ) C_ RR ) $=
      ( vx cr wcel wa cicc co cv w3a cle wbr elicc2 biimp3a simp1d 3expia ssrdv
      ) ADEZBDEZFCABGHZDRSCIZTEZUADEZRSUBJUCAUAKLZUABKLZRSUBUCUDUEJABUAMNOPQ $.

    $( A closed interval is a set of extended reals.  (Contributed by FL,
       28-Jul-2008.)  (Revised by Mario Carneiro, 4-Jul-2014.) $)
    iccssxr $p |- ( A [,] B ) C_ RR* $=
      ( vx vy vz cle cicc df-icc ixxssxr ) CDEABFFGCDEHI $.

    $( An open-below, closed-above interval is a subset of the extended reals.
       (Contributed by FL, 29-May-2014.)  (Revised by Mario Carneiro,
       4-Jul-2014.) $)
    iocssxr $p |- ( A (,] B ) C_ RR* $=
      ( vx vy vz clt cle cioc df-ioc ixxssxr ) CDEABFGHCDEIJ $.

    $( A closed-below, open-above interval is a subset of the extended reals.
       (Contributed by FL, 29-May-2014.)  (Revised by Mario Carneiro,
       4-Jul-2014.) $)
    icossxr $p |- ( A [,) B ) C_ RR* $=
      ( vx vy vz cle clt cico df-ico ixxssxr ) CDEABFGHCDEIJ $.

    $( An open interval is a subset of its closure.  (Contributed by Paul
       Chapman, 18-Oct-2007.) $)
    ioossicc $p |- ( A (,) B ) C_ ( A [,] B ) $=
      ( vx vy vz vw cicc clt cle cioo df-ioo df-icc cv xrltle ixxssixx ) CDEFAB
      GHHIIJCDEKCDELAFMZNPBNO $.
  $}

  ${
    iccssred.1 $e |- ( ph -> A e. RR ) $.
    iccssred.2 $e |- ( ph -> B e. RR ) $.
    $( A closed real interval is a set of reals.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    iccssred $p |- ( ph -> ( A [,] B ) C_ RR ) $=
      ( cr wcel cicc co wss iccssre syl2anc ) ABFGCFGBCHIFJDEBCKL $.
  $}

  $( A member of a closed interval is an extended real.  (Contributed by Glauco
     Siliprandi, 11-Dec-2019.) $)
  eliccxr $p |- ( A e. ( B [,] C ) -> A e. RR* ) $=
    ( cicc co cxr iccssxr sseli ) BCDEFABCGH $.

  ${
    $d a b w x A $.  $d a b w x B $.  $d a b w x C $.  $d a b w x D $.
    $( A closed-below, open-above interval is a subset of its closure.
       (Contributed by Thierry Arnoux, 25-Oct-2016.) $)
    icossicc $p |- ( A [,) B ) C_ ( A [,] B ) $=
      ( va vb vx vw cicc cle clt cico df-ico df-icc cxr wcel cv wa wbr ixxssixx
      idd xrltle ) CDEFABGHIHHJCDEKCDELAMNFOZMNPAUAHQSUABTR $.

    $( A closed-above, open-below interval is a subset of its closure.
       (Contributed by Thierry Arnoux, 1-Apr-2017.) $)
    iocssicc $p |- ( A (,] B ) C_ ( A [,] B ) $=
      ( va vb vx vw cicc clt cle cioc df-ioc df-icc cv xrltle cxr wcel ixxssixx
      wa wbr idd ) CDEFABGHIIIJCDEKCDELAFMZNUAOPBOPRUABISTQ $.

    $( An open interval is a subset of its closure-below.  (Contributed by
       Thierry Arnoux, 3-Mar-2017.) $)
    ioossico $p |- ( A (,) B ) C_ ( A [,) B ) $=
      ( va vb vx vw cico clt cle cioo df-ioo df-ico cv xrltle cxr wcel ixxssixx
      wa wbr idd ) CDEFABGHHIHJCDEKCDELAFMZNUAOPBOPRUABHSTQ $.

    $( Condition for a closed interval to be a subset of an open interval.
       (Contributed by Thierry Arnoux, 29-Mar-2017.) $)
    iocssioo $p |- ( ( ( A e. RR* /\ B e. RR* ) /\
      ( A <_ C /\ D < B ) ) -> ( C (,] D ) C_ ( A (,) B ) ) $=
      ( va vb vx vw cioc clt cle cioo df-ioo df-ioc cv xrlelttr ixxss12 ) EFGHA
      BCDIJJJKLKJEFGMEFGNACHOZPRDBPQ $.

    $( Condition for a closed interval to be a subset of an open interval.
       (Contributed by Thierry Arnoux, 29-Mar-2017.) $)
    icossioo $p |- ( ( ( A e. RR* /\ B e. RR* ) /\
      ( A < C /\ D <_ B ) ) -> ( C [,) D ) C_ ( A (,) B ) ) $=
      ( va vb vx vw cico clt cle cioo df-ioo df-ico cv xrltletr ixxss12 ) EFGHA
      BCDIJJKJLJKEFGMEFGNACHOZPRDBPQ $.

    $( Condition for an open interval to be a subset of an open interval.
       (Contributed by Thierry Arnoux, 26-Sep-2017.) $)
    ioossioo $p |- ( ( ( A e. RR* /\ B e. RR* ) /\
      ( A <_ C /\ D <_ B ) ) -> ( C (,) D ) C_ ( A (,) B ) ) $=
      ( va vb vx vw cioo clt cle df-ioo cv xrlelttr xrltletr ixxss12 ) EFGHABCD
      IJJJJIKKEFGLZQACHMZNRDBOP $.
  $}

  ${
    $d A y $.  $d B x y $.  $d S x y $.
    $( A nonempty subset of a closed real interval satisfies the conditions for
       the existence of its supremum (see ~ suprcl ).  (Contributed by Paul
       Chapman, 21-Jan-2008.) $)
    iccsupr $p |- ( ( ( A e. RR /\ B e. RR ) /\ S C_ ( A [,] B ) /\ C e. S ) ->
                   ( S C_ RR /\ S =/= (/) /\ E. x e. RR A. y e. S y <_ x ) ) $=
      ( cr wcel wa cicc co wss w3a c0 wne cv cle wbr wral 3adant3 iccssre sylan
      wrex sstr ancoms ne0i 3ad2ant3 simplr elicc2 biimpd sylan9r imp ralrimiva
      ssel simp3d brralrspcev syl2anc 3jca ) CGHZDGHZIZFCDJKZLZEFHZMFGLZFNOZBPZ
      APQRBFSAGUCZVAVCVEVDVAVBGLZVCVECDUAVCVIVEFVBGUDUEUBTVDVAVFVCFEUFUGVAVCVHV
      DVAVCIZUTVGDQRZBFSVHUSUTVCUHVJVKBFVJVGFHZIVGGHZCVGQRZVKVJVLVMVNVKMZVCVLVG
      VBHZVAVOFVBVGUNVAVPVOCDVGUIUJUKULUOUMABVGDQGFUPUQTUR $.
  $}

  ${
    $d w x y z A $.  $d x B $.
    $( Membership in an unbounded interval of extended reals.  (Contributed by
       Mario Carneiro, 18-Jun-2014.) $)
    elioopnf $p |- ( A e. RR* ->
                     ( B e. ( A (,) +oo ) <-> ( B e. RR /\ A < B ) ) ) $=
      ( cxr wcel cpnf cioo co cr clt wbr w3a wa pnfxr elioo2 mpan2 df-3an ltpnf
      wb adantr pm4.71i bitr4i bitrdi ) ACDZBAEFGDZBHDZABIJZBEIJZKZUEUFLZUCECDU
      DUHRMAEBNOUHUIUGLUIUEUFUGPUIUGUEUGUFBQSTUAUB $.

    $( Membership in an unbounded interval of extended reals.  (Contributed by
       Mario Carneiro, 18-Jun-2014.) $)
    elioomnf $p |- ( A e. RR* ->
                     ( B e. ( -oo (,) A ) <-> ( B e. RR /\ B < A ) ) ) $=
      ( cxr wcel cmnf cioo co cr clt wbr w3a wa wb mnfxr elioo2 mpan an32 mnflt
      df-3an adantr pm4.71i 3bitr4i bitrdi ) ACDZBEAFGDZBHDZEBIJZBAIJZKZUFUHLZE
      CDUDUEUIMNEABOPUFUGLUHLUJUGLUIUJUFUGUHQUFUGUHSUJUGUFUGUHBRTUAUBUC $.

    $( Membership in a closed unbounded interval of reals.  (Contributed by
       Mario Carneiro, 16-Sep-2014.) $)
    elicopnf $p |- ( A e. RR ->
                     ( B e. ( A [,) +oo ) <-> ( B e. RR /\ A <_ B ) ) ) $=
      ( cr wcel cpnf cico co cle wbr clt w3a wa cxr wb pnfxr elico2 mpan2 ltpnf
      adantr pm4.71i df-3an bitr4i bitr4di ) ACDZBAEFGDZBCDZABHIZBEJIZKZUFUGLZU
      DEMDUEUINOAEBPQUJUJUHLUIUJUHUFUHUGBRSTUFUGUHUAUBUC $.

    $( Two ways of saying that a real number is positive.  (Contributed by NM,
       7-May-2007.) $)
    repos $p |- ( A e. ( 0 (,) +oo ) <-> ( A e. RR /\ 0 < A ) ) $=
      ( vx cc0 cv clt wbr cr cpnf cioo co breq2 ioopos elrab2 ) CBDZEFCAEFBAGCH
      IJNACEKBLM $.

    $( The set of open intervals of extended reals maps to subsets of reals.
       (Contributed by NM, 7-Feb-2007.)  (Revised by Mario Carneiro,
       16-Nov-2013.) $)
    ioof $p |- (,) : ( RR* X. RR* ) --> ~P RR $=
      ( vx vz vy cv clt wbr wa cxr crab cr cpw wcel wral cxp cioo wf iooval wss
      co ioossre ovex elpw mpbir eqeltrrdi rgen2 df-ioo fmpo mpbi ) ADZBDZEFUJC
      DZEFGBHIZJKZLZCHMAHMHHNUMOPUNACHHUIHLUKHLGULUIUKOSZUMBUIUKQUOUMLUOJRUIUKT
      UOJUIUKOUAUBUCUDUEACHHULUMOACBUFUGUH $.

    $( The set of closed intervals of extended reals maps to subsets of
       extended reals.  (Contributed by FL, 14-Jun-2007.)  (Revised by Mario
       Carneiro, 3-Nov-2013.) $)
    iccf $p |- [,] : ( RR* X. RR* ) --> ~P RR* $=
      ( vx vy vz cle cicc df-icc ixxf ) ABCDDEABCFG $.

    $( The union of the range of the open interval function.  (Contributed by
       NM, 7-May-2007.)  (Revised by Mario Carneiro, 30-Jan-2014.) $)
    unirnioo $p |- RR = U. ran (,) $=
      ( cr cioo crn cuni wcel wss cmnf cpnf co ioomax cxr cxp wfn wf ioof ax-mp
      cpw ffn mnfxr pnfxr fnovrn mp3an eqeltrri elssuni frn sspwuni mpbi eqssi
      ) ABCZDZAUIEAUJFGHBIZAUIJBKKLZMZGKEHKEUKUIEULAQZBNZUMOULUNBRPSTKKGHBUAUBU
      CAUIUDPUIUNFZUJAFUOUPOULUNBUEPUIAUFUGUH $.

    $( Alternate definition of the set of open intervals of extended reals.
       (Contributed by NM, 1-Mar-2007.)  (Revised by Mario Carneiro,
       1-Sep-2015.) $)
    dfioo2 $p |- (,) = ( x e. RR* , y e. RR* |->
                         { w e. RR | ( x < w /\ w < y ) } ) $=
      ( cioo cxr cv co cmpo clt wbr wa cr crab cxp wfn wceq cpw wf ioof ffn
      ax-mp fnov mpbi iooval2 mpoeq3ia eqtri ) DABEEAFZBFZDGZHZABEEUGCFZIJUKUHI
      JKCLMZHDEENZOZDUJPUMLQZDRUNSUMUODTUAABEEDUBUCABEEUIULCUGUHUDUEUF $.

    $( Open intervals are elements of the set of all open intervals.
       (Contributed by Mario Carneiro, 26-Mar-2015.) $)
    ioorebas $p |- ( A (,) B ) e. ran (,) $=
      ( vx cioo co crn wcel c0 wceq id cc0 iooid cxr cxp wfn cr cpw 0xr fnovrn
      wf ioof ffn ax-mp mp3an eqeltrri eqeltrdi wne cv wex n0 wa eliooxr mp3an1
      syl exlimiv sylbi pm2.61ine ) ABDEZDFZGZURHURHIZURHUSVAJKKDEZHUSKLDMMNZOZ
      KMGZVEVBUSGVCPQZDTVDUAVCVFDUBUCZRRMMKKDSUDUEUFURHUGCUHZURGZCUIUTCURUJVIUT
      CVIAMGZBMGZUKUTVHABULVDVJVKUTVGMMABDSUMUNUOUPUQ $.
  $}

  $( A nonnegative extended real is not equal to minus infinity.  (Contributed
     by Thierry Arnoux, 9-Jun-2017.)  (Proof shortened by Glauco Siliprandi,
     17-Aug-2020.) $)
  xrge0neqmnf $p |- ( A e. ( 0 [,] +oo ) -> A =/= -oo ) $=
    ( cc0 cpnf cicc wcel cxr cle wbr cmnf wne eliccxr 0xr pnfxr iccgelb mp3an12
    co ge0nemnf syl2anc ) ABCDPEZAFEBAGHZAIJABCKBFECFESTLMBCANOAQR $.

  $( An extended real which is not a real is plus infinity.  (Contributed by
     Thierry Arnoux, 16-Oct-2017.) $)
  xrge0nre $p |- ( ( A e. ( 0 [,] +oo ) /\ -. A e. RR ) -> A = +oo ) $=
    ( cc0 cpnf cicc co wcel cr wceq cxr cmnf wne wo eliccxr xrge0neqmnf xrnemnf
    wa biimpi syl2anc orcanai ) ABCDEFZAGFZACHZTAIFZAJKZUAUBLZABCMANUCUDPUEAOQR
    S $.

  $( The predicate "is a nonnegative real".  (Contributed by Jeff Madsen,
     2-Sep-2009.)  (Proof shortened by Mario Carneiro, 18-Jun-2014.) $)
  elrege0 $p |- ( A e. ( 0 [,) +oo ) <-> ( A e. RR /\ 0 <_ A ) ) $=
    ( cc0 cr wcel cpnf cico co cle wbr wa wb 0re elicopnf ax-mp ) BCDABEFGDACDB
    AHIJKLBAMN $.

  $( A nonnegative integer is a nonnegative real number.  (Contributed by AV,
     24-May-2020.) $)
  nn0rp0 $p |- ( N e. NN0 -> N e. ( 0 [,) +oo ) ) $=
    ( cn0 wcel cr cc0 cle wbr cpnf cico co nn0re nn0ge0 elrege0 sylanbrc ) ABCA
    DCEAFGAEHIJCAKALAMN $.

  $( Nonnegative real numbers are real numbers.  (Contributed by Thierry
     Arnoux, 9-Sep-2018.)  (Proof shortened by AV, 8-Sep-2019.) $)
  rge0ssre $p |- ( 0 [,) +oo ) C_ RR $=
    ( vx cc0 cpnf cico co cr cv wcel cle wbr elrege0 simplbi ssriv ) ABCDEZFAGZ
    NHOFHBOIJOKLM $.

  $( Elementhood in the set of nonnegative extended reals.  (Contributed by
     Mario Carneiro, 28-Jun-2014.) $)
  elxrge0 $p |- ( A e. ( 0 [,] +oo ) <-> ( A e. RR* /\ 0 <_ A ) ) $=
    ( cxr wcel cc0 cle wbr cpnf w3a wa cicc co df-3an wb 0xr pnfxr elicc1 mp2an
    pnfge adantr pm4.71i 3bitr4i ) ABCZDAEFZAGEFZHZUBUCIZUDIADGJKCZUFUBUCUDLDBC
    GBCUGUEMNODGAPQUFUDUBUDUCARSTUA $.

  $( 0 is a member of ` ( 0 [,) +oo ) ` .  (Contributed by David A. Wheeler,
     8-Dec-2018.) $)
  0e0icopnf $p |- 0 e. ( 0 [,) +oo ) $=
    ( cc0 cpnf cico co wcel cr cle wbr 0re 0le0 elrege0 mpbir2an ) AABCDEAFEAAG
    HIJAKL $.

  $( 0 is a member of ` ( 0 [,] +oo ) ` .  (Contributed by David A. Wheeler,
     8-Dec-2018.) $)
  0e0iccpnf $p |- 0 e. ( 0 [,] +oo ) $=
    ( cc0 cpnf cicc co wcel cxr cle wbr 0xr 0le0 elxrge0 mpbir2an ) AABCDEAFEAA
    GHIJAKL $.

  $( The nonnegative reals are closed under addition.  (Contributed by Mario
     Carneiro, 19-Jun-2014.) $)
  ge0addcl $p |- ( ( A e. ( 0 [,) +oo ) /\ B e. ( 0 [,) +oo ) ) ->
                   ( A + B ) e. ( 0 [,) +oo ) ) $=
    ( cc0 cpnf cico co wcel cr cle wbr wa caddc elrege0 readdcl ad2ant2r addge0
    an4s sylanbrc syl2anb ) ACDEFZGAHGZCAIJZKZBHGZCBIJZKZABLFZTGZBTGAMBMUCUFKUG
    HGZCUGIJZUHUAUDUIUBUEABNOUAUDUBUEUJABPQUGMRS $.

  $( The nonnegative reals are closed under multiplication.  (Contributed by
     Mario Carneiro, 19-Jun-2014.) $)
  ge0mulcl $p |- ( ( A e. ( 0 [,) +oo ) /\ B e. ( 0 [,) +oo ) ) ->
                   ( A x. B ) e. ( 0 [,) +oo ) ) $=
    ( cc0 cpnf cico co wcel cr cle wbr wa cmul elrege0 ad2ant2r mulge0 sylanbrc
    remulcl syl2anb ) ACDEFZGAHGZCAIJZKZBHGZCBIJZKZABLFZSGZBSGAMBMUBUEKUFHGZCUF
    IJUGTUCUHUAUDABQNABOUFMPR $.

  $( The nonnegative reals are closed under addition.  (Contributed by Mario
     Carneiro, 26-Aug-2015.) $)
  ge0xaddcl $p |- ( ( A e. ( 0 [,] +oo ) /\ B e. ( 0 [,] +oo ) ) ->
                   ( A +e B ) e. ( 0 [,] +oo ) ) $=
    ( cc0 cpnf cicc co wcel cxr cle wbr wa cxad elxrge0 xaddcl ad2ant2r xaddge0
    an4s sylanbrc syl2anb ) ACDEFZGAHGZCAIJZKZBHGZCBIJZKZABLFZTGZBTGAMBMUCUFKUG
    HGZCUGIJZUHUAUDUIUBUEABNOUAUDUBUEUJABPQUGMRS $.

  $( The nonnegative extended reals are closed under multiplication.
     (Contributed by Mario Carneiro, 26-Aug-2015.) $)
  ge0xmulcl $p |- ( ( A e. ( 0 [,] +oo ) /\ B e. ( 0 [,] +oo ) ) ->
                   ( A *e B ) e. ( 0 [,] +oo ) ) $=
    ( cc0 cpnf cicc co wcel cxr cle wbr wa cxmu elxrge0 xmulcl ad2ant2r xmulge0
    sylanbrc syl2anb ) ACDEFZGAHGZCAIJZKZBHGZCBIJZKZABLFZSGZBSGAMBMUBUEKUFHGZCU
    FIJUGTUCUHUAUDABNOABPUFMQR $.

  $( The lower bound of a closed interval is a member of it.  (Contributed by
     Paul Chapman, 26-Nov-2007.)  (Revised by FL, 29-May-2014.)  (Revised by
     Mario Carneiro, 9-Sep-2015.) $)
  lbicc2 $p |- ( ( A e. RR* /\ B e. RR* /\ A <_ B ) -> A e. ( A [,] B ) ) $=
    ( cxr wcel cle wbr w3a cicc co simp1 xrleid 3ad2ant1 simp3 elicc1 mpbir3and
    wb 3adant3 ) ACDZBCDZABEFZGAABHIDZRAAEFZTRSTJRSUBTAKLRSTMRSUARUBTGPTABANQO
    $.

  $( The upper bound of a closed interval is a member of it.  (Contributed by
     Paul Chapman, 26-Nov-2007.)  (Revised by FL, 29-May-2014.) $)
  ubicc2 $p |- ( ( A e. RR* /\ B e. RR* /\ A <_ B ) -> B e. ( A [,] B ) ) $=
    ( cxr wcel cle wbr w3a cicc co simp2 simp3 xrleid 3ad2ant2 elicc1 mpbir3and
    wb 3adant3 ) ACDZBCDZABEFZGBABHIDZSTBBEFZRSTJRSTKSRUBTBLMRSUASTUBGPTABBNQO
    $.

  $( Membership in the closed real interval between 0 and 1, also called the
     closed unit interval.  (Contributed by AV, 20-Aug-2022.) $)
  elicc01 $p |- ( X e. ( 0 [,] 1 ) <-> ( X e. RR /\ 0 <_ X /\ X <_ 1 ) ) $=
    ( cc0 c1 0re 1re elicc2i ) BCADEF $.

  $( The closed unit interval is a subset of the set of the real numbers.
     Useful lemma for manipulating probabilities within the closed unit
     interval.  (Contributed by Thierry Arnoux, 21-Dec-2016.) $)
  elunitrn $p |- ( A e. ( 0 [,] 1 ) -> A e. RR ) $=
    ( cc0 c1 cicc co wcel cr cle wbr elicc01 simp1bi ) ABCDEFAGFBAHIACHIAJK $.

  $( The closed unit interval is a subset of the set of the complex numbers.
     Useful lemma for manipulating probabilities within the closed unit
     interval.  (Contributed by Thierry Arnoux, 21-Dec-2016.) $)
  elunitcn $p |- ( A e. ( 0 [,] 1 ) -> A e. CC ) $=
    ( cc0 c1 cicc co wcel elunitrn recnd ) ABCDEFAAGH $.

  $( Zero is an element of the closed unit interval.  (Contributed by Scott
     Fenton, 11-Jun-2013.) $)
  0elunit $p |- 0 e. ( 0 [,] 1 ) $=
    ( cc0 c1 cicc co wcel cr cle wbr 0re 0le0 0le1 elicc01 mpbir3an ) AABCDEAFE
    AAGHABGHIJKALM $.

  $( One is an element of the closed unit interval.  (Contributed by Scott
     Fenton, 11-Jun-2013.) $)
  1elunit $p |- 1 e. ( 0 [,] 1 ) $=
    ( c1 cc0 cicc co wcel cr cle wbr 1re 0le1 1le1 elicc01 mpbir3an ) ABACDEAFE
    BAGHAAGHIJKALM $.

  $( Membership in a negated open real interval.  (Contributed by Paul Chapman,
     26-Nov-2007.) $)
  iooneg $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                  ( C e. ( A (,) B ) <-> -u C e. ( -u B (,) -u A ) ) ) $=
    ( cr wcel w3a clt wbr wa cneg cioo co ltneg 3adant2 cxr rexr elioo5 renegcl
    wb syl3an ancoms 3adant1 anbi12d biancomd 3com12 3bitr4d ) ADEZBDEZCDEZFZAC
    GHZCBGHZIZBJZCJZGHZUOAJZGHZIZCABKLEZUOUNUQKLEZUJUMUPURUJUKURULUPUGUIUKURSUH
    ACMNUHUIULUPSZUGUIUHVBCBMUAUBUCUDUGAOEUHBOEUICOEUTUMSAPBPCPABCQTUHUGUIVAUSS
    ZUHUNDEZUGUQDEZUIUODEZVCBRARCRVDUNOEVEUQOEVFUOOEVCUNPUQPUOPUNUQUOQTTUEUF $.

  $( Membership in a negated closed real interval.  (Contributed by Paul
     Chapman, 26-Nov-2007.) $)
  iccneg $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                  ( C e. ( A [,] B ) <-> -u C e. ( -u B [,] -u A ) ) ) $=
    ( cr wcel w3a cle wbr wa cneg cicc co renegcl anbi12d elicc2 3adant3 3anass
    wb leneg bitrdi ax-1 impbid2 3ad2ant3 ancom 3adant1 3adant2 bitr3id syl2anr
    ancoms 3bitr4d ) ADEZBDEZCDEZFZUMACGHZCBGHZIZIZCJZDEZBJZUSGHZUSAJZGHZIZIZCA
    BKLEZUSVAVCKLEZUNUMUTUQVEUMUKUMUTRULUMUMUTCMUMUTUAUBUCUQUPUOIUNVEUPUOUDUNUP
    VBUOVDULUMUPVBRZUKUMULVICBSUIUEUKUMUOVDRULACSUFNUGNUNVGUMUOUPFZURUKULVGVJRU
    MABCOPUMUOUPQTUNVHUTVBVDFZVFUKULVHVKRZUMULVADEVCDEVLUKBMAMVAVCUSOUHPUTVBVDQ
    TUJ $.

  $( A shifted real is a member of a shifted, closed-below, open-above real
     interval.  (Contributed by Paul Chapman, 25-Mar-2008.) $)
  icoshft $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) -> ( X e. ( A [,) B ) ->
                  ( X + C ) e. ( ( A + C ) [,) ( B + C ) ) ) ) $=
    ( cr wcel w3a cico co cle wbr clt wa caddc wi cxr wb rexr elico2 readdcl
    sylan2 biimpd 3adant3 3anass syl6ib leadd1 3com12 3expib 3adant2 imp ltadd1
    com12 3adant1 anbi12d pm5.32da expcom syl6ibr 3ad2ant3 biimprd syl2anc syld
    anim1d sylbid ) AEFZBEFZCEFZGZDABHIFZDEFZADJKZDBLKZMZMZDCNIZACNIZBCNIZHIFZV
    GVHVIVJVKGZVMVDVEVHVROVFVDVEMVHVRVEVDBPFVHVRQBRABDSUAUBUCVIVJVKUDUEVGVMVIVO
    VNJKZVNVPLKZMZMZVQVGVIVLWAVGVIMVJVSVKVTVGVIVJVSQZVDVFVIWCOVEVIVDVFMWCVIVDVF
    WCVDVIVFWCADCUFUGUHULUIUJVGVIVKVTQZVEVFVIWDOVDVIVEVFMWDVIVEVFWDDBCUKUHULUMU
    JUNUOVGWBVNEFZVSVTGZVQVFVDWBWFOVEVFWBWEWAMWFVFVIWEWAVIVFWEDCTUPVBWEVSVTUDUQ
    URVGVOEFZVPEFZWFVQOVDVFWGVEACTUIVEVFWHVDBCTUMWGWHMVQWFWHWGVPPFVQWFQVPRVOVPV
    NSUAUSUTVAVCVA $.

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d y F $.
    icoshftf1o.1 $e |- F = ( x e. ( A [,) B ) |-> ( x + C ) ) $.
    $( Shifting a closed-below, open-above interval is one-to-one onto.
       (Contributed by Paul Chapman, 25-Mar-2008.)  (Proof shortened by Mario
       Carneiro, 1-Sep-2015.) $)
    icoshftf1o $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
        F : ( A [,) B ) -1-1-onto-> ( ( A + C ) [,) ( B + C ) ) ) $=
      ( vy cr wcel cv caddc co cico wral wceq wreu icoshft cmin recnd negsubd
      wf1o ralrimiv wa cneg wi readdcl 3adant2 3adant1 renegcl 3ad2ant3 syl3anc
      w3a imp cxr rexrd icossre syl2anc sselda simpl3 simp3 simp1 eqtrd oveq12d
      wss pncand simp2 adantr 3eltr3d reueq sylib simpll3 simpl1 subadd2d eqcom
      simpl2 3bitr4g reubidva mpbid ralrimiva f1ompt sylanbrc ) BHIZCHIZDHIZULZ
      AJZDKLZBDKLZCDKLZMLZIZABCMLZNGJZWGOZAWLPZGWJNWLWJEUAWEWKAWLBCDWFQUBWEWOGW
      JWEWMWJIZUCZWFWMDRLZOZAWLPZWOWQWRWLIWTWQWMDUDZKLZWHXAKLZWIXAKLZMLZWRWLWEW
      PXBXEIZWEWHHIZWIHIZXAHIZWPXFUEWBWDXGWCBDUFUGZWCWDXHWBCDUFUHZWDWBXIWCDUIUJ
      WHWIXAWMQUKUMWQWMDWQWMWEWJHWMWEXGWIUNIWJHVDXJWEWIXKUOWHWIUPUQURZSWQDWBWCW
      DWPUSSTWEXEWLOWPWEXCBXDCMWEXCWHDRLBWEWHDWEWHXJSWEDWBWCWDUTSZTWEBDWEBWBWCW
      DVASXMVEVBWEXDWIDRLCWEWIDWEWIXKSXMTWECDWECWBWCWDVFSXMVEVBVCVGVHAWLWRVIVJW
      QWSWNAWLWQWFWLIZUCZWRWFOWGWMOWSWNXOWMDWFXOWMWQWMHIXNXLVGSXODWBWCWDWPXNVKS
      XOWFWQWLHWFWQWBCUNIWLHVDWBWCWDWPVLWQCWBWCWDWPVOUOBCUPUQURSVMWFWRVNWMWGVNV
      PVQVRVSAGWLWJWGEFVTWA $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w x y z C $.  $d w x y z D $.
    $( The union of two adjacent left-closed right-open real intervals is a
       left-closed right-open real interval.  (Contributed by Paul Chapman,
       15-Mar-2008.)  (Proof shortened by Mario Carneiro, 16-Jun-2014.) $)
    icoun $p |- ( ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\
                    ( A <_ B /\ B <_ C ) ) ->
                  ( ( A [,) B ) u. ( B [,) C ) ) = ( A [,) C ) ) $=
      ( vx vy vz vw cico cle clt df-ico cv xrlenlt xrltletr xrletr ixxun ) DEFG
      ABCHHIJIJHIIDEFKZQBGLZMQRBCNABROP $.

    $( Adjacent left-closed right-open real intervals are disjoint.
       (Contributed by Mario Carneiro, 16-Jun-2014.) $)
    icodisj $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
                    ( ( A [,) B ) i^i ( B [,) C ) ) = (/) ) $=
      ( vx cxr wcel w3a cico co cin c0 wss wceq wa clt wbr cle wb elico1 biimpa
      elin 3adant3 simp3d adantrr 3adant1 simp2d simpl2 simp1d xrlenltd adantrl
      cv wn mpbid pm2.65da pm2.21d syl5bi ssrdv ss0 syl ) AEFZBEFZCEFZGZABHIZBC
      HIZJZKLVFKMVCDVFKDUKZVFFVGVDFZVGVEFZNZVCVGKFZVGVDVEUAVCVJVKVCVJVGBOPZVCVH
      VLVIVCVHNVGEFZAVGQPZVLVCVHVMVNVLGZUTVAVHVORVBABVGSUBTUCUDVCVIVLULZVHVCVIN
      ZBVGQPZVPVQVMVRVGCOPZVCVIVMVRVSGZVAVBVIVTRUTBCVGSUETZUFVQBVGUTVAVBVIUGVQV
      MVRVSWAUHUIUMUJUNUOUPUQVFURUS $.

    ${
      $d A w x y z $.  $d B w x y z $.
      $( The union of an open interval with its upper endpoint is a left-open
         right-closed interval.  (Contributed by Jon Pennant, 8-Jun-2019.) $)
      ioounsn $p |- ( ( A e. RR* /\ B e. RR* /\ A < B ) ->
                                    ( ( A (,) B ) u. { B } ) = ( A (,] B ) ) $=
        ( vx vy vz vw cxr wcel clt wbr w3a cioo co cicc cun csn cioc wceq cle
        wa simp2 iccid syl uneq2d simp1 xrleidd df-ioo df-icc cv xrlenlt df-ioc
        simp3 simpl1 simpl2 simprl xrltled ex xrltletr ixxun syl32anc eqtr3d )
        AGHZBGHZABIJZKZABLMZBBNMZOZVFBPZOABQMZVEVGVIVFVEVCVGVIRVBVCVDUAZBUBUCUD
        VEVBVCVCVDBBSJZVHVJRVBVCVDUEVKVKVBVCVDULVEBVKUFCDEFABBNQIISSLISCDEUGCDE
        UHBFUIZUJCDEUKVMGHZVCVCKZVMBIJZVLTZVMBSJVOVQTVMBVNVCVCVQUMVNVCVCVQUNVOV
        PVLUOUPUQABVMURUSUTVA $.
    $}

    $( The closure of one end of an open real interval.  (Contributed by Paul
       Chapman, 15-Mar-2008.)  (Proof shortened by Mario Carneiro,
       16-Jun-2014.) $)
    snunioo $p |- ( ( A e. RR* /\ B e. RR* /\ A < B ) ->
                    ( { A } u. ( A (,) B ) ) = ( A [,) B ) ) $=
      ( vx vy vz vw cxr wcel clt wbr w3a cicc cioo cun csn cico wceq simp1 cle
      co iccid syl uneq1d simp2 xrleidd simp3 df-icc df-ioo cv xrltnle xrlelttr
      df-ico wi xrltle 3adant1 adantld ixxun syl32anc eqtr3d ) AGHZBGHZABIJZKZA
      ALTZABMTZNZAOZVENABPTZVCVDVGVEVCUTVDVGQUTVAVBRZAUAUBUCVCUTUTVAAASJZVBVFVH
      QVIVIUTVAVBUDVCAVIUEUTVAVBUFCDEFAABMPSSIILSICDEUGCDEUHAFUIZUJCDEULVKABUKU
      TUTVKGHZKAVKIJZAVKSJZVJUTVLVMVNUMUTAVKUNUOUPUQURUS $.

    $( The closure of the open end of a right-open real interval.  (Contributed
       by Mario Carneiro, 16-Jun-2014.) $)
    snunico $p |- ( ( A e. RR* /\ B e. RR* /\ A <_ B ) ->
                    ( ( A [,) B ) u. { B } ) = ( A [,] B ) ) $=
      ( vx vy vz vw cxr wcel cle wbr w3a cico cicc cun csn wceq simp2 iccid clt
      co syl uneq2d simp1 simp3 xrleidd df-ico df-icc cv xrlenlt xrltle 3adant3
      wi adantrd xrletr ixxun syl32anc eqtr3d ) AGHZBGHZABIJZKZABLTZBBMTZNZVBBO
      ZNABMTZVAVCVEVBVAUSVCVEPURUSUTQZBRUAUBVAURUSUSUTBBIJZVDVFPURUSUTUCVGVGURU
      SUTUDVABVGUECDEFABBMMISIILIICDEUFCDEUGZBFUHZUIVIVJGHZUSUSKVJBSJZVJBIJZVHV
      KUSVLVMULUSVJBUJUKUMABVJUNUOUPUQ $.

    $( The closure of the open end of a left-open real interval.  (Contributed
       by Thierry Arnoux, 28-Mar-2017.) $)
    snunioc $p |- ( ( A e. RR* /\ B e. RR* /\ A <_ B ) ->
                    ( { A } u. ( A (,] B ) ) = ( A [,] B ) ) $=
      ( vx vy vz vw cxr wcel cle wbr w3a cicc co cioc cun csn wceq 3ad2ant1 clt
      wa iccid uneq1d simp1 simp2 xrleid df-icc df-ioc cv xrltnle xrletr simpl1
      simp3 simpl3 simprr xrltled ex ixxun syl32anc eqtr3d ) AGHZBGHZABIJZKZAAL
      MZABNMZOZAPZVEOABLMZVCVDVGVEUTVAVDVGQVBAUARUBVCUTUTVAAAIJZVBVFVHQUTVAVBUC
      ZVJUTVAVBUDUTVAVIVBAUERUTVAVBULCDEFAABNLIISILIICDEUFZCDEUGAFUHZUIVKVLABUJ
      UTUTVLGHZKZVIAVLSJZTZAVLIJVNVPTAVLUTUTVMVPUKUTUTVMVPUMVNVIVOUNUOUPUQURUS
      $.

    $( The closure of an open real interval.  (Contributed by Paul Chapman,
       15-Mar-2008.)  (Proof shortened by Mario Carneiro, 16-Jun-2014.) $)
    prunioo $p |- ( ( A e. RR* /\ B e. RR* /\ A <_ B ) ->
                    ( ( A (,) B ) u. { A , B } ) = ( A [,] B ) ) $=
      ( cxr wcel cle wbr w3a cioo co cpr cun cicc wceq simp3 uncom eqtrid oveq2
      csn c0 eqtr3id clt wo wb xrleloe 3adant3 cico df-pr uneq2i eqtr4i snunioo
      wa unass uneq1d 3expa 3adantl3 snunico adantr eqtrd iccid 3ad2ant1 eqcomd
      ex un0 eqtri iooid dfsn2 preq2 uneq12d eqeq12d syl5ibcom jaod sylbid mpd
      ) ACDZBCDZABEFZGZVPABHIZABJZKZABLIZMZVNVOVPNVQVPABUAFZABMZUBZWBVNVOVPWEUC
      VPABUDUEVQWCWBWDVQWCWBVQWCUKVTABUFIZBRZKZWAVNVOWCVTWHMZVPVNVOWCWIVNVOWCGZ
      VTVRARZKZWGKZWHVTVRWKWGKZKWMVSWNVRABUGUHVRWKWGULUIWJWLWFWGWJWLWKVRKWFVRWK
      OABUJPUMPUNUOVQWHWAMWCABUPUQURVBVQWKAALIZMWDWBVQWOWKVNVOWOWKMVPAUSUTVAWDW
      KVTWOWAWDWKSWKKZVTWPWKSKWKSWKOWKVCVDWDSVRWKVSWDSAAHIVRAVEABAHQTWDWKAAJVSA
      VFABAVGPVHTABALQVIVJVKVLVM $.

    $( If the upper bound of one open interval is less than or equal to the
       lower bound of the other, the intervals are disjoint.  (Contributed by
       Jeff Hankins, 13-Jul-2009.) $)
    ioodisj $p |- ( ( ( ( A e. RR* /\ B e. RR* ) /\ ( C e. RR* /\ D e. RR* ) )
     /\ B <_ C ) -> ( ( A (,) B ) i^i ( C (,) D ) ) = (/) ) $=
      ( vx vy vz vw cxr wcel wa cle cioo co cin c0 wss wceq cicc syl wbr iooss1
      ad4ant24 ioossicc sstrdi sslin simplll simpllr simplrr clt df-ioo xrlenlt
      df-icc cv ixxdisj syl3anc sseqtrd ss0 ) AIJZBIJZKZCIJZDIJZKZKBCLUAZKZABMN
      ZCDMNZOZPQVIPRVFVIVGBDSNZOZPVFVHVJQVIVKQVFVHBDMNZVJUTVEVHVLQUSVDBCDUBUCBD
      UDUEVHVJVGUFTVFUSUTVCVKPRUSUTVDVEUGUSUTVDVEUHVAVBVCVEUIEFGHABDSUJUJLLMEFG
      UKEFGUMBHUNULUOUPUQVIURT $.

    $( Join two open intervals to create a third.  (Contributed by NM,
       11-Aug-2008.)  (Proof shortened by Mario Carneiro, 16-Jun-2014.) $)
    ioojoin $p |- ( ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\
                    ( A < B /\ B < C ) ) ->
                 ( ( ( A (,) B ) u. { B } ) u. ( B (,) C ) ) = ( A (,) C ) ) $=
      ( vx vy vz vw cxr wcel w3a clt wbr wa cioo co csn cun unass cico wceq cle
      snunioo 3expa 3adantl1 adantrl uneq2d df-ioo df-ico xrlttr xrltletr ixxun
      cv xrlenlt eqtrd eqtrid ) AHIZBHIZCHIZJZABKLZBCKLZMMZABNOZBPZQBCNOZQVCVDV
      EQZQZACNOZVCVDVERVBVGVCBCSOZQVHVBVFVIVCUSVAVFVITZUTUQURVAVJUPUQURVAVJBCUB
      UCUDUEUFDEFGABCSNKKUAKNKKDEFUGZDEFUHBGULZUMVKVLBCUIABVLUJUKUNUO $.

    $( The class difference of ` RR ` and a closed interval.  (Contributed by
       FL, 18-Jun-2007.) $)
    difreicc $p |- ( ( A e. RR /\ B e. RR ) -> ( RR \ ( A [,] B ) ) =
      ( ( -oo (,) A ) u. ( B (,) +oo ) ) ) $=
      ( cr wcel wa co cmnf cpnf wn cxr wbr w3a wb adantr wi adantl clt ad2antlr
      ex syl5bi vx cicc cdif cioo cun cv eldif wo cle rexr elicc1 syl2an notbid
      3anass notbii ianor pm2.24d mnflt simpr simpll ltnle bicomd syl2anc mnfxr
      biimpa ad3antrrr sylancr mpbir3and adantll ltpnf ad3antlr sylancl sylbird
      elioo1 pnfxr orim12d jaod sylbid expimpd elun syl6ibr ioossre unssi sseli
      elioo2 biimpd a1i com13 3impd xrltnle a1ddd syl imp sylibr intnand mpbird
      sylnibr anim12i jca impbid syl5bb eqrdv ) ACDZBCDZEZUACABUBFZUCZGAUDFZBHU
      DFZUEZUAUFZXGDXKCDZXKXFDZIZEZXEXKXJDZXKCXFUGXEXOXPXEXOXKXHDZXKXIDZUHZXPXE
      XLXNXSXEXLEZXNXKJDZAXKUIKZXKBUIKZLZIZXSXTXMYDXEXMYDMZXLXCAJDZBJDZYFXDAUJZ
      BUJZABXKUKZULNUMYEYAYBYCEZEZIZXTXSYDYMYAYBYCUNZUOYNYAIZYLIZUHXTXSYAYLUPXT
      YPXSYQXLYPXSOXEXLYAXSXKUJZUQPYQYBIZYCIZUHZXTXSYBYCUPZXTYSXQYTXRXTYSXQXTYS
      EZXQYAGXKQKZXKAQKZXLYAXEYSYRRXLUUDXEYSXKURRXTYSUUEXTXLXCYSUUEMXEXLUSXCXDX
      LUTXLXCEZUUEYSXKAVAZVBVCVEUUCGJDZYGXQYAUUDUUELMVDXCYGXDXLYSYIVFGAXKVNVGVH
      SXTYTBXKQKZXRXDXLUUIYTMXCBXKVAVIXTUUIXRXTUUIEZXRYAUUIXKHQKZXLYAXEUUIYRRXT
      UUIUSXLUUKXEUUIXKVJRUUJYHHJDZXRYAUUIUUKLZMZXDYHXCXLUUIYJVKVOBHXKVNZVLVHSV
      MVPTVQTTVRVSXKXHXIVTZWAXEXPXOXEXPEZXLXNXPXLXEXJCXKXHXICGAWBBHWBWCWDPUUQXN
      YEUUQYMYDUUQYLYAUUQUUAYQXEXPUUAXPXSXEUUAUUPXEXQYSXRYTXEXQXLUUDUUELZYSXCXQ
      UURMZXDXCUUHYGUUSVDYIGAXKWEVGNXEXLUUDUUEYSXCXLUUDUUEYSOZOOXDUUDXLXCUUTXLX
      CUUTOOUUDXLXCUUTUUFUUEYSUUGWFSWGWHNWIVRXEXRUUMYTXEYHUULUUNXDYHXCYJPVOUUOV
      LXEYAUUIUUKYTXDYAUUIUUKYTOOOZXCXDYHUVAYJYHYAUUIUUKYTYHYAUUIYTOYHYAEUUIYTB
      XKWJWFSWKWLPWIVRVPTWMUUBWNWOYOWQUUQYGYHEZXNYEMXEUVBXPXCYGXDYHYIYJWRNUVBXM
      YDYKUMWLWPWSSWTXAXB $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Split a closed interval into the union of two closed intervals.
       (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    iccsplit $p |- ( ( A e. RR /\ B e. RR /\ C e. ( A [,] B ) ) ->
                        ( A [,] B ) = ( ( A [,] C ) u. ( C [,] B ) ) ) $=
      ( cr wcel cicc co w3a cle wbr wa 3impia simp1 a1i simp2 3ad2ant3 3ad2ant2
      wi elicc2 wb vx cun cv wo clt simplr1 simplr2 simpr1 iccssre sseld adantr
      ltle syl2anc 3jca orcd simpr simplr3 olcd ltlecasei ex simp1r simp3 letrd
      imp 3exp sylbid 3jcad simp1l jaod impbid 3adant3 imdistani adantlr ancoms
      3impa adantll orbi12d syl 3bitr4d elun bitr4di eqrdv ) ADEZBDEZCABFGZEZHZ
      UAWEACFGZCBFGZUBZWGUAUCZWEEZWKWHEZWKWIEZUDZWKWJEWGWKDEZAWKIJZWKBIJZHZWPWQ
      WKCIJZHZWPCWKIJZWRHZUDZWLWOWGWSXDWGWSXDWGWSKZXDWKCXEWKCUEJZKZXAXCXGWPWQWT
      WPWQWRWGXFUFWPWQWRWGXFUGXEXFWTXEWPCDEZXFWTRWGWPWQWRUHZWGXHWSWCWDWFXHWCWDK
      ZWEDCABUIUJZLUKZWKCULUMVDUNUOXEXBKZXCXAXMWPXBWRWPWQWRWGXBUFXEXBUPWPWQWRWG
      XBUQUNURXIXLUSUTWGXAWSXCWGXAWPWQWRXAWPRWGWPWQWTMZNXAWQRWGWPWQWTONWCWDWFXA
      WRRZXJWFXHACIJZCBIJZHZXOABCSZXJXRXAWRXJXRXAHWKCBXAXJWPXRXNPXRXJXHXAXHXPXQ
      MZQWCWDXRXAVAXAXJWTXRWPWQWTVBPXRXJXQXAXHXPXQVBQVCVEVFLVGWGXCWPWQWRXCWPRWG
      WPXBWRMZNWCWDWFXCWQRZXJWFXRYBXSXJXRXCWQXJXRXCHACWKWCWDXRXCVHXRXJXHXCXTQXC
      XJWPXRYAPXRXJXPXCXHXPXQOQXCXJXBXRWPXBWROPVCVEVFLXCWRRWGWPXBWRVBNVGVIVJWCW
      DWLWSTWFABWKSVKWGXJXHKZWOXDTWCWDWFYCXJWFXHXKVLVOYCWMXAWNXCWCXHWMXATWDACWK
      SVMWDXHWNXCTZWCXHWDYDCBWKSVNVPVQVRVSWKWHWIVTWAWB $.
  $}

  ${
    iccshftr.1 $e |- ( A + R ) = C $.
    iccshftr.2 $e |- ( B + R ) = D $.
    $( Membership in a shifted interval.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    iccshftr $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( X e. RR /\ R e. RR ) )
                  -> ( X e. ( A [,] B ) <-> ( X + R ) e. ( C [,] D ) ) ) $=
      ( cr wcel wa cle wbr w3a caddc co cicc wb readdcl leadd1 simpl 2thd 3expb
      adantl adantlr breq1i bitrdi an12s adantll breq2i 3anbi123d elicc2 adantr
      eqeltrrid syl2an anandirs adantrl 3bitr4d ) AIJZBIJZKZFIJZEIJZKZKZVBAFLMZ
      FBLMZNZFEOPZIJZCVILMZVIDLMZNZFABQPJZVICDQPJZVEVBVJVFVKVGVLVDVBVJRVAVDVBVJ
      VBVCUAFESUBUDVEVFAEOPZVILMZVKUSVDVFVQRZUTUSVBVCVRAFETUCUEVPCVILGUFUGVEVGV
      IBEOPZLMZVLUTVDVGVTRZUSVBUTVCWAVBUTVCWAFBETUCUHUIVSDVILHUJUGUKVAVNVHRVDAB
      FULUMVAVCVOVMRZVBUSUTVCWBUSVCKZCIJDIJWBUTVCKZWCCVPIGAESUNWDDVSIHBESUNCDVI
      ULUOUPUQUR $.
  $}

  ${
    iccshftri.1 $e |- A e. RR $.
    iccshftri.2 $e |- B e. RR $.
    iccshftri.3 $e |- R e. RR $.
    iccshftri.4 $e |- ( A + R ) = C $.
    iccshftri.5 $e |- ( B + R ) = D $.
    $( Membership in a shifted interval.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    iccshftri $p |- ( X e. ( A [,] B ) -> ( X + R ) e. ( C [,] D ) ) $=
      ( cr wcel cicc co caddc wss iccssre mp2an sseli wb iccshftr mpanl12 mpan2
      wa biimpd mpcom ) FLMZFABNOZMZFEPOCDNOMZUILFALMZBLMZUILQGHABRSTUHUJUKUHEL
      MZUJUKUAZIULUMUHUNUEUOGHABCDEFJKUBUCUDUFUG $.
  $}

  ${
    iccshftl.1 $e |- ( A - R ) = C $.
    iccshftl.2 $e |- ( B - R ) = D $.
    $( Membership in a shifted interval.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    iccshftl $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( X e. RR /\ R e. RR ) )
                  -> ( X e. ( A [,] B ) <-> ( X - R ) e. ( C [,] D ) ) ) $=
      ( cr wcel wa cle wbr w3a cmin co cicc wb resubcl lesub1 simpl 2thd adantl
      3expb adantlr breq1i bitrdi adantll breq2i 3anbi123d elicc2 adantr syl2an
      an12s eqeltrrid anandirs adantrl 3bitr4d ) AIJZBIJZKZFIJZEIJZKZKZVBAFLMZF
      BLMZNZFEOPZIJZCVILMZVIDLMZNZFABQPJZVICDQPJZVEVBVJVFVKVGVLVDVBVJRVAVDVBVJV
      BVCUAFESUBUCVEVFAEOPZVILMZVKUSVDVFVQRZUTUSVBVCVRAFETUDUEVPCVILGUFUGVEVGVI
      BEOPZLMZVLUTVDVGVTRZUSVBUTVCWAVBUTVCWAFBETUDUNUHVSDVILHUIUGUJVAVNVHRVDABF
      UKULVAVCVOVMRZVBUSUTVCWBUSVCKZCIJDIJWBUTVCKZWCCVPIGAESUOWDDVSIHBESUOCDVIU
      KUMUPUQUR $.
  $}

  ${
    iccshftli.1 $e |- A e. RR $.
    iccshftli.2 $e |- B e. RR $.
    iccshftli.3 $e |- R e. RR $.
    iccshftli.4 $e |- ( A - R ) = C $.
    iccshftli.5 $e |- ( B - R ) = D $.
    $( Membership in a shifted interval.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    iccshftli $p |- ( X e. ( A [,] B ) -> ( X - R ) e. ( C [,] D ) ) $=
      ( cr wcel cicc co cmin wss iccssre mp2an sseli wb iccshftl mpanl12 biimpd
      wa mpan2 mpcom ) FLMZFABNOZMZFEPOCDNOMZUILFALMZBLMZUILQGHABRSTUHUJUKUHELM
      ZUJUKUAZIULUMUHUNUEUOGHABCDEFJKUBUCUFUDUG $.
  $}

  ${
    iccdil.1 $e |- ( A x. R ) = C $.
    iccdil.2 $e |- ( B x. R ) = D $.
    $( Membership in a dilated interval.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    iccdil $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( X e. RR /\ R e. RR+ ) )
                  -> ( X e. ( A [,] B ) <-> ( X x. R ) e. ( C [,] D ) ) ) $=
      ( cr wcel wa cle wbr w3a cmul co cicc wb remulcl sylan2 simpl rpre adantl
      crp 2thd cc0 clt elrp lemul1 syl3an3b 3expb adantlr breq1i bitrdi adantll
      breq2i 3anbi123d elicc2 adantr eqeltrrid syl2an anandirs adantrl 3bitr4d
      an12s ) AIJZBIJZKZFIJZEUDJZKZKZVIAFLMZFBLMZNZFEOPZIJZCVPLMZVPDLMZNZFABQPJ
      ZVPCDQPJZVLVIVQVMVRVNVSVKVIVQRVHVKVIVQVIVJUAVJVIEIJZVQEUBZFESTUEUCVLVMAEO
      PZVPLMZVRVFVKVMWFRZVGVFVIVJWGVJVFVIWCUFEUGMKZWGEUHZAFEUIUJUKULWECVPLGUMUN
      VLVNVPBEOPZLMZVSVGVKVNWKRZVFVIVGVJWLVIVGVJWLVJVIVGWHWLWIFBEUIUJUKVEUOWJDV
      PLHUPUNUQVHWAVORVKABFURUSVHVJWBVTRZVIVJVHWCWMWDVFVGWCWMVFWCKZCIJDIJWMVGWC
      KZWNCWEIGAESUTWODWJIHBESUTCDVPURVAVBTVCVD $.
  $}

  ${
    iccdili.1 $e |- A e. RR $.
    iccdili.2 $e |- B e. RR $.
    iccdili.3 $e |- R e. RR+ $.
    iccdili.4 $e |- ( A x. R ) = C $.
    iccdili.5 $e |- ( B x. R ) = D $.
    $( Membership in a dilated interval.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    iccdili $p |- ( X e. ( A [,] B ) -> ( X x. R ) e. ( C [,] D ) ) $=
      ( cr wcel cicc co cmul wss iccssre mp2an sseli wb wa iccdil mpanl12 mpan2
      crp biimpd mpcom ) FLMZFABNOZMZFEPOCDNOMZUJLFALMZBLMZUJLQGHABRSTUIUKULUIE
      UFMZUKULUAZIUMUNUIUOUBUPGHABCDEFJKUCUDUEUGUH $.
  $}

  ${
    icccntr.1 $e |- ( A / R ) = C $.
    icccntr.2 $e |- ( B / R ) = D $.
    $( Membership in a contracted interval.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    icccntr $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( X e. RR /\ R e. RR+ ) )
                  -> ( X e. ( A [,] B ) <-> ( X / R ) e. ( C [,] D ) ) ) $=
      ( cr wcel wa cle wbr w3a cdiv co cicc wb rerpdivcl lediv1 crp 2thd adantl
      simpl cc0 clt elrp syl3an3b 3expb adantlr breq1i bitrdi adantll 3anbi123d
      an12s breq2i elicc2 adantr eqeltrrid syl2an anandirs adantrl 3bitr4d ) AI
      JZBIJZKZFIJZEUAJZKZKZVGAFLMZFBLMZNZFEOPZIJZCVNLMZVNDLMZNZFABQPJZVNCDQPJZV
      JVGVOVKVPVLVQVIVGVORVFVIVGVOVGVHUDFESUBUCVJVKAEOPZVNLMZVPVDVIVKWBRZVEVDVG
      VHWCVHVDVGEIJUEEUFMKZWCEUGZAFETUHUIUJWACVNLGUKULVJVLVNBEOPZLMZVQVEVIVLWGR
      ZVDVGVEVHWHVGVEVHWHVHVGVEWDWHWEFBETUHUIUOUMWFDVNLHUPULUNVFVSVMRVIABFUQURV
      FVHVTVRRZVGVDVEVHWIVDVHKZCIJDIJWIVEVHKZWJCWAIGAESUSWKDWFIHBESUSCDVNUQUTVA
      VBVC $.
  $}

  ${
    icccntri.1 $e |- A e. RR $.
    icccntri.2 $e |- B e. RR $.
    icccntri.3 $e |- R e. RR+ $.
    icccntri.4 $e |- ( A / R ) = C $.
    icccntri.5 $e |- ( B / R ) = D $.
    $( Membership in a contracted interval.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    icccntri $p |- ( X e. ( A [,] B ) -> ( X / R ) e. ( C [,] D ) ) $=
      ( cr wcel cicc co cdiv wss iccssre mp2an sseli crp icccntr mpanl12 biimpd
      wb wa mpan2 mpcom ) FLMZFABNOZMZFEPOCDNOMZUJLFALMZBLMZUJLQGHABRSTUIUKULUI
      EUAMZUKULUEZIUMUNUIUOUFUPGHABCDEFJKUBUCUGUDUH $.
  $}

  $( A condition for a ratio to be a member of the closed unit interval.
     (Contributed by Scott Fenton, 11-Jun-2013.) $)
  divelunit $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 < B ) ) ->
      ( ( A / B ) e. ( 0 [,] 1 ) <-> A <_ B ) ) $=
    ( cdiv co cc0 c1 cicc wcel cr cle wbr clt w3a elicc01 df-3an bitri cmul 1re
    wa wb ledivmul mp3an2 simpll simprl gt0ne0 adantl redivcld divge0 biantrurd
    adantlr wne jca cc recn ad2antrl mulid1d breq2d 3bitr3d syl5bb ) ABCDZEFGDH
    ZUTIHZEUTJKZSZUTFJKZSZAIHZEAJKZSZBIHZEBLKZSZSZABJKZVAVBVCVEMVFUTNVBVCVEOPVM
    VEABFQDZJKZVFVNVGVLVEVPTZVHVGFIHVLVQRAFBUAUBUJVMVDVEVMVBVCVMABVGVHVLUCVIVJV
    KUDVLBEUKVIBUEUFUGABUHULUIVMVOBAJVMBVJBUMHVIVKBUNUOUPUQURUS $.

  $( A linear combination of two reals which lies in the interval between them.
     (Contributed by Jeff Madsen, 2-Sep-2009.)  (Proof shortened by Mario
     Carneiro, 8-Sep-2015.) $)
  lincmb01cmp $p |- ( ( ( A e. RR /\ B e. RR /\ A < B ) /\ T e. ( 0 [,] 1 ) )
                  -> ( ( ( 1 - T ) x. A ) + ( T x. B ) ) e. ( A [,] B ) ) $=
    ( cr wcel wbr cc0 c1 cicc co cmin cmul caddc wb eqid syl22anc mpbid mulid2d
    cle recnd clt w3a simpr crp 0red 1red elicc01 simp1bi adantl biimp3a adantr
    difrp iccdil simpl2 simpl1 resubcld mul02d oveq12d remulcld iccshftr mulcld
    wa eleqtrd subadd23d subdid oveq1d 1re resubcl sylancr addcomd 1cnd subdird
    eqtrd oveq2d 3eqtr4d addid2d npcand 3eltr3d ) ADEZBDEZABUAFZUBZCGHIJEZVBZCB
    AKJZLJZAMJZGAMJZWEAMJZIJZHCKJZALJZCBLJZMJZABIJWDWFGWEIJZEZWGWJEZWDWFGWELJZH
    WELJZIJZWOWDWCWFWTEZWBWCUCWDGDEZHDEZCDEZWEUDEZWCXANWDUEZWDUFWCXDWBWCXDGCSFC
    HSFCUGUHUIZWBXEWCVSVTWAXEABULUJUKGHWRWSWECWROWSOUMPQWDWRGWSWEIWDWEWDWEWDBAV
    SVTWAWCUNZVSVTWAWCUOZUPZTZUQWDWEXKRURVCWDXBWEDEWFDEVSWPWQNXFXJWDCWEXGXJUSXI
    GWEWHWIAWFWHOWIOUTPQWDWMCALJZKJZAMJWMAXLKJZMJZWGWNWDWMXLAWDCBWDCXGTZWDBXHTZ
    VAZWDCAXPWDAXITZVAXSVDWDWFXMAMWDCBAXPXQXSVEVFWDWNWMWLMJXOWDWLWMWDWLWDWKAWDX
    CXDWKDEVGXGHCVHVIXIUSTXRVJWDWLXNWMMWDWLHALJZXLKJXNWDHCAWDVKXPXSVLWDXTAXLKWD
    AXSRVFVMVNVMVOWDWHAWIBIWDAXSVPWDBAXQXSVQURVR $.

  ${
    $d x y A $.  $d x y B $.
    iccf1o.1 $e |- F = ( x e. ( 0 [,] 1 ) |->
      ( ( x x. B ) + ( ( 1 - x ) x. A ) ) ) $.
    $( Describe a bijection from ` [ 0 , 1 ] ` to an arbitrary nontrivial
       closed interval ` [ A , B ] ` .  (Contributed by Mario Carneiro,
       8-Sep-2015.) $)
    iccf1o $p |- ( ( A e. RR /\ B e. RR /\ A < B ) ->
      ( F : ( 0 [,] 1 ) -1-1-onto-> ( A [,] B ) /\ `' F =
        ( y e. ( A [,] B ) |-> ( ( y - A ) / ( B - A ) ) ) ) ) $=
      ( cr wcel wbr cc0 c1 cicc co cmul cmin caddc recnd cc wceq adantrl clt cv
      w3a cdiv wa cle elicc01 simp1bi adantl simpl2 mulcld ax-1cn subcl sylancr
      simpl1 addcomd lincmb01cmp eqeltrd simpr wb elicc2 biimpa simp1d iccshftl
      3adant3 eqid syl22anc mpbid resubcld difrp biimp3a adantr rpne0d divcan1d
      rpcnd mul02d subidd eqtr4d mulid2d oveq12d 3eltr4d 0red rerpdivcld iccdil
      crp 1red mpbird eqcom adantrr divmul3d syl5bb remulcld subadd2d subadd23d
      wne bitrdi subdid oveq1d 1cnd subdird eqtrd oveq2d eqeq2d 3bitrd f1ocnv2d
      3eqtr4d ) CGHZDGHZCDUAIZUCZABJKLMZCDLMZAUBZDNMZKXMOMZCNMZPMZBUBZCOMZDCOMZ
      UDMZEFXJXMXKHZUEZXQXPXNPMXLYCXNXPYCXMDYCXMYBXMGHZXJYBYDJXMUFIXMKUFIXMUGUH
      UIZQZYCDXGXHXIYBUJZQZUKZYCXOCYCKRHXMRHZXORHULYFKXMUMUNYCCXGXHXIYBUOZQZUKU
      PCDXMUQURXJXRXLHZUEZYAXKHZYAXTNMZJXTNMZKXTNMZLMZHZYNXSCCOMZXTLMZYPYSYNYMX
      SUUBHZXJYMUSYNXGXHXRGHZXGYMUUCUTXGXHXIYMUOZXGXHXIYMUJYNUUDCXRUFIZXRDUFIZX
      JYMUUDUUFUUGUCZXGXHYMUUHUTXICDXRVAVEVBVCZUUECDUUAXTCXRUUAVFXTVFVDVGVHYNXS
      XTYNXSYNXRCUUIUUEVIZQZYNXTXJXTWEHZYMXGXHXIUULCDVJVKVLZVOZYNXTUUMVMZVNYNYQ
      UUAYRXTLYNYQJUUAYNXTUUNVPYNCYNCUUEQZVQVRYNXTUUNVSVTWAYNJGHKGHYAGHUULYOYTU
      TYNWBYNWFYNXSXTUUJUUMWCUUMJKYQYRXTYAYQVFYRVFWDVGWGXJYBYMUEUEZXMYASZXSXMXT
      NMZSZXRUUSCPMZSZXRXQSUURYAXMSUUQUUTXMYAWHUUQXSXMXTXJYMXSRHYBUUKTXJYBYJYMY
      FWIXJYMXTRHYBUUNTXJYMXTJWOYBUUOTWJWKUUQUUTUVAXRSUVBUUQXRCUUSUUQXRXJYMUUDY
      BUUITQXJYMCRHYBUUPTUUQUUSXJYBUUSGHYMYCXMXTYEYCDCYGYKVIWLWIQWMUVAXRWHWPUUQ
      UVAXQXRXJYBUVAXQSYMYCXNXMCNMZOMZCPMXNCUVCOMZPMUVAXQYCXNUVCCYIYCXMCYFYLUKY
      LWNYCUUSUVDCPYCXMDCYFYHYLWQWRYCXPUVEXNPYCXPKCNMZUVCOMUVEYCKXMCYCWSYFYLWTY
      CUVFCUVCOYCCYLVSWRXAXBXFWIXCXDXE $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Any nontrivial closed interval is equinumerous to the unit interval.
       (Contributed by Mario Carneiro, 26-Jul-2014.)  (Revised by Mario
       Carneiro, 8-Sep-2015.) $)
    iccen $p |- ( ( A e. RR /\ B e. RR /\ A < B ) ->
      ( 0 [,] 1 ) ~~ ( A [,] B ) ) $=
      ( vx vy cc0 c1 cicc co cvv wcel cr clt wbr w3a cmul cmin caddc cmpt ovex
      cv wf1o cen ccnv cdiv wceq eqid iccf1o simpld f1oen2g mp3an12i ) EFGHZIJA
      BGHZIJAKJBKJABLMNZUKULCUKCTZBOHFUNPHAOHQHRZUAZUKULUBMEFGSABGSUMUPUOUCDULD
      TAPHBAPHUDHRUECDABUOUOUFUGUHUKULUOIIUIUJ $.
  $}

  ${
    xov1plusxeqvd.1 $e |- ( ph -> X e. CC ) $.
    xov1plusxeqvd.2 $e |- ( ph -> X =/= -u 1 ) $.
    $( A complex number ` X ` is positive real iff ` X / ( 1 + X ) ` is in
       ` ( 0 (,) 1 ) ` .  Deduction form.  (Contributed by David Moews,
       28-Feb-2017.) $)
    xov1plusxeqvd $p |- ( ph -> ( X e. RR+ <->
                              ( X / ( 1 + X ) ) e. ( 0 (,) 1 ) ) ) $=
      ( crp wcel c1 caddc co cdiv cc0 wa cr clt wbr cmin oveq1d adantr eqbrtrid
      wceq cioo simpr rpred 1rp rpaddcld rerpdivcld rprecred 1red 0red readdcld
      ltaddrpd recgt1i syl2anc simprd 1m0e1 breqtrrdi ltsub13d 1cnd addcld cneg
      a1i negcld addneintrd 1pneg1e0 neeqtrd divsubdird pncan2d dividd breqtrrd
      3eqtr3d 1m1e0 simpld ltsub23d eqbrtrd cxr w3a wb 0xr 1xr elioo2 syl3anbrc
      mp2an cc wne recrecd pncand sylib simp1d resubcld eqeltrd simp3d eqeltrrd
      elrpd 1p0e1 simp2d reclt1d mpbid breqtrd ltadd2d mpbird impbida ) ABEFZBG
      BHIZJIZKGUAIFZAXBLZXDMFZKXDNOZXDGNOZXEXFBXCXFBAXBUBZUCZXFGBGEFXFUDVAXJUEZ
      UFXFKGGXCJIZPIZXDNXFXMGKXFXCXLUGZXFUHZXFUIXFXMGGKPIZNXFKXMNOZXMGNOZXFXCMF
      GXCNOXRXSLXFGBXPXKUJXFGBXPXJUKXCULUMZUNUOUPUQAXDXNTXBAXCGPIZXCJIXCXCJIZXM
      PIXDXNAXCGXCAGBAURZCUSZYCYDAXCGGUTZHIZKAGBYEYCCAGYCVBDVCYFKTAVDVAVEZVFAYA
      BXCJAGBYCCVGZQAYBGXMPAXCYDYGVHZQVJRZVIXFXDXNGNYJXFGGXMXPXPXOXFGGPIZKXMNVK
      XFXRXSXTVLSVMVNKVOFGVOFXEXGXHXIVPZVQVRVSKGXDVTWBZWAAXELZBYNYABMAYABTXEYHR
      YNXCGYNGXMJIZXCMYNXCAXCWCFXEYDRAXCKWDXEYGRWEZYNXMYNXMYNXMGXDPIZMAXMYQTXEA
      XCBPIZXCJIYBXDPIXMYQAXCBXCYDCYDYGVFAYRGXCJAGBYCCWFQAYBGXDPYIQVJRZYNGXDYNU
      HZYNXGXHXIYNXEYLAXEUBYMWGZWHZWIWJYNKYQXMNYNXDGKUUBYTYNUIZYNXDGXQNYNXGXHXI
      UUAWKUOUPUQYSVIWMZUGWLYTWIWLZYNKBNOGKHIZXCNOYNUUFGXCNWNYNGYOXCNYNXSGYONOY
      NXMYQGNYSYNGGXDYTYTUUBYNYKKXDNVKYNXGXHXIUUAWOSVMVNYNXMUUDWPWQYPWRSYNKBGUU
      CUUEYTWSWTWMXA $.
  $}

  $( ` ( 0 [,] 1 ) ` is a subset of the reals.  (Contributed by David Moews,
     28-Feb-2017.) $)
  unitssre $p |- ( 0 [,] 1 ) C_ RR $=
    ( cc0 cr wcel c1 cicc co wss 0re 1re iccssre mp2an ) ABCDBCADEFBGHIADJK $.

  $( The closed unit interval is a subset of the set of the complex numbers.
     Useful lemma for manipulating probabilities within the closed unit
     interval.  (Contributed by Thierry Arnoux, 12-Dec-2016.) $)
  unitsscn $p |- ( 0 [,] 1 ) C_ CC $=
    ( cc0 c1 cicc co cr cc unitssre ax-resscn sstri ) ABCDEFGHI $.

  ${
    $d A x y $.  $d B x $.  $d C x y $.  $d ph x $.
    supicc.1 $e |- ( ph -> B e. RR ) $.
    supicc.2 $e |- ( ph -> C e. RR ) $.
    supicc.3 $e |- ( ph -> A C_ ( B [,] C ) ) $.
    supicc.4 $e |- ( ph -> A =/= (/) ) $.
    $( Supremum of a bounded set of real numbers.  (Contributed by Thierry
       Arnoux, 17-May-2019.) $)
    supicc $p |- ( ph -> sup ( A , RR , < ) e. ( B [,] C ) ) $=
      ( vx vy cr wcel cle wbr wss wral syl2anc adantr syl3anc wb clt csup co c0
      cicc wne cv wrex iccssre sstrd wa cxr rexrd iccleub ralrimiva brralrspcev
      sselda suprcl w3a simpr iccsupr syl211anc syl iccgelb suprub letrd mpbird
      r19.3rzv suprleub syl31anc elicc2 mpbir3and ) ABKUAUBZCDUEUCZLZVMKLZCVMMN
      ZVMDMNZABKOZBUDUFZIUGZJUGMNIBPJKUHZVPABVNKGACKLZDKLZVNKOEFCDUIQUJZHAWDWAD
      MNZIBPZWBFAWFIBAWABLZUKZCULLZDULLZWAVNLZWFWICAWCWHERZUMZWIDAWDWHFRZUMZABV
      NWAGUQZCDWAUNSUOZJIWADMKBUPQZJIBURZSAVQVQIBPZAVQIBWICWAVMWMABKWAWEUQWIVSV
      TWBUSZVPWIWCWDBVNOZWHXBWMWOAXCWHGRAWHUTZJICDWABVAVBZWTVCWIWJWKWLCWAMNWNWP
      WQCDWAVDSWIXBWHWAVMMNXEXDJIBWAVEQVFUOAVTVQXATHVQIBVHVCVGAVRWGWRAVSVTWBWDV
      RWGTWEHWSFJIIBDVIVJVGAWCWDVOVPVQVRUSTEFCDVMVKQVL $.

    supiccub.1 $e |- ( ph -> D e. A ) $.
    $( The supremum of a bounded set of real numbers is an upper bound.
       (Contributed by Thierry Arnoux, 20-May-2019.) $)
    supiccub $p |- ( ph -> D <_ sup ( A , RR , < ) ) $=
      ( vy vx cr wcel syl2anc cv cle wbr wral cxr cicc co iccssre sstrd wrex wa
      wss adantr rexrd sselda iccleub syl3anc ralrimiva brralrspcev suprubd ) A
      KLBEABCDUAUBZMHACMNZDMNZUPMUGFGCDUCOUDIAURLPZDQRZLBSUSKPQRLBSKMUEGAUTLBAU
      SBNZUFZCTNDTNUSUPNUTVBCAUQVAFUHUIVBDAURVAGUHUIABUPUSHUJCDUSUKULUMKLUSDQMB
      UNOJUO $.

    $d A z $.  $d D z $.
    $( The supremum of a bounded set of real numbers is the least upper bound.
       (Contributed by Thierry Arnoux, 23-May-2019.) $)
    supicclub $p |- ( ph -> ( D < sup ( A , RR , < ) <-> E. z e. A D < z ) ) $=
      ( vx vy cr wss cv cle wbr wcel clt c0 wral wrex csup cicc iccssre syl2anc
      wne wb co sstrd wa cxr adantr rexrd iccleub syl3anc ralrimiva brralrspcev
      sselda sseldd suprlub syl31anc ) ACNOCUAUHLPZMPQRLCUBMNUCZFNSFCNTUDTRFBPT
      RBCUCUIACDEUEUJZNIADNSZENSZVFNOGHDEUFUGUKZJAVHVDEQRZLCUBVEHAVJLCAVDCSZULZ
      DUMSEUMSVDVFSVJVLDAVGVKGUNUOVLEAVHVKHUNUOACVFVDIUTDEVDUPUQURMLVDEQNCUSUGA
      CNFVIKVAMLBCFVBVC $.

    $d ph z $.
    supicclub2.1 $e |- ( ( ph /\ z e. A ) -> z <_ D ) $.
    $( The supremum of a bounded set of real numbers is the least upper bound.
       (Contributed by Thierry Arnoux, 23-May-2019.) $)
    supicclub2 $p |- ( ph -> sup ( A , RR , < ) <_ D ) $=
      ( cr clt csup cicc co cxr wbr wcel iccssxr supicc sselid sstrdi sseldd cv
      wrex wa cle sselda adantr xrlenltd mpbid nrexdv supicclub mtbird xrnltled
      wn ) ACMNOZFADEPQZRUSDEUAZACDEGHIJUBUCACRFACUTRIVAUDZKUEZAFUSNSFBUFZNSZBC
      UGAVEBCAVDCTZUHZVDFUISVEURLVGVDFACRVDVBUJAFRTVFVCUKULUMUNABCDEFGHIJKUOUPU
      Q $.
  $}

  $( The sum of an integer and a real number between 0 and 1 is less than or
     equal to a second integer iff the sum is less than the second integer.
     (Contributed by AV, 1-Jul-2021.) $)
  zltaddlt1le $p |- ( ( M e. ZZ /\ N e. ZZ /\ A e. ( 0 (,) 1 ) )
                      -> ( ( M + A ) < N <-> ( M + A ) <_ N ) ) $=
    ( cz wcel cc0 c1 co w3a caddc clt wbr cle cr wi zre cxr simplbiim 3ad2ant3
    wa cioo adantr elioore adantl readdcld 3adant2 3ad2ant2 syl2anc crp elioo3g
    ltle simpl elrpd addlelt syl3an zltp1le 3adant3 1red 3ad2ant1 simpr peano2z
    wb ltadd2dd zred ltletr syl3anc mpand sylbid syld impbid ) BDEZCDEZAFGUAHEZ
    IZBAJHZCKLZVOCMLZVNVONEZCNEZVPVQOVKVMVRVLVKVMTBAVKBNEZVMBPZUBVMANEZVKAFGUCZ
    UDUEUFZVLVKVSVMCPZUGZVOCUKUHVNVQBCKLZVPVKVTVLVSVMAUIEVQWGOWAWEVMAWCVMFQEGQE
    AQEIZFAKLZAGKLZTZWIFGAUJZWIWJULRUMABCUNUOVNWGBGJHZCMLZVPVKVLWGWNVBVMBCUPUQV
    NVOWMKLZWNVPVNAGBVMVKWBVLWCSVNURVKVLVTVMWAUSVMVKWJVLVMWHWKWJWLWIWJUTRSVCVNV
    RWMNEZVSWOWNTVPOWDVKVLWPVMVKWMBVAVDUSWFVOWMCVEVFVGVHVIVJ $.

  $( An extended nonnegative integer is an extended nonnegative real.
     (Contributed by AV, 10-Dec-2020.) $)
  xnn0xrge0 $p |- ( A e. NN0* -> A e. ( 0 [,] +oo ) ) $=
    ( cxnn0 wcel cn0 cpnf wceq wo cc0 cicc co elxnn0 cxr cle nn0re rexrd nn0ge0
    wbr elxrge0 sylanbrc 0xr pnfxr 0lepnf ubicc2 mp3an eleq1 mpbiri jaoi sylbi
    ) ABCADCZAEFZGAHEIJZCZAKUIULUJUIALCHAMQULUIAANOAPARSUJULEUKCZHLCELCHEMQUMTU
    AUBHEUCUDAEUKUEUFUGUH $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Finite intervals of integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ... $. $( Dots. $)

  $( Extend class notation to include the notation for a contiguous finite set
     of integers.  Read " ` M ... N ` " as "the set of integers from ` M ` to
     ` N ` inclusive".

     This symbol is also used informally in some comments to denote an
     ellipsis, e.g., ` A + A ^ 2 + ... + A ^ ( N - 1 ) ` . $)
  cfz $a class ... $.

  ${
    $d m n k $.
    $( Define an operation that produces a finite set of sequential integers.
       Read " ` M ... N ` " as "the set of integers from ` M ` to ` N `
       inclusive".  See ~ fzval for its value and additional comments.
       (Contributed by NM, 6-Sep-2005.) $)
    df-fz $a |- ... = ( m e. ZZ , n e. ZZ |->
                  { k e. ZZ | ( m <_ k /\ k <_ n ) } ) $.
  $}

  ${
    $d k m n M $.  $d k m n N $.
    $( The value of a finite set of sequential integers.  E.g., ` 2 ... 5 `
       means the set ` { 2 , 3 , 4 , 5 } ` .  A special case of this definition
       (starting at 1) appears as Definition 11-2.1 of [Gleason] p. 141, where
       ` NN `_k means our ` 1 ... k ` ; he calls these sets _segments_ of the
       integers.  (Contributed by NM, 6-Sep-2005.)  (Revised by Mario Carneiro,
       3-Nov-2013.) $)
    fzval $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M ... N ) =
                 { k e. ZZ | ( M <_ k /\ k <_ N ) } ) $=
      ( vm vn cz cv cle wbr wa crab cfz breq1 anbi1d rabbidv breq2 anbi2d df-fz
      wceq zex rabex ovmpo ) DEBCFFDGZAGZHIZUDEGZHIZJZAFKBUDHIZUDCHIZJZAFKLUIUG
      JZAFKUCBSZUHULAFUMUEUIUGUCBUDHMNOUFCSZULUKAFUNUGUJUIUFCUDHPQOADERUKAFTUAU
      B $.

    $( An alternative way of expressing a finite set of sequential integers.
       (Contributed by Mario Carneiro, 3-Nov-2013.) $)
    fzval2 $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
        ( M ... N ) = ( ( M [,] N ) i^i ZZ ) ) $=
      ( vk cz wcel wa cfz co cv cle wbr crab cicc cin fzval wceq cr zssre sseli
      cxr ressxr sstri iccval syl2an ineq1d inrab2 sseqin2 rabeqi eqtri eqtr2di
      wss mpbi eqtrd ) ADEZBDEZFZABGHACIZJKUQBJKFZCDLZABMHZDNZCABOUPVAURCTLZDNZ
      USUPUTVBDUNATEBTEUTVBPUODTADQTRUAUBZSDTBVDSCABUCUDUEVCURCTDNZLUSURCTDUFUR
      CVEDDTUKVEDPVDDTUGULUHUIUJUM $.

    $( Establish the domain and codomain of the finite integer sequence
       function.  (Contributed by Scott Fenton, 8-Aug-2013.)  (Revised by Mario
       Carneiro, 16-Nov-2013.) $)
    fzf $p |- ... : ( ZZ X. ZZ ) --> ~P ZZ $=
      ( vm vk vn cv cle wbr wa crab cpw wcel wral cxp cfz cvv zex ssrab2 elpwi2
      cz wf rgen2w df-fz fmpo mpbi ) ADBDZEFUDCDEFGZBRHZRIZJZCRKARKRRLUGMSUHACR
      RUFRNOUEBRPQTACRRUFUGMBACUAUBUC $.
  $}

  ${
    $d j K $.  $d j M $.  $d j N $.
    $( Membership in a finite set of sequential integers.  (Contributed by NM,
       21-Jul-2005.) $)
    elfz1 $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( K e. ( M ... N ) <->
                 ( K e. ZZ /\ M <_ K /\ K <_ N ) ) ) $=
      ( vj cz wcel wa cfz co cv cle wbr crab w3a fzval wceq breq2 breq1 anbi12d
      eleq2d elrab 3anass bitr4i bitrdi ) BEFCEFGZABCHIZFABDJZKLZUGCKLZGZDEMZFZ
      AEFZBAKLZACKLZNZUEUFUKADBCOTULUMUNUOGZGUPUJUQDAEUGAPUHUNUIUOUGABKQUGACKRS
      UAUMUNUOUBUCUD $.
  $}

  $( Membership in a finite set of sequential integers.  (Contributed by NM,
     29-Sep-2005.) $)
  elfz $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) -> ( K e. ( M ... N ) <->
                 ( M <_ K /\ K <_ N ) ) ) $=
    ( cz wcel cfz co cle wbr wa wb w3a elfz1 3anass baib sylan9bb 3impa 3comr )
    BDEZCDEZADEZABCFGEZBAHIZACHIZJZKZSTUAUFSTJUBUAUCUDLZUAUEABCMUGUAUEUAUCUDNOP
    QR $.

  $( Membership in a finite set of sequential integers.  We use the fact that
     an operation's value is empty outside of its domain to show ` M e. ZZ `
     and ` N e. ZZ ` .  (Contributed by NM, 6-Sep-2005.)  (Revised by Mario
     Carneiro, 28-Apr-2015.) $)
  elfz2 $p |- ( K e. ( M ... N ) <->
         ( ( M e. ZZ /\ N e. ZZ /\ K e. ZZ ) /\ ( M <_ K /\ K <_ N ) ) ) $=
    ( cz wcel wa cle wbr w3a cfz co anass df-3an anbi1i elfz1 3anass ibar bitrd
    wb c0 syl5bb wn cxp cpw fzf fdmi ndmov eleq2d noel pm2.21i pm5.21ni pm2.61i
    simpl 3bitr4ri ) BDEZCDEZFZADEZFZBAGHZACGHZFZFUQURVBFZFZUOUPURIZVBFABCJKZEZ
    UQURVBLVEUSVBUOUPURMNUQVGVDSUQVGURUTVAIZVDABCOVHVCUQVDURUTVAPUQVCQUARUQUBZV
    GATEZVDVIVFTABCDJDDUCDUDJUEUFUGUHVJUQVDVJUQAUIUJUQVCUMUKRULUN $.

  ${
    elfzd.1 $e |- ( ph -> M e. ZZ ) $.
    elfzd.2 $e |- ( ph -> N e. ZZ ) $.
    elfzd.3 $e |- ( ph -> K e. ZZ ) $.
    elfzd.4 $e |- ( ph -> M <_ K ) $.
    elfzd.5 $e |- ( ph -> K <_ N ) $.
    $( Membership in a finite set of sequential integers.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    elfzd $p |- ( ph -> K e. ( M ... N ) ) $=
      ( cz wcel w3a cle wbr wa cfz co 3jca jca32 elfz2 sylibr ) ACJKZDJKZBJKZLZ
      CBMNZBDMNZOOBCDPQKAUEUFUGAUBUCUDEFGRHISBCDTUA $.
  $}

  $( Membership in a finite set of sequential integers.  (Contributed by NM,
     26-Dec-2005.) $)
  elfz5 $p |- ( ( K e. ( ZZ>= ` M ) /\ N e. ZZ ) ->
                 ( K e. ( M ... N ) <-> K <_ N ) ) $=
    ( cuz cfv wcel cz wa cfz co cle wbr wb eluzelz eluzel2 jca elfz 3expa sylan
    eluzle biantrurd adantr bitr4d ) ABDEFZCGFZHABCIJFZBAKLZACKLZHZUHUDAGFZBGFZ
    HUEUFUIMZUDUJUKBANBAOPUJUKUEULABCQRSUDUHUIMUEUDUGUHBATUAUBUC $.

  $( Membership in a finite set of sequential integers.  (Contributed by NM,
     21-Jul-2005.)  (Revised by Mario Carneiro, 28-Apr-2015.) $)
  elfz4 $p |- ( ( ( M e. ZZ /\ N e. ZZ /\ K e. ZZ ) /\ ( M <_ K /\ K <_ N ) )
               -> K e. ( M ... N ) ) $=
    ( cfz co wcel cz w3a cle wbr wa elfz2 biimpri ) ABCDEFBGFCGFAGFHBAIJACIJKKA
    BCLM $.

  $( Membership in a finite set of sequential integers in terms of sets of
     upper integers.  (Contributed by NM, 18-Sep-2005.)  (Revised by Mario
     Carneiro, 28-Apr-2015.) $)
  elfzuzb $p |- ( K e. ( M ... N ) <->
         ( K e. ( ZZ>= ` M ) /\ N e. ( ZZ>= ` K ) ) ) $=
    ( cz wcel w3a cle wbr wa cfz cuz cfv df-3an an6 anandir 3bitri anbi1i eluz2
    co an43 3bitr4ri elfz2 anbi12i 3bitr4i ) BDEZCDEZADEZFZBAGHZACGHZIZIZUEUGUI
    FZUGUFUJFZIZABCJSEABKLEZCAKLEZIUEUGIZUGUFIZUKFURUSIZUKIUOULURUSUKMUEUGUIUGU
    FUJNUHUTUKUHUEUFIUGIURUFUGIIUTUEUFUGMUEUFUGOUEUGUFUGTPQUAABCUBUPUMUQUNBARAC
    RUCUD $.

  $( Membership in a finite set of sequential integers.  (Contributed by NM,
     4-Oct-2005.)  (Revised by Mario Carneiro, 28-Apr-2015.) $)
  eluzfz $p |- ( ( K e. ( ZZ>= ` M ) /\ N e. ( ZZ>= ` K ) )
               -> K e. ( M ... N ) ) $=
    ( cfz co wcel cuz cfv wa elfzuzb biimpri ) ABCDEFABGHFCAGHFIABCJK $.

  $( A member of a finite set of sequential integers belongs to an upper set of
     integers.  (Contributed by NM, 17-Sep-2005.)  (Revised by Mario Carneiro,
     28-Apr-2015.) $)
  elfzuz $p |- ( K e. ( M ... N ) -> K e. ( ZZ>= ` M ) ) $=
    ( cfz co wcel cuz cfv elfzuzb simplbi ) ABCDEFABGHFCAGHFABCIJ $.

  $( Membership in a finite set of sequential integers implies membership in an
     upper set of integers.  (Contributed by NM, 28-Sep-2005.)  (Revised by
     Mario Carneiro, 28-Apr-2015.) $)
  elfzuz3 $p |- ( K e. ( M ... N ) -> N e. ( ZZ>= ` K ) ) $=
    ( cfz co wcel cuz cfv elfzuzb simprbi ) ABCDEFABGHFCAGHFABCIJ $.

  $( Membership in a finite set of sequential integer implies the upper bound
     is an integer.  (Contributed by NM, 6-Sep-2005.)  (Revised by Mario
     Carneiro, 28-Apr-2015.) $)
  elfzel2 $p |- ( K e. ( M ... N ) -> N e. ZZ ) $=
    ( cfz co wcel cuz cfv cz elfzuz3 eluzelz syl ) ABCDEFCAGHFCIFABCJACKL $.

  $( Membership in a finite set of sequential integer implies the lower bound
     is an integer.  (Contributed by NM, 6-Sep-2005.)  (Revised by Mario
     Carneiro, 28-Apr-2015.) $)
  elfzel1 $p |- ( K e. ( M ... N ) -> M e. ZZ ) $=
    ( cfz co wcel cuz cfv cz elfzuz eluzel2 syl ) ABCDEFABGHFBIFABCJBAKL $.

  $( A member of a finite set of sequential integers is an integer.
     (Contributed by NM, 6-Sep-2005.)  (Revised by Mario Carneiro,
     28-Apr-2015.) $)
  elfzelz $p |- ( K e. ( M ... N ) -> K e. ZZ ) $=
    ( cfz co wcel cuz cfv cz elfzuz eluzelz syl ) ABCDEFABGHFAIFABCJBAKL $.

  ${
    elfzelzd.1 $e |- ( ph -> K e. ( M ... N ) ) $.
    $( A member of a finite set of sequential integers is an integer.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    elfzelzd $p |- ( ph -> K e. ZZ ) $=
      ( cfz co wcel cz elfzelz syl ) ABCDFGHBIHEBCDJK $.
  $}

  ${
    $d M x $.  $d N x $.
    $( A finite sequence of integers is a set of integers.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    fzssz $p |- ( M ... N ) C_ ZZ $=
      ( vx cfz co cz cv elfzelz ssriv ) CABDEFCGABHI $.
  $}

  $( A member of a finite set of sequential integer is greater than or equal to
     the lower bound.  (Contributed by NM, 6-Sep-2005.)  (Revised by Mario
     Carneiro, 28-Apr-2015.) $)
  elfzle1 $p |- ( K e. ( M ... N ) -> M <_ K ) $=
    ( cfz co wcel cuz cfv cle wbr elfzuz eluzle syl ) ABCDEFABGHFBAIJABCKBALM
    $.

  $( A member of a finite set of sequential integer is less than or equal to
     the upper bound.  (Contributed by NM, 6-Sep-2005.)  (Revised by Mario
     Carneiro, 28-Apr-2015.) $)
  elfzle2 $p |- ( K e. ( M ... N ) -> K <_ N ) $=
    ( cfz co wcel cuz cfv cle wbr elfzuz3 eluzle syl ) ABCDEFCAGHFACIJABCKACLM
    $.

  $( Implication of membership in a finite set of sequential integers.
     (Contributed by NM, 20-Sep-2005.)  (Revised by Mario Carneiro,
     28-Apr-2015.) $)
  elfzuz2 $p |- ( K e. ( M ... N ) -> N e. ( ZZ>= ` M ) ) $=
    ( cfz co wcel cuz cfv wa elfzuzb eqid uztrn2 sylbi ) ABCDEFABGHZFCAGHFICNFA
    BCJBCANNKLM $.

  $( Membership in a finite set of sequential integer implies the bounds are
     comparable.  (Contributed by NM, 18-Sep-2005.)  (Revised by Mario
     Carneiro, 28-Apr-2015.) $)
  elfzle3 $p |- ( K e. ( M ... N ) -> M <_ N ) $=
    ( cfz co wcel cuz cfv cle wbr elfzuz2 eluzle syl ) ABCDEFCBGHFBCIJABCKBCLM
    $.

  $( Membership in a finite set of sequential integers - special case.
     (Contributed by NM, 21-Jul-2005.)  (Revised by Mario Carneiro,
     28-Apr-2015.) $)
  eluzfz1 $p |- ( N e. ( ZZ>= ` M ) -> M e. ( M ... N ) ) $=
    ( cuz cfv wcel cfz co cz eluzel2 uzid syl eluzfz mpancom ) AACDZEZBNEZAABFG
    EPAHEOABIAJKAABLM $.

  $( Membership in a finite set of sequential integers - special case.
     (Contributed by NM, 13-Sep-2005.)  (Revised by Mario Carneiro,
     28-Apr-2015.) $)
  eluzfz2 $p |- ( N e. ( ZZ>= ` M ) -> N e. ( M ... N ) ) $=
    ( cuz cfv wcel cfz co cz eluzelz uzid syl eluzfz mpdan ) BACDEZBBCDEZBABFGE
    NBHEOABIBJKBABLM $.

  $( Membership in a finite set of sequential integers - special case.
     (Contributed by NM, 14-Sep-2005.) $)
  eluzfz2b $p |- ( N e. ( ZZ>= ` M ) <-> N e. ( M ... N ) ) $=
    ( cuz cfv wcel cfz co eluzfz2 elfzuz impbii ) BACDEBABFGEABHBABIJ $.

  $( Membership in a finite set of sequential integers containing one integer.
     (Contributed by NM, 21-Jul-2005.) $)
  elfz3 $p |- ( N e. ZZ -> N e. ( N ... N ) ) $=
    ( cz wcel cuz cfv cfz co uzid eluzfz1 syl ) ABCAADECAAAFGCAHAAIJ $.

  $( Membership in a finite set of sequential integers containing one integer.
     (Contributed by NM, 19-Sep-2005.) $)
  elfz1eq $p |- ( K e. ( N ... N ) -> K = N ) $=
    ( cfz co wcel wceq cle wbr elfzle2 elfzle1 cz wa elfzelz elfzel2 zre letri3
    wb cr syl2an syl2anc mpbir2and ) ABBCDEZABFZABGHZBAGHZABBIABBJUBAKEZBKEZUCU
    DUELQZABBMABBNUFAREBREUHUGAOBOABPSTUA $.

  $( If there is a member in a finite set of sequential integers, the upper
     bound is also a member of this finite set of sequential integers.
     (Contributed by Alexander van der Vekens, 31-May-2018.) $)
  elfzubelfz $p |- ( K e. ( M ... N ) -> N e. ( M ... N ) ) $=
    ( cfz co wcel cuz cfv elfzuz2 eluzfz2 syl ) ABCDEZFCBGHFCLFABCIBCJK $.

  $( A Peano-postulate-like theorem for downward closure of a finite set of
     sequential integers.  (Contributed by Mario Carneiro, 27-May-2014.) $)
  peano2fzr $p |- ( ( K e. ( ZZ>= ` M ) /\ ( K + 1 ) e. ( M ... N ) )
                    -> K e. ( M ... N ) ) $=
    ( cuz cfv wcel c1 caddc co cfz wa simpl cz eluzelz elfzuz3 peano2uzr syl2an
    elfzuzb sylanbrc ) ABDEFZAGHIZBCJIZFZKTCADEFZAUBFTUCLTAMFCUADEFUDUCBANUABCO
    ACPQABCRS $.

  ${
    $d M x $.  $d N x $.
    $( Properties of a finite interval of integers which is nonempty.
       (Contributed by Jeff Madsen, 17-Jun-2010.)  (Revised by Mario Carneiro,
       28-Apr-2015.) $)
    fzn0 $p |- ( ( M ... N ) =/= (/) <-> N e. ( ZZ>= ` M ) ) $=
      ( vx cfz co c0 wne cuz cfv wcel cv wex elfzuz2 exlimiv sylbi eluzfz1 ne0d
      n0 impbii ) ABDEZFGZBAHIJZUACKZTJZCLUBCTRUDUBCUCABMNOUBTAABPQS $.
  $}

  $( A finite set of sequential integers is empty if its bounds are not
     integers.  (Contributed by AV, 13-Oct-2018.) $)
  fz0 $p |- ( ( M e/ ZZ \/ N e/ ZZ ) -> ( M ... N ) = (/) ) $=
    ( cz wnel wo wcel wn cfz co c0 wceq df-nel orbi12i ianor cxp cpw fdmi ndmov
    wa fzf sylbir sylbi ) ACDZBCDZEACFZGZBCFZGZEZABHIJKZUCUFUDUHACLBCLMUIUEUGSG
    UJUEUGNABCHCCOCPHTQRUAUB $.

  ${
    $d K k m $.  $d M k m $.  $d N k m $.
    $( A finite set of sequential integers is empty if the bounds are reversed.
       (Contributed by NM, 22-Aug-2005.) $)
    fzn $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( N < M <-> ( M ... N ) = (/) ) ) $=
      ( cz wcel wa clt wbr cfz co c0 wne cle wn cuz cfv fzn0 eluz syl5bb cr zre
      wb lenlt syl2an bitr2d necon4bbid ) ACDZBCDZEZBAFGZABHIZJUHUJJKZABLGZUIMZ
      UKBANODUHULABPABQRUFASDBSDULUMUAUGATBTABUBUCUDUE $.

    $( A shifted finite set of sequential integers is equinumerous to the
       original set.  (Contributed by Paul Chapman, 11-Apr-2009.) $)
    fzen $p |- ( ( M e. ZZ /\ N e. ZZ /\ K e. ZZ ) ->
                 ( M ... N ) ~~ ( ( M + K ) ... ( N + K ) ) ) $=
      ( cz wcel w3a cfz co caddc cle wbr wi wa elfz1 biimpd cr zre syl3an wceq
      wb vk vm cv cmin cvv 3adant3 zaddcl expcom 3ad2ant3 adantrd leadd1 3com23
      ovexd 3expia impd 3adant2 adantld 3coml 3adant1 3jcad syl2anc syldc 3impb
      biimprd com12 zsubcl leaddsub lesubadd ancoms imp simp1d ex cc zcn subadd
      syld eqcom 3bitr3g addcom eqeq2d bitrd 3expib syl2and en3d ) BDEZCDEZADEZ
      FZUAUBBCGHZBAIHZCAIHZGHZUAUCZAIHZUBUCZAUDHZUEUEWHBCGUMWHWJWKGUMWHWMWIEZWM
      DEZBWMJKZWMCJKZFZWNWLEZWEWFWQXALWGWEWFMZWQXAWMBCNOUFZXAWHXBWRWSWTWHXBLWHW
      RWSWTMZMZWNDEZWJWNJKZWNWKJKZFZXBWHXFXGXHXIWHWRXGXEWGWEWRXGLWFWRWGXGWMAUGU
      HUIUJWEWGXFXHLWFWEWGMZWRXEXHWEWGWRXEXHLZWEWRWGXLWEWRWGFZWSXHWTXMWSXHWEBPE
      ZWRWMPEZWGAPEZWSXHTBQZWMQZAQZBWMAUKROUJULUNUOUPWFWGXFXILWEWFWGMWRXEXIWFWG
      WRXEXILZWRWFWGXTWRWFWGFZWTXIWSYAWTXIWRXOWFCPEZWGXPWTXITXRCQZXSWMCAUKROUQU
      RUNUOUSUTWHXBXJWHWJDEZWKDEZXBXJTWEWGYDWFBAUGUPZWFWGYEWECAUGUSZWNWJWKNVAVD
      VBVCVEVPWHWOWLEZWODEZWJWOJKZWOWKJKZFZWPWIEZWHYHYLWHYDYEYHYLTYFYGWOWJWKNVA
      OZYLWHYMYIYJYKWHYMLWHYIYJYKMZMZWPDEZBWPJKZWPCJKZFZYMWHYPYQYRYSWHYIYQYOWGW
      EYIYQLWFYIWGYQWOAVFUHUIUJWEWGYPYRLWFXKYIYOYRWEWGYIYOYRLWEWGYIFZYJYRYKUUAY
      JYRWEXNWGXPYIWOPEZYJYRTXQXSWOQZBAWOVGROUJUNUOUPWFWGYPYSLZWEWGWFUUDWGWFMYI
      YOYSWGWFYIYOYSLZYIWGWFUUEYIWGWFFZYKYSYJUUFYSYKYIUUBWGXPWFYBYSYKTUUCXSYCWO
      ACVHRVDUQURUNUOVIUSUTWEWFYTYMLWGXCYMYTWPBCNVDUFVBVCVEVPWHWQWRYHYIWMWPSZWO
      WNSZTZWHWQWRWHWQMWRWSWTWHWQXAXDVJVKVLWHYHYIWHYHMYIYJYKWHYHYLYNVJVKVLWGWEW
      RYIMUUILWFWGWRYIUUIYIWGWRUUIYIWOVMEZWGAVMEZWRWMVMEZUUIWOVNAVNWMVNUUJUUKUU
      LFZUUGWOAWMIHZSZUUHUUMWPWMSUUNWOSUUGUUOWOAWMVOWPWMVQUUNWOVQVRUUMUUNWNWOUU
      KUULUUNWNSUUJAWMVSUSVTWARURWBUIWCWD $.
  $}

  $( A 1-based finite set of sequential integers is empty iff it ends at index
     ` 0 ` .  (Contributed by Paul Chapman, 22-Jun-2011.) $)
  fz1n $p |- ( N e. NN0 -> ( ( 1 ... N ) = (/) <-> N = 0 ) ) $=
    ( cn0 wcel c1 clt wbr cfz co c0 wceq cc0 cz wb 1z nn0z fzn sylancr nn0lt10b
    bitr3d ) ABCZADEFZDAGHIJZAKJTDLCALCUAUBMNAODAPQARS $.

  $( 0 is not an element of a finite interval of integers starting at 1.
     (Contributed by AV, 27-Aug-2020.) $)
  0nelfz1 $p |- 0 e/ ( 1 ... N ) $=
    ( cc0 c1 cfz co wnel cz wcel w3a cle wbr wa wn clt 0lt1 0re 1re ltnlei mpbi
    intnanr intnan df-nel elfz2 xchbinx mpbir ) BCADEZFZCGHAGHBGHIZCBJKZBAJKZLZ
    LZMUKUHUIUJBCNKUIMOBCPQRSTUAUGBUFHULBUFUBBCAUCUDUE $.

  $( Two ways to say a finite 1-based sequence is empty.  (Contributed by Paul
     Chapman, 26-Oct-2012.) $)
  0fz1 $p |- ( ( N e. NN0 /\ F Fn ( 1 ... N ) ) -> ( F = (/) <-> N = 0 ) ) $=
    ( c1 cfz co wfn c0 wceq cn0 wcel cc0 fndmu sylan2br ex fneq2 bitrdi biimpcd
    fn0 impbid fz1n sylan9bbr ) ACBDEZFZAGHZUBGHZBIJBKHUCUDUEUCUDUEUDUCAGFZUEAR
    ZUBGALMNUEUCUDUEUCUFUDUBGAOUGPQSBTUA $.

  $( There are no integers between 1 and 0.  (Contributed by Jeff Madsen,
     16-Jun-2010.)  (Proof shortened by Mario Carneiro, 28-Apr-2015.) $)
  fz10 $p |- ( 1 ... 0 ) = (/) $=
    ( cc0 c1 clt wbr cfz co c0 wceq 0lt1 cz wcel wb 1z 0z fzn mp2an mpbi ) ABCD
    ZBAEFGHZIBJKAJKRSLMNBAOPQ $.

  $( Membership of an integer greater than L decreased by ( L - M ) in an
     M-based finite set of sequential integers.  (Contributed by Alexander van
     der Vekens, 14-Sep-2018.) $)
  uzsubsubfz $p |- ( ( L e. ( ZZ>= ` M ) /\ N e. ( ZZ>= ` L ) )
                     -> ( N - ( L - M ) ) e. ( M ... N ) ) $=
    ( cuz wcel cmin co cz cle wbr w3a wi wa adantr cr zre adantl syl2anr cc zcn
    cfv cfz eluz2 simpr zsubcl adantlr zsubcld 3jca 3adant3 com12 imp caddc cc0
    subge0d exbiri com23 3impia impcom resubcl addge02d mpbid 3ad2ant2 3ad2ant1
    ex subsubd breqtrrd subge0 imp31 subge02d jca elfz2 sylanbrc 3adant2 syl5bi
    wb sylbi ) ABDUAEZCADUAEZCABFGZFGZBCUBGEZVQBHEZAHEZBAIJZKZVRWALBAUCVRWCCHEZ
    ACIJZKZWEWAACUCWBWDWHWALWCWBWDMZWHWAWIWHMZWBWFVTHEZKZBVTIJZVTCIJZMWAWIWHWLW
    BWHWLLWDWHWBWLWCWFWBWLLWGWCWFMZWBWLWOWBMZWBWFWKWOWBUDWOWFWBWCWFUDNZWPCVSWQW
    CWBVSHEWFABUEUFUGUHVDUIUJNUKWJWMWNWJBCAFGZBULGZVTIWJUMWRIJZBWSIJWHWIWTWCWFW
    GWIWTLWOWIWGWTWOWIWTWGWOWIMCAWOCOEZWIWFXAWCCPZQNWOAOEZWIWCXCWFAPZNNUNUOUPUQ
    URWJBWRWIBOEZWHWBXEWDBPZNZNWHWROEZWIWCWFXHWGWFXAXCXHWCXBXDCAUSRUIQUTVAWJCAB
    WHCSEZWIWFWCXIWGCTVBQWHASEZWIWCWFXJWGATVCQWIBSEZWHWBXKWDBTNNVEVFWJUMVSIJZWN
    WBWDWHXLWBWHWDXLWBWHXLWDWHXCXEXLWDVOWBWCWFXCWGXDVCZXFABVGRUOUPVHWJCVSWHXAWI
    WFWCXAWGXBVBQWHXCXEVSOEWIXMXGABUSRVIVAVJVTBCVKVLVDVMVNVPUK $.

  $( Membership of an integer greater than L decreased by ( L - 1 ) in a
     1-based finite set of sequential integers.  (Contributed by Alexander van
     der Vekens, 14-Sep-2018.) $)
  uzsubsubfz1 $p |- ( ( L e. NN /\ N e. ( ZZ>= ` L ) )
                      -> ( N - ( L - 1 ) ) e. ( 1 ... N ) ) $=
    ( cn wcel c1 cuz cfv cmin co cfz elnnuz uzsubsubfz sylanb ) ACDAEFGDBAFGDBA
    EHIHIEBJIDAKAEBLM $.

  $( Membership of an integer greater than 2 decreased by 2 in a 1-based finite
     set of sequential integers.  (Contributed by Alexander van der Vekens,
     14-Sep-2018.) $)
  ige3m2fz $p |- ( N e. ( ZZ>= ` 3 ) -> ( N - 2 ) e. ( 1 ... N ) ) $=
    ( c3 cuz cfv wcel c2 cmin co c1 cfz wceq 3m1e2 eqcomi oveq2d cn uzsubsubfz1
    a1i 3nn mpan eqeltrd ) ABCDEZAFGHABIGHZGHZIAJHZUAFUBAGFUBKUAUBFLMQNBOEUAUCU
    DERBAPST $.

  ${
    $d M x $.  $d N x $.  $d K x $.
    $( Split a finite interval of integers into two parts.  (Contributed by
       Mario Carneiro, 13-Apr-2016.) $)
    fzsplit2 $p |- ( ( ( K + 1 ) e. ( ZZ>= ` M ) /\ N e. ( ZZ>= ` K ) ) ->
      ( M ... N ) = ( ( M ... K ) u. ( ( K + 1 ) ... N ) ) ) $=
      ( vx co cuz cfv wcel wa cfz wo cle wbr cz adantl syl2anr wb elfzuz syl2an
      elfzuz3 c1 caddc cun cv elfzelz zred eluzel2 lelttric elfz5 simpl eluzelz
      clt cr syl eluz elfzuzb rbaib zltp1le 3bitr4d mpbird simpr uztrn sylanbrc
      orbi12d jaodan impbida elun bitr4di eqrdv ) AUAUBEZBFGZHZCAFGHZIZDBCJEZBA
      JEZVJCJEZUCZVNDUDZVOHZVSVPHZVSVQHZKZVSVRHVNVTWCVNVTIZWCVSALMZAVSULMZKZVTV
      SUMHAUMHWGVNVTVSVSBCUEZUFVNAVMANHZVLACUGOZUFVSAUHPWDWAWEWBWFVTVSVKHZWIWAW
      EQVNVSBCRWJVSBAUIPWDVSVJFGHZVJVSLMZWBWFVNVJNHZVSNHZWLWMQVTVNVLWNVLVMUJZBV
      JUKUNWHVJVSUOSWDCVSFGZHZWBWLQVTWRVNVSBCTOWBWLWRVSVJCUPUQUNVNWIWOWFWMQVTWJ
      WHAVSURSUSVDUTVNWAVTWBVNWAIWKWRVTWAWKVNVSBAROVNVMAWQHWRWAVLVMVAVSBATACVSV
      BSVSBCUPZVCVNWBIWKWRVTWBWLVLWKVNVSVJCRWPVJVSBVBPWBWRVNVSVJCTOWSVCVEVFVSVP
      VQVGVHVI $.

    $( Split a finite interval of integers into two parts.  (Contributed by
       Jeff Madsen, 17-Jun-2010.)  (Revised by Mario Carneiro, 13-Apr-2016.) $)
    fzsplit $p |- ( K e. ( M ... N ) ->
      ( M ... N ) = ( ( M ... K ) u. ( ( K + 1 ) ... N ) ) ) $=
      ( cfz co wcel caddc cuz cfv cun wceq elfzuz peano2uz syl elfzuz3 fzsplit2
      c1 syl2anc ) ABCDEZFZAQGEZBHIZFZCAHIFSBADEUACDEJKTAUBFUCABCLBAMNABCOABCPR
      $.

    $d J x $.
    $( Condition for two finite intervals of integers to be disjoint.
       (Contributed by Jeff Madsen, 17-Jun-2010.) $)
    fzdisj $p |- ( K < M -> ( ( J ... K ) i^i ( M ... N ) ) = (/) ) $=
      ( vx clt wbr cfz co cin cv wcel wa wn elin cz adantl zred adantr cle cr
      elfzel1 elfzel2 elfzelz elfzle1 elfzle2 letrd lensymd sylbi con2i eq0rdv
      ) BCFGZEABHIZCDHIZJZEKZUOLZULUQUPUMLZUPUNLZMZULNUPUMUNOUTCBUTCUSCPLURUPCD
      UBQRZUTBURBPLUSUPABUCSRZUTCUPBVAUSUPUALURUSUPUPCDUDRQVBUSCUPTGURUPCDUEQUR
      UPBTGUSUPABUFSUGUHUIUJUK $.
  $}

  $( 0-based and 1-based finite sets of sequential integers are equinumerous.
     (Contributed by Paul Chapman, 11-Apr-2009.) $)
  fz01en $p |- ( N e. ZZ -> ( 0 ... ( N - 1 ) ) ~~ ( 1 ... N ) ) $=
    ( cz wcel cc0 c1 cmin co cfz caddc cen wbr peano2zm 0z 1z fzen mp3an13 wceq
    syl 0p1e1 cc a1i zcn ax-1cn npcan sylancl oveq12d breqtrd ) ABCZDAEFGZHGZDE
    IGZUIEIGZHGZEAHGJUHUIBCZUJUMJKZALDBCUNEBCUOMNEDUIOPRUHUKEULAHUKEQUHSUAUHATC
    ETCULAQAUBUCAEUDUEUFUG $.

  $( A member of a finite set of sequential integers starting at 1 is a
     positive integer.  (Contributed by NM, 24-Aug-2005.) $)
  elfznn $p |- ( K e. ( 1 ... N ) -> K e. NN ) $=
    ( c1 cfz co wcel cz cle wbr cn elfzelz elfzle1 elnnz1 sylanbrc ) ACBDEFAGFC
    AHIAJFACBKACBLAMN $.

  $( A nonempty finite range of integers contains its end point.  (Contributed
     by Stefan O'Rear, 10-Oct-2014.) $)
  elfz1end $p |- ( A e. NN <-> A e. ( 1 ... A ) ) $=
    ( cn wcel c1 cfz co cuz cfv elnnuz biimpi cz nnz uzid eluzfz syl2anc elfznn
    syl impbii ) ABCZADAEFCZSADGHCZAAGHCZTSUAAIJSAKCUBALAMQADANOAAPR $.

  ${
    $d A a $.
    $( A finite set of positive integers is a set of positive integers.
       (Contributed by Stefan O'Rear, 16-Oct-2014.) $)
    fz1ssnn $p |- ( 1 ... A ) C_ NN $=
      ( va c1 cfz co cn cv elfznn ssriv ) BCADEFBGAHI $.
  $}

  $( Subtraction closure for a member of a finite set of sequential integers.
     (Contributed by NM, 16-Sep-2005.)  (Revised by Mario Carneiro,
     28-Apr-2015.) $)
  fznn0sub $p |- ( K e. ( M ... N ) -> ( N - K ) e. NN0 ) $=
    ( cfz co wcel cuz cfv cmin cn0 elfzuz3 uznn0sub syl ) ABCDEFCAGHFCAIEJFABCK
    ACLM $.

  $( Subtracting the difference of a member of a finite range of integers and
     the lower bound of the range from the difference of the upper bound and
     the lower bound of the range results in the difference of the upper bound
     of the range and the member.  (Contributed by Alexander van der Vekens,
     27-May-2018.) $)
  fzmmmeqm $p |- ( M e. ( L ... N )
                   -> ( ( N - L ) - ( M - L ) ) = ( N - M ) ) $=
    ( cfz co wcel cc w3a cmin wceq cz cle wa elfz2 3anim123i 3comr adantr sylbi
    wbr zcn nnncan2 syl ) BACDEFZCGFZBGFZAGFZHZCAIEBAIEIECBIEJUCAKFZCKFZBKFZHZA
    BLSBCLSMZMUGBACNUKUGULUIUJUHUGUIUDUJUEUHUFCTBTATOPQRCBAUAUB $.

  $( Membership of a sum in a finite set of sequential integers.  (Contributed
     by NM, 30-Jul-2005.) $)
  fzaddel $p |- ( ( ( M e. ZZ /\ N e. ZZ ) /\ ( J e. ZZ /\ K e. ZZ ) ) ->
         ( J e. ( M ... N ) <-> ( J + K ) e. ( ( M + K ) ... ( N + K ) ) ) ) $=
    ( cz wcel wa cle wbr w3a caddc co cfz wb zaddcl cr zre leadd1 syl3an 3expb
    simpl adantl adantlr 3com12 adantll 3anbi123d elfz1 adantr anandirs adantrl
    2thd syl2an 3bitr4d ) CEFZDEFZGZAEFZBEFZGZGZUQCAHIZADHIZJZABKLZEFZCBKLZVDHI
    ZVDDBKLZHIZJZACDMLFZVDVFVHMLFZUTUQVEVAVGVBVIUSUQVENUPUSUQVEUQURUAABOUKUBUNU
    SVAVGNZUOUNUQURVMUNCPFUQAPFZURBPFZVMCQAQZBQZCABRSTUCUOUSVBVINZUNUOUQURVRUQU
    OURVRUQVNUODPFURVOVRVPDQVQADBRSUDTUEUFUPVKVCNUSACDUGUHUPURVLVJNZUQUNUOURVSU
    NURGVFEFVHEFVSUOURGCBODBOVDVFVHUGULUIUJUM $.

  $( Membership of a sum in a finite interval of integers.  (Contributed by
     Jeff Madsen, 17-Jun-2010.) $)
  fzadd2 $p |- ( ( ( M e. ZZ /\ N e. ZZ ) /\ ( O e. ZZ /\ P e. ZZ ) ) ->
                    ( ( J e. ( M ... N ) /\ K e. ( O ... P ) ) ->
                        ( J + K ) e. ( ( M + O ) ... ( N + P ) ) ) ) $=
    ( cz wcel wa cfz co cle wbr w3a caddc wi cr zre anim12i zaddcl bi2anan9 an6
    le2add syl2an impr 3adantr3 adantlr syl2anr 3adantr2 adantll wb elfz syl3an
    elfz1 3expb ancoms 3ad2antr1 mpbir2and ex an4s syl5bi sylbid ) DGHZEGHZIZFG
    HZAGHZIZIZBDEJKHZCFAJKHZIBGHZDBLMZBELMZNZCGHZFCLMZCALMZNZIZBCOKZDFOKZEAOKZJ
    KHZVEVJVOVHVKVSBDEUNCFAUNUAVTVLVPIZVMVQIZVNVRIZNZVIWDVLVMVNVPVQVRUBVCVFVDVG
    WHWDPVCVFIZVDVGIZIZWHWDWKWHIWDWBWALMZWAWCLMZWIWHWLWJWIWEWFWLWGWIWEWFWLWIDQH
    ZFQHZIBQHZCQHZIZWFWLPWEVCWNVFWODRFRSVLWPVPWQBRCRSZDFBCUCUDUEUFUGWJWHWMWIWJW
    EWGWMWFWJWEWGWMWEWREQHZAQHZIWGWMPWJWSVDWTVGXAERARSBCEAUCUHUEUIUJWKWFWEWDWLW
    MIUKZWGWEWKXBWEWIWJXBWEWAGHWIWBGHWJWCGHXBBCTDFTEATWAWBWCULUMUOUPUQURUSUTVAV
    B $.

  $( Membership of a difference in a finite set of sequential integers.
     (Contributed by NM, 30-Jul-2005.) $)
  fzsubel $p |- ( ( ( M e. ZZ /\ N e. ZZ ) /\ ( J e. ZZ /\ K e. ZZ ) ) ->
         ( J e. ( M ... N ) <-> ( J - K ) e. ( ( M - K ) ... ( N - K ) ) ) ) $=
    ( cz wcel wa cfz co cneg caddc cmin wb znegcl fzaddel cc zcn anim12i negsub
    wceq sylanr2 adantl oveqan12d anandirs adantrl eleq12d syl2an bitrd ) CEFZD
    EFZGZAEFZBEFZGZGACDHIFZABJZKIZCUPKIZDUPKIZHIZFZABLIZCBLIZDBLIZHIZFZUMUKULUP
    EFUOVAMBNAUPCDOUAUKCPFZDPFZGZAPFZBPFZGZVAVFMUNUIVGUJVHCQDQRULVJUMVKAQBQRVIV
    LGUQVBUTVEVLUQVBTVIABSUBVIVKUTVETZVJVGVHVKVMVGVKGVHVKGURVCUSVDHCBSDBSUCUDUE
    UFUGUH $.

  $( A finite set of sequential integers has the ordered pair property (compare
     ~ opth ) under certain conditions.  (Contributed by NM, 31-Oct-2005.)
     (Revised by Mario Carneiro, 28-Apr-2015.) $)
  fzopth $p |- ( N e. ( ZZ>= ` M ) ->
                ( ( M ... N ) = ( J ... K ) <-> ( M = J /\ N = K ) ) ) $=
    ( cuz cfv wcel cfz co wceq wa wss eluzfz1 adantr eleqtrd uzss 3syl eleqtrrd
    elfzuz eqssd simpr elfzuz2 cz wb eluzel2 uz11 mpbid eluzfz2 elfzuz3 eluzelz
    syl jca ex oveq12 impbid1 ) DCEFZGZCDHIZABHIZJZCAJZDBJZKZUQUTVCUQUTKZVAVBVD
    UPAEFZJZVAVDUPVEVDCUSGZCVEGUPVELVDCURUSUQCURGUTCDMNUQUTUAZOZCABSACPQVDAURGA
    UPGVEUPLVDAUSURVDVGBVEGZAUSGVICABUBZABMQVHRACDSCAPQTVDCUCGZVFVAUDUQVLUTCDUE
    NCAUFUKUGVDDEFZBEFZJZVBVDVMVNVDBURGDVNGVMVNLVDBUSURVDVGVJBUSGVIVKABUHQVHRBC
    DUIBDPQVDDUSGBVMGVNVMLVDDURUSUQDURGUTCDUHNVHODABUIDBPQTVDDUCGZVOVBUDUQVPUTC
    DUJNDBUFUKUGULUMCADBHUNUO $.

  $( Two ways to express a nondecreasing sequence of four integers.
     (Contributed by Stefan O'Rear, 15-Aug-2015.) $)
  fzass4 $p |- ( ( B e. ( A ... D ) /\ C e. ( B ... D ) ) <->
      ( B e. ( A ... C ) /\ C e. ( A ... D ) ) ) $=
    ( cuz cfv wcel wa cfz co simpll simprl uztrn ancoms ad2ant2r simprr elfzuzb
    jca jca32 anbi12i ad2ant2l simplr impbii 3bitr4i ) BAEFZGZDBEFZGZHZCUGGZDCE
    FGZHZHZUFUJHZCUEGZUKHZHZBADIJZGZCBDIJGZHBACIJGZCURGZHUMUQUMUNUOUKUMUFUJUFUH
    ULKUIUJUKLRUFUJUOUHUKUJUFUOBCAMNOUIUJUKPSUQUIUJUKUQUFUHUFUJUPKUJUKUHUFUOUKU
    JUHCDBMNUARUFUJUPUBUNUOUKPSUCUSUIUTULBADQCBDQTVAUNVBUPBACQCADQTUD $.

$(
  @{
    @d j K @.  @d j M @.  @d j N @.
    @( Union of two adjacent finite sets of sequential integers. @)
    fzunt @p |- ( ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) /\ ( K <_ M /\ M <_ N ) )
                 -> ( ( K ... M ) u. ( M ... N ) ) = ( K ... N ) ) @=
      ( vj cz wcel w3a cle wbr wa cfz co cun cv wo cr wb wi letr expd com23
      3exp com3l imp42 adantlll adantrl anim2d 3expa imp adantlrl adantrr
      anim1d jaod impbid exp42 com34 ex 3imp zre syl3anOLD syl5OLD pm5.32d andi
      bicomi syl5bbOLD elfz1 3anass bitrdi 3adant3 adantr 3adant1 orbi12d
      3adant2 3bitr4d elun eqrdv ) AEFZBEFZCEFZGZABHIZBCHIZJZJZDABKLZBCKLZMZACK
      LZWDDNZWEFZWIWFFZOZWIWHFZWIWGFWDWIEFZAWIHIZWIBHIZJZJZWNBWIHIZWICHIZJZJZOZ
      WNWOWTJZJZWLWMWDWNWQXAOZJZXEXCWDWNXFXDWDWIPFZXFXDQZWNVTWCXHXIRZAPFZBPFZCP
      FZWCXJRZVQVRVSXKXLXMXNXKXLXMXNRXKXLJZXMXHWCXIXOXMXHWCXIXOXMXHJZJZWCJZXFXD
      XRWQXDXAXRWPWTWOXQWBWPWTRZWAXLXPWBXSXKXLXMXHWBXSXHXLXMWBXSRZXHXLXMXTXHXLX
      MGZWPWBWTYAWPWBWTWIBCSTUAUBUCUDUEUFUGXRWSWOWTXQWAWSWORZWBXOXHWAYBXMXOXHJZ
      WAYBYCWAWSWOXKXLXHWAWSJWORABWISUHTUIUJUKULUM?UNUOUPUQURAUSBUSCUSUTUIWIUSV
      AVBXGXCWNWQXAVCVDVEWDWJWRWKXBVTWJWRQZWCVQVRYDVSVQVRJWJWNWOWPGWRWIABVFWNWO
      WPVGVHVIVJVTWKXBQZWCVRVSYEVQVRVSJWKWNWSWTGXBWIBCVFWNWSWTVGVHVKVJVLVTWMXEQ
      ZWCVQVSYFVRVQVSJWMWNWOWTGXEWIACVFWNWOWTVGVHVMVJVNWIWEWFVOVEVP @.
      @( [ ?] @) @( [21-Jul-2005] @)
  @}
$)

  ${
    $d k M $.  $d k N $.  $d k K $.
    $( Subset relationship for finite sets of sequential integers.
       (Contributed by NM, 28-Sep-2005.)  (Proof shortened by Mario Carneiro,
       28-Apr-2015.) $)
    fzss1 $p |- ( K e. ( ZZ>= ` M ) -> ( K ... N ) C_ ( M ... N ) ) $=
      ( vk cuz cfv wcel co cv wa elfzuz id uztrn syl2anr elfzuz3 adantl elfzuzb
      cfz sylanbrc ex ssrdv ) ABEFZGZDACRHZBCRHZUCDIZUDGZUFUEGZUCUGJUFUBGZCUFEF
      GZUHUGUFAEFGUCUIUCUFACKUCLAUFBMNUGUJUCUFACOPUFBCQSTUA $.

    $( Subset relationship for finite sets of sequential integers.
       (Contributed by NM, 4-Oct-2005.)  (Revised by Mario Carneiro,
       30-Apr-2015.) $)
    fzss2 $p |- ( N e. ( ZZ>= ` K ) -> ( M ... K ) C_ ( M ... N ) ) $=
      ( vk cuz cfv wcel cfz co cv wa elfzuz adantl elfzuz3 uztrn sylan2 elfzuzb
      sylanbrc ex ssrdv ) CAEFGZDBAHIZBCHIZUADJZUBGZUDUCGZUAUEKUDBEFGZCUDEFZGZU
      FUEUGUAUDBALMUEUAAUHGUIUDBANACUDOPUDBCQRST $.

    $( A finite set of sequential integers is a subset of an upper set of
       integers.  (Contributed by NM, 28-Oct-2005.) $)
    fzssuz $p |- ( M ... N ) C_ ( ZZ>= ` M ) $=
      ( vk cfz co cuz cfv cv elfzuz ssriv ) CABDEAFGCHABIJ $.

    $( A finite interval of integers with one element.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    fzsn $p |- ( M e. ZZ -> ( M ... M ) = { M } ) $=
      ( vk cz wcel cfz co csn wceq elfz1eq elfz3 eleq1 syl5ibrcom impbid2 velsn
      cv bitr4di eqrdv ) ACDZBAAEFZAGZRBOZSDZUAAHZUATDRUBUCUAAIRUBUCASDAJUAASKL
      MBANPQ $.

    $( Subset relationship for finite sets of sequential integers.
       (Contributed by NM, 21-Jul-2005.)  (Revised by Mario Carneiro,
       28-Apr-2015.) $)
    fzssp1 $p |- ( M ... N ) C_ ( M ... ( N + 1 ) ) $=
      ( vk cfz co c1 caddc cv wcel cuz cfv wss elfzel2 uzid peano2uz fzss2 4syl
      cz id sseldd ssriv ) CABDEZABFGEZDEZCHZUBIZUBUDUEUFBRIBBJKZIUCUGIUBUDLUEA
      BMBNBBOBAUCPQUFSTUA $.
  $}

  $( Finite sets of sequential integers starting from a natural are a subset of
     the positive integers.  (Contributed by Thierry Arnoux, 4-Aug-2017.) $)
  fzssnn $p |- ( M e. NN -> ( M ... N ) C_ NN ) $=
    ( cn wcel cfz co c1 wss cuz cfv fzss1 nnuz eleq2s fz1ssnn sstrdi ) ACDABEFZ
    GBEFZCPQHAGIJCAGBKLMBNO $.

  ${
    $d I k $.  $d M k $.  $d N k $.
    $( A subset of a finite sequence of integers extended by an integer is a
       subset of a (possibly extended) finite sequence of integers.
       (Contributed by AV, 13-Nov-2021.) $)
    ssfzunsnext $p |- ( ( S C_ ( M ... N )
                          /\ ( M e. ZZ /\ N e. ZZ /\ I e. ZZ ) )
                      -> ( S u. { I } ) C_ ( if ( I <_ M , I , M )
                                             ... if ( I <_ N , N , I ) ) ) $=
      ( vk cfz co wss cz wcel wa cle wbr adantr adantl cr zred zre ancomd syl
      w3a csn simpl cv simp3 simp1 ifcld simp2 elfzelz 3ad2ant1 anim12i 3adant2
      cif min2 elfzle1 letrd 3ad2ant2 elfzle2 3adant1 max2 elfzd ex ssrdv sstrd
      min1 max1 snssd unssd ) ACDFGZHZCIJZDIJZBIJZUAZKZABUBBCLMZBCUMZBDLMZDBUMZ
      FGZVOAVIVTVJVNUCVNVIVTHVJVNEVIVTVNEUDZVIJZWAVTJVNWBKZWAVQVSVNVQIJZWBVNVPB
      CIVKVLVMUEZVKVLVMUFUGZNVNVSIJZWBVNVRDBIVKVLVMUHWEUGZNWBWAIJVNWACDUIZOWCVQ
      CWAVNVQPJWBVNVQWFQNVNCPJZWBVKVLWJVMCRZUJNWBWAPJVNWBWAWIQOZWCBPJZWJKZVQCLM
      VNWNWBVKVMWNVLVKVMKWJWMVKWJVMWMWKBRZUKZSULNBCUNTWBCWALMVNWACDUOOUPWCWADVS
      WLVNDPJZWBVLVKWQVMDRZUQNVNVSPJWBVNVSWHQNWBWADLMVNWACDUROVNDVSLMZWBVNWMWQK
      ZWSVNWQWMVLVMWQWMKZVKVLWQVMWMWRWOUKUSZSBDUTTNUPVAVBVCOVDVOBVTVOBVQVSVNWDV
      JWFOVNWGVJWHOVNVMVJWEOVOWNVQBLMVOWJWMVNWJWMKZVJVKVMXCVLWPULOSBCVETVOWTBVS
      LMVOWQWMVNXAVJXBOSBDVFTVAVGVH $.
  $}

  $( A subset of a finite sequence of integers extended by an integer is a
     subset of a (possibly extended) finite sequence of integers.  (Contributed
     by AV, 8-Jun-2021.)  (Proof shortened by AV, 13-Nov-2021.) $)
  ssfzunsn $p |- ( ( S C_ ( M ... N ) /\ N e. ZZ /\ I e. ( ZZ>= ` M ) )
                   -> ( S u. { I } ) C_ ( M ... if ( I <_ N , N , I ) ) ) $=
    ( cfz co wss cz wcel cuz cfv w3a cle wbr cif 3ad2ant3 wceq cxr zre rexrd
    csn simp1 eluzel2 simp2 eluzelz ssfzunsnext syl13anc eluz2 3ad2ant2 xrmineq
    cun 3ad2ant1 simp3 syl3anc eqcomd sylbi oveq1d sseqtrrd ) ACDEFGZDHIZBCJKIZ
    LZABUAUKZBCMNBCOZBDMNDBOZEFZCVEEFVBUSCHIZUTBHIZVCVFGUSUTVAUBVAUSVGUTCBUCPUS
    UTVAUDVAUSVHUTCBUEPABCDUFUGVBCVDVEEVAUSCVDQZUTVAVGVHCBMNZLZVICBUHVKVDCVKBRI
    ZCRIZVJVDCQVHVGVLVJVHBBSTUIVGVHVMVJVGCCSTULVGVHVJUMBCUJUNUOUPPUQUR $.

  $( Join a successor to the end of a finite set of sequential integers.
     (Contributed by NM, 19-Jul-2008.)  (Revised by Mario Carneiro,
     28-Apr-2015.) $)
  fzsuc $p |- ( N e. ( ZZ>= ` M ) ->
                ( M ... ( N + 1 ) ) = ( ( M ... N ) u. { ( N + 1 ) } ) ) $=
    ( cuz cfv wcel c1 caddc co cfz cun csn peano2uz eluzfz2 syl peano2fzr mpdan
    wceq fzsplit cz eluzelz fzsn 3syl uneq2d eqtrd ) BACDZEZABFGHZIHZABIHZUGUGI
    HZJZUIUGKZJUFBUHEZUHUKQUFUGUHEZUMUFUGUEEZUNABLZAUGMNBAUGOPBAUGRNUFUJULUIUFU
    OUGSEUJULQUPAUGTUGUAUBUCUD $.

  $( Join a predecessor to the beginning of a finite set of sequential
     integers.  (Contributed by AV, 24-Aug-2019.) $)
  fzpred $p |- ( N e. ( ZZ>= ` M )
                 -> ( M ... N ) = ( { M } u. ( ( M + 1 ) ... N ) ) ) $=
    ( cuz cfv wcel cfz co c1 caddc cun wceq eluzel2 uzid peano2uz 3syl fzsplit2
    csn cz mpancom fzsn syl uneq1d eqtrd ) BACDZEZABFGZAAFGZAHIGZBFGZJZAQZUIJUH
    UDEZUEUFUJKUEAREZAUDEULABLZAMAANOAABPSUEUGUKUIUEUMUGUKKUNATUAUBUC $.

  $( A finite set of sequential integers is disjoint with its predecessor.
     (Contributed by AV, 24-Aug-2019.) $)
  fzpreddisj $p |- ( N e. ( ZZ>= ` M )
                 -> ( { M } i^i ( ( M + 1 ) ... N ) ) = (/) ) $=
    ( cuz cfv wcel csn c1 caddc co cfz cin c0 wn cz cle wbr wa cc0 1re cr incom
    wceq w3a clt 0lt1 0re ltnlei mpbi wb eluzel2 zred leaddle0 sylancl intnanrd
    mtbiri intnand elfz2 sylnibr disjsn sylibr eqtrid ) BACDEZAFZAGHIZBJIZKVEVC
    KZLVCVEUAVBAVEEZMVFLUBVBVDNEBNEANEUCZVDAOPZABOPZQZQVGVBVKVHVBVIVJVBVIGROPZR
    GUDPVLMUERGUFSUGUHVBATEGTEVIVLUIVBAABUJUKSAGULUMUOUNUPAVDBUQURVEAUSUTVA $.

  $( Append an element to a finite set of sequential integers.  (Contributed by
     NM, 19-Sep-2005.)  (Proof shortened by Mario Carneiro, 28-Apr-2015.) $)
  elfzp1 $p |- ( N e. ( ZZ>= ` M ) ->
    ( K e. ( M ... ( N + 1 ) ) <-> ( K e. ( M ... N ) \/ K = ( N + 1 ) ) ) ) $=
    ( cuz cfv wcel c1 caddc co cfz csn cun wceq wo fzsuc eleq2d elun ovex elsn2
    orbi2i bitri bitrdi ) CBDEFZABCGHIZJIZFABCJIZUDKZLZFZAUFFZAUDMZNZUCUEUHABCO
    PUIUJAUGFZNULAUFUGQUMUKUJAUDCGHRSTUAUB $.

  $( Subset relationship for finite sets of sequential integers.  (Contributed
     by NM, 26-Jul-2005.)  (Revised by Mario Carneiro, 28-Apr-2015.) $)
  fzp1ss $p |- ( M e. ZZ -> ( ( M + 1 ) ... N ) C_ ( M ... N ) ) $=
    ( cz wcel cuz cfv c1 caddc co cfz wss uzid peano2uz fzss1 3syl ) ACDAAEFZDA
    GHIZPDQBJIABJIKALAAMQABNO $.

  $( Membership in a set of sequential integers with an appended element.
     (Contributed by NM, 7-Dec-2005.)  (Revised by Mario Carneiro,
     28-Apr-2015.) $)
  fzelp1 $p |- ( K e. ( M ... N ) -> K e. ( M ... ( N + 1 ) ) ) $=
    ( cfz co c1 caddc fzssp1 sseli ) BCDEBCFGEDEABCHI $.

  $( Add one to an element of a finite set of integers.  (Contributed by Jeff
     Madsen, 6-Jun-2010.)  (Revised by Mario Carneiro, 28-Apr-2015.) $)
  fzp1elp1 $p |- ( K e. ( M ... N ) -> ( K + 1 ) e. ( M ... ( N + 1 ) ) ) $=
    ( cfz co wcel c1 caddc cuz cfv elfzuz peano2uz syl elfzuz3 eluzp1p1 elfzuzb
    sylanbrc ) ABCDEFZAGHEZBIJZFZCGHEZSIJFZSBUBDEFRATFUAABCKBALMRCAIJFUCABCNACO
    MSBUBPQ $.

  $( Shift membership in a finite sequence of naturals.  (Contributed by Scott
     Fenton, 17-Jul-2013.) $)
  fznatpl1 $p |- ( ( N e. NN /\ I e. ( 1 ... ( N - 1 ) ) ) ->
           ( I + 1 ) e. ( 1 ... N ) ) $=
    ( wcel c1 co cfz wa caddc cle wbr cr zred adantl peano2re syl wb 1re mp3an2
    cz syl2an2 cn cmin elfzelz ltp1d elfzle1 leadd1 mp3an13 mpbid ltletrd ltled
    1red elfzle2 nnz adantr leaddsub mpbird peano2zd 1z elfz mpbir2and ) BUACZA
    DBDUBEZFECZGZADHEZDBFECZDVEIJZVEBIJZVDDVEVDUKZVDAKCZVEKCVCVJVAVCAADVBUCZLZM
    ZANOZVDDDDHEZVEVIVDDKCZVOKCVIDNOVNVDDVIUDVDDAIJZVOVEIJZVCVQVAADVBUEMVDVJVQV
    RPZVMVPVJVPVSQQDADUFUGOUHUIUJVDVHAVBIJZVCVTVAADVBULMVCVJVABKCZVHVTPZVLVDBVA
    BSCZVCBUMUNZLVJVPWAWBQADBUORTUPVCVESCZVAWCVFVGVHGPZVCAVKUQWDWEDSCWCWFURVEDB
    USRTUT $.

  ${
    $d M m $.

    $( A finite interval of integers with two elements.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    fzpr $p |- ( M e. ZZ -> ( M ... ( M + 1 ) ) = { M , ( M + 1 ) } ) $=
      ( vm cz wcel c1 caddc co cfz cpr cv wceq cuz cfv uzid elfzp1 syl csn fzsn
      wo wb eleq2d velsn bitrdi orbi1d bitrd vex elpr bitr4di eqrdv ) ACDZBAAEF
      GZHGZAUKIZUJBJZULDZUNAKZUNUKKZSZUNUMDUJUOUNAAHGZDZUQSZURUJAALMDUOVATANUNA
      AOPUJUTUPUQUJUTUNAQZDUPUJUSVBUNARUABAUBUCUDUEUNAUKBUFUGUHUI $.

    $( A finite interval of integers with three elements.  (Contributed by NM,
       13-Sep-2011.)  (Revised by Mario Carneiro, 7-Mar-2014.) $)
    fztp $p |- ( M e. ZZ -> ( M ... ( M + 2 ) )
                 = { M , ( M + 1 ) , ( M + 2 ) } ) $=
      ( cz wcel c1 caddc co cfz csn cun c2 ctp cuz cfv wceq uzid peano2uz fzsuc
      cc ax-1cn eqtr4di 3syl zcn addass mp3an23 syl df-2 oveq2i oveq2d cpr fzpr
      sneqd uneq12d df-tp 3eqtr3d ) ABCZAADEFZDEFZGFZAUPGFZUQHZIZAAJEFZGFAUPVBK
      ZUOAALMZCUPVDCURVANAOAAPAUPQUAUOUQVBAGUOUQADDEFZEFZVBUOARCZUQVFNZAUBVGDRC
      ZVIVHSSADDUCUDUEJVEAEUFUGTZUHUOVAAUPUIZVBHZIVCUOUSVKUTVLAUJUOUQVBVJUKULAU
      PVBUMTUN $.
  $}

  $( An integer range between 1 and 2 is a pair.  (Contributed by AV,
     11-Jan-2023.) $)
  fz12pr $p |- ( 1 ... 2 ) = { 1 , 2 } $=
    ( c1 c2 cfz co caddc cpr df-2 oveq2i cz wcel wceq ax-mp 1p1e2 preq2i 3eqtri
    1z fzpr ) ABCDAAAEDZCDZARFZABFBRACGHAIJSTKPAQLRBAMNO $.

  $( Join a successor to the end of a finite set of sequential integers.
     (Contributed by Mario Carneiro, 7-Mar-2014.) $)
  fzsuc2 $p |- ( ( M e. ZZ /\ N e. ( ZZ>= ` ( M - 1 ) ) ) ->
                 ( M ... ( N + 1 ) ) = ( ( M ... N ) u. { ( N + 1 ) } ) ) $=
    ( c1 cmin co cuz cfv wcel cz wceq caddc wo cfz csn cun cc oveq2d c0 uneq12d
    sneqd uzp1 zcn ax-1cn npcan sylancl uncom un0 eqtri clt wbr zre wb peano2zm
    ltm1d fzn mpdan mpbid fzsn 3eqtr4a eqtr4d oveq1 oveq2 eqeq12d syl5ibrcom wa
    imp fveq2d eleq2d biimpa fzsuc syl jaodan sylan2 ) BACDEZFGHAIHZBVNJZBVNCKE
    ZFGZHZLABCKEZMEZABMEZVTNZOZJZVNBUAVOVPWEVSVOVPWEVOWEVPAVQMEZAVNMEZVQNZOZJVO
    WFAAMEZWIVOVQAAMVOAPHCPHVQAJAUBUCACUDUEZQVORANZOZWLWIWJWMWLROWLRWLUFWLUGUHV
    OWGRWHWLVOVNAUIUJZWGRJZVOAAUKUNVOVNIHWNWOULAUMAVNUOUPUQVOVQAWKTSAURUSUTVPWA
    WFWDWIVPVTVQAMBVNCKVAZQVPWBWGWCWHBVNAMVBVPVTVQWPTSVCVDVFVOVSVEBAFGZHZWEVOVS
    WRVOVRWQBVOVQAFWKVGVHVIABVJVKVLVM $.

  $( ` ( M ... ( N + 1 ) ) ` is the disjoint union of ` ( M ... N ) ` with
     ` { ( N + 1 ) } ` .  (Contributed by Mario Carneiro, 7-Mar-2014.) $)
  fzp1disj $p |- ( ( M ... N ) i^i { ( N + 1 ) } ) = (/) $=
    ( cfz co c1 caddc csn cin c0 wceq wcel wn cle wbr elfzle2 elfzel2 zred ltp1
    cr clt wb peano2re ltnle mpdan mpbid syl pm2.65i disjsn mpbir ) ABCDZBEFDZG
    HIJUKUJKZLULUKBMNZUKABOULBSKZUMLZULBUKABPQUNBUKTNZUOBRUNUKSKUPUOUABUBBUKUCU
    DUEUFUGUJUKUHUI $.

  $( Remove a successor from the end of a finite set of sequential integers.
     (Contributed by AV, 4-Sep-2019.) $)
  fzdifsuc $p |- ( N e. ( ZZ>= ` M )
                  -> ( M ... N ) = ( ( M ... ( N + 1 ) ) \ { ( N + 1 ) } ) ) $=
    ( cuz cfv wcel c1 caddc co cfz csn cdif cun fzsuc difeq1d wceq uncom wss c0
    cin wb ssun2 incom fzp1disj eqtri a1i uneqdifeq sylancr mpbii eqtr2d ) BACD
    EZABFGHZIHZUKJZKABIHZUMLZUMKZUNUJULUOUMABMNUJUMUNLUOOZUPUNOZUMUNPUJUMUOQUMU
    NSZROZUQURTUMUNUAUTUJUSUNUMSRUMUNUBABUCUDUEUMUNUOUFUGUHUI $.

  ${
    $d x A $.  $d x B $.  $d x F $.
    $( Two ways of defining the first two values of a sequence on ` NN ` .
       (Contributed by NM, 5-Sep-2011.) $)
    fzprval $p |- ( A. x e. ( 1 ... 2 ) ( F ` x ) = if ( x = 1 , A , B )
                  <-> ( ( F ` 1 ) = A /\ ( F ` 2 ) = B ) ) $=
      ( cv cfv c1 wceq cif c2 cfz co wral cpr fz12pr raleqi fveq2 eqeq12d wne
      wa 1ex 2ex iftrue 1ne2 necomi pm13.181 mpan2 neneqd iffalsed ralpr bitri
      ) AEZDFZULGHZBCIZHZAGJKLZMUPAGJNZMGDFZBHZJDFZCHZTUPAUQUROPUPUTVBAGJUAUBUN
      UMUSUOBULGDQUNBCUCRULJHZUMVAUOCULJDQVCUNBCVCULGVCJGSULGSGJUDUEULJGUFUGUHU
      IRUJUK $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x F $.
    $( Two ways of defining the first three values of a sequence on ` NN ` .
       (Contributed by NM, 13-Sep-2011.) $)
    fztpval $p |- ( A. x e. ( 1 ... 3 ) ( F ` x )
                      = if ( x = 1 , A , if ( x = 2 , B , C ) )
                  <-> ( ( F ` 1 ) = A /\ ( F ` 2 ) = B /\ ( F ` 3 ) = C ) ) $=
      ( cfv c1 wceq c2 c3 cfz co ctp caddc ax-mp fveq2 eqeq12d wne gtneii neeq1
      cv cif wral w3a cz wcel 1z fztp df-3 2cn ax-1cn addcomi eqtri oveq2i df-2
      tpeq3 tpeq2 3eqtr4i raleqi 1ex 2ex 3ex iftrue 1lt2 mpbiri ifnefalse eqtrd
      1re syl 1lt3 2re 2lt3 raltp bitri ) AUAZEFZVOGHZBVOIHZCDUBZUBZHZAGJKLZUCW
      AAGIJMZUCGEFZBHZIEFZCHZJEFZDHZUDWAAWBWCGGINLZKLZGGGNLZWJMZWBWCGUEUFWKWMHU
      GGUHOJWJGKJIGNLWJUIIGUJUKULUMZUNWCGIWJMZWMJWJHWCWOHWNJWJGIUPOIWLHWOWMHUOI
      WLGWJUQOUMURUSWAWEWGWIAGIJUTVAVBVQVPWDVTBVOGEPVQBVSVCQVRVPWFVTCVOIEPVRVTV
      SCVRVOGRZVTVSHZVRWPIGRGIVHVDSVOIGTVEVOGBVSVFZVIVRCDVCVGQVOJHZVPWHVTDVOJEP
      WSVTVSDWSWPWQWSWPJGRGJVHVJSVOJGTVEWRVIWSVOIRZVSDHWSWTJIRIJVKVLSVOJITVEVOI
      CDVFVIVGQVMVN $.
  $}

  $( Reversal of start and end of a finite set of sequential integers.
     (Contributed by NM, 25-Nov-2005.) $)
  fzrev $p |- ( ( ( M e. ZZ /\ N e. ZZ ) /\ ( J e. ZZ /\ K e. ZZ ) ) ->
         ( K e. ( ( J - N ) ... ( J - M ) ) <-> ( J - K ) e. ( M ... N ) ) ) $=
    ( cz wcel wa cmin co cle wbr cfz wb cr zre syl3an 3expb zsubcl ancoms elfz
    suble 3comr adantll lesub adantlr anbi12d bitr3di simprr ad2ant2lr ad2ant2r
    ancom syl3anc adantl simpll simplr 3bitr4d ) CEFZDEFZGZAEFZBEFZGZGZADHIZBJK
    ZBACHIZJKZGZCABHIZJKZVIDJKZGZBVDVFLIFZVICDLIFZVCVKVJGVHVLVCVKVEVJVGURVBVKVE
    MZUQURUTVAVOUTVAURVOUTANFZVABNFZURDNFVOAOZBOZDOABDUAPUBQUCUQVBVJVGMZURUQUTV
    AVTUQCNFUTVPVAVQVTCOVRVSCABUDPQUEUFVKVJUKUGVCVAVDEFZVFEFZVMVHMUSUTVAUHURUTW
    AUQVAUTURWAADRSUIUQUTWBURVAUTUQWBACRSUJBVDVFTULVCVIEFZUQURVNVLMVBWCUSABRUMU
    QURVBUNUQURVBUOVICDTULUP $.

  $( Reversal of start and end of a finite set of sequential integers.
     (Contributed by NM, 25-Nov-2005.) $)
  fzrev2 $p |- ( ( ( M e. ZZ /\ N e. ZZ ) /\ ( J e. ZZ /\ K e. ZZ ) ) ->
         ( K e. ( M ... N ) <-> ( J - K ) e. ( ( J - N ) ... ( J - M ) ) ) ) $=
    ( cz wcel wa cmin co cfz wb simpl zsubcl jca fzrev sylan2 wceq cc zcn nncan
    syl2an adantl eleq1d bitr2d ) CEFDEFGZAEFZBEFZGZGZABHIZADHIACHIJIFZAUJHIZCD
    JIZFZBUMFUHUEUFUJEFZGUKUNKUHUFUOUFUGLABMNAUJCDOPUIULBUMUHULBQZUEUFARFBRFUPU
    GASBSABTUAUBUCUD $.

  $( Reversal of start and end of a finite set of sequential integers.
     (Contributed by NM, 25-Nov-2005.) $)
  fzrev2i $p |- ( ( J e. ZZ /\ K e. ( M ... N ) )
                 -> ( J - K ) e. ( ( J - N ) ... ( J - M ) ) ) $=
    ( cz wcel co wa cmin simpr wb elfzel1 adantl elfzel2 simpl elfzelz syl22anc
    cfz fzrev2 mpbid ) AEFZBCDRGFZHZUBABIGADIGACIGRGFZUAUBJUCCEFZDEFZUABEFZUBUD
    KUBUEUABCDLMUBUFUABCDNMUAUBOUBUGUABCDPMABCDSQT $.

  $( The "complement" of a member of a finite set of sequential integers.
     (Contributed by NM, 20-Nov-2005.) $)
  fzrev3 $p |- ( K e. ZZ -> ( K e. ( M ... N )
                <-> ( ( M + N ) - K ) e. ( M ... N ) ) ) $=
    ( cz wcel cfz co caddc cmin w3a wa simpl elfzel1 adantl elfzel2 3jca wb zcn
    cc 3adant1 wceq pncan pncan2 syl2an eleq2d 3simpc zaddcl simp1 fzrev bitr3d
    oveq12d syl12anc pm5.21nd ) ADEZABCFGZEZBCHGZAIGZUOEZUNBDEZCDEZJZUNUPKUNUTV
    AUNUPLUPUTUNABCMNUPVAUNABCONPUNUSKUNUTVAUNUSLUSUTUNURBCMNUSVAUNURBCONPVBAUQ
    CIGZUQBIGZFGZEZUPUSUTVAVFUPQUNUTVAKZVEUOAUTBSEZCSEZVEUOUAVABRCRVHVIKVCBVDCF
    BCUBBCUCUKUDUETVBVGUQDEZUNVFUSQUNUTVAUFUTVAVJUNBCUGTUNUTVAUHUQABCUIULUJUM
    $.

  $( The "complement" of a member of a finite set of sequential integers.
     (Contributed by NM, 20-Nov-2005.) $)
  fzrev3i $p |- ( K e. ( M ... N ) -> ( ( M + N ) - K ) e. ( M ... N ) ) $=
    ( cfz co wcel caddc cmin cz wb elfzelz fzrev3 syl ibi ) ABCDEZFZBCGEAHEOFZP
    AIFPQJABCKABCLMN $.

  $( Finite set of sequential integers starting at 1.  (Contributed by NM,
     31-Aug-2011.)  (Revised by Mario Carneiro, 18-Jun-2015.) $)
  fznn $p |- ( N e. ZZ
              -> ( K e. ( 1 ... N ) <-> ( K e. NN /\ K <_ N ) ) ) $=
    ( c1 cfz co wcel cn cuz cfv wa cz cle wbr elfzuzb elnnuz anbi1i bitr4i eluz
    wb nnz sylan ancoms pm5.32da syl5bb ) ACBDEFZAGFZBAHIFZJZBKFZUFABLMZJUEACHI
    FZUGJUHACBNUFUKUGAOPQUIUFUGUJUFUIUGUJSZUFAKFUIULATABRUAUBUCUD $.

  $( Membership in a 1-based finite set of sequential integers.  (Contributed
     by AV, 30-Oct-2018.)  (Proof shortened by AV, 23-Jan-2022.) $)
  elfz1b $p |- ( N e. ( 1 ... M ) <-> ( N e. NN /\ M e. NN /\ N <_ M ) ) $=
    ( c1 cfz co wcel cn cle wbr wa cz elfz2 simpl2 cr wi 1red 3ad2ant3 sylanbrc
    w3a zre 3ad2ant2 letr syl3anc imp elnnz1 sylbi elfzel2 biimpd mpcom 3anan12
    fznn wb nnz syl biimprd expd 3imp21 impbii ) BCADEFZBGFZAGFZBAHIZSZUSVAUTVB
    JZVCUSCKFZAKFZBKFZSZCBHIVBJZJZVABCALVJVFCAHIZVAVEVFVGVIMVHVIVKVHCNFBNFZANFZ
    VIVKOVHPVGVEVLVFBTQVFVEVMVGATUACBAUBUCUDAUERUFVFUSVDBCAUGVFUSVDBAUKZUHUIUTV
    AVBUJRVAUTVBUSVAUTVBUSVAUSVDVAVFUSVDULAUMVNUNUOUPUQUR $.

  $( Membership in a 1-based finite set of sequential integers with an upper
     integer.  (Contributed by AV, 23-Jan-2022.) $)
  elfz1uz $p |- ( ( N e. NN /\ M e. ( ZZ>= ` N ) ) -> N e. ( 1 ... M ) ) $=
    ( cn wcel cuz cfv wa c1 cfz co cle wbr simpl eluzle adantl eluzelz fznn syl
    cz wb mpbir2and ) BCDZABEFDZGZBHAIJDZUBBAKLZUBUCMUCUFUBBANOUDASDZUEUBUFGTUC
    UGUBBAPOBAQRUA $.

  $( Membership in a finite set of sequential integers.  (Contributed by Paul
     Chapman, 21-Mar-2011.) $)
  elfzm11 $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( K e. ( M ... ( N - 1 ) ) <->
                                         ( K e. ZZ /\ M <_ K /\ K < N ) ) ) $=
    ( cz wcel wa c1 cmin co cfz cle wbr w3a clt wb peano2zm elfz1 sylan2 3anass
    zltlem1 anbi2d expcom pm5.32d 3bitr4g adantl bitr4d ) BDEZCDEZFABCGHIZJIEZA
    DEZBAKLZAUIKLZMZUKULACNLZMZUHUGUIDEUJUNOCPABUIQRUHUPUNOUGUHUKULUOFZFUKULUMF
    ZFUPUNUHUKUQURUKUHUQUROUKUHFUOUMULACTUAUBUCUKULUOSUKULUMSUDUEUF $.

  ${
    $d k M $.  $d k N $.
    $( Express an upper integer set as the disjoint (see ~ uzdisj ) union of
       the first ` N ` values and the rest.  (Contributed by Mario Carneiro,
       24-Apr-2014.) $)
    uzsplit $p |- ( N e. ( ZZ>= ` M ) -> ( ZZ>= ` M ) =
                  ( ( M ... ( N - 1 ) ) u. ( ZZ>= ` N ) ) ) $=
      ( vk cuz cfv wcel c1 cmin co cfz wo wa cle wbr cr eluzelre syl2an eluzelz
      cz wb cun cv clt lelttric eluzle jca adantl eluzel2 elfzm11 df-3an bitrdi
      eluz w3a syl2anr mpbirand orbi12d mpbird orcomd ex wi elfzuz uztrn expcom
      a1i jaod impbid elun bitr4di eqrdv ) BADEZFZCVJABGHIZJIZBDEZUAZVKCUBZVJFZ
      VPVMFZVPVNFZKZVPVOFVKVQVTVKVQVTVKVQLZVSVRWAVSVRKBVPMNZVPBUCNZKZVKBOFVPOFW
      DVQABPAVPPBVPUDQWAVSWBVRWCVKBSFZVPSFZVSWBTVQABRZAVPRZBVPULQWAVRWFAVPMNZLZ
      WCVQWJVKVQWFWIWHAVPUEUFUGVQASFZWEVRWJWCLZTVKAVPUHWGWKWELVRWFWIWCUMWLVPABU
      IWFWIWCUJUKUNUOUPUQURUSVKVRVQVSVRVQUTVKVPAVLVAVDVSVKVQBVPAVBVCVEVFVPVMVNV
      GVHVI $.

    $( The first ` N ` elements of an upper integer set are distinct from any
       later members.  (Contributed by Mario Carneiro, 24-Apr-2014.) $)
    uzdisj $p |- ( ( M ... ( N - 1 ) ) i^i ( ZZ>= ` N ) ) = (/) $=
      ( vk c1 cmin co cfz cuz cfv cin c0 wss wceq cv wcel wbr cle syl cz zred
      clt elinel2 eluzle eluzel2 eluzelz zlem1lt syl2anc mpbid peano2zm elinel1
      wb elfzle2 lensymd pm2.21dd ssriv ss0 ax-mp ) ABDEFZGFZBHIZJZKLVAKMCVAKCN
      ZVAOZURVBUAPZVBKOVCBVBQPZVDVCVBUTOZVEVBUSUTUBZBVBUCRVCBSOZVBSOZVEVDUKVCVF
      VHVGBVBUDRZVCVFVIVGBVBUERZBVBUFUGUHVCVBURVCVBVKTVCURVCVHURSOVJBUIRTVCVBUS
      OVBURQPVBUSUTUJVBAURULRUMUNUOVAUPUQ $.
  $}

  ${
    fseq1p1m1.1 $e |- H = { <. ( N + 1 ) , B >. } $.
    $( Add/remove an item to/from the end of a finite sequence.  (Contributed
       by Paul Chapman, 17-Nov-2012.)  (Revised by Mario Carneiro,
       7-Mar-2014.) $)
    fseq1p1m1 $p |- ( N e. NN0 ->
        ( ( F : ( 1 ... N ) --> A /\ B e. A /\ G = ( F u. H ) ) <->
          ( G : ( 1 ... ( N + 1 ) ) --> A /\ ( G ` ( N + 1 ) ) = B /\
            F = ( G |` ( 1 ... N ) ) ) ) ) $=
      ( cn0 wcel c1 co wf cun wceq cfv cres csn cn c0 3syl cfz w3a caddc simpr1
      nn0p1nn adantr simpr2 cop fsng mpbiri syl2anc snssd fssd cin fzp1disj a1i
      wa fun2d cz cmin cuz simpl cc0 nn0uz 1m1e0 fveq2i eqtr4i eleqtrdi sylancr
      1z fzsuc2 eqcomd feq2d mpbid simpr3 feq1d mpbird ovex fvres ax-mp reseq1d
      snid wfn wb ffn fnresdisj uneq1d resundir uncom un0 eqtr2i 3eqtr4g 3eqtrd
      fnresdm fveq1d fveq1i fvsng eqtrid eqtrd eqtr3id incom uneq2d eqcomi 3jca
      3eqtrrd wss fzssp1 fssres sylancl nnuz eluzfz2 syl ffvelrnd fnressn opeq2
      eqeltrrd sneqd eqtr4id uneq12d reseq2d resundi eqtr2di impbida ) FHIZJFUA
      KZACLZBAIZDCEMZNZUBZJFJUCKZUAKZADLZYKDOZBNZCDYEPZNZUBZYDYJUQZYMYOYQYSYMYL
      AYHLZYSYEYKQZMZAYHLYTYSYEUUAACEYDYFYGYIUDZYSUUABQZAEYSYKRIZYGUUAUUDELZYDU
      UEYJFUEZUFZYDYFYGYIUGZUUEYGUQZUUFEYKBUHZQZNGYKBRAEUIUJUKZYSBAUUIULUMZYEUU
      AUNZSNZYSJFUOUPZURYSUUBYLAYHYSYLUUBYSJUSIZFJJUTKZVAOZIZYLUUBNZVJYSFHUUTYD
      YJVBHVCVAOUUTVDUUSVCVAVEVFVGZVHJFVKZVIVLVMVNYSYLADYHYDYFYGYIVOZVPVQYSYNYK
      DUUAPZOZBYKUUAIUVGYNNYKFJUCVRWBYKUUADVSVTYSUVGYKEOZBYSYKUVFEYSUVFYHUUAPZE
      UUAPZEYSDYHUUAUVEWAYSCUUAPZUVJMSUVJMZUVIUVJYSUVKSUVJYSUUPUVKSNZUUQYSYFCYE
      WCZUUPUVMWDUUCYEACWEZYEUUACWFTVNWGCEUUAWHUVLUVJSMUVJSUVJWIUVJWJWKWLYSUUAA
      ELEUUAWCZUVJENUUNUUAAEWEUUAEWNTWMWOYSUUEYGUVHBNUUHUUIUUJUVHYKUULOBYKEUULG
      WPYKBRAWQWRUKWSWTYSYPYHYEPZCYEPZCYSDYHYEUVEWAYSUVREYEPZMUVRSMZUVQUVRYSUVS
      SUVRYSUUAYEUNZSNZUVSSNZYSUWAUUOSUUAYEXAUUQWRYSUUFUVPUWBUWCWDUUMUUAUUDEWEU
      UAYEEWFTVNXBCEYEWHUVTUVRUVRWJXCWLYSYFUVNUVRCNUUCUVOYECWNTXEXDYDYRUQZYFYGY
      IUWDYFYEAYPLZUWDYMYEYLXFUWEYDYMYOYQUDZJFXGYLAYEDXHXIUWDYEACYPYDYMYOYQVOZV
      PVQUWDYNBAYDYMYOYQUGZUWDYLAYKDUWFUWDYKJVAOZIYKYLIZUWDYKRUWIYDUUEYRUUGUFXJ
      VHJYKXKXLZXMXPUWDYHYPUVFMZDYLPZDUWDCYPEUVFUWGUWDEUULUVFGUWDUVFYKYNUHZQZUU
      LUWDDYLWCZUWJUVFUWONUWDYMUWPUWFYLADWEZXLUWKYLYKDXNUKUWDYOUWOUULNUWHYOUWNU
      UKYNBYKXOXQXLWSXRXSUWDUWMDUUBPUWLUWDYLUUBDUWDUURUVAUVBVJUWDFHUUTYDYRVBUVC
      VHUVDVIXTDYEUUAYAYBUWDYMUWPUWMDNUWFUWQYLDWNTXEXDYC $.
  $}

  ${
    fseq1m1p1.1 $e |- H = { <. N , B >. } $.
    $( Add/remove an item to/from the end of a finite sequence.  (Contributed
       by Paul Chapman, 17-Nov-2012.) $)
    fseq1m1p1 $p |- ( N e. NN ->
        ( ( F : ( 1 ... ( N - 1 ) ) --> A /\ B e. A /\ G = ( F u. H ) ) <->
          ( G : ( 1 ... N ) --> A /\ ( G ` N ) = B /\
            F = ( G |` ( 1 ... ( N - 1 ) ) ) ) ) ) $=
      ( cn wcel c1 co cfz wf cop csn cun wceq w3a cfv cc cmin caddc cres cn0 wb
      nnm1nn0 eqid fseq1p1m1 syl nncn ax-1cn npcan sylancl opeq1d sneqd eqtr4di
      uneq2d eqeq2d 3anbi3d oveq2d feq2d fveqeq2d 3anbi12d 3bitr3d ) FHIZJFJUAK
      ZLKZACMZBAIZDCVFJUBKZBNZOZPZQZRZJVJLKZADMZVJDSBQZCDVGUCQZRZVHVIDCEPZQZRJF
      LKZADMZFDSBQZVSRVEVFUDIVOVTUEFUFABCDVLVFVLUGUHUIVEVNWBVHVIVEVMWADVEVLECVE
      VLFBNZOEVEVKWFVEVJFBVEFTIJTIVJFQFUJUKFJULUMZUNUOGUPUQURUSVEVQWDVRWEVSVEVP
      WCADVEVJFJLWGUTVAVEVJFBDWGVBVCVD $.
  $}

  ${
    $d k N $.
    $( Quantification over a one-member finite set of sequential integers in
       terms of substitution.  (Contributed by NM, 28-Nov-2005.) $)
    fz1sbc $p |- ( N e. ZZ
        -> ( A. k e. ( N ... N ) ph <-> [. N / k ]. ph ) ) $=
      ( cz wcel wsbc cv wceq wi wal cfz co wral sbc6g df-ral elfz1eq syl5ibrcom
      elfz3 eleq1 impbid2 imbi1d albidv bitr2id bitr2d ) CDEZABCFBGZCHZAIZBJZAB
      CCKLZMZABCDNUKUFUJEZAIZBJUEUIABUJOUEUMUHBUEULUGAUEULUGUFCPUEULUGCUJECRUFC
      UJSQTUAUBUCUD $.
  $}

  $( An integer is a member of a 0-based finite set of sequential integers iff
     its successor is a member of the corresponding 1-based set.  (Contributed
     by Paul Chapman, 22-Jun-2011.) $)
  elfzp1b $p |- ( ( K e. ZZ /\ N e. ZZ ) ->
                ( K e. ( 0 ... ( N - 1 ) ) <-> ( K + 1 ) e. ( 1 ... N ) ) ) $=
    ( cz wcel wa c1 caddc co cfz cc0 wb peano2z 1z fzsubel mpanl1 mpanr2 sylan2
    cmin cc wceq ancoms zcn ax-1cn pncan sylancl 1m1e0 oveq1i a1i adantr bitr2d
    eleq12d ) ACDZBCDZEAFGHZFBIHDZUNFRHZFFRHZBFRHZIHZDZAJURIHZDZUMULUOUTKZULUMU
    NCDZVCALUMVDFCDZVCMVEUMVDVEEVCMUNFFBNOPQUAULUTVBKUMULUPAUSVAULASDFSDUPATAUB
    UCAFUDUEUSVATULUQJURIUFUGUHUKUIUJ $.

  $( An integer is a member of a 1-based finite set of sequential integers iff
     its predecessor is a member of the corresponding 0-based set.
     (Contributed by Paul Chapman, 22-Jun-2011.) $)
  elfzm1b $p |- ( ( K e. ZZ /\ N e. ZZ ) ->
                ( K e. ( 1 ... N ) <-> ( K - 1 ) e. ( 0 ... ( N - 1 ) ) ) ) $=
    ( cz wcel c1 cfz co cmin wb wa 1z fzsubel mpanl1 mpanr2 1m1e0 oveq1i eleq2i
    cc0 bitrdi ancoms ) BCDZACDZAEBFGDZAEHGZRBEHGZFGZDZIUAUBJUCUDEEHGZUEFGZDZUG
    UAUBECDZUCUJIZKUKUAUBUKJULKAEEBLMNUIUFUDUHRUEFOPQST $.

  $( Options for membership in a finite interval of integers.  (Contributed by
     Jeff Madsen, 18-Jun-2010.) $)
  elfzp12 $p |- ( N e. ( ZZ>= ` M ) -> ( K e. ( M ... N ) <->
                                ( K = M \/ K e. ( ( M + 1 ) ... N ) ) ) ) $=
    ( cuz cfv wcel cfz co wceq c1 caddc wo cvv wa elex anim2i elfvex syl5ibrcom
    eleq1 imdistani jaodan csn cun fzpred eleq2d bitrdi elsng sylan9bb pm5.21nd
    elun orbi1d ) CBDEFZABCGHZFZABIZABJKHCGHZFZLZULAMFZNZUNUSULAUMOPULUOUTUQULU
    OUSULUSUOBMFCBDQABMSRTUQUSULAUPOPUAULUNABUBZFZUQLZUSURULUNAVAUPUCZFVCULUMVD
    ABCUDUEAVAUPUJUFUSVBUOUQABMUGUKUHUI $.

  $( Choices for an element of a finite interval of integers.  (Contributed by
     Jeff Madsen, 2-Sep-2009.) $)
  fzm1 $p |- ( N e. ( ZZ>= ` M ) -> ( K e. ( M ... N ) <->
                              ( K e. ( M ... ( N - 1 ) ) \/ K = N ) ) ) $=
    ( cuz wcel wceq cfz co c1 wo wb wa eleq2d adantl c0 clt wbr cz adantr mpbid
    cfv cmin wi oveq1 elfz1eq syl6bir olc syl6 noel eluzelz ltm1d breq2 eluzel2
    zred 1zzd zsubcld fzn syl2an2r mtbiri pm2.21d eluzfz2 ad2antrr eleq1 mpbird
    ex jaod impbid caddc elfzp1 cc zcnd npcan1 syl oveq2d eqeq2d orbi2d 3bitr3d
    uzm1 mpjaodan ) CBDUAZEZCBFZABCGHZEZABCIUBHZGHZEZACFZJZKWEVTEZWAWBLZWDWIWBW
    DWIUCWAWBWDWHWIWBWDACCGHZEWHWBWLWCACBCGUDMACUEUFWHWGUGUHNWKWGWDWHWKWGWDWKWG
    AOEAUIWKWFOAWKWEBPQZWFOFZWKWECPQZWMWKCWKCWACREZWBBCUJZSZUNUKWBWOWMKWACBWEPU
    LNTWABREWBWEREWMWNKBCUMWKCIWRWKUOUPBWEUQURTMUSUTWKWHWDWKWHLWDCWCEZWAWSWBWHB
    CVAVBWHWDWSKWKACWCVCNVDVEVFVGWAWJLZABWEIVHHZGHZEZWGAXAFZJZWDWIWJXCXEKWAABWE
    VINWTXBWCAWTXACBGWTCVJEXACFWTCWAWPWJWQSVKCVLVMZVNMWTXDWHWGWTXACAXFVOVPVQBCV
    RVS $.

  $( No finite set of sequential integers equals an upper set of integers.
     (Contributed by NM, 11-Dec-2005.) $)
  fzneuz $p |- ( ( N e. ( ZZ>= ` M ) /\ K e. ZZ )
               -> -. ( M ... N ) = ( ZZ>= ` K ) ) $=
    ( cuz cfv wcel cz wa cfz co wceq wn caddc peano2uz cle wbr ad2antrr nelneq2
    c1 cr eluzelre clt ltp1 peano2re ltnle mpdan mpbid syl elfzle2 nsyl syl2an2
    wb eqcom sylnib eluzfz2 sylancom pm2.61dan ) CBDEFZAGFZHZCADEZFZBCIJZVAKZLZ
    UTVBHVAVCKZVDVBCSMJZVAFUTVGVCFZLZVFLACNURVIUSVBURVGCOPZVHURCTFZVJLZBCUAVKCV
    GUBPZVLCUCVKVGTFVMVLULCUDCVGUEUFUGUHVGBCUIUJQVGVAVCRUKVAVCUMUNUTVBLZCVCFZVE
    URVOUSVNBCUOQCVCVARUPUQ $.

  $( Disjointness of the upper integers and a finite sequence.  (Contributed by
     Mario Carneiro, 30-Jun-2013.)  (Revised by Mario Carneiro,
     24-Aug-2013.) $)
  fznuz $p |- ( K e. ( M ... N ) -> -. K e. ( ZZ>= ` ( N + 1 ) ) ) $=
    ( cfz co wcel c1 caddc cuz cfv cle wbr elfzle2 clt wn cz wi elfzel2 cr zre
    eluzp1l ex syl wb elfzelz ltnle syl2an syl2anc sylibd mt2d ) ABCDEFZACGHEIJ
    FZACKLZABCMUKULCANLZUMOZUKCPFZULUNQABCRZUPULUNCAUAUBUCUKUPAPFZUNUOUDZUQABCU
    EUPCSFASFUSURCTATCAUFUGUHUIUJ $.

  $( Disjointness of the upper integers and a finite sequence.  (Contributed by
     Mario Carneiro, 24-Aug-2013.) $)
  uznfz $p |- ( K e. ( ZZ>= ` N ) -> -. K e. ( M ... ( N - 1 ) ) ) $=
    ( cuz cfv wcel c1 cmin co cfz cle wbr eluzle clt wn cz eluzel2 wi cr zre wa
    elfzel1 w3a elfzm11 simp3 syl6bi impancom mpancom syl5com wb eluzelz syl2an
    ltnle syl2anc sylibd mt2d ) ACDEFZABCGHIZJIFZCAKLZCAMUQUSACNLZUTOZUQCPFZUSV
    ACAQZBPFZUSVCVARABURUBVEVCUSVAVEVCUAUSAPFZBAKLZVAUCVAABCUDVFVGVAUEUFUGUHUIU
    QVFVCVAVBUJZCAUKVDVFASFCSFVHVCATCTACUMULUNUOUP $.

  $( One plus the upper bound of a finite set of integers is not a member of
     that set.  (Contributed by Scott Fenton, 16-Dec-2017.) $)
  fzp1nel $p |- -. ( N + 1 ) e. ( M ... N ) $=
    ( c1 caddc co cfz wcel wn cz w3a cle wbr wa wi cr zre clt ltp1 id peano2re
    ltnled mpbid syl intnand 3ad2ant2 elfz2 notbii imnan bitr4i mpbir ) BCDEZAB
    FEGZHZAIGZBIGZUKIGZJZAUKKLZUKBKLZMZHZNZUOUNVAUPUOUSURUOBOGZUSHZBPVCBUKQLVDB
    RVCBUKVCSBTUAUBUCUDUEUMUQUTMZHVBULVEUKABUFUGUQUTUHUIUJ $.

  ${
    $d j k x K $.  $d j k x M $.  $d j k x N $.  $d k x ph $.
    $( Reversal of scanning order inside of a universal quantification
       restricted to a finite set of sequential integers.  (Contributed by NM,
       25-Nov-2005.) $)
    fzrevral $p |- ( ( M e. ZZ /\ N e. ZZ /\ K e. ZZ )
     -> ( A. j e. ( M ... N ) ph
         <-> A. k e. ( ( K - N ) ... ( K - M ) ) [. ( K - k ) / j ]. ph ) ) $=
      ( cz wcel cfz co wral cv cmin wsbc wi wa wb elfzelz syl wceq simpr sylan2
      w3a fzrev anassrs mpbid rspsbc ex3 com23 ralrimdv nfv nfcv nfsbc1v nfralw
      fzrev2i oveq2 sbceq1d rspcv cc zcn nncan syl2an eqcomd sbceq1a sylibrd ex
      zcnd ralrimd 3ad2ant3 impbid ) EGHZFGHZDGHZUCZABEFIJZKZABDCLZMJZNZCDFMJZD
      EMJZIJZKZVNVPVSCWBVNVQWBHZVPVSVKVLVMWDVPVSOZVKVLPZVMPZWDPZVRVOHZWEWHWDWIW
      GWDUAWDWGVQGHZWDWIQZVQVTWARWFVMWJWKDVQEFUDUEUBUFABVRVOUGSUHUIUJVMVKWCVPOV
      LVMWCABVOVMBUKVSBCWBBWBULABVRUMUNVMBLZVOHZWCAVMWMWCAOVMWMPZWCABDDWLMJZMJZ
      NZAWNWOWBHWCWQODWLEFUOVSWQCWOWBVQWOTABVRWPVQWODMUPUQURSWNWLWPTAWQQWNWPWLV
      MDUSHWLUSHWPWLTWMDUTWMWLWLEFRVGDWLVAVBVCABWPVDSVEVFUIVHVIVJ $.

    $( Reversal of scanning order inside of a universal quantification
       restricted to a finite set of sequential integers.  (Contributed by NM,
       25-Nov-2005.) $)
    fzrevral2 $p |- ( ( M e. ZZ /\ N e. ZZ /\ K e. ZZ )
        -> ( A. j e. ( ( K - N ) ... ( K - M ) ) ph
             <-> A. k e. ( M ... N ) [. ( K - k ) / j ]. ph ) ) $=
      ( cz wcel cmin co cfz wral wb w3a zsubcl 3adant2 3adant3 cc wceq zcn wsbc
      cv simp1 fzrevral syl3anc nncan oveq12d syl3an raleqdv bitrd 3coml ) DGHZ
      EGHZFGHZABDFIJZDEIJZKJLZABDCUBIJUAZCEFKJZLZMULUMUNNZUQURCDUPIJZDUOIJZKJZL
      ZUTVAUOGHZUPGHZULUQVEMULUNVFUMDFOPULUMVGUNDEOQULUMUNUCABCDUOUPUDUEVAURCVD
      USULDRHZUMERHZUNFRHZVDUSSDTETFTVHVIVJNVBEVCFKVHVIVBESVJDEUFQVHVJVCFSVIDFU
      FPUGUHUIUJUK $.

    $( Reversal of scanning order inside of a universal quantification
       restricted to a finite set of sequential integers.  (Contributed by NM,
       20-Nov-2005.) $)
    fzrevral3 $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( A. j e. ( M ... N ) ph
              <-> A. k e. ( M ... N ) [. ( ( M + N ) - k ) / j ]. ph ) ) $=
      ( cz wcel wa cfz co wral caddc cv cmin wsbc wb zaddcl fzrevral cc zcn
      mpd3an3 wceq pncan pncan2 oveq12d syl2an raleqdv bitrd ) DFGZEFGZHZABDEIJ
      ZKZABDELJZCMNJOZCUNENJZUNDNJZIJZKZUOCULKUIUJUNFGUMUSPDEQABCUNDERUAUKUOCUR
      ULUIDSGZESGZURULUBUJDTETUTVAHUPDUQEIDEUCDEUDUEUFUGUH $.

    $( Shift the scanning order inside of a universal quantification restricted
       to a finite set of sequential integers.  (Contributed by NM,
       27-Nov-2005.) $)
    fzshftral $p |- ( ( M e. ZZ /\ N e. ZZ /\ K e. ZZ )
        -> ( A. j e. ( M ... N ) ph
          <-> A. k e. ( ( M + K ) ... ( N + K ) ) [. ( k - K ) / j ]. ph ) ) $=
      ( vx cz wcel cfz co wral cc0 cmin wsbc caddc wb cc wceq wa cv 0z fzrevral
      w3a mp3an3 3adant3 zsubcl mpan id syl3an 3com12 ovex oveq2 sbcco3gw ax-mp
      cvv ralbii cneg df-neg oveq2i subneg addcom eqtrd eqtr3id 3adant2 oveq12d
      zcn 3coml raleqdv elfzelz zcnd negsubdi2 syl2an sbceq1d ralbidva 3ad2ant3
      bitrd syl5bb 3bitrd ) EHIZFHIZDHIZUDZABEFJKLZABMGUAZNKZOZGMFNKZMENKZJKLZW
      GGDCUAZNKZOZCDWINKZDWHNKZJKZLZABWKDNKZOZCEDPKZFDPKZJKZLZVTWAWDWJQZWBVTWAM
      HIZXDUBABGMEFUCUEUFWAVTWBWJWQQZWAWHHIZVTWIHIZWBWBXFXEWAXGUBMFUGUHXEVTXHUB
      MEUGUHWBUIWGGCDWHWIUCUJUKWQABMWLNKZOZCWPLZWCXCWMXJCWPWLUPIWMXJQDWKNULAGBW
      LWFXIUPWEWLMNUMUNUOUQWCXKXJCXBLZXCWCXJCWPXBVTERIZWAFRIZWBDRIZWPXBSZEVGFVG
      DVGZXOXMXNXPXOXMXNUDWNWTWOXAJXOXMWNWTSXNXOXMTZWNDEURZNKZWTXSWIDNEUSUTXRXT
      DEPKWTDEVADEVBVCVDUFXOXNWOXASXMXOXNTZWODFURZNKZXAYBWHDNFUSUTYAYCDFPKXADFV
      ADFVBVCVDVEVFVHUJVIWBVTXLXCQWAWBXJWSCXBWBWKXBIZTABXIWRWBXOWKRIZXIWRSYDXQY
      DWKWKWTXAVJVKXOYETXIWLURWRWLUSDWKVLVDVMVNVOVPVQVRVS $.
  $}

  $( Membership of an integer greater than 1 decreased by 1 in a 1-based finite
     set of sequential integers.  (Contributed by Alexander van der Vekens,
     14-Sep-2018.) $)
  ige2m1fz1 $p |- ( N e. ( ZZ>= ` 2 ) -> ( N - 1 ) e. ( 1 ... N ) ) $=
    ( c2 cuz cfv wcel c1 cmin co cfz wceq 1e2m1 a1i oveq2d 2nn uzsubsubfz1 mpan
    cn eqeltrd ) ABCDEZAFGHABFGHZGHZFAIHZSFTAGFTJSKLMBQESUAUBENBAOPR $.

  $( Membership in a 0-based finite set of sequential integers.  (Contributed
     by Alexander van der Vekens, 18-Jun-2018.)  (Proof shortened by Alexander
     van der Vekens, 15-Sep-2018.) $)
  ige2m1fz $p |- ( ( N e. NN0 /\ 2 <_ N ) -> ( N - 1 ) e. ( 0 ... N ) ) $=
    ( cn0 wcel c2 cle wbr wa c1 cfz co cc0 cmin cuz cfv 1eluzge0 fzss1 ax-mp cz
    wss 2z a1i nn0z adantr simpr eluz2 syl3anbrc ige2m1fz1 syl sselid ) ABCZDAE
    FZGZHAIJZKAIJZAHLJZHKMNCUMUNSOHKAPQULADMNCZUOUMCULDRCZARCZUKUPUQULTUAUJURUK
    AUBUCUJUKUDDAUEUFAUGUHUI $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Finite intervals of nonnegative integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Finite intervals of nonnegative integers (or "finite sets of sequential
  nonnegative integers") are finite intervals of integers with 0 as lower
  bound: ` ( 0 ... N ) `, usually abbreviated by "fz0".

$)

  $( Membership in a finite set of sequential nonnegative integers.
     (Contributed by NM, 16-Sep-2005.)  (Revised by Mario Carneiro,
     28-Apr-2015.) $)
  elfz2nn0 $p |- ( K e. ( 0 ... N ) <-> ( K e. NN0 /\ N e. NN0 /\ K <_ N ) ) $=
    ( cc0 cuz cfv wcel cn0 cle wbr cfz w3a elnn0uz anbi1i eluznn0 eluzle adantl
    wa co cz nn0z jca wb eluz syl2an biimprd impr impbida pm5.32i bitr3i 3anass
    elfzuzb 3bitr4i ) ACDEFZBADEFZQZAGFZBGFZABHIZQZQZACBJRFUPUQURKUOUPUNQZUTUPU
    MUNALMUPUNUSUPUNUSVAUQURBANUNURUPABOPUAUPUQURUNUPUQQUNURUPASFBSFUNURUBUQATB
    TABUCUDUEUFUGUHUIACBUKUPUQURUJUL $.

  $( Characterization of a finite set of sequential nonnegative integers.
     (Contributed by NM, 1-Aug-2005.) $)
  fznn0 $p |- ( N e. NN0
                -> ( K e. ( 0 ... N ) <-> ( K e. NN0 /\ K <_ N ) ) ) $=
    ( cn0 wcel cc0 cfz co cz cle wbr w3a wa wb nn0z elfz1 sylancr df-3an elnn0z
    0z anbi1i bitr4i bitrdi ) BCDZAEBFGDZAHDZEAIJZABIJZKZACDZUGLZUCEHDBHDUDUHMS
    BNAEBOPUHUEUFLZUGLUJUEUFUGQUIUKUGARTUAUB $.

  $( A member of a finite set of sequential nonnegative integers is a
     nonnegative integer.  (Contributed by NM, 5-Aug-2005.)  (Revised by Mario
     Carneiro, 28-Apr-2015.) $)
  elfznn0 $p |- ( K e. ( 0 ... N ) -> K e. NN0 ) $=
    ( cc0 cfz co wcel cn0 cle wbr elfz2nn0 simp1bi ) ACBDEFAGFBGFABHIABJK $.

  $( The upper bound of a nonempty finite set of sequential nonnegative
     integers is a nonnegative integer.  (Contributed by NM, 16-Sep-2005.)
     (Revised by Mario Carneiro, 28-Apr-2015.) $)
  elfz3nn0 $p |- ( K e. ( 0 ... N ) -> N e. NN0 ) $=
    ( cc0 cfz co wcel cn0 cle wbr elfz2nn0 simp2bi ) ACBDEFAGFBGFABHIABJK $.

  ${
    $d k N $.
    $( Finite sets of sequential nonnegative integers starting with 0 are
       subsets of NN0.  (Contributed by JJ, 1-Jun-2021.) $)
    fz0ssnn0 $p |- ( 0 ... N ) C_ NN0 $=
      ( vk cc0 cfz co cn0 cv elfznn0 ssriv ) BCADEFBGAHI $.
  $}

  $( Subset relationship for finite sets of sequential integers.  (Contributed
     by Glauco Siliprandi, 5-Apr-2020.) $)
  fz1ssfz0 $p |- ( 1 ... N ) C_ ( 0 ... N ) $=
    ( c1 cfz co cc0 caddc 1e0p1 oveq1i cz wcel wss 0z fzp1ss ax-mp eqsstri ) BA
    CDEBFDZACDZEACDZBPACGHEIJQRKLEAMNO $.

  $( 0 is an element of a finite set of sequential nonnegative integers with a
     nonnegative integer as upper bound.  (Contributed by AV, 6-Apr-2018.) $)
  0elfz $p |- ( N e. NN0 -> 0 e. ( 0 ... N ) ) $=
    ( cn0 wcel cc0 cle wbr cfz co 0nn0 a1i id nn0ge0 elfz2nn0 syl3anbrc ) ABCZD
    BCZODAEFDDAGHCPOIJOKALDAMN $.

  $( A nonnegative integer is always part of the finite set of sequential
     nonnegative integers with this integer as upper bound.  (Contributed by
     Scott Fenton, 21-Mar-2018.) $)
  nn0fz0 $p |- ( N e. NN0 <-> N e. ( 0 ... N ) ) $=
    ( cn0 wcel cc0 cfz co cle wbr nn0re leidd fznn0 mpbir2and elfz3nn0 impbii
    id ) ABCZADAEFCZPQPAAGHPOPAAIJAAKLAAMN $.

  $( An element of a finite set of sequential nonnegative integers is an
     element of an extended finite set of sequential nonnegative integers.
     (Contributed by Alexander van der Vekens, 28-Mar-2018.)  (Proof shortened
     by OpenAI, 25-Mar-2020.) $)
  elfz0add $p |- ( ( A e. NN0 /\ B e. NN0 )
                   -> ( N e. ( 0 ... A ) -> N e. ( 0 ... ( A + B ) ) ) ) $=
    ( cn0 wcel wa cc0 cfz co caddc cuz cfv wss cz nn0z uzid uzaddcl sylan fzss2
    syl sseld ) ADEZBDEZFZGAHIZGABJIZHIZCUDUFAKLZEZUEUGMUBAUHEZUCUIUBANEUJAOAPT
    BAAQRAGUFSTUA $.

  $( An integer range from 0 to 0 is a singleton.  (Contributed by AV,
     18-Apr-2021.) $)
  fz0sn $p |- ( 0 ... 0 ) = { 0 } $=
    ( cc0 cz wcel cfz co csn wceq 0z fzsn ax-mp ) ABCAADEAFGHAIJ $.

  $( An integer range from 0 to 2 is an unordered triple.  (Contributed by
     Alexander van der Vekens, 1-Feb-2018.) $)
  fz0tp $p |- ( 0 ... 2 ) = { 0 , 1 , 2 } $=
    ( cc0 c2 cfz co caddc c1 ctp 2cn addid2i eqcomi oveq2i cz wcel wceq 0z fztp
    ax-mp eqid id a1i 0p1e1 tpeq123d 3eqtri ) ABCDAABEDZCDZAAFEDZUDGZAFBGZBUDAC
    UDBBHIZJKALMUEUGNOAPQAANZUGUHNARUJAAUFFUDBUJSUFFNUJUATUDBNUJUITUBQUC $.

  $( An integer range from 0 to 3 is the union of two unordered pairs.
     (Contributed by AV, 7-Feb-2021.) $)
  fz0to3un2pr $p |- ( 0 ... 3 ) = ( { 0 , 1 } u. { 2 , 3 } ) $=
    ( cc0 c3 cfz co c1 caddc cun cpr c2 wcel wceq cn0 cle wbr 1nn0 ax-mp preq2i
    cz fzpr 3eqtri 3nn0 1le3 elfz2nn0 mpbir3an fzsplit 1e0p1 oveq2i 0p1e1 1p1e2
    0z df-3 oveq12i 2z 2p1e3 uneq12i eqtri ) ABCDZAECDZEEFDZBCDZGZAEHZIBHZGEUQJ
    ZUQVAKVDELJBLJEBMNOUAUBEBUCUDEABUEPURVBUTVCURAAEFDZCDZAVEHZVBEVEACUFUGARJVF
    VGKUJASPVEEAUHQTUTIIEFDZCDZIVHHZVCUSIBVHCUIUKULIRJVIVJKUMISPVHBIUNQTUOUP $.

  $( An integer range from 0 to 4 is the union of a triple and a pair.
     (Contributed by Alexander van der Vekens, 13-Aug-2017.) $)
  fz0to4untppr $p |- ( 0 ... 4 ) = ( { 0 , 1 , 2 } u. { 3 , 4 } ) $=
    ( cc0 c4 cfz co c2 caddc c1 c3 cuz cfv wcel wceq eqtri cz cle wbr 3z ltleii
    eluz1i ax-mp cun ctp cpr df-3 2cn addid2i eqcomi oveq1i 0re 3re 0z mpbir2an
    3pos eqeltrri 4z 2re 4re 2lt4 2z fveq2i eleqtri fzsplit2 mp2an ax-1cn eqidd
    fztp cc addid2 tpeq123d oveq1d eqtr4di wa eqid df-4 pm3.2i wb fzopth sylibr
    a1i 3lt4 fzpr eqtrd preq2i eqtrdi uneq12i ) ABCDZAAEFDZCDZWGGFDZBCDZUAZAGEU
    BZHBUCZUAWIAIJZKBWGIJZKWFWKLHWIWNHEGFDZWIUDEWGGFWGEEUEUFZUGZUHMHWNKHNKZAHOP
    QAHUIUJUMRAHUKSULUNBEIJZWOBWTKBNKZEBOPUOEBUPUQURREBUSSULEWGIWRUTVAWGABVBVCW
    HWLWJWMWHAAGFDZWGUBZWLANKWHXCLUKAVFTGVGKZXCWLLVDXDAAXBGWGEXDAVEGVHWGELZXDWQ
    VSVITMWSWJWMLQWSWJHBCDZWMWSWIHBCWSWIWPHWSWGEGFXEWSWQVSVJUDVKVJWSXFHHGFDZUCZ
    WMWSXFHXGCDZXHWSHHLZBXGLZVLZXFXILZXLWSXJXKHVMVNVOVSBHIJKZXMXLVPXNXAHBOPUOHB
    UJUQVTRHBQSULHXGHBVQTVRHWAWBXGBHBXGVNUGWCWDWBTWEM $.

  $( An element of a finite set of sequential nonnegative integers is an
     element of a finite set of sequential nonnegative integers with the upper
     bound being an element of the finite set of sequential nonnegative
     integers with the same lower bound as for the first interval and the
     element under consideration as upper bound.  (Contributed by Alexander van
     der Vekens, 3-Apr-2018.) $)
  elfz0ubfz0 $p |- ( ( K e. ( 0 ... N ) /\ L e. ( K ... N ) )
                     -> K e. ( 0 ... L ) ) $=
    ( cc0 cfz co wa cn0 cle wbr w3a wi elfz2nn0 cz elfz2 elnn0z sylbi com12 imp
    wcel simpr1 simpr 0z zletr mp3an1 simplbi2 sylsyld impancom adantr 3ad2ant3
    expd com13 3ad2ant1 impcom simplrl 3jca ex sylibr ) ADCEFTZBACEFTZGAHTZBHTZ
    ABIJZKZADBEFTUSUTVDUSVACHTZACIJZKZUTVDLACMUTVGVDUTANTZCNTZBNTZKZVCBCIJZGZGZ
    VGVDLBACOVNVGVDVNVGGVAVBVCVNVAVEVFUAVGVNVBVAVEVNVBLVFVNVAVBVKVMVAVBLZVJVHVM
    VOLVIVMVJVOVCVJVOLVLVAVJVCVBVAVHDAIJZGVJVCVBLZLAPVHVJVPVQVHVJGZVPVCVBVRVJVP
    VCGZDBIJZVBVHVJUBDNTVHVJVSVTLUCDABUDUEVBVJVTBPUFUGUKUHQULUIRUJSRUMUNVKVCVLV
    GUOUPUQQRQSABMUR $.

  $( A member of a finite set of sequential nonnegative integers is a member of
     a finite set of sequential nonnegative integers with a member of a finite
     set of sequential nonnegative integers starting at the upper bound of the
     first interval.  (Contributed by Alexander van der Vekens,
     27-May-2018.) $)
  elfz0fzfz0 $p |- ( ( M e. ( 0 ... L ) /\ N e. ( L ... X ) )
                     -> M e. ( 0 ... N ) ) $=
    ( cc0 cfz co wcel wa cn0 cle wbr w3a wi elfz2nn0 cz cr adantr imp sylbi zre
    elfz2 nn0re 3anim123i 3expa letr syl simplll simpr elnn0z 0red adantl exp4b
    syl3anc com23 sylanbrc 3jca ex syld 3impia com13 com12 3ad2ant3 sylibr ) BE
    AFGHZCADFGHZIBJHZCJHZBCKLZMZBECFGHVEVFVJVEVGAJHZBAKLZMZVFVJNBAOVFVMVJVFAPHZ
    DPHZCPHZMZACKLZCDKLZIZIVMVJNZCADUBVQVTWAVPVNVTWANVOVTVPWAVRVPWANVSVMVPVRVJV
    GVKVLVPVRVJNZNVGVKIZVPVLWBWCVPVLVRVJWCVPIZVLVRIZVIVJWDBQHZAQHZCQHZMZWEVINVG
    VKVPWIVGWFVKWGVPWHBUCAUCCUAZUDUEBACUFUGWDVIVJWDVIIZVGVHVIVGVKVPVIUHWKVPECKL
    ZVHWDVPVIWCVPUIRWDVIWLWCVPVIWLNZVGVPWMNZVKVGBPHZEBKLZIWNBUJWOWPWNWOVPWPWMWO
    VPWPVIWLWOVPIZEQHWFWHWPVIIWLNWQUKWOWFVPBUARVPWHWOWJULEBCUFUNUMUOSTRSSCUJUPW
    DVIUIUQURUSUMUOUTVARVBVCSTVBTSBCOVD $.

  $( If a member of a finite set of sequential integers with a lower bound
     being a member of a finite set of sequential nonnegative integers with the
     same upper bound, this member is also a member of the finite set of
     sequential nonnegative integers.  (Contributed by Alexander van der
     Vekens, 21-Apr-2018.) $)
  fz0fzelfz0 $p |- ( ( N e. ( 0 ... R ) /\ M e. ( N ... R ) )
                     -> M e. ( 0 ... R ) ) $=
    ( cc0 cfz co wcel wa cn0 cle wbr w3a wi elfz2nn0 cz adantr 3jca imp sylbi
    cr elfz2 simplr 0red nn0re zre adantl nn0ge0 anim1i letr elnn0z exp31 com23
    sylc sylanbrc 3ad2ant1 com13 adantrd 3ad2ant3 simpr2 simplrr com12 sylibr
    ex ) CDAEFZGZBCAEFGZHBIGZAIGZBAJKZLZBVDGVEVFVJVECIGZVHCAJKZLZVFVJMCANVFVMVJ
    VFCOGZAOGZBOGZLZCBJKZVIHZHZVMVJMBCAUAVTVMVJVTVMHVGVHVIVTVMVGVQVSVMVGMZVPVNV
    SWAMVOVPVRWAVIVMVRVPVGVKVHVRVPVGMMVLVKVPVRVGVKVPVRVGVKVPHZVRHZVPDBJKZVGVKVP
    VRUBWCDTGZCTGZBTGZLZDCJKZVRHWDWBWHVRWBWEWFWGWBUCVKWFVPCUDPVPWGVKBUEUFQPWBWI
    VRVKWIVPCUGPUHDCBUIUMBUJUNUKULUOUPUQURRRVTVKVHVLUSVQVRVIVMUTQVCSVASRBANVB
    $.

  $( Subtraction closure for a member of a finite set of sequential nonnegative
     integers.  (Contributed by NM, 26-Sep-2005.)  (Revised by Mario Carneiro,
     28-Apr-2015.) $)
  fznn0sub2 $p |- ( K e. ( 0 ... N ) -> ( N - K ) e. ( 0 ... N ) ) $=
    ( cc0 cfz co wcel cmin cle wbr elfzle1 cz wb elfzel2 elfzelz cr zre subge02
    syl2an syl2anc mpbid cuz cfv cn0 fznn0sub nn0uz eleqtrdi elfz5 mpbird ) ACB
    DEZFZBAGEZUIFZUKBHIZUJCAHIZUMACBJUJBKFZAKFZUNUMLZACBMZACBNUOBOFAOFUQUPBPAPB
    AQRSTUJUKCUAUBZFUOULUMLUJUKUCUSACBUDUEUFURUKCBUGSUH $.

  $( Membership of an integer greater than L decreased by L in a finite set of
     sequential nonnegative integers.  (Contributed by Alexander van der
     Vekens, 16-Sep-2018.) $)
  uzsubfz0 $p |- ( ( L e. NN0 /\ N e. ( ZZ>= ` L ) )
                   -> ( N - L ) e. ( 0 ... N ) ) $=
    ( cn0 wcel cuz cfv wa cc0 cfz co cmin cle wbr simpl eluznn0 eluzle elfz2nn0
    adantl syl3anbrc fznn0sub2 syl ) ACDZBAEFDZGZAHBIJZDZBAKJUEDUDUBBCDABLMZUFU
    BUCNBAOUCUGUBABPRABQSABTUA $.

  $( The difference of an integer in a finite set of sequential nonnegative
     integers and and an integer of a finite set of sequential integers with
     the same upper bound and the nonnegative integer as lower bound is a
     member of the finite set of sequential nonnegative integers.  (Contributed
     by Alexander van der Vekens, 6-Jun-2018.) $)
  fz0fzdiffz0 $p |- ( ( M e. ( 0 ... N ) /\ K e. ( M ... N ) )
                      -> ( K - M ) e. ( 0 ... N ) ) $=
    ( cc0 cfz co wcel wa cn0 cle wbr w3a adantl wb elfznn0 adantr mpbid wi cz
    cr cmin fz0fzelfz0 elfzle1 nn0sub syl2anr elfz3nn0 elfz2 zsubcl zred ancoms
    elfz2nn0 3adant2 zre 3ad2ant3 3ad2ant2 3jca nn0ge0 nn0re syl2an anim1i letr
    subge02 sylc exp31 a1i com14 impcom sylbi com13 3adant3 imp mpancom sylibr
    ) BDCEFZGZABCEFGZHZABUAFZIGZCIGZVRCJKZLZVRVNGAVNGZVQWBCABUBWCVQHZVSVTWAWDBA
    JKZVSVQWEWCVPWEVOABCUCMMVQBIGZAIGWEVSNWCVOWFVPBCOPACOBAUDUEQWCVTVQACUFPVQWA
    WCVOVPWAVOWFVTBCJKZLVPWARZBCUKWFVTWHWGVTWFWHVPWFVTWAVPBSGZCSGZASGZLZWEACJKZ
    HZHWFVTWARRZABCUGWNWLWOWMWLWORWEVTWLWFWMWAWLWFWMWARRRVTWLWFWMWAWLWFHZWMHVRT
    GZATGZCTGZLZVRAJKZWMHWAWPWTWMWLWTWFWLWQWRWSWIWKWQWJWKWIWQWKWIHVRABUHUIUJULW
    KWIWRWJAUMUNZWJWIWSWKCUMUOUPPPWPXAWMWPDBJKZXAWFXCWLBUQMWLWRBTGXCXANWFXBBURA
    BVBUSQUTVRACVAVCVDVEVFMVGVHVIVGVJVHVKMUPVLVRCUKVM $.

  $( Subtracting the lower bound of a finite set of sequential integers from an
     element of this set.  (Contributed by Alexander van der Vekens,
     29-Mar-2018.)  (Proof shortened by OpenAI, 25-Mar-2020.) $)
  elfzmlbm $p |- ( K e. ( M ... N ) -> ( K - M ) e. ( 0 ... ( N - M ) ) ) $=
    ( cfz wcel cmin cn0 cle wbr cc0 cuz cfv elfzuz uznn0sub syl elfzuz2 elfzelz
    co zred elfzel2 elfzel1 elfzle2 lesub1dd elfz2nn0 syl3anbrc ) ABCDREZABFRZG
    EZCBFRZGEZUGUIHIUGJUIDREUFABKLZEUHABCMBANOUFCUKEUJABCPBCNOUFACBUFAABCQSUFCA
    BCTSUFBABCUASABCUBUCUGUIUDUE $.

  $( Subtracting the lower bound of a finite set of sequential integers from an
     element of this set.  (Contributed by Alexander van der Vekens,
     29-Mar-2018.) $)
  elfzmlbp $p |- ( ( N e. ZZ /\ K e. ( M ... ( M + N ) ) )
                   -> ( K - M ) e. ( 0 ... N ) ) $=
    ( cz wcel co cfz wa cn0 cle wbr w3a cc0 wi wb adantr cr zre adantl imp cmin
    caddc elfz2 znn0sub biimpcd impcom zaddcl adantlr zred letr syl3anc addge01
    syl2an elnn0z simplbi2 sylbird syld df-3an bitr3i 3anim123i sylbi lesubadd2
    3ancoma syl biimprcd 3jca exp31 com23 3adant2 com12 syl5bi elfz2nn0 sylibr
    ) CDEZABBCUBFZGFEZHABUAFZIEZCIEZVQCJKZLZVQMCGFEVNVPWAVPBDEZVODEZADEZLZBAJKZ
    AVOJKZHZHZVNWAABVOUCWIVNWAWEWHVNWANZWBWDWHWJNWCWBWDHZVNWHWAWKVNWHWAWKVNHZWH
    HVRVSVTWHWLVRWFWLVRNWGWLWFVRWKWFVROVNBAUDPUEPUFWLWHVSWLWHBVOJKZVSWLBQEZAQEZ
    VOQEWHWMNWKWNVNWBWNWDBRZPZPWKWOVNWDWOWBARZSPWLVOWBVNWCWDBCUGUHUIBAVOUJUKWLW
    MMCJKZVSWKWNCQEZWSWMOVNWQCRZBCULUMVNWSVSNWKVSVNWSCUNUOSUPUQTWHWLVTWGWLVTNWF
    WLVTWGWLWOWNWTLZVTWGOWLWDWBVNLZXBWLWBWDVNLXCWBWDVNURWBWDVNVCUSWDWOWBWNVNWTW
    RWPXAUTVAABCVBVDVESUFVFVGVHVITVJVKTVQCVLVM $.

  $( Lemma for theorems about the central binomial coefficient.  (Contributed
     by Mario Carneiro, 8-Mar-2014.)  (Revised by Mario Carneiro,
     2-Aug-2014.) $)
  fzctr $p |- ( N e. NN0 -> N e. ( 0 ... ( 2 x. N ) ) ) $=
    ( cn0 wcel cc0 c2 cmul co cfz cle wbr nn0ge0 caddc cr nn0re nn0addge1 nn0cn
    mpancom 2timesd breqtrrd cz wa wb nn0z 0zd 2z zmulcl sylancr elfz mpbir2and
    syl3anc ) ABCZADEAFGZHGCZDAIJZAULIJZAKUKAAALGZULIAMCUKAUPIJANAAOQUKAAPRSUKA
    TCZDTCULTCZUMUNUOUAUBAUCZUKUDUKETCUQURUEUSEAUFUGADULUHUJUI $.

  $( The difference of two integers from a finite set of sequential nonnegative
     integers is also element of this finite set of sequential integers.
     (Contributed by Alexander van der Vekens, 12-Jun-2018.) $)
  difelfzle $p |- ( ( K e. ( 0 ... N ) /\ M e. ( 0 ... N ) /\ K <_ M )
                   -> ( M - K ) e. ( 0 ... N ) ) $=
    ( cc0 co wcel cle wbr w3a cn0 cz wa wi elfznn0 nn0z syl2anr adantr cr nn0re
    wb cfz cmin zsubcl subge0 biimpar jca exp31 syl2im elnn0z elfz3nn0 3ad2ant1
    3imp sylibr elfz2nn0 resubcl syl2an 3ad2ant2 nn0ge0 adantl subge02 mpbid ex
    simpl3 letrd sylbi syl5com a1dd syl3anbrc ) ADCUAEZFZBVIFZABGHZIZBAUBEZJFZC
    JFZVNCGHZVNVIFVMVNKFZDVNGHZLZVOVJVKVLVTVJAJFZVKBJFZVLVTMACNZBCNWAWBVLVTWAWB
    LZVLLVRVSWDVRVLWBBKFAKFVRWABOAOBAUCPQWDVSVLWBBRFZARFZVSVLTWABSZASZBAUDPUEUF
    UGUHULVNUIUMVJVKVPVLACUJUKVJVKVLVQVJVKVQVLVJWAVKVQWCVKWBVPBCGHZIZWAVQMBCUNW
    JWAVQWJWALZVNBCWJWEWFVNRFWAWBVPWEWIWGUKZWHBAUOUPWJWEWAWLQWJCRFZWAVPWBWMWICS
    UQQWKDAGHZVNBGHZWAWNWJAURUSWJWEWFWNWOTWAWLWHBAUTUPVAWBVPWIWAVCVDVBVEVFVGULV
    NCUNVH $.

  $( The difference of two integers from a finite set of sequential nonnegative
     integers increased by the upper bound is also element of this finite set
     of sequential integers.  (Contributed by Alexander van der Vekens,
     12-Jun-2018.) $)
  difelfznle $p |- ( ( K e. ( 0 ... N ) /\ M e. ( 0 ... N ) /\ -. K <_ M )
                   -> ( ( M + N ) - K ) e. ( 0 ... N ) ) $=
    ( cc0 co wcel cle wbr w3a caddc cn0 cz elfz2nn0 wa 3adant3 sylbi cr zred wb
    syl wn cmin nn0addcl nn0zd elfzelz zsubcl syl2anr adantr elfzel2 nn0readdcl
    cfz adantl elfzle2 elfzle1 nn0re anim12ci addge02 anim12i letr imp syl31anc
    mpbid zre readdcl sylan subge0 mpbird elnn0z sylanbrc elfz3nn0 3ad2ant1 clt
    wi ltnle ancoms ltle sylbird syl2an 3impia leadd1d lesubadd2d syl3anbrc ) A
    DCUKEZFZBWCFZABGHUAZIZBCJEZAUBEZKFZCKFZWICGHZWIWCFWGWILFZDWIGHZWJWDWEWMWFWE
    WHLFZALFZWMWDWEBKFZWKBCGHZIZWOBCMZWQWKWOWRWQWKNWHBCUCUDOPADCUEZWHAUFUGOWGWN
    AWHGHZWDWEXBWFWDWENZAQFZCQFZWHQFZACGHZCWHGHZNZXBWDXDWEWDAXARUHZWDXEWEWDCADC
    UIRUHZWEXFWDWEWSXFWTWQWKXFWRBCUJOPULZWDXGWEXHADCUMWEDBGHZXHBDCUNWEXEBQFZNZX
    MXHSWEWSXOWTWQWKXOWRWQXNWKXEBUOZCUOZUPOPCBUQTVBURXDXEXFIXIXBACWHUSUTVAOWGXF
    XDNZWNXBSWDWEXRWFWDWPWEXRXAWPXDWEXFAVCZWEXNXENZXFWEWSXTWTWQWKXTWRWQXNWKXEXP
    XQUROPBCVDTUPVEOWHAVFTVGWIVHVIWDWEWKWFACVJVKWGWLWHACJEGHZWGBAGHZYAWDWEWFYBW
    DWPBLFZWFYBVMZWEXABDCUEZWPXDXNYDYCXSBVCXDXNNWFBAVLHZYBXNXDYFWFSBAVNVOXNXDYF
    YBVMBAVPVOVQVRVRVSWDWEYBYASWFXCBACWEXNWDWEBYERULXJXKVTOVBWDWEWLYASWFXCWHACX
    LXJXKWAOVGWICMWB $.

  $( Express the set of nonnegative integers as the disjoint (see ~ nn0disj )
     union of the first ` N + 1 ` values and the rest.  (Contributed by AV,
     8-Nov-2019.) $)
  nn0split $p |- ( N e. NN0
                   -> NN0 = ( ( 0 ... N ) u. ( ZZ>= ` ( N + 1 ) ) ) ) $=
    ( cn0 wcel cc0 cuz cfv c1 caddc co cmin cfz cun wceq a1i peano2nn0 eleqtrdi
    nn0uz uzsplit syl cc nn0cn pncan1 oveq2d uneq1d 3eqtrd ) ABCZBDEFZDAGHIZGJI
    ZKIZUHEFZLZDAKIZUKLBUGMUFQNUFUHUGCUGULMUFUHBUGAOQPDUHRSUFUJUMUKUFUIADKUFATC
    UIAMAUAAUBSUCUDUE $.

  ${
    $d N k $.
    $( The first ` N + 1 ` elements of the set of nonnegative integers are
       distinct from any later members.  (Contributed by AV, 8-Nov-2019.) $)
    nn0disj $p |- ( ( 0 ... N ) i^i ( ZZ>= ` ( N + 1 ) ) ) = (/) $=
      ( vk cc0 cfz co c1 caddc cuz cfv c0 wceq wcel clt wbr cle syl cz mpbid wn
      zred cin wss cv elinel2 eluzle wb eluzel2 eluzelz zlem1lt syl2anc elinel1
      cmin elfzle2 elin elfzel2 adantr sylbi lenltd pncan1 eqcomd breq1d notbid
      wa cc zcnd bitrd pm2.21dd ssriv ss0 ax-mp ) CADEZAFGEZHIZUAZJUBVNJKBVNJBU
      CZVNLZVLFULEZVOMNZVOJLVPVLVOONZVRVPVOVMLZVSVOVKVMUDZVLVOUEPVPVLQLZVOQLZVS
      VRUFVPVTWBWAVLVOUGPVPVTWCWAVLVOUHPZVLVOUIUJRVPVOAONZVRSZVPVOVKLZWEVOVKVMU
      KVOCAUMPVPWEAVOMNZSWFVPVOAVPVOWDTVPAVPWGVTVCAQLZVOVKVMUNWGWIVTVOCAUOUPUQZ
      TURVPWHVRVPAVQVOMVPVQAVPAVDLVQAKVPAWJVEAUSPUTVAVBVFRVGVHVNVIVJ $.
  $}

  $( A finite set of sequential nonnegative integers is the union of the
     singleton containing 0 and a finite set of sequential positive integers.
     (Contributed by AV, 20-Mar-2021.) $)
  fz0sn0fz1 $p |- ( N e. NN0 -> ( 0 ... N ) = ( { 0 } u. ( 1 ... N ) ) ) $=
    ( cn0 wcel cc0 cfz co cun csn wceq 0elfz caddc fzsplit oveq1i uneq2i eqtrdi
    c1 0p1e1 syl cz 0z fzsn mp1i uneq1d eqtrd ) ABCZDAEFZDDEFZPAEFZGZDHZUHGUEDU
    FCZUFUIIAJUKUFUGDPKFZAEFZGUIDDALUMUHUGULPAEQMNORUEUGUJUHDSCUGUJIUETDUAUBUCU
    D $.

  $( The function value of a function from a finite interval of nonnegative
     integers.  (Contributed by AV, 13-Feb-2021.) $)
  fvffz0 $p |- ( ( ( N e. NN0 /\ I e. NN0 /\ I < N ) /\ P : ( 0 ... N ) --> V )
                 -> ( P ` I ) e. V ) $=
    ( cn0 wcel clt wbr w3a cc0 cfz co wf wa simpr cle simp2 simp1 cr nn0re ltle
    wi syl2anr 3impia elfz2nn0 syl3anbrc adantr ffvelrnd ) CEFZBEFZBCGHZIZJCKLZ
    DAMZNUMDBAULUNOULBUMFZUNULUJUIBCPHZUOUIUJUKQUIUJUKRUIUJUKUPUJBSFCSFUKUPUBUI
    BTCTBCUAUCUDBCUEUFUGUH $.

  $( A function on a singleton.  (Contributed by Alexander van der Vekens,
     3-Dec-2017.)  (Proof shortened by AV, 18-Apr-2021.) $)
  1fv $p |- ( ( N e. V /\ P = { <. 0 , N >. } )
                 -> ( P : ( 0 ... 0 ) --> V /\ ( P ` 0 ) = N ) ) $=
    ( wcel cc0 cop csn wceq wa cfz co wf cfv cz 0z a1i id fsnd fvsng mpan fz0sn
    jca adantr wb feq12d fveq1 eqeq1d anbi12d adantl mpbird ) BCDZAEBFGZHZIEEJK
    ZCALZEAMZBHZIZEGZCULLZEULMZBHZIZUKVCUMUKUTVBUKEBNCENDZUKOPUKQRVDUKVBOEBNCST
    UBUCUMURVCUDUKUMUOUTUQVBUMUNUSCAULUMQUNUSHUMUAPUEUMUPVABEAULUFUGUHUIUJ $.

  ${
    $d P a b c d $.  $d V a b c d $.
    $( The first four function values of a word of length at least 4.
       (Contributed by Alexander van der Vekens, 18-Nov-2017.) $)
    4fvwrd4 $p |- ( ( L e. ( ZZ>= ` 3 ) /\ P : ( 0 ... L ) --> V )
                    -> E. a e. V E. b e. V E. c e. V E. d e. V
                       ( ( ( P ` 0 ) = a /\ ( P ` 1 ) = b )
                      /\ ( ( P ` 2 ) = c /\ ( P ` 3 ) = d ) ) ) $=
      ( c3 cuz cfv wcel cc0 wa cv wceq wrex c1 c2 eluzfz adantr cfz co wf simpr
      cn0 0nn0 elnn0uz mpbi wss 3nn0 uzss ax-mp sseli sylancr ffvelrnd 1eluzge0
      clel5 sylib cz cle wbr 1z 1le3 eluz2 mpbir3an jca 2eluzge0 uzuzle23 jca32
      3z mpan r19.42v anbi2i bitri rexbii 2rexbii r19.41v anbi1i 3bitri sylibr
      ) BHIJZKZLBUAUBZCAUCZMZLAJZDNOZDCPZQAJZENOZECPZMZRAJZFNOZFCPZHAJZGNOZGCPZ
      MZMZWGWJMZWNWQMZMGCPZFCPZECPDCPZWEWLWOWRWEWHWKWEWFCKWHWEWCCLAWBWDUDZWBLWC
      KZWDWBLLIJZKZBXHKXGLUEKXIUFLUGUHWAXHBHXHKZWAXHUIHUEKXJUJHUGUHZLHUKULUMLLB
      SUNTUODCWFUQURWEWICKWKWEWCCQAXFWBQWCKZWDWBQXHKBQIJZKXLUPWAXMBHXMKZWAXMUIX
      NQUSKHUSKQHUTVAVBVJVCQHVDVEQHUKULUMQLBSUNTUOECWIUQURVFWEWMCKWOWEWCCRAXFWB
      RWCKZWDWBRXHKBRIJKXOVGBVHRLBSUNTUOFCWMUQURWEWPCKWRWEWCCHAXFWBHWCKZWDXJWBX
      PXKHLBSVKTUOGCWPUQURVIXEXAWNWRMZMZFCPZECPDCPXAWSMZECPZDCPZWTXDXSDECCXCXRF
      CXCXAXBGCPZMXRXAXBGCVLYCXQXAWNWQGCVLVMVNVOVPXSXTDECCXSXAXQFCPZMXTXAXQFCVL
      YDWSXAWNWRFCVQVMVNVPYBWGWKMZWSMZDCPYEDCPZWSMWTYAYFDCYAXAECPZWSMYFXAWSECVQ
      YHYEWSWGWJECVLVRVNVOYEWSDCVQYGWLWSWGWKDCVQVRVSVSVT $.
  $}

  ${
    $d F i $.  $d M i $.  $d P i $.
    $( Two functions over 0-based finite set of sequential integers are equal
       if and only if their domains have the same length and the function
       values are the same at each position.  (Contributed by Alexander van der
       Vekens, 30-Jun-2018.) $)
    2ffzeq $p |- ( ( M e. NN0 /\ F : ( 0 ... M ) --> X
                              /\ P : ( 0 ... N ) --> Y ) -> ( F = P
              <-> ( M = N /\ A. i e. ( 0 ... M ) ( F ` i ) = ( P ` i ) ) ) ) $=
      ( cn0 wcel cc0 cfz co wf w3a wceq cfv wa wfn wb ffn cv anim12i syl fzopth
      wral 3adant1 eqfnfv2 cuz elnn0uz sylbi simpr syl6bi anim1d anim1i impbid1
      oveq2 3ad2ant1 bitrd ) DHIZJDKLZFCMZJEKLZGAMZNZCAOZUTVBOZBUAZCPVGAPOBUTUE
      ZQZDEOZVHQZVDCUTRZAVBRZQZVEVISVAVCVNUSVAVLVCVMUTFCTVBGATUBUFBUTVBCAUGUCUS
      VAVIVKSVCUSVIVKUSVFVJVHUSVFJJOZVJQZVJUSDJUHPIVFVPSDUIJEJDUDUJVOVJUKULUMVJ
      VFVHDEJKUPUNUOUQUR $.
  $}

  ${
    $d N x $.  $d M x $.
    $( The value of the predecessor class over an upper integer set.
       (Contributed by Scott Fenton, 16-May-2014.) $)
    preduz $p |- ( N e. ( ZZ>= ` M ) -> Pred ( < , ( ZZ>= ` M ) , N ) = ( M ...
        ( N - 1 ) ) ) $=
      ( vx cuz cfv wcel clt cpred c1 cmin co cz wa cle wbr wb eluzelz syl bitrd
      anass cfz cv vex elpred zltlem1 syl2anr pm5.32da eluzel2 eluz1 anbi1d jca
      peano2zm biantrurd elfz2 df-3an anbi1i anbi2i bitr4i 3bitri bitr4di eqrdv
      w3a ) BADEZFZCVCGBHZABIJKZUAKZVDCUBZVEFZALFZVFLFZMZVHLFZAVHNOZMZVHVFNOZMZ
      MZVHVGFZVDVIVQVRVDVIVHVCFZVHBGOZMZVQVCVCGBVHCUCUDVDWBVTVPMVQVDVTWAVPVTVMB
      LFZWAVPPVDAVHQABQZVHBUEUFUGVDVTVOVPVDVJVTVOPABUHZAVHUIRUJSSVDVLVQVDVJVKWE
      VDWCVKWDBULRUKUMSVSVJVKVMVBZVNVPMZMVLVMMZWGMZVRVHAVFUNWFWHWGVJVKVMUOUPWIV
      LVMWGMZMVRVLVMWGTVQWJVLVMVNVPTUQURUSUTVA $.
  $}

  $( The value of the predecessor class over the naturals.  (Contributed by
     Scott Fenton, 6-Aug-2013.) $)
  prednn $p |- ( N e. NN -> Pred ( < , NN , N ) = ( 1 ... ( N - 1 ) ) ) $=
    ( cn wcel clt cpred c1 cuz cfv cmin co cfz wceq predeq2 ax-mp elnnuz preduz
    nnuz sylbi eqtrid ) ABCZBDAEZFGHZDAEZFAFIJKJZBUBLUAUCLQBUBDAMNTAUBCUCUDLAOF
    APRS $.

  $( The value of the predecessor class over ` NN0 ` .  (Contributed by Scott
     Fenton, 9-May-2014.) $)
  prednn0 $p |- ( N e. NN0 -> Pred ( < , NN0 , N ) = ( 0 ... ( N - 1 ) ) ) $=
    ( cn0 clt cpred cc0 c1 cmin co cfz wceq cuz wcel nn0uz predeq2 ax-mp preduz
    cfv eqtrid eleq2s ) BCADZEAFGHIHZJAEKQZBAUBLTUBCADZUABUBJTUCJMBUBCANOEAPRMS
    $.

  ${
    $d K x $.  $d M x $.  $d N x $.
    $( Calculate the predecessor of an integer under a finite set of integers.
       (Contributed by Scott Fenton, 8-Aug-2013.)  (Proof shortened by Mario
       Carneiro, 3-May-2015.) $)
    predfz $p |- ( K e. ( M ... N ) ->
       Pred ( < , ( M ... N ) , K ) = ( M ... ( K - 1 ) ) ) $=
      ( vx cfz co wcel clt cpred c1 wbr wa cz wb elfzelz syl2anr cuz cfv syl cc
      cv cle zltlem1 elfzuz peano2zm elfz5 bitr4d pm5.32da vex elpred wss caddc
      cmin elfzuz3 wceq zcnd ax-1cn npcan sylancl fveq2d eleqtrrd syl2anc fzss2
      peano2uzr sseld pm4.71rd 3bitr4d eqrdv ) ABCEFZGZDVIHAIZBAJUMFZEFZVJDUAZV
      IGZVNAHKZLVOVNVMGZLVNVKGVQVJVOVPVQVJVOLVPVNVLUBKZVQVOVNMGAMGZVPVRNVJVNBCO
      ABCOZVNAUCPVOVNBQRGVLMGZVQVRNVJVNBCUDVJVSWAVTAUESZVNBVLUFPUGUHVIVIHAVNDUI
      UJVJVQVOVJVMVIVNVJCVLQRGZVMVIUKVJWACVLJULFZQRZGWCWBVJCAQRWEABCUNVJWDAQVJA
      TGJTGWDAUOVJAVTUPUQAJURUSUTVAVLCVDVBVLBCVCSVEVFVGVH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Half-open integer ranges
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ..^ $.
  $( Syntax for half-open integer ranges. $)
  cfzo $a class ..^ $.

  ${
    $d m n N $.  $d m n M $.
    $( Define a function generating sets of integers using a _half-open_ range.
       Read ` ( M ..^ N ) ` as the integers from ` M ` up to, but not
       including, ` N ` ; contrast with ` ( M ... N ) ` ~ df-fz , which
       includes ` N ` .  Not including the endpoint simplifies a number of
       formulas related to cardinality and splitting; contrast ~ fzosplit with
       ~ fzsplit , for instance.  (Contributed by Stefan O'Rear,
       14-Aug-2015.) $)
    df-fzo $a |- ..^ = ( m e. ZZ , n e. ZZ |-> ( m ... ( n - 1 ) ) ) $.

    $( Functionality of the half-open integer set function.  (Contributed by
       Stefan O'Rear, 14-Aug-2015.) $)
    fzof $p |- ..^ : ( ZZ X. ZZ ) --> ~P ZZ $=
      ( vm vn cv c1 cmin co cfz cz cpw wcel wral cxp cfzo fzssz ovex elpw mpbir
      wf wss rgen2w df-fzo fmpo mpbi ) ACZBCDEFZGFZHIZJZBHKAHKHHLUGMRUHABHHUHUF
      HSUDUENUFHUDUEGOPQTABHHUFUGMABUAUBUC $.

    $( Reverse closure for half-open integer sets.  (Contributed by Stefan
       O'Rear, 14-Aug-2015.) $)
    elfzoel1 $p |- ( A e. ( B ..^ C ) -> B e. ZZ ) $=
      ( cfzo co wcel cz c0 wne ne0i cxp cpw fzof fdmi ndmov necon1ai syl simpld
      wa ) ABCDEZFZBGFZCGFZUATHIUBUCSZTAJUDTHBCGDGGKGLDMNOPQR $.

    $( Reverse closure for half-open integer sets.  (Contributed by Stefan
       O'Rear, 14-Aug-2015.) $)
    elfzoel2 $p |- ( A e. ( B ..^ C ) -> C e. ZZ ) $=
      ( cfzo co wcel cz c0 wne ne0i cxp cpw fzof fdmi ndmov necon1ai syl simprd
      wa ) ABCDEZFZBGFZCGFZUATHIUBUCSZTAJUDTHBCGDGGKGLDMNOPQR $.

    $( Reverse closure for half-open integer sets.  (Contributed by Stefan
       O'Rear, 14-Aug-2015.) $)
    elfzoelz $p |- ( A e. ( B ..^ C ) -> A e. ZZ ) $=
      ( cfzo co wcel cz cpw elfzoel1 elfzoel2 fzof fovcl syl2anc elpwid sseldd
      id ) ABCDEZFZQGARQGRBGFCGFQGHZFABCIABCJBCSGGDKLMNRPO $.

    $( Value of the half-open integer set in terms of the closed integer set.
       (Contributed by Stefan O'Rear, 14-Aug-2015.) $)
    fzoval $p |- ( N e. ZZ -> ( M ..^ N ) = ( M ... ( N - 1 ) ) ) $=
      ( vm vn cz wcel cfzo co c1 cmin cfz wceq cv id c0 simpl fdmi ndmov nsyl5
      wa oveq1 oveqan12d df-fzo ovex ovmpoa wn cxp fzof eqtr4d adantr pm2.61ian
      cpw fzf ) AEFZBEFZABGHZABIJHZKHZLZCDABEECMZDMZIJHZKHURGUTALZVABLUTAVBUQKV
      CNVABIJUAUBCDUCAUQKUDUEUNUFZUSUOVDUPOURUNUOTUNUPOLUNUOPABEGEEUGZEULZGUHQR
      SUNUQEFZTUNUROLUNVGPAUQEKVEVFKUMQRSUIUJUK $.
  $}

  $( Membership in a half-open finite set of integers.  (Contributed by Stefan
     O'Rear, 15-Aug-2015.) $)
  elfzo $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) -> ( K e. ( M ..^ N ) <->
        ( M <_ K /\ K < N ) ) ) $=
    ( cz wcel w3a c1 cmin co cfz cle wbr wa cfzo clt wb peano2zm syl3an3 fzoval
    elfz eleq2d 3ad2ant3 zltlem1 3adant2 anbi2d 3bitr4d ) ADEZBDEZCDEZFZABCGHIZ
    JIZEZBAKLZAUKKLZMZABCNIZEZUNACOLZMUIUGUHUKDEUMUPPCQABUKTRUIUGURUMPUHUIUQULA
    BCSUAUBUJUSUOUNUGUIUSUOPUHACUCUDUEUF $.

  $( Membership in a half-open integer interval.  (Contributed by Mario
     Carneiro, 29-Sep-2015.) $)
  elfzo2 $p |- ( K e. ( M ..^ N ) <->
      ( K e. ( ZZ>= ` M ) /\ N e. ZZ /\ K < N ) ) $=
    ( cz wcel w3a cle wbr clt wa cuz cfv cfzo an4 df-3an anbi1i 3ancoma 3bitr4i
    co eluz2 3bitri elfzoelz elfzoel1 elfzoel2 3jca elfzo biadanii 3anass ) ADE
    ZBDEZCDEZFZBAGHZACIHZJZJZABKLEZUKUNJZJZABCMSEZUQUKUNFUIUJJZUKJZUOJVAUMJZURJ
    UPUSVAUKUMUNNULVBUOUIUJUKOPUQVCURUQUJUIUMFUIUJUMFVCBATUJUIUMQUIUJUMOUAPRUTU
    LUOUTUIUJUKABCUBABCUCABCUDUEABCUFUGUQUKUNUHR $.

  $( Membership in a half-open integer interval.  (Contributed by Mario
     Carneiro, 29-Sep-2015.) $)
  elfzouz $p |- ( K e. ( M ..^ N ) -> K e. ( ZZ>= ` M ) ) $=
    ( cfzo co wcel cuz cfv cz clt wbr elfzo2 simp1bi ) ABCDEFABGHFCIFACJKABCLM
    $.

  $( An integer not being a member of a half-open finite set of integers.
     (Contributed by AV, 29-Apr-2020.) $)
  nelfzo $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ )
                 -> ( K e/ ( M ..^ N ) <-> ( K < M \/ N <_ K ) ) ) $=
    ( cfzo co wnel wcel wn cz w3a clt wbr cle wo df-nel wa wb cr zre syl notbid
    ianor a1i elfzo anim12i 3adant3 ltnle anim12ci 3adant2 lenlt orbi12d syl5bb
    3bitr4d ) ABCDEZFAUNGZHZAIGZBIGZCIGZJZABKLZCAMLZNZAUNOUTBAMLZACKLZPZHZVDHZV
    EHZNZUPVCVGVJQUTVDVEUBUCUTUOVFABCUDUAUTVAVHVBVIUTARGZBRGZPZVAVHQUQURVMUSUQV
    KURVLASZBSUEUFABUGTUTCRGZVKPZVBVIQUQUSVPURUQVKUSVOVNCSUHUICAUJTUKUMUL $.

  $( The left endpoint of a half-open integer interval is in the set iff the
     two arguments are integers with ` M < N ` .  This provides an alternative
     notation for the "strict upper integer" predicate by analogy to the "weak
     upper integer" predicate ` M e. ( ZZ>= `` N ) ` .  (Contributed by Mario
     Carneiro, 29-Sep-2015.) $)
  fzolb $p |- ( M e. ( M ..^ N ) <-> ( M e. ZZ /\ N e. ZZ /\ M < N ) ) $=
    ( cfzo co wcel cuz cfv clt wbr w3a elfzo2 eluzel2 uzid impbii 3anbi1i bitri
    cz ) AABCDEAAFGEZBQEZABHIZJAQEZSTJAABKRUASTRUAAALAMNOP $.

  $( The left endpoint of a half-open integer interval is in the set iff the
     two arguments are integers with ` M < N ` .  This provides an alternative
     notation for the "strict upper integer" predicate by analogy to the "weak
     upper integer" predicate ` M e. ( ZZ>= `` N ) ` .  (Contributed by Mario
     Carneiro, 29-Sep-2015.) $)
  fzolb2 $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M e. ( M ..^ N ) <-> M < N ) ) $=
    ( cfzo co wcel cz wa clt wbr w3a fzolb df-3an bitri baib ) AABCDEZAFEZBFEZG
    ZABHIZOPQSJRSGABKPQSLMN $.

  $( A member in a half-open integer interval is greater than or equal to the
     lower bound.  (Contributed by Stefan O'Rear, 15-Aug-2015.) $)
  elfzole1 $p |- ( K e. ( M ..^ N ) -> M <_ K ) $=
    ( cfzo co cle wbr clt wa cz wb elfzoelz elfzoel1 elfzoel2 elfzo syl3anc ibi
    wcel simpld ) ABCDERZBAFGZACHGZTUAUBIZTAJRBJRCJRTUCKABCLABCMABCNABCOPQS $.

  $( A member in a half-open integer interval is less than the upper bound.
     (Contributed by Stefan O'Rear, 15-Aug-2015.) $)
  elfzolt2 $p |- ( K e. ( M ..^ N ) -> K < N ) $=
    ( cfzo co cle wbr clt wa cz wb elfzoelz elfzoel1 elfzoel2 elfzo syl3anc ibi
    wcel simprd ) ABCDERZBAFGZACHGZTUAUBIZTAJRBJRCJRTUCKABCLABCMABCNABCOPQS $.

  $( Membership in a half-open integer interval implies that the bounds are
     unequal.  (Contributed by Stefan O'Rear, 15-Aug-2015.) $)
  elfzolt3 $p |- ( K e. ( M ..^ N ) -> M < N ) $=
    ( cfzo co wcel elfzoel1 zred elfzoelz elfzoel2 elfzole1 elfzolt2 lelttrd )
    ABCDEFZBACNBABCGHNAABCIHNCABCJHABCKABCLM $.

  $( A member in a half-open integer interval is less than the upper bound.
     (Contributed by Mario Carneiro, 29-Sep-2015.) $)
  elfzolt2b $p |- ( K e. ( M ..^ N ) -> K e. ( K ..^ N ) ) $=
    ( cfzo co wcel cz clt wbr elfzoelz elfzoel2 elfzolt2 fzolb syl3anbrc ) ABCD
    EFAGFCGFACHIAACDEFABCJABCKABCLACMN $.

  $( Membership in a half-open integer interval implies that the bounds are
     unequal.  (Contributed by Mario Carneiro, 29-Sep-2015.) $)
  elfzolt3b $p |- ( K e. ( M ..^ N ) -> M e. ( M ..^ N ) ) $=
    ( cfzo co wcel cz clt wbr elfzoel1 elfzoel2 elfzolt3 fzolb syl3anbrc ) ABCD
    EZFBGFCGFBCHIBOFABCJABCKABCLBCMN $.

  $( A half-open range does not contain its right endpoint.  (Contributed by
     Stefan O'Rear, 25-Aug-2015.) $)
  fzonel $p |- -. B e. ( A ..^ B ) $=
    ( cfzo co wcel clt wbr elfzolt2 elfzoel2 zred ltnrd pm2.65i ) BABCDEZBBFGBA
    BHMBMBBABIJKL $.

  $( The upper bound of a half-open range is greater than or equal to an
     element of the range.  (Contributed by Mario Carneiro, 29-Sep-2015.) $)
  elfzouz2 $p |- ( K e. ( M ..^ N ) -> N e. ( ZZ>= ` K ) ) $=
    ( cfzo co wcel cz cle wbr cuz cfv elfzoelz elfzoel2 clt elfzolt2 wi cr ltle
    zre syl2an syl2anc mpd eluz2 syl3anbrc ) ABCDEFZAGFZCGFZACHIZCAJKFABCLZABCM
    ZUEACNIZUHABCOUEUFUGUKUHPZUIUJUFAQFCQFULUGASCSACRTUAUBACUCUD $.

  $( A half-open range is contained in the corresponding closed range.
     (Contributed by Stefan O'Rear, 23-Aug-2015.) $)
  elfzofz $p |- ( K e. ( M ..^ N ) -> K e. ( M ... N ) ) $=
    ( cfzo co wcel cuz cfv cfz elfzouz elfzouz2 elfzuzb sylanbrc ) ABCDEFABGHFC
    AGHFABCIEFABCJABCKABCLM $.

  $( Express membership in a half-open integer interval in terms of the "less
     than or equal to" and "less than" predicates on integers, resp.
     ` K e. ( ZZ>= `` M ) <-> M <_ K ` , ` K e. ( K ..^ N ) <-> K < N ` .
     (Contributed by Mario Carneiro, 29-Sep-2015.) $)
  elfzo3 $p |- ( K e. ( M ..^ N ) <->
      ( K e. ( ZZ>= ` M ) /\ K e. ( K ..^ N ) ) ) $=
    ( cuz cfv wcel cz clt wbr wa cfzo co 3anass elfzo2 eluzelz fzolb bitri baib
    w3a wb syl pm5.32i 3bitr4i ) ABDEFZCGFZACHIZSUDUEUFJZJABCKLFUDAACKLFZJUDUEU
    FMABCNUDUHUGUDAGFZUHUGTBAOUHUIUGUHUIUEUFSUIUGJACPUIUEUFMQRUAUBUC $.

  ${
    $d x A $.  $d x B $.  $d x M $.  $d x N $.
    $( A half-open integer interval is nonempty iff it contains its left
       endpoint.  (Contributed by Mario Carneiro, 29-Sep-2015.) $)
    fzon0 $p |- ( ( M ..^ N ) =/= (/) <-> M e. ( M ..^ N ) ) $=
      ( vx cfzo co c0 wne wcel cv wex n0 elfzolt3b exlimiv sylbi ne0i impbii )
      ABDEZFGZAQHZRCIZQHZCJSCQKUASCTABLMNQAOP $.

    $( A half-open range is contained in the corresponding closed range.
       (Contributed by Stefan O'Rear, 23-Aug-2015.)  (Revised by Mario
       Carneiro, 29-Sep-2015.) $)
    fzossfz $p |- ( A ..^ B ) C_ ( A ... B ) $=
      ( vx cfzo co cfz cv elfzofz ssriv ) CABDEABFECGABHI $.
  $}

  $( A half-open integer interval is a set of integers.  (Contributed by Glauco
     Siliprandi, 8-Apr-2021.) $)
  fzossz $p |- ( M ..^ N ) C_ ZZ $=
    ( cfzo co cfz cz fzossfz fzssz sstri ) ABCDABEDFABGABHI $.

  $( A half-open set of sequential integers is empty if the bounds are equal or
     reversed.  (Contributed by Alexander van der Vekens, 30-Oct-2017.) $)
  fzon $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( N <_ M <-> ( M ..^ N ) = (/) ) ) $=
    ( cz wcel wa c1 cmin co clt wbr cfz c0 wceq cle cfzo wb peano2zm fzn sylan2
    zlem1lt ancoms fzoval adantl eqeq1d 3bitr4d ) ACDZBCDZEZBFGHZAIJZAUIKHZLMZB
    ANJZABOHZLMUGUFUICDUJULPBQAUIRSUGUFUMUJPBATUAUHUNUKLUGUNUKMUFABUBUCUDUE $.

  $( A half-open range of nonnegative integers is empty iff the upper bound is
     not positive.  (Contributed by AV, 2-May-2020.) $)
  fzo0n $p |- ( ( M e. ZZ /\ N e. ZZ )
                -> ( N <_ M <-> ( 0 ..^ ( N - M ) ) = (/) ) ) $=
    ( cz wcel cle wbr cc0 cmin co cfzo c0 wceq wb wa cr suble0 syl2an 0z zsubcl
    zre fzon sylancr bitr3d ancoms ) BCDZACDZBAEFZGBAHIZJIKLZMUEUFNZUHGEFZUGUIU
    EBODAODUKUGMUFBTATBAPQUJGCDUHCDUKUIMRBASGUHUAUBUCUD $.

  $( A half-open integer range is empty if the bounds are equal or reversed.
     (Contributed by AV, 20-Oct-2018.) $)
  fzonlt0 $p |- ( ( M e. ZZ /\ N e. ZZ )
                  -> ( -. M < N <-> ( M ..^ N ) = (/) ) ) $=
    ( cz wcel wa cle wbr clt wn cfzo co c0 wceq cr wb lenlt syl2anr fzon bitr3d
    zre ) ACDZBCDZEBAFGZABHGIZABJKLMUBBNDANDUCUDOUABTATBAPQABRS $.

  $( Half-open sets with equal endpoints are empty.  (Contributed by Stefan
     O'Rear, 15-Aug-2015.)  (Revised by Mario Carneiro, 29-Sep-2015.) $)
  fzo0 $p |- ( A ..^ A ) = (/) $=
    ( cfzo co wcel wn c0 wceq fzonel fzon0 necon1bbii mpbi ) AAABCZDZELFGAAHMLF
    AAIJK $.

  $( If ` K < N ` then ` N - K ` is a positive integer.  (Contributed by Mario
     Carneiro, 29-Sep-2015.)  (Revised by Mario Carneiro, 1-Jan-2017.) $)
  fzonnsub $p |- ( K e. ( M ..^ N ) -> ( N - K ) e. NN ) $=
    ( cfzo co wcel clt wbr cmin cn elfzolt2 cz elfzoelz elfzoel2 znnsub syl2anc
    wb mpbid ) ABCDEFZACGHZCAIEJFZABCKSALFCLFTUAQABCMABCNACOPR $.

  $( If ` M < N ` then ` N - M ` is a positive integer.  (Contributed by Mario
     Carneiro, 1-Jan-2017.) $)
  fzonnsub2 $p |- ( K e. ( M ..^ N ) -> ( N - M ) e. NN ) $=
    ( cfzo co wcel cmin cn elfzolt3b fzonnsub syl ) ABCDEZFBLFCBGEHFABCIBBCJK
    $.

  $( Subset relationship for half-open sequences of integers.  (Contributed by
     Stefan O'Rear, 15-Aug-2015.)  (Revised by Mario Carneiro, 29-Sep-2015.) $)
  fzoss1 $p |- ( K e. ( ZZ>= ` M ) -> ( K ..^ N ) C_ ( M ..^ N ) ) $=
    ( cuz cfv wcel cfzo co wss c0 sseq1 wne cz fzon0 elfzoel2 sylbi wceq fzoval
    cfz adantl wa c1 cmin fzss1 adantr 3sstr4d sylan2 0ss a1i pm2.61ne ) ABDEFZ
    ACGHZBCGHZIZJUMIZULJULJUMKULJLZUKCMFZUNUPAULFUQACNAACOPUKUQUAACUBUCHZSHZBUR
    SHZULUMUKUSUTIUQABURUDUEUQULUSQUKACRTUQUMUTQUKBCRTUFUGUOUKUMUHUIUJ $.

  $( Subset relationship for half-open sequences of integers.  (Contributed by
     Stefan O'Rear, 15-Aug-2015.)  (Revised by Mario Carneiro, 29-Sep-2015.) $)
  fzoss2 $p |- ( N e. ( ZZ>= ` K ) -> ( M ..^ K ) C_ ( M ..^ N ) ) $=
    ( cuz cfv wcel c1 cmin co cfz cfzo wss cz caddc eluzel2 peano2zm syl fzoval
    cc wceq 1zzd id zcnd ax-1cn sylancl fveq2d eleqtrrd eluzsub syl3anc eluzelz
    npcan fzss2 3sstr4d ) CADEZFZBAGHIZJIZBCGHIZJIZBAKIZBCKIZUOURUPDEFZUQUSLUOU
    PMFZGMFCUPGNIZDEZFVBUOAMFZVCACOZAPQUOUAUOCUNVEUOUBUOVDADUOASFGSFVDATUOAVGUC
    UDAGUKUEUFUGGUPCUHUIUPBURULQUOVFUTUQTVGBARQUOCMFVAUSTACUJBCRQUM $.

  $( Subset of a half-open range.  (Contributed by Alexander van der Vekens,
     1-Nov-2017.) $)
  fzossrbm1 $p |- ( N e. ZZ -> ( 0 ..^ ( N - 1 ) ) C_ ( 0 ..^ N ) ) $=
    ( cz wcel c1 cmin co cuz cfv cc0 cfzo wss cle wbr peano2zm id zre syl3anbrc
    lem1d eluz2 fzoss2 syl ) ABCZAADEFZGHCZIUCJFIAJFKUBUCBCUBUCALMUDANUBOUBAAPR
    UCASQUCIATUA $.

  $( Subset relationship for half-open integer ranges with lower bounds 0 and
     1.  (Contributed by Alexander van der Vekens, 18-Mar-2018.) $)
  fzo0ss1 $p |- ( 1 ..^ N ) C_ ( 0 ..^ N ) $=
    ( c1 cc0 cuz cfv wcel cfzo co wss 1eluzge0 fzoss1 ax-mp ) BCDEFBAGHCAGHIJBC
    AKL $.

  $( A half-open integer range starting at a nonnegative integer is a subset of
     the nonnegative integers.  (Contributed by Alexander van der Vekens,
     13-May-2018.) $)
  fzossnn0 $p |- ( M e. NN0 -> ( M ..^ N ) C_ NN0 ) $=
    ( cn0 wcel cfzo co cc0 cfz fzossfz wss cuz cfv fzss1 eleq2s sstrid fz0ssnn0
    nn0uz sstrdi ) ACDZABEFZGBHFZCSTABHFZUAABIUBUAJAGKLCAGBMQNOBPR $.

  $( One direction of splitting a half-open integer range in half.
     (Contributed by Stefan O'Rear, 14-Aug-2015.) $)
  fzospliti $p |- ( ( A e. ( B ..^ C ) /\ D e. ZZ ) ->
      ( A e. ( B ..^ D ) \/ A e. ( D ..^ C ) ) ) $=
    ( cfzo co wcel cz wa wo cle wbr clt cr zre adantr a1d wb elfzo syl3anc zred
    elfzoelz lelttric syl2an2 orcomd elfzole1 ancrd elfzolt2 ancld mpd elfzoel1
    orim12d simpr elfzoel2 orbi12d mpbird ) ABCEFGZDHGZIZABDEFGZADCEFGZJBAKLZAD
    MLZIZDAKLZACMLZIZJZUSVCVEJVHUSVEVCURDNGUQANGVEVCJDOUSAUQAHGZURABCUBPZUADAUC
    UDUEUSVCVDVEVGUSVCVBUSVBVCUQVBURABCUFPQUGUSVEVFUSVFVEUQVFURABCUHPQUIULUJUSU
    TVDVAVGUSVIBHGZURUTVDRVJUQVKURABCUKPUQURUMZABDSTUSVIURCHGZVAVGRVJVLUQVMURAB
    CUNPADCSTUOUP $.

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x D $.
    $( Split a half-open integer range in half.  (Contributed by Stefan O'Rear,
       14-Aug-2015.) $)
    fzosplit $p |- ( D e. ( B ... C ) -> ( B ..^ C ) =
          ( ( B ..^ D ) u. ( D ..^ C ) ) ) $=
      ( vx cfz co wcel cfzo cun cv wa wo simpr elfzelz adantr cuz cfv wss syl
      cz fzospliti syl2anc elun sylibr ssrdv elfzuz3 fzoss2 elfzuz fzoss1 unssd
      ex eqssd ) CABEFGZABHFZACHFZCBHFZIZUMDUNUQUMDJZUNGZURUQGZUMUSKZURUOGURUPG
      LZUTVAUSCTGZVBUMUSMUMVCUSCABNOURABCUAUBURUOUPUCUDUKUEUMUOUPUNUMBCPQGUOUNR
      CABUFCABUGSUMCAPQGUPUNRCABUHCABUISUJUL $.

    $( Abutting half-open integer ranges are disjoint.  (Contributed by Stefan
       O'Rear, 14-Aug-2015.) $)
    fzodisj $p |- ( ( A ..^ B ) i^i ( B ..^ C ) ) = (/) $=
      ( vx cfzo co cin c0 wceq cv wcel wn wi cle wbr clt elfzolt2 elfzoelz zred
      disj1 elfzoel2 ltnled mpbid elfzole1 nsyl mpgbir ) ABEFZBCEFZGHIDJZUGKZUI
      UHKZLMDDUGUHTUJBUINOZUKUJUIBPOULLUIABQUJUIBUJUIUIABRSUJBUIABUASUBUCUIBCUD
      UEUF $.

    $( Split an upper integer set into a half-open integer range and another
       upper integer set.  (Contributed by Mario Carneiro, 21-Sep-2016.) $)
    fzouzsplit $p |- ( B e. ( ZZ>= ` A ) ->
      ( ZZ>= ` A ) = ( ( A ..^ B ) u. ( ZZ>= ` B ) ) ) $=
      ( vx cuz cfv wcel cfzo co cun cv wo wa clt wbr cr eluzelre syl2an eluzelz
      cz wb cle lelttric orcomd id w3a elfzo2 df-3an bitri baib syl2anr orbi12d
      eluz mpbird ex elun syl6ibr ssrdv wss elfzouz ssriv a1i uzss unssd eqssd
      ) BADEZFZVEABGHZBDEZIZVFCVEVIVFCJZVEFZVJVGFZVJVHFZKZVJVIFVFVKVNVFVKLZVNVJ
      BMNZBVJUANZKVOVQVPVFBOFVJOFVQVPKVKABPAVJPBVJUBQUCVOVLVPVMVQVKVKBSFZVLVPTV
      FVKUDABRZVLVKVRLZVPVLVKVRVPUEVTVPLVJABUFVKVRVPUGUHUIUJVFVRVJSFVMVQTVKVSAV
      JRBVJULQUKUMUNVJVGVHUOUPUQVFVGVHVEVGVEURVFCVGVEVJABUSUTVAABVBVCVD $.

    $( A half-open integer range does not overlap the upper integer range
       starting at the endpoint of the first range.  (Contributed by Mario
       Carneiro, 21-Sep-2016.) $)
    fzouzdisj $p |- ( ( A ..^ B ) i^i ( ZZ>= ` B ) ) = (/) $=
      ( vx cfzo co cuz cfv cin cv wcel wa clt elfzolt2 adantr cz eluzel2 adantl
      wbr zred cr eluzelre cle eluzle lensymd pm2.65i elin mtbir nel0 ) CABDEZB
      FGZHZCIZUKJULUIJZULUJJZKZUOULBLRZUMUPUNULABMNUOBULUOBUNBOJUMBULPQSUNULTJU
      MBULUAQUNBULUBRUMBULUCQUDUEULUIUJUFUGUH $.
  $}

  $( A half-open integer range as union of two half-open integer ranges.
     (Contributed by AV, 23-Apr-2022.) $)
  fzoun $p |- ( ( B e. ( ZZ>= ` A ) /\ C e. NN0 )
           -> ( A ..^ ( B + C ) ) = ( ( A ..^ B ) u. ( B ..^ ( B + C ) ) ) ) $=
    ( cuz cfv wcel cn0 wa caddc co cfz cfzo cun wceq cz adantr syl2an cle wbr
    cr eluzel2 eluzelz nn0z zaddcl eluzle cc0 nn0ge0 adantl wb eluzelre addge01
    nn0re mpbid elfzd fzosplit syl ) BADEFZCGFZHZBABCIJZKJFAUTLJABLJBUTLJMNUSBA
    UTUQAOFURABUAPUQBOFZCOFUTOFURABUBZCUCBCUDQUQVAURVBPUQABRSURABUEPUSUFCRSZBUT
    RSZURVCUQCUGUHUQBTFCTFVCVDUIURABUJCULBCUKQUMUNAUTBUOUP $.

  ${
    $d A x $.  $d B x $.
    $( A half-open integer range and the singleton of its upper bound are
       disjoint.  (Contributed by AV, 7-Mar-2021.) $)
    fzodisjsn $p |- ( ( A ..^ B ) i^i { B } ) = (/) $=
      ( vx cfzo co csn c0 wceq cv wcel wn wi disj1 elfzoelz zred elfzolt2 ltned
      cin neneqd elsni nsyl mpgbir ) ABDEZBFZRGHCIZUCJZUEUDJZKLCCUCUDMUFUEBHUGU
      FUEBUFUEBUFUEUEABNOUEABPQSUEBTUAUB $.
  $}

  $( The intersection of a half-open integer range and the pair of its outer
     left borders is empty.  (Contributed by AV, 9-Jan-2021.) $)
  prinfzo0 $p |- ( M e. ZZ -> ( { M , N } i^i ( ( M + 1 ) ..^ N ) ) = (/) ) $=
    ( cz wcel csn c1 caddc co cfzo cin c0 cpr wn cuz sylibr incom eqeq1i disjsn
    wceq bitri cfv clt wbr w3o elfz3 fznuz 3mix1d 3ianor elfzo2 xchnxbir fzonel
    cfz syl w3a a1i cun wa df-pr ineq1i undisj1 bitr4i sylanbrc ) ACDZAEZAFGHZB
    IHZJZKSZBEZVFJZKSZABLZVFJZKSZVCAVFDZMZVHVCAVENUADZMZBCDZMZABUBUCZMZUDZVPVCV
    RVTWBVCAAAULHDVRAUEAAAUFUMUGVQVSWAUNWCVOVQVSWAUHAVEBUIUJOVHVFVDJZKSVPVGWDKV
    DVFPQVFARTOVCBVFDMZVKWEVCVEBUKUOVKVFVIJZKSWEVJWFKVIVFPQVFBRTOVNVDVIUPZVFJZK
    SVHVKUQVMWHKVLWGVFABURUSQVDVIVFUTVAVB $.

  $( An integer is strictly greater than zero iff it is a member of ` NN ` .
     (Contributed by Mario Carneiro, 29-Sep-2015.) $)
  lbfzo0 $p |- ( 0 e. ( 0 ..^ A ) <-> A e. NN ) $=
    ( cc0 cz wcel clt wbr w3a wa cfzo co cn 3anass mpbiran fzolb elnnz 3bitr4i
    0z ) BCDZACDZBAEFZGZSTHZBBAIJDAKDUARUBQRSTLMBANAOP $.

  $( Membership in a half-open integer range based at 0.  (Contributed by
     Stefan O'Rear, 15-Aug-2015.)  (Revised by Mario Carneiro, 29-Sep-2015.) $)
  elfzo0 $p |- ( A e. ( 0 ..^ B ) <-> ( A e. NN0 /\ B e. NN /\ A < B ) ) $=
    ( cc0 cfzo co wcel cn0 clt wbr w3a cuz cfv elfzouz elnn0uz sylibr elfzolt3b
    cn lbfzo0 sylib elfzolt2 3jca cz simp1 nnz 3ad2ant2 elfzo2 syl3anbrc impbii
    simp3 ) ACBDEZFZAGFZBQFZABHIZJZUKULUMUNUKACKLFZULACBMANZOUKCUJFUMACBPBRSACB
    TUAUOUPBUBFZUNUKUOULUPULUMUNUCUQSUMULURUNBUDUEULUMUNUIACBUFUGUH $.

  $( Membership in a half-open range of nonnegative integers, generalization of
     ~ elfzo0 requiring the upper bound to be an integer only.  (Contributed by
     Alexander van der Vekens, 23-Sep-2018.) $)
  elfzo0z $p |- ( A e. ( 0 ..^ B ) <-> ( A e. NN0 /\ B e. ZZ /\ A < B ) ) $=
    ( cc0 cfzo co wcel cn0 cn clt wbr w3a cz elfzo0 nnz 3anim2i wa wi cr adantl
    zre simp1 cle elnn0z 0red adantr lelttr syl3anc simplbi2 syld expd impancom
    elnnz sylbi 3imp simp3 3jca impbii bitri ) ACBDEFAGFZBHFZABIJZKZUSBLFZVAKZA
    BMVBVDUTVCUSVABNOVDUSUTVAUSVCVAUAUSVCVAUTUSALFZCAUBJZPVCVAUTQZQAUCVEVCVFVGV
    EVCPZVFVAUTVHVFVAPZCBIJZUTVHCRFARFZBRFZVIVJQVHUDVEVKVCATUEVCVLVEBTSCABUFUGV
    CVJUTQVEUTVCVJBULUHSUIUJUKUMUNUSVCVAUOUPUQUR $.

  $( A nonnegative integer increased by 1 which is less than or equal to
     another integer is an element of a half-open range of integers.
     (Contributed by AV, 27-Feb-2021.) $)
  nn0p1elfzo $p |- ( ( K e. NN0 /\ N e. NN0 /\ ( K + 1 ) <_ N )
                 -> K e. ( 0 ..^ N ) ) $=
    ( cn0 wcel c1 caddc co cle wbr w3a cn clt cfzo nn0ltp1le wa simpr adantr cr
    cc0 nn0re biimp3ar simpl1 nn0ge0 wi lelttr mp3an3an mpand elnnnn0b sylanbrc
    0re imp 3adantl3 3jca mpdan elfzo0 sylibr ) ACDZBCDZAEFGBHIZJZUQBKDZABLIZJZ
    ASBMGDUTVBVCUQURVBUSABNUAUTVBOUQVAVBUQURUSVBUBUQURVBVAUSUQUROZVBOURSBLIZVAV
    DURVBUQURPQVDVBVEVDSAHIZVBVEUQVFURAUCQSRDUQARDURBRDVFVBOVEUDUJATBTSABUEUFUG
    UKBUHUIULUTVBPUMUNABUOUP $.

  $( A member in a half-open range of nonnegative integers is less than or
     equal to the upper bound of the range.  (Contributed by Alexander van der
     Vekens, 23-Sep-2018.) $)
  elfzo0le $p |- ( A e. ( 0 ..^ B ) -> A <_ B ) $=
    ( cc0 cfzo co wcel cn0 cn clt wbr w3a elfzo0 cr wi nn0re nnre syl2an 3impia
    cle ltle sylbi ) ACBDEFAGFZBHFZABIJZKABSJZABLUBUCUDUEUBAMFBMFUDUENUCAOBPABT
    QRUA $.

  $( A member of a half-open range of nonnegative integers is a nonnegative
     integer.  (Contributed by Alexander van der Vekens, 21-May-2018.) $)
  elfzonn0 $p |- ( K e. ( 0 ..^ N ) -> K e. NN0 ) $=
    ( cc0 cfzo co wcel cuz cfv cn0 elfzouz elnn0uz sylibr ) ACBDEFACGHFAIFACBJA
    KL $.

  $( The result of subtracting a nonnegative integer from a positive integer
     and adding another nonnegative integer which is less than the first one is
     less than the positive integer.  (Contributed by Alexander van der Vekens,
     19-May-2018.) $)
  fzonmapblen $p |- ( ( A e. ( 0 ..^ N ) /\ B e. ( 0 ..^ N ) /\ B < A )
                      -> ( B + ( N - A ) ) < N ) $=
    ( cc0 cfzo co wcel clt wbr cmin caddc cr wa wi cn0 cn anim12i adantr recn
    cc w3a elfzo0 nn0re nnre 3adant3 sylbi elfzoelz simpr simpll resubcl ancoms
    zred ltadd1d biimpa wceq pncan3 syl breqtrd ex syl2an 3impia ) ADCEFZGZBVBG
    ZBAHIZBCAJFZKFZCHIZVCALGZCLGZMZBLGZVEVHNVDVCAOGZCPGZACHIZUAVKACUBVMVNVKVOVM
    VIVNVJAUCCUDQUEUFVDBBDCUGULVKVLMZVEVHVPVEMZVGAVFKFZCHVPVEVGVRHIVPBAVFVKVLUH
    VIVJVLUIVKVFLGZVLVJVIVSCAUJUKRUMUNVQATGZCTGZMZVRCUOVPWBVEVKWBVLVIVTVJWAASCS
    QRRACUPUQURUSUTVA $.

  $( If a nonnegative integer in a finite interval of integers is not the upper
     bound of the interval, it is contained in the corresponding half-open
     integer range.  (Contributed by Alexander van der Vekens, 15-Jun-2018.) $)
  fzofzim $p |- ( ( K =/= M /\ K e. ( 0 ... M ) ) -> K e. ( 0 ..^ M ) ) $=
    ( wne cc0 co wcel wa cn0 clt wbr w3a cle wi cr nn0re adantl expd sylbi imp
    cz cfz cn cfzo elfz2nn0 simpl1 necom wb ltlen syl2an bicomd elnn0z 0red zre
    adantr lelttr syl3anc nn0z elnnz simplbi2 syl impancom sylbid syl7bi 3impia
    syld biimpd exp4b 3imp syl5bi 3jca ex impcom elfzo0 sylibr ) ABCZADBUAEFZGA
    HFZBUBFZABIJZKZADBUCEFVPVOVTVPVQBHFZABLJZKZVOVTMABUDWCVOVTWCVOGVQVRVSVQWAWB
    VOUEWCVOVRVQWAWBVOVRMVOBACZVQWAGZWBVRABUFZWEWBWDVRWEWBWDGZVSVRWEVSWGVQANFZB
    NFZVSWGUGWAAOBOZABUHUIUJZVQWAVSVRMZVQATFZDALJZGWAWLMAUKWMWAWNWLWMWAGZWNVSVR
    WOWNVSGZDBIJZVRWODNFWHWIWPWQMWOULWMWHWAAUMUNWAWIWMWJPDABUOUPWAWQVRMZWMWABTF
    ZWRBUQVRWSWQBURUSUTPVEQVARSVBQVCVDSWCVOVSVOWDWCVSWFVQWAWBWDVSMVQWAWBWDVSWEW
    GVSWKVFVGVHVISVJVKRVLABVMVN $.

  $( Translation of one between closed and open integer ranges.  (Contributed
     by Thierry Arnoux, 28-Jul-2020.) $)
  fz1fzo0m1 $p |- ( M e. ( 1 ... N ) -> ( M - 1 ) e. ( 0 ..^ N ) ) $=
    ( c1 cfz co wcel cmin cc0 cfzo elfzmlbm cz wceq elfzel2 fzoval syl eleqtrrd
    ) ACBDEFZACGEHBCGEDEZHBIEZACBJQBKFSRLACBMHBNOP $.

  $( Half-open integer ranges starting with 1 are subsets of ` NN ` .
     (Contributed by Thierry Arnoux, 28-Dec-2016.) $)
  fzossnn $p |- ( 1 ..^ N ) C_ NN $=
    ( c1 cfzo co cfz cn fzossfz fz1ssnn sstri ) BACDBAEDFBAGAHI $.

  $( Membership in a half-open integer range based at 1.  (Contributed by
     Thierry Arnoux, 14-Feb-2017.) $)
  elfzo1 $p |- ( N e. ( 1 ..^ M ) <-> ( N e. NN /\ M e. NN /\ N < M ) ) $=
    ( c1 cfzo co wcel clt wbr w3a fzossnn sseli cuz cfv elfzouz2 eluznn syl2anc
    cn elfzolt2 3jca cz nnuz eqimssi nnz id 3anim123i elfzo2 sylibr impbii ) BC
    ADEZFZBQFZAQFZBAGHZIZUJUKULUMUIQBAJKZUJUKABLMFULUOBCANABOPBCARSUNBCLMZFZATF
    ZUMIUJUKUQULURUMUMQUPBQUPUAUBKAUCUMUDUEBCAUFUGUH $.

  $( An integer between 1 and an upper bound of a half-open integer range is
     not 0 and between 0 and the upper bound of the half-open integer range.
     (Contributed by Alexander van der Vekens, 21-Mar-2018.) $)
  fzo1fzo0n0 $p |- ( K e. ( 1 ..^ N ) <-> ( K e. ( 0 ..^ N ) /\ K =/= 0 ) ) $=
    ( c1 cfzo co wcel cc0 wne wa cz clt wbr w3a cn wi adantr adantl 3jca sylbir
    cr cuz cfv elfzo2 cn0 nnnn0 nngt0 0red nnre zre lttr syl3anc elnnz simplbi2
    elnnuz syld exp4b com13 mpcom imp31 simpr exp31 3imp elfzo0 sylibr 3ad2ant1
    nnne0 jca sylbi cle elnnne0 nnge1 3ad2antl1 simpl3 wb nn0z 1zzd nnz 3adant3
    elfzo syl mpbir2and sylanb impbii ) ACBDEFZAGBDEFZAGHZIZWDACUAUBFZBJFZABKLZ
    MZWGACBUCWKWEWFWKAUDFZBNFZWJMZWEWHWIWJWNWHANFZWIWJWNOOAUNZWOWIWJWNWOWIIZWJI
    WLWMWJWQWLWJWOWLWIAUEPPWOWIWJWMGAKLZWOWIWJWMOZOAUFWIWOWRWSWIWOWRWJWMWIWOIZW
    RWJIZGBKLZWMWTGTFATFZBTFZXAXBOWTUGWOXCWIAUHQWIXDWOBUIPGABUJUKWIXBWMOWOWMWIX
    BBULUMPUOUPUQURUSWQWJUTRVASVBABVCZVDWHWIWFWJWHWOWFWPAVFSVEVGVHWEWNWFWDXEWNW
    FIZWDCAVILZWJWLWMWFXGWJWLWFIWOXGAVJAVKSVLWLWMWJWFVMXFAJFZCJFZWIMZWDXGWJIVNW
    NXJWFWLWMXJWJWLWMIZXHXIWIWLXHWMAVOPXKVPWMWIWLBVQQRVRPACBVSVTWAWBWC $.

  $( A half-open integer range based at 0 is nonempty precisely if the upper
     bound is a positive integer.  (Contributed by Stefan O'Rear, 15-Aug-2015.)
     (Revised by Mario Carneiro, 29-Sep-2015.) $)
  fzo0n0 $p |- ( ( 0 ..^ A ) =/= (/) <-> A e. NN ) $=
    ( cc0 cfzo co c0 wne wcel cn fzon0 lbfzo0 bitri ) BACDZEFBLGAHGBAIAJK $.

  $( Translate membership in a half-open integer range.  (Contributed by Stefan
     O'Rear, 15-Aug-2015.) $)
  fzoaddel $p |- ( ( A e. ( B ..^ C ) /\ D e. ZZ ) ->
      ( A + D ) e. ( ( B + D ) ..^ ( C + D ) ) ) $=
    ( cfzo co wcel cz wa caddc cle wbr clt elfzoel1 adantr zred elfzoelz zaddcl
    simpr sylan elfzole1 leadd1dd elfzoel2 elfzolt2 ltadd1dd wb elfzo mpbir2and
    syl3anc ) ABCEFGZDHGZIZADJFZBDJFZCDJFZEFGZUNUMKLZUMUOMLZULBADULBUJBHGZUKABC
    NZOPULAUJAHGZUKABCQZOPZULDUJUKSPZUJBAKLUKABCUAOUBULACDVCULCUJCHGZUKABCUCZOP
    VDUJACMLUKABCUDOUEULUMHGZUNHGZUOHGZUPUQURIUFUJVAUKVGVBADRTUJUSUKVHUTBDRTUJV
    EUKVIVFCDRTUMUNUOUGUIUH $.

  $( Translate membership in a 0-based half-open integer range.  (Contributed
     by AV, 30-Apr-2020.) $)
  fzo0addel $p |- ( ( A e. ( 0 ..^ C ) /\ D e. ZZ )
                     -> ( A + D ) e. ( D ..^ ( C + D ) ) ) $=
    ( cc0 cfzo co wcel cz wa caddc fzoaddel wceq cc addid2 eqcomd adantl oveq1d
    zcn syl eleqtrrd ) ADBEFGZCHGZIZACJFDCJFZBCJFZEFCUEEFADBCKUCCUDUEEUBCUDLZUA
    UBCMGZUFCRUGUDCCNOSPQT $.

  $( Translate membership in a 0-based half-open integer range.  (Contributed
     by AV, 30-Apr-2020.) $)
  fzo0addelr $p |- ( ( A e. ( 0 ..^ C ) /\ D e. ZZ )
                     -> ( A + D ) e. ( D ..^ ( D + C ) ) ) $=
    ( cc0 cfzo co wcel cz caddc fzo0addel wceq zcn elfzoel2 zcnd addcom syl2anr
    wa cc oveq2d eleqtrrd ) ADBEFGZCHGZQZACIFCBCIFZEFCCBIFZEFABCJUCUEUDCEUBCRGB
    RGUEUDKUACLUABADBMNCBOPST $.

  $( Translate membership in a shifted-down half-open integer range.
     (Contributed by Stefan O'Rear, 15-Aug-2015.) $)
  fzoaddel2 $p |- ( ( A e. ( 0 ..^ ( B - C ) ) /\ B e. ZZ /\ C e. ZZ ) ->
      ( A + C ) e. ( C ..^ B ) ) $=
    ( cc0 cmin co cfzo wcel cz w3a caddc fzoaddel 3adant2 wceq cc zcn wa addid2
    adantl npcan oveq12d syl2an 3adant1 eleqtrd ) ADBCEFZGFHZBIHZCIHZJACKFZDCKF
    ZUECKFZGFZCBGFZUFUHUIULHUGADUECLMUGUHULUMNZUFUGBOHZCOHZUNUHBPCPUOUPQUJCUKBG
    UPUJCNUOCRSBCTUAUBUCUD $.

  $( Membership of an integer in an extended open range of integers.
     (Contributed by AV, 30-Apr-2020.) $)
  elfzoext $p |- ( ( Z e. ( M ..^ N ) /\ I e. NN0 )
                   -> Z e. ( M ..^ ( N + I ) ) ) $=
    ( cfzo co wcel cn0 caddc cz elfzoel2 wa cuz cfv wss wceq zcn nn0cn addcom
    cc syl2an nn0pzuz ancoms eqeltrd fzoss2 syl sselda expcom mpand imp ) DBCEF
    ZGZAHGZDBCAIFZEFZGZULCJGZUMUPDBCKUQUMLZULUPURUKUODURUNCMNZGUKUOOURUNACIFZUS
    UQCTGATGUNUTPUMCQARCASUAUMUQUTUSGACUBUCUDCBUNUEUFUGUHUIUJ $.

  $( Membership of an increased integer in a correspondingly extended half-open
     range of integers.  (Contributed by AV, 30-Apr-2020.) $)
  elincfzoext $p |- ( ( Z e. ( M ..^ N ) /\ I e. NN0 )
                      -> ( Z + I ) e. ( M ..^ ( N + I ) ) ) $=
    ( cfzo co wcel wa caddc cle wbr clt wi cr zred adantr adantl syl3anc mpd cz
    elfzole1 elfzoelz nn0addge1 sylan elfzoel1 nn0re readdcld exp4b com23 imp31
    cn0 letr exp31 imp elfzoel2 elfzolt2 ltadd1dd nn0z zaddcld elfzo mpbir2and
    wb ) DBCEFGZAUKGZHZDAIFZBCAIFZEFGZBVFJKZVFVGLKZVCVDVIVCBDJKZVDVIMDBCUAVCVKV
    DVIVCVKHZVDHDVFJKZVIVLDNGZVDVMVCVNVKVCDDBCUBZOZPDAUCUDVCVKVDVMVIMZVCVDVKVQV
    CVDVKVMVIVEBNGZVNVFNGVKVMHVIMVCVRVDVCBDBCUEZOPVCVNVDVPPZVEDAVTVDANGVCAUFQZU
    GBDVFULRUHUIUJSUMSUNVEDCAVTVCCNGVDVCCDBCUOZOPWAVCDCLKVDDBCUPPUQVEVFTGBTGZVG
    TGVHVIVJHVBVEDAVCDTGVDVOPVDATGVCAURQZUSVCWCVDVSPVECAVCCTGVDWBPWDUSVFBVGUTRV
    A $.

  $( Translate membership in a half-open integer range.  (Contributed by Stefan
     O'Rear, 15-Aug-2015.) $)
  fzosubel $p |- ( ( A e. ( B ..^ C ) /\ D e. ZZ ) ->
      ( A - D ) e. ( ( B - D ) ..^ ( C - D ) ) ) $=
    ( cfzo co wcel cz wa cneg caddc cmin znegcl fzoaddel sylan2 elfzoelz adantr
    zcnd simpr negsubd elfzoel1 elfzoel2 oveq12d 3eltr3d ) ABCEFGZDHGZIZADJZKFZ
    BUHKFZCUHKFZEFZADLFBDLFZCDLFZEFUFUEUHHGUIULGDMABCUHNOUGADUGAUEAHGUFABCPQRUG
    DUEUFSRZTUGUJUMUKUNEUGBDUGBUEBHGUFABCUAQRUOTUGCDUGCUECHGUFABCUBQRUOTUCUD $.

  $( Membership in a translated half-open integer range implies translated
     membership in the original range.  (Contributed by Stefan O'Rear,
     15-Aug-2015.) $)
  fzosubel2 $p |- ( ( A e. ( ( B + C ) ..^ ( B + D ) ) /\ ( B e. ZZ /\
        C e. ZZ /\ D e. ZZ ) ) -> ( A - B ) e. ( C ..^ D ) ) $=
    ( caddc co cfzo wcel cz w3a cmin fzosubel 3ad2antr1 wceq zcn pncan2 3adant3
    wa cc 3adant2 oveq12d syl3an adantl eleqtrd ) ABCEFZBDEFZGFHZBIHZCIHZDIHZJZ
    RABKFZUEBKFZUFBKFZGFZCDGFZUGUIUHULUOHUJAUEUFBLMUKUOUPNZUGUHBSHZUICSHZUJDSHZ
    UQBOCODOURUSUTJUMCUNDGURUSUMCNUTBCPQURUTUNDNUSBDPTUAUBUCUD $.

  $( Membership in a translated half-open integer range when the original range
     is zero-based.  (Contributed by Stefan O'Rear, 15-Aug-2015.) $)
  fzosubel3 $p |- ( ( A e. ( B ..^ ( B + D ) ) /\ D e. ZZ ) ->
      ( A - B ) e. ( 0 ..^ D ) ) $=
    ( caddc co cfzo wcel cz wa cmin simpl elfzoel1 adantr zcnd addid1d eleqtrrd
    cc0 oveq1d 0zd simpr fzosubel2 syl13anc ) ABBCDEZFEZGZCHGZIZABQDEZUCFEZGBHG
    ZQHGUFABJEQCFEGUGAUDUIUEUFKUGUHBUCFUGBUGBUEUJUFABUCLMZNORPUKUGSUEUFTABQCUAU
    B $.

  $( Membership of the difference of integers in a half-open range of
     nonnegative integers.  (Contributed by Alexander van der Vekens,
     17-Sep-2018.) $)
  eluzgtdifelfzo $p |- ( ( A e. ZZ /\ B e. ZZ )
                         -> ( ( N e. ( ZZ>= ` A ) /\ B < A )
                              -> ( N - A ) e. ( 0 ..^ ( N - B ) ) ) ) $=
    ( cz wcel wa clt wbr cmin co cc0 cfzo caddc simpl adantl adantr ad2antrr cr
    zre cc cuz cfv eluzelz simprr zsubcld ancoms zaddcld posdif syl2anr adantld
    wi biimpd imp resubcl syl2an eluzelre ad2antrl ltaddposd mpbid zcn eluzelcn
    wb w3a addsub12 breq2d syl3anc mpbird elfzo2 syl3anbrc fzosubel3 syl2anc ex
    ) ADEZBDEZFZCAUAUBEZBAGHZFZCAIJKCBIJZLJEZVOVRFZCAAVSMJZLJEZVSDEZVTWAVPWBDEC
    WBGHZWCVRVPVOVPVQNOWAAVSVOVMVRVMVNNPVRVOWDVRVOFCBVPCDEVQVOACUCQVRVMVNUDUEUF
    ZUGWAWECCABIJZMJZGHZWAKWGGHZWIVOVRWJVOVQWJVPVNBREZAREZVQWJUKVMBSZASZWKWLFVQ
    WJBAUHULUIUJUMWAWGCVOWGREZVRVMWLWKWOVNWNWMABUNUOPVPCREVOVQACUPUQURUSWAATEZC
    TEZBTEZWEWIVBVMWPVNVRAUTQVPWQVOVQACVAUQVOWRVRVNWRVMBUTOPWPWQWRVCWBWHCGACBVD
    VEVFVGCAWBVHVIWFCAVSVJVKVL $.

  $( Membership of an integer greater than 1 decreased by 2 in a half-open
     range of nonnegative integers.  (Contributed by Alexander van der Vekens,
     3-Oct-2018.) $)
  ige2m2fzo $p |- ( N e. ( ZZ>= ` 2 ) -> ( N - 2 ) e. ( 0 ..^ ( N - 1 ) ) ) $=
    ( c2 cuz cfv wcel cz c1 wa clt wbr cmin co cc0 cfzo eluzel2 jctir 1lt2 jctr
    1z eluzgtdifelfzo sylc ) ABCDEZBFEZGFEZHUBGBIJZHABKLMAGKLNLEUBUCUDBAOSPUBUE
    QRBGATUA $.

  $( Translate membership in a half-open integer range.  (Contributed by
     Thierry Arnoux, 28-Sep-2018.) $)
  fzocatel $p |- ( ( ( A e. ( 0 ..^ ( B + C ) ) /\ -. A e. ( 0 ..^ B ) )
    /\ ( B e. ZZ /\ C e. ZZ ) ) -> ( A - B ) e. ( 0 ..^ C ) ) $=
    ( cc0 caddc co cfzo wcel wn wa cz cmin simplr wo fzospliti ad2ant2r ord mpd
    simprl zcnd fzosubel syl2anc wceq zcn subidd simprr pncan2d oveq12d eleqtrd
    syl ) ADBCEFZGFHZADBGFHZIZJZBKHZCKHZJZJZABLFZBBLFZUKBLFZGFZDCGFUSABUKGFHZUP
    UTVCHUSUNVDULUNURMUSUMVDULUPUMVDNUNUQADUKBOPQRUOUPUQSZABUKBUAUBUSVADVBCGUSU
    PVADUCVEUPBBUDUEUJUSBCUSBVETUSCUOUPUQUFTUGUHUI $.

  $( If an integer in a 1-based finite set of sequential integers is subtracted
     from the upper bound of this finite set of sequential integers, the result
     is contained in a half-open range of nonnegative integers with the same
     upper bound.  (Contributed by AV, 18-Mar-2018.)  (Revised by AV,
     30-Oct-2018.) $)
  ubmelfzo $p |- ( K e. ( 1 ... N ) -> ( N - K ) e. ( 0 ..^ N ) ) $=
    ( cn wcel cle wbr w3a co cn0 clt cc0 wa wb nnnn0 anim12i 3adant3 mpbid nnre
    syl cr cmin cfz cfzo simp3 nn0sub simp2 nngt0 3ad2ant1 ltsubpos 3jca elfz1b
    c1 elfzo0 3imtr4i ) ACDZBCDZABEFZGZBAUAHZIDZUPUSBJFZGAULBUBHDUSKBUCHDURUTUP
    VAURUQUTUOUPUQUDURAIDZBIDZLZUQUTMUOUPVDUQUOVBUPVCANBNOPABUESQUOUPUQUFURKAJF
    ZVAUOUPVEUQAUGUHURATDZBTDZLZVEVAMUOUPVHUQUOVFUPVGARBROPABUISQUJBAUKUSBUMUN
    $.

  $( If an integer is in a half-open range of nonnegative integers with a
     difference as upper bound, the sum of the integer with the subtrahend of
     the difference is in a half-open range of nonnegative integers containing
     the minuend of the difference.  (Contributed by AV, 13-Nov-2018.) $)
  elfzodifsumelfzo $p |- ( ( M e. ( 0 ... N ) /\ N e. ( 0 ... P ) )
                           -> ( I e. ( 0 ..^ ( N - M ) )
                                -> ( I + M ) e. ( 0 ..^ P ) ) ) $=
    ( cc0 co wcel wi cn0 cle wbr w3a wa clt cz adantr cr nn0re adantl imp caddc
    cfz cmin cfzo elfz2nn0 cn elfzo0 wb nn0z znnsub syl2an simpr simpll syl2anr
    nn0addcl 0red 3jca nn0ge0 anim1i lelttr sylc ex ltletr syl3anc simplbi2 syl
    elnnz exp4b com24 readdcl ltaddsubd exbiri impcomd anasss syl3anbrc sylbird
    syld com13 exp53 3adant3 com14 3imp sylbi 3adant1 com12 ) CEDUBFGZDEAUBFGZB
    EDCUCFZUDFGZBCUAFZEAUDFGZHZWFCIGZDIGZCDJKZLZWGWLHCDUEWGWPWLWGWNAIGZDAJKZLWP
    WLHZDAUEWQWRWSWNWIWPWQWRMZWKWIBIGZWHUFGZBWHNKZLWPWTWKHZHZBWHUGXAXBXCXEWPXBX
    CXAXDWMWNXBXCXAXDHHZHWOWMWNMZXBCDNKZXFWMCOGDOGXHXBUHWNCUIDUICDUJUKXGXHXCXAW
    TWKXGXHMZXCXAMZMZWTMWJIGZAUFGZWJANKZWKXKXLWTXJXAWMXLXIXCXAULWMWNXHUMBCUOUNP
    XKWTXMXIWTXMHZXJXGXHXOXGXHEDNKZXOXGXHXPXIEQGZCQGZDQGZLZECJKZXHMXPXGXTXHXGXQ
    XRXSXGUPWMXRWNCRPZWNXSWMDRZSZUQPXGYAXHWMYAWNCURPUSECDUTVAVBWNXPXOHWMWTXPWNX
    MWQWRXPWNXMHHWQWNXPWRXMWQWNXPWRXMWQWNMZXPWRMZEANKZXMYEXQXSAQGZYFYGHYEUPWNXS
    WQYCSWQYHWNARZPEDAVCVDWQYGXMHZWNWQAOGZYJAUIXMYKYGAVGVEVFPVQVHVITVRSVQTPTXKW
    QWRXNXKWQMZWRMWJQGZXSYHLZWJDNKZWRMXNYLYNWRYLYMXSYHXKYMWQXJBQGZXRYMXIXAYPXCB
    RZSXGXRXHYBPBCVJUNPXKXSWQXIXSXJXGXSXHYDPPPWQYHXKYISUQPYLYOWRXKYOWQXIXJYOXGX
    JYOHXHXGXAXCYOXGXAYOXCXGXAMBCDXAYPXGYQSXGXRXAYBPXGXSXAYDPVKVLVMPTPUSWJDAVCV
    AVNWJAUGVOVSVPVTWAWBWCVRWDWCWEWCT $.

  $( Membership of an integer incremented by one in a half-open range of
     nonnegative integers.  (Contributed by Alexander van der Vekens,
     24-Jun-2018.)  (Proof shortened by AV, 5-Jan-2020.) $)
  elfzom1elp1fzo $p |- ( ( N e. ZZ /\ I e. ( 0 ..^ ( N - 1 ) ) )
                         -> ( I + 1 ) e. ( 0 ..^ N ) ) $=
    ( cz wcel cc0 c1 cmin co cfzo cfz caddc cn0 cle wbr w3a sylibr 3syl wss jca
    wa cn cuz cfv wi elfzofz elfzuz2 elnn0uz cc zcn anim1i expcom sylbir impcom
    elnnnn0 1nn0 a1i nnnn0 nnge1 3jca syl fzossrbm1 adantr fzossfz sstrdi simpr
    elfz2nn0 ssel2 elfzubelfz elfzodifsumelfzo sylc ) BCDZAEBFGHZIHZDZTZFEBJHZD
    ZBVPDZTVNAFKHEBIHZDVOVQVRVOFLDZBLDZFBMNZOZVQVOBUADZWCVNVKWDVNAEVLJHDVLEUBUC
    DZVKWDUDZAEVLUEAEVLUFWEVLLDZWFVLUGVKWGWDVKWGTBUHDZWGTWDVKWHWGBUIUJBUNPUKULQ
    UMWDVTWAWBVTWDUOUPBUQBURUSUTFBVFPVOVMVPRZVNTAVPDVRVOWIVNVOVMVSVPVKVMVSRVNBV
    AVBEBVCVDVKVNVEZSVMVPAVGAEBVHQSWJBAFBVIVJ $.

  $( Membership in a half-open range of nonnegative integers.  (Contributed by
     Alexander van der Vekens, 18-Jun-2018.) $)
  elfzom1elfzo $p |- ( ( N e. ZZ /\ I e. ( 0 ..^ ( N - 1 ) ) )
                       -> I e. ( 0 ..^ N ) ) $=
    ( cz wcel cc0 c1 cmin co cfzo fzossrbm1 sselda ) BCDEBFGHIHEBIHABJK $.

  $( Expressing a closed integer range as a half-open integer range.
     (Contributed by Stefan O'Rear, 15-Aug-2015.) $)
  fzval3 $p |- ( N e. ZZ -> ( M ... N ) = ( M ..^ ( N + 1 ) ) ) $=
    ( cz wcel c1 caddc co cfzo cmin cfz wceq peano2z fzoval syl cc ax-1cn pncan
    zcn sylancl oveq2d eqtr2d ) BCDZABEFGZHGZAUCEIGZJGZABJGUBUCCDUDUFKBLAUCMNUB
    UEBAJUBBODEODUEBKBRPBEQSTUA $.

  $( Translate membership in a 0-based half-open integer range into membership
     in a 1-based finite sequence of integers.  (Contributed by Alexander van
     der Vekens, 23-Nov-2017.) $)
  fz0add1fz1 $p |- ( ( N e. NN0 /\ X e. ( 0 ..^ N ) )
                         -> ( X + 1 ) e. ( 1 ... N ) ) $=
    ( cn0 wcel cc0 cfzo co wa c1 caddc cfz cz 1z fzoaddel mpan2 adantl wb 0p1e1
    oveq1i wceq nn0z fzval3 eqcomd syl eqtrid eleq2d adantr mpbid ) ACDZBEAFGDZ
    HBIJGZEIJGZAIJGZFGZDZUKIAKGZDZUJUOUIUJILDUOMBEAINOPUIUOUQQUJUIUNUPUKUIUNIUM
    FGZUPULIUMFRSUIALDZURUPTAUAUSUPURIAUBUCUDUEUFUGUH $.

  $( Expressing a singleton as a half-open range.  (Contributed by Stefan
     O'Rear, 23-Aug-2015.) $)
  fzosn $p |- ( A e. ZZ -> ( A ..^ ( A + 1 ) ) = { A } ) $=
    ( cz wcel cfz co c1 caddc cfzo csn fzval3 fzsn eqtr3d ) ABCAADEAAFGEHEAIAAJ
    AKL $.

  $( Membership of an integer in the smallest open range of integers.
     (Contributed by Alexander van der Vekens, 22-Sep-2018.) $)
  elfzomin $p |- ( Z e. ZZ -> Z e. ( Z ..^ ( Z + 1 ) ) ) $=
    ( cz wcel csn c1 caddc co cfzo snidg fzosn eleqtrrd ) ABCAADAAEFGHGABIAJK
    $.

  $( Membership of an integer increased by a nonnegative integer in a half-
     open integer range.  (Contributed by Alexander van der Vekens,
     22-Sep-2018.) $)
  zpnn0elfzo $p |- ( ( Z e. ZZ /\ N e. NN0 )
                     -> ( Z + N ) e. ( Z ..^ ( ( Z + N ) + 1 ) ) ) $=
    ( cz wcel cn0 wa cuz cfv caddc cfzo uzid anim1i nn0z zaddcl sylan2 elfzomin
    co c1 syl wss uzaddcl fzoss1 sselda syl2anc ) BCDZAEDZFZBBGHZDZUFFZBAIQZUKU
    KRIQZJQZDZUKBULJQZDUEUIUFBKLUGUKCDZUNUFUEACDUPAMBANOUKPSUJUMUOUKUJUKUHDUMUO
    TABBUAUKBULUBSUCUD $.

  $( Membership of an integer increased by a nonnegative integer in a half-
     open integer range.  (Contributed by Alexander van der Vekens,
     22-Sep-2018.) $)
  zpnn0elfzo1 $p |- ( ( Z e. ZZ /\ N e. NN0 )
                     -> ( Z + N ) e. ( Z ..^ ( Z + ( N + 1 ) ) ) ) $=
    ( cz wcel cn0 wa caddc co c1 cfzo zpnn0elfzo cc adantr nn0cn adantl addassd
    zcn 1cnd oveq2d eleqtrd ) BCDZAEDZFZBAGHZBUDIGHZJHBBAIGHGHZJHABKUCUEUFBJUCB
    AIUABLDUBBQMUBALDUAANOUCRPST $.

  $( Removing a singleton from a half-open integer range at the end.
     (Contributed by Alexander van der Vekens, 23-Mar-2018.) $)
  fzosplitsnm1 $p |- ( ( A e. ZZ /\ B e. ( ZZ>= ` ( A + 1 ) ) ) ->
      ( A ..^ B ) = ( ( A ..^ ( B - 1 ) ) u. { ( B - 1 ) } ) ) $=
    ( cz wcel c1 caddc co cuz cfv wa cfzo cmin cun csn wceq eluzelz zcnd adantl
    cc syl ax-1cn npcan eqcomd sylancl cfz eluzp1m1 peano2zm uzid peano2uz 4syl
    oveq2d elfzuzb sylanbrc fzosplit fzosn uneq2d 3eqtrd ) ACDZBAEFGZHIDZJZABKG
    ABELGZEFGZKGZAVBKGZVBVCKGZMZVEVBNZMVABVCAKVABSDZESDZBVCOUTVIURUTBUSBPZQRUAV
    IVJJVCBBEUBUCUDUKVAVBAVCUEGDZVDVGOVAVBAHIDVCVBHIZDZVLABUFVABCDZVBCDZVBVMDVN
    UTVOURVKRBUGZVBUHVBVBUIUJVBAVCULUMAVCVBUNTVAVFVHVEVAVPVFVHOUTVPURUTVOVPVKVQ
    TRVBUOTUPUQ $.

  $( If an element of a half-open integer range is not less than the upper
     bound of the range decreased by 1, it must be equal to the upper bound of
     the range decreased by 1.  (Contributed by AV, 3-Nov-2018.) $)
  elfzonlteqm1 $p |- ( ( A e. ( 0 ..^ B ) /\ -. A < ( B - 1 ) )
                       -> A = ( B - 1 ) ) $=
    ( cc0 cfzo co wcel c1 cmin clt wbr wn wceq csn cun cuz cfv w3a elfzo0 sylbi
    cn wi cz caddc 0z elnnuz biimpi 0p1e1 fveq2d eleqtrrd 3ad2ant2 fzosplitsnm1
    cn0 a1i sylancr eleq2 elun pm2.24 3ad2ant3 elsni a1d jaoi syl6bi mpcom imp
    wo ) ACBDEZFZABGHEZIJZKZAVHLZVFCVHDEZVHMZNZLZVGVJVKUAZVGCUBFBCGUCEZOPZFZVOU
    DVGAULFZBTFZABIJZQVSABRWAVTVSWBWABGOPZVRWABWCFBUEUFWAVQGOVQGLWAUGUMUHUIUJSC
    BUKUNVOVGAVNFZVPVFVNAUOWDAVLFZAVMFZVEVPAVLVMUPWEVPWFWEVTVHTFZVIQVPAVHRVIVTV
    PWGVIVKUQURSWFVKVJAVHUSUTVASVBVCVD $.

  $( A nonnegative integer is element of the half-open range of nonnegative
     integers with the element increased by one as an upper bound.
     (Contributed by Alexander van der Vekens, 5-Aug-2018.) $)
  fzonn0p1 $p |- ( N e. NN0 -> N e. ( 0 ..^ ( N + 1 ) ) ) $=
    ( cn0 wcel c1 caddc co cn clt wbr cc0 cfzo id nn0p1nn nn0re ltp1d syl3anbrc
    elfzo0 ) ABCZRADEFZGCASHIAJSKFCRLAMRAANOASQP $.

  $( A half-open range of nonnegative integers is a subset of a half-open range
     of nonnegative integers with the upper bound increased by one.
     (Contributed by Alexander van der Vekens, 5-Aug-2018.) $)
  fzossfzop1 $p |- ( N e. NN0 -> ( 0 ..^ N ) C_ ( 0 ..^ ( N + 1 ) ) ) $=
    ( cn0 wcel c1 caddc co cuz cfv cc0 cfzo wss cz cle wbr w3a nn0z peano2z zre
    id syl lep1d 3jca eluz2 sylibr fzoss2 ) ABCZADEFZAGHCZIAJFIUGJFKUFALCZUGLCZ
    AUGMNZOZUHUFUIULAPUIUIUJUKUISAQUIAARUAUBTAUGUCUDAIUGUET $.

  $( If a nonnegative integer is element of a half-open range of nonnegative
     integers, increasing this integer by one results in an element of a half-
     open range of nonnegative integers with the upper bound increased by one.
     (Contributed by Alexander van der Vekens, 5-Aug-2018.) $)
  fzonn0p1p1 $p |- ( I e. ( 0 ..^ N ) -> ( I + 1 ) e. ( 0 ..^ ( N + 1 ) ) ) $=
    ( cc0 cfzo co wcel cn0 cn clt wbr w3a c1 elfzo0 peano2nn0 3ad2ant1 peano2nn
    caddc 3ad2ant2 simp3 cr nn0re nnre 1red ltadd1 syl3an mpbid syl3anbrc sylbi
    wb ) ACBDEFAGFZBHFZABIJZKZALQEZCBLQEZDEFZABMUMUNGFZUOHFZUNUOIJZUPUJUKUQULAN
    OUKUJURULBPRUMULUSUJUKULSUJATFUKBTFULLTFULUSUIAUABUBULUCABLUDUEUFUNUOMUGUH
    $.

  $( Increasing an element of a half-open range of nonnegative integers by 1
     results in an element of the half-open range of nonnegative integers with
     an upper bound increased by 1.  (Contributed by Alexander van der Vekens,
     1-Aug-2018.)  (Proof shortened by Thierry Arnoux, 14-Dec-2023.) $)
  elfzom1p1elfzo $p |- ( ( N e. NN /\ X e. ( 0 ..^ ( N - 1 ) ) ) -> ( X + 1 )
      e. ( 0 ..^ N ) ) $=
    ( cn wcel cz cc0 c1 cmin co cfzo caddc nnz elfzom1elp1fzo sylan ) ACDAEDBFA
    GHIJIDBGKIFAJIDALBAMN $.

  ${
    $d k N $.
    $( Half-open integer ranges starting with 0 are subsets of NN0.
       (Contributed by Thierry Arnoux, 8-Oct-2018.)  (Proof shortened by JJ,
       1-Jun-2021.) $)
    fzo0ssnn0 $p |- ( 0 ..^ N ) C_ NN0 $=
      ( vk cc0 cfzo co cn0 cv elfzonn0 ssriv ) BCADEFBGAHI $.
  $}

  $( Expressing the singleton of ` 0 ` as a half-open integer range.
     (Contributed by Stefan O'Rear, 15-Aug-2015.) $)
  fzo01 $p |- ( 0 ..^ 1 ) = { 0 } $=
    ( cc0 c1 cfzo co caddc csn 1e0p1 oveq2i cz wcel wceq 0z fzosn ax-mp eqtri )
    ABCDAABEDZCDZAFZBPACGHAIJQRKLAMNO $.

  $( A 1-based half-open integer interval up to, but not including, 2 is a
     singleton.  (Contributed by Alexander van der Vekens, 31-Jan-2018.) $)
  fzo12sn $p |- ( 1 ..^ 2 ) = { 1 } $=
    ( c1 c2 cfzo co caddc csn df-2 oveq2i cz wcel wceq 1z fzosn ax-mp eqtri ) A
    BCDAAAEDZCDZAFZBPACGHAIJQRKLAMNO $.

  $( A 1-based half-open integer interval up to, but not including, 3 is a
     pair.  (Contributed by Thierry Arnoux, 11-Jul-2020.) $)
  fzo13pr $p |- ( 1 ..^ 3 ) = { 1 , 2 } $=
    ( c1 c3 cfzo co caddc cpr c2 cmin cfz cz wcel wceq fzoval ax-mp 3m1e2 1p1e2
    3z eqtr4i oveq2i 1z fzpr 3eqtri preq2i eqtri ) ABCDZAAAEDZFZAGFUEABAHDZIDZA
    UFIDZUGBJKUEUILQABMNUHUFAIUHGUFOPRSAJKUJUGLTAUANUBUFGAPUCUD $.

  $( A half-open integer range from 0 to 2 is an unordered pair.  (Contributed
     by Alexander van der Vekens, 4-Dec-2017.) $)
  fzo0to2pr $p |- ( 0 ..^ 2 ) = { 0 , 1 } $=
    ( cc0 c2 cfzo co c1 cmin cfz caddc cz wcel wceq 2z fzoval ax-mp 2m1e1 0p1e1
    cpr eqtr4i oveq2i 0z fzpr preq2i eqtrdi 3eqtri ) ABCDZABEFDZGDZAAEHDZGDZAEQ
    ZBIJUEUGKLABMNUFUHAGUFEUHOPRSAIJZUIUJKTUKUIAUHQUJAUAUHEAPUBUCNUD $.

  $( A half-open integer range from 0 to 3 is an unordered triple.
     (Contributed by Alexander van der Vekens, 9-Nov-2017.) $)
  fzo0to3tp $p |- ( 0 ..^ 3 ) = { 0 , 1 , 2 } $=
    ( cc0 c3 cfzo co c1 cmin cfz c2 caddc ctp cz wcel 3z fzoval ax-mp 3m1e2 2cn
    wceq addid2i a1i eqtr4i oveq2i 0z fztp eqidd 0p1e1 tpeq123d eqtrd 3eqtri )
    ABCDZABEFDZGDZAAHIDZGDZAEHJZBKLUJULRMABNOUKUMAGUKHUMPHQSZUAUBAKLZUNUORUCUQU
    NAAEIDZUMJUOAUDUQAAUREUMHUQAUEURERUQUFTUMHRUQUPTUGUHOUI $.

  $( A half-open integer range from 0 to 4 is a union of two unordered pairs.
     (Contributed by Alexander van der Vekens, 17-Nov-2017.) $)
  fzo0to42pr $p |- ( 0 ..^ 4 ) = ( { 0 , 1 } u. { 2 , 3 } ) $=
    ( cc0 c4 cfzo co c2 cun c1 cpr c3 cfz wcel wceq cn0 cle wbr 2nn0 4nn0 ax-mp
    cz eqtri 2re 2lt4 ltleii elfz2nn0 mpbir3an fzosplit fzo0to2pr cmin caddc 4z
    4re fzoval 4m1e3 df-3 oveq2i 2z fzpr 2p1e3 preq2i 3eqtri uneq12i ) ABCDZAEC
    DZEBCDZFZAGHZEIHZFEABJDKZVBVELVHEMKBMKEBNOPQEBUAUKUBUCEBUDUEABEUFRVCVFVDVGU
    GVDEBGUHDZJDZEEGUIDZHZVGBSKVDVJLUJEBULRVJEVKJDZVLVIVKEJVIIVKUMUNTUOESKVMVLL
    UPEUQRTVKIEURUSUTVAT $.

  $( A half-open integer range from 1 to 4 is an unordered triple.
     (Contributed by AV, 28-Jul-2021.) $)
  fzo1to4tp $p |- ( 1 ..^ 4 ) = { 1 , 2 , 3 } $=
    ( c1 c4 cfzo co cmin cfz c2 caddc c3 ctp cz wcel wceq 4z fzoval ax-mp 4m1e3
    df-3 3eqtri a1i ax-1cn addcomi oveq2i fztp eqidd 1p1e2 1p2e3 tpeq123d eqtrd
    2cn 1z ) ABCDZABAEDZFDZAAGHDZFDZAGIJZBKLULUNMNABOPUMUOAFUMIGAHDUOQRGAUJUAUB
    SUCAKLZUPUQMUKURUPAAAHDZUOJUQAUDURAAUSGUOIURAUEUSGMURUFTUOIMURUGTUHUIPS $.

  $( A half-open range of nonnegative integers is the union of the singleton
     set containing 0 and a half-open range of positive integers.  (Contributed
     by Alexander van der Vekens, 18-May-2018.) $)
  fzo0sn0fzo1 $p |- ( N e. NN -> ( 0 ..^ N ) = ( { 0 } u. ( 1 ..^ N ) ) ) $=
    ( cn wcel cc0 cfzo co c1 cun csn cfz wceq cn0 cle 1nn0 nnnn0 nnge1 elfz2nn0
    wbr a1i syl3anbrc fzosplit syl fzo01 uneq1d eqtrd ) ABCZDAEFZDGEFZGAEFZHZDI
    ZUIHUFGDAJFCZUGUJKUFGLCZALCGAMRULUMUFNSAOAPGAQTDAGUAUBUFUHUKUIUHUKKUFUCSUDU
    E $.

  $( A member of a half-open range of nonnegative integers is either 0 or a
     member of the corresponding half-open range of positive integers.
     (Contributed by AV, 5-Feb-2021.) $)
  elfzo0l $p |- ( K e. ( 0 ..^ N ) -> ( K = 0 \/ K e. ( 1 ..^ N ) ) ) $=
    ( cn wcel cc0 cfzo co wceq c1 wo cn0 clt wbr elfzo0 simp2bi csn fzo0sn0fzo1
    cun eleq2d elun elsni orim1i sylbi syl6bi mpcom ) BCDZAEBFGZDZAEHZAIBFGZDZJ
    ZUHAKDUFABLMABNOUFUHAEPZUJRZDZULUFUGUNABQSUOAUMDZUKJULAUMUJTUPUIUKAEUAUBUCU
    DUE $.

  $( The endpoint of a half-open integer range.  (Contributed by Mario
     Carneiro, 29-Sep-2015.) $)
  fzoend $p |- ( A e. ( A ..^ B ) -> ( B - 1 ) e. ( A ..^ B ) ) $=
    ( cfzo co wcel c1 cmin cfz cuz cfv wceq elfzoel2 fzoval syl eleqtrd elfzuz3
    id cz eluzfz2 eleqtrrd ) AABCDZEZBFGDZAUCHDZUAUBUCAIJEZUCUDEUBAUDEUEUBAUAUD
    UBQUBBREUAUDKAABLABMNZOAAUCPNAUCSNUFT $.

  $( The endpoint of a zero-based half-open range.  (Contributed by Stefan
     O'Rear, 27-Aug-2015.)  (Revised by Mario Carneiro, 29-Sep-2015.) $)
  fzo0end $p |- ( B e. NN -> ( B - 1 ) e. ( 0 ..^ B ) ) $=
    ( cn wcel cc0 cfzo co c1 cmin lbfzo0 fzoend sylbir ) ABCDDAEFZCAGHFLCAIDAJK
    $.

  $( Subset relationship for half-open integer ranges.  (Contributed by
     Alexander van der Vekens, 16-Mar-2018.) $)
  ssfzo12 $p |- ( ( K e. ZZ /\ L e. ZZ /\ K < L )
                 -> ( ( K ..^ L ) C_ ( M ..^ N ) -> ( M <_ K /\ L <_ N ) ) ) $=
    ( cfzo co wcel cz clt wbr w3a wss cle wa wi fzolb2 biimp3ar ssel2 ex mpcom
    c1 cmin fzoend elfzolt2 wb simp2 elfzoel2 zlem1lt elfzole1 pm3.2 syl adantr
    syl2anr sylbird com13 3syl com24 syl5com pm2.43a com14 ) AABEFZGZAHGZBHGZAB
    IJZKZVACDEFZLZCAMJZBDMJZNZOZVCVDVBVEABPQBUAUBFZVAGZVBVFVLOABUCVHVBVFVNVKVBV
    HVFVNVKOOZVHVBVHVOOVHVBNAVGGZVHVOVAVGARVHVNVFVPVKVHVNVFVPVKOOZVHVNNVMVGGVMD
    IJZVQVAVGVMRVMCDUDVPVFVRVKVPVFVRVKOVPVFNVRVJVKVFVDDHGVJVRUEVPVCVDVEUFACDUGB
    DUHUMVPVJVKOZVFVPVIVSACDUIVIVJUJUKULUNSUOUPSUQURSUSUTTT $.

  $( If a half-open integer range is a subset of a half-open range of
     nonnegative integers, but its lower bound is greater than or equal to the
     upper bound of the containing range, or its upper bound is less than or
     equal to 0, then its upper bound is less than or equal to its lower bound
     (and therefore it is actually empty).  (Contributed by Alexander van der
     Vekens, 24-May-2018.) $)
  ssfzoulel $p |- ( ( N e. NN0 /\ A e. ZZ /\ B e. ZZ )
                         -> ( ( N <_ A \/ B <_ 0 )
                            -> ( ( A ..^ B ) C_ ( 0 ..^ N ) -> B <_ A ) ) ) $=
    ( wcel cz w3a cle wbr cc0 cfzo co wi wa wn cr zre 3adant1 syl3anc letr imp
    cn0 wo wss simpl2 simpl3 wb ltnle syl2an biimpar ssfzo12 adantl 0red adantr
    clt expcomd con3d ex com23 nn0re 3anim123i 3coml syl expdimp impancom ioran
    anim12d biancomi syl6ibr syld con2d con4d ) CUADZAEDZBEDZFZCAGHZBIGHZUBZABJ
    KICJKUCZBAGHZLVOVRMVTVSVOVTNZVRVSNVOWAMZVSVRWBVSIAGHZBCGHZMZVRNZWBVMVNABUNH
    ZVSWELVLVMVNWAUDVLVMVNWAUEVOWGWAVMVNWGWAUFZVLVMAODZBODZWHVNAPZBPZABUGUHQUIA
    BICUJRWBWEVQNZVPNZMWFWBWCWMWDWNVOWAWCWMLVOWCWAWMVMVNWCWAWMLZLVLVMVNMZWCWOWP
    WCMVQVTWPWCVQVTLWPVQWCVTWPWJIODWIVQWCMVTLVNWJVMWLUKWPULVMWIVNWKUMBIASRUOTUP
    UQQURTVOWDWAWNVOWDMVPVTVOWDVPVTVOWJCODZWIFZWDVPMVTLVNVLVMWRVNWJVLWQVMWIWLCU
    SWKUTVABCASVBVCUPVDVFWFWMWNVPVQVEVGVHVIVJVDVKUQ $.

  ${
    $d K x $.  $d L x $.  $d M x $.  $d N x $.
    $( Subset relationship for half-open integer ranges.  (Contributed by
       Alexander van der Vekens, 5-Nov-2018.) $)
    ssfzo12bi $p |- ( ( ( K e. ZZ /\ L e. ZZ ) /\ ( M e. ZZ /\ N e. ZZ )
                        /\ K < L )
                -> ( ( K ..^ L ) C_ ( M ..^ N ) <-> ( M <_ K /\ L <_ N ) ) ) $=
      ( vx cz wcel wa clt wbr w3a cfzo cle wi adantr cr zre adantl imp com12 co
      wss df-3an biimpri 3adant2 ssfzo12 syl cv cuz elfzo2 eluz2 simprrl simpll
      cfv letr syl2an23an 3jca exp31 com23 expdimp impancom com13 impcom sylibr
      3adant3 simpl2r ad3antlr ltletr syl3anc expcomd adantld syl3anbrc 3adant1
      ex sylbi ssrdv impbid ) AFGZBFGZHZCFGZDFGZHZABIJZKZABLUAZCDLUAZUBZCAMJZBD
      MJZHZWEVRVSWDKZWHWKNVTWDWLWCWLVTWDHVRVSWDUCUDUEABCDUFUGWEWKWHWEWKHZEWFWGE
      UHZWFGZWMWNWGGZWOWNAUIUNGZVSWNBIJZKWMWPNZWNABUJWQWRWSVSWQWRWSWQVRWNFGZAWN
      MJZKWRWSNZAWNUKWTXAXBVRWTXAHZWRWMWPXCWRHZWMHZWNCUIUNGZWBWNDIJZWPXEWAWTCWN
      MJZKZXFXDWMXIXCWMXINWRWMXCXIWKWEXCXINZWIWEXJNWJWEWIXJVTWCWIXJNWDXCWIVTWCH
      ZXIWTWIXAXKXINZWTWIXAXLWTXKWIXAHZXIWTXKXMXIWTXKHZXMHWAWTXHXNWAXMWTVTWAWBU
      LOWTXKXMUMXNXMXHXKCPGZAPGZWTWNPGZXMXHNWCXOVTWAXOWBCQORVTXPWCVRXPVSAQOOWTX
      QXKWNQZOCAWNUOUPSUQURUSUTVAVBVETOVCTOSCWNUKVDWMWBXDWAWBVTWDWKVFRXDWMXGXCW
      RWMXGNZWTWRXSNXAWMWRWTXGWEWKWRWTXGNZNZWEWJYAWIWEWRWJXTVTWCWRWJHZXTNWDXKWT
      YBXGXKWTYBXGNZXKWTHXQBPGZDPGZYCWTXQXKXRRVSYDVRWCWTBQVGXKYEWTWCYEVTWBYEWAD
      QRROWNBDVHVIVNUSVEVJVKSVBOSSWNCDUJVLURVMVOSUEVOTVPVNVQ $.
  $}

  $( The result of subtracting 1 and an integer of a half-open range of
     nonnegative integers from the upper bound of this range is contained in
     this range.  (Contributed by AV, 23-Mar-2018.)  (Revised by AV,
     30-Oct-2018.) $)
  ubmelm1fzo $p |- ( K e. ( 0 ..^ N ) -> ( ( N - K ) - 1 ) e. ( 0 ..^ N ) ) $=
    ( cc0 co wcel cn0 cn clt wbr cmin c1 elfzo0 cz wa adantr adantl syl 3adant3
    wb cr cfzo w3a cle nnz zsubcld ancoms peano2zm simp3 anim12i znnsub nnm1ge0
    nn0z mpbid elnn0z sylanbrc simp2 caddc cc nncn nn0cn 1cnd subsub4d nn0p1gt0
    nn0re peano2re nnre ltsubpos syl2an eqbrtrd syl3anbrc sylbi ) ACBUADZEAFEZB
    GEZABHIZUBZBAJDZKJDZVLEZABLVPVRFEZVNVRBHIZVSVPVRMEZCVRUCIZVTVMVNWBVOVMVNNZV
    QMEZWBVNVMWEVNVMNBAVNBMEZVMBUDZOVMAMEZVNAULZPUEUFVQUGQRVPVQGEZWCVPVOWJVMVNV
    OUHVPWHWFNZVOWJSVMVNWKVOVMWHVNWFWIWGUIRABUJQUMVQUKQVRUNUOVMVNVOUPVMVNWAVOWD
    VRBAKUQDZJDZBHWDBAKVNBUREVMBUSPVMAUREVNAUTOWDVAVBWDCWLHIZWMBHIZVMWNVNAVCOVM
    WLTEZBTEWNWOSVNVMATEWPAVDAVEQBVFWLBVGVHUMVIRVRBLVJVK $.

  $( If a point is in a half-open range, the next point is in the closed range.
     (Contributed by Stefan O'Rear, 23-Aug-2015.) $)
  fzofzp1 $p |- ( C e. ( A ..^ B ) -> ( C + 1 ) e. ( A ... B ) ) $=
    ( cfzo co wcel c1 caddc cfz cz cuz cfv wss elfzoel1 uzid peano2uz fzoss1 1z
    4syl fzoaddel mpan2 sseldd wceq elfzoel2 fzval3 syl eleqtrrd ) CABDEFZCGHEZ
    ABGHEZDEZABIEZUHAGHEZUJDEZUKUIUHAJFAAKLZFUMUOFUNUKMCABNAOAAPUMAUJQSUHGJFUIU
    NFRCABGTUAUBUHBJFULUKUCCABUDABUEUFUG $.

  $( If a point is in a half-open range, the next point is in the closed range.
     (Contributed by Mario Carneiro, 27-Sep-2015.) $)
  fzofzp1b $p |- ( C e. ( ZZ>= ` A ) ->
      ( C e. ( A ..^ B ) <-> ( C + 1 ) e. ( A ... B ) ) ) $=
    ( cuz cfv wcel cfzo co c1 caddc fzofzp1 cmin simpl eluzelz elfzuz3 eluzp1m1
    cfz wa cz syl2an elfzuzb sylanbrc wceq elfzel2 adantl fzoval syl ex impbid2
    eleqtrrd ) CADEFZCABGHZFZCIJHZABQHFZABCKUKUOUMUKUORZCABILHZQHZULUPUKUQCDEFZ
    CURFUKUOMUKCSFBUNDEFUSUOACNUNABOCBPTCAUQUAUBUPBSFZULURUCUOUTUKUNABUDUEABUFU
    GUJUHUI $.

  $( An integer is a member of a 1-based finite set of sequential integers iff
     its predecessor is a member of the corresponding 0-based set.
     (Contributed by Mario Carneiro, 27-Sep-2015.) $)
  elfzom1b $p |- ( ( K e. ZZ /\ N e. ZZ ) ->
      ( K e. ( 1 ..^ N ) <-> ( K - 1 ) e. ( 0 ..^ ( N - 1 ) ) ) ) $=
    ( cz wcel wa c1 cmin co cfz cc0 cfzo wb peano2zm elfzm1b sylan2 wceq fzoval
    adantl eleq2d syl 3bitr4d ) ACDZBCDZEZAFBFGHZIHZDZAFGHZJUEFGHIHZDZAFBKHZDUH
    JUEKHZDUCUBUECDZUGUJLBMZAUENOUDUKUFAUCUKUFPUBFBQRSUDULUIUHUDUMULUIPUCUMUBUN
    RJUEQTSUA $.

  $( Membership of a nonnegative integer incremented by one in a half-open
     range of positive integers.  (Contributed by AV, 20-Mar-2021.) $)
  elfzom1elp1fzo1 $p |- ( ( N e. ZZ /\ I e. ( 0 ..^ ( N - 1 ) ) )
                          -> ( I + 1 ) e. ( 1 ..^ N ) ) $=
    ( cz wcel cc0 c1 cmin co cfzo wa caddc cc wceq elfzoelz zcnd pncan1 eqeltrd
    syl id adantl wb peano2zd anim1i ancoms elfzom1b mpbird ) BCDZAEBFGHZIHZDZJ
    ZAFKHZFBIHDZULFGHZUIDZUJUOUGUJUNAUIUJALDUNAMUJAAEUHNZOAPRUJSQTUKULCDZUGJZUM
    UOUAUJUGURUJUQUGUJAUPUBUCUDULBUERUF $.

  $( Membership of a positive integer decremented by one in a half-open range
     of nonnegative integers.  (Contributed by AV, 20-Mar-2021.) $)
  elfzo1elm1fzo0 $p |- ( I e. ( 1 ..^ N )
                          -> ( I - 1 ) e. ( 0 ..^ ( N - 1 ) ) ) $=
    ( cz wcel wa c1 cfzo cmin cc0 elfzoelz elfzoel2 jca elfzom1b biimpd mpcom
    co ) ACDZBCDZEZAFBGPDZAFHPIBFHPGPDZTQRAFBJAFBKLSTUAABMNO $.

  $( If an element of a half-open integer range is not contained in the lower
     subrange, it must be in the upper subrange.  (Contributed by Alexander van
     der Vekens, 30-Mar-2018.) $)
  elfzonelfzo $p |- ( N e. ZZ -> ( ( K e. ( M ..^ R ) /\ -. K e. ( M ..^ N ) )
                                   -> K e. ( N ..^ R ) ) ) $=
    ( cfzo co wcel wn wa cz cuz cfv clt wbr w3a wi elfzo2 3ad2ant1 cr ex cle wb
    simpr eluzelz ad2antrr eluzelre zre ltnle syl2an 3expa sylibr sylbird con1d
    id com23 imp31 eluz2 syl3anbrc simpll2 simpll3 sylanb com12 ) BCAEFGZBCDEFG
    ZHZIDJGZBDAEFGZVCBCKLGZAJGZBAMNZOZVEVFVGPBCAQVKVEIZVFVGVLVFIZBDKLGZVIVJVGVM
    VFBJGZDBUANZVNVLVFUCVKVOVEVFVHVIVOVJCBUDRUEVKVEVFVPVHVIVEVFVPPPVJVHVFVEVPVH
    VFVEVPPVHVFIZVPVDVQVPHZBDMNZVDVHBSGDSGVSVRUBVFCBUFDUGBDUHUIVQVSVDVQVSIVHVFV
    SOZVDVHVFVSVTVTUNUJBCDQUKTULUMTUORUPDBUQURVHVIVJVEVFUSVHVIVJVEVFUTBDAQURTVA
    VB $.

  $( If an element of a half-open integer range is not in the upper part of the
     range, it is in the lower part of the range.  (Contributed by Alexander
     van der Vekens, 29-Oct-2018.) $)
  fzonfzoufzol $p |- ( ( M e. ZZ /\ M < N /\ I e. ( 0 ..^ N ) )
                       -> ( -. I e. ( ( N - M ) ..^ N )
                            -> I e. ( 0 ..^ ( N - M ) ) ) ) $=
    ( cz wcel clt wbr cc0 cfzo co w3a cmin wn wa wi elfzoel2 zsubcl syl impcom
    ex 3adant2 adantr simp3 anim1i elfzonelfzo sylc con1d ) BDEZBCFGZAHCIJEZKZA
    HCBLJZIJEZAULCIJEZUKUMMZUNUKUONULDEZUJUONUNUKUPUOUHUJUPUIUJUHUPUJCDEZUHUPOA
    HCPUQUHUPCBQTRSUAUBUKUJUOUHUIUJUCUDCAHULUEUFTUG $.

  $( An integer increased by another integer is an element of a half-open
     integer range if and only if the integer is contained in the half-open
     integer range with bounds decreased by the other integer.  (Contributed by
     Alexander van der Vekens, 30-Mar-2018.) $)
  elfzomelpfzo $p |- ( ( ( M e. ZZ /\ N e. ZZ ) /\ ( K e. ZZ /\ L e. ZZ ) )
      -> ( K e. ( ( M - L ) ..^ ( N - L ) ) <-> ( K + L ) e. ( M ..^ N ) ) ) $=
    ( cz wcel wa cmin co cuz cfv clt wbr w3a cfzo adantr 2thd adantl cr zre cle
    caddc zsubcl ad2ant2rl simpl zaddcl lesubaddd eluz2 3bitr4g ad2ant2l simplr
    3anbi123d ltaddsubd bicomd elfzo2 ) CEFZDEFZGZAEFZBEFZGZGZACBHIZJKFZDBHIZEF
    ZAVELMZNABUBIZCJKFZUQVHDLMZNAVCVEOIFVHCDOIFVBVDVIVFUQVGVJVBVCEFZUSVCAUAMZNU
    PVHEFZCVHUAMZNVDVIVBVKUPUSVMVLVNVBVKUPUPUTVKUQUSCBUCUDURUPVAUPUQUEPQVBUSVMV
    AUSURUSUTUERVAVMURABUFRQVBCBAURCSFZVAUPVOUQCTPPVABSFZURUTVPUSBTRRZVAASFZURU
    SVRUTATPRZUGULVCAUHCVHUHUIVBVFUQUQUTVFUPUSDBUCUJUPUQVAUKQVBVJVGVBABDVSVQURD
    SFZVAUQVTUPDTRPUMUNULAVCVEUOVHCDUOUI $.

  $( A value in a finite set of sequential integers is a border value if it is
     not contained in the half-open integer range contained in the finite set
     of sequential integers.  (Contributed by Alexander van der Vekens,
     31-Oct-2017.)  (Revised by Thierry Arnoux, 22-Dec-2021.) $)
  elfznelfzo $p |- ( ( M e. ( 0 ... K ) /\ -. M e. ( 1 ..^ K ) )
                     -> ( M = 0 \/ M = K ) ) $=
    ( cc0 co wcel c1 wn wbr wi wa wb syl clt sylbi ex imp com12 adantr sylbid
    cr cfz cfzo wceq wo cn0 cle w3a elfz2nn0 cmin nn0z anim12i 3adant3 elfzom1b
    cz notbid cn elfzo0 a1i w3o 3ianor elnnne0 df-ne anbi2i bitr2i nnm1nn0 orcd
    wne con1d 3ad2ant1 ioran nn1m1nn necom nn0re ad2antlr simpr leltned bitr4id
    breq1 biimpa 1red ltsub1d 1m1e0 breq1i 1zzd elnnz sylanbrc syl5bi syl5 expd
    zsubcld exp31 com14 sylbir com23 com13 adantl lesub1d 0red peano2rem ltletr
    nngt0 syl3anc com24 imp41 jaoi pm2.43a 3imp com3l 3jca ltsub1 bicomd eqlelt
    a1d syl2an biimpar olcd exp43 3jaoi ) BCAUADEZBFAUBDEZGZBCUCZBAUCZUDZXSBUEE
    ZAUEEZBAUFHZUGZYAYDIBAUHYHYABFUIDZCAFUIDZUBDEZGZYDYHXTYKYHBUNEZAUNEZJZXTYKK
    YEYFYOYGYEYMYFYNBUJAUJZUKULBAUMLUOYHYLYIUEEZYJUPEZYIYJMHZUGZGZYDYHYKYTYKYTK
    YHYIYJUQURUOUUAYHYDUUAYQGZYRGZYSGZUSYHYDIZYQYRYSUTUUBUUEUUCUUDYHUUBYDYEYFUU
    BYDIYGYEUUBYDYEUUBJYBYCYEUUBYBYEYBYQYEYBGZYQYEUUFJZBUPEZYQUUHYEBCVGZJZUUGBV
    AZUUIUUFYEBCVBZVCVDBVENOVHPVFOVIQYHUUCYDYHYDYRYDGZYHYRUUMUUFYCGZJYHYRIZYBYC
    VJUUFUUNUUOUUFUUIUUNUUOIUULYHUUIUUNYRYEYFYGUUIUUNYRIZIYEUUIYGYFUUPUUIYEYGYF
    UUPIZIZYEUUIYEUURIZUUJUUHUUSUUKUUHBFUCZYIUPEZUDUUSBVKUUTUUSUVAYGYEUUTUUQYFY
    EUUTYGUUPYFYEUUTYGUUPIZIUUNUUTYGYFYEJZYRUUNYGUUTUVCYRIZUUNBAVGZYGUUTUVDIIBA
    VBUVCYGUUTUVEYRUVCYGUUTUVEYRIUVCYGJZUUTJUVEBAMHZYRUVFUVEUVGKUUTUVFUVEABVGUV
    GBAVLUVFBAYEBTEZYFYGBVMZVNUVCATEZYGYFUVJYEAVMZRZRUVCYGVOVPVQRUVFUUTUVGYRIZU
    VCUUTUVMIYGUVCUUTUVGYRUUTUVGJFAMHZUVCYRUUTUVGUVNBFAMVRVSUVCUVNFFUIDZYJMHZYR
    UVCFAFUVCVTZUVLUVQWAUVPCYJMHZUVCYRUVOCYJMWBWCUVCUVRYRUVCUVRJYJUNEZUVRYRUVCU
    VSUVRYFUVSYEYFAFYPYFWDWJRRUVCUVRVOYJWEZWFOWGSWHWIRPSWKWLWMWNWLOWLWOUVAYEUUR
    UVAYEJZYFYGUUPUWAYFUVBUWAYFJZYGYIYJUFHZUUPUWBBAFYEUVHUVAYFUVIVNYFUVJUWAUVKW
    PUWBVTWQUWBUWCUUPUWBUWCJZYRUUNUWDUVSUVRYRUWDAFYFYNUWAUWCYPVNUWDWDWJUVAYEYFU
    WCUVRUVACYIMHZYEYFUWCUVRIIIYIXAUWEUWCYFYEUVRUWEUWCYFYEUVRIIYEYFUWEUWCJZUVRY
    EYFUWFUVRIZYEYFJZCTEYITEZYJTEZUWGUWHWRYEUWIYFYEUVHUWIUVIBWSLRYFUWJYEYFUVJUW
    JUVKAWSLWPCYIYJWTXBOWOOXCLXDUVTWFXMOSOWNOXELWMOXFXCXGXHWMPNQVHQYHUUDYDYHUUD
    UVGGZYDYHYSUVGYHUVGYSYHUVHUVJFTEZUGZUVGYSKYEYFUWMYGUWHUVHUVJUWLYEUVHYFUVIRY
    FUVJYEUVKWPUWHVTXIULBAFXJLXKUOYEYFYGUWKYDIYEYFYGUWKYDUWHYGUWKJZJYCYBUWHYCUW
    NYEUVHUVJYCUWNKYFUVIUVKBAXLXNXOXPXQXGSQXRNQSSNP $.

  $( A value in a finite set of sequential integers is a border value if and
     only if it is not contained in the half-open integer range contained in
     the finite set of sequential integers.  (Contributed by Alexander van der
     Vekens, 17-Jan-2018.)  (Revised by Thierry Arnoux, 22-Dec-2021.) $)
  elfznelfzob $p |- ( M e. ( 0 ... K ) -> ( -. M e. ( 1 ..^ K )
                      <-> ( M = 0 \/ M = K ) ) ) $=
    ( cc0 co wcel c1 wn wceq ex wi wa cle wbr clt cz cr zre adantl con2d wne wo
    cfz cfzo elfznelfzo elfzole1 elfzolt2 elfzoel2 elfzoelz breq1 mpbiri ltnled
    0lt1 1red syl5ib wb ltlen syl2anr necom df-ne sylbb syl6bi com23 impcom imp
    jctird syl21anc mpd ioran sylibr a1i impbid ) BCAUBDEZBFAUCDEZGZBCHZBAHZUAZ
    VLVNVQABUDIVLVMVQVMVQGZJVLVMVOGZVPGZKZVRVMFBLMZWABFAUEVMBANMZAOEZBOEZWBWAJB
    FAUFBFAUGBFAUHWCWDKZWEKZWBVSVTWGVOWBVOBFNMZWGWBGVOWHCFNMULBCFNUIUJWGBFWEBPE
    ZWFBQZRWGUMUKUNSWFWEVTWDWCWEVTJWDWEWCVTWDWEWCVTJWDWEKWCBALMZABTZKZVTWEWIAPE
    WCWMUOWDWJAQBAUPUQWLVTWKWLBATVTABURBAUSUTRVAIVBVCVDVEVFVGVOVPVHVIVJSVK $.

  $( A Peano-postulate-like theorem for downward closure of a half-open integer
     range.  (Contributed by Mario Carneiro, 1-Oct-2015.) $)
  peano2fzor $p |- ( ( K e. ( ZZ>= ` M ) /\ ( K + 1 ) e. ( M ..^ N ) ) ->
    K e. ( M ..^ N ) ) $=
    ( cuz cfv wcel c1 caddc co cfzo wa cmin cfz simpr cz elfzoel2 adantl fzoval
    wceq syl eleqtrd peano2fzr syldan eleqtrrd ) ABDEFZAGHIZBCJIZFZKZABCGLIZMIZ
    UGUEUHUFUKFAUKFUIUFUGUKUEUHNUICOFZUGUKSUHULUEUFBCPQBCRTZUAABUJUBUCUMUD $.

  $( Extending a half-open range by a singleton on the end.  (Contributed by
     Stefan O'Rear, 23-Aug-2015.) $)
  fzosplitsn $p |- ( B e. ( ZZ>= ` A ) ->
      ( A ..^ ( B + 1 ) ) = ( ( A ..^ B ) u. { B } ) ) $=
    ( cuz cfv wcel c1 caddc co cfzo cun csn cfz wceq eluzelz uzid peano2uz 3syl
    id cz syl elfzuzb sylanbrc fzosplit fzosn uneq2d eqtrd ) BACDEZABFGHZIHZABI
    HZBUHIHZJZUJBKZJUGBAUHLHEZUIULMUGUGUHBCDZEZUNUGRUGBSEZBUOEUPABNZBOBBPQBAUHU
    AUBAUHBUCTUGUKUMUJUGUQUKUMMURBUDTUEUF $.

  $( Extending a half-open integer range by an unordered pair at the end.
     (Contributed by Alexander van der Vekens, 22-Sep-2018.) $)
  fzosplitpr $p |- ( B e. ( ZZ>= ` A ) ->
      ( A ..^ ( B + 2 ) ) = ( ( A ..^ B ) u. { B , ( B + 1 ) } ) ) $=
    ( cuz cfv wcel c2 caddc co cfzo csn cun cpr wceq df-2 a1i oveq2d fzosplitsn
    c1 cc 3eqtrd eluzelcn 1cnd add32r syl3anc eqtrd peano2uz uneq1d unass df-pr
    syl eqcomi uneq2d ) BACDZEZABFGHZIHABRGHZRGHZIHZAUPIHZUPJZKZABIHZBUPLZKZUNU
    OUQAIUNUOBRRGHZGHZUQUNFVEBGFVEMUNNOPUNBSERSEZVGVFUQMABUAUNUBZVHBRRUCUDUEPUN
    UPUMEURVAMABUFAUPQUJUNVAVBBJZKZUTKZVBVIUTKZKZVDUNUSVJUTABQUGVKVMMUNVBVIUTUH
    OUNVLVCVBVLVCMUNVCVLBUPUIUKOULTT $.

  $( Extending a half-open integer range by an unordered pair at the end.
     (Contributed by Alexander van der Vekens, 22-Sep-2018.)  (Proof shortened
     by AV, 25-Jun-2022.) $)
  fzosplitprm1 $p |- ( ( A e. ZZ /\ B e. ZZ /\ A < B ) ->
      ( A ..^ ( B + 1 ) ) = ( ( A ..^ ( B - 1 ) ) u. { ( B - 1 ) , B } ) ) $=
    ( cz wcel clt wbr w3a c1 caddc co cfzo cmin cpr cun c2 cuz cfv 3ad2ant2 syl
    wceq cle simp1 peano2zm zltlem1 biimp3a eluz2 syl3anbrc fzosplitpr zcn 1cnd
    wb 2cnd subadd23d oveq2i eqtr2di oveq2d npcan1 eqcomd preq2d uneq2d eqeq12d
    2m1e1 cc mpbird ) ACDZBCDZABEFZGZABHIJZKJZABHLJZKJZVKBMZNZTZAVKOIJZKJZVLVKV
    KHIJZMZNZTZVHVKAPQDZWAVHVEVKCDZAVKUAFZWBVEVFVGUBVFVEWCVGBUCRVEVFVGWDABUDUEA
    VKUFUGAVKUHSVFVEVOWAUKVGVFVJVQVNVTVFVIVPAKVFVPBOHLJZIJVIVFBHOBUIZVFUJVFULUM
    WEHBIVBUNUOUPVFVMVSVLVFBVRVKVFVRBVFBVCDVRBTWFBUQSURUSUTVARVD $.

  $( Membership in a half-open range extended by a singleton.  (Contributed by
     Stefan O'Rear, 23-Aug-2015.) $)
  fzosplitsni $p |- ( B e. ( ZZ>= ` A ) -> ( C e. ( A ..^ ( B + 1 ) ) <->
        ( C e. ( A ..^ B ) \/ C = B ) ) ) $=
    ( cuz cfv wcel c1 caddc co cfzo csn wceq wo fzosplitsn eleq2d elsn2g orbi2d
    cun elun syl5bb bitrd ) BADEZFZCABGHIJIZFCABJIZBKZRZFZCUEFZCBLZMZUCUDUGCABN
    OUHUICUFFZMUCUKCUEUFSUCULUJUICBUBPQTUA $.

  $( A finite interval of integers as union of a half-open integer range and a
     singleton.  (Contributed by Alexander van der Vekens, 15-Jun-2018.) $)
  fzisfzounsn $p |- ( B e. ( ZZ>= ` A )
                      -> ( A ... B ) = ( ( A ..^ B ) u. { B } ) ) $=
    ( cuz cfv wcel cfz co caddc cfzo csn cun wceq eluzelz fzval3 syl fzosplitsn
    c1 cz eqtrd ) BACDEZABFGZABQHGIGZABIGBJKTBREUAUBLABMABNOABPS $.

  $( A member of a finite interval of integers is either a member of the
     corresponding half-open integer range or the upper bound of the interval.
     (Contributed by AV, 5-Feb-2021.) $)
  elfzr $p |- ( K e. ( M ... N ) -> ( K e. ( M ..^ N ) \/ K = N ) ) $=
    ( cuz cfv wcel cfz co cfzo wceq wo elfzuz2 csn cun fzisfzounsn eleq2d elsni
    elun orim2i sylbi syl6bi mpcom ) CBDEFZABCGHZFZABCIHZFZACJZKZABCLUCUEAUFCMZ
    NZFZUIUCUDUKABCOPULUGAUJFZKUIAUFUJRUMUHUGACQSTUAUB $.

  $( A member of a finite interval of integers is either its lower bound or its
     upper bound or an element of its interior.  (Contributed by AV,
     5-Feb-2021.) $)
  elfzlmr $p |- ( K e. ( M ... N )
                   -> ( K = M \/ K e. ( ( M + 1 ) ..^ N ) \/ K = N ) ) $=
    ( cuz cfv wcel cfz co wceq c1 caddc w3o elfzuz2 csn cun fzpred eleq2d elsni
    cfzo wo elfzr orim12i elun 3orass 3imtr4i syl6bi mpcom ) CBDEFZABCGHZFZABIZ
    ABJKHZCSHFZACIZLZABCMUHUJABNZULCGHZOZFZUOUHUIURABCPQAUPFZAUQFZTUKUMUNTZTUSU
    OUTUKVAVBABRAULCUAUBAUPUQUCUKUMUNUDUEUFUG $.

  $( A member of a finite interval of nonnegative integers is either 0 or its
     upper bound or an element of its interior.  (Contributed by AV,
     5-Feb-2021.) $)
  elfz0lmr $p |- ( K e. ( 0 ... N )
                   -> ( K = 0 \/ K e. ( 1 ..^ N ) \/ K = N ) ) $=
    ( cc0 cfz co wcel wceq caddc cfzo w3o elfzlmr 0p1e1 oveq1i eleq2i 3orbi123i
    c1 biid sylib ) ACBDEFACGZACPHEZBIEZFZABGZJSAPBIEZFZUCJACBKSSUBUEUCUCSQUAUD
    ATPBILMNUCQOR $.

  $( Two possibilities for a number one greater than a number in a half-open
     range.  (Contributed by Stefan O'Rear, 23-Aug-2015.) $)
  fzostep1 $p |- ( A e. ( B ..^ C ) -> ( ( A + 1 ) e. ( B ..^ C ) \/
          ( A + 1 ) = C ) ) $=
    ( cfzo co wcel c1 caddc wceq wo cz cuz cfv wss elfzoel1 peano2uz wbr cr zre
    uzid fzoss1 4syl 1z fzoaddel mpan2 sseldd wb cle elfzoel2 clt elfzolt3 ltle
    wi syl2an syl2anc mpd eluz2 syl3anbrc fzosplitsni syl mpbid ) ABCDEZFZAGHEZ
    BCGHEZDEZFZVDVBFVDCIJZVCBGHEZVEDEZVFVDVCBKFZBBLMZFVIVLFVJVFNABCOZBTBBPVIBVE
    UAUBVCGKFVDVJFUCABCGUDUEUFVCCVLFZVGVHUGVCVKCKFZBCUHQZVNVMABCUIZVCBCUJQZVPAB
    CUKVCVKVOVRVPUMZVMVQVKBRFCRFVSVOBSCSBCULUNUOUPBCUQURBCVDUSUTVA $.

  ${
    $d K j k $.  $d M j k $.  $d N j k $.  $d ph k $.
    $( Shift the scanning order inside of a universal quantification restricted
       to a half-open integer range, analogous to ~ fzshftral .  (Contributed
       by Alexander van der Vekens, 23-Sep-2018.) $)
    fzoshftral $p |- ( ( M e. ZZ /\ N e. ZZ /\ K e. ZZ )
        -> ( A. j e. ( M ..^ N ) ph
          <-> A. k e. ( ( M + K ) ..^ ( N + K ) ) [. ( k - K ) / j ]. ph ) ) $=
      ( cz wcel cfzo co wral c1 cmin cfz caddc wceq fzoval raleqdv 3adant1 cc
      w3a cv 3ad2ant2 wb peano2zm fzshftral syl3an2 zaddcl syl wa adantr adantl
      wsbc zcn 1cnd addsubd oveq2d eqtr2d 3bitrd ) EGHZFGHZDGHZUAZABEFIJZKABEFL
      MJZNJZKZABCUBDMJUMZCEDOJZVEDOJZNJZKZVHCVIFDOJZIJZKVCABVDVFVAUTVDVFPVBEFQU
      CRVAUTVEGHVBVGVLUDFUEABCDEVEUFUGVCVHCVKVNVCVNVIVMLMJZNJZVKVCVMGHZVNVPPVAV
      BVQUTFDUHSVIVMQUIVCVOVJVINVAVBVOVJPUTVAVBUJZFDLVAFTHVBFUNUKVBDTHVADUNULVR
      UOUPSUQURRUS $.
  $}

  ${
    $d K x $.  $d M x y $.  $d N x y $.  $d ch x $.  $d ph y $.  $d ps x $.
    $d ta x $.  $d th x $.
    fzind2.1 $e |- ( x = M -> ( ph <-> ps ) ) $.
    fzind2.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    fzind2.3 $e |- ( x = ( y + 1 ) -> ( ph <-> th ) ) $.
    fzind2.4 $e |- ( x = K -> ( ph <-> ta ) ) $.
    fzind2.5 $e |- ( N e. ( ZZ>= ` M ) -> ps ) $.
    fzind2.6 $e |- ( y e. ( M ..^ N ) -> ( ch -> th ) ) $.
    $( Induction on the integers from ` M ` to ` N ` inclusive.  The first four
       hypotheses give us the substitution instances we need; the last two are
       the basis and the induction step.  Version of ~ fzind using integer
       range definitions.  (Contributed by Mario Carneiro, 6-Feb-2016.) $)
    fzind2 $p |- ( K e. ( M ... N ) -> ta ) $=
      ( wcel wa wbr w3a cfz co cz cle elfz2 df-3an anbi1i 3anass anbi2i 3bitr4i
      anass bitri cuz cfv eluz2 sylbir cv clt wi cfzo elfzo syl6bir 3coml 3expa
      impr sylan2b fzind sylbi ) HIJUAUBQZIUCQZJUCQZRZHUCQZIHUDSZHJUDSZTZRZEVIV
      JVKVMTZVNVORZRZVQHIJUEVLVMRZVSRVLVMVSRZRVTVQVLVMVSUKVRWAVSVJVKVMUFUGVPWBV
      LVMVNVOUHUIUJULABCDEFGHIJKLMNVJVKIJUDSTJIUMUNQBIJUOOUPGUQZUCQZIWCUDSZWCJU
      RSZTVLWDWEWFRZRCDUSZWDWEWFUHVLWDWGWHVJVKWDWGWHUSZWDVJVKWIWDVJVKTWGWCIJUTU
      BQWHWCIJVAPVBVCVDVEVFVGVH $.
  $}

  ${
    $d F v $.  $d K v $.
    $( The function values for the borders of a finite interval of integers,
       which is the domain of the function, are not in the image of the
       interior of the interval iff the intersection of the images of the
       interior and the borders is empty.  (Contributed by Alexander van der
       Vekens, 31-Oct-2017.)  (Revised by AV, 5-Feb-2021.) $)
    fvinim0ffz $p |- ( ( F : ( 0 ... K ) --> V /\ K e. NN0 )
                       -> ( ( ( F " { 0 , K } ) i^i ( F " ( 1 ..^ K ) ) ) = (/)
                            <-> ( ( F ` 0 ) e/ ( F " ( 1 ..^ K ) )
                               /\ ( F ` K ) e/ ( F " ( 1 ..^ K ) ) ) ) ) $=
      ( vv cc0 co cn0 wcel wa cpr cima cin c0 wceq cfv wnel cle wbr adantl wn
      cfz wf c1 cfzo wfn ffn adantr 0nn0 a1i simpr nn0ge0 elfz2nn0 syl3anbrc id
      nn0re leidd fnimapr syl3anc ineq1d eqeq1d cv wral disj fvex notbid df-nel
      eleq1 bitr4di ralpr bitri bitrdi ) EBUAFZCAUBZBGHZIZAEBJKZAUCBUDFKZLZMNEA
      OZBAOZJZVQLZMNZVSVQPZVTVQPZIZVOVRWBMVOVPWAVQVOAVLUEZEVLHZBVLHZVPWANVMWGVN
      VLCAUFUGVOEGHZVNEBQRZWHWJVOUHUIVMVNUJVNWKVMBUKSEBULUMVNWIVMVNVNVNBBQRWIVN
      UNZWLVNBBUOUPBBULUMSVLEBAUQURUSUTWCDVAZVQHZTZDWAVBWFDWAVQVCWOWDWEDVSVTEAV
      DBAVDWMVSNZWOVSVQHZTWDWPWNWQWMVSVQVGVEVSVQVFVHWMVTNZWOVTVQHZTWEWRWNWSWMVT
      VQVGVEVTVQVFVHVIVJVK $.
  $}

  ${
    $d F z $.  $d K z $.  $d Y z $.  $d X z $.
    $( Lemma for ~ injresinj .  (Contributed by Alexander van der Vekens,
       31-Oct-2017.)  (Proof shortened by AV, 14-Feb-2021.)  (Revised by
       Thierry Arnoux, 23-Dec-2021.) $)
    injresinjlem $p |- ( -. Y e. ( 1 ..^ K ) -> ( ( F ` 0 ) =/= ( F ` K )
       -> ( ( F : ( 0 ... K ) --> V /\ K e. NN0 )
         -> ( ( ( F " { 0 , K } ) i^i ( F " ( 1 ..^ K ) ) ) = (/)
           -> ( ( X e. ( 0 ... K ) /\ Y e. ( 0 ... K ) )
             -> ( ( F ` X ) = ( F ` Y ) -> X = Y ) ) ) ) ) ) $=
      ( vz wcel wn cc0 wa wceq cfv wi fveq2 eqcoms notbid 2a1d syl com12 sylbi
      c1 cfzo co cfz wf cn0 cpr cima cin c0 wne wo elfznelfzo fvinim0ffz df-nel
      wnel eleq1d biimpd cv wrex wfn wss wb ffn cuz 1eluzge0 fzoss1 mp1i sstrdi
      fzossfz fvelimab syl2an wral ralnex rspcva pm2.21 a1d expcom com24 sylbir
      fveqeq2 sylbid syl6com adantr adantl jaoi com13 com14 com15 eqtr3 neeq12d
      2a1 df-ne pm2.24 syl6bi ccase ex pm2.61i com23 impcom com25 ) EUABUBUCZGH
      ZDIBUDUCZGZEXDGZJZXDCAUEZBUFGZJZAIBUGUHAXBUHZUIUJKZIALZBALZUKZDALZEALZKZD
      EKZMZXGXCXJXLXOXTMZMMZXFXEXCYBMXFXCXEYBXFXCXEYBMZXFXCJEIKZEBKZULZYCBEUMXE
      YFYBDXBGZXEYFYBMZMXLXEYFXJYGYAXEXLYFXJYGYAMZMMXJXLYFXEYIXJXLXMXKUPZXNXKUP
      ZJZYFXEYIMZMABCUNYFYLXJYMYDYLXJYMMZMYEYLYDYNYJYDYNMZYKYJXMXKGZHZYOXMXKUOY
      DYQXQXKGZHZYNYDYQYSYDYPYRYDXMXQXKXMXQKZIEIEANOZUQPURXJYSYMXJYSFUSZALXQKZF
      XBUTZHZYMXJYRUUDXHAXDVAXBXDVBYRUUDVCXIXDCAVDXIXBIBUBUCZXDUAIVELGXBUUFVBXI
      VFUAIBVGVHIBVJVIFXDXBXQAVKVLPUUEXJYMUUEUUCHZFXBVMZYNUUCFXBVNUUHYGXEXJYAYG
      UUHXEXJYAMMZYGUUHJXRHZUUIUUGUUJFDXBUUBDKUUCXRUUBDXQAWAPVOUUJYAXEXJUUJXTXO
      XRXSVPZVQQRVRVSVTSWBSZWCTWDSYLYEYNYKYEYNMZYJYKXNXKGZHZUUMXNXKUOYEUUOYSYNY
      EUUOYSYEUUNYRYEXNXQXKXNXQKZBEBEANOZUQPURUULWCTWESWFWGWBWHSWIXEYGHZYHXEUUR
      JDIKZDBKZULZYHBDUMUVAYFYBUUSYDUUTYEYBUUSYDJXSYBDEIWJXSYAXJXLXSXOXRWLQZRUU
      TYDJZYAXJXLUVCXOXQXPUKZXTUVCXMXQXNXPYDYTUUTUUAWEUUTXNXPKZYDUVEBDBDANOWDWK
      UVDXQXPKZHZXTXQXPWMXRUVGXSUVGXSMXQXPUVFXSWNOSTWOQUUSYEJZYAXJXLUVHXOXPXQUK
      ZXTUVHXMXPXNXQUUSXMXPKZYEUVJIDIDANOWDYEUUPUUSUUQWEWKUVIUUJXTXPXQWMUUKTWOQ
      UUTYEJXSYBDEBWJUVBRWPWQRVRWRSRWQWSWTSXA $.
  $}

  ${
    $d F v w x y $.  $d K v w x y $.  $d V x y $.
    $( A function whose restriction is injective and the values of the
       remaining arguments are different from all other values is injective
       itself.  (Contributed by Alexander van der Vekens, 31-Oct-2017.) $)
    injresinj $p |- ( K e. NN0 -> ( ( F : ( 0 ... K ) --> V
                   /\ Fun `' ( F |` ( 1 ..^ K ) ) /\ ( F ` 0 ) =/= ( F ` K ) )
                      -> ( ( ( F " { 0 , K } ) i^i ( F " ( 1 ..^ K ) ) ) = (/)
                           -> Fun `' F ) ) ) $=
      ( vx vy vv vw cc0 co cfv wcel wceq wi wa cv weq wral ex wn imp41 cfz cfzo
      wf c1 cres ccnv wfun wne w3a cn0 cpr cin c0 wf1 wss fzo0ss1 fzossfz sstri
      cima fssres mpan2 ancom df-f1 bitr4i bitrdi simp-4r dff13 fveqeq2 equequ1
      imbi12d fveq2 eqeq2d equequ2 rspc2va fvres eqcomd eqeqan12d biimpd imim1d
      biantrud imp expcom syl pm2.43a wo ianor eqcom injresinjlem syl6ib syl5bi
      2a1d ancomsd exp41 jaoi a1d sylbi pm2.61i ralrimivv simplbiim com13 com24
      impcom sylanbrc biantrurd bitr4di mpbird syl6bi 3imp com12 ) HBUAIZCAUCZA
      UDBUBIZUEZUFUGZHAJBAJUHZUIBUJKZAHBUKUSAXLUSULUMLZAUFUGZMZXKXNXOXPXSMZXNXK
      XOXTMZXKXNXLCXMUNZXKYAMXKXNXNXLCXMUCZNZYBXKYCXNXKXLXJUOYCXLHBUBIXJBUPHBUQ
      URXJCXLAUTVAVTYDYCXNNYBXNYCVBXLCXMVCVDVEYBXKXOXPXSYBXKNZXONXPNZXQXRYFXQNZ
      XRXJCAUNZYGXKDOZAJZEOZAJZLZDEPZMZEXJQDXJQZYHYBXKXOXPXQVFZYEXOXPXQYPXKYBXO
      XPXQYPMZMMXKXPXOYBYRXKXPXOYBYRMMYBXOXKXPNZYRYBYCFOZXMJGOZXMJZLZFGPZMZGXLQ
      FXLQZXOYSYRMMFGXLCXMVGUUFXOYSXQYPUUFXONYSNXQNYODEXJXJUUFXOYSXQYIXJKZYKXJK
      ZNZYOMZYIXLKZYKXLKZNZUUFXOYSXQUUJMZMMZMZUUFUUMUUOUUMUUFUUMUUOMZUUMUUFNYIX
      MJZYKXMJZLZYNMZUUQUUEUVAUURUUBLZDGPZMFGYIYKXLXLFDPUUCUVBUUDUVCYTYIUUBXMVH
      FDGVIVJGEPZUVBUUTUVCYNUVDUUBUUSUURUUAYKXMVKVLGEDVMVJVNUUMUVAUUOUUMUVANZUU
      NXOYSUVEYOXQUUIUUMUVAYOUUMYMUUTYNUUMYMUUTUUKUULYJUURYLUUSUUKUURYJYIXLAVOV
      PUULUUSYLYKXLAVOVPVQVRVSWAWKWKWBWCRWDUUMSUUKSZUULSZWEZUUPUUKUULWFUVHUUOUU
      FUVFUUOUVGUVFXOYSXQUUJUVFXONZYSNXQNZUUHUUGYOUVJUUHUUGNZYOYMYLYJLZUVJUVKNZ
      YNYJYLWGUVMUVLEDPZYNUVIYSXQUVKUVLUVNMZUVFXOYSXQUVKUVOMMMABCYKYIWHWATYKYIW
      GWIWJRWLWMABCYIYKWHWNWOWPWQTWRWMWSWTRXAXBTDEXJCAVGXCYGXRXKXRNYHYGXKXRYQXD
      XJCAVCXEXFRWMXGWDXHXI $.
  $}

  $( The difference between two elements in a half-open range of nonnegative
     integers is greater than the negation of the upper bound and less than the
     upper bound of the range.  (Contributed by AV, 20-Mar-2021.) $)
  subfzo0 $p |- ( ( I e. ( 0 ..^ N ) /\ J e. ( 0 ..^ N ) )
                  -> ( -u N < ( I - J ) /\ ( I - J ) < N ) ) $=
    ( cc0 co wcel cmin clt wbr wa caddc cr cle adantr syl2an 3adant3 anim12i cc
    3ad2ant1 adantl cfzo cneg cn0 cn wi elfzo0 nn0re nnre resubcl ancoms nn0ge0
    w3a wb posdif biimp3a addgegt0 syl2anc nn0cn nncn 3ad2ant2 breqtrrd possumd
    subadd23d mpbid readdcl addge02 syl lelttrdi impancom imp ltsubadd2d mpbird
    3jca jca ex syl5bi 3adant2 sylbi ) ADCUAEZFZBVSFZCUBABGEZHIZWBCHIZJZVTAUCFZ
    CUDFZACHIZULWAWEUEZACUFWFWHWIWGWABUCFZWGBCHIZULZWFWHJZWEBCUFWMWLWEWMWLJZWCW
    DWNDWBCKEZHIWCWNDACBGEZKEZWOHWNALFZWPLFZJDAMIZDWPHIZJDWQHIWMWRWLWSWFWRWHAUG
    ZNZWJWGWSWKWGWJWSWGCLFZBLFZWSWJCUHZBUGZCBUIOUJPQWMWTWLXAWFWTWHAUKNWJWGWKXAW
    JXEXDWKXAUMWGXGXFBCUNOUOQAWPUPUQWNABCWMARFZWLWFXHWHAURNNWLBRFZWMWJWGXIWKBUR
    STWLCRFZWMWGWJXJWKCUSUTTVCVAWNWBCWMWRXEWBLFWLXCWJWGXEWKXGSZABUIOWLXDWMWGWJX
    DWKXFUTZTZVBVDWNWDABCKEZHIZWMWLXOWFWLWHXOWFWLJZACXNXPWRXDXNLFZWFWRWLXBNWLXD
    WFXLTWLXQWFWJWGXQWKWJXEXDXQWGXGXFBCVEOPTVMXPDBMIZCXNMIZWLXRWFWJWGXRWKBUKSTX
    PXDXEJZXRXSUMWLXTWFWJWGXTWKWGWJXTWGXDWJXEXFXGQUJPTCBVFVGVDVHVIVJWNABCWMWRWL
    XCNWLXEWMXKTXMVKVLVNVOVPVQVRVJ $.


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Elementary integer functions
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The floor and ceiling functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c |_ $.  $( Floor function. $)
  $c |^ $.  $( Ceiling function. $)

  $( Extend class notation with floor (greatest integer) function. $)
  cfl $a class |_ $.
  $( Extend class notation to include the ceiling function. $)
  cceil $a class |^ $.

  ${
    $d x y $.
    $( Define the floor (greatest integer less than or equal to) function.  See
       ~ flval for its value, ~ fllelt for its basic property, and ~ flcl for
       its closure.  For example, ` ( |_ `` ( 3 / 2 ) ) = 1 ` while
       ` ( |_ `` -u ( 3 / 2 ) ) = -u 2 ` ( ~ ex-fl ).

       The term "floor" was coined by Ken Iverson.  He also invented a
       mathematical notation for floor, consisting of an L-shaped left bracket
       and its reflection as a right bracket.  In APL, the left-bracket alone
       is used, and we borrow this idea.  (Thanks to Paul Chapman for this
       information.)  (Contributed by NM, 14-Nov-2004.) $)
    df-fl $a |- |_ = ( x e. RR |->
                ( iota_ y e. ZZ ( y <_ x /\ x < ( y + 1 ) ) ) ) $.
  $}

  $( The ceiling (least integer greater than or equal to) function.  Defined in
     ISO 80000-2:2009(E) operation 2-9.18 and the "NIST Digital Library of
     Mathematical Functions" , front introduction, "Common Notations and
     Definitions" section at ~ http://dlmf.nist.gov/front/introduction#Sx4 .
     See ~ ceilval for its value, ~ ceilge and ~ ceilm1lt for its basic
     properties, and ~ ceilcl for its closure.  For example,
     ` ( |^ `` ( 3 / 2 ) ) = 2 ` while ` ( |^ `` -u ( 3 / 2 ) ) = -u 1 `
     ( ~ ex-ceil ).

     The symbol ` |^ ` is inspired by the gamma shaped left bracket of the
     usual notation.  (Contributed by David A. Wheeler, 19-May-2015.) $)
  df-ceil $a |- |^ = ( x e. RR |-> -u ( |_ ` -u x ) ) $.

  ${
    $d x y A $.
    $( Value of the floor (greatest integer) function.  The floor of ` A ` is
       the (unique) integer less than or equal to ` A ` whose successor is
       strictly greater than ` A ` .  (Contributed by NM, 14-Nov-2004.)
       (Revised by Mario Carneiro, 2-Nov-2013.) $)
    flval $p |- ( A e. RR ->
              ( |_ ` A ) = ( iota_ x e. ZZ ( x <_ A /\ A < ( x + 1 ) ) ) ) $=
      ( vy cv cle wbr c1 caddc co clt wa cz crio cfl wceq breq2 breq1 riotabidv
      cr anbi12d df-fl riotaex fvmpt ) CBADZCDZEFZUEUDGHIZJFZKZALMUDBEFZBUGJFZK
      ZALMSNUEBOZUIULALUMUFUJUHUKUEBUDEPUEBUGJQTRCAUAULALUBUC $.

    $( The floor (greatest integer) function is an integer (closure law).
       (Contributed by NM, 15-Nov-2004.)  (Revised by Mario Carneiro,
       2-Nov-2013.) $)
    flcl $p |- ( A e. RR -> ( |_ ` A ) e. ZZ ) $=
      ( vx cr wcel cfl cfv cv cle wbr c1 caddc co wa cz crio flval wreu rebtwnz
      clt riotacl syl eqeltrd ) ACDZAEFBGZAHIAUDJKLSIMZBNOZNBAPUCUEBNQUFNDBARUE
      BNTUAUB $.

    $( The floor (greatest integer) function is real.  (Contributed by NM,
       15-Jul-2008.) $)
    reflcl $p |- ( A e. RR -> ( |_ ` A ) e. RR ) $=
      ( cr wcel cfl cfv flcl zred ) ABCADEAFG $.

    $( A basic property of the floor (greatest integer) function.  (Contributed
       by NM, 15-Nov-2004.)  (Revised by Mario Carneiro, 2-Nov-2013.) $)
    fllelt $p |- ( A e. RR ->
                  ( ( |_ ` A ) <_ A /\ A < ( ( |_ ` A ) + 1 ) ) ) $=
      ( vx cr wcel cfl cfv cle wbr c1 caddc co clt wa cv crio wceq flval eqcomd
      cz wreu wb flcl rebtwnz breq1 oveq1 breq2d anbi12d riota2 syl2anc mpbird
      ) ACDZAEFZAGHZAULIJKZLHZMZBNZAGHZAUQIJKZLHZMZBSOZULPZUKULVBBAQRUKULSDVABS
      TUPVCUAAUBBAUCVAUPBSULUQULPZURUMUTUOUQULAGUDVDUSUNALUQULIJUEUFUGUHUIUJ $.
  $}

  ${
    flcld.1 $e |- ( ph -> A e. RR ) $.
    $( The floor (greatest integer) function is an integer (closure law).
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    flcld $p |- ( ph -> ( |_ ` A ) e. ZZ ) $=
      ( cr wcel cfl cfv cz flcl syl ) ABDEBFGHECBIJ $.
  $}

  $( A basic property of the floor (greatest integer) function.  (Contributed
     by NM, 24-Feb-2005.) $)
  flle $p |- ( A e. RR -> ( |_ ` A ) <_ A ) $=
    ( cr wcel cfl cfv cle wbr c1 caddc co clt fllelt simpld ) ABCADEZAFGANHIJKG
    ALM $.

  $( A basic property of the floor (greatest integer) function.  (Contributed
     by NM, 24-Feb-2005.) $)
  flltp1 $p |- ( A e. RR -> A < ( ( |_ ` A ) + 1 ) ) $=
    ( cr wcel cfl cfv cle wbr c1 caddc co clt fllelt simprd ) ABCADEZAFGANHIJKG
    ALM $.

  $( A basic property of the floor (greatest integer) function.  (Contributed
     by Mario Carneiro, 21-May-2016.) $)
  fllep1 $p |- ( A e. RR -> A <_ ( ( |_ ` A ) + 1 ) ) $=
    ( cr wcel cfl cfv c1 caddc co clt wbr cle flltp1 reflcl peano2re ltle mpdan
    wi syl mpd ) ABCZAADEZFGHZIJZAUBKJZALTUBBCZUCUDQTUABCUEAMUANRAUBOPS $.

  $( The fractional part of a real number is less than one.  (Contributed by
     NM, 15-Jul-2008.) $)
  fraclt1 $p |- ( A e. RR -> ( A - ( |_ ` A ) ) < 1 ) $=
    ( cr wcel cfl cfv co c1 clt wbr caddc flltp1 wb reflcl 1re ltsubadd2 mp3an3
    cmin mpdan mpbird ) ABCZAADEZQFGHIZAUAGJFHIZAKTUABCZUBUCLZAMTUDGBCUENAUAGOP
    RS $.

  $( The fractional part of a real number is less than or equal to one.
     (Contributed by Mario Carneiro, 21-May-2016.) $)
  fracle1 $p |- ( A e. RR -> ( A - ( |_ ` A ) ) <_ 1 ) $=
    ( cr wcel cfl cfv cmin co c1 clt wbr cle fraclt1 wi reflcl resubcl 1re ltle
    mpdan sylancl mpd ) ABCZAADEZFGZHIJZUCHKJZALUAUCBCZHBCUDUEMUAUBBCUFANAUBORP
    UCHQST $.

  $( The fractional part of a real number is nonnegative.  (Contributed by NM,
     17-Jul-2008.) $)
  fracge0 $p |- ( A e. RR -> 0 <_ ( A - ( |_ ` A ) ) ) $=
    ( cr wcel cc0 cfl cfv cmin co cle wbr flle wb reflcl subge0 mpdan mpbird )
    ABCZDAAEFZGHIJZRAIJZAKQRBCSTLAMARNOP $.

  $( The floor function value is the greatest integer less than or equal to its
     argument.  (Contributed by NM, 15-Nov-2004.)  (Proof shortened by Fan
     Zheng, 14-Jul-2016.) $)
  flge $p |- ( ( A e. RR /\ B e. ZZ ) -> ( B <_ A <-> B <_ ( |_ ` A ) ) ) $=
    ( cr wcel cz wa cle wbr cfl cfv c1 caddc co flltp1 adantr wi syl3anc mpan2d
    clt zred simpr simpl peano2zd lelttr wb zleltp1 syl2anc sylibrd flle impbid
    flcld letr ) ACDZBEDZFZBAGHZBAIJZGHZUOUPBUQKLMZSHZURUOUPAUSSHZUTUMVAUNANOUO
    BCDZUMUSCDUPVAFUTPUOBUMUNUAZTZUMUNUBZUOUSUOUQUOAVEUKZUCTBAUSUDQRUOUNUQEDURU
    TUEVCVFBUQUFUGUHUOURUQAGHZUPUMVGUNAUIOUOVBUQCDUMURVGFUPPVDUOUQVFTVEBUQAULQR
    UJ $.

  $( The floor function value is less than the next integer.  (Contributed by
     NM, 24-Feb-2005.) $)
  fllt $p |- ( ( A e. RR /\ B e. ZZ ) -> ( A < B <-> ( |_ ` A ) < B ) ) $=
    ( cr wcel cz wa clt wbr cfl cfv cle wn flge zre lenlt ancoms reflcl syl2anr
    wb sylan 3bitr3d con4bid ) ACDZBEDZFZABGHZAIJZBGHZUEBAKHZBUGKHZUFLZUHLZABMU
    DUCUIUKSZUDBCDZUCUMBNZBAOTPUDUNUGCDUJULSUCUOAQBUGORUAUB $.

  ${
    $d x A $.  $d x B $.
    $( Move floor function between strict and non-strict inequality.
       (Contributed by Brendan Leahy, 25-Oct-2017.) $)
    flflp1 $p |- ( ( A e. RR /\ B e. RR ) -> ( ( |_ ` A ) <_ B <->
          A < ( ( |_ ` B ) + 1 ) ) ) $=
      ( vx cr wcel wa cfl cle wbr c1 caddc co clt cz wceq simplr adantr mpd3an3
      wi adantl cfv flltp1 ad3antrrr cv crio flval ad3antlr reflcl peano2re syl
      lttr ancoms mpan2d imp adantlr wb wreu rebtwnz breq1 oveq1 breq2d anbi12d
      riota2 syl2an ad2antrr mpbi2and eqtrd oveq1d breqtrrd ex wn lenlt sylbird
      flcl lelttr pm2.61d ad2antlr simpll flle simpr lelttrd ltled syl2anr letr
      eqbrtrd 3coml mpand impbida ) ADEZBDEZFZAGUAZBHIZABGUAZJKLZMIZWKWMFZBAMIZ
      WPWQWRWPWQWRFZAWLJKLZWOMWIAWTMIZWJWMWRAUBZUCWSWNWLJKWSWNCUDZBHIZBXCJKLZMI
      ZFZCNUEZWLWJWNXHOWIWMWRCBUFUGWSWMBWTMIZXHWLOZWKWMWRPWKWRXIWMWKWRXIWKWRXAX
      IWIXAWJXBQWJWIWRXAFXISZWJWIWTDEZXKWIXLWJWIWLDEZXLAUHZWLUIUJTBAWTUKRULUMUN
      UOWKWMXIFZXJUPZWMWRWIWLNEXGCNUQXPWJAVNCBURXGXOCNWLXCWLOZXDWMXFXIXCWLBHUSX
      QXEWTBMXCWLJKUTVAVBVCVDVEVFVGVHVIVJWKWRVKZWPSWMWKXRABHIZWPABVLZWKXSBWOMIZ
      WPWJYAWIBUBTWIWJWODEZXSYAFWPSWJYBWIWJWNDEZYBBUHZWNUIUJTABWOVORUMVMQVPWKWP
      FZWRWMYEWRWMYEWRFZWLWNBHYFWLXCAHIZAXEMIZFZCNUEZWNWIWLYJOWJWPWRCAUFUCYFWNA
      HIZWPYJWNOZWKWRYKWPWKWRFZWNAWJYCWIWRYDVQZWIWJWRVRZYMWNBAYNWIWJWRPYOWJWNBH
      IZWIWRBVSZVQWKWRVTWAWBUOWKWPWRPWKYKWPFZYLUPZWPWRWJWNNEYICNUQYSWIBVNCAURYI
      YRCNWNXCWNOZYGYKYHWPXCWNAHUSYTXEWOAMXCWNJKUTVAVBVCWCVEVFVGWJYPWIWPWRYQUGW
      EVJWKXRWMSWPWKXRXSWMXTWKWLAHIZXSWMWIUUAWJAVSQWIWJXMUUAXSFWMSZWIXMWJXNQXMW
      IWJUUBWLABWDWFRWGVMQVPWH $.
  $}

  $( An integer is its own floor.  (Contributed by NM, 15-Nov-2004.) $)
  flid $p |- ( A e. ZZ -> ( |_ ` A ) = A ) $=
    ( cz wcel cfl cfv wceq cle wbr cr zre flle syl leidd wb flge mpancom reflcl
    mpbid letri3d mpbir2and ) ABCZADEZAFUBAGHZAUBGHZUAAICZUCAJZAKLUAAAGHZUDUAAU
    FMUEUAUGUDNUFAAOPRUAUBAUAUEUBICUFAQLUFST $.

  $( The floor function is idempotent.  (Contributed by NM, 17-Aug-2008.) $)
  flidm $p |- ( A e. RR -> ( |_ ` ( |_ ` A ) ) = ( |_ ` A ) ) $=
    ( cr wcel cfl cfv cz wceq flcl flid syl ) ABCADEZFCKDEKGAHKIJ $.

  $( A real number equals its floor iff it is an integer.  (Contributed by NM,
     11-Nov-2008.) $)
  flidz $p |- ( A e. RR -> ( ( |_ ` A ) = A <-> A e. ZZ ) ) $=
    ( cr wcel cfl cfv wceq cz flcl eleq1 syl5ibcom flid impbid1 ) ABCZADEZAFZAG
    CZMNGCOPAHNAGIJAKL $.

  $( The floor of a non-integer real is less than it.  (Contributed by Glauco
     Siliprandi, 11-Dec-2019.) $)
  flltnz $p |- ( ( A e. RR /\ -. A e. ZZ ) -> ( |_ ` A ) < A ) $=
    ( cr cz wn wa cfl cfv reflcl adantr simpl cle wbr c1 caddc co fllelt simpld
    wcel clt wceq simpr wb flidz mtbird neqned necomd leneltd ) ABRZACRZDZEZAFG
    ZAUHULBRUJAHIUHUJJUKULAKLZAULMNOSLZUHUMUNEUJAPIQUKULAUKULAUKULATZUIUHUJUAUH
    UOUIUBUJAUCIUDUEUFUG $.

  $( Ordering relation for the floor function.  (Contributed by NM,
     31-Dec-2005.)  (Proof shortened by Fan Zheng, 14-Jul-2016.) $)
  flwordi $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) ->
                 ( |_ ` A ) <_ ( |_ ` B ) ) $=
    ( cr wcel cle wbr w3a cfl cfv simp1 flcld zred simp2 flle simp3 letrd cz wb
    syl flge syl2anc mpbid ) ACDZBCDZABEFZGZAHIZBEFZUGBHIEFZUFUGABUFUGUFAUCUDUE
    JZKZLUJUCUDUEMZUFUCUGAEFUJANSUCUDUEOPUFUDUGQDUHUIRULUKBUGTUAUB $.

  $( Ordering relation for the floor function.  (Contributed by Mario Carneiro,
     7-Jun-2016.) $)
  flword2 $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) ->
                 ( |_ ` B ) e. ( ZZ>= ` ( |_ ` A ) ) ) $=
    ( cr wcel cle wbr w3a cfl cfv cuz simp1 flcld simp2 flwordi eluz2 syl3anbrc
    cz ) ACDZBCDZABEFZGZAHIZQDBHIZQDUBUCEFUCUBJIDUAARSTKLUABRSTMLABNUBUCOP $.

  ${
    $d x y z A $.  $d x y B $.
    $( An alternate way to define the floor function.  (Contributed by NM,
       16-Nov-2004.) $)
    flval2 $p |- ( A e. RR -> ( |_ ` A ) =
           ( iota_ x e. ZZ ( x <_ A /\ A. y e. ZZ ( y <_ A -> y <_ x ) ) ) ) $=
      ( cr wcel cv cle wbr wi wral crio cfl cfv wceq flle flge biimpd ralrimiva
      cz wa wreu wb flcl zmax breq1 breq2 imbi2d ralbidv anbi12d riota2 syl2anc
      mpbi2and eqcomd ) CDEZAFZCGHZBFZCGHZUQUOGHZIZBSJZTZASKZCLMZUNVDCGHZURUQVD
      GHZIZBSJZVCVDNZCOUNVGBSUNUQSETURVFCUQPQRUNVDSEVBASUAVEVHTZVIUBCUCABCUDVBV
      JASVDUOVDNZUPVEVAVHUOVDCGUEVKUTVGBSVKUSVFURUOVDUQGUFUGUHUIUJUKULUM $.

    $( An alternate way to define the floor function, as the supremum of all
       integers less than or equal to its argument.  (Contributed by NM,
       15-Nov-2004.)  (Proof shortened by Mario Carneiro, 6-Sep-2014.) $)
    flval3 $p |- ( A e. RR ->
                  ( |_ ` A ) = sup ( { x e. ZZ | x <_ A } , RR , < ) ) $=
      ( vy vz cr wcel cfl cfv cv cle wbr cz crab clt csup wceq wss breq1 wral
      wa ssrab2 zssre sstri flcl flle elrabd ne0d wrex reflcl elrab flge biimpd
      a1i expimpd syl5bi ralrimiv brralrspcev syl2anc suprubd suprleub syl31anc
      c0 wne wb mpbird suprcld letri3d mpbir2and ) BEFZBGHZAIZBJKZALMZENOZPVJVN
      JKVNVJJKZVICDVMVJVMEQZVIVMLEVLALUAUBUCUMZVIVMVJVIVLVJBJKAVJLVKVJBJRBUDBUE
      UFZUGZVIVJEFZDIZVJJKZDVMSZWACIJKDVMSCEUHZBUIZVIWBDVMWAVMFWALFZWABJKZTVIWB
      VLWGAWALVKWABJRUJVIWFWGWBVIWFTWGWBBWAUKULUNUOUPZCDWAVJJEVMUQURZVRUSVIVOWC
      WHVIVPVMVBVCWDVTVOWCVDVQVSWIWECDDVMVJUTVAVEVIVJVNWEVICDVMVQVSWIVFVGVH $.

    $( A condition equivalent to floor.  (Contributed by NM, 11-Mar-2005.)
       (Revised by Mario Carneiro, 2-Nov-2013.) $)
    flbi $p |- ( ( A e. RR /\ B e. ZZ ) ->
                ( ( |_ ` A ) = B <-> ( B <_ A /\ A < ( B + 1 ) ) ) ) $=
      ( vx cr wcel cz wa cfl cfv wceq cv cle wbr c1 caddc co clt crio wb flval
      eqeq1d adantr wreu rebtwnz breq1 oveq1 breq2d riota2 sylan2 ancoms bitr4d
      anbi12d ) ADEZBFEZGAHIZBJZCKZALMZAUQNOPZQMZGZCFRZBJZBALMZABNOPZQMZGZUMUPV
      CSUNUMUOVBBCATUAUBUNUMVGVCSZUMUNVACFUCVHCAUDVAVGCFBUQBJZURVDUTVFUQBALUEVI
      USVEAQUQBNOUFUGULUHUIUJUK $.
  $}

  $( A condition equivalent to floor.  (Contributed by NM, 15-Aug-2008.) $)
  flbi2 $p |- ( ( N e. ZZ /\ F e. RR ) ->
              ( ( |_ ` ( N + F ) ) = N <-> ( 0 <_ F /\ F < 1 ) ) ) $=
    ( cz wcel cr wa caddc co cfl cfv wceq cle wbr c1 clt cc0 zre readdcl sylan
    wb simpl flbi syl2anc addge01 1re ltadd2 mp3an2 ancoms anbi12d bitr4d ) BCD
    ZAEDZFZBAGHZIJBKZBUNLMZUNBNGHOMZFZPALMZANOMZFZUMUNEDZUKUOURTUKBEDZULVBBQZBA
    RSUKULUAUNBUBUCUKVCULVAURTVDVCULFUSUPUTUQBAUDULVCUTUQTZULNEDVCVEUEANBUFUGUH
    UISUJ $.

  $( The floor of a sum of an integer and a fraction is equal to the integer
     iff the denominator of the fraction is less than the numerator.
     (Contributed by AV, 14-Jul-2021.) $)
  adddivflid $p |- ( ( A e. ZZ /\ B e. NN0 /\ C e. NN )
                 -> ( B < C <-> ( |_ ` ( A + ( B / C ) ) ) = A ) ) $=
    ( cz wcel cn0 cn w3a co cc0 cle wbr clt wa cr wb 3adant1 jca syl anim12i c1
    cdiv caddc cfl cfv wceq simp1 nn0nndivcl flbi2 nn0re nn0ge0 nngt0 biantrurd
    nnre divge0 crp nnrp divlt1lt 3bitr2rd ) ADEZBFEZCGEZHZABCUBIZUCIUDUEAUFZJV
    DKLZVDUAMLZNZVGBCMLZVCUTVDOEZNVEVHPVCUTVJUTVAVBUGVAVBVJUTBCUHQRVDAUISVCVFVG
    VCBOEZJBKLZNZCOEZJCMLZNZNZVFVAVBVQUTVAVMVBVPVAVKVLBUJZBUKRVBVNVOCUNCULRTQBC
    UOSUMVCVKCUPEZNZVGVIPVAVBVTUTVAVKVBVSVRCUQTQBCURSUS $.

  $( The floor of a real number in ` [ 0 , 1 ) ` is 0.  Remark: may shorten the
     proof of ~ modid or a version of it where the antecedent is membership in
     an interval.  (Contributed by BJ, 29-Jun-2019.) $)
  ico01fl0 $p |- ( A e. ( 0 [,) 1 ) -> ( |_ ` A ) = 0 ) $=
    ( cc0 c1 cico co wcel cr cle wbr clt cfl cfv wceq cxr wss 0re icossre mp2an
    1xr wb sseli w3a 0xr elico1 simp2bi simp3bi wa caddc addid2d fveqeq2d cz 0z
    recn flbi2 mpan bitr3d biimpar syl12anc ) ABCDEZFZAGFZBAHIZACJIZAKLBMZUSGAB
    GFCNFZUSGOPSBCQRUAUTANFZVBVCBNFVEUTVFVBVCUBTUCSBCAUDRZUEUTVFVBVCVGUFVAVDVBV
    CUGZVABAUHEZKLBMZVDVHVAVIABKVAAAUMUIUJBUKFVAVJVHTULABUNUOUPUQUR $.

  $( The floor of a number greater than or equal to 0 is a nonnegative integer.
     (Contributed by NM, 26-Apr-2005.) $)
  flge0nn0 $p |- ( ( A e. RR /\ 0 <_ A ) -> ( |_ ` A ) e. NN0 ) $=
    ( cr wcel cc0 cle wbr wa cfl cfv cz cn0 flcl adantr wb 0z flge mpan2 biimpa
    elnn0z sylanbrc ) ABCZDAEFZGAHIZJCZDUCEFZUCKCUAUDUBALMUAUBUEUADJCUBUENOADPQ
    RUCST $.

  $( The floor of a number greater than or equal to 1 is a positive integer.
     (Contributed by NM, 26-Apr-2005.) $)
  flge1nn $p |- ( ( A e. RR /\ 1 <_ A ) -> ( |_ ` A ) e. NN ) $=
    ( cr wcel c1 cle wbr wa cfl cfv cz cn flcl adantr wb 1z mpan2 biimpa elnnz1
    flge sylanbrc ) ABCZDAEFZGAHIZJCZDUCEFZUCKCUAUDUBALMUAUBUEUADJCUBUENOADSPQU
    CRT $.

  $( The floor function of a division of a nonnegative integer by a positive
     integer is a nonnegative integer.  (Contributed by Alexander van der
     Vekens, 14-Apr-2018.) $)
  fldivnn0 $p |- ( ( K e. NN0 /\ L e. NN ) -> ( |_ ` ( K / L ) ) e. NN0 ) $=
    ( cn0 wcel cn wa cdiv co cr cc0 cle wbr cfl cfv nn0nndivcl flge0nn0 syl2anc
    nn0ge0div ) ACDBEDFABGHZIDJSKLSMNCDABOABRSPQ $.

  $( The floor function of a division of a real number by a positive real
     number is a real number.  (Contributed by Alexander van der Vekens,
     14-Apr-2018.) $)
  refldivcl $p |- ( ( K e. RR /\ L e. RR+ ) -> ( |_ ` ( K / L ) ) e. RR ) $=
    ( cr wcel crp wa cdiv co cfl cfv rerpdivcl reflcl syl ) ACDBEDFABGHZCDNIJCD
    ABKNLM $.

  $( The floor of a fraction is 0 iff the denominator is less than the
     numerator.  (Contributed by AV, 8-Jul-2021.) $)
  divfl0 $p |- ( ( A e. NN0 /\ B e. NN )
                 -> ( A < B <-> ( |_ ` ( A / B ) ) = 0 ) ) $=
    ( cn0 wcel cn wa cdiv co cfl cfv cc0 wceq caddc cle wbr c1 clt cc cr wb syl
    nn0nndivcl recnd addid2 eqcomd fveqeq2d cz 0z flbi2 nn0ge0div biantrurd crp
    sylancr nn0re nnrp divlt1lt syl2an bitr3d 3bitrrd ) ACDZBEDZFZABGHZIJKLKVCM
    HZIJKLZKVCNOZVCPQOZFZABQOZVBVCVDKIVBVCRDZVCVDLVBVCABUBZUCVJVDVCVCUDUEUAUFVB
    KUGDVCSDVEVHTUHVKVCKUIUMVBVGVHVIVBVFVGABUJUKUTASDBULDVGVITVAAUNBUOABUPUQURU
    S $.

  $( An integer can be moved in and out of the floor of a sum.  (Contributed by
     NM, 27-Apr-2005.)  (Proof shortened by Fan Zheng, 16-Jun-2016.) $)
  fladdz $p |- ( ( A e. RR /\ N e. ZZ ) -> ( |_ ` ( A + N ) ) =
                ( ( |_ ` A ) + N ) ) $=
    ( cr wcel cz wa caddc co cfl cfv wceq cle wbr c1 clt reflcl adantr readdcld
    simpl recnd simpr zred flle leadd1dd 1red flltp1 ltadd1dd add32d breqtrd wb
    1cnd flcld zaddcld flbi syl2anc mpbir2and ) ACDZBEDZFZABGHZIJAIJZBGHZKZVBUT
    LMZUTVBNGHZOMZUSVAABUQVACDURAPQZUQURSZUSBUQURUAZUBZUQVAALMURAUCQUDUSUTVANGH
    ZBGHVEOUSAVKBVHUSVANVGUSUERVJUQAVKOMURAUFQUGUSVANBUSVAVGTUSUKUSBVJTUHUIUSUT
    CDVBEDVCVDVFFUJUSABVHVJRUSVABUSAVHULVIUMUTVBUNUOUP $.

  $( An integer can be moved in and out of the floor of a sum.  (Contributed by
     NM, 2-Jan-2009.) $)
  flzadd $p |- ( ( N e. ZZ /\ A e. RR ) -> ( |_ ` ( N + A ) ) =
                ( N + ( |_ ` A ) ) ) $=
    ( cr wcel cz caddc co cfl cfv wceq wa fladdz cc addcom syl2an fveq2d reflcl
    recn zcn recnd 3eqtr3d ancoms ) ACDZBEDZBAFGZHIZBAHIZFGZJUCUDKZABFGZHIUGBFG
    ZUFUHABLUIUJUEHUCAMDBMDZUJUEJUDARBSZABNOPUCUGMDULUKUHJUDUCUGAQTUMUGBNOUAUB
    $.

  $( Move a nonnegative integer in and out of a floor.  (Contributed by NM,
     2-Jan-2009.)  (Proof shortened by Fan Zheng, 7-Jun-2016.) $)
  flmulnn0 $p |- ( ( N e. NN0 /\ A e. RR )
              -> ( N x. ( |_ ` A ) ) <_ ( |_ ` ( N x. A ) ) ) $=
    ( cn0 wcel cr wa cfl cfv cmul co cle wbr reflcl adantl simpr nn0red nn0ge0d
    simpl flle cz lemul2ad remulcld nn0z flcl zmulcl syl2an flge syl2anc mpbid
    wb ) BCDZAEDZFZBAGHZIJZBAIJZKLZUOUPGHKLZUMUNABULUNEDUKAMNUKULOZUMBUKULRZPZU
    MBUTQULUNAKLUKASNUAUMUPEDUOTDZUQURUJUMBAVAUSUBUKBTDUNTDVBULBUCAUDBUNUEUFUPU
    OUGUHUI $.

  $( A real bounded between an integer and its successor is nonnegative iff the
     integer is nonnegative.  Second half of Lemma 13-4.1 of [Gleason] p. 217.
     (For the first half see ~ rebtwnz .)  (Contributed by NM, 12-Mar-2005.) $)
  btwnzge0 $p |- ( ( ( A e. RR /\ N e. ZZ ) /\ ( N <_ A /\ A < ( N + 1 ) ) )
                -> ( 0 <_ A <-> 0 <_ N ) ) $=
    ( cr wcel cz wa cle wbr c1 caddc co clt cc0 cfl cfv wb flge mpan2 ad2antrr
    0z wceq flbi biimpar breq2d bitrd ) ACDZBEDZFZBAGHABIJKLHFZFZMAGHZMANOZGHZM
    BGHUFUKUMPZUGUIUFMEDUNTAMQRSUJULBMGUHULBUAUIABUBUCUDUE $.

  $( Two times an integer plus one is not negative iff the integer is not
     negative.  (Contributed by AV, 19-Jun-2021.)  (Proof shortened by AV,
     10-Jul-2022.) $)
  2tnp1ge0ge0 $p |- ( N e. ZZ -> ( 0 <_ ( ( 2 x. N ) + 1 ) <-> 0 <_ N ) ) $=
    ( cz wcel cc0 c2 cmul co c1 caddc cle wbr cdiv 2z id zmulcld peano2zd cc cr
    a1i clt zred crp 2rp ge0divd wne wa wceq zcnd 1cnd 2cnne0 syl3anc 2cnd 2ne0
    divdir zcn divcan3d oveq1d eqtrd breq2d wb halfre readdcld halfge0 addge01d
    zre mpbii 1red halflt1 ltadd2dd btwnzge0 syl22anc 3bitrd ) ABCZDEAFGZHIGZJK
    DVOELGZJKDAHELGZIGZJKZDAJKZVMVOEVMVOVMVNVMEAEBCVMMSVMNZOZPUAEUBCVMUCSUDVMVP
    VRDJVMVPVNELGZVQIGZVRVMVNQCHQCEQCEDUEZUFZVPWDUGVMVNWBUHVMUIWFVMUJSVNHEUNUKV
    MWCAVQIVMAEAUOVMULWEVMUMSUPUQURUSVMVRRCVMAVRJKZVRAHIGTKVSVTUTVMAVQAVEZVQRCV
    MVASZVBWAVMDVQJKWGVCVMAVQWHWIVDVFVMVQHAWIVMVGWHVQHTKVMVHSVIVRAVJVKVL $.

  $( Ordering relation for the floor of half of an integer.  (Contributed by
     NM, 1-Jan-2006.)  (Proof shortened by Mario Carneiro, 7-Jun-2016.) $)
  flhalf $p |- ( N e. ZZ -> N <_ ( 2 x. ( |_ ` ( ( N + 1 ) / 2 ) ) ) ) $=
    ( cz wcel c2 c1 caddc co cdiv cfl cfv cle wbr clt cr syl readdcld a1i recnd
    cmul mpbird zre peano2re rehalfcld flltp1 flcld zred 1red crp 2rp ltdivmuld
    mpbid 2timesd oveq2d adddid 2re remulcld addassd 3eqtr4d breqtrd ltadd1d wb
    2cnd 2z zmulcld zleltp1 mpdan ) ABCZADAEFGZDHGZIJZSGZKLZAVKEFGZMLZVGVNVHVME
    FGZMLVGVHDVJEFGZSGZVOMVGVIVPMLZVHVQMLVGVINCVRVGVHVGANCVHNCAUAZAUBOZUCZVIUDO
    VGVHVPDVTVGVJEVGVJVGVIWAUEZUFZVGUGZPDUHCVGUIQUJUKVGVKDESGZFGVKEEFGZFGVQVOVG
    WEWFVKFVGEVGEWDRZULUMVGDVJEVGVBVGVJWCRWGUNVGVKEEVGVKVGDVJDNCVGUOQWCUPZRWGWG
    UQURUSVGAVMEVSVGVKEWHWDPWDUTTVGVKBCVLVNVAVGDVJDBCVGVCQWBVDAVKVEVFT $.

  $( The floor function of a division of a real number by a positive real
     number is less than or equal to the division.  (Contributed by Alexander
     van der Vekens, 14-Apr-2018.) $)
  fldivle $p |- ( ( K e. RR /\ L e. RR+ )
                  -> ( |_ ` ( K / L ) ) <_ ( K / L ) ) $=
    ( cr wcel crp wa cdiv co cfl cfv cle wbr c1 caddc clt rerpdivcl fllelt 3syl
    simpl ) ACDBEDFABGHZCDTIJZTKLZTUAMNHOLZFUBABPTQUBUCSR $.

  $( The floor function of a division of a nonnegative integer by a positive
     integer is less than or equal to the division.  (Contributed by Alexander
     van der Vekens, 14-Apr-2018.) $)
  fldivnn0le $p |- ( ( K e. NN0 /\ L e. NN )
                     -> ( |_ ` ( K / L ) ) <_ ( K / L ) ) $=
    ( cn0 wcel cr crp cdiv co cfl cfv cle wbr cn nn0re nnrp fldivle syl2an ) AC
    DAEDBFDABGHZIJRKLBMDANBOABPQ $.

  $( The floor function of a division of a nonnegative integer by a positive
     integer is less than the division of a greater dividend by the same
     positive integer.  (Contributed by Alexander van der Vekens,
     14-Apr-2018.) $)
  flltdivnn0lt $p |- ( ( K e. NN0 /\ N e. NN0 /\ L e. NN )
                       -> ( K < N -> ( |_ ` ( K / L ) ) < ( N / L ) ) ) $=
    ( cn0 wcel cn w3a clt wbr cdiv co cfl wa cr nn0nndivcl 3adant2 adantr nn0re
    syl jca cfv cle reflcl 3adant1 3jca fldivnn0le simpr cc0 wb nngt0 3anim123i
    nnre ltdiv1 mpbid lelttr sylc ex ) ADEZCDEZBFEZGZACHIZABJKZLUAZCBJKZHIZVAVB
    MZVDNEZVCNEZVENEZGZVDVCUBIZVCVEHIZMVFVAVKVBVAVHVIVJURUTVHUSURUTMVIVHABOZVCU
    CSPURUTVIUSVNPUSUTVJURCBOUDUEQVGVLVMVAVLVBURUTVLUSABUFPQVGVBVMVAVBUGVGANEZC
    NEZBNEZUHBHIZMZGZVBVMUIVAVTVBURVOUSVPUTVSARCRUTVQVRBULBUJTUKQACBUMSUNTVDVCV
    EUOUPUQ $.

  $( If the dividend of a division is less than the difference between a real
     number and the divisor, the floor function of the division plus 1 is less
     than the division of the real number by the divisor.  (Contributed by
     Alexander van der Vekens, 14-Apr-2018.) $)
  ltdifltdiv $p |- ( ( A e. RR /\ B e. RR+ /\ C e. RR )
                     -> ( A < ( C - B )
                          -> ( ( |_ ` ( A / B ) ) + 1 ) < ( C / B ) ) ) $=
    ( cr wcel co clt wbr cdiv c1 caddc wa syl 3adant3 adantr cmul recn 3ad2ant2
    wb cc crp w3a cmin cfl cfv refldivcl peano2re rerpdivcl ancoms 3adant1 1red
    cle 3simpa fldivle leadd1dd rpre ltaddsub syl3an2 biimpar rpcn 3ad2ant1 cc0
    1cnd wne rpne0 divcan1d wceq mulid2d oveq12d joinlmuladdmuld breq12d mpbird
    3ad2ant3 simp2 ltmul1d lelttrd ex ) ADEZBUAEZCDEZUBZACBUCFGHZABIFZUDUEZJKFZ
    CBIFZGHWAWBLZWEWCJKFZWFWAWEDEZWBVRVSWIVTVRVSLZWDDEZWIABUFZWDUGMNOWAWHDEZWBV
    RVSWMVTWJWCDEZWMABUHZWCUGZMNOWAWFDEZWBVSVTWQVRVTVSWQCBUHUIUJZOWGWDWCJWAWKWB
    VRVSWKVTWLNOWAWNWBVRVSWNVTWONZOWGUKWGWJWDWCULHWAWJWBVRVSVTUMOABUNMUOWGWHWFG
    HZWHBPFZWFBPFZGHZWGXCABKFZCGHZWAXEWBVSVRBDEVTXEWBSBUPABCUQURUSWAXCXESWBWAXA
    XDXBCGWAWCBJXDVRVSWCTEZVTWJWNXFWOWCQMNVSVRBTEVTBUTZRZWAVCWAWCBPFAJBPFZBKWAA
    BVRVSATEVTAQVAXHVSVRBVBVDVTBVERZVFVSVRXIBVGVTVSBXGVHRVIVJWACBVTVRCTEVSCQVMX
    HXJVFVKOVLWAWTXCSWBWAWHWFBWAWNWMWSWPMWRVRVSVTVNVOOVLVPVQ $.

  $( The floor of an integer equal to 3 or greater than 4, increased by 1, is
     less than or equal to the half of the integer minus 1.  (Contributed by
     AV, 8-Jul-2021.) $)
  fldiv4p1lem1div2 $p |- ( ( N = 3 \/ N e. ( ZZ>= ` 5 ) )
                        -> ( ( |_ ` ( N / 4 ) ) + 1 ) <_ ( ( N - 1 ) / 2 ) ) $=
    ( c3 c4 cdiv co cfl cfv c1 caddc cmin c2 cle wbr c5 wcel a1i cc0 eqtrdi syl
    cr wceq cuz 1le1 fvoveq1 clt 3lt4 cn0 cn 3nn0 4nn divfl0 mp2an oveq1d 0p1e1
    wb mpbi oveq1 3m1e2 2div2e1 3brtr4d wo uzp1 2re df-5 oveq1i 4cn ax-1cn 4ne0
    leidi divdiri dividi 3eqtri fveq2i 1re 0le1 4re 4pos divge0 mp4an recgt1 cz
    1lt4 wa 1z rereccli flbi2 mpbir2an eqtri 1p1e2 5m1e4 4d2e2 c6 w3a eluz2 zre
    id wne redivcld flle 3syl adantr flcld zred 3jca mpbid div4p1lem1div2 sylan
    leadd1 wi peano2re peano2rem rehalfcld letr mp2and 3adant1 sylbi 5p1e6 jaoi
    eleq2s ) ABUAZACDEZFGZHIEZAHJEZKDEZLMZANUBGOZXTHHYCYELHHLMXTUCPXTYCQHIEHXTY
    BQHIXTYBBCDEFGZQABCFDUDBCUEMZYHQUAZUFBUGOCUHOYIYJUOUIUJBCUKULUPRUMUNRXTYEKK
    DEHXTYDKKDXTYDBHJEKABHJUQURRUMUSRUTYGANUAZANHIEZUBGZOZVAYFNAVBYKYFYNYKKKYCY
    ELKKLMYKKVCVIPYKYCHHIEKYKYBHHIYKYBNCDEZFGZHANCFDUDYPHHCDEZIEZFGZHYOYRFYOCHI
    EZCDECCDEZYQIEYRNYTCDVDVECHCVFVGVFVHVJUUAHYQICVFVHVKVEVLVMYSHUAZQYQLMZYQHUE
    MZHTOZQHLMCTOZQCUEMZUUCVNVOVPVQHCVRVSHCUEMZUUDWBUUFUUGUUHUUDUOVPVQCVTULUPHW
    AOYQTOUUBUUCUUDWCUOWDCVPVHWEYQHWFULWGWHRUMWIRYKYECKDEKYKYDCKDYKYDNHJECANHJU
    QWJRUMWKRUTYFAWLUBGZYMAUUIOWLWAOZAWAOZWLALMZWMYFWLAWNUUKUULYFUUJUUKUULWCZYC
    YAHIEZLMZUUNYELMZYFUUMYBYALMZUUOUUKUUQUULUUKATOZYATOZUUQAWOZUURACUURWPUUFUU
    RVPPCQWQUURVHPWRZYAWSWTXAUUMYBTOZUUSUUEWMZUUQUUOUOUUKUVCUULUUKUURUVCUUTUURU
    VBUUSUUEUURYBUURYAUVAXBXCZUVAUUEUURVNPXDSXAYBYAHXHSXEUUKUURUULUUPUUTAXFXGUU
    MYCTOZUUNTOZYETOZWMZUUOUUPWCYFXIUUKUVHUULUUKUURUVHUUTUURUVEUVFUVGUURUVBUVEU
    VDYBXJSUURUUSUVFUVAYAXJSUURYDAXKXLXDSXAYCUUNYEXMSXNXOXPYLWLUBXQVMXSXRSXR $.

  $( The floor of an integer greater than 1, divided by 4 is less than or equal
     to the half of the integer minus 1.  (Contributed by AV, 5-Jul-2021.)
     (Proof shortened by AV, 9-Jul-2022.) $)
  fldiv4lem1div2uz2 $p |- ( N e. ( ZZ>= ` 2 )
                         -> ( |_ ` ( N / 4 ) ) <_ ( ( N - 1 ) / 2 ) ) $=
    ( c2 cfv wcel c4 cdiv co cle wbr c1 cmin cr a1i cc0 wne syl 3syl syl3anc cc
    wceq cuz cfl cz eluzelz zre id 4re 4ne0 redivcld flle eluzelre rehalfcl crp
    1red eluzle divge1 eluzelcn subhalfhalf breqtrrd lesubd 2t2e4 eqcomi oveq2d
    2rp cmul wa 2cnne0 divdiv1 eqtr4d breq1d peano2rem lediv1d bitr4d mpbird wi
    w3a flcld zred rehalfcld 3jca letr mp2and ) ABUACDZAEFGZUBCZWDHIZWDAJKGZBFG
    ZHIZWEWHHIZWCAUCDZWDLDZWFBAUDZWKALDZWLAUEZWNAEWNUFELDWNUGMENOWNUHMUIZPWDUJQ
    WCWIABFGZWGHIZWCJAWQWCUNBAUKZWCWKWNWQLDWMWOAULQZWCJWQAWQKGZHWCBUMDZWNBAHIJW
    QHIXBWCVDMZWSBAUOBAUPRWCASDZXAWQTBAUQZAURPUSUTWCWIWQBFGZWHHIWRWCWDXFWHHWCWD
    ABBVEGZFGZXFWCEXGAFEXGTWCXGEVAVBMVCWCXDBSDBNOVFZXIXFXHTXEXIWCVGMZXJABBVHRVI
    VJWCWQWGBWTWCWNWGLDWSAVKZPXCVLVMVNWCWELDZWLWHLDZVPZWFWIVFWJVOWCWKWNXNWMWOWN
    XLWLXMWNWEWNWDWPVQVRWPWNWGXKVSVTQWEWDWHWAPWB $.

  $( The floor of a positive integer divided by 4 is less than or equal to the
     half of the integer minus 1.  (Contributed by AV, 9-Jul-2021.) $)
  fldiv4lem1div2 $p |- ( N e. NN
                         -> ( |_ ` ( N / 4 ) ) <_ ( ( N - 1 ) / 2 ) ) $=
    ( cn wcel c1 wceq c2 cuz cfv wo c4 cdiv co cfl cmin cle wbr cc0 wne eqtrdi
    cr elnn1uz2 clt 1lt4 cn0 wb 1nn0 4nn divfl0 mp2an mpbi 1re 4re 4ne0 redivcl
    w3a flcld zred mp3an eqlei mp1i fvoveq1 oveq1 1m1e0 oveq1d cc wa div0 ax-mp
    2cnne0 3brtr4d fldiv4lem1div2uz2 jaoi sylbi ) ABCADEZAFGHCZIAJKLMHZADNLZFKL
    ZOPZAUAVNVSVOVNDJKLZMHZQVPVROWAQEZWAQOPVNDJUBPZWBUCDUDCJBCWCWBUEUFUGDJUHUIU
    JWAQDTCZJTCZJQRZWATCUKULUMWDWEWFUOZWAWGVTDJUNUPUQURUSUTADJMKVAVNVRQFKLZQVNV
    QQFKVNVQDDNLQADDNVBVCSVDFVECFQRVFWHQEVIFVGVHSVJAVKVLVM $.

  ${
    $d x A $.
    $( The value of the ceiling function.  (Contributed by David A. Wheeler,
       19-May-2015.) $)
    ceilval $p |- ( A e. RR -> ( |^ ` A ) = -u ( |_ ` -u A ) ) $=
      ( vx cv cneg cfl cfv cceil wceq negeq fveq2d negeqd df-ceil negex fvmpt
      cr ) BABCZDZEFZDADZEFZDOGPAHZRTUAQSEPAIJKBLTMN $.
  $}

  ${
    $d x y z $.
    $( Alternative definition of the ceiling function using restricted iota.
       (Contributed by AV, 1-Dec-2018.) $)
    dfceil2 $p |- |^ = ( x e. RR |->
                         ( iota_ y e. ZZ ( x <_ y /\ y < ( x + 1 ) ) ) ) $=
      ( vz cr cv cneg cmpt cle wbr c1 caddc co clt wa cz crio wcel wb syl wceq
      cfl cfv df-ceil zre lenegcon2 peano2re anim1ci ltnegcon1 recn 1cnd negdid
      cceil adantr breq1d cmin renegcl neg1rr a1i simpr ltaddsubd adantl breq2d
      subnegd bitrd 3bitrd anbi12d sylan2 riotabidva negeqd zbtwnre breq2 breq1
      wreu zriotaneg flval 3eqtr4rd mpteq2ia eqtri ) ULADAEZFZUAUBZFZGADVSBEZHI
      ZWCVSJKLZMIZNZBOPZGAUCADWBWHVSDQZVSCEZFZHIZWKWEMIZNZCOPZFZWJVTHIZVTWJJKLZ
      MIZNZCOPZFWHWBWIWOXAWIWNWTCOWJOQWIWJDQZWNWTRWJUDWIXBNZWLWQWMWSVSWJUEXCWMW
      EFZWJMIZVTJFZKLZWJMIZWSXCXBWEDQZNWMXERWIXIXBVSUFUGWJWEUHSXCXDXGWJMWIXDXGT
      XBWIVSJVSUIWIUJUKUMUNXCXHVTWJXFUOLZMIWSXCVTXFWJWIVTDQZXBVSUPZUMXFDQXCUQUR
      WIXBUSUTXCXJWRVTMXBXJWRTWIXBWJJWJUIXBUJVCVAVBVDVEVFVGVHVIWIWGBOVMWHWPTBVS
      VJWGWNBCWCWKTWDWLWFWMWCWKVSHVKWCWKWEMVLVFVNSWIWAXAWIXKWAXATXLCVTVOSVIVPVQ
      VR $.
  $}

  ${
    $d x y A $.
    $( The value of the ceiling function using restricted iota.  (Contributed
       by AV, 1-Dec-2018.) $)
    ceilval2 $p |- ( A e. RR -> ( |^ ` A )
                           = ( iota_ y e. ZZ ( A <_ y /\ y < ( A + 1 ) ) ) ) $=
      ( vx cv cle wbr c1 caddc co clt wa cz crio cceil wceq breq1 oveq1 anbi12d
      cr breq2d riotabidv dfceil2 riotaex fvmpt ) CBCDZADZEFZUFUEGHIZJFZKZALMBU
      FEFZUFBGHIZJFZKZALMSNUEBOZUJUNALUOUGUKUIUMUEBUFEPUOUHULUFJUEBGHQTRUACAUBU
      NALUCUD $.
  $}

  $( The ceiling function returns an integer (closure law).  (Contributed by
     Jeff Hankins, 10-Jun-2007.) $)
  ceicl $p |- ( A e. RR -> -u ( |_ ` -u A ) e. ZZ ) $=
    ( cr wcel cneg cfl cfv renegcl flcld znegcld ) ABCZADZEFJKAGHI $.

  $( Closure of the ceiling function.  (Contributed by David A. Wheeler,
     19-May-2015.) $)
  ceilcl $p |- ( A e. RR -> ( |^ ` A ) e. ZZ ) $=
    ( cr wcel cceil cfv cneg cfl cz ceilval ceicl eqeltrd ) ABCADEAFGEFHAIAJK
    $.

  ${
    ceilcld.1 $e |- ( ph -> A e. RR ) $.
    $( Closure of the ceiling function.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    ceilcld $p |- ( ph -> ( |^ ` A ) e. ZZ ) $=
      ( cr wcel cceil cfv cz ceilcl syl ) ABDEBFGHECBIJ $.
  $}

  $( The ceiling of a real number is greater than or equal to that number.
     (Contributed by Jeff Hankins, 10-Jun-2007.) $)
  ceige $p |- ( A e. RR -> A <_ -u ( |_ ` -u A ) ) $=
    ( wcel cneg cfl cfv cle wbr renegcl reflcl syl flle adantr lenegcon2 mpbird
    cr wa mpdan ) AOBZACZDEZOBZATCFGZRSOBZUAAHZSIJRUAPUBTSFGZRUEUARUCUEUDSKJLAT
    MNQ $.

  $( The ceiling of a real number is greater than or equal to that number.
     (Contributed by AV, 30-Nov-2018.) $)
  ceilge $p |- ( A e. RR -> A <_ ( |^ ` A ) ) $=
    ( cr wcel cneg cfl cfv cceil cle ceige ceilval breqtrrd ) ABCAADEFDAGFHAIAJ
    K $.

  ${
    ceilged.1 $e |- ( ph -> A e. RR ) $.
    $( The ceiling of a real number is greater than or equal to that number.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    ceilged $p |- ( ph -> A <_ ( |^ ` A ) ) $=
      ( cr wcel cceil cfv cle wbr ceilge syl ) ABDEBBFGHICBJK $.
  $}

  $( One less than the ceiling of a real number is strictly less than that
     number.  (Contributed by Jeff Hankins, 10-Jun-2007.) $)
  ceim1l $p |- ( A e. RR -> ( -u ( |_ ` -u A ) - 1 ) < A ) $=
    ( cr wcel cneg cfl cfv c1 cmin co caddc cc wceq renegcl reflcl recnd ax-1cn
    clt syl sylancl wbr negdi negcld negsub eqtr2d peano2re wa flltp1 ltnegcon1
    adantr mpbid mpdan eqbrtrd ) ABCZADZEFZDZGHIZUOGJIZDZAQUMUSUPGDJIZUQUMUOKCG
    KCZUSUTLUMUOUMUNBCZUOBCZAMZUNNRZOZPUOGUASUMUPKCVAUTUQLUMUOVFUBPUPGUCSUDUMUR
    BCZUSAQTZUMVCVGVEUOUERUMVGUFUNURQTZVHUMVIVGUMVBVIVDUNUGRUIAURUHUJUKUL $.

  $( One less than the ceiling of a real number is strictly less than that
     number.  (Contributed by AV, 30-Nov-2018.) $)
  ceilm1lt $p |- ( A e. RR -> ( ( |^ ` A ) - 1 ) < A ) $=
    ( cr wcel cceil cfv c1 cmin co cneg cfl clt ceilval oveq1d ceim1l eqbrtrd )
    ABCZADEZFGHAIJEIZFGHAKPQRFGALMANO $.

  $( The ceiling of a real number is the smallest integer greater than or equal
     to it.  (Contributed by Jeff Hankins, 10-Jun-2007.) $)
  ceile $p |- ( ( A e. RR /\ B e. ZZ /\ A <_ B ) -> -u ( |_ ` -u A ) <_ B ) $=
    ( cr wcel cz cle wbr cneg cfl cfv wa c1 cmin co clt ceim1l adantr ceicl zre
    wi peano2rem 3syl simpl adantl ltletr syl3anc mpand wb zlem1lt sylan 3impia
    sylibrd ) ACDZBEDZABFGZAHIJHZBFGZUMUNKZUOUPLMNZBOGZUQURUSAOGZUOUTUMVAUNAPQU
    RUSCDZUMBCDZVAUOKUTTUMVBUNUMUPEDZUPCDVBARZUPSUPUAUBQUMUNUCUNVCUMBSUDUSABUEU
    FUGUMVDUNUQUTUHVEUPBUIUJULUK $.

  $( The ceiling of a real number is the smallest integer greater than or equal
     to it.  (Contributed by AV, 30-Nov-2018.) $)
  ceille $p |- ( ( A e. RR /\ B e. ZZ /\ A <_ B ) -> ( |^ ` A ) <_ B ) $=
    ( cr wcel cz cle wbr w3a cceil cfv cneg wceq ceilval 3ad2ant1 ceile eqbrtrd
    cfl ) ACDZBEDZABFGZHAIJZAKQJKZBFRSUAUBLTAMNABOP $.

  $( An integer is its own ceiling.  (Contributed by AV, 30-Nov-2018.) $)
  ceilid $p |- ( A e. ZZ -> ( |^ ` A ) = A ) $=
    ( cz wcel cceil cfv cneg cfl cr wceq zre ceilval syl znegcl flid negeqd zcn
    negnegd 3eqtrd ) ABCZADEZAFZGEZFZUAFASAHCTUCIAJAKLSUBUASUABCUBUAIAMUANLOSAA
    PQR $.

  $( A real number equals its ceiling iff it is an integer.  (Contributed by
     AV, 30-Nov-2018.) $)
  ceilidz $p |- ( A e. RR -> ( A e. ZZ <-> ( |^ ` A ) = A ) ) $=
    ( cr wcel cz cceil cfv wceq ceilid ceilcl eleq1 syl5ibcom impbid2 ) ABCZADC
    ZAEFZAGZAHMODCPNAIOADJKL $.

  $( The floor of a real number is less than or equal to its ceiling.
     (Contributed by AV, 30-Nov-2018.) $)
  flleceil $p |- ( A e. RR -> ( |_ ` A ) <_ ( |^ ` A ) ) $=
    ( cr wcel cfl cfv cceil reflcl id ceilcl zred flle ceilge letrd ) ABCZADEAA
    FEZAGNHNOAIJAKALM $.

  $( A real number is an integer iff its floor equals its ceiling.
     (Contributed by AV, 30-Nov-2018.) $)
  fleqceilz $p |- ( A e. RR -> ( A e. ZZ <-> ( |_ ` A ) = ( |^ ` A ) ) ) $=
    ( cr wcel cz cfl cfv cceil wceq wi wa wb adantr adantl sylbid ex wn cle wbr
    wne clt ceilid eqtr4d eqeq1 ceilidz eqcom bitrdi biimprd df-ne necom reflcl
    flid flle id ltlend breq1 ceilge ceilcl zred lenltd pm2.21 syl6bi mpd com23
    sylbird expd com3r sylbi sylbir mpdi pm2.61i impbid2 ) ABCZADCZAEFZAGFZHZVM
    VNAVOAUKAUAUBVNAHZVLVPVMIZIVQVLVRVQVLJVPAVOHZVMVQVPVSKVLVNAVOUCLVLVSVMIVQVL
    VMVSVLVMVOAHVSAUDVOAUEUFUGMNOVQPZVLVNAQRZVRAULVTVNASZVLWAVRIIZVNAUHWBAVNSZW
    CVNAUIVLWAWDVRVLWAWDVRVLWAWDJVNATRZVRVLVNAAUJVLUMZUNVLVPWEVMVLVPWEVMIVLVPJW
    EVOATRZVMVPWEWGKVLVNVOATUOMVLWGVMIZVPVLAVOQRZWHAUPVLWIWGPWHVLAVOWFVLVOAUQUR
    USWGVMUTVAVBLNOVCVDVEVFVGVHVIVJVK $.

  ${
    quorem.1 $e |- Q = ( |_ ` ( A / B ) ) $.
    quorem.2 $e |- R = ( A - ( B x. Q ) ) $.
    $( Quotient and remainder of an integer divided by a positive integer.
       TODO - is this really needed for anything?  Should we use ` mod ` to
       simplify it?  Remark (AV):  This is a special case of ~ divalg .
       (Contributed by NM, 14-Aug-2008.) $)
    quoremz $p |- ( ( A e. ZZ /\ B e. NN ) -> ( ( Q e. ZZ /\ R e. NN0 )
          /\ ( R < B /\ A = ( ( B x. Q ) + R ) ) ) ) $=
      ( cz wcel wa cn0 clt wbr co caddc cdiv cr adantl cmin cle c1 cn cmul wceq
      cfl cfv zre adantr nnre cc0 wne nnne0 redivcld flcld eqeltrid cc divcan3d
      zcnd nncn flle syl eqbrtrid eqbrtrd wb nnz zmulcld nngt0 lediv1 syl112anc
      zred mpbird simpl znn0sub syl2anc oveq2i fraclt1 oveq1i zcn jca divsubdir
      mpbid syl3anc oveq2d eqtrid dividd 3brtr4d nn0red ltdiv1 pncan3d eqtr2id
      eqtrd jca31 ) AGHZBUAHZIZCGHDJHDBKLZABCUBMZDNMZUCZIWNCABOMZUDUEZGEWNWSWNA
      BWLAPHZWMAUFUGZWMBPHZWLBUHQZWMBUIUJZWLBUKZQZULZUMUNZWNDAWPRMZJFWNWPASLZXJ
      JHZWNXKWPBOMZWSSLZWNXMCWSSWNCBWNCXIUQWMBUOHZWLBURZQXGUPZWNCWTWSSEWNWSPHZW
      TWSSLXHWSUSUTVAVBWNWPPHXAXCUIBKLZXKXNVCWNWPWNBCWMBGHWLBVDQXIVEZVIXBXDWMXS
      WLBVFQZWPABVGVHVJWNWPGHWLXKXLVCXTWLWMVKWPAVLVMVTUNZWNWOWRWNWODBOMZBBOMZKL
      ZWNWSCRMZTYCYDKWNYFWSWTRMZTKCWTWSREVNWNXRYGTKLXHWSVOUTVAWNYCXJBOMZYFDXJBO
      FVPWNYHWSXMRMZYFWNAUOHZWPUOHXOXEIZYHYIUCWLYJWMAVQUGZWNWPXTUQZWMYKWLWMXOXE
      XPXFVRQAWPBVSWAWNXMCWSRXQWBWJWCWMYDTUCWLWMBXPXFWDQWEWNDPHXCXCXSWOYEVCWNDY
      BWFXDXDYADBBWGVHVJWNWQWPXJNMADXJWPNFVNWNWPAYMYLWHWIVRWK $.

    $( Quotient and remainder of a nonnegative integer divided by a positive
       integer.  (Contributed by NM, 14-Aug-2008.) $)
    quoremnn0 $p |- ( ( A e. NN0 /\ B e. NN ) -> ( ( Q e. NN0 /\ R e. NN0 )
          /\ ( R < B /\ A = ( ( B x. Q ) + R ) ) ) ) $=
      ( cn0 wcel cn wa cz clt wbr cmul co caddc wceq cdiv anim1i anasss cfl cfv
      fldivnn0 eqeltrid nn0z quoremz sylan simpl syl2anc ) AGHZBIHZJZCGHZCKHZDG
      HZJZDBLMABCNODPOQJZJZUMUOJZUQJZULCABROUAUBGEABUCUDUJAKHUKURAUEABCDEFUFUGU
      MUPUQUTUMUPJUSUQUMUNUOUSUMUNJUMUOUMUNUHSTSTUI $.

    $( Alternate proof of ~ quoremnn0 not using ~ quoremz .  TODO - Keep either
       ~ quoremnn0ALT (if we don't keep ~ quoremz ) or ~ quoremnn0 ?
       (Contributed by NM, 14-Aug-2008.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    quoremnn0ALT $p |- ( ( A e. NN0 /\ B e. NN ) -> ( ( Q e. NN0 /\ R e. NN0 )
          /\ ( R < B /\ A = ( ( B x. Q ) + R ) ) ) ) $=
      ( cn0 wcel wa clt wbr co caddc wceq cdiv cmin cle adantl cr c1 cn cfl cfv
      cmul fldivnn0 eqeltrid nnnn0 nn0mulcld simpl nn0cnd cc nncn cc0 wne nnne0
      divcan3d nn0nndivcl flle syl eqbrtrid eqbrtrd wb nn0red nn0re adantr nnre
      nngt0 lediv1 syl112anc mpbird nn0sub2 syl3anc oveq2i fraclt1 oveq1i nn0cn
      divsubdir oveq2d eqtrd eqtrid dividd 3brtr4d ltdiv1 pncan3d eqtr2id jca31
      jca ) AGHZBUAHZIZCGHDGHDBJKZABCUDLZDMLZNZIWJCABOLZUBUCZGEABUEUFZWJDAWLPLZ
      GFWJWLGHWHWLAQKZWRGHWJBCWIBGHWHBUGRWQUHZWHWIUIWJWSWLBOLZWOQKZWJXACWOQWJCB
      WJCWQUJWIBUKHZWHBULZRWIBUMUNZWHBUOZRUPZWJCWPWOQEWJWOSHZWPWOQKABUQZWOURUSU
      TVAWJWLSHASHZBSHZUMBJKZWSXBVBWJWLWTVCWHXJWIAVDVEWIXKWHBVFRZWIXLWHBVGRZWLA
      BVHVIVJWLAVKVLUFZWJWKWNWJWKDBOLZBBOLZJKZWJWOCPLZTXPXQJWJXSWOWPPLZTJCWPWOP
      EVMWJXHXTTJKXIWOVNUSUTWJXPWRBOLZXSDWRBOFVOWJYAWOXAPLZXSWJAUKHZWLUKHXCXEIZ
      YAYBNWHYCWIAVPVEZWJWLWTUJZWIYDWHWIXCXEXDXFWGRAWLBVQVLWJXACWOPXGVRVSVTWIXQ
      TNWHWIBXDXFWARWBWJDSHXKXKXLWKXRVBWJDXOVCXMXMXNDBBWCVIVJWJWMWLWRMLADWRWLMF
      VMWJWLAYFYEWDWEWGWF $.
  $}

  ${
    intfrac2.1 $e |- Z = ( |_ ` A ) $.
    intfrac2.2 $e |- F = ( A - Z ) $.
    $( Decompose a real into integer and fractional parts.  TODO - should we
       replace this with ~ intfrac ?  (Contributed by NM, 16-Aug-2008.) $)
    intfrac2 $p |- ( A e. RR -> ( 0 <_ F /\ F < 1 /\ A = ( Z + F ) ) ) $=
      ( cr wcel cc0 cle wbr c1 clt caddc co wceq cfl cfv cmin fracge0 oveq2i cz
      eqtri breqtrrdi fraclt1 eqbrtrid flcl eqeltrid zcnd recn pncan3d eqtr2id
      3jca ) AFGZHBIJBKLJACBMNZOUMHAAPQZRNZBIASBACRNZUPECUOARDTUBZUCUMBUPKLURAU
      DUEUMUNCUQMNABUQCMETUMCAUMCUMCUOUADAUFUGUHAUIUJUKUL $.
  $}

  ${
    intfracq.1 $e |- Z = ( |_ ` ( M / N ) ) $.
    intfracq.2 $e |- F = ( ( M / N ) - Z ) $.
    $( Decompose a rational number, expressed as a ratio, into integer and
       fractional parts.  The fractional part has a tighter bound than that of
       ~ intfrac2 .  (Contributed by NM, 16-Aug-2008.) $)
    intfracq $p |- ( ( M e. ZZ /\ N e. NN )
         -> ( 0 <_ F /\ F <_ ( ( N - 1 ) / N ) /\ ( M / N ) = ( Z + F ) ) ) $=
      ( cz wcel cc0 cle wbr c1 cmin co cdiv clt cr adantl syl cmul cn caddc w3a
      wa wceq zre adantr nnre wne nnne0 redivcld intfrac2 simp1d cfl cfv oveq2i
      fraclt1 eqtri a1i dividd 3brtr4d reflcl eqeltrid resubcld nngt0 ltmuldiv2
      nncn wb jca syl3anc mpbird cc recnd flcld zcnd subdid eqtrid zcn divcan2d
      simpl eqeltrd zmulcld zsubcld zltlem1 syl2anc mpbid peano2rem simp3d 3jca
      nnz lemuldiv2 ) BGHZCUAHZUDZIAJKZACLMNZCONJKZBCONZDAUBNUEZWNWOALPKZWSWNWR
      QHZWOWTWSUCWNBCWLBQHWMBUFUGWMCQHZWLCUHZRZWMCIUIWLCUJZRZUKZWRADEFULSZUMWNC
      ATNZWPJKZWQWNXICPKZXJWNXKACCONZPKZWNWRWRUNUOZMNZLAXLPWNXAXOLPKXGWRUQSAXOU
      EWNAWRDMNZXOFDXNWRMEUPURUSWMXLLUEWLWMCCVGZXEUTRVAWNAQHZXBXBICPKZUDZXKXMVH
      WNAXPQFWNWRDXGWNDXNQEWNXAXNQHXGWRVBSVCVDVCZXDWMXTWLWMXBXSXCCVEVIRZACCVFVJ
      VKWNXIGHCGHZXKXJVHWNXICWRTNZCDTNZMNZGWNXICXPTNYFAXPCTFUPWNCWRDWMCVLHWLXQR
      ZWNWRXGVMWNDWNDXNGEWNWRXGVNVCZVOVPVQWNYDYEWNYDBGWNBCWLBVLHWMBVRUGYGXFVSWL
      WMVTWAWNCDWMYCWLCWJRZYHWBWCWAYIXICWDWEWFWNXRWPQHZXTXJWQVHYAWMYJWLWMXBYJXC
      CWGSRYBAWPCWKVJWFWNWOWTWSXHWHWI $.
  $}

  $( Cancellation of the embedded floor of a real divided by an integer.
     (Contributed by NM, 16-Aug-2008.) $)
  fldiv $p |- ( ( A e. RR /\ N e. NN )
                  -> ( |_ ` ( ( |_ ` A ) / N ) ) = ( |_ ` ( A / N ) ) ) $=
    ( cr wcel wa cdiv co cfl cfv caddc wceq cc0 cle wbr c1 clt eqid recnd jca
    cc cmin intfrac2 simp3d adantr oveq1d wne reflcl resubcl mpdan nnne0 divdir
    cn nncn syl2an3an eqtrd cz flcl intfracq sylan adantl redivcld syl resubcld
    addassd 3eqtrd fveq2d simp1d fracge0 nngt0 divge0 addge0d peano2rem nnrecre
    nnre syl2an jca31 simp2d fraclt1 wb ltdiv1 mp3an2 mpbid leltadd sylc ax-1cn
    1re npcan sylancl syl12anc 3eqtr3d breqtrd flcld readdcld syl2anc mpbir2and
    dividd flbi2 eqtr2d ) ACDZBULDZEZABFGZHIAHIZBFGZHIZXDXEUAGZAXCUAGZBFGZJGZJG
    ZHIZXEXAXBXJHXAXBXDXHJGZXEXFJGZXHJGXJXAXBXCXGJGZBFGZXLXAAXNBFWSAXNKZWTWSLXG
    MNZXGOPNZXPAXGXCXCQXGQUBUCUDUEWSXCTDXGTDWTBTDZBLUFZEZXOXLKWSXCAUGZRWSXGWSXC
    CDZXGCDZYBAXCUHUIZRWTXSXTBUMZBUJZSXCXGBUKUNUOXAXDXMXHJWSXCUPDZWTXDXMKZAUQZY
    HWTEZLXFMNZXFBOUAGZBFGZMNZYIXFXCBXEXEQXFQURZUCUSUEXAXEXFXHXAXEXAXDCDXECDXAX
    CBWSYCWTYBUDWTBCDZWSBVNZUTZWTXTWSYGUTZVAZXDUGVBZRXAXFXAXDXEUUAUUBVCZRXAXHXA
    XGBWSYDWTYEUDYSYTVAZRVDVEVFXAXKXEKZLXIMNZXIOPNZXAXFXHUUCUUDWSYHWTYLYJYKYLYO
    YIYPVGUSWSYDXQEYQLBPNZEZLXHMNWTWSYDXQYEAVHSWTYQUUHYRBVISZXGBVJVOVKXAXIYNOBF
    GZJGZOPXAXFCDZXHCDZEYNCDZUUKCDZEZEYOXHUUKPNZEXIUULPNXAUUMUUNUUQUUCUUDWTUUQW
    SWTUUOUUPWTYMBWTYQYMCDYRBVLVBZYRYGVABVMSUTVPXAYOUURWSYHWTYOYJYKYLYOYIYPVQUS
    XAXRUURWSXRWTAVRUDWSYDUUIXRUURVSZWTYEUUJYDOCDUUIUUTWFXGOBVTWAVOWBSXFXHYNUUK
    WCWDWTUULOKWSWTYMOJGZBFGZBBFGUULOWTUVABBFWTXSOTDZUVABKYFWEBOWGWHUEWTYMTDZXS
    XTUVBUULKZWTYMUUSRYFYGUVDUVCYAUVEWEYMOBUKWAWIWTBYFYGWPWJUTWKXAXEUPDXICDUUEU
    UFUUGEVSXAXDUUAWLXAXFXHUUCUUDWMXIXEWQWNWOWR $.

  $( Cancellation of an embedded floor of a ratio.  Generalization of Equation
     2.4 in [CormenLeisersonRivest] p. 33 (where ` A ` must be an integer).
     (Contributed by NM, 9-Nov-2008.) $)
  fldiv2 $p |- ( ( A e. RR /\ M e. NN /\ N e. NN )
      -> ( |_ ` ( ( |_ ` ( A / M ) ) / N ) ) = ( |_ ` ( A / ( M x. N ) ) ) ) $=
    ( cr wcel cn w3a cdiv co cfl cfv cmul wceq cc cc0 wne wa nncn nnne0 jca
    nndivre fldiv stoic3 recn divdiv1 syl3an fveq2d eqtrd ) ADEZBFEZCFEZGZABHIZ
    JKCHIJKZUMCHIZJKZABCLIHIZJKUIUJUMDEUKUNUPMABUAUMCUBUCULUOUQJUIANEUJBNEZBOPZ
    QUKCNEZCOPZQUOUQMAUDUJURUSBRBSTUKUTVACRCSTABCUEUFUGUH $.

  $( Finite set of sequential integers starting at 1 and ending at a real
     number.  (Contributed by Mario Carneiro, 3-May-2016.) $)
  fznnfl $p |- ( N e. RR
              -> ( K e. ( 1 ... ( |_ ` N ) ) <-> ( K e. NN /\ K <_ N ) ) ) $=
    ( cr wcel c1 cfl cfv cfz co cn cle wbr wa cz wb flcl fznn syl nnz flge
    sylan2 pm5.32da bitr4d ) BCDZAEBFGZHIDZAJDZAUEKLZMZUGABKLZMUDUENDUFUIOBPAUE
    QRUDUGUJUHUGUDANDUJUHOASBATUAUBUC $.

  ${
    $d n x M $.  $d n x Z $.
    uzsup.1 $e |- Z = ( ZZ>= ` M ) $.
    $( An upper set of integers is unbounded above.  (Contributed by Mario
       Carneiro, 7-May-2016.) $)
    uzsup $p |- ( M e. ZZ -> sup ( Z , RR* , < ) = +oo ) $=
      ( vx vn cz wcel cv cle wbr wrex wral cxr clt csup cfv syl2an adantl sstri
      cr cpnf wceq wa cfl c1 caddc cif cuz simpl flcl peano2zd ifcl syl2anr zre
      co id reflcl peano2re syl max1 eluz2 syl3anbrc eleqtrrdi zred fllep1 max2
      simpr letrd breq2 rspcev syl2anc ralrimiva wss uzssz eqsstri zssre ressxr
      wb supxrunb1 ax-mp sylib ) AFGZDHZEHZIJZEBKZDTLZBMNOUAUBZWBWFDTWBWCTGZUCZ
      AWCUDPZUEUFUOZIJZWLAUGZBGWCWNIJZWFWJWNAUHPZBWJWBWNFGZAWNIJZWNWPGWBWIUIWIW
      LFGWBWQWBWIWKWCUJUKWBUPWMWLAFULUMZWBATGZWLTGZWRWIAUNZWIWKTGXAWCUQWKURUSZA
      WLUTQAWNVAVBCVCWJWCWLWNWBWIVGWIXAWBXCRWJWNWSVDWIWCWLIJWBWCVERWBWTXAWLWNIJ
      WIXBXCAWLVFQVHWEWOEWNBWDWNWCIVIVJVKVLBMVMWGWHVRBTMBFTBWPFCAVNVOVPSVQSDEBV
      SVTWA $.
  $}

  ${
    $d w x y z A $.
    $( An upper set of reals is unbounded above.  (Contributed by Mario
       Carneiro, 7-May-2016.) $)
    ioopnfsup $p |- ( ( A e. RR* /\ A =/= +oo ) ->
      sup ( ( A (,) +oo ) , RR* , < ) = +oo ) $=
      ( vx vy vz vw cxr wcel cpnf wne wa cioo co c0 clt csup wceq simpl wbr idd
      xrltle pnfxr a1i nltpnft necon2abid biimpar wb ioon0 syldan mpbird df-ioo
      cv ixxub syl3anc ) AFGZAHIZJZUNHFGZAHKLZMIZURFNOHPUNUOQUQUPUAUBZUPUSAHNRZ
      UNVAUOUNVAAHAUCUDUEUNUOUQUSVAUFUTAHUGUHUIBCDEAHNNKBCDUJEUKZFGZUQJVBHNRSVB
      HTUNVCJAVBNRSAVBTULUM $.

    $( An upper set of reals is unbounded above.  (Contributed by Mario
       Carneiro, 7-May-2016.) $)
    icopnfsup $p |- ( ( A e. RR* /\ A =/= +oo ) ->
      sup ( ( A [,) +oo ) , RR* , < ) = +oo ) $=
      ( vx vy vz vw cxr wcel cpnf wne wa cico co c0 clt csup wbr syl3anc xrltle
      cle idd wceq simpl pnfxr nltpnft necon2abid biimpar lbico1 ne0d df-ico cv
      a1i ixxub ) AFGZAHIZJZUMHFGZAHKLZMIUQFNOHUAUMUNUBZUPUOUCUKZUOUQAUOUMUPAHN
      PZAUQGURUSUMUTUNUMUTAHAUDUEUFAHUGQUHBCDEAHSNKBCDUIEUJZFGZUPJVAHNPTVAHRAVA
      RUMVBJAVASPTULQ $.
  $}

  $( The positive reals are unbounded above.  (Contributed by Mario Carneiro,
     7-May-2016.) $)
  rpsup $p |- sup ( RR+ , RR* , < ) = +oo $=
    ( cc0 cpnf cioo co cxr clt csup crp ioorp supeq1i wcel wne wceq 0xr renepnf
    cr 0re ax-mp ioopnfsup mp2an eqtr3i ) ABCDZEFGZHEFGBEUBHFIJAEKABLZUCBMNAPKU
    DQAORASTUA $.

  $( The real numbers are unbounded above.  (Contributed by Mario Carneiro,
     7-May-2016.) $)
  resup $p |- sup ( RR , RR* , < ) = +oo $=
    ( cmnf cpnf cioo co cxr clt csup cr ioomax supeq1i wcel wceq mnfxr mnfnepnf
    wne ioopnfsup mp2an eqtr3i ) ABCDZEFGZHEFGBESHFIJAEKABOTBLMNAPQR $.

  $( The extended real numbers are unbounded above.  (Contributed by Mario
     Carneiro, 7-May-2016.) $)
  xrsup $p |- sup ( RR* , RR* , < ) = +oo $=
    ( cxr wss cpnf wcel clt csup wceq ssid pnfxr supxrpnf mp2an ) AABCADAAEFCGA
    HIAJK $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The modulo (remainder) operation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c mod $.  $( Modulo operation. $)
  $c == $.  $( Equivalence/congruence symbol
               - currently used in comments only.  The modulus should be
               presented as follows: ` n == A ` (mod ` N ` ) $)

  $( Extend class notation with the modulo operation. $)
  cmo $a class mod $.

  ${
    $d x y $.
    $( Define the modulo (remainder) operation.  See ~ modval for its value.
       For example, ` ( 5 mod 3 ) = 2 ` and ` ( -u 7 mod 2 ) = 1 `
       ( ~ ex-mod ).  (Contributed by NM, 10-Nov-2008.) $)
    df-mod $a |- mod = ( x e. RR , y e. RR+ |->
          ( x - ( y x. ( |_ ` ( x / y ) ) ) ) ) $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The value of the modulo operation.  The modulo congruence notation of
       number theory, ` J == K ` (modulo ` N ` ), can be expressed in our
       notation as ` ( J mod N ) = ( K mod N ) ` .  Definition 1 in Knuth, _The
       Art of Computer Programming_, Vol.  I (1972), p. 38.  Knuth uses "mod"
       for the operation and "modulo" for the congruence.  Unlike Knuth, we
       restrict the second argument to positive reals to simplify certain
       theorems.  (This also gives us future flexibility to extend it to any
       one of several different conventions for a zero or negative second
       argument, should there be an advantage in doing so.)  (Contributed by
       NM, 10-Nov-2008.)  (Revised by Mario Carneiro, 3-Nov-2013.) $)
    modval $p |- ( ( A e. RR /\ B e. RR+ )
           -> ( A mod B ) = ( A - ( B x. ( |_ ` ( A / B ) ) ) ) ) $=
      ( vx vy cr crp cv cdiv co cfl cfv cmul cmin cmo wceq fvoveq1 oveq2d mpdan
      oveq12 oveq2 fveq2d df-mod ovex ovmpo ) CDABEFCGZDGZUEUFHIJKZLIZMIZABABHI
      ZJKZLIZMINAUFAUFHIZJKZLIZMIZUEAOZUHUOOUIUPOUQUGUNUFLUEAUFJHPQUEAUHUOMSRUF
      BOZUOULAMURUNUKOUOULOURUMUJJUFBAHTUAUFBUNUKLSRQCDUBAULMUCUD $.
  $}

  $( The value of the modulo operation (multiplication in reversed order).
     (Contributed by Alexander van der Vekens, 14-Apr-2018.) $)
  modvalr $p |- ( ( A e. RR /\ B e. RR+ )
                  -> ( A mod B ) = ( A - ( ( |_ ` ( A / B ) ) x. B ) ) ) $=
    ( cr wcel crp wa cmo co cdiv cfl cfv cmul cmin modval rpcn adantl rerpdivcl
    cc reflcl recnd syl mulcomd oveq2d eqtrd ) ACDZBEDZFZABGHABABIHZJKZLHZMHAUI
    BLHZMHABNUGUJUKAMUGBUIUFBRDUEBOPUGUHCDZUIRDABQULUIUHSTUAUBUCUD $.

  $( Closure law for the modulo operation.  (Contributed by NM,
     10-Nov-2008.) $)
  modcl $p |- ( ( A e. RR /\ B e. RR+ ) -> ( A mod B ) e. RR ) $=
    ( cr wcel crp wa cmo co cdiv cfl cfv cmul cmin modval rpre adantl refldivcl
    remulcld resubcl syldan eqeltrd ) ACDZBEDZFZABGHABABIHJKZLHZMHZCABNUBUCUFCD
    UGCDUDBUEUCBCDUBBOPABQRAUFSTUA $.

  $( Partition of a division into its integer part and the remainder.
     (Contributed by Alexander van der Vekens, 14-Apr-2018.) $)
  flpmodeq $p |- ( ( A e. RR /\ B e. RR+ )
                   -> ( ( ( |_ ` ( A / B ) ) x. B ) + ( A mod B ) ) = A ) $=
    ( cr wcel crp wa cdiv co cfl cfv cmul cmin cmo wceq caddc modvalr eqcomd cc
    recn adantr rerpdivcl flcl zcnd syl adantl mulcld modcl recnd subaddd mpbid
    rpcn ) ACDZBEDZFZAABGHZIJZBKHZLHZABMHZNUQUSOHANUNUSURABPQUNAUQUSULARDUMASTU
    NUPBUNUOCDZUPRDABUAUTUPUOUBUCUDUMBRDULBUKUEUFUNUSABUGUHUIUJ $.

  ${
    modcld.1 $e |- ( ph -> A e. RR ) $.
    modcld.2 $e |- ( ph -> B e. RR+ ) $.
    $( Closure law for the modulo operation.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    modcld $p |- ( ph -> ( A mod B ) e. RR ) $=
      ( cr wcel crp cmo co modcl syl2anc ) ABFGCHGBCIJFGDEBCKL $.
  $}

  $( ` A mod B ` is zero iff ` A ` is evenly divisible by ` B ` .  (Contributed
     by Jeff Madsen, 2-Sep-2009.)  (Proof shortened by Fan Zheng,
     7-Jun-2016.) $)
  mod0 $p |- ( ( A e. RR /\ B e. RR+ ) ->
                              ( ( A mod B ) = 0 <-> ( A / B ) e. ZZ ) ) $=
    ( cr wcel crp wa cmo co cc0 wceq cdiv cfl cfv cz cmul cc adantl recnd bitrd
    wb cmin modval eqeq1d recn rpre refldivcl remulcld subeq0ad rpcnne0 divmul2
    adantr wne syl3anc eqcom bitr3di rerpdivcl flidz syl ) ACDZBEDZFZABGHZIJZAB
    KHZLMZVDJZVDNDZVAVCABVEOHZJZVFVAVCAVHUAHZIJVIVAVBVJIABUBUCVAAVHUSAPDZUTAUDU
    KZVAVHVABVEUTBCDUSBUEQABUFZUGRUHSVAVDVEJZVIVFVAVKVEPDBPDBIULFZVNVITVLVAVEVM
    RUTVOUSBUIQAVEBUJUMVDVEUNUOSVAVDCDVFVGTABUPVDUQURS $.

  $( The product of an integer and a positive real number is 0 modulo the
     positive real number.  (Contributed by Alexander van der Vekens,
     17-May-2018.)  (Revised by AV, 5-Jul-2020.) $)
  mulmod0 $p |- ( ( A e. ZZ /\ M e. RR+ ) -> ( ( A x. M ) mod M ) = 0 ) $=
    ( cz wcel crp wa cmul co cmo cc0 wceq cdiv zcn adantr rpcn adantl wne rpne0
    cc cr divcan4d simpl eqeltrd zre rpre remulcl syl2an mod0 sylancom mpbird
    wb ) ACDZBEDZFZABGHZBIHJKZUOBLHZCDZUNUQACUNABULASDUMAMNUMBSDULBOPUMBJQULBRP
    UAULUMUBUCULUMUOTDZUPURUKULATDBTDUSUMAUDBUEABUFUGUOBUHUIUJ $.

  $( ` A ` is divisible by ` B ` iff its negative is.  (Contributed by Jeff
     Madsen, 2-Sep-2009.)  (Proof shortened by Fan Zheng, 7-Jun-2016.) $)
  negmod0 $p |- ( ( A e. RR /\ B e. RR+ ) ->
                    ( ( A mod B ) = 0 <-> ( -u A mod B ) = 0 ) ) $=
    ( cr wcel crp wa cdiv co cz cneg cmo cc0 wceq rerpdivcl recn znegclb adantl
    cc wb mod0 3syl adantr wne rpne0 divnegd eleq1d bitrd renegcl sylan 3bitr4d
    rpcn ) ACDZBEDZFZABGHZIDZAJZBGHZIDZABKHLMUQBKHLMZUNUPUOJZIDZUSUNUOCDUORDUPV
    BSABNUOOUOPUAUNVAURIUNABULARDUMAOUBUMBRDULBUKQUMBLUCULBUDQUEUFUGABTULUQCDUM
    UTUSSAUHUQBTUIUJ $.

  $( The modulo operation is nonnegative.  (Contributed by NM, 10-Nov-2008.) $)
  modge0 $p |- ( ( A e. RR /\ B e. RR+ ) -> 0 <_ ( A mod B ) ) $=
    ( cr wcel crp wa cc0 cdiv co cfl cfv cmul cmo cle wbr fldivle adantl mpbird
    cmin wb clt refldivcl rpregt0 lemuldiv2 syl3anc rpre remulcld subge0 syldan
    simpl modval breqtrrd ) ACDZBEDZFZGABABHIZJKZLIZSIZABMINUOGUSNOZURANOZUOVAU
    QUPNOZABPUOUQCDUMBCDZGBUAOFZVAVBTABUBZUMUNUJUNVDUMBUCQUQABUDUERUMUNURCDUTVA
    TUOBUQUNVCUMBUFQVEUGAURUHUIRABUKUL $.

  $( The modulo operation is less than its second argument.  (Contributed by
     NM, 10-Nov-2008.) $)
  modlt $p |- ( ( A e. RR /\ B e. RR+ ) -> ( A mod B ) < B ) $=
    ( cr wcel crp wa cmo co cdiv cmin cmul clt cc cc0 wceq adantl recnd wbr syl
    c1 cfl cfv wne recn rpcnne0 divcan2 3expb syl2an oveq1d rerpdivcl refldivcl
    rpcn subdid modval 3eqtr4rd fraclt1 divid breqtrrd wb resubcld rpre rpregt0
    ltmuldiv2 syl3anc mpbird eqbrtrd ) ACDZBEDZFZABGHZBABIHZVKUAUBZJHZKHZBLVIBV
    KKHZBVLKHZJHAVPJHVNVJVIVOAVPJVGAMDZBMDZBNUCZFZVOAOZVHAUDBUEZVQVRVSWAABUFUGU
    HUIVIBVKVLVHVRVGBULPVIVKABUJZQVIVLABUKZQUMABUNUOVIVNBLRZVMBBIHZLRZVIVMTWFLV
    IVKCDVMTLRWCVKUPSVHWFTOZVGVHVTWHWBBUQSPURVIVMCDBCDZWINBLRFZWEWGUSVIVKVLWCWD
    UTVHWIVGBVAPVHWJVGBVBPVMBBVCVDVEVF $.

  $( Modular reduction produces a half-open interval.  (Contributed by Stefan
     O'Rear, 12-Sep-2014.) $)
  modelico $p |- ( ( A e. RR /\ B e. RR+ ) -> ( A mod B ) e. ( 0 [,) B ) ) $=
    ( cr wcel crp wa cmo co cc0 cico cle wbr clt modcl modge0 modlt cxr w3a 0re
    wb rpxr adantl elico2 sylancr mpbir3and ) ACDZBEDZFZABGHZIBJHDZUICDZIUIKLZU
    IBMLZABNABOABPUHICDBQDZUJUKULUMRTSUGUNUFBUAUBIBUIUCUDUE $.

  $( Value of the modulo operation rewritten to give two ways of expressing the
     quotient when " ` A ` is divided by ` B ` using Euclidean division."
     Multiplying both sides by ` B ` , this implies that ` A mod B ` differs
     from ` A ` by an integer multiple of ` B ` .  (Contributed by Jeff Madsen,
     17-Jun-2010.)  (Revised by Mario Carneiro, 6-Sep-2016.) $)
  moddiffl $p |- ( ( A e. RR /\ B e. RR+ ) ->
                          ( ( A - ( A mod B ) ) / B ) = ( |_ ` ( A / B ) ) ) $=
    ( cr wcel crp wa cmo co cmin cdiv cfl cfv cmul modval oveq2d simpl recnd cc
    adantl eqtrd rpcn rerpdivcl flcld zcnd mulcld nncand cc0 wne rpne0 divcan3d
    oveq1d ) ACDZBEDZFZAABGHZIHZBJHBABJHZKLZMHZBJHURUNUPUSBJUNUPAAUSIHZIHUSUNUO
    UTAIABNOUNAUSUNAULUMPQUNBURUMBRDULBUASZUNURUNUQABUBUCUDZUEUFTUKUNURBVBVAUMB
    UGUHULBUISUJT $.

  $( The modulo operation differs from ` A ` by an integer multiple of ` B ` .
     (Contributed by Mario Carneiro, 15-Jul-2014.) $)
  moddifz $p |- ( ( A e. RR /\ B e. RR+ ) ->
    ( ( A - ( A mod B ) ) / B ) e. ZZ ) $=
    ( cr wcel crp wa cmo co cmin cdiv cfl cfv moddiffl rerpdivcl flcld eqeltrd
    cz ) ACDBEDFZAABGHIHBJHABJHZKLQABMRSABNOP $.

  $( The fractional part of a number is the number modulo 1.  (Contributed by
     NM, 11-Nov-2008.) $)
  modfrac $p |- ( A e. RR -> ( A mod 1 ) = ( A - ( |_ ` A ) ) ) $=
    ( cr wcel c1 cmo co cdiv cfl cfv cmul cmin crp wceq modval mpan2 recn div1d
    1rp oveq2d eqtrd fveq2d reflcl recnd mulid2d ) ABCZADEFZADADGFZHIZJFZKFZAAH
    IZKFUEDLCUFUJMRADNOUEUIUKAKUEUIDUKJFUKUEUHUKDJUEUGAHUEAAPQUASUEUKUEUKAUBUCU
    DTST $.

  $( The floor function expressed in terms of the modulo operation.
     (Contributed by NM, 11-Nov-2008.) $)
  flmod $p |- ( A e. RR -> ( |_ ` A ) = ( A - ( A mod 1 ) ) ) $=
    ( cr wcel c1 cmo co cmin cfl modfrac oveq2d recn reflcl recnd nncand eqtr2d
    cfv ) ABCZAADEFZGFAAAHPZGFZGFSQRTAGAIJQASAKQSALMNO $.

  $( Break a number into its integer part and its fractional part.
     (Contributed by NM, 31-Dec-2008.) $)
  intfrac $p |- ( A e. RR -> A = ( ( |_ ` A ) + ( A mod 1 ) ) ) $=
    ( cr wcel cfl cfv c1 co caddc cmin modfrac oveq2d reflcl recnd recn pncan3d
    cmo eqtr2d ) ABCZADEZAFPGZHGSASIGZHGARTUASHAJKRSARSALMANOQ $.

  $( An integer modulo 1 is 0.  (Contributed by Paul Chapman, 22-Jun-2011.) $)
  zmod10 $p |- ( N e. ZZ -> ( N mod 1 ) = 0 ) $=
    ( cz wcel c1 cmo co cfl cfv cmin cc0 cr wceq zre modfrac flid oveq2d subidd
    syl zcn 3eqtrd ) ABCZADEFZAAGHZIFZAAIFJUAAKCUBUDLAMANRUAUCAAIAOPUAAASQT $.

  $( Two arbitrary integers are congruent modulo 1, see example 4 in
     [ApostolNT] p. 107.  (Contributed by AV, 21-Jul-2021.) $)
  zmod1congr $p |- ( ( A e. ZZ /\ B e. ZZ ) -> ( A mod 1 ) = ( B mod 1 ) ) $=
    ( cz wcel wa c1 cmo co cc0 wceq zmod10 adantr adantl eqtr4d ) ACDZBCDZEAFGH
    ZIBFGHZOQIJPAKLPRIJOBKMN $.

  $( Move a positive integer in and out of a floor in the first argument of a
     modulo operation.  (Contributed by NM, 2-Jan-2009.) $)
  modmulnn $p |- ( ( N e. NN /\ A e. RR /\ M e. NN ) -> ( ( N x. ( |_ ` A ) )
           mod ( N x. M ) ) <_ ( ( |_ ` ( N x. A ) ) mod ( N x. M ) ) ) $=
    ( cn wcel cr cfl cfv cmul co cdiv cmin reflcl 3adant3 wa cc0 wceq 3imp3i2an
    wne cc w3a cmo cle nnre remulcl syl2an sylan syl nnmulcl nnred 3adant2 nncn
    nnne0 jca mulne0 redivcld remulcld wbr nnnn0 flmulnn0 lesub1dd nnrpd modval
    cn0 crp fldiv recnd divcan5 syl3an fveq2d recn 3eqtr4rd 3comr eqtrd 3brtr4d
    oveq2d ) CDEZAFEZBDEZUAZCAGHZIJZCBIJZWBWCKJZGHZIJZLJZCAIJZGHZWFLJZWBWCUBJZW
    IWCUBJZUCVTWBWIWFVQVRWBFEZVSVQCFEZWAFEWMVRCUDZAMZCWAUEUFNZVQVRWIFEZVSVQVROW
    HFEZWRVQWNVRWSWOCAUEUGZWHMUHNZVTWCWEVQVSWCFEVRVQVSOZWCCBUIZUJUKZVTWDFEWEFEV
    TWBWCWQXDVQVSWCPSZVRVQCTEZCPSZOZBTEZBPSZOZXEVSVQXFXGCULCUMUNZVSXIXJBULBUMUN
    ZCBUOUFUKUPWDMUHUQVQVRWBWIUCURZVSVQCVDEVRXNCUSACUTUGNVAVQVRVSWMWCVEEZWKWGQW
    QXBWCXCVBZWBWCVCRVTWLWIWCWIWCKJGHZIJZLJZWJVQVRVSWRXOWLXSQXAXPWIWCVCRVTXRWFW
    ILVTXQWEWCIVTXQWHWCKJZGHZWEVQVRVSWSWCDEXQYAQVQVRWSVSWTNXCWHWCVFRVRVSVQYAWEQ
    VRVSVQUAZWABKJZGHZABKJZGHZWEYAVRVSYDYFQVQABVFNYBWDYCGVRWATEVSXKVQXHWDYCQVRW
    AWPVGXMXLWABCVHVIVJYBXTYEGVRATEVSXKVQXHXTYEQAVKXMXLABCVHVIVJVLVMVNVPVPVNVO
    $.

  $( The value of the modulo operation (expressed with sum of denominator and
     nominator).  (Contributed by Alexander van der Vekens, 14-Apr-2018.) $)
  modvalp1 $p |- ( ( A e. RR /\ B e. RR+ )
      -> ( ( A + B ) - ( ( ( |_ ` ( A / B ) ) + 1 ) x. B ) ) = ( A mod B ) ) $=
    ( cr wcel crp wa caddc co cdiv cfl cfv cmul cmin c1 cmo cc adantr refldivcl
    recn recnd rpcn adantl mulcld pnpcan2d adddirp1d oveq2d modvalr 3eqtr4d ) A
    CDZBEDZFZABGHZABIHJKZBLHZBGHZMHAUNMHULUMNGHBLHZMHABOHUKAUNBUIAPDUJASQUKUMBU
    KUMABRTZUJBPDUIBUAUBZUCURUDUKUPUOULMUKUMBUQURUEUFABUGUH $.

  $( Closure law for the modulo operation restricted to integers.  (Contributed
     by NM, 27-Nov-2008.) $)
  zmodcl $p |- ( ( A e. ZZ /\ B e. NN ) -> ( A mod B ) e. NN0 ) $=
    ( cz wcel cn wa cmo co cc0 cle wbr cn0 cdiv cfl cfv cmul cmin cr crp syl2an
    wceq zre nnrp modval nnz adantl nndivre sylan zmulcld zsubcl syldan eqeltrd
    flcld modge0 elnn0z sylanbrc ) ACDZBEDZFZABGHZCDIUTJKZUTLDUSUTABABMHZNOZPHZ
    QHZCUQARDZBSDZUTVEUAURAUBZBUCZABUDTUQURVDCDVECDUSBVCURBCDUQBUEUFUSVBUQVFURV
    BRDVHABUGUHUMUIAVDUJUKULUQVFVGVAURVHVIABUNTUTUOUP $.

  ${
    zmodcld.1 $e |- ( ph -> A e. ZZ ) $.
    zmodcld.2 $e |- ( ph -> B e. NN ) $.
    $( Closure law for the modulo operation restricted to integers.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    zmodcld $p |- ( ph -> ( A mod B ) e. NN0 ) $=
      ( cz wcel cn cmo co cn0 zmodcl syl2anc ) ABFGCHGBCIJKGDEBCLM $.
  $}

  $( An integer mod ` B ` lies in the first ` B ` nonnegative integers.
     (Contributed by Jeff Madsen, 17-Jun-2010.) $)
  zmodfz $p |- ( ( A e. ZZ /\ B e. NN ) ->
                                  ( A mod B ) e. ( 0 ... ( B - 1 ) ) ) $=
    ( cz wcel cn wa cmo co cc0 c1 cmin cfz cle wbr clt zmodcl nn0zd nn0ge0d crp
    cr zre nnrp modlt syl2an w3a wb 0z nnz adantl elfzm11 sylancr mpbir3and ) A
    CDZBEDZFZABGHZIBJKHLHDZUPCDZIUPMNZUPBONZUOUPABPZQUOUPVARUMATDBSDUTUNAUABUBA
    BUCUDUOICDBCDZUQURUSUTUEUFUGUNVBUMBUHUIUPIBUJUKUL $.

  $( An integer mod ` B ` lies in the first ` B ` nonnegative integers.
     (Contributed by Stefan O'Rear, 6-Sep-2015.) $)
  zmodfzo $p |- ( ( A e. ZZ /\ B e. NN ) -> ( A mod B ) e. ( 0 ..^ B ) ) $=
    ( cz wcel cn wa cmo co cc0 c1 cmin cfz cfzo zmodfz wceq nnz fzoval eleqtrrd
    syl adantl ) ACDZBEDZFABGHIBJKHLHZIBMHZABNUBUDUCOZUAUBBCDUEBPIBQSTR $.

  $( An integer mod ` B ` lies in the first ` B + 1 ` nonnegative integers.
     (Contributed by AV, 27-Oct-2018.) $)
  zmodfzp1 $p |- ( ( A e. ZZ /\ B e. NN ) -> ( A mod B ) e. ( 0 ... B ) ) $=
    ( cz wcel cn wa cc0 cfzo co cfz cmo fzossfz zmodfzo sselid ) ACDBEDFGBHIGBJ
    IABKIGBLABMN $.

  $( Identity law for modulo.  (Contributed by NM, 29-Dec-2008.) $)
  modid $p |- ( ( ( A e. RR /\ B e. RR+ ) /\ ( 0 <_ A /\ A < B ) )
               -> ( A mod B ) = A ) $=
    ( cr wcel wa cc0 cle wbr clt co cfl cmul cmin wceq adantr c1 ad2antlr eqtrd
    cfv wb crp cmo modval caddc cc rerpdivcl recnd addid2 fveq2d rpregt0 divge0
    cdiv syl sylan2 an32s adantrr simpr rpcn mulid1d breqtrrd ad2ant2l ltdivmul
    simpll 1re mp3an2 syl2anc mpbird cz 0z flbi2 mpbir2and eqtr3d oveq2d mul01d
    sylancr recn subid1d ad2antrr ) ACDZBUADZEZFAGHZABIHZEZEZABUBJZABABULJZKSZL
    JZMJZAWAWFWJNWDABUCOWEWJAFMJZAWEWIFAMWEWIBFLJZFWEWHFBLWEFWGUDJZKSZWHFWEWGUE
    DZWNWHNWEWGWAWGCDZWDABUFOZUGWOWMWGKWGUHUIUMWEWNFNZFWGGHZWGPIHZWAWBWSWCVSWBV
    TWSVTVSWBEBCDFBIHEZWSBUJZABUKUNUOUPWEWTABPLJZIHZVTWCXDVSWBVTWCEABXCIVTWCUQV
    TXCBNWCVTBBURZUSOUTVAWEVSXAWTXDTZVSVTWDVCVTXAVSWDXBQVSPCDXAXFVDAPBVBVEVFVGW
    EFVHDWPWRWSWTETVIWQWGFVJVOVKVLVMVTWLFNVSWDVTBXEVNQRVMVSWKANVTWDVSAAVPVQVRRR
    $.

  $( A positive real number modulo itself is 0.  (Contributed by Alexander van
     der Vekens, 15-May-2018.) $)
  modid0 $p |- ( N e. RR+ -> ( N mod N ) = 0 ) $=
    ( crp wcel cmo co cc0 wceq cdiv cz c1 rpcn rpne0 dividd 1z eqeltrdi cr rpre
    wb mod0 mpancom mpbird ) ABCZAADEFGZAAHEZICZUBUDJIUBAAKALMNOAPCUBUCUERAQAAS
    TUA $.

  $( Identity law for modulo.  (Contributed by NM, 29-Dec-2008.) $)
  modid2 $p |- ( ( A e. RR /\ B e. RR+ )
     -> ( ( A mod B ) = A <-> ( 0 <_ A /\ A < B ) ) ) $=
    ( cr wcel crp wa cmo co wceq cc0 cle wbr clt modge0 modlt jca breq2 anbi12d
    breq1 syl5ibcom modid ex impbid ) ACDBEDFZABGHZAIZJAKLZABMLZFZUDJUEKLZUEBML
    ZFUFUIUDUJUKABNABOPUFUJUGUKUHUEAJKQUEABMSRTUDUIUFABUAUBUC $.

  $( Identity law for modulo restricted to integers.  (Contributed by Paul
     Chapman, 22-Jun-2011.) $)
  zmodid2 $p |- ( ( M e. ZZ /\ N e. NN ) -> ( ( M mod N ) = M <->
                                              M e. ( 0 ... ( N - 1 ) ) ) ) $=
    ( cz wcel cn wa cmo co wceq cc0 cle wbr clt c1 cmin cfz cr crp wb zre nnrp
    modid2 syl2an nnz w3a 0z elfzm11 mpan 3anass bitrdi bicomd sylan9bbr bitr4d
    syl ibar ) ACDZBEDZFABGHAIZJAKLZABMLZFZAJBNOHPHDZUPAQDBRDURVASUQATBUAABUBUC
    UQVBUPVAFZUPVAUQBCDZVBVCSBUDVDVBUPUSUTUEZVCJCDVDVBVESUFAJBUGUHUPUSUTUIUJUNU
    PVAVCUPVAUOUKULUM $.

  $( Identity law for modulo restricted to integers.  (Contributed by AV,
     27-Oct-2018.) $)
  zmodidfzo $p |- ( ( M e. ZZ /\ N e. NN )
                    -> ( ( M mod N ) = M <-> M e. ( 0 ..^ N ) ) ) $=
    ( cz wcel cn wa cmo co wceq cc0 cmin cfz cfzo zmodid2 nnz fzoval syl adantl
    c1 eqcomd eleq2d bitrd ) ACDZBEDZFZABGHAIAJBSKHLHZDAJBMHZDABNUEUFUGAUEUGUFU
    DUGUFIZUCUDBCDUHBOJBPQRTUAUB $.

  $( Identity law for modulo restricted to integers.  (Contributed by AV,
     27-Oct-2018.) $)
  zmodidfzoimp $p |- ( M e. ( 0 ..^ N ) -> ( M mod N ) = M ) $=
    ( cz wcel cn wa cc0 cfzo co cmo wceq cn0 clt wbr elfzo0 nn0z anim1i 3adant3
    w3a sylbi zmodidfzo biimprd mpcom ) ACDZBEDZFZAGBHIDZABJIAKZUGALDZUEABMNZSU
    FABOUIUEUFUJUIUDUEAPQRTUFUHUGABUAUBUC $.

  $( Special case: 0 modulo a positive real number is 0.  (Contributed by Mario
     Carneiro, 22-Feb-2014.) $)
  0mod $p |- ( N e. RR+ -> ( 0 mod N ) = 0 ) $=
    ( crp wcel cc0 cr wa cle wbr clt cmo wceq 0re jctl rpgt0 0le0 jctil syl2anc
    co modid ) ABCZDECZTFDDGHZDAIHZFDAJRDKTUALMTUCUBANOPDASQ $.

  $( Special case: 1 modulo a real number greater than 1 is 1.  (Contributed by
     Mario Carneiro, 18-Feb-2014.) $)
  1mod $p |- ( ( N e. RR /\ 1 < N ) -> ( 1 mod N ) = 1 ) $=
    ( cr wcel c1 clt wbr wa crp cc0 cle cmo co wceq 0lt1 0re lttr mp3an12 jctil
    wi 1re mpani imdistani elrp sylibr simpr 0le1 modid syl2anc ) ABCZDAEFZGZDB
    CZAHCZGIDJFZUJGDAKLDMUKUMULUKUIIAEFZGUMUIUJUOUIIDEFZUJUONIBCULUIUPUJGUOSOTI
    DAPQUAUBAUCUDTRUKUJUNUIUJUEUFRDAUGUH $.

  $( Absorption law for modulo.  (Contributed by NM, 29-Dec-2008.) $)
  modabs $p |- ( ( ( A e. RR /\ B e. RR+ /\ C e. RR+ ) /\ B <_ C )
           -> ( ( A mod B ) mod C ) = ( A mod B ) ) $=
    ( cr wcel crp w3a cle wbr wa cmo co cc0 clt wceq anim1i adantr 3adant3 rpre
    modcl 3impa modge0 3ad2ant2 3ad2ant3 modlt simpr ltletrd modid syl12anc ) A
    DEZBFEZCFEZGZBCHIZJZABKLZDEZULJZMUPHIZUPCNIUPCKLUPOUMURUNUJUKULURUJUKJUQULA
    BTZPUAQUMUSUNUJUKUSULABUBRQUOUPBCUMUQUNUJUKUQULUTRQUMBDEZUNUKUJVAULBSUCQUMC
    DEZUNULUJVBUKCSUDQUMUPBNIZUNUJUKVCULABUERQUMUNUFUGUPCUHUI $.

  $( Absorption law for modulo.  (Contributed by NM, 29-Dec-2008.) $)
  modabs2 $p |- ( ( A e. RR /\ B e. RR+ )
           -> ( ( A mod B ) mod B ) = ( A mod B ) ) $=
    ( cr wcel crp wa cle wbr cmo co wceq leidd adantl wi w3a modabs ex 3anidm23
    rpre mpd ) ACDZBEDZFBBGHZABIJZBIJUDKZUBUCUAUBBBSLMUAUBUCUENUAUBUBOUCUEABBPQ
    RT $.

  $( The modulo operation is periodic.  (Contributed by NM, 10-Nov-2008.) $)
  modcyc $p |- ( ( A e. RR /\ B e. RR+ /\ N e. ZZ )
        -> ( ( A + ( N x. B ) ) mod B ) = ( A mod B ) ) $=
    ( cr wcel cmul co caddc cmo wceq cdiv cfl cfv cmin wa syl2an 3adant1 oveq2d
    cc 3adant2 cz crp w3a zre remulcl readdcl sylan2 3impb simp3 modval syl2anc
    rpre cc0 wne recn 3ad2ant1 recnd rpcnne0 3ad2ant3 syl3anc zcn divcan4 3expb
    divdir eqtrd fveq2d rerpdivcl fladdz rpcn reflcl syl 3ad2ant2 adddid mulcom
    simp2 eqcomd 3eqtrd adantl mulcld pnpcan2d eqtr4d 3com23 ) ADEZCUAEZBUBEZAC
    BFGZHGZBIGZABIGZJWCWDWEUCZWHABABKGZLMZFGZNGZWIWJWHWGBWGBKGZLMZFGZNGZWGWMWFH
    GZNGWNWJWGDEZWEWHWRJWCWDWEWTWDWEOZWCWFDEZWTWDCDEBDEXBWECUDBULCBUEPZAWFUFUGU
    HWCWDWEUIWGBUJUKWJWQWSWGNWJWQBWLCHGZFGWMBCFGZHGWSWJWPXDBFWJWPWKCHGZLMZXDWJW
    OXFLWJWOWKWFBKGZHGZXFWJASEZWFSEZBSEZBUMUNZOZWOXIJWCWDXJWEAUOUPZWDWEXKWCXAWF
    XCUQQZWEWCXNWDBURZUSAWFBVDUTWJXHCWKHWDWEXHCJZWCWDCSEZXNXRWECVAZXQXSXLXMXRCB
    VBVCPQRVEVFWJWKDEZWDXGXDJWCWEYAWDABVGZTWCWDWEVOWKCVHUKVERWJBWLCWEWCXLWDBVIZ
    USWCWEWLSEZWDWCWEOZYAYDYBYAWLWKVJUQVKZTWDWCXSWEXTVLVMWJXEWFWMHWJWFXEWDWEWFX
    EJZWCWDXSXLYGWEXTYCCBVNPQVPRVQRWJAWMWFXOWCWEWMSEWDYEBWLWEXLWCYCVRYFVSTXPVTV
    QWCWEWIWNJWDABUJTWAWB $.

  $( The modulo operation is periodic.  (Contributed by NM, 12-Nov-2008.) $)
  modcyc2 $p |- ( ( A e. RR /\ B e. RR+ /\ N e. ZZ )
        -> ( ( A - ( B x. N ) ) mod B ) = ( A mod B ) ) $=
    ( cr wcel crp cz w3a cmul co cmin cmo cneg caddc cc wceq recn rpcn zcn wa
    mulneg1 ancoms mulcom negeqd eqtr4d oveq2d mulcl negsub sylan2 3impb eqtr2d
    3adant1 syl3an oveq1d znegcl modcyc syl3an3 eqtrd ) ADEZBFEZCGEZHZABCIJZKJZ
    BLJACMZBIJZNJZBLJZABLJZVBVDVGBLUSAOEZUTBOEZVACOEZVDVGPAQBRCSVJVKVLHZVGAVCMZ
    NJZVDVMVFVNANVKVLVFVNPVJVKVLTZVFCBIJZMZVNVLVKVFVRPCBUAUBVPVCVQBCUCUDUEULUFV
    JVKVLVOVDPZVPVJVCOEVSBCUGAVCUHUIUJUKUMUNVAUSUTVEGEVHVIPCUOABVEUPUQUR $.

  $( Addition property of the modulo operation.  (Contributed by NM,
     12-Nov-2008.) $)
  modadd1 $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR+ )
       /\ ( A mod D ) = ( B mod D ) )
       -> ( ( A + C ) mod D ) = ( ( B + C ) mod D ) ) $=
    ( cr wcel wa cmo co wceq caddc cdiv cfl cfv cmul cmin modval adantrl recn
    cc wb eqeqan12d anandirs oveq1 syl6bi adantr ad2antrl rpcn adantl rerpdivcl
    crp reflcl recnd syl mulcld addsubd adantlr adantll eqeq12d sylibrd readdcl
    cz adantrr simprr flcld modcyc2 syl3anc syl5ib syld 3impia ) AEFZBEFZGZCEFZ
    DUKFZGZADHIZBDHIZJZACKIZDHIZBCKIZDHIZJZVMVPGZVSVTDADLIZMNZOIZPIZWBDBDLIZMNZ
    OIZPIZJZWDWEVSAWHPIZCKIZBWLPIZCKIZJZWNWEVSWOWQJZWSVMVOVSWTUAZVNVKVLVOXAVKVO
    GZVLVOGZVQWOVRWQADQBDQUBUCRWOWQCKUDUEWEWIWPWMWRVKVPWIWPJVLVKVPGZACWHVKATFVP
    ASUFVNCTFZVKVOCSZUGVKVOWHTFVNXBDWGVODTFZVKDUHZUIXBWFEFZWGTFADUJZXIWGWFULUMU
    NUORUPUQVLVPWMWRJVKVLVPGZBCWLVLBTFVPBSUFVNXEVLVOXFUGVLVOWLTFVNXCDWKVOXGVLXH
    UIXCWJEFZWKTFBDUJZXLWKWJULUMUNUORUPURUSUTWNWIDHIZWMDHIZJWEWDWIWMDHUDWEXNWAX
    OWCVKVPXNWAJZVLXDVTEFZVOWGVBFZXPVKVNXQVOACVAVCVKVNVOVDVKVOXRVNXBWFXJVERVTDW
    GVFVGUQVLVPXOWCJZVKXKWBEFZVOWKVBFZXSVLVNXTVOBCVAVCVLVNVOVDVLVOYAVNXCWJXMVER
    WBDWKVFVGURUSVHVIVJ $.

  $( Absorption law for modulo.  (Contributed by Paul Chapman, 22-Jun-2011.) $)
  modaddabs $p |- ( ( A e. RR /\ B e. RR /\ C e. RR+ ) ->
            ( ( ( A mod C ) + ( B mod C ) ) mod C ) = ( ( A + B ) mod C ) ) $=
    ( cr wcel cmo co caddc cc wa modcl recnd 3adant2 3adant1 addcomd wceq simpl
    oveq1d jca modabs2 crp w3a simpr modadd1 recn 3ad2ant2 eqtr4d 3simpc 3eqtrd
    syl3anc ) ADEZBDEZCUAEZUBZACFGZBCFGZHGZCFGUPUOHGZCFGZUOBHGZCFGZABHGCFGZUNUQ
    URCFUNUOUPUKUMUOIEULUKUMJZUOACKZLMZULUMUPIEUKULUMJZUPBCKZLNORUNUSBUOHGZCFGZ
    VAUNUPDEZULJZUODEZUMJZUPCFGUPPZUSVIPULUMVKUKVFVJULVGULUMQSNUKUMVMULVCVLUMVD
    UKUMUCSMULUMVNUKBCTNUPBUOCUDUJUNUTVHCFUNUOBVEULUKBIEUMBUEUFORUGUNVLUKJZVFUO
    CFGUOPZVAVBPUKUMVOULVCVLUKVDUKUMQSMUKULUMUHUKUMVPULACTMUOABCUDUJUI $.

  $( The sum of a real number modulo a positive real number and another real
     number equals the sum of the two real numbers modulo the positive real
     number.  (Contributed by Alexander van der Vekens, 13-May-2018.) $)
  modaddmod $p |- ( ( A e. RR /\ B e. RR /\ M e. RR+ )
                    -> ( ( ( A mod M ) + B ) mod M ) = ( ( A + B ) mod M ) ) $=
    ( cr wcel crp w3a cmo co wceq caddc modcl simpl jca 3adant2 modabs2 modadd1
    wa 3simpc syl3anc ) ADEZBDEZCFEZGACHIZDEZUARZUBUCRUDCHIUDJZUDBKICHIABKICHIJ
    UAUCUFUBUAUCRUEUAACLUAUCMNOUAUBUCSUAUCUGUBACPOUDABCQT $.

  $( The sum of a positive real number less than an upper bound and the product
     of an integer and the upper bound is the positive real number modulo the
     upper bound.  (Contributed by AV, 5-Jul-2020.) $)
  muladdmodid $p |- ( ( N e. ZZ /\ M e. RR+ /\ A e. ( 0 [,) M ) )
                      -> ( ( ( N x. M ) + A ) mod M ) = A ) $=
    ( cz wcel crp cc0 cico co cmul caddc cmo wa cr wbr syl2anc adantl cc adantr
    wceq cle clt w3a wb cxr 0red rpxr elico2 zcn rpcn mulcl syl2an recn addcomd
    3ad2ant1 oveq1d simp1 simpr simpll modcyc syl3anc anim12ci 3simpc 3eqtrd ex
    modid sylbid 3impia ) CDEZBFEZAGBHIEZCBJIZAKIZBLIZATZVIVJMZVKANEZGAUAOZABUB
    OZUCZVOVJVKVTUDZVIVJGNEBUEEWAVJUFBUGGBAUHPQVPVTVOVPVTMZVNAVLKIZBLIZABLIZAWB
    VMWCBLWBVLAVPVLREZVTVICREBREWFVJCUIBUJCBUKULSVTAREZVPVQVRWGVSAUMUOQUNUPWBVQ
    VJVIWDWETVTVQVPVQVRVSUQZQVPVJVTVIVJURZSVIVJVTUSABCUTVAWBVQVJMVRVSMZWEATVPVJ
    VTVQWIWHVBVTWJVPVQVRVSVCQABVFPVDVEVGVH $.

  $( The product of an integer and an integer greater than 1 increased by 1 is
     1 modulo the integer greater than 1.  (Contributed by AV, 15-Jul-2021.) $)
  mulp1mod1 $p |- ( ( A e. ZZ /\ N e. ( ZZ>= ` 2 ) )
                    -> ( ( ( N x. A ) + 1 ) mod N ) = 1 ) $=
    ( cz wcel c2 cuz cfv wa cmul co cmo c1 caddc cc0 cc adantl adantr oveq1d cr
    wceq eluzelcn zcn mulcomd eluz2nn nnrpd mulmod0 sylan2 eqtrd 0p1e1 eluzelre
    crp eqtrdi zre remulcld 1red modaddmod syl3anc clt wbr eluz2gt1 jca 3eqtr3d
    1mod syl ) ACDZBEFGDZHZBAIJZBKJZLMJZBKJZLBKJZVHLMJBKJZLVGVJLBKVGVJNLMJLVGVI
    NLMVGVIABIJZBKJZNVGVHVNBKVGBAVFBODVEEBUAPVEAODVFAUBQUCRVFVEBUKDZVONTVFBBUDU
    EZABUFUGUHRUIULRVGVHSDLSDVPVKVMTVGBAVFBSDZVEEBUJZPVEASDVFAUMQUNVGUOVFVPVEVQ
    PVHLBUPUQVGVRLBURUSZHZVLLTVFWAVEVFVRVTVSBUTVAPBVCVDVB $.

  ${
    $d A k $.  $d B k $.  $d M k $.
    $( Decomposition of an integer into a multiple of a modulus and a
       remainder.  (Contributed by AV, 14-Jul-2021.) $)
    modmuladd $p |- ( ( A e. ZZ /\ B e. ( 0 [,) M ) /\ M e. RR+ )
                     -> ( ( A mod M ) = B
                          <-> E. k e. ZZ A = ( ( k x. M ) + B ) ) ) $=
      ( cz wcel cc0 co cmo wceq cmul caddc wa cr adantl 3adant2 wb oveq1 eqeq2d
      wrex cico crp w3a cv cdiv cfl cfv adantr rpre rpne0 redivcld flcld oveq1d
      zre wne anim1i flpmodeq syl eqcomd rspcedvd oveq2 eqcoms syl5ibrcom simpr
      rexbidv simpl3 simpl2 muladdmodid syl3anc sylan9eqr rexlimdva2 impbid ) A
      EFZBGDUAHFZDUBFZUCZADIHZBJZACUDZDKHZBLHZJZCETZVPWCVRAVTVQLHZJZCETVPWEAADU
      EHZUFUGZDKHZVQLHZJZCWGEVMVOWGEFVNVMVOMZWFWKADVMANFZVOAUNZUHVODNFVMDUIOVOD
      GUOVMDUJOUKULPVSWGJZWEWJQVPWNWDWIAWNVTWHVQLVSWGDKRUMSOVPWIAVPWLVOMZWIAJVM
      VOWOVNVMWLVOWMUPPADUQURUSUTVRWBWECEWBWEQBVQBVQJWAWDABVQVTLVASVBVEVCVPWBVR
      CEWBVPVSEFZMZVQWADIHZBAWADIRWQWPVOVNWRBJVPWPVDVMVNVOWPVFVMVNVOWPVGBDVSVHV
      IVJVKVL $.

    $( Implication of a decomposition of an integer into a multiple of a
       modulus and a remainder.  (Contributed by AV, 14-Jul-2021.) $)
    modmuladdim $p |- ( ( A e. ZZ /\ M e. RR+ ) -> ( ( A mod M ) = B
                                    -> E. k e. ZZ A = ( ( k x. M ) + B ) ) ) $=
      ( cz wcel crp wa cmo co wceq cv cmul caddc wrex cc0 cico adantr wb simpr
      cr zre modelico sylan eleq1 adantl mpbid simpll modmuladd biimpd impancom
      syl3anc mpd ex ) AEFZDGFZHZADIJZBKZACLDMJBNJKCEOZUQUSHZBPDQJZFZUTVAURVBFZ
      VCUQVDUSUOAUAFUPVDAUBADUCUDRUSVDVCSUQURBVBUEUFUGUQVCUSUTUQVCHZUSUTVEUOVCU
      PUSUTSUOUPVCUHUQVCTUQUPVCUOUPTRABCDUIULUJUKUMUN $.

    $d A i k $.  $d B i $.  $d M i $.
    $( Implication of a decomposition of a nonnegative integer into a multiple
       of a modulus and a remainder.  (Contributed by AV, 14-Jul-2021.) $)
    modmuladdnn0 $p |- ( ( A e. NN0 /\ M e. RR+ ) -> ( ( A mod M ) = B
                                   -> E. k e. NN0 A = ( ( k x. M ) + B ) ) ) $=
      ( vi cn0 wcel wa co wceq cz cc0 cle wbr adantr cdiv cc ad2antrr cr adantl
      crp cmo cmul caddc wrex simpr cfl cfv eqcom nn0cn nn0re modcl sylan recnd
      cv cmin wb eleq1 mpbid zcn mulcld subadd2d bitr4id subcld rpcnne0 divmul3
      rpcn wne syl3anc oveq2 oveq1d eqcoms moddiffl eqtrd eqeq1d 3bitr2d wi clt
      nn0ge0 jca rpregt0 divge0 syl2an rpre rpne0 redivcld 0z sylancl syl5ibcom
      flge breq2 sylbid imp elnn0z sylanbrc weq oveq1 rspcedvd nn0z modmuladdim
      eqeq2d r19.29a ex ) AFGZDUAGZHZADUBIZBJZACUOZDUCIZBUDIZJZCFUEZXFXHHZAEUOZ
      DUCIZBUDIZJZXMEKXNXOKGZHZXRHZXLXRCXOFYAXSLXOMNZXOFGXTXSXRXNXSUFOXTXRYBXTX
      RADPIZUGUHZXOJZYBXTXRABUPIZXPJZYFDPIZXOJZYEXTXRXQAJYGAXQUIXTABXPXFAQGZXHX
      SXDYJXEAUJZORXNBQGZXSXNXGQGZYLXFYMXHXFXGXDASGZXEXGSGAUKZADULUMUNOXHYMYLUQ
      XFXGBQURTUSZOXTXODXSXOQGZXNXOUTTZXFDQGZXHXSXEYSXDDVGTRVAVBVCXTYFQGZYQYSDL
      VHZHZYIYGUQXNYTXSXNABXDYJXEXHYKRYPVDOYRXFUUBXHXSXEUUBXDDVETRYFXODVFVIXTYH
      YDXOXTYHAXGUPIZDPIZYDXNYHUUDJZXSXHUUEXFUUEBXGBXGJYFUUCDPBXGAUPVJVKVLTOXFU
      UDYDJZXHXSXDYNXEUUFYOADVMUMRVNVOVPXFYEYBVQXHXSXFLYDMNZYEYBXFLYCMNZUUGXDYN
      LAMNZHDSGZLDVRNHUUHXEXDYNUUIYOAVSVTDWAADWBWCXFYCSGLKGUUHUUGUQXFADXDYNXEYO
      OXEUUJXDDWDTXEUUAXDDWETWFWGYCLWJWHUSYDXOLMWKWIRWLWMXOWNWOCEWPZXLXRUQYAUUK
      XKXQAUUKXJXPBUDXIXODUCWQVKXATXTXRUFWRXFXHXREKUEZXDAKGXEXHUULVQAWSABEDWTUM
      WMXBXC $.
  $}

  $( The negation of a number modulo a positive number is equal to the
     difference of the modulus and the number modulo the modulus.  (Contributed
     by AV, 5-Jul-2020.) $)
  negmod $p |- ( ( A e. RR /\ N e. RR+ )
                       -> ( -u A mod N ) = ( ( N - A ) mod N ) ) $=
    ( cr wcel crp wa cmin co cneg caddc c1 cmul cc wceq rpcn recn negsub oveq1d
    cmo adantr syl2anr eqcomd mulid2d adantl mulcl syl2an renegcl recnd addcomd
    1cnd cz simpr 1zzd modcyc syl3anc eqtrd 3eqtr2rd ) ACDZBEDZFZBAGHZBSHBAIZJH
    ZBSHKBLHZVBJHZBSHZVBBSHZUTVAVCBSUTVCVAUSBMDZAMDVCVANURBOZAPBAQUAUBRUTVEVCBS
    UTVDBVBJUSVDBNURUSBVIUCUDRRUTVFVBVDJHZBSHZVGUTVEVJBSUTVDVBURKMDVHVDMDUSURUJ
    VIKBUEUFURVBMDUSURVBAUGZUHTUIRUTVBCDZUSKUKDVKVGNURVMUSVLTURUSULUTUMVBBKUNUO
    UPUQ $.

  $( Minus one modulo a positive integer is equal to the integer minus one.
     (Contributed by AV, 14-Jul-2021.) $)
  m1modnnsub1 $p |- ( M e. NN -> ( -u 1 mod M ) = ( M - 1 ) ) $=
    ( cn wcel c1 cneg cmo cmin crp wceq 1re nnrp negmod sylancr cc0 cle wbr clt
    co cr nnre peano2rem syl nnm1ge0 ltm1d modid syl22anc eqtrd ) ABCZDEAFRZADG
    RZAFRZUJUHDSCAHCZUIUKIJAKZDALMUHUJSCZULNUJOPUJAQPUKUJIUHASCUNATZAUAUBUMAUCU
    HAUOUDUJAUEUFUG $.

  $( Minus one modulo an integer greater than two is greater than one.
     (Contributed by AV, 14-Jul-2021.) $)
  m1modge3gt1 $p |- ( M e. ( ZZ>= ` 3 ) -> 1 < ( -u 1 mod M ) ) $=
    ( c3 cuz cfv wcel c1 cmin co cneg cmo clt caddc wbr c2 1p1e2 2p1e3 eqbrtrid
    cle eluzle cz wb 2z eluzelz zltp1le sylancr mpbird 1red eluzelre ltaddsub2d
    mpbid cn wceq eluzge3nn m1modnnsub1 syl breqtrrd ) ABCDEZFAFGHZFIAJHZKUQFFL
    HZAKMFURKMUQUTNAKOUQNAKMZNFLHZARMZUQVBBARPBASQUQNTEATEVAVCUAUBBAUCNAUDUEUFQ
    UQFFAUQUGZVDBAUHUIUJUQAUKEUSURULAUMAUNUOUP $.

  $( The sum of a positive integer and a nonnegative integer less than the
     positive integer is equal to the nonnegative integer modulo the positive
     integer.  (Contributed by Alexander van der Vekens, 30-Oct-2018.)  (Proof
     shortened by AV, 5-Jul-2020.) $)
  addmodid $p |- ( ( A e. NN0 /\ M e. NN /\ A < M )
                   -> ( ( M + A ) mod M ) = A ) $=
    ( cn0 wcel cn clt wbr w3a caddc co cmo c1 cmul wceq 3ad2ant2 oveq1d cc0 cxr
    rexrd 3ad2ant1 nncn mulid2d eqcomd cz crp cico 1zzd nnrp nn0re nn0ge0 simp3
    cle wb 0xr nnre elico1 sylancr mpbir3and muladdmodid syl3anc eqtrd ) ACDZBE
    DZABFGZHZBAIJZBKJLBMJZAIJZBKJZAVEVFVHBKVEBVGAIVEVGBVCVBVGBNVDVCBBUAUBOUCPPV
    ELUDDBUEDZAQBUFJDZVIANVEUGVCVBVJVDBUHOVEVKARDZQAULGZVDVBVCVLVDVBAAUISTVBVCV
    MVDAUJTVBVCVDUKVEQRDBRDZVKVLVMVDHUMUNVCVBVNVDVCBBUOSOQBAUPUQURABLUSUTVA $.

  $( The sum of a positive integer and a nonnegative integer less than the
     positive integer is equal to the nonnegative integer modulo the positive
     integer.  (Contributed by AV, 19-Mar-2021.) $)
  addmodidr $p |- ( ( A e. NN0 /\ M e. NN /\ A < M )
                    -> ( ( A + M ) mod M ) = A ) $=
    ( cn0 wcel cn clt wbr w3a caddc co wceq cc nn0cn nncn addcom syl2an 3adant3
    cmo oveq1d addmodid eqtrd ) ACDZBEDZABFGZHZABIJZBRJBAIJZBRJAUEUFUGBRUBUCUFU
    GKZUDUBALDBLDUHUCAMBNABOPQSABTUA $.

  $( The sum of a real number modulo a positive real number and another real
     number equals the sum of the two real numbers modulo the positive real
     number.  (Contributed by Alexander van der Vekens, 17-May-2018.) $)
  modadd2mod $p |- ( ( A e. RR /\ B e. RR /\ M e. RR+ )
                    -> ( ( B + ( A mod M ) ) mod M ) = ( ( B + A ) mod M ) ) $=
    ( cr wcel crp w3a cmo co caddc cc recn 3ad2ant2 modcl recnd 3adant2 addcomd
    wa oveq1d wceq modaddmod addcom syl2an 3adant3 3eqtrd ) ADEZBDEZCFEZGZBACHI
    ZJIZCHIUJBJIZCHIABJIZCHIZBAJIZCHIZUIUKULCHUIBUJUGUFBKEZUHBLZMUFUHUJKEUGUFUH
    RUJACNOPQSABCUAUFUGUNUPTUHUFUGRUMUOCHUFAKEUQUMUOTUGALURABUBUCSUDUE $.

  $( If a real number modulo a positive real number equals the positive real
     number decreased by 1, the real number increased by 1 modulo the positive
     real number equals 0.  (Contributed by AV, 2-Nov-2018.) $)
  modm1p1mod0 $p |- ( ( A e. RR /\ M e. RR+ )
                 -> ( ( A mod M ) = ( M - 1 ) -> ( ( A + 1 ) mod M ) = 0 ) ) $=
    ( cr wcel crp wa cmo co c1 cmin wceq cc0 1re modaddmod mp3an2 eqcomd adantr
    caddc oveq1d eqtrd oveq1 cc rpcn npcan1 syl modid0 adantl sylan9eqr ex ) AC
    DZBEDZFZABGHZBIJHZKZAIRHBGHZLKULUOFUPUMIRHZBGHZLULUPURKUOULURUPUJICDUKURUPK
    MAIBNOPQUOULURUNIRHZBGHZLUOUQUSBGUMUNIRUASUKUTLKUJUKUTBBGHLUKUSBBGUKBUBDUSB
    KBUCBUDUESBUFTUGUHTUI $.

  $( If a real number modulo a positive real number is less than the positive
     real number decreased by 1, the real number increased by 1 modulo the
     positive real number equals the real number modulo the positive real
     number increased by 1.  (Contributed by AV, 2-Nov-2018.) $)
  modltm1p1mod $p |- ( ( A e. RR /\ M e. RR+ /\ ( A mod M ) < ( M - 1 ) )
                      -> ( ( A + 1 ) mod M ) = ( ( A mod M ) + 1 ) ) $=
    ( cr wcel crp cmo co c1 cmin clt wbr w3a caddc wceq wa 1red 3adant3 syl cc0
    simpl simpr 3jca modaddmod cle modcl peano2re jca modge0 lep1d letrd adantl
    0red rpre ltaddsubd biimp3ar modid syl12anc eqtr3d ) ACDZBEDZABFGZBHIGJKZLZ
    VAHMGZBFGZAHMGBFGZVDVCUSHCDZUTLZVEVFNUSUTVHVBUSUTOZUSVGUTUSUTTVIPZUSUTUAZUB
    QAHBUCRVCVDCDZUTOZSVDUDKZVDBJKZVEVDNUSUTVMVBVIVLUTVIVACDVLABUEZVAUFRZVKUGQU
    SUTVNVBVISVAVDVIULVPVQABUHVIVAVPUIUJQUSUTVOVBVIVAHBVPVJUTBCDUSBUMUKUNUOVDBU
    PUQUR $.

  $( Multiplication property of the modulo operation.  Note that the multiplier
     ` C ` must be an integer.  (Contributed by NM, 12-Nov-2008.) $)
  modmul1 $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. ZZ /\ D e. RR+ )
       /\ ( A mod D ) = ( B mod D ) )
       -> ( ( A x. C ) mod D ) = ( ( B x. C ) mod D ) ) $=
    ( cr wcel wa cz cmo co wceq cmul cdiv cfl cfv cmin modval adantrl oveq1 cc
    crp wb eqeqan12d anandirs syl6bi rpcn ad2antll zcn ad2antrl rerpdivcl flcld
    zcnd mulassd mul32d eqtr3d oveq2d recn adantr adantl mulcld subdird adantlr
    eqtr4d adantll eqeq12d sylibrd remulcl sylan2 adantrr simprr simprl zmulcld
    zre modcyc2 syl3anc syl5ib syld 3impia ) AEFZBEFZGZCHFZDUAFZGZADIJZBDIJZKZA
    CLJZDIJZBCLJZDIJZKZWAWDGZWGWHDCADMJZNOZLJZLJZPJZWJDCBDMJZNOZLJZLJZPJZKZWLWM
    WGADWOLJZPJZCLJZBDWTLJZPJZCLJZKZXDWMWGXFXIKZXKWAWCWGXLUBZWBVSVTWCXMVSWCGZVT
    WCGZWEXFWFXIADQBDQUCUDRXFXICLSUEWMWRXGXCXJVSWDWRXGKVTVSWDGZWRWHXECLJZPJXGXP
    WQXQWHPXPDCLJZWOLJWQXQXPDCWOWCDTFZVSWBDUFZUGZWBCTFZVSWCCUHZUIZVSWCWOTFWBXNW
    OXNWNADUJUKZULZRZUMXPDCWOYAYDYGUNUOUPXPAXECVSATFWDAUQURVSWCXETFWBXNDWOWCXSV
    SXTUSYFUTRYDVAVCVBVTWDXCXJKVSVTWDGZXCWJXHCLJZPJXJYHXBYIWJPYHXRWTLJXBYIYHDCW
    TWCXSVTWBXTUGZWBYBVTWCYCUIZVTWCWTTFWBXOWTXOWSBDUJUKZULZRZUMYHDCWTYJYKYNUNUO
    UPYHBXHCVTBTFWDBUQURVTWCXHTFWBXODWTWCXSVTXTUSYMUTRYKVAVCVDVEVFXDWRDIJZXCDIJ
    ZKWMWLWRXCDISWMYOWIYPWKVSWDYOWIKZVTXPWHEFZWCWPHFYQVSWBYRWCWBVSCEFZYRCVMZACV
    GVHVIVSWBWCVJXPCWOVSWBWCVKVSWCWOHFWBYERVLWHDWPVNVOVBVTWDYPWKKZVSYHWJEFZWCXA
    HFUUAVTWBUUBWCWBVTYSUUBYTBCVGVHVIVTWBWCVJYHCWTVTWBWCVKVTWCWTHFWBYLRVLWJDXAV
    NVOVDVEVPVQVR $.

  ${
    modmul12d.1 $e |- ( ph -> A e. ZZ ) $.
    modmul12d.2 $e |- ( ph -> B e. ZZ ) $.
    modmul12d.3 $e |- ( ph -> C e. ZZ ) $.
    modmul12d.4 $e |- ( ph -> D e. ZZ ) $.
    modmul12d.5 $e |- ( ph -> E e. RR+ ) $.
    modmul12d.6 $e |- ( ph -> ( A mod E ) = ( B mod E ) ) $.
    modmul12d.7 $e |- ( ph -> ( C mod E ) = ( D mod E ) ) $.
    $( Multiplication property of the modulo operation, see theorem 5.2(b) in
       [ApostolNT] p. 107.  (Contributed by Mario Carneiro, 5-Feb-2015.) $)
    modmul12d $p |- ( ph -> ( ( A x. C ) mod E ) = ( ( B x. D ) mod E ) ) $=
      ( cmul co cmo cr wcel wceq zred crp modmul1 syl221anc zcnd mulcomd oveq1d
      cz 3eqtrd eqtrd ) ABDNOFPOZCDNOZFPOZCENOZFPOZABQRCQRDUGRFUARZBFPOCFPOSUJU
      LSABGTACHTIKLBCDFUBUCAULDCNOZFPOZECNOZFPOZUNAUKUPFPACDACHUDZADIUDUEUFADQR
      EQRCUGRUODFPOEFPOSUQUSSADITAEJTHKMDECFUBUCAURUMFPAECAEJUDUTUEUFUHUI $.
  $}

  ${
    modnegd.1 $e |- ( ph -> A e. RR ) $.
    modnegd.2 $e |- ( ph -> B e. RR ) $.
    modnegd.3 $e |- ( ph -> C e. RR+ ) $.
    modnegd.4 $e |- ( ph -> ( A mod C ) = ( B mod C ) ) $.
    $( Negation property of the modulo operation.  (Contributed by Mario
       Carneiro, 9-Sep-2016.) $)
    modnegd $p |- ( ph -> ( -u A mod C ) = ( -u B mod C ) ) $=
      ( c1 cneg cmul co cmo cr wcel wceq recnd mulcomd mulm1d eqtrd cz crp 1zzd
      znegcld modmul1 syl221anc 1cnd negcld oveq1d 3eqtr3d ) ABIJZKLZDMLZCUKKLZ
      DMLZBJZDMLCJZDMLABNOCNOUKUAODUBOBDMLCDMLPUMUOPEFAIAUCUDGHBCUKDUEUFAULUPDM
      AULUKBKLUPABUKABEQZAIAUGUHZRABURSTUIAUNUQDMAUNUKCKLUQACUKACFQZUSRACUTSTUI
      UJ $.
  $}

  ${
    modadd12d.1 $e |- ( ph -> A e. RR ) $.
    modadd12d.2 $e |- ( ph -> B e. RR ) $.
    modadd12d.3 $e |- ( ph -> C e. RR ) $.
    modadd12d.4 $e |- ( ph -> D e. RR ) $.
    modadd12d.5 $e |- ( ph -> E e. RR+ ) $.
    modadd12d.6 $e |- ( ph -> ( A mod E ) = ( B mod E ) ) $.
    modadd12d.7 $e |- ( ph -> ( C mod E ) = ( D mod E ) ) $.
    $( Additive property of the modulo operation.  (Contributed by Mario
       Carneiro, 9-Sep-2016.) $)
    modadd12d $p |- ( ph -> ( ( A + C ) mod E ) = ( ( B + D ) mod E ) ) $=
      ( caddc co cmo cr wcel wceq recnd modadd1 syl221anc addcomd oveq1d 3eqtrd
      crp eqtrd ) ABDNOFPOZCDNOZFPOZCENOZFPOZABQRCQRZDQRZFUFRZBFPOCFPOSUHUJSGHI
      KLBCDFUAUBAUJDCNOZFPOZECNOZFPOZULAUIUPFPACDACHTZADITUCUDAUNEQRUMUODFPOEFP
      OSUQUSSIJHKMDECFUAUBAURUKFPAECAEJTUTUCUDUEUG $.

    $( Subtraction property of the modulo operation.  (Contributed by Mario
       Carneiro, 9-Sep-2016.) $)
    modsub12d $p |- ( ph -> ( ( A - C ) mod E ) = ( ( B - D ) mod E ) ) $=
      ( cneg caddc co cmo cmin renegcld recnd modnegd modadd12d negsubd 3eqtr3d
      oveq1d ) ABDNZOPZFQPCENZOPZFQPBDRPZFQPCERPZFQPABCUFUHFGHADISAEJSKLADEFIJK
      MUAUBAUGUJFQABDABGTADITUCUEAUIUKFQACEACHTAEJTUCUEUD $.
  $}

  $( The difference of a real number modulo a positive real number and another
     real number equals the difference of the two real numbers modulo the
     positive real number.  (Contributed by Alexander van der Vekens,
     17-May-2018.) $)
  modsubmod $p |- ( ( A e. RR /\ B e. RR /\ M e. RR+ )
                    -> ( ( ( A mod M ) - B ) mod M ) = ( ( A - B ) mod M ) ) $=
    ( cr wcel crp w3a cmo co modcl 3adant2 simp1 simp2 simp3 wceq modabs2 eqidd
    modsub12d ) ADEZBDEZCFEZGZACHIZABBCSUAUCDETACJKSTUALSTUAMZUDSTUANSUAUCCHIUC
    OTACPKUBBCHIQR $.

  $( The difference of a real number modulo a positive real number and another
     real number modulo this positive real number equals the difference of the
     two real numbers modulo the positive real number.  (Contributed by
     Alexander van der Vekens, 17-May-2018.) $)
  modsubmodmod $p |- ( ( A e. RR /\ B e. RR /\ M e. RR+ )
          -> ( ( ( A mod M ) - ( B mod M ) ) mod M ) = ( ( A - B ) mod M ) ) $=
    ( cr wcel crp w3a co modcl 3adant2 simp1 3adant1 simp2 simp3 wceq modsub12d
    cmo modabs2 ) ADEZBDEZCFEZGACQHZABCQHZBCSUAUBDETACIJSTUAKTUAUCDESBCILSTUAMS
    TUANSUAUBCQHUBOTACRJTUAUCCQHUCOSBCRLP $.

  $( Two times a positive real number modulo the real number is zero.
     (Contributed by Alexander van der Vekens, 8-Jun-2018.) $)
  2txmodxeq0 $p |- ( X e. RR+ -> ( ( 2 x. X ) mod X ) = 0 ) $=
    ( crp wcel c2 cmul co cmo wceq cdiv cz 2cnd rpcn rpne0 divcan4d 2z eqeltrdi
    cc0 cr wb 2re a1i rpre remulcld mod0 mpancom mpbird ) ABCZDAEFZAGFQHZUHAIFZ
    JCZUGUJDJUGDAUGKALAMNOPUHRCUGUIUKSUGDADRCUGTUAAUBUCUHAUDUEUF $.

  $( If a real number is between a positive real number and twice the positive
     real number, the real number modulo the positive real number equals the
     real number minus the positive real number.  (Contributed by Alexander van
     der Vekens, 13-May-2018.) $)
  2submod $p |- ( ( ( A e. RR /\ B e. RR+ ) /\ ( B <_ A /\ A < ( 2 x. B ) ) )
                 -> ( A mod B ) = ( A - B ) ) $=
    ( cr wcel crp wa cle wbr c2 cmul clt cmin cmo wceq syl adantl adantr sylan2
    co c1 rpre ax-1rid oveq2d oveq1d cz w3a simpl 1zzd 3jca modcyc2 cc0 resubcl
    simpr wb subge0 bicomd caddc 2timesd breq2d ltsubaddd bitr4d anbi12d biimpa
    jca rpcn modid syl2an2r 3eqtr3d ) ACDZBEDZFZBAGHZAIBJSZKHZFZFZABTJSZLSZBMSZ
    ABLSZBMSZABMSZVTVKVSWANVOVKVRVTBMVKVQBALVJVQBNZVIVJBCDZWCBUAZBUBOPUCUDQVPVI
    VJTUEDZUFZVSWBNVKWGVOVKVIVJWFVIVJUGZVIVJUMZVKUHUIQABTUJOVKVTCDZVJFVOUKVTGHZ
    VTBKHZFZWAVTNVKWJVJVJVIWDWJWEABULRWIVDVKVOWMVKVLWKVNWLVKWKVLVJVIWDWKVLUNWEA
    BUORUPVKVNABBUQSZKHWLVKVMWNAKVJVMWNNVIVJBBVEURPUSVKABBWHVJWDVIWEPZWOUTVAVBV
    CVTBVFVGVH $.

  $( If a nonnegative integer is less than twice a positive integer, the
     nonnegative integer modulo the positive integer equals the nonnegative
     integer or the nonnegative integer minus the positive integer.
     (Contributed by Alexander van der Vekens, 21-May-2018.) $)
  modifeq2int $p |- ( ( A e. NN0 /\ B e. NN /\ A < ( 2 x. B ) )
                      -> ( A mod B ) = if ( A < B , A , ( A - B ) ) ) $=
    ( clt wbr cn0 wcel cn c2 cmul co w3a cmo wceq wa cr cle eqcomd adantr eqtrd
    3adant3 cmin cif wi crp cc0 nn0re nnrp anim12i nn0ge0 3ad2ant1 anim1i modid
    ancoms syl2an2 iftrue ex wn wb nnre syl2anr biimpar simpl3 2submod syl12anc
    lenlt iffalse adantl expcom pm2.61i ) ABCDZAEFZBGFZAHBIJCDZKZABLJZVJAABUAJZ
    UBZMZUCVJVNVRVJVNNVOAVQVNAOFZBUDFZNZVJUEAPDZVJNZVOAMVKVLWAVMVKVSVLVTAUFZBUG
    UHTZVNVJWCVNWBVJVKVLWBVMAUIUJUKUMABULUNVJAVQMVNVJVQAVJAVPUOQRSUPVNVJUQZVRVN
    WFNZVOVPVQWGWABAPDZVMVOVPMVNWAWFWERVNWHWFVKVLWHWFURZVMVLBOFVSWIVKBUSWDBAVEU
    TTVAVKVLVMWFVBABVCVDWGVQVPWFVQVPMVNVJAVPVFVGQSVHVI $.

  $( The sum of an integer modulo a positive integer and another integer minus
     the positive integer equals the sum of the two integers modulo the
     positive integer if the other integer is in the upper part of the range
     between 0 and the positive integer.  (Contributed by AV, 30-Oct-2018.) $)
  modaddmodup $p |- ( ( A e. ZZ /\ M e. NN )
               -> ( B e. ( ( M - ( A mod M ) ) ..^ M )
                    -> ( ( B + ( A mod M ) ) - M ) = ( ( B + A ) mod M ) ) ) $=
    ( cz wcel wa cmo co caddc wceq cr cle wbr clt adantr adantl ad2antlr wi jca
    sylbi cn cmin cfzo c2 cmul elfzoelz zred zmodcl nn0red readdcld ancoms nnrp
    crp cuz cfv w3a elfzo2 eluz2 zre lesubaddd biimpd impancom 3adant1 3ad2ant1
    nnre impcom eluzelz anim12i simpr modlt ltled ltleadd sylc 2timesd breqtrrd
    syl2an nncn exp31 com23 syl imp 3adant2 2submod syl22anc modadd2mod syl3anc
    eqcomd eqtrd ex ) ADEZCUAEZFZBCACGHZUBHZCUCHEZBWMIHZCUBHZBAIHCGHZJWLWOFZWQW
    PCGHZWRWSWPKEZCUMEZCWPLMZWPUDCUEHZNMZWQWTJWOWLXAWOWLFBWMWOBKEZWLWOBBWNCUFUG
    ZOWLWMKEZWOWLWMACUHUIZPUJUKWKXBWJWOCULZQZWOWLXCWOBWNUNUOEZCDEZBCNMZUPZWLXCR
    ZBWNCUQZXLXMXPXNXLWNDEZBDEZWNBLMZUPXPWNBURXSXTXPXRXSWLXTXCXSWLFZXTXCYACWMBW
    LCKEZXSWKYBWJCVEZPZPWLXHXSXIPXSXFWLBUSZOUTVAVBVCTVDTVFWOWLXEWOXOWLXERZXQXLX
    NYFXMXLXNYFXLXSXNYFRWNBVGXSWLXNXEXSWLXNXEYAXNFZWPCCIHZXDNYGXFXHFZYBYBFZFZXN
    WMCLMZFWPYHNMYAYKXNYAYIYJXSXFWLXHYEXIVHWLYJXSWKYJWJWKYBYBYCYCSPPSOYGXNYLYAX
    NVIWLYLXSXNWLWMCXIYDWJAKEZXBWMCNMWKAUSZXJACVJVPVKQSBWMCCVLVMWLXDYHJZXSXNWKY
    OWJWKCCVQVNPQVOVRVSVTWAWBTVFXAXBFXCXEFFWTWQWPCWCWGWDWSYMXFXBWTWRJWLYMWOWJYM
    WKYNOOWOXFWLXGPXKABCWEWFWHWI $.

  $( The sum of an integer modulo a positive integer and another integer equals
     the sum of the two integers modulo the positive integer if the other
     integer is in the lower part of the range between 0 and the positive
     integer.  (Contributed by AV, 30-Oct-2018.) $)
  modaddmodlo $p |- ( ( A e. ZZ /\ M e. NN )
                     -> ( B e. ( 0 ..^ ( M - ( A mod M ) ) )
                          -> ( B + ( A mod M ) ) = ( ( B + A ) mod M ) ) ) $=
    ( cz wcel cn wa cc0 cmo co cmin caddc cr cle wbr clt adantr adantl ad2antlr
    wceq cfzo elfzoelz zred zmodcl nn0red readdcld ancoms nnrp elfzole1 nn0ge0d
    crp addge0d elfzolt2 ltaddsubd mpbird modid syl22anc zre modadd2mod syl3anc
    nnre eqtr3d ex ) ADEZCFEZGZBHCACIJZKJZUAJEZBVGLJZBALJCIJZTVFVIGZVJCIJZVJVKV
    LVJMEZCUKEZHVJNOVJCPOZVMVJTVIVFVNVIVFGBVGVIBMEZVFVIBBHVHUBUCZQVFVGMEZVIVFVG
    ACUDZUEZRUFUGVEVOVDVICUHSZVLBVGVIVQVFVRRZVFVSVIWAQZVIHBNOVFBHVHUIRVFHVGNOVI
    VFVGVTUJQULVLVPBVHPOZVIWEVFBHVHUMRVLBVGCWCWDVECMEVDVICVASUNUOVJCUPUQVLAMEZV
    QVOVMVKTVFWFVIVDWFVEAURQQWCWBABCUSUTVBVC $.

  $( The product of a real number modulo a positive real number and an integer
     equals the product of the real number and the integer modulo the positive
     real number.  (Contributed by Alexander van der Vekens, 17-May-2018.) $)
  modmulmod $p |- ( ( A e. RR /\ B e. ZZ /\ M e. RR+ )
                  -> ( ( ( A mod M ) x. B ) mod M ) = ( ( A x. B ) mod M ) ) $=
    ( cr wcel cz crp w3a cmo co wa wceq cmul modcl simpl 3adant2 3simpc modabs2
    jca modmul1 syl3anc ) ADEZBFEZCGEZHACIJZDEZUBKZUCUDKUECIJUELZUEBMJCIJABMJCI
    JLUBUDUGUCUBUDKUFUBACNUBUDOSPUBUCUDQUBUDUHUCACRPUEABCTUA $.

  $( The product of an integer and a real number modulo a positive real number
     equals the product of the integer and the real number modulo the positive
     real number.  (Contributed by Alexander van der Vekens, 9-Jul-2021.) $)
  modmulmodr $p |- ( ( A e. ZZ /\ B e. RR /\ M e. RR+ )
                  -> ( ( A x. ( B mod M ) ) mod M ) = ( ( A x. B ) mod M ) ) $=
    ( cz wcel cr crp w3a cmo co cc zcn 3ad2ant1 simp2 simp3 modcld recnd oveq1d
    cmul wceq mulcomd modmulmod 3com12 recn anim12ci 3adant3 mulcom syl 3eqtrd
    wa ) ADEZBFEZCGEZHZABCIJZSJZCIJUOASJZCIJZBASJZCIJZABSJZCIJUNUPUQCIUNAUOUKUL
    AKEZUMALZMUNUOUNBCUKULUMNUKULUMOPQUARULUKUMURUTTBACUBUCUNUSVACIUNBKEZVBUJZU
    SVATUKULVEUMUKVBULVDVCBUDUEUFBAUGUHRUI $.

  $( The sum of a real number and the product of a second real number modulo a
     positive real number and an integer equals the sum of the real number and
     the product of the other real number and the integer modulo the positive
     real number.  (Contributed by Alexander van der Vekens, 17-May-2018.) $)
  modaddmulmod $p |- ( ( ( A e. RR /\ B e. RR /\ C e. ZZ ) /\ M e. RR+ )
                       -> ( ( A + ( ( B mod M ) x. C ) ) mod M )
                          = ( ( A + ( B x. C ) ) mod M ) ) $=
    ( cr wcel wa cmo cmul caddc recn adantr modcld 3ad2ant3 addcomd oveq1d wceq
    co cc 3adant1 w3a crp 3ad2ant1 simpl2 simpr recnd zcn mulcld remulcld simpl
    cz zre adantl anim1i simpl3 modmulmod syl3anc remulcl sylan2 modabs2 eqtr4d
    simp1 sylan modadd1 syl211anc modaddmod mulcl syl2an eqtrd 3eqtrd ) AEFZBEF
    ZCUKFZUAZDUBFZGZABDHRZCIRZJRZDHRVRAJRZDHRZBCIRZDHRZAJRDHRZAWBJRZDHRZVPVSVTD
    HVPAVRVNASFZVOVKVLWGVMAKUCZLVPVQCVPVQVPBDVKVLVMVOUDZVNVOUEZMZUFVNCSFZVOVMVK
    WLVLCUGZNLUHOPVPVREFWCEFVKVOGVRDHRZWCDHRZQWAWDQVPVQCWKVNCEFZVOVMVKWPVLCULZN
    LUIVPWBDVNWBEFZVOVLVMWRVKVLVMGBCVLVMUJVMWPVLWQUMUITLWJMVNVKVOVKVLVMVBZUNVPW
    NWCWOVPVLVMVOWNWCQWIVKVLVMVOUOWJBCDUPUQVNWRVOWOWCQVLVMWRVKVMVLWPWRWQBCURUST
    ZWBDUTVCVAVRWCADVDVEVPWDWBAJRZDHRZWFVPWRVKVOWDXBQVNWRVOWTLVNVKVOWSLWJWBADVF
    UQVPXAWEDHVNXAWEQVOVNWBAVLVMWBSFZVKVLBSFWLXCVMBKWMBCVGVHTWHOLPVIVJ $.

  $( Distribute multiplication over a modulo operation.  (Contributed by NM,
     11-Nov-2008.) $)
  moddi $p |- ( ( A e. RR+ /\ B e. RR /\ C e. RR+ )
      -> ( A x. ( B mod C ) ) = ( ( A x. B ) mod ( A x. C ) ) ) $=
    ( crp wcel cr cdiv co cfl cfv cmul cmin cmo cc rpcn 3ad2ant1 3adant1 oveq2d
    wa wceq w3a recn 3ad2ant2 rpre adantl refldivcl remulcld subdid cc0 rpcnne0
    recnd wne 3ad2ant3 divcan5 syl3anc fveq2d rerpdivcl reflcl syl eqtr2d eqtrd
    mulassd modval remulcl sylan 3adant3 rpmulcl 3imp3i2an 3eqtr4d ) ADEZBFEZCD
    EZUAZABCBCGHZIJZKHZLHZKHZABKHZACKHZVSVTGHZIJZKHZLHZABCMHZKHVSVTMHZVMVRVSAVP
    KHZLHWDVMABVPVJVKANEZVLAOPZVKVJBNEZVLBUBUCZVKVLVPNEVJVKVLSZVPWLCVOVLCFEVKCU
    DUEBCUFUGUKQUHVMWGWCVSLVMWCVTVOKHWGVMWBVOVTKVMWAVNIVMWJCNEZCUIULSZWHAUIULSZ
    WAVNTWKVLVJWNVKCUJUMVJVKWOVLAUJPBCAUNUOUPRVMACVOWIVLVJWMVKCOUMVKVLVONEZVJWL
    VNFEZWPBCUQWQVOVNURUKUSQVBUTRVAVMWEVQAKVKVLWEVQTVJBCVCQRVJVKVLVSFEZVTDEWFWD
    TVJVKWRVLVJAFEVKWRAUDABVDVEVFACVGVSVTVCVHVI $.

  $( Distribute the modulo operation over a subtraction.  (Contributed by NM,
     30-Dec-2008.) $)
  modsubdir $p |- ( ( A e. RR /\ B e. RR /\ C e. RR+ )
            -> ( ( B mod C ) <_ ( A mod C )
                 <-> ( ( A - B ) mod C ) = ( ( A mod C ) - ( B mod C ) ) ) ) $=
    ( cr wcel cc0 cmo co cmin cle wbr wceq 3adant2 3adant1 wa cmul cz cc adantr
    recnd crp w3a modcl subge0d cfl cfv resubcl 3adant3 simp3 rerpdivcl zsubcld
    cdiv flcld modcyc2 syl3anc recn 3ad2ant1 3ad2ant2 adantl refldivcl remulcld
    rpre sub4d 3ad2ant3 subdid oveq2d modval oveq12d oveq1d eqtr3d clt resubcld
    3eqtr4d simpl3 simpr modge0 subge02d mpbid modlt lelttrd modid eqtrd stoic3
    syl22anc breqtrd impbida bitr3d ) ADEZBDEZCUAEZUBZFACGHZBCGHZIHZJKZWMWLJKAB
    IHZCGHZWNLZWKWLWMWHWJWLDEWIACUCMZWIWJWMDEWHBCUCNZUDWKWOWRWKWOOZWQWNCGHZWNWK
    WQXBLWOWKWPCACULHZUEUFZBCULHZUEUFZIHZPHZIHZCGHZWQXBWKWPDEZWJXGQEXJWQLWHWIXK
    WJABUGZUHWHWIWJUIWKXDXFWHWJXDQEWIWHWJOZXCACUJUMMWIWJXFQEWHWIWJOZXEBCUJUMNUK
    WPCXGUNUOWKXIWNCGWKWPCXDPHZCXFPHZIHZIHAXOIHZBXPIHZIHXIWNWKABXOXPWHWIAREWJAU
    PUQWIWHBREWJBUPURWHWJXOREWIXMXOXMCXDWJCDEZWHCVBZUSACUTZVATMWIWJXPREWHXNXPXN
    CXFWJXTWIYAUSBCUTZVATNVCWKXHXQWPIWKCXDXFWKCWJWHXTWIYAVDZTWHWJXDREWIXMXDYBTM
    WIWJXFREWHXNXFYCTNVEVFWKWLXRWMXSIWHWJWLXRLWIACVGMWIWJWMXSLWHBCVGNVHVMVIVJSX
    AWNDEZWJWOWNCVKKZXBWNLWKYEWOWKWLWMWSWTVLZSWHWIWJWOVNWKWOVOWKYFWOWKWNWLCYGWS
    YDWKFWMJKZWNWLJKWIWJYHWHBCVPNWKWLWMWSWTVQVRWHWJWLCVKKWIACVSMVTSWNCWAWDWBWKW
    ROFWQWNJWKFWQJKZWRWHWIXKWJYIXLWPCVPWCSWKWRVOWEWFWG $.

  $( A real number equals the difference of the real number and a positive real
     number modulo the positive real number.  (Contributed by AV,
     3-Nov-2018.) $)
  modeqmodmin $p |- ( ( A e. RR /\ M e. RR+ )
                     -> ( A mod M ) = ( ( A - M ) mod M ) ) $=
    ( cr wcel crp wa cmin co cmo cc0 cle wbr modid0 adantl modge0 eqbrtrd simpl
    wceq wb rpre simpr syl3anc mpbid eqcomd oveq2d modcl recnd subid1d 3eqtr2rd
    modsubdir ) ACDZBEDZFZABGHBIHZABIHZBBIHZGHZUOJGHUOUMUPUOKLZUNUQRZUMUPJUOKUL
    UPJRUKBMNZABOPUMUKBCDZULURUSSUKULQULVAUKBTNUKULUAABBUJUBUCUMJUPUOGUMUPJUTUD
    UEUMUOUMUOABUFUGUHUI $.

  $( A number modulo an irrational multiple of it is nonzero.  (Contributed by
     NM, 11-Nov-2008.) $)
  modirr $p |- ( ( A e. RR /\ B e. RR+ /\ ( A / B ) e. ( RR \ QQ ) )
      -> ( A mod B ) =/= 0 ) $=
    ( cr wcel crp cdiv co cq cdif cmo cc0 wne wn wa eldif wceq adantl recnd syl
    cc cfl cmul cmin modval eqeq1d recn adantr rpre refldivcl remulcld subeq0ad
    cfv wb rerpdivcl reflcl rpcnne0 divmul2 syl3anc eqcom 3bitrd wi cz flidz zq
    bitr3di syl6bi sylbid necon3bd adantld syl5bi 3impia ) ACDZBEDZABFGZCHIDZAB
    JGZKLZVOVNCDZVNHDZMZNVLVMNZVQVNCHOWAVTVQVRWAVSVPKWAVPKPZVNUAULZVNPZVSWAWBAB
    WCUBGZUCGZKPAWEPZWDWAVPWFKABUDUEWAAWEVLATDZVMAUFUGZWAWEWABWCVMBCDVLBUHQABUI
    UJRUKWAVNWCPZWGWDWAWHWCTDZBTDBKLNZWJWGUMWIWAVRWKABUNZVRWCVNUORSVMWLVLBUPQAW
    CBUQURVNWCUSVEUTWAVRWDVSVAWMVRWDVNVBDVSVNVCVNVDVFSVGVHVIVJVK $.

  ${
    $d J i $.  $d K i $.  $d N i $.
    $( For a number within a half-open range of nonnegative integers with one
       excluded integer there is a positive integer so that the number is equal
       to the sum of the positive integer and the excluded integer modulo the
       upper bound of the range.  (Contributed by AV, 19-Mar-2021.) $)
    modfzo0difsn $p |- ( ( J e. ( 0 ..^ N ) /\ K e. ( ( 0 ..^ N ) \ { J } ) )
                         -> E. i e. ( 1 ..^ N ) K = ( ( i + J ) mod N ) ) $=
      ( wbr co wcel wa caddc wceq wi clt wb syl w3a adantr adantl sylbi com12
      cn cle cc0 cfzo csn cdif cv cmo c1 wrex wo cr elfzoelz zred leloe syl2anr
      eldifi cmin cn0 elfzo0 cc nn0cn 3ad2ant1 nncn 3ad2ant2 subadd23d simpl cz
      nn0z znnsub syl2an biimp3a nn0nnaddcl eqeltrd simp2 sublt0d bicomd biimpa
      nnz nn0re resubcl nnre jca ltaddnegr mpbid elfzo1 syl3anbrc exp31 3adant2
      impcom zcnd 3jca ex 3adant3 imp nppcan sylan9eqr oveq1d eqeq2d biimpi a1d
      oveq1 addmodidr eqcomd rspcedvd wne eldifsn eqneqall jaoi sylbid wn ltnle
      nn0ge0 subge02 ancoms simp3 lelttr impancom sylibr zmodidfzoimp pm2.61i
      mpand npcan ) CBUAEZBUBDUCFZGZCYDBUDZUEGZHZCAUFZBIFZDUGFZJZAUHDUCFZUIZKZY
      HYCYNYHYCCBLEZCBJZUJZYNYGCUKGZBUKGZYCYRMYEYGCYDGZYSCYDYFUPZUUACCUBDULZUMN
      ZYEBBUBDULZUMZCBUNUOYRYHYNYPYOYQYPYHYNYPYHHZYLCCDIFZDUGFZJZACBUQFZDIFZYMY
      HYPUULYMGZYGYEYPUUMKZYGUUAYEUUNKZUUBUUACURGZDTGZCDLEZOZUUOCDUSZUUPUURUUOU
      UQYEUUPUURHZUUNYEBURGZUUQBDLEZOZUVAUUNKBDUSZUVDUVAYPUUMUVDUVAHZYPHZUULTGZ
      UUQUULDLEZUUMUVFUVHYPUVFUULCDBUQFZIFZTUVFCBDUVACUTGZUVDUUPUVLUURCVAPQUVDB
      UTGZUVAUVBUUQUVMUVCBVAZVBPUVDDUTGZUVAUUQUVBUVOUVCDVCZVDPVEUVAUUPUVJTGZUVK
      TGUVDUUPUURVFUVBUUQUVCUVQUVBBVGGZDVGGUVCUVQMUUQBVHZDVRBDVIVJVKCUVJVLUOVMP
      UVFUUQYPUVDUUQUVAUVBUUQUVCVNZPPUVGUUKUBLEZUVIUVFYPUWAUVFUWAYPUVFCBUVAYSUV
      DUUPYSUURCVSZPZQUVDYTUVAUVBUUQYTUVCBVSVBZPVOVPVQUVGUUKUKGZDUKGZHZUWAUVIMU
      VFUWGYPUVFUWEUWFUVAYSYTUWEUVDUWCUWDCBVTZUOUVDUWFUVAUUQUVBUWFUVCDWAVDZPWBP
      UUKDWCNWDDUULWEWFWGRSWHRNWIWIUUGYIUULJZHZYKUUICUWKYJUUHDUGUWJUUGYJUULBIFZ
      UUHYIUULBIXAUUGUVLUVMUVOOZUWLUUHJYHUWMYPYEYGUWMYEUVDYGUWMKZUVEUVBUUQUWNUV
      CYGUVBUUQHZUWMYGUUAUWOUWMKUUBUUAUWOUWMUUAUWOHUVLUVMUVOUUAUVLUWOUUACUUCWJZ
      PUWOUVMUUAUVBUVMUUQUVNPQUWOUVOUUAUUQUVOUVBUVPQQWKWLNSWMRWNQCBDWONWPWQWRUU
      GUUSUUJYHUUSYPYGYEUUSYGUUAYEUUSKUUBUUAUUSYEUUAUUSUUTWSWTNWIQUUSUUICCDXBXC
      NXDWLYHYQYNYGYQYNKZYEYGUUACBXEZHUWQCYDBXFUWRUWQUUAYQUWRYNYNCBXGSQRQSXHSXI
      SYCXJZYHYNUWSYHHZYLCCDUGFZJAUUKYMUWTUUKTGZUUQUUKDLEZOZUUKYMGYHUWSUXDYHUWS
      BCLEZUXDYHUXEUWSYEYTYSUXEUWSMYGUUFUUDBCXKVJVPYEYGUXEUXDKZYEUVDYGUXFKUVEYG
      UVDUXFYGUUAUVDUXFKZUUBUUAUUSUXGUUTUUPUURUXGUUQUVAUVDUXEUXDUVAUVDHZUXEHUXB
      UUQUXCUXHUXEUXBUVDUVRCVGGZUXEUXBMUVAUVBUUQUVRUVCUVSVBUUPUXIUURCVHPBCVIUOV
      QUXHUUQUXEUVDUUQUVAUVTQPUXHUXCUXEUVAUVDUXCUUPUVDUURUXCUUPUVDHZUUKCUAEZUUR
      UXCUXJUBBUAEZUXKUVDUXLUUPUVBUUQUXLUVCBXLVBQUUPYSYTUXLUXKMUVDUWBUWDCBXMVJW
      DUXJUWEYSUWFOZUXKUURHUXCKUXJYTYSUWFOZUXMUXJYTYSUWFUVDYTUUPUWDQUUPYSUVDUWB
      PUVDUWFUUPUWIQWKUXNUWEYSUWFYTYSUWEUWFYSYTUWEUWHXNWMYTYSUWFVNYTYSUWFXOWKNU
      UKCDXPNYAXQWNPWKWGWHRNSRWNXIWIDUUKWEXRUWTYIUUKJZHZYKUXACUXPYJCDUGUXOUWTYJ
      UUKBIFZCYIUUKBIXAYHUXQCJZUWSYGUVLUVMUXRYEYGUUAUVLUUBUWPNYEBUUEWJCBYBUOQWP
      WQWRUWTUXACYHUXACJZUWSYGUXSYEYGUUAUXSUUBCDXSNQQXCXDWLXT $.
  $}

  $( The sum of a number within a half-open range of positive integers is an
     element of the corresponding open range of nonnegative integers with one
     excluded integer modulo the excluded integer.  (Contributed by AV,
     19-Mar-2021.) $)
  modsumfzodifsn $p |- ( ( J e. ( 0 ..^ N ) /\ K e. ( 1 ..^ N ) )
                         -> ( ( K + J ) mod N ) e. ( ( 0 ..^ N ) \ { J } ) ) $=
    ( caddc co clt wbr cc0 wcel wa cr wceq w3a adantr adantl sylbi wne syl cz
    wi cfzo c1 cmo csn cdif crp cle cn0 cn elfzoelz zred nn0re 3ad2ant1 readdcl
    elfzo0 syl2anr nnrp 3ad2ant2 jca sylanb elfzo1 nnnn0 elfzonn0 nn0ge0d simpl
    nn0addcl modid syl12anc simp2 syl3anbrc zcnd 0cnd addneintr2d addid2 eqcomd
    cc nnne0 neeqtrrd eldifsn sylanbrc eqeltrd cmin cneg elfzoel2 mulm1d oveq2d
    wn cmul zaddcl negsub eqtrd oveq1d syl2an resubcld nnrpd nnre simp3 3adant3
    ancoms lenltd biimprd subge0d sylibrd syl3anc anim12ci simpr jca31 ltsubadd
    lt2add imp wb mpbird jctird ex syl5bi 3adant2 impcom a1i syl2an23an zsubcld
    neg1z modcyc sylbird elnn0z expcom com12 subcl ltned subne0d addsub 3netr4d
    3jca nncn pm2.61ian ) BADEZCFGZAHCUAEZIZBUBCUAEIZJZYOCUCEZYQAUDUEZIYPYTJZUU
    AYOUUBUUCYOKIZCUFIZJZHYOUGGYPUUAYOLYTUUFYPYRAUHIZCUIIZACFGZMZYSUUFACUOZUUJY
    SJUUDUUEYSBKIZAKIZUUDUUJYSBBUBCUJZUKZUUGUUHUUMUUIAULZUMBAUNZUPUUJUUEYSUUHUU
    GUUEUUICUQURZNUSUTOUUCYOYTYOUHIZYPYSBUHIZUUGUUSYRYSBUIIZUUHBCFGZMZUUTCBVAZU
    VAUUHUUTUVBBVBUMPACVCBAVFUPOZVDYPYTVEZYOCVGVHUUCYOYQIZYOAQYOUUBIUUCUUSUUHYP
    UVGUVEYTUUHYPYRUUHYSYRUUJUUHUUKUUGUUHUUIVIZPNZOUVFYOCUOVJUUCYOHADEZAYTYOUVJ
    QYPYTBHAYSBVPIZYRYSBUUNVKZOZYTVLYRAVPIZYSYRAAHCUJZVKNZYSBHQZYRYSUVCUVQUVDUV
    AUUHUVQUVBBVQUMPOVMOUUCUVNAUVJLYTUVNYPUVPOUVNUVJAAVNZVORVRYOYQAVSVTWAYPWGZY
    TJZUUAYOCWBEZUUBUVTUWAUUAUVTUWAYOUBWCZCWHEZDEZCUCEZUUAUVTUWEUWAUVTUWEUWACUC
    EZUWAUVTUWDUWACUCUVTUWDYOCWCZDEZUWAUVTUWCUWGYODUVTCYTCVPIZUVSYRUWIYSYRCAHCW
    DZVKNZOWEWFUVTYOVPIZUWIJZUWHUWALYTUWMUVSYTUWLUWIYTYOYSBSIZASIZYOSIZYRUUNUVO
    BAWIZUPZVKUWKUSOYOCWJRWKWLUVTUWAKIZUUEJHUWAUGGZUWACFGZJZJUWFUWALUVTUWSUUEUX
    BYTUWSUVSYTYOCYSYRUUDYSYRJYOYSUWNUWOUWPYRUUNUVOUWQWMUKWSZYRCKIZYSYRCUWJUKNZ
    WNOYTUUEUVSYRUUEYSYRUUJUUEUUKUUJCUVHWOPNOYTUVSUXBYRYSUVSUXBTZYRUUJYSUXFTZUU
    KUUGUUIUXGUUHYSUVCUUGUUIJZUXFUVDUXHUVCUXFUXHUVCJZUVSUWTUXAUXIUULUUMUXDUVSUW
    TTZUVCUULUXHUVAUUHUULUVBBWPUMZOUXHUUMUVCUUGUUMUUIUUPNZNUVCUXDUXHUUHUVAUXDUV
    BCWPZUROZUULUUMUXDMZUVSCYOUGGZUWTUXOUXPUVSUXOCYOUULUUMUXDWQZUULUUMUUDUXDUUQ
    WRZWTZXAUXOYOCUXRUXQXBZXCXDUXIUXAYOCCDEFGZUXIUULUUMJZUXDUXDJZJZUVBUUIJZJZUY
    AUXIUYBUYCUYEUXHUUMUVCUULUXLUXKXEUVCUYCUXHUUHUVAUYCUVBUUHUXDUXDUXMUXMUSUROU
    XHUUIUVCUVBUUGUUIXFUVAUUHUVBWQZXEXGZUYDUYEUYABACCXIXJZRUXIUUDUXDUXDUXAUYAXK
    ZUVCUULUUMUUDUXHUXKUXLUUQUPUXNUXNYOCCXHZXDXLXMXNXOXPPXJXQXGUWACVGRWKVOYTUUD
    UUEUVSUWBSIZUWEUUALUXCYRUUEYSYRUUJUUEUUKUURPNUYLUVTYAXRYOCUWBYBXSWKVOUVTUWA
    YQIZUWAAQUWAUUBIUVTUWAUHIZUUHUXAUYMUVTUWASIZUWTUYNYTUYOUVSYTYOCUWRYRCSIYSUW
    JNXTOYTUVSUWTYTUULUUMUXDUXJYSUULYRUUOOYRUUMYSYRAUVOUKNUXEUXOUVSUXPUWTUXSUXO
    UWTUXPUXTXAYCXDXQUWAYDVTYTUUHUVSUVIOYTUXAUVSYTUXAUYAYTUYFUYAYRYSUYFYRUUJYSU
    YFTZUUKUUGUUIUYPUUHYSUXHUYFYSUVCUXHUYFTUVDUXHUVCUYFUYHYEPYFXPPXJUYIRYTUUDUX
    DUXDMZUYJYRYSUYQYRUUJYSUYQTZUUKUUGUUHUYRUUIUUGUUHJZYSUYQUYSYSJUUDUXDUXDYSUU
    LUUMUUDUYSUUOUUGUUMUUHUUPNUUQUPUYSUXDYSUUHUXDUUGUXMONZUYTYLXNWRPXJUYKRXLOUW
    ACUOVJUVTBCWBEZADEZUVJUWAAUVTVUAHAYTVUAVPIZUVSYSVUCYRYSUVCVUCUVDUVAUUHVUCUV
    BUVAUVKUWIVUCUUHBYMCYMBCYGWMWRPOOUVTVLYTUVNUVSUVPOZYTVUAHQZUVSYSVUEYRYSBCUV
    LYSCBUBCWDVKYSUVCBCQUVDUVCBCUXKUYGYHPYIOOVMUVTUVKUVNUWIMZUWAVUBLYTVUFUVSYTU
    VKUVNUWIUVMUVPUWKYLOBACYJRUVTUVJAUVTUVNUVJALVUDUVRRVOYKUWAYQAVSVTWAYN $.

  $( Two nonnegative integers less than the modulus are equal iff they are
     equal modulo the modulus.  (Contributed by AV, 14-Mar-2021.) $)
  modlteq $p |- ( ( I e. ( 0 ..^ N ) /\ J e. ( 0 ..^ N ) )
                  -> ( ( I mod N ) = ( J mod N ) <-> I = J ) ) $=
    ( cc0 cfzo co wcel cmo zmodidfzoimp eqeqan12d ) ADCEFZGBKGACHFABCHFBACIBCIJ
    $.

  ${
    $d I k $.  $d J k $.  $d N k $.
    $( Two nonnegative integers less than the modulus are equal iff the sums of
       these integer with another integer are equal modulo the modulus.  A much
       shorter proof exists if the "divides" relation ` || ` can be used, see
       ~ addmodlteqALT .  (Contributed by AV, 20-Mar-2021.) $)
    addmodlteq $p |- ( ( I e. ( 0 ..^ N ) /\ J e. ( 0 ..^ N ) /\ S e. ZZ )
                -> ( ( ( I + S ) mod N ) = ( ( J + S ) mod N ) <-> I = J ) ) $=
      ( cc0 co wcel cz caddc cmo wceq cr clt wbr wa wi adantr adantl c1 cle w3a
      vk cfzo crp elfzoelz 3ad2ant1 simp3 cn0 cn elfzo0 simp2bi nnrpd modaddmod
      zred syl3anc eqcomd 3ad2ant2 eqeq12d cmin cc nn0re nnrp anim12i modcl syl
      3adant3 sylbi readdcld recnd syl2anc subeq0ad oveq1 modsubmodmod pnpcan2d
      zcnd oveq1d eqtrd 0mod zmodidfzoimp oveq12d eqeq1d cdiv wb zsubcl mod0 cv
      syl2an cmul wrex zdiv syl2an2r oveq2 elfzoel2 mul01d subeq0 biimpd syl5bi
      sylan9eq eqcom sylbid ex wn cneg subfzo0 w3o elz pm2.24 a1d breq1 mulid1d
      2a1d nncn breq2d nnre 1red ltmul2d nnge1 lenltd pm2.21 syl6bi mpd sylbird
      com13 a1dd syl6bir com15 com12 breq2 remulcl possumd oveq2d adddid eqtr4d
      simpr recn 1cnd peano2re remulcld 0red impcom wo nnnn0 nn0ge0d id addcomd
      subnegd renegcl suble0d eqbrtrd sylan olcd mulle0b mpbird lensymd pm2.21d
      biimparc com14 3jaoi pm2.61i rexlimdva syl5 impbid1 ) BEDUCFZGZCUVCGZAHGZ
      UAZBAIFZDJFZCAIFZDJFZKZBCKZUVGUVLBDJFZAIFZDJFZCDJFZAIFZDJFZKZUVMUVGUVIUVP
      UVKUVSUVGUVPUVIUVGBLGZALGZDUDGZUVPUVIKUVDUVEUWAUVFUVDBBEDUEZUNUFUVGAUVDUV
      EUVFUGZUNZUVDUVEUWCUVFUVDDUVDBUHGZDUIGZBDMNZBDUJZUKZULZUFZBADUMUOUPUVGUVS
      UVKUVGCLGZUWBUWCUVSUVKKUVEUVDUWNUVFUVECCEDUEZUNUQUWFUWMCADUMUOUPURUVGUVTU
      VPUVSUSFZEKZUVMUVGUVPUVSUVGUVOLGZUWCUVPUTGUVGUVNAUVDUVEUVNLGZUVFUVDUWGUWH
      UWIUAZUWSUWJUWTUWAUWCOZUWSUWGUWHUXAUWIUWGUWAUWHUWCBVADVBZVCVFBDVDVEVGZUFU
      WFVHZUWMUWRUWCOUVPUVODVDVIVJUVGUVRLGZUWCUVSUTGUVGUVQAUVEUVDUVQLGZUVFUVECU
      HGZUWHCDMNZUAZUXFCDUJZUXIUWNUWCOZUXFUXGUWHUXKUXHUXGUWNUWHUWCCVAUXBVCVFCDV
      DVEVGZUQUWFVHZUWMUXEUWCOUVSUVRDVDVIVJVKUWQUWPDJFZEDJFZKZUVGUVMUWPEDJVLUVG
      UXPUVNUVQUSFZDJFZEKZUVMUVGUXNUXRUXOEUVGUXNUVOUVRUSFZDJFZUXRUVGUWRUXEUWCUX
      NUYAKUXDUXMUWMUVOUVRDVMUOUVGUXTUXQDJUVGUVNUVQAUVDUVEUVNUTGUVFUVDUVNUXCVIU
      FUVEUVDUVQUTGUVFUVEUVQUXLVIUQUVGAUWEVOVNVPVQUVEUVDUXOEKZUVFUVEUWCUYBUVEDU
      VEUXGUWHUXHUXJUKULDVRVEUQURUVGUXSBCUSFZDJFZEKZUVMUVGUXRUYDEUVGUXQUYCDJUVG
      UVNBUVQCUSUVDUVEUVNBKUVFBDVSUFUVEUVDUVQCKUVFCDVSUQVTVPWAUVDUVEUYEUVMPUVFU
      VDUVEOZUYEUYCDWBFHGZUVMUYFUYCLGUWCUYEUYGWCUYFUYCUVDBHGCHGUYCHGZUVEUWDUWOB
      CWDWGZUNUVDUWCUVEUWLQUYCDWEVJUYFUYGDUBWFZWHFZUYCKZUBHWIZUVMUVDUWHUVEUYHUY
      MUYGWCUWKUYIUBDUYCWJWKUYFUYLUVMUBHUYJEKZUYFUYJHGZOZUYLUVMPZPUYNUYPUYQUYNU
      YPOZUYLEUYCKZUVMUYRUYKEUYCUYNUYPUYKDEWHFZEUYJEDWHWLUYFUYTEKZUYOUVDVUAUVEU
      VDDUVDDBEDWMVOWNQQWRWAUYPUYSUVMPZUYNUYFVUBUYOUYSUYCEKZUYFUVMEUYCWSUYFVUCU
      VMUVDBUTGCUTGVUCUVMWCUVEUVDBUWDVOUVECUWOVOBCWOWGWPWQQRWTXAUYPUYNXBZUYQUYP
      DXCZUYCMNZUYCDMNZOZVUDUYQPZUYFVUHUYOBCDXDQUYOUYFVUHVUIPZUYOUYJLGZUYNUYJUI
      GZUYJXCZUIGZXEZOUYFVUJPZUYJXFVUOVUKVUPUYNVUKVUPPVULVUNUYNVUJVUKUYFUYNVUIV
      UHUYNUYQXGXHXKVULVUPVUKVUHUYFVULVUIVUGUYFVULVUIPZPVUFUYFVUGVUQUYLVUGVULVU
      DUYFUVMUYLVUGUYKDMNZVULVUDUYFUVMPZPZPUYKUYCDMXIVURVULVUSVUDUYFVULVURUVMUV
      EVULVURUVMPZPZUVDUVEUXIVVBUXJUWHUXGVVBUXHUWHVULVVAUWHVULOZVURUYKDSWHFZMNZ
      UVMVVCDVVDUYKMVVCVVDDUWHVVDDKVULUWHDDXLZXJQUPXMVVCVVEUYJSMNZUVMVVCUYJSDVU
      LVUKUWHUYJXNZRVVCXOUWHUWCVULUXBQXPVULVVGUVMPZUWHVULSUYJTNZVVIUYJXQVULVVJV
      VGXBVVIVULSUYJVULXOVVHXRVVGUVMXSXTYARYBWTXAUQVGRYCYDYEYFYGRYCXHVUNVUKVUPV
      UHUYFVUNVUKOZVUIVUFUYFVVKVUIPZPVUGUYFVUFVVLUYLVUFVVKVUDUYFUVMUYLVUFVUEUYK
      MNZVVKVUTPUYKUYCVUEMYHUYFVVKVUDVVMUVMUVDVVKVUDVVMUVMPZPZPZUVEUVDUWTVVPUWJ
      UWHUWGVVPUWIUWHVVKVVOUWHVVKOZVVNVUDVVQVVMEUYKDIFZMNZUVMVVQUYKDUWHDLGZVUKU
      YKLGVVKDXNZVUNVUKYNDUYJYIWGUWHVVTVVKVWAQZYJVVQVVSEDUYJSIFZWHFZMNZUVMVVQVV
      RVWDEMVVQVVRUYKVVDIFVWDVVQDVVDUYKIVVQVVDDVVQDUWHDUTGVVKVVFQZXJUPYKVVQDUYJ
      SVWFVVKUYJUTGZUWHVUKVWGVUNUYJYOZRRVVQYPYLYMXMVVQVWEUVMVVQVWDEVVQDVWCVWBVV
      KVWCLGZUWHVUKVWIVUNUYJYQRZRYRVVQYSVVQVWDETNZDETNEVWCTNOZEDTNZVWCETNZOZUUA
      ZVVQVWOVWLUWHVWMVVKVWNUWHDDUUBUUCVUNSVUMTNZVUKVWNVUMXQVWQVUKOVWCSVUMUSFZE
      TVUKVWCVWRKZVWQVUKVWGVWSVWHVWGVWCSUYJIFVWRVWGUYJSVWGUUDZVWGYPZUUEVWGSUYJV
      XAVWTUUFYMVERVUKVWRETNVWQVUKSVUMVUKXOUYJUUGUUHUUPUUIUUJVCUUKUWHVVTVWIVWKV
      WPWCVVKVWAVWJDVWCUULWGUUMUUNUUOWTYBXHXAUQVGQUUQYEYFYGQYCXAUURYTVGYTYAYGUU
      SUUTYBWTVFWTWTUVAYBWTUVMUVHUVJDJBCAIVLVPUVB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellaneous theorems about integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d y z A $.  $d w z B $.  $d v w x y z C $.  $d v w y z G $.
    om2uz.1 $e |- C e. ZZ $.
    om2uz.2 $e |- G = ( rec ( ( x e. _V |-> ( x + 1 ) ) , C ) |` _om ) $.
    $( The mapping ` G ` is a one-to-one mapping from ` _om ` onto upper
       integers that will be used to construct a recursive definition
       generator.  Ordinal natural number 0 maps to complex number ` C `
       (normally 0 for the upper integers ` NN0 ` or 1 for the upper integers
       ` NN ` ), 1 maps to ` C ` + 1, etc.  This theorem shows the value of
       ` G ` at ordinal natural number zero.  (This series of theorems
       generalizes an earlier series for ` NN0 ` contributed by Raph Levien,
       10-Apr-2004.)  (Contributed by NM, 3-Oct-2004.)  (Revised by Mario
       Carneiro, 13-Sep-2013.) $)
    om2uz0i $p |- ( G ` (/) ) = C $=
      ( c0 cfv cvv cv c1 caddc co cmpt crdg com cres fveq1i cz wcel wceq ax-mp
      fr0g eqtri ) FCGFAHAIJKLMZBNOPZGZBFCUEEQBRSUFBTDBRUDUBUAUC $.

    $( The value of ` G ` (see ~ om2uz0i ) at a successor.  (Contributed by NM,
       3-Oct-2004.)  (Revised by Mario Carneiro, 13-Sep-2013.) $)
    om2uzsuci $p |- ( A e. _om -> ( G ` suc A ) = ( ( G ` A ) + 1 ) ) $=
      ( vz vy cv csuc cfv c1 caddc co wceq com suceq wcel cvv oveq1 fveq2d ovex
      fveq2 oveq1d eqeq12d frsucmpt2 mpan2 vtoclga ) GIZJZDKZUIDKZLMNZOZBJZDKZB
      DKZLMNZOGBPUIBOZUKUPUMURUSUJUODUIBQUAUSULUQLMUIBDUCUDUEUIPRUMSRUNULLMUBAH
      CUIAIZLMNUMHIZLMNDSFVAUTLMTVAULLMTUFUGUH $.

    $( The value ` G ` (see ~ om2uz0i ) at an ordinal natural number is in the
       upper integers.  (Contributed by NM, 3-Oct-2004.)  (Revised by Mario
       Carneiro, 13-Sep-2013.) $)
    om2uzuzi $p |- ( A e. _om -> ( G ` A ) e. ( ZZ>= ` C ) ) $=
      ( vy vz cv cfv cuz wcel c0 csuc wceq fveq2 eleq1d om2uz0i cz uzid eqeltri
      ax-mp com c1 caddc co peano2uz om2uzsuci syl5ibr finds ) GIZDJZCKJZLMDJZU
      MLHIZDJZUMLZUONZDJZUMLZBDJZUMLGHBUKMOULUNUMUKMDPQUKUOOULUPUMUKUODPQUKUROU
      LUSUMUKURDPQUKBOULVAUMUKBDPQUNCUMACDEFRCSLCUMLECTUBUAUQUTUOUCLZUPUDUEUFZU
      MLCUPUGVBUSVCUMAUOCDEFUHQUIUJ $.

    $( Less-than relation for ` G ` (see ~ om2uz0i ).  (Contributed by NM,
       3-Oct-2004.)  (Revised by Mario Carneiro, 13-Sep-2013.) $)
    om2uzlti $p |- ( ( A e. _om /\ B e. _om ) ->
                   ( A e. B -> ( G ` A ) < ( G ` B ) ) ) $=
      ( com wcel cfv clt wbr wi c0 wceq eleq2 fveq2 breq2d imbi12d imbi2d vz vy
      cv csuc pm2.21i a1i wo wa id orim12d wb elsuc2g bicomd adantl c1 caddc co
      noel cle om2uzsuci cuz om2uzuzi cz eluzelz zleltp1 syl2an cr syl 3bitr2rd
      zred leloe syl5ib expcom a2d finds impcom ) CHIBHIZBCIZBEJZCEJZKLZMZVQBUA
      UCZIZVSWCEJZKLZMZMVQBNIZVSNEJZKLZMZMVQBUBUCZIZVSWLEJZKLZMZMVQBWLUDZIZVSWQ
      EJZKLZMZMVQWBMUAUBCWCNOZWGWKVQXBWDWHWFWJWCNBPXBWEWIVSKWCNEQRSTWCWLOZWGWPV
      QXCWDWMWFWOWCWLBPXCWEWNVSKWCWLEQRSTWCWQOZWGXAVQXDWDWRWFWTWCWQBPXDWEWSVSKW
      CWQEQRSTWCCOZWGWBVQXEWDVRWFWAWCCBPXEWEVTVSKWCCEQRSTWKVQWHWJBURUEUFWLHIZVQ
      WPXAVQXFWPXAMWPWMBWLOZUGZWOVSWNOZUGZMVQXFUHZXAWPWMWOXGXIWPUIXGXIMWPBWLEQU
      FUJXKXHWRXJWTXFXHWRUKVQXFWRXHBWLHULUMUNXKWTVSWNUOUPUQZKLZVSWNUSLZXJXFWTXM
      UKVQXFWSXLVSKAWLDEFGUTRUNVQVSDVAJZIZWNXOIZXNXMUKZXFABDEFGVBZAWLDEFGVBZXPV
      SVCIZWNVCIZXRXQDVSVDZDWNVDZVSWNVEVFVFVQVSVGIWNVGIXNXJUKXFVQVSVQXPYAXSYCVH
      VJXFWNXFXQYBXTYDVHVJVSWNVKVFVISVLVMVNVOVP $.

    $( The mapping ` G ` (see ~ om2uz0i ) preserves order.  (Contributed by NM,
       4-May-2005.)  (Revised by Mario Carneiro, 13-Sep-2013.) $)
    om2uzlt2i $p |- ( ( A e. _om /\ B e. _om ) ->
                   ( A e. B <-> ( G ` A ) < ( G ` B ) ) ) $=
      ( com wcel wa cfv clt wbr om2uzlti wceq wo wn wi con0 wb fveq2 a1i ancoms
      orim12d nnon wss onsseleq ontri1 bitr3d syl2anr cuz om2uzuzi eluzelre syl
      cr cle leloe lenlt 3imtr3d impcon4bid ) BHIZCHIZJZBCIZBEKZCEKZLMZABCDEFGN
      VCCBIZCBOZPZVFVELMZVFVEOZPZVDQZVGQZVBVAVJVMRVBVAJZVHVKVIVLACBDEFGNVIVLRVP
      CBEUAUBUDUCVBCSIZBSIZVJVNTVACUEBUEVQVRJCBUFVJVNCBUGCBUHUIUJVBVFUOIZVEUOIZ
      VMVOTVAVBVFDUKKZIVSACDEFGULDVFUMUNVAVEWAIVTABDEFGULDVEUMUNVSVTJVFVEUPMVMV
      OVFVEUQVFVEURUIUJUSUT $.

    $( Range of ` G ` (see ~ om2uz0i ).  (Contributed by NM, 3-Oct-2004.)
       (Revised by Mario Carneiro, 13-Sep-2013.) $)
    om2uzrani $p |- ran G = ( ZZ>= ` C ) $=
      ( vy vz crn cfv cv wcel com wfn c1 caddc co eleq1 sylbi c0 fnfvelrn mpbir
      cuz wceq wrex wb cvv cmpt crdg cres frfnom fneq1i fvelrnb ax-mp syl5ibcom
      om2uzuzi rexlimiv om2uz0i peano1 mp2an eqeltrri wi wa csuc oveq1 sylan9eq
      om2uzsuci peano2 sylancr adantr eqeltrrd rexlimiva uzind4i impbii eqriv
      a1i ) FCHZBUBIZFJZVPKZVRVQKZVSGJZCIZVRUCZGLUDZVTCLMZVSWDUEWEAUFAJNOPUGZBU
      HLUIZLMBWFUJLCWGEUKUAZGLVRCULUMZWCVTGLWALKZWBVQKWCVTAWABCDEUOWBVRVQQUNUPR
      WAVPKBVPKVSVRNOPZVPKZVSGFBVRWABVPQWAVRVPQZWAWKVPQWMSCIZBVPABCDEUQWESLKWNV
      PKWHURLSCTUSUTVSWLVAVTVSWDWLWIWCWLGLWJWCVBWAVCZCIZWKVPWJWCWPWBNOPWKAWABCD
      EVFWBVRNOVDVEWJWPVPKZWCWJWEWOLKWQWHWAVGLWOCTVHVIVJVKRVOVLVMVN $.

    $( ` G ` (see ~ om2uz0i ) is a one-to-one onto mapping.  (Contributed by
       NM, 3-Oct-2004.)  (Revised by Mario Carneiro, 13-Sep-2013.) $)
    om2uzf1oi $p |- G : _om -1-1-onto-> ( ZZ>= ` C ) $=
      ( vy vz com cfv wceq cv wi wral wfn mpbir2an wcel wa clt wbr wn cuz wf c1
      wf1o wf1 crn wss cvv caddc cmpt crdg cres frfnom fneq1i om2uzrani eqimssi
      co mpbir df-f wo cr wb cz om2uzuzi eluzelz syl zred lttri3 syl2an bitr4di
      ioran word nnord ordtri3 con2bid ancoms orim12d sylbird con1d rgen2 dff13
      om2uzlti sylbid dff1o5 ) HBUAIZCUDHWECUEZCUFZWEJWFHWECUBZFKZCIZGKZCIZJZWI
      WKJZLZGHMFHMWHCHNZWGWEUGWPAUHAKUCUIUQUJZBUKHULZHNBWQUMHCWREUNURWGWEABCDEU
      OZUPHWECUSOWOFGHHWIHPZWKHPZQZWMWJWLRSZWLWJRSZUTZTZWNXBWMXCTXDTQZXFWTWJVAP
      WLVAPWMXGVBXAWTWJWTWJWEPWJVCPAWIBCDEVDBWJVEVFVGXAWLXAWLWEPWLVCPAWKBCDEVDB
      WLVEVFVGWJWLVHVIXCXDVKVJXBWNXEXBWNTWIWKPZWKWIPZUTZXEXBWNXJWTWIVLWKVLWNXJT
      VBXAWIVMWKVMWIWKVNVIVOXBXHXCXIXDAWIWKBCDEWBXAWTXIXDLAWKWIBCDEWBVPVQVRVSWC
      VTFGHWECWAOWSHWECWDO $.

    $( ` G ` (see ~ om2uz0i ) is an isomorphism from natural ordinals to upper
       integers.  (Contributed by NM, 9-Oct-2008.)  (Revised by Mario Carneiro,
       13-Sep-2013.) $)
    om2uzisoi $p |- G Isom _E , < ( _om , ( ZZ>= ` C ) ) $=
      ( vy vz com cuz cfv cep clt wiso wf1o cv wbr wb wral om2uzf1oi wcel rgen2
      wa epel om2uzlt2i syl5bb df-isom mpbir2an ) HBIJZKLCMHUHCNFOZGOZKPZUICJUJ
      CJLPZQZGHRFHRABCDESUMFGHHUKUIUJTUIHTUJHTUBULGUIUCAUIUJBCDEUDUEUAFGHUHKLCU
      FUG $.

    $( An alternative definition of ` G ` in terms of ~ df-oi .  (Contributed
       by Mario Carneiro, 2-Jun-2015.) $)
    om2uzoi $p |- G = OrdIso ( < , ( ZZ>= ` C ) ) $=
      ( com cuz cfv clt coi cdm wceq cep wa ordom wwe wb ax-mp mpbi cvv pm3.2i
      word wiso om2uzisoi wse ordwe isowe wcel fvex exse eqid oieu mp2an simpri
      ) FBGHZIJZKLZCUPLZFUBZFUOMICUCZNZUQURNZUSUTOABCDEUDZUAUOIPZUOIUEZVAVBQFMP
      ZVDUSVFOFUFRUTVFVDQVCFUOMICUGRSUOTUHVEBGUIUOITUJRUOFIUPCUPUKULUMSUN $.

    $d w x y z F $.  $d v w z R $.
    uzrdg.1 $e |- A e. _V $.
    uzrdg.2 $e |- R = ( rec ( ( x e. _V , y e. _V |->
      <. ( x + 1 ) , ( x F y ) >. ) , <. C , A >. ) |` _om ) $.
    $( A helper lemma for the value of a recursive definition generator on
       upper integers (typically either ` NN ` or ` NN0 ` ) with characteristic
       function ` F ( x , y ) ` and initial value ` A ` .  Normally ` F ` is a
       function on the partition, and ` A ` is a member of the partition.  See
       also comment in ~ om2uz0i .  (Contributed by Mario Carneiro,
       26-Jun-2013.)  (Revised by Mario Carneiro, 18-Nov-2014.) $)
    om2uzrdg $p |- ( B e. _om -> ( R ` B ) =
        <. ( G ` B ) , ( 2nd ` ( R ` B ) ) >. ) $=
      ( cfv c2nd cop wceq c0 fveq2 cvv co vz vv vw cv 2fveq3 opeq12d eqeq12d c1
      csuc caddc cmpo crdg com cres fveq1i wcel opex ax-mp eqtri om2uz0i fveq2i
      fr0g cz elexi op2nd opeq12i eqtr4i frsuc 3eqtr4g df-ov oveq1 oveq2 opeq2d
      wa fvex cbvmpov ovmpo eqtr3i eqtrdi sylan9eq om2uzsuci adantr fveq2d ovex
      mp2an eqtr4d ex finds ) UAUDZFMZWIHMZWJNMZOZPQFMZQHMZWNNMZOZPUBUDZFMZWRHM
      ZWSNMZOZPZWRUIZFMZXDHMZXENMZOZPZDFMZDHMZXJNMZOZPUAUBDWIQPZWJWNWMWQWIQFRXN
      WKWOWLWPWIQHRWIQNFUEUFUGWIWRPZWJWSWMXBWIWRFRXOWKWTWLXAWIWRHRWIWRNFUEUFUGW
      IXDPZWJXEWMXHWIXDFRXPWKXFWLXGWIXDHRWIXDNFUEUFUGWIDPZWJXJWMXMWIDFRXQWKXKWL
      XLWIDHRWIDNFUEUFUGWNECOZWQWNQABSSAUDZUHUJTZXSBUDZGTZOZUKZXRULUMUNZMZXRQFY
      ELUOXRSUPYFXRPECUQXRSYDVBURUSZWOEWPCAEHIJUTWPXRNMCWNXRNYGVAECEVCIVDKVEUSV
      FVGWRUMUPZXCXIYHXCVNZXEWTUHUJTZWTXAGTZOZXHYHXCXEWSYDMZYLYHXDYEMWRYEMZYDMX
      EYMXRWRYDVHXDFYELUOWSYNYDWRFYELUOVAVIXCYMXBYDMZYLWSXBYDRWTXAYDTZYOYLWTXAY
      DVJWTSUPXASUPYPYLPWRHVOWSNVOUCUAWTXASSUCUDZUHUJTZYQWIGTZOZYLYDYJWTWIGTZOY
      QWTPYRYJYSUUAYQWTUHUJVKYQWTWIGVKUFWIXAPUUAYKYJWIXAWTGVLVMABUCUASSYCYTYRYQ
      YAGTZOXSYQPXTYRYBUUBXSYQUHUJVKXSYQYAGVKUFYAWIPUUBYSYRYAWIYQGVLVMVPYJYKUQV
      QWEVRVSVTZYIXFYJXGYKYHXFYJPXCAWREHIJWAWBYIXGYLNMYKYIXEYLNUUCWCYJYKWTUHUJW
      DWTXAGWDVEVSUFWFWGWH $.

    $( A helper lemma for the value of a recursive definition generator on
       upper integers.  (Contributed by Mario Carneiro, 26-Jun-2013.)  (Revised
       by Mario Carneiro, 18-Nov-2014.) $)
    uzrdglem $p |- ( B e. ( ZZ>= ` C ) ->
        <. B , ( 2nd ` ( R ` ( `' G ` B ) ) ) >. e. ran R ) $=
      ( cfv wcel cop com wceq mpan wfn cvv cuz ccnv c2nd crn om2uzf1oi f1ocnvdm
      wf1o om2uzrdg f1ocnvfv2 opeq1d eqtrd cv c1 caddc co cmpo crdg cres frfnom
      syl fneq1i mpbir fnfvelrn sylancr eqeltrrd ) DEUAMZNZDHUBMZFMZDVIUCMZOZFU
      DZVGVIVHHMZVJOZVKVGVHPNZVIVNQPVFHUGZVGVOAEHIJUEZPVFDHUFRZABCVHEFGHIJKLUHU
      TVGVMDVJVPVGVMDQVQPVFDHUIRUJUKVGFPSZVOVIVLNVSABTTAULZUMUNUOVTBULGUOOUPZEC
      OZUQPURZPSWBWAUSPFWCLVAVBVRPVHFVCVDVE $.

    $d v w z S $.
    uzrdg.3 $e |- S = ran R $.
    $( The recursive definition generator on upper integers is a function.  See
       comment in ~ om2uzrdg .  (Contributed by Mario Carneiro, 26-Jun-2013.)
       (Revised by Mario Carneiro, 4-May-2015.) $)
    uzrdgfni $p |- S Fn ( ZZ>= ` C ) $=
      ( vz vw cfv wceq wcel cvv com vv cuz wfn wfun cdm wrel cv cop wal wex cxp
      wi wss wrex crn eleq2i wb c1 caddc co cmpo crdg cres frfnom mpbir fvelrnb
      ax-mp bitri c2nd om2uzrdg om2uzuzi fvex opelxpi sylancl eqeltrd syl5ibcom
      fneq1i eleq1 sylbi ssriv xpss sstri df-rel ccnv eqeq2 imbi2d albidv spcev
      rexlimiv eqeq1d opth1 syl6bi wf1o om2uzf1oi f1ocnvfv mpan syld 2fveq3 imp
      syl6 vex op2ndd adantl eqtr2d rexlimiva mpg ax-gen dffun5 mpbir2an dmxpss
      wa dmss uzrdglem eleqtrrdi opeldm syl eqssi df-fn ) FDUBPZUCFUDZFUEZXSQXT
      FUFZUAUGZNUGZUHZFRZYDOUGZQZULZNUIZOUJZUAUIYBFSSUKZUMFXSSUKZYLNFYMYDFRZYGE
      PZYDQZOTUNZYDYMRZYNYDEUOZRZYQFYSYDMUPETUCZYTYQUQUUAABSSAUGZURUSUTUUBBUGGU
      TUHVAZDCUHZVBTVCZTUCUUDUUCVDTEUUELVQVEZOTYDEVFVGVHYPYROTYGTRZYOYMRYPYRUUG
      YOYGHPZYOVIPZUHZYMABCYGDEGHIJKLVJZUUGUUHXSRUUISRUUJYMRAYGDHIJVKYOVIVLZUUH
      UUIXSSVMVNVOYOYDYMVRVPWIVSVTZXSSWAWBFWCVEYKUAYFYDYCHWDPZEPZVIPZQZULZYKNYJ
      UURNUIOUUPUUOVIVLZYGUUPQZYIUURNUUTYHUUQYFYGUUPYDWEWFWGWHYFYOYEQZOTUNZUUQY
      FYEYSRZUVBFYSYEMUPUUAUVCUVBUQUUFOTYEEVFVGVHUVAUUQOTUUGUVAXKUUPUUIYDUUGUVA
      UUPUUIQZUUGUVAUUNYGQZUVDUUGUVAUUHYCQZUVEUUGUVAUUJYEQUVFUUGYOUUJYEUUKWJUUH
      UUIYCYDYGHVLUULWKWLTXSHWMUUGUVFUVEULADHIJWNTXSYGYCHWOWPWQUUNYGVIEWRWTWSUV
      AUUIYDQUUGYCYDYOUAXAZNXAXBXCXDXEVSXFXGUANOFXHXIYAXSYAYMUEZXSFYMUMYAUVHUMU
      UMFYMXLVGXSSXJWBUAXSYAYCXSRZYCUUPUHZFRYCYARUVIUVJYSFABCYCDEGHIJKLXMMXNYCU
      UPFUVGUUSXOXPVTXQFXSXRXI $.

    $( Initial value of a recursive definition generator on upper integers.
       See comment in ~ om2uzrdg .  (Contributed by Mario Carneiro,
       26-Jun-2013.)  (Revised by Mario Carneiro, 18-Nov-2014.) $)
    uzrdg0i $p |- ( S ` C ) = A $=
      ( cop wcel cfv wfn c0 cvv com wfun wceq cuz uzrdgfni fnfun ax-mp cv caddc
      crn c1 cmpo crdg cres fveq1i opex fr0g eqtri frfnom fneq1i mpbir fnfvelrn
      co peano1 mp2an eqeltrri eleqtrri funopfv mp2 ) FUAZDCNZFODFPCUBFDUCPZQVI
      ABCDEFGHIJKLMUDVKFUEUFVJEUIZFREPZVJVLVMRABSSAUGZUJUHVBVNBUGGVBNUKZVJULTUM
      ZPZVJREVPLUNVJSOVQVJUBDCUOVJSVOUPUFUQETQZRTOVMVLOVRVPTQVJVOURTEVPLUSUTVCT
      REVAVDVEMVFDCFVGVH $.

    $( Successor value of a recursive definition generator on upper integers.
       See comment in ~ om2uzrdg .  (Contributed by Mario Carneiro,
       26-Jun-2013.)  (Revised by Mario Carneiro, 13-Sep-2013.) $)
    uzrdgsuci $p |- ( B e. ( ZZ>= ` C ) ->
        ( S ` ( B + 1 ) ) = ( B F ( S ` B ) ) ) $=
      ( cfv wcel c1 co cop wceq vz cuz caddc ccnv csuc c2nd wfun uzrdgfni fnfun
      wfn ax-mp crn peano2uz uzrdglem syl eleqtrrdi funopfv mpsyl com om2uzf1oi
      vw wf1o f1ocnvdm mpan peano2 om2uzsuci f1ocnvfv2 oveq1d eqtrd wi f1ocnvfv
      sylc fveq2d cvv cmpo crdg cres frsuc fveq1i fveq2i 3eqtr4g om2uzrdg df-ov
      cv eqtr4di fvex oveq1 opeq12d oveq2 opeq2d cbvmpov opex ovmpo eqtrdi ovex
      mp2an op2nd eqcomd oveq12d 3eqtrd ) DEUBOZPZDQUCRZGOZDIUDZOZUEZFOZUFOZXFI
      OZXFFOZUFOZHRZDDGOZHRXBXDXCXEOZFOZUFOZXIGUGZXBXCXQSZGPXDXQTGXAUJXRABCEFGH
      IJKLMNUHXAGUIUKZXBXSFULZGXBXCXAPXSYAPEDUMABCXCEFHIJKLMUNUONUPXCXQGUQURXBX
      PXHUFXBXOXGFXBXGUSPZXGIOZXCTZXOXGTZXBXFUSPZYBUSXAIVBZXBYFAEIJKUTZUSXADIVC
      VDZXFVEUOXBYCXJQUCRZXCXBYFYCYJTYIAXFEIJKVFUOXBXJDQUCYGXBXJDTYHUSXADIVGVDZ
      VHVIYGYBYDYEVJYHUSXAXGXCIVKVDVLVMVMVIXBYFXIXMTYIYFXIYJXMSZUFOXMYFXHYLUFYF
      XHXJXLABVNVNAWDZQUCRZYMBWDZHRZSZVOZRZYLYFXHXKYROZYSYFXGYRECSZVPUSVQZOXFUU
      BOZYROXHYTUUAXFYRVRXGFUUBMVSXKUUCYRXFFUUBMVSVTWAYFYTXJXLSZYROYSYFXKUUDYRA
      BCXFEFHIJKLMWBVMXJXLYRWCWEVIXJVNPXLVNPYSYLTXFIWFXKUFWFUAVAXJXLVNVNUAWDZQU
      CRZUUEVAWDZHRZSZYLYRYJXJUUGHRZSUUEXJTUUFYJUUHUUJUUEXJQUCWGUUEXJUUGHWGWHUU
      GXLTUUJXMYJUUGXLXJHWIWJABUAVAVNVNYQUUIUUFUUEYOHRZSYMUUETYNUUFYPUUKYMUUEQU
      CWGYMUUEYOHWGWHYOUUGTUUKUUHUUFYOUUGUUEHWIWJWKYJXMWLWMWPWNVMYJXMXJQUCWOXJX
      LHWOWQWNUOXBXJDXLXNHYKXBXNXLXRXBDXLSZGPXNXLTXTXBUULYAGABCDEFHIJKLMUNNUPDX
      LGUQURWRWSWT $.
  $}

  ${
    $d x y A $.
    $( ` < ` is a well-founded relation on any sequence of upper integers.
       (Contributed by Andrew Salmon, 13-Nov-2011.)  (Revised by Mario
       Carneiro, 26-Jun-2015.) $)
    ltweuz $p |- < We ( ZZ>= ` A ) $=
      ( vx vy cuz cdm wcel cfv clt wwe cz com cep cvv cv wiso cc0 wceq wb syl
      c0 word ordom ordwe ax-mp c1 caddc co cmpt crdg cres ccnv cima wal wi cif
      rdgeq2 reseq1d isoeq1 fveq2 isoeq5 0z elimel om2uzisoi dedth2v isocnv cin
      eqid dmres inex1 eqeltri cnvimass ssexi ax-gen isowe2 sylancl mpi cpw uzf
      omex fdmi eleq2s wn we0 ndmfv weeq2 mpbiri pm2.61i ) ADEZFZADGZHIZWKAJWHA
      JFZKLIZWKKUAWMUBKUCUDWLWJKHLBMBNUEUFUGUHZAUIZKUJZUKZOZWQCNZULZMFZCUMWMWKU
      NWLKWJLHWPOZWRWLXBKWJLHWNWLAPUOZUIZKUJZOZKXCDGZLHXEOZAAPPAXCQZWPXEQXBXFRX
      IWOXDKAXCWNUPUQKWJLHXEWPURSXIWJXGQXFXHRAXCDUSKWJXGLHXEUTSBXCXEAPJVAVBXEVG
      VCVDKWJLHWPVESXACWTWPEZXJKWOEZVFMWOKVHKXKVSVIVJWPWSVKVLVMCWJKHLWQVNVOVPJJ
      VQDVRVTWAWIWBZWKTHIZHWCXLWJTQWKXMRADWDWJTHWESWFWG $.
  $}

  $( Less than well-orders the naturals.  (Contributed by Scott Fenton,
     6-Aug-2013.) $)
  ltwenn $p |- < We NN $=
    ( cn clt wwe c1 cuz cfv ltweuz wceq wb nnuz weeq2 ax-mp mpbir ) ABCZDEFZBCZ
    DGAOHNPIJAOBKLM $.

  $( Less than well-orders a set of finite integers.  (Contributed by Scott
     Fenton, 8-Aug-2013.) $)
  ltwefz $p |- < We ( M ... N ) $=
    ( cfz co cuz cfv wss clt wwe fzssuz ltweuz wess mp2 ) ABCDZAEFZGOHINHIABJAK
    NOHLM $.

  ${
    $d x M $.
    uzinf.1 $e |- Z = ( ZZ>= ` M ) $.
    $( An upper integer set is denumerable.  (Contributed by Mario Carneiro,
       15-Oct-2015.) $)
    uzenom $p |- ( M e. ZZ -> Z ~~ _om ) $=
      ( vx cz wcel com cen wbr cc0 cif cuz cfv wceq fveq2 eqtrid breq1d cvv cv
      c1 caddc co cmpt crdg cres wf1o omex fvex 0z eqid om2uzf1oi f1oen2g mp3an
      elimel ensymi dedth ) AEFZBGHIUQAJKZLMZGHIAJAURNZBUSGHUTBALMUSCAURLOPQGUS
      GRFUSRFGUSDRDSTUAUBUCURUDGUEZUFGUSHIUGURLUHDURVAAJEUIUNVAUJUKGUSVARRULUMU
      OUP $.

    $( An upper integer set is infinite.  (Contributed by Mario Carneiro,
       12-Mar-2015.)  (Revised by Mario Carneiro, 26-Jun-2015.) $)
    uzinf $p |- ( M e. ZZ -> -. Z e. Fin ) $=
      ( cz wcel cfn com ominf cen wbr wb uzenom enfi syl mtbiri ) ADEZBFEZGFEZH
      PBGIJQRKABCLBGMNO $.
  $}

  $( The set of positive integers is infinite.  (Contributed by Glauco
     Siliprandi, 11-Oct-2020.) $)
  nnnfi $p |- -. NN e. Fin $=
    ( c1 cz wcel cn cfn wn 1z nnuz uzinf ax-mp ) ABCDECFGADHIJ $.

  ${
    $d k x y A $.  $d k x y B $.  $d k y G $.  $d k y H $.  $d y N $.
    uzrdgxfr.1 $e |- G = ( rec ( ( x e. _V |-> ( x + 1 ) ) , A ) |` _om ) $.
    uzrdgxfr.2 $e |- H = ( rec ( ( x e. _V |-> ( x + 1 ) ) , B ) |` _om ) $.
    uzrdgxfr.3 $e |- A e. ZZ $.
    uzrdgxfr.4 $e |- B e. ZZ $.
    $( Transfer the value of the recursive sequence builder from one base to
       another.  (Contributed by Mario Carneiro, 1-Apr-2014.) $)
    uzrdgxfr $p |- ( N e. _om ->
                     ( G ` N ) = ( ( H ` N ) + ( A - B ) ) ) $=
      ( cfv co caddc wceq c0 fveq2 oveq1d eqeq12d wcel c1 vy vk cv cmin csuc cz
      cc zcn ax-mp pncan3i om2uz0i oveq1i 3eqtr4ri com oveq1 om2uzsuci om2uzuzi
      cuz eluzelz syl zcnd ax-1cn subcli add32 mp3an23 eqtrd syl5ibr finds ) UA
      UCZDKZVIEKZBCUDLZMLZNODKZOEKZVLMLZNUBUCZDKZVQEKZVLMLZNZVQUEZDKZWBEKZVLMLZ
      NZFDKZFEKZVLMLZNUAUBFVIONZVJVNVMVPVIODPWJVKVOVLMVIOEPQRVIVQNZVJVRVMVTVIVQ
      DPWKVKVSVLMVIVQEPQRVIWBNZVJWCVMWEVIWBDPWLVKWDVLMVIWBEPQRVIFNZVJWGVMWIVIFD
      PWMVKWHVLMVIFEPQRCVLMLBVPVNCBCUFSCUGSJCUHUIZBUFSBUGSIBUHUIZUJVOCVLMACEJHU
      KULABDIGUKUMWAWFVQUNSZVRTMLZVTTMLZNVRVTTMUOWPWCWQWEWRAVQBDIGUPWPWEVSTMLZV
      LMLZWRWPWDWSVLMAVQCEJHUPQWPVSUGSZWTWRNZWPVSWPVSCURKSVSUFSAVQCEJHUQCVSUSUT
      VAXATUGSVLUGSXBVBBCWOWNVCVSTVLVDVEUTVFRVGVH $.
  $}

  ${
    $d m n G $.  $d n N $.
    fzennn.1 $e |- G = ( rec ( ( x e. _V |-> ( x + 1 ) ) , 0 ) |` _om ) $.
    $( The cardinality of a finite set of sequential integers.  (See ~ om2uz0i
       for a description of the hypothesis.)  (Contributed by Mario Carneiro,
       12-Feb-2013.)  (Revised by Mario Carneiro, 7-Mar-2014.) $)
    fzennn $p |- ( N e. NN0 -> ( 1 ... N ) ~~ ( `' G ` N ) ) $=
      ( c1 cfz co cfv cen wbr cc0 caddc wceq oveq2 fveq2 breq12d com wcel cn0
      c0 vn vm cv ccnv 0ex enref fz10 cuz wa 0z om2uzf1oi peano1 pm3.2i om2uz0i
      wf1o f1ocnvfv mp2 3brtr4i csn cun cin simpr cvv ovex fvex en2sn mp2an a1i
      fzp1disj word f1ocnvdm mpan nn0uz eleq2s ordirr 3syl adantr disjsn sylibr
      wn nnord unen syl22anc cz cmin fveq2i eqtr4i eleq2i biimpi fzsuc2 sylancr
      1z 1m1e0 csuc peano2 jctil om2uzsuci f1ocnvfv2 oveq1d eqtrd df-suc eqtrdi
      syl sylc 3brtr4d ex nn0ind ) EUAUCZFGZXHBUDZHZIJEKFGZKXJHZIJEUBUCZFGZXNXJ
      HZIJZEXNELGZFGZXRXJHZIJZECFGZCXJHZIJUAUBCXHKMXIXLXKXMIXHKEFNXHKXJOPXHXNMX
      IXOXKXPIXHXNEFNXHXNXJOPXHXRMXIXSXKXTIXHXREFNXHXRXJOPXHCMXIYBXKYCIXHCEFNXH
      CXJOPTTXLXMITUEUFUGQKUHHZBUOZTQRZUITBHKMXMTMYEYFAKBUJDUKZULUMAKBUJDUNQYDT
      KBUPUQURXNSRZXQYAYHXQUIZXOXRUSZUTZXPXPUSZUTZXSXTIYIXQYJYLIJZXOYJVATMZXPYL
      VATMZYKYMIJYHXQVBYNYIXRVCRXPVCRYNXNELVDXNXJVEXRXPVCVCVFVGVHYOYIEXNVIVHYIX
      PXPRVTZYPYHYQXQYHXPQRZXPVJYQYRXNYDSYEXNYDRZYRYGQYDXNBVKVLVMVNZXPWAXPVOVPV
      QXPXPVRVSXOXPYJYLWBWCYHXSYKMZXQYHEWDRXNEEWEGZUHHZRZUUAWLYHUUDSUUCXNSYDUUC
      VMUUBKUHWMWFWGWHWIEXNWJWKVQYIXTXPWNZYMYHXTUUEMZXQYHYEUUEQRZUIUUEBHZXRMUUF
      YHUUGYEYHYRUUGYTXPWOXCYGWPYHUUHXPBHZELGZXRYHYRUUHUUJMYTAXPKBUJDWQXCYHUUIX
      NELYHYEYSUUIXNMYGYHYSSYDXNVMWHWIQYDXNBWRWKWSWTQYDUUEXRBUPXDVQXPXAXBXEXFXG
      $.

    $( The cardinality of a finite set of sequential integers with arbitrary
       endpoints.  (Contributed by Mario Carneiro, 13-Feb-2014.) $)
    fzen2 $p |- ( N e. ( ZZ>= ` M ) ->
                  ( M ... N ) ~~ ( `' G ` ( ( N + 1 ) - M ) ) ) $=
      ( cfv wcel cfz co c1 caddc cmin cen wbr cz cc wceq ax-1cn zcn syl2anc cuz
      ccnv eluzel2 eluzelz 1z zsubcl sylancr fzen syl3anc zcnd pncan3 addsubass
      sylancl mp3an2 syl2an eqcomd oveq12d breqtrd cn0 peano2uz uznn0sub fzennn
      3syl entr ) DCUAFZGZCDHIZJDJKIZCLIZHIZMNVJVIBUBFZMNZVGVKMNVFVGCJCLIZKIZDV
      MKIZHIZVJMVFCOGZDOGZVMOGZVGVPMNCDUCZCDUDZVFJOGVQVSUEVTJCUFUGVMCDUHUIVFVNJ
      VOVIHVFCPGZJPGZVNJQVFCVTUJRCJUKUMVFVIVOVFVRVQVIVOQZWAVTVRDPGZWBWDVQDSCSWE
      WCWBWDRDJCULUNUOTUPUQURVFVHVEGVIUSGVLCDUTCVHVAABVIEVBVCVGVJVKVDT $.

    $( The cardinality of a finite set of sequential integers.  (See ~ om2uz0i
       for a description of the hypothesis.)  (Contributed by NM, 7-Nov-2008.)
       (Revised by Mario Carneiro, 15-Sep-2013.) $)
    cardfz $p |- ( N e. NN0 -> ( card ` ( 1 ... N ) ) = ( `' G ` N ) ) $=
      ( cn0 wcel c1 cfz ccrd cfv ccnv cen wbr wceq fzennn carden2b syl com cc0
      co cuz wf1o 0z om2uzf1oi elnn0uz biimpi f1ocnvdm sylancr cardnn eqtrd ) C
      EFZGCHTZIJZCBKJZIJZUNUKULUNLMUMUONABCDOULUNPQUKUNRFZUOUNNUKRSUAJZBUBCUQFZ
      UPASBUCDUDUKURCUEUFRUQCBUGUHUNUIQUJ $.

    $( ` G ` maps ` _om ` one-to-one onto ` NN0 ` .  (Contributed by Paul
       Chapman, 22-Jun-2011.)  (Revised by Mario Carneiro, 13-Sep-2013.) $)
    hashgf1o $p |- G : _om -1-1-onto-> NN0 $=
      ( com cn0 wf1o cc0 cuz cfv 0z om2uzf1oi wceq wb nn0uz f1oeq3 ax-mp mpbir
      ) DEBFZDGHIZBFZAGBJCKESLRTMNESDBOPQ $.
  $}

  $( A finite interval of integers is finite.  (Contributed by Jeff Madsen,
     2-Sep-2009.)  (Revised by Mario Carneiro, 12-Mar-2015.) $)
  fzfi $p |- ( M ... N ) e. Fin $=
    ( vx cfz co cfn wcel c0 wceq 0fin eleq1 mpbiri wne cuz cfv c1 caddc com cn0
    con0 fzn0 cmin cvv cmpt cc0 crdg cres ccnv cen wbr cin onfin2 inss2 eqsstri
    cv wf1o eqid hashgf1o peano2uz uznn0sub f1ocnvdm sylancr sselid fzen2 enfii
    syl syl2anc sylbi pm2.61ine ) ABDEZFGZVJHVJHIVKHFGJVJHFKLVJHMBANOZGZVKABUAV
    MBPQEZAUBEZCUCCUOPQEUDUEUFRUGZUHOZFGVJVQUIUJVKVMRFVQRTFUKFULTFUMUNVMRSVPUPV
    OSGZVQRGCVPVPUQZURVMVNVLGVRABUSAVNUTVFRSVOVPVAVBVCCVPABVSVDVJVQVEVGVHVI $.

  $( Commonly used special case of ~ fzfi .  (Contributed by Mario Carneiro,
     25-May-2014.) $)
  fzfid $p |- ( ph -> ( M ... N ) e. Fin ) $=
    ( cfz co cfn wcel fzfi a1i ) BCDEFGABCHI $.

  $( Half-open integer sets are finite.  (Contributed by Stefan O'Rear,
     15-Aug-2015.) $)
  fzofi $p |- ( M ..^ N ) e. Fin $=
    ( cz wcel wa cfzo co cfn c1 cmin cfz wceq fzoval adantl fzfi eqeltrdi wn c0
    cxp cpw fzof fdmi ndmov 0fin pm2.61i ) ACDZBCDZEZABFGZHDUHUIABIJGZKGZHUGUIU
    KLUFABMNAUJOPUHQUIRHABCFCCSCTFUAUBUCUDPUE $.

  ${
    $d k x y F $.  $d k x y M $.  $d k x y N $.
    $( The values of a finite real sequence have an upper bound.  (Contributed
       by NM, 19-Sep-2005.)  (Proof shortened by Mario Carneiro,
       28-Apr-2015.) $)
    fsequb $p |- ( A. k e. ( M ... N ) ( F ` k ) e. RR
                 -> E. x e. RR A. k e. ( M ... N ) ( F ` k ) < x ) $=
      ( vy cv cfv cr wcel cfz co wral cle wbr wrex clt wi wa adantr fzfi r19.26
      cfn fimaxre3 mpan caddc peano2re ltp1 simpr lelttr syl3anc mpan2d expimpd
      c1 simpl ralimdv brralrspcev syl6an syl5bir expd impcom rexlimdva mpd ) B
      GCHZIJZBDEKLZMZVDFGZNOZBVFMZFIPZVDAGQOBVFMAIPZVFUCJVGVKDEUAFBVFVDUDUEVGVJ
      VLFIVHIJZVGVJVLRVMVGVJVLVGVJSVEVISZBVFMZVMVLVEVIBVFUBVMVHUNUFLZIJZVOVDVPQ
      OZBVFMVLVHUGZVMVNVRBVFVMVEVIVRVMVESZVIVHVPQOZVRVMWAVEVHUHTVTVEVMVQVIWASVR
      RVMVEUIVMVEUOVMVQVEVSTVDVHVPUJUKULUMUPABVDVPQIVFUQURUSUTVAVBVC $.

    $( The values of a finite real sequence have an upper bound.  (Contributed
       by NM, 20-Sep-2005.)  (Proof shortened by Mario Carneiro,
       28-Apr-2015.) $)
    fsequb2 $p |- ( F : ( M ... N ) --> RR ->
                  E. x e. RR A. y e. ran F y <_ x ) $=
      ( vk cfz co cr wf cv cle wbr crn wral wrex cfv cfn wcel fzfi fimaxre3 wfn
      ffvelrn ralrimiva sylancr wb ffn breq1 ralrn syl rexbidv mpbird ) DEGHZIC
      JZBKZAKZLMZBCNOZAIPFKZCQZUPLMZFUMOZAIPZUNUMRSUTISZFUMOVCDETUNVDFUMUMIUSCU
      CUDAFUMUTUAUEUNURVBAIUNCUMUBURVBUFUMICUGUQVABFUMCUOUTUPLUHUIUJUKUL $.

    $( The values of a finite real sequence have a supremum.  (Contributed by
       NM, 20-Sep-2005.)  (Revised by Mario Carneiro, 28-Apr-2015.) $)
    fseqsupcl $p |- ( ( N e. ( ZZ>= ` M ) /\ F : ( M ... N ) --> RR )
                 -> sup ( ran F , RR , < ) e. RR ) $=
      ( cuz cfv wcel cfz co cr wf wa crn clt csup wss adantl cfn c0 wne sylib
      frn wfo fzfi wfn ffn dffn4 fofi sylancr cdm wceq fdm simpl sylibr eqnetrd
      fzn0 dm0rn0 necon3bii wor w3a ltso fisupcl mpan syl3anc sseldd ) CBDEFZBC
      GHZIAJZKZALZIVIIMNZVGVIIOZVEVFIAUAPZVHVIQFZVIRSZVKVJVIFZVHVFQFVFVIAUBZVMB
      CUCVHAVFUDZVPVGVQVEVFIAUEPVFAUFTVFVIAUGUHVHAUIZRSVNVHVRVFRVGVRVFUJVEVFIAU
      KPVHVEVFRSVEVGULBCUOUMUNVRRVIRAUPUQTVLIMURVMVNVKUSVOUTIVIMVAVBVCVD $.

    $( The values of a finite real sequence are bounded by their supremum.
       (Contributed by NM, 20-Sep-2005.) $)
    fseqsupubi $p |- ( ( K e. ( M ... N ) /\ F : ( M ... N ) --> RR ) ->
               ( F ` K ) <_ sup ( ran F , RR , < ) ) $=
      ( vx vy cfz co wcel cr wf wa crn cfv adantl wceq c0 wne sylan2 cv wss frn
      cdm fdm ne0i dm0rn0 eqeq1 syl5bir necon3d mpan9 cle wbr wral wrex fsequb2
      biimpd wfn ffn fnfvelrn ancoms suprubd ) BCDGHZIZVBJAKZLEFAMZBANZVDVEJUAV
      CVBJAUBOVDVCAUCZVBPZVEQRZVBJAUDVCVBQRVHVIVBBUEVHVEQVBQVEQPVGQPZVHVBQPZAUF
      VHVJVKVGVBQUGUPUHUIUJSVDFTETUKULFVEUMEJUNVCEFACDUOOVDVCAVBUQZVFVEIZVBJAUR
      VLVCVMVBBAUSUTSVA $.
  $}

  ${
    $d x y $.
    $( The nonnegative integers are equinumerous to the positive integers.
       (Contributed by NM, 19-Jul-2004.) $)
    nn0ennn $p |- NN0 ~~ NN $=
      ( vx vy cn cv c1 caddc co cmin nn0ex nnex nn0p1nn nnm1nn0 wcel cc wceq wb
      cn0 nncn ax-1cn eqcom nn0cn wa subadd mp3an2 3bitr4g addcom eqeq2d adantl
      mpan bitrd syl2anr en3i ) ABQCADZEFGZBDZEHGZIJUMKUOLUOCMUONMZUMNMZUMUPOZU
      OUNOZPUMQMUORUMUAUQURUBZUSUOEUMFGZOZUTVAUPUMOZVBUOOZUSVCUQENMZURVDVEPSUOE
      UMUCUDUMUPTUOVBTUEURVCUTPUQURVBUNUOVFURVBUNOSEUMUFUIUGUHUJUKUL $.

    $( The set of positive integers (as a subset of complex numbers) is
       equinumerous to omega (the set of finite ordinal numbers).  (Contributed
       by NM, 31-Jul-2004.)  (Revised by Mario Carneiro, 15-Sep-2013.) $)
    nnenom $p |- NN ~~ _om $=
      ( vx com cn0 cn cvv wcel cv c1 caddc cmpt cc0 crdg cres wf1o cen wbr omex
      co nn0ex eqid hashgf1o f1oen2g mp3an nn0ennn entr2i ) BCDBEFCEFBCAEAGHIRJ
      KLBMZNBCOPQSAUFUFTUABCUFEEUBUCUDUE $.
  $}

  $( ` NN ` is countable.  (Contributed by Thierry Arnoux, 29-Dec-2016.) $)
  nnct $p |- NN ~<_ _om $=
    ( cn com cen wbr cdom nnenom endom ax-mp ) ABCDABEDFABGH $.

  ${
    $d x y L $.  $d x A $.  $d x S $.  $d x y T $.  $d x ch $.  $d x y ph $.
    $d x th $.  $d y R $.  $d y ps $.
    uzindi.a $e |- ( ph -> A e. V ) $.
    uzindi.b $e |- ( ph -> T e. ( ZZ>= ` L ) ) $.
    uzindi.c $e |- ( ( ph /\ R e. ( L ... T ) /\
          A. y ( S e. ( L ..^ R ) -> ch ) ) -> ps ) $.
    uzindi.d $e |- ( x = y -> ( ps <-> ch ) ) $.
    uzindi.e $e |- ( x = A -> ( ps <-> th ) ) $.
    uzindi.f $e |- ( x = y -> R = S ) $.
    uzindi.g $e |- ( x = A -> R = T ) $.
    $( Indirect strong induction on the upper integers.  (Contributed by Stefan
       O'Rear, 25-Aug-2015.) $)
    uzindi $p |- ( ph -> th ) $=
      ( wcel cfz co cuz cfv eluzfz2 syl wi cfzo cfn ccrd fzofi finnum mp1i csdm
      cdm wbr wal cdom wa simpll simpr wss elfzuz3 adantl fzoss2 fzossfz sstrdi
      sselda wpss wn elfzofz 3syl fzonel jctr ssnelpss sylc sylancr id com13 ex
      php3 com23 alimdv imp31 syl3anc 3adant2 weq eleq1d imbi12d cv wceq oveq2d
      indcardi mpd ) AJKJUAUBZTZDAJKUCUDTWPNKJUEUFAHWOTZBUGZIWOTZCUGZWPDUGEFGKH
      UHUBZKIUHUBZKJUHUBZLMXCUITXCUJUOTAKJUKXCULUMAXBXAUNUPZWTUGZFUQZWRXAXCURUP
      AXFUSZWQBXGWQUSAWQIXATZCUGZFUQZBAXFWQUTXGWQVAAXFWQXJAWQXFXJAWQXFXJUGAWQUS
      ZXEXIFXKXHXECXKXHXECUGZXKXHUSZWSXDXLXKXAWOIXKJHUCUDTZXAWOVBWQXNAHKJVCVDXN
      XAXCWOHKJVEKJVFVGUFVHXMXAUITXBXAVIZXDKHUKXMXBXAVBZXHIXBTVJZUSZXOXMIKHUAUB
      TZHIUCUDTXPXHXSXKIKHVKVDIKHVCIKHVEVLXHXRXKXHXQKIVMVNVDXBXAIVOVPXAXBWAVQXE
      XDWSCXEVRVSVPVTWBWCVTWBWDOWEVTWFEFWGZWQWSBCXTHIWORWHPWIEWJGWKZWQWPBDYAHJW
      OSWHQWIXTHIKUHRWLYAHJKUHSWLWMWN $.
  $}

  ${
    $d f g k m n x A $.  $d f g m C $.  $d f g k n x F $.  $d f g k n x y M $.
    $d f g n x Z $.
    axdc4uz.1 $e |- M e. ZZ $.
    axdc4uz.2 $e |- Z = ( ZZ>= ` M ) $.
    ${
      $d g k m n x G $.  $d f k m H $.
      axdc4uz.3 $e |- A e. _V $.
      axdc4uz.4 $e |- G = ( rec ( ( y e. _V |-> ( y + 1 ) ) , M ) |` _om ) $.
      axdc4uz.5 $e |- H = ( n e. _om , x e. A |-> ( ( G ` n ) F x ) ) $.
      $( Lemma for ~ axdc4uz .  (Contributed by Mario Carneiro, 8-Jan-2014.)
         (Revised by Mario Carneiro, 26-Dec-2014.) $)
      axdc4uzlem $p |- ( ( C e. A /\ F : ( Z X. A ) --> ( ~P A \ { (/) } ) ) ->
                E. g ( g : Z --> A /\ ( g ` M ) = C /\
                  A. k e. Z ( g ` ( k + 1 ) ) e. ( k F ( g ` k ) ) ) ) $=
        ( wcel com cfv vf vm cxp cpw c0 csn cdif wf wa cv wceq csuc co wral w3a
        wex c1 caddc wf1o om2uzf1oi wb f1oeq3 ax-mp mpbir f1of ffvelrni syl3an2
        cuz fovrn 3expb ralrimivva fmpo sylib axdc4 sylan2 ccnv ccom f1ocnv fco
        mp2b mpan2 3ad2ant1 cz uzid eleqtrri fvco3 mp2an peano1 f1ocnvfv fveq2i
        om2uz0i wi eqtri simp2 eqtrid adantl suceq fveq2d fveq2 oveq12d eleq12d
        id rspcv peano2uzs sylancr om2uzsuci f1ocnvfv2 mpan oveq1d eqtrd peano2
        syl mpd eqtr2d ffvelrn oveq2 ovex ovmpo eqcomd sylibd impancom ralrimiv
        syl2anc 3adant2 vex cvv cmpt crdg cres wfun rdgfun omex resfunexg cnvex
        eqeltri coex feq1 fveq1 eqeq1d oveq2d ralbidv 3anbi123d syl3anc exlimiv
        spcev ) DCRZLCUCCUDUEUFUGZHUHZUISCUAUJZUHZUEUUITZDUKZUBUJZULZUUITZUUMUU
        MUUITZJUMZRZUBSUNZUOZUAUPZLCEUJZUHZKUVBTZDUKZFUJZUQURUMZUVBTZUVFUVFUVBT
        ZHUMZRZFLUNZUOZEUPZUUHUUFSCUCUUGJUHZUVAUUHGUJZITZAUJZHUMZUUGRZACUNGSUNU
        VOUUHUVTGASCUUHUVPSRZUVRCRZUVTUWAUUHUVQLRUWBUVTSLUVPISLIUSZSLIUHUWCSKVH
        TZIUSZBKIMPUTLUWDUKUWCUWEVANLUWDSIVBVCVDZSLIVEVCVFUVQUVRUUGLCHVIVGVJVKG
        ASCUVSUUGJQVLVMCDUAUBJOVNVOUUTUVNUAUUTLCUUIIVPZVQZUHZKUWHTZDUKZUVGUWHTZ
        UVFUVFUWHTZHUMZRZFLUNZUVNUUJUULUWIUUSUUJLSUWGUHZUWIUWCLSUWGUSUWQUWFSLIV
        RLSUWGVEVTZLSCUUIUWGVSWAWBUUTUWJUUKDUWJKUWGTZUUITZUUKUWQKLRUWJUWTUKUWRK
        UWDLKWCRKUWDRMKWDVCNWELSKUUIUWGWFWGUWSUEUUIUEITKUKZUWSUEUKZBKIMPWKUWCUE
        SRUXAUXBWLUWFWHSLUEKIWIWGVCWJWMUUJUULUUSWNWOUUJUUSUWPUULUUJUUSUIUWOFLUU
        JUVFLRZUUSUWOUUJUXCUIZUUSUVFUWGTZULZUUITZUXEUXEUUITZJUMZRZUWOUXDUXESRZU
        USUXJWLUXCUXKUUJLSUVFUWGUWRVFZWPZUURUXJUBUXESUUMUXEUKZUUOUXGUUQUXIUXNUU
        NUXFUUIUUMUXEWQWRUXNUUMUXEUUPUXHJUXNXBUUMUXEUUIWSWTXAXCXLUXDUXGUWLUXIUW
        NUXCUXGUWLUKUUJUXCUWLUVGUWGTZUUITZUXGUXCUWQUVGLRUWLUXPUKUWRKUVFLNXDLSUV
        GUUIUWGWFXEUXCUXOUXFUUIUXCUXFITZUVGUKZUXOUXFUKZUXCUXQUXEITZUQURUMZUVGUX
        CUXKUXQUYAUKUXLBUXEKIMPXFXLUXCUXTUVFUQURUWCUXCUXTUVFUKUWFSLUVFIXGXHZXIX
        JUXCUWCUXFSRZUXRUXSWLUWFUXCUXKUYCUXLUXEXKXLSLUXFUVGIWIXEXMWRXNWPUXDUXIU
        XTUXHHUMZUWNUXDUXKUXHCRZUXIUYDUKUXMUXCUUJUXKUYEUXLSCUXEUUIXOVOGAUXEUXHS
        CUVSUYDJUXTUVRHUMUVPUXEUKUVQUXTUVRHUVPUXEIWSXIUVRUXHUXTHXPQUXTUXHHXQXRY
        CUXCUYDUWNUKUUJUXCUXTUVFUXHUWMHUYBUXCUWMUXHUWQUXCUWMUXHUKUWRLSUVFUUIUWG
        WFXHXSWTWPXJXAXTYAYBYDUVMUWIUWKUWPUOEUWHUUIUWGUAYEIIBYFBUJUQURUMYGZKYHZ
        SYIZYFPUYGYJSYFRUYHYFRKUYFYKYLUYGSYFYMWGYOYNYPUVBUWHUKZUVCUWIUVEUWKUVLU
        WPLCUVBUWHYQUYIUVDUWJDKUVBUWHYRYSUYIUVKUWOFLUYIUVHUWLUVJUWNUVGUVBUWHYRU
        YIUVIUWMUVFHUVFUVBUWHYRYTXAUUAUUBUUEUUCUUDXL $.
    $}

    $( A version of ~ axdc4 that works on an upper set of integers instead of
       ` _om ` .  (Contributed by Mario Carneiro, 8-Jan-2014.) $)
    axdc4uz $p |- ( ( A e. V /\ C e. A /\
                    F : ( Z X. A ) --> ( ~P A \ { (/) } ) ) ->
                E. g ( g : Z --> A /\ ( g ` M ) = C /\
                  A. k e. Z ( g ` ( k + 1 ) ) e. ( k F ( g ` k ) ) ) ) $=
      ( vf vx vy vn wcel cxp wf cv cfv co cpw c0 csn cdif wceq c1 caddc w3a wex
      wral wa wi eleq2 xpeq2 pweq difeq1d feq23d anbi12d 3anbi1d exbidv imbi12d
      feq3 cvv cmpt crdg com cres cmpo vex eqid axdc4uzlem vtoclg 3impib ) AGOB
      AOZHAPZAUAZUBUCZUDZEQZHACRZQZFVTSBUEZDRZUFUGTVTSWCWCVTSETODHUJZUHZCUIZBKR
      ZOZHWGPZWGUAZVQUDZEQZUKZHWGVTQZWBWDUHZCUIZULVNVSUKZWFULKAGWGAUEZWMWQWPWFW
      RWHVNWLVSWGABUMWRWIWKVOVREWGAHUNWRWJVPVQWGAUOUPUQURWRWOWECWRWNWAWBWDWGAHV
      TVBUSUTVALMWGBCDNEMVCMRUFUGTVDFVEVFVGZNLVFWGNRWSSLRETVHZFHIJKVIWSVJWTVJVK
      VLVM $.
  $}

  ${
    $d S s x y $.  $d S s y z $.
    $( A subset of the nonnegative integers is finite if and only if there is a
       nonnegative integer so that all integers greater than this integer are
       not contained in the subset.  (Contributed by AV, 3-Oct-2019.) $)
    ssnn0fi $p |- ( S C_ NN0 -> ( S e. Fin
                         <-> E. s e. NN0 A. x e. NN0 ( s < x -> x e/ S ) ) ) $=
      ( vy vz cn0 wss wcel cv clt wbr wi wral wrex cc0 wn cr wa adantr com12 c0
      cfn wnel wceq 0nn0 a1i wb breq1 imbi1d ralbidv adantl n0i sylbi con4i a1d
      nnel ralrimivw rspcedvd 2a1d wne w3a ltso nn0ssre 3anim3i fisup2g sylancr
      wor id sstrdi simp3 weq breq2 notbid rspcva expcom com24 syl5bi ralrimiva
      imp31 con4d reximdva ssrexv sylsyld mpd 3exp com3l pm2.61ine cfz fzfi cle
      ex co wo elfz2nn0 notbii 3ianor 3orass 3bitri ssel con3rr3 notnotb pm2.24
      w3o neleq1 imbi12d nn0re ltnle syl2an df-nel biimpd mpid imp jaoi syl5bir
      com13 impcom jaoi3 ssrdv ssfi rexlimdva2 impbid ) BFGZBUBHZCIZAIZJKZYEBUC
      ZLZAFMZCFNZYBYCYJLLBUABUAUDZYJYBYCYKYIOYEJKZYGLZAFMZCOFOFHYKUEUFYDOUDZYIY
      NUGYKYOYHYMAFYOYFYLYGYDOYEJUHUIUJUKYKYMAFYKYGYLYGYKYGPZYEBHZYKPYEBUPZBYEU
      LUMUNUOUQURUSYCBUAUTZYBYJYCYSYBYJYCYSYBVAZYDDIZJKZPZDBMZUUAYDJKUUAEIJKEBN
      LDQMZRZCBNZYJYTQJVGYCYSBQGZVAUUGVBYBUUHYCYSYBBFQYBVHVCVIVDCDEQBJVEVFYTYBU
      UGYICBNYJYCYSYBVJYTUUFYICBUUFYTYDBHRZYIUUDUUIYILUUEUUDUUIYIUUDUUIRZYHAFUU
      JYEFHZRZYGYFYPYQUULYFPZYRUUDUUIUUKYQUUMLUUDYQUUKUUIUUMYQUUDUUKUUIUUMLLYQU
      UDRUUMUUKUUIUUCUUMDYEBDAVKUUBYFUUAYEYDJVLVMVNUSVOVPVSVQVTVRWKSTWAYICBFWBW
      CWDWEWFWGYBYIYCCFYBYDFHZRZYIRZOYDWHWLZUBHBUUQGYCOYDWIUUPDBUUQUUPUUAUUQHZU
      UABHZUURPZUUPUUSPZUUTUUAFHZPZUUNPZUUAYDWJKZPZWMZWMZUUPUVALZUUTUVBUUNUVEVA
      ZPUVCUVDUVFXCUVHUURUVJUUAYDWNWOUVBUUNUVEWPUVCUVDUVFWQWRUVCUVIUVGUUPUUSUVB
      UUOUUSUVBLZYIYBUVKUUNBFUUAWSSSWTUVGUVCPZUVIUVLUVBUVGUVIUVBXAUVDUVBUVILUVF
      UVDUVIUVBUUPUVDUVAUUOUVDUVALZYIUUNUVMYBUUNUVAXBUKSTUOUUPUVBUVFUVAUUOYIUVB
      UVFUVALZLUVBYIUUOUVNUVBYIUUOUVNLUVBYIRUUOUUBUUABUCZLZUVNYHUVPAUUAFADVKYFU
      UBYGUVOYEUUAYDJVLYEUUABXDXEVNUVBUUOUVPUVNLZLYIUUOUVBUVQUUNUVBUVQLYBUUNUVB
      UVQUUNUVBRZUVPUVNUVRUUBUVFUVOUVAUUNYDQHUUAQHUUBUVFUGUVBYDXFUUAXFYDUUAXGXH
      UVOUVAUGUVRUUABXIUFXEXJWKUKTSXKWKXOXLXOXMXNXPXQUMTVTXRUUQBXSVFXTYA $.
  $}

  ${
    $d s x y $.  $d ph s y $.
    $( A subset of the nonnegative integers defined by a restricted class
       abstraction is finite if there is a nonnegative integer so that for all
       integers greater than this integer the condition of the class
       abstraction is not fulfilled.  (Contributed by AV, 3-Oct-2019.) $)
    rabssnn0fi $p |- ( { x e. NN0 | ph } e. Fin
                       <-> E. s e. NN0 A. x e. NN0 ( s < x -> -. ph ) ) $=
      ( vy cn0 crab wss cfn wcel cv clt wbr wn wi wral wrex wb nfcv weq nfv nfn
      ssrab2 wnel ssnn0fi wsbc nnel nfsbc1v sbceq2a equcoms con2bid elrabf baib
      wa syl5bb con4bid imbi2d ralbiia breq2 imbi12d cbvralw bitri a1i rexbidva
      nfim bitrd ax-mp ) ABEFZEGZVGHIZCJZBJZKLZAMZNZBEOZCEPZQABEUBVHVIVJDJZKLZV
      QVGUCZNZDEOZCEPVPDVGCUDVHWAVOCEWAVOQVHVJEIUMWAVRVMBVQUEZNZDEOVOVTWCDEVQEI
      ZVSWBVRWDVSWBVSMVQVGIZWDWBMZVQVGUFWEWDWFAWFBVQEBVQRBERWBBVMBVQUGZUABDSWBA
      WBVMQDBVMBVQUHZUIUJUKULUNUOUPUQWCVNDBEVRWBBVRBTWGVDVNDTDBSVRVLWBVMVQVKVJK
      URWHUSUTVAVBVCVEVF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Strong induction over upper sets of integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d ch x $.  $d M x y $.  $d N x $.  $d ph y $.  $d ps x $.
    uzsinds.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    uzsinds.2 $e |- ( x = N -> ( ph <-> ch ) ) $.
    uzsinds.3 $e |- ( x e. ( ZZ>= ` M ) ->
      ( A. y e. ( M ... ( x - 1 ) ) ps -> ph ) ) $.
    $( Strong (or "total") induction principle over an upper set of integers.
       (Contributed by Scott Fenton, 16-May-2014.) $)
    uzsinds $p |- ( N e. ( ZZ>= ` M ) -> ch ) $=
      ( cuz cfv clt ltweuz cvv wcel wse fvex wral co exse ax-mp cv cpred c1 cfz
      cmin preduz raleqdv sylbid wfis3 ) ABCDEFKLZGMFNULOPULMQFKRULMOUAUBHIDUCZ
      ULPZBEULMUMUDZSBEFUMUEUGTUFTZSAUNBEUOUPFUMUHUIJUJUK $.
  $}

  ${
    $d ch x $.  $d N x $.  $d ph y $.  $d ps x $.  $d x y $.
    nnsinds.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    nnsinds.2 $e |- ( x = N -> ( ph <-> ch ) ) $.
    nnsinds.3 $e |- ( x e. NN ->
      ( A. y e. ( 1 ... ( x - 1 ) ) ps -> ph ) ) $.
    $( Strong (or "total") induction principle over the naturals.  (Contributed
       by Scott Fenton, 16-May-2014.) $)
    nnsinds $p |- ( N e. NN -> ch ) $=
      ( cn wcel c1 cuz cfv elnnuz cv cmin co cfz wral wi sylbir uzsinds sylbi )
      FJKFLMNZKCFOABCDELFGHDPZUEKUFJKBELUFLQRSRTAUAUFOIUBUCUD $.
  $}

  ${
    $d ch x $.  $d N x $.  $d ph y $.  $d ps x $.  $d x y $.
    nn0sinds.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    nn0sinds.2 $e |- ( x = N -> ( ph <-> ch ) ) $.
    nn0sinds.3 $e |- ( x e. NN0 ->
      ( A. y e. ( 0 ... ( x - 1 ) ) ps -> ph ) ) $.
    $( Strong (or "total") induction principle over the nonnegative integers.
       (Contributed by Scott Fenton, 16-May-2014.) $)
    nn0sinds $p |- ( N e. NN0 -> ch ) $=
      ( cn0 wcel cc0 cuz cfv elnn0uz cv c1 cmin co cfz wi sylbir uzsinds sylbi
      wral ) FJKFLMNZKCFOABCDELFGHDPZUFKUGJKBELUGQRSTSUEAUAUGOIUBUCUD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Finitely supported functions over the nonnegative integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d M f x $.  $d R f x $.  $d S x $.  $d U f x $.  $d V f x $.  $d Z f x $.
    fsuppmapnn0fiub.u $e |- U = U_ f e. M ( f supp Z ) $.
    fsuppmapnn0fiub.s $e |- S = sup ( U , RR , < ) $.
    $( Lemma for ~ fsuppmapnn0fiub and ~ fsuppmapnn0fiubex .  (Contributed by
       AV, 2-Oct-2019.) $)
    fsuppmapnn0fiublem $p |- ( ( M C_ ( R ^m NN0 ) /\ M e. Fin /\ Z e. V )
                 -> ( ( A. f e. M f finSupp Z /\ U =/= (/) ) -> S e. NN0 ) ) $=
      ( cn0 co wss cfn wcel wral wa ex adantr cr clt cmap w3a cv cfsupp wbr wne
      c0 csupp ciun nfv nfra1 nfan cdm suppssdm wi wfn elmapfn wceq fndm eqimss
      ssel2 syl 3syl 3ad2ant1 imp sstrid ralrimi iunss sylibr eqsstrid wor ltso
      a1i simp2 id fsuppimpd ralimi iunfi syl2an eqeltrid simprr nn0ssre sseq1i
      eqsstrdi bitri csup fisupcl syl13anc sseldd ) EAJUAKZLZEMNZGFNZUBZDUCZGUD
      UEZDEOZCUGUFZPZBJNWNWSPZCJBWTCDEWOGUHKZUIZJHWTXAJLZDEOXBJLWTXCDEWNWSDWNDU
      JWQWRDWPDEUKWRDUJULULZWTWOENZXCWTXEPZXAWOUMZJWOGUNZWTXEXGJLZWNXEXIUOZWSWK
      WLXJWMWKXEXIWKXEPZWOWJNZWOJUPZXIEWJWOVAZWOAJUQZXMXGJURZXIJWOUSZXGJUTVBVCQ
      VDRVEVFQVGDEXAJVHVIVJWTSTVKZCMNZWRCSLZBCNXRWTVLVMWTCXBMHWNWLXAMNZDEOZXBMN
      WSWKWLWMVNWQYBWRWPYADEWPWOGWPVOVPVQRDEXAVRVSVTWNWQWRWAWTXASLZDEOZXTWTYCDE
      XDWTXEYCXFXAXGSXHXFXGJSWTXEXPWNXEXPUOZWSWKWLYEWMWKXEXPXKXLXMXPXNXOXQVCQVD
      RVEWBWDVFQVGXTXBSLYDCXBSHWCDEXASVHWEVIXRXSWRXTUBPBCSTWFCISCTWGVTWHWIQ $.

    $( If all functions of a finite set of functions over the nonnegative
       integers are finitely supported, then the support of all these functions
       is contained in a finite set of sequential integers starting at 0 and
       ending with the supremum of the union of the support of these functions.
       (Contributed by AV, 2-Oct-2019.)  (Proof shortened by JJ,
       2-Aug-2021.) $)
    fsuppmapnn0fiub $p |- ( ( M C_ ( R ^m NN0 ) /\ M e. Fin /\ Z e. V )
                          -> ( ( A. f e. M f finSupp Z /\ U =/= (/) )
                               -> A. f e. M ( f supp Z ) C_ ( 0 ... S ) ) ) $=
      ( cn0 co wss cfn wcel wral wa imp ad2antrr cr ex vx cmap w3a cv cfsupp c0
      wbr wne csupp cc0 cfz nfv nfra1 nfan cle wi cdm suppssdm wfn elmapfn wceq
      ssel2 fndm eqimss syl 3syl 3ad2antl1 sstrid sseld fsuppmapnn0fiublem ciun
      adantlr 3ad2ant1 adantr nn0ssre eqsstrdi ralrimi iunss sylibr eqsstrid id
      simp2 fsuppimpd ralimi anim12i iunfi eqeltrid wrex rspe eleqtrrdi adantll
      eliun clt csup a1i supfirege elfz2nn0 syl3anbrc ssrdv ) EAJUBKZLZEMNZGFNZ
      UCZDUDZGUEUGZDEOZCUFUHZPZXEGUIKZUJBUKKZLZDEOXDXIPZXLDEXDXIDXDDULXGXHDXFDE
      UMXHDULUNUNZXMXEENZXLXMXOPZUAXJXKXPUAUDZXJNZXQXKNZXPXRPZXQJNZBJNZXQBUOUGX
      SXPXRYAXDXOXRYAUPXIXDXOPZXJJXQYCXJXEUQZJXEGURZXAXBXOYDJLZXCXAXOPZXEWTNZXE
      JUSZYFEWTXEVBZXEAJUTZYIYDJVAZYFJXEVCZYDJVDVEVFVGVHVIVLQXMYBXOXRXDXIYBABCD
      EFGHIVJQRXTCXQBXTCDEXJVKZSHXTXJSLZDEOZYNSLXMYPXOXRXMYODEXNXMXOYOXPXJYDSYE
      XPYDJSXMXOYLXDXOYLUPZXIXAXBYQXCXAXOYLYGYHYIYLYJYKYMVFTVMVNQVOVPVHTVQRDEXJ
      SVRVSVTXTCYNMHXTXBXJMNZDEOZPZYNMNXMYTXOXRXDXBXIYSXAXBXCWBXGYSXHXFYRDEXFXE
      GXFWAWCWDVNWERDEXJWFVEWGXOXRXQCNXMXOXRPZXQYNCUUAXRDEWHXQYNNXRDEWIDXQEXJWL
      VSHWJWKBCSWMWNVAXTIWOWPXQBWQWRTWSTVQT $.
  $}

  ${
    $d M f g m $.  $d R f m $.  $d V f m $.  $d Z f g m $.
    $( If all functions of a finite set of functions over the nonnegative
       integers are finitely supported, then the support of all these functions
       is contained in a finite set of sequential integers starting at 0.
       (Contributed by AV, 2-Oct-2019.) $)
    fsuppmapnn0fiubex $p |- ( ( M C_ ( R ^m NN0 ) /\ M e. Fin /\ Z e. V )
               -> ( A. f e. M f finSupp Z
                    -> E. m e. NN0 A. f e. M ( f supp Z ) C_ ( 0 ... m ) ) ) $=
      ( vg c0 wceq csupp co wral cn0 wss wcel cc0 cfz wrex wn wa cv wo cmap cfn
      w3a cfsupp wbr wi 0nn0 a1i wb oveq2 sseq2d ralbidv adantl raleq mpbii 0ss
      ral0 sseq1 mpbiri ralimi jaoi rspcedvd 2a1d ciun cr clt csup simplr simpr
      wne ioran oveq1 eqeq1d cbvralvw notbii anbi2i rexnal bicomi rexbii sylbb1
      bitri df-ne simplbiim ad2antrr iunn0 sylib jca cbviunv fsuppmapnn0fiublem
      eqid sylc nfv nfra1 nfor nfan ralbid neeq1i fsuppmapnn0fiub exp31 pm2.61i
      nfn ) HDIZBUAZFJKZHIZBDLZUBZDAMUCKNDUDOFEOUEZXEFUFUGZBDLZXFPCUAZQKZNZBDLZ
      CMRZUHUHXIXQXJXLXIXPXFPPQKZNZBDLZCPMPMOXIUIUJXMPIZXPXTUKXIYAXOXSBDYAXNXRX
      FXMPPQULUMUNUOXDXTXHXDXSBHLXTXSBUSXSBHDUPUQXGXSBDXGXSHXRNXRURXFHXRUTVAVBV
      CVDVEXISZXJXLXQYBXJTZXLTZXPXFPGDGUAZFJKZVFZVGVHVIZQKZNZBDLZCYHMYDXJXLYGHV
      LZTZYHMOYBXJXLVJZYDXLYLYCXLVKZYDYFHVLZGDRZYLYBYQXJXLYBXDSZYFHIZGDLZSZYQYB
      YRXHSZTYRUUATXDXHVMZUUBUUAYRXHYTXGYSBGDXEYEIXFYFHXEYEFJVNZVOVPVQVRWCYSSZG
      DRUUAYQYSGDVSUUEYPGDYPUUEYFHWDVTWAWBWEWFGDYFWGWHWIAYHYGBDEFGBDYFXFYEXEFJV
      NWJZYHWLZWKWMYDXMYHIZTXOYJBDYDUUHBYCXLBYBXJBXIBXDXHBXDBWNXGBDWOWPXCXJBWNW
      QXKBDWOWQUUHBWNWQUUHXOYJUKYDUUHXNYIXFXMYHPQULUMUOWRYDXJYMYKYNYDXLYLYOYDXF
      HVLZBDRZYLYBUUJXJXLYBYRUUBUUJUUCXGSZBDRUUBUUJXGBDVSUUKUUIBDUUIUUKXFHWDVTW
      AWBWEWFUUJBDXFVFZHVLYLBDXFWGUULYGHBGDXFYFUUDWJWSWCWHWIAYHYGBDEFUUFUUGWTWM
      VDXAXB $.

    $d M x $.  $d R x $.  $d V x $.  $d Z x $.  $d f x $.  $d m x $.
    $( If all functions of a finite set of functions over the nonnegative
       integers are finitely supported, then all these functions are zero for
       all integers greater than a fixed integer.  (Contributed by AV,
       3-Oct-2019.) $)
    fsuppmapnn0fiub0 $p |- ( ( M C_ ( R ^m NN0 ) /\ M e. Fin /\ Z e. V )
                -> ( A. f e. M f finSupp Z -> E. m e. NN0 A. f e. M A. x e. NN0
                     ( m < x -> ( f ` x ) = Z ) ) ) $=
      ( cn0 co wss wcel w3a cv wbr wral wrex wceq wi wa cvv cmap cfn cfsupp cc0
      csupp cfz clt cfv fsuppmapnn0fiubex wne crab wfn ssel2 ancoms elmapfn syl
      expcom adantr imp nn0ex a1i simpll3 suppvalfn syl3anc sseq1d rabss bitrdi
      3ad2ant1 wn nne biimpi 2a1d cle elfz2nn0 cr wb nn0re syl2an pm2.21 syl6bi
      lenlt 3impia a1d sylbi ja com12 ralimdva sylbid reximdva syld ) EBHUAIZJZ
      EUBKZGFKZLZCMZGUCNCEOWPGUEIZUDDMZUFIZJZCEOZDHPWRAMZUGNZXBWPUHZGQZRZAHOZCE
      OZDHPBCDEFGUIWOXAXHDHWOWRHKZSZWTXGCEXJWPEKZSZWTXDGUJZXBWSKZRZAHOZXGXLWTXM
      AHUKZWSJXPXLWQXQWSXLWPHULZHTKZWNWQXQQXJXKXRWOXKXRRZXIWLWMXTWNXKWLXRXKWLSW
      PWKKZXRWLXKYAEWKWPUMUNWPBHUOUPUQVHURUSXSXLUTVAWLWMWNXIXKVBAWPTFHGVCVDVEXM
      AHWSVFVGXLXOXFAHXOXLXBHKZSZXFXMXNYCXFRZXMVIZXEYCXCYEXEXDGVJVKVLXNYBXIXBWR
      VMNZLZYDXBWRVNYGXFYCYBXIYFXFYBXISYFXCVIZXFYBXBVOKWRVOKYFYHVPXIXBVQWRVQXBW
      RWAVRXCXEVSVTWBWCWDWEWFWGWHWGWIWJ $.
  $}

  ${
    $d F n x $.  $d S n x $.  $d Z n x $.  $d ph n $.
    suppssfz.z $e |- ( ph -> Z e. V ) $.
    suppssfz.f $e |- ( ph -> F e. ( B ^m NN0 ) ) $.
    suppssfz.s $e |- ( ph -> S e. NN0 ) $.
    suppssfz.b $e |- ( ph -> A. x e. NN0 ( S < x -> ( F ` x ) = Z ) ) $.
    $( Condition for a function over the nonnegative integers to have a support
       contained in a finite set of sequential integers.  (Contributed by AV,
       9-Oct-2019.) $)
    suppssfz $p |- ( ph -> ( F supp Z ) C_ ( 0 ... S ) ) $=
      ( clt wbr wceq wi cn0 co wa wcel syl vn cv cfv wral csupp cc0 cfz wss wne
      wfn cvv w3a wb cmap elmapfn nn0ex a1i 3jca elsuppfn breq2 fveqeq2 imbi12d
      adantr rspcva wn simplr cr nn0re lenlt syl2anr biimpar elfz2nn0 syl3anbrc
      cle a1d ex eqneqall jad com23 com14 pm2.43a imp com13 sylbid ssrdv mpdan
      ) ADBUBZLMZWGEUCGNZOZBPUDZEGUEQZUFDUGQZUHKAWKRZUAWLWMWNUAUBZWLSZWOPSZWOEU
      CZGUIZRZWOWMSZWNEPUJZPUKSZGFSZULZWPWTUMAXEWKAXBXCXDAECPUNQSXBIECPUOTXCAUP
      UQHURVCWOEUKFPGUSTAWKWTXAOWTWKAXAWQWSWKAXAOZOWQWKWSXFWKWQWSXFOZWQWKWQXGOZ
      WQWKRDWOLMZWRGNZOZXHWJXKBWOPWGWONWHXIWIXJWGWODLUTWGWOGEVAVBVDAWQWSXKXAAWQ
      WSXKXAOOAWQRZXKWSXAXLXIXJWSXAOZXLXIVEZXMXLXNRZXAWSXOWQDPSZWODVNMZXAAWQXNV
      FXLXPXNAXPWQJVCVCXLXQXNWQWOVGSDVGSZXQXNUMAWOVHAXPXRJDVHTWODVIVJVKWODVLVMV
      OVPXJXMOXLXAWRGVQUQVRVSVPVTTVPWAVSWBWCWBWDWEWF $.
  $}

  ${
    $d F m x $.  $d V x $.  $d Z m x $.
    $( If a function over the nonnegative integers is finitely supported, then
       there is an upper bound for the arguments resulting in nonzero values.
       (Contributed by AV, 6-Oct-2019.) $)
    fsuppmapnn0ub $p |- ( ( F e. ( R ^m NN0 ) /\ Z e. V ) -> ( F finSupp Z
                   -> E. m e. NN0 A. x e. NN0 ( m < x -> ( F ` x ) = Z ) ) ) $=
      ( cn0 cmap co wcel wa wbr cfn cv wceq wi wral wrex simpr cvv cfsupp csupp
      clt cfv fsuppimpd wne crab wfn elmapfn adantr nn0ex a1i suppvalfn syl3anc
      ex eleq1d wn rabssnn0fi nne imbi2i ralbii rexbii sylbb syl6bi syld ) DBGH
      IJZFEJZKZDFUALZDFUBIZMJZCNANZUCLZVLDUDZFOZPZAGQZCGRZVHVIVKVHVIKDFVHVISUEU
      OVHVKVNFUFZAGUGZMJZVRVHVJVTMVHDGUHZGTJZVGVJVTOVFWBVGDBGUIUJWCVHUKULVFVGSA
      DTEGFUMUNUPWAVMVSUQZPZAGQZCGRVRVSACURWFVQCGWEVPAGWDVOVMVNFUSUTVAVBVCVDVE
      $.

    $d R m $.  $d V m $.
    $( If a function over the nonnegative integers is finitely supported, then
       there is an upper bound for a finite set of sequential integers
       containing the support of the function.  (Contributed by AV,
       30-Sep-2019.)  (Proof shortened by AV, 6-Oct-2019.) $)
    fsuppmapnn0fz $p |- ( ( F e. ( R ^m NN0 ) /\ Z e. V )
             -> ( F finSupp Z -> E. m e. NN0 ( F supp Z ) C_ ( 0 ... m ) ) ) $=
      ( vx cn0 cmap co wcel wa cfsupp wbr cv clt cfv wceq wi wral wrex suppssfz
      csupp cc0 cfz fsuppmapnn0ub simpllr simplll simplr simpr ex reximdva syld
      wss ) CAGHIJZEDJZKZCELMBNZFNZOMURCPEQRFGSZBGTCEUBIUCUQUDIUMZBGTFABCDEUEUP
      USUTBGUPUQGJZKZUSUTVBUSKFAUQCDEUNUOVAUSUFUNUOVAUSUGUPVAUSUHVBUSUIUAUJUKUL
      $.
  $}

  ${
    $d B k $.  $d C s x $.  $d ph k s x $.  $d .0. s x $.
    mptnn0fsupp.0 $e |- ( ph -> .0. e. V ) $.
    mptnn0fsupp.c $e |- ( ( ph /\ k e. NN0 ) -> C e. B ) $.

    ${
      mptnn0fsupp.s $e |- ( ph -> E. s e. NN0 A. x e. NN0
                                ( s < x -> [_ x / k ]_ C = .0. ) ) $.
      $( A mapping from the nonnegative integers is finitely supported under
         certain conditions.  (Contributed by AV, 5-Oct-2019.)  (Revised by AV,
         23-Dec-2019.) $)
      mptnn0fsupp $p |- ( ph -> ( k e. NN0 |-> C ) finSupp .0. ) $=
        ( cn0 wbr cfn wcel cv cvv wceq wral nn0ex cmpt cfsupp csupp co cfv crab
        wne wfn ralrimiva eqid fnmpt syl a1i elexd suppvalfn syl3anc wn wi wrex
        clt csb wa simpr ad2antrr rspcsbela syl2anc fvmpts eqeq1d syl5bb imbi2d
        ralbidva rexbidva mpbird rabssnn0fi sylibr eqeltrd wfun wb funmpt mptex
        nne funisfsupp mp3an12i ) AELDUAZGUBMZWDGUCUDZNOZAWFBPZWDUEZGUGZBLUFZNA
        WDLUHZLQOZGQOZWFWKRADCOZELSZWLAWOELJUIZELDWDCWDUJZUKULWMATUMAGFIUNZBWDQ
        QLGUOUPAHPZWHUTMZWJUQZURZBLSZHLUSZWKNOAXEXAEWHDVAZGRZURZBLSZHLUSKAXDXIH
        LAWTLOZVBZXCXHBLXKWHLOZVBZXBXGXAXBWIGRXMXGWIGWAXMWIXFGXMXLXFCOZWIXFRXKX
        LVCZXMXLWPXNXOAWPXJXLWQVDEWHLDCVEVFEWHDLWDCWRVGVFVHVIVJVKVLVMWJBHVNVOVP
        WDVQWDQOAWNWEWGVRELDVSELDTVTWSWDQQGWBWCVM $.
    $}

    ${
      $d D k $.
      mptnn0fsuppd.d $e |- ( k = x -> C = D ) $.
      mptnn0fsuppd.s $e |- ( ph -> E. s e. NN0 A. x e. NN0
                                      ( s < x -> D = .0. ) ) $.
      $( A mapping from the nonnegative integers is finitely supported under
         certain conditions.  (Contributed by AV, 2-Dec-2019.)  (Revised by AV,
         23-Dec-2019.) $)
      mptnn0fsuppd $p |- ( ph -> ( k e. NN0 |-> C ) finSupp .0. ) $=
        ( cv clt wceq wi cn0 wral wrex wbr csbie id eqtrid imim2i ralimi reximi
        csb vex syl mptnn0fsupp ) ABCDFGHIJKAINBNZOUAZEHPZQZBRSZIRTUMFULDUHZHPZ
        QZBRSZIRTMUPUTIRUOUSBRUNURUMUNUQEHFULDEBUILUBUNUCUDUEUFUGUJUK $.
    $}

    mptnn0fsuppr.s $e |- ( ph -> ( k e. NN0 |-> C ) finSupp .0. ) $.
    $( A finitely supported mapping from the nonnegative integers fulfills
       certain conditions.  (Contributed by AV, 3-Nov-2019.)  (Revised by AV,
       23-Dec-2019.) $)
    mptnn0fsuppr $p |- ( ph -> E. s e. NN0 A. x e. NN0
                              ( s < x -> [_ x / k ]_ C = .0. ) ) $=
      ( cn0 cfn wcel wceq wi wral wa cvv syl cv csb wne crab clt wrex cmpt wfun
      wbr cfsupp csupp co fsuppimp cfv wfn w3a ralrimiva eqid fnmpt nn0ex elexd
      a1i adantr suppvalfn simpr rspcsbela syl2anc fvmpts neeq1d rabbidva eqtrd
      3jca eleq1d biimpd expcom com23 imp mpcom wn rabssnn0fi nne imbi2i ralbii
      rexbii bitri sylib ) AEBUAZDUBZGUCZBLUDZMNZHUAWGUEUIZWHGOZPZBLQZHLUFZELDU
      GZGUJUIZAWKKWRWQUHZWQGUKULZMNZRAWKPZWQGUMWSXAXBWSAXAWKAWSXAWKPAWSRZXAWKXC
      WTWJMXCWTWGWQUNZGUCZBLUDZWJXCWQLUOZLSNZGSNZUPZWTXFOAXJWSAXGXHXIADCNZELQZX
      GAXKELJUQZELDWQCWQURZUSTXHAUTVBAGFIVAVLVCBWQSSLGVDTXCXEWIBLXCWGLNZRZXDWHG
      XPXOWHCNZXDWHOXCXOVEZXPXOXLXQXRXCXLXOAXLWSXMVCVCEWGLDCVFVGEWGDLWQCXNVHVGV
      IVJVKVMVNVOVPVQTVRWKWLWIVSZPZBLQZHLUFWPWIBHVTYAWOHLXTWNBLXSWMWLWHGWAWBWCW
      DWEWF $.
  $}

  ${
    f13idfv.a $e |- A = ( 0 ... 2 ) $.
    $( A one-to-one function with the domain { 0, 1 ,2 } in terms of function
       values.  (Contributed by Alexander van der Vekens, 26-Jan-2018.) $)
    f13idfv $p |- ( F : A -1-1-> B
      <-> ( F : A --> B /\ ( ( F ` 0 ) =/= ( F ` 1 ) /\ ( F ` 0 ) =/= ( F ` 2 )
                             /\ ( F ` 1 ) =/= ( F ` 2 ) ) ) ) $=
      ( cc0 cz wcel c1 c2 w3a wne wf1 wf cfv wa wb 0z 1z 2z 3pm3.2i 0ne1 cfz co
      0ne2 1ne2 ctp fz0tp eqtri f13dfv mp2an ) EFGZHFGZIFGZJEHKZEIKZHIKZJABCLAB
      CMECNZHCNZKUQICNZKURUSKJOPUKULUMQRSTUNUOUPUAUDUETABFCFFEHIAEIUBUCEHIUFDUG
      UHUIUJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The infinite sequence builder "seq" - extension
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c seq $.
  $( Extend class notation with recursive sequence builder. $)
  cseq $a class seq M ( .+ , F ) $.

  ${
    $d .+ x y $.  $d F x y $.  $d M x y $.
    $( Define a general-purpose operation that builds a recursive sequence
       (i.e., a function on an upper integer set such as ` NN ` or ` NN0 ` )
       whose value at an index is a function of its previous value and the
       value of an input sequence at that index.  This definition is
       complicated, but fortunately it is not intended to be used directly.
       Instead, the only purpose of this definition is to provide us with an
       object that has the properties expressed by ~ seq1 and ~ seqp1 .
       Typically, those are the main theorems that would be used in practice.

       The first operand in the parentheses is the operation that is applied to
       the previous value and the value of the input sequence (second operand).
       The operand to the left of the parenthesis is the integer to start from.
       For example, for the operation ` + ` , an input sequence ` F ` with
       values 1, 1/2, 1/4, 1/8,... would be transformed into the output
       sequence ` seq 1 ( + , F ) ` with values 1, 3/2, 7/4, 15/8,.., so that
       ` ( seq 1 ( + , F ) `` 1 ) = 1 ` , ` ( seq 1 ( + , F ) `` 2 ) = ` 3/2,
       etc.  In other words, ` seq M ( + , F ) ` transforms a sequence ` F `
       into an infinite series. ` seq M ( + , F ) ~~> 2 ` means "the sum of
       F(n) from n = M to infinity is 2".  Since limits are unique
       ( ~ climuni ), by ~ climdm the "sum of F(n) from n = 1 to infinity" can
       be expressed as ` ( ~~> `` seq 1 ( + , F ) ) ` (provided the sequence
       converges) and evaluates to 2 in this example.

       Internally, the ` rec ` function generates as its values a set of
       ordered pairs starting at ` <. M , ( F `` M ) >. ` , with the first
       member of each pair incremented by one in each successive value.  So,
       the range of ` rec ` is exactly the sequence we want, and we just
       extract the range (restricted to omega) and throw away the domain.

       This definition has its roots in a series of theorems from ~ om2uz0i
       through ~ om2uzf1oi , originally proved by Raph Levien for use with
       ~ df-exp and later generalized for arbitrary recursive sequences.
       Definition ~ df-sum extracts the summation values from partial (finite)
       and complete (infinite) series.  (Contributed by NM, 18-Apr-2005.)
       (Revised by Mario Carneiro, 4-Sep-2013.) $)
    df-seq $a |- seq M ( .+ , F ) = ( rec (
       ( x e. _V , y e. _V |-> <. ( x + 1 ) , ( y .+ ( F ` ( x + 1 ) ) ) >. ) ,
          <. M , ( F ` M ) >. ) " _om ) $.
  $}

  ${
    $d x y F $.  $d x y .+ $.  $d x y G $.  $d x y M $.  $d x y N $.
    $d x y Q $.
    $( Existence of the sequence builder operation.  (Contributed by Mario
       Carneiro, 4-Sep-2013.) $)
    seqex $p |- seq M ( .+ , F ) e. _V $=
      ( vx vy cseq cvv cv c1 caddc cfv cop cmpo crdg com cima df-seq wfun wcel
      co rdgfun omex funimaexg mp2an eqeltri ) ABCFDEGGDHIJTZEHUFBKATLMZCCBKLZN
      ZOPZGDEABCQUIROGSUJGSUHUGUAUBUIOGUCUDUE $.

    $( Equality theorem for the sequence builder operation.  (Contributed by
       Mario Carneiro, 4-Sep-2013.) $)
    seqeq1 $p |- ( M = N -> seq M ( .+ , F ) = seq N ( .+ , F ) ) $=
      ( vx vy wceq cvv cv c1 caddc co cfv cop cmpo crdg com cima cseq df-seq
      fveq2 opeq12 mpdan rdgeq2 syl imaeq1d 3eqtr4g ) CDGZEFHHEIJKLZFIUIBMALNOZ
      CCBMZNZPZQRUJDDBMZNZPZQRABCSABDSUHUMUPQUHULUOGZUMUPGUHUKUNGUQCDBUACUKDUNU
      BUCULUOUJUDUEUFEFABCTEFABDTUG $.

    $( Equality theorem for the sequence builder operation.  (Contributed by
       Mario Carneiro, 4-Sep-2013.) $)
    seqeq2 $p |- ( .+ = Q -> seq M ( .+ , F ) = seq M ( Q , F ) ) $=
      ( vx vy wceq cvv cv c1 caddc co cfv cop cmpo crdg com cima cseq df-seq
      oveq opeq2d mpoeq3dv rdgeq1 syl imaeq1d 3eqtr4g ) ABGZEFHHEIJKLZFIZUICMZA
      LZNZOZDDCMNZPZQREFHHUIUJUKBLZNZOZUOPZQRACDSBCDSUHUPUTQUHUNUSGUPUTGUHEFHHU
      MURUHULUQUIUJUKABUAUBUCUOUNUSUDUEUFEFACDTEFBCDTUG $.

    $( Equality theorem for the sequence builder operation.  (Contributed by
       Mario Carneiro, 4-Sep-2013.) $)
    seqeq3 $p |- ( F = G -> seq M ( .+ , F ) = seq M ( .+ , G ) ) $=
      ( vx vy wceq cvv cv cfv cop cmpo crdg com cima cseq fveq1 opeq2d df-seq
      co c1 caddc oveq2d mpoeq3dv rdgeq12 syl2anc imaeq1d 3eqtr4g ) BCGZEFHHEIU
      AUBTZFIZUJBJZATZKZLZDDBJZKZMZNOEFHHUJUKUJCJZATZKZLZDDCJZKZMZNOABDPACDPUIU
      RVENUIUOVBGUQVDGURVEGUIEFHHUNVAUIUMUTUJUIULUSUKAUJBCQUCRUDUIUPVCDDBCQRUQV
      DUOVBUEUFUGEFABDSEFACDSUH $.
  $}

  ${
    seqeqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for the sequence builder operation.  (Contributed by
       Mario Carneiro, 7-Sep-2013.) $)
    seqeq1d $p |- ( ph -> seq A ( .+ , F ) = seq B ( .+ , F ) ) $=
      ( wceq cseq seqeq1 syl ) ABCGDEBHDECHGFDEBCIJ $.

    $( Equality deduction for the sequence builder operation.  (Contributed by
       Mario Carneiro, 7-Sep-2013.) $)
    seqeq2d $p |- ( ph -> seq M ( A , F ) = seq M ( B , F ) ) $=
      ( wceq cseq seqeq2 syl ) ABCGBDEHCDEHGFBCDEIJ $.

    $( Equality deduction for the sequence builder operation.  (Contributed by
       Mario Carneiro, 7-Sep-2013.) $)
    seqeq3d $p |- ( ph -> seq M ( .+ , A ) = seq M ( .+ , B ) ) $=
      ( wceq cseq seqeq3 syl ) ABCGDBEHDCEHGFDBCEIJ $.
  $}

  ${
    seqeq123d.1 $e |- ( ph -> M = N ) $.
    seqeq123d.2 $e |- ( ph -> .+ = Q ) $.
    seqeq123d.3 $e |- ( ph -> F = G ) $.
    $( Equality deduction for the sequence builder operation.  (Contributed by
       Mario Carneiro, 7-Sep-2013.) $)
    seqeq123d $p |- ( ph -> seq M ( .+ , F ) = seq N ( Q , G ) ) $=
      ( cseq seqeq1d seqeq2d seqeq3d 3eqtrd ) ABDFKBDGKCDGKCEGKAFGBDHLABCDGIMAD
      ECGJNO $.
  $}

  ${
    $d w x z $.  $d w z F $.  $d w z .+ $.  $d w z M $.
    nfseq.1 $e |- F/_ x M $.
    nfseq.2 $e |- F/_ x .+ $.
    nfseq.3 $e |- F/_ x F $.
    $( Hypothesis builder for the sequence builder operation.  (Contributed by
       Mario Carneiro, 24-Jun-2013.)  (Revised by Mario Carneiro,
       15-Oct-2016.) $)
    nfseq $p |- F/_ x seq M ( .+ , F ) $=
      ( vz vw cseq cvv cv c1 co cfv cop com nfcv nffv nfop caddc cmpo crdg cima
      df-seq nfov nfmpo nfrdg nfima nfcxfr ) ABCDJHIKKHLMUANZILZUKCOZBNZPZUBZDD
      COZPZUCZQUDHIBCDUEAUSQAURUPHIAKKUOAKRZUTAUKUNAUKRZAULUMBAULRFAUKCGVASUFTU
      GADUQEADCGESTUHAQRUIUJ $.
  $}

  ${
    $d F w x y z $.  $d .+ w x y z $.  $d M x y $.
    seqval.1 $e |- R = ( rec (
        ( x e. _V , y e. _V |-> <. ( x + 1 ) ,
          ( x ( z e. _V , w e. _V |-> ( w .+ ( F ` ( z + 1 ) ) ) ) y ) >. ) ,
          <. M , ( F ` M ) >. ) |` _om ) $.
    $( Value of the sequence builder function.  (Contributed by Mario Carneiro,
       24-Jun-2013.) $)
    seqval $p |- seq M ( .+ , F ) = ran R $=
      ( cvv cv c1 caddc co cfv cop cmpo crdg com wceq cima cres crn cseq df-ima
      df-seq eqid fvoveq1 oveq2d oveq1 ovex ovmpo opeq2i mpoeq123i rdgeq1 ax-mp
      el2v reseq1i eqtri rneqi 3eqtr4i ) ABJJAKZLMNZBKZVCGOZENZPZQZHHGOPZRZSUAV
      JSUBZUCEGHUDFUCVJSUEABEGHUFFVKFABJJVCVBVDCDJJDKZCKZLMNGOZENZQZNZPZQZVIRZS
      UBVKIVTVJSVSVHTVTVJTABJJVRJJVGJUGZWAVQVFVCVQVFTABCDVBVDJJVOVFVPVLVEENVMVB
      TVNVEVLEVMVBLGMUHUIVLVDVEEUJVPUGVDVEEUKULUQUMUNVIVSVHUOUPURUSUTVA $.
  $}

  ${
    $d w x y z F $.  $d w x y z .+ $.  $d x y M $.
    $( The sequence builder function is a function.  (Contributed by Mario
       Carneiro, 24-Jun-2013.)  (Revised by Mario Carneiro, 15-Sep-2013.) $)
    seqfn $p |- ( M e. ZZ -> seq M ( .+ , F ) Fn ( ZZ>= ` M ) ) $=
      ( vx vy vz vw cz cseq cuz cfv wfn cc0 cvv cv c1 caddc co cmpo cop fneq12d
      wcel cif wceq seqeq1 fveq2 crdg com cres cmpt elimel eqid seqval uzrdgfni
      0z fvex dedth ) CHUBZABCIZCJKZLABURCMUCZIZVAJKZLCMCVAUDUTVCUSVBABCVAUECVA
      JUFUADEVABKZVADENNDOZPQRZVEEOFGNNGOFOPQRBKARSZRTSVAVDTUGUHUIZVBVGDNVFUJVA
      UGUHUIZCMHUOUKVIULVABUPVHULZDEFGAVHBVAVJUMUNUQ $.
  $}

  ${
    $d w x y z F $.  $d w x y z .+ $.  $d x y M $.
    $( Value of the sequence builder function at its initial value.
       (Contributed by Mario Carneiro, 24-Jun-2013.)  (Revised by Mario
       Carneiro, 15-Sep-2013.) $)
    seq1 $p |- ( M e. ZZ ->
        ( seq M ( .+ , F ) ` M ) = ( F ` M ) ) $=
      ( vx vy vz vw cz cseq cfv wceq cc0 cvv cv c1 caddc co cmpo cop crdg fveq2
      wcel cif seqeq1 id fveq12d eqeq12d com cres cmpt elimel eqid fvex uzrdg0i
      0z seqval dedth ) CHUBZCABCIZJZCBJZKURCLUCZABVBIZJZVBBJZKCLCVBKZUTVDVAVEV
      FCVBUSVCABCVBUDVFUEUFCVBBUAUGDEVEVBDEMMDNZOPQZVGENFGMMGNFNOPQBJAQRZQSRVBV
      ESTUHUIZVCVIDMVHUJVBTUHUIZCLHUOUKVKULVBBUMVJULZDEFGAVJBVBVLUPUNUQ $.
  $}

  ${
    seq1i.1 $e |- M e. ZZ $.
    seq1i.2 $e |- ( ph -> ( F ` M ) = A ) $.
    $( Value of the sequence builder function at its initial value.
       (Contributed by Mario Carneiro, 30-Apr-2014.) $)
    seq1i $p |- ( ph -> ( seq M ( .+ , F ) ` M ) = A ) $=
      ( cseq cfv cz wcel wceq seq1 ax-mp eqtrid ) AECDEHIZEDIZBEJKPQLFCDEMNGO
      $.
  $}

  ${
    $d x y z w .+ $.  $d x y z w F $.  $d x y z w M $.  $d z w N $.
    $( Value of the sequence builder function at a successor.  (Contributed by
       Mario Carneiro, 24-Jun-2013.)  (Revised by Mario Carneiro,
       15-Sep-2013.) $)
    seqp1 $p |- ( N e. ( ZZ>= ` M ) ->
        ( seq M ( .+ , F ) ` ( N + 1 ) ) =
          ( ( seq M ( .+ , F ) ` N ) .+ ( F ` ( N + 1 ) ) ) ) $=
      ( vz vw vx vy cuz cfv wcel c1 caddc co cseq cvv cv wceq cc0 eqid cmpo cif
      cz eluzel2 fveq2 eleq2d seqeq1 fveq1d oveq2d eqeq12d imbi12d cop crdg com
      wi cres cmpt 0z elimel fvex uzrdgsuci dedth mpcom elex fvoveq1 oveq1 ovex
      seqval ovmpo sylancl eqtrd ) DCIJZKZDLMNZABCOZJZDDVOJZEFPPFQZEQZLMNBJZANZ
      UAZNZVQVNBJZANZCUCKZVMVPWCRZCDUDWFVMWGUODWFCSUBZIJZKZVNABWHOZJZDDWKJZWBNZ
      RZUOCSCWHRZVMWJWGWOWPVLWIDCWHIUEUFWPVPWLWCWNWPVNVOWKABCWHUGZUHWPVQWMDWBWP
      DVOWKWQUHUIUJUKGHWHBJZDWHGHPPGQZLMNZWSHQWBNULUAWHWRULUMUNUPZWKWBGPWTUQWHU
      MUNUPZCSUCURUSXBTWHBUTXATZGHEFAXABWHXCVHVAVBVCVMDPKVQPKWCWERDVLVDDVOUTEFD
      VQPPWAWEWBVRWDANVSDRVTWDVRAVSDLBMVEUIVRVQWDAVFWBTVQWDAVGVIVJVK $.
  $}

  ${
    $d x .+ $.  $d x F $.  $d x y M $.  $d y z .+ $.  $d y z F $.  $d y z M $.
    seqexw.1 $e |- .+ e. _V $.
    seqexw.2 $e |- M e. ZZ $.
    $( Weak version of ~ seqex that holds without ~ ax-rep .  A sequence
       builder exists when its binary operation input exists and its starting
       index is an integer.  (Contributed by Rohan Ridenour, 14-Aug-2023.) $)
    seqexw $p |- seq M ( .+ , F ) e. _V $=
      ( vx vy vz cvv wcel crn cuz cfv ax-mp c0 cv wss wceq fveq2 eleq1d cdm wfn
      cseq wfun cz seqfn fnfun fndmi fvex eqeltri cpr rnex prex unex wral caddc
      cun c1 co seq1 ssun2 prid2 sselii eqeltrdi seqp1 adantr cop df-ov snsspr1
      wa csn unss2 fvrn0 a1i eqeltrd ex uzind4 rgen fnfvrnss mp2an ssexi funexw
      mp3an ) ABCUCZUDZWDUAZIJWDKZIJWDIJWDCLMZUBZWECUEJZWIEABCUFNZWHWDUGNWFWHIW
      HWDWKUHCLUIUJWGAKZOCBMZUKZUQZWLWNADULOWMUMUNWIFPZWDMZWOJZFWHUOWGWOQWKWRFW
      HGPZWDMZWOJCWDMZWOJHPZWDMZWOJZXBURUPUSZWDMZWOJZWRGHCWPWSCRWTXAWOWSCWDSTWS
      XBRWTXCWOWSXBWDSTWSXERWTXFWOWSXEWDSTWSWPRWTWQWOWSWPWDSTWJXAWMWOABCUTWNWOW
      MWNWLVAOWMCBUIVBVCVDXBWHJZXDXGXHXDVJZXFXCXEBMZAUSZWOXHXFXKRXDABCXBVEVFXKW
      OJXIXKXCXJVGZAMZWOXCXJAVHWLOVKZUQZWOXMXNWNQXOWOQOWMVIXNWNWLVLNAXLVMVCUJVN
      VOVPVQVRFWHWOWDVSVTWAIIWDWBWC $.
  $}

  ${
    seqp1d.1 $e |- Z = ( ZZ>= ` M ) $.
    seqp1d.2 $e |- ( ph -> N e. Z ) $.
    seqp1d.3 $e |- K = ( N + 1 ) $.
    seqp1d.4 $e |- ( ph -> ( seq M ( .+ , F ) ` N ) = A ) $.
    seqp1d.5 $e |- ( ph -> ( F ` K ) = B ) $.
    $( Value of the sequence builder function at a successor, deduction form.
       (Contributed by Mario Carneiro, 30-Apr-2014.)  (Revised by AV,
       3-May-2024.) $)
    seqp1d $p |- ( ph -> ( seq M ( .+ , F ) ` K ) = ( A .+ B ) ) $=
      ( cseq cfv c1 co wceq fveq2i caddc a1i cuz eleqtrdi seqp1 eqtr3id oveq12d
      wcel syl 3eqtrd ) AFDEGOZPZHQUARZUKPZHUKPZUMEPZDRZBCDRULUNSAFUMUKLTUBAHGU
      CPZUHUNUQSAHIURKJUDDEGHUEUIAUOBUPCDMAUPFEPCFUMELTNUFUGUJ $.
  $}

  ${
    seqp1iOLD.1 $e |- Z = ( ZZ>= ` M ) $.
    seqp1iOLD.2 $e |- N e. Z $.
    seqp1iOLD.3 $e |- K = ( N + 1 ) $.
    seqp1iOLD.4 $e |- ( ph -> ( seq M ( .+ , F ) ` N ) = A ) $.
    seqp1iOLD.5 $e |- ( ph -> ( F ` K ) = B ) $.
    $( Obsolete version of ~ seqp1d as of 3-May-2024.  Value of the sequence
       builder function at a successor.  (Contributed by Mario Carneiro,
       30-Apr-2014.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    seqp1iOLD $p |- ( ph -> ( seq M ( .+ , F ) ` K ) = ( A .+ B ) ) $=
      ( wcel a1i seqp1d ) ABCDEFGHIJHIOAKPLMNQ $.
  $}

  $( Value of the sequence builder function at a successor.  (Contributed by
     Mario Carneiro, 24-Jun-2013.) $)
  seqm1 $p |- ( ( M e. ZZ /\ N e. ( ZZ>= ` ( M + 1 ) ) ) ->
      ( seq M ( .+ , F ) ` N ) =
        ( ( seq M ( .+ , F ) ` ( N - 1 ) ) .+ ( F ` N ) ) ) $=
    ( cz wcel c1 caddc co cuz cfv wa cmin cseq wceq eluzp1m1 seqp1 syl fveq2d
    cc eluzelcn ax-1cn npcan sylancl adantl oveq2d 3eqtr3d ) CEFZDCGHIZJKFZLZDG
    MIZGHIZABCNZKZULUNKZUMBKZAIZDUNKUPDBKZAIUKULCJKFUOUROCDPABCULQRUKUMDUNUJUMD
    OZUHUJDTFGTFUTUIDUAUBDGUCUDUEZSUKUQUSUPAUKUMDBVASUFUG $.

  ${
    $d k n x y C $.  $d x y D $.  $d k n x y F $.  $d k n x y M $.  $d n x N $.
    $d k n x y .+ $.  $d k n x y ph $.
    seqcl2.1 $e |- ( ph -> ( F ` M ) e. C ) $.
    seqcl2.2 $e |- ( ( ph /\ ( x e. C /\ y e. D ) ) -> ( x .+ y ) e. C ) $.
    ${
      seqcl2.3 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
      seqcl2.4 $e |- ( ( ph /\ x e. ( ( M + 1 ) ... N ) ) -> ( F ` x ) e. D )
          $.
      $( Closure properties of the recursive sequence builder.  (Contributed by
         Mario Carneiro, 2-Jul-2013.)  (Revised by Mario Carneiro,
         27-May-2014.) $)
      seqcl2 $p |- ( ph -> ( seq M ( .+ , F ) ` N ) e. C ) $=
        ( co wcel cfv wi wceq fveq2 eleq1d vn cfz cseq cuz eluzfz2 syl cv caddc
        c1 eleq1 imbi12d imbi2d cz seq1 syl5ibr a1dd wa peano2fzr adantl imim1d
        expr wral ralrimiva eluzp1p1 ad2antrl elfzuz3 ad2antll elfzuzb sylanbrc
        adantr rspcdva caovclg ex mpan2d seqp1 sylibrd animpimp2impd uzind4 mpd
        mpcom ) AIHIUBNZOZIFGHUCZPZDOZAIHUDPZOZWBLHIUEUFWGAWBWEQZLABUGZWAOZWIWC
        PZDOZQZQAHWAOZHWCPZDOZQZQAUAUGZWAOZWRWCPZDOZQZQAWRUIUHNZWAOZXCWCPZDOZQZ
        QAWHQBUAHIWIHRZWMWQAXHWJWNWLWPWIHWAUJXHWKWODWIHWCSTUKULWIWRRZWMXBAXIWJW
        SWLXAWIWRWAUJXIWKWTDWIWRWCSTUKULWIXCRZWMXGAXJWJXDWLXFWIXCWAUJXJWKXEDWIX
        CWCSTUKULWIIRZWMWHAXKWJWBWLWEWIIWAUJXKWKWDDWIIWCSTUKULHUMOZAWPWNAWPXLHG
        PZDOJXLWOXMDFGHUNTUOUPWRWFOZAXBXDXFXAAXNUQXDWSXAAXNXDWSXNXDUQZWSAWRHIUR
        USVAUTAXOUQZXAWTXCGPZFNZDOZXFXPXAXQEOZXSXPWIGPZEOZXTBHUIUHNZIUBNZXCXJYA
        XQEWIXCGSTAYBBYDVBXOAYBBYDMVCVJXPXCYCUDPOZIXCUDPOZXCYDOXNYEAXDHWRVDVEXD
        YFAXNXCHIVFVGXCYCIVHVIVKAXAXTUQZXSQXOAYGXSABCWTXQDEDFKVLVMVJVNXPXEXRDXN
        XEXRRAXDFGHWRVOVETVPVQVRVTVS $.
    $}

    seqf2.3 $e |- Z = ( ZZ>= ` M ) $.
    seqf2.4 $e |- ( ph -> M e. ZZ ) $.
    seqf2.5 $e |- ( ( ph /\ x e. ( ZZ>= ` ( M + 1 ) ) ) -> ( F ` x ) e. D ) $.
    $( Range of the recursive sequence builder.  (Contributed by Mario
       Carneiro, 24-Jun-2013.)  (Revised by Mario Carneiro, 27-May-2014.) $)
    seqf2 $p |- ( ph -> seq M ( .+ , F ) : Z --> C ) $=
      ( vk cuz cfv cv wcel co cseq wf wfn wral cz seqfn wa adantr adantlr simpr
      syl caddc cfz elfzuz sylan2 seqcl2 ralrimiva ffnfv sylanbrc feq2i sylibr
      c1 ) AHPQZDFGHUAZUBZIDVDUBAVDVCUCZORZVDQDSZOVCUDVEAHUESVFMFGHUFUKAVHOVCAV
      GVCSZUGBCDEFGHVGAHGQDSVIJUHABRZDSCRZESUGVJVKFTDSVIKUIAVIUJAVJHVBULTZVGUMT
      SZVJGQESZVIVMAVJVLPQSVNVJVLVGUNNUOUIUPUQOVCDVDURUSIVCDVDLUTVA $.
  $}

  ${
    $d x y .+ $.  $d x y F $.  $d x y M $.  $d x y ph $.  $d x y S $.
    $d x N $.
    seqcl.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    seqcl.2 $e |- ( ( ph /\ x e. ( M ... N ) ) -> ( F ` x ) e. S ) $.
    seqcl.3 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x .+ y ) e. S ) $.
    $( Closure properties of the recursive sequence builder.  (Contributed by
       Mario Carneiro, 2-Jul-2013.)  (Revised by Mario Carneiro,
       27-May-2014.) $)
    seqcl $p |- ( ph -> ( seq M ( .+ , F ) ` N ) e. S ) $=
      ( cv cfv wcel cfz co wceq fveq2 eleq1d syl ralrimiva cuz eluzfz1 c1 caddc
      rspcdva cz wss eluzel2 fzp1ss sselda syldan seqcl2 ) ABCEEDFGHABLZFMZENZG
      FMZENBGHOPZGUNGQUOUQEUNGFRSAUPBURJUAAHGUBMNZGURNIGHUCTUFKIAUNGUDUEPHOPZNU
      NURNUPAUTURUNAGUGNZUTURUHAUSVAIGHUITGHUJTUKJULUM $.
  $}

  ${
    $d x y .+ $.  $d x y F $.  $d x y M $.  $d x y ph $.  $d x y S $.
    $d x Z $.
    seqf.1 $e |- Z = ( ZZ>= ` M ) $.
    seqf.2 $e |- ( ph -> M e. ZZ ) $.
    seqf.3 $e |- ( ( ph /\ x e. Z ) -> ( F ` x ) e. S ) $.
    seqf.4 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x .+ y ) e. S ) $.
    $( Range of the recursive sequence builder (special case of ~ seqf2 ).
       (Contributed by Mario Carneiro, 24-Jun-2013.) $)
    seqf $p |- ( ph -> seq M ( .+ , F ) : Z --> S ) $=
      ( cv cfv wcel wceq fveq2 eleq1d cuz eleqtrrdi ralrimiva cz syl rspcdva c1
      uzid caddc co wa peano2uzr sylan syldan seqf2 ) ABCEEDFGHABMZFNZEOZGFNZEO
      BHGUNGPUOUQEUNGFQRAUPBHKUAAGGSNZHAGUBOZGUROJGUFUCITUDLIJAUNGUEUGUHSNOZUNH
      OUPAUTUIUNURHAUSUTUNUROJGUNUJUKITKULUM $.
  $}

  ${
    $d k n x F $.  $d k n x G $.  $d k n x K $.  $d k n x N $.  $d k n x ph $.
    $d n x M $.  $d n x .+ $.
    seqfveq2.1 $e |- ( ph -> K e. ( ZZ>= ` M ) ) $.
    seqfveq2.2 $e |- ( ph -> ( seq M ( .+ , F ) ` K ) = ( G ` K ) ) $.
    ${
      seqfveq2.3 $e |- ( ph -> N e. ( ZZ>= ` K ) ) $.
      seqfveq2.4 $e |- ( ( ph /\ k e. ( ( K + 1 ) ... N ) ) ->
                         ( F ` k ) = ( G ` k ) ) $.
      $( Equality of sequences.  (Contributed by NM, 17-Mar-2005.)  (Revised by
         Mario Carneiro, 27-May-2014.) $)
      seqfveq2 $p |- ( ph ->
                       ( seq M ( .+ , F ) ` N ) = ( seq K ( .+ , G ) ` N ) ) $=
        ( co wcel cfv wceq cuz wi fveq2 eqeq12d vx vn cfz cseq eluzfz2 cv caddc
        syl c1 eleq1 imbi12d imbi2d cz eluzelz seq1 eqtr4d a1d peano2fzr adantl
        3syl wa expr imim1d oveq1 simpl uztrn syl2anr ad2antrl ralrimiva adantr
        seqp1 eluzp1p1 elfzuz3 ad2antll elfzuzb sylanbrc rspcdva oveq2d syl5ibr
        wral animpimp2impd uzind4i mpcom mpd ) AHFHUCMZNZHBDGUDZOZHBEFUDZOZPZAH
        FQOZNZWFKFHUEUHWMAWFWKRZKAUAUFZWENZWOWGOZWOWIOZPZRZRAFWENZFWGOZFWIOZPZR
        ZRAUBUFZWENZXFWGOZXFWIOZPZRZRAXFUIUGMZWENZXLWGOZXLWIOZPZRZRAWNRUAUBFHWO
        FPZWTXEAXRWPXAWSXDWOFWEUJXRWQXBWRXCWOFWGSWOFWISTUKULWOXFPZWTXKAXSWPXGWS
        XJWOXFWEUJXSWQXHWRXIWOXFWGSWOXFWISTUKULWOXLPZWTXQAXTWPXMWSXPWOXLWEUJXTW
        QXNWRXOWOXLWGSWOXLWISTUKULWOHPZWTWNAYAWPWFWSWKWOHWEUJYAWQWHWRWJWOHWGSWO
        HWISTUKULAXDXAAXBFEOZXCJAFGQOZNZFUMNXCYBPIGFUNBEFUOUTUPUQXFWLNZAXKXMXPX
        JAYEVAXMXGXJAYEXMXGYEXMVAZXGAXFFHURUSVBVCXJXPAYFVAZXHXLDOZBMZXIYHBMZPXH
        XIYHBVDYGXNYIXOYJYGXFYCNZXNYIPYFYEYDYKAYEXMVEIFXFGVFVGBDGXFVKUHYGXOXIXL
        EOZBMZYJYEXOYMPAXMBEFXFVKVHYGYHYLXIBYGCUFZDOZYNEOZPZYHYLPCFUIUGMZHUCMZX
        LYNXLPYOYHYPYLYNXLDSYNXLESTAYQCYSVTYFAYQCYSLVIVJYGXLYRQONZHXLQONZXLYSNY
        EYTAXMFXFVLVHXMUUAAYEXLFHVMVNXLYRHVOVPVQVRUPTVSWAWBWCWD $.
    $}

    seqfeq2.4 $e |- ( ( ph /\ k e. ( ZZ>= ` ( K + 1 ) ) ) ->
                       ( F ` k ) = ( G ` k ) ) $.
    $( Equality of sequences.  (Contributed by Mario Carneiro, 13-Jul-2013.)
       (Revised by Mario Carneiro, 27-May-2014.) $)
    seqfeq2 $p |- ( ph -> ( seq M ( .+ , F ) |` ( ZZ>= ` K ) ) =
                            seq K ( .+ , G ) ) $=
      ( vx cuz cfv cseq wfn wcel cz seqfn 3syl wceq wss eluzel2 fnssres syl2anc
      cres uzss syl eluzelz cv wa fvres adantl adantr simpr c1 caddc cfz elfzuz
      co sylan2 adantlr seqfveq2 eqtrd eqfnfvd ) AKFLMZBDGNZVEUEZBEFNZAVFGLMZOZ
      VEVIUAZVGVEOAFVIPZGQPVJHGFUBBDGRSAVLVKHGFUFUGVIVEVFUCUDAVLFQPVHVEOHGFUHBE
      FRSAKUIZVEPZUJZVMVGMZVMVFMZVMVHMVNVPVQTAVMVEVFUKULVOBCDEFGVMAVLVNHUMAFVFM
      FEMTVNIUMAVNUNACUIZFUOUPUSZVMUQUSPZVRDMVREMTZVNVTAVRVSLMPWAVRVSVMURJUTVAV
      BVCVD $.
  $}

  ${
    $d k F $.  $d k G $.  $d k M $.  $d k N $.  $d k ph $.
    seqfveq.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    seqfveq.2 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) = ( G ` k ) ) $.
    $( Equality of sequences.  (Contributed by NM, 17-Mar-2005.)  (Revised by
       Mario Carneiro, 27-May-2014.) $)
    seqfveq $p |- ( ph ->
                    ( seq M ( .+ , F ) ` N ) = ( seq M ( .+ , G ) ` N ) ) $=
      ( cz wcel cuz cfv eluzel2 syl uzid wceq cfz co fveq2 cseq seq1 cv eqeq12d
      ralrimiva eluzfz1 rspcdva eqtrd caddc wss fzp1ss sselda syldan seqfveq2
      c1 ) ABCDEFFGAFJKZFFLMZKAGUQKZUPHFGNOZFPOAFBDFUAMZFDMZFEMZAUPUTVAQUSBDFUB
      OACUCZDMZVCEMZQZVAVBQCFGRSZFVCFQVDVAVEVBVCFDTVCFETUDAVFCVGIUEAURFVGKHFGUF
      OUGUHHAVCFUOUISGRSZKVCVGKVFAVHVGVCAUPVHVGUJUSFGUKOULIUMUN $.
  $}

  ${
    $d k x F $.  $d k x G $.  $d k x M $.  $d x .+ $.  $d k x ph $.
    seqfeq.1 $e |- ( ph -> M e. ZZ ) $.
    seqfeq.2 $e |- ( ( ph /\ k e. ( ZZ>= ` M ) ) -> ( F ` k ) = ( G ` k ) ) $.
    $( Equality of sequences.  (Contributed by Mario Carneiro, 13-Jul-2013.)
       (Revised by Mario Carneiro, 27-May-2014.) $)
    seqfeq $p |- ( ph -> seq M ( .+ , F ) = seq M ( .+ , G ) ) $=
      ( vx cuz cfv cseq cz wcel wfn seqfn syl cv wa simpr co wceq elfzuz sylan2
      cfz adantlr seqfveq eqfnfvd ) AIFJKZBDFLZBEFLZAFMNZUJUIOGBDFPQAULUKUIOGBE
      FPQAIRZUINZSBCDEFUMAUNTACRZFUMUEUANZUODKUOEKUBZUNUPAUOUINUQUOFUMUCHUDUFUG
      UH $.
  $}

  ${
    $d k n x F $.  $d k n x G $.  $d k n x K $.  $d k n x M $.  $d k n x ph $.
    $d k n x N $.  $d n x .+ $.
    seqshft2.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    seqshft2.2 $e |- ( ph -> K e. ZZ ) $.
    seqshft2.3 $e |- ( ( ph /\ k e. ( M ... N ) ) ->
                       ( F ` k ) = ( G ` ( k + K ) ) ) $.
    $( Shifting the index set of a sequence.  (Contributed by Mario Carneiro,
       27-Feb-2014.)  (Revised by Mario Carneiro, 27-May-2014.) $)
    seqshft2 $p |- ( ph -> ( seq M ( .+ , F ) ` N ) =
                           ( seq ( M + K ) ( .+ , G ) ` ( N + K ) ) ) $=
      ( co wcel cfv caddc wceq syl wi fveq2 eqeq12d vx vn cfz cuz eluzfz2 cv c1
      eleq1 fvoveq1 imbi12d imbi2d cz ralrimiva eluzfz1 rspcdva eluzel2 zaddcld
      cseq seq1 3eqtr4d a1i13 peano2fzr adantl imim1d oveq1 simprl seqp1 adantr
      wa expr eluzadd syl2anc eluzelz cc ax-1cn add32 mp3an2 syl2an fveq2d wral
      zcn simprr eqtrd oveq2d syl5ibr animpimp2impd uzind4 mpcom mpd ) AHGHUCLZ
      MZHBDGURZNZHFOLBEGFOLZURZNZPZAHGUDNZMZWKIGHUEQWSAWKWQRZIAUAUFZWJMZXAWLNZX
      AFOLWONZPZRZRAGWJMZGWLNZWNWONZPZRZRAUBUFZWJMZXLWLNZXLFOLZWONZPZRZRAXLUGOL
      ZWJMZXSWLNZXSFOLZWONZPZRZRAWTRUAUBGHXAGPZXFXKAYFXBXGXEXJXAGWJUHYFXCXHXDXI
      XAGWLSXAGFWOOUITUJUKXAXLPZXFXRAYGXBXMXEXQXAXLWJUHYGXCXNXDXPXAXLWLSXAXLFWO
      OUITUJUKXAXSPZXFYEAYHXBXTXEYDXAXSWJUHYHXCYAXDYCXAXSWLSXAXSFWOOUITUJUKXAHP
      ZXFWTAYIXBWKXEWQXAHWJUHYIXCWMXDWPXAHWLSXAHFWOOUITUJUKGULMZAXGXJAGDNZWNENZ
      XHXIACUFZDNZYMFOLENZPZYKYLPCWJGYMGPYNYKYOYLYMGDSYMGFEOUITAYPCWJKUMZAWSXGI
      GHUNQUOAYJXHYKPAWSYJIGHUPQZBDGUSQAWNULMXIYLPAGFYRJUQBEWNUSQUTVAXLWRMZAXRX
      TYDXQAYSVIXTXMXQAYSXTXMYSXTVIZXMAXLGHVBVCVJVDXQYDAYTVIZXNXSDNZBLZXPUUBBLZ
      PXNXPUUBBVEUUAYAUUCYCUUDUUAYSYAUUCPAYSXTVFZBDGXLVGQUUAXOUGOLZWONZXPUUFENZ
      BLZYCUUDUUAXOWNUDNMZUUGUUIPUUAYSFULMZUUJUUEAUUKYTJVHZFGXLVKVLBEWNXOVGQUUA
      YBUUFWOUUAXLULMZUUKYBUUFPZUUAYSUUMUUEGXLVMQUULUUMXLVNMZFVNMZUUNUUKXLWAFWA
      UUOUGVNMUUPUUNVOXLUGFVPVQVRVLZVSUUAUUBUUHXPBUUAUUBYBENZUUHUUAYPUUBUURPCWJ
      XSYMXSPYNUUBYOUURYMXSDSYMXSFEOUITAYPCWJVTYTYQVHAYSXTWBUOUUAYBUUFEUUQVSWCW
      DUTTWEWFWGWHWI $.
  $}

  ${
    $d F k $.  $d M k $.
    $( Restricting its characteristic function to ` ( ZZ>= `` M ) ` does not
       affect the ` seq ` function.  (Contributed by Mario Carneiro,
       24-Jun-2013.)  (Revised by Mario Carneiro, 27-May-2014.) $)
    seqres $p |- ( M e. ZZ -> seq M ( .+ , ( F |` ( ZZ>= ` M ) ) ) =
                              seq M ( .+ , F ) ) $=
      ( vk cz wcel cuz cfv cres id cv wceq fvres adantl seqfeq ) CEFZADBCGHZIZB
      CPJDKZQFSRHSBHLPSQBMNO $.
  $}

  ${
    $d k x F $.  $d k x M $.  $d k x ph $.  $d k Z $.
    serf.1 $e |- Z = ( ZZ>= ` M ) $.
    serf.2 $e |- ( ph -> M e. ZZ ) $.
    ${
      serf.3 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
      $( An infinite series of complex terms is a function from ` NN ` to
         ` CC ` .  (Contributed by NM, 18-Apr-2005.)  (Revised by Mario
         Carneiro, 27-May-2014.) $)
      serf $p |- ( ph -> seq M ( + , F ) : Z --> CC ) $=
        ( vx caddc cc cv wcel wa co addcl adantl seqf ) ABIJKCDEFGHBLZKMILZKMNS
        TJOKMASTPQR $.
    $}

    serfre.3 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. RR ) $.
    $( An infinite series of real numbers is a function from ` NN ` to ` RR ` .
       (Contributed by NM, 18-Apr-2005.)  (Revised by Mario Carneiro,
       27-May-2014.) $)
    serfre $p |- ( ph -> seq M ( + , F ) : Z --> RR ) $=
      ( vx caddc cr cv wcel wa co readdcl adantl seqf ) ABIJKCDEFGHBLZKMILZKMNS
      TJOKMASTPQR $.
  $}

  ${
    $d k n x F $.  $d k n x M $.  $d k n x N $.  $d k n x ph $.
    monoord.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    monoord.2 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. RR ) $.
    monoord.3 $e |- ( ( ph /\ k e. ( M ... ( N - 1 ) ) ) ->
                   ( F ` k ) <_ ( F ` ( k + 1 ) ) ) $.
    $( Ordering relation for a monotonic sequence, increasing case.
       (Contributed by NM, 13-Mar-2005.)  (Revised by Mario Carneiro,
       9-Feb-2014.) $)
    monoord $p |- ( ph -> ( F ` M ) <_ ( F ` N ) ) $=
      ( co wcel cfv cle wbr syl wi c1 wceq eleq1 fveq2 cr vx vn cfz cuz eluzfz2
      cv caddc breq2d imbi12d imbi2d eleq1d ralrimiva eluzfz1 rspcdva leidd a1d
      wa peano2fzr adantl expr imim1d cmin fvoveq1 breq12d adantr simprl simprr
      wral eluzelz elfzuz3 eluzp1m1 syl2anc elfzuzb sylanbrc letr animpimp2impd
      cz syl3anc mpan2d uzind4i mpcom mpd ) AEDEUCIZJZDCKZECKZLMZAEDUDKZJZWDFDE
      UENWIAWDWGOZFAUAUFZWCJZWEWKCKZLMZOZOADWCJZWEWELMZOZOAUBUFZWCJZWEWSCKZLMZO
      ZOAWSPUGIZWCJZWEXDCKZLMZOZOAWJOUAUBDEWKDQZWOWRAXIWLWPWNWQWKDWCRXIWMWEWELW
      KDCSUHUIUJWKWSQZWOXCAXJWLWTWNXBWKWSWCRXJWMXAWELWKWSCSUHUIUJWKXDQZWOXHAXKW
      LXEWNXGWKXDWCRXKWMXFWELWKXDCSUHUIUJWKEQZWOWJAXLWLWDWNWGWKEWCRXLWMWFWELWKE
      CSUHUIUJAWQWPAWEABUFZCKZTJZWETJZBWCDXMDQXNWETXMDCSUKAXOBWCGULZAWIWPFDEUMN
      UNZUOUPWSWHJZAXCXEXGXBAXSUQXEWTXBAXSXEWTXSXEUQZWTAWSDEURUSZUTVAAXTUQZXBXA
      XFLMZXGYBXNXMPUGICKZLMZYCBDEPVBIZUCIZWSXMWSQZXNXAYDXFLXMWSCSZXMWSPCUGVCVD
      AYEBYGVHXTAYEBYGHULVEYBXSYFWSUDKJZWSYGJAXSXEVFZYBWSVQJZEXDUDKJZYJYBXSYLYK
      DWSVINYBXEYMAXSXEVGZXDDEVJNWSEVKVLWSDYFVMVNUNYBXPXATJZXFTJZXBYCUQXGOAXPXT
      XRVEYBXOYOBWCWSYHXNXATYIUKAXOBWCVHXTXQVEZYAUNYBXOYPBWCXDXMXDQXNXFTXMXDCSU
      KYQYNUNWEXAXFVOVRVSVPVTWAWB $.
  $}

  ${
    $d k n F $.  $d k n M $.  $d k n N $.  $d k n ph $.
    monoord2.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    monoord2.2 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. RR ) $.
    monoord2.3 $e |- ( ( ph /\ k e. ( M ... ( N - 1 ) ) ) ->
                   ( F ` ( k + 1 ) ) <_ ( F ` k ) ) $.
    $( Ordering relation for a monotonic sequence, decreasing case.
       (Contributed by Mario Carneiro, 18-Jul-2014.) $)
    monoord2 $p |- ( ph -> ( F ` N ) <_ ( F ` M ) ) $=
      ( vn cfv cle wbr cneg cfz co cr wcel c1 wceq syl cv wa renegcld ffvelrnda
      cmpt fmpttd cmin caddc wral fvoveq1 fveq2 breq12d cbvralvw sylib r19.21bi
      ralrimiva eleq1d adantr fzp1elp1 adantl cc cz eluzelz zcnd ax-1cn sylancl
      cuz npcan oveq2d eleqtrd rspcdva fzssp1 sseqtrid sselda lenegd mpbid eqid
      negeqd negex fvmpt 3brtr4d monoord eluzfz1 eluzfz2 3brtr3d mpbird ) AECJZ
      DCJZKLWHMZWGMZKLADBDENOZBUAZCJZMZUEZJZEWOJZWIWJKAIWODEFAWKPIUAZWOABWKWNPA
      WLWKQUBWMGUCUFUDAWRDERUGOZNOZQZUBZWRCJZMZWRRUHOZCJZMZWRWOJZXEWOJZKXBXFXCK
      LZXDXGKLAXJIWTAWLRUHOCJZWMKLZBWTUIXJIWTUIAXLBWTHUPXLXJBIWTWLWRSZXKXFWMXCK
      WLWRRCUHUJWLWRCUKZULUMUNUOXBXFXCXBWMPQZXFPQBWKXEWLXESZWMXFPWLXECUKZUQAXOB
      WKUIXAAXOBWKGUPZURZXBXEDWSRUHOZNOZWKXAXEYAQAWRDWSUSUTAYAWKSXAAXTEDNAEVAQR
      VAQXTESAEAEDVGJQZEVBQFDEVCTVDVEERVHVFVIZURVJZVKXBXOXCPQBWKWRXMWMXCPXNUQXS
      AWTWKWRAYAWTWKDWSVLYCVMVNZVKVOVPXBWRWKQXHXDSYEBWRWNXDWKWOXMWMXCXNVRWOVQZX
      CVSVTTXBXEWKQXIXGSYDBXEWNXGWKWOXPWMXFXQVRYFXFVSVTTWAWBADWKQZWPWISAYBYGFDE
      WCTZBDWNWIWKWOWLDSZWMWHWLDCUKZVRYFWHVSVTTAEWKQZWQWJSAYBYKFDEWDTZBEWNWJWKW
      OWLESZWMWGWLECUKZVRYFWGVSVTTWEAWGWHAXOWGPQBWKEYMWMWGPYNUQXRYLVKAXOWHPQBWK
      DYIWMWHPYJUQXRYHVKVOWF $.
  $}

  ${
    $d k x y F $.  $d k x y K $.  $d k x y M $.  $d k x y N $.  $d k x y ph $.
    sermono.1 $e |- ( ph -> K e. ( ZZ>= ` M ) ) $.
    sermono.2 $e |- ( ph -> N e. ( ZZ>= ` K ) ) $.
    sermono.3 $e |- ( ( ph /\ x e. ( M ... N ) ) -> ( F ` x ) e. RR ) $.
    sermono.4 $e |- ( ( ph /\ x e. ( ( K + 1 ) ... N ) ) -> 0 <_ ( F ` x ) ) $.
    $( The partial sums in an infinite series of positive terms form a
       monotonic sequence.  (Contributed by NM, 17-Mar-2005.)  (Revised by
       Mario Carneiro, 30-Jun-2013.) $)
    sermono $p |- ( ph ->
                    ( seq M ( + , F ) ` K ) <_ ( seq M ( + , F ) ` N ) ) $=
      ( caddc cfz co wcel cr cfv adantl syl c1 cle vk vy cv wa cuz elfzuz uztrn
      cseq syl2anr wss elfzuz3 fzss2 sselda adantlr syldan readdcl cmin cc0 wbr
      seqcl wceq fveq2 breq2d wral ralrimiva adantr simpr cz wb eluzelz elfzelz
      peano2zm 1zzd fzaddel syl22anc mpbid cc zcn ax-1cn sylancl oveq2d eleqtrd
      npcan rspcdva fzelp1 eleq1d fzss1 fzp1elp1 sseldd addge01d seqp1 breqtrrd
      monoord ) AUAKCEUHZDFHAUAUCZDFLMZNZUDZBUBKOCEWOWQWODUEPZNDEUEPZNZWOWTNZAW
      ODFUFGDWOEUGUIZWRBUCZEWOLMZNXDEFLMZNZXDCPZONZWRXEXFXDWRFWOUEPNZXEXFUJWQXJ
      AWODFUKQWOEFULRUMAXGXIWQIUNUOXDONUBUCZONUDXDXKKMONWRXDXKUPQUTZAWODFSUQMZL
      MNZUDZWOWNPZXPWOSKMZCPZKMZXQWNPZTXOURXRTUSZXPXSTUSXOURXHTUSZYABDSKMZFLMZX
      QXDXQVAZXHXRURTXDXQCVBZVCAYBBYDVDXNAYBBYDJVEVFXOXQYCXMSKMZLMZYDXOXNXQYHNZ
      AXNVGXODVHNZXMVHNZWOVHNZSVHNXNYIVIXOXAYJAXAXNGVFZEDVJRXOFVHNZYKXOFWSNZYNA
      YOXNHVFDFVJRZFVLRXNYLAWODXMVKQXOVMWOSDXMVNVOVPXOYGFYCLXOYNYGFVAZYPYNFVQNS
      VQNYQFVRVSFSWCVTRZWAWBWDXOXPXRAXNWQXPONXOWODYGLMZWPXNWOYSNAWODXMWEQXOYGFD
      LYRWAZWBZXLUOXOXIXRONBXFXQYEXHXROYFWFAXIBXFVDXNAXIBXFIVEVFXOWPXFXQXOXAWPX
      FUJYMDEFWGRXOXQYSWPXNXQYSNAWODXMWHQYTWBWIWDWJVPXOXBXTXSVAAXNWQXBUUAXCUOKC
      EWOWKRWLWM $.
  $}

  ${
    $d n x y z F $.  $d n x y z K $.  $d n x y z M $.  $d n x y z ph $.
    $d n x y z N $.  $d n x y z .+ $.  $d x y z S $.
    seqsplit.1 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x .+ y ) e. S ) $.
    seqsplit.2 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ z e. S ) ) ->
                       ( ( x .+ y ) .+ z ) = ( x .+ ( y .+ z ) ) ) $.
    seqsplit.3 $e |- ( ph -> N e. ( ZZ>= ` ( M + 1 ) ) ) $.
    ${
      seqsplit.4 $e |- ( ph -> M e. ( ZZ>= ` K ) ) $.
      seqsplit.5 $e |- ( ( ph /\ x e. ( K ... N ) ) -> ( F ` x ) e. S ) $.
      $( Split a sequence into two sequences.  (Contributed by NM,
         17-Mar-2005.)  (Revised by Mario Carneiro, 27-May-2014.) $)
      seqsplit $p |- ( ph -> ( seq K ( .+ , F ) ` N ) =
          ( ( seq K ( .+ , F ) ` M ) .+ ( seq ( M + 1 ) ( .+ , F ) ` N ) ) ) $=
        ( co wcel cfv wceq wi vn c1 caddc cfz cseq cuz eluzfz2 syl eleq1 oveq2d
        cv fveq2 eqeq12d imbi12d imbi2d cz seqp1 eluzel2 seq1 3syl eqtr4d a1i13
        peano2fzr adantl expr imim1d oveq1 simprl peano2uz adantr uztrn syl2anc
        wa simpl wss eluzelz peano2uzr fzss2 sselda seqcl elfzuz3 fzss1 adantlr
        syldan sstrd eleq1d wral ralrimiva simpr ssel2 syl2an caovassg syl13anc
        rspcdva syl5ibr animpimp2impd uzind4 mpcom mpd ) AJIUBUCPZJUDPZQZJEGHUE
        ZRZIXCRZJEGWTUEZRZEPZSZAJWTUFRZQZXBMWTJUGUHXKAXBXITZMABUKZXAQZXMXCRZXEX
        MXFRZEPZSZTZTAWTXAQZWTXCRZXEWTXFRZEPZSZTZTAUAUKZXAQZYFXCRZXEYFXFRZEPZSZ
        TZTAYFUBUCPZXAQZYMXCRZXEYMXFRZEPZSZTZTAXLTBUAWTJXMWTSZXSYEAYTXNXTXRYDXM
        WTXAUIYTXOYAXQYCXMWTXCULYTXPYBXEEXMWTXFULUJUMUNUOXMYFSZXSYLAUUAXNYGXRYK
        XMYFXAUIUUAXOYHXQYJXMYFXCULUUAXPYIXEEXMYFXFULUJUMUNUOXMYMSZXSYSAUUBXNYN
        XRYRXMYMXAUIUUBXOYOXQYQXMYMXCULUUBXPYPXEEXMYMXFULUJUMUNUOXMJSZXSXLAUUCX
        NXBXRXIXMJXAUIUUCXOXDXQXHXMJXCULUUCXPXGXEEXMJXFULUJUMUNUOWTUPQZAXTYDAYA
        XEWTGRZEPZYCAIHUFRZQZYAUUFSNEGHIUQUHAYBUUEXEEAXKUUDYBUUESMWTJUREGWTUSUT
        UJVAVBYFXJQZAYLYNYRYKAUUIVMYNYGYKAUUIYNYGUUIYNVMZYGAYFWTJVCVDZVEVFYKYRA
        UUJVMZYHYMGRZEPZYJUUMEPZSYHYJUUMEVGUULYOUUNYQUUOUULYFUUGQZYOUUNSUULUUIW
        TUUGQZUUPAUUIYNVHZAUUQUUJAUUHUUQNHIVIZUHVJWTYFHVKVLEGHYFUQUHUULYQXEYIUU
        MEPZEPZUUOUULYPUUTXEEUULUUIYPUUTSUUREGWTYFUQUHUJUULAXEFQZYIFQUUMFQZUUOU
        VASAUUJVNAUVBUUJABCEFGHINAXMHIUDPZQXMHJUDPZQZXMGRZFQZAUVDUVEXMAJIUFRQZU
        VDUVEVOAIUPQZXKUVIAUUHUVJNHIVPUHMIJVQVLIHJVRUHVSOWDKVTVJUULBCEFGWTYFUUR
        UULXMWTYFUDPZQUVFUVHUULUVKUVEXMUULUVKXAUVEUULYGJYFUFRQUVKXAVOUUKYFWTJWA
        YFWTJVRUTAXAUVEVOZUUJAUUHUUQUVLNUUSWTHJWBUTZVJWEVSAUVFUVHUUJOWCWDAXMFQC
        UKZFQVMXMUVNEPFQUUJKWCVTUULUVHUVCBUVEYMUUBUVGUUMFXMYMGULWFAUVHBUVEWGUUJ
        AUVHBUVEOWHVJAUVLYNYMUVEQUUJUVMUUIYNWIXAUVEYMWJWKWNABCDXEYIUUMFELWLWMVA
        UMWOWPWQWRWS $.
    $}

    seq1p.4 $e |- ( ph -> M e. ZZ ) $.
    seq1p.5 $e |- ( ( ph /\ x e. ( M ... N ) ) -> ( F ` x ) e. S ) $.
    $( Removing the first term from a sequence.  (Contributed by NM,
       17-Mar-2005.)  (Revised by Mario Carneiro, 27-May-2014.) $)
    seq1p $p |- ( ph -> ( seq M ( .+ , F ) ` N ) =
                  ( ( F ` M ) .+ ( seq ( M + 1 ) ( .+ , F ) ` N ) ) ) $=
      ( cseq cfv c1 co wcel syl caddc cuz uzid seqsplit wceq seq1 oveq1d eqtrd
      cz ) AIEGHOZPHUJPZIEGHQUAROPZERHGPZULERABCDEFGHHIJKLAHUISZHHUBPSMHUCTNUDA
      UKUMULEAUNUKUMUEMEGHUFTUGUH $.
  $}

  ${
    $d k n x y z F $.  $d k n z H $.  $d k n x y z N $.  $d k n x y z ph $.
    $d k n x y z G $.  $d k n x y z M $.  $d k n x y z Q $.  $d n x y z .+ $.
    $d k x y z S $.
    seqcaopr3.1 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x .+ y ) e. S ) $.
    seqcaopr3.2 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x Q y ) e. S ) $.
    seqcaopr3.3 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    seqcaopr3.4 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. S ) $.
    seqcaopr3.5 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( G ` k ) e. S ) $.
    seqcaopr3.6 $e |- ( ( ph /\ k e. ( M ... N ) ) ->
                        ( H ` k ) = ( ( F ` k ) Q ( G ` k ) ) ) $.
    seqcaopr3.7 $e |- ( ( ph /\ n e. ( M ..^ N ) ) ->
      ( ( ( seq M ( .+ , F ) ` n ) Q ( seq M ( .+ , G ) ` n ) ) .+
        ( ( F ` ( n + 1 ) ) Q ( G ` ( n + 1 ) ) ) ) =
      ( ( ( seq M ( .+ , F ) ` n ) .+ ( F ` ( n + 1 ) ) ) Q
        ( ( seq M ( .+ , G ) ` n ) .+ ( G ` ( n + 1 ) ) ) ) ) $.
    $( Lemma for ~ seqcaopr2 .  (Contributed by Mario Carneiro,
       25-Apr-2016.) $)
    seqcaopr3 $p |- ( ph -> ( seq M ( .+ , H ) ` N ) =
                   ( ( seq M ( .+ , F ) ` N ) Q ( seq M ( .+ , G ) ` N ) ) ) $=
      ( vz cfz co wcel cseq cfv wceq cuz eluzfz2 cv wi c1 caddc oveq12d eqeq12d
      syl fveq2 imbi2d ralrimiva eluzfz1 rspcdva cz eluzel2 seq1 3eqtr4d a1i wa
      cfzo oveq1 elfzouz adantl seqp1 wral adantr fzofzp1 oveq2d syl5ibr expcom
      3eqtr4rd a2d fzind2 mpcom ) MLMUBUCZUDZAMDKLUEZUFZMDILUEZUFZMDJLUEZUFZEUC
      ZUGZAMLUHUFZUDZWDPLMUIUPAUAUJZWEUFZWOWGUFZWOWIUFZEUCZUGZUKALWEUFZLWGUFZLW
      IUFZEUCZUGZUKZAHUJZWEUFZXGWGUFZXGWIUFZEUCZUGZUKAXGULUMUCZWEUFZXMWGUFZXMWI
      UFZEUCZUGZUKAWLUKUAHMLMWOLUGZWTXEAXSWPXAWSXDWOLWEUQXSWQXBWRXCEWOLWGUQWOLW
      IUQUNUOURWOXGUGZWTXLAXTWPXHWSXKWOXGWEUQXTWQXIWRXJEWOXGWGUQWOXGWIUQUNUOURW
      OXMUGZWTXRAYAWPXNWSXQWOXMWEUQYAWQXOWRXPEWOXMWGUQWOXMWIUQUNUOURWOMUGZWTWLA
      YBWPWFWSWKWOMWEUQYBWQWHWRWJEWOMWGUQWOMWIUQUNUOURXFWNALKUFZLIUFZLJUFZEUCZX
      AXDAGUJZKUFZYGIUFZYGJUFZEUCZUGZYCYFUGGWCLYGLUGZYHYCYKYFYGLKUQYMYIYDYJYEEY
      GLIUQYGLJUQUNUOAYLGWCSUSZAWNLWCUDPLMUTUPVAALVBUDZXAYCUGAWNYOPLMVCUPZDKLVD
      UPAYOXDYFUGYPYOXBYDXCYEEDILVDDJLVDUNUPVEVFXGLMVHUCUDZAXLXRAYQXLXRUKXLXRAY
      QVGZXHXMKUFZDUCZXKYSDUCZUGXHXKYSDVIYRXNYTXQUUAYRXGWMUDZXNYTUGYQUUBAXGLMVJ
      VKZDKLXGVLUPYRXKXMIUFZXMJUFZEUCZDUCXIUUDDUCZXJUUEDUCZEUCZUUAXQTYRYSUUFXKD
      YRYLYSUUFUGGWCXMYGXMUGZYHYSYKUUFYGXMKUQUUJYIUUDYJUUEEYGXMIUQYGXMJUQUNUOAY
      LGWCVMYQYNVNYQXMWCUDALMXGVOVKVAVPYRUUBXQUUIUGUUCUUBXOUUGXPUUHEDILXGVLDJLX
      GVLUNUPVSUOVQVRVTWAWB $.
  $}

  ${
    $d k n w x y z F $.  $d k n z H $.  $d k n x y z N $.  $d k n w x y z ph $.
    $d k n w x y z G $.  $d k n w x y z M $.  $d k n w x y z Q $.
    $d n w x y z .+ $.  $d k w x y z S $.
    seqcaopr2.1 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x .+ y ) e. S ) $.
    seqcaopr2.2 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x Q y ) e. S ) $.
    seqcaopr2.3 $e |- ( ( ph /\
                        ( ( x e. S /\ y e. S ) /\ ( z e. S /\ w e. S ) ) ) ->
                  ( ( x Q z ) .+ ( y Q w ) ) = ( ( x .+ y ) Q ( z .+ w ) ) ) $.
    seqcaopr2.4 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    seqcaopr2.5 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. S ) $.
    seqcaopr2.6 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( G ` k ) e. S ) $.
    seqcaopr2.7 $e |- ( ( ph /\ k e. ( M ... N ) ) ->
                        ( H ` k ) = ( ( F ` k ) Q ( G ` k ) ) ) $.
    $( The sum of two infinite series (generalized to an arbitrary commutative
       and associative operation).  (Contributed by Mario Carneiro,
       30-May-2014.) $)
    seqcaopr2 $p |- ( ph -> ( seq M ( .+ , H ) ` N ) =
                   ( ( seq M ( .+ , F ) ` N ) Q ( seq M ( .+ , G ) ` N ) ) ) $=
      ( vn cv cfzo co wcel wa cseq cfv c1 caddc wceq cuz elfzouz adantl cfz wss
      wral elfzouz2 fzss2 syl sselda ralrimiva adantr fveq2 eleq1d sylan syldan
      rspccva adantlr fzofzp1 syl2an anassrs ralrimivva oveq1d eqeq12d 2ralbidv
      seqcl oveq1 oveq2d oveq2 rspc2va syl21anc seqcaopr3 ) ABCFGHIUBJKLMNOPRST
      UAAUBUCZMNUDUEUFZUGZWEFKMUHUIZHUFWEUJUKUEZKUIZHUFZWEFJMUHUIZDUCZGUEZWIJUI
      ZEUCZGUEZFUEZWLWOFUEZWMWPFUEZGUEZULZEHURDHURZWLWHGUEZWOWJGUEZFUEZWSWHWJFU
      EZGUEZULZWGBCFHKMWEWFWEMUMUIUFAWEMNUNUOZWGBUCZMWEUPUEZUFZXKMNUPUEZUFZXKKU
      IZHUFZWGXLXNXKWGNWEUMUIUFZXLXNUQWFXRAWEMNUSUOWEMNUTVAVBZWGIUCZKUIZHUFZIXN
      URZXOXQAYCWFAYBIXNTVCZVDYBXQIXKXNXTXKULZYAXPHXTXKKVEVFVIVGVHAXKHUFCUCZHUF
      UGZXKYFFUEZHUFWFOVJZVRAYCWIXNUFZWKWFYDMNWEVKZYBWKIWIXNXTWIULZYAWJHXTWIKVE
      VFVIVLWGWLHUFWOHUFZXKWMGUEZYFWPGUEZFUEZYHWTGUEZULZEHURDHURZCHURBHURZXCWGB
      CFHJMWEXJWGXMXOXKJUIZHUFZXSAXOUUBWFAXTJUIZHUFZIXNURZXOUUBAUUDIXNSVCZUUDUU
      BIXKXNYEUUCUUAHXTXKJVEVFVIVGVJVHYIVRAUUEYJYMWFUUFYKUUDYMIWIXNYLUUCWOHXTWI
      JVEVFVIVLAYTWFAYSBCHHAYGUGYRDEHHAYGWMHUFWPHUFUGYRQVMVNVNVDYSXCWNYOFUEZWLY
      FFUEZWTGUEZULZEHURDHURBCWLWOHHXKWLULZYRUUJDEHHUUKYPUUGYQUUIUUKYNWNYOFXKWL
      WMGVSVOUUKYHUUHWTGXKWLYFFVSVOVPVQYFWOULZUUJXBDEHHUULUUGWRUUIXAUULYOWQWNFY
      FWOWPGVSVTUULUUHWSWTGYFWOWLFWAVOVPVQWBWCXBXIXDWQFUEZWSWHWPFUEZGUEZULDEWHW
      JHHWMWHULZWRUUMXAUUOUUPWNXDWQFWMWHWLGWAVOUUPWTUUNWSGWMWHWPFVSVTVPWPWJULZU
      UMXFUUOXHUUQWQXEXDFWPWJWOGWAVTUUQUUNXGWSGWPWJWHFWAVTVPWBWCWD $.
  $}

  ${
    $d a b c d k F $.  $d a b c d k G $.  $d c k H $.  $d a b c d k x y z ph $.
    $d a b c d k M $.  $d a b c d k x y z .+ $.  $d a b c d k x y z S $.
    $d a b c k N $.
    seqcaopr.1 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x .+ y ) e. S ) $.
    seqcaopr.2 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) ->
                       ( x .+ y ) = ( y .+ x ) ) $.
    seqcaopr.3 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ z e. S ) ) ->
                       ( ( x .+ y ) .+ z ) = ( x .+ ( y .+ z ) ) ) $.
    seqcaopr.4 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    seqcaopr.5 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. S ) $.
    seqcaopr.6 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( G ` k ) e. S ) $.
    seqcaopr.7 $e |- ( ( ph /\ k e. ( M ... N ) ) ->
                        ( H ` k ) = ( ( F ` k ) .+ ( G ` k ) ) ) $.
    $( The sum of two infinite series (generalized to an arbitrary commutative
       and associative operation).  (Contributed by NM, 17-Mar-2005.)  (Revised
       by Mario Carneiro, 30-May-2014.) $)
    seqcaopr $p |- ( ph -> ( seq M ( .+ , H ) ` N ) =
                  ( ( seq M ( .+ , F ) ` N ) .+ ( seq M ( .+ , G ) ` N ) ) ) $=
      ( co va vb vc vd cv caovclg wcel wa simpl simprrl simprlr caovcomg oveq1d
      syl12anc simprrr caovassg syl13anc 3eqtr3d oveq2d simprll adantrl 3eqtr4d
      wceq seqcaopr2 ) AUAUBUCUDEEFGHIJKLABCUAUEZUBUEZFFFEMUFZVGAVEFUGZVFFUGZUH
      ZUCUEZFUGZUDUEZFUGZUHZUHZUHZVEVKVFVMETZETZETZVEVFVKVMETZETZETZVEVKETVRETZ
      VEVFETWAETZVQVSWBVEEVQVKVFETZVMETZVFVKETZVMETZVSWBVQWFWHVMEVQAVLVIWFWHVCA
      VPUIZAVJVLVNUJZAVHVIVOUKZABCVKVFFENULUNUMVQAVLVIVNWGVSVCWJWKWLAVJVLVNUOZA
      BCDVKVFVMFEOUPUQVQAVIVLVNWIWBVCWJWLWKWMABCDVFVKVMFEOUPUQURUSVQAVHVLVRFUGZ
      WDVTVCWJAVHVIVOUTZWKVQAVIVNWNWJWLWMABCVFVMFFFEMUFUNABCDVEVKVRFEOUPUQVQAVH
      VIWAFUGZWEWCVCWJWOWLAVOWPVJABCVKVMFFFEMUFVAABCDVEVFWAFEOUPUQVBPQRSVD $.
  $}

  ${
    $d f g k x y z F $.  $d f g k m n x y z G $.  $d f g k m n s t w x y z M $.
    $d f g k m n s t w x y z .+ $.  $d f g x y z J $.  $d f g k m n x y z N $.
    $d k m n x y z K $.  $d f g k m n s t w x y z ph $.  $d k s t w x y z S $.
    $d f g k s t w x y z C $.  $d k H $.
    seqf1o.1 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x .+ y ) e. S ) $.
    seqf1o.2 $e |- ( ( ph /\ ( x e. C /\ y e. C ) ) ->
                     ( x .+ y ) = ( y .+ x ) ) $.
    seqf1o.3 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ z e. S ) ) ->
                     ( ( x .+ y ) .+ z ) = ( x .+ ( y .+ z ) ) ) $.
    seqf1o.4 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    seqf1o.5 $e |- ( ph -> C C_ S ) $.
    ${
      seqf1olem2a.1 $e |- ( ph -> G : A --> C ) $.
      seqf1olem2a.3 $e |- ( ph -> K e. A ) $.
      seqf1olem2a.4 $e |- ( ph -> ( M ... N ) C_ A ) $.
      $( Lemma for ~ seqf1o .  (Contributed by Mario Carneiro, 24-Apr-2016.) $)
      seqf1olem2a $p |- ( ph ->
        ( ( G ` K ) .+ ( seq M ( .+ , G ) ` N ) ) =
        ( ( seq M ( .+ , G ) ` N ) .+ ( G ` K ) ) ) $=
        ( vm vn cfz co wcel cfv cseq wceq cuz eluzfz2 syl cv wi c1 caddc oveq2d
        oveq1d eqeq12d imbi2d ffvelrnd eluzel2 seq1 3syl eluzfz1 sseldd eqeltrd
        fveq2 cz caovcomd a1i cfzo wa oveq1 elfzouz adantl seqp1 adantlr adantr
        w3a wss wf elfzouz2 fzss2 sstrd sselda fzofzp1 caovassd 3eqtr4d syl5ibr
        seqcl eqtr4d expcom a2d fzind2 mpcom ) LKLUCUDZUEZAJIUFZLGIKUGZUFZGUDZW
        TWRGUDZUHZALKUIUFZUEZWQPKLUJUKAWRUAULZWSUFZGUDZXGWRGUDZUHZUMAWRKWSUFZGU
        DZXKWRGUDZUHZUMZAWRUBULZWSUFZGUDZXQWRGUDZUHZUMAWRXPUNUOUDZWSUFZGUDZYBWR
        GUDZUHZUMAXCUMUAUBLKLXFKUHZXJXNAYFXHXLXIXMYFXGXKWRGXFKWSVGZUPYFXGXKWRGY
        GUQURUSXFXPUHZXJXTAYHXHXRXIXSYHXGXQWRGXFXPWSVGZUPYHXGXQWRGYIUQURUSXFYAU
        HZXJYEAYJXHYCXIYDYJXGYBWRGXFYAWSVGZUPYJXGYBWRGYKUQURUSXFLUHZXJXCAYLXHXA
        XIXBYLXGWTWRGXFLWSVGZUPYLXGWTWRGYMUQURUSXOXEABCWRXKFGNAEFJIRSUTZAXKKIUF
        ZFAXEKVHUEXKYOUHPKLVAGIKVBVCAEFKIRAWPEKTAXEKWPUEPKLVDUKVEUTVFVIVJXPKLVK
        UDUEZAXTYEAYPXTYEUMXTYEAYPVLZXRYAIUFZGUDZXSYRGUDZUHXRXSYRGVMYQYCYSYDYTY
        QYCWRXQYRGUDZGUDYSYQYBUUAWRGYQXPXDUEZYBUUAUHYPUUBAXPKLVNVOZGIKXPVPUKZUP
        YQBCDWRXQYRHGABULZHUEZCULZHUEZDULZHUEVSUUEUUGGUDZUUIGUDUUEUUGUUIGUDGUDU
        HYPOVQZAWRHUEYPAFHWRQYNVEVRZYQBCGHIKXPUUCYQUUEKXPUCUDZUEZVLZFHUUEIUFYQF
        HVTZUUNAUUPYPQVRZVRUUOEFUUEIYQEFIWAZUUNAUURYPRVRZVRYQUUMEUUEYQUUMWPEYQL
        XPUIUFUEZUUMWPVTYPUUTAXPKLWBVOXPKLWCUKAWPEVTYPTVRZWDWEUTVEAUUFUUHVLUUJH
        UEYPMVQWJZYQFHYRUUQYQEFYAIUUSYQWPEYAUVAYPYAWPUEAKLXPWFVOVEUTZVEZWGWKYQU
        UAWRGUDXQYRWRGUDZGUDZYDYTYQBCDXQYRWRHGUUKUVBUVDUULWGYQYBUUAWRGUUDUQYQYT
        XQWRYRGUDZGUDUVFYQBCDXQWRYRHGUUKUVBUULUVDWGYQUVEUVGXQGYQBCYRWRFGAUUEFUE
        UUGFUEVLUUJUUGUUEGUDUHYPNVQUVCAWRFUEYPYNVRVIUPWKWHURWIWLWMWNWO $.
    $}

    ${
      seqf1olem.5 $e |- ( ph ->
                  F : ( M ... ( N + 1 ) ) -1-1-onto-> ( M ... ( N + 1 ) ) ) $.
      seqf1olem.6 $e |- ( ph -> G : ( M ... ( N + 1 ) ) --> C ) $.
      seqf1olem.7 $e |- J = ( k e. ( M ... N ) |->
                              ( F ` if ( k < K , k , ( k + 1 ) ) ) ) $.
      seqf1olem.8 $e |- K = ( `' F ` ( N + 1 ) ) $.
      $( Lemma for ~ seqf1o .  (Contributed by Mario Carneiro, 26-Feb-2014.)
         (Revised by Mario Carneiro, 27-May-2014.) $)
      seqf1olem1 $p |- ( ph -> J : ( M ... N ) -1-1-onto-> ( M ... N ) ) $=
        ( cfz co cv clt wbr c1 caddc cif cfv ccnv cmin cvv wcel fvexd fvex ovex
        wa ifex a1i wceq wi iftrue fveq2d eqeq2d adantl simprr wne elfzelz zred
        wb cr ad2antlr simprl gtned wn wo wf wf1o f1of syl fzssp1 simplr sselid
        ad2antrr ffvelrnd cuz elfzp1 mpbid f1ocnvfv syl2anc eqeq1i syl6ibr syld
        ord necon1ad mpd eqeltrd eqcomd eqbrtrd eqtr2d jca sylbid iffalse f1of1
        wf1 f1ocnv f1f peano2uz eluzfz2 eqeltrid elfzelzd peano2re nltled ltp1d
        expr lelttrd ltned fzp1elp1 breq1d lttr syl3anc mpand oveq1d cc sylancl
        mtod ax-1cn 3eqtrrd pm2.61dan expimpd cle elfzle1 elfzle2 mpbird adantr
        cz elfzd recnd pncan eluzel2 eluzelz peano2zd ltletrd zleltp1 f1ocnvfv2
        peano2zm f1fveq syl12anc necon3bid neeq1i sylibr necomd leneltd zltlem1
        breqtrrd letrd 1re lesubadd mp3an2 lensymd zcnd npcan eqtrd impbid f1od
        ) AHBMNUDUEZUVIHUFZLUGUHZUVJUVJUIUJUEZUKZIULZBUFZIUMZULZLUGUHZUVQUVQUIU
        NUEZUKZKUOUOUBAUVJUVIUPZUTZUVMIUQUVTUOUPAUVOUVIUPZUTZUVRUVQUVSUVOUVPURU
        VQUIUNUSVAVBAUWAUVOUVNVCZUTZUWCUVJUVTVCZUTZAUWAUWEUWHUWBUVKUWEUWHVDUWBU
        VKUTUWEUVOUVJIULZVCZUWHUVKUWEUWJVMUWBUVKUVNUWIUVOUVKUVMUVJIUVKUVJUVLVEV
        FZVGVHUWBUVKUWJUWHUWBUVKUWJUTZUTZUWCUWGUWMUVOUWIUVIUWBUVKUWJVIZUWMLUVJV
        JUWIUVIUPZUWMUVJLUWAUVJVNUPZAUWLUWAUVJUVJMNVKVLZVOUWBUVKUWJVPZVQUWMUWOL
        UVJUWMUWOVRUWINUIUJUEZVCZLUVJVCZUWMUWOUWTUWMUWIMUWSUDUEZUPZUWOUWTVSZUWM
        UXBUXBUVJIAUXBUXBIVTZUWAUWLAUXBUXBIWAZUXETUXBUXBIWBWCZWGUWMUVIUXBUVJMNW
        DZAUWAUWLWEWFZWHAUXCUXDVMZUWAUWLANMWIULZUPZUXJRUWIMNWJWCWGWKWQUWMUWTUWS
        UVPULZUVJVCZUXAUWMUXFUVJUXBUPZUWTUXNVDAUXFUWAUWLTWGZUXIUXBUXBUVJUWSIWLW
        MLUXMUVJUCWNWOWPWRWSWTUWMUVTUVQUVJUWMUVRUVTUVQVCUWMUVQUVJLUGUWMUWIUVOVC
        ZUVQUVJVCZUWMUVOUWIUWNXAUWMUXFUXOUXQUXRVDUXPUXIUXBUXBUVJUVOIWLWMWSZUWRX
        BUVRUVQUVSVEZWCUXSXCXDXRXEUWBUVKVRZUTUWEUVOUVLIULZVCZUWHUYAUWEUYCVMUWBU
        YAUVNUYBUVOUYAUVMUVLIUVKUVJUVLXFVFZVGVHUWBUYAUYCUWHUWBUYAUYCUTZUTZUWCUW
        GUYFUVOUYBUVIUWBUYAUYCVIZUYFLUVLVJUYBUVIUPZUYFLUVLALVNUPZUWAUYEALALMUWS
        ALUXMUXBUCAUXBUXBUWSUVPAUXBUXBUVPXHZUXBUXBUVPVTZAUXBUXBUVPWAZUYJAUXFUYL
        TUXBUXBIXIWCUXBUXBUVPXGWCZUXBUXBUVPXJWCZAUWSUXKUPZUWSUXBUPZAUXLUYORMNXK
        WCMUWSXLWCZWHXMZXNZVLZWGZUYFLUVJUVLVUAUWAUWPAUYEUWQVOZUYFUWPUVLVNUPZVUB
        UVJXOWCZUYFLUVJVUAVUBUWBUYAUYCVPZXPUYFUVJVUBXQZXSXTUYFUYHLUVLUYFUYHVRUY
        BUWSVCZLUVLVCZUYFUYHVUGUYFUYBUXBUPZUYHVUGVSZUYFUXBUXBUVLIAUXEUWAUYEUXGW
        GUWAUVLUXBUPZAUYEUVJMNYAVOZWHAVUIVUJVMZUWAUYEAUXLVUMRUYBMNWJWCWGWKWQUYF
        VUGUXMUVLVCZVUHUYFUXFVUKVUGVUNVDAUXFUWAUYETWGZVULUXBUXBUVLUWSIWLWMLUXMU
        VLUCWNWOWPWRWSWTUYFUVTUVSUVLUIUNUEZUVJUYFUVRVRZUVTUVSVCUYFUVRUVKVUEUYFU
        VRUVLLUGUHZUVKUYFUVQUVLLUGUYFUYBUVOVCZUVQUVLVCZUYFUVOUYBUYGXAUYFUXFVUKV
        USVUTVDVUOVULUXBUXBUVLUVOIWLWMWSZYBUYFUVJUVLUGUHZVURUVKVUFUYFUWPVUCUYIV
        VBVURUTUVKVDVUBVUDVUAUVJUVLLYCYDYEXEYIUVRUVQUVSXFZWCUYFUVQUVLUIUNVVAYFU
        YFUVJYGUPUIYGUPZVUPUVJVCUYFUVJVUBUUAYJUVJUIUUBYHYKXDXRXEYLYMAUWCUWGUWFU
        WDUVRUWGUWFVDUWDUVRUTUWGUVJUVQVCZUWFUVRUWGVVEVMUWDUVRUVTUVQUVJUXTVGVHUW
        DUVRVVEUWFUWDUVRVVEUTZUTZUWAUWEVVGUVJMNAMYSUPZUWCVVFAUXLVVHRMNUUCWCZWGA
        NYSUPZUWCVVFAUXLVVJRMNUUDWCZWGZVVGUVJMUWSVVGUVJUVQUXBUWDUVRVVEVIZVVGUXB
        UXBUVOUVPAUYKUWCVVFUYNWGVVGUVIUXBUVOUXHAUWCVVFWEWFZWHWTZXNZVVGUXOMUVJYN
        UHVVOUVJMUWSYOWCVVGUVJNYNUHZUVJUWSUGUHZVVGUVJLUWSVVGUVJVVPVLAUYIUWCVVFU
        YTWGAUWSVNUPZUWCVVFAUWSANVVKUUEVLZWGVVGUVJUVQLUGVVMUWDUVRVVEVPXBZALUWSY
        NUHZUWCVVFALUXBUPZVWBUYRLMUWSYPWCWGUUFVVGUVJYSUPVVJVVQVVRVMVVPVVLUVJNUU
        GWMYQYTVVGUVNUWIUVQIULZUVOVVGUVKUVNUWIVCVWAUWKWCVVGUVJUVQIVVMVFVVGUXFUV
        OUXBUPZVWDUVOVCZAUXFUWCVVFTWGVVNUXBUXBUVOIUUHZWMYKXDXRXEUWDVUQUTUWGUVJU
        VSVCZUWFVUQUWGVWHVMUWDVUQUVTUVSUVJVVCVGVHUWDVUQVWHUWFUWDVUQVWHUTZUTZUWA
        UWEVWJUVJMNAVVHUWCVWIVVIWGAVVJUWCVWIVVKWGVWJUVJUVSYSUWDVUQVWHVIZVWJUVQY
        SUPZUVSYSUPVWJUVQMUWSVWJUXBUXBUVOUVPAUYKUWCVWIUYNWGVWJUVIUXBUVOUXHAUWCV
        WIWEWFZWHZXNZUVQUUIWCWTZVWJMLUVJAMVNUPUWCVWIAMVVIVLWGAUYIUWCVWIUYTWGZVW
        JUVJVWPVLZAMLYNUHZUWCVWIAVWCVWSUYRLMUWSYOWCWGVWJLUVSUVJYNVWJLUVQUGUHZLU
        VSYNUHZVWJLUVQVWQVWJUVQVWOVLZVWJLUVQVWQVXBUWDVUQVWHVPXPVWJLUVQVWJUXMUVQ
        VJZLUVQVJVWJVXCUWSUVOVJZUWDVXDVWIUWDUVOUWSUWDUVOUWCUVOYSUPAUVOMNVKVHVLZ
        UWDUVONUWSVXEANVNUPZUWCANVVKVLZYRZAVVSUWCVVTYRUWCUVONYNUHAUVOMNYPVHUWDN
        VXHXQXSVQYRVWJUXMUVQUWSUVOVWJUYJUYPVWEUXMUVQVCUWSUVOVCVMAUYJUWCVWIUYMWG
        AUYPUWCVWIUYQWGVWMUXBUXBUWSUVOUVPUUJUUKUULYQLUXMUVQUCUUMUUNUUOUUPVWJLYS
        UPZVWLVWTVXAVMAVXIUWCVWIUYSWGVWOLUVQUUQWMWKVWKUURZUUSVWJUVJUVSNYNVWKVWJ
        UVSNYNUHZUVQUWSYNUHZVWJUVQUXBUPVXLVWNUVQMUWSYPWCVWJUVQVNUPZVXFVXKVXLVMZ
        VXBAVXFUWCVWIVXGWGVXMUIVNUPVXFVXNUUTUVQUINUVAUVBWMYQXBYTVWJUVNUYBVWDUVO
        VWJUYAUVNUYBVCVWJLUVJVWQVWRVXJUVCUYDWCVWJUVLUVQIVWJUVLUVSUIUJUEZUVQVWJU
        VJUVSUIUJVWKYFVWJUVQYGUPVVDVXOUVQVCVWJUVQVWOUVDYJUVQUIUVEYHUVFVFVWJUXFV
        WEVWFAUXFUWCVWITWGVWMVWGWMYKXDXRXEYLYMUVGUVH $.

      seqf1olem.9 $e |- ( ph -> A. g A. f
                       ( ( f : ( M ... N ) -1-1-onto-> ( M ... N ) /\
                           g : ( M ... N ) --> C ) ->
            ( seq M ( .+ , ( g o. f ) ) ` N ) = ( seq M ( .+ , g ) ` N ) ) ) $.
      $( Lemma for ~ seqf1o .  (Contributed by Mario Carneiro, 27-Feb-2014.)
         (Revised by Mario Carneiro, 24-Apr-2016.) $)
      seqf1olem2 $p |- ( ph -> ( seq M ( .+ , ( G o. F ) ) ` ( N + 1 ) ) =
                              ( seq M ( .+ , G ) ` ( N + 1 ) ) ) $=
        ( cfz co cres ccom cseq cfv c1 caddc cvv wcel wa cv wf1o wf wceq wi wal
        cfn wfn ffnd fzssp1 fnssres sylancl fzfid fnfi syl2anc elexd seqf1olem1
        wss f1of syl fex2 syl3anc jca fssres f1oeq1 seqeq3d fveq1d adantl eqtrd
        seqfveq oveq1d adantlr w3a cuz elfzuz3 elfzuz fco ffvelrnda seqsplit wo
        fssd biimpa sylan cz 3syl peano2uz ffvelrnd elfzelz simpr adantr sselda
        fzss1 syldan fvresd clt wbr cif fveq2d wn zred cle fvco3 3eqtr4d eqtr2d
        cr oveq12d seqeq1d cmin eluzp1m1 syl2an cc zcnd eleqtrrd fzss2 wb seqcl
        ax-1cn 3jca caovassg seqp1 ad2antrr elfzp1 mpbid feq1 coeq1 coeq2 simpl
        bi2anan9r sylan9eq eqeq12d imbi12d spc2gv syl3c eluzp1p1 elfzp12 seqeq1
        fvres eqcomd ccnv f1ocnv eluzfz2 eqeltrid sylan9eqr eluzfz1 seqf1olem2a
        seq1 eqeltrd 1zzd breq1 id oveq1 ifbieq12d fvex elfzle1 lensymd iffalse
        fzp1elp1 seqshft2 fveq2i f1ocnvfv2 eqtrid eqtr4d 3eqtrd eluzel2 eluzelz
        fvmpt pncan peano2zm npcan eqeltrrd elfzm11 simp3d iftrue fzp1ss sseldd
        seqm1 oveq2d jaodan peano2re elfzle2 lelttrd simplr breqtrrd wne fzelp1
        ltp1d ord f1ocnvfv eqeq1i syl6ibr syld necon1ad eqtr3id eqtr3d mpjaodan
        gtned mpd ) APFLOPUGUHZUIZMUJZOUKZULZPUMUNUHZLULZFUHZPFLOUKZULZUYAFUHZU
        XTFLKUJZOUKZULZUXTUYCULZAUXSUYDUYAFAUXSPFUXPOUKZULZUYDAUXPUOUPZMUOUPZUQ
        UXOUXOHURZUSZUXOEIURZUTZUQZPFUYPUYNUJZOUKZULZPFUYPOUKZULZVAZVBZHVCIVCUX
        OUXOMUSZUXOEUXPUTZUQZUXSUYKVAZAUYLUYMAUXPVDAUXPUXOVEZUXOVDUPZUXPVDUPALO
        UXTUGUHZVEUXOVULVOZVUJAVULELUCVFOPVGZVULUXOLVHVIAOPVJZUXOUXPVKVLVMAUXOU
        XOMUTZVUKVUKUYMAVUFVUPABCDEFGJKLMNOPQRSTUAUBUCUDUEVNZUXOUXOMVPVQZVUOVUO
        UXOUXOMVDVDVRVSVTUFAVUFVUGVUQAVULELUTZVUMVUGUCVUNVULEUXOLWAVIVTVUEVUHVU
        IVBIHUXPMUOUOUYPUXPVAZUYNMVAZUQZUYRVUHVUDVUIVVAUYOVUFVUTUYQVUGUXOUXOUYN
        MWBUXOEUYPUXPUUAUUEVVBVUAUXSVUCUYKVVBPUYTUXRVVBUYSUXQFOVUTVVAUYSUXPUYNU
        JUXQUYPUXPUYNUUBUYNMUXPUUCUUFWCWDVVBPVUBUYJVVBUYPUXPFOVUTVVAUUDWCWDUUGU
        UHUUIUUJAFBUXPLOPTBURZUXOUPZVVCUXPULVVCLULVAAVVCUXOLUUNWEWGWFWHANUXOUPZ
        UYHUYBVANUXTVAZAVVEUQZUYHNUYGULZUXTFUYFNUMUNUHZUKULZFUHZUYBVVGBCDFGUYFO
        NUXTAVVCGUPZCURZGUPZUQZVVCVVMFUHZGUPZVVEQWIZAVVLVVNDURZGUPWJZVVPVVSFUHV
        VCVVMVVSFUHFUHVAZVVESWIZVVGPNWKULZUPZUXTVVIWKULUPVVEVWDANOPWLWEZNPUUKVQ
        ZVVENOWKULZUPZANOPWMWEZAVVCVULUPZVVCUYFULZGUPZVVEAVULGVVCUYFAVULEGUYFAV
        USVULVULKUTZVULEUYFUTZUCAVULVULKUSZVWMUBVULVULKVPVQZVULVULELKWNVLZUAWRW
        OZWIZWPAVVENOVAZNOUMUNUHZPUGUHZUPZWQZVVKUYBVAZAPVWGUPZVVEVXDTVXFVVEVXDN
        OPUULWSWTAVWTVXEVXCAVWTUQZVVKNUYFULZVVJFUHZPFUXQNUKZULZUYAFUHZUYBVXGVVH
        VXHVVJFVWTAVVHNFUYFNUKZULZVXHVWTNUYGVXMVWTVXMUYGFUYFNOUUMUUOWDANVULUPZN
        XAUPZVXNVXHVAANUXTKUUPZULZVULUEAVULVULUXTVXQAVWOVULVULVXQUSVULVULVXQUTU
        BVULVULKUUQVULVULVXQVPXBAVXFUXTVWGUPUXTVULUPZTOPXCOUXTUURXBZXDUUSZNOUXT
        XEZFUYFNUVCXBUUTWHAVWTVVEVXIVXLVAZVXGNOUXOAVWTXFZAOUXOUPZVWTAVXFVYETOPU
        VAVQXGUVDVVGVXIVVJVXHFUHVXLVVGBCDVULEFGUYFNVVIUXTVVRAVVCEUPVVMEUPUQVVPV
        VMVVCFUHVAVVERWIVWBVWFAEGVOVVEUAXGAVWNVVEVWQXGAVXOVVEVYAXGVVGVWHVVIVWGU
        PVVIUXTUGUHZVULVOVWIONXCVVIOUXTXIXBZUVBVVGVXKVVJUYAVXHFVVGFBUXQUYFUMNPV
        WEVVGUVEAVVCNPUGUHZUPZVVCUXQULZVVCUMUNUHZUYFULZVAVVEAVYIUQZVVCMULZUXPUL
        ZVYKKULZLULZVYJVYLVYMVYOVYNLULZVYQVYMVYNUXOLAVYIVVDVYNUXOUPZAVYHUXOVVCA
        VXOVWHVYHUXOVOVYANOUXTWMNOPXIXBXHZAUXOUXOVVCMVURWOZXJXKVYMVYNVYPLVYMVYN
        VVCNXLXMZVVCVYKXNZKULZVYPVYMVVDVYNWUDVAZVYTJVVCJURZNXLXMZWUFWUFUMUNUHZX
        NZKULWUDUXOMWUFVVCVAZWUIWUCKWUJWUGWUBWUFWUHVVCVYKWUFVVCNXLUVFWUJUVGWUFV
        VCUMUNUVHUVIXOUDWUCKUVJUWCZVQVYMWUBXPZWUDVYPVAVYMNVVCANYBUPVYIANAVXOVXP
        VYAVYBVQZXQXGVYMVVCVYIVVCXAUPZAVVCNPXEWEXQVYINVVCXRXMAVVCNPUVKWEUVLWULW
        UCVYKKWUBVVCVYKUVMXOVQWFXOWFAVYIVVDVYJVYOVAZVYTAVUPVVDWUOVURUXOUXOVVCUX
        PMXSWTZXJAVYIVYKVULUPZVYLVYQVAZVYMVVDWUQVYTVVCOPUVNVQAVWMWUQWURVWPVULVU
        LVYKLKXSWTXJXTWIUVOAUYAVXHVAVVEAVXHNKULZLULZUYAAVWMVXOVXHWUTVAVWPVYAVUL
        VULNLKXSVLAWUSUXTLAWUSVXRKULZUXTNVXRKUEUVPAVWOVXSWVAUXTVAZUBVXTVULVULUX
        TKUVQVLZUVRXOYAXGYCUVSZXJVXGVXKUXSUYAFVXGPVXJUXRVXGNOFUXQVYDYDWDWHUVTAV
        XCUQZNUMYEUHZUYGULZVXHFUHZVVJFUHZWVFUXRULZVXKFUHZUYAFUHZVVKUYBWVEWVGVXI
        FUHZWVJVXLFUHZWVIWVLWVEWVGWVJVXIVXLFWVEFBUYFUXQOWVFAOXAUPZNVXAWKULUPZWV
        FVWGUPVXCAVXFWVOTOPUWAZVQZNVXAPWMZONYFYGZAVVCOWVFUGUHZUPZVWKVYJVAVXCAWW
        BUQZVVCKULZLULZVYOVWKVYJWWCVYOVYRWWEWWCVYNUXOLAWWBVVDVYSAWWAUXOVVCAPWVF
        WKULZUPZWWAUXOVOAUXTUMYEUHZPWWFAPYHUPUMYHUPZWWHPVAAPAVXFPXAUPTOPUWBVQZY
        IYNPUMUWDVIAWVFXAUPZUXTWVFUMUNUHZWKULZUPWWHWWFUPAVXOVXPWWKVYAVYBNUWEXBA
        UXTVWCWWMAVXOUXTVWCUPVYANOUXTWLVQAWWLNWKANYHUPZWWIWWLNVAZANWUMYIYNNUMUW
        FZVIXOYJWVFUXTYFVLUWGZWVFOPYKVQXHZWUAXJXKWWCVYNWWDLWWCVYNWUDWWDWWCVVDWU
        EWWRWUKVQWWCWUBWUDWWDVAZWWCWUNOVVCXRXMZWUBAWWBWUNWWTWUBWJZAWVOVXPWWBWXA
        YLWVRWUMVVCONUWHVLWSUWIWUBWUCVVCKWUBVVCVYKUWJXOZVQWFXOYAAWWBVWJVWKWWEVA
        ZAWWAVULVVCAWWGUXTWWFUPWWAVULVOWWQWVFPXCWVFOUXTYKXBXHZAVWMVWJWXCVWPVULV
        ULVVCLKXSZWTXJAWWBVVDWUOWWRWUPXJXTWIWGAVXCVVEVYCAVXBUXONAVXFWVOVXBUXOVO
        TWVQOPUWKXBXHZWVDXJYCAVXCWVGGUPZVXHGUPZVVJGUPZWJWVIWVMVAWVEWXGWXHWXIWVE
        BCFGUYFOWVFWVTAWWBVWLVXCAWWBVWJVWLWXDVWRXJWIAVVOVVQVXCQWIZYMAWXHVXCAEGV
        XHUAAVULENUYFVWQVYAXDUWLXGAVXCVVEWXIWXFVVGBCFGUYFVVIUXTVWFVVGVVCVYFUPVW
        JVWLVVGVYFVULVVCVYGXHVWSXJVVRYMXJYOABCDWVGVXHVVJGFSYPXJAVXCWVJGUPZVXKGU
        PZUYAGUPZWJWVLWVNVAWVEWXKWXLWXMWVEBCFGUXQOWVFWVTAWWBVYJGUPZVXCAWWBVVDWX
        NWWRAUXOGVVCUXQAUXOGUXPUTZVUPUXOGUXQUTAVULGLUTVUMWXOAVULEGLUCUAWRZVUNVU
        LGUXOLWAVIVURUXOUXOGUXPMWNVLWOZXJWIWXJYMWVEBCFGUXQNPVXCVWDANVXAPWLWEZAV
        YIWXNVXCAVYIVVDWXNVYTWXQXJWIWXJYMAWXMVXCAVULGUXTLWXPVXTXDXGYOABCDWVJVXK
        UYAGFSYPXJXTWVEVVHWVHVVJFAWVOWVPVVHWVHVAVXCWVRWVSFUYFONUWMYGWHWVEUXSWVK
        UYAFWVEUXSWVJPFUXQWWLUKZULZFUHWVKWVEBCDFGUXQOWVFPWXJAVVTVWAVXCSWIWVEPVW
        CWWMWXRWVEWWLNWKWVEWWNWWIWWOWVENVXCVXPANVXAPXEWEYIYNWWPVIZXOYJWVTAVVDWX
        NVXCWXQWIWPWVEWXTVXKWVJFWVEPWXSVXJWVEWWLNFUXQWYAYDWDUWNWFWHXTUWOXJWFAVV
        FUQZUYHPUYGULZUXTUYFULZFUHZUYBWYBVXFUYHWYEVAAVXFVVFTXGZFUYFOPYQVQWYBWYC
        UXSWYDUYAFWYBFBUYFUXQOPWYFWYBVVDUQZWWEVYOVWKVYJWYGVYOWWDUXPULWWEWYGVYNW
        WDUXPWYGVYNWUDWWDVVDWUEWYBWUKWEWYGWUBWWSWYGVVCUXTNXLAVVDVVCUXTXLXMVVFAV
        VDUQZVVCPUXTVVDVVCYBUPZAVVDVVCVVCOPXEXQZWEAPYBUPZVVDAPWWJXQXGZWYHWYKUXT
        YBUPWYLPUWPVQVVDVVCPXRXMAVVCOPUWQWEWYHPWYLUXCUWRWIAVVFVVDUWSUWTZWXBVQWF
        XOWYGWWDUXOLWYGNVVCUXAWWDUXOUPZWYGVVCNVVDWYIWYBWYJWEWYMUXMWYGWYNNVVCWYG
        WYNXPWWDUXTVAZNVVCVAZWYGWYNWYOWYGWWDVULUPZWYNWYOWQZWYGVULVULVVCKAVWMVVF
        VVDVWPYRVVDVWJWYBVVCOPUXBZWEZXDWYGVXFWYQWYRYLAVXFVVFVVDTYRWWDOPYSVQYTUX
        DWYGWYOVXRVVCVAZWYPWYGVWOVWJWYOXUAVBAVWOVVFVVDUBYRWYTVULVULVVCUXTKUXEVL
        NVXRVVCUEUXFUXGUXHUXIUXNXKYAAVVDWXCVVFAVWMVWJWXCVVDVWPWYSWXEYGWIAVVDWUO
        VVFWUPWIXTWGWYBWYDUXTKULZLULZUYAAWYDXUCVAZVVFAVWMVXSXUDVWPVXTVULVULUXTL
        KXSVLXGWYBXUBUXTLWYBWVAXUBUXTWYBVXRUXTKWYBVXRNUXTUEAVVFXFUXJXOAWVBVVFWV
        CXGUXKXOWFYCWFAVXOVVEVVFWQZVYAAVXFVXOXUEYLTNOPYSVQYTUXLAVXFUYIUYEVATFLO
        PYQVQXT $.
    $}

    seqf1o.6 $e |- ( ph -> F : ( M ... N ) -1-1-onto-> ( M ... N ) ) $.
    seqf1o.7 $e |- ( ( ph /\ x e. ( M ... N ) ) -> ( G ` x ) e. C ) $.
    seqf1o.8 $e |- ( ( ph /\ k e. ( M ... N ) ) ->
                     ( H ` k ) = ( G ` ( F ` k ) ) ) $.
    $( Rearrange a sum via an arbitrary bijection on ` ( M ... N ) ` .
       (Contributed by Mario Carneiro, 27-Feb-2014.)  (Revised by Mario
       Carneiro, 24-Apr-2016.) $)
    seqf1o $p |-
               ( ph -> ( seq M ( .+ , H ) ` N ) = ( seq M ( .+ , G ) ` N ) ) $=
      ( vf vg vt vs vw cfz co cv cfv cmpt ccom cseq wf1o wf wceq fmpttd wal cuz
      wa wi wcel c1 caddc oveq2 f1oeq23 syl2anc anbi12d eqeq12d imbi12d 2albidv
      wb feq2d fveq2 imbi2d weq cz f1of adantr elfz3 fvco3 syl2anr ffvelrn fzsn
      csn eleq2d elsni syl6bi syldan adantrr fveq2d eqtrd seq1 3eqtr4d alrimivv
      imp ex f1oeq1 feq1 bi2anan9r coeq1 coeq2 sylan9eq seqeq3d fveq1d cbval2vw
      a1d simpl ccnv clt wbr cif simplll w3a simpllr wss syl simprl simprr eqid
      sylan simplr sylib seqf1olem2 exp31 syl5bir alrimdv syl5bi expcom a2d cfn
      uzind4 mpcom cvv wfn fvex fnmpti fzfi fvmpt seqfveq fnfi mp2an ovexd fex2
      syl3anc spc2gv sylancr mpd mp2and ffvelrnda adantl 3eqtr3d ) AMFBLMUGUHZB
      UIZJUJZUKZIULZLUMZUJZMFUUPLUMZUJZMFKLUMUJMFJLUMUJAUUMUUMIUNZUUMEUUPUOZUUS
      UVAUPZSABUUMUUOETUQAUUMUUMUBUIZUNZUUMEUCUIZUOZUTZMFUVGUVEULZLUMZUJZMFUVGL
      UMZUJZUPZVAZUBURUCURZUVBUVCUTZUVDVAZMLUSUJZVBAUVQQALUUNUGUHZUWAUVEUNZUWAE
      UVGUOZUTZUUNUVKUJZUUNUVMUJZUPZVAZUBURUCURZVAALLUGUHZUWJUVEUNZUWJEUVGUOZUT
      ZLUVKUJZLUVMUJZUPZVAZUBURUCURZVAALHUIZUGUHZUWTUVEUNZUWTEUVGUOZUTZUWSUVKUJ
      ZUWSUVMUJZUPZVAZUBURUCURZVAALUWSVCVDUHZUGUHZUXJUVEUNZUXJEUVGUOZUTZUXIUVKU
      JZUXIUVMUJZUPZVAZUBURZUCURZVAAUVQVABHLMUUNLUPZUWIUWRAUXTUWHUWQUCUBUXTUWDU
      WMUWGUWPUXTUWBUWKUWCUWLUXTUWAUWJUPZUYAUWBUWKVLUUNLLUGVEZUYBUWAUWJUWAUWJUV
      EVFVGUXTUWAUWJEUVGUYBVMVHUXTUWEUWNUWFUWOUUNLUVKVNUUNLUVMVNVIVJVKVOBHVPZUW
      IUXHAUYCUWHUXGUCUBUYCUWDUXCUWGUXFUYCUWBUXAUWCUXBUYCUWAUWTUPZUYDUWBUXAVLUU
      NUWSLUGVEZUYEUWAUWTUWAUWTUVEVFVGUYCUWAUWTEUVGUYEVMVHUYCUWEUXDUWFUXEUUNUWS
      UVKVNUUNUWSUVMVNVIVJVKVOUUNUXIUPZUWIUXSAUYFUWHUXQUCUBUYFUWDUXMUWGUXPUYFUW
      BUXKUWCUXLUYFUWAUXJUPZUYGUWBUXKVLUUNUXILUGVEZUYHUWAUXJUWAUXJUVEVFVGUYFUWA
      UXJEUVGUYHVMVHUYFUWEUXNUWFUXOUUNUXIUVKVNUUNUXIUVMVNVIVJVKVOUUNMUPZUWIUVQA
      UYIUWHUVPUCUBUYIUWDUVIUWGUVOUYIUWBUVFUWCUVHUYIUWAUUMUPZUYJUWBUVFVLUUNMLUG
      VEZUYKUWAUUMUWAUUMUVEVFVGUYIUWAUUMEUVGUYKVMVHUYIUWEUVLUWFUVNUUNMUVKVNUUNM
      UVMVNVIVJVKVOLVQVBZUWRAUYLUWQUCUBUYLUWMUWPUYLUWMUTZLUVJUJZLUVGUJZUWNUWOUY
      MUYNLUVEUJZUVGUJZUYOUWMUWJUWJUVEUOZLUWJVBZUYNUYQUPUYLUWKUYRUWLUWJUWJUVEVR
      ZVSLVTZUWJUWJLUVGUVEWAWBUYMUYPLUVGUYLUWKUYPLUPZUWLUYLUWKUYPUWJVBZVUBUWKUY
      RUYSVUCUYLUYTVUAUWJUWJLUVEWCWBUYLVUCVUBUYLVUCUYPLWEZVBVUBUYLUWJVUDUYPLWDW
      FUYPLWGWHWPWIWJWKWLUYLUWNUYNUPUWMFUVJLWMVSUYLUWOUYOUPUWMFUVGLWMVSWNWQWOXG
      UWSUVTVBZAUXHUXSAVUEUXHUXSVAUXHUWTUWTUDUIZUNZUWTEUEUIZUOZUTZUWSFVUHVUFULZ
      LUMZUJZUWSFVUHLUMZUJZUPZVAZUDURUEURZAVUEUTZUXSUXGVUQUCUBUEUDUCUEVPZUBUDVP
      ZUTZUXCVUJUXFVUPVVAUXAVUGVUTUXBVUIUWTUWTUVEVUFWRUWTEUVGVUHWSWTVVBUXDVUMUX
      EVUOVVBUWSUVKVULVVBUVJVUKFLVUTVVAUVJVUHUVEULVUKUVGVUHUVEXAUVEVUFVUHXBXCXD
      XEVVBUWSUVMVUNVVBUVGVUHFLVUTVVAXHXDXEVIVJXFZVUSVURUXRUCVUSVURUXQUBVURUXHV
      USUXQVVCVUSUXHUXMUXPVUSUXHUTZUXMUTZBCDEFGUDUEUFUVEUVGUFUWTUFUIZUXIUVEXIUJ
      ZXJXKVVFVVFVCVDUHXLUVEUJUKZVVGLUWSVVEAUUNGVBZCUIZGVBZUTUUNVVJFUHZGVBAVUEU
      XHUXMXMZNYAVVEAUUNEVBVVJEVBUTVVLVVJUUNFUHUPVVMOYAVVEAVVIVVKDUIZGVBXNVVLVV
      NFUHUUNVVJVVNFUHFUHUPVVMPYAAVUEUXHUXMXOVVEAEGXPVVMRXQVVDUXKUXLXRVVDUXKUXL
      XSVVHXTVVGXTVVEUXHVURVUSUXHUXMYBVVCYCYDYEYFYGYGYHYIYJYLYMAUUPYKVBZIYNVBZU
      VQUVSVAUUPUUMYOUUMYKVBVVOBUUMUUOUUPUUNJYPUUPXTZYQLMYRUUMUUPUUAUUBAUUMUUMI
      UOZUUMYNVBZVVSVVPAUVBVVRSUUMUUMIVRXQZALMUGUUCZVWAUUMUUMIYNYNUUDUUEUVPUVSU
      CUBUUPIYKYNUVGUUPUPZUVEIUPZUTZUVIUVRUVOUVDVWCUVFUVBVWBUVHUVCUUMUUMUVEIWRU
      UMEUVGUUPWSWTVWDUVLUUSUVNUVAVWDMUVKUURVWDUVJUUQFLVWBVWCUVJUUPUVEULUUQUVGU
      UPUVEXAUVEIUUPXBXCXDXEVWDMUVMUUTVWDUVGUUPFLVWBVWCXHXDXEVIVJUUFUUGUUHUUIAF
      HUUQKLMQAUWSUUMVBZUTZUWSIUJZUUPUJZVWGJUJZUWSUUQUJZUWSKUJVWFVWGUUMVBVWHVWI
      UPAUUMUUMUWSIVVTUUJBVWGUUOVWIUUMUUPUUNVWGJVNVVQVWGJYPYSXQAVVRVWEVWJVWHUPV
      VTUUMUUMUWSUUPIWAYAUAWNYTAFHUUPJLMQVWEUWSUUPUJUWSJUJZUPABUWSUUOVWKUUMUUPU
      UNUWSJVNVVQUWSJYPYSUUKYTUUL $.
  $}

  ${
    $d k x y z F $.  $d k x y z G $.  $d k x y z M $.  $d k x y z ph $.
    $d k z H $.  $d k x y z N $.
    seradd.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    seradd.2 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. CC ) $.
    seradd.3 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( G ` k ) e. CC ) $.
    seradd.4 $e |- ( ( ph /\ k e. ( M ... N ) ) ->
                     ( H ` k ) = ( ( F ` k ) + ( G ` k ) ) ) $.
    $( The sum of two infinite series.  (Contributed by NM, 17-Mar-2005.)
       (Revised by Mario Carneiro, 26-May-2014.) $)
    seradd $p |- ( ph -> ( seq M ( + , H ) ` N ) =
                   ( ( seq M ( + , F ) ` N ) + ( seq M ( + , G ) ` N ) ) ) $=
      ( vx vy vz caddc cc cv wcel co adantl wa addcl addcom w3a addass seqcaopr
      wceq ) ALMNOPBCDEFGLQZPRZMQZPRZUAZUHUJOSZPRAUHUJUBTULUMUJUHOSUGAUHUJUCTUI
      UKNQZPRUDUMUNOSUHUJUNOSOSUGAUHUJUNUETHIJKUF $.
  $}

  ${
    $d k w x y z F $.  $d k w x y z G $.  $d k w x y z M $.  $d k w x y z ph $.
    $d k z H $.  $d k x y z N $.
    sersub.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    sersub.2 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. CC ) $.
    sersub.3 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( G ` k ) e. CC ) $.
    sersub.4 $e |- ( ( ph /\ k e. ( M ... N ) ) ->
                     ( H ` k ) = ( ( F ` k ) - ( G ` k ) ) ) $.
    $( The difference of two infinite series.  (Contributed by NM,
       17-Mar-2005.)  (Revised by Mario Carneiro, 27-May-2014.) $)
    sersub $p |- ( ph -> ( seq M ( + , H ) ` N ) =
                   ( ( seq M ( + , F ) ` N ) - ( seq M ( + , G ) ` N ) ) ) $=
      ( vx caddc cmin cc cv wcel wa co adantl vy vz vw addcl subcl wceq addsub4
      eqcomd seqcaopr2 ) ALUAUBUCMNOBCDEFGLPZOQUAPZOQRZUJUKMSZOQAUJUKUDTULUJUKN
      SOQAUJUKUETULUBPZOQUCPZOQRRZUJUNNSUKUONSMSZUMUNUOMSNSZUFAUPURUQUJUKUNUOUG
      UHTHIJKUI $.
  $}

  ${
    $d x y .+ $.  $d x y F $.  $d x y M $.  $d x y ph $.  $d x y Z $.
    $d x N $.
    seqid3.1 $e |- ( ph -> ( Z .+ Z ) = Z ) $.
    seqid3.2 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    seqid3.3 $e |- ( ( ph /\ x e. ( M ... N ) ) -> ( F ` x ) = Z ) $.
    $( A sequence that consists entirely of "zeroes" sums to "zero".  More
       precisely, a constant sequence with value an element which is a ` .+ `
       -idempotent sums (or " ` .+ ` 's") to that element.  (Contributed by
       Mario Carneiro, 15-Dec-2014.) $)
    seqid3 $p |- ( ph -> ( seq M ( .+ , F ) ` N ) = Z ) $=
      ( vy cfv wcel wceq cv co wa elsn sylibr elsni cseq csn cfz fvex oveqan12d
      ovex eleq1d syl5ibrcom imp seqcl syl ) AFCDEUALZGUBZMULGNABKCUMDEFIABOZEF
      UCPMQUNDLZGNUOUMMJUOGUNDUDRSAUNUMMZKOZUMMZQZUNUQCPZUMMZAVAUSGGCPZUMMZAVBG
      NVCHVBGGGCUFRSUSUTVBUMUPURUNGUQGCUNGTUQGTUEUGUHUIUJULGTUK $.
  $}

  ${
    $d x .+ $.  $d x F $.  $d x M $.  $d x N $.  $d x S $.  $d x Z $.
    $d x ph $.
    seqid.1 $e |- ( ( ph /\ x e. S ) -> ( Z .+ x ) = x ) $.
    seqid.2 $e |- ( ph -> Z e. S ) $.
    seqid.3 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    seqid.4 $e |- ( ph -> ( F ` N ) e. S ) $.
    seqid.5 $e |- ( ( ph /\ x e. ( M ... ( N - 1 ) ) ) -> ( F ` x ) = Z ) $.
    $( Discarding the first few terms of a sequence that starts with all zeroes
       (or any element which is a left-identity for ` .+ ` ) has no effect on
       its sum.  (Contributed by Mario Carneiro, 13-Jul-2013.)  (Revised by
       Mario Carneiro, 27-May-2014.) $)
    seqid $p |-
           ( ph -> ( seq M ( .+ , F ) |` ( ZZ>= ` N ) ) = seq N ( .+ , F ) ) $=
      ( wceq cfv c1 co cuz wcel adantr cseq caddc cz eluzelz seq1 seqeq1 fveq1d
      3syl eqeq1d syl5ibcom wa cmin eluzel2 syl seqm1 sylan cv oveq2 id eqeq12d
      ralrimiva rspcdva eluzp1m1 adantlr seqid3 oveq1d wral 3eqtrd ex wo mpjaod
      cfz uzp1 eqidd seqfeq2 ) ACBEEGFKAGFNZGCEFUAZOZGEOZNZGFPUBQROSZAGCEGUAZOZ
      VSNZVPVTAGFROZSZGUCSWDKFGUDCEGUEUHVPWCVRVSVPGWBVQCEGFUFUGUIUJAWAVTAWAUKZV
      RGPULQZVQOZVSCQZHVSCQZVSAFUCSZWAVRWJNAWFWLKFGUMUNZCEFGUOUPWGWIHVSCWGBCEFW
      HHAHHCQZHNZWAAHBUQZCQZWPNZWOBDHWPHNZWQWNWPHWPHHCURWSUSUTAWRBDIVAZJVBTAWLW
      AWHWESWMFGVCUPAWPFWHVLQSWPEOZHNWAMVDVEVFWGWRWKVSNBDVSWPVSNZWQWKWPVSWPVSHC
      URXBUSUTAWRBDVGWAWTTAVSDSWALTVBVHVIAWFVPWAVJKFGVMUNVKAWPGPUBQROSUKXAVNVO
      $.
  $}

  ${
    $d n x F $.  $d n x K $.  $d n x M $.  $d n x N $.  $d n x ph $.  $d x S $.
    $d n x .+ $.  $d x Z $.
    seqid2.1 $e |- ( ( ph /\ x e. S ) -> ( x .+ Z ) = x ) $.
    seqid2.2 $e |- ( ph -> K e. ( ZZ>= ` M ) ) $.
    seqid2.3 $e |- ( ph -> N e. ( ZZ>= ` K ) ) $.
    seqid2.4 $e |- ( ph -> ( seq M ( .+ , F ) ` K ) e. S ) $.
    seqid2.5 $e |- ( ( ph /\ x e. ( ( K + 1 ) ... N ) ) -> ( F ` x ) = Z ) $.
    $( The last few partial sums of a sequence that ends with all zeroes (or
       any element which is a right-identity for ` .+ ` ) are all the same.
       (Contributed by Mario Carneiro, 13-Jul-2013.)  (Revised by Mario
       Carneiro, 27-May-2014.) $)
    seqid2 $p |-
               ( ph -> ( seq M ( .+ , F ) ` K ) = ( seq M ( .+ , F ) ` N ) ) $=
      ( co wcel cfv wceq cuz wi vn cfz cseq eluzfz2 syl cv c1 caddc eleq1 fveq2
      eqeq2d imbi12d imbi2d cz eqidd 2a1i wa peano2fzr adantl expr imim1d oveq1
      fveqeq2 wral ralrimiva adantr eluzp1p1 ad2antrl elfzuz3 ad2antll sylanbrc
      elfzuzb rspcdva oveq2d id eqeq12d eqtr2d simprl uztrn seqp1 animpimp2impd
      syl2anc syl5ibr uzind4 mpcom mpd ) AHFHUBOZPZFCEGUCZQZHWIQZRZAHFSQZPZWHLF
      HUDUEWNAWHWLTZLABUFZWGPZWJWPWIQZRZTZTAFWGPZWJWJRZTZTAUAUFZWGPZWJXDWIQZRZT
      ZTAXDUGUHOZWGPZWJXIWIQZRZTZTAWOTBUAFHWPFRZWTXCAXNWQXAWSXBWPFWGUIXNWRWJWJW
      PFWIUJUKULUMWPXDRZWTXHAXOWQXEWSXGWPXDWGUIXOWRXFWJWPXDWIUJUKULUMWPXIRZWTXM
      AXPWQXJWSXLWPXIWGUIXPWRXKWJWPXIWIUJUKULUMWPHRZWTWOAXQWQWHWSWLWPHWGUIXQWRW
      KWJWPHWIUJUKULUMXCFUNPAXAWJUOUPXDWMPZAXHXJXLXGAXRUQXJXEXGAXRXJXEXRXJUQZXE
      AXDFHURUSUTVAXGXLAXSUQZWJXIEQZCOZXFYACOZRWJXFYACVBXTWJYBXKYCXTYBWJICOZWJX
      TYAIWJCXTWPEQIRZYAIRBFUGUHOZHUBOZXIWPXIIEVCAYEBYGVDXSAYEBYGNVEVFXTXIYFSQP
      ZHXISQPZXIYGPXRYHAXJFXDVGVHXJYIAXRXIFHVIVJXIYFHVLVKVMVNAYDWJRZXSAWPICOZWP
      RZYJBDWJWPWJRZYKYDWPWJWPWJICVBYMVOVPAYLBDJVEMVMVFVQXTXDGSQZPZXKYCRXTXRFYN
      PZYOAXRXJVRAYPXSKVFFXDGVSWBCEGXDVTUEVPWCWAWDWEWF $.
  $}

  ${
    $d n x y F $.  $d n x y H $.  $d n x y M $.  $d n x y N $.  $d n x y ph $.
    $d n x G $.  $d x y K $.  $d n x y .+ $.  $d n x y Q $.  $d x y S $.
    $d x y Z $.
    seqhomo.1 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x .+ y ) e. S ) $.
    seqhomo.2 $e |- ( ( ph /\ x e. ( M ... N ) ) -> ( F ` x ) e. S ) $.
    ${
      seqhomo.3 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
      seqhomo.4 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) ->
                        ( H ` ( x .+ y ) ) = ( ( H ` x ) Q ( H ` y ) ) ) $.
      seqhomo.5 $e |- ( ( ph /\ x e. ( M ... N ) ) ->
                        ( H ` ( F ` x ) ) = ( G ` x ) ) $.
      $( Apply a homomorphism to a sequence.  (Contributed by Mario Carneiro,
         28-Jul-2013.)  (Revised by Mario Carneiro, 27-May-2014.) $)
      seqhomo $p |- ( ph -> ( H ` ( seq M ( .+ , F ) ` N ) ) =
                                  ( seq M ( Q , G ) ` N ) ) $=
        ( co wcel cfv wceq vn cfz cseq cuz eluzfz2 syl wi cv caddc eleq1 2fveq3
        c1 fveq2 eqeq12d imbi12d ralrimiva eluzfz1 rspcdva cz eluzel2 seq1 3syl
        imbi2d fveq2d 3eqtr4d a1d wa peano2fzr adantl expr oveq1 seqp1 ad2antrl
        imim1d ralrimivva adantr simprl wss elfzuz3 fzss2 sselda adantlr syldan
        wral seqcl eleq1d simprr fvoveq1 oveq1d oveq2 oveq2d rspc2v syl2anc mpd
        3eqtrd syl5ibr animpimp2impd uzind4i mpcom ) AKJKUBQZRZKDGJUCZSISZKEHJU
        CZSZTZAKJUDSZRZXANJKUEUFXHAXAXFUGZNABUHZWTRZXJXBSISZXJXDSZTZUGZUGAJWTRZ
        JXBSZISZJXDSZTZUGZUGAUAUHZWTRZYBXBSZISZYBXDSZTZUGZUGAYBULUIQZWTRZYIXBSZ
        ISZYIXDSZTZUGZUGAXIUGBUAJKXJJTZXOYAAYPXKXPXNXTXJJWTUJYPXLXRXMXSXJJIXBUK
        XJJXDUMUNUOVCXJYBTZXOYHAYQXKYCXNYGXJYBWTUJYQXLYEXMYFXJYBIXBUKXJYBXDUMUN
        UOVCXJYITZXOYOAYRXKYJXNYNXJYIWTUJYRXLYLXMYMXJYIIXBUKXJYIXDUMUNUOVCXJKTZ
        XOXIAYSXKXAXNXFXJKWTUJYSXLXCXMXEXJKIXBUKXJKXDUMUNUOVCAXTXPAJGSZISZJHSZX
        RXSAXJGSZISZXJHSZTZUUAUUBTBWTJYPUUDUUAUUEUUBXJJIGUKXJJHUMUNAUUFBWTPUPZA
        XHXPNJKUQUFURAXQYTIAXHJUSRZXQYTTNJKUTZDGJVAVBVDAXHUUHXSUUBTNUUIEHJVAVBV
        EVFYBXGRZAYHYJYNYGAUUJVGYJYCYGAUUJYJYCUUJYJVGZYCAYBJKVHVIZVJVNYGYNAUUKV
        GZYEYIHSZEQZYFUUNEQZTYEYFUUNEVKUUMYLUUOYMUUPUUMYLYDYIGSZDQZISZYEUUQISZE
        QZUUOUUMYKUURIUUJYKUURTAYJDGJYBVLVMVDUUMXJCUHZDQZISZXJISZUVBISZEQZTZCFW
        DBFWDZUUSUVATZAUVIUUKAUVHBCFFOVOVPUUMYDFRUUQFRZUVIUVJUGUUMBCDFGJYBAUUJY
        JVQUUMXJJYBUBQZRXKUUCFRZUUMUVLWTXJUUMYCKYBUDSRUVLWTVRUULYBJKVSYBJKVTVBW
        AAXKUVMUUKMWBWCAXJFRUVBFRVGUVCFRUUKLWBWEUUMUVMUVKBWTYIYRUUCUUQFXJYIGUMW
        FAUVMBWTWDUUKAUVMBWTMUPVPAUUJYJWGZURUVHUVJYDUVBDQZISZYEUVFEQZTBCYDUUQFF
        XJYDTZUVDUVPUVGUVQXJYDUVBIDWHUVRUVEYEUVFEXJYDIUMWIUNUVBUUQTZUVPUUSUVQUV
        AUVSUVOUURIUVBUUQYDDWJVDUVSUVFUUTYEEUVBUUQIUMWKUNWLWMWNUUMUUTUUNYEEUUMU
        UFUUTUUNTBWTYIYRUUDUUTUUEUUNXJYIIGUKXJYIHUMUNAUUFBWTWDUUKUUGVPUVNURWKWO
        UUJYMUUPTAYJEHJYBVLVMUNWPWQWRWSWN $.
    $}

    seqz.3 $e |- ( ( ph /\ x e. S ) -> ( Z .+ x ) = Z ) $.
    seqz.4 $e |- ( ( ph /\ x e. S ) -> ( x .+ Z ) = Z ) $.
    seqz.5 $e |- ( ph -> K e. ( M ... N ) ) $.
    seqz.6 $e |- ( ph -> N e. V ) $.
    seqz.7 $e |- ( ph -> ( F ` K ) = Z ) $.
    $( If the operation ` .+ ` has an absorbing element ` Z ` (a.k.a. zero
       element), then any sequence containing a ` Z ` evaluates to ` Z ` .
       (Contributed by Mario Carneiro, 27-May-2014.) $)
    seqz $p |- ( ph -> ( seq M ( .+ , F ) ` N ) = Z ) $=
      ( wcel wceq cseq cfv cfz co cuz elfzuz syl c1 caddc elfzelzd eqtrd seqeq1
      cz seq1 fveq1d eqeq1d syl5ibcom wa cmin eluzel2 seqm1 sylan adantr oveq2d
      cv oveq1 wral ralrimiva eluzp1m1 wss fzssp1 cc zcnd ax-1cn npcan sseqtrid
      sylancl elfzuz3 fzss2 sstrd sselda adantlr syldan seqcl rspcdva ex mpjaod
      uzp1 eqtr4d eqidd seqfveq2 csn fvex elsn sylibr simprl velsn sylib oveq1d
      wo oveq2 simprr ovex peano2uz fzss1 seqcl2 elsni ) AIDFHUAZUBIDFGUAZUBZKA
      DBFFGHIAGHIUCUDZSZGHUEUBZSZPGHIUFUGZAGXHUBZKGFUBZAGHTZXPKTZGHUHUIUDUEUBSZ
      AGXIUBZKTXRXSAYAXQKAGUMSYAXQTAGHIPUJZDFGUNUGRUKXRYAXPKXRGXIXHDFGHULUOUPUQ
      AXTXSAXTURZXPGUHUSUDZXHUBZXQDUDZKAHUMSZXTXPYFTAXNYGXOHGUTUGZDFHGVAVBYCYFY
      EKDUDZKYCXQKYEDAXQKTZXTRVCVDYCBVEZKDUDZKTZYIKTBEYEYKYETYLYIKYKYEKDVFUPAYM
      BEVGXTAYMBEOVHVCYCBCDEFHYDAYGXTYDXMSYHHGVIVBYCYKHYDUCUDZSYKXKSZYKFUBZESZY
      CYNXKYKAYNXKVJXTAYNHGUCUDZXKAHYDUHUIUDZUCUDYNYRHYDVKAYSGHUCAGVLSUHVLSYSGT
      AGYBVMVNGUHVOVQVDVPAIGUEUBSZYRXKVJAXLYTPGHIVRUGZGHIVSUGVTVCWAAYOYQXTMWBWC
      AYKESCVEZESZURYKUUBDUDZESXTLWBWDWEUKUKWFAXNXRXTWTXOHGWHUGWGRWIUUAAYKGUHUI
      UDZIUCUDZSZURYPWJWKAXJKWLZSXJKTABCUUHEDFGIAYJXQUUHSRXQKGFWMWNWOAYKUUHSZUU
      CURZURZUUDKTUUDUUHSUUKUUDKUUBDUDZKUUKYKKUUBDUUKUUIYKKTAUUIUUCWPBKWQWRWSUU
      KKYKDUDZKTZUULKTBEUUBYKUUBTUUMUULKYKUUBKDXAUPAUUNBEVGUUJAUUNBENVHVCAUUIUU
      CXBWEUKUUDKYKUUBDXCWNWOUUAAUUGYOYQAUUFXKYKAUUEXMSZUUFXKVJAXNUUOXOHGXDUGUU
      EHIXEUGWAMWCXFXJKXGUGUK $.
  $}

  ${
    $d x y .+ $.  $d x y F $.  $d x y M $.  $d x y N $.  $d x y ph $.
    $d x y Q $.  $d x y S $.
    seqfeq4.m $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    seqfeq4.f $e |- ( ( ph /\ x e. ( M ... N ) ) -> ( F ` x ) e. S ) $.
    seqfeq4.cl $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x .+ y ) e. S ) $.
    seqfeq4.id $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) ->
        ( x .+ y ) = ( x Q y ) ) $.
    $( Equality of series under different addition operations which agree on an
       additively closed subset.  (Contributed by Mario Carneiro,
       25-Apr-2016.) $)
    seqfeq4 $p |- ( ph ->
      ( seq M ( .+ , F ) ` N ) = ( seq M ( Q , F ) ` N ) ) $=
      ( cfv cid cvv wcel wceq fvi co cseq fvex ax-mp cv wa ovex oveq12i 3eqtr4g
      elv cfz mp1i seqhomo eqtr3id ) AIDGHUAZNZUOONZIEGHUANUOPQUPUORIUNUBUOPSUC
      ABCDEFGGOHILKJABUDZFQCUDZFQUEUEUQURDTZUQURETUSONZUQONZURONZETMUSPQUTUSRUQ
      URDUFUSPSUCVAUQVBUREVAUQRBUQPSUIVBURRCURPSUIUGUHUQGNZPQVCONVCRAUQHIUJTQUE
      UQGUBVCPSUKULUM $.
  $}

  ${
    $d ph a x y $.  $d F a x y $.  $d M a x y $.  $d .+ a x y $.  $d Q a x y $.
    $d S x y $.
    seqfeq3.m $e |- ( ph -> M e. ZZ ) $.
    seqfeq3.f $e |- ( ( ph /\ x e. ( ZZ>= ` M ) ) -> ( F ` x ) e. S ) $.
    seqfeq3.cl $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x .+ y ) e. S ) $.
    seqfeq3.id $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) ->
        ( x .+ y ) = ( x Q y ) ) $.
    $( Equality of series under different addition operations which agree on an
       additively closed subset.  (Contributed by Stefan O'Rear, 21-Mar-2015.)
       (Revised by Mario Carneiro, 25-Apr-2016.) $)
    seqfeq3 $p |- ( ph -> seq M ( .+ , F ) = seq M ( Q , F ) ) $=
      ( va cfv cseq wcel wfn cv wa co cuz cz seqfn syl cfz simpll elfzuz adantl
      simpr syl2anc adantlr wceq seqfeq4 eqfnfvd ) AMHUANZDGHOZEGHOZAHUBPZUPUOQ
      IDGHUCUDAURUQUOQIEGHUCUDAMRZUOPZSZBCDEFGHUSAUTUIVABRZHUSUETPZSAVBUOPZVBGN
      FPAUTVCUFVCVDVAVBHUSUGUHJUJAVBFPCRZFPSZVBVEDTZFPUTKUKAVFVGVBVEETULUTLUKUM
      UN $.
  $}

  ${
    $d x y z C $.  $d x y z G $.  $d x y z M $.  $d x y z N $.  $d x y z .+ $.
    $d x F $.  $d x y ph $.  $d x y z S $.  $d x y z T $.
    seqdistr.1 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x .+ y ) e. S ) $.
    seqdistr.2 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) ->
                        ( C T ( x .+ y ) ) = ( ( C T x ) .+ ( C T y ) ) ) $.
    seqdistr.3 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    seqdistr.4 $e |- ( ( ph /\ x e. ( M ... N ) ) -> ( G ` x ) e. S ) $.
    seqdistr.5 $e |- ( ( ph /\ x e. ( M ... N ) ) ->
                       ( F ` x ) = ( C T ( G ` x ) ) ) $.
    $( The distributive property for series.  (Contributed by Mario Carneiro,
       28-Jul-2013.)  (Revised by Mario Carneiro, 27-May-2014.) $)
    seqdistr $p |- ( ph -> ( seq M ( .+ , F ) ` N ) =
                           ( C T ( seq M ( .+ , G ) ` N ) ) ) $=
      ( vz cfv co wcel cseq cv cmpt wceq oveq2 eqid fvmpt syl ad2antrl ad2antll
      wa ovex oveq12d 3eqtr4d cfz eqtr4d seqhomo seqcl eqtr3d ) AKEIJUARZQFDQUB
      ZGSZUCZRZKEHJUARDUTGSZABCEEFIHVCJKLONABUBZFTZCUBZFTZUKUKZDVFVHESZGSZDVFGS
      ZDVHGSZESVKVCRZVFVCRZVHVCRZESMVJVKFTVOVLUDLQVKVBVLFVCVAVKDGUEVCUFZDVKGULU
      GUHVJVPVMVQVNEVGVPVMUDAVIQVFVBVMFVCVAVFDGUEVRDVFGULUGUIVIVQVNUDAVGQVHVBVN
      FVCVAVHDGUEVRDVHGULUGUJUMUNAVFJKUOSTUKZVFIRZVCRZDVTGSZVFHRVSVTFTWAWBUDOQV
      TVBWBFVCVAVTDGUEVRDVTGULUGUHPUPUQAUTFTVDVEUDABCEFIJKNOLURQUTVBVEFVCVAUTDG
      UEVRDUTGULUGUHUS $.
  $}

  ${
    $d k M $.  $d k N $.  $d k Z $.
    ser0.1 $e |- Z = ( ZZ>= ` M ) $.
    $( The value of the partial sums in a zero-valued infinite series.
       (Contributed by Mario Carneiro, 31-Aug-2013.)  (Revised by Mario
       Carneiro, 15-Dec-2014.) $)
    ser0 $p |- ( N e. Z -> ( seq M ( + , ( Z X. { 0 } ) ) ` N ) = 0 ) $=
      ( vk wcel caddc cc0 csn cxp co wceq 00id a1i cuz cfv eleq2i biimpi cv cc
      cfz wa 0cn elfzuz eleqtrrdi adantl fvconst2g sylancr seqid3 ) BCFZEGCHIJZ
      ABHHHGKHLUJMNUJBAOPZFCULBDQRUJESZABUAKFZUBHTFUMCFZUMUKPHLUCUNUOUJUNUMULCU
      MABUDDUEUFCHUMTUGUHUI $.

    $( A zero-valued infinite series is equal to the constant zero function.
       (Contributed by Mario Carneiro, 8-Feb-2014.) $)
    ser0f $p |- ( M e. ZZ -> seq M ( + , ( Z X. { 0 } ) ) = ( Z X. { 0 } ) ) $=
      ( vk cz wcel caddc cc0 csn cxp cseq wceq cv cfv wral ser0 fvconst2 eqtr4d
      c0ex wfn rgen wb cuz seqfn fneq2i sylibr fconst ffn eqfnfv sylancl mpbiri
      wf ax-mp ) AEFZGBHIZJZAKZUPLZDMZUQNZUSUPNZLZDBOZVBDBUSBFUTHVAAUSBCPBHUSSQ
      RUAUNUQBTZUPBTZURVCUBUNUQAUCNZTVDGUPAUDBVFUQCUEUFBUOUPULVEBHSUGBUOUPUHUMD
      BUQUPUIUJUK $.
  $}

  ${
    $d k x y F $.  $d k x G $.  $d k x y M $.  $d k x N $.  $d k x y ph $.
    serge0.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    serge0.2 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. RR ) $.
    ${
      serge0.3 $e |- ( ( ph /\ k e. ( M ... N ) ) -> 0 <_ ( F ` k ) ) $.
      $( A finite sum of nonnegative terms is nonnegative.  (Contributed by
         Mario Carneiro, 8-Feb-2014.)  (Revised by Mario Carneiro,
         27-May-2014.) $)
      serge0 $p |- ( ph -> 0 <_ ( seq M ( + , F ) ` N ) ) $=
        ( vx vy caddc cc0 cv cle wbr cr wcel wa breq2 elrab cseq cfv cfz elrabd
        crab co readdcl ad2ant2r addge0 an4s syl2anb adantl seqcl simprbi syl )
        AEKCDUAUBZLIMZNOZIPUEZQZLUPNOZABJKUSCDEFABMZDEUCUFQRURLVBCUBZNOIVCPUQVC
        LNSGHUDVBUSQZJMZUSQZRVBVEKUFZUSQZAVDVBPQZLVBNOZRZVEPQZLVENOZRZVHVFURVJI
        VBPUQVBLNSTURVMIVEPUQVELNSTVKVNRURLVGNOZIVGPUQVGLNSVIVLVGPQVJVMVBVEUGUH
        VIVLVJVMVOVBVEUIUJUDUKULUMUTUPPQVAURVAIUPPUQUPLNSTUNUO $.
    $}

    serle.3 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( G ` k ) e. RR ) $.
    serle.4 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) <_ ( G ` k ) ) $.
    $( Comparison of partial sums of two infinite series of reals.
       (Contributed by NM, 27-Dec-2005.)  (Revised by Mario Carneiro,
       27-May-2014.) $)
    serle $p |- ( ph ->
                   ( seq M ( + , F ) ` N ) <_ ( seq M ( + , G ) ` N ) ) $=
      ( vx cc0 caddc cfv cmin co cle wbr wcel cr cseq cvv cv cmpt wa wceq fveq2
      cfz oveq12d eqid ovex fvmpt elv resubcld eqeltrid mpbird breqtrrdi serge0
      subge0d recnd a1i sersub breqtrd readdcl adantl seqcl mpbid ) ALFMDEUANZF
      MCEUANZOPZQRVIVHQRALFMKUBKUCZDNZVKCNZOPZUDZEUANVJQABVOEFGABUCZEFUHPSUEZVP
      VONZVPDNZVPCNZOPZTVRWAUFZBKVPVNWAUBVOVKVPUFVLVSVMVTOVKVPDUGVKVPCUGUIVOUJV
      SVTOUKULUMZVQVSVTIHUNUOVQLWAVRQVQLWAQRVTVSQRJVQVSVTIHUSUPWCUQURABDCVOEFGV
      QVSIUTVQVTHUTWBVQWCVAVBVCAVHVIABKMTDEFGIVPTSVKTSUEVPVKMPTSAVPVKVDVEZVFABK
      MTCEFGHWDVFUSVG $.
  $}

  ${
    $d j k A $.  $d j N $.
    $( Value of the partial series sum of a constant function.  (Contributed by
       NM, 8-Aug-2005.)  (Revised by Mario Carneiro, 16-Feb-2014.) $)
    ser1const $p |- ( ( A e. CC /\ N e. NN ) ->
                   ( seq 1 ( + , ( NN X. { A } ) ) ` N ) = ( N x. A ) ) $=
      ( vj vk cn wcel cc caddc c1 cmul co wceq cv wi fveq2 oveq1 eqeq12d imbi2d
      cfv fvconst2g csn cxp cseq 1z 1nn mpan2 mulid2 eqtr4d seq1i wa seqp1 nnuz
      cuz eleq2s adantl peano2nn sylan2 oveq2d eqtrd nncn ax-1cn adddir syl2anr
      id mp3an2 adantr syl5ibr expcom a2d nnind impcom ) BEFAGFZBHEAUAUBZIUCZSZ
      BAJKZLZVLCMZVNSZVRAJKZLZNVLIVNSZIAJKZLZNVLDMZVNSZWEAJKZLZNVLWEIHKZVNSZWIA
      JKZLZNVLVQNCDBVRILZWAWDVLWMVSWBVTWCVRIVNOVRIAJPQRVRWELZWAWHVLWNVSWFVTWGVR
      WEVNOVRWEAJPQRVRWILZWAWLVLWOVSWJVTWKVRWIVNOVRWIAJPQRVRBLZWAVQVLWPVSVOVTVP
      VRBVNOVRBAJPQRVLWCHVMIUDVLIVMSZAWCVLIEFWQALUEEAIGTUFAUGZUHUIWEEFZVLWHWLVL
      WSWHWLNWHWLVLWSUJZWFAHKZWGAHKZLWFWGAHPWTWJXAWKXBWTWJWFWIVMSZHKZXAWSWJXDLZ
      VLXEWEIUMSEHVMIWEUKULUNUOWTXCAWFHWSVLWIEFXCALWEUPEAWIGTUQURUSWTWKWGWCHKZX
      BWSWEGFZVLWKXFLZVLWEUTVLVDXGIGFVLXHVAWEIAVBVEVCWTWCAWGHVLWCALWSWRVFURUSQV
      GVHVIVJVK $.
  $}

  ${
    $d x y z A $.  $d w x y z F $.  $d x G $.  $d w x y z M $.  $d w x y z N $.
    $d w x y z .+ $.  $d x y z ph $.
    seqof.1 $e |- ( ph -> A e. V ) $.
    seqof.2 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    seqof.3 $e |- ( ( ph /\ x e. ( M ... N ) ) ->
      ( F ` x ) = ( z e. A |-> ( G ` x ) ) ) $.
    $( Distribute function operation through a sequence.  Note that ` G ( z ) `
       is an implicit function on ` z ` .  (Contributed by Mario Carneiro,
       3-Mar-2015.) $)
    seqof $p |- ( ph -> ( seq M ( oF .+ , F ) ` N ) =
      ( z e. A |-> ( seq M ( .+ , G ) ` N ) ) ) $=
      ( vw cfv wceq wcel wa cvv fvex vy cof cseq cv cmpt wfn cab cfz wral rgenw
      eqid fnmpt mp1i fneq1d mpbird fneq1 elab sylibr simprl simprr adantr offn
      co inidm ex vex anbi12i 3imtr4g imp seqcl sylib dffn5 fveq1 fvmpt adantlr
      ovex cuz eqidd ofval an32s ax-mp elv oveq12i 3eqtr4g fveq1d simplr fvmpt2
      sylan2b sylancl eqtrd eqtrid seqhomo eqtr3d mpteq2dva ) AIEUBZFHUCZOZCDCU
      DZWQOZUEZCDIEGHUCOZUEAWQDUFZWQWTPAWQWRDUFZCUGZQXBABUAWOXDFHILABUDZHIUHVCQ
      ZRZXEFOZDUFZXHXDQZXGXICDXEGOZUEZDUFZXKSQZCDUIXMXGXNCDXEGTZUJCDXKXLSXLUKZU
      LUMXGDXHXLMUNUOXCXICXHXEFTZDWRXHUPUQURZAXEXDQZUAUDZXDQZRZXEXTWOVCZXDQZAXE
      DUFZXTDUFZRZYCDUFZYBYDAYGYHAYGRZDDEDXEXTJJAYEYFUSZAYEYFUTZADJQYGKVAZYLDVD
      ZVBVEXSYEYAYFXCYECXEBVFDWRXEUPUQXCYFCXTUAVFDWRXTUPUQVGZXCYHCYCXEXTWOVPZDW
      RYCUPUQVHVIZVJXCXBCWQIWPTZDWRWQUPUQVKCDWQVLVKACDWSXAAWRDQZRZWQNSWRNUDZOZU
      EZOZWSXAWQSQUUCWSPYSYQNWQUUAWSSUUBWRYTWQVMUUBUKZWRWQTVNUMYSBUAWOEXDFGUUBH
      IAYBYDYRYPVOAXFXJYRXRVOAIHVQOQYRLVAYBYSYGYCUUBOZXEUUBOZXTUUBOZEVCZPYNYSYG
      RWRYCOZWRXEOZWRXTOZEVCZUUEUUHAYGYRUUIUULPYIDDUUJUUKEDXEXTJJWRYJYKYLYLYMYI
      YRRZUUJVRUUMUUKVRVSVTYCSQUUEUUIPYONYCUUAUUISUUBWRYTYCVMUUDWRYCTVNWAUUFUUJ
      UUGUUKEUUFUUJPBNXEUUAUUJSUUBWRYTXEVMUUDWRXETVNWBUUGUUKPUANXTUUAUUKSUUBWRY
      TXTVMUUDWRXTTVNWBWCWDWHYSXFRZXHUUBOZWRXHOZXKXHSQUUOUUPPXQNXHUUAUUPSUUBWRY
      TXHVMUUDWRXHTVNWAUUNUUPWRXLOZXKUUNWRXHXLAXFXHXLPYRMVOWEUUNYRXNUUQXKPAYRXF
      WFXOCDXKSXLXPWGWIWJWKWLWMWNWJ $.
  $}

  ${
    $d n x y z A $.  $d n x y z M $.  $d n x y z N $.  $d n x y z ph $.
    $d n y z .+ $.  $d n x y B $.  $d n y X $.
    seqof2.1 $e |- ( ph -> A e. V ) $.
    seqof2.2 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    seqof2.3 $e |- ( ph -> ( M ... N ) C_ B ) $.
    seqof2.4 $e |- ( ( ph /\ ( x e. B /\ z e. A ) ) -> X e. W ) $.
    $( Distribute function operation through a sequence.  Maps-to notation
       version of ~ seqof .  (Contributed by Mario Carneiro, 7-Jul-2017.) $)
    seqof2 $p |- ( ph ->
      ( seq M ( oF .+ , ( x e. B |-> ( z e. A |-> X ) ) ) ` N ) =
      ( z e. A |-> ( seq M ( .+ , ( x e. B |-> X ) ) ` N ) ) ) $=
      ( vy cmpt cfv wcel nfcv vn cof cseq cv csb cfz co wa wceq wi nfv nffvmpt1
      nfmpt nfeq weq eleq1w anbi2d fveq2 mpteq2dv eqeq12d imbi12d sselda adantr
      nfim cvv mptexd eqid fvmpt2 syl2anc simpll simpr mpteq2dva eqtr4d chvarfv
      syl12anc nfcsb1v csbeq1a fveq1d cbvmpt eqtrdi seqof nfseq seqeq3d eqtr4di
      nffv ) AHFUBBECDKQZQZGUCRPDHFCPUDZBEKQZUEZGUCZRZQCDHFWIGUCZRZQAUAPDFWGWJG
      HILMAUAUDZGHUFUGZSZUHZWOWGRZCDWOWIRZQZPDWOWJRZQABUDZWPSZUHZXCWGRZCDXCWIRZ
      QZUIZUJWRWSXAUIZUJBUAWRXJBWRBUKBWSXABEWFWOULBCDWTBDTBEKWOULUMUNVDBUAUOZXE
      WRXIXJXKXDWQABUAWPUPUQXKXFWSXHXAXCWOWGURXKCDXGWTXCWOWIURUSUTVAXEXFWFXHXEX
      CESZWFVESXFWFUIAWPEXCNVBZXECDKIADISXDLVCVFBEWFVEWGWGVGVHVIXECDXGKXECUDDSZ
      UHZXLKJSZXGKUIXEXLXNXMVCZXOAXLXNXPAXDXNVJXQXEXNVKOVOBEKJWIWIVGVHVIVLVMVNC
      PDWTXBPWTTCWOWJCWHWIVPZCWOTWECPUOZWOWIWJCWHWIVQZVRVSVTWACPDWNWLPWNTCHWKCF
      WJGCGTCFTXRWBCHTWEXSHWMWKXSWIWJFGXTWCVRVSWD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Integer powers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ^ $. $( Exponentiation. $)

  $( Extend class notation to include exponentiation of a complex number to an
     integer power. $)
  cexp $a class ^ $.

  ${
    $d x y $.
    $( Define exponentiation to nonnegative integer powers.  For example,
       ` ( 5 ^ 2 ) = 2 5 ` ( ~ ex-exp ).  Terminology:  In general,
       "exponentiation" is the operation of raising a "base" ` x ` to the power
       of the "exponent" ` y ` , resulting in the "power" ` ( x ^ y ) ` , also
       called "x to the power of y".  In this case, "integer exponentiation" is
       the operation of raising a complex "base" ` x ` to the power of an
       integer ` y ` , resulting in the "integer power" ` ( x ^ y ) ` .

       This definition is not meant to be used directly; instead, ~ exp0 and
       ~ expp1 provide the standard recursive definition.  The up-arrow
       notation is used by Donald Knuth for iterated exponentiation (_Science_
       194, 1235-1242, 1976) and is convenient for us since we don't have
       superscripts.

       10-Jun-2005:  The definition was extended to include zero exponents, so
       that ` 0 ^ 0 = 1 ` per the convention of Definition 10-4.1 of [Gleason]
       p. 134 ( ~ 0exp0e1 ).

       4-Jun-2014:  The definition was extended to include negative integer
       exponents.  For example, ` ( -u 3 ^ -u 2 ) = ( 1 / 9 ) ` ( ~ ex-exp ).
       The case ` x = 0 , y < 0 ` gives the value ` ( 1 / 0 ) ` , so we will
       avoid this case in our theorems.

       For a definition of exponentiation including complex exponents see
       ~ df-cxp (complex exponentiation).  Both definitions are equivalent for
       integer exponents, see ~ cxpexpz .  (Contributed by Raph Levien,
       20-May-2004.)  (Revised by NM, 15-Oct-2004.) $)
    df-exp $a |- ^ = ( x e. CC , y e. ZZ |-> if ( y = 0 , 1 , if ( 0 < y ,
                       ( seq 1 ( x. , ( NN X. { x } ) ) ` y ) ,
                 ( 1 / ( seq 1 ( x. , ( NN X. { x } ) ) ` -u y ) ) ) ) ) $.

    $(
    Raph Levien's original definition of 20-May-2004:
    df-exp $a |- ^ = { <. <. x , y >. , z >. | ( ( x e. CC /\ y e. NN0 ) /\
          z = ( ( rec ( { <. w , v >. | v = ( w x. x ) } , 1 ) o.
       `' ( rec ( { <. w , v >. | v = ( w + 1 ) } , 0 ) |` _om ) ) ` y ) ) } $.
    $)
  $}

  ${
    $d x y A $.  $d x y N $.
    $( Value of exponentiation to integer powers.  (Contributed by NM,
       20-May-2004.)  (Revised by Mario Carneiro, 4-Jun-2014.) $)
    expval $p |- ( ( A e. CC /\ N e. ZZ ) -> ( A ^ N ) =
      if ( N = 0 , 1 , if ( 0 < N ,
                       ( seq 1 ( x. , ( NN X. { A } ) ) ` N ) ,
                 ( 1 / ( seq 1 ( x. , ( NN X. { A } ) ) ` -u N ) ) ) ) ) $=
      ( vx vy cv cc0 wceq c1 clt wbr cmul cn csn cxp cseq cfv cneg cdiv co cif
      cc cz cexp simpr eqeq1d breq2d simpl xpeq2d seqeq3d fveq12d negeqd oveq2d
      wa sneqd ifbieq12d ifbieq2d df-exp 1ex fvex ovex ifex ovmpoa ) CDABUAUBDE
      ZFGZHFVCIJZVCKLCEZMZNZHOZPZHVCQZVIPZRSZTZTBFGZHFBIJZBKLAMZNZHOZPZHBQZVSPZ
      RSZTZTUCVFAGZVCBGZUMZVDVOVNWDHWGVCBFWEWFUDZUEWGVEVPVJVMVTWCWGVCBFIWHUFWGV
      CBVIVSWGVHVRKHWGVGVQLWGVFAWEWFUGUNUHUIZWHUJWGVLWBHRWGVKWAVIVSWIWGVCBWHUKU
      JULUOUPCDUQVOHWDURVPVTWCBVSUSHWBRUTVAVAVB $.
  $}

  $( Value of exponentiation to positive integer powers.  (Contributed by Mario
     Carneiro, 4-Jun-2014.) $)
  expnnval $p |- ( ( A e. CC /\ N e. NN ) -> ( A ^ N ) =
                   ( seq 1 ( x. , ( NN X. { A } ) ) ` N ) ) $=
    ( cc wcel cn wa cexp co cc0 wceq c1 clt wbr cmul csn cxp cseq cfv cif eqtrd
    cneg cdiv cz nnz expval sylan2 nnne0 neneqd iffalsed nngt0 iftrued adantl )
    ACDZBEDZFABGHZBIJZKIBLMZBNEAOPKQZRZKBUAURRUBHZSZSZUSUNUMBUCDUOVBJBUDABUEUFU
    NVBUSJUMUNVBVAUSUNUPKVAUNBIBUGUHUIUNUQUSUTBUJUKTULT $.

  $( Value of a complex number raised to the 0th power.  Note that under our
     definition, ` 0 ^ 0 = 1 ` ( ~ 0exp0e1 ) , following the convention used by
     Gleason.  Part of Definition 10-4.1 of [Gleason] p. 134.  (Contributed by
     NM, 20-May-2004.)  (Revised by Mario Carneiro, 4-Jun-2014.) $)
  exp0 $p |- ( A e. CC -> ( A ^ 0 ) = 1 ) $=
    ( cc wcel cc0 cexp co wceq c1 clt wbr cmul cn csn cxp cseq cfv cneg cdiv cz
    cif 0z expval mpan2 eqid iftruei eqtrdi ) ABCZADEFZDDGZHDDIJDKLAMNHOZPHDQUJ
    PRFTZTZHUGDSCUHULGUAADUBUCUIHUKDUDUEUF $.

  $( The zeroth power of zero equals one.  See comment of ~ exp0 .
     (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  0exp0e1 $p |- ( 0 ^ 0 ) = 1 $=
    ( cc0 cc wcel cexp co c1 wceq 0cn exp0 ax-mp ) ABCAADEFGHAIJ $.

  $( Value of a complex number raised to the first power.  (Contributed by NM,
     20-Oct-2004.)  (Revised by Mario Carneiro, 2-Jul-2013.) $)
  exp1 $p |- ( A e. CC -> ( A ^ 1 ) = A ) $=
    ( cc wcel c1 cexp co cn csn cxp cfv cmul cseq wceq 1nn expnnval mpan2 cz 1z
    seq1 ax-mp eqtrdi fvconst2g eqtrd ) ABCZADEFZDGAHIZJZAUDUEDKUFDLJZUGUDDGCZU
    EUHMNADOPDQCUHUGMRKUFDSTUAUDUIUGAMNGADBUBPUC $.

  $( Value of a complex number raised to a nonnegative integer power plus one.
     Part of Definition 10-4.1 of [Gleason] p. 134.  (Contributed by NM,
     20-May-2005.)  (Revised by Mario Carneiro, 2-Jul-2013.) $)
  expp1 $p |- ( ( A e. CC /\ N e. NN0 ) -> ( A ^ ( N + 1 ) ) =
               ( ( A ^ N ) x. A ) ) $=
    ( cn0 wcel cc cn cc0 wceq c1 caddc co cexp cmul wa cfv sylan2 oveq2d oveq1d
    expnnval 3eqtr4d wo elnn0 csn cxp cseq seqp1 nnuz eleq2s peano2nn fvconst2g
    cuz adantl eqtrd exp1 mulid2 eqtr4d adantr simpr 0p1e1 oveq2 exp0 sylan9eqr
    eqtrdi jaodan sylan2b ) BCDAEDZBFDZBGHZUAABIJKZLKZABLKZAMKZHZBUBVFVGVMVHVFV
    GNZVIMFAUCUDZIUEZOZBVPOZAMKZVJVLVNVQVRVIVOOZMKZVSVGVQWAHZVFWBBIUKOFMVOIBUFU
    GUHULVNVTAVRMVGVFVIFDZVTAHBUIZFAVIEUJPQUMVGVFWCVJVQHWDAVISPVNVKVRAMABSRTVFV
    HNZAILKZIAMKZVJVLVFWFWGHVHVFWFAWGAUNAUOUPUQWEVIIALWEVIGIJKIWEBGIJVFVHURRUSV
    CQWEVKIAMVHVFVKAGLKIBGALUTAVAVBRTVDVE $.

  $( Value of a complex number raised to a negative integer power.
     (Contributed by Mario Carneiro, 4-Jun-2014.) $)
  expneg $p |- ( ( A e. CC /\ N e. NN0 ) ->
                 ( A ^ -u N ) = ( 1 / ( A ^ N ) ) ) $=
    ( wcel cc cn cc0 wceq cneg cexp co c1 cdiv wa clt wbr cfv cif adantl oveq2d
    wn cn0 elnn0 cmul csn cxp cseq nnne0 nncn negeq0d necon3abid mpbid iffalsed
    wo wne nnnn0 nn0nlt0 syl nn0red lt0neg1d mtbid negnegd fveq2d 3eqtrd nnnegz
    cz expval sylan2 expnnval 3eqtr4d 1div1e1 eqcomi neg0 eqtrdi exp0 sylan9eqr
    negeq oveq2 3eqtr4a jaodan sylan2b ) BUACZADCZBECZBFGZUMABHZIJZKABIJZLJZGZB
    UBWBWCWIWDWBWCMZWEFGZKFWENOZWEUCEAUDUEKUFZPZKWEHZWMPZLJZQZQZKBWMPZLJZWFWHWJ
    WSWRWQXAWJWKKWRWJBFUNZWKTWCXBWBBUGRWJWKBFWJBWCBDCWBBUHRZUIUJUKULWJWLWNWQWJB
    FNOZWLWJWAXDTWCWAWBBUORZBUPUQWJBWJBXEURUSUTULWJWPWTKLWJWOBWMWJBXCVAVBSVCWCW
    BWEVECWFWSGBVDAWEVFVGWJWGWTKLABVHSVIWBWDMZKKKLJZWFWHXGKVJVKWDWBWFAFIJZKWDWE
    FAIWDWEFHFBFVPVLVMSAVNZVOXFWGKKLWDWBWGXHKBFAIVQXIVOSVRVSVT $.

  $( Value of a complex number raised to a negative integer power.
     (Contributed by Mario Carneiro, 4-Jun-2014.) $)
  expneg2 $p |- ( ( A e. CC /\ N e. CC /\ -u N e. NN0 ) ->
                 ( A ^ N ) = ( 1 / ( A ^ -u N ) ) ) $=
    ( cc wcel cneg cn0 w3a cexp cdiv wceq negneg 3ad2ant2 oveq2d expneg 3adant2
    co c1 eqtr3d ) ACDZBCDZBEZFDZGZAUAEZHPZABHPQAUAHPIPZUCUDBAHTSUDBJUBBKLMSUBU
    EUFJTAUANOR $.

  $( A number to the negative one power is the reciprocal.  (Contributed by
     Mario Carneiro, 4-Jun-2014.) $)
  expn1 $p |- ( A e. CC -> ( A ^ -u 1 ) = ( 1 / A ) ) $=
    ( cc wcel c1 cneg cexp co cdiv cn0 wceq 1nn0 expneg mpan2 exp1 oveq2d eqtrd
    ) ABCZADEFGZDADFGZHGZDAHGQDICRTJKADLMQSADHANOP $.

  ${
    $d x y z w A $.  $d x z B $.  $d x y z w F $.
    expcllem.1 $e |- F C_ CC $.
    expcllem.2 $e |- ( ( x e. F /\ y e. F ) -> ( x x. y ) e. F ) $.
    expcllem.3 $e |- 1 e. F $.
    $( Lemma for proving nonnegative integer exponentiation closure laws.
       (Contributed by NM, 14-Dec-2005.) $)
    expcllem $p |- ( ( A e. F /\ B e. NN0 ) -> ( A ^ B ) e. F ) $=
      ( vz wcel cc0 wceq cexp co wi c1 oveq2 eleq1d imbi2d wa vw cn wo elnn0 cv
      cn0 caddc cc sseli exp1 syl ibir caovcl ancoms adantlr nnnn0 expp1 syl2an
      cmul adantr mpbird exp31 com12 a2d nnind impcom sylan9eqr eqeltrdi jaodan
      wb exp0 sylan2b ) DUFJCEJZDUBJZDKLZUCCDMNZEJZDUDVMVNVQVOVNVMVQVMCIUEZMNZE
      JZOVMCPMNZEJZOVMCUAUEZMNZEJZOVMCWCPUGNZMNZEJZOVMVQOIUADVRPLZVTWBVMWIVSWAE
      VRPCMQRSVRWCLZVTWEVMWJVSWDEVRWCCMQRSVRWFLZVTWHVMWKVSWGEVRWFCMQRSVRDLZVTVQ
      VMWLVSVPEVRDCMQRSVMWBVMWACEVMCUHJZWACLEUHCFUIZCUJUKRULWCUBJZVMWEWHVMWOWEW
      HOVMWOWEWHVMWOTZWETWHWDCUSNZEJZVMWEWRWOWEVMWRABWDCEUSGUMUNUOWPWHWRVJWEWPW
      GWQEVMWMWCUFJWGWQLWOWNWCUPCWCUQURRUTVAVBVCVDVEVFVMVOTVPPEVOVMVPCKMNZPDKCM
      QVMWMWSPLWNCVKUKVGHVHVIVL $.

    expcl2lem.4 $e |- ( ( x e. F /\ x =/= 0 ) -> ( 1 / x ) e. F ) $.
    $( Lemma for proving integer exponentiation closure laws.  (Contributed by
       Mario Carneiro, 4-Jun-2014.)  (Revised by Mario Carneiro,
       9-Sep-2014.) $)
    expcl2lem $p |- ( ( A e. F /\ A =/= 0 /\ B e. ZZ ) -> ( A ^ B ) e. F ) $=
      ( wcel cc0 wne co wa wi ex c1 cc eldifsn sseli cz cexp cn0 cr cn elznn0nn
      cneg expcllem adantr cdiv wceq simpll sselid recnd nnnn0 ad2antll expneg2
      wo simprl syl3anc csn cdif difss simpl sylibr sstri cv cmul syl2an anim1i
      sylbi mulne0 sylanbrc ax-1ne0 mpbir2an syl2anc sylib simprd neeq1 imbi12d
      oveq2 eleq1d vtoclga sylc eqeltrd jaod syl5bi 3impia ) CEJZCKLZDUAJZCDUBM
      ZEJZWKDUCJZDUDJZDUGZUEJZNZURWIWJNZWMDUFWSWNWMWRWIWNWMOWJWIWNWMABCDEFGHUHP
      UIWSWRWMWSWRNZWLQCWPUBMZUJMZEWTCRJDRJWPUCJZWLXBUKWTERCFWIWJWRULUMWTDWSWOW
      QUSUNWQXCWSWOWPUOUPZCDUQUTWTXAEJZXAKLZXBEJZWTEKVAZVBZEXAEXHVCZWTCXIJZXCXA
      XIJZWTWSXKWSWRVDCEKSVEXDABCWPXIXIERXJFVFAVGZXIJZBVGZXIJZNXMXOVHMZEJZXQKLZ
      XQXIJXNXMEJZXOEJZXRXPXIEXMXJTXIEXOXJTGVIXNXMRJZXMKLZNZXORJZXOKLZNZXSXPXNX
      TYCNYDXMEKSXTYBYCERXMFTVJVKXPYAYFNYGXOEKSYAYEYFERXOFTVJVKXMXOVLVIXQEKSVMQ
      XIJQEJQKLHVNQEKSVOUHVPZUMWTXEXFWTXLXEXFNYHXAEKSVQVRYCQXMUJMZEJZOXFXGOAXAE
      XMXAUKZYCXFYJXGXMXAKVSYKYIXBEXMXAQUJWAWBVTXTYCYJIPWCWDWEPWFWGWH $.
  $}

  ${
    $d x y A $.  $d x y N $.
    $( Closure of exponentiation of nonnegative integers.  (Contributed by NM,
       16-Dec-2005.) $)
    nnexpcl $p |- ( ( A e. NN /\ N e. NN0 ) -> ( A ^ N ) e. NN ) $=
      ( vx vy cn nnsscn cv nnmulcl 1nn expcllem ) CDABEFCGDGHIJ $.

    $( Closure of exponentiation of nonnegative integers.  (Contributed by NM,
       14-Dec-2005.) $)
    nn0expcl $p |- ( ( A e. NN0 /\ N e. NN0 ) -> ( A ^ N ) e. NN0 ) $=
      ( vx vy cn0 nn0sscn cv nn0mulcl 1nn0 expcllem ) CDABEFCGDGHIJ $.

    $( Closure of exponentiation of integers.  (Contributed by NM,
       16-Dec-2005.) $)
    zexpcl $p |- ( ( A e. ZZ /\ N e. NN0 ) -> ( A ^ N ) e. ZZ ) $=
      ( vx vy cz zsscn cv zmulcl 1z expcllem ) CDABEFCGDGHIJ $.

    $( Closure of exponentiation of rationals.  (Contributed by NM,
       16-Dec-2005.) $)
    qexpcl $p |- ( ( A e. QQ /\ N e. NN0 ) -> ( A ^ N ) e. QQ ) $=
      ( vx vy cq qsscn cv qmulcl c1 cz wcel 1z zq ax-mp expcllem ) CDABEFCGDGHI
      JKIEKLIMNO $.

    $( Closure of exponentiation of reals.  (Contributed by NM,
       14-Dec-2005.) $)
    reexpcl $p |- ( ( A e. RR /\ N e. NN0 ) -> ( A ^ N ) e. RR ) $=
      ( vx vy cr ax-resscn cv remulcl 1re expcllem ) CDABEFCGDGHIJ $.

    $( Closure law for nonnegative integer exponentiation.  (Contributed by NM,
       26-May-2005.) $)
    expcl $p |- ( ( A e. CC /\ N e. NN0 ) -> ( A ^ N ) e. CC ) $=
      ( vx vy cc ssid cv mulcl ax-1cn expcllem ) CDABEEFCGDGHIJ $.

    $( Closure law for exponentiation of positive reals.  (Contributed by NM,
       24-Feb-2008.)  (Revised by Mario Carneiro, 9-Sep-2014.) $)
    rpexpcl $p |- ( ( A e. RR+ /\ N e. ZZ ) -> ( A ^ N ) e. RR+ ) $=
      ( vx vy crp wcel cz wa cc0 wne cexp co simpl rpne0 adantr simpr cr rpssre
      cc cv ax-resscn sstri rpmulcl 1rp c1 cdiv rpreccl expcl2lem syl3anc ) AEF
      ZBGFZHUJAIJZUKABKLEFUJUKMUJULUKANOUJUKPCDABEEQSRUAUBCTZDTUCUDUMEFUEUMUFLE
      FUMIJUMUGOUHUI $.

    $( Closure of exponentiation of reals.  (Contributed by Mario Carneiro,
       4-Jun-2014.)  (Revised by Mario Carneiro, 9-Sep-2014.) $)
    reexpclz $p |- ( ( A e. RR /\ A =/= 0 /\ N e. ZZ ) ->
                     ( A ^ N ) e. RR ) $=
      ( vx vy cr ax-resscn cv remulcl 1re rereccl expcl2lem ) CDABEFCGZDGHILJK
      $.

    $( Closure of exponentiation of rational numbers.  (Contributed by Mario
       Carneiro, 9-Sep-2014.) $)
    qexpclz $p |- ( ( A e. QQ /\ A =/= 0 /\ N e. ZZ ) -> ( A ^ N ) e. QQ ) $=
      ( vx vy cq qsscn cv qmulcl c1 cz wcel 1z zq ax-mp qreccl expcl2lem ) CDAB
      EFCGZDGHIJKIEKLIMNQOP $.

    $( Closure of exponentiation of negative one.  (Contributed by Mario
       Carneiro, 18-Jun-2015.) $)
    m1expcl2 $p |- ( N e. ZZ -> ( -u 1 ^ N ) e. { -u 1 , 1 } ) $=
      ( vx vy c1 cneg wcel cc0 wne co cc ax-1cn cmul wceq eqeltri eqeltrdi jaoi
      cv wo syl cdiv cpr cz negex prid1 neg1ne0 wss neg1cn prssi mp2an wi elpri
      cexp sseli mulm1d negeq negneg1e1 1ex prid2 eqeltrd oveq1 syl5ibr mulid2d
      eleq1d id imp oveq2 ax-1ne0 divneg2 mp3an 1div1e1 negeqi eqtr3i expcl2lem
      adantr mp3an12 ) DEZVPDUAZFVPGHAUBFVPAULIVQFVPDDUCUDZUEBCVPAVQVPJFDJFZVQJ
      UFUGKVPDJUHUIZBQZVQFZCQZVQFZWAWCLIZVQFZWBWAVPMZWADMZRZWDWFUJZWAVPDUKZWGWJ
      WHWDWFWGVPWCLIZVQFWDWLWCEZVQWDWCVQJWCVTUMZUNWDWCVPMZWCDMZRWMVQFZWCVPDUKWO
      WQWPWOWMVPEZVQWCVPUOWRDVQUPVPDUQURZNOWPWMVPVQWCDUOVROPSUSWGWEWLVQWAVPWCLU
      TVCVAWDWFWHDWCLIZVQFWDWTWCVQWDWCWNVBWDVDUSWHWEWTVQWADWCLUTVCVAPSVEWSWBDWA
      TIZVQFZWAGHWBWIXBWKWGXBWHWGXADVPTIZVQWAVPDTVFXCVPVQDDTIZEZXCVPVSVSDGHXEXC
      MKKVGDDVHVIXDDVJVKVLVRNOWHXAXDVQWADDTVFXDDVQVJWSNOPSVNVMVO $.

    $( Closure of exponentiation of negative one.  (Contributed by Mario
       Carneiro, 18-Jun-2015.) $)
    m1expcl $p |- ( N e. ZZ -> ( -u 1 ^ N ) e. ZZ ) $=
      ( cz wcel c1 cneg cpr cexp co wss neg1z 1z prssi mp2an m1expcl2 sselid )
      ABCDEZDFZBPAGHPBCDBCQBIJKPDBLMANO $.

    $( Closure law for integer exponentiation.  (Contributed by Mario Carneiro,
       4-Jun-2014.) $)
    expclzlem $p |- ( ( A e. CC /\ A =/= 0 /\ N e. ZZ ) ->
                      ( A ^ N ) e. ( CC \ { 0 } ) ) $=
      ( vx vy cc wcel cc0 wne cz cexp co csn cdif wi wa eldifsn difss cv cmul
      c1 mulcl ad2ant2r mulne0 sylanbrc syl2anb ax-1ne0 mpbir2an cdiv reccl jca
      ax-1cn recne0 3imtr4i adantr expcl2lem 3expia sylanbr anabss3 3impia ) AE
      FZAGHZBIFZABJKEGLZMZFZUTVAVBVENZUTVAOAVDFZVAVFAEGPVGVAVBVECDABVDEVCQCRZVD
      FZVHEFZVHGHZOZDRZEFZVMGHZOZVHVMSKZVDFZVMVDFVHEGPZVMEGPVLVPOVQEFZVQGHVRVJV
      NVTVKVOVHVMUAUBVHVMUCVQEGPUDUETVDFTEFTGHUKUFTEGPUGVITVHUHKZVDFZVKVLWAEFZW
      AGHZOVIWBVLWCWDVHUIVHULUJVSWAEGPUMUNUOUPUQURUS $.

    $( Closure law for integer exponentiation.  (Contributed by Mario Carneiro,
       4-Jun-2014.) $)
    expclz $p |- ( ( A e. CC /\ A =/= 0 /\ N e. ZZ ) -> ( A ^ N ) e. CC ) $=
      ( cc wcel cc0 wne cz w3a cexp co csn expclzlem eldifad ) ACDAEFBGDHABIJCE
      KABLM $.
  $}

  ${
    zexpcld.1 $e |- ( ph -> A e. ZZ ) $.
    zexpcld.2 $e |- ( ph -> N e. NN0 ) $.
    $( Closure of exponentiation of integers, deductive form.  (Contributed by
       SN, 15-Sep-2024.) $)
    zexpcld $p |- ( ph -> ( A ^ N ) e. ZZ ) $=
      ( cz wcel cn0 cexp co zexpcl syl2anc ) ABFGCHGBCIJFGDEBCKL $.
  $}

  ${
    nn0expcli.1 $e |- A e. NN0 $.
    nn0expcli.2 $e |- N e. NN0 $.
    $( Closure of exponentiation of nonnegative integers.  (Contributed by
       Mario Carneiro, 17-Apr-2015.) $)
    nn0expcli $p |- ( A ^ N ) e. NN0 $=
      ( cn0 wcel cexp co nn0expcl mp2an ) AEFBEFABGHEFCDABIJ $.
  $}

  $( The square of a nonnegative integer is a nonnegative integer.
     (Contributed by Stefan O'Rear, 16-Oct-2014.) $)
  nn0sqcl $p |- ( A e. NN0 -> ( A ^ 2 ) e. NN0 ) $=
    ( cn0 wcel c2 cexp co 2nn0 nn0expcl mpan2 ) ABCDBCADEFBCGADHI $.

  $( Exponentiation in terms of predecessor exponent.  (Contributed by NM,
     19-Dec-2005.) $)
  expm1t $p |- ( ( A e. CC /\ N e. NN ) -> ( A ^ N ) =
               ( ( A ^ ( N - 1 ) ) x. A ) ) $=
    ( cc wcel cn wa c1 cmin co caddc cexp cmul wceq ax-1cn npcan sylancl oveq2d
    nncn adantl cn0 nnm1nn0 expp1 sylan2 eqtr3d ) ACDZBEDZFABGHIZGJIZKIZABKIZAU
    GKIALIZUFUIUJMUEUFUHBAKUFBCDGCDUHBMBRNBGOPQSUFUEUGTDUIUKMBUAAUGUBUCUD $.

  ${
    $d x y j N $.  $d j k A $.
    $( Value of one raised to a nonnegative integer power.  (Contributed by NM,
       15-Dec-2005.)  (Revised by Mario Carneiro, 4-Jun-2014.) $)
    1exp $p |- ( N e. ZZ -> ( 1 ^ N ) = 1 ) $=
      ( vx vy cz wcel c1 co wceq cc0 wne cc cv wa cmul elsni eqtrdi ovex sylibr
      elsn cdiv cexp csn 1ex ax-1ne0 wss ax-1cn snssi ax-mp oveq12 1t1e1 syl2an
      snid oveq2d 1div1e1 adantr expcl2lem mp3an12 syl ) ADEZFAUAGZFUBZEZUTFHFV
      AEFIJUSVBFUCULZUDBCFAVAFKEVAKUEUFFKUGUHBLZVAEZCLZVAEZMVDVFNGZFHZVHVAEVEVD
      FHZVFFHZVIVGVDFOZVFFOVJVKMVHFFNGFVDFVFFNUIUJPUKVHFVDVFNQSRVCVEFVDTGZVAEZV
      DIJVEVMFHVNVEVMFFTGFVEVDFFTVLUMUNPVMFFVDTQSRUOUPUQUTFOUR $.

    $( Positive integer exponentiation is 0 iff its base is 0.  (Contributed by
       NM, 23-Feb-2005.) $)
    expeq0 $p |- ( ( A e. CC /\ N e. NN ) -> ( ( A ^ N ) = 0 <-> A = 0 ) ) $=
      ( vj vk cn wcel cc cexp co wceq wb cv wi c1 oveq2 eqeq1d bibi1d imbi2d wa
      cc0 caddc exp1 wo nnnn0 cmul expp1 expcl simpl mul0ord bitrd sylan2 biimp
      cn0 idd jaod olc impbid1 sylan9bb exp31 com12 a2d nnind impcom ) BEFAGFZA
      BHIZTJZATJZKZVDACLZHIZTJZVGKZMVDANHIZTJZVGKZMVDADLZHIZTJZVGKZMVDAVPNUAIZH
      IZTJZVGKZMVDVHMCDBVINJZVLVOVDWDVKVNVGWDVJVMTVINAHOPQRVIVPJZVLVSVDWEVKVRVG
      WEVJVQTVIVPAHOPQRVIVTJZVLWCVDWFVKWBVGWFVJWATVIVTAHOPQRVIBJZVLVHVDWGVKVFVG
      WGVJVETVIBAHOPQRVDVMATAUBPVPEFZVDVSWCVDWHVSWCMVDWHVSWCVDWHSWBVRVGUCZVSVGW
      HVDVPUMFZWBWIKVPUDVDWJSZWBVQAUEIZTJWIWKWAWLTAVPUFPWKVQAAVPUGVDWJUHUIUJUKV
      SWIVGVSVRVGVGVRVGULVSVGUNUOVGVRUPUQURUSUTVAVBVC $.
  $}

  $( Positive integer exponentiation is nonzero iff its base is nonzero.
     (Contributed by NM, 6-May-2005.) $)
  expne0 $p |- ( ( A e. CC /\ N e. NN ) ->
                  ( ( A ^ N ) =/= 0 <-> A =/= 0 ) ) $=
    ( cc wcel cn wa cexp co cc0 expeq0 necon3bid ) ACDBEDFABGHIAIABJK $.

  $( Nonnegative integer exponentiation is nonzero if its base is nonzero.
     (Contributed by NM, 2-Aug-2006.)  (Revised by Mario Carneiro,
     4-Jun-2014.) $)
  expne0i $p |- ( ( A e. CC /\ A =/= 0 /\ N e. ZZ )
              -> ( A ^ N ) =/= 0 ) $=
    ( cc wcel cc0 wne cz w3a cexp co csn cdif expclzlem eldifsni syl ) ACDAEFBG
    DHABIJZCEKLDPEFABMPCENO $.

  $( A positive real raised to an integer power is positive.  (Contributed by
     NM, 16-Dec-2005.)  (Revised by Mario Carneiro, 4-Jun-2014.) $)
  expgt0 $p |- ( ( A e. RR /\ N e. ZZ /\ 0 < A ) -> 0 < ( A ^ N ) ) $=
    ( cr wcel cc0 clt wbr cz cexp co wa crp rpexpcl rpgt0d sylanbr 3impa 3com23
    elrp ) ACDZEAFGZBHDZEABIJZFGZSTUAUCSTKALDZUAUCARUDUAKUBABMNOPQ $.

  $( Value of a complex number raised to a negative power.  (Contributed by
     Mario Carneiro, 4-Jun-2014.) $)
  expnegz $p |- ( ( A e. CC /\ A =/= 0 /\ N e. ZZ ) ->
                 ( A ^ -u N ) = ( 1 / ( A ^ N ) ) ) $=
    ( cc wcel cc0 wne cz cneg cexp co c1 cdiv wceq cr cn0 wo wa elznn0 syl3anc
    wi expneg ad2antrr simpll simprl recnd simprr oveq2d expcl ad2ant2rl simplr
    ex expneg2 nn0zd expne0i recrecd eqtr2d expr jaod expimpd syl5bi 3impia ) A
    CDZAEFZBGDZABHZIJZKABIJZLJZMZVDBNDZBODZVEODZPZQVBVCQZVIBRVNVJVMVIVNVJQVKVIV
    LVBVKVITVCVJVBVKVIABUAUKUBVNVJVLVIVNVJVLQZQZVHKKVFLJZLJVFVPVGVQKLVPVBBCDVLV
    GVQMVBVCVOUCZVPBVNVJVLUDUEVNVJVLUFZABULSUGVPVFVBVLVFCDVCVJAVEUHUIVPVBVCVEGD
    VFEFVRVBVCVOUJVPVEVSUMAVEUNSUOUPUQURUSUTVA $.

  $( Value of zero raised to a positive integer power.  (Contributed by NM,
     19-Aug-2004.) $)
  0exp $p |- ( N e. NN -> ( 0 ^ N ) = 0 ) $=
    ( cn wcel cc0 cexp co wceq eqid cc wb 0cn expeq0 mpan mpbiri ) ABCZDAEFDGZD
    DGZDHDICOPQJKDALMN $.

  ${
    $d x y z A $.  $d x z N $.
    $( A nonnegative real raised to a nonnegative integer is nonnegative.
       (Contributed by NM, 16-Dec-2005.)  (Revised by Mario Carneiro,
       4-Jun-2014.) $)
    expge0 $p |- ( ( A e. RR /\ N e. NN0 /\ 0 <_ A ) -> 0 <_ ( A ^ N ) ) $=
      ( vz vx vy cr wcel cc0 cle wbr cn0 cexp co wa cv crab breq2 elrab cc c1
      ssrab2 ax-resscn cmul remulcl ad2ant2r mulge0 elrabd syl2anb 1re mpbir2an
      sstri 0le1 expcllem simprbi syl sylanbr 3impa 3com23 ) AFGZHAIJZBKGZHABLM
      ZIJZUSUTVAVCUSUTNAHCOZIJZCFPZGZVAVCVEUTCAFVDAHIQRVGVANVBVFGZVCDEABVFVFFSV
      ECFUAUBUKDOZVFGVIFGZHVIIJZNZEOZFGZHVMIJZNZVIVMUCMZVFGVMVFGVEVKCVIFVDVIHIQ
      RVEVOCVMFVDVMHIQRVLVPNVEHVQIJCVQFVDVQHIQVJVNVQFGVKVOVIVMUDUEVIVMUFUGUHTVF
      GTFGHTIJZUIULVEVRCTFVDTHIQRUJUMVHVBFGVCVEVCCVBFVDVBHIQRUNUOUPUQUR $.

    $( A real greater than or equal to 1 raised to a nonnegative integer is
       greater than or equal to 1.  (Contributed by NM, 21-Feb-2005.)  (Revised
       by Mario Carneiro, 4-Jun-2014.) $)
    expge1 $p |- ( ( A e. RR /\ N e. NN0 /\ 1 <_ A ) -> 1 <_ ( A ^ N ) ) $=
      ( vz vx vy cr wcel cn0 c1 cle wbr w3a co cv wa breq2 elrab cmul 1re jctl
      cexp crab cc ssrab2 ax-resscn sstri remulcl ad2ant2r 1t1e1 wi 0le1 pm3.2i
      cc0 lemul12a syl2an eqbrtrrid an4s syl2anb 1le1 mpbir2an expcllem sylanbr
      imp elrabd 3impa 3com23 simprbi syl ) AFGZBHGZIAJKZLABUAMZICNZJKZCFUBZGZI
      VLJKZVIVKVJVPVIVKVJVPVIVKOAVOGVJVPVNVKCAFVMAIJPQDEABVOVOFUCVNCFUDUEUFDNZV
      OGVRFGZIVRJKZOZENZFGZIWBJKZOZVRWBRMZVOGWBVOGVNVTCVRFVMVRIJPQVNWDCWBFVMWBI
      JPQWAWEOVNIWFJKZCWFFVMWFIJPVSWCWFFGVTWDVRWBUGUHVSWCVTWDWGVSWCOZVTWDOZOIII
      RMZWFJUIWHWIWJWFJKZVSIFGZUMIJKZOZVSOWNWCOWIWKUJWCVSWNWLWMSUKULZTWCWNWOTIV
      RIWBUNUOVCUPUQVDURIVOGWLIIJKZSUSVNWPCIFVMIIJPQUTVAVBVEVFVPVLFGVQVNVQCVLFV
      MVLIJPQVGVH $.
  $}

  $( A real greater than 1 raised to a positive integer is greater than 1.
     (Contributed by NM, 13-Feb-2005.)  (Revised by Mario Carneiro,
     4-Jun-2014.) $)
  expgt1 $p |- ( ( A e. RR /\ N e. NN /\ 1 < A ) -> 1 < ( A ^ N ) ) $=
    ( cr wcel cn c1 clt wbr w3a cexp 1re a1i simp1 cn0 reexpcl syl2anc cmul cle
    co cc0 simp2 nnnn0d simp3 cmin nnm1nn0 syl wi sylancr mpd expge1 syl3anc wb
    ltle 0red 0lt1 lttrd lemul1 syl112anc mpbid cc recn 3ad2ant1 mulid2d eqcomd
    wceq expm1t 3brtr4d ltletrd ) ACDZBEDZFAGHZIZFAABJSZFCDZVLKLZVIVJVKMZVLVIBN
    DVMCDVPVLBVIVJVKUAZUBABOPVIVJVKUCZVLFAQSZABFUDSZJSZAQSZAVMRVLFWARHZVSWBRHZV
    LVIVTNDZFARHZWCVPVLVJWEVQBUEUFZVLVKWFVRVLVNVIVKWFUGKVPFAUMUHUIAVTUJUKVLVNWA
    CDZVITAGHWCWDULVOVLVIWEWHVPWGAVTOPVPVLTFAVLUNVOVPTFGHVLUOLVRUPFWAAUQURUSVLV
    SAVLAVIVJAUTDZVKAVAVBZVCVDVLWIVJVMWBVEWJVQABVFPVGVH $.

  ${
    $d j k A $.  $d j k B $.  $d j k M $.  $d j N $.
    $( Nonnegative integer exponentiation of a product.  Proposition 10-4.2(c)
       of [Gleason] p. 135, restricted to nonnegative integer exponents.
       (Contributed by NM, 13-Feb-2005.) $)
    mulexp $p |- ( ( A e. CC /\ B e. CC /\ N e. NN0 ) ->
                  ( ( A x. B ) ^ N ) = ( ( A ^ N ) x. ( B ^ N ) ) ) $=
      ( vj cc wcel cmul co cexp wceq wa wi c1 oveq2 oveq12d eqeq12d imbi2d exp0
      cc0 expp1 vk cn0 cv caddc mulcl oveqan12d 1t1e1 eqtrdi eqtr4d sylan oveq1
      syl adantr expcl anim12i anandirs simpl syl2anc adantlr adantll sylan9eqr
      mul4 eqtrd exp31 com12 a2d nn0ind expdcom 3imp ) AEFZBEFZCUBFZABGHZCIHZAC
      IHZBCIHZGHZJZVLVJVKVRVJVKKZVMDUCZIHZAVTIHZBVTIHZGHZJZLVSVMSIHZASIHZBSIHZG
      HZJZLVSVMUAUCZIHZAWKIHZBWKIHZGHZJZLVSVMWKMUDHZIHZAWQIHZBWQIHZGHZJZLVSVRLD
      UACVTSJZWEWJVSXCWAWFWDWIVTSVMINXCWBWGWCWHGVTSAINVTSBINOPQVTWKJZWEWPVSXDWA
      WLWDWOVTWKVMINXDWBWMWCWNGVTWKAINVTWKBINOPQVTWQJZWEXBVSXEWAWRWDXAVTWQVMINX
      EWBWSWCWTGVTWQAINVTWQBINOPQVTCJZWEVRVSXFWAVNWDVQVTCVMINXFWBVOWCVPGVTCAINV
      TCBINOPQVSWFMWIVSVMEFZWFMJABUEZVMRULVSWIMMGHMVJVKWGMWHMGARBRUFUGUHUIWKUBF
      ZVSWPXBVSXIWPXBLVSXIWPXBVSXIKZWPKWRWLVMGHZXAXJWRXKJZWPVSXGXIXLXHVMWKTUJUM
      WPXJXKWOVMGHZXAWLWOVMGUKXJXMWMAGHZWNBGHZGHZXAXJWMEFZWNEFZKZVSXMXPJVJVKXIX
      SVJXIKXQVKXIKXRAWKUNBWKUNUOUPVSXIUQWMWNABVBURXJWSXNWTXOGVJXIWSXNJVKAWKTUS
      VKXIWTXOJVJBWKTUTOUIVAVCVDVEVFVGVHVI $.

    $( Integer exponentiation of a product.  Proposition 10-4.2(c) of [Gleason]
       p. 135.  (Contributed by Mario Carneiro, 4-Jun-2014.) $)
    mulexpz $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) /\
                     N e. ZZ ) ->
                  ( ( A x. B ) ^ N ) = ( ( A ^ N ) x. ( B ^ N ) ) ) $=
      ( cc wcel cc0 wne wa cz cmul co cexp wceq simpl c1 expneg2 syl3anc eqtr4d
      cn0 cdiv cr cneg cn wo elznn0nn anim12i mulexp 3expa sylan simplll mulcld
      simplrl ad2antrl nnnn0 ad2antll oveq12d oveq2d 1t1e1 oveq1i eqtr4di expcl
      recn syl2anc simpllr nnz expne0i simplrr ax-1cn divmuldiv syl22anc jaodan
      mpanl12 sylan2b 3impa ) ADEZAFGZHZBDEZBFGZHZCIEZABJKZCLKZACLKZBCLKZJKZMZW
      AVQVTHZCSEZCUAEZCUBZUCEZHZUDWGCUEWHWIWGWMWHVOVRHWIWGVQVOVTVRVOVPNVRVSNUFV
      OVRWIWGABCUGUHUIWHWMHZWCOWBWKLKZTKZWFWNWBDECDEZWKSEZWCWPMWNABVOVPVTWMUJZV
      QVRVSWMULZUKWJWQWHWLCVBUMZWLWRWHWJWKUNUOZWBCPQWNWFOAWKLKZTKZOBWKLKZTKZJKZ
      WPWNWDXDWEXFJWNVOWQWRWDXDMWSXAXBACPQWNVRWQWRWEXFMWTXAXBBCPQUPWNWPOOJKZXCX
      EJKZTKZXGWNWPOXITKXJWNWOXIOTWNVOVRWRWOXIMWSWTXBABWKUGQUQXHOXITURUSUTWNXCD
      EZXCFGZXEDEZXEFGZXGXJMZWNVOWRXKWSXBAWKVAVCWNVOVPWKIEZXLWSVOVPVTWMVDWLXPWH
      WJWKVEUOZAWKVFQWNVRWRXMWTXBBWKVAVCWNVRVSXPXNWTVQVRVSWMVGXQBWKVFQODEZXRXKX
      LHXMXNHHXOVHVHOOXCXEVIVLVJRRRVKVMVN $.

    $( Integer exponentiation of a reciprocal.  (Contributed by NM,
       2-Aug-2006.)  (Revised by Mario Carneiro, 4-Jun-2014.) $)
    exprec $p |- ( ( A e. CC /\ A =/= 0 /\ N e. ZZ ) ->
                  ( ( 1 / A ) ^ N ) = ( 1 / ( A ^ N ) ) ) $=
      ( cc wcel cc0 wne cz w3a cexp co cdiv expclz reccl 3adant3 recne0 syl3anc
      c1 simp3 cmul wceq expne0i simp1 recidd oveq1d mulexpz syl221anc 1exp syl
      simp2 3eqtr3d mvllmuld ) ACDZAEFZBGDZHZABIJZQAKJZBIJZQABLUOUQCDZUQEFZUNUR
      CDULUMUSUNAMNZULUMUTUNAONZULUMUNRZUQBLPABUAUOAUQSJZBIJZQBIJZUPURSJZQUOVDQ
      BIUOAULUMUNUBZULUMUNUIZUCUDUOULUMUSUTUNVEVGTVHVIVAVBVCAUQBUEUFUOUNVFQTVCB
      UGUHUJUK $.

    $( Sum of exponents law for nonnegative integer exponentiation.
       Proposition 10-4.2(a) of [Gleason] p. 135.  (Contributed by NM,
       30-Nov-2004.) $)
    expadd $p |- ( ( A e. CC /\ M e. NN0 /\ N e. NN0 ) ->
                  ( A ^ ( M + N ) ) = ( ( A ^ M ) x. ( A ^ N ) ) ) $=
      ( vj cc wcel cn0 caddc co cexp cmul wi cc0 c1 oveq2 oveq2d eqeq12d imbi2d
      wceq eqtr4d vk wa cv nn0cn addid1d adantl expcl mulid1d exp0 adantr oveq1
      ax-1cn addass mp3an3 syl2an adantll simpll nn0addcl expp1 syl2anc adantlr
      eqtr3d mulassd syl5ibr expcom a2d nn0ind expdcom 3imp ) AEFZBGFZCGFZABCHI
      ZJIZABJIZACJIZKIZSZVLVJVKVRVJVKUBZABDUCZHIZJIZVOAVTJIZKIZSZLVSABMHIZJIZVO
      AMJIZKIZSZLVSABUAUCZHIZJIZVOAWKJIZKIZSZLVSABWKNHIZHIZJIZVOAWQJIZKIZSZLVSV
      RLDUACVTMSZWEWJVSXCWBWGWDWIXCWAWFAJVTMBHOPXCWCWHVOKVTMAJOPQRVTWKSZWEWPVSX
      DWBWMWDWOXDWAWLAJVTWKBHOPXDWCWNVOKVTWKAJOPQRVTWQSZWEXBVSXEWBWSWDXAXEWAWRA
      JVTWQBHOPXEWCWTVOKVTWQAJOPQRVTCSZWEVRVSXFWBVNWDVQXFWAVMAJVTCBHOPXFWCVPVOK
      VTCAJOPQRVSWGVONKIZWIVSWGVOXGVSWFBAJVKWFBSVJVKBBUDZUEUFPVSVOABUGZUHTVSWHN
      VOKVJWHNSVKAUIUJPTWKGFZVSWPXBVSXJWPXBLWPXBVSXJUBZWMAKIZWOAKIZSWMWOAKUKXKW
      SXLXAXMXKAWLNHIZJIZWSXLXKXNWRAJVKXJXNWRSZVJVKBEFZWKEFZXPXJXHWKUDXQXRNEFXP
      ULBWKNUMUNUOUPPXKVJWLGFZXOXLSVJVKXJUQZVKXJXSVJBWKURUPAWLUSUTVBXKXAVOWNAKI
      ZKIXMXKWTYAVOKVJXJWTYASVKAWKUSVAPXKVOWNAVSVOEFXJXIUJVJXJWNEFVKAWKUGVAXTVC
      TQVDVEVFVGVHVI $.

    $( Lemma for ~ expaddz .  (Contributed by Mario Carneiro, 4-Jun-2014.) $)
    expaddzlem $p |- ( ( ( A e. CC /\ A =/= 0 ) /\
                       ( M e. RR /\ -u M e. NN ) /\ N e. NN0 ) ->
                       ( A ^ ( M + N ) ) = ( ( A ^ M ) x. ( A ^ N ) ) ) $=
      ( cc wcel wa cn0 cexp co cdiv c1 cmul caddc cz syl3anc wceq adantr eqtr3d
      eqtrd oveq1d cc0 wne cr cneg w3a simp1l simp3 expcl syl2anc simp2r nnnn0d
      cn simp1r expne0i divrec2d simp2l recnd negnegd nnnegz syl eqeltrrd nn0zd
      nnzd zaddcld expclz divcan4d simpr expadd cmin zcnd negsubd nn0cnd oveq2d
      pncan2d expneg2 znegcld negdi2d negcld npcand recdivd wo simprbi mpjaodan
      elznn0 3eqtr4d ) ADEZAUAUBZFZBUCEZBUDZULEZFZCGEZUEZACHIZAWJHIZJIZKWPJIZWO
      LIABCMIZHIZABHIZWOLIWNWOWPWNWFWMWODEZWFWGWLWMUFZWHWLWMUGZACUHUIZWNWFWJGEZ
      WPDEZXCWNWJWHWIWKWMUJZUKZAWJUHUIZWNWFWGWJNEWPUAUBZXCWFWGWLWMUMZWNWJXHVCAW
      JUNOZUOWNWSGEZWTWQPWSUDZGEZWNXNFZWTWPLIZWPJIWTWQXQWTWPWNWTDEZXNWNWFWGWSNE
      ZXSXCXLWNBCWNWJUDZBNWNBWNBWHWIWKWMUPUQZURWNWKYANEXHWJUSUTVAWNCXDVBZVDZAWS
      VEOQWNXGXNXJQWNXKXNXMQVFXQXRWOWPJXQAWSWJMIZHIZXRWOXQWFXNXFYFXRPWNWFXNXCQW
      NXNVGWNXFXNXIQAWSWJVHOXQYECAHWNYECPXNWNYEWSBVIICWNWSBWNWSYDVJZYBVKWNBCYBW
      NCXDVLZVNSQVMRTRWNXPFZWTKAXOHIZJIZWQYIWFWSDEZXPWTYKPWNWFXPXCQZWNYLXPYGQWN
      XPVGZAWSVOOYIYKKWPWOJIZJIZWQYIYJYOKJYIYJWOLIZWOJIYJYOYIYJWOWNYJDEZXPWNWFW
      GXONEYRXCXLWNWSYDVPAXOVEOQWNXBXPXEQWNWOUAUBZXPWNWFWGCNEYSXCXLYCACUNOZQVFY
      IYQWPWOJYIAXOCMIZHIZYQWPYIWFXPWMUUBYQPYMYNWNWMXPXDQAXOCVHOYIUUAWJAHWNUUAW
      JPXPWNUUAWJCVIIZCMIWJWNXOUUCCMWNBCYBYHVQTWNWJCWNBYBVRYHVSSQVMRTRVMWNYPWQP
      XPWNWPWOXJXEXMYTVTQSSWNXTXNXPWAZYDXTWSUCEUUDWSWDWBUTWCWNXAWRWOLWNWFBDEXFX
      AWRPXCYBXIABVOOTWE $.

    $( Sum of exponents law for integer exponentiation.  Proposition 10-4.2(a)
       of [Gleason] p. 135.  (Contributed by Mario Carneiro, 4-Jun-2014.) $)
    expaddz $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( M e. ZZ /\ N e. ZZ ) ) ->
                  ( A ^ ( M + N ) ) = ( ( A ^ M ) x. ( A ^ N ) ) ) $=
      ( cc wcel cc0 wne wa cz caddc cexp cmul wceq cn0 cneg 3expia syl3anc cdiv
      co c1 cr cn wo elznn0nn expadd adantlr expaddzlem jaodan w3a simp3 nn0cnd
      wi simp2l recnd addcomd oveq2d simp1l expcl syl2anc simp1r negnegd simp2r
      nnnn0d nn0negz syl eqeltrrd expclz mulcomd 3eqtr4d impancom simp3l negdid
      simp3r eqtrd 1t1e1 oveq1i eqtr4di nn0zd expne0i ax-1cn divmuldiv syl22anc
      mpanl12 eqtr4d addcld nn0addcld eqeltrd expneg2 oveq12d jaod sylan2b impr
      syl5bi ) ADEZAFGZHZBIEZCIEZABCJSZKSZABKSZACKSZLSZMZWRCNEZCUAEZCOZUBEZHZUC
      ZWPWQHXDCUDWQWPBNEZBUAEZBOZUBEZHZUCZXJXDULBUDWPXPHXEXDXIWPXKXEXDULZXOWNXK
      XQWOWNXKXEXDABCUEPUFWPXOXEXDABCUGPUHWPXKXIXDULXOWPXIXKXDWPXIXKXDWPXIXKUIZ
      ACBJSZKSXBXALSWTXCACBUGXRWSXSAKXRBCXRBWPXIXKUJZUKXRCWPXFXHXKUMUNZUOUPXRXA
      XBXRWNXKXADEWNWOXIXKUQZXTABURUSXRWNWOWRXBDEYBWNWOXIXKUTXRXGOZCIXRCYAVAXRX
      GNEZYCIEXRXGWPXFXHXKVBVCXGVDVEVFACVGQVHVIPVJWPXOXIXDWPXOXIUIZTAWSOZKSZRSZ
      TAXMKSZRSZTAXGKSZRSZLSZWTXCYEYHTTLSZYIYKLSZRSZYMYEYHTYORSYPYEYGYOTRYEYGAX
      MXGJSZKSZYOYEYFYQAKYEBCYEBWPXLXNXIUMUNZYECWPXOXFXHVKUNZVLZUPYEWNXMNEZYDYR
      YOMWNWOXOXIUQZYEXMWPXLXNXIVBVCZYEXGWPXOXFXHVMVCZAXMXGUEQVNUPYNTYORVOVPVQY
      EYIDEZYIFGZYKDEZYKFGZYMYPMZYEWNUUBUUFUUCUUDAXMURUSYEWNWOXMIEUUGUUCWNWOXOX
      IUTZYEXMUUDVRAXMVSQYEWNYDUUHUUCUUEAXGURUSYEWNWOXGIEUUIUUCUUKYEXGUUEVRAXGV
      SQTDEZUULUUFUUGHUUHUUIHHUUJVTVTTTYIYKWAWCWBWDYEWNWSDEYFNEWTYHMUUCYEBCYSYT
      WEYEYFYQNUUAYEXMXGUUDUUEWFWGAWSWHQYEXAYJXBYLLYEWNBDEUUBXAYJMUUCYSUUDABWHQ
      YEWNCDEYDXBYLMUUCYTUUEACWHQWIVIPUHWJWKWMWL $.

    $( Product of exponents law for nonnegative integer exponentiation.
       Proposition 10-4.2(b) of [Gleason] p. 135, restricted to nonnegative
       integer exponents.  (Contributed by NM, 4-Jan-2006.) $)
    expmul $p |- ( ( A e. CC /\ M e. NN0 /\ N e. NN0 ) ->
               ( A ^ ( M x. N ) ) = ( ( A ^ M ) ^ N ) ) $=
      ( vj cc wcel cn0 cmul co cexp wceq wa wi cc0 c1 caddc oveq2 oveq2d imbi2d
      eqeq12d vk cv nn0cn mul01d exp0 sylan9eqr expcl eqtr4d oveq1 ax-1cn adddi
      mp3an3 mulid1 adantr syl2an adantll simpll nn0mulcl simplr expadd syl3anc
      syl eqtrd expp1 sylan syl5ibr expcom a2d nn0ind expdcom 3imp ) AEFZBGFZCG
      FZABCHIZJIZABJIZCJIZKZVNVLVMVSVLVMLZABDUBZHIZJIZVQWAJIZKZMVTABNHIZJIZVQNJ
      IZKZMVTABUAUBZHIZJIZVQWJJIZKZMVTABWJOPIZHIZJIZVQWOJIZKZMVTVSMDUACWANKZWEW
      IVTWTWCWGWDWHWTWBWFAJWANBHQRWANVQJQTSWAWJKZWEWNVTXAWCWLWDWMXAWBWKAJWAWJBH
      QRWAWJVQJQTSWAWOKZWEWSVTXBWCWQWDWRXBWBWPAJWAWOBHQRWAWOVQJQTSWACKZWEVSVTXC
      WCVPWDVRXCWBVOAJWACBHQRWACVQJQTSVTWGOWHVMVLWGANJIOVMWFNAJVMBBUCZUDRAUEUFV
      TVQEFZWHOKABUGZVQUEVBUHWJGFZVTWNWSVTXGWNWSMWNWSVTXGLZWLVQHIZWMVQHIZKWLWMV
      QHUIXHWQXIWRXJXHWQAWKBPIZJIZXIXHWPXKAJVMXGWPXKKZVLVMBEFZWJEFZXMXGXDWJUCXN
      XOLZWPWKBOHIZPIZXKXNXOOEFWPXRKUJBWJOUKULXPXQBWKPXNXQBKXOBUMUNRVCUOUPRXHVL
      WKGFZVMXLXIKVLVMXGUQVMXGXSVLBWJURUPVLVMXGUSAWKBUTVAVCVTXEXGWRXJKXFVQWJVDV
      ETVFVGVHVIVJVK $.

    $( Product of exponents law for integer exponentiation.  Proposition
       10-4.2(b) of [Gleason] p. 135.  (Contributed by Mario Carneiro,
       7-Jul-2014.) $)
    expmulz $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( M e. ZZ /\ N e. ZZ ) ) ->
               ( A ^ ( M x. N ) ) = ( ( A ^ M ) ^ N ) ) $=
      ( cc wcel wa cz cmul co cexp wceq cn0 expmul 3expia c1 cdiv oveq2d nnnn0d
      recnd syl3anc cc0 wne cr cneg cn wo elznn0nn wi adantlr w3a simp2l nn0cnd
      simp3 simp1l simp2r eqtr3d expcl syl2anc simp1r nnzd expne0i nn0zd exprec
      mulneg1d eqtr4d mulcld nn0mulcld eqeltrrd expneg2 oveq1d 3eqtr4d mulneg2d
      jaodan simp2 simp3l simp3r reccld recrecd mul2negd 3eqtrd 3eqtrrd sylan2b
      jaod syl5bi impr ) ADEZAUAUBZFZBGEZCGEZABCHIZJIZABJIZCJIZKZWJCLEZCUCEZCUD
      ZUEEZFZUFZWHWIFWOCUGWIWHBLEZBUCEZBUDZUEEZFZUFZXAWOUHBUGWHXGFWPWOWTWHXBWPW
      OUHZXFWFXBXHWGWFXBWPWOABCMNUIWHXFWPWOWHXFWPUJZOAWKUDZJIZPIZOAXDJIZPIZCJIZ
      WLWNXIXLOXMCJIZPIZXOXIXKXPOPXIAXDCHIZJIZXKXPXIXRXJAJXIBCXIBWHXCXEWPUKSZXI
      CWHXFWPUMZULZVDZQXIWFXDLEZWPXSXPKWFWGXFWPUNZXIXDWHXCXEWPUOZRZYAAXDCMTUPQX
      IXMDEZXMUAUBZWJXOXQKXIWFYDYHYEYGAXDUQZURXIWFWGXDGEZYIYEWFWGXFWPUSXIXDYFUT
      AXDVAZTXICYAVBXMCVCTVEXIWFWKDEZXJLEZWLXLKZYEXIBCXTYBVFXIXRXJLYCXIXDCYGYAV
      GVHAWKVIZTXIWMXNCJXIWFBDEZYDWMXNKZYEXTYGABVIZTVJVKNVMWHXBWTWOUHXFWHXBWTWO
      WHXBWTUJZXLOWMWRJIZPIZWLWNYTXKUUAOPYTABWRHIZJIZXKUUAYTUUCXJAJYTBCYTBWHXBW
      TVNZULZYTCWHXBWQWSVOSZVLZQYTWFXBWRLEZUUDUUAKWFWGXBWTUNZUUEYTWRWHXBWQWSVPR
      ZABWRMTUPQYTWFYMYNYOUUJYTBCUUFUUGVFYTUUCXJLUUHYTBWRUUEUUKVGVHYPTYTWMDEZCD
      EZUUIWNUUBKYTWFXBUULUUJUUEABUQURUUGUUKWMCVITVKNWHXFWTWOWHXFWTUJZWNXOOXNWR
      JIZPIZWLUUNWMXNCJUUNWFYQYDYRWFWGXFWTUNZUUNBWHXCXEWTUKSZUUNXDWHXCXEWTUOZRZ
      YSTVJUUNXNDEUUMUUIXOUUPKUUNXMUUNWFYDYHUUQUUTYJURZUUNWFWGYKYIUUQWFWGXFWTUS
      UUNXDUUSUTYLTZVQUUNCWHXFWQWSVOSZUUNWRWHXFWQWSVPZRZXNCVITUUNUUPOOXMWRJIZPI
      ZPIUVFWLUUNUUOUVGOPUUNYHYIWRGEZUUOUVGKUVAUVBUUNWRUVDUTZXMWRVCTQUUNUVFUUNY
      HUUIUVFDEUVAUVEXMWRUQURUUNYHYIUVHUVFUAUBUVAUVBUVIXMWRVATVRUUNAXDWRHIZJIZU
      VFWLUUNWFYDUUIUVKUVFKUUQUUTUVEAXDWRMTUUNUVJWKAJUUNBCUURUVCVSQUPVTWANVMWCW
      BWDWE $.
  $}

  $( Exponentiation of negative one to an even power.  (Contributed by Scott
     Fenton, 17-Jan-2018.) $)
  m1expeven $p |- ( N e. ZZ -> ( -u 1 ^ ( 2 x. N ) ) = 1 ) $=
    ( cz wcel c1 cneg c2 cmul cexp caddc zcn 2timesd oveq2d wceq cc0 wne anidms
    co cc oveq12 eqtrdi wa neg1cn neg1ne0 expaddz mpanl12 m1expcl2 wo ovex elpr
    cpr neg1mulneg1e1 1t1e1 jaoi sylbi syl 3eqtrd ) ABCZDEZFAGQZHQURAAIQZHQZURA
    HQZVBGQZDUQUSUTURHUQAAJKLUQVAVCMZURRCURNOUQUQUAVDUBUCURAAUDUEPUQVBURDUJCZVC
    DMZAUFVEVBURMZVBDMZUGVFVBURDURAHUHUIVGVFVHVGVCURURGQZDVGVCVIMVBURVBURGSPUKT
    VHVCDDGQZDVHVCVJMVBDVBDGSPULTUMUNUOUP $.

  $( Exponent subtraction law for integer exponentiation.  (Contributed by NM,
     2-Aug-2006.)  (Revised by Mario Carneiro, 4-Jun-2014.) $)
  expsub $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( M e. ZZ /\ N e. ZZ ) ) ->
                 ( A ^ ( M - N ) ) = ( ( A ^ M ) / ( A ^ N ) ) ) $=
    ( cc wcel cc0 wne wa cz cneg co cexp cmul cdiv wceq zcn oveq2d 3expa expclz
    adantrl cmin znegcl expaddz sylanr2 negsub syl2an adantl c1 expnegz adantrr
    caddc expne0i divrecd eqtr4d 3eqtr3d ) ADEZAFGZHZBIEZCIEZHZHZABCJZUKKZLKZAB
    LKZAVCLKZMKZABCUAKZLKVFACLKZNKZUTURUSVCIEVEVHOCUBABVCUCUDVBVDVIALVAVDVIOZUR
    USBDECDEVLUTBPCPBCUEUFUGQVBVHVFUHVJNKZMKVKVBVGVMVFMURUTVGVMOZUSUPUQUTVNACUI
    RTQVBVFVJURUSVFDEZUTUPUQUSVOABSRUJURUTVJDEZUSUPUQUTVPACSRTURUTVJFGZUSUPUQUT
    VQACULRTUMUNUO $.

  $( Value of a nonzero complex number raised to an integer power plus one.
     (Contributed by Mario Carneiro, 4-Jun-2014.) $)
  expp1z $p |- ( ( A e. CC /\ A =/= 0 /\ N e. ZZ ) -> ( A ^ ( N + 1 ) ) =
               ( ( A ^ N ) x. A ) ) $=
    ( cc wcel cc0 wne cz w3a c1 caddc co cexp cmul wceq wa expaddz mpanr2 3impa
    1z exp1 3ad2ant1 oveq2d eqtrd ) ACDZAEFZBGDZHZABIJKLKZABLKZAILKZMKZUIAMKUDU
    EUFUHUKNZUDUEOUFIGDULSABIPQRUGUJAUIMUDUEUJANUFATUAUBUC $.

  $( Value of a complex number raised to an integer power minus one.
     (Contributed by NM, 25-Dec-2008.)  (Revised by Mario Carneiro,
     4-Jun-2014.) $)
  expm1 $p |- ( ( A e. CC /\ A =/= 0 /\ N e. ZZ ) -> ( A ^ ( N - 1 ) ) =
               ( ( A ^ N ) / A ) ) $=
    ( cc wcel cc0 wne cz w3a c1 cmin co cexp cdiv wceq wa 1z expsub mpanr2 exp1
    3impa 3ad2ant1 oveq2d eqtrd ) ACDZAEFZBGDZHZABIJKLKZABLKZAILKZMKZUIAMKUDUEU
    FUHUKNZUDUEOUFIGDULPABIQRTUGUJAUIMUDUEUJANUFASUAUBUC $.

  $( Nonnegative integer exponentiation of a quotient.  (Contributed by NM,
     2-Aug-2006.)  (Revised by Mario Carneiro, 4-Jun-2014.) $)
  expdiv $p |- ( ( A e. CC /\ ( B e. CC /\ B =/= 0 ) /\ N e. NN0 ) ->
                ( ( A / B ) ^ N ) = ( ( A ^ N ) / ( B ^ N ) ) ) $=
    ( cc wcel cc0 wne wa cn0 w3a cdiv co cexp c1 cmul wceq divrec 3expb syl3anc
    expcl 3adant3 oveq1d mulexp syl3an2 cz simp2l simp2r 3ad2ant3 exprec oveq2d
    reccl nn0z 3adant2 adantlr 3adant1 expne0i divrecd eqtr4d 3eqtrd ) ADEZBDEZ
    BFGZHZCIEZJZABKLZCMLANBKLZOLZCMLZACMLZVGCMLZOLZVJBCMLZKLZVEVFVHCMUTVCVFVHPZ
    VDUTVAVBVOABQRUAUBVCUTVGDEVDVIVLPBUKAVGCUCUDVEVLVJNVMKLZOLVNVEVKVPVJOVEVAVB
    CUEEZVKVPPUTVAVBVDUFZUTVAVBVDUGZVDUTVQVCCULUHZBCUISUJVEVJVMUTVDVJDEVCACTUMV
    CVDVMDEZUTVAVDWAVBBCTUNUOVEVAVBVQVMFGVRVSVTBCUPSUQURUS $.

  $( Value of the square of a complex number.  (Contributed by Raph Levien,
     10-Apr-2004.) $)
  sqval $p |- ( A e. CC -> ( A ^ 2 ) = ( A x. A ) ) $=
    ( cc wcel c2 cexp co c1 cmul caddc df-2 oveq2i wceq 1nn0 expp1 mpan2 eqtrid
    cn0 exp1 oveq1d eqtrd ) ABCZADEFZAGEFZAHFZAAHFUAUBAGGIFZEFZUDDUEAEJKUAGQCUF
    UDLMAGNOPUAUCAAHARST $.

  $( The square of the negative of a number.  (Contributed by NM,
     15-Jan-2006.) $)
  sqneg $p |- ( A e. CC -> ( -u A ^ 2 ) = ( A ^ 2 ) ) $=
    ( cc wcel cneg cmul co c2 cexp wceq mul2neg anidms negcl sqval syl 3eqtr4d
    ) ABCZADZQEFZAAEFZQGHFZAGHFPRSIAAJKPQBCTRIALQMNAMO $.

  $( Swap the order of subtraction in a square.  (Contributed by Scott Fenton,
     10-Jun-2013.) $)
  sqsubswap $p |- ( ( A e. CC /\ B e. CC ) ->
             ( ( A - B ) ^ 2 ) = ( ( B - A ) ^ 2 ) ) $=
    ( cc wcel wa cmin co cneg cexp wceq subcl sqneg syl negsubdi2 oveq1d eqtr3d
    c2 ) ACDBCDEZABFGZHZQIGZSQIGZBAFGZQIGRSCDUAUBJABKSLMRTUCQIABNOP $.

  $( Closure of square.  (Contributed by NM, 10-Aug-1999.) $)
  sqcl $p |- ( A e. CC -> ( A ^ 2 ) e. CC ) $=
    ( cc wcel c2 cexp co cmul sqval mulcl anidms eqeltrd ) ABCZADEFAAGFZBAHLMBC
    AAIJK $.

  $( Distribution of square over multiplication.  (Contributed by NM,
     21-Mar-2008.) $)
  sqmul $p |- ( ( A e. CC /\ B e. CC ) ->
             ( ( A x. B ) ^ 2 ) = ( ( A ^ 2 ) x. ( B ^ 2 ) ) ) $=
    ( cc wcel c2 cn0 cmul co cexp wceq 2nn0 mulexp mp3an3 ) ACDBCDEFDABGHEIHAEI
    HBEIHGHJKABELM $.

  $( A number is zero iff its square is zero.  (Contributed by NM,
     11-Mar-2006.) $)
  sqeq0 $p |- ( A e. CC -> ( ( A ^ 2 ) = 0 <-> A = 0 ) ) $=
    ( cc wcel c2 cn cexp co cc0 wceq wb 2nn expeq0 mpan2 ) ABCDECADFGHIAHIJKADL
    M $.

  $( Distribution of square over division.  (Contributed by Scott Fenton,
     7-Jun-2013.)  (Proof shortened by Mario Carneiro, 9-Jul-2013.) $)
  sqdiv $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
      ( ( A / B ) ^ 2 ) = ( ( A ^ 2 ) / ( B ^ 2 ) ) ) $=
    ( cc wcel cc0 wne w3a cdiv co cmul c2 cexp wa wceq simp1 divmuldiv syl22anc
    3simpc divcl sqval syl oveqan12d 3adant3 3eqtr4d ) ACDZBCDZBEFZGZABHIZUIJIZ
    AAJIZBBJIZHIZUIKLIZAKLIZBKLIZHIZUHUEUEUFUGMZURUJUMNUEUFUGOZUSUEUFUGRZUTAABB
    PQUHUICDUNUJNABSUITUAUEUFUQUMNUGUEUFUOUKUPULHATBTUBUCUD $.

  $( The square of a nonzero number divided by itself yields the number itself.
     (Contributed by AV, 19-Jul-2021.) $)
  sqdivid $p |- ( ( A e. CC /\ A =/= 0 ) -> ( ( A ^ 2 ) / A ) = A ) $=
    ( cc wcel cc0 wne wa c2 cexp co cdiv cmul wceq sqval adantr oveq1d 3anidm12
    divcan3 eqtrd ) ABCZADEZFZAGHIZAJIAAKIZAJIZAUAUBUCAJSUBUCLTAMNOSTUDALAAQPR
    $.

  $( A number is nonzero iff its square is nonzero.  (Contributed by NM,
     11-Mar-2006.) $)
  sqne0 $p |- ( A e. CC -> ( ( A ^ 2 ) =/= 0 <-> A =/= 0 ) ) $=
    ( cc wcel c2 cexp co cc0 sqeq0 necon3bid ) ABCADEFGAGAHI $.

  $( Closure of the square of a real number.  (Contributed by NM,
     18-Oct-1999.) $)
  resqcl $p |- ( A e. RR -> ( A ^ 2 ) e. RR ) $=
    ( cr wcel c2 cn0 cexp co 2nn0 reexpcl mpan2 ) ABCDECADFGBCHADIJ $.

  $( The square of a nonzero real is positive.  (Contributed by NM,
     8-Sep-2007.) $)
  sqgt0 $p |- ( ( A e. RR /\ A =/= 0 ) -> 0 < ( A ^ 2 ) ) $=
    ( cr wcel cc0 wne wa cmul co c2 cexp clt msqgt0 wceq cc recn sqval breqtrrd
    syl adantr ) ABCZADEZFDAAGHZAIJHZKALTUCUBMZUATANCUDAOAPRSQ $.

  $( The square of a nonzero real is a positive real.  (Contributed by AV,
     5-Mar-2023.) $)
  sqn0rp $p |- ( ( A e. RR /\ A =/= 0 ) -> ( A ^ 2 ) e. RR+ ) $=
    ( cr wcel cc0 wne wa c2 cexp co resqcl adantr sqgt0 elrpd ) ABCZADEZFAGHIZN
    PBCOAJKALM $.

  $( The naturals are closed under squaring.  (Contributed by Scott Fenton,
     29-Mar-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  nnsqcl $p |- ( A e. NN -> ( A ^ 2 ) e. NN ) $=
    ( cn wcel c2 cexp co cmul cc wceq nncn sqval syl nnmulcl anidms eqeltrd ) A
    BCZADEFZAAGFZBPAHCQRIAJAKLPRBCAAMNO $.

  $( Integers are closed under squaring.  (Contributed by Scott Fenton,
     18-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  zsqcl $p |- ( A e. ZZ -> ( A ^ 2 ) e. ZZ ) $=
    ( cz wcel c2 cn0 cexp co 2nn0 zexpcl mpan2 ) ABCDECADFGBCHADIJ $.

  $( The square of a rational is rational.  (Contributed by Stefan O'Rear,
     15-Sep-2014.) $)
  qsqcl $p |- ( A e. QQ -> ( A ^ 2 ) e. QQ ) $=
    ( cq wcel c2 cexp co cmul cc wceq qcn sqval syl qmulcl anidms eqeltrd ) ABC
    ZADEFZAAGFZBPAHCQRIAJAKLPRBCAAMNO $.

  $( The square function is one-to-one for nonnegative reals.  (Contributed by
     NM, 8-Apr-2001.)  (Proof shortened by Mario Carneiro, 28-May-2016.) $)
  sq11 $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
               ( ( A ^ 2 ) = ( B ^ 2 ) <-> A = B ) ) $=
    ( cr wcel cc0 cle wbr wa c2 cexp co wceq cc simpl recnd sqval syl eqeqan12d
    cmul msq11 bitrd ) ACDZEAFGZHZBCDZEBFGZHZHAIJKZBIJKZLAASKZBBSKZLABLUDUGUHUJ
    UIUKUDAMDUHUJLUDAUBUCNOAPQUGBMDUIUKLUGBUEUFNOBPQRABTUA $.

  $( The square function is one-to-one for nonnegative integers.  (Contributed
     by AV, 25-Jun-2023.) $)
  nn0sq11 $p |- ( ( A e. NN0 /\ B e. NN0 )
                 -> ( ( A ^ 2 ) = ( B ^ 2 ) <-> A = B ) ) $=
    ( cn0 wcel cr cc0 cle wbr wa c2 cexp co wceq nn0re nn0ge0 jca sq11 syl2an
    wb ) ACDZAEDZFAGHZIBEDZFBGHZIAJKLBJKLMABMSBCDZTUAUBANAOPUEUCUDBNBOPABQR $.

  $( The square function on nonnegative reals is strictly monotonic.
     (Contributed by NM, 24-Feb-2006.) $)
  lt2sq $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
              ( A < B <-> ( A ^ 2 ) < ( B ^ 2 ) ) ) $=
    ( cr wcel cc0 cle wbr wa clt cmul co c2 cexp lt2msq wb recn sqval breqan12d
    cc syl2an ad2ant2r bitr4d ) ACDZEAFGZHBCDZEBFGZHHABIGAAJKZBBJKZIGZALMKZBLMK
    ZIGZABNUCUEULUIOZUDUFUCASDZBSDZUMUEAPBPUNUOUJUGUKUHIAQBQRTUAUB $.

  $( The square function on nonnegative reals is monotonic.  (Contributed by
     NM, 18-Oct-1999.) $)
  le2sq $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
              ( A <_ B <-> ( A ^ 2 ) <_ ( B ^ 2 ) ) ) $=
    ( cr wcel cc0 cle wbr wa cmul co c2 cexp le2msq wb cc recn breqan12d syl2an
    sqval ad2ant2r bitr4d ) ACDZEAFGZHBCDZEBFGZHHABFGAAIJZBBIJZFGZAKLJZBKLJZFGZ
    ABMUBUDUKUHNZUCUEUBAODZBODZULUDAPBPUMUNUIUFUJUGFASBSQRTUA $.

  $( The square of a 'less than or equal to' ordering.  (Contributed by NM,
     21-Mar-2008.) $)
  le2sq2 $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ A <_ B ) ) ->
              ( A ^ 2 ) <_ ( B ^ 2 ) ) $=
    ( cr wcel cc0 cle wbr wa c2 cexp co simprr wb simprl 0re mp3an1 exp4b com23
    wi letr imp43 jca le2sq syldan mpbid ) ACDZEAFGZHZBCDZABFGZHZHZUJAIJKBIJKFG
    ZUHUIUJLUHUKUIEBFGZHUJUMMULUIUNUHUIUJNUFUGUIUJUNUFUIUGUJUNSUFUIUGUJUNECDUFU
    IUGUJHUNSOEABTPQRUAUBABUCUDUE $.

  $( A square of a real is nonnegative.  (Contributed by NM, 18-Oct-1999.) $)
  sqge0 $p |- ( A e. RR -> 0 <_ ( A ^ 2 ) ) $=
    ( cr wcel cc0 cmul co c2 cexp cle msqge0 cc wceq recn sqval syl breqtrrd )
    ABCZDAAEFZAGHFZIAJQAKCSRLAMANOP $.

  $( The square of an integer is a nonnegative integer.  (Contributed by Mario
     Carneiro, 18-Apr-2014.)  (Revised by Mario Carneiro, 14-Jul-2014.) $)
  zsqcl2 $p |- ( A e. ZZ -> ( A ^ 2 ) e. NN0 ) $=
    ( cz wcel c2 cexp co cc0 cle wbr cn0 zsqcl cr zre sqge0 syl elnn0z sylanbrc
    ) ABCZADEFZBCGSHIZSJCAKRALCTAMANOSPQ $.

  ${
    0exp.1 $e |- ( ph -> N e. NN ) $.
    $( Value of zero raised to a positive integer power.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    0expd $p |- ( ph -> ( 0 ^ N ) = 0 ) $=
      ( cn wcel cc0 cexp co wceq 0exp syl ) ABDEFBGHFICBJK $.
  $}

  ${
    expcld.1 $e |- ( ph -> A e. CC ) $.
    $( Value of a complex number raised to the 0th power.  (Contributed by
       Mario Carneiro, 28-May-2016.) $)
    exp0d $p |- ( ph -> ( A ^ 0 ) = 1 ) $=
      ( cc wcel cc0 cexp co c1 wceq exp0 syl ) ABDEBFGHIJCBKL $.

    $( Value of a complex number raised to the first power.  (Contributed by
       Mario Carneiro, 28-May-2016.) $)
    exp1d $p |- ( ph -> ( A ^ 1 ) = A ) $=
      ( cc wcel c1 cexp co wceq exp1 syl ) ABDEBFGHBICBJK $.

    ${
      expeq0d.2 $e |- ( ph -> N e. NN ) $.
      expeq0d.3 $e |- ( ph -> ( A ^ N ) = 0 ) $.
      $( Positive integer exponentiation is 0 iff its base is 0.  (Contributed
         by Mario Carneiro, 28-May-2016.) $)
      expeq0d $p |- ( ph -> A = 0 ) $=
        ( cexp co cc0 wceq cc wcel cn wb expeq0 syl2anc mpbid ) ABCGHIJZBIJZFAB
        KLCMLRSNDEBCOPQ $.
    $}

    $( Value of square.  Inference version.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    sqvald $p |- ( ph -> ( A ^ 2 ) = ( A x. A ) ) $=
      ( cc wcel c2 cexp co cmul wceq sqval syl ) ABDEBFGHBBIHJCBKL $.

    $( Closure of square.  (Contributed by Mario Carneiro, 28-May-2016.) $)
    sqcld $p |- ( ph -> ( A ^ 2 ) e. CC ) $=
      ( cc wcel c2 cexp co sqcl syl ) ABDEBFGHDECBIJ $.

    ${
      sqeq0d.1 $e |- ( ph -> ( A ^ 2 ) = 0 ) $.
      $( A number is zero iff its square is zero.  (Contributed by Mario
         Carneiro, 28-May-2016.) $)
      sqeq0d $p |- ( ph -> A = 0 ) $=
        ( c2 cn wcel 2nn a1i expeq0d ) ABECEFGAHIDJ $.
    $}

    ${
      expcld.2 $e |- ( ph -> N e. NN0 ) $.
      $( Closure law for nonnegative integer exponentiation.  (Contributed by
         Mario Carneiro, 28-May-2016.) $)
      expcld $p |- ( ph -> ( A ^ N ) e. CC ) $=
        ( cc wcel cn0 cexp co expcl syl2anc ) ABFGCHGBCIJFGDEBCKL $.

      $( Value of a complex number raised to a nonnegative integer power plus
         one.  Part of Definition 10-4.1 of [Gleason] p. 134.  (Contributed by
         Mario Carneiro, 28-May-2016.) $)
      expp1d $p |- ( ph -> ( A ^ ( N + 1 ) ) = ( ( A ^ N ) x. A ) ) $=
        ( cc wcel cn0 c1 caddc co cexp cmul wceq expp1 syl2anc ) ABFGCHGBCIJKLK
        BCLKBMKNDEBCOP $.

      expaddd.2 $e |- ( ph -> M e. NN0 ) $.
      $( Sum of exponents law for nonnegative integer exponentiation.
         Proposition 10-4.2(a) of [Gleason] p. 135.  (Contributed by Mario
         Carneiro, 28-May-2016.) $)
      expaddd $p |- ( ph -> ( A ^ ( M + N ) ) = ( ( A ^ M ) x. ( A ^ N ) ) ) $=
        ( cc wcel cn0 caddc co cexp cmul wceq expadd syl3anc ) ABHICJIDJIBCDKLM
        LBCMLBDMLNLOEGFBCDPQ $.

      $( Product of exponents law for positive integer exponentiation.
         Proposition 10-4.2(b) of [Gleason] p. 135, restricted to nonnegative
         integer exponents.  (Contributed by Mario Carneiro, 28-May-2016.) $)
      expmuld $p |- ( ph -> ( A ^ ( M x. N ) ) = ( ( A ^ M ) ^ N ) ) $=
        ( cc wcel cn0 cmul co cexp wceq expmul syl3anc ) ABHICJIDJIBCDKLMLBCMLD
        MLNEGFBCDOP $.
    $}

    ${
      sqrecd.1 $e |- ( ph -> A =/= 0 ) $.
      $( Square of reciprocal.  (Contributed by Mario Carneiro,
         28-May-2016.) $)
      sqrecd $p |- ( ph -> ( ( 1 / A ) ^ 2 ) = ( 1 / ( A ^ 2 ) ) ) $=
        ( cc wcel cc0 wne c2 cz c1 cdiv co cexp wceq 2z a1i exprec syl3anc ) AB
        EFBGHIJFZKBLMINMKBINMLMOCDTAPQBIRS $.

      expclzd.3 $e |- ( ph -> N e. ZZ ) $.
      $( Closure law for integer exponentiation.  (Contributed by Mario
         Carneiro, 28-May-2016.) $)
      expclzd $p |- ( ph -> ( A ^ N ) e. CC ) $=
        ( cc wcel cc0 wne cz cexp co expclz syl3anc ) ABGHBIJCKHBCLMGHDEFBCNO
        $.

      $( Nonnegative integer exponentiation is nonzero if its base is nonzero.
         (Contributed by Mario Carneiro, 28-May-2016.) $)
      expne0d $p |- ( ph -> ( A ^ N ) =/= 0 ) $=
        ( cc wcel cc0 wne cz cexp co expne0i syl3anc ) ABGHBIJCKHBCLMIJDEFBCNO
        $.

      $( Value of a complex number raised to a negative power.  (Contributed by
         Mario Carneiro, 28-May-2016.) $)
      expnegd $p |- ( ph -> ( A ^ -u N ) = ( 1 / ( A ^ N ) ) ) $=
        ( cc wcel cc0 wne cz cneg cexp co c1 cdiv wceq expnegz syl3anc ) ABGHBI
        JCKHBCLMNOBCMNPNQDEFBCRS $.

      $( Nonnegative integer exponentiation of a reciprocal.  (Contributed by
         Mario Carneiro, 28-May-2016.) $)
      exprecd $p |- ( ph -> ( ( 1 / A ) ^ N ) = ( 1 / ( A ^ N ) ) ) $=
        ( cc wcel cc0 wne cz c1 cdiv co cexp wceq exprec syl3anc ) ABGHBIJCKHLB
        MNCONLBCONMNPDEFBCQR $.

      $( Value of a nonzero complex number raised to an integer power plus one.
         (Contributed by Mario Carneiro, 28-May-2016.) $)
      expp1zd $p |- ( ph -> ( A ^ ( N + 1 ) ) = ( ( A ^ N ) x. A ) ) $=
        ( cc wcel cc0 wne cz c1 caddc co cexp cmul wceq expp1z syl3anc ) ABGHBI
        JCKHBCLMNONBCONBPNQDEFBCRS $.

      $( Value of a complex number raised to an integer power minus one.
         (Contributed by Mario Carneiro, 28-May-2016.) $)
      expm1d $p |- ( ph -> ( A ^ ( N - 1 ) ) = ( ( A ^ N ) / A ) ) $=
        ( cc wcel cc0 wne cz c1 cmin co cexp cdiv wceq expm1 syl3anc ) ABGHBIJC
        KHBCLMNONBCONBPNQDEFBCRS $.

      expsubd.3 $e |- ( ph -> M e. ZZ ) $.
      $( Exponent subtraction law for nonnegative integer exponentiation.
         (Contributed by Mario Carneiro, 28-May-2016.) $)
      expsubd $p |- ( ph -> ( A ^ ( M - N ) ) = ( ( A ^ M ) / ( A ^ N ) ) ) $=
        ( cc wcel cc0 wne cz cmin co cexp cdiv wceq expsub syl22anc ) ABIJBKLCM
        JDMJBCDNOPOBCPOBDPOQOREFHGBCDST $.
    $}

    mulexpd.2 $e |- ( ph -> B e. CC ) $.
    $( Distribution of square over multiplication.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    sqmuld $p |- ( ph -> ( ( A x. B ) ^ 2 ) = ( ( A ^ 2 ) x. ( B ^ 2 ) ) ) $=
      ( cc wcel cmul co c2 cexp wceq sqmul syl2anc ) ABFGCFGBCHIJKIBJKICJKIHILD
      EBCMN $.

    ${
      sqdivd.3 $e |- ( ph -> B =/= 0 ) $.
      $( Distribution of square over division.  (Contributed by Mario Carneiro,
         28-May-2016.) $)
      sqdivd $p |- ( ph -> ( ( A / B ) ^ 2 ) = ( ( A ^ 2 ) / ( B ^ 2 ) ) ) $=
        ( cc wcel cc0 wne cdiv co c2 cexp wceq sqdiv syl3anc ) ABGHCGHCIJBCKLMN
        LBMNLCMNLKLODEFBCPQ $.

      expdivd.3 $e |- ( ph -> N e. NN0 ) $.
      $( Nonnegative integer exponentiation of a quotient.  (Contributed by
         Mario Carneiro, 28-May-2016.) $)
      expdivd $p |- ( ph -> ( ( A / B ) ^ N ) = ( ( A ^ N ) / ( B ^ N ) ) ) $=
        ( cc wcel cc0 wne cn0 cdiv co cexp wceq expdiv syl121anc ) ABIJCIJCKLDM
        JBCNODPOBDPOCDPONOQEFGHBCDRS $.
    $}

    mulexpd.3 $e |- ( ph -> N e. NN0 ) $.
    $( Positive integer exponentiation of a product.  Proposition 10-4.2(c) of
       [Gleason] p. 135, restricted to nonnegative integer exponents.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    mulexpd $p |- ( ph -> ( ( A x. B ) ^ N ) = ( ( A ^ N ) x. ( B ^ N ) ) ) $=
      ( cc wcel cn0 cmul co cexp wceq mulexp syl3anc ) ABHICHIDJIBCKLDMLBDMLCDM
      LKLNEFGBCDOP $.
  $}

  ${
    znsqcld.1 $e |- ( ph -> N e. ZZ ) $.
    znsqcld.2 $e |- ( ph -> N =/= 0 ) $.
    $( The square of a nonzero integer is a positive integer.  (Contributed by
       Thierry Arnoux, 2-Feb-2020.) $)
    znsqcld $p |- ( ph -> ( N ^ 2 ) e. NN ) $=
      ( c2 cexp co cc0 wceq wn cn wcel zcnd cz 2z a1i expne0d neneqd cn0 wo syl
      zsqcl2 elnn0 sylib orcomd ord mpd ) ABEFGZHIZJUHKLZAUHHABEABCMDENLAOPQRAU
      IUJAUJUIAUHSLZUJUITABNLUKCBUBUAUHUCUDUEUFUG $.
  $}

  ${
    reexpcld.1 $e |- ( ph -> A e. RR ) $.
    reexpcld.2 $e |- ( ph -> N e. NN0 ) $.
    $( Closure of exponentiation of reals.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    reexpcld $p |- ( ph -> ( A ^ N ) e. RR ) $=
      ( cr wcel cn0 cexp co reexpcl syl2anc ) ABFGCHGBCIJFGDEBCKL $.

    ${
      expge0d.3 $e |- ( ph -> 0 <_ A ) $.
      $( A nonnegative real raised to a nonnegative integer is nonnegative.
         (Contributed by Mario Carneiro, 28-May-2016.) $)
      expge0d $p |- ( ph -> 0 <_ ( A ^ N ) ) $=
        ( cr wcel cn0 cc0 cle wbr cexp co expge0 syl3anc ) ABGHCIHJBKLJBCMNKLDE
        FBCOP $.
    $}

    ${
      expge1d.3 $e |- ( ph -> 1 <_ A ) $.
      $( A real greater than or equal to 1 raised to a nonnegative integer is
         greater than or equal to 1.  (Contributed by Mario Carneiro,
         28-May-2016.) $)
      expge1d $p |- ( ph -> 1 <_ ( A ^ N ) ) $=
        ( cr wcel cn0 c1 cle wbr cexp co expge1 syl3anc ) ABGHCIHJBKLJBCMNKLDEF
        BCOP $.
    $}
  $}

  $( Ordering relationship for exponentiation.  (Contributed by NM,
     2-Aug-2006.)  (Revised by Mario Carneiro, 4-Jun-2014.) $)
  ltexp2a $p |- ( ( ( A e. RR /\ M e. ZZ /\ N e. ZZ ) /\
             ( 1 < A /\ M < N ) ) -> ( A ^ M ) < ( A ^ N ) ) $=
    ( cr wcel cz w3a c1 clt wbr wa cexp co cmul crp rpexpcl syl2anc rpred recnd
    cc0 simpl1 0red 1red 0lt1 a1i simprl lttrd elrpd simpl2 mulid2d cdiv simprr
    cmin cn simpl3 znnsub mpbid expgt1 syl3anc wne wceq gt0ne0d expsub syl22anc
    wb cc breqtrd ltmuldivd mpbird eqbrtrrd ) ADEZBFEZCFEZGZHAIJZBCIJZKZKZHABLM
    ZNMZVSACLMZIVRVSVRVSVRVSVRAOEZVLVSOEVRAVKVLVMVQUAZVRTHAVRUBVRUCZWCTHIJVRUDU
    EVNVOVPUFZUGZUHZVKVLVMVQUIZABPQZRSUJVRVTWAIJHWAVSUKMZIJVRHACBUMMZLMZWJIVRVK
    WKUNEZVOHWLIJWCVRVPWMVNVOVPULVRVLVMVPWMVEWHVKVLVMVQUOZBCUPQUQWEAWKURUSVRAVF
    EATUTVMVLWLWJVAVRAWCSVRAWFVBWNWHACBVCVDVGVRHWAVSWDVRWAVRWBVMWAOEWGWNACPQRWI
    VHVIVJ $.

  ${
    $d A a b $.  $d B a b $.  $d N a b $.
    $( Base ordering relationship for exponentiation.  (Contributed by Stefan
       O'Rear, 16-Oct-2014.) $)
    expmordi $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 0 <_ A /\ A < B ) /\
        N e. NN ) -> ( A ^ N ) < ( B ^ N ) ) $=
      ( va vb cr wcel wa cc0 cle wbr clt cexp co wi wceq oveq2 breq12d imbi2d
      c1 cn cv caddc weq cc recn exp1 breqan12d syl2an biimpar adantrl w3a cmul
      wb simp2ll cn0 nnnn0 3ad2ant1 reexpcld simp2lr jca simp2rl expge0d simp2l
      simp3 simp2r ltmul12a syl22anc recnd expp1d 3brtr4d 3exp a2d nnind impcom
      3impa ) AFGZBFGZHZIAJKZABLKZHZCUAGZACMNZBCMNZLKZWCVSWBHZWFWGADUBZMNZBWHMN
      ZLKZOWGATMNZBTMNZLKZOWGAEUBZMNZBWOMNZLKZOWGAWOTUCNZMNZBWSMNZLKZOWGWFODECW
      HTPZWKWNWGXCWIWLWJWMLWHTAMQWHTBMQRSDEUDZWKWRWGXDWIWPWJWQLWHWOAMQWHWOBMQRS
      WHWSPZWKXBWGXEWIWTWJXALWHWSAMQWHWSBMQRSWHCPZWKWFWGXFWIWDWJWELWHCAMQWHCBMQ
      RSVSWAWNVTVSWNWAVQAUEGZBUEGZWNWAUNVRAUFBUFXGXHWLAWMBLAUGBUGUHUIUJUKWOUAGZ
      WGWRXBXIWGWRXBXIWGWRULZWPAUMNZWQBUMNZWTXALXJWPFGZWQFGZHIWPJKZWRHVSWBXKXLL
      KXJXMXNXJAWOVQVRWBXIWRUOZXIWGWOUPGWRWOUQURZUSXJBWOVQVRWBXIWRUTZXQUSVAXJXO
      WRXJAWOXPXQVTWAVSXIWRVBVCXIWGWRVEVAXIVSWBWRVDXIVSWBWRVFWPWQABVGVHXJAWOXJA
      XPVIXQVJXJBWOXJBXRVIXQVJVKVLVMVNVOVP $.

    $( Base ordering relationship for exponentiation of positive reals.
       (Contributed by Stefan O'Rear, 16-Oct-2014.) $)
    rpexpmord $p |- ( ( N e. NN /\ A e. RR+ /\ B e. RR+ ) -> ( A < B <->
        ( A ^ N ) < ( B ^ N ) ) ) $=
      ( va vb cn wcel crp clt wbr cexp co wb cv oveq1 rpssre cr cn0 wa rpred ex
      rpre nnnn0 reexpcl syl2anr cc0 cle simplrl simplrr rpge0d simpll expmordi
      simpr syl221anc ltord1 3impb ) CFGZAHGBHGABIJACKLZBCKLZIJMUQDEDNZCKLZENZC
      KLZABHURUSUTVBCKOUTACKOUTBCKOPUTHGZUTQGZCRGVAQGUQUTUBCUCUTCUDUEUQVDVBHGZS
      ZSZUTVBIJZVAVCIJZVHVISZVEVBQGUFUTUGJVIUQVJVKUTUQVDVFVIUHZTVKVBUQVDVFVIUIT
      VKUTVLUJVHVIUMUQVGVIUKUTVBCULUNUAUOUP $.
  $}

  ${
    $d x y A $.  $d x y M $.  $d x y N $.
    $( Cancellation law for exponentiation.  (Contributed by NM, 2-Aug-2006.)
       (Revised by Mario Carneiro, 4-Jun-2014.) $)
    expcan $p |- ( ( ( A e. RR /\ M e. ZZ /\ N e. ZZ ) /\
               1 < A ) -> ( ( A ^ M ) = ( A ^ N ) <-> M = N ) ) $=
      ( vx vy cr wcel cz w3a c1 clt wbr wa wceq cexp co cv oveq2 crp cc0 wb a1i
      zssre simpl 0red 1red simpr lttrd elrpd rpexpcl sylan rpred simpll simprl
      0lt1 simprr simplr ltexp2a expr syl31anc eqord1 ancom2s exp43 com24 3imp1
      wi bicomd ) AFGZBHGZCHGZIJAKLZMBCNZABOPZACOPZNZVHVIVJVKVLVOUAZVHVKVJVIVPV
      HVKVJVIVPVHVKMZVIVJVPVQDEADQZOPZAEQZOPZBCHVMVNVRVTAORVRBAORVRCAORUCVQVRHG
      ZMVSVQASGWBVSSGVQAVHVKUDZVQTJAVQUEVQUFWCTJKLVQUOUBVHVKUGUHUIAVRUJUKULVQWB
      VTHGZMZMVHWBWDVKVRVTKLZVSWAKLZVFVHVKWEUMVQWBWDUNVQWBWDUPVHVKWEUQVHWBWDIVK
      WFWGAVRVTURUSUTVAVBVCVDVEVG $.

    $( Ordering law for exponentiation.  (Contributed by NM, 2-Aug-2006.)
       (Revised by Mario Carneiro, 5-Jun-2014.) $)
    ltexp2 $p |- ( ( ( A e. RR /\ M e. ZZ /\ N e. ZZ ) /\
             1 < A ) -> ( M < N <-> ( A ^ M ) < ( A ^ N ) ) ) $=
      ( vx vy cr wcel cz c1 clt wbr cexp co wb wa cv oveq2 zssre crp cc0 a1i wi
      simpl 0red 1red 0lt1 simpr lttrd elrpd rpexpcl sylan simpll simprl simprr
      rpred simplr w3a ltexp2a expr syl31anc ltord1 ancom2s exp43 com24 3imp1 )
      AFGZBHGZCHGZIAJKZBCJKABLMZACLMZJKNZVFVIVHVGVLVFVIVHVGVLVFVIOZVGVHVLVMDEAD
      PZLMZAEPZLMZBCHVJVKVNVPALQVNBALQVNCALQRVMVNHGZOVOVMASGVRVOSGVMAVFVIUCZVMT
      IAVMUDVMUEVSTIJKVMUFUAVFVIUGUHUIAVNUJUKUOVMVRVPHGZOZOVFVRVTVIVNVPJKZVOVQJ
      KZUBVFVIWAULVMVRVTUMVMVRVTUNVFVIWAUPVFVRVTUQVIWBWCAVNVPURUSUTVAVBVCVDVE
      $.

    $( Ordering law for exponentiation.  (Contributed by Mario Carneiro,
       26-Apr-2016.) $)
    leexp2 $p |- ( ( ( A e. RR /\ M e. ZZ /\ N e. ZZ ) /\
             1 < A ) -> ( M <_ N <-> ( A ^ M ) <_ ( A ^ N ) ) ) $=
      ( cr wcel cz w3a c1 clt wbr wa wn cexp co cle wb zre cc0 reexpclz syl3anc
      3ancomb ltexp2 sylanb notbid simpl2 simpl3 syl2an syl2anc wne simpl1 0red
      lenlt 1red 0lt1 a1i simpr lttrd gt0ne0d lenltd 3bitr4d ) ADEZBFEZCFEZGZHA
      IJZKZCBIJZLZACMNZABMNZIJZLBCOJZVJVIOJVFVGVKVDVAVCVBGVEVGVKPVAVBVCUAACBUBU
      CUDVFVBVCVLVHPZVAVBVCVEUEZVAVBVCVEUFZVBBDECDEVMVCBQCQBCULUGUHVFVJVIVFVAAR
      UIZVBVJDEVAVBVCVEUJZVFAVFRHAVFUKVFUMVQRHIJVFUNUOVDVEUPUQURZVNABSTVFVAVPVC
      VIDEVQVRVOACSTUSUT $.
  $}

  $( Weak ordering relationship for exponentiation.  (Contributed by NM,
     14-Dec-2005.)  (Revised by Mario Carneiro, 5-Jun-2014.) $)
  leexp2a $p |- ( ( A e. RR /\ 1 <_ A /\ N e. ( ZZ>= ` M ) ) ->
                   ( A ^ M ) <_ ( A ^ N ) ) $=
    ( cr wcel c1 cle wbr cuz cfv cexp co crp cc0 3ad2ant3 rpexpcl syl2anc rpred
    cz recnd w3a cmul simp1 0red 1red clt 0lt1 simp2 ltletrd elrpd eluzel2 cdiv
    a1i mulid2d cmin cn0 uznn0sub expge1 syl3anc cc wceq gt0ne0d eluzelz expsub
    wne syl22anc breqtrd lemuldivd mpbird eqbrtrrd ) ADEZFAGHZCBIJEZUAZFABKLZUB
    LZVOACKLZGVNVOVNVOVNVOVNAMEZBSEZVOMEVNAVKVLVMUCZVNNFAVNUDVNUEZVTNFUFHVNUGUM
    VKVLVMUHZUIZUJZVMVKVSVLBCUKOZABPQZRTUNVNVPVQGHFVQVOULLZGHVNFACBUOLZKLZWGGVN
    VKWHUPEZVLFWIGHVTVMVKWJVLBCUQOWBAWHURUSVNAUTEANVECSEZVSWIWGVAVNAVTTVNAWCVBV
    MVKWKVLBCVCOZWEACBVDVFVGVNFVQVOWAVNVQVNVRWKVQMEWDWLACPQRWFVHVIVJ $.

  $( The power of a positive number smaller than 1 decreases as its exponent
     increases.  (Contributed by NM, 2-Aug-2006.)  (Revised by Mario Carneiro,
     5-Jun-2014.) $)
  ltexp2r $p |- ( ( ( A e. RR+ /\ M e. ZZ /\ N e. ZZ ) /\ A < 1 ) ->
                  ( M < N <-> ( A ^ N ) < ( A ^ M ) ) ) $=
    ( crp wcel cz w3a c1 clt wbr wa cdiv co cexp cc wceq exprec syl3anc rpexpcl
    syl2anc cc0 wne simpl1 rpcnd rpne0d simpl2 simpl3 breq12d cr rprecred simpr
    wb reclt1d mpbid ltexp2 syl31anc ltrecd 3bitr4d ) ADEZBFEZCFEZGZAHIJZKZHALM
    ZBNMZVECNMZIJZHABNMZLMZHACNMZLMZIJBCIJZVKVIIJVDVFVJVGVLIVDAOEZAUAUBZUTVFVJP
    VDAUSUTVAVCUCZUDZVDAVPUEZUSUTVAVCUFZABQRVDVNVOVAVGVLPVQVRUSUTVAVCUGZACQRUHV
    DVEUIEUTVAHVEIJZVMVHULVDAVPUJVSVTVDVCWAVBVCUKVDAVPUMUNVEBCUOUPVDVKVIVDUSVAV
    KDEVPVTACSTVDUSUTVIDEVPVSABSTUQUR $.

  ${
    $d j k A $.  $d j k B $.  $d j k M $.  $d j k N $.
    $( Weak ordering relationship for exponentiation.  (Contributed by Paul
       Chapman, 14-Jan-2008.)  (Revised by Mario Carneiro, 29-Apr-2014.) $)
    leexp2r $p |- ( ( ( A e. RR /\ M e. NN0 /\ N e. ( ZZ>= ` M ) ) /\
                        ( 0 <_ A /\ A <_ 1 ) ) ->
                      ( A ^ N ) <_ ( A ^ M ) ) $=
      ( vj cr wcel cn0 cle wbr c1 wa cexp co wceq breq1d imbi2d reexpcl syl2anc
      wi oveq2 vk cuz cfv w3a cc0 cv caddc adantr leidd cmul simprll 1red simpl
      simprlr eluznn0 simprrl expge0 syl3anc simprrr lemul2ad cc mulid1d eqcomd
      recnd expp1 3brtr4d peano2nn0 syl ad2antrl letr mpand ex a2d uzind4i expd
      com12 3impia imp ) AEFZBGFZCBUBUCZFZUDUEAHIZAJHIZKZACLMZABLMZHIZVSVTWBWEW
      HSZWBVSVTKZWIWBWJWEWHWJWEKZADUFZLMZWGHIZSWKWGWGHIZSWKAUAUFZLMZWGHIZSWKAWP
      JUGMZLMZWGHIZSWKWHSDUABCWLBNZWNWOWKXBWMWGWGHWLBALTOPWLWPNZWNWRWKXCWMWQWGH
      WLWPALTOPWLWSNZWNXAWKXDWMWTWGHWLWSALTOPWLCNZWNWHWKXEWMWFWGHWLCALTOPWKWGWJ
      WGEFZWEABQZUHUIWPWAFZWKWRXAXHWKWRXASXHWKKZWTWQHIZWRXAXIWQAUJMZWQJUJMZWTWQ
      HXIAJWQXHVSVTWEUKZXIULXIVSWPGFZWQEFZXMXIVTXHXNXHVSVTWEUNXHWKUMWPBUORZAWPQ
      RZXIVSXNWCUEWQHIXMXPXHWJWCWDUPAWPUQURXHWJWCWDUSUTXIAVAFXNWTXKNXIAXMVDXPAW
      PVERXIXLWQXIWQXIWQXQVDVBVCVFXIWTEFZXOXFXJWRKXASXIVSWSGFZXRXMXIXNXSXPWPVGV
      HAWSQRXQWJXFXHWEXGVIWTWQWGVJURVKVLVMVNVOVPVQVR $.

    $( Weak base ordering relationship for exponentiation.  (Contributed by NM,
       18-Dec-2005.) $)
    leexp1a $p |- ( ( ( A e. RR /\ B e. RR /\ N e. NN0 ) /\
               ( 0 <_ A /\ A <_ B ) ) -> ( A ^ N ) <_ ( B ^ N ) ) $=
      ( vj vk cr wcel cc0 cle wa cexp co wi c1 wceq oveq2 breq12d imbi2d adantr
      wbr cn0 caddc recn exp0 1le1 eqbrtrdi adantl breqtrrd syl2an cmul reexpcl
      cv cc ad4ant14 simplll simpr simplrl syl3anc ad4ant24 jca31 simpl anim12i
      simpllr jca32 simplrr anim1ci lemul12a sylc expp1 sylan ad5ant14 ad5ant24
      expge0 3brtr4d ex expcom a2d nn0ind exp4c com3l 3imp1 ) AFGZBFGZCUAGZHAIT
      ZABITZJZACKLZBCKLZITZWDWBWCWGWJMWDWBWCWGWJWBWCJZWGJZADULZKLZBWMKLZITZMWLA
      HKLZBHKLZITZMWLAEULZKLZBWTKLZITZMWLAWTNUBLZKLZBXDKLZITZMWLWJMDECWMHOZWPWS
      WLXHWNWQWOWRIWMHAKPWMHBKPQRWMWTOZWPXCWLXIWNXAWOXBIWMWTAKPWMWTBKPQRWMXDOZW
      PXGWLXJWNXEWOXFIWMXDAKPWMXDBKPQRWMCOZWPWJWLXKWNWHWOWIIWMCAKPWMCBKPQRWKWSW
      GWBAUMGZBUMGZWSWCAUCZBUCZXLXMJZWQNWRIXPWQNNIXLWQNOXMAUDSUEUFXMWRNOXLBUDUG
      UHUISWTUAGZWLXCXGWLXQXCXGMWLXQJZXCXGXRXCJZXAAUJLZXBBUJLZXEXFIXSXAFGZHXAIT
      ZJXBFGZJZWBWEJZWCJJZXCWFJXTYAITXRYGXCXRYEYFWCXRYBYCYDWBXQYBWCWGAWTUKUNXRW
      BXQWEYCWBWCWGXQUOWLXQUPWKWEWFXQUQAWTVMURWCXQYDWBWGBWTUKUSUTWLYFXQWKWBWGWE
      WBWCVAWEWFVAVBSWBWCWGXQVCVDSXRWFXCWKWEWFXQVEVFXAXBABVGVHWBXQXEXTOZWCWGXCW
      BXLXQYHXNAWTVIVJVKWCXQXFYAOZWBWGXCWCXMXQYIXOBWTVIVJVLVNVOVPVQVRVSVTWA $.
  $}

  $( A real between 0 and 1 inclusive raised to a nonnegative integer is less
     than or equal to 1.  (Contributed by Paul Chapman, 29-Dec-2007.)  (Revised
     by Mario Carneiro, 5-Jun-2014.) $)
  exple1 $p |- ( ( ( A e. RR /\ 0 <_ A /\ A <_ 1 ) /\ N e. NN0 ) ->
                  ( A ^ N ) <_ 1 ) $=
    ( cr wcel cc0 cle wbr c1 w3a cn0 wa cexp co cuz cfv simpl1 0nn0 simpr nn0uz
    a1i eleqtrdi simpl2 simpl3 leexp2r syl32anc cc wceq recnd exp0 syl breqtrd
    ) ACDZEAFGZAHFGZIZBJDZKZABLMZAELMZHFUQULEJDZBENOZDUMUNURUSFGULUMUNUPPZUTUQQ
    TUQBJVAUOUPRSUAULUMUNUPUBULUMUNUPUCAEBUDUEUQAUFDUSHUGUQAVBUHAUIUJUK $.

  $( An upper bound on ` A ^ N ` when ` 2 <_ A ` .  (Contributed by NM,
     19-Dec-2005.) $)
  expubnd $p |- ( ( A e. RR /\ N e. NN0 /\ 2 <_ A ) ->
                  ( A ^ N ) <_ ( ( 2 ^ N ) x. ( ( A - 1 ) ^ N ) ) ) $=
    ( cr wcel c2 cle wbr cexp co c1 cmin cmul cc0 wa 2re caddc mp3an1 wceq 2cn
    cc cn0 w3a simp1 peano2rem remulcl sylancr 3ad2ant1 simp2 0le2 letr mp3an12
    wi 0re mpani wb resubcl mpan2 leadd2 mpdan biimpa recn npcan sylancl adantr
    imp ax-1cn subdi mp3an13 2times 2t1e2 a1i oveq12d addsub mp3an3 3eqtrrd syl
    anidms 3brtr3d 3adant2 leexp1a syl31anc recnd mulexp sylan 3adant3 breqtrd
    jca ) ACDZBUADZEAFGZUBZABHIZEAJKIZLIZBHIZEBHIWMBHILIZFWKWHWNCDZWIMAFGZAWNFG
    ZNZWLWOFGWHWIWJUCWHWIWQWJWHECDZWMCDWQOAUDZEWMUEUFUGWHWIWJUHWHWJWTWIWHWJNZWR
    WSWHWJWRWHMEFGZWJWRUIMCDXAWHXDWJNWRULUMOMEAUJUKUNVEXCAEKIZEPIZXEAPIZAWNFWHW
    JXFXGFGZWHXECDZWJXHUOZWHXAXIOAEUPUQXAWHXIXJOEAXEURQUSUTWHXFARZWJWHATDZETDZX
    KAVAZSAEVBVCVDWHXGWNRZWJWHXLXOXNXLWNEALIZEJLIZKIZAAPIZEKIZXGXMXLJTDWNXRRSVF
    EAJVGVHXLXPXSXQEKAVIXQERXLVJVKVLXLXTXGRZXLXLXMYASAAEVMVNVQVOVPVDVRWGVSAWNBV
    TWAWHWIWOWPRZWJWHWMTDZWIYBWHWMXBWBXMYCWIYBSEWMBWCQWDWEWF $.

  $( Two real numbers are equal to 0 iff their Euclidean norm is.  (Contributed
     by NM, 29-Apr-2005.)  (Revised by Stefan O'Rear, 5-Oct-2014.)  (Proof
     shortened by Mario Carneiro, 28-May-2016.) $)
  sumsqeq0 $p |- ( ( A e. RR /\ B e. RR ) ->
    ( ( A = 0 /\ B = 0 ) <-> ( ( A ^ 2 ) + ( B ^ 2 ) ) = 0 ) ) $=
    ( cr wcel wa c2 cexp co cc0 wceq cle wbr wb resqcl sqge0 jca recn sqeq0 syl
    cc caddc add20 syl2an bi2anan9 bitr2d ) ACDZBCDZEAFGHZBFGHZUAHIJZUHIJZUIIJZ
    EZAIJZBIJZEUFUHCDZIUHKLZEUICDZIUIKLZEUJUMMUGUFUPUQANAOPUGURUSBNBOPUHUIUBUCU
    FUKUNUGULUOUFATDUKUNMAQARSUGBTDULUOMBQBRSUDUE $.

  ${
    sqval.1 $e |- A e. CC $.
    $( Value of square.  Inference version.  (Contributed by NM,
       1-Aug-1999.) $)
    sqvali $p |- ( A ^ 2 ) = ( A x. A ) $=
      ( cc wcel c2 cexp co cmul wceq sqval ax-mp ) ACDAEFGAAHGIBAJK $.

    $( Closure of square.  (Contributed by NM, 2-Aug-1999.) $)
    sqcli $p |- ( A ^ 2 ) e. CC $=
      ( cc wcel c2 cexp co sqcl ax-mp ) ACDAEFGCDBAHI $.

    $( A number is zero iff its square is zero.  (Contributed by NM,
       2-Oct-1999.) $)
    sqeq0i $p |- ( ( A ^ 2 ) = 0 <-> A = 0 ) $=
      ( cc wcel c2 cexp co cc0 wceq wb sqeq0 ax-mp ) ACDAEFGHIAHIJBAKL $.

    ${
      sqreci.1 $e |- A =/= 0 $.
      $( Square of reciprocal.  (Contributed by NM, 17-Sep-1999.) $)
      sqrecii $p |- ( ( 1 / A ) ^ 2 ) = ( 1 / ( A ^ 2 ) ) $=
        ( c1 cdiv co cmul c2 ax-1cn divmuldivi 1t1e1 oveq1i eqtri reccli sqvali
        cexp oveq2i 3eqtr4i ) DAEFZSGFZDAAGFZEFZSHPFDAHPFZEFTDDGFZUAEFUBDADAIBI
        BCCJUDDUAEKLMSABCNOUCUADEABOQR $.
    $}

    sqmul.2 $e |- B e. CC $.
    $( Distribution of square over multiplication.  (Contributed by NM,
       3-Sep-1999.) $)
    sqmuli $p |- ( ( A x. B ) ^ 2 ) = ( ( A ^ 2 ) x. ( B ^ 2 ) ) $=
      ( cc wcel cmul co c2 cexp wceq sqmul mp2an ) AEFBEFABGHIJHAIJHBIJHGHKCDAB
      LM $.

    sqdiv.3 $e |- B =/= 0 $.
    $( Distribution of square over division.  (Contributed by NM,
       20-Aug-2001.) $)
    sqdivi $p |- ( ( A / B ) ^ 2 ) = ( ( A ^ 2 ) / ( B ^ 2 ) ) $=
      ( cdiv co cmul c2 cexp divmuldivi divcli sqvali oveq12i 3eqtr4i ) ABFGZPH
      GAAHGZBBHGZFGPIJGAIJGZBIJGZFGABABCDCDEEKPABCDELMSQTRFACMBDMNO $.
  $}

  ${
    resqcl.1 $e |- A e. RR $.
    $( Closure of square in reals.  (Contributed by NM, 2-Aug-1999.) $)
    resqcli $p |- ( A ^ 2 ) e. RR $=
      ( cr wcel c2 cexp co resqcl ax-mp ) ACDAEFGCDBAHI $.

    $( The square of a nonzero real is positive.  (Contributed by NM,
       17-Sep-1999.) $)
    sqgt0i $p |- ( A =/= 0 -> 0 < ( A ^ 2 ) ) $=
      ( cr wcel cc0 wne c2 cexp co clt wbr sqgt0 mpan ) ACDAEFEAGHIJKBALM $.

    $( A square of a real is nonnegative.  (Contributed by NM, 3-Aug-1999.) $)
    sqge0i $p |- 0 <_ ( A ^ 2 ) $=
      ( cc0 cmul co c2 cexp cle msqge0i recni sqvali breqtrri ) CAADEAFGEHABIAA
      BJKL $.

    lt2sq.2 $e |- B e. RR $.
    $( The square function on nonnegative reals is strictly monotonic.
       (Contributed by NM, 12-Sep-1999.) $)
    lt2sqi $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
              ( A < B <-> ( A ^ 2 ) < ( B ^ 2 ) ) ) $=
      ( cc0 cle wbr wa clt cmul co c2 cexp lt2msqi recni sqvali breq12i bitr4di
      ) EAFGEBFGHABIGAAJKZBBJKZIGALMKZBLMKZIGABCDNUASUBTIAACOPBBDOPQR $.

    $( The square function on nonnegative reals is monotonic.  (Contributed by
       NM, 12-Sep-1999.) $)
    le2sqi $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
              ( A <_ B <-> ( A ^ 2 ) <_ ( B ^ 2 ) ) ) $=
      ( cc0 cle wbr wa cmul co c2 cexp le2msqi recni sqvali breq12i bitr4di ) E
      AFGEBFGHABFGAAIJZBBIJZFGAKLJZBKLJZFGABCDMTRUASFAACNOBBDNOPQ $.

    $( The square function is one-to-one for nonnegative reals.  (Contributed
       by NM, 27-Oct-1999.) $)
    sq11i $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
              ( ( A ^ 2 ) = ( B ^ 2 ) <-> A = B ) ) $=
      ( c2 cexp co wceq cmul cc0 cle wbr wa recni sqvali eqeq12i msq11i syl5bb
      ) AEFGZBEFGZHAAIGZBBIGZHJAKLJBKLMABHSUATUBAACNOBBDNOPABCDQR $.
  $}

  $( The square of 0 is 0.  (Contributed by NM, 6-Jun-2006.) $)
  sq0 $p |- ( 0 ^ 2 ) = 0 $=
    ( cc0 c2 cexp co wceq eqid 0cn sqeq0i mpbir ) ABCDAEAAEAFAGHI $.

  $( If a number is zero, its square is zero.  (Contributed by FL,
     10-Dec-2006.) $)
  sq0i $p |- ( A = 0 -> ( A ^ 2 ) = 0 ) $=
    ( cc0 wceq c2 cexp co oveq1 sq0 eqtrdi ) ABCADEFBDEFBABDEGHI $.

  ${
    sq0id.1 $e |- ( ph -> A = 0 ) $.
    $( If a number is zero, its square is zero.  Deduction form of ~ sq0i .
       Converse of ~ sqeq0d .  (Contributed by David Moews, 28-Feb-2017.) $)
    sq0id $p |- ( ph -> ( A ^ 2 ) = 0 ) $=
      ( cc0 wceq c2 cexp co sq0i syl ) ABDEBFGHDECBIJ $.
  $}

  $( The square of 1 is 1.  (Contributed by NM, 22-Aug-1999.) $)
  sq1 $p |- ( 1 ^ 2 ) = 1 $=
    ( c2 cz wcel c1 cexp co wceq 2z 1exp ax-mp ) ABCDAEFDGHAIJ $.

  $( ` -u 1 ` squared is 1.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  neg1sqe1 $p |- ( -u 1 ^ 2 ) = 1 $=
    ( c1 cneg c2 cexp co cc wcel wceq ax-1cn sqneg ax-mp sq1 eqtri ) ABCDEZACDE
    ZAAFGNOHIAJKLM $.

  $( The square of 2 is 4.  (Contributed by NM, 22-Aug-1999.) $)
  sq2 $p |- ( 2 ^ 2 ) = 4 $=
    ( c2 cexp co cmul c4 2cn sqvali 2t2e4 eqtri ) AABCAADCEAFGHI $.

  $( The square of 3 is 9.  (Contributed by NM, 26-Apr-2006.) $)
  sq3 $p |- ( 3 ^ 2 ) = 9 $=
    ( c3 c2 cexp co cmul c9 3cn sqvali 3t3e9 eqtri ) ABCDAAEDFAGHIJ $.

  $( The square of 4 is 2 times 8.  (Contributed by AV, 20-Jul-2021.) $)
  sq4e2t8 $p |- ( 4 ^ 2 ) = ( 2 x. 8 ) $=
    ( c4 c2 cexp co cmul c8 eqcomi oveq1i 2cn sqmuli sqvali sq2 oveq12i mulassi
    2t2e4 4cn 4t2e8 mulcomli oveq2i 3eqtri ) ABCDBBEDZBCDBBCDZUBEDZBFEDZAUABCUA
    AOGHBBIIJUCUAAEDBBAEDZEDUDUBUAUBAEBIKLMBBAIIPNUEFBEABFPIQRSTT $.

  $( The cube of 2 is 8.  (Contributed by NM, 2-Aug-2004.) $)
  cu2 $p |- ( 2 ^ 3 ) = 8 $=
    ( c2 c3 cexp co c1 caddc c8 df-3 oveq2i cmul wcel cn0 wceq 2nn0 expp1 mp2an
    cc 2cn c4 eqtri sq2 oveq1i 4t2e8 ) ABCDAAEFDZCDZGBUDACHIUEAACDZAJDZGAQKALKU
    EUGMRNAAOPUGSAJDGUFSAJUAUBUCTTT $.

  $( The reciprocal of ` _i ` .  (Contributed by NM, 11-Oct-1999.) $)
  irec $p |- ( 1 / _i ) = -u _i $=
    ( c1 ci cdiv co cneg wceq cmul ax-icn mulneg2i ax-1cn mulcli negcon2i mpbir
    ixi eqtr4i negicn ine0 divmuli ) ABCDBEZFBSGDZAFTBBGDZEZABBHHIAUBFUAAEFNAUA
    JBBHHKLMOABSJHPQRM $.

  $( ` _i ` squared.  (Contributed by NM, 6-May-1999.) $)
  i2 $p |- ( _i ^ 2 ) = -u 1 $=
    ( ci c2 cexp co cmul c1 cneg ax-icn sqvali ixi eqtri ) ABCDAAEDFGAHIJK $.

  $( ` _i ` cubed.  (Contributed by NM, 31-Jan-2007.) $)
  i3 $p |- ( _i ^ 3 ) = -u _i $=
    ( ci c3 cexp co c2 c1 caddc cneg df-3 oveq2i cmul wcel cn0 wceq ax-icn 2nn0
    cc expp1 mp2an eqtri i2 oveq1i mulm1i ) ABCDAEFGDZCDZAHZBUDACIJUEAECDZAKDZU
    FAQLEMLUEUHNOPAERSUHFHZAKDUFUGUIAKUAUBAOUCTTT $.

  $( ` _i ` to the fourth power.  (Contributed by NM, 31-Jan-2007.) $)
  i4 $p |- ( _i ^ 4 ) = 1 $=
    ( ci c2 caddc co cexp cmul c4 c1 cc wcel cn0 wceq ax-icn expadd mp3an 2p2e4
    2nn0 oveq2i i2 ax-1cn cneg oveq12i mul2negi 1t1e1 3eqtri 3eqtr3i ) ABBCDZED
    ZABEDZUIFDZAGEDHAIJBKJZUKUHUJLMQQABBNOUGGAEPRUJHUAZULFDHHFDHUIULUIULFSSUBHH
    TTUCUDUEUF $.

  $( A positive integer is less than or equal to its square.  (Contributed by
     NM, 15-Sep-1999.)  (Revised by Mario Carneiro, 12-Sep-2015.) $)
  nnlesq $p |- ( N e. NN -> N <_ ( N ^ 2 ) ) $=
    ( cn wcel cmul co c2 cexp cle c1 nncn mulid1d wbr nnge1 cr cc0 wb 1red nnre
    clt nngt0 lemul2 syl112anc mpbid eqbrtrrd cc wceq sqval syl breqtrrd ) ABCZ
    AAADEZAFGEZHUJAIDEZAUKHUJAAJZKUJIAHLZUMUKHLZAMUJINCANCZUQOASLUOUPPUJQARZURA
    TIAAUAUBUCUDUJAUECULUKUFUNAUGUHUI $.

  $( Taking ` _i ` to the ` K ` -th power is the same as using the ` K mod 4 `
     -th power instead, by ~ i4 .  (Contributed by Mario Carneiro,
     7-Jul-2014.) $)
  iexpcyc $p |- ( K e. ZZ -> ( _i ^ ( K mod 4 ) ) = ( _i ^ K ) ) $=
    ( cz wcel ci c4 co cexp cdiv cr wceq sylancl oveq2d 4z sylancr cc wa ax-icn
    ine0 c1 eqtrd cmo cfl cfv cmul cmin crp zre 4re 4pos elrpii modval cn flcld
    4nn nndivre zmulcl cc0 wne expsub mpanl12 expmulz i4 oveq1i 1exp syl eqtrid
    mpdan expclz mp3an12 div1d ) ABCZDAEUAFZGFDAEAEHFZUBUCZUDFZUEFZGFZDAGFZVKVL
    VPDGVKAICZEUFCVLVPJAUGZEUHUIUJAEUKKLVKVQVRDVOGFZHFZVRVKVOBCZVQWBJZVKEBCZVNB
    CZWCMVKVMVKVSEULCVMICVTUNAEUOKUMZEVNUPNDOCZDUQURZVKWCPWDQRDAVOUSUTVGVKWBVRS
    HFVRVKWASVRHVKWADEGFZVNGFZSVKWEWFWAWKJZMWGWHWIWEWFPWLQRDEVNVAUTNVKWKSVNGFZS
    WJSVNGVBVCVKWFWMSJWGVNVDVEVFTLVKVRWHWIVKVROCQRDAVHVIVJTTT $.

  $( A counterexample showing that exponentiation is not associative.
     (Contributed by Stefan Allan and G&eacute;rard Lang, 21-Sep-2010.) $)
  expnass $p |- ( ( 3 ^ 3 ) ^ 3 ) < ( 3 ^ ( 3 ^ 3 ) ) $=
    ( c3 cmul co cexp clt cc wcel 3cn 3nn0 mp3an wbr 3re nn0zi w3a 1lt3 ltexp2a
    cz c2 mpanr12 eqbrtrri wceq expmul cr nn0mulcli nn0expcli c1 sqvali 2z 2lt3
    cn0 3z ) AAABCZDCZAADCZADCZAUNDCZEAFGAUJGZUQUMUOUAHIIAAAUBJAUCGZULQGZUNQGZU
    MUPEKZLULAAIIUDMUNAAIIUEMURUSUTNUFAEKZULUNEKVAOARDCZULUNEAHUGURRQGZAQGZVCUN
    EKZLUHUKURVDVENVBRAEKVFOUIARAPSJTAULUNPSJT $.

  $( Cancel one factor of a square in a ` <_ ` comparison.  Unlike ~ lemul1 ,
     the common factor ` A ` may be zero.  (Contributed by NM, 17-Jan-2008.) $)
  sqlecan $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
      ( ( A ^ 2 ) <_ ( B x. A ) <-> A <_ B ) ) $=
    ( cr wcel cc0 cle wbr wa c2 cexp co cmul wb clt wceq wo wi 0re leloe recn
    mpan w3a sqval syl breq1d 3ad2ant1 lemul1 bitr4d 3exp exp4a pm2.43a adantrd
    cc com23 sq0 0le0 eqbrtri mul01d breqtrrid adantl oveq1 oveq2 breq12d mpbid
    adantr adantrr breq1 biimpa adantrl 2thd ex a1i jaod sylbid imp31 ) ACDZEAF
    GZBCDZEBFGZHZAIJKZBALKZFGZABFGZMZVPVQEANGZEAOZPZVTWEQZECDVPVQWHMREASUAVPWFW
    IWGVPVTWFWEVPVRWFWEQZVSVRVPWJVPVRVPWFWEVPVRVPWFHZWEVPVRWKUBWCAALKZWBFGZWDVP
    VRWCWMMWKVPWAWLWBFVPAUMDWAWLOATAUCUDUEUFABAUGUHUIUJUKULUNWGWIQVPWGVTWEWGVTH
    WCWDWGVRWCVSWGVRHEIJKZBELKZFGZWCVRWPWGVRWNEWOFWNEEFUOUPUQVRBBTURUSUTWGWPWCM
    VRWGWNWAWOWBFEAIJVAEABLVBVCVEVDVFWGVSWDVRWGVSWDEABFVGVHVIVJVKVLVMVNVO $.

  $( Factor the difference of two squares.  (Contributed by NM,
     21-Feb-2008.) $)
  subsq $p |- ( ( A e. CC /\ B e. CC ) ->
          ( ( A ^ 2 ) - ( B ^ 2 ) ) = ( ( A + B ) x. ( A - B ) ) ) $=
    ( cc wcel wa caddc co cmin cmul cexp simpl simpr sqval adantr eqtr4d adantl
    c2 wceq oveq12d sqcl subcl adddird subdi oveq1d subdid mulcom mulcl npncand
    3anidm12 3eqtrrd ) ACDZBCDZEZABFGABHGZIGAUNIGZBUNIGZFGAQJGZABIGZHGZURBQJGZH
    GZFGUQUTHGUMABUNUKULKZUKULLZABUAUBUMUOUSUPVAFUMUOAAIGZURHGZUSUKULUOVERAABUC
    UIUMUQVDURHUKUQVDRULAMNUDOUMUPBAIGZBBIGZHGVAUMBABVCVBVCUEUMURVFUTVGHABUFULU
    TVGRUKBMPSOSUMUQURUTUKUQCDULATNABUGULUTCDUKBTPUHUJ $.

  $( Express the difference of the squares of two numbers as a polynomial in
     the difference of the numbers.  (Contributed by NM, 21-Feb-2008.) $)
  subsq2 $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A ^ 2 ) - ( B ^ 2 ) ) =
    ( ( ( A - B ) ^ 2 ) + ( ( 2 x. B ) x. ( A - B ) ) ) ) $=
    ( cc wcel wa caddc co cmin cmul c2 cexp wceq 2cn mulcl mpan adantl subadd23
    mpd3an3 2txmxeqx oveq1d oveq2d eqtrd subcl adddird eqtr3d subsq syl 3eqtr4d
    sqval ) ACDZBCDZEZABFGZABHGZIGZUNUNIGZJBIGZUNIGZFGZAJKGBJKGHGUNJKGZURFGULUN
    UQFGZUNIGUOUSULVAUMUNIULVAAUQBHGZFGZUMUJUKUQCDZVAVCLUKVDUJJCDUKVDMJBNOPZABU
    QQRULVBBAFUKVBBLUJBSPUAUBTULUNUQUNABUCZVEVFUDUEABUFULUTUPURFULUNCDUTUPLVFUN
    UIUGTUH $.

  ${
    binom2.1 $e |- A e. CC $.
    binom2.2 $e |- B e. CC $.
    $( The square of a binomial.  (Contributed by NM, 11-Aug-1999.) $)
    binom2i $p |- ( ( A + B ) ^ 2 ) = ( ( ( A ^ 2 ) + ( 2 x.
                ( A x. B ) ) ) + ( B ^ 2 ) ) $=
      ( caddc co cmul c2 cexp addcli adddii adddiri mulcomi oveq2i eqtri mulcli
      oveq12i addassi oveq1i sqvali 3eqtr2i 2timesi 3eqtr4i ) ABEFZUDGFZAAGFZAB
      GFZUGEFZEFZBBGFZEFZUDHIFAHIFZHUGGFZEFZBHIFZEFUEUDAGFZUDBGFZEFZUKUDABABCDJ
      ZCDKURUFUGEFZUGUJEFZEFUTUGEFZUJEFUKUPUTUQVAEUPUFBAGFZEFUTABACDCLVCUGUFEBA
      DCMNOABBCDDLQUTUGUJUFUGAACCPZABCDPZJVEBBDDPRVBUIUJEUFUGUGVDVEVERSUAOUDUST
      UNUIUOUJEULUFUMUHEACTUGVEUBQBDTQUC $.

    $( Factor the difference of two squares.  (Contributed by NM,
       7-Feb-2005.) $)
    subsqi $p |- ( ( A ^ 2 ) - ( B ^ 2 ) ) = ( ( A + B ) x. ( A - B ) ) $=
      ( cc wcel c2 cexp co cmin caddc cmul wceq subsq mp2an ) AEFBEFAGHIBGHIJIA
      BKIABJILIMCDABNO $.

    $( The squares of two complex numbers are equal iff one number equals the
       other or its negative.  Lemma 15-4.7 of [Gleason] p. 311 and its
       converse.  (Contributed by NM, 15-Jan-2006.) $)
    sqeqori $p |- ( ( A ^ 2 ) = ( B ^ 2 ) <-> ( A = B \/ A = -u B ) ) $=
      ( c2 cexp co wceq caddc cc0 cmin wo cneg cmul subsqi eqeq1i sqcli subeq0i
      addcli subcli mul0ori 3bitr3i orcom subnegi negcli bitr3i orbi12i 3bitri
      ) AEFGZBEFGZHZABIGZJHZABKGZJHZLZUOUMLABHZABMZHZLUIUJKGZJHULUNNGZJHUKUPUTV
      AJABCDOPUIUJACQBDQRULUNABCDSABCDTUAUBUMUOUCUOUQUMUSABCDRUMAURKGZJHUSVBULJ
      ABCDUDPAURCBDUERUFUGUH $.

    $( The two solutions to the difference of squares set equal to zero.
       (Contributed by NM, 25-Apr-2006.) $)
    subsq0i $p |- ( ( ( A ^ 2 ) - ( B ^ 2 ) ) = 0
                  <-> ( A = B \/ A = -u B ) ) $=
      ( c2 cexp co cmin cc0 wceq cneg wo sqcli subeq0i sqeqori bitri ) AEFGZBEF
      GZHGIJQRJABJABKJLQRACMBDMNABCDOP $.
  $}

  $( The squares of two complex numbers are equal iff one number equals the
     other or its negative.  Lemma 15-4.7 of [Gleason] p. 311 and its converse.
     (Contributed by Paul Chapman, 15-Mar-2008.) $)
  sqeqor $p |- ( ( A e. CC /\ B e. CC ) ->
                  ( ( A ^ 2 ) = ( B ^ 2 ) <-> ( A = B \/ A = -u B ) ) ) $=
    ( cc wcel c2 cexp co wceq cneg wo wb cc0 oveq1 eqeq1 orbi12d bibi12d eqeq2d
    cif 0cn elimel eqeq1d eqeq2 negeq sqeqori dedth2h ) ACDZBCDZAEFGZBEFGZHZABH
    ZABIZHZJZKUFALRZEFGZUIHZUOBHZUOULHZJZKUPUGBLRZEFGZHZUOVAHZUOVAIZHZJZKABLLAU
    OHZUJUQUNUTVHUHUPUIAUOEFMUAVHUKURUMUSAUOBNAUOULNOPBVAHZUQVCUTVGVIUIVBUPBVAE
    FMQVIURVDUSVFBVAUOUBVIULVEUOBVAUCQOPUOVAALCSTBLCSTUDUE $.

  $( The square of a binomial.  (Contributed by FL, 10-Dec-2006.) $)
  binom2 $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A + B ) ^ 2 ) =
     ( ( ( A ^ 2 ) + ( 2 x. ( A x. B ) ) ) + ( B ^ 2 ) ) ) $=
    ( cc wcel caddc co c2 cexp cmul cc0 cif oveq1 oveq1d oveq2d oveq12d eqeq12d
    wceq oveq2 0cn elimel binom2i dedth2h ) ACDZBCDZABEFZGHFZAGHFZGABIFZIFZEFZB
    GHFZEFZQUCAJKZBEFZGHFZUMGHFZGUMBIFZIFZEFZUKEFZQUMUDBJKZEFZGHFZUPGUMVAIFZIFZ
    EFZVAGHFZEFZQABJJAUMQZUFUOULUTVIUEUNGHAUMBELMVIUJUSUKEVIUGUPUIUREAUMGHLVIUH
    UQGIAUMBILNOMPBVAQZUOVCUTVHVJUNVBGHBVAUMERMVJUSVFUKVGEVJURVEUPEVJUQVDGIBVAU
    MIRNNBVAGHLOPUMVAAJCSTBJCSTUAUB $.

  $( Special case of ~ binom2 where ` B = 1 ` .  (Contributed by Scott Fenton,
     11-May-2014.) $)
  binom21 $p |- ( A e. CC -> ( ( A + 1 ) ^ 2 ) = ( ( ( A ^ 2
      ) + ( 2 x. A ) ) + 1 ) ) $=
    ( cc wcel c1 caddc co c2 cexp cmul wceq ax-1cn binom2 mulid1 oveq2d sq1 a1i
    mpan2 oveq12d eqtrd ) ABCZADEFGHFZAGHFZGADIFZIFZEFZDGHFZEFZUBGAIFZEFZDEFTDB
    CUAUGJKADLQTUEUIUFDETUDUHUBETUCAGIAMNNUFDJTOPRS $.

  $( Expand the square of a subtraction.  (Contributed by Scott Fenton,
     10-Jun-2013.) $)
  binom2sub $p |- ( ( A e. CC /\ B e. CC ) ->
    ( ( A - B ) ^ 2 ) =
    ( ( ( A ^ 2 ) - ( 2 x. ( A x. B ) ) ) + ( B ^ 2 ) ) ) $=
    ( cc wcel wa c2 cexp co cneg cmul caddc cmin wceq eqtr3d mulneg2 oveq2d 2cn
    negcl mulcl sylancr binom2 sylan2 negsub oveq1d eqtr2d adantr negsubd sqneg
    sqcl adantl oveq12d ) ACDZBCDZEZAFGHZFABIZJHZJHZKHZUPFGHZKHZABLHZFGHZUOFABJ
    HZJHZLHZBFGHZKHUNAUPKHZFGHZVAVCUMULUPCDVIVAMBRAUPUAUBUNVHVBFGABUCUDNUNUSVFU
    TVGKUNUOVEIZKHUSVFUNVJURUOKUNURFVDIZJHZVJUNUQVKFJABOPUNFCDZVDCDZVLVJMQABSZF
    VDOTUEPUNUOVEULUOCDUMAUIUFUNVMVNVECDQVOFVDSTUGNUMUTVGMULBUHUJUKN $.

  $( Special case of ~ binom2sub where ` B = 1 ` .  (Contributed by AV,
     2-Aug-2021.) $)
  binom2sub1 $p |- ( A e. CC -> ( ( A - 1 ) ^ 2 )
                                = ( ( ( A ^ 2 ) - ( 2 x. A ) ) + 1 ) ) $=
    ( cc wcel c1 cmin co cexp cmul caddc wceq binom2sub mpdan mulid1 oveq2d sq1
    c2 1cnd a1i oveq12d eqtrd ) ABCZADEFPGFZAPGFZPADHFZHFZEFZDPGFZIFZUCPAHFZEFZ
    DIFUADBCUBUHJUAQADKLUAUFUJUGDIUAUEUIUCEUAUDAPHAMNNUGDJUAORST $.

  ${
    binom2subi.1 $e |- A e. CC $.
    binom2subi.2 $e |- B e. CC $.
    $( Expand the square of a subtraction.  (Contributed by Scott Fenton,
       13-Jun-2013.) $)
    binom2subi $p |- ( ( A - B ) ^ 2 ) =
    ( ( ( A ^ 2 ) - ( 2 x. ( A x. B ) ) ) + ( B ^ 2 ) ) $=
      ( cc wcel cmin co c2 cexp cmul caddc wceq binom2sub mp2an ) AEFBEFABGHIJH
      AIJHIABKHKHGHBIJHLHMCDABNO $.
  $}

  $( The square of a binomial with factor.  (Contributed by AV,
     19-Jul-2021.) $)
  mulbinom2 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC )
                   -> ( ( ( C x. A ) + B ) ^ 2 )
                      = ( ( ( ( C x. A ) ^ 2 ) + ( ( 2 x. C ) x. ( A x. B ) ) )
                          + ( B ^ 2 ) ) ) $=
    ( cc wcel w3a cmul co caddc c2 cexp wceq mulcl ancoms 3adant2 simp2 syl2anc
    binom2 mulass oveq2d 3coml 2cnd simp3 3adant3 mulassd eqtr4d oveq1d eqtrd )
    ADEZBDEZCDEZFZCAGHZBIHJKHZUMJKHZJUMBGHZGHZIHZBJKHZIHZUOJCGHABGHZGHZIHZUSIHU
    LUMDEZUJUNUTLUIUKVDUJUKUIVDCAMNOUIUJUKPUMBRQULURVCUSIULUQVBUOIULUQJCVAGHZGH
    VBULUPVEJGUKUIUJUPVELCABSUATULJCVAULUBUIUJUKUCUIUJVADEUKABMUDUEUFTUGUH $.

  $( The cube of a binomial.  (Contributed by Mario Carneiro, 24-Apr-2015.) $)
  binom3 $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A + B ) ^ 3 ) =
     ( ( ( A ^ 3 ) + ( 3 x. ( ( A ^ 2 ) x. B ) ) ) +
       ( ( 3 x. ( A x. ( B ^ 2 ) ) ) + ( B ^ 3 ) ) ) ) $=
    ( cc wcel caddc co c3 cexp cmul df-3 wceq sylancl syl oveq1d adddird oveq2d
    c2 c1 eqtr4d oveq12d wa oveq2i cn0 addcl 2nn0 expp1 eqtrid sqcl simpl simpr
    adddid binom2 mulcl sylancr addcld sqval mul32d 2cnd mulassd mulcomd 3eqtrd
    2cn eqtrd mulcld 3nn0 expcl addassd eqtr3d add4d 1cnd mulid2d 1p2e3 eqtr3id
    oveq1i eqtr2d ) ACDZBCDZUAZABEFZGHFZVSQHFZVSIFZAGHFZQAQHFZBIFZIFZEFZWEEFZAB
    QHFZIFZQWJIFZBGHFZEFZEFZEFZWCGWEIFZEFZGWJIFZWLEFZEFVRVTVSQREFZHFZWBGWTVSHJU
    BVRVSCDZQUCDZXAWBKABUDZUEVSQUFLUGVRWBWAAIFZWABIFZEFWGWJEFZWEWMEFZEFWOVRWAAB
    VRXBWACDXDVSUHMVPVQUIZVPVQUJZUKVRXEXGXFXHEVRXEWDQABIFZIFZEFZWIEFZAIFXMAIFZW
    IAIFZEFXGVRWAXNAIABULZNVRXMWIAVRWDXLVRVPWDCDXIAUHMZVRQCDZXKCDXLCDVBABUMZQXK
    UMUNZUOZVRVQWICDXJBUHMZXIOVRXOWGXPWJEVRXOWDAIFZXLAIFZEFWGVRWDXLAXRYAXIOVRWC
    YDWFYEEVRWCAWTHFZYDGWTAHJUBVRVPXCYFYDKXIUEAQUFLUGVRWFQXKAIFZIFYEVRWEYGQIVRW
    EAAIFZBIFYGVRWDYHBIVRVPWDYHKXIAUPMNVRAABXIXIXJUQVCPVRQXKAVRURZXTXIUSSTSVRWI
    AYCXIUTTVAVRXFXNBIFXMBIFZWIBIFZEFZXHVRWAXNBIXQNVRXMWIBYBYCXJOVRWEWKEFZWLEFY
    LXHVRYMYJWLYKEVRYMWEXLBIFZEFYJVRWKYNWEEVRWKQXKBIFZIFYNVRWJYOQIVRWJABBIFZIFY
    OVRWIYPAIVRVQWIYPKXJBUPMPVRABBXIXJXJUSSPVRQXKBYIXTXJUSSPVRWDXLBXRYAXJOSVRWL
    BWTHFZYKGWTBHJUBVRVQXCYQYKKXJUEBQUFLUGTVRWEWKWLVRWDBXRXJVDZVRXSWJCDWKCDVBVR
    AWIXIYCVDZQWJUMUNZVRVQGUCDZWLCDXJVEBGVFLZVGVHVATVRWGWJWEWMVRWCWFVRVPUUAWCCD
    XIVEAGVFLZVRXSWECDWFCDVBYRQWEUMUNZUOYSYRVRWKWLYTUUBUOVIVAVRWHWQWNWSEVRWHWCW
    FWEEFZEFWQVRWCWFWEUUCUUDYRVGVRWPUUEWCEVRWPWFRWEIFZEFZUUEVRWPWTWEIFUUGGWTWEI
    JVNVRQRWEYIVRVJZYROUGVRUUFWEWFEVRWEYRVKPVCPSVRWSWJWKEFZWLEFWNVRWRUUIWLEVRWR
    RWJIFZWKEFZUUIVRWRRQEFZWJIFUUKUULGWJIVLVNVRRQWJUUHYIYSOVMVRUUJWJWKEVRWJYSVK
    NVCNVRWJWKWLYSYTUUBVGVOTVA $.

  $( If a complex number equals its square, it must be 0 or 1.  (Contributed by
     NM, 6-Jun-2006.) $)
  sq01 $p |- ( A e. CC -> ( ( A ^ 2 ) = A <-> ( A = 0 \/ A = 1 ) ) ) $=
    ( cc wcel c2 cexp co wceq cc0 c1 wo wa wn df-ne cmul wb sqval oveq1 3eqtr4a
    wne id mulid1 eqcomd eqeq12d adantr ax-1cn mulcan mp3an2 anabss5 bitrd orrd
    biimpd impancom syl5bir ex sq0 sq1 jaoi impbid1 ) ABCZADEFZAGZAHGZAIGZJZUSV
    AVDUSVAKZVBVCVBLAHSZVEVCAHMUSVFVAVCUSVFKZVAVCVGVAAANFZAINFZGZVCUSVAVJOVFUSU
    TVHAVIAPUSVIAAUAUBUCUDUSVFVJVCOZUSIBCVGVKUEAIAUFUGUHUIUKULUMUJUNVBVAVCVBHDE
    FHUTAUOAHDEQVBTRVCIDEFIUTAUPAIDEQVCTRUQUR $.

  $( An integer is even iff its square is even.  (Contributed by Mario
     Carneiro, 12-Sep-2015.) $)
  zesq $p |- ( N e. ZZ ->
              ( ( N / 2 ) e. ZZ <-> ( ( N ^ 2 ) / 2 ) e. ZZ ) ) $=
    ( cz wcel c2 cdiv co cexp wa cmul wceq cc sqval syl oveq1d 2cnd a1i divassd
    2ne0 c1 caddc zcn cc0 wne eqtrd adantr zmulcl eqeltrd wn cmin sqcl peano2cn
    halfcld pncand binom21 2cn mulcl sylancr 1cnd add32d 3eqtr3d divdird oveq2d
    divcan3d peano2z sylan eqeltrrd simpl zsubcld ex con3d wb zsqcl 3imtr4d imp
    zeo2 impbida ) ABCZADEFZBCZADGFZDEFZBCZVQVSHWAAVRIFZBVQWAWCJVSVQWAAAIFZDEFW
    CVQVTWDDEVQAKCZVTWDJAUAZALMNVQAADWFWFVQODUBUCZVQRPQUDUEAVRUFUGVQWBVSVQVTSTF
    ZDEFZBCZUHZASTFZDEFZBCZUHWBVSVQWNWJVQWNWJVQWNHZWIATFZAUIFWIBWOWIAWOWHWOVTKC
    ZWHKCWOWEWQVQWEWNWFUEZAUJMZVTUKMZULWRUMWOWPAWOWLWMIFZWPBWOWLWLIFZDEFWHDAIFZ
    TFZDEFZXAWPWOXBXDDEWOWLDGFZVTXCTFSTFZXBXDWOWEXFXGJWRAUNMWOWLKCZXFXBJWOWEXHW
    RAUKMZWLLMWOVTXCSWSWODKCWEXCKCUOWRDAUPUQZWOURUSUTNWOWLWLDXIXIWOOZWGWORPZQWO
    XEWIXCDEFZTFWPWOWHXCDWTXJXKXLVAWOXMAWITWOADWRXKXLVCVBUDUTVQWLBCWNXABCAVDWLW
    MUFVEVFVQWNVGVHVFVIVJVQVTBCWBWKVKAVLVTVOMAVOVMVNVP $.

  $( A positive integer is even iff its square is even.  (Contributed by NM,
     20-Aug-2001.)  (Revised by Mario Carneiro, 12-Sep-2015.) $)
  nnesq $p |- ( N e. NN ->
               ( ( N / 2 ) e. NN <-> ( ( N ^ 2 ) / 2 ) e. NN ) ) $=
    ( cn wcel c2 cdiv co cz cc0 clt wbr cexp nnz zesq syl nnrp rphalfcld rpgt0d
    wa wb elnnz nnsqcl nnrpd 2thd anbi12d 3bitr4g ) ABCZADEFZGCZHUGIJZRADKFZDEF
    ZGCZHUKIJZRUGBCUKBCUFUHULUIUMUFAGCUHULSALAMNUFUIUMUFUGUFAAOPQUFUKUFUJUFUJAU
    AUBPQUCUDUGTUKTUE $.

  ${
    crrecz.1 $e |- A e. RR $.
    crrecz.2 $e |- B e. RR $.
    $( Reciprocal of a complex number in terms of real and imaginary
       components.  Remark in [Apostol] p. 361.  (Contributed by NM,
       29-Apr-2005.)  (Proof shortened by Jeff Hankins, 16-Dec-2013.) $)
    crreczi $p |- ( ( A =/= 0 \/ B =/= 0 ) -> ( 1 / ( A + ( _i x. B ) ) ) =
                    ( ( A - ( _i x. B ) ) / ( ( A ^ 2 ) + ( B ^ 2 ) ) ) ) $=
      ( cc0 wne c1 ci cmul co caddc cdiv c2 cexp wceq cneg sqcli ax-1cn wcel cc
      wo cmin recni ax-icn mulcli negsubi sqmuli oveq1i mulneg1i 3eqtri negnegi
      i2 negeqi mulid2i oveq2i 3eqtr3ri wa wn neorian cr wb sumsqeq0 necon3bbii
      subsqi mp2an bitri addcli subcli divasszi sylbi divid 3eqtr3a divclzi a1i
      mpan crne0 biimpi divmul mp3an1 syl12anc mpbird ) AEFBEFUAZGAHBIJZKJZLJAW
      CUBJZAMNJZBMNJZKJZLJZOZWDWIIJZGOZWBWDWEIJZWHLJZWHWHLJZWKGWMWHWHLWFWCMNJZP
      ZKJWFWPUBJWHWMWFWPAACUCZQZWCHBUDBDUCZUEZQUFWQWGWFKWQGWGIJZPZPXBWGWPXCWPHM
      NJZWGIJGPZWGIJXCHBUDWTUGXDXEWGIULUHGWGRBWTQZUIUJUMXBGWGRXFUEUKWGXFUNUJUOA
      WCWRXAVDUPUHWBWHEFZWNWKOWBAEOBEOUQZURXGAEBEUSXHWHEAUTSZBUTSZXHWHEOVACDABV
      BVEVCVFZWDWEWHAWCWRXAVGZAWCWRXAVHZWFWGWSXFVGZVIVJWBXGWOGOZXKWHTSXGXOXNWHV
      KVOVJVLWBWITSZWDTSZWDEFZWJWLVAZWBXGXPXKWEWHXMXNVMVJXQWBXLVNWBXRXIXJWBXRVA
      CDABVPVEVQGTSXPXQXRUQXSRGWIWDVRVSVTWA $.
  $}

  ${
    $d j k A $.  $d j k N $.
    $( Bernoulli's inequality, due to Johan Bernoulli (1667-1748).
       (Contributed by NM, 21-Feb-2005.) $)
    bernneq $p |- ( ( A e. RR /\ N e. NN0 /\ -u 1 <_ A ) ->
                 ( 1 + ( A x. N ) ) <_ ( ( 1 + A ) ^ N ) ) $=
      ( wcel cr c1 cle wbr cmul co caddc cexp wa wi wceq oveq2 oveq2d cc ax-1cn
      cc0 adantr vj vk cn0 cneg cv breq12d imbi2d recn mul01 1p0e1 eqtrdi addcl
      1le1 mpan exp0 syl breqtrrid eqbrtrd nn0re remulcl sylan2 readdcl sylancr
      1re simpl syl2anc remulcld reexpcl anidms msqge0 jca nn0ge0 mulge0 syl2an
      sylan nn0cn adantl mul32d breqtrd addge01d mulcld addassd muladd11 eqtr4d
      mpbid mulcl wb neg1rr leadd2 mp3an13 1pneg1e0 breq1i bitrdi biimpa simprr
      ad2ant2r letrd adddi mp3an3 mulid1 eqtrd addass mp3an2i expp1 exp43 com12
      lemul1ad 3brtr4d impd a2d nn0ind expd 3imp21 ) BUCCZADCZEUDZAFGZEABHIZJIZ
      EAJIZBKIZFGZXNXOXQYBXOXQLZEAUAUEZHIZJIZXTYDKIZFGZMYCEASHIZJIZXTSKIZFGZMYC
      EAUBUEZHIZJIZXTYMKIZFGZMYCEAYMEJIZHIZJIZXTYRKIZFGZMYCYBMUAUBBYDSNZYHYLYCU
      UCYFYJYGYKFUUCYEYIEJYDSAHOPYDSXTKOUFUGYDYMNZYHYQYCUUDYFYOYGYPFUUDYEYNEJYD
      YMAHOPYDYMXTKOUFUGYDYRNZYHUUBYCUUEYFYTYGUUAFUUEYEYSEJYDYRAHOPYDYRXTKOUFUG
      YDBNZYHYBYCUUFYFXSYGYAFUUFYEXREJYDBAHOPYDBXTKOUFUGXOYLXQXOAQCZYLAUHZUUGYJ
      EYKFUUGYJESJIEUUGYISEJAUIPUJUKUUGEEYKFUMUUGXTQCZYKENEQCZUUGUUIREAULZUNXTU
      OUPUQURUPTYMUCCZYCYQUUBUULXOXQYQUUBMZXOUULXQUUMMXOUULXQYQUUBXOUULLZXQYQLZ
      LZYOAJIZYPXTHIZYTUUAFUUPUUQYOXTHIZUURUUNUUQDCZUUOUUNYODCZXOUUTUUNEDCZYNDC
      ZUVAVDUULXOYMDCZUVCYMUSZAYMUTZVAEYNVBVCZXOUULVEYOAVBVFZTUUNUUSDCUUOUUNYOX
      TUVGXOXTDCZUULUVBXOUVIVDEAVBUNZTZVGTUUNUURDCUUOUUNYPXTXOUVIUULYPDCZUVJXTY
      MVHVOZUVKVGTUUNUUQUUSFGUUOUUNUUQUUQYNAHIZJIZUUSFUUNSUVNFGUUQUVOFGUUNSAAHI
      ZYMHIZUVNFXOUVPDCZSUVPFGZLUVDSYMFGZLSUVQFGUULXOUVRUVSXOUVRAAUTVIAVJVKUULU
      VDUVTUVEYMVLVKUVPYMVMVNUUNAAYMXOUUGUULUUHTZUWAUULYMQCZXOYMVPZVQVRVSUUNUUQ
      UVNUVHUULXOUVDUVNDCUVEXOUVDLYNAUVFXOUVDVEVGVAVTWEXOUUGUWBUVOUUSNUULUUHUWC
      UUGUWBLZUVOYOAUVNJIJIZUUSUWDYOAUVNUWDUUJYNQCZYOQCRAYMWFZEYNULVCUUGUWBVEZU
      WDYNAUWGUWHWAWBUWDUWFUUGUUSUWENUWGUWHYNAWCVFWDVNVSTUUPYOYPXTUUNUVAUUOUVGT
      UUNUVLUUOUVMTUUNUVIUUOUVKTXOXQSXTFGZUULYQXOXQUWIXOXQEXPJIZXTFGZUWIXPDCXOU
      VBXQUWKWGWHVDXPAEWIWJUWJSXTFWKWLWMWNWPUUNXQYQWOXGWQUUNYTUUQNZUUOXOUUGUWBU
      WLUULUUHUWCUWDYTEYNAJIZJIZUUQUWDYSUWMEJUWDYSYNAEHIZJIZUWMUUGUWBUUJYSUWPNR
      AYMEWRWSUWDUWOAYNJUUGUWOANUWBAWTTPXAPUUJUWDUWFUUGUUQUWNNRUWGUWHEYNAXBXCWD
      VNTUUNUUAUURNZUUOXOUUIUULUWQXOUUJUUGUUIRUUHUUKVCXTYMXDVOTXHXEXFXIXJXKXLXM
      $.
  $}

  $( Variation of Bernoulli's inequality ~ bernneq .  (Contributed by NM,
     18-Oct-2007.) $)
  bernneq2 $p |- ( ( A e. RR /\ N e. NN0 /\ 0 <_ A ) ->
               ( ( ( A - 1 ) x. N ) + 1 ) <_ ( A ^ N ) ) $=
    ( cr wcel cn0 cc0 cle wbr w3a c1 cmin co caddc cexp 3ad2ant1 wa wceq ax-1cn
    cc sylancr cmul cneg peano2rem simp2 df-neg 0re 1re lesub1 mp3an13 eqbrtrid
    biimpa 3adant2 bernneq syl3anc recnd nn0cn mulcl syl2an addcom 3adant3 recn
    wb pncan3 oveq1d 3brtr3d ) ACDZBEDZFAGHZIZJAJKLZBUALZMLZJVJMLZBNLZVKJMLZABN
    LZGVIVJCDZVGJUBZVJGHZVLVNGHVFVGVQVHAUCZOVFVGVHUDVFVHVSVGVFVHPVRFJKLZVJGJUEV
    FVHWAVJGHZFCDVFJCDVHWBVBUFUGFAJUHUIUKUJULVJBUMUNVFVGVLVOQZVHVFVGPJSDZVKSDZW
    CRVFVJSDBSDWEVGVFVJVTUOBUPVJBUQURJVKUSTUTVFVGVNVPQVHVFVMABNVFWDASDVMAQRAVAJ
    AVCTVDOVE $.

  $( A corollary of ~ bernneq .  (Contributed by Mario Carneiro,
     11-Mar-2014.) $)
  bernneq3 $p |- ( ( P e. ( ZZ>= ` 2 ) /\ N e. NN0 ) ->
                   N < ( P ^ N ) ) $=
    ( c2 cuz cfv wcel cn0 wa c1 caddc co adantl peano2re syl adantr cc0 cle wbr
    cr nn0ge0 cexp nn0re eluzelre reexpcl sylan ltp1d cn uz2m1nn nnred remulcld
    cmin cmul 1red nnge1d lemulge12d leadd1dd simpr eluzge2nn0 bernneq2 syl3anc
    letrd ltletrd ) ACDEFZBGFZHZBBIJKZABUAKZVDBSFZVCBUBLZVEVHVFSFVIBMNZVCASFZVD
    VGSFCAUCZABUDUEZVEBVIUFVEVFAIUKKZBULKZIJKZVGVJVEVOSFVPSFVEVNBVEVNVCVNUGFVDA
    UHOZUIZVIUJZVOMNVMVEBVOIVIVSVEUMVEBVNVIVRVDPBQRVCBTLVEVNVQUNUOUPVEVKVDPAQRZ
    VPVGQRVCVKVDVLOVCVDUQVCVTVDVCAGFVTAURATNOABUSUTVAVB $.

  ${
    $d j k A $.  $d j k B $.
    $( TODO - note that "MM-PA> MINIMIZE__WITH ad2antlr,ad2antrl" makes the
       compressed proof longer $)
    $( Exponentiation with a base greater than 1 has no upper bound.
       (Contributed by NM, 20-Oct-2007.) $)
    expnbnd $p |- ( ( A e. RR /\ B e. RR /\ 1 < B ) ->
          E. k e. NN A < ( B ^ k ) ) $=
      ( cr wcel c1 clt wbr cexp co cn wa 1re syl adantr cle cc0 adantl syl2anc
      wb w3a cv wrex 1nn wi lttr mp3an2 exp4b com34 3imp1 wceq cc recn 3ad2ant2
      exp1 breqtrrd oveq2 breq2d rspcev sylancr cmin cdiv cfl cfv cn0 peano2rem
      caddc wne posdif mpan biimpa gt0ne0d redivcld adantll subge0 biimparc jca
      mpan2 divge0 syl2an flge0nn0 nn0p1nn cmul simplr nn0red remulcld peano2re
      peano2nn0 simprl reexpcl flltp1 ltdivmul syl112anc mpbid ltsubadd mp3an12
      0lt1 0re mpani ltle syld imp bernneq2 syl3anc exp43 com4l simp1 ltlecasei
      ltletrd 1red ) ADEZBDEZFBGHZUAZABCUBZIJZGHZCKUCZAFXNAFGHZLZFKEABFIJZGHZXR
      UDXTABYAGXKXLXMXSABGHZXKXLXSXMYCXKXLXSXMYCXKFDEZXLXSXMLYCUEMAFBUFUGUHUIUJ
      XNYABUKZXSXLXKYEXMXLBULEYEBUMBUONUNOUPXQYBCFKXOFUKXPYAAGXOFBIUQURUSUTXKXL
      XMFAPHZXRYFXKXLXMXRYFXKXLXMXRYFXKLZXLXMLZLZAFVAJZBFVAJZVBJZVCVDZFVGJZKEZA
      BYNIJZGHZXRYIYMVEEZYOYIYLDEZQYLPHZYRXKYHYSYFXKYHLYJYKXKYJDEZYHAVFZOYHYKDE
      ZXKXLUUCXMBVFOZRYHYKQVHXKYHYKXLXMQYKGHZYDXLXMUUETMFBVIVJVKZVLRVMVNZYGUUAQ
      YJPHZLUUCUUELYTYHYGUUAUUHXKUUAYFUUBRZXKUUHYFXKYDUUHYFTMAFVOVRVPVQYHUUCUUE
      UUDUUFVQYJYKVSVTYLWASZYMWBNYIAYKYNWCJZFVGJZYPYFXKYHWDZYIUUKDEZUULDEYIYKYN
      YHUUCYGUUDRZYIYNYIYRYNVEEZUUJYMWHNZWEZWFZUUKWGNYIXLUUPYPDEYGXLXMWIZUUQBYN
      WJSYIYJUUKGHZAUULGHZYIYLYNGHZUVAYIYSUVCUUGYLWKNYIUUAYNDEUUCUUEUVCUVATYGUU
      AYHUUIOUURUUOYHUUEYGUUFRYJYNYKWLWMWNYIXKUUNUVAUVBTZUUMUUSXKYDUUNUVDMAFUUK
      WOUGSWNYIXLUUPQBPHZUULYPPHUUTUUQYHUVEYGXLXMUVEXLXMQBGHZUVEXLQFGHZXMUVFWQQ
      DEZYDXLUVGXMLUVFUEWRMQFBUFWPWSUVHXLUVFUVEUEWRQBWTVJXAXBRBYNXCXDXIXQYQCYNK
      XOYNUKXPYPAGXOYNBIUQURUSSXEXFUJXKXLXMXGXNXJXH $.

    $( The reciprocal of exponentiation with a base greater than 1 has no
       positive lower bound.  (Contributed by NM, 18-Jul-2008.) $)
    expnlbnd $p |- ( ( A e. RR+ /\ B e. RR /\ 1 < B ) ->
          E. k e. NN ( 1 / ( B ^ k ) ) < A ) $=
      ( crp wcel cr c1 clt wbr w3a cdiv co cv cexp cn wrex rpre rpne0 cc0 wa wb
      rereccld expnbnd syl3an1 rpregt0 3ad2ant1 nnnn0 reexpcl sylan2 adantlr cz
      cn0 simpll nnz adantl 0lt1 wi 0re 1re mp3an12 mpani adantr expgt0 syl3anc
      lttr imp jca 3adantl1 ltrec1 syl2an2r rexbidva mpbid ) ADEZBFEZGBHIZJZGAK
      LZBCMZNLZHIZCOPZGVSKLAHIZCOPVMVQFEVNVOWAVMAAQARUBVQBCUCUDVPVTWBCOVPAFESAH
      ITZVROEZVSFEZSVSHIZTZVTWBUAVMVNWCVOAUEUFVNVOWDWGVMVNVOTZWDTZWEWFVNWDWEVOW
      DVNVRULEWEVRUGBVRUHUIUJWIVNVRUKEZSBHIZWFVNVOWDUMWDWJWHVRUNUOWHWKWDVNVOWKV
      NSGHIZVOWKUPSFEGFEVNWLVOTWKUQURUSSGBVEUTVAVFVBBVRVCVDVGVHAVSVIVJVKVL $.

    $( The reciprocal of exponentiation with a base greater than 1 has no
       positive lower bound.  (Contributed by NM, 18-Jul-2008.)  (Proof
       shortened by Mario Carneiro, 5-Jun-2014.) $)
    expnlbnd2 $p |- ( ( A e. RR+ /\ B e. RR /\ 1 < B ) ->
          E. j e. NN A. k e. ( ZZ>= ` j ) ( 1 / ( B ^ k ) ) < A ) $=
      ( crp wcel cr c1 clt wbr cv cexp co cdiv cn wrex wa wi cle mpd w3a simpl2
      cuz cfv wral expnlbnd simpl3 1re ltle sylancr simprr leexp2a syl3anc 0red
      cz cc0 1red a1i lttrd elrpd nnz ad2antrl rpexpcl syl2anc eluzelz ad2antll
      0lt1 lerecd mpbid rprecred simpl1 rpred lelttr anassrs ralrimdva reximdva
      mpand ) AEFZBGFZHBIJZUAZHBCKZLMZNMZAIJZCOPHBDKZLMZNMZAIJZDWBUCUDZUEZCOPAB
      CUFWAWEWKCOWAWBOFZQWEWIDWJWAWLWFWJFZWEWIRWAWLWMQZQZWHWDSJZWEWIWOWCWGSJZWP
      WOVSHBSJZWMWQVRVSVTWNUBZWOVTWRVRVSVTWNUGZWOHGFVSVTWRRUHWSHBUIUJTWAWLWMUKB
      WBWFULUMWOWCWGWOBEFZWBUOFZWCEFWOBWSWOUPHBWOUNWOUQWSUPHIJWOVGURWTUSUTZWLXB
      WAWMWBVAVBBWBVCVDZWOXAWFUOFZWGEFXCWMXEWAWLWBWFVEVFBWFVCVDZVHVIWOWHGFWDGFA
      GFWPWEQWIRWOWGXFVJWOWCXDVJWOAVRVSVTWNVKVLWHWDAVMUMVQVNVOVPT $.
  $}

  ${
    $d j k n A $.  $d j k n B $.
    $( Exponentiation with a base greater than 1 is not bounded by any linear
       function.  (Contributed by Mario Carneiro, 31-Mar-2015.) $)
    expmulnbnd $p |- ( ( A e. RR /\ B e. RR /\ 1 < B ) ->
          E. j e. NN0 A. k e. ( ZZ>= ` j ) ( A x. k ) < ( B ^ k ) ) $=
      ( cr wcel c1 clt wbr c2 cmul co cuz cn0 cn 2re sylancr cc0 cle recnd cmin
      vn w3a cdiv cv cexp cfv wral wrex simp1 remulcl crp simp3 1re simp2 difrp
      wb mpbid rerpdivcld expnbnd syl3anc 2nn0 nnnn0 ad2antrl nn0mulcl ad2antrr
      wa cif 2nn simprl nnmulcl eluznn sylan nnred remulcld 0re sylancl simplrl
      ifcl resubcld nnnn0d reexpcl syl2anc nn0ge0d caddc eluzle adantl leadd2dd
      max1 2timesd breqtrrd leaddsub 2cnd subdid max2 lemul12bd mulcomd 3brtr4d
      mul32d rpred simplrr ltdivmuld posdif cz nnzd a1i 0lt1 lttrd mulgt0d wceq
      expgt0 oveq2 breq1d 2t0e0 eqtr3id ifboth fveq2d eleqtrd eluzsub syl112anc
      simpr nngt0d ltmul1 breqtrd peano2re syl ltp1d ltled bernneq2 ltletrd wne
      cc gt0ne0d eluzelz expsub syl22anc ltmuldiv mpbird lelttrd ralrimiva
      fveq2 raleqdv rspcev rexlimddv ) AEFZBEFZGBHIZUCZJAKLZBGUALZUDLZBUBUEZUFL
      ZHIZADUEZKLZBUUOUFLZHIZDCUEZMUGZUHZCNUIZUBOUUHUUKEFUUFUUGUUNUBOUIUUHUUIUU
      JUUHJEFZUUEUUIEFZPUUEUUFUUGUJZJAUKZQUUHUUGUUJULFZUUEUUFUUGUMZUUHGEFZUUFUU
      GUVGUQUNUUEUUFUUGUOZGBUPQURZUSUVJUVHUUKBUBUTVAUUHUULOFZUUNVGZVGZJUULKLZNF
      ZUURDUVOMUGZUHZUVBUVNJNFUULNFZUVPVBUVLUVSUUHUUNUULVCVDJUULVEQUVNUURDUVQUV
      NUUOUVQFZVGZUUPJRASIZARVHZKLZUUOUULUALZKLZUUQUWAAUUOUUHUUEUVMUVTUVEVFZUWA
      UUOUVNUVOOFZUVTUUOOFUVNJOFUVLUWHVIUUHUVLUUNVJJUULVKQUUOUVOVLVMZVNZVOUWAUW
      DUWEUWAUVCUWCEFZUWDEFZPUWAUUEREFZUWKUWGVPUWBAREVSVQZJUWCUKQZUWAUUOUULUWJU
      WAUULUUHUVLUUNUVTVRZVNZVTZVOZUWAUUFUUONFUUQEFZUUHUUFUVMUVTUVJVFZUWAUUOUWI
      WAZBUUOWBWCZUWAUUOAKLJUWEKLZUWCKLUUPUWFSUWAUUOUXDAUWCUWJUWAUVCUWEEFZUXDEF
      PUWRJUWEUKQUWGUWNUWAUUOUXBWDUWAUWMUUERUWCSIVPUWGRAWIQUWAUUOJUUOKLZUVOUALZ
      UXDSUWAUUOUVOWELZUXFSIZUUOUXGSIZUWAUXHUUOUUOWELUXFSUWAUVOUUOUUOUWAUVCUULE
      FUVOEFZPUWQJUULUKQZUWJUWJUVTUVOUUOSIUVNUVOUUOWFWGWHUWAUUOUWAUUOUWJTZWJWKU
      WAUUOEFZUXKUXFEFZUXIUXJUQUWJUXLUWAUVCUXNUXOPUWJJUUOUKQUUOUVOUXFWLVAURUWAJ
      UUOUULUWAWMZUXMUWAUULUWQTZWNWKUWAUWMUUEAUWCSIVPUWGRAWOQWPUWAAUUOUWAAUWGTU
      XMWQUWAJUWCUWEUXPUWAUWCUWNTUWAUWEUWRTZWSWRUWAUWFUUJUWEKLZUUMKLZUUQUWSUWAU
      XSUUMUWAUUJUWEUWAUUJUUHUVGUVMUVTUVKVFZWTZUWRVOZUWAUUFUVSUUMEFZUXAUWAUULUW
      PWABUULWBWCZVOUXCUWAUWFUUJUUMKLZUWEKLZUXTHUWAUWDUYFHIZUWFUYGHIZUWAUUIUYFH
      IZRUYFHIZUYHUWAUUNUYJUUHUVLUUNUVTXAUWAUUIUUMUUJUWAUVCUUEUVDPUWGUVFQUYEUYA
      XBURUWAUUJUUMUYBUYEUWAUUGRUUJHIZUUHUUGUVMUVTUVHVFZUWAUVIUUFUUGUYLUQUNUXAG
      BXCQURUWAUUFUULXDFZRBHIRUUMHIZUXAUWAUULUWPXEZUWARGBUWMUWAVPXFZUVIUWAUNXFU
      XARGHIUWAXGXFUYMXHZBUULXKVAZXIUWBUYJUYKUYHARAUWCXJUUIUWDUYFHAUWCJKXLXMRUW
      CXJZRUWDUYFHUYTRJRKLUWDXNRUWCJKXLXOXMXPWCUWAUWLUYFEFUXERUWEHIUYHUYIUQUWOU
      WAUUJUUMUYBUYEVOUWRUWAUWEUWAUVLUWEUULMUGFZUWEOFUWPUWAUYNUYNUUOUULUULWELZM
      UGZFVUAUYPUYPUWAUUOUVQVUCUVNUVTYAUWAUVOVUBMUWAUULUXQWJXQXRUULUULUUOXSVAUW
      EUULVLWCZYBUWDUYFUWEYCXTURUWAUUJUUMUWEUWAUUJUYBTUWAUUMUYETUXRWSYDUWAUXTUU
      QHIZUXSUUQUUMUDLZHIZUWAUXSBUWEUFLZVUFHUWAUXSUXSGWELZVUHUYCUWAUXSEFZVUIEFU
      YCUXSYEYFUWAUUFUWENFZVUHEFUXAUWAUWEVUDWAZBUWEWBWCUWAUXSUYCYGUWAUUFVUKRBSI
      VUIVUHSIUXAVULUWARBUYQUXAUYRYHBUWEYIVAYJUWABYLFBRYKUUOXDFZUYNVUHVUFXJUWAB
      UXATUWABUYRYMUVTVUMUVNUVOUUOYNWGUYPBUUOUULYOYPYDUWAVUJUWTUYDUYOVUEVUGUQUY
      CUXCUYEUYSUXSUUQUUMYQXTYRXHYSYTUVAUVRCUVONUUSUVOXJUURDUUTUVQUUSUVOMUUAUUB
      UUCWCUUD $.
  $}

  $( Two ways to express the ` K ` th digit in the decimal (when base
     ` B = 1 0 ` ) expansion of a number ` A ` . ` K = 1 ` corresponds to the
     first digit after the decimal point.  (Contributed by NM, 25-Dec-2008.) $)
  digit2 $p |- ( ( A e. RR /\ B e. NN /\ K e. NN )
    -> ( ( |_ ` ( ( B ^ K ) x. A ) ) mod B ) = ( ( |_ ` ( ( B ^ K ) x.
      A ) ) - ( B x. ( |_ ` ( ( B ^ ( K - 1 ) ) x. A ) ) ) ) ) $=
    ( cr wcel cn cexp co cmul cfl cfv cdiv cmin wceq syl2an 3ad2ant2 syl2anc cc
    3adant1 eqtrd w3a cmo c1 crp nnre nnnn0 reexpcl remulcl stoic3 3comr reflcl
    cn0 syl nnrp modval simp2 fldiv cc0 wa nncn expcl recn 3ad2ant1 nnne0 div23
    wne jca syl3anc cz nnz expm1 syl2an3an oveq1d eqtr4d fveq2d oveq2d ) ADEZBF
    EZCFEZUAZBCGHZAIHZJKZBUBHZWCBWCBLHJKZIHZMHZWCBBCUCMHGHZAIHZJKZIHZMHVTWCDEZB
    UDEZWDWGNVTWBDEZWLVRVSVQWNVRVSWADEZVQWNVRBDECULEZWOVSBUECUFZBCUGOWAAUHUIUJZ
    WBUKUMVRVQWMVSBUNPWCBUOQVTWFWKWCMVTWEWJBIVTWEWBBLHZJKZWJVTWNVRWEWTNWRVQVRVS
    UPWBBUQQVTWSWIJVTWSWABLHZAIHZWIVTWAREZAREZBREZBURVFZUSZWSXBNVRVSXCVQVRXEWPX
    CVSBUTZWQBCVAOSVQVRXDVSAVBVCVRVQXGVSVRXEXFXHBVDZVGPWAABVEVHVTWHXAAIVRVSWHXA
    NZVQVRXEXFVSCVIEXJXHXICVJBCVKVLSVMVNVOTVPVPT $.

  $( Two ways to express the ` K ` th digit in the decimal expansion of a
     number ` A ` (when base ` B = 1 0 ` ). ` K = 1 ` corresponds to the first
     digit after the decimal point.  (Contributed by NM, 3-Jan-2009.) $)
  digit1 $p |- ( ( A e. RR /\ B e. NN /\ K e. NN ) -> ( ( |_ ` ( ( B ^ K ) x.
        A ) ) mod B ) = ( ( ( |_ ` ( ( B ^ K ) x. A ) ) mod ( B ^ K ) )
        - ( ( B x. ( |_ ` ( ( B ^ ( K - 1 ) ) x. A ) ) ) mod ( B ^ K ) ) ) ) $=
    ( cn wcel cr cexp co cmul cfl cfv cmo c1 cmin wceq wa cle wbr syl2an adantr
    digit2 3coml 3expa oveq1d crp cc0 clt cn0 nnre nnnn0 reexpcl remulcl reflcl
    sylan syl nnrp ad2antrr modcld nnexpcl sylan2 nnrpd modge0 syl2anc modlt cc
    nncn exp1 cuz nnge1 nnuz eleqtrdi leexp2a syl3anc eqbrtrrd ltletrd syl22anc
    simpr modid simpll nnm1nn0 modmulnn expm1t expcl simpl mulcomd eqtrd oveq2d
    recn adantl mulassd fveq2d oveq12d 3brtr4d wb modsubdir mpbid 3eqtr3d 3impa
    3comr ) BDEZCDEZAFEZBCGHZAIHZJKZBLHZXEXCLHZBBCMNHZGHZAIHZJKZIHZXCLHZNHZOZWT
    XAXBXOWTXAPZXBPZXFXCLHZXEXLNHZXCLHZXFXNXQXFXSXCLWTXAXBXFXSOZXBWTXAYAABCUAUB
    UCUDXQXFFEXCUEEZUFXFQRZXFXCUGRXRXFOXQXEBXQXDFEZXEFEZXPXCFEZXBYDWTBFEZCUHEZY
    FXABUIZCUJZBCUKSZXCAULUNXDUMUOZWTBUEEZXAXBBUPUQZURZXPYBXBXPXCXAWTYHXCDEYJBC
    USUTVATZXQYEYMYCYLYNXEBVBVCXQXFBXCYOWTYGXAXBYIUQZXPYFXBYKTXQYEYMXFBUGRYLYNX
    EBVDVCXPBXCQRXBXPBMGHZBXCQWTYRBOZXAWTBVEEZYSBVFZBVGUOTXPYGMBQRZCMVHKZEYRXCQ
    RWTYGXAYITWTUUBXABVITXPCDUUCWTXAVQVJVKBMCVLVMVNTVOXFXCVRVPXQXMXGQRZXTXNOZXQ
    XLBXIIHZLHZBXJIHZJKZUUFLHZXMXGQXQWTXJFEZXIDEZUUGUUJQRWTXAXBVSXPXIFEZXBUUKWT
    YGXHUHEZUUMXAYICVTZBXHUKSXIAULUNZXPUULXBXAWTUUNUULUUOBXHUSUTTXJXIBWAVMXQXCU
    UFXLLXPXCUUFOZXBWTYTXAUUQUUAYTXAPZXCXIBIHUUFBCWBUURXIBXAYTUUNXIVEEZUUOBXHWC
    ZUTYTXAWDWEWFUNTZWGXQXEUUIXCUUFLXQXDUUHJXQXDUUFAIHUUHXQXCUUFAIUVAUDXQBXIAWT
    YTXAXBUUAUQXPUUSXBWTYTUUNUUSXAUUAUUOUUTSTXBAVEEXPAWHWIWJWFWKUVAWLWMXQYEXLFE
    ZYBUUDUUEWNYLXQYGXKFEZUVBYQXQUUKUVCUUPXJUMUOBXKULVCYPXEXLXCWOVMWPWQWRWS $.

$(
  @( Two ways to express the ` K ` th digit in the decimal expansion of a
     number ` A ` (when base ` B = 10 ` ). ` K = 1 ` corresponds to the first
     digit after the decimal point. @)
  digit3 @p |- ( ( A e. RR /\ B e. NN /\ K e. NN ) -> ( ( B ^ K ) x. ( ( A mod
 ( 1 / ( B ^ K ) ) ) - ( A mod ( 1 / ( B ^ ( K - 1 ) ) ) ) ) ) = ( ( |_ ` ( ( B
   ^ K ) x. A ) ) - ( B x. ( |_ ` ( ( B ^ ( K - 1 ) ) x. A ) ) ) ) ) @=
    ( cr wcel cn w3a cexp co cmul cfl cfv c1 cmin cdiv cmo oveq12d cc wceq
    subdi wa crp cn0 rpexpcl nnrp nnnn0 syl2anOLD rpre syl recnd 3adant1 mulcl
    nnm1nn0 rpreccl rpcn remulcl reexpcl nnre sylan2OLD 3impb reflcl
    sylancOLD cc0
    wne ax-1ne0 redivcl mp3an3 1re sylanclOLD syl3anc eqcomd eqtrd eqid a1i
    nnncan1 recn 3ad2ant1 modval ax-1cn pm3.2i divdiv2 mp3an2 expcl sylanOLD
    expne0i 3expa rpcnne0 jca fveq2d oveq2d adantlr div1 ) ADEZBFEZCFEZGZBCHIZ
    AJIKLBBCMNIZHIZAJIKLJINIZWQAMWQOIZPIZAMWSOIZPIZNIZJIZWPWTWQXCAWSJIZKLZJIZXA
    AWQJIZMOIZKLZJIZNIZJIZXFWPWTWQXIJIWQXMJINIZXO????????QWPXOXPWQREZXIREZXMREZ
    XOXPSWPWQXIXMT??????WNWOUAZWQUBEZWQDEZBUBEZCUCEZYAWNWOBCUDBUEZCUFZUGZWQUHUI
    ZUJUKXCREZXHREXRWPXCXHULWNWOYIWMXTXCUBEZYIXTWSUBEZYJYCWRUCEZYKWNWOBWRUDYECU
    MZUGWSUNUIZXCUOUIUKWPXHWPXGDEZXHDEWMWNWOYOWMWSDEZYOXTAWSUPBDEYLYPWNWOBWRUQB
    URYMUGZUSUTXGVAUIUJVBZWPXMXADEZXLDEZXMDEWPXAXLUPWNWOYSWMXTXAUBEZYSXTYAUUAYG
    WQUNUIZXAUHUIUKWPXKDEZYTXJDEZMDEZUUCWPUUDUUEMVCVDZUUCVEXJMVFVGWMWNWOUUDWMYB
    UUDXTAWQUPYHUSUTVHVIXKVAUIVBUJZVJVKVLWPWQWQXNXEJWQWQSWPWQVMVNWPXNAXMNIZAXIN
    IZNIZXEWPUUJXNAREZXSXRUUJXNSWPAXMXIVOWMWNUUKWOAVPZVQUUGYRVJVKWPXEUUJWMWNWOX
    EUUJSWMXTUAZXBUUHXDUUINUUMXBAXAAXAOIZKLZJIZNIZUUHWMUUAXBUUQSXTAXAVRUUBUSUUM
    UUPXMANUUMUUOXLXAJUUMUUNXKKUUKXQWQVCVDZUAZUUNXKSZWMXTUUKMREZUUFUAZUUSUUTUVA
    UUFVSVEVTZAMWQWAWBUULYCYDUUSWNWOYCYDUAXQUURBREZYDXQYCBCWCBUOWDUVDBVCVDZUAZY
    DUURYCUVDUVEYDUURBCWEWFBWGZWDWHYEYFUGUGWIWJWJVLUUMXDAXCAXCOIZKLZJIZNIZUUIWM
    YJXDUVKSXTAXCVRYNUSUUMUVJXIANUUMUVIXHXCJUUMUVHXGKUUMUVHXGMOIZXGUUKWSREZWSVC
    VDZUAZUVHUVLSZWMXTUUKUVBUVOUVPUVCAMWSWAWBUULUVFYLUVOWNWOUVFYLUAUVMUVNUVDYLU
    VMUVEBWRWCWKUVDUVEYLUVNBWRWEWFWHWNYCUVFYEUVGUIYMUGUGUUMXGREZUVLXGSUUKUVMUVQ
    WMXTAWSULUULXTWSYQUJUGXGWLUIVLWIWJWJVLQUTVKVLQVLVK @.
    @( [ ?] @) @( [27-Dec-2008] @)
$)

  ${
    $d k x A $.  $d k x B $.  $d k x D $.  $d x C $.
    $( Exponentiation property of the modulo operation, see theorem 5.2(c) in
       [ApostolNT] p. 107.  (Contributed by Mario Carneiro, 28-Feb-2014.) $)
    modexp $p |- ( ( ( A e. ZZ /\ B e. ZZ ) /\ ( C e. NN0 /\ D e. RR+ )
         /\ ( A mod D ) = ( B mod D ) )
         -> ( ( A ^ C ) mod D ) = ( ( B ^ C ) mod D ) ) $=
      ( vx cz wcel cmo co wceq w3a cexp wi cc0 c1 oveq1d eqeq12d imbi2d syl2anc
      oveq2 vk wa cn0 crp simp2l id 3adant2l caddc zcn exp0 syl eqcomd sylan9eq
      cv cc 3ad2ant1 simp21l simp1 zexpcl simp21r simp22 simp3 simp23 modmul12d
      cmul zcnd expp1 3eqtr4d 3exp a2d nn0ind sylc ) AFGZBFGZUBZCUCGZDUDGZUBADH
      IBDHIJZKVPVOVQVRKZACLIZDHIZBCLIZDHIZJZVOVPVQVRUEVOVQVRVSVPVSUFUGVSAEUNZLI
      ZDHIZBWELIZDHIZJZMVSANLIZDHIZBNLIZDHIZJZMVSAUAUNZLIZDHIZBWPLIZDHIZJZMVSAW
      POUHIZLIZDHIZBXBLIZDHIZJZMVSWDMEUACWENJZWJWOVSXHWGWLWIWNXHWFWKDHWENALTPXH
      WHWMDHWENBLTPQRWEWPJZWJXAVSXIWGWRWIWTXIWFWQDHWEWPALTPXIWHWSDHWEWPBLTPQRWE
      XBJZWJXGVSXJWGXDWIXFXJWFXCDHWEXBALTPXJWHXEDHWEXBBLTPQRWECJZWJWDVSXKWGWAWI
      WCXKWFVTDHWECALTPXKWHWBDHWECBLTPQRVOVQWOVRVOWKWMDHVMVNWKOWMVMAUOGZWKOJAUI
      AUJUKVNWMOVNBUOGZWMOJBUIBUJUKULUMPUPWPUCGZVSXAXGXNVSXAXGXNVSXAKZWQAVEIZDH
      IWSBVEIZDHIXDXFXOWQWSABDXOVMXNWQFGVMVNVQVRXNXAUQZXNVSXAURZAWPUSSXOVNXNWSF
      GVMVNVQVRXNXAUTZXSBWPUSSXRXTXNVOVQVRXAVAXNVSXAVBXNVOVQVRXAVCVDXOXCXPDHXOX
      LXNXCXPJXOAXRVFXSAWPVGSPXOXEXQDHXOXMXNXEXQJXOBXTVFXSBWPVGSPVHVIVJVKVL $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x X $.  $d x ph $.
    discr.1 $e |- ( ph -> A e. RR ) $.
    discr.2 $e |- ( ph -> B e. RR ) $.
    discr.3 $e |- ( ph -> C e. RR ) $.
    discr.4 $e |- ( ( ph /\ x e. RR ) ->
                    0 <_ ( ( ( A x. ( x ^ 2 ) ) + ( B x. x ) ) + C ) ) $.
    ${
      discr1.5 $e |- X =
        if ( 1 <_ ( ( ( B + if ( 0 <_ C , C , 0 ) ) + 1 ) / -u A ) ,
             ( ( ( B + if ( 0 <_ C , C , 0 ) ) + 1 ) / -u A ) , 1 ) $.
      $( A nonnegative quadratic form has nonnegative leading coefficient.
         (Contributed by Mario Carneiro, 4-Jun-2014.) $)
      discr1 $p |- ( ph -> 0 <_ A ) $=
        ( cc0 cle wbr co cmul caddc cr c1 wcel clt c2 cexp wa wceq oveq1 oveq2d
        cv oveq2 oveq12d oveq1d breq2d wral ralrimiva adantr cif cneg cdiv ifcl
        0re sylancl readdcld peano2re renegcld lt0neg1d biimpa gt0ne0d redivcld
        syl 1re eqeltrid rspcdva wn resqcl remulcld max2 sylancr max1 breqtrrdi
        lemulge11d letrd leadd2dd recnd adddird addassd mulassd cc sqval eqtr4d
        joinlmuladdmuld 3eqtr3d breqtrrd cmin ltp1d wb ledivmul syl112anc mpbid
        a1i ltletrd mulneg1d df-neg eqtrdi ltaddsub2d mpbird 0lt1 ltmul1 mul02d
        breqtrd lelttrd ltnle pm2.65da wo lelttric ord mt3d ) ALCMNZCLUANZAXRLC
        FUBUCOZPOZDFPOZQOZEQOZMNZAXRUDZLCBUHZUBUCOZPOZDYFPOZQOZEQOZMNZYDBRFYFFU
        EZYKYCLMYMYJYBEQYMYHXTYIYAQYMYGXSCPYFFUBUCUFUGYFFDPUIUJUKULAYLBRUMXRAYL
        BRJUNUOYEFSDLEMNZELUPZQOZSQOZCUQZUROZMNZYSSUPZRKYEYSRTZSRTZUUARTYEYQYRY
        EYPRTYQRTZYEDYOADRTXRHUOZYEERTZLRTZYORTAUUFXRIUOZUTYNELRUSVAZVBZYPVCVIZ
        YECACRTZXRGUOZVDZYEYRAXRLYRUANZACGVEVFZVGVHZVJYTYSSRUSVAVKZVLYEYCLUANZY
        DVMZYEYCCFPOZYPQOZFPOZLYEYBEYEXTYAYECXSUUMYEFRTZXSRTUURFVNVIVOYEDFUUEUU
        RVOVBZUUHVBZYEUVBFYEUVAYPYECFUUMUURVOZUUJVBZUURVOUUGYEUTWSZYEYCYBYOFPOZ
        QOZUVCMYEEUVJYBUUHYEYOFUUIUURVOZUVEYEEYOUVJUUHUUIUVLYEUUGUUFEYOMNUTUUHL
        EVPVQYEYOFUUIUURYEUUGUUFLYOMNUTUUHLEVRVQYESUUAFMYEUUCUUBSUUAMNVJUUQSYSV
        RVQKVSZVTWAWBYEUVADQOZYOQOZFPOUVNFPOZUVJQOUVCUVKYEUVNYOFYEUVNYEUVADUVGU
        UEVBWCYEYOUUIWCZYEFUURWCZWDYEUVOUVBFPYEUVADYOYEUVAUVGWCZYEDUUEWCZUVQWEU
        KYEUVPYBUVJQYEUVAFDYBUVSUVRUVTYEUVAFPOZXTYAQYEUWACFFPOZPOXTYECFFYECUUMW
        CZUVRUVRWFYEXSUWBCPYEFWGTXSUWBUEUVRFWHVIUGWIUKWJUKWKWLYEUVCLFPOZLUAYEUV
        BLUANZUVCUWDUANZYEUWEYPLUVAWMOZUANYEYPYRFPOZUWGUAYEYPYQUWHUUJUUKYEYRFUU
        NUURVOYEYPUUJWNYEYSFMNZYQUWHMNZYEYSUUAFMYEUUCUUBYSUUAMNVJUUQSYSVPVQKVSY
        EUUDUVDYRRTUUOUWIUWJWOUUKUURUUNUUPYQFYRWPWQWRWTYEUWHUVAUQUWGYECFUWCUVRX
        AUVAXBXCXIYEUVAYPLUVGUUJUVIXDXEYEUVBRTUUGUVDLFUANUWEUWFWOUVHUVIUURYELSF
        UVIUUCYEVJWSUURLSUANYEXFWSUVMWTUVBLFXGWQWRYEFUVRXHXIXJYEYCRTUUGUUSUUTWO
        UVFUTYCLXKVAWRXLAXQXRAUUGUULXQXRXMUTGLCXNVQXOXP $.
    $}

    $( If a quadratic polynomial with real coefficients is nonnegative for all
       values, then its discriminant is nonpositive.  (Contributed by NM,
       10-Aug-1999.)  (Revised by Mario Carneiro, 4-Jun-2014.) $)
    discr $p |- ( ph -> ( ( B ^ 2 ) - ( 4 x. ( A x. C ) ) ) <_ 0 ) $=
      ( cc0 wbr c2 co c4 cmul cle cdiv cr wcel caddc cexp cmin wa adantr resqcl
      clt wceq syl recnd 4re remulcld remulcl sylancr 4pos elrpii simpr rpmulcl
      crp elrpd rpcnd rpne0d divsubdird cc 4cn a1i 4ne0 divcan5d divcan3d eqtrd
      wne oveq2d rerpdivcld 2timesd 2t2e4 2cnd mulassd eqtr3id divassd 2rp 2ne0
      oveq1i 3eqtr3d eqtr3d cneg cv oveq1 oveq2 oveq12d oveq1d breq2d ralrimiva
      renegcld rspcdva sqneg sqdiv syl3anc sqval mul32d eqtrdi 3eqtr2d divdiv1d
      wral 3eqtrd eqtr4d divcan2d mulneg2d negeqd negsubd addsubd breqtrd mpbid
      readdcld subge0d eqbrtrd leadd2d mpbird suble0d resubcld ledivmuld mul01d
      0red wn c1 peano2re ltnegd df-neg breqtrdi ltaddsubd expr simprr redivcld
      ltp1d simprl sqcl mul02d addid2d wb 0re lenlt cif pm2.65d nne sylib sq0id
      mul01i 0m0e0 0le0 eqbrtri eqbrtrdi wo eqid discr1 leloe mpjaodan ) AJCUFK
      ZDLUAMZNCEOMZOMZUBMZJPKJCUGZAUUOUCZUUSNCOMZJOMZJPUVAUUSUVBQMZJPKUUSUVCPKU
      VAUVDUUPUVBQMZEUBMZJPUVAUVDUVEUURUVBQMZUBMUVFUVAUUPUURUVBUVAUUPUVADRSZUUP
      RSAUVHUUOGUDZDUEUHZUIZUVAUURUVANRSUUQRSUURRSUJUVACEACRSZUUOFUDZAERSZUUOHU
      DZUKZNUUQULUMZUIUVAUVBUVANURSCURSZUVBURSNUJUNUOUVACUVMAUUOUPUSZNCUQUMZUTZ
      UVAUVBUVTVAZVBUVAUVGEUVEUBUVAUVGUUQCQMEUVAUUQCNUVAUUQUVPUIUVACUVMUIZNVCSU
      VAVDVEUVACUVSVAZNJVJUVAVFVEVGUVAECUVAEUVOUIZUWCUWDVHVIVKVIUVAUVFJPKUVEEPK
      ZUVAUWFUVEUVETMZUVEETMZPKUVAUWGUUPLCOMZQMZUWHPUVALUVEOMZUWGUWJUVAUVEUVAUV
      EUVAUUPUVBUVJUVTVLZUIZVMUVALUUPOMZUVBQMUWNLUWIOMZQMUWKUWJUVAUVBUWOUWNQUVA
      UVBLLOMZCOMZUWOUWPNCOVNWAZUVALLCUVAVOZUWSUWCVPVQVKUVALUUPUVBUWSUVKUWAUWBV
      RUVAUUPUWILUVKUVAUWIUVALURSUVRUWIURSVSUVSLCUQUMZUTZUWSUVAUWIUWTVAZLJVJUVA
      VTVEVGWBWCUVAJUWHUWJUBMZPKUWJUWHPKUVAJCDUWIQMZWDZLUAMZOMZDUXEOMZTMZETMZUX
      CPUVAJCBWEZLUAMZOMZDUXKOMZTMZETMZPKZJUXJPKBRUXEUXKUXEUGZUXPUXJJPUXRUXOUXI
      ETUXRUXMUXGUXNUXHTUXRUXLUXFCOUXKUXELUAWFVKUXKUXEDOWGWHWIWJAUXQBRXBZUUOAUX
      QBRIWKZUDUVAUXDUVADUWIUVIUWTVLZWLWMUVAUXJUVEUWJUBMZETMUXCUVAUXIUYBETUVAUX
      IUVEUWJWDZTMUYBUVAUXGUVEUXHUYCTUVAUXGCUVECQMZOMUVEUVAUXFUYDCOUVAUXFUUPUVB
      COMZQMZUYDUVAUXFUXDLUAMZUUPUWILUAMZQMZUYFUVAUXDVCSUXFUYGUGUVAUXDUYAUIZUXD
      WNUHUVADVCSZUWIVCSZUWIJVJUYGUYIUGUVADUVIUIZUXAUXBDUWIWOWPUVAUYHUYEUUPQUVA
      UYHUWIUWIOMZUWILOMZCOMUYEUVAUYLUYHUYNUGUXAUWIWQUHUVAUWILCUXAUWSUWCVPUVAUY
      OUVBCOUVAUYOUWQUVBUVALCLUWSUWCUWSWRUWRWSWIWTVKXCUVAUUPUVBCUVKUWAUWCUWBUWD
      XAXDVKUVAUVECUWMUWCUWDXEVIUVAUXHDUXDOMZWDUYCUVADUXDUYMUYJXFUVAUWJUYPUVAUW
      JDDOMZUWIQMUYPUVAUUPUYQUWIQUVAUYKUUPUYQUGUYMDWQUHWIUVADDUWIUYMUYMUXAUXBVR
      VIXGXDWHUVAUVEUWJUWMUVAUWJUVAUUPUWIUVJUWTVLZUIZXHVIWIUVAUVEEUWJUWMUWEUYSX
      IXDXJUVAUWHUWJUVAUVEEUWLUVOXLUYRXMXKXNUVAUVEEUVEUWLUVOUWLXOXPUVAUVEEUWLUV
      OXQXPXNUVAUUSJUVBUVAUUPUURUVJUVQXRUVAYAUVTXSXKUVAUVBUWAXTXJAUUTUCZUUSJJUB
      MZJPUYTUUPJUURJUBUYTDUYTDJVJZYBDJUGUYTVUBEYCTMZWDZETMZJUFKZAUUTVUBVUFAUUT
      VUBUCZUCZVUFVUDJEUBMZUFKVUHVUDEWDZVUIUFVUHEVUCUFKVUDVUJUFKVUHEAUVNVUGHUDZ
      YLVUHEVUCVUKVUHUVNVUCRSVUKEYDUHZYEXKEYFYGVUHVUDEJVUHVUCVULWLZVUKVUHYAYHXP
      YIAUUTVUBVUFYBZVUHJVUEPKZVUNVUHJCVUDDQMZLUAMZOMZDVUPOMZTMZETMZVUEPVUHUXQJ
      VVAPKBRVUPUXKVUPUGZUXPVVAJPVVBUXOVUTETVVBUXMVURUXNVUSTVVBUXLVUQCOUXKVUPLU
      AWFVKUXKVUPDOWGWHWIWJAUXSVUGUXTUDVUHVUDDVUMAUVHVUGGUDZAUUTVUBYJZYKZWMVUHV
      UTVUDETVUHVUTJVUDTMVUDVUHVURJVUSVUDTVUHJVUQOMVURJVUHJCVUQOAUUTVUBYMWIVUHV
      UQVUHVUPVCSVUQVCSVUHVUPVVEUIVUPYNUHYOWCVUHVUDDVUHVUDVUMUIZVUHDVVCUIVVDXEW
      HVUHVUDVVFYPVIWIXJVUHJRSZVUERSVUOVUNYQYRVUHVUDEVUMVUKXLJVUEYSUMXKYIUUADJU
      UBUUCUUDUYTUURNJOMJUYTUUQJNOUYTJEOMUUQJUYTJCEOAUUTUPWIUYTEAEVCSUUTAEHUIUD
      YOWCVKNVDUUEWSWHVUAJJPUUFUUGUUHUUIAJCPKZUUOUUTUUJZABCDEYCDJEPKEJYTTMYCTMC
      WDQMZPKVVJYCYTZFGHIVVKUUKUULAVVGUVLVVHVVIYQYRFJCUUMUMXKUUN $.
  $}

  $( If an integer power with a positive integer base is greater than 1, then
     the exponent is positive.  (Contributed by AV, 28-Dec-2022.) $)
  expnngt1 $p |- ( ( A e. NN /\ B e. ZZ /\ 1 < ( A ^ B ) )
                   -> B e. NN ) $=
    ( cz wcel cn c1 cexp co clt wbr cr wa wi cc 3ad2ant3 syl3anc adantl 3adant2
    cc0 cle cneg cn0 wo elznn 2a1 a1d w3a cdiv wceq nncn 3ad2ant2 simp1 expneg2
    recn breq2d wb nnre reexpcl sylan ancoms adantr nngt0 expgt0 jca reclt1 syl
    nn0z nnge1 expge1d 1red lenltd pm2.21 syl6bi mpd sylbird sylbid 3exp impcom
    wn jaoi sylbi 3imp21 ) BCDZAEDZFABGHZIJZBEDZWCBKDZWGBUAZUBDZUCZLWDWFWGMZMZB
    UDWKWHWMWGWHWMMWJWGWMWHWGWDWFUEUFWJWHWDWLWJWHWDUGZWFFFAWIGHZUHHZIJZWGWNWEWP
    FIWNANDZBNDZWJWEWPUIWDWJWRWHAUJOWHWJWSWDBUNUKWJWHWDULZABUMPUOWNWQWOFIJZWGWN
    WOKDZSWOIJZLZXAWQUPWJWDXDWHWJWDLZXBXCWDWJXBWDAKDZWJXBAUQZAWIURUSUTZXEXFWICD
    ZSAIJZXCWDXFWJXGQWJXIWDWIVGVAWDXJWJAVBQAWIVCPVDRWOVEVFWNFWOTJZXAWGMZWNAWIWD
    WJXFWHXGOWTWDWJFATJWHAVHOVIWNXKXAVSXLWNFWOWNVJWJWDXBWHXHRVKXAWGVLVMVNVOVPVQ
    VTVRWAWB $.

  $( An integer power with an integer base greater than 1 is greater than 1 iff
     the exponent is positive.  (Contributed by AV, 28-Dec-2022.) $)
  expnngt1b $p |- ( ( A e. ( ZZ>= ` 2 ) /\ B e. ZZ )
                   -> ( 1 < ( A ^ B ) <-> B e. NN ) ) $=
    ( c2 cuz cfv wcel cz wa c1 cexp co clt wbr cn eluz2nn adantr simpr expnngt1
    simplr syl3anc cr nnred eluz2gt1 expgt1 impbida ) ACDEFZBGFZHZIABJKLMZBNFZU
    HUIHANFZUGUIUJUHUKUIUFUKUGAOPZPUFUGUISUHUIQABRTUHUJHAUAFZUJIALMZUIUHUMUJUHA
    ULUBPUHUJQUHUNUJUFUNUGAUCPPABUDTUE $.

  $( A squared odd number minus 1 divided by 8 is the odd number multiplied
     with its successor divided by 2.  (Contributed by AV, 19-Jul-2021.) $)
  sqoddm1div8 $p |- ( ( N e. ZZ /\ M = ( ( 2 x. N ) + 1 ) )
                 -> ( ( ( M ^ 2 ) - 1 ) / 8 ) = ( ( N x. ( N + 1 ) ) / 2 ) ) $=
    ( wcel c2 cmul co c1 caddc wceq cexp cmin c8 cdiv c4 a1i zcnd oveq1d eqcomd
    cc eqtrd cz wa oveq1 2z id zmulcld binom21 syl sylan9eqr zcn sqmuld sq2 w3a
    mulass syl3anc 2t2e4 oveq12d 4z zsqcl addcld pncan1 adantr 4cn adddid 4t2e8
    2cnd oveq2d cc0 wne zaddcld 2cnne0 4ne0 pm3.2i divcan5 sqvald mulid1d adddi
    1cnd 3eqtrd ) BUACZADBEFZGHFZIZUBZADJFZGKFZLMFNBDJFZEFZNBEFZHFZLMFZNWGBHFZE
    FZLMFZBBGHFEFZDMFZWDWFWJLMWDWFWADJFZDWAEFZHFZGHFZGKFZWJWDWEWTGKWCVTWEWBDJFZ
    WTAWBDJUCVTWASCXBWTIVTWAVTDBDUACVTUDOVTUEZUFPWAUGUHUIQVTXAWJIWCVTXAWJGHFZGK
    FZWJVTWTXDGKVTWSWJGHVTWQWHWRWIHVTWQDDJFZWGEFWHVTDBVTVFZBUJZUKVTXFNWGEXFNIVT
    ULOQTVTWRDDEFZBEFZWIVTDSCZXKBSCZWRXJIXGXGXHXKXKXLUMXJWRDDBUNRUOVTXINBEXINIV
    TUPOQTUQQQVTWJSCXEWJIVTWHWIVTWHVTNWGNUACVTUROZBUSZUFPVTWIVTNBXMXCUFPUTWJVAU
    HTVBTQVTWKWNIWCVTWJWMLMVTWMWJVTNWGBNSCZVTVCOVTWGXNPXHVDRQVBVTWNWPIWCVTWNWMN
    DEFZMFZWLDMFZWPVTLXPWMMVTXPLXPLIVTVEORVGVTWLSCXKDVHVIUBZXONVHVIZUBZXQXRIVTW
    LVTWGBXNXCVJPXSVTVKOYAVTXOXTVCVLVMOWLDNVNUOVTWLWODMVTWLBBEFZBHFYBBGEFZHFZWO
    VTWGYBBHVTBXHVOQVTBYCYBHVTYCBVTBXHVPRVGVTXLXLGSCZYDWOIXHXHVTVRXLXLYEUMWOYDB
    BGVQRUOVSQVSVBVS $.

  ${
    nnexpcld.1 $e |- ( ph -> A e. NN ) $.
    $( The naturals are closed under squaring.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    nnsqcld $p |- ( ph -> ( A ^ 2 ) e. NN ) $=
      ( cn wcel c2 cexp co nnsqcl syl ) ABDEBFGHDECBIJ $.

    nnexpcld.2 $e |- ( ph -> N e. NN0 ) $.
    $( Closure of exponentiation of nonnegative integers.  (Contributed by
       Mario Carneiro, 28-May-2016.) $)
    nnexpcld $p |- ( ph -> ( A ^ N ) e. NN ) $=
      ( cn wcel cn0 cexp co nnexpcl syl2anc ) ABFGCHGBCIJFGDEBCKL $.
  $}

  ${
    nn0expcld.1 $e |- ( ph -> A e. NN0 ) $.
    nn0expcld.2 $e |- ( ph -> N e. NN0 ) $.
    $( Closure of exponentiation of nonnegative integers.  (Contributed by
       Mario Carneiro, 28-May-2016.) $)
    nn0expcld $p |- ( ph -> ( A ^ N ) e. NN0 ) $=
      ( cn0 wcel cexp co nn0expcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.
  $}

  ${
    rpexpcld.1 $e |- ( ph -> A e. RR+ ) $.
    rpexpcld.2 $e |- ( ph -> N e. ZZ ) $.
    $( Closure law for exponentiation of positive reals.  (Contributed by Mario
       Carneiro, 28-May-2016.) $)
    rpexpcld $p |- ( ph -> ( A ^ N ) e. RR+ ) $=
      ( crp wcel cz cexp co rpexpcl syl2anc ) ABFGCHGBCIJFGDEBCKL $.

    ltexp2rd.3 $e |- ( ph -> M e. ZZ ) $.
    ltexp2rd.4 $e |- ( ph -> A < 1 ) $.
    $( The power of a positive number smaller than 1 decreases as its exponent
       increases.  (Contributed by Mario Carneiro, 28-May-2016.) $)
    ltexp2rd $p |- ( ph -> ( M < N <-> ( A ^ N ) < ( A ^ M ) ) ) $=
      ( crp wcel cz c1 clt wbr cexp co wb ltexp2r syl31anc ) ABIJCKJDKJBLMNCDMN
      BDOPBCOPMNQEGFHBCDRS $.
  $}

  ${
    rpexpclzd.1 $e |- ( ph -> A e. RR ) $.
    rpexpclzd.2 $e |- ( ph -> A =/= 0 ) $.
    rpexpclzd.3 $e |- ( ph -> N e. ZZ ) $.
    $( Closure of exponentiation of reals.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    reexpclzd $p |- ( ph -> ( A ^ N ) e. RR ) $=
      ( cr wcel cc0 wne cz cexp co reexpclz syl3anc ) ABGHBIJCKHBCLMGHDEFBCNO
      $.
  $}

  ${
    resqcld.1 $e |- ( ph -> A e. RR ) $.
    $( Closure of square in reals.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    resqcld $p |- ( ph -> ( A ^ 2 ) e. RR ) $=
      ( cr wcel c2 cexp co resqcl syl ) ABDEBFGHDECBIJ $.

    $( A square of a real is nonnegative.  (Contributed by Mario Carneiro,
       28-May-2016.) $)
    sqge0d $p |- ( ph -> 0 <_ ( A ^ 2 ) ) $=
      ( cr wcel cc0 c2 cexp co cle wbr sqge0 syl ) ABDEFBGHIJKCBLM $.

    ${
      sqgt0d.2 $e |- ( ph -> A =/= 0 ) $.
      $( The square of a nonzero real is positive.  (Contributed by Mario
         Carneiro, 28-May-2016.) $)
      sqgt0d $p |- ( ph -> 0 < ( A ^ 2 ) ) $=
        ( cr wcel cc0 wne c2 cexp co clt wbr sqgt0 syl2anc ) ABEFBGHGBIJKLMCDBN
        O $.
    $}

    ${
      ltexp2d.2 $e |- ( ph -> M e. ZZ ) $.
      ltexp2d.3 $e |- ( ph -> N e. ZZ ) $.
      ltexp2d.4 $e |- ( ph -> 1 < A ) $.
      $( Ordering relationship for exponentiation.  (Contributed by Mario
         Carneiro, 28-May-2016.) $)
      ltexp2d $p |- ( ph -> ( M < N <-> ( A ^ M ) < ( A ^ N ) ) ) $=
        ( cr wcel cz c1 clt wbr cexp co wb ltexp2 syl31anc ) ABIJCKJDKJLBMNCDMN
        BCOPBDOPMNQEFGHBCDRS $.

      $( Ordering law for exponentiation.  (Contributed by Mario Carneiro,
         28-May-2016.) $)
      leexp2d $p |- ( ph -> ( M <_ N <-> ( A ^ M ) <_ ( A ^ N ) ) ) $=
        ( cr wcel cz c1 clt wbr cle cexp co wb leexp2 syl31anc ) ABIJCKJDKJLBMN
        CDONBCPQBDPQONREFGHBCDST $.

      expcand.5 $e |- ( ph -> ( A ^ M ) = ( A ^ N ) ) $.
      $( Ordering relationship for exponentiation.  (Contributed by Mario
         Carneiro, 28-May-2016.) $)
      expcand $p |- ( ph -> M = N ) $=
        ( cexp co wceq cr wcel cz c1 clt wbr wb expcan syl31anc mpbid ) ABCJKBD
        JKLZCDLZIABMNCONDONPBQRUCUDSEFGHBCDTUAUB $.
    $}

    ${
      leexp2ad.2 $e |- ( ph -> 1 <_ A ) $.
      leexp2ad.3 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
      $( Ordering relationship for exponentiation.  (Contributed by Mario
         Carneiro, 28-May-2016.) $)
      leexp2ad $p |- ( ph -> ( A ^ M ) <_ ( A ^ N ) ) $=
        ( cr wcel c1 cle wbr cuz cfv cexp co leexp2a syl3anc ) ABHIJBKLDCMNIBCO
        PBDOPKLEFGBCDQR $.
    $}

    ${
      leexp2rd.2 $e |- ( ph -> M e. NN0 ) $.
      leexp2rd.3 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
      leexp2rd.4 $e |- ( ph -> 0 <_ A ) $.
      leexp2rd.5 $e |- ( ph -> A <_ 1 ) $.
      $( Ordering relationship for exponentiation.  (Contributed by Mario
         Carneiro, 28-May-2016.) $)
      leexp2rd $p |- ( ph -> ( A ^ N ) <_ ( A ^ M ) ) $=
        ( cr wcel cn0 cuz cfv cc0 cle wbr c1 cexp co leexp2r syl32anc ) ABJKCLK
        DCMNKOBPQBRPQBDSTBCSTPQEFGHIBCDUAUB $.
    $}

    lt2sqd.2 $e |- ( ph -> B e. RR ) $.
    lt2sqd.3 $e |- ( ph -> 0 <_ A ) $.
    lt2sqd.4 $e |- ( ph -> 0 <_ B ) $.
    $( The square function on nonnegative reals is strictly monotonic.
       (Contributed by Mario Carneiro, 28-May-2016.) $)
    lt2sqd $p |- ( ph -> ( A < B <-> ( A ^ 2 ) < ( B ^ 2 ) ) ) $=
      ( cr wcel cc0 cle wbr clt c2 cexp co wb lt2sq syl22anc ) ABHIJBKLCHIJCKLB
      CMLBNOPCNOPMLQDFEGBCRS $.

    $( The square function on nonnegative reals is monotonic.  (Contributed by
       Mario Carneiro, 28-May-2016.) $)
    le2sqd $p |- ( ph -> ( A <_ B <-> ( A ^ 2 ) <_ ( B ^ 2 ) ) ) $=
      ( cr wcel cc0 cle wbr c2 cexp co wb le2sq syl22anc ) ABHIJBKLCHIJCKLBCKLB
      MNOCMNOKLPDFEGBCQR $.

    sq11d.5 $e |- ( ph -> ( A ^ 2 ) = ( B ^ 2 ) ) $.
    $( The square function is one-to-one for nonnegative reals.  (Contributed
       by Mario Carneiro, 28-May-2016.) $)
    sq11d $p |- ( ph -> A = B ) $=
      ( c2 cexp co wceq cr wcel cc0 cle wbr wb sq11 syl22anc mpbid ) ABIJKCIJKL
      ZBCLZHABMNOBPQCMNOCPQUBUCRDFEGBCSTUA $.
  $}

  $( The square of a binomial with factor minus a number divided by a nonzero
     number.  (Contributed by AV, 19-Jul-2021.) $)
  mulsubdivbinom2 $p |- ( ( ( A e. CC /\ B e. CC /\ D e. CC )
                            /\ ( C e. CC /\ C =/= 0 ) )
                          -> ( ( ( ( ( C x. A ) + B ) ^ 2 ) - D ) / C )
                             = ( ( ( C x. ( A ^ 2 ) ) + ( 2 x. ( A x. B ) ) )
                                 + ( ( ( B ^ 2 ) - D ) / C ) ) ) $=
    ( cc wcel wa cmul co caddc cexp cmin cdiv wceq adantr adantl oveq1d syl3anc
    c2 mulcld w3a cc0 wne simp1 simpl2 simpl mulbinom2 sqcld 2cnd mulcl 3adant3
    id addcld sqcl 3ad2ant2 simpl3 simpr divsubdir sqmul syl2anr 3ad2ant1 div23
    divdir sqdivid 3eqtrd divcan4d oveq12d divcld addsubassd eqcomd oveq2d
    eqtrd ) AEFZBEFZDEFZUAZCEFZCUBUCZGZGZCAHIZBJISKIZDLIZCMIZWASKIZSCHIZABHIZHI
    ZJIZBSKIZJIZDLIZCMIZCASKIZHIZSWGHIZJIZWJCMIZDCMIZLIZJIZWQWJDLICMIZJIVTVMVNV
    QWDWMNVPVMVSVMVNVOUDZOZVMVNVOVSUEVSVQVPVQVRUFZPZVMVNVQUAZWCWLCMXGWBWKDLABCU
    GQQRVTWMWKCMIZWSLIZWQWRJIZWSLIXAVTWKEFVOVSWMXINVTWIWJVTWEWHVTWAVTCAXFXDTUHZ
    VTWFWGVSWFEFZVPVQXLVRVQSCVQUIVQULTOPZVPWGEFZVSVMVNXNVOABUJZUKOZTZUMZVPWJEFZ
    VSVNVMXSVOBUNUOOZUMVMVNVOVSUPZVPVSUQZWKDCURRVTXHXJWSLVTXHWICMIZWRJIZXJVTWIE
    FXSVSXHYDNXRXTYBWIWJCVCRVTYCWQWRJVTYCWECMIZWHCMIZJIZWQVTWEEFWHEFVSYCYGNXKXQ
    YBWEWHCVCRVTYEWOYFWPJVTYECSKIZWNHIZCMIZYHCMIZWNHIZWOVTWEYICMVSVQVMWEYINVPXE
    XCCAUSUTQVTYHEFZWNEFZVSYJYLNVSYMVPVQYMVRCUNOPVPYNVSVMVNYNVOAUNVAOZYBYHWNCVB
    RVTYKCWNHVSYKCNVPCVDPQVEVTYFWFCMIZWGHIZWPVTXLXNVSYFYQNXMXPYBWFWGCVBRVTYPSWG
    HVSYPSNVPVSSCVSUIXEVQVRUQZVFPQVLVGVLQVLQVTWQWRWSVTWOWPVTCWNXFYOTVPWPEFZVSVM
    VNYSVOVMVNGZSWGYTUIXOTUKOUMVTWJCXTXFVSVRVPYRPZVHVTDCYAXFUUAVHVIVEVTWTXBWQJV
    TXBWTVTXSVOVSXBWTNXTYAYBWJDCURRVJVKVE $.

  $( The square of a binomial with factor divided by a nonzero number.
     (Contributed by AV, 19-Jul-2021.) $)
  muldivbinom2 $p |- ( ( A e. CC /\ B e. CC /\ ( C e. CC /\ C =/= 0 ) )
                       -> ( ( ( ( C x. A ) + B ) ^ 2 ) / C )
                          = ( ( ( C x. ( A ^ 2 ) ) + ( 2 x. ( A x. B ) ) )
                              + ( ( B ^ 2 ) / C ) ) ) $=
    ( cc wcel cc0 wne wa w3a cmul co caddc c2 cexp cmin cdiv wceq eqcomd oveq1d
    subid1d simpl simpr mulsubdivbinom2 stoic3 simp3l simp1 mulcld simp2 addcld
    0cnd 3jca sqcld sqcl 3ad2ant2 oveq2d 3eqtr4d ) ADEZBDEZCDEZCFGZHZIZCAJKZBLK
    ZMNKZFOKZCPKZCAMNKJKMABJKJKLKZBMNKZFOKZCPKZLKZVECPKVHVICPKZLKUQURUQURFDEZIV
    AVGVLQUQURHZUQURVNUQURUAUQURUBVOUJUKABCFUCUDVBVEVFCPVBVFVEVBVEVBVDVBVCBVBCA
    UQURUSUTUEUQURVAUFUGUQURVAUHUIULTRSVBVMVKVHLVBVIVJCPVBVJVIURUQVJVIQVAURVIBU
    MTUNRSUOUP $.

  $( The square of 10 is 100.  (Contributed by AV, 14-Jun-2021.)  (Revised by
     AV, 1-Aug-2021.) $)
  sq10 $p |- ( ; 1 0 ^ 2 ) = ; ; 1 0 0 $=
    ( c1 cc0 cdc c2 cexp co cmul 10nn0 nn0cni sqvali dec0u eqtri ) ABCZDEFMMGFM
    BCMMHIJMHKL $.

  $( The square of 10 is 99 plus 1.  (Contributed by AV, 14-Jun-2021.)
     (Revised by AV, 1-Aug-2021.) $)
  sq10e99m1 $p |- ( ; 1 0 ^ 2 ) = ( ; 9 9 + 1 ) $=
    ( c1 cc0 cdc c2 cexp co c9 caddc sq10 9nn0 9p1e10 eqid decsucc eqtr4i ) ABC
    ZDEFOBCGGCZAHFIGOPJKPLMN $.

  ${
    3dec.a $e |- A e. NN0 $.
    3dec.b $e |- B e. NN0 $.
    $( A "decimal constructor" which is used to build up "decimal integers" or
       "numeric terms" in base 10 with 3 "digits".  (Contributed by AV,
       14-Jun-2021.)  (Revised by AV, 1-Aug-2021.) $)
    3dec $p |- ; ; A B C = ( ( ( ( ; 1 0 ^ 2 ) x. A )
                               + ( ; 1 0 x. B ) ) + C ) $=
      ( cdc c1 cc0 cmul co caddc cexp dfdec10 oveq2i nn0cni eqtri eqcomi oveq1i
      c2 10nn nncni mulcli adddii mulassi sqvali ) ABFZCFGHFZUFIJZCKJUGSLJZAIJZ
      UGBIJZKJZCKJUFCMUHULCKUHUGUGAIJZIJZUKKJZULUHUGUMBKJZIJUOUFUPUGIABMNUGUMBU
      GTUAZUGAUQADOZUBBEOUCPUNUJUKKUNUGUGIJZAIJZUJUTUNUGUGAUQUQURUDQUSUIAIUIUSU
      GUQUEQRPRPRP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ordered pair theorem for nonnegative integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    nn0le2msqi.1 $e |- A e. NN0 $.
    nn0le2msqi.2 $e |- B e. NN0 $.
    $( The square function on nonnegative integers is monotonic.  (Contributed
       by Raph Levien, 10-Dec-2002.) $)
    nn0le2msqi $p |- ( A <_ B <-> ( A x. A ) <_ ( B x. B ) ) $=
      ( cle wbr c2 cexp co cmul cc0 nn0ge0i nn0rei le2sqi nn0cni sqvali breq12i
      wb mp2an bitri ) ABEFZAGHIZBGHIZEFZAAJIZBBJIZEFKAEFKBEFUAUDRACLBDLABACMBD
      MNSUBUEUCUFEAACOPBBDOPQT $.
  $}

  ${
    nn0opthlem1.1 $e |- A e. NN0 $.
    nn0opthlem1.2 $e |- C e. NN0 $.
    $( A rather pretty lemma for ~ nn0opthi .  (Contributed by Raph Levien,
       10-Dec-2002.) $)
    nn0opthlem1 $p |- ( A < C <-> ( ( A x. A ) + ( 2 x. A ) ) < ( C x. C ) ) $=
      ( c1 caddc co cle wbr cmul clt c2 nn0addcli wcel wb nn0mulcli cexp ax-1cn
      cn0 sqvali 1nn0 nn0le2msqi nn0ltp1le nn0cni binom2i addcli oveq1i oveq12i
      mp2an 2nn0 3eqtr3i mulid1i oveq2i eqtri breq1i bitr4i 3bitr4i ) AEFGZBHIZ
      URURJGZBBJGZHIZABKIZAAJGZLAJGZFGZVAKIZURBAECUAMDUBASNBSNVCUSOCDABUCUIVGVF
      EFGZVAHIZVBVFSNVASNVGVIOVDVEAACCPLAUJCPMBBDDPVFVAUCUIUTVHVAHUTVDLAEJGZJGZ
      FGZEEJGZFGZVHURLQGALQGZVKFGZELQGZFGUTVNAEACUDZRUEURAEVRRUFTVPVLVQVMFVOVDV
      KFAVRTUGERTUHUKVLVFVMEFVKVEVDFVJALJAVRULUMUMERULUHUNUOUPUQ $.
  $}

  ${
    nn0opth.1 $e |- A e. NN0 $.
    nn0opth.2 $e |- B e. NN0 $.
    nn0opth.3 $e |- C e. NN0 $.
    nn0opth.4 $e |- D e. NN0 $.
    $( Lemma for ~ nn0opthi .  (Contributed by Raph Levien, 10-Dec-2002.)
       (Revised by Scott Fenton, 8-Sep-2010.) $)
    nn0opthlem2 $p |- ( ( A + B ) < C
           -> ( ( C x. C ) + D ) =/= ( ( ( A + B ) x. ( A + B ) ) + B ) ) $=
      ( caddc co clt wbr cmul wne c2 nn0addcli cle nn0rei remulcli readdcli 2re
      nn0opthlem1 nn0addge2i nn0lele2xi leadd2i lelttri mpan nn0addge1i ltletri
      sylib ax-mp sylbi mpan2 ltnei 3syl ) ABIJZCKLZUPUPMJZBIJZCCMJZKLZUSUTDIJZ
      KLZVBUSNUQUROUPMJZIJZUTKLZVAUPCABEFPZGUBUSVEQLZVFVABUPQLZVHBABFRZEUCVIBVD
      QLVHUPBVGFUDBVDURVJOUPUAUPVGRZSZUPUPVKVKSZUEUJUKUSVEUTURBVMVJTZURVDVMVLTC
      CCGRZVOSZUFUGULVAUTVBQLVCUTDVPHUHUSUTVBVNVPUTDVPDHRTZUIUMUSVBVNVQUNUO $.

    $( An ordered pair theorem for nonnegative integers.  Theorem 17.3 of
       [Quine] p. 124.  We can represent an ordered pair of nonnegative
       integers ` A ` and ` B ` by ` ( ( ( A + B ) x. ( A + B ) ) + B ) ` .  If
       two such ordered pairs are equal, their first elements are equal and
       their second elements are equal.  Contrast this ordered pair
       representation with the standard one ~ df-op that works for any set.
       (Contributed by Raph Levien, 10-Dec-2002.)  (Proof shortened by Scott
       Fenton, 8-Sep-2010.) $)
    nn0opthi $p |- ( ( ( ( A + B ) x. ( A + B ) ) + B ) =
            ( ( ( C + D ) x. ( C + D ) ) + D ) <-> ( A = C /\ B = D ) ) $=
      ( caddc cmul wceq wne clt wbr nn0addcli nn0rei nn0opthlem2 oveq12d nn0cni
      co wa wo lttri2i necomd jaoi sylbi necon4i id oveq1d eqtr4d addcani sylib
      mulcli oveq2d addcan2i jca oveq12 simpr impbii ) ABITZUTJTZBITZCDITZVCJTZ
      DITZKZACKZBDKZUAZVFVGVHVFUTCBITZKVGVFUTVCVJUTVCVBVEUTVCLUTVCMNZVCUTMNZUBV
      BVELZUTVCUTABEFOZPVCCDGHOZPUCVKVMVLVKVEVBABVCDEFVOHQUDCDUTBGHVNFQUEUFUGZV
      FBDCIVFVBVADITZKVHVFVBVEVQVFUHVFVAVDDIVFUTVCUTVCJVPVPRUIUJVABDUTUTUTVNSZV
      RUMBFSZDHSUKULZUNUJACBAESCGSVSUOULVTUPVIVAVDBDIVIUTVCUTVCJACBDIUQZWARVGVH
      URRUS $.

    $( An ordered pair theorem for nonnegative integers.  Theorem 17.3 of
       [Quine] p. 124.  See comments for ~ nn0opthi .  (Contributed by NM,
       22-Jul-2004.) $)
    nn0opth2i $p |- ( ( ( ( A + B ) ^ 2 ) + B ) = ( ( ( C + D ) ^ 2 ) + D ) <->
                   ( A = C /\ B = D ) ) $=
      ( caddc co c2 cexp wceq cmul wa nn0cni addcli sqvali oveq1i eqeq12i bitri
      nn0opthi ) ABIJZKLJZBIJZCDIJZKLJZDIJZMUCUCNJZBIJZUFUFNJZDIJZMACMBDMOUEUJU
      HULUDUIBIUCABAEPBFPQRSUGUKDIUFCDCGPDHPQRSTABCDEFGHUBUA $.
  $}

  $( An ordered pair theorem for nonnegative integers.  Theorem 17.3 of [Quine]
     p. 124.  See ~ nn0opthi .  (Contributed by NM, 22-Jul-2004.) $)
  nn0opth2 $p |- ( ( ( A e. NN0 /\ B e. NN0 ) /\ ( C e. NN0 /\ D e. NN0 ) ) ->
          ( ( ( ( A + B ) ^ 2 ) + B ) = ( ( ( C + D ) ^ 2 ) + D ) <->
                   ( A = C /\ B = D ) ) ) $=
    ( cn0 wcel caddc co c2 cexp wceq wa wb cc0 oveq1 oveq1d bibi12d 0nn0 elimel
    cif eqeq1d eqeq1 anbi1d oveq2 oveq12d anbi2d eqeq2d eqeq2 nn0opth2i dedth4h
    id ) AEFZBEFZCEFZDEFZABGHZIJHZBGHZCDGHZIJHZDGHZKZACKZBDKZLZMULANTZBGHZIJHZB
    GHZVAKZVFCKZVDLZMVFUMBNTZGHZIJHZVMGHZVAKZVKVMDKZLZMVPUNCNTZDGHZIJHZDGHZKZVF
    VTKZVRLZMVPVTUODNTZGHZIJHZWGGHZKZWEVMWGKZLZMABCDNNNNAVFKZVBVJVEVLWNURVIVAWN
    UQVHBGWNUPVGIJAVFBGOPPUAWNVCVKVDAVFCUBUCQBVMKZVJVQVLVSWOVIVPVAWOVHVOBVMGWOV
    GVNIJBVMVFGUDPWOUKUEUAWOVDVRVKBVMDUBUFQCVTKZVQWDVSWFWPVAWCVPWPUTWBDGWPUSWAI
    JCVTDGOPPUGWPVKWEVRCVTVFUHUCQDWGKZWDWKWFWMWQWCWJVPWQWBWIDWGGWQWAWHIJDWGVTGU
    DPWQUKUEUGWQVRWLWEDWGVMUHUFQVFVMVTWGANERSBNERSCNERSDNERSUIUJ $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Factorial function
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ! $. $( Factorial. $)

  $( Extend class notation to include the factorial of nonnegative integers. $)
  cfa $a class ! $.

  $( Define the factorial function on nonnegative integers.  For example,
     ` ( ! `` 5 ) = 1 2 0 ` because ` 1 x. 2 x. 3 x. 4 x. 5 = 1 2 0 `
     ( ~ ex-fac ).  In the literature, the factorial function is written as a
     postscript exclamation point.  (Contributed by NM, 2-Dec-2004.) $)
  df-fac $a |- ! = ( { <. 0 , 1 >. } u. seq 1 ( x. , _I ) ) $.

  $( Value of the factorial function for positive integers.  (Contributed by
     NM, 2-Dec-2004.)  (Revised by Mario Carneiro, 13-Jul-2013.) $)
  facnn $p |- ( N e. NN ->
      ( ! ` N ) = ( seq 1 ( x. , _I ) ` N ) ) $=
    ( cfa cfv cmul cid c1 cseq wceq cn0 cc0 csn cdif wcel cvv a1i cun cres dfn2
    cn eqtr3i c0ex 1ex cop df-fac cuz nnuz reseq2i cz wfn 1z seqfn fnresdm mp2b
    uneq2i eqtr4i id fvsnun2 eleq2s ) ABCADEFGZCHAIJKLZSAUTMZJFIAUSBNNJNMVAUAOF
    NMVAUBOBJFUCKZUSPVBUSUTQZPUDVCUSVBUSFUECZQZVCUSVDUTUSSVDUTUFRTUGFUHMUSVDUIV
    EUSHUJDEFUKVDUSULUMTUNUOVAUPUQRUR $.

  $( The factorial of 0.  (Contributed by NM, 2-Dec-2004.)  (Revised by Mario
     Carneiro, 13-Jul-2013.) $)
  fac0 $p |- ( ! ` 0 ) = 1 $=
    ( cc0 cfa cfv wceq wtru cn0 cmul cid cseq cvv wcel c0ex a1i 1ex cop csn cun
    c1 cres eqtr3i cdif df-fac cuz cn nnuz dfn2 reseq2i cz wfn 1z seqfn fnresdm
    mp2b uneq2i eqtr4i fvsnun1 mptru ) ABCRDEARFGHRIZBJJAJKELMRJKENMBAROPZURQUS
    URFAPUAZSZQUBVAURUSURRUCCZSZVAURVBUTURUDVBUTUEUFTUGRUHKURVBUIVCURDUJGHRUKVB
    URULUMTUNUOUPUQ $.

  $( The factorial of 1.  (Contributed by NM, 2-Dec-2004.)  (Revised by Mario
     Carneiro, 13-Jul-2013.) $)
  fac1 $p |- ( ! ` 1 ) = 1 $=
    ( c1 cfa cfv cmul cid cseq cn wcel wceq 1nn facnn ax-mp cz seq1 fvi 3eqtri
    1z ) ABCZADEAFCZAECZAAGHZRSIJAKLAMHSTIQDEANLUATAIJAGOLP $.

  $( The factorial of a successor.  (Contributed by NM, 2-Dec-2004.)  (Revised
     by Mario Carneiro, 13-Jul-2013.) $)
  facp1 $p |- ( N e. NN0 ->
               ( ! ` ( N + 1 ) ) = ( ( ! ` N ) x. ( N + 1 ) ) ) $=
    ( cn0 wcel cn cc0 wceq wo c1 caddc cfa cfv cmul elnn0 cid facnn cvv 3eqtr4a
    co 0p1e1 eqtri cseq peano2nn syl ovex ax-mp oveq2i seqp1 nnuz eleq2s oveq1d
    fvi eqtrd fveq2i fac1 fvoveq1 fveq2 oveq1 oveq12d fac0 oveq12i 1t1e1 eqtrdi
    cuz jaoi sylbi ) ABCADCZAEFZGAHIRZJKZAJKZVHLRZFZAMVFVLVGVFVIVHLNHUAZKZVKVFV
    HDCVIVNFAUBVHOUCVFAVMKZVHNKZLRZVOVHLRVNVKVPVHVOLVHPCVPVHFAHIUDVHPUKUEUFVNVQ
    FAHVCKDLNHAUGUHUIVFVJVOVHLAOUJQULVGEHIRZJKZHVIVKVSHJKHVRHJSUMUNTAEHJIUOVGVK
    EJKZVRLRZHVGVJVTVHVRLAEJUPAEHIUQURWAHHLRHVTHVRHLUSSUTVATVBQVDVE $.

  $( The factorial of 2.  (Contributed by NM, 17-Mar-2005.) $)
  fac2 $p |- ( ! ` 2 ) = 2 $=
    ( c2 cfa cfv c1 caddc df-2 fveq2i cmul cn0 wcel wceq 1nn0 facp1 ax-mp 1p1e2
    co fac1 oveq12i 2cn eqtri mulid2i ) ABCDDEPZBCZAAUBBFGUCDBCZUBHPZADIJUCUEKL
    DMNUEDAHPAUDDUBAHQORASUATTT $.

  $( The factorial of 3.  (Contributed by NM, 17-Mar-2005.) $)
  fac3 $p |- ( ! ` 3 ) = 6 $=
    ( c3 cfa cfv c2 c1 caddc co cmul df-3 fveq2i cn0 wcel wceq 2nn0 facp1 ax-mp
    c6 fac2 2p1e3 3eqtri oveq12i 2cn 3cn mulcomi 3t2e6 ) ABCDEFGZBCZDBCZUFHGZQA
    UFBIJDKLUGUIMNDOPUIDAHGADHGQUHDUFAHRSUADAUBUCUDUETT $.

  $( The factorial of 4.  (Contributed by Mario Carneiro, 18-Jun-2015.) $)
  fac4 $p |- ( ! ` 4 ) = ; 2 4 $=
    ( c3 c1 caddc co cfa cfv cmul c4 cdc cn0 wcel wceq facp1 ax-mp 3p1e4 fveq2i
    c2 3nn0 c6 fac3 oveq12i 6t4e24 eqtri 3eqtr3i ) ABCDZEFZAEFZUEGDZHEFQHIZAJKU
    FUHLRAMNUEHEOPUHSHGDUIUGSUEHGTOUAUBUCUD $.

  $( Value of the factorial function expressed recursively.  (Contributed by
     NM, 2-Dec-2004.) $)
  facnn2 $p |- ( N e. NN ->
               ( ! ` N ) = ( ( ! ` ( N - 1 ) ) x. N ) ) $=
    ( cn wcel cc c1 cmin co cn0 wa cfa cfv cmul wceq elnnnn0 caddc facp1 adantl
    npcan1 fveq2d adantr oveq2d 3eqtr3d sylbi ) ABCADCZAEFGZHCZIZAJKZUEJKZALGZM
    ANUGUEEOGZJKZUIUKLGZUHUJUFULUMMUDUEPQUDULUHMUFUDUKAJARZSTUDUMUJMUFUDUKAUILU
    NUATUBUC $.

  ${
    $d j k N $.
    $( Closure of the factorial function.  (Contributed by NM, 2-Dec-2004.) $)
    faccl $p |- ( N e. NN0 -> ( ! ` N ) e. NN ) $=
      ( vj vk cv cfa cfv cn wcel cc0 c1 caddc co wceq fveq2 eleq1d fac0 eqeltri
      1nn cn0 wa cmul facp1 adantl nn0p1nn nnmulcl sylan2 eqeltrd expcom nn0ind
      ) BDZEFZGHIEFZGHCDZEFZGHZUMJKLZEFZGHZAEFZGHBCAUJIMUKULGUJIENOUJUMMUKUNGUJ
      UMENOUJUPMUKUQGUJUPENOUJAMUKUSGUJAENOULJGPRQUOUMSHZURUOUTTUQUNUPUALZGUTUQ
      VAMUOUMUBUCUTUOUPGHVAGHUMUDUNUPUEUFUGUHUI $.
  $}

  ${
    faccld.1 $e |- ( ph -> N e. NN0 ) $.
    $( Closure of the factorial function, deduction version of ~ faccl .
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    faccld $p |- ( ph -> ( ! ` N ) e. NN ) $=
      ( cn0 wcel cfa cfv cn faccl syl ) ABDEBFGHECBIJ $.
  $}

  $( The factorial function restricted to positive integers is a mapping from
     the positive integers to the positive integers.  (Contributed by AV,
     8-Aug-2020.) $)
  facmapnn $p |- ( n e. NN |-> ( ! ` n ) ) e. ( NN ^m NN ) $=
    ( cn cv cfa cfv cmpt cmap co wcel eqid nnnn0 faccld fmpti nnex elmap mpbir
    wf ) ABACZDEZFZBBGHIBBTQABBSTTJRBIRRKLMBBTNNOP $.

  $( The factorial function is nonzero.  (Contributed by NM, 26-Apr-2005.) $)
  facne0 $p |- ( N e. NN0 -> ( ! ` N ) =/= 0 ) $=
    ( cn0 wcel cfa cfv faccl nnne0d ) ABCADEAFG $.

  ${
    $d j M $.  $d j k N $.
    $( A positive integer divides the factorial of an equal or larger number.
       (Contributed by NM, 2-May-2005.) $)
    facdiv $p |- ( ( M e. NN0 /\ N e. NN /\ N <_ M ) ->
                  ( ( ! ` M ) / N ) e. NN ) $=
      ( wcel cn cle wbr cfa cfv cdiv co wi cc0 wceq breq2 oveq1d eleq1d imbi12d
      fveq2 imbi2d wa vj vk cn0 cv c1 caddc nnnle0 pm2.21d cmul wo cr peano2nn0
      clt nnre nn0red leloe syl2an nnnn0 nn0leltp1 sylan nn0p1nn nnmulcl sylan2
      wb expcom adantl cc faccl nncnd nn0cnd nncn nnne0 adantr div23 syl2an23an
      wne jca sylibrd imim2d com23 sylbird divcan4d eqeltrd syl5ibcom a1dd jaod
      oveq2 sylbid ex com34 com12 imp4d facp1 exp4d a2d nn0ind 3imp ) AUCCBDCZB
      AEFZAGHZBIJZDCZWRBUAUDZEFZXCGHZBIJZDCZKZKWRBLEFZLGHZBIJZDCZKZKWRBUBUDZEFZ
      XNGHZBIJZDCZKZKWRBXNUEUFJZEFZXTGHZBIJZDCZKZKWRWSXBKZKUAUBAXCLMZXHXMWRYGXD
      XIXGXLXCLBENYGXFXKDYGXEXJBIXCLGROPQSXCXNMZXHXSWRYHXDXOXGXRXCXNBENYHXFXQDY
      HXEXPBIXCXNGROPQSXCXTMZXHYEWRYIXDYAXGYDXCXTBENYIXFYCDYIXEYBBIXCXTGROPQSXC
      AMZXHYFWRYJXDWSXGXBXCABENYJXFXADYJXEWTBIXCAGROPQSWRXIXLBUGUHXNUCCZWRXSYEY
      KWRXSYAYDYKWRXSYATTXPXTUIJZBIJZDCZYDYKWRXSYAYNWRYKXSYAYNKKWRYKYAXSYNWRYKY
      AXSYNKZKWRYKTZYABXTUMFZBXTMZUJZYOWRBUKCXTUKCYAYSVDYKBUNYKXTXNULZUOBXTUPUQ
      YPYQYOYRYPYQXOYOWRBUCCYKXOYQVDBURBXNUSUTYPXSXOYNYPXRYNXOYPXRXQXTUIJZDCZYN
      YKXRUUBKWRXRYKUUBYKXRXTDCUUBXNVAXQXTVBVCVEVFYPYMUUADYKXPVGCZXTVGCWRBVGCZB
      LVPZTZYMUUAMYKXPXNVHZVIZYKXTYTVJWRUUFYKWRUUDUUEBVKZBVLZVQVMXPXTBVNVOPVRVS
      VTWAYPYRYNXSYPXPBUIJZBIJZDCYRYNYPUULXPDYPXPBYKUUCWRUUHVFWRUUDYKUUIVMWRUUE
      YKUUJVMWBYKXPDCWRUUGVFWCYRUULYMDYRUUKYLBIBXTXPUIWGOPWDWEWFWHWIWJWKWLYKYCY
      MDYKYBYLBIXNWMOPVRWNWOWPWQ $.
  $}

  $( No positive integer (greater than one) divides the factorial plus one of
     an equal or larger number.  (Contributed by NM, 3-May-2005.) $)
  facndiv $p |- ( ( ( M e. NN0 /\ N e. NN ) /\ ( 1 < N /\ N <_ M ) ) ->
                -. ( ( ( ! ` M ) + 1 ) / N ) e. ZZ ) $=
    ( cn0 wcel cn wa c1 clt wbr cle cfa cfv caddc co cdiv cz cmin wceq ad2antrr
    cc wn cr nnre recnz sylan ad2ant2lr facdiv 3expa nnzd adantrl zsubcl ex cc0
    syl5com wne faccl nncnd peano2cn syl nncn nnne0 jca ad2antlr syl3anc ax-1cn
    divsubdir pncan2 sylancl oveq1d eqtr3d eleq1d sylibd mtod ) ACDZBEDZFZGBHIZ
    BAJIZFZFZAKLZGMNZBONZPDZGBONZPDZVOVQWFUAZVNVRVOBUBDVQWGBUCBUDUEUFVTWDWCWABO
    NZQNZPDZWFVTWHPDZWDWJVPVRWKVQVPVRFWHVNVOVRWHEDABUGUHUIUJWDWKWJWCWHUKULUNVTW
    IWEPVTWBWAQNZBONZWIWEVTWBTDZWATDZBTDZBUMUOZFZWMWIRVNWNVOVSVNWOWNVNWAAUPUQZW
    AURUSSVNWOVOVSWSSVOWRVNVSVOWPWQBUTBVAVBVCWBWABVFVDVNWMWERVOVSVNWLGBOVNWOGTD
    WLGRWSVEWAGVGVHVISVJVKVLVM $.

  ${
    $d j k M $.  $d j N $.
    $( Ordering property of factorial.  (Contributed by NM, 9-Dec-2005.) $)
    facwordi $p |- ( ( M e. NN0 /\ N e. NN0 /\ M <_ N ) ->
                  ( ! ` M ) <_ ( ! ` N ) ) $=
      ( vj vk cn0 wcel cle wbr cfa cfv wa wi cc0 wceq breq2 anbi2d fveq2 breq2d
      imbi12d cr cv c1 caddc weq nn0le0eq0 biimpa fveq2d fac0 1re eqeltri leidi
      co eqbrtrdi impexp clt wo nn0re peano2re syl leloe syl2an nn0leltp1 faccl
      cmul nnred nnnn0d nn0ge0d nn0p1nn nnge1d lemulge11d facp1 breqtrrd adantl
      wb adantr peano2nn0 faccld letr syl3anc mpan2d imim2d com23 sylbird leidd
      syl5ibcom syl5 a1dd jaod sylbid ex com13 com4l imp4a syl5bi nn0ind 3impib
      a2d 3com12 ) BEFZAEFZABGHZAIJZBIJZGHZWSWTXAXDWTACUAZGHZKZXBXEIJZGHZLWTAMG
      HZKZXBMIJZGHZLWTADUAZGHZKZXBXNIJZGHZLZWTAXNUBUCULZGHZKZXBXTIJZGHZLZWTXAKZ
      XDLCDBXEMNZXGXKXIXMYGXFXJWTXEMAGOPYGXHXLXBGXEMIQRSCDUDZXGXPXIXRYHXFXOWTXE
      XNAGOPYHXHXQXBGXEXNIQRSXEXTNZXGYBXIYDYIXFYAWTXEXTAGOPYIXHYCXBGXEXTIQRSXEB
      NZXGYFXIXDYJXFXAWTXEBAGOPYJXHXCXBGXEBIQRSXKXBXLXLGXKAMIWTXJAMNAUEUFUGXLXL
      UBTUHUIUJUKUMXSWTXOXRLZLZXNEFZYEWTXOXRUNYMYLWTYAYDYMWTYKYAYDLYAYMWTYKYDWT
      YMYAYKYDLZWTYMYAYNLWTYMKZYAAXTUOHZAXTNZUPZYNWTATFXTTFZYAYRVNYMAUQYMXNTFYS
      XNUQXNURUSZAXTUTVAYOYPYNYQYOYPXOYNAXNVBYOYKXOYDYOXRYDXOYOXRXQYCGHZYDYMUUA
      WTYMXQXQXTVDULYCGYMXQXTYMXQXNVCZVEZYTYMXQYMXQUUBVFVGYMXTXNVHVIVJXNVKVLVMY
      OXBTFZXQTFZYCTFZXRUUAKYDLWTUUDYMWTXBAVCVEZVOYMUUEWTUUCVMYMUUFWTYMYCYMXTXN
      VPVQVEVMXBXQYCVRVSVTWAWBWCYOYQYDYKWTYQYDLYMYQXBYCNZWTYDAXTIQWTXBXBGHUUHYD
      WTXBUUGWDXBYCXBGOWEWFVOWGWHWIWJWKWLWQWMWNWOWPWR $.

    $( A lower bound for the factorial function.  (Contributed by NM,
       17-Dec-2005.) $)
    faclbnd $p |- ( ( M e. NN0 /\ N e. NN0 ) ->
                   ( M ^ ( N + 1 ) ) <_ ( ( M ^ M ) x. ( ! ` N ) ) ) $=
      ( cn0 wcel cc0 wceq c1 caddc co cexp cfa cfv cmul cle wbr wi oveq2d wa cr
      adantr vj vk cn wo elnn0 oveq1 fveq2 breq12d imbi2d nnre nnge1 cuz elnnuz
      biimpi leexp2ad 0p1e1 oveq2i a1i fac0 nnnn0 reexpcld recnd mulid1d eqtrid
      cv 3brtr4d clt ad3antrrr simpllr peano2nn0 faccld nnred remulcld peano2re
      syl nn0re 3syl 0re ltle mpan sylc expge0d simplr simprr lemul12ad anandis
      nngt0 cc nncn expp1 syl2an facp1 adantl faccl nncnd nn0cn peano2cn eqtr4d
      mulassd exp32 com23 wb syl2anr reexpcl ad2antrr remulcl simpr cz ad2antlr
      nn0ltp1le nn0zd nnz eluz syl2anc mpbird anim12i id nn0ge0 lemulge11 letrd
      nnge1d ex sylbid a1dd lelttric mpjaod expcom nn0ind impcom nnnn0d nn0ge0d
      a2d nn0p1nn 0expd 0exp0e1 oveq1i mulid2d oveq12 anidms oveq1d syl5ibr imp
      jaoian sylanb ) ACDZAUCDZAEFZUDBCDZABGHIZJIZAAJIZBKLZMIZNOZAUEUUFUUHUUNUU
      GUUHUUFUUNUUFAUAVEZGHIZJIZUUKUUOKLZMIZNOZPUUFAEGHIZJIZUUKEKLZMIZNOZPUUFAU
      BVEZGHIZJIZUUKUVFKLZMIZNOZPUUFAUVGGHIZJIZUUKUVGKLZMIZNOZPUUFUUNPUAUBBUUOE
      FZUUTUVEUUFUVQUUQUVBUUSUVDNUVQUUPUVAAJUUOEGHUFQUVQUURUVCUUKMUUOEKUGQUHUIU
      UOUVFFZUUTUVKUUFUVRUUQUVHUUSUVJNUVRUUPUVGAJUUOUVFGHUFQUVRUURUVIUUKMUUOUVF
      KUGQUHUIUUOUVGFZUUTUVPUUFUVSUUQUVMUUSUVONUVSUUPUVLAJUUOUVGGHUFQUVSUURUVNU
      UKMUUOUVGKUGQUHUIUUOBFZUUTUUNUUFUVTUUQUUJUUSUUMNUVTUUPUUIAJUUOBGHUFQUVTUU
      RUULUUKMUUOBKUGQUHUIUUFAGJIZUUKUVBUVDNUUFAGAAUJZAUKZUUFAGULLDAUMUNUOUVBUW
      AFUUFUVAGAJUPUQURUUFUVDUUKGMIUUKUVCGUUKMUSUQUUFUUKUUFUUKUUFAAUWBAUTZVAZVB
      ZVCVDVFUVFCDZUUFUVKUVPUUFUWGUVKUVPPZUUFUWGRZAUVGNOZUWHUVGAVGOZUWIUVKUWJUV
      PUWIUVKUWJUVPUWIUVKUWJRZRUVHAMIZUVJUVGMIZUVMUVONUWIUVKUWJUWMUWNNOUWIUVKRZ
      UWIUWJRZRZUVHUVJAUVGUWQAUVGUUFASDZUWGUVKUWPUWBVHZUWQUWGUVGCDZUUFUWGUVKUWP
      VIZUVFVJZVOZVAUWQUUKUVIUWQAAUWSUUFUUEUWGUVKUWPUWDVHVAUWQUVIUWQUVFUXAVKVLV
      MUWSUWQUWGUVFSDZUVGSDZUXAUVFVPZUVFVNZVQUWQAUVGUWSUXCUWQUWREAVGOZEANOZUWSU
      UFUXHUWGUVKUWPAWGVHESDUWRUXHUXIPVREAVSVTWAZWBUXJUWIUVKUWPWCUWOUWIUWJWDWEW
      FUWIUVMUWMFZUWLUUFAWHDUWTUXKUWGAWIUXBAUVGWJWKTUWIUVOUWNFUWLUWIUVOUUKUVIUV
      GMIZMIUWNUWIUVNUXLUUKMUWGUVNUXLFUUFUVFWLWMQUWIUUKUVIUVGUUFUUKWHDUWGUWFTUW
      GUVIWHDUUFUWGUVIUVFWNWOWMUWGUVGWHDZUUFUWGUVFWHDUXMUVFWPUVFWQVOWMWSWRTVFWT
      XAUWIUWKUVPUVKUWIUWKUVLANOZUVPUWGUWTUUEUWKUXNXBUUFUXBUWDUVGAXJXCUWIUXNUVP
      UWIUXNRZUVMUUKUVOUWIUVMSDZUXNUUFUWRUVLCDZUXPUWGUWBUWGUWTUXQUXBUVGVJVOZAUV
      LXDWKTUUFUUKSDZUWGUXNUWEXEUWIUVOSDZUXNUUFUXSUVNSDZUXTUWGUWEUWGUVNUWGUVGUX
      BVKZVLZUUKUVNXFWKTUXOAUVLAUUFUWRUWGUXNUWBXEUUFGANOUWGUXNUWCXEUXOAUVLULLDZ
      UXNUWIUXNXGUXOUVLXHDAXHDZUYDUXNXBUXOUVLUWGUXQUUFUXNUXRXIXKUUFUYEUWGUXNAXL
      XEUVLAXMXNXOUOUWIUUKUVONOZUXNUWIUXSUYAREUUKNOZGUVNNOZRUYFUUFUXSUWGUYAUWEU
      YCXPUUFUYGUWGUYHUUFUUEUYGUWDUUEAAAVPUUEXQAXRWBVOUWGUVNUYBYAXPUUKUVNXSXNTX
      TYBYCYDUUFUWRUXEUWJUWKUDUWGUWBUWGUXDUXEUXFUXGVOAUVGYEWKYFYGYLYHYIUUGUUHUU
      NUUHUUNUUGEUUIJIZEEJIZUULMIZNOUUHEUULUYIUYKNUUHUULUUHUULBWNZYJYKUUHUUIBYM
      YNUUHUYKGUULMIUULUYJGUULMYOYPUUHUULUUHUULUYLWOYQVDVFUUGUUJUYIUUMUYKNAEUUI
      JUFUUGUUKUYJUULMUUGUUKUYJFAEAEJYRYSYTUHUUAUUBUUCUUD $.
  $}

  $( A lower bound for the factorial function.  (Contributed by NM,
     17-Dec-2005.) $)
  faclbnd2 $p |- ( N e. NN0 -> ( ( 2 ^ N ) / 2 ) <_ ( ! ` N ) ) $=
    ( cn0 wcel c2 cexp co cdiv c1 cle cmul c4 sq2 oveq2i cc 2cn mpan wa cc0 wbr
    cr caddc cfa cfv 2t2e4 eqtr4i wceq expp1 oveq1d eqtrid wne 2cnne0 divmuldiv
    expcl mpanr12 sylancl 2div2e1 halfcld mulid1d 3eqtr2rd faclbnd wb peano2nn0
    2nn0 2re reexpcl sylancr faccl nnred clt 4re eqeltri 4pos breqtrri ledivmul
    pm3.2i mp3an3 syl2anc mpbird eqbrtrd ) ABCZDAEFZDGFZDAHUAFZEFZDDEFZGFZAUBUC
    ZIVTWFWADJFZDDJFZGFZWBDDGFZJFZWBVTWFWDWIGFWJWEWIWDGWEKWILUDUEMVTWDWHWIGDNCZ
    VTWDWHUFODAUGPUHUIVTWANCZWMWLWJUFZWMVTWNODAUMPZOWNWMQWMDRUJQZWQWOUKUKWADDDU
    LUNUOVTWLWBHJFWBWKHWBJUPMVTWBVTWAWPUQURUIUSVTWFWGISZWDWEWGJFISZDBCVTWSVCDAU
    TPVTWDTCZWGTCZWRWSVAZVTDTCWCBCWTVDAVBDWCVEVFVTWGAVGVHWTXAWETCZRWEVISZQXBXCX
    DWEKTLVJVKRKWEVIVLLVMVOWDWGWEVNVPVQVRVS $.

  $( A lower bound for the factorial function.  (Contributed by NM,
     19-Dec-2005.) $)
  faclbnd3 $p |- ( ( M e. NN0 /\ N e. NN0 ) ->
                 ( M ^ N ) <_ ( ( M ^ M ) x. ( ! ` N ) ) ) $=
    ( cn0 wcel cn cc0 wceq wo cexp co cfv cle wbr wa c1 cr adantr sylan reexpcl
    cmul cfa elnn0 caddc nnre nnge1 cuz nn0z adantl uzid peano2uz 3syl leexp2ad
    cz nnnn0 faclbnd wi nn0re peano2nn0 syl2an mpancom faccl nnred remulcl letr
    syl3anc mp2and 0exp 0le1 eqbrtrdi oveq2 0exp0e1 1le1 eqbrtri jaoi sylbi 1nn
    nnmulcl sylancr nnge1d 0re 1re mp3an2 syl2anc wb oveq1 oveq12 anidms eqtrdi
    mpan oveq1d breq12d mpbird jaoian sylanb ) ACDZAEDZAFGZHBCDZABIJZAAIJZBUAKZ
    TJZLMZAUBWPWRXCWQWPWRNZWSABOUCJZIJZLMZXFXBLMZXCXDABXEWPAPDZWRAUDQWPOALMWRAU
    EQXDBUMDZBBUFKZDXEXKDWRXJWPBUGUHBUIBBUJUKULWPWOWRXHAUNZABUORWPWOWRXGXHNXCUP
    ZXLWOWRNWSPDZXFPDZXBPDZXMWOXIWRXNAUQZABSRWOXIXECDXOWRXQBURAXESUSWOWTPDZXAPD
    ZXPWRXIWOXRXQAASUTWRXABVAZVBZWTXAVCUSWSXFXBVDVERVFWQWRNXCFBIJZOXATJZLMZWRYD
    WQWRYBOLMZOYCLMZYDWRBEDZBFGZHYEBUBYGYEYHYGYBFOLBVGVHVIYHYBFFIJZOLBFFIVJYIOO
    LVKVLVMVIVNVOWRYCWROEDXAEDYCEDVPXTOXAVQVRVSWRYBPDZYCPDZYEYFNYDUPZFPDWRYJVTF
    BSWIWROPDZXSYKWAYAOXAVCVRYJYMYKYLWAYBOYCVDWBWCVFUHWQXCYDWDWRWQWSYBXBYCLAFBI
    WEWQWTOXATWQWTYIOWQWTYIGAFAFIWFWGVKWHWJWKQWLWMWN $.

  ${
    faclbnd4lem1.1 $e |- N e. NN $.
    faclbnd4lem1.2 $e |- K e. NN0 $.
    faclbnd4lem1.3 $e |- M e. NN0 $.
    $( Lemma for ~ faclbnd4 .  Prepare the induction step.  (Contributed by NM,
       20-Dec-2005.) $)
    faclbnd4lem1 $p |- ( ( ( ( N - 1 ) ^ K ) x. ( M ^ ( N - 1 ) ) ) <_
       ( ( ( 2 ^ ( K ^ 2 ) ) x. ( M ^ ( M + K ) ) ) x. ( ! ` ( N - 1 ) ) ) ->
                   ( ( N ^ ( K + 1 ) ) x. ( M ^ N ) ) <_ ( ( (
  2 ^ ( ( K + 1 ) ^ 2 ) ) x. ( M ^ ( M + ( K + 1 ) ) ) ) x. ( ! ` N ) ) ) $=
      ( c1 cle wbr co cexp cmul c2 cr wcel mp2an wceq cc0 wa remulcli clt caddc
      wo cmin cfa cfv nnrei 1re lelttric cn nnge1 ax-mp letri3i mpbiran2 pm3.2i
      0le1 cn0 2re nn0nnaddcl nnnn0i 2nn0 nn0expcli reexpcl nn0rei nn0ge0i exp0
      1nn cc 2cn cuz 1le2 nn0uz eleqtri leexp2a mp3an eqbrtrri elnn0 nncn exp1d
      nnuz mp3an13 syl eqbrtrrd breq1 mpbiri jaoi sylbi lemul12a mp2 oveq1 nnzi
      cz 1exp eqtrdi oveq2 nn0cni exp1 oveq12d fveq2 fac1 oveq2d mulcli mulid1i
      recni breq12d sylbir adantr a1i faccl nn0mulcli nncni expm1t oveq12i mpbi
      expp1 elnnnn0 simpri mulassi eqtri nn0addcli w3a 3pm3.2i wb nnltp1le df-2
      breq1i bitr4i expubnd lemul1a mul4i oveq2i 3eqtr2i breqtrdi ax-1cn eqtr3i
      mpan letrd eqtr4i nn0zi sqvali mp3an12 mul12i adantl mul32i facnn2 expadd
      sylancr addassi eqbrtrid ltp1i ltleii eqcomi adddii 3brtr4i eluz1i jaoian
      mpbir2an breqtrrdi ) CGHIZGCUAIZUCZCGUDJZAKJZBUVBKJZLJZMAMKJZKJZBBAUBJZKJ
      ZLJZUVBUEUFZLJZHIZCAGUBJZKJZBCKJZLJZMUVNMKJZKJZBBUVNUBJZKJZLJZCUEUFZLJZHI
      ZCNOZGNOZUVACDUGZUHCGUIPUUSUVMUWEUUTUUSUWEUVMUUSCGQZUWEUWIUUSGCHIZCUJOZUW
      JDCUKULCGUWHUHUMUNUWIUWEGBLJZUWBHIZUWGRGHIZSZUVSNOZSZBNOZRBHIZSZUWANOZSZS
      GUVSHIZBUWAHIZSUWMUWQUXBUWOUWPUWGUWNUHUPUOMNOZUVRUQOUWPURUVNMUVNAUQOZGUJO
      ZUVNUJOZEVGAGUSPZUTZVAVBZMUVRVCPZUOUWTUXAUWRUWSBFVDZBFVEUOUWABUVTFUVTBUQO
      ZUXHUVTUJOFUXIBUVNUSPZUTVBZVDUOUOUXCUXDMRKJZGUVSHMVHOZUXQGQVIMVFULUXEGMHI
      ZUVRRVJUFZOUXQUVSHIURVKUVRUQUXTUXKVLVMMRUVRVNVOVPUXNUXDFUXNBUJOZBRQZUCUXD
      BVQUYAUXDUYBUYABGKJZBUWAHUYABBVRVSUYAGBHIZUYCUWAHIZBUKUWRUYDUVTGVJUFZOUYE
      UXMUVTUJUYFUXOVTVMBGUVTVNWAWBWCUYBUXDRUWAHIUWAUXPVEBRUWAHWDWEWFWGULUOGUVS
      BUWAWHWIUWIUVQUWLUWDUWBHUWIUVOGUVPBLUWIUVOGUVNKJZGCGUVNKWJUVNWLOUYGGQUVNU
      XIWKUVNWMULWNUWIUVPUYCBCGBKWOBVHOZUYCBQBFWPZBWQULWNWRUWIUWDUWBGLJUWBUWIUW
      CGUWBLUWIUWCGUEUFGCGUEWSWTWNXAUWBUVSUWAUVSUXLXDZUWAUXPWPZXBXCWNXEWEXFXGUU
      TUVMSZUVQUVSUWAUWCLJZLJZUWDHUYLUVQUVGMAKJZLJZUYMLJZUYNUVQNOUYLUVOUVPUWFUV
      NUQOUVONOUWHUXJCUVNVCPUWRCUQOZUVPNOUXMCDUTZBCVCPTXHUYQNOUYLUYPUYMUVGUYOUX
      EUVFUQOZUVGNOURAMEVAVBZMUVFVCPZUYOMAVAEVBZVDZTZUYMUWAUWCUXPUWCUYRUWCUJOUY
      SCXIULZUTXJZVDZTXHUYNNOUYLUVSUYMUXLVUHTXHUYLUVQCAKJZCUVDBLJZLJZLJZUYQHUVQ
      VUICLJZVUJLJVULUVOVUMUVPVUJLCVHOZUXFUVOVUMQCDXKZECAXOPUYHUWKUVPVUJQUYIDBC
      XLPXMVUICVUJVUIUWFUXFVUINOZUWHECAVCPZXDVUOVUJUVDBBUVBFVUNUVBUQOZUWKVUNVUR
      SDCXPXNXQZVBZFXJZWPZXRXSUYLVULUVLUYOCLJZBLJZLJZUYQHUYLVULUVEVVDLJZVVEVULN
      OUYLVUIVUKVUQVUKCVUJUYSVVAXJZVDZTXHVVFNOUYLUVEVVDUVCUVDUVBNOUXFUVCNOUVBVU
      SVDEUVBAVCPZUVDVUTVDTZVVDVVCBUYOCVUCUYSXJZFXJZVDZTXHVVENOUYLUVLVVDUVJUVKU
      VGUVIVUBUWRUVHUQOZUVINOUXMBAFEXTZBUVHVCPZTZUVKVURUVKUJOVUSUVBXIULZUGTZVVM
      TXHUUTVULVVFHIUVMUUTVULUYOUVCLJZVUKLJZVVFHUUTVUPVVTNOZVUKNOZRVUKHIZSZYAVU
      IVVTHIZVULVWAHIVUPVWBVWEVUQUYOUVCVUDVVITVWCVWDVVHVUKVVGVEUOYBUUTMCHIZVWFU
      UTGGUBJZCHIZVWGUXGUWKUUTVWIYCVGDGCYDPMVWHCHYEYFYGUWFUXFVWGVWFUWHECAYHUUAW
      GVUIVVTVUKYIUUGVWAVVCUVCVUJLJZLJVVCUVEBLJZLJVVFUYOUVCCVUJUYOVUCWPZUVCVVIX
      DZVUOVVBYJVWKVWJVVCLUVCUVDBVWMUVDVUTWPUYIXRYKVVCUVEBVVCVVKWPUVEVVJXDUYIUU
      BYLYMXGUVMVVFVVEHIZUUTUVENOZUVLNOZVVDNOZRVVDHIZSZYAUVMVWNVWOVWPVWSVVJVVSV
      WQVWRVVMVVDVVLVEUOYBUVEUVLVVDYIYPUUCYQVVEUVLUYOBLJZCLJZLJZUYPUWALJZUWCLJZ
      UYQVVDVXAUVLLUYOCBVWLVUOUYIUUDYKVXDUVJVWTLJZUVKCLJZLJVXBVXCVXEUWCVXFLUYPU
      VIBLJZLJVXCVXEVXGUWAUYPLBUVHGUBJZKJZVXGUWAUYHVVNVXIVXGQUYIVVOBUVHXOPVXHUV
      TBKBAGUYIAEWPZYNUUHYKYOYKUVGUYOUVIBUVGVUBXDVWLUVIVVPXDUYIYJYOUWKUWCVXFQDC
      UUEULXMUVJUVKVWTCUVJVVQXDUVKVVRXKUYOBVWLUYIXBVUOYJYRUYPUWAUWCUYPVUEXDUYKU
      WCVUFXKZXRYLYMUUIUYQUYNHIZUYLUYPNOZUWPUYMNOZRUYMHIZSZYAUYPUVSHIVXLVXMUWPV
      XPVUEUXLVXNVXOVUHUYMVUGVEUOYBMUVFAUBJZKJZUYPUVSHUXRUYTUXFVXRUYPQVIVUAEMUV
      FAUUFVOUXEUXSUVRVXQVJUFOZVXRUVSHIURVKVXSUVRWLOVXQUVRHIUVRUXKYSAUVNLJZUVNU
      VNLJZVXQUVRHANOZUVNNOZVYCRUVNHIZSZYAAUVNHIVXTVYAHIVYBVYCVYEAEVDZUVNUXIUGZ
      VYCVYDVYGUVNUXJVEUOYBAUVNVYFVYGAVYFUUJUUKAUVNUVNYIPVXQAALJZAGLJZUBJVXTUVF
      VYHAVYIUBAVXJYTVYIAAVXJXCUULXMAAGVXJVXJYNUUMYRUVNUVNUXIXKYTUUNVXQUVRVXQUV
      FAVUAEXTYSUUOUUQMVXQUVRVNVOVPUYPUVSUYMYIPXHYQUVSUWAUWCUYJUYKVXKXRUURUUPYP
      $.
  $}

  $( Lemma for ~ faclbnd4 .  Use the weak deduction theorem to convert the
     hypotheses of ~ faclbnd4lem1 to antecedents.  (Contributed by NM,
     23-Dec-2005.) $)
  faclbnd4lem2 $p |- ( ( M e. NN0 /\ K e. NN0 /\ N e. NN ) ->
           ( ( ( ( N - 1 ) ^ K ) x. ( M ^ ( N - 1 ) ) ) <_
       ( ( ( 2 ^ ( K ^ 2 ) ) x. ( M ^ ( M + K ) ) ) x. ( ! ` ( N - 1 ) ) ) ->
                   ( ( N ^ ( K + 1 ) ) x. ( M ^ N ) ) <_ ( ( (
  2 ^ ( ( K + 1 ) ^ 2 ) ) x. ( M ^ ( M + ( K + 1 ) ) ) ) x. ( ! ` N ) ) ) ) $=
    ( cn0 c1 cmin co cexp cmul c2 caddc cfa cfv cle oveq1 oveq2d oveq12d oveq1d
    wbr breq12d wcel cn wi cif wceq imbi12d oveq2 fvoveq1 fveq2 1nn elimel 1nn0
    id faclbnd4lem1 dedth3h ) BDUAZADUAZCUBUAZCEFGZAHGZBUSHGZIGZJAJHGZHGZBBAKGZ
    HGZIGZUSLMZIGZNSZCAEKGZHGZBCHGZIGZJVKJHGZHGZBBVKKGZHGZIGZCLMZIGZNSZUCUTUPBE
    UDZUSHGZIGZVDWCWCAKGZHGZIGZVHIGZNSZVLWCCHGZIGZVPWCWCVKKGZHGZIGZVTIGZNSZUCUS
    UQAEUDZHGZWDIGZJWRJHGZHGZWCWCWRKGZHGZIGZVHIGZNSZCWREKGZHGZWKIGZJXHJHGZHGZWC
    WCXHKGZHGZIGZVTIGZNSZUCURCEUDZEFGZWRHGZWCXSHGZIGZXEXSLMZIGZNSZXRXHHGZWCXRHG
    ZIGZXOXRLMZIGZNSZUCBACEEEBWCUEZVJWJWBWQYLVBWEVIWINYLVAWDUTIBWCUSHOPYLVGWHVH
    IYLVFWGVDIYLBWCVEWFHYLUMZBWCAKOQPRTYLVNWLWAWPNYLVMWKVLIBWCCHOPYLVSWOVTIYLVR
    WNVPIYLBWCVQWMHYMBWCVKKOQPRTUFAWRUEZWJXGWQXQYNWEWTWIXFNYNUTWSWDIAWRUSHUGRYN
    WHXEVHIYNVDXBWGXDIYNVCXAJHAWRJHOPYNWFXCWCHAWRWCKUGPQRTYNWLXJWPXPNYNVLXIWKIY
    NVKXHCHAWREKOZPRYNWOXOVTIYNVPXLWNXNIYNVOXKJHYNVKXHJHYORPYNWMXMWCHYNVKXHWCKY
    OPPQRTUFCXRUEZXGYEXQYKYPWTYBXFYDNYPWSXTWDYAIYPUSXSWRHCXREFOZRYPUSXSWCHYQPQY
    PVHYCXEICXRELFUHPTYPXJYHXPYJNYPXIYFWKYGICXRXHHOCXRWCHUGQYPVTYIXOICXRLUIPTUF
    WRWCXRCEUBUJUKAEDULUKBEDULUKUNUO $.

  $( Lemma for ~ faclbnd4 .  The ` N = 0 ` case.  (Contributed by NM,
     23-Dec-2005.) $)
  faclbnd4lem3 $p |- ( ( ( M e. NN0
            /\ K e. NN0 ) /\ N = 0 ) -> ( ( N ^ K ) x. ( M ^ N ) )
       <_ ( ( ( 2 ^ ( K ^ 2 ) ) x. ( M ^ ( M + K ) ) ) x. ( ! ` N ) ) ) $=
    ( cn0 wcel wa cc0 wceq cexp co cmul c2 caddc cle c1 cn adantl eqtrdi oveq2d
    wbr cfa cfv wo elnn0 0exp nnnn0 nn0sqcl nn0expcl sylancr nn0addcl nn0mulcld
    2nn0 syldan sylan2 nn0ge0d eqbrtrd 0nn0 sylancl nnexpcl mpdan id oveq1 00id
    1nn oveq12d 0exp0e1 eqeltrdi jaoi sylbi nnmulcl nnge1d adantr wb oveq2 sq0i
    cc exp0 ax-mp breq12d mpbird jaodan sylan2b nn0cn exp0d mpan nn0cnd mulid1d
    2cn sylan9eq 3brtr4d fveq2 fac0 ) BDEZADEZFZCGHZFCAIJZBCIJZKJZLALIJZIJZBBAM
    JZIJZKJZCUAUBZKJZNTZGAIJZBGIJZKJZXDOKJZNTZWOXLWPWOXHXDXJXKNWNWMAPEZAGHZUCXH
    XDNTZAUDWMXMXOXNWMXMFZXHGXDNXMXHGHWMAUEQXPXDXMWMWNXDDEAUFWOXAXCWNXADEZWMWNL
    DEWTDEXQULAUGLWTUHUIQWMWNXBDEXCDEBAUJBXBUHUMUKZUNUOUPWMXNFXOOOBBGMJZIJZKJZN
    TZWMYBXNWMYAWMOPEXTPEZYAPEVDWMBPEZBGHZUCYCBUDYDYCYEYDXSDEZYCYDWMGDEZYFBUFUQ
    BGUJURBXSUSUTYEXTOPYEXTGGIJZOYEBGXSGIYEVAYEXSGGMJGBGGMVBVCRVEVFRVDVGVHVIOXT
    VJUIVKVLXNXOYBVMWMXNXHOXDYANXNXHYHOAGGIVNVFRXNXAOXCXTKXNXALGIJZOXNWTGLIAVOS
    LVPEYIOHWHLVQVRRXNXBXSBIAGBMVNSVEVSQVTWAWBWMWNXJXHOKJXHWMXIOXHKWMBBWCWDSWNX
    HWNXHYGWNXHDEUQGAUHWEWFWGWIWOXDWOXDXRWFWGWJVLWPXGXLVMWOWPWSXJXFXKNWPWQXHWRX
    IKCGAIVBCGBIVNVEWPXEOXDKWPXEGUAUBOCGUAWKWLRSVSQVT $.

  ${
    $d j m n M $.  $d j m n K $.  $d j n N $.
    $( Lemma for ~ faclbnd4 .  Prove the ` 0 < N ` case by induction on ` K ` .
       (Contributed by NM, 19-Dec-2005.) $)
    faclbnd4lem4 $p |- ( ( N e. NN /\ K e. NN0 /\ M e. NN0 ) ->
                   ( ( N ^ K ) x. ( M ^ N ) ) <_
              ( ( ( 2 ^ ( K ^ 2 ) ) x. ( M ^ ( M + K ) ) ) x. ( ! ` N ) ) ) $=
      ( vn cn wcel cexp co cmul c2 caddc cle wbr wa c1 wceq oveq2 oveq2d oveq1d
      cc0 vm vj cn0 cfa cfv cv wral wi oveq1 oveq12d fveq2 breq12d cbvralvw clt
      cmin wo cr nnre lelttric sylancl ancli andi sylib nnge1 wb letri3 biimpar
      1re anassrs mpidan 1m1e0 eqtrdi syl faclbnd4lem3 sylan2 nnsub mpan biimpa
      a1d 1nn rspcv adantl jaodan faclbnd4lem2 syld ralrimdva syl5bi expcom a2d
      3expa nnnn0 faclbnd3 exp0d cc nn0cn expcl syl2an mulid2d eqtrd sq0 oveq2i
      nncn 2cn ax-mp eqtri a1i addid1d mpancom adantr 3brtr4d ralrimiva ralbidv
      exp0 imbi2d nn0indALT imp rspcva 3impb ) CEFZAUCFZBUCFZCAGHZBCGHZIHZJAJGH
      ZGHZBBAKHZGHZIHZCUDUEZIHZLMZXTYANXSDUFZAGHZBYMGHZIHZYIYMUDUEZIHZLMZDEUGZY
      LXTYAYTYAYMUAUFZGHZYOIHZJUUAJGHZGHZBBUUAKHZGHZIHZYQIHZLMZDEUGZUHYAYMTGHZY
      OIHZJTJGHZGHZBBTKHZGHZIHZYQIHZLMZDEUGZUHYAYMUBUFZGHZYOIHZJUVBJGHZGHZBBUVB
      KHZGHZIHZYQIHZLMZDEUGZUHYAYMUVBOKHZGHZYOIHZJUVMJGHZGHZBBUVMKHZGHZIHZYQIHZ
      LMZDEUGZUHYAYTUHUAUBAUVBUCFZYAUVLUWCYAUWDUVLUWCUHUVLUUAUVBGHZBUUAGHZIHZUV
      IUUAUDUEZIHZLMZUAEUGZYAUWDNZUWCUVKUWJDUAEYMUUAPZUVDUWGUVJUWILUWMUVCUWEYOU
      WFIYMUUAUVBGUIYMUUABGQUJUWMYQUWHUVIIYMUUAUDUKRULUMUWLUWKUWBDEUWLYMEFZNUWK
      YMOUOHZUVBGHZBUWOGHZIHZUVIUWOUDUEZIHZLMZUWBUWNUWLUWNYMOLMZNZUWNOYMUNMZNZU
      PZUWKUXAUHZUWNUWNUXBUXDUPZNUXFUWNUXHUWNYMUQFZOUQFZUXHYMURZVHYMOUSUTVAUWNU
      XBUXDVBVCUWLUXCUXGUXEUWLUXCNUXAUWKUXCUWLUWOTPZUXAUXCYMOPZUXLUWNUXBOYMLMZU
      XMYMVDUWNUXBUXNUXMUWNUXMUXBUXNNZUWNUXIUXJUXMUXOVEUXKVHYMOVFUTVGVIVJUXMUWO
      OOUOHTYMOOUOUIVKVLVMUVBBUWOVNVOVSUXEUXGUWLUXEUWOEFZUXGUWNUXDUXPOEFUWNUXDU
      XPVEVTOYMVPVQVRUWJUXAUAUWOEUUAUWOPZUWGUWRUWIUWTLUXQUWEUWPUWFUWQIUUAUWOUVB
      GUIUUAUWOBGQUJUXQUWHUWSUVIIUUAUWOUDUKRULWAVMWBWCVOYAUWDUWNUXAUWBUHUVBBYMW
      DWJWEWFWGWHWIYAUUTDEYAUWNNZYOBBGHZYQIHZUUMUUSLUWNYAYMUCFZYOUXTLMYMWKZBYMW
      LVOUXRUUMOYOIHZYOUWNUUMUYCPYAUWNUULOYOIUWNYMYMXBWMSWBUXRYOYABWNFZUYAYOWNF
      UWNBWOZUYBBYMWPWQWRWSYAUUSUXTPUWNYAUURUXSYQIYAUUROUXSIHUXSYAUUOOUUQUXSIUU
      OOPYAUUOJTGHZOUUNTJGWTXAJWNFUYFOPXCJXMXDXEXFYAUUPBBGYABUYEXGRUJYAUXSUYDYA
      UXSWNFUYEBBWPXHWRWSSXIXJXKUUATPZUUKUVAYAUYGUUJUUTDEUYGUUCUUMUUIUUSLUYGUUB
      UULYOIUUATYMGQSUYGUUHUURYQIUYGUUEUUOUUGUUQIUYGUUDUUNJGUUATJGUIRUYGUUFUUPB
      GUUATBKQRUJSULXLXNUUAUVBPZUUKUVLYAUYHUUJUVKDEUYHUUCUVDUUIUVJLUYHUUBUVCYOI
      UUAUVBYMGQSUYHUUHUVIYQIUYHUUEUVFUUGUVHIUYHUUDUVEJGUUAUVBJGUIRUYHUUFUVGBGU
      UAUVBBKQRUJSULXLXNUUAUVMPZUUKUWCYAUYIUUJUWBDEUYIUUCUVOUUIUWALUYIUUBUVNYOI
      UUAUVMYMGQSUYIUUHUVTYQIUYIUUEUVQUUGUVSIUYIUUDUVPJGUUAUVMJGUIRUYIUUFUVRBGU
      UAUVMBKQRUJSULXLXNUUAAPZUUKYTYAUYJUUJYSDEUYJUUCYPUUIYRLUYJUUBYNYOIUUAAYMG
      QSUYJUUHYIYQIUYJUUEYFUUGYHIUYJUUDYEJGUUAAJGUIRUYJUUFYGBGUUAABKQRUJSULXLXN
      XOXPYSYLDCEYMCPZYPYDYRYKLUYKYNYBYOYCIYMCAGUIYMCBGQUJUYKYQYJYIIYMCUDUKRULX
      QVOXR $.
  $}

  $( Variant of ~ faclbnd5 providing a non-strict lower bound.  (Contributed by
     NM, 23-Dec-2005.) $)
  faclbnd4 $p |- ( ( N e. NN0 /\ K e. NN0 /\ M e. NN0 ) ->
                 ( ( N ^ K ) x. ( M ^ N ) ) <_
            ( ( ( 2 ^ ( K ^ 2 ) ) x. ( M ^ ( M + K ) ) ) x. ( ! ` N ) ) ) $=
    ( cn0 wcel cexp co cmul c2 caddc cfa cfv cle wbr wa cn cc0 wceq wo 3com13
    elnn0 faclbnd4lem4 3expa faclbnd4lem3 jaodan sylan2b 3impa ) BDEZADEZCDEZCA
    FGBCFGHGIAIFGFGBBAJGFGHGCKLHGMNZUHUIUJUKUJUHUIOZCPEZCQRZSUKCUAULUMUKUNUHUIU
    MUKUMUIUHUKABCUBTUCABCUDUEUFUGT $.

  $( The factorial function grows faster than powers and exponentiations.  If
     we consider ` K ` and ` M ` to be constants, the right-hand side of the
     inequality is a constant times ` N ` -factorial.  (Contributed by NM,
     24-Dec-2005.) $)
  faclbnd5 $p |- ( ( N e. NN0 /\ K e. NN0 /\ M e. NN ) ->
                 ( ( N ^ K ) x. ( M ^ N ) ) <
      ( ( 2 x. ( ( 2 ^ ( K ^ 2 ) ) x. ( M ^ ( M + K ) ) ) ) x. ( ! ` N ) ) ) $=
    ( cn0 wcel cn cexp co cmul c2 clt wa cr reexpcl sylan ancoms remulcl syl2an
    wbr cc caddc cfa cfv nn0re nnre anandirs 2nn nn0sqcl nnexpcl nnnn0 nn0addcl
    sylancr anabss7 nnmulcl syl2an2r nnred faccl 2re cle faclbnd4 syl3an3 3coml
    sylan2 3expa c1 1lt2 cc0 nngt0d ltmulgt12 mp3an2 syl2anc mpbii lelttrd wceq
    wb 2cn nncnd mulass mp3an3an breqtrrd 3impa 3comr ) ADEZBFEZCDEZCAGHZBCGHZI
    HZJJAJGHZGHZBBAUAHZGHZIHZIHCUBUCZIHZKSZWCWDWEWPWCWDLZWELZWHJWMWNIHZIHZWOKWR
    WHWSWTWCWDWEWHMEZWCWELWFMEZWGMEZXAWDWELWEWCXBWECMEWCXBCUDCANOPWDBMEWEXCBUEB
    CNOWFWGQRUFWQWMMEWNMEWSMEZWEWQWMWCWJFEZWDWLFEZWMFEZWCJFEWIDEXEUGAUHJWIUIULW
    CWDXFWQWDWKDEZXFWDWCBDEZXHBUJZXIWCXHBAUKPVCBWKUIVCUMWJWLUNUOZUPWEWNCUQZUPWM
    WNQRZWRJMEZXDWTMEURXMJWSQULWCWDWEWHWSUSSZWEWCWDXOWDWEWCXIXOXJABCUTVAVBVDWRV
    EJKSZWSWTKSZVFWRXDVGWSKSZXPXQVOZXMWRWSWQXGWNFEWSFEWEXKXLWMWNUNRVHXDXNXRXSUR
    WSJVIVJVKVLVMJTEWQWMTEWEWNTEWOWTVNVPWQWMXKVQWEWNXLVQJWMWNVRVSVTWAWB $.

  ${
    $d M m $.  $d N k m $.
    $( Geometric lower bound for the factorial function, where N is usually
       held constant.  (Contributed by Paul Chapman, 28-Dec-2007.) $)
    faclbnd6 $p |- ( ( N e. NN0 /\ M e. NN0 ) ->
             ( ( ! ` N ) x. ( ( N + 1 ) ^ M ) ) <_ ( ! ` ( N + M ) ) ) $=
      ( wcel cfa cfv c1 caddc co cexp cmul cle wbr cc0 wceq oveq2 oveq2d fveq2d
      wa cr adantr vm vk cn0 cv breq12d weq faccl nnred leidd cc nn0cn peano2cn
      syl exp0d nncnd mulid1d addid1d 3brtr4d peano2nn0 nn0red reexpcl remulcld
      eqtrd sylan nnnn0 nn0ge0d simpr expge0d mulge0d jca nn0addcl faccld nn0re
      cn readdcl syl2an jca31 nn0ge0 adantl wb 0re leadd2 mpbid eqbrtrrd leadd1
      mp3an2i mp3an3 syl2anc ax-1cn addass breqtrd anim1ci lemul12a expp1 expcl
      1re sylc mulassd eqtr4d facp1 3eqtr3d nn0indd ) BUCCZBDEZBFGHZUAUDZIHZJHZ
      BXFGHZDEZKLXDXEMIHZJHZBMGHZDEZKLXDXEUBUDZIHZJHZBXOGHZDEZKLZXDXEXOFGHZIHZJ
      HZBYAGHZDEZKLXDXEAIHZJHZBAGHZDEZKLUAUBAXFMNZXHXLXJXNKYJXGXKXDJXFMXEIOPYJX
      IXMDXFMBGOQUEUAUBUFZXHXQXJXSKYKXGXPXDJXFXOXEIOPYKXIXRDXFXOBGOQUEXFYANZXHY
      CXJYEKYLXGYBXDJXFYAXEIOPYLXIYDDXFYABGOQUEXFANZXHYGXJYIKYMXGYFXDJXFAXEIOPY
      MXIYHDXFABGOQUEXCXDXDXLXNKXCXDXCXDBUGZUHZUIXCXLXDFJHXDXCXKFXDJXCXEXCBUJCZ
      XEUJCZBUKZBULUMZUNPXCXDXCXDYNUOZUPVCXCXMBDXCBYRUQZQURXCXOUCCZRZXTRZXQXEJH
      ZXSYDJHZYCYEKUUDXQSCZMXQKLZRZXSSCZRXESCZMXEKLZRYDSCZRZRZXTXEYDKLZRUUEUUFK
      LUUCUUOXTUUCUUIUUJUUNUUCUUGUUHUUCXDXPXCXDSCUUBYOTZXCUUKUUBXPSCXCXEBUSZUTZ
      XEXOVAVDZVBUUCXDXPUUQUUTXCMXDKLZUUBXCXDVNCZUVAYNUVBXDXDVEVFUMTUUCXEXOXCUU
      KUUBUUSTZXCUUBVGXCUULUUBXCXEUURVFTZVHVIVJUUCXSUUCXRBXOVKZVLUHUUCUUKUULUUM
      UVCUVDXCBSCZYASCUUMUUBBVMZUUBYAXOUSUTBYAVOVPVQVQTUUCUUPXTUUCXEXRFGHZYDKUU
      CBXRKLZXEUVHKLZUUCXMBXRKXCXMBNUUBUUATUUCMXOKLZXMXRKLZUUBUVKXCXOVRVSMSCUUC
      XOSCZUVFUVKUVLVTWAUUBUVMXCXOVMVSXCUVFUUBUVGTZMXOBWBWFWCWDUUCUVFXRSCZUVIUV
      JVTZUVNUUCXRUVEUTUVFUVOFSCUVPWPBXRFWEWGWHWCXCYPXOUJCZUVHYDNZUUBYRXOUKYPUV
      QFUJCUVRWIBXOFWJWGVPZWKWLXQXSXEYDWMWQUUCYCUUENXTUUCYCXDXPXEJHZJHUUEUUCYBU
      VTXDJXCYQUUBYBUVTNYSXEXOWNVDPUUCXDXPXEXCXDUJCUUBYTTXCYQUUBXPUJCYSXEXOWOVD
      XCYQUUBYSTWRWSTUUCYEUUFNXTUUCUVHDEZXSUVHJHZYEUUFUUCXRUCCUWAUWBNUVEXRWTUMU
      UCUVHYDDUVSQUUCUVHYDXSJUVSPXATURXB $.

    $( An upper bound for the factorial function.  (Contributed by Mario
       Carneiro, 15-Apr-2016.) $)
    facubnd $p |- ( N e. NN0 -> ( ! ` N ) <_ ( N ^ N ) ) $=
      ( vm vk cv cfa cfv cexp co cle wbr c1 cc0 wceq fveq2 oveq12d breq12d wcel
      id adantr cr caddc fac0 eqtrdi 0exp0e1 1le1 cn0 wa cmul faccl nnred nn0re
      cn simpl reexpcld nn0p1nn simpr nn0ge0 lep1d syl32anc letrd clt wb nngt0d
      leexp1a lemul1 syl112anc mpbid facp1 nncnd expp1d 3brtr4d ex nn0ind ) BDZ
      EFZVNVNGHZIJKKIJCDZEFZVQVQGHZIJZVQKUAHZEFZWAWAGHZIJZAEFZAAGHZIJBCAVNLMZVO
      KVPKIWGVOLEFKVNLENUBUCWGVPLLGHKWGVNLVNLGWGRZWHOUDUCPVNVQMZVOVRVPVSIVNVQEN
      WIVNVQVNVQGWIRZWJOPVNWAMZVOWBVPWCIVNWAENWKVNWAVNWAGWKRZWLOPVNAMZVOWEVPWFI
      VNAENWMVNAVNAGWMRZWNOPUEVQUFQZVTWDWOVTUGZVRWAUHHZWAVQGHZWAUHHZWBWCIWPVRWR
      IJZWQWSIJZWPVRVSWRWPVRWOVRULQVTVQUISUJZWPVQVQWOVQTQZVTVQUKSZWOVTUMZUNWPWA
      VQWPWAWOWAULQVTVQUOSZUJZXEUNZWOVTUPWPXCWATQZWOLVQIJZVQWAIJVSWRIJXDXGXEWOX
      JVTVQUQSWPVQXDURVQWAVQVDUSUTWPVRTQWRTQXILWAVAJWTXAVBXBXHXGWPWAXFVCVRWRWAV
      EVFVGWOWBWQMVTVQVHSWPWAVQWPWAXFVIXEVJVKVLVM $.
  $}

  $( The product of two factorials is greater than or equal to the factorial of
     (the floor of) their average.  (Contributed by NM, 9-Dec-2005.) $)
  facavg $p |- ( ( M e. NN0 /\ N e. NN0 ) ->
       ( ! ` ( |_ ` ( ( M + N ) / 2 ) ) ) <_ ( ( ! ` M ) x. ( ! ` N ) ) ) $=
    ( cn0 wcel wa co cle wbr cfv cfa cmul cr syl adantr letr syl3anc cc0 adantl
    wi c1 caddc c2 cdiv nn0readdcl rehalfcld flle reflcl nn0re nn0addcl nn0ge0d
    cfl mpand wb halfnneg2 mpbid flge0nn0 syl2anc simpl facwordi 3exp sylc wceq
    faccl nncnd mulid1d nnnn0d jca nnge1d 1re lemul2a mp3anl1 syl21anc eqbrtrrd
    nnred faccld remulcl syl2an mpan2d 3syld simpr mulid2d lemul1a avgle mpjaod
    wo ) ACDZBCDZEZABUAFZUBUCFZAGHZWJUKIZJIZAJIZBJIZKFZGHZWJBGHZWHWKWLAGHZWMWNG
    HZWQWHWLWJGHZWKWSWHWJLDZXAWHWIABUDZUEZWJUFMZWHWLLDZXBALDZXAWKEWSSWHXBXFXDWJ
    UGMZXDWFXGWGAUHZNWLWJAOPULWHWLCDZWFWSWTSWHXBQWJGHZXJXDWHQWIGHZXKWHWIABUIUJW
    HWILDXLXKUMXCWIUNMUOWJUPUQZWFWGURXJWFWSWTWLAUSUTVAWHWTWNWPGHZWQWHWNTKFZWNWP
    GWFXOWNVBWGWFWNWFWNAVCZVDVENWHWOLDZWNLDZQWNGHZEZTWOGHZXOWPGHZWGXQWFWGWOBVCZ
    VNZRZWFXTWGWFXRXSWFWNXPVNZWFWNWFWNXPVFUJVGNWGYAWFWGWOYCVHRTLDZXQXTYAYBVITWO
    WNVJVKVLVMWHWMLDZXRWPLDZWTXNEWQSWHWMWHWLXMVOVNZWFXRWGYFNZWFXRXQYIWGYFYDWNWO
    VPVQZWMWNWPOPVRVSWHWRWLBGHZWMWOGHZWQWHXAWRYMXEWHXFXBBLDZXAWREYMSXHXDWGYOWFB
    UHZRWLWJBOPULWHXJWGYMYNSXMWFWGVTXJWGYMYNWLBUSUTVAWHYNWOWPGHZWQWHTWOKFZWOWPG
    WGYRWOVBWFWGWOWGWOYCVDWARWHXRXQQWOGHZEZTWNGHZYRWPGHZYKWGYTWFWGXQYSYDWGWOWGW
    OYCVFUJVGRWFUUAWGWFWNXPVHNYGXRYTUUAUUBVITWNWOWBVKVLVMWHYHXQYIYNYQEWQSYJYEYL
    WMWOWPOPVRVSWFXGYOWKWRWEWGXIYPABWCVQWD $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The binomial coefficient operation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c _C $. $( Binomial coefficient operation. $)

  $( Extend class notation to include the binomial coefficient operation
     (combinatorial choose operation). $)
  cbc $a class _C $.

  ${
    $d n k $.
    $( Define the binomial coefficient operation.  For example,
       ` ( 5 _C 3 ) = 1 0 ` ( ~ ex-bc ).

       In the literature, this function is often written as a column vector of
       the two arguments, or with the arguments as subscripts before and after
       the letter "C".  The expression ` ( N _C K ) ` is read " ` N ` choose
       ` K ` ".  Definition of binomial coefficient in [Gleason] p. 295.  As
       suggested by Gleason, we define it to be 0 when ` 0 <_ k <_ n ` does not
       hold.  (Contributed by NM, 10-Jul-2005.) $)
    df-bc $a |- _C = ( n e. NN0 , k e. ZZ |-> if ( k e. ( 0 ... n ) ,
                ( ( ! ` n ) / ( ( ! ` ( n - k ) ) x. ( ! ` k ) ) ) , 0 ) ) $.
  $}

  ${
    $d n k N $.  $d n k K $.
    $( Value of the binomial coefficient, ` N ` choose ` K ` .  Definition of
       binomial coefficient in [Gleason] p. 295.  As suggested by Gleason, we
       define it to be 0 when ` 0 <_ K <_ N ` does not hold.  See ~ bcval2 for
       the value in the standard domain.  (Contributed by NM, 10-Jul-2005.)
       (Revised by Mario Carneiro, 7-Nov-2013.) $)
    bcval $p |- ( ( N e. NN0 /\ K e. ZZ ) -> ( N _C K ) = if ( K e. ( 0 ... N )
      , ( ( ! ` N ) / ( ( ! ` ( N - K ) ) x. ( ! ` K ) ) ) , 0 ) ) $=
      ( vn vk cv cc0 cfz co wcel cfa cfv cmin cmul cdiv cif oveq2 fveq2 oveq12d
      wceq ifbieq1d cn0 cz eleq2d fvoveq1 oveq1d eleq1 fveq2d oveq2d df-bc ovex
      cbc c0ex ifex ovmpo ) CDBAUAUBDEZFCEZGHZIZUPJKZUPUOLHJKZUOJKZMHZNHZFOAFBG
      HZIZBJKZBALHZJKZAJKZMHZNHZFOUKUOVDIZVFBUOLHZJKZVAMHZNHZFOUPBSZURVLVCVPFVQ
      UQVDUOUPBFGPUCVQUSVFVBVONUPBJQVQUTVNVAMUPBUOJLUDUERTUOASZVLVEVPVKFUOAVDUF
      VRVOVJVFNVRVNVHVAVIMVRVMVGJUOABLPUGUOAJQRUHTDCUIVEVKFVFVJNUJULUMUN $.

    $( Value of the binomial coefficient, ` N ` choose ` K ` , in its standard
       domain.  (Contributed by NM, 9-Jun-2005.)  (Revised by Mario Carneiro,
       7-Nov-2013.) $)
    bcval2 $p |- ( K e. ( 0 ... N ) -> ( N _C K ) =
                    ( ( ! ` N ) / ( ( ! ` ( N - K ) ) x. ( ! ` K ) ) ) ) $=
      ( cc0 cfz co wcel cbc cfa cfv cmin cmul cdiv cif cz wceq elfz3nn0 elfzelz
      cn0 bcval syl2anc iftrue eqtrd ) ACBDEFZBAGEZUCBHIBAJEHIAHIKELEZCMZUEUCBR
      FANFUDUFOABPACBQABSTUCUECUAUB $.

    $( Value of the binomial coefficient, ` N ` choose ` K ` , outside of its
       standard domain.  Remark in [Gleason] p. 295.  (Contributed by NM,
       14-Jul-2005.)  (Revised by Mario Carneiro, 8-Nov-2013.) $)
    bcval3 $p |- ( ( N e. NN0 /\ K e. ZZ /\ -. K e. ( 0 ... N ) ) ->
          ( N _C K ) = 0 ) $=
      ( cn0 wcel cz cc0 cfz co wn w3a cbc cfa cfv cmin cmul cdiv cif wceq bcval
      3adant3 iffalse 3ad2ant3 eqtrd ) BCDZAEDZAFBGHDZIZJBAKHZUFBLMBANHLMALMOHP
      HZFQZFUDUEUHUJRUGABSTUGUDUJFRUEUFUIFUAUBUC $.

    $( Value of the binomial coefficient, ` N ` choose ` K ` , outside of its
       standard domain.  Remark in [Gleason] p. 295.  (Contributed by NM,
       14-Jul-2005.)  (Revised by Mario Carneiro, 7-Nov-2013.) $)
    bcval4 $p |- ( ( N e. NN0 /\ K e. ZZ /\ ( K < 0 \/ N < K ) ) ->
          ( N _C K ) = 0 ) $=
      ( cn0 wcel cz cc0 clt wbr wo cfz co wn cbc wa cle cr lenlt mpbid adantl
      wb wceq elfzle1 elfzelz zred sylancr elfzle2 nn0re syl2anr ioran sylanbrc
      wi 0re ex adantr con2d 3impia bcval3 syld3an3 ) BCDZAEDZAFGHZBAGHZIZAFBJK
      DZLZBAMKFUAUSUTVCVEUSUTNVDVCUSVDVCLZUKUTUSVDVFUSVDNZVALZVBLZVFVDVHUSVDFAO
      HZVHAFBUBVDFPDAPDZVJVHTULVDAAFBUCUDZFAQUERSVGABOHZVIVDVMUSAFBUFSVDVKBPDVM
      VITUSVLBUGABQUHRVAVBUIUJUMUNUOUPABUQUR $.
  $}

  $( Closure of the binomial coefficient in the positive reals.  (This is
     mostly a lemma before we have ~ bccl2 .)  (Contributed by Mario Carneiro,
     10-Mar-2014.) $)
  bcrpcl $p |- ( K e. ( 0 ... N ) -> ( N _C K ) e. RR+ ) $=
    ( cc0 cfz co wcel cbc cfa cfv cmin cmul cdiv crp bcval2 cn cn0 faccl syl2an
    syl2anc nnrp elfz3nn0 faccld fznn0sub elfznn0 nnmulcl rpdivcl eqeltrd ) ACB
    DEFZBAGEBHIZBAJEZHIZAHIZKEZLEZMABNUHUIOFZUMOFZUNMFZUHBABUAUBUHUJPFZAPFZUPAC
    BUCABUDURUKOFULOFUPUSUJQAQUKULUERSUOUIMFUMMFUQUPUITUMTUIUMUFRSUG $.

  $( "Complementing" its second argument doesn't change a binary coefficient.
     (Contributed by NM, 21-Jun-2005.)  (Revised by Mario Carneiro,
     5-Mar-2014.) $)
  bccmpl $p |- ( ( N e. NN0 /\ K e. ZZ ) -> ( N _C K ) =
                    ( N _C ( N - K ) ) ) $=
    ( wcel cz cc0 co cbc cmin wceq cfa cfv cmul bcval2 fznn0sub2 syl cc elfznn0
    cdiv faccld eqtr4d cn0 wa nncnd mulcomd elfz3nn0 elfzelz nn0cn nncan syl2an
    cfz zcn syl2anc fveq2d oveq1d oveq2d adantl wn w3a bcval3 simp1 nn0z zsubcl
    sylan 3adant3 eleq1d syl5ib con3d 3impia syl3anc 3expa pm2.61dan ) BUACZADC
    ZUBZAEBUJFZCZBAGFZBBAHFZGFZIZVPVTVNVPVQBJKZVRJKZAJKZLFZRFZVSABMVPVSWABVRHFZ
    JKZWBLFZRFZWEVPVRVOCZVSWIIABNZVRBMOVPWDWHWARVPWDWCWBLFWHVPWBWCVPWJWBPCWKWJW
    BWJVRVRBQSUCOVPWCVPAABQSUCUDVPWGWCWBLVPWFAJVPVLVMWFAIZABUEAEBUFVLBPCAPCWLVM
    BUGAUKBAUHUIZULUMUNTUOTTUPVLVMVPUQZVTVLVMWNURZVQEVSABUSWOVLVRDCZWJUQZVSEIVL
    VMWNUTVLVMWPWNVLBDCVMWPBVABAVBVCVDVLVMWNWQVNWJVPWJWFVOCVNVPVRBNVNWFAVOWMVEV
    FVGVHVRBUSVITVJVK $.

  $( ` N ` choose 0 is 1.  Remark in [Gleason] p. 296.  (Contributed by NM,
     17-Jun-2005.)  (Revised by Mario Carneiro, 8-Nov-2013.) $)
  bcn0 $p |- ( N e. NN0 -> ( N _C 0 ) = 1 ) $=
    ( cn0 wcel cc0 cbc co cfa cfv cmin cmul cdiv c1 cfz wceq 0elfz bcval2 nn0cn
    syl subid1d eqtrd fveq2d oveq12 sylancl faccl mulid1d oveq2d facne0 dividd
    fac0 nncnd ) ABCZADEFZAGHZADIFZGHZDGHZJFZKFZLUKDDAMFCULURNAODAPRUKURUMUMKFL
    UKUQUMUMKUKUQUMLJFZUMUKUOUMNUPLNUQUSNUKUNAGUKAAQSUAUIUOUMUPLJUBUCUKUMUKUMAU
    DUJZUETUFUKUMUTAUGUHTT $.

  $( The binomial coefficient " 0 choose ` K ` " is 0 for a positive integer K.
     Note that ` ( 0 _C 0 ) = 1 ` (see ~ bcn0 ).  (Contributed by Alexander van
     der Vekens, 1-Jan-2018.) $)
  bc0k $p |- ( K e. NN -> ( 0 _C K ) = 0 ) $=
    ( cc0 cn0 wcel cn cz clt wbr wo cbc wceq 0nn0 nnz nngt0 olcd bcval4 mp3an2i
    co ) BCDAEDZAFDABGHZBAGHZIBAJRBKLAMSUATANOABPQ $.

  $( ` N ` choose ` N ` is 1.  Remark in [Gleason] p. 296.  (Contributed by NM,
     17-Jun-2005.)  (Revised by Mario Carneiro, 8-Nov-2013.) $)
  bcnn $p |- ( N e. NN0 -> ( N _C N ) = 1 ) $=
    ( cn0 wcel cc0 co cmin c1 cz wceq 0z bccmpl mpan2 bcn0 nn0cn subid1d oveq2d
    cbc 3eqtr3rd ) ABCZADQEZAADFEZQEZGAAQESDHCTUBIJDAKLAMSUAAAQSAANOPR $.

  $( Binomial coefficient: ` N ` choose ` 1 ` .  (Contributed by NM,
     21-Jun-2005.)  (Revised by Mario Carneiro, 8-Nov-2013.) $)
  bcn1 $p |- ( N e. NN0 -> ( N _C 1 ) = N ) $=
    ( cn0 wcel cn cc0 wceq wo c1 cbc co elnn0 cfa cfv cmin cmul cfz cuz clt wbr
    cdiv 1eluzge0 a1i elnnuz biimpi elfzuzb sylanbrc bcval2 facnn2 fac1 nnm1nn0
    oveq2i faccld nncnd mulid1d eqtrid oveq12d nncn nnne0d divcan3d 3eqtrd 0nn0
    syl cz 1z 0lt1 olci bcval4 mp3an wb oveq1 eqeq12 mpancom mpbiri jaoi sylbi
    ) ABCADCZAEFZGAHIJZAFZAKVPVSVQVPVRALMZAHNJZLMZHLMZOJZTJZWBAOJZWBTJAVPHEAPJC
    ZVRWEFVPHEQMCZAHQMCZWGWHVPUAUBVPWIAUCUDHEAUEUFHAUGVBVPVTWFWDWBTAUHVPWDWBHOJ
    WBWCHWBOUIUKVPWBVPWBVPWAAUJULZUMZUNUOUPVPAWBAUQWKVPWBWJURUSUTVQVSEHIJZEFZEB
    CHVCCHERSZEHRSZGWMVAVDWOWNVEVFHEVGVHVRWLFVQVSWMVIAEHIVJVRWLAEVKVLVMVNVO $.

  $( Binomial coefficient: ` N + 1 ` choose ` N ` .  (Contributed by NM,
     20-Jun-2005.)  (Revised by Mario Carneiro, 8-Nov-2013.) $)
  bcnp1n $p |- ( N e. NN0 -> ( ( N + 1 ) _C N ) = ( N + 1 ) ) $=
    ( cn0 wcel c1 caddc co cbc cmin cz wceq peano2nn0 nn0z bccmpl syl2anc nn0cn
    cc ax-1cn pncan2 sylancl oveq2d bcn1 syl 3eqtrd ) ABCZADEFZAGFZUEUEAHFZGFZU
    EDGFZUEUDUEBCZAICUFUHJAKZALAUEMNUDUGDUEGUDAPCDPCUGDJAOQADRSTUDUJUIUEJUKUEUA
    UBUC $.

  $( The proportion of one binomial coefficient to another with ` K ` decreased
     by 1.  (Contributed by Mario Carneiro, 10-Mar-2014.) $)
  bcm1k $p |- ( K e. ( 1 ... N ) -> ( N _C K ) =
                ( ( N _C ( K - 1 ) ) x. ( ( N - ( K - 1 ) ) / K ) ) ) $=
    ( c1 cfz co wcel cfa cfv cmin cmul cdiv cc cc0 wceq nnnn0d faccld nncnd syl
    cn nnne0d cbc wne wa cuz elfzuz2 nnuz eleqtrrdi cn0 fznn0sub nn0p1nn elfznn
    caddc nnm1nn0 faccl 3syl nnmulcld nncn nnne0 jca divmuldiv syl22anc elfzel2
    zcnd 1cnd subsubd fveq2d oveq1d oveq2d oveq12d eqcomd facnn2 mul32d mulassd
    facp1 3eqtr4d mulcomd divcan5d 3eqtrrd fz1ssfz0 sseli bcval2 ax-1cn sylancl
    wss npcan cz peano2zm uzid peano2uz 4syl eqeltrrd fzss2 elfzmlbm sseldd ) A
    CBDEZFZBGHZBAIEZGHZAGHZJEZKEZWQBACIEZIEZGHZXCGHZJEZKEZXDAKEZJEZBAUAEZBXCUAE
    ZXIJEWPXJWQWRCULEZJEZXAXMJEZKEZXMWQJEZXMXAJEZKEXBWPWQXMGHZXFJEZKEZXMAKEZJEZ
    XNXTAJEZKEZXJXPWPWQLFXMLFXTLFZXTMUBZUCZALFZAMUBZUCYCYENWPWQWPBWPBWPBCUDHSAC
    BUEUFUGOPQZWPXMWPWRUHFZXMSFACBUIZWRUJRZQZWPXTSFZYHWPXSXFWPXMWPXMYNOPZWPASFZ
    XCUHFXFSFABUKZAUMXCUNUOZUPYPYFYGXTUQXTURUSRWPYIYJWPAYSQZWPAYSTUSWQXMXTAUTVA
    WPXHYAXIYBJWPXGXTWQKWPXEXSXFJWPXDXMGWPBACWPBACBVBZVCZUUAWPVDVEZVFVGVHWPXDXM
    AKUUDVGVIWPXOYDXNKWPWSXMJEZWTJEXSXFAJEZJEXOYDWPUUEXSWTUUFJWPXSUUEWPYLXSUUEN
    YMWRVNRVJWPYRWTUUFNYSAVKRVIWPWSWTXMWPWSWPWRYMPZQWPWTWPAWPAYSOPZQYOVLWPXSXFA
    WPXSYQQWPXFYTQUUAVMVOVHVOWPXNXQXOXRKWPWQXMYKYOVPWPXAXMWPXAWPWSWTUUGUUHUPZQZ
    YOVPVIWPWQXAXMYKUUJYOWPXAUUITWPXMYNTVQVRWPAMBDEZFXKXBNWOUUKABVSVTABWARWPXLX
    HXIJWPXCUUKFXLXHNWPMBCIEZDEZUUKXCWPBUULUDHZFUUMUUKWDWPUULCULEZBUUNWPBLFCLFU
    UOBNUUCWBBCWEWCWPBWFFUULWFFUULUUNFUUOUUNFUUBBWGUULWHUULUULWIWJWKUULMBWLRACB
    WMWNXCBWARVGVO $.

  $( The proportion of one binomial coefficient to another with ` N ` increased
     by 1.  (Contributed by Mario Carneiro, 10-Mar-2014.) $)
  bcp1n $p |- ( K e. ( 0 ... N ) -> ( ( N + 1 ) _C K ) =
                ( ( N _C K ) x. ( ( N + 1 ) / ( ( N + 1 ) - K ) ) ) ) $=
    ( cc0 cfz co wcel c1 caddc cfa cfv cmin cmul cdiv cbc wceq syl faccld nncnd
    cn cc cn0 elfz3nn0 facp1 fznn0sub nn0cnd 1cnd elfznn0 addsubd fveq2d oveq2d
    3eqtr4d oveq1d nn0p1nn eqeltrd mul32d eqtrd oveq12d wne nnmulcld nncn nnne0
    wa jca nnne0d divmuldiv syl22anc eqtr4d fzelp1 bcval2 ) ACBDEFZBGHEZIJZVKAK
    EZIJZAIJZLEZMEZBIJZBAKEZIJZVOLEZMEZVKVMMEZLEZVKANEZBANEZWCLEVJVQVRVKLEZWAVM
    LEZMEZWDVJVLWGVPWHMVJBUAFZVLWGOABUBZBUCPVJVPVTVMLEZVOLEWHVJVNWLVOLVJVSGHEZI
    JZVTWMLEZVNWLVJVSUAFZWNWOOACBUDZVSUCPVJVMWMIVJBGAVJBWKUEVJUFVJAABUGZUEUHZUI
    VJVMWMVTLWSUJUKULVJVTVMVOVJVTVJVSWQQZRVJVMVJVMWMSWSVJWPWMSFWQVSUMPUNZRZVJVO
    VJAWRQZRUOUPUQVJVRTFVKTFWATFZWACURZVBZVMTFZVMCURZVBWDWIOVJVRVJBWKQRVJVKVJWJ
    VKSFWKBUMPRVJWASFZXFVJVTVOWTXCUSXIXDXEWAUTWAVAVCPVJXGXHXBVJVMXAVDVCVRVKWAVM
    VEVFVGVJACVKDEFWEVQOACBVHAVKVIPVJWFWBWCLABVIULUK $.

  $( The proportion of one binomial coefficient to another with ` N ` and ` K `
     increased by 1.  (Contributed by Mario Carneiro, 16-Jan-2015.) $)
  bcp1nk $p |- ( K e. ( 0 ... N ) -> ( ( N + 1 ) _C ( K + 1 ) ) =
                ( ( N _C K ) x. ( ( N + 1 ) / ( K + 1 ) ) ) ) $=
    ( cc0 cfz co wcel c1 caddc cbc cmin cdiv cmul wceq cz wb syl cc oveq2d zred
    eqtrd elfzel1 elfzel2 elfzelz fzaddel syl22anc 1e0p1 oveq1i eleqtrrdi bcm1k
    1zzd ibi zcnd ax-1cn pncan sylancl bcp1n oveq1d oveq12d bcrpcl peano2zd clt
    rpcnd wbr elfzle2 ltp1d lelttrd znnsub syl2anc mpbid nndivred recnd elfznn0
    cn nnred cn0 nn0p1nn mulassd nncnd nnne0d dmdcan2d ) ACBDEFZBGHEZAGHEZIEZWB
    WCGJEZIEZWBWEJEZWCKEZLEZBAIEZWBWCKEZLEZWAWCGWBDEZFWDWIMWAWCCGHEZWBDEZWMWAWC
    WOFZWACNFBNFANFZGNFWAWPOACBUAACBUBZACBUCZWAUJAGCBUDUEUKGWNWBDUFUGUHWCWBUIPW
    AWIWJWBWBAJEZKEZLEZWTWCKEZLEZWLWAWFXBWHXCLWAWFWBAIEXBWAWEAWBIWAAQFGQFWEAMWA
    AWSULUMAGUNUOZRABUPTWAWGWTWCKWAWEAWBJXERUQURWAXDWJXAXCLEZLEWLWAWJXAXCWAWJAB
    USVBWAXAWAWBWTWAWBWABWRUTZSZWAAWBVAVCZWTVMFZWAABWBWAAWSSWABWRSZXHACBVDWABXK
    VEVFWAWQWBNFXIXJOWSXGAWBVGVHVIZVJVKWAXCWAWTWCWAWTXLVNWAAVOFWCVMFABVLAVPPZVJ
    VKVQWAXFWKWJLWAWBWTWCWAWBXGULWAWTXLVRWAWCXMVRWAWTXLVSWAWCXMVSVTRTTT $.

  ${
    $d k x y K $.  $d k x y N $.
    $( Write out the top and bottom parts of the binomial coefficient
       ` ( N _C K ) = ( N x. ( N - 1 ) x. ... x. ( ( N - K ) + 1 ) ) / K ! `
       explicitly.  In this form, it is valid even for ` N < K ` , although it
       is no longer valid for nonpositive ` K ` .  (Contributed by Mario
       Carneiro, 22-May-2014.) $)
    bcval5 $p |- ( ( N e. NN0 /\ K e. NN ) -> ( N _C K ) =
                 ( ( seq ( ( N - K ) + 1 ) ( x. , _I ) ` N ) / ( ! ` K ) ) ) $=
      ( cn0 wcel cn wa cc0 co cmul cid cfv cfa cdiv wceq adantl cle wbr syl2anc
      c1 cc vk vx vy cfz cbc cmin caddc cseq bcval2 cv mulcl w3a mulass cuz clt
      simplr elfzuz3 eluznn adantrr cr crp nnre nnrp ltsubrp syl2an cz nnzd nnz
      wb ad2antlr zsubcld zltp1le peano2zd eluz mpbird simprr nnuz eleqtrdi fvi
      mpbid elfzelz zcnd eqeltrd seqsplit facnn syl oveq1d 3eqtr4d simpll faccl
      expr nncn 3syl mulid2d oveq2d eqtr3d fveq2 fac0 eqtrdi oveq1 0p1e1 fveq1d
      seqeq1d oveq12d eqeq2d syl5ibrcom fznn0sub elnn0 sylib mpjaod eqid zsubcl
      wo nn0z adantr eluzelcn seqf ffvelrnd faccld nncnd nnne0d divcan5d 3eqtrd
      elfznn0 wn nnnn0 nnne0 div0d mul02 mul01 ad2antrr simpr nn0uz elfz5 nn0re
      0zd subge0d bitr4d mtbid sylancl zred 0re ltnle 0z nn0ge0 elfzd mp1i seqz
      0cn bcval3 syl3an2 3expa 3eqtr4rd pm2.61dan ) BCDZAEDZFZAGBUDHDZBAUEHZBIJ
      BAUFHZSUGHZUHZKZALKZMHZNUUQUURFZUUSBLKZUUTLKZUVDIHZMHZUVHUVCIHZUVIMHUVEUU
      RUUSUVJNUUQABUIOUVFUVGUVKUVIMUVFUUTEDZUVGUVKNZUUTGNZUUQUURUVLUVMUUQUURUVL
      FZFZBIJSUHZKZUUTUVQKZUVCIHUVGUVKUVPUAUBUCITJSUUTBUAUJZTDZUBUJZTDZFZUVTUWB
      IHZTDZUVPUVTUWBUKZOUWAUWCUCUJZTDULUWEUWHIHUVTUWBUWHIHIHNUVPUVTUWBUWHUMOUV
      PBUVAUNKZDZUVABPQZUVPUUTBUOQZUWKUVPBEDZUUPUWLUUQUURUWMUVLUVFUUPBAUNKDZUWM
      UUOUUPUURUPZUURUWNUUQAGBUQOBAURRZUSZUUOUUPUVOUPUWMBUTDZAVADUWLUUPBVBAVCBA
      VDVEZRUVPUUTVFDZBVFDZUWLUWKVIZUVPBAUVPBUWQVGZUUPAVFDZUUOUVOAVHZVJVKZUXCUU
      TBVLZRVTUVPUVAVFDZUXAUWJUWKVIZUVPUUTUXFVMUXCUVABVNZRVOUVPUUTESUNKUUQUURUV
      LVPZVQVRUVTSBUDHZDZUVTJKZTDZUVPUXMUXNUVTTUVTUXLVSUXMUVTUVTSBWAWBWCOWDUVPU
      WMUVGUVRNZUWQBWEZWFUVPUVHUVSUVCIUVPUVLUVHUVSNUXKUUTWEWFWGWHWKUVFUVMUVNUVG
      SUVRIHZNUVFSUVGIHUVGUXRUVFUVGUVFUUOUVGEDUVGTDUUOUUPUURWIBWJUVGWLWMWNUVFUV
      GUVRSIUVFUWMUXPUWPUXQWFWOWPUVNUVKUXRUVGUVNUVHSUVCUVRIUVNUVHGLKSUUTGLWQWRW
      SUVNBUVBUVQUVNUVASIJUVNUVAGSUGHSUUTGSUGWTXAWSXCXBXDXEXFUVFUUTCDZUVLUVNXMU
      URUXSUUQAGBXGOZUUTXHXIXJWGUVFUVCUVDUVHUVFUWITBUVBUVFUAUBITJUVAUWIUWIXKUUQ
      UXHUURUUQUUTUUOUXAUXDUWTUUPBXNZUXEBAXLVEZVMZXOZUVTUWIDZUXOUVFUYEUXNUVTTUV
      TUWIVSUVAUVTXPWCOUWDUWFUVFUWGOXQUVFUWJUWKUVFUWLUWKUVFUWMUUPUWLUWPUWOUWSRU
      VFUWTUXAUXBUUQUWTUURUYBXOUVFBUWPVGZUXGRVTUVFUXHUXAUXIUYDUYFUXJRVOXRUVFUVD
      UVFAUURACDZUUQABYDOXSZXTUVFUVHUVFUUTUXTXSZXTUVFUVDUYHYAUVFUVHUYIYAYBYCUUQ
      UURYEZFZGUVDMHZGUVEUUSUYKUYGUVDEDZUYLGNUUPUYGUUOUYJAYFVJZAWJUYMUVDUVDWLUV
      DYGYHWMUYKUVCGUVDMUYKUAUBITJGUVABCGUWDUWFUYKUWGOUVTUVABUDHZDZUXOUYKUYPUXN
      UVTTUVTUYOVSUYPUVTUVTUVABWAWBWCOUWAGUVTIHGNUYKUVTYIOUWAUVTGIHGNUYKUVTYJOU
      YKGUVABUUQUXHUYJUYCXOUUOUXAUUPUYJUYAYKZUYKYPUYKUUTGUOQZUVAGPQZUYKUYRGUUTP
      QZYEZUYKUURUYTUUQUYJYLUYKUURABPQZUYTUYKAGUNKZDUXAUURVUBVIUYKACVUCUYNYMVRU
      YQAGBYNRUYKBAUUOUWRUUPUYJBYOYKUUPAUTDUUOUYJAVBVJYQYRYSUYKUUTUTDGUTDUYRVUA
      VIUYKUUTUUQUWTUYJUYBXOZUUAUUBUUTGUUCYTVOUYKUWTGVFDUYRUYSVIVUDUUDUUTGVLYTV
      TUUOGBPQUUPUYJBUUEYKUUFUUOUUPUYJWIGTDGJKGNUYKUUIGTVSUUGUUHWGUUOUUPUYJUUSG
      NZUUPUUOUXDUYJVUEUXEABUUJUUKUULUUMUUN $.
  $}

  $( Binomial coefficient: ` N ` choose ` 2 ` .  (Contributed by Mario
     Carneiro, 22-May-2014.) $)
  bcn2 $p |- ( N e. NN0 -> ( N _C 2 ) = ( ( N x. ( N - 1 ) ) / 2 ) ) $=
    ( cn0 wcel c2 co cmul cid cmin c1 caddc cseq cfv cdiv wceq cc ax-1cn syl cz
    cuz eqtrd cbc cfa cn 2nn bcval5 mpan2 2m1e1 oveq2i nn0cn 2cn npncan mp3an23
    eqtr3id seqeq1d fveq1d peano2zm npcan sylancl fveq2d eleqtrrd seqm1 syl2anc
    nn0z uzid seq1 fvi oveq12d subcl mulcomd fac2 a1i ) ABCZADUAEZAFGADHEZIJEZK
    ZLZDUBLZMEZAAIHEZFEZDMEVLDUCCVMVSNUDDAUEUFVLVQWAVRDMVLVQAFGVTKZLZWAVLAVPWBV
    LVOVTFGVLVOVNDIHEZJEZVTWDIVNJUGUHVLAOCZWEVTNZAUIZWFDOCIOCZWGUJPADIUKULQUMUN
    UOVLWCVTAFEZWAVLWCVTWBLZAGLZFEZWJVLVTRCZAVTIJEZSLZCWCWMNVLARCZWNAVCZAUPQZVL
    AASLZWPVLWQAWTCWRAVDQVLWOASVLWFWIWOANWHPAIUQURUSUTFGVTAVAVBVLWKVTWLAFVLWKVT
    GLZVTVLWNWKXANWSFGVTVEQVLWNXAVTNWSVTRVFQTABVFVGTVLVTAVLWFWIVTOCWHPAIVHURWHV
    ITTVRDNVLVJVKVGT $.

  $( Compute the binomial coefficient of ` ( N + 1 ) ` over ` ( N - 1 ) `
     (Contributed by Scott Fenton, 11-May-2014.)  (Revised by Mario Carneiro,
     22-May-2014.) $)
  bcp1m1 $p |- ( N e. NN0 -> ( ( N + 1 ) _C ( N - 1 ) ) =
                 ( ( ( N + 1 ) x. N ) / 2 ) ) $=
    ( cn0 wcel c1 caddc co cmin cbc cmul c2 cdiv cz wceq peano2nn0 peano2zm syl
    nn0z oveq2d cc eqtrd bccmpl syl2anc nn0cn 1cnd pnncand eqtr4di ax-1cn pncan
    df-2 bcn2 sylancl oveq1d ) ABCZADEFZADGFZHFZUNUNUOGFZHFZUNAIFZJKFZUMUNBCZUO
    LCZUPURMANZUMALCVBAQAOPUOUNUAUBUMURUNJHFZUTUMUQJUNHUMUQDDEFJUMADDAUCZUMUDZV
    FUEUIUFRUMVDUNUNDGFZIFZJKFZUTUMVAVDVIMVCUNUJPUMVHUSJKUMVGAUNIUMASCDSCVGAMVE
    UGADUHUKRULTTT $.

  $( Pascal's rule for the binomial coefficient, generalized to all integers
     ` K ` .  Equation 2 of [Gleason] p. 295.  (Contributed by NM,
     13-Jul-2005.)  (Revised by Mario Carneiro, 10-Mar-2014.) $)
  bcpasc $p |- ( ( N e. NN0 /\ K e. ZZ ) ->
                ( ( N _C K ) + ( N _C ( K - 1 ) ) ) = ( ( N + 1 ) _C K ) ) $=
    ( cn0 wcel cz wa cc0 c1 caddc co cfz cbc cmin wceq wo syl oveq12d cdiv cmul
    oveq2d wb peano2nn0 cuz cfv elfzp12 nn0uz eleq2s 1p0e1 clt wbr 0z 1z zsubcl
    bcn0 mp2an cr ltm1 ax-mp orci bcval4 mp3an23 3eqtr4a oveq2 oveq1 syl5ibrcom
    eqeq12d simpr 0p1e1 oveq1i eleqtrdi cn nn0p1nn nnuz fzm1 biimpa sylan nn0cn
    0re cc ax-1cn pncan sylancl eleq2d fz1ssfz0 sseli bcp1n crp rpcnd eleqtrrdi
    bcrpcl elfzuz2 peano2nnd nncnd 1cnd elfzelz addsubd fznn0sub eqeltrd nnne0d
    div12d nnrpd rpdivcld mulcomd eqtrd npcand adddid 3eqtr2d divcan1d divdiv2d
    zcnd elfznn bcm1k subsub3d oveq1d fzelp1 nnzd elfzm1b syl2anc mpbid eleqtrd
    rpne0d divmul3d mpbird 3eqtr3rd 3eqtrrd nn0re ltp1d olcd mpd3an23 sylan9eqr
    div23d bcnn adantr jaodan syldan ex jaod wn bcval3 syl3anc imp adantlr 00id
    sylbid con3i 3expa sylan2 simpll simplr peano2zm id syl2anr syl6bir sylbird
    nn0zd con3dimp pm2.61dan ) BCDZAEDZFZAGBHIJZKJZDZBALJZBAHMJZLJZIJZUVAALJZNZ
    UURUVCUVIUUSUURUVCUVIUURUVCAGNZAGHIJZUVAKJZDZOZUVIUURUVACDZUVCUVNUAZBUBZUVP
    UVAGUCUDCAGUVAUEUFUGPUURUVJUVIUVMUURUVIUVJBGLJZBGHMJZLJZIJZUVAGLJZNUURHGIJH
    UWAUWBUHUURUVRHUVTGIBUNUURUVSEDZUVSGUIUJZBUVSUIUJZOUVTGNGEDHEDUWCUKULGHUMUO
    UWDUWEGUPDUWDVRGUQURUSUVSBUTVAQUURUVOUWBHNUVQUVAUNPVBUVJUVGUWAUVHUWBUVJUVDU
    VRUVFUVTIAGBLVCUVJUVEUVSBLAGHMVDTQAGUVALVCVFVEUURUVMUVIUURUVMAHUVAKJZDZUVIU
    URUVMFAUVLUWFUURUVMVGUVKHUVAKVHVIVJUURUWGAHUVAHMJZKJZDZAUVANZOZUVIUURUVAHUC
    UDZDZUWGUWLUURUVAVKUWMBVLZVMVJUWNUWGUWLAHUVAVNVOVPUURUWJUVIUWKUURUWJFAHBKJZ
    DZUVIUURUWJUWQUURUWIUWPAUURUWHBHKUURBVSDZHVSDZUWHBNZBVQZVTBHWAZWBZTWCVOUWQU
    VHUVDUVAUVAAMJZRJSJZUVDUXDRJZUXDSJZUXFASJZIJZUVGUWQAGBKJZDZUVHUXENUWPUXJABW
    DWEZABWFPUWQUXEUXFUVASJZUXFUXDAIJZSJUXIUWQUXEUVAUXFSJUXMUWQUVDUVAUXDUWQUVDU
    WQUXKUVDWGDUXLABWJPZWHZUWQUVAUWQBUWQBUWMVKAHBWKVMWIZWLZWMZUWQUXDUWQUXDBAMJZ
    HIJZVKUWQBHAUWQBUXQWMZUWQWNZUWQAAHBWOZXJZWPUWQUXTCDUYAVKDAHBWQUXTVLPWRZWMZU
    WQUXDUYFWSZWTUWQUVAUXFUXSUWQUXFUWQUVDUXDUXOUWQUXDUYFXAZXBWHZXCXDUWQUXNUVAUX
    FSUWQUVAAUXSUYEXETUWQUXFUXDAUYJUYGUYEXFXGUWQUXGUVDUXHUVFIUWQUVDUXDUXPUYGUYH
    XHUWQUVDUXDARJZRJZUVDASJUXDRJUVFUXHUWQUVDUXDAUXPUYGUYEUYHUWQAABXKZWSXIUWQUY
    LUVFNUVDUVFUYKSJZNUWQUVDUVFBUVEMJZARJZSJUYNABXLUWQUYPUYKUVFSUWQUYOUXDARUWQB
    AHUYBUYEUYCXMXNTXDUWQUVDUVFUYKUXPUWQUVFUWQUVEUXJDZUVFWGDUWQUVEGUWHKJZUXJUWQ
    UWGUVEUYRDZAHBXOUWQUUSUVAEDZUWGUYSUAZUYDUWQUVAUXRXPAUVAXQZXRXSUWQUWHBGKUWQU
    WRUWSUWTUYBVTUXBWBTXTUVEBWJPWHUWQUYKUWQUXDAUYIUWQAUYMXAXBZWHUWQUYKVUCYAYBYC
    UWQUVDAUXDUXPUYEUYGUYHYKYDQYEPUURUWKFZUVKHUVGUVHVHVUDUVDGUVFHIUWKUURUVDBUVA
    LJZGAUVABLVCUURUYTUVAGUIUJZBUVAUIUJZOVUEGNUURUVAUWOXPUURVUGVUFUURBBYFYGYHUV
    ABUTYIYJVUDUVFBBLJZHVUDUVEBBLUWKUURUVEUWHBAUVAHMVDUXCYJTUURVUHHNUWKBYLYMXDQ
    UWKUURUVHUVAUVALJZHAUVAUVALVCUURUVOVUIHNUVQUVAYLPYJVBYNYOYOYPYQUUDUUAUUBUUT
    UVCYRZFZGGIJGUVGUVHUUCVUKUVDGUVFGIVUJUUTUXKYRZUVDGNZUXKUVCAGBXOUUEUURUUSVUL
    VUMABYSUUFUUGVUKUURUVEEDZUYQYRUVFGNUURUUSVUJUUHZVUKUUSVUNUURUUSVUJUUIZAUUJP
    UUTUYQUVCUUTUYQUYSUVCUUTUYRUXJUVEUUTUWHBGKUUTUWRUWSUWTUURUWRUUSUXAYMVTUXBWB
    TWCUUTUYSUWGUVCUUSUUSUYTVUAUURUUSUUKUURUVAUVQUUOVUBUULUWFUVBAUVAWDWEUUMUUNU
    UPUVEBYSYTQVUKUVOUUSVUJUVHGNVUKUURUVOVUOUVQPVUPUUTVUJVGAUVAYSYTVBUUQ $.

  ${
    $d k m n N $.  $d k m n K $.
    $( A binomial coefficient, in its extended domain, is a nonnegative
       integer.  (Contributed by NM, 10-Jul-2005.)  (Revised by Mario Carneiro,
       9-Nov-2013.) $)
    bccl $p |- ( ( N e. NN0 /\ K e. ZZ ) -> ( N _C K ) e. NN0 ) $=
      ( vk vm cn0 wcel cv cbc co cz wral cc0 c1 wceq oveq1 eleq1d ralbidv oveq2
      wa 0nn0 vn caddc cfz elfz1eq adantl bcn0 1nn0 eqeltri eqeltrdi syl bcval3
      ax-mp mp3an1 pm2.61dan rgen cbvralvw cmin bcpasc adantlr rspccva peano2zm
      wn sylan2 nn0addcld adantll eqeltrrd ralrimiva ex syl5bi nn0ind sylan ) B
      EFBCGZHIZEFZCJKZAJFBAHIZEFZDGZVLHIZEFZCJKLVLHIZEFZCJKUAGZVLHIZEFZCJKZWCMU
      BIZVLHIZEFZCJKZVODUABVRLNZVTWBCJWKVSWAEVRLVLHOPQVRWCNZVTWECJWLVSWDEVRWCVL
      HOPQVRWGNZVTWICJWMVSWHEVRWGVLHOPQVRBNZVTVNCJWNVSVMEVRBVLHOPQWBCJVLJFZVLLL
      UCIFZWBWOWPSVLLNZWBWPWQWOVLLUDUEWQWALLHIZEVLLLHRWRMELEFZWRMNTLUFULUGUHUIU
      JWOWPVBZSWALEWSWOWTWALNTVLLUKUMTUIUNUOWFWCVRHIZEFZDJKZWCEFZWJWEXBCDJVLVRN
      WDXAEVLVRWCHRPUPXDXCWJXDXCSZWICJXEWOSWDWCVLMUQIZHIZUBIZWHEXDWOXHWHNXCVLWC
      URUSXCWOXHEFXDXCWOSWDXGXBWEDVLJVRVLNXAWDEVRVLWCHRPUTWOXCXFJFXGEFZVLVAXBXI
      DXFJVRXFNXAXGEVRXFWCHRPUTVCVDVEVFVGVHVIVJVNVQCAJVLANVMVPEVLABHRPUTVK $.

    $( A binomial coefficient, in its standard domain, is a positive integer.
       (Contributed by NM, 3-Jan-2006.)  (Revised by Mario Carneiro,
       10-Mar-2014.) $)
    bccl2 $p |- ( K e. ( 0 ... N ) -> ( N _C K ) e. NN ) $=
      ( cc0 cfz co wcel cbc cn0 clt wbr cn elfz3nn0 elfzelz bccl syl2anc bcrpcl
      cz rpgt0d elnnnn0b sylanbrc ) ACBDEFZBAGEZHFZCUBIJUBKFUABHFAQFUCABLACBMAB
      NOUAUBABPRUBST $.
  $}

  $( Compute the binomial coefficient " ` N ` choose 2 " from " ` ( N - 1 ) `
     choose 2 ":  (N-1) + ( (N-1) 2 ) = ( N 2 ).  (Contributed by Alexander van
     der Vekens, 7-Jan-2018.) $)
  bcn2m1 $p |- ( N e. NN
                 -> ( ( N - 1 ) + ( ( N - 1 ) _C 2 ) ) = ( N _C 2 ) ) $=
    ( cn wcel c1 cmin co c2 cbc caddc nnm1nn0 nn0cnd cz 2z bccl sylancl addcomd
    cn0 wceq oveq2d eqtrd bcn1 eqcomd syl 1e2m1 a1i bcpasc npcand oveq1d 3eqtrd
    nncn 1cnd ) ABCZADEFZUMGHFZIFUNUMIFUNUMGDEFZHFZIFZAGHFZULUMUNULUMAJZKULUNUL
    UMQCZGLCZUNQCUSMGUMNOKPULUMUPUNIULUMUMDHFZUPULUTUMVBRUSUTVBUMUMUAUBUCULDUOU
    MHDUORULUDUESTSULUQUMDIFZGHFZURULUTVAUQVDRUSMGUMUFOULVCAGHULADAUJULUKUGUHTU
    I $.

  $( Compute the binomial coefficient " ` ( N + 1 ) ` choose 2 " from " ` N `
     choose 2 ":  N + ( N 2 ) = ( (N+1) 2 ).  (Contributed by Alexander van der
     Vekens, 8-Jan-2018.) $)
  bcn2p1 $p |- ( N e. NN0 -> ( N + ( N _C 2 ) ) = ( ( N + 1 ) _C 2 ) ) $=
    ( cn0 wcel c2 cbc co caddc c1 cmin nn0cn cz 2z bccl mpan2 addcomd bcn1 wceq
    nn0cnd 1e2m1 oveq2d a1i eqtr3d bcpasc 3eqtrd ) ABCZAADEFZGFUFAGFUFADHIFZEFZ
    GFZAHGFDEFZUEAUFAJUEUFUEDKCZUFBCLDAMNROUEAUHUFGUEAHEFAUHAPUEHUGAEHUGQUESUAT
    UBTUEUKUIUJQLDAUCNUD $.

  $( The number of permutations of ` N - R ` objects from a collection of ` N `
     objects is a positive integer.  (Contributed by Jason Orendorff,
     24-Jan-2007.) $)
  permnn $p |- ( R e. ( 0 ... N ) -> ( ( ! ` N ) / ( ! ` R ) ) e. NN ) $=
    ( cc0 cfz co wcel cfa cn cmin cmul cc cdiv elfznn0 faccld fznn0sub nnmulcld
    cfv cn0 nncnd syl elfz3nn0 faccl wne facne0 divcan4d eqeltrd bccl2 eqeltrrd
    cbc bcval2 nndivtr syl32anc ) ACBDEFZAGQZHFBAIEZGQZUNJEZHFBGQZKFZUQUNLEZHFU
    RUQLEZHFURUNLEHFUMAABMZNZUMUPUNUMUOACBONZVCPUMBRFZUSABUAVEURBUBSTUMUTUPHUMU
    PUNUMUPVDSUMUNVCSUMARFUNCUCVBAUDTUEVDUFUMBAUIEVAHABUJABUGUHUNUQURUKUL $.

  $( The binomial coefficent of ` ( N - 1 ) ` is ` N ` .  (Contributed by Scott
     Fenton, 16-May-2014.) $)
  bcnm1 $p |- ( N e. NN0 -> ( N _C ( N - 1 ) ) = N ) $=
    ( cn0 wcel c1 cbc co cmin cz wceq 1z bccmpl mpan2 bcn1 eqtr3d ) ABCZADEFZAA
    DGFEFZAODHCPQIJDAKLAMN $.

  $( The value of four choose three.  (Contributed by Scott Fenton,
     11-Jun-2016.) $)
  4bc3eq4 $p |- ( 4 _C 3 ) = 4 $=
    ( c4 c1 cmin co cbc c3 4m1e3 oveq2i cn0 wcel wceq 4nn0 bcnm1 ax-mp eqtr3i )
    AABCDZEDZAFEDAPFAEGHAIJQAKLAMNO $.

  $( The value of four choose two.  (Contributed by Scott Fenton,
     9-Jan-2017.) $)
  4bc2eq6 $p |- ( 4 _C 2 ) = 6 $=
    ( c4 c2 co cfa cfv cmul cdiv c6 cc0 wcel wceq cz cle wbr ax-mp c3 3nn0 df-4
    fveq2i eqtri cbc cmin cfz w3a wa 0z 3pm3.2i 0le2 2re 4re 2lt4 ltleii pm3.2i
    4z 2z elfz4 mp2an bcval2 caddc cn0 facp1 oveq2i 3eqtr4i 4cn 2p2e4 subaddrii
    c1 2cn fac2 oveq12i 2t2e4 cn faccl nncni 4ne0 divcan4i fac3 ) ABUACZADEZABU
    BCZDEZBDEZFCZGCZHBIAUCCJZVRWDKILJZALJZBLJZUDIBMNZBAMNZUEWEWFWGWHUFUNUOUGWIW
    JUHBAUIUJUKULUMBIAUPUQBAUROWDPDEZAFCZAGCZHVSWLWCAGPVGUSCZDEZWKWNFCZVSWLPUTJ
    ZWOWPKQPVAOAWNDRSAWNWKFRVBVCWCBBFCAWABWBBFWAWBBVTBDABBVDVHVHVEVFSVITVIVJVKT
    VJWMWKHWKAWKWQWKVLJQPVMOVNVDVOVPVQTTT $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The ` # ` (set size) function
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c # $.

  $( Extend the definition of a class to include the set size function. $)
  chash $a class # $.

  $( Define the set size function ` # ` , which gives the cardinality of a
     finite set as a member of ` NN0 ` , and assigns all infinite sets the
     value ` +oo ` .  For example, ` ( # `` { 0 , 1 , 2 } ) = 3 `
     ( ~ ex-hash ).  (Contributed by Paul Chapman, 22-Jun-2011.) $)
  df-hash $a |- # = ( ( ( rec (
                 ( x e. _V |-> ( x + 1 ) ) , 0 ) |` _om ) o. card ) u.
                 ( ( _V \ Fin ) X. { +oo } ) ) $.

  ${
    $d A x y $.  $d K y $.
    hashgval.1 $e |- G = ( rec ( ( x e. _V |-> ( x + 1 ) ) , 0 ) |` _om ) $.
    ${
      hashkf.2 $e |- K = ( G o. card ) $.
      $( The finite part of the size function maps all finite sets to their
         cardinality, as members of ` NN0 ` .  (Contributed by Mario Carneiro,
         13-Sep-2013.)  (Revised by Mario Carneiro, 26-Dec-2014.) $)
      hashkf $p |- K : Fin --> NN0 $=
        ( vy cfn cn0 wf wfn cfv wcel ccrd wfun cdm com ax-mp cen wbr con0 cv c1
        wral ccom wceq cvv caddc co cmpt cc0 crdg cres frfnom fneq1i mpbir wrex
        fnfun cab cardf2 ffun funco mp2an ccnv cima dmco fndmi imaeq2i wa funfn
        wb mpbi elpreima cardid2 ensymd breq2 rspcev syl2anr isfi sylibr finnum
        id ficardom jca impbii bitri eqriv 3eqtri df-fn mpbir2an fveq1i sylancr
        fvco eqtrid wf1o hashgf1o f1of ffvelrni syl eqeltrd rgen ffnfv ) GHCICG
        JZFUAZCKZHLZFGUCXBBMUDZGJZXGXFNZXFOZGUEBNZMNZXHBPJZXJXLAUFAUAZUBUGUHUIZ
        UJUKPULZPJUJXNUMPBXODUNUOZPBUQQXMXCRSATUPFURZTMIXKFAUSXQTMUTQZBMVAVBXIM
        VCZBOZVDXSPVDZGBMVEXTPXSPBXPVFVGFYAGXCYALZXCMOZLZXCMKZPLZVHZXCGLZMYCJZY
        BYGVJXKYIXRMVIVKYCXCPMVLQYGYHYGXCXMRSZAPUPZYHYFYFXCYERSZYKYDYFWAYDYEXCX
        CVMVNYJYLAYEPXMYEXCRVOVPVQAXCVRVSYHYDYFXCVTZXCWBZWCWDWEWFWGXFGWHWIGCXFE
        UNUOXEFGYHXDYEBKZHYHXDXCXFKZYOXCCXFEWJYHXKYDYPYOUEXRYMXCBMWLWKWMYHYFYOH
        LYNPHYEBPHBWNPHBIABDWOPHBWPQWQWRWSWTFGHCXAWI $.
    $}

    $( The value of the ` # ` function in terms of the mapping ` G ` from
       ` _om ` to ` NN0 ` .  The proof avoids the use of ~ ax-ac .
       (Contributed by Paul Chapman, 22-Jun-2011.)  (Revised by Mario Carneiro,
       26-Dec-2014.) $)
    hashgval $p |- ( A e. Fin -> ( G ` ( card ` A ) ) = ( # ` A ) ) $=
      ( vy cfn wcel chash cres cfv ccrd ccom cvv cv cpnf cun c0 wf wceq con0 c1
      caddc cmpt cc0 crdg com cdif csn cxp resundir cn0 wfn eqid hashkf fnresdm
      co ffn mp2b cin disjdifr wb pnfex fconst fnresdisj mpbi uneq12i un0 eqtri
      df-hash reseq1i coeq1i 3eqtr4i fveq1i wfun cdm cen wrex cardf2 ffun ax-mp
      wbr cab finnum fvco sylancr eqtrid fvres eqtr3d ) BFGZBHFIZJZBKJCJZBHJWIW
      KBCKLZJZWLBWJWMAMANZUAUBUPUCUDUEUFIZKLZMFUGZOUHZUIZPZFIZWQWJWMXBWQFIZWTFI
      ZPZWQWQWTFUJXEWQQPWQXCWQXDQFUKWQRWQFULXCWQSAWPWQWPUMWQUMUNFUKWQUQFWQUOURW
      RFUSQSZXDQSZFMUTWRWSWTRWTWRULXFXGVAWROVBVCWRWSWTUQWRFWTVDURVEVFWQVGVHVHHX
      AFAVIVJCWPKDVKVLVMWIKVNZBKVOGWNWLSENWOVPWAETVQAWBZTKRXHAEVRXITKVSVTBWCBCK
      WDWEWFBFHWGWH $.

    $( The converse of ` G ` maps the size function's value to ` card ` .
       (Contributed by Paul Chapman, 22-Jun-2011.)  (Revised by Mario Carneiro,
       15-Sep-2013.) $)
    hashginv $p |- ( A e. Fin -> ( `' G ` ( # ` A ) ) = ( card ` A ) ) $=
      ( cfn wcel ccrd cfv com chash wceq ccnv ficardom hashgval cn0 wi hashgf1o
      wf1o f1ocnvfv mpan sylc ) BEFBGHZIFZUBCHBJHZKZUDCLHUBKZBMABCDNIOCRUCUEUFP
      ACDQIOUBUDCSTUA $.
  $}

  ${
    $d A x $.
    $( The value of the ` # ` function on an infinite set.  (Contributed by
       Mario Carneiro, 13-Jul-2014.) $)
    hashinf $p |- ( ( A e. V /\ -. A e. Fin ) -> ( # ` A ) = +oo ) $=
      ( vx wcel cvv cfn chash cfv cpnf wceq cres cun c0 cn0 wfn eqid mp2b pnfex
      wf ffn wn elex wa cdif eldif csn cxp cv caddc cmpt cc0 crdg com ccrd ccom
      c1 co df-hash reseq1i resundir disjdif wb hashkf fnresdisj fconst fnresdm
      cin mpbi uneq12i uncom 3eqtri fveq1i fvres fvconst2 3eqtr3a sylbir sylan
      un0 ) ABDAEDZAFDUAZAGHZIJZABUBVSVTUCAEFUDZDZWBAEFUEWDAGWCKZHAWCIUFZUGZHWA
      IAWEWGWECECUHUPUIUQUJUKULUMKZUNUOZWGLZWCKWIWCKZWGWCKZLZWGGWJWCCURUSWIWGWC
      UTWMMWGLWGMLWGWKMWLWGFWCVGMJZWKMJZFEVAFNWISWIFOWNWOVBCWHWIWHPWIPVCFNWITFW
      CWIVDQVHWCWFWGSWGWCOWLWGJWCIRVEWCWFWGTWCWGVFQVIMWGVJWGVRVKVKVLAWCGVMWCIAR
      VNVOVPVQ $.

    $( If ` A ` has size bounded by an integer ` B ` , then ` A ` is finite.
       (Contributed by Mario Carneiro, 14-Jun-2015.) $)
    hashbnd $p |- ( ( A e. V /\ B e. NN0 /\ ( # ` A ) <_ B ) -> A e. Fin ) $=
      ( wcel cn0 chash cfv cle wbr cfn wa wn wi cpnf cr nn0re clt ltpnf cxr wb
      rexr pnfxr xrltnle sylancl mpbid hashinf breq1d notbid syl5ibrcom expdimp
      syl ancoms con4d 3impia ) ACDZBEDZAFGZBHIZAJDZUOUPKUSURUPUOUSLZURLZMUPUOU
      TVAUPVAUOUTKZNBHIZLZUPBODZVDBPVEBNQIZVDBRVEBSDNSDVFVDTBUAUBBNUCUDUEUKVBUR
      VCVBUQNBHACUFUGUHUIUJULUMUN $.
  $}

  $( The size function is a function into the extended nonnegative integers.
     (Contributed by Mario Carneiro, 13-Sep-2013.)  (Revised by AV,
     10-Dec-2020.) $)
  hashfxnn0 $p |- # : _V --> NN0* $=
    ( vx cvv cxnn0 chash wf cfn cdif cun cn0 cpnf csn cv c1 caddc cmpt cc0 crdg
    co wceq eqid com cres ccrd cxp wa cin c0 hashkf pnfex fconst pm3.2i disjdif
    ccom fun mp2an wb df-hash df-xnn0 feq123 mp3an unvdif feq2i bitr4i mpbir )
    BCDEZFBFGZHZIJKZHZABALMNROPQUAUBZUCUMZVFVHUDZHZEZFIVKEZVFVHVLEZUEFVFUFUGSVN
    VOVPAVJVKVJTVKTUHVFJUIUJUKFBULFVFIVHVKVLUNUOVEBVIVMEZVNDVMSBBSCVISVEVQUPAUQ
    BTURBCBVIDVMUSUTVGBVIVMFVAVBVCVD $.

  $( The size function maps all finite sets to their cardinality, as members of
     ` NN0 ` , and infinite sets to ` +oo ` .  TODO-AV: mark as OBSOLETE and
     replace it by ~ hashfxnn0 ?  (Contributed by Mario Carneiro, 13-Sep-2013.)
     (Revised by Mario Carneiro, 13-Jul-2014.)  (Proof shortened by AV,
     24-Oct-2021.) $)
  hashf $p |- # : _V --> ( NN0 u. { +oo } ) $=
    ( cvv cn0 cpnf csn cun chash wf cxnn0 hashfxnn0 df-xnn0 eqcomi feq23i mpbir
    eqid ) ABCDEZFGAHFGIAOAHFANHOJKLM $.

  $( The value of the hash function for a set is an extended nonnegative
     integer.  (Contributed by Alexander van der Vekens, 6-Dec-2017.)  (Revised
     by AV, 10-Dec-2020.) $)
  hashxnn0 $p |- ( M e. V -> ( # ` M ) e. NN0* ) $=
    ( wcel cvv cxnn0 chash wf hashfxnn0 a1i elex ffvelrnd ) ABCZDEAFDEFGLHIABJK
    $.

  $( Restriction of the domain of the size function.  (Contributed by Thierry
     Arnoux, 31-Jan-2017.) $)
  hashresfn $p |- ( # |` A ) Fn A $=
    ( chash cvv cin cres wfn cn0 cpnf csn cun hashf ffn fnresin2 mp2b wceq inv1
    wf wb reseq2i fneq12 mp2an mpbi ) BACDZEZUCFZBAEZAFZCGHIJZBQBCFUEKCUHBLCABM
    NUDUFOUCAOUEUGRUCABAPZSUIUCAUDUFTUAUB $.

  $( Restriction of the domain of the size function.  (Contributed by Thierry
     Arnoux, 12-Jan-2017.) $)
  dmhashres $p |- dom ( # |` A ) = A $=
    ( chash cres cdm cin cvv dmres cn0 cpnf csn hashf fdmi ineq2i inv1 3eqtri
    cun ) BACDABDZEAFEABAGQFAFHIJPBKLMANO $.

  $( The value of the hash function for a set is either a nonnegative integer
     or positive infinity.  TODO-AV: mark as OBSOLETE and replace it by
     ~ hashxnn0 ?  (Contributed by Alexander van der Vekens, 6-Dec-2017.) $)
  hashnn0pnf $p |- ( M e. V -> ( ( # ` M ) e. NN0 \/ ( # ` M ) = +oo ) ) $=
    ( wcel chash cfv cn0 cpnf csn cun wceq wo cvv hashf a1i elex ffvelrnd elsni
    wf elun orim2i sylbi syl ) ABCZADEZFGHZIZCZUDFCZUDGJZKZUCLUFADLUFDRUCMNABOP
    UGUHUDUECZKUJUDFUESUKUIUHUDGQTUAUB $.

  $( If the size of a set is not a nonnegative integer, it is greater than or
     equal to any nonnegative integer.  (Contributed by Alexander van der
     Vekens, 6-Dec-2017.) $)
  hashnnn0genn0 $p |- ( ( M e. V /\ ( # ` M ) e/ NN0 /\ N e. NN0 )
                        -> N <_ ( # ` M ) ) $=
    ( wcel chash cfv cn0 wnel w3a cle wbr cpnf wceq wi wn df-nel sylbi 3ad2ant2
    pm2.21 cxr clt nn0re ltpnfd rexrd pnfxr xrltle sylancl mpd breq2 syl5ibrcom
    3ad2ant3 wo hashnn0pnf 3ad2ant1 mpjaod ) ACDZAEFZGHZBGDZIUQGDZBUQJKZUQLMZUR
    UPUTVANZUSURUTOVCUQGPUTVASQRUSUPVBVANURUSVAVBBLJKZUSBLUAKZVDUSBBUBZUCUSBTDL
    TDVEVDNUSBVFUDUEBLUFUGUHUQLBJUIUJUKUPURUTVBULUSACUMUNUO $.

  $( The size of a set is never minus infinity.  (Contributed by Alexander van
     der Vekens, 21-Dec-2017.) $)
  hashnemnf $p |- ( A e. V -> ( # ` A ) =/= -oo ) $=
    ( wcel chash cfv cn0 cpnf wceq wo cmnf wne hashnn0pnf cr wnel mnfnre df-nel
    wn nn0re con3i sylbi ax-mp eleq1 mtbiri necon2ai pnfnemnf neeq1 mpbiri jaoi
    syl ) ABCADEZFCZUJGHZIUJJKZABLUKUMULUKUJJUJJHUKJFCZJMNZUNQZOUOJMCZQUPJMPUNU
    QJRSTUAUJJFUBUCUDULUMGJKUEUJGJUFUGUHUI $.

  $( The size of a set is either 0 or 1 or greater than 1.  (Contributed by
     Alexander van der Vekens, 29-Dec-2017.) $)
  hashv01gt1 $p |- ( M e. V
                    -> ( ( # ` M ) = 0 \/ ( # ` M ) = 1 \/ 1 < ( # ` M ) ) ) $=
    ( wcel chash cfv cn0 cpnf wceq wo cc0 c1 clt wbr hashnn0pnf cn elnn0 mpbiri
    w3o wne jaoi exmidne nngt1ne1 orbi2d 3orass sylibr 3mix1 sylbi cr 1re ltpnf
    olcd ax-mp breq2 3mix3d syl ) ABCADEZFCZUPGHZIUPJHZUPKHZKUPLMZRZABNUQVBURUQ
    UPOCZUSIVBUPPVCVBUSVCUSUTVAIZIVBVCVDUSVCVDUTUPKSZIUPKUAVCVAVEUTUPUBUCQUKUSU
    TVAUDUEUSUTVAUFTUGURVAUSUTURVAKGLMZKUHCVFUIKUJULUPGKLUMQUNTUO $.

  ${
    $d A x $.  $d B x $.  $d x N $.
    $( The set ` ( 1 ... N ) ` has ` N ` elements.  (Contributed by Paul
       Chapman, 22-Jun-2011.)  (Revised by Mario Carneiro, 15-Sep-2013.) $)
    hashfz1 $p |- ( N e. NN0 -> ( # ` ( 1 ... N ) ) = N ) $=
      ( vx cn0 wcel c1 cfz co ccrd cfv cvv cv caddc cmpt cc0 crdg com cres ccnv
      chash wceq eqid cardfz fveq2d fzfid hashgval wf1o hashgf1o f1ocnvfv2 mpan
      cfn syl 3eqtr3d ) ACDZEAFGZHIZBJBKELGMNOPQZIZAUPRIZUPIZUNSIZAUMUOURUPBUPA
      UPUAZUBUCUMUNUJDUQUTTUMEAUDBUNUPVAUEUKPCUPUFUMUSATBUPVAUGPCAUPUHUIUL $.

    $( Two finite sets have the same number of elements iff they are
       equinumerous.  (Contributed by Paul Chapman, 22-Jun-2011.)  (Revised by
       Mario Carneiro, 15-Sep-2013.) $)
    hashen $p |- ( ( A e. Fin /\ B e. Fin ) ->
                   ( ( # ` A ) = ( # ` B ) <-> A ~~ B ) ) $=
      ( vx cfn wcel wa chash cfv wceq ccrd cen wbr cvv fveq2 hashginv eqeqan12d
      cv syl5ib hashgval finnum c1 caddc co cmpt cc0 crdg cres ccnv eqid impbid
      com cdm wb carden2 syl2an bitrd ) ADEZBDEZFZAGHZBGHZIZAJHZBJHZIZABKLZUSVB
      VEVBUTCMCQUAUBUCUDUEUFUKUGZUHZHZVAVHHZIUSVEUTVAVHNUQURVIVCVJVDCAVGVGUIZOC
      BVGVKOPRVEVCVGHZVDVGHZIUSVBVCVDVGNUQURVLUTVMVACAVGVKSCBVGVKSPRUJUQAJULZEB
      VNEVEVFUMURATBTABUNUOUP $.

    $( Equinumerous sets have the same number of elements (even if they are not
       finite).  (Contributed by Mario Carneiro, 15-Apr-2015.) $)
    hasheni $p |- ( A ~~ B -> ( # ` A ) = ( # ` B ) ) $=
      ( cen wbr cfn wcel chash cfv wceq wa simpl wb enfii ancoms hashen wn cpnf
      cvv relen hashinf sylancom mpbird brrelex1i enfi notbid biimpar brrelex2i
      syl2an2r sylan eqtr4d pm2.61dan ) ABCDZBEFZAGHZBGHZIZULUMJUPULULUMKULUMAE
      FZUPULLUMULUQABMNABOUAUBULUMPZJUNQUOULARFURUQPZUNQIABCSUCULUSURULUQUMABUD
      UEUFARTUHULBRFURUOQIABCSUGBRTUIUJUK $.
  $}

  ${
    $d A f $.  $d B f $.
    $( The size of two finite sets is equal if and only if there is a bijection
       mapping one of the sets onto the other.  (Contributed by Alexander van
       der Vekens, 17-Dec-2017.) $)
    hasheqf1o $p |- ( ( A e. Fin /\ B e. Fin )
                 -> ( ( # ` A ) = ( # ` B ) <-> E. f f : A -1-1-onto-> B ) ) $=
      ( cfn wcel wa chash cfv wceq cen wbr cv wf1o wex hashen bren bitrdi ) ADE
      BDEFAGHBGHIABJKABCLMCNABOABCPQ $.

    $( There is no bijection between a finite set and an infinite set.
       (Contributed by Alexander van der Vekens, 25-Dec-2017.) $)
    fiinfnf1o $p |- ( ( A e. Fin /\ -. B e. Fin )
                      -> -. E. f f : A -1-1-onto-> B ) $=
      ( cfn wcel cv wf1o wex wfo f1ofo fofi ex syl5 exlimdv con3dimp ) ADEZABCF
      ZGZCHBDEZPRSCRABQIZPSABQJPTSABQKLMNO $.
  $}

  $( The codomain of an onto function is a set if its domain is a set.
     (Contributed by AV, 4-May-2021.) $)
  focdmex $p |- ( ( A e. V /\ F : A -onto-> B ) -> B e. _V ) $=
    ( wcel wfo wa crn cvv wf fof anim2i ancomd rnexg 3syl wb forn eleq1d adantl
    fex mpbid ) ADEZABCFZGZCHZIEZBIEZUDABCJZUBGCIEUFUDUBUHUCUHUBABCKLMABDCTCINO
    UCUFUGPUBUCUEBIABCQRSUA $.

  ${
    $d A f g $.  $d B f g $.  $d V f $.
    $( The size of two sets is equal if there is a bijection mapping one of the
       sets onto the other.  (Contributed by Alexander van der Vekens,
       25-Dec-2017.)  (Revised by AV, 4-May-2021.) $)
    hasheqf1oi $p |- ( A e. V -> ( E. f f : A -1-1-onto-> B
                                      -> ( # ` A ) = ( # ` B ) ) ) $=
      ( vg cfn wcel cv wf1o wex chash cfv wceq wi wa wn adantr cvv ex cpnf ccnv
      hasheqf1o biimprd a1d fiinfnf1o pm2.21d 19.41v wrel wb f1orel f1ocnvb syl
      f1of fex sylan cnvexg f1oeq1 spcegv 3syl pm2.24 syl6 sylbid com12 anabsi5
      wf exlimiv sylbir com13 ancoms hashinf expcom imp wfo simpr f1ofo focdmex
      syl2an ad3antlr mpd eqtr4d exlimdv 4cases ) AFGZBFGZADGZABCHZIZCJZAKLZBKL
      ZMZNZNZWCWDOZWLWEWNWKWHABCUBUCUDWCWDPZOZWLWEWPWHWKABCUEUFUDWDWCPZWMWDWQOB
      AEHZIZEJZPZWMBAEUEWHWEXAWKWHWEXAWKNZWHWEOWGWEOZCJXBWGWECUGXCXBCWGWEXBXCWG
      XBXCWGBAWFUAZIZXBXCWFUHZWGXEUIWGXFWEABWFUJQABWFUKULXCXEWTXBXCWFRGZXDRGXEW
      TNWGABWFVEWEXGABWFUMABDWFUNUOWFRUPWSXEEXDRBAWRXDUQURUSWTWKUTVAVBVCVDVFVGS
      VHULVIWQWOOZWEWLXHWEOZWGWKCXIWGWKXIWGOZWITWJXIWITMZWGXHWEXKWQWEXKNWOWEWQX
      KADVJVKQVLQXJBRGZWJTMZXIWEABWFVMXLWGXHWEVNABWFVOABWFDVPVQWOXLXMNWQWEWGXLW
      OXMBRVJVKVRVSVTSWASWB $.
  $}

  ${
    $d A f $.  $d B f $.  $d F f $.  $d V f $.
    $( The size of a finite set which is a one-to-one function is equal to the
       size of the function's range.  (Contributed by Alexander van der Vekens,
       12-Jan-2018.)  (Revised by AV, 4-May-2021.) $)
    hashf1rn $p |- ( ( A e. V /\ F : A -1-1-> B )
                     -> ( # ` F ) = ( # ` ran F ) ) $=
      ( vf vx wcel wf1 wa cvv crn cv wf1o wex chash cfv wceq wf c2nd wi f1f fex
      anim2i ancomd syl cres f1o2ndf1 wfun csn df-2nd funmpt2 resfunexg sylancr
      cuni f1oeq1 biimpd eqcoms adantl spcimedv ex com13 impcom hasheqf1oi sylc
      mpcom ) ADGZABCHZIZCJGZCCKZELZMZENZCOPVJOPQVHABCRZVFIVIVHVFVNVGVNVFABCUAU
      CUDABDCUBUEZVGVFVMCVJSCUFZMZVGVFVMTABCUGVFVGVQVMVFVGVQVMTVHVLVQEVPJVHSUHV
      IVPJGFJFLUIKUNSFUJUKVOSCJULUMVKVPQVQVLTZVHVRVPVKVPVKQVQVLCVJVPVKUOUPUQURU
      SUTVAVEVBCVJEJVCVD $.
  $}

  ${
    $d A f $.  $d B f $.  $d F f $.  $d U f $.  $d ph f $.
    hasheqf1od.a $e |- ( ph -> A e. U ) $.
    hasheqf1od.f $e |- ( ph -> F : A -1-1-onto-> B ) $.
    $( The size of two sets is equal if there is a bijection mapping one of the
       sets onto the other.  (Contributed by AV, 4-May-2021.) $)
    hasheqf1od $p |- ( ph -> ( # ` A ) = ( # ` B ) ) $=
      ( vf wcel cv wf1o wex chash cfv wceq cvv wf f1of syl fexd hasheqf1oi sylc
      f1oeq1 spcedv ) ABDIBCHJZKZHLBMNCMNOFAUFBCEKZHPEABCDEAUGBCEQGBCERSFTGBCUE
      EUCUDBCHDUAUB $.
  $}

  $( Two possibly-empty 1-based finite sets of sequential integers are equal
     iff their endpoints are equal.  (Contributed by Paul Chapman,
     22-Jun-2011.)  (Proof shortened by Mario Carneiro, 29-Mar-2014.) $)
  fz1eqb $p |- ( ( M e. NN0 /\ N e. NN0 ) ->
               ( ( 1 ... M ) = ( 1 ... N ) <-> M = N ) ) $=
    ( cn0 wcel wa c1 cfz co wceq chash cfv fveq2 hashfz1 eqeqan12d syl5ib oveq2
    impbid1 ) ACDZBCDZEZFAGHZFBGHZIZABIZUCUAJKZUBJKZITUDUAUBJLRSUEAUFBAMBMNOABF
    GPQ $.

  ${
    $d x A $.
    $( The size function of the cardinality function.  (Contributed by Mario
       Carneiro, 19-Sep-2013.)  (Revised by Mario Carneiro, 4-Nov-2013.) $)
    hashcard $p |- ( A e. Fin -> ( # ` ( card ` A ) ) = ( # ` A ) ) $=
      ( vx cfn wcel ccrd cfv cvv cv c1 caddc co cmpt cc0 crdg com chash cardidm
      cres fveq2i hashgval wceq wss ficardom ssid ssnnfi sylancl eqid 3eqtr3a
      syl ) ACDZAEFZEFZBGBHIJKLMNORZFZUKUMFUKPFZAPFULUKUMAQSUJUKCDZUNUOUAUJUKOD
      UKUKUBUPAUCUKUDUKUKUEUFBUKUMUMUGZTUIBAUMUQTUH $.

    $( Closure of the ` # ` function.  (Contributed by Paul Chapman,
       26-Oct-2012.)  (Revised by Mario Carneiro, 13-Jul-2014.) $)
    hashcl $p |- ( A e. Fin -> ( # ` A ) e. NN0 ) $=
      ( vx cfn wcel ccrd cfv cvv cv c1 caddc co cmpt cc0 crdg com cres cn0 eqid
      chash hashgval ficardom wf1o wf hashgf1o f1of ax-mp ffvelrni syl eqeltrrd
      ) ACDZAEFZBGBHIJKLMNOPZFZASFQBAULULRZTUJUKODUMQDAUAOQUKULOQULUBOQULUCBULU
      NUDOQULUEUFUGUHUI $.

    $( Extended real closure of the ` # ` function.  (Contributed by Mario
       Carneiro, 22-Apr-2015.) $)
    hashxrcl $p |- ( A e. V -> ( # ` A ) e. RR* ) $=
      ( wcel cn0 cpnf csn cun cxr chash cfv cr nn0ssre ressxr sstri pnfxr snssi
      wss ax-mp unssi cvv elex hashf ffvelrni syl sselid ) ABCZDEFZGZHAIJZDUGHD
      KHLMNEHCUGHQOEHPRSUFATCUIUHCABUATUHAIUBUCUDUE $.

    $( Reverse closure of the ` # ` function.  (Contributed by Mario Carneiro,
       15-Jan-2015.) $)
    hashclb $p |- ( A e. V -> ( A e. Fin <-> ( # ` A ) e. NN0 ) ) $=
      ( wcel cfn chash cfv cn0 hashcl cr nn0re wn wa cpnf pnfnre hashinf eleq1d
      neli mtbiri ex con4d syl5 impbid2 ) ABCZADCZAEFZGCZAHUFUEICZUCUDUEJUCUDUG
      UCUDKZUGKUCUHLZUGMICMINQUIUEMIABOPRSTUAUB $.
  $}

  $( The size of any infinite set is always greater than or equal to the size
     of any set.  (Contributed by AV, 13-Nov-2020.) $)
  nfile $p |- ( ( A e. V /\ B e. W /\ -. B e. Fin )
                -> ( # ` A ) <_ ( # ` B ) ) $=
    ( wcel cfn wn w3a chash cfv cle wbr cxr hashxrcl pnfge syl 3ad2ant1 hashinf
    cpnf wceq 3adant1 breqtrrd ) ACEZBDEZBFEGZHAIJZSBIJZKUCUDUFSKLZUEUCUFMEUHAC
    NUFOPQUDUEUGSTUCBDRUAUB $.

  $( A set of finite size is a finite set.  (Contributed by Alexander van der
     Vekens, 8-Dec-2017.) $)
  hashvnfin $p |- ( ( S e. V /\ N e. NN0 )
                    -> ( ( # ` S ) = N -> S e. Fin ) ) $=
    ( wcel cn0 wa chash cfv wceq cfn eleq1a adantl hashclb bicomd adantr sylibd
    wi wb ) ACDZBEDZFAGHZBIZUAEDZAJDZTUBUCQSBEUAKLSUCUDRTSUDUCACMNOP $.

  $( The size of an infinite set is not a nonnegative integer.  (Contributed by
     Alexander van der Vekens, 21-Dec-2017.)  (Proof shortened by Alexander van
     der Vekens, 18-Jan-2018.) $)
  hashnfinnn0 $p |- ( ( A e. V /\ -. A e. Fin ) -> ( # ` A ) e/ NN0 ) $=
    ( wcel cfn wn chash cfv cn0 wnel nnel hashclb biimprd syl5bi con1d imp ) AB
    CZADCZEAFGZHIZPSQSERHCZPQRHJPQTABKLMNO $.

  $( A finite set is equinumerous to the range of integers from one up to the
     hash value of the set.  In other words, counting objects with natural
     numbers works if and only if it is a finite collection.  (Contributed by
     Richard Penner, 26-Feb-2020.) $)
  isfinite4 $p |- ( A e. Fin <-> ( 1 ... ( # ` A ) ) ~~ A ) $=
    ( cfn wcel c1 chash cfv cfz cen wbr wceq cn0 hashcl hashfz1 syl fzfi hashen
    co wb mpan mpbid ensym enfi biimprcd mpsyl impbii ) ABCZDAEFZGQZAHIZUFUHEFU
    GJZUIUFUGKCUJALUGMNUHBCZUFUJUIRDUGOZUHAPSTUKUIAUHHIZUFULUHAUAUMUFUKAUHUBUCU
    DUE $.

  $( Two ways of saying a finite set is empty.  (Contributed by Paul Chapman,
     26-Oct-2012.)  (Revised by Mario Carneiro, 27-Jul-2014.) $)
  hasheq0 $p |- ( A e. V -> ( ( # ` A ) = 0 <-> A = (/) ) ) $=
    ( wcel cfn chash cfv cc0 wceq c0 wb wn wa cpnf pnfnre neli hashinf eqeltrdi
    cr id 0fin eleq1d mtbiri 0re nsyl con3i adantl 2falsed cen wbr hashen mpan2
    ex c1 cfz fz10 fveq2i cn0 0nn0 hashfz1 ax-mp eqtr3i eqeq2i 3bitr3g pm2.61d2
    co en0 ) ABCZADCZAEFZGHZAIHZJZVGVHKZVLVGVMLZVJVKVNVIRCZVJVNVOMRCMRNOVNVIMRA
    BPUAUBVJVIGRVJSUCQUDVMVKKVGVKVHVKAIDVKSTQUEUFUGULVHVIIEFZHZAIUHUIZVJVKVHIDC
    VQVRJTAIUJUKVPGVIUMGUNVEZEFZVPGVSIEUOUPGUQCVTGHURGUSUTVAVBAVFVCVD $.

  $( Two ways of saying a set is not empty.  (Contributed by Alexander van der
     Vekens, 23-Sep-2018.) $)
  hashneq0 $p |- ( A e. V -> ( 0 < ( # ` A ) <-> A =/= (/) ) ) $=
    ( wcel cc0 chash cfv clt wbr wne c0 cn0 cpnf wceq wo wb hashnn0pnf cr nn0re
    cle bitrd nn0ge0 ne0gt0 syl2anc bicomd breq2 0ltpnf 0re renepnf ax-mp neeq1
    necomi 2th bitr4id jaoi syl hasheq0 necon3bid ) ABCZDAEFZGHZUSDIZAJIURUSKCZ
    USLMZNUTVAOZABPVBVDVCVBVAUTVBUSQCDUSSHVAUTOUSRUSUAUSUBUCUDVCUTDLGHZVAUSLDGU
    EVCVELDIZVAVEVFUFDLDQCDLIUGDUHUIUKULUSLDUJUMTUNUOURUSDAJABUPUQT $.

  $( If the size of a set is greater than 0, the set is not empty.
     (Contributed by AV, 5-Aug-2018.)  (Proof shortened by AV, 18-Nov-2018.) $)
  hashgt0n0 $p |- ( ( A e. V /\ 0 < ( # ` A ) ) -> A =/= (/) ) $=
    ( wcel cc0 chash cfv clt wbr c0 wne hashneq0 biimpa ) ABCDAEFGHAIJABKL $.

  $( Positive natural closure of the hash function.  (Contributed by Mario
     Carneiro, 16-Jan-2015.) $)
  hashnncl $p |- ( A e. Fin -> ( ( # ` A ) e. NN <-> A =/= (/) ) ) $=
    ( cfn wcel chash cfv cn cc0 wne c0 nnne0 wceq cn0 wo hashcl elnn0 sylib ord
    necon1ad impbid2 hasheq0 necon3bid bitrd ) ABCZADEZFCZUDGHZAIHUCUEUFUDJUCUE
    UDGUCUEUDGKZUCUDLCUEUGMANUDOPQRSUCUDGAIABTUAUB $.

  $( The empty set has size zero.  (Contributed by Mario Carneiro,
     8-Jul-2014.) $)
  hash0 $p |- ( # ` (/) ) = 0 $=
    ( c0 chash cfv cc0 wceq eqid cvv wcel wb 0ex hasheq0 ax-mp mpbir ) ABCDEZAA
    EZAFAGHNOIJAGKLM $.

  ${
    hashelne0d.1 $e |- ( ph -> B e. A ) $.
    hashelne0d.2 $e |- ( ph -> A e. V ) $.
    $( A set with an element has nonzero size.  (Contributed by Rohan Ridenour,
       3-Aug-2023.) $)
    hashelne0d $p |- ( ph -> -. ( # ` A ) = 0 ) $=
      ( chash cfv cc0 wceq c0 ne0d neneqd wcel wb hasheq0 syl mtbird ) ABGHIJZB
      KJZABKABCELMABDNSTOFBDPQR $.
  $}

  $( The size of a singleton.  (Contributed by Paul Chapman, 26-Oct-2012.)
     (Proof shortened by Mario Carneiro, 13-Feb-2013.) $)
  hashsng $p |- ( A e. V -> ( # ` { A } ) = 1 ) $=
    ( wcel csn chash cfv c1 cen wbr wceq cz 1z en2sn mpan2 wb snfi hashen mp2an
    cfn ax-mp sylibr cfz co fzsn fveq2d cn0 1nn0 hashfz1 eqtr3di eqtrdi ) ABCZA
    DZEFZGDZEFZGUKULUNHIZUMUOJZUKGKCZUPLAGBKMNULSCUNSCUQUPOAPGPULUNQRUAURUOGJLU
    RGGUBUCZEFZUOGURUSUNEGUDUEGUFCUTGJUGGUHTUITUJ $.

  $( A set has size 1 if and only if it is equinumerous to the ordinal 1.
     (Contributed by AV, 14-Apr-2019.) $)
  hashen1 $p |- ( A e. V -> ( ( # ` A ) = 1 <-> A ~~ 1o ) ) $=
    ( wcel chash cfv c1 wceq csn cen wbr c1o cvv 0ex hashsng eqcomi a1i cfn cn0
    c0 wb ax-mp eqeq2d wa simpr wi 1nn0 eqeltri hashvnfin mpan2 imp snfi hashen
    sylancl mpbid ex hasheni impbid1 df1o2 breq2i 3bitrd ) ABCZADEZFGVBSHZDEZGZ
    AVCIJZAKIJZVAFVDVBFVDGVAVDFSLCVDFGMSLNUAZOPUBVAVEVFVAVEVFVAVEUCZVEVFVAVEUDV
    IAQCZVCQCVEVFTVAVEVJVAVDRCVEVJUEVDFRVHUFUGAVDBUHUIUJSUKAVCULUMUNUOAVCUPUQVF
    VGTVAVCKAIKVCUROUSPUT $.

  ${
    $d ph x $.  $d x A $.  $d x B $.
    hash1elsn.1 $e |- ( ph -> ( # ` A ) = 1 ) $.
    hash1elsn.2 $e |- ( ph -> B e. A ) $.
    hash1elsn.3 $e |- ( ph -> A e. V ) $.
    $( A set of size 1 with a known element is the singleton of that element.
       (Contributed by Rohan Ridenour, 3-Aug-2023.) $)
    hash1elsn $p |- ( ph -> A = { B } ) $=
      ( vx cv csn wceq c1o cen wbr wex chash cfv c1 wcel syl wb mpbid en1 sylib
      hashen1 wa simpr adantr eleqtrd elsni sneqd eqtr4d exlimddv ) ABHIZJZKZBC
      JZKHABLMNZUPHOABPQRKZUREABDSUSURUAGBDUETUBHBUCUDAUPUFZBUOUQAUPUGZUTCUNUTC
      UOSCUNKUTCBUOACBSUPFUHVAUICUNUJTUKULUM $.
  $}

  ${
    $d x A $.
    $( The size of a restricted class abstraction restricted to a singleton is
       a nonnegative integer.  (Contributed by Alexander van der Vekens,
       22-Dec-2017.) $)
    hashrabrsn $p |- ( # ` { x e. { A } | ph } ) e. NN0 $=
      ( csn crab wceq c0 wo chash cfv cn0 wcel eqid rabrsn fveq2 cc0 hash0 0nn0
      eqeltrdi cvv eqeltri c1 hashsng 1nn0 wn snprc sylbi pm2.61i jaoi mp2b ) A
      BCDZEZULFULGFZULUKFZHULIJZKLZULMABCULNUMUPUNUMUOGIJZKULGIOUQPKQRUAZSUNUOU
      KIJZKULUKIOCTLZUSKLZUTUSUBKCTUCUDSUTUEUKGFZVACUFVBUSUQKUKGIOURSUGUHSUIUJ
      $.

    $( The size of a restricted class abstraction restricted to a singleton is
       either 0 or 1.  (Contributed by Alexander van der Vekens,
       3-Sep-2018.) $)
    hashrabsn01 $p |- ( ( # ` { x e. { A } | ph } ) = N
                         -> ( N = 0 \/ N = 1 ) ) $=
      ( csn crab wceq c0 wo chash cfv cc0 c1 wi fveqeq2 eqcom biimpi syl6bi cvv
      eqid rabrsn hash0 eqtrdi orcd wcel wa hashsng sylan9eqr ex wn snprc sylbi
      olcd pm2.61i jaoi mp2b ) ABCEZFZURGURHGZURUQGZIURJKDGZDLGZDMGZIZNZURTABCU
      RUAUSVEUTUSVAHJKZDGZVDURHDJOVGVBVCVGDVFLVGDVFGVFDPQUBUCUDZRUTVAUQJKZDGZVD
      URUQDJOCSUEZVJVDNZVKVJVDVKVJUFVCVBVJVKDVIMVJDVIGVIDPQCSUGUHUMUIVKUJUQHGZV
      LCUKVMVJVGVDUQHDJOVHRULUNRUOUP $.

    $( If the size of a restricted class abstraction restricted to a singleton
       is 1, the condition of the class abstraction must hold for the
       singleton.  (Contributed by Alexander van der Vekens, 3-Sep-2018.) $)
    hashrabsn1 $p |- ( ( # ` { x e. { A } | ph } ) = 1 -> [. A / x ]. ph ) $=
      ( csn crab wceq c0 wo chash cfv c1 cc0 wne eqneqall mpi sylbi syl6bi wcel
      wi cvv wsbc eqid rabrsn fveqeq2 hash0 eqeq1i wa snidg adantr eleq2 adantl
      0ne1 wb mpbird nfcv elrabsf simprbi syl a1d ex snprc eqeq2 ax-1ne0 eqcoms
      wn pm2.61i jaoi mp2b ) ABCDZEZVJFVJGFZVJVIFZHVJIJKFZABCUAZSZVJUBABCVJUCVK
      VOVLVKVMGIJZKFZVNVJGKIUDZVQLKFZVNVPLKUEUFZVSLKMVNULVNLKNOPQCTRZVLVOSZWAVL
      VOWAVLUGZVNVMWCCVJRZVNWCWDCVIRZWAWEVLCTUHUIVLWDWEUMWAVJVICUJUKUNWDWEVNABC
      VIBVIUOUPUQURUSUTWAVEVIGFZWBCVAWFVLVKVOVIGVJVBVKVMVQVNVRVQVSVNVTVNKLKLFKL
      MVNVCVNKLNOVDPQQPVFVGVH $.
  $}

  $( A function is equinumerous to its domain.  (Contributed by Mario Carneiro,
     12-Mar-2015.) $)
  hashfn $p |- ( F Fn A -> ( # ` F ) = ( # ` A ) ) $=
    ( wfn cvv wcel chash cfv wceq wa cen fndmeng ensym hasheni 3syl wn c0 dmexg
    wbr cdm fvprc fndm eleq1d syl5ib con3dimp syl adantl eqtr4d pm2.61dan ) BAC
    ZADEZBFGZAFGZHZUIUJIABJRBAJRUMADBKABLBAMNUIUJOZIZUKPULUOBDEZOUKPHUIUPUJUPBS
    ZDEUIUJBDQUIUQADABUAUBUCUDBFTUEUNULPHUIAFTUFUGUH $.

  $( The value of the size function on a finite 1-based sequence.  (Contributed
     by Paul Chapman, 26-Oct-2012.)  (Proof shortened by Mario Carneiro,
     12-Mar-2015.) $)
  fseq1hash $p |- ( ( N e. NN0 /\ F Fn ( 1 ... N ) ) -> ( # ` F ) = N ) $=
    ( c1 cfz co wfn cn0 wcel chash cfv hashfn hashfz1 sylan9eqr ) ACBDEZFBGHAIJ
    NIJBNAKBLM $.

  ${
    $d A n z $.  $d B n $.  $d G n z $.
    hashgadd.1 $e |- G = ( rec ( ( x e. _V |-> ( x + 1 ) ) , 0 ) |` _om ) $.
    $( ` G ` maps ordinal addition to integer addition.  (Contributed by Paul
       Chapman, 30-Nov-2012.)  (Revised by Mario Carneiro, 15-Sep-2013.) $)
    hashgadd $p |- ( ( A e. _om /\ B e. _om ) ->
                     ( G ` ( A +o B ) ) = ( ( G ` A ) + ( G ` B ) ) ) $=
      ( com wcel coa co cfv caddc wceq wi c0 oveq2 fveq2d oveq2d cc0 cn0 c1 a1i
      vn vz cv csuc fveq2 eqeq12d imbi2d wf1o wf hashgf1o ax-mp ffvelrni nn0cnd
      f1of addid1d 0z om2uz0i oveq2i 3eqtr4rd w3a wa nnasuc nnacl om2uzsuci syl
      nna0 eqtrd 3adant3 cc ax-1cn addass mp3an3 syl2an oveq1 3ad2ant3 3ad2ant2
      3eqtr4d 3expia expcom a2d finds impcom ) CFGBFGZBCHIZDJZBDJZCDJZKIZLZWDBU
      BUDZHIZDJZWGWKDJZKIZLZMWDBNHIZDJZWGNDJZKIZLZMWDBUCUDZHIZDJZWGXBDJZKIZLZMW
      DBXBUEZHIZDJZWGXHDJZKIZLZMWDWJMUBUCCWKNLZWPXAWDXNWMWRWOWTXNWLWQDWKNBHOPXN
      WNWSWGKWKNDUFQUGUHWKXBLZWPXGWDXOWMXDWOXFXOWLXCDWKXBBHOPXOWNXEWGKWKXBDUFQU
      GUHWKXHLZWPXMWDXPWMXJWOXLXPWLXIDWKXHBHOPXPWNXKWGKWKXHDUFQUGUHWKCLZWPWJWDX
      QWMWFWOWIXQWLWEDWKCBHOPXQWNWHWGKWKCDUFQUGUHWDWGRKIZWGWTWRWDWGWDWGFSBDFSDU
      IFSDUJADEUKFSDUOULZUMUNZUPWTXRLWDWSRWGKARDUQEURUSUAWDWQBDBVGPUTXBFGZWDXGX
      MWDYAXGXMMWDYAXGXMWDYAXGVAZXJXDTKIZXLWDYAXJYCLXGWDYAVBZXJXCUEZDJZYCYDXIYE
      DBXBVCPYDXCFGYFYCLBXBVDAXCRDUQEVEVFVHVIYBXFTKIZWGXETKIZKIZYCXLWDYAYGYILZX
      GWDWGVJGZXEVJGZYJYAXTYAXEFSXBDXSUMUNYKYLTVJGYJVKWGXETVLVMVNVIXGWDYCYGLYAX
      DXFTKVOVPYAWDXLYILXGYAXKYHWGKAXBRDUQEVEQVQVRVHVSVTWAWBWC $.
  $}

  ${
    $d f x y A $.  $d f x y B $.
    $( A short expression for the ` G ` function of ~ hashgf1o .  (Contributed
       by Mario Carneiro, 24-Jan-2015.) $)
    hashgval2 $p |- ( # |` _om ) =
      ( rec ( ( x e. _V |-> ( x + 1 ) ) , 0 ) |` _om ) $=
      ( vy chash com cres cvv cv c1 caddc co cmpt cc0 crdg wceq cfv wfn wral wb
      hashresfn wcel frfnom eqfnfv mp2an ccrd cfn nnfi eqid hashgval syl cardnn
      fvres fveq2d 3eqtr2d mprgbir ) CDEZAFAGHIJKZLMDEZNZBGZUOOZUSUQOZNZBDUODPU
      QDPURVBBDQRDSLUPUABDUOUQUBUCUSDTZUTUSCOZUSUDOZUQOZVAUSDCUKVCUSUETVFVDNUSU
      FAUSUQUQUGUHUIVCVEUSUQUSUJULUMUN $.

    $( Dominance relation for the size function.  (Contributed by Mario
       Carneiro, 22-Sep-2013.)  (Revised by Mario Carneiro, 22-Apr-2015.) $)
    hashdom $p |- ( ( A e. Fin /\ B e. V )
         -> ( ( # ` A ) <_ ( # ` B ) <-> A ~<_ B ) ) $=
      ( vy vx cfn wcel wa cfv cle wbr wb ccrd coa wceq com caddc cn0 ad2antlr
      co vf chash cdom cv wrex wss c1 cmin cfz fzfi ficardom ax-mp cvv cmpt cc0
      crdg cres ccnv hashgval ad2antrr hashcl simpr nn0sub2 syl3anc hashfz1 syl
      eqid eqtrid oveq12d cc nn0cnd pncan3 syl2an adantr eqtrd hashgadd sylancl
      3eqtr4d fveq2d wf1o hashgf1o nnacl f1ocnvfv1 sylancr 3eqtr3d oveq2 eqeq1d
      rspcev ex cardnn adantl oveq2d fveq2 wi oveqan12d adantlr eqeq12d nn0ge0d
      nnfi cr nn0red addge01 mpbid breq2 syl5ibcom sylbid sylan2 syl5 rexlimdva
      sylbird impbid nnawordex cdm finnum carddom2 3bitr2d wn cpnf cxr hashxrcl
      pnfge hashinf adantll breqtrrd wf1 isinffi ancoms brdomg mpbird pm2.61dan
      wex 2thd ) AFGZBCGZHZBFGZAUBIZBUBIZJKZABUCKZLZYMYPUUAYNYMYPHZYSAMIZDUDZNT
      ZBMIZOZDPUEZUUCUUFUFZYTUUBYSUUHUUBYSUUHUUBYSHZUGYRYQUHTZUITZMIZPGZUUCUUMN
      TZUUFOZUUHUULFGZUUNUGUUKUJZUULUKULZUUJUUOEUMEUDUGQTUNUOUPPUQZIZUUTURZIZUU
      FUUTIZUVBIZUUOUUFUUJUVAUVDUVBUUJUUCUUTIZUUMUUTIZQTZYRUVAUVDUUJUVHYQUUKQTZ
      YRUUJUVFYQUVGUUKQYMUVFYQOYPYSEAUUTUUTVGZUSZUTUUJUVGUULUBIZUUKUUQUVGUVLOUU
      REUULUUTUVJUSULUUJUUKRGZUVLUUKOUUJYQRGZYRRGZYSUVMYMUVNYPYSAVAZUTYPUVOYMYS
      BVAZSUUBYSVBYQYRVCVDUUKVEVFVHVIUUBUVIYROZYSYMYQVJGYRVJGUVRYPYMYQUVPVKYPYR
      UVQVKYQYRVLVMVNVOUUJUUCPGZUUNUVAUVHOYMUVSYPYSAUKZUTZUUSEUUCUUMUUTUVJVPVQY
      PUVDYROZYMYSEBUUTUVJUSZSVRVSUUJPRUUTVTZUUOPGZUVCUUOOEUUTUVJWAZUUJUVSUUNUW
      EUWAUUSUUCUUMWBVQPRUUOUUTWCWDUUJUWDUUFPGZUVEUUFOUWFYPUWGYMYSBUKZSPRUUFUUT
      WCWDWEUUGUUPDUUMPUUDUUMOUUEUUOUUFUUDUUMUUCNWFWGWHWDWIUUBUUGYSDPUUBUUDPGZH
      ZUUGUUCUUDMIZNTZUUFOZYSUWJUWLUUEUUFUWJUWKUUDUUCNUWIUWKUUDOUUBUUDWJWKWLWGU
      WMUWLUUTIZUVDOZUWJYSUWLUUFUUTWMUWIUUBUUDFGZUWOYSWNUUDWSUUBUWPHZUWOYQUUDUB
      IZQTZYROZYSUWQUWNUWSUVDYRYMUWPUWNUWSOYPYMUWPHZUWNUVFUWKUUTIZQTZUWSYMUVSUW
      KPGUWNUXCOUWPUVTUUDUKEUUCUWKUUTUVJVPVMYMUWPUVFYQUXBUWRQUVKEUUDUUTUVJUSWOV
      OWPYPUWBYMUWPUWCSWQUWQYQUWSJKZUWTYSYMUWPUXDYPUXAUOUWRJKZUXDUWPUXEYMUWPUWR
      UUDVAZWRWKYMYQWTGUWRWTGUXEUXDLUWPYMYQUVPXAUWPUWRUXFXAYQUWRXBVMXCWPUWSYRYQ
      JXDXEXFXGXHXJXIXKYMUVSUWGUUIUUHLYPUVTUWHDUUCUUFXLVMYMAMXMZGBUXGGUUIYTLYPA
      XNBXNABXOVMXPWPYOYPXQZHZYSYTUXIYQXRYRJUXIYQXSGZYQXRJKYMUXJYNUXHAFXTUTYQYA
      VFYNUXHYRXROYMBCYBYCYDUXIYTABUAUDYEUAYKZYMUXHUXKYNUXHYMUXKBAUAYFYGWPYNYTU
      XKLYMUXHABCUAYHSYIYLYJ $.
  $}

  $( Non-strict order relation of the ` # ` function on the full cardinal
     poset.  (Contributed by Stefan O'Rear, 12-Sep-2015.) $)
  hashdomi $p |- ( A ~<_ B -> ( # ` A ) <_ ( # ` B ) ) $=
    ( cdom wbr cfn wcel chash cfv cle wa simpl wb reldom adantr syl2anc wn cpnf
    cvv wceq hashinf simpr brrelex2i hashdom mpbird pnfxr pnfge brrelex1i sylan
    cxr mp1i domfi stoic1b 3brtr4d pm2.61dan ) ABCDZAEFZAGHZBGHZIDZUOUPJZUSUOUO
    UPKUTUPBRFZUSUOLUOUPUAUOVAUPABCMUBZNABRUCOUDUOUPPZJZQQUQURIQUIFQQIDVDUEQUFU
    JUOARFVCUQQSABCMUGARTUHVDVABEFZPURQSUOVAVCVBNVEUOUPBAUKULBRTOUMUN $.

  $( Strict dominance relation for the size function.  (Contributed by Mario
     Carneiro, 18-Aug-2014.) $)
  hashsdom $p |- ( ( A e. Fin /\ B e. Fin )
       -> ( ( # ` A ) < ( # ` B ) <-> A ~< B ) ) $=
    ( cfn wcel wa chash cfv clt wbr cdom cen wn csdm cle hashcl cr nn0re syl2an
    cn0 wceq wne wb ltlen hashdom eqcom hashen syl5bb necon3abid anbi12d brsdom
    bitrd bitr4di ) ACDZBCDZEZAFGZBFGZHIZABJIZABKIZLZEZABMIUOURUPUQNIZUQUPUAZEZ
    VBUMUPSDZUQSDZURVEUBZUNAOBOVFUPPDUQPDVHVGUPQUQQUPUQUCRRUOVCUSVDVAABCUDUOUTU
    QUPUQUPTUPUQTUOUTUQUPUEABUFUGUHUIUKABUJUL $.

  ${
    $d x A $.  $d x B $.
    $( The size of the union of disjoint finite sets is the sum of their sizes.
       (Contributed by Paul Chapman, 30-Nov-2012.)  (Revised by Mario Carneiro,
       15-Sep-2013.) $)
    hashun $p |- ( ( A e. Fin /\ B e. Fin /\ ( A i^i B ) = (/) ) ->
                   ( # ` ( A u. B ) ) = ( ( # ` A ) + ( # ` B ) ) ) $=
      ( vx cfn wcel cin c0 wceq w3a cun ccrd cfv cvv caddc co com chash 3adant3
      hashgval ficardom cv cmpt cc0 crdg cres coa ficardun fveq2d unfi eqid syl
      c1 wa hashgadd syl2an oveqan12d eqtrd 3eqtr3d ) ADEZBDEZABFGHZIZABJZKLZCM
      CUAULNOUBUCUDPUEZLZAKLZBKLZUFOZVELZVCQLZAQLZBQLZNOZVBVDVIVEABUGUHUSUTVFVK
      HZVAUSUTUMZVCDEVOABUICVCVEVEUJZSUKRUSUTVJVNHVAVPVJVGVELZVHVELZNOZVNUSVGPE
      VHPEVJVTHUTATBTCVGVHVEVQUNUOUSUTVRVLVSVMNCAVEVQSCBVEVQSUPUQRUR $.

    $( The size of the union of finite sets is less than or equal to the sum of
       their sizes.  (Contributed by Mario Carneiro, 23-Sep-2013.)  (Proof
       shortened by Mario Carneiro, 27-Jul-2014.) $)
    hashun2 $p |- ( ( A e. Fin /\ B e. Fin ) ->
                   ( # ` ( A u. B ) ) <_ ( ( # ` A ) + ( # ` B ) ) ) $=
      ( cfn wcel wa cun chash cfv cdif caddc co cle undif2 fveq2i adantl hashcl
      wceq cn0 nn0red wbr diffi cin c0 disjdif hashun mp3an3 sylan2 eqtr3id syl
      adantr cdom simpr difss ssdomg mpisyl wb hashdom sylancom mpbird leadd2dd
      wss eqbrtrd ) ACDZBCDZEZABFZGHZAGHZBAIZGHZJKZVHBGHZJKLVEVGAVIFZGHZVKVMVFG
      ABMNVDVCVICDZVNVKQZBAUAZVCVOAVIUBUCQVPABUDAVIUEUFUGUHVEVJVLVHVEVJVEVOVJRD
      VDVOVCVQOZVIPUISVEVLVDVLRDVCBPOSVEVHVCVHRDVDAPUJSVEVJVLLTZVIBUKTZVEVDVIBV
      AVTVCVDULBAUMVIBCUNUOVCVDVOVSVTUPVRVIBCUQURUSUTVB $.

    $( The size of the union of finite sets is the sum of their sizes minus the
       size of the intersection.  (Contributed by Mario Carneiro,
       6-Aug-2017.) $)
    hashun3 $p |- ( ( A e. Fin /\ B e. Fin ) -> ( # ` ( A u. B ) ) =
      ( ( ( # ` A ) + ( # ` B ) ) - ( # ` ( A i^i B ) ) ) ) $=
      ( cfn wcel chash cfv cin cmin co caddc cun wceq adantl wss a1i hashun cn0
      c0 hashcl nn0cnd cdif diffi simpl inss1 ssfi sylancl sslin ax-mp disjdifr
      wa sseq0 mp2an syl3anc incom uneq2i inundif 3eqtri fveq2d eqtr3d subadd2d
      uncom syl mpbird oveq2d adantr addsubassd undif2 disjdif eqtr3id 3eqtr4rd
      fveq2i ) ACDZBCDZUJZAEFZBEFZABGZEFZHIZJIVOBAUAZEFZJIZVOVPJIVRHIABKZEFZVNV
      SWAVOJVNVSWALWAVRJIZVPLVNVTVQKZEFZWEVPVNVTCDZVQCDZVTVQGZRLZWGWELVMWHVLBAU
      BMZVNVLVQANZWIVLVMUCZABUDZAVQUEUFZWKVNWJVTAGZNZWQRLWKWMWRWOVQAVTUGUHABUIW
      JWQUKULOVTVQPUMVNWFBEWFBLVNWFVTBAGZKWSVTKBVQWSVTABUNUOVTWSVABAUPUQOURUSVN
      VPVRWAVNVPVMVPQDVLBSMTZVNVRVNWIVRQDWPVQSVBTZVNWAVNWHWAQDWLVTSVBTUTVCVDVNV
      OVPVRVNVOVLVOQDVMASVETWTXAVFVNWDAVTKZEFZWBXBWCEABVGVKVNVLWHAVTGRLZXCWBLWN
      WLXDVNABVHOAVTPUMVIVJ $.
  $}

  $( The extended real addition of the size of an infinite set with the size of
     an arbitrary set yields plus infinity.  (Contributed by Alexander van der
     Vekens, 20-Dec-2017.) $)
  hashinfxadd $p |- ( ( A e. V /\ B e. W /\ ( # ` A ) e/ NN0 )
                      -> ( ( # ` A ) +e ( # ` B ) ) = +oo ) $=
    ( chash cfv cpnf wceq cn0 wcel wn wa wnel w3a cxad co wo wi hashnn0pnf syl
    df-nel anbi2i pm5.61 sylbb orcoms imp 3adant2 oveq1 cmnf hashxrcl hashnemnf
    ex cxr wne jca 3ad2ant2 xaddpnf2 sylan9eqr expcom adantr mpcom ) AEFZGHZVBI
    JZKZLZACJZBDJZVBIMZNZVBBEFZOPZGHZVGVIVFVHVGVIVFVGVDVCQVIVFRZACSVCVDVNVCVDQZ
    VIVFVOVILVOVELVFVIVEVOVBIUAUBVCVDUCUDULUETUFUGVCVJVMRVEVJVCVMVCVJVLGVKOPZGV
    BGVKOUHVJVKUMJZVKUIUNZLZVPGHVHVGVSVIVHVQVRBDUJBDUKUOUPVKUQTURUSUTVA $.

  $( The size of the union of disjoint sets is the result of the extended real
     addition of their sizes, analogous to ~ hashun .  (Contributed by
     Alexander van der Vekens, 21-Dec-2017.) $)
  hashunx $p |- ( ( A e. V /\ B e. W /\ ( A i^i B ) = (/) ) ->
                  ( # ` ( A u. B ) ) = ( ( # ` A ) +e ( # ` B ) ) ) $=
    ( wcel wceq cfn wa chash cfv cxad co wi cr hashcl eqcomd eqtrd wn cpnf ex
    cin c0 w3a cun caddc hashun 3expa nn0red anim12i adantr rexadd syl 3ad2ant3
    expcom cvv unexg unfir con3i hashinf syl2anr wo cn0 wnel simprl hashnfinnn0
    ianor simprr impcom hashinfxadd syl3anc cxr hashxrcl xaddcom jaoi sylbi imp
    adantl 3adant3 pm2.61d ) ACEZBDEZABUAUBFZUCAGEZBGEZHZABUDZIJZAIJZBIJZKLZFZW
    BVTWEWKMWAWEWBWKWEWBHZWGWHWIUELZWJWCWDWBWGWMFABUFUGWLWJWMWLWHNEZWINEZHZWJWM
    FWEWPWBWCWNWDWOWCWHAOUHWDWIBOUHUIUJWHWIUKULPQUNUMVTWAWERZWKMWBWQVTWAHZWKWQW
    RHWGSWJWRWFUOEWFGEZRWGSFWQABCDUPWSWEABUQURWFUOUSUTWQWRSWJFZWQWCRZWDRZVAWRWT
    MZWCWDVFXAXCXBXAWRWTXAWRHZWJSXDVTWAWHVBVCZWJSFXAVTWAVDXAVTWAVGWRXAXEVTXAXEM
    WAVTXAXEACVETUJVHABCDVIVJPTXBWRWTXBWRHZWJSXFWJWIWHKLZSXFWHVKEZWIVKEZHZWJXGF
    WRXJXBVTXHWAXIACVLBDVLUIVQWHWIVMULXFWAVTWIVBVCZXGSFXBVTWAVGXBVTWAVDWRXBXKWA
    XBXKMVTWAXBXKBDVETVQVHBADCVIVJQPTVNVOVPQUNVRVS $.

  $( The cardinality of a set is greater than or equal to zero.  (Contributed
     by Thierry Arnoux, 2-Mar-2017.) $)
  hashge0 $p |- ( A e. V -> 0 <_ ( # ` A ) ) $=
    ( wcel cdom wbr chash cfv cle cc0 0domg hashdomi hash0 breq1i biimpi 3syl
    c0 ) ABCPADEPFGZAFGZHEZIRHEZABJPAKSTQIRHLMNO $.

  $( The cardinality of a nonempty set is greater than zero.  (Contributed by
     Thierry Arnoux, 2-Mar-2017.) $)
  hashgt0 $p |- ( ( A e. V /\ A =/= (/) ) -> 0 < ( # ` A ) ) $=
    ( wcel c0 wne cc0 chash cfv cle wbr wa clt hashge0 adantr hasheq0 necon3bid
    biimpar jca cxr wb 0xr hashxrcl xrltlen sylancr syldan ) ABCZADEZFAGHZIJZUH
    FEZKZFUHLJZUFUGKUIUJUFUIUGABMNUFUJUGUFUHFADABOPQRUFULUKUFFSCUHSCULUKTUAABUB
    FUHUCUDQUE $.

  $( The cardinality of a nonempty set is greater than or equal to one.
     (Contributed by Thierry Arnoux, 20-Jun-2017.) $)
  hashge1 $p |- ( ( A e. V /\ A =/= (/) ) -> 1 <_ ( # ` A ) ) $=
    ( wcel c0 wne wa cfn c1 chash cfv cle wbr cn simpr hashnncl biimpar syl2anc
    simplr nnge1d cpnf cxr pnfge ax-mp wceq hashinf adantlr breqtrrid pm2.61dan
    wn 1xr ) ABCZADEZFZAGCZHAIJZKLUMUNFZUOUPUNULUOMCZUMUNNUKULUNRUNUQULAOPQSUMU
    NUIZFHTUOKHUACHTKLUJHUBUCUKURUOTUDULABUEUFUGUH $.

  $( 1 is an element of the finite set of sequential nonnegative integers
     bounded by the size of a nonempty finite set.  (Contributed by AV,
     9-May-2020.) $)
  1elfz0hash $p |- ( ( A e. Fin /\ A =/= (/) )
                     -> 1 e. ( 0 ... ( # ` A ) ) ) $=
    ( cfn wcel c0 wne wa c1 cn0 chash cfv cle wbr cc0 cfz co 1nn0 hashcl adantr
    a1i hashge1 elfz2nn0 syl3anbrc ) ABCZADEZFZGHCZAIJZHCZGUGKLGMUGNOCUFUEPSUCU
    HUDAQRABTGUGUAUB $.

  $( If a nonnegative integer is the size of a set which contains at least one
     element, this integer is a positive integer.  (Contributed by Alexander
     van der Vekens, 9-Jan-2018.) $)
  hashnn0n0nn $p |- ( ( ( V e. W /\ Y e. NN0 )
                     /\ ( ( # ` V ) = Y /\ N e. V ) ) -> Y e. NN ) $=
    ( chash cfv wceq wcel wa cn0 cn wi c1 cle wbr c0 wne ne0i cc0 eleq1 hashge1
    sylan2 simpr clt wn 0lt1 0re 1re ltnlei mpbi mtbiri necon2ai adantr elnnne0
    breq2 sylanbrc ex syl impancom com12 anbi2d imbi12d syl5ib imp impcom ) BEF
    ZDGZABHZIBCHZDJHZIZDKHZVGVHVKVLLZVHVIVFJHZIZVFKHZLVGVMVOVHVPVIVHVNVPVIVHIMV
    FNOZVNVPLVHVIBPQVQBARBCUAUBVQVNVPVQVNIVNVFSQZVPVQVNUCVQVRVNVQVFSVFSGVQMSNOZ
    SMUDOVSUEUFSMUGUHUIUJVFSMNUOUKULUMVFUNUPUQURUSUTVGVOVKVPVLVGVNVJVIVFDJTVAVF
    DKTVBVCVDVE $.

  $( The size of the union of a finite set with a disjoint singleton is one
     more than the size of the set.  (Contributed by Paul Chapman,
     30-Nov-2012.) $)
  hashunsng $p |- ( B e. V -> ( ( A e. Fin /\ -. B e. A ) ->
                    ( # ` ( A u. { B } ) ) = ( ( # ` A ) + 1 ) ) ) $=
    ( cfn wcel wn wa csn cun chash cfv c1 caddc co wceq cin disjsn snfi hashun
    c0 mp3an2 sylan2br hashsng oveq2d sylan9eq expcom ) ADEZBAEFZGZBCEZABHZIJKZ
    AJKZLMNZOUIUJULUMUKJKZMNZUNUHUGAUKPTOZULUPOZABQUGUKDEUQURBRAUKSUAUBUJUOLUMM
    BCUCUDUEUF $.

  $( The size of the union of a set with a disjoint singleton is the extended
     real addition of the size of the set and 1, analogous to ~ hashunsng .
     (Contributed by BTernaryTau, 9-Sep-2023.) $)
  hashunsngx $p |- ( ( A e. V /\ B e. W ) -> ( -. B e. A ->
                     ( # ` ( A u. { B } ) ) = ( ( # ` A ) +e 1 ) ) ) $=
    ( wcel wn csn cun chash cfv c1 cxad co wceq w3a cin c0 disjsn cfn snfi
    hashunx mp3an2 sylan2br 3adant2 hashsng 3ad2ant2 oveq2d eqtrd 3expia ) ACEZ
    BDEZBAEFZABGZHIJZAIJZKLMZNUJUKULOZUNUOUMIJZLMZUPUJULUNUSNZUKULUJAUMPQNZUTAB
    RUJUMSEVAUTBTAUMCSUAUBUCUDUQURKUOLUKUJURKNULBDUEUFUGUHUI $.

  $( The size of a set is greater than a nonnegative integer N if and only if
     the size of the union of that set with a disjoint singleton is greater
     than N + 1.  (Contributed by BTernaryTau, 10-Sep-2023.) $)
  hashunsnggt $p |- ( ( ( A e. V /\ B e. W /\ N e. NN0 ) /\ -. B e. A ) ->
    ( N < ( # ` A ) <-> ( N + 1 ) < ( # ` ( A u. { B } ) ) ) ) $=
    ( wcel w3a wa chash cfv clt wbr c1 co cxad wb cxr cr 1re wceq cn0 caddc csn
    wn cun nn0re rexrd hashxrcl mp3an3 syl2an ancoms rexadd mpan2 adantl breq1d
    xltadd1 bitrd 3adant2 adantr hashunsngx 3impia eqcomd 3expa 3adantl3 breq2d
    syl ) ADFZBEFZCUAFZGZBAFUDZHZCAIJZKLZCMUBNZVMMONZKLZVOABUCUEIJZKLVJVNVQPZVK
    VGVIVSVHVGVIHZVNCMONZVPKLZVQVIVGVNWBPZVICQFZVMQFZWCVGVICCUFZUGADUHWDWEMRFZW
    CSCVMMUPUIUJUKVTWAVOVPKVIWAVOTZVGVICRFZWHWFWIWGWHSCMULUMVFUNUOUQURUSVLVPVRV
    OKVGVHVKVPVRTZVIVGVHVKWJVGVHVKGVRVPVGVHVKVRVPTABDEUTVAVBVCVDVEUQ $.

  $( The size of an unordered pair.  (Contributed by Mario Carneiro,
     27-Sep-2013.)  (Revised by Mario Carneiro, 5-May-2016.)  (Revised by AV,
     18-Sep-2021.) $)
  hashprg $p |- ( ( A e. V /\ B e. W ) ->
    ( A =/= B <-> ( # ` { A , B } ) = 2 ) ) $=
    ( wcel wa wne cpr chash cfv c2 wceq csn cun c1 caddc co wn imp adantr simpr
    elsni eqcomd necon3ai cfn snfi hashunsng mpanr1 syl2an hashsng oveq1d eqtrd
    df-pr fveq2i df-2 3eqtr4g a1i eqnetrd dfsn2 preq2 eqtr2id fveq2d syl5ibrcom
    1ne2 neeq1d necon2d impbida ) ACEZBDEZFZABGZABHZIJZKLZVJVKFZAMZBMNZIJZOOPQZ
    VMKVOVRVPIJZOPQZVSVJVIBVPEZRZVRWALZVKVHVIUAWBABWBBABAUBUCUDVIVPUEEZWCWDAUFV
    IWEWCFWDVPBDUGSUHUIVOVTOOPVJVTOLZVKVHWFVIACUJTZTUKULVLVQIABUMUNUOUPVJVNVKVJ
    ABVMKVJVMKGABLZVTKGVJVTOKWGOKGVJVDUQURWHVMVTKWHVLVPIWHVPAAHVLAUSABAUTVAVBVE
    VCVFSVG $.

  $( If one element of an unordered pair is not a set, the size of the
     unordered pair is not 2.  (Contributed by Alexander van der Vekens,
     7-Oct-2017.) $)
  elprchashprn2 $p |- ( -. M e. _V -> -. ( # ` { M , N } ) = 2 ) $=
    ( cvv wcel wn wceq chash cfv c2 c1 wa fveq2 eqcomd eqeq1d biimpa id wne syl
    c0 cc0 cpr csn prprc1 wi hashsng 1ne2 a1i eqnetrd neneqd expcom snprc eqeq2
    hash0 0ne2 sylancl ex sylbi pm2.61i ) ACDEABUAZBUBZFZUSGHZIFEZABUCBCDZVAVCU
    DZVDUTGHZJFZVEBCUEVAVGVCVAVGKVBJFZVCVAVGVHVAVFVBJVAVBVFUSUTGLMNOVHVBIVHVBJI
    VHPJIQVHUFUGUHUIRUJRVDEUTSFZVEBUKVIVAVCVIVAKUSSFZSGHZTFZVCVIVAVJUTSUSULOUMV
    JVLKVBTFZVCVJVLVMVJVKVBTVJVBVKUSSGLMNOVMVBIVMVBTIVMPTIQVMUNUGUHUIRUOUPUQURR
    $.

  $( The size of an unordered pair is 2 if and only if its elements are
     different sets.  (Contributed by Alexander van der Vekens,
     17-Jan-2018.) $)
  hashprb $p |- ( ( M e. _V /\ N e. _V /\ M =/= N )
                  <-> ( # ` { M , N } ) = 2 ) $=
    ( cvv wcel wne w3a cpr chash cfv c2 hashprg biimp3a wi elprchashprn2 pm2.21
    wceq wn syl prcom wa fveq2i eqeq1i sylnbi simpll simplr biimpar 3jca impbii
    ex ecase ) ACDZBCDZABEZFZABGZHIZJPZUKULUMUQABCCKZLUKULUQUNMZUKQUQQUSABNUQUN
    OZRULQBAGZHIZJPZQUSBANVCUQUSVBUPJVAUOHBASUAUBUTUCRUKULTZUQUNVDUQTUKULUMUKUL
    UQUDUKULUQUEVDUMUQURUFUGUIUJUH $.

  ${
    hashprdifel.s $e |- S = { A , B } $.
    $( The elements of an unordered pair of size 2 are different sets.
       (Contributed by AV, 27-Jan-2020.) $)
    hashprdifel $p |- ( ( # ` S ) = 2 -> ( A e. S /\ B e. S /\ A =/= B ) ) $=
      ( chash cfv wceq cvv wcel wne w3a cpr fveq2i eqeq1i hashprb bitr4i prid1g
      c2 3ad2ant1 eleqtrrdi prid2g 3ad2ant2 simp3 3jca sylbi ) CEFZRGZAHIZBHIZA
      BJZKZACIZBCIZUJKUGABLZEFZRGUKUFUORCUNEDMNABOPUKULUMUJUKAUNCUHUIAUNIUJABHQ
      SDTUKBUNCUIUHBUNIUJABHUAUBDTUHUIUJUCUDUE $.
  $}

  $( There is (at least) one set with two different elements: the unordered
     pair containing ` 0 ` and ` 1 ` .  In contrast to ~ pr0hash2ex , numbers
     are used instead of sets because their representation is shorter (and more
     comprehensive).  (Contributed by AV, 29-Jan-2020.) $)
  prhash2ex $p |- ( # ` { 0 , 1 } ) = 2 $=
    ( cc0 c1 cpr chash cfv c2 wceq wne 0ne1 cvv wcel wb c0ex 1ex hashprg bicomd
    wa mp2an mpbir ) ABCDEFGZABHZIAJKZBJKZTUALMNUBUCQUATABJJOPRS $.

  $( If the size of a set is less than or equal to zero, the set must be empty.
     (Contributed by Alexander van der Vekens, 6-Jan-2018.)  (Proof shortened
     by AV, 24-Oct-2021.) $)
  hashle00 $p |- ( V e. W -> ( ( # ` V ) <_ 0 <-> V = (/) ) ) $=
    ( wcel chash cfv cc0 cle wbr wa wceq hashge0 biantrud cxr hashxrcl xrletri3
    c0 wb 0xr sylancl hasheq0 3bitr2d ) ABCZADEZFGHZUDFUCGHZIZUCFJZAPJUBUEUDABK
    LUBUCMCFMCUGUFQABNRUCFOSABTUA $.

  ${
    $d V x $.
    $( If the size of a set is greater than zero, then the set must contain at
       least one element.  (Contributed by Alexander van der Vekens,
       6-Jan-2018.) $)
    hashgt0elex $p |- ( ( V e. W /\ 0 < ( # ` V ) ) -> E. x x e. V ) $=
      ( wcel cc0 chash cfv clt wbr cv wex wn wa cle c0 wceq adantr mpbird cxr
      wb wal wi eq0 biimpri a1d sylbir impcom hashle00 hashxrcl xrlenlt sylancl
      alnex 0xr bicomd ex con4d imp ) BCDZEBFGZHIZAJBDZAKZURVBUTURVBLZUTLZURVCM
      ZVDUSENIZVEVFBOPZVCURVGVCVALAUAZURVGUBVAAULVHVGURVGVHABUCUDUEUFUGURVFVGTV
      CBCUHQRURVDVFTVCURVFVDURUSSDESDVFVDTBCUIUMUSEUJUKUNQRUOUPUQ $.

    $( The size of a set is greater than zero if and only if the set contains
       at least one element.  (Contributed by Alexander van der Vekens,
       18-Jan-2018.) $)
    hashgt0elexb $p |- ( V e. W -> ( 0 < ( # ` V ) <-> E. x x e. V ) ) $=
      ( wcel cc0 chash cfv clt wbr cv wex hashgt0elex c0 wne n0 hashgt0 impbida
      sylan2br ) BCDZEBFGHIZAJBDAKZABCLUASBMNTABOBCPRQ $.
  $}

  ${
    hashp1i.1 $e |- A e. _om $.
    hashp1i.2 $e |- B = suc A $.
    hashp1i.3 $e |- ( # ` A ) = M $.
    hashp1i.4 $e |- ( M + 1 ) = N $.
    $( Size of a finite ordinal.  (Contributed by Mario Carneiro,
       5-Jan-2016.) $)
    hashp1i $p |- ( # ` B ) = N $=
      ( chash cfv csn cun csuc eqtri c1 caddc co wcel com ax-mp df-suc cfn wceq
      fveq2i wn nnfi word nnord ordirr mp2b wa wi hashunsng mp2an oveq1i ) BIJA
      AKLZIJZDBUPIBAMUPFAUANUDUQAIJZOPQZDAUBRZAARUEZUQUSUCZASRZUTEAUFTVCAUGVAEA
      UHAUIUJVCUTVAUKVBULEAASUMTUNUSCOPQDURCOPGUOHNNN $.
  $}

  $( Size of a finite ordinal.  (Contributed by Mario Carneiro, 5-Jan-2016.) $)
  hash1 $p |- ( # ` 1o ) = 1 $=
    ( c0 c1o cc0 c1 peano1 df-1o hash0 0p1e1 hashp1i ) ABCDEFGHI $.

  $( Size of a finite ordinal.  (Contributed by Mario Carneiro, 5-Jan-2016.) $)
  hash2 $p |- ( # ` 2o ) = 2 $=
    ( c1o c2o c1 c2 1onn df-2o hash1 1p1e2 hashp1i ) ABCDEFGHI $.

  $( Size of a finite ordinal.  (Contributed by Mario Carneiro, 5-Jan-2016.) $)
  hash3 $p |- ( # ` 3o ) = 3 $=
    ( c2o c3o c2 c3 2onn df-3o hash2 2p1e3 hashp1i ) ABCDEFGHI $.

  $( Size of a finite ordinal.  (Contributed by Mario Carneiro, 5-Jan-2016.) $)
  hash4 $p |- ( # ` 4o ) = 4 $=
    ( c3o c4o c3 c4 3onn df-4o hash3 3p1e4 hashp1i ) ABCDEFGHI $.

  $( There is (at least) one set with two different elements: the unordered
     pair containing the empty set and the singleton containing the empty set.
     (Contributed by AV, 29-Jan-2020.) $)
  pr0hash2ex $p |- ( # ` { (/) , { (/) } } ) = 2 $=
    ( c0 csn cpr chash cfv c2o c2 df2o2 eqcomi fveq2i hash2 eqtri ) AABCZDEFDEG
    MFDFMHIJKL $.

  $( The size of a subset is less than or equal to the size of its superset.
     (Contributed by Alexander van der Vekens, 14-Jul-2018.) $)
  hashss $p |- ( ( A e. V /\ B C_ A ) -> ( # ` B ) <_ ( # ` A ) ) $=
    ( cfn wcel wss wa chash cfv cle wbr wi cdom com12 adantl wb cpnf cvv adantr
    ex ssdomg impcom ssfi adantrl simpl hashdom syl2anc mpbird wceq hashinf cxr
    ssexg ancoms hashxrcl pnfge 3syl breq2 sylibrd expcom mpd impancom pm2.61i
    wn ) ADEZACEZBAFZGZBHIZAHIZJKZLVDVGVJVDVGGZVJBAMKZVGVDVLVFVDVLLVEVDVFVLBADU
    ANOUBVKBDEZVDVJVLPVDVFVMVEABUCUDVDVGUEBADUFUGUHTVGVDVCZVJVEVNVFVJVEVNGVIQUI
    ZVFVJLZACUJVEVOVPLVNVOVEVPVOVEGVFVHQJKZVJVEVFVQLVOVEVFVQVGBREZVHUKEVQVFVEVR
    BACULUMBRUNVHUOUPTOVOVJVQPVEVIQVHJUQSURUSSUTVANVB $.

  $( The size of a superset of a proper unordered pair is greater than 1.
     (Contributed by AV, 6-Feb-2021.) $)
  prsshashgt1 $p |- ( ( ( A e. V /\ B e. W /\ A =/= B ) /\ C e. U )
                      -> ( { A , B } C_ C -> 2 <_ ( # ` C ) ) ) $=
    ( wcel wne w3a wa cpr wss c2 chash cfv cle wbr wceq cvv elex hashprb biimpi
    id syl3an ad2antrr hashss adantll eqbrtrrd ex ) AEGZBFGZABHZIZCDGZJZABKZCLZ
    MCNOZPQUOUQJUPNOZMURPUMUSMRZUNUQUJASGZUKBSGZULULUTAETBFTULUCVAVBULIUTABUAUB
    UDUEUNUQUSURPQUMCUPDUFUGUHUI $.

  $( The size of the intersection of a set and a class is less than or equal to
     the size of the set.  (Contributed by AV, 4-Jan-2021.) $)
  hashin $p |- ( A e. V -> ( # ` ( A i^i B ) ) <_ ( # ` A ) ) $=
    ( wcel cin wss chash cfv cle wbr inss1 hashss mpan2 ) ACDABEZAFNGHAGHIJABKA
    NCLM $.

  $( The size of the difference of a finite set and a subset is the set's size
     minus the subset's.  (Contributed by Steve Rodriguez, 24-Oct-2015.) $)
  hashssdif $p |- ( ( A e. Fin /\ B C_ A ) ->
    ( # ` ( A \ B ) ) = ( ( # ` A ) - ( # ` B ) ) ) $=
    ( cfn wcel wss wa chash cfv cmin co cdif wceq caddc wb eqcomd hashcl nn0cnd
    cc cn0 syl cun ssfi diffi cin c0 disjdif hashun mp3an3 syl2an anabss1 undif
    biimpi fveqeq2d adantl mpbid subadd syl3an 3anidm13 anabss5 mpbird ) ACDZBA
    EZFZAGHZBGHZIJZABKZGHZVCVFVHLZVEVHMJZVDLZVCVDVJVCBVGUAZGHVJLZVDVJLZVAVBVMVC
    BCDZVGCDZVMVAABUBZABUCZVOVPBVGUDUELVMBAUFBVGUGUHUIUJVBVMVNNVAVBVLAVJGVBVLAL
    BAUKULUMUNUOOVAVBVIVKNZVAVCVSVAVDRDVCVERDVAVHRDVSVAVDAPQVCVEVCVOVESDVQBPTQV
    AVHVAVPVHSDVRVGPTQVDVEVHUPUQURUSUTO $.

  $( The size of the difference of a finite set and another set is the first
     set's size minus that of the intersection of both.  (Contributed by Steve
     Rodriguez, 24-Oct-2015.) $)
  hashdif $p |- ( A e. Fin ->
    ( # ` ( A \ B ) ) = ( ( # ` A ) - ( # ` ( A i^i B ) ) ) ) $=
    ( cfn wcel cdif chash cfv cin cmin co difin fveq2i wss wceq inss1 hashssdif
    mpan2 eqtr3id ) ACDZABEZFGAABHZEZFGZAFGUAFGIJZUBTFABKLSUAAMUCUDNABOAUAPQR
    $.

  $( The size of the difference of a finite set and a singleton subset is the
     set's size minus 1.  (Contributed by Alexander van der Vekens,
     6-Jan-2018.) $)
  hashdifsn $p |- ( ( A e. Fin /\ B e. A )
                    -> ( # ` ( A \ { B } ) ) = ( ( # ` A ) - 1 ) ) $=
    ( cfn wcel wa csn cdif chash cfv cmin co c1 wss wceq snssi hashssdif sylan2
    hashsng adantl oveq2d eqtrd ) ACDZBADZEZABFZGHIZAHIZUEHIZJKZUGLJKUCUBUEAMUF
    UINBAOAUEPQUDUHLUGJUCUHLNUBBARSTUA $.

  $( The size of the difference of a finite set and a proper pair of its
     elements is the set's size minus 2.  (Contributed by AV, 16-Dec-2020.) $)
  hashdifpr $p |- ( ( A e. Fin /\ ( B e. A /\ C e. A /\ B =/= C ) )
                    -> ( # ` ( A \ { B , C } ) ) = ( ( # ` A ) - 2 ) ) $=
    ( cfn wcel wne w3a wa cpr cdif chash cfv c1 cmin co c2 wceq difpr hashdifsn
    csn fveq2d diffi necom biimpi anim2i 3adant1 adantl eldifsn sylibr syl2an2r
    a1i 3ad2antr1 oveq1d cc hashcl nn0cnd sub1m1 syl adantr eqtrd 3eqtrd ) ADEZ
    BAEZCAEZBCFZGZHZABCIJZKLABTZJZCTJZKLZVJKLZMNOZAKLZPNOZVGVHVKKVHVKQVGABCRUKU
    AVBVJDEVFCVJEZVLVNQAVIUBVGVDCBFZHZVQVFVSVBVDVEVSVCVEVRVDVEVRBCUCUDUEUFUGCAB
    UHUIVJCSUJVGVNVOMNOZMNOZVPVGVMVTMNVBVDVCVMVTQVEABSULUMVBWAVPQZVFVBVOUNEWBVB
    VOAUOUPVOUQURUSUTVA $.

  $( The size of a singleton is either 0 or 1.  (Contributed by AV,
     23-Feb-2021.) $)
  hashsn01 $p |- ( ( # ` { A } ) = 0 \/ ( # ` { A } ) = 1 ) $=
    ( cvv wcel csn chash cfv cc0 wceq c1 wo hashsng olcd wn snprc biimpi fveq2d
    c0 hash0 eqtrdi orcd pm2.61i ) ABCZADZEFZGHZUDIHZJUBUFUEABKLUBMZUEUFUGUDQEF
    GUGUCQEUGUCQHANOPRSTUA $.

  $( The size of a singleton is less than or equal to 1.  (Contributed by AV,
     23-Feb-2021.) $)
  hashsnle1 $p |- ( # ` { A } ) <_ 1 $=
    ( csn chash cfv cc0 wceq c1 wo cle wbr hashsn01 0le1 breq1 mpbiri 1le1 jaoi
    ax-mp ) ABCDZEFZRGFZHRGIJZAKSUATSUAEGIJLREGIMNTUAGGIJORGGIMNPQ $.

  $( Get an upper bound on a concretely specified finite set.  Base case:
     singleton set.  (Contributed by Mario Carneiro, 11-Feb-2015.)  (Proof
     shortened by AV, 23-Feb-2021.) $)
  hashsnlei $p |- ( { A } e. Fin /\ ( # ` { A } ) <_ 1 ) $=
    ( csn cfn wcel chash cfv c1 cle wbr snfi hashsnle1 pm3.2i ) ABZCDMEFGHIAJAK
    L $.

  ${
    $d V a $.
    $( The size of a set is 1 if and only if it is a singleton (containing a
       set).  (Contributed by Alexander van der Vekens, 7-Dec-2017.) $)
    hash1snb $p |- ( V e. W -> ( ( # ` V ) = 1 <-> E. a V = { a } ) ) $=
      ( wcel chash cfv c1 wceq cv csn wex cfn wi wa c1o cen wbr id wn cpnf 1onn
      hash1 eqtr4di adantl wb com nnfi hashen sylan2 mpbid en1 sylib ex hashinf
      mp1i a1d eqeq1 cr wne 1re renepnf df-ne pm2.21 sylbi eqcoms syl6bi expcom
      mp2b syl pm2.61i fveq2 cvv hashsng elv eqtrdi exlimiv impbid1 ) ABDZAEFZG
      HZACIZJZHZCKZALDZVRVTWDMZMWEWFVRWEVTWDWEVTNZAOPQZWDWGVSOEFZHZWHVTWJWEVTVS
      GWIVTRUBUCUDVTWEOLDZWJWHUEOUFDWKVTUAOUGUOAOUHUIUJCAUKULUMUPVRWESZWFVRWLNV
      STHZWFABUNWMVTTGHWDVSTGUQWDGTGURDGTUSZGTHZWDMZUTGVAWNWOSWPGTVBWOWDVCVDVHV
      EVFVIVGVJWCVTCWCVSWBEFZGAWBEVKWQGHCWAVLVMVNVOVPVQ $.

    $( The size of a set is 1 in terms of existential uniqueness.  (Contributed
       by Alexander van der Vekens, 8-Feb-2018.) $)
    euhash1 $p |- ( V e. W -> ( ( # ` V ) = 1 <-> E! a a e. V ) ) $=
      ( wcel chash cfv c1 wceq c1o cen wbr cv weu hashen1 euen1b bitrdi ) ABDAE
      FGHAIJKCLADCMABNCAOP $.
  $}

  ${
    $d A a $.
    $( If the size of a set is 1 the set is not empty.  (Contributed by AV,
       23-Dec-2020.) $)
    hash1n0 $p |- ( ( A e. V /\ ( # ` A ) = 1 ) -> A =/= (/) ) $=
      ( va wcel chash cfv c1 wceq c0 wne cv csn wex hash1snb id vex a1i eqnetrd
      snnz exlimiv syl6bi imp ) ABDZAEFGHZAIJZUCUDACKZLZHZCMUEABCNUHUECUHAUGIUH
      OUGIJUHUFCPSQRTUAUB $.
  $}

  ${
    $d W a $.  $d V a b $.
    $( In a set with more than one element are two different elements.
       (Contributed by Alexander van der Vekens, 15-Nov-2017.) $)
    hashgt12el $p |- ( ( V e. W /\ 1 < ( # ` V ) )
                       -> E. a e. V E. b e. V a =/= b ) $=
      ( c0 wceq wcel c1 chash cfv clt wbr wa wne wrex wi cc0 cle wn wral biimpd
      hash0 fveq2 eqtr3id breq2 eqcoms 0le1 0re 1re lenlti pm2.21 sylbi syl6com
      cv ax-mp adantl com12 syl df-ne necom bitr3i weq ralnex nne equcom ralbii
      bitri csn wb eqsn bicomd ralbidv hashsnle1 eqbrtrdi a1i reximdva0 r19.36v
      sylbid cxr hashxrcl adantr xrlenlt sylancl sylibd syl5bi impancom pm2.61i
      1xr con4d ) EAFZABGZHAIJZKLZMZCUNZDUNZNZDAOZCAOZPZWJQWLFZWTWJQEIJWLUBEAIU
      CUDWNXAWSWMXAWSPWKXAWMHQKLZWSWMXBPWLQWLQFWMXBWLQHKUEUAUFQHRLZXBWSPZUGXCXB
      SXDQHUHUIUJXBWSUKULUOUMUPUQURWJSZAENZWTXEEANXFEAUSEAUTVAWNXFWSWKXFWMWSWKX
      FMZWSWMWSSZDCVBZDATZCATZXGWMSZXHWRSZCATXKWRCAVCXMXJCAXMWQSZDATXJWQDAVCXNX
      IDAXNCDVBXIWOWPVDCDVEVGVFVAVFVAXGXKWLHRLZXLXGXKAWOVHZFZCATZXOXGXJXQCAXGXQ
      XJXFXQXJVIWKDAWOVJUPVKVLXGXQXOPZCAOXRXOPWKXSCAXSWKWOAGMXQWLXPIJHRAXPIUCWO
      VMVNVOVPXQXOCAVQURVRXGWLVSGZHVSGXOXLVIWKXTXFABVTWAWHWLHWBWCWDWEWIWFUQULWG
      $.

    $d A b $.
    $( In a set with more than one element are two different elements.
       (Contributed by Alexander van der Vekens, 15-Nov-2017.) $)
    hashgt12el2 $p |- ( ( V e. W /\ 1 < ( # ` V ) /\ A e. V )
                       -> E. b e. V A =/= b ) $=
      ( c0 wceq wcel c1 chash cfv clt wbr wne wi cc0 cle wn wa wb adantr w3a cv
      wrex hash0 fveq2 eqtr3id breq2 biimpd eqcoms 0le1 0re lenlti pm2.21 sylbi
      ax-mp syl6com 3ad2ant2 syl5com df-ne necom bitr3i wral ralnex eqcom bitri
      1re nne ralbii csn eqsn bicomd adantl hashsnle1 breq1d mpbiri ex hashxrcl
      sylbid cxr 1xr xrlenlt sylancl sylibd syl5bi con4d exp31 com24 3imp com12
      pm2.61i ) EBFZBCGZHBIJZKLZABGZUAZADUBZMZDBUCZNZWKOWMFZWPWSWKOEIJWMUDEBIUE
      UFWNWLXAWSNWOXAWNHOKLZWSWNXBNWMOWMOFWNXBWMOHKUGUHUIOHPLZXBWSNZUJXCXBQXDOH
      UKVFULXBWSUMUNUOUPUQURWKQZBEMZWTXEEBMXFEBUSEBUTVAWPXFWSWLWNWOXFWSNWLXFWOW
      NWSWLXFWOWNWSNWLXFRZWORZWSWNWSQZWQAFZDBVBZXHWNQZXIWRQZDBVBXKWRDBVCXMXJDBX
      MAWQFXJAWQVGAWQVDVEVHVAXHXKWMHPLZXLXHXKBAVIZFZXNXGXKXPSZWOXFXQWLXFXPXKDBA
      VJVKVLTXHXPXNXHXPRXNXOIJZHPLZAVMXPXNXSSXHXPWMXRHPBXOIUEVNVLVOVPVRXHWMVSGZ
      HVSGXNXLSXGXTWOWLXTXFBCVQTTVTWMHWAWBWCWDWEWFWGWHWIUNWJ $.
  $}

  ${
    $d W a $.  $d V a b c $.
    $( A set with more than two elements has at least three different elements.
       (Contributed by BTernaryTau, 21-Sep-2023.) $)
    hashgt23el $p |- ( ( V e. W /\ 2 < ( # ` V ) ) ->
          E. a e. V E. b e. V E. c e. V ( a =/= b /\ a =/= c /\ b =/= c ) ) $=
      ( wcel c2 chash cfv clt wbr wa cv wne wrex wex cc0 cxr wi c1 csn cdif w3a
      wal 2pos 0xr 2re rexri hashxrcl xrlttr mp3an12i mpani hashgt0elex ex syld
      imp cvv difexg cun wb difsnid fveq2d breq2d adantr caddc co df-2 neldifsn
      breq1i wn 1nn0 hashunsnggt mp3anl3 sylanl1 mpan2 biimp3ar syl3an3b 3expia
      cn0 ancoms sylbird 3impia 3expib 1lt2 1xr 3adant1 difsn 3ad2ant1 breqtrrd
      wceq pm2.61i hashgt12el alrimiv 19.29r syl2anc df-rex eldifsn necom bitri
      anbi2i ax-5 anim2i sylbi 3anass exbii anbi1i df-3an bitr4i 3bitr4i biimpi
      syl2an2r anim12i wral alral anim1i r19.29 biimpri reximi 3syl anassrs syl
      reximi2 sylbir ) ABFZGAHIZJKZLZCMZAFZDMZEMZNZEAYHUAZUBZOZDYNOZLCPZYHYJNZY
      HYKNZYLUCZEAOZDAOZCAOZYGYICPZYPCUDYQYDYFUUDYDYFQYEJKZUUDYDQGJKZYFUUEUEQRF
      GRFZYDYERFZUUFYFLUUESUFGUGUHZABUIZQGYEUJUKULYDUUEUUDCABUMUNUOUPYGYPCYDYNU
      QFZYFTYNHIZJKZYPAYMBURZYIYGUUMSYIYDYFUUMYIYDYFUUMYIYDLYFGYNYMUSZHIZJKZUUM
      YIUUQYFUTYDYIUUPYEGJYIUUOAHAYHVAVBVCVDYDYIUUQUUMSYDYIUUQUUMUUQYDYITTVEVFZ
      UUPJKZUUMGUURUUPJVGVIYDYIUUMUUSYDYILYHYNFVJZUUMUUSUTZYHAVHYDUUKYIUUTUVAUU
      NUUKYITVSFUUTUVAVKYNYHTUQAVLVMVNVOVPVQVRVTWAWBWCYIVJZYDYFUUMUVBYDYFUCZTYE
      UULJYDYFTYEJKZUVBYDYFUVDYDTGJKZYFUVDWDTRFUUGYDUUHUVEYFLUVDSWEUUIUUJTGYEUJ
      UKULUPWFUVCYNAHUVBYDYNAWJYFYHAWGWHVBWIWCWKYNUQDEWLXKWMYIYPCWNWOYQYPCAOUUC
      YPCAWPYPUUBCAYOUUADYNAYJYNFZYOLYJAFZYREUDZLZYSYLLZEAOZLUVGUUALZUVFUVIYOUV
      KUVFUVGYRLZUVIUVFUVGYJYHNZLUVMYJAYHWQUVNYRUVGYJYHWRWTWSYRUVHUVGYREXAXBXCY
      OUVKYKAFZYSYLUCZEPZUVOUVJLZEPYOUVKUVPUVREUVOYSYLXDXEYOYKYNFZYLLZEPUVQYLEY
      NWPUVTUVPEUVTUVOYSLZYLLUVPUVSUWAYLUVSUVOYKYHNZLUWAYKAYHWQUWBYSUVOYKYHWRWT
      WSXFUVOYSYLXGXHXEWSUVJEAWPXIXJXLUVGUVHUVKUVLUVHUVKLZUUAUVGUWCYREAXMZUVKLY
      RUVJLZEAOUUAUVHUWDUVKYREAXNXOYRUVJEAXPUWEYTEAYTUWEYRYSYLXDXQXRXSXBXTYAYBX
      RYCYA $.
  $}

  ${
    hashunlei.c $e |- C = ( A u. B ) $.
    hashunlei.a $e |- ( A e. Fin /\ ( # ` A ) <_ K ) $.
    hashunlei.b $e |- ( B e. Fin /\ ( # ` B ) <_ M ) $.
    hashunlei.k $e |- K e. NN0 $.
    hashunlei.m $e |- M e. NN0 $.
    hashunlei.n $e |- ( K + M ) = N $.
    $( Get an upper bound on a concretely specified finite set.  Induction
       step: union of two finite bounded sets.  (Contributed by Mario Carneiro,
       11-Feb-2015.) $)
    hashunlei $p |- ( C e. Fin /\ ( # ` C ) <_ N ) $=
      ( cfn wcel chash cfv cle wbr mp2an nn0rei cun simpli eqeltri caddc fveq2i
      unfi co hashun2 eqbrtri simpri cn0 hashcl ax-mp le2addi readdcli eqeltrri
      breqtri cr letri pm3.2i ) CMNZCOPZFQRZCABUAZMGAMNZBMNZVDMNVEAOPZDQRZHUBZV
      FBOPZEQRZIUBZABUFSUCZVBVGVJUDUGZQRVNFQRVCVBVDOPZVNQCVDOGUEVEVFVOVNQRVIVLA
      BUHSUIVNDEUDUGZFQVHVKVNVPQRVEVHHUJVFVKIUJVGVJDEVGVEVGUKNVIAULUMTZVJVFVJUK
      NVLBULUMTZDJTZEKTZUNSLUQVBVNFVBVAVBUKNVMCULUMTVGVJVQVRUOVPFURLDEVSVTUOUPU
      SSUT $.
  $}

  ${
    hashsslei.b $e |- B C_ A $.
    hashsslei.a $e |- ( A e. Fin /\ ( # ` A ) <_ N ) $.
    hashsslei.n $e |- N e. NN0 $.
    $( Get an upper bound on a concretely specified finite set.  Transfer
       boundedness to a subset.  (Contributed by Mario Carneiro,
       11-Feb-2015.) $)
    hashsslei $p |- ( B e. Fin /\ ( # ` B ) <_ N ) $=
      ( cfn wcel chash cfv cle wbr wss simpli ssfi mp2an hashcl ax-mp nn0rei
      cn0 cdom ssdomg mp2 wb hashdom mpbir simpri letri pm3.2i ) BGHZBIJZCKLZAG
      HZBAMZUJUMAIJZCKLZENZDABOPZUKUOKLZUPULUSBAUALZUMUNUTUQDBAGUBUCUJUMUSUTUDU
      RUQBAGUEPUFUMUPEUGUKUOCUKUJUKTHURBQRSUOUMUOTHUQAQRSCFSUHPUI $.
  $}

  $( Value of the numeric cardinality of a nonempty integer range.
     (Contributed by Stefan O'Rear, 12-Sep-2014.)  (Proof shortened by Mario
     Carneiro, 15-Apr-2015.) $)
  hashfz $p |- ( B e. ( ZZ>= ` A ) ->
    ( # ` ( A ... B ) ) = ( ( B - A ) + 1 ) ) $=
    ( cuz cfv wcel cfz co chash c1 cmin caddc cen wbr wceq eluzel2 eluzelz zcnd
    cz cc cn0 zsubcl sylancr fzen syl3anc ax-1cn pncan3 sylancl subcld comraddd
    1cnd addsub12d oveq12d breqtrd hasheni syl uznn0sub peano2nn0 hashfz1 eqtrd
    1z 3syl ) BACDEZABFGZHDZIBAJGZIKGZFGZHDZVFVBVCVGLMVDVHNVBVCAIAJGZKGZBVIKGZF
    GZVGLVBAREZBREVIREZVCVLLMABOZABPZVBIREVMVNUTVOIAUAUBVIABUCUDVBVJIVKVFFVBASE
    ISEVJINVBAVOQZUEAIUFUGVBVKIVEVBUJZVBBAVBBVPQZVQUHVBBIAVSVRVQUKUIULUMVCVGUNU
    OVBVETEVFTEVHVFNABUPVEUQVFURVAUS $.

  $( Condition for finite ranges to have a strict dominance relation.
     (Contributed by Stefan O'Rear, 12-Sep-2014.)  (Revised by Mario Carneiro,
     15-Apr-2015.) $)
  fzsdom2 $p |- ( ( ( B e. ( ZZ>= ` A ) /\ C e. ZZ ) /\ B < C ) ->
    ( A ... B ) ~< ( A ... C ) ) $=
    ( cuz cfv wcel cz wa clt wbr cfz co chash cmin caddc ad2antrr zred resubcld
    c1 wceq csdm eluzelz eluzel2 simplr 1red simpr ltsub1dd ltadd1dd hashfz cle
    ltled eluz2 syl3anbrc simpll uztrn syl2anc syl 3brtr4d cfn wb fzfi hashsdom
    mp2an sylib ) BADEZFZCGFZHZBCIJZHZABKLZMEZACKLZMEZIJZVKVMUAJZVJBANLZSOLZCAN
    LZSOLZVLVNIVJVQVSSVJBAVJBVFBGFZVGVIABUBPZQZVJAVFAGFVGVIABUCPQZRVJCAVJCVFVGV
    IUDZQZWDRVJUEVJBCAWCWFWDVHVIUFZUGUHVFVLVRTVGVIABUIPVJCVEFZVNVTTVJCBDEFZVFWH
    VJWAVGBCUJJWIWBWEVJBCWCWFWGUKBCULUMVFVGVIUNBCAUOUPACUIUQURVKUSFVMUSFVOVPUTA
    BVAACVAVKVMVBVCVD $.

  $( Cardinality of a half-open set of integers.  (Contributed by Stefan
     O'Rear, 15-Aug-2015.) $)
  hashfzo $p |- ( B e. ( ZZ>= ` A ) -> ( # ` ( A ..^ B ) ) = ( B - A ) ) $=
    ( cuz cfv wcel wceq cfzo co chash cmin c1 cc0 fzo0 fveq2i zcnd fveq2d caddc
    c0 cc eqtrd hash0 eqtri eluzel2 subidd eqtr4id oveq2 eqeq12d syl5ibrcom cfz
    oveq1 wa eluzelz fzoval syl adantr hashfz sub32d oveq1d subcld ax-1cn npcan
    cz 1cnd sylancl sylan9eqr ex uzm1 mpjaod ) BACDZEZBAFZABGHZIDZBAJHZFZBKJHZV
    IEZVJVOVKAAGHZIDZAAJHZFVJVSLVTVSRIDLVRRIAMNUAUBVJAVJAABUCOZUDUEVKVMVSVNVTVK
    VLVRIBAAGUFPBAAJUJUGUHVJVQVOVJVQUKVMAVPUIHZIDZVNVJVMWCFVQVJVLWBIVJBVBEVLWBF
    ABULZABUMUNPUOVQVJWCVPAJHZKQHZVNAVPUPVJWFVNKJHZKQHZVNVJWEWGKQVJBKAVJBWDOZVJ
    VCWAUQURVJVNSEKSEWHVNFVJBAWIWAUSUTVNKVAVDTVETVFABVGVH $.

  $( Cardinality of a half-open set of integers based at zero.  (Contributed by
     Stefan O'Rear, 15-Aug-2015.) $)
  hashfzo0 $p |- ( B e. NN0 -> ( # ` ( 0 ..^ B ) ) = B ) $=
    ( cn0 wcel cc0 cfzo co chash cfv cmin wceq cuz hashfzo nn0uz eleq2s subid1d
    nn0cn eqtrd ) ABCZDAEFGHZADIFZASTJADKHBDALMNRAAPOQ $.

  $( Value of the numeric cardinality of a (possibly empty) integer range.
     (Contributed by AV, 19-Jun-2021.) $)
  hashfzp1 $p |- ( B e. ( ZZ>= ` A )
                   -> ( # ` ( ( A + 1 ) ... B ) ) = ( B - A ) ) $=
    ( wceq cuz cfv wcel c1 caddc co cfz chash cmin wi c0 cc0 hash0 cz zcnd syl
    wa clt wbr eluzelre ltp1d wb eluzelz peano2z ancri 3syl mpbid fveq2d subidd
    fzn 3eqtr4a oveq1 fvoveq1d oveq2 eqeq12d syl5ibr wn uzp1 pm2.24 eqcoms ax-1
    wo jaoi impcom hashfz eluzel2 1cnd nppcan2d adantl eqtrd ex pm2.61i ) ABCZB
    ADEFZAGHIZBJIKEZBALIZCZMVQWAVPBGHIZBJIZKEZBBLIZCVQNKEOWDWEPVQWCNKVQBWBUAUBZ
    WCNCZVQBABUCUDVQBQFZWBQFZWHTWFWGUEABUFZWHWIBUGUHWBBUMUIUJUKVQBVQBWJRZULUNVP
    VSWDVTWEVPVRWBBKJABGHUOUPABBLUQURUSVPUTZVQWAWLVQTZVSBVRLIGHIZVTWMBVRDEFZVSW
    NCVQWLWOVQBACZWOVEWLWOMZABVAWPWQWOWQABVPWOVBVCWOWLVDVFSVGVRBVHSVQWNVTCWLVQB
    AGWKVQAABVIRVQVJVKVLVMVNVO $.

  $( Value of the numeric cardinality of a nonempty range of nonnegative
     integers.  (Contributed by Alexander van der Vekens, 21-Jul-2018.) $)
  hashfz0 $p |- ( B e. NN0 -> ( # ` ( 0 ... B ) ) = ( B + 1 ) ) $=
    ( cn0 wcel cc0 cfz co chash cfv cmin c1 caddc cuz wceq elnn0uz hashfz sylbi
    nn0cn subid1d oveq1d eqtrd ) ABCZDAEFGHZADIFZJKFZAJKFUAADLHCUBUDMANDAOPUAUC
    AJKUAAAQRST $.

  ${
    $d A x y z $.  $d B x y z $.
    hashxplem.1 $e |- B e. Fin $.
    $( Lemma for ~ hashxp .  (Contributed by Paul Chapman, 30-Nov-2012.) $)
    hashxplem $p |- ( A e. Fin ->
                      ( # ` ( A X. B ) ) = ( ( # ` A ) x. ( # ` B ) ) ) $=
      ( cxp chash cfv cmul co wceq c0 xpeq1 fveq2d fveq2 oveq1d eqeq12d cc0 cfn
      wcel caddc c1 vx vy vz cv csn cun hashcl nn0cnd mul02d ax-mp hash0 oveq1i
      0xp fveq2i eqtri 3eqtr4ri wn wa oveq1 adantl xpundir cin xpfi inxp disjsn
      mpan2 biimpri xpeq1d eqtrdi eqtrid snfi hashun mp3an2 syl2an cen wbr snex
      mp2an elexi xpcomen vex xpsnen entri wb hashen mpbir oveq2i adantr cvv wi
      hashunsng cc ax-1cn cn0 nn0cn adddir mp3an23 syl mulid2i eqtrd 3eqtr4d ex
      mp2b findcard2s ) UAUDZBDZEFZXEEFZBEFZGHZIJBDZEFZJEFZXIGHZIUBUDZBDZEFZXOE
      FZXIGHZIZXOUCUDZUEZUFZBDZEFZYCEFZXIGHZIZABDZEFZAEFZXIGHZIUAUBUCAXEJIZXGXL
      XJXNYMXFXKEXEJBKLYMXHXMXIGXEJEMNOXEXOIZXGXQXJXSYNXFXPEXEXOBKLYNXHXRXIGXEX
      OEMNOXEYCIZXGYEXJYGYOXFYDEXEYCBKLYOXHYFXIGXEYCEMNOXEAIZXGYJXJYLYPXFYIEXEA
      BKLYPXHYKXIGXEAEMNOPXIGHZPXNXLBQRZYQPICYRXIYRXIBUGZUHUIUJXMPXIGUKULXLXMPX
      KJEBUMUNUKUOUPXOQRZYAXORUQZURZXTYHUUBXTURXQXISHZXSXISHZYEYGXTUUCUUDIUUBXQ
      XSXISUSUTUUBYEUUCIXTUUBYEXPYBBDZUFZEFZUUCYDUUFEXOYBBVAUNUUBUUGXQUUEEFZSHZ
      UUCYTXPQRZXPUUEVBZJIZUUGUUIIZUUAYTYRUUJCXOBVCVFUUAUUKXOYBVBZBBVBZDZJXOBYB
      BVDUUAUUPJUUODJUUAUUNJUUOUUNJIUUAXOYAVEVGVHUUOUMVIVJUUJUUEQRZUULUUMYBQRYR
      UUQYAVKCYBBVCVRZXPUUEVLVMVNUUHXIXQSUUHXIIZUUEBVOVPZUUEBYBDBYBBYAVQBQCVSZV
      TBYAUVAUCWAZWBWCUUQYRUUSUUTWDUURCUUEBWEVRWFWGVIVJWHUUBYGUUDIXTUUBYGXRTSHZ
      XIGHZUUDUUBYFUVCXIGYAWIRUUBYFUVCIWJUVBXOYAWIWKUJNYTUVDUUDIUUAYTUVDXSTXIGH
      ZSHZUUDYTXRWLRZUVDUVFIZYTXRXOUGUHUVGTWLRXIWLRZUVHWMYRXIWNRUVICYSXIWOXCZXR
      TXIWPWQWRUVEXIXSSXIUVJWSWGVIWHWTWHXAXBXD $.
  $}

  $( The size of the Cartesian product of two finite sets is the product of
     their sizes.  (Contributed by Paul Chapman, 30-Nov-2012.) $)
  hashxp $p |- ( ( A e. Fin /\ B e. Fin ) ->
                 ( # ` ( A X. B ) ) = ( ( # ` A ) x. ( # ` B ) ) ) $=
    ( cfn wcel cxp chash cfv cmul co wceq wi c0 cif xpeq2 fveq2d oveq2d eqeq12d
    fveq2 imbi2d 0fin elimel hashxplem dedth impcom ) BCDZACDZABEZFGZAFGZBFGZHI
    ZJZUEUFULKUFAUEBLMZEZFGZUIUMFGZHIZJZKBLBUMJZULURUFUSUHUOUKUQUSUGUNFBUMANOUS
    UJUPUIHBUMFRPQSAUMBLCTUAUBUCUD $.

  ${
    $d x y z B $.  $d x y z A $.
    $( The size of the set exponential of two finite sets is the exponential of
       their sizes.  (This is the original motivation behind the notation for
       set exponentiation.)  (Contributed by Mario Carneiro, 5-Aug-2014.)
       (Proof shortened by AV, 18-Jul-2022.) $)
    hashmap $p |- ( ( A e. Fin /\ B e. Fin ) ->
                   ( # ` ( A ^m B ) ) = ( ( # ` A ) ^ ( # ` B ) ) ) $=
      ( vz cfn wcel cmap co chash cfv cexp wceq wi c0 fveq2d oveq2d eqeq12d cvv
      oveq2 cmul syl2anc vx vy cv csn fveq2 imbi2d c1 hashcl nn0cnd exp0d hash0
      cun cc0 oveq2i a1i mapdm0 0ex hashsng mp1i eqtrd 3eqtr4rd wn wa oveq1 cxp
      cen wbr cin vex snex elex adantr simprr disjsn sylibr mapunen syl31anc wb
      simpl simprl snfi unfi sylancl adantrr xpfi hashen mpbird hashxp mapsnend
      mapfi 3eqtrd caddc hashunsng elv adantl cc ad2antrl expp1d syl5ibr expcom
      cn0 a2d findcard2s impcom ) BDEADEZABFGZHIZAHIZBHIZJGZKZXEAUAUCZFGZHIZXHX
      LHIZJGZKZLXEAMFGZHIZXHMHIZJGZKZLXEAUBUCZFGZHIZXHYCHIZJGZKZLXEAYCCUCZUDZUL
      ZFGZHIZXHYKHIZJGZKZLXEXKLUAUBCBXLMKZXQYBXEYQXNXSXPYAYQXMXRHXLMAFRNYQXOXTX
      HJXLMHUEOPUFXLYCKZXQYHXEYRXNYEXPYGYRXMYDHXLYCAFRNYRXOYFXHJXLYCHUEOPUFXLYK
      KZXQYPXEYSXNYMXPYOYSXMYLHXLYKAFRNYSXOYNXHJXLYKHUEOPUFXLBKZXQXKXEYTXNXGXPX
      JYTXMXFHXLBAFRNYTXOXIXHJXLBHUEOPUFXEXHUMJGZUGYAXSXEXHXEXHAUHUIZUJYAUUAKXE
      XTUMXHJUKUNUOXEXSMUDZHIZUGXEXRUUCHADUPNMQEUUDUGKXEUQMQURUSUTVAYCDEZYIYCEV
      BZVCZXEYHYPXEUUGYHYPLYHYPXEUUGVCZYEXHSGZYGXHSGZKYEYGXHSVDUUHYMUUIYOUUJUUH
      YMYDAYJFGZVEZHIZYEUUKHIZSGZUUIUUHYMUUMKZYLUULVFVGZUUHYCQEZYJQEZAQEZYCYJVH
      MKZUUQUURUUHUBVIUOUUSUUHYIVJUOXEUUTUUGADVKVLUUHUUFUVAXEUUEUUFVMYCYIVNVOYC
      YJAQQQVPVQUUHYLDEZUULDEZUUPUUQVRUUHXEYKDEZUVBXEUUGVSZUUHUUEYJDEZUVDXEUUEU
      UFVTYIWAZYCYJWBWCAYKWJTUUHYDDEZUUKDEZUVCXEUUEUVHUUFAYCWJWDZUUHXEUVFUVIUVE
      UVGAYJWJWCZYDUUKWETYLUULWFTWGUUHUVHUVIUUMUUOKUVJUVKYDUUKWHTUUHUUNXHYESUUH
      UUNXHKZUUKAVFVGZUUHAYIDQUVEYIQEUUHCVIUOWIUUHUVIXEUVLUVMVRUVKUVEUUKAWFTWGO
      WKUUHYOXHYFUGWLGZJGUUJUUHYNUVNXHJUUGYNUVNKZXEUUGUVOLCYCYIQWMWNWOOUUHXHYFX
      EXHWPEUUGUUBVLUUEYFXAEXEUUFYCUHWQWRUTPWSWTXBXCXD $.

    $( The size of the power set of a finite set is 2 raised to the power of
       the size of the set.  (Contributed by Paul Chapman, 30-Nov-2012.)
       (Proof shortened by Mario Carneiro, 5-Aug-2014.) $)
    hashpw $p |- ( A e. Fin -> ( # ` ~P A ) = ( 2 ^ ( # ` A ) ) ) $=
      ( vx cv cpw chash cfv c2 cexp co wceq cfn pweq fveq2d oveq2d eqeq12d wcel
      fveq2 c2o c0 mpan cmap cen wbr vex pw2en wb pwfi biimpi csn df2o2 eqeltri
      cpr mapfi hashen syl2anc mpbiri hashmap hash2 oveq1i eqtrdi eqtrd vtoclga
      prfi ) BCZDZEFZGVDEFZHIZJADZEFZGAEFZHIZJBAKVDAJZVFVJVHVLVMVEVIEVDALMVMVGV
      KGHVDAEQNOVDKPZVFRVDUAIZEFZVHVNVFVPJZVEVOUBUCZVDBUDUEVNVEKPZVOKPZVQVRUFVN
      VSVDUGUHRKPZVNVTRSSUIZULKUJSWBVCUKZRVDUMTVEVOUNUOUPVNVPREFZVGHIZVHWAVNVPW
      EJWCRVDUQTWDGVGHURUSUTVAVB $.
  $}

  ${
    $d x y z F $.
    $( A finite set is a function iff it is equinumerous to its domain.
       (Contributed by Mario Carneiro, 26-Sep-2013.)  (Revised by Mario
       Carneiro, 12-Mar-2015.) $)
    hashfun $p |- ( F e. Fin -> ( Fun F <-> ( # ` F ) = ( # ` dom F ) ) ) $=
      ( vx vy vz cfn wcel chash cfv cdm wceq wn cr syl adantr clt wbr caddc cle
      c1 c2 wfun wfn funfn hashfn sylbi wa wrel cop weq wal wne cn0 dmfi hashcl
      cv wi nn0red cvv cxp wrex wss df-rel dfss3 bitri notbii rexnal bitr4i w3a
      wral csn cdif cun dmun fveq2i dmsnn0 biimpri necon1bi 3ad2ant3 uneq2d un0
      co c0 eqtrdi fveq2d eqtrid diffi peano2re cdom fidomdm wb hashdom syl2anc
      mpbird ltp1d lelttrd 3ad2ant1 eqbrtrd cin disjdifr hashun mp3an23 hashsng
      snfi elv oveq2i eqtr2di breqtrd difsnid dmeqd 3ad2ant2 3brtr3d rexlimdv3a
      syl5bi imp gtned ex necon4bd wex 2nalexn df-ne anbi2i annim bitr2i 2exbii
      exbii exnal cpr 2re readdcl sylancr 1re opex prss undif sylbb eqtr3di vex
      dmprop dfsn2 ad2antrl eqtr4i uneq1i hashun2 oveq1i breqtrdi 1lt2 mp3an12i
      ltadd1 mpbii leadd2 mpbid prfi disjdif mp3an13 opth simprbi necon3i mp2an
      mp3an3 hashprg oveq1d ad2antll 3eqtr3rd ltletrd exlimdv exlimdvv sylanbrc
      sylib dffun4 impbid2 ) AEFZAUAZAGHZAIZGHZJZUVLAUVNUBUVPAUCUVNAUDUEUVKUVPU
      VLUVKUVPUFAUGZBUOZCUOZUHZAFUVRDUOZUHZAFUFZCDUIZUPZDUJZCUJBUJZUVLUVKUVPUVQ
      UVKUVQUVMUVOUVKUVQKZUVMUVOUKZUVKUWHUFUVOUVMUVKUVOLFZUWHUVKUVOUVKUVNEFUVOU
      LFAUMUVNUNMUQZNUVKUWHUVOUVMOPZUWHUVRURURUSZFZKZBAUTZUVKUWLUWHUWNBAVIZKUWP
      UVQUWQUVQAUWMVAUWQAVBBAUWMVCVDVEUWNBAVFVGUVKUWOUWLBAUVKUVRAFZUWOVHZAUVRVJ
      ZVKZUWTVLZIZGHZUXBGHZUVOUVMOUWSUXDUXAGHZSQWAZUXEOUWSUXDUXAIZGHZUXGOUWSUXD
      UXHUWTIZVLZGHUXIUXCUXKGUXAUWTVMVNUWSUXKUXHGUWSUXKUXHWBVLUXHUWSUXJWBUXHUWO
      UVKUXJWBJUWRUWNUXJWBUWNUXJWBUKUVRVOVPVQVRVSUXHVTWCWDWEUVKUWRUXIUXGOPUWOUV
      KUXIUXFUXGUVKUXIUVKUXHEFZUXIULFUVKUXAEFZUXLAUWTWFZUXAUMMZUXHUNMUQUVKUXFUV
      KUXMUXFULFUXNUXAUNMUQZUVKUXFLFUXGLFUXPUXFWGMUVKUXIUXFRPZUXHUXAWHPZUVKUXMU
      XRUXNUXAWIMUVKUXLUXMUXQUXRWJUXOUXNUXHUXAEWKWLWMUVKUXFUXPWNWOWPWQUVKUWRUXG
      UXEJUWOUVKUXEUXFUWTGHZQWAZUXGUVKUXMUXEUXTJZUXNUXMUWTEFZUXAUWTWRWBJUYAUVRX
      CZUWTAWSUXAUWTWTXAMUXSSUXFQUXSSJBUVRURXBXDZXEXFWPXGUWRUVKUXDUVOJUWOUWRUXC
      UVNGUWRUXBAAUVRXHZXIWDXJUWRUVKUXEUVMJUWOUWRUXBAGUYEWDXJXKXLXMXNXOXPXQXNUV
      KUVPUWGUVKUWGUVMUVOUWGKZUWCUVSUWAUKZUFZDXRZCXRBXRZUVKUWIUYFUWFKZCXRBXRUYJ
      UWFBCXSUYKUYIBCUYIUWEKZDXRUYKUYHUYLDUYHUWCUWDKZUFUYLUYGUYMUWCUVSUWAXTYAUW
      CUWDYBVDYEUWEDYFYCYDVDUVKUYIUWIBCUVKUYHUWIDUVKUYHUWIUVKUYHUFZUVOUVMUVKUWJ
      UYHUWKNZUYNUVOTAUVTUWBYGZVKZIZGHZQWAZUVMUYOUYNTLFZUYSLFZUYTLFZYHUVKVUBUYH
      UVKUYSUVKUYREFZUYSULFUVKUYQEFZVUDAUYPWFZUYQUMMZUYRUNMUQZNTUYSYIZYJUVKUVML
      FUYHUVKUVMAUNUQNUYNUVOSUYSQWAZUYTUYOUVKVUJLFZUYHUVKSLFZVUBVUKYKVUHSUYSYIY
      JNUVKVUCUYHUVKVUAVUBVUCYHVUHVUIYJNUYNUVOUWTUYRVLZGHZVUJRUWCUVOVUNJUVKUYGU
      WCUVNVUMGUWCUVNUYPIZUYRVLZVUMUWCUYPUYQVLZIUVNVUPUWCVUQAUWCUYPAVAVUQAJUVTU
      WBAUVRUVSYLZUVRUWAYLZYMUYPAYNYOZXIUYPUYQVMYPVUOUWTUYRVUOUVRUVRYGUWTUVRUVS
      UVRUWACYQZDYQYRUVRYSUUAUUBWCWDYTUVKVUNVUJRPUYHUVKVUNUXSUYSQWAZVUJRUVKUYBV
      UDVUNVVBRPUYCVUGUWTUYRUUCYJUXSSUYSQUYDUUDUUENWQUVKVUJUYTOPZUYHUVKSTOPZVVC
      UUFVULVUAUVKVUBVVDVVCWJYKYHVUHSTUYSUUHUUGUUINWOUYNUYTTUYQGHZQWAZUVMRUVKUY
      TVVFRPZUYHUVKUYSVVERPZVVGUVKVVHUYRUYQWHPZUVKVUEVVIVUFUYQWIMUVKVUDVUEVVHVV
      IWJVUGVUFUYRUYQEWKWLWMUVKVUBVVELFZVVHVVGWJZVUHUVKVVEUVKVUEVVEULFVUFUYQUNM
      UQVUBVVJVUAVVKYHUYSVVETUUJUUSWLUUKNUYNVUQGHZUYPGHZVVEQWAZUVMVVFUVKVVLVVNJ
      ZUYHUVKVUEVVOVUFUYPEFVUEUYPUYQWRWBJVVOUVTUWBUULUYPAUUMUYPUYQWTUUNMNUWCVVL
      UVMJUVKUYGUWCVUQAGVUTWDYTUYGVVNVVFJUVKUWCUYGVVMTVVEQUYGUVTUWBUKZVVMTJZUVT
      UWBUVSUWAUVTUWBJBBUIUWDUVRUVSUVRUWABYQVVAUUOUUPUUQUVTURFUWBURFVVPVVQWJVUR
      VUSUVTUWBURURUUTUURUVHUVAUVBUVCXGUVDXOXPUVEUVFXMXQXNBCDAUVIUVGXPUVJ $.
  $}

  $( The number of elements of a finite function restricted to a subset of its
     domain is equal to the number of elements of that subset.  (Contributed by
     AV, 15-Dec-2021.) $)
  hashres $p |- ( ( Fun A /\ A e. Fin /\ B C_ dom A )
                  -> ( # ` ( A |` B ) ) = ( # ` B ) ) $=
    ( wfun cfn wcel cdm wss w3a cres chash cfv wceq funres 3ad2ant1 wb 3ad2ant2
    finresfin hashfun syl mpbid ssdmres biimpi 3ad2ant3 fveq2d eqtrd ) ACZADEZB
    AFGZHZABIZJKZUJFZJKZBJKUIUJCZUKUMLZUFUGUNUHBAMNUIUJDEZUNUOOUGUFUPUHBAQPUJRS
    TUIULBJUHUFULBLZUGUHUQBAUAUBUCUDUE $.

  $( The number of elements of a finite function expressed by a restriction.
     (Contributed by AV, 15-Dec-2021.) $)
  hashreshashfun $p |- ( ( Fun A /\ A e. Fin /\ B C_ dom A )
                         -> ( # ` A ) = ( ( # ` ( A |` B ) )
                                          + ( # ` ( dom A \ B ) ) ) ) $=
    ( wfun cfn wcel cdm wss w3a chash cfv cdif caddc co wceq 3adant1 syl hashcl
    wa cc nn0cnd cres simp1 hashfun 3ad2ant2 mpbid cmin anim1i hashssdif oveq2d
    wb dmfi wi ssfi syl6 imp cn0 adantr jca pncan3 eqtr2d hashres eqcomd oveq1d
    ex 3eqtrd ) ACZADEZBAFZGZHZAIJZVHIJZBIJZVHBKIJZLMZABUAIJZVNLMVJVFVKVLNZVFVG
    VIUBVGVFVFVQUJVIAUCUDUEVJVOVMVLVMUFMZLMZVLVJVNVRVMLVJVHDEZVIRZVNVRNVGVIWAVF
    VGVTVIAUKZUGOVHBUHPUIVJVMSEZVLSEZRZVSVLNVGVIWEVFVGVIRWCWDVGVIWCVGVTVIWCULWB
    VTVIBDEZWCVTVIWFVHBUMVDWFVMBQTUNPUOVGWDVIVGVLVGVTVLUPEWBVHQPTUQUROVMVLUSPUT
    VJVMVPVNLVJVPVMABVAVBVCVE $.

  $( The size of the image of a one-to-one function ` E ` under the range of a
     function ` F ` which is a one-to-one function into the domain of ` E `
     equals the size of the function ` F ` .  (Contributed by Alexander van der
     Vekens, 4-Feb-2018.)  (Proof shortened by AV, 4-May-2021.) $)
  hashimarn $p |- ( ( E : dom E -1-1-> ran E /\ E e. V )
                    -> ( F : ( 0 ..^ ( # ` F ) ) -1-1-> dom E
                         -> ( # ` ( E " ran F ) ) = ( # ` F ) ) ) $=
    ( cdm crn wf1 wcel wa cc0 chash cfv cfzo cima wceq cres adantl syl hashf1rn
    co cvv wss frnd ssdmres sylib fveq2d df-ima fveq2i wfun f1fun funres funfnd
    f1f wfn ad2antrr hashfn wf fex sylancl rnexg simpll f1ssres syl2anc syl2an2
    ovex eqtr3d eqtr4id mpan 3eqtr4d ex ) ADZAEZAFZACGZHZIBJKZLSZVJBFZABEZMZJKZ
    VONVNVQHZAVROZDZJKZVRJKZVTVOWAWCVRJWAVRVJUAZWCVRNVQWFVNVQVPVJBVPVJBULZUBPZV
    RAUCUDUEWAVTWBEZJKZWDVSWIJAVRUFUGWAWBJKZWDWJWAWBWCUMZWKWDNVLWLVMVQVLAUHZWLV
    JVKAUIWMWBVRAUJUKQUNWCWBUOQVQVRTGZVNVRVKWBFZWKWJNVQBTGZWNVQVPVJBUPVPTGZWPWG
    IVOLVDZVPVJTBUQURBTUSQWAVLWFWOVLVMVQUTWHVJVKVRAVAVBVRVKWBTRVCVEVFVQVOWENZVN
    WQVQWSWRVPVJBTRVGPVHVI $.

  $( If the size of the image of a one-to-one function ` E ` under the range of
     a function ` F ` which is a one-to-one function into the domain of ` E `
     is a nonnegative integer, the size of the function ` F ` is the same
     nonnegative integer.  (Contributed by Alexander van der Vekens,
     4-Feb-2018.) $)
  hashimarni $p |- ( ( E : dom E -1-1-> ran E /\ E e. V )
                     -> ( ( F : ( 0 ..^ ( # ` F ) ) -1-1-> dom E
                /\ P = ( E " ran F ) /\ ( # ` P ) = N ) -> ( # ` F ) = N ) ) $=
    ( cc0 chash cfv cfzo co cdm wf1 crn cima wceq w3a wcel wa wi wb id ex exp31
    fveqeq2 adantl hashimarn impcom sylan9req adantr sylbid com23 com34 com12
    3imp ) FCGHZIJBKZCLZABCMNZOZAGHDOZPUPBMBLBEQRZUODOZUQUSUTVAVBSUQUSVAUTVBUQV
    AUSUTVBSZUQVAUSVCUQVARZUSRUTURGHZDOZVBUSUTVFTVDAURDGUDUEVDVFVBSUSVDVFVBVDVF
    UOVEDVAUQVEUOOBCEUFUGVFUAUHUBUIUJUCUKULUNUM $.

  ${
    resunimafz0.i $e |- ( ph -> Fun I ) $.
    resunimafz0.f $e |- ( ph -> F : ( 0 ..^ ( # ` F ) ) --> dom I ) $.
    resunimafz0.n $e |- ( ph -> N e. ( 0 ..^ ( # ` F ) ) ) $.
    $( TODO-AV:  Revise using ` F e. Word dom I ` ?  Formerly part of proof of
       ~ eupth2lem3 :  The union of a restriction by an image over an open
       range of nonnegative integers and a singleton of an ordered pair is a
       restriction by an image over an interval of nonnegative integers.
       (Contributed by Mario Carneiro, 8-Apr-2015.)  (Revised by AV,
       20-Feb-2021.) $)
    resunimafz0 $p |- ( ph -> ( I |` ( F " ( 0 ... N ) ) )
                          = ( ( I |` ( F " ( 0 ..^ N ) ) )
                              u. { <. ( F ` N ) , ( I ` ( F ` N ) ) >. } ) ) $=
      ( cc0 co cima cres cfzo cfv csn cun wcel wceq syl wfn syl2anc cfz imaundi
      cop cuz cn0 chash elfzonn0 elnn0uz fzisfzounsn imaeq2d ffnd fnsnfv uneq2d
      sylib cdm 3eqtr4a reseq2d resundi eqtrdi funfnd ffvelrnd fnressn eqtrd )
      ACBHDUAIZJZKZCBHDLIZJZKZCDBMZNZKZOZVIVJVJCMUCNZOAVFCVHVKOZKVMAVEVOCABVGDN
      ZOZJVHBVPJZOVEVOBVGVPUBAVDVQBADHUDMPZVDVQQADUEPZVSADHBUFMZLIZPZVTGDWAUGRD
      UHUNHDUIRUJAVKVRVHABWBSWCVKVRQAWBCUOZBFUKGWBDBULTUMUPUQCVHVKURUSAVLVNVIAC
      WDSVJWDPVLVNQACEUTAWBWDDBFGVAWDVJCVBTUMVC $.
  $}

  $( The size of a function on a finite set of sequential nonnegative integers.
     (Contributed by Alexander van der Vekens, 25-Jun-2018.) $)
  fnfz0hash $p |- ( ( N e. NN0 /\ F Fn ( 0 ... N ) )
                    -> ( # ` F ) = ( N + 1 ) ) $=
    ( cc0 cfz co wfn cn0 wcel chash cfv c1 caddc hashfn hashfz0 sylan9eqr ) ACB
    DEZFBGHAIJPIJBKLEPAMBNO $.

  $( The size of a function on a finite set of sequential nonnegative integers
     equals the upper bound of the sequence increased by 1.  (Contributed by
     Alexander van der Vekens, 15-Mar-2018.)  (Proof shortened by AV,
     11-Apr-2021.) $)
  ffz0hash $p |- ( ( N e. NN0 /\ F : ( 0 ... N ) --> B )
                   -> ( # ` F ) = ( N + 1 ) ) $=
    ( cc0 cfz co wf cn0 wcel wfn chash cfv c1 caddc wceq ffn fnfz0hash sylan2 )
    DCEFZABGCHIBSJBKLCMNFOSABPBCQR $.

  $( The size of a function on a finite set of sequential nonnegative integers
     is a nonnegative integer.  (Contributed by AV, 10-Apr-2021.) $)
  fnfz0hashnn0 $p |- ( F Fn ( 0 ... N ) -> ( # ` F ) e. NN0 ) $=
    ( cc0 cfz co wfn chash cfv cn0 hashfn cfn wcel fzfi hashcl ax-mp eqeltrdi )
    ACBDEZFAGHQGHZIQAJQKLRILCBMQNOP $.

  $( The size of a function on a half-open range of nonnegative integers.
     (Contributed by Alexander van der Vekens, 25-Mar-2018.) $)
  ffzo0hash $p |- ( ( N e. NN0 /\ F Fn ( 0 ..^ N ) ) -> ( # ` F ) = N ) $=
    ( cc0 cfzo co wfn cn0 wcel chash cfv hashfn hashfzo0 sylan9eqr ) ACBDEZFBGH
    AIJNIJBNAKBLM $.

  $( The size of a function on a half-open range of nonnegative integers equals
     the upper bound of this range.  (Contributed by Alexander van der Vekens,
     26-Jan-2018.)  (Proof shortened by AV, 11-Apr-2021.) $)
  fnfzo0hash $p |- ( ( N e. NN0 /\ F : ( 0 ..^ N ) --> B )
                     -> ( # ` F ) = N ) $=
    ( cc0 cfzo co wf cn0 wcel wfn chash cfv wceq ffn ffzo0hash sylan2 ) DCEFZAB
    GCHIBQJBKLCMQABNBCOP $.

  $( The value of the size function on a half-open range of nonnegative
     integers is a nonnegative integer.  (Contributed by AV, 10-Apr-2021.) $)
  fnfzo0hashnn0 $p |- ( F Fn ( 0 ..^ N ) -> ( # ` F ) e. NN0 ) $=
    ( cc0 cfzo co wfn chash cfv cn0 hashfn cfn wcel fzofi hashcl ax-mp eqeltrdi
    ) ACBDEZFAGHQGHZIQAJQKLRILCBMQNOP $.

  ${
    $d j k u v w x y z A $.  $d j k u v x K $.  $d u v x ph $.
    ${
      hashbc.1 $e |- ( ph -> A e. Fin ) $.
      hashbc.2 $e |- ( ph -> -. z e. A ) $.
      hashbc.3 $e |- ( ph -> A. j e. ZZ
        ( ( # ` A ) _C j ) = ( # ` { x e. ~P A | ( # ` x ) = j } ) ) $.
      hashbc.4 $e |- ( ph -> K e. ZZ ) $.
      $( Lemma for ~ hashbc : inductive step.  (Contributed by Mario Carneiro,
         13-Jul-2014.) $)
      hashbclem $p |- ( ph -> ( ( # ` ( A u. { z } ) ) _C K ) =
        ( # ` { x e. ~P ( A u. { z } ) | ( # ` x ) = K } ) ) $=
        ( chash cfv co c1 caddc wceq wa wcel wss cfn vu vv cbc cmin wel csn cun
        wn cv cpw crab cz oveq2 eqeq2 rabbidv eqeq12d rspcdva ssun1 sspwi sseli
        fveq2d adantl elpwi ssneld mpan9 jca uncom sseqtrdi adantr cin c0 simpr
        wb disjsn sylibr disjssun syl mpbid elpw impbida anbi1d anass rabbidva2
        vex bitrdi eqtrd peano2zm cen wbr cdif cvv pwfi sylib snfi unfi sylancl
        rabexg ssrab2 ssfi fveqeq2 elrab eleq2 anbi12d ad2antrl unss1 snex unex
        ssfid a1i ssneldd hashun syl3anc simprr hashsng elv oveq12d zcnd ax-1cn
        cc npcan 3eqtrd ssun2 snss mpbir jctil elrabd syl5bi ssundif cn0 hashcl
        ex snssd eqtrid oveq2i eqtrdi oveq1d syl2anc eqcom bitri wo simprrl w3a
        difexi nn0cnd pncan undif1 ssequn2 simprrr 3eqtr3d eqtr3d anbi12i incom
        disjdifr simp3rl 3adant3 bicomd eqeq1i 3expib en3d hashen mpbird bcpasc
        uneqdifeq 3bitr4g eqtr4d pm2.1 biantrur andir rabbii unrab eqtr4i inrab
        fveq2i wral simprl simpll pm2.65i rgenw rabeq0 eqtri 3eqtr4d ) ADKLZFUC
        MZUWBFNUDMZUCMZOMZCBUEZUHZBUIZKLZFPZQZBDCUIZUFZUGZUJZUKZKLZUWGUWKQZBUWP
        UKZKLZOMZUWOKLZFUCMZUWKBUWPUKZKLZAUWCUWRUWEUXAOAUWCUWKBDUJZUKZKLZUWRAUW
        BEUIZUCMZUWJUXJPZBUXGUKZKLZPZUWCUXIPEULFUXJFPZUXKUWCUXNUXIUXJFUWBUCUMUX
        PUXMUXHKUXPUXLUWKBUXGUXJFUWJUNUOVAUPIJUQAUXHUWQKAUWKUWLBUXGUWPAUWIUXGRZ
        UWKQUWIUWPRZUWHQZUWKQUXRUWLQAUXQUXSUWKAUXQUXSAUXQQUXRUWHUXQUXRAUXGUWPUW
        IDUWODUWNURUSUTVBAUWMDRUHZUXQUWHHUXQUWIDUWMUWIDVCVDVEVFUXSUXQAUXSUWIDSZ
        UXQUXSUWIUWNDUGZSZUYAUXRUYCUWHUXRUWIUWOUYBUWIUWOVCDUWNVGZVHVIUXSUWIUWNV
        JVKPZUYCUYAVMUXSUWHUYEUXRUWHVLUWIUWMVNVOUWIUWNDVPVQVRUWIDBWDVSVOVBVTWAU
        XRUWHUWKWBWEWCVAWFAUWEUWJUWDPZBUXGUKZKLZUXAAUXOUWEUYHPEULUWDUXJUWDPZUXK
        UWEUXNUYHUXJUWDUWBUCUMUYIUXMUYGKUYIUXLUYFBUXGUXJUWDUWJUNUOVAUPIAFULRZUW
        DULRJFWGVQUQAUYHUXAPZUYGUWTWHWIZAUAUBUYGUWTUAUIZUWNUGZUBUIZUWNWJZWKTAUX
        GTRZUYGWKRADTRZUYQGDWLWMZUYFBUXGTWQVQAUWPTRZUWTUWPSUWTTRZAUWOTRZUYTAUYR
        UWNTRZVUBGUWMWNZDUWNWOWPUWOWLWMZUWSBUWPWRUWPUWTWSWPZUYMUYGRZUYMUXGRZUYM
        KLZUWDPZQZAUYNUWTRZUYFVUJBUYMUXGUWIUYMUWDKWTXAZAVUKVULAVUKQZUWSUWMUYNRZ
        UYNKLZFPZQBUYNUWPUWIUYNPUWGVUOUWKVUQUWIUYNUWMXBUWIUYNFKWTXCVUNUYNUWOSZU
        YNUWPRVUNUYMDSZVURVUHVUSAVUJUYMDVCXDZUYMDUWNXEVQUYNUWOUYMUWNUAWDUWMXFXG
        VSVOVUNVUQVUOVUNVUPVUIUWNKLZOMZUWDNOMZFVUNUYMTRVUCUYMUWNVJZVKPZVUPVVBPV
        UNDUYMAUYRVUKGVIVUTXHVUCVUNVUDXIVUNCUAUEUHVVEVUNUYMDUWMVUTAUXTVUKHVIXJU
        YMUWMVNVOZUYMUWNXKXLVUNVUIUWDVVANOAVUHVUJXMVVANPZVUNVVGCUWMWKXNXOZXIXPV
        UNFXSRNXSRZVVCFPVUNFAUYJVUKJVIXQXRFNXTWPYAVUOUWNUYNSUWNUYMYBUWMUYNCWDYC
        YDYEYFYKYGUYOUWTRZUYOUWPRZCUBUEZUYOKLZFPZQZQZAUYPUYGRZUWSVVOBUYOUWPUWIU
        YOPUWGVVLUWKVVNUWIUYOUWMXBUWIUYOFKWTXCXAZAVVPVVQAVVPQZUYFUYPKLZUWDPBUYP
        UXGUWIUYPUWDKWTVVSUYPDSZUYPUXGRVVSUYOUYBSVWAVVSUYOUWOUYBVVKUYOUWOSAVVOU
        YOUWOVCXDUYDVHUYOUWNDYHWMZUYPDUYOUWNUBWDUUCVSVOVVSVVTNOMZNUDMZVVTUWDVVS
        VVTXSRVVIVWDVVTPVVSVVTVVSUYPTRZVVTYIRVVSDUYPAUYRVVPGVIVWBXHZUYPYJVQUUDX
        RVVTNUUEWPVVSVWCFNUDVVSUYPUWNUGZKLZVVMVWCFVVSVWGUYOKVVSVWGUYOUWNUGZUYOU
        YOUWNUUFVVSUWNUYOSZVWIUYOPVVSUWMUYOAVVKVVLVVNUUAYLUWNUYOUUGWMYMVAVVSVWH
        VVTVVAOMZVWCVVSVWEVUCUYPUWNVJVKPZVWHVWKPVWFVUCVVSVUDXIVWLVVSUWNUYOUUMXI
        UYPUWNXKXLVVANVVTOVVHYNYOAVVKVVLVVNUUHUUIYPUUJYFYKYGVUGVVJQVUKVVPQAUYMU
        YPPZUYOUYNPZVMZVUGVUKVVJVVPVUMVVRUUKAVUKVVPVWOAVUKVVPUUBZUYPUYMPZUWNUYM
        UGZUYOPZVWMVWNVWPVWSVWQVWPVWJUWNUYMVJZVKPVWSVWQVMVWPUWMUYOVVLVVNVVKAVUK
        UUNYLVWPVWTVVDVKUWNUYMUULAVUKVVEVVPVVFUUOYMUWNUYMUYOUVCYQUUPUYMUYPYRVWN
        UYNUYOPVWSUYOUYNYRUYNVWRUYOUYMUWNVGUUQYSUVDUURYGUUSAUYGTRZVUAUYKUYLVMAU
        YQUYGUXGSVXAUYSUYFBUXGWRUXGUYGWSWPVUFUYGUWTUUTYQUVAWFXPAUXDUWBNOMZFUCMZ
        UWFAUXCVXBFUCAUXCUWBVVAOMZVXBAUYRVUCDUWNVJVKPZUXCVXDPGVUCAVUDXIAUXTVXEH
        DUWMVNVODUWNXKXLVVANUWBOVVHYNYOYPAUWBYIRZUYJUWFVXCPAUYRVXFGDYJVQJFUWBUV
        BYQUVEAUXFUWQUWTUGZKLZUXBUXEVXGKUXEUWLUWSYTZBUWPUKVXGUWKVXIBUWPUWKUWHUW
        GYTZUWKQVXIVXJUWKUWGUVFUVGUWHUWGUWKUVHYSUVIUWLUWSBUWPUVJUVKUVMAUWQTRZVU
        AUWQUWTVJZVKPZVXHUXBPAUYTUWQUWPSVXKVUEUWLBUWPWRUWPUWQWSWPVUFVXMAVXLUWLU
        WSQZBUWPUKZVKUWLUWSBUWPUVLVXOVKPVXNUHZBUWPUVNVXPBUWPVXNUWGUWLUWGUWKUVOU
        WHUWKUWSUVPUVQUVRVXNBUWPUVSYDUVTXIUWQUWTXKXLYMUWA $.
    $}

    $( The binomial coefficient counts the number of subsets of a finite set of
       a given size.  This is Metamath 100 proof #58 (formula for the number of
       combinations).  (Contributed by Mario Carneiro, 13-Jul-2014.) $)
    hashbc $p |- ( ( A e. Fin /\ K e. ZZ ) ->
      ( ( # ` A ) _C K ) = ( # ` { x e. ~P A | ( # ` x ) = K } ) ) $=
      ( vk vz vj wcel chash cfv cv cbc co wceq crab cz wral fveq2d eqeq12d cc0
      c0 vw vy cfn cpw csn cun fveq2 oveq1d pweq rabeqdv ralbidv cfz c1 elfz1eq
      hash0 a1i oveq12d cn0 0nn0 bcn0 ax-mp eqtrdi eqcomd pw0 raleqi 0ex eqeq1d
      ralsn bitri sylibr rabid2 eqtr3di cvv hashsng eqtr4d adantl oveq1i bcval3
      wn wa mp3an1 id elfz3 eqeltrrdi con3i notbid rabeq0 eqtrid pm2.61dan rgen
      0z oveq2 eqeq2 rabbidv fveqeq2 cbvrabv simpll simplr simprr fveq2i eqeq2i
      cbvralvw ralbii simprl hashbclem expr ralrimdva syl5bi findcard2s rspccva
      sylan ) BUCGBHIZDJZKLZAJZHIZXMMZABUDZNZHIZMZDOPZCOGXLCKLZXPCMZAXRNZHIZMZU
      AJZHIZXMKLZXQAYHUDZNZHIZMZDOPTHIZXMKLZXQATUDZNZHIZMZDOPUBJZHIZXMKLZXQAUUA
      UDZNZHIZMZDOPZUUAEJZUEUFZHIZXMKLZXQAUUJUDZNZHIZMZDOPZYBUAUBEBYHTMZYNYTDOU
      URYJYPYMYSUURYIYOXMKYHTHUGUHUURYLYRHUURXQAYKYQYHTUIUJQRUKYHUUAMZYNUUGDOUU
      SYJUUCYMUUFUUSYIUUBXMKYHUUAHUGUHUUSYLUUEHUUSXQAYKUUDYHUUAUIUJQRUKYHUUJMZY
      NUUPDOUUTYJUULYMUUOUUTYIUUKXMKYHUUJHUGUHUUTYLUUNHUUTXQAYKUUMYHUUJUIUJQRUK
      YHBMZYNYADOUVAYJXNYMXTUVAYIXLXMKYHBHUGUHUVAYLXSHUVAXQAYKXRYHBUIUJQRUKYTDO
      XMOGZXMSSULLZGZYTUVDYTUVBUVDYPUMYSUVDYPSSKLZUMUVDYOSXMSKYOSMUVDUOUPXMSUNZ
      UQSURGZUVEUMMUSSUTVAVBUVDYSTUEZHIZUMUVDYRUVHHUVDYQYRUVHUVDXQAYQPZYQYRMUVD
      SXMMZUVJUVDXMSUVFVCUVJXQAUVHPUVKXQAYQUVHVDVEXQUVKATVFXOTMZXPSXMUVLXPYOSXO
      THUGUOVBVGZVHVIVJXQAYQVKVJVDVLQTVMGUVIUMMVFTVMVNVAVBVOVPUVBUVDVSZVTZYPSXM
      KLZYSYOSXMKUOVQUVOUVPSYSUVGUVBUVNUVPSMUSXMSVRWAUVOYSYOSUVOYRTHUVOXQVSZAYQ
      PZYRTMUVOUVKVSZUVRUVNUVSUVBUVKUVDUVKXMSUVCUVKWBSOGSUVCGWKSWCVAWDWEVPUVRUV
      QAUVHPUVSUVQAYQUVHVDVEUVQUVSATVFUVLXQUVKUVMWFVHVIVJXQAYQWGVJQUOVBVOWHWIWJ
      UUHUUBFJZKLZUUIHIUVTMZEUUDNZHIZMZFOPZUUAUCGZUUIUUAGVSZVTZUUQUUGUWEDFOXMUV
      TMZUUCUWAUUFUWDXMUVTUUBKWLUWJUUEUWCHUWJUUEXPUVTMZAUUDNZUWCUWJXQUWKAUUDXMU
      VTXPWMWNUWKUWBAEUUDXOUUIUVTHWOWPZVBQRXBUWIUWFUUPDOUWIUVBUWFUUPUWIUVBUWFVT
      ZVTZAEUUAFXMUWGUWHUWNWQUWGUWHUWNWRUWOUWFUWAUWLHIZMZFOPUWIUVBUWFWSUWQUWEFO
      UWPUWDUWAUWLUWCHUWMWTXAXCVJUWIUVBUWFXDXEXFXGXHXIYAYGDCOXMCMZXNYCXTYFXMCXL
      KWLUWRXSYEHUWRXQYDAXRXMCXPWMWNQRXJXK $.
  $}

  ${
    $d f g h x y A $.  $d f g h x y B $.  $d f g h x y C $.  $d f g h x y D $.
    $( The number of bijections between two sets is a cardinal invariant.
       (Contributed by Mario Carneiro, 21-Jan-2015.)  (Proof shortened by AV,
       7-Aug-2024.) $)
    hashfacen $p |- ( ( A ~~ B /\ C ~~ D ) ->
      { f | f : A -1-1-onto-> C } ~~ { f | f : B -1-1-onto-> D } ) $=
      ( vg vh cv wf1o wex wa ccom cvv wcel f1oco vex f1oeq1 elab coex wceq bren
      vx cen wbr cab exdistrv ccnv f1osetex a1i adantll f1ocnv ad2antrr syl2anc
      vy ex cnvex 3imtr4g ad2antlr ancoms adantlr wb anbi12i cid cres f1ococnv1
      coass coeq2d wf adantrr f1of fcoi1 eqtrd eqtr2id f1ococnv2 coeq1d adantrl
      3syl fcoi2 eqtr3id eqeq12d eqcom bitrdi wf1 f1of1 ad2antrl cocan1 syl3anc
      syl wfo f1ofo ad2antll cocan2 3bitr3d syl5bi en3d exlimivv sylbir syl2anb
      wfn f1ofn ) ABUCUDABFHZIZFJZCDGHZIZGJZACEHZIZEUEZBDXGIZEUEZUCUDZCDUCUDABF
      UACDGUAXCXFKXBXEKZGJFJXLXBXEFGUFXMXLFGXMUBUNXIXKXDUBHZLZXAUGZLZXDUGZUNHZX
      ALZLZMMXIMNXMACEUHUIXKMNXMBDEUHUIXMACXNIZBDXQIZXNXINZXQXKNXMYBYCXMYBKADXO
      IZBAXPIZYCXEYBYEXBACDXDXNOUJZXBYFXEYBABXAUKULBADXOXPOUMZUOXHYBEXNUBPZACXG
      XNQRZXJYCEXQXOXPXDXNGPZYISXAFPZUPSBDXGXQQRUQXMBDXSIZACYAIZXSXKNZYAXINXMYM
      YNXMYMKDCXRIZADXTIZYNXEYPXBYMCDXDUKURXBYMYQXEYMXBYQABDXSXAOUSUTZADCXRXTOU
      MZUOXJYMEXSUNPZBDXGXSQRZXHYNEYAXRXTXDYKUPXSXAYTYLSSACXGYAQRUQYDYOKYBYMKZX
      MXNYATZXSXQTZVAZYDYBYOYMYJUUAVBXMUUBUUEXMUUBKZXOXDYALZTZXTXQXALZTZUUCUUDU
      UFUUHUUIXTTUUJUUFXOUUIUUGXTUUFUUIXOXPXALZLZXOXOXPXAVFUUFUULXOVCAVDZLZXOUU
      FUUKUUMXOXBUUKUUMTXEUUBABXAVEULVGUUFYEADXOVHUUNXOTXMYBYEYMYGVIADXOVJADXOV
      KVQVLVMUUFUUGXDXRLZXTLZXTXDXRXTVFUUFUUPVCDVDZXTLZXTUUFUUOUUQXTXEUUOUUQTXB
      UUBCDXDVNURVOUUFYQADXTVHUURXTTXMYMYQYBYRVPADXTVJADXTVRVQVLVSVTUUIXTWAWBUU
      FCDXDWCZACXNVHZACYAVHZUUHUUCVAXEUUSXBUUBCDXDWDURYBUUTXMYMACXNVJWEUUFYNUVA
      XMYMYNYBYSVPACYAVJWHACDXDXNYAWFWGUUFABXAWIZXSBWSZXQBWSZUUJUUDVAXBUVBXEUUB
      ABXAWJULYMUVCXMYBBDXSWTWKUUFYCUVDXMYBYCYMYHVIBDXQWTWHABXAXSXQWLWGWMUOWNWO
      WPWQWR $.

    $( Obsolete version of ~ hashfacen as of 7-Aug-2024.  (Contributed by Mario
       Carneiro, 21-Jan-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    hashfacenOLD $p |- ( ( A ~~ B /\ C ~~ D ) ->
      { f | f : A -1-1-onto-> C } ~~ { f | f : B -1-1-onto-> D } ) $=
      ( vg vh cv wf1o wex wa ccom cvv cmap wcel wf f1of wb syl wceq cen wbr cab
      vx vy bren exdistrv ccnv wss cdm f1odm vex dmex eqeltrrdi syl2anr syl5ibr
      co elmapg abssdv ovex ssex crn wfo f1ofo forn rnex f1oco adantll ad2antrr
      f1ocnv syl2anc ex f1oeq1 elab coex cnvex 3imtr4g ad2antlr adantlr anbi12i
      ancoms coass cid cres f1ococnv1 coeq2d adantrr fcoi1 3syl eqtrd f1ococnv2
      eqtr2id coeq1d adantrl fcoi2 eqtr3id eqeq12d eqcom bitrdi ad2antrl cocan1
      wf1 f1of1 syl3anc wfn ad2antll cocan2 3bitr3d syl5bi en3d exlimivv sylbir
      f1ofn syl2anb ) ABUAUBABFHZIZFJZCDGHZIZGJZACEHZIZEUCZBDYAIZEUCZUAUBZCDUAU
      BABFUFCDGUFXQXTKXPXSKZGJFJYFXPXSFGUGYGYFFGYGUDUEYCYEXRUDHZLZXOUHZLZXRUHZU
      EHZXOLZLZMMYGYCCANUQZUIYCMOYGYBEYPYBYAYPOZYGACYAPZACYAQXSCMOAMOYQYRRXPXSC
      XRUJMCDXRUKXRGULZUMUNXPAXOUJMABXOUKXOFULZUMUNCAYAMMURUOUPUSYCYPCANUTVASYG
      YEDBNUQZUIYEMOYGYDEUUAYDYAUUAOZYGBDYAPZBDYAQXSDMOBMOUUBUUCRXPXSDXRVBZMXSC
      DXRVCUUDDTCDXRVDCDXRVESXRYSVFUNXPBXOVBZMXPABXOVCZUUEBTABXOVDZABXOVESXOYTV
      FUNDBYAMMURUOUPUSYEUUADBNUTVASYGACYHIZBDYKIZYHYCOZYKYEOYGUUHUUIYGUUHKADYI
      IZBAYJIZUUIXSUUHUUKXPACDXRYHVGVHZXPUULXSUUHABXOVJVIBADYIYJVGVKZVLYBUUHEYH
      UDULZACYAYHVMVNZYDUUIEYKYIYJXRYHYSUUOVOXOYTVPVOBDYAYKVMVNVQYGBDYMIZACYOIZ
      YMYEOZYOYCOYGUUQUURYGUUQKDCYLIZADYNIZUURXSUUTXPUUQCDXRVJVRXPUUQUVAXSUUQXP
      UVAABDYMXOVGWAVSZADCYLYNVGVKZVLYDUUQEYMUEULZBDYAYMVMVNZYBUUREYOYLYNXRYSVP
      YMXOUVDYTVOVOACYAYOVMVNVQUUJUUSKUUHUUQKZYGYHYOTZYMYKTZRZUUJUUHUUSUUQUUPUV
      EVTYGUVFUVIYGUVFKZYIXRYOLZTZYNYKXOLZTZUVGUVHUVJUVLUVMYNTUVNUVJYIUVMUVKYNU
      VJUVMYIYJXOLZLZYIYIYJXOWBUVJUVPYIWCAWDZLZYIUVJUVOUVQYIXPUVOUVQTXSUVFABXOW
      EVIWFUVJUUKADYIPUVRYITYGUUHUUKUUQUUMWGADYIQADYIWHWIWJWLUVJUVKXRYLLZYNLZYN
      XRYLYNWBUVJUVTWCDWDZYNLZYNUVJUVSUWAYNXSUVSUWATXPUVFCDXRWKVRWMUVJUVAADYNPU
      WBYNTYGUUQUVAUUHUVBWNADYNQADYNWOWIWJWPWQUVMYNWRWSUVJCDXRXBZACYHPZACYOPZUV
      LUVGRXSUWCXPUVFCDXRXCVRUUHUWDYGUUQACYHQWTUVJUURUWEYGUUQUURUUHUVCWNACYOQSA
      CDXRYHYOXAXDUVJUUFYMBXEZYKBXEZUVNUVHRXPUUFXSUVFUUGVIUUQUWFYGUUHBDYMXMXFUV
      JUUIUWGYGUUHUUIUUQUUNWGBDYKXMSABXOYMYKXGXDXHVLXIXJXKXLXN $.
  $}

  ${
    $d a f g x y z $.  $d a f g x y A $.  $d a f g x y B $.  $d a f g x y ph $.
    $d f g x y F $.
    hashf1lem2.1 $e |- ( ph -> A e. Fin ) $.
    hashf1lem2.2 $e |- ( ph -> B e. Fin ) $.
    hashf1lem2.3 $e |- ( ph -> -. z e. A ) $.
    hashf1lem2.4 $e |- ( ph -> ( ( # ` A ) + 1 ) <_ ( # ` B ) ) $.
    ${
      hashf1lem1.5 $e |- ( ph -> F : A -1-1-> B ) $.
      $( Lemma for ~ hashf1 .  (Contributed by Mario Carneiro, 17-Apr-2015.)
         (Proof shortened by AV, 14-Aug-2024.) $)
      hashf1lem1 $p |- ( ph -> { f | ( ( f |` A ) = F /\
         f : ( A u. { z } ) -1-1-> B ) } ~~ ( B \ ran F ) ) $=
        ( vy cres wceq wa cfv cvv wcel syl c0 vg vx cv csn cun wf1 cab crn cdif
        cop cfn f1setex wss abanssr a1i ssexd difexd vex weq reseq1 eqeq1d elab
        f1eq1 anbi12d f1f ad2antll ssun2 snss mpbir ffvelrn sylancl adantr cima
        wf wn df-ima simprl rneqd eqtrid eleq2d wb simprr ssun1 f1elima syl3anc
        bitr3d mtbird eldifd ex syl5bi cin wf1o f1osn ax-mp eldifi adantl snssd
        f1of fss sylancr res0 eqtr4i disjsn reseq2d 3eqtr4a fresaunres1 f1f1orn
        sylibr eldifn f1oun f1of1 frnd unssd f1ss syl2anc fexd snex unexg elabg
        syl22anc mpbir2and anbi1i wral simprlr f1fn adantrl f1ofn eqfnfv eqcomd
        fvres simprll fveq1d sylan9eqr ad2antrr fnsn simpr fvun1d eqtr4d fveq2
        wfn ralrimiva biantrurd ralunb bitr4di cdm fdmd fsnunfv mp3an12i eqeq2d
        eqeq12d ralsn eqcom 3bitr4g 3bitr2d en3d ) AUAUBEUCZCMZFNZCBUCZUDZUEZDU
        UPUFZOZEUGZDFUHZUIZUUSUAUCZPZFUUSUBUCZUJZUDZUEZQQAUVDUVBEUGZQADUKRUVMQR
        HUVADEUKULSUVDUVMUMAUURUVBEUNUOUPADUVEUKHUQUVGUVDRZUVGCMZFNZUVADUVGUFZO
        ZAUVHUVFRZUVCUVREUVGUAUREUAUSZUURUVPUVBUVQUVTUUQUVOFUUPUVGCUTVAUVADUUPU
        VGVCVDVBZAUVRUVSAUVROZUVHDUVEUWBUVADUVGVNZUUSUVARZUVHDRUVQUWCAUVPUVADUV
        GVEVFUWDUUTUVAUMUUTCVGUUSUVABURZVHVIZUVADUUSUVGVJVKUWBUVHUVERZUUSCRZAUW
        HVOZUVRIVLUWBUVHUVGCVMZRZUWGUWHUWBUWJUVEUVHUWBUWJUVOUHUVEUVGCVPUWBUVOFA
        UVPUVQVQVRVSVTUWBUVQUWDCUVAUMZUWKUWHWAAUVPUVQWBUWDUWBUWFUOUWLUWBCUUTWCU
        OUVADUVGUUSCWDWEWFWGWHWIWJAUVIUVFRZUVLUVDRZAUWMOZUWNUVLCMZFNZUVADUVLUFZ
        UWOCDFVNZUUTDUVKVNZFCUUTWKZMZUVKUXAMZNUWQAUWSUWMACDFUFZUWSKCDFVESZVLZUW
        OUUTUVIUDZUVKVNZUXGDUMUWTUUTUXGUVKWLZUXHUUSUVIUWEUBURZWMZUUTUXGUVKWRWNU
        WOUVIDUWMUVIDRAUVIDUVEWOWPWQZUUTUXGDUVKWSWTUWOFTMZUVKTMZUXBUXCUXMTUXNFX
        AUVKXAXBUWOUXATFAUXATNZUWMAUWIUXOICUUSXCXHZVLZXDUWOUXATUVKUXQXDXECUUTDF
        UVKXFWEUWOUVAUVEUXGUEZUVLUFZUXRDUMUWRUWOUVAUXRUVLWLZUXSUWOCUVEFWLZUXIUX
        OUVEUXGWKTNZUXTAUYAUWMAUXDUYAKCDFXGSVLUXIUWOUXKUOUXQUWOUVIUVERVOZUYBUWM
        UYCAUVIDUVEXIWPUVEUVIXCXHCUVEUUTUXGFUVKXJXTZUVAUXRUVLXKSUWOUVEUXGDUWOCD
        FUXFXLUXLXMUVAUXRDUVLXNXOUWOUVLQRZUWNUWQUWROZWAUWOFQRZUVKQRUYEAUYGUWMAC
        DUKFUXEGXPVLUVJXQFUVKQQXRVKUVCUYFEUVLQUUPUVLNZUURUWQUVBUWRUYHUUQUWPFUUP
        UVLCUTVAUVADUUPUVLVCVDXSSYAWIUVNUWMOUVRUWMOZAUVGUVLNZUVIUVHNZWAZUVNUVRU
        WMUWAYBAUYIUYLAUYIOZUYJLUCZUVGPZUYNUVLPZNZLUVAYCZUYQLUUTYCZUYKUYMUVGUVA
        YTZUVLUVAYTZUYJUYRWAUYMUVQUYTAUVPUVQUWMYDUVADUVGYESUYMUXTVUAAUWMUXTUVRU
        YDYFUVAUXRUVLYGSLUVAUVGUVLYHXOUYMUYSUYQLCYCZUYSOUYRUYMVUBUYSUYMUYQLCUYM
        UYNCRZOZUYOUYNFPZUYPVUCUYMUYOUYNUVOPZVUEVUCVUFUYOUYNCUVGYJYIUYMUYNUVOFA
        UVPUVQUWMYKYLYMVUDCUUTFUVKUYNVUDUXDFCYTAUXDUYIVUCKYNCDFYESUVKUUTYTVUDUU
        SUVIUWEUXJYOUOAUXOUYIVUCUXPYNUYMVUCYPYQYRUUAUUBUYQLCUUTUUCUUDUYMUVHUUSU
        VLPZNZUVHUVINUYSUYKUYMVUGUVIUVHUUSQRUVIQRUYMUUSFUUEZRZVOZVUGUVINUWEUXJA
        VUKUYIAVUJUWHIAVUICUUSACDFUXEUUFVTWGVLFQQUUSUVIUUGUUHUUIUYQVUHLUUSUWELB
        USUYOUVHUYPVUGUYNUUSUVGYSUYNUUSUVLYSUUJUUKUVIUVHUULUUMUUNWIWJUUO $.

      $( Obsolete version of ~ hashf1lem1 as of 7-Aug-2024.  (Contributed by
         Mario Carneiro, 17-Apr-2015.)  (Proof modification is discouraged.)
         (New usage is discouraged.) $)
      hashf1lem1OLD $p |- ( ph -> { f | ( ( f |` A ) = F /\
         f : ( A u. { z } ) -1-1-> B ) } ~~ ( B \ ran F ) ) $=
        ( vy cres wceq wa cvv wcel cfn syl c0 vg vx cv csn cun wf1 cab crn cdif
        cfv cop cmap co wss wf f1f adantl snfi unfi sylancl elmapd syl5ibr ovex
        abssdv ssexg difexg vex reseq1 eqeq1d f1eq1 anbi12d elab ad2antll ssun2
        weq snss mpbir ffvelrn wn adantr cima df-ima simprl rneqd eqtrid eleq2d
        wb simprr a1i ssun1 f1elima syl3anc bitr3d mtbird eldifd ex syl5bi wf1o
        cin f1osn f1of ax-mp eldifi snssd fss sylancr res0 eqtr4i disjsn sylibr
        reseq2d 3eqtr4a fresaunres1 eldifn f1oun syl22anc f1of1 frnd unssd f1ss
        f1f1orn syl2anc fexd snex unexg elabg mpbir2and anbi1i wral wfn simprlr
        f1fn adantrl f1ofn eqfnfv fvres eqcomd simprll ad2antrr fveq2 sylan9eqr
        fveq1d fnsn simpr fvun1d eqtr4d ralrimiva biantrurd ralunb bitr4di fdmd
        cdm fsnunfv mp3an12i eqeq2d eqeq12d ralsn eqcom 3bitr4g 3bitr2d en3d )
        AUAUBEUCZCMZFNZCBUCZUDZUEZDUVBUFZOZEUGZDFUHZUIZUVEUAUCZUJZFUVEUBUCZUKZU
        DZUEZPPAUVJDUVGULUMZUNUVSPQUVJPQAUVIEUVSUVIUVBUVSQAUVGDUVBUOZUVHUVTUVDU
        VGDUVBUPUQADUVGUVBRRHACRQUVFRQUVGRQGUVEURCUVFUSUTVAVBVDDUVGULVCUVJUVSPV
        EUTADRQUVLPQHDUVKRVFSUVMUVJQZUVMCMZFNZUVGDUVMUFZOZAUVNUVLQZUVIUWEEUVMUA
        VGEUAVOZUVDUWCUVHUWDUWGUVCUWBFUVBUVMCVHVIUVGDUVBUVMVJVKVLZAUWEUWFAUWEOZ
        UVNDUVKUWIUVGDUVMUOZUVEUVGQZUVNDQUWDUWJAUWCUVGDUVMUPVMUWKUVFUVGUNUVFCVN
        UVEUVGBVGZVPVQZUVGDUVEUVMVRUTUWIUVNUVKQZUVECQZAUWOVSZUWEIVTUWIUVNUVMCWA
        ZQZUWNUWOUWIUWQUVKUVNUWIUWQUWBUHUVKUVMCWBUWIUWBFAUWCUWDWCWDWEWFUWIUWDUW
        KCUVGUNZUWRUWOWGAUWCUWDWHUWKUWIUWMWIUWSUWICUVFWJWIUVGDUVMUVECWKWLWMWNWO
        WPWQAUVOUVLQZUVRUVJQZAUWTOZUXAUVRCMZFNZUVGDUVRUFZUXBCDFUOZUVFDUVQUOZFCU
        VFWSZMZUVQUXHMZNUXDAUXFUWTACDFUFZUXFKCDFUPSZVTZUXBUVFUVOUDZUVQUOZUXNDUN
        UXGUVFUXNUVQWRZUXOUVEUVOUWLUBVGZWTZUVFUXNUVQXAXBUXBUVODUWTUVODQAUVODUVK
        XCUQXDZUVFUXNDUVQXEXFUXBFTMZUVQTMZUXIUXJUXTTUYAFXGUVQXGXHUXBUXHTFAUXHTN
        ZUWTAUWPUYBICUVEXIXJZVTZXKUXBUXHTUVQUYDXKXLCUVFDFUVQXMWLUXBUVGUVKUXNUEZ
        UVRUFZUYEDUNUXEUXBUVGUYEUVRWRZUYFUXBCUVKFWRZUXPUYBUVKUXNWSTNZUYGAUYHUWT
        AUXKUYHKCDFYASVTUXPUXBUXRWIUYDUXBUVOUVKQVSZUYIUWTUYJAUVODUVKXNUQUVKUVOX
        IXJCUVKUVFUXNFUVQXOXPZUVGUYEUVRXQSUXBUVKUXNDUXBCDFUXMXRUXSXSUVGUYEDUVRX
        TYBUXBUVRPQZUXAUXDUXEOZWGUXBFPQZUVQPQUYLAUYNUWTACDRFUXLGYCVTUVPYDFUVQPP
        YEUTUVIUYMEUVRPUVBUVRNZUVDUXDUVHUXEUYOUVCUXCFUVBUVRCVHVIUVGDUVBUVRVJVKY
        FSYGWPUWAUWTOUWEUWTOZAUVMUVRNZUVOUVNNZWGZUWAUWEUWTUWHYHAUYPUYSAUYPOZUYQ
        LUCZUVMUJZVUAUVRUJZNZLUVGYIZVUDLUVFYIZUYRUYTUVMUVGYJZUVRUVGYJZUYQVUEWGU
        YTUWDVUGAUWCUWDUWTYKUVGDUVMYLSUYTUYGVUHAUWTUYGUWEUYKYMUVGUYEUVRYNSLUVGU
        VMUVRYOYBUYTVUFVUDLCYIZVUFOVUEUYTVUIVUFUYTVUDLCUYTVUACQZOZVUBVUAFUJZVUC
        VUJUYTVUBVUAUWBUJZVULVUJVUMVUBVUACUVMYPYQUYTVUAUWBFAUWCUWDUWTYRUUBUUAVU
        KCUVFFUVQVUAVUKUXKFCYJAUXKUYPVUJKYSCDFYLSUVQUVFYJVUKUVEUVOUWLUXQUUCWIAU
        YBUYPVUJUYCYSUYTVUJUUDUUEUUFUUGUUHVUDLCUVFUUIUUJUYTUVNUVEUVRUJZNZUVNUVO
        NVUFUYRUYTVUNUVOUVNUVEPQUVOPQUYTUVEFUULZQZVSZVUNUVONUWLUXQAVURUYPAVUQUW
        OIAVUPCUVEACDFUXLUUKWFWNVTFPPUVEUVOUUMUUNUUOVUDVUOLUVEUWLLBVOVUBUVNVUCV
        UNVUAUVEUVMYTVUAUVEUVRYTUUPUUQUVOUVNUURUUSUUTWPWQUVA $.
    $}

    $( Lemma for ~ hashf1 .  (Contributed by Mario Carneiro, 17-Apr-2015.) $)
    hashf1lem2 $p |- ( ph -> ( # ` { f | f : ( A u. { z } ) -1-1-> B } ) =
      ( ( ( # ` B ) - ( # ` A ) ) x. ( # ` { f | f : A -1-1-> B } ) ) ) $=
      ( wss chash cfv co cmul wceq cfn wcel wi c0 caddc vx vy va cv wf1 cab csn
      cun cmin ssid cmap mapfi syl2anc f1f elmapd syl5ibr abssdv ssfid cres cc0
      wf wa sseq1 eleq2 noel pm2.21i syl6bi adantrd ss0 syl fveq2d hash0 eqtrdi
      fveq2 oveq2d eqeq12d imbi2d anbi1d abbidv f1eq1 cbvabv eqeq2i ssun1 mpan2
      imbi12d f1ssres vex resex elab sylibr pm4.71rd bicomd sylbi hashcl nn0cnd
      cn0 subcld mul01d eqcomd a1d wn sstr mpan imim1i oveq1 wo elun elsn bitri
      orbi2i anbi1i andir abbii unab eqtr4i fveq2i cin sylancl mapvalg eqeltrrd
      snfi unfi adantl ss2abi ssfi adantr inab simprlr eqtrid hashun syl3anc cc
      simpr sylib cen wbr cvv hasheni c1 a2d wne wex abn0 simprl simpll exlimiv
      necon1bi unssbd snss pncan2d cdif wf1o f1f1orn f1oen3g sylancr hashf1lem1
      crn cle oveq12d frnd diffi disjdif a1i undif 3eqtr2d oveq1d eqtr3d sylan2
      eqtrd hashunsng elv ad2antrl simprll 1cnd adddid mulid1d 3eqtrd expr syl5
      expcom findcard2s mpcom mpi ) ACDEUDZUEZEUFZUWFJZCBUDZUGZUHZDUWDUEZEUFZKL
      ZDKLZCKLZUIMZUWFKLZNMZOZUWFUJUWFPQAUWGUWSRZADCUKMZUWFADPQZCPQZUXAPQGFDCUL
      UMAUWEEUXAUWEUWDUXAQACDUWDVACDUWDUNADCUWDPPGFUOUPUQURAUAUDZUWFJZUWDCUSZUX
      DQZUWKVBZEUFZKLZUWPUXDKLZNMZOZRZRASUWFJZUTUWPUTNMZOZRZRAUBUDZUWFJZUXFUXSQ
      ZUWKVBZEUFZKLZUWPUXSKLZNMZOZRZRAUXSUCUDZUGZUHZUWFJZUXFUYKQZUWKVBZEUFZKLZU
      WPUYKKLZNMZOZRZRAUWTRUAUBUCUWFUXDSOZUXNUXRAVUAUXEUXOUXMUXQUXDSUWFVCVUAUXJ
      UTUXLUXPVUAUXJSKLZUTVUAUXISKVUAUXISJUXISOVUAUXHESVUAUXGUWDSQZUWKVUAUXGUXF
      SQZVUCUXDSUXFVDVUDVUCUXFVEVFVGVHUQUXIVIVJVKVLVMVUAUXKUTUWPNVUAUXKVUBUTUXD
      SKVNVLVMVOVPWEVQUXDUXSOZUXNUYHAVUEUXEUXTUXMUYGUXDUXSUWFVCVUEUXJUYDUXLUYFV
      UEUXIUYCKVUEUXHUYBEVUEUXGUYAUWKUXDUXSUXFVDVRVSVKVUEUXKUYEUWPNUXDUXSKVNVOV
      PWEVQUXDUYKOZUXNUYTAVUFUXEUYLUXMUYSUXDUYKUWFVCVUFUXJUYPUXLUYRVUFUXIUYOKVU
      FUXHUYNEVUFUXGUYMUWKUXDUYKUXFVDVRVSVKVUFUXKUYQUWPNUXDUYKKVNVOVPWEVQUXDUWF
      OZUXNUWTAVUGUXEUWGUXMUWSUXDUWFUWFVCVUGUXJUWMUXLUWRVUGUXIUWLKVUGUXDCDUXSUE
      ZUBUFZOZUXIUWLOUWFVUIUXDUWEVUHEUBCDUWDUXSVTWAWBVUJUXHUWKEVUJUWKUXHVUJUWKU
      XGUWKUXGVUJUXFVUIQZUWKCDUXFUEZVUKUWKCUWJJVULCUWIWCUWJDCUWDWFWDVUHVULUBUXF
      UWDCEWGWHZCDUXSUXFVTWIWJUXDVUIUXFVDUPWKWLVSWMVKVUGUXKUWQUWPNUXDUWFKVNVOVP
      WEVQAUXQUXOAUXPUTAUWPAUWNUWOAUWNAUXBUWNWPQGDWNVJWOAUWOAUXCUWOWPQFCWNVJWOZ
      WQZWRWSWTUXSPQZUYIUXSQZXAZVBZAUYHUYTAVUSUYHUYTRUYHUYLUYGRAVUSVBZUYTUYLUXT
      UYGUXSUYKJUYLUXTUXSUYJWCUXSUYKUWFXBXCXDVUTUYLUYGUYSAVUSUYLUYGUYSRUYGUYSAV
      USUYLVBZVBZUYDUWPTMZUYFUWPTMZOUYDUYFUWPTXEVVBUYPVVCUYRVVDVVBUYPUYDUXFUYIO
      ZUWKVBZEUFZKLZTMZVVCVVBUYPUYCVVGUHZKLZVVIUYOVVJKUYOUYBVVFXFZEUFVVJUYNVVLE
      UYNUYAVVEXFZUWKVBVVLUYMVVMUWKUYMUYAUXFUYJQZXFVVMUXFUXSUYJXGVVNVVEUYAUXFUY
      IVUMXHXJXIXKUYAVVEUWKXLXIXMUYBVVFEXNXOXPVVBUYCPQZVVGPQZUYCVVGXQZSOVVKVVIO
      AVVOVVAAUWJDUWDVAZEUFZPQZUYCVVSJVVOADUWJUKMZVVSPAUXBUWJPQZVWAVVSOGAUXCUWI
      PQVWBFUWHYACUWIYBXRZDUWJPPEXSUMAUXBVWBVWAPQGVWCDUWJULUMXTZUYBVVREUWKVVRUY
      AUWJDUWDUNZYCYDVVSUYCYEXRYFAVVPVVAAVVTVVGVVSJVVPVWDVVFVVREUWKVVRVVEVWEYCY
      DVVSVVGYEXRZYFVVBVVQUYBVVFVBZEUFZSUYBVVFEYGVVBVURVWHSOAVUPVURUYLYHVUQVWHS
      VWHSUUAVWGEUUBVUQVWGEUUCVWGVUQEVWGUXFUYIUXSUYBVVEUWKUUDUYAUWKVVFUUEXTUUFW
      MUUGVJYIUYCVVGYJYKYIVVBVVHUWPUYDTVVAACDUYIUEZVVHUWPOVVAUYIUWFQZVWIVVAUYJU
      WFJVWJVVAUXSUYJUWFVUSUYLYMUUHUYIUWFUCWGZUUIWJUWEVWIEUYIVWKCDUWDUYIVTWIYNA
      VWIVBZUWOVVHTMZUWOUIMVVHUWPVWLUWOVVHAUWOYLQVWIVUNYFVWLVVHVWLVVPVVHWPQAVVP
      VWIVWFYFVVGWNVJWOUUJVWLVWMUWNUWOUIVWLVWMUYIUUQZKLZDVWNUUKZKLZTMZVWNVWPUHZ
      KLZUWNVWLUWOVWOVVHVWQTVWLCVWNYOYPZUWOVWOOVWLUYIYQQCVWNUYIUULZVXAVWKVWIVXB
      ACDUYIUUMYCCVWNUYIYQUUNUUOCVWNYRVJVWLVVGVWPYOYPVVHVWQOVWLBCDEUYIAUXCVWIFY
      FAUXBVWIGYFZAUWHCQXAVWIHYFAUWOYSTMUWNUURYPVWIIYFAVWIYMUUPVVGVWPYRVJUUSVWL
      VWNPQVWPPQZVWNVWPXQSOZVWTVWROVWLDVWNVXCVWIVWNDJZAVWICDUYICDUYIUNUUTYCZURV
      WLUXBVXDVXCDVWNUVAVJVXEVWLVWNDUVBUVCVWNVWPYJYKVWLVWSDKVWLVXFVWSDOVXGVWNDU
      VDYNVKUVEUVFUVGUVHVOUVIVVBUYRUWPUYEYSTMZNMUYFUWPYSNMZTMVVDVVBUYQVXHUWPNVU
      SUYQVXHOZAUYLVUSVXJRUCUXSUYIYQUVJUVKUVLVOVVBUWPUYEYSAUWPYLQVVAVUOYFZVVBUY
      EVVBVUPUYEWPQAVUPVURUYLUVMUXSWNVJWOVVBUVNUVOVVBVXIUWPUYFTVVBUWPVXKUVPVOUV
      QVPUPUVRYTUVSUVTYTUWAUWBUWC $.
  $}

  ${
    $d f x y z A $.  $d f x y z B $.
    $( The permutation number ` | A | ! x. ( | B | _C | A | ) = `
       ` | B | ! / ( | B | - | A | ) ! ` counts the number of injections from
       ` A ` to ` B ` .  (Contributed by Mario Carneiro, 21-Jan-2015.) $)
    hashf1 $p |- ( ( A e. Fin /\ B e. Fin ) ->
      ( # ` { f | f : A -1-1-> B } ) =
        ( ( ! ` ( # ` A ) ) x. ( ( # ` B ) _C ( # ` A ) ) ) ) $=
      ( wcel chash cfv cfa cbc co cmul wceq wi c1 cc0 c0 oveq2d cn0 adantr cdiv
      syl vx vy vz cfn cv wf1 cab csn cun f1eq2 wfn f1fn fn0 sylib f1eq1 mpbiri
      f10 impbii velsn bitr4i bitrdi abbi1dv fveq2d cvv 0ex hashsng ax-mp fveq2
      eqtrdi hash0 fac0 oveq12d eqeq12d imbi2d abbidv 2fveq3 bcn0 1t1e1 eqtr2di
      hashcl wn caddc clt wbr wne wex abn0 cdom f1domg cle hashunsng elv adantl
      wa breq1d simprl snfi unfi sylancl simpl hashdom syl2anc ad2antrl nn0p1nn
      wb cn nnred nn0red lenltd 3bitr3d sylibd exlimdv syl5bi necon4ad cc nncnd
      imp faccld mul01d 3eqtr4a cz nnzd animorr bcval4 syl3anc eqtrd eqtr4d a1d
      cmin nn0sub2 nnne0d divcld divcan2d nn0cnd nn0uz eleqtrdi bcval2 divdiv1d
      wo 3eqtr4d oveq2 simplrr simpr hashf1lem2 peano2nn0 subcld npcan subsub4d
      ax-1cn 1cnd eqeltrd eqeltrrd cfz cuz nn0zd elfz5 mpbird peano2fzr elfzle2
      facnn2 oveq1d syl5ibr ltlecasei expcom a2d findcard2s ) AUDDBUDDZABCUEZUF
      ZCUGZEFZAEFZGFZBEFZUVLHIZJIZKZUVGUAUEZBUVHUFZCUGZEFZUVREFZGFZUVNUWBHIZJIZ
      KZLUVGMMUVNNHIZJIZKZLUVGUBUEZBUVHUFZCUGZEFZUWJEFZGFZUVNUWNHIZJIZKZLUVGUWJ
      UCUEZUHZUIZBUVHUFZCUGZEFZUXAEFZGFZUVNUXEHIZJIZKZLUVGUVQLUAUBUCAUVROKZUWFU
      WIUVGUXJUWAMUWEUWHUXJUWAOUHZEFZMUXJUVTUXKEUXJUVSCUXKUXJUVSOBUVHUFZUVHUXKD
      ZUVROBUVHUJUXMUVHOKZUXNUXMUXOUXMUVHOUKUXOOBUVHULUVHUMUNUXOUXMOBOUFBUQOBUV
      HOUOUPURCOUSUTVAVBVCOVDDUXLMKVEOVDVFVGVIUXJUWCMUWDUWGJUXJUWCNGFMUXJUWBNGU
      XJUWBOEFZNUVROEVHVJVIZVCVKVIUXJUWBNUVNHUXQPVLVMVNUVRUWJKZUWFUWRUVGUXRUWAU
      WMUWEUWQUXRUVTUWLEUXRUVSUWKCUVRUWJBUVHUJVOVCUXRUWCUWOUWDUWPJUVRUWJGEVPUXR
      UWBUWNUVNHUVRUWJEVHPVLVMVNUVRUXAKZUWFUXIUVGUXSUWAUXDUWEUXHUXSUVTUXCEUXSUV
      SUXBCUVRUXABUVHUJVOVCUXSUWCUXFUWDUXGJUVRUXAGEVPUXSUWBUXEUVNHUVRUXAEVHPVLV
      MVNUVRAKZUWFUVQUVGUXTUWAUVKUWEUVPUXTUVTUVJEUXTUVSUVICUVRABUVHUJVOVCUXTUWC
      UVMUWDUVOJUVRAGEVPUXTUWBUVLUVNHUVRAEVHPVLVMVNUVGUWHMMJIMUVGUWGMMJUVGUVNQD
      ZUWGMKBVTZUVNVQTPVRVSUWJUDDZUWSUWJDWAZWNZUVGUWRUXIUVGUYEUWRUXILZUVGUYEWNZ
      UYFUVNUWNMWBIZUYGUVNUYHWCWDZWNZUXIUWRUYJUXDUXFNJIZUXHUYJUXPNUXDUYKVJUYJUX
      COEUYGUYIUXCOKUYGUYIUXCOUXCOWEUXBCWFUYGUYIWAZUXBCWGUYGUXBUYLCUYGUXBUXABWH
      WDZUYLUVGUXBUYMLUYEUXABUDUVHWIRUYGUXEUVNWJWDZUYHUVNWJWDZUYMUYLUYGUXEUYHUV
      NWJUYEUXEUYHKZUVGUYEUYPLUCUWJUWSVDWKWLWMZWOUYGUXAUDDZUVGUYNUYMXEUYGUYCUWT
      UDDUYRUVGUYCUYDWPZUWSWQUWJUWTWRWSZUVGUYEWTZUXABUDXAXBUYGUYHUVNUYGUYHUYGUW
      NQDZUYHXFDZUYCVUBUVGUYDUWJVTXCZUWNXDTZXGZUYGUVNUVGUYAUYEUYBRZXHZXIXJXKXLX
      MXNXQVCUYJUXFUYGUXFXODUYIUYGUXFUYGUXEUYGUYRUXEQDUYTUXAVTTXRXPRXSXTUYJUXGN
      UXFJUYJUXGUVNUYHHIZNUYJUXEUYHUVNHUYGUYPUYIUYQRPUYJUYAUYHYADUYHNWCWDZUYIYS
      VUINKUYGUYAUYIVUGRUYJUYHUYGVUCUYIVUERYBUYGUYIVUJYCUYHUVNYDYEYFPYGYHUWRUXI
      UYGUYOWNZUVNUWNYIIZUWMJIZVULUWQJIZKUWMUWQVULJUUAVUKUXDVUMUXHVUNVUKUCUWJBC
      UYGUYCUYOUYSRUYGUVGUYOVUARUVGUYCUYDUYOUUBUYGUYOUUCZUUDVUKUYHGFZUVNGFZUVNU
      YHYIIZGFZSIZVUPSIZJIZVULVUTVULSIZJIZUXHVUNVUKVVBVUTVVDVUKVUTVUPVUKVUQVUSV
      UKVUQVUKUVNUYGUYAUYOVUGRZXRXPZVUKVUSVUKVURVUKUYHQDZUYAUYOVURQDVUKVUBVVGUY
      GVUBUYOVUDRZUWNUUETZVVEVUOUYHUVNYJYEZXRZXPZVUKVUSVVKYKZYLZVUKVUPVUKUYHVVI
      XRZXPZVUKVUPVVOYKZYMVUKVUTVULVVNVUKUVNUWNVUKUVNVVEYNZVUKUWNVVHYNZUUFZVUKV
      ULVUKVULMYIIZMWBIZVULXFVUKVULXODMXODVWBVULKVVTUUIVULMUUGWSVUKVWAQDVWBXFDV
      UKVWAVURQVUKUVNUWNMVVRVVSVUKUUJUUHZVVJUUKVWAXDTUULZYKZYMYGVUKUXFVUPUXGVVA
      JVUKUXEUYHGUYGUYPUYOUYQRZVCVUKVUIVUQVUSVUPJISIZUXGVVAVUKUYHNUVNUUMIZDZVUI
      VWGKVUKVWIUYOVUOVUKUYHNUUNFZDUVNYADVWIUYOXEVUKUYHQVWJVVIYOYPVUKUVNVVEUUOU
      YHNUVNUUPXBUUQZUYHUVNYQTVUKUXEUYHUVNHVWFPVUKVUQVUSVUPVVFVVLVVPVVMVVQYRYTV
      LVUKUWQVVCVULJVUKUWQUWOVUQVULGFZSIZUWOSIZJIZVVCVUKUWPVWNUWOJVUKUWPVUQVWLU
      WOJISIZVWNVUKUWNVWHDZUWPVWPKVUKUWNVWJDVWIVWQVUKUWNQVWJVVHYOYPVWKUWNNUVNUU
      RXBZUWNUVNYQTVUKVUQVWLUWOVVFVUKVWLVUKVULVUKVUBUYAUWNUVNWJWDZVULQDVVHVVEVU
      KVWQVWSVWRUWNNUVNUUSTUWNUVNYJYEXRZXPZVUKUWOVUKUWNVVHXRZXPZVUKVWLVWTYKZVUK
      UWOVXBYKZYRYGPVUKVWMVUQVUSVULJIZSIVWOVVCVUKVWLVXFVUQSVUKVWLVWAGFZVULJIZVX
      FVUKVULXFDVWLVXHKVWDVULUUTTVUKVXGVUSVULJVUKVWAVURGVWCVCUVAYFPVUKVWMUWOVUK
      VUQVWLVVFVXAVXDYLVXCVXEYMVUKVUQVUSVULVVFVVLVVTVVMVWEYRYTYFPYTVMUVBVUHVUFU
      VCUVDUVEUVFXQ $.

    $( A factorial counts the number of bijections on a finite set.
       (Contributed by Mario Carneiro, 21-Jan-2015.)  (Proof shortened by Mario
       Carneiro, 17-Apr-2015.) $)
    hashfac $p |- ( A e. Fin -> ( # ` { f | f : A -1-1-onto-> A } ) =
      ( ! ` ( # ` A ) ) ) $=
      ( cfn wcel wf1 cab chash cfv cfa cbc cmul wf1o wceq hashf1 anidms cen wbr
      cv co c1 enrefg f1finf1o mpancom abbidv fveq2d cn0 hashcl bcnn syl oveq2d
      wb faccld nncnd mulid1d eqtrd 3eqtr3d ) ACDZAABRZEZBFZGHZAGHZIHZVBVBJSZKS
      ZAAURLZBFZGHVCUQVAVEMAABNOUQUTVGGUQUSVFBAAPQUQUSVFUKACUAAAURUBUCUDUEUQVEV
      CTKSVCUQVDTVCKUQVBUFDVDTMAUGZVBUHUIUJUQVCUQVCUQVBVHULUMUNUOUP $.
  $}

  $( Two ways to write a strictly increasing function on the reals.
     (Contributed by Mario Carneiro, 9-Sep-2015.) $)
  leiso $p |- ( ( A C_ RR* /\ B C_ RR* ) ->
    ( F Isom < , < ( A , B ) <-> F Isom <_ , <_ ( A , B ) ) ) $=
    ( cxr wss cxp clt cdif wiso cle cin df-le ineq1i indif1 eqtri xpss12 anidms
    wceq wb sseqin2 wa sylib difeq1d eqtr2id isoeq2 syl isoeq3 sylan9bb isocnv2
    ccnv eqid isocnv3 bitri isores1 isores2 3bitr4g ) ADEZBDEZUAABAAFZGUJZHZBBF
    ZUTHZCIZABJUSKZJVBKZCIZABGGCIZABJJCIZUQVDABVEVCCIZURVGUQVAVERVDVJSUQVEDDFZU
    SKZUTHZVAVEVKUTHZUSKVMJVNUSLMVKUSUTNOUQVLUSUTUQUSVKEZVLUSRUQVOADADPQUSVKTUB
    UCUDABVAVCVECUEUFURVCVFRVJVGSURVFVKVBKZUTHZVCVFVNVBKVQJVNVBLMVKVBUTNOURVPVB
    UTURVBVKEZVPVBRURVRBDBDPQVBVKTUBUCUDABVEVCVFCUGUFUHVHABUTUTCIVDABGGCUIABVAV
    CUTUTCVAUKVCUKULUMVIABVEJCIVGABJJCUNABVEJCUOUMUP $.

  $( Version of ~ isorel for strictly increasing functions on the reals.
     (Contributed by Mario Carneiro, 6-Apr-2015.)  (Revised by Mario Carneiro,
     9-Sep-2015.) $)
  leisorel $p |- ( ( F Isom < , < ( A , B ) /\ ( A C_ RR* /\ B C_ RR* ) /\
    ( C e. A /\ D e. A ) ) -> ( C <_ D <-> ( F ` C ) <_ ( F ` D ) ) ) $=
    ( clt wiso cxr wss wa wcel cle wbr cfv wb wi leiso biimpcd isorel ex syl6
    3imp ) ABFFEGZAHIBHIJZCAKDAKJZCDLMCENDENLMOZUCUDABLLEGZUEUFPUDUCUGABEQRUGUE
    UFABCDLLESTUAUB $.

  ${
    $d f n A $.  $d f B $.  $d f G $.  $d f O $.  $d f R $.
    fz1iso.1 $e |- G = ( rec ( ( n e. _V |-> ( n + 1 ) ) , 1 ) |` _om ) $.
    fz1iso.2 $e |- B = ( NN i^i ( `' < " { ( ( # ` A ) + 1 ) } ) ) $.
    fz1iso.3 $e |- C = ( _om i^i ( `' G ` ( ( # ` A ) + 1 ) ) ) $.
    fz1iso.4 $e |- O = OrdIso ( R , A ) $.
    $( Lemma for ~ fz1iso .  (Contributed by Mario Carneiro, 2-Apr-2014.) $)
    fz1isolem $p |- ( ( R Or A /\ A e. Fin ) ->
                  E. f f Isom < , R ( ( 1 ... ( # ` A ) ) , A ) ) $=
      ( wcel c1 cfv clt wiso cep cn com wor cfn wa chash cfz ccnv cres ccom cvv
      co cv wf1o wf cdm cn0 hashcl adantl cuz wceq nnuz om2uzisoi isoeq5 mpbiri
      caddc ax-mp isocnv nn0p1nn cin csn cima fvex epini ineq2i isoini2 sylancr
      1z eqtr4i syl wb cle wbr nnz nn0zd eluz syl2anr zleltp1 ovex vex eliniseg
      bitr4di bitr2d pm5.32da elin2 elfzuzb elnnuz anbi1i bitr4i 3bitr4g isoeq4
      eqrdv mpbid cmpt cc0 crdg con0 oion cen simpr wwe wofi oien syl2anc enfii
      cz elind onfin2 eleqtrrdi cmin eqid 0z uzrdgxfr oveq2i eqtrdi ccrd ensymd
      1m0e1 cardennn fveq2d hashgval eqtr3d oveq1d isof1o f1ocnvfv1 ineq2d word
      eqtrd wss ordom ordelss sseqin2 sylib eqtrid oiiso isotr f1of 3syl isoeq1
      fzfid fexd spcedv ) ADUAZAUBMZUCZNAUDOZUEUJZAPDEUKZQUUOAPDHGUFZBUGZUHZQZE
      UIUUSUUMUUOAUBUUSUUMUUTUUOAUUSULUUOAUUSUMUUMUUOHUNZPRUURQZUVAARDHQZUUTUUM
      UUOCPRUURQZUVBUUMBCPRUURQZUVDUUMUUNUOMZUVEUULUVFUUKAUPUQZUVFSTPRUUQQZUUNN
      VDUJZSMUVETSRPGQZUVHSNUROZUSZUVJUTUVLUVJTUVKRPGQFNGVPIVATSUVKRPGVBVCVEZTS
      RPGVFVEUUNVGSTBCPRUUQUVIJCTUVIUUQOZVHZTRUFUVNVIVJZVHKUVPUVNTUVNUVIUUQVKVL
      VMVQVNVOVRUUMBUUOUSUVEUVDVSUUMEBUUOUUMUUPSMZUUPPUFUVIVIVJZMZUCUVQUUNUUPUR
      OMZUCZUUPBMUUPUUOMZUUMUVQUVSUVTUUMUVQUCZUVTUUPUUNVTWAZUVSUVQUUPXNMZUUNXNM
      ZUVTUWDVSUUMUUPWBZUUMUUNUVGWCZUUPUUNWDWEUWCUWDUUPUVIPWAZUVSUVQUWEUWFUWDUW
      IVSUUMUWGUWHUUPUUNWFWEUVIUIMUVSUWIVSUUNNVDWGPUVIUUPUIEWHWIVEWJWKWLUUPSUVR
      BJWMUWBUUPUVKMZUVTUCUWAUUPNUUNWNUVQUWJUVTUUPWOWPWQWRWTBCUUOPRUURWSVRXAUUM
      CUVAUSUVDUVBVSUUMCUVOUVAKUUMUVOTUVAVHZUVAUUMUVNUVATUUMUVAGOZUUQOZUVNUVAUU
      MUWLUVIUUQUUMUWLUVAFUIFUKNVDUJXBXCXDTUGZOZNVDUJZUVIUUMUVATMZUWLUWPUSUUMUV
      AXEUBVHTUUMXEUBUVAUULUVAXEMUUKADHUBLXFUQUUMUULUVAAXGWAZUVAUBMUUKUULXHZUUM
      UULADXIZUWRUWSADXJZADHUBLXKXLZUVAAXMXLXOXPXQZUWQUWLUWONXCXRUJZVDUJUWPFNXC
      GUWNUVAIUWNXSZVPXTYAUXDNUWOVDYFYBYCVRUUMUWOUUNNVDUUMAYDOZUWNOZUWOUUNUUMUX
      FUVAUWNUUMAUVAXGWAUWQUXFUVAUSUUMUVAAUXBYEUXCAUVAYGXLYHUULUXGUUNUSUUKFAUWN
      UXEYIUQYJYKYPYHUUMTSGULZUWQUWMUVAUSUVJUXHUVMTSRPGYLVEUXCTSUVAGYMVOYJYNUUM
      UVATYQZUWKUVAUSUUMTYOUWQUXIYRUXCTUVAYSVOUVATYTUUAYPUUBUUOCUVAPRUURVBVRXAU
      UMUULUWTUVCUWSUXAADHUBLUUCXLUUOUVAAPRDHUURUUDXLZUUOAPDUUSYLUUOAUUSUUEUUFU
      UMNUUNUUHUUIUXJUUOAPDUUSUUPUUGUUJ $.
  $}

  ${
    $d f n A $.  $d f n R $.
    $( Any finite ordered set has an order isomorphism to a one-based finite
       sequence.  (Contributed by Mario Carneiro, 2-Apr-2014.) $)
    fz1iso $p |- ( ( R Or A /\ A e. Fin ) ->
                  E. f f Isom < , R ( ( 1 ... ( # ` A ) ) , A ) ) $=
      ( vn cn clt ccnv chash cfv c1 caddc co csn cima cin com cvv cv cmpt eqid
      crdg cres coi fz1isolem ) AEFGAHIJKLZMNOZPUEDQDRJKLSJUAPUBZGIOZBCDUGABUCZ
      UGTUFTUHTUITUD $.
  $}

  ${
    $d a n x A $.
    $( Any set that is not finite contains subsets of arbitrarily large finite
       cardinality.  Cf. ~ isinf .  (Contributed by Thierry Arnoux,
       5-Jul-2017.) $)
    ishashinf $p |- ( -. A e. Fin -> A. n e. NN E. x e. ~P A ( # ` x ) = n ) $=
      ( va cfn wcel wn cv chash cfv wceq cn wa wex c1 cen wbr com syl eqtrd cpw
      wrex wss cfz co ccrd wral fzfid ficardom isinf breq2 anbi2d exbidv rspcva
      syl2anr wi velpw biimpri a1i hasheni adantl hashcard cn0 hashfz1 ad2antlr
      nnnn0 ex anim12d eximdv mpd df-rex sylibr ralrimiva ) BEFGZAHZIJZCHZKZABU
      AZUBZCLVNVQLFZMZVOVSFZVRMZANZVTWBVOBUCZVOOVQUDUEZUFJZPQZMZANZWEWAWHRFZWFV
      ODHZPQZMZANZDRUGWKVNWAWGEFZWLWAOVQUHZWGUISABDUJWPWKDWHRWMWHKZWOWJAWSWNWIW
      FWMWHVOPUKULUMUNUOWBWJWDAWBWFWCWIVRWFWCUPWBWCWFABUQURUSWBWIVRWBWIMVPWHIJZ
      VQWIVPWTKWBVOWHUTVAWAWTVQKVNWIWAWTWGIJZVQWAWQWTXAKWRWGVBSWAVQVCFXAVQKVQVF
      VQVDSTVETVGVHVIVJVRAVSVKVLVM $.
  $}

  ${
    $d k m n y A $.  $d k m n y F $.  $d k m n y G $.  $d m n y H $.  $d y N $.
    $d k m n y M $.  $d k m n y .+ $.  $d k m n y ph $.  $d k n S $.  $d k Z $.
    seqcoll.1 $e |- ( ( ph /\ k e. S ) -> ( Z .+ k ) = k ) $.
    seqcoll.1b $e |- ( ( ph /\ k e. S ) -> ( k .+ Z ) = k ) $.
    seqcoll.c $e |- ( ( ph /\ ( k e. S /\ n e. S ) ) -> ( k .+ n ) e. S ) $.
    seqcoll.a $e |- ( ph -> Z e. S ) $.
    seqcoll.2 $e |- ( ph -> G Isom < , < ( ( 1 ... ( # ` A ) ) , A ) ) $.
    seqcoll.3 $e |- ( ph -> N e. ( 1 ... ( # ` A ) ) ) $.
    seqcoll.4 $e |- ( ph -> A C_ ( ZZ>= ` M ) ) $.
    seqcoll.5 $e |- ( ( ph /\ k e. ( M ... ( G ` ( # ` A ) ) ) ) ->
                      ( F ` k ) e. S ) $.
    seqcoll.6 $e |- ( ( ph /\ k e. ( ( M ... ( G ` ( # ` A ) ) ) \ A ) ) ->
                      ( F ` k ) = Z ) $.
    seqcoll.7 $e |- ( ( ph /\ n e. ( 1 ... ( # ` A ) ) ) ->
                      ( H ` n ) = ( F ` ( G ` n ) ) ) $.
    $( The function ` F ` contains a sparse set of nonzero values to be summed.
       The function ` G ` is an order isomorphism from the set of nonzero
       values of ` F ` to a 1-based finite sequence, and ` H ` collects these
       nonzero values together.  Under these conditions, the sum over the
       values in ` H ` yields the same result as the sum over the original set
       ` F ` .  (Contributed by Mario Carneiro, 2-Apr-2014.) $)
    seqcoll $p |- ( ph -> ( seq M ( .+ , F ) ` ( G ` N ) ) =
                          ( seq 1 ( .+ , H ) ` N ) ) $=
      ( vy vm c1 chash cfv cfz co wcel cseq cn wi elfznn syl caddc eleq1 2fveq3
      wceq cv fveq2 eqeq12d imbi12d imbi2d cuz cres wf1o wf wiso isof1o elfzuz2
      clt f1of eluzfz1 ffvelrnd sseldd cle wbr eluzle cxr wss wb cr fzssz zssre
      sstri a1i ressxr sstrdi eluzelre ssriv eluzfz2 leisorel syl122anc eluzelz
      mpbid elfz5 syl2anc mpbird eleq1d expcom vtoclga mpcom cmin cdif peano2zm
      cz wa zred lem1d letrd eluz fzss2 sselda wn w3a eluzel2 elfzm11 adantr ex
      con2d eldifd syldan seq1 ad2antlr elfzuz3 adantl sylanbrc ad4ant14 isorel
      elfzuzb ad2antrr syl12anc zltlem1 elfzle2 uztrn adantrr 3bitrd cc a2d imp
      simp3 ccnv f1ocnv ffvelrnda nnge1d f1ocnvfv2 sylan breqtrd lensymd sylbid
      syl5 seqid fveq1d uzid fvresd eqtr4d 3eqtr3d 1z ax-mp eqtr4di simplr nnuz
      a1d eleqtrdi peano2uzr imim1d oveq1 nnre ltp1d simpr seqcl simplll elfzuz
      peano2uz syl2anr syl2an simprr elfzelzd btwnnz 3expib sylc breq2d zltp1le
      nnz breq1d anbi12d mtbid expr elfzle1 seqid2 oveq1d impcom adantlr oveq2d
      jca impel zcnd ax-1cn npcan sylancl eluzp1p1 eqeltrrd seqm1 seqp1 syl5ibr
      3eqtr4rd syld nnind mpd ) AKUEBUFUGZUHUIZUJZKHUGCGJUKZUGZKCIUEUKZUGZUSZRK
      ULUJZAUXMUXRUMZAUXMUXSRKUXKUNUOAUCUTZUXLUJZUYAHUGUXNUGZUYAUXPUGZUSZUMZUMA
      UEUXLUJZUEHUGZUXNUGZUEUXPUGZUSZUMZUMAUDUTZUXLUJZUYMHUGZUXNUGZUYMUXPUGZUSZ
      UMZUMAUYMUEUPUIZUXLUJZUYTHUGZUXNUGZUYTUXPUGZUSZUMZUMAUXTUMUCUDKUYAUEUSZUY
      FUYLAVUGUYBUYGUYEUYKUYAUEUXLUQVUGUYCUYIUYDUYJUYAUEUXNHURUYAUEUXPVAVBVCVDU
      YAUYMUSZUYFUYSAVUHUYBUYNUYEUYRUYAUYMUXLUQVUHUYCUYPUYDUYQUYAUYMUXNHURUYAUY
      MUXPVAVBVCVDUYAUYTUSZUYFVUFAVUIUYBVUAUYEVUEUYAUYTUXLUQVUIUYCVUCUYDVUDUYAU
      YTUXNHURUYAUYTUXPVAVBVCVDUYAKUSZUYFUXTAVUJUYBUXMUYEUXRUYAKUXLUQVUJUYCUXOU
      YDUXQUYAKUXNHURUYAKUXPVAVBVCVDAUYKUYGAUYIUEIUGZUYJAUYHUXNUYHVEUGZVFZUGUYH
      CGUYHUKZUGZUYIVUKAUYHVUMVUNAECDGJUYHLMPABJVEUGZUYHSAUXLBUEHAUXLBHVGZUXLBH
      VHZAUXLBVLVLHVIZVUQQUXLBVLVLHVJUOZUXLBHVMUOZAUXKUEVEUGZUJZUYGAUXMVVCRKUEU
      XKVKUOZUEUXKVNUOZVOVPZUYHJUXKHUGZUHUIZUJZAUYHGUGZDUJZAVVIUYHVVGVQVRZAUEUX
      KVQVRZVVLAVVCVVMVVDUEUXKVSUOAVUSUXLVTWAZBVTWAZUYGUXKUXLUJZVVMVVLWBQAUXLWC
      VTUXLWCWAAUXLXGWCUEUXKWDWEWFWGWHWIZABWCVTABVUPWCSEVUPWCJEUTZWJWKWIZWHWIZV
      VEAVVCVVPVVDUEUXKWLUOZUXLBUEUXKHWMWNWPZAUYHVUPUJZVVGXGUJZVVIVVLWBVVFAVVGV
      UPUJVWDABVUPVVGSAUXLBUXKHVVAVWAVOVPJVVGWOUOZUYHJVVGWQWRWSAVVRGUGZDUJZUMAV
      VKUMEUYHVVHVVRUYHUSZVWGVVKAVWHVWFVVJDVVRUYHGVAWTVDAVVRVVHUJZVWGTXAXBXCAVV
      RJUYHUEXDUIZUHUIZUJZVVRVVHBXEUJZVWFLUSZAVWLXHVVRVVHBAVWKVVHVVRAVVGVWJVEUG
      UJZVWKVVHWAAVWOVWJVVGVQVRZAVWJUYHVVGAVWJAUYHXGUJZVWJXGUJZAVWCVWQVVFJUYHWO
      UOZUYHXFUOZXIAUYHVWSXIZAVVGVWEXIZAUYHVXAXJVWBXKAVWRVWDVWOVWPWBVWTVWEVWJVV
      GXLWRWSVWJJVVGXMUOXNAVWLVVRBUJZXOZAVWLVVRXGUJZJVVRVQVRZVVRUYHVLVRZXPZVXDA
      JXGUJZVWQVWLVXHWBAVWCVXIVVFJUYHXQUOZVWSVVRJUYHXRWRVXHVXGAVXDVXEVXFVXGUUBA
      VXCVXGAVXCVXGXOAVXCXHZUYHVVRAUYHWCUJVXCVXAXSABWCVVRVVSXNVXKUYHVVRHUUCZUGZ
      HUGZVVRVQVXKUEVXMVQVRZUYHVXNVQVRZVXKVXMVXKVXMUXLUJZVXMULUJABUXLVVRVXLABUX
      LVXLVGZBUXLVXLVHZAVUQVXRVUTUXLBHUUDUOBUXLVXLVMUOZUUEZVXMUXKUNUOUUFVXKVUSV
      VNVVOUYGVXQVXOVXPWBAVUSVXCQXSAVVNVXCVVQXSAVVOVXCVVTXSAUYGVXCVVEXSVYAUXLBU
      EVXMHWMWNWPAVUQVXCVXNVVRUSZVUTUXLBVVRHUUGZUUHUUIUUJXTYAUULUUKUUAYBUAYCUUM
      UUNAUYHVULUXNAVWQUYHVULUJVWSUYHUUOUOUUPAVUOVVJVUKAVWQVUOVVJUSVWSCGUYHYDUO
      UYGAVUKVVJUSZVVEAFUTZIUGZVYEHUGGUGZUSZUMZAVYDUMFUEUXLVYEUEUSZVYHVYDAVYJVY
      FVUKVYGVVJVYEUEIVAVYEUEGHURVBVDAVYEUXLUJVYHUBXAZXBXCUUQUURUEXGUJUYJVUKUSU
      USCIUEYDUUTUVAUVDUYMULUJZAUYSVUFAVYLUYSVUFUMAVYLXHZUYSVUAUYRUMVUFVYMVUAUY
      NUYRVYMVUAUYNVYMVUAXHZUYMVVBUJZUXKUYMVEUGUJZUYNVYNUYMULVVBAVYLVUAUVBUVCUV
      EZVYNUYMXGUJZUXKUYTVEUGUJZVYPVYLVYRAVUAUYMUWEZYEVUAVYSVYMUYTUEUXKYFYGUYMU
      XKUVFWRUYMUEUXKYKYHZXTUVGVYMVUAUYRVUEVYMVUAUYRVUEUMUYRVUEVYNUYPUYTIUGZCUI
      ZUYQWUBCUIZUSUYPUYQWUBCUVHVYNVUCWUCVUDWUDVYNUYPVUBGUGZCUIVUBUEXDUIZUXNUGZ
      WUECUIZWUCVUCVYNUYPWUGWUECVYNECDGUYOJWUFLAVVRDUJZVVRLCUIVVRUSVYLVUANYIVYN
      BVUPUYOABVUPWAZVYLVUASYLZVYNUXLBUYMHAVURVYLVUAVVAYLZWUAVOVPZVYNWUFUYOVEUG
      ZUJZUYOWUFVQVRZVYNUYOVUBVLVRZWUPVYNUYMUYTVLVRZWUQVYNUYMVYLUYMWCUJAVUAUYMU
      VIYEUVJVYNVUSUYNVUAWURWUQWBAVUSVYLVUAQYLZWUAVYMVUAUVKZUXLBUYMUYTVLVLHYJYM
      WPVYNUYOXGUJZVUBXGUJZWUQWUPWBVYNUYOVUPUJZWVAWUMJUYOWOUOZVYNVUBVUPUJWVBVYN
      BVUPVUBWUKVYNUXLBUYTHWULWUTVOVPJVUBWOUOZUYOVUBYNWRWPVYNWVAWUFXGUJZWUOWUPW
      BWVDVYNWVBWVFWVEVUBXFUOZUYOWUFXLWRWSZVYNEFCDGJUYOWUMVYNVVRJUYOUHUIZUJVWIV
      WGVYNWVIVVHVVRVYNVVGWUNUJZWVIVVHWAVYNVVGWUFVEUGUJZWUOWVJVYNWVKWUFVVGVQVRZ
      VYNWUFVUBVVGVYNWUFWVGXIVYNVUBWVEXIZAVVGWCUJVYLVUAVXBYLVYNVUBWVMXJVYNUYTUX
      KVQVRZVUBVVGVQVRZVUAWVNVYMUYTUEUXKYOYGVYNVUSVVNVVOVUAVVPWVNWVOWBWUSAVVNVY
      LVUAVVQYLAVVOVYLVUAVVTYLWUTAVVPVYLVUAVWAYLUXLBUYTUXKHWMWNWPXKVYNWVFVWDWVK
      WVLWBWVGAVWDVYLVUAVWEYLWUFVVGXLWRWSZWVHWUFVVGUYOYPWRUYOJVVGXMUOXNAVWIVWGV
      YLVUATYIYCAWUIVYEDUJXHVVRVYECUIDUJVYLVUAOYIUVLVYNVVRUYOUEUPUIZWUFUHUIUJZX
      HZAVWMVWNAVYLVUAWVRUVMWVSVVRVVHBWVSVVRVUPUJZVVGVVRVEUGZUJZVWIWVRVVRWVQVEU
      GUJWVQVUPUJZWVTVYNVVRWVQWUFUVNVYNWVCWWCWUMJUYOUVOUOWVQVVRJYPUVPVYNWVKWUFW
      WAUJWWBWVRWVPVVRWVQWUFYFWUFVVGVVRYPUVQVVRJVVGYKYHVYNWVQVVRVQVRZVVRWUFVQVR
      ZXHZVXDWVRVYNVXCWWFVYMVUAVXCWWFXOVYMVUAVXCXHZXHZUYMVXMVLVRZVXMUYTVLVRZXHZ
      WWFWWHVYRVXMXGUJZWWKXOVYLVYRAWWGVYTYEWWHVXMUEUXKWWHBUXLVVRVXLAVXSVYLWWGVX
      TYLVYMVUAVXCUVRZVOZUVSVYRWWKWWLVYRWWIWWJWWLXOUYMVXMUVTUWAYAUWBWWHWWIWWDWW
      JWWEWWHWWIUYOVXNVLVRZUYOVVRVLVRZWWDWWHVUSUYNVXQWWIWWOWBAVUSVYLWWGQYLZVYMV
      UAUYNVXCWUAYQWWNUXLBUYMVXMVLVLHYJYMWWHVXNVVRUYOVLWWHVUQVXCVYBAVUQVYLWWGVU
      TYLWWMVYCWRZUWCWWHWVAVXEWWPWWDWBVYMVUAWVAVXCWVDYQWWHWVTVXEWWHBVUPVVRAWUJV
      YLWWGSYLWWMVPJVVRWOUOZUYOVVRUWDWRYRWWHWWJVXNVUBVLVRZVVRVUBVLVRZWWEWWHVUSV
      XQVUAWWJWWTWBWWQWWNVYMVUAVUAVXCWUTYQUXLBVXMUYTVLVLHYJYMWWHVXNVVRVUBVLWWRU
      WFWWHVXEWVBWXAWWEWBWWSVYMVUAWVBVXCWVEYQVVRVUBYNWRYRUWGUWHUWIYAWVRWWDWWEVV
      RWVQWUFUWJVVRWVQWUFYOUWPUWQYBUAWRUWKUWLVYNWUBWUEUYPCAVUAWUBWUEUSZVYLVUAAW
      XBVYIAWXBUMFUYTUXLVYEUYTUSZVYHWXBAWXCVYFWUBVYGWUEVYEUYTIVAVYEUYTGHURVBVDV
      YKXBUWMUWNUWOVYNVXIVUBJUEUPUIVEUGZUJVUCWUHUSAVXIVYLVUAVXJYLVYNWUFUEUPUIZV
      UBWXDVYNVUBYSUJUEYSUJWXEVUBUSVYNVUBWVEUWRUWSVUBUEUWTUXAVYNWUFVUPUJZWXEWXD
      UJVYNWUOWVCWXFWVHWUMUYOWUFJYPWRJWUFUXBUOUXCCGJVUBUXDWRUXGVYNVYOVUDWUDUSVY
      QCIUEUYMUXEUOVBUXFXTYTUXHXAYTUXIXCUXJ $.
  $}

  ${
    $d k n A $.  $d k n F $.  $d k n G $.  $d n H $.  $d k n M $.  $d k n ph $.
    $d k N $.  $d k n .+ $.  $d k n S $.  $d k Z $.
    seqcoll2.1 $e |- ( ( ph /\ k e. S ) -> ( Z .+ k ) = k ) $.
    seqcoll2.1b $e |- ( ( ph /\ k e. S ) -> ( k .+ Z ) = k ) $.
    seqcoll2.c $e |- ( ( ph /\ ( k e. S /\ n e. S ) ) -> ( k .+ n ) e. S ) $.
    seqcoll2.a $e |- ( ph -> Z e. S ) $.
    seqcoll2.2 $e |- ( ph -> G Isom < , < ( ( 1 ... ( # ` A ) ) , A ) ) $.
    seqcoll2.3 $e |- ( ph -> A =/= (/) ) $.
    seqcoll2.5 $e |- ( ph -> A C_ ( M ... N ) ) $.
    seqcoll2.6 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. S ) $.
    seqcoll2.7 $e |- ( ( ph /\ k e. ( ( M ... N ) \ A ) ) -> ( F ` k ) = Z ) $.
    seqcoll2.8 $e |- ( ( ph /\ n e. ( 1 ... ( # ` A ) ) ) ->
                       ( H ` n ) = ( F ` ( G ` n ) ) ) $.
    $( The function ` F ` contains a sparse set of nonzero values to be summed.
       The function ` G ` is an order isomorphism from the set of nonzero
       values of ` F ` to a 1-based finite sequence, and ` H ` collects these
       nonzero values together.  Under these conditions, the sum over the
       values in ` H ` yields the same result as the sum over the original set
       ` F ` .  (Contributed by Mario Carneiro, 13-Dec-2014.) $)
    seqcoll2 $p |- ( ph -> ( seq M ( .+ , F ) ` N ) =
                           ( seq 1 ( .+ , H ) ` ( # ` A ) ) ) $=
      ( chash cfv cseq c1 cfz co cuz fzssuz wf1o wf clt wiso isof1o syl f1of cn
      wcel cc0 wceq wn c0 wne cfn wb wss fzfi sylancr hasheq0 necon3bbid mpbird
      ssfi cn0 wo hashcl elnn0 sylib mt3d nnuz eleqtrdi eluzfz2 ffvelrnd sseldd
      ord sselid elfzuz3 cv fzss2 sselda syldan seqcl caddc cdif peano2uz fzss1
      wa wbr eluzelre adantr peano2re elfzelz zred adantl ltp1d elfzle1 ltletrd
      cr cle ccnv f1ocnv simprr elfzelzd nn0red elfzle2 lensymd isorel syl12anc
      f1ocnvfv2 breq2d bitrd mtbid expr mt2d eldifd seqid2 sstrdi ssdifd eqtr3d
      syl2anc seqcoll ) ABUCUDZHUDZCGJUEZUDKYNUDYLCIUFUEUDAECDGYMJKLNAJKUGUHZJU
      IUDZYMJKUJZABYOYMSAUFYLUGUHZBYLHAYRBHUKZYRBHULAYRBUMUMHUNZYSQYRBUMUMHUOUP
      ZYRBHUQUPAYLUFUIUDZUSYLYRUSZAYLURUUBAYLURUSZYLUTVAZAUUEVBBVCVDRAUUEBVCABV
      EUSZUUEBVCVAVFAYOVEUSBYOVGUUFJKVHSYOBVMVIZBVEVJUPVKVLAUUDUUEAYLVNUSZUUDUU
      EVOAUUFUUHUUGBVPUPZYLVQVRWEVSVTWAUFYLWBUPZWCWDZWFZAYMYOUSKYMUIUDUSZUUKYMJ
      KWGUPZAEFCDGJYMUULAEWHZJYMUGUHZUSUUOYOUSUUOGUDZDUSAUUPYOUUOAUUMUUPYOVGUUN
      YMJKWIUPZWJTWKZOWLAUUOYMUFWMUHZKUGUHZUSZUUOYOBWNZUSZUUQLVAZAUVBWQZUUOYOBA
      UVAYOUUOAUUTYPUSZUVAYOVGAYMYPUSZUVGUULJYMWOUPUUTJKWPUPWJUVFUUOBUSZYMUUOUM
      WRZUVFYMUUTUUOAYMXHUSZUVBAUVHUVKUULJYMWSUPWTZUVFUVKUUTXHUSUVLYMXAUPUVBUUO
      XHUSAUVBUUOUUOUUTKXBXCXDUVFYMUVLXEUVBUUTUUOXIWRAUUOUUTKXFXDXGAUVBUVIUVJVB
      AUVBUVIWQZWQZYLUUOHXJZUDZUMWRZUVJUVNUVPYLUVNUVPUVNUVPUFYLUVNBYRUUOUVOUVNB
      YRUVOUKZBYRUVOULUVNYSUVRAYSUVMUUAWTZYRBHXKUPBYRUVOUQUPAUVBUVIXLZWCZXMXCUV
      NYLAUUHUVMUUIWTXNUVNUVPYRUSZUVPYLXIWRUWAUVPUFYLXOUPXPUVNUVQYMUVPHUDZUMWRZ
      UVJUVNYTUUCUWBUVQUWDVFAYTUVMQWTAUUCUVMUUJWTUWAYRBYLUVPUMUMHXQXRUVNUWCUUOY
      MUMUVNYSUVIUWCUUOVAUVSUVTYRBUUOHXSYJXTYAYBYCYDYEUAWKYFABCDEFGHIJYLLMNOPQU
      UJABYOYPSYQYGUUSAUUOUUPBWNZUSUVDUVEAUWEUVCUUOAUUPYOBUURYHWJUAWKUBYKYI $.
  $}

  ${
    phphashd.1 $e |- ( ph -> A e. Fin ) $.
    phphashd.2 $e |- ( ph -> B C_ A ) $.
    phphashd.3 $e |- ( ph -> ( # ` A ) = ( # ` B ) ) $.
    $( Corollary of the Pigeonhole Principle using equality.  Equivalent of
       ~ phpeqd expressed using the hash function.  (Contributed by Rohan
       Ridenour, 3-Aug-2023.) $)
    phphashd $p |- ( ph -> A = B ) $=
      ( chash cfv wceq cen wbr cfn wcel wb ssfid hashen syl2anc mpbid phpeqd )
      ABCDEABGHCGHIZBCJKZFABLMCLMTUANDABCDEOBCPQRS $.
  $}

  ${
    phphashrd.1 $e |- ( ph -> B e. Fin ) $.
    phphashrd.2 $e |- ( ph -> A C_ B ) $.
    phphashrd.3 $e |- ( ph -> ( # ` A ) = ( # ` B ) ) $.
    $( Corollary of the Pigeonhole Principle using equality.  Equivalent of
       ~ phphashd with reversed arguments.  (Contributed by Rohan Ridenour,
       3-Aug-2023.) $)
    phphashrd $p |- ( ph -> A = B ) $=
      ( chash cfv eqcomd phphashd ) ACBACBDEABGHCGHFIJI $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Proper unordered pairs and triples (sets of size 2 and 3)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( An unordered pair has at most two elements.  (Contributed by Mario
     Carneiro, 11-Feb-2015.) $)
  hashprlei $p |- ( { A , B } e. Fin /\ ( # ` { A , B } ) <_ 2 ) $=
    ( csn cpr c1 c2 df-pr hashsnlei 1nn0 1p1e2 hashunlei ) ACBCABDEEFABGAHBHIIJ
    K $.

  ${
    $d V a b $.
    $( A set of size two is an unordered pair.  (Contributed by Alexander van
       der Vekens, 8-Dec-2017.) $)
    hash2pr $p |- ( ( V e. W /\ ( # ` V ) = 2 ) -> E. a E. b V = { a , b } ) $=
      ( wcel chash cfv c2 wceq wa c2o cen wbr cv cpr wex cfn cn0 wi mpan2 hash2
      2nn0 hashvnfin imp eqcomi a1i eqeq2d wb com 2onn nnfi ax-mp hashen biimpd
      sylbid adantld mpcom en2 syl ) ABEZAFGZHIZJZAKLMZACNDNOIDPCPAQEZVCVDUTVBV
      EUTHREVBVESUBAHBUCTUDVEVBVDUTVEVBVAKFGZIZVDVEHVFVAHVFIVEVFHUAUEUFUGVEVGVD
      VEKQEZVGVDUHKUIEVHUJKUKULAKUMTUNUOUPUQCDAURUS $.

    $d W a b $.
    $( A set of size two is an unordered pair of two different elements.
       (Contributed by Alexander van der Vekens, 8-Dec-2017.) $)
    hash2prde $p |- ( ( V e. W /\ ( # ` V ) = 2 )
                    -> E. a E. b ( a =/= b /\ V = { a , b } ) ) $=
      ( wcel chash cfv c2 wceq wa cv cpr wex wne hash2pr wi weq vex c1 syl6bi
      equid csn preqsn eqeq2 fveq2 cvv hashsng elv eqtrdi eqeq1 wn df-ne pm2.21
      1ne2 sylbi ax-mp eqcoms adantl syl5com impcomd mpan2 ax-1 pm2.61ine simpr
      sylbir jca ex 2eximdv mpd ) ABEZAFGZHIZJZACKZDKZLZIZDMCMVNVONZVQJZDMCMABC
      DOVMVQVSCDVMVQVSVMVQJZVRVQVTVRPZVNVOCDQZDDQZWADUAWBWCJVPVOUBZIZWAVNVOVOCR
      DRUCWEVQVMVRWEVQAWDIZVMVRPVPWDAUDWFVKSIZVMVRWFVKWDFGZSAWDFUEWHSIDVOUFUGUH
      UIVLWGVRPVJVLWGHSIVRVKHSUJVRSHSHNZSHIZVRPZUNWIWJUKWKSHULWJVRUMUOUPUQTURUS
      TUTVEVAVRVTVBVCVMVQVDVFVGVHVI $.

    $( A set of size two is an unordered pair if and only if it contains two
       different elements.  (Contributed by Alexander van der Vekens,
       14-Jan-2018.) $)
    hash2exprb $p |- ( V e. W -> ( ( # ` V ) = 2
                              <-> E. a E. b ( a =/= b /\ V = { a , b } ) ) ) $=
      ( wcel chash cfv c2 wceq cv wne cpr wa wex hash2prde ex wi wb cvv a1i
      hashprg el2v biimpd fveqeq2 sylibrd impcom exlimdvv impbid ) ABEZAFGHIZCJ
      ZDJZKZAUKULLZIZMZDNCNZUIUJUQABCDOPUIUPUJCDUPUJQUIUOUMUJUOUMUNFGHIZUJUOUMU
      RUMURRZUOUSCDUKULSSUAUBTUCAUNHFUDUEUFTUGUH $.

    $( A set of size two is a proper unordered pair.  (Contributed by AV,
       1-Nov-2020.) $)
    hash2prb $p |- ( V e. W -> ( ( # ` V ) = 2 <-> E. a e. V E. b e. V
                                            ( a =/= b /\ V = { a , b } ) ) ) $=
      ( wcel chash cfv c2 wceq cv wne cpr wa wex wrex hash2exprb vex eleq2 a1i
      wb prid1 prid2 pm3.2i anbi12d mpbiri adantl pm4.71ri 2exbii bicomi 3bitrd
      r2ex ) ABEZAFGHICJZDJZKZAUMUNLZIZMZDNCNZUMAEZUNAEZMZURMZDNCNZURDAOCAOZABC
      DPUSVDTULURVCCDURVBUQVBUOUQVBUMUPEZUNUPEZMVFVGUMUNCQUAUMUNDQUBUCUQUTVFVAV
      GAUPUMRAUPUNRUDUEUFUGUHSVDVETULVEVDURCDAAUKUISUJ $.
  $}

  $( The set of proper pairs of elements of a given set expressed in two ways.
     (Contributed by AV, 24-Nov-2020.) $)
  prprrab $p |- { x e. ( ~P A \ { (/) } ) | ( # ` x ) = 2 }
                = { x e. ~P A | ( # ` x ) = 2 } $=
    ( cv cpw wcel chash cfv c2 wceq wa cab c0 csn cdif crab wne cc0 cvv df-rab
    wn 2ne0 neii eqeq1 mtbiri wb hasheq0 bicomd necon3abid elv biantrud eldifsn
    sylibr bitr4di pm5.32ri abbii 3eqtr4ri ) ACZBDZEZUQFGZHIZJZAKUQURLMNZEZVAJZ
    AKVAAUROVAAVCOVBVEAVAUSVDVAUSUSUQLPZJVDVAVFUSVAUTQIZTZVFVAVGHQIHQUAUBUTHQUC
    UDVFVHUEAUQREZVGUQLVIVGUQLIUQRUFUGUHUIULUJUQURLUKUMUNUOVAAURSVAAVCSUP $.

  ${
    nehash2.p $e |- ( ph -> P e. V ) $.
    nehash2.a $e |- ( ph -> A e. P ) $.
    nehash2.b $e |- ( ph -> B e. P ) $.
    nehash2.1 $e |- ( ph -> A =/= B ) $.
    $( The cardinality of a set with two distinct elements.  (Contributed by
       Thierry Arnoux, 27-Aug-2019.) $)
    nehash2 $p |- ( ph -> 2 <_ ( # ` P ) ) $=
      ( cpr chash cfv c2 cle wne wceq wcel wb hashprg syl2anc mpbid wss hashss
      wbr prssd eqbrtrrd ) ABCJZKLZMDKLZNABCOZUHMPZIABDQCDQUJUKRGHBCDDSTUAADEQU
      GDUBUHUINUDFABCDGHUEDUGEUCTUF $.
  $}

  ${
    $d P x y $.  $d V x y $.  $d X x y $.  $d Y x y $.
    $( A set of size two is an unordered pair if it contains two different
       elements.  (Contributed by Alexander van der Vekens, 9-Dec-2018.)
       (Proof shortened by AV, 16-Jun-2022.) $)
    hash2prd $p |- ( ( P e. V /\ ( # ` P ) = 2 )
                   -> ( ( X e. P /\ Y e. P /\ X =/= Y ) -> P = { X , Y } ) ) $=
      ( vx vy wcel chash cfv c2 wceq wne w3a cpr cv wa wrex ad2antlr wb eleq2
      wi hash2prb simpr 3simpa anbi12d adantl mpbid prel12g mpbird eqtr4d exp31
      com23 expimpd rexlimivv syl6bi imp ) ABGZAHIJKZCAGZDAGZCDLZMZACDNZKZUAZUQ
      UREOZFOZLZAVFVGNZKZPZFAQEAQVEABEFUBVKVEEFAAVFAGVGAGPZVHVJVEVLVHPZVBVJVDVM
      VBVJVDVMVBPZVJPZAVIVCVNVJUCVOVCVIKZCVIGZDVIGZPZVOUSUTPZVSVBVTVMVJUSUTVAUD
      RVJVTVSSVNVJUSVQUTVRAVICTAVIDTUEUFUGVBVPVSSVMVJCDVFVGAAUHRUIUJUKULUMUNUOU
      P $.
  $}

  $( If the size of a subset of an unordered pair is 2, the subset is the pair
     itself.  (Contributed by Alexander van der Vekens, 9-Dec-2018.) $)
  hash2pwpr $p |- ( ( ( # ` P ) = 2 /\ P e. ~P { X , Y } )
                    -> P = { X , Y } ) $=
    ( chash cfv c2 wceq cpr c0 wo wi fveq2 cc0 hash0 syl6bi sylbi cvv c1 eqeq1d
    wcel cpw csn cun pwpr eleq2i elun bitri eqeq1 wne 0ne2 eqneqall mpi hashsng
    eqeq2i syl eqcoms 1ne2 syl5com snprc eqeq2 eqtrdi pm2.61i jaoi eqeq1i elpri
    wn ax-1 orim12i syl11 syl5bi imp ) ADEZFGZABCHZUAZTZAVNGZVPAIBUBZHZTZACUBZV
    NHZTZJZVMVQVPAVSWBUCZTWDVOWEABCUDUEAVSWBUFUGAIGZAVRGZJZAWAGZVQJZJVMVQWDWHVM
    VQKZWJWFWKWGWFVLIDEZGZWKAIDLZWMVLMGZWKWLMVLNUNWOVMMFGZVQVLMFUHWPMFUIVQUJVQM
    FUKULZOPUOBQTZWGWKKZWRVRDEZRGZWGWKBQUMWGXAVLRGZWKWGWTVLRWTVLGVRAVRADLUPSXBV
    MRFGZVQVLRFUHXCRFUIVQUQVQRFUKULOZOURWRVFVRIGZWSBUSXEWGWFWKVRIAUTWFVMWPVQWFV
    LMFWFVLWLMWNNVASWQOOPVBVCWIWKVQCQTZWIWKKZXFWADEZRGZWIWKCQUMWIXIXBWKWIXHVLRX
    HVLGWAAWAADLUPSXDOURXFVFWAIGZXGCUSXJWIWFWKWAIAUTWFVMWLFGZVQWFVLWLFWNSXKWPVQ
    WLMFNVDWQPOOPVBVQVMVGVCVCVTWHWCWJAIVRVEAWAVNVEVHVIVJVK $.

  ${
    $d P a b c $.
    $( A nonempty set of size less than or equal to two is an unordered pair of
       sets.  (Contributed by AV, 24-Nov-2021.) $)
    hashle2pr $p |- ( ( P e. V /\ P =/= (/) )
                      -> ( ( # ` P ) <_ 2 <-> E. a E. b P = { a , b } ) ) $=
      ( vc wcel c0 wa chash cfv c2 cle wbr cv cpr wceq wex wi syl6bi com12 syld
      wne cc0 c1 cxnn0 hashxnn0 xnn0le2is012 sylan ex hasheq0 eqneqall hash1snb
      w3o csn vex weq preq12 dfsn2 eqtr4di eqeq2d spc2ev exlimiv imp a1d expcom
      hash2pr 3jaoi com23 fveq2 cfn hashprlei simpri eqbrtrdi exlimivv impbid1
      ) ABFZAGUBZHAIJZKLMZACNZDNZOZPZDQCQZVPVQVSWDRVPVSVQWDVPVSVRUCPZVRUDPZVRKP
      ZUMZVQWDRZVPVSWHVPVRUEFVSWHABUFVRUGUHUIWHVPWIWEVPWIRWFWGVPWEWIVPWEAGPWIAB
      UJWDAGUKSTVPWFWIVPWFHWDVQVPWFWDVPWFAENZUNZPZEQWDABEULWLWDEWCWLCDWJWJEUOZW
      MCEUPDEUPHZWBWKAWNWBWJWJOWKVTWAWJWJUQWJURUSUTVAVBSVCVDVEVPWGWIVPWGHWDVQAB
      CDVFVDVEVGTUAVHVCWCVSCDWCVRWBIJZKLAWBIVIWBVJFWOKLMVTWAVKVLVMVNVO $.
  $}

  ${
    $d P a b $.  $d V a b $.
    $( A nonempty subset of a powerset of a class ` V ` has size less than or
       equal to two iff it is an unordered pair of elements of ` V ` .
       (Contributed by AV, 24-Nov-2021.) $)
    hashle2prv $p |- ( P e. ( ~P V \ { (/) } ) -> ( ( # ` P ) <_ 2
                                   <-> E. a e. V E. b e. V P = { a , b } ) ) $=
      ( cpw c0 csn cdif wcel chash cfv c2 cle wbr cv wex wa wrex wb cvv cpr wne
      wceq eldifsn hashle2pr sylbi eldifi wi prelpw biimprd el2v syl6bi syl5com
      eleq1 pm4.71rd 2exbidv r2ex bicomi a1i 3bitrd ) ABEZFGZHIZAJKLMNZACOZDOZU
      AZUCZDPCPZVEBIVFBIQZVHQZDPCPZVHDBRCBRZVCAVAIZAFUBQVDVISAVAFUDAVACDUEUFVCV
      HVKCDVCVHVJVCVNVHVJAVAVBUGVHVNVGVAIZVJAVGVAUNVOVJUHCDVETIVFTIQVJVOVEVFBTT
      UIUJUKULUMUOUPVLVMSVCVMVLVHCDBBUQURUSUT $.
  $}

  ${
    $d A p s $.  $d B p s $.  $d V s $.  $d W s $.
    $( The set of subsets of a pair having length 2 is the set of the pair as
       singleton.  (Contributed by AV, 9-Dec-2018.) $)
    pr2pwpr $p |- ( ( A e. V /\ B e. W /\ A =/= B )
                       -> { p e. ~P { A , B } | p ~~ 2o } = { { A , B } } ) $=
      ( vs wcel cv c2o cen wbr cpr csn wa wceq wi cfn chash c2 wb wne w3a elpwi
      cpw crab wss prfi ssfi mpan cfv hash2 eqcomi a1i eqeq2d 2onn ax-mp hashen
      com mpan2 bitrd hash2pwpr a1d ex syl6bir com23 syl mpcom imp com12 c0 cun
      nnfi wo prex prid2 olcd elun sylibr pwpr eleqtrrdi adantr adantl pr2nelem
      eleq1 mpbird breq1 jca impbid elrab velsn 3bitr4g eqrdv ) ACGBDGABUAUBZFE
      HZIJKZEABLZUDZUEZWPMZWMFHZWQGZWTIJKZNZWTWPOZWTWRGWTWSGWMXCXDXCWMXDXAXBWMX
      DPZWTWPUFZXAXBXEPZWTWPUCXFWTQGZXAXGPWPQGXFXHABUGWPWTUHUIXHXBXAXEXHXBWTRUJ
      ZSOZXAXEPXHXJXIIRUJZOZXBXHSXKXISXKOXHXKSUKULUMUNXHIQGZXLXBTIURGXMUOIVLUPW
      TIUQUSUTXJXAXEXJXANXDWMWTABVAVBVCVDVEVFVGVHVIWMXDXCWMXDNZXAXBXNXAWPWQGZWM
      XOXDWMWPVJAMLZBMZWPLZVKZWQWMWPXPGZWPXRGZVMWPXSGWMYAXTYAWMXQWPABVNVOUMVPWP
      XPXRVQVRABVSVTWAXDXAXOTWMWTWPWQWDWBWEXNXBWPIJKZWMYBXDABCDWCWAXDXBYBTWMWTW
      PIJWFWBWEWGVCWHWOXBEWTWQWNWTIJWFWIFWPWJWKWL $.
  $}

  ${
    $d x y D $.  $d x y V $.
    $( A set with size at least 2 has at least 2 different elements.
       (Contributed by AV, 18-Mar-2019.) $)
    hashge2el2dif $p |- ( ( D e. V /\ 2 <_ ( # ` D ) )
                          -> E. x e. D E. y e. D x =/= y ) $=
      ( wcel c2 chash cle wbr wa wral wn wrex wceq wi c1 cc0 clt cr syl cfv weq
      cv wne csn fveq2 hashsng sylan9eqr ralimiaa c0 cfn caddc w3a 0re readdcli
      co 1re a1i 2re hashcl nn0red adantr 3jca 0p1e1 1lt2 eqbrtri jctl ltleletr
      adantl sylc cz wb nn0zd 0z jctil zltp1le mpbird cpnf 0ltpnf anim2i ancomd
      simpl breqtrrid pm2.61ian hashgt0n0 syldan rspn0 breq2 ltnlei sylbi ax-mp
      hashinf pm2.21 syl6bi com12 syldc ax-1 pm2.61i equcom ralbidv bitrd mtbid
      eqsn df-ne rexbii rexnal bitri sylibr ) CDEZFCGUAZHIZJZABUBZBCKZACKZLZAUC
      ZBUCZUDZBCMZACMZXLCXQUEZNZACKZXOYDXLYDLZOZYDXJPNZACKZYFYCYGACYCXQCEXJYBGU
      APCYBGUFXQCUGUHUIXLYHYGYEXLCUJUDZYHYGOXIXKQXJRIZYICUKEZXLYJYKXLJZYJQPULUP
      ZXJHIZYLYMSEZFSEZXJSEZUMYMFRIZXKJZYNYLYOYPYQYOYLQPUNUQUOURYPYLUSURYKYQXLY
      KXJCUTZVAVBVCXLYSYKXKYSXIXKYRYMPFRVDVEVFVGVIVIYMFXJVHVJYLQVKEZXJVKEZJZYJY
      NVLYKUUCXLYKUUBUUAYKXJYTVMVNVOVBQXJVPTVQYKLZXLJZQVRXJRVSUUEXIUUDJXJVRNUUE
      UUDXIXLXIUUDXIXKWBVTWACDWLTWCWDCDWEWFZYGACWGTXKYGYEOXIYGXKYEYGXKFPHIZYEXJ
      PFHWHPFRIZUUGYEOZVEUUHUUGLUUIPFUQUSWIUUGYEWMWJWKWNWOVIWPTYEXLWQWRXLYCXNAC
      XLYCBAUBZBCKZXNXLYIYCUUKVLUUFBCXQXCTXLUUJXMBCUUJXMVLXLBAWSURWTXAWTXBYAXNL
      ZACMXPXTUULACXTXMLZBCMUULXSUUMBCXQXRXDXEXMBCXFXGXEXNACXFXGXH $.

    $d x y z D $.
    $( A set with at least 2 different elements has size at least 2.
       (Contributed by AV, 14-Oct-2020.) $)
    hashge2el2difr $p |- ( ( D e. V /\ E. x e. D E. y e. D x =/= y )
                           -> 2 <_ ( # ` D ) ) $=
      ( vz wcel cv wne wrex c2 cle wbr wceq c1 wi c0 rexeq mp1i sylbid cpnf cfv
      chash cc0 clt w3o hashv01gt1 hasheq0 wn rex0 pm2.21 syl6bi com12 hash1snb
      csn wex rexeqbi1dv vex weq neeq1 rexbidv rexsn neeq2 bitri equid eqneqall
      bitrdi exlimiv wa cn0 wo hashnn0pnf caddc co cz 1z zltp1le biimpd sylancr
      nn0z df-2 breq1i syl6ibr cxr 2re rexri pnfge breq2 mpbird a1d jaoi impcom
      syl ex 3jaoi mpcom imp ) CDFZAGZBGZHZBCIZACIZJCUBUAZKLZXCUCMZXCNMZNXCUDLZ
      UEWQXBXDOZCDUFXEWQXHOXFXGWQXEXHWQXECPMZXHCDUGXIXBXAAPIZXDXAACPQXJUHXJXDOX
      IXAAUIXJXDUJRSUKULWQXFXHWQXFCEGZUNZMZEUOXHCDEUMXMXHEXMXBXKXKHZXDXMXBWTBXL
      IZAXLIZXNXAXOACXLWTBCXLQUPXPXKWSHZBXLIZXNXOXRAXKEUQZAEURWTXQBXLWRXKWSUSUT
      VAXQXNBXKXSWSXKXKVBVAVCVFEEURXNXDOXMEVDXDXKXKVERSVGUKULXGWQXHXGWQVHXDXBWQ
      XGXDWQXCVIFZXCTMZVJXGXDOZCDVKXTYBYAXTXGNNVLVMZXCKLZXDXTNVNFZXCVNFZXGYDOVO
      XCVSYEYFVHXGYDNXCVPVQVRJYCXCKVTWAWBYAXDXGYAXDJTKLZJWCFYGYAJWDWEJWFRXCTJKW
      GWHWIWJWLWKWIWMWNWOWP $.

    $( A set has size at least 2 iff it has at least 2 different elements.
       (Contributed by AV, 14-Oct-2020.) $)
    hashge2el2difb $p |- ( D e. V -> ( 2 <_ ( # ` D )
                          <-> E. x e. D E. y e. D x =/= y ) ) $=
      ( wcel c2 chash cfv cle wbr wne wrex hashge2el2dif hashge2el2difr impbida
      cv ) CDEFCGHIJAPBPKBCLACLABCDMABCDNO $.
  $}

  ${
    $d A a b $.  $d B b $.  $d F a b $.
    hashdmpropge2.a $e |- ( ph -> A e. V ) $.
    hashdmpropge2.b $e |- ( ph -> B e. W ) $.
    hashdmpropge2.c $e |- ( ph -> C e. X ) $.
    hashdmpropge2.d $e |- ( ph -> D e. Y ) $.
    hashdmpropge2.f $e |- ( ph -> F e. Z ) $.
    hashdmpropge2.n $e |- ( ph -> A =/= B ) $.
    hashdmpropge2.s $e |- ( ph -> { <. A , C >. , <. B , D >. } C_ F ) $.
    $( The size of the domain of a class which contains two ordered pairs with
       different first components is greater than or equal to 2.  (Contributed
       by AV, 12-Nov-2021.) $)
    hashdmpropge2 $p |- ( ph -> 2 <_ ( # ` dom F ) ) $=
      ( va wcel vb cdm cvv cv wne wrex chash cfv cle wbr dmexd cpr wss cop wceq
      c2 dmpropg syl2anc dmss eqsstrrd wa wb prssg wi neeq1 neeq2 rspc2ev 3expa
      syl expcom sylbird mpd hashge2el2difr ) AFUBZUCTSUDZUAUDZUEZUAVNUFSVNUFZU
      PVNUGUHUIUJAFKPUKABCULZVNUMZVRAVSBDUNCEUNULZUBZVNADITEJTWBVSUONOBDCEIJUQU
      RAWAFUMWBVNUMRWAFUSVIUTAVTBVNTZCVNTZVAZVRABGTCHTWEVTVBLMBCVNGHVCURABCUEZW
      EVRVDQWEWFVRWCWDWFVRVQWFBVPUESUABCVNVNVOBVPVEVPCBVFVGVHVJVIVKVLSUAVNUCVMU
      R $.
  $}

  $( An unordered triple has at most three elements.  (Contributed by Mario
     Carneiro, 11-Feb-2015.) $)
  hashtplei $p |- ( { A , B , C } e. Fin /\ ( # ` { A , B , C } ) <_ 3 ) $=
    ( cpr csn ctp c2 c1 c3 df-tp hashprlei hashsnlei 2nn0 1nn0 2p1e3 hashunlei
    ) ABDCEABCFGHIABCJABKCLMNOP $.

  $( The size of an unordered triple of three different elements.  (Contributed
     by Alexander van der Vekens, 10-Nov-2017.)  (Revised by AV,
     18-Sep-2021.) $)
  hashtpg $p |- ( ( A e. U /\ B e. V /\ C e. W )
    -> ( ( A =/= B /\ B =/= C /\ C =/= A ) <-> ( # ` { A , B , C } ) = 3 ) ) $=
    ( wcel wne ctp chash cfv c3 wceq wa c2 wn wi wbr clt ax-mp w3a cpr c1 caddc
    csn cun co cfn simpl3 prfi a1i w3o wo elprg orcom nne bitr2i bicomi orbi12i
    eqcom bitri bitrdi biimpd 3ad2ant3 imp olcd 3orass syl6ibr 3ianor hashunsng
    ex con2d syl12anc simpr1 3simpa adantr hashprg syl mpbid oveq1d eqtrd df-tp
    wb fveq2i df-3 3eqtr4g cle hashprlei cz hashcl nn0zd 2z 2p1e3 breq2d sylbid
    zleltp1 mp2an cr nn0red 3re ltnei necomd adantl mp1i tpidm12 eqtr2di fveq2d
    tpeq1 neeq1d syl5ib sylbi tpeq2 tpidm23 tpeq3 tpidm13 3jaoi necon4bd impbid
    com12 ) ADGZBEGZCFGZUAZABHZBCHZCAHZUAZABCIZJKZLMZYCYGYJYCYGNZABUBZCUEUFZJKZ
    OUCUDUGZYILYKYNYLJKZUCUDUGZYOYKYBYLUHGZCYLGZPZYNYQMZXTYAYBYGUIYRYKABUJZUKYC
    YGYTYCYSYGYCYSYDPZYEPZYFPZULZYGPZYCYSUUCUUDUUEUMZUMZUUFYCYSUUIYCYSNUUHUUCYC
    YSUUHYBXTYSUUHQYAYBYSUUHYBYSCAMZCBMZUMZUUHCABFUNUULUUKUUJUMUUHUUJUUKUOUUKUU
    DUUJUUEUUDBCMZUUKBCUPZBCUTUQUUEUUJCAUPZURUSVAVBVCVDVEVFVKUUCUUDUUEVGVHYDYEY
    FVIZVHVLVEYBYRYTNUUAYLCFVJVEVMYKYPOUCUDYKYDYPOMZYCYDYEYFVNYKXTYANZYDUUQWCYC
    UURYGXTYAYBVOVPABDEVQVRVSVTWAYHYMJABCWBWDWEWFVKYCYGYILUUGYCYILHZUUGUUFYCUUS
    QZUUPUUCUUTUUDUUEUUCABMZUUTABUPYCBCUBZJKZLHZUVAUUSUVBUHGZUVCOWGRZNUVDYCBCWH
    UVFUVDUVEUVFLUVCUVFUVCLSRZLUVCHUVCWIGZOWIGZUVFUVGQUVEUVHBCUJZUVEUVCUVBWJZWK
    TWLUVHUVINZUVFUVCYOSRZUVGUVCOWPUVLUVMUVGUVLYOLUVCSYOLMZUVLWMUKWNVCWOWQUVCLU
    VEUVCWRGUVJUVEUVCUVKWSTWTXAVRXBXCXDUVAUVCYILUVAUVBYHJUVAYHBBCIUVBABBCXHBCXE
    XFXGXIXJXKUUDUUMUUTUUNYCACUBZJKZLHZUUMUUSUVOUHGZUVPOWGRZNUVQYCACWHUVSUVQUVR
    UVSLUVPUVSUVPLSRZLUVPHUVPWIGZUVIUVSUVTQUVRUWAACUJZUVRUVPUVOWJZWKTWLUWAUVINZ
    UVSUVPYOSRZUVTUVPOWPUWDUWEUVTUWDYOLUVPSUVNUWDWMUKWNVCWOWQUVPLUVRUVPWRGUWBUV
    RUVPUWCWSTWTXAVRXBXCXDUUMUVPYILUUMUVOYHJUUMYHACCIUVOBCACXLACXMXFXGXIXJXKUUE
    UUJUUTUUOYCYPLHZUUJUUSYRYPOWGRZNUWFYCABWHUWGUWFYRUWGLYPUWGYPLSRZLYPHYPWIGZU
    VIUWGUWHQYRUWIUUBYRYPYLWJZWKTWLUWIUVINZUWGYPYOSRZUWHYPOWPUWKUWLUWHUWKYOLYPS
    UVNUWKWMUKWNVCWOWQYPLYRYPWRGUUBYRYPUWJWSTWTXAVRXBXCXDUUJYPYILUUJYLYHJUUJYHA
    BAIYLCAABXNABXOXFXGXIXJXKXPXKXSXQXR $.

  ${
    $d D f x y z $.  $d V f $.
    $( A set with size at least 3 has at least 3 different elements.  In
       contrast to ~ hashge2el2dif , which has an elementary proof, the
       dominance relation and 1-1 functions from a set with three elements
       which are known to be different are used to prove this theorem.
       Although there is also an elementary proof for this theorem, it might be
       much longer.  After all, this proof should be kept because it can be
       used as template for proofs for higher cardinalities.  (Contributed by
       AV, 20-Mar-2019.)  (Proof modification is discouraged.) $)
    hashge3el3dif $p |- ( ( D e. V /\ 3 <_ ( # ` D ) )
                          -> E. x e. D E. y e. D E. z e. D
                                         ( x =/= y /\ x =/= z /\ y =/= z ) ) $=
      ( vf wcel c3 cle wbr cv wne w3a wrex c0 0nep0 ax-mp cvv 3pm3.2i a1i chash
      cfv csn ctp cdom wceq 0ex sneqr necon3i snex snnzg wb hashtpg mpbi eqcomi
      breq1d cfn tpfi hashdom bitrd wf1 wex brdomg wi necomd simpr f1dom3el3dif
      mpan wa expcom exlimiv com12 sylbid imp ) DEGZHDUAUBZIJZAKZBKZLVRCKZLVSVT
      LMCDNBDNADNZVOVQOOUCZWBUCZUDZDUEJZWAVOVQWDUAUBZVPIJZWEVOHWFVPIHWFUFVOWFHO
      WBLZWBWCLZWCOLZMZWFHUFZWHWIWJPWHWIPWBWCOWBOWBUGUHUIQZWBRGZWJOUJZWBRUKZQSO
      RGZWNWCRGZMZWKWLULWQWNWRUGWOWBUJSZOWBWCRRRUMQUNUOTUPWDUQGVOWGWEULOWBWCURW
      DDEUSVHUTVOWEWDDFKZVAZFVBZWAWDDEFVCXCVOWAXBVOWAVDFVOXBWAVOXBVIZABCOWBWCDX
      ARRRWSXDWTTWHOWCLZWIMXDWHXEWIPWNXEWOWNWCOWPVEQWMSTVOXBVFVGVJVKVLVMVMVN $.
  $}

  ${
    $d P x y z $.  $d V x y z $.
    $( An element of the set of subsets with two elements is a proper unordered
       pair.  (Contributed by AV, 1-Nov-2020.) $)
    elss2prb $p |- ( P e. { z e. ~P V | ( # ` z ) = 2 }
                     <-> E. x e. V E. y e. V ( x =/= y /\ P = { x , y } ) ) $=
      ( cv chash cfv c2 wceq cpw crab wcel wa wrex ssrexv syl adantr ad2antll
      wi wne cpr fveqeq2 elrab hash2prb wss elpwi reximdv sylbid imp prelpwi wb
      syld eleq1 mpbird fveq2 hashprg biimpcd impcom eqtrd jca rexlimivv impbii
      ex bitri ) DCFZGHIJZCEKZLMDVHMZDGHZIJZNZAFZBFZUAZDVMVNUBZJZNZBEOZAEOZVGVK
      CDVHVFDIGUCUDVLVTVIVKVTVIVKVRBDOZADOZVTDVHABUEVIWBWAAEOZVTVIDEUFZWBWCTDEU
      GZWAADEPQVIWAVSAEVIWDWAVSTWEVRBDEPQUHUMUIUJVRVLABEEVMEMVNEMNZVRVLWFVRNZVI
      VKWGVIVPVHMZWFWHVRVMVNEUKRVQVIWHULWFVODVPVHUNSUOWGVJVPGHZIVQVJWIJWFVODVPG
      UPSVRWFWIIJZVOWFWJTVQWFVOWJVMVNEEUQURRUSUTVAVDVBVCVE $.
  $}

  ${
    $d P a b p $.  $d V a b p $.
    $( A subset of size two is an unordered pair of elements of its superset.
       (Contributed by Alexander van der Vekens, 12-Jul-2017.)  (Proof
       shortened by AV, 4-Nov-2020.) $)
    hash2sspr $p |- ( ( P e. ~P V /\ ( # ` P ) = 2 )
                     -> E. a e. V E. b e. V P = { a , b } ) $=
      ( vp cpw wcel chash cfv c2 wceq wa crab cpr wrex fveqeq2 elrab wne reximi
      cv elss2prb simpr sylbi sylbir ) ABFZGAHIJKZLAETZHIJKZEUEMGZACTZDTZNKZDBO
      ZCBOZUHUFEAUEUGAJHPQUIUJUKRZULLZDBOZCBOUNCDEABUAUQUMCBUPULDBUOULUBSSUCUD
      $.
  $}

  ${
    $d V e p v w $.  $d X p v w $.
    $( If there is an element of the set of subsets with two elements in a set,
       an unordered pair of sets is in the set.  (Contributed by Alexander van
       der Vekens, 12-Jul-2018.) $)
    exprelprel $p |- ( E. p e. { e e. ~P V | ( # ` e ) = 2 } p e. X
                    -> E. v e. V E. w e. V { v , w } e. X ) $=
      ( cv wcel cpr wrex chash cfv c2 wceq cpw crab wne wa wi reximdv wb adantl
      elss2prb eleq1 biimpcd com12 sylbi rexlimiv ) FGZEHZBGZAGZIZEHZADJZBDJZFC
      GKLMNCDOPZUIUQHUKULQZUIUMNZRZADJZBDJZUJUPSBACUIDUCUJVBUPUJVAUOBDUJUTUNADU
      TUJUNUSUJUNUAURUIUMEUDUBUETTUFUGUH $.
  $}

  ${
    $d V a b c $.
    $( A set of size three is an unordered triple.  (Contributed by Alexander
       van der Vekens, 13-Sep-2018.) $)
    hash3tr $p |- ( ( V e. W /\ ( # ` V ) = 3 )
                    -> E. a E. b E. c V = { a , b , c } ) $=
      ( wcel chash cfv c3 wceq wa c3o cen wbr cv ctp wex cfn cn0 mpan2 3nn0 imp
      wi hashvnfin hash3 eqcomi a1i eqeq2d wb com 3onn nnfi ax-mp hashen biimpd
      sylbid adantld mpcom en3 syl ) ABFZAGHZIJZKZALMNZACODOEOPJEQDQCQARFZVDVEV
      AVCVFVAISFVCVFUCUAAIBUDTUBVFVCVEVAVFVCVBLGHZJZVEVFIVGVBIVGJVFVGIUEUFUGUHV
      FVHVEVFLRFZVHVEUILUJFVIUKLULUMALUNTUOUPUQURCDEAUSUT $.

    $( If the size of a set is between 1 and 3 (inclusively), the set is a
       singleton or an unordered pair or an unordered triple.  (Contributed by
       Alexander van der Vekens, 13-Sep-2018.) $)
    hash1to3 $p |- ( ( V e. Fin /\ 1 <_ ( # ` V ) /\ ( # ` V ) <_ 3 )
     -> E. a E. b E. c ( V = { a } \/ V = { a , b } \/ V = { a , b , c } ) ) $=
      ( cfn wcel c1 cle wbr c3 wceq w3o cv wex 2eximi 19.23bi eximi syl expcom
      wa chash cfv w3a c2 csn cpr ctp hashcl nn01to3 syl3an1 wi hash1snb biimpa
      cn0 3mix1 hash2pr 3mix2 hash3tr 3mix3 3jaoi com12 3ad2ant1 mpd ) AEFZGAUA
      UBZHIZVEJHIZUCVEGKZVEUDKZVEJKZLZABMZUEKZAVLCMZUFKZAVLVNDMUGKZLZDNZCNZBNZV
      DVEUNFVFVGVKAUHVEUIUJVDVFVKVTUKVGVKVDVTVHVDVTUKVIVJVDVHVTVDVHTVMBNZVTVDVH
      WAAEBULUMVMVSBVMVSDVMDNVSCVMVQCDVMVOVPUOOPPQRSVDVIVTVDVITVOCNBNVTAEBCUPVO
      VRBCVOVRDVOVQDVOVMVPUQQPORSVDVJVTVDVJTVPDNZCNBNVTAEBCDURWBVRBCVPVQDVPVMVO
      USQORSUTVAVBVC $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Functions with a domain containing at least two different elements
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d G a b x y $.
    $( A function with a domain containing (at least) two different elements is
       not an ordered pair.  This stronger version of ~ fundmge2nop (with the
       less restrictive requirement that ` ( G \ { (/) } ) ` needs to be a
       function instead of ` G ` ) is useful for proofs for extensible
       structures, see ~ structn0fun .  (Contributed by AV, 12-Oct-2020.)
       (Revised by AV, 7-Jun-2021.)  (Proof shortened by AV, 15-Nov-2021.) $)
    fundmge2nop0 $p |- ( ( Fun ( G \ { (/) } ) /\ 2 <_ ( # ` dom G ) )
                        -> -. G e. ( _V X. _V ) ) $=
      ( va vb vx vy cdif wfun cdm wa cvv wcel wn wi wrex wceq wex eleq2d syl5bi
      cv ex c0 csn chash cfv cle wbr cxp wne dmexg hashge2el2dif syl df-ne elvv
      cop difeq1 funeqd opwo0id eqcomi funeqi dmeq anbi12d eqid funopdmsn 3expb
      c2 expcom syl6bi com23 sylbid impcomd exlimivv com12 con3d rexlimivv syl6
      vex com13 imp prcnel pm2.61d1 ) AUAUBZFZGZVEAHZUCUDUEUFZIAJKZAJJUGZKZLZWC
      WEWFWIMWFWEWCWIWFWEBSZCSZUHZCWDNBWDNZWCWIMZWFWDJKZWEWMMAJUIWOWEWMBCWDJUJT
      UKWLWNBCWDWDWLWJWKOZLZWJWDKZWKWDKZIZWNWJWKULWTWCWQWIWTWCWQWIMWTWCIZWHWPWH
      ADSZESZUNZOZEPDPZXAWPDEAUMXFXAWPXEXAWPMDEXEWCWTWPXEWCXDWAFZGZWTWPMZXEWBXG
      AXDWAUOUPXHXDGZXEXIXGXDXDXGXBXCUQURUSXEWTXJWPXEWTWJXDHZKZWKXKKZIZXJWPMXEW
      RXLWSXMXEWDXKWJAXDUTZQXEWDXKWKXOQVAXJXNWPXJXLXMWPWJWKXDJJXBXCXDVBDVPEVPVC
      VDVFVGVHRVIVJVKVLRVMTVHRVNVOVQVRAWGVSVT $.

    $( A function with a domain containing (at least) two different elements is
       not an ordered pair.  (Contributed by AV, 12-Oct-2020.)  (Proof
       shortened by AV, 9-Jun-2021.) $)
    fundmge2nop $p |- ( ( Fun G /\ 2 <_ ( # ` dom G ) )
                        -> -. G e. ( _V X. _V ) ) $=
      ( wfun c0 csn cdif cdm chash cfv cle wbr cvv cxp wcel fundif fundmge2nop0
      c2 wn sylan ) ABACDZEBPAFGHIJAKKLMQSANAOR $.
  $}

  ${
    fun2dmnop.a $e |- A e. _V $.
    fun2dmnop.b $e |- B e. _V $.
    $( A function with a domain containing (at least) two different elements is
       not an ordered pair.  This stronger version of ~ fun2dmnop (with the
       less restrictive requirement that ` ( G \ { (/) } ) ` needs to be a
       function instead of ` G ` ) is useful for proofs for extensible
       structures, see ~ structn0fun .  (Contributed by AV, 21-Sep-2020.)
       (Revised by AV, 7-Jun-2021.) $)
    fun2dmnop0 $p |- ( ( Fun ( G \ { (/) } ) /\ A =/= B /\ { A , B } C_ dom G )
                      -> -. G e. ( _V X. _V ) ) $=
      ( c0 csn cdif wfun wne cpr cdm wss w3a cvv wcel wa sylbir 3ad2ant3 adantr
      cxp wn c2 chash cfv cle wbr simpl1 dmexg adantl prss simpl simpl2 nehash2
      simpr fundmge2nop0 syl2anc ex prcnel pm2.61d1 ) CFGHIZABJZABKCLZMZNZCOPZC
      OOUAZPUBZVEVFVHVEVFQZVAUCVCUDUEUFUGVHVAVBVDVFUHVIABVCOVFVCOPVECOUIUJVEAVC
      PZVFVDVAVJVBVDVJBVCPZQZVJABVCDEUKZVJVKULRSTVEVKVFVDVAVKVBVDVLVKVMVJVKUORS
      TVAVBVDVFUMUNCUPUQURCVGUSUT $.

    $( A function with a domain containing (at least) two different elements is
       not an ordered pair.  (Contributed by AV, 21-Sep-2020.)  (Proof
       shortened by AV, 9-Jun-2021.) $)
    fun2dmnop $p |- ( ( Fun G /\ A =/= B /\ { A , B } C_ dom G )
                      -> -. G e. ( _V X. _V ) ) $=
      ( wfun c0 csn cdif wne cpr cdm wss cvv cxp wcel fundif fun2dmnop0 syl3an1
      wn ) CFCGHZIFABJABKCLMCNNOPTUACQABCDERS $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Finite induction on the size of the first component of a binary relation
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( If the size of a set is a nonnegative integer increased by 1, the size of
     the set with one of its elements removed is this nonnegative integer.
     (Contributed by Alexander van der Vekens, 7-Jan-2018.) $)
  hashdifsnp1 $p |- ( ( V e. W /\ N e. V /\ Y e. NN0 )
                 -> ( ( # ` V ) = ( Y + 1 ) -> ( # ` ( V \ { N } ) ) = Y ) ) $=
    ( wcel cn0 w3a chash cfv c1 co wceq wa cmin wi adantr imp ex 3ad2ant2 eqtrd
    caddc csn cdif cfn wss peano2nn0 eleq1a hashclb ad2antlr mpbird syl 3adant2
    wb impcom snssi hashssdif syl2anc oveq1 hashsng oveq2d 1cnd pncand 3ad2ant3
    nn0cn sylan9eqr ) BCEZABEZDFEZGZBHIZDJUAKZLZBAUBZUCHIZDLVIVLMZVNVJVMHIZNKZD
    VOBUDEZVMBUEZVNVQLVIVLVRVFVHVLVROZVGVHVFVTVHVKFEZVFVTODUFWAVFVTWAVFMZVLVRWB
    VLMVRVJFEZWBVLWCWAVLWCOVFVKFVJUGPQVFVRWCUMWAVLBCUHUIUJRRUKUNULQVIVSVLVGVFVS
    VHABUOSPBVMUPUQVLVIVQVKVPNKZDVJVKVPNURVIWDVKJNKZDVGVFWDWELVHVGVPJVKNABUSUTS
    VHVFWEDLVGVHDJDVDVHVAVBVCTVETR $.

  ${
    $d a b e n v x y $.  $d b f w $.  $d E a e n v $.  $d F a f w $.
    $d L e n v x y $.  $d V a b e n v $.  $d ps f n w y $.  $d ps x y $.
    $d th e n v $.  $d ch f w $.  $d ph e n v $.  $d rh x $.
    $d rh e f n v w y $.
    fi1uzind.f $e |- F e. _V $.
    fi1uzind.l $e |- L e. NN0 $.
    fi1uzind.1 $e |- ( ( v = V /\ e = E ) -> ( ps <-> ph ) ) $.
    fi1uzind.2 $e |- ( ( v = w /\ e = f ) -> ( ps <-> th ) ) $.
    fi1uzind.3 $e |- ( ( [. v / a ]. [. e / b ]. rh /\ n e. v )
                         -> [. ( v \ { n } ) / a ]. [. F / b ]. rh ) $.
    fi1uzind.4 $e |- ( ( w = ( v \ { n } ) /\ f = F ) -> ( th <-> ch ) ) $.
    fi1uzind.base $e |- ( ( [. v / a ]. [. e / b ]. rh /\ ( # ` v ) = L )
                          -> ps ) $.
    fi1uzind.step $e |- ( ( ( ( y + 1 ) e. NN0 /\ ( [. v / a ]. [. e / b ]. rh
                      /\ ( # ` v ) = ( y + 1 ) /\ n e. v ) ) /\ ch ) -> ps ) $.
    $( Properties of an ordered pair with a finite first component with at
       least L elements, proven by finite induction on the size of the first
       component.  This theorem can be applied for graphs (represented as
       orderd pairs of vertices and edges) with a finite number of vertices,
       usually with ` L = 0 ` (see ~ opfi1ind ) or ` L = 1 ` .  (Contributed by
       AV, 22-Oct-2020.)  (Revised by AV, 28-Mar-2021.) $)
    fi1uzind $p |- ( ( [. V / a ]. [. E / b ]. rh
                       /\ V e. Fin /\ L <_ ( # ` V ) ) -> ph ) $=
      ( vx wsbc cfn wcel chash cfv cle wbr cn0 wi cv wceq wa wex dfclel cz nn0z
      wal mp1i ad2antlr wb breq2 eqcoms biimpcd adantr c1 caddc co eqeq1 anbi2d
      imp imbi1d 2albidv weq eqcom sylan2b a1i w3a simpl simpr sbceq1d sbceqbid
      gen2 fveq2 eqeq2d anbi12d imbi12d cbval2vw cc0 nn0ge0 0red nn0re zre letr
      cr syl3anc 0nn0 pm3.22 0z eluz1 mpbird eluznn0 sylancr ex syl6com pm2.43a
      cuz com14 com12 3adant1 clt nn0p1gt0 breqtrrd adantrl cvv hashgt0elex csn
      mp2b vex hashdifsnp1 syl5bi peano2nn0 ad2antrr simplrr simprlr jca spc2gv
      cdif com15 com23 mpcom mpd exlimiv sbcex sylbi 3jca difexi fveqeq2 syl5bb
      mp2an expdimp 3anbi2i anbi2i sylanb syl6an exp41 com4l com25 impcom sylan
      syl elv impancom alrimivv uzind sbccom syl5com exp31 expcom com24 pm2.43i
      expd hashcl syl11 3imp ) EQLUGZPOUGZOUHUIZNOUJUKZULUMZAUVNUNUIZUVLUVOAUOZ
      UVMUVPKUPZUVNUQZUVRUNUIZURZKUSUVLUVQUOZKUVNUNUTUWAUWBKUVSUVTUWBUVSUVTUWBU
      OUVSUVLUVTUVSUVQUVLUVSUVTUVSUVQUOUOUVOUVTUVSUVLUVSURZAUVOUVTUVSUWCAUOZUVO
      UVTURZUVSURZEQIUPZUGZPHUPZUGZUVRUWIUJUKZUQZURZBUOZIVCHVCZUWCAUWFNVAUIZUVR
      VAUIZNUVRULUMZUWONUNUIZUWPUWFSNVBVDUVTUWQUVOUVSUVRVBVEUWEUVSUWRUVOUVSUWRU
      OUVTUVSUVOUWRUVOUWRVFUVNUVRUVNUVRNULVGVHVIVJVPUWJUFUPZUWKUQZURZBUOZIVCHVC
      UWJNUWKUQZURZBUOZIVCHVCZUWJFUPZUWKUQZURZBUOZIVCHVCZUWJUXHVKVLVMZUWKUQZURZ
      BUOZIVCHVCZUWOUFFNUVRUWTNUQZUXCUXFHIUXRUXBUXEBUXRUXAUXDUWJUWTNUWKVNVOVQVR
      UFFVSZUXCUXKHIUXSUXBUXJBUXSUXAUXIUWJUWTUXHUWKVNVOVQVRUWTUXMUQZUXCUXPHIUXT
      UXBUXOBUXTUXAUXNUWJUWTUXMUWKVNVOVQVRUFKVSZUXCUWNHIUYAUXBUWMBUYAUXAUWLUWJU
      WTUVRUWKVNVOVQVRUXGUWPUXFHIUXDUWJUWKNUQBNUWKVTUDWAWHWBUXLEQJUPZUGZPGUPZUG
      ZUXHUYDUJUKZUQZURZDUOZJVCGVCZUWPUXHVAUIZNUXHULUMZWCZUXQUXKUYIHIGJHGVSZIJV
      SZURZUXJUYHBDUYPUWJUYEUXIUYGUYPUWHUYCPUWIUYDUYNUYOWDUYPEQUWGUYBUYNUYOWEWF
      WGUYNUXIUYGVFUYOUYNUWKUYFUXHUWIUYDUJWIWJVJWKUAWLWMUYMUYJUXQUYMUYJURUXPHIU
      YMUXOUYJBUYMUXHUNUIZUXOUYJBUOZUYKUYLUYQUWPUWSWNNULUMZUYKUYLURZUYQUOSNWOUY
      TUYSUYQUYKUYLUYSUYQUOZUYLUYKVUAUYSUYLUYKUYKUYQUYSUYLUYKUYKUYQUOZUOUYKUYSU
      YLURZWNUXHULUMZVUBUYKWNWTUINWTUIZUXHWTUIVUCVUDUOUYKWPUWSVUEUYKSNWQVDUXHWR
      WNNUXHWSXAVUDUYKUYQVUDUYKURZWNUNUIUXHWNXLUKUIZUYQXBVUFVUGUYKVUDURZVUDUYKX
      CWNVAUIVUGVUHVFVUFXDWNUXHXEVDXFUXHWNXGXHXIXJXIXMXKVPXNYCXOUYQUXOURWNUWKXP
      UMZUYRUYQUXNVUIUWJUXNUYQUWKUXMUQZVUIUXMUWKVTZUYQVUJURWNUXMUWKXPUYQWNUXMXP
      UMVUJUXHXQVJUYQVUJWEXRWAXSUXOUYQVUIUYRUOZUWJUXNUYQVULUOZUWJUXNVUMUOUOHUWI
      XTUIZVUIUXNUYQUWJUYRVUNVUIUXNUYQUWJUYRUOZUOUOZVUNVUIURUVRUWIUIZKUSVUPKUWI
      XTYAVUQVUPKUWJVUQUXNUYQUYRUWJVUQUXNUYQUYRUOUOZUWJVUQUREQMUGZPUWIUVRYBZYMZ
      UGZVURUBUWJVUQVVBVURUOUYQVUQVVBUXNUWJUYRUYQVUQVVBUXNVUOUOUOUYQVUQURZUXNVV
      BVUOVVCUXNVVBVUOUOZVVAUJUKUXHUQZVVCUXNURZVVDVVCUXNVVEVVCVUNVUQUYQUXNVVEUO
      VUNVVCHYDZWBUYQVUQWEUYQVUQWDUXNVUJVUNVUQUYQWCVVEVUKUVRUWIXTUXHYEYFXAVPVVE
      VVBVVFVUOUYJVVBVVFUWJVVEBUYJVVBVVFUWJVVEBUOUYJVVBURZVVFURZUWJURZUXMUNUIZU
      WJUXNVUQWCZURZVVECBVVJVVKVVLVVFVVKVVHUWJUYQVVKVUQUXNUXHYGYHVEVVJUWJUXNVUQ
      VVIUWJWEVVHVVCUXNUWJYIVVIVUQUWJVVHUYQVUQUXNYJVJUUAYKVVHVVECUOVVFUWJUYJVVB
      VVECVVAXTUIMXTUIUYJVVBVVEURZCUOZUOUWIVUTVVGUUBRUYIVVOGJVVAMXTXTUYDVVAUQZU
      YBMUQZURZUYHVVNDCVVRUYEVVBUYGVVEVVRUYCVUSPUYDVVAVVPVVQWDVVREQUYBMVVPVVQWE
      WFWGVVPUYGVVEVFVVQUYGUYFUXHUQVVPVVEUXHUYFVTUYDVVAUXHUJUUCUUDVJWKUCWLYLUUE
      UUFYHVVMVVKUWJVUJVUQWCZURCBVVLVVSVVKUXNVUJUWJVUQVUKUUGUUHUEUUIUUJUUKYNYOY
      PXIYOXIYNVPYQXIUULYRUUPXIUUMUUQVPUUNYQUUOUURUUSXIYFUUTXAUVLUVSUWOAUOZOXTU
      IZLXTUIZURZUVLUVSVVTUOUVLVWAVWBUVKPOYSUVLEPOUGZQLUGVWBEPQOLUVAVWDQLYSYTYK
      VWCUVLUVSVVTVWCUWOUWCAUWNUWDHIOLXTXTUWIOUQZUWGLUQZURZUWMUWCBAVWGUWJUVLUWL
      UVSVWGUWHUVKPUWIOVWEVWFWDVWGEQUWGLVWEVWFWEWFWGVWEUWLUVSVFVWFVWEUWKUVNUVRU
      WIOUJWIWJVJWKTWLYLYOUVGYPVPUVBUVCXMUVDUVEUVFVPYRYTOUVHUVIUVJ $.
  $}

  ${
    $d E a b $.  $d E e n v $.  $d F a b f w $.  $d G a b e f n v w y $.
    $d L e n v y $.  $d V a b e n v $.  $d ps f n w y $.  $d th e n v $.
    $d ch f w $.  $d ph e n v $.
    brfi1uzind.r $e |- Rel G $.
    brfi1uzind.f $e |- F e. _V $.
    brfi1uzind.l $e |- L e. NN0 $.
    brfi1uzind.1 $e |- ( ( v = V /\ e = E ) -> ( ps <-> ph ) ) $.
    brfi1uzind.2 $e |- ( ( v = w /\ e = f ) -> ( ps <-> th ) ) $.
    brfi1uzind.3 $e |- ( ( v G e /\ n e. v ) -> ( v \ { n } ) G F ) $.
    brfi1uzind.4 $e |- ( ( w = ( v \ { n } ) /\ f = F ) -> ( th <-> ch ) ) $.
    brfi1uzind.base $e |- ( ( v G e /\ ( # ` v ) = L ) -> ps ) $.
    brfi1uzind.step $e |- ( ( ( ( y + 1 ) e. NN0
           /\ ( v G e /\ ( # ` v ) = ( y + 1 ) /\ n e. v ) ) /\ ch ) -> ps ) $.
    $( Properties of a binary relation with a finite first component with at
       least L elements, proven by finite induction on the size of the first
       component.  This theorem can be applied for graphs (as binary relation
       between the set of vertices and an edge function) with a finite number
       of vertices, usually with ` L = 0 ` (see ~ brfi1ind ) or ` L = 1 ` .
       (Contributed by Alexander van der Vekens, 7-Jan-2018.)  (Proof shortened
       by AV, 23-Oct-2020.)  (Revised by AV, 28-Mar-2021.) $)
    brfi1uzind $p |- ( ( V G E /\ V e. Fin /\ L <_ ( # ` V ) ) -> ph ) $=
      ( va vb wbr cv wsbc cfn wcel chash cfv cle cvv wa brrelex12i simpl simplr
      wceq breq12 adantll sbcied biimprcd mpd csn cdif vex sbc2ie difexi sylibr
      wb sylanb c1 caddc co cn0 w3a 3anbi1i anbi2i fi1uzind syl3an1 ) OKMUGZUEU
      HZUFUHZMUGZUFKUIZUEOUIZOUJUKNOULUMUNUGAWCOUOUKZKUOUKZUPZWHOKMPUQWKWHWCWKW
      GWCUEOUOWIWJURWKWDOUTZUPWFWCUFKUOWIWJWLUSWLWEKUTWFWCVLWKWDOWEKMVAVBVCVCVD
      VEABCDWFEFGHIJKLNOUEUFQRSTWFUFHUHZUIUEGUHZUIZWNWMMUGZJUHZWNUKZWFUFLUIUEWN
      WQVFZVGZUIZWFWPUEUFWNWMGVHZHVHWDWNWEWMMVAVIZWPWRUPWTLMUGZXAUAWFXDUEUFWTLW
      NWSXBVJQWDWTWELMVAVIVKVMUBWOWPWNULUMZNUTBXCUCVMEUHVNVOVPZVQUKZWOXEXFUTZWR
      VRZUPXGWPXHWRVRZUPCBXIXJXGWOWPXHWRXCVSVTUDVMWAWB $.
  $}

  ${
    $d E e n v $.  $d F f w $.  $d G e f n v w y $.  $d V e n v $.
    $d ps f n w y $.  $d th e n v $.  $d ch f w $.  $d ph e n v $.
    brfi1ind.r $e |- Rel G $.
    brfi1ind.f $e |- F e. _V $.
    brfi1ind.1 $e |- ( ( v = V /\ e = E ) -> ( ps <-> ph ) ) $.
    brfi1ind.2 $e |- ( ( v = w /\ e = f ) -> ( ps <-> th ) ) $.
    brfi1ind.3 $e |- ( ( v G e /\ n e. v ) -> ( v \ { n } ) G F ) $.
    brfi1ind.4 $e |- ( ( w = ( v \ { n } ) /\ f = F ) -> ( th <-> ch ) ) $.
    brfi1ind.base $e |- ( ( v G e /\ ( # ` v ) = 0 ) -> ps ) $.
    brfi1ind.step $e |- ( ( ( ( y + 1 ) e. NN0
           /\ ( v G e /\ ( # ` v ) = ( y + 1 ) /\ n e. v ) ) /\ ch ) -> ps ) $.
    $( Properties of a binary relation with a finite first component, proven by
       finite induction on the size of the first component.  (Contributed by
       Alexander van der Vekens, 7-Jan-2018.)  (Revised by AV, 28-Mar-2021.) $)
    brfi1ind $p |- ( ( V G E /\ V e. Fin ) -> ph ) $=
      ( wbr cfn wcel cc0 chash cfv cle hashge0 adantl 0nn0 brfi1uzind mpd3an3 )
      NKMUCZNUDUEZUFNUGUHUIUCZAUPUQUONUDUJUKABCDEFGHIJKLMUFNOPULQRSTUAUBUMUN $.

    $d e n v x y $.  $d G x $.  $d ps x $.
    $( Alternate proof of ~ brfi1ind , which does not use ~ brfi1uzind .
       (Contributed by Alexander van der Vekens, 7-Jan-2018.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    brfi1indALT $p |- ( ( V G E /\ V e. Fin ) -> ph ) $=
      ( vx cfn wcel wbr chash cfv cn0 wi hashcl cv wceq wa wex dfclel wal caddc
      cc0 c1 eqeq2 anbi2d imbi1d 2albidv gen2 weq breq12 fveqeq2 adantr anbi12d
      co wb imbi12d cbval2vw clt nn0p1gt0 breqtrrd adantrl cvv hashgt0elex cdif
      simpr csn vex simpl hashdifsnp1 mp3an2i imp w3a ad2antrr ad2antlr simplrr
      peano2nn0 simprlr 3jca jca difexi spc2gv mp2an expdimp syl6an exp41 com15
      com23 mpcom mpd com4l exlimiv syl com25 elv impcom impancom syl5bi nn0ind
      ex alrimivv brrelex12i expd syl5 expcom eqcoms sylbi ) NUDUEZNKMUFZAYDNUG
      UHZUIUEZYEAUJZNUKYGJULZYFUMZYIUIUEZUNZJUOYHJYFUIUPYLYHJYJYKYHYKYHUJYFYIYF
      YIUMZYEYKAYEYMYKAUJYKGULZHULZMUFZYNUGUHZYIUMZUNZBUJZHUQGUQZYEYMUNZAYPYQUC
      ULZUMZUNZBUJZHUQGUQYPYQUSUMZUNZBUJZHUQGUQYPYQEULZUMZUNZBUJZHUQGUQZYPYQUUJ
      UTURVKZUMZUNZBUJZHUQGUQZUUAUCEYIUUCUSUMZUUFUUIGHUUTUUEUUHBUUTUUDUUGYPUUCU
      SYQVAVBVCVDUUCUUJUMZUUFUUMGHUVAUUEUULBUVAUUDUUKYPUUCUUJYQVAVBVCVDUUCUUOUM
      ZUUFUURGHUVBUUEUUQBUVBUUDUUPYPUUCUUOYQVAVBVCVDUUCYIUMZUUFYTGHUVCUUEYSBUVC
      UUDYRYPUUCYIYQVAVBVCVDUUIGHUAVEUUNFULZIULZMUFZUVDUGUHUUJUMZUNZDUJZIUQFUQZ
      UUJUIUEZUUSUUMUVIGHFIGFVFZHIVFZUNZUULUVHBDUVNYPUVFUUKUVGYNUVDYOUVEMVGUVLU
      UKUVGVLUVMYNUVDUUJUGVHVIVJRVMVNUVKUVJUUSUVKUVJUNUURGHUVKUUQUVJBUVKUUQUNUS
      YQVOUFZUVJBUJZUVKUUPUVOYPUVKUUPUNUSUUOYQVOUVKUSUUOVOUFUUPUUJVPVIUVKUUPWBV
      QVRUUQUVKUVOUVPUJZYPUUPUVKUVQUJZYPUUPUVRUJUJGYNVSUEZUVOUUPUVKYPUVPUVSUVOU
      UPUVKYPUVPUJZUJUJZUVSUVOUNYIYNUEZJUOUWAJYNVSVTUWBUWAJYPUWBUUPUVKUVPYPUWBU
      UPUVKUVPUJUJZYPUWBUNYNYIWCZWAZLMUFZUWCSYPUWBUWFUWCUJUVKUWBUWFUUPYPUVPUVKU
      WBUWFUUPUVTUJUJUVKUWBUNZUUPUWFUVTUWGUUPUWFUVTUJZUWEUGUHUUJUMZUWGUUPUNZUWH
      UWGUUPUWIUVSUWGUWBUVKUUPUWIUJGWDZUVKUWBWBUVKUWBWEYIYNVSUUJWFWGWHUWIUWFUWJ
      UVTUVJUWFUWJYPUWIBUVJUWFUWJYPUWIBUJUVJUWFUNZUWJUNZYPUNZUUOUIUEZYPUUPUWBWI
      ZUNUWICBUWNUWOUWPUWJUWOUWLYPUVKUWOUWBUUPUUJWMWJWKUWNYPUUPUWBUWMYPWBUWLUWG
      UUPYPWLUWMUWBYPUWLUVKUWBUUPWNVIWOWPUWLUWICUJUWJYPUVJUWFUWICUWEVSUELVSUEUV
      JUWFUWIUNZCUJZUJYNUWDUWKWQPUVIUWRFIUWELVSVSUVDUWEUMZUVELUMZUNZUVHUWQDCUXA
      UVFUWFUVGUWIUVDUWEUVELMVGUWSUVGUWIVLUWTUVDUWEUUJUGVHVIVJTVMWRWSWTWJUBXAXB
      XCXDXEXPXDXPXCWHXFXPXGXHXIXPXJXKWHXLXFXMXQXPXNXOYEYMUUAAUJZNVSUEKVSUEUNZY
      EYMUXBUJNKMOXRUXCYEYMUXBUXCUUAUUBAYTUUBAUJGHNKVSVSYNNUMZYOKUMZUNZYSUUBBAU
      XFYPYEYRYMYNNYOKMVGUXDYRYMVLUXEYNNYIUGVHVIVJQVMWRXDXSXEWHXTYAXDYBWHXHYCXI
      XL $.
  $}

  ${
    $d e n v y $.  $d E a b e n v $.  $d F a b f w $.  $d G e f n v w y $.
    $d G a b $.  $d V a b e n v $.  $d ps f n w y $.  $d a b y $.
    $d th e n v $.  $d ch f w $.  $d ph e n v $.  $d L e n v y $.
    opfi1uzind.e $e |- E e. _V $.
    opfi1uzind.f $e |- F e. _V $.
    opfi1uzind.l $e |- L e. NN0 $.
    opfi1uzind.1 $e |- ( ( v = V /\ e = E ) -> ( ps <-> ph ) ) $.
    opfi1uzind.2 $e |- ( ( v = w /\ e = f ) -> ( ps <-> th ) ) $.
    opfi1uzind.3 $e |- ( ( <. v , e >. e. G /\ n e. v )
                         -> <. ( v \ { n } ) , F >. e. G ) $.
    opfi1uzind.4 $e |- ( ( w = ( v \ { n } ) /\ f = F ) -> ( th <-> ch ) ) $.
    opfi1uzind.base $e |- ( ( <. v , e >. e. G /\ ( # ` v ) = L ) -> ps ) $.
    opfi1uzind.step $e |- ( ( ( ( y + 1 ) e. NN0 /\ ( <. v , e >. e. G
                      /\ ( # ` v ) = ( y + 1 ) /\ n e. v ) ) /\ ch ) -> ps ) $.
    $( Properties of an ordered pair with a finite first component with at
       least L elements, proven by finite induction on the size of the first
       component.  This theorem can be applied for graphs (represented as
       orderd pairs of vertices and edges) with a finite number of vertices,
       usually with ` L = 0 ` (see ~ opfi1ind ) or ` L = 1 ` .  (Contributed by
       AV, 22-Oct-2020.)  (Revised by AV, 28-Mar-2021.) $)
    opfi1uzind $p |- ( ( <. V , E >. e. G /\ V e. Fin /\ L <_ ( # ` V ) )
                       -> ph ) $=
      ( va vb cv cop wcel wsbc cfn chash cfv cle wbr wceq cvv a1i opeq12 eleq1d
      wa sbcied sbcieg biimparc 3adant3 csn cdif sbc2ie sylanb difexi sylibr c1
      vex caddc co cn0 w3a 3anbi1i anbi2i fi1uzind syld3an1 ) UEUGZUFUGZUHZMUIZ
      UFKUJZUEOUJZOUKUIZOKUHZMUIZNOULUMUNUOZAWJWHWGWKWHWGWJWFWJUEOUKWBOUPZWEWJU
      FKUQKUQUIWLPURWLWCKUPVAWDWIMWBWCOKUSUTVBVCVDVEABCDWEEFGHIJKLNOUEUFQRSTWEU
      FHUGZUJUEGUGZUJZJUGZWNUIZVAWNWPVFZVGZLUHZMUIZWEUFLUJUEWSUJWOWNWMUHZMUIZWQ
      XAWEXCUEUFWNWMGVMZHVMWBWNUPWCWMUPVAWDXBMWBWCWNWMUSUTVHZUAVIWEXAUEUFWSLWNW
      RXDVJQWBWSUPWCLUPVAWDWTMWBWCWSLUSUTVHVKUBWOXCWNULUMZNUPBXEUCVIEUGVLVNVOZV
      PUIZWOXFXGUPZWQVQZVAXHXCXIWQVQZVACBXJXKXHWOXCXIWQXEVRVSUDVIVTWA $.
  $}

  ${
    $d E e n v $.  $d F f w $.  $d G e f n v w y $.  $d V e n v $.
    $d ps f n w y $.  $d th e n v $.  $d ch f w $.  $d ph e n v $.
    opfi1ind.e $e |- E e. _V $.
    opfi1ind.f $e |- F e. _V $.
    opfi1ind.1 $e |- ( ( v = V /\ e = E ) -> ( ps <-> ph ) ) $.
    opfi1ind.2 $e |- ( ( v = w /\ e = f ) -> ( ps <-> th ) ) $.
    opfi1ind.3 $e |- ( ( <. v , e >. e. G /\ n e. v )
                       -> <. ( v \ { n } ) , F >. e. G ) $.
    opfi1ind.4 $e |- ( ( w = ( v \ { n } ) /\ f = F ) -> ( th <-> ch ) ) $.
    opfi1ind.base $e |- ( ( <. v , e >. e. G /\ ( # ` v ) = 0 ) -> ps ) $.
    opfi1ind.step $e |- ( ( ( ( y + 1 ) e. NN0 /\ ( <. v , e >. e. G
                      /\ ( # ` v ) = ( y + 1 ) /\ n e. v ) ) /\ ch ) -> ps ) $.
    $( Properties of an ordered pair with a finite first component, proven by
       finite induction on the size of the first component.  This theorem can
       be applied for graphs (represented as orderd pairs of vertices and
       edges) with a finite number of vertices, e.g., ~ fusgrfis .
       (Contributed by AV, 22-Oct-2020.)  (Revised by AV, 28-Mar-2021.) $)
    opfi1ind $p |- ( ( <. V , E >. e. G /\ V e. Fin ) -> ph ) $=
      ( cop wcel cfn cc0 chash cfv cle hashge0 adantl 0nn0 opfi1uzind mpd3an3
      wbr ) NKUCMUDZNUEUDZUFNUGUHUIUOZAUQURUPNUEUJUKABCDEFGHIJKLMUFNOPULQRSTUAU
      BUMUN $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Words over a set
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  This section is about _words_ (or _strings_) over a set (_alphabet_) defined
  as finite sequences of _symbols_ (or _characters_) being elements of the
  alphabet.  Although it is often required that the underlying set/alphabet be
  nonempty, finite and not a proper class, these restrictions are not made in
  the current definition ~ df-word , see, for example, ~ s1cli :
  ` <" A "> e. Word _V `.  Note that the empty word ` (/) ` (i.e., the empty
  set) is the only word over an empty alphabet, see ~ 0wrd0 .

  The set ` Word S ` of words over ` S ` is the free monoid over ` S ` , where
  the monoid law is concatenation and the monoid unit is the empty word.

  Besides the definition of words themselves, several operations on words are
  defined in this section:
  <HTML>
  <table border="1" id="word-operations">
  <tr>
    <th>Name</th><th>Reference</th><th>Explanation</th><th>Example</th>
    <th>Remarks</th></tr>
  <tr>
    <td>Length (or size) of a word </td><td> ~ df-hash : ` ( # ``  W ) ` </td>
    <td>Operation which determines the number of the symbols
        within the word.</td>
    <td> ` W : ( 0 ..^ N ) --> S -> ( W e. Word S /\ ( # ``  W ) = N ` </td>
    <td> This is not a special definition for words,
         but for arbitrary sets.</td></tr>
  <tr>
    <td>First symbol of a word </td><td> ~ df-fv : ` ( W `` 0 ) ` </td>
    <td>Operation which extracts the first symbol of a word. The result is the
        symbol at the first place in the sequence representing the word.</td>
    <td> ` W : ( 0 ..^ 1 ) --> S -> ( W e. Word S /\ ( W `` 0 ) e. S ` </td>
    <td> This is not a special definition for words,
         but for arbitrary functions with a half-open range of nonnegative
         integers as domain.</td></tr>
  <tr>
    <td>Last symbol of a word </td><td> ~ df-lsw : ` ( lastS ``  W ) ` </td>
    <td>Operation which extracts the last symbol of a word. The result is the
        symbol at the last place in the sequence representing the word.</td>
    <td> ` W : ( 0 ..^ 3 ) --> S
           -> ( W e. Word S /\ ( lastS `` W ) = ( W `` 2 ) ` </td>
    <td> Note that the index of the last symbol is less by 1 than the length of
         the word.</td></tr>
  <tr>
    <td>Subword (or substring) of a word </td>
    <td> ~ df-substr : ` ( W substr <. I , J >. ) ` </td>
    <td>Operation which extracts a portion of a word. The result is a
        consecutive, reindexed part of the sequence representing the word.</td>
    <td> ` W : ( 0 ..^ 3 ) --> S -> ( W e. Word S
    /\ ( W substr <. 1 , 2 >. ) e. Word S
    /\ ( # `` ( W substr <. 1 , 2 >. )  ) = 1 ` </td>
    <td> Note that the last index of the range defining the subword is greater
         by 1 than the index of the last symbol of the subword in the sequence
         of the original word.</td></tr>
  <tr>
    <td>Concatenation of two words </td>
    <td> ~ df-concat : ` ( W ++ U ) ` </td>
    <td>Operation combining two words to one new word. The result is a
        combined, reindexed sequence build from the sequences representing
        the two words.</td>
    <td> ` ( W e. Word S /\ U e. Word S )
           -> ( # `` ( W ++ U ) ) = ( ( # `` W ) + ( # `` U ) ) ` </td>
    <td> Note that the index of the first symbol of the second concatenated
         word is the length of the first word in the concatenation.</td></tr>
  <tr>
    <td>Reversal of a word </td>
    <td> ~ df-reverse : ` ( reverse `` W ) ` </td>
    <td>Operation which reverses the order of symbols in a word.</td>
    <td> ` ( W e. Word V -> ( # `` ( reverse `` W ) ) = ( # `` W ) ) ` </td>
    <td> </td></tr>
  <tr>
    <td>Cyclical shift of a word </td>
    <td> ~ df-csh : ` ( W cyclShift N ) ` </td>
    <td>Operation cyclically shifting the symbols by a number
        of positions.</td>
    <td> `  ( W e. Word V -> ( W cyclShift ( # `` W ) ) = W ) ` </td>
    <td> </td></tr>
  <tr>
    <td>Splicing of a word </td>
    <td> ~ df-splice : ` ( S splice <. F , T , R >. ) ` </td>
    <td>Operation which replaces portions of words.</td>
    <td> ` ( ( S e. Word A /\ R e. Word A ) ->
        ( S splice <. F , T , R >. ) e. Word A ) ` </td>
    <td> </td></tr>
  <tr>
    <td>Singleton word </td>
    <td> ~ df-s1 : ` <" S "> ` </td>
    <td>Constructor building a word of length 1 from a symbol.</td>
    <td> ` ( # `` <" S "> ) = 1 ` </td>
    <td> </td></tr>
  </table>

  Conventions:
  <ul>
  <li>Words are usually represented by class variable ` W `, or if two words
  are involved, by ` W ` and ` U ` or by ` A ` and ` B `.</li>
  <li>The alphabets are usually represented by class variable ` V ` (because
  any arbitrary set can be an alphabet), sometimes also by ` S ` (especially
  as codomain of the function representing a word, because the alphabet is the
  set of symbols).</li>
  <li>The symbols are usually represented by class variables ` S ` or ` A ` ,
  or if two symbols are involved, by ` S ` and ` T ` or by ` A ` and ` B `.
  </li>
  <li>The indices of the sequence representing a word are usually represented
  by class variable ` I `, if two indices are involved (especially for
  subwords) by ` I ` and ` J `, or by ` M ` and ` N `.</li>
  <li>The length of a word is usually represented by class variables ` N `
  or ` L `.</li>
  <li>The number of positions by which to cyclically shift a word is usually
  represented by class variables ` N ` or ` L `.</li></ul>
  </HTML>

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definitions and basic theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Word $.

  $( Syntax for the Word operator. $)
  cword $a class Word S $.

  ${
    $d l w S $.
    $( Define the class of _words over a set_.  A word (sometimes also called a
       _string_) is a finite sequence of symbols from a set (alphabet) ` S ` .
       Definition in Section 9.1 of [AhoHopUll] p. 318.  The domain is forced
       to be an initial segment of ` NN0 ` so that two words with the same
       symbols in the same order be equal.  The set ` Word S ` is sometimes
       denoted by S*, using the Kleene star, although the Kleene star, or
       Kleene closure, is sometimes reserved to denote an operation on
       languages.  The set ` Word S ` equipped with concatenation is the free
       monoid over ` S ` , and the monoid unit is the empty word (see
       ~ frmdval ).  (Contributed by FL, 14-Jan-2014.)  (Revised by Stefan
       O'Rear, 14-Aug-2015.)  (Revised by Mario Carneiro, 26-Feb-2016.) $)
    df-word $a |- Word S = { w | E. l e. NN0 w : ( 0 ..^ l ) --> S } $.
  $}

  ${
    $d l w S $.  $d l w V $.  $d l w W $.
    $( Property of being a word over a set with an existential quantifier over
       the length.  (Contributed by Stefan O'Rear, 15-Aug-2015.)  (Revised by
       Mario Carneiro, 26-Feb-2016.)  (Proof shortened by AV, 13-May-2020.) $)
    iswrd $p |- ( W e. Word S <->
          E. l e. NN0 W : ( 0 ..^ l ) --> S ) $=
      ( vw cword wcel cc0 cv cfzo co cn0 wrex cab df-word eleq2i cvv ovex mpan2
      wf fex rexlimivw wceq feq1 rexbidv elab3 bitri ) BAEZFBGCHZIJZADHZSZCKLZD
      MZFUIABSZCKLZUGUMBDACNOULUODBPUNBPFZCKUNUIPFUPGUHIQUIAPBTRUAUJBUBUKUNCKUI
      AUJBUCUDUEUF $.

    $( Value of the set of words over a set.  (Contributed by Stefan O'Rear,
       10-Aug-2015.)  (Revised by Mario Carneiro, 26-Feb-2016.) $)
    wrdval $p |- ( S e. V -> Word S = U_ l e. NN0 ( S ^m ( 0 ..^ l ) ) ) $=
      ( vw wcel cword cc0 cv cfzo co wf cn0 wrex cab cmap ciun df-word eliun wb
      cvv ovex elmapg mpan2 rexbidv syl5bb abbi2dv eqtr4id ) ABEZAFGCHZIJZADHZK
      ZCLMZDNCLAUJOJZPZDACQUHUMDUOUKUOEUKUNEZCLMUHUMCUKLUNRUHUPULCLUHUJTEUPULSG
      UIIUAAUJUKBTUBUCUDUEUFUG $.
  $}

  ${
    $d l S $.  $d l W $.  $d l L $.
    $( A zero-based sequence is a word.  (Contributed by Stefan O'Rear,
       15-Aug-2015.)  (Revised by Mario Carneiro, 26-Feb-2016.) $)
    iswrdi $p |- ( W : ( 0 ..^ L ) --> S -> W e. Word S ) $=
      ( vl cc0 cfzo co wf cv cn0 wrex cword wcel wceq oveq2 feq2d rspcev wn wa
      c0 0nn0 wne cn fzo0n0 nnnn0 sylbi necon1bi fzo0 eqtr4di sylancr pm2.61ian
      biimpa iswrd sylibr ) EBFGZACHZEDIZFGZACHZDJKZCALMBJMZUPUTUSUPDBJUQBNURUO
      ACUQBEFOPQVARZUPSEJMEEFGZACHZUTUAVBUPVDVBUOVCACVBUOTVCVAUOTUOTUBBUCMVABUD
      BUEUFUGEUHUIPULUSVDDEJUQENURVCACUQEEFOPQUJUKACDUMUN $.

    $( A word is a zero-based sequence with a recoverable upper limit.
       (Contributed by Stefan O'Rear, 15-Aug-2015.) $)
    wrdf $p |- ( W e. Word S -> W : ( 0 ..^ ( # ` W ) ) --> S ) $=
      ( vl cword wcel cc0 cv cfzo co wf cn0 chash cfv iswrd wa simpr fnfzo0hash
      wrex oveq2d feq2d mpbird rexlimiva sylbi ) BADEFCGZHIZABJZCKRFBLMZHIZABJZ
      ABCNUFUICKUDKEZUFOZUIUFUJUFPUKUHUEABUKUGUDFHABUDQSTUAUBUC $.
  $}

  $( A word over an alphabet is a function from an open range of nonnegative
     integers (of length equal to the length of the word) into the alphabet.
     (Contributed by Alexander van der Vekens, 30-Jul-2018.) $)
  iswrdb $p |- ( W e. Word S <-> W : ( 0 ..^ ( # ` W ) ) --> S ) $=
    ( cword wcel cc0 chash cfv cfzo co wf wrdf iswrdi impbii ) BACDEBFGZHIABJAB
    KANBLM $.

  $( The indices of a word (i.e. its domain regarded as function) are elements
     of an open range of nonnegative integers (of length equal to the length of
     the word).  (Contributed by AV, 2-May-2020.) $)
  wrddm $p |- ( W e. Word S -> dom W = ( 0 ..^ ( # ` W ) ) ) $=
    ( cword wcel cc0 chash cfv cfzo co wrdf fdmd ) BACDEBFGHIABABJK $.

  ${
    $d w S $.  $d w T $.
    $( The set of words respects ordering on the base set.  (Contributed by
       Stefan O'Rear, 15-Aug-2015.)  (Revised by Mario Carneiro, 26-Feb-2016.)
       (Proof shortened by AV, 13-May-2020.) $)
    sswrd $p |- ( S C_ T -> Word S C_ Word T ) $=
      ( vw wss cword cc0 cv chash cfv cfzo co wf wcel fss expcom iswrdb 3imtr4g
      ssrdv ) ABDZCAEZBEZSFCGZHIJKZAUBLZUCBUBLZUBTMUBUAMUDSUEUCABUBNOAUBPBUBPQR
      $.
  $}

  $( A singleton of an ordered pair (with 0 as first component) is a word.
     (Contributed by AV, 23-Nov-2018.)  (Proof shortened by AV,
     18-Apr-2021.) $)
  snopiswrd $p |- ( S e. V -> { <. 0 , S >. } e. Word V ) $=
    ( wcel cc0 c1 cfzo co cop csn wf cword cz id fsnd fzo01 feq2i sylibr iswrdi
    0zd syl ) ABCZDEFGZBDAHIZJZUCBKCUADIZBUCJUDUADALBUASUAMNUBUEBUCOPQBEUCRT $.

  ${
    $d s l S $.  $d s l V $.
    $( The set of words over a set is a set.  (Contributed by Mario Carneiro,
       26-Feb-2016.)  (Proof shortened by JJ, 18-Nov-2022.) $)
    wrdexg $p |- ( S e. V -> Word S e. _V ) $=
      ( vl wcel cword cn0 cc0 cv cfzo cmap ciun cvv wrdval wral nn0ex ralrimiva
      co wa ovexd iunexg sylancr eqeltrd ) ABDZAECFAGCHZIQZJQZKZLABCMUCFLDUFLDZ
      CFNUGLDOUCUHCFUCUDFDRAUEJSPCFUFLLTUAUB $.

    $( The set of words over a set is a set, bidirectional version.
       (Contributed by Mario Carneiro, 26-Feb-2016.)  (Proof shortened by AV,
       23-Nov-2018.) $)
    wrdexb $p |- ( S e. _V <-> Word S e. _V ) $=
      ( vs cvv wcel cword wrdexg cuni wss cv cc0 cop wa csn opex snid snopiswrd
      elunii sylancr c0ex uniexg vex opeluu syl simprd ssriv 3syl ssexg impbii
      ) ACDZAEZCDZACFUKAUJGZGZGZHUNCDZUIBAUNBIZADZJUNDZUPUNDZUQJUPKZULDZURUSLUQ
      UTUTMZDVBUJDVAUTJUPNOUPAPUTVBUJQRJUPULSBUAUBUCUDUEUKULCDUMCDUOUJCTULCTUMC
      TUFAUNCUGRUH $.
  $}

  ${
    wrdexi.1 $e |- S e. _V $.
    $( The set of words over a set is a set, inference form.  (Contributed by
       AV, 23-May-2021.) $)
    wrdexi $p |- Word S e. _V $=
      ( cvv wcel cword wrdexg ax-mp ) ACDAECDBACFG $.
  $}

  $( A symbol within a word over an alphabet belongs to the alphabet.
     (Contributed by Alexander van der Vekens, 28-Jun-2018.) $)
  wrdsymbcl $p |- ( ( W e. Word V /\ I e. ( 0 ..^ ( # ` W ) ) )
                  -> ( W ` I ) e. V ) $=
    ( cword wcel cc0 chash cfv cfzo co wrdf ffvelrnda ) CBDEFCGHIJBACBCKL $.

  $( A word is a function with a zero-based sequence of integers as domain.
     (Contributed by Alexander van der Vekens, 13-Apr-2018.) $)
  wrdfn $p |- ( W e. Word S -> W Fn ( 0 ..^ ( # ` W ) ) ) $=
    ( cword wcel cc0 chash cfv cfzo co wrdf ffnd ) BACDEBFGHIABABJK $.

  $( A word over an alphabet is a word over the universal class.  (Contributed
     by AV, 8-Feb-2021.)  (Proof shortened by JJ, 18-Nov-2022.) $)
  wrdv $p |- ( W e. Word V -> W e. Word _V ) $=
    ( cword cvv wss ssv sswrd ax-mp sseli ) ACZDCZBADEJKEAFADGHI $.

  $( The length of a word is not in the domain of the word (regarded as a
     function).  (Contributed by AV, 3-Mar-2021.)  (Proof shortened by JJ,
     18-Nov-2022.) $)
  wrdlndm $p |- ( W e. Word V -> ( # ` W ) e/ dom W ) $=
    ( cword wcel chash cfv cdm wn wnel cc0 co fzonel a1i wrddm neleqtrrd df-nel
    cfzo sylibr ) BACDZBEFZBGZDHTUAISUAJTQKZTTUBDHSJTLMABNOTUAPR $.

  ${
    $d V i $.  $d W i $.
    $( An arbitrary word is a word over an alphabet if all of its symbols
       belong to the alphabet.  (Contributed by AV, 23-Jan-2021.) $)
    iswrdsymb $p |- ( ( W e. Word _V /\ A. i e. ( 0 ..^ ( # ` W ) )
                                        ( W ` i ) e. V )
                      -> W e. Word V ) $=
      ( cvv cword wcel cv cfv cc0 chash cfzo co wral wa wfn wrdfn anim1i sylibr
      wf ffnfv iswrdi syl ) CDEFZAGCHBFAICJHZKLZMZNZUEBCSZCBEFUGCUEOZUFNUHUCUIU
      FDCPQAUEBCTRBUDCUAUB $.
  $}

  $( A word is a finite set.  (Contributed by Stefan O'Rear, 2-Nov-2015.)
     (Proof shortened by AV, 18-Nov-2018.) $)
  wrdfin $p |- ( W e. Word S -> W e. Fin ) $=
    ( cword wcel cc0 chash cfv cfzo co wfn cfn wrdfn fzofi fnfi sylancl ) BACDB
    EBFGZHIZJQKDBKDABLEPMQBNO $.

  $( The length of a word is a nonnegative integer.  This corresponds to the
     definition in Section 9.1 of [AhoHopUll] p. 318.  (Contributed by Stefan
     O'Rear, 27-Aug-2015.) $)
  lencl $p |- ( W e. Word S -> ( # ` W ) e. NN0 ) $=
    ( cword wcel cfn chash cfv cn0 wrdfin hashcl syl ) BACDBEDBFGHDABIBJK $.

  $( The length of a nonempty word is a positive integer.  (Contributed by
     Mario Carneiro, 1-Oct-2015.) $)
  lennncl $p |- ( ( W e. Word S /\ W =/= (/) ) -> ( # ` W ) e. NN ) $=
    ( cword wcel chash cfv cn c0 wne cfn wb wrdfin hashnncl syl biimpar ) BACDZ
    BEFGDZBHIZPBJDQRKABLBMNO $.

  $( A word is a function from a finite interval of integers.  (Contributed by
     AV, 10-Feb-2021.) $)
  wrdffz $p |- ( W e. Word S -> W : ( 0 ... ( ( # ` W ) - 1 ) ) --> S ) $=
    ( cword wcel cc0 chash cfv cfzo co wf c1 cmin cfz wrdf cz wceq lencl fzoval
    nn0zd syl feq2d mpbid ) BACDZEBFGZHIZABJEUDKLIMIZABJABNUCUEUFABUCUDODUEUFPU
    CUDABQSEUDRTUAUB $.

  $( Equality theorem for the set of words.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  wrdeq $p |- ( S = T -> Word S = Word T ) $=
    ( wss wa cword wceq sswrd anim12i eqss 3imtr4i ) ABCZBACZDAEZBEZCZNMCZDABFM
    NFKOLPABGBAGHABIMNIJ $.

  ${
    wrdeqi.1 $e |- S = T $.
    $( Equality theorem for the set of words, inference form.  (Contributed by
       AV, 23-May-2021.) $)
    wrdeqi $p |- Word S = Word T $=
      ( wceq cword wrdeq ax-mp ) ABDAEBEDCABFG $.
  $}

  $( A function with empty domain is a word.  (Contributed by AV,
     13-Oct-2018.) $)
  iswrddm0 $p |- ( W : (/) --> S -> W e. Word S ) $=
    ( c0 wf cc0 cfzo co cword wcel fzo0 feq2i iswrdi sylbir ) CABDEEFGZABDBAHIN
    CABEJKAEBLM $.

  $( The empty set is a word (the _empty word_, frequently denoted &#949; in
     this context).  This corresponds to the definition in Section 9.1 of
     [AhoHopUll] p. 318.  (Contributed by Stefan O'Rear, 15-Aug-2015.)  (Proof
     shortened by AV, 13-May-2020.) $)
  wrd0 $p |- (/) e. Word S $=
    ( c0 wf cword wcel f0 iswrddm0 ax-mp ) BABCBADEAFABGH $.

  $( The empty word is the only word over an empty alphabet.  (Contributed by
     AV, 25-Oct-2018.) $)
  0wrd0 $p |- ( W e. Word (/) <-> W = (/) ) $=
    ( c0 cword wcel wceq cc0 chash cfv cfzo co wrdf f00 simplbi syl wrd0 mpbiri
    wf eleq1 impbii ) ABCZDZABEZUAFAGHIJZBAQZUBBAKUDUBUCBEUCALMNUBUABTDBOABTRPS
    $.

  $( A sequence with zero-based indices is a word.  (Contributed by AV,
     31-Jan-2018.)  (Proof shortened by AV, 13-Oct-2018.)  (Proof shortened by
     JJ, 18-Nov-2022.) $)
  ffz0iswrd $p |- ( W : ( 0 ... L ) --> S -> W e. Word S ) $=
    ( cz wcel cc0 co wf cword wi c1 caddc cfzo fzval3 feq2d iswrdi syl6bi wn c0
    cfz wne cuz cfv cn0 fzn0 elnn0uz sylbb2 nn0zd necon1bi iswrddm0 pm2.61i ) B
    DEZFBTGZACHZCAIEZJULUNFBKLGZMGZACHUOULUMUQACFBNOAUPCPQULRZUNSACHUOURUMSACUL
    UMSUMSUAZBUSBFUBUCEBUDEFBUEBUFUGUHUIOACUJQUK $.

  $( A word is a word over the symbols it consists of.  (Contributed by AV,
     1-Dec-2022.) $)
  wrdsymb $p |- ( S e. Word A -> S e. Word ( S " ( 0 ..^ ( # ` S ) ) ) ) $=
    ( cword wcel cc0 chash cfv cfzo co cima wfo wrdf fimadmfo fof iswrdb sylibr
    wf 3syl ) BACDZEBFGHIZBTJZBQZBUACDSTABQTUABKUBABLTABMTUABNRUABOP $.

  ${
    $d l w x $.  $d l w S $.
    nfwrd.1 $e |- F/_ x S $.
    $( Hypothesis builder for ` Word S ` .  (Contributed by Mario Carneiro,
       26-Feb-2016.) $)
    nfwrd $p |- F/_ x Word S $=
      ( vl vw cword cc0 cv cfzo co wf cn0 wrex cab df-word nfcv nff nfab nfcxfr
      nfrex ) ABFGDHIJZBEHZKZDLMZENEBDOUDAEUCADLALPAUABUBAUBPAUAPCQTRS $.
  $}

  ${
    $d S l w x $.  $d V l w x $.
    $( Class substitution for the symbols of a word.  (Contributed by Alexander
       van der Vekens, 15-Jul-2018.) $)
    csbwrdg $p |- ( S e. V -> [_ S / x ]_ Word x = Word S ) $=
      ( vl vw wcel cv cword csb cc0 cfzo cn0 wrex cab df-word csbeq2i csbconstg
      co wf wsbc sbcrex sbcfg csbvarg feq123d bitrd rexbidv syl5bb abbidv csbab
      3eqtr4g eqtrid ) BCFZABAGZHZIABJDGKRZUMEGZSZDLMZENZIZBHZABUNUSEUMDOPULURA
      BTZENUOBUPSZDLMZENUTVAULVBVDEVBUQABTZDLMULVDUQADBLUAULVEVCDLULVEABUOIZABU
      MIZABUPIZSVCAUOUMUPCBUBULVFUOVGBVHUPABUPCQABUOCQABCUCUDUEUFUGUHURAEBUIEBD
      OUJUK $.
  $}

  ${
    $d N w $.  $d V w $.  $d W w $.  $d X w $.
    $( Words of a fixed length are mappings from a fixed half-open integer
       interval.  (Contributed by Alexander van der Vekens, 25-Mar-2018.)
       (Proof shortened by AV, 13-May-2020.) $)
    wrdnval $p |- ( ( V e. X /\ N e. NN0 )
                 -> { w e. Word V | ( # ` w ) = N } = ( V ^m ( 0 ..^ N ) ) ) $=
      ( wcel cn0 wa cv chash cfv wceq cword crab cab cc0 cfzo co cmap wf cvv wb
      df-rab ovexd elmapg syldan iswrdi adantl fnfzo0hash adantll ex wrdf oveq2
      jca feq2d syl5ibcom imp impbid1 bitrd abbi2dv eqtr4id ) CDEZBFEZGZAHZIJZB
      KZACLZMVDVGEZVFGZANCOBPQZRQZVFAVGUBVCVIAVKVCVDVKEZVJCVDSZVIVAVBVJTEVLVMUA
      VCOBPUCCVJVDDTUDUEVCVMVIVCVMVIVCVMGVHVFVMVHVCCBVDUFUGVBVMVFVACVDBUHUIUMUJ
      VHVFVMVHOVEPQZCVDSVFVMCVDUKVFVNVJCVDVEBOPULUNUOUPUQURUSUT $.

    $( Words as a mapping.  (Contributed by Thierry Arnoux, 4-Mar-2020.) $)
    wrdmap $p |- ( ( V e. X /\ N e. NN0 )
     -> ( ( W e. Word V /\ ( # ` W ) = N ) <-> W e. ( V ^m ( 0 ..^ N ) ) ) ) $=
      ( vw cword wcel chash cfv wceq wa cv crab cn0 cc0 cfzo cmap fveqeq2 elrab
      co wrdnval eleq2d bitr3id ) CBFZGCHIAJZKCELZHIAJZEUDMZGBDGANGKZCBOAPTQTZG
      UGUEECUDUFCAHRSUIUHUJCEABDUAUBUC $.
  $}

  ${
    $d N w $.  $d V w $.
    $( If there is only a finite number of symbols, the number of words of a
       fixed length over these sysmbols is the number of these symbols raised
       to the power of the length.  (Contributed by Alexander van der Vekens,
       25-Mar-2018.) $)
    hashwrdn $p |- ( ( V e. Fin /\ N e. NN0 )
            -> ( # ` { w e. Word V | ( # ` w ) = N } ) = ( ( # ` V ) ^ N ) ) $=
      ( cfn wcel cn0 wa cv chash cfv wceq cword crab cc0 cfzo cmap cexp wrdnval
      co fveq2d fzofi hashmap mpan2 hashfzo0 oveq2d sylan9eq eqtrd ) CDEZBFEZGZ
      AHIJBKACLMZIJCNBOSZPSZIJZCIJZBQSZUJUKUMIABCDRTUHUIUNUOULIJZQSZUPUHULDEUNU
      RKNBUACULUBUCUIUQBUOQBUDUEUFUG $.

    $( If there is only a finite number of symbols, the number of words of a
       fixed length over these symbols is also finite.  (Contributed by
       Alexander van der Vekens, 25-Mar-2018.)  Remove unnecessary antecedent.
       (Revised by JJ, 18-Nov-2022.) $)
    wrdnfi $p |- ( V e. Fin -> { w e. Word V | ( # ` w ) = N } e. Fin ) $=
      ( cfn wcel cv chash cfv wceq cword crab cn0 wa cexp co hashwrdn wn cc0 c0
      cvv nn0expcl sylan eqeltrd ex wral lencl eleq1 syl5ibcom con3rr3 ralrimiv
      hashcl rabeq0 sylibr fveq2d hash0 eqtrdi 0nn0 eqeltrdi pm2.61d1 wb wrdexg
      rabexg hashclb 3syl mpbird ) CDEZAFZGHZBIZACJZKZDEZVKGHZLEZVFBLEZVNVFVOVN
      VFVOMVMCGHZBNOZLABCPVFVPLEVOVQLECUKVPBUAUBUCUDVOQZVMRLVRVMSGHRVRVKSGVRVIQ
      ZAVJUEVKSIVRVSAVJVGVJEZVIVOVTVHLEVIVOCVGUFVHBLUGUHUIUJVIAVJULUMUNUOUPUQUR
      USVFVJTEVKTEVLVNUTCDVAVIAVJTVBVKTVCVDVE $.
  $}

  $( A symbol at a position "outside" of a word.  (Contributed by Alexander van
     der Vekens, 26-May-2018.)  (Proof shortened by AV, 2-May-2020.) $)
  wrdsymb0 $p |- ( ( W e. Word V /\ I e. ZZ )
                   -> ( ( I < 0 \/ ( # ` W ) <_ I ) -> ( W ` I ) = (/) ) ) $=
    ( cword wcel cz wa cc0 clt wbr chash cfv cle wo cdm wn c0 wceq wi cfzo wnel
    co wrddm lencl nn0zd wb simpr 0zd simpl nelfzo syl3anc biimpar df-nel sylib
    eleq2 notbid syl5ibr exp4c sylc imp ndmfv syl6 ) CBDEZAFEZGAHIJCKLZAMJNZACO
    ZEZPZACLQRVCVDVFVISZVCVGHVETUBZRZVEFEZVDVJSBCUCVCVEBCUDUEVLVMVDVFVIVMVDGZVF
    GZVIVLAVKEZPZVOAVKUAZVQVNVRVFVNVDHFEVMVRVFUFVMVDUGVNUHVMVDUIAHVEUJUKULAVKUM
    UNVLVHVPVGVKAUOUPUQURUSUTACVAVB $.

  $( A word with length at least 1 is not empty.  (Contributed by AV,
     14-Oct-2018.) $)
  wrdlenge1n0 $p |- ( W e. Word V -> ( W =/= (/) <-> 1 <_ ( # ` W ) ) ) $=
    ( cword wcel cc0 chash cfv clt wbr c0 wne c1 cle hashneq0 cz wb lencl nn0zd
    zgt0ge1 syl bitr3d ) BACZDZEBFGZHIZBJKLUDMIZBUBNUCUDODUEUFPUCUDABQRUDSTUA
    $.

  $( The length of a word is a positive integer iff the word is not empty.
     (Contributed by AV, 22-Mar-2022.) $)
  len0nnbi $p |- ( W e. Word S -> ( W =/= (/) <-> ( # ` W ) e. NN ) ) $=
    ( cword c0 wne chash cfv cn lennncl ex c1 cle wbr nnge1 wrdlenge1n0 syl5ibr
    wcel impbid ) BACQZBDEZBFGZHQZSTUBABIJUBTSKUALMUANABOPR $.

  $( A word with length at least 2 is not empty.  (Contributed by AV,
     18-Jun-2018.)  (Proof shortened by AV, 14-Oct-2018.) $)
  wrdlenge2n0 $p |- ( ( W e. Word V /\ 2 <_ ( # ` W ) ) -> W =/= (/) ) $=
    ( cword wcel c2 chash cfv cle wbr wa c0 wne c1 w3a clt 1red 2re a1i adantr
    cr lencl nn0red 3jca simpr 1lt2 jctil ltleletr sylc wb wrdlenge1n0 mpbird )
    BACDZEBFGZHIZJZBKLZMUMHIZUOMTDZETDZUMTDZNZMEOIZUNJUQULVAUNULURUSUTULPUSULQR
    ULUMABUAUBUCSUOUNVBULUNUDUEUFMEUMUGUHULUPUQUIUNABUJSUK $.

  $( The first symbol of a nonempty word over an alphabet belongs to the
     alphabet.  (Contributed by Alexander van der Vekens, 28-Jun-2018.) $)
  wrdsymb1 $p |- ( ( W e. Word V /\ 1 <_ ( # ` W ) ) -> ( W ` 0 ) e. V ) $=
    ( cword wcel c1 chash cfv cle wbr cc0 cfzo co wa cn0 lencl elnnnn0c biimpri
    cn sylan lbfzo0 sylibr wrdsymbcl syldan ) BACDZEBFGZHIZJJUEKLDZJBGADUDUFMUE
    RDZUGUDUENDZUFUHABOUHUIUFMUEPQSUETUAJABUBUC $.

  ${
    $d V v $.  $d W v $.
    $( A word of length 1 starts with a symbol.  (Contributed by AV,
       20-Jul-2018.)  (Proof shortened by AV, 19-Oct-2018.) $)
    wrdlen1 $p |- ( ( W e. Word V /\ ( # ` W ) = 1 )
                    -> E. v e. V ( W ` 0 ) = v ) $=
      ( cword wcel chash cfv c1 wceq wa cc0 cv wrex cle wbr 1le1 breq2 wrdsymb1
      mpbiri sylan2 clel5 sylib ) CBDEZCFGZHIZJKCGZBEZUFALIABMUEUCHUDNOZUGUEUHH
      HNOPUDHHNQSBCRTABUFUAUB $.
  $}

  $( The first symbol of a nonempty word is element of the alphabet for the
     word.  (Contributed by AV, 28-Sep-2018.)  (Proof shortened by AV,
     14-Oct-2018.) $)
  fstwrdne $p |- ( ( W e. Word V /\ W =/= (/) ) -> ( W ` 0 ) e. V ) $=
    ( cword wcel c0 wne cc0 cfv c1 chash cle wbr wrdlenge1n0 wrdsymb1 ex sylbid
    imp ) BACDZBEFZGBHADZRSIBJHKLZTABMRUATABNOPQ $.

  $( The first symbol of a nonempty word is element of the alphabet for the
     word.  (Contributed by AV, 29-Sep-2018.)  (Proof shortened by AV,
     14-Oct-2018.) $)
  fstwrdne0 $p |- ( ( N e. NN /\ ( W e. Word V /\ ( # ` W ) = N ) )
                    -> ( W ` 0 ) e. V ) $=
    ( cn wcel cword chash cfv wa c1 cle wbr cc0 simprl nnge1 adantr wb ad2antll
    wceq breq2 mpbird wrdsymb1 syl2anc ) ADEZCBFEZCGHZASZIZIZUEJUFKLZMCHBEUDUEU
    GNUIUJJAKLZUDUKUHAOPUGUJUKQUDUEUFAJKTRUABCUBUC $.

  ${
    $d U i $.  $d W i $.
    $( Two words are equal iff they have the same length and the same symbol at
       each position.  (Contributed by AV, 13-Apr-2018.)  (Revised by JJ,
       30-Dec-2023.) $)
    eqwrd $p |- ( ( U e. Word S /\ W e. Word T )
          -> ( U = W <-> ( ( # ` U ) = ( # ` W ) /\ A. i e. ( 0 ..^ ( # ` U ) )
                                                 ( U ` i ) = ( W ` i ) ) ) ) $=
      ( cword wcel wa wceq cc0 chash cfv cfzo wfn wrdfn cn0 lencl hashfzo0 syl
      co cv wb eqfnfv2 syl2an fveq2 eqeqan12d syl5ib oveq2 impbid1 anbi1d bitrd
      wral ) CAFGZEBFGZHZCEIZJCKLZMTZJEKLZMTZIZDUAZCLVBELIDURULZHZUQUSIZVCHUMCU
      RNEUTNUPVDUBUNACOBEODURUTCEUCUDUOVAVEVCUOVAVEVAURKLZUTKLZIUOVEURUTKUEUMUN
      VFUQVGUSUMUQPGVFUQIACQUQRSUNUSPGVGUSIBEQUSRSUFUGUQUSJMUHUIUJUK $.
  $}

  ${
    $d V v x y z $.  $d Y v y z $.  $d Z z $.
    elovmpowrd.o $e |- O = ( v e. _V , y e. _V |-> { z e. Word v | ph } ) $.
    $( Implications for the value of an operation defined by the maps-to
       notation with a class abstraction of words as a result having an
       element.  Note that ` ph ` may depend on ` z ` as well as on ` v ` and
       ` y ` .  (Contributed by Alexander van der Vekens, 15-Jul-2018.) $)
    elovmpowrd $p |- ( Z e. ( V O Y )
                        -> ( V e. _V /\ Y e. _V /\ Z e. Word V ) ) $=
      ( vx wcel cvv cv cword csb w3a crab cmpo wa adantr co wceq csbwrdg eqcomd
      rabeqdv mpoeq3ia eqtri wrdexg elovmporab1w wb eleq2d 3expia sylbid 3impia
      eqeltrd id syl ) HFGEUAKFLKZGLKZHJFJMNZOZKZPURUSHFNZKZPZADBCJUTEFGHEDBLLA
      CDMZNZQZRDBLLACJVFUTOZQZRIDBLLVHVJVFLKZBMLKZSACVGVIVKVGVIUBVLVKVIVGJVFLUC
      UDTUEUFUGURVALKUSURVAVCLJFLUCZFLUHUOTUIURUSVBVEURUSSVBVDVEURVBVDUJUSURVAV
      CHVMUKTURUSVDVEVEUPULUMUNUQ $.
  $}

  ${
    $d V n v y z $.  $d N n z $.  $d Y n v y z $.  $d Z z $.
    elovmptnn0wrd.o $e |- O = ( v e. _V , y e. _V
                |-> ( n e. NN0 |-> { z e. Word v | ph } ) ) $.
    $( Implications for the value of an operation defined by the maps-to
       notation with a function of nonnegative integers into a class
       abstraction of words as a result having an element.  Note that ` ph `
       may depend on ` z ` as well as on ` v ` and ` y ` and ` n ` .
       (Contributed by AV, 16-Jul-2018.)  (Revised by AV, 16-May-2019.) $)
    elovmptnn0wrd $p |- ( Z e. ( ( V O Y ) ` N ) -> ( ( V e. _V /\ Y e. _V )
                        /\ ( N e. NN0 /\ Z e. Word V ) ) ) $=
      ( cn0 cvv wcel cword wa co cv adantr wceq cfv crab elovmpt3imp wrdexg syl
      nn0ex jctil eqidd wrdeq elovmpt3rab1 mpcom ) LMNZHOZMNZPJFHIGQUANZHMNZIMN
      ZPZFLNJUMNPPUOUNULUOURUNDBEJACDRZOZUBLGHIFKUCUPUNUQHMUDSUEUFUGADBEJMMLUML
      UTGHIFCKUSHTZBRITZPLUHVAUTUMTVBUSHUISUJUK $.
  $}

  $( A word truncated by a symbol is a word.  (Contributed by AV,
     29-Jan-2021.) $)
  wrdred1 $p |- ( F e. Word S
                  -> ( F |` ( 0 ..^ ( ( # ` F ) - 1 ) ) ) e. Word S ) $=
    ( cword wcel cc0 chash cfv cfzo co wf cn0 c1 cmin cres wrdf lencl wa wss cz
    syl nn0z fzossrbm1 fssres sylan2 iswrdi syl2anc ) BACZDEBFGZHIZABJZUHKDZBEU
    HLMIZHIZNZUGDZABOABPUJUKQUMAUNJZUOUKUJUMUIRZUPUKUHSDUQUHUAUHUBTUIAUMBUCUDAU
    LUNUETUF $.

  $( The length of a word truncated by a symbol.  (Contributed by Alexander van
     der Vekens, 1-Nov-2017.)  (Revised by AV, 29-Jan-2021.) $)
  wrdred1hash $p |- ( ( F e. Word S /\ 1 <_ ( # ` F ) )
                      -> ( # ` ( F |` ( 0 ..^ ( ( # ` F ) - 1 ) ) ) )
                         = ( ( # ` F ) - 1 ) ) $=
    ( cword wcel c1 chash cfv cle wbr cc0 cmin co cfzo cn0 wfn wa adantr adantl
    wceq syl cres lencl wf wi wrdf ffn wss cz nn0z fzossrbm1 wb fnssresb mpbird
    hashfn 1nn0 nn0sub2 mp3an1 hashfzo0 eqtrd ex 3syl mpand imp ) BACDZEBFGZHIZ
    BJVEEKLZMLZUAZFGZVGSZVDVENDZVFVKABUBVDJVEMLZABUCBVMOZVLVFPZVKUDABUEVMABUFVN
    VOVKVNVOPZVJVHFGZVGVPVIVHOZVJVQSVPVRVHVMUGZVOVSVNVLVSVFVLVEUHDVSVEUIVEUJTQR
    VNVRVSUKVOVMVHBULQUMVHVIUNTVOVQVGSZVNVOVGNDZVTENDVLVFWAUOEVEUPUQVGURTRUSUTV
    AVBVC $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Last symbol of a word
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c lastS $.

  $( Extend class notation with the Last Symbol of a word. $)
  clsw $a class lastS $.

  $( Extract the last symbol of a word.  May be not meaningful for other sets
     which are not words.  The name ` lastS ` (as abbreviation of "lastSymbol")
     is a compromise between usually used names for corresponding functions in
     computer programs (as last() or lastChar()), the terminology used for
     words in set.mm ("symbol" instead of "character") and brevity ("lastS" is
     shorter than "lastChar" and "lastSymbol").  Labels of theorems about last
     symbols of a word will contain the abbreviation "lsw" (Last Symbol of a
     Word).  (Contributed by Alexander van der Vekens, 18-Mar-2018.) $)
  df-lsw $a |- lastS = ( w e. _V |-> ( w ` ( ( # ` w ) - 1 ) ) ) $.

  ${
    $d W w $.
    $( Extract the last symbol of a word.  May be not meaningful for other sets
       which are not words.  (Contributed by Alexander van der Vekens,
       18-Mar-2018.) $)
    lsw $p |- ( W e. X -> ( lastS ` W ) = ( W ` ( ( # ` W ) - 1 ) ) ) $=
      ( vw wcel cvv chash cfv c1 cmin co clsw wceq elex fvex cv id fveq2 oveq1d
      fveq12d df-lsw fvmptg sylancl ) ABDAEDAFGZHIJZAGZEDAKGUELABMUDANCACOZFGZH
      IJZUFGUEEEKUFALZUHUDUFAUIPUIUGUCHIUFAFQRSCTUAUB $.
  $}

  $( The last symbol of an empty word does not exist.  (Contributed by
     Alexander van der Vekens, 19-Mar-2018.)  (Proof shortened by AV,
     2-May-2020.) $)
  lsw0 $p |- ( ( W e. Word V /\ ( # ` W ) = 0 ) -> ( lastS ` W ) = (/) ) $=
    ( cword wcel chash cfv cc0 wceq wa clsw c1 cmin co c0 lsw adantr fvoveq1 wn
    cle wbr cdm cfzo wrddm cn 1nn nnnle0 ax-mp 0re subge0i mtbir elfzole1 eleq2
    1re mto mtbiri ndmfv 3syl sylan9eqr eqtrd ) BACZDZBEFZGHZIBJFZVBKLMBFZNVAVD
    VEHVCBUTOPVCVAVEGKLMZBFZNVBGKBLQVABUAZGVBUBMZHZVFVHDZRVGNHABUCVJVKVFVIDZVLG
    VFSTZVMKGSTZKUDDVNRUEKUFUGGKUHUMUIUJVFGVBUKUNVHVIVFULUOVFBUPUQURUS $.

  $( The last symbol of an empty word does not exist.  (Contributed by
     Alexander van der Vekens, 11-Nov-2018.) $)
  lsw0g $p |- ( lastS ` (/) ) = (/) $=
    ( cV c0 cword wcel chash cfv cc0 wceq clsw wrd0 hash0 lsw0 mp2an ) BACDBEFG
    HBIFBHAJKABLM $.

  $( The last symbol of a word of length 1 is the first symbol of this word.
     (Contributed by Alexander van der Vekens, 19-Mar-2018.) $)
  lsw1 $p |- ( ( W e. Word V /\ ( # ` W ) = 1 )
                 -> ( lastS ` W ) = ( W ` 0 ) ) $=
    ( cword wcel chash cfv c1 wceq clsw cmin co cc0 oveq1 1m1e0 eqtrdi sylan9eq
    lsw fveq2d ) BACZDBEFZGHZBIFTGJKZBFLBFBSQUAUBLBUAUBGGJKLTGGJMNORP $.

  $( Closure of the last symbol: the last symbol of a not empty word belongs to
     the alphabet for the word.  (Contributed by AV, 2-Aug-2018.)  (Proof
     shortened by AV, 29-Apr-2020.) $)
  lswcl $p |- ( ( W e. Word V /\ W =/= (/) ) -> ( lastS ` W ) e. V ) $=
    ( cword wcel c0 wne wa clsw cfv chash cmin wceq lsw adantr cc0 cfzo lennncl
    c1 co cn fzo0end syl wrdsymbcl syldan eqeltrd ) BACZDZBEFZGZBHIZBJIZRKSZBIZ
    AUGUJUMLUHBUFMNUGUHULOUKPSDZUMADUIUKTDUNABQUKUAUBULABUCUDUE $.

  $( The last symbol of a nonempty word is element of the alphabet for the
     word.  (Contributed by Alexander van der Vekens, 1-Oct-2018.)  (Proof
     shortened by AV, 29-Apr-2020.) $)
  lswlgt0cl $p |- ( ( N e. NN /\ ( W e. Word V /\ ( # ` W ) = N ) )
                    -> ( lastS ` W ) e. V ) $=
    ( cn wcel cword chash cfv wceq wa c0 wne clsw simprl wb eleq1 eqcoms adantl
    wi cfn wrdfin hashnncl syl biimpd adantr sylbid impcom lswcl syl2anc ) ADEZ
    CBFEZCGHZAIZJZJUKCKLZCMHBEUJUKUMNUNUJUOUNUJULDEZUOUMUJUPOZUKUQAULAULDPQRUKU
    PUOSUMUKUPUOUKCTEUPUOOBCUACUBUCUDUEUFUGBCUHUI $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Concatenations of words
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ++ $.

  $( Syntax for the concatenation operator. $)
  cconcat $a class ++ $.

  ${
    $d s t x $.

    $( Define the concatenation operator which combines two words.  Definition
       in Section 9.1 of [AhoHopUll] p. 318.  (Contributed by FL, 14-Jan-2014.)
       (Revised by Stefan O'Rear, 15-Aug-2015.) $)
    df-concat $a |- ++ = ( s e. _V , t e. _V |-> ( x e. ( 0 ..^
            ( ( # ` s ) + ( # ` t ) ) ) |-> if ( x e. ( 0 ..^ ( # ` s ) ) ,
            ( s ` x ) , ( t ` ( x - ( # ` s ) ) ) ) ) ) $.
  $}

  ${
    $d s t x $.
    $( The concatenation operator is a two-argument function.  (Contributed by
       Mario Carneiro, 27-Sep-2015.)  (Proof shortened by AV, 29-Apr-2020.) $)
    ccatfn $p |- ++ Fn ( _V X. _V ) $=
      ( vs vt vx cvv cc0 cv chash cfv caddc co cfzo wcel cmin cconcat df-concat
      cif cmpt ovex mptex fnmpoi ) ABDDCEAFZGHZBFZGHIJZKJZCFZEUBKJLUFUAHUFUBMJU
      CHPZQNCBAOCUEUGEUDKRST $.
  $}

  ${
    $d s t x S $.  $d s t x T $.
    $( Value of the concatenation operator.  (Contributed by Stefan O'Rear,
       15-Aug-2015.) $)
    ccatfval $p |- ( ( S e. V /\ T e. W ) -> ( S ++ T ) =
        ( x e. ( 0 ..^ ( ( # ` S ) + ( # ` T ) ) ) |->
          if ( x e. ( 0 ..^ ( # ` S ) ) , ( S ` x ) ,
            ( T ` ( x - ( # ` S ) ) ) ) ) ) $=
      ( vs vt wcel cvv co cc0 chash cfv caddc cfzo cv cmin wceq oveq2d adantr
      cconcat cif cmpt elex wa fveq2 oveqan12d wb fveq1 simpr fveq12d ifbieq12d
      eleq2d mpteq12dv df-concat ovex mptex ovmpoa syl2an ) BDHBIHCIHBCUAJAKBLM
      ZCLMZNJZOJZAPZKUTOJZHZVDBMZVDUTQJZCMZUBZUCZRCEHBDUDCEUDFGBCIIAKFPZLMZGPZL
      MZNJZOJZVDKVMOJZHZVDVLMZVDVMQJZVNMZUBZUCVKUAVLBRZVNCRZUEZAVQWCVCVJWFVPVBK
      OWDWEVMUTVOVANVLBLUFZVNCLUFUGSWFVSVFVTWBVGVIWDVSVFUHWEWDVRVEVDWDVMUTKOWGS
      UMTWDVTVGRWEVDVLBUITWFWAVHVNCWDWEUJWDWAVHRWEWDVMUTVDQWGSTUKULUNAGFUOAVCVJ
      KVBOUPUQURUS $.

    $d x B $.
    $( The concatenation of two words is a word.  (Contributed by FL,
       2-Feb-2014.)  (Proof shortened by Stefan O'Rear, 15-Aug-2015.)  (Proof
       shortened by AV, 29-Apr-2020.) $)
    ccatcl $p |- ( ( S e. Word B /\ T e. Word B ) -> ( S ++ T ) e. Word B ) $=
      ( vx cword wcel wa cconcat co cc0 chash caddc cfzo wf wrdf ad2antrr lencl
      cfv cz nn0zd cv cmin cif cmpt ccatfval ffvelrnda wn ad3antlr simpr anim1i
      anim12i fzocatel syl2anc ffvelrnd ifclda fmpttd iswrdi syl eqeltrd ) BAEZ
      FZCUTFZGZBCHIDJBKRZCKRZLIZMIZDUAZJVDMIZFZVHBRZVHVDUBIZCRZUCZUDZUTDBCUTUTU
      EVCVGAVONVOUTFVCDVGVNAVCVHVGFZGZVJVKVMAVQVIAVHBVAVIABNVBVPABOPUFVQVJUGZGZ
      JVEMIZAVLCVBVTACNVAVPVRACOUHVSVPVRGVDSFZVESFZGZVLVTFVQVPVRVCVPUIUJVCWCVPV
      RVAWAVBWBVAVDABQTVBVEACQTUKPVHVDVEULUMUNUOUPAVFVOUQURUS $.

    $( The length of a concatenated word.  (Contributed by Stefan O'Rear,
       15-Aug-2015.)  (Revised by JJ, 1-Jan-2024.) $)
    ccatlen $p |- ( ( S e. Word A /\ T e. Word B ) ->
        ( # ` ( S ++ T ) ) = ( ( # ` S ) + ( # ` T ) ) ) $=
      ( vx cword wcel wa cconcat co chash cfv cc0 caddc cfzo cv wceq fvex lencl
      cn0 cmin cif cmpt ccatfval fveq2d wfn ifex eqid fnmpti hashfn mp1i syl2an
      nn0addcl hashfzo0 syl 3eqtrd ) CAFZGZDBFZGZHZCDIJZKLEMCKLZDKLZNJZOJZEPZMV
      COJGZVGCLZVGVCUAJZDLZUBZUCZKLZVFKLZVEVAVBVMKECDUQUSUDUEVMVFUFVNVOQVAEVFVL
      VMVHVIVKVGCRVJDRUGVMUHUIVFVMUJUKVAVETGZVOVEQURVCTGVDTGVPUTACSBDSVCVDUMULV
      EUNUOUP $.

    $( Obsolete version of ~ ccatlen as of 1-Jan-2024.  The length of a
       concatenated word.  (Contributed by Stefan O'Rear, 15-Aug-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ccatlenOLD $p |- ( ( S e. Word B /\ T e. Word B ) ->
        ( # ` ( S ++ T ) ) = ( ( # ` S ) + ( # ` T ) ) ) $=
      ( vx cword wcel wa cconcat co chash cfv cc0 caddc cfzo cmin wceq fvex cn0
      cv lencl cif cmpt ccatfval fveq2d wfn ifex eqid fnmpti hashfn mp1i syl2an
      nn0addcl hashfzo0 syl 3eqtrd ) BAEZFZCUPFZGZBCHIZJKDLBJKZCJKZMIZNIZDSZLVA
      NIFZVEBKZVEVAOIZCKZUAZUBZJKZVDJKZVCUSUTVKJDBCUPUPUCUDVKVDUEVLVMPUSDVDVJVK
      VFVGVIVEBQVHCQUFVKUGUHVDVKUIUJUSVCRFZVMVCPUQVARFVBRFVNURABTACTVAVBULUKVCU
      MUNUO $.

    $( The concatenation of two words is empty iff the two words are empty.
       (Contributed by AV, 4-Mar-2022.)  (Revised by JJ, 18-Jan-2024.) $)
    ccat0 $p |- ( ( S e. Word A /\ T e. Word B )
                    -> ( ( S ++ T ) = (/) <-> ( S = (/) /\ T = (/) ) ) ) $=
      ( cword wcel wa cconcat co c0 wceq chash cfv cc0 cvv wb hasheq0 cle wbr
      cr caddc ccatlen eqeq1d ovex mp1i cn0 lencl nn0re nn0ge0 jca add20 syl2an
      syl 3bitr3d bi2anan9 bitrd ) CAEZFZDBEZFZGZCDHIZJKZCLMZNKZDLMZNKZGZCJKZDJ
      KZGVAVBLMZNKZVDVFUAIZNKZVCVHVAVKVMNABCDUBUCVBOFVLVCPVACDHUDVBOQUEURVDTFZN
      VDRSZGZVFTFZNVFRSZGZVNVHPUTURVDUFFZVQACUGWAVOVPVDUHVDUIUJUMUTVFUFFZVTBDUG
      WBVRVSVFUHVFUIUJUMVDVFUKULUNURVEVIUTVGVJCUQQDUSQUOUP $.

    $d x A $.  $d x I $.
    $( Value of a symbol in the left half of a concatenated word.  (Contributed
       by Stefan O'Rear, 15-Aug-2015.)  (Revised by Mario Carneiro,
       22-Sep-2015.)  (Proof shortened by AV, 30-Apr-2020.)  (Revised by JJ,
       18-Jan-2024.) $)
    ccatval1 $p |- ( ( S e. Word A /\ T e. Word B /\ I e. ( 0 ..^ ( # ` S ) ) )
                     -> ( ( S ++ T ) ` I ) = ( S ` I ) ) $=
      ( vx cword wcel cc0 chash cfv cfzo co w3a cv cmin cif caddc cconcat wceq
      cvv cmpt ccatfval 3adant3 eleq1 fveq2 ifbieq12d iftrue 3ad2ant3 sylan9eqr
      fvoveq1 cn0 id lencl elfzoext syl2anr 3adant1 fvexd fvmptd ) CAGZHZDBGZHZ
      EICJKZLMZHZNZFEFOZVEHZVHCKZVHVDPMDKZQZECKZIVDDJKZRMLMZCDSMZUAVAVCVPFVOVLU
      BTVFFCDUTVBUCUDVHETZVGVLVFVMEVDPMDKZQZVMVQVIVFVJVKVMVRVHEVEUEVHECUFVHEVDD
      PUKUGVFVAVSVMTVCVFVMVRUHUIUJVCVFEVOHZVAVFVFVNULHVTVCVFUMBDUNVNIVDEUOUPUQV
      GECURUS $.

    $( Obsolete version of ~ ccatval1 as of 18-Jan-2024.  Value of a symbol in
       the left half of a concatenated word.  (Contributed by Stefan O'Rear,
       15-Aug-2015.)  (Revised by Mario Carneiro, 22-Sep-2015.)  (Proof
       shortened by AV, 30-Apr-2020.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ccatval1OLD $p |- ( ( S e. Word B /\ T e. Word B
                          /\ I e. ( 0 ..^ ( # ` S ) ) )
                     -> ( ( S ++ T ) ` I ) = ( S ` I ) ) $=
      ( vx cword wcel cc0 chash cfv cfzo co w3a cmin cif caddc cconcat cvv wceq
      cv cmpt ccatfval 3adant3 eleq1 fveq2 fvoveq1 ifbieq12d 3ad2ant3 sylan9eqr
      iftrue cn0 simp3 lencl 3ad2ant2 elfzoext syl2anc fvexd fvmptd ) BAFZGZCUS
      GZDHBIJZKLZGZMZEDETZVCGZVFBJZVFVBNLCJZOZDBJZHVBCIJZPLKLZBCQLZRUTVAVNEVMVJ
      UASVDEBCUSUSUBUCVFDSZVEVJVDVKDVBNLCJZOZVKVOVGVDVHVIVKVPVFDVCUDVFDBUEVFDVB
      CNUFUGVDUTVQVKSVAVDVKVPUJUHUIVEVDVLUKGZDVMGUTVAVDULVAUTVRVDACUMUNVLHVBDUO
      UPVEDBUQUR $.

    $( Value of a symbol in the right half of a concatenated word.
       (Contributed by Stefan O'Rear, 15-Aug-2015.)  (Revised by Mario
       Carneiro, 22-Sep-2015.) $)
    ccatval2 $p |- ( ( S e. Word B /\ T e. Word B /\
          I e. ( ( # ` S ) ..^ ( ( # ` S ) + ( # ` T ) ) ) ) ->
        ( ( S ++ T ) ` I ) = ( T ` ( I - ( # ` S ) ) ) ) $=
      ( vx cword wcel chash cfv caddc co cfzo w3a cc0 cmin cif cconcat wceq cn0
      cv cvv cmpt ccatfval 3adant3 eleq1 fveq2 fvoveq1 ifbieq12d wn cin fzodisj
      c0 minel mpan2 3ad2ant3 iffalsed sylan9eqr wa wrdfin adantr hashcl fzoss1
      cfn wss cuz nn0uz eleq2s 3syl sseld 3impia fvexd fvmptd ) BAFZGZCVMGZDBHI
      ZVPCHIJKZLKZGZMZEDETZNVPLKZGZWABIZWAVPOKCIZPZDVPOKZCIZNVQLKZBCQKZUAVNVOWJ
      EWIWFUBRVSEBCVMVMUCUDWADRZVTWFDWBGZDBIZWHPWHWKWCWLWDWEWMWHWADWBUEWADBUFWA
      DVPCOUGUHVTWLWMWHVSVNWLUIZVOVSWBVRUJULRWNNVPVQUKDVRWBUMUNUOUPUQVNVOVSDWIG
      VNVOURZVRWIDWOBVCGZVPSGVRWIVDZVNWPVOABUSUTBVAWQVPNVEISVPNVQVBVFVGVHVIVJVT
      WGCVKVL $.

    $( Value of a symbol in the right half of a concatenated word, using an
       index relative to the subword.  (Contributed by Stefan O'Rear,
       16-Aug-2015.)  (Proof shortened by AV, 30-Apr-2020.) $)
    ccatval3 $p |- ( ( S e. Word B /\ T e. Word B /\ I e. ( 0 ..^ ( # ` T ) ) )
                     -> ( ( S ++ T ) ` ( I + ( # ` S ) ) ) = ( T ` I ) ) $=
      ( cword wcel cc0 chash cfv cfzo co caddc cconcat cmin wceq cz lencl nn0zd
      w3a wa anim1ci 3adant2 fzo0addelr syl ccatval2 syld3an3 elfzoelz 3ad2ant3
      zcnd cn0 3ad2ant1 nn0cnd pncand fveq2d eqtrd ) BAEZFZCUPFZDGCHIZJKFZSZDBH
      IZLKZBCMKIZVCVBNKZCIZDCIUQURUTVCVBVBUSLKJKFZVDVFOVAUTVBPFZTZVGUQUTVIURUQV
      HUTUQVBABQZRUAUBDUSVBUCUDABCVCUEUFVAVEDCVADVBVADUTUQDPFURDGUSUGUHUIVAVBUQ
      URVBUJFUTVJUKULUMUNUO $.
  $}

  $( An element of a finite set of sequential integers up to the length of a
     word is an element of an extended finite set of sequential integers up to
     the length of a concatenation of this word with another word.
     (Contributed by Alexander van der Vekens, 28-Mar-2018.) $)
  elfzelfzccat $p |- ( ( A e. Word V /\ B e. Word V )
                       -> ( N e. ( 0 ... ( # ` A ) )
                            -> N e. ( 0 ... ( # ` ( A ++ B ) ) ) ) ) $=
    ( cword wcel wa cc0 chash cfv cfz co caddc cconcat wi lencl elfz0add syl2an
    cn0 ccatlen oveq2d eleq2d sylibrd ) ADEZFZBUDFZGZCHAIJZKLFZCHUHBIJZMLZKLZFZ
    CHABNLIJZKLZFUEUHSFUJSFUIUMOUFDAPDBPUHUJCQRUGUOULCUGUNUKHKDDABTUAUBUC $.

  ${
    $d A x $.  $d B x $.  $d V x $.
    $( The concatenation of two words is a function over the half-open integer
       range having the sum of the lengths of the word as length.  (Contributed
       by Alexander van der Vekens, 30-Mar-2018.) $)
    ccatvalfn $p |- ( ( A e. Word V /\ B e. Word V )
                  -> ( A ++ B ) Fn ( 0 ..^ ( ( # ` A ) + ( # ` B ) ) ) ) $=
      ( vx cword wcel wa cconcat co cc0 chash cfv caddc cfzo cmin cif cmpt fvex
      cv wfn wceq ccatfval ifex eqid fnmpti fneq1 mpbiri syl ) ACEZFBUIFGABHIZD
      JAKLZBKLMINIZDSZJUKNIFZUMALZUMUKOIZBLZPZQZUAZUJULTZDABUIUIUBUTVAUSULTDULU
      RUSUNUOUQUMARUPBRUCUSUDUEULUJUSUFUGUH $.
  $}

  $( The symbol at a given position in a concatenated word.  (Contributed by
     AV, 26-May-2018.)  (Proof shortened by AV, 24-Nov-2018.) $)
  ccatsymb $p |- ( ( A e. Word V /\ B e. Word V /\ I e. ZZ )
                   -> ( ( A ++ B ) ` I ) = if ( I < ( # ` A ) ,
                                   ( A ` I ) , ( B ` ( I - ( # ` A ) ) ) ) ) $=
    ( wcel cz co cfv clt wbr wceq wa cc0 cle simpr wb ex c0 adantr sylc cconcat
    cword chash cmin cif cfzo w3a simprll anim2i 0zd lencl nn0zd ad2antrr elfzo
    syl3anc ad2antrl mpbird df-3an sylanbrc ccatval1 eqcomd syl zre 0red ltnled
    wi wn adantl wo simpl anim1i animorrl wrdsymb0 ccatcl sylbird com12 adantrd
    eqtr4d pm2.61i caddc id nn0red lenlt syl2an adantlr biimpar anim12ci zaddcl
    ccatval2 readdcl simplr zsubcld jca ad2antlr leaddsub2d biimpa olcd ccatlen
    cr eqbrtrd ifeqda 3impa ) ADUBZEZBXCEZCFEZCABUAGZHZCAUCHZIJZCAHZCXIUDGZBHZU
    EZKXDXELZXFLZXNXHXPXJXKXMXHMCNJZXPXJLZXKXHKZVFXQXRXSXQXRLZXDXECMXIUFGEZUGZX
    SXTXOYAYBXQXOXFXJUHXTYAXQXJLZXRXJXQXPXJOUIXPYAYCPZXQXJXPXFMFEXIFEZYDXOXFOZX
    PUJXDYEXEXFXDXIDAUKZULZUMZCMXIUNUOUPUQXDXEYAURUSYBXHXKDDABCUTVAVBQXQVGZXPXS
    XJXPYJXSXPYJCMIJZXSXFYKYJPXOXFCMCVCZXFVDVEVHXPYKXSXPYKLZXKRXHYMXDXFLZYKXICN
    JZVIXKRKXPYNYKXOXDXFXDXEVJVKSXPYKYOVLCDAVMTYMXGXCEZXFLZYKXGUCHZCNJZVIZXHRKZ
    XPYQYKXOYPXFDABVNVKZSXPYKYSVLCDXGVMZTVRQVOVPVQVSCXIBUCHZVTGZIJZXPXJVGZLZXMX
    HKZVFUUFUUHUUIUUFUUHLZXDXECXIUUEUFGEZUGZUUIUUJXOUUKUULUUFXOXFUUGUHUUJUUKYOU
    UFLZUUFUUFUUHYOUUFWAXPYOUUGXDXFYOUUGPZXEXDXIWSEZCWSEZUUNXFXDXIYGWBZYLXICWCW
    DWEWFWGXPUUKUUMPZUUFUUGXPXFYEUUEFEZUURYFYIXOUUSXFXDYEUUDFEUUSXEYHXEUUDDBUKZ
    ULXIUUDWHWDSCXIUUEUNUOUPUQXDXEUUKURUSUULXHXMDABCWIVAVBQUUFVGZXPUUIUUGXPUVAU
    UIXPUVAUUECNJZUUIXOUUEWSEZUUPUVBUVAPXFXDUUOUUDWSEZUVCXEUUQXEUUDUUTWBZXIUUDW
    JWDYLUUECWCWDXPUVBUUIXPUVBLZXMRXHUVFXEXLFEZLZXLMIJZUUDXLNJZVIXMRKXPUVHUVBXP
    XEUVGXDXEXFWKXDXFUVGXEYNCXIXDXFOXDYEXFYHSWLWEWMSUVFUVJUVIXPUVBUVJXPXIUUDCXD
    UUOXEXFUUQUMXEUVDXDXFUVEWNXFUUPXOYLVHWOWPWQXLDBVMTUVFYQYTUUAXPYQUVBUUBSUVFY
    SYKUVFYRUUECNXOYRUUEKXFUVBDDABWRUMXPUVBOWTWQUUCTVRQVOVPVQVSXAVAXB $.

  $( The first symbol of a concatenation of two words is the first symbol of
     the first word if the first word is not empty.  (Contributed by Alexander
     van der Vekens, 22-Sep-2018.) $)
  ccatfv0 $p |- ( ( A e. Word V /\ B e. Word V /\ 0 < ( # ` A ) )
                  -> ( ( A ++ B ) ` 0 ) = ( A ` 0 ) ) $=
    ( cword wcel cc0 chash cfv clt wbr cfzo co cconcat wa cn cn0 lencl elnnnn0b
    wceq biimpri sylan lbfzo0 sylibr 3adant2 ccatval1 syld3an3 ) ACDZEZBUGEZFAG
    HZIJZFFUJKLEZFABMLHFAHSUHUKULUIUHUKNUJOEZULUHUJPEZUKUMCAQUMUNUKNUJRTUAUJUBU
    CUDCCABFUEUF $.

  $( The last symbol of the left (nonempty) half of a concatenated word.
     (Contributed by Alexander van der Vekens, 3-Oct-2018.)  (Proof shortened
     by AV, 1-May-2020.) $)
  ccatval1lsw $p |- ( ( A e. Word V /\ B e. Word V /\ A =/= (/) )
                     -> ( ( A ++ B ) ` ( ( # ` A ) - 1 ) ) = ( lastS ` A ) ) $=
    ( cword wcel c0 wne w3a chash cfv c1 cmin co cconcat clsw cfzo wceq lennncl
    cc0 cn 3adant2 fzo0end syl ccatval1 syld3an3 lsw 3ad2ant1 eqtr4d ) ACDZEZBU
    IEZAFGZHZAIJZKLMZABNMJZUOAJZAOJZUJUKULUOSUNPMEZUPUQQUMUNTEZUSUJULUTUKCARUAU
    NUBUCCCABUOUDUEUJUKURUQQULAUIUFUGUH $.

  $( The first symbol of the right (nonempty) half of a concatenated word.
     (Contributed by AV, 23-Apr-2022.) $)
  ccatval21sw $p |- ( ( A e. Word V /\ B e. Word V /\ B =/= (/) )
                     -> ( ( A ++ B ) ` ( # ` A ) ) = ( B ` 0 ) ) $=
    ( cword wcel c0 wne w3a chash cfv cconcat co cmin cc0 wceq cz clt wbr wa cr
    caddc cfzo cn lencl nn0zd lennncl simpl nnz zaddcl sylan2 nngt0 adantl nnre
    zre ltaddpos syl2anr mpbid 3jca syl2an 3impb fzolb sylibr ccatval2 syld3an3
    wb nn0cnd subidd fveq2d 3ad2ant1 eqtrd ) ACDZEZBVKEZBFGZHZAIJZABKLJZVPVPMLZ
    BJZNBJZVLVMVNVPVPVPBIJZUALZUBLEZVQVSOVOVPPEZWBPEZVPWBQRZHZWCVLVMVNWGVLWDWAU
    CEZWGVMVNSVLVPCAUDZUECBUFWDWHSZWDWEWFWDWHUGWHWDWAPEWEWAUHVPWAUIUJWJNWAQRZWF
    WHWKWDWAUKULWHWATEVPTEWKWFVEWDWAUMVPUNWAVPUOUPUQURUSUTVPWBVAVBCABVPVCVDVLVM
    VSVTOVNVLVRNBVLVPVLVPWIVFVGVHVIVJ $.

  ${
    $d x S $.  $d x T $.  $d x B $.  $d x U $.
    $( Concatenation of a word by the empty word on the left.  (Contributed by
       Stefan O'Rear, 15-Aug-2015.)  (Proof shortened by AV, 1-May-2020.) $)
    ccatlid $p |- ( S e. Word B -> ( (/) ++ S ) = S ) $=
      ( vx cword wcel cc0 chash cfv cfzo co c0 cconcat wfn caddc wrd0 ccatvalfn
      hash0 eqtrid cmin wceq mpan oveq1i nn0cnd addid2d eqcomd oveq2d fneq2d cv
      lencl mpbird wrdfn wa a1i oveq12d eleq2d ccatval2 mp3an1 syldan oveq2i cz
      biimpar elfzoelz adantl zcnd subid1d fveq2d eqtrd eqfnfvd ) BADZEZCFBGHZI
      JZKBLJZBVJVMVLMVMFKGHZVKNJZIJZMZKVIEZVJVQAOZKBAPUAVJVLVPVMVJVKVOFIVJVOVKV
      JVOFVKNJVKVNFVKNQUBVJVKVJVKABUIUCUDRZUEUFUGUJABUKVJCUHZVLEZULZWAVMHZWAVNS
      JZBHZWABHVJWBWAVNVOIJZEZWDWFTZVJWHWBVJWGVLWAVJVNFVOVKIVNFTVJQUMVTUNUOVAVR
      VJWHWIVSAKBWAUPUQURWCWEWABWCWEWAFSJWAVNFWASQUSWCWAWCWAWBWAUTEVJWAFVKVBVCV
      DVERVFVGVH $.

    $( Concatenation of a word by the empty word on the right.  (Contributed by
       Stefan O'Rear, 15-Aug-2015.)  (Proof shortened by AV, 1-May-2020.) $)
    ccatrid $p |- ( S e. Word B -> ( S ++ (/) ) = S ) $=
      ( vx cword wcel cc0 chash cfv cfzo co c0 cconcat wfn caddc wrd0 ccatvalfn
      mpan2 hash0 oveq2i lencl nn0cnd addid1d eqtr2id oveq2d fneq2d mpbird wceq
      wrdfn cv ccatval1 mp3an2 eqfnfvd ) BADZEZCFBGHZIJZBKLJZBUNUQUPMUQFUOKGHZN
      JZIJZMZUNKUMEZVAAOZBKAPQUNUPUTUQUNUOUSFIUNUSUOFNJUOURFUONRSUNUOUNUOABTUAU
      BUCUDUEUFABUHUNVBCUIZUPEVDUQHVDBHUGVCAABKVDUJUKUL $.

    $( Associative law for concatenation of words.  (Contributed by Stefan
       O'Rear, 15-Aug-2015.) $)
    ccatass $p |- ( ( S e. Word B /\ T e. Word B /\
          U e. Word B ) -> ( ( S ++ T ) ++ U ) =
          ( S ++ ( T ++ U ) ) ) $=
      ( wcel cc0 chash cfv caddc co cfzo cconcat wfn wceq oveq2d syl2anc adantr
      syl syl3anc cmin vx cword w3a ccatcl stoic3 ccatlen 3adant3 oveq1d fneq2d
      wrdfn eqtrd mpbid simp1 3adant1 3ad2ant1 nn0cnd 3ad2ant2 3ad2ant3 addassd
      cn0 lencl 3eqtr4d cv wo cz nn0zd fzospliti ex mpan9 wa simp2 id syl2an3an
      ccatval1 simpl3 cuz uzidd uzaddcl fzoss2 sseqtrrd sselda zaddcld ccatval2
      wss simpl2 fzosubel3 eqtr4d fzoss1 nn0uz eleq2s simpl1 cc elfzoelz adantl
      zcnd subsub4d fveq2d eleq2d biimpa 3jca fzosubel2 oveq12d biimpar eqfnfvd
      jaodan syldan ) BAUBZEZCXGEZDXGEZUCZUAFBGHZCGHZIJZDGHZIJZKJZBCLJZDLJZBCDL
      JZLJZXKXSFXSGHZKJZMZXSXQMXKXSXGEZYDXHXIXRXGEZXJYEABCUDZAXRDUDUEAXSUJRXKYC
      XQXSXKYBXPFKXKYBXRGHZXOIJZXPXHXIYFXJYBYINYGAAXRDUFUEXKYHXNXOIXHXIYHXNNXJA
      ABCUFUGZUHZUKOUIULXKYAFYAGHZKJZMZYAXQMXKYAXGEZYNXKXHXTXGEZYOXHXIXJUMZXIXJ
      YPXHACDUDUNZABXTUDPAYAUJRXKYMXQYAXKYLXPFKXKXLXTGHZIJZXLXMXOIJZIJZYLXPXKYS
      UUAXLIXIXJYSUUANXHAACDUFUNOZXKXHYPYLYTNYQYRAABXTUFPXKXLXMXOXKXLXHXIXLUTEZ
      XJABVAUOZUPZXKXMXIXHXMUTEZXJACVAUQZUPZXKXOXJXHXOUTEZXIADVAURZUPUSZVBOUIUL
      XKUAVCZXQEZUUMFXLKJZEZUUMXLXPKJZEZVDZUUMXSHZUUMYAHZNZXKXLVEEZUUNUUSXKXLUU
      EVFZUUNUVCUUSUUMFXPXLVGVHVIXKUUPUVBUURXKUUPVJZUUMXRHZUUMBHZUUTUVAXKXHXIUU
      PUUPUVFUVGNYQXHXIXJVKZUUPVLZAABCUUMVNVMUVEYFXJUUMFYHKJZEZUUTUVFNZXKYFUUPX
      HXIYFXJYGUGZQXHXIXJUUPVOXKUUOUVJUUMXKUUOFXNKJZUVJXKXNXLVPHZEZUUOUVNWDXKXL
      UVOEUUGUVPXKXLUVDVQUUHXMXLXLVRPZXLFXNVSRXKYHXNFKYJOZVTWAAAXRDUUMVNZSXKXHY
      PUUPUUPUVAUVGNYQYRUVIAABXTUUMVNVMVBXKUURUUMXLXNKJZEZUUMXNXPKJZEZVDZUVBXKX
      NVEEZUURUWDXKXLXMUVDXKXMUUHVFZWBZUURUWEUWDUUMXLXPXNVGVHVIXKUWAUVBUWCXKUWA
      VJZUVFUUMXLTJZXTHZUUTUVAUWHUVFUWICHZUWJXKXHXIUWAUWAUVFUWKNYQUVHUWAVLABCUU
      MWCVMUWHXIXJUWIFXMKJEZUWJUWKNXHXIXJUWAWEXHXIXJUWAVOZXKXMVEEZUWAUWLUWFUWAU
      WNUWLUUMXLXMWFVHVIAACDUWIVNSWGUWHYFXJUVKUVLXKYFUWAUVMQUWMXKUVTUVJUUMXKUVT
      UVNUVJXKUUDUVTUVNWDZUUEUWOXLFVPHUTXLFXNWHWIWJRUVRVTWAUVSSUWHXHYPUUMXLYTKJ
      ZEZUVAUWJNZXHXIXJUWAWKXKYPUWAYRQXKUVTUWPUUMXKUVTUUQUWPXKXPXNVPHZEZUVTUUQW
      DXKXNUWSEUUJUWTXKXNUWGVQUUKXOXNXNVRPXNXLXPVSRXKYTXPXLKXKYTUUBXPUUCUULWGOZ
      VTWAABXTUUMWCZSVBXKUWCVJZUUMYHTJZDHZUWJUUTUVAUXCUXEUWIXMTJZDHZUWJUXCUXDUX
      FDUXCUXDUUMXNTJZUXFXKUXDUXHNUWCXKYHXNUUMTYJOQUXCUUMXLXMUWCUUMWLEXKUWCUUMU
      UMXNXPWMWOWNXKXLWLEUWCUUFQXKXMWLEUWCUUIQWPWGWQUXCXIXJUWIXMUUAKJEZUWJUXGNX
      HXIXJUWCWEXHXIXJUWCVOZUXCUUMXNUUBKJZEZUVCUWNUUAVEEZUCZUXIXKUWCUXLXKUWBUXK
      UUMXKXPUUBXNKUULOWRWSXKUXNUWCXKUVCUWNUXMUVDUWFXKXMXOUWFXKXOUUKVFWBWTQUUMX
      LXMUUAXAPACDUWIWCSWGUXCYFXJUUMYHYIKJZEZUUTUXENXKYFUWCUVMQUXJXKUXPUWCXKUXO
      UWBUUMXKYHXNYIXPKYJYKXBWRXCAXRDUUMWCSUXCXHYPUWQUWRXHXIXJUWCWKXKYPUWCYRQXK
      UWBUWPUUMXKUWBUUQUWPXKUVPUWBUUQWDUVQXNXLXPWHRUXAVTWAUXBSVBXEXFXEXFXD $.

    $( The range of a concatenated word.  (Contributed by Stefan O'Rear,
       15-Aug-2015.) $)
    ccatrn $p |- ( ( S e. Word B /\ T e. Word B ) ->
        ran ( S ++ T ) = ( ran S u. ran T ) ) $=
      ( vx wcel wa co crn cc0 cfv cfzo wceq cn0 adantr sylanbrc fnfvelrn adantl
      caddc clt wbr cword cconcat cun chash wfn cv wral wf ccatvalfn wo cfz cuz
      lencl nn0uz eleqtrdi nn0zd uzidd uzaddcl syl2an elfzuzb fzosplit syl elun
      eleq2d bitrdi ccatval1 3expa ssun1 wrdfn sylan sselid cmin ccatval2 ssun2
      eqeltrd cz elfzouz uznn0sub ad2antlr elfzolt2 cr elfzoelz nn0red ad2antrr
      zred ltsubadd2d mpbird elfzo2 syl3anbrc syl2an2r jaodan ex ralrimiv ffnfv
      sylbid frnd fzoss2 sselda eqeltrrd ralrimiva ccatval3 syl2anr nn0addcl cc
      wss elfzonn0 nn0cnd addcom ltadd2dd eqbrtrd unssd eqssd ) BAUAZEZCXMEZFZB
      CUBGZHZBHZCHZUCZXPIBUDJZCUDJZRGZKGZYAXQXPXQYEUEZDUFZXQJZYAEZDYEUGYEYAXQUH
      BCAUIZXPYIDYEXPYGYEEZYGIYBKGZEZYGYBYDKGZEZUJZYIXPYKYGYLYNUCZEYPXPYEYQYGXP
      YBIYDUKGEZYEYQLXPYBIULJZEZYDYBULJZEZYRXNYTXOXNYBMYSABUMZUNUONXNYBUUAEYCME
      ZUUBXOXNYBXNYBUUCUPUQACUMZYCYBYBURUSZYBIYDUTOIYDYBVAVBVDYGYLYNVCVEXPYPYIX
      PYMYIYOXPYMFZYHYGBJZYAXNXOYMYHUUHLAABCYGVFVGZUUGXSYAUUHXSXTVHXPBYLUEZYMUU
      HXSEXNUUJXOABVINZYLYGBPVJVKVOXPYOFZYHYGYBVLGZCJZYAXNXOYOYHUUNLABCYGVMVGUU
      LXTYAUUNXTXSVNXPCIYCKGZUEZYOUUMUUOEZUUNXTEXOUUPXNACVIQZUULUUMYSEZYCVPEZUU
      MYCSTZUUQYOUUSXPYOUUMMYSYOYGUUAEUUMMEYGYBYDVQYBYGVRVBUNUOQXOUUTXNYOXOYCUU
      EUPVSUULUVAYGYDSTZYOUVBXPYGYBYDVTQUULYGYBYCYOYGWAEZXPYOYGYGYBYDWBWEQXNYBW
      AEZXOYOXNYBUUCWCZWDXOYCWAEZXNYOXOYCUUEWCZVSWFWGUUMIYCWHWIUUOUUMCPWJVKVOWK
      WLWOWMDYEYAXQWNOWPXPXSXTXRXPYLXRBXPUUJUUHXREZDYLUGYLXRBUHUUKXPUVHDYLUUGYH
      UUHXRUUIXPYFYMYKYHXREYJXPYLYEYGXPUUBYLYEXEUUFYBIYDWQVBWRYEYGXQPWJWSWTDYLX
      RBWNOWPXPUUOXRCXPUUPYGCJZXREZDUUOUGUUOXRCUHUURXPUVJDUUOXPYGUUOEZFZYGYBRGZ
      XQJZUVIXRXNXOUVKUVNUVILABCYGXAVGXPYFUVKUVMYEEZUVNXREYJUVLUVMYSEZYDVPEZUVM
      YDSTUVOUVKYGYSEYBMEZUVPXPYGIYCVQXNUVRXOUUCNYBIYGURXBXPUVQUVKXPYDXNUVRUUDY
      DMEXOUUCUUEYBYCXCUSUPNUVLUVMYBYGRGZYDSUVKYGXDEYBXDEZUVMUVSLXPUVKYGYGYCXFZ
      XGXNUVTXOXNYBUUCXGNYGYBXHXBUVLYGYCYBUVKUVCXPUVKYGUWAWCQXOUVFXNUVKUVGVSXNU
      VDXOUVKUVEWDUVKYGYCSTXPYGIYCVTQXIXJUVMIYDWHWIYEUVMXQPWJWSWTDUUOXRCWNOWPXK
      XL $.
  $}

  $( Concatenation of the empty word by the empty word.  (Contributed by AV,
     26-Mar-2022.) $)
  ccatidid $p |- ( (/) ++ (/) ) = (/) $=
    ( c0 cvv cword wcel cconcat co wceq wrd0 ccatlid ax-mp ) ABCDAAEFAGBHBAIJ
    $.

  $( The last symbol of a word concatenated with a nonempty word is the last
     symbol of the nonempty word.  (Contributed by AV, 22-Oct-2018.)  (Proof
     shortened by AV, 1-May-2020.) $)
  lswccatn0lsw $p |- ( ( A e. Word V /\ B e. Word V /\ B =/= (/) )
                       -> ( lastS ` ( A ++ B ) ) = ( lastS ` B ) ) $=
    ( wcel w3a cconcat co chash cfv c1 cmin clsw wa oveq1d 3adant3 lencl syl2an
    wceq cz eqtrd cword c0 wne caddc ccatlen clt wbr cn nn0zd lennncl simpl nnz
    cfzo zaddcl sylan2 cr crp zre nnrp ltaddrp 3jca 3impb sylibr fzoend eqeltrd
    fzolb syl ccatval2 syld3an3 nn0cnd addcl 1cnd sub32d pncan2 fveq2d cvv ovex
    cc lsw mp1i 3ad2ant2 3eqtr4d ) ACUAZDZBWCDZBUBUCZEZABFGZHIZJKGZWHIZBHIZJKGZ
    BIZWHLIZBLIZWGWKWJAHIZKGZBIZWNWDWEWFWJWQWQWLUDGZUMGZDWKWSRWGWJWTJKGZXAWDWEW
    JXBRWFWDWEMZWIWTJKCCABUENZOWGWQXADZXBXADWGWQSDZWTSDZWQWTUFUGZEZXEWDWEWFXIWD
    XFWLUHDZXIWEWFMWDWQCAPZUICBUJXFXJMXFXGXHXFXJUKXJXFWLSDXGWLULWQWLUNUOXFWQUPD
    WLUQDXHXJWQURWLUSWQWLUTQVAQVBWQWTVFVCWQWTVDVGVECABWJVHVIWGWRWMBWDWEWRWMRWFX
    CWRXBWQKGZWMXCWJXBWQKXDNWDWQVRDZWLVRDZXLWMRWEWDWQXKVJWEWLCBPVJXMXNMZXLWTWQK
    GZJKGWMXOWTJWQWQWLVKXOVLXMXNUKVMXOXPWLJKWQWLVNNTQTOVOTWHVPDWOWKRWGABFVQWHVP
    VSVTWEWDWPWNRWFBWCVSWAWB $.

  $( The last symbol of a word concatenated with the empty word is the last
     symbol of the word.  (Contributed by AV, 22-Oct-2018.)  (Proof shortened
     by AV, 1-May-2020.) $)
  lswccat0lsw $p |- ( W e. Word V
                     -> ( lastS ` ( W ++ (/) ) ) = ( lastS ` W ) ) $=
    ( cword wcel c0 cconcat co clsw ccatrid fveq2d ) BACDBEFGBHABIJ $.

  ${
    $d A x y $.  $d B x y $.  $d S x y $.
    $( A concatenation of two arbitrary words is a word over an alphabet iff
       the symbols of both words belong to the alphabet.  (Contributed by AV,
       28-Feb-2021.) $)
    ccatalpha $p |- ( ( A e. Word _V /\ B e. Word _V )
            -> ( ( A ++ B ) e. Word S <-> ( A e. Word S /\ B e. Word S ) ) ) $=
      ( vx vy cvv wcel wa co cc0 chash cfv cfzo cmin eleq1d wceq cn0 syl2an syl
      adantr cword cconcat caddc cv cif cmpt ccatfval wf wrdf cdm funmpt cfn wb
      wfun fzofi mptfi ax-mp hashfun mp1i mpbii dmmptg fvex ifex a1i mprg lencl
      fveq2i nn0addcl hashfzo0 eqtrid eqtrd oveq2d feq2d wral eqid simpl wi cuz
      fmpt wss cc nn0cn addcom nn0z anim1ci nn0pzuz eqeltrd fzoss2 sselda eleq1
      weq fveq2 fvoveq1 ifbieq12d rspcv iftrue adantl sylibd impancom iswrdsymb
      cz ralrimiv syl2an2r elincfzoext syl2anc nn0cnd eleq2d mpbird clt wbr w3a
      simpr cn cr nn0red elfzoelz zred readdcld ancoms elfzole1 addge02 lensymd
      mpbid intn3an3d elfzo0 sylnibr iffalsed zcnd syl2anr fveq2d biimpd sylbid
      cle pncan syld jca ex syl5bir syl5 ccatcl impbid1 ) AFUAZGZBUUBGZHZABUBIZ
      CUAZGZAUUGGZBUUGGZHZUUEUUHDJAKLZBKLZUCIZMIZDUDZJUULMIZGZUUPALZUUPUULNIZBL
      ZUEZUFZUUGGZUUKUUEUUFUVCUUGDABUUBUUBUGOUVDJUVCKLZMIZCUVCUHZUUEUUKCUVCUIUU
      EUVGUUOCUVCUHZUUKUUEUVFUUOCUVCUUEUVEUUNJMUUEUVEUVCUJZKLZUUNUUEUVCUNZUVEUV
      JPZDUUOUVBUKUVCULGZUVKUVLUMUUEUUOULGUVMJUUNUODUUOUVBUPUQUVCURUSUTUUEUVJUU
      OKLZUUNUVIUUOKUVBFGZUVIUUOPDUUODUUOUVBFVAUVOUUPUUOGUURUUSUVAUUPAVBUUTBVBV
      CVDVEVGUUEUUNQGZUVNUUNPUUCUULQGZUUMQGZUVPUUDFAVFZFBVFZUULUUMVHRUUNVISVJVK
      VLVMUVHUVBCGZDUUOVNZUUEUUKDUUOCUVBUVCUVCVOVSUUEUWBUUKUUEUWBHZUUIUUJUUEUUC
      UWBEUDZALZCGZEUUQVNUUIUUCUUDVPUWCUWFEUUQUUEUWDUUQGZUWBUWFUUEUWGHZUWBUWGUW
      EUWDUULNIBLZUEZCGZUWFUWHUWDUUOGUWBUWKVQUUEUUQUUOUWDUUEUUNUULVRLZGZUUQUUOV
      TUUCUVQUVRUWMUUDUVSUVTUVQUVRHZUUNUUMUULUCIZUWLUVQUULWAGZUUMWAGZUUNUWOPZUV
      RUULWBUUMWBUULUUMWCZRUWNUVRUULXAGZHUWOUWLGUVQUWTUVRUULWDWEUUMUULWFSWGRUUL
      JUUNWHSWIUWAUWKDUWDUUODEWKZUVBUWJCUXAUURUWGUUSUVAUWEUWIUUPUWDUUQWJUUPUWDA
      WLUUPUWDUULBNWMWNOWOSUWHUWJUWECUWGUWJUWEPUUEUWGUWEUWIWPWQOWRWSXBECAWTXCUU
      EUUDUWBUWDBLZCGZEJUUMMIZVNUUJUUCUUDXLUWCUXCEUXDUUEUWDUXDGZUWBUXCUUEUXEHZU
      WBUWDUULUCIZUUQGZUXGALZUXGUULNIZBLZUEZCGZUXCUXFUXGUUOGZUWBUXMVQUXFUXNUXGJ
      UWOMIZGZUXFUXEUVQUXPUUEUXEXLUUEUVQUXEUUCUVQUUDUVSTTUULJUUMUWDXDXEUUEUXNUX
      PUMUXEUUEUUOUXOUXGUUEUUNUWOJMUUCUWPUWQUWRUUDUUCUULUVSXFZUUDUUMUVTXFUWSRVL
      XGTXHUWAUXMDUXGUUOUUPUXGPZUVBUXLCUXRUURUXHUUSUVAUXIUXKUUPUXGUUQWJUUPUXGAW
      LUUPUXGUULBNWMWNOWOSUXFUXMUXKCGZUXCUXFUXLUXKCUXFUXHUXIUXKUXFUXGQGZUULXMGZ
      UXGUULXIXJZXKUXHUXFUYBUXTUYAUXFUULUXGUUEUULXNGZUXEUUCUYCUUDUUCUULUVSXOTZT
      UXEUUEUXGXNGUXEUUEHUWDUULUXEUWDXNGZUUEUXEUWDUWDJUUMXPZXQZTUUEUYCUXEUYDWQX
      RXSUXFJUWDYMXJZUULUXGYMXJZUXEUYHUUEUWDJUUMXTWQUUEUYCUYEUYHUYIUMUXEUYDUYGU
      ULUWDYARYCYBYDUXGUULYEYFYGOUXFUXSUXCUXFUXKUXBCUXFUXJUWDBUXEUWDWAGUWPUXJUW
      DPUUEUXEUWDUYFYHUUCUWPUUDUXQTUWDUULYNYIYJOYKYLYOWSXBECBWTXCYPYQYRYLYSYLCA
      BYTUUA $.
  $}

  $( Reverse closure of a concatenation:  If the concatenation of two arbitrary
     words is a word over an alphabet then the symbols of the first word belong
     to the alphabet.  (Contributed by AV, 3-Mar-2021.) $)
  ccatrcl1 $p |- ( ( A e. Word X /\ B e. Word Y
                     /\ ( W = ( A ++ B ) /\ W e. Word S ) )
                   -> A e. Word S ) $=
    ( cword wcel cconcat co wceq wa eleq1 cvv wb wrdv ccatalpha sylan9bbr simpl
    syl2an syl6bi expimpd 3impia ) AEGHZBFGHZDABIJZKZDCGZHZLAUHHZUDUELZUGUIUJUK
    UGLUIUJBUHHZLZUJUGUIUFUHHZUKUMDUFUHMUDANGZHBUOHUNUMOUEEAPFBPABCQTRUJULSUAUB
    UC $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Singleton words
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c <" "> $.

  $( Syntax for the singleton word constructor. $)
  cs1 $a class <" A "> $.

  $( Define the canonical injection from symbols to words.  Although not
     required, ` A ` should usually be a set.  Otherwise, the singleton word
     ` <" A "> ` would be the singleton word consisting of the empty set, see
     ~ s1prc , and not, as maybe expected, the empty word, see also ~ s1nz .
     (Contributed by Stefan O'Rear, 15-Aug-2015.)  (Revised by Mario Carneiro,
     26-Feb-2016.) $)
  df-s1 $a |- <" A "> = { <. 0 , ( _I ` A ) >. } $.

  $( Identity function protection for a singleton word.  (Contributed by Mario
     Carneiro, 26-Feb-2016.) $)
  ids1 $p |- <" A "> = <" ( _I ` A ) "> $=
    ( cc0 cid cfv cop csn cs1 cvv wcel wceq fvex fvi ax-mp sneqi df-s1 3eqtr4ri
    opeq2i ) BACDZCDZEZFBREZFRGAGTUASRBRHISRJACKRHLMQNROAOP $.

  $( Value of a singleton word.  (Contributed by Stefan O'Rear, 15-Aug-2015.)
     (Revised by Mario Carneiro, 26-Feb-2016.) $)
  s1val $p |- ( A e. V -> <" A "> = { <. 0 , A >. } ) $=
    ( wcel cs1 cc0 cid cfv cop csn df-s1 fvi opeq2d sneqd eqtrid ) ABCZADEAFGZH
    ZIEAHZIAJOQROPAEABKLMN $.

  $( The range of a singleton word.  (Contributed by Mario Carneiro,
     18-Jul-2016.) $)
  s1rn $p |- ( A e. V -> ran <" A "> = { A } ) $=
    ( wcel cs1 crn cc0 cop csn s1val rneqd c0ex rnsnop eqtrdi ) ABCZADZEFAGHZEA
    HNOPABIJFAKLM $.

  $( Equality theorem for a singleton word.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s1eq $p |- ( A = B -> <" A "> = <" B "> ) $=
    ( wceq cc0 cid cfv cop csn cs1 fveq2 opeq2d sneqd df-s1 3eqtr4g ) ABCZDAEFZ
    GZHDBEFZGZHAIBIOQSOPRDABEJKLAMBMN $.

  ${
    s1eqd.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for a singleton word.  (Contributed by Mario Carneiro,
       26-Feb-2016.) $)
    s1eqd $p |- ( ph -> <" A "> = <" B "> ) $=
      ( wceq cs1 s1eq syl ) ABCEBFCFEDBCGH $.
  $}

  $( A singleton word is a word.  (Contributed by Stefan O'Rear, 15-Aug-2015.)
     (Revised by Mario Carneiro, 26-Feb-2016.)  (Proof shortened by AV,
     23-Nov-2018.) $)
  s1cl $p |- ( A e. B -> <" A "> e. Word B ) $=
    ( wcel cs1 cc0 cop csn cword s1val snopiswrd eqeltrd ) ABCADEAFGBHABIABJK
    $.

  ${
    s1cld.1 $e |- ( ph -> A e. B ) $.
    $( A singleton word is a word.  (Contributed by Mario Carneiro,
       26-Feb-2016.) $)
    s1cld $p |- ( ph -> <" A "> e. Word B ) $=
      ( wcel cs1 cword s1cl syl ) ABCEBFCGEDBCHI $.
  $}

  $( Value of a singleton word if the symbol is a proper class.  (Contributed
     by AV, 26-Mar-2022.) $)
  s1prc $p |- ( -. A e. _V -> <" A "> = <" (/) "> ) $=
    ( cvv wcel wn cs1 cid cfv c0 ids1 fvprc s1eqd eqtrid ) ABCDZAEAFGZEHEAIMNHA
    FJKL $.

  $( A singleton word is a word.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s1cli $p |- <" A "> e. Word _V $=
    ( cs1 cid cfv cvv cword ids1 wcel fvex s1cl ax-mp eqeltri ) ABACDZBZEFZAGME
    HNOHACIMEJKL $.

  $( Length of a singleton word.  (Contributed by Stefan O'Rear, 15-Aug-2015.)
     (Revised by Mario Carneiro, 26-Feb-2016.) $)
  s1len $p |- ( # ` <" A "> ) = 1 $=
    ( cs1 chash cfv cc0 cid cop csn c1 df-s1 fveq2i cvv wcel wceq hashsng ax-mp
    opex eqtri ) ABZCDEAFDZGZHZCDZISUBCAJKUALMUCINETQUALOPR $.

  $( A singleton word is not the empty string.  (Contributed by Mario Carneiro,
     27-Feb-2016.)  (Proof shortened by Kyle Wyonch, 18-Jul-2021.) $)
  s1nz $p |- <" A "> =/= (/) $=
    ( cs1 cc0 cid cfv cop csn c0 df-s1 opex snnz eqnetri ) ABCADEZFZGHAINCMJKL
    $.

  $( The domain of a singleton word is a singleton.  (Contributed by AV,
     9-Jan-2020.) $)
  s1dm $p |- dom <" A "> = { 0 } $=
    ( cc0 csn cvv cs1 wf chash cfv cfzo co cword wcel s1cli wrdf ax-mp c1 s1len
    wceq oveq2 fzo01 eqtrdi eqcomi feq2i mpbir fdmi ) BCZDAEZUFDUGFBUGGHZIJZDUG
    FZUGDKLUJAMDUGNOUFUIDUGUIUFUHPRZUIUFRAQUKUIBPIJUFUHPBISTUAOUBUCUDUE $.

  $( Alternate version of ~ s1dm , having a shorter proof, but requiring that
     ` A ` is a set.  (Contributed by AV, 9-Jan-2020.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  s1dmALT $p |- ( A e. S -> dom <" A "> = { 0 } ) $=
    ( wcel cs1 cdm cc0 cop csn s1val dmeqd dmsnopg eqtrd ) ABCZADZEFAGHZEFHMNOA
    BIJFABKL $.

  $( Sole symbol of a singleton word.  (Contributed by Stefan O'Rear,
     15-Aug-2015.)  (Revised by Mario Carneiro, 26-Feb-2016.) $)
  s1fv $p |- ( A e. B -> ( <" A "> ` 0 ) = A ) $=
    ( wcel cc0 cs1 cfv cop csn s1val fveq1d cn0 wceq 0nn0 fvsng mpan eqtrd ) AB
    CZDAEZFDDAGHZFZAQDRSABIJDKCQTALMDAKBNOP $.

  $( The last symbol of a singleton word is its symbol.  (Contributed by AV,
     22-Oct-2018.) $)
  lsws1 $p |- ( A e. V -> ( lastS ` <" A "> ) = A ) $=
    ( wcel cs1 clsw cfv cc0 cword chash wceq s1cl s1len lsw1 sylancl s1fv eqtrd
    c1 ) ABCZADZEFZGSFZARSBHCSIFQJTUAJABKALBSMNABOP $.

  ${
    $d x W $.
    $( A word of length 1 is a singleton word.  (Contributed by Stefan O'Rear,
       23-Aug-2015.)  (Proof shortened by AV, 1-May-2020.) $)
    eqs1 $p |- ( ( W e. Word A /\ ( # ` W ) = 1 ) -> W = <" ( W ` 0 ) "> ) $=
      ( vx cword wcel chash cfv c1 wceq cc0 cs1 cv cfzo co wral wa id s1len cvv
      fveq2 eqtr4di fvex s1fv ax-mp eqcomi c0ex eqeq12d ralsn mpbir oveq2 fzo01
      csn eqtrdi raleqdv mpbiri jca wb s1cli eqwrd mpan2 syl5ibr imp ) BADEZBFG
      ZHIZBJBGZKZIZVEVHVCVDVGFGZIZCLZBGZVKVGGZIZCJVDMNZOZPZVEVJVPVEVDHVIVEQVFRU
      AVEVPVNCJULZOZVSVFJVGGZIZVTVFVFSEVTVFIJBUBVFSUCUDUEVNWACJUFVKJIVLVFVMVTVK
      JBTVKJVGTUGUHUIVEVNCVOVRVEVOJHMNVRVDHJMUJUKUMUNUOUPVCVGSDEVHVQUQVFURASBCV
      GUSUTVAVB $.
  $}

  ${
    $d S s $.  $d W s $.
    $( A word of length 1 is a singleton word.  (Contributed by AV,
       24-Jan-2021.) $)
    wrdl1exs1 $p |- ( ( W e. Word S /\ ( # ` W ) = 1 )
                      -> E. s e. S W = <" s "> ) $=
      ( cword wcel chash cfv c1 wceq wa cv cs1 cc0 cle wbr 1le1 mpbiri wrdsymb1
      breq2 sylan2 s1eq adantl eqeq2d eqs1 rspcedvd ) BADEZBFGZHIZJZBCKZLZIBMBG
      ZLZICULAUHUFHUGNOZULAEUHUNHHNOPUGHHNSQABRTUIUJULIZJUKUMBUOUKUMIUIUJULUAUB
      UCABUDUE $.
  $}

  $( A word of length 1 is a singleton word consisting of the first symbol of
     the word.  (Contributed by AV, 22-Jul-2018.)  (Proof shortened by AV,
     14-Oct-2018.) $)
  wrdl1s1 $p |- ( S e. V -> ( W = <" S ">
                  <-> ( W e. Word V /\ ( # ` W ) = 1 /\ ( W ` 0 ) = S ) ) ) $=
    ( wcel cs1 wceq cword chash cfv c1 cc0 w3a s1cl s1len a1i s1fv 3jca fveqeq2
    eleq1 fveq1 eqeq1d 3anbi123d syl5ibrcom eqs1 s1eq eqeq2d syl5ibcom impbid1
    wa 3impia ) ABDZCAEZFZCBGZDZCHIJFZKCIZAFZLZUKUSUMULUNDZULHIJFZKULIZAFZLUKUT
    VAVCABMVAUKANOABPQUMUOUTUPVAURVCCULUNSCULJHRUMUQVBAKCULTUAUBUCUOUPURUMUOUPU
    ICUQEZFURUMBCUDURVDULCUQAUEUFUGUJUH $.

  $( The singleton word function is injective.  (Contributed by Mario Carneiro,
     1-Oct-2015.)  (Revised by Mario Carneiro, 26-Feb-2016.) $)
  s111 $p |- ( ( S e. A /\ T e. A ) -> ( <" S "> = <" T "> <-> S = T ) ) $=
    ( wcel wa cs1 wceq cc0 cop csn s1val eqeqan12d cvv wb opex sneqbg mp1i eqid
    cz 0z opthg baibd mpan2 mpan adantr 3bitrd ) BADZCADZEZBFZCFZGHBIZJZHCIZJZG
    ZULUNGZBCGZUGUHUJUMUKUOBAKCAKLULMDUPUQNUIHBOULUNMPQUGUQURNZUHHSDZUGUSTUTUGE
    ZHHGZUSHRVAUQVBURHBHCSAUAUBUCUDUEUF $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Concatenations with singleton words
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The concatenation of a word with a singleton word is a word.  (Contributed
     by Alexander van der Vekens, 22-Sep-2018.) $)
  ccatws1cl $p |- ( ( W e. Word V /\ X e. V )
                   -> ( W ++ <" X "> ) e. Word V ) $=
    ( wcel cword cs1 cconcat co s1cl ccatcl sylan2 ) CADBAEZDCFZLDBMGHLDCAIABMJ
    K $.

  $( The concatenation of a word with a singleton word (which can be over a
     different alphabet) is a word.  (Contributed by AV, 5-Mar-2022.) $)
  ccatws1clv $p |- ( W e. Word V -> ( W ++ <" X "> ) e. Word _V ) $=
    ( cword wcel cvv cs1 cconcat co wrdv s1cli ccatcl sylancl ) BADEBFDZECGZNEB
    OHINEABJCKFBOLM $.

  $( The concatenation of two singleton words is a word.  (Contributed by
     Alexander van der Vekens, 22-Sep-2018.) $)
  ccat2s1cl $p |- ( ( X e. V /\ Y e. V )
                    -> ( <" X "> ++ <" Y "> ) e. Word V ) $=
    ( wcel cs1 cword cconcat co s1cl ccatws1cl sylan ) BADBEZAFZDCADLCEGHMDBAIA
    LCJK $.

  ${
    $d S w $.  $d U w $.  $d X w $.
    $( A concatenation of a word with a singleton word is a word over an
       alphabet ` S ` iff the symbols of both words belong to the alphabet
       ` S ` .  (Contributed by AV, 27-Mar-2022.) $)
    ccats1alpha $p |- ( ( A e. Word V /\ X e. U )
           -> ( ( A ++ <" X "> ) e. Word S <-> ( A e. Word S /\ X e. S ) ) ) $=
      ( vw cword wcel wa cs1 cconcat co cvv wrdv s1cli syl2an wceq simpr elex
      wb a1i ccatalpha cv wrex chash cfv c1 s1len wrdl1exs1 sylancl adantr s111
      eleq1 syl5ibrcom sylbid rexlimdva mpd ex s1cl impbid1 anbi2d adantl bitrd
      ) ADGHZECHZIAEJZKLBGZHZAVGHZVFVGHZIZVIEBHZIZVDAMGZHVFVNHZVHVKTVEDANVOVEEO
      UAAVFBUBPVEVKVMTVDVEVJVLVIVEVJVLVEVJVLVEVJIZVFFUCZJQZFBUDZVLVPVJVFUEUFUGQ
      VSVEVJREUHBVFFUIUJVPVRVLFBVPVQBHZIZVREVQQZVLVPEMHZVQMHVRWBTVTVEWCVJECSUKV
      QBSMEVQULPWAVLWBVTVPVTREVQBUMUNUOUPUQUREBUSUTVAVBVC $.
  $}

  $( The length of the concatenation of a word with a singleton word.
     (Contributed by Alexander van der Vekens, 22-Sep-2018.)  (Revised by AV,
     4-Mar-2022.) $)
  ccatws1len $p |- ( W e. Word V
                      -> ( # ` ( W ++ <" X "> ) ) = ( ( # ` W ) + 1 ) ) $=
    ( cword wcel cs1 cconcat co chash cfv caddc c1 cvv wceq s1cli ccatlen mpan2
    s1len oveq2i eqtrdi ) BADEZBCFZGHIJZBIJZUBIJZKHZUDLKHUAUBMDEUCUFNCOAMBUBPQU
    ELUDKCRST $.

  $( The length of a word is ` N ` iff the length of the concatenation of the
     word with a singleton word is ` N + 1 ` .  (Contributed by AV,
     4-Mar-2022.) $)
  ccatws1lenp1b $p |- ( ( W e. Word V /\ N e. NN0 )
             -> ( ( # ` ( W ++ <" X "> ) ) = ( N + 1 ) <-> ( # ` W ) = N ) ) $=
    ( cword wcel cn0 wa cs1 cconcat co chash cfv caddc ccatws1len adantr eqeq1d
    c1 wceq cc lencl nn0cnd nn0cn adantl 1cnd addcan2d bitrd ) CBEFZAGFZHZCDIJK
    LMZARNKZSCLMZRNKZULSUMASUJUKUNULUHUKUNSUIBCDOPQUJUMARUHUMTFUIUHUMBCUAUBPUIA
    TFUHAUCUDUJUEUFUG $.

  $( The length of a word is the length of the word concatenated with a
     singleton word minus 1.  (Contributed by AV, 28-Jun-2018.)  (Revised by
     AV, 5-Mar-2022.) $)
  wrdlenccats1lenm1 $p |- ( W e. Word V -> ( ( # ` ( W ++ <" S "> ) ) - 1 )
                                           = ( # ` W ) ) $=
    ( cword wcel cs1 cconcat co chash cfv c1 cmin caddc ccatws1len oveq1d lencl
    cc wceq nn0cnd pncan1 syl eqtrd ) CBDEZCAFGHIJZKLHCIJZKMHZKLHZUEUCUDUFKLBCA
    NOUCUEQEUGUERUCUEBCPSUETUAUB $.

  $( The length of the concatenation of two singleton words.  (Contributed by
     Alexander van der Vekens, 22-Sep-2018.)  (Revised by JJ, 14-Jan-2024.) $)
  ccat2s1len $p |- ( # ` ( <" X "> ++ <" Y "> ) ) = 2 $=
    ( cs1 cvv cword wcel cconcat co chash cfv c2 wceq s1cli wa caddc ccatlen c1
    s1len oveq12i 1p1e2 eqtri eqtrdi mp2an ) ACZDEZFZBCZUEFZUDUGGHIJZKLAMBMUFUH
    NUIUDIJZUGIJZOHZKDDUDUGPULQQOHKUJQUKQOARBRSTUAUBUC $.

  $( Obsolete version of ~ ccat2s1len as of 14-Jan-2024.  The length of the
     concatenation of two singleton words.  (Contributed by Alexander van der
     Vekens, 22-Sep-2018.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  ccat2s1lenOLD $p |- ( ( X e. V /\ Y e. V )
                     -> ( # ` ( <" X "> ++ <" Y "> ) ) = 2 ) $=
    ( wcel cs1 cword cconcat co chash c2 wceq s1cl wa caddc ccatlenOLD c1 s1len
    cfv oveq12i 1p1e2 eqtri eqtrdi syl2an ) BADBEZAFZDZCEZUEDZUDUGGHIRZJKCADBAL
    CALUFUHMUIUDIRZUGIRZNHZJAUDUGOULPPNHJUJPUKPNBQCQSTUAUBUC $.

  $( The concatenation of a word with two singleton words is a word.
     (Contributed by Alexander van der Vekens, 22-Sep-2018.) $)
  ccatw2s1cl $p |- ( ( W e. Word V /\ X e. V /\ Y e. V )
                     -> ( ( W ++ <" X "> ) ++ <" Y "> ) e. Word V ) $=
    ( cword wcel cs1 cconcat co ccatws1cl stoic3 ) BAEZFCAFBCGHIZLFDAFMDGHILFAB
    CJAMDJK $.

  $( The length of the concatenation of a word with two singleton words.
     (Contributed by Alexander van der Vekens, 22-Sep-2018.)  (Revised by AV,
     5-Mar-2022.) $)
  ccatw2s1len $p |- ( W e. Word V -> ( # ` ( ( W ++ <" X "> ) ++ <" Y "> ) )
                                     = ( ( # ` W ) + 2 ) ) $=
    ( cword wcel cs1 cconcat co chash cfv c1 caddc c2 cvv ccatws1clv ccatws1len
    wceq syl oveq1d cn0 cc lencl nn0cn add1p1 3syl 3eqtrd ) BAEFZBCGHIZDGHIJKZU
    IJKZLMIZBJKZLMIZLMIZUMNMIZUHUIOEFUJULRABCPOUIDQSUHUKUNLMABCQTUHUMUAFUMUBFUO
    UPRABUCUMUDUMUEUFUG $.

  $( Value of a symbol in the left half of a word concatenated with a single
     symbol.  (Contributed by Alexander van der Vekens, 5-Aug-2018.)  (Revised
     by JJ, 20-Jan-2024.) $)
  ccats1val1 $p |- ( ( W e. Word V /\ I e. ( 0 ..^ ( # ` W ) ) )
                     -> ( ( W ++ <" S "> ) ` I ) = ( W ` I ) ) $=
    ( cword wcel cs1 cvv cc0 chash cfv cfzo cconcat wceq s1cli ccatval1 mp3an2
    co ) DCEFAGZHEFBIDJKLRFBDSMRKBDKNAOCHDSBPQ $.

  $( Obsolete version of ~ ccats1val1 as of 20-Jan-2024.  Value of a symbol in
     the left half of a word concatenated with a single symbol.  (Contributed
     by Alexander van der Vekens, 5-Aug-2018.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  ccats1val1OLD $p |- ( ( W e. Word V /\ S e. V /\ I e. ( 0 ..^ ( # ` W ) ) )
                     -> ( ( W ++ <" S "> ) ` I ) = ( W ` I ) ) $=
    ( wcel cword cs1 cc0 chash cfv cfzo cconcat wceq s1cl ccatval1OLD syl3an2
    co ) ACEDCFZEAGZREBHDIJKQEBDSLQJBDJMACNCDSBOP $.

  $( Value of the symbol concatenated with a word.  (Contributed by Alexander
     van der Vekens, 5-Aug-2018.)  (Proof shortened by Alexander van der
     Vekens, 14-Oct-2018.) $)
  ccats1val2 $p |- ( ( W e. Word V /\ S e. V /\ I = ( # ` W ) )
                     -> ( ( W ++ <" S "> ) ` I ) = S ) $=
    ( cword wcel chash cfv wceq w3a cs1 cconcat co cmin cc0 caddc cfzo 3ad2ant2
    c1 oveq2i simp1 wa cz lencl nn0zd elfzomin syl s1len eleqtrrdi adantr eleq1
    s1cl wb adantl mpbird 3adant2 ccatval2 syl3anc oveq1 3ad2ant3 nn0cnd subidd
    3ad2ant1 eqtrd fveq2d s1fv 3eqtrd ) DCEZFZACFZBDGHZIZJZBDAKZLMHZBVKNMZVNHZO
    VNHZAVMVIVNVHFZBVKVKVNGHZPMZQMZFZVOVQIVIVJVLUAVJVIVSVLACULRVIVLWCVJVIVLUBWC
    VKWBFZVIWDVLVIVKVKVKSPMZQMZWBVIVKUCFVKWFFVIVKCDUDZUEVKUFUGWAWEVKQVTSVKPAUHT
    TUIUJVLWCWDUMVIBVKWBUKUNUOUPCDVNBUQURVMVPOVNVMVPVKVKNMZOVLVIVPWHIVJBVKVKNUS
    UTVIVJWHOIVLVIVKVIVKWGVAVBVCVDVEVJVIVRAIVLACVFRVG $.

  $( The first symbol of a word concatenated with its first symbol is the first
     symbol of the word.  This theorem holds even if ` W ` is the empty word.
     (Contributed by AV, 26-Mar-2022.) $)
  ccat1st1st $p |- ( W e. Word V
                     -> ( ( W ++ <" ( W ` 0 ) "> ) ` 0 ) = ( W ` 0 ) ) $=
    ( cword wcel cc0 cfv cconcat co wceq chash wa c0 hasheq0 biimpa s1cli ax-mp
    cs1 cvv wne syldan ccatlid fveq1i 0ex s1fv eqtri id fveq1 0fv s1eqd oveq12d
    eqtrdi fveq1d 3eqtr4a syl cn necon3bid lennncl lbfzo0 ccats1val1 pm2.61dane
    cfzo sylibr ) BACZDZEBEBFZQZGHZFZVEIZBJFZEVDVJEIZKBLIZVIVDVKVLBVCMZNVLELLQZ
    GHZFZLVHVEVPEVNFZLEVOVNVNRCDVOVNILORVNUAPUBLRDVQLIUCLRUDPUEVLEVGVOVLBLVFVNG
    VLUFVLVELVLVEELFLEBLUGEUHUKZUIUJULVRUMUNVDVJESZEEVJVAHDZVIVDVSKVJUODZVTVDVS
    BLSZWAVDVSWBVDVJEBLVMUPNABUQTVJURVBVEEABUSTUT $.

  $( Extract the first of two concatenated singleton words.  (Contributed by
     Alexander van der Vekens, 22-Sep-2018.)  (Revised by JJ, 20-Jan-2024.) $)
  ccat2s1p1 $p |- ( X e. V -> ( ( <" X "> ++ <" Y "> ) ` 0 ) = X ) $=
    ( wcel cc0 cs1 cconcat co cfv cvv cword chash cfzo wceq s1cli cn c1 eqeltri
    s1len 1nn lbfzo0 mpbir ccatval1 mp3an s1fv eqtrid ) BADEBFZCFZGHIZEUGIZBUGJ
    KZDUHUKDEEUGLIZMHDZUIUJNBOCOUMULPDULQPBSTRULUAUBJJUGUHEUCUDBAUEUF $.

  $( Extract the second of two concatenated singleton words.  (Contributed by
     Alexander van der Vekens, 22-Sep-2018.)  (Revised by JJ, 20-Jan-2024.) $)
  ccat2s1p2 $p |- ( Y e. V -> ( ( <" X "> ++ <" Y "> ) ` 1 ) = Y ) $=
    ( wcel c1 cs1 co cfv cc0 chash cmin caddc cfzo s1cli c2 s1len oveq12i eqtri
    cvv cz cconcat cword wceq clt wbr 1z fzolb mpbir3an 1p1e2 eleqtrri ccatval2
    2z 1lt2 mp3an oveq2i 1m1e0 fveq2i s1fv eqtrid ) CADEBFZCFZUAGHZIVAHZCVBEUTJ
    HZKGZVAHZVCUTSUBZDVAVGDEVDVDVAJHZLGZMGZDVBVFUCBNCNEEOMGZVJEVKDETDOTDEOUDUEU
    FULUMEOUGUHVDEVIOMBPZVIEELGOVDEVHELVLCPQUIRQUJSUTVAEUKUNVEIVAVEEEKGIVDEEKVL
    UOUPRUQRCAURUS $.

  $( Obsolete version of ~ ccat2s1p1 as of 20-Jan-2024.  Extract the first of
     two concatenated singleton words.  (Contributed by Alexander van der
     Vekens, 22-Sep-2018.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  ccat2s1p1OLD $p |- ( ( X e. V /\ Y e. V )
                    -> ( ( <" X "> ++ <" Y "> ) ` 0 ) = X ) $=
    ( wcel wa cc0 cs1 cconcat co cword chash cfzo wceq s1cl adantr adantl cn c1
    cfv s1len a1i 1nn eqeltrdi lbfzo0 sylibr ccatval1OLD syl3anc s1fv eqtrd ) B
    ADZCADZEZFBGZCGZHISZFUMSZBULUMAJZDZUNUQDZFFUMKSZLIDZUOUPMUJURUKBANOUKUSUJCA
    NPUJVAUKUJUTQDVAUJUTRQUTRMUJBTUAUBUCUTUDUEOAUMUNFUFUGUJUPBMUKBAUHOUI $.

  $( Obsolete version of ~ ccat2s1p2 as of 20-Jan-2024.  Extract the second of
     two concatenated singleton words.  (Contributed by Alexander van der
     Vekens, 22-Sep-2018.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  ccat2s1p2OLD $p |- ( ( X e. V /\ Y e. V )
                    -> ( ( <" X "> ++ <" Y "> ) ` 1 ) = Y ) $=
    ( wcel c1 cs1 co chash cmin caddc cfzo wceq s1cl adantl c2 cz s1len oveq12i
    cfv cc0 wa cconcat cword adantr clt wbr 1z 2z fzolb mpbir3an 1p1e2 eleqtrri
    1lt2 eqtri a1i ccatval2 syl3anc oveq2i 1m1e0 fveq2d s1fv eqtrd ) BADZCADZUA
    ZEBFZCFZUBGSZEVFHSZIGZVGSZCVEVFAUCZDZVGVLDZEVIVIVGHSZJGZKGZDZVHVKLVCVMVDBAM
    UDVDVNVCCAMNVRVEEEOKGZVQEVSDEPDOPDEOUEUFUGUHUMEOUIUJVIEVPOKBQZVPEEJGOVIEVOE
    JVTCQRUKUNRULUOAVFVGEUPUQVDVKCLVCVDVKTVGSCVDVJTVGVJTLVDVJEEIGTVIEEIVTURUSUN
    UOUTCAVAVBNVB $.

  $( Associative law for a concatenation of a word with two singleton words.
     (Contributed by Alexander van der Vekens, 22-Sep-2018.) $)
  ccatw2s1ass $p |- ( W e. Word V -> ( ( W ++ <" X "> ) ++ <" Y "> )
                                     = ( W ++ ( <" X "> ++ <" Y "> ) ) ) $=
    ( cword wcel cvv cs1 cconcat co wceq wrdv s1cli a1i ccatass syl3anc ) BAEFZ
    BGEZFCHZRFZDHZRFZBSIJUAIJBSUAIJIJKABLTQCMNUBQDMNGBSUAOP $.

  $( Obsolete version of ~ ccatw2s1ass as of 29-Jan-2024.  Associative law for
     a concatenation of a word with two singleton words.  (Contributed by
     Alexander van der Vekens, 22-Sep-2018.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  ccatw2s1assOLD $p |- ( ( W e. Word V /\ X e. V /\ Y e. V )
                      -> ( ( W ++ <" X "> ) ++ <" Y "> )
                         = ( W ++ ( <" X "> ++ <" Y "> ) ) ) $=
    ( cword wcel cs1 cconcat co wceq id s1cl ccatass syl3an ) BAEZFZPCAFCGZOFDA
    FDGZOFBQHIRHIBQRHIHIJPKCALDALABQRMN $.

  $( The concatenation of a word with a singleton word is not the empty set.
     (Contributed by Alexander van der Vekens, 29-Sep-2018.)  (Revised by AV,
     5-Mar-2022.) $)
  ccatws1n0 $p |- ( W e. Word V -> ( W ++ <" X "> ) =/= (/) ) $=
    ( cword wcel cc0 cs1 cconcat co chash cfv clt wbr c0 wne c1 caddc cn0 lencl
    cvv nn0p1gt0 syl ccatws1len breqtrrd wb ovex hashneq0 ax-mp sylib ) BADEZFB
    CGZHIZJKZLMZULNOZUJFBJKZPQIZUMLUJUPREFUQLMABSUPUAUBABCUCUDULTEUNUOUEBUKHUFU
    LTUGUHUI $.

  $( The last symbol of the concatenation of a word with a singleton word is
     the symbol of the singleton word.  (Contributed by AV, 29-Sep-2018.)
     (Proof shortened by AV, 14-Oct-2018.) $)
  ccatws1ls $p |- ( ( W e. Word V /\ X e. V )
                    -> ( ( W ++ <" X "> ) ` ( # ` W ) ) = X ) $=
    ( cword wcel chash cfv wceq cs1 cconcat co wa eqidd ccats1val2 mpd3an3 ) BA
    DEZCAEZBFGZRHRBCIJKGCHPQLRMCRABNO $.

  $( The last symbol of a word concatenated with a singleton word is the symbol
     of the singleton word.  (Contributed by AV, 6-Aug-2018.)  (Proof shortened
     by AV, 22-Oct-2018.) $)
  lswccats1 $p |- ( ( W e. Word V /\ S e. V )
                    -> ( lastS ` ( W ++ <" S "> ) ) = S ) $=
    ( cword wcel wa cs1 cconcat co clsw cfv wne wceq simpl s1cl adantl s1nz a1i
    c0 lswccatn0lsw syl3anc lsws1 eqtrd ) CBDZEZABEZFZCAGZHIJKZUHJKZAUGUEUHUDEZ
    UHSLZUIUJMUEUFNUFUKUEABOPULUGAQRCUHBTUAUFUJAMUEABUBPUC $.

  $( The last symbol of a nonempty word concatenated with its first symbol is
     the first symbol.  (Contributed by AV, 28-Jun-2018.)  (Proof shortened by
     AV, 1-May-2020.) $)
  lswccats1fst $p |- ( ( P e. Word V /\ 1 <_ ( # ` P ) )
                       -> ( lastS ` ( P ++ <" ( P ` 0 ) "> ) )
                          = ( ( P ++ <" ( P ` 0 ) "> ) ` 0 ) ) $=
    ( cword wcel c1 chash cfv cle wbr wa cc0 cs1 cconcat co clsw wceq lswccats1
    wrdsymb1 syldan cfzo simpl s1cld cn cn0 lencl elnnnn0c biimpri sylan lbfzo0
    sylibr ccatval1 syl3anc eqtr4d ) ABCZDZEAFGZHIZJZAKAGZLZMNZOGZUSKVAGZUOUQUS
    BDVBUSPBARZUSBAQSURUOUTUNDKKUPTNDZVCUSPUOUQUAURUSBVDUBURUPUCDZVEUOUPUDDZUQV
    FBAUEVFVGUQJUPUFUGUHUPUIUJBBAUTKUKULUM $.

  $( Extract the symbol of the first singleton word of a word concatenated with
     this singleton word and another singleton word.  (Contributed by Alexander
     van der Vekens, 22-Sep-2018.)  (Proof shortened by AV, 1-May-2020.)
     (Revised by AV, 1-May-2020.)  (Revised by AV, 29-Jan-2024.) $)
  ccatw2s1p1 $p |- ( ( W e. Word V /\ ( # ` W ) = N /\ X e. V )
                     -> ( ( ( W ++ <" X "> ) ++ <" Y "> ) ` N ) = X ) $=
    ( cword wcel chash cfv wceq w3a cs1 cconcat co cc0 ccatws1cl 3adant2 adantr
    cfzo wa caddc cn0 lencl fzonn0p1 syl simpr eqcomd ccatws1len oveq2d 3eltr4d
    c1 3adant3 ccats1val1 syl2anc simp1 simp3 eqcom 3ad2ant2 ccats1val2 syl3anc
    biimpi eqtrd ) CBFZGZCHIZAJZDBGZKZACDLMNZELMNIZAVIIZDVHVIVCGZAOVIHIZSNZGZVJ
    VKJVDVGVLVFBCDPQVDVFVOVGVDVFTZVEOVEUKUANZSNZAVNVDVEVRGZVFVDVEUBGVSBCUCVEUDU
    ERVPVEAVDVFUFUGVPVMVQOSVDVMVQJVFBCDUHRUIUJULEABVIUMUNVHVDVGAVEJZVKDJVDVFVGU
    OVDVFVGUPVFVDVTVGVFVTVEAUQVAURDABCUSUTVB $.

  $( Obsolete version of ~ ccatw2s1p1 as of 29-Jan-2024.  Extract the symbol of
     the first singleton word of a word concatenated with this singleton word
     and another singleton word.  (Contributed by Alexander van der Vekens,
     22-Sep-2018.)  (Proof shortened by AV, 1-May-2020.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  ccatw2s1p1OLD $p |- ( ( ( W e. Word V /\ ( # ` W ) = N )
                       /\ ( X e. V /\ Y e. V ) )
                     -> ( ( ( W ++ <" X "> ) ++ <" Y "> ) ` N ) = X ) $=
    ( cword wcel chash cfv wceq wa cs1 cconcat co cc0 ccatws1cl ad2ant2r adantr
    cfzo c1 caddc cn0 lencl fzonn0p1 syl simpr eqcomd ccatws1len oveq2d 3eltr4d
    ccats1val1 syl2anc simpll simprl eqcom biimpi ad2antlr ccats1val2 syl3anc
    eqtrd ) CBFZGZCHIZAJZKZDBGZEBGZKZKZACDLMNZELMNIZAVJIZDVIVJVAGZAOVJHIZSNZGZV
    KVLJVBVFVMVDVGBCDPQVEVPVHVEVCOVCTUANZSNZAVOVBVCVRGZVDVBVCUBGVSBCUCVCUDUERVE
    VCAVBVDUFUGVEVNVQOSVBVNVQJVDBCDUHRUIUJREABVJUKULVIVBVFAVCJZVLDJVBVDVHUMVEVF
    VGUNVDVTVBVHVDVTVCAUOUPUQDABCURUSUT $.

  $( Extract the second of two single symbols concatenated with a word.
     (Contributed by Alexander van der Vekens, 22-Sep-2018.)  (Proof shortened
     by AV, 1-May-2020.) $)
  ccatw2s1p2 $p |- ( ( ( W e. Word V /\ ( # ` W ) = N )
                      /\ ( X e. V /\ Y e. V ) )
                    -> ( ( ( W ++ <" X "> ) ++ <" Y "> ) ` ( N + 1 ) ) = Y ) $=
    ( cword wcel chash cfv wa cs1 cconcat co c1 caddc ccatws1cl ad2ant2r simprr
    wceq ccatws1len ad2antrr oveq1 ad2antlr eqtr2d ccats1val2 syl3anc ) CBFZGZC
    HIZASZJZDBGZEBGZJZJZCDKLMZUGGZUMANOMZUPHIZSURUPEKLMIESUHULUQUJUMBCDPQUKULUM
    RUOUSUINOMZURUHUSUTSUJUNBCDTUAUJUTURSUHUNUIANOUBUCUDEURBUPUEUF $.

  $( Extract a symbol of a word from the concatenation of the word with two
     single symbols.  (Contributed by AV, 22-Sep-2018.)  (Revised by AV,
     13-Jan-2020.)  (Proof shortened by AV, 1-May-2020.)  (Revised by AV,
     28-Jan-2024.) $)
  ccat2s1fvw $p |- ( ( W e. Word V /\ I e. NN0 /\ I < ( # ` W ) )
                    -> ( ( ( W ++ <" X "> ) ++ <" Y "> ) ` I ) = ( W ` I ) ) $=
    ( cword wcel cn0 cfv clt wbr cs1 cconcat co wceq 3ad2ant1 cvv cc0 wa cr w3a
    chash ccatw2s1ass fveq1d cfzo simp1 s1cli ccatws1clv simp2 lencl cle nn0ge0
    mp1i cn adantl wi 0red nn0re nn0red adantr lelttr syl3anc elnnnn0b sylanbrc
    mpand 3impia simp3 elfzo0 syl3anbrc ccatval1 eqtrd ) CBFGZAHGZACUBIZJKZUAZA
    CDLZMNELZMNZIACVQVRMNZMNZIZACIZVPAVSWAVLVMVSWAOVOBCDEUCPUDVPVLVTQFZGZARVNUE
    NGZWBWCOVLVMVOUFVQWDGWEVPDUGQVQEUHUMVPVMVNUNGZVOWFVLVMVOUIVPVNHGZRVNJKZWGVL
    VMWHVOBCUJZPVLVMVOWIVLVMSZRAUKKZVOWIVMWLVLAULUOWKRTGATGZVNTGZWLVOSWIUPWKUQV
    MWMVLAURUOVLWNVMVLVNWJUSUTRAVNVAVBVEVFVNVCVDVLVMVOVGAVNVHVIBQCVTAVJVBVK $.

  $( Obsolete version of ~ ccat2s1fvw as of 28-Jan-2024.  Extract a symbol of a
     word from the concatenation of the word with two single symbols.
     (Contributed by AV, 22-Sep-2018.)  (Revised by AV, 13-Jan-2020.)  (Proof
     shortened by AV, 1-May-2020.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  ccat2s1fvwOLD $p |- ( ( ( W e. Word V /\ I e. NN0 /\ I < ( # ` W ) )
                       /\ ( X e. V /\ Y e. V ) )
                    -> ( ( ( W ++ <" X "> ) ++ <" Y "> ) ` I ) = ( W ` I ) ) $=
    ( wcel cn0 cfv clt wbr wa cs1 cconcat co wceq cc0 adantl cr adantr syl3anc
    cword chash w3a ccatw2s1assOLD 3expb 3ad2antl1 fveq1d cfzo simpl1 ccat2s1cl
    cn simp2 lencl 3ad2ant1 cle nn0ge0 wi 0red nn0re nn0red lelttr mpand 3impia
    elnnnn0b sylanbrc simp3 elfzo0 syl3anbrc ccatval1 eqtrd ) CBUAZFZAGFZACUBHZ
    IJZUCZDBFZEBFZKZKZACDLZMNELZMNZHACWAWBMNZMNZHZACHZVTAWCWEVLVMVSWCWEOZVOVLVQ
    VRWHBCDEUDUEUFUGVTVLWDVKFZAPVNUHNFZWFWGOVLVMVOVSUIVSWIVPBDEUJQVPWJVSVPVMVNU
    KFZVOWJVLVMVOULVPVNGFZPVNIJZWKVLVMWLVOBCUMZUNVLVMVOWMVLVMKZPAUOJZVOWMVMWPVL
    AUPQWOPRFARFZVNRFZWPVOKWMUQWOURVMWQVLAUSQVLWRVMVLVNWNUTSPAVNVATVBVCVNVDVEVL
    VMVOVFAVNVGVHSBBCWDAVITVJ $.

  $( The first symbol of the concatenation of a word with two single symbols.
     (Contributed by Alexander van der Vekens, 22-Sep-2018.)  (Revised by AV,
     28-Jan-2024.) $)
  ccat2s1fst $p |- ( ( W e. Word V /\ 0 < ( # ` W ) )
                   -> ( ( ( W ++ <" X "> ) ++ <" Y "> ) ` 0 ) = ( W ` 0 ) ) $=
    ( cword wcel cc0 cn0 cfv clt wbr cs1 cconcat co wceq 0nn0 ccat2s1fvw mp3an2
    chash ) BAEFGHFGBSIJKGBCLMNDLMNIGBIOPGABCDQR $.

  $( Obsolete version of ~ ccat2s1fst as of 28-Jan-2024.  The first symbol of
     the concatenation of a word with two single symbols.  (Contributed by
     Alexander van der Vekens, 22-Sep-2018.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  ccat2s1fstOLD $p |- ( ( ( W e. Word V /\ 0 < ( # ` W ) )
                       /\ ( X e. V /\ Y e. V ) )
            -> ( ( ( W ++ <" X "> ) ++ <" Y "> ) ` 0 ) = ( W ` 0 ) ) $=
    ( cword wcel cc0 cn0 chash cfv clt wbr wa cs1 cconcat co wceq ccat2s1fvwOLD
    0nn0 mp3anl2 ) BAEFGHFGBIJKLCAFDAFMGBCNOPDNOPJGBJQSGABCDRT $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subwords/substrings
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c substr $.

  $( Syntax for the subword operator. $)
  csubstr $a class substr $.

  ${
    $d s b x $.
    $( Define an operation which extracts portions (called _subwords_ or
       _substrings_) of words.  Definition in Section 9.1 of [AhoHopUll]
       p. 318.  (Contributed by Stefan O'Rear, 15-Aug-2015.) $)
    df-substr $a |- substr = ( s e. _V , b e. ( ZZ X. ZZ ) |->
        if ( ( ( 1st ` b ) ..^ ( 2nd ` b ) ) C_ dom s ,
          ( x e. ( 0 ..^ ( ( 2nd ` b ) - ( 1st ` b ) ) ) |->
            ( s ` ( x + ( 1st ` b ) ) ) ) , (/) ) ) $.

    $( The value of a subword operation for noninteger arguments is the empty
       set.  (This is due to our definition of function values for
       out-of-domain arguments, see ~ ndmfv ).  (Contributed by AV,
       2-Dec-2022.)  (New usage is discouraged.) $)
    swrdnznd $p |- ( -. ( F e. ZZ /\ L e. ZZ )
                     -> ( S substr <. F , L >. ) = (/) ) $=
      ( vs vb vx cvv wcel cop cz cxp wa csubstr co c0 wceq opelxp cv cfv cfzo
      biimpi adantl c1st c2nd cdm wss cc0 cmin caddc cmpt cif df-substr mpondm0
      nsyl5 ) AGHZBCIZJJKZHZLBJHCJHLZAUPMNOPURUSUOURUSBCJJQUAUBDEERZUCSZUTUDSZT
      NDRZUEUFFUGVBVAUHNTNFRVAUINVCSUJOUKMAUPGUQFDEULUMUN $.
  $}

  ${
    $d s b x S $.  $d s b x F $.  $d s b x L $.  $d s b x V $.  $d s b x A $.
    $d x X $.
    $( Value of a subword.  (Contributed by Stefan O'Rear, 15-Aug-2015.) $)
    swrdval $p |- ( ( S e. V /\ F e. ZZ /\ L e. ZZ ) ->
        ( S substr <. F , L >. ) = if ( ( F ..^ L ) C_ dom S ,
          ( x e. ( 0 ..^ ( L - F ) ) |-> ( S ` ( x + F ) ) ) , (/) ) ) $=
      ( vs vb wcel cz cvv cv c1st cfv c2nd cfzo co cc0 cmin c0 wceq w3a cop cxp
      cdm wss caddc cmpt cif csubstr cmpo df-substr a1i wa simprl adantl op1stg
      fveq2 3adant1 sylan9eqr op2ndg simp2 simp3 oveq12d sseq12d oveq2d fveq12d
      simp1 dmeqd mpteq12dv ifbieq1d syl3anc elex 3ad2ant1 opelxpi mptex ovmpod
      ovex 0ex ifex ) BEHZCIHZDIHZUAZFGBCDUBZJIIUCZGKZLMZWFNMZOPZFKZUDZUEZAQWHW
      GRPZOPZAKZWGUFPZWJMZUGZSUHZCDOPZBUDZUEZAQDCRPZOPZWOCUFPZBMZUGZSUHZUIJUIFG
      JWEWSUJTWCAFGUKULWCWJBTZWFWDTZUMZUMXIWGCTZWHDTZWSXHTWCXIXJUNXKWCWGWDLMZCX
      JWGXNTXIWFWDLUQUOWAWBXNCTVTCDIIUPURUSXKWCWHWDNMZDXJWHXOTXIWFWDNUQUOWAWBXO
      DTVTCDIIUTURUSXIXLXMUAZWLXBWRXGSXPWIWTWKXAXPWGCWHDOXIXLXMVAZXIXLXMVBZVCXP
      WJBXIXLXMVGZVHVDXPAWNWQXDXFXPWMXCQOXPWHDWGCRXRXQVCVEXPWPXEWJBXSXPWGCWOUFX
      QVEVFVIVJVKVTWABJHWBBEVLVMWAWBWDWEHVTCDIIVNURXHJHWCXBXGSAXDXFQXCOVQVOVRVS
      ULVP $.

    $( A zero length substring.  (Contributed by Stefan O'Rear,
       27-Aug-2015.) $)
    swrd00 $p |- ( S substr <. X , X >. ) = (/) $=
      ( vx vs vb cop csubstr cdm wcel co c0 wceq cvv cz cxp cfzo cc0 cfv cmpt
      cv wa opelxp w3a wss cmin cif swrdval fzo0 0ss eqsstri iftruei zcn subidd
      caddc oveq2d 3ad2ant2 eqtrdi mpteq1d mpt0 eqtrid eqtrd 3expb sylan2b c1st
      sylbi c2nd df-substr ovex mptex 0ex ifex dmmpo eleq2s df-ov ndmfv pm2.61i
      wn ) ABBFZFZGHZIZAVRGJZKLZWCVSMNNOZOZVTVSWEIAMIZVRWDIZUAWCAVRMWDUBWGWFBNI
      ZWHUAWCBBNNUBWFWHWHWCWFWHWHUCZWBBBPJZAHZUDZCQBBUEJZPJZCTZBUNJARZSZKUFZKCA
      BBMUGWIWRWQKWLWQKWJKWKBUHWKUIUJUKWIWQCKWPSKWICWNKWPWIWNQQPJZKWHWFWNWSLWHW
      HWMQQPWHBBULUMUOUPQUHUQURCWPUSUQUTVAVBVCVEDEMWDETZVDRZWTVFRZPJDTZHUDZCQXB
      XAUEJZPJZWOXAUNJXCRZSZKUFGCDEVGXDXHKCXFXGQXEPVHVIVJVKVLVMWAVQWBVSGRKAVRGV
      NVSGVOUTVP $.

    $( Closure of the subword extractor.  (Contributed by Stefan O'Rear,
       16-Aug-2015.)  (Revised by Mario Carneiro, 26-Feb-2016.) $)
    swrdcl $p |- ( S e. Word A -> ( S substr <. F , L >. ) e. Word A ) $=
      ( vx vs vb wcel csubstr co c0 cz wa cv cfv cfzo cdm wss cc0 cmin cword n0
      cop eleq1 wne wex cxp cvv c1st c2nd caddc cmpt cif df-substr opelxp sylib
      elmpocl2 exlimiv sylbi w3a swrdval wf chash wrdf 3ad2ant1 ad2antrr simplr
      simpr simpll3 simpll2 fzoaddel2 syl3anc sseldd fdmd eleqtrd fmpttd iswrdi
      ffvelrnd syl wn wrd0 a1i ifclda eqeltrd 3expb sylan2 pm2.61ne ) BAUAZHZBC
      DUCZIJZWHHZKWHHZWKKWKKWHUDWKKUEZWICLHZDLHZMZWLWNENZWKHZEUFWQEWKUBWSWQEWSW
      JLLUGZHWQFGUHWTGNZUIOZXAUJOZPJFNZQRESXCXBTJPJWRXBUKJXDOULKUMBWJIWREFGUNUQ
      CDLLUOUPURUSWIWOWPWLWIWOWPUTZWKCDPJZBQZRZESDCTJZPJZWRCUKJZBOZULZKUMWHEBCD
      WHVAXEXHXMKWHXEXHMZXJAXMVBXMWHHXNEXJXLAXNWRXJHZMZSBVCOPJZAXKBXEXQABVBZXHX
      OWIWOXRWPABVDVEVFZXPXKXGXQXPXFXGXKXEXHXOVGXPXOWPWOXKXFHXNXOVHWIWOWPXHXOVI
      WIWOWPXHXOVJWRDCVKVLVMXPXQABXSVNVOVRVPAXIXMVQVSWMXEXHVTMAWAZWBWCWDWEWFWMW
      IXTWBWG $.

    $( Value of the subword extractor in its intended domain.  (Contributed by
       Stefan O'Rear, 15-Aug-2015.)  (Proof shortened by AV, 2-May-2020.) $)
    swrdval2 $p |- ( ( S e. Word A /\ F e. ( 0 ... L ) /\
          L e. ( 0 ... ( # ` S ) ) ) -> ( S substr <. F , L >. ) =
          ( x e. ( 0 ..^ ( L - F ) ) |-> ( S ` ( x + F ) ) ) ) $=
      ( wcel cc0 cfz co cfv cfzo wss c0 wceq elfzelz 3ad2ant2 3ad2ant3 cuz syl
      cz cword chash w3a cop csubstr cdm cmin cv caddc cmpt cif swrdval syl3anc
      simp1 elfzuz fzoss1 elfzuz3 fzoss2 sstrd wrddm 3ad2ant1 sseqtrrd iftrued
      eqtrd ) CBUAZFZDGEHIFZEGCUBJZHIFZUCZCDEUDUEIZDEKIZCUFZLZAGEDUGIKIAUHDUIIC
      JUJZMUKZVOVJVFDTFZETFZVKVPNVFVGVIUNVGVFVQVIDGEOPVIVFVRVGEGVHOQACDEVEULUMV
      JVNVOMVJVLGVHKIZVMVJVLGEKIZVSVJDGRJFZVLVTLVGVFWAVIDGEUOPDGEUPSVJVHERJFZVT
      VSLVIVFWBVGEGVHUQQEGVHURSUSVFVGVMVSNVIBCUTVAVBVCVD $.

    $( Length of an extracted subword.  (Contributed by Stefan O'Rear,
       16-Aug-2015.) $)
    swrdlen $p |- ( ( S e. Word A /\ F e. ( 0 ... L ) /\
          L e. ( 0 ... ( # ` S ) ) ) ->
        ( # ` ( S substr <. F , L >. ) ) = ( L - F ) ) $=
      ( vx cword wcel cc0 cfz chash cfv w3a cop csubstr cmin cfzo wfn wceq syl
      co caddc cmpt fvex eqid fnmpti swrdval2 fneq1d mpbiri hashfn cn0 fznn0sub
      cv 3ad2ant2 hashfzo0 eqtrd ) BAFGZCHDITGZDHBJKITGZLZBCDMNTZJKZHDCOTZPTZJK
      ZVBUSUTVCQZVAVDRUSVEEVCEULCUATZBKZUBZVCQEVCVGVHVFBUCVHUDUEUSVCUTVHEABCDUF
      UGUHVCUTUISUSVBUJGZVDVBRUQUPVIURCHDUKUMVBUNSUO $.

    $( A symbol in an extracted subword, indexed using the subword's indices.
       (Contributed by Stefan O'Rear, 16-Aug-2015.) $)
    swrdfv $p |- ( ( ( S e. Word A /\ F e. ( 0 ... L ) /\
            L e. ( 0 ... ( # ` S ) ) ) /\ X e. ( 0 ..^ ( L - F ) ) ) ->
        ( ( S substr <. F , L >. ) ` X ) = ( S ` ( X + F ) ) ) $=
      ( vx cword wcel cc0 cfz co chash cfv w3a cmin cfzo cop csubstr cv caddc
      cmpt swrdval2 fveq1d fvoveq1 eqid fvex fvmpt sylan9eq ) BAGHCIDJKHDIBLMJK
      HNZEIDCOKPKZHEBCDQRKZMEFUJFSZCTKBMZUAZMECTKZBMZUIEUKUNFABCDUBUCFEUMUPUJUN
      ULECBTUDUNUEUOBUFUGUH $.
  $}

  $( The first symbol in an extracted subword.  (Contributed by AV,
     27-Apr-2022.) $)
  swrdfv0 $p |- ( ( S e. Word A /\ F e. ( 0 ..^ L )
                    /\ L e. ( 0 ... ( # ` S ) ) )
                  -> ( ( S substr <. F , L >. ) ` 0 ) = ( S ` F ) ) $=
    ( cword wcel cc0 cfzo chash cfv cfz w3a cop csubstr caddc cmin wceq elfzofz
    co 3ad2ant2 3anim2i cn fzonnsub lbfzo0 sylibr syl2anc elfzoelz zcnd addid2d
    swrdfv fveq2d eqtrd ) BAEFZCGDHSFZDGBIJKSFZLZGBCDMNSJZGCOSZBJZCBJZUPUMCGDKS
    FZUOLGGDCPSZHSFZUQUSQUNVAUMUOCGDRUAUPVBUBFZVCUNUMVDUOCGDUCTVBUDUEABCDGUJUFU
    NUMUSUTQUOUNURCBUNCUNCCGDUGUHUIUKTUL $.

  $( A subword of a word is a function from a half-open range of nonnegative
     integers of the same length as the subword to the set of symbols for the
     original word.  (Contributed by AV, 13-Nov-2018.) $)
  swrdf $p |- ( ( W e. Word V /\ M e. ( 0 ... N ) /\ N e. ( 0 ... ( # ` W ) ) )
                -> ( W substr <. M , N >. ) : ( 0 ..^ ( N - M ) ) --> V ) $=
    ( cword wcel cc0 cfz co chash cfv w3a cop csubstr cfzo cmin swrdcl wrdf syl
    wf 3ad2ant1 swrdlen oveq2d feq2d mpbid ) DCEZFZAGBHIFZBGDJKHIFZLZGDABMNIZJK
    ZOIZCUKTZGBAPIZOIZCUKTUGUHUNUIUGUKUFFUNCDABQCUKRSUAUJUMUPCUKUJULUOGOCDABUBU
    CUDUE $.

  $( Value of the subword extractor as function with domain.  (Contributed by
     Alexander van der Vekens, 28-Mar-2018.)  (Proof shortened by AV,
     2-May-2020.) $)
  swrdvalfn $p |- ( ( S e. Word V /\ F e. ( 0 ... L )
                                    /\ L e. ( 0 ... ( # ` S ) ) )
                      -> ( S substr <. F , L >. ) Fn ( 0 ..^ ( L - F ) ) ) $=
    ( cword wcel cc0 cfz co chash cfv w3a cmin cfzo cop csubstr swrdf ffnd ) AD
    EFBGCHIFCGAJKHIFLGCBMINIDABCOPIBCDAQR $.

  $( The range of a subword of a word is a subset of the set of symbols for the
     word.  (Contributed by AV, 13-Nov-2018.) $)
  swrdrn $p |- ( ( W e. Word V /\ M e. ( 0 ... N )
                   /\ N e. ( 0 ... ( # ` W ) ) )
                 -> ran ( W substr <. M , N >. ) C_ V ) $=
    ( cword wcel cc0 cfz co chash cfv w3a cmin cfzo cop csubstr swrdf frnd ) DC
    EFAGBHIFBGDJKHIFLGBAMINICDABOPIABCDQR $.

  ${
    $d F i $.  $d L i $.  $d V i $.  $d W i $.
    $( The value of the subword extractor is the empty set (undefined) if the
       range is not valid.  (Contributed by Alexander van der Vekens,
       16-Mar-2018.)  (Proof shortened by AV, 2-May-2020.) $)
    swrdlend $p |- ( ( W e. Word V /\ F e. ZZ /\ L e. ZZ )
                     -> ( L <_ F -> ( W substr <. F , L >. ) = (/) ) ) $=
      ( vi cword wcel cz w3a cle wbr cop csubstr co c0 wceq wa cfzo cmpt adantr
      cdm wss cc0 cmin cv caddc cfv cif swrdval simpr 3simpc fzon syl mpbid 0ss
      wb eqsstrdi iftrued fzo0n biimpa 3adantl1 mpteq1d mpt0 eqtrdi 3eqtrd ex )
      DCFZGZAHGZBHGZIZBAJKZDABLMNZOPVKVLQZVMABRNZDUAZUBZEUCBAUDNRNZEUEAUFNDUGZS
      ZOUHZVTOVKVMWAPVLEDABVGUITVNVQVTOVNVOOVPVNVLVOOPZVKVLUJVNVIVJQZVLWBUPVKWC
      VLVHVIVJUKTABULUMUNVPUOUQURVNVTEOVSSOVNEVROVSVIVJVLVROPZVHWCVLWDABUSUTVAV
      BEVSVCVDVEVF $.

    $( The value of the subword extractor is the empty set (undefined) if the
       range is not valid.  (Contributed by Alexander van der Vekens,
       16-Mar-2018.)  (Proof shortened by AV, 2-May-2020.) $)
    swrdnd $p |- ( ( W e. Word V /\ F e. ZZ /\ L e. ZZ )
                   -> ( ( F < 0 \/ L <_ F \/ ( # ` W ) < L )
                        -> ( W substr <. F , L >. ) = (/) ) ) $=
      ( vi cc0 clt wbr cle wcel cz co c0 wo wi wn wa cfzo adantl wb chash cword
      cfv w3o w3a cop csubstr wceq 3orcomb df-3or bitri swrdlend com12 cdm cmin
      wss cv caddc cmpt cif swrdval zre ltnled 3ad2ant2 cr lencl nn0red anim12i
      3adant2 ltnle syl orbi12d biimpcd adantr imp ianor sylibr 3simpc nn0zd 0z
      jctil 3ad2ant1 syl2an 3adant1 biimprcd ssfzo12bi syl2an23an mtbird sseq2d
      0red wrddm notbid mpbird iffalsed eqtrd exp31 impcom jaoi3 orcoms sylbi )
      AFGHZBAIHZDUAUCZBGHZUDZDCUBZJZAKJZBKJZUEZDABUFUGLZMUHZXEXAXDNZXBNZXJXLOZX
      EXAXDXBUDXNXAXBXDUIXAXDXBUJUKXBXMXOXBXOXMXJXBXLABCDULUMXMXBPZXOXMXPXJXLXM
      XPQZXJQZXKABRLZDUNZUPZEFBAUOLRLEUQAURLDUCUSZMUTZMXJXKYCUHXQEDABXFVASXRYAY
      BMXRYAPZXSFXCRLZUPZPZXRYFFAIHZBXCIHZQZXRYHPZYIPZNZYJPXQXJYMXMXJYMOXPXJXMY
      MXJXAYKXDYLXHXGXAYKTXIXHAFAVBZXHWJVCVDXJXCVEJZBVEJZQZXDYLTXGXIYQXHXGYOXIY
      PXGXCCDVFZVGBVBZVHVIXCBVJVKVLVMVNVOYHYIVPVQXJXHXIQFKJZXCKJZQZXQABGHZYFYJT
      XGXHXIVRXGXHUUBXIXGUUAYTXGXCYRVSVTWAWBXQXJUUCXPXJUUCOXMXJUUCXPXHXIUUCXPTZ
      XGXHAVEJYPUUDXIYNYSABVJWCWDWESVOABFXCWFWGWHXJYDYGTZXQXGXHUUEXIXGYAYFXGXTY
      EXSCDWKWIWLWBSWMWNWOWPWQWRWSWTUM $.
  $}

  ${
    $d A x $.  $d B x $.  $d V x $.  $d W x $.
    $( Value of the subword extractor outside its intended domain.
       (Contributed by Alexander van der Vekens, 24-May-2018.) $)
    swrdnd2 $p |- ( ( W e. Word V /\ A e. ZZ /\ B e. ZZ )
                       -> ( ( B <_ A \/ ( # ` W ) <_ A \/ B <_ 0 )
                            -> ( W substr <. A , B >. ) = (/) ) ) $=
      ( vx cle wbr cfv cc0 wcel cz w3a co c0 wceq wo wi wn wa cfzo chash 3orass
      w3o cword cop csubstr pm2.24 cdm wss cmin caddc cmpt cif swrdval ad2antrr
      cv cn0 wrddm lencl 3anass ssfzoulel sylanbr con3dimp sseq2 notbid syl5ibr
      imp exp5j sylc 3impib imp31 iffalsed eqtrd ex expcom com23 swrdlend com12
      jaoi pm2.61d2 sylbi ) BAFGZDUAHZAFGZBIFGZUCZDCUDZJZAKJZBKJZLZDABUEUFMZNOZ
      WFWBWDWEPZPZWKWMQZWBWDWEUBWOWBWPWBWBRZWPQWNWBWPUGWNWKWQWMWKWNWQWMQWKWNSZW
      QWMWRWQSZWLABTMZDUHZUIZEIBAUJMTMEUPAUKMDHULZNUMZNWKWLXDOWNWQEDABWGUNUOWSX
      BXCNWKWNWQXBRZWHWIWJWNWQXEQQZWHXAIWCTMZOZWCUQJZWIWJSZXFQCDURCDUSXHXIXJWNW
      QXEXIXJSZWNSZWQSXEXHWTXGUIZRXLXMWBXKXIWIWJLZWNXMWBQZXIWIWJUTXNWNXOABWCVAV
      GVBVCXHXBXMXAXGWTVDVEVFVHVIVJVKVLVMVNVOVPVSWKWBWMABCDVQVRVTWAVR $.
  $}

  $( The value of a subword operation for arguments not being nonnegative
     integers is the empty set.  (Contributed by AV, 2-Dec-2022.) $)
  swrdnnn0nd $p |- ( ( S e. Word V /\ -. ( F e. NN0 /\ L e. NN0 ) )
                     -> ( S substr <. F , L >. ) = (/) ) $=
    ( cn0 wcel wa wn cz cc0 cle wbr wo wi ianor bitri clt cr wb 0red csubstr co
    cword cop c0 elnn0z xchnxbir orbi12i or4 bicomi orbi1i swrdnznd a1d notnotb
    w3a chash cfv w3o zre jca 3ad2ant2 ltnle syl orc syl6bir com12 a1i 3ad2ant3
    wceq anbi12d ltleletr syl3anc syl6 ancomsd sylbird jaoi3 impcom orcd df-3or
    olc sylibr swrdnd imp syldan ex 3expb expcom com23 sylbir sylbi ) BEFZCEFZG
    HZADUCFZABCUDUAUBUEVIZWMBIFZCIFZGZHZJBKLZHZJCKLZHZMZMZWNWONZWMWKHZWLHZMZXEW
    KWLOXIWPHZXAMZWQHZXCMZMZXEXGXKXHXMWPWTGXKWKWPWTOBUFUGWQXBGXMWLWQXBOCUFUGUHX
    NXJXLMZXDMXEXJXAXLXCUIXOWSXDWSXOWPWQOUJUKPPPWSXFXDWSWOWNABCULUMWSHZXDXFXPWR
    XDXFNWRUNWRWNXDWOWNWRXDWONZWNWPWQXQWNWPWQUOZXDWOXRXDBJQLZCBKLZAUPUQCQLZURZW
    OXRXDGZXSXTMZYAMYBYCYDYAXDXRYDXAXRYDNXCXRXAYDXRXAXSYDXRBRFZJRFZGZXSXASWPWNY
    GWQWPYEYFBUSZWPTUTVABJVBVCXSXTVDVEVFXRXAHZXCGZYDXRYJWTCJQLZGYDXRWTYIYKXCWTY
    ISXRWTUNVGXRCRFZYFGZYKXCSWQWNYMWPWQYLYFCUSZWQTUTVHCJVBVCVJXRYKWTYDXRYKWTGZX
    TYDXRYLYFYEYOXTNWQWNYLWPYNVHXRTWPWNYEWQYHVACJBVKVLXTXSVTVMVNVOVFVPVQVRXSXTY
    AVSWAXRYBWOBCDAWBWCWDWEWFWGWHWIWCVPWJVQ $.

  $( The value of a subword operation for inproper arguments is the empty set.
     (Contributed by AV, 2-Dec-2022.) $)
  swrdnd0 $p |- ( S e. Word V
                  -> ( -. ( F e. ( 0 ... L ) /\ L e. ( 0 ... ( # ` S ) ) )
                       -> ( S substr <. F , L >. ) = (/) ) ) $=
    ( cc0 co wcel wa wn cn0 cle wbr w3o wo w3a wi clt cr adantr 3ad2ant2 cfz c0
    chash cfv cword cop csubstr wceq ianor 3ianor elfz2nn0 orbi12i bitri df-3or
    xchnxbir swrdnnn0nd expcom sylbir anor wb nn0re syl2anr nn0z anim12i anim2i
    ltnle cz 3anass sylibr anim12ci adantl ltle syl 3mix2d swrdnd sylc ex com23
    imp sylbird jaoi3 sylbi 3anor pm2.24 com12 lencl syl11 nn0red 3ad2ant1 3jca
    a1d simpr 3mix3 syl2im expd 3jaoi syl5bir impcom syl5bi ) BECUAFGZCEAUCUDZU
    AFGZHIZBJGZIZCJGZIZBCKLZIZMZXGXAJGZIZCXAKLZIZMZNZADUEGZABCUFUGFUBUHZXCWTIZX
    BIZNXPWTXBUIXSXJXTXOXDXFXHOZXJWTXDXFXHUJBCUKUOXFXKXMOXOXBXFXKXMUJCXAUKUOULU
    MXPXQXRXJXQXRPZXOXJXEXGNZXINYBXEXGXIUNYCYBXIYCXDXFHZIZYBXDXFUIXQYEXRABCDUPU
    QURYCIZXIYBYFYDXIYBPXDXFUSYDXICBQLZYBXFCRGZBRGZYGXIUTXDCVAZBVAZCBVFVBYDXQYG
    XRXQYDYGXRPXQYDHZYGXRYLYGHZXQBVGGZCVGGZOZBEQLZCBKLZXACQLZMZXRYLYPYGYLXQYNYO
    HZHYPYDUUAXQXDYNXFYOBVCZCVCZVDVEXQYNYOVHVISYMYRYQYSYLYGYRYLYHYIHZYGYRPYDUUD
    XQXDYIXFYHYKYJVJVKCBVLVMVSVNBCDAVOZVPVQUQVRVTURVSWAWBXOXJIZYBUUFYAXOYBXDXFX
    HWCXGYAYBPXLXNYAXGYBXFXDXGYBPXHXFYBWDTWEXLYBYAXKXLXRXQXKXRWDDAWFZWGWKXNYAXQ
    XRYAXQHZXNXRUUHXNYSXRXQXARGYHYSXNUTYAXQXAUUGWHXFXDYHXHYJTXACVFVBUUHYPYSYTXR
    UUHXQYNYOYAXQWLYAYNXQXDXFYNXHUUBWISYAYOXQXFXDYOXHUUCTSWJYSYQYRWMUUEWNVTWEWO
    WPWQWRWAWEWS $.

  ${
    $d F x $.  $d L x $.  $d b s z $.
    $( A subword of an empty set is always the empty set.  (Contributed by AV,
       31-Mar-2018.)  (Revised by AV, 20-Oct-2018.)  (Proof shortened by AV,
       2-May-2020.) $)
    swrd0 $p |- ( (/) substr <. F , L >. ) = (/) $=
      ( vx vs vb vz c0 csubstr cdm wcel co wceq cvv cz wa cfzo wss cc0 cv cfv
      cop cxp opelxp w3a cmin caddc cmpt cif swrdval clt wbr wn fzonlt0 biimprd
      con2d impcom ss0 nsyl dm0 a1i sseq2d mtbird ssidd biimpac 3sstr4d iftrued
      iffalsed cle cr wb zre lenlt bicomd syl2anr fzo0n bitrd mpteq1d wral ral0
      dmeqd dmmptg mp1i eqtrd wrel mptrel reldm0 mpbird pm2.61ian 3adant1 3expb
      sylan2b sylbi c1st c2nd df-substr ovex mptex 0ex dmmpo eleq2s df-ov ndmfv
      ifex eqtrid pm2.61i ) GABUAZUAZHIZJZGXFHKZGLZXKXGMNNUBZUBZXHXGXMJGMJZXFXL
      JZOXKGXFMXLUCXOXNANJZBNJZOZXKABNNUCXNXPXQXKXNXPXQUDXJABPKZGIZQZCRBAUEKPKZ
      CSAUFKGTZUGZGUHZGCGABMUIXPXQYEGLZXNABUJUKZXRYFYGXROZYAYDGYHYAXSGQZYHXSGLZ
      YIXRYGYJULXRYJYGXRYGULZYJABUMZUNUOUPXSUQURYHXTGXSXTGLZYHUSUTVAVBVGYKXROZY
      EYDGYNYAYDGYNGGXSXTYNGVCXRYKYJYLVDYMYNUSUTVEVFYNYDGLZYDIZGLZYNYPCGYCUGZIZ
      GYNYDYRYNCYBGYCXRYKYBGLZXRYKBAVHUKZYTXQBVIJZAVIJZYKUUAVJXPBVKAVKUUBUUCOUU
      AYKBAVLVMVNABVOVPVDVQVTYCMJZCGVRYSGLYNUUDCVSCGYCMWAWBWCYDWDYOYQVJYNCYBYCW
      EYDWFWBWGWCWHWIWCWJWKWLDEMXLESZWMTZUUEWNTZPKDSZIQZFRUUGUUFUEKZPKZFSUUFUFK
      UUHTZUGZGUHHFDEWOUUIUUMGFUUKUULRUUJPWPWQWRXCWSWTXIULXJXGHTGGXFHXAXGHXBXDX
      E $.
  $}

  $( Length of a right-anchored subword.  (Contributed by Alexander van der
     Vekens, 5-Apr-2018.) $)
  swrdrlen $p |- ( ( W e. Word V /\ I e. ( 0 ... ( # ` W ) ) )
           -> ( # ` ( W substr <. I , ( # ` W ) >. ) ) = ( ( # ` W ) - I ) ) $=
    ( cword wcel cc0 chash cfv cfz cop csubstr cmin wceq cn0 lencl nn0fz0 sylib
    co adantr swrdlen mpd3an3 ) CBDEZAFCGHZIRZEZUCUDEZCAUCJKRGHUCALRMUBUFUEUBUC
    NEUFBCOUCPQSBCAUCTUA $.

  $( Length of an extracted subword.  (Contributed by AV, 5-May-2020.) $)
  swrdlen2 $p |- ( ( S e. Word V /\ ( F e. NN0 /\ L e. ( ZZ>= ` F ) )
                     /\ L <_ ( # ` S ) )
                   -> ( # ` ( S substr <. F , L >. ) ) = ( L - F ) ) $=
    ( cword wcel cn0 cuz cfv chash cle wbr w3a cc0 cfz 3ad2ant2 elfz2nn0 sylibr
    co 3jca wa cop csubstr cmin wceq simp1 simpl eluznn0 eluzle adantl 3ad2ant1
    lencl simp3 swrdlen syl3anc ) ADEFZBGFZCBHIFZUAZCAJIZKLZMZUPBNCOSFZCNUTOSFZ
    ABCUBUCSJICBUDSUEUPUSVAUFVBUQCGFZBCKLZMZVCUSUPVGVAUSUQVEVFUQURUGCBUHZURVFUQ
    BCUIUJTPBCQRVBVEUTGFZVAMVDVBVEVIVAUSUPVEVAVHPUPUSVIVADAULUKUPUSVAUMTCUTQRDA
    BCUNUO $.

  $( A symbol in an extracted subword, indexed using the word's indices.
     (Contributed by AV, 5-May-2020.) $)
  swrdfv2 $p |- ( ( ( S e. Word V /\ ( F e. NN0 /\ L e. ( ZZ>= ` F ) )
                      /\ L <_ ( # ` S ) ) /\ X e. ( F ..^ L ) )
                  -> ( ( S substr <. F , L >. ) ` ( X - F ) ) = ( S ` X ) ) $=
    ( wcel cn0 cfv wa cle wbr w3a cfzo co cc0 wceq 3ad2ant2 adantr cz cc eluzle
    cword cuz chash cmin cop csubstr caddc cfz simp1 simpl adantl 3jca elfz2nn0
    eluznn0 sylibr anim1i 3adant1 wb lencl 3ad2ant1 fznn0 mpbird nn0cn eluzelcn
    pncan3 syl2an eqcomd oveq2d eleq2d biimpa eluzelz zsubcld fzosubel3 syl2anc
    syl nn0z swrdfv elfzoelz zcnd npcan syl2anr fveq2d eqtrd ) ADUBFZBGFZCBUCHF
    ZIZCAUDHZJKZLZEBCMNZFZIZEBUENZABCUFUGNHZWOBUHNZAHZEAHWNWEBOCUINFZCOWIUINFZL
    ZWOOCBUENZMNFZWPWRPWKXAWMWKWEWSWTWEWHWJUJWKWFCGFZBCJKZLZWSWHWEXFWJWHWFXDXEW
    FWGUKCBUOZWGXEWFBCUAULUMQBCUNUPWKWTXDWJIZWHWJXHWEWHXDWJXGUQURWKWIGFZWTXHUSW
    EWHXIWJDAUTVACWIVBVPVCUMRWNEBBXBUHNZMNZFZXBSFZXCWKWMXLWKWLXKEWKCXJBMWHWECXJ
    PWJWHXJCWFBTFZCTFXJCPWGBVDZBCVEBCVFVGVHQVIVJVKWKXMWMWHWEXMWJWHCBWGCSFWFBCVL
    ULWFBSFWGBVQRVMQREBXBVNVODABCWOVRVOWNWQEAWMETFXNWQEPWKWMEEBCVSVTWHWEXNWJWFX
    NWGXORQEBWAWBWCWD $.

  ${
    $d A x $.  $d M x $.  $d N x $.  $d S x $.
    $( A subword is a word over the symbols it consists of.  (Contributed by
       AV, 2-Dec-2022.) $)
    swrdwrdsymb $p |- ( S e. Word A
                   -> ( S substr <. M , N >. ) e. Word ( S " ( M ..^ N ) ) ) $=
      ( vx cc0 cfz co wcel chash cfv wa cword cfzo wi wceq wf adantr adantl c0
      cop csubstr cima cmin caddc cmpt swrdval2 3expb wfun cdm wrdf ffund wrddm
      cv elfzodifsumelfzo imp wb eleq2 mpbird exp32 syl imp31 cz simpr ad2antrl
      elfzelz fzoaddel2 syl3anc funfvima syl21anc fmpttd wfn fvex fnmpti hashfn
      eqid mp1i cn0 fznn0sub hashfzo0 eqtrd oveq2d iswrdb sylibr eqeltrd expcom
      feq2d wn swrdnd0 wrd0 eleq1 mpbiri syl6com pm2.61i ) CFDGHIZDFBJKZGHIZLZB
      AMIZBCDUAUBHZBCDNHZUCZMZIZOWSWRXDWSWRLZWTEFDCUDHZNHZEUNZCUEHZBKZUFZXCWSWO
      WQWTXKPEABCDUGUHXEFXKJKZNHZXBXKQZXKXCIXEXNXGXBXKQZXEEXGXJXBXEXHXGIZLZBUIZ
      XIBUJZIZXIXAIZXJXBIZXEXRXPWSXRWRWSFWPNHZABABUKULRRWSWRXPXTWSXSYCPZWRXPXTO
      OABUMYDWRXPXTYDWRXPLZLXTXIYCIZYEYFYDWRXPYFWPXHCDUOUPSYDXTYFUQYEXSYCXIURRU
      SUTVAVBXQXPDVCIZCVCIZYAXEXPVDXEYGXPWRYGWSWQYGWODFWPVFSSRXEYHXPWOYHWSWQCFD
      VFVERXHDCVGVHXRXTLYAYBXAXIBVIUPVJVKWOXNXOUQWSWQWOXMXGXBXKWOXLXFFNWOXLXGJK
      ZXFXKXGVLXLYIPWOEXGXJXKXIBVMXKVPVNXGXKVOVQWOXFVRIYIXFPCFDVSXFVTVAWAWBWGVE
      USXBXKWCWDWEWFWSWRWHWTTPZXDBCDAWIYJXDTXCIXBWJWTTXCWKWLWMWN $.
  $}

  $( Two subwords with the same bounds are equal if the range is not valid.
     (Contributed by AV, 4-May-2020.) $)
  swrdsb0eq $p |- ( ( ( W e. Word V /\ U e. Word V )
                      /\ ( M e. NN0 /\ N e. NN0 ) /\ N <_ M )
                    -> ( W substr <. M , N >. ) = ( U substr <. M , N >. ) ) $=
    ( cword wcel wa cn0 cle csubstr co c0 wceq cz nn0z swrdlend syl3anc 3impia
    wi wbr w3a cop simpll ad2antrl ad2antll simplr eqtr4d ) EDFZGZAUIGZHZBIGZCI
    GZHZCBJUAZUBEBCUCZKLZMAUQKLZULUOUPURMNZULUOHZUJBOGZCOGZUPUTTUJUKUOUDUMVBULU
    NBPUEZUNVCULUMCPUFZBCDEQRSULUOUPUSMNZVAUKVBVCUPVFTUJUKUOUGVDVEBCDAQRSUH $.

  $( Two subwords with the same bounds have the same length.  (Contributed by
     AV, 4-May-2020.) $)
  swrdsbslen $p |- ( ( ( W e. Word V /\ U e. Word V )
                       /\ ( M e. NN0 /\ N e. NN0 )
                       /\ ( N <_ ( # ` W ) /\ N <_ ( # ` U ) ) )
                     -> ( # ` ( W substr <. M , N >. ) )
                        = ( # ` ( U substr <. M , N >. ) ) ) $=
    ( cle wbr wcel wa cn0 chash cfv w3a csubstr co wceq cr nn0re 3ad2ant2 cz wn
    cword cop simpr1 simpr2 simpl swrdsb0eq syl3anc fveq2d wi clt ltnle sylbird
    ltle syl2an cmin simpl1l simpl2l anim12i anim1i df-3an sylibr eluz2 simpl3l
    cuz nn0z swrdlen2 syl121anc simpl1r simpl3r eqtr4d ex syld impcom pm2.61ian
    ) CBFGZEDUBZHZAVQHZIZBJHZCJHZIZCEKLFGZCAKLFGZIZMZEBCUCZNOZKLZAWHNOZKLZPZVPW
    GIZWIWKKWNVTWCVPWIWKPVPVTWCWFUDVPVTWCWFUEVPWGUFABCDEUGUHUIWGVPUAZWMWGWOBCFG
    ZWMWCVTWOWPUJZWFWABQHZCQHZWQWBBRCRWRWSIWOBCUKGWPBCULBCUNUMUOSWGWPWMWGWPIZWJ
    CBUPOZWLWTVRWACBVELHZWDWJXAPVRVSWCWFWPUQWAWBVTWFWPURZWTBTHZCTHZWPMZXBWTXDXE
    IZWPIXFWGXGWPWCVTXGWFWAXDWBXEBVFCVFUSSUTXDXEWPVAVBBCVCVBZWDWEVTWCWPVDEBCDVG
    VHWTVSWAXBWEWLXAPVRVSWCWFWPVIXCXHWDWEVTWCWPVJABCDVGVHVKVLVMVNVO $.

  ${
    $d M i j $.  $d N i j $.  $d U i j $.  $d V i $.  $d W i j $.
    $( Two words have a common subword (starting at the same position with the
       same length) iff they have the same symbols at each position.
       (Contributed by Alexander van der Vekens, 7-Aug-2018.)  (Proof shortened
       by AV, 7-May-2020.) $)
    swrdspsleq $p |- ( ( ( W e. Word V /\ U e. Word V )
                         /\ ( M e. NN0 /\ N e. NN0 )
                         /\ ( N <_ ( # ` W ) /\ N <_ ( # ` U ) ) )
                      -> ( ( W substr <. M , N >. ) = ( U substr <. M , N >. )
                           <-> A. i e. ( M ..^ N ) ( W ` i ) = ( U ` i ) ) ) $=
      ( vj cle wbr wcel wa cfv co wceq cfzo wral wb 3ad2ant2 cc0 cvv cn0 w3a cv
      cword chash cop csubstr swrdsb0eq 3expa ancoms 3adantr3 wi ral0 nn0z fzon
      c0 cz syl2an biimpa raleqdv mpbiri ex impcom swrdcl eqwrd 3ad2ant1 adantl
      2thd wn swrdsbslen biantrurd nn0re clt ltnle ltle sylbird cmin wsbc caddc
      cr cuz simpl1l simpl2l anim12i anim1i df-3an sylibr eluz2 simpl3l syl3anc
      jca swrdlen2 oveq2d 0zd zsubcl syl2anr adantr fzoshftral cc nn0cn oveq12d
      addid2 npcan ovex csb sbceqg csbfv2g csbvarg fveq2d eqtrd bitrd mp1i 3jca
      eqeq12d swrdfv2 sylan simpl1r simpl3r ralbidva 3bitrd 3bitr2d pm2.61ian
      syld ) DCHIZFEUDZJZAYEJZKZCUAJZDUAJZKZDFUELHIZDAUELHIZKZUBZFCDUFZUGMZAYPU
      GMZNZBUCZFLZYTALZNZBCDOMZPZQYDYOKYSUUEYDYHYKYSYNYHYKKYDYSYHYKYDYSACDEFUHU
      IUJUKYOYDUUEYKYHYDUUEULYNYKYDUUEYKYDKZUUEUUCBUPPUUCBUMUUFUUCBUUDUPYKYDUUD
      UPNZYICUQJZDUQJZYDUUGQYJCUNZDUNZCDUOURUSUTVAVBRVCVHYDVIZYOKZYSYQUELZYRUEL
      NZGUCZYQLZUUPYRLZNZGSUUNOMZPZKZUVAUUEYOYSUVBQZUULYHYKUVCYNYFYQYEJYRYEJUVC
      YGEFCDVDEACDVDEEYQGYRVEURVFVGUUMUUOUVAYOUUOUULACDEFVJVGVKYOUULUVAUUEQZYOU
      ULCDHIZUVDYKYHUULUVEULZYNYICVTJZDVTJZUVFYJCVLDVLUVGUVHKUULCDVMIUVECDVNCDV
      OVPURRYOUVEUVDYOUVEKZUVAUUSGSDCVQMZOMZPZUUSGYTCVQMZVRZBSCVSMZUVJCVSMZOMZP
      ZUUEUVIUUSGUUTUVKUVIUUNUVJSOUVIYFYIDCWALJZKZYLUUNUVJNYFYGYKYNUVEWBZUVIYIU
      VSYIYJYHYNUVEWCUVIUUHUUIUVEUBZUVSUVIUUHUUIKZUVEKUWBYOUWCUVEYKYHUWCYNYIUUH
      YJUUIUUJUUKWDRWEUUHUUIUVEWFWGCDWHWGWKZYLYMYHYKUVEWIZFCDEWLWJWMUTYOUVLUVRQ
      ZUVEYOSUQJUVJUQJZUUHUWFYOWNYKYHUWGYNYJUUIUUHUWGYIUUKUUJDCWOWPRYKYHUUHYNYI
      UUHYJUUJWQRUUSGBCSUVJWRWJWQUVIUVRUVNBUUDPUUEUVIUVNBUVQUUDYOUVQUUDNZUVEYKY
      HUWHYNYJDWSJZCWSJZUWHYIDWTCWTUWIUWJKUVOCUVPDOUWJUVOCNUWICXBVGDCXCXAWPRWQU
      TUVIUVNUUCBUUDUVIYTUUDJZKZUVNUVMYQLZUVMYRLZNZUUCUVMTJZUVNUWOQUWLYTCVQXDUW
      PUVNGUVMUUQXEZGUVMUURXEZNUWOGUVMUUQUURTXFUWPUWQUWMUWRUWNUWPUWQGUVMUUPXEZY
      QLUWMGUVMUUPTYQXGUWPUWSUVMYQGUVMTXHZXIXJUWPUWRUWSYRLUWNGUVMUUPTYRXGUWPUWS
      UVMYRUWTXIXJXNXKXLUWLUWMUUAUWNUUBUVIYFUVTYLUBUWKUWMUUANUVIYFUVTYLUWAUWDUW
      EXMFCDEYTXOXPUVIYGUVTYMUBUWKUWNUUBNUVIYGUVTYMYFYGYKYNUVEXQUWDYLYMYHYKUVEX
      RXMACDEYTXOXPXNXKXSXKXTVBYCVCYAYB $.
  $}

  $( Extract a single symbol from a word.  (Contributed by Stefan O'Rear,
     23-Aug-2015.) $)
  swrds1 $p |- ( ( W e. Word A /\ I e. ( 0 ..^ ( # ` W ) ) ) ->
      ( W substr <. I , ( I + 1 ) >. ) = <" ( W ` I ) "> ) $=
    ( cword wcel cc0 chash cfv cfzo co c1 caddc cs1 wceq cfz adantl cz cc eqtrd
    cuz wa cop csubstr swrdcl cmin simpl elfzouz elfzoelz uzid peano2uz elfzuzb
    3syl sylanbrc fzofzp1 swrdlen syl3anc zcnd ax-1cn sylancl eqs1 syl2an2r csn
    pncan2 0z snidg ax-mp oveq2d eqtrdi eleqtrrid swrdfv syl31anc addid2 eqcomd
    fzo01 syl fveq2d eqtr4d s1eqd ) CADZEZBFCGHZIJEZUAZCBBKLJZUBUCJZFWEHZMZBCHZ
    MVTWEVSEWBWEGHZKNWEWGNACBWDUDWCWIWDBUEJZKWCVTBFWDOJEZWDFWAOJEZWIWJNVTWBUFZW
    CBFTHEZWDBTHZEZWKWBWNVTBFWAUGPWCBQEZBWOEWPWBWQVTBFWAUHPZBUIBBUJULBFWDUKUMZW
    BWLVTFWABUNPZACBWDUOUPWCBREZKREWJKNWCBWRUQZURBKVCUSZSAWEUTVAWCWFWHWCWFFBLJZ
    CHZWHWCVTWKWLFFWJIJZEWFXENWMWSWTWCFFVBZXFFQEFXGEVDFQVEVFWCXFFKIJXGWCWJKFIXC
    VGVNVHVIACBWDFVJVKWCBXDCWCXABXDNXBXAXDBBVLVMVOVPVQVRS $.

  $( Extract the last single symbol from a word.  (Contributed by Alexander van
     der Vekens, 23-Sep-2018.) $)
  swrdlsw $p |- ( ( W e. Word V /\ W =/= (/) )
                 -> ( W substr <. ( ( # ` W ) - 1 ) , ( # ` W ) >. )
                    = <" ( lastS ` W ) "> ) $=
    ( cword wcel c0 wne wa chash cfv c1 cmin co cop csubstr cs1 cc0 wceq adantr
    3syl cc caddc clsw cfzo clt wbr hashneq0 cn0 cz wi lencl nn0z elnnz fzo0end
    cn sylbir sylbird imp swrds1 syldan nn0cn ax-1cn jctir eqcomd opeq2d oveq2d
    ex npcan lsw s1eqd 3eqtr4d ) BACZDZBEFZGZBBHIZJKLZVPJUALZMZNLZVPBIZOZBVPVOM
    ZNLBUBIZOVLVMVPPVOUCLDZVSWAQVLVMWDVLVMPVOUDUEZWDBVKUFVLVOUGDZVOUHDZWEWDUIAB
    UJZVOUKWGWEWDWGWEGVOUNDWDVOULVOUMUOVFSUPUQAVPBURUSVNWBVRBNVNVOVQVPVLVOVQQZV
    MVLWFVOTDZJTDZGZWIWHWFWJWKVOUTVAVBWLVQVOVOJVGVCSRVDVEVNWCVTVLWCVTQVMBVKVHRV
    IVJ $.

  ${
    $d x A $.  $d x S $.  $d x X $.  $d x Y $.  $d x Z $.
    $( Joining two adjacent subwords makes a longer subword.  (Contributed by
       Stefan O'Rear, 20-Aug-2015.) $)
    ccatswrd $p |- ( ( S e. Word A /\ ( X e. ( 0 ... Y ) /\
        Y e. ( 0 ... Z ) /\ Z e. ( 0 ... ( # ` S ) ) ) ) ->
      ( ( S substr <. X , Y >. ) ++ ( S substr <. Y , Z >. ) ) =
        ( S substr <. X , Z >. ) ) $=
      ( wcel cc0 cfz co chash cfv wa cmin cfzo adantr syl2anc caddc wceq oveq2d
      wfn vx cword w3a cop csubstr cconcat swrdcl ccatcl wrdfn syl simpl simpr1
      ccatlen simpr2 simpr3 fzass4 biimpri simpld swrdlen syl3anc elfzelzd zcnd
      3adant3r1 oveq12d npncan3d 3eqtrd fneq2d mpbid cv wo cz zsubcld fzospliti
      anim1ci ad2antrr eleq2d biimpar ccatval1 simpll simplr1 syl31anc ccatval2
      simpr swrdfv eqtrd simplr2 simplr3 fzosubel3 eqeltrd oveq1d adantl subcld
      cc elfzoelz subadd23d nncand fveq2d jaodan syldan eqtr4d eqfnfvd ) BAUBZF
      ZCGDHIFZDGEHIZFZEGBJKZHIZFZUCZLZUAGECMIZNIZBCDUDUEIZBDEUDUEIZUFIZBCEUDUEI
      ZXKXPGXPJKZNIZTZXPXMTXKXPXBFZXTXKXNXBFZXOXBFZYAXCYBXJABCDUGZOZXCYCXJABDEU
      GZOZAXNXOUHPAXPUIUJXKXSXMXPXKXRXLGNXKXRXNJKZXOJKZQIZDCMIZEDMIZQIZXLXKYBYC
      XRYJRYEYGAAXNXOUMPXKYHYKYIYLQXKXCXDDXHFZYHYKRXCXJUKZXCXDXFXIULZXKXFXIYNXC
      XDXFXIUNZXCXDXFXIUOZXFXILZYNEDXGHIFZYNYTLYSGDEXGUPUQURPZABCDUSUTZXCXFXIYI
      YLRXDABDEUSVCVDZXKDCEXKDXKDGEYQVAZVBZXKCXKCGDYPVAZVBZXKEXKEGXGYRVAZVBVEZV
      FSVGVHXKXQGXQJKZNIZTZXQXMTXKXQXBFZUULXCUUMXJABCEUGOAXQUIUJXKUUKXMXQXKUUJX
      LGNXKXCCXEFZXIUUJXLRYOXKXDXFUUNYPYQXDXFLZUUNDCEHIFZUUNUUPLUUOGCDEUPUQURPZ
      YRABCEUSUTSVGVHXKUAVIZXMFZLZUURXPKZUURCQIZBKZUURXQKZXKUUSUURGYKNIZFZUURYK
      XLNIZFZVJZUVAUVCRZUUTUUSYKVKFZLUVIXKUVKUUSXKDCUUDUUFVLVNUURGXLYKVMUJXKUVF
      UVJUVHXKUVFLZUVAUURXNKZUVCUVLYBYCUURGYHNIZFZUVAUVMRXCYBXJUVFYDVOXCYCXJUVF
      YFVOXKUVOUVFXKUVNUVEUURXKYHYKGNUUBSVPVQAAXNXOUURVRUTUVLXCXDYNUVFUVMUVCRXC
      XJUVFVSXDXFXIXCUVFVTXKYNUVFUUAOXKUVFWCABCDUURWDWAWEXKUVHLZUVAUURYHMIZXOKZ
      UVQDQIZBKZUVCUVPYBYCUURYHYJNIZFZUVAUVRRXCYBXJUVHYDVOXCYCXJUVHYFVOXKUWBUVH
      XKUWAUVGUURXKYHYKYJXLNUUBXKYJYMXLUUCUUIWEVDVPVQAXNXOUURWBUTUVPXCXFXIUVQGY
      LNIZFUVRUVTRXCXJUVHVSXDXFXIXCUVHWFXDXFXIXCUVHWGUVPUVQUURYKMIZUWCXKUVQUWDR
      UVHXKYHYKUURMUUBSZOUVPUURYKYMNIZFZYLVKFZUWDUWCFXKUWGUVHXKUWFUVGUURXKYMXLY
      KNUUISVPVQXKUWHUVHXKEDUUHUUDVLOUURYKYLWHPWIABDEUVQWDWAUVPUVSUVBBUVPUVSUWD
      DQIZUURDYKMIZQIZUVBXKUVSUWIRUVHXKUVQUWDDQUWEWJOUVPUURYKDUVHUURWMFXKUVHUUR
      UURYKXLWNVBWKXKYKWMFUVHXKDCUUEUUGWLOXKDWMFUVHUUEOWOXKUWKUVBRUVHXKUWJCUURQ
      XKDCUUEUUGWPSOVFWQVFWRWSUUTXCUUNXIUUSUVDUVCRXCXJUUSVSXKUUNUUSUUQOXDXFXIXC
      UUSWGXKUUSWCABCEUURWDWAWTXA $.
  $}

  ${
    $d k B $.  $d k S $.  $d k T $.
    $( Recover the right half of a concatenated word.  (Contributed by Mario
       Carneiro, 27-Sep-2015.) $)
    swrdccat2 $p |- ( ( S e. Word B /\ T e. Word B ) ->
 ( ( S ++ T ) substr <. ( # ` S ) , ( ( # ` S ) + ( # ` T ) ) >. ) = T ) $=
      ( vk wcel wa cc0 chash cfv cfzo co caddc wfn wrdfn cfz wceq syl2an oveq2d
      cuz cn0 cword cconcat cop csubstr ccatcl swrdcl 3syl lencl nn0uz eleqtrdi
      cmin adantr nn0zd uzidd uzaddcl elfzuzb sylanbrc nn0addcl ccatlen swrdlen
      eleqtrrd syl3anc cc nn0cnd pncan2 eqtrd fneq2d mpbid adantl cv w3a eleq2d
      3jca biimpar swrdfv syl2an2r ccatval3 3expa eqfnfvd ) BAUAZEZCVTEZFZDGCHI
      ZJKZBCUBKZBHIZWGWDLKZUCUDKZCWCWIGWIHIZJKZMZWIWEMWCWFVTEZWIVTEWLABCUEZAWFW
      GWHUFAWINUGWCWKWEWIWCWJWDGJWCWJWHWGUKKZWDWCWMWGGWHOKZEZWHGWFHIZOKZEZWJWOP
      WNWCWGGSIZEZWHWGSIZEZWQWAXBWBWAWGTXAABUHZUIUJULWAWGXCEWDTEZXDWBWAWGWAWGXE
      UMUNACUHZWDWGWGUOQWGGWHUPUQZWCWHWPWSWCWHXAEWHWHSIEWHWPEWCWHTXAWAWGTEXFWHT
      EWBXEXGWGWDURQZUIUJWCWHWCWHXIUMUNWHGWHUPUQWCWRWHGOAABCUSRVAZAWFWGWHUTVBWA
      WGVCEWDVCEWOWDPWBWAWGXEVDWBWDXGVDWGWDVEQZVFRVGVHWBCWEMWAACNVIWCDVJZWEEZFX
      LWIIZXLWGLKWFIZXLCIZWCWMWQWTVKXMXLGWOJKZEZXNXOPWCWMWQWTWNXHXJVMWCXRXMWCXQ
      WEXLWCWOWDGJXKRVLVNAWFWGWHXLVOVPWAWBXMXOXPPABCXLVQVRVFVS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Prefixes of a word
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c prefix $.

  $( Syntax for the prefix operator. $)
  cpfx $a class prefix $.

  ${
    $d l s $.
    $( Define an operation which extracts prefixes of words, i.e. subwords (or
       substrings) starting at the beginning of a word (or string).  In other
       words, ` ( S prefix L ) ` is the prefix of the word ` S ` of length
       ` L ` .  Definition in Section 9.1 of [AhoHopUll] p. 318.  See also
       Wikipedia "Substring" ~ https://en.wikipedia.org/wiki/Substring#Prefix .
       (Contributed by AV, 2-May-2020.) $)
    df-pfx $a |- prefix = ( s e. _V , l e. NN0
                               |-> ( s substr <. 0 , l >. ) ) $.

    $( The value of a prefix operation for out-of-domain arguments.  (This is
       due to our definition of function values for out-of-domain arguments,
       see ~ ndmfv ).  (Contributed by AV, 3-Dec-2022.)
       (New usage is discouraged.) $)
    pfxnndmnd $p |- ( -. ( S e. _V /\ L e. NN0 ) -> ( S prefix L ) = (/) ) $=
      ( vs vl cv cc0 cop csubstr co cpfx cvv cn0 df-pfx mpondm0 ) CDCEFDEGHIJAB
      KLCDMN $.
  $}

  ${
    $d L l s $.  $d S l s $.  $d V l s $.
    $( Value of a prefix operation.  (Contributed by AV, 2-May-2020.) $)
    pfxval $p |- ( ( S e. V /\ L e. NN0 )
                    -> ( S prefix L ) = ( S substr <. 0 , L >. ) ) $=
      ( vs vl wcel cn0 wa cvv cv cc0 cop csubstr co cpfx cmpo df-pfx a1i adantl
      wceq simpl opeq2 oveq12d elex adantr simpr ovexd ovmpod ) ACFZBGFZHZDEABI
      GDJZKEJZLZMNZAKBLZMNZOIODEIGUOPTUKDEQRULATZUMBTZHZUOUQTUKUTULAUNUPMURUSUA
      USUNUPTURUMBKUBSUCSUIAIFUJACUDUEUIUJUFUKAUPMUGUH $.

    $( The zero length prefix is the empty set.  (Contributed by AV,
       2-May-2020.) $)
    pfx00 $p |- ( S prefix 0 ) = (/) $=
      ( vs vl cc0 cop cpfx cdm wcel co c0 wceq cvv cn0 wa opelxp csubstr pfxval
      cxp swrd00 cv eqtrdi sylbi df-pfx ovex dmmpo eleq2s wn df-ov ndmfv eqtrid
      cfv pm2.61i ) ADEZFGZHZADFIZJKZUQUMLMRZUNUMURHALHDMHNZUQADLMOUSUPADDEPIJA
      DLQADSUAUBBCLMBTZDCTEZPIFBCUCUTVAPUDUEUFUOUGUPUMFUKJADFUHUMFUIUJUL $.

    $( A prefix of an empty set is always the empty set.  (Contributed by AV,
       3-May-2020.) $)
    pfx0 $p |- ( (/) prefix L ) = (/) $=
      ( vs vl c0 cop cpfx cdm wcel co wceq cvv cn0 cxp wa opelxp csubstr pfxval
      cc0 swrd0 cv eqtrdi sylbi df-pfx ovex dmmpo eleq2s cfv df-ov ndmfv eqtrid
      wn pm2.61i ) DAEZFGZHZDAFIZDJZUQUMKLMZUNUMURHDKHALHNZUQDAKLOUSUPDRAEPIDDA
      KQRASUAUBBCKLBTZRCTEZPIFBCUCUTVAPUDUEUFUOUKUPUMFUGDDAFUHUMFUIUJUL $.
  $}

  $( Value of a prefix operation.  This theorem should only be used in proofs
     if ` L e. NN0 ` is not available.  Otherwise (and usually), ~ pfxval
     should be used.  (Contributed by AV, 3-Dec-2022.)
     (New usage is discouraged.) $)
  pfxval0 $p |- ( S e. Word A
                    -> ( S prefix L ) = ( S substr <. 0 , L >. ) ) $=
    ( cword wcel cn0 cpfx co cc0 cop csubstr wceq pfxval wn wa cvv simpr adantl
    c0 con3i pfxnndmnd syl swrdnnn0nd sylan2 eqtr4d pm2.61dan ) BADZEZCFEZBCGHZ
    BICJKHZLBCUGMUHUINZOZUJSUKUMBPEZUIOZNZUJSLULUPUHUOUIUNUIQTRBCUAUBULUHIFEZUI
    OZNUKSLURUIUQUIQTBICAUCUDUEUF $.

  ${
    $d L x $.  $d S x $.  $d l s $.
    $( Closure of the prefix extractor.  (Contributed by AV, 2-May-2020.) $)
    pfxcl $p |- ( S e. Word A -> ( S prefix L ) e. Word A ) $=
      ( vx vs vl cword wcel cpfx co c0 eleq1 wne cn0 cv wex n0 cc0 cop csubstr
      df-pfx elmpocl2 exlimiv sylbi wa pfxval swrdcl adantr eqeltrd sylan2 wrd0
      cvv a1i pm2.61ne ) BAGZHZBCIJZUOHZKUOHZUQKUQKUOLUQKMZUPCNHZURUTDOZUQHZDPV
      ADUQQVCVADEFULNEORFOSTJBCIVBEFUAUBUCUDUPVAUEUQBRCSTJZUOBCUOUFUPVDUOHVAABR
      CUGUHUIUJUSUPAUKUMUN $.

    $d A x $.
    $( Value of the prefix extractor as a mapping.  (Contributed by AV,
       2-May-2020.) $)
    pfxmpt $p |- ( ( S e. Word A /\ L e. ( 0 ... ( # ` S ) ) )
                    -> ( S prefix L ) = ( x e. ( 0 ..^ L ) |-> ( S ` x ) ) ) $=
      ( cword wcel cc0 chash cfv cfz co wa cpfx cfzo cmpt cn0 wceq adantl nn0cn
      syl cop csubstr cv caddc elfznn0 pfxval sylan2 simpl 0elfz simpr swrdval2
      cmin syl3anc subid1d oveq2d elfzonn0 addid1d fveq2d mpteq12dva 3eqtrd ) C
      BEZFZDGCHIZJKFZLZCDMKZCGDUAUBKZAGDGULKZNKZAUCZGUDKZCIZOZAGDNKZVJCIZOVDVBD
      PFZVFVGQDVCUEZCDVAUFUGVEVBGGDJKFZVDVGVMQVBVDUHVEVPVRVDVPVBVQRDUITVBVDUJAB
      CGDUKUMVEAVIVLVNVOVDVIVNQVBVDVHDGNVDVPVHDQVQVPDDSUNTUORVJVIFZVLVOQVEVSVKV
      JCVSVJPFZVKVJQVJVHUPVTVJVJSUQTURRUSUT $.

    $( Value of the subword extractor for left-anchored subwords.  (Contributed
       by Stefan O'Rear, 24-Aug-2015.)  (Revised by AV, 2-May-2020.) $)
    pfxres $p |- ( ( S e. Word A /\ L e. ( 0 ... ( # ` S ) ) )
                    -> ( S prefix L ) = ( S |` ( 0 ..^ L ) ) ) $=
      ( vx cword wcel cc0 chash cfv co wa cpfx cfzo cv cmpt cres pfxmpt wf wrdf
      cfz adantr cuz wss elfzuz3 adantl fzoss2 syl feqresmpt eqtr4d ) BAEFZCGBH
      IZTJFZKZBCLJDGCMJZDNBIOBUNPDABCQUMDGUKMJZAUNBUJUOABRULABSUAUMUKCUBIFZUNUO
      UCULUPUJCGUKUDUECGUKUFUGUHUI $.

    $d V x $.  $d W x $.
    $( A prefix of a word is a function from a half-open range of nonnegative
       integers of the same length as the prefix to the set of symbols for the
       original word.  (Contributed by AV, 2-May-2020.) $)
    pfxf $p |- ( ( W e. Word V /\ L e. ( 0 ... ( # ` W ) ) )
                -> ( W prefix L ) : ( 0 ..^ L ) --> V ) $=
      ( vx cword wcel cc0 chash cfv cfz co wa cfzo cv pfxmpt simpll cuz elfzuz3
      cpfx wss adantl fzoss2 syl sselda wrdsymbcl syl2anc fmpt3d ) CBEFZAGCHIZJ
      KFZLZDGAMKZDNZCIZBCASKDBCAOUKUMULFZLUHUMGUIMKZFUNBFUHUJUOPUKULUPUMUKUIAQI
      FZULUPTUJUQUHAGUIRUAAGUIUBUCUDUMBCUEUFUG $.
  $}

  $( Value of the prefix extractor as function with domain.  (Contributed by
     AV, 2-May-2020.) $)
  pfxfn $p |- ( ( S e. Word V /\ L e. ( 0 ... ( # ` S ) ) )
                 -> ( S prefix L ) Fn ( 0 ..^ L ) ) $=
    ( cword wcel cc0 chash cfv cfz co wa cfzo cpfx pfxf ffnd ) ACDEBFAGHIJEKFBL
    JCABMJBCANO $.

  $( A symbol in a prefix of a word, indexed using the prefix' indices.
     (Contributed by Alexander van der Vekens, 16-Jun-2018.)  (Revised by AV,
     3-May-2020.) $)
  pfxfv $p |- ( ( W e. Word V /\ L e. ( 0 ... ( # ` W ) )
                    /\ I e. ( 0 ..^ L ) )
                 -> ( ( W prefix L ) ` I ) = ( W ` I ) ) $=
    ( cword wcel cc0 chash cfv cfz co cfzo w3a cpfx cop csubstr caddc wceq cn0
    wi elfznn0 pfxval sylan2 3adant3 fveq1d cmin simp1 0elfz syl 3ad2ant2 simp2
    nn0cnd subid1d eqcomd oveq2d eleq2d biimpd a1i 3imp swrdfv syl31anc addid1d
    elfzoelz zcnd 3ad2ant3 fveq2d 3eqtrd ) DCEZFZBGDHIZJKFZAGBLKZFZMZADBNKZIADG
    BOPKZIZAGQKZDIZADIVNAVOVPVIVKVOVPRZVMVKVIBSFZVTBVJUAZDBVHUBUCUDUEVNVIGGBJKF
    ZVKAGBGUFKZLKZFZVQVSRVIVKVMUGVKVIWCVMVKWAWCWBBUHUIUJVIVKVMUKVIVKVMWFVKVMWFT
    TVIVKVMWFVKVLWEAVKBWDGLVKWDBVKBVKBWBULUMUNUOUPUQURUSCDGBAUTVAVNVRADVMVIVRAR
    VKVMAVMAAGBVCVDVBVEVFVG $.

  $( Length of a prefix.  (Contributed by Stefan O'Rear, 24-Aug-2015.)
     (Revised by AV, 2-May-2020.) $)
  pfxlen $p |- ( ( S e. Word A /\ L e. ( 0 ... ( # ` S ) ) )
                    -> ( # ` ( S prefix L ) ) = L ) $=
    ( cword wcel cc0 chash cfv cfz co wa cpfx cfzo wfn pfxfn hashfn syl elfznn0
    wceq cn0 adantl hashfzo0 eqtrd ) BADEZCFBGHZIJEZKZBCLJZGHZFCMJZGHZCUGUHUJNU
    IUKSBCAOUJUHPQUGCTEZUKCSUFULUDCUERUACUBQUC $.

  ${
    $d x A $.  $d x S $.
    $( A word is a prefix of itself.  (Contributed by Stefan O'Rear,
       16-Aug-2015.)  (Revised by AV, 2-May-2020.) $)
    pfxid $p |- ( S e. Word A -> ( S prefix ( # ` S ) ) = S ) $=
      ( vx cword wcel cc0 chash cfv cfzo co cpfx cfz wf lencl nn0fz0 sylib pfxf
      cn0 mpdan ffnd wrdfn cv wa wceq simpl adantr simpr pfxfv syl3anc eqfnfvd
      ) BADEZCFBGHZIJZBULKJZBUKUMAUNUKULFULLJEZUMAUNMUKULREUOABNULOPZULABQSTABU
      AUKCUBZUMEZUCUKUOURUQUNHUQBHUDUKURUEUKUOURUPUFUKURUGUQULABUHUIUJ $.
  $}

  $( The range of a prefix of a word is a subset of the set of symbols for the
     word.  (Contributed by AV, 2-May-2020.) $)
  pfxrn $p |- ( ( W e. Word V /\ L e. ( 0 ... ( # ` W ) ) )
                 -> ran ( W prefix L ) C_ V ) $=
    ( cword wcel cc0 chash cfv cfz co wa cfzo cpfx pfxf frnd ) CBDEAFCGHIJEKFAL
    JBCAMJABCNO $.

  $( A prefix consisting of at least one symbol is not empty.  (Contributed by
     Alexander van der Vekens, 4-Aug-2018.)  (Revised by AV, 2-May-2020.) $)
  pfxn0 $p |- ( ( W e. Word V /\ L e. NN /\ L <_ ( # ` W ) )
                 -> ( W prefix L ) =/= (/) ) $=
    ( cword wcel cn chash cfv cle wbr w3a cpfx co c0 wne cc0 cfzo 3ad2ant2 wceq
    cn0 lbfzo0 ne0i sylbir wf wb cfz simp1 nnnn0 lencl 3ad2ant1 simp3 syl3anbrc
    elfz2nn0 pfxf syl2anc f0dom0 bicomd syl necon3bid mpbird ) CBDEZAFEZACGHZIJ
    ZKZCALMZNOPAQMZNOZVBVAVHVDVBPVGEVHAUAVGPUBUCRVEVFNVGNVEVGBVFUDZVFNSZVGNSZUE
    VEVAAPVCUFMEZVIVAVBVDUGVEATEZVCTEZVDVLVBVAVMVDAUHRVAVBVNVDBCUIUJVAVBVDUKAVC
    UMULABCUNUOVIVKVJVFVGBUPUQURUSUT $.

  $( The value of a prefix operation for a length argument larger than the word
     length is the empty set.  (This is due to our definition of function
     values for out-of-domain arguments, see ~ ndmfv ).  (Contributed by AV,
     3-May-2020.) $)
  pfxnd $p |- ( ( W e. Word V /\ L e. NN0 /\ ( # ` W ) < L )
                 -> ( W prefix L ) = (/) ) $=
    ( cword wcel cn0 chash cfv clt wbr w3a cpfx co cc0 cop csubstr c0 pfxval cz
    wceq 3adant3 cle w3o simp1 0zd nn0z 3ad2ant2 3jca 3mix3 3ad2ant3 sylc eqtrd
    swrdnd ) CBDZEZAFEZCGHAIJZKZCALMZCNAOPMZQUOUPUSUTTUQCAUNRUAURUONSEZASEZKNNI
    JZANUBJZUQUCZUTQTURUOVAVBUOUPUQUDURUEUPUOVBUQAUFUGUHUQUOVEUPUQVCVDUIUJNABCU
    MUKUL $.

  $( The value of a prefix operation for a length argument not in the range of
     the word length is the empty set.  (This is due to our definition of
     function values for out-of-domain arguments, see ~ ndmfv ).  (Contributed
     by AV, 3-Dec-2022.) $)
  pfxnd0 $p |- ( ( W e. Word V /\ L e/ ( 0 ... ( # ` W ) ) )
                 -> ( W prefix L ) = (/) ) $=
    ( cword wcel cc0 co cn0 wn wbr w3o wb a1i wi wo com12 wa cr imp sylbi chash
    cfv cfz wnel cpfx c0 wceq cle w3a df-nel notbid 3ianor 3bitrd 3orrot 3orass
    elfz2nn0 lencl pm2.24d cvv simpr pfxnndmnd nsyl5 notnotb nn0red nn0re ltnle
    a1d clt syl2an pfxnd 3expia sylbird expcom com23 sylbir jaoi3 orcoms sylbid
    jaoi ) CBDEZAFCUAUBZUCGZUDZCAUEGUFUGZVTWCAHEZIZWAHEZIZAWAUHJZIZKZWDVTWCAWBE
    ZIZWEWGWIUIZIZWKWCWMLVTAWBUJMVTWLWNWLWNLVTAWAUPMUKWOWKLVTWEWGWIULMUMWKVTWDW
    KWHWJWFKZVTWDNZWFWHWJUNWPWHWJWFOZOWQWHWJWFUOWHWQWRVTWHWDVTWGWDBCUQZURPWFWJW
    QWFWQWJWFWDVTCUSEZWEQWEWDWTWEUTCAVAVBVGWFIZWJWQXAWEWJWQNWEVCWEVTWJWDVTWEWJW
    DNVTWEQWJWAAVHJZWDVTWAREAREXBWJLWEVTWAWSVDAVEWAAVFVIVTWEXBWDABCVJVKVLVMVNVO
    SVPVQVSTTPVRS $.

  $( A prefix of a word is a word over the symbols it consists of.
     (Contributed by AV, 3-Dec-2022.) $)
  pfxwrdsymb $p |- ( S e. Word A
                     -> ( S prefix L ) e. Word ( S " ( 0 ..^ L ) ) ) $=
    ( cword wcel cpfx co cc0 cop csubstr cfzo cima pfxval0 swrdwrdsymb eqeltrd
    ) BADEBCFGBHCIJGBHCKGLDABCMABHCNO $.

  $( The sum of the lengths of two reversed parts of a word is the length of
     the word.  (Contributed by Alexander van der Vekens, 1-Apr-2018.)
     (Revised by AV, 3-May-2020.) $)
  addlenrevpfx $p |- ( ( W e. Word V /\ M e. ( 0 ... ( # ` W ) ) )
                       -> ( ( # ` ( W substr <. M , ( # ` W ) >. ) )
                            + ( # ` ( W prefix M ) ) ) = ( # ` W ) ) $=
    ( cword wcel cc0 chash cfv cfz co wa cop csubstr cpfx caddc swrdrlen pfxlen
    cmin cc syl2an oveq12d cn0 cz wceq lencl elfzelz nn0cn zcn npcan eqtrd ) CB
    DEZAFCGHZIJEZKZCAULLMJGHZCANJGHZOJULARJZAOJZULUNUOUQUPAOABCPBCAQUAUKULUBEZA
    UCEZURULUDZUMBCUEAFULUFUSULSEASEVAUTULUGAUHULAUITTUJ $.

  $( The sum of the lengths of two parts of a word is the length of the word.
     (Contributed by AV, 21-Oct-2018.)  (Revised by AV, 3-May-2020.) $)
  addlenpfx $p |- ( ( W e. Word V /\ M e. ( 0 ... ( # ` W ) ) )
               -> ( ( # ` ( W prefix M ) )
                  + ( # ` ( W substr <. M , ( # ` W ) >. ) ) ) = ( # ` W ) ) $=
    ( cword wcel cc0 chash cfv cfz co wa cpfx cop csubstr caddc pfxlen swrdrlen
    cmin cc nn0cnd oveq12d wceq elfznn0 lencl pncan3 syl2anr eqtrd ) CBDEZAFCGH
    ZIJEZKZCALJGHZCAUIMNJGHZOJAUIARJZOJZUIUKULAUMUNOBCAPABCQUAUJASEUISEUOUIUBUH
    UJAAUIUCTUHUIBCUDTAUIUEUFUG $.

  $( The first symbol of a prefix is the first symbol of the word.
     (Contributed by Alexander van der Vekens, 16-Jun-2018.)  (Revised by AV,
     3-May-2020.) $)
  pfxfv0 $p |- ( ( W e. Word V /\ L e. ( 1 ... ( # ` W ) ) )
                  -> ( ( W prefix L ) ` 0 ) = ( W ` 0 ) ) $=
    ( cword wcel c1 chash cfv cfz co wa cc0 cfzo cpfx wceq simpl fz1ssfz0 sseli
    adantl cn elfznn lbfzo0 sylibr pfxfv syl3anc ) CBDEZAFCGHZIJZEZKZUFALUGIJZE
    ZLLAMJEZLCANJHLCHOUFUIPUIULUFUHUKAUGQRSUJATEZUMUIUNUFAUGUASAUBUCLABCUDUE $.

  $( A symbol in a word truncated by one symbol.  (Contributed by Alexander van
     der Vekens, 16-Jun-2018.)  (Revised by AV, 3-May-2020.) $)
  pfxtrcfv $p |- ( ( W e. Word V /\ W =/= (/)
                      /\ I e. ( 0 ..^ ( ( # ` W ) - 1 ) ) )
                    -> ( ( W prefix ( ( # ` W ) - 1 ) ) ` I ) = ( W ` I ) ) $=
    ( cword wcel chash cfv c1 cmin co cc0 cfz c0 wne cfzo cpfx wceq w3a wa cfn
    wrdfin 1elfz0hash sylan cn lennncl elfz1end sylib 3adant3 fz0fzdiffz0 pfxfv
    jca syl syld3an2 ) CBDEZCFGZHIJZKUOLJZEZCMNZAKUPOJEZACUPPJGACGQUNUSUTRHUQEZ
    UOHUOLJEZSZURUNUSVCUTUNUSSZVAVBUNCTEUSVABCUACUBUCVDUOUDEVBBCUEUOUFUGUKUHUOH
    UOUIULAUPBCUJUM $.

  $( The first symbol in a word truncated by one symbol.  (Contributed by
     Alexander van der Vekens, 16-Jun-2018.)  (Revised by AV, 3-May-2020.) $)
  pfxtrcfv0 $p |- ( ( W e. Word V /\ 2 <_ ( # ` W ) )
                     -> ( ( W prefix ( ( # ` W ) - 1 ) ) ` 0 ) = ( W ` 0 ) ) $=
    ( cword wcel c2 chash cfv cle wbr wa c0 wne cc0 c1 cmin co cfzo cpfx wceq
    cz simpl wrdlenge2n0 cn cuz 2z a1i lencl nn0zd adantr simpr eluz2 syl3anbrc
    uz2m1nn syl lbfzo0 sylibr pfxtrcfv syl3anc ) BACDZEBFGZHIZJZUSBKLMMUTNOPZQP
    DZMBVCRPGMBGSUSVAUAABUBVBVCUCDZVDVBUTEUDGDZVEVBETDZUTTDZVAVFVGVBUEUFUSVHVAU
    SUTABUGUHUIUSVAUJEUTUKULUTUMUNVCUOUPMABUQUR $.

  $( The last symbol in a nonempty prefix of a word.  (Contributed by Alexander
     van der Vekens, 24-Jun-2018.)  (Revised by AV, 3-May-2020.) $)
  pfxfvlsw $p |- ( ( W e. Word V /\ L e. ( 1 ... ( # ` W ) ) )
                    -> ( lastS ` ( W prefix L ) ) = ( W ` ( L - 1 ) ) ) $=
    ( cword wcel c1 chash cfv cfz co wa cpfx clsw cmin wceq pfxcl adantr adantl
    syl cc0 lsw fz1ssfz0 sseli pfxlen sylan2 fvoveq1d cfzo simpl elfznn fzo0end
    cn pfxfv syl3anc 3eqtrd ) CBDZEZAFCGHZIJZEZKZCALJZMHZVAGHZFNJVAHZAFNJZVAHZV
    ECHZUTVAUOEZVBVDOUPVHUSBCAPQVAUOUASUTVCAFVANUSUPATUQIJZEZVCAOURVIAUQUBUCZBC
    AUDUEUFUTUPVJVETAUGJEZVFVGOUPUSUHUSVJUPVKRUSVLUPUSAUKEVLAUQUIAUJSRVEABCULUM
    UN $.

  ${
    $d M i $.  $d N i $.  $d U i $.  $d V i $.  $d W i $.
    $( The prefixes of two words are equal iff they have the same length and
       the same symbols at each position.  (Contributed by Alexander van der
       Vekens, 7-Aug-2018.)  (Revised by AV, 4-May-2020.) $)
    pfxeq $p |- ( ( ( W e. Word V /\ U e. Word V ) /\ ( M e. NN0 /\ N e. NN0 )
                     /\ ( M <_ ( # ` W ) /\ N <_ ( # ` U ) ) )
                   -> ( ( W prefix M ) = ( U prefix N )
             <-> ( M = N /\ A. i e. ( 0 ..^ M ) ( W ` i ) = ( U ` i ) ) ) ) $=
      ( cn0 wcel wa chash cfv co wceq cc0 cfzo wral wb w3a simpr ad2antrr cword
      cle wbr cpfx cv pfxcl eqwrd syl2an 3ad2ant2 cfz simp2l simpl lencl adantr
      3anim123i sylibr pfxlen syl2anc simp2r adantl eqeq12d anbi1d oveq2d pfxfv
      elfz2nn0 raleqdv syl3anc oveq2 eleq2d biimpa ralbidva bitrd 3bitrd 3com12
      pm5.32da ) CGHZDGHZIZFEUAZHZAVSHZIZCFJKZUBUCZDAJKZUBUCZIZFCUDLZADUDLZMZCD
      MZBUEZFKZWLAKZMZBNCOLZPZIZQVRWBWGRZWJWHJKZWIJKZMZWLWHKZWLWIKZMZBNWTOLZPZI
      ZWKXGIWRWBVRWJXHQZWGVTWHVSHWIVSHXIWAEFCUFEADUFEEWHBWIUGUHUIWSXBWKXGWSWTCX
      ADWSVTCNWCUJLHZWTCMZVRVTWAWGUKZWSVPWCGHZWDRXJVRVPWBXMWGWDVPVQULVTXMWAEFUM
      UNWDWFULUOCWCVEUPZEFCUQURZWSWADNWEUJLHZXADMVRVTWAWGUSZWSVQWEGHZWFRXPVRVQW
      BXRWGWFVPVQSWAXRVTEAUMUTWDWFSUODWEVEUPZEADUQURVAVBWSWKXGWQWSWKIZXGXEBWPPW
      QXTXEBXFWPXTWTCNOWSXKWKXOUNVCVFXTXEWOBWPXTWLWPHZIZXCWMXDWNYBVTXJYAXCWMMWS
      VTWKYAXLTWSXJWKYAXNTXTYASWLCEFVDVGYBWAXPWLNDOLZHZXDWNMWSWAWKYAXQTWSXPWKYA
      XSTXTYAYDWKYAYDQWSWKWPYCWLCDNOVHVIUTVJWLDEAVDVGVAVKVLVOVMVN $.
  $}

  $( The last symbol in a word truncated by one symbol.  (Contributed by AV,
     16-Jun-2018.)  (Revised by AV, 5-May-2020.) $)
  pfxtrcfvl $p |- ( ( W e. Word V /\ 2 <_ ( # ` W ) )
                     -> ( lastS ` ( W prefix ( ( # ` W ) - 1 ) ) )
                        = ( W ` ( ( # ` W ) - 2 ) ) ) $=
    ( cword wcel c2 chash cfv cle wbr wa c1 cmin co cpfx clsw cfz cz adantr syl
    wceq cuz 2z a1i lencl nn0zd simpr eluz2 syl3anbrc ige2m1fz1 pfxfvlsw syldan
    cc nn0cnd sub1m1 fveq2d eqtrd ) BACDZEBFGZHIZJZBURKLMZNMOGZVAKLMZBGZURELMZB
    GUQUSVAKURPMDZVBVDTUTUREUAGDZVFUTEQDZURQDZUSVGVHUTUBUCUQVIUSUQURABUDZUERUQU
    SUFEURUGUHURUISVAABUJUKUTVCVEBUQVCVETZUSUQURULDVKUQURVJUMURUNSRUOUP $.

  ${
    $d I i $.  $d S i $.  $d V i $.  $d W i $.
    $( Two words are equal if and only if they have the same prefix and the
       same suffix.  (Contributed by Alexander van der Vekens, 23-Sep-2018.)
       (Revised by AV, 5-May-2020.) $)
    pfxsuffeqwrdeq $p |- ( ( W e. Word V /\ S e. Word V
                           /\ I e. ( 0 ..^ ( # ` W ) ) )
                  -> ( W = S <-> ( ( # ` W ) = ( # ` S )
                       /\ ( ( W prefix I ) = ( S prefix I )
                       /\ ( W substr <. I , ( # ` W ) >. )
                          = ( S substr <. I , ( # ` W ) >. ) ) ) ) ) $=
      ( vi wcel cc0 chash cfv cfzo co wceq wral wa cpfx 3ad2ant3 adantr cle wbr
      wb cword w3a cv cop csubstr eqwrd 3adant3 cun cfz elfzofz fzosplit ralunb
      syl raleqdv bitrdi eqidd cn0 3simpa elfzonn0 jca breq2 adantl mpbid pfxeq
      elfzo0le syl112anc mpbirand lencl anim12ci 3adant2 nn0red leidd 3ad2antl1
      cr eqle sylan swrdspsleq syl3anc anbi12d bitr4d pm5.32da bitrd ) DCUAZFZA
      WCFZBGDHIZJKZFZUBZDALZWFAHIZLZEUCZDIWMAILZEWGMZNZWLDBOKABOKLZDBWFUDZUEKAW
      RUEKLZNZNWDWEWJWPTWHCCDEAUFUGWIWLWOWTWIWLNZWOWNEGBJKZMZWNEBWFJKZMZNZWTXAW
      OWNEXBXDUHZMXFXAWNEWGXGWIWGXGLZWLWHWDXHWEWHBGWFUIKFXHBGWFUJGWFBUKUMPQUNWN
      EXBXDULUOXAWQXCWSXEXAWQBBLZXCXABUPXAWDWENZBUQFZXKNZBWFRSZBWKRSZWQXIXCNTWI
      XJWLWDWEWHURQZWIXLWLWHWDXLWEWHXKXKBWFUSZXPUTPQWIXMWLWHWDXMWEBWFVEPQZXAXMX
      NXQWLXMXNTWIWFWKBRVAVBVCAEBBCDVDVFVGXAXJXKWFUQFZNZWFWFRSZWFWKRSZNZWSXETXO
      WIXSWLWDWHXSWEWDXRWHXKCDVHZXPVIVJQWDWEWLYBWHWDWLNXTYAWDXTWLWDWFWDWFYCVKZV
      LQWDWFVNFWLYAYDWFWKVOVPUTVMAEBWFCDVQVRVSVTWAWB $.
  $}

  $( Two (nonempty) words are equal if and only if they have the same prefix
     and the same single symbol suffix.  (Contributed by Alexander van der
     Vekens, 23-Sep-2018.)  (Revised by AV, 6-May-2020.) $)
  pfxsuff1eqwrdeq $p |- ( ( W e. Word V /\ U e. Word V /\ 0 < ( # ` W ) )
                          -> ( W = U <-> ( ( # ` W ) = ( # ` U )
           /\ ( ( W prefix ( ( # ` W ) - 1 ) ) = ( U prefix ( ( # ` W ) - 1 ) )
           /\ ( lastS ` W ) = ( lastS ` U ) ) ) ) ) $=
    ( wcel cc0 chash cfv clt wbr w3a wceq c1 cmin co csubstr wa clsw wb syl cvv
    cword cpfx cop cfzo cn wne hashgt0n0 lennncl 3adant2 fzo0end pfxsuffeqwrdeq
    c0 syldan syld3an3 hashneq0 biimpd imdistani adantr swrdlsw 3anbi3d 3adant1
    cs1 breq2 syl6bi impcom oveq1 id opeq12d oveq2d eqeq1d adantl eqeq12d fvexd
    mpbird fvex s111 sylancl bitrd anbi2d pm5.32da ) CBUAZDZAWADZECFGZHIZJZCAKZ
    WDAFGZKZCWDLMNZUBNAWJUBNKZCWJWDUCZONZAWLONZKZPZPZWIWKCQGZAQGZKZPZPWBWCWEWJE
    WDUDNDZWGWQRWFWDUEDZXBWBWEXCWCWBWECULUFZXCCWAUGBCUHUMUIWDUJSAWJBCUKUNWFWIWP
    XAWFWIPZWOWTWKXEWOWRVBZWSVBZKZWTXEWMXFWNXGXEWBXDPZWMXFKWFXIWIWBWEXIWCWBWEXD
    WBWEXDCWAUOUPUQUIURBCUSSXEWNXGKZAWHLMNZWHUCZONZXGKZWIWFXNWIWFWBWCEWHHIZJZXN
    WIWEXOWBWCWDWHEHVCUTXPWCAULUFZPZXNWCXOXRWBWCXOXQWCXOXQAWAUOUPUQVABAUSSVDVEW
    IXJXNRWFWIWNXMXGWIWLXLAOWIWJXKWDWHWDWHLMVFWIVGVHVIVJVKVNVLXEWRTDWSTDXHWTRXE
    CQVMAQVOTWRWSVPVQVRVSVTVR $.

  ${
    $d N y $.  $d V x $.  $d x y $.
    $( Sets of words are disjoint if each set contains exactly the extensions
       of distinct words of a fixed length.  Remark:  A word ` W ` is called an
       "extension" of a word ` P ` if ` P ` is a prefix of ` W ` .
       (Contributed by AV, 29-Jul-2018.)  (Revised by AV, 6-May-2020.) $)
    disjwrdpfx $p |- Disj_ y e. W { x e. Word V | ( x prefix N ) = y } $=
      ( cword cv cpfx co invdisjrab ) ABEDFAGCHIJ $.
  $}

  ${
    $d x A $.  $d x S $.  $d x Y $.  $d x Z $.
    $( Concatenating a prefix with an adjacent subword makes a longer prefix.
       (Contributed by AV, 7-May-2020.) $)
    ccatpfx $p |- ( ( S e. Word A /\ Y e. ( 0 ... Z )
                       /\ Z e. ( 0 ... ( # ` S ) ) )
        -> ( ( S prefix Y ) ++ ( S substr <. Y , Z >. ) ) = ( S prefix Z ) ) $=
      ( wcel cc0 cfz co chash cfv wceq wa cfzo adantr caddc cmin cc id ad2antrr
      wfn vx cword cpfx cop csubstr cconcat pfxcl swrdcl ccatcl syl2anc ccatlen
      wrdfn syl fzass4 biimpri simpld pfxlen swrdlen 3expb oveq12d elfzelz zcnd
      sylan2 pncan3 syl2an adantl 3eqtrd oveq2d mpbid pfxfn adantrl cv ad2antrl
      fneq2d wo fzospliti syl2anr eleq2d biimpar ccatval1 simpl pfxfv syl2an3an
      syl3anc eqtrd ccatval2 w3a fzosubel subidd oveq1d eqeltrd swrdfv syl2an2r
      cz wb elfzoelz npcan fveq2d jaodan syldan 3expa adantlrl eqtr4d eqfnfvd
      3impb ) BAUBZEZCFDGHEZDFBIJZGHZEZBCUCHZBCDUDUEHZUFHZBDUCHZKXGXHXKLZLZUAFD
      MHZXNXOXQXNFXNIJZMHZTZXNXRTXGYAXPXGXNXFEZYAXGXLXFEZXMXFEZYBABCUGZABCDUHZA
      XLXMUIUJAXNULUMNXQXTXRXNXQXSDFMXQXSXLIJZXMIJZOHZCDCPHZOHZDXGXSYIKZXPXGYCY
      DYLYEYFAAXLXMUKUJNXQYGCYHYJOXPXGCXJEZYGCKXPYMDCXIGHEZYMYNLXPFCDXIUNUOUPZA
      BCUQVCZXGXHXKYHYJKABCDURUSUTZXPYKDKZXGXHCQEZDQEYRXKXHCCFDVAZVBZXKDDFXIVAV
      BCDVDVEVFZVGVHVNVIXGXKXOXRTXHBDAVJVKXQUAVLZXREZLUUCXNJZUUCBJZUUCXOJZXQUUD
      UUCFCMHZEZUUCCDMHZEZVOZUUEUUFKZUUDUUDCWNEZUULXQUUDRXHUUNXGXKYTVMZUUCFDCVP
      VQXQUUIUUMUUKXQUUILZUUEUUCXLJZUUFUUPYCYDUUCFYGMHZEZUUEUUQKXGYCXPUUIYESXGY
      DXPUUIYFSXQUUSUUIXQUURUUHUUCXQYGCFMYPVHVRVSAAXLXMUUCVTWDXQXGYMUUIUUIUUQUU
      FKXGXPWAXPYMXGYOVFUUIRUUCCABWBWCWEXQUUKLZUUEUUCYGPHZXMJZUVACOHZBJZUUFUUTY
      CYDUUCYGYIMHZEZUUEUVBKXGYCXPUUKYESXGYDXPUUKYFSXQUVFUUKXQUVEUUJUUCXQYGCYID
      MYPXQYIYKDYQUUBWEUTVRVSAXLXMUUCWFWDXQXGXHXKWGZUUKUVAFYJMHZEUVBUVDKXGXHXKU
      VGUVGRUSUUTUVAUUCCPHZUVHXQUVAUVIKUUKXQYGCUUCPYPVHZNUUTUVICCPHZYJMHZEZUVIU
      VHEZUUKUUKUUNUVMXQUUKRUUOUUCCDCWHVQXQUVMUVNWOZUUKXHUVOXGXKXHUVLUVHUVIXHUV
      KFYJMXHCUUAWIWJVRVMNVIWKABCDUVAWLWMUUTUVCUUCBUUTUVCUVICOHZUUCXQUVCUVPKUUK
      XQUVAUVICOUVJWJNUUKUUCQEYSUVPUUCKXQUUKUUCUUCCDWPVBXHYSXGXKUUAVMUUCCWQVQWE
      WRVGWSWTXGXKUUDUUGUUFKZXHXGXKUUDUVQUUCDABWBXAXBXCXDXE $.
  $}

  ${
    $d k B $.  $d k S $.  $d k T $.
    $( Recover the left half of a concatenated word.  (Contributed by Mario
       Carneiro, 27-Sep-2015.)  (Revised by AV, 6-May-2020.) $)
    pfxccat1 $p |- ( ( S e. Word B /\ T e. Word B )
                      -> ( ( S ++ T ) prefix ( # ` S ) ) = S ) $=
      ( vk cword wcel wa cconcat co chash cfv cpfx cc0 cfzo cfz wceq cn0 adantr
      lencl eqtrd cres ccatcl caddc anim12i nn0fz0 elfz0add sylc ccatlen oveq2d
      sylib eleqtrrd pfxres syl2anc ccatvalfn cuz wss nn0zd uzidd syl2an fzoss2
      uzaddcl syl fnssresd wfn wrdfn cv fvres adantl ccatval1 3expa eqfnfvd ) B
      AEZFZCVLFZGZBCHIZBJKZLIZVPMVQNIZUAZBVOVPVLFVQMVPJKZOIZFVRVTPABCUBVOVQMVQC
      JKZUCIZOIZWBVOVQQFZWCQFZGVQMVQOIFZVQWEFVMWFVNWGABSZACSZUDVMWHVNVMWFWHWIVQ
      UEUJRVQWCVQUFUGVOWAWDMOAABCUHUIUKAVPVQULUMVODVSVTBVOMWDNIZVSVPBCAUNVOWDVQ
      UOKZFZVSWKUPVMVQWLFWGWMVNVMVQVMVQWIUQURWJWCVQVQVAUSVQMWDUTVBVCVMBVSVDVNAB
      VERVODVFZVSFZGWNVTKZWNVPKZWNBKZWOWPWQPVOWNVSVPVGVHVMVNWOWQWRPAABCWNVIVJTV
      KT $.
  $}

  $( The prefix of length one of a nonempty word expressed as a singleton word.
     (Contributed by AV, 15-May-2020.) $)
  pfx1 $p |- ( ( W e. Word V /\ W =/= (/) )
               -> ( W prefix 1 ) = <" ( W ` 0 ) "> ) $=
    ( cword wcel c0 wne wa c1 cpfx co cc0 cop csubstr cfv cs1 cn0 wceq 1nn0 a1i
    caddc pfxval sylan2 1e0p1 opeq2i oveq2i chash cfzo cn lennncl lbfzo0 sylibr
    swrds1 syldan 3eqtrd ) BACZDZBEFZGZBHIJZBKHLZMJZBKKHTJZLZMJZKBNOZUQUPHPDZUS
    VAQVFUQRSBHUOUAUBVAVDQURUTVCBMHVBKUCUDUESUPUQKKBUFNZUGJDZVDVEQURVGUHDVHABUI
    VGUJUKAKBULUMUN $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subwords of subwords
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Lemma for ~ swrdswrd .  (Contributed by Alexander van der Vekens,
     4-Apr-2018.) $)
  swrdswrdlem $p |- ( ( ( W e. Word V /\ N e. ( 0 ... ( # ` W ) )
                             /\ M e. ( 0 ... N ) )
                  /\ ( K e. ( 0 ... ( N - M ) ) /\ L e. ( K ... ( N - M ) ) ) )
                         -> ( W e. Word V /\ ( M + K ) e. ( 0 ... ( M + L ) )
                              /\ ( M + L ) e. ( 0 ... ( # ` W ) ) ) ) $=
    ( wcel cc0 co w3a wa cn0 cle wbr wi adantr cr sylbi imp impcom cfv cfz cmin
    cword chash caddc simpl1 cz elfz2 elfz2nn0 nn0addcl adantrr elnn0z 0red zre
    adantl letr syl3anc expcom sylbir ex syld expd com34 impancom nn0re leadd2d
    biimpa 3jca exp31 com23 3ad2ant1 3ad2ant3 com13 com12 sylibr simpr2 anim12i
    simpllr simpr simplll leaddsub2d readdcl ad4ant24 a1ddd sylbird com25 com24
    syl2an 3imp com15 com35 impd exp41 3adant1 com3l ) FEUDGZDHFUEUAZUBIZGZCHDU
    BIGZJZAHDCUCIZUBIGZBAXCUBIGZKZKZWQCAUFIZHCBUFIZUBIGZXIWSGZWQWTXAXFUGXGXHLGZ
    XILGZXHXIMNZJZXJXFXBXOXEXDXBXOOZXEAUHGZXCUHGZBUHGZJZABMNZBXCMNZKZKZXDXPOZBA
    XCUIZXTYCYEXSXQYCYEOXRYCXSYEYAXSYEOYBXDXSYAXPXDALGZXCLGZAXCMNZJZXSYAXPOZOZA
    XCUJZYGYHYLYIYGXSYKXBYAYGXSKZXOXAWQYAYNXOOOZWTXACLGZDLGZCDMNZJZYOCDUJZYPYQY
    OYRYPYNYAXOYPYNYAXOYPYNKZYAKXLXMXNUUAXLYAYPYGXLXSCAUKULPUUAYAXMYNYPYAXMOZYG
    XSYPUUBOZYGXQHAMNZKZXSUUCOAUMZXQXSUUDUUCXQXSKZUUDYAYPXMUUGUUDYAYPXMOZUUGUUD
    YAKZHBMNZUUHUUGHQGAQGZBQGZUUIUUJOUUGUNXQUUKXSAUOPXSUULXQBUOZUPHABUQURZXSUUJ
    UUHOXQXSUUJUUHXSUUJKBLGZUUHBUMYPUUOXMCBUKUSUTVAUPVBVCVDVERSTZSUUAYAXNUUAABC
    YNUUKYPYGUUKXSAVFPUPYNUULYPXSUULYGUUMUPUPYPCQGZYNCVFZPVGVHVIVJVKVLRVMVNVAVL
    RVNPVOVMSRTTXHXIUJVPXGXMWRLGZXIWRMNZJZXKXFXBUVAXEXDXBUVAOZXEYDXDUVBOZYFXTYC
    UVCXSXQYCUVCOXRXDXSYCUVBXDYJXSYCUVBOZOZYMYGYHUVEYIYGXSUVDXBYCYNUVAWTXAYCYNU
    VAOOZWQWTXAUVFWTYQUUSDWRMNZJZXAUVFODWRUJXAUVHUVFXAYSUVHUVFOZYTYPYQUVIYRYPYN
    YCUVHUVAYPYNYCUVHUVAUUAYCKZUVHKXMUUSUUTUVJXMUVHYCUUAXMYAUUAXMOYBUUAYAXMUUPV
    OPTPUVJYQUUSUVGVQUVJUVHUUTUUAYCUVHUUTOZYNYPYCUVKOZYGXSYPUVLOZYGUUEXSUVMOUUF
    XQXSUUDUVMUUGYCYPUUDUVKUUGYAYBYPUUDUVKOOUUGUUDYBYPYAUVKUUGUUDYAYPYBUVKUUGUU
    DYAYPYBUVKOOZUUGUUIUUJUVNUUNXSUUJUVNOXQUVHUUJYPYBXSUUTYQUUSUVGUUJYPYBXSUUTO
    OZOOYQYPUVGUUJUUSUVOYQYPUVGUUJUUSUVOOOOYQYPKZUUSUUJUVGUVOUVPUUSUUJUVGUVOOOU
    VPUUSKZXSUVGYBUUJUUTUVQXSUVGYBUUJUUTOZOOZUVQDQGZUUQKZWRQGZKZUULUVSXSUVPUWAU
    USUWBYQUVTYPUUQDVFUURVRWRVFVRUUMUWCUULKZYBUVGUVRUWDYBXIDMNZUVGUVROUWDCBDUVT
    UUQUWBUULVSUWCUULVTUVTUUQUWBUULWAZWBUWDUWEUVGUUJUUTUWDXIQGZUVTUWBUWEUVGUUTO
    OUUQUULUWGUVTUWBCBWCWDUWFUWCUWBUULUWAUWBVTPUWGUVTUWBJUWEUVGUUTXIDWRUQVCURWE
    WFVKWIVAWGVAWHVAWGWJWKUPVBVCWLWGWMWHVERSTSSVIWNWHVLRVORSWOVNVAVLRWPVMSRTTXI
    WRUJVPVI $.

  ${
    $d K x y $.  $d L x y $.  $d M x y $.  $d N x y $.  $d V x y $.
    $d W x y $.
    $( A subword of a subword is a subword.  (Contributed by Alexander van der
       Vekens, 4-Apr-2018.) $)
    swrdswrd $p |- ( ( W e. Word V /\ N e. ( 0 ... ( # ` W ) )
                         /\ M e. ( 0 ... N ) )
                 -> ( ( K e. ( 0 ... ( N - M ) ) /\ L e. ( K ... ( N - M ) ) )
                    -> ( ( W substr <. M , N >. ) substr <. K , L >. )
                       = ( W substr <. ( M + K ) , ( M + L ) >. ) ) ) $=
      ( vx wcel cc0 cfv cfz co w3a wa caddc wceq adantr adantl wi wbr cword cop
      vy chash cmin csubstr cfzo cmpt swrdcl 3ad2ant1 elfz0ubfz0 cuz wss elfzuz
      cv fzss1 syl impr 3ancomb biimpi swrdlen oveq2d eleqtrrd swrdval2 syl3anc
      sseld wfn fvex eqid fnmpti a1i swrdswrdlem swrdvalfn elfzelz zcn ad2antrl
      cz cc ad2antll pnpcan eqcomd expcom syl2anr syl5com imp fneq2d mpbird cvv
      3ad2ant3 simpr oveq1 fvoveq1d fvmptg sylancl 3anim123i 3expa add32r exp31
      weq com13 elfzoelz impel fveq2d eqtrd ad3antrrr cn0 cle elfz2nn0 elfz2 cn
      clt elfzo0 cr wb nn0re zre ltaddsub bicomd nn0addcl ex impcom elnn0z 0red
      lelttr ltletr elnnnn0b simplbi2 syld exp4b com23 a1d com24 sylbi impancom
      expd mpcom imp41 com12 swrdfv syl2anc nn0readdcl syl2an3an sylbid 3adant2
      syl3anbrc exp41 com14 3adant3 mpteq2dva fveq1d com3l mpan9 eleq2d 3eqtr4d
      biimpa eqfnfvd ) FEUAZHZDIFUDJKLZHZCIDKLHZMZAIDCUELZKLZHZBAUVCKLZHZNZFCDU
      BUFLZABUBUFLZFCAOLZCBOLZUBUFLZPUVBUVHNZUVJGIBAUELZUGLZGUOZAOLZUVIJZUHZUVM
      UVNUVIUUQHZAIBKLHZBIUVIUDJZKLZHUVJUVTPUVBUWAUVHUURUUTUWAUVAEFCDUIUJQUVHUW
      BUVBABUVCUKRUVNBUVDUWDUVBUVEUVGBUVDHUVBUVENZUVFUVDBUWEAIULJHZUVFUVDUMUVEU
      WFUVBAIUVCUNRAIUVCUPUQVFURUVNUWCUVCIKUVNUURUVAUUTMZUWCUVCPUVBUWGUVHUVBUWG
      UURUUTUVAUSUTZQEFCDVAUQVBVCGEUVIABVDVEUVNUCUVPUVTUVMUVTUVPVGUVNGUVPUVSUVT
      UVRUVIVHUVTVIVJVKUVNUVMUVPVGUVMIUVLUVKUELZUGLZVGZUVNUURUVKIUVLKLHUVLUUSHM
      ZUWKABCDEFVLZFUVKUVLEVMUQUVNUVPUWJUVMUVNUVOUWIIUGUVBUVHUVOUWIPZUVAUURUVHU
      WNSZUUTUVACVQHZUVHUWNCIDVNZUVGBVQHZAVQHZUWPUWNSZUVEBAUVCVNZAIUVCVNZUWPUWR
      UWSNZUWNUWPUXCNCVRHZBVRHZAVRHZUWNUWPUXDUXCCVOZQUWRUXEUWPUWSBVOZVPUWSUXFUW
      PUWRAVOZVSUXDUXEUXFMZUWIUVOCBAVTWAZVEWBWCWDWIWEVBWFWGUVNUCUOZUVPHZNZUXLGU
      VPUVRCOLFJZUHZJZUXLUVKOLZFJZUXLUVTJUXLUVMJZUXNUXQUXLAOLZCOLZFJZUXSUXNUXMU
      YCWHHUXQUYCPUVNUXMWJUYBFVHGUXLUXOUYCUVPWHUXPGUCWSUVRUYACFOUVQUXLAOWKWLUXP
      VIWMWNUXNUYBUXRFUVNUXLVQHZUYBUXRPZUXMUVBUVHUYDUYESZUVAUURUVHUYFSUUTUVAUWP
      UVHUYFUWQUVEUWPUYFSZUVGUVEUWSUYGUXBUYDUWPUWSUYEUYDUWPUWSUYEUYDUWPNUWSNUXL
      VRHZUXDUXFMZUYEUYDUWPUWSUYIUYDUYHUWPUXDUWSUXFUXLVOUXGUXIWOWPUYIUXRUYBUXLC
      AWQWAUQWRWTUQQWDWIWEUXLIUVOXAXBXCXDUXNUXLUVTUXPUXNGUVPUVSUXOUXNUVQUVPHZNU
      WGUVRIUVCUGLHZUVSUXOPUVBUWGUVHUXMUYJUWHXEUXNUYJUYKUVNUYJUYKSZUXMUVHUYLUVB
      UVEUVGUYLUVEAXFHZUVCXFHZAUVCXGTZMUVGUYLSZAUVCXHUYMUYNUYPUYOUVGUYMUYNNZUYL
      UVGUWSUVCVQHZUWRMZABXGTZBUVCXGTZNZNUYQUYLSZBAUVCXIUYSVUBVUCUWRUWSVUBVUCSU
      YRVUBUWRVUCVUAUWRVUCSUYTUYJUWRUYQVUAUYKUYJUVQXFHZUVOXJHZUVQUVOXKTZMUWRUYQ
      VUAUYKSZSZSZUVQUVOXLVUDVUFVUIVUEVUDUWRVUFVUHUYQVUFVUDUWRNZVUGUYMUYNVUFVUJ
      VUGSSUYMVUJVUFUYNVUGUYMVUJVUFUYNVUGSZSUYMVUJNZVUFUVRBXKTZVUKVULUVQXMHZAXM
      HZBXMHZVUFVUMXNVUDVUNUYMUWRUVQXOVPUYMVUOVUJAXOQUWRVUPUYMVUDBXPZVSZVUNVUOV
      UPMVUMVUFUVQABXQXRVEVULVUMUYNVUAUYKVULVUMNUYNNVUANUVRXFHZUVCXJHZUVRUVCXKT
      ZUYKVULVUSVUMUYNVUAVUJUYMVUSVUDUYMVUSSUWRVUDUYMVUSUVQAXSZXTQYAXEVULVUMUYN
      VUAVUTVUJUYMVUMUYNVUAVUTSZSZSZVUDUYMUWRVVEVUSVUDUYMNZUWRVVESZVVBVUSUVRVQH
      ZIUVRXGTZNVVFVVGSZUVRYBVVHVVIVVJVVHUWRVVFVVIVVEVVHUWRVVFVVIVVESZSVVHUWRNZ
      VVKVVFVVLVVIVUMVVDVVLVVIVUMNZIBXKTZVVDVVLIXMHZUVRXMHZVUPVVMVVNSVVLYCVVHVV
      PUWRUVRXPQUWRVUPVVHVUQRIUVRBYDVEUWRVVNVVDSVVHUWRUYNVVNVVCUWRUYNVVNVUAVUTU
      WRUYNNZVVNVUANZIUVCXKTZVUTVVQVVOVUPUVCXMHZVVRVVSSVVQYCUWRVUPUYNVUQQUYNVVT
      UWRUVCXOZRIBUVCYEVEUYNVVSVUTSUWRVUTUYNVVSUVCYFYGRYHYIYJRYHYOYKXTYLWEYMYPY
      NYAYQVULVUMUYNVUAVVAVULUYNVUMVUAVVASVULUYNVUMVUAVVAVULVVPVUPUYNVVTVUMVUAN
      VVASVUJUYMVVPVUDUYMVVPSUWRVUDUYMVVPUVQAUUAXTQYAVURVWAUVRBUVCYEUUBYIYJYQUV
      RUVCXLUUEUUFUUCXTYLWEWTYNUUDYMUUGRYRWIWEYMYRUUHYMWERQWEEFCDUVRYSYTUUIUUJU
      XNUWLUXLUWJHZUXTUXSPUVNUWLUXMUWMQUVNUXMVWBUVNUVPUWJUXLUVNUVOUWIIUGUVBUVHU
      WNUVAUURUWOUUTUVAUWPUVHUWNUWQUVEUWSUVGUWTUXBUVGUWRUWSUWTSUXAUWPUWRUWSUWNU
      WPUWRUWSUWNUWPUWRNUWSNUXJUWNUWPUWRUWSUXJUWPUXDUWRUXEUWSUXFUXGUXHUXIWOWPUX
      KUQWRUUKUQUULWDWIWEVBUUMUUOEFUVKUVLUXLYSYTUUNUUPXDXT $.
  $}

  $( A prefix of a subword is a subword.  (Contributed by AV, 2-Apr-2018.)
     (Revised by AV, 8-May-2020.) $)
  pfxswrd $p |- ( ( W e. Word V /\ N e. ( 0 ... ( # ` W ) )
                        /\ M e. ( 0 ... N ) ) -> ( L e. ( 0 ... ( N - M ) )
                    -> ( ( W substr <. M , N >. ) prefix L )
                       = ( W substr <. M , ( M + L ) >. ) ) ) $=
    ( cword wcel cc0 cfz co cop csubstr caddc wceq cvv cn0 elfznn0 3ad2ant3 syl
    wa chash cfv w3a cmin cpfx ovexd pfxval syl2an fznn0sub anim1i swrdswrd imp
    0elfz syldan nn0cn addid1d adantr opeq1d oveq2d 3eqtrd ex ) EDFGZCHEUAUBIJG
    ZBHCIJGZUCZAHCBUDJZIJZGZEBCKZLJZAUEJZEBBAMJZKZLJZNVEVHTZVKVJHAKLJZEBHMJZVLK
    ZLJZVNVEVJOGAPGVKVPNVHVEEVILUFAVFQVJAOUGUHVEVHHVGGZVHTZVPVSNZVEVTVHVEVFPGZV
    TVDVBWCVCBHCUIRVFUMSUJVEWAWBHABCDEUKULUNVOVRVMELVOVQBVLVEVQBNZVHVDVBWDVCVDB
    PGZWDBCQWEBBUOUPSRUQURUSUTVA $.

  $( A subword of a prefix is a subword.  (Contributed by Alexander van der
     Vekens, 6-Apr-2018.)  (Revised by AV, 8-May-2020.) $)
  swrdpfx $p |- ( ( W e. Word V /\ N e. ( 0 ... ( # ` W ) ) )
                      -> ( ( K e. ( 0 ... N ) /\ L e. ( K ... N ) )
                           -> ( ( W prefix N ) substr <. K , L >. )
                                = ( W substr <. K , L >. ) ) ) $=
    ( wcel cc0 cfz co wa cop csubstr wceq caddc adantr syl adantl oveq2d eleq2d
    elfzelz cword chash cfv cpfx cn0 elfznn0 anim2i pfxval w3a cmin simpl simpr
    oveq1d 0elfz 3jca cz subid1d eqcomd anbi12d biimpa swrdswrd sylc cc addid2d
    zcn zcnd opeq12d 3eqtrd ex ) EDUAZFZCGEUBUCZHIFZJZAGCHIZFZBACHIZFZJZECUDIZA
    BKZLIZEWALIZMVNVSJZWBEGCKLIZWALIZEGANIZGBNIZKZLIZWCWDVTWEWALWDVKCUEFZJZVTWE
    MVNWLVSVMWKVKCVLUFZUGOECVJUHPUMWDVKVMGVOFZUIZAGCGUJIZHIZFZBAWPHIZFZJZWFWJMV
    NWOVSVNVKVMWNVKVMUKVKVMULVMWNVKVMWKWNWMCUNPQUOOVNVSXAVNVPWRVRWTVNVOWQAVNCWP
    GHVMCWPMZVKVMCUPFZXBCGVLTXCWPCXCCCVEUQURPQZRSVNVQWSBVNCWPAHXDRSUSUTABGCDEVA
    VBWDWIWAELWDWGAWHBWDAVSAVCFZVNVPXEVRVPAAGCTVFOQVDWDBVSBVCFZVNVRXFVPVRBBACTV
    FQQVDVGRVHVI $.

  $( A prefix of a prefix is a prefix.  (Contributed by Alexander van der
     Vekens, 7-Apr-2018.)  (Revised by AV, 8-May-2020.) $)
  pfxpfx $p |- ( ( W e. Word V /\ N e. ( 0 ... ( # ` W ) )
                     /\ L e. ( 0 ... N ) )
                   -> ( ( W prefix N ) prefix L ) = ( W prefix L ) ) $=
    ( wcel cc0 cfz co w3a cpfx cop csubstr wa wceq elfznn0 anim2i pfxval nn0cnd
    cn0 syl cword chash cfv caddc 3adant3 oveq1d cmin simp1 simp2 3ad2ant2 3jca
    subid1d eqcomd adantl oveq2d eleq2d biimp3a pfxswrd addid2d opeq2d 3ad2ant3
    0elfz sylc 3adant2 eqtr4d 3eqtrd ) DCUAZEZBFDUBUCZGHEZAFBGHZEZIZDBJHZAJHDFB
    KLHZAJHZDFFAUDHZKZLHZDAJHZVMVNVOAJVMVHBSEZMZVNVONVHVJWBVLVJWAVHBVIOZPUEDBVG
    QTUFVMVHVJFVKEZIAFBFUGHZGHZEZVPVSNVMVHVJWDVHVJVLUHVHVJVLUIVJVHWDVLVJWAWDWCB
    VBTUJUKVHVJVLWGVHVJMZVKWFAWHBWEFGVJBWENVHVJWEBVJBVJBWCRULUMUNUOUPUQAFBCDURV
    CVMVSDFAKZLHZVTVLVHVSWJNVJVLVRWIDLVLVQAFVLAVLAABOZRUSUTUOVAVMVHASEZMZVTWJNV
    HVLWMVJVLWLVHWKPVDDAVGQTVEVF $.

  $( A prefix of a prefix with the same length is the original prefix.  In
     other words, the operation "prefix of length ` N ` " is idempotent.
     (Contributed by AV, 5-Apr-2018.)  (Revised by AV, 8-May-2020.) $)
  pfxpfxid $p |- ( ( W e. Word V /\ N e. ( 0 ... ( # ` W ) ) )
                     -> ( ( W prefix N ) prefix N ) = ( W prefix N ) ) $=
    ( cword wcel cc0 chash cfv cfz co cpfx wceq cn0 elfznn0 nn0fz0 sylib adantl
    pfxpfx mpd3an3 ) CBDEZAFCGHZIJEZAFAIJEZCAKJZAKJUDLUBUCTUBAMEUCAUANAOPQAABCR
    S $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subwords and concatenations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The concatenation of the prefix of a word and the rest of the word yields
     the word itself.  (Contributed by AV, 21-Oct-2018.)  (Revised by AV,
     9-May-2020.) $)
  pfxcctswrd $p |- ( ( W e. Word V /\ M e. ( 0 ... ( # ` W ) ) )
             -> ( ( W prefix M ) ++ ( W substr <. M , ( # ` W ) >. ) ) = W ) $=
    ( cword wcel cc0 chash cfv cfz co wa cpfx csubstr cconcat wceq lencl nn0fz0
    cop cn0 adantr sylib ccatpfx mpd3an3 pfxid eqtrd ) CBDEZAFCGHZIJZEZKCALJCAU
    GRMJNJZCUGLJZCUFUIUGUHEZUJUKOUFULUIUFUGSEULBCPUGQUATBCAUGUBUCUFUKCOUIBCUDTU
    E $.

  $( The length of the concatenation of the prefix of a word and the rest of
     the word is the length of the word.  (Contributed by AV, 21-Oct-2018.)
     (Revised by AV, 9-May-2020.) $)
  lenpfxcctswrd $p |- ( ( W e. Word V /\ M e. ( 0 ... ( # ` W ) ) )
            -> ( # ` ( ( W prefix M )
                       ++ ( W substr <. M , ( # ` W ) >. ) ) ) = ( # ` W ) ) $=
    ( cword wcel cc0 chash cfv cfz co wa cpfx csubstr cconcat pfxcctswrd fveq2d
    cop ) CBDEAFCGHZIJEKCALJCARQMJNJCGABCOP $.

  $( The length of the concatenation of the rest of a word and the prefix of
     the word is the length of the word.  (Contributed by Alexander van der
     Vekens, 1-Apr-2018.)  (Revised by AV, 9-May-2020.) $)
  lenrevpfxcctswrd $p |- ( ( W e. Word V /\ M e. ( 0 ... ( # ` W ) ) )
                            -> ( # ` ( ( W substr <. M , ( # ` W ) >. )
                                     ++ ( W prefix M ) ) ) = ( # ` W ) ) $=
    ( cword wcel cc0 chash cfv cfz co wa csubstr cpfx cconcat caddc wceq swrdcl
    cop pfxcl ccatlen syl2anc adantr addlenrevpfx eqtrd ) CBDZEZAFCGHZIJEZKCAUG
    RLJZCAMJZNJGHZUIGHUJGHOJZUGUFUKULPZUHUFUIUEEUJUEEUMBCAUGQBCASBBUIUJTUAUBABC
    UCUD $.

  $( Reconstruct a nonempty word from its prefix and last symbol.  (Contributed
     by Alexander van der Vekens, 5-Aug-2018.)  (Revised by AV, 9-May-2020.) $)
  pfxlswccat $p |- ( ( W e. Word V /\ W =/= (/) )
          -> ( ( W prefix ( ( # ` W ) - 1 ) ) ++ <" ( lastS ` W ) "> ) = W ) $=
    ( cword wcel c0 wne wa chash cfv cmin cpfx clsw cs1 cconcat csubstr swrdlsw
    c1 co cop eqcomd oveq2d cc0 cfz wceq cfn wrdfin 1elfz0hash sylan pfxcctswrd
    fznn0sub2 syl syldan eqtrd ) BACDZBEFZGZBBHIZQJRZKRZBLIMZNRUSBURUQSORZNRZBU
    PUTVAUSNUPVAUTABPTUAUNUOURUBUQUCRZDZVBBUDUPQVCDZVDUNBUEDUOVEABUFBUGUHQUQUJU
    KURABUIULUM $.

  $( The last symbol of a word concatenated with the word with the last symbol
     removed results in the word itself.  (Contributed by Alexander van der
     Vekens, 24-Oct-2018.)  (Revised by AV, 9-May-2020.) $)
  ccats1pfxeq $p |- ( ( W e. Word V /\ U e. Word V
                         /\ ( # ` U ) = ( ( # ` W ) + 1 ) )
                       -> ( W = ( U prefix ( # ` W ) )
                            -> U = ( W ++ <" ( lastS ` U ) "> ) ) ) $=
    ( wcel chash cfv c1 co wceq cpfx cconcat oveq1 syl eqcomd 3ad2ant1 3ad2ant3
    cmin eqtrd cc0 clt cword caddc w3a cs1 wa adantl lencl nn0cnd pncan1 oveq2d
    clsw cc oveq1d c0 wne simp2 wbr cn0 nn0p1gt0 breq2 mpbird hashneq0 3ad2ant2
    wb mpbid pfxlswccat syl2anc adantr eqtr2d ex ) CBUAZDZAVKDZAEFZCEFZGUBHZIZU
    CZCAVOJHZIZACAUKFUDZKHZIVRVTUEWBVSWAKHZAVTWBWCIVRCVSWAKLUFVRWCAIVTVRWCAVNGQ
    HZJHZWAKHZAVRVSWEWAKVRVOWDAJVRVOVPGQHZWDVLVMVOWGIVQVLWGVOVLVOULDWGVOIVLVOBC
    UGZUHVOUIMNOVQVLWGWDIVMVQWDWGVNVPGQLNPRUJUMVRVMAUNUOZWFAIVLVMVQUPVRSVNTUQZW
    IVRWJSVPTUQZVLVMWKVQVLVOURDWKWHVOUSMOVQVLWJWKVDVMVNVPSTUTPVAVMVLWJWIVDVQAVK
    VBVCVEBAVFVGRVHVIVJ $.

  ${
    $d U s $.  $d V s $.  $d W s $.
    $( There exists a symbol such that its concatenation after the prefix
       obtained by deleting the last symbol of a nonempty word results in the
       word itself.  (Contributed by AV, 5-Oct-2018.)  (Revised by AV,
       9-May-2020.) $)
    ccats1pfxeqrex $p |- ( ( W e. Word V /\ U e. Word V
                              /\ ( # ` U ) = ( ( # ` W ) + 1 ) )
                            -> ( W = ( U prefix ( # ` W ) )
                                 -> E. s e. V U = ( W ++ <" s "> ) ) ) $=
      ( cword wcel chash cfv c1 caddc wceq w3a clsw cs1 cconcat cc0 clt syl2anc
      co wbr cpfx cv wrex c0 wne simp2 cn0 cn lencl 3ad2ant1 nn0p1nn nngt0 3syl
      wb breq2 3ad2ant3 mpbird hashgt0n0 lswcl ccats1pfxeq s1eq oveq2d rspceeqv
      syl6an ) CBEZFZAVEFZAGHZCGHZIJSZKZLZAMHZBFZCAVIUASKACVMNZOSZKACDUBZNZOSZK
      DBUCVLVGAUDUEZVNVFVGVKUFZVLVGPVHQTZVTWAVLWBPVJQTZVLVIUGFZVJUHFWCVFVGWDVKB
      CUIUJVIUKVJULUMVKVFWBWCUNVGVHVJPQUOUPUQAVEURRBAUSRABCUTDVMBVSVPAVQVMKVRVO
      COVQVMVAVBVCVD $.
  $}

  $( An ~ opth -like theorem for recovering the two halves of a concatenated
     word.  (Contributed by Mario Carneiro, 1-Oct-2015.)  (Proof shortened by
     AV, 12-Oct-2022.) $)
  ccatopth $p |- ( ( ( A e. Word X /\ B e. Word X ) /\
    ( C e. Word X /\ D e. Word X ) /\ ( # ` A ) = ( # ` C ) ) ->
      ( ( A ++ B ) = ( C ++ D ) <-> ( A = C /\ B = D ) ) ) $=
    ( wcel wa chash cfv wceq cconcat co cpfx pfxccat1 caddc cop csubstr ccatlen
    syl 3eqtr3d cword w3a wi oveq1 oveq2 sylan9eqr eqeqan12d syl5ib 3impb simpr
    simpl3 fveq2d simpl1 simpl2 opeq12d oveq12d swrdccat2 jcad oveq12 impbid1
    ex ) AEUAZFBVBFGZCVBFDVBFGZAHIZCHIZJZUBZABKLZCDKLZJZACJZBDJZGVHVKVLVMVCVDVG
    VKVLUCVKVIVEMLZVJVEMLZJVCVDVGGZGVLVIVJVEMUDVCVPVNAVOCEABNVGVDVOVJVFMLCVEVFV
    JMUEECDNUFUGUHUIVHVKVMVHVKGZVIVEVEBHIOLZPZQLZVJVFVFDHIOLZPZQLZBDVQVIVJVSWBQ
    VHVKUJZVQVEVFVRWAVCVDVGVKUKVQVIHIZVJHIZVRWAVQVIVJHWDULVQVCWEVRJVCVDVGVKUMZE
    EABRSVQVDWFWAJVCVDVGVKUNZEECDRSTUOUPVQVCVTBJWGEABUQSVQVDWCDJWHECDUQSTVAURAC
    BDKUSUT $.

  $( An ~ opth -like theorem for recovering the two halves of a concatenated
     word.  (Contributed by Mario Carneiro, 1-Oct-2015.) $)
  ccatopth2 $p |- ( ( ( A e. Word X /\ B e. Word X ) /\
    ( C e. Word X /\ D e. Word X ) /\ ( # ` B ) = ( # ` D ) ) ->
      ( ( A ++ B ) = ( C ++ D ) <-> ( A = C /\ B = D ) ) ) $=
    ( wcel wa chash cfv wceq w3a cconcat co caddc ccatlen cn0 lencl syl nn0cnd
    wi cword fveq2 3ad2ant1 simp3 oveq2d eqtrd 3ad2ant2 eqeq12d simp1l addcan2d
    simp2l simp2r bitrd syl5ib ccatopth biimpd 3expia com23 3adant3 mpdd oveq12
    impbid1 ) AEUAZFZBVCFZGZCVCFZDVCFZGZBHIZDHIZJZKZABLMZCDLMZJZACJBDJGZVMVPAHI
    ZCHIZJZVQVPVNHIZVOHIZJZVMVTVNVOHUBVMWCVRVKNMZVSVKNMZJVTVMWAWDWBWEVMWAVRVJNM
    ZWDVFVIWAWFJVLEEABOUCVMVJVKVRNVFVIVLUDUEUFVIVFWBWEJVLEECDOUGUHVMVRVSVKVMVRV
    MVDVRPFVDVEVIVLUIEAQRSVMVSVMVGVSPFVFVGVHVLUKECQRSVMVKVMVHVKPFVFVGVHVLULEDQR
    SUJUMUNVFVIVPVTVQTTVLVFVIGVTVPVQVFVIVTVPVQTVFVIVTKVPVQABCDEUOUPUQURUSUTACBD
    LVAVB $.

  $( Concatenation of words is left-cancellative.  (Contributed by Mario
     Carneiro, 2-Oct-2015.) $)
  ccatlcan $p |- ( ( A e. Word X /\ B e. Word X /\
    C e. Word X ) -> ( ( C ++ A ) = ( C ++ B ) <-> A = B ) ) $=
    ( cword wcel w3a cconcat co wceq wa wb chash cfv eqid ccatopth mp3an3 3coml
    3impdi biantrur bitr4di ) ADEZFZBUBFZCUBFZGCAHICBHIJZCCJZABJZKZUHUEUCUDUFUI
    LZUEUCUDUJUEUCKUEUDKCMNZUKJUJUKOCACBDPQSRUGUHCOTUA $.

  $( Concatenation of words is right-cancellative.  (Contributed by Mario
     Carneiro, 2-Oct-2015.) $)
  ccatrcan $p |- ( ( A e. Word X /\ B e. Word X /\
    C e. Word X ) -> ( ( A ++ C ) = ( B ++ C ) <-> A = B ) ) $=
    ( cword wcel w3a cconcat co wceq wa chash cfv eqid ccatopth2 mp3an3 3impdir
    wb biantru bitr4di ) ADEZFZBUAFZCUAFZGACHIBCHIJZABJZCCJZKZUFUBUDUCUEUHRZUBU
    DKUCUDKCLMZUJJUIUJNACBCDOPQUGUFCNST $.

  $( Decompose a nonempty word by separating off the first symbol.
     (Contributed by Stefan O'Rear, 25-Aug-2015.)  (Revised by Mario Carneiro,
     1-Oct-2015.)  (Proof shortened by AV, 12-Oct-2022.) $)
  wrdeqs1cat $p |- ( ( W e. Word A /\ W =/= (/) ) -> W =
      ( <" ( W ` 0 ) "> ++ ( W substr <. 1 , ( # ` W ) >. ) ) ) $=
    ( cword wcel c0 wne wa c1 cpfx co chash cfv cop csubstr cconcat cc0 cs1 cfz
    wceq cn0 simpl cfn wrdfin 1elfz0hash sylan lennncl nnnn0d cuz eluzfz2 nn0uz
    eleq2s syl ccatpfx syl3anc pfx1 oveq1d pfxid adantr 3eqtr3rd ) BACDZBEFZGZB
    HIJZBHBKLZMNJZOJZBVDIJZPBLQZVEOJBVBUTHPVDRJZDZVDVIDZVFVGSUTVAUAUTBUBDVAVJAB
    UCBUDUEVBVDTDVKVBVDABUFUGVKVDPUHLTPVDUIUJUKULABHVDUMUNVBVCVHVEOABUOUPUTVGBS
    VAABUQURUS $.

  ${
    $d x A $.  $d x B $.  $d x X $.
    $( Express a word with an extra symbol as the union of the word and the new
       value.  (Contributed by Mario Carneiro, 28-Feb-2016.) $)
    cats1un $p |- ( ( A e. Word X /\ B e. X ) ->
      ( A ++ <" B "> ) = ( A u. { <. ( # ` A ) , B >. } ) ) $=
      ( vx wcel wa cc0 chash cfv cfzo co csn cun wf wrdf syl wceq adantr fveq2d
      cn0 cword cs1 cconcat ccatws1cl c1 caddc ccatws1len oveq2d lencl eleqtrdi
      cop cuz nn0uz fzosplitsn eqtrd feq2d mpbid ffnd c0 eqid fsng mpbiri sylan
      cin fzodisjsn a1i fun syl21anc cv wo elun ccats1val1 adantlr wne wn simpr
      fzonel nelne2 sylancl necomd fvunsn eqtr4d cvv fdmd eleq2d mtbiri fsnunfv
      cdm fvexd syl3anc simpl adantl cn s1len 1nn eqeltri lbfzo0 mpbir ccatval3
      s1cl s1fv nn0cnd addid2d 3eqtr2rd elsni eqeq12d syl5ibrcom jaodan sylan2b
      imp eqfnfvd ) ACUAZEZBCEZFZDGAHIZJKZXPLZMZABUBZUCKZAXPBUKLZMZXOXSCYAXOGYA
      HIZJKZCYANZXSCYANXOYAXLEYFCABUDCYAOPXOYEXSCYAXMYEXSQXNXMYEGXPUEUFKZJKZXSX
      MYDYGGJCABUGUHXMXPGULIZEYHXSQXMXPTYICAUIZUMUJGXPUNPUORUPUQURXOXSCBLZMZYCX
      OXQCANZXRYKYBNZXQXRVDUSQZXSYLYCNXMYMXNCAORZXMXPTEZXNYNYJYQXNFYNYBYBQYBUTX
      PBTCYBVAVBVCYOXOGXPVEVFXQXRCYKAYBVGVHURDVIZXSEXOYRXQEZYRXREZVJYRYAIZYRYCI
      ZQZYRXQXRVKXOYSUUCYTXOYSFZUUAYRAIZUUBXMYSUUAUUEQXNBYRCAVLVMUUDXPYRVNUUBUU
      EQUUDYRXPUUDYSXPXQEZVOYRXPVNXOYSVPGXPVQZYRXPXQVRVSVTAXPBYRWAPWBXOYTUUCXOU
      UCYTXPYAIZXPYCIZQXOUUIBGXPUFKZYAIZUUHXOXPWCEXNXPAWHZEZVOUUIBQXOAHWIXMXNVP
      XOUUMUUFUUGXOUULXQXPXOXQCAYPWDWEWFAWCCXPBWGWJXOUUKGXTIZBXOXMXTXLEZGGXTHIZ
      JKEZUUKUUNQXMXNWKXNUUOXMBCWTWLUUQXOUUQUUPWMEUUPUEWMBWNWOWPUUPWQWRVFCAXTGW
      SWJXNUUNBQXMBCXAWLUOXOUUJXPYAXOXPXOXPXMYQXNYJRXBXCSXDYTUUAUUHUUBUUIYTYRXP
      YAYRXPXEZSYTYRXPYCUURSXFXGXJXHXIXK $.
  $}

  ${
    $d n x A $.  $d m n x y z B $.  $d x ch $.  $d m n y z ph $.  $d x ta $.
    $d x th $.
    wrdind.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    wrdind.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    wrdind.3 $e |- ( x = ( y ++ <" z "> ) -> ( ph <-> th ) ) $.
    wrdind.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    wrdind.5 $e |- ps $.
    wrdind.6 $e |- ( ( y e. Word B /\ z e. B ) -> ( ch -> th ) ) $.
    $( Perform induction over the structure of a word.  (Contributed by Mario
       Carneiro, 27-Sep-2015.)  (Revised by Mario Carneiro, 26-Feb-2016.)
       (Proof shortened by AV, 12-Oct-2022.) $)
    wrdind $p |- ( A e. Word B -> ta ) $=
      ( wcel wceq wi co vn vm cword cv chash cfv wral cn0 lencl cc0 caddc eqeq2
      c1 imbi1d ralbidv c0 hasheq0 mpbiri rgen fveqeq2 imbi12d cbvralvw wa cmin
      syl6bi cpfx clsw cs1 cconcat wsbc cfz simprl cfzo fzossfz simprr ad2antrr
      cn nn0p1nn eqeltrd fzo0end syl sselid pfxlen oveq1d cc nn0cn ax-1cn pncan
      syl2anc sylancl 3eqtrd sbcie dfsbcq bitr3id simplr pfxcl ad2antrl rspcdva
      vex mpd wne cle wbr nnge1d wb wrdlenge1n0 mpbird lswcl oveq1 sbceq1d s1eq
      oveq2d imbi2d ovex 3imtr4g vtocl2ga cfn wrdfin hashnncl pfxlswccat eqcomd
      mpbid sbceq1a expr ralrimiva ex syl5bi nn0ind eqidd rspcv mp2d ) IJUCZQZF
      UDZUEUFZIUEUFZRZASZFYLUGZYPYPRZEYMYPUHQYSJIUIYOUAUDZRZASZFYLUGYOUJRZASZFY
      LUGYOUBUDZRZASZFYLUGZYOUUFUMUKTZRZASZFYLUGZYSUAUBYPUUAUJRZUUCUUEFYLUUNUUB
      UUDAUUAUJYOULUNUOUUAUUFRZUUCUUHFYLUUOUUBUUGAUUAUUFYOULUNUOUUAUUJRZUUCUULF
      YLUUPUUBUUKAUUAUUJYOULUNUOUUAYPRZUUCYRFYLUUQUUBYQAUUAYPYOULUNUOUUEFYLYNYL
      QZUUDYNUPRZAYNYLUQUUSABOKURVEUSUUIGUDZUEUFUUFRZCSZGYLUGZUUFUHQZUUMUUHUVBF
      GYLYNUUTRUUGUVAACYNUUTUUFUEUTLVAVBUVDUVCUUMUVDUVCVCZUULFYLUVEUURUUKAUVEUU
      RUUKVCZVCZAAFYNYOUMVDTZVFTZYNVGUFZVHZVITZVJZUVGAFUVIVJZUVMUVGUVIUEUFZUUFR
      ZUVNUVGUVOUVHUUJUMVDTZUUFUVGUURUVHUJYOVKTZQUVOUVHRUVEUURUUKVLZUVGUJYOVMTZ
      UVRUVHUJYOVNUVGYOVQQZUVHUVTQUVGYOUUJVQUVEUURUUKVOZUVDUUJVQQUVCUVFUUFVRVPV
      SZYOVTWAWBJYNUVHWCWIUVGYOUUJUMVDUWBWDUVGUUFWEQZUMWEQUVQUUFRUVDUWDUVCUVFUU
      FWFVPWGUUFUMWHWJWKUVGUVBUVPUVNSGYLUVIUUTUVIRZUVAUVPCUVNUUTUVIUUFUEUTCAFUU
      TVJZUWEUVNACFUUTGWSLWLZAFUUTUVIWMZWNVAUVDUVCUVFWOUURUVIYLQZUVEUUKJYNUVHWP
      WQZWRWTUVGUWIUVJJQZUVNUVMSZUWJUVGUURYNUPXAZUWKUVSUVGUWMUMYOXBXCZUVGYOUWCX
      DUURUWMUWNXEUVEUUKJYNXFWQXGJYNXHWIUWFAFUUTHUDZVHZVITZVJZSUVNAFUVIUWPVITZV
      JZSUWLGHUVIUVJYLJUWEUWFUVNUWRUWTUWHUWEAFUWQUWSUUTUVIUWPVIXIXJVAUWOUVJRZUW
      TUVMUVNUXAAFUWSUVLUXAUWPUVKUVIVIUWOUVJXKXLXJXMUUTYLQUWOJQVCCDUWFUWRPUWGAD
      FUWQUUTUWPVIXNMWLXOXPWIWTUVGYNUVLRZAUVMXEUVGUURUWMUXBUVSUVGUWAUWMUWCUVGYN
      XQQZUWAUWMXEUURUXCUVEUUKJYNXRWQYNXSWAYBUURUWMVCUVLYNJYNXTYAWIAFUVLYCWAXGY
      DYEYFYGYHWAYMYPYIYRYTESFIYLYNIRYQYTAEYNIYPUEUTNVAYJYK $.
  $}

  ${
    $d n w x A $.  $d m n w x y z B $.  $d m n s u w x y z X $.
    $d m n s u w x y z Y $.  $d w x ch $.  $d m n s u y z ph $.  $d x ta $.
    $d w x th $.  $d w rh $.
    wrd2ind.1 $e |- ( ( x = (/) /\ w = (/) ) -> ( ph <-> ps ) ) $.
    wrd2ind.2 $e |- ( ( x = y /\ w = u ) -> ( ph <-> ch ) ) $.
    wrd2ind.3 $e |- ( ( x = ( y ++ <" z "> ) /\ w = ( u ++ <" s "> ) )
                      -> ( ph <-> th ) ) $.
    wrd2ind.4 $e |- ( x = A -> ( rh <-> ta ) ) $.
    wrd2ind.5 $e |- ( w = B -> ( ph <-> rh ) ) $.
    wrd2ind.6 $e |- ps $.
    wrd2ind.7 $e |- ( ( ( y e. Word X /\ z e. X ) /\ ( u e. Word Y /\ s e. Y )
                        /\ ( # ` y ) = ( # ` u ) ) -> ( ch -> th ) ) $.
    $( Perform induction over the structure of two words of the same length.
       (Contributed by AV, 23-Jan-2019.)  (Proof shortened by AV,
       12-Oct-2022.) $)
    wrd2ind $p |- ( ( A e. Word X /\ B e. Word Y /\ ( # ` A ) = ( # ` B ) )
                    -> ta ) $=
      ( vn vm cword wcel chash cfv wceq w3a cv wa wi wral cn0 lencl c1 caddc co
      cc0 eqeq2 anbi2d imbi1d 2ralbidv weq wb eqeq1 adantl eqcom hasheq0 syl5bb
      c0 mpbiri ex syl6bi com13 impcomd fveq2 eqeqan12d fveqeq2 anbi12d imbi12d
      adantr cmin cpfx clsw cs1 cconcat wsbc pfxcl ad2antrl wne simprll cle wbr
      ancoms cn eleq1 eqcoms syl5ibr impcom nnge1d wrdlenge1n0 syl mpbird lswcl
      syl2anc jca simprlr ad2antll simplr oveq1d cfz ad2antrr eqeltrd pfxlen cc
      oveq1 imp vex sbc2ie a1i simpr sbceq1d dfsbcq sbccom eqeq2d oveq2d imbi2d
      s1eq ovex cfn wrdfin hashnncl mpbid pfxlswccat eqcomd sbceq1a rspcv com24
      imp31 sylbid rgen2 cbvraldva cbvralvw nn0p1nn adantlr simprl simprrl cfzo
      jca32 fzossfz simprrr fzo0end sselid oveq2 eleq12d 3eqtr4d ax-1cn sylancl
      nn0cn pncan 3eqtrd expcom bicomi sbcbidv 3bitrd rspcdv syl3c bitrdi bitrd
      rspcimdv simpll syl3anc 3imtr4g vtocl4ga eqtr2 sylan9bb ralrimivva syl5bi
      sylc expr nn0ind 3ad2ant1 anbi1d ralbidv 3ad2ant2 mpd eqidd com23 3adant2
      expd com34 mp2d ) LNUFZUGZMOUFZUGZLUHUIZMUHUIZUJZUKZGULZUHUIZUXAUJZUXEUWT
      UJZUMZFUNZGUWPUOZUWTUWTUJZEUXCUXEJULZUHUIZUJZUXGUMZAUNZGUWPUOZJUWRUOZUXJU
      WQUWSUXRUXBUWQUWTUPUGUXRNLUQUXNUXEUDULZUJZUMZAUNZGUWPUOJUWRUOUXNUXEVAUJZU
      MZAUNZGUWPUOJUWRUOUXNUXEUEULZUJZUMZAUNZGUWPUOZJUWRUOZUXNUXEUYFURUSUTZUJZU
      MZAUNZGUWPUOJUWRUOZUXRUDUEUWTUXSVAUJZUYBUYEJGUWRUWPUYQUYAUYDAUYQUXTUYCUXN
      UXSVAUXEVBVCVDVEUDUEVFZUYBUYIJGUWRUWPUYRUYAUYHAUYRUXTUYGUXNUXSUYFUXEVBVCV
      DVEUXSUYLUJZUYBUYOJGUWRUWPUYSUYAUYNAUYSUXTUYMUXNUXSUYLUXEVBVCVDVEUXSUWTUJ
      ZUYBUXPJGUWRUWPUYTUYAUXOAUYTUXTUXGUXNUXSUWTUXEVBVCVDVEUYEJGUWRUWPUXLUWRUG
      ZUXDUWPUGZUMZUYCUXNAVUCUYCUXNAUNVUCUYCUMUXNVAUXMUJZAUYCUXNVUDVGVUCUXEVAUX
      MVHVIVUAVUBUYCVUDAUNVUAVUDUYCVUBAVUAVUDUXLVMUJZUYCVUBAUNUNVUDUXMVAUJVUAVU
      EVAUXMVJUXLUWRVKVLVUBUYCVUEAVUBUYCUXDVMUJZVUEAUNUXDUWPVKVUFVUEAVUFVUEUMAB
      UBQVNVOVPVQVPUUAUUBUUCVOVRUUDUYKHULZUHUIZKULZUHUIZUJZVUHUYFUJZUMZCUNZHUWP
      UOZKUWRUOZUYFUPUGZUYPUYJVUOJKUWRJKVFZUYIVUNGHUWPGHVFZVURUYIVUNVGVUSVURUMZ
      UYHVUMACVUTUXNVUKUYGVULVUSVURUXEVUHUXMVUJUXDVUGUHVSUXLVUIUHVSVTVUSUYGVULV
      GVURUXDVUGUYFUHWAWDWBRWCWQUUEUUFVUQVUPUYPVUQVUPUMZUYOJGUWRUWPVVAVUCUYNAVV
      AVUCUYNUMZUMZAAJUXLUXMURWEUTZWFUTZUXLWGUIZWHZWIUTZWJZGUXDUXEURWEUTZWFUTZU
      XDWGUIZWHZWIUTZWJZVVCVVEUWRUGZVVFOUGZUMZVVKUWPUGZVVLNUGZUMUMZAJVVEWJZGVVK
      WJZVVKUHUIZVVEUHUIZUJZUMZVVOVUQVVBVWAVUPVUQVVBUMZVVRVVSVVTVWHVVPVVQVUCVVP
      VUQUYNVUAVVPVUBOUXLVVDWKWDZWLVWHVUAUXLVMWMZVVQVUQVUAVUBUYNWNZVWHVWJURUXMW
      OWPZVWHUXMVVBVUQUXMWRUGZUYNVUQVWMUNZVUCUYMUXNVWNUYMUXNUYLUXMUJZVWNUXEUYLU
      XMVHVUQVWMVWOUYLWRUGZUYFUUGZVWMVWPVGUXMUYLUXMUYLWRWSWTXAVPXBVIXBXCVWHVUAV
      WJVWLVGVWKOUXLXDXEXFOUXLXGXHXIVUCVVSVUQUYNVUBVVSVUANUXDVVJWKVIZWLVWHVUBUX
      DVMWMZVVTVUQVUAVUBUYNXJZVWHVWSURUXEWOWPZVWHUXEVVBVUQUXEWRUGZUYMVUQVXBUNVU
      CUXNVUQVXBUYMVWPVWQUXEUYLWRWSXAXKXBXCVWHVUBVWSVXAVGVWTNUXDXDXEXFNUXDXGXHU
      ULUUHVVCVWCVWFVVCVUCVUPVWFVWDUYFUJZUMZVWCVVAVUCUYNUUIVUQVUPVVBXLVVCVWFVXC
      VVCVVJVVDVWDVWEVVCUXEUXMURWEVVAVUCUXNUYMUUJXMVVCVUBVVJVAUXEXNUTZUGZVWDVVJ
      UJVVAVUAVUBUYNXJZVVCVAUXEUUKUTZVXEVVJVAUXEUUMVVCVXBVVJVXHUGVVCUXEUYLWRVVA
      VUCUXNUYMUUNZVUQVWPVUPVVBVWQXOZXPZUXEUUOXEUUPZNUXDVVJXQXHZVVCVUAVVDVAUXMX
      NUTZUGZVWEVVDUJVVAVUAVUBUYNWNZVVCVXOVXFVXLUYNVXOVXFVGZVVAVUCUXNVXQUYMVXQU
      XMUXEUXMUXEUJVVDVVJVXNVXEUXMUXEURWEXSUXMUXEVAXNUUQUURWTWDXKXFOUXLVVDXQXHU
      USZVVCVWDVVJUYLURWEUTZUYFVXMVVCUXEUYLURWEVXIXMVVCUYFXRUGZURXRUGVXSUYFUJVU
      QVXTVUPVVBUYFUVBXOUUTUYFURUVCUVAUVDXIVUCVUOVXDVWCUNZKVVEUWRVWIVUCVUIVVEUJ
      ZUMZVUNVYAHVVKUWPVUCVVSVYBVWRWDVYCVUGVVKUJZUMZVUMVXDCVWCVYEVUKVWFVULVXCVY
      CVYDVUKVWFVGZVYBVYDVYFUNVUCVYDVYBVYFVYDVYBVUHVWDVUJVWEVUGVVKUHVSVUIVVEUHV
      SZVTUVEVIXTVYDVULVXCVGVYCVUGVVKUYFUHWAVIWBVYECAJVUIWJZGVUGWJZVYHGVVKWJZVW
      CCVYIVGVYEVYICACGJVUGVUIHYAZKYAZRYBUVFYCVYEVYHGVUGVVKVYCVYDYDYEVYCVYJVWCV
      GZVYDVYBVYMVUCVYBVYHVWBGVVKAJVUIVVEYFUVGVIWDUVHWCUVIUVMUVJVXRXIAGVUGWJZJV
      UIWJZVUKUMZAGVUGIULZWHZWIUTZWJZJVUIPULZWHZWIUTZWJZUNVWBGVUGWJZVUHVWEUJZUM
      ZVYTJVVEWUBWIUTZWJZUNZWUGVVIGVYSWJZUNZVWGVVOUNVWGVVIGVVKVYRWIUTZWJZUNKPHI
      VVEVVFVVKVVLUWROUWPNVYBVYPWUGWUDWUIVYBVYOWUEVUKWUFVYBVYOVYNJVVEWJWUEVYNJV
      UIVVEYFAJGVVEVUGYGUVKVYBVUJVWEVUHVYGYHWBVYBVYTJWUCWUHVUIVVEWUBWIXSYEWCWUA
      VVFUJZWUJWUGVYTJVVHWJZUNWULWUOWUIWUPWUGWUOVYTJWUHVVHWUOWUBVVGVVEWIWUAVVFY
      KYIYEYJWUOWUPWUKWUGWUPWUKVGWUOAJGVVHVYSYGYCYJUVLVYDWUGVWGWUKWUNVYDWUEVWCW
      UFVWFVWBGVUGVVKYFVUGVVKVWEUHWAWBVYDVVIGVYSWUMVUGVVKVYRWIXSYEWCVYQVVLUJZWU
      NVVOVWGWUQVVIGWUMVVNWUQVYRVVMVVKWIVYQVVLYKYIYEYJVUIUWRUGWUAOUGUMZVUGUWPUG
      VYQNUGUMZUMZVUKVYOWUDWUTVUKVYOWUDUNWUTVUKUMZCDVYOWUDWVAWUSWURVUKCDUNWURWU
      SVUKXLWURWUSVUKUVNWUTVUKYDUCUVOACJGVUIVUGVYLVYKVUSVURACVGRWQYBADJGWUCVYSV
      UIWUBWIYLVUGVYRWIYLUXDVYSUJUXLWUCUJADVGSWQYBUVPVOVRUVQUWBVVCUXLVVHUJZUXDV
      VNUJZAVVOVGVVCVUAVWJWVBVXPVVCVWMVWJVVCUXMUYLWRUYNUXMUYLUJVVAVUCUXEUXMUYLU
      VRXKVXJXPVVCUXLYMUGZVWMVWJVGVUCWVDVVAUYNVUAWVDVUBOUXLYNWDWLUXLYOXEYPVUAVW
      JUMVVHUXLOUXLYQYRXHVVCVUBVWSWVCVXGVVCVXBVWSVXKVVCUXDYMUGZVXBVWSVGVUCWVEVV
      AUYNVUBWVEVUANUXDYNVIWLUXDYOXEYPVUBVWSUMVVNUXDNUXDYQYRXHWVBAVVIWVCVVOAJVV
      HYSVVIGVVNYSUVSXHXFUWCUVTVOUWAUWDXEUWEUWSUWQUXRUXJUNUXBUXQUXJJMUWRUXLMUJZ
      UXPUXIGUWPWVFUXOUXHAFWVFUXNUXFUXGWVFUXMUXAUXEUXLMUHVSYHUWFUAWCUWGYTUWHUWI
      UXCUWTUWJUWQUXBUXJUXKEUNUNZUWSUWQUXBWVGUWQUXBUXKUXJEUWQUXBUXKUXJEUNUWQUXJ
      UXBUXKUMZEUXIWVHEUNGLUWPUXDLUJZUXHWVHFEWVIUXFUXBUXGUXKUXDLUXAUHWAUXDLUWTU
      HWAWBTWCYTUWKUWMUWNXTUWLUWO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subwords of concatenations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The subword of a concatenation as function.  (Contributed by Alexander van
     der Vekens, 27-May-2018.) $)
  swrdccatfn $p |- ( ( ( A e. Word V /\ B e. Word V )
          /\ ( M e. ( 0 ... N ) /\ N e. ( 0 ... ( ( # ` A ) + ( # ` B ) ) ) ) )
           -> ( ( A ++ B ) substr <. M , N >. ) Fn ( 0 ..^ ( N - M ) ) ) $=
    ( cword wcel wa cc0 cfz chash cfv caddc cconcat cop csubstr cmin cfzo wfn
    co ccatcl adantr simprl ccatlen oveq2d biimpar adantrl swrdvalfn syl3anc
    eleq2d ) AEFZGBUKGHZCIDJTGZDIAKLBKLMTZJTZGZHZHABNTZUKGZUMDIURKLZJTZGZURCDOP
    TIDCQTRTSULUSUQEABUAUBULUMUPUCULUPVBUMULVBUPULVAUODULUTUNIJEEABUDUEUJUFUGUR
    CDEUHUI $.

  ${
    $d A k $.  $d B k $.  $d M k $.  $d N k $.  $d V k $.
    $( The subword of a concatenation of two words within the first of the
       concatenated words.  (Contributed by Alexander van der Vekens,
       28-Mar-2018.) $)
    swrdccatin1 $p |- ( ( A e. Word V /\ B e. Word V )
                        -> ( ( M e. ( 0 ... N ) /\ N e. ( 0 ... ( # ` A ) ) )
     -> ( ( A ++ B ) substr <. M , N >. ) = ( A substr <. M , N >. ) ) ) $=
      ( wcel wa cc0 cfz co cfv csubstr wceq wi oveq2d syl ad2antrr imp cn0 cr
      vk cword chash cconcat cop oveq2 eleq2d elfz1eq swrd00 eqtr4i opeq1 opeq2
      c0 3eqtr4a eqeq12d imbi12d mpbiri syl6bi impcomd adantl wne cmin cfzo wfn
      ccatcl simprl elfzelfzccat ad2ant2rl swrdvalfn syl3anc 3anass simplbi2 cv
      w3a caddc simp-4l simp-4r cn clt elfznn0 nn0addcl ad2antrl elfzonn0 impel
      wbr expcom lencl elnnne0 adantr elfzo0 elfz2nn0 nn0re ad2antll nn0readdcl
      cle ltaddsubd ad2antlr ltletr expd sylbird ex com24 3impia com13 impancom
      3adant2 sylbi mpan9 syl5bi syl3anbrc ccatval1 ad5ant12 simpr swrdfv sylan
      simplrl syl31anc 3eqtr4d eqfnfvd pm2.61dane ) AEUBZFZBYAFZGZCHDIJZFZDHAUC
      KZIJZFZGZABUDJZCDUEZLJZAYLLJZMZNZYGHYGHMZYPYDYQYIYFYOYQYIDHHIJZFZYFYONZYQ
      YHYRDYGHHIUFUGYSDHMZYTDHUHUUAYTCYRFZYKCHUEZLJZAUUCLJZMZNUUBCHMZUUFCHUHUUG
      YKHHUEZLJZAUUHLJZUUDUUEUUIUMUUJYKHUIAHUIUJUUGUUCUUHYKLCHHUKZOUUGUUCUUHALU
      UKOUNPUUAYFUUBYOUUFUUAYEYRCDHHIUFUGUUAYMUUDYNUUEUUAYLUUCYKLDHCULZOUUAYLUU
      CALUULOUOUPUQPURUSUTYDYGHVAZGZYJYOUUNYJGZUAHDCVBJZVCJZYMYNUUOYKYAFZYFDHYK
      UCKIJFZYMUUQVDYDUURUUMYJEABVEZQUUNYFYIVFYDYIUUSUUMYFYDYIUUSABDEVGRVHZYKCD
      EVIVJUUOYBYFYIVNZYNUUQVDUUNYJUVBYBYJUVBNYCUUMUVBYBYJYBYFYIVKVLQRZACDEVIPU
      UOUAVMZUUQFZGZUVDCVOJZYKKZUVGAKZUVDYMKZUVDYNKZUVFYBYCUVGHYGVCJFZUVHUVIMYB
      YCUUMYJUVEVPYBYCUUMYJUVEVQUVFUVGSFZYGVRFZUVGYGVSWEZUVLUUOUVDSFZUVMUVEYFUV
      PUVMNZUUNYIYFCSFZUVQCDVTZUVPUVRUVMUVDCWAWFPWBUVDUUPWCWDUUNUVNYJUVEYDUUMUV
      NYBUUMUVNNZYCYBYGSFZUVTEAWGUVNUWAUUMYGWHVLPWIRQUUOUVEUVOUVEUVPUUPVRFZUVDU
      UPVSWEZVNZUUOUVOUVDUUPWJYJUWDUVONZUUNYFUVRYIUWEUVSYIDSFZUWADYGWOWEZVNZUVR
      UWENDYGWKUWDUVRUWHUVOUVPUWCUVRUWHUVONZNUWBUVPUVRUWCUWIUWHUWCUVPUVRGZUVOUW
      FUWAUWGUWCUWJUVONNUWFUWAGZUWJUWCUWGUVOUWKUWJUWCUWGUVONZNUWKUWJGZUWCUVGDVS
      WEZUWLUWMUVDCDUVPUVDTFUWKUVRUVDWLWBUVRCTFUWKUVPCWLWMUWFDTFZUWAUWJDWLQZWPU
      WMUWNUWGUVOUWMUVGTFZUWOYGTFZUWNUWGGUVONUWJUWQUWKUVDCWNUTUWPUWAUWRUWFUWJYG
      WLWQUVGDYGWRVJWSWTXAXBXCXDXEXFXDXGXHUTXIRUVGYGWJXJEEABUVGXKVJUVFUURYFUUSU
      VEUVJUVHMYBYCUURUUMYJUVEUUTXLUUNYFYIUVEXPUUOUUSUVEUVAWIUUOUVEXMEYKCDUVDXN
      XQUUOUVBUVEUVKUVIMUVCEACDUVDXNXOXRXSXAXT $.
  $}

  $( Lemma 4 for ~ pfxccatin12 .  (Contributed by Alexander van der Vekens,
     30-Mar-2018.)  (Revised by Alexander van der Vekens, 23-May-2018.) $)
  pfxccatin12lem4 $p |- ( ( L e. NN0 /\ M e. NN0 /\ N e. ZZ )
              -> ( ( K e. ( 0 ..^ ( N - M ) ) /\ -. K e. ( 0 ..^ ( L - M ) ) )
                     -> K e. ( ( L - M ) ..^ ( ( L - M ) + ( N - L ) ) ) ) ) $=
    ( cn0 wcel cz w3a cc0 cmin co cfzo wn wa caddc nn0z zsubcl syl2an cc nn0cn
    3adant3 elfzonelfzo imp sylan wb npncan3 syl3an oveq2d eleq2d adantr mpbird
    wceq zcn ex ) BEFZCEFZDGFZHZAIDCJKZLKFAIBCJKZLKFMNZAUTUTDBJKOKZLKZFZURVANVD
    AUTUSLKZFZURUTGFZVAVFUOUPVGUQUOBGFCGFVGUPBPCPBCQRUAVGVAVFUSAIUTUBUCUDURVDVF
    UEVAURVCVEAURVBUSUTLUOBSFUPCSFUQDSFVBUSULBTCTDUMBCDUFUGUHUIUJUKUN $.

  $( Lemma for ~ pfxccatin12lem2 .  (Contributed by AV, 30-Mar-2018.)  (Revised
     by AV, 27-May-2018.) $)
  pfxccatin12lem2a $p |- ( ( M e. ( 0 ... L ) /\ N e. ( L ... X ) )
               -> ( ( K e. ( 0 ..^ ( N - M ) ) /\ -. K e. ( 0 ..^ ( L - M ) ) )
                    -> ( K + M ) e. ( L ..^ X ) ) ) $=
    ( cc0 co wcel wa cfzo cz wi w3a cle wbr adantr sylbi syl simpr adantl caddc
    cfz cmin wn elfz2 zsubcl 3adant1 elfzonelfzo elfzoelz elfzelz simpl anim12i
    wb anim12ci jca syl5 imp impcom elfzomelpfzo cuz cfv wss simpl3 simpl2 3jca
    exp32 eluz2 sylibr fzoss2 sseld sylbid ex com23 mpcom com12 syld ) CFBUBGHZ
    DBEUBGHZIZAFDCUCGZJGHAFBCUCGZJGHUDIZAWAVTJGHZACUAGZBEJGZHZVSWAKHZWBWCLVQWGV
    RVQFKHZBKHZCKHZMZFCNOCBNOIZIZWGCFBUEZWKWGWLWIWJWGWHBCUFUGPQPVTAFWAUHRWCVSWF
    AKHZWCVSWFLAWAVTUIWOVSWCWFWOVSWCWFLWOVSIZWCWDBDJGZHZWFWPWIDKHZIZWOWJIZIZWCW
    RUMVSWOXBVQVRWOXBLZVQWMVRXCLZWNWKXDWLWIWJXDWHVRWSWIWJIZXCDBEUJXEWSWOXBXEWSW
    OIZIWTXAXEWIXFWSWIWJUKWSWOUKULXEWJXFWOWIWJSWSWOSUNUOVFUPUGPQUQURACBDUSRWPWQ
    WEWDWPEDUTVAHZWQWEVBWPWSEKHZDENOZMZXGVSXJWOVRXJVQVRWIXHWSMZBDNOZXIIZIZXJDBE
    UEXNWSXHXIWIXHWSXMVCWIXHWSXMVDXMXIXKXLXISTVEQTTDEVGVHDBEVIRVJVKVLVMVNVOVP
    $.

  $( Lemma 1 for ~ pfxccatin12 .  (Contributed by AV, 30-Mar-2018.)  (Revised
     by AV, 9-May-2020.) $)
  pfxccatin12lem1 $p |- ( ( M e. ( 0 ... L ) /\ N e. ( L ... X ) )
               -> ( ( K e. ( 0 ..^ ( N - M ) ) /\ -. K e. ( 0 ..^ ( L - M ) ) )
                    -> ( K - ( L - M ) ) e. ( 0 ..^ ( N - L ) ) ) ) $=
    ( cc0 co wcel wa cmin cfzo cz wi w3a cle wbr adantr sylbi cc adantl 3adant1
    cfz wn elfz2 zsubcl elfzonelfzo syl caddc wceq elfz2nn0 nn0cn elfzelz subcl
    cn0 zcn ancoms addid1d eqcomd simprr simpl npncan3d oveq12d ex com12 syl2an
    3syl 3adant3 imp eleq2d biimpa 0zd 3adant2 3jca fzosubel2 syl2anc syld ) CF
    BUBGHZDBEUBGHZIZAFDCJGZKGHAFBCJGZKGHUCIZAWAVTKGZHZAWAJGFDBJGZKGHZVSWALHZWBW
    DMVQWGVRVQFLHZBLHZCLHZNZFCOPCBOPZIZIWGCFBUDWKWGWMWIWJWGWHBCUEUAQRQZVTAFWAUF
    UGVSWDWFVSWDIAWAFUHGZWAWEUHGZKGZHZWGWHWELHZNZWFVSWDWRVSWCWQAVQVRWCWQUIZVQCU
    NHZBUNHZWLNVRXAMZCBUJXBXCXDWLXBCSHZBSHZXDXCCUKBUKVRXEXFIZXAVRDLHZDSHZXGXAMD
    BEULDUOXIXGXAXIXGIZWAWOVTWPKXGWAWOUIXIXGWOWAXGWAXFXEWASHBCUMUPUQURTXJWPVTXJ
    BCDXIXEXFUSXGXEXIXEXFUTTXIXGUTVAURVBVCVFVDVEVGRVHVIVJVSWTWDVSWGWHWSWNVSVKVR
    WSVQVRWIELHZXHNZBDOPDEOPIZIWSDBEUDXLWSXMWIXHWSXKXHWIWSDBUEUPVLQRTVMQAWAFWEV
    NVOVCVP $.

  ${
    $d A k $.  $d B k $.  $d L k $.  $d M k $.  $d N k $.  $d V k $.
    swrdccatin2.l $e |- L = ( # ` A ) $.
    $( The subword of a concatenation of two words within the second of the
       concatenated words.  (Contributed by Alexander van der Vekens,
       28-Mar-2018.)  (Revised by Alexander van der Vekens, 27-May-2018.) $)
    swrdccatin2 $p |- ( ( A e. Word V /\ B e. Word V )
                  -> ( ( M e. ( L ... N ) /\ N e. ( L ... ( L + ( # ` B ) ) ) )
                           -> ( ( A ++ B ) substr <. M , N >. )
                              = ( B substr <. ( M - L ) , ( N - L ) >. ) ) ) $=
      ( wcel wa cfz co cfv caddc cmin wceq cc0 wi sylbi ad2antrl wbr vk cconcat
      cword chash cop csubstr cfzo wfn wb oveq1 eleq2d id oveq12d anbi12d ax-mp
      cn0 lencl cuz elnn0uz fzss1 sseld anim12d adantr syl5bi swrdccatfn syldan
      wss syl imp fzmmmeqm oveq2d fneq2d mpbird simplr elfzmlbm cz nn0zd adantl
      elfzmlbp sylan adantrl swrdvalfn syl3anc cv clt cif simpll elfzelz zaddcl
      w3a expcom elfzoelz impel df-3an sylanbrc ccatsymb wn cle elfz2 cr elnn0z
      zre anim12i jctl le2add syl2anc recn addid2d breq1d sylibd simprl readdcl
      0re lenltd expd com12 mpan9 breq2i notbii syl6ib ex com23 3adant2 adantrr
      elfzonn0 iffalsed cc zcn ad2antlr ad2antrr addsubassd oveq2 eqeq1d syl5ib
      fveq2d 3eqtrd 3syl impcom 3jca swrdfv ccatcl biimpi sselda ccatlen biimpa
      eqeltrid ad2ant2r syl2an2r ad2ant2l 3eqtr4d eqfnfvd ) AFUCZHZBUULHZIZDCEJ
      KZHZECCBUDLZMKZJKZHZIZABUBKZDEUEUFKZBDCNKZECNKZUEUFKZOUUOUVBIZUAPUVFUVENK
      ZUGKZUVDUVGUVHUVDUVJUHZUVDPEDNKZUGKZUHZUUOUVBDPEJKZHZEPAUDLZUURMKZJKZHZIZ
      UVNUUOUVBUWAUVBDUVQEJKZHZEUVQUVRJKZHZIZUUOUWACUVQOZUVBUWFUIGUWGUUQUWCUVAU
      WEUWGUUPUWBDCUVQEJUJUKUWGUUTUWDEUWGCUVQUUSUVRJUWGULCUVQUURMUJUMUKZUNUOUUM
      UWFUWAQZUUNUUMUVQUPHZUWIFAUQZUWJUWCUVPUWEUVTUWJUWBUVODUWJUVQPURLZHZUWBUVO
      VGUVQUSZUVQPEUTRVAUWJUWDUVSEUWJUWMUWDUVSVGZUWNUVQPUVRUTZRVAVBVHVCVDVIABDE
      FVEVFUUQUVKUVNUIUUOUVAUUQUVJUVMUVDUUQUVIUVLPUGCDEVJVKZVLSVMUVHUUNUVEPUVFJ
      KHZUVFPUURJKHZUVGUVJUHUUMUUNUVBVNZUUQUWRUUOUVADCEVOSZUUOUVAUWSUUQUUOUURVP
      HZUVAUWSUUNUXBUUMUUNUURFBUQVQZVRECUURVSZVTWABUVEUVFFWBWCUVHUAWDZUVJHZIZUX
      EDMKZUVCLZUXEUVEMKZBLZUXEUVDLZUXEUVGLZUXGUXIUXHUVQWETZUXHALZUXHUVQNKZBLZW
      FZUXQUXKUXGUUMUUNUXHVPHZWJZUXIUXROUXGUUOUXSUXTUUOUVBUXFWGUVHUXEVPHZUXSUXF
      UUQUYAUXSQZUUOUVAUUQDVPHZUYBDCEWHUYAUYCUXSUXEDWIWKVHSUXEPUVIWLZWMUUMUUNUX
      SWNWOABUXHFWPVHUXGUXNUXOUXQUVHUXEUPHZUXNWQZUXFUUQUYEUYFQZUUOUVAUUQCVPHZEV
      PHZUYCWJZCDWRTZDEWRTZIZIZUYGDCEWSZUYJUYKUYGUYLUYJUYKUYGUYHUYCUYKUYGQUYIUY
      HUYCIZUYEUYKUYFUYPUYEUYKUYFQUYPUYEIUYKUXHCWETZWQZUYFUYPCWTHZDWTHZIZUYEUYK
      UYRQZUYHUYSUYCUYTCXBDXBXCUYEUYAPUXEWRTZIVUAVUBQZUXEXAUYAUXEWTHZVUCVUDUXEX
      BVUCVUEVUAVUBVUEVUAIZVUCVUBVUFVUCUYKUYRVUFVUCUYKIZCUXHWRTZUYRVUFVUGPCMKZU
      XHWRTZVUHVUFPWTHZUYSIZVUEUYTIZVUGVUJQUYSVULVUEUYTUYSVUKXMXDSVUEUYTVUMUYSV
      UMULWAPCUXEDXEXFVUFVUICUXHWRUYSVUICOVUEUYTUYSCCXGXHSXIXJVUFCUXHVUEUYSUYTX
      KVUEUYTUXHWTHUYSUXEDXLWAXNXJXOXPXOXQRXQUYQUXNCUVQUXHWEGXRXSXTYAYBYCVIYDRS
      UXEUVIYEWMYFUXGUXPUXJBUVHUYAUXPUXJOZUXFUUQUYAVUNQZUUOUVAUUQUYNVUOUYOUYJVU
      OUYMUYHUYCVUOUYIUYPUYAVUNUWGUYPUYAIZVUNQGVUPUXHCNKZUXJOUWGVUNVUPUXEDCUYAU
      XEYGHUYPUXEYHVRUYCDYGHUYHUYADYHYIUYHCYGHUYCUYACYHYJYKUWGVUQUXPUXJCUVQUXHN
      YLYMYNUOYAYCVCRSUYDWMYOYPUVHUVCUULHZUVPEPUVCUDLZJKZHZWJUXFUXEUVMHZUXLUXIO
      UVHVURUVPVVAUUOVURUVBFABUUAVCUUMUUQUVPUUNUVAUUMUUPUVODUUMUWJCUWLHUUPUVOVG
      UWKUWJCUVQUWLGUWJUWMUWNUUBZUUFCPEUTYQUUCUUGUUOUVAVVAUUQUVAUUOVVAUVAUWEUUO
      VVAQUWGUVAUWEUIGUWHUOUWEUUOVVAUWEUUOIVVAUVTUUOUWEUVTUUOUWDUVSEUUMUWOUUNUU
      MUWJUWMUWOUWKVVCUWPYQVCVAYRUUOVVAUVTUIUWEUUOVUTUVSEUUOVUSUVRPJFFABUUDVKUK
      VRVMYARYRWAYSUVHUXFVVBUUQUXFVVBUIUUOUVAUUQUVJUVMUXEUWQUKSUUEFUVCDEUXEYTUU
      HUVHUUNUWRUWSWJUXFUXMUXKOUVHUUNUWRUWSUWTUXAUUNUVAUWSUUMUUQUUNUXBUVAUWSUXC
      UXDVTUUIYSFBUVEUVFUXEYTVTUUJUUKYA $.

    $( Lemma for ~ pfxccatin12lem2 and ~ pfxccatin12lem3 .  (Contributed by AV,
       30-Mar-2018.)  (Revised by AV, 27-May-2018.) $)
    pfxccatin12lem2c $p |- ( ( ( A e. Word V /\ B e. Word V )
                  /\ ( M e. ( 0 ... L ) /\ N e. ( L ... ( L + ( # ` B ) ) ) ) )
                             -> ( ( A ++ B ) e. Word V /\ M e. ( 0 ... N )
                                /\ N e. ( 0 ... ( # ` ( A ++ B ) ) ) ) ) $=
      ( cword wcel wa cc0 cfz chash cfv caddc cconcat ccatcl adantr elfz0fzfz0
      co adantl cuz wss elfzuz2 syl sselda ccatlen oveq1i eqtr4di oveq2d eleq2d
      fzss1 syl5ibr imp 3jca ) AFHZIBUPIJZDKCLTIZECCBMNZOTZLTZIJZJABPTZUPIZDKEL
      TIZEKVCMNZLTZIZUQVDVBFABQRVBVEUQCDEUTSUAUQVBVHVBVHUQEKUTLTZIURVAVIEURCKUB
      NIVAVIUCDKCUDCKUTULUEUFUQVGVIEUQVFUTKLUQVFAMNZUSOTUTFFABUGCVJUSOGUHUIUJUK
      UMUNUO $.

    $( Lemma 2 for ~ pfxccatin12 .  (Contributed by AV, 30-Mar-2018.)  (Revised
       by AV, 9-May-2020.) $)
    pfxccatin12lem2 $p |- ( ( ( A e. Word V /\ B e. Word V )
          /\ ( M e. ( 0 ... L ) /\ N e. ( L ... ( L + ( # ` B ) ) ) ) )
              -> ( ( K e. ( 0 ..^ ( N - M ) ) /\ -. K e. ( 0 ..^ ( L - M ) ) )
                     -> ( ( ( A ++ B ) substr <. M , N >. ) ` K )
                    = ( ( B prefix ( N - L ) ) `
                        ( K - ( # ` ( A substr <. M , L >. ) ) ) ) ) ) $=
      ( wcel wa cc0 cfz co cfv cmin wceq w3a wi adantr imp cword chash caddc wn
      cfzo cconcat cop csubstr pfxccatin12lem2c simprl swrdfv syl2an2r elfzoelz
      cz cn0 cle wbr elfz2nn0 cc nn0cn anim12i zcn subcl ancoms anim1ci addid1d
      cpfx syl simpr simplr simpll subsub3d eqtr2d syl2an eqcoms eqeq1d syl5ibr
      oveq2 ax-mp 3adant3 sylbi ad2antrl syl5com impcom fveq2d pfxccatin12lem2a
      ex adantl wb oveq1 oveq12d eleq2d sylibr df-3an sylanbrc ccatval2 elfzel2
      id lencl zsubcl cr zre subge0 syl2anr biimprd elnn0z expcom expcomd com12
      3ad2ant3 nn0re lesubadd2 syl3anc com13 3jca elfz2 3imtr4g pfxccatin12lem1
      com23 pfxfv zcnd elfzelz subcld eqcomd eqtrd 3eqtr4d cuz elnn0uz eqeltrid
      eluzfz2 swrdlen oveq2d 3eqtrd ) AGUAZIZBYNIZJZEKDLMIZFDDBUBNZUCMZLMIZJZJZ
      CKFEOMZUEMIZCKDEOMZUEMIUDZJZCABUFMZEFUGUHMNZCAEDUGUHMUBNZOMZBFDOMZVGMZNZP
      UUCUUHJZUUJCEUCMZUUINZCUUFOMZUUNNZUUOUUCUUIYNIEKFLMIFKUUIUBNLMIQUUHUUEUUJ
      UURPABDEFGHUIUUCUUEUUGUJGUUIEFCUKULUUPUUQAUBNZOMZBNZUUSKUCMZBNZUURUUTUUPU
      VBUVDBUUHUUCUVBUVDPZUUEUUCUVFRUUGUUECUNIZUUCUVFCKUUDUMZYRUVGUVFRZYQUUAYRE
      UOIZDUOIZEDUPUQZQUVIEDURUVJUVKUVIUVLUVJUVKJZUVGUVFDUVAPZUVMUVGJZUVFRHUVOU
      VFUVNUUQDOMZUVDPZUVMEUSIZDUSIZJZCUSIZUVQUVGUVJUVRUVKUVSEUTDUTVACVBUVTUWAJ
      ZUVDUUSUVPUWBUUSUWBUWAUUFUSIZJUUSUSIUVTUWCUWAUVSUVRUWCDEVCVDVECUUFVCVHVFU
      WBCDEUVTUWAVIUVRUVSUWAVJUVRUVSUWAVKVLVMVNUVNUVBUVPUVDUVBUVPPUVADUVADUUQOV
      RVOVPVQVSWGVTWAWBWCSWDWEUUPYOYPUUQUVAUVAYSUCMZUEMZIZQZUURUVCPUUPYQUWFUWGY
      QUUBUUHVKUUPUUQDYTUEMZIZUWFUUCUUHUWIUUBUUHUWIRYQCDEFYTWFWHTUVNUWFUWIWIZHU
      WJUVADUVADPZUWEUWHUUQUWKUVADUWDYTUEUWKWRUVADYSUCWJWKWLVOVSWMYOYPUWFWNWOGA
      BUUQWPVHUUPUUTUUSBNZUVEUUPYPUUMKYSLMIZUUSKUUMUEMIZUUTUWLPUUCYPUUHYOYPUUBV
      JSUUCUWMUUHYQUUBUWMYPUUBUWMRYOYPYSUOIZUUBUWMGBWSYRUUAUWOUWMRZYRDUNIZUUAUW
      PREKDWQZUWQUWOUUAUWMUWQUWOUUAUWMRUWQUWOJZUWQYTUNIZFUNIZQZDFUPUQZFYTUPUQZJ
      ZJZUUMUOIZUWOUUMYSUPUQZQZUUAUWMUWSUXFUXIUWSUXFJUXGUWOUXHUWSUXFUXGUWQUXFUX
      GRUWOUXFUWQUXGUXBUXEUWQUXGRZUXAUWQUXEUXJRUWTUXEUXAUXJUXEUWQUXAUXGUXCUWQUX
      AJZUXGRUXDUXKUXCUXGUXKUXCJUUMUNIZKUUMUPUQZUXGUXKUXLUXCUXAUWQUXLFDWTVDSUXK
      UXCUXMUXKUXMUXCUXAFXAIZDXAIZUXMUXCWIUWQFXBZDXBZFDXCXDXETUUMXFWOXGSXHXIXJT
      XISTUWQUWOUXFVJUXFUWSUXHUXEUXBUWSUXHRZUXDUXBUXRRUXCUWSUXBUXDUXHUWSUXBUXDU
      XHRZUWSUXBJUXNUXOYSXAIZUXSUXBUXNUWSUXAUWQUXNUWTUXPXJWHUWSUXOUXBUWQUXOUWOU
      XQSSUWSUXTUXBUWOUXTUWQYSXKWHSUXNUXOUXTQUXHUXDFDYSXLXEXMWGXNWHWDWDXOWGFDYT
      XPUUMYSURXQWGXSVHTWCWHTSUUCUUHUWNUUBUUHUWNRYQCDEFYTXRWHTUUSUUMGBXTXMUUPUU
      SUVDBUUPUVDUUSUUPUUSUUPCUUFUUEUWAUUCUUGUUECUVHYAWBUUPDEUUCUVSUUHYRUVSYQUU
      AYRDUWRYAWBSUUCUVRUUHYRUVRYQUUAYREEKDYBYAWBSYCYCVFYDWEYEYFUUPUUSUULUUNUUP
      UUFUUKCOUUPUUKUUFUUPYOYRDKUVALMZIZQZUUKUUFPUUCUYCUUHUUCYOYRUYBYOYPUUBVKYQ
      YRUUAUJYQUYBUUBYOUYBYPYOUVAUOIZUYBGAWSUYDDUVAUYAHUYDUVAKYGNIUVAUYAIUVAYHK
      UVAYJWAYIVHSSXOSGAEDYKVHYDYLWEYMWG $.

    $( Lemma 3 for ~ pfxccatin12 .  (Contributed by AV, 30-Mar-2018.)  (Revised
       by AV, 27-May-2018.) $)
    pfxccatin12lem3 $p |- ( ( ( A e. Word V /\ B e. Word V )
          /\ ( M e. ( 0 ... L ) /\ N e. ( L ... ( L + ( # ` B ) ) ) ) )
                  -> ( ( K e. ( 0 ..^ ( N - M ) ) /\ K e. ( 0 ..^ ( L - M ) ) )
                       -> ( ( ( A ++ B ) substr <. M , N >. ) ` K )
                          = ( ( A substr <. M , L >. ) ` K ) ) ) $=
      ( wcel wa cc0 cfz co cfv wceq w3a cn0 clt wbr wi cword chash cmin cconcat
      caddc cfzo cop csubstr simpll elfzo0 lencl cle elfz2nn0 nn0addcl 3ad2ant1
      cn ex com12 imp cz elnnz cr wb nn0re posdif syl2an elnn0z lelttr mp3an3an
      0re nn0z anim1i sylibr adantl syld expd impancom sylbi simplbiim 3ad2ant2
      zre sylbird 3adant3 adantr ltaddsubd exbiri com23 3adant2 impcom 3jca a1d
      eleq1 breq2 3anbi23d imbi2d 3imtr4d eqcoms mpsyl df-3an sylanbrc ccatval1
      2a1i syl pfxccatin12lem2c simpl swrdfv simplll simplrl eleq1i cuz elnn0uz
      eluzfz2 oveq2i eleqtrdi sylbir ad3antrrr simprr syl31anc 3eqtr4d ) AGUAZI
      ZBXTIZJZEKDLMZIZFDDBUBNUEMLMIZJZJZCKFEUCMUFMIZCKDEUCMZUFMIZJZCABUDMZEFUGU
      HMNZCAEDUGUHMNZOYHYLJZCEUEMZYMNZYQANZYNYOYPYAYBYQKAUBNZUFMIZPZYRYSOYPYCUU
      AUUBYCYGYLUIYPYQQIZYTUPIZYQYTRSZPZUUAYLYHUUFYKYHUUFTZYIYKCQIZYJUPIZCYJRSZ
      PZUUGCYJUJYHUUKUUFYCYGUUKUUFTZYAYGUULTZYBDYTOYAYTQIZUUMHGAUKZUUNUUMTYTDYT
      DOZDQIZYGUUKUUCDUPIZYQDRSZPZTZTZUUNUUMUVBUUPUUQYEYFUVAYEEQIZUUQEDULSZPZYF
      UVATEDUMUVEUVAYFUVEUUKUUTUVEUUKJUUCUURUUSUVEUUKUUCUVCUUQUUKUUCTUVDUUKUVCU
      UCUUHUUIUVCUUCTUUJUUHUVCUUCCEUNUQUOURUOUSUVEUUKUURUVCUUQUUKUURTUVDUUKUVCU
      UQJZUURUUIUUHUVFUURTZUUJUUIYJUTIKYJRSZUVGYJVAUVFUVHUURUVFUVHEDRSZUURUVCEV
      BIZDVBIZUVIUVHVCUUQEVDZDVDZEDVEVFUVCUUQUVIUURTZUVCEUTIZKEULSZJUUQUVNTEVGU
      VOUUQUVPUVNUVOUUQJZUVPUVIUURUVQUVPUVIJZKDRSZUURKVBIUVOUVJUUQUVKUVRUVSTVJE
      WAUVMKEDVHVIUUQUVSUURTUVOUUQUVSUURUUQUVSJDUTIZUVSJUURUUQUVTUVSDVKVLDVAVMU
      QVNVOVPVQVRUSWBURVSVTURWCUSUUKUVEUUSUUHUUJUVEUUSTZUUIUUHUUJUWAUUHUVEUUJUU
      SUUHUVEUUSUUJUUHUVEJCEDUUHCVBIUVECVDWDUVEUVJUUHUVCUUQUVJUVDUVLUOVNUVEUVKU
      UHUUQUVCUVKUVDUVMVTVNWEWFWGUSWHWIWJUQWKVRUSXBYTDQWLUUPUULUVAYGUUPUUFUUTUU
      KUUPUUDUURUUEUUSUUCYTDUPWLYTDYQRWMWNWOWOWPWQWRWDUSURVRVNWIYQYTUJVMYAYBUUA
      WSWTGGABYQXAXCYHYMXTIEKFLMIFKYMUBNLMIPYIYNYROYLABDEFGHXDYIYKXEGYMEFCXFVFY
      PYAYEDKYTLMZIZYKYOYSOYAYBYGYLXGYCYEYFYLXHYAUWCYBYGYLYAUUNUWCUUOUUNUUQUWCD
      YTQHXIUUQDYDUWBUUQDKXJNIDYDIDXKKDXLVRDYTKLHXMXNXOXCXPYHYIYKXQGAEDCXFXRXSU
      Q $.

    $( The subword of a concatenation of two words within both of the
       concatenated words.  (Contributed by Alexander van der Vekens,
       5-Apr-2018.)  (Revised by AV, 9-May-2020.) $)
    pfxccatin12 $p |- ( ( A e. Word V /\ B e. Word V )
        -> ( ( M e. ( 0 ... L ) /\ N e. ( L ... ( L + ( # ` B ) ) ) )
             -> ( ( A ++ B ) substr <. M , N >. )
                = ( ( A substr <. M , L >. ) ++ ( B prefix ( N - L ) ) ) ) ) $=
      ( wcel wa cc0 cfz co chash cfv caddc wceq cfzo w3a syl ad2antrl cword cop
      cconcat csubstr cmin cpfx wfn pfxccatin12lem2c swrdvalfn swrdcl ccatvalfn
      vk pfxcl syl2an adantr simpll simprl lencl nn0fz0 sylib eqeltrid ad2antrr
      swrdlen syl3anc cz nn0zd elfzmlbp sylan pfxlen syldan ad2ant2l oveq12d cc
      cn0 cle wbr wi elfz2nn0 nn0cn ad2antll zcn ex elfzelz syl11 3adant3 sylbi
      3jca imp npncan3 adantl eqtr2d oveq2d fneq2d mpbird simpr pfxccatin12lem3
      anim2i ancomd sylc anim12i simpl eleqtrrd df-3an sylanbrc ccatval1 eqtr4d
      cv wn pfxccatin12lem2 cuz elfzuz eluzelz id 3expia ancoms pfxccatin12lem4
      syl5com impcom ccatval2 pm2.61ian eqfnfvd ) AFUAZHZBYBHZIZDJCKLHZECCBMNZO
      LZKLHZIZABUCLZDEUBUDLZADCUBUDLZBECUELZUFLZUCLZPYEYJIZULJEDUELZQLZYLYPYQYK
      YBHDJEKLHEJYKMNKLHRYLYSUGABCDEFGUHYKDEFUISYQYPYSUGYPJYMMNZYOMNZOLZQLZUGZY
      EUUDYJYCYMYBHZYOYBHZUUDYDFADCUJZFBYNUMZYMYOFUKUNUOYQYSUUCYPYQYRUUBJQYQUUB
      CDUELZYNOLZYRYQYTUUIUUAYNOYQYCYFCJAMNZKLZHZYTUUIPYCYDYJUPYEYFYIUQYCUUMYDY
      JYCCUUKUULGYCUUKVNHUUKUULHFAURUUKUSUTVAVBFADCVCVDZYDYIUUAYNPZYCYFYDYIYNJY
      GKLHZUUOYDYGVEHYIUUPYDYGFBURVFECYGVGVHFBYNVIVJVKVLZYJUUJYRPZYEYJCVMHZDVMH
      ZEVMHZRZUURYFYIUVBYFDVNHZCVNHZDCVOVPZRZYIUVBVQZDCVRZUVCUVDUVGUVEEVEHZUVCU
      VDIZUVBYIUVIUVJUVBUVIUVJIUUSUUTUVAUVDUUSUVIUVCCVSVTUVCUUTUVIUVDDVSTUVIUVA
      UVJEWAUOWGWBECYHWCWDWEWFWHCDEWISWJWKWLWMWNULXGZJUUIQLZHZYQUVKYSHZIZUVKYLN
      ZUVKYPNZPUVMUVOIZUVPUVKYMNZUVQUVRYQUVNUVMIUVPUVSPUVMYQUVNUQUVRUVMUVNUVOUV
      NUVMYQUVNWOZWQWRABUVKCDEFGWPWSUVRUUEUUFUVKJYTQLZHZRZUVQUVSPUVRUUEUUFIZUWB
      UWCYQUWDUVMUVNYEUWDYJYCUUEYDUUFUUGUUHWTUOZTUVRUVKUVLUWAUVMUVOXAYQUWAUVLPU
      VMUVNYQYTUUIJQUUNWLTXBUUEUUFUWBXCXDFFYMYOUVKXESXFUVMXHZUVOIZUVPUVKYTUELYO
      NZUVQUWGYQUVNUWFIZUVPUWHPUWFYQUVNUQUWGUWFUVNUVOUVNUWFUVTWQWRZABUVKCDEFGXI
      WSUWGUUEUUFUVKYTUUBQLZHZRZUVQUWHPUWGUWDUWLUWMYQUWDUWFUVNUWETUWGUVKUUIUUJQ
      LZUWKUWGUVDUVCUVIRZUWIUVKUWNHYQUWOUWFUVNYJUWOYEYIYFUWOYIECXJNHZYFUWOVQECY
      HXKUWPUVIYFUWOCEXLYFUVFUVIUWOVQZUVHUVCUVDUWQUVEUVDUVCUWQUVDUVCUVIUWOUWOXM
      XNXOWEWFXQSXRWJTUWJUVKCDEXPWSYQUWKUWNPUWFUVNYQYTUUIUUBUUJQUUNUUQVLTXBUUEU
      UFUWLXCXDFYMYOUVKXSSXFXTYAWB $.

    $( The subword of a concatenation is either a subword of the first
       concatenated word or a subword of the second concatenated word or a
       concatenation of a suffix of the first word with a prefix of the second
       word.  (Contributed by Alexander van der Vekens, 30-Mar-2018.)  (Revised
       by AV, 10-May-2020.) $)
    pfxccat3 $p |- ( ( A e. Word V /\ B e. Word V )
                -> ( ( M e. ( 0 ... N ) /\ N e. ( 0 ... ( L + ( # ` B ) ) ) )
                           -> ( ( A ++ B ) substr <. M , N >. )
                = if ( N <_ L , ( A substr <. M , N >. ) ,
                       if ( L <_ M , ( B substr <. ( M - L ) , ( N - L ) >. ) ,
                                   ( ( A substr <. M , L >. )
                                     ++ ( B prefix ( N - L ) ) ) ) ) ) ) $=
      ( wcel wa cfz co cle wbr wi cn0 adantr adantl imp jca w3a cword cc0 chash
      cfv caddc cconcat cop csubstr cmin cpfx wceq simpll simplrl lencl elfznn0
      simplr breq2i biimpi elfz2nn0 syl3anbrc exp31 syl5com swrdccatin1 sylc wn
      cif simp1l eleq1i cz nn0z 3ad2ant2 3ad2ant1 simpl3 anim1ci elfz2 sylanbrc
      3jca sylbi com12 sylbir syl a1d 3imp eqeltrid eqcomi clt cr nn0re syl2anr
      wb ltnle bicomd ltle sylbid ex syl5bi imp32 exp32 a1dd swrdccatin2 syl2an
      impcom expcom 3adant3 simplr3 pfxccatin12 2if2 ) AFUAZHZBXHHZIZDUBEJKHZEU
      BCBUCUDUEKZJKHZIZABUFKDEUGZUHKZECLMZAXPUHKZCDLMZBDCUIKECUIKZUGUHKZADCUGUH
      KBYAUJKUFKZVFVFUKXKXOIZXRXTXSYBYCXQYDXRIZXKXLEUBAUCUDZJKHZIXQXSUKXKXOXRUL
      YEXLYGXKXLXNXRUMYDXRYGXKXOXRYGNZXIXOYHNXJXIYFOHZXOYHFAUNZXNYIYHNXLXNYIXRY
      GXNYIIZXRIEOHZYIEYFLMZYGYKYLXRXNYLYIEXMUOPPXNYIXRUPXRYMYKXRYMCYFELGUQURQE
      YFUSUTVAQVBPRRSABDEFVCVDYDXRVEZXTTZXKDCEJKHZECXMJKHZIXQYBUKXKXOYNXTVGYOYP
      YQYDYNXTYPYDXTYPNZYNXKXOYRXIXOYRNZXJXIYIYSYJYICOHZYSCYFOGVHXOYTYRXLYTYRNZ
      XNXLDOHZYLDELMZTZUUADEUSZUUDYTXTYPUUDYTIZXTICVIHZEVIHZDVIHZTZXTUUCIYPUUFU
      UJXTUUFUUGUUHUUIYTUUGUUDCVJZQUUDUUHYTYLUUBUUHUUCEVJZVKPUUDUUIYTUUBYLUUIUU
      CDVJVLPVQPUUFUUCXTUUBYLUUCYTVMVNDCEVOVPVAVRPVSVTWAPRWBWCYDYNXTYQYDYNYQXTX
      KXOYNYQNZXIXOUUMNXJXIYIXOUUMYJXNYIUUMNZXLXNYLXMOHZEXMLMZTZUUNEXMUSZUUQYIY
      NYQUUQYIYNIZIZUUGXMVIHZUUHTZCELMZUUPIZYQUUTUUGUVAUUHUUSUUGUUQYIUUGYNYICYF
      VIGYFVJWDPQUUQUVAUUSUUOYLUVAUUPXMVJVKZPUUQUUHUUSYLUUOUUHUUPUULVLZPVQUUTUV
      CUUPUUQYIYNUVCYLUUOYIYNUVCNZNUUPYIYTYLUVGYFCOCYFGWEVHZYLYTUVGYLYTIZYNCEWF
      MZUVCUVIUVJYNYTCWGHZEWGHZUVJYNWJYLCWHZEWHZCEWKZWIWLYTUVKUVLUVJUVCNZYLUVMU
      VNCEWMZWIWNWOWPVLWQYLUUOUUPUUSVMSECXMVOZVPWRVRQVBPRWSWCSABCDEFGWTVDYDYNXT
      VEZTZXKDUBCJKHZYQIXQYCUKXKXOYNUVSVGUVTUWAYQYDYNUVSUWAYDUVSUWANZYNXKXOUWBX
      IXOUWBNXJXIYIXOUWBYJXLYIUWBNXNYIYTXLUWBUVHXLUUDYTUWBNZUUEUUBYLUWCUUCYTUUB
      YLIZUWBYTUWDIZUVSDCWFMZUWAUWEUWFUVSUWDDWGHZUVKUWFUVSWJYTUUBUWGYLDWHZPUVMD
      CWKWIWLUWDYTUWFUWANZUUBYTUWINYLUUBYTUWFUWAUUBYTIZUWFIUUBYTDCLMZUWAUUBYTUW
      FULUUBYTUWFUPUWJUWFUWKUUBUWGUVKUWFUWKNYTUWHUVMDCWMXARDCUSUTVAPXBWNXCXDVRW
      PPVBPRWBWCYDYNUVSYQYDYNYQUVSXOXKUUMXNXKUUMNZXLXNUUQUWLUURXKUUQUUMXIUUQUUM
      NZXJXIYIUWMYJYIYTUWMUVHYTUUQUUMYTUUQIZYNUVJYQYTUVKUVLYNUVJWJUUQUVMYLUUOUV
      LUUPUVNVLZUVKUVLIUVJYNUVOWLXAUWNUVJYQUWNUVJIZUVBUVDYQUWNUVBUVJUWNUUGUVAUU
      HYTUUGUUQUUKPUUQUVAYTUVEQUUQUUHYTUVFQVQPUWPUVCUUPUWNUVJUVCYTUVKUVLUVPUUQU
      VMUWOUVQXARYLUUOUUPYTUVJXESUVRVPWOWNWOVRWAPVSVRQXBWSWCSABCDEFGXFVDXGWO $.

    $( The subword of a concatenation of two words as concatenation of subwords
       of the two concatenated words.  (Contributed by Alexander van der
       Vekens, 29-May-2018.) $)
    swrdccat $p |- ( ( A e. Word V /\ B e. Word V )
              -> ( ( M e. ( 0 ... N ) /\ N e. ( 0 ... ( L + ( # ` B ) ) ) )
                  -> ( ( A ++ B ) substr <. M , N >. )
                     = ( ( A substr <. M , if ( N <_ L , N , L ) >. ) ++
                         ( B substr <. if ( 0 <_ ( M - L ) , ( M - L ) , 0 ) ,
                                                        ( N - L ) >. ) ) ) ) $=
      ( wcel wa cc0 co cconcat csubstr cle wbr wceq wi adantr c0 adantl cfz cfv
      cword chash caddc cop cif cmin cpfx pfxccat3 lencl eqcomi eleq1i elfz2nn0
      imp cn0 w3a iftrue opeq2d oveq2d opeq1d cz simpr nn0z zsubcl sylan sylan2
      jca anim12i 3anass sylibr ad2antrl cr nn0re wb adantlr simpl letr syl3anc
      subge0 expcomd sylbid com23 syl2an impcom 3jca lesub1 mpbid swrdlend sylc
      syl eqtrd wn iffalse 0zd suble0 biimpar sylan9eq pm2.61ian oveq12d swrdcl
      ccatrid 3ad2ant2 3anim123i 3expb 3adant2 biimprd 3ad2ant1 biimpd con3dimp
      ccatlid simplrr simprlr ltnle ltle sylbird syl2anr nn0sub2 3adant3 pfxval
      clt eqtr4d 2if2 exp32 com12 sylbi com13 mpcom ex ) AFUCZHZBYJHZIZDJEUAKHZ
      EJCBUDUBUEKUAKHZIZABLKDEUFZMKZADECNOZECUGZUFZMKZBJDCUHKZNOZUUCJUGZECUHKZU
      FZMKZLKZPYMYPIYRYSAYQMKZCDNOZBUUCUUFUFZMKZADCUFZMKZBUUFUIKZLKZUGUGZUUIYMY
      PYRUURPABCDEFGUJUOYMYPUUIUURPZAUDUBZUPHZYMYPUUSQZYKUVAYLFAUKRUVACUPHZYMUV
      BQUUTCUPCUUTGULUMYPYMUVCUUSYNYMUVCUUSQZQZYOYNDUPHZEUPHZDENOZUQUVEDEUNUVFU
      VGUVEUVHYMUVFUVGIZUVDYMUVIUVCUUSYMUVIUVCIZIZYSUUKUUJUUMUUQUUIUVKYSIZUUIUU
      JSLKZUUJUVLUUBUUJUUHSLUVLUUAYQAMUVLYTEDYSYTEPUVKYSECURTUSUTUUDUVLUUHSPUUD
      UVLIZUUHUUMSUUDUUHUUMPUVLUUDUUGUULBMUUDUUEUUCUUFUUDUUCJURVAZUTRUVNYLUUCVB
      HZUUFVBHZUQZUUFUUCNOZUUMSPUVKUVRUUDYSUVKYLUVPUVQIZIUVRYMYLUVJUVTYKYLVCZUV
      CUVICVBHZUVTCVDZUVIUWBIUVPUVQUVIDVBHZUWBUVPUVFUWDUVGDVDRZDCVEVFUVIEVBHZUW
      BUVQUVGUWFUVFEVDTZECVEZVFVHVGVIYLUVPUVQVJVKVLUVNEDNOZUVSUVLUUDUWIUVKYSUUD
      UWIQZUVJYSUWJQZYMUVIDVMHZEVMHZIZCVMHZUWKUVCUVFUWLUVGUWMDVNZEVNZVICVNZUWNU
      WOIZUUDYSUWIUWSUUDUUKYSUWIQUWLUWOUUDUUKVOZUWMDCVTZVPUWSYSUUKUWIUWSUWMUWOU
      WLYSUUKIUWIQUWNUWMUWOUWLUWMVCRUWNUWOVCUWNUWLUWOUWLUWMVQRECDVRVSWAWBWCWDTU
      OWEUVNUWMUWLUWOUQZUWIUVSVOUVKUXBUUDYSUVJUXBYMUVJUWMUWLUWOUVIUWMUVCUVGUWMU
      VFUWQTZRUVIUWLUVCUVFUWLUVGUWPRZRUVCUWOUVIUWRTWFTVLEDCWGWKWHUUCUUFFBWIWJWL
      UUDWMZUVLUUHBJUUFUFZMKZSUXEUUGUXFBMUXEUUEJUUFUUDUUCJWNZVAUTUVLYLJVBHZUVQU
      QUUFJNOZUXGSPUVLYLUXIUVQUVKYLYSYMYLUVJUWARZRUVLWOUVKUVQYSUVJUVQYMUVIUWFUW
      BUVQUVCUWGUWCUWHWDTRWFUVKUXJYSUVKUWMUWOIZUXJYSVOUVJUXLYMUVIUWMUVCUWOUXCUW
      RVITECWPWKWQJUUFFBWIWJWRWSWTUVKUVMUUJPZYSYMUXMUVJYKUXMYLYKUUJYJHUXMFADEXA
      FUUJXBWKRRRWLUVKYSWMZUUKUQZUUISUUMLKZUUMUXOUUBSUUHUUMLUXOUUBUUOSUXOUUAUUN
      AMUXOYTCDUXNUVKYTCPZUUKYSECWNZXCUSUTUVKUUKUUOSPZUXNUVKUUKUXSUVKYKUWDUWBUQ
      ZUUKUXSQYMUVIUVCUXTYMYKUVIUWDUVCUWBYKYLVQUWEUWCXDXEDCFAWIWKUOXFWLUXOUUGUU
      LBMUXOUUDUUGUULPUVKUUKUUDUXNUVKUUKUUDUVJUUKUUDQYMUVJUUDUUKUVIUWLUWOUWTUVC
      UXDUWRUXAWDXGTUOXFUVOWKUTWTUVKUXNUXPUUMPZUUKYMUYAUVJYMUUMYJHZUYAYLUYBYKFB
      UUCUUFXATFUUMXKWKRXHWLUVKUXNUUKWMZUQZUUBUUOUUHUUPLUYDUUAUUNAMUYDYTCDUXNUV
      KUXQUYCUXRXCUSUTUYDUUHUXGUUPUYDUUGUXFBMUYDUUEJUUFUYDUXEUUEJPUVKUYCUXEUXNU
      VKUUDUUKUVKUUDUUKUVJUWTYMUVFUVCUWTUVGUVFUWLUWOUWTUVCUWPUWRUXAWDVPTXIXJXFU
      XHWKVAUTUYDYLUUFUPHZIUUPUXGPUYDYLUYEUVKUXNYLUYCUXKXHUVKUXNUYEUYCUVKUXNIUV
      CUVGCENOZUYEYMUVIUVCUXNXLUVKUVGUXNYMUVFUVGUVCXMRUVKUXNUYFUVJUXNUYFQZYMUVC
      UWOUWMUYGUVIUWRUXCUWOUWMIUXNCEYAOUYFCEXNCEXOXPXQTUOCEXRVSXSVHBUUFYJXTWKYB
      WTYCYDYEXSYFRYGYFYHUOYBYI $.

    $( A prefix of a concatenation being a prefix of the first concatenated
       word.  (Contributed by AV, 10-May-2020.) $)
    pfxccatpfx1 $p |- ( ( A e. Word V /\ B e. Word V /\ N e. ( 0 ... L ) )
                         -> ( ( A ++ B ) prefix N ) = ( A prefix N ) ) $=
      ( cword wcel cc0 cfz co w3a csubstr cpfx wa wceq syl jca 3ad2ant3 pfxval
      cconcat cop chash cfv 3simpa cn0 elfznn0 oveq2i eleq2i biimpi swrdccatin1
      0elfz sylc ccatcl 3adant3 sylan2 3adant2 3eqtr4d ) AEGZHZBUSHZDICJKZHZLZA
      BUAKZIDUBZMKZAVFMKZVEDNKZADNKZVDUTVAOIIDJKHZDIAUCUDZJKZHZOZVGVHPUTVAVCUEV
      CUTVOVAVCVKVNVCDUFHZVKDCUGZDULQVCVNVBVMDCVLIJFUHUIUJRSABIDEUKUMVDVEUSHZVP
      OVIVGPVDVRVPUTVAVRVCEABUNUOVCUTVPVAVQSRVEDUSTQUTVCVJVHPZVAVCUTVPVSVQADUST
      UPUQUR $.

    ${
      pfxccatpfx2.m $e |- M = ( # ` B ) $.
      $( A prefix of a concatenation of two words being the first word
         concatenated with a prefix of the second word.  (Contributed by AV,
         10-May-2020.) $)
      pfxccatpfx2 $p |- ( ( A e. Word V /\ B e. Word V
                            /\ N e. ( ( L + 1 ) ... ( L + M ) ) )
              -> ( ( A ++ B ) prefix N ) = ( A ++ ( B prefix ( N - L ) ) ) ) $=
        ( wcel caddc co cfz cconcat cpfx cc0 cop csubstr cn0 wceq cfv cword w3a
        c1 cmin ccatcl 3adant3 cuz chash lencl eqeltrid elfzuz peano2nn0 anim1i
        wa syl2an 3adant2 eluznn0 pfxval syl2anc 3simpa 3ad2ant1 0elfz cz nn0zd
        syl wss adantr uzid peano2uz fzss1 eqcomi oveq2i sseqtrrdi sseld 3impia
        3syl pfxccatin12 sylc opeq2i mpdan pfxid eqtr3d eqtrid oveq1d 3eqtrd
        jca ) AFUAZIZBWGIZECUCJKZCDJKZLKZIZUBZABMKZENKZWOOEPQKZAOCPZQKZBECUDKNK
        ZMKZAWTMKWNWOWGIZERIZWPWQSWHWIXBWMFABUEUFWNWJRIZEWJUGTIZUNZXCWHWMXFWIWH
        CRIZXEXFWMWHCAUHTZRGFAUIZUJZEWJWKUKXGXDXECULUMUOUPEWJUQVEWOEWGURUSWNWHW
        IUNZOOCLKIZECCBUHTZJKZLKZIZUNWQXASWHWIWMUTWNXLXPWNXGXLWHWIXGWMXJVACVBVE
        WHWIWMXPXKWLXOEXKWLCWKLKZXOXKCCUGTZIZWJXRIWLXQVFXKCVCIZXSWHXTWIWHCXHVCG
        WHXHXIVDUJVGCVHVECCVIWJCWKVJVPXNWKCLXMDCJDXMHVKVLVLVMVNVOWFABCOEFGVQVRW
        NWSAWTMWHWIWSASWMWHWSAOXHPZQKZAWRYAAQCXHOGVSVLWHAXHNKZYBAWHXHRIYCYBSXIA
        XHWGURVTFAWAWBWCVAWDWE $.

      $( A prefix of a concatenation is either a prefix of the first
         concatenated word or a concatenation of the first word with a prefix
         of the second word.  (Contributed by Alexander van der Vekens,
         31-Mar-2018.)  (Revised by AV, 10-May-2020.) $)
      pfxccat3a $p |- ( ( A e. Word V /\ B e. Word V )
                        -> ( N e. ( 0 ... ( L + M ) )
                    -> ( ( A ++ B ) prefix N ) = if ( N <_ L , ( A prefix N ) ,
                                       ( A ++ ( B prefix ( N - L ) ) ) ) ) ) $=
        ( wcel wa co cfz cpfx cle wbr wceq w3a cn0 adantl adantr cword cc0 cmin
        caddc cconcat cif elfznn0 chash lencl eqeltrid simpl elfz2nn0 syl3anbrc
        simprl cfv df-3an sylanbrc pfxccatpfx1 iftrue eqtr4d wn c1 wi eleq1i wb
        syl clt nn0ltp1le cr nn0re ltnle syl2an bitr3d 3ad2antr1 simpr3 anim1ci
        cz nn0z 3ad2ant1 peano2nn0 nn0zd 3ad2ant2 elfz syl3anc mpbird ex sylbir
        sylbird syl5bi imp impcom pfxccatpfx2 iffalse pm2.61ian ) AFUAZIZBWOIZJ
        ZEUBCDUDKZLKIZABUEKEMKZECNOZAEMKZABECUCKMKUEKZUFZPZXBWRWTJZXFXBXGJZXAXC
        XEXHWPWQEUBCLKIZQZXAXCPXHWRXIXJXBWRWTUNXHERIZCRIZXBXIXGXKXBWTXKWREWSUGS
        SXGXLXBWRXLWTWPXLWQWPCAUHUOZRGFAUIZUJTTSXBXGUKECULUMWPWQXIUPUQABCEFGURV
        FXBXEXCPXGXBXCXDUSTUTXBVAZXGJZXAXDXEXPWPWQECVBUDKZWSLKIZQZXAXDPXPWRXRXS
        XOWRWTUNXGXOXRWRWTXOXRVCZWTXKWSRIZEWSNOZQZWRXTEWSULWPYCXTVCZWQWPXMRIZYD
        XNYEXLYDCXMRGVDXLYCXTXLYCJZXOXQENOZXRXLYAXKYGXOVEYBXLXKJCEVGOZYGXOCEVHX
        LCVIIEVIIYHXOVEXKCVJEVJCEVKVLVMVNYFYGXRYFYGJZXRYGYBJZYFYBYGXLXKYAYBVOVP
        YIEVQIZXQVQIZWSVQIZXRYJVEYFYKYGYCYKXLXKYAYKYBEVRVSSTYFYLYGXLYLYCXLXQCVT
        WATTYFYMYGYCYMXLYAXKYMYBWSVRWBSTEXQWSWCWDWEWFWHWFWGVFTWIWJWKWPWQXRUPUQA
        BCDEFGHWLVFXOXEXDPXGXBXCXDWMTUTWNWF $.
    $}

    $( Lemma for ~ swrdccat3b .  (Contributed by AV, 30-May-2018.) $)
    swrdccat3blem $p |- ( ( ( ( A e. Word V /\ B e. Word V )
              /\ M e. ( 0 ... ( L + ( # ` B ) ) ) ) /\ ( L + ( # ` B ) ) <_ L )
                    -> if ( L <_ M , ( B substr <. ( M - L ) , ( # ` B ) >. ) ,
                                     ( ( A substr <. M , L >. ) ++ B ) )
                                = ( A substr <. M , ( L + ( # ` B ) ) >. ) ) $=
      ( wcel wa cc0 co cle cop csubstr wceq wi cn0 syl c0 oveq2d adantr cfv cfz
      cword chash caddc wbr cmin cconcat cif lencl nn0le0eq0 biimpd hasheq0 imp
      adantl eqcomi eleq1i nn0re w3a elfz2nn0 recn addid1d breq2d anim1i ancoms
      cr wb letri3 biimprd exp4b com23 sylbid com3l impcom 3adant2 com12 syl5bi
      sylbi elfznn0 swrd00 eqtr4i nn0cn subidd opeq1d 3eqtr4a eleq1 oveq1 opeq1
      opeq2d a1i eqeq12d 3imtr4d a1d syld wn swrdcl ccatrid addid1 eqcomd eqtrd
      cc ifeqda ex ad3antrrr oveq2 eleq2d simpr oveq12d ifeq12d imbi12d adantll
      opeq2 mpbird mpdan sylbir nn0red leaddle0 syl2an pm2.24 syl6bi pm2.61d )
      AEUCZGZBYBGZHZDICBUDUAZUEJZUBJZGZHZYGCKUFZHYFIKUFZCDKUFZBDCUGJZYFLZMJZADC
      LZMJZBUHJZUIZADYGLZMJZNZYJYLUUCOZYKYEYIUUDYEYLYIUUCYEYLYFINZYIUUCOZYDYLUU
      EOZYCYDYFPGZUUGEBUJZUUHYLUUEYFUKULQUOYEUUEUUFYEUUEHZBRNZUUFYEUUEUUKYDUUEU
      UKOYCYDUUEUUKBYBUMULUOUNUUJUUKHUUFDICIUEJZUBJZGZYMRYNILZMJZYRRUHJZUIZADUU
      LLZMJZNZOZYCUVBYDUUEUUKYCUUNUVAYCUUNHZYMUUPUUQUUTUVCYMUUPUUTNZUVCYMDCNZUV
      DYCUUNYMUVEOZYCAUDUAZPGZUUNUVFOZEAUJZUVHCPGZUVIUVGCPCUVGFUPUQZUVKCVFGZUVI
      CURZUUNDPGZUULPGZDUULKUFZUSZUVMUVFDUULUTUVRUVMUVFUVOUVQUVMUVFOZUVPUVQUVOU
      VSUVMUVQUVOUVFUVMUVQDCKUFZUVOUVFOUVMUULCDKUVMCCVAVBVCUVMUVOUVTUVFUVMUVOUV
      TYMUVEUVMUVOHZUVEUVTYMHZUWADVFGZUVMHZUVEUWBVGUVOUVMUWDUVOUWCUVMDURVDVEDCV
      HQVIVJVKVLVMVNVOVPVQQVRQUNUUNYCUVEUVDOZUUNUVOYCUWEODUULVSUVOUWEYCUVEUVOUV
      DUVEUVKRCCUGJZILZMJZACUULLZMJZNZUVOUVDUVKUWKOUVEUVKRIILZMJZACCLZMJZUWHUWJ
      UWMRUWORIVTACVTWAUVKUWGUWLRMUVKUWFIIUVKCCWBZWCWDSUVKUWIUWNAMUVKUULCCUVKCU
      WPVBWISWEWJDCPWFUVEUUPUWHUUTUWJUVEUUOUWGRMUVEYNUWFIDCCUGWGWDSUVEUUSUWIAMD
      CUULWHSWKWLVPWMQVNWNUNUVCUUQUUTNZYMWOYCUWQUUNYCUUQYRUUTYCYRYBGUUQYRNEADCW
      PEYRWQQYCYQUUSAMYCCUULDYCCXAGZCUULNYCUVHUWRUVJUVHUVKUWRUVLUWPVRQUWRUULCCW
      RWSQWISWTTTXBXCXDUUEUUKUUFUVBVGYEUUEUUKHZYIUUNUUCUVAUUEYIUUNVGUUKUUEYHUUM
      DUUEYGUULIUBYFICUEXEZSXFTUWSYTUURUUBUUTUWSYMYPUUPYSUUQUWSBRYOUUOMUUEUUKXG
      UUEYOUUONUUKYFIYNXLTXHUUKYSUUQNUUEBRYRUHXEUOXIUUEUUBUUTNUUKUUEUUAUUSAMUUE
      YGUULDUWTWISTWKXJXKXMXNXCWNVKUNTYJYKYLWOUUCOZYEYKUXAOYIYEYKYLUXAYCUVMYFVF
      GYKYLVGYDYCUVHUVMUVJUVHUVKUVMCUVGPFUQUVNXOQYDYFUUIXPCYFXQXRYLUUCXSXTTUNYA
      $.

    $( A suffix of a concatenation is either a suffix of the second
       concatenated word or a concatenation of a suffix of the first word with
       the second word.  (Contributed by Alexander van der Vekens,
       31-Mar-2018.)  (Revised by Alexander van der Vekens, 30-May-2018.)
       (Proof shortened by AV, 14-Oct-2022.) $)
    swrdccat3b $p |- ( ( A e. Word V /\ B e. Word V )
                 -> ( M e. ( 0 ... ( L + ( # ` B ) ) )
                      -> ( ( A ++ B ) substr <. M , ( L + ( # ` B ) ) >. )
         = if ( L <_ M , ( B substr <. ( M - L ) , ( # ` B ) >. ) ,
                         ( ( A substr <. M , L >. ) ++ B ) ) ) ) $=
      ( wcel wa cc0 co cconcat cop csubstr cif wceq cpfx adantr 3ad2ant1 oveq2d
      cc cword chash cfv caddc cfz cle wbr cmin simpl simpr elfzubelfz pfxccat3
      adantl imp syl12anc swrdccat3blem w3a iftrue 3ad2ant3 lencl nn0cnd eqcomi
      eleq1i pncan2 sylanb syl2an eqcomd opeq2d eqtrd iffalse pfxid eqtr2d 2if2
      wn eqtr4d ex ) AEUAZGZBVQGZHZDICBUBUCZUDJZUEJZGZABKJDWBLZMJZCDUFUGZBDCUHJ
      ZWALZMJZADCLMJZBKJZNZOVTWDHZWFWBCUFUGZAWEMJZWGBWHWBCUHJZLZMJZWKBWQPJZKJZN
      NZWMWNVTWDWBWCGZWFXBOZVTWDUIVTWDUJWDXCVTDIWBUKUMVTWDXCHXDABCDWBEFULUNUOWN
      WOWGWPWSXAWMABCDEFUPWNWOVNZWGUQZWMWJWSWGWNWMWJOXEWGWJWLURUSXFWIWRBMXFWAWQ
      WHWNXEWAWQOZWGVTXGWDVTWQWAVRAUBUCZTGZWATGZWQWAOZVSVRXHEAUTVAVSWAEBUTVAXIC
      TGXJXKXHCTCXHFVBVCCWAVDVEVFZVGQRVHSVIWNXEWGVNZUQZWMWLXAXMWNWMWLOXEWGWJWLV
      JUSXNBWTWKKXNWTBWAPJZBXNWQWABPWNXEXKXMVTXKWDXLQRSWNXEXOBOZXMVTXPWDVSXPVRE
      BVKUMQRVLSVIVMVOVP $.
  $}

  $( A prefix of a concatenation of length of the first concatenated word is
     the first word itself.  (Contributed by Alexander van der Vekens,
     20-Sep-2018.)  (Revised by AV, 10-May-2020.) $)
  pfxccatid $p |- ( ( A e. Word V /\ B e. Word V /\ N = ( # ` A ) )
                     -> ( ( A ++ B ) prefix N ) = A ) $=
    ( cword wcel chash cfv wceq w3a cconcat co cpfx cc0 cfz cn0 nn0fz0 3ad2ant1
    lencl 3ad2ant3 sylib wb eleq1 mpbird eqid pfxccatpfx1 syld3an3 oveq2 3eqtrd
    pfxid ) ADEZFZBUKFZCAGHZIZJZABKLCMLZACMLZAUNMLZAULUMUOCNUNOLZFZUQURIUPVAUNU
    TFZULUMVBUOULUNPFVBDASUNQUARUOULVAVBUBUMCUNUTUCTUDABUNCDUNUEUFUGUOULURUSIUM
    CUNAMUHTULUMUSAIUODAUJRUI $.

  $( A word is a prefix of a word with length greater by 1 than the first word
     iff the second word is the first word concatenated with the last symbol of
     the second word.  (Contributed by AV, 24-Oct-2018.)  (Revised by AV,
     10-May-2020.) $)
  ccats1pfxeqbi $p |- ( ( W e. Word V /\ U e. Word V
                           /\ ( # ` U ) = ( ( # ` W ) + 1 ) )
                         -> ( W = ( U prefix ( # ` W ) )
                              <-> U = ( W ++ <" ( lastS ` U ) "> ) ) ) $=
    ( cword wcel chash cfv c1 caddc co wceq w3a cpfx clsw cs1 ccats1pfxeq simp1
    cconcat cn eqcomd wa cn0 lencl nn0p1nn syl 3ad2ant1 lswlgt0cl syl2anc s1cld
    3simpc eqidd pfxccatid syl3anc oveq1 sylan9eq ex impbid ) CBDZEZAUREZAFGCFG
    ZHIJZKZLZCAVAMJZKZACANGZOZRJZKZABCPVDVJVFVDVJCVIVAMJZVEVDUSVHUREZVAVAKZCVKK
    USUTVCQVDVGBVDVBSEZUTVCUAVGBEUSUTVNVCUSVAUBEVNBCUCVAUDUEUFUSUTVCUJVBBAUGUHU
    IVDVAUKUSVLVMLVKCCVHVABULTUMVJVEVKAVIVAMUNTUOUPUQ $.

  ${
    swrdccatind.l $e |- ( ph -> ( # ` A ) = L ) $.
    swrdccatind.w $e |- ( ph -> ( A e. Word V /\ B e. Word V ) ) $.
    ${
      swrdccatin1d.1 $e |- ( ph -> M e. ( 0 ... N ) ) $.
      swrdccatin1d.2 $e |- ( ph -> N e. ( 0 ... L ) ) $.
      $( The subword of a concatenation of two words within the first of the
         concatenated words.  (Contributed by AV, 31-May-2018.)  (Revised by
         Mario Carneiro/AV, 21-Oct-2018.) $)
      swrdccatin1d $p |- ( ph -> ( ( A ++ B ) substr <. M , N >. )
                                 = ( A substr <. M , N >. ) ) $=
        ( cword wcel wa cc0 cfz co chash csubstr wceq cfv cconcat oveq2 syl5ibr
        cop eleq2d mpcom jca swrdccatin1 sylc ) ABGLZMCUKMNEOFPQMZFOBRUAZPQZMZN
        BCUBQEFUEZSQBUPSQTIAULUOJUMDTZAUOHAUOUQFODPQZMKUQUNURFUMDOPUCUFUDUGUHBC
        EFGUIUJ $.
    $}

    ${
      swrdccatin2d.1 $e |- ( ph -> M e. ( L ... N ) ) $.
      swrdccatin2d.2 $e |- ( ph -> N e. ( L ... ( L + ( # ` B ) ) ) ) $.
      $( The subword of a concatenation of two words within the second of the
         concatenated words.  (Contributed by AV, 31-May-2018.)  (Revised by
         Mario Carneiro/AV, 21-Oct-2018.) $)
      swrdccatin2d $p |- ( ph -> ( ( A ++ B ) substr <. M , N >. )
                                = ( B substr <. ( M - L ) , ( N - L ) >. ) ) $=
        ( wceq co cop csubstr cmin wcel wa cfz caddc chash cconcat cword adantl
        cfv jca wb oveq1 eleq2d id oveq12d anbi12d adantr mpbird ex swrdccatin2
        eqid imp syl6 oveq2 opeq12d oveq2d eqeq2d sylibd mpcom ) BUAUEZDLZABCUB
        MEFNOMZCEDPMZFDPMZNZOMZLZHVGAVHCEVFPMZFVFPMZNZOMZLZVMVGABGUCZQCVSQRZEVF
        FSMZQZFVFVFCUAUEZTMZSMZQZRZRZVRVGAWHVGARZVTWGAVTVGIUDWIWGEDFSMZQZFDDWCT
        MZSMZQZRZAWOVGAWKWNJKUFUDVGWGWOUGAVGWBWKWFWNVGWAWJEVFDFSUHUIVGWEWMFVGVF
        DWDWLSVGUJVFDWCTUHUKUIULUMUNUFUOVTWGVRBCVFEFGVFUQUPURUSVGVQVLVHVGVPVKCO
        VGVNVIVOVJVFDEPUTVFDFPUTVAVBVCVDVE $.
    $}

    ${
      pfxccatin12d.m $e |- ( ph -> M e. ( 0 ... L ) ) $.
      pfxccatin12d.n $e |- ( ph -> N e. ( L ... ( L + ( # ` B ) ) ) ) $.
      $( The subword of a concatenation of two words within both of the
         concatenated words.  (Contributed by AV, 31-May-2018.)  (Revised by
         AV, 10-May-2020.) $)
      pfxccatin12d $p |- ( ph -> ( ( A ++ B ) substr <. M , N >. )
                  = ( ( A substr <. M , L >. ) ++ ( B prefix ( N - L ) ) ) ) $=
        ( cconcat co cop csubstr cmin cpfx wcel cfz oveq2d chash cword wa caddc
        cfv cc0 wceq eleq2d oveq1d oveq12d anbi12d mpbir2and pfxccatin12 opeq2d
        eqid sylc eqtrd ) ABCLMEFNOMZBEBUAUEZNZOMZCFUSPMZQMZLMZBEDNZOMZCFDPMZQM
        ZLMABGUBZRCVIRUCEUFUSSMZRZFUSUSCUAUEZUDMZSMZRZUCZURVDUGIAVPEUFDSMZRZFDD
        VLUDMZSMZRZJKAVKVRVOWAAVJVQEAUSDUFSHTUHAVNVTFAUSDVMVSSHAUSDVLUDHUIUJUHU
        KULBCUSEFGUSUOUMUPAVAVFVCVHLAUTVEBOAUSDEHUNTAVBVGCQAUSDFPHTTUJUQ $.
    $}
  $}

  ${
    $d S s u $.  $d U u x $.  $d V s u x $.  $d W s u x $.  $d X s u x $.
    $( Lemma for ~ reuccatpfxs1 .  (Contributed by Alexander van der Vekens,
       5-Oct-2018.)  (Revised by AV, 9-May-2020.) $)
    reuccatpfxs1lem $p |- ( ( ( W e. Word V /\ U e. X )
           /\ A. s e. V ( ( W ++ <" s "> ) e. X -> S = s )
                /\ A. x e. X ( x e. Word V /\ ( # ` x ) = ( ( # ` W ) + 1 ) ) )
                 -> ( W = ( U prefix ( # ` W ) ) -> U = ( W ++ <" S "> ) ) ) $=
      ( vu wcel wa cv cs1 cconcat co wceq wi chash cfv adantl com23 cword caddc
      wral c1 cpfx eleq1 fveqeq2 anbi12d rspcv wrex simpl adantr ccats1pfxeqrex
      simprr syl3anc weq oveq2d eleq1d eqeq2 imbi12d id imp eqcomd s1eqd eqeq2d
      s1eq biimpd ex com13 sylbid com3l sylan9r rexlimdva syld 3imp ) EDUAZIZCF
      IZJZEGKZLZMNZFIZBVTOZPZGDUCZAKZVPIZWGQREQRZUDUBNZOZJZAFUCZECWIUENOZCEBLZM
      NZOZPZVSWMWFWRVSWMCVPIZCQRWJOZJZWFWRPZVRWMXAPVQWLXAACFWGCOWHWSWKWTWGCVPUF
      WGCWJQUGUHUISVSXAXBVSXAJZWNWFWQXCWNCEHKZLZMNZOZHDUJZWFWQPZXCVQWSWTWNXHPVS
      VQXAVQVRUKULXAWSVSWSWTUKSVSWSWTUNCDEHUMUOVSXHXIPZXAVRXJVQVRXGXIHDVRXDDIZJ
      WFXGWQXKWFXFFIZBXDOZPZVRXGWQPZWEXNGXDDGHUPZWCXLWDXMXPWBXFFXPWAXEEMVTXDVFU
      QURVTXDBUSUTUIXGVRXNWQXGVRXLXNWQPCXFFUFXNXLXGWQXNXLXOXNXLJZXGWQXQXFWPCXQX
      EWOEMXQXDBXQBXDXNXLXMXNVAVBVCVDUQVEVGVHVIVJVKVLTVMSULVNTVHVNTVO $.
  $}

  ${
    $d V u v x y $.  $d W u v x y $.  $d X u x y $.
    reuccatpfxs1.1 $e |- F/_ v X $.
    $( There is a unique word having the length of a given word increased by 1
       with the given word as prefix if there is a unique symbol which extends
       the given word.  (Contributed by Alexander van der Vekens, 6-Oct-2018.)
       (Revised by AV, 21-Jan-2022.)  (Revised by AV, 13-Oct-2022.) $)
    reuccatpfxs1 $p |- ( ( W e. Word V /\ A. x e. X ( x e. Word V
                                           /\ ( # ` x ) = ( ( # ` W ) + 1 ) ) )
                          -> ( E! v e. V ( W ++ <" v "> ) e. X
                               -> E! x e. X W = ( x prefix ( # ` W ) ) ) ) $=
      ( vy vu cv wcel chash cfv co wceq wa wral cs1 cconcat cpfx weq cword wreu
      c1 caddc wi eleq1w fveqeq2 anbi12d cbvralvw wrex nfel2 s1eq oveq2d eleq1d
      reu8nf nfralw nfan nfreuw wb simprl simpl ad2antrr anim1i simplrr simp-4r
      nfv reuccatpfxs1lem syl3anc s1cl anim12i pfxccat1 syl sylan9eqr eqcomd ex
      oveq1 impbid ralrimiva reu6i syl2anc exp31 rexlimd syl5bi sylan2b ) AIZCU
      AZJZWEKLDKLZUCUDMZNZOZAEPDWFJZGIZWFJZWMKLWINZOZGEPZDBIZQZRMZEJZBCUBZDWEWH
      SMZNZAEUBZUEWKWPAGEAGTWGWNWJWOAGWFUFWEWMWIKUGUHUIXBXADHIZQZRMZEJZBHTUEHCP
      ZOZBCUJWLWQOZXEXAXIDWEQZRMZEJBHACBXHEFUKBXNEFUKBATZWTXNEXOWSXMDRWRWEULUMU
      NAHTZXNXHEXPXMXGDRWEXFULUMUNUOXLXKXEBCWLWQBWLBVFWPBGEFWPBVFUPUQXDBAEFXDBV
      FURXLWRCJZXKXEXLXQOZXKOZXAXDWEWTNZUSZAEPXEXRXAXJUTXSYAAEXSWEEJZOZXDXTYCWL
      YBOXJWQXDXTUEXSWLYBXLWLXQXKWLWQVAZVBVCXRXAXJYBVDWLWQXQXKYBVEGWRWECDEHVGVH
      YCXTXDYCXTOXCDXTYCXCWTWHSMZDWEWTWHSVPYCWLWSWFJZOZYEDNXRYGXKYBXLWLXQYFYDWR
      CVIVJVBCDWSVKVLVMVNVOVQVRXDAEWTVSVTWAWBWCWD $.
  $}

  ${
    $d V v x $.  $d W v x $.  $d X v x $.
    $( There is a unique word having the length of a given word increased by 1
       with the given word as prefix if there is a unique symbol which extends
       the given word.  (Contributed by Alexander van der Vekens, 6-Oct-2018.)
       (Revised by AV, 21-Jan-2022.)  (Revised by AV, 10-May-2022.)  (Proof
       shortened by AV, 13-Oct-2022.) $)
    reuccatpfxs1v $p |- ( ( W e. Word V /\ A. x e. X ( x e. Word V
                                           /\ ( # ` x ) = ( ( # ` W ) + 1 ) ) )
                          -> ( E! v e. V ( W ++ <" v "> ) e. X
                               -> E! x e. X W = ( x prefix ( # ` W ) ) ) ) $=
      ( nfcv reuccatpfxs1 ) ABCDEBEFG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Splicing words (substring replacement)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c splice $.

  $( Syntax for the word splicing operator. $)
  csplice $a class splice $.

  ${
    $d b s $.
    $( Define an operation which replaces portions of words.  (Contributed by
       Stefan O'Rear, 15-Aug-2015.)  (Revised by AV, 14-Oct-2022.) $)
    df-splice $a |- splice = ( s e. _V , b e. _V |->
        ( ( ( s prefix ( 1st ` ( 1st ` b ) ) ) ++ ( 2nd ` b ) )
          ++ ( s substr <. ( 2nd ` ( 1st ` b ) ) , ( # ` s ) >. ) ) ) $.
  $}

  ${
    $d b s F $.  $d b s R $.  $d b s S $.  $d b s T $.  $d b s V $.
    $d b s W $.  $d b s X $.  $d b s Y $.
    $( Value of the substring replacement operator.  (Contributed by Stefan
       O'Rear, 15-Aug-2015.)  (Revised by AV, 11-May-2020.)  (Revised by AV,
       15-Oct-2022.) $)
    splval $p |- ( ( S e. V /\ ( F e. W /\ T e. X /\ R e. Y ) )
      -> ( S splice <. F , T , R >. )
         = ( ( ( S prefix F ) ++ R ) ++ ( S substr <. T , ( # ` S ) >. ) ) ) $=
      ( vs vb wcel cvv c1st cfv co c2nd cconcat wceq adantl oveq12d w3a wa cotp
      cv cpfx chash cop csubstr csplice cmpo df-splice a1i simprl 2fveq3 ot1stg
      sylan9eqr fveq2 ot3rdg 3ad2ant3 ot2ndg fveq2d opeq12d adantr ovexd ovmpod
      elex otex ) BEKZDFKZCGKZAHKZUAZUBZIJBDCAUCZLLIUDZJUDZMNZMNZUEOZVPPNZQOZVO
      VQPNZVOUFNZUGZUHOZQOZBDUEOZAQOZBCBUFNZUGZUHOZQOUILUIIJLLWFUJRVMIJUKULVMVO
      BRZVPVNRZUBZUBZWAWHWEWKQWOVSWGVTAQWOVOBVRDUEVMWLWMUMZWNVMVRVNMNZMNZDWMVRW
      RRWLVPVNMMUNSVLWRDRVHDCAFGHUOSUPTWNVMVTVNPNZAWMVTWSRWLVPVNPUQSVLWSARZVHVK
      VIWTVJDCAHURUSSUPTWOVOBWDWJUHWPWOWBCWCWIWNVMWBWQPNZCWMWBXARWLVPVNPMUNSVLX
      ACRVHDCAFGHUTSUPWOVOBUFWPVAVBTTVHBLKVLBEVFVCVNLKVMDCAVGULVMWHWKQVDVE $.

    $( Closure of the substring replacement operator.  (Contributed by Stefan
       O'Rear, 26-Aug-2015.)  (Proof shortened by AV, 15-Oct-2022.) $)
    splcl $p |- ( ( S e. Word A /\ R e. Word A ) ->
        ( S splice <. F , T , R >. ) e. Word A ) $=
      ( vs vb wcel co c1st cfv cpfx c2nd cconcat chash csubstr wceq cvv oveq12d
      fveq2d cword wa cotp csplice elex otex cv id 2fveq3 oveqan12d simpr simpl
      opeq12d df-splice ovex ovmpoa sylancl adantr ot3rdg adantl eqeltrd ccatcl
      cop pfxcl syl2anc swrdcl ) CAUAZHZBVGHZUBZCEDBUCZUDIZCVKJKZJKZLIZVKMKZNIZ
      CVMMKZCOKZVCZPIZNIZVGVHVLWBQZVIVHCRHVKRHWCCVGUEEDBUFFGCVKRRFUGZGUGZJKZJKZ
      LIZWEMKZNIZWDWFMKZWDOKZVCZPIZNIWBUDWDCQZWEVKQZUBZWJVQWNWANWQWHVOWIVPNWOWP
      WDCWGVNLWOUHWEVKJJUIUJWQWEVKMWOWPUKZTSWQWDCWMVTPWOWPULZWQWKVRWLVSWQWFVMMW
      QWEVKJWRTTWQWDCOWSTUMSSFGUNVQWANUOUPUQURVJVQVGHZWAVGHZWBVGHVJVOVGHZVPVGHW
      TVHXBVIACVNVDURVJVPBVGVIVPBQVHEDBVGUSUTVHVIUKVAAVOVPVBVEVHXAVIACVRVSVFURA
      VQWAVBVEVA $.

    $( Splicing a subword for the same subword makes no difference.
       (Contributed by Stefan O'Rear, 20-Aug-2015.)  (Proof shortened by AV,
       14-Oct-2022.) $)
    splid $p |- ( ( S e. Word A /\ ( X e. ( 0 ... Y ) /\
        Y e. ( 0 ... ( # ` S ) ) ) ) ->
      ( S splice <. X , Y , ( S substr <. X , Y >. ) >. ) = S ) $=
      ( cword wcel cc0 cfz co chash cfv wa cop csubstr cpfx cconcat cvv ccatpfx
      wceq eqtrd cotp csplice ovex splval mp3anr3 3expb oveq1d simpl simprr cuz
      elfzuz2 ad2antll eluzfz2 syl syl3anc pfxid adantr ) BAEZFZCGDHIZFZDGBJKZH
      IZFZLZLZBCDBCDMZNIZUAUBIZBCOIVHPIZBDVBMNIZPIZBUSVAVDVHQFVIVLSBVGNUCVHBDCU
      RUTVCQUDUEVFVLBDOIZVKPIZBVFVJVMVKPUSVAVDVJVMSABCDRUFUGVFVNBVBOIZBVFUSVDVB
      VCFZVNVOSUSVEUHUSVAVDUIVFVBGUJKFZVPVDVQUSVADGVBUKULGVBUMUNABDVBRUOUSVOBSV
      EABUPUQTTT $.
  $}

  ${
    spllen.s $e |- ( ph -> S e. Word A ) $.
    spllen.f $e |- ( ph -> F e. ( 0 ... T ) ) $.
    spllen.t $e |- ( ph -> T e. ( 0 ... ( # ` S ) ) ) $.
    spllen.r $e |- ( ph -> R e. Word A ) $.
    $( The length of a splice.  (Contributed by Stefan O'Rear, 23-Aug-2015.)
       (Proof shortened by AV, 15-Oct-2022.) $)
    spllen $p |- ( ph -> ( # ` ( S splice <. F , T , R >. ) ) =
          ( ( # ` S ) + ( ( # ` R ) - ( T - F ) ) ) ) $=
      ( co chash cfv caddc cmin wcel cc0 wceq syl syl2anc cotp csplice cpfx cop
      cconcat csubstr cword cfz splval syl13anc fveq2d ccatcl swrdcl ccatlen cc
      pfxcl lencl nn0cnd elfzelz zcnd addcld elfzel2 addsub12d cuz elfzuz uztrn
      elfzuz3 elfzuzb pfxlen oveq1d addcomd 3eqtrd elfzuz2 eluzfz2 3syl swrdlen
      sylanbrc syl3anc oveq12d subsub3d oveq2d 3eqtr4d ) ADFECUAUBKZLMDFUCKZCUE
      KZDEDLMZUDUFKZUEKZLMZWELMZWGLMZNKZWFCLMZEFOKOKZNKZAWCWHLADBUGZPZFQEUHKZPZ
      EQWFUHKZPZCWPPZWCWHRGHIJCDEFWPWRWTWPUIUJUKAWEWPPZWGWPPZWIWLRAWDWPPZXBXCAW
      QXEGBDFUPSZJBWDCULTAWQXDGBDEWFUMSBBWEWGUNTAWMFNKZWFEOKZNKWFXGEOKZNKWLWOAX
      GWFEAWMFAXBWMUOPJXBWMBCUQURSZAWSFUOPHWSFFQEUSUTSZVAAXAWFUOPIXAWFEQWFVBUTS
      AXAEUOPIXAEEQWFUSUTSZVCAWJXGWKXHNAWJWDLMZWMNKZFWMNKXGAXEXBWJXNRXFJBBWDCUN
      TAXMFWMNAWQFWTPZXMFRGAFQVDMZPZWFFVDMZPZXOAWSXQHFQEVESAWFEVDMPZEXRPZXSAXAX
      TIEQWFVGSAWSYAHFQEVGSEWFFVFTFQWFVHVQBDFVITVJAFWMXKXJVKVLAWQXAWFWTPZWKXHRG
      IAXAWFXPPYBIEQWFVMQWFVNVOBDEWFVPVRVSAWNXIWFNAWMEFXJXLXKVTWAWBVL $.

    ${
      splfv1.x $e |- ( ph -> X e. ( 0 ..^ F ) ) $.
      $( Symbols to the left of a splice are unaffected.  (Contributed by
         Stefan O'Rear, 23-Aug-2015.)  (Proof shortened by AV, 15-Oct-2022.) $)
      splfv1 $p |- ( ph -> ( ( S splice <. F , T , R >. ) ` X ) =
            ( S ` X ) ) $=
        ( co cfv chash wcel cc0 wceq cfzo syl2anc cotp csplice cpfx cconcat cop
        csubstr cword cfz splval syl13anc fveq1d pfxcl syl ccatcl caddc cuz wss
        swrdcl cn0 elfzelzd uzidd lencl uzaddcl fzoss2 sseldd ccatlen wa fzass4
        biimpri simpld pfxlen oveq1d eqtrd oveq2d eleqtrrd syl3anc pfxfv 3eqtrd
        ccatval1 ) AGDFECUAUBMZNGDFUCMZCUDMZDEDONZUEUFMZUDMZNZGWBNZGDNZAGVTWEAD
        BUGZPZFQEUHMZPZEQWCUHMZPZCWIPZVTWERHIJKCDEFWIWKWMWIUIUJUKAWBWIPZWDWIPZG
        QWBONZSMZPWFWGRAWAWIPZWOWPAWJWTHBDFULUMZKBWACUNTAWJWQHBDEWCURUMAGQFCONZ
        UOMZSMZWSAQFSMZXDGAXCFUPNZPZXEXDUQAFXFPXBUSPZXGAFAFQEIUTVAAWOXHKBCVBUMX
        BFFVCTFQXCVDUMLVEAWRXCQSAWRWAONZXBUOMZXCAWTWOWRXJRXAKBBWACVFTAXIFXBUOAW
        JFWMPZXIFRHAWLWNXKIJWLWNVGZXKEFWCUHMPZXKXMVGXLQFEWCVHVIVJTZBDFVKTZVLVMV
        NVOBBWBWDGVSVPAWGGWANZWHAWTWOGQXISMZPWGXPRXAKAGXEXQLAXIFQSXOVNVOBBWACGV
        SVPAWJXKGXEPXPWHRHXNLGFBDVQVPVMVR $.
    $}

    ${
      splfv2a.x $e |- ( ph -> X e. ( 0 ..^ ( # ` R ) ) ) $.
      $( Symbols within the replacement region of a splice, expressed using the
         coordinates of the replacement region.  (Contributed by Stefan O'Rear,
         23-Aug-2015.)  (Proof shortened by AV, 15-Oct-2022.) $)
      splfv2a $p |- ( ph -> ( ( S splice <. F , T , R >. ) ` ( F + X ) ) =
            ( R ` X ) ) $=
        ( caddc co cfv wcel cc0 wceq cn0 syl cotp csplice chash cconcat csubstr
        cpfx cop cword cfz splval syl13anc elfznn0 nn0cnd cfzo elfzonn0 addcomd
        cuz nn0uz eleqtrdi elfzuz3 uztrn syl2anc elfzuzb sylanbrc pfxlen oveq2d
        eqtr4d fveq12d pfxcl ccatcl swrdcl 0nn0 nn0addcl sylancr fzoss1 ccatlen
        wss eleq2s oveq1d lencl 3eqtrd sseqtrrd nn0zd fzoaddel eqeltrd ccatval1
        cz sseldd syl3anc ccatval3 ) AFGMNZDFECUAUBNZOGDFUFNZUCOZMNZWMCUDNZDEDU
        COZUGUENZUDNZOZWOWPOZGCOZAWKWOWLWSADBUHZPZFQEUINZPZEQWQUINZPZCXCPZWLWSR
        HIJKCDEFXCXEXGXCUJUKAWKGFMNZWOAFGAFAXFFSPZIFEULTZUMZAGAGQCUCOZUNNPZGSPL
        GXNUOTUMUPAWNFGMAXDFXGPZWNFRHAFQUQOZPWQFUQOZPZXPAFSXQXLURUSAWQEUQOPZEXR
        PZXSAXHXTJEQWQUTTAXFYAIFQEUTTEWQFVAVBFQWQVCVDBDFVEVBZVFZVGVHAWPXCPZWRXC
        PZWOQWPUCOZUNNZPWTXARAWMXCPZXIYDAXDYHHBDFVITZKBWMCVJVBAXDYEHBDEWQVKTAWO
        XJYGYCAQFMNZXNFMNZUNNZYGXJAYLQYKUNNZYGAYJSPZYLYMVQZAQSPXKYNVLXLQFVMVNYO
        YJXQSYJQYKVOURVRTAYFYKQUNAYFWNXNMNZFXNMNYKAYHXIYFYPRYIKBBWMCVPVBAWNFXNM
        YBVSAFXNXMAXNAXIXNSPKBCVTTUMUPWAVFWBAXOFWGPXJYLPLAFXLWCGQXNFWDVBWHWEBBW
        PWRWOWFWIAYHXIXOXAXBRYIKLBWMCGWJWIWA $.
    $}
  $}

  ${
    splval2.a $e |- ( ph -> A e. Word X ) $.
    splval2.b $e |- ( ph -> B e. Word X ) $.
    splval2.c $e |- ( ph -> C e. Word X ) $.
    splval2.r $e |- ( ph -> R e. Word X ) $.
    splval2.s $e |- ( ph -> S = ( ( A ++ B ) ++ C ) ) $.
    splval2.f $e |- ( ph -> F = ( # ` A ) ) $.
    splval2.t $e |- ( ph -> T = ( F + ( # ` B ) ) ) $.
    $( Value of a splice, assuming the input word ` S ` has already been
       decomposed into its pieces.  (Contributed by Mario Carneiro,
       1-Oct-2015.)  (Proof shortened by AV, 15-Oct-2022.) $)
    splval2 $p |- ( ph ->
      ( S splice <. F , T , R >. ) = ( ( A ++ R ) ++ C ) ) $=
      ( co wcel cn0 wceq cotp csplice cpfx cconcat chash cfv cop csubstr ccatcl
      cword syl2anc eqeltrd lencl syl caddc nn0addcld splval syl13anc cc0 nn0uz
      wa cfz cuz eleqtrdi nn0zd uzaddcl elfzuzb sylanbrc ccatlen fveq2d 3eqtr4d
      uzidd oveq1d ccatpfx syl3anc pfxid 3eqtrd wb pfxcl swrdcl pfxlen ccatopth
      eluzfz2 eqtrd syl221anc mpbid simpld uztrn simprd oveq12d ) AFHGEUAUBQZFH
      UCQZEUDQZFGFUEUFZUGUHQZUDQZBEUDQZDUDQAFIUJZRZHSRGSREWRRWKWPTAFBCUDQZDUDQZ
      WRNAWTWRRZDWRRZXAWRRABWRRZCWRRZXBJKIBCUIUKZLIWTDUIUKULZAHBUEUFZSOAXDXHSRJ
      IBUMUNULZAGHCUEUFZUOQZSPAHXJXIAXEXJSRZKICUMUNZUPULZMEFGHWRSSWRUQURAWMWQWO
      DUDAWLBEUDAWLBTZFHGUGUHQZCTZAWLXPUDQZWTTZXOXQVAZAXRFGUCQZWTAWSHUSGVBQRZGU
      SWNVBQZRZXRYATXGAHUSVCUFZRZGHVCUFZRZYBAHSYEXIUTVDZAGXKYGPAHYGRXLXKYGRAHAH
      XIVEVLXMXJHHVFUKULZHUSGVGVHAGYERWNGVCUFZRZYDAGSYEXNUTVDAWNGDUEUFZUOQZYKAX
      AUEUFZWTUEUFZYMUOQZWNYNAXBXCYOYQTXFLIIWTDVIUKAFXAUENVJAGYPYMUOAXKXHXJUOQZ
      GYPAHXHXJUOOVMPAXDXEYPYRTJKIIBCVIUKVKZVMVKAGYKRYMSRZYNYKRAGAGXNVEVLAXCYTL
      IDUMUNYMGGVFUKULZGUSWNVGVHZIFHGVNVOAYAWTTZWODTZAYAWOUDQZXATZUUCUUDVAZAUUE
      FWNUCQZFXAAWSYDWNYCRZUUEUUHTXGUUBAWNYERUUIAWNSYEAWSWNSRXGIFUMUNUTVDUSWNWC
      UNIFGWNVNVOAWSUUHFTXGIFVPUNNVQAYAWRRZWOWRRZXBXCYAUEUFZYPTUUFUUGVRAWSUUJXG
      IFGVSUNAWSUUKXGIFGWNVTUNXFLAUULGYPAWSYDUULGTXGUUBIFGWAUKYSWDYAWOWTDIWBWEW
      FZWGWDAWLWRRZXPWRRZXDXEWLUEUFZXHTXSXTVRAWSUUNXGIFHVSUNAWSUUOXGIFHGVTUNJKA
      UUPHXHAWSHYCRZUUPHTXGAYFWNYGRZUUQYIAYLYHUURUUAYJGWNHWHUKHUSWNVGVHIFHWAUKO
      WDWLXPBCIWBWEWFWGVMAUUCUUDUUMWIWJWD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Reversing words
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c reverse $.

  $( Syntax for the word reverse operator. $)
  creverse $a class reverse $.

  ${
    $d s x $.
    $( Define an operation which reverses the order of symbols in a word.  This
       operation is also known as "word reversal" and "word mirroring".
       (Contributed by Stefan O'Rear, 26-Aug-2015.) $)
    df-reverse $a |- reverse = ( s e. _V |-> ( x e. ( 0 ..^ ( # ` s ) ) |->
            ( s ` ( ( ( # ` s ) - 1 ) - x ) ) ) ) $.
  $}

  ${
    $d w x W $.  $d x A $.  $d x X $.
    $( Value of the word reversing function.  (Contributed by Stefan O'Rear,
       26-Aug-2015.) $)
    revval $p |- ( W e. V -> ( reverse ` W ) = ( x e. ( 0 ..^ ( # ` W ) ) |->
          ( W ` ( ( ( # ` W ) - 1 ) - x ) ) ) ) $=
      ( vw wcel cvv creverse cfv cc0 chash cfzo co c1 cmin cmpt wceq elex fveq2
      cv oveq1d oveq2d id fveq12d mpteq12dv df-reverse ovex mptex fvmpt syl ) C
      BECFECGHAICJHZKLZUJMNLZASZNLZCHZOZPCBQDCAIDSZJHZKLZURMNLZUMNLZUQHZOUPFGUQ
      CPZAUSVBUKUOVCURUJIKUQCJRZUAVCVAUNUQCVCUBVCUTULUMNVCURUJMNVDTTUCUDADUEAUK
      UOIUJKUFUGUHUI $.

    $( The reverse of a word is a word.  (Contributed by Stefan O'Rear,
       26-Aug-2015.) $)
    revcl $p |- ( W e. Word A -> ( reverse ` W ) e. Word A ) $=
      ( vx cword wcel creverse cfv cc0 chash cfzo co c1 cmin cmpt revval adantr
      cv wf wa syl wrdf cfz simpr wceq cn0 lencl nn0zd fzoval eleqtrd fznn0sub2
      cz eleqtrrd ffvelrnd fmpttd iswrdi eqeltrd ) BADZEZBFGCHBIGZJKZUSLMKZCQZM
      KZBGZNZUQCUQBOURUTAVERVEUQEURCUTVDAURVBUTEZSZUTAVCBURUTABRVFABUAPVGVCHVAU
      BKZUTVGVBVHEVCVHEVGVBUTVHURVFUCVGUSUKEUTVHUDVGUSURUSUEEVFABUFPUGHUSUHTZUI
      VBVAUJTVIULUMUNAUSVEUOTUP $.

    $( The reverse of a word has the same length as the original.  (Contributed
       by Stefan O'Rear, 26-Aug-2015.) $)
    revlen $p |- ( W e. Word A ->
        ( # ` ( reverse ` W ) ) = ( # ` W ) ) $=
      ( vx cword wcel creverse cfv chash cfzo co c1 cmin cv cmpt wf wceq adantr
      cc0 3syl syl revval fveq2d wfn wa wrdf cfz simpr cn0 cz lencl nn0z fzoval
      eleqtrd fznn0sub2 eleqtrrd ffvelrnd fmpttd ffn hashfn hashfzo0 3eqtrd ) B
      ADZEZBFGZHGCRBHGZIJZVEKLJZCMZLJZBGZNZHGZVFHGZVEVCVDVKHCVBBUAUBVCVFAVKOVKV
      FUCVLVMPVCCVFVJAVCVHVFEZUDZVFAVIBVCVFABOVNABUEQVOVIRVGUFJZVFVOVHVPEVIVPEV
      OVHVFVPVCVNUGVOVEUHEZVEUIEVFVPPVCVQVNABUJZQVEUKRVEULSZUMVHVGUNTVSUOUPUQVF
      AVKURVFVKUSSVCVQVMVEPVRVEUTTVA $.

    $( Reverse of a word at a point.  (Contributed by Stefan O'Rear,
       26-Aug-2015.) $)
    revfv $p |- ( ( W e. Word A /\ X e. ( 0 ..^ ( # ` W ) ) ) ->
        ( ( reverse ` W ) ` X ) = ( W ` ( ( ( # ` W ) - 1 ) - X ) ) ) $=
      ( vx cword wcel cc0 chash cfv cfzo co creverse c1 cmin cmpt revval fveq1d
      cv wceq oveq2 fveq2d eqid fvex fvmpt sylan9eq ) BAEZFZCGBHIZJKZFCBLIZICDU
      IUHMNKZDRZNKZBIZOZIUKCNKZBIZUGCUJUODUFBPQDCUNUQUIUOULCSUMUPBULCUKNTUAUOUB
      UPBUCUDUE $.

    $( The empty word is its own reverse.  (Contributed by Stefan O'Rear,
       26-Aug-2015.) $)
    rev0 $p |- ( reverse ` (/) ) = (/) $=
      ( c0 creverse cfv chash cc0 wceq cword wcel wrd0 revlen ax-mp hash0 eqtri
      cvv wb fvex hasheq0 mpbi ) ABCZDCZEFZSAFZTADCZEANGHTUCFNINAJKLMSNHUAUBOAB
      PSNQKR $.

    $d x S $.  $d x T $.
    $( Singleton words are their own reverses.  (Contributed by Stefan O'Rear,
       26-Aug-2015.)  (Revised by Mario Carneiro, 26-Feb-2016.) $)
    revs1 $p |- ( reverse ` <" S "> ) = <" S "> $=
      ( cc0 cs1 creverse cfv cid wceq chash c1 cmin co cword wcel cfzo cn mp2an
      cvv oveq1i eqtri ax-mp s1cli s1len eqeltri lbfzo0 mpbir revfv 1m1e0 0m0e0
      1nn fveq2i ids1 fveq1i fvex s1fv s1eq revcl revlen eqs1 3eqtr4i ) BACZDEZ
      EZCZAFEZCZVAUTVBVDGVCVEGVBUTHEZIJKZBJKZUTEZVDUTQLZMZBBVFNKMZVBVIGAUAZVLVF
      OMVFIOAUBZUIUCVFUDUEQUTBUFPVIBUTEZVDVHBUTVHBBJKBVGBBJVGIIJKBVFIIJVNRUGSRU
      HSUJVOBVEEZVDBUTVEAUKZULVDQMVPVDGAFUMVDQUNTSSSVBVDUOTVAVJMZVAHEZIGVAVCGVK
      VRVMQUTUPTVSVFIVKVSVFGVMQUTUQTVNSQVAURPVQUS $.

    $( Antiautomorphic property of the reversal operation.  (Contributed by
       Stefan O'Rear, 27-Aug-2015.) $)
    revccat $p |- ( ( S e. Word A /\ T e. Word A ) ->
        ( reverse ` ( S ++ T ) ) =
          ( ( reverse ` T ) ++ ( reverse ` S ) ) ) $=
      ( wcel cc0 chash cfv caddc co cfzo wceq cc oveq2d syl2anr eqtrd adantl c1
      syl cmin ad2antlr vx cword cconcat creverse wfn ccatcl revcl wrdfn revlen
      wa 3syl ccatlen lencl nn0cnd addcom syl2an 3eqtrd fneq2d mpbid oveqan12rd
      cv wo cz nn0zd fzospliti simpll simplr cfz fzoval eleq2d biimpa fznn0sub2
      id eleqtrrd ccatval3 syl3anc oveq1d adantr 1cnd addsubd peano2zm ad2antrr
      zcnd elfzoelz fveq2d revfv adantll 3eqtr4d cuz wss uzaddcl eqeltrd fzoss2
      cn0 uzidd sselda syl2an2r biimpar ccatval1 subsub3d zaddcl fzrev2i subidd
      3eqtr4rd addcl sub32d pncan2 oveq12d eqtr4d 3eltr4d simpl fzosubel3 nn0uz
      fzoss1 eleq2s sseqtrrd ccatval2 jaodan syldan eqfnfvd ) BAUBZDZCYADZUJZUA
      ECFGZBFGZHIZJIZBCUCIZUDGZCUDGZBUDGZUCIZYDYJEYJFGZJIZUEZYJYHUEYDYIYADZYJYA
      DYPABCUFZAYIUGAYJUHUKYDYOYHYJYDYNYGEJYDYNYIFGZYFYEHIZYGYDYQYNYSKYRAYIUIRA
      ABCULZYBYFLDZYELDZYTYGKYCYBYFABUMZUNZYCYEACUMZUNZYFYEUOUPZUQMURUSYDYMEYMF
      GZJIZUEZYMYHUEYDYMYADZUUKYCYKYADZYLYADZUULYBACUGZABUGZAYKYLUFNAYMUHRYDUUJ
      YHYMYDUUIYGEJYDUUIYKFGZYLFGZHIZYGYCUUMUUNUUIUUSKYBUUOUUPAAYKYLULNYCYBUUQY
      EUURYFHACUIZABUIUTZOMURUSYDUAVAZYHDZUVBEYEJIZDZUVBYEYGJIZDZVBZUVBYJGZUVBY
      MGZKZUVCUVCYEVCDZUVHYDUVCVMYCUVLYBYCYEUUFVDZPUVBEYGYEVENYDUVEUVKUVGYDUVEU
      JZYSQSIZUVBSIZYIGZUVBYKGZUVIUVJUVNYEQSIZUVBSIZYFHIZYIGZUVTCGZUVQUVRUVNYBY
      CUVTUVDDUWBUWCKYBYCUVEVFYBYCUVEVGUVNUVTEUVSVHIZUVDUVNUVBUWDDZUVTUWDDYDUVE
      UWEYDUVDUWDUVBYCUVDUWDKZYBYCUVLUWFUVMEYEVIRZPVJVKUVBUVSVLRYCUWFYBUVEUWGTV
      NABCUVTVOVPUVNUVPUWAYIUVNUVPUVSYFHIZUVBSIZUWAYDUVPUWIKUVEYDUVOUWHUVBSYDUV
      OYGQSIZUWHYDYSYGQSYDYSYTYGUUAUUHOZVQZYDYEYFQYCUUCYBUUGPZYBUUBYCUUEVRZYDVS
      ZVTOVQVRUVNUVSYFUVBYCUVSLDYBUVEYCUVSYCUVLUVSVCDUVMYEWARWCTYBUUBYCUVEUUEWB
      UVEUVBLDZYDUVEUVBUVBEYEWDWCPVTOWEYCUVEUVRUWCKYBACUVBWFWGWHYDYQUVEUVBEYSJI
      ZDZUVIUVQKZYRYDUVDUWQUVBYDYSYEWIGZDUVDUWQWJYDYSYGUWTUWKYCYEUWTDYFWNDYGUWT
      DYBYCYEUVMWOUUDYFYEYEWKNWLYEEYSWMRWPAYIUVBWFZWQUVNUUMUUNUVBEUUQJIZDZUVJUV
      RKYCUUMYBUVEUUOTYBUUNYCUVEUUPWBYDUXCUVEYDUXBUVDUVBYDUUQYEEJYCUUQYEKYBUUTP
      ZMVJWRAAYKYLUVBWSVPWHYDUVGUJZUVQUVBUUQSIZYLGZUVIUVJUXEUVPBGZYFQSIZUXFSIZB
      GZUVQUXGUXEUVPUXJBUXEUXIUVBYESIZSIZUXIYEHIZUVBSIZUXJUVPUXEUXIUVBYEYBUXILD
      YCUVGYBUXIYBYFVCDZUXIVCDYBYFUUDVDZYFWARWCWBUVGUWPYDUVGUVBUVBYEYGWDWCPYCUU
      CYBUVGUUGTWTYCUXJUXMKYBUVGYCUXFUXLUXISYCUUQYEUVBSUUTMZMTYDUVPUXOKUVGYDUVO
      UXNUVBSYDUVOYTQSIUXNYDYSYTQSUUAVQYDYFYEQUWNUWMUWOVTOVQVRXDWEUXEYBYCUVPEYF
      JIZDUVQUXHKYBYCUVGVFYBYCUVGVGUXEUWJUVBSIZUWJUWJSIZUWJYESIZVHIZUVPUXSYDUWJ
      VCDZUVGUVBYEUWJVHIZDZUXTUYCDYDYGVCDZUYDYCUVLUXPUYGYBUVMUXQYEYFXANZYGWARZY
      DUVGUYFYDUVFUYEUVBYDUYGUVFUYEKUYHYEYGVIRVJVKUWJUVBYEUWJXBWQYDUVPUXTKUVGYD
      UVOUWJUVBSUWLVQVRYDUXSUYCKUVGYDUXSEUXIVHIZUYCYDUXPUXSUYJKYBUXPYCUXQVRZEYF
      VIRYDUYAEUYBUXIVHYDUWJYDUWJUYIWCXCYDUYBYGYESIZQSIUXIYDYGQYEYCUUCUUBYGLDYB
      UUGUUEYEYFXENUWOUWMXFYDUYLYFQSYCUUCUUBUYLYFKYBUUGUUEYEYFXGNVQOXHXIVRXJAAB
      CUVPWSVPYDYBUVGUXFUXSDUXGUXKKYBYCXKUXEUXFUXLUXSYCUXFUXLKYBUVGUXRTUVGUVGUX
      PUXLUXSDYDUVGVMUYKUVBYEYFXLNWLABUXFWFWQWHYDYQUVGUWRUWSYRYDUVFUWQUVBYDUVFY
      HUWQYCUVFYHWJZYBYCYEWNDUYMUUFUYMYEEWIGWNYEEYGXNXMXORPYDYSYGEJUWKMXPWPUXAW
      QUXEUUMUUNUVBUUQUUSJIZDZUVJUXGKYCUUMYBUVGUUOTYBUUNYCUVGUUPWBYDUYOUVGYDUYN
      UVFUVBYDUUQYEUUSYGJUXDUVAXHVJWRAYKYLUVBXQVPWHXRXSXT $.

    $( Reversal is an involution on words.  (Contributed by Mario Carneiro,
       1-Oct-2015.) $)
    revrev $p |- ( W e. Word A -> ( reverse ` ( reverse ` W ) ) = W ) $=
      ( vx wcel cc0 chash cfv cfzo co creverse wfn revcl wceq revlen syl oveq2d
      eqtrd c1 cmin adantr cword wf wrdf 4syl fneq2d mpbid wrdfn cv wa eleqtrrd
      ffn simpr revfv syl2an2r oveq1d fvoveq1d cfz cz lencl nn0zd fzoval eleq2d
      biimpa fznn0sub2 syldan cc peano2zm elfzoelz nncan syl2an fveq2d eqfnfvd
      zcnd ) BAUAZDZCEBFGZHIZBJGZJGZBVOVSEVSFGZHIZKZVSVQKVOVRVNDZVSVNDWAAVSUBWB
      ABLZAVRLAVSUCWAAVSUKUDVOWAVQVSVOVTVPEHVOVTVRFGZVPVOWCVTWEMWDAVRNOABNZQPUE
      UFABUGVOCUHZVQDZUIZWGVSGZWERSIZWGSIVRGZWGBGZVOWCWHWGEWEHIZDWJWLMWDWIWGVQW
      NVOWHULWIWEVPEHVOWEVPMWHWFTZPUJAVRWGUMUNWIWLVPRSIZWGSIZVRGZWMWIWKWPWGVRSW
      IWEVPRSWOUOUPWIWRWPWQSIZBGZWMVOWHWQVQDWRWTMWIWQEWPUQIZVQWIWGXADZWQXADVOWH
      XBVOVQXAWGVOVPURDZVQXAMZVOVPABUSUTZEVPVAOZVBVCWGWPVDOVOXDWHXFTUJABWQUMVEW
      IWSWGBVOWPVFDWGVFDWSWGMWHVOWPVOXCWPURDXEVPVGOVMWHWGWGEVPVHVMWPWGVIVJVKQQQ
      VL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Repeated symbol words
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c repeatS $.

  $( Extend class notation with words consisting of one repeated symbol. $)
  creps $a class repeatS $.

  ${
    $d n s x $.
    $( Definition to construct a word consisting of one repeated symbol, often
       called "repeated symbol word" for short in the following.  (Contributed
       by Alexander van der Vekens, 4-Nov-2018.) $)
    df-reps $a |- repeatS
                 = ( s e. _V , n e. NN0 |-> ( x e. ( 0 ..^ n ) |-> s ) ) $.
  $}

  ${
    $d N n s x $.  $d S n s x $.
    $( Construct a function mapping a half-open range of nonnegative integers
       to a constant.  (Contributed by AV, 4-Nov-2018.) $)
    reps $p |- ( ( S e. V /\ N e. NN0 )
                 -> ( S repeatS N ) = ( x e. ( 0 ..^ N ) |-> S ) ) $=
      ( vs vn wcel cn0 wa cvv cc0 cfzo co cmpt creps wceq elex adantr simpr cv
      ovex mptexg mp1i oveq2 adantl simpll mpteq12dva df-reps ovmpoga syl3anc )
      BDGZCHGZIZBJGZULAKCLMZBNZJGZBCOMUPPUKUNULBDQRUKULSUOJGUQUMKCLUAAUOBJUBUCE
      FBCJHAKFTZLMZETZNUPOJUTBPZURCPZIAUSUTUOBVBUSUOPVAURCKLUDUEVAVBATUSGUFUGAF
      EUHUIUJ $.

    $( A function mapping a half-open range of nonnegative integers with an
       upper bound not being a nonnegative integer to a constant is the empty
       set (in the meaning of "undefined").  (Contributed by AV,
       5-Nov-2018.) $)
    repsundef $p |- ( N e/ NN0 -> ( S repeatS N ) = (/) ) $=
      ( vs vn vx cn0 wnel creps cdm cvv cxp wceq wcel wa wn co c0 cc0 cv cfzo
      cmpt df-reps ovex mptex dmmpo df-nel biimpi intnand ndmovg sylancr ) BFGZ
      HIJFKLAJMZBFMZNOABHPQLCDJFERDSZTPZCSZUAHEDCUBEUOUPRUNTUCUDUEUKUMULUKUMOBF
      UFUGUHABJFHUIUJ $.
  $}

  ${
    $d N x $.  $d S x $.
    $( Construct a function mapping a half-open range of nonnegative integers
       to a constant, see also ~ fconstmpt .  (Contributed by AV,
       4-Nov-2018.) $)
    repsconst $p |- ( ( S e. V /\ N e. NN0 )
                 -> ( S repeatS N ) = ( ( 0 ..^ N ) X. { S } ) ) $=
      ( vx wcel cn0 wa creps co cc0 cfzo cmpt csn cxp reps fconstmpt eqtr4di )
      ACEBFEGABHIDJBKIZALRAMNDABCODRAPQ $.
  $}

  ${
    $d N x $.  $d S x $.  $d V x $.
    $( The constructed function mapping a half-open range of nonnegative
       integers to a constant is a function.  (Contributed by AV,
       4-Nov-2018.) $)
    repsf $p |- ( ( S e. V /\ N e. NN0 )
                  -> ( S repeatS N ) : ( 0 ..^ N ) --> V ) $=
      ( vx wcel cn0 wa cc0 cfzo co creps wf cmpt wral cv simpl ralrimiva adantr
      eqid fmpt sylib reps feq1d mpbird ) ACEZBFEZGZHBIJZCABKJZLUHCDUHAMZLZUGUE
      DUHNZUKUEULUFUEUEDUHUEDOUHEPQRDUHCAUJUJSTUAUGUHCUIUJDABCUBUCUD $.

    $d I x $.
    $( The symbols of a "repeated symbol word".  (Contributed by AV,
       4-Nov-2018.) $)
    repswsymb $p |- ( ( S e. V /\ N e. NN0 /\ I e. ( 0 ..^ N ) )
                      -> ( ( S repeatS N ) ` I ) = S ) $=
      ( vx wcel cn0 cc0 cfzo co w3a creps cmpt wceq reps 3adant3 cv eqidd simp3
      wa simp1 fvmptd ) ADFZCGFZBHCIJZFZKZEBAAUEACLJZDUCUDUHEUEAMNUFEACDOPUGEQB
      NTARUCUDUFSUCUDUFUAUB $.
  $}

  $( A function mapping a half-open range of nonnegative integers to a constant
     is a word consisting of one symbol repeated several times ("repeated
     symbol word").  (Contributed by AV, 4-Nov-2018.) $)
  repsw $p |- ( ( S e. V /\ N e. NN0 ) -> ( S repeatS N ) e. Word V ) $=
    ( wcel cn0 wa cc0 cfzo co creps wf cword repsf iswrdi syl ) ACDBEDFGBHICABJ
    IZKPCLDABCMCBPNO $.

  $( The length of a "repeated symbol word".  (Contributed by AV,
     4-Nov-2018.) $)
  repswlen $p |- ( ( S e. V /\ N e. NN0 ) -> ( # ` ( S repeatS N ) ) = N ) $=
    ( wcel cn0 wa creps co chash cfv cc0 cfzo wf wfn wceq repsf ffn hashfn 3syl
    hashfzo0 adantl eqtrd ) ACDZBEDZFZABGHZIJZKBLHZIJZBUEUHCUFMUFUHNUGUIOABCPUH
    CUFQUHUFRSUDUIBOUCBTUAUB $.

  $( The "repeated symbol word" of length 0.  (Contributed by AV,
     4-Nov-2018.) $)
  repsw0 $p |- ( S e. V -> ( S repeatS 0 ) = (/) ) $=
    ( wcel cc0 creps co chash cfv wceq cn0 0nn0 repswlen mpan2 cvv ovex hasheq0
    c0 wb mp1i mpbid ) ABCZADEFZGHDIZUBQIZUADJCUCKADBLMUBNCUCUDRUAADEOUBNPST $.

  ${
    $d N i $.  $d S i $.  $d W i $.
    $( Alternative definition of a "repeated symbol word".  (Contributed by AV,
       7-Nov-2018.) $)
    repsdf2 $p |- ( ( S e. V /\ N e. NN0 ) -> ( W = ( S repeatS N )
                    <-> ( W e. Word V /\ ( # ` W ) = N
                          /\ A. i e. ( 0 ..^ N ) ( W ` i ) = S ) ) ) $=
      ( wcel wa co wceq cc0 cfzo wf cfv wb adantr wfn wi 3syl ffn imp cn0 creps
      csn cxp cword chash wral w3a repsconst eqeq2d fconst2g fconstfv wss snssi
      anim1ci fss iswrdi ffzo0hash expcom syl11 adantl jca syl5bir expcomd wrdf
      cv ex oveq2 fneq2d biimpd com13 com12 impd impbid pm5.32rd df-3an 3bitr4g
      a1d 3bitr2d ) ADFZCUAFZGZEACUBHZIEJCKHZAUCZUDZIZWDWEELZEDUEFZEUFMZCIZBVFE
      MAIBWDUGZUHZWBWCWFEACDUIUJVTWHWGNWAWDADEUKOWBEWDPZWLGZWIWKGZWLGWHWMWBWLWN
      WPWBWLWNWPNWBWLGWNWPWBWLWNWPQWBWNWLWPWOWHWBWPBWDAEULZWBWHWPWBWHGZWIWKWRWH
      WEDUMZGWDDELWIWBWSWHVTWSWAADUNOUOWDWEDEUPDCEUQRWBWHWKWAWHWKQVTWNWAWKWHWAW
      NWKECURUSWDWEESUTVATVBVGVCVDTWBWPWNQWLWBWIWKWNWIWBWKWNQZWIJWJKHZDELEXAPZW
      BWTQDEVEXADESWKWBXBWNWKXBWNQWBWKXBWNWKXAWDEWJCJKVHVIVJVRVKRVLVMOVNVGVOWQW
      IWKWLVPVQVS $.
  $}

  ${
    $d S i $.  $d W i $.
    $( All the symbols of a "repeated symbol word" are the same.  (Contributed
       by AV, 10-Nov-2018.) $)
    repswsymball $p |- ( ( W e. Word V /\ S e. V )
                       -> ( W = ( S repeatS ( # ` W ) )
                            -> A. i e. ( 0 ..^ ( # ` W ) ) ( W ` i ) = S ) ) $=
      ( cword wcel wa chash cfv creps co wceq cv cc0 cfzo wral w3a df-3an a1i
      wb cn0 lencl anim1ci repsdf2 syl simpl eqidd jca biantrurd 3bitr4d biimpd
      ) DCEFZACFZGZDADHIZJKLZBMDIALBNUOOKPZUNULUOUOLZUQQZULURGZUQGZUPUQUSVATUNU
      LURUQRSUNUMUOUAFZGUPUSTULVBUMCDUBUCABUOCDUDUEUNUTUQUNULURULUMUFUNUOUGUHUI
      UJUK $.
  $}

  ${
    $d W i $.
    $( A word is a "repeated symbol word" iff each of its symbols equals the
       first symbol of the word.  (Contributed by AV, 10-Nov-2018.) $)
    repswsymballbi $p |- ( W e. Word V
              -> ( W = ( ( W ` 0 ) repeatS ( # ` W ) )
                   <-> A. i e. ( 0 ..^ ( # ` W ) ) ( W ` i ) = ( W ` 0 ) ) ) $=
      ( wcel cc0 cfv chash creps co wceq cfzo wral wb c0 eqtrdi cvv simpr oveq2
      wa adantr cword cv fveq2 hash0 fvex repsw0 ax-mp eqcomi 3eqtr4a ral0 fzo0
      wi raleqdv mpbiri 2thd mpancom a1d wne w3a df-3an a1i cn0 fstwrdne ancoms
      lencl adantl repsdf2 syl2anc eqidd jca biantrurd 3bitr4d ex pm2.61ine ) C
      BUADZCECFZCGFZHIZJZAUBCFVPJZAEVQKIZLZMZULCNCNJZWCVOVQEJZWDWCWDVQNGFECNGUC
      UDOWEWDSZVSWBWFNVPEHIZCVRWGNVPPDWGNJECUEVPPUFUGUHWEWDQWEVRWGJWDVQEVPHRTUI
      WEWBWDWEWBVTANLVTAUJWEVTAWANWEWAEEKINVQEEKREUKOUMUNTUOUPUQCNURZVOWCWHVOSZ
      VOVQVQJZWBUSZVOWJSZWBSZVSWBWKWMMWIVOWJWBUTVAWIVPBDZVQVBDZVSWKMVOWHWNBCVCV
      DVOWOWHBCVEVFVPAVQBCVGVHWIWLWBWIVOWJWHVOQWIVQVIVJVKVLVMVN $.
  $}

  $( The first symbol of a nonempty "repeated symbol word".  (Contributed by
     AV, 4-Nov-2018.) $)
  repswfsts $p |- ( ( S e. V /\ N e. NN ) -> ( ( S repeatS N ) ` 0 ) = S ) $=
    ( wcel cn wa cn0 cc0 cfzo co creps wceq simpl nnnn0 adantl lbfzo0 repswsymb
    cfv biimpri syl3anc ) ACDZBEDZFUABGDZHHBIJDZHABKJRALUAUBMUBUCUABNOUBUDUAUDU
    BBPSOAHBCQT $.

  $( The last symbol of a nonempty "repeated symbol word".  (Contributed by AV,
     4-Nov-2018.) $)
  repswlsw $p |- ( ( S e. V /\ N e. NN )
                     -> ( lastS ` ( S repeatS N ) ) = S ) $=
    ( wcel cn wa creps co clsw cfv chash cmin cword wceq cn0 nnnn0 repsw sylan2
    c1 adantl lsw syl cc0 cfzo simpl repswlen fzo0end eqeltrd repswsymb syl3anc
    oveq1d eqtrd ) ACDZBEDZFZABGHZIJZUPKJZSLHZUPJZAUOUPCMZDZUQUTNUNUMBODZVBBPZA
    BCQRUPVAUAUBUOUMVCUSUCBUDHZDUTANUMUNUEUNVCUMVDTUOUSBSLHZVEUOURBSLUNUMVCURBN
    VDABCUFRUKUNVFVEDUMBUGTUHAUSBCUIUJUL $.

  $( The "repeated symbol word" of length 1.  (Contributed by AV,
     4-Nov-2018.) $)
  repsw1 $p |- ( S e. V -> ( S repeatS 1 ) = <" S "> ) $=
    ( wcel c1 creps co cc0 cop csn cs1 cfzo cxp wceq 1nn0 repsconst mpan2 fzo01
    cn0 a1i cvv xpeq1d c0ex xpsng mpan 3eqtrd s1val eqtr4d ) ABCZADEFZGAHIZAJUH
    UIGDKFZAIZLZGIZULLZUJUHDRCUIUMMNADBOPUHUKUNULUKUNMUHQSUAGTCUHUOUJMUBGATBUCU
    DUEABUFUG $.

  ${
    $d L x $.  $d M x $.  $d N x $.  $d S x $.  $d V x $.
    $( A subword of a "repeated symbol word" is again a "repeated symbol word".
       The assumption ` N <_ L ` is required, because otherwise ` ( L < N ) ` :
       ` ( ( S repeatS L ) substr <. M , N >. ) = (/) ` , but for M < N
       ` ( S repeatS ( N - M ) ) ) =/= (/) ` !  The proof is relatively long
       because the border cases ( ` M = N ` , ` -. ( M ..^ N ) C_ ( 0 ..^ L ) `
       must have been considered.  (Contributed by AV, 6-Nov-2018.) $)
    repswswrd $p |- ( ( ( S e. V /\ L e. NN0 ) /\ ( M e. NN0 /\ N e. NN0 )
                        /\ N <_ L ) -> ( ( S repeatS L ) substr <. M , N >. )
                                       = ( S repeatS ( N - M ) ) ) $=
      ( vx wcel cn0 wa wbr co cc0 c0 wceq syl wi wb adantl impcom adantr cle cv
      w3a creps cop csubstr cfzo cdm wss cmin caddc cfv cmpt cif cword cz repsw
      nn0z anim12i 3anass sylibr 3adant3 swrdval wf repsf 3ad2ant1 sseq2d ifbid
      fdmd biimpac 0ss eqsstrdi iftrue cr nn0re anim12ci suble0 biimparc zsubcl
      fzon 0z syl2anr sylancr mpbid mpteq1d oveq2 oveq2d cc nn0cn subidd repsw0
      mpt0 ad2antrr eqtrd sylan9eqr ex com12 wn wnel elnn0z subge0 biimprd expd
      letri3 sylbid com23 simplbiim df-nel repsundef pm2.61i eqtr4id 3eqtrd clt
      con3d expcom ltnle bicomd 3ad2ant2 0zd simpr ssfzo12bi syl3anc simpl1l cn
      simpl1r nn0addcl elfzonn0 impel df-3an ltletr 0red zre impancom sylbi imp
      lelttr sylanbrc elfzo0 ad2antrl pm2.24 syld expcomd elnnz nn0readdcl 3jca
      3impia ltaddsubd idd sylbird impac sylc exp31 3adant2 syl3anbrc repswsymb
      3imp mpteq2dva ltle sylibrd jca reps eqcomd iffalse notbid ianor 3ad2ant3
      wo nn0ge0 jaoi eqtr4d pm2.61ian pm2.61d ) AEGZBHGZIZCHGZDHGZIZDBUAJZUCZAB
      UDKZCDUEUFKZCDUGKZUWAUHZUIZFLDCUJKZUGKZFUBZCUKKZUWAULZUMZMUNZUWCLBUGKZUIZ
      UWKMUNZAUWFUDKZUVTUWAEUOZGZCUPGZDUPGZUCZUWBUWLNUVOUVRUXAUVSUVOUVRIZUWRUWS
      UWTIZIUXAUVOUWRUVRUXCABEUQUVPUWSUVQUWTCURZDURZUSZUSUWRUWSUWTUTVAVBFUWACDU
      WQVCOUVTUWEUWNUWKMUVTUWDUWMUWCUVTUWMEUWAUVOUVRUWMEUWAVDUVSABEVEVFVIVGVHUV
      TDCUAJZUWOUWPNZUVOUVRUXGUXHPUVSUXGUXBUXHUXGUXBIZUWOUWKFMUWJUMZUWPUXIUWNUW
      OUWKNZUXIUWCMUWMUXBUXGUWCMNZUVRUXGUXLQZUVOUVRUXCUXMUXFCDVTORVJUWMVKVLUWNU
      WKMVMZOUXIFUWGMUWJUXIUWFLUAJZUWGMNZUXBUXOUXGUXBDVNGZCVNGZIZUXOUXGQUVRUXSU
      VOUVPUXRUVQUXQCVOZDVOZVPZRDCVQOVRUXILUPGZUWFUPGZUXOUXPQWAUXBUYDUXGUVRUYDU
      VOUVQUWTUWSUYDUVPUXEUXDDCVSWBZRRLUWFVTWCWDWEUXIUXJMUWPFUWJWLCDNZUXIUWPMNZ
      PUXIUYFUYGUXBUYFUYGPUXGUXBUYFUYGUYFUXBUWPADDUJKZUDKZMUYFUWFUYHAUDCDDUJWFW
      GUXBUYIALUDKZMUXBUYHLAUDUVRUYHLNUVOUVRDUVQDWHGUVPDWIRWJRWGUVMUYJMNUVNUVRA
      EWKWMWNWOWPRWQUYFWRZUXIUYGUYKUXIIZUWFHWSZUYGUYLUWFHGZWRZUYMUXIUYKUYOUXIUY
      NUYFUYNUXIUYFUYNUYDLUWFUAJZUXIUYFPUWFWTZUXIUYPUYFUXBUXGUYPUYFPZUVRUXGUYRP
      UVOUVRUYPUXGUYFUVRUYPCDUAJZUXGUYFPUVQUXQUXRUYPUYSQZUVPUYAUXTDCXAZWBUVRUYS
      UXGUYFUVRUYFUYSUXGIZUVRUXRUXQIZUYFVUBQUVPUXRUVQUXQUXTUYAUSZCDXDOXBXCXEXFR
      SWQXGWQXNSUWFHXHVAAUWFXIOWPXJXKXLXOVBUVTUXGWRZCDXMJZUXHUVRUVOVUEVUFQUVSUV
      RVUFVUEUVRVUCVUFVUEQVUDCDXPOXQXRUVTVUFUXHUWNUVTVUFIZUXHUWNVUGIUWOUWKUWPUW
      NUXKVUGUXNTVUGUWNUWKUWPNZVUGUWNLCUAJZUVSIZVUHVUGUXCUYCBUPGZIZVUFUWNVUJQUV
      TUXCVUFUVRUVOUXCUVSUXFXRTUVTVULVUFUVOUVRVULUVSUVMUYCUVNVUKUVMXSBURZUSVFTU
      VTVUFXTCDLBYAYBZVUGVUJVUHVUGVUJIZUWKFUWGAUMZUWPVUOFUWGUWJAVUOUWHUWGGZIZUV
      MUVNUWIUWMGZUWJANVUGUVMVUJVUQUVMUVNUVRUVSVUFYCZWMVUGUVNVUJVUQUVMUVNUVRUVS
      VUFYEWMVURUWIHGZBYDGZUWIBXMJZVUSVUOUWHHGZVVAVUQUVTVVDVVAPZVUFVUJUVRUVOVVE
      UVSUVPVVEUVQVVDUVPVVAUWHCYFXOTXRWMUWHUWFYGYHVUGVVBVUJVUQVUGVUKLBXMJZVVBUV
      TVUKVUFUVOUVRVUKUVSUVNVUKUVMVUMRVFTUVTVUFVVFUVOUVRUVSVUFVVFPUXBVUFUVSVVFU
      XBVUFUVSIZCBXMJZVVFUXBUXRUXQBVNGZUCZVVGVVHPUXBVUCVVIIVVJUVOVVIUVRVUCUVNVV
      IUVMBVOZRZVUDVPUXRUXQVVIYIVACDBYJOUVRUVOVVHVVFPZUVPUVOVVMPZUVQUVPUWSVUIIV
      VNCWTUWSUVOVUIVVMUWSUVOIZVUIVVHVVFVVOLVNGUXRVVIVUIVVHIVVFPVVOYKUWSUXRUVOC
      YLTUVOVVIUWSVVLRLCBYPYBXCYMYNTSUUAUUBUUFYOBUUCYQWMVUQVUOVVCVUQVVDUWFYDGZU
      WHUWFXMJZUCVUOVVCPZUWHUWFYRVVDVVQVVRVVPVUOVVDVVQIZVVCUVTVVSVVCPZVUFVUJUVO
      UVRUVSVVTUVNUVRUVSVVTPZPUVMUVNUVRVWAUVNUVRIZVVSUVSVVCVWBVVSUVSVVCVWBVVSIZ
      UVSIUWIVNGZUXQVVIUCZUWIDXMJZUVSIVVCVWCVWEUVSVVSVWBVWEVVDVWBVWEPVVQVVDVWBV
      WEVVDVWBIZVWDUXQVVIVWBVVDVWDUVPVVDVWDPUVNUVQVVDUVPVWDUWHCUUDXOYSSVWBUXQVV
      DUVRUXQUVNUVQUXQUVPUYARRRZUVNVVIVVDUVRVVKYSUUEWPTSTVWCUVSVWFVVSVWBUVSVWFP
      ZVVDVWBVVQVWIVWGVVQVWFVWIVWGUWHCDVVDUWHVNGVWBUWHVOTVWBUXRVVDUVPUXRUVNUVQU
      XTYSRVWHUUGVWGUVSVWFVWFVWGUVSVWFVWFPVWGUVSIVWFUUHWPXFUUIYMSUUJUWIDBYJUUKU
      ULXFWPRUUPWMWQUUMYNSUWIBYRUUNAUWIBEUUOYBUUQVUOUVMUYNIZVUPUWPNVUGVWJVUJVUG
      UVMUYNVUTVUGUYDUYPUYNUVTUYDVUFUVRUVOUYDUVSUYEXRTUVTVUFUYPUVTVUFUYSUYPUVTV
      UCVUFUYSPUVRUVOVUCUVSVUDXRCDUUROUVTUXSUYTUVRUVOUXSUVSUYBXRVUAOUUSYOUYQYQU
      UTTVWJUWPVUPFAUWFEUVAUVBOWNWPXESWNUWNWRZVUGIUWOMUWPVWKUWOMNVUGUWNUWKMUVCT
      VUGVWKUYGVUGVWKVUJWRZUYGVUGUWNVUJVUNUVDVWLVUGUYGVWLVUIWRZUVSWRZUVGVUGUYGP
      ZVUIUVSUVEVWMVWOVWNVUGVWMUYGUVTVWMUYGPZVUFUVRUVOVWPUVSUVPVWPUVQUVPVUIVWPC
      UVHVUIUYGYTOTXRTWQVUGVWNUYGUVTVWNUYGPZVUFUVSUVOVWQUVRUVSUYGYTUVFTWQUVIYNW
      QXESUVJUVKWPXEUVLXL $.
  $}

  ${
    $d L i $.  $d N i $.  $d S i $.  $d V i $.
    $( A prefix of a repeated symbol word is a repeated symbol word.
       (Contributed by AV, 11-May-2020.) $)
    repswpfx $p |- ( ( S e. V /\ N e. NN0 /\ L e. ( 0 ... N ) )
                      -> ( ( S repeatS N ) prefix L ) = ( S repeatS L ) ) $=
      ( vi wcel cn0 cc0 cfz co creps wceq chash cfv repsw wa cuz syl3anc adantr
      cfzo w3a cpfx cv wral cword 3adant3 repswlen oveq2d eleq2d pfxlen syl2anc
      biimp3ar elfznn0 sylan2 3adant2 eqtr4d simpl1 simpl2 wss elfzuz3 3ad2ant3
      fveq2d eleqtrrd fzoss2 sselda repswsymb biimpa pfxfv 3eqtr4d ralrimiva wb
      syl pfxcl eqwrd 3imp3i2an mpbir2and ) ADFZCGFZBHCIJZFZUAZACKJZBUBJZABKJZL
      ZWCMNZWDMNZLZEUCZWCNZWIWDNZLZEHWFTJZUDZWAWFBWGWAWBDUEZFZBHWBMNZIJZFZWFBLV
      QVRWPVTACDOUFZVQVRWSVTVQVRPZWRVSBXAWQCHIACDUGUHUIULZDWBBUJUKZVQVTWGBLZVRV
      TVQBGFZXDBCUMZABDUGUNUOUPWAWLEWMWAWIWMFZPZWIWBNZAWJWKXHVQVRWIHCTJZFXIALVQ
      VRVTXGUQZVQVRVTXGURWAWMXJWIWACWFQNZFWMXJUSWACBQNZXLVTVQCXMFVRBHCUTVAWAWFB
      QXCVBVCWFHCVDVLVEAWICDVFRXHWPWSWIHBTJZFZWJXILWAWPXGWTSWAWSXGXBSWAXGXOWAWM
      XNWIWAWFBHTXCUHUIVGZWIBDWBVHRXHVQXEXOWKALXKWAXEXGVTVQXEVRXFVASXPAWIBDVFRV
      IVJVQVRVTWCWOFZWDWOFZWEWHWNPVKWAWPXQWTDWBBVMVLVTVQXEXRXFABDOUNDDWCEWDVNVO
      VP $.
  $}

  ${
    $d M x $.  $d N x $.  $d S x $.  $d V x $.
    $( The concatenation of two "repeated symbol words" with the same symbol is
       again a "repeated symbol word".  (Contributed by AV, 4-Nov-2018.) $)
    repswccat $p |- ( ( S e. V /\ N e. NN0 /\ M e. NN0 )
                      -> ( ( S repeatS N ) ++ ( S repeatS M ) )
                         = ( S repeatS ( N + M ) ) ) $=
      ( vx wcel cn0 cc0 creps co cfv caddc cfzo cmin wceq oveq2d wa adantr cvv
      wi w3a chash cv cif cconcat repswlen 3adant3 3adant2 oveq12d simp1 simpl2
      cmpt eleq2d biimpa adantlr repswsymb syl wn ad2antrr simpll3 jca cz simpr
      3jca anim1i anim12i fzocatel syl2anc exp31 3adant1 oveq12 wb oveq2 notbid
      nn0z eleq1d imbi12d syl5ibr mpcom syl3anc ifeqda mpteq12dva ovex ccatfval
      imp31 pm3.2i mp1i nn0addcl reps 3eqtr4d ) ADFZCGFZBGFZUAZEHACIJZUBKZABIJZ
      UBKZLJZMJZEUCZHWPMJZFZXAWOKZXAWPNJZWQKZUDZULZEHCBLJZMJZAULZWOWQUEJZAXIIJZ
      WNEWTXGXJAWNWSXIHMWNWPCWRBLWKWLWPCOZWMACDUFUGZWKWMWRBOZWLABDUFUHZUIPWNXAW
      TFZQZXCXDXFAXSXCQWKWLXAHCMJZFZUAZXDAOWNXCYBXRWNXCQWKWLYAWNWKXCWKWLWMUJZRW
      KWLWMXCUKWNXCYAWNXBXTXAWNWPCHMXOPUMUNVDUOAXACDUPUQXSXCURZQWKWMXEHBMJZFZXF
      AOWNWKXRYDYCUSWKWLWMXRYDUTWNXRYDYFXNXPQZWNXRYDYFTZTZWNXNXPXOXQVAWNYIYGXAX
      JFZYAURZXACNJZYEFZTZTZWLWMYOWKWLWMQZYJYKYMYPYJQZYKQYJYKQCVBFZBVBFZQZYMYQY
      JYKYPYJVCVEYPYTYJYKWLYRWMYSCVOBVOVFUSXACBVGVHVIVJYGXRYJYHYNYGWTXJXAYGWSXI
      HMWPCWRBLVKPUMYGYDYKYFYMXNYDYKVLXPXNXCYAXNXBXTXAWPCHMVMUMVNRXNYFYMVLXPXNX
      EYLYEWPCXANVMVPRVQVQVRVSWEAXEBDUPVTWAWBWOSFZWQSFZQXLXHOWNUUAUUBACIWCABIWC
      WFEWOWQSSWDWGWNWKXIGFZXMXKOYCWLWMUUCWKCBWHVJEAXIDWIVHWJ $.
  $}

  ${
    $d N x $.  $d S x $.  $d V x $.
    $( The reverse of a "repeated symbol word".  (Contributed by AV,
       6-Nov-2018.) $)
    repswrevw $p |- ( ( S e. V /\ N e. NN0 )
                      -> ( reverse ` ( S repeatS N ) ) = ( S repeatS N ) ) $=
      ( vx wcel wa cc0 creps co cfv cfzo c1 cmin cmpt wceq adantr oveq1d wi cvv
      cc cn0 chash cv creverse repswlen oveq2d mpteq1d simpll simplr ubmelm1fzo
      cz elfzoelz nn0cn ad2antll zcn 1cnd sub32d eleq1d biimpd syl mpid eqeltrd
      ex impcom repswsymb syl3anc mpteq2dva eqtrd ovex revval mp1i reps 3eqtr4d
      ) ACEZBUAEZFZDGABHIZUBJZKIZVRLMIZDUCZMIZVQJZNZDGBKIZANZVQUDJZVQVPWDDWEWCN
      WFVPDVSWEWCVPVRBGKABCUEZUFUGVPDWEWCAVPWAWEEZFZVNVOWBWEEWCAOVNVOWIUHVNVOWI
      UIWJWBBLMIZWAMIZWEWJVTWKWAMWJVRBLMVPVRBOWIWHPQQWIVPWLWEEZWIVPBWAMILMIZWEE
      ZWMWABUJWIWAUKEZVPWOWMRZRWAGBULWPVPWQWPVPFZWOWMWRWNWLWEWRBWALVOBTEWPVNBUM
      UNWPWATEVPWAUOPWRUPUQURUSVCUTVAVDVBAWBBCVEVFVGVHVQSEWGWDOVPABHVIDSVQVJVKD
      ABCVLVM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cyclical shifts of words
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  A word/string can be regarded as "necklace" by connecting the two ends of the
  word/string together (see Wikipedia "Necklace (combinatorics)",
  ~ https://en.wikipedia.org/wiki/Necklace_(combinatorics) ).

  Two strings are regarded as the same necklace if one string can be
  rotated/circularly shifted/cyclically shifted to obtain the second string.
  To cope with words in the sense of necklaces, the rotation/cyclic shift
  ` cyclShift ` is defined as the basic operation, see ~ df-csh . The main
  theorems in this section are about counting the number of different necklaces
  resulting from cyclically shifting a given word, see ~ cshwrepswhash1 for
  words consisting of identical symbols and ~ cshwshash for words having
  lengths which are prime numbers.

$)

  $c cyclShift $.
  $c cyclShiftOLD $.

  $( Extend class notation with Cyclical Shifts. $)
  ccsh $a class cyclShift $.

  ${
    $d f l n w $.
    $( Perform a cyclical shift for an arbitrary class.  Meaningful only for
       words ` w e. Word S ` or at least functions over half-open ranges of
       nonnegative integers.  (Contributed by Alexander van der Vekens,
       20-May-2018.)  (Revised by Mario Carneiro/Alexander van der Vekens/
       Gerard Lang, 17-Nov-2018.)  (Revised by AV, 4-Nov-2022.) $)
    df-csh $a |- cyclShift
                 = ( w e. { f | E. l e. NN0 f Fn ( 0 ..^ l ) } , n e. ZZ
                     |-> if ( w = (/) , (/) ,
                         ( ( w substr <. ( n mod ( # ` w ) ) , ( # ` w ) >. )
                           ++ ( w prefix ( n mod ( # ` w ) ) ) ) ) ) $.
  $}

  ${
    $d N n w $.  $d W n w $.  $d f l n w $.
    $( Perform a cyclical shift for a function over a half-open range of
       nonnegative integers.  (Contributed by AV, 20-May-2018.)  (Revised by
       AV, 17-Nov-2018.)  (Revised by AV, 4-Nov-2022.) $)
    cshfn $p |- ( ( W e. { f | E. l e. NN0 f Fn ( 0 ..^ l ) } /\ N e. ZZ )
                  -> ( W cyclShift N ) = if ( W = (/) , (/) ,
                           ( ( W substr <. ( N mod ( # ` W ) ) , ( # ` W ) >. )
                             ++ ( W prefix ( N mod ( # ` W ) ) ) ) ) ) $=
      ( vw vn cv co c0 wceq cfv cmo cop csubstr cpfx cconcat cif adantr oveq12d
      chash cc0 cfzo wfn cn0 wrex cz ccsh wa wb eqeq1 simpl simpr fveq2 opeq12d
      cab ifbieq2d df-csh 0ex ovex ifex ovmpoa ) EFCBAGUADGUBHUCDUDUEAUOUFEGZIJ
      ZIVBFGZVBTKZLHZVEMZNHZVBVFOHZPHZQCIJZICBCTKZLHZVLMZNHZCVMOHZPHZQUGVBCJZVD
      BJZUHZVCVKVJVQIVRVCVKUIVSVBCIUJRVTVHVOVIVPPVTVBCVGVNNVRVSUKZVTVFVMVEVLVTV
      DBVEVLLVRVSULVRVEVLJVSVBCTUMRZSZWBUNSVTVBCVFVMOWAWCSSUPEAFDUQVKIVQURVOVPP
      USUTVA $.
  $}

  ${
    $d V l $.  $d W l w $.
    $( Perform a cyclical shift for a word.  (Contributed by Alexander van der
       Vekens, 20-May-2018.)  (Revised by AV, 12-Oct-2022.) $)
    cshword $p |- ( ( W e. Word V /\ N e. ZZ )
                    -> ( W cyclShift N )
                       = ( ( W substr <. ( N mod ( # ` W ) ) , ( # ` W ) >. )
                           ++ ( W prefix ( N mod ( # ` W ) ) ) ) ) $=
      ( vw vl wcel wa co c0 wceq csubstr cpfx cconcat wfn cn0 wrex adantr oveq1
      cv eqtrdi cword cz ccsh chash cfv cmo cop cif cc0 cab wf iswrd ffn reximi
      cfzo sylbi fneq1 rexbidv elabg mpbird cshfn sylan iftrue oveq12d ccatidid
      swrd0 pfx0 eqtr2di eqtrd wn iffalse pm2.61ian ) CBUAZFZAUBFZGZCAUCHZCIJZI
      CACUDUEZUFHZVSUGZKHZCVTLHZMHZUHZWDVNCDSZUIESUOHZNZEOPZDUJFZVOVQWEJVNWJCWG
      NZEOPZVNWGBCUKZEOPWLBCEULWMWKEOWGBCUMUNUPWIWLDCVMWFCJWHWKEOWGWFCUQURUSUTD
      ACEVAVBVRVPWEWDJZVRVPGZWEIWDVRWEIJVPVRIWDVCQWOWDIIMHZIVRWDWPJVPVRWBIWCIMV
      RWBIWAKHICIWAKRVTVSVFTVRWCIVTLHICIVTLRVTVGTVDQVEVHVIVRVJWNVPVRIWDVKQVLVI
      $.
  $}

  ${
    $d f l n w $.
    $( A cyclical shift is the empty set if the number of shifts is not an
       integer.  (Contributed by Alexander van der Vekens, 21-May-2018.)
       (Revised by AV, 17-Nov-2018.) $)
    cshnz $p |- ( -. N e. ZZ -> ( W cyclShift N ) = (/) ) $=
      ( vf vl vw vn cz wcel wn ccsh cdm cv cc0 cfzo co wfn cn0 wceq c0 cconcat
      wrex cab cxp wa chash cfv cmo cop csubstr cpfx cif df-csh ovex ifex dmmpo
      0ex id intnand ndmovg sylancr ) AGHZIZJKCLMDLNOPDQUACUBZGUCRBVCHZVAUDIBAJ
      OSREFVCGELZSRZSVEFLVEUEUFZUGOZVGUHUIOZVEVHUJOZTOZUKJECFDULVFSVKUPVIVJTUMU
      NUOVBVAVDVBUQURBAVCGJUSUT $.

    $d N n w $.
    $( Cyclically shifting an empty set/word always results in the empty
       word/set.  (Contributed by AV, 25-Oct-2018.)  (Revised by AV,
       17-Nov-2018.) $)
    0csh0 $p |- ( (/) cyclShift N ) = (/) $=
      ( vw vn vf vl cz wcel c0 ccsh co wceq cv cc0 cfzo wfn cn0 wrex cvv a1i id
      cab cfv cmo cop csubstr cpfx cconcat cif cmpo df-csh iftrue ad2antrl 0nn0
      chash wf f0 fzo0 eqcomi fneq2i sylib ax-mp wb oveq2 fneq2d adantl rspcedv
      ffn mp2 0ex fneq1 rexbidv elab mpbir ovmpod cshnz pm2.61i ) AFGZHAIJHKVQB
      CHADLZMELZNJZOZEPQZDUAZFBLZHKZHWDCLZWDUNUBZUCJZWGUDUEJWDWHUFJUGJZUHZHIRIB
      CWCFWJUIKVQBDCEUJSWEWJHKVQWFAKWEHWIUKULHWCGZVQWKHVTOZEPQZMPGZHMMNJZOZWMUM
      HRHUOZWPRUPWQHHOWPHRHVGHWOHWOHMUQURUSUTVAWNWLWPEMPWNTVSMKZWLWPVBWNWRVTWOH
      VSMMNVCVDVEVFVHWBWMDHVIVRHKWAWLEPVTVRHVJVKVLVMSVQTHRGVQVISVNAHVOVP $.
  $}

  $( A word cyclically shifted by 0 is the word itself.  (Contributed by AV,
     16-May-2018.)  (Revised by AV, 20-May-2018.)  (Revised by AV,
     26-Oct-2018.) $)
  cshw0 $p |- ( W e. Word V -> ( W cyclShift 0 ) = W ) $=
    ( cword wcel cc0 ccsh co wceq wi c0 0csh0 wne wa cop csubstr cconcat adantr
    cpfx oveq2d oveq12d oveq1 id 3eqtr3a a1d chash cfv cmo cz 0z mpan2 necom cn
    cshword crp lennncl nnrp 0mod opeq1d sylan2b eqtrd lencl pfxval mpdan pfxid
    3syl cn0 eqtr3d pfx00 a1i ccatrid 3eqtrd expcom pm2.61ine ) BACZDZBEFGZBHZI
    JBJBHZVQVOVRJEFGJVPBEKJBEFUAVRUBUCUDVOJBLZVQVOVSMZVPBEBUEUFZNZOGZBERGZPGZBJ
    PGZBVTVPBEWAUGGZWANZOGZBWGRGZPGZWEVOVPWKHZVSVOEUHDWLUIEABUMUJQVSVOBJLZWKWEH
    ZJBUKVOWMMWAULDWAUNDZWNABUOWAUPWOWIWCWJWDPWOWHWBBOWOWGEWAWAUQZURSWOWGEBRWPS
    TVEUSUTVTWCBWDJPVOWCBHVSVOBWARGZWCBVOWAVFDWQWCHABVABWAVNVBVCABVDVGQWDJHVTBV
    HVITVOWFBHVSABVJQVKVLVM $.

  $( Cyclically shifting a word is invariant regarding modulo the word's
     length.  (Contributed by AV, 26-Oct-2018.)  (Proof shortened by AV,
     16-Oct-2022.) $)
  cshwmodn $p |- ( ( W e. Word V /\ N e. ZZ ) -> ( W cyclShift N )
                                     = ( W cyclShift ( N mod ( # ` W ) ) ) ) $=
    ( wcel cz wa ccsh co cmo wceq wi c0 0csh0 oveq1 cop csubstr cpfx cconcat ex
    oveq2d cword cfv eqtrdi 3eqtr4a a1d wne cn lennncl adantr impcom simprr crp
    chash cr nnrp modabs2 syl2anr opeq1d oveq12d syl2anc simprl zmodcld cshword
    zre nn0zd adantl 3eqtr4rd pm2.61ine ) CBUADZAEDZFZCAGHZCACUMUBZIHZGHZJZKCLC
    LJZVPVKVQLAGHLVLVOAMCLAGNVQVOLVNGHLCLVNGNVNMUCUDUECLUFZVKVPVRVKFZCVNVMIHZVM
    OZPHZCVTQHZRHZCVNVMOZPHZCVNQHZRHZVOVLVSVMUGDZVJWDWHJVKVRWIVIVRWIKVJVIVRWIBC
    UHSUIUJZVRVIVJUKZWIVJFZWBWFWCWGRWLWAWECPWLVTVNVMVJAUNDVMULDVTVNJWIAVDVMUOAV
    MUPUQZURTWLVTVNCQWMTUSUTVSVIVNEDVOWDJVRVIVJVAVSVNVSAVMWKWJVBVEVNBCVCUTVKVLW
    HJVRABCVCVFVGSVH $.

  $( Cyclically shifting a word is invariant regarding subtraction of the
     word's length.  (Contributed by AV, 3-Nov-2018.) $)
  cshwsublen $p |- ( ( W e. Word V /\ N e. ZZ )
                  -> ( W cyclShift N ) = ( W cyclShift ( N - ( # ` W ) ) ) ) $=
    ( cword wcel cz wa ccsh co chash cmin wceq wi cc0 adantl oveq2d ex cshwmodn
    cmo syl cfv oveq2 zcn subid1d sylan9eq eqcomd wne crp zre cn0 lencl elnnne0
    cr nnrp sylbir adantr impcom modeqmodmin syl2an2 simpl zsubcl sylan2 ancoms
    cn nn0zd jca 3eqtr4d pm2.61ine ) CBDEZAFEZGZCAHIZCACJUAZKIZHIZLZMVMNVMNLZVK
    VPVQVKGZAVNCHVRVNAVQVKVNANKIZAVMNAKUBVJVSALVIVJAAUCUDOUEUFPQVMNUGZVKVPVTVKG
    ZCAVMSIZHIZCVNVMSIZHIZVLVOWAWBWDCHVKAUMEZVTVMUHEZWBWDLVJWFVIAUIOVKVTWGVIVTW
    GMZVJVIVMUJEZWHBCUKZWIVTWGWIVTGVMVDEWGVMULVMUNUOQTUPUQAVMURUSPVKVLWCLVTABCR
    OWAVIVNFEZGZVOWELVKWLVTVKVIWKVIVJUTVJVIWKVIVJVMFEWKVIVMWJVEAVMVAVBVCVFOVNBC
    RTVGQVH $.

  $( A word cyclically shifted by its length is the word itself.  (Contributed
     by AV, 16-May-2018.)  (Revised by AV, 20-May-2018.)  (Revised by AV,
     26-Oct-2018.) $)
  cshwn $p |- ( W e. Word V -> ( W cyclShift ( # ` W ) ) = W ) $=
    ( cword wcel chash cfv ccsh co wceq wi c0 0csh0 oveq1 id 3eqtr3a a1d wne wa
    cc0 adantl cmo cz lencl nn0zd cshwmodn mpdan cn necom lennncl sylan2b nnrpd
    crp ancoms modid0 syl oveq2d cshw0 3eqtrd ex pm2.61ine ) BACDZBBEFZGHZBIZJK
    BKBIZVDVAVEKVBGHKVCBVBLKBVBGMVENOPKBQZVAVDVFVARZVCBVBVBUAHZGHZBSGHZBVAVCVII
    ZVFVAVBUBDVKVAVBABUCUDVBABUEUFTVGVHSBGVGVBULDZVHSIVAVFVLVAVFRVBVFVABKQVBUGD
    KBUHABUIUJUKUMVBUNUOUPVAVJBIVFABUQTURUSUT $.

  $( A cyclically shifted word is a word over the same set as for the original
     word.  (Contributed by AV, 16-May-2018.)  (Revised by AV, 21-May-2018.)
     (Revised by AV, 27-Oct-2018.) $)
  cshwcl $p |- ( W e. Word V -> ( W cyclShift N ) e. Word V ) $=
    ( cz wcel cword ccsh co wi wa chash cfv cmo cop csubstr cpfx cconcat swrdcl
    cshword pfxcl ccatcl syl2anc adantr eqeltrd expcom wn c0 cshnz eqeltrdi a1d
    wrd0 pm2.61i ) ADEZCBFZEZCAGHZUNEZIUOUMUQUOUMJUPCACKLZMHZURNOHZCUSPHZQHZUNA
    BCSUOVBUNEZUMUOUTUNEVAUNEVCBCUSURRBCUSTBUTVAUAUBUCUDUEUMUFZUQUOVDUPUGUNACUH
    BUKUIUJUL $.

  $( The length of a cyclically shifted word is the same as the length of the
     original word.  (Contributed by AV, 16-May-2018.)  (Revised by AV,
     20-May-2018.)  (Revised by AV, 27-Oct-2018.)  (Proof shortened by AV,
     16-Oct-2022.) $)
  cshwlen $p |- ( ( W e. Word V /\ N e. ZZ )
                  -> ( # ` ( W cyclShift N ) ) = ( # ` W ) ) $=
    ( wcel wa ccsh co chash cfv wceq wi c0 fveq2d caddc adantr ex syl ancoms cc
    nn0cnd cword cz 0csh0 oveq1 id 3eqtr4a a1d wne cmo cop csubstr cpfx cconcat
    cshword swrdcl pfxcl ccatlen syl2anc ad2antrr cn lennncl pm3.21 com24 imp31
    pm2.43i cmin cc0 cfz simpl zmodfzp1 adantl cn0 lencl nn0fz0 swrdlen syl3anc
    sylib pfxlen sylan2 oveq12d zmodcl npcan syl2an 3eqtrd expcom pm2.61ine
    eqtrd ) CBUAZDZAUBDZEZCAFGZHIZCHIZJZKCLCLJZWOWKWPWLCHWPLAFGLWLCAUCCLAFUDWPU
    EUFMUGWKCLUHZWOWKWQEZWMCAWNUIGZWNUJUKGZCWSULGZUMGZHIZWTHIZXAHIZNGZWNWKWMXCJ
    WQWKWLXBHABCUNMOWIXCXFJZWJWQWIWTWHDXAWHDXGBCWSWNUOBCWSUPBBWTXAUQURUSWRWIWNU
    TDZWJEZEZXFWNJWIWJWQXJWIWJWQXJKKWIWQWJWIXJWIWQWJWIXJKZKZWIWQEXHXLBCVAXHWJXK
    XIWIVBPQPVCVEVDXJXFWNWSVFGZWSNGZWNXJXDXMXEWSNXJWIWSVGWNVHGZDZWNXODZXDXMJWIX
    IVIXIXPWIWJXHXPAWNVJRZVKWIXQXIWIWNVLDXQBCVMZWNVNVQOBCWSWNVOVPXIWIXPXEWSJXRB
    CWSVRVSVTWIWNSDWSSDZXNWNJXIWIWNXSTWJXHXTWJXHEWSAWNWATRWNWSWBWCWGQWDWEWF $.

  $( A cyclically shifted word is a function from a half-open range of integers
     of the same length as the word as domain to the set of symbols for the
     word.  (Contributed by AV, 12-Nov-2018.) $)
  cshwf $p |- ( ( W e. Word A /\ N e. ZZ )
                 -> ( W cyclShift N ) : ( 0 ..^ ( # ` W ) ) --> A ) $=
    ( cword wcel cz wa cc0 ccsh co chash cfv cfzo wf cshwcl wrdf adantr cshwlen
    syl oveq2d feq2d mpbid ) CADZEZBFEZGZHCBIJZKLZMJZAUGNZHCKLZMJZAUGNUDUJUEUDU
    GUCEUJBACOAUGPSQUFUIULAUGUFUHUKHMBACRTUAUB $.

  $( A cyclically shifted word is a function with a half-open range of integers
     of the same length as the word as domain.  (Contributed by AV,
     12-Nov-2018.) $)
  cshwfn $p |- ( ( W e. Word V /\ N e. ZZ )
                 -> ( W cyclShift N ) Fn ( 0 ..^ ( # ` W ) ) ) $=
    ( cword wcel cz wa cc0 chash cfv cfzo co ccsh cshwf ffnd ) CBDEAFEGHCIJKLBC
    AMLBACNO $.

  $( The range of a cyclically shifted word is a subset of the set of symbols
     for the word.  (Contributed by AV, 12-Nov-2018.) $)
  cshwrn $p |- ( ( W e. Word V /\ N e. ZZ ) -> ran ( W cyclShift N ) C_ V ) $=
    ( cword wcel cz wa cc0 chash cfv cfzo co ccsh cshwf frnd ) CBDEAFEGHCIJKLBC
    AMLBACNO $.

  $( The symbol at a given index of a cyclically shifted nonempty word is the
     symbol at the shifted index of the original word.  (Contributed by AV,
     13-May-2018.)  (Revised by AV, 21-May-2018.)  (Revised by AV,
     30-Oct-2018.)  (Proof shortened by AV, 12-Oct-2022.) $)
  cshwidxmod $p |- ( ( W e. Word V /\ N e. ZZ /\ I e. ( 0 ..^ ( # ` W ) ) )
                    -> ( ( W cyclShift N ) ` I )
                         = ( W ` ( ( I + N ) mod ( # ` W ) ) ) ) $=
    ( wcel cz cc0 cfv cfzo co w3a caddc wceq wi wbr wa cmin adantr adantl cr cn
    cword chash cmo cn0 clt elfzo0 wne nnne0 eqneqall syl5com 3ad2ant2 3ad2ant3
    sylbi lencl elnnne0 cop csubstr cconcat simprl cshword sylan2 fveq1d swrdcl
    ccsh cpfx pfxcl cfz simpl anim2i ancomd zmodfzp1 syl nn0fz0 swrdlen syl3anc
    sylib pfxlen eleq2d biimparc ccatval2 syl2an23an ad2antrl oveq2d fveq2d cuz
    oveq12d elfzo2 cle eluz2 nnz zmodcl nn0zd zsubcld adantlr zre nnre resubcld
    wb nn0red subge0 syl2an exbiri com23 imp31 elnn0uz elnn0z bitr3i ltsubadd2d
    sylanbrc syl3anbrc exp31 3adant1 3adant2 expdcom impcom pfxfv elfzoelz zcnd
    imp cc ad2antll nncn nn0cnd subsub3d npcand biimpac modaddmodup sylc 3eqtrd
    ex eqtrd wn notbid ad2antrr ancoms adantrr crp nnrp com12 eleqtrrd ccatval1
    syl2anr simprrr fzonfzoufzol simpll swrdfv syl31anc ad2antlr sylbid pm2.61i
    modlt modaddmodlo exp32 sylbir mpcom 3impib pm2.61dne ) DCUBZEZBFEZAGDUCHZI
    JEZKADBVEJZHZABLJUVBUDJZDHZMZUVBGUVCUUTUVBGMZUVHNZUVAUVCAUEEZUVBUAEZAUVBUFO
    ZKUVJAUVBUGUVLUVKUVJUVMUVLUVBGUHZUVIUVHUVBUIUVHUVBGUJUKULUNUMUUTUVAUVCUVNUV
    HNUUTUVNUVAUVCPZUVHUVBUEEZUUTUVNUVOUVHNZNCDUOZUVPUVNUUTUVQUVPUVNUUTUVQNZUVP
    UVNPUVLUVSUVBUPUUTUVLUVQUUTUVLUVOUVHUUTUVLUVOPZPZUVEADBUVBUDJZUVBUQURJZDUWB
    VFJZUSJZHZUVGUWAAUVDUWEUVTUUTUVAUVDUWEMUVLUVAUVCUTBCDVAVBVCAUVBUWBQJZUWGUWB
    LJZIJZEZUWAUWFUVGMZNUWJUWAUWKUWJUWAPZUWFAUWCUCHZQJZUWDHZAUWGQJZUWDHZUVGUWAU
    WCUUSEZUWDUUSEZUWJAUWMUWMUWDUCHZLJZIJZEZUWFUWOMUUTUWRUVTCDUWBUVBVDZRUUTUWSU
    VTCDUWBVGZRUWAUXCUWJUWAUXBUWIAUWAUWMUWGUXAUWHIUWAUUTUWBGUVBVHJZEZUVBUXFEZUW
    MUWGMZUUTUVTVIZUWAUVAUVLPZUXGUWAUVLUVAUVTUVLUVAPZUUTUVOUVAUVLUVAUVCVIVJZSVK
    BUVBVLZVMZUUTUXHUVTUUTUVPUXHUVRUVBVNVQZRCDUWBUVBVOZVPZUWAUWMUWGUWTUWBLUXRUV
    TUUTUXGUWTUWBMUVTUXKUXGUVTUVLUVAUXMVKZUXNVMCDUWBVRVBWGWGVSVTCUWCUWDAWAWBUWL
    UWNUWPUWDUWLUWMUWGAQUWAUUTUXGUWJUXHUXIUXJUXOUUTUXHUWJUVTUXPWCUXQWBWDWEUWLUW
    QUWPDHZUVGUWAUUTUXGUWJUWPGUWBIJEZUWQUXTMUXJUXOUWAUWJUYAUVTUWJUYANZUUTUVOUVL
    UYBUVAUVLUYBNUVCUWJUVAUVLUYAUWJAUWGWFHEZUWHFEZAUWHUFOZKUXKUYANZAUWGUWHWHUYC
    UYEUYFUYDUYCUYEUYFUYCUWGFEZAFEZUWGAWIOZKUYEUYFNZUWGAWJUYHUYIUYJUYGUYHUYIPZU
    YEUXKUYAUYKUYEPZUXKPUWPGWFHEZUWBFEZUWPUWBUFOZUYAUYKUXKUYMUYEUYKUXKPUWPFEZGU
    WPWIOZUYMUYHUXKUYPUYIUYHUXKPZAUWGUYHUXKVIUXKUYGUYHUXKUVBUWBUVLUVBFEUVAUVBWK
    SUXKUWBBUVBWLZWMZWNSWNWOUYHUYIUXKUYQUYHUXKUYIUYQUYHUXKUYQUYIUYHATEZUWGTEZUY
    QUYIWSUXKAWPZUXKUVBUWBUVLUVBTEUVAUVBWQSUXKUWBUYSWTZWRZAUWGXAXBXCXDXEUYMUWPU
    EEUYPUYQPUWPXFUWPXGXHXJWOUXKUYNUYLUYTSUYKUYEUXKUYOUYKUXKUYEUYOUYKUXKUYOUYEU
    YHUXKUYOUYEWSUYIUYRAUWGUWBUYHVUAUXKVUCRUXKVUBUYHVUESUXKUWBTEUYHVUDSXIWOXCXD
    XEUWPGUWBWHXKXLXMUNXTXNUNXORXPSXPUWPUWBCDXQWBUWLUWPUVFDUWLUWPAUWBLJZUVBQJZU
    VFUVTUWPVUGMUWJUUTUVTAUVBUWBUVCAYAEUVLUVAUVCAAGUVBXRXSYBUVLUVBYAEZUVOUVBYCZ
    RUVTUWBUVTUXKUWBUEEZUXSUYSVMYDYEYBUWLUXKAUWGUVBIJZEZVUGUVFMUVTUXKUWJUUTUXSY
    BUWAUWJVULUWAUWIVUKAUWAUWHUVBUWGIUVTUWHUVBMZUUTUVOUVLVUMUVAUVLVUMNUVCUVAUVL
    VUMUXKUVBUWBUVLVUHUVAVUISUXKUWBUYSYDYFYKRXPSWDVSZYGBAUVBYHYIYLWEYLYJYKUWAUW
    JYMZUWKUWAVUOVULYMZUWKUWAUWJVULVUNYNUWAVUPUWKUWAVUPPZUWFAUWCHZVUFDHZUVGVUQU
    WRUWSAGUWMIJZEUWFVURMUUTUWRUVTVUPUXDYOUUTUWSUVTVUPUXEYOVUQAGUWGIJZVUTUWAVUP
    AVVAEZUVTUYNUWBUVBUFOZUUTUVCVUPVVBNUVLUVAUYNUVCUXLUWBUVAUVLVUJUYSYPWMYQUVOB
    TEZUVBYREVVCUVLUVAVVDUVCBWPRUVBYSBUVBUULUUCUUTUVLUVAUVCUUDAUWBUVBUUEWBXTZVU
    QUWMUWGGIVUQUUTUXGUXHUXIUUTUVTVUPUUFZUWAUXGVUPUXORZUUTUXHUVTVUPUXPYOZUXQVPW
    DUUACCUWCUWDAUUBVPVUQUUTUXGUXHVVBVURVUSMVVFVVGVVHVVECDUWBUVBAUUGUUHVUQVUFUV
    FDVUQUXKVVBVUFUVFMUVTUXKUUTVUPUXSUUIVVEBAUVBUUMYIWEYJYKUUJYTUUKYLUUNYTUUOYK
    XDUUPXDUUQUUR $.

  $( The symbol at a given index of a cyclically shifted nonempty word is the
     symbol at the shifted index of the original word.  (Contributed by AV,
     17-Mar-2021.) $)
  cshwidxmodr $p |- ( ( W e. Word V /\ N e. ZZ /\ I e. ( 0 ..^ ( # ` W ) ) )
                      -> ( ( W cyclShift N ) ` ( ( I - N ) mod ( # ` W ) ) )
                         = ( W ` I ) ) $=
    ( wcel cz cc0 cfv co w3a cmo caddc wceq wa wi sylan ex sylbi impcom 3adant1
    cword chash cfzo cmin ccsh cn cn0 clt wbr elfzo0 3ad2ant1 zsubcl simpl2 jca
    nn0z zmodfzo syl cshwidxmod syld3an3 crp elfzoelz adantl zred nnrp ad3antlr
    cr zre modaddmod syl3anc cc nn0cn ad2antrr npcan syl2an oveq1d zmodidfzoimp
    zcn ad2antlr 3eqtrd fveq2d 3adant3 pm2.43i eqtrd ) DCUAEZBFEZAGDUBHZUCIZEZJ
    ZABUDIZWFKIZDBUEIHZWKBLIWFKIZDHZADHZWDWEWHWKWGEZWLWNMWIWJFEZWFUFEZNZWPWEWHW
    SWDWHWEWSWHAUGEZWRAWFUHUIZJZWEWSOAWFUJZXBWEWSXBWENWQWRXBAFEZWEWQWTWRXDXAAUO
    UKABULZPWTWRXAWEUMUNQRSTWJWFUPUQWKBCDURUSWEWHWNWOMZWDWHWEXFWHWEXFOZWHXBWHXG
    OZXCWTWRXHXAWTWRNZWHXGXIWHNZWEXFXJWENZWMADXKWMWJBLIZWFKIZAWFKIZAXKWJVFEBVFE
    ZWFUTEZWMXMMXKWJXJXDWEWQWHXDXIAGWFVAVBXEPVCWEXOXJBVGVBWRXPWTWHWEWFVDVEWJBWF
    VHVIXKXLAWFKXJAVJEZBVJEXLAMWEWTXQWRWHAVKVLBVQABVMVNVOWHXNAMXIWEAWFVPVRVSVTQ
    QWARWBSTWC $.

  $( The symbol at index 0 of a cyclically shifted nonempty word is the symbol
     at index N (modulo the length of the word) of the original word.
     (Contributed by AV, 30-Oct-2018.) $)
  cshwidx0mod $p |- ( ( W e. Word V /\ W =/= (/) /\ N e. ZZ )
                -> ( ( W cyclShift N ) ` 0 ) = ( W ` ( N mod ( # ` W ) ) ) ) $=
    ( cword wcel c0 wne cz w3a cc0 ccsh co cfv caddc chash cmo cfzo simp1 simp3
    wceq lennncl lbfzo0 sylibr 3adant3 cshwidxmod syl3anc zcn 3ad2ant3 fvoveq1d
    wa cn addid2d eqtrd ) CBDEZCFGZAHEZIZJCAKLMZJANLZCOMZPLCMZAUTPLCMUQUNUPJJUT
    QLEZURVATUNUOUPRUNUOUPSUNUOVBUPUNUOUJUTUKEVBBCUAUTUBUCUDJABCUEUFUQUSAUTCPUP
    UNUSATUOUPAAUGULUHUIUM $.

  $( The symbol at index 0 of a cyclically shifted nonempty word is the symbol
     at index N of the original word.  (Contributed by AV, 15-May-2018.)
     (Revised by AV, 21-May-2018.)  (Revised by AV, 30-Oct-2018.) $)
  cshwidx0 $p |- ( ( W e. Word V /\ N e. ( 0 ..^ ( # ` W ) ) )
                    -> ( ( W cyclShift N ) ` 0 ) = ( W ` N ) ) $=
    ( cword wcel cc0 chash cfv co wa wceq wi c0 cn0 com12 adantl sylbi ad2antll
    wne simpl cfzo ccsh hasheq0 cn clt wbr w3a elfzo0 elnnne0 eqneqall 3ad2ant2
    com13 sylbird com23 imp cz elfzoelz cshwidx0mod syl3anc zmodidfzoimp fveq2d
    cmo eqtrd ex pm2.61ine ) CBDZEZAFCGHZUAIEZJZFCAUBIHZACHZKZLCMVJCMKZVMVGVIVN
    VMLVGVNVIVMVGVNVHFKZVIVMLCVFUCVIVOVGVMVIANEZVHUDEZAVHUEUFZUGVOVGVMLZLZAVHUH
    VQVPVTVRVQVHNEZVHFSZJVTVHUIWBVTWAVOWBVSVSVHFUJOPQUKQULUMUNUOOCMSZVJVMWCVJJZ
    VKAVHVBIZCHZVLWDVGWCAUPEZVKWFKVJVGWCVGVITPWCVJTVIWGWCVGAFVHUQRABCURUSWDWEAC
    VIWEAKWCVGAVHUTRVAVCVDVE $.

  $( The symbol at index ((n-N)-1) of a word of length n (not 0) cyclically
     shifted by N positions is the symbol at index (n-1) of the original word.
     (Contributed by AV, 23-Mar-2018.)  (Revised by AV, 21-May-2018.)  (Revised
     by AV, 30-Oct-2018.) $)
  cshwidxm1 $p |- ( ( W e. Word V /\ N e. ( 0 ..^ ( # ` W ) ) )
                     -> ( ( W cyclShift N ) ` ( ( ( # ` W ) - N ) - 1 ) )
                        = ( W ` ( ( # ` W ) - 1 ) ) ) $=
    ( wcel cc0 cfv co wa cmin c1 cmo cz wceq adantl syl3anc cc zcnd cr wbr syl
    cword chash cfzo caddc simpl elfzoelz ubmelm1fzo cshwidxmod elfzoel2 nnpcan
    ccsh 1cnd oveq1d crp cle clt cn0 cn w3a elfzo0 nnre peano2rem nnrp 3ad2ant2
    jca sylbi nnm1ge0 zre ltm1d jca32 modid eqtrd fveq2d ) CBUADZAECUBFZUCGZDZH
    ZVOAIGJIGZCAUKGFZVSAUDGZVOKGZCFZVOJIGZCFVRVNALDZVSVPDZVTWCMVNVQUEVQWEVNAEVO
    UFZNVQWFVNAVOUGNVSABCUHOVRWBWDCVRWBWDVOKGZWDVQWBWHMVNVQWAWDVOKVQVOPDAPDJPDW
    AWDMVQVOAEVOUIZQVQAWGQVQULVOAJUJOUMNVRWDRDZVOUNDZHZEWDUOSZWDVOUPSZHHZWHWDMV
    QWOVNVQWLWMWNVQAUQDZVOURDZAVOUPSZUSZWLAVOUTZWQWPWLWRWQWJWKWQVORDWJVOVAVOVBT
    VOVCVEVDVFVQWSWMWTWQWPWMWRVOVGVDVFVQVOLDZWNWIXAVOVOVHVITVJNWDVOVKTVLVMVL $.

  $( The symbol at index (n-N) of a word of length n (not 0) cyclically shifted
     by N positions (not 0) is the symbol at index 0 of the original word.
     (Contributed by AV, 18-May-2018.)  (Revised by AV, 21-May-2018.)  (Revised
     by AV, 30-Oct-2018.) $)
  cshwidxm $p |- ( ( W e. Word V /\ N e. ( 1 ... ( # ` W ) ) )
                  -> ( ( W cyclShift N ) ` ( ( # ` W ) - N ) ) = ( W ` 0 ) ) $=
    ( cword wcel c1 chash cfv co wa cmo cc0 wceq adantl cc nncn sylbi syl eqtrd
    cn cfz cmin ccsh caddc cz simpl elfzelz ubmelfzo cshwidxmod syl3anc cle wbr
    cfzo w3a elfz1b anim12ci 3adant3 npcan oveq1d nnrp modid0 3ad2ant2 fveq2d
    crp ) CBDEZAFCGHZUAIEZJZVFAUBIZCAUCIHZVIAUDIZVFKIZCHZLCHVHVEAUEEZVILVFUMIEZ
    VJVMMVEVGUFVGVNVEAFVFUGNVGVOVEAVFUHNVIABCUIUJVHVLLCVHVLVFVFKIZLVGVLVPMVEVGV
    KVFVFKVGVFOEZAOEZJZVKVFMVGATEZVFTEZAVFUKULZUNZVSVFAUOZVTWAVSWBVTVRWAVQAPVFP
    UPUQQVFAURRUSNVGVPLMZVEVGWCWEWDWAVTWEWBWAVFVDEWEVFUTVFVARVBQNSVCS $.

  $( The symbol at index (n-1) of a word of length n (not 0) cyclically shifted
     by N positions (not 0) is the symbol at index (N-1) of the original word.
     (Contributed by AV, 18-May-2018.)  (Revised by AV, 21-May-2018.)  (Revised
     by AV, 30-Oct-2018.) $)
  cshwidxn $p |- ( ( W e. Word V /\ N e. ( 1 ... ( # ` W ) ) )
          -> ( ( W cyclShift N ) ` ( ( # ` W ) - 1 ) ) = ( W ` ( N - 1 ) ) ) $=
    ( wcel c1 cfv co wa cmin caddc cmo cz wceq adantl cn wbr w3a sylbi syl cc
    cword chash cfz ccsh cc0 cfzo simpl elfzelz elfz1b simp2 fzo0end cshwidxmod
    cle syl3anc nncn 1cnd adantr 3jca 3adant3 subadd23 cn0 clt nnm1nn0 3ad2ant1
    oveq1d simp3 wb nnz anim12i zlem1lt mpbid addmodid eqtrd fveq2d ) CBUADZAEC
    UBFZUCGDZHZVPEIGZCAUDGFZVSAJGZVPKGZCFZAEIGZCFZVRVOALDZVSUEVPUFGDZVTWCMVOVQU
    GVQWFVOAEVPUHNVRVPODZWGVQWHVOVQAODZWHAVPUMPZQZWHVPAUIZWIWHWJUJZRNVPUKSVSABC
    ULUNVQWCWEMVOVQWBWDCVQWBVPWDJGZVPKGZWDVQWAWNVPKVQVPTDZETDZATDZQZWAWNMVQWKWS
    WLWIWHWSWJWIWHHZWPWQWRWHWPWIVPUONWTUPWIWRWHAUOUQURUSRVPEAUTSVEVQWDVADZWHWDV
    PVBPZQZWOWDMVQWKXCWLWKXAWHXBWIWHXAWJAVCVDWMWKWJXBWIWHWJVFWKWFVPLDZHZWJXBVGW
    IWHXEWJWIWFWHXDAVHVPVHVIUSAVPVJSVKURRWDVPVLSVMVNNVM $.

  ${
    $d A i j $.  $d F i j x y $.  $d G i j $.  $d S i j x y $.
    $( Cyclically shifting a word which contains a symbol at most once results
       in a word which contains a symbol at most once.  (Contributed by AV,
       14-Mar-2021.) $)
    cshf1 $p |- ( ( F : ( 0 ..^ ( # ` F ) ) -1-1-> A /\ S e. ZZ
                    /\ G = ( F cyclShift S ) )
                  -> G : ( 0 ..^ ( # ` F ) ) -1-1-> A ) $=
      ( vi vj vx vy cfv co cz wcel wceq w3a cv wi wral wa adantr adantl cc0 wf1
      chash cfzo ccsh wf weq cword f1f iswrdi syl cshwf 3adant1 wb mpbird dff13
      caddc cmo fveq1 3ad2ant1 cshwidxmod 3expia com12 impcom eqtrd adantld imp
      feq1 eqeq12d adantlr cn0 clt wbr elfzo0 nn0z simpl zaddcld simpr 3ad2ant3
      cn jca ex 3adant3 sylbi zmodfzo expcom fveqeq2 eqeq1 imbi12d fveq2 eqeq2d
      eqeq2 rspc2v syl2anc addmodlteq 3expa ancoms bicomd sylibrd syld impancom
      3ad2antl3 sylbid ralrimivva 3exp1 com14 3imp1 mpd 3imp sylibr ) UACUCIZUD
      JZACUBZBKLZDCBUEJZMZNXLADUFZEOZDIZFOZDIZMZEFUGZPZFXLQEXLQZRZXLADUBXMXNXPY
      FXMCAUHLZXNXPYFPPXMXLACUFZYGXLACUIAXKCUJUKXMYGXNXPYFXMYGXNNZXPRZXQYEYJXQX
      LAXOUFZYIYKXPYGXNYKXMABCULUMSXPXQYKUNYIXLADXOVHTUOXMYGXNXPYEXMYHGOZCIHOZC
      IZMZGHUGZPZHXLQGXLQZRYGXNXPYEPPPZGHXLACUPYRYSYHXPYGXNYRYEXPYGXNYRYEXPYGXN
      NZYRRZYDEFXLXLUUAXRXLLZXTXLLZRZRYBXRBUQJZXKURJZCIZXTBUQJZXKURJZCIZMZYCYTU
      UDYBUUKUNYRYTUUDRZXSUUGYAUUJUULXSXRXOIZUUGYTXSUUMMZUUDXPYGUUNXNXRDXOUSUTS
      UUDYTUUMUUGMZUUBYTUUOPUUCYTUUBUUOYGXNUUBUUOPXPYGXNUUBUUOXRBACVAVBUMVCSVDV
      EUULYAXTXOIZUUJYTYAUUPMZUUDXPYGUUQXNXTDXOUSUTSYTUUDUUPUUJMZYTUUCUURUUBYGX
      NUUCUURPXPYGXNUUCUURXTBACVAVBUMVFVGVEVIVJUUAUUDUUKYCPZYTUUDYRUUSUULYRUUKU
      UFUUIMZPZUUSUULUUFXLLZUUIXLLZYRUVAPUULUUEKLZXKVTLZRZUVBUUDYTUVFUUBYTUVFPZ
      UUCUUBXRVKLZUVEXRXKVLVMZNUVGXRXKVNUVHUVEUVGUVIYTUVHUVERZUVFXNXPUVJUVFPYGX
      NUVJUVFXNUVJRZUVDUVEUVKXRBUVJXRKLZXNUVHUVLUVEXRVOSTXNUVJVPVQUVJUVEXNUVHUV
      EVRTWAWBVSVCWCWDSVDUUEXKWEUKUULUUHKLZUVERZUVCYTUUDUVNYTUUCUVNUUBXNXPUUCUV
      NPYGUUCXNUVNUUCXTVKLZUVEXTXKVLVMZNXNUVNPZXTXKVNUVOUVEUVQUVPXNUVOUVERZUVNX
      NUVRRZUVMUVEUVSXTBUVRXTKLZXNUVOUVTUVEXTVOSTXNUVRVPVQUVRUVEXNUVOUVEVRTWAWF
      WCWDVCVSVFVGUUHXKWEUKYQUVAUUGYNMZUUFYMMZPGHUUFUUIXLXLYLUUFMYOUWAYPUWBYLUU
      FYNCWGYLUUFYMWHWIYMUUIMZUWAUUKUWBUUTUWCYNUUJUUGYMUUICWJWKYMUUIUUFWLWIWMWN
      UULUVAUUSUULUVARUUKUUTYCUULUVAVRUULYCUUTUNZUVAXNXPUUDUWDYGXNUUDRUUTYCUUDX
      NUUTYCUNZUUBUUCXNUWEBXRXTXKWOWPWQWRXBSWSWBWTXAVGXCXDXEXFTWDXGWAXEXHXIEFXL
      ADUPXJ $.
  $}

  $( If a word is injectiv (regarded as function), the cyclically shifted word
     is also injective.  (Contributed by AV, 14-Mar-2021.) $)
  cshinj $p |- ( ( F e. Word A /\ Fun `' F /\ S e. ZZ )
                -> ( G = ( F cyclShift S ) -> Fun `' G ) ) $=
    ( cword wcel ccnv wfun cz w3a ccsh co wceq cc0 chash cfv wf1 wa wf df-f1 ex
    cfzo wrdf biimpri sylan 3adant3 adantr simpl3 simpr cshf1 syl3anc simprbi
    syl6 ) CAEFZCGHZBIFZJZDCBKLMZNCOPUBLZADQZDGHZUQURUTUQURRUSACQZUPURUTUQVBURU
    NUOVBUPUNUSACSZUOVBACUCVBVCUORUSACTUDUEUFUGUNUOUPURUHUQURUIABCDUJUKUAUTUSAD
    SVAUSADTULUM $.

  $( A cyclically shifted "repeated symbol word".  (Contributed by Alexander
     van der Vekens, 7-Nov-2018.)  (Proof shortened by AV, 16-Oct-2022.) $)
  repswcshw $p |- ( ( S e. V /\ N e. NN0 /\ I e. ZZ )
                    -> ( ( S repeatS N ) cyclShift I ) = ( S repeatS N ) ) $=
    ( cc0 wceq wcel cn0 creps co ccsh c0 cmo csubstr cpfx cconcat oveq2d ancoms
    wa 3adant1 cz wi 0csh0 repsw0 oveq1d 3eqtr4a 3ad2ant1 oveq2 eqeq12d syl5ibr
    w3a wn idd wne df-ne elnnne0 simplbi2com sylbir 3anim123d chash cword nnnn0
    cn cfv cop anim2i repsw syl cshword stoic3 repswlen opeq12d oveq12d 3adant3
    cmin caddc cle wbr zmodcl adantr jca leidd 3ad2ant2 repswswrd syl3anc simp1
    nnre cfz zmodfzp1 repswpfx cr nn0red crp clt zre modlt syl2anr ltled nn0sub
    nnrp wb syl2anc mpbid repswccat cc nncn adantl nn0cnd npcand 3eqtrd pm2.61i
    syl6 ) CEFZADGZCHGZBUAGZUKZACIJZBKJZXRFZUBXQXTXMAEIJZBKJZYAFZXNXOYCXPXNLBKJ
    LYBYABUCXNYALBKADUDZUEYDUFUGXMXSYBXRYAXMXRYABKCEAIUHZUEYEUIUJXMULZXQXNCVCGZ
    XPUKZXTYFXNXNXOYGXPXPYFXNUMYFCEUNZXOYGUBCEUOYGXOYICUPUQURYFXPUMUSYHXSXRBXRU
    TVDZMJZYJVEZNJZXRYKOJZPJZXRBCMJZCVEZNJZXRYPOJZPJZXRXNYGXRDVAGZXPXSYOFXNYGSZ
    XNXOSZUUAYGXOXNCVBZVFZACDVGVHBDXRVIVJXNYGYOYTFXPUUBYMYRYNYSPUUBYLYQXRNUUBYK
    YPYJCUUBYJCBMUUBUUCYJCFUUEACDVKVHZQZUUFVLQUUBYKYPXROUUGQVMVNYHYTACYPVOJZIJZ
    AYPIJZPJZAUUHYPVPJZIJZXRYHYRUUIYSUUJPYHUUCYPHGZXOSZCCVQVRZYRUUIFXNYGUUCXPUU
    EVNYGXPUUOXNYGXPSZUUNXOXPYGUUNBCVSZRZYGXOXPUUDVTWATYGXNUUPXPYGCCWGZWBWCACYP
    CDWDWEYHXNXOYPECWHJGZYSUUJFXNYGXPWFZYGXNXOXPUUDWCZYGXPUVAXNXPYGUVABCWIRTAYP
    CDWJWEVMYHXNUUHHGZUUNUUKUUMFUVBYHYPCVQVRZUVDYGXPUVEXNUUQYPCXPYGYPWKGXPYGSZY
    PUURWLRYGCWKGXPUUTVTXPBWKGCWMGYPCWNVRYGBWOCWTBCWPWQWRTYHUUNXOUVEUVDXAYGXPUU
    NXNUUSTZUVCYPCWSXBXCUVGAYPUUHDXDWEYHUULCAIYGXPUULCFZXNXPYGUVHUVFCYPYGCXEGXP
    CXFXGUVFYPUURXHXIRTQXJXJXLXK $.

  ${
    $d M i $.  $d N i $.  $d V i $.  $d W i $.
    $( Cyclically shifting a word two times.  (Contributed by AV, 7-Apr-2018.)
       (Revised by AV, 4-Jun-2018.)  (Revised by AV, 31-Oct-2018.) $)
    2cshw $p |- ( ( W e. Word V /\ M e. ZZ /\ N e. ZZ )
          -> ( ( W cyclShift M ) cyclShift N ) = ( W cyclShift ( M + N ) ) ) $=
      ( vi wcel cz co caddc wceq chash cfv cc0 3adant3 oveq2d wa adantr syl3anc
      cfzo cmo cword w3a ccsh cv wral cshwlen cshwcl sylan 3adant2 simp1 zaddcl
      3adant1 syl2anc 3eqtr4d eqtrd eleq2d 3ad2ant1 simpl3 cshwidxmod simpl1 cn
      biimpar simpl2 cn0 clt wbr elfzo0 nn0z ad2antrr simpr3 zaddcld simplr jca
      wi ex sylbi impcom zmodfzo syl wb eleq1d mpbird cr crp nn0re zre ad2antll
      readdcld ad2antrl nnrp ad2antlr modaddmod cc nn0cn add32r oveq1d 3adantl1
      zcn eqtr4d fveq2d fvoveq1d simpr 3eqtrd sylbid ralrimiv eqwrd mpbir2and )
      DCUAZFZAGFZBGFZUBZDAUCHZBUCHZDABIHZUCHZJZXNKLZXPKLZJZEUDZXNLZYAXPLZJZEMXR
      SHZUEZXLXMKLZDKLZXRXSXIXJYGYHJZXKACDUFZNZXIXKXRYGJZXJXIXMXHFZXKYLACDUGZBC
      XMUFUHUIZXLXIXOGFZXSYHJXIXJXKUJXJXKYPXIABUKULZXOCDUFUMUNXLYDEYEXLYAYEFYAM
      YHSHZFZYDXLYEYRYAXLXRYHMSXLXRYGYHYOYKUOOUPXLYSYDXLYSPZYBYABIHZYGTHZXMLZUU
      BAIHZYHTHDLZYCYTYMXKYAMYGSHZFZYBUUCJXLYMYSXIXJYMXKYNUQQXIXJXKYSURXLUUGYSX
      LUUFYRYAXLYGYHMSYKOUPVBYABCXMUSRYTXIXJUUBYRFZUUCUUEJXIXJXKYSUTZXIXJXKYSVC
      YTUUHUUAYHTHZYRFZYTUUAGFZYHVAFZPZUUKYSXLUUNYSYAVDFZUUMYAYHVEVFZUBZXLUUNVN
      ZYAYHVGZUUOUUMUURUUPUUOUUMPZXLUUNUUTXLPZUULUUMUVAYABUUOYAGFUUMXLYAVHVIUUT
      XIXJXKVJVKUUOUUMXLVLVMVONVPVQUUAYHVRVSXLUUHUUKVTZYSXIXJUVBXKXIXJPZUUBUUJY
      RUVCYGYHUUATYJOWANQWBUUBACDUSRYTUUJAIHZYHTHZDLYAXOIHZYHTHZDLZUUEYCYTUVEUV
      GDXJXKYSUVEUVGJZXIYSXJXKPZUVIYSUUQUVJUVIVNZUUSUUOUUMUVKUUPUUTUVJUVIUUTUVJ
      PZUVEUUAAIHZYHTHZUVGUVLUUAWCFAWCFZYHWDFZUVEUVNJUVLYABUUOYAWCFUUMUVJYAWEVI
      XKBWCFUUTXJBWFWGWHXJUVOUUTXKAWFWIUUMUVPUUOUVJYHWJWKUUAAYHWLRUVLUVFUVMYHTU
      VLYAWMFZAWMFZBWMFZUVFUVMJUUOUVQUUMUVJYAWNVIXJUVRUUTXKAWRWIXKUVSUUTXJBWRWG
      YAABWORWPWSVONVPVQWQWTYTUUDUVDYHDTYTUUBUUJAIYTYGYHUUATXLYIYSYKQOWPXAYTXIY
      PYSYCUVHJUUIXLYPYSYQQXLYSXBYAXOCDUSRUNXCVOXDXEXIXJXQXTYFPVTZXKXIXNXHFZXPX
      HFUVTXIYMUWAYNBCXMUGVSXOCDUGCCXNEXPXFUMUQXG $.
  $}

  $( Cyclically shifting a word two times resulting in the word itself.
     (Contributed by AV, 7-Apr-2018.)  (Revised by AV, 5-Jun-2018.)  (Revised
     by AV, 1-Nov-2018.) $)
  2cshwid $p |- ( ( W e. Word V /\ N e. ZZ )
                 -> ( ( W cyclShift N ) cyclShift ( ( # ` W ) - N ) ) = W ) $=
    ( cword wcel cz wa ccsh chash cfv cmin caddc lencl nn0zd zsubcl sylan 2cshw
    co wceq cc mpd3an3 zcn nn0cnd pncan3 syl2anr oveq2d cshwn adantr 3eqtrd ) C
    BDEZAFEZGZCAHRCIJZAKRZHRZCAUNLRZHRZCUMHRZCUJUKUNFEZUOUQSUJUMFEUKUSUJUMBCMZN
    UMAOPAUNBCQUAULUPUMCHUKATEUMTEUPUMSUJAUBUJUMUTUCAUMUDUEUFUJURCSUKBCUGUHUI
    $.

  $( The last symbol of a word cyclically shifted by N positions is the symbol
     at index (N-1) of the original word.  (Contributed by AV, 21-Mar-2018.)
     (Revised by AV, 5-Jun-2018.)  (Revised by AV, 1-Nov-2018.) $)
  lswcshw $p |- ( ( W e. Word V /\ N e. ( 1 ... ( # ` W ) ) )
                      -> ( lastS ` ( W cyclShift N ) ) = ( W ` ( N - 1 ) ) ) $=
    ( cword wcel c1 chash cfv cfz co wa ccsh clsw cmin cvv wceq ovex lsw mp1i
    cz elfzelz cshwlen sylan2 fvoveq1d cshwidxn 3eqtrd ) CBDEZAFCGHZIJEZKZCALJZ
    MHZUKGHZFNJUKHZUHFNJUKHAFNJCHUKOEULUNPUJCALQUKORSUJUMUHFUKNUIUGATEUMUHPAFUH
    UAABCUBUCUDABCUEUF $.

  $( Cyclically shifting a word two times is commutative.  (Contributed by AV,
     21-Apr-2018.)  (Revised by AV, 5-Jun-2018.)  (Revised by Mario
     Carneiro/AV, 1-Nov-2018.) $)
  2cshwcom $p |- ( ( W e. Word V /\ N e. ZZ /\ M e. ZZ )
                   -> ( ( W cyclShift N ) cyclShift M )
                      = ( ( W cyclShift M ) cyclShift N ) ) $=
    ( cword wcel cz w3a caddc co ccsh wceq cc zcn addcom syl2anr 3adant1 oveq2d
    2cshw 3com23 3eqtr4rd ) DCEFZBGFZAGFZHZDABIJZKJZDBAIJZKJDAKJBKJZDBKJAKJUEUF
    UHDKUCUDUFUHLZUBUDAMFBMFUJUCANBNABOPQRUBUDUCUIUGLABCDSTBACDSUA $.

  $( If the results of cyclically shifting two words are equal, the length of
     the two words was equal.  (Contributed by AV, 21-Apr-2018.)  (Revised by
     AV, 5-Jun-2018.)  (Revised by AV, 1-Nov-2018.) $)
  cshwleneq $p |- ( ( ( W e. Word V /\ U e. Word V )
                      /\ ( N e. ZZ /\ M e. ZZ )
                      /\ ( W cyclShift N ) = ( U cyclShift M ) )
                       -> ( # ` W ) = ( # ` U ) ) $=
    ( cword wcel wa cz ccsh co wceq w3a chash cfv cshwlen ad2ant2r eqcomd fveq2
    3adant3 3ad2ant3 ad2ant2l 3eqtrd ) EDFZGZAUDGZHZCIGZBIGZHZECJKZABJKZLZMENOZ
    UKNOZULNOZANOZUGUJUNUOLUMUGUJHUOUNUEUHUOUNLUFUICDEPQRTUMUGUOUPLUJUKULNSUAUG
    UJUPUQLZUMUFUIURUEUHBDAPUBTUC $.

  $( Cyclically shifting a word three times results in a once cyclically
     shifted word under certain circumstances.  (Contributed by AV,
     6-Jun-2018.)  (Revised by AV, 1-Nov-2018.) $)
  3cshw $p |- ( ( W e. Word V /\ N e. ZZ /\ M e. ZZ ) -> ( W cyclShift N ) =
         ( ( ( W cyclShift M ) cyclShift N ) cyclShift ( ( # ` W ) - M ) ) ) $=
    ( cword wcel cz w3a ccsh co chash cmin 2cshwid 3adant2 eqcomd oveq1d cshwcl
    cfv wceq 3ad2ant1 lencl nn0zd zsubcl sylan simp2 2cshwcom syl3anc eqtrd ) D
    CEZFZBGFZAGFZHZDBIJDAIJZDKRZALJZIJZBIJZUNBIJUPIJZUMDUQBIUMUQDUJULUQDSUKACDM
    NOPUMUNUIFZUPGFZUKURUSSUJUKUTULACDQTUJULVAUKUJUOGFULVAUJUOCDUAUBUOAUCUDNUJU
    KULUEBUPCUNUFUGUH $.

  $( If cyclically shifting two words (of the same length) results in the same
     word, cyclically shifting one of the words by the difference of the
     numbers of shifts results in the other word.  (Contributed by AV,
     21-Apr-2018.)  (Revised by AV, 6-Jun-2018.)  (Revised by AV,
     1-Nov-2018.) $)
  cshweqdif2 $p |- ( ( ( W e. Word V /\ U e. Word V )
                       /\ ( N e. ZZ /\ M e. ZZ ) )
                     -> ( ( W cyclShift N ) = ( U cyclShift M )
                          -> ( U cyclShift ( M - N ) ) = W ) ) $=
    ( wcel wa cz ccsh wceq cmin w3a simpr adantr adantl 3jca syl simpl ancomd
    co cword chash cfv caddc zsubcl ancoms 3cshw eqcomd cshwleneq oveq1d oveq2d
    syl3anc eqtrd 2cshw cc zcn pncan3 3eqtrd lencl nn0zd syl2an nn0cnd cshwn ex
    anim12i ) EDUAZFZAVFFZGZCHFZBHFZGZGZECITZABITZJZABCKTZITZEJVMVPGZVREBEUBUCZ
    BKTZUDTZITZEVTITZEVSVRVOVQITZWAITZEBITZWAITZWCVSVRWEAUBUCZBKTZITZWFVSVHVQHF
    ZVKLZVRWKJVMWMVPVMVHWLVKVIVHVLVGVHMNVLWLVIVKVJWLBCUEUFOZVLVKVIVJVKMZOZPNBVQ
    DAUGQVSWJWAWEIVSWIVTBKVSVHVGGZVKVJGZVOVNJWIVTJVMWQVPVMVGVHVIVLRSNVMWRVPVMVJ
    VKVIVLMSNVSVNVOVMVPMUHZECBDAUIULUJUKUMVSWEWGWAIVSWEVNVQITZECVQUDTZITZWGVSVO
    VNVQIWSUJVSVGVJWLLZWTXBJVMXCVPVMVGVJWLVIVGVLVGVHRNZVLVJVIVJVKROWNPNCVQDEUNQ
    VSXABEIVSCUOFZBUOFZGZXABJVMXGVPVLXGVIVJXEVKXFCUPBUPZVEONCBUQQUKURUJVSVGVKWA
    HFZLZWHWCJVMXJVPVMVGVKXIXDWPVIVTHFZVKXIVLVGXKVHVGVTDEUSZUTNWOVTBUEVAPNBWADE
    UNQURVSWBVTEIVSXFVTUOFZGZWBVTJVMXNVPVMXMXFVIXMVLXFVGXMVHVGVTXLVBNVKXFVJXHOV
    ESNBVTUQQUKVMWDEJZVPVMVGXOXDDEVCQNURVD $.

  $( If cyclically shifting a word by two positions results in the same word,
     cyclically shifting the word by the difference of these two positions
     results in the original word itself.  (Contributed by AV, 21-Apr-2018.)
     (Revised by AV, 7-Jun-2018.)  (Revised by AV, 1-Nov-2018.) $)
  cshweqdifid $p |- ( ( W e. Word V /\ N e. ZZ /\ M e. ZZ )
                     -> ( ( W cyclShift N ) = ( W cyclShift M )
                          -> ( W cyclShift ( M - N ) ) = W ) ) $=
    ( cword wcel cz w3a wa ccsh co wceq wi id ancli anim1i 3impb cshweqdif2 syl
    cmin ) DCEFZBGFZAGFZHUAUAIZUBUCIZIZDBJKDAJKLDABTKJKDLMUAUBUCUFUAUDUEUAUAUAN
    OPQDABCDRS $.

  ${
    $d I j y x $.  $d L j x y $.  $d V j x y $.  $d W j x y $.
    $( If cyclically shifting a word by L position results in the word itself,
       the symbol at any position is repeated at multiples of L (modulo the
       length of the word) positions in the word.  (Contributed by AV,
       13-May-2018.)  (Revised by AV, 7-Jun-2018.)  (Revised by AV,
       1-Nov-2018.) $)
    cshweqrep $p |- ( ( W e. Word V /\ L e. ZZ )
                     -> ( ( ( W cyclShift L ) = W /\ I e. ( 0 ..^ ( # ` W ) ) )
                          -> A. j e. NN0
                ( W ` I ) = ( W ` ( ( I + ( j x. L ) ) mod ( # ` W ) ) ) ) ) $=
      ( wcel cz wa co wceq cc0 cfv cmul caddc cmo cn0 wi oveq2d adantl adantr
      vx vy cword ccsh chash cfzo cv c1 oveq1 fvoveq1d eqeq2d imbi2d weq mul02d
      wral zcn elfzoelz zcnd addid1d ad2antll oveq1d zmodidfzoimp eqtr2d fveq2d
      eqtrd fveq1 eqcoms ad2antrl simprll simprlr cn clt wbr elfzo0 nn0z zmulcl
      w3a sylan ancoms zaddcl syl2an simplr jca ex 3adant3 sylbi expd com12 imp
      impcom zmodfzo syl cshwidxmod syl3anc cr nn0re zre remulcl readdcl sylan2
      crp nnrp simpl modaddmod cc recn recnd addassd 1cnd adddird mulid2d com13
      adantld 3eqtrd biimpd a2d nn0ind ralrimiv ) EDUCFZCGFZHZECUDIZEJZBKEUELZU
      FIZFZHZBELZBAUGZCMIZNIZYDOIELZJZAPUOYAYGHZYMAPYIPFYNYMYNYHBUAUGZCMIZNIZYD
      OIELZJZQYNYHBKCMIZNIZYDOIZELZJZQYNYHBUBUGZCMIZNIZYDOIZELZJZQYNYHBUUEUHNIZ
      CMIZNIZYDOIZELZJZQYNYMQUAUBYIYOKJZYSUUDYNUUQYRUUCYHUUQYQUUAYDEOUUQYPYTBNY
      OKCMUIRUJUKULUAUBUMZYSUUJYNUURYRUUIYHUURYQUUGYDEOUURYPUUFBNYOUUECMUIRUJUK
      ULYOUUKJZYSUUPYNUUSYRUUOYHUUSYQUUMYDEOUUSYPUULBNYOUUKCMUIRUJUKULUAAUMZYSY
      MYNUUTYRYLYHUUTYQYKYDEOUUTYPYJBNYOYICMUIRUJUKULYNBUUBEYNUUBBYDOIZBYNUUABY
      DOYNUUABKNIZBYNYTKBNYAYTKJZYGXTUVCXSXTCCUPUNSTRYFUVBBJYAYCYFBYFBBKYDUQURU
      SUTVEVAYFUVABJYAYCBYDVBUTVCVDUUEPFZYNUUJUUPUVDYNUUJUUPQUVDYNHZUUJUUPUVEUU
      IUUOYHUVEUUIUUHYBLZUUHCNIYDOIZELZUUOYNUUIUVFJZUVDYCUVIYAYFUVIEYBUUHEYBVFV
      GVHSUVEXSXTUUHYEFZUVFUVHJUVDXSXTYGVIUVDXSXTYGVJUVEUUGGFZYDVKFZHZUVJYNUVDU
      VMYAYGUVDUVMQZXTYGUVNQXSYGXTUVNYGXTUVDUVMYFXTUVDHZUVMQZYCYFBPFZUVLBYDVLVM
      ZVQZUVPBYDVNZUVQUVLUVPUVRUVQUVLHZUVOUVMUWAUVOHUVKUVLUWABGFZUUFGFZUVKUVOUV
      QUWBUVLBVOTUVDXTUWCUVDUUEGFXTUWCUUEVOUUECVPVRVSBUUFVTWAUVQUVLUVOWBWCWDWEW
      FSWGWHSWIWJUUGYDWKWLUUHCDEWMWNUVEUVGUUNEYNUVDUVGUUNJZYGYAUVDUWDQZYFYAUWEQ
      YCYFXTUWEXSYFXTUVDUWDYFUVSUVOUWDQZUVTUVQUVLUWFUVRUVQUVLUWFUVQBWOFZUVLUWFQ
      BWPUVOUVLUWGUWDXTCWOFZUUEWOFZUVLUWGUWDQZQUVDCWQUUEWPUVLUWHUWIHZUWJUVLUWKU
      WGUWDUVLYDXAFZUWKUWGHZUWDQYDXBUWLUWMUWDUWLUWMHZUVGUUGCNIZYDOIZUUNUWNUUGWO
      FZUWHUWLUVGUWPJUWMUWQUWLUWGUWKUWQUWKUWGUUFWOFZUWQUWIUWHUWRUUECWRZVSBUUFWS
      WTVSSUWLUWHUWIUWGVIUWLUWMXCUUGCYDXDWNUWNUWOUUMYDOUWMUWOUUMJUWLUWMUWOBUUFC
      NIZNIUUMUWMBUUFCUWGBXEFUWKBXFSUWKUUFXEFZUWGUWIUWHUXAUWIUWHHUUFUWSXGVSTUWK
      CXEFZUWGUWHUXBUWICXFZTZTXHUWMUWTUULBNUWKUWTUULJUWGUWKUULUUFUHCMIZNIUWTUWK
      UUEUHCUWIUUEXEFUWHUUEXFSUWKXIUXDXJUWKUXECUUFNUWHUXECJUWIUWHCUXCXKTRVCTRVE
      SVAVEWDWLWGWHWAXLWLWIWEWFWGXMSWJWJVDXNUKXOWDXPXQWHXRWD $.
  $}

  ${
    $d V i $.  $d W i $.
    $( If cyclically shifting a word by 1 position results in the word itself,
       the word is build of identical symbols.  Remark: also "valid" for an
       empty word!  (Contributed by AV, 13-May-2018.)  (Revised by AV,
       7-Jun-2018.)  (Proof shortened by AV, 1-Nov-2018.) $)
    cshw1 $p |- ( ( W e. Word V /\ ( W cyclShift 1 ) = W )
                  -> A. i e. ( 0 ..^ ( # ` W ) ) ( W ` i ) = ( W ` 0 ) ) $=
      ( cfv cc0 wceq wcel c1 co wa cfzo wral wi c0 caddc cmo cn0 adantr syl ex
      chash cword ccsh cv ral0 oveq2 fzo0 eqtrdi raleqdv mpbiri a1d cmul simprl
      wn lencl cn clt wbr a1i wne df-ne elnnne0 simplbi2com sylbir impcom neqne
      ad2antll wb nngt1ne1 mpbird elfzo0 syl3anbrc simprr lbfzo0 sylbbr syl5bir
      1nn0 com12 imp cz elfzoelz cshweqrep sylan2 syl22anc 0nn0 fzossnn0 ssralv
      wss mp2b eqcom zre ax-1rid oveq2d zcn addid2d eqtrd zmodidfzoimp fveqeq2d
      oveq1d biimpd syl5bi ralimia impancom eqid c0ex fveqeq2 ralsn mpbir fzo01
      cr csn pm2.61d2 pm2.61i ) CUADZEFZCBUBGZCHUCICFZJZAUDZCDECDZFZAEXNKIZLZMX
      OYCXRXOYCYAANLYAAUEXOYAAYBNXOYBEEKINXNEEKUFEUGUHUIUJUKXOUNZXRYCYDXRJXNHFZ
      YCYDYEUNZXRYCYDYFJZXRYCYGXRJZXTEXSHULIZOIZXNPIZCDZFZAQLZYCYHXPHYBGZXQEYBG
      ZYNYGXPXQUMXRYGYOXPYGYOMZXQXPXNQGZYQBCUOZYRYGYOYRYGJZHQGZXNUPGZHXNUQURZYO
      UUAYTVQUSYGYRUUBYDYRUUBMZYFYDXNEUTZUUDXNEVAZUUBYRUUEXNVBZVCVDRVEZYTUUCXNH
      UTZYFUUIYRYDXNHVFVGYTUUBUUCUUIVHUUHXNVISVJHXNVKVLTSRVEYGXPXQVMYGXRYPYDXRY
      PMYFXRYDYPXPYDYPMZXQXPYRUUJYSYDUUEYRYPUUFYRUUEYPYPUUBYRUUEJXNVNUUGVOTVPSR
      VRRVSXPYOJXQYPJZYNYOXPHVTGUUKYNMHEXNWAAEHBCWBWCVSWDYNYMAYBLZYCEQGYBQWHYNU
      ULMWEEXNWFYMAYBQWGWIYMYAAYBYMYLXTFZXSYBGZYAXTYLWJUUNUUMYAUUNYKXSXTCUUNYKX
      SXNPIXSUUNYJXSXNPUUNXSVTGZYJXSFXSEXNWAUUOYJEXSOIXSUUOYIXSEOUUOXSXJGYIXSFX
      SWKXSWLSWMUUOXSXSWNWOWPSWSXSXNWQWPWRWTXAXBSSTXCYEYCYAAEXKZLZUUQXTXTFZXTXD
      YAUURAEXEXSEXTCXFXGXHYEYAAYBUUPYEYBEHKIUUPXNHEKUFXIUHUIUJXLTXM $.

    $( If cyclically shifting a word by 1 position results in the word itself,
       the word is a "repeated symbol word".  Remark: also "valid" for an empty
       word!  (Contributed by AV, 8-Nov-2018.)  (Proof shortened by AV,
       10-Nov-2018.) $)
    cshw1repsw $p |- ( ( W e. Word V /\ ( W cyclShift 1 ) = W )
                       -> W = ( ( W ` 0 ) repeatS ( # ` W ) ) ) $=
      ( vi cword wcel c1 ccsh co wceq wa cv cfv cc0 chash cfzo wral creps cshw1
      wb repswsymballbi bicomd adantr mpbid ) BADEZBFGHBIZJCKBLMBLZICMBNLZOHPZB
      UFUGQHIZCABRUDUHUISUEUDUIUHCABTUAUBUC $.
  $}

  ${
    $d V n y $.  $d W n w y $.
    $( The class of (different!) words resulting by cyclically shifting
       something (not necessarily a word) is a set.  (Contributed by AV,
       8-Jun-2018.)  (Revised by Mario Carneiro/AV, 25-Oct-2018.) $)
    cshwsexa $p |- { w e. Word V | E. n e. ( 0 ..^ ( # ` W ) )
                                   ( W cyclShift n ) = w } e. _V $=
      ( vy cv ccsh co wceq cc0 cfzo wrex wcel wa wex cab cvv abbii wtru wi crab
      chash cfv cword df-rab r19.42v bicomi df-rex 3eqtri abid2 ovexi weq ovexd
      wal tru pm3.2i eqtr3 ex eqcoms adantl com12 ad2antlr alrimiv spcimedv imp
      mp1i zfrep4 eqeltri ) DBFZGHZAFZIZBJDUBUCZKHZLZACUDZUAZVIVNMZVKVPMZVLNZNB
      OZAPZQVQVSVONZAPVTBVNLZAPWBVOAVPUEWCWDAWDWCVSVLBVNUFUGRWDWAAVTBVNUHRUIVRV
      TBAEVRBPJVMKBVNUJUKSSNVTAEULZTZAUNZEOZVRSSUOUOUPSSWHSWGSEVJQSDVIGUMSEFZVJ
      IZNZSWGWKSNWFAWJWFSSVTWJWEVLWJWETZVSWLVKVJVKVJIWJWEVKWIVJUQURUSUTVAVBVCUR
      VDVEVFVGVH $.
  $}

  ${
    $d m n K $.  $d m n N $.  $d m n V $.  $d m n X $.  $d m n Y $.
    $d m n Z $.
    $( If a word is a cyclically shifted word, and a second word is the result
       of cyclically shifting the same word, then the second word is the result
       of cyclically shifting the first word.  (Contributed by AV,
       11-May-2018.)  (Revised by AV, 12-Jun-2018.)  (Proof shortened by AV,
       3-Nov-2018.) $)
    2cshwcshw $p |- ( ( Y e. Word V /\ ( # ` Y ) = N )
               -> ( ( K e. ( 0 ... N ) /\ X = ( Y cyclShift K )
                    /\ E. m e. ( 0 ... N ) Z = ( Y cyclShift m ) )
                            -> E. n e. ( 0 ... N ) Z = ( X cyclShift n ) ) ) $=
      ( cc0 co wcel ccsh wceq wa wi cmin ad2antrr imp adantr cz cfz cv wrex w3a
      cword chash cfv cle wbr caddc difelfznle 3exp com12 adantl simprl elfzelz
      wn elfz2 zaddcl adantrr zsubcld syl11 3adant1 sylbi 2cshw syl3anc zaddcld
      simprr ex cshwsublen syl2anc eqtrd elfz2nn0 nn0cn anim12i adantrl pncan3d
      cn0 addcl oveq1d pncan syl2an elfznn0 3adant3 eqeq1d imbi2d mpbird oveq2d
      cc wb oveq2 eqtr2d oveq1 eqtr4d exp41 com24 eqeq2d biimpd impancom impcom
      imp41 rspceeqv exp31 cshw0 fznn0sub2 eleq1d ad2antlr simpl 2cshwid eqcomd
      sylan9eqr eqeq1 rexbidv sylbid com13 a1d syl6bi com15 zsubcl syl2imc zcnd
      difelfzle zcn pncan3 syl2anr syl5com imp31 com23 pm2.61ii rexlimdva2 3imp
      ) CIDUAJZKZFGCLJZMZHGAUBZLJZMZAYLUCZUDGEUEKZGUFUGZDMZNZHFBUBZLJZMZBYLUCZY
      MYOYSUUCUUGOYMUUCYSYOUUGYMUUCYSYOUUGOOYMUUCNZYOYSUUGUUHYOYSUUGOUUHYONZYRU
      UGAYLYPIMZCYPUHUIZUUIYPYLKZNZYRNZUUGOUUJUQZUUKUQZUUNUUGUUOUUPNZUUNNYPDUJJ
      ZCPJZYLKZHFUUSLJZMZUUGUUQUUNUUTUUPUUNUUTOUUOUUNUUPUUTUUMUUPUUTOZYRUUIUULU
      VCYMUULUVCOUUCYOYMUULUUPUUTCYPDUKULQRSUMUNRUUNUUQUVBUUMUUQYRUVBUUMUUQNZYR
      UVBUVDYQUVAHUUHYOUULUUQYQUVAMZUUHUUQUULYOUVEUUHUUQUULYOUVEUUHUUQNZUULNZYO
      NYQYNUUSLJZUVAUVGYQUVHMYOUVGUVHGCUUSUJJZUUAPJZLJZYQUVGUVHGUVILJZUVKUVGYTC
      TKZUUSTKZUVHUVLMUUHYTUUQUULYMYTUUBUOZQZUUHUVMUUQUULYMUVMUUCCIDUPZSZQUVFUU
      LUVNYMUULUVNOZUUCUUQYMITKZDTKZUVMUDZICUHUICDUHUIZNZNZUVSCIDURZUWBUVSUWDUW
      AUVMUVSUVTYPTKZUWAUVMNZUVNUULUWGUWHUVNUWGUWHNZUURCUWGUWAUURTKUVMYPDUSUTUW
      GUWAUVMVHZVAZVIYPIDUPZVBVCSVDQRCUUSEGVEVFUVGYTUVITKZUVLUVKMUVPUVFUULUWMYM
      UULUWMOZUUCUUQYMUWEUWNUWFUWBUWNUWDUWAUVMUWNUVTUWGUWHUWMUULUWGUWHUWMUWICUU
      SUWJUWKVGVIUWLVBVCSVDQRUVIEGVJVKVLUVGUVJYPGLUVFUULUVJYPMZUUHUULUWOOZUUQUU
      HUWPUULUVIDPJZYPMZOZYMUWSUUCYMCVRKZDVRKZUWCUDUWSCDVMUWTUXAUWSUWCYPVRKZUWT
      UXANZUWRUULUXBUXCUWRUXBYPWIKZCWIKZDWIKZNZUWRUXCYPVNUWTUXEUXAUXFCVNDVNVOUX
      DUXGNZUWQUURDPJZYPUXHUVIUURDPUXHCUURUXDUXEUXFUOUXDUXFUURWIKUXEYPDVSVPVQVT
      UXDUXFUXIYPMUXEYPDWAVPVLWBVIYPDWCVBWDVDSUUCUWPUWSWJZYMUUBUXJYTUUBUWOUWRUU
      LUUBUVJUWQYPUUADUVIPWKWEWFUNUNWGSRWHWLSYOUVAUVHMUVGFYNUUSLWMUNWNWOWPXAWQW
      RWSWTBUUSYLUUEUVAHUUDUUSFLWKXBVKXCUUNUUJUUGUUHYOUULYRUUJUUGOUUJYOUULYRUUH
      UUGUUJYRUULYOUUHUUGOZUUJYRHGILJZMZUULYOUXKOZOUUJYQUXLHYPIGLWKWQUXMUXNUULU
      UHYOUXMUUGUUCYMYOUXMUUGOOUUCUXMYOYMUUGUUCUXMHGMZYOYMUUGOOUUCUXLGHYTUXLGMU
      UBEGXDSWQUUCYMYOUXOUUGUUCYMYOUXOUUGUUCYMNZYONZUXONUUGGUUEMZBYLUCZUXQUXSUX
      OUXQUUACPJZYLKZGFUXTLJZMUXSUXPUYAYOUXPUYADCPJZYLKZYMUYDUUCCDXEUNUUBUYAUYD
      WJYTYMUUBUXTUYCYLUUADCPWMXFXGWGSUXQUYBGYOUXPUYBYNUXTLJZGFYNUXTLWMUUCYTUVM
      UYEGMYMYTUUBXHUVQCEGXIWBXKXJBUXTYLUUEUYBGUUDUXTFLWKXBVKSUXOUUGUXSWJUXQUXO
      UUFUXRBYLHGUUEXLXMUNWGWOWPXNWPWTXOXPXQWPXRXAUMUUKUUNUUGUUKUUNNYPCPJZYLKZH
      FUYFLJZMZUUGUUNUUKUYGUUMUUKUYGOZYRUUIUULUYJYMUULUYJOUUCYOYMUULUUKUYGCYPDY
      BULQRSWTUUNUUKUYIUUMYRUUKUYIOUUMUUKYRUYIUUHYOUULUUKYRUYIOZOUUHUUKUULYOUYK
      UUHUUKUULYOUYKUUHUUKNZUULNZYONZYRUYIUYNYQUYHHUYNYQUYHMZYQYNUYFLJZMZUYMUYQ
      YOUYMUYPGCUYFUJJZLJZYQUYMYTUVMUYFTKZUYPUYSMUUHYTUUKUULUVOQUUHUVMUUKUULUVR
      QUYLUULUYTYMUULUYTOUUCUUKUULUWGYMUVMUYTUWLUVQUWGUVMUYTYPCXSVIXTQRCUYFEGVE
      VFUYMUYRYPGLUYLUULUYRYPMZYMUULVUAOUUCUUKYMUVMUULVUAUVQUULUVMVUAUVMUXEUXDV
      UAUULCYCUULYPUWLYACYPYDYEVIYFQRWHWLSYOUYOUYQWJUYMYOUYHUYPYQFYNUYFLWMWQUNW
      GWQWRWOWPYGYHRWTBUYFYLUUEUYHHUUDUYFFLWKXBVKVIYIYJVIYHVIWPYKUM $.
  $}

  ${
    $d N n y $.  $d V n y $.  $d X n y $.
    $( For a nonempty word the sets of shifted words, expressd by a finite
       interval of integers or by a half-open integer range are identical.
       (Contributed by Alexander van der Vekens, 15-Jun-2018.) $)
    scshwfzeqfzo $p |- ( ( X e. Word V /\ X =/= (/) /\ N = ( # ` X ) )
            -> { y e. Word V | E. n e. ( 0 ... N ) y = ( X cyclShift n ) }
            = { y e. Word V | E. n e. ( 0 ..^ N ) y = ( X cyclShift n ) } ) $=
      ( wcel wceq ccsh co cc0 wrex wa adantr eleq1 adantl mpbird oveq2 3ad2ant3
      wb cvv cword c0 wne chash cfv w3a cv cfz csn wo cun cuz cn0 lencl elnn0uz
      cfzo sylib 3adant2 fzisfzounsn syl rexun bitrdi fvex mpbiri eqeq2d rexsng
      rexeqdv cshwn 3ad2ant1 eqtrd cshw0 cn lennncl lbfzo0 sylibr eqeq1d eqcoms
      3adant3 eqcom biimpd rspcimedv mpd eqeq1 rexbidv ex sylbid com12 jao1i wi
      wss fzossfz ssrexv mp1i impbid rabbidva ) EDUAZFZEUBUCZCEUDUEZGZUFZAUGZEB
      UGZHIZGZBJCUHIZKZXEBJCUPIZKZAWPXAXBWPFZLZXGXIXKXGXIXEBCUIZKZUJZXIXKXGXEBX
      HXLUKZKXNXKXEBXFXOXKCJULUEZFZXFXOGXAXQXJWQWTXQWRWQWTLXQWSXPFZWQXRWTWQWSUM
      FXRDEUNWSUOUQMWTXQXRSWQCWSXPNOPURMJCUSUTVGXEBXHXLVAVBXNXKXIXIXMXKXKXMXIXK
      XMXBECHIZGZXIXAXMXTSZXJWTWQYAWRWTCTFZYAWTYBWSTFEUDVCCWSTNVDXEXTBCTXCCGXDX
      SXBXCCEHQVEVFUTRMXKXTXBEGZXIXAXTYCSXJXAXSEXBXAXSEWSHIZEWTWQXSYDGWRCWSEHQR
      WQWRYDEGWTDEVHVIVJVEMXKYCXIXKYCLZXIEXDGZBXHKZXKYGYCXAYGXJXAEJHIZEGZYGWQWR
      YIWTDEVKVIXAYFYIBJXHXACVLFZJXHFXAYJWSVLFZWQWRYKWTDEVMVRWTWQYJYKSWRCWSVLNR
      PCVNVOXAXCJGZLYIYFYLYIYFSXAYLYIXDEGZYFYIYMSJXCJXCGYHXDEJXCEHQVPVQXDEVSVBO
      VTWAWBMMYEXEYFBXHYCXEYFSXKXBEXDWCOWDPWEWFWFWGWHWGWFXHXFWJXIXGWIXKJCWKXEBX
      HXFWLWMWNWO $.
  $}

  ${
    $d m n x y $.
    cshwcshid.1 $e |- ( ph -> y e. Word V ) $.
    cshwcshid.2 $e |- ( ph -> ( # ` x ) = ( # ` y ) ) $.
    $( A cyclically shifted word can be reconstructed by cyclically shifting it
       again.  Lemma for ~ erclwwlksym and ~ erclwwlknsym .  (Contributed by
       AV, 8-Apr-2018.)  (Revised by AV, 11-Jun-2018.)  (Proof shortened by AV,
       3-Nov-2018.) $)
    cshwcshid $p |- ( ph -> ( ( m e. ( 0 ... ( # ` y ) )
                                 /\ x = ( y cyclShift m ) )
                    -> E. n e. ( 0 ... ( # ` x ) ) y = ( x cyclShift n ) ) ) $=
      ( cv cc0 chash cfz co wcel ccsh wceq wa cz adantl syl wrex cmin fznn0sub2
      cfv wi oveq2 eleq2d syl5ibr syl11 adantr impcom caddc cword simpl elfzelz
      w3a cn0 cle wbr elfz2nn0 nn0z zsubcl syl2anr 3adant3 sylbi sylan 2cshw cc
      3jca nn0cn anim12i pncan3 oveq2d cshwn 3eqtrrd adantrr wb eqeq2d rspceeqv
      oveq1 mpbird syl2anc ex ) ADIZJCIZKUDZLMZNZBIZWEWDOMZPZQZWEWIEIZOMZPEJWIK
      UDZLMZUAZAWLQZWFWDUBMZWPNZWEWIWSOMZPZWQWLAWTWHAWTUEWKWOWFPZWHWTAWHWTXCWSW
      GNWDWFUCXCWPWGWSWOWFJLUFUGUHHUIUJUKWRXBWEWJWSOMZPZAWHXEWKAWHQZXDWEWDWSULM
      ZOMZWEWFOMZWEXFWEFUMNZWDRNZWSRNZUPZXDXHPAXJWHXMGXJWHQXJXKXLXJWHUNWHXKXJWD
      JWFUOSWHXLXJWHWDUQNZWFUQNZWDWFURUSZUPZXLWDWFUTZXNXOXLXPXOWFRNXKXLXNWFVAWD
      VAWFWDVBVCVDVESVIVFWDWSFWEVGTXFXGWFWEOWHXGWFPZAWHWDVHNZWFVHNZQZXSWHXQYBXR
      XNXOYBXPXNXTXOYAWDVJWFVJVKVDVEWDWFVLTSVMAXIWEPZWHAXJYCGFWEVNTUJVOVPWLXBXE
      VQZAWKYDWHWKXAXDWEWIWJWSOVTVRSSWAEWSWPWNXAWEWMWSWIOUFVSWBWC $.
  $}

  ${
    $d k m n x z $.
    cshwcsh2id.1 $e |- ( ph -> z e. Word V ) $.
    cshwcsh2id.2 $e |- ( ph -> ( ( # ` y ) = ( # ` z )
                              /\ ( # ` x ) = ( # ` y ) ) ) $.
    $( A cyclically shifted word can be reconstructed by cyclically shifting it
       again twice.  Lemma for ~ erclwwlktr and ~ erclwwlkntr .  (Contributed
       by AV, 9-Apr-2018.)  (Revised by AV, 11-Jun-2018.)  (Proof shortened by
       AV, 3-Nov-2018.) $)
    cshwcsh2id $p |- ( ph
      -> ( ( ( m e. ( 0 ... ( # ` y ) ) /\ x = ( y cyclShift m ) )
          /\ ( k e. ( 0 ... ( # ` z ) ) /\ y = ( z cyclShift k ) ) )
            -> E. n e. ( 0 ... ( # ` z ) ) x = ( z cyclShift n ) ) ) $=
      ( co wbr cc0 wcel ccsh wceq wa wi adantr adantl cv caddc cfv cle cfz wrex
      chash wb oveq1 eqeq2d anbi2d cn0 elfznn0 nn0addcl syl2anr elfz3nn0 simprl
      ad2antlr elfz2nn0 syl3anbrc cword cz elfzelz 2cshw biimpa jca exp41 com23
      syl3anc com24 imp com12 sylbid ancoms impcom rspceeqv syl6com wn cmin clt
      oveq2 cn w3a elfz2 nn0z zaddcl ex zsubcld syl 3adant1 sylbi mpan9 anim12i
      nn0re simplr readdcl adantlr ltnled posdifd biimpd sylbird elnnz sylanbrc
      3adant3 nnnn0d eleq2d anbi1d le2add syl2anc nn0readdcl lesubadd2d sylibrd
      cr expcomd 3impia com13 syl5bi 3adant2 syl6bi cshwsublen eqtrd pm2.61ian
      ) EUAZFUAZUBKZDUAZUGUCZUDLZAYDMCUAZUGUCZUEKZNZBUAZYIYDOKZPZQZYCMYGUEKZNZY
      IYFYCOKZPZQZQZYMYFGUAZOKZPGYQUFZRUUBYHAQZYEYQNZYMYFYEOKZPZQZUUEUUAYPUUFUU
      JRZYTYRYPUUKRYTYRQYPYLYMYSYDOKZPZQZUUKYTYPUUNUHYRYTYOUUMYLYTYNUULYMYIYSYD
      OUIUJUKZSYRUUNUUKRYTUUNYRUUKYLUUMYRUUKRYLUUFYRUUMUUJYLYRUUFUUMUUJRYLYRUUF
      UUMUUJYLYRQZUUFQZUUMQUUGUUIUUQUUGUUMUUQYEULNZYGULNZYHUUGUUPUURUUFYRYCULNZ
      YDULNZUURYLYCYGUMYDYJUMZYCYDUNUOSYRUUSYLUUFYCYGUPZURUUPYHAUQYEYGUSUTSUUQU
      UMUUIUUQUULUUHYMUUQYFHVANZYCVBNZYDVBNZUULUUHPZUUFUVDUUPAUVDYHITTYRUVEYLUU
      FYCMYGVCZURUUPUVFUUFYLUVFYRYDMYJVCZSZSYCYDHYFVDZVIUJVEVFVGVHVJVKVLTVMVNVO
      GYEYQUUDUUHYMUUCYEYFOWAVPVQUUBYHVRZAQZYEYGVSKZYQNZYMYFUVNOKZPZQZUUEUUAYPU
      VMUVRRZYTYRYPUVSRYTYPYRUVSYTYPUUNYRUVSRZUUOYLUUMUVTYLUVMYRUUMUVRYLYRUVMUU
      MUVRRYLYRUVMUUMUVRUUPUVMQZUUMQUVOUVQUWAUVOUUMUWAUVNULNUUSUVNYGUDLZUVOUWAU
      VNUWAUVNVBNZMUVNVTLZUVNWBNUUPUWCUVMYLUVAYRUWCUVBYRMVBNZYGVBNZUVEWCZMYCUDL
      YCYGUDLZQZQUVAUWCRZYCMYGWDUWGUWJUWIUWFUVEUWJUWEUVAUWFUVEQZUWCUVAUVFUWKUWC
      RYDWEUVFUWKUWCUVFUWKQYEYGUWKUVFYEVBNZUVEUVFUWLRUWFUVEUVFUWLYCYDWFZWGTVOUV
      FUWFUVEUQWHWGWIVLWJSWKWLSUVMUUPUWDUVLUUPUWDRAUUPUVLUWDYLUVAYRUVLUWDRZUVBY
      RUUTUUSUWHWCZUVAUWNRZYCYGUSZUUTUUSUWPUWHUUTUUSQZUVAUWNUWRUVAQZYCXMNZYGXMN
      ZQZYDXMNZQZUWNUWRUXBUVAUXCUUTUWTUUSUXAYCWNZYGWNZWMYDWNZWMUXDUVLYGYEVTLZUW
      DUXDYGYEUWTUXAUXCWOZUWTUXCYEXMNZUXAYCYDWPWQZWRUXDUXHUWDUXDYGYEUXIUXKWSWTX
      AWIWGXDWKWLVLSVOUVNXBXCXEYRUUSYLUVMUVCURUVMUUPUWBAUUPUWBRZUVLAYJYGPZYMUGU
      CYJPZQUXLJUXMUXLUXNUXMUUPYDYQNZYRQUWBUXMYLUXOYRUXMYKYQYDYJYGMUEWAXFXGUXOY
      RUWBUXOUVAUUSYDYGUDLZWCYRUWBRZYDYGUSUVAUXPUXQUUSYRUWOUVAUXPQUWBUWQUVAUXPU
      WOUWBRUWOUXPUVAUWBUUTUUSUWHUXPUVAUWBRRUWRUVAUXPUWHUWBUWRUVAUXPUWHUWBRRUWS
      UWHUXPUWBUWSUWHUXPQZYEYGYGUBKUDLZUWBUWSUWTUXCQUXAUXAQZUXRUXSRUWRUWTUVAUXC
      UUTUWTUUSUXESUXGWMUUSUXTUUTUVAUUSUXAUXAUXFUXFVFURYCYDYGYGXHXIUWSYEYGYGUUT
      UVAUXJUUSYCYDXJWQUUSUXAUUTUVAUXFURZUYAXKXLXNWGVJXOXPVKXQXRWKVKXSSWITVOUVN
      YGUSUTSUWAUUMUVQUWAUULUVPYMUWAUULUUHUVPUWAUVDUVEUVFUVGUVMUVDUUPAUVDUVLITZ
      TYRUVEYLUVMUVHURUUPUVFUVMUVJSUVKVIUVMUVDUWLUUHUVPPUUPUYBYRUVEUVFUWLYLUVHU
      VIUWMUOYEHYFXTUOYAUJVEVFVGVHVJVKXSVHVOVOGUVNYQUUDUVPYMUUCUVNYFOWAVPVQYB
      $.
  $}

  ${
    $d F x y z $.  $d J x y z $.  $d N x y z $.  $d S x y z $.
    $( The image of a cyclically shifted word under its domain without its left
       bound is the image of a cyclically shifted word under its domain without
       the number of shifted symbols.  (Contributed by AV, 19-Mar-2021.) $)
    cshimadifsn $p |- ( ( F e. Word S /\ N = ( # ` F ) /\ J e. ( 0 ..^ N ) )
                        -> ( F " ( ( 0 ..^ N ) \ { J } ) )
                           = ( ( F cyclShift J ) " ( 1 ..^ N ) ) ) $=
      ( vx vz vy wcel cfv wceq cc0 cfzo co wrex syl oveq2 cmo 3ad2ant2 adantr
      wa cword chash w3a csn cdif cima cv cab ccsh wfun cdm wss wfn wrdfn fnfun
      c1 3ad2ant1 wi wrddm difssd difeq1d adantl simpl 3sstr4d a1d 3imp dfimafn
      ex jca caddc 3ad2antl3 wb eqcoms eleq1d mpbird modfzo0difsn eqcomd eqeq2d
      modsumfzodifsn rexbidv fveq2 3ad2ant3 simpl1 elfzoelz eleq2d sseli syl6bi
      cz fzo0ss1 cshwidxmod syl3anc 3adant3 eqtrd eqeq1d rexxfrd2 abbidv anim2i
      imp 3adant2 cshwfn eqsstrdi fndm sseqtrrd mpdan eqtr4d ) BAUAHZDBUBIZJZCK
      DLMZHZUCZBXICUDZUEZUFZEUGZBIZFUGZJZEXMNZFUHZBCUIMZUPDLMZUFZXKBUJZXMBUKZUL
      ZTXNXTJXKYDYFXFXHYDXJXFBKXGLMZUMYDABUNYGBUOOUQXFXHXJYFXFYEYGJZXHXJYFURZUR
      ABUSYHXHYIYHXHTZYFXJYJYGXLUEZYGXMYEYJYGXLUTXHXMYKJYHXHXIYGXLDXGKLPVAVBYHX
      HVCVDVEVHOVFVIEFXMBVGOXKXTGUGZYAIZXQJZGYBNZFUHZYCXKXSYOFXKXRYNEGYLCVJMZXG
      QMZXMYBXKYLYBHZTZYRXMHZYQDQMZXMHZXJXFYSUUCXHCYLDVSVKXKUUAUUCVLZYSXHXFUUDX
      JXHYRUUBXMYRUUBJXGDXGDYQQPVMVNRSVOXKXOXMHZTXOYRJZGYBNZXOUUBJZGYBNZXJXFUUE
      UUIXHGCXODVPVKXKUUGUUIVLZUUEXHXFUUJXJXHUUFUUHGYBXHYRUUBXOXHUUBYRDXGYQQPVQ
      VRVTRSVOXKYSUUFUCZXPYMXQUUKXPYRBIZYMUUFXKXPUULJYSXOYRBWAWBXKYSUULYMJZUUFY
      TXFCWHHZYLYGHZUUMXFXHXJYSWCXKUUNYSXJXFUUNXHCKDWDZWBSXKYSUUOXHXFYSUUOURXJX
      HYSYLUPXGLMZHUUOXHYBUUQYLDXGUPLPZWEUUQYGYLXGWIZWFWGRWRXFUUNUUOUCYMUULYLCA
      BWJVQWKWLWMWNWOWPXKYAUJZYBYAUKZULZTZYCYPJXKYAYGUMZUVCXKXFUUNTZUVDXFXJUVEX
      HXJUUNXFUUPWQWSCABWTOXKUVDTZUUTUVBUVDUUTXKYGYAUOVBUVFYBYGUVAXKYBYGULZUVDX
      HXFUVGXJXHYBUUQYGUURUUSXARSUVDUVAYGJXKYGYAXBVBXCVIXDGFYBYAVGOXEWM $.

    $( The image of a cyclically shifted word under its domain without its
       upper bound is the image of a cyclically shifted word under its domain
       without the number of shifted symbols.  (Contributed by AV,
       19-Mar-2021.) $)
    cshimadifsn0 $p |- ( ( F e. Word S /\ N = ( # ` F ) /\ J e. ( 0 ..^ N ) )
                         -> ( F " ( ( 0 ..^ N ) \ { J } ) )
                     = ( ( F cyclShift ( J + 1 ) ) " ( 0 ..^ ( N - 1 ) ) ) ) $=
      ( vz vy wcel cfv wceq cc0 cfzo co c1 caddc syl 3ad2ant3 adantl adantr wss
      wa vx cword chash w3a csn cdif cima ccsh cmin cshimadifsn cv cab elfzoel2
      wrex wi cz elfzom1elp1fzo1 ex imp elfzo1elm1fzo0 wb oveq1 eqeq2d elfzoelz
      zcnd npcan1 eqcomd rspcedvd fveq2 cmo 1cnd add32r syl3anc fvoveq1d simpl1
      cc peano2zd fzossrbm1 sseld oveq2 3ad2ant2 mpbid cshwidxmod fzo0ss1 sylan
      eleq2d sselid 3eqtr4rd 3adant3 eqeq1d rexxfrd2 abbidv wfun cdm wfn anim2i
      eqtrd 3adant2 cshwfn fnfun sseqtrid sseqtrrd mpdan dfimafn eqcoms 3eqtr4d
      fndm jca ) BAUBGZDBUCHZIZCJDKLZGZUDZBXLCUEUFUGBCUHLZMDKLZUGZBCMNLZUHLZJDM
      UILZKLZUGZABCDUJXNUAUKZXOHZEUKZIZUAXPUNZEULZFUKZXSHZYEIZFYAUNZEULZXQYBXNY
      GYLEXNYFYKUAFYIMNLZXPYAXNYIYAGZYNXPGZXMXIYOYPUOZXKXMDUPGZYQCJDUMZYRYOYPYI
      DUQZUROPUSXNYCXPGZTZYCYNIZYCYCMUILZMNLZIZFUUDYAUUAUUDYAGXNYCDUTQYIUUDIZUU
      CUUFVAUUBUUGYNUUEYCYIUUDMNVBVCQUUAUUFXNUUAUUEYCUUAYCVPGUUEYCIUUAYCYCMDVDV
      EYCVFOVGQVHXNYOUUCUDZYDYJYEUUHYDYNXOHZYJUUCXNYDUUIIYOYCYNXOVIPXNYOUUIYJIU
      UCXNYOTZYIXRNLZXJVJLBHZYNCNLZXJVJLBHZYJUUIUUJUUKUUMXJBVJUUJYIVPGZCVPGZMVP
      GUUKUUMIYOUUOXNYOYIYIJXTVDVEQXNUUPYOXMXIUUPXKXMCCJDVDZVEPRUUJVKYICMVLVMVN
      UUJXIXRUPGZYIJXJKLZGZYJUULIXIXKXMYOVOZXNUURYOXMXIUURXKXMCUUQVQZPRUUJYIXLG
      ZUUTXNYOUVCXMXIYOUVCUOXKXMYAXLYIXMYRYAXLSZYSDVROZVSPUSXNUVCUUTVAZYOXKXIUV
      FXMXKXLUUSYIDXJJKVTZWFWARWBYIXRABWCVMUUJXICUPGZYNUUSGZUUIUUNIUVAXNUVHYOXM
      XIUVHXKUUQPRUUJYNXLGZUVIUUJXPXLYNDWDZXNYRYOYPXMXIYRXKYSPYTWEWGXNUVJUVIVAZ
      YOXKXIUVLXMXKXLUUSYNUVGWFWARWBYNCABWCVMWHWIWQWJWKWLXNXOWMZXPXOWNZSZTZXQYH
      IXNXOUUSWOZUVPXNXIUVHTZUVQXIXMUVRXKXMUVHXIUUQWPWRCABWSOXNUVQTZUVMUVOUVQUV
      MXNUUSXOWTQUVSXPUUSUVNXNXPUUSSUVQXNXLXPUUSUVKXKXIXLUUSIXMUVGWAXARUVQUVNUU
      SIXNUUSXOXGQXBXHXCUAEXPXOXDOXNXSWMZYAXSWNZSZTZYBYMIXNXSUUSWOZUWCXNXIUURTZ
      UWDXIXMUWEXKXMUURXIUVBWPWRXRABWSOXNUWDTZUVTUWBUWDUVTXNUUSXSWTQUWFYAUUSUWA
      XNYAUUSSUWDXNYAXLUUSXMXIUVDXKUVEPXKXIUUSXLIZXMUWGXJDXJDJKVTXEWAXBRUWDUWAU
      USIXNUUSXSXGQXBXHXCFEYAXSXDOXFWQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Mapping words by a function
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Mapping a word by a function.  (Contributed by Stefan O'Rear,
     27-Aug-2015.) $)
  wrdco $p |- ( ( W e. Word A /\ F : A --> B ) -> ( F o. W ) e. Word B ) $=
    ( cword wcel wf wa cc0 chash cfv cfzo co ccom simpr wrdf adantr fco syl2anc
    iswrdi syl ) DAEFZABCGZHZIDJKZLMZBCDNZGZUGBEFUDUCUFADGZUHUBUCOUBUIUCADPQUFA
    BCDRSBUEUGTUA $.

  $( Length of a mapped word is unchanged.  (Contributed by Stefan O'Rear,
     27-Aug-2015.) $)
  lenco $p |- ( ( W e. Word A /\ F : A --> B ) ->
      ( # ` ( F o. W ) ) = ( # ` W ) ) $=
    ( cword wcel wf wa ccom chash cfv cc0 cfzo wfn wceq simpr ffn hashfn 3syl
    co wrdf adantr fco syl2anc eqtr4d ) DAEFZABCGZHZCDIZJKZLDJKZMTZJKZUKUHULBUI
    GZUIULNUJUMOUHUGULADGZUNUFUGPUFUOUGADUAUBZULABCDUCUDULBUIQULUIRSUHUODULNUKU
    MOUPULADQULDRSUE $.

  $( Mapping of a singleton word.  (Contributed by Mario Carneiro,
     27-Sep-2015.)  (Revised by Mario Carneiro, 26-Feb-2016.) $)
  s1co $p |- ( ( S e. A /\ F : A --> B ) ->
    ( F o. <" S "> ) = <" ( F ` S ) "> ) $=
    ( wcel wf wa cs1 ccom cc0 csn cxp cfv wceq cop s1val cc 0cn eqtr4d cvv mpan
    xpsng adantr coeq2d fvex ax-mp c0ex xpsn eqtr4i wfn ffn id fcoconst syl2anr
    eqtr4id ) CAEZABDFZGZDCHZIDJKZCKLZIZCDMZHZURUSVADUPUSVANUQUPUSJCOKZVACAPJQE
    UPVAVENRJCQAUBUASUCUDURVDUTVCKLZVBVDJVCOKZVFVCTEVDVGNCDUEZVCTPUFJVCUGVHUHUI
    UQDAUJUPVBVFNUPABDUKUPULDUTACUMUNUOS $.

  ${
    $d x y A $.  $d x B $.  $d x y F $.  $d x y S $.  $d x y T $.  $d x W $.
    $( Mapping of words (i.e., a letterwise mapping) commutes with reversal.
       (Contributed by Stefan O'Rear, 27-Aug-2015.) $)
    revco $p |- ( ( W e. Word A /\ F : A --> B ) ->
        ( F o. ( reverse ` W ) ) = ( reverse ` ( F o. W ) ) ) $=
      ( vx wcel wf wa cc0 creverse cfv chash cfzo co cmpt cmin wceq syl adantr
      c1 cword cv wfn wrdfn ad2antrr cfz cz lencl nn0zd fzoval eleq2d fznn0sub2
      biimpa eleqtrrd fvco2 syl2anc lenco oveq1d fveq2d revfv adantlr mpteq2dva
      ccom 3eqtr4d oveq2d revlen 3eqtr4rd simpr revcl wrdf fcompt cvv wfun ffun
      mpteq1d simpl cofunexg syl2an2 revval ) DAUAZFZABCGZHZEIDJKZLKZMNZEUBZWDK
      ZCKZOZEICDVCZLKZMNZWLTPNZWGPNZWKKZOZCWDVCZWKJKZWCEIDLKZMNZWPOEXAWIOWQWJWC
      EXAWPWIWCWGXAFZHZWTTPNZWGPNZWKKZXEDKZCKZWPWIXCDXAUCZXEXAFXFXHQWAXIWBXBADU
      DUEXCXEIXDUFNZXAXCWGXJFZXEXJFWCXBXKWCXAXJWGWAXAXJQZWBWAWTUGFXLWAWTADUHUII
      WTUJRSZUKUMWGXDULRWCXLXBXMSUNXACDXEUOUPXCWOXEWKWCWOXEQXBWCWNXDWGPWCWLWTTP
      ABCDUQZURURSUSXCWHXGCWAXBWHXGQWBADWGUTVAUSVDVBWCEWMXAWPWCWLWTIMXNVEVOWCEW
      FXAWIWCWEWTIMWAWEWTQWBADVFSVEVOVGWCWBWFAWDGZWRWJQWAWBVHWAXOWBWAWDVTFXOADV
      IAWDVJRSECWDWFABVKUPWCWKVLFZWSWQQWBCVMWAWAXPABCVNWAWBVPCDVTVQVREVLWKVSRVD
      $.

    $( Mapping of words commutes with concatenation.  (Contributed by Stefan
       O'Rear, 27-Aug-2015.) $)
    ccatco $p |- ( ( S e. Word A /\ T e. Word A /\ F : A --> B ) ->
        ( F o. ( S ++ T ) ) = ( ( F o. S ) ++ ( F o. T ) ) ) $=
      ( vx vy wcel wf cc0 chash cfv caddc co cfzo cif cmpt wceq syl2anc cvv w3a
      cword cv cmin cconcat lenco 3adant2 3adant1 oveq12d oveq2d mpteq1d adantr
      ccom eleq2d ifbid wfn wrdf 3ad2ant1 ffnd fvco2 sylan iftrue adantl eqtr4d
      wa wn 3ad2ant2 ad2antrr cz lencl nn0zd fzospliti ancoms orcanai fzosubel3
      wo fveq2d iffalse ifeqda eqtrd mpteq2dva eqtr2d ffvelrnda ffvelrnd ifclda
      3eqtr4d ccatfval 3adant3 simp3 feqmptd fveq2 fvif eqtrdi fmptco wfun ffun
      3ad2ant3 simp1 cofunexg simp2 ) CAUBZHZDXAHZABEIZUAZFJCKLZDKLZMNZONZFUCZJ
      XFONZHZXJCLZELZXJXFUDNZDLZELZPZQZFJECUMZKLZEDUMZKLZMNZONZXJJYAONZHZXJXTLZ
      XJYAUDNZYBLZPZQZECDUENZUMXTYBUENZXEYLFXIYKQXSXEFYEXIYKXEYDXHJOXEYAXFYCXGM
      XBXDYAXFRXCABECUFUGZXCXDYCXGRXBABEDUFUHUIUJUKXEFXIYKXRXEXJXIHZVEZYKXLYHYJ
      PXRYQYGXLYHYJYQYFXKXJXEYFXKRYPXEYAXFJOYOUJULUNUOYQXLYHYJXRYQXLVEYHXNXRYQC
      XKUPXLYHXNRYQXKACXEXKACIZYPXBXCYRXDACUQURULZUSXKECXJUTVAXLXRXNRYQXLXNXQVB
      VCVDYQXLVFZVEZXOYBLZXQYJXRUUADJXGONZUPXOUUCHZUUBXQRUUAUUCADXEUUCADIZYPYTX
      CXBUUEXDADUQVGVHZUSUUAXJXFXHONHZXGVIHZUUDYQXLUUGXEXFVIHZYPXLUUGVPZXBXCUUI
      XDXBXFACVJVKURYPUUIUUJXJJXHXFVLVMVAVNXEUUHYPYTXCXBUUHXDXCXGADVJVKVGVHXJXF
      XGVOSZUUCEDXOUTSXEYJUUBRYPYTXEYIXOYBXEYAXFXJUDYOUJVQVHYTXRXQRYQXLXNXQVRVC
      WFVSVTWAWBXEFGXIAXLXMXPPZGUCZELZXRYMEYQXLXMXPAYQXKAXJCYSWCUUAUUCAXODUUFUU
      KWDWEXBXCYMFXIUULQRXDFCDXAXAWGWHXEGABEXBXCXDWIWJUUMUULRUUNUULELXRUUMUULEW
      KXLXMXPEWLWMWNXEXTTHZYBTHZYNYLRXEEWOZXBUUOXDXBUUQXCABEWPWQZXBXCXDWRECXAWS
      SXEUUQXCUUPUURXBXCXDWTEDXAWSSFXTYBTTWGSWF $.
  $}

  ${
    $d A i $.  $d B i $.  $d F i $.  $d N i $.  $d W i $.
    $( Mapping of words commutes with the "cyclical shift" operation.
       (Contributed by AV, 12-Nov-2018.) $)
    cshco $p |- ( ( W e. Word A /\ N e. ZZ /\ F : A --> B )
                -> ( F o. ( W cyclShift N ) ) = ( ( F o. W ) cyclShift N ) ) $=
      ( vi wcel cz cc0 cfv cfzo co wfn syl3anc syl2anc oveq2d cmo adantr fveq2d
      wceq cword w3a chash ccsh ccom crn wss ffn 3ad2ant3 cshwfn 3adant3 cshwrn
      wf fnco wrdco 3adant2 simp2 lenco fneq2d mpbid cv wa caddc wrdfn 3ad2ant1
      cn zaddcl syl2anr cn0 clt wbr elfzo0 simp2bi adantl zmodfzo eleq1d mpbird
      elfzoelz wb fvco2 simpl1 cshwidxmod 3eqtr4rd eqcomd eleq2d biimpa 3eqtr4d
      simpr sylan eqfnfvd ) EAUAGZDHGZABCUMZUBZFIEUCJZKLZCEDUDLZUEZCEUEZDUDLZWN
      CAMZWQWPMZWQUFAUGZWRWPMWMWKXAWLABCUHUIWKWLXBWMDAEUJUKZWKWLXCWMDAEULUKAWPC
      WQUNNWNWTIWSUCJZKLZMZWTWPMWNWSBUAGZWLXGWKWMXHWLABCEUOUPZWKWLWMUQZDBWSUJOW
      NXFWPWTWNXEWOIKWKWMXEWOTZWLABCEURUPZPUSUTWNFVAZWPGZVBZXMWQJZCJZXMDVCLZXEQ
      LZWSJZXMWRJZXMWTJZXOXSEJZCJZXRWOQLZEJZCJZXTXQXOYCYFCXOXSYEEXOXEWOXRQWNXKX
      NXLRPSSXOEWPMZXSWPGZXTYDTWNYHXNWKWLYHWMAEVDVERXOYIYEWPGZXOXRHGZWOVFGZYJXN
      XMHGWLYKWNXMIWOVRXJXMDVGVHXNYLWNXNXMVIGYLXMWOVJVKXMWOVLVMVNXRWOVOOWNYIYJV
      SXNWNXSYEWPWNXEWOXRQXLPVPRVQWPCEXSVTOXOWKWLXNXQYGTWKWLWMXNWAWNWLXNXJRZWNX
      NWHWKWLXNUBXPYFCXMDAEWBSNWCWNXBXNYAXQTXDWPCWQXMVTWIXOXHWLXMXFGZYBXTTWNXHX
      NXIRYMWNXNYNWNWPXFXMWNWOXEIKWNXEWOXLWDPWEWFXMDBWSWBNWGWJ $.

    $d M i $.
    $( Mapping of words commutes with the substring operation.  (Contributed by
       AV, 11-Nov-2018.) $)
    swrdco $p |- ( ( W e. Word A /\ ( M e. ( 0 ... N )
                     /\ N e. ( 0 ... ( # ` W ) ) ) /\ F : A --> B )
                   -> ( F o. ( W substr <. M , N >. ) )
                      = ( ( F o. W ) substr <. M , N >. ) ) $=
      ( vi cword wcel cc0 cfz co cfv wa w3a wfn 3adant3 wi wceq sylan cmin cfzo
      chash wf cop csubstr ccom crn wss 3ad2ant3 swrdvalfn 3expb swrdrn syl3anc
      fnco wrdco 3adant2 simp2l lenco eqcomd oveq2d eleq2d biimpd expcom adantl
      com13 3imp21 cv caddc 3anass biimpri swrdfv fveq2d wrdfn elfzodifsumelfzo
      ffn 3ad2ant1 3ad2ant2 imp fvco2 syl2an2r eqtr4d ancoms ex 3eqtr4d eqfnfvd
      3jca ) FAHIZDJEKLIZEJFUCMZKLZIZNZABCUDZOZGJEDUALUBLZCFDEUEZUFLZUGZCFUGZWQ
      UFLZWOCAPZWRWPPZWRUHAUIZWSWPPWNWHXBWMABCVPUJWHWMXCWNWHWIWLXCFDEAUKULQZWHW
      MXDWNWHWIWLXDDEAFUMULQAWPCWRUOUNWOWTBHIZWIEJWTUCMZKLZIZXAWPPWHWNXFWMABCFU
      PUQZWHWIWLWNURZWMWHWNXIWLWHWNXIRRZWIWNWHWLXIWHWNWLXIRZWHWNNZWLXIXNWKXHEXN
      WJXGJKXNXGWJABCFUSZUTVAVBVCVDVFVEVGWTDEBUKUNWOGVHZWPIZNZXPWRMZCMZXPDVILZW
      TMZXPWSMZXPXAMZXRXTYAFMZCMZYBWOWHWIWLOZXQXTYFSWHWMYGWNYGWHWMNWHWIWLVJVKQY
      GXQNXSYECAFDEXPVLVMTWOFJWJUBLZPZXQYAYHIZYBYFSWHWMYIWNAFVNVQWOXQYJWMWHXQYJ
      RWNWJXPDEVOVRVSYHCFYAVTWAWBWOXCXQYCXTSXEWPCWRXPVTTWOXFWIXIOXQYDYBSWOXFWIX
      IXJXKWMWHWNXIWLXLWIWNWHWLXIWNWHXMWNWHNZWLXIYKWKXHEYKWJXGJKYKXGWJWHWNXGWJS
      XOWCUTVAVBVCWDVFVEVGWGBWTDEXPVLTWEWF $.
  $}

  $( Mapping of words commutes with the prefix operation.  (Contributed by AV,
     15-May-2020.) $)
  pfxco $p |- ( ( W e. Word A /\ N e. ( 0 ... ( # ` W ) ) /\ F : A --> B )
                -> ( F o. ( W prefix N ) ) = ( ( F o. W ) prefix N ) ) $=
    ( cword wcel cc0 chash cfz co csubstr ccom cpfx wa wceq syl jca pfxval cvv
    cfv w3a cop cn0 elfznn0 3ad2ant2 0elfz simp2 swrdco syld3an2 sylan2 3adant3
    wf coeq2d wfun ffun anim2i ancomd 3adant2 cofunexg 3eqtr4d ) EAFZGZDHEIUAZJ
    KGZABCUMZUBZCEHDUCZLKZMZCEMZVHLKZCEDNKZMZVKDNKZVCHHDJKGZVEOVEVFVJVLPVGVPVEV
    GDUDGZVPVEVCVQVFDVDUEZUFZDUGQVCVEVFUHRABCHDEUIUJVCVEVNVJPVFVCVEOVMVICVEVCVQ
    VMVIPVREDVBSUKUNULVGVKTGZVQOVOVLPVGVTVQVGCUOZVCOZVTVCVFWBVEVCVFOVCWAVFWAVCA
    BCUPUQURUSCEVBUTQVSRVKDTSQVA $.

  $( Mapping of (nonempty) words commutes with the "last symbol" operation.
     This theorem would not hold if ` W = (/) ` , ` ( F `` (/) ) =/= (/) ` and
     ` (/) e. A ` , because then ` ( lastS `` ( F o. W ) ) `
     ` = ( lastS `` (/) ) = (/) =/= ( F `` (/) ) = ( F ( lastS `` W ) ) ` .
     (Contributed by AV, 11-Nov-2018.) $)
  lswco $p |- ( ( W e. Word A /\ W =/= (/) /\ F : A --> B )
                -> ( lastS ` ( F o. W ) ) = ( F ` ( lastS ` W ) ) ) $=
    ( cword wcel c0 wf clsw cfv chash c1 cmin co wa cvv wceq 3adant2 lsw syl cn
    wne w3a ccom wfun ffun anim1i ancoms cofunexg 3syl lenco fvoveq1d cfzo wrdf
    cc0 adantr lennncl fzo0end jca 3adant3 fvco3 3ad2ant1 eqcomd fveq2d 3eqtrd
    eqtrd ) DAEZFZDGUBZABCHZUCZCDUDZIJZVLKJZLMNVLJZDKJZLMNZVLJZDIJZCJZVKCUEZVHO
    ZVLPFVMVOQVHVJWBVIVJVHWBVJWAVHABCUFUGUHRCDVGUIVLPSUJVKVNVPLVLMVHVJVNVPQVIAB
    CDUKRULVKVRVQDJZCJZVTVKUOVPUMNZADHZVQWEFZOZVRWDQVHVIWHVJVHVIOZWFWGVHWFVIADU
    NUPWIVPUAFWGADUQVPURTUSUTWEAVQCDVATVKWCVSCVKVSWCVHVIVSWCQVJDVGSVBVCVDVFVE
    $.

  ${
    $d A x $.  $d B x $.  $d F x $.  $d N x $.  $d S x $.
    $( Mapping of words commutes with the "repeated symbol" operation.
       (Contributed by AV, 11-Nov-2018.) $)
    repsco $p |- ( ( S e. A /\ N e. NN0 /\ F : A --> B )
                   -> ( F o. ( S repeatS N ) ) = ( ( F ` S ) repeatS N ) ) $=
      ( vx wcel cn0 wf w3a cc0 cfzo co creps cfv cmpt wa wceq 3adant3 cvv simpr
      ccom simpl1 simpl2 repswsymb syl3anc fveq2d mpteq2dva simp3 repsf syl2anc
      cv fcompt fvexd anim1i reps syl 3eqtr4d ) CAGZEHGZABDIZJZFKELMZFULZCENMZO
      ZDOZPZFVCCDOZPZDVEUBZVIENMZVBFVCVGVIVBVDVCGZQZVFCDVNUSUTVMVFCRUSUTVAVMUCU
      SUTVAVMUDVBVMUACVDEAUEUFUGUHVBVAVCAVEIZVKVHRUSUTVAUIUSUTVOVACEAUJSFDVEVCA
      BUMUKVBVITGZUTQZVLVJRUSUTVQVAUSVPUTUSCDUNUOSFVIETUPUQUR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Longer string literals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)
  $( Syntax for the length 2 word constructor. $)
  cs2 $a class <" A B "> $.

  $( Syntax for the length 3 word constructor. $)
  cs3 $a class <" A B C "> $.

  $( Syntax for the length 4 word constructor. $)
  cs4 $a class <" A B C D "> $.

  $( Syntax for the length 5 word constructor. $)
  cs5 $a class <" A B C D E "> $.

  $( Syntax for the length 6 word constructor. $)
  cs6 $a class <" A B C D E F "> $.

  $( Syntax for the length 7 word constructor. $)
  cs7 $a class <" A B C D E F G "> $.

  $( Syntax for the length 8 word constructor. $)
  cs8 $a class <" A B C D E F G H "> $.

  $( Define the length 2 word constructor.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  df-s2 $a |- <" A B "> = ( <" A "> ++ <" B "> ) $.

  $( Define the length 3 word constructor.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  df-s3 $a |- <" A B C "> = ( <" A B "> ++ <" C "> ) $.

  $( Define the length 4 word constructor.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  df-s4 $a |- <" A B C D "> = ( <" A B C "> ++ <" D "> ) $.

  $( Define the length 5 word constructor.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  df-s5 $a |- <" A B C D E "> = ( <" A B C D "> ++ <" E "> ) $.

  $( Define the length 6 word constructor.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  df-s6 $a |- <" A B C D E F "> = ( <" A B C D E "> ++ <" F "> ) $.

  $( Define the length 7 word constructor.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  df-s7 $a |- <" A B C D E F G "> = ( <" A B C D E F "> ++ <" G "> ) $.

  $( Define the length 8 word constructor.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  df-s8 $a |- <" A B C D E F G H "> = ( <" A B C D E F G "> ++ <" H "> ) $.

  ${
    cats1cld.1 $e |- T = ( S ++ <" X "> ) $.
    ${
      cats1cld.2 $e |- ( ph -> S e. Word A ) $.
      cats1cld.3 $e |- ( ph -> X e. A ) $.
      $( Closure of concatenation with a singleton word.  (Contributed by Mario
         Carneiro, 26-Feb-2016.) $)
      cats1cld $p |- ( ph -> T e. Word A ) $=
        ( cs1 cconcat co cword wcel s1cld ccatcl syl2anc eqeltrid ) ADCEIZJKZBL
        ZFACTMRTMSTMGAEBHNBCROPQ $.

      cats1co.4 $e |- ( ph -> F : A --> B ) $.
      cats1co.5 $e |- ( ph -> ( F o. S ) = U ) $.
      cats1co.6 $e |- V = ( U ++ <" ( F ` X ) "> ) $.
      $( Closure of concatenation with a singleton word.  (Contributed by Mario
         Carneiro, 26-Feb-2016.) $)
      cats1co $p |- ( ph -> ( F o. T ) = V ) $=
        ( cs1 cconcat co ccom wcel cfv cword wf wceq s1cld syl3anc s1co syl2anc
        ccatco oveq12d eqtrd coeq2i 3eqtr4g ) AGDIPZQRZSZFIGUAPZQRZGESHAUPGDSZG
        UNSZQRZURADBUBZTUNVBTBCGUCZUPVAUDKAIBLUEMBCDUNGUIUFAUSFUTUQQNAIBTVCUTUQ
        UDLMBCIGUGUHUJUKEUOGJULOUM $.
    $}

    ${
      cats1cli.2 $e |- S e. Word _V $.
      $( Closure of concatenation with a singleton word.  (Contributed by Mario
         Carneiro, 26-Feb-2016.) $)
      cats1cli $p |- T e. Word _V $=
        ( cs1 cconcat co cvv cword wcel s1cli ccatcl mp2an eqeltri ) BACFZGHZIJ
        ZDARKPRKQRKECLIAPMNO $.

      cats1fvn.3 $e |- ( # ` S ) = M $.
      $( The last symbol of a concatenation with a singleton word.
         (Contributed by Mario Carneiro, 26-Feb-2016.) $)
      cats1fvn $p |- ( X e. V -> ( T ` M ) = X ) $=
        ( wcel cfv cc0 cs1 chash caddc co cconcat oveq2i cn0 cvv cn cword lencl
        ax-mp eqeltrri nn0cni addid2i eqtr2i fveq12i cfzo wceq s1cli c1 eqeltri
        s1len 1nn lbfzo0 mpbir ccatval3 mp3an eqtri s1fv eqtrid ) EDICBJZKELZJZ
        EVCKAMJZNOZAVDPOZJZVECVGBVHFVGKCNOCVFCKNHQCCVFCRHASUAZIZVFRIGSAUBUCUDUE
        UFUGUHVKVDVJIKKVDMJZUIOIZVIVEUJGEUKVMVLTIVLULTEUNUOUMVLUPUQSAVDKURUSUTE
        DVAVB $.

      ${
        cats1fv.4 $e |- ( Y e. V -> ( S ` N ) = Y ) $.
        cats1fv.5 $e |- N e. NN0 $.
        cats1fv.6 $e |- N < M $.
        $( A symbol other than the last in a concatenation with a singleton
           word.  (Contributed by Mario Carneiro, 26-Feb-2016.) $)
        cats1fv $p |- ( Y e. V -> ( T ` N ) = Y ) $=
          ( wcel cfv co cvv cc0 clt cn0 cs1 cconcat cword chash cfzo wceq s1cli
          fveq1i cuz wbr nn0uz eleqtri lencl nn0z mp2b breqtrri elfzo2 mpbir3an
          cz ccatval1 mp3an eqtri eqtrid ) GENDBOZDAOZGVDDAFUAZUBPZOZVEDBVGHUHA
          QUCZNZVFVINDRAUDOZUEPNZVHVEUFIFUGVLDRUIOZNVKUSNZDVKSUJDTVMLUKULVJVKTN
          VNIQAUMVKUNUODCVKSMJUPDRVKUQURQQAVFDUTVAVBKVC $.
      $}

      cats1len.4 $e |- ( M + 1 ) = N $.
      $( The length of concatenation with a singleton word.  (Contributed by
         Mario Carneiro, 26-Feb-2016.) $)
      cats1len $p |- ( # ` T ) = N $=
        ( chash cfv cs1 cconcat co fveq2i c1 caddc cvv wcel eqtri cword ccatlen
        wceq s1cli mp2an s1len oveq12i ) BJKAELZMNZJKZDBUIJFOUJCPQNZDUJAJKZUHJK
        ZQNZUKARUAZSUHUOSUJUNUCGEUDRRAUHUBUEULCUMPQHEUFUGTITT $.
    $}

    ${
      cats1cat.2 $e |- A e. Word _V $.
      cats1cat.3 $e |- S e. Word _V $.
      cats1cat.4 $e |- C = ( B ++ <" X "> ) $.
      cats1cat.5 $e |- B = ( A ++ S ) $.
      $( Closure of concatenation with a singleton word.  (Contributed by Mario
         Carneiro, 26-Feb-2016.) $)
      cats1cat $p |- C = ( A ++ T ) $=
        ( cs1 cconcat co oveq1i cvv cword wcel wceq s1cli ccatass mp3an 3eqtr4i
        eqtri oveq2i ) BFLZMNZADUFMNZMNZCAEMNUGADMNZUFMNZUIBUJUFMKOAPQZRDULRUFU
        LRUKUISHIFTPADUFUAUBUDJEUHAMGUEUC $.
    $}
  $}

  ${
    cats2cat.b $e |- B e. Word _V $.
    cats2cat.d $e |- D e. Word _V $.
    cats2cat.a $e |- A = ( B ++ <" X "> ) $.
    cats2cat.c $e |- C = ( <" Y "> ++ D ) $.
    $( Closure of concatenation of concatenations with singleton words.
       (Contributed by AV, 1-Mar-2021.) $)
    cats2cat $p |- ( A ++ C ) = ( ( B ++ <" X Y "> ) ++ D ) $=
      ( cconcat co cs1 cs2 cvv wcel wceq s1cli ccatass mp3an cword ccatcl mp2an
      oveq12i df-s2 eqcomi oveq2i eqtri oveq1i 3eqtr2i ) ACKLBEMZKLZFMZDKLZKLZU
      LUMKLZDKLZBEFNZKLZDKLAULCUNKIJUDULOUAZPZUMUTPZDUTPUQUOQBUTPZUKUTPZVAGERZO
      BUKUBUCFRZHOULUMDSTUPUSDKUPBUKUMKLZKLZUSVCVDVBUPVHQGVEVFOBUKUMSTVGURBKURV
      GEFUEUFUGUHUIUJ $.
  $}

  ${
    s2eqd.1 $e |- ( ph -> A = N ) $.
    s2eqd.2 $e |- ( ph -> B = O ) $.
    $( Equality theorem for a doubleton word.  (Contributed by Mario Carneiro,
       27-Feb-2016.) $)
    s2eqd $p |- ( ph -> <" A B "> = <" N O "> ) $=
      ( cs1 cconcat co cs2 s1eqd oveq12d df-s2 3eqtr4g ) ABHZCHZIJDHZEHZIJBCKDE
      KAPRQSIABDFLACEGLMBCNDENO $.

    s3eqd.3 $e |- ( ph -> C = P ) $.
    $( Equality theorem for a length 3 word.  (Contributed by Mario Carneiro,
       27-Feb-2016.) $)
    s3eqd $p |- ( ph -> <" A B C "> = <" N O P "> ) $=
      ( cs2 cs1 cconcat co cs3 s2eqd s1eqd oveq12d df-s3 3eqtr4g ) ABCKZDLZMNFG
      KZELZMNBCDOFGEOAUAUCUBUDMABCFGHIPADEJQRBCDSFGEST $.

    s4eqd.4 $e |- ( ph -> D = Q ) $.
    $( Equality theorem for a length 4 word.  (Contributed by Mario Carneiro,
       27-Feb-2016.) $)
    s4eqd $p |- ( ph -> <" A B C D "> = <" N O P Q "> ) $=
      ( cs3 cs1 cconcat co cs4 s3eqd df-s4 s1eqd oveq12d 3eqtr4g ) ABCDNZEOZPQH
      IFNZGOZPQBCDERHIFGRAUDUFUEUGPABCDFHIJKLSAEGMUAUBBCDETHIFGTUC $.

    s5eqd.5 $e |- ( ph -> E = R ) $.
    $( Equality theorem for a length 5 word.  (Contributed by Mario Carneiro,
       27-Feb-2016.) $)
    s5eqd $p |- ( ph -> <" A B C D E "> = <" N O P Q R "> ) $=
      ( cs4 cs1 cconcat co cs5 s4eqd s1eqd oveq12d df-s5 3eqtr4g ) ABCDEQZIRZST
      JKFGQZHRZSTBCDEIUAJKFGHUAAUGUIUHUJSABCDEFGJKLMNOUBAIHPUCUDBCDEIUEJKFGHUEU
      F $.

    s6eqd.6 $e |- ( ph -> F = S ) $.
    $( Equality theorem for a length 6 word.  (Contributed by Mario Carneiro,
       27-Feb-2016.) $)
    s6eqd $p |- ( ph -> <" A B C D E F "> = <" N O P Q R S "> ) $=
      ( cconcat cs5 cs1 co cs6 s5eqd s1eqd oveq12d df-s6 3eqtr4g ) ABCDEJUAZKUB
      ZTUCLMFGHUAZIUBZTUCBCDEJKUDLMFGHIUDAUJULUKUMTABCDEFGHJLMNOPQRUEAKISUFUGBC
      DEJKUHLMFGHIUHUI $.

    s7eqd.6 $e |- ( ph -> G = T ) $.
    $( Equality theorem for a length 7 word.  (Contributed by Mario Carneiro,
       27-Feb-2016.) $)
    s7eqd $p |- ( ph -> <" A B C D E F G "> = <" N O P Q R S T "> ) $=
      ( cs6 cs1 cconcat co cs7 s6eqd s1eqd oveq12d df-s7 3eqtr4g ) ABCDEKLUCZMU
      DZUEUFNOFGHIUCZJUDZUEUFBCDEKLMUGNOFGHIJUGAUMUOUNUPUEABCDEFGHIKLNOPQRSTUAU
      HAMJUBUIUJBCDEKLMUKNOFGHIJUKUL $.

    s8eqd.6 $e |- ( ph -> H = U ) $.
    $( Equality theorem for a length 8 word.  (Contributed by Mario Carneiro,
       27-Feb-2016.) $)
    s8eqd $p |- ( ph -> <" A B C D E F G H "> = <" N O P Q R S T U "> ) $=
      ( cs7 cs1 cconcat co cs8 s7eqd s1eqd oveq12d df-s8 3eqtr4g ) ABCDELMNUFZO
      UGZUHUIPQFGHIJUFZKUGZUHUIBCDELMNOUJPQFGHIJKUJAUPURUQUSUHABCDEFGHIJLMNPQRS
      TUAUBUCUDUKAOKUEULUMBCDELMNOUNPQFGHIJKUNUO $.
  $}

  $( Equality theorem for a length 3 word for the second symbol.  (Contributed
     by AV, 4-Jan-2022.) $)
  s3eq2 $p |- ( B = D -> <" A B C "> = <" A D C "> ) $=
    ( wceq eqidd id s3eqd ) BDEZABCCADIAFIGICFH $.

  ${
    s2cld.1 $e |- ( ph -> A e. X ) $.
    s2cld.2 $e |- ( ph -> B e. X ) $.
    $( A doubleton word is a word.  (Contributed by Mario Carneiro,
       27-Feb-2016.) $)
    s2cld $p |- ( ph -> <" A B "> e. Word X ) $=
      ( cs1 cs2 df-s2 s1cld cats1cld ) ADBGBCHCBCIABDEJFK $.

    s3cld.3 $e |- ( ph -> C e. X ) $.
    $( A length 3 string is a word.  (Contributed by Mario Carneiro,
       27-Feb-2016.) $)
    s3cld $p |- ( ph -> <" A B C "> e. Word X ) $=
      ( cs2 cs3 df-s3 s2cld cats1cld ) AEBCIBCDJDBCDKABCEFGLHM $.

    s4cld.4 $e |- ( ph -> D e. X ) $.
    $( A length 4 string is a word.  (Contributed by Mario Carneiro,
       27-Feb-2016.) $)
    s4cld $p |- ( ph -> <" A B C D "> e. Word X ) $=
      ( cs3 cs4 df-s4 s3cld cats1cld ) AFBCDKBCDELEBCDEMABCDFGHINJO $.

    s5cld.5 $e |- ( ph -> E e. X ) $.
    $( A length 5 string is a word.  (Contributed by Mario Carneiro,
       27-Feb-2016.) $)
    s5cld $p |- ( ph -> <" A B C D E "> e. Word X ) $=
      ( cs4 cs5 df-s5 s4cld cats1cld ) AGBCDEMBCDEFNFBCDEFOABCDEGHIJKPLQ $.

    s6cld.6 $e |- ( ph -> F e. X ) $.
    $( A length 6 string is a word.  (Contributed by Mario Carneiro,
       27-Feb-2016.) $)
    s6cld $p |- ( ph -> <" A B C D E F "> e. Word X ) $=
      ( cs5 cs6 df-s6 s5cld cats1cld ) AHBCDEFOBCDEFGPGBCDEFGQABCDEFHIJKLMRNS
      $.

    s7cld.7 $e |- ( ph -> G e. X ) $.
    $( A length 7 string is a word.  (Contributed by Mario Carneiro,
       27-Feb-2016.) $)
    s7cld $p |- ( ph -> <" A B C D E F G "> e. Word X ) $=
      ( cs6 cs7 df-s7 s6cld cats1cld ) AIBCDEFGQBCDEFGHRHBCDEFGHSABCDEFGIJKLMNO
      TPUA $.

    s8cld.8 $e |- ( ph -> H e. X ) $.
    $( A length 7 string is a word.  (Contributed by Mario Carneiro,
       27-Feb-2016.) $)
    s8cld $p |- ( ph -> <" A B C D E F G H "> e. Word X ) $=
      ( cs7 cs8 df-s8 s7cld cats1cld ) AJBCDEFGHSBCDEFGHITIBCDEFGHIUAABCDEFGHJK
      LMNOPQUBRUC $.
  $}

  $( A doubleton word is a word.  (Contributed by Stefan O'Rear, 23-Aug-2015.)
     (Revised by Mario Carneiro, 26-Feb-2016.) $)
  s2cl $p |- ( ( A e. X /\ B e. X ) -> <" A B "> e. Word X ) $=
    ( wcel wa simpl simpr s2cld ) ACDZBCDZEABCIJFIJGH $.

  $( A length 3 string is a word.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s3cl $p |- ( ( A e. X /\ B e. X /\ C e. X ) -> <" A B C "> e. Word X ) $=
    ( wcel w3a simp1 simp2 simp3 s3cld ) ADEZBDEZCDEZFABCDKLMGKLMHKLMIJ $.

  $( A doubleton word is a word.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s2cli $p |- <" A B "> e. Word _V $=
    ( cs1 cs2 df-s2 s1cli cats1cli ) ACABDBABEAFG $.

  $( A length 3 string is a word.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s3cli $p |- <" A B C "> e. Word _V $=
    ( cs2 cs3 df-s3 s2cli cats1cli ) ABDABCECABCFABGH $.

  $( A length 4 string is a word.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s4cli $p |- <" A B C D "> e. Word _V $=
    ( cs3 cs4 df-s4 s3cli cats1cli ) ABCEABCDFDABCDGABCHI $.

  $( A length 5 string is a word.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s5cli $p |- <" A B C D E "> e. Word _V $=
    ( cs4 cs5 df-s5 s4cli cats1cli ) ABCDFABCDEGEABCDEHABCDIJ $.

  $( A length 6 string is a word.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s6cli $p |- <" A B C D E F "> e. Word _V $=
    ( cs5 cs6 df-s6 s5cli cats1cli ) ABCDEGABCDEFHFABCDEFIABCDEJK $.

  $( A length 7 string is a word.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s7cli $p |- <" A B C D E F G "> e. Word _V $=
    ( cs6 cs7 df-s7 s6cli cats1cli ) ABCDEFHABCDEFGIGABCDEFGJABCDEFKL $.

  $( A length 8 string is a word.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s8cli $p |- <" A B C D E F G H "> e. Word _V $=
    ( cs7 cs8 df-s8 s7cli cats1cli ) ABCDEFGIABCDEFGHJHABCDEFGHKABCDEFGLM $.

  $( Extract the first symbol from a doubleton word.  (Contributed by Stefan
     O'Rear, 23-Aug-2015.)  (Revised by Mario Carneiro, 26-Feb-2016.) $)
  s2fv0 $p |- ( A e. V -> ( <" A B "> ` 0 ) = A ) $=
    ( cs1 cs2 c1 cc0 df-s2 s1cli s1len s1fv 0nn0 0lt1 cats1fv ) ADABEFGCBAABHAI
    AJACKLMN $.

  $( Extract the second symbol from a doubleton word.  (Contributed by Stefan
     O'Rear, 23-Aug-2015.)  (Revised by Mario Carneiro, 26-Feb-2016.) $)
  s2fv1 $p |- ( B e. V -> ( <" A B "> ` 1 ) = B ) $=
    ( cs1 cs2 c1 df-s2 s1cli s1len cats1fvn ) ADABEFCBABGAHAIJ $.

  $( The length of a doubleton word.  (Contributed by Stefan O'Rear,
     23-Aug-2015.)  (Revised by Mario Carneiro, 26-Feb-2016.) $)
  s2len $p |- ( # ` <" A B "> ) = 2 $=
    ( cs1 cs2 c1 c2 df-s2 s1cli s1len 1p1e2 cats1len ) ACABDEFBABGAHAIJK $.

  $( The domain of a doubleton word is an unordered pair.  (Contributed by AV,
     9-Jan-2020.) $)
  s2dm $p |- dom <" A B "> = { 0 , 1 } $=
    ( cc0 c1 cpr cvv cs2 chash cfv cfzo co wf cword wcel s2cli wrdf ax-mp s2len
    c2 wceq oveq2 fzo0to2pr eqtrdi feq2i mpbi fdmi ) CDEZFABGZCUHHIZJKZFUHLZUGF
    UHLUHFMNUKABOFUHPQUJUGFUHUISTZUJUGTABRULUJCSJKUGUISCJUAUBUCQUDUEUF $.

  $( Extract the first symbol from a length 3 string.  (Contributed by Mario
     Carneiro, 13-Jan-2017.) $)
  s3fv0 $p |- ( A e. V -> ( <" A B C "> ` 0 ) = A ) $=
    ( cs2 cs3 c2 cc0 df-s3 s2cli s2len s2fv0 0nn0 2pos cats1fv ) ABEABCFGHDCAAB
    CIABJABKABDLMNO $.

  $( Extract the second symbol from a length 3 string.  (Contributed by Mario
     Carneiro, 13-Jan-2017.) $)
  s3fv1 $p |- ( B e. V -> ( <" A B C "> ` 1 ) = B ) $=
    ( cs2 cs3 c2 c1 df-s3 s2cli s2len s2fv1 1nn0 1lt2 cats1fv ) ABEABCFGHDCBABC
    IABJABKABDLMNO $.

  $( Extract the third symbol from a length 3 string.  (Contributed by Mario
     Carneiro, 13-Jan-2017.) $)
  s3fv2 $p |- ( C e. V -> ( <" A B C "> ` 2 ) = C ) $=
    ( cs2 cs3 c2 df-s3 s2cli s2len cats1fvn ) ABEABCFGDCABCHABIABJK $.

  $( The length of a length 3 string.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s3len $p |- ( # ` <" A B C "> ) = 3 $=
    ( cs2 cs3 c2 c3 df-s3 s2cli s2len 2p1e3 cats1len ) ABDABCEFGCABCHABIABJKL
    $.

  $( Extract the first symbol from a length 4 string.  (Contributed by Thierry
     Arnoux, 8-Oct-2020.) $)
  s4fv0 $p |- ( A e. V -> ( <" A B C D "> ` 0 ) = A ) $=
    ( cs3 cs4 c3 cc0 df-s4 s3cli s3len s3fv0 0nn0 3pos cats1fv ) ABCFABCDGHIEDA
    ABCDJABCKABCLABCEMNOP $.

  $( Extract the second symbol from a length 4 string.  (Contributed by Thierry
     Arnoux, 8-Oct-2020.) $)
  s4fv1 $p |- ( B e. V -> ( <" A B C D "> ` 1 ) = B ) $=
    ( cs3 cs4 c3 c1 df-s4 s3cli s3len s3fv1 1nn0 1lt3 cats1fv ) ABCFABCDGHIEDBA
    BCDJABCKABCLABCEMNOP $.

  $( Extract the third symbol from a length 4 string.  (Contributed by Thierry
     Arnoux, 8-Oct-2020.) $)
  s4fv2 $p |- ( C e. V -> ( <" A B C D "> ` 2 ) = C ) $=
    ( cs3 cs4 c3 c2 df-s4 s3cli s3len s3fv2 2nn0 2lt3 cats1fv ) ABCFABCDGHIEDCA
    BCDJABCKABCLABCEMNOP $.

  $( Extract the fourth symbol from a length 4 string.  (Contributed by Thierry
     Arnoux, 8-Oct-2020.) $)
  s4fv3 $p |- ( D e. V -> ( <" A B C D "> ` 3 ) = D ) $=
    ( cs3 cs4 c3 df-s4 s3cli s3len cats1fvn ) ABCFABCDGHEDABCDIABCJABCKL $.

  $( The length of a length 4 string.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s4len $p |- ( # ` <" A B C D "> ) = 4 $=
    ( cs3 cs4 c3 c4 df-s4 s3cli s3len 3p1e4 cats1len ) ABCEABCDFGHDABCDIABCJABC
    KLM $.

  $( The length of a length 5 string.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s5len $p |- ( # ` <" A B C D E "> ) = 5 $=
    ( cs4 cs5 c4 c5 df-s5 s4cli s4len 4p1e5 cats1len ) ABCDFABCDEGHIEABCDEJABCD
    KABCDLMN $.

  $( The length of a length 6 string.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s6len $p |- ( # ` <" A B C D E F "> ) = 6 $=
    ( cs5 cs6 c5 c6 df-s6 s5cli s5len 5p1e6 cats1len ) ABCDEGABCDEFHIJFABCDEFKA
    BCDELABCDEMNO $.

  $( The length of a length 7 string.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s7len $p |- ( # ` <" A B C D E F G "> ) = 7 $=
    ( cs6 cs7 c6 c7 df-s7 s6cli s6len 6p1e7 cats1len ) ABCDEFHABCDEFGIJKGABCDEF
    GLABCDEFMABCDEFNOP $.

  $( The length of a length 8 string.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s8len $p |- ( # ` <" A B C D E F G H "> ) = 8 $=
    ( cs7 cs8 c7 c8 df-s8 s7cli s7len 7p1e8 cats1len ) ABCDEFGIABCDEFGHJKLHABCD
    EFGHMABCDEFGNABCDEFGOPQ $.

  $( The last symbol of a doubleton word is its second symbol.  (Contributed by
     AV, 8-Feb-2021.) $)
  lsws2 $p |- ( B e. V -> ( lastS ` <" A B "> ) = B ) $=
    ( wcel cs2 clsw cfv chash c1 cmin co cvv cword wceq s2cli lsw mp1i c2 s2len
    oveq1i 2m1e1 eqtri fveq2i a1i s2fv1 3eqtrd ) BCDZABEZFGZUHHGZIJKZUHGZIUHGZB
    UHLMZDUIULNUGABOUHUNPQULUMNUGUKIUHUKRIJKIUJRIJABSTUAUBUCUDABCUEUF $.

  $( The last symbol of a 3 letter word is its third symbol.  (Contributed by
     AV, 8-Feb-2021.) $)
  lsws3 $p |- ( C e. V -> ( lastS ` <" A B C "> ) = C ) $=
    ( wcel cs3 clsw cfv chash c1 cmin co c2 cvv cword wceq s3cli lsw mp1i c3
    s3len oveq1i 3m1e2 eqtri fveq2i a1i s3fv2 3eqtrd ) CDEZABCFZGHZUJIHZJKLZUJH
    ZMUJHZCUJNOZEUKUNPUIABCQUJUPRSUNUOPUIUMMUJUMTJKLMULTJKABCUAUBUCUDUEUFABCDUG
    UH $.

  $( The last symbol of a 4 letter word is its fourth symbol.  (Contributed by
     AV, 8-Feb-2021.) $)
  lsws4 $p |- ( D e. V -> ( lastS ` <" A B C D "> ) = D ) $=
    ( wcel cs4 clsw cfv chash c1 cmin co c3 cvv cword wceq s4cli lsw c4 oveq1i
    mp1i s4len 4m1e3 eqtri fveq2i a1i s4fv3 3eqtrd ) DEFZABCDGZHIZUKJIZKLMZUKIZ
    NUKIZDUKOPZFULUOQUJABCDRUKUQSUBUOUPQUJUNNUKUNTKLMNUMTKLABCDUCUAUDUEUFUGABCD
    EUHUI $.

  $( A length 2 word is an unordered pair of ordered pairs.  (Contributed by
     Alexander van der Vekens, 14-Aug-2017.) $)
  s2prop $p |- ( ( A e. S /\ B e. S )
                -> <" A B "> = { <. 0 , A >. , <. 1 , B >. } ) $=
    ( wcel wa cs2 cs1 cconcat co cc0 cop cpr df-s2 chash cfv csn cun cword wceq
    c1 s1cl cats1un sylan s1val adantr uneq1d df-pr s1len opeq1d preq2d eqtr3id
    a1i 3eqtrd eqtrid ) ACDZBCDZEZABFAGZBGHIZJAKZTBKZLZABMUQUSURURNOZBKZPZQZUTP
    ZVEQZVBUOURCRDUPUSVFSACUAURBCUBUCUQURVGVEUOURVGSUPACUDUEUFUQVHUTVDLVBUTVDUG
    UQVDVAUTUQVCTBVCTSUQAUHULUIUJUKUMUN $.

  $( Alternate version of ~ s2dm , having a shorter proof, but requiring that
     ` A ` and ` B ` are sets.  (Contributed by AV, 9-Jan-2020.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  s2dmALT $p |- ( ( A e. S /\ B e. S ) -> dom <" A B "> = { 0 , 1 } ) $=
    ( wcel wa cs2 cdm cc0 cop c1 cpr s2prop dmeqd dmpropg eqtrd ) ACDBCDEZABFZG
    HAIJBIKZGHJKPQRABCLMHAJBCCNO $.

  $( A length 3 word is an unordered triple of ordered pairs.  (Contributed by
     AV, 23-Jan-2021.) $)
  s3tpop $p |- ( ( A e. S /\ B e. S /\ C e. S )
              -> <" A B C "> = { <. 0 , A >. , <. 1 , B >. , <. 2 , C >. } ) $=
    ( wcel w3a cs3 cs2 cs1 cconcat co cc0 cop c1 c2 ctp csn cun wceq a1i stoic3
    df-s3 chash cfv cpr cword cats1un s2prop 3adant3 s2len opeq1i sneqi uneq12d
    s2cl df-tp eqcomi 3eqtrd eqtrid ) ADEZBDEZCDEZFZABCGABHZCIJKZLAMZNBMZOCMZPZ
    ABCUBVBVDVCVCUCUDZCMZQZRZVEVFUEZVGQZRZVHUSUTVCDUFEVAVDVLSABDUNVCCDUGUAVBVCV
    MVKVNUSUTVCVMSVAABDUHUIVKVNSVBVJVGVIOCABUJUKULTUMVOVHSVBVHVOVEVFVGUOUPTUQUR
    $.

  $( A length 4 word is a union of two unordered pairs of ordered pairs.
     (Contributed by Alexander van der Vekens, 14-Aug-2017.) $)
  s4prop $p |- ( ( ( A e. S /\ B e. S ) /\ ( C e. S /\ D e. S ) )
                -> <" A B C D "> = ( { <. 0 , A >. , <. 1 , B >. }
                                  u. { <. 2 , C >. , <. 3 , D >. } ) ) $=
    ( wcel wa cs1 cconcat co cop cpr c2 c3 cun chash cfv wceq adantr a1i cs4 c1
    cs3 cc0 df-s4 cs2 cword simpl simpr adantl s3cld cats1un syl2anc df-s3 s2cl
    csn eqtrid s2prop uneq1d eqtrd unass df-pr s2len opeq1d s3len uneq2d 3eqtrd
    preq12d eqtr3id ) AEFZBEFZGZCEFZDEFZGZGZABCDUAABCUCZDHIJZUDAKUBBKLZMCKZNDKZ
    LZOZABCDUEVPVRVSABUFZPQZCKZUPZOZVQPQZDKZUPZOZVSWGWKOZOZWCVPVRVQWKOZWLVPVQEU
    GZFVNVRWORVPABCEVLVJVOVJVKUHSVLVKVOVJVKUISVOVMVLVMVNUHUJZUKVOVNVLVMVNUIUJVQ
    DEULUMVPVQWHWKVPVQWDWGOZWHVPVQWDCHIJZWRABCUNVPWDWPFZVMWSWRRVLWTVOABEUOSWQWD
    CEULUMUQVPWDVSWGVLWDVSRVOABEURSUSUTUSUTWLWNRVPVSWGWKVATVPWMWBVSVPWMWFWJLWBW
    FWJVBVPWFVTWJWAVPWEMCWEMRVPABVCTVDVPWINDWINRVPABCVETVDVHVIVFVGUQ $.

  $( A length 3 word is a function with a triple as domain.  (Contributed by
     Alexander van der Vekens, 5-Dec-2017.)  (Revised by AV, 23-Jan-2021.) $)
  s3fn $p |- ( ( A e. V /\ B e. V /\ C e. V )
               -> <" A B C "> Fn { 0 , 1 , 2 } ) $=
    ( wcel w3a cs3 cc0 chash cfv cfzo co wfn c1 c2 ctp cword s3cl wrdfn c3 syl
    s3len oveq2i fzo0to3tp eqtr2i fneq2i sylibr ) ADEBDECDEFZABCGZHUIIJZKLZMZUI
    HNOPZMUHUIDQEULABCDRDUISUAUMUKUIUKHTKLUMUJTHKABCUBUCUDUEUFUG $.

  $( The converse of a singleton word is a function.  (Contributed by AV,
     22-Jan-2021.) $)
  funcnvs1 $p |- Fun `' <" A "> $=
    ( cs1 ccnv wfun cc0 cid cfv cop csn funcnvsn df-s1 cnveqi funeqi mpbir ) AB
    ZCZDEAFGZHIZCZDEQJPSORAKLMN $.

  $( The converse of a length 2 word is a function if its symbols are different
     sets.  (Contributed by AV, 23-Jan-2021.) $)
  funcnvs2 $p |- ( ( A e. V /\ B e. V /\ A =/= B ) -> Fun `' <" A B "> ) $=
    ( wcel wne w3a cs2 ccnv wfun cc0 cop c1 cpr cvv 1ex simp3 funcnvpr mp3an12i
    c0ex wceq s2prop 3adant3 cnveqd funeqd mpbird ) ACDZBCDZABEZFZABGZHZIJAKLBK
    MZHZIZJNDLNDUIUHUNSOUFUGUHPJALBNNQRUIUKUMUIUJULUFUGUJULTUHABCUAUBUCUDUE $.

  $( The converse of a length 3 word is a function if its symbols are different
     sets.  (Contributed by Alexander van der Vekens, 31-Jan-2018.)  (Revised
     by AV, 23-Jan-2021.) $)
  funcnvs3 $p |- ( ( ( A e. V /\ B e. V /\ C e. V )
                     /\ ( A =/= B /\ A =/= C /\ B =/= C ) )
                   -> Fun `' <" A B C "> ) $=
    ( wcel w3a wne wa cs3 ccnv wfun cc0 cop c1 c2 ctp cvv c0ex 1ex 2ex funcnvtp
    3pm3.2i a1i sylan wceq s3tpop adantr cnveqd funeqd mpbird ) ADEBDECDEFZABGA
    CGBCGFZHZABCIZJZKLAMNBMOCMPZJZKZUKLQEZNQEZOQEZFZULURVBUKUSUTVARSTUBUCLANBQO
    CQQUAUDUMUOUQUMUNUPUKUNUPUEULABCDUFUGUHUIUJ $.

  $( The converse of a length 4 word is a function if its symbols are different
     sets.  (Contributed by AV, 10-Feb-2021.) $)
  funcnvs4 $p |- ( ( ( ( A e. V /\ B e. V ) /\ ( C e. V /\ D e. V ) )
                     /\ ( ( A =/= B /\ A =/= C /\ A =/= D )
                          /\ ( B =/= C /\ B =/= D ) /\ C =/= D ) )
                   -> Fun `' <" A B C D "> ) $=
    ( wcel wa wne w3a cs4 ccnv wfun cc0 cop c1 cpr c2 c3 cvv pm3.2i cun 1ex 2ex
    c0ex 3ex a1i funcnvqp sylan wceq s4prop adantr cnveqd funeqd mpbird ) AEFBE
    FGCEFDEFGGZABHACHADHIBCHBDHGCDHIZGZABCDJZKZLMANOBNPQCNRDNPUAZKZLZUOMSFZOSFZ
    GZQSFZRSFZGZGZUPVBVIUOVEVHVCVDUDUBTVFVGUCUETTUFMAOBSSQCRDSSUGUHUQUSVAUQURUT
    UOURUTUIUPABCDEUJUKULUMUN $.

  $( A length 2 word with mutually different symbols is a one-to-one function
     onto the set of the symbols.  (Contributed by Alexander van der Vekens,
     14-Aug-2017.) $)
  s2f1o $p |- ( ( A e. S /\ B e. S /\ A =/= B ) -> ( E = <" A B ">
                -> E : { 0 , 1 } -1-1-onto-> { A , B } ) ) $=
    ( wcel wne w3a cs2 wceq cc0 c1 cpr wf1o wa cop cz simpl1 0z jctil simpl2 1z
    jca simpl3 0ne1 f1oprg sylc eqcom s2prop 3adant3 eqeq1d syl5bb biimpa mpbid
    f1oeq1d ex ) ACEZBCEZABFZGZDABHZIZJKLZABLZDMZUSVANZVBVCJAOKBOLZMZVDVEJPEZUP
    NZKPEZUQNZNJKFZURNVGVEVIVKVEUPVHUPUQURVAQRSVEUQVJUPUQURVATUASUBVEURVLUPUQUR
    VAUCUDSJAKBPCPCUEUFVEVBVCVFDUSVAVFDIZVAUTDIUSVMDUTUGUSUTVFDUPUQUTVFIURABCUH
    UIUJUKULUNUMUO $.

  $( A union of unordered pairs of ordered pairs with different elements is a
     one-to-one onto function.  (Contributed by Alexander van der Vekens,
     14-Aug-2017.) $)
  f1oun2prg $p |- ( ( ( A e. V /\ B e. W ) /\ ( C e. X /\ D e. Y ) )
                    -> ( ( ( A =/= B /\ A =/= C /\ A =/= D )
                        /\ ( B =/= C /\ B =/= D /\ C =/= D ) )
    -> ( { <. 0 , A >. , <. 1 , B >. } u. { <. 2 , C >. , <. 3 , D >. } ) :
       ( { 0 , 1 } u. { 2 , 3 } ) -1-1-onto-> ( { A , B } u. { C , D } ) ) ) $=
    ( wcel wa wne cc0 c1 c2 c3 cin c0 wceq csn disjsn2 w3a cpr cun cop cz simpl
    wf1o 0z jctil ad2antrr simpr 1z jca 3ad2ant1 0ne1 adantr adantl f1oprg sylc
    id cn 2nn 3nn 3ad2ant3 2re 2lt3 ltneii 3ad2ant2 anim12i df-pr ineq1i eqeq1i
    undisj1 bitr4i sylibr eqcomi ineq2i bitri sylib 0ne2 ax-mp 1ne2 pm3.2i mpbi
    undisj2 eqtr3i 3ne0 necomi 1re 1lt3 f1oun syl21anc ex ) AEIZBFIZJZCGIZDHIZJ
    ZJZABKZACKZADKZUAZBCKZBDKZCDKZUAZJZLMUBZNOUBZUCABUBZCDUBZUCLAUDMBUDUBZNCUDO
    DUDUBZUCUGZWTXIJZXJXLXNUGZXKXMXOUGZXJXKPZQRZXLXMPZQRZJXPXQLUEIZWNJZMUEIZWOJ
    ZJLMKZXAJZXRXQYEYGWPYEWSXIWPWNYDWNWOUFUHUIUJWPYGWSXIWPWOYFWNWOUKULUIUJUMXIY
    IWTXDYIXHXDXAYHXAXBXAXCXAUTUNUOUIUPUQLAMBUEEUEFURUSXQNVAIZWQJZOVAIZWRJZJZNO
    KZXGJZXSWTYNXIWTYKYMWSYKWPWSWQYJWQWRUFVBUIUQWSYMWPWSWRYLWQWRUKVCUIUQUMUPXIY
    PWTXHYPXDXHXGYOXGXEXGXFXGUTVDNOVEVFVGUIUQUQNCODVAGVAHURUSXQYCYAXQXLCSZPZQRZ
    XLDSZPZQRZJZYCXQYSUUBXQASZYQPQRZBSZYQPQRZJZYSXIUUHWTXDUUEXHUUGXBXAUUEXCACTV
    HXEXFUUGXGBCTUNVIUQYSUUDUUFUCZYQPZQRUUHYRUUJQXLUUIYQABVJZVKVLUUDUUFYQVMVNVO
    XQUUDYTPQRZUUFYTPQRZJZUUBXIUUNWTXDUULXHUUMXCXAUULXBADTVDXFXEUUMXGBDTVHVIUQU
    UBUUIYTPZQRUUNUUAUUOQXLUUIYTUUKVKVLUUDUUFYTVMVNVOUMUUCXLYQYTUCZPZQRYCXLYQYT
    WEUUQYBQUUPXMXLXMUUPCDVJVPVQVLVRVSXJNSZPZQRZXJOSZPZQRZJZYAUUTUVCLSZMSZUCZUU
    RPZUUSQUVGXJUURXJUVGLMVJVPZVKUVEUURPQRZUVFUURPQRZJUVHQRUVJUVKLNKUVJVTLNTWAM
    NKUVKWBMNTWAWCUVEUVFUURVMWDWFUVGUVAPZUVBQUVGXJUVAUVIVKUVEUVAPQRZUVFUVAPQRZJ
    UVLQRUVMUVNLOKUVMOLWGWHLOTWAMOKUVNMOWIWJVGMOTWAWCUVEUVFUVAVMWDWFWCUVDXJUURU
    VAUCZPZQRYAXJUURUVAWEUVPXTQUVOXKXJXKUVONOVJVPVQVLVRWDUIXJXLXKXMXNXOWKWLWM
    $.

  ${
    $d x y E $.
    $( A length 4 word with mutually different symbols is a one-to-one function
       onto the set of the symbols.  (Contributed by Alexander van der Vekens,
       14-Aug-2017.) $)
    s4f1o $p |- ( ( ( A e. S /\ B e. S ) /\ ( C e. S /\ D e. S ) )
                    -> ( ( ( A =/= B /\ A =/= C /\ A =/= D )
                        /\ ( B =/= C /\ B =/= D /\ C =/= D ) )
             -> ( E = <" A B C D ">
                  -> E : dom E -1-1-onto-> ( { A , B } u. { C , D } ) ) ) ) $=
      ( vx vy wcel wa wne w3a wceq cpr cun wf1o cc0 c1 c2 cop cs4 cdm f1oun2prg
      c3 imp adantr s4prop eqeq2d biimpa eqcomd f1oeq1d mpbid wf1 crn wf cv wbr
      wmo wal dff1o5 dff12 bicomi anbi1i sylbb2 ffdm simpld anim1i sylibr exp31
      wss syl ) AEIBEIJCEIDEIJJZABKACKADKLBCKBDKCDKLJZFABCDUAZMZFUBZABNCDNOZFPZ
      VLVMJZVOJZQRNSUDNOZVQFPZVRVTWAVQQATRBTNSCTUDDTNOZPZWBVSWDVOVLVMWDABCDEEEE
      UCUEUFVTWAVQWCFVTFWCVSVOFWCMVSVNWCFVLVNWCMVMABCDEUGUFUHUIUJUKULWBVPVQFUMZ
      FUNVQMZJZVRWBVPVQFUOZGUPHUPFUQGURHUSZJZWFJZWGWBWAVQFUOZWIJZWFJZWKWBWAVQFU
      MZWFJWNWAVQFUTWMWOWFWOWMGHWAVQFVAVBVCVDWMWJWFWLWHWIWLWHVPWAVJWAVQFVEVFVGV
      GVKWEWJWFGHVPVQFVAVCVHVPVQFUTVHVKVI $.
  $}

  $( The domain of a length 4 word is the union of two (disjunct) pairs.
     (Contributed by Alexander van der Vekens, 15-Aug-2017.) $)
  s4dom $p |- ( ( ( A e. S /\ B e. S ) /\ ( C e. S /\ D e. S ) )
                -> ( E = <" A B C D ">
                     -> dom E = ( { 0 , 1 } u. { 2 , 3 } ) ) ) $=
    ( wcel wa cs4 wceq cdm cc0 c1 cpr c2 c3 cun dmeq cop dmpropg s4prop uneq12d
    dmeqd dmun adantr adantl eqtrid eqtrd sylan9eqr ex ) AEGBEGHZCEGDEGHZHZFABC
    DIZJZFKZLMNZOPNZQZJUOUMUPUNKZUSFUNRUMUTLASMBSNZOCSPDSNZQZKZUSUMUNVCABCDEUAU
    CUMVDVAKZVBKZQUSVAVBUDUMVEUQVFURUKVEUQJULLAMBEETUEULVFURJUKOCPDEETUFUBUGUHU
    IUJ $.

  ${
    s2co.1 $e |- ( ph -> F : X --> Y ) $.
    s2co.2 $e |- ( ph -> A e. X ) $.
    s2co.3 $e |- ( ph -> B e. X ) $.
    $( Mapping a doubleton word by a function.  (Contributed by Mario Carneiro,
       27-Feb-2016.) $)
    s2co $p |- ( ph -> ( F o. <" A B "> ) = <" ( F ` A ) ( F ` B ) "> ) $=
      ( cs1 cs2 cfv df-s2 s1cld wcel wf ccom wceq s1co syl2anc cats1co ) AEFBJZ
      BCKBDLZJZDUCCDLZKCBCMABEHNIGABEOEFDPDUBQUDRHGEFBDSTUCUEMUA $.

    s3co.4 $e |- ( ph -> C e. X ) $.
    $( Mapping a length 3 string by a function.  (Contributed by Mario
       Carneiro, 27-Feb-2016.) $)
    s3co $p |- ( ph -> ( F o. <" A B C "> ) =
      <" ( F ` A ) ( F ` B ) ( F ` C ) "> ) $=
      ( cs2 cs3 cfv df-s3 s2cld s2co cats1co ) AFGBCLBCDMBENZCENZLESTDENZMDBCDO
      ABCFIJPKHABCEFGHIJQSTUAOR $.
  $}

  $( Concatenation of fixed length strings.  (This special case of ~ ccatlid is
     provided to complete the pattern ~ s0s1 , ~ df-s2 , ~ df-s3 , ...)
     (Contributed by Mario Carneiro, 28-Feb-2016.) $)
  s0s1 $p |- <" A "> = ( (/) ++ <" A "> ) $=
    ( c0 cs1 cconcat co cvv cword wcel wceq s1cli ccatlid ax-mp eqcomi ) BACZDE
    ZNNFGHONIAJFNKLM $.

  $( Concatenation of fixed length strings.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s1s2 $p |- <" A B C "> = ( <" A "> ++ <" B C "> ) $=
    ( cs1 cs2 cs3 df-s2 s1cli df-s3 cats1cat ) ADABEABCFBDBCECBCGAHBHABCIABGJ
    $.

  $( Concatenation of fixed length strings.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s1s3 $p |- <" A B C D "> = ( <" A "> ++ <" B C D "> ) $=
    ( cs1 cs3 cs4 cs2 df-s3 s1cli s2cli df-s4 s1s2 cats1cat ) AEABCFABCDGBCHBCD
    FDBCDIAJBCKABCDLABCMN $.

  $( Concatenation of fixed length strings.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s1s4 $p |- <" A B C D E "> = ( <" A "> ++ <" B C D E "> ) $=
    ( cs1 cs4 cs5 cs3 df-s4 s1cli s3cli df-s5 s1s3 cats1cat ) AFABCDGABCDEHBCDI
    BCDEGEBCDEJAKBCDLABCDEMABCDNO $.

  $( Concatenation of fixed length strings.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s1s5 $p |- <" A B C D E F "> = ( <" A "> ++ <" B C D E F "> ) $=
    ( cs1 cs5 cs6 cs4 df-s5 s1cli s4cli df-s6 s1s4 cats1cat ) AGABCDEHABCDEFIBC
    DEJBCDEFHFBCDEFKALBCDEMABCDEFNABCDEOP $.

  $( Concatenation of fixed length strings.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s1s6 $p |- <" A B C D E F G "> = ( <" A "> ++ <" B C D E F G "> ) $=
    ( cs1 cs6 cs7 cs5 df-s6 s1cli s5cli df-s7 s1s5 cats1cat ) AHABCDEFIABCDEFGJ
    BCDEFKBCDEFGIGBCDEFGLAMBCDEFNABCDEFGOABCDEFPQ $.

  $( Concatenation of fixed length strings.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s1s7 $p |- <" A B C D E F G H "> = ( <" A "> ++ <" B C D E F G H "> ) $=
    ( cs1 cs7 cs8 cs6 df-s7 s1cli s6cli df-s8 s1s6 cats1cat ) AIABCDEFGJABCDEFG
    HKBCDEFGLBCDEFGHJHBCDEFGHMANBCDEFGOABCDEFGHPABCDEFGQR $.

  $( Concatenation of fixed length strings.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s2s2 $p |- <" A B C D "> = ( <" A B "> ++ <" C D "> ) $=
    ( cs2 cs3 cs4 cs1 df-s2 s2cli s1cli df-s4 df-s3 cats1cat ) ABEABCFABCDGCHCD
    EDCDIABJCKABCDLABCMN $.

  $( Concatenation of fixed length strings.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s4s2 $p |- <" A B C D E F "> = ( <" A B C D "> ++ <" E F "> ) $=
    ( cs4 cs5 cs6 cs1 cs2 df-s2 s4cli s1cli df-s6 df-s5 cats1cat ) ABCDGABCDEHA
    BCDEFIEJEFKFEFLABCDMENABCDEFOABCDEPQ $.

  $( Concatenation of fixed length strings.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s4s3 $p |- <" A B C D E F G "> = ( <" A B C D "> ++ <" E F G "> ) $=
    ( cs4 cs6 cs7 cs2 cs3 df-s3 s4cli s2cli df-s7 s4s2 cats1cat ) ABCDHABCDEFIA
    BCDEFGJEFKEFGLGEFGMABCDNEFOABCDEFGPABCDEFQR $.

  $( Concatenation of fixed length strings.  (Contributed by Mario Carneiro,
     26-Feb-2016.) $)
  s4s4 $p |- <" A B C D E F G H "> = ( <" A B C D "> ++ <" E F G H "> ) $=
    ( cs4 cs7 cs8 cs3 df-s4 s4cli s3cli df-s8 s4s3 cats1cat ) ABCDIABCDEFGJABCD
    EFGHKEFGLEFGHIHEFGHMABCDNEFGOABCDEFGHPABCDEFGQR $.

  $( Concatenation of fixed length strings.  (Contributed by AV,
     1-Mar-2021.) $)
  s3s4 $p |- <" A B C D E F G "> = ( <" A B C "> ++ <" D E F G "> ) $=
    ( cs2 cconcat co cs3 cs4 cs7 s2s2 eqcomi oveq1i s2cli s3cli df-s3 s1s3 s4s3
    cats2cat 3eqtr4ri ) ABHZCDHIJZEFGKZIJABCDLZUFIJABCKZDEFGLZIJABCDEFGMUEUGUFI
    UGUEABCDNOPUHUDUIUFCDABQEFGRABCSDEFGTUBABCDEFGUAUC $.

  $( Concatenation of fixed length strings.  (Contributed by AV,
     1-Mar-2021.) $)
  s2s5 $p |- <" A B C D E F G "> = ( <" A B "> ++ <" C D E F G "> ) $=
    ( cs1 cs2 cconcat co cs4 cs3 cs5 cs7 s1s2 eqcomi oveq1i s1cli s4cli df-s2
    s1s4 cats2cat s3s4 3eqtr4ri ) AHZBCIJKZDEFGLZJKABCMZUHJKABIZCDEFGNZJKABCDEF
    GOUGUIUHJUIUGABCPQRUJUFUKUHBCASDEFGTABUACDEFGUBUCABCDEFGUDUE $.

  $( Concatenation of fixed length strings.  (Contributed by AV,
     1-Mar-2021.) $)
  s5s2 $p |- <" A B C D E F G "> = ( <" A B C D E "> ++ <" F G "> ) $=
    ( cs4 cs2 cconcat co cs1 cs6 cs5 cs7 s4s2 eqcomi oveq1i s4cli s1cli df-s5
    df-s2 cats2cat df-s7 3eqtr4ri ) ABCDHZEFIJKZGLZJKABCDEFMZUHJKABCDENZFGIZJKA
    BCDEFGOUGUIUHJUIUGABCDEFPQRUJUFUKUHEFABCDSGTABCDEUAFGUBUCABCDEFGUDUE $.

  $( Two length 2 words are equal iff the corresponding singleton words
     consisting of their symbols are equal.  (Contributed by Alexander van der
     Vekens, 24-Sep-2018.) $)
  s2eq2s1eq $p |- ( ( ( A e. V /\ B e. V ) /\ ( C e. V /\ D e. V ) )
                 -> ( <" A B "> = <" C D ">
                      <-> ( <" A "> = <" C "> /\ <" B "> = <" D "> ) ) ) $=
    ( wcel wa cs2 wceq cs1 cconcat co df-s2 a1i eqeq12d chash cfv anim12i s1len
    s1cl cword wb adantr adantl c1 eqtr4i ccatopth syl3anc bitrd ) AEFZBEFZGZCE
    FZDEFZGZGZABHZCDHZIAJZBJZKLZCJZDJZKLZIZUSVBIUTVCIGZUPUQVAURVDUQVAIUPABMNURV
    DIUPCDMNOUPUSEUAZFZUTVGFZGZVBVGFZVCVGFZGZUSPQZVBPQZIZVEVFUBULVJUOUJVHUKVIAE
    TBETRUCUOVMULUMVKUNVLCETDETRUDVPUPVNUEVOASCSUFNUSUTVBVCEUGUHUI $.

  $( Two length 2 words are equal iff the corresponding symbols are equal.
     (Contributed by AV, 20-Oct-2018.) $)
  s2eq2seq $p |- ( ( ( A e. V /\ B e. V ) /\ ( C e. V /\ D e. V ) )
                   -> ( <" A B "> = <" C D "> <-> ( A = C /\ B = D ) ) ) $=
    ( wcel wa cs2 wceq cs1 s2eq2s1eq wb s111 ad2ant2r ad2ant2l anbi12d bitrd )
    AEFZBEFZGCEFZDEFZGGZABHCDHIAJCJIZBJDJIZGACIZBDIZGABCDEKUBUCUEUDUFRTUCUELSUA
    EACMNSUAUDUFLRTEBDMOPQ $.

  $( Two length 3 words are equal iff the corresponding length 2 words and
     singleton words consisting of their symbols are equal.  (Contributed by
     AV, 4-Jan-2022.) $)
  s3eqs2s1eq $p |- ( ( ( A e. V /\ B e. V /\ C e. V )
                       /\ ( D e. V /\ E e. V /\ F e. V ) )
                 -> ( <" A B C "> = <" D E F ">
                      <-> ( <" A B "> = <" D E "> /\ <" C "> = <" F "> ) ) ) $=
    ( wcel w3a wa cs3 wceq cs2 cs1 cconcat co df-s3 a1i chash cfv eqeq12d cword
    wb s2cl anim12i 3impa adantr adantl c2 s2len eqtr4i ccatopth syl3anc bitrd
    s1cl ) AGHZBGHZCGHZIZDGHZEGHZFGHZIZJZABCKZDEFKZLABMZCNZOPZDEMZFNZOPZLZVGVJL
    VHVKLJZVDVEVIVFVLVEVILVDABCQRVFVLLVDDEFQRUAVDVGGUBZHZVHVOHZJZVJVOHZVKVOHZJZ
    VGSTZVJSTZLZVMVNUCUSVRVCUPUQURVRUPUQJVPURVQABGUDCGUOUEUFUGVCWAUSUTVAVBWAUTV
    AJVSVBVTDEGUDFGUOUEUFUHWDVDWBUIWCABUJDEUJUKRVGVHVJVKGULUMUN $.

  $( Two length 3 words are equal iff the corresponding symbols are equal.
     (Contributed by AV, 4-Jan-2022.) $)
  s3eq3seq $p |- ( ( ( A e. V /\ B e. V /\ C e. V )
                       /\ ( D e. V /\ E e. V /\ F e. V ) )
          -> ( <" A B C "> = <" D E F "> <-> ( A = D /\ B = E /\ C = F ) ) ) $=
    ( wcel w3a wa cs3 wceq cs2 cs1 s3eqs2s1eq wb 3simpa s2eq2seq syl2an simp3
    s111 anbi12d df-3an bitr4di bitrd ) AGHZBGHZCGHZIZDGHZEGHZFGHZIZJZABCKDEFKL
    ABMDEMLZCNFNLZJZADLZBELZCFLZIZABCDEFGOUNUQURUSJZUTJVAUNUOVBUPUTUIUFUGJUJUKJ
    UOVBPUMUFUGUHQUJUKULQABDEGRSUIUHULUPUTPUMUFUGUHTUJUKULTGCFUASUBURUSUTUCUDUE
    $.

  $( Extract two adjacent symbols from a word.  (Contributed by Stefan O'Rear,
     23-Aug-2015.)  (Revised by Mario Carneiro, 26-Feb-2016.) $)
  swrds2 $p |- ( ( W e. Word A /\ I e. NN0 /\
        ( I + 1 ) e. ( 0 ..^ ( # ` W ) ) ) ->
      ( W substr <. I , ( I + 2 ) >. ) = <" ( W ` I ) ( W ` ( I + 1 ) ) "> ) $=
    ( wcel cn0 c1 caddc cc0 cfv cop csubstr cconcat wceq wbr 3ad2ant3 syl3anbrc
    co syl cfz cle cword chash cfzo w3a cs2 c2 cs1 df-s2 simp1 clt simp2 elfzo0
    cn simp2bi nn0red peano2nn0 nnred lep1d elfzolt2 lelttrd swrds1 cc 3ad2ant2
    syl2anc nn0cn df-2 oveq2i ax-1cn addass mp3an23 eqtr4id opeq2d oveq2d eqtrd
    3adant2 oveq12d elfz2nn0 eqeltrd breqtrrd fzofzp1 ccatswrd syl13anc eqtr2d
    ) CAUADZBEDZBFGQZHCUBIZUCQZDZUDZBCIZWFCIZUEZCBWFJKQZCWFBUFGQZJZKQZLQZCBWOJK
    QZWJWMWKUGZWLUGZLQWRWKWLUHWJWNWTWQXALWJWDBWHDZWNWTMWDWEWIUIZWJWEWGUMDZBWGUJ
    NXBWDWEWIUKZWIWDXDWEWIWFEDZXDWFWGUJNZWFWGULUNOZWJBWFWGWJBXEUOZWJWFWJWEXFXEB
    UPRZUOZWJWGXHUQWJBXIURZWIWDXGWEWFHWGUSOUTBWGULPABCVAVDWJWQCWFWFFGQZJZKQZXAW
    JWPXNCKWJWOXMWFWJBVBDZWOXMMWEWDXPWIBVEVCXPWOBFFGQZGQZXMUFXQBGVFVGXPFVBDZXSX
    MXRMVHVHBFFVIVJVKRZVLVMWDWIXOXAMWEAWFCVAVOVNVPVKWJWDBHWFSQDZWFHWOSQDZWOHWGS
    QZDWRWSMXCWJWEXFBWFTNYAXEXJXLBWFVQPWJXFWOEDWFWOTNYBXJWJWOXMEXTWJXFXMEDXJWFU
    PRVRWJWFXMWOTWJWFXKURXTVSWFWOVQPWJWOXMYCXTWIWDXMYCDWEHWGWFVTOVRACBWFWOWAWBW
    C $.

  $( Extract two adjacent symbols from a word in reverse direction.
     (Contributed by AV, 11-May-2022.) $)
  swrds2m $p |- ( ( W e. Word V /\ N e. ( 2 ... ( # ` W ) ) )
                  -> ( W substr <. ( N - 2 ) , N >. )
                     = <" ( W ` ( N - 2 ) ) ( W ` ( N - 1 ) ) "> ) $=
    ( cword wcel c2 chash cfv cfz co cmin cop csubstr caddc cs2 wceq adantl cuz
    c1 syl wa elfzelz zcnd 2cnd npcand eqcomd opeq2d oveq2d cn0 cc0 cfzo elfzuz
    simpl uznn0sub 1cnd subsubd 2m1e1 oveq2i eqtr3di 2eluzge1 fzss1 ax-mp sseli
    wss fz1fzo0m1 eqeltrd swrds2 syl3anc eqidd fveq2d s2eqd 3eqtrd ) CBDEZAFCGH
    ZIJZEZUAZCAFKJZALZMJZCVRVRFNJZLZMJZVRCHZVRSNJZCHZOZWDASKJZCHZOVPVTWCPVMVPVS
    WBCMVPAWAVRVPWAAVPAFVPAAFVNUBUCZVPUDZUEUFUGUHQVQVMVRUIEZWEUJVNUKJZEZWCWGPVM
    VPUMVPWLVMVPAFRHEWLAFVNULFAUNTQVPWNVMVPWEWHWMVPAFSKJZKJWEWHVPAFSWJWKVPUOUPW
    OSAKUQURUSZVPASVNIJZEWHWMEVOWQAFSRHEVOWQVDUTFSVNVAVBVCAVNVETVFQBVRCVGVHVQWD
    WFWDWIVQWDVIVPWFWIPVMVPWEWHCWPVJQVKVL $.

  $( Implications of a word of length two.  (Contributed by AV, 27-Jul-2018.)
     (Proof shortened by AV, 14-Oct-2018.) $)
  wrdlen2i $p |- ( ( S e. V /\ T e. V ) -> ( W = { <. 0 , S >. , <. 1 , T >. }
                  -> ( ( W e. Word V /\ ( # ` W ) = 2 )
                       /\ ( ( W ` 0 ) = S /\ ( W ` 1 ) = T ) ) ) ) $=
    ( wcel wa cc0 c1 cpr wceq chash cfv c2 wf cvv c0ex 0ne1 a1i mp3an2i adantr
    cop cword cfzo co wne 1ex pm3.2i simpl wi fzo0to2pr eqcomi feq2d biimpa wss
    fprg prssi fssd ex impcom wb feq1 adantl mpbird mpancom iswrdi fveq2 opth1g
    syl neii sylancr mtoi neqned opex hashprg mp1i mpbid sylan9eqr fvpr1g simpr
    fvpr2g jca fveq1 eqeq1d anbi12d jca31 ) ACEZBCEZFZDGAUAZHBUAZIZJZDCUBEZDKLZ
    MJZFGDLZAJZHDLZBJZFZFWHWLFZWMWOWTXAGMUCUDZCDNZWMGHIZABIZWKNZXAXCGOEZHOEZFXA
    WHGHUEZXFXGXHPUFUGWHWLUHXIXAQRGHABOOCCUOSXFXAFXCXBCWKNZXAXFXJWHXFXJUIWLWHXF
    XJWHXFFXBXECWKWHXFXBXEWKNWHXDXBXEWKXDXBJWHXBXDUJUKRULUMWHXECUNXFABCUPTUQURT
    USXAXCXJUTZXFWLXKWHXBCDWKVAVBVBVCVDCMDVEVHWLWHWNWKKLZMDWKKVFWHWIWJUEZXLMJZW
    HWIWJWHWIWJJZGHJZGHQVIWHXGWFXOXPUIPWFWGUHZGAHBOCVGVJVKVLWIOEZWJOEZFXMXNUTWH
    XRXSGAVMHBVMUGWIWJOOVNVOVPVQXAWTGWKLZAJZHWKLZBJZFZWHYDWLWHYAYCXGWHWFXIYAPXQ
    XIWHQRZGHABOCVRSXHWHWGXIYCUFWFWGVSYEGHABOCVTSWATWLWTYDUTWHWLWQYAWSYCWLWPXTA
    GDWKWBWCWLWRYBBHDWKWBWCWDVBVCWEUR $.

  $( A word of length two represented as unordered pair of ordered pairs.
     (Contributed by AV, 20-Oct-2018.)  (Proof shortened by AV,
     26-Jan-2021.) $)
  wrd2pr2op $p |- ( ( W e. Word V /\ ( # ` W ) = 2 )
                    -> W = { <. 0 , ( W ` 0 ) >. , <. 1 , ( W ` 1 ) >. } ) $=
    ( cword wcel chash cfv c2 wceq wa cc0 c1 cpr wfn cfzo co wrdfn adantr oveq2
    cop fzo0to2pr eqtr2di adantl fneq2d mpbird c0ex 1ex fnprb sylib ) BACDZBEFZ
    GHZIZBJKLZMZBJJBFSKKBFSLHULUNBJUJNOZMZUIUPUKABPQULUMUOBUKUMUOHUIUKUOJGNOUMU
    JGJNRTUAUBUCUDJKBUEUFUGUH $.

  $( A word of length two.  (Contributed by AV, 20-Oct-2018.) $)
  wrdlen2 $p |- ( ( S e. V /\ T e. V ) -> ( W = { <. 0 , S >. , <. 1 , T >. }
                  <-> ( ( W e. Word V /\ ( # ` W ) = 2 )
                        /\ ( ( W ` 0 ) = S /\ ( W ` 1 ) = T ) ) ) ) $=
    ( wcel wa cc0 cop c1 cpr cword chash cfv c2 wrdlen2i wrd2pr2op opeq2 adantr
    wceq adantl preq12d sylan9eq impbid1 ) ACEBCEFDGAHZIBHZJZSDCKEDLMNSFZGDMZAS
    ZIDMZBSZFZFABCDOUGULDGUHHZIUJHZJUFCDPULUMUDUNUEUIUMUDSUKUHAGQRUKUNUESUIUJBI
    QTUAUBUC $.

  $( A word of length two as doubleton word.  (Contributed by AV,
     20-Oct-2018.) $)
  wrdlen2s2 $p |- ( ( W e. Word V /\ ( # ` W ) = 2 )
                    -> W = <" ( W ` 0 ) ( W ` 1 ) "> ) $=
    ( cword wcel chash cfv c2 wceq wa cc0 cop cpr cs2 wrd2pr2op cvv fvex s2prop
    c1 eqcomd mp2an eqtrdi ) BACDBEFGHIBJJBFZKRRBFZKLZUBUCMZABNUBODZUCODZUDUEHJ
    BPRBPUFUGIUEUDUBUCOQSTUA $.

  ${
    $d S s t $.  $d W s t $.
    $( A word of length two is a doubleton word.  (Contributed by AV,
       25-Jan-2021.) $)
    wrdl2exs2 $p |- ( ( W e. Word S /\ ( # ` W ) = 2 )
                      -> E. s e. S E. t e. S W = <" s t "> ) $=
      ( wcel cfv c2 wceq c1 cs2 cv wrex cle wbr cmin co id eqidd s2eqd eqeq2d
      cword chash wa cc0 1le2 breq2 mpbiri wrdsymb1 sylan2 clsw lsw oveq1 2m1e1
      eqtrdi fveq2d sylan9eq lswlgt0cl mpan eqeltrrd wrdlen2s2 rspc2ev syl3anc
      cn 2nn ) CBUAZEZCUBFZGHZUCZUDCFZBEZICFZBECVJVLJZHZCDKZAKZJZHZABLDBLVHVFIV
      GMNZVKVHVSIGMNUEVGGIMUFUGBCUHUIVICUJFZVLBVFVHVTVGIOPZCFVLCVEUKVHWAICVHWAG
      IOPIVGGIOULUMUNUOUPGVCEVIVTBEVDGBCUQURUSBCUTVRVNCVJVPJZHDAVJVLBBVOVJHZVQW
      BCWCVOVPVJVPWCQWCVPRSTVPVLHZWBVMCWDVJVPVJVLWDVJRWDQSTVAVB $.
  $}

  ${
    $d W i $.
    $( A prefix of length two.  (Contributed by AV, 15-May-2020.) $)
    pfx2 $p |- ( ( W e. Word V /\ 2 <_ ( # ` W ) )
                 -> ( W prefix 2 ) = <" ( W ` 0 ) ( W ` 1 ) "> ) $=
      ( vi cword wcel c2 chash cfv wbr cc0 co c1 wceq wa cn0 adantr cfzo cvv wb
      fveq2 cle cfz cpfx cs2 2nn0 lencl simpr elfz2nn0 syl3anbrc cv wral pfxlen
      a1i cpr s2len eqcomi cn 2nn lbfzo0 mpbir pfxfv mp3an3 s2fv0 ax-mp eqtr4di
      fvex clt 1nn0 1lt2 elfzo0 mpbir3an s2fv1 0nn0 ralprg mp2an sylanbrc eqeq1
      eqeq12d oveq2 fzo0to2pr eqtrdi raleqdv adantl mpbir2and mpdan pfxcl s2cli
      anbi12d eqwrd sylancl mpbird syldan ) BADZEZFBGHZUAIZFJWOUBKEZBFUCKZJBHZL
      BHZUDZMZWNWPNZFOEZWOOEZWPWQXDXCUEUMWNXEWPABUFPWNWPUGFWOUHUIWNWQNZXBWRGHZX
      AGHZMZCUJZWRHZXJXAHZMZCJXGQKZUKZNZXFXGFMZXPABFULXFXQNZXPFXHMZXMCJLUNZUKZX
      SXRXHFWSWTUOUPUMXRJWRHZJXAHZMZLWRHZLXAHZMZYAXRYBWSYCXFYBWSMZXQWNWQJJFQKZE
      ZYHYJFUQEZURFUSUTJFABVAVBPWSREYCWSMJBVFWSWTRVCVDVEXFYGXQXFYEWTYFWNWQLYIEZ
      YEWTMYLLOEZYKLFVGIVHURVILFVJVKLFABVAVBWTREYFWTMLBVFWSWTRVLVDVEPJOEYMYAYDY
      GNSVMVHXMYDYGCJLOOXJJMXKYBXLYCXJJWRTXJJXATVRXJLMXKYEXLYFXJLWRTXJLXATVRVNV
      OVPXQXPXSYANSXFXQXIXSXOYAXGFXHVQXQXMCXNXTXQXNYIXTXGFJQVSVTWAWBWHWCWDWEWNX
      BXPSZWQWNWRWMEXARDEYNABFWFWSWTWGARWRCXAWIWJPWKWL $.
  $}

  $( A word of length three represented as triple of ordered pairs.
     (Contributed by AV, 26-Jan-2021.) $)
  wrd3tpop $p |- ( ( W e. Word V /\ ( # ` W ) = 3 )
                   -> W = { <. 0 , ( W ` 0 ) >. ,
                            <. 1 , ( W ` 1 ) >. ,
                            <. 2 , ( W ` 2 ) >. } ) $=
    ( cword wcel chash cfv c3 wceq wa cc0 c1 c2 ctp wfn cop cfzo co wrdfn oveq2
    adantr fzo0to3tp eqtr2di adantl fneq2d mpbird c0ex 1ex 2ex fntpb sylib ) BA
    CDZBEFZGHZIZBJKLMZNZBJJBFOKKBFOLLBFOMHUNUPBJULPQZNZUKURUMABRTUNUOUQBUMUOUQH
    UKUMUQJGPQUOULGJPSUAUBUCUDUEJKLBUFUGUHUIUJ $.

  $( A word of length three as length 3 string.  (Contributed by AV,
     26-Jan-2021.) $)
  wrdlen3s3 $p |- ( ( W e. Word V /\ ( # ` W ) = 3 )
                    -> W = <" ( W ` 0 ) ( W ` 1 ) ( W ` 2 ) "> ) $=
    ( cword wcel chash cfv c3 wceq wa cc0 cop c1 c2 ctp cs3 wrd3tpop cvv s3tpop
    fvex w3a eqcomd mp3an eqtrdi ) BACDBEFGHIBJJBFZKLLBFZKMMBFZKNZUDUEUFOZABPUD
    QDZUEQDZUFQDZUGUHHJBSLBSMBSUIUJUKTUHUGUDUEUFQRUAUBUC $.

  $( The "repeated symbol word" of length two.  (Contributed by AV,
     6-Nov-2018.) $)
  repsw2 $p |- ( S e. V -> ( S repeatS 2 ) = <" S S "> ) $=
    ( wcel cs2 cs1 cconcat co c2 creps df-s2 c1 cn0 wceq 1nn0 repswccat mp3an23
    caddc repsw1 oveq12d 1p1e2 a1i oveq2d 3eqtr3d eqtr2id ) ABCZAADAEZUFFGZAHIG
    ZAAJUEAKIGZUIFGZAKKQGZIGZUGUHUEKLCZUMUJULMNNAKKBOPUEUIUFUIUFFABRZUNSUEUKHAI
    UKHMUETUAUBUCUD $.

  $( The "repeated symbol word" of length three.  (Contributed by AV,
     6-Nov-2018.) $)
  repsw3 $p |- ( S e. V -> ( S repeatS 3 ) = <" S S S "> ) $=
    ( wcel cs3 cs2 cs1 cconcat co c3 creps df-s3 c2 c1 caddc cn0 wceq 2nn0 1nn0
    repswccat mp3an23 repsw2 repsw1 oveq12d 2p1e3 a1i oveq2d 3eqtr3d eqtr2id )
    ABCZAAADAAEZAFZGHZAIJHZAAAKUIALJHZAMJHZGHZALMNHZJHZULUMUILOCMOCUPURPQRAMLBS
    TUIUNUJUOUKGABUAABUBUCUIUQIAJUQIPUIUDUEUFUGUH $.

  $( Extract the last two symbols from a word.  (Contributed by Alexander van
     der Vekens, 23-Sep-2018.) $)
  swrd2lsw $p |- ( ( W e. Word V /\ 1 < ( # ` W ) )
                 -> ( W substr <. ( ( # ` W ) - 2 ) , ( # ` W ) >. )
                    = <" ( W ` ( ( # ` W ) - 2 ) ) ( lastS ` W ) "> ) $=
    ( wcel c1 cfv clt wbr wa c2 cmin co caddc csubstr cn0 cc0 a1i adantr eqcomd
    wceq syl cword chash cop cs2 clsw cfzo w3a simpl lencl cle cz wb 1z zltp1le
    nn0z sylancr 1p1e2 breq1d biimpd sylbid imp 2nn0 jctl nn0sub mpbid sylan cn
    wi cr 0red 1red zre 3jca 0lt1 lttr expd mpisyl elnnz simplbi2 fzo0end nn0cn
    syld cc 2cn 1cnd 1e2m1 oveq2d subsub eqtrd eleq1d mpbird swrds2 jctir npcan
    3syl opeq2d eqidd lsw 2m1e1 fveq2d s2eqd 3eqtr4d ) BAUAZCZDBUBEZFGZHZBXEIJK
    ZXHILKZUCZMKZXHBEZXHDLKZBEZUDZBXHXEUCZMKXLBUEEZUDXGXDXHNCZXMOXEUFKZCZUGXKXO
    SXGXDXRXTXDXFUHXDXENCZXFXRABUIZYAXFHZIXEUJGZXRYAXFYDYAXFDDLKZXEUJGZYDYADUKC
    XEUKCZXFYFULUMXEUOZDXEUNUPYAYFYDYAYEIXEUJYEISYAUQPURUSUTVAYCINCZYAHZYDXRULY
    AYJXFYAYIVBVCQIXEVDTVEVFXDYAXFXTYBYCXTXEDJKZXSCZYCXEVGCZYLYAXFYMYAYGXFYMVHY
    HYGXFOXEFGZYMYGOVICZDVICZXEVICZUGZODFGZXFYNVHYGYOYPYQYGVJYGVKXEVLVMVNYRYSXF
    YNODXEVOVPVQYMYGYNXEVRVSWBTVAXEVTTYAXTYLULXFYAXMYKXSYAYKXMYAXEWCCZIWCCZDWCC
    ZUGZYKXMSYAYTUUAUUBXEWAZUUAYAWDPYAWEVMZUUCYKXEIDJKZJKZXMUUCDUUFXEJDUUFSUUCW
    FPWGXEIDWHZWITRWJQWKVFVMAXHBWLTXGXPXJBMXGXEXIXHXDXEXISZXFXDYAYTUUAHZUUIYBYA
    YTUUAUUDWDWMUUJXIXEXEIWNRWOQWPWGXGXLXQXLXNXGXLWQXDXQXNSXFXDXQYKBEXNBXCWRXDY
    KXMBXDXMYKXDYAXMYKSYBYAXMUUGYKYAUUGXMYAUUCUUGXMSUUEUUHTRYAUUFDXEJUUFDSYAWSP
    WGWITRWTWIQXAXB $.

  $( Two words of length at least two are equal if and only if they have the
     same prefix and the same two single symbols suffix.  (Contributed by AV,
     24-Sep-2018.)  (Revised by AV, 12-Oct-2022.) $)
  2swrd2eqwrdeq $p |- ( ( W e. Word V /\ U e. Word V /\ 1 < ( # ` W ) )
                        -> ( W = U <-> ( ( # ` W ) = ( # ` U )
           /\ ( ( W prefix ( ( # ` W ) - 2 ) ) = ( U prefix ( ( # ` W ) - 2 ) )
           /\ ( W ` ( ( # ` W ) - 2 ) ) = ( U ` ( ( # ` W ) - 2 ) )
           /\ ( lastS ` W ) = ( lastS ` U ) ) ) ) ) $=
    ( wcel c1 cfv clt wbr w3a wceq c2 cmin co csubstr wa clsw cc0 sylancr cvv
    wb cword chash cpfx cop cfzo cn0 lencl cn cle caddc cz 1z zltp1le 1p1e2 a1i
    nn0z breq1d biimpd sylbid 2nn0 simpl nn0sub mpbid adantr cr 0red 1red nn0re
    imp wi 3jca 0lt1 lttr expd mpisyl elnnz sylanbrc crp 2rp ltsubrpd syl3anbrc
    elfzo0 sylan 3adant2 pfxsuffeqwrdeq syld3an3 cs2 cs1 swrd2lsw breq2 3anbi3d
    3adant1 syl6bi impcom opeq12d oveq2d eqeq1d adantl mpbird eqeq12d s2eq2s1eq
    oveq1 id fvexd syl22anc fvex s111 fvoveq1 eqcoms eqeq2d bitrd 3bitrd anbi2d
    anbi12d 3anass bitr4di pm5.32da ) CBUAZDZAXRDZECUBFZGHZIZCAJZYAAUBFZJZCYAKL
    MZUCMAYGUCMJZCYGYAUDZNMZAYINMZJZOZOZYFYHYGCFZYGAFZJZCPFZAPFZJZIZOXSXTYBYGQY
    AUEMDZYDYNTXSYBUUBXTXSYAUFDZYBUUBBCUGUUCYBOZYGUFDZYAUHDZYGYAGHZUUBUUDKYAUIH
    ZUUEUUCYBUUHUUCYBEEUJMZYAUIHZUUHUUCEUKDYAUKDZYBUUJTULYAUPZEYAUMRUUCUUJUUHUU
    CUUIKYAUIUUIKJUUCUNUOUQURUSVIUUDKUFDUUCUUHUUETUTUUCYBVAKYAVBRVCUUDUUKQYAGHZ
    UUFUUCUUKYBUULVDUUCYBUUMUUCQVEDZEVEDZYAVEDZIZQEGHZYBUUMVJUUCUUNUUOUUPUUCVFU
    UCVGYAVHZVKVLUUQUURYBUUMQEYAVMVNVOVIYAVPVQUUCUUGYBUUCYAKUUSKVRDUUCVSUOVTVDY
    GYAWBWAWCWDAYGBCWEWFYCYFYMUUAYCYFOZYMYHYQYTOZOUUAUUTYLUVAYHUUTYLYOYRWGZYEKL
    MZAFZYSWGZJZYOWHUVDWHJZYRWHYSWHJZOZUVAUUTYJUVBYKUVEYCYJUVBJZYFXSYBUVJXTBCWI
    WDVDUUTYKUVEJZAUVCYEUDZNMZUVEJZYFYCUVNYFYCXSXTEYEGHZIUVNYFYBUVOXSXTYAYEEGWJ
    WKXTUVOUVNXSBAWIWLWMWNYFUVKUVNTYCYFYKUVMUVEYFYIUVLANYFYGUVCYAYEYAYEKLXBYFXC
    WOWPWQWRWSWTUUTYOSDZYRSDZUVDSDZYSSDZUVFUVITUUTYGCXDUUTCPXDUUTUVCAXDZUUTAPXD
    ZYOYRUVDYSSXAXEUUTUVGYQUVHYTUUTUVGYOUVDJZYQUUTUVPUVRUVGUWBTYGCXFUVTSYOUVDXG
    RUUTUVDYPYOYFUVDYPJZYCUWCYEYAYEYAKALXHXIWRXJXKUUTUVQUVSUVHYTTCPXFUWASYRYSXG
    RXNXLXMYHYQYTXOXPXQXK $.

  $( The concatenation of a word with two singleton words equals the
     concatenation of the word with the doubleton word consisting of the
     symbols of the two singletons.  (Contributed by Mario Carneiro/AV,
     21-Oct-2018.)  (Revised by AV, 29-Jan-2024.) $)
  ccatw2s1ccatws2 $p |- ( W e. Word V -> ( ( W ++ <" X "> ) ++ <" Y "> )
                                         = ( W ++ <" X Y "> ) ) $=
    ( cword wcel cs1 cconcat cs2 ccatw2s1ass wceq df-s2 eqcomi a1i oveq2d eqtrd
    co ) BAEFZBCGZHQDGZHQBSTHQZHQBCDIZHQABCDJRUAUBBHUAUBKRUBUACDLMNOP $.

  $( Obsolete version of ~ ccatw2s1ccatws2 as of 29-Jan-2024.  The
     concatenation of a word with two singleton words equals the concatenation
     of the word with the doubleton word consisting of the symbols of the two
     singletons.  (Contributed by Mario Carneiro/AV, 21-Oct-2018.)
     (New usage is discouraged.)  (Proof modification is discouraged.) $)
  ccatw2s1ccatws2OLD $p |- ( ( W e. Word V /\ X e. V /\ Y e. V )
                          -> ( ( W ++ <" X "> ) ++ <" Y "> )
                             = ( W ++ <" X Y "> ) ) $=
    ( cword wcel w3a cs1 cconcat co cs2 ccatw2s1assOLD wceq df-s2 eqcomd oveq2d
    a1i eqtrd ) BAEFCAFDAFGZBCHZIJDHZIJBTUAIJZIJBCDKZIJABCDLSUBUCBISUCUBUCUBMSC
    DNQOPR $.

  $( Alternate proof of ~ ccat2s1fvw using words of length 2, see ~ df-s2 .  A
     symbol of the concatenation of a word with two single symbols
     corresponding to the symbol of the word.  (Contributed by AV,
     22-Sep-2018.)  (Proof shortened by Mario Carneiro/AV, 21-Oct-2018.)
     (Revised by AV, 28-Jan-2024.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  ccat2s1fvwALT $p |- ( ( W e. Word V /\ I e. NN0 /\ I < ( # ` W ) )
                    -> ( ( ( W ++ <" X "> ) ++ <" Y "> ) ` I ) = ( W ` I ) ) $=
    ( cword wcel cn0 chash cfv clt wbr w3a cs1 cconcat co cs2 wceq 3ad2ant1 cvv
    ccatw2s1ccatws2 fveq1d cc0 cfzo simp1 s2cli simp2 lencl nn0zd simp3 elfzo0z
    a1i cz syl3anbrc ccatval1 syl3anc eqtrd ) CBFGZAHGZACIJZKLZMZACDNOPENOPZJZA
    CDEQZOPZJZACJZURUSVDVGRVAURAVCVFBCDEUAUBSVBURVETFGZAUCUTUDPGZVGVHRURUSVAUEV
    IVBDEUFULVBUSUTUMGZVAVJURUSVAUGURUSVKVAURUTBCUHUISURUSVAUJAUTUKUNBTCVEAUOUP
    UQ $.

  $( Obsolete version of ~ ccat2s1fvwALT as of 28-Jan-2024.  Alternate proof of
     ~ ccat2s1fvwOLD using words of length 2, see ~ df-s2 .  A symbol of the
     concatenation of a word with two single symbols corresponding to the
     symbol of the word.  (Contributed by AV, 22-Sep-2018.)  (Proof shortened
     by Mario Carneiro/AV, 21-Oct-2018.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  ccat2s1fvwALTOLD $p |- ( ( ( W e. Word V /\ I e. NN0 /\ I < ( # ` W ) )
                          /\ ( X e. V /\ Y e. V ) )
            -> ( ( ( W ++ <" X "> ) ++ <" Y "> ) ` I ) = ( W ` I ) ) $=
    ( cword wcel cn0 chash cfv clt wbr w3a wa cs1 cconcat co cs2 wceq adantr cz
    simp1 anim1i 3anass sylibr ccatw2s1ccatws2OLD fveq1d cfzo s2cl adantl simp2
    syl cc0 lencl nn0zd 3ad2ant1 simp3 elfzo0z syl3anbrc ccatval1 syl3anc eqtrd
    ) CBFZGZAHGZACIJZKLZMZDBGZEBGZNZNZACDOPQEOPQZJZACDERZPQZJZACJZVLVDVIVJMZVNV
    QSVLVDVKNVSVHVDVKVDVEVGUBZUCVDVIVJUDUEVSAVMVPBCDEUFUGULVLVDVOVCGZAUMVFUHQGZ
    VQVRSVHVDVKVTTVKWAVHDEBUIUJVHWBVKVHVEVFUAGZVGWBVDVEVGUKVDVEWCVGVDVFBCUNUOUP
    VDVEVGUQAVFURUSTBBCVOAUTVAVB $.

  ${
    $d D t $.  $d P n t w $.  $d R t $.  $d V n t w $.  $d X n w $.
    wwlktovf1o.d $e |- D = { w e. Word V | ( ( # ` w ) = 2 /\ ( w ` 0 ) = P
                           /\ { ( w ` 0 ) , ( w ` 1 ) } e. X ) } $.
    wwlktovf1o.r $e |- R = { n e. V | { P , n } e. X } $.
    wwlktovf1o.f $e |- F = ( t e. D |-> ( t ` 1 ) ) $.
    $( Lemma 1 for ~ wrd2f1tovbij .  (Contributed by Alexander van der Vekens,
       27-Jul-2018.) $)
    wwlktovf $p |- F : D --> R $=
      ( c1 cv cfv wcel c2 wceq cc0 cpr cword chash w3a wa cfzo co wf wrdf oveq2
      wi feq2d cn0 clt wbr 1nn0 2nn 1lt2 elfzo0 mpbir3an ffvelrn mpan2 3ad2ant1
      cn syl6bi mpan9 preq1 eleq1d biimpa 3adant1 adantl jca weq fveqeq2 eqeq1d
      fveq1 preq12d 3anbi123d elrab2 preq2 3imtr4i fmpti ) BCEMBNZOZGLWBHUAZPZW
      BUBOZQRZSWBOZDRZWHWCTZIPZUCZUDZWCHPZDWCTZIPZUDWBCPWCEPWMWNWPWESWFUEUFZHWB
      UGZWLWNHWBUHWGWIWRWNUJWKWGWRSQUEUFZHWBUGZWNWGWQWSHWBWFQSUEUIUKWTMWSPZWNXA
      MULPQVCPMQUMUNUOUPUQMQURUSWSHMWBUTVAVDVBVEWLWPWEWIWKWPWGWIWKWPWIWJWOIWHDW
      CVFVGVHVIVJVKANZUBOQRZSXBOZDRZXDMXBOZTZIPZUCWLAWBWDCABVLZXCWGXEWIXHWKXBWB
      QUBVMXIXDWHDSXBWBVOZVNXIXGWJIXIXDWHXFWCXJMXBWBVOVPVGVQJVRDFNZTZIPWPFWCHEX
      KWCRXLWOIXKWCDVSVGKVRVTWA $.

    $d D x y $.  $d F x y $.  $d P t w x y $.  $d V x y $.  $d i x y $.
    $( Lemma 2 for ~ wrd2f1tovbij .  (Contributed by Alexander van der Vekens,
       27-Jul-2018.) $)
    wwlktovf1 $p |- F : D -1-1-> R $=
      ( vx cfv wceq wcel wa c1 c2 cc0 vy vi wf1 wf cv weq wi wral wwlktovf fvex
      fveq1 fvmpt eqeqan12d cword chash cpr w3a fveqeq2 eqeq1d eleq1d 3anbi123d
      preq12d elrab2 co simpr1 eqcomd sylan9eq adantr simpr2 simpr wb fzo0to2pr
      cfzo oveq2 eqtrdi raleqdv c0ex 1ex fveq2 eqeq12d bitrdi 3ad2ant1 ad3antlr
      ralpr mpbir2and eqwrd ad2ant2r ex syl2anb sylbid rgen2 dff13 mpbir2an ) C
      EGUCCEGUDMUEZGNZUAUEZGNZOZMUAUFZUGZUACUHMCUHABCDEFGHIJKLUIWTMUACCWNCPZWPC
      PZQWRRWNNZRWPNZOZWSXAXBWOXCWQXDBWNRBUEZNZXCCGRXFWNUKLRWNUJULBWPXGXDCGRXFW
      PUKLRWPUJULUMXAWNHUNZPZWNUONZSOZTWNNZDOZXLXCUPZIPZUQZQZWPXHPZWPUONZSOZTWP
      NZDOZYAXDUPZIPZUQZQZXEWSUGXBAUEZUONSOZTYGNZDOZYIRYGNZUPZIPZUQZXPAWNXHCAMU
      FZYHXKYJXMYMXOYGWNSUOURYOYIXLDTYGWNUKZUSYOYLXNIYOYIXLYKXCYPRYGWNUKVBUTVAJ
      VCYNYEAWPXHCAUAUFZYHXTYJYBYMYDYGWPSUOURYQYIYADTYGWPUKZUSYQYLYCIYQYIYAYKXD
      YRRYGWPUKVBUTVAJVCXQYFQZXEWSYSXEQZWSXJXSOZUBUEZWNNZUUBWPNZOZUBTXJVMVDZUHZ
      YSUUAXEXQYFXJSXSXIXKXMXOVEYFXSSXRXTYBYDVEVFVGVHYTUUGXLYAOZXEYSUUHXEXQYFXL
      DYAXIXKXMXOVIYFYADXRXTYBYDVIVFVGVHYSXEVJXPUUGUUHXEQZVKZXIYFXEXKXMUUJXOXKU
      UGUUEUBTRUPZUHUUIXKUUEUBUUFUUKXKUUFTSVMVDUUKXJSTVMVNVLVOVPUUEUUHXEUBTRVQV
      RUUBTOUUCXLUUDYAUUBTWNVSUUBTWPVSVTUUBROUUCXCUUDXDUUBRWNVSUUBRWPVSVTWDWAWB
      WCWEYSWSUUAUUGQVKZXEXIXRUULXPYEHHWNUBWPWFWGVHWEWHWIWJWKMUACEGWLWM $.

    $d D p u $.  $d F u p $.  $d P p u $.  $d R p u $.  $d V p u $.  $d X u $.
    $d n p $.  $d t u w $.
    $( Lemma 3 for ~ wrd2f1tovbij .  (Contributed by Alexander van der Vekens,
       27-Jul-2018.) $)
    wwlktovfo $p |- ( P e. V -> F : D -onto-> R ) $=
      ( vu wcel cfv wceq wa c1 wi adantr vp wf cv wrex wfo wwlktovf a1i cpr weq
      wral preq2 eleq1d elrab2 chash c2 cc0 w3a cword crab wex cop simpl anim2i
      eqidd wrdlen2i sylc eleq1 biimpd com12 impcom fveqeq2 adantl fveq1 eqeq1d
      prex anbi12d preq12 eqcomd syl6bi com13 ad2antll 3jca eqcom eqeq2d syl5bi
      cvv imp jca31 exp31 eqcoms spcimedv preq12d 3anbi123d elrab anbi1i sylibr
      exbii df-rex rexeqi fvex fvmpt rexbiia sylan2b ralrimiva dffo3 sylanbrc
      mpd ) DHNZCEGUBZUAUCZMUCZGOZPZMCUDZUAEUJCEGUEXIXHABCDEFGHIJKLUFUGXHXNUAEX
      JENXHXJHNZDXJUHZINZQZXNDFUCZUHZINXQFXJHEFUAUIXTXPIXSXJDUKULKUMXHXRQZXJRXK
      OZPZMCUDZXNYAYCMAUCZUNOUOPZUPYEOZDPZYGRYEOZUHZINZUQZAHURZUSZUDZYDYAXKYNNZ
      YCQZMUTZYOYAXKYMNZXKUNOUOPZUPXKOZDPZUUAYBUHZINZUQZQZYCQZMUTZYRYAUPDVAZRXJ
      VAZUHZYMNZUUKUNOUOPZQZUPUUKOZDPZRUUKOZXJPZQZQZUUHYAXHXOQUUKUUKPUUTXRXOXHX
      OXQVBVCYAUUKVDDXJHUUKVEVFYAUUGUUTMUUKWFUUKWFNYAUUIUUJVOUGXKUUKPYAUUTUUGSZ
      YAUVASUUKXKUUKXKPZYAUUTUUGUVBYAQZUUTQZYSUUEYCUUTUVCYSUUNUVCYSSZUUSUULUVEU
      UMUVCUULYSUVBUULYSSYAUVBUULYSUUKXKYMVGVHTVITTVJUVDYTUUBUUDUUTUVCYTUUNUVCY
      TSZUUSUUMUVFUULUVCUUMYTUVBUUMYTSYAUVBUUMYTUUKXKUOUNVKVHTVIVLTVJUUTUVCUUBU
      USUVCUUBSZUUNUUPUVGUURUVCUUPUUBUVBUUPUUBSYAUVBUUPUUBUVBUUOUUADUPUUKXKVMVN
      ZVHTVITVLVJUVCUUTUUDYAUVBUUTUUDSZXQUVBUVISXHXOUUTUVBXQUUDUUSUVBXQUUDSZSUU
      NUVBUUSUVJUVBUUSUUBYBXJPZQZUVJUVBUUPUUBUURUVKUVHUVBUUQYBXJRUUKXKVMZVNVPUV
      LXQUUDUVLXPUUCIUVLUUCXPUUAYBDXJVQVRULVHVSVIVLVTWAVJWGWBUVCUUTYCUVBUUTYCSY
      AUUTUVBYCUURUVBYCSUUNUUPUVBUURYCUURXJUUQPZUVBYCUUQXJWCUVBUVNYCUVBUUQYBXJU
      VMWDVHWEVIWAVITWGWHWIWJVJWKXGYQUUGMYPUUFYCYLUUEAXKYMAMUIZYFYTYHUUBYKUUDYE
      XKUOUNVKUVOYGUUADUPYEXKVMZVNUVOYJUUCIUVOYGUUAYIYBUVPRYEXKVMWLULWMWNWOWQWP
      YCMYNWRWPYCMCYNJWSWPXMYCMCXKCNXLYBXJBXKRBUCZOYBCGRUVQXKVMLRXKWTXAWDXBWPXC
      XDMUACEGXEXF $.

    $( Lemma 4 for ~ wrd2f1tovbij .  (Contributed by Alexander van der Vekens,
       28-Jul-2018.) $)
    wwlktovf1o $p |- ( P e. V -> F : D -1-1-onto-> R ) $=
      ( wcel wf1 wfo wf1o wwlktovf1 a1i wwlktovfo df-f1o sylanbrc ) DHMZCEGNZCE
      GOCEGPUCUBABCDEFGHIJKLQRABCDEFGHIJKLSCEGTUA $.
  $}

  ${
    $d P f n p t u w x $.  $d V f n p t u w x $.  $d X f n p t u w x $.
    $( There is a bijection between words of length two with a fixed first
       symbol contained in a pair and the symbols contained in a pair together
       with the fixed symbol.  (Contributed by Alexander van der Vekens,
       28-Jul-2018.) $)
    wrd2f1tovbij $p |- ( ( V e. Y /\ P e. V )
                       -> E. f f : { w e. Word V | ( ( # ` w ) = 2
                         /\ ( w ` 0 ) = P /\ { ( w ` 0 ) , ( w ` 1 ) } e. X ) }
                                   -1-1-onto-> { n e. V | { P , n } e. X } ) $=
      ( vx vt vu wcel cv chash cfv c2 wceq cc0 c1 cpr cvv vp wa cword crab wf1o
      w3a cmpt wrdexg adantr rabexg mptexg 3syl weq fveqeq2 fveq1 eqeq1d eleq1d
      preq12d 3anbi123d cbvrabv preq2 mpteq1i wwlktovf1o adantl f1oeq1 spcedv )
      EGKZBEKZUBZALZMNOPZQVJNZBPZVLRVJNZSZFKZUFZAEUCZUDZBDLZSZFKZDEUDZCLZUEVSWC
      HILZMNOPZQWENZBPZWGRWENZSZFKZUFZIVRUDZRHLNZUGZUEZCTWOVIVRTKZWMTKWOTKVGWQV
      HEGUHUIWLIVRTUJHWMWNTUKULVHWPVGJHVSBWCUAWOEFVQJLZMNOPZQWRNZBPZWTRWRNZSZFK
      ZUFAJVRAJUMZVKWSVMXAVPXDVJWROMUNXEVLWTBQVJWRUOZUPXEVOXCFXEVLWTVNXBXFRVJWR
      UOURUQUSUTWBBUALZSZFKDUAEDUAUMWAXHFVTXGBVAUQUTHWMVSWNWLVQIAVRIAUMZWFVKWHV
      MWKVPWEVJOMUNXIWGVLBQWEVJUOZUPXIWJVOFXIWGVLWIVNXJRWEVJUOURUQUSUTVBVCVDVSW
      CWDWOVEVF $.
  $}

  ${
    $d A i $.  $d B i $.  $d C i $.  $d V i $.  $d W i $.
    $( A word is equal with a length 3 string iff it has length 3 and the same
       symbol at each position.  (Contributed by AV, 12-May-2021.) $)
    eqwrds3 $p |- ( ( W e. Word V /\ ( A e. V /\ B e. V /\ C e. V ) )
                    -> ( W = <" A B C "> <-> ( ( # ` W ) = 3
                /\ ( ( W ` 0 ) = A /\ ( W ` 1 ) = B /\ ( W ` 2 ) = C ) ) ) ) $=
      ( vi wcel wa wceq cfv cc0 cfzo c3 c1 c2 wb cz fveq2 eqeq12d sylan9bbr w3a
      cword cs3 chash cv co wral eqwrd sylan2 s3len eqeq2i a1i anbi1d ctp oveq2
      s3cl fzo0to3tp eqtrdi s3fv0 3ad2ant1 eqeq2d s3fv1 3ad2ant2 s3fv2 3ad2ant3
      raleqdv 0zd 1zzd 2z raltpd adantl pm5.32da 3bitrd ) EDUBZGZADGZBDGZCDGZUA
      ZHZEABCUCZIZEUDJZWAUDJZIZFUEZEJZWFWAJZIZFKWCLUFZUGZHZWCMIZWKHWMKEJZAIZNEJ
      ZBIZOEJZCIZUAZHVSVOWAVNGWBWLPABCDUPDDEFWAUHUIVTWEWMWKWEWMPVTWDMWCABCUJUKU
      LUMVTWMWKWTWMWKWIFKNOUNZUGZVTWTWMWIFWJXAWMWJKMLUFXAWCMKLUOUQURVFVSXBWTPVO
      VSWIWOWQWSFKNOQQQWFKIZWIWNKWAJZIVSWOXCWGWNWHXDWFKERWFKWARSVSXDAWNVPVQXDAI
      VRABCDUSUTVATWFNIZWIWPNWAJZIVSWQXEWGWPWHXFWFNERWFNWARSVSXFBWPVQVPXFBIVRAB
      CDVBVCVATWFOIZWIWROWAJZIVSWSXGWGWRWHXHWFOERWFOWARSVSXHCWRVRVPXHCIVQABCDVD
      VEVATVSVGVSVHOQGVSVIULVJVKTVLVM $.
  $}

  ${
    $d V a b c $.  $d W a b c $.
    $( A word of length 3 is a length 3 string.  (Contributed by AV,
       18-May-2021.) $)
    wrdl3s3 $p |- ( ( W e. Word V /\ ( # ` W ) = 3 )
                       <-> E. a e. V E. b e. V E. c e. V W = <" a b c "> ) $=
      ( wcel chash cfv c3 wceq wa cv wrex cc0 c1 c2 w3a cfzo fzo0to3tp eleqtrri
      cword cs3 ctp c0ex tpid1 oveq2 eleqtrrid wrdsymbcl sylan2 1ex tpid2 tpid3
      2ex simpr eqid 3pm3.2i jctir eqeq2 3anbi1d anbi2d 3anbi2d 3anbi3d rspc3ev
      co syl31anc wb wi df-3an eqwrds3 ex syl5bir expd imp31 rexbidva 2rexbidva
      adantr mpbird s3cl ad4ant123 s3len eleq1 fveqeq2 anbi12d adantl rexlimivv
      rexlimdva2 impbii ) BAUAZFZBGHZIJZKZBCLZDLZELZUBZJZEAMZDAMCAMZWLWSWKNBHZW
      MJZOBHZWNJZPBHZWOJZQZKZEAMZDAMCAMZWLWTAFZXBAFZXDAFZWKWTWTJZXBXBJZXDXDJZQZ
      KZXIWKWINNWJRVDZFXJWKNNIRVDZXRNNOPUCZXSNOPUDUESTWJINRUFZUGNABUHUIWKWIOXRF
      XKWKOXSXROXTXSNOPUJUKSTYAUGOABUHUIWKWIPXRFXLWKPXSXRPXTXSNOPUMULSTYAUGPABU
      HUIWLWKXPWIWKUNXMXNXOWTUOXBUOXDUOUPUQXGXQWKXMXCXEQZKWKXMXNXEQZKCDEWTXBXDA
      AAWMWTJZXFYBWKYDXAXMXCXEWMWTWTURUSUTWNXBJZYBYCWKYEXCXNXMXEWNXBXBURVAUTWOX
      DJZYCXPWKYFXEXOXMXNWOXDXDURVBUTVCVEWLWRXHCDAAWLWMAFZWNAFZKZKWQXGEAWLYIWOA
      FZWQXGVFZWIYIYJYKVGVGWKWIYIYJYKYIYJKZYGYHYJQZWIYKYGYHYJVHWIYMYKWMWNWOABVI
      VJVKVLVPVMVNVOVQWRWLCDAAYIWQWLEAYLWQKZWLWPWHFZWPGHIJZKZYNYOYPYGYHYJYOWQWM
      WNWOAVRVSWMWNWOVTUQWQWLYQVFYLWQWIYOWKYPBWPWHWABWPIGWBWCWDVQWFWEWG $.
  $}

  ${
    $d A c d $.  $d B c d $.  $d X c d $.  $d Y c d $.  $d Z c d $.
    $( The singletons consisting of length 3 strings which have distinct third
       symbols are disjunct.  (Contributed by AV, 17-May-2021.) $)
    s3sndisj $p |- ( ( A e. X /\ B e. Y ) -> Disj_ c e. Z { <" A B c "> } ) $=
      ( vd wcel wa cv cs3 csn wceq wral wn cfv w3a cvv elex anim12i c0 wo wdisj
      weq cin wi orc a1d wne chash c3 c1 c2 cword wb s3cli adantl df-3an sylibr
      cc0 eqwrds3 sylancr s3fv2 elv simp3 eqtr3id syl6bi con3rr3 neqned disjsn2
      imp syl olcd ex pm2.61i ralrimivva eqidd id s3eqd sneqd disjor ) ACHZBDHZ
      IZFGUDZABFJZKZLZABGJZKZLZUEUAMZUBZGENFENFEWHUCWDWMFGEEWEWDWFEHZWIEHZIZIZW
      MUFWEWMWQWEWLUGUHWEOZWQWMWRWQIZWLWEWSWGWJUIWLWSWGWJWRWQWGWJMZOWQWTWEWQWTW
      GUJPUKMZUTWGPAMZULWGPBMZUMWGPZWIMZQZIZWEWQWGRUNHARHZBRHZWIRHZQZWTXGUOABWF
      UPWQXHXIIZXJIXKWDXLWPXJWBXHWCXIACSBDSTWOXJWNWIESUQTXHXIXJURUSABWIRWGVAVBX
      FWEXAXFWFXDWIXDWFMFABWFRVCVDXBXCXEVEVFUQVGVHVKVIWGWJVJVLVMVNVOVPEWHWKFGWE
      WGWJWEABWFWIABWEAVQWEBVQWEVRVSVTWAUS $.

    $d B a c d e s $.  $d X a e s $.  $d Y a e s $.  $d Z a e s $.
    $( The union of singletons consisting of length 3 strings which have
       distinct first and third symbols are disjunct.  (Contributed by AV,
       17-May-2021.) $)
    s3iunsndisj $p |- ( B e. X -> Disj_ a e. Y U_ c e. ( Z \ { a } )
                                               { <" a B c "> } ) $=
      ( vd vs ve wcel cv csn wceq wral wa wi wn adantl cfv cvv weq cdif cs3 cin
      ciun c0 wo wdisj orc a1d wrex eliun velsn wb eqeq1 chash c3 cc0 c1 c2 w3a
      cword s3cli elex anim12ci anim12i df-3an sylibr eqwrds3 sylancr s3fv0 elv
      simp1 syl6bi adantr sylbid ancoms con3d exp32 com14 imp expd com34 syl5bi
      eqtr3id sylnibr nrexdv rexlimdva2 ralrimiv eqidd id cbviunv eleq2i notbii
      s3eqd sneqd ralbii disj olcd ex pm2.61i ralrimivva sneq difeq2d disjiunb
      ) ABJZEGUAZFDEKZLZUBZXHAFKZUCZLZUEZFDGKZLZUBZXOAXKUCZLZUEZUDUFMZUGZGCNECN
      ECXNUHXFYBEGCCXGXFXHCJZXOCJZOZOZYBPXGYBYFXGYAUIUJXGQZYFYBYGYFOZYAXGYHHKZX
      TJZQZHXNNZYAYHYIIXQXOAIKZUCZLZUEZJZQZHXNNYLYHYRHXNYIXNJYIXMJZFXJUKYHYRFYI
      XJXMULYHYSYRFXJYHXKXJJZOZYSOZYIYOJZIXQUKYQUUBUUCIXQUUBYMXQJZOYIYNMZUUCUUB
      UUDUUEQZUUAYSUUDUUFPZYSYIXLMZUUAUUGHXLUMYHYTUUHUUGPYHYTUUDUUHUUFYHYTUUDUU
      HUUFPZYGYFYTUUDOZUUIPUUHYFUUJYGUUFUUHYFUUJYGUUFPUUHYFUUJOZOUUEXGUUKUUHUUE
      XGPUUKUUHOUUEXLYNMZXGUUHUUEUULUNUUKYIXLYNUORUUKUULXGPUUHUUKUULXLUPSUQMZUR
      XLSZXOMZUSXLSAMZUTXLSYMMZVAZOZXGUUKXLTVBJXOTJZATJZYMTJZVAZUULUUSUNXHAXKVC
      UUKUUTUVAOZUVBOUVCYFUVDUUJUVBXFUVAYEUUTABVDYDUUTYCXOCVDRVEUUDUVBYTYMXQVDR
      VFUUTUVAUVBVGVHXOAYMTXLVIVJUURXGUUMUURXHUUNXOUUNXHMEXHAXKTVKVLUUOUUPUUQVM
      WERVNVOVPVQVRVSVTWAWBWCWAWDWAWAHYNUMWFWGIYIXQYOULWFWHWDWIYKYRHXNYJYQXTYPY
      IFIXQXSYOFIUAZXRYNUVEXOAXKYMXOAUVEXOWJUVEAWJUVEWKWOWPWLWMWNWQVHHXNXTWRVHW
      SWTXAXBFCXJXMXQEGXSXGXIXPDXHXOXCXDXGXLXRXGXHAXKXKXOAXGWKXGAWJXGXKWJWOWPXE
      VH $.
  $}

  ${
    $d i E $.  $d i F $.  $d i G $.  $d i H $.  $d i R $.  $d i S $.  $d i T $.
    $d i ph $.
    ofccat.1 $e |- ( ph -> E e. Word S ) $.
    ofccat.2 $e |- ( ph -> F e. Word S ) $.
    ofccat.3 $e |- ( ph -> G e. Word T ) $.
    ofccat.4 $e |- ( ph -> H e. Word T ) $.
    ofccat.5 $e |- ( ph -> ( # ` E ) = ( # ` G ) ) $.
    ofccat.6 $e |- ( ph -> ( # ` F ) = ( # ` H ) ) $.
    $( Letterwise operations on word concatenations.  (Contributed by Thierry
       Arnoux, 28-Sep-2018.) $)
    ofccat $p |- ( ph -> ( ( E ++ F ) oF R ( G ++ H ) ) =
      ( ( E oF R G ) ++ ( F oF R H ) ) ) $=
      ( vi cc0 co cfzo wcel cvv chash cfv caddc cv cof cmin cif cmpt cconcat wa
      wceq wfn cword wrdf ffn 3syl oveq2d fneq2d mpbird ovexd inidm offn hashfn
      wf syl cn0 cfn wrdfin hashcl hashfzo0 eqtrd adantr eleq2d ad2antrr biimpa
      fnfvof syl22anc wn fveq2d simplr simpr neleqtrd nn0zd fzocatel ifbieq12d2
      cz mpteq2dva ovex ccatfval mp2an oveq12d mpteq1d eqtrid fvex ifex syl2anc
      a1i eqtr4d offval2 ifbieq2d ovif12 mpteq2i eqtrdi 3eqtr4rd ) AOPEUAUBZFUA
      UBZUCQZRQZOUDZPEGBUEZQZUAUBZRQZSZXIXKUBZXIXLUFQZFHXJQZUBZUGZUHZOXHXIPXERQ
      ZSZXIEUBZXIGUBZBQZXIXEUFQZFUBZYFHUBZBQZUGZUHZXKXQUIQZEFUIQZGHUIQZXJQZAOXH
      XSYJAXIXHSZUJZXNYBXOXRYEYIYQXMYAXIYQXLXEPRAXLXEUKZYPAXLYAUAUBZXEAXKYAULXL
      YSUKAYAYABYAEGTTAECUMZSZYACEVDEYAULZICEUNYACEUOUPZAGYAULZGPGUAUBZRQZULZAG
      DUMZSZUUFDGVDUUGKDGUNUUFDGUOUPAYAUUFGAXEUUEPRMUQURUSZAPXERUTZUUKYAVAVBYAX
      KVCVEAXEVFSZYSXEUKAUUAEVGSUULICEVHEVIUPZXEVJVEVKZVLUQZVMZYQXNUJZUUBUUDYAT
      SYBXOYEUKAUUBYPXNUUCVNAUUDYPXNUUJVNUUQPXERUTYQXNYBUUPVOYABEGTXIVPVQYQXNVR
      ZUJZXRYFXQUBZYIUUSXPYFXQUUSXLXEXIUFAYRYPUURUUNVNUQVSUUSFPXFRQZULZHUVAULZU
      VATSYFUVASZUUTYIUKAUVBYPUURAFYTSZUVACFVDUVBJCFUNUVACFUOUPZVNAUVCYPUURAUVC
      HPHUAUBZRQZULZAHUUHSZUVHDHVDUVILDHUNUVHDHUOUPAUVAUVHHAXFUVGPRNUQURUSZVNUU
      SPXFRUTUUSYPYBVRXEWFSXFWFSUVDAYPUURVTUUSXMYAXIYQUURWAYQXMYAUKUURUUOVLWBUU
      SXEAUULYPUURUUMVNWCUUSXFAXFVFSZYPUURAUVEFVGSUVLJCFVHFVIUPZVNWCXIXEXFWDVQU
      VABFHTYFVPVQVKWEWGAYLOPXLXQUAUBZUCQZRQZXSUHZXTXKTSXQTSYLUVQUKEGXJWHFHXJWH
      OXKXQTTWIWJAOUVPXHXSAUVOXGPRAXLXEUVNXFUCUUNAUVNUVAUAUBZXFAXQUVAULUVNUVRUK
      AUVAUVABUVAFHTTUVFUVKAPXFRUTZUVSUVAVAVBUVAXQVCVEAUVLUVRXFUKUVMXFVJVEVKWKU
      QWLWMAYOOXHYBYCYGUGZYBYDYHUGZBQZUHZYKAYOOXHUVTXIUUFSZYDXIUUEUFQZHUBZUGZBQ
      ZUHUWCAOXHUVTUWGBYMYNTTTAPXGRUTUVTTSYQYBYCYGXIEWNYFFWNWOWQUWGTSYQUWDYDUWF
      XIGWNUWEHWNWOWQAUUAUVEYMOXHUVTUHUKIJOEFYTYTWIWPAYNOPUUEUVGUCQZRQZUWGUHZOX
      HUWGUHAUUIUVJYNUWKUKKLOGHUUHUUHWIWPAOXHUWJUWGAXGUWIPRAXEUUEXFUVGUCMNWKUQW
      LWRWSAOXHUWBUWHYQUWAUWGUVTBYQYBUWDYHUWFYDYQYAUUFXIYQXEUUEPRAXEUUEUKYPMVLZ
      UQVMYQYFUWEHYQXEUUEXIUFUWLUQVSWTUQWGWROXHUWBYJYBYCYGYDYHBXAXBXCXD $.
  $}

  ${
    $d i A $.  $d i B $.  $d i R $.  $d i S $.  $d i T $.
    $( Letterwise operations on a single letter word.  (Contributed by Thierry
       Arnoux, 7-Oct-2018.) $)
    ofs1 $p |- ( ( A e. S /\ B e. T )
      -> ( <" A "> oF R <" B "> ) = <" ( A R B ) "> ) $=
      ( vi wcel cs1 co cc0 csn cmpt cvv wceq cop s1val cn0 0nn0 fmptsn mpan cof
      wa snex a1i cv simpll simplr eqtrd adantr adantl offval2 ovex ax-mp mp2an
      eqtri eqtr4di ) ADGZBEGZUBZAHZBHZCUAIFJKZABCIZLZVCHZUSFVBABCUTVAMDEVBMGUS
      JUCUDUQURFUEVBGZUFUQURVFUGUQUTFVBALZNURUQUTJAOKZVGADPJQGZUQVHVGNRFJAQDSTU
      HUIURVAFVBBLZNUQURVAJBOKZVJBEPVIURVKVJNRFJBQESTUHUJUKVEJVCOKZVDVCMGZVEVLN
      ABCULZVCMPUMVIVMVLVDNRVNFJVCQMSUNUOUP $.
  $}

  $( Letterwise operations on a double letter word.  (Contributed by Thierry
     Arnoux, 7-Oct-2018.) $)
  ofs2 $p |- ( ( ( A e. S /\ B e. S ) /\ ( C e. T /\ D e. T ) )
  -> ( <" A B "> oF R <" C D "> ) = <" ( A R C ) ( B R D ) "> ) $=
    ( wcel wa cs2 co cs1 cconcat df-s2 s1cld chash cfv wceq c1 s1len cof simpll
    oveq12i simplr simprl simprr eqtr4i a1i ofccat ofs1 syl2anc oveq12d eqtr4di
    eqtrid eqtrd ) AFHZBFHZIZCGHZDGHZIZIZABJZCDJZEUAZKZALZCLZVEKZBLZDLZVEKZMKZA
    CEKZBDEKZJZVBVFVGVJMKZVHVKMKZVEKVMVCVQVDVRVEABNCDNUCVBEFGVGVJVHVKVBAFUPUQVA
    UBZOVBBFUPUQVAUDZOVBCGURUSUTUEZOVBDGURUSUTUFZOVGPQZVHPQZRVBWCSWDATCTUGUHVJP
    QZVKPQZRVBWESWFBTDTUGUHUIUNVBVMVNLZVOLZMKVPVBVIWGVLWHMVBUPUSVIWGRVSWAACEFGU
    JUKVBUQUTVLWHRVTWBBDEFGUJUKULVNVONUMUO $.


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Reflexive and transitive closures of relations
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  A relation, ` R ` , has the reflexive property if ` A R A ` holds whenever
  ` A ` is an element which could be related by the relation, namely, an
  element of its domain or range.  Eliminating dummy variables, we see that a
  segment of the identity relation must be a subset of the relation, or
  ` ( _I |`` ( ran R u. dom R ) ) C_ R ` .  See ~ idref .

  A relation, ` R ` , has the transitive property if ` A R C ` holds whenever
  there exists an intermediate value ` B ` such that both ` A R B ` and
  ` B R C ` hold. This can be expressed without dummy variables as
  ` ( R o. R ) C_ R ` .  See ~ cotr .

  The transitive closure of a relation, ` ( t+ `` R ) ` , is the smallest
  superset of the relation which has the transitive property.  Likewise, the
  reflexive-transitive closure, ` ( t* `` R ) ` , is the smallest superset
  which has both the reflexive and transitive properties.

  Not to be confused with the transitive closure of a set, ~ trcl , which is a
  closure relative to a different transitive property, ~ df-tr .

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The reflexive and transitive properties of relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( MARKER 17001 df-co $)

  ${
    $d x y z ph $.  $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.
    coss12d.a $e |- ( ph -> A C_ B ) $.
    coss12d.c $e |- ( ph -> C C_ D ) $.
    $( Subset deduction for composition of two classes.  (Contributed by RP,
       24-Dec-2019.) $)
    coss12d $p |- ( ph -> ( A o. C ) C_ ( B o. D ) ) $=
      ( vx vy vz cv wbr wa wex copab ccom ssbrd anim12d eximdv df-co ssopab2dv
      3sstr4g ) AHKZIKZDLZUDJKZBLZMZINZHJOUCUDELZUDUFCLZMZINZHJOBDPCEPAUIUMHJAU
      HULIAUEUJUGUKADEUCUDGQABCUDUFFQRSUAHJIBDTHJICETUB $.
  $}

  ${
    trrelssd.r $e |- ( ph -> ( R o. R ) C_ R ) $.
    trrelssd.s $e |- ( ph -> S C_ R ) $.
    trrelssd.t $e |- ( ph -> T C_ R ) $.
    $( The composition of subclasses of a transitive relation is a subclass of
       that relation.  (Contributed by RP, 24-Dec-2019.) $)
    trrelssd $p |- ( ph -> ( S o. T ) C_ R ) $=
      ( ccom coss12d sstrd ) ACDHBBHBACBDBFGIEJ $.
  $}

  $( MARKER 17059 brxp $)

  ${
    $d x z ph $.  $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.
    xpcogend.1 $e |- ( ph -> ( B i^i C ) =/= (/) ) $.
    $( The most interesting case of the composition of two Cartesian products.
       (Contributed by RP, 24-Dec-2019.) $)
    xpcogend $p |- ( ph -> ( ( C X. D ) o. ( A X. B ) ) = ( A X. D ) ) $=
      ( vx vy vz cv cxp wbr wa wex copab wcel ccom brxp biancomi exbii c0 ndisj
      anbi12i an4 19.42v 3bitri cin sylib biantrud bitr4id opabbidv df-co df-xp
      wne 3eqtr4g ) AGJZHJZBCKZLZUQIJZDEKZLZMZHNZGIOUPBPZUTEPZMZGIOVAURQBEKAVDV
      GGIAVDVGUQCPZUQDPZMZHNZMZVGVDVEVHMZVFVIMZMZHNVGVJMZHNVLVCVOHUSVMVBVNUPUQB
      CRVBVFVIUQUTDERSUCTVOVPHVEVHVFVIUDTVGVJHUEUFAVKVGACDUGUAUNVKFHCDUBUHUIUJU
      KGIHVAURULGIBEUMUO $.
  $}

  ${
    xpcoidgend.1 $e |- ( ph -> ( A i^i B ) =/= (/) ) $.
    $( If two classes are not disjoint, then the composition of their Cartesian
       product with itself is idempotent.  (Contributed by RP, 24-Dec-2019.) $)
    xpcoidgend $p |- ( ph -> ( ( A X. B ) o. ( A X. B ) ) = ( A X. B ) ) $=
      ( cin c0 incom eqnetrrid xpcogend ) ABCBCACBEBCEFBCGDHI $.
  $}

  $( MARKER 18249 cotrg $)

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.  $d y z E $.
    $d z F $.
    cotr2g.d $e |- dom B C_ D $.
    cotr2g.e $e |- ( ran B i^i dom A ) C_ E $.
    cotr2g.f $e |- ran A C_ F $.
    $( Two ways of saying that the composition of two relations is included in
       a third relation.  See its special instance ~ cotr2 for the main
       application.  (Contributed by RP, 22-Mar-2020.) $)
    cotr2g $p |- ( ( A o. B ) C_ C
                   <-> A. x e. D A. y e. E A. z e. F
                       ( ( x B y /\ y A z ) -> x C z ) ) $=
      ( cv wbr wa wi wal wcel wral albii ccom wss cotrg nfv 19.21-2 simpl simpr
      w3a id simp2 impbii cdm vex breldm sselid pm4.71ri crn cin brelrn biimpri
      3jca elin syl2an 3anbi123i 3an6 anbi2i bitri 3bitri imbi1i impexp 3impexp
      2albii df-ral 3bitr4i 19.21v bicomi ralbii ) DEUAFUBAMZBMZENZVSCMZDNZOZVR
      WAFNZPZCQZBQAQZWAIRZWEPZCQZBHSZAGSZWECISZBHSZAGSABCDEFUCWGVSHRZWIPZCQZBQZ
      AGSZWLVRGRZWPPZCQZBQZAQWTWRPZAQWGWSXCXDAWTWPBCWTBUDWTCUDUETWFXBABWEXACWEW
      TWOWHUHZWCOZWDPXEWEPXAWCXFWDWCVTWCWBUHZWTVTOZWOWCOZWHWBOZUHZXFWCXGWCVTWCW
      BVTWBUFWCUIVTWBUGVAZVTWCWBUJZUKVTXHWCXIWBXJVTWTVTEULGVRJVRVSEAUMZBUMZUNUO
      UPWCWOWCEUQZDULZURZHVSKVTVSXPRZVSXQRZVSXRRZWBVRVSEXNXOUSVSWADXOCUMZUNYAXS
      XTOVSXPXQVBUTVCUOUPWBWHWBDUQIWALVSWADXOYBUSUOUPVDXKXEXGOXFWTVTWOWCWHWBVEX
      GWCXEXGWCXMXLUKVFVGVHVIXEWCWDVJWTWOWHWEVKVHTVLWRAGVMVNWRWKAGWKWRWKWOWJPZB
      QWRWJBHVMYCWQBWQYCWOWICVOVPTVGVPVQVGWKWNAGWJWMBHWMWJWECIVMVPVQVQVH $.
  $}

  ${
    $d x y z R $.  $d x y z A $.  $d y z B $.  $d z C $.
    cotr2.a $e |- dom R C_ A $.
    cotr2.b $e |- ( dom R i^i ran R ) C_ B $.
    cotr2.c $e |- ran R C_ C $.
    $( Two ways of saying a relation is transitive.  Special instance of
       ~ cotr2g .  (Contributed by RP, 22-Mar-2020.) $)
    cotr2 $p |- ( ( R o. R ) C_ R
                  <-> A. x e. A A. y e. B A. z e. C
                      ( ( x R y /\ y R z ) -> x R z ) ) $=
      ( crn cdm cin incom eqsstrri cotr2g ) ABCGGGDEFHGKZGLZMRQMERQNIOJP $.
  $}

  ${
    $d x y z R $.  $d x y z A $.  $d y z B $.  $d z C $.
    cotr3.a $e |- A = dom R $.
    cotr3.b $e |- B = ( A i^i C ) $.
    cotr3.c $e |- C = ran R $.
    $( Two ways of saying a relation is transitive.  (Contributed by RP,
       22-Mar-2020.) $)
    cotr3 $p |- ( ( R o. R ) C_ R
                  <-> A. x e. A A. y e. B A. z e. C
                      ( ( x R y /\ y R z ) -> x R z ) ) $=
      ( cdm eqimss2i crn cin ineq12i eqtri cotr2 ) ABCDEFGDGKZHLERGMZNZEDFNTIDR
      FSHJOPLFSJLQ $.
  $}

  $( MARKER 18548 coeq0 $)

  ${
    coemptyd.1 $e |- ( ph -> ( dom A i^i ran B ) = (/) ) $.
    $( Deduction about composition of classes with no relational content in
       common.  (Contributed by RP, 24-Dec-2019.) $)
    coemptyd $p |- ( ph -> ( A o. B ) = (/) ) $=
      ( cdm crn cin c0 wceq ccom coeq0 sylibr ) ABECFGHIBCJHIDBCKL $.
  $}

  $( The cross product is always a transitive relation.  (Contributed by RP,
     24-Dec-2019.) $)
  xptrrel $p |- ( ( A X. B ) o. ( A X. B ) ) C_ ( A X. B ) $=
    ( cin c0 wceq cxp ccom wss cdm inss1 dmxpss sstri inss2 rnxpss ssini eqimss
    crn sstrid ss0 eqsstrdi syl coemptyd 0ss wn neqne xpcoidgend ssid pm2.61i )
    ABCZDEZABFZUKGZUKHUJULDUKUJUKUKUJUKIZUKQZCZDHUODEUJUOUIDUOABUOUMAUMUNJABKLU
    OUNBUMUNMABNLOUIDPRUOSUAUBUKUCTUJUDZULUKUKUPABUIDUEUFUKUGTUH $.

  $( MARKER 18561 co01 $)

  $( The empty class is a transitive relation.  (Contributed by RP,
     24-Dec-2019.) $)
  0trrel $p |- ( (/) o. (/) ) C_ (/) $=
    ( c0 ccom co01 eqimssi ) AABAACD $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Basic properties of closures
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Equality implies bijection.  (Contributed by RP, 9-May-2020.) $)
  cleq1lem $p |- ( A = B -> ( ( A C_ C /\ ph ) <-> ( B C_ C /\ ph ) ) ) $=
    ( wceq wss sseq1 anbi1d ) BCEBDFCDFABCDGH $.

  ${
    $d r R $.  $d r S $.
    $( Equality of relations implies equality of closures.  (Contributed by RP,
       9-May-2020.) $)
    cleq1 $p |- ( R = S -> |^| { r | ( R C_ r /\ ph ) }
                         = |^| { r | ( S C_ r /\ ph ) } ) $=
      ( wceq cv wss wa cab cleq1lem abbidv inteqd ) BCEZBDFZGAHZDICNGAHZDIMOPDA
      BCNJKL $.
  $}

  ${
    $d r R $.  $d r S $.
    $( The closure of a subclass is a subclass of the closure.  (Contributed by
       RP, 16-May-2020.) $)
    clsslem $p |- ( R C_ S -> |^| { r | ( R C_ r /\ ph ) }
                                C_ |^| { r | ( S C_ r /\ ph ) } ) $=
      ( wss cv wa cab cint sstr2 anim1d ss2abdv intss syl ) BCEZCDFZEZAGZDHZBPE
      ZAGZDHZEUBISIEORUADOQTABCPJKLSUBMN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definitions and basic properties of transitive closures
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c t+ $.
  $c t* $.

  $( Extend class notation to include the transitive closure symbol. $)
  ctcl $a class t+ $.

  $( Extend class notation with reflexive-transitive closure. $)
  crtcl $a class t* $.

  ${
    $d x z $.
    $( Transitive closure of a relation.  This is the smallest superset which
       has the transitive property.  (Contributed by FL, 27-Jun-2011.) $)
    df-trcl $a |- t+ = ( x e. _V |->
      |^| { z | ( x C_ z /\ ( z o. z ) C_ z ) } ) $.

    $( Reflexive-transitive closure of a relation.  This is the smallest
       superset which is reflexive property over all elements of its domain and
       range and has the transitive property.  (Contributed by FL,
       27-Jun-2011.) $)
    df-rtrcl $a |- t* = ( x e. _V |->
      |^| { z | ( ( _I |` ( dom x u. ran x ) ) C_ z /\ x C_ z
                /\ ( z o. z ) C_ z ) } ) $.
  $}

  ${
    $d r R $.  $d r S $.
    $( Equality of relations implies equality of transitive closures.
       (Contributed by RP, 9-May-2020.) $)
    trcleq1 $p |- ( R = S -> |^| { r | ( R C_ r /\ ( r o. r ) C_ r ) }
                         = |^| { r | ( S C_ r /\ ( r o. r ) C_ r ) } ) $=
      ( cv ccom wss cleq1 ) CDZHEHFABCG $.
  $}

  ${
    $d r R $.  $d r S $.
    $( The transitive closure (as a relation) of a subclass is a subclass of
       the transitive closure.  (Contributed by RP, 3-May-2020.) $)
    trclsslem $p |- ( R C_ S
                      -> |^| { r | ( R C_ r /\ ( r o. r ) C_ r ) }
                      C_ |^| { r | ( S C_ r /\ ( r o. r ) C_ r ) } ) $=
      ( cv ccom wss clsslem ) CDZHEHFABCG $.
  $}

  $( Equality implies bijection.  (Contributed by RP, 5-May-2020.) $)
  trcleq2lem $p |- ( A = B -> ( ( R C_ A /\ ( A o. A ) C_ A ) <->
                                ( R C_ B /\ ( B o. B ) C_ B ) ) ) $=
    ( wceq wss ccom sseq2 id coeq12d sseq12d anbi12d ) ABDZCAECBEAAFZAEBBFZBEAB
    CGLMNABLABABLHZOIOJK $.

  ${
    $d x y R $.
    $( Change of bound variable in class of all transitive relations which are
       supersets of a relation.  (Contributed by RP, 5-May-2020.) $)
    cvbtrcl $p |- { x | ( R C_ x /\ ( x o. x ) C_ x ) }
              = { y | ( R C_ y /\ ( y o. y ) C_ y ) } $=
      ( cv wss ccom wa trcleq2lem cbvabv ) CADZEJJFJEGCBDZEKKFKEGABJKCHI $.
  $}

  $( Equality implies bijection.  (Contributed by RP, 9-May-2020.) $)
  trcleq12lem $p |- ( ( R = S /\ A = B )
                           -> ( ( R C_ A /\ ( A o. A ) C_ A ) <->
                                ( S C_ B /\ ( B o. B ) C_ B ) ) ) $=
    ( wceq wss ccom wa cleq1lem trcleq2lem sylan9bb ) CDECAFAAGAFZHDAFLHABEDBFB
    BGBFHLCDAIABDJK $.

  $( Existence of relation implies existence of union with Cartesian product of
     domain and range.  (Contributed by RP, 5-May-2020.) $)
  trclexlem $p |- ( R e. V -> ( R u. ( dom R X. ran R ) ) e. _V ) $=
    ( wcel cdm crn cxp cvv cun dmexg rnexg xpexd unexg mpdan ) ABCZADZAEZFZGCAQ
    HGCNOPGGABIABJKAQBGLM $.

  ${
    $d a b c R $.  $d x R $.
    $( If a relation exists then the class of transitive relations which are
       supersets of that relation is not empty.  (Contributed by RP,
       28-Apr-2020.) $)
    trclublem $p |- ( R e. V -> ( R u. ( dom R X. ran R ) )
                                e. { x | ( R C_ x /\ ( x o. x ) C_ x ) } ) $=
      ( va vb vc wcel cdm crn cxp cun cvv cv wss ccom wa wbr ccnv vex brcnv cab
      trclexlem ssun1 copab wceq wrel relcnv relssdmrn ax-mp ssequn1 mpbi cnvun
      wex cnvxp df-rn dfdm4 xpeq12i eqtri uneq2i 3eqtr4i 3bitr3i anbi12i biimpi
      breqi eximi ssopab2i df-co 3sstr4i xptrrel ssun2 sstri trcleq2lem biimprd
      elabg mp2ani syl ) BCGBBHZBIZJZKZLGZVTBAMZNWBWBOWBNPZAUAGZBCUBWABVTNZVTVT
      OZVTNZWDBVSUCWFVSVSOZVTDMZEMZVTQZWJFMZVTQZPZEUMZDFUDWIWJVSQZWJWLVSQZPZEUM
      ZDFUDWFWHWOWSDFWNWREWNWRWKWPWMWQWJWIVTRZQWJWIVSRZQWKWPWJWIWTXABRZXBHZXBIZ
      JZKZXEWTXAXBXENZXFXEUEXBUFXGBUGXBUHUIXBXEUJUKWTXBXAKXFBVSULXAXEXBXAVRVQJX
      EVQVRUNVRXCVQXDBUOBUPUQURZUSURXHUTZVDWJWIVTESZDSZTWJWIVSXJXKTVAWLWJWTQWLW
      JXAQWMWQWLWJWTXAXIVDWLWJVTFSZXJTWLWJVSXLXJTVAVBVCVEVFDFEVTVTVGDFEVSVSVGVH
      WHVSVTVQVRVIVSBVJVKVKWAWDWEWGPZWCXMAVTLWBVTBVLVNVMVOVP $.
  $}

  ${
    $d s R $.
    trclubi.rel $e |- Rel R $.
    trclubi.rex $e |- R e. _V $.
    $( The Cartesian product of the domain and range of a relation is an upper
       bound for its transitive closure.  (Contributed by RP, 2-Jan-2020.)
       (Revised by RP, 28-Apr-2020.)  (Revised by AV, 26-Mar-2021.) $)
    trclubi $p |- |^| { s | ( R C_ s /\ ( s o. s ) C_ s ) }
               C_ ( dom R X. ran R ) $=
      ( cdm crn cxp cv wss ccom cab wcel cint cun wrel wceq relssdmrn ax-mp cvv
      wa ssequn1 sylib trclublem eqeltrri intss1 ) AEAFGZABHZIUGUGJUGITBKZLUHMU
      FIAUFNZUFUHAOZUIUFPZCUJAUFIUKAQAUFUAUBRASLUIUHLDBASUCRUDUFUHUER $.
  $}

  ${
    $d s R $.
    trclubgi.rex $e |- R e. _V $.
    $( The union with the Cartesian product of its domain and range is an upper
       bound for a set's transitive closure.  (Contributed by RP, 3-Jan-2020.)
       (Revised by RP, 28-Apr-2020.)  (Revised by AV, 26-Mar-2021.) $)
    trclubgi $p |- |^| { s | ( R C_ s /\ ( s o. s ) C_ s ) }
               C_ ( R u. ( dom R X. ran R ) ) $=
      ( cvv wcel cdm crn cxp cun cv wss ccom wa cab cint trclublem intss1 mp2b
      ) ADEAAFAGHIZABJZKTTLTKMBNZEUAOSKCBADPSUAQR $.
  $}

  ${
    $d r R $.
    $( The Cartesian product of the domain and range of a relation is an upper
       bound for its transitive closure.  (Contributed by RP, 17-May-2020.) $)
    trclub $p |- ( ( R e. V /\ Rel R ) ->
                   |^| { r | ( R C_ r /\ ( r o. r ) C_ r ) } C_
                   ( dom R X. ran R ) ) $=
      ( wcel wrel wa cdm crn cxp wss ccom cab cint wceq relssdmrn ssequn1 sylib
      cv cun trclublem eleq1 biimpa syl2anr intss1 syl ) ABDZAEZFAGAHIZACRZJUIU
      IKUIJFCLZDZUJMUHJUGAUHSZUHNZULUJDZUKUFUGAUHJUMAOAUHPQCABTUMUNUKULUHUJUAUB
      UCUHUJUDUE $.
  $}

  ${
    $d r R $.
    $( The union with the Cartesian product of its domain and range is an upper
       bound for a set's transitive closure (as a relation).  (Contributed by
       RP, 17-May-2020.) $)
    trclubg $p |- ( R e. V -> |^| { r | ( R C_ r /\ ( r o. r ) C_ r ) } C_
                              ( R u. ( dom R X. ran R ) ) ) $=
      ( wcel cdm crn cxp cun cv wss ccom wa cab cint trclublem intss1 syl ) ABD
      AAEAFGHZACIZJSSKSJLCMZDTNRJCABORTPQ $.
  $}

  ${
    $d r x R $.
    $( The transitive closure of a relation.  (Contributed by RP,
       28-Apr-2020.) $)
    trclfv $p |- ( R e. V -> ( t+ ` R )
                           = |^| { x | ( R C_ x /\ ( x o. x ) C_ x ) } ) $=
      ( vr wcel cvv cv wss ccom wa cab cint ctcl cfv wceq elex cdm crn cxp cun
      trclexlem trclubg ssexd trcleq1 df-trcl fvmptg syl2anc2 ) BCEBFEZBAGZHUIU
      IIUIHZJAKLZFEBMNUKOBCPUHUKBBQBRSTFBFUABFAUBUCDBDGZUIHUJJAKLUKFFMULBAUDDAU
      EUFUG $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Two ways to express a binary relation which is the intersection of a
       class.  (Contributed by RP, 4-Apr-2020.) $)
    brintclab $p |- ( A |^| { x | ph } B
                      <-> A. x ( ph -> <. A , B >. e. x ) ) $=
      ( cab cint wbr cop wcel cv wi wal df-br opex elintab bitri ) CDABEFZGCDHZ
      QIARBJIKBLCDQMABRCDNOP $.
  $}

  ${
    $d r A $.  $d r B $.  $d r R $.
    $( Two ways of expressing the transitive closure of a binary relation.
       (Contributed by RP, 9-May-2020.) $)
    brtrclfv $p |- ( R e. V -> ( A ( t+ ` R ) B
                                 <-> A. r ( ( R C_ r /\ ( r o. r ) C_ r )
                                            -> A r B ) ) ) $=
      ( wcel ctcl cfv wbr cv wss ccom wa cab cint wi wal trclfv breqd cop df-br
      brintclab imbi2i albii bitr4i bitrdi ) CDFZABCGHZIABCEJZKUIUILUIKMZENOZIZ
      UJABUIIZPZEQZUGUHUKABECDRSULUJABTUIFZPZEQUOUJEABUBUNUQEUMUPUJABUIUAUCUDUE
      UF $.
  $}

  ${
    $d r A $.  $d r B $.  $d r R $.
    $( Two ways of expressing the transitive closure of the converse of a
       binary relation.  (Contributed by RP, 9-May-2020.) $)
    brcnvtrclfv $p |- ( ( R e. U /\ A e. V /\ B e. W )
                     -> ( A `' ( t+ ` R ) B
                          <-> A. r ( ( R C_ r /\ ( r o. r ) C_ r )
                                     -> B r A ) ) ) $=
      ( wcel w3a ctcl cfv ccnv wbr cv wss ccom wa wi wal wb brtrclfv 3ad2ant1
      brcnvg 3adant1 bitrd ) CDHZAEHZBFHZIABCJKZLMZBAUIMZCGNZOULULPULOQBAULMRGS
      ZUGUHUJUKTUFABEFUIUCUDUFUGUKUMTUHBACDGUAUBUE $.
  $}

  ${
    $d r A $.  $d r B $.  $d r R $.
    $( Two ways of expressing the transitive closure of the converse of a
       binary relation.  (Contributed by RP, 10-May-2020.) $)
    brtrclfvcnv $p |- ( R e. V
                     -> ( A ( t+ ` `' R ) B
                          <-> A. r ( ( `' R C_ r /\ ( r o. r ) C_ r )
                                     -> A r B ) ) ) $=
      ( wcel ccnv cvv ctcl cfv wbr cv wss ccom wa wi wal wb cnvexg brtrclfv syl
      ) CDFCGZHFABUBIJKUBELZMUCUCNUCMOABUCKPEQRCDSABUBHETUA $.
  $}

  ${
    $d r A $.  $d r B $.  $d r R $.
    $( Two ways of expressing the transitive closure of the converse of the
       converse of a binary relation.  (Contributed by RP, 10-May-2020.) $)
    brcnvtrclfvcnv $p |- ( ( R e. U /\ A e. V /\ B e. W )
                     -> ( A `' ( t+ ` `' R ) B
                          <-> A. r ( ( `' R C_ r /\ ( r o. r ) C_ r )
                                     -> B r A ) ) ) $=
      ( wcel ccnv cvv ctcl cfv wbr cv wss ccom wa wi wal wb brcnvtrclfv syl3an1
      cnvexg ) CDHCIZJHAEHBFHABUDKLIMUDGNZOUEUEPUEOQBAUEMRGSTCDUCABUDJEFGUAUB
      $.
  $}

  ${
    $d r R $.  $d r S $.
    $( The transitive closure (as a relation) of a subclass is a subclass of
       the transitive closure.  (Contributed by RP, 3-May-2020.) $)
    trclfvss $p |- ( ( R e. V /\ S e. W /\ R C_ S )
                     -> ( t+ ` R ) C_ ( t+ ` S ) ) $=
      ( vr wcel wss w3a cv ccom wa cab cint ctcl trclsslem 3ad2ant3 wceq trclfv
      cfv 3ad2ant1 3ad2ant2 3sstr4d ) ACFZBDFZABGZHAEIZGUFUFJUFGZKELMZBUFGUGKEL
      MZANSZBNSZUEUCUHUIGUDABEOPUCUDUJUHQUEEACRTUDUCUKUIQUEEBDRUAUB $.
  $}

  ${
    $d r R $.
    $( The transitive closure of a relation has an upper bound.  (Contributed
       by RP, 28-Apr-2020.) $)
    trclfvub $p |- ( R e. V -> ( t+ ` R ) C_ ( R u. ( dom R X. ran R ) ) ) $=
      ( vr wcel ctcl cfv cv wss ccom wa cab cint cdm crn cxp cun trclfv trclubg
      eqsstrd ) ABDAEFACGZHTTITHJCKLAAMANOPCABQABCRS $.
  $}

  ${
    $d r R $.
    $( The transitive closure of a relation has a lower bound.  (Contributed by
       RP, 28-Apr-2020.) $)
    trclfvlb $p |- ( R e. V -> R C_ ( t+ ` R ) ) $=
      ( vr wcel cv wss ccom wa cab cint ctcl cfv ssmin trclfv sseqtrrid ) ABDAC
      EZFPPGPFZHCIJAAKLQCAMCABNO $.
  $}

  ${
    $d a b c r R $.  $d a b c V $.
    $( The transitive closure of a relation is a transitive relation.
       (Contributed by RP, 29-Apr-2020.) $)
    trclfvcotr $p |- ( R e. V -> ( ( t+ ` R ) o. ( t+ ` R ) ) C_
                               ( t+ ` R ) ) $=
      ( va vb vc vr wcel cv ctcl cfv wbr wa wi wal ccom cotr sp ax-gen brtrclfv
      wss 19.21bbi sylbi adantl alimi anbi12d albii 19.26 bitri bitr4di imbi12d
      a2i jcab albidv 2albidv mpbiri sylibr ) ABGZCHZDHZAIJZKZUSEHZUTKZLZURVBUT
      KZMZENZDNCNZUTUTOUTTUQVHAFHZTZVIVIOVITZLZURUSVIKZUSVBVIKZLZMZFNZVLURVBVIK
      ZMZFNZMZENZDNZCNWCCWBDWAEVPVSFVLVOVRVKVOVRMZVJVKWDENDNZCNZWDCDEVIPWFWDDEW
      ECQUAUBUCUKUDRRRUQVGWBCDUQVFWAEUQVDVQVEVTUQVDVLVMMZFNZVLVNMZFNZLZVQUQVAWH
      VCWJURUSABFSUSVBABFSUEVQWGWILZFNWKVPWLFVLVMVNULUFWGWIFUGUHUIURVBABFSUJUMU
      NUOCDEUTPUP $.
  $}

  $( The transitive closure of a relation has a lower bound.  (Contributed by
     RP, 8-May-2020.) $)
  trclfvlb2 $p |- ( R e. V -> ( R o. R ) C_ ( t+ ` R ) ) $=
    ( wcel ctcl cfv trclfvcotr trclfvlb trrelssd ) ABCADEAAABFABGZIH $.

  $( The transitive closure of a relation has a lower bound.  (Contributed by
     RP, 8-May-2020.) $)
  trclfvlb3 $p |- ( R e. V -> ( R u. ( R o. R ) ) C_ ( t+ ` R ) ) $=
    ( wcel ccom ctcl cfv trclfvlb trclfvlb2 unssd ) ABCAAADAEFABGABHI $.

  ${
    $d r R $.
    $( The transitive closure of a transitive relation.  (Contributed by RP,
       28-Apr-2020.) $)
    cotrtrclfv $p |- ( ( R e. V /\ ( R o. R ) C_ R ) -> ( t+ ` R ) = R ) $=
      ( vr wcel ccom wss wa ctcl cfv cv cab cint wceq trclfv adantr simpr jctil
      ssid wb trcleq2lem elabg mpbird intss1 syl eqsstrd trclfvlb eqssd ) ABDZA
      AEAFZGZAHIZAUJUKACJZFULULEULFGZCKZLZAUHUKUOMUICABNOUJAUNDZUOAFUJUPAAFZUIG
      ZUJUIUQUHUIPARQUHUPURSUIUMURCABULAATUAOUBAUNUCUDUEUHAUKFUIABUFOUG $.
  $}

  $( The transitive closure of a relation is idempotent.  (Contributed by RP,
     29-Apr-2020.) $)
  trclidm $p |- ( R e. V -> ( t+ ` ( t+ ` R ) ) = ( t+ ` R ) ) $=
    ( wcel ctcl cfv cvv ccom wss wceq fvex trclfvcotr cotrtrclfv sylancr ) ABCA
    DEZFCNNGNHNDENIADJABKNFLM $.

  ${
    $d r x R $.  $d s x S $.
    $( Transitive closure of a union of relations.  (Contributed by RP,
       5-May-2020.) $)
    trclun $p |- ( ( R e. V /\ S e. W )
                    -> ( t+ ` ( R u. S ) )
                       = ( t+ ` ( ( t+ ` R ) u. ( t+ ` S ) ) ) ) $=
      ( vx vr vs wcel wa cun cv wss cab cint ctcl cfv syl cvv wceq trclfv simpl
      ccom unss sylbir vex trcleq2lem elab biimpri sylan intss1 simpr unssd jca
      ssmin unss12 mp2an sstr mpan anim1i impbii abbii inteqi unexg fveq2d fvex
      uneq12d eqeltrrdi syl2an eqtrd 3eqtr4a ) ACHZBDHZIZABJZEKZLZVOVOUBVOLZIZE
      MZNZAFKZLWAWAUBWALZIZFMZNZBGKZLWFWFUBWFLZIZGMZNZJZVOLZVQIZEMZNZVNOPZAOPZB
      OPZJZOPZVSWNVRWMEVRWMVRWLVQVRWEWJVOVRVOWDHZWEVOLVPAVOLZVQXAVPXBBVOLZIZXBA
      BVOUCZXBXCUAUDXAXBVQIZWCXFFVOEUEZWAVOAUFUGUHUIVOWDUJQVRVOWIHZWJVOLVPXCVQX
      HVPXDXCXEXBXCUKUDXHXCVQIZWHXIGVOXGWFVOBUFUGUHUIVOWIUJQULVPVQUKUMWLVPVQVNW
      KLZWLVPAWELBWJLXJWBFAUNWGGBUNAWEBWJUOUPVNWKVOUQURUSUTVAVBVMVNRHWPVTSABCDV
      CEVNRTQVMWTWKOPZWOVMWSWKOVMWQWEWRWJVMVKWQWESVKVLUAFACTZQVMVLWRWJSVKVLUKGB
      DTZQVFVDVMWKRHZXKWOSVKWERHWJRHXNVLVKWEWQRXLAOVEVGVLWJWRRXMBOVEVGWEWJRRVCV
      HEWKRTQVIVJ $.
  $}

  $( The value of the transitive closure of a relation is a superset or (for
     proper classes) the empty set.  (Contributed by RP, 8-May-2020.) $)
  trclfvg $p |- ( R C_ ( t+ ` R ) \/ ( t+ ` R ) = (/) ) $=
    ( cvv wcel wn wo ctcl cfv wss c0 wceq exmid trclfvlb fvprc orim12i ax-mp )
    ABCZPDZEAAFGZHZRIJZEPKPSQTABLAFMNO $.

  $( The value of the transitive closure of a relation is always a transitive
     relation.  (Contributed by RP, 8-May-2020.) $)
  trclfvcotrg $p |- ( ( t+ ` R ) o. ( t+ ` R ) ) C_ ( t+ ` R ) $=
    ( cvv wcel ctcl cfv ccom wss trclfvcotr wn c0 wceq fvprc 0trrel a1i coeq12d
    id 3sstr4d syl pm2.61i ) ABCZADEZUAFZUAGZABHTIUAJKZUCADLUDJJFZJUBUAUEJGUDMN
    UDUAJUAJUDPZUFOUFQRS $.

  $( The transitive closure of a relation is a relation.  (Contributed by RP,
     9-May-2020.) $)
  reltrclfv $p |- ( ( R e. V /\ Rel R ) -> Rel ( t+ ` R ) ) $=
    ( wcel wrel ctcl cfv cvv cxp wss cdm crn cun trclfvub adantr wceq relssdmrn
    wa simpr ssequn1 biimpi 3syl sseqtrd xpss sstrdi df-rel sylibr ) ABCZADZQZA
    EFZGGHZIUJDUIUJAJZAKZHZUKUIUJAUNLZUNUGUJUOIUHABMNUIUHAUNIZUOUNOZUGUHRAPUPUQ
    AUNSTUAUBULUMUCUDUJUEUF $.

  $( The domain of the transitive closure is equal to the domain of the
     relation.  (Contributed by RP, 9-May-2020.) $)
  dmtrclfv $p |- ( R e. V -> dom ( t+ ` R ) = dom R ) $=
    ( wcel ctcl cfv cdm crn cxp cun wss trclfvub dmss dmun wceq c0 dm0rn0 xpeq1
    syl 0xp eqtrdi dmeqd eqcom biimpi 3eqtrd sylbir dmxp pm2.61ine uneq2i unidm
    dm0 a1i 3eqtri sseqtrdi trclfvlb eqssd ) ABCZADEZFZAFZUPURAUSAGZHZIZFZUSUPU
    QVBJURVCJABKUQVBLRVCUSVAFZIUSUSIUSAVAMVDUSUSVDUSNZUTOUTONUSONZVEAPVFVDOFZOU
    SVFVAOVFVAOUTHOUSOUTQUTSTUAVGONVFUJUKVFOUSNUSOUBUCUDUEUSUTUFUGUHUSUIULUMUPA
    UQJUSURJABUNAUQLRUO $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Exponentiation of relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ^r $. $( Exponentiation of a relation. $)

  $( Extend class notation to include relation exponentiation. $)
  crelexp $a class ^r $.

  ${
    $d n r x y z $.
    $( Definition of repeated composition of a relation with itself, aka
       relation exponentiation.  (Contributed by Drahflow, 12-Nov-2015.)
       (Revised by RP, 22-May-2020.) $)
    df-relexp $a |- ^r = ( r e. _V , n e. NN0 |->
                              if ( n = 0 ,
                                   ( _I |` ( dom r u. ran r ) ) ,
                                   ( seq 1 (
                                     ( x e. _V , y e. _V |-> ( x o. r ) ) ,
                                     ( z e. _V |-> r ) ) ` n )
                              ) ) $.
  $}

  ${
    $d n r x y z $.
    $( The domain of the repeated composition of a relation is a relation.
       (Contributed by AV, 12-Jul-2024.) $)
    reldmrelexp $p |- Rel dom ^r $=
      ( vr vn vx vy vz cvv cn0 cv cc0 wceq cid cdm crn cres ccom cmpo cmpt cseq
      cun c1 cfv cif crelexp df-relexp reldmmpo ) ABFGBHZIJKAHZLUGMSNUFCDFFCHUG
      OPEFUGQTRUAUBUCCDEBAUDUE $.

    $d n r V $.  $d n r R $.
    $( A relation composed zero times is the (restricted) identity.
       (Contributed by RP, 22-May-2020.) $)
    relexp0g $p |- ( R e. V -> ( R ^r 0 ) = ( _I |` ( dom R u. ran R ) ) ) $=
      ( vr vn vx vy vz wcel cc0 crelexp co cid cdm crn cun cres wceq cvv cn0 cv
      wi ccom cmpo cmpt c1 cseq cfv cif eqidd wa simprr iftrued uneq12d reseq2d
      dmeq rneq ad2antrl eqtrd elex 0nn0 a1i dmexg rnexg syl2anc resiexg ovmpod
      unexg syl wb df-relexp oveq eqeq1d imbi2d ax-mp mpbir ) ABHZAIJKZLAMZANZO
      ZPZQZUAZVPAICDRSDTZIQZLCTZMZWFNZOZPZWDEFRRETWFUBUCGRWFUDUEUFUGZUHZUCZKZWA
      QZUAZVPCDAIRSWLWAWMRVPWMUIVPWFAQZWEUJUJZWLWJWAWRWEWJWKVPWQWEUKULWQWJWAQVP
      WEWQWIVTLWQWGVRWHVSWFAUOWFAUPUMUNUQURABUSISHVPUTVAVPVTRHZWARHVPVRRHVSRHWS
      ABVBABVCVRVSRRVGVDVTRVEVHVFJWMQZWCWPVIEFGDCVJWTWBWOVPWTVQWNWAAIJWMVKVLVMV
      NVO $.
  $}

  $( A relation composed zero times is the (restricted) identity.  (Contributed
     by RP, 22-May-2020.) $)
  relexp0 $p |- ( ( R e. V /\ Rel R ) ->
                       ( R ^r 0 ) = ( _I |` U. U. R ) ) $=
    ( wcel wrel cc0 crelexp co cid cdm crn cun cres cuni relexp0g relfld eqcomd
    reseq2d sylan9eq ) ABCADZAEFGHAIAJKZLZHAMMZLZABNSUCUASUBTHAOQPR $.

  ${
    relexp0d.1 $e |- ( ph -> Rel R ) $.
    relexp0d.2 $e |- ( ph -> R e. V ) $.
    $( A relation composed zero times is the (restricted) identity.
       (Contributed by Drahflow, 12-Nov-2015.)  (Revised by RP, 30-May-2020.)
       (Revised by AV, 12-Jul-2024.) $)
    relexp0d $p |- ( ph -> ( R ^r 0 ) = ( _I |` U. U. R ) ) $=
      ( wcel wrel cc0 crelexp co cid cuni cres wceq relexp0 syl2anc ) ABCFBGBHI
      JKBLLMNEDBCOP $.
  $}

  ${
    $d a b z N $.  $d n r N $.  $d a b x y z R $.  $d n r R $.  $d a b V $.
    $d n r V $.  $d n r x y z $.
    $( A reduction for relation exponentiation to the right.  (Contributed by
       RP, 22-May-2020.) $)
    relexpsucnnr $p |- ( ( R e. V /\ N e. NN ) ->
                          ( R ^r ( N + 1 ) ) = ( ( R ^r N ) o. R ) ) $=
      ( vr vn vx vy vz va vb wcel wa c1 co ccom wceq cvv cv cc0 cfv cn caddc wi
      crelexp cn0 cid cdm crn cun cres cmpo cmpt cseq eqidd simprr dmeq uneq12d
      rneq reseq2d coeq2 mpoeq3dv id mpteq2dv seqeq123d fveq1d ifeq12d ad2antrl
      cif a1i eqeq1 anbi2d fveq2 ifbieq2d eqeq1d 3imtr4d mpcom adantr peano2nnd
      elex simpr nnnn0d dmexg rnexg unexg syl2anc resiexg fvexd ifcld ovmpod wn
      syl nnne0 neneqd iffalsed cuz elnnuz biimpi adantl seqp1 ovex eqid fvmptg
      simpl sylancr oveq2d nfcv weq coeq1d cbvmpo oveq mp1i simprl fvex fveq12d
      coexg ifbieq12d wne eqtr2d 3eqtrd wb df-relexp eqeq12d imbi2d ax-mp mpbir
      ) ACKZBUAKZLZABMUBNZUDNZABUDNZAOZPZUCZYHAYIDEQUEERZSPZUFDRZUGZYQUHZUIZUJZ
      YOFGQQFRZYQOZUKZHQYQULZMUMZTZVHZUKZNZABUUINZAOZPZUCZYHUUJYISPZUFAUGZAUHZU
      IZUJZYIFGQQUUBAOZUKZHQAULZMUMZTZVHZUVDUULYHDEAYIQUEUUHUVEUUIQYHUUIUNZYOYI
      PZYHYQAPZUVGLZLZUUHUVEPZYHUVHUVGUOUVGYHUVHYIYIPZLZLZUUOUUAYIUUFTZVHZUVEPZ
      UVJUVKUVNUVQUCUVGUVHUVQYHUVLUVHUUOUUAUUSUVOUVDUVHYTUURUFUVHYRUUPYSUUQYQAU
      PYQAURUQUSZUVHYIUUFUVCUVHUUDUVAUUEUVBMMUVHMUNUVHFGQQUUCUUTYQAUUBUTVAUVHHQ
      YQAUVHVBVCVDZVEVFVGVIUVGUVIUVMYHUVGUVGUVLUVHYOYIYIVJVKVKUVGUUHUVPUVEUVGYP
      UUOUUGUVOUUAYOYISVJYOYIUUFVLVMVNVOVPYFAQKYGACVSVQZYHYIYHBYFYGVTZVRZWAYHUU
      OUUSUVDQYFUUSQKZYGYFUURQKZUWCYFUUPQKUUQQKUWDACWBACWCUUPUUQQQWDWEUURQWFWKV
      QZYHYIUVCWGWHWIYHUUOUUSUVDYHYIUAKZUUOWJUWBUWFYISYIWLWMWKWNYHUVDBUVCTZYIUV
      BTZUVANZUWGAUVANZUULYHBMWOTKZUVDUWIPYGUWKYFYGUWKBWPWQWRUVAUVBMBWSWKYHUWHA
      UWGUVAYHYIQKYFUWHAPBMUBWTYFYGXCZHYIAAQCUVBHRYIPAUNUVBXAXBXDXEYHUWJUWGAIJQ
      QIRZAOZUKZNZUWGAOZUULUVAUWOPUWJUWPPYHFGIJQQUUTUWNIUUTXFJUUTXFFUWNXFGUWNXF
      FIXGZGJXGZLUUBUWMAUWRUWSXCXHXIUWGAUVAUWOXJXKYHIJUWGAQQUWNUWQUWOQYHUWOUNYH
      UWMUWGPZJRAPZLLUWMUWGAYHUWTUXAXLXHYHBUVCWGZUVTYHUWGQKYFUWQQKBUVCXMUWLUWGA
      QCXOXDWIYHUWGUUKAYHUUKBSPZUUSUWGVHZUWGYHDEABQUEUUHUXDUUIQUVFUVHYOBPZLZUUH
      UXDPYHUXFYPUXCUUAUUGUUSUWGUXFYOBSUVHUXEVTZVNUVHUUAUUSPUXEUVRVQUXFYOBUUFUV
      CUVHUUFUVCPUXEUVSVQUXGXNXPWRUVTYHBUWAWAYHUXCUUSUWGQUWEUXBWHWIYHUXCUUSUWGY
      HBSYGBSXQYFBWLWRWMWNXRXHXSXSXSUDUUIPZYNUUNXTFGHEDYAUXHYMUUMYHUXHYJUUJYLUU
      LAYIUDUUIXJUXHYKUUKAABUDUUIXJXHYBYCYDYE $.
  $}

  ${
    $d n r x y z $.  $d n r z R $.  $d n r z V $.
    $( A relation composed once is itself.  (Contributed by RP,
       22-May-2020.) $)
    relexp1g $p |- ( R e. V -> ( R ^r 1 ) = R ) $=
      ( vr vn vx vy vz wcel c1 cvv cn0 cv cc0 wceq cmpo cmpt cseq cfv a1i wa 1z
      cid cdm crn cun cres ccom cif crelexp df-relexp wne simprr ax-1ne0 mpbiri
      neeq1 syl neneqd iffalsed simprl mpteq2dv seqeq3d fveq12d eqidd 1ex simpl
      fvmptd seq1i 3eqtrd elex 1nn0 ovmpod ) ABHZCDAIJKDLZMNZUBCLZUCVOUDUEUFZVM
      EFJJELVOUGOZGJVOPZIQZRZUHZAUIJUICDJKWAONVLEFGDCUJSVLVOANZVMINZTZTZWAVTIVQ
      GJAPZIQZRAWEVNVPVTWEVMMWEWCVMMUKZVLWBWCULZWCWHIMUKUMVMIMUOUNUPUQURWEVMIVS
      WGWEVRWFVQIWEGJVOAVLWBWCUSUTVAWIVBWEAVQWFIUAWEGIAAJWFBWEWFVCWEGLINTAVCIJH
      WEVDSVLWDVEVFVGVHABVIZIKHVLVJSWJVK $.
  $}

  $( Identity relation is equal to relational exponentiation to the first
     power.  (Contributed by RP, 9-Jun-2020.) $)
  dfid5 $p |- _I = ( x e. _V |-> ( x ^r 1 ) ) $=
    ( cid cvv cv cmpt c1 crelexp co dfid4 relexp1g mpteq2ia eqtr4i ) BACADZEACM
    FGHZEAIACNMMCJKL $.

  ${
    $d n x $.
    $( Identity relation expressed as indexed union of relational powers.
       (Contributed by RP, 9-Jun-2020.) $)
    dfid6 $p |- _I = ( x e. _V |-> U_ n e. { 1 } ( x ^r n ) ) $=
      ( cid cvv cv cmpt c1 csn crelexp co ciun dfid4 wcel oveq2 iunxsn relexp1g
      1ex eqtrid mpteq2ia eqtr4i ) CADAEZFADBGHUABEZIJZKZFALADUDUAUADMUDUAGIJZU
      ABGUCUEQUBGUAINOUADPRST $.
  $}

  ${
    relexp1d.1 $e |- ( ph -> R e. V ) $.
    $( A relation composed once is itself.  (Contributed by Drahflow,
       12-Nov-2015.)  (Revised by RP, 30-May-2020.)  (Revised by AV,
       12-Jul-2024.) $)
    relexp1d $p |- ( ph -> ( R ^r 1 ) = R ) $=
      ( wcel c1 crelexp co wceq relexp1g syl ) ABCEBFGHBIDBCJK $.
  $}

  ${
    $d n N $.  $d n m R $.  $d n m V $.
    $( A reduction for relation exponentiation to the left.  (Contributed by
       RP, 23-May-2020.) $)
    relexpsucnnl $p |- ( ( R e. V /\ N e. NN ) ->
                          ( R ^r ( N + 1 ) ) = ( R o. ( R ^r N ) ) ) $=
      ( vn vm cn wcel c1 caddc co crelexp ccom wceq oveq1 oveq2d coeq2d eqeq12d
      wi oveq2 imbi2d cv weq relexp1g coeq1d 1nn relexpsucnnr mpan2 coeq1 coass
      3eqtr4d wa eqtrdi adantl simpl peano2nn anim2i adantr ex expcom a2d nnind
      3syl impcom ) BFGACGZABHIJZKJZAABKJZLZMZVDADUAZHIJZKJZAAVJKJZLZMZRVDAHHIJ
      ZKJZAAHKJZLZMZRVDAEUAZHIJZKJZAAWAKJZLZMZRVDAWBHIJZKJZAWCLZMZRVDVIRDEBVJHM
      ZVOVTVDWKVLVQVNVSWKVKVPAKVJHHINOWKVMVRAVJHAKSPQTDEUBZVOWFVDWLVLWCVNWEWLVK
      WBAKVJWAHINOWLVMWDAVJWAAKSPQTVJWBMZVOWJVDWMVLWHVNWIWMVKWGAKVJWBHINOWMVMWC
      AVJWBAKSPQTVJBMZVOVIVDWNVLVFVNVHWNVKVEAKVJBHINOWNVMVGAVJBAKSPQTVDVRALZAAL
      VQVSVDVRAAACUCZUDVDHFGVQWOMUEAHCUFUGVDVRAAWPPUJWAFGZVDWFWJVDWQWFWJRVDWQUK
      ZWFWJWRWFUKZWCALZAWDALZLZWHWIWFWTXBMWRWFWTWEALXBWCWEAUHAWDAUIULUMWSWRVDWB
      FGZUKWHWTMWRWFUNWQXCVDWAUOUPAWBCUFVBWSWCXAAWRWCXAMWFAWACUFUQPUJURUSUTVAVC
      $.
  $}

  $( A reduction for relation exponentiation to the left.  (Contributed by RP,
     23-May-2020.) $)
  relexpsucl $p |- ( ( R e. V /\ Rel R /\ N e. NN0 ) ->
                          ( R ^r ( N + 1 ) ) = ( R o. ( R ^r N ) ) ) $=
    ( wcel c1 caddc co crelexp ccom wceq cc0 w3a simp3 simp1 syl2anc 3expib syl
    cuni oveq2d eqtrd cn0 wrel cn wo wa wi elnn0 relexpsucnnl cid simp2 relcoi1
    cres relexp0 coeq2d oveq1d 0p1e1 eqtrdi relexp1g 3eqtr4rd jaoi sylbi 3impib
    3com13 ) BUADZAUBZACDZABEFGZHGZAABHGZIZJZVDVEVFVKVDBUCDZBKJZUDVEVFUEVKUFZBU
    GVLVNVMVLVEVFVKVLVEVFLVFVLVKVLVEVFMVLVEVFNABCUHOPVMVEVFVKVMVEVFLZAUIARRULZI
    ZAVJVHVOVEVQAJVMVEVFUJZAUKQVOVIVPAVOVIAKHGZVPVOBKAHVMVEVFNZSVOVFVEVSVPJVMVE
    VFMZVRACUMOTUNVOVHAEHGZAVOVGEAHVOVGKEFGEVOBKEFVTUOUPUQSVOVFWBAJWAACURQTUSPU
    TVAVBVC $.

  $( A reduction for relation exponentiation to the right.  (Contributed by RP,
     23-May-2020.) $)
  relexpsucr $p |- ( ( R e. V /\ Rel R /\ N e. NN0 ) ->
                          ( R ^r ( N + 1 ) ) = ( ( R ^r N ) o. R ) ) $=
    ( wcel c1 caddc co crelexp ccom wceq cc0 w3a simp3 simp1 syl2anc 3expib syl
    cuni oveq2d eqtrd cn0 wrel cn wo wa wi elnn0 relexpsucnnr cid simp2 relcoi2
    cres eqcomd oveq1d 0p1e1 eqtrdi relexp1g relexp0 coeq1d 3eqtr4d jaoi 3impib
    sylbi 3com13 ) BUADZAUBZACDZABEFGZHGZABHGZAIZJZVEVFVGVLVEBUCDZBKJZUDVFVGUEV
    LUFZBUGVMVOVNVMVFVGVLVMVFVGLVGVMVLVMVFVGMVMVFVGNABCUHOPVNVFVGVLVNVFVGLZAUIA
    RRULZAIZVIVKVPVFAVRJVNVFVGUJZVFVRAAUKUMQVPVIAEHGZAVPVHEAHVPVHKEFGEVPBKEFVNV
    FVGNZUNUOUPSVPVGVTAJVNVFVGMZACUQQTVPVJVQAVPVJAKHGZVQVPBKAHWASVPVGVFWCVQJWBV
    SACUROTUSUTPVAVCVBVD $.

  ${
    relexpsucrd.1 $e |- ( ph -> Rel R ) $.
    relexpsucrd.2 $e |- ( ph -> N e. NN0 ) $.
    $( A reduction for relation exponentiation to the right.  (Contributed by
       Drahflow, 12-Nov-2015.)  (Revised by RP, 30-May-2020.)  (Revised by AV,
       12-Jul-2024.) $)
    relexpsucrd $p |- ( ph -> ( R ^r ( N + 1 ) ) = ( ( R ^r N ) o. R ) ) $=
      ( cvv wcel c1 caddc co crelexp ccom wceq wa cn0 adantr reldmrelexp ovprc1
      wrel c0 simpr relexpsucr syl3anc ex wn coeq1d co01 eqtr2di eqtrd pm2.61d1
      ) ABFGZBCHIJZKJZBCKJZBLZMZAUKUPAUKNUKBSZCOGZUPAUKUAAUQUKDPAURUKEPBCFUBUCU
      DUKUEZUMTUOBULKQRUSUOTBLTUSUNTBBCKQRUFBUGUHUIUJ $.

    $( A reduction for relation exponentiation to the left.  (Contributed by
       Drahflow, 12-Nov-2015.)  (Revised by RP, 30-May-2020.)  (Revised by AV,
       12-Jul-2024.) $)
    relexpsucld $p |- ( ph -> ( R ^r ( N + 1 ) ) = ( R o. ( R ^r N ) ) ) $=
      ( cvv wcel c1 caddc co crelexp ccom wceq wa cn0 adantr reldmrelexp ovprc1
      wrel c0 simpr relexpsucl syl3anc ex wn coeq2d co02 eqtr2di eqtrd pm2.61d1
      ) ABFGZBCHIJZKJZBBCKJZLZMZAUKUPAUKNUKBSZCOGZUPAUKUAAUQUKDPAURUKEPBCFUBUCU
      DUKUEZUMTUOBULKQRUSUOBTLTUSUNTBBCKQRUFBUGUHUIUJ $.
  $}

  ${
    $d n N $.  $d n m R $.  $d n m V $.
    $( Commutation of converse and relation exponentiation.  (Contributed by
       RP, 23-May-2020.) $)
    relexpcnv $p |- ( ( N e. NN0 /\ R e. V )
                         -> `' ( R ^r N ) = ( `' R ^r N ) ) $=
      ( vn vm wcel crelexp co ccnv wceq cc0 wi oveq2 cnveqd eqeq12d imbi2d ccom
      c1 cvv cid cn0 cn wo elnn0 caddc weq relexp1g cnvexg syl eqtr4d w3a cnvco
      simp3 coeq2d eqtrid simp2 simp1 relexpsucnnr syl2anc relexpsucnnl 3eqtr4d
      cv 3exp a2d nnind wa cdm crn cun cnvresid uncom df-rn dfdm4 uneq12i eqtri
      cres reseq2i relexp0g sylan9eq adantr simpr 3syl eqtrd 3eqtr4a jaoi sylbi
      ex imp ) BUAFZACFZABGHZIZAIZBGHZJZWIBUBFZBKJZUCWJWOLZBUDWPWRWQWJADVBZGHZI
      ZWMWSGHZJZLWJARGHZIZWMRGHZJZLWJAEVBZGHZIZWMXHGHZJZLWJAXHRUEHZGHZIZWMXMGHZ
      JZLWRDEBWSRJZXCXGWJXRXAXEXBXFXRWTXDWSRAGMNWSRWMGMOPDEUFZXCXLWJXSXAXJXBXKX
      SWTXIWSXHAGMNWSXHWMGMOPWSXMJZXCXQWJXTXAXOXBXPXTWTXNWSXMAGMNWSXMWMGMOPWSBJ
      ZXCWOWJYAXAWLXBWNYAWTWKWSBAGMNWSBWMGMOPWJXEWMXFWJXDAACUGNWJWMSFZXFWMJACUH
      ZWMSUGUIUJXHUBFZWJXLXQYDWJXLXQYDWJXLUKZXIAQZIZWMXKQZXOXPYEYGWMXJQYHXIAULY
      EXJXKWMYDWJXLUMUNUOYEXNYFYEWJYDXNYFJYDWJXLUPZYDWJXLUQZAXHCURUSNYEYBYDXPYH
      JYEWJYBYIYCUIYJWMXHSUTUSVAVCVDVEWQWJWOWQWJVFZTAVGZAVHZVIZVPZIZTWMVGZWMVHZ
      VIZVPZWLWNYPYOYTYNVJYNYSTYNYMYLVIYSYLYMVKYMYQYLYRAVLAVMVNVOVQVOYKWKYOWQWJ
      WKAKGHYOBKAGMACVRVSNYKWNWMKGHZYTWQWNUUAJWJBKWMGMVTYKWJYBUUAYTJWQWJWAYCWMS
      VRWBWCWDWGWEWFWH $.
  $}

  ${
    relexpcnvd.1 $e |- ( ph -> R e. V ) $.
    relexpcnvd.2 $e |- ( ph -> N e. NN0 ) $.
    $( Commutation of converse and relation exponentiation.  (Contributed by
       Drahflow, 12-Nov-2015.)  (Revised by RP, 30-May-2020.)  (Revised by AV,
       12-Jul-2024.) $)
    relexpcnvd $p |- ( ph -> `' ( R ^r N ) = ( `' R ^r N ) ) $=
      ( cn0 wcel crelexp co ccnv wceq relexpcnv syl2anc ) ACGHBDHBCIJKBKCIJLFEB
      CDMN $.
  $}

  $( The exponentiation of a class to zero is a relation.  (Contributed by RP,
     23-May-2020.) $)
  relexp0rel $p |- ( R e. V -> Rel ( R ^r 0 ) ) $=
    ( wcel cc0 crelexp wrel cid cdm crn cun cres relres relexp0g releqd mpbiri
    co ) ABCZADEPZFGAHAIJZKZFGSLQRTABMNO $.

  ${
    $d n N $.  $d n m R $.  $d n m V $.
    $( The exponentiation of a class is a relation except when the exponent is
       one and the class is not a relation.  (Contributed by RP,
       23-May-2020.) $)
    relexprelg $p |- ( ( N e. NN0 /\ R e. V /\ ( N = 1 -> Rel R ) )
                       -> Rel ( R ^r N ) ) $=
      ( vn vm wcel c1 wceq wrel wi crelexp co cc0 wa eqeq1 imbi1d anbi2d releqd
      oveq2 imbi12d cn0 cn wo elnn0 caddc weq eqid pm2.27 ax-mp adantl relexp1g
      cv adantr mpbird ccom relco relexpsucnnr ancoms mpbiri expimpd relexp0rel
      a1d nnind simpl oveq2d jaoi sylbi 3impib ) BUAFZACFZBGHZAIZJZABKLZIZVIBUB
      FZBMHZUCVJVMNZVOJZBUDVPVSVQVJDULZGHZVLJZNZAVTKLZIZJVJGGHZVLJZNZAGKLZIZJVJ
      EULZGHZVLJZNZAWKKLZIZJZVJWKGUELZGHZVLJZNZAWRKLZIZJZVSDEBWAWCWHWEWJWAWBWGV
      JWAWAWFVLVTGGOPQWAWDWIVTGAKSRTDEUFZWCWNWEWPXEWBWMVJXEWAWLVLVTWKGOPQXEWDWO
      VTWKAKSRTVTWRHZWCXAWEXCXFWBWTVJXFWAWSVLVTWRGOPQXFWDXBVTWRAKSRTVTBHZWCVRWE
      VOXGWBVMVJXGWAVKVLVTBGOPQXGWDVNVTBAKSRTWHWJVLWGVLVJWFWGVLJGUGWFVLUHUIUJWH
      WIAVJWIAHWGACUKUMRUNWKUBFZXDWQXHVJWTXCXHVJNZXCWTXIXCWOAUOZIWOAUPXIXBXJVJX
      HXBXJHAWKCUQURRUSVBUTVBVCVQVJVMVOVQVJNZVOVMXKVOAMKLZIZVJXMVQACVAUJXKVNXLX
      KBMAKVQVJVDVERUNVBUTVFVGVH $.
  $}

  $( The exponentiation of a relation is a relation.  (Contributed by RP,
     23-May-2020.) $)
  relexprel $p |- ( ( N e. NN0 /\ R e. V /\ Rel R ) -> Rel ( R ^r N ) ) $=
    ( wrel cn0 wcel c1 wceq wi crelexp co ax-1 relexprelg syl3an3 ) ADZBEFACFBG
    HZOIABJKDOPLABCMN $.

  ${
    relexpreld.1 $e |- ( ph -> Rel R ) $.
    relexpreld.2 $e |- ( ph -> N e. NN0 ) $.
    $( The exponentiation of a relation is a relation.  (Contributed by
       Drahflow, 12-Nov-2015.)  (Revised by RP, 30-May-2020.)  (Revised by AV,
       12-Jul-2024.) $)
    relexpreld $p |- ( ph -> Rel ( R ^r N ) ) $=
      ( cvv wcel crelexp co wrel wa cn0 adantr simpr relexprel syl3anc ex wn c0
      rel0 reldmrelexp ovprc1 releqd mpbiri pm2.61d1 ) ABFGZBCHIZJZAUFUHAUFKCLG
      ZUFBJZUHAUIUFEMAUFNAUJUFDMBCFOPQUFRZUHSJTUKUGSBCHUAUBUCUDUE $.
  $}

  ${
    $d n N $.  $d n m R $.  $d n m V $.
    $( The domain of an exponentiation of a relation a subset of the relation's
       field.  (Contributed by RP, 23-May-2020.) $)
    relexpnndm $p |- ( ( N e. NN /\ R e. V ) -> dom ( R ^r N ) C_ dom R ) $=
      ( vn vm cn wcel crelexp co cdm wss cv wi c1 caddc wceq oveq2 dmeqd sseq1d
      imbi2d weq relexp1g eqimss syl wa relexpsucnnr ancoms dmcoss eqsstrdi a1d
      ccom ex a2d nnind imp ) BFGACGZABHIZJZAJZKZUPADLZHIZJZUSKZMUPANHIZJZUSKZM
      UPAELZHIZJZUSKZMUPAVHNOIZHIZJZUSKZMUPUTMDEBVANPZVDVGUPVPVCVFUSVPVBVEVANAH
      QRSTDEUAZVDVKUPVQVCVJUSVQVBVIVAVHAHQRSTVAVLPZVDVOUPVRVCVNUSVRVBVMVAVLAHQR
      STVABPZVDUTUPVSVCURUSVSVBUQVABAHQRSTUPVFUSPVGUPVEAACUBRVFUSUCUDVHFGZUPVKV
      OVTUPVKVOMVTUPUEZVOVKWAVNVIAUKZJUSWAVMWBUPVTVMWBPAVHCUFUGRVIAUHUIUJULUMUN
      UO $.
  $}

  $( The domain of an exponentiation of a relation a subset of the relation's
     field.  (Contributed by RP, 23-May-2020.) $)
  relexpdmg $p |- ( ( N e. NN0 /\ R e. V )
                    -> dom ( R ^r N ) C_ ( dom R u. ran R ) ) $=
    ( cn0 wcel crelexp co cdm crn cun wss cn cc0 wceq wo wi elnn0 wa relexpnndm
    ex ssun1 sstrdi cres simpl oveq2d relexp0g adantl eqtrd dmeqd dmresi eqtrdi
    cid eqimss syl jaoi sylbi imp ) BDEZACEZABFGZHZAHZAIZJZKZURBLEZBMNZOUSVEPZB
    QVFVHVGVFUSVEVFUSRVAVBVDABCSVBVCUAUBTVGUSVEVGUSRZVAVDNVEVIVAULVDUCZHVDVIUTV
    JVIUTAMFGZVJVIBMAFVGUSUDUEUSVKVJNVGACUFUGUHUIVDUJUKVAVDUMUNTUOUPUQ $.

  $( The domain of an exponentiation of a relation a subset of the relation's
     field.  (Contributed by RP, 23-May-2020.) $)
  relexpdm $p |- ( ( N e. NN0 /\ R e. V ) -> dom ( R ^r N ) C_ U. U. R ) $=
    ( cn0 wcel wa crelexp co cdm crn cun cuni relexpdmg dmrnssfld sstrdi ) BDEA
    CEFABGHIAIAJKALLABCMANO $.

  ${
    relexpdmd.1 $e |- ( ph -> N e. NN0 ) $.
    $( The domain of an exponentiation of a relation a subset of the relation's
       field.  (Contributed by Drahflow, 12-Nov-2015.)  (Revised by RP,
       30-May-2020.)  (Revised by AV, 12-Jul-2024.) $)
    relexpdmd $p |- ( ph -> dom ( R ^r N ) C_ U. U. R ) $=
      ( cvv wcel crelexp co cdm wss cn0 relexpdm sylan ex wn reldmrelexp ovprc1
      cuni c0 dmeqd dm0 eqtrdi 0ss eqsstrdi pm2.61d1 ) ABEFZBCGHZIZBRRZJZAUFUJA
      CKFUFUJDBCELMNUFOZUHSUIUKUHSISUKUGSBCGPQTUAUBUIUCUDUE $.
  $}

  $( The range of an exponentiation of a relation a subset of the relation's
     field.  (Contributed by RP, 23-May-2020.) $)
  relexpnnrn $p |- ( ( N e. NN /\ R e. V ) -> ran ( R ^r N ) C_ ran R ) $=
    ( cn wcel wa ccnv crelexp co cdm crn cvv wss cnvexg relexpnndm sylan2 df-rn
    cn0 wceq nnnn0 relexpcnv sylan dmeqd eqtrid a1i 3sstr4d ) BDEZACEZFZAGZBHIZ
    JZUJJZABHIZKZAKZUHUGUJLEULUMMACNUJBLOPUIUOUNGZJULUNQUIUQUKUGBREUHUQUKSBTABC
    UAUBUCUDUPUMSUIAQUEUF $.

  $( The range of an exponentiation of a relation a subset of the relation's
     field.  (Contributed by RP, 23-May-2020.) $)
  relexprng $p |- ( ( N e. NN0 /\ R e. V )
                    -> ran ( R ^r N ) C_ ( dom R u. ran R ) ) $=
    ( cn0 wcel crelexp co crn cdm cun wss cn cc0 wceq wo wi elnn0 wa relexpnnrn
    ex ssun2 sstrdi cres simpl oveq2d relexp0g adantl eqtrd rneqd rnresi eqtrdi
    cid eqimss syl jaoi sylbi imp ) BDEZACEZABFGZHZAIZAHZJZKZURBLEZBMNZOUSVEPZB
    QVFVHVGVFUSVEVFUSRVAVCVDABCSVCVBUAUBTVGUSVEVGUSRZVAVDNVEVIVAULVDUCZHVDVIUTV
    JVIUTAMFGZVJVIBMAFVGUSUDUEUSVKVJNVGACUFUGUHUIVDUJUKVAVDUMUNTUOUPUQ $.

  $( The range of an exponentiation of a relation a subset of the relation's
     field.  (Contributed by RP, 23-May-2020.) $)
  relexprn $p |- ( ( N e. NN0 /\ R e. V ) -> ran ( R ^r N ) C_ U. U. R ) $=
    ( cn0 wcel wa crelexp co crn cdm cun cuni relexprng dmrnssfld sstrdi ) BDEA
    CEFABGHIAJAIKALLABCMANO $.

  ${
    relexprnd.1 $e |- ( ph -> N e. NN0 ) $.
    $( The range of an exponentiation of a relation a subset of the relation's
       field.  (Contributed by Drahflow, 12-Nov-2015.)  (Revised by RP,
       30-May-2020.)  (Revised by AV, 12-Jul-2024.) $)
    relexprnd $p |- ( ph -> ran ( R ^r N ) C_ U. U. R ) $=
      ( cvv wcel crelexp co crn wss cn0 relexprn sylan ex wn reldmrelexp ovprc1
      cuni c0 rneqd rn0 eqtrdi 0ss eqsstrdi pm2.61d1 ) ABEFZBCGHZIZBRRZJZAUFUJA
      CKFUFUJDBCELMNUFOZUHSUIUKUHSISUKUGSBCGPQTUAUBUIUCUDUE $.
  $}

  $( The field of an exponentiation of a relation a subset of the relation's
     field.  (Contributed by RP, 23-May-2020.) $)
  relexpfld $p |- ( ( N e. NN0 /\ R e. V )
                       -> U. U. ( R ^r N ) C_ U. U. R ) $=
    ( c1 wceq wcel wa crelexp co cuni wss wi simpl oveq2d eqimss syl ex cdm crn
    cc0 cn0 relexp1g ad2antll eqtrd unieqd wn w3a cun simp2 simp3 simp1 pm2.21d
    wrel 3jca relexprelg relfld 3syl cn wo relexpnndm relexpnnrn unss12 syl2anc
    elnn0 cid cres relexp0g adantl dmeqd dmresi eqtrdi rneqd rnresi unssd sylbi
    jaoi sylc eqsstrd dmrnssfld sstrdi 3expib pm2.61i ) BDEZBUAFZACFZGZABHIZJZJ
    ZAJZJZKZLWCWFWLWCWFGZWIWKEWLWMWHWJWMWGAWMWGADHIZAWMBDAHWCWFMNWEWNAEWCWDACUB
    UCUDUEUEWIWKOPQWCUFZWDWEWLWOWDWEUGZWIARZASZUHZWKWPWIWGRZWGSZUHZWSWPWDWEWCAU
    MZLZUGWGUMWIXBEWPWDWEXDWOWDWEUIZWOWDWEUJZWPWCXCWOWDWEUKULUNABCUOWGUPUQWPWDW
    EXBWSKZXEXFWDBURFZBTEZUSWEXGLZBVDXHXJXIXHWEXGXHWEGWTWQKXAWRKXGABCUTABCVAWTW
    QXAWRVBVCQXIWEXGXIWEGZWTXAWSXKWTWSEWTWSKXKWTVEWSVFZRWSXKWGXLXKWGATHIZXLXKBT
    AHXIWEMNWEXMXLEXIACVGVHUDZVIWSVJVKWTWSOPXKXAWSEXAWSKXKXAXLSWSXKWGXLXNVLWSVM
    VKXAWSOPVNQVPVOVQVRAVSVTWAWB $.

  ${
    relexpfldd.1 $e |- ( ph -> N e. NN0 ) $.
    $( The field of an exponentiation of a relation a subset of the relation's
       field.  (Contributed by Drahflow, 12-Nov-2015.)  (Revised by RP,
       30-May-2020.)  (Revised by AV, 12-Jul-2024.) $)
    relexpfldd $p |- ( ph -> U. U. ( R ^r N ) C_ U. U. R ) $=
      ( cvv wcel crelexp co wss cn0 relexpfld sylan ex wn c0 reldmrelexp unieqd
      cuni uni0 eqtrdi ovprc1 0ss eqsstrdi pm2.61d1 ) ABEFZBCGHZRZRZBRRZIZAUEUJ
      ACJFUEUJDBCEKLMUENZUHOUIUKUHORZOUKUGOUKUGULOUKUFOBCGPUAQSTQSTUIUBUCUD $.
  $}

  ${
    $d n N $.  $d k n M $.  $d k n R $.  $d k n V $.
    $( Relation composition becomes addition under exponentiation.
       (Contributed by RP, 23-May-2020.) $)
    relexpaddnn $p |- ( ( N e. NN /\ M e. NN /\ R e. V ) ->
                      ( ( R ^r N ) o. ( R ^r M ) ) = ( R ^r ( N + M ) ) ) $=
      ( vn cn wcel crelexp co ccom caddc wceq wi c1 oveq2 coeq1d oveq2d eqeq12d
      oveq1 imbi2d vk wa cv weq relexp1g adantl relexpsucnnl ancoms simpl nncnd
      1cnd addcomd 3eqtr2d w3a simp2r simp1 syl2anc coass eqtrdi simp3 3ad2ant2
      coeq2d cc add32d nnaddcld eqtr2d 3eqtrd 3exp a2d nnind 3impib ) CFGBFGZAD
      GZACHIZABHIZJZACBKIZHIZLZVLVMUBZAEUCZHIZVOJZAWABKIZHIZLZMVTANHIZVOJZANBKI
      ZHIZLZMVTAUAUCZHIZVOJZAWLBKIZHIZLZMVTAWLNKIZHIZVOJZAWRBKIZHIZLZMVTVSMEUAC
      WANLZWFWKVTXDWCWHWEWJXDWBWGVOWANAHOPXDWDWIAHWANBKSQRTEUAUDZWFWQVTXEWCWNWE
      WPXEWBWMVOWAWLAHOPXEWDWOAHWAWLBKSQRTWAWRLZWFXCVTXFWCWTWEXBXFWBWSVOWAWRAHO
      PXFWDXAAHWAWRBKSQRTWACLZWFVSVTXGWCVPWEVRXGWBVNVOWACAHOPXGWDVQAHWACBKSQRTV
      TWHAVOJZABNKIZHIZWJVTWGAVOVMWGALVLADUEUFPVMVLXJXHLABDUGUHVTXIWIAHVTBNVTBV
      LVMUIZUJZVTUKULQUMWLFGZVTWQXCXMVTWQXCXMVTWQUNZWTAWNJZAWPJZXBXNWTAWMJZVOJX
      OXNWSXQVOXNVMXMWSXQLXMVLVMWQUOZXMVTWQUPZAWLDUGUQPAWMVOURUSXNWNWPAXMVTWQUT
      VBXNXBAWONKIZHIZXPXNXAXTAHXNWLNBXNWLXSUJXNUKVTXMBVCGWQXLVAVDQXNVMWOFGYAXP
      LXRXNWLBXSVTXMVLWQXKVAVEAWODUGUQVFVGVHVIVJVK $.
  $}

  $( The exponentiation of a class to an integer not smaller than 2 is a
     relation.  (Contributed by RP, 23-May-2020.) $)
  relexpuzrel $p |- ( ( N e. ( ZZ>= ` 2 ) /\ R e. V ) -> Rel ( R ^r N ) ) $=
    ( c2 cuz cfv wcel wa cn0 c1 wceq wrel wi crelexp co eluzge2nn0 adantr simpr
    wne cn eluz2b3 simprbi neneqd pm2.21d relexprelg syl3anc ) BDEFGZACGZHZBIGZ
    UHBJKZALZMABNOLUGUJUHBPQUGUHRUIUKULUIBJUGBJSZUHUGBTGUMBUAUBQUCUDABCUEUF $.

  $( Relation composition becomes addition under exponentiation except when the
     exponents total to one and the class isn't a relation.  (Contributed by
     RP, 30-May-2020.) $)
  relexpaddg $p |- ( ( N e. NN0 /\
                     ( M e. NN0 /\ R e. V /\ ( ( N + M ) = 1 -> Rel R ) ) ) ->
                      ( ( R ^r N ) o. ( R ^r M ) ) = ( R ^r ( N + M ) ) ) $=
    ( wcel caddc co c1 wceq wrel wi crelexp ccom cc0 com12 oveq2d eqtrd syl2anc
    syl eqtrid cn0 w3a cn wo elnn0 relexpaddnn a1d 3exp c2 cuz cfv elnn1uz2 cid
    wa cdm crn cun coires1 wss simpll simplr oveq12d 1p0e1 eqtrdi simprr simprl
    cres mpd relexp1g releqd mpbird eqeltrdi relexpnndm ssun1 relssres relexp0g
    1nn sstrdi coeq2d cc ax-1cn addid1d 3eqtr4d exp43 simp1 relexpuzrel eluz2nn
    simp3 simp2 eluzelcn jaoi sylbi 3impd ccnv relcnv mp1i cnvco 1nn0 relexpcnv
    pm3.2i cvv cnvexg 3eqtrd 0nn0 coeq12d nn0addcld 0p1e1 cnveqb sylancr oveq1d
    wb relco addid2d nnnn0 3syl nn0cnd addcomd eqeltrrd relexp0rel dmeqd dmresi
    uzaddcl eqimss 00id imp ) CUAEZBUAEZADEZCBFGZHIZAJZKZUBZACLGZABLGZMZAYILGZI
    ZYFCUCEZCNIZUDYMYRKZCUEYSUUAYTYSYGYHYLYRYGYSYHYLYRKZKZYGBUCEZBNIZUDZYSUUCKZ
    BUEZUUDUUGUUEYSUUDUUCYSUUDYHUUBYSUUDYHUBYRYLABCDUFUGUHOYSUUEUUCYSCHIZCUIUJU
    KZEZUDUUEUUCKZCULUUIUULUUKUUIUUEYHYLYRUUIUUEUNZYHYLUNZUNZYNUMAUOZAUPZUQZVGZ
    MZYNYPYQUUOUUTYNUURVGZYNYNUURURZUUOYNJZYNUOZUURUSZUVAYNIZUUOUVCYKUUOYJYKUUO
    YIHNFGHUUOCHBNFUUIUUEUUNUTZUUIUUEUUNVAZVBVCVDUUMYHYLVEVHUUOYNAUUOYNAHLGZAUU
    OCHALUVGPUUOYHUVIAIZUUMYHYLVFZADVIZSQVJVKUUOUVDUUPUURUUOYSYHUVDUUPUSZUUOCHU
    CUVGVQVLUVKACDVMZRUUPUUQVNZVRYNUURVOZRTUUOYOUUSYNUUOYOANLGZUUSUUOBNALUVHPUU
    OYHUVQUUSIZUVKADVPZSQVSUUOYICALUUOYICNFGZCUUOBNCFUVHPUUOCUUOCHVTUVGWAVLWBQP
    WCWDUUKUUEYHUUBUUKUUEYHUBZYRYLUWAUUTYNYPYQUWAUUTUVAYNUVBUWAUVCUVEUVFUWAUUKY
    HUVCUUKUUEYHWEZUUKUUEYHWHZACDWFRUWAUVDUUPUURUWAYSYHUVMUWAUUKYSUWBCWGSUWCUVN
    RUVOVRUVPRTUWAYOUUSYNUWAYOUVQUUSUWABNALUUKUUEYHWIZPUWAYHUVRUWCUVSSQVSUWAYIC
    ALUWAYIUVTCUWABNCFUWDPUWACUWAUUKCVTEUWBUICWJSWBQPWCUGUHWKWLOWKWLOWMYTYGYHYL
    YRYGYTUUCYGUUFYTUUCKZUUHUUDUWEUUEUUDBHIZBUUJEZUDUWEBULUWFUWEUWGYTUWFUUCYTUW
    FYHYLYRYTUWFUNZUUNUNZYRYPWNZYQWNZIZUWIAWNZUMUWMUOZUWMUPZUQZVGZMZUWMUWJUWKUW
    IUWRUWMUWPVGZUWMUWMUWPURUWMJZUWNUWPUSZUNUWSUWMIUWIUWTUXAAWOUWNUWOVNZWTUWMUW
    PVOWPTUWIUWJYOWNZYNWNZMZUWRYNYOWQZUWIUXCUWMUXDUWQUWIUXCUWMBLGZUWMHLGZUWMUWI
    YGYHUXCUXGIZUWIBHUAYTUWFUUNVAZWRVLZUWHYHYLVFZABDWSZRUWIBHUWMLUXJPUWIUWMXAEZ
    UXHUWMIUWIYHUXNUXLADXBZSZUWMXAVISZXCUWIUXDUWMCLGZUWMNLGZUWQUWIYFYHUXDUXRIZU
    WICNUAYTUWFUUNUTZXDVLZUXLACDWSZRUWICNUWMLUYAPUWIUXNUXSUWQIZUXPUWMXAVPZSXCXE
    TUWIUWKUWMYILGZUXHUWMUWIYIUAEZYHUWKUYFIZUWICBUYBUXKXFUXLAYIDWSZRUWIYIHUWMLU
    WIYINHFGHUWICNBHFUYAUXJVBXGVDZPUXQXCWCUWIYPJZYQJZYRUWLXKZYNYOXLZUWIUYLYKUWI
    YJYKUYJUWHYHYLVEVHUWIYQAUWIYQUVIAUWIYIHALUYJPUWIYHUVJUXLUVLSQVJVKYPYQXHZXIV
    KWDOYTUWGUUCYTUWGYHUUBYTUWGYHUBZYRYLUYPYRUWLUYPUXGUXRMZUYFUWJUWKUYPUXGUWQMZ
    UXGUYQUYFUYPUYRUXGUWPVGZUXGUXGUWPURUYPUXGJZUXGUOZUWPUSUYSUXGIUYPUWGUXNUYTYT
    UWGYHWIZUYPYHUXNYTUWGYHWHZUXOSZUWMBXAWFRUYPVUAUWNUWPUYPUUDUXNVUAUWNUSUYPUWG
    UUDVUBBWGZSVUDUWMBXAVMRUXBVRUXGUWPVORTUYPUXRUWQUXGUYPUXRUXSUWQUYPCNUWMLYTUW
    GYHWEZPUYPUXNUYDVUDUYESQVSUYPYIBUWMLUYPYINBFGBUYPCNBFVUFXJUYPBUYPUWGBVTEVUB
    UIBWJSZXMQPWCUYPUWJUXEUYQUXFUYPUXCUXGUXDUXRUYPYGYHUXIUYPUWGUUDYGVUBVUEBXNXO
    ZVUCUXMRUYPYFYHUXTUYPCNUAVUFXDVLZVUCUYCRXETUYPUYGYHUYHUYPCBVUIVUHXFVUCUYIRW
    CUYPUYKUYLUYMUYNUYPYIUUJEYHUYLUYPBCFGZYIUUJUYPBCVUGUYPCVUIXPXQUYPUWGYFVUJUU
    JEVUBVUICUIBYBRXRVUCAYIDWFRUYOXIVKUGUHOWKWLYTUUEUUCYTUUEYHUUBYTUUEYHUBZYRYL
    VUKUVQUUSMZUVQYPYQVUKVULUVQUURVGZUVQUVQUURURVUKUVQJZUVQUOZUURUSZVUMUVQIVUKY
    HVUNYTUUEYHWHZADXSSVUKVUOUURIVUPVUKVUOUUSUOUURVUKUVQUUSVUKYHUVRVUQUVSSZXTUU
    RYAVDVUOUURYCSUVQUURVORTVUKYNUVQYOUUSVUKCNALYTUUEYHWEZPVUKYOUVQUUSVUKBNALYT
    UUEYHWIZPVURQXEVUKYINALVUKYINNFGNVUKCNBNFVUSVUTVBYDVDPWCUGUHOWKWLOWMWKWLYE
    $.

  ${
    relexpaddd.1 $e |- ( ph -> Rel R ) $.
    relexpaddd.2 $e |- ( ph -> N e. NN0 ) $.
    relexpaddd.3 $e |- ( ph -> M e. NN0 ) $.
    $( Relation composition becomes addition under exponentiation.
       (Contributed by Drahflow, 12-Nov-2015.)  (Revised by RP, 30-May-2020.)
       (Revised by AV, 12-Jul-2024.) $)
    relexpaddd $p |- ( ph ->
                         ( ( R ^r N ) o. ( R ^r M ) ) = ( R ^r ( N + M ) ) ) $=
      ( cvv wcel crelexp co ccom caddc wceq wa cn0 adantr c0 reldmrelexp ovprc1
      c1 wrel wi simpr a1d relexpaddg syl13anc ex co01 coeq12d 3eqtr4a pm2.61d1
      wn ) ABHIZBDJKZBCJKZLZBDCMKZJKZNZAUNUTAUNODPIZCPIZUNURUANZBUBZUCZUTAVAUNF
      QAVBUNGQAUNUDAVEUNAVDVCEUEQBCDHUFUGUHUNUMZRRLRUQUSRUIVFUORUPRBDJSTBCJSTUJ
      BURJSTUKUL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Reflexive-transitive closure as an indexed union
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c t*rec $.
  $( Extend class notation with recursively defined reflexive, transitive
     closure. $)
  crtrcl $a class t*rec $.

  ${
    $d n r $.
    $( The reflexive, transitive closure of a relation constructed as the union
       of all finite exponentiations.  (Contributed by Drahflow,
       12-Nov-2015.) $)
    df-rtrclrec $a |- t*rec = ( r e. _V |-> U_ n e. NN0 ( r ^r n ) ) $.
  $}

  ${
    $d R r n $.  $d ph r $.
    rtrclreclem1.1 $e |- ( ph -> R e. V ) $.
    $( The reflexive, transitive closure is indeed a closure.  (Contributed by
       Drahflow, 12-Nov-2015.)  (Revised by RP, 30-May-2020.)  (Revised by AV,
       12-Jul-2024.) $)
    rtrclreclem1 $p |- ( ph -> R C_ ( t*rec ` R ) ) $=
      ( vr vn crtrcl cfv wss wi cvv cn0 cv crelexp co ciun wcel sseqtrrd wceq
      c1 cmpt wrex ssidd relexp1d oveq2 sseq2d rspcev sylancr ssiun eqidd oveq1
      1nn0 syl iuneq2d adantl elexd nn0ex iunex a1i fvmptd wb df-rtrclrec fveq1
      ovex imbi2d ax-mp mpbir ) ABBGHZIZJZABBEKFLEMZFMZNOZPZUAZHZIZJZABFLBVLNOZ
      PZVPABVSIZFLUBZBVTIATLQBBTNOZIZWBULABBWCABUCABCDUDRWAWDFTLVLTSVSWCBVLTBNU
      EUFUGUHFLVSBUIUMAEBVNVTKVOKAVOUJVKBSZVNVTSAWEFLVMVSVKBVLNUKUNUOABCDUPVTKQ
      AFLVSUQBVLNVDURUSUTRGVOSZVJVRVAFEVBWFVIVQAWFVHVPBBGVOVCUFVEVFVG $.
  $}

  ${
    $d R r n $.  $d A n $.  $d B n $.
    dfrtrclrec2.1 $e |- ( ph -> Rel R ) $.
    $( If two elements are connected by a reflexive, transitive closure, then
       they are connected via ` n ` instances the relation, for some ` n ` .
       (Contributed by Drahflow, 12-Nov-2015.)  (Revised by AV,
       13-Jul-2024.) $)
    dfrtrclrec2 $p |- ( ph -> ( A ( t*rec ` R ) B <->
                                E. n e. NN0 A ( R ^r n ) B ) ) $=
      ( vr crtrcl cfv wbr cv crelexp co cn0 wb cvv ciun wceq wcel c0 wrex wi wa
      cmpt simpr nn0ex ovex iunex oveq1 iuneq2d eqid fvmptg sylancl ex iun0 a1i
      wn reldmrelexp ovprc1 fvprc 3eqtr4rd pm2.61d1 breq cop eliun df-br rexbii
      3bitr4g sylan9bb mpancom df-rtrclrec fveq1 breqd bibi1d imbi2d ax-mp
      mpbir ) ABCDHIZJZBCDEKZLMZJZENUAZOZUBZABCDGPENGKZVTLMZQZUDZIZJZWCOZUBZWJE
      NWAQZRZAWLADPSZWOAWPWOAWPUCWPWNPSWOAWPUEENWAUFDVTLUGUHGDWHWNPPWIWFDRENWGW
      AWFDVTLUIUJWIUKULUMUNWPUQZENTQZTWNWJWRTRWQENUOUPWQENWATDVTLURUSUJDWIUTVAV
      BWOWKBCWNJZAWCBCWJWNVCABCVDZWNSZWTWASZENUAZWSWCXAXCOAEWTNWAVEUPBCWNVFWBXB
      ENBCWAVFVGVHVIVJHWIRZWEWMOEGVKXDWDWLAXDVSWKWCXDVRWJBCDHWIVLVMVNVOVPVQ $.
  $}

  ${
    $d R r n $.
    rtrclreclem2.1 $e |- ( ph -> Rel R ) $.
    rtrclreclem2.2 $e |- ( ph -> R e. V ) $.
    $( The reflexive, transitive closure is indeed reflexive.  (Contributed by
       Drahflow, 12-Nov-2015.)  (Revised by RP, 30-May-2020.)  (Revised by AV,
       13-Jul-2024.) $)
    rtrclreclem2 $p |- ( ph -> ( _I |` U. U. R ) C_ ( t*rec ` R ) ) $=
      ( vr vn cuni crtrcl cfv wss wi cvv cn0 cv crelexp co cc0 wcel wceq sseq2d
      cid cres ciun cmpt wrex 0nn0 ssid relexp0d sseqtrrid oveq2 rspcev sylancr
      ssiun syl elexd nn0ex ovex iunex oveq1 iuneq2d fvmptg sylancl sseqtrrd wb
      eqid df-rtrclrec fveq1 imbi2d ax-mp mpbir ) AUBBHHUCZBIJZKZLZAVLBFMGNFOZG
      OZPQZUDZUEZJZKZLZAVLGNBVQPQZUDZWAAVLWDKZGNUFZVLWEKARNSVLBRPQZKZWGUGAVLVLW
      HVLUHABCDEUIUJWFWIGRNVQRTWDWHVLVQRBPUKUAULUMGNWDVLUNUOABMSWEMSWAWETABCEUP
      GNWDUQBVQPURUSFBVSWEMMVTVPBTGNVRWDVPBVQPUTVAVTVFVBVCVDIVTTZVOWCVEGFVGWJVN
      WBAWJVMWAVLBIVTVHUAVIVJVK $.
  $}

  ${
    rtrclreclem.1 $e |- ( ph -> Rel R ) $.
    ${
      $d R d e g $.  $d R f e g n m h $.  $d R n e g m i $.  $d ph d e g $.
      $d ph f e g n m $.
      $( The reflexive, transitive closure is indeed transitive.  (Contributed
         by Drahflow, 12-Nov-2015.)  (Revised by RP, 30-May-2020.)  (Revised by
         AV, 13-Jul-2024.) $)
      rtrclreclem3 $p |- ( ph -> ( ( t*rec ` R ) o. ( t*rec ` R ) ) C_
                                      ( t*rec ` R ) ) $=
        ( ve vf vg vn cv wbr wa wceq wcel wi crelexp cn0 simprrl adantl anassrs
        co expcom vd vm vi vh crtrcl cfv ccom wex copab df-co cop elopab anbi1d
        eqeq1 simprr simprl wrex simpl wb dfrtrclrec2 syl mpbid caddc nn0addcld
        nn0cnd addcomd eleq1 relexpaddd oveq2 eqeq2d syl5ibr sylbid mpcom breq2
        wrel breq1 anbi12d spcev syl2an2 brco sylibr breqdi breqd rspcev syldan
        vex mpancom df-br bitr3id mpbird rexlimiv exlimdv sylc anabsi5 exlimdvv
        impcom syl5bi eleq2 imbi1d ax-mp ssrdv ) AUABUEUFZXBUGZXBXCDHZEHZXBIZXE
        FHZXBIZJZEUHZDFUIZKZAUAHZXCLZXMXBLZMZMDFEXBXBUJAXPXLXMXKLZXOMXQXMXDXGUK
        ZKZXJJZFUHDUHAXOXJDFXMULAXTXODFXTAXOXSXJAXOXSXJAJZXOXSXSYAJXRXRKZYAJZXO
        XSXSYBYAXMXRXRUNUMYCXOXSXRXBLZYCAXJYDYBXJAUOYBXJAUPAXIYDEXIAYDXFXHAYDXD
        XEBGHZNSZIZGOUQZXFXHAJZJZYDYJXFYHXFYIURYJAXFYHUSXFXHAUOAXDXEBGCUTVAVBYG
        YJYDMZGOYGYEOLZYKYJYGYLJZYDXFYIYMYDYIYMJXFYDXHAYMXFYDMZXFXHAYMJZJZYDXEX
        GBUBHZNSZIZUBOUQZXFYPJZYDUUAXHYTXFXHYOUPUUAAXHYTUSXFXHAYMPAXEXGBUBCUTVA
        VBYSUUAYDMZUBOYSYQOLZUUBUUAYSUUCJZYDXFYPUUDYDYPUUDJXFYDXHYOUUDYNYOUUDJX
        HYNAYMUUDXHYNMZYMUUDJAUUEYGYLUUDAUUEMAYGYLUUDJZJZUUEXHAUUGJZYNXFXHUUHJZ
        YDXFUUIJZYDXDXGBUCHZNSZIZUCOUQZYEYQVCSZOLZUUJUUNUUJYEYQUUIYLXFUUHYLXHAY
        GYLUUDPQQZUUIUUCXFUUHUUCXHUUGUUCAUUFUUCYGYLYSUUCUOQQQQZVDUUPUUJXDXGBUUO
        NSZIZUUNUUPUUJJZYRYFUGZUUSXDXGUUOYQYEVCSZKZUVAUVBUUSKZUVAYEYQUVAYEUUJYL
        UUPUUQQVEUVAYQUUJUUCUUPUURQVEVFUVDUVAUVCOLZUUJJZUVEUVDUUPUVFUUJUUOUVCOV
        GUMUVGUVEUVDUVBBUVCNSZKUVGBYEYQUVGABVOZUUJAUVFXFXHAUUGPZQCVAUUJUUCUVFUU
        RQUUJYLUVFUUQQVHUVDUUSUVHUVBUUOUVCBNVIVJVKVLVMUVAXDUDHZYFIZUVKXGYRIZJZU
        DUHZXDXGUVBIUUJYGUUPYSUVOUUIYGXFXHAYGUUFPQUUJYSUUPUUIYSXFUUHYSXHUUGYSAY
        GYLYSUUCPQQQQUVNYGYSJUDXEEWFUVKXEKUVLYGUVMYSUVKXEXDYFVNUVKXEXGYRVPVQVRV
        SUDXDXGYRYFDWFFWFVTWAWBUUMUUTUCUUOOUUKUUOKUULUUSXDXGUUKUUOBNVIWCWDWEWGY
        DXDXGXBIUUJUUNXDXGXBWHUUJXDXGBUCUUJAUVIUVJCVAUTWIWJTTTRWPRWPRWPRTTWKVMT
        RWPRTTWKVMRTWLWMXMXRXBVGVKVLWNRTWOWQXLXNXQXOXCXKXMWRWSVKWTXA $.
    $}

    ${
      $d ph s n i $.  $d ph s m i $.  $d ph r n $.  $d R r n $.  $d R i n $.
      $d R i m $.
      $( The reflexive, transitive closure of ` R ` is the smallest reflexive,
         transitive relation which contains ` R ` and the identity.
         (Contributed by Drahflow, 12-Nov-2015.)  (Revised by RP, 30-May-2020.)
         (Revised by AV, 13-Jul-2024.) $)
      rtrclreclem4 $p |- ( ph -> A. s ( ( ( _I |` ( dom R u. ran R ) ) C_ s
                                             /\ R C_ s /\ ( s o. s ) C_ s )
                                           -> ( t*rec ` R ) C_ s ) ) $=
        ( vr vn cv wss wi cvv wcel wa cn0 crelexp wceq adantl cc0 sseq1d expcom
        co vi vm cid cdm crn cun cres ccom w3a crtrcl cfv ciun cmpt eqidd oveq1
        iuneq2d simpr nn0ex ovex iunex a1i fvmptd wral caddc eleq1 anbi1d oveq2
        c1 imbi12d cuni wrel simprll syl simprlr relexp0d relfld simprrr reseq2
        syl5ibr mpcom eqsstrd simprl jca32 mpd relexpsucrd coss2 coss1 sylan9ss
        simprrl sstrd mpancom anassrs impcom nn0ind ralrimiv iunss sylibr 3imp1
        anabsi5 sseq1 imbi2d wb df-rtrclrec fveq1 ax-mp mpbir ex wn c0 eqsstrdi
        fvprc 0ss a1d pm2.61d1 alrimiv ) AUCBUDBUEUFZUGZCGZHZBXRHZXRXRUHZXRHZUI
        ZBUJUKZXRHZIZCABJKZYFAYGYFAYGLZYFIZYHYCBEJFMEGZFGZNTZULZUMZUKZXRHZIZIZY
        OFMBYKNTZULZOZYHYQYHEBYMYTJYNJYHYNUNYJBOZYMYTOYHUUBFMYLYSYJBYKNUOUPPAYG
        UQYTJKYHFMYSURBYKNUSUTVAVBYHYQUUAYCYTXRHZIYCYHUUCXSXTYBYHUUCXTXSYBYHUUC
        IZIYBXTXSLZUUDYHYBUUELZUUCYHUUFLZYSXRHZFMVCUUCUUGUUHFMYKMKZUUGUUHUUIUUG
        UUHUAGZMKZUUGLZBUUJNTZXRHZIQMKZUUGLZBQNTZXRHZIUBGZMKZUUGLZBUUSNTZXRHZIZ
        UUSVHVDTZMKZUUGLZBUVENTZXRHZIZUUIUUGLZUUHIUAUBYKUUJQOZUULUUPUUNUURUVLUU
        KUUOUUGUUJQMVEVFUVLUUMUUQXRUUJQBNVGRVIUUJUUSOZUULUVAUUNUVCUVMUUKUUTUUGU
        UJUUSMVEVFUVMUUMUVBXRUUJUUSBNVGRVIUUJUVEOZUULUVGUUNUVIUVNUUKUVFUUGUUJUV
        EMVEVFUVNUUMUVHXRUUJUVEBNVGRVIUUJYKOZUULUVKUUNUUHUVOUUKUUIUUGUUJYKMVEVF
        UVOUUMYSXRUUJYKBNVGRVIUUPUUQUCBVJVJZUGZXRUUPBJUUPABVKZUUOAYGUUFVLDVMZUU
        OAYGUUFVNVOUVPXPOZUUPUVQXRHZUUPUVRUVTUVSBVPVMUUPUWAUVTXSUUGXSUUOYHYBXTX
        SVQPUVTUVQXQXRUVPXPUCVRRVSVTWAUVDUUTUVJUVGUVDUUTLZUVIUVFUUGUWBUVIUUGUWB
        LUVFUVIYHUUFUWBUVFUVIIZUUFUWBLYHUWCYBUUEUWBYHUWCIZUUEUWBLYBUWDXTXSUWBYB
        UWDIYBXTXSUWBLZLZUWDYHYBUWFLZUWCUVFYHUWGLZUVIUVCUVFUWHLZUVIUWIUVAUVCUWI
        UUTYHUUFUWHUUTUVFUWGUUTYHUWFUUTYBXTXSUVDUUTVQPPPZUVFYHUWGWBUWIYBXTXSUVF
        YHYBUWFWIZUWHXTUVFYHYBXTUWEWIPZUWHXSUVFUWGXSYHYBXTXSUWBWIPPWCWCUWHUVDUV
        FUWGUVDYHUWFUVDYBXTXSUVDUUTWIPPPWDUVCUWILZUVHUVBBUHZXRUWMBUUSUWMAUVRUWI
        AUVCUVFAYGUWGVLPDVMUWIUUTUVCUWJPWEUWMUWNUVBXRUHZXRUWMXTUWNUWOHUWIXTUVCU
        WLPBXRUVBWFVMUVCUWIUWOYAXRUVBXRXRWGUWKWHWJWAWKSSSWLWMWLWMWLWMWLSSWNWSSW
        OFMYSXRWPWQSSSWRSUUAYPUUCYCYOYTXRWTXAVSVTUJYNOZYIYRXBFEXCUWPYFYQYHUWPYE
        YPYCUWPYDYOXRBUJYNXDRXAXAXEXFXGYGXHZYEYCUWQYDXIXRBUJXKXRXLXJXMXNXO $.
    $}
  $}

  ${
    $d x z R $.  $d x z ph $.  $d s z R $.  $d s z ph $.
    dfrtrcl2.1 $e |- ( ph -> Rel R ) $.
    $( The two definitions ` t* ` and ` t*rec ` of the reflexive, transitive
       closure coincide if ` R ` is indeed a relation.  (Contributed by
       Drahflow, 12-Nov-2015.)  (Revised by RP, 30-May-2020.)  (Revised by AV,
       13-Jul-2024.) $)
    dfrtrcl2 $p |- ( ph -> ( t* ` R ) = ( t*rec ` R ) ) $=
      ( vx vz vs cvv wcel crtcl cfv crtrcl wceq wi cid cv wss w3a adantr sseq2
      id wa cdm crn cun cres ccom cab cint cmpt eqidd dmeq rneq uneq12d reseq2d
      sseq1d 3anbi12d abbidv inteqd adantl simpr c0 wne cuni wrel relfld eqcomd
      syl rtrclreclem2 syl5ibr mpcom rtrclreclem1 rtrclreclem3 wal fvex coeq12d
      sseq12d 3anbi123d a1i alrimiv elabgt sylancr mpbir3and intex sylib fvmptd
      wb ne0d intss1 wral vex rtrclreclem4 19.21bi syl5bi ralrimiv ssint sylibr
      eqssd eqtrd df-rtrcl fveq1 eqeq1d imbi2d ax-mp mpbir ex wn fvprc pm2.61d1
      elab ) ABGHZBIJZBKJZLZAXJXMAXJUAZXMMZXNBDGNDOZUBZXPUCZUDZUEZEOZPZXPYAPZYA
      YAUFZYAPZQZEUGZUHZUIZJZXLLZMZXNYJNBUBZBUCZUDZUEZYAPZBYAPZYEQZEUGZUHZXLXND
      BYHUUAGYIGXNYIUJXPBLZYHUUALXNUUBYGYTUUBYFYSEUUBYBYQYCYRYEUUBXTYPYAUUBXSYO
      NUUBXQYMXRYNXPBUKXPBULUMUNUOUUBXPBYAUUBTUOUPUQURUSAXJUTZXNYTVAVBUUAGHXNYT
      XLXNXLYTHZYPXLPZBXLPZXLXLUFZXLPZYOBVCVCZLZXNUUEAUUJXJAUUIYOABVDZUUIYOLCBV
      EVGVFRXNUUEUUJNUUIUEZXLPXNBGAUUKXJCRUUCVHUUJYPUULXLUUJYOUUINUUJTUNUOVIVJX
      NBGUUCVKAUUHXJABCVLRAUUDUUEUUFUUHQZWFZXJAXLGHYAXLLZYSUUMWFMZEVMUUNBKVNAUU
      PEUUPAUUOYQUUEYRUUFYEUUHYAXLYPSYAXLBSUUOYDUUGYAXLUUOYAXLYAXLUUOTZUUQVOUUQ
      VPVQVRVSYSUUMEXLGVTWARWBZWGYTWCWDWEXNUUAXLXNUUDUUAXLPUURXLYTWHVGAXLUUAPZX
      JAXLFOZPZFYTWIUUSAUVAFYTUUTYTHYPUUTPZBUUTPZUUTUUTUFZUUTPZQZAUVAYSUVFEUUTF
      WJYAUUTLZYQUVBYRUVCYEUVEYAUUTYPSYAUUTBSUVGYDUVDYAUUTUVGYAUUTYAUUTUVGTZUVH
      VOUVHVPVQXIAUVFUVAMFABFCWKWLWMWNFXLYTWOWPRWQWRIYILZXOYLWFDEWSUVIXMYKXNUVI
      XKYJXLBIYIWTXAXBXCXDXEXJXFZXKVAXLBIXGUVJXLVABKXGVFWRXH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Principle of transitive induction.
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  If we have a statement that holds for some element, and a relation between
  elements that implies if it holds for the first element then it must hold for
  the second element, the principle of transitive induction shows the statement
  holds for any element related to the first by the (reflexive-)transitive
  closure of the relation.

$)

  ${
    $d i l x $.  $d k n x $.  $d i j l R $.  $d k x R $.  $d i j l S $.
    $d k x S $.  $d i j l et $.  $d j x ph $.  $d i j ps $.  $d k l ps $.
    $d i ch $.  $d i th $.  $d k x et $.
    relexpindlem.1 $e |- ( et -> Rel R ) $.
    relexpindlem.2 $e |- ( et -> S e. V ) $.
    relexpindlem.3 $e |- ( i = S -> ( ph <-> ch ) ) $.
    relexpindlem.4 $e |- ( i = x -> ( ph <-> ps ) ) $.
    relexpindlem.5 $e |- ( i = j -> ( ph <-> th ) ) $.
    relexpindlem.6 $e |- ( et -> ch ) $.
    relexpindlem.7 $e |- ( et -> ( j R x -> ( th -> ps ) ) ) $.
    $( Principle of transitive induction, finite and non-class version.  The
       first three hypotheses give various existences, the next three give
       necessary substitutions and the last two are the basis and the induction
       hypothesis.  (Contributed by Drahflow, 12-Nov-2015.)  (Revised by RP,
       30-May-2020.)  (Proof shortened by Peter Mazsa, 2-Oct-2022.)  (Revised
       by AV, 13-Jul-2024.) $)
    relexpindlem $p |- ( et -> ( n e. NN0 -> ( S ( R ^r n ) x -> ps ) ) ) $=
      ( wa vk vl cvv wcel cv cn0 crelexp co wbr wi wal cc0 c1 caddc wceq anbi2d
      eleq1 oveq2 breqd imbi1d albidv imbi12d cid cuni cres wrel anim1ci adantr
      relexp0 syl w3a wex simpl ad2antrl simprl jccil expcom simprr wb ad2antll
      3imp1 bicomd anbi1 syl6bi mpcom 3jca anassrs impbid spcegv syl2an2r df-br
      cop sylib opelresi simplr sylibr ideq mpancom breq1 3anbi1d exbidv anbi1d
      vex eqeq2 anbi12d mpbid 3imp exlimiv syl5ibr alrimiv breq2 cbvalvw bicomi
      breq imbi2 ccom simprrr relexpsucld brcog sylancl simprrl mp2and id ax-mp
      mpd syl3c impcom exlimddv nn0ind anabsi7 19.21bi exp31 reldmrelexp ovprc1
      sp wn c0 br0 pm2.21i a1d pm2.61d1 ) EGUCUDZKUEZUFUDZHFUEZGUUCUGUHZUIZBUJZ
      UJEUUBUUDUUHEUUBTZUUDTZUUHFUUIUUDUUHFUKZUUIUAUEZUFUDZTZHUUEGUULUGUHZUIZBU
      JZFUKZUJUUIULUFUDZTZHUUEGULUGUHZUIZBUJZFUKZUJUUIUBUEZUFUDZTZHUUEGUVEUGUHZ
      UIZBUJZFUKZUJZUUIUVEUMUNUHZUFUDZTZHUUEGUVMUGUHZUIZBUJZFUKZUJZUUJUUKUJUAUB
      UUCUULULUOZUUNUUTUURUVDUWAUUMUUSUUIUULULUFUQUPUWAUUQUVCFUWAUUPUVBBUWAUUOU
      VAHUUEUULULGUGURUSUTVAVBUULUVEUOZUUNUVGUURUVKUWBUUMUVFUUIUULUVEUFUQUPUWBU
      UQUVJFUWBUUPUVIBUWBUUOUVHHUUEUULUVEGUGURUSUTVAVBUULUVMUOZUUNUVOUURUVSUWCU
      UMUVNUUIUULUVMUFUQUPUWCUUQUVRFUWCUUPUVQBUWCUUOUVPHUUEUULUVMGUGURUSUTVAVBU
      ULUUCUOZUUNUUJUURUUKUWDUUMUUDUUIUULUUCUFUQUPUWDUUQUUHFUWDUUPUUGBUWDUUOUUF
      HUUEUULUUCGUGURUSUTVAVBUUTUVCFUVAVCGVDVDZVEZUOZUUTUVCUUTUUBGVFZTZUWGUUIUW
      IUUSEUWHUUBMVGVHGUCVIVJUUTUVCUWGHUUEUWFUIZBUJZIUEZHUOZAUUIVKZIVLZUUTUWKUU
      ICUUSUUIUWOECUUBRVHZUUIUUSVMHLUDZCUUITZUWOEUWQCUUBNVNUWNUWRIHLUWMUWNUWRUW
      NUWMUWRUWMAUUIUWMUWRAUWMUUIUWMUWRUJZUJUUIAUWMTZUWSUWMUUIUWTTZUWRUWMUXATUU
      ICUWMUUIUWTVOUWPVPVQVQVQWAVQUWRUWMUWNCUUIUWMUWNCUUIUWMTZTZUWMAUUICUUIUWMV
      RCAVSZUXCAUXCACUWMACVSCUUIOVTWBUXDUXCAUXBTACAUXBWCAUXBVMWDWECUUIUWMVOWFWG
      VQWHWIWEWJUWJUWOUUTTZBHUUEUOZUWJUXETZBHUWEUDZHUUEWLZVCUDZTZUXGUXFUXGUXIUW
      FUDZUXKUXGUWJUXLUWJUXEVMHUUEUWFWKWMUWEHUUEVCFXCZWNWMUXKUXGTZHUUEVCUIZUXFU
      XNUXJUXOUXHUXJUXGWOHUUEVCWKWPHUUEUXMWQWMWRUXFUXGUUEUUEUWFUIZUWLUUEUOZAUUI
      VKZIVLZUUTTZTBUXFUWJUXPUXEUXTHUUEUUEUWFWSUXFUWOUXSUUTUXFUWNUXRIUXFUWMUXQA
      UUIHUUEUWLXDWTXAXBXEUXSBUXPUUTUXRBIUXQAUUIBAUXQUUIBUJUUIAUXQTZBUUIUYATABU
      UIAUXQVOUXQABVSUUIAPVTXFVQVQXGXHVNWDWEVQWRUWGUVBUWJBHUUEUVAUWFXNUTXIWEXJU
      VLUVFUVTUVOUVLUVFTZUVSUUIUVNUYBUVSUVKHUWLUVHUIZAUJZIUKZVSZUUIUVNUYBTZTZUV
      SUJUYEUVKUYDUVJIFUXQUYCUVIABUWLUUEHUVHXKPVBXLXMUYFUYHUUIUVNUVGUYEUJZUVFTZ
      TZTZUVSUYFUYGUYKUUIUYFUYBUYJUVNUYFUVLUYIUVFUVKUYEUVGXOXBUPUPUYLUVRFUVPGUV
      HXPZUOZUYLUVRUYLGUVEUUIUWHUYKEUWHUUBMVHVHUUIUVNUYIUVFXQXRUYLUVRUYNHUUEUYM
      UIZBUJZUYOUYLBUYOUYLTZHJUEZUVHUIZUYRUUEGUIZTZBJUYQUYOVUAJVLZUYOUYLVMUYQUW
      QUUEUCUDUYOVUBVSUUIUWQUYOUYKEUWQUUBNVHVNUXMJHUUEGUVHLUCXSXTXFUYOUYLVUABUY
      LVUATUYOBUUIUYKVUAUYPUYKVUATUUIUYPUVNUYJVUAUUIUYPUJZUYJVUATUVNVUCUYIUVFVU
      AUVNVUCUJUVNUYIUVFVUATZTZVUCUUIUVNVUETZUYPUYOUUIVUFTZBUYEUYOVUGTZBVUHUUIU
      VFUYEUYOUUIVUFVOVUFUVFUYOUUIUVNUYIUVFVUAYAVTVUFUYIUYOUUIUVNUYIVUDVOVTYBUY
      EVUHTZUUIUYTDBUYEUYOUUIVUFYAVUGUYTUYEUYOVUEUYTUUIUVNUYIUVFUYSUYTXQVTVTUYE
      UYSDUJZJUKZVSZVUIDUJUYDVUJIJUWLUYRUOUYCUYSADUWLUYRHUVHXKQVBXLVULVUIVUKUYO
      UUIUVNUVGVUKUJZVUDTZTZTZTZTZDVULUYEVUKVUHVUQVULYCVULVUGVUPUYOVULVUFVUOUUI
      VULVUEVUNUVNVULUYIVUMVUDUYEVUKUVGXOXBUPUPUPXEVURUYSDVUPUYSVUKUYOVUNUYSUUI
      UVNVUMUVFUYSUYTYAVTVTVUKVUJVUQVUJJYOVHYEWDYDEUYTDBUJUJUUBSVHYFWRVQVQVQWGY
      GWGYGWGYGWGYHVQUYNUVQUYOBHUUEUVPUYMXNUTXIWEXJWDYDWGVQVQYIYJYKYLUUBYPZUUHU
      UDVUSUUGHUUEYQUIZBVUSUUFYQHUUEGUUCUGYMYNUSVUTBHUUEYRYSWDYTUUA $.
  $}

  ${
    $d i j x R $.  $d i j x S $.  $d x X $.  $d n x $.  $d j x ph $.
    $d i j ps $.  $d i ch $.  $d i th $.  $d x ta $.  $d i j x et $.
    relexpind.1 $e |- ( et -> Rel R ) $.
    relexpind.2 $e |- ( et -> S e. V ) $.
    relexpind.3 $e |- ( et -> X e. W ) $.
    relexpind.4 $e |- ( i = S -> ( ph <-> ch ) ) $.
    relexpind.5 $e |- ( i = x -> ( ph <-> ps ) ) $.
    relexpind.6 $e |- ( i = j -> ( ph <-> th ) ) $.
    relexpind.7 $e |- ( x = X -> ( ps <-> ta ) ) $.
    relexpind.8 $e |- ( et -> ch ) $.
    relexpind.9 $e |- ( et -> ( j R x -> ( th -> ps ) ) ) $.
    $( Principle of transitive induction, finite version.  The first three
       hypotheses give various existences, the next four give necessary
       substitutions and the last two are the basis and the induction
       hypothesis.  (Contributed by Drahflow, 12-Nov-2015.)  (Revised by RP,
       30-May-2020.)  (Revised by AV, 13-Jul-2024.) $)
    relexpind $p |- ( et -> ( n e. NN0 -> ( S ( R ^r n ) X -> ta ) ) ) $=
      ( wcel cv cn0 crelexp co wbr wi wb wceq breq2 imbi1d imbi2d imbi2 syl5ibr
      bibi1d mpcom relexpindlem vtoclg ) ONUEFLUFZUGUEZIOHVCUHUIZUJZEUKZUKZRFVD
      IGUFZVEUJZBUKZUKZUKZFVHUKZGONBEULZVIOUMZVMVNULZUBVPVQVOFVDVJEUKZUKZUKZVNU
      LVPVSVHFVPVRVGVDVPVJVFEVIOIVEUNUOUPUPVOVMVTVNVOVLVSFVOVKVRVDBEVJUQUPUPUSU
      RUTABCDFGHIJKLMPQSTUAUCUDVAVBUT $.
  $}

  ${
    $d R n x $.  $d R i j x $.  $d S n x $.  $d S i j x $.  $d X n x $.
    $d et n x $.  $d et i j x $.  $d ta n x $.  $d ps i j $.  $d th i $.
    $d ph j x $.  $d ch i $.
    rtrclind.1 $e |- ( et -> Rel R ) $.
    rtrclind.2 $e |- ( et -> S e. V ) $.
    rtrclind.3 $e |- ( et -> X e. W ) $.
    rtrclind.4 $e |- ( i = S -> ( ph <-> ch ) ) $.
    rtrclind.5 $e |- ( i = x -> ( ph <-> ps ) ) $.
    rtrclind.6 $e |- ( i = j -> ( ph <-> th ) ) $.
    rtrclind.7 $e |- ( x = X -> ( ps <-> ta ) ) $.
    rtrclind.8 $e |- ( et -> ch ) $.
    rtrclind.9 $e |- ( et -> ( j R x -> ( th -> ps ) ) ) $.
    $( Principle of transitive induction.  The first three hypotheses give
       various existences, the next four give necessary substitutions and the
       last two are the basis and the induction step.  (Contributed by
       Drahflow, 12-Nov-2015.)  (Revised by AV, 13-Jul-2024.) $)
    rtrclind $p |- ( et -> ( S ( t* ` R ) X -> ta ) ) $=
      ( vn crtcl cfv crtrcl wceq wbr wi dfrtrcl2 cv crelexp co wrex dfrtrclrec2
      cn0 wa biimpac wcel simprl simprrr simprrl relexpind syl3c anassrs expcom
      rexlimiv mpcom breq imbi1d syl5ibr ) HUEUFZHUGUFZUHZFINVMUIZEUJZFHOUKFVQV
      OINVNUIZEUJVRFEINHUDULZUMUNUIZUDUQUOZVRFURZEFVRWAFINHUDOUPUSVTWBEUJZUDUQV
      TVSUQUTZWCWBVTWDURZEVRFWEEVRFWEURURFWDVTEVRFWEVAVRFVTWDVBVRFVTWDVCABCDEFG
      HIJKUDLMNOPQRSTUAUBUCVDVEVFVGVGVHVIVGVOVPVREINVMVNVJVKVLVI $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Elementary real and complex functions
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The "shift" operation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c shift $.  $( Symbol for function shifter. $)

  $( Extend class notation with function shifter. $)
  cshi $a class shift $.

  ${
    $d x y z f $.
    $( Define a function shifter.  This operation offsets the value argument of
       a function (ordinarily on a subset of ` CC ` ) and produces a new
       function on ` CC ` .  See ~ shftval for its value.  (Contributed by NM,
       20-Jul-2005.) $)
    df-shft $a |- shift = ( f e. _V , x e. CC |->
                  { <. y , z >. | ( y e. CC /\ ( y - x ) f z ) } ) $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Two ways to write a shifted set ` ( B + A ) ` .  (Contributed by Mario
       Carneiro, 3-Nov-2013.) $)
    shftlem $p |- ( ( A e. CC /\ B C_ CC ) ->
          { x e. CC | ( x - A ) e. B } = { x | E. y e. B x = ( y + A ) } ) $=
      ( cc wcel wss wa cv cmin co crab cab caddc wceq wrex ancoms oveq1 sylan
      wi df-rab npcan eqcomd expcom syl expimpd adantr ssel2 addcl pncan simplr
      rspceeqv eqeltrd anassrs eleq1 eleq1d anbi12d syl5ibrcom rexlimdva impbid
      jca abbidv eqtrid ) CEFZDEGZHZAIZCJKZDFZAELVGEFZVIHZAMVGBIZCNKZOZBDPZAMVI
      AEUAVFVKVOAVFVKVOVDVKVOTVEVDVJVIVOVDVJHZVGVHCNKZOZVIVOTVPVQVGVJVDVQVGOVGC
      UBQUCVIVRVOBVHDVMVQVGVLVHCNRULUDUEUFUGVFVNVKBDVFVLDFZHVKVNVMEFZVMCJKZDFZH
      ZVDVEVSWCVEVSHZVDWCWDVDHZVTWBWDVLEFZVDVTDEVLUHZVLCUISWEWAVLDWDWFVDWAVLOWG
      VLCUJSVEVSVDUKUMVAQUNVNVJVTVIWBVGVMEUOVNVHWADVGVMCJRUPUQURUSUTVBVC $.

    $( A shift of the upper integers.  (Contributed by Mario Carneiro,
       5-Nov-2013.) $)
    shftuz $p |- ( ( A e. ZZ /\ B e. ZZ ) ->
          { x e. CC | ( x - A ) e. ( ZZ>= ` B ) } = ( ZZ>= ` ( B + A ) ) ) $=
      ( cz wcel wa cv cmin co cuz cfv cc crab cab caddc df-rab w3a simp2 ancoms
      wi zcn 3ad2ant1 npcand eluzadd 3adant2 eqeltrrd 3expib adantr a1i eluzsub
      eluzelcn 3expia jcad impbid abbi1dv eqtrid ) BDEZCDEZFZAGZBHIZCJKEZALMUTL
      EZVBFZANCBOIZJKZVBALPUSVDAVFUSVDUTVFEZUQVDVGTURUQVCVBVGUQVCVBQZVABOIZUTVF
      VHUTBUQVCVBRUQVCBLEVBBUAUBUCUQVBVIVFEZVCVBUQVJBCVAUDSUEUFUGUHUSVGVCVBVGVC
      TUSVEUTUKUIURUQVGVBTURUQVGVBBCUTUJULSUMUNUOUP $.
  $}

  ${
    $d w x y z A $.  $d w x y z F $.  $d w x y z B $.
    shftfval.1 $e |- F e. _V $.
    $( The value of the sequence shifter operation is a function on ` CC ` .
       ` A ` is ordinarily an integer.  (Contributed by NM, 20-Jul-2005.)
       (Revised by Mario Carneiro, 3-Nov-2013.) $)
    shftfval $p |- ( A e. CC -> ( F shift A ) =
                    { <. x , y >. | ( x e. CC /\ ( x - A ) F y ) } ) $=
      ( vz vw cc wcel cv cmin co wbr wa copab cvv cshi wceq caddc wrex cdm ovex
      cab crn cxp wss breldm npcan eqcomd ancoms oveq1 rspceeqv syl2anr rexbidv
      vex eqeq1 elab sylibr brelrn adantl jca ssopab2dv df-xp sseqtrrdi abrexex
      expl dmex rnex xpex ssexg sylancl breq anbi2d oveq2 breq1d df-shft ovmpog
      opabbidv mp3an1 mpdan ) CHIZAJZHIZWBCKLZBJZDMZNZABOZPIZDCQLWHRZWAWHFJZGJZ
      CSLZRZGDUAZTZFUCZDUDZUEZUFWSPIWIWAWHWBWQIZWEWRIZNZABOWSWAWGXBABWAWCWFXBWA
      WCNZWFNZWTXAXDWBWMRZGWOTZWTWFWDWOIWBWDCSLZRZXFXCWDWEDWBCKUBZBUOZUGWCWAXHW
      CWANXGWBWBCUHUIUJGWDWOWMXGWBWLWDCSUKULUMWPXFFWBAUOWKWBRWNXEGWOWKWBWMUPUNU
      QURWFXAXCWDWEDXIXJUSUTVAVFVBABWQWRVCVDWQWRGFWOWMDEVGVEDEVHVIWHWSPVJVKDPIW
      AWIWJEFGDCPHWCWBWLKLZWEWKMZNZABOWHQWCXKWEDMZNZABOPWKDRZXMXOABXPXLXNWCXKWE
      WKDVLVMVRWLCRZXOWGABXQXNWFWCXQXKWDWEDWLCWBKVNVOVMVRGABFVPVQVSVT $.

    $( Domain of a relation shifted by ` A ` .  The set on the right is more
       commonly notated as ` ( dom F + A ) ` (meaning add ` A ` to every
       element of ` dom F ` ).  (Contributed by Mario Carneiro, 3-Nov-2013.) $)
    shftdm $p |- ( A e. CC -> dom ( F shift A ) =
                  { x e. CC | ( x - A ) e. dom F } ) $=
      ( vy cc wcel cshi co cdm cv cmin wbr wa copab crab shftfval dmeqd wex cab
      19.42v ovex eldm anbi2i bitr4i abbii dmopab df-rab 3eqtr4i eqtrdi ) BFGZC
      BHIZJAKZFGZUMBLIZEKCMZNZAEOZJZUOCJGZAFPZUKULURAEBCDQRUQESZATUNUTNZATUSVAV
      BVCAVBUNUPESZNVCUNUPEUAUTVDUNEUOCUMBLUBUCUDUEUFUQAEUGUTAFUHUIUJ $.

    $( Value of a fiber of the relation ` F ` .  (Contributed by Mario
       Carneiro, 4-Nov-2013.) $)
    shftfib $p |- ( ( A e. CC /\ B e. CC ) ->
                    ( ( F shift A ) " { B } ) = ( F " { ( B - A ) } ) ) $=
      ( vz vx vy cc wcel wa cv co wbr cab cmin csn cima wb cvv wceq copab breqd
      cshi shftfval eleq1 oveq1 breq1d anbi12d breq2 anbi2d eqid brabg sylan9bb
      elvd ibar adantl bitr4d abbidv imasng ovex mp1i 3eqtr4d ) AHIZBHIZJZBEKZC
      AUCLZMZENZBAOLZVFCMZENZVGBPQZCVJPQZVEVHVKEVEVHVDVKJZVKVCVHBVFFKZHIZVPAOLZ
      GKZCMZJZFGUAZMZVDVOVCVGWBBVFFGACDUDUBVDWCVOREWAVDVJVSCMZJVOFGBVFHSWBVPBTZ
      VQVDVTWDVPBHUEWEVRVJVSCVPBAOUFUGUHVSVFTWDVKVDVSVFVJCUIUJWBUKULUNUMVDVKVOR
      VCVDVKUOUPUQURVDVMVITVCEBHVGUSUPVJSIVNVLTVEBAOUTEVJSCUSVAVB $.

    $( Functionality and domain of a sequence shifted by ` A ` .  (Contributed
       by NM, 20-Jul-2005.)  (Revised by Mario Carneiro, 3-Nov-2013.) $)
    shftfn $p |- ( ( F Fn B /\ A e. CC ) ->
                  ( F shift A ) Fn { x e. CC | ( x - A ) e. B } ) $=
      ( vy vz vw wfn cc wcel wa co wfun cdm cv cmin crab wceq wbr cshi wrel wmo
      copab wal relopabv a1i fnfun adantr funmo vex eleq1w oveq1 breq1d anbi12d
      breq2 anbi2d eqid brab simprbi moimi syl alrimiv dffun6 sylanbrc shftfval
      adantl funeqd mpbird shftdm fndm eleq2d rabbidv sylan9eqr df-fn ) DCIZBJK
      ZLZDBUAMZNZVSOZAPZBQMZCKZAJRZSVSWEIVRVTWBJKZWCFPZDTZLZAFUDZNZVRWJUBZGPZHP
      ZWJTZHUCZGUEZWKWLVRWIAFUFUGVRDNZWQVPWRVQCDUHUIWRWPGWRWMBQMZWNDTZHUCWPHWSD
      UJWOWTHWOWMJKZWTWIXAWSWGDTZLXAWTLAFWMWNWJGUKHUKWBWMSZWFXAWHXBAGJULXCWCWSW
      GDWBWMBQUMUNUOWGWNSXBWTXAWGWNWSDUPUQWJURUSUTVAVBVCVBGHWJVDVEVRVSWJVQVSWJS
      VPAFBDEVFVGVHVIVQVPWAWCDOZKZAJRWEABDEVJVPXEWDAJVPXDCWCCDVKVLVMVNVSWEVOVE
      $.

    $( Value of a sequence shifted by ` A ` .  (Contributed by NM,
       20-Jul-2005.)  (Revised by Mario Carneiro, 4-Nov-2013.) $)
    shftval $p |- ( ( A e. CC /\ B e. CC ) ->
                    ( ( F shift A ) ` B ) = ( F ` ( B - A ) ) ) $=
      ( vx cc wcel wa cv cshi co csn cima cio cfv shftfib eleq2d iotabidv dffv3
      cmin 3eqtr4g ) AFGBFGHZEIZCAJKZBLMZGZENUCCBATKZLMZGZENBUDOUGCOUBUFUIEUBUE
      UHUCABCDPQREBUDSEUGCSUA $.

    $( Value of a sequence shifted by ` A - B ` .  (Contributed by NM,
       20-Jul-2005.)  (Revised by Mario Carneiro, 5-Nov-2013.) $)
    shftval2 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( F shift ( A - B ) ) ` ( A + C ) ) = ( F ` ( B + C ) ) ) $=
      ( cc wcel w3a caddc co cmin cshi cfv wceq subcl 3adant3 shftval 3imp3i2an
      addcl pnncan 3com23 addcom 3adant1 eqtr4d fveq2d eqtrd ) AFGZBFGZCFGZHZAC
      IJZDABKJZLJMZUKULKJZDMZBCIJZDMUGUHUIULFGZUKFGUMUONUGUHUQUIABOPACSULUKDEQR
      UJUNUPDUJUNCBIJZUPUGUIUHUNURNACBTUAUHUIUPURNUGBCUBUCUDUEUF $.

    $( Value of a sequence shifted by ` A - B ` .  (Contributed by NM,
       20-Jul-2005.) $)
    shftval3 $p |- ( ( A e. CC /\ B e. CC ) ->
                    ( ( F shift ( A - B ) ) ` A ) = ( F ` B ) ) $=
      ( cc wcel wa cc0 caddc co cmin cshi cfv 0cn shftval2 mp3an3 addid1 adantr
      wceq fveq2d adantl 3eqtr3d ) AEFZBEFZGZAHIJZCABKJLJZMZBHIJZCMZAUGMBCMUCUD
      HEFUHUJSNABHCDOPUEUFAUGUCUFASUDAQRTUEUIBCUDUIBSUCBQUATUB $.

    $( Value of a sequence shifted by ` -u A ` .  (Contributed by NM,
       18-Aug-2005.)  (Revised by Mario Carneiro, 5-Nov-2013.) $)
    shftval4 $p |- ( ( A e. CC /\ B e. CC ) ->
                ( ( F shift -u A ) ` B ) = ( F ` ( A + B ) ) ) $=
      ( cc wcel wa cneg cshi co cfv cmin caddc wceq negcl shftval subneg ancoms
      sylan addcom eqtr4d fveq2d eqtrd ) AEFZBEFZGZBCAHZIJKZBUGLJZCKZABMJZCKUDU
      GEFUEUHUJNAOUGBCDPSUFUIUKCUFUIBAMJZUKUEUDUIULNBAQRABTUAUBUC $.

    $( Value of a shifted sequence.  (Contributed by NM, 19-Aug-2005.)
       (Revised by Mario Carneiro, 5-Nov-2013.) $)
    shftval5 $p |- ( ( A e. CC /\ B e. CC ) ->
                ( ( F shift A ) ` ( B + A ) ) = ( F ` B ) ) $=
      ( cc wcel caddc co cshi cfv wceq wa cmin simpr addcl shftval pncan fveq2d
      syl2anc eqtrd ancoms ) BEFZAEFZBAGHZCAIHJZBCJZKUBUCLZUEUDAMHZCJZUFUGUCUDE
      FUEUIKUBUCNBAOAUDCDPSUGUHBCBAQRTUA $.

    $d y C $.
    $( Functionality of a shifted sequence.  (Contributed by NM, 19-Aug-2005.)
       (Revised by Mario Carneiro, 5-Nov-2013.) $)
    shftf $p |- ( ( F : B --> C /\ A e. CC ) ->
          ( F shift A ) : { x e. CC | ( x - A ) e. B } --> C ) $=
      ( vy wf cc wcel wa co cv cmin wfn cfv wceq simpr simpl syl2an cshi shftfn
      crab wral ffn sylan oveq1 elrab shftval ffvelrn eqeltrd sylan2b ralrimiva
      eleq1d ffnfv sylanbrc ) CDEHZBIJZKZEBUALZAMZBNLZCJZAIUCZOZGMZUTPZDJZGVDUD
      VDDUTHUQECOURVECDEUEABCEFUBUFUSVHGVDVFVDJUSVFIJZVFBNLZCJZKZVHVCVKAVFIVAVF
      QVBVJCVAVFBNUGUNUHUSVLKVGVJEPZDUSURVIVGVMQVLUQURRVIVKSBVFEFUITUSUQVKVMDJV
      LUQURSVIVKRCDVJEUJTUKULUMGVDDUTUOUP $.

    $( Composite shift operations.  (Contributed by NM, 19-Aug-2005.)  (Revised
       by Mario Carneiro, 5-Nov-2013.) $)
    2shfti $p |- ( ( A e. CC /\ B e. CC ) -> ( ( F shift A ) shift B ) =
                ( F shift ( A + B ) ) ) $=
      ( vx vy vz vw cc wcel wa cv cmin co cshi wbr copab wb shftfval wceq caddc
      breqd ovex vex eleq1 oveq1 breq1d anbi12d breq2 anbi2d eqid brab ad2antrr
      bitrdi subcl biantrurd ancoms adantll sub32 subsub4 eqtr3d 3expb pm5.32da
      w3a 3bitr2d opabbidv adantl addcl syl 3eqtr4d ) AIJZBIJZKZELZIJZVNBMNZFLZ
      CAONZPZKZEFQZVOVNABUANZMNZVQCPZKZEFQZVRBONZCWBONZVMVTWEEFVMVOVSWDVMVOKZVS
      VPIJZVPAMNZVQCPZKZWLWDVKVSWMRVLVOVKVSVPVQGLZIJZWNAMNZHLZCPZKZGHQZPWMVKVRW
      TVPVQGHACDSUBWSWJWKWQCPZKWMGHVPVQWTVNBMUCFUDWNVPTZWOWJWRXAWNVPIUEXBWPWKWQ
      CWNVPAMUFUGUHWQVQTXAWLWJWQVQWKCUIUJWTUKULUNUMVLVOWLWMRZVKVOVLXCVOVLKWJWLV
      NBUOUPUQURWIWKWCVQCVOVMWKWCTZVOVKVLXDVOVKVLVDVNAMNBMNWKWCVNABUSVNABUTVAVB
      UQUGVEVCVFVLWGWATVKEFBVRCAOUCSVGVMWBIJWHWFTABVHEFWBCDSVIVJ $.

    $( Identity law for the shift operation.  (Contributed by Mario Carneiro,
       5-Nov-2013.) $)
    shftidt2 $p |- ( F shift 0 ) = ( F |` CC ) $=
      ( vx vy cv cc wcel cc0 cmin co wbr copab cshi cres subid1 pm5.32i opabbii
      wa breq1d wceq 0cn shftfval ax-mp dfres2 3eqtr4i ) CEZFGZUFHIJZDEZAKZRZCD
      LZUGUFUIAKZRZCDLAHMJZAFNUKUNCDUGUJUMUGUHUFUIAUFOSPQHFGUOULTUACDHABUBUCCDF
      AUDUE $.

    $( Identity law for the shift operation.  (Contributed by NM, 19-Aug-2005.)
       (Revised by Mario Carneiro, 5-Nov-2013.) $)
    shftidt $p |- ( A e. CC -> ( ( F shift 0 ) ` A ) = ( F ` A ) ) $=
      ( cc wcel cc0 cshi co cfv cres shftidt2 fveq1i fvres eqtrid ) ADEABFGHZIA
      BDJZIABIAOPBCKLADBMN $.

    $( Cancellation law for the shift operation.  (Contributed by NM,
       4-Aug-2005.)  (Revised by Mario Carneiro, 5-Nov-2013.) $)
    shftcan1 $p |- ( ( A e. CC /\ B e. CC ) ->
                    ( ( ( F shift A ) shift -u A ) ` B ) = ( F ` B ) ) $=
      ( cc wcel cshi co cneg cfv cc0 caddc wceq negcl 2shfti mpdan negid oveq2d
      eqtrd fveq1d shftidt sylan9eq ) AEFZBEFBCAGHAIZGHZJBCKGHZJBCJUCBUEUFUCUEC
      AUDLHZGHZUFUCUDEFUEUHMANAUDCDOPUCUGKCGAQRSTBCDUAUB $.

    $( Cancellation law for the shift operation.  (Contributed by NM,
       4-Aug-2005.)  (Revised by Mario Carneiro, 5-Nov-2013.) $)
    shftcan2 $p |- ( ( A e. CC /\ B e. CC ) ->
                    ( ( ( F shift -u A ) shift A ) ` B ) = ( F ` B ) ) $=
      ( cc wcel wa cneg cshi co wceq negneg adantr oveq2d fveq1d negcl shftcan1
      cfv sylan eqtr3d ) AEFZBEFZGZBCAHZIJZUDHZIJZRZBUEAIJZRBCRZUCBUGUIUCUFAUEI
      UAUFAKUBALMNOUAUDEFUBUHUJKAPUDBCDQST $.
  $}

  ${
    $d F x y z $.  $d M x y z $.  $d N x y z $.  $d .+ x y z $.
    seqshft.1 $e |- F e. _V $.
    $( Shifting the index set of a sequence.  (Contributed by NM, 17-Mar-2005.)
       (Revised by Mario Carneiro, 27-Feb-2014.) $)
    seqshft $p |- ( ( M e. ZZ /\ N e. ZZ ) -> seq M ( .+ , ( F shift N ) ) =
        ( seq ( M - N ) ( .+ , F ) shift N ) ) $=
      ( vx cz wcel wa cuz cfv co cseq cmin wfn cv cc caddc wceq syl2an vz seqfn
      vy cshi adantr crab zsubcl syl zcn adantl seqex shftfn simpr shftuz npcan
      syl2anc fveq2d eqtrd fneq2d mpbid negsub seqeq1d eluzelcn syl2anr fveq12d
      cneg znegcl ad2antlr elfzelz zcnd shftval ancoms eqtr4d ad4ant24 seqshft2
      cfz 3eqtr4d eqfnfvd ) CGHZDGHZIZUACJKZABDUDLZCMZABCDNLZMZDUDLZVSWDWBOVTAW
      CCUBUEWAWGFPDNLWEJKZHFQUFZOZWGWBOWAWFWHOZDQHZWJWAWEGHZWKCDUGZABWEUBUHVTWL
      VSDUIZUJZFDWHWFABWEUKZULUPWAWIWBWGWAWIWEDRLZJKZWBWAVTWMWIWSSVSVTUMWNFDWEU
      NUPWAWRCJVSCQHZWLWRCSVTCUIZWOCDUOTUQURUSUTWAUAPZWBHZIZXBDVFZRLZABCXERLZMZ
      KXBDNLZWFKZXBWDKXBWGKZXDXFXIXHWFXDXGWEABWAXGWESZXCVSWTWLXLVTXAWOCDVATUEVB
      XCXBQHZWLXFXISWACXBVCZWPXBDVAVDVEXDAUCWCBXECXBWAXCUMVTXEGHVSXCDVGVHVTUCPZ
      CXBVPLHZXOWCKZXOXERLZBKZSZVSXCVTWLXOQHZXTXPWOXPXOXOCXBVIVJWLYAIZXQXODNLZB
      KXSDXOBEVKYBXRYCBYAWLXRYCSXODVAVLUQVMTVNVOWAWLXMXKXJSXCWPXNDXBWFWQVKTVQVR
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Signum (sgn or sign) function
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c sgn $. $( Signum function, often written "sgn" or "sign". $)

  $( Extend class notation to include the Signum function. $)
  csgn $a class sgn $.

  $( Signum function.  We do not call it "sign", which is homophonic with
     "sine" ( ~ df-sin ).  Defined as "sgn" in ISO 80000-2:2009(E) operation
     2-9.13.  It is named "sign" (with the same definition) in the "NIST
     Digital Library of Mathematical Functions" , front introduction, "Common
     Notations and Definitions" section at
     ~ http://dlmf.nist.gov/front/introduction#Sx4 .  We define this over
     ` RR* ` ( ~ df-xr ) instead of ` RR ` so that it can accept ` +oo ` and
     ` -oo ` .  Note that ~ df-psgn defines the sign of a permutation, which is
     different.  Value shown in ~ sgnval .  (Contributed by David A. Wheeler,
     15-May-2015.) $)
  df-sgn $a |- sgn = ( x e. RR* |-> if ( x = 0 , 0 ,
                                         if ( x < 0 , -u 1 , 1 ) ) ) $.

  ${
    $d x A $.
    $( Value of the signum function.  (Contributed by David A. Wheeler,
       15-May-2015.) $)
    sgnval $p |- ( A e. RR* -> ( sgn ` A ) =
                             if ( A = 0 , 0 , if ( A < 0 , -u 1 , 1 ) ) ) $=
      ( vx cv cc0 wceq clt wbr c1 cneg cif cxr csgn eqeq1 breq1 ifbieq2d df-sgn
      ifbid c0ex negex ifex 1ex fvmpt ) BABCZDEZDUCDFGZHIZHJZJADEZDADFGZUFHJZJK
      LUCAEZUDUHUGUJDUCADMUKUEUIUFHUCADFNQOBPUHDUJRUIUFHHSUATTUB $.
  $}

  $( The signum of 0 is 0.  (Contributed by David A. Wheeler, 15-May-2015.) $)
  sgn0 $p |- ( sgn ` 0 ) = 0 $=
    ( cc0 csgn cfv wceq clt wbr cneg cif cxr wcel 0xr sgnval ax-mp eqid iftruei
    c1 eqtri ) ABCZAADZAAAEFPGPHZHZAAIJRUADKALMSATANOQ $.

  $( The signum of a positive extended real is 1.  (Contributed by David A.
     Wheeler, 15-May-2015.) $)
  sgnp $p |- ( ( A e. RR* /\ 0 < A ) -> ( sgn ` A ) = 1 ) $=
    ( cxr wcel cc0 clt wbr wa csgn cfv wceq c1 cif sgnval adantr wne 0xr xrltne
    cneg mp3an1 iffalsed neneqd wn wi xrltnsym mpan imp 3eqtrd ) ABCZDAEFZGZAHI
    ZADJZDADEFZKRZKLZLZUOKUHUKUPJUIAMNUJULDUOUJADDBCZUHUIADOPDAQSUATUJUMUNKUHUI
    UMUBZUQUHUIURUCPDAUDUEUFTUG $.

  $( The signum of a positive real is 1.  (Contributed by David A. Wheeler,
     18-May-2015.) $)
  sgnrrp $p |- ( A e. RR+ -> ( sgn ` A ) = 1 ) $=
    ( crp wcel cxr cc0 clt wbr csgn cfv c1 wceq rpxr rpgt0 sgnp syl2anc ) ABCAD
    CEAFGAHIJKALAMANO $.

  $( The signum of 1 is 1.  (Contributed by David A. Wheeler, 26-Jun-2016.) $)
  sgn1 $p |- ( sgn ` 1 ) = 1 $=
    ( c1 cxr wcel cc0 clt wbr csgn cfv wceq 1xr 0lt1 sgnp mp2an ) ABCDAEFAGHAIJ
    KALM $.

  $( The signum of ` +oo ` is 1.  (Contributed by David A. Wheeler,
     26-Jun-2016.) $)
  sgnpnf $p |- ( sgn ` +oo ) = 1 $=
    ( cpnf cxr wcel cc0 clt wbr csgn cfv c1 wceq pnfxr 0ltpnf sgnp mp2an ) ABCD
    AEFAGHIJKLAMN $.

  $( The signum of a negative extended real is -1.  (Contributed by David A.
     Wheeler, 15-May-2015.) $)
  sgnn $p |- ( ( A e. RR* /\ A < 0 ) -> ( sgn ` A ) = -u 1 ) $=
    ( cxr wcel cc0 clt wbr wa csgn cfv wceq c1 cneg cif sgnval adantr wn xrltne
    wne 0xr mp3an2 nesym sylib iffalsed iftrue adantl 3eqtrd ) ABCZADEFZGZAHIZA
    DJZDUHKLZKMZMZUMULUGUJUNJUHANOUIUKDUMUIDARZUKPUGDBCUHUOSADQTDAUAUBUCUHUMULJ
    UGUHULKUDUEUF $.

  $( The signum of ` -oo ` is -1.  (Contributed by David A. Wheeler,
     26-Jun-2016.) $)
  sgnmnf $p |- ( sgn ` -oo ) = -u 1 $=
    ( cmnf cxr wcel cc0 clt wbr csgn cfv c1 cneg wceq mnfxr mnflt0 sgnn mp2an )
    ABCADEFAGHIJKLMANO $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Real and imaginary parts; conjugate
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Re $. $( Real part of a complex number. $)
  $c Im $. $( Imaginary part of a complex number. $)
  $c * $. $( Complex conjugate function. $)

  $( Extend class notation to include complex conjugate function. $)
  ccj $a class * $.

  $( Extend class notation to include real part of a complex number. $)
  cre $a class Re $.

  $( Extend class notation to include imaginary part of a complex number. $)
  cim $a class Im $.

  ${
    $d x y $.
    $( Define the complex conjugate function.  See ~ cjcli for its closure and
       ~ cjval for its value.  (Contributed by NM, 9-May-1999.)  (Revised by
       Mario Carneiro, 6-Nov-2013.) $)
    df-cj $a |- * = ( x e. CC |-> ( iota_ y e. CC
                 ( ( x + y ) e. RR /\ ( _i x. ( x - y ) ) e. RR ) ) ) $.

    $( Define a function whose value is the real part of a complex number.  See
       ~ reval for its value, ~ recli for its closure, and ~ replim for its use
       in decomposing a complex number.  (Contributed by NM, 9-May-1999.) $)
    df-re $a |- Re = ( x e. CC |-> ( ( x + ( * ` x ) ) / 2 ) ) $.

    $( Define a function whose value is the imaginary part of a complex number.
       See ~ imval for its value, ~ imcli for its closure, and ~ replim for its
       use in decomposing a complex number.  (Contributed by NM,
       9-May-1999.) $)
    df-im $a |- Im = ( x e. CC |-> ( Re ` ( x / _i ) ) ) $.
  $}

  ${
    $d x y A $.
    $( The value of the conjugate of a complex number.  (Contributed by Mario
       Carneiro, 6-Nov-2013.) $)
    cjval $p |- ( A e. CC -> ( * ` A ) = ( iota_ x e. CC
          ( ( A + x ) e. RR /\ ( _i x. ( A - x ) ) e. RR ) ) ) $=
      ( vy cv caddc co cr wcel ci cmin cmul wa cc crio wceq oveq1 eleq1d oveq2d
      ccj anbi12d riotabidv df-cj riotaex fvmpt ) CBCDZADZEFZGHZIUEUFJFZKFZGHZL
      ZAMNBUFEFZGHZIBUFJFZKFZGHZLZAMNMSUEBOZULURAMUSUHUNUKUQUSUGUMGUEBUFEPQUSUJ
      UPGUSUIUOIKUEBUFJPRQTUACAUBURAMUCUD $.

    $( The defining property of the complex conjugate.  (Contributed by Mario
       Carneiro, 6-Nov-2013.) $)
    cjth $p |- ( A e. CC ->
          ( ( A + ( * ` A ) ) e. RR /\ ( _i x. ( A - ( * ` A ) ) ) e. RR ) ) $=
      ( vx cc wcel cv caddc co cr ci cmin cmul ccj cfv wsbc crio wreu cju oveq2
      wa eleq1d riotasbc syl cjval sbceq1d mpbird fvex wceq anbi12d sbcie sylib
      oveq2d ) ACDZABEZFGZHDZIAUMJGZKGZHDZSZBALMZNZAUTFGZHDZIAUTJGZKGZHDZSZULVA
      USBUSBCOZNZULUSBCPVIBAQUSBCUAUBULUSBUTVHBAUCUDUEUSVGBUTALUFUMUTUGZUOVCURV
      FVJUNVBHUMUTAFRTVJUQVEHVJUPVDIKUMUTAJRUKTUHUIUJ $.

    $( Domain and codomain of the conjugate function.  (Contributed by Mario
       Carneiro, 6-Nov-2013.) $)
    cjf $p |- * : CC --> CC $=
      ( vx vy cc cv caddc co cr wcel ci cmin cmul wa crio ccj df-cj cju riotacl
      wreu syl fmpti ) ACCADZBDZEFGHIUAUBJFKFGHLZBCMZNABOUACHUCBCRUDCHBUAPUCBCQ
      ST $.

    $( The conjugate of a complex number is a complex number (closure law).
       (Contributed by NM, 10-May-1999.)  (Revised by Mario Carneiro,
       6-Nov-2013.) $)
    cjcl $p |- ( A e. CC -> ( * ` A ) e. CC ) $=
      ( cc ccj cjf ffvelrni ) BBACDE $.

    $( The value of the real part of a complex number.  (Contributed by NM,
       9-May-1999.)  (Revised by Mario Carneiro, 6-Nov-2013.) $)
    reval $p |- ( A e. CC -> ( Re ` A ) = ( ( A + ( * ` A ) ) / 2 ) ) $=
      ( vx cv ccj cfv caddc co c2 cdiv cre wceq fveq2 oveq12 mpdan oveq1d df-re
      cc ovex fvmpt ) BABCZTDEZFGZHIGAADEZFGZHIGQJTAKZUBUDHIUEUAUCKUBUDKTADLTAU
      AUCFMNOBPUDHIRS $.

    $( The value of the imaginary part of a complex number.  (Contributed by
       NM, 9-May-1999.)  (Revised by Mario Carneiro, 6-Nov-2013.) $)
    imval $p |- ( A e. CC -> ( Im ` A ) = ( Re ` ( A / _i ) ) ) $=
      ( vx cv ci cdiv co cre cfv cc cim fvoveq1 df-im fvex fvmpt ) BABCZDEFGHAD
      EFZGHIJOADGEKBLPGMN $.

    $( The imaginary part of a complex number in terms of the real part
       function.  (Contributed by NM, 12-May-2005.)  (Revised by Mario
       Carneiro, 6-Nov-2013.) $)
    imre $p |- ( A e. CC -> ( Im ` A ) = ( Re ` ( -u _i x. A ) ) ) $=
      ( cc wcel cim cfv ci cdiv co cre cneg cmul imval cc0 wne wceq ax-icn ine0
      c1 divrec2 mp3an23 irec oveq1i eqtrdi fveq2d eqtrd ) ABCZADEAFGHZIEFJZAKH
      ZIEALUFUGUIIUFUGRFGHZAKHZUIUFFBCFMNUGUKOPQAFSTUJUHAKUAUBUCUDUE $.

    $( The real part of a complex number in terms of the imaginary part
       function.  (Contributed by Mario Carneiro, 31-Mar-2015.) $)
    reim $p |- ( A e. CC -> ( Re ` A ) = ( Im ` ( _i x. A ) ) ) $=
      ( cc wcel ci cmul co cim cfv cdiv cre wceq ax-icn mulcl imval syl cc0 wne
      mpan ine0 divcan3 mp3an23 fveq2d eqtr2d ) ABCZDAEFZGHZUEDIFZJHZAJHUDUEBCZ
      UFUHKDBCZUDUILDAMRUENOUDUGAJUDUJDPQUGAKLSADTUAUBUC $.

    $( The real part of a complex number is real.  (Contributed by NM,
       9-May-1999.)  (Revised by Mario Carneiro, 6-Nov-2013.) $)
    recl $p |- ( A e. CC -> ( Re ` A ) e. RR ) $=
      ( cc wcel cre cfv caddc co c2 cdiv cr reval ci cmin cmul simpld rehalfcld
      ccj cjth eqeltrd ) ABCZADEAAQEZFGZHIGJAKTUBTUBJCLAUAMGNGJCAROPS $.

    $( The imaginary part of a complex number is real.  (Contributed by NM,
       9-May-1999.)  (Revised by Mario Carneiro, 6-Nov-2013.) $)
    imcl $p |- ( A e. CC -> ( Im ` A ) e. RR ) $=
      ( cc wcel cim cfv ci cneg cmul co cre imre negicn mulcl mpan recl eqeltrd
      cr syl ) ABCZADEFGZAHIZJEZQAKSUABCZUBQCTBCSUCLTAMNUAORP $.

    $( Domain and codomain of the real part function.  (Contributed by Paul
       Chapman, 22-Oct-2007.)  (Revised by Mario Carneiro, 6-Nov-2013.) $)
    ref $p |- Re : CC --> RR $=
      ( vx cc cr cv ccj cfv caddc co c2 cdiv cre df-re wcel reval recl eqeltrrd
      fmpti ) ABCADZREFGHIJHZKALRBMRKFSCRNROPQ $.

    $( Domain and codomain of the imaginary part function.  (Contributed by
       Paul Chapman, 22-Oct-2007.)  (Revised by Mario Carneiro, 6-Nov-2013.) $)
    imf $p |- Im : CC --> RR $=
      ( vx cc cr cv ci cdiv co cre cfv cim df-im wcel imval imcl eqeltrrd fmpti
      ) ABCADZEFGHIZJAKQBLQJIRCQMQNOP $.

    $( The real part of a complex number representation.  Definition 10-3.1 of
       [Gleason] p. 132.  (Contributed by NM, 12-May-2005.)  (Revised by Mario
       Carneiro, 7-Nov-2013.) $)
    crre $p |- ( ( A e. RR /\ B e. RR )
        -> ( Re ` ( A + ( _i x. B ) ) ) = A ) $=
      ( cr wcel ci cmul co caddc c2 cdiv cc ax-icn mulcl sylancr syl addcld a1i
      cmin oveq1d 3eqtr4d cre cfv ccj wceq recn addcl syl2an reval cjcl halfcld
      wa adantr cc0 recl eqeltrrd simpl resubcld adantl subcld pnpcand pnpcan2d
      subdid eqtr4d addsubd subsubd 2timesd oveq2d 2cn 2ne0 divsubdird divcan3d
      wne 3eqtr3d mulassd divassd oveq12d cneg ixi neg1rr eqeltri simpr remulcl
      c1 cjth simprd rehalfcld eqeltrd rimul syl2anc subeq0d eqtrd ) ACDZBCDZUK
      ZAEBFGZHGZUAUBZWPWPUCUBZHGZIJGZAWNWPKDZWQWTUDWLAKDZWOKDZXAWMAUEZWMEKDZBKD
      ZXCLBUEZEBMZNAWOUFUGZWPUHOZWNWTAWNWSWNWPWRXIWNXAWRKDXIWPUIOZPZUJWLXBWMXDU
      LZWNWTARGZCDEXNFGZCDXNUMUDWNWTAWNWQWTCXJWNXAWQCDXIWPUNOUOWLWMUPUQWNXOEEFG
      ZBFGZEWPWRRGZFGZIJGZRGZCWNEWOXRIJGZRGZFGEWOFGZEYBFGZRGXOYAWNEWOYBXEWNLQZW
      NXEXFXCLWMXFWLXGURZXHNZWNXRWNWPWRXIXKUSZUJVBWNXNYCEFWNWTIAFGZIJGZRGZIWOFG
      ZIJGZYBRGZXNYCWNWSYJRGZIJGYMXRRGZIJGYLYOWNYPYQIJWNWSAAHGZRGZWOWOHGZXRRGZY
      PYQWNWPYRRGZWRHGYTWPRGZWRHGYSUUAWNUUBUUCWRHWNUUBWOARGUUCWNAWOAXMYHXMUTWNW
      OAWOYHXMYHVAVCSWNWPWRYRXIXKWNAAXMXMPVDWNYTWPWRWNWOWOYHYHPXIXKVETWNYJYRWSR
      WNAXMVFVGWNYMYTXRRWNWOYHVFSTSWNWSYJIXLWNIKDZXBYJKDVHXMIAMNUUDWNVHQZIUMVLW
      NVIQZVJWNYMXRIWNUUDXCYMKDVHYHIWOMNYIUUEUUFVJVMWNYKAWTRWNAIXMUUEUUFVKVGWNY
      NWOYBRWNWOIYHUUEUUFVKSVMVGWNXQYDXTYERWNEEBYFYFYGVNWNEXRIYFYIUUEUUFVOVPTWN
      XQXTWNXPCDWMXQCDXPWCVQCVRVSVTWLWMWAXPBWBNWNXSWNXAXSCDZXIXAWSCDUUGWPWDWEOW
      FUQWGXNWHWIWJWK $.

    $( The real part of a complex number representation.  Definition 10-3.1 of
       [Gleason] p. 132.  (Contributed by NM, 12-May-2005.)  (Revised by Mario
       Carneiro, 7-Nov-2013.) $)
    crim $p |- ( ( A e. RR /\ B e. RR )
        -> ( Im ` ( A + ( _i x. B ) ) ) = B ) $=
      ( cr wcel wa ci cmul co caddc cfv cdiv cre cneg cc wceq recn ax-icn mulcl
      sylancr ine0 cim addcl syl2an imval syl mpan cc0 wne divdir 3expa mpanr12
      sylan2 c1 divrec2 mp3an23 irec oveq1i a1i mulneg12 3eqtrd oveqan12d negcl
      divcan3 addcom sylan 3eqtrrd fveq2d id renegcl crre syl2anr 3eqtr2d ) ACD
      ZBCDZEZAFBGHZIHZUAJZVQFKHZLJZBFAMZGHZIHZLJZBVOVQNDZVRVTOVMANDZVPNDZWEVNAP
      ZVNFNDZBNDZWGQBPZFBRZSAVPUBUCVQUDUEVOWCVSLVMWFWJWCVSOVNWHWKWFWJEVSAFKHZVP
      FKHZIHZWBBIHZWCWJWFWGVSWOOZWIWJWGQWLUFWFWGEWIFUGUHZWQQTWFWGWIWREWQAVPFUIU
      JUKULWFWJWMWBWNBIWFWMUMFKHZAGHZFMZAGHZWBWFWIWRWMWTOQTAFUNUOWTXBOWFWSXAAGU
      PUQURWIWFXBWBOQFAUSUFUTWJWIWRWNBOQTBFVCUOVAWFWBNDZWJWPWCOWFWIWANDXCQAVBFW
      ARSWBBVDVEVFUCVGVNVNWACDWDBOVMVNVHAVIBWAVJVKVL $.

    $( Reconstruct a complex number from its real and imaginary parts.
       (Contributed by NM, 10-May-1999.)  (Revised by Mario Carneiro,
       7-Nov-2013.) $)
    replim $p |- ( A e. CC -> A = ( ( Re ` A ) + ( _i x. ( Im ` A ) ) ) ) $=
      ( vx vy cc wcel cv ci cmul co caddc wceq cr wrex cre cfv cim cnre oveq12d
      oveq2d fveq2 wa crre crim eqcomd id eqeq12d syl5ibrcom rexlimivv syl ) AD
      EABFZGCFZHIZJIZKZCLMBLMAANOZGAPOZHIZJIZKZBCAQUNUSBCLLUJLEUKLEUAZUSUNUMUMN
      OZGUMPOZHIZJIZKUTVDUMUTVAUJVCULJUJUKUBUTVBUKGHUJUKUCSRUDUNAUMURVDUNUEUNUO
      VAUQVCJAUMNTUNUPVBGHAUMPTSRUFUGUHUI $.

    $( Value of the conjugate of a complex number.  The value is the real part
       minus ` _i ` times the imaginary part.  Definition 10-3.2 of [Gleason]
       p. 132.  (Contributed by NM, 10-May-1999.)  (Revised by Mario Carneiro,
       7-Nov-2013.) $)
    remim $p |- ( A e. CC ->
                      ( * ` A ) = ( ( Re ` A ) - ( _i x. ( Im ` A ) ) ) ) $=
      ( vx cc wcel caddc co cr ci cmin cmul wa wceq oveq1d recnd ax-icn sylancr
      cfv eqtrd readdcld eqeltrd ccj cv crio cre cjval replim recl imcl ppncand
      cim mulcl pnncand a1i adddid 3eqtr4d oveq2d mulass mp3an12i eqtr4d c1 ixi
      cneg neg1rr eqeltri remulcl wreu subcld cju eleq1d anbi12d riota2 syl2anc
      wb oveq2 mpbi2and ) ACDZAUAQABUBZEFZGDZHAVQIFZJFZGDZKZBCUCZAUDQZHAUJQZJFZ
      IFZBAUEVPAWHEFZGDZHAWHIFZJFZGDZWDWHLZVPWIWEWEEFZGVPWIWEWGEFZWHEFWOVPAWPWH
      EAUFZMVPWEWGWEVPWEAUGZNZVPHCDZWFCDWGCDOVPWFAUHZNZHWFUKPZWSUIRVPWEWEWRWRST
      VPWLHHJFZWFWFEFZJFZGVPWLHHXEJFZJFZXFVPWKXGHJVPWPWHIFWGWGEFWKXGVPWEWGWGWSX
      CXCULVPAWPWHIWQMVPHWFWFWTVPOUMXBXBUNUOUPWTWTVPXECDXFXHLOOVPXEVPWFWFXAXASZ
      NHHXEUQURUSVPXDGDXEGDXFGDXDUTVBGVAVCVDXIXDXEVEPTVPWHCDWCBCVFWJWMKZWNVMVPW
      EWGWSXCVGBAVHWCXJBCWHVQWHLZVSWJWBWMXKVRWIGVQWHAEVNVIXKWAWLGXKVTWKHJVQWHAI
      VNUPVIVJVKVLVOR $.
  $}

  $( The imaginary part of a real number is 0.  (Contributed by NM,
     18-Mar-2005.)  (Revised by Mario Carneiro, 7-Nov-2013.) $)
  reim0 $p |- ( A e. RR -> ( Im ` A ) = 0 ) $=
    ( cr wcel ci cc0 cmul co caddc cim cfv wceq recn it0e0 oveq2i addid1 eqtrid
    cc syl fveq2d 0re crim mpan2 eqtr3d ) ABCZADEFGZHGZIJZAIJEUDUFAIUDAQCZUFAKA
    LUHUFAEHGAUEEAHMNAOPRSUDEBCUGEKTAEUAUBUC $.

  $( A number is real iff its imaginary part is 0.  (Contributed by NM,
     26-Sep-2005.) $)
  reim0b $p |- ( A e. CC -> ( A e. RR <-> ( Im ` A ) = 0 ) ) $=
    ( cc wcel cr cim cfv cc0 wceq reim0 wa ci cmul co caddc replim adantr oveq2
    cre it0e0 eqtrdi oveq2d recl recnd addid1d sylan9eqr eqtrd eqeltrd impbid2
    ex ) ABCZADCZAEFZGHZAIUJUMUKUJUMJZAARFZDUNAUOKULLMZNMZUOUJAUQHUMAOPUMUJUQUO
    GNMUOUMUPGUONUMUPKGLMGULGKLQSTUAUJUOUJUOAUBZUCUDUEUFUJUODCUMURPUGUIUH $.

  $( A number is real iff it equals its real part.  Proposition 10-3.4(f) of
     [Gleason] p. 133.  (Contributed by NM, 20-Aug-2008.) $)
  rereb $p |- ( A e. CC -> ( A e. RR <-> ( Re ` A ) = A ) ) $=
    ( cc wcel cr cre cfv wceq wa ci cim co caddc cc0 replim adantr reim0 oveq2d
    cmul it0e0 eqtrdi adantl recl recnd addid1d 3eqtrrd simpr eqeltrrd impbida
    ) ABCZADCZAEFZAGZUIUJHZAUKIAJFZRKZLKZUKMLKZUKUIAUPGUJANOUMUOMUKLUJUOMGUIUJU
    OIMRKMUJUNMIRAPQSTUAQUIUQUKGUJUIUKUIUKAUBZUCUDOUEUIULHUKADUIULUFUIUKDCULURO
    UGUH $.

  $( A product with a nonzero real multiplier is real iff the multiplicand is
     real.  (Contributed by NM, 21-Aug-2008.) $)
  mulre $p |- ( ( A e. CC /\ B e. RR /\ B =/= 0 )
         -> ( A e. RR <-> ( B x. A ) e. RR ) ) $=
    ( cc wcel cr cre cfv wceq co wb rereb 3ad2ant1 wa recnd caddc adantl ax-icn
    cmul ci mulcl cc0 wne w3a recl simp1 recn anim1i 3adant1 mulcan syl3anc cim
    adantr imcl sylancr adddid replim oveq2d mul12 mp3an3an 3eqtr4d fveq2d crre
    remulcl sylan2 syl2anc eqtr2d eqeq1d sylan bitr4d ancoms 3adant3 3bitr2d
    syl ) ACDZBEDZBUAUBZUCZAEDZAFGZAHZBVSRIZBARIZHZWBEDZVNVOVRVTJVPAKLVQVSCDZVN
    BCDZVPMZWCVTJVNVOWEVPVNVSAUDZNZLVNVOVPUEVOVPWGVNVOWFVPBUFZUGUHVSABUIUJVNVOW
    CWDJZVPVOVNWKVOVNMZWCWBFGZWBHZWDWLWAWMWBWLWMWASBAUKGZRIZRIZOIZFGZWAWLWBWRFW
    LBVSSWORIZOIZRIWABWTRIZOIWBWRWLBVSWTVOWFVNWJULVNWEVOWIPVNWTCDZVOVNSCDZWOCDZ
    XCQVNWOAUMZNZSWOTUNPUOWLAXABRVNAXAHVOAUPPUQWLWQXBWAOXDVOWFVNXEWQXBHQWJXGSBW
    OURUSUQUTVAWLWAEDZWPEDZWSWAHVNVOVSEDXHWHBVSVCVDVNVOWOEDXIXFBWOVCVDWAWPVBVEV
    FVGWLWBCDZWDWNJVOWFVNXJWJBATVHWBKVMVIVJVKVL $.

  $( A real number equals its real part.  One direction of Proposition
     10-3.4(f) of [Gleason] p. 133.  (Contributed by Paul Chapman,
     7-Sep-2007.) $)
  rere $p |- ( A e. RR -> ( Re ` A ) = A ) $=
    ( cr wcel cre cfv wceq cc wb recn rereb syl ibi ) ABCZADEAFZMAGCMNHAIAJKL
    $.

  $( A number is real iff it equals its complex conjugate.  Proposition
     10-3.4(f) of [Gleason] p. 133.  (Contributed by NM, 2-Jul-2005.)  (Revised
     by Mario Carneiro, 14-Jul-2014.) $)
  cjreb $p |- ( A e. CC -> ( A e. RR <-> ( * ` A ) = A ) ) $=
    ( cc wcel ccj cfv wceq cre ci cneg cmul co caddc cr cmin recnd ax-icn mulcl
    cim sylancr cc0 negsubd mulneg2 oveq2d remim 3eqtr4rd replim eqeq12d negcld
    recl imcl addcand eqcom eqnegd syl5bb wne wa ine0 pm3.2i a1i mulcan syl3anc
    wb reim0b 3bitr4d 3bitrrd ) ABCZADEZAFAGEZHAREZIZJKZLKZVHHVIJKZLKZFVKVMFZAM
    CZVFVGVLAVNVFVHVMIZLKVHVMNKVLVGVFVHVMVFVHAUIOZVFHBCZVIBCZVMBCPVFVIAUJOZHVIQ
    SZUAVFVKVQVHLVFVSVTVKVQFPWAHVIUBSUCAUDUEAUFUGVFVHVKVMVRVFVSVJBCZVKBCPVFVIWA
    UHZHVJQSWBUKVFVJVIFZVITFZVOVPWEVIVJFVFWFVJVIULVFVIWAUMUNVFWCVTVSHTUOZUPZVOW
    EVBWDWAWHVFVSWGPUQURUSVJVIHUTVAAVCVDVE $.

  $( Real part of a complex conjugate.  (Contributed by Mario Carneiro,
     14-Jul-2014.) $)
  recj $p |- ( A e. CC -> ( Re ` ( * ` A ) ) = ( Re ` A ) ) $=
    ( cc wcel ccj cfv cre ci cim cneg cmul co caddc cmin recl recnd ax-icn imcl
    sylancr wceq cr mulcl negsubd mulneg2 oveq2d remim 3eqtr4rd fveq2d renegcld
    crre syl2anc eqtrd ) ABCZADEZFEAFEZGAHEZIZJKZLKZFEZUNULUMURFULUNGUOJKZIZLKU
    NUTMKURUMULUNUTULUNANZOULGBCZUOBCZUTBCPULUOAQZOZGUOUARUBULUQVAUNLULVCVDUQVA
    SPVFGUOUCRUDAUEUFUGULUNTCUPTCUSUNSVBULUOVEUHUNUPUIUJUK $.

  $( Real part of negative.  (Contributed by NM, 17-Mar-2005.)  (Revised by
     Mario Carneiro, 14-Jul-2014.) $)
  reneg $p |- ( A e. CC -> ( Re ` -u A ) = -u ( Re ` A ) ) $=
    ( cc wcel cneg cre cfv ci cim cmul co caddc recl recnd ax-icn mulcl sylancr
    imcl wceq cr renegcld negdid replim negeqd mulneg2 oveq2d fveq2d crre eqtrd
    3eqtr4d syl2anc ) ABCZADZEFAEFZDZGAHFZDZIJZKJZEFZUNUKULUREUKUMGUOIJZKJZDUNU
    TDZKJULURUKUMUTUKUMALZMUKGBCZUOBCZUTBCNUKUOAQZMZGUOOPUAUKAVAAUBUCUKUQVBUNKU
    KVDVEUQVBRNVGGUOUDPUEUIUFUKUNSCUPSCUSUNRUKUMVCTUKUOVFTUNUPUGUJUH $.

  $( Real part distributes over addition.  (Contributed by NM, 17-Mar-2005.)
     (Revised by Mario Carneiro, 14-Jul-2014.) $)
  readd $p |- ( ( A e. CC /\ B e. CC ) ->
              ( Re ` ( A + B ) ) = ( ( Re ` A ) + ( Re ` B ) ) ) $=
    ( cc wcel caddc co cre cfv ci cmul cr recl adantr recnd ax-icn imcl sylancr
    cim mulcl adantl wa add4d replim oveqan12d a1i adddid oveq2d 3eqtr4d fveq2d
    wceq readdcl syl2an crre syl2anc eqtrd ) ACDZBCDZUAZABEFZGHAGHZBGHZEFZIARHZ
    BRHZEFZJFZEFZGHZVBURUSVGGURUTIVCJFZEFZVAIVDJFZEFZEFVBVIVKEFZEFUSVGURUTVIVAV
    KURUTUPUTKDZUQALZMNURICDZVCCDVICDOURVCUPVCKDZUQAPZMNZIVCSQURVAUQVAKDZUPBLZT
    NURVPVDCDVKCDOURVDUQVDKDZUPBPZTNZIVDSQUBUPUQAVJBVLEAUCBUCUDURVFVMVBEURIVCVD
    VPUROUEVSWDUFUGUHUIURVBKDZVEKDZVHVBUJUPVNVTWEUQVOWAUTVAUKULUPVQWBWFUQVRWCVC
    VDUKULVBVEUMUNUO $.

  $( Real part distributes over subtraction.  (Contributed by NM,
     17-Mar-2005.) $)
  resub $p |- ( ( A e. CC /\ B e. CC ) ->
              ( Re ` ( A - B ) ) = ( ( Re ` A ) - ( Re ` B ) ) ) $=
    ( cc wcel wa cneg caddc cre cfv cmin negcl readd sylan2 reneg adantl negsub
    co wceq recl recnd oveq2d eqtrd fveq2d syl2an 3eqtr3d ) ACDZBCDZEZABFZGQZHI
    ZAHIZBHIZFZGQZABJQZHIULUMJQZUHUKULUIHIZGQZUOUGUFUICDUKUSRBKAUILMUHURUNULGUG
    URUNRUFBNOUAUBUHUJUPHABPUCUFULCDUMCDUOUQRUGUFULASTUGUMBSTULUMPUDUE $.

  $( Lemma for ~ remul , ~ immul , and ~ cjmul .  (Contributed by NM,
     28-Jul-1999.)  (Revised by Mario Carneiro, 14-Jul-2014.) $)
  remullem $p |- ( ( A e. CC /\ B e. CC ) ->
    ( ( Re ` ( A x. B ) ) =
        ( ( ( Re ` A ) x. ( Re ` B ) ) - ( ( Im ` A ) x. ( Im ` B ) ) ) /\
      ( Im ` ( A x. B ) ) =
        ( ( ( Re ` A ) x. ( Im ` B ) ) + ( ( Im ` A ) x. ( Re ` B ) ) ) /\
      ( * ` ( A x. B ) ) = ( ( * ` A ) x. ( * ` B ) ) ) ) $=
    ( cc wcel cmul co cre cfv cim cmin wceq caddc ci recnd ax-icn mulcl sylancr
    cr oveq12d remulcld wa ccj replim oveqan12d recl adantr imcl addcld adddird
    adantl adddid mulcld add42d cneg mul4d c1 oveq1i mulm1d eqtrid eqtrd oveq2d
    a1i negsubd addcomd mulassd mul12d 3eqtr4d 3eqtr2d 3eqtrd resubcld readdcld
    ixi fveq2d crre syl2anc crim syl subcld subdird subadd4d subdid eqtr4d 3jca
    remim ) ACDZBCDZUAZABEFZGHZAGHZBGHZEFZAIHZBIHZEFZJFZKWHIHZWJWNEFZWMWKEFZLFZ
    KWHUBHZAUBHZBUBHZEFZKWGWIWPMWTEFZLFZGHZWPWGWHXFGWGWHWJMWMEFZLFZWKMWNEFZLFZE
    FXIWKEFZXIXJEFZLFZXFWEWFAXIBXKEAUCBUCUDWGXIWKXJWGWJXHWGWJWEWJRDWFAUEUFZNZWG
    MCDZWMCDXHCDOWGWMWEWMRDWFAUGUFZNZMWMPQZUHWGWKWFWKRDWEBUEUJZNZWGXQWNCDXJCDOW
    GWNWFWNRDWEBUGUJZNZMWNPQZUKWGXNWLXHWKEFZLFZWJXJEFZXHXJEFZLFZLFWLYILFZYFYHLF
    ZLFXFWGXLYGXMYJLWGWJXHWKXPXTYBUIWGWJXHXJXPXTYEUISWGWLYIYFYHWGWLWGWJWKXOYATZ
    NZWGXHXJXTYEULZWGXHWKXTYBULZWGWJXJXPYEULZUMWGYKWPYLXELWGYKWLWOUNZLFWPWGYIYR
    WLLWGYIMMEFZWOEFZYRWGMWMMWNXQWGOVBZXSUUAYDUOWGYTUPUNZWOEFYRYSUUBWOEVLUQWGWO
    WGWOWGWMWNXRYCTZNZURUSUTVAWGWLWOYNUUDVCUTZWGMWSEFZMWREFZLFUUGUUFLFZYLXEWGUU
    FUUGWGXQWSCDUUFCDOWGWSWGWMWKXRYATZNZMWSPQWGXQWRCDUUGCDOWGWRWGWJWNXOYCTZNZMW
    RPQVDWGYFUUFYHUUGLWGMWMWKUUAXSYBVEZWGWJMWNXPUUAYDVFZSWGMWRWSUUAUULUUJUKZVGS
    VHVIZVMZWGWPRDZWTRDZXGWPKWGWLWOYMUUCVJZWGWRWSUUKUUIVKZWPWTVNVOZUTWGWQXFIHZW
    TWGWHXFIUUPVMWGUURUUSUVCWTKUUTUVAWPWTVPVOUTZWGXAWIMWQEFZJFZXDWGWHCDXAUVFKAB
    PWHWDVQWGXDWJXHJFZWKXJJFZEFWJUVHEFZXHUVHEFZJFZUVFWEWFXBUVGXCUVHEAWDBWDUDWGW
    JXHUVHXPXTWGWKXJYBYEVRVSWGWLYHJFZYFYIJFZJFYKYHYFLFZJFUVKUVFWGWLYHYFYIYNYQYP
    YOVTWGUVIUVLUVJUVMJWGWJWKXJXPYBYEWAWGXHWKXJXTYBYEWASWGWIYKUVEUVNJWGXGWPWIYK
    UVBUUQUUEVGWGXEUUHUVEUVNUUOWGWQWTMEUVDVAWGYHUUGYFUUFLUUNUUMSVGSVGVIWBWC $.

  $( Real part of a product.  (Contributed by NM, 28-Jul-1999.)  (Revised by
     Mario Carneiro, 14-Jul-2014.) $)
  remul $p |- ( ( A e. CC /\ B e. CC ) -> ( Re ` ( A x. B ) ) =
           ( ( ( Re ` A ) x. ( Re ` B ) ) - ( ( Im ` A ) x. ( Im ` B ) ) ) ) $=
    ( cc wcel wa cmul co cre cfv cim cmin wceq caddc ccj remullem simp1d ) ACDB
    CDEABFGZHIAHIZBHIZFGAJIZBJIZFGKGLQJIRUAFGTSFGMGLQNIANIBNIFGLABOP $.

  $( Real part of a product.  (Contributed by Mario Carneiro, 2-Aug-2014.) $)
  remul2 $p |- ( ( A e. RR /\ B e. CC ) ->
                 ( Re ` ( A x. B ) ) = ( A x. ( Re ` B ) ) ) $=
    ( cr wcel cc wa cmul cre cfv cim cmin cc0 wceq recn remul sylan rere oveq1d
    co recnd adantr reim0 imcl mul02d sylan9eq oveq12d recl mulcl syl2an 3eqtrd
    subid1d ) ACDZBEDZFZABGSHIZAHIZBHIZGSZAJIZBJIZGSZKSZAUQGSZLKSVCULAEDZUMUOVB
    MANZABOPUNURVCVALKUNUPAUQGULUPAMUMAQUARULUMVALUTGSLULUSLUTGAUBRUMUTUMUTBUCT
    UDUEUFUNVCULVDUQEDVCEDUMVEUMUQBUGTAUQUHUIUKUJ $.

  $( Real part of a division.  Related to ~ remul2 .  (Contributed by David A.
     Wheeler, 10-Jun-2015.) $)
  rediv $p |- ( ( A e. CC /\ B e. RR /\ B =/= 0 ) ->
              ( Re ` ( A / B ) ) = ( ( Re ` A ) / B ) ) $=
    ( cc wcel cr cc0 wne w3a c1 cdiv co cmul cre cfv wceq 3anass bitr4i rereccl
    wa ancom anim1i sylbir remul2 syl recn divrec2 fveq2d syl3an2 recl 3ad2ant1
    recnd 3ad2ant2 simp3 divrec2d 3eqtr4d ) ACDZBEDZBFGZHZIBJKZALKZMNZUTAMNZLKZ
    ABJKZMNZVCBJKUSUTEDZUPSZVBVDOUSUQURSZUPSZVHVJUPVISUSVIUPTUPUQURPQVIVGUPBRUA
    UBUTAUCUDUQUPBCDZURVFVBOBUEZUPVKURHVEVAMABUFUGUHUSVCBUPUQVCCDURUPVCAUIUKUJU
    QUPVKURVLULUPUQURUMUNUO $.

  $( Imaginary part of a complex conjugate.  (Contributed by NM, 18-Mar-2005.)
     (Revised by Mario Carneiro, 14-Jul-2014.) $)
  imcj $p |- ( A e. CC -> ( Im ` ( * ` A ) ) = -u ( Im ` A ) ) $=
    ( cc wcel ccj cfv cim cre ci cneg cmul co caddc cmin recl recnd ax-icn imcl
    sylancr wceq cr mulcl negsubd mulneg2 oveq2d remim 3eqtr4rd fveq2d renegcld
    crim syl2anc eqtrd ) ABCZADEZFEAGEZHAFEZIZJKZLKZFEZUPULUMURFULUNHUOJKZIZLKU
    NUTMKURUMULUNUTULUNANZOULHBCZUOBCZUTBCPULUOAQZOZHUOUARUBULUQVAUNLULVCVDUQVA
    SPVFHUOUCRUDAUEUFUGULUNTCUPTCUSUPSVBULUOVEUHUNUPUIUJUK $.

  $( The imaginary part of a negative number.  (Contributed by NM,
     18-Mar-2005.)  (Revised by Mario Carneiro, 14-Jul-2014.) $)
  imneg $p |- ( A e. CC -> ( Im ` -u A ) = -u ( Im ` A ) ) $=
    ( cc wcel cneg cim cfv cre ci cmul co caddc recl recnd ax-icn mulcl sylancr
    imcl wceq cr renegcld negdid replim negeqd mulneg2 oveq2d fveq2d crim eqtrd
    3eqtr4d syl2anc ) ABCZADZEFAGFZDZHAEFZDZIJZKJZEFZUPUKULUREUKUMHUOIJZKJZDUNU
    TDZKJULURUKUMUTUKUMALZMUKHBCZUOBCZUTBCNUKUOAQZMZHUOOPUAUKAVAAUBUCUKUQVBUNKU
    KVDVEUQVBRNVGHUOUDPUEUIUFUKUNSCUPSCUSUPRUKUMVCTUKUOVFTUNUPUGUJUH $.

  $( Imaginary part distributes over addition.  (Contributed by NM,
     18-Mar-2005.)  (Revised by Mario Carneiro, 14-Jul-2014.) $)
  imadd $p |- ( ( A e. CC /\ B e. CC ) ->
              ( Im ` ( A + B ) ) = ( ( Im ` A ) + ( Im ` B ) ) ) $=
    ( cc wcel caddc co cim cfv ci cmul cr recl adantr recnd ax-icn imcl sylancr
    cre mulcl adantl wa add4d replim oveqan12d a1i adddid oveq2d 3eqtr4d fveq2d
    wceq readdcl syl2an crim syl2anc eqtrd ) ACDZBCDZUAZABEFZGHARHZBRHZEFZIAGHZ
    BGHZEFZJFZEFZGHZVEURUSVGGURUTIVCJFZEFZVAIVDJFZEFZEFVBVIVKEFZEFUSVGURUTVIVAV
    KURUTUPUTKDZUQALZMNURICDZVCCDVICDOURVCUPVCKDZUQAPZMNZIVCSQURVAUQVAKDZUPBLZT
    NURVPVDCDVKCDOURVDUQVDKDZUPBPZTNZIVDSQUBUPUQAVJBVLEAUCBUCUDURVFVMVBEURIVCVD
    VPUROUEVSWDUFUGUHUIURVBKDZVEKDZVHVEUJUPVNVTWEUQVOWAUTVAUKULUPVQWBWFUQVRWCVC
    VDUKULVBVEUMUNUO $.

  $( Imaginary part distributes over subtraction.  (Contributed by NM,
     18-Mar-2005.) $)
  imsub $p |- ( ( A e. CC /\ B e. CC ) ->
              ( Im ` ( A - B ) ) = ( ( Im ` A ) - ( Im ` B ) ) ) $=
    ( cc wcel wa cneg caddc cim cfv cmin negcl imadd sylan2 imneg adantl negsub
    co wceq imcl recnd oveq2d eqtrd fveq2d syl2an 3eqtr3d ) ACDZBCDZEZABFZGQZHI
    ZAHIZBHIZFZGQZABJQZHIULUMJQZUHUKULUIHIZGQZUOUGUFUICDUKUSRBKAUILMUHURUNULGUG
    URUNRUFBNOUAUBUHUJUPHABPUCUFULCDUMCDUOUQRUGUFULASTUGUMBSTULUMPUDUE $.

  $( Imaginary part of a product.  (Contributed by NM, 28-Jul-1999.)  (Revised
     by Mario Carneiro, 14-Jul-2014.) $)
  immul $p |- ( ( A e. CC /\ B e. CC ) -> ( Im ` ( A x. B ) ) =
           ( ( ( Re ` A ) x. ( Im ` B ) ) + ( ( Im ` A ) x. ( Re ` B ) ) ) ) $=
    ( cc wcel wa cmul co cre cfv cim cmin wceq caddc ccj remullem simp2d ) ACDB
    CDEABFGZHIAHIZBHIZFGAJIZBJIZFGKGLQJIRUAFGTSFGMGLQNIANIBNIFGLABOP $.

  $( Imaginary part of a product.  (Contributed by Mario Carneiro,
     2-Aug-2014.) $)
  immul2 $p |- ( ( A e. RR /\ B e. CC ) ->
                 ( Im ` ( A x. B ) ) = ( A x. ( Im ` B ) ) ) $=
    ( cr wcel cc wa cmul co cim cfv cre caddc wceq recn immul sylan rere oveq1d
    cc0 recnd adantr reim0 recl mul02d oveq12d imcl mulcl syl2an addid1d 3eqtrd
    sylan9eq ) ACDZBEDZFZABGHIJZAKJZBIJZGHZAIJZBKJZGHZLHZAUQGHZSLHVCULAEDZUMUOV
    BMANZABOPUNURVCVASLUNUPAUQGULUPAMUMAQUARULUMVASUTGHSULUSSUTGAUBRUMUTUMUTBUC
    TUDUKUEUNVCULVDUQEDVCEDUMVEUMUQBUFTAUQUGUHUIUJ $.

  $( Imaginary part of a division.  Related to ~ immul2 .  (Contributed by
     Mario Carneiro, 20-Jun-2015.) $)
  imdiv $p |- ( ( A e. CC /\ B e. RR /\ B =/= 0 ) ->
              ( Im ` ( A / B ) ) = ( ( Im ` A ) / B ) ) $=
    ( cc wcel cr cc0 wne w3a c1 cdiv co cmul cim cfv wceq 3anass bitr4i rereccl
    wa ancom anim1i sylbir immul2 syl recn divrec2 fveq2d syl3an2 imcl 3ad2ant1
    recnd 3ad2ant2 simp3 divrec2d 3eqtr4d ) ACDZBEDZBFGZHZIBJKZALKZMNZUTAMNZLKZ
    ABJKZMNZVCBJKUSUTEDZUPSZVBVDOUSUQURSZUPSZVHVJUPVISUSVIUPTUPUQURPQVIVGUPBRUA
    UBUTAUCUDUQUPBCDZURVFVBOBUEZUPVKURHVEVAMABUFUGUHUSVCBUPUQVCCDURUPVCAUIUKUJU
    QUPVKURVLULUPUQURUMUNUO $.

  $( A real number equals its complex conjugate.  Proposition 10-3.4(f) of
     [Gleason] p. 133.  (Contributed by NM, 8-Oct-1999.) $)
  cjre $p |- ( A e. RR -> ( * ` A ) = A ) $=
    ( cc wcel cr ccj cfv wceq recn cjreb biimpd mpcom ) ABCZADCZAEFAGZAHLMNAIJK
    $.

  $( The conjugate of the conjugate is the original complex number.
     Proposition 10-3.4(e) of [Gleason] p. 133.  (Contributed by NM,
     29-Jul-1999.)  (Proof shortened by Mario Carneiro, 14-Jul-2014.) $)
  cjcj $p |- ( A e. CC -> ( * ` ( * ` A ) ) = A ) $=
    ( cc wcel ccj cfv cre ci cim cmul co caddc wceq cjcl recj eqtrd cneg negeqd
    syl imcj replim imcl recnd negnegd oveq2d oveq12d 3syl 3eqtr4d ) ABCZADEZDE
    ZFEZGUJHEZIJZKJZAFEZGAHEZIJZKJUJAUHUKUOUMUQKUHUKUIFEZUOUHUIBCZUKURLAMZUINRA
    NOUHULUPGIUHULUIHEZPZUPUHUSULVBLUTUISRUHVBUPPZPUPUHVAVCASQUHUPUHUPAUAUBUCOO
    UDUEUHUSUJBCUJUNLUTUIMUJTUFATUG $.

  $( Complex conjugate distributes over addition.  Proposition 10-3.4(a) of
     [Gleason] p. 133.  (Contributed by NM, 31-Jul-1999.)  (Revised by Mario
     Carneiro, 14-Jul-2014.) $)
  cjadd $p |- ( ( A e. CC /\ B e. CC ) ->
                   ( * ` ( A + B ) ) = ( ( * ` A ) + ( * ` B ) ) ) $=
    ( cc wcel caddc co cre cfv ci cim cmul cmin ccj ax-icn cr imcl adantr recnd
    adantl remim readd imadd oveq2d a1i adddid eqtrd oveq12d recl mulcl sylancr
    wa addsub4d wceq addcl syl oveqan12d 3eqtr4d ) ACDZBCDZUKZABEFZGHZIVAJHZKFZ
    LFZAGHZIAJHZKFZLFZBGHZIBJHZKFZLFZEFZVAMHZAMHZBMHZEFUTVEVFVJEFZVHVLEFZLFVNUT
    VBVRVDVSLABUAUTVDIVGVKEFZKFVSUTVCVTIKABUBUCUTIVGVKICDZUTNUDUTVGURVGODUSAPQR
    ZUTVKUSVKODURBPSRZUEUFUGUTVFVJVHVLUTVFURVFODUSAUHQRUTVJUSVJODURBUHSRUTWAVGC
    DVHCDNWBIVGUIUJUTWAVKCDVLCDNWCIVKUIUJULUFUTVACDVOVEUMABUNVATUOURUSVPVIVQVME
    ATBTUPUQ $.

  $( Complex conjugate distributes over multiplication.  Proposition 10-3.4(c)
     of [Gleason] p. 133.  (Contributed by NM, 29-Jul-1999.)  (Proof shortened
     by Mario Carneiro, 14-Jul-2014.) $)
  cjmul $p |- ( ( A e. CC /\ B e. CC ) ->
                   ( * ` ( A x. B ) ) = ( ( * ` A ) x. ( * ` B ) ) ) $=
    ( cc wcel wa cmul co cre cfv cim cmin wceq caddc ccj remullem simp3d ) ACDB
    CDEABFGZHIAHIZBHIZFGAJIZBJIZFGKGLQJIRUAFGTSFGMGLQNIANIBNIFGLABOP $.

  $( Standard inner product on complex numbers.  (Contributed by NM,
     29-Jul-1999.)  (Revised by Mario Carneiro, 14-Jul-2014.) $)
  ipcnval $p |- ( ( A e. CC /\ B e. CC ) -> ( Re ` ( A x. ( * ` B ) ) ) =
           ( ( ( Re ` A ) x. ( Re ` B ) ) + ( ( Im ` A ) x. ( Im ` B ) ) ) ) $=
    ( cc wcel wa cfv cmul co cre cmin cneg wceq adantl oveq2d imcl recnd syl2an
    cim recl mulcl ccj caddc cjcl remul recj imcj mulneg2 eqtrd oveq12d subnegd
    sylan2 3eqtrd ) ACDZBCDZEZABUAFZGHIFZAIFZUPIFZGHZARFZUPRFZGHZJHZURBIFZGHZVA
    BRFZGHZKZJHVFVHUBHUNUMUPCDUQVDLBUCAUPUDUKUOUTVFVCVIJUOUSVEURGUNUSVELUMBUEMN
    UOVCVAVGKZGHZVIUOVBVJVAGUNVBVJLUMBUFMNUMVACDZVGCDZVKVILUNUMVAAOPZUNVGBOPZVA
    VGUGQUHUIUOVFVHUMURCDVECDVFCDUNUMURASPUNVEBSPURVETQUMVLVMVHCDUNVNVOVAVGTQUJ
    UL $.

  $( A complex number times its conjugate is real.  (Contributed by NM,
     26-Mar-2005.)  (Revised by Mario Carneiro, 14-Jul-2014.) $)
  cjmulrcl $p |- ( A e. CC -> ( A x. ( * ` A ) ) e. RR ) $=
    ( cc wcel ccj cfv cmul co cr wceq cjcj oveq2d cjmul mpdan mulcom 3eqtr4d wb
    cjcl mulcl cjreb syl mpbird ) ABCZAADEZFGZHCZUDDEZUDIZUBUCUCDEZFGZUCAFGZUFU
    DUBUHAUCFAJKUBUCBCZUFUIIAQZAUCLMUBUKUDUJIULAUCNMOUBUDBCZUEUGPUBUKUMULAUCRMU
    DSTUA $.

  $( A complex number times its conjugate.  (Contributed by NM, 1-Feb-2007.)
     (Revised by Mario Carneiro, 14-Jul-2014.) $)
  cjmulval $p |- ( A e. CC -> ( A x. ( * ` A ) ) =
                 ( ( ( Re ` A ) ^ 2 ) + ( ( Im ` A ) ^ 2 ) ) ) $=
    ( cc wcel cre cfv c2 cexp cim caddc cmul ccj recl recnd sqvald imcl oveq12d
    co wceq ipcnval anidms cr cjmulrcl rere syl 3eqtr2rd ) ABCZADEZFGQZAHEZFGQZ
    IQUGUGJQZUIUIJQZIQZAAKEJQZDEZUNUFUHUKUJULIUFUGUFUGALMNUFUIUFUIAOMNPUFUOUMRA
    ASTUFUNUACUOUNRAUBUNUCUDUE $.

  $( A complex number times its conjugate is nonnegative.  (Contributed by NM,
     26-Mar-2005.)  (Revised by Mario Carneiro, 14-Jul-2014.) $)
  cjmulge0 $p |- ( A e. CC -> 0 <_ ( A x. ( * ` A ) ) ) $=
    ( cc wcel cc0 cre cfv c2 cexp co cim caddc ccj cmul cle recl resqcld sqge0d
    imcl addge0d cjmulval breqtrrd ) ABCZDAEFZGHIZAJFZGHIZKIAALFMINUBUDUFUBUCAO
    ZPUBUEARZPUBUCUGQUBUEUHQSATUA $.

  $( Complex conjugate of negative.  (Contributed by NM, 27-Feb-2005.)
     (Revised by Mario Carneiro, 14-Jul-2014.) $)
  cjneg $p |- ( A e. CC -> ( * ` -u A ) = -u ( * ` A ) ) $=
    ( cc wcel cneg cre cfv ci cim cmul co cmin ccj recl recnd imcl sylancr wceq
    ax-icn 3eqtr4d remim mulcl neg2subd reneg oveq2d mulneg2 oveq12d negsubdi2d
    imneg eqtrd negcl syl negeqd ) ABCZADZEFZGUNHFZIJZKJZAEFZGAHFZIJZKJZDZUNLFZ
    ALFZDUMUSDZVADZKJVAUSKJURVCUMUSVAUMUSAMNZUMGBCZUTBCZVABCRUMUTAONZGUTUAPZUBU
    MUOVFUQVGKAUCUMUQGUTDZIJZVGUMUPVMGIAUHUDUMVIVJVNVGQRVKGUTUEPUIUFUMUSVAVHVLU
    GSUMUNBCVDURQAUJUNTUKUMVEVBATULS $.

  $( A number plus its conjugate is twice its real part.  Compare Proposition
     10-3.4(h) of [Gleason] p. 133.  (Contributed by NM, 21-Jan-2007.)
     (Revised by Mario Carneiro, 14-Jul-2014.) $)
  addcj $p |- ( A e. CC -> ( A + ( * ` A ) ) = ( 2 x. ( Re ` A ) ) ) $=
    ( cc wcel c2 cre cfv cmul ccj caddc cdiv reval oveq2d wceq cjcl addcl mpdan
    co cc0 wne 2cn 2ne0 divcan2 mp3an23 syl eqtr2d ) ABCZDAEFZGQDAAHFZIQZDJQZGQ
    ZUIUFUGUJDGAKLUFUIBCZUKUIMZUFUHBCULANAUHOPULDBCDRSUMTUAUIDUBUCUDUE $.

  $( Complex conjugate distributes over subtraction.  (Contributed by NM,
     28-Apr-2005.) $)
  cjsub $p |- ( ( A e. CC /\ B e. CC ) ->
                   ( * ` ( A - B ) ) = ( ( * ` A ) - ( * ` B ) ) ) $=
    ( cc wcel wa cneg caddc ccj cfv cmin negcl cjadd sylan2 negsub fveq2d cjneg
    co wceq adantl cjcl oveq2d syl2an eqtrd 3eqtr3d ) ACDZBCDZEZABFZGQZHIZAHIZU
    HHIZGQZABJQZHIUKBHIZJQZUFUEUHCDUJUMRBKAUHLMUGUIUNHABNOUGUMUKUOFZGQZUPUGULUQ
    UKGUFULUQRUEBPSUAUEUKCDUOCDURUPRUFATBTUKUONUBUCUD $.

  ${
    $d j k A $.  $d j k N $.
    $( Complex conjugate of positive integer exponentiation.  (Contributed by
       NM, 7-Jun-2006.) $)
    cjexp $p |- ( ( A e. CC /\ N e. NN0 ) ->
               ( * ` ( A ^ N ) ) = ( ( * ` A ) ^ N ) ) $=
      ( vj vk cc wcel cv cexp co ccj cfv wceq c1 oveq2 fveq2d eqeq12d exp0 cmul
      cc0 wa caddc cjcl 1re cjre ax-mp eqtr4di syl eqtr4d cn0 expp1 expcl simpl
      cr cjmul syl2anc eqtrd adantr oveq1 sylan eqcomd sylan9eqr nn0indd ) AEFZ
      ACGZHIZJKZAJKZVDHIZLASHIZJKZVGSHIZLADGZHIZJKZVGVLHIZLZAVLMUAIZHIZJKZVGVQH
      IZLABHIZJKZVGBHIZLCDBVDSLZVFVJVHVKWDVEVIJVDSAHNOVDSVGHNPVDVLLZVFVNVHVOWEV
      EVMJVDVLAHNOVDVLVGHNPVDVQLZVFVSVHVTWFVEVRJVDVQAHNOVDVQVGHNPVDBLZVFWBVHWCW
      GVEWAJVDBAHNOVDBVGHNPVCVJMJKZVKVCVIMJAQOVCVGEFZVKWHLAUBZWIVKMWHVGQMUMFWHM
      LUCMUDUEUFUGUHVCVLUIFZTZVPTVSVNVGRIZVTWLVSWMLVPWLVSVMARIZJKZWMWLVRWNJAVLU
      JOWLVMEFVCWOWMLAVLUKVCWKULVMAUNUOUPUQVPWLWMVOVGRIZVTVNVOVGRURWLVTWPVCWIWK
      VTWPLWJVGVLUJUSUTVAUPVB $.
  $}

  $( The imaginary part of a number in terms of complex conjugate.
     (Contributed by NM, 30-Apr-2005.) $)
  imval2 $p |- ( A e. CC ->
    ( Im ` A ) = ( ( A - ( * ` A ) ) / ( 2 x. _i ) ) ) $=
    ( cc wcel cim cfv c2 ci cmul co cdiv ccj cmin wceq imcl recnd 2mulicn caddc
    syl ax-icn oveq1d cc0 wne 2muline0 divcan4 mp3an23 cre mulcl sylancr addcld
    recl subsubd replim remim oveq12d 2timesd mulcom mpan2 mulass mp3an12 eqtrd
    2cn pncan2d 3eqtr4d 3eqtr4rd eqtr3d ) ABCZADEZFGHIZHIZVHJIZVGAAKEZLIZVHJIVF
    VGBCZVJVGMZVFVGANOZVMVHBCZVHUAUBVNPUCVGVHUDUERVFVIVLVHJVFAUFEZGVGHIZQIZVQVR
    LIZLIVSVQLIZVRQIZVLVIVFVSVQVRVFVQVRVFVQAUJOZVFGBCZVMVRBCSVOGVGUGUHZUIWCWEUK
    VFAVSVKVTLAULAUMUNVFFVRHIZVRVRQIVIWBVFVRWEUOVFVMVIWFMVOVMVIVHVGHIZWFVMVPVIW
    GMPVGVHUPUQFBCWDVMWGWFMVASFGVGURUSUTRVFWAVRVRQVFVQVRWCWEVBTVCVDTVE $.

  $( The real part of zero.  (Contributed by NM, 27-Jul-1999.) $)
  re0 $p |- ( Re ` 0 ) = 0 $=
    ( cc0 cr wcel cre cfv wceq 0re rere ax-mp ) ABCADEAFGAHI $.

  $( The imaginary part of zero.  (Contributed by NM, 27-Jul-1999.) $)
  im0 $p |- ( Im ` 0 ) = 0 $=
    ( cc0 cr wcel cim cfv wceq 0re reim0 ax-mp ) ABCADEAFGAHI $.

  $( The real part of one.  (Contributed by Scott Fenton, 9-Jun-2006.) $)
  re1 $p |- ( Re ` 1 ) = 1 $=
    ( c1 cr wcel cre cfv wceq 1re rere ax-mp ) ABCADEAFGAHI $.

  $( The imaginary part of one.  (Contributed by Scott Fenton, 9-Jun-2006.) $)
  im1 $p |- ( Im ` 1 ) = 0 $=
    ( c1 cr wcel cim cfv cc0 wceq 1re reim0 ax-mp ) ABCADEFGHAIJ $.

  $( The real part of ` _i ` .  (Contributed by Scott Fenton, 9-Jun-2006.) $)
  rei $p |- ( Re ` _i ) = 0 $=
    ( cc0 ci c1 cmul co caddc cre ax-icn ax-1cn mulcli addid2i fveq2i wcel wceq
    cfv cr 0re 1re crre mp2an mulid1i 3eqtr3ri ) ABCDEZFEZGOZUCGOABGOUDUCGUCBCH
    IJKLAPMCPMUEANQRACSTUCBGBHUALUB $.

  $( The imaginary part of ` _i ` .  (Contributed by Scott Fenton,
     9-Jun-2006.) $)
  imi $p |- ( Im ` _i ) = 1 $=
    ( ci c1 cmul cim cfv cc0 ax-icn ax-1cn mulcli addid2i eqcomi fveq2i mulid1i
    co caddc cr wcel wceq 0re 1re crim mp2an 3eqtr3i ) ABCNZDEFUDONZDEZADEBUDUE
    DUEUDUDABGHIJKLUDADAGMLFPQBPQUFBRSTFBUAUBUC $.

  $( The conjugate of zero.  (Contributed by NM, 27-Jul-1999.) $)
  cj0 $p |- ( * ` 0 ) = 0 $=
    ( cc0 cr wcel ccj cfv wceq 0re cjre ax-mp ) ABCADEAFGAHI $.

  $( The complex conjugate of the imaginary unit.  (Contributed by NM,
     26-Mar-2005.) $)
  cji $p |- ( * ` _i ) = -u _i $=
    ( ci cre cfv cim cmul co cmin cc0 ccj cneg rei c1 imi oveq2i ax-icn mulid1i
    eqtri oveq12i cc wcel wceq remim ax-mp df-neg 3eqtr4i ) ABCZAADCZEFZGFZHAGF
    AICZAJUFHUHAGKUHALEFAUGLAEMNAOPQRASTUJUIUAOAUBUCAUDUE $.

  $( The conjugate of a representation of a complex number in terms of real and
     imaginary parts.  (Contributed by NM, 1-Jul-2005.) $)
  cjreim $p |- ( ( A e. RR /\ B e. RR ) -> ( * ` ( A + ( _i x. B ) ) ) =
                ( A - ( _i x. B ) ) ) $=
    ( cr wcel wa ci cmul co caddc ccj cfv cneg cc wceq recn ax-icn sylancr cjre
    syl2an 3eqtrd cmin mulcl cjadd cjmul cji oveq12d mulneg1 oveqan12d negsub
    a1i ) ACDZBCDZEAFBGHZIHJKZAJKZUMJKZIHZAUMLZIHZAUMUAHZUKAMDZUMMDZUNUQNULAOZU
    LFMDZBMDZVBPBOZFBUBQZAUMUCSUKULUOAUPURIARULUPFJKZBJKZGHZFLZBGHZURULVDVEUPVJ
    NPVFFBUDQULVHVKVIBGVHVKNULUEUJBRUFULVDVEVLURNPVFFBUGQTUHUKVAVBUSUTNULVCVGAU
    MUIST $.

  $( The conjugate of the representation of a complex number in terms of real
     and imaginary parts.  (Contributed by NM, 1-Jul-2005.)  (Proof shortened
     by Mario Carneiro, 29-May-2016.) $)
  cjreim2 $p |- ( ( A e. RR /\ B e. RR ) -> ( * ` ( A - ( _i x. B ) ) ) =
                ( A + ( _i x. B ) ) ) $=
    ( cr wcel wa ci cmul co caddc ccj cfv cmin cjreim fveq2d simpl recnd ax-icn
    cc wceq a1i simpr mulcld addcld cjcj syl eqtr3d ) ACDZBCDZEZAFBGHZIHZJKZJKZ
    AUJLHZJKUKUIULUNJABMNUIUKRDUMUKSUIAUJUIAUGUHOPUIFBFRDUIQTUIBUGUHUAPUBUCUKUD
    UEUF $.

  $( Complex conjugate is a one-to-one function.  (Contributed by NM,
     29-Apr-2005.)  (Proof shortened by Eric Schmidt, 2-Jul-2009.) $)
  cj11 $p |- ( ( A e. CC /\ B e. CC ) ->
              ( ( * ` A ) = ( * ` B ) <-> A = B ) ) $=
    ( cc wcel wa ccj cfv wceq fveq2 cjcj eqeqan12d syl5ib impbid1 ) ACDZBCDZEZA
    FGZBFGZHZABHZSQFGZRFGZHPTQRFINOUAAUBBAJBJKLABFIM $.

  $( A number is nonzero iff its complex conjugate is nonzero.  (Contributed by
     NM, 29-Apr-2005.) $)
  cjne0 $p |- ( A e. CC -> ( A =/= 0 <-> ( * ` A ) =/= 0 ) ) $=
    ( cc wcel cc0 ccj cfv wceq wb 0cn cj11 mpan2 cj0 eqeq2i bitr3di necon3bid )
    ABCZADAEFZDPQDEFZGZADGZQDGPDBCSTHIADJKRDQLMNO $.

  $( Complex conjugate distributes over division.  (Contributed by NM,
     29-Apr-2005.)  (Proof shortened by Mario Carneiro, 29-May-2016.) $)
  cjdiv $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                   ( * ` ( A / B ) ) = ( ( * ` A ) / ( * ` B ) ) ) $=
    ( cc wcel cc0 wne w3a cdiv co ccj cfv cmul divcl cjcl syl simp2 simp3 cjne0
    wb eqtr3d mpbid divcan4d wceq cjmul syl2anc divcan1 fveq2d oveq1d ) ACDZBCD
    ZBEFZGZABHIZJKZBJKZLIZUOHIUNAJKZUOHIULUNUOULUMCDZUNCDABMZUMNOULUJUOCDUIUJUK
    PZBNOULUKUOEFZUIUJUKQULUJUKVASUTBROUAUBULUPUQUOHULUMBLIZJKZUPUQULURUJVCUPUC
    USUTUMBUDUEULVBAJABUFUGTUHT $.

  ${
    $d F z $.  $d x y z $.
    cnrecnv.1 $e |- F = ( x e. RR , y e. RR |-> ( x + ( _i x. y ) ) ) $.
    $( The inverse to the canonical bijection from ` ( RR X. RR ) ` to ` CC `
       from ~ cnref1o .  (Contributed by Mario Carneiro, 25-Aug-2014.) $)
    cnrecnv $p |- `' F = ( z e. CC |-> <. ( Re ` z ) , ( Im ` z ) >. ) $=
      ( ccnv cc cv cfv cmpt cre wceq wtru cr wf1o wcel ci cmul co caddc cim cop
      cxp wf cnref1o f1ocnv f1of mp2b feqmptd mptru df-ov recl imcl oveq1 oveq2
      oveq2d ovex ovmpo syl2anc eqtr3id replim eqtr4d opelxpd f1ocnvfv1 sylancr
      a1i fveq2d eqtr3d mpteq2ia eqtri ) DFZCGCHZVKIZJZCGVLKIZVLUAIZUBZJVKVNLMC
      GNNUCZVKGVRVKUDZMVRGDOZGVRVKOVSABDEUEZVRGDUFGVRVKUGUHVFUIUJCGVMVQVLGPZVQD
      IZVKIZVMVQWBWCVLVKWBWCVOQVPRSZTSZVLWBWCVOVPDSZWFVOVPDUKWBVONPVPNPWGWFLVLU
      LZVLUMZABVOVPNNAHZQBHZRSZTSWFDVOWLTSWJVOWLTUNWKVPLWLWEVOTWKVPQRUOUPEVOWET
      UQURUSUTVLVAVBVGWBVTVQVRPWDVQLWAWBVOVPNNWHWIVCVRGVQDVDVEVHVIVJ $.
  $}

  ${
    sqeqd.1 $e |- ( ph -> A e. CC ) $.
    sqeqd.2 $e |- ( ph -> B e. CC ) $.
    sqeqd.3 $e |- ( ph -> ( A ^ 2 ) = ( B ^ 2 ) ) $.
    sqeqd.4 $e |- ( ph -> 0 <_ ( Re ` A ) ) $.
    sqeqd.5 $e |- ( ph -> 0 <_ ( Re ` B ) ) $.
    sqeqd.6 $e |- ( ( ph /\ ( Re ` A ) = 0 /\ ( Re ` B ) = 0 ) -> A = B ) $.
    $( A deduction for showing two numbers whose squares are equal are
       themselves equal.  (Contributed by Mario Carneiro, 3-Apr-2015.) $)
    sqeqd $p |- ( ph -> A = B ) $=
      ( wceq cneg c2 cexp wcel cre cfv cc0 cle wbr adantr wn co wo cc wb sqeqor
      syl2anc mpbid ord wa simpl fveq2 reneg sylan9eqr breqtrd cr recl le0neg1d
      syl mpbird letri3 sylancl mpbir2and negeqd neg0 eqtrdi eqtrd syl3anc syld
      0re ex pm2.18d ) ABCJZAVMUABCKZJZVMAVMVOABLMUBCLMUBJZVMVOUCZFABUDNCUDNZVP
      VQUEDEBCUFUGUHUIAVOVMAVOUJZABOPZQJCOPZQJZVMAVOUKVSVTWAKZQVOAVTVNOPZWCBVNO
      ULAVRWDWCJECUMUSUNZVSWCQKQVSWAQVSWBWAQRSZQWARSZVSWFQWCRSVSQVTWCRAQVTRSVOG
      TWEUOVSWAVSVRWAUPNZAVRVOETCUQUSZURUTAWGVOHTVSWHQUPNWBWFWGUJUEWIVJWAQVAVBV
      CZVDVEVFVGWJIVHVKVIVL $.
  $}

  ${
    recl.1 $e |- A e. CC $.
    $( The real part of a complex number is real (closure law).  (Contributed
       by NM, 11-May-1999.) $)
    recli $p |- ( Re ` A ) e. RR $=
      ( cc wcel cre cfv cr recl ax-mp ) ACDAEFGDBAHI $.

    $( The imaginary part of a complex number is real (closure law).
       (Contributed by NM, 11-May-1999.) $)
    imcli $p |- ( Im ` A ) e. RR $=
      ( cc wcel cim cfv cr imcl ax-mp ) ACDAEFGDBAHI $.

    $( Closure law for complex conjugate.  (Contributed by NM, 11-May-1999.) $)
    cjcli $p |- ( * ` A ) e. CC $=
      ( cc wcel ccj cfv cjcl ax-mp ) ACDAEFCDBAGH $.

    $( Construct a complex number from its real and imaginary parts.
       (Contributed by NM, 1-Oct-1999.) $)
    replimi $p |- A = ( ( Re ` A ) + ( _i x. ( Im ` A ) ) ) $=
      ( cc wcel cre cfv ci cim cmul co caddc wceq replim ax-mp ) ACDAAEFGAHFIJK
      JLBAMN $.

    $( The conjugate of the conjugate is the original complex number.
       Proposition 10-3.4(e) of [Gleason] p. 133.  (Contributed by NM,
       11-May-1999.) $)
    cjcji $p |- ( * ` ( * ` A ) ) = A $=
      ( cc wcel ccj cfv wceq cjcj ax-mp ) ACDAEFEFAGBAHI $.

    $( A number is real iff its imaginary part is 0.  (Contributed by NM,
       29-May-1999.) $)
    reim0bi $p |- ( A e. RR <-> ( Im ` A ) = 0 ) $=
      ( cc wcel cr cim cfv cc0 wceq wb reim0b ax-mp ) ACDAEDAFGHIJBAKL $.

    $( A real number equals its real part.  Proposition 10-3.4(f) of [Gleason]
       p. 133.  (Contributed by NM, 27-Oct-1999.) $)
    rerebi $p |- ( A e. RR <-> ( Re ` A ) = A ) $=
      ( cc wcel cr cre cfv wceq wb rereb ax-mp ) ACDAEDAFGAHIBAJK $.

    $( A number is real iff it equals its complex conjugate.  Proposition
       10-3.4(f) of [Gleason] p. 133.  (Contributed by NM, 11-Oct-1999.) $)
    cjrebi $p |- ( A e. RR <-> ( * ` A ) = A ) $=
      ( cc wcel cr ccj cfv wceq wb cjreb ax-mp ) ACDAEDAFGAHIBAJK $.

    $( Real part of a complex conjugate.  (Contributed by NM, 2-Oct-1999.) $)
    recji $p |- ( Re ` ( * ` A ) ) = ( Re ` A ) $=
      ( cc wcel ccj cfv cre wceq recj ax-mp ) ACDAEFGFAGFHBAIJ $.

    $( Imaginary part of a complex conjugate.  (Contributed by NM,
       2-Oct-1999.) $)
    imcji $p |- ( Im ` ( * ` A ) ) = -u ( Im ` A ) $=
      ( cc wcel ccj cfv cim cneg wceq imcj ax-mp ) ACDAEFGFAGFHIBAJK $.

    $( A complex number times its conjugate is real.  (Contributed by NM,
       11-May-1999.) $)
    cjmulrcli $p |- ( A x. ( * ` A ) ) e. RR $=
      ( cc wcel ccj cfv cmul co cr cjmulrcl ax-mp ) ACDAAEFGHIDBAJK $.

    $( A complex number times its conjugate.  (Contributed by NM,
       2-Oct-1999.) $)
    cjmulvali $p |- ( A x. ( * ` A ) ) =
                   ( ( ( Re ` A ) ^ 2 ) + ( ( Im ` A ) ^ 2 ) ) $=
      ( cc wcel ccj cfv cmul co cre c2 cexp cim caddc wceq cjmulval ax-mp ) ACD
      AAEFGHAIFJKHALFJKHMHNBAOP $.

    $( A complex number times its conjugate is nonnegative.  (Contributed by
       NM, 28-May-1999.) $)
    cjmulge0i $p |- 0 <_ ( A x. ( * ` A ) ) $=
      ( cc wcel cc0 ccj cfv cmul co cle wbr cjmulge0 ax-mp ) ACDEAAFGHIJKBALM
      $.

    $( Real part of negative.  (Contributed by NM, 2-Aug-1999.) $)
    renegi $p |- ( Re ` -u A ) = -u ( Re ` A ) $=
      ( cc wcel cneg cre cfv wceq reneg ax-mp ) ACDAEFGAFGEHBAIJ $.

    $( Imaginary part of negative.  (Contributed by NM, 2-Aug-1999.) $)
    imnegi $p |- ( Im ` -u A ) = -u ( Im ` A ) $=
      ( cc wcel cneg cim cfv wceq imneg ax-mp ) ACDAEFGAFGEHBAIJ $.

    $( Complex conjugate of negative.  (Contributed by NM, 2-Aug-1999.) $)
    cjnegi $p |- ( * ` -u A ) = -u ( * ` A ) $=
      ( cc wcel cneg ccj cfv wceq cjneg ax-mp ) ACDAEFGAFGEHBAIJ $.

    $( A number plus its conjugate is twice its real part.  Compare Proposition
       10-3.4(h) of [Gleason] p. 133.  (Contributed by NM, 2-Oct-1999.) $)
    addcji $p |- ( A + ( * ` A ) ) = ( 2 x. ( Re ` A ) ) $=
      ( cc wcel ccj cfv caddc co c2 cre cmul wceq addcj ax-mp ) ACDAAEFGHIAJFKH
      LBAMN $.

    readdi.2 $e |- B e. CC $.
    $( Real part distributes over addition.  (Contributed by NM,
       28-Jul-1999.) $)
    readdi $p |- ( Re ` ( A + B ) ) = ( ( Re ` A ) + ( Re ` B ) ) $=
      ( cc wcel caddc co cre cfv wceq readd mp2an ) AEFBEFABGHIJAIJBIJGHKCDABLM
      $.

    $( Imaginary part distributes over addition.  (Contributed by NM,
       28-Jul-1999.) $)
    imaddi $p |- ( Im ` ( A + B ) ) = ( ( Im ` A ) + ( Im ` B ) ) $=
      ( cc wcel caddc co cim cfv wceq imadd mp2an ) AEFBEFABGHIJAIJBIJGHKCDABLM
      $.

    $( Real part of a product.  (Contributed by NM, 28-Jul-1999.) $)
    remuli $p |- ( Re ` ( A x. B ) ) =
          ( ( ( Re ` A ) x. ( Re ` B ) ) - ( ( Im ` A ) x. ( Im ` B ) ) ) $=
      ( cc wcel cmul co cre cfv cim cmin wceq remul mp2an ) AEFBEFABGHIJAIJBIJG
      HAKJBKJGHLHMCDABNO $.

    $( Imaginary part of a product.  (Contributed by NM, 28-Jul-1999.) $)
    immuli $p |- ( Im ` ( A x. B ) ) =
          ( ( ( Re ` A ) x. ( Im ` B ) ) + ( ( Im ` A ) x. ( Re ` B ) ) ) $=
      ( cc wcel cmul co cim cfv cre caddc wceq immul mp2an ) AEFBEFABGHIJAKJBIJ
      GHAIJBKJGHLHMCDABNO $.

    $( Complex conjugate distributes over addition.  Proposition 10-3.4(a) of
       [Gleason] p. 133.  (Contributed by NM, 28-Jul-1999.) $)
    cjaddi $p |- ( * ` ( A + B ) ) = ( ( * ` A ) + ( * ` B ) ) $=
      ( cc wcel caddc co ccj cfv wceq cjadd mp2an ) AEFBEFABGHIJAIJBIJGHKCDABLM
      $.

    $( Complex conjugate distributes over multiplication.  Proposition
       10-3.4(c) of [Gleason] p. 133.  (Contributed by NM, 28-Jul-1999.) $)
    cjmuli $p |- ( * ` ( A x. B ) ) = ( ( * ` A ) x. ( * ` B ) ) $=
      ( cc wcel cmul co ccj cfv wceq cjmul mp2an ) AEFBEFABGHIJAIJBIJGHKCDABLM
      $.

    $( Standard inner product on complex numbers.  (Contributed by NM,
       2-Oct-1999.) $)
    ipcni $p |- ( Re ` ( A x. ( * ` B ) ) ) =
           ( ( ( Re ` A ) x. ( Re ` B ) ) + ( ( Im ` A ) x. ( Im ` B ) ) ) $=
      ( cc wcel ccj cfv cmul co cre cim caddc wceq ipcnval mp2an ) AEFBEFABGHIJ
      KHAKHBKHIJALHBLHIJMJNCDABOP $.

    $( Complex conjugate distributes over division.  (Contributed by NM,
       29-Apr-2005.)  (Revised by Mario Carneiro, 29-May-2016.) $)
    cjdivi $p |- ( B =/= 0 ->
                    ( * ` ( A / B ) ) = ( ( * ` A ) / ( * ` B ) ) ) $=
      ( cc wcel cc0 wne cdiv co ccj cfv wceq cjdiv mp3an12 ) AEFBEFBGHABIJKLAKL
      BKLIJMCDABNO $.
  $}

  ${
    crre.1 $e |- A e. RR $.
    crre.2 $e |- B e. RR $.
    $( The real part of a complex number representation.  Definition 10-3.1 of
       [Gleason] p. 132.  (Contributed by NM, 10-May-1999.) $)
    crrei $p |- ( Re ` ( A + ( _i x. B ) ) ) = A $=
      ( cr wcel ci cmul co caddc cre cfv wceq crre mp2an ) AEFBEFAGBHIJIKLAMCDA
      BNO $.

    $( The imaginary part of a complex number representation.  Definition
       10-3.1 of [Gleason] p. 132.  (Contributed by NM, 10-May-1999.) $)
    crimi $p |- ( Im ` ( A + ( _i x. B ) ) ) = B $=
      ( cr wcel ci cmul co caddc cim cfv wceq crim mp2an ) AEFBEFAGBHIJIKLBMCDA
      BNO $.
  $}

  ${
    recld.1 $e |- ( ph -> A e. CC ) $.
    $( The real part of a complex number is real (closure law).  (Contributed
       by Mario Carneiro, 29-May-2016.) $)
    recld $p |- ( ph -> ( Re ` A ) e. RR ) $=
      ( cc wcel cre cfv cr recl syl ) ABDEBFGHECBIJ $.

    $( The imaginary part of a complex number is real (closure law).
       (Contributed by Mario Carneiro, 29-May-2016.) $)
    imcld $p |- ( ph -> ( Im ` A ) e. RR ) $=
      ( cc wcel cim cfv cr imcl syl ) ABDEBFGHECBIJ $.

    $( Closure law for complex conjugate.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    cjcld $p |- ( ph -> ( * ` A ) e. CC ) $=
      ( cc wcel ccj cfv cjcl syl ) ABDEBFGDECBHI $.

    $( Construct a complex number from its real and imaginary parts.
       (Contributed by Mario Carneiro, 29-May-2016.) $)
    replimd $p |- ( ph -> A = ( ( Re ` A ) + ( _i x. ( Im ` A ) ) ) ) $=
      ( cc wcel cre cfv ci cim cmul co caddc wceq replim syl ) ABDEBBFGHBIGJKLK
      MCBNO $.

    $( Value of the conjugate of a complex number.  The value is the real part
       minus ` _i ` times the imaginary part.  Definition 10-3.2 of [Gleason]
       p. 132.  (Contributed by Mario Carneiro, 29-May-2016.) $)
    remimd $p |- ( ph -> ( * ` A ) = ( ( Re ` A ) - ( _i x. ( Im ` A ) ) ) ) $=
      ( cc wcel ccj cfv cre ci cim cmul co cmin wceq remim syl ) ABDEBFGBHGIBJG
      KLMLNCBOP $.

    $( The conjugate of the conjugate is the original complex number.
       Proposition 10-3.4(e) of [Gleason] p. 133.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    cjcjd $p |- ( ph -> ( * ` ( * ` A ) ) = A ) $=
      ( cc wcel ccj cfv wceq cjcj syl ) ABDEBFGFGBHCBIJ $.

    ${
      reim0bd.2 $e |- ( ph -> ( Im ` A ) = 0 ) $.
      $( A number is real iff its imaginary part is 0.  (Contributed by Mario
         Carneiro, 29-May-2016.) $)
      reim0bd $p |- ( ph -> A e. RR ) $=
        ( cr wcel cim cfv cc0 wceq cc wb reim0b syl mpbird ) ABEFZBGHIJZDABKFPQ
        LCBMNO $.
    $}

    ${
      rerebd.2 $e |- ( ph -> ( Re ` A ) = A ) $.
      $( A real number equals its real part.  Proposition 10-3.4(f) of
         [Gleason] p. 133.  (Contributed by Mario Carneiro, 29-May-2016.) $)
      rerebd $p |- ( ph -> A e. RR ) $=
        ( cr wcel cre cfv wceq cc wb rereb syl mpbird ) ABEFZBGHBIZDABJFOPKCBLM
        N $.
    $}

    ${
      cjrebd.2 $e |- ( ph -> ( * ` A ) = A ) $.
      $( A number is real iff it equals its complex conjugate.  Proposition
         10-3.4(f) of [Gleason] p. 133.  (Contributed by Mario Carneiro,
         29-May-2016.) $)
      cjrebd $p |- ( ph -> A e. RR ) $=
        ( cr wcel ccj cfv wceq cc wb cjreb syl mpbird ) ABEFZBGHBIZDABJFOPKCBLM
        N $.
    $}

    ${
      cjne0d.2 $e |- ( ph -> A =/= 0 ) $.
      $( A number is nonzero iff its complex conjugate is nonzero.
         (Contributed by Mario Carneiro, 29-May-2016.) $)
      cjne0d $p |- ( ph -> ( * ` A ) =/= 0 ) $=
        ( cc0 wne ccj cfv cc wcel wb cjne0 syl mpbid ) ABEFZBGHEFZDABIJOPKCBLMN
        $.
    $}

    $( Real part of a complex conjugate.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    recjd $p |- ( ph -> ( Re ` ( * ` A ) ) = ( Re ` A ) ) $=
      ( cc wcel ccj cfv cre wceq recj syl ) ABDEBFGHGBHGICBJK $.

    $( Imaginary part of a complex conjugate.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    imcjd $p |- ( ph -> ( Im ` ( * ` A ) ) = -u ( Im ` A ) ) $=
      ( cc wcel ccj cfv cim cneg wceq imcj syl ) ABDEBFGHGBHGIJCBKL $.

    $( A complex number times its conjugate is real.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    cjmulrcld $p |- ( ph -> ( A x. ( * ` A ) ) e. RR ) $=
      ( cc wcel ccj cfv cmul co cr cjmulrcl syl ) ABDEBBFGHIJECBKL $.

    $( A complex number times its conjugate.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    cjmulvald $p |- ( ph -> ( A x. ( * ` A ) ) =
                   ( ( ( Re ` A ) ^ 2 ) + ( ( Im ` A ) ^ 2 ) ) ) $=
      ( cc wcel ccj cfv cmul co cre c2 cexp cim caddc wceq cjmulval syl ) ABDEB
      BFGHIBJGKLIBMGKLINIOCBPQ $.

    $( A complex number times its conjugate is nonnegative.  (Contributed by
       Mario Carneiro, 29-May-2016.) $)
    cjmulge0d $p |- ( ph -> 0 <_ ( A x. ( * ` A ) ) ) $=
      ( cc wcel cc0 ccj cfv cmul co cle wbr cjmulge0 syl ) ABDEFBBGHIJKLCBMN $.

    $( Real part of negative.  (Contributed by Mario Carneiro, 29-May-2016.) $)
    renegd $p |- ( ph -> ( Re ` -u A ) = -u ( Re ` A ) ) $=
      ( cc wcel cneg cre cfv wceq reneg syl ) ABDEBFGHBGHFICBJK $.

    $( Imaginary part of negative.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    imnegd $p |- ( ph -> ( Im ` -u A ) = -u ( Im ` A ) ) $=
      ( cc wcel cneg cim cfv wceq imneg syl ) ABDEBFGHBGHFICBJK $.

    $( Complex conjugate of negative.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    cjnegd $p |- ( ph -> ( * ` -u A ) = -u ( * ` A ) ) $=
      ( cc wcel cneg ccj cfv wceq cjneg syl ) ABDEBFGHBGHFICBJK $.

    $( A number plus its conjugate is twice its real part.  Compare Proposition
       10-3.4(h) of [Gleason] p. 133.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    addcjd $p |- ( ph -> ( A + ( * ` A ) ) = ( 2 x. ( Re ` A ) ) ) $=
      ( cc wcel ccj cfv caddc co c2 cre cmul wceq addcj syl ) ABDEBBFGHIJBKGLIM
      CBNO $.

    ${
      cjexpd.2 $e |- ( ph -> N e. NN0 ) $.
      $( Complex conjugate of positive integer exponentiation.  (Contributed by
         Mario Carneiro, 29-May-2016.) $)
      cjexpd $p |- ( ph -> ( * ` ( A ^ N ) ) = ( ( * ` A ) ^ N ) ) $=
        ( cc wcel cn0 cexp co ccj cfv wceq cjexp syl2anc ) ABFGCHGBCIJKLBKLCIJM
        DEBCNO $.
    $}

    readdd.2 $e |- ( ph -> B e. CC ) $.
    $( Real part distributes over addition.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    readdd $p |- ( ph -> ( Re ` ( A + B ) ) = ( ( Re ` A ) + ( Re ` B ) ) ) $=
      ( cc wcel caddc co cre cfv wceq readd syl2anc ) ABFGCFGBCHIJKBJKCJKHILDEB
      CMN $.

    $( Imaginary part distributes over addition.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    imaddd $p |- ( ph -> ( Im ` ( A + B ) ) = ( ( Im ` A ) + ( Im ` B ) ) ) $=
      ( cc wcel caddc co cim cfv wceq imadd syl2anc ) ABFGCFGBCHIJKBJKCJKHILDEB
      CMN $.

    $( Real part distributes over subtraction.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    resubd $p |- ( ph -> ( Re ` ( A - B ) ) = ( ( Re ` A ) - ( Re ` B ) ) ) $=
      ( cc wcel cmin co cre cfv wceq resub syl2anc ) ABFGCFGBCHIJKBJKCJKHILDEBC
      MN $.

    $( Imaginary part distributes over subtraction.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    imsubd $p |- ( ph -> ( Im ` ( A - B ) ) = ( ( Im ` A ) - ( Im ` B ) ) ) $=
      ( cc wcel cmin co cim cfv wceq imsub syl2anc ) ABFGCFGBCHIJKBJKCJKHILDEBC
      MN $.

    $( Real part of a product.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    remuld $p |- ( ph -> ( Re ` ( A x. B ) ) =
          ( ( ( Re ` A ) x. ( Re ` B ) ) - ( ( Im ` A ) x. ( Im ` B ) ) ) ) $=
      ( cc wcel cmul co cre cfv cim cmin wceq remul syl2anc ) ABFGCFGBCHIJKBJKC
      JKHIBLKCLKHIMINDEBCOP $.

    $( Imaginary part of a product.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    immuld $p |- ( ph -> ( Im ` ( A x. B ) ) =
          ( ( ( Re ` A ) x. ( Im ` B ) ) + ( ( Im ` A ) x. ( Re ` B ) ) ) ) $=
      ( cc wcel cmul co cim cfv cre caddc wceq immul syl2anc ) ABFGCFGBCHIJKBLK
      CJKHIBJKCLKHIMINDEBCOP $.

    $( Complex conjugate distributes over addition.  Proposition 10-3.4(a) of
       [Gleason] p. 133.  (Contributed by Mario Carneiro, 29-May-2016.) $)
    cjaddd $p |- ( ph -> ( * ` ( A + B ) ) = ( ( * ` A ) + ( * ` B ) ) ) $=
      ( cc wcel caddc co ccj cfv wceq cjadd syl2anc ) ABFGCFGBCHIJKBJKCJKHILDEB
      CMN $.

    $( Complex conjugate distributes over multiplication.  Proposition
       10-3.4(c) of [Gleason] p. 133.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    cjmuld $p |- ( ph -> ( * ` ( A x. B ) ) = ( ( * ` A ) x. ( * ` B ) ) ) $=
      ( cc wcel cmul co ccj cfv wceq cjmul syl2anc ) ABFGCFGBCHIJKBJKCJKHILDEBC
      MN $.

    $( Standard inner product on complex numbers.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    ipcnd $p |- ( ph -> ( Re ` ( A x. ( * ` B ) ) ) =
           ( ( ( Re ` A ) x. ( Re ` B ) ) + ( ( Im ` A ) x. ( Im ` B ) ) ) ) $=
      ( cc wcel ccj cfv cmul co cre cim caddc wceq ipcnval syl2anc ) ABFGCFGBCH
      IJKLIBLICLIJKBMICMIJKNKODEBCPQ $.

    cjdivd.2 $e |- ( ph -> B =/= 0 ) $.
    $( Complex conjugate distributes over division.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    cjdivd $p |- ( ph ->
                    ( * ` ( A / B ) ) = ( ( * ` A ) / ( * ` B ) ) ) $=
      ( cc wcel cc0 wne cdiv co ccj cfv wceq cjdiv syl3anc ) ABGHCGHCIJBCKLMNBM
      NCMNKLODEFBCPQ $.
  $}

  ${
    crred.1 $e |- ( ph -> A e. RR ) $.
    $( A real number equals its real part.  One direction of Proposition
       10-3.4(f) of [Gleason] p. 133.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    rered $p |- ( ph -> ( Re ` A ) = A ) $=
      ( cr wcel cre cfv wceq rere syl ) ABDEBFGBHCBIJ $.

    $( The imaginary part of a real number is 0.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    reim0d $p |- ( ph -> ( Im ` A ) = 0 ) $=
      ( cr wcel cim cfv cc0 wceq reim0 syl ) ABDEBFGHICBJK $.

    $( A real number equals its complex conjugate.  Proposition 10-3.4(f) of
       [Gleason] p. 133.  (Contributed by Mario Carneiro, 29-May-2016.) $)
    cjred $p |- ( ph -> ( * ` A ) = A ) $=
      ( cr wcel ccj cfv wceq cjre syl ) ABDEBFGBHCBIJ $.

    ${
      remul2d.2 $e |- ( ph -> B e. CC ) $.
      $( Real part of a product.  (Contributed by Mario Carneiro,
         29-May-2016.) $)
      remul2d $p |- ( ph -> ( Re ` ( A x. B ) ) = ( A x. ( Re ` B ) ) ) $=
        ( cr wcel cc cmul co cre cfv wceq remul2 syl2anc ) ABFGCHGBCIJKLBCKLIJM
        DEBCNO $.

      $( Imaginary part of a product.  (Contributed by Mario Carneiro,
         29-May-2016.) $)
      immul2d $p |- ( ph -> ( Im ` ( A x. B ) ) = ( A x. ( Im ` B ) ) ) $=
        ( cr wcel cc cmul co cim cfv wceq immul2 syl2anc ) ABFGCHGBCIJKLBCKLIJM
        DEBCNO $.

      redivd.2 $e |- ( ph -> A =/= 0 ) $.
      $( Real part of a division.  Related to ~ remul2 .  (Contributed by Mario
         Carneiro, 29-May-2016.) $)
      redivd $p |- ( ph -> ( Re ` ( B / A ) ) = ( ( Re ` B ) / A ) ) $=
        ( cc wcel cr cc0 wne cdiv co cre cfv wceq rediv syl3anc ) ACGHBIHBJKCBL
        MNOCNOBLMPEDFCBQR $.

      $( Imaginary part of a division.  Related to ~ remul2 .  (Contributed by
         Mario Carneiro, 29-May-2016.) $)
      imdivd $p |- ( ph -> ( Im ` ( B / A ) ) = ( ( Im ` B ) / A ) ) $=
        ( cc wcel cr cc0 wne cdiv co cim cfv wceq imdiv syl3anc ) ACGHBIHBJKCBL
        MNOCNOBLMPEDFCBQR $.
    $}

    crred.2 $e |- ( ph -> B e. RR ) $.
    $( The real part of a complex number representation.  Definition 10-3.1 of
       [Gleason] p. 132.  (Contributed by Mario Carneiro, 29-May-2016.) $)
    crred $p |- ( ph -> ( Re ` ( A + ( _i x. B ) ) ) = A ) $=
      ( cr wcel ci cmul co caddc cre cfv wceq crre syl2anc ) ABFGCFGBHCIJKJLMBN
      DEBCOP $.

    $( The imaginary part of a complex number representation.  Definition
       10-3.1 of [Gleason] p. 132.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    crimd $p |- ( ph -> ( Im ` ( A + ( _i x. B ) ) ) = B ) $=
      ( cr wcel ci cmul co caddc cim cfv wceq crim syl2anc ) ABFGCFGBHCIJKJLMCN
      DEBCOP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Square root; absolute value
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c sqrt $. $( Positive square root of a positive real number. $)
  $c abs $. $( Absolute value function. $)
  $c +- $. $( Plus-or-minus symbol (for comments only) $)

  $( Extend class notation to include square root of a complex number. $)
  csqrt $a class sqrt $.

  $( Extend class notation to include a function for the absolute value
     (modulus) of a complex number. $)
  cabs $a class abs $.

  ${
    $d x y A $.
    $( Define a function whose value is the square root of a complex number.
       For example, ` ( sqrt `` 2 5 ) = 5 ` ( ~ ex-sqrt ).

       Since ` ( y ^ 2 ) = x ` iff ` ( -u y ^ 2 ) = x ` , we ensure uniqueness
       by restricting the range to numbers with positive real part, or numbers
       with 0 real part and nonnegative imaginary part.  A description can be
       found under "Principal square root of a complex number" at
       ~ http://en.wikipedia.org/wiki/Square_root .  The square root symbol was
       introduced in 1525 by Christoff Rudolff.

       See ~ sqrtcl for its closure, ~ sqrtval for its value, ~ sqrtth and
       ~ sqsqrti for its relationship to squares, and ~ sqrt11i for uniqueness.
       (Contributed by NM, 27-Jul-1999.)  (Revised by Mario Carneiro,
       8-Jul-2013.) $)
    df-sqrt $a |- sqrt = ( x e. CC |-> ( iota_ y e. CC ( ( y ^ 2 ) = x /\
      0 <_ ( Re ` y ) /\ ( _i x. y ) e/ RR+ ) ) ) $.

    $( Define the function for the absolute value (modulus) of a complex
       number.  See ~ abscli for its closure and ~ absval or ~ absval2i for its
       value.  For example, ` ( abs `` -u 2 ) = 2 ` ( ~ ex-abs ).  (Contributed
       by NM, 27-Jul-1999.) $)
    df-abs $a |- abs = ( x e. CC |-> ( sqrt ` ( x x. ( * ` x ) ) ) ) $.

    $( Value of square root function.  (Contributed by Mario Carneiro,
       8-Jul-2013.) $)
    sqrtval $p |- ( A e. CC -> ( sqrt ` A ) =
      ( iota_ x e. CC ( ( x ^ 2 ) = A /\
        0 <_ ( Re ` x ) /\ ( _i x. x ) e/ RR+ ) ) ) $=
      ( vy cv c2 cexp co wceq cc0 cre cfv cle wbr ci cmul crp wnel w3a cc crio
      csqrt eqeq2 3anbi1d riotabidv df-sqrt riotaex fvmpt ) CBADZEFGZCDZHZIUHJK
      LMZNUHOGPQZRZASTUIBHZULUMRZASTSUAUJBHZUNUPASUQUKUOULUMUJBUIUBUCUDCAUEUPAS
      UFUG $.

    $( The absolute value (modulus) of a complex number.  Proposition 10-3.7(a)
       of [Gleason] p. 133.  (Contributed by NM, 27-Jul-1999.)  (Revised by
       Mario Carneiro, 7-Nov-2013.) $)
    absval $p |- ( A e. CC -> ( abs ` A ) = ( sqrt ` ( A x. ( * ` A ) ) ) ) $=
      ( vx cv ccj cfv cmul co csqrt cc cabs wceq fveq2 oveq12 mpdan fveq2d fvex
      df-abs fvmpt ) BABCZSDEZFGZHEAADEZFGZHEIJSAKZUAUCHUDTUBKUAUCKSADLSATUBFMN
      OBQUCHPR $.
  $}

  $( A real number does not lie on the negative imaginary axis.  (Contributed
     by Mario Carneiro, 8-Jul-2013.) $)
  rennim $p |- ( A e. RR -> ( _i x. A ) e/ RR+ ) $=
    ( cr wcel ci cmul co crp wn wnel cc0 wceq cre cfv cc wi ax-icn recn sylancr
    mulcl rpre rereb syl5ib caddc addid2d fveq2d crre mpan eqtr3d eqeq1d sylibd
    syl 0re rpne0 necon2bi eqcoms syl6 pm2.01d df-nel sylibr ) ABCZDAEFZGCZHZVA
    GIUTVBUTVBJVAKZVCUTVBVALMZVAKZVDUTVANCZVBVFOUTDNCANCVGPAQDASRZVBVABCVGVFVAT
    VAUAUBUKUTVEJVAUTJVAUCFZLMZVEJUTVIVALUTVAVHUDUEJBCUTVJJKULJAUFUGUHUIUJVCVAJ
    VBVAJVAUMUNUOUPUQVAGURUS $.

  $( The specification of restriction to the right half-plane partitions the
     complex plane without 0 into two disjoint pieces, which are related by a
     reflection about the origin (under the map ` x |-> -u x ` ).  (Contributed
     by Mario Carneiro, 8-Jul-2013.) $)
  cnpart $p |- ( ( A e. CC /\ A =/= 0 ) ->
    ( ( 0 <_ ( Re ` A ) /\ ( _i x. A ) e/ RR+ ) <->
      -. ( 0 <_ ( Re ` -u A ) /\ ( _i x. -u A ) e/ RR+ ) ) ) $=
    ( wcel cc0 wne wa cre cfv cle wbr ci cmul co crp cneg wn wb wceq ax-icn syl
    cr wnel df-nel simpr 0le0 eqbrtrdi biantrurd bitr3id con1bid cim mulcl mpan
    cc reim0b imre cdiv c1 ine0 divrec2 mp3an23 irec oveq1i eqtrdi eqtr3d eqtrd
    divcan3 fveq2d eqeq1d biimpar adantlr mulne0 mpanl12 adantr syl2anc con2bid
    bitrd rpneg bitr4di breqtrrid necon3bbid rpre nsyl sylibr biantrud 0re recl
    3bitrrd clt ltlen ltnle bitr3d sylancr ad2antrr renegcl negnegd eleq1d mtod
    syl5ib notbid pm2.61dane breq2d le0neg1d bitr4d mulneg2 neleq1 anbi12d
    reneg ) AULBZACDZEZCAFGZHIZJAKLZMUAZEZXJCHIZXLNZMUAZEZOZCANZFGZHIZJXTKLZMUA
    ZEZOZXIXNXSPXJCXIXJCQZEZXSXPMBZXMXNYHYIXRYIOZXQYHXRXPMUBZYHXOXQYHXJCCHXIYGU
    CZUDUEUFUGUHYHYIXLMBZOZXMYHYMYIYHXLTBZXLCDZYMYJPXGYGYOXHXGYOYGXGYOXLUIGZCQZ
    YGXGXLULBZYOYRPJULBZXGYSRJAUJUKZXLUMSXGYQXJCXGYQJNZXLKLZFGZXJXGYSYQUUDQUUAX
    LUNSXGUUCAFXGXLJUOLZUUCAXGUUEUPJUOLZXLKLZUUCXGYSUUEUUGQZUUAYSYTJCDZUUHRUQXL
    JURUSSUUFUUBXLKUTVAVBXGYTUUIUUEAQRUQAJVEUSVCVFVDVGVOZVHVIXIYPYGYTUUIXIYPRUQ
    JAVJVKVLXLVPVMVNXLMUBZVQYHXKXMYHCCXJHUDYLVRUFWFXIXJCDZEZXNXOOZXSUUMXKXNUUNU
    UMXMXKUUMYNXMUUMYOYMXIYOOUULXIYOXJCXGYOYGPXHUUJVLVSVHZXLVTWAUUKWBWCUUMXKXKU
    ULEZUUNUUMUULXKXIUULUCWCXGUUPUUNPZXHUULXGCTBZXJTBZUUQWDAWEZUURUUSECXJWGIUUP
    UUNCXJWHCXJWIWJWKWLVOWJUUMXOXRUUMXQXOUUMYJXQUUMXPTBZYIUUMUVAYOUUOUVAXPNZTBZ
    UUMYOXPWMXGUVCYOPXHUULXGUVBXLTXGXLUUAWNWOWLWQWPXPVTWAYKWBWCWRVOWSXGYFXSPXHX
    GYEXRXGYBXOYDXQXGYBCXJNZHIXOXGYAUVDCHAXFWTXGXJUUTXAXBXGYCXPQZYDXQPYTXGUVERJ
    AXCUKYCXPMXDSXEWRVLXB $.

  $( Square root of zero.  (Contributed by Mario Carneiro, 9-Jul-2013.) $)
  sqr0lem $p |- ( ( A e. CC /\ ( ( A ^ 2 ) = 0 /\
        0 <_ ( Re ` A ) /\ ( _i x. A ) e/ RR+ ) ) <-> A = 0 ) $=
    ( cc wcel c2 cexp co cc0 wceq cre cfv cle wbr ci cmul crp wnel w3a wa sqeq0
    cr biimpa 3ad2antr1 0re eleq1 mpbiri recnd sq0i 0le0 fveq2 eqtrdi breqtrrid
    re0 rennim syl 3jca jca impbii ) ABCZADEFGHZGAIJZKLZMANFOPZQZRAGHZURVAUSVDV
    BURUSVDASUAUBVDURVCVDAVDATCZGTCUCAGTUDUEZUFVDUSVAVBAUGVDGGUTKUHVDUTGIJGAGIU
    IULUJUKVDVEVBVFAUMUNUOUPUQ $.

  $( Square root of zero.  (Contributed by Mario Carneiro, 9-Jul-2013.) $)
  sqrt0 $p |- ( sqrt ` 0 ) = 0 $=
    ( vx cc0 csqrt cfv cv c2 cexp co wceq cre cle wbr ci cmul crp wnel wcel 0cn
    cc ax-mp w3a sqrtval id wb wa sqr0lem biimpi ex simpr sylbir impbid1 adantl
    crio riota5 eqtri ) BCDZAEZFGHBIBUQJDKLMUQNHOPUAZASUMZBBSQZUPUSIRABUBTUTUSB
    IRUTURASBUTUCUQSQZURUQBIZUDUTVAURVBVAURVBVAURUEZVBUQUFZUGUHVBVCURVDVAURUIUJ
    UKULUNTUO $.

  ${
    $d a b u v y z S $.  $d a b v x y z A $.  $d v y z B $.
    sqrlem1.1 $e |- S = { x e. RR+ | ( x ^ 2 ) <_ A } $.
    sqrlem1.2 $e |- B = sup ( S , RR , < ) $.
    $( Lemma for ~ 01sqrex .  (Contributed by Mario Carneiro, 10-Jul-2013.) $)
    sqrlem1 $p |- ( ( A e. RR+ /\ A <_ 1 ) -> A. y e. S y <_ 1 ) $=
      ( crp wcel c1 cle wbr wa cv c2 cexp co cr rpre ad2antrl weq breq1d elrab2
      oveq1 simprr simplr wi resqcld ad2antrr 1re letr mp3an3 syl2anc breqtrrdi
      mp2and sq1 cc0 wb rpge0 0le1 le2sq mpanr12 mpbird ex syl5bi ralrimiv ) CH
      IZCJKLZMZBNZJKLZBEVJEIVJHIZVJOPQZCKLZMZVIVKANZOPQZCKLVNAVJHEABUAVQVMCKVPV
      JOPUDUBFUCVIVOVKVIVOMZVKVMJOPQZKLZVRVMJVSKVRVNVHVMJKLZVIVLVNUEVGVHVOUFVRV
      MRIZCRIZVNVHMWAUGZVRVJVLVJRIZVIVNVJSTZUHVGWCVHVOCSUIWBWCJRIZWDUJVMCJUKULU
      MUOUPUNVRWEUQVJKLZVKVTURZWFVLWHVIVNVJUSTWEWHMWGUQJKLWIUJUTVJJVAVBUMVCVDVE
      VF $.

    $( Lemma for ~ 01sqrex .  (Contributed by Mario Carneiro, 10-Jul-2013.) $)
    sqrlem2 $p |- ( ( A e. RR+ /\ A <_ 1 ) -> A e. S ) $=
      ( crp wcel c1 cle wbr wa c2 cexp co simpl cmul cr wceq adantr cc0 wb rpre
      clt rpgt0 1re lemul1 mp3an2 syl12anc biimpa rpcn sqval eqcomd syl mulid2d
      cc 3brtr3d cv oveq1 breq1d elrab2 sylanbrc ) BGHZBIJKZLZVCBMNOZBJKZBDHVCV
      DPVEBBQOZIBQOZVFBJVCVDVHVIJKZVCBRHZVKUABUDKZVDVJUBZBUCZVNBUEVKIRHVKVLLVMU
      FBIBUGUHUIUJVEBUPHZVHVFSVCVOVDBUKZTVOVFVHBULUMUNVCVIBSVDVCBVPUOTUQAURZMNO
      ZBJKVGABGDVQBSVRVFBJVQBMNUSUTEVAVB $.

    $( Lemma for ~ 01sqrex .  (Contributed by Mario Carneiro, 10-Jul-2013.) $)
    sqrlem3 $p |- ( ( A e. RR+ /\ A <_ 1 ) ->
      ( S C_ RR /\ S =/= (/) /\ E. z e. RR A. y e. S y <_ z ) ) $=
      ( crp wcel c1 cle wbr wa cr wss c0 wne cv wral wrex c2 cexp ssrab2 rpssre
      crab sstri eqsstri a1i sqrlem2 ne0d 1re sqrlem1 brralrspcev sylancr 3jca
      co ) DIJDKLMNZFOPZFQRBSZCSLMBFTCOUAZUSURFASUBUCUQDLMZAIUFZOGVCIOVBAIUDUEU
      GUHUIURFDADEFGHUJUKURKOJUTKLMBFTVAULABDEFGHUMCBUTKLOFUNUOUP $.

    $( Lemma for ~ 01sqrex .  (Contributed by Mario Carneiro, 10-Jul-2013.) $)
    sqrlem4 $p |- ( ( A e. RR+ /\ A <_ 1 ) -> ( B e. RR+ /\ B <_ 1 ) ) $=
      ( vz vy crp wcel c1 cle wbr wa cr clt csup cv wral cc0 wss c0 wne sqrlem3
      wrex w3a suprcl eqeltrid rpgt0 adantr sqrlem2 suprub syl2anc breqtrrdi wi
      syl 0re rpre ltletr mp3an2ani mp2and elrpd sqrlem1 wb 1re suprleub mpbird
      sylancl eqbrtrid jca ) BIJZBKLMZNZCIJCKLMVMCVMCDOPQZOFVMDOUADUBUCGRZHRLMG
      DSHOUEUFZVNOJAGHBCDEFUDZHGDUGUPUHZVMTBPMZBCLMZTCPMZVKVSVLBUIUJVMBVNCLVMVP
      BDJBVNLMVQABCDEFUKHGDBULUMFUNTOJVKBOJVLCOJVSVTNWAUOUQBURVRTBCUSUTVAVBVMCV
      NKLFVMVNKLMZVOKLMGDSZAGBCDEFVCVMVPKOJWBWCVDVQVEHGGDKVFVHVGVIVJ $.

    $d u v T $.
    sqrlem5.3 $e |- T = { y | E. a e. S E. b e. S y = ( a x. b ) } $.
    $( Lemma for ~ 01sqrex .  (Contributed by Mario Carneiro, 10-Jul-2013.) $)
    sqrlem5 $p |- ( ( A e. RR+ /\ A <_ 1 ) ->
      ( ( T C_ RR /\ T =/= (/) /\ E. v e. RR A. u e. T u <_ v ) /\
        ( B ^ 2 ) = sup ( T , RR , < ) ) ) $=
      ( vz crp wcel cle wbr cr cv c1 wa wss c0 wne wral wrex w3a c2 cexp co clt
      csup wceq cc0 ssrab3 sseli rpge0d rgen sqrlem3 3anbi1i supmullem2 mp3an2i
      pm4.24 cmul sqrlem4 rpre adantr syl recnd sqvald oveq12i supmul eqtrd jca
      eqtrid ) EOPEUAQRUBZHSUCHUDUEDTCTZQRDHUFCSUGUHZFUIUJUKZHSULUMZUNUOVRQRZCG
      UFZVQGSUCGUDUENTVRQRNGUFCSUGUHZWDVSWBCGVRGPVRGOVRATUIUJUKEQRAOGKUPUQURUSZ
      ANCEFGKLUTZWFWCWDWDUHZCNBDIGGHJMWCWCWCUBWDWDWCVDVAZVBVCVQVTFFVEUKZWAVQFVQ
      FVQFOPZFUAQRZUBFSPZAEFGKLVFWJWLWKFVGVHVIVJVKVQWIGSULUMZWMVEUKZWAFWMFWMVEL
      LVLWCVQWDWDWNWAUNWEWFWFWGCNBIGGHJMWHVMVCVPVNVO $.

    $d a b v x y A $.  $d v y B $.
    $( Lemma for ~ 01sqrex .  (Contributed by Mario Carneiro, 10-Jul-2013.) $)
    sqrlem6 $p |- ( ( A e. RR+ /\ A <_ 1 ) -> ( B ^ 2 ) <_ A ) $=
      ( vv wcel cle wbr wa c2 co cr wb vu crp c1 cexp clt csup wss c0 wral wrex
      wne cv w3a wceq sqrlem5 simprd cmul vex weq eqeq1 2rexbidv elab2 wi oveq1
      breq1d elrab2 simplbi cc0 rpre adantr adantl rpgt0 lemul1 syl112anc rpcnd
      syl2an sqvald breq2d simprbi ad2antll rpred remulcl resqcld ad2antrr letr
      bitr4d syl3anc mpan2d sylbid lemul2 ad2antrl sqrlem3 simp1d sseld anim12d
      wo imp letric syl mpjaod ex breq1 biimprcd syl6 rexlimdvv syl5bi ralrimiv
      simpld suprleub syl2anc mpbird eqbrtrd ) CUBMZCUCNOZPZDQUDRZFSUEUFZCNXOFS
      UGFUHUKUAULLULZNOUAFUILSUJUMZXPXQUNZABLUACDEFGHIJKUOZUPXOXQCNOZXRCNOZLFUI
      ZXOYCLFXRFMXRGULZHULZUQRZUNZHEUJGEUJZXOYCBULZYGUNZHEUJGEUJYIBXRFLURBLUSYK
      YHGHEEYJXRYGUTVAKVBXOYHYCGHEEXOYEEMZYFEMZPZYGCNOZYHYCVCXOYNYOXOYNPZYEYFNO
      ZYOYFYENOZYPYQYGYFQUDRZNOZYOYNYQYTTXOYNYQYGYFYFUQRZNOZYTYLYEUBMZYFUBMZYQU
      UBTZYMYLUUCYEQUDRZCNOZAULZQUDRZCNOZUUGAYEUBEAGUSUUIUUFCNUUHYEQUDVDVEIVFZV
      GZYMUUDYSCNOZUUJUUMAYFUBEAHUSUUIYSCNUUHYFQUDVDVEIVFZVGZUUCUUDPZYESMZYFSMZ
      UURVHYFUEOZUUEUUCUUQUUDYEVIVJZUUDUURUUCYFVIVKZUVAUUDUUSUUCYFVLVKYEYFYFVMV
      NVPYMYTUUBTYLYMYSUUAYGNYMYFYMYFUUOVOVQVRVKWFVKYPYTUUMYOYMUUMXOYLYMUUDUUMU
      UNVSVTYPYGSMZYSSMZCSMZYTUUMPYOVCYNUVBXOYLUUQUURUVBYMYLYEUULWAZYMYFUUOWAZY
      EYFWBVPVKZYMUVCXOYLYMYFUVFWCVTXMUVDXNYNCVIZWDZYGYSCWEWGWHWIYPYRYGUUFNOZYO
      YNYRUVJTXOYNYRYGYEYEUQRZNOZUVJYLUUCUUDYRUVLTZYMUULUUOUUPUURUUQUUQVHYEUEOZ
      UVMUVAUUTUUTUUCUVNUUDYEVLVJYFYEYEWJVNVPYLUVJUVLTYMYLUUFUVKYGNYLYEYLYEUULV
      OVQVRVJWFVKYPUVJUUGYOYLUUGXOYMYLUUCUUGUUKVSWKYPUVBUUFSMZUVDUVJUUGPYOVCUVG
      YLUVOXOYMYLYEUVEWCWKUVIYGUUFCWEWGWHWIYPUUQUURPZYQYRWPXOYNUVPXOYLUUQYMUURX
      OESYEXOESUGEUHUKXRYJNOLEUIBSUJALBCDEIJWLWMZWNXOESYFUVQWNWOWQYEYFWRWSWTXAY
      HYCYOXRYGCNXBXCXDXEXFXGXOXSUVDYBYDTXOXSXTYAXHXMUVDXNUVHVJLUALFCXIXJXKXL
      $.

    $( Lemma for ~ 01sqrex .  (Contributed by Mario Carneiro, 10-Jul-2013.)
       (Proof shortened by AV, 9-Jul-2022.) $)
    sqrlem7 $p |- ( ( A e. RR+ /\ A <_ 1 ) -> ( B ^ 2 ) = A ) $=
      ( crp wcel c1 cle wbr c2 co c3 cr vz wa cexp wceq sqrlem6 cmin cdiv caddc
      clt wn wss c0 wne cv wral wrex w3a sqrlem3 adantr sqrlem4 simpld rpre syl
      resqcld resubcld cc0 posdifd biimpa elrpd 3rp rpdivcl sylancl rpaddcld cc
      cmul recnd cn 3nn nndivre binom2 syl2anc remulcld remulcl sylancr addassd
      2re eqtrd mulass mp3an2i eqcomd sqvald oveq12d adddird eqtr4d simprd 1red
      2cn 2rp a1i lemul2d mpbid 2t1e2 breqtrdi sqge0d addge01d lesubaddd mpbird
      simplr letrd 1le3 wi 1re 3re letr mp3an23 mpan2i mpd 3t1e3 breqtrrdi 3pos
      wb ledivmul mp3an2 mpanr12 le2add mp2and readdcld lemul1d divcan2 breqtrd
      df-3 3cn 3ne0 eqbrtrd leaddsub2d oveq1 breq1d crab cbvrabv eqtri sylanbrc
      elrab2 csup suprub rpgt0d ltaddposd ltnled bitrd syldan eqleltd mpbir2and
      pm2.65da ) CLMZCNOPZUBZDQUCRZCUDUUPCOPUUPCUIPZUJABCDEFGHIJKUEUUOUUQDCUUPU
      FRZSUGRZUHRZDOPZUUOUUQUBZETUKEULUMUAUNBUNZOPUAEUOBTUPUQZUUTEMZUVAUUOUVDUU
      QAUABCDEIJURUSUVBUUTLMUUTQUCRZCOPZUVEUVBDUUSUVBDLMZDNOPZUUOUVHUVIUBZUUQAC
      DEIJUTZUSVAUVBUURLMSLMUUSLMUVBUURUUOUURTMZUUQUUOCUUPUUMCTMZUUNCVBUSZUUODU
      UOUVJDTMZUVKUVHUVOUVIDVBUSVCZVDZVEZUSZUUOUUQVFUURUIPUUOUUPCUVQUVNVGVHVIVJ
      UURSVKVLZVMUVBUVFUUPQDUUSVORZVORZUUSQUCRZUHRZUHRZCOUVBUVFUUPUWBUHRUWCUHRZ
      UWEUVBDVNMZUUSVNMZUVFUWFUDUVBDUUOUVOUUQUVPUSZVPZUVBUUSUUOUUSTMZUUQUUOUVLS
      VQMUWKUVRVRUURSVSVLZUSZVPZDUUSVTWAUVBUUPUWBUWCUVBUUPUUOUUPTMUUQUVQUSZVPUV
      BUWBUVBQTMZUWATMUWBTMWFUVBDUUSUWIUWMWBQUWAWCWDZVPUVBUWCUVBUUSUWMVDZVPWEWG
      UVBUWECOPUWDUUROPUVBUWDQDVORZUUSUHRZUUSVORZUUROUVBUWDUWSUUSVORZUUSUUSVORZ
      UHRUXAUVBUWBUXBUWCUXCUHUVBUXBUWBQVNMUVBUWGUWHUXBUWBUDWQUWJUWNQDUUSWHWIWJU
      VBUUSUWNWKWLUVBUWSUUSUUSUVBUWSUVBUWPUVOUWSTMZWFUWIQDWCWDZVPUWNUWNWMWNUVBU
      XASUUSVORZUUROUVBUWTSOPUXAUXFOPUVBUWTQNUHRZSOUVBUWSQOPZUUSNOPZUWTUXGOPZUV
      BUWSQNVORZQOUUOUWSUXKOPZUUQUUOUVIUXLUUOUVHUVIUVKWOUUODNQUVPUUOWPQLMUUOWRW
      SWTXAUSXBXCUVBUXIUURSNVORZOPZUVBUURSUXMOUVBUURNOPZUURSOPZUVBUURCNUVSUUOUV
      MUUQUVNUSZUVBWPUVBUURCOPCCUUPUHROPZUVBVFUUPOPUXRUVBDUWIXDUVBCUUPUXQUWOXEX
      AUVBCUUPCUXQUWOUXQXFXGUUMUUNUUQXHXIUVBUXONSOPZUXPXJUVBUVLUXOUXSUBUXPXKZUV
      SUVLNTMZSTMZUXTXLXMUURNSXNXOVCXPXQXRXSUVBUVLUXIUXNYAZUVSUVLUYBVFSUIPZUYCX
      MXTUVLUYAUYBUYDUBUYCXLUURNSYBYCYDVCXGUVBUXDUWKUXHUXIUBUXJXKZUXEUWMUXDUWKU
      BUWPUYAUYEWFXLUWSUUSQNYEYDWAYFYKXSUVBUWTSUUSUVBUWSUUSUXEUWMYGUYBUVBXMWSUV
      TYHXAUVBUURVNMZUXFUURUDZUVBUURUVSVPUYFSVNMSVFUMUYGYLYMUURSYIXOVCYJYNUVBUU
      PUWDCUWOUVBUWBUWCUWQUWRYGUXQYOXGYNUVCQUCRZCOPZUVGBUUTLEUVCUUTUDUYHUVFCOUV
      CUUTQUCYPYQEAUNZQUCRZCOPZALYRUYIBLYRIUYLUYIABLUYJUVCUDUYKUYHCOUYJUVCQUCYP
      YQYSYTUUBUUAUVDUVEUBUUTETUIUUCDOBUAEUUTUUDJXSWAUUOUUQVFUUSUIPZUVAUJZUVBUU
      SUVTUUEUUOUYMUYNUUOUYMDUUTUIPUYNUUOUUSDUWLUVPUUFUUODUUTUVPUUODUUSUVPUWLYG
      UUGUUHVHUUIUULUUOUUPCUVQUVNUUJUUK $.
  $}

  ${
    $d A w x y z $.
    $( Existence of a square root for reals in the interval ` ( 0 , 1 ] ` .
       (Contributed by Mario Carneiro, 10-Jul-2013.) $)
    01sqrex $p |- ( ( A e. RR+ /\ A <_ 1 ) ->
      E. x e. RR+ ( x <_ 1 /\ ( x ^ 2 ) = A ) ) $=
      ( vy vz vw crp wcel c1 cle wbr wa cv c2 cexp co crab cr wceq wrex eqid
      clt csup sqrlem4 cmul sqrlem7 breq1 eqeq1d anbi12d rspcev anassrs syl2anc
      cab oveq1 ) BFGBHIJKCLMNOBIJCFPZQUAUBZFGZUOHIJZKUOMNOZBRZALZHIJZUTMNOZBRZ
      KZAFSZCBUOUNUNTZUOTZUCCDBUOUNDLELUTUDORAUNSEUNSDULZEAVFVGVHTUEUPUQUSVEVDU
      QUSKAUOFUTUORZVAUQVCUSUTUOHIUFVIVBURBUTUOMNUMUGUHUIUJUK $.
  $}

  ${
    $d A x y $.
    $( Existence of a square root for positive reals.  (Contributed by Mario
       Carneiro, 9-Jul-2013.) $)
    resqrex $p |- ( ( A e. RR /\ 0 <_ A ) ->
      E. x e. RR ( 0 <_ x /\ ( x ^ 2 ) = A ) ) $=
      ( vy cr wcel cc0 cle wbr wa c1 c2 cexp co wceq wi clt 0re crp cdiv syldan
      cv wrex wo wb leloe mpan elrp 01sqrex rprege0 anass sylib adantrl reximi2
      anim1i syl sylanbr exp31 sq0 eqtrid 0le0 jctil breq2 oveq1 eqeq1d anbi12d
      id rspcev sylancr a1i13 jaod sylbid imp 0lt1 ltletr mp3an12 mpani biimpri
      rpreccld simpr lerec mpanl12 mpbid 1div1e1 breqtrdi syl2anc rpre 3ad2ant2
      1re w3a rpgt0 wne gt0ne0 rereccl recgt0 ltle sylc cc adantr sqrecd simp3r
      recn oveq2d recrec syl2an2r 3ad2ant1 3eqtrd syl12anc rexlimdv3a mpd simpl
      ex letric sylancl mpjaod ) BDEZFBGHZIZBJGHZFAUAZGHZXSKLMZBNZIZADUBZJBGHZX
      OXPXRYDOZXOXPFBPHZFBNZUCZYFFDEZXOXPYIUDQFBUEUFXOYGYFYHXOYGXRYDXOYGIZBREZX
      RYDBUGZYLXRIXSJGHZYBIZARUBYDABUHYOYCARDXSREZYBXSDEZYCIZYNYPYBIYQXTIZYBIYR
      YPYSYBXSUIUNYQXTYBUJUKULUMUOUPUQXOYHXRYDYHYJFFGHZFKLMZBNZIZYDQYHUUBYTYHUU
      AFBURYHVFUSUTVAYCUUCAFDXSFNZXTYTYBUUBXSFFGVBUUDYAUUABXSFKLVCVDVEVGVHVIVJV
      KVLXOYEYDOXPXOYEYDXOYEIZCUAZJGHZUUFKLMZJBSMZNZIZCRUBZYDUUEUUIREUUIJGHUULU
      UEBXOYEYGYLXOYEYGXOFJPHZYEYGVMYJJDEZXOUUMYEIYGOQWHFJBVNVOVPVLZYLYKYMVQTVR
      UUEUUIJJSMZJGUUEYEUUIUUPGHZXOYEVSXOYEYGYEUUQUDZUUOUUNUUMYKUURWHVMJBVTWATW
      BWCWDCUUIUHWEUUEUUKYDCRUUEUUFREZUUKWIZJUUFSMZDEZFUVAGHZUVAKLMZBNZYDUUTUUF
      DEZFUUFPHZUVBUUSUUEUVFUUKUUFWFWGZUUSUUEUVGUUKUUFWJWGZUVFUVGUUFFWKUVBUUFWL
      ZUUFWMTZWEUUTUVFUVGUVCUVHUVIUVFUVGIZUVBFUVAPHZUVCUVKUUFWNYJUVBUVMUVCOQFUV
      AWOUFWPWEUUTUVDJUUHSMZJUUISMZBUUTUVFUVGUVDUVNNUVHUVIUVLUUFUVFUUFWQEUVGUUF
      XAWRUVJWSWEUUTUUHUUIJSUUEUUSUUGUUJWTXBUUEUUSUVOBNZUUKXOBWQEYEBFWKZUVPBXAX
      OYEYGUVQUUOBWLTBXCXDXEXFYCUVCUVEIAUVADXSUVANZXTUVCYBUVEXSUVAFGVBUVRYAUVDB
      XSUVAKLVCVDVEVGXGXHXIXKWRXQXOUUNXRYEUCXOXPXJWHBJXLXMXN $.

    $( Uniqueness for the square root function.  (Contributed by Mario
       Carneiro, 9-Jul-2013.)  (Revised by NM, 17-Jun-2017.) $)
    sqrmo $p |- ( A e. CC -> E* x e. CC ( ( x ^ 2 ) = A /\
        0 <_ ( Re ` x ) /\ ( _i x. x ) e/ RR+ ) ) $=
      ( vy cc wcel c2 cexp co wceq cc0 cre cfv cle wbr ci cmul crp wnel wa wi
      cv w3a weq wral wrmo wn cneg wo simplr1 simprr1 eqtr4d wb sqeqor ad2ant2r
      mpbid ord 3simpc fveq2 breq2d oveq2 neleq1 syl anbi12d syl5ibcom ad2antlr
      syld negeq neg0 eqtrdi eqeq2d eqeq2 bitr4d biimpcd necon3bd cnpart syl5ib
      wne syli impancom adantl pm2.65d notnotrd an4s a1i ralrimivv oveq1 eqeq1d
      ex 3anbi123d rmo4 sylibr ) BDEZAUAZFGHZBIZJWMKLZMNZOWMPHZQRZUBZCUAZFGHZBI
      ZJXAKLZMNZOXAPHZQRZUBZSZACUCZTZCDUDADUDWTADUEWLXKACDDWMDEZXADEZSZXKTWLXNX
      IXJXLWTXMXHXJXLWTSZXMXHSZSZXJXQXJUFZJXAUGZKLZMNZOXSPHZQRZSZXQXRWMXSIZYDXQ
      XJYEXQWNXBIZXJYEUHZXQWNBXBWOWQWSXLXPUIXCXEXGXMXOUJUKXLXMYFYGULWTXHWMXAUMU
      NUOUPZWTYEYDTXLXPWTWQWSSYEYDWOWQWSUQYEWQYAWSYCYEWPXTJMWMXSKURUSYEWRYBIWSY
      CULWMXSOPUTWRYBQVAVBVCVDVEVFXQXRXAJVQZYDUFZXRXQYEYIYHYEXJXAJXAJIZYEXJYKYE
      WMJIXJYKXSJWMYKXSJUGJXAJVGVHVIVJXAJWMVKVLVMVNVRXPYIYJTXOXMYIXHYJXHXEXGSXM
      YISYJXCXEXGUQXAVOVPVSVTVFWAWBWCWHWDWEWTXHACDXJWOXCWQXEWSXGXJWNXBBWMXAFGWF
      WGXJWPXDJMWMXAKURUSXJWRXFIWSXGULWMXAOPUTWRXFQVAVBWIWJWK $.
  $}

  ${
    $d A x $.
    $( Existence and uniqueness for the real square root function.
       (Contributed by Mario Carneiro, 9-Jul-2013.) $)
    resqreu $p |- ( ( A e. RR /\ 0 <_ A ) -> E! x e. CC ( ( x ^ 2 ) = A /\
        0 <_ ( Re ` x ) /\ ( _i x. x ) e/ RR+ ) ) $=
      ( cr wcel cc0 cle wbr wa cv c2 cexp co wceq cre cfv wrex recn adantr syl
      cc cmul crp wnel w3a wrmo wreu resqrex simprr rere breq2d biimpar adantrr
      ci rennim 3jca jca reximi2 sqrmo reu5 sylanbrc ) BCDZEBFGZHZAIZJKLBMZEVDN
      OZFGZUMVDUALUBUCZUDZATPZVIATUEZVIATUFVCEVDFGZVEHZACPVJABUGVMVIACTVDCDZVMH
      ZVDTDZVIVNVPVMVDQRVOVEVGVHVNVLVEUHVNVLVGVEVNVGVLVNVFVDEFVDUIUJUKULVNVHVMV
      DUNRUOUPUQSVCBTDZVKVAVQVBBQRABURSVIATUSUT $.
  $}

  ${
    $d A x y $.
    $( Closure of the square root function.  (Contributed by Mario Carneiro,
       9-Jul-2013.) $)
    resqrtcl $p |- ( ( A e. RR /\ 0 <_ A ) -> ( sqrt ` A ) e. RR ) $=
      ( vy vx cr wcel cc0 cle wbr c2 cexp co wceq cfv w3a cre cmul crp 3ad2ant2
      ci cc wa cv wrex resqrex wnel crio simp1l recn sqrtval 3syl simp3r simp3l
      csqrt rere breqtrrd rennim 3jca wreu resqreu 3ad2ant1 oveq1 eqeq1d breq2d
      fveq2 oveq2 neleq1 syl 3anbi123d riota2 syl2anc mpbid eqtrd simp2 eqeltrd
      wb rexlimdv3a mpd ) ADEZFAGHZUAZFBUBZGHZWAIJKZALZUAZBDUCAUMMZDEZBAUDVTWEW
      GBDVTWADEZWENZWFWADWIWFCUBZIJKZALZFWJOMZGHZSWJPKZQUEZNZCTUFZWAWIVRATEWFWR
      LVRVSWHWEUGAUHCAUIUJWIWDFWAOMZGHZSWAPKZQUEZNZWRWALZWIWDWTXBVTWHWBWDUKWIFW
      AWSGVTWHWBWDULWHVTWSWALWEWAUNRUOWHVTXBWEWAUPRUQWIWATEZWQCTURZXCXDVOWHVTXE
      WEWAUHRVTWHXFWECAUSUTWQXCCTWAWJWALZWLWDWNWTWPXBXGWKWCAWJWAIJVAVBXGWMWSFGW
      JWAOVDVCXGWOXALWPXBVOWJWASPVEWOXAQVFVGVHVIVJVKVLVTWHWEVMVNVPVQ $.

    $( Lemma for ~ resqrtth .  (Contributed by Mario Carneiro, 9-Jul-2013.) $)
    resqrtthlem $p |- ( ( A e. RR /\ 0 <_ A ) -> ( ( ( sqrt ` A ) ^ 2 ) = A /\
        0 <_ ( Re ` ( sqrt ` A ) ) /\ ( _i x. ( sqrt ` A ) ) e/ RR+ ) ) $=
      ( vx wcel cc0 cle wbr cfv c2 cexp co wceq cre ci cmul crp wnel w3a cc syl
      wb cr wa csqrt cv crio sqrtval eqcomd adantr resqrtcl recnd resqreu oveq1
      recn eqeq1d fveq2 breq2d oveq2 neleq1 3anbi123d riota2 syl2anc mpbird
      wreu ) AUACZDAEFZUBZAUCGZHIJZAKZDVGLGZEFZMVGNJZOPZQZBUDZHIJZAKZDVOLGZEFZM
      VONJZOPZQZBRUEZVGKZVDWDVEVDARCZWDAUMWEVGWCBAUFUGSUHVFVGRCWBBRVCVNWDTVFVGA
      UIUJBAUKWBVNBRVGVOVGKZVQVIVSVKWAVMWFVPVHAVOVGHIULUNWFVRVJDEVOVGLUOUPWFVTV
      LKWAVMTVOVGMNUQVTVLOURSUSUTVAVB $.
  $}

  $( Square root theorem over the reals.  Theorem I.35 of [Apostol] p. 29.
     (Contributed by Mario Carneiro, 9-Jul-2013.) $)
  resqrtth $p |- ( ( A e. RR /\ 0 <_ A ) -> ( ( sqrt ` A ) ^ 2 ) = A ) $=
    ( cr wcel cc0 cle wbr wa csqrt cfv c2 cexp co wceq cre cmul crp resqrtthlem
    ci wnel simp1d ) ABCDAEFGAHIZJKLAMDUANIEFRUAOLPSAQT $.

  $( Square of square root.  (Contributed by Mario Carneiro, 10-Jul-2013.) $)
  remsqsqrt $p |- ( ( A e. RR /\ 0 <_ A ) ->
    ( ( sqrt ` A ) x. ( sqrt ` A ) ) = A ) $=
    ( cr wcel cc0 cle wbr wa csqrt cfv c2 cexp co cmul resqrtcl sqvald resqrtth
    recnd eqtr3d ) ABCDAEFGZAHIZJKLTTMLASTSTANQOAPR $.

  $( The square root function is nonnegative for nonnegative input.
     (Contributed by NM, 26-May-1999.)  (Revised by Mario Carneiro,
     9-Jul-2013.) $)
  sqrtge0 $p |- ( ( A e. RR /\ 0 <_ A ) -> 0 <_ ( sqrt ` A ) ) $=
    ( cr wcel cc0 cle wbr wa csqrt cfv cre c2 cexp co wceq cmul crp resqrtthlem
    ci wnel simp2d resqrtcl rered breqtrd ) ABCDAEFGZDAHIZJIZUEEUDUEKLMANDUFEFR
    UEOMPSAQTUDUEAUAUBUC $.

  $( The square root function is positive for positive input.  (Contributed by
     Mario Carneiro, 10-Jul-2013.)  (Revised by Mario Carneiro, 6-Sep-2013.) $)
  sqrtgt0 $p |- ( ( A e. RR /\ 0 < A ) -> 0 < ( sqrt ` A ) ) $=
    ( cr wcel cc0 clt wbr wa csqrt cfv cle wi 0re ltle mpan imp resqrtcl syldan
    sqrtge0 wne wceq gt0ne0 c2 cexp sq0i resqrtth eqeq1d syl5ib necon3d ne0gt0d
    co mpd ) ABCZDAEFZGZAHIZULUMDAJFZUOBCULUMUPDBCULUMUPKLDAMNOZAPQULUMUPDUOJFU
    QARQUNADSUODSAUAUNUODADUODTUOUBUCUJZDTUNADTUOUDUNURADULUMUPURATUQAUEQUFUGUH
    UKUI $.

  $( Square root distributes over multiplication.  (Contributed by NM,
     30-Jul-1999.)  (Revised by Mario Carneiro, 29-May-2016.) $)
  sqrtmul $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
             ( sqrt ` ( A x. B ) ) = ( ( sqrt ` A ) x. ( sqrt ` B ) ) ) $=
    ( cr wcel cc0 cle wbr wa cmul co csqrt cfv remulcld resqrtcl syl2anc adantr
    sqrtge0 c2 cexp resqrtth simpll simprl mulge0 adantl oveqan12d recnd sqmuld
    mulge0d wceq 3eqtr4rd sq11d ) ACDZEAFGZHZBCDZEBFGZHZHZABIJZKLZAKLZBKLZIJZUR
    USCDZEUSFGZUTCDURABULUMUQUAUNUOUPUBMZABUCZUSNOURVAVBUNVACDUQANPZUQVBCDUNBNU
    DZMURVDVEEUTFGVFVGUSQOURVAVBVHVIUNEVAFGUQAQPUQEVBFGUNBQUDUHURVARSJZVBRSJZIJ
    USVCRSJUTRSJZUNUQVJAVKBIATBTUEURVAVBURVAVHUFURVBVIUFUGURVDVEVLUSUIVFVGUSTOU
    JUK $.

  $( Square root is monotonic.  (Contributed by NM, 17-Mar-2005.)  (Proof
     shortened by Mario Carneiro, 29-May-2016.) $)
  sqrtle $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
      ( A <_ B <-> ( sqrt ` A ) <_ ( sqrt ` B ) ) ) $=
    ( cr wcel cc0 cle wbr wa csqrt cfv c2 cexp co wb resqrtcl sqrtge0 jca le2sq
    syl2an resqrtth breqan12d bitr2d ) ACDEAFGHZBCDEBFGHZHAIJZBIJZFGZUEKLMZUFKL
    MZFGZABFGUCUECDZEUEFGZHUFCDZEUFFGZHUGUJNUDUCUKULAOAPQUDUMUNBOBPQUEUFRSUCUDU
    HAUIBFATBTUAUB $.

  $( Square root is strictly monotonic.  Closed form of ~ sqrtlti .
     (Contributed by Scott Fenton, 17-Apr-2014.)  (Proof shortened by Mario
     Carneiro, 29-May-2016.) $)
  sqrtlt $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
    ( A < B <-> ( sqrt ` A ) < ( sqrt ` B ) ) ) $=
    ( cr wcel cc0 cle wbr wa wn csqrt cfv wb sqrtle ancoms notbid simpll simprl
    clt ltnled resqrtcl adantr adantl 3bitr4d ) ACDZEAFGZHZBCDZEBFGZHZHZBAFGZIB
    JKZAJKZFGZIABRGUMULRGUJUKUNUIUFUKUNLBAMNOUJABUDUEUIPUFUGUHQSUJUMULUFUMCDUIA
    TUAUIULCDUFBTUBSUC $.

  $( The square root function is one-to-one.  (Contributed by Scott Fenton,
     11-Jun-2013.) $)
  sqrt11 $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
    ( ( sqrt ` A ) = ( sqrt ` B ) <-> A = B ) ) $=
    ( cr wcel cc0 cle wbr wa csqrt cfv c2 cexp co wceq wb resqrtcl sqrtge0 sq11
    jca resqrtth syl2an eqeqan12d bitr3d ) ACDEAFGHZBCDEBFGHZHAIJZKLMZBIJZKLMZN
    ZUFUHNZABNUDUFCDZEUFFGZHUHCDZEUHFGZHUJUKOUEUDULUMAPAQSUEUNUOBPBQSUFUHRUAUDU
    EUGAUIBATBTUBUC $.

  $( A square root is zero iff its argument is 0.  (Contributed by NM,
     27-Jul-1999.)  (Proof shortened by Mario Carneiro, 29-May-2016.) $)
  sqrt00 $p |- ( ( A e. RR /\ 0 <_ A ) ->
               ( ( sqrt ` A ) = 0 <-> A = 0 ) ) $=
    ( csqrt cfv cc0 wceq cr wcel cle wbr wa sqrt0 eqeq2i wb 0le0 sqrt11 mpanr12
    0re bitr3id ) ABCZDESDBCZEZAFGDAHIJZADEZTDSKLUBDFGDDHIUAUCMQNADOPR $.

  $( The square root of a positive real is a positive real.  (Contributed by
     NM, 22-Feb-2008.) $)
  rpsqrtcl $p |- ( A e. RR+ -> ( sqrt ` A ) e. RR+ ) $=
    ( crp wcel csqrt cfv cr cc0 cle wbr rpre rpge0 resqrtcl syl2anc clt sqrtgt0
    rpgt0 elrpd ) ABCZADEZRAFCZGAHISFCAJZAKALMRTGANIGSNIUAAPAOMQ $.

  $( Square root distributes over division.  (Contributed by Mario Carneiro,
     5-May-2016.) $)
  sqrtdiv $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ B e. RR+ ) ->
             ( sqrt ` ( A / B ) ) = ( ( sqrt ` A ) / ( sqrt ` B ) ) ) $=
    ( cr wcel cc0 cle wbr wa crp cdiv co csqrt cfv cmul rerpdivcl adantlr recnd
    clt adantl eqtr3d elrp divge0 sylan2b resqrtcl syl2anc rpsqrtcl rpne0d wceq
    rpcnd divcan4d rprege0 sqrtmul syl21anc simpll cc wne rpne0 divcan1d fveq2d
    rpcn oveq1d ) ACDZEAFGZHZBIDZHZABJKZLMZBLMZNKZVIJKVHALMZVIJKVFVHVIVFVHVFVGC
    DZEVGFGZVHCDVBVEVLVCABOPZVEVDBCDZEBRGHVMBUAABUBUCZVGUDUEQVFVIVEVIIDVDBUFSZU
    IVFVIVQUGUJVFVJVKVIJVFVGBNKZLMZVJVKVFVLVMVOEBFGHZVSVJUHVNVPVEVTVDBUKSVGBULU
    MVFVRALVFABVFAVBVCVEUNQVEBUODVDBUTSVEBEUPVDBUQSURUSTVAT $.

  $( The square root of a negative number.  (Contributed by Mario Carneiro,
     9-Jul-2013.) $)
  sqrtneglem $p |- ( ( A e. RR /\ 0 <_ A ) ->
      ( ( ( _i x. ( sqrt ` A ) ) ^ 2 ) = -u A /\
        0 <_ ( Re ` ( _i x. ( sqrt ` A ) ) ) /\
        ( _i x. ( _i x. ( sqrt ` A ) ) ) e/ RR+ ) ) $=
    ( cr wcel cc0 cle wbr ci cfv cmul co cexp cneg wceq cre crp ax-icn recn syl
    c2 cc wa csqrt wnel c1 resqrtcl sqmul sylancr i2 a1i resqrtth adantr mulm1d
    oveq12d 3eqtrd renegcl 0re cim imre eqtr3d eqle 3syl mul2neg fveq2d breqtrd
    reim0 wn ixi oveq1i mulass mp3an12 mulm1 3eqtr3a sqrtge0 wb le0neg2 sylancl
    lenlt bitrd mpbid elrp biantrurd bitr4id mtbird eqneltrd df-nel sylibr 3jca
    clt ) ABCZDAEFZUAZGAUBHZIJZSKJZALZMDWMNHZEFGWMIJZOUCZWKWNGSKJZWLSKJZIJZUDLZ
    AIJWOWKGTCZWLTCZWNXAMPWKWLBCZXDAUEZWLQRZGWLUFUGWKWSXBWTAIWSXBMWKUHUIAUJUMWK
    AWIATCWJAQUKULUNWKDGLWLLZIJZNHZWPEWKXEXHBCZDXJEFZXFWLUOZXKDBCZDXJMXLUPXKXHU
    QHZDXJXHVEXKXHTCXOXJMXHQXHURRUSDXJUTUGVAWKXIWMNWKXCXDXIWMMPXGGWLVBUGVCVDWKW
    QOCVFWRWKWQXHOWKXDWQXHMXGXDGGIJZWLIJZXBWLIJWQXHXPXBWLIVGVHXCXCXDXQWQMPPGGWL
    VIVJWLVKVLRWKXHOCZDXHWHFZWKDWLEFZXSVFZAVMWKXEXTYAVNXFXEXTXHDEFZYAWLVOXEXKXN
    YBYAVNXMUPXHDVQVPVRRVSWKXRXKXSUAXSXHVTWKXKXSWKXEXKXFXMRWAWBWCWDWQOWEWFWG $.

  ${
    $d A x $.
    $( The square root of a negative number.  (Contributed by Mario Carneiro,
       9-Jul-2013.) $)
    sqrtneg $p |- ( ( A e. RR /\ 0 <_ A ) ->
        ( sqrt ` -u A ) = ( _i x. ( sqrt ` A ) ) ) $=
      ( vx wcel cc0 cle wbr csqrt cfv c2 cexp co wceq cre cmul crp wnel w3a syl
      ci cc cr wa cneg crio recn adantr negcld sqrtval sqrtneglem wreu resqrtcl
      cv ax-icn recnd mulcl sylancr wrex oveq1 eqeq1d fveq2 breq2d oveq2 neleq1
      wb wrmo 3anbi123d rspcev syl2anc sqrmo reu5 sylanbrc riota2 mpbid eqtrd )
      AUACZDAEFZUBZAUCZGHZBULZIJKZVRLZDVTMHZEFZSVTNKZOPZQZBTUDZSAGHZNKZVQVRTCZV
      SWHLVQAVOATCVPAUEUFUGZBVRUHRVQWJIJKZVRLZDWJMHZEFZSWJNKZOPZQZWHWJLZAUIZVQW
      JTCZWGBTUJZWSWTVDVQSTCWITCXBUMVQWIAUKUNSWIUOUPZVQWGBTUQZWGBTVEZXCVQXBWSXE
      XDXAWGWSBWJTVTWJLZWBWNWDWPWFWRXGWAWMVRVTWJIJURUSXGWCWODEVTWJMUTVAXGWEWQLW
      FWRVDVTWJSNVBWEWQOVCRVFZVGVHVQWKXFWLBVRVIRWGBTVJVKWGWSBTWJXHVLVHVMVN $.
  $}

  $( Relationship between square root and squares.  (Contributed by NM,
     31-Jul-1999.)  (Revised by Mario Carneiro, 29-May-2016.) $)
  sqrtsq2 $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
    ( ( sqrt ` A ) = B <-> A = ( B ^ 2 ) ) ) $=
    ( cr wcel cc0 cle wbr wa csqrt cfv c2 cexp co wceq wb resqrtcl sqrtge0 sq11
    jca sylan resqrtth adantr eqeq1d bitr3d ) ACDEAFGHZBCDEBFGHZHZAIJZKLMZBKLMZ
    NZUHBNZAUJNUEUHCDZEUHFGZHUFUKULOUEUMUNAPAQSUHBRTUGUIAUJUEUIANUFAUAUBUCUD $.

  $( Square root of square.  (Contributed by NM, 14-Jan-2006.)  (Revised by
     Mario Carneiro, 29-May-2016.) $)
  sqrtsq $p |- ( ( A e. RR /\ 0 <_ A ) -> ( sqrt ` ( A ^ 2 ) ) = A ) $=
    ( cr wcel cc0 cle wbr wa c2 cexp co csqrt cfv wceq eqid wb resqcl sqge0 jca
    adantr sqrtsq2 mpancom mpbiri ) ABCZDAEFZGZAHIJZKLAMZUFUFMZUFNUFBCZDUFEFZGZ
    UEUGUHOUCUKUDUCUIUJAPAQRSUFATUAUB $.

  $( Square root of square.  (Contributed by NM, 2-Aug-1999.)  (Revised by
     Mario Carneiro, 29-May-2016.) $)
  sqrtmsq $p |- ( ( A e. RR /\ 0 <_ A ) -> ( sqrt ` ( A x. A ) ) = A ) $=
    ( cr wcel cc0 cle wbr wa c2 cexp csqrt cfv simpl recnd sqvald fveq2d sqrtsq
    co cmul eqtr3d ) ABCZDAEFZGZAHIQZJKAARQZJKAUBUCUDJUBAUBATUALMNOAPS $.

  $( The square root of 1 is 1.  (Contributed by NM, 31-Jul-1999.) $)
  sqrt1 $p |- ( sqrt ` 1 ) = 1 $=
    ( c1 c2 cexp co csqrt cfv sq1 fveq2i wcel cc0 cle wbr wceq 1re sqrtsq mp2an
    cr 0le1 eqtr3i ) ABCDZEFZAEFATAEGHAQIJAKLUAAMNRAOPS $.

  $( The square root of 4 is 2.  (Contributed by NM, 3-Aug-1999.) $)
  sqrt4 $p |- ( sqrt ` 4 ) = 2 $=
    ( c2 cexp co csqrt cfv c4 sq2 fveq2i wcel cc0 cle wbr wceq 2re sqrtsq mp2an
    cr 0le2 eqtr3i ) AABCZDEZFDEATFDGHAQIJAKLUAAMNRAOPS $.

  $( The square root of 9 is 3.  (Contributed by NM, 11-May-2004.) $)
  sqrt9 $p |- ( sqrt ` 9 ) = 3 $=
    ( c3 c2 cexp co csqrt cfv c9 sq3 fveq2i cr wcel cc0 cle wbr wceq 3re ltleii
    0re 3pos sqrtsq mp2an eqtr3i ) ABCDZEFZGEFAUCGEHIAJKLAMNUDAOPLARPSQATUAUB
    $.

  $( The square root of 2 is bounded by 1 and 2.  (Contributed by Roy F.
     Longton, 8-Aug-2005.)  (Revised by Mario Carneiro, 6-Sep-2013.) $)
  sqrt2gt1lt2 $p |- ( 1 < ( sqrt ` 2 ) /\ ( sqrt ` 2 ) < 2 ) $=
    ( c1 c2 csqrt cfv clt wbr sqrt1 1lt2 cr wcel cc0 cle wb 2re 0le2 mp4an mpbi
    sqrtlt c4 4re 1re 0le1 eqbrtrri 2lt4 0re 4pos ltleii sqrt4 breqtri pm3.2i )
    ABCDZEFUKBEFACDZAUKEGABEFZULUKEFZHAIJKALFBIJZKBLFZUMUNMUAUBNOABRPQUCUKSCDZB
    EBSEFZUKUQEFZUDUOUPSIJKSLFURUSMNOTKSUETUFUGBSRPQUHUIUJ $.

  $( The imaginary unit is the square root of negative 1.  A lot of people like
     to call this the "definition" of ` _i ` , but the definition of ` sqrt `
     ~ df-sqrt has already been crafted with ` _i ` being mentioned explicitly,
     and in any case it doesn't make too much sense to define a value based on
     a function evaluated outside its domain.  A more appropriate view is to
     take ~ ax-i2m1 or ~ i2 as the "definition", and simply postulate the
     existence of a number satisfying this property.  This is the approach we
     take here.  (Contributed by Mario Carneiro, 10-Jul-2013.) $)
  sqrtm1 $p |- _i = ( sqrt ` -u 1 ) $=
    ( c1 cneg csqrt cfv ci cmul co wcel cc0 cle wbr wceq 1re 0le1 sqrtneg mp2an
    cr sqrt1 oveq2i ax-icn mulid1i 3eqtrri ) ABCDZEACDZFGZEAFGEAQHIAJKUCUELMNAO
    PUDAEFRSETUAUB $.

  $( A natural number with square one is equal to one.  (Contributed by Thierry
     Arnoux, 2-Feb-2020.)  (Proof shortened by Thierry Arnoux, 6-Jun-2023.) $)
  nn0sqeq1 $p |- ( ( N e. NN0 /\ ( N ^ 2 ) = 1 ) -> N = 1 ) $=
    ( cn0 wcel c2 cexp co c1 wceq wa csqrt cfv simpr fveq2d cr cc0 nn0re nn0ge0
    cle wbr sqrtsq syl2anc adantr sqrt1 a1i 3eqtr3d ) ABCZADEFZGHZIZUGJKZGJKZAG
    UIUGGJUFUHLMUFUJAHZUHUFANCOARSULAPAQATUAUBUKGHUIUCUDUE $.

  $( Absolute value of the opposite.  (Contributed by NM, 27-Feb-2005.) $)
  absneg $p |- ( A e. CC -> ( abs ` -u A ) = ( abs ` A ) ) $=
    ( cc wcel cneg ccj cfv cmul csqrt cabs cjneg oveq2d wceq cjcl mul2neg mpdan
    co eqtrd fveq2d negcl absval syl 3eqtr4d ) ABCZADZUDEFZGPZHFZAAEFZGPZHFUDIF
    ZAIFUCUFUIHUCUFUDUHDZGPZUIUCUEUKUDGAJKUCUHBCULUILAMAUHNOQRUCUDBCUJUGLASUDTU
    AATUB $.

  $( Real closure of absolute value.  (Contributed by NM, 3-Oct-1999.) $)
  abscl $p |- ( A e. CC -> ( abs ` A ) e. RR ) $=
    ( cc wcel cabs cfv ccj cmul csqrt absval cc0 cle cjmulrcl cjmulge0 resqrtcl
    co cr wbr syl2anc eqeltrd ) ABCZADEAAFEGOZHEZPAITUAPCJUAKQUBPCALAMUANRS $.

  $( The absolute value of a number and its conjugate are the same.
     Proposition 10-3.7(b) of [Gleason] p. 133.  (Contributed by NM,
     28-Apr-2005.) $)
  abscj $p |- ( A e. CC -> ( abs ` ( * ` A ) ) = ( abs ` A ) ) $=
    ( cc wcel ccj cfv cabs cmul co csqrt wceq cjcl absval syl mulcom mpdan cjcj
    oveq2d eqtr4d fveq2d ) ABCZADEZFEZAUAGHZIEZAFETUBUAUADEZGHZIEZUDTUABCZUBUGJ
    AKZUALMTUCUFITUCUAAGHZUFTUHUCUJJUIAUANOTUEAUAGAPQRSRALR $.

  $( Square of value of absolute value function.  (Contributed by NM,
     16-Jan-2006.) $)
  absvalsq $p |- ( A e. CC -> ( ( abs ` A ) ^ 2 ) = ( A x. ( * ` A ) ) ) $=
    ( cc wcel cabs cfv c2 cexp co ccj cmul csqrt absval oveq1d cc0 cle wbr wceq
    cr cjmulrcl cjmulge0 resqrtth syl2anc eqtrd ) ABCZADEZFGHAAIEJHZKEZFGHZUFUD
    UEUGFGALMUDUFRCNUFOPUHUFQASATUFUAUBUC $.

  $( Square of value of absolute value function.  (Contributed by NM,
     1-Feb-2007.) $)
  absvalsq2 $p |- ( A e. CC -> ( ( abs ` A ) ^ 2 ) =
                    ( ( ( Re ` A ) ^ 2 ) + ( ( Im ` A ) ^ 2 ) ) ) $=
    ( cc wcel cabs cfv c2 cexp ccj cmul cre cim caddc absvalsq cjmulval eqtrd
    co ) ABCADEFGPAAHEIPAJEFGPAKEFGPLPAMANO $.

  $( Square of absolute value of sum.  Proposition 10-3.7(g) of [Gleason]
     p. 133.  (Contributed by NM, 21-Jan-2007.) $)
  sqabsadd $p |- ( ( A e. CC /\ B e. CC ) -> ( ( abs ` ( A + B ) ) ^ 2 ) =
                  ( ( ( ( abs ` A ) ^ 2 ) + ( ( abs ` B ) ^ 2 ) )
                    + ( 2 x. ( Re ` ( A x. ( * ` B ) ) ) ) ) ) $=
    ( cc wcel wa caddc co ccj cmul cabs c2 cexp oveq2d wceq cjcl mpdan absvalsq
    cfv eqtrd sylan2 cre cjadd anim12i muladd addcl syl mulcom oveqan12d addcjd
    mulcl cjmul cjcj adantl eqtr3d oveq12d 3eqtr4d ) ACDZBCDZEZABFGZUTHRZIGZAAH
    RZIGZBHRZBIGZFGZAVEIGZVCBIGZFGZFGZUTJRKLGZAJRKLGZBJRKLGZFGZKVHUARIGZFGUSVBU
    TVCVEFGZIGZVKUSVAVQUTIABUBMUSVCCDZVECDZEVRVKNUQVSURVTAOBOZUCABVCVEUDPSUSUTC
    DVLVBNABUEUTQUFUSVOVGVPVJFUQURVMVDVNVFFAQURVNBVEIGZVFBQURVTWBVFNWABVEUGPSUH
    USVHVHHRZFGVPVJUSVHURUQVTVHCDWAAVEUJTUIUSWCVIVHFUSWCVCVEHRZIGZVIURUQVTWCWEN
    WAAVEUKTUSWDBVCIURWDBNUQBULUMMSMUNUOUP $.

  $( Square of absolute value of difference.  (Contributed by NM,
     21-Jan-2007.) $)
  sqabssub $p |- ( ( A e. CC /\ B e. CC ) -> ( ( abs ` ( A - B ) ) ^ 2 ) =
                  ( ( ( ( abs ` A ) ^ 2 ) + ( ( abs ` B ) ^ 2 ) )
                    - ( 2 x. ( Re ` ( A x. ( * ` B ) ) ) ) ) ) $=
    ( cc wcel wa cmin co ccj cfv cmul caddc cabs c2 cexp oveq2d wceq cjcl mpdan
    eqtrd absvalsq cre cjsub anim12i mulsub subcl mulcom oveqan12d mulcl sylan2
    syl addcjd cjmul cjcj adantl eqtr3d oveq12d 3eqtr4d ) ACDZBCDZEZABFGZVAHIZJ
    GZAAHIZJGZBHIZBJGZKGZAVFJGZVDBJGZKGZFGZVALIMNGZALIMNGZBLIMNGZKGZMVIUAIJGZFG
    UTVCVAVDVFFGZJGZVLUTVBVRVAJABUBOUTVDCDZVFCDZEVSVLPURVTUSWAAQBQZUCABVDVFUDRS
    UTVACDVMVCPABUEVATUJUTVPVHVQVKFURUSVNVEVOVGKATUSVOBVFJGZVGBTUSWAWCVGPWBBVFU
    FRSUGUTVIVIHIZKGVQVKUTVIUSURWAVICDWBAVFUHUIUKUTWDVJVIKUTWDVDVFHIZJGZVJUSURW
    AWDWFPWBAVFULUIUTWEBVDJUSWEBPURBUMUNOSOUOUPUQ $.

  $( Value of absolute value function.  Definition 10.36 of [Gleason] p. 133.
     (Contributed by NM, 17-Mar-2005.) $)
  absval2 $p |- ( A e. CC -> ( abs ` A ) =
               ( sqrt ` ( ( ( Re ` A ) ^ 2 ) + ( ( Im ` A ) ^ 2 ) ) ) ) $=
    ( cc wcel cabs cfv ccj cmul co csqrt cre c2 cexp cim absval cjmulval fveq2d
    caddc eqtrd ) ABCZADEAAFEGHZIEAJEKLHAMEKLHQHZIEANSTUAIAOPR $.

  $( The absolute value of 0.  (Contributed by NM, 26-Mar-2005.)  (Revised by
     Mario Carneiro, 29-May-2016.) $)
  abs0 $p |- ( abs ` 0 ) = 0 $=
    ( cc0 cabs cfv ccj cmul co csqrt cc wcel wceq 0cn absval ax-mp cjcli mul02i
    fveq2i sqrt0 3eqtri ) ABCZAADCZEFZGCZAGCAAHISUBJKALMUAAGTAKNOPQR $.

  $( The absolute value of the imaginary unit.  (Contributed by NM,
     26-Mar-2005.) $)
  absi $p |- ( abs ` _i ) = 1 $=
    ( ci cabs cfv cmul co csqrt c1 cc wcel wceq ax-icn absval ax-mp cneg oveq2i
    ccj cji mulneg2i ixi 3eqtri negeqi negneg1e1 eqtri fveq2i sqrt1 ) ABCZAAPCZ
    DEZFCZGFCGAHIUFUIJKALMUHGFUHAANZDEAADEZNZGUGUJADQOAAKKRULGNZNGUKUMSUAUBUCTU
    DUET $.

  $( Absolute value is nonnegative.  (Contributed by NM, 20-Nov-2004.)
     (Revised by Mario Carneiro, 29-May-2016.) $)
  absge0 $p |- ( A e. CC -> 0 <_ ( abs ` A ) ) $=
    ( cc wcel cc0 ccj cfv cmul csqrt cabs cle cjmulrcl cjmulge0 sqrtge0 syl2anc
    co cr wbr absval breqtrrd ) ABCZDAAEFGOZHFZAIFJTUAPCDUAJQDUBJQAKALUAMNARS
    $.

  $( The absolute value of a nonzero number is a positive real.  (Contributed
     by FL, 27-Dec-2007.)  (Proof shortened by Mario Carneiro, 29-May-2016.) $)
  absrpcl $p |- ( ( A e. CC /\ A =/= 0 ) -> ( abs ` A ) e. RR+ ) $=
    ( cc wcel cc0 wne wa cabs cfv ccj cmul co csqrt crp absval adantr cjmulrcld
    wceq simpl cjmulge0d cjcld simpr mulne0d ne0gt0d elrpd rpsqrtcl syl eqeltrd
    cjne0d ) ABCZADEZFZAGHZAAIHZJKZLHZMUIULUOQUJANOUKUNMCUOMCUKUNUKAUIUJRZPZUKU
    NUQUKAUPSUKAUMUPUKAUPTUIUJUAZUKAUPURUHUBUCUDUNUEUFUG $.

  $( The absolute value of a number is zero iff the number is zero.
     Proposition 10-3.7(c) of [Gleason] p. 133.  (Contributed by NM,
     26-Sep-2005.)  (Proof shortened by Mario Carneiro, 29-May-2016.) $)
  abs00 $p |- ( A e. CC -> ( ( abs ` A ) = 0 <-> A = 0 ) ) $=
    ( cc wcel cabs cfv cc0 wceq wne wa absrpcl rpne0d necon4d fveq2 abs0 eqtrdi
    ex impbid1 ) ABCZADEZFGAFGZRAFSFRAFHZSFHRUAISAJKPLTSFDEFAFDMNOQ $.

  ${
    abs00ad.1 $e |- ( ph -> A e. CC ) $.
    $( A complex number is zero iff its absolute value is zero.  Deduction form
       of ~ abs00 .  (Contributed by David Moews, 28-Feb-2017.) $)
    abs00ad $p |- ( ph -> ( ( abs ` A ) = 0 <-> A = 0 ) ) $=
      ( cc wcel cabs cfv cc0 wceq wb abs00 syl ) ABDEBFGHIBHIJCBKL $.
  $}

  ${
    abs00bd.1 $e |- ( ph -> A = 0 ) $.
    $( If a complex number is zero, its absolute value is zero.  Converse of
       ~ abs00d .  One-way deduction form of ~ abs00 .  (Contributed by David
       Moews, 28-Feb-2017.) $)
    abs00bd $p |- ( ph -> ( abs ` A ) = 0 ) $=
      ( cabs cfv cc0 wceq cc 0cn eqeltrdi abs00ad mpbird ) ABDEFGBFGCABABFHCIJK
      L $.
  $}

  $( Square of the absolute value of a number that has been decomposed into
     real and imaginary parts.  (Contributed by NM, 1-Feb-2007.) $)
  absreimsq $p |- ( ( A e. RR /\ B e. RR ) ->
         ( ( abs ` ( A + ( _i x. B ) ) ) ^ 2 ) = ( ( A ^ 2 ) + ( B ^ 2 ) ) ) $=
    ( cr wcel wa ci cmul co caddc cabs cfv cexp cre cim wceq recn ax-icn oveq1d
    c2 cc mulcl sylancr addcl syl2an absvalsq2 syl crre crim oveq12d eqtrd ) AC
    DZBCDZEZAFBGHZIHZJKSLHZUOMKZSLHZUONKZSLHZIHZASLHZBSLHZIHUMUOTDZUPVAOUKATDUN
    TDZVDULAPULFTDBTDVEQBPFBUAUBAUNUCUDUOUEUFUMURVBUTVCIUMUQASLABUGRUMUSBSLABUH
    RUIUJ $.

  $( Absolute value of a number that has been decomposed into real and
     imaginary parts.  (Contributed by NM, 14-Jan-2006.) $)
  absreim $p |- ( ( A e. RR /\ B e. RR ) -> ( abs ` ( A + ( _i x. B ) ) ) =
               ( sqrt ` ( ( A ^ 2 ) + ( B ^ 2 ) ) ) ) $=
    ( cr wcel wa ci cmul co caddc cabs cfv c2 cexp csqrt cc0 cle wbr recn syl
    cc ax-icn mulcl sylancr addcl syl2an absge0 sqrtsq syl2anc absreimsq fveq2d
    wceq abscl eqtr3d ) ACDZBCDZEZAFBGHZIHZJKZLMHZNKZUSALMHBLMHIHZNKUPUSCDZOUSP
    QZVAUSUKUPURTDZVCUNATDUQTDZVEUOARUOFTDBTDVFUABRFBUBUCAUQUDUEZURULSUPVEVDVGU
    RUFSUSUGUHUPUTVBNABUIUJUM $.

  $( Absolute value distributes over multiplication.  Proposition 10-3.7(f) of
     [Gleason] p. 133.  (Contributed by NM, 11-Oct-1999.)  (Revised by Mario
     Carneiro, 29-May-2016.) $)
  absmul $p |- ( ( A e. CC /\ B e. CC ) ->
                ( abs ` ( A x. B ) ) = ( ( abs ` A ) x. ( abs ` B ) ) ) $=
    ( cc wcel wa cmul co ccj cfv csqrt cabs cjcld eqtrd cr cc0 cle wbr cjmulrcl
    wceq absval cjmul oveq2d simpl simpr mul4d fveq2d cjmulge0 jca syl2an mulcl
    sqrtmul syl oveqan12d 3eqtr4d ) ACDZBCDZEZABFGZURHIZFGZJIZAAHIZFGZJIZBBHIZF
    GZJIZFGZURKIZAKIZBKIZFGUQVAVCVFFGZJIZVHUQUTVLJUQUTURVBVEFGZFGVLUQUSVNURFABU
    AUBUQABVBVEUOUPUCZUOUPUDZUQAVOLUQBVPLUEMUFUOVCNDZOVCPQZEVFNDZOVFPQZEVMVHSUP
    UOVQVRARAUGUHUPVSVTBRBUGUHVCVFUKUIMUQURCDVIVASABUJURTULUOUPVJVDVKVGFATBTUMU
    N $.

  $( Absolute value distributes over division.  (Contributed by NM,
     27-Apr-2005.) $)
  absdiv $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                ( abs ` ( A / B ) ) = ( ( abs ` A ) / ( abs ` B ) ) ) $=
    ( cc wcel cc0 wne w3a cdiv co cabs cfv cr divcl abscl syl recnd crp absrpcl
    cmul eqtr3d 3adant1 rpcnd rpne0d divcan4d wceq simp2 absmul syl2anc divcan1
    fveq2d oveq1d ) ACDZBCDZBEFZGZABHIZJKZBJKZSIZURHIUQAJKZURHIUOUQURUOUQUOUPCD
    ZUQLDABMZUPNOPUOURUMUNURQDULBRUAZUBUOURVCUCUDUOUSUTURHUOUPBSIZJKZUSUTUOVAUM
    VEUSUEVBULUMUNUFUPBUGUHUOVDAJABUIUJTUKT $.

  $( A nonnegative number is its own absolute value.  (Contributed by NM,
     11-Oct-1999.)  (Revised by Mario Carneiro, 29-May-2016.) $)
  absid $p |- ( ( A e. RR /\ 0 <_ A ) -> ( abs ` A ) = A ) $=
    ( cr wcel cc0 cle wbr wa cabs cfv cmul co csqrt c2 cexp cc wceq simpl recnd
    ccj absval syl cjred oveq2d sqvald eqtr4d fveq2d sqrtsq 3eqtrd ) ABCZDAEFZG
    ZAHIZAASIZJKZLIZAMNKZLIAUKAOCULUOPUKAUIUJQZRZATUAUKUNUPLUKUNAAJKUPUKUMAAJUK
    AUQUBUCUKAURUDUEUFAUGUH $.

  $( The absolute value of one is one.  (Contributed by David A. Wheeler,
     16-Jul-2016.) $)
  abs1 $p |- ( abs ` 1 ) = 1 $=
    ( c1 cr wcel cc0 cle wbr cabs cfv wceq 1re 0le1 absid mp2an ) ABCDAEFAGHAIJ
    KALM $.

  $( A negative number is the negative of its own absolute value.  (Contributed
     by NM, 27-Feb-2005.) $)
  absnid $p |- ( ( A e. RR /\ A <_ 0 ) -> ( abs ` A ) = -u A ) $=
    ( cr wcel cc0 cle wbr cabs cfv cneg wceq le0neg1 wa recn absneg syl renegcl
    cc adantr absid sylan eqtr3d ex sylbid imp ) ABCZADEFZAGHZAIZJZUEUFDUHEFZUI
    AKUEUJUIUEUJLUHGHZUGUHUEUKUGJZUJUEAQCULAMANORUEUHBCUJUKUHJAPUHSTUAUBUCUD $.

  $( A real number is less than or equal to its absolute value.  (Contributed
     by NM, 27-Feb-2005.) $)
  leabs $p |- ( A e. RR -> A <_ ( abs ` A ) ) $=
    ( cr wcel cabs cfv cle wbr cc0 0red id wceq absid eqcom eqle sylan2b syldan
    cc recn absge0 syl wa wi abscl 0re letr mp3an2 mpdan mpan2d imp lecasei ) A
    BCZAADEZFGZHAUKIUKJUKHAFGULAKZUMALUNUKAULKUMULAMAULNOPUKAHFGZUMUKUOHULFGZUM
    UKAQCZUPARZASTUKULBCZUOUPUAUMUBZUKUQUSURAUCTUKHBCUSUTUDAHULUEUFUGUHUIUJ $.

  $( The absolute value of a real number is either that number or its negative.
     (Contributed by NM, 27-Feb-2005.) $)
  absor $p |- ( A e. RR -> ( ( abs ` A ) = A \/ ( abs ` A ) = -u A ) ) $=
    ( cr wcel cc0 cle wbr wo cabs cfv wceq cneg 0re letric mpan absid ex absnid
    orim12d mpd ) ABCZDAEFZADEFZGZAHIZAJZUDAKJZGDBCTUCLDAMNTUAUEUBUFTUAUEAOPTUB
    UFAQPRS $.

  $( Absolute value of a real number.  (Contributed by NM, 17-Mar-2005.) $)
  absre $p |- ( A e. RR -> ( abs ` A ) = ( sqrt ` ( A ^ 2 ) ) ) $=
    ( cr wcel cabs cfv ccj cmul co csqrt c2 cexp cc wceq recn absval syl sqvald
    cjre oveq2d eqtr4d fveq2d ) ABCZADEZAAFEZGHZIEZAJKHZIEUBALCUCUFMANZAOPUBUGU
    EIUBUGAAGHUEUBAUHQUBUDAAGARSTUAT $.

  $( Square of the absolute value of a real number.  (Contributed by NM,
     16-Jan-2006.) $)
  absresq $p |- ( A e. RR -> ( ( abs ` A ) ^ 2 ) = ( A ^ 2 ) ) $=
    ( cr wcel ccj cmul co cabs c2 cexp cjre oveq2d cc wceq recn absvalsq sqvald
    cfv syl 3eqtr4d ) ABCZAADQZEFZAAEFAGQHIFZAHIFTUAAAEAJKTALCUCUBMANZAORTAUDPS
    $.

  $( ` A ` is divisible by ` B ` iff its absolute value is.  (Contributed by
     Jeff Madsen, 2-Sep-2009.) $)
  absmod0 $p |- ( ( A e. RR /\ B e. RR+ ) ->
                    ( ( A mod B ) = 0 <-> ( ( abs ` A ) mod B ) = 0 ) ) $=
    ( cr wcel crp wa cabs cfv wceq cmo co cc0 wb wi oveq1 eqcoms eqeq1d negmod0
    cneg a1i bibi2d syl5ibrcom wo absor adantr mpjaod ) ACDZBEDZFZAGHZAIZABJKZL
    IZUJBJKZLIZMZUJASZIZUKUPNUIUKULUNLULUNIAUJAUJBJOPQTUIUPURUMUQBJKZLIZMABRURU
    OUTUMURUNUSLUJUQBJOQUAUBUGUKURUCUHAUDUEUF $.

  ${
    $d j k A $.  $d j k N $.
    $( Absolute value of positive integer exponentiation.  (Contributed by NM,
       5-Jan-2006.) $)
    absexp $p |- ( ( A e. CC /\ N e. NN0 ) ->
                  ( abs ` ( A ^ N ) ) = ( ( abs ` A ) ^ N ) ) $=
      ( vj vk cc wcel cv cexp co cabs cfv wceq cc0 c1 oveq2 fveq2d eqeq12d cmul
      wa expp1 caddc abs1 exp0 abscl recnd exp0d 3eqtr4a cn0 oveq1 adantl expcl
      simpl absmul syl2anc eqtrd adantr sylan 3eqtr4d nn0indd ) AEFZACGZHIZJKZA
      JKZVAHIZLAMHIZJKZVDMHIZLADGZHIZJKZVDVIHIZLZAVINUAIZHIZJKZVDVNHIZLABHIZJKZ
      VDBHIZLCDBVAMLZVCVGVEVHWAVBVFJVAMAHOPVAMVDHOQVAVILZVCVKVEVLWBVBVJJVAVIAHO
      PVAVIVDHOQVAVNLZVCVPVEVQWCVBVOJVAVNAHOPVAVNVDHOQVABLZVCVSVEVTWDVBVRJVABAH
      OPVABVDHOQUTNJKNVGVHUBUTVFNJAUCPUTVDUTVDAUDUEZUFUGUTVIUHFZSZVMSVKVDRIZVLV
      DRIZVPVQVMWHWILWGVKVLVDRUIUJWGVPWHLVMWGVPVJARIZJKZWHWGVOWJJAVITPWGVJEFUTW
      KWHLAVIUKUTWFULVJAUMUNUOUPWGVQWILZVMUTVDEFWFWLWEVDVITUQUPURUS $.
  $}

  $( Absolute value of integer exponentiation.  (Contributed by Mario Carneiro,
     6-Apr-2015.) $)
  absexpz $p |- ( ( A e. CC /\ A =/= 0 /\ N e. ZZ ) ->
                ( abs ` ( A ^ N ) ) = ( ( abs ` A ) ^ N ) ) $=
    ( cz wcel cc cc0 wne cn0 cr wa cexp co cabs cfv wceq absexp ex cdiv syl3anc
    c1 cneg cn wo elznn0nn wi adantr 1cnd simpll ad2antll expcld simplr expne0d
    nnnn0 absdiv oveq1i syl2anc oveq2d eqtrid eqtrd simprl recnd expneg2 fveq2d
    nnz abs1 abscl ad2antrr 3eqtr4d jaod 3impia syl3an3b ) BCDAEDZAFGZBHDZBIDZB
    UAZUBDZJZUCZABKLZMNZAMNZBKLZOZBUDVLVMVSWDVLVMJZVNWDVRVLVNWDUEVMVLVNWDABPQUF
    WEVRWDWEVRJZTAVPKLZRLZMNZTWBVPKLZRLZWAWCWFWITMNZWGMNZRLZWKWFTEDWGEDWGFGWIWN
    OWFUGWFAVPVLVMVRUHZVQVPHDZWEVOVPUMUIZUJWFAVPWOVLVMVRUKVQVPCDWEVOVPVDUIULTWG
    UNSWFWNTWMRLWKWLTWMRVEUOWFWMWJTRWFVLWPWMWJOWOWQAVPPUPUQURUSWFVTWHMWFVLBEDZW
    PVTWHOWOWFBWEVOVQUTVAZWQABVBSVCWFWBEDWRWPWCWKOWFWBVLWBIDVMVRAVFVGVAWSWQWBBV
    BSVHQVIVJVK $.

  $( Square can be moved in and out of absolute value.  (Contributed by Scott
     Fenton, 18-Apr-2014.)  (Proof shortened by Mario Carneiro,
     29-May-2016.) $)
  abssq $p |- ( A e. CC -> ( ( abs ` A ) ^ 2 ) = ( abs ` ( A ^ 2 ) ) ) $=
    ( cc wcel c2 cexp co cabs cfv cn0 wceq 2nn0 absexp mpan2 eqcomd ) ABCZADEFG
    HZAGHDEFZODICPQJKADLMN $.

  $( The squares of two reals are equal iff their absolute values are equal.
     (Contributed by NM, 6-Mar-2009.) $)
  sqabs $p |- ( ( A e. RR /\ B e. RR ) -> ( ( A ^ 2 ) = ( B ^ 2 ) <->
               ( abs ` A ) = ( abs ` B ) ) ) $=
    ( cr wcel wa c2 cexp co wceq cabs cfv cc0 cle resqcl sqge0 absid syl2anc cc
    wbr recn cn0 2nn0 absexp sylancl eqtr3d eqeqan12d wb absge0 jca sq11 syl2an
    abscl bitrd ) ACDZBCDZEAFGHZBFGHZIAJKZFGHZBJKZFGHZIZURUTIZUNUOUPUSUQVAUNUPJ
    KZUPUSUNUPCDLUPMSVDUPIANAOUPPQUNARDZFUADZVDUSIATZUBAFUCUDUEUOUQJKZUQVAUOUQC
    DLUQMSVHUQIBNBOUQPQUOBRDZVFVHVAIBTZUBBFUCUDUEUFUNVEVIVBVCUGZUOVGVJVEURCDZLU
    RMSZEUTCDZLUTMSZEVKVIVEVLVMAULAUHUIVIVNVOBULBUHUIURUTUJUKUKUM $.

  $( The absolute value of a complex number is greater than or equal to the
     absolute value of its real part.  (Contributed by NM, 1-Apr-2005.) $)
  absrele $p |- ( A e. CC -> ( abs ` ( Re ` A ) ) <_ ( abs ` A ) ) $=
    ( cc wcel cre cfv c2 cexp co csqrt cim cabs cle wbr cc0 imcl sqge0d resqcld
    caddc mpbid cr recl addge01d wb readdcld addge0d sqrtle syl22anc wceq absre
    syl absval2 3brtr4d ) ABCZADEZFGHZIEZUOAJEZFGHZRHZIEZUNKEZAKELUMUOUSLMZUPUT
    LMZUMNURLMVBUMUQAOZPZUMUOURUMUNAUAZQZUMUQVDQZUBSUMUOTCNUOLMUSTCNUSLMVBVCUCV
    GUMUNVFPZUMUOURVGVHUDUMUOURVGVHVIVEUEUOUSUFUGSUMUNTCVAUPUHVFUNUIUJAUKUL $.

  $( The absolute value of a complex number is greater than or equal to the
     absolute value of its imaginary part.  (Contributed by NM, 17-Mar-2005.)
     (Proof shortened by Mario Carneiro, 29-May-2016.) $)
  absimle $p |- ( A e. CC -> ( abs ` ( Im ` A ) ) <_ ( abs ` A ) ) $=
    ( cc wcel ci cneg cmul co cre cfv cabs cim cle wbr negicn id mulcld absrele
    a1i wceq c1 syl imre fveq2d absmul mpan ax-icn ax-mp absi eqtri abscl recnd
    absneg oveq1i mulid2d eqtrid eqtr2d 3brtr4d ) ABCZDEZAFGZHIZJIZUTJIZAKIZJIA
    JIZLURUTBCVBVCLMURUSAUSBCZURNRUROPUTQUAURVDVAJAUBUCURVCUSJIZVEFGZVEVFURVCVH
    SNUSAUDUEURVHTVEFGVEVGTVEFVGDJIZTDBCVGVISUFDULUGUHUIUMURVEURVEAUJUKUNUOUPUQ
    $.

  $( The sum of the positive and negative part functions is the absolute value
     function over the reals.  (Contributed by Mario Carneiro, 24-Aug-2014.) $)
  max0add $p |- ( A e. RR ->
    ( if ( 0 <_ A , A , 0 ) + if ( 0 <_ -u A , -u A , 0 ) ) = ( abs ` A ) ) $=
    ( cr wcel cc0 cle wbr cif caddc co wceq wa adantr biimpa 0re letri3 ifeq1da
    wb ifid eqtrdi oveq12d cneg cabs cfv 0red id cc recn addid1d iftrue le0neg2
    adantl simpr renegcl ad2antrr sylancl mpbir2and absid 3eqtr4d addid2d mpan2
    negcld biimprd impl le0neg1 iftrued absnid lecasei ) ABCZDAEFZADGZDAUAZEFZV
    KDGZHIZAUBUCZJDAVHUDVHUEVHVIKZADHIAVNVOVPAVHAUFCZVIAUGZLUHVPVJAVMDHVIVJAJVH
    VIADUIUKVPVMVLDDGDVPVLVKDDVPVLKZVKDJZVKDEFZVLVPWAVLVHVIWAAUJMLVPVLULVSVKBCZ
    DBCZVTWAVLKQVHWBVIVLAUMUNNVKDOUOUPPVLDRSTAUQURVHADEFZKZDVKHIVKVNVOWEVKWEAVH
    VQWDVRLVAUSWEVJDVMVKHWEVJVIDDGDWEVIADDVHWDVIADJZVHWFWDVIKZVHWCWFWGQNADOUTVB
    VCPVIDRSWEVLVKDVHWDVLAVDMVETAVFURVG $.

  $( A real number is an integer iff its absolute value is an integer.
     (Contributed by Jeff Madsen, 2-Sep-2009.)  (Proof shortened by Mario
     Carneiro, 29-May-2016.) $)
  absz $p |- ( A e. RR -> ( A e. ZZ <-> ( abs ` A ) e. ZZ ) ) $=
    ( cr wcel cabs cfv wceq cz wb cneg eleq1 bicomd a1i recn znegclb syl bibi2d
    wi cc syl5ibrcom absor mpjaod ) ABCZADEZAFZAGCZUCGCZHZUCAIZFZUDUGQUBUDUFUEU
    CAGJKLUBUGUIUEUHGCZHZUBARCUKAMANOUIUFUJUEUCUHGJPSATUA $.

  $( The absolute value of an integer is a nonnegative integer.  (Contributed
     by NM, 27-Feb-2005.)  (Proof shortened by Mario Carneiro, 29-May-2016.) $)
  nn0abscl $p |- ( A e. ZZ -> ( abs ` A ) e. NN0 ) $=
    ( cz wcel cabs cfv cc0 cle wbr cn0 cr wb zre absz syl ibi zcn absge0 elnn0z
    cc sylanbrc ) ABCZADEZBCZFUBGHZUBICUAUCUAAJCUAUCKALAMNOUAASCUDAPAQNUBRT $.

  $( The absolute value of an integer is an integer.  (Contributed by Stefan
     O'Rear, 24-Sep-2014.) $)
  zabscl $p |- ( A e. ZZ -> ( abs ` A ) e. ZZ ) $=
    ( cz wcel cabs cfv nn0abscl nn0zd ) ABCADEAFG $.

  $( Absolute value and 'less than' relation.  (Contributed by NM, 6-Apr-2005.)
     (Revised by Mario Carneiro, 29-May-2016.) $)
  abslt $p |- ( ( A e. RR /\ B e. RR ) ->
               ( ( abs ` A ) < B <-> ( -u B < A /\ A < B ) ) ) $=
    ( cr wcel wa cabs cfv clt wbr cneg simpll renegcld cc syl cle leabs lelttrd
    wceq breq1 biimprd recnd abscl simplr absneg simpr ad2antrr jca ex wo absor
    breqtrd wi adantr jaoa ancomsd impbid ltnegcon1 anbi1d bitrd ) ACDZBCDZEZAF
    GZBHIZAJZBHIZABHIZEZBJAHIZVGEVBVDVHVBVDVHVBVDEZVFVGVJVEVCBVJAUTVAVDKZLZVJAM
    DZVCCDVJAVKUAZAUBNZUTVAVDUCZVJVEVEFGZVCOVJVECDVEVQOIVLVEPNVJVMVQVCRVNAUDNUK
    VBVDUEZQVJAVCBVKVOVPUTAVCOIVAVDAPUFVRQUGUHVBVCARZVCVERZUIZVHVDULUTWAVAAUJUM
    WAVGVFVDVSVGVDVTVFVSVDVGVCABHSTVTVDVFVCVEBHSTUNUONUPVBVFVIVGABUQURUS $.

  $( Absolute value and 'less than or equal to' relation.  (Contributed by NM,
     6-Apr-2005.)  (Revised by Mario Carneiro, 29-May-2016.) $)
  absle $p |- ( ( A e. RR /\ B e. RR ) ->
               ( ( abs ` A ) <_ B <-> ( -u B <_ A /\ A <_ B ) ) ) $=
    ( cr wcel wa cabs cfv cle wbr cneg simpll renegcld cc recnd syl leabs letrd
    wceq breq1 biimprd abscl simplr absneg breqtrd simpr ad2antrr jca ex adantr
    wo wi absor jaoa ancomsd impbid lenegcon1 anbi1d bitrd ) ACDZBCDZEZAFGZBHIZ
    AJZBHIZABHIZEZBJAHIZVFEVAVCVGVAVCVGVAVCEZVEVFVIVDVBBVIAUSUTVCKZLZVIAMDZVBCD
    VIAVJNZAUAOZUSUTVCUBZVIVDVDFGZVBHVIVDCDVDVPHIVKVDPOVIVLVPVBRVMAUCOUDVAVCUEZ
    QVIAVBBVJVNVOUSAVBHIUTVCAPUFVQQUGUHVAVBARZVBVDRZUJZVGVCUKUSVTUTAULUIVTVFVEV
    CVRVFVCVSVEVRVCVFVBABHSTVSVCVEVBVDBHSTUMUNOUOVAVEVHVFABUPUQUR $.

  $( If the absolute value of a complex number is less than a real, its
     difference from the real is nonzero.  (Contributed by NM, 2-Nov-2007.)
     (Proof shortened by Mario Carneiro, 29-May-2016.) $)
  abssubne0 $p |- ( ( A e. CC /\ B e. RR /\ ( abs ` A ) < B ) ->
                   ( B - A ) =/= 0 ) $=
    ( cc wcel cr cabs cfv clt wbr cmin co cc0 wne simplr recnd simpll abscl syl
    wa simpr cle leabs ltletrd gtned fveq2 necon3i subne0d 3impa ) ACDZBEDZAFGZ
    BHIZBAJKLMUIUJSZULSZBAUNBUIUJULNZOZUIUJULPZUNBFGZUKMBAMUNUKURUNUIUKEDUQAQRZ
    UNUKBURUSUOUNBCDUREDUPBQRUMULTUNUJBURUAIUOBUBRUCUDBAURUKBAFUEUFRUGUH $.

  $( The absolute value of a difference and 'less than' relation.  (Contributed
     by Paul Chapman, 18-Sep-2007.) $)
  absdiflt $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                    ( ( abs ` ( A - B ) ) < C <->
                      ( ( B - C ) < A /\ A < ( B + C ) ) ) ) $=
    ( cr wcel w3a cmin co cabs cfv clt wbr cneg wa caddc wb resubcl abslt recn
    cc stoic3 renegcl ltaddsub2 syl3an2 3comr wceq negsub syl2an 3adant1 breq1d
    bitr3d ltsubadd2 anbi12d bitrd ) ADEZBDEZCDEZFZABGHZIJCKLZCMZUSKLZUSCKLZNZB
    CGHZAKLZABCOHKLZNUOUPUSDEUQUTVDPABQUSCRUAURVBVFVCVGURBVAOHZAKLZVBVFUPUQUOVI
    VBPZUQUPVADEUOVJCUBBVAAUCUDUEURVHVEAKUPUQVHVEUFZUOUPBTECTEVKUQBSCSBCUGUHUIU
    JUKABCULUMUN $.

  $( The absolute value of a difference and 'less than or equal to' relation.
     (Contributed by Paul Chapman, 18-Sep-2007.) $)
  absdifle $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                    ( ( abs ` ( A - B ) ) <_ C <->
                      ( ( B - C ) <_ A /\ A <_ ( B + C ) ) ) ) $=
    ( cr wcel w3a cmin co cabs cfv cle wbr cneg wa caddc wb resubcl absle recn
    cc stoic3 renegcl leaddsub2 syl3an2 3comr wceq negsub syl2an 3adant1 breq1d
    bitr3d lesubadd2 anbi12d bitrd ) ADEZBDEZCDEZFZABGHZIJCKLZCMZUSKLZUSCKLZNZB
    CGHZAKLZABCOHKLZNUOUPUSDEUQUTVDPABQUSCRUAURVBVFVCVGURBVAOHZAKLZVBVFUPUQUOVI
    VBPZUQUPVADEUOVJCUBBVAAUCUDUEURVHVEAKUPUQVHVEUFZUOUPBTECTEVKUQBSCSBCUGUHUIU
    JUKABCULUMUN $.

  $( Membership in a symmetric closed real interval.  (Contributed by Stefan
     O'Rear, 16-Nov-2014.) $)
  elicc4abs $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
      ( C e. ( ( A - B ) [,] ( A + B ) ) <-> ( abs ` ( C - A ) ) <_ B ) ) $=
    ( cr wcel w3a cmin co caddc cicc cle wbr wa cabs cfv cxr wb resubcl 3adant3
    rexrd readdcl rexr 3ad2ant3 elicc4 syl3anc absdifle 3coml bitr4d ) ADEZBDEZ
    CDEZFZCABGHZABIHZJHEZUMCKLCUNKLMZCAGHNOBKLZULUMPEUNPECPEZUOUPQULUMUIUJUMDEU
    KABRSTULUNUIUJUNDEUKABUASTUKUIURUJCUBUCUMUNCUDUEUKUIUJUQUPQCABUFUGUH $.

  $( Comparison to a nonnegative number based on comparison to squares.
     (Contributed by NM, 16-Jan-2006.) $)
  lenegsq $p |- ( ( A e. RR /\ B e. RR /\ 0 <_ B ) ->
              ( ( A <_ B /\ -u A <_ B ) <-> ( A ^ 2 ) <_ ( B ^ 2 ) ) ) $=
    ( cr wcel cc0 cle wbr cneg wa c2 cexp co wb cabs cfv recn abscl absge0 jca
    cc syl le2sq sylan absle lenegcon1 anbi1d ancom bitr3di bitrd breq1d adantr
    adantrr absresq 3bitr3d 3impb ) ACDZBCDZEBFGZABFGZAHBFGZIZAJKLZBJKLZFGZMUPU
    QURIZIANOZBFGZVFJKLZVCFGZVAVDUPVFCDZEVFFGZIZVEVGVIMUPATDZVLAPVMVJVKAQARSUAV
    FBUBUCUPUQVGVAMURUPUQIZVGBHAFGZUSIZVAABUDVNUTUSIVPVAVNUTVOUSABUEUFUTUSUGUHU
    IULUPVIVDMVEUPVHVBVCFAUMUJUKUNUO $.

  $( The real part of a number is less than or equal to its absolute value.
     Proposition 10-3.7(d) of [Gleason] p. 133.  (Contributed by NM,
     1-Apr-2005.) $)
  releabs $p |- ( A e. CC -> ( Re ` A ) <_ ( abs ` A ) ) $=
    ( cc wcel cre cfv cabs recl cr recnd abscl syl cle wbr leabs absrele letrd
    ) ABCZADEZRFEZAFEAGZQRBCSHCQRTIRJKAJQRHCRSLMTRNKAOP $.

  $( Reciprocal expressed with a real denominator.  (Contributed by Mario
     Carneiro, 1-Apr-2015.) $)
  recval $p |- ( ( A e. CC /\ A =/= 0 ) ->
                  ( 1 / A ) = ( ( * ` A ) / ( ( abs ` A ) ^ 2 ) ) ) $=
    ( cc wcel cc0 wne wa c1 cabs cfv c2 cexp co ccj cdiv wceq cmul adantr simpl
    cjcl mpbird mulcomd absvalsq eqtr4d abscl recnd sqcld biimpa divmuld oveq2d
    cr cjne0 abs00 necon3bid biimpar wb sqne0 syl recdivd eqtr3d ) ABCZADEZFZGA
    HIZJKLZAMIZNLZNLGANLVEVDNLVBVFAGNVBVFAOVEAPLZVDOVBVGAVEPLZVDVBVEAUTVEBCVAAS
    QZUTVARZUAUTVDVHOVAAUBQUCVBVDVEAVBVCVBVCUTVCUJCVAAUDQUEZUFZVIVJUTVAVEDEAUKU
    GZUHTUIVBVDVEVLVIVBVDDEZVCDEZUTVOVAUTVCDADAULUMUNVBVCBCVNVOUOVKVCUPUQTVMURU
    S $.

  $( The absolute value function is idempotent.  (Contributed by NM,
     20-Nov-2004.) $)
  absidm $p |- ( A e. CC -> ( abs ` ( abs ` A ) ) = ( abs ` A ) ) $=
    ( cc wcel cabs cfv cr cc0 cle wbr wceq abscl absge0 absid syl2anc ) ABCADEZ
    FCGOHIODEOJAKALOMN $.

  $( The absolute value of a nonzero number is positive.  (Contributed by NM,
     1-Oct-1999.)  (Proof shortened by Mario Carneiro, 29-May-2016.) $)
  absgt0 $p |- ( A e. CC -> ( A =/= 0 <-> 0 < ( abs ` A ) ) ) $=
    ( cc wcel cc0 cabs cfv clt wbr wne 0red abscl absge0 abs00 necon3bid bitr2d
    leltned ) ABCZDAEFZGHRDIADIQDRQJAKALPQRDADAMNO $.

  $( The absolute value of a nonzero integer is a positive integer.
     (Contributed by Paul Chapman, 21-Mar-2011.)  (Proof shortened by Andrew
     Salmon, 25-May-2011.) $)
  nnabscl $p |- ( ( N e. ZZ /\ N =/= 0 ) -> ( abs ` N ) e. NN ) $=
    ( cz wcel cc0 wne wa cabs cfv clt wbr cn zabscl adantr cc wb zcn absgt0 syl
    biimpa elnnz sylanbrc ) ABCZADEZFAGHZBCZDUDIJZUDKCUBUEUCALMUBUCUFUBANCUCUFO
    APAQRSUDTUA $.

  $( Swapping order of subtraction doesn't change the absolute value.
     (Contributed by NM, 1-Oct-1999.)  (Proof shortened by Mario Carneiro,
     29-May-2016.) $)
  abssub $p |- ( ( A e. CC /\ B e. CC ) ->
                 ( abs ` ( A - B ) ) = ( abs ` ( B - A ) ) ) $=
    ( cc wcel wa cmin co cneg cabs cfv subcl absneg syl negsubdi2 fveq2d eqtr3d
    wceq ) ACDBCDEZABFGZHZIJZSIJZBAFGZIJRSCDUAUBQABKSLMRTUCIABNOP $.

  $( Absolute value of a nonnegative difference.  (Contributed by NM,
     14-Feb-2008.) $)
  abssubge0 $p |- ( ( A e. RR /\ B e. RR /\ A <_ B )
                      -> ( abs ` ( B - A ) ) = ( B - A ) ) $=
    ( cr wcel cle wbr cmin co cabs cfv wceq w3a resubcl 3adant3 subge0 biimp3ar
    cc0 absid syl2anc 3com12 ) BCDZACDZABEFZBAGHZIJUDKZUAUBUCLUDCDZQUDEFZUEUAUB
    UFUCBAMNUAUBUGUCBAOPUDRST $.

  $( Absolute value of a nonpositive difference.  (Contributed by FL,
     3-Jan-2008.) $)
  abssuble0 $p |- ( ( A e. RR /\ B e. RR /\ A <_ B )
                      -> ( abs ` ( A - B ) ) = ( B - A ) ) $=
    ( cr wcel cle wbr w3a cmin co cabs cfv wceq cc recn abssub syl2an abssubge0
    3adant3 eqtrd ) ACDZBCDZABEFZGABHIJKZBAHIZJKZUDTUAUCUELZUBTAMDBMDUFUAANBNAB
    OPRABQS $.

  $( The maximum of two numbers using absolute value.  (Contributed by NM,
     7-Aug-2008.) $)
  absmax $p |- ( ( A e. RR /\ B e. RR ) -> if ( A <_ B , B , A )
              = ( ( ( A + B ) + ( abs ` ( A - B ) ) ) / 2 ) ) $=
    ( cr wcel wa cle caddc co cmin c2 cdiv wceq cmul cc recn simpr simpl adantl
    wbr oveq1d cif cabs cfv clt cc0 wne 2ne0 divcan3 mp3an23 ad2antlr abssubge0
    2cn syl ltle imp 3expa syldan oveq2d ppncand 2times eqtr4d syl2an adantr wn
    biimpa iffalsed 3eqtr4rd ancom1s abssuble0 addcom 3eqtr4d iftrue ltlecasei
    eqtrd ltnle ) ACDZBCDZEZABFSZBAUAZABGHZABIHZUBUCZGHZJKHZLZBAVQVPBAUDSZWFVQV
    PEZWGEZJAMHZJKHZAWEVTVPWKALZVQWGVPANDZWLAOZWMJNDZJUEUFZWLULUGAJUHUIUMUJWIWD
    WJJKWIWDWAWBGHZWJWIWCWBWAGWHWGBAFSZWCWBLZWHWGWRBAUNUOVQVPWRWSBAUKUPUQURWHWQ
    WJLZWGVQBNDZWMWTVPBOZWNXAWMEZWQAAGHZWJXCABAXAWMPZXAWMQXEUSWMWJXDLXAAUTRVAVB
    VCVNTWIVSBAWHWGVSVDBAVOVEVFVGVHVRVSEZJBMHZJKHZBWEVTVQXHBLZVPVSVQXAXIXBXAWOW
    PXIULUGBJUHUIUMUJXFWDXGJKXFWDWABAIHZGHZXGXFWCXJWAGVPVQVSWCXJLABVIUPURVRXKXG
    LZVSVPWMXAXLVQWNXBWMXAEZBAGHZXJGHBBGHZXKXGXMBABWMXAPZWMXAQXPUSXMWAXNXJGABVJ
    TXAXGXOLWMBUTRVKVBVCVNTVSVTBLVRVSBAVLRVGVPVQPVPVQQVM $.

  $( Triangle inequality for absolute value.  Proposition 10-3.7(h) of
     [Gleason] p. 133.  (Contributed by NM, 7-Mar-2005.)  (Proof shortened by
     Mario Carneiro, 29-May-2016.) $)
  abstri $p |- ( ( A e. CC /\ B e. CC ) ->
                ( abs ` ( A + B ) ) <_ ( ( abs ` A ) + ( abs ` B ) ) ) $=
    ( cc wcel caddc co cabs cfv cle wbr c2 cexp cmul cr remulcld abscl syl wceq
    recnd cc0 wa ccj cre 2re a1i simpl simpr cjcld mulcld recld resqcld releabs
    readdcld absmul syl2anc abscj oveq2d eqtrd breqtrd crp 2rp lemul2d leadd2dd
    mpbid sqabsadd binom2 add32d 3brtr4d addcl absge0 addge0d le2sqd mpbird ) A
    CDZBCDZUAZABEFZGHZAGHZBGHZEFZIJVRKLFZWAKLFZIJVPVSKLFZVTKLFZEFZKABUBHZMFZUCH
    ZMFZEFWFKVSVTMFZMFZEFZWBWCIVPWJWLWFVPKWIKNDVPUDUEZVPWHVPAWGVNVOUFZVPBVNVOUG
    ZUHZUIZUJZOVPKWKWNVPVSVTVPVNVSNDWOAPQZVPVOVTNDWPBPQZOZOZVPWDWEVPVSWTUKZVPVT
    XAUKZUMVPWIWKIJWJWLIJVPWIWHGHZWKIVPWHCDWIXFIJWRWHULQVPXFVSWGGHZMFZWKVPVNWGC
    DXFXHRWOWQAWGUNUOVPXGVTVSMVPVOXGVTRWPBUPQUQURUSVPWIWKKWSXBKUTDVPVAUEVBVDVCA
    BVEVPWCWDWLEFWEEFZWMVPVSCDVTCDWCXIRVPVSWTSVPVTXASVSVTVFUOVPWDWLWEVPWDXDSVPW
    LXCSVPWEXESVGURVHVPVRWAVPVQCDZVRNDABVIZVQPQVPVSVTWTXAUMVPXJTVRIJXKVQVJQVPVS
    VTWTXAVPVNTVSIJWOAVJQVPVOTVTIJWPBVJQVKVLVM $.

  $( Absolute value of differences around common element.  (Contributed by FL,
     9-Oct-2006.) $)
  abs3dif $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
            ( abs ` ( A - B ) ) <_ ( ( abs ` ( A - C ) ) +
                      ( abs ` ( C - B ) ) ) ) $=
    ( cc wcel w3a cmin caddc cabs cfv cle wceq npncan 3com23 fveq2d wbr 3adant2
    co subcl ancoms 3adant1 abstri syl2anc eqbrtrrd ) ADEZBDEZCDEZFZACGRZCBGRZH
    RZIJZABGRZIJUIIJUJIJHRZKUHUKUMIUEUGUFUKUMLACBMNOUHUIDEZUJDEZULUNKPUEUGUOUFA
    CSQUFUGUPUEUGUFUPCBSTUAUIUJUBUCUD $.

  $( Difference of absolute values.  (Contributed by Paul Chapman,
     7-Sep-2007.) $)
  abs2dif $p |- ( ( A e. CC /\ B e. CC ) ->
                 ( ( abs ` A ) - ( abs ` B ) ) <_ ( abs ` ( A - B ) ) ) $=
    ( cc wcel wa cc0 cmin co cfv cle subid1 fveq2d wbr 0cn cr subcl mpan2 abscl
    cabs syl oveqan12d caddc abs3dif mp3an2 wb anim12i df-3an sylanbrc lesubadd
    w3a mpbird eqbrtrrd ) ACDZBCDZEZAFGHZSIZBFGHZSIZGHZASIZBSIZGHABGHZSIZJUMUNU
    QVAUSVBGUMUPASAKLUNURBSBKLUAUOUTVDJMZUQVDUSUBHJMZUMFCDZUNVFNAFBUCUDUOUQODZU
    SODZVDODZUJZVEVFUEUOVHVIEVJVKUMVHUNVIUMUPCDZVHUMVGVLNAFPQUPRTUNURCDZVIUNVGV
    MNBFPQURRTUFUOVCCDVJABPVCRTVHVIVJUGUHUQUSVDUITUKUL $.

  $( Difference of absolute values.  (Contributed by Mario Carneiro,
     14-Apr-2016.) $)
  abs2dif2 $p |- ( ( A e. CC /\ B e. CC ) ->
                 ( abs ` ( A - B ) ) <_ ( ( abs ` A ) + ( abs ` B ) ) ) $=
    ( cc wcel wa cneg caddc co cabs cfv cmin cle wbr negcl abstri sylan2 negsub
    fveq2d wceq absneg adantl oveq2d 3brtr3d ) ACDZBCDZEZABFZGHZIJZAIJZUGIJZGHZ
    ABKHZIJUJBIJZGHLUEUDUGCDUIULLMBNAUGOPUFUHUMIABQRUFUKUNUJGUEUKUNSUDBTUAUBUC
    $.

  $( Absolute value of difference of absolute values.  (Contributed by Paul
     Chapman, 7-Sep-2007.) $)
  abs2difabs $p |- ( ( A e. CC /\ B e. CC ) ->
            ( abs ` ( ( abs ` A ) - ( abs ` B ) ) ) <_ ( abs ` ( A - B ) ) ) $=
    ( cc wcel wa cabs cfv cmin co cle cneg abs2dif ancoms abscl recnd syl2an cr
    wbr wb syl2anc wceq negsubdi2 abssub 3brtr4d resubcl subcl syl absle anbi1d
    lenegcon1 bitr4d mpbir2and ) ACDZBCDZEZAFGZBFGZHIZFGABHIZFGZJRZURKZUTJRZURU
    TJRZUOUQUPHIZBAHIFGZVBUTJUNUMVEVFJRBALMUMUPCDUQCDVBVEUAUNUMUPANZOUNUQBNZOUP
    UQUBPABUCUDABLUOVAUTKURJRZVDEZVCVDEUOURQDZUTQDZVAVJSUMUPQDUQQDVKUNVGVHUPUQU
    EPZUOUSCDVLABUFUSNUGZURUTUHTUOVCVIVDUOVKVLVCVISVMVNURUTUJTUIUKUL $.

  ${
    $d x A $.
    $( For any complex number, there exists a unit-magnitude multiplier that
       produces its absolute value.  Part of proof of Theorem 13-2.12 of
       [Gleason] p. 195.  (Contributed by NM, 26-Mar-2005.) $)
    abs1m $p |- ( A e. CC ->
      E. x e. CC ( ( abs ` x ) = 1 /\ ( abs ` A ) = ( x x. A ) ) ) $=
      ( cc wcel cabs cfv c1 wceq cmul co wrex cc0 wne cdiv adantr fveqeq2 oveq1
      wa eqeq2d ci cv fveq2 eqtrdi oveq2 eqeq12d anbi2d rexbidv ccj simpl cjcld
      cr abscl recnd abs00 necon3bid biimpar divcld absdiv syl3anc abscj absidm
      abs0 oveq12d dividd 3eqtrd divassd c2 cexp sqvald absvalsq eqtr3d mulcomd
      mvllmuld 3eqtr4d anbi12d rspcev syl12anc ax-icn it0e0 eqcomi pm3.2i mp2an
      absi a1i pm2.61ne ) BCDZAUAZEFGHZBEFZWGBIJZHZRZACKZWHLWGLIJZHZRZACKZBLBLH
      ZWLWPACWRWKWOWHWRWILWJWNWRWILEFLBLEUBVBUCBLWGIUDUEUFUGWFBLMZRZBUHFZWINJZC
      DXBEFZGHZWIXBBIJZHZWMWTXAWIWTBWFWSUIZUJZWTWIWFWIUKDWSBULOUMZWFWILMZWSWFWI
      LBLBUNUOUPZUQZWTXCXAEFZWIEFZNJZWIWINJGWTXACDWICDXJXCXOHXHXIXKXAWIURUSWTXM
      WIXNWINWFXMWIHWSBUTOWFXNWIHWSBVAOVCWTWIXIXKVDVEWTBXAIJZWINJBXBIJWIXEWTBXA
      WIXGXHXIXKVFWTWIWIXPXIXIXKWTWIVGVHJZWIWIIJXPWTWIXIVIWFXQXPHWSBVJOVKVMWTXB
      BXLXGVLVNWLXDXFRAXBCWGXBHZWHXDWKXFWGXBGEPXRWJXEWIWGXBBIQSVOVPVQWQWFTCDTEF
      GHZLTLIJZHZRZWQVRXSYAWCXTLVSVTWAWPYBATCWGTHZWHXSWOYAWGTGEPYCWNXTLWGTLIQSV
      OVPWBWDWE $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Cancellation law involving the real part of a complex number.
       (Contributed by NM, 12-May-2005.) $)
    recan $p |- ( ( A e. CC /\ B e. CC ) -> ( A. x e. CC
                 ( Re ` ( x x. A ) ) = ( Re ` ( x x. B ) ) <-> A = B ) ) $=
      ( cc wcel cmul co cre cfv wceq c1 ci caddc fvoveq1 eqeq12d oveq2d oveq12d
      wi rspcv fveq2d wa wral cneg ax-1cn ax-mp negicn cim replim mulid2 eqcomd
      cv imre eqtrd eqeqan12d syl5ibr oveq2 ralrimivw impbid1 ) BDEZCDEZUAZAUKZ
      BFGZHIZVBCFGZHIZJZADUBZBCJZVHVIVAKBFGZHIZLLUCZBFGHIZFGZMGZKCFGZHIZLVLCFGH
      IZFGZMGZJVHVKVQVNVSMKDEVHVKVQJZRUDVGWAAKDVBKJVDVKVFVQVBKBHFNVBKCHFNOSUEVH
      VMVRLFVLDEVHVMVRJZRUFVGWBAVLDVBVLJVDVMVFVRVBVLBHFNVBVLCHFNOSUEPQUSUTBVOCV
      TUSBBHIZLBUGIZFGZMGVOBUHUSWCVKWEVNMUSBVJHUSVJBBUIUJTUSWDVMLFBULPQUMUTCCHI
      ZLCUGIZFGZMGVTCUHUTWFVQWHVSMUTCVPHUTVPCCUIUJTUTWGVRLFCULPQUMUNUOVIVGADVIV
      CVEHBCVBFUPTUQUR $.

    $( Mapping domain and codomain of the absolute value function.
       (Contributed by NM, 30-Aug-2007.)  (Revised by Mario Carneiro,
       7-Nov-2013.) $)
    absf $p |- abs : CC --> RR $=
      ( vx cc cr cv ccj cfv cmul co csqrt cabs df-abs wcel abscl eqeltrrd fmpti
      absval ) ABCADZQEFGHIFZJAKQBLQJFRCQPQMNO $.
  $}

  $( Lemma involving absolute value of differences.  (Contributed by NM,
     2-Oct-1999.) $)
  abs3lem $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\
                   D e. RR ) ) -> (
          ( ( abs ` ( A - C ) ) < ( D / 2 ) /\
            ( abs ` ( C - B ) ) < ( D / 2 ) ) ->
            ( abs ` ( A - B ) ) < D ) ) $=
    ( cc wcel wa cr cmin co cabs cfv c2 cdiv clt wbr caddc subcld abscl syl cle
    simplll simpllr simplrl readdcld simplrr abs3dif syl3anc lt2halvesd lelttrd
    simprl simprr ex ) AEFZBEFZGZCEFZDHFZGZGZACIJZKLZDMNJZOPZCBIJZKLZVCOPZGZABI
    JZKLZDOPUTVHGZVJVBVFQJZDVKVIEFVJHFVKABUNUOUSVHUBZUNUOUSVHUCZRVISTVKVBVFVKVA
    EFVBHFVKACVMUPUQURVHUDZRVASTZVKVEEFVFHFVKCBVOVNRVESTZUEUPUQURVHUFZVKUNUOUQV
    JVLUAPVMVNVOABCUGUHVKVBVFDVPVQVRUTVDVGUKUTVDVGULUIUJUM $.

  $( Lemma involving absolute values.  (Contributed by NM, 11-Oct-1999.)
     (Revised by Mario Carneiro, 29-May-2016.) $)
  abslem2 $p |- ( ( A e. CC /\ A =/= 0 ) ->
    ( ( ( * ` ( A / ( abs ` A ) ) ) x. A ) +
      ( ( A / ( abs ` A ) ) x. ( * ` A ) ) ) = ( 2 x. ( abs ` A ) ) ) $=
    ( cc wcel cc0 wne wa cabs cfv cdiv ccj cmul caddc cexp wceq absvalsq adantr
    co c2 cr 3eqtr3d abscl recnd sqvald eqtr3d oveq1d simpl cjcld abs00 biimpar
    necon3bid div23d divcan3d fveq2d divcld cjmuld cjcjd oveq2d oveq12d 2timesd
    eqtrd cjred eqtr4d ) ABCZADEZFZAAGHZIQZJHZAKQZVGAJHZKQZLQVFVFLQRVFKQVEVIVFV
    KVFLVEVKJHZVFJHVIVFVEVKVFJVEAVJKQZVFIQVFVFKQZVFIQVKVFVEVMVNVFIVEVFRMQZVMVNV
    CVOVMNVDAOPVEVFVEVFVCVFSCVDAUAPZUBZUCUDUEVEAVJVFVCVDUFZVEAVRUGZVQVCVFDEVDVC
    VFDADAUHUJUIZUKVEVFVFVQVQVTULTZUMVEVLVHVJJHZKQVIVEVGVJVEAVFVRVQVTUNVSUOVEWB
    AVHKVEAVRUPUQUTVEVFVPVATWAURVEVFVQUSVB $.

  $( The difference between a real number and its nearest integer is less than
     or equal to one half.  (Contributed by Jeff Madsen, 2-Sep-2009.)  (Proof
     shortened by Mario Carneiro, 14-Sep-2015.) $)
  rddif $p |- ( A e. RR -> ( abs ` ( ( |_ ` ( A + ( 1 / 2 ) ) ) - A ) )
                                                          <_ ( 1 / 2 ) ) $=
    ( cr wcel c1 c2 cdiv caddc cfl cfv cmin cabs cle wbr cmul halfcn a1i halfre
    co mpan2 syl 2timesi 2cn 2ne0 recidi eqtr3i oveq2i recn cc nppcan3d eqtr3id
    readdcl fllep1 eqbrtrd resubcl reflcl 1red leadd1d mpbird wa wb id absdifle
    flle syl3anc mpbir2and ) ABCZADEFRZGRZHIZAJRKIVGLMZAVGJRZVILMZVIVHLMZVFVLVK
    DGRZVIDGRZLMVFVNVHVOLVFVNVKVGVGGRZGRVHVPDVKGEVGNRVPDVGOUAEUBUCUDUEUFVFAVGVG
    AUGVGUHCVFOPZVQUIUJVFVHBCZVHVOLMVFVGBCZVRQAVGUKSZVHULTUMVFVKVIDVFVSVKBCQAVG
    UNSVFVRVIBCZVTVHUOTZVFUPUQURVFVRVMVTVHVCTVFWAVFVSVJVLVMUSUTWBVFVAVSVFQPVIAV
    GVBVDVE $.

  $( Bound on the absolute value of a real number rounded to the nearest
     integer.  (Contributed by Jeff Madsen, 2-Sep-2009.)  (Proof shortened by
     Mario Carneiro, 14-Sep-2015.) $)
  absrdbnd $p |- ( A e. RR -> ( abs ` ( |_ ` ( A + ( 1 / 2 ) ) ) )
                                        <_ ( ( |_ ` ( abs ` A ) ) + 1 ) ) $=
    ( cr wcel c1 co caddc cfl cfv cabs cle wbr cc halfre reflcl syl recnd abscl
    cmin a1i cz c2 cdiv readdcl mpan2 recn 1re resubcld resubcl mpancom abs2dif
    syl2anc rddif halflt1 ltleii letrd subled cn0 flcld nn0abscl nn0zd peano2zm
    wb flge mpbid lesubaddd ) ABCZADUAUBEZFEZGHZIHZDREZAIHZGHZJKZVJVMDFEJKVFVKV
    LJKZVNVFVJVLDVFVILCZVJBCVFVIVFVHBCZVIBCZVFVGBCZVQMAVGUCUDZVHNOZPZVIQOZVFALC
    ZVLBCZAUEZAQOZDBCVFUFSZVFVJVLREZVIAREZIHZDVFVJVLWCWGUGVFWJLCWKBCVFWJVRVFWJB
    CWAVIAUHUIPWJQOZWHVFVPWDWIWKJKWBWFVIAUJUKVFWKVGDWLVSVFMSWHAULVGDJKVFVGDMUFU
    MUNSUOUOUPVFWEVKTCZVOVNVBWGVFVJTCWMVFVJVFVITCVJUQCVFVHVTURVIUSOUTVJVAOVLVKV
    CUKVDVFVJDVMWCWHVFWEVMBCWGVLNOVEVD $.

  $( Lemma for ~ fzomaxdif .  (Contributed by Stefan O'Rear, 6-Sep-2015.) $)
  fzomaxdiflem $p |- ( ( ( A e. ( C ..^ D ) /\ B e. ( C ..^ D ) ) /\
        A <_ B ) -> ( abs ` ( B - A ) ) e. ( 0 ..^ ( D - C ) ) ) $=
    ( cfzo co wcel wa cle wbr cmin cabs cc0 elfzoelz adantl adantr zsubcld zred
    cz clt cr wceq subge0d biimpar syl2an2r elfzoel1 resubcld elfzoel2 elfzole1
    cfv absid lesub2dd elfzolt2 ltsub1dd lelttrd wb 0zd elfzo syl3anc mpbir2and
    eqeltrd ) ACDEFZGZBVBGZHZABIJZHZBAKFZLUJZVHMDCKFZEFZVEVHUAGVFMVHIJZVIVHUBVE
    VHVEBAVDBSGVCBCDNOZVCASGVDACDNPZQZRZVEVLVFVEBAVEBVMRZVEAVNRZUCUDZVHUKUEVGVH
    VKGZVLVHVJTJZVSVEWAVFVEVHBCKFVJVPVEBCVQVECVDCSGVCBCDUFOZRZUGVEVJVEDCVDDSGVC
    BCDUHOZWBQZRVECABWCVRVQVCCAIJVDACDUIPULVEBDCVQVEDWDRWCVDBDTJVCBCDUMOUNUOPVE
    VTVLWAHUPZVFVEVHSGMSGVJSGWFVOVEUQWEVHMVJURUSPUTVA $.

  $( A bound on the separation of two points in a half-open range.
     (Contributed by Stefan O'Rear, 6-Sep-2015.) $)
  fzomaxdif $p |- ( ( A e. ( C ..^ D ) /\ B e. ( C ..^ D ) ) ->
      ( abs ` ( A - B ) ) e. ( 0 ..^ ( D - C ) ) ) $=
    ( cfzo co wcel wa cle wbr cmin cabs cc elfzoelz zcnd syl2an fzomaxdiflem cr
    cfv zred cc0 wceq abssub adantr eqeltrd ancom1s wo letric mpjaodan ) ACDEFZ
    GZBUJGZHZABIJZABKFLSZUADCKFEFZGZBAIJZUMUNHUOBAKFLSZUPUMUOUSUBZUNUKAMGBMGUTU
    LUKAACDNZOULBBCDNZOABUCPUDABCDQUEULUKURUQBACDQUFUKARGBRGUNURUGULUKAVATULBVB
    TABUHPUI $.

  ${
    $d x y A $.  $d x y B $.
    $( The upper integers are closed under intersection.  (Contributed by Mario
       Carneiro, 24-Dec-2013.) $)
    uzin2 $p |- ( ( A e. ran ZZ>= /\ B e. ran ZZ>= ) ->
                  ( A i^i B ) e. ran ZZ>= ) $=
      ( vx vy cv cuz cfv cin crn wcel cz wfn wceq wrex wb cpw wf fvelrnb eleq1d
      ax-mp uzf ffn ineq1 ineq2 wa cle wbr cif uzin ifcl ancoms sylancr eqeltrd
      fnfvelrn 2gencl ) CEZFGZDEZFGZHZFIZJAUSHZVAJABHZVAJCDUQUSABKVAFKLZAVAJUQA
      MZCKNOKKPZFQVDUAKVFFUBTZCKAFRTVDBVAJUSBMZDKNOVGDKBFRTVEUTVBVAUQAUSUCSVHVB
      VCVAUSBAUDSUPKJZURKJZUEZUTUPURUFUGZURUPUHZFGZVAUPURUIVKVDVMKJZVNVAJVGVJVI
      VOVLURUPKUJUKKVMFUNULUMUO $.
  $}

  ${
    $d j k x y z A $.  $d j x y z ph $.  $d j x y z ps $.
    $( Combine two different upper integer properties into one.  (Contributed
       by Mario Carneiro, 25-Dec-2013.) $)
    rexanuz $p |- ( E. j e. ZZ A. k e. ( ZZ>= ` j ) ( ph /\ ps ) <->
                    ( E. j e. ZZ A. k e. ( ZZ>= ` j ) ph /\
                      E. j e. ZZ A. k e. ( ZZ>= ` j ) ps ) ) $=
      ( vx vy vz wa cv cuz wral cz wrex wb uzf raleq rexrn mp2b wi wcel cfv crn
      r19.26 rexbii r19.40 sylbi cpw wf wfn ffn cin uzin2 wss inss1 ax-mp inss2
      ssralv anim12i sylibr rspcev an4s rexlimdvaa rexlimiva imp sylib syl2anbr
      syl2an impbii ) ABHZDCIJUAZKZCLMZADVJKZCLMZBDVJKZCLMZHZVLVMVOHZCLMVQVKVRC
      LABDVJUCUDVMVOCLUEUFVNADEIZKZEJUBZMZBDFIZKZFWAMZVLVPLLUGZJUHZJLUIZWBVNNOL
      WFJUJZVTVMECLJADVSVJPQRWGWHWEVPNOWIWDVOFCLJBDWCVJPQRWBWEHVIDGIZKZGWAMZVLW
      BWEWLVTWEWLSEWAVSWATZVTHWDWLFWAWMWCWATZVTWDWLWMWNHVSWCUKZWATVIDWOKZWLVTWD
      HZVSWCULWQADWOKZBDWOKZHWPVTWRWDWSWOVSUMVTWRSVSWCUNADWOVSUQUOWOWCUMWDWSSVS
      WCUPBDWOWCUQUOURABDWOUCUSWKWPGWOWAVIDWJWOPUTVGVAVBVCVDWGWHWLVLNOWIWKVKGCL
      JVIDWJVJPQRVEVFVH $.

    $( Combine two different upper real properties into one.  (Contributed by
       Mario Carneiro, 8-May-2016.) $)
    rexanre $p |- ( A C_ RR ->
                    ( E. j e. RR A. k e. A ( j <_ k -> ( ph /\ ps ) ) <->
                      ( E. j e. RR A. k e. A ( j <_ k -> ph ) /\
                        E. j e. RR A. k e. A ( j <_ k -> ps ) ) ) ) $=
      ( vx vy cr cv cle wbr wa wi wral wrex simpl imim2i breq1 imbi1d wcel ifcl
      wss ralimi reximi simpr jca ralbidv cbvrexvw anbi12i reeanv bitr4i ancoms
      weq cif adantl r19.26 anim12 simplrl simplrr sselda maxle syl3anc syl5ibr
      wb ralimdva syl5bir rspceaimv syl6an rexlimdvva syl5bi impbid2 ) CHUBZDIZ
      EIZJKZABLZMZECNZDHOZVOAMZECNZDHOZVOBMZECNZDHOZLZVSWBWEVRWADHVQVTECVPAVOAB
      PQUCUDVRWDDHVQWCECVPBVOABUEQUCUDUFWFFIZVNJKZAMZECNZGIZVNJKZBMZECNZLZGHOFH
      OZVLVSWFWJFHOZWNGHOZLWPWBWQWEWRWAWJDFHDFUMZVTWIECWSVOWHAVMWGVNJRSUGUHWDWN
      DGHDGUMZWCWMECWTVOWLBVMWKVNJRSUGUHUIWJWNFGHHUJUKVLWOVSFGHHVLWGHTZWKHTZLZL
      ZWGWKJKZWKWGUNZHTZWOXFVNJKZVPMZECNZVSXCXGVLXBXAXGXEWKWGHUAULUOWOWIWMLZECN
      XDXJWIWMECUPXDXKXIECXKXIXDVNCTZLZWHWLLZVPMWHAWLBUQXMXHXNVPXMXAXBVNHTXHXNV
      DVLXAXBXLURVLXAXBXLUSXDCHVNVLXCPUTWGWKVNVAVBSVCVEVFVOXHVPDEXFHCVMXFVNJRVG
      VHVIVJVK $.
  $}

  ${
    $d j k n x y z A $.  $d j x y z ph $.
    $( Combine finitely many different upper integer properties into one.
       (Contributed by Mario Carneiro, 6-Jun-2014.) $)
    rexfiuz $p |- ( A e. Fin ->
                    ( E. j e. ZZ A. k e. ( ZZ>= ` j ) A. n e. A ph <->
                      A. n e. A E. j e. ZZ A. k e. ( ZZ>= ` j ) ph ) ) $=
      ( vx vy vz cv wral cz wrex wb c0 wceq raleq rexralbidv bibi12d wa cvv cuz
      cfv csn cun weq wne cc0 0z ne0ii ral0 rgen2w r19.2z mp2an 2th wi cfn wcel
      rexanuz ralunb ralbii rexbii ralsnsg sbcrex ralcom syl5bb rexbidv bitr4id
      anbi1 wsbc bitrd elv anbi2i 3bitr4i 3bitr4g a1i findcard2 ) AEFIZJZDCIUAU
      BZJCKLZADVSJZCKLZEVQJZMAENJZDVSJZCKLZWBENJZMAEGIZJZDVSJCKLZWBEWHJZMZAEWHH
      IZUCZUDZJZDVSJZCKLZWBEWOJZMZAEBJZDVSJCKLZWBEBJZMFGHBVQNOZVTWFWCWGXDVRWDCD
      KVSAEVQNPQWBEVQNPRFGUEZVTWJWCWKXEVRWICDKVSAEVQWHPQWBEVQWHPRVQWOOZVTWRWCWS
      XFVRWPCDKVSAEVQWOPQWBEVQWOPRVQBOZVTXBWCXCXGVRXACDKVSAEVQBPQWBEVQBPRWFWGKN
      UFWECKJWFUGKUHUIWDCDKVSAEUJUKWECKULUMWBEUJUNWLWTUOWHUPUQWLWJWBEWNJZSZWKXH
      SWRWSWJWKXHVHWIAEWNJZSZDVSJZCKLWJXJDVSJZCKLZSWRXIWIXJCDURWQXLCKWPXKDVSAEW
      HWNUSUTVAXHXNWJXHXNMHWMTUQZXHWBEWMVIZXNWBEWMTVBXOXPWAEWMVIZCKLXNWAECWMKVC
      XOXMXQCKXMWAEWNJXOXQADEVSWNVDWAEWMTVBVEVFVGVJVKVLVMWBEWHWNUSVNVOVP $.
  $}

  ${
    $d j m M $.  $d j m ph $.  $d j k m Z $.
    rexuz3.1 $e |- Z = ( ZZ>= ` M ) $.
    $( Restrict the base of the upper integers set to another upper integers
       set.  (Contributed by Mario Carneiro, 26-Dec-2013.) $)
    rexuz3 $p |- ( M e. ZZ -> ( E. j e. Z A. k e. ( ZZ>= ` j ) ph <->
                                E. j e. ZZ A. k e. ( ZZ>= ` j ) ph ) ) $=
      ( cz wcel cv cuz cfv wral wrex wa ralel wceq fveq2 eqtr4di raleqdv ralimi
      rspcev mpan2 biantrurd uztrn2 a1d ralimdva eluzelz eleq2s jctild imp uzid
      ancrd simpl eleq1w rspcva syl2an adantl jca impbii rexbii2 rexanuz bitr2i
      simpr bitr2di ) DGHZACBIZJKZLZBGMZCIZEHZCVGLZBGMZVINZVHBEMZVEVMVIVEVKCELZ
      VMCEOVLVPBDGVFDPZVKCVGEVQVGDJKZEVFDJQFRSUAUBUCVOVKANZCVGLZBGMVNVHVTBEGVFE
      HZVHNVFGHZVTNZWAVHWCWAVHVTWBWAAVSCVGWAVJVGHNZAVKWDVKADVJVFEFUDUEULUFWBVFV
      REDVFUGFUHUIUJWCWAVHWBVFVGHVLWAVTVFUKVSVKCVGVKAUMTVKWACVFVGCBEUNUOUPVTVHW
      BVSACVGVKAVCTUQURUSUTVKABCVAVBVD $.

    ${
      $d j ps $.
      $( Combine two different upper integer properties into one.  (Contributed
         by Mario Carneiro, 26-Dec-2013.) $)
      rexanuz2 $p |- ( E. j e. Z A. k e. ( ZZ>= ` j ) ( ph /\ ps ) <->
                       ( E. j e. Z A. k e. ( ZZ>= ` j ) ph /\
                         E. j e. Z A. k e. ( ZZ>= ` j ) ps ) ) $=
        ( wa cv cuz cfv wral wrex cz wcel eluzel2 eleq2s a1d rexlimiv rexuz3
        adantr rexanuz anbi12d bitr4id bitrd pm5.21nii ) ABHZDCIZJKZLZCFMZENOZA
        DUILZCFMZBDUILZCFMZHZUJULCFUHFOZULUJULUHEJKFEUHPGQZRSUNULUPUMULCFURULUM
        USRSUAULUKUJCNMZUQUGCDEFGTULUTUMCNMZUOCNMZHUQABCDUBULUNVAUPVBACDEFGTBCD
        EFGTUCUDUEUF $.
    $}

    $( A version of ~ 19.29 for upper integer quantifiers.  (Contributed by
       Mario Carneiro, 10-Feb-2014.) $)
    r19.29uz $p |- ( ( A. k e. Z ph /\ E. j e. Z A. k e. ( ZZ>= ` j ) ps ) ->
                     E. j e. Z A. k e. ( ZZ>= ` j ) ( ph /\ ps ) ) $=
      ( wral cv cuz cfv wrex wa wcel wi uztrn2 ex pm3.2 a1i imim12d impcom syl
      ralimdv2 ralim reximdva imp ) ADFHZBDCIZJKZHZCFLABMZDUIHZCFLUGUJULCFUGUHF
      NZMBUKOZDUIHZUJULOUMUGUOUMAUNDFUIUMDIZUINZUPFNZAUNUMUQUREUPUHFGPQAUNOUMAB
      RSTUCUABUKDUIUDUBUEUF $.

    $( A version of ~ r19.2z for upper integer quantifiers.  (Contributed by
       Mario Carneiro, 15-Feb-2014.) $)
    r19.2uz $p |- ( E. j e. Z A. k e. ( ZZ>= ` j ) ph -> E. k e. Z ph ) $=
      ( cv cuz cfv wral wrex wcel c0 wne cz eluzelz uzid ne0i 3syl eleq2s sylan
      r19.2z uztrn2 ex anim1d reximdv2 imp syldan rexlimiva ) ACBGZHIZJZACEKZBE
      UJELZULACUKKZUMUNUKMNZULUOUPUJDHIZEUJUQLUJOLUJUKLUPDUJPUJQUKUJRSFTACUKUBU
      AUNUOUMUNAACUKEUNCGZUKLZURELZAUNUSUTDURUJEFUCUDUEUFUGUHUI $.

    $d k M $.
    $( Convert an upper real quantifier to an upper integer quantifier.
       (Contributed by Mario Carneiro, 7-May-2016.) $)
    rexuzre $p |- ( M e. ZZ -> ( E. j e. Z A. k e. ( ZZ>= ` j ) ph <->
        E. j e. RR A. k e. Z ( j <_ k -> ph ) ) ) $=
      ( vm cz wcel cv cuz cfv wral wrex cle wbr wi cr wa adantl eluzelre eleq2s
      adantr wb eluzelz eluz syl2an biimprd expimpd imim1d ralimdv2 imp reximi2
      exp4a jca cfl c1 caddc co cif simpl flcl peano2zd zre reflcl peano2re syl
      ifcld max1 eluz2 syl3anbrc eleqtrrdi impexp sseqtrrdi sselda simplr simpr
      wss uzss zred fllep1 max2 letrd eluzle syl5bir wceq raleqdv rspcev syl6an
      ex fveq2 rexlimdva cbvrexvw syl6ib impbid2 ) DHIZACBJZKLZMZBENZWQCJZOPZAQ
      ZCEMZBRNZWSXDBERWQEIZWSSWQRIZXDXFXGWSXGWQDKLZEDWQUAFUBUCXFWSXDXFAXCCWREXF
      XAWRIZAQXAEIZXBAXFXJXBSZXIAXFXJXBXIXFXJSXIXBXFWQHIZXAHIZXIXBUDXJXLWQXHEDW
      QUEFUBXMXAXHEDXAUEFUBWQXAUFUGUHUIUJUNUKULUOUMWPXEACGJZKLZMZGENZWTWPXDXQBR
      WPXGSZDWQUPLZUQURUSZOPZXTDUTZEIXDACYBKLZMZXQXRYBXHEXRWPYBHIZDYBOPZYBXHIZW
      PXGVAZXRYAXTDHXRXSXGXSHIWPWQVBTVCYHVHZWPDRIZXTRIZYFXGDVDZXGXSRIYKWQVEXSVF
      VGZDXTVIUGDYBVJVKZFVLXRXCACEYCXJXCQXKAQXRXAYCIZAQXJXBAVMXRYOXKAXRYOXKXRYO
      SZXJXBXRYCEXAXRYCXHEXRYGYCXHVRYNDYBVSVGFVNVOYPWQYBXAWPXGYOVPYPYBXRYEYOYIU
      CVTYOXARIXRYBXAUATXRWQYBOPYOXRWQXTYBWPXGVQXGYKWPYMTXRYBYIVTXGWQXTOPWPWQWA
      TWPYJYKXTYBOPXGYLYMDXTWBUGWCUCYOYBXAOPXRYBXAWDTWCUOWJUJWEUKXPYDGYBEXNYBWF
      ACXOYCXNYBKWKWGWHWIWLXPWSGBEXNWQWFACXOWRXNWQKWKWGWMWNWO $.
  $}

  ${
    $d j k n A $.  $d j k n B $.  $d j n ph $.
    $( Restrict the base of an upper real quantifier to an upper real set.
       (Contributed by Mario Carneiro, 12-May-2016.) $)
    rexico $p |- ( ( A C_ RR /\ B e. RR ) ->
      ( E. j e. ( B [,) +oo ) A. k e. A ( j <_ k -> ph ) <->
        E. j e. RR A. k e. A ( j <_ k -> ph ) ) ) $=
      ( vn cr wss wcel wa cv cle wbr wi wral cpnf wrex simpr simplr wb cico cxr
      pnfxr icossre sylancl ssrexv syl cif ifcld max1 adantll elicopnf ad2antlr
      co mpbir2and simpllr simpll sselda maxle syl6bi imim1d ralimdva rspceaimv
      syl3anc breq1 syl6an rexlimdva weq imbi1d ralbidv cbvrexvw syl6ib impbid
      ) BGHZCGIZJZDKZEKZLMZANZEBOZDCPUAUNZQZWADGQZVPWBGHZWCWDNVPVOPUBIWEVNVORUC
      CPUDUEWADWBGUFUGVPWDFKZVRLMZANZEBOZFWBQZWCVPWAWJDGVPVQGIZJZCVQLMZVQCUHZWB
      IZWAWNVRLMZANZEBOWJWLWOWNGIZCWNLMZWLWMVQCGVPWKRVNVOWKSUIVOWKWSVNCVQUJUKVO
      WOWRWSJTVNWKCWNULUMUOWLVTWQEBWLVRBIZJZWPVSAXAWPCVRLMZVSJZVSXAVOWKVRGIWPXC
      TVNVOWKWTUPVPWKWTSWLBGVRVNVOWKUQURCVQVRUSVDXBVSRUTVAVBWGWPAFEWNWBBWFWNVRL
      VEVCVFVGWIWAFDWBFDVHZWHVTEBXDWGVSAWFVQVRLVEVIVJVKVLVM $.
  $}

  ${
    $d j z $.  $d k m ch $.  $d k m x z D $.  $d k m x z F $.  $d j k m x ph $.
    $d k m x z G $.  $d m x z ps $.  $d x z ta $.  $d k th $.  $d x z Z $.
    cau3lem.1 $e |- Z C_ ZZ $.
    cau3lem.2 $e |- ( ta -> ps ) $.
    cau3lem.3 $e |- ( ( F ` k ) = ( F ` j ) -> ( ps <-> ch ) ) $.
    cau3lem.4 $e |- ( ( F ` k ) = ( F ` m ) -> ( ps <-> th ) ) $.
    cau3lem.5 $e |- ( ( ph /\ ch /\ ps ) ->
     ( G ` ( ( F ` j ) D ( F ` k ) ) ) = ( G ` ( ( F ` k ) D ( F ` j ) ) ) ) $.
    cau3lem.6 $e |- ( ( ph /\ th /\ ch ) ->
     ( G ` ( ( F ` m ) D ( F ` j ) ) ) = ( G ` ( ( F ` j ) D ( F ` m ) ) ) ) $.
    cau3lem.7 $e |- ( ( ph /\ ( ps /\ th ) /\ ( ch /\ x e. RR ) ) ->
                      ( ( ( G ` ( ( F ` k ) D ( F ` j ) ) ) < ( x / 2 ) /\
                          ( G ` ( ( F ` j ) D ( F ` m ) ) ) < ( x / 2 ) ) ->
                          ( G ` ( ( F ` k ) D ( F ` m ) ) ) < x ) ) $.
    $( Lemma for ~ cau3 .  (Contributed by Mario Carneiro, 15-Feb-2014.)
       (Revised by Mario Carneiro, 1-May-2014.) $)
    cau3lem $p |- ( ph -> ( A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j ) ( ta /\
                            ( G ` ( ( F ` k ) D ( F ` j ) ) ) < x ) <->
          A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j ) ( ta /\
            A. m e. ( ZZ>= ` k ) ( G ` ( ( F ` k ) D ( F ` m ) ) ) < x ) ) ) $=
      ( vz cv cfv co clt wbr wa cuz wral wrex crp weq breq2 rexralbidv cbvralvw
      anbi2d wcel c2 cdiv wi rphalfcl wceq rspcv syl adantl ralimi r19.26 fveq2
      wb fvoveq1d breq1d anbi12d biimpi a1i syl5bir expdimp cz sseli uzid sylan
      rspcva adantll jctild simplll simplrr simplrl syl3anc simpr simpllr rpred
      cr syl122anc sylbid expd impr an32s anassrs expimpd ralimdv expr wss uzss
      ssralv sylan9 ralimdva ex com23 adantr sylan2 imdistanda 3imtr4g reximdva
      mpdd syld ralrimdva syl5bi raleqbidv ad2antlr oveq2d fveq2d anim2i 3expia
      w3a sylc ralbi syl5bb sylibd impbid ) AEIUBZKUCZHUBZKUCZGUDLUCZFUBZUEUFZU
      GZIYKUHUCZUIZHMUJZFUKUIZEYJJUBZKUCZGUDLUCZYNUEUFZJYIUHUCZUIZUGIYQUIZHMUJZ
      FUKUIZYTEYMUAUBZUEUFZUGZIYQUIHMUJZUAUKUIZAUUIYSUUMFUAUKFUAULZYPUULHIMYQUU
      OYOUUKEYNUUJYMUEUMUPUNUOAUUNUUHFUKAYNUKUQZUGZUUNEYMYNURUSUDZUEUFZUGZIYQUI
      ZHMUJZUUHUUPUUNUVBUTZAUUPUURUKUQUVCYNVAUUMUVBUAUURUKUUJUURVBZUULUUTHIMYQU
      VDUUKUUSEUUJUURYMUEUMUPUNVCVDVEUUQUVAUUGHMUUQYKMUQZUGZEIYQUIZUUSIYQUIZUGU
      VGUUFIYQUIZUGZUVAUUGUVFUVGUVHUVIUVGUVFBIYQUIZUVHUVIUTEBIYQOVFZUVFUVKUGZUV
      HCDUUBYLGUDLUCZUURUEUFZUGZJYQUIZUGZUVIUVMUVHUVQCUVFUVKUVHUVQUVKUVHUGZBUUS
      UGZIYQUIZUVFUVQBUUSIYQVGZUWAUVQUTUVFUWAUVQUVTUVPIJYQIJULZBDUUSUVOUWCYJUUB
      VBBDVIYIUUAKVHZQVDUWCYMUVNUURUEUWCYJUUBYLLGUWDVJVKVLUOVMVNVOVPUVEUVKCUUQU
      VEYKYQUQZUVKCUVEYKVQUQUWEMVQYKNVRYKVSVDZBCIYKYQIHULZYJYLVBBCVIYIYKKVHZPVD
      WAZVTWBWCUVFUVKUVHUVRUVIUTZUVSUWAUVFUWJUWBUUQUWAUWJUTUVEUUQUVRUWAUVIUUQUV
      RUWAUVIUTUUQUVRUGZUVTUUFIYQUWKYIYQUQZUGBUUSUUFUWKBUWLUUSUUFUTUWKBUGUUSUUD
      JYQUIZUWLUUFUWKBUUSUWMUUQUVTUVRUWMUUQUVTUGZCUVQUWMUWNCUGZUVPUUDJYQUWODUVO
      UUDUWNCDUVOUUDUTZUUQCDUGZUVTUWPUUQUWQUGZBUUSUWPUWRBUGZUUSUVOUUDUWSUUSUVOU
      GUUSYLUUBGUDZLUCZUURUEUFZUGZUUDUWSUVOUXBUUSUWSUVNUXAUURUEUWSADCUVNUXAVBAU
      UPUWQBWDZUUQCDBWEZUUQCDBWFZSWGVKUPUWSABDCYNWKUQUXCUUDUTUXDUWRBWHUXEUXFUWS
      YNAUUPUWQBWIWJTWLWMWNWOWPWQWRWSWOWPWTUWLUUEYQXAUWMUUFUTYKYIXBUUDJUUEYQXCV
      DXDWPWRXEXFXGXHVOVPXMXIXJEUUSIYQVGEUUFIYQVGZXKXLXNXOXPAUUHYSFUKAUUGYRHMAU
      VEUGUVJUVGYOIYQUIZUGZUUGYRUVEAUWEUVJUXIUTUWFAUWEUGZUVGUVIUXHUVGUXJUVKUVIU
      XHUTUVLUXJUVKUGZUVIUXAYNUEUFZJYQUIZUXHUWEUVIUXMUTAUVKUUFUXMIYKYQUWGUUDUXL
      JUUEYQYIYKUHVHUWGUUCUXAYNUEUWGYJYLUUBLGUWHVJVKXQVCXRUXMYLYJGUDZLUCZYNUEUF
      ZIYQUIZUXKUXHUXLUXPJIYQJIULZUXAUXOYNUEUXRUWTUXNLUXRUUBYJYLGUUAYIKVHXSXTVK
      UOUXKUXPYOVIZIYQUIZUXQUXHVIUXKACUGZUVKUXTAUWEUVKUYAUWEUVKUGCAUWIYAWQUXJUV
      KWHUYABUXSIYQACBUXSACBYCUXOYMYNUERVKYBWSYDUXPYOIYQYEVDYFYGXIXJXIUXGEYOIYQ
      VGXKXLWSYH $.
  $}

  ${
    $d j k m w x y z F $.  $d j k w x M $.  $d j k x N $.  $d j k w x y z Z $.
    $d j k x W $.
    cau3.1 $e |- Z = ( ZZ>= ` M ) $.
    $( Convert between three-quantifier and four-quantifier versions of the
       Cauchy criterion.  (In particular, the four-quantifier version has no
       occurrence of ` j ` in the assertion, so it can be used with ~ rexanuz
       and friends.)  (Contributed by Mario Carneiro, 15-Feb-2014.) $)
    cau3 $p |- ( A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j )
            ( ( F ` k ) e. CC /\ ( abs ` ( ( F ` k ) - ( F ` j ) ) ) < x ) <->
               A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j ) ( ( F ` k ) e. CC /\
            A. m e. ( ZZ>= ` k ) ( abs ` ( ( F ` k ) - ( F ` m ) ) ) < x ) ) $=
      ( cv cfv cc wcel cmin co cabs clt wbr wa wral wtru cuz wrex wb cz eqsstri
      crp uzssz id eleq1 wceq abssub 3adant1 cr c2 cdiv abs3lem cau3lem mptru
      wi ) CIZEJZKLZVABIZEJZMNOJZAIZPQRCVCUAJZSBGUBAUFSVBVADIEJZMNOJVFPQZDUTUAJ
      SRCVGSBGUBAUFSUCTVBVDKLZVHKLZVBAMBCDEOGGFUAJUDHFUGUEVBUHVAVDKUIVAVHKUIVJV
      BVDVAMNOJVEUJTVDVAUKULVKVJVHVDMNOJVDVHMNOJZUJTVHVDUKULVBVKRVJVFUMLRVEVFUN
      UONZPQVLVMPQRVIUSTVAVHVDVFUPULUQUR $.

    ${
      cau4.2 $e |- W = ( ZZ>= ` N ) $.
      $( Change the base of a Cauchy criterion.  (Contributed by Mario
         Carneiro, 18-Mar-2014.) $)
      cau4 $p |- ( N e. Z -> ( A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j )
          ( ( F ` k ) e. CC /\ ( abs ` ( ( F ` k ) - ( F ` j ) ) ) < x )
        <-> A. x e. RR+ E. j e. W A. k e. ( ZZ>= ` j )
          ( ( F ` k ) e. CC /\ ( abs ` ( ( F ` k ) - ( F ` j ) ) ) < x ) ) ) $=
        ( vy wcel cv cfv cuz wral wrex crp wb cz cc cmin co cabs clt wa eluzel2
        wbr rexuz3 syl eluzelz bitr4d eleq2s ralbidv cau3 3bitr4g ) FHLZCMZDNZU
        ALZUSKMDNUBUCUDNAMZUEUHKURONPUFZCBMZONZPZBHQZARPVEBGQZARPUTUSVCDNUBUCUD
        NVAUEUHUFCVDPZBHQARPVHBGQARPUQVFVGARVFVGSFEONZHFVILZVFVEBTQZVGVJETLVFVK
        SEFUGVBBCEHIUIUJVJFTLVGVKSEFUKVBBCFGJUIUJULIUMUNABCKDEHIUOABCKDFGJUOUP
        $.
    $}

    $( A Cauchy sequence of complex numbers is eventually bounded.
       (Contributed by Mario Carneiro, 14-Feb-2014.) $)
    caubnd2 $p |- ( A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j )
            ( ( F ` k ) e. CC /\ ( abs ` ( ( F ` k ) - ( F ` j ) ) ) < x ) ->
         E. y e. RR E. j e. Z A. k e. ( ZZ>= ` j ) ( abs ` ( F ` k ) ) < y ) $=
      ( cv cfv cc wcel clt wbr wa wral wrex c1 cr syl cmin co cabs cuz crp wceq
      wi breq2 anbi2d rexralbidv rspcv ax-mp caddc cz eluzelz eleq2s uzid simpl
      1rp ralimi fveq2 eleq1d rspcva syl2an abscl 1re readdcl sylancl cle simpr
      simplr abs2dif syl2anc resubcld subcld lelttr mp3an3 wb ltsubadd2 expimpd
      mpand sylibd ralimdv impancom mpd brralrspcev ex reximia rexcom sylib ) D
      IZEJZKLZWLCIZEJZUAUBZUCJZAIZMNZOZDWNUDJZPCGQZAUEPZWMWQRMNZOZDXAPZCGQZWLUC
      JZBIMNDXAPZCGQBSQZRUELXCXGUGUSXBXGARUEWRRUFZWTXECDGXAXKWSXDWMWRRWQMUHUIUJ
      UKULXGXIBSQZCGQXJXFXLCGWNGLZXFXLXMXFOZWOUCJZRUMUBZSLZXHXPMNZDXAPZXLXNXOSL
      ZRSLZXQXNWOKLZXTXMWNXALZWMDXAPYBXFXMWNUNLZYCYDWNFUDJGFWNUOHUPWNUQTXEWMDXA
      WMXDURUTWMYBDWNXAWKWNUFWLWOKWKWNEVAVBVCVDZWOVEZTVFXORVGVHXNYBXSYEXMYBXFXS
      XMYBOZXEXRDXAYGWMXDXRYGWMOZXDXHXOUAUBZRMNZXRYHYIWQVINZXDYJYHWMYBYKYGWMVJZ
      XMYBWMVKZWLWOVLVMYHYISLZWQSLZYKXDOYJUGZYHXHXOYHWMXHSLZYLWLVETZYHYBXTYMYFT
      ZVNYHWPKLYOYHWLWOYLYMVOWPVETYNYOYAYPVFYIWQRVPVQVMWAYHYQXTYJXRVRZYRYSYQXTY
      AYTVFXHXORVSVQVMWBVTWCWDWEBDXHXPMSXAWFVMWGWHXICBGSWIWJT $.

    $( A Cauchy sequence of complex numbers is bounded.  (Contributed by NM,
       4-Apr-2005.)  (Revised by Mario Carneiro, 14-Feb-2014.) $)
    caubnd $p |- ( ( A. k e. Z ( F ` k ) e. CC /\ A. x e. RR+ E. j e. Z
              A. k e. ( ZZ>= ` j ) ( abs ` ( ( F ` k ) - ( F ` j ) ) ) < x ) ->
                   E. y e. RR A. k e. Z ( abs ` ( F ` k ) ) < y ) $=
      ( vz cv cfv wcel wral clt wbr wrex cr wa wi cz vw cc cmin co cabs cuz crp
      abscl ralimi r19.29uz ralimdv caubnd2 syl6 cfz wss fzssuz sseqtrri ssralv
      ex ax-mp cle cfn fzfi fimaxre3 mpan c1 caddc peano2re adantl ltp1 mpd3an3
      lelttr mpan2d expcom impcom ralim syl brralrspcev syl6an rexlimdva mpd wo
      cif max1 3adant3 simp3 simp1 ifcl ancoms ltletr syl3anc max2 simp2 3expia
      w3a jaod syl6d wal uzssz eqsstri sseli uztric syl2anr wb eleqtrdi elfzuzb
      simpr baib orbi1d mpbird pm3.48 syl9 alimdv df-ral anbi12i bitr4i 3imtr4g
      19.26 3impib imim1i 3expd com23 expimpd com3r com34 rexlimdvv sylsyld imp
      rexlimdv ) DJZEKZUBLZDGMZYKCJZEKUCUDUEKAJZNOZDYNUFKZMCGPZAUGMZYKUEKZBJNOD
      GMBQPZYMYTQLZDGMZYSYTIJZNOZDYQMZCGPIQPZUUAYLUUBDGYKUHUIYMYSYLYPRDYQMCGPZA
      UGMUUGYMYRUUHAUGYMYRUUHYLYPCDFGHUJUSUKAICDEFGHULUMUUCUUFUUAICQGUUCYTUAJZN
      OZDFYNUNUDZMZUAQPZUUDQLZYNGLZRZUUFUUASZSZUUCUUBDUUKMZUUMUUKGUOUUCUUSSUUKF
      UFKZGFYNUPHUQUUBDUUKGURUTUUSYTYOVAOZDUUKMZAQPZUUMUUKVBLUUSUVCFYNVCADUUKYT
      VDVEUUSUVBUUMAQUUSYOQLZRZYOVFVGUDZQLZUVBYTUVFNOZDUUKMZUUMUVDUVGUUSYOVHZVI
      UVEUVAUVHSZDUUKMZUVBUVISUVDUUSUVLUVDUUBUVKDUUKUUBUVDUVKUUBUVDRUVAYOUVFNOZ
      UVHUVDUVMUUBYOVJVIUUBUVDUVGUVAUVMRUVHSUVDUVGUUBUVJVIYTYOUVFVLVKVMVNUKVOUV
      AUVHDUUKVPVQUADYTUVFNQUUKVRVSVTWAVQUUCUULUURUAQUUCUUIQLZUUPUULUUQUVNUUPUU
      CUULUUQSZUVNUUNUUOUUCUVOSUVNUUNRZUUCUUOUVOUVPUUCUUJUUEWBZDGMZUUASZUUOUVOS
      UVPUUCUVRYTUUIUUDVAOZUUDUUIWCZNOZDGMZUUAUVPUUCUVQUWBSZDGMUVRUWCSUVPUUBUWD
      DGUVNUUNUUBUWDUVNUUNUUBWOZUUJUWBUUEUWEUUJUUIUWAVAOZUWBUVNUUNUWFUUBUUIUUDW
      DWEUWEUUBUVNUWAQLZUUJUWFRUWBSUVNUUNUUBWFZUVNUUNUUBWGUVNUUNUWGUUBUUNUVNUWG
      UVTUUDUUIQWHWIZWEZYTUUIUWAWJWKVMUWEUUEUUDUWAVAOZUWBUVNUUNUWKUUBUUIUUDWLWE
      UWEUUBUUNUWGUUEUWKRUWBSUWHUVNUUNUUBWMUWJYTUUDUWAWJWKVMWPWNUKUVQUWBDGVPUMU
      VPUWGUWCUUASUWIUWGUWCUUABDYTUWANQGVRUSVQWQUVSUUOUULUUFUUAUUOUULUUFWOUVRUU
      AUUOUULUUFUVRUUOYJUUKLZUUJSZYJYQLZUUESZRZDWRZYJGLZUVQSZDWRUULUUFRZUVRUUOU
      WPUWSDUUOUWRUWLUWNWBZUWPUVQUUOUWRUXAUUOUWRRZUXAYNYJUFKLZUWNWBZUWRYJTLYNTL
      UXDUUOGTYJGUUTTHFWSWTZXAGTYNUXEXAYJYNXBXCUXBUWLUXCUWNUXBYJUUTLZUWLUXCXDUX
      BYJGUUTUUOUWRXGHXEUWLUXFUXCYJFYNXFXHVQXIXJUSUWLUUJUWNUUEXKXLXMUWTUWMDWRZU
      WODWRZRUWQUULUXGUUFUXHUUJDUUKXNUUEDYQXNXOUWMUWODXRXPUVQDGXNXQXSXTYAUMYBYC
      YDYEYIWAYFYGYH $.
  $}

  ${
    sqrteulem.1 $e |- B = ( ( sqrt ` ( abs ` A ) ) x.
      ( ( ( abs ` A ) + A ) / ( abs ` ( ( abs ` A ) + A ) ) ) ) $.
    $( Lemma for ~ sqreu : write a general complex square root in terms of the
       square root function over nonnegative reals.  (Contributed by Mario
       Carneiro, 9-Jul-2013.) $)
    sqreulem $p |- ( ( A e. CC /\ ( ( abs ` A ) + A ) =/= 0 ) ->
      ( ( B ^ 2 ) = A /\ 0 <_ ( Re ` B ) /\ ( _i x. B ) e/ RR+ ) ) $=
      ( cc wcel cfv caddc co cc0 cexp wceq cle wbr cmul cdiv ccj adantr mpancom
      c2 cr cabs wne wa cre crp wnel csqrt oveq1i abscl absge0 resqrtcl syl2anc
      ci recnd addcl syl abs00ad necon3bid divcld sqmuld eqtrid resqrtth sqdivd
      biimpar absvalsq 2cn mulass mp3an1 mulcl sylancr mulcom eqtr3d cjcl adddi
      oveq12d mpd3an23 eqtr4d sqval binom2 addcld adddid 3eqtr4d mulcld addcomd
      id 2timesd mul12 mp3an2i sqvald mpdan 3eqtr3d oveq2d 3eqtr3rd cjadd cjred
      oveq1d eqtrd muladdd addassd mul12d wb sqeq0 eqeq1d 3bitr3rd biimpa simpl
      divassd divcan4d 3eqtrd addcjd 2re recld remulcl eqeltrd redivcld sqrtge0
      remulcld cneg cmin negcl releabs subge0d mpbird readd rered absneg negneg
      clt fveq2d renegd negsubd breqtrrd mulge0 mpanl12 divge0 wn eleq1d syl5ib
      0le2 ne0gt0d syl22anc mulge0d mpanr12 eqeltrid reval fveq2i cjmuld cjdivd
      2pos cjcld 3eqtr4a divdird subneg subeq0ad bitr3d resqcl ax-icn sqmul a1i
      c1 i2 mulm1 renegcl sylsyld sqge0 breq2d le0neg1 biimprcd syl6c jcad syl6
      absnid necon3ad mpd rpre nsyl df-nel sylibr 3jca ) ADEZAUAFZAGHZIUBZUCZBS
      JHZAKIBUDFZLMUMBNHZUEUFZUWDUWEUWAUGFZSJHZUWBUWBUAFZOHZSJHZNHZUWAAAPFZSUWA
      NHZGHZAGHZNHZUWAUWRNHZOHZNHZAUWDUWEUWIUWLNHZSJHUWNBUXCSJCUHUWDUWIUWLUVTUW
      IDEUWCUVTUWIUVTUWATEZIUWALMZUWITEZAUIZAUJZUWAUKULZUNQZUWDUWBUWKUVTUWBDEZU
      WCUWADEZUVTUXKUVTUWAUXGUNZUWAAUORZQZUVTUWKDEZUWCUVTUWKUVTUXKUWKTEZUXNUWBU
      IUPZUNZQZUVTUWKIUBUWCUVTUWKIUWBIUVTUWBUXNUQZURVDZUSZUTVAUWDUWJUWAUWMUXANU
      WDUXDUXEUWJUWAKUVTUXDUWCUXGQUVTUXEUWCUXHQUWAVBULUWDUWMUWBSJHZUWKSJHZOHZUX
      AUWDUWBUWKUXOUXTUYBVCUVTUYFUXAKUWCUVTUYDUWSUYEUWTOUVTUWASJHZSUWAANHZNHZGH
      ZASJHZGHZAUWQNHZAANHZGHUYDUWSUVTUYJUYMUYKUYNGUVTUYJAUWONHZAUWPNHZGHZUYMUV
      TUYGUYOUYIUYPGAVEZUVTUWPANHZUYIUYPUXLUVTUYSUYIKZUXMSDEZUXLUVTUYTVFSUWAAVG
      VHRUWPDEZUVTUYSUYPKUVTVUAUXLVUBVFUXMSUWAVIVJZUWPAVKRVLVOUVTUWODEZVUBUYMUY
      QKAVMZVUCAUWOUWPVNVPVQAVRVOUXLUVTUYDUYLKUXMUWAAVSRUVTAUWQAUVTWEZUVTUWOUWP
      VUEVUCVTZVUFWAWBUVTUWAUWANHZUWOANHZGHZUWAUWONHZGHZUYHGHZUWAUWQNHZUYHGHUYE
      UWTUVTVULVUNUYHGUVTUWAUWPNHZVUKGHVUKVUOGHVULVUNUVTVUOVUKUVTUWAUWPUXMVUCWC
      UVTUWAUWOUXMVUEWCZWDUVTVUJVUOVUKGUVTSVUHNHZVUHVUHGHVUOVUJUVTVUHUVTUWAUWAU
      XMUXMWCZWFVUAUVTUXLUXLVUQVUOKVFUXMUXMSUWAUWAWGWHUVTVUHVUIVUHGUVTUYGUYOVUH
      VUIUYRUVTUWAUXMWIUVTVUDUYOVUIKVUEAUWOVKWJWKWLWMWPUVTUWAUWOUWPUXMVUEVUCWAW
      BWPUVTUWBUWBPFZNHZVUJVUKUYHGHGHZUYEVUMUVTVUTUWBUWAUWOGHZNHVVAUVTVUSVVBUWB
      NUVTVUSUWAPFZUWOGHZVVBUXLUVTVUSVVDKUXMUWAAWNRUVTVVCUWAUWOGUVTUWAUXGWOWPWQ
      WLUVTUWAAUWAUWOUXMVUFUXMVUEWRWQUVTUXKUYEVUTKUXNUWBVEUPUVTVUJVUKUYHUVTVUHV
      UIVURVUDUVTVUIDEVUEUWOAVIRVTVUPUXLUVTUYHDEUXMUWAAVIRWSWBUVTUWAUWQAUXMVUGV
      UFWAWBZVOQWQVOUWDUWAUWSNHZUWTOHZAUWTNHZUWTOHZUXBAUVTVVGVVIKUWCUVTVVFVVHUW
      TOUVTUWAAUWRUXMVUFUWQDEUVTUWRDEZVUGUWQAUORZWTWPQUWDUWAUWSUWTUVTUXLUWCUXMQ
      UVTUWSDEZUWCUVTVVJVVLVVKAUWRVIWJQUVTUWTDEUWCUVTUWAUWRUXMVVKWCQZUVTUWCUWTI
      UBUVTUWBIUWTIUVTUYEIKZUWKIKZUWTIKUWBIKZUVTUXPVVNVVOXAUXSUWKXBUPUVTUYEUWTI
      VVEXCUYAXDURXEZXGUWDAUWTUVTUWCXFZVVMVVQXHWKXIZUWDIUWIUWBVUSGHZUWKOHZNHZSO
      HZUWFLUWDVWBTEZIVWBLMZIVWCLMZUWDUWIVWAUVTUXFUWCUXIQZUWDVVTUWKUVTVVTTEZUWC
      UVTVVTSUWBUDFZNHZTUVTUWBUXNXJZUVTSTEZVWITEZVWJTEXKUVTUWBUXNXLZSVWIXMVJXNQ
      ZUVTUXQUWCUXRQZUYBXOZXQUWDUWIVWAVWGVWQUVTIUWILMZUWCUVTUXDUXEVWRUXGUXHUWAX
      PULQUWDVWHIVVTLMZUXQIUWKYHMIVWALMVWOUVTVWSUWCUVTIVWJVVTLUVTVWMIVWILMZIVWJ
      LMZVWNUVTIAXRZUAFZVXBUDFZXSHZVWILUVTIVXELMVXDVXCLMZUVTVXBDEZVXFAXTZVXBYAU
      PUVTVXCVXDUVTVXGVXCTEVXHVXBUIUPZUVTVXBVXHXLZYBYCUVTVWIUWAUDFZAUDFZGHZVXCV
      XDXRZGHVXEUXLUVTVWIVXMKUXMUWAAYDRUVTVXKVXCVXLVXNGUVTVXKUWAVXCUVTUWAUXGYEA
      YFVQUVTVXBXRZUDFVXLVXNUVTVXOAUDAYGZYIUVTVXBVXHYJVLVOUVTVXCVXDUVTVXCVXIUNU
      VTVXDVXJUNYKXIYLVWLISLMVWMVWTUCVXAXKYSSVWIYMYNULVWKYLQVWPUWDUWKVWPUWDUXKI
      UWKLMUXOUWBUJUPUYBYTVVTUWKYOUUAUUBVWDVWEUCVWLISYHMVWFXKUUIVWBSYOUUCULUWDU
      WFBBPFZGHZSOHZVWCUWDBDEZUWFVXSKUWDBUXCDCUWDUWIUWLUXJUYCWCUUDZBUUEUPUWDVXR
      VWBSOUWDVXRUWIUWLVUSUWKOHZGHZNHZVWBUWDBUWIVYBNHZGHUXCVYEGHVXRVYDBUXCVYEGC
      UHUWDVXQVYEBGUWDVXQUWIPFZUWLPFZNHZVYEUWDVXQUXCPFVYHBUXCPCUUFUWDUWIUWLUXJU
      YCUUGVAUWDVYFUWIVYGVYBNUVTVYFUWIKUWCUVTUWIUXIWOQUWDVYGVUSUWKPFZOHVYBUWDUW
      BUWKUXOUXTUYBUUHUWDVYIUWKVUSOUWDUWKVWPWOWLWQVOWQWLUWDUWIUWLVYBUXJUYCUWDVU
      SUWKUWDUWBUXOUUJZUXTUYBUSWAUUKUWDVWAVYCUWINUWDUWBVUSUWKUXOVYJUXTUYBUULWLV
      QWPWQYLUWDUWGUEEZYPUWHUWDUWGTEZVYKUWDUWAVXBUBZVYLYPUVTUWCVYMUVTUWBIUWAVXB
      UVTUWAVXBXSHZIKVVPUWAVXBKZUVTVYNUWBIUXLUVTVYNUWBKUXMUWAAUUMRXCUVTUWAVXBUX
      MVXHUUNUUOURXEUWDVYLUWAVXBUWDVYLATEZAILMZUCVYOUWDVYLVYPVYQUWDUVTVYLVXBTEZ
      VYPVVRVYLUWGSJHZTEUWDVYRUWGUUPUWDVYSVXBTUWDVYSUMSJHZUWENHZUUTXRZANHZVXBUW
      DUMDEVXTVYSWUAKUUQVYAUMBUURVJUWDVYTWUBUWEANVYTWUBKUWDUVAUUSVVSVOUVTWUCVXB
      KUWCAUVBQXIZYQYRVYRVXOTEUVTVYPVXBUVCUVTVXOATVXPYQYRUVDZUWDVYLIVXBLMZVYPVY
      QVYLIVYSLMUWDWUFUWGUVEUWDVYSVXBILWUDUVFYRWUEVYPVYQWUFAUVGUVHUVIUVJAUVLUVK
      UVMUVNUWGUVOUVPUWGUEUVQUVRUVS $.
  $}

  ${
    $d A x $.
    $( Existence and uniqueness for the square root function in general.
       (Contributed by Mario Carneiro, 9-Jul-2013.) $)
    sqreu $p |- ( A e. CC -> E! x e. CC ( ( x ^ 2 ) = A /\
        0 <_ ( Re ` x ) /\ ( _i x. x ) e/ RR+ ) ) $=
      ( cc wcel c2 cexp co wceq cc0 cre cfv cle wbr ci cmul crp w3a recnd syl
      cr cv wnel wrex wrmo wreu cabs caddc cneg cmin abscl subneg mpancom negcl
      eqeq1d subeq0ad bitr3d csqrt ax-icn absge0 jca eleq1 breq2 anbi12d syl5ib
      impcom resqrtcl mulcl sylancr sqrtneglem negneg adantr eqeq2d mpbid oveq1
      wa 3anbi1d fveq2 breq2d oveq2 neleq1 3anbi123d rspcev syl2anc sylbid cdiv
      wb ex wne abs00ad necon3bid biimpar divcld mulcld eqid sqreulem pm2.61dne
      addcl sqrmo reu5 sylanbrc ) BCDZAUAZEFGZBHZIXBJKZLMZNXBOGZPUBZQZACUCZXIAC
      UDXIACUEXAXJBUFKZBUGGZIXAXLIHZXKBUHZHZXJXAXKXNUIGZIHXMXOXAXPXLIXKCDZXAXPX
      LHXAXKBUJZRZXKBUKULUNXAXKXNXSBUMUOUPXAXOXJXAXOVOZNXNUQKZOGZCDZYBEFGZBHZIY
      BJKZLMZNYBOGZPUBZQZXJXTNCDYACDYCURXTYAXTXNTDZIXNLMZVOZYATDXOXAYMXAXKTDZIX
      KLMZVOXOYMXAYNYOXRBUSZUTXOYNYKYOYLXKXNTVAXKXNILVBVCVDVEZXNVFSRNYAVGVHXTYD
      XNUHZHZYGYIQZYJXTYMYTYQXNVISXTYSYEYGYIXTYRBYDXAYRBHXOBVJVKVLVPVMXIYJAYBCX
      BYBHZXDYEXFYGXHYIUUAXCYDBXBYBEFVNUNUUAXEYFILXBYBJVQVRUUAXGYHHXHYIWFXBYBNO
      VSXGYHPVTSWAWBWCWGWDXAXLIWHZXJXAUUBVOZXKUQKZXLXLUFKZWEGZOGZCDUUGEFGZBHZIU
      UGJKZLMZNUUGOGZPUBZQZXJUUCUUDUUFXAUUDCDUUBXAUUDXAYNYOUUDTDXRYPXKVFWCRVKUU
      CXLUUEXAXLCDZUUBXQXAUUOXSXKBWQULZVKXAUUECDUUBXAUUEXAUUOUUETDUUPXLUJSRVKXA
      UUEIWHUUBXAUUEIXLIXAXLUUPWIWJWKWLWMBUUGUUGWNWOXIUUNAUUGCXBUUGHZXDUUIXFUUK
      XHUUMUUQXCUUHBXBUUGEFVNUNUUQXEUUJILXBUUGJVQVRUUQXGUULHXHUUMWFXBUUGNOVSXGU
      ULPVTSWAWBWCWGWPABWRXIACWSWT $.
  $}

  ${
    $d A x y $.
    $( Closure of the square root function over the complex numbers.
       (Contributed by Mario Carneiro, 10-Jul-2013.) $)
    sqrtcl $p |- ( A e. CC -> ( sqrt ` A ) e. CC ) $=
      ( vx cc wcel csqrt cfv cv c2 cexp co wceq cc0 cre cle wbr ci cmul crp w3a
      wnel crio sqrtval wreu sqreu riotacl syl eqeltrd ) ACDZAEFBGZHIJAKLUIMFNO
      PUIQJRTSZBCUAZCBAUBUHUJBCUCUKCDBAUDUJBCUEUFUG $.

    $( Lemma for ~ sqrtth .  (Contributed by Mario Carneiro, 10-Jul-2013.) $)
    sqrtthlem $p |- ( A e. CC -> ( ( ( sqrt ` A ) ^ 2 ) = A /\
        0 <_ ( Re ` ( sqrt ` A ) ) /\ ( _i x. ( sqrt ` A ) ) e/ RR+ ) ) $=
      ( vx cc wcel csqrt cfv c2 cexp co wceq cc0 cre cle wbr ci cmul crp w3a wb
      wnel cv crio sqrtval eqcomd sqrtcl sqreu oveq1 eqeq1d fveq2 breq2d neleq1
      wreu oveq2 syl 3anbi123d riota2 syl2anc mpbird ) ACDZAEFZGHIZAJZKUTLFZMNZ
      OUTPIZQTZRZBUAZGHIZAJZKVHLFZMNZOVHPIZQTZRZBCUBZUTJZUSUTVPBAUCUDUSUTCDVOBC
      ULVGVQSAUEBAUFVOVGBCUTVHUTJZVJVBVLVDVNVFVRVIVAAVHUTGHUGUHVRVKVCKMVHUTLUIU
      JVRVMVEJVNVFSVHUTOPUMVMVEQUKUNUOUPUQUR $.

    $( Mapping domain and codomain of the square root function.  (Contributed
       by Mario Carneiro, 13-Sep-2015.) $)
    sqrtf $p |- sqrt : CC --> CC $=
      ( vx vy cc csqrt wf wfn cv cfv wcel wral c2 cexp co wceq cc0 cre cle cmul
      wbr ci crp wnel crio riotaex df-sqrt fnmpti sqrtcl rgen ffnfv mpbir2an
      w3a ) CCDEDCFAGZDHCIZACJACBGZKLMULNOUNPHQSTUNRMUAUBUKZBCUCDUOBCUDABUEUFUM
      ACULUGUHACCDUIUJ $.
  $}

  $( Square root theorem over the complex numbers.  Theorem I.35 of [Apostol]
     p. 29.  (Contributed by Mario Carneiro, 10-Jul-2013.) $)
  sqrtth $p |- ( A e. CC -> ( ( sqrt ` A ) ^ 2 ) = A ) $=
    ( cc wcel csqrt cfv c2 cexp co wceq cc0 cre cle wbr cmul crp wnel sqrtthlem
    ci simp1d ) ABCADEZFGHAIJTKELMRTNHOPAQS $.

  $( The square root function must make a choice between the two roots, which
     differ by a sign change.  In the general complex case, the choice of
     "positive" and "negative" is not so clear.  The convention we use is to
     take the root with positive real part, unless ` A ` is a nonpositive real
     (in which case both roots have 0 real part); in this case we take the one
     in the positive imaginary direction.  Another way to look at this is that
     we choose the root that is largest with respect to lexicographic order on
     the complex numbers (sorting by real part first, then by imaginary part as
     tie-breaker).  (Contributed by Mario Carneiro, 10-Jul-2013.) $)
  sqrtrege0 $p |- ( A e. CC -> 0 <_ ( Re ` ( sqrt ` A ) ) ) $=
    ( cc wcel csqrt cfv c2 cexp co wceq cc0 cre cle wbr cmul crp wnel sqrtthlem
    ci simp2d ) ABCADEZFGHAIJTKELMRTNHOPAQS $.

  $( Solve an equation containing a square.  (Contributed by Mario Carneiro,
     23-Apr-2015.) $)
  eqsqrtor $p |- ( ( A e. CC /\ B e. CC ) ->
    ( ( A ^ 2 ) = B <-> ( A = ( sqrt ` B ) \/ A = -u ( sqrt ` B ) ) ) ) $=
    ( cc wcel wa c2 cexp csqrt cfv wceq cneg sqrtth adantl eqeq2d sqrtcl sqeqor
    co wo wb sylan2 bitr3d ) ACDZBCDZEZAFGQZBHIZFGQZJZUEBJAUFJAUFKJRZUDUGBUEUCU
    GBJUBBLMNUCUBUFCDUHUISBOAUFPTUA $.

  ${
    $d x A $.  $d x B $.
    eqsqrtd.1 $e |- ( ph -> A e. CC ) $.
    eqsqrtd.2 $e |- ( ph -> B e. CC ) $.
    eqsqrtd.3 $e |- ( ph -> ( A ^ 2 ) = B ) $.
    ${
      eqsqrtd.4 $e |- ( ph -> 0 <_ ( Re ` A ) ) $.
      eqsqrtd.5 $e |- ( ph -> -. ( _i x. A ) e. RR+ ) $.
      $( A deduction for showing that a number equals the square root of
         another.  (Contributed by Mario Carneiro, 3-Apr-2015.) $)
      eqsqrtd $p |- ( ph -> A = ( sqrt ` B ) ) $=
        ( vx c2 cexp co wceq cc0 cre cle ci cmul crp cc cfv wbr wnel wrmo csqrt
        w3a wcel wreu sqreu reurmo 3syl df-nel sylibr 3jca sqrtcl syl sqrtthlem
        cv wn oveq1 eqeq1d fveq2 breq2d oveq2 neleq1 3anbi123d rmoi syl122anc
        wb ) AIURZJKLZCMZNVJOUAZPUBZQVJRLZSUCZUFZITUDZBTUGBJKLZCMZNBOUAZPUBZQBR
        LZSUCZUFZCUEUAZTUGZWFJKLZCMZNWFOUAZPUBZQWFRLZSUCZUFZBWFMACTUGZVQITUHVRE
        ICUIVQITUJUKDAVTWBWDFGAWCSUGUSWDHWCSULUMUNAWOWGECUOUPAWOWNECUQUPVQWEWNI
        TBWFVJBMZVLVTVNWBVPWDWPVKVSCVJBJKUTVAWPVMWANPVJBOVBVCWPVOWCMVPWDVIVJBQR
        VDVOWCSVEUPVFVJWFMZVLWIVNWKVPWMWQVKWHCVJWFJKUTVAWQVMWJNPVJWFOVBVCWQVOWL
        MVPWMVIVJWFQRVDVOWLSVEUPVFVGVH $.
    $}

    eqsqrt2d.4 $e |- ( ph -> 0 < ( Re ` A ) ) $.
    $( A deduction for showing that a number equals the square root of another.
       (Contributed by Mario Carneiro, 3-Apr-2015.) $)
    eqsqrt2d $p |- ( ph -> A = ( sqrt ` B ) ) $=
      ( cc0 cre cfv clt wbr cle cr wcel wi 0re recld ltle syl sylancr mpd ci co
      cmul cim wne crp wn cc wceq reim gt0ne0d eqnetrrd reim0d necon3ai eqsqrtd
      rpre ) ABCDEFAHBIJZKLZHUSMLZGAHNOUSNOUTVAPQABDRHUSSUAUBAUCBUEUDZUFJZHUGVB
      UHOZUIAUSVCHABUJOUSVCUKDBULTAUSGUMUNVDVCHVDVBVBURUOUPTUQ $.
  $}

  $( Arithmetic-geometric mean inequality for ` n = 2 ` .  (Contributed by
     Mario Carneiro, 2-Jul-2014.)  (Proof shortened by AV, 9-Jul-2022.) $)
  amgm2 $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
      ( sqrt ` ( A x. B ) ) <_ ( ( A + B ) / 2 ) ) $=
    ( cr wcel cc0 cle wa c2 cmul co caddc cexp c4 cc wceq remulcl syl2anc recnd
    wbr cmin csqrt cfv cdiv 2cn simpll simprl mulge0 resqrtcl sqmul sylancr sq2
    oveq1i sqrtth oveq2d eqtrid eqtrd resubcld sqge0d binom2sub oveq12d resqcld
    syl binom2 2re readdcld pnpcan2d 2timesd 2t2e4 2cnd mulassd eqtr3id pnncand
    3eqtr4rd 3eqtrd 4re subsub23 syl3anc mpbid breqtrrd subge0d eqbrtrd sqrtge0
    wb 0le2 mpanl12 addge0 an4s le2sqd mpbird crp 2rp a1i lemuldiv2d ) ACDZEAFS
    ZGZBCDZEBFSZGZGZHABIJZUAUBZIJZABKJZFSZXBXDHUCJFSWTXEXCHLJZXDHLJZFSWTXFMXAIJ
    ZXGFWTXFHHLJZXBHLJZIJZXHWTHNDXBNDXFXKOUDWTXBWTXACDZEXAFSZXBCDZWTWNWQXLWNWOW
    SUEZWPWQWRUFZABPQZABUGZXAUHQZRHXBUIUJWTXKMXJIJXHXIMXJIUKULWTXJXAMIWTXANDXJX
    AOWTXAXQRZXAUMVBUNUOUPWTEXGXHTJZFSXHXGFSWTEABTJZHLJZYAFWTYBWTABXOXPUQZURWTX
    GYCTJZXHOZYAYCOZWTYEAHLJZHXAIJZKJZBHLJZKJZYHYITJZYKKJZTJYJYMTJZXHWTXGYLYCYN
    TWTANDZBNDZXGYLOWTAXORZWTBXPRZABVCQWTYPYQYCYNOYRYSABUSQUTWTYJYMYKWTYJWTYHYI
    WTAXOVAZWTHCDZXLYICDVDXQHXAPUJZVERWTYMWTYHYIYTUUBUQRWTYKWTBXPVARVFWTHYIIJZY
    IYIKJXHYOWTYIWTYIUUBRZVGWTXHHHIJZXAIJUUCUUEMXAIVHULWTHHXAWTVIZUUFXTVJVKWTYH
    YIYIWTYHYTRUUDUUDVLVMVNWTXGNDYCNDXHNDYFYGWCWTXGWTXDWTABXOXPVEZVAZRWTYCWTYBY
    DVARWTXHWTMCDXLXHCDVOXQMXAPUJZRXGYCXHVPVQVRVSWTXGXHUUHUUIVTVRWAWTXCXDWTUUAX
    NXCCDVDXSHXBPUJUUGWTXNEXBFSZEXCFSZXSWTXLXMUUJXQXRXAWBQUUAEHFSXNUUJGUUKVDWDH
    XBUGWEQWNWQWOWREXDFSABWFWGWHWIWTXBXDHXSUUGHWJDWTWKWLWMVR $.

  ${
    sqrtthi.1 $e |- A e. RR $.
    $( Square root theorem.  Theorem I.35 of [Apostol] p. 29.  (Contributed by
       NM, 26-May-1999.)  (Revised by Mario Carneiro, 6-Sep-2013.) $)
    sqrtthi $p |- ( 0 <_ A -> ( ( sqrt ` A ) x. ( sqrt ` A ) ) = A ) $=
      ( cr wcel cc0 cle wbr csqrt cfv cmul co wceq remsqsqrt mpan ) ACDEAFGAHIZ
      OJKALBAMN $.

    $( The square root of a nonnegative real is a real.  (Contributed by NM,
       26-May-1999.)  (Revised by Mario Carneiro, 6-Sep-2013.) $)
    sqrtcli $p |- ( 0 <_ A -> ( sqrt ` A ) e. RR ) $=
      ( cr wcel cc0 cle wbr csqrt cfv resqrtcl mpan ) ACDEAFGAHICDBAJK $.

    $( The square root of a positive real is positive.  (Contributed by NM,
       26-May-1999.)  (Revised by Mario Carneiro, 6-Sep-2013.) $)
    sqrtgt0i $p |- ( 0 < A -> 0 < ( sqrt ` A ) ) $=
      ( cr wcel cc0 clt wbr csqrt cfv sqrtgt0 mpan ) ACDEAFGEAHIFGBAJK $.

    $( Square root of square.  (Contributed by NM, 2-Aug-1999.) $)
    sqrtmsqi $p |- ( 0 <_ A -> ( sqrt ` ( A x. A ) ) = A ) $=
      ( cr wcel cc0 cle wbr cmul co csqrt cfv wceq sqrtmsq mpan ) ACDEAFGAAHIJK
      ALBAMN $.

    $( Square root of square.  (Contributed by NM, 11-Aug-1999.) $)
    sqrtsqi $p |- ( 0 <_ A -> ( sqrt ` ( A ^ 2 ) ) = A ) $=
      ( cr wcel cc0 cle wbr c2 cexp co csqrt cfv wceq sqrtsq mpan ) ACDEAFGAHIJ
      KLAMBANO $.

    $( Square of square root.  (Contributed by NM, 11-Aug-1999.) $)
    sqsqrti $p |- ( 0 <_ A -> ( ( sqrt ` A ) ^ 2 ) = A ) $=
      ( cr wcel cc0 cle wbr csqrt cfv c2 cexp co wceq resqrtth mpan ) ACDEAFGAH
      IJKLAMBANO $.

    $( The square root of a nonnegative real is nonnegative.  (Contributed by
       NM, 26-May-1999.)  (Revised by Mario Carneiro, 6-Sep-2013.) $)
    sqrtge0i $p |- ( 0 <_ A -> 0 <_ ( sqrt ` A ) ) $=
      ( cr wcel cc0 cle wbr csqrt cfv sqrtge0 mpan ) ACDEAFGEAHIFGBAJK $.

    $( A nonnegative number is its own absolute value.  (Contributed by NM,
       2-Aug-1999.) $)
    absidi $p |- ( 0 <_ A -> ( abs ` A ) = A ) $=
      ( cr wcel cc0 cle wbr cabs cfv wceq absid mpan ) ACDEAFGAHIAJBAKL $.

    $( A negative number is the negative of its own absolute value.
       (Contributed by NM, 2-Aug-1999.) $)
    absnidi $p |- ( A <_ 0 -> ( abs ` A ) = -u A ) $=
      ( cr wcel cc0 cle wbr cabs cfv cneg wceq absnid mpan ) ACDAEFGAHIAJKBALM
      $.

    $( A real number is less than or equal to its absolute value.  (Contributed
       by NM, 2-Aug-1999.) $)
    leabsi $p |- A <_ ( abs ` A ) $=
      ( cr wcel cabs cfv cle wbr leabs ax-mp ) ACDAAEFGHBAIJ $.

    $( The absolute value of a real number is either that number or its
       negative.  (Contributed by NM, 30-Sep-1999.) $)
    absori $p |- ( ( abs ` A ) = A \/ ( abs ` A ) = -u A ) $=
      ( cr wcel cabs cfv wceq cneg wo absor ax-mp ) ACDAEFZAGLAHGIBAJK $.

    $( Absolute value of a real number.  (Contributed by NM, 3-Aug-1999.) $)
    absrei $p |- ( abs ` A ) = ( sqrt ` ( A ^ 2 ) ) $=
      ( cr wcel cabs cfv c2 cexp co csqrt wceq absre ax-mp ) ACDAEFAGHIJFKBALM
      $.

    ${
      sqrpclii.2 $e |- 0 < A $.
      $( The square root of a positive real is a real.  (Contributed by Mario
         Carneiro, 6-Sep-2013.) $)
      sqrtpclii $p |- ( sqrt ` A ) e. RR $=
        ( cc0 cle wbr csqrt cfv cr wcel 0re ltleii sqrtcli ax-mp ) DAEFAGHIJDAK
        BCLABMN $.

      $( The square root of a positive real is positive.  (Contributed by NM,
         26-May-1999.)  (Revised by Mario Carneiro, 6-Sep-2013.) $)
      sqrtgt0ii $p |- 0 < ( sqrt ` A ) $=
        ( cc0 clt wbr csqrt cfv sqrtgt0i ax-mp ) DAEFDAGHEFCABIJ $.
    $}

    sqr11.1 $e |- B e. RR $.
    $( The square root function is one-to-one.  (Contributed by NM,
       27-Jul-1999.) $)
    sqrt11i $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
               ( ( sqrt ` A ) = ( sqrt ` B ) <-> A = B ) ) $=
      ( cr wcel cc0 cle wbr csqrt cfv wceq wb wa sqrt11 mpanr1 mpanl1 ) AEFZGAH
      IZGBHIZAJKBJKLABLMZCRSNBEFTUADABOPQ $.

    $( Square root distributes over multiplication.  (Contributed by NM,
       30-Jul-1999.) $)
    sqrtmuli $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
               ( sqrt ` ( A x. B ) ) = ( ( sqrt ` A ) x. ( sqrt ` B ) ) ) $=
      ( cr wcel cc0 cle wbr cmul co csqrt cfv wceq wa sqrtmul mpanr1 mpanl1 ) A
      EFZGAHIZGBHIZABJKLMALMBLMJKNZCSTOBEFUAUBDABPQR $.

    ${
      sqrmuli.1 $e |- 0 <_ A $.
      sqrmuli.2 $e |- 0 <_ B $.
      $( Square root distributes over multiplication.  (Contributed by NM,
         30-Jul-1999.) $)
      sqrtmulii $p |- ( sqrt ` ( A x. B ) )
                      = ( ( sqrt ` A ) x. ( sqrt ` B ) ) $=
        ( cc0 cle wbr cmul co csqrt cfv wceq sqrtmuli mp2an ) GAHIGBHIABJKLMALM
        BLMJKNEFABCDOP $.
    $}

    $( Relationship between square root and squares.  (Contributed by NM,
       31-Jul-1999.) $)
    sqrtmsq2i $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
       ( ( sqrt ` A ) = B <-> A = ( B x. B ) ) ) $=
      ( cc0 cle wbr wa csqrt cfv wceq c2 cexp co cmul cr wcel wb sqrtsq2 mpanr1
      mpanl1 recni sqvali eqeq2i bitrdi ) EAFGZEBFGZHAIJBKZABLMNZKZABBONZKAPQZU
      FUGUHUJRZCULUFHBPQUGUMDABSTUAUIUKABBDUBUCUDUE $.

    $( Square root is monotonic.  (Contributed by NM, 3-Aug-1999.) $)
    sqrtlei $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
        ( A <_ B <-> ( sqrt ` A ) <_ ( sqrt ` B ) ) ) $=
      ( cr wcel cc0 cle wbr csqrt cfv wb wa sqrtle mpanr1 mpanl1 ) AEFZGAHIZGBH
      IZABHIAJKBJKHILZCQRMBEFSTDABNOP $.

    $( Square root is strictly monotonic.  (Contributed by Roy F. Longton,
       8-Aug-2005.) $)
    sqrtlti $p |- ( ( 0 <_ A /\ 0 <_ B ) -> ( A < B <-> ( sqrt ` A ) <
      ( sqrt ` B ) ) ) $=
      ( cr wcel cc0 cle wbr clt csqrt cfv wb wa sqrtlt mpanr1 mpanl1 ) AEFZGAHI
      ZGBHIZABJIAKLBKLJIMZCRSNBEFTUADABOPQ $.

    $( Absolute value and 'less than' relation.  (Contributed by NM,
       6-Apr-2005.) $)
    abslti $p |- ( ( abs ` A ) < B <-> ( -u B < A /\ A < B ) ) $=
      ( cr wcel cabs cfv clt wbr cneg wa wb abslt mp2an ) AEFBEFAGHBIJBKAIJABIJ
      LMCDABNO $.

    $( Absolute value and 'less than or equal to' relation.  (Contributed by
       NM, 6-Apr-2005.) $)
    abslei $p |- ( ( abs ` A ) <_ B <-> ( -u B <_ A /\ A <_ B ) ) $=
      ( cr wcel cabs cfv cle wbr cneg wa wb absle mp2an ) AEFBEFAGHBIJBKAIJABIJ
      LMCDABNO $.
  $}

  $( A square root of a complex number is zero iff its argument is 0.  Version
     of ~ sqrt00 for complex numbers.  (Contributed by AV, 26-Jan-2023.) $)
  cnsqrt00 $p |- ( A e. CC -> ( ( sqrt ` A ) = 0 <-> A = 0 ) ) $=
    ( cc wcel csqrt cfv cc0 wceq c2 cexp co oveq1 sqrtth sq0 a1i eqeq12d syl5ib
    fveq2 sqrt0 eqtrdi impbid1 ) ABCZADEZFGZAFGZUCUBHIJZFHIJZGUAUDUBFHIKUAUEAUF
    FALUFFGUAMNOPUDUBFDEFAFDQRST $.

  ${
    absvalsqi.1 $e |- A e. CC $.
    $( Square of value of absolute value function.  (Contributed by NM,
       2-Oct-1999.) $)
    absvalsqi $p |- ( ( abs ` A ) ^ 2 ) = ( A x. ( * ` A ) ) $=
      ( cc wcel cabs cfv c2 cexp co ccj cmul wceq absvalsq ax-mp ) ACDAEFGHIAAJ
      FKILBAMN $.

    $( Square of value of absolute value function.  (Contributed by NM,
       2-Oct-1999.) $)
    absvalsq2i $p |- ( ( abs ` A ) ^ 2 ) =
                    ( ( ( Re ` A ) ^ 2 ) + ( ( Im ` A ) ^ 2 ) ) $=
      ( cc wcel cabs cfv c2 cexp co cre cim caddc wceq absvalsq2 ax-mp ) ACDAEF
      GHIAJFGHIAKFGHILIMBANO $.

    $( Real closure of absolute value.  (Contributed by NM, 2-Aug-1999.) $)
    abscli $p |- ( abs ` A ) e. RR $=
      ( cc wcel cabs cfv cr abscl ax-mp ) ACDAEFGDBAHI $.

    $( Absolute value is nonnegative.  (Contributed by NM, 2-Aug-1999.) $)
    absge0i $p |- 0 <_ ( abs ` A ) $=
      ( cc wcel cc0 cabs cfv cle wbr absge0 ax-mp ) ACDEAFGHIBAJK $.

    $( Value of absolute value function.  Definition 10.36 of [Gleason] p. 133.
       (Contributed by NM, 2-Oct-1999.) $)
    absval2i $p |- ( abs ` A ) =
                 ( sqrt ` ( ( ( Re ` A ) ^ 2 ) + ( ( Im ` A ) ^ 2 ) ) ) $=
      ( cc wcel cabs cfv cre c2 cexp co cim caddc csqrt wceq absval2 ax-mp ) AC
      DAEFAGFHIJAKFHIJLJMFNBAOP $.

    $( The absolute value of a number is zero iff the number is zero.
       Proposition 10-3.7(c) of [Gleason] p. 133.  (Contributed by NM,
       28-Jul-1999.) $)
    abs00i $p |- ( ( abs ` A ) = 0 <-> A = 0 ) $=
      ( cc wcel cabs cfv cc0 wceq wb abs00 ax-mp ) ACDAEFGHAGHIBAJK $.

    $( The absolute value of a nonzero number is positive.  Remark in [Apostol]
       p. 363.  (Contributed by NM, 1-Oct-1999.) $)
    absgt0i $p |- ( A =/= 0 <-> 0 < ( abs ` A ) ) $=
      ( cc wcel cc0 wne cabs cfv clt wbr wb absgt0 ax-mp ) ACDAEFEAGHIJKBALM $.

    $( Absolute value of negative.  (Contributed by NM, 2-Aug-1999.) $)
    absnegi $p |- ( abs ` -u A ) = ( abs ` A ) $=
      ( cc wcel cneg cabs cfv wceq absneg ax-mp ) ACDAEFGAFGHBAIJ $.

    $( The absolute value of a number and its conjugate are the same.
       Proposition 10-3.7(b) of [Gleason] p. 133.  (Contributed by NM,
       2-Oct-1999.) $)
    abscji $p |- ( abs ` ( * ` A ) ) = ( abs ` A ) $=
      ( cc wcel ccj cfv cabs wceq abscj ax-mp ) ACDAEFGFAGFHBAIJ $.

    $( The real part of a number is less than or equal to its absolute value.
       Proposition 10-3.7(d) of [Gleason] p. 133.  (Contributed by NM,
       2-Oct-1999.) $)
    releabsi $p |- ( Re ` A ) <_ ( abs ` A ) $=
      ( cc wcel cre cfv cabs cle wbr releabs ax-mp ) ACDAEFAGFHIBAJK $.

    abssub.2 $e |- B e. CC $.
    $( Swapping order of subtraction doesn't change the absolute value.
       Example of [Apostol] p. 363.  (Contributed by NM, 1-Oct-1999.) $)
    abssubi $p |- ( abs ` ( A - B ) ) = ( abs ` ( B - A ) ) $=
      ( cc wcel cmin co cabs cfv wceq abssub mp2an ) AEFBEFABGHIJBAGHIJKCDABLM
      $.

    $( Absolute value distributes over multiplication.  Proposition 10-3.7(f)
       of [Gleason] p. 133.  (Contributed by NM, 1-Oct-1999.) $)
    absmuli $p |- ( abs ` ( A x. B ) ) = ( ( abs ` A ) x. ( abs ` B ) ) $=
      ( cc wcel cmul co cabs cfv wceq absmul mp2an ) AEFBEFABGHIJAIJBIJGHKCDABL
      M $.

    $( Square of absolute value of sum.  Proposition 10-3.7(g) of [Gleason]
       p. 133.  (Contributed by NM, 2-Oct-1999.) $)
    sqabsaddi $p |- ( ( abs ` ( A + B ) ) ^ 2 ) =
                 ( ( ( ( abs ` A ) ^ 2 ) + ( ( abs ` B ) ^ 2 ) ) +
                 ( 2 x. ( Re ` ( A x. ( * ` B ) ) ) ) ) $=
      ( cc wcel caddc co cabs cfv c2 cexp ccj cmul cre wceq sqabsadd mp2an ) AE
      FBEFABGHIJKLHAIJKLHBIJKLHGHKABMJNHOJNHGHPCDABQR $.

    $( Square of absolute value of difference.  (Contributed by Steve
       Rodriguez, 20-Jan-2007.) $)
    sqabssubi $p |- ( ( abs ` ( A - B ) ) ^ 2 ) =
                    ( ( ( ( abs ` A ) ^ 2 ) + ( ( abs ` B ) ^ 2 ) )
                      - ( 2 x. ( Re ` ( A x. ( * ` B ) ) ) ) ) $=
      ( cc wcel cmin co cabs cfv c2 cexp caddc ccj cmul cre wceq sqabssub mp2an
      ) AEFBEFABGHIJKLHAIJKLHBIJKLHMHKABNJOHPJOHGHQCDABRS $.

    $( Absolute value distributes over division.  (Contributed by NM,
       26-Mar-2005.) $)
    absdivzi $p |- ( B =/= 0 ->
                  ( abs ` ( A / B ) ) = ( ( abs ` A ) / ( abs ` B ) ) ) $=
      ( cc wcel cc0 wne cdiv co cabs cfv wceq absdiv mp3an12 ) AEFBEFBGHABIJKLA
      KLBKLIJMCDABNO $.

    $( Triangle inequality for absolute value.  Proposition 10-3.7(h) of
       [Gleason] p. 133.  This is Metamath 100 proof #91.  (Contributed by NM,
       2-Oct-1999.) $)
    abstrii $p |- ( abs ` ( A + B ) ) <_ ( ( abs ` A ) + ( abs ` B ) ) $=
      ( cc wcel caddc co cabs cfv cle wbr abstri mp2an ) AEFBEFABGHIJAIJBIJGHKL
      CDABMN $.

    abs3dif.3 $e |- C e. CC $.
    $( Absolute value of differences around common element.  (Contributed by
       NM, 2-Oct-1999.) $)
    abs3difi $p |- ( abs ` ( A - B ) ) <_ ( ( abs ` ( A - C ) ) +
                  ( abs ` ( C - B ) ) ) $=
      ( cc wcel cmin co cabs cfv caddc cle wbr abs3dif mp3an ) AGHBGHCGHABIJKLA
      CIJKLCBIJKLMJNODEFABCPQ $.

    abs3lem.4 $e |- D e. RR $.
    $( Lemma involving absolute value of differences.  (Contributed by NM,
       2-Oct-1999.) $)
    abs3lemi $p |- ( ( ( abs ` ( A - C ) ) < ( D / 2 ) /\
                       ( abs ` ( C - B ) ) < ( D / 2 ) ) ->
                       ( abs ` ( A - B ) ) < D ) $=
      ( cmin co cabs cfv c2 clt wbr caddc subcli abscli readdcli recni cdiv cle
      abs3difi rehalfcli lt2addi lelttri sylancr cmul 2timesi 2cn 2ne0 divcan2i
      wa eqtr3i breqtrdi ) ACIJZKLZDMUAJZNOCBIJZKLZURNOUMZABIJZKLZURURPJZDNVAVC
      UQUTPJZUBOVEVDNOVCVDNOABCEFGUCUQUTURURUPACEGQRZUSCBGFQRZDHUDZVHUEVCVEVDVB
      ABEFQRUQUTVFVGSURURVHVHSUFUGMURUHJVDDURURVHTUIDMDHTUJUKULUNUO $.
  $}

  ${
    sqrgt0d.1 $e |- ( ph -> A e. RR+ ) $.
    $( The square root of a positive real is positive.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    rpsqrtcld $p |- ( ph -> ( sqrt ` A ) e. RR+ ) $=
      ( crp wcel csqrt cfv rpsqrtcl syl ) ABDEBFGDECBHI $.

    $( The square root of a positive real is positive.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    sqrtgt0d $p |- ( ph -> 0 < ( sqrt ` A ) ) $=
      ( csqrt cfv rpsqrtcld rpgt0d ) ABDEABCFG $.
  $}

  ${
    resqrcld.1 $e |- ( ph -> A e. RR ) $.
    ${
      absnidd.2 $e |- ( ph -> A <_ 0 ) $.
      $( A negative number is the negative of its own absolute value.
         (Contributed by Mario Carneiro, 29-May-2016.) $)
      absnidd $p |- ( ph -> ( abs ` A ) = -u A ) $=
        ( cr wcel cc0 cle wbr cabs cfv cneg wceq absnid syl2anc ) ABEFBGHIBJKBL
        MCDBNO $.
    $}

    $( A real number is less than or equal to its absolute value.  (Contributed
       by Mario Carneiro, 29-May-2016.) $)
    leabsd $p |- ( ph -> A <_ ( abs ` A ) ) $=
      ( cr wcel cabs cfv cle wbr leabs syl ) ABDEBBFGHICBJK $.

    $( The absolute value of a real number is either that number or its
       negative.  (Contributed by Mario Carneiro, 29-May-2016.) $)
    absord $p |- ( ph -> ( ( abs ` A ) = A \/ ( abs ` A ) = -u A ) ) $=
      ( cr wcel cabs cfv wceq cneg wo absor syl ) ABDEBFGZBHMBIHJCBKL $.

    $( Absolute value of a real number.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    absred $p |- ( ph -> ( abs ` A ) = ( sqrt ` ( A ^ 2 ) ) ) $=
      ( cr wcel cabs cfv c2 cexp co csqrt wceq absre syl ) ABDEBFGBHIJKGLCBMN
      $.

    resqrcld.2 $e |- ( ph -> 0 <_ A ) $.
    $( The square root of a nonnegative real is a real.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    resqrtcld $p |- ( ph -> ( sqrt ` A ) e. RR ) $=
      ( cr wcel cc0 cle wbr csqrt cfv resqrtcl syl2anc ) ABEFGBHIBJKEFCDBLM $.

    $( Square root of square.  (Contributed by Mario Carneiro, 29-May-2016.) $)
    sqrtmsqd $p |- ( ph -> ( sqrt ` ( A x. A ) ) = A ) $=
      ( cr wcel cc0 cle wbr cmul co csqrt cfv wceq sqrtmsq syl2anc ) ABEFGBHIBB
      JKLMBNCDBOP $.

    $( Square root of square.  (Contributed by Mario Carneiro, 29-May-2016.) $)
    sqrtsqd $p |- ( ph -> ( sqrt ` ( A ^ 2 ) ) = A ) $=
      ( cr wcel cc0 cle wbr c2 cexp co csqrt cfv wceq sqrtsq syl2anc ) ABEFGBHI
      BJKLMNBOCDBPQ $.

    $( The square root of a nonnegative real is nonnegative.  (Contributed by
       Mario Carneiro, 29-May-2016.) $)
    sqrtge0d $p |- ( ph -> 0 <_ ( sqrt ` A ) ) $=
      ( cr wcel cc0 cle wbr csqrt cfv sqrtge0 syl2anc ) ABEFGBHIGBJKHICDBLM $.

    $( The square root of a negative number.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    sqrtnegd $p |- ( ph -> ( sqrt ` -u A ) = ( _i x. ( sqrt ` A ) ) ) $=
      ( cr wcel cc0 cle wbr cneg csqrt cfv ci cmul co wceq sqrtneg syl2anc ) AB
      EFGBHIBJKLMBKLNOPCDBQR $.

    $( A nonnegative number is its own absolute value.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    absidd $p |- ( ph -> ( abs ` A ) = A ) $=
      ( cr wcel cc0 cle wbr cabs cfv wceq absid syl2anc ) ABEFGBHIBJKBLCDBMN $.

    ${
      sqrdivd.3 $e |- ( ph -> B e. RR+ ) $.
      $( Square root distributes over division.  (Contributed by Mario
         Carneiro, 29-May-2016.) $)
      sqrtdivd $p |- ( ph ->
                 ( sqrt ` ( A / B ) ) = ( ( sqrt ` A ) / ( sqrt ` B ) ) ) $=
        ( cr wcel cc0 cle wbr crp cdiv co csqrt cfv wceq sqrtdiv syl21anc ) ABG
        HIBJKCLHBCMNOPBOPCOPMNQDEFBCRS $.
    $}

    sqr11d.3 $e |- ( ph -> B e. RR ) $.
    sqr11d.4 $e |- ( ph -> 0 <_ B ) $.
    $( Square root distributes over multiplication.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    sqrtmuld $p |- ( ph ->
               ( sqrt ` ( A x. B ) ) = ( ( sqrt ` A ) x. ( sqrt ` B ) ) ) $=
      ( cr wcel cc0 cle wbr cmul co csqrt cfv wceq sqrtmul syl22anc ) ABHIJBKLC
      HIJCKLBCMNOPBOPCOPMNQDEFGBCRS $.

    $( Relationship between square root and squares.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    sqrtsq2d $p |- ( ph -> ( ( sqrt ` A ) = B <-> A = ( B ^ 2 ) ) ) $=
      ( cr wcel cc0 cle wbr csqrt cfv wceq c2 cexp co wb sqrtsq2 syl22anc ) ABH
      IJBKLCHIJCKLBMNCOBCPQROSDEFGBCTUA $.

    $( Square root is monotonic.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    sqrtled $p |- ( ph -> ( A <_ B <-> ( sqrt ` A ) <_ ( sqrt ` B ) ) ) $=
      ( cr wcel cc0 cle wbr csqrt cfv wb sqrtle syl22anc ) ABHIJBKLCHIJCKLBCKLB
      MNCMNKLODEFGBCPQ $.

    $( Square root is strictly monotonic.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    sqrtltd $p |- ( ph -> ( A < B <-> ( sqrt ` A ) < ( sqrt ` B ) ) ) $=
      ( cr wcel cc0 cle wbr clt csqrt cfv wb sqrtlt syl22anc ) ABHIJBKLCHIJCKLB
      CMLBNOCNOMLPDEFGBCQR $.

    sqrt11d.5 $e |- ( ph -> ( sqrt ` A ) = ( sqrt ` B ) ) $.
    $( The square root function is one-to-one.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    sqr11d $p |- ( ph -> A = B ) $=
      ( csqrt cfv wceq cr wcel cc0 cle wbr wb sqrt11 syl22anc mpbid ) ABIJCIJKZ
      BCKZHABLMNBOPCLMNCOPUAUBQDEFGBCRST $.
  $}

  ${
    absltd.1 $e |- ( ph -> A e. RR ) $.
    absltd.2 $e |- ( ph -> B e. RR ) $.
    $( Absolute value and 'less than' relation.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    absltd $p |- ( ph -> ( ( abs ` A ) < B <-> ( -u B < A /\ A < B ) ) ) $=
      ( cr wcel cabs cfv clt wbr cneg wa wb abslt syl2anc ) ABFGCFGBHICJKCLBJKB
      CJKMNDEBCOP $.

    $( Absolute value and 'less than or equal to' relation.  (Contributed by
       Mario Carneiro, 29-May-2016.) $)
    absled $p |- ( ph -> ( ( abs ` A ) <_ B <-> ( -u B <_ A /\ A <_ B ) ) ) $=
      ( cr wcel cabs cfv cle wbr cneg wa wb absle syl2anc ) ABFGCFGBHICJKCLBJKB
      CJKMNDEBCOP $.

    ${
      abssubge0d.2 $e |- ( ph -> A <_ B ) $.
      $( Absolute value of a nonnegative difference.  (Contributed by Mario
         Carneiro, 29-May-2016.) $)
      abssubge0d $p |- ( ph -> ( abs ` ( B - A ) ) = ( B - A ) ) $=
        ( cr wcel cle wbr cmin co cabs cfv wceq abssubge0 syl3anc ) ABGHCGHBCIJ
        CBKLZMNRODEFBCPQ $.

      $( Absolute value of a nonpositive difference.  (Contributed by Mario
         Carneiro, 29-May-2016.) $)
      abssuble0d $p |- ( ph -> ( abs ` ( A - B ) ) = ( B - A ) ) $=
        ( cr wcel cle wbr cmin co cabs cfv wceq abssuble0 syl3anc ) ABGHCGHBCIJ
        BCKLMNCBKLODEFBCPQ $.
    $}

    absltd.3 $e |- ( ph -> C e. RR ) $.
    $( The absolute value of a difference and 'less than' relation.
       (Contributed by Mario Carneiro, 29-May-2016.) $)
    absdifltd $p |- ( ph -> ( ( abs ` ( A - B ) ) < C <->
                        ( ( B - C ) < A /\ A < ( B + C ) ) ) ) $=
      ( cr wcel cmin co cabs cfv clt wbr caddc wa wb absdiflt syl3anc ) ABHICHI
      DHIBCJKLMDNOCDJKBNOBCDPKNOQREFGBCDST $.

    $( The absolute value of a difference and 'less than or equal to' relation.
       (Contributed by Mario Carneiro, 29-May-2016.) $)
    absdifled $p |- ( ph -> ( ( abs ` ( A - B ) ) <_ C <->
                        ( ( B - C ) <_ A /\ A <_ ( B + C ) ) ) ) $=
      ( cr wcel cmin co cabs cfv cle wbr caddc wa wb absdifle syl3anc ) ABHICHI
      DHIBCJKLMDNOCDJKBNOBCDPKNOQREFGBCDST $.
  $}

  $( Two elements in a half-open interval have separation _strictly_ less than
     the difference between the endpoints.  (Contributed by Stefan O'Rear,
     12-Sep-2014.) $)
  icodiamlt $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. ( A [,) B ) /\ D e. (
      A [,) B ) ) ) -> ( abs ` ( C - D ) ) < ( B - A ) ) $=
    ( cr wcel wa cico cmin cabs cfv clt wbr cle w3a cxr elico2 recnd resubcld
    co rexr anbi12d biimpd sylan2 cneg simplr simpll negsubdi2d simprl1 simprr1
    simprl2 lesub1dd simprr3 ltsub2dd lelttrd eqbrtrd simprl3 ltsub1dd lesub2dd
    wi simprr2 ltletrd absltd mpbir2and ex syld imp ) AEFZBEFZGZCABHTZFZDVKFZGZ
    CDITZJKBAITZLMZVJVNCEFZACNMZCBLMZOZDEFZADNMZDBLMZOZGZVQVIVHBPFZVNWFUTBUAVHW
    GGZVNWFWHVLWAVMWEABCQABDQUBUCUDVJWFVQVJWFGZVQVPUEZVOLMVOVPLMWIWJABITZVOLWIB
    AWIBVHVIWFUFZRWIAVHVIWFUGZRUHWIWKCBITVOWIABWMWLSWICBVRVSVTWEVJUIZWLSWICDWNW
    BWCWDWAVJUJZSZWIACBWMWNWLVRVSVTWEVJUKULWIDBCWOWLWNWBWCWDWAVJUMUNUOUPWIVOBDI
    TVPWPWIBDWLWOSWIBAWLWMSZWICBDWNWLWOVRVSVTWEVJUQURWIADBWMWOWLWBWCWDWAVJVAUSV
    BWIVOVPWPWQVCVDVEVFVG $.

  ${
    abscld.1 $e |- ( ph -> A e. CC ) $.
    $( Real closure of absolute value.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    abscld $p |- ( ph -> ( abs ` A ) e. RR ) $=
      ( cc wcel cabs cfv cr abscl syl ) ABDEBFGHECBIJ $.

    $( Closure of the square root function over the complex numbers.
       (Contributed by Mario Carneiro, 29-May-2016.) $)
    sqrtcld $p |- ( ph -> ( sqrt ` A ) e. CC ) $=
      ( cc wcel csqrt cfv sqrtcl syl ) ABDEBFGDECBHI $.

    $( The real part of the square root function is nonnegative.  (Contributed
       by Mario Carneiro, 29-May-2016.) $)
    sqrtrege0d $p |- ( ph -> 0 <_ ( Re ` ( sqrt ` A ) ) ) $=
      ( cc wcel cc0 csqrt cfv cre cle wbr sqrtrege0 syl ) ABDEFBGHIHJKCBLM $.

    $( Square root theorem.  Theorem I.35 of [Apostol] p. 29.  (Contributed by
       Mario Carneiro, 29-May-2016.) $)
    sqsqrtd $p |- ( ph -> ( ( sqrt ` A ) ^ 2 ) = A ) $=
      ( cc wcel csqrt cfv c2 cexp co wceq sqrtth syl ) ABDEBFGHIJBKCBLM $.

    $( Square root theorem.  Theorem I.35 of [Apostol] p. 29.  (Contributed by
       Mario Carneiro, 29-May-2016.) $)
    msqsqrtd $p |- ( ph -> ( ( sqrt ` A ) x. ( sqrt ` A ) ) = A ) $=
      ( csqrt cfv c2 cexp co cmul sqrtcld sqvald sqsqrtd eqtr3d ) ABDEZFGHNNIHB
      ANABCJKABCLM $.

    ${
      sqrt00d.2 $e |- ( ph -> ( sqrt ` A ) = 0 ) $.
      $( A square root is zero iff its argument is 0.  (Contributed by Mario
         Carneiro, 29-May-2016.) $)
      sqr00d $p |- ( ph -> A = 0 ) $=
        ( csqrt cfv c2 cexp co cc0 sqsqrtd sq0id eqtr3d ) ABEFZGHIBJABCKANDLM
        $.
    $}

    $( Square of value of absolute value function.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    absvalsqd $p |- ( ph -> ( ( abs ` A ) ^ 2 ) = ( A x. ( * ` A ) ) ) $=
      ( cc wcel cabs cfv c2 cexp co ccj cmul wceq absvalsq syl ) ABDEBFGHIJBBKG
      LJMCBNO $.

    $( Square of value of absolute value function.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    absvalsq2d $p |- ( ph -> ( ( abs ` A ) ^ 2 ) =
                    ( ( ( Re ` A ) ^ 2 ) + ( ( Im ` A ) ^ 2 ) ) ) $=
      ( cc wcel cabs cfv c2 cexp co cre cim caddc wceq absvalsq2 syl ) ABDEBFGH
      IJBKGHIJBLGHIJMJNCBOP $.

    $( Absolute value is nonnegative.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    absge0d $p |- ( ph -> 0 <_ ( abs ` A ) ) $=
      ( cc wcel cc0 cabs cfv cle wbr absge0 syl ) ABDEFBGHIJCBKL $.

    $( Value of absolute value function.  Definition 10.36 of [Gleason] p. 133.
       (Contributed by Mario Carneiro, 29-May-2016.) $)
    absval2d $p |- ( ph -> ( abs ` A ) =
                 ( sqrt ` ( ( ( Re ` A ) ^ 2 ) + ( ( Im ` A ) ^ 2 ) ) ) ) $=
      ( cc wcel cabs cfv cre c2 cexp co cim caddc csqrt wceq absval2 syl ) ABDE
      BFGBHGIJKBLGIJKMKNGOCBPQ $.

    ${
      abs00d.2 $e |- ( ph -> ( abs ` A ) = 0 ) $.
      $( The absolute value of a number is zero iff the number is zero.
         Proposition 10-3.7(c) of [Gleason] p. 133.  (Contributed by Mario
         Carneiro, 29-May-2016.) $)
      abs00d $p |- ( ph -> A = 0 ) $=
        ( cabs cfv cc0 wceq abs00ad mpbid ) ABEFGHBGHDABCIJ $.
    $}

    ${
      absne0d.2 $e |- ( ph -> A =/= 0 ) $.
      $( The absolute value of a number is zero iff the number is zero.
         Proposition 10-3.7(c) of [Gleason] p. 133.  (Contributed by Mario
         Carneiro, 29-May-2016.) $)
      absne0d $p |- ( ph -> ( abs ` A ) =/= 0 ) $=
        ( cabs cfv cc0 wne abs00ad necon3bid mpbird ) ABEFZGHBGHDALGBGABCIJK $.

      $( The absolute value of a nonzero number is a positive real.
         (Contributed by Mario Carneiro, 29-May-2016.) $)
      absrpcld $p |- ( ph -> ( abs ` A ) e. RR+ ) $=
        ( cc wcel cc0 wne cabs cfv crp absrpcl syl2anc ) ABEFBGHBIJKFCDBLM $.
    $}

    $( Absolute value of negative.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    absnegd $p |- ( ph -> ( abs ` -u A ) = ( abs ` A ) ) $=
      ( cc wcel cneg cabs cfv wceq absneg syl ) ABDEBFGHBGHICBJK $.

    $( The absolute value of a number and its conjugate are the same.
       Proposition 10-3.7(b) of [Gleason] p. 133.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    abscjd $p |- ( ph -> ( abs ` ( * ` A ) ) = ( abs ` A ) ) $=
      ( cc wcel ccj cfv cabs wceq abscj syl ) ABDEBFGHGBHGICBJK $.

    $( The real part of a number is less than or equal to its absolute value.
       Proposition 10-3.7(d) of [Gleason] p. 133.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    releabsd $p |- ( ph -> ( Re ` A ) <_ ( abs ` A ) ) $=
      ( cc wcel cre cfv cabs cle wbr releabs syl ) ABDEBFGBHGIJCBKL $.

    ${
      absexpd.2 $e |- ( ph -> N e. NN0 ) $.
      $( Absolute value of positive integer exponentiation.  (Contributed by
         Mario Carneiro, 29-May-2016.) $)
      absexpd $p |- ( ph ->
                    ( abs ` ( A ^ N ) ) = ( ( abs ` A ) ^ N ) ) $=
        ( cc wcel cn0 cexp co cabs cfv wceq absexp syl2anc ) ABFGCHGBCIJKLBKLCI
        JMDEBCNO $.
    $}

    abssubd.2 $e |- ( ph -> B e. CC ) $.
    $( Swapping order of subtraction doesn't change the absolute value.
       Example of [Apostol] p. 363.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    abssubd $p |- ( ph -> ( abs ` ( A - B ) ) = ( abs ` ( B - A ) ) ) $=
      ( cc wcel cmin co cabs cfv wceq abssub syl2anc ) ABFGCFGBCHIJKCBHIJKLDEBC
      MN $.

    $( Absolute value distributes over multiplication.  Proposition 10-3.7(f)
       of [Gleason] p. 133.  (Contributed by Mario Carneiro, 29-May-2016.) $)
    absmuld $p |- ( ph ->
      ( abs ` ( A x. B ) ) = ( ( abs ` A ) x. ( abs ` B ) ) ) $=
      ( cc wcel cmul co cabs cfv wceq absmul syl2anc ) ABFGCFGBCHIJKBJKCJKHILDE
      BCMN $.

    ${
      absdivd.2 $e |- ( ph -> B =/= 0 ) $.
      $( Absolute value distributes over division.  (Contributed by Mario
         Carneiro, 29-May-2016.) $)
      absdivd $p |- ( ph ->
                    ( abs ` ( A / B ) ) = ( ( abs ` A ) / ( abs ` B ) ) ) $=
        ( cc wcel cc0 wne cdiv co cabs cfv wceq absdiv syl3anc ) ABGHCGHCIJBCKL
        MNBMNCMNKLODEFBCPQ $.
    $}

    $( Triangle inequality for absolute value.  Proposition 10-3.7(h) of
       [Gleason] p. 133.  (Contributed by Mario Carneiro, 29-May-2016.) $)
    abstrid $p |- ( ph ->
      ( abs ` ( A + B ) ) <_ ( ( abs ` A ) + ( abs ` B ) ) ) $=
      ( cc wcel caddc co cabs cfv cle wbr abstri syl2anc ) ABFGCFGBCHIJKBJKCJKH
      ILMDEBCNO $.

    $( Difference of absolute values.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    abs2difd $p |- ( ph ->
      ( ( abs ` A ) - ( abs ` B ) ) <_ ( abs ` ( A - B ) ) ) $=
      ( cc wcel cabs cfv cmin co cle wbr abs2dif syl2anc ) ABFGCFGBHICHIJKBCJKH
      ILMDEBCNO $.

    $( Difference of absolute values.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    abs2dif2d $p |- ( ph ->
      ( abs ` ( A - B ) ) <_ ( ( abs ` A ) + ( abs ` B ) ) ) $=
      ( cc wcel cmin co cabs cfv caddc cle wbr abs2dif2 syl2anc ) ABFGCFGBCHIJK
      BJKCJKLIMNDEBCOP $.

    $( Absolute value of difference of absolute values.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    abs2difabsd $p |- ( ph ->
            ( abs ` ( ( abs ` A ) - ( abs ` B ) ) ) <_ ( abs ` ( A - B ) ) ) $=
      ( cc wcel cabs cfv cmin co cle wbr abs2difabs syl2anc ) ABFGCFGBHICHIJKHI
      BCJKHILMDEBCNO $.

    abs3difd.3 $e |- ( ph -> C e. CC ) $.
    $( Absolute value of differences around common element.  (Contributed by
       Mario Carneiro, 29-May-2016.) $)
    abs3difd $p |- ( ph -> ( abs ` ( A - B ) ) <_ ( ( abs ` ( A - C ) ) +
                  ( abs ` ( C - B ) ) ) ) $=
      ( cc wcel cmin co cabs cfv caddc cle wbr abs3dif syl3anc ) ABHICHIDHIBCJK
      LMBDJKLMDCJKLMNKOPEFGBCDQR $.

    abs3lemd.4 $e |- ( ph -> D e. RR ) $.
    abs3lemd.5 $e |- ( ph -> ( abs ` ( A - C ) ) < ( D / 2 ) ) $.
    abs3lemd.6 $e |- ( ph -> ( abs ` ( C - B ) ) < ( D / 2 ) ) $.
    $( Lemma involving absolute value of differences.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    abs3lemd $p |- ( ph -> ( abs ` ( A - B ) ) < D ) $=
      ( cmin co cabs cfv c2 clt wbr cc wcel cdiv cr wa abs3lem syl22anc mp2and
      wi ) ABDLMNOEPUAMZQRZDCLMNOUHQRZBCLMNOEQRZJKABSTCSTDSTEUBTUIUJUCUKUGFGHIB
      CDEUDUEUF $.
  $}

  ${
    $d X x y $.
    $( A complex number is the square of exactly one complex number iff the
       given complex number is zero.  (Contributed by AV, 21-Jun-2023.) $)
    reusq0 $p |- ( X e. CC -> ( E! x e. CC ( x ^ 2 ) = X <-> X = 0 ) ) $=
      ( vy cc wcel cv c2 cexp co wceq cc0 wi wn wa adantr jca oveq1 eqeq1d wral
      wrex wreu 2a1 csqrt cfv cneg wne w3a sqrtcl negcld eqnegd simpl sqr00d ex
      simpr sylbid necon3bd imp 3jca sqrtth sqneg syl eqtrd sylc pm2.21d expcom
      2nreu pm2.61i weq cn 2nn 0cnd wb eqeq1 imbi2d ralbidv anbi12d adantl 0exp
      sqeq0 biimpd eqcom syl6ibr ralrimiva rspcedvd eqeq2 imbi1d rexbidv mpbird
      mp1i a1i reu8 impbid ) BDEZAFZGHIZBJZADUAZBKJZWRWMWQWRLZLWRWMWQUBWMWRMZWS
      WMWTNZWQWRXABUCUDZDEZXBUEZDEZXBXDUFZUGXBGHIZBJZXDGHIZBJZNZWQMXAXCXEXFWMXC
      WTBUHZOWMXEWTWMXBXLUIOWMWTXFWMWRXBXDWMXBXDJXBKJZWRWMXBXLUJWMXMWRWMXMNBWMX
      MUKWMXMUNULUMUOUPUQURWMXKWTWMXHXJBUSZWMXIXGBWMXCXIXGJXLXBUTVAXNVBPOWPXHXJ
      AXBXDDWNXBJWOXGBWNXBGHQRWNXDJWOXIBWNXDGHQRVFVCVDVEVGWMWRWPCFZGHIZBJZACVHZ
      LZCDSZNZADTZWQWRYBLWMWRYBWOKJZXPKJZXRLZCDSZNZADTZGVIEZYHWRVJYIYGKGHIZKJZY
      DKXOJZLZCDSZNZAKDYIVKWNKJZYGYOVLYIYPYCYKYFYNYPWOYJKWNKGHQRYPYEYMCDYPXRYLY
      DWNKXOVMVNVOVPVQYIYKYNGVRYIYMCDXODEZYMYIYQYDXOKJZYLYQYDYRXOVSVTKXOWAWBVQW
      CPWDWIWRYAYGADWRWPYCXTYFBKWOWEWRXSYECDWRXQYDXRBKXPWEWFVOVPWGWHWJWPXQACDXR
      WOXPBWNXOGHQRWKWBWL $.
  $}

  $( The Brahmagupta-Fibonacci identity for complex numbers.  Express the
     product of two sums of two squares as a sum of two squares.  First result.
     (Contributed by Thierry Arnoux, 1-Feb-2020.)  Generalization for complex
     numbers proposed by GL. (Revised by AV, 8-Jun-2023.) $)
  bhmafibid1cn $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
      ( ( ( A ^ 2 ) + ( B ^ 2 ) ) x. ( ( C ^ 2 ) + ( D ^ 2 ) ) )
    = ( ( ( ( A x. C ) - ( B x. D ) ) ^ 2 )
      + ( ( ( A x. D ) + ( B x. C ) ) ^ 2 ) ) ) $=
    ( cc wcel wa c2 cexp cmul caddc cmin sqcld mulcld oveq12d oveq2d eqtrd wceq
    co sqmuld simpll simprl simprr add4d mulcomd muladdd binom2sub syl2anc 2cnd
    simplr binom2 subcld addcld mul4r an4s oveq1d nppcan3d 3eqtrd 3eqtr4d ) AEF
    ZBEFZGZCEFZDEFZGZGZAHISZCHISZJSZDHISZBHISZJSZKSVGVJJSZVHVKJSZKSKSZVIVMKSZVK
    VJJSZVKVHJSZKSZKSZVGVKKSVHVJKSJSACJSZBDJSZLSHISZADJSZBCJSZKSHISZKSZVFVOVPVL
    VNKSZKSVTVFVIVLVMVNVFVGVHVFAUTVAVEUAZMZVFCVBVCVDUBZMZNVFVJVKVFDVBVCVDUCZMZV
    FBUTVAVEUJZMZNVFVGVJWJWNNVFVHVKWLWPNUDVFWHVSVPKVFVLVQVNVRKVFVJVKWNWPUEVFVHV
    KWLWPUEOPQVFVGVKVHVJWJWPWLWNUFVFWGWAHISZHWAWBJSZJSZLSZWBHISZKSZWDHISZHWDWEJ
    SZJSZKSZWEHISZKSZKSWTXFKSZXAXGKSZKSZVTVFWCXBWFXHKVFWAEFWBEFWCXBRVFACWIWKNZV
    FBDWOWMNZWAWBUGUHVFWDEFWEEFWFXHRVFADWIWMNZVFBCWOWKNZWDWEUKUHOVFWTXAXFXGVFWQ
    WSVFWAXLMZVFHWRVFUIZVFWAWBXLXMNNULVFWBXMMVFXCXEVFWDXNMZVFHXDXQVFWDWEXNXONNZ
    UMVFWEXOMUDVFXKWQXCKSZVSKSVTVFXIXTXJVSKVFXIWQXELSZXFKSXTVFWTYAXFKVFWSXEWQLV
    FWRXDHJUTVCVAVDWRXDRACBDUNUOPPUPVFWQXEXCXPXSXRUQQVFXAVQXGVRKVFBDWOWMTVFBCWO
    WKTOOVFXTVPVSKVFWQVIXCVMKVFACWIWKTVFADWIWMTOUPQURUS $.

  $( The Brahmagupta-Fibonacci identity for complex numbers.  Express the
     product of two sums of two squares as a sum of two squares.  Second
     result.  (Contributed by Thierry Arnoux, 1-Feb-2020.)  Generalization for
     complex numbers proposed by GL. (Revised by AV, 8-Jun-2023.) $)
  bhmafibid2cn $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
      ( ( ( A ^ 2 ) + ( B ^ 2 ) ) x. ( ( C ^ 2 ) + ( D ^ 2 ) ) )
    = ( ( ( ( A x. C ) + ( B x. D ) ) ^ 2 )
      + ( ( ( A x. D ) - ( B x. C ) ) ^ 2 ) ) ) $=
    ( cc wcel wa c2 cexp cmul caddc cmin sqcld mulcld oveq12d oveq2d eqtrd wceq
    co sqmuld simpll simprl simprr simplr mulcomd muladdd binom2 binom2sub 2cnd
    add4d syl2anc addcld subcld mul4r an4s oveq1d ppncand 3eqtrd 3eqtr4d ) AEFZ
    BEFZGZCEFZDEFZGZGZAHISZCHISZJSZDHISZBHISZJSZKSVGVJJSZVHVKJSZKSKSZVIVMKSZVKV
    JJSZVKVHJSZKSZKSZVGVKKSVHVJKSJSACJSZBDJSZKSHISZADJSZBCJSZLSHISZKSZVFVOVPVLV
    NKSZKSVTVFVIVLVMVNVFVGVHVFAUTVAVEUAZMZVFCVBVCVDUBZMZNVFVJVKVFDVBVCVDUCZMZVF
    BUTVAVEUDZMZNVFVGVJWJWNNVFVHVKWLWPNUJVFWHVSVPKVFVLVQVNVRKVFVJVKWNWPUEVFVHVK
    WLWPUEOPQVFVGVKVHVJWJWPWLWNUFVFWGWAHISZHWAWBJSZJSZKSZWBHISZKSZWDHISZHWDWEJS
    ZJSZLSZWEHISZKSZKSWTXFKSZXAXGKSZKSZVTVFWCXBWFXHKVFWAEFWBEFWCXBRVFACWIWKNZVF
    BDWOWMNZWAWBUGUKVFWDEFWEEFWFXHRVFADWIWMNZVFBCWOWKNZWDWEUHUKOVFWTXAXFXGVFWQW
    SVFWAXLMZVFHWRVFUIZVFWAWBXLXMNNULVFWBXMMVFXCXEVFWDXNMZVFHXDXQVFWDWEXNXONNZU
    MVFWEXOMUJVFXKWQXCKSZVSKSVTVFXIXTXJVSKVFXIWQXEKSZXFKSXTVFWTYAXFKVFWSXEWQKVF
    WRXDHJUTVCVAVDWRXDRACBDUNUOPPUPVFWQXEXCXPXSXRUQQVFXAVQXGVRKVFBDWOWMTVFBCWOW
    KTOOVFXTVPVSKVFWQVIXCVMKVFACWIWKTVFADWIWMTOUPQURUS $.

  $( The Brahmagupta-Fibonacci identity.  Express the product of two sums of
     two squares as a sum of two squares.  First result.  Remark:  The proof
     uses a different approach than the proof of ~ bhmafibid1cn , and is a
     little bit shorter.  (Contributed by Thierry Arnoux, 1-Feb-2020.)
     (Proof modification is discouraged.) $)
  bhmafibid1 $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) ) ->
      ( ( ( A ^ 2 ) + ( B ^ 2 ) ) x. ( ( C ^ 2 ) + ( D ^ 2 ) ) )
    = ( ( ( ( A x. C ) - ( B x. D ) ) ^ 2 )
      + ( ( ( A x. D ) + ( B x. C ) ) ^ 2 ) ) ) $=
    ( cr wcel wa ci cmul co caddc cabs cfv cexp cmin cre recnd oveq12d remulcld
    c2 cim simpll cc ax-icn a1i simplr mulcld addcld simprl simprr remuld crred
    replimd crimd eqtrd immuld oveq2d fveq2d oveq1d absmuld absreimsq oveqan12d
    abscld sqmuld 3eqtrd wceq resubcld readdcld syl2anc 3eqtr3d ) AEFZBEFZGZCEF
    ZDEFZGZGZAHBIJZKJZCHDIJZKJZIJZLMZTNJZACIJZBDIJZOJZHADIJZBCIJZKJZIJZKJZLMZTN
    JZATNJBTNJKJZCTNJDTNJKJZIJZWGTNJWJTNJKJZVQWCWMTNVQWBWLLVQWBWBPMZHWBUAMZIJZK
    JWLVQWBVQVSWAVQAVRVQAVKVLVPUBZQVQHBHUCFVQUDUEZVQBVKVLVPUFZQUGUHZVQCVTVQCVMV
    NVOUIZQVQHDXCVQDVMVNVOUJZQUGUHZUGUMVQWSWGXAWKKVQWSVSPMZWAPMZIJZVSUAMZWAUAMZ
    IJZOJWGVQVSWAXEXHUKVQXKWEXNWFOVQXIAXJCIVQABXBXDULZVQCDXFXGULZRVQXLBXMDIVQAB
    XBXDUNZVQCDXFXGUNZRRUOVQWTWJHIVQWTXIXMIJZXLXJIJZKJWJVQVSWAXEXHUPVQXSWHXTWIK
    VQXIAXMDIXOXRRVQXLBXJCIXQXPRRUOUQRUOURUSVQWDVSLMZWALMZIJZTNJYATNJZYBTNJZIJW
    QVQWCYCTNVQVSWAXEXHUTUSVQYAYBVQYAVQVSXEVCQVQYBVQWAXHVCQVDVMVPYDWOYEWPIABVAC
    DVAVBVEVQWGEFWJEFWNWRVFVQWEWFVQACXBXFSVQBDXDXGSVGVQWHWIVQADXBXGSVQBCXDXFSVH
    WGWJVAVIVJ $.

  $( The Brahmagupta-Fibonacci identity.  Express the product of two sums of
     two squares as a sum of two squares.  Second result.  (Contributed by
     Thierry Arnoux, 1-Feb-2020.) $)
  bhmafibid2 $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) ) ->
      ( ( ( A ^ 2 ) + ( B ^ 2 ) ) x. ( ( C ^ 2 ) + ( D ^ 2 ) ) )
    = ( ( ( ( A x. C ) + ( B x. D ) ) ^ 2 )
      + ( ( ( A x. D ) - ( B x. C ) ) ^ 2 ) ) ) $=
    ( cr wcel wa c2 cexp co caddc cmul simprl recnd sqcld simprr addcomd oveq2d
    cmin mulcld wceq bhmafibid1 ancom2s simpll simplr subcld addcld 3eqtrd ) AE
    FZBEFZGZCEFZDEFZGZGZAHIJBHIJKJZCHIJZDHIJZKJZLJUPURUQKJZLJZADLJZBCLJZSJZHIJZ
    ACLJZBDLJZKJZHIJZKJZVIVEKJUOUSUTUPLUOUQURUOCUOCUKULUMMNZOUODUODUKULUMPNZOQR
    UKUMULVAVJUAABDCUBUCUOVEVIUOVDUOVBVCUOADUOAUIUJUNUDNZVLTUOBCUOBUIUJUNUENZVK
    TUFOUOVHUOVFVGUOACVMVKTUOBDVNVLTUGOQUH $.


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Elementary limits and convergence
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Superior limit (lim sup)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c limsup $.

  $( Extend class notation to include the limsup function. $)
  clsp $a class limsup $.

  ${
    $d x k $.
    $( Define the superior limit of an infinite sequence of extended real
       numbers.  Definition 12-4.1 of [Gleason] p. 175.  See ~ limsupval for
       its value.  (Contributed by NM, 26-Oct-2005.)  (Revised by AV,
       11-Sep-2020.) $)
    df-limsup $a |- limsup = ( x e. _V |-> inf ( ran ( k e. RR |->
      sup ( ( ( x " ( k [,) +oo ) ) i^i RR* ) , RR* , < ) ) , RR* , < ) ) $.

    $d A w x y z $.  $d B w x y z $.  $d F x $.
    $( Ordering property of the superior limit function.  (Contributed by Mario
       Carneiro, 7-Sep-2014.)  (Revised by Mario Carneiro, 7-May-2016.) $)
    limsupgord $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) ->
      sup ( ( ( F " ( B [,) +oo ) ) i^i RR* ) , RR* , < ) <_
      sup ( ( ( F " ( A [,) +oo ) ) i^i RR* ) , RR* , < ) ) $=
      ( vx vy vz vw cr wcel cle wbr cv cpnf cico co cima cxr cin clt wss df-ico
      w3a csup wral rexr 3ad2ant1 simp3 xrletr ixxss1 syl2anc imass2 ssrin 3syl
      inss2 supxrcl ax-mp xrleid wb supxrleub mp2an mpbi ssralv mpisyl sylibr )
      AHIZBHIZABJKZUBZDLCAMNOZPZQRZQSUCZJKZDCBMNOZPZQRZUDZVPQSUCVLJKZVHVPVKTZVM
      DVKUDZVQVHVNVITZVOVJTVSVHAQIZVGWAVEVFWBVGAUEUFVEVFVGUGDEFGABMNJSJNJDEFUAZ
      WCABGLUHUIUJVNVICUKVOVJQULUMVLVLJKZVTVLQIZWDVKQTZWEVJQUNZVKUOUPZVLUQUPWFW
      EWDVTURWGWHDVKVLUSUTVAVMDVPVKVBVCVPQTWEVRVQURVOQUNWHDVPVLUSUTVD $.

    $d f k $.
    $( Closure of the superior limit.  (Contributed by NM, 26-Oct-2005.)
       (Revised by AV, 12-Sep-2020.) $)
    limsupcl $p |- ( F e. V -> ( limsup ` F ) e. RR* ) $=
      ( vf vk wcel cvv clsp cfv cxr elex cr cv cpnf cico co cima clt mp1i fmpti
      wss cin csup cmpt crn cinf df-limsup eqid inss2 supxrcl frn ax-mp infxrcl
      wf ffvelrni syl ) ABEAFEAGHIEABJFIAGCFIDKCLZDLZMNOPZIUAZIQUBZUCZUDZIQUEZG
      CDUFVBITZVCIEUPFEKIVAUMVDDKIUTVAVAUGUSITUTIEUQKEURIUHUSUIRSKIVAUJUKVBULRS
      UNUO $.

    $d F k $.  $d G x $.
    limsupval.1 $e |- G = ( k e. RR |->
      sup ( ( ( F " ( k [,) +oo ) ) i^i RR* ) , RR* , < ) ) $.
    $( The superior limit of an infinite sequence ` F ` of extended real
       numbers, which is the infimum of the set of suprema of all upper
       infinite subsequences of ` F ` .  Definition 12-4.1 of [Gleason] p. 175.
       (Contributed by NM, 26-Oct-2005.)  (Revised by AV, 12-Sep-2014.) $)
    limsupval $p |- ( F e. V -> ( limsup ` F ) = inf ( ran G , RR* , < ) ) $=
      ( vx wcel cvv clsp crn cxr clt cinf wceq cr cv cima cin csup cmpt elex co
      cfv cpnf cico imaeq1 ineq1d supeq1d mpteq2dv eqtr4di rneqd infeq1d xrltso
      df-limsup infex fvmpt syl ) BDGBHGBIUCCJZKLMZNBDUAFBAOFPZAPUDUEUBZQZKRZKL
      SZTZJZKLMUSHIUTBNZKVFURLVGVECVGVEAOBVAQZKRZKLSZTCVGAOVDVJVGKVCVILVGVBVHKU
      TBVAUFUGUHUIEUJUKULFAUNKURLUMUOUPUQ $.

    $( Closure of the superior limit function.  (Contributed by Mario Carneiro,
       7-Sep-2014.)  (Revised by Mario Carneiro, 7-May-2016.) $)
    limsupgf $p |- G : RR --> RR* $=
      ( cr cxr cv cpnf cico cima cin clt csup wss wcel inss2 supxrcl mp1i fmpti
      co ) AEFBAGZHITJZFKZFLMZCDUCFNUDFOUAEOUBFPUCQRS $.

    $d M k $.
    $( Value of the superior limit function.  (Contributed by Mario Carneiro,
       7-Sep-2014.)  (Revised by Mario Carneiro, 7-May-2016.) $)
    limsupgval $p |- ( M e. RR -> ( G ` M ) =
      sup ( ( ( F " ( M [,) +oo ) ) i^i RR* ) , RR* , < ) ) $=
      ( cv cpnf cico co cima cxr cin clt csup wceq oveq1 imaeq2d ineq1d supeq1d
      cr xrltso supex fvmpt ) ADBAFZGHIZJZKLZKMNBDGHIZJZKLZKMNTCUDDOZKUGUJMUKUF
      UIKUKUEUHBUDDGHPQRSEKUJMUAUBUC $.

    $d A j $.  $d B j $.  $d C j k x $.  $d F j $.
    $( The defining property of the superior limit function.  (Contributed by
       Mario Carneiro, 5-Sep-2014.)  (Revised by Mario Carneiro,
       7-May-2016.) $)
    limsupgle $p |- ( ( ( B C_ RR /\ F : B --> RR* ) /\ C e. RR /\ A e. RR* )
      -> ( ( G ` C ) <_ A <-> A. j e. B ( C <_ j -> ( F ` j ) <_ A ) ) ) $=
      ( vx cr wss cxr wa wcel cle wbr cin wral wi wb w3a cfv cpnf cico cima clt
      wf co csup cv wceq limsupgval 3ad2ant2 inss2 simp3 supxrleub sylancr cres
      breq1d cdm crn imassrn simp1r sstrid df-ss sylib imadmres eqtr4di raleqdv
      frnd wfn ffnd fdmd ineq2d dmres incom 3eqtr4g inss1 eqsstrdi breq1 ralima
      syl2anc eleq2d bitrdi simpl2 simp1l sselda elicopnf baibd pm5.32da imbi1d
      elin bitrd impexp ralbidv2 3bitrd ) BJKZBLFUGZMZCJNZALNZUAZCGUBZAOPFCUCUD
      UHZUEZLQZLUFUIZAOPZIUJZAOPZIXFRZCDUJZOPZXLFUBZAOPZSZDBRZXBXCXGAOWTWSXCXGU
      KXAEFGCHULUMUSXBXFLKXAXHXKTXELUNWSWTXAUOIXFAUPUQXBXKXJIFFXDURUTZUEZRZXODX
      RRZXQXBXJIXFXSXBXFXEXSXBXELKXFXEUKXBXEFVALFXDVBXBBLFWQWRWTXAVCZVJVDXELVEV
      FFXDVGVHVIXBFBVKXRBKXTYATXBBLFYBVLXBXRBXDQZBXBXDFUTZQXDBQXRYCXBYDBXDXBBLF
      YBVMVNFXDVOBXDVPVQZBXDVRVSXJXOIDBXRFXIXNAOVTWAWBXBXOXPDXRBXBXLXRNZXOSXLBN
      ZXMMZXOSYGXPSXBYFYHXOXBYFYGXLXDNZMZYHXBYFXLYCNYJXBXRYCXLYEWCXLBXDWLWDXBYG
      YIXMXBYGMWTXLJNZYIXMTWSWTXAYGWEXBBJXLWQWRWTXAWFWGWTYIYKXMCXLWHWIWBWJWMWKY
      GXMXOWNWDWOWPWP $.

    $d G j $.
    $( The defining property of the superior limit.  (Contributed by Mario
       Carneiro, 7-Sep-2014.)  (Revised by AV, 12-Sep-2020.) $)
    limsuple $p |- ( ( B C_ RR /\ F : B --> RR* /\ A e. RR* ) ->
      ( A <_ ( limsup ` F ) <-> A. j e. RR A <_ ( G ` j ) ) ) $=
      ( vx cr wss cxr wf wcel cfv cle wbr cv wral cvv ax-mp w3a clsp cinf simp2
      crn clt wceq reex ssex 3ad2ant1 xrex a1i fex2 syl3anc limsupval breq2d wb
      syl limsupgf frn simp3 infxrgelb sylancr wfn ffn breq2 ralrn bitrdi bitrd
      ) BIJZBKELZAKMZUAZAEUBNZOPAFUEZKUFUCZOPZACQFNZOPZCIRZVMVNVPAOVMESMZVNVPUG
      VMVKBSMZKSMZWAVJVKVLUDVJVKWBVLBIUHUIUJWCVMUKULBKESSUMUNDEFSGUOURUPVMVQAHQ
      ZOPZHVORZVTVMVOKJZVLVQWFUQIKFLZWGDEFGUSZIKFUTTVJVKVLVAHVOAVBVCFIVDZWFVTUQ
      WHWJWIIKFVETWEVSHCIFWDVRAOVFVGTVHVI $.

    $( The defining property of the superior limit.  (Contributed by Mario
       Carneiro, 7-Sep-2014.)  (Revised by AV, 12-Sep-2020.) $)
    limsuplt $p |- ( ( B C_ RR /\ F : B --> RR* /\ A e. RR* ) ->
      ( ( limsup ` F ) < A <-> E. j e. RR ( G ` j ) < A ) ) $=
      ( cr wss cxr wcel cfv cle wbr wn wrex clt wb cvv xrltnle wf w3a clsp wral
      limsuple notbid rexnal bitr4di simp2 reex ssex 3ad2ant1 xrex fex2 syl3anc
      a1i limsupcl syl simp3 syl2anc limsupgf ffvelrni syl2anr rexbidva 3bitr4d
      cv ) BHIZBJEUAZAJKZUBZAEUCLZMNZOZACVFZFLZMNZOZCHPZVKAQNZVOAQNZCHPVJVMVPCH
      UDZOVRVJVLWAABCDEFGUEUFVPCHUGUHVJVKJKZVIVSVMRVJESKZWBVJVHBSKZJSKZWCVGVHVI
      UIVGVHWDVIBHUJUKULWEVJUMUPBJESSUNUOESUQURVGVHVIUSZVKATUTVJVTVQCHVNHKVOJKV
      IVTVQRVJHJVNFDEFGVAVBWFVOATVCVDVE $.

    ${
      $d A k n x $.  $d G n $.  $d ph n x $.
      limsupval2.1 $e |- ( ph -> F e. V ) $.
      limsupval2.2 $e |- ( ph -> A C_ RR ) $.
      limsupval2.3 $e |- ( ph -> sup ( A , RR* , < ) = +oo ) $.
      $( The superior limit, relativized to an unbounded set.  (Contributed by
         Mario Carneiro, 7-Sep-2014.)  (Revised by AV, 12-Sep-2020.) $)
      limsupval2 $p |- ( ph -> ( limsup ` F )
                               = inf ( ( G " A ) , RR* , < ) ) $=
        ( vx vn cxr clt wcel wceq cle wbr wral cr clsp cfv crn cinf cima syl cv
        limsupval wss imassrn limsupgf frn ax-mp infxrlb ralrimiva ssralv mpsyl
        wf mp1i wb sstri infxrcl infxrgelb mp2an sylibr wrex csup ressxr sstrdi
        cpnf supxrunb1 mpbird wa sselda ad2ant2r ffvelrni ad2antlr wfn ad2antrr
        ffn simprl fnfvima syl3anc sylancr cico co cin simplr simprr limsupgord
        limsupgval 3brtr4d xrletrd rexlimdvaa ralimdva mpd breq2 ralrn xrletri3
        sylanbrc eqtrd ) ADUAUBZEUCZMNUDZEBUEZMNUDZADFOXBXDPHCDEFGUHUFAXDXFQRZX
        FXDQRZXDXFPZAXDKUGZQRZKXESZXGXEXCUIAXKKXCSZXLEBUJZXCMUIZXMATMEURZXOCDEG
        UKZTMEULUMZXOXKKXCXCXJUNUOUSXKKXEXCUPUQXEMUIZXDMOZXGXLUTXEXCMXNXRVAZXOX
        TXRXCVBUMZKXEXDVCVDVEAXFXJQRZKXCSZXHAXFLUGZEUBZQRZLTSZYDAYEXJQRZKBVFZLT
        SZYHAYKBMNVGVJPZJABMUIYKYLUTABTMIVHVILKBVKUFVLAYJYGLTAYETOZVMZYIYGKBYNX
        JBOZYIVMZVMZXFXJEUBZYFXSXFMOZYQYAXEVBZUSYQXJTOZYRMOAYOUUAYMYIABTXJIVNVO
        ZTMXJEXQVPUFYMYFMOAYPTMYEEXQVPVQYQXSYRXEOZXFYRQRYAYQETVRZBTUIZYOUUCXPUU
        DYQXQTMEVTZUSAUUEYMYPIVSYNYOYIWATBEXJWBWCXEYRUNWDYQDXJVJWEWFUEMWGMNVGZD
        YEVJWEWFUEMWGMNVGZYRYFQYQYMUUAYIUUGUUHQRAYMYPWHUUBYNYOYIWIYEXJDWJWCYQUU
        AYRUUGPUUBCDEXJGWKUFYMYFUUHPAYPCDEYEGWKVQWLWMWNWOWPUUDYDYHUTXPUUDXQUUFU
        MYCYGKLTEXJYFXFQWQWRUMVEXOYSXHYDUTXRXSYSYAYTUMZKXCXFVCVDVEXTYSXIXGXHVMU
        TYBUUIXDXFWSVDWTXA $.
    $}

    $d F a i m n r $.  $d G a i m n r $.  $d M a i m n r $.
    $d Z a i k m n r $.
    limsupgre.z $e |- Z = ( ZZ>= ` M ) $.
    $( If a sequence of real numbers has upper bounded limit supremum, then all
       the partial suprema are real.  (Contributed by Mario Carneiro,
       7-Sep-2014.)  (Revised by AV, 12-Sep-2020.) $)
    limsupgre $p |- ( ( M e. ZZ /\ F : Z --> RR /\ ( limsup ` F ) < +oo ) ->
      G : RR --> RR ) $=
      ( vi cz wcel cr cfv cpnf clt wbr cxr wa cle adantr syl2anc va vn vm vr wf
      clsp w3a cv cico co cima cin csup cvv xrltso supex cmpt limsupgval adantl
      a1i wceq wrex simpl3 wss wb cuz uzssz eqsstri zssre simpl2 ressxr sylancl
      sstri fss pnfxr limsuplt syl3anc mpbid cfl cfz wral fzfi elfzuz eleqtrrdi
      cfn ffvelrn syl2an ralrimiva fimaxre3 sylancr cif simpr ad2antrr limsupgf
      ffvelrni syl simprl sselid wi sselda xrleidd limsupgle syl211anc r19.21bi
      ifcld imp xrmax1 ffvelrnda xrletr mpan2d mpd fveq2 breq1d simprr eleqtrdi
      flcld elfz5 flge bitr4d biimpar rspcdva xrmax2 lecasei a1d mpbird simplrr
      ltpnfd ifboth xrlelttrd rexlimddv eqbrtrrd c0 wne crn imassrn frnd sstrid
      breq1 sstrdi zred df-ss sylib eqsstrd cdm caddc simpl1 flcl peano2zd max1
      eluz2 syl3anbrc fdmd eleqtrrd fllep1 max2 letrd elicopnf mpbir2and inelcm
      c1 imadisj necon3bii sylibr eqnetrd supxrre1 eqeltrd fmpt2d ) DIJZEKBUEZB
      UFLMNOZUGZAUAKBAUHZMUIUJUKPULZPNUMZKCUNUVNUNJUVKUVLKJQPUVMNUOUPUTCAKUVNUQ
      VAUVKFUTUVKUAUHZKJZQZUVOCLZBUVOMUIUJZUKZPULZPNUMZKUVPUVRUWBVAUVKABCUVOFUR
      USZUVQUWBKJZUWBMNOZUVQUVRUWBMNUWCUVQUBUHZCLZMNOZUVRMNOZUBKUVQUVJUWHUBKVBZ
      UVHUVIUVJUVPVCUVQEKVDZEPBUEZMPJZUVJUWJVEUWKUVQEIKEDVFLZIGDVGVHZVIVMZUTUVQ
      UVIKPVDUWLUVHUVIUVJUVPVJZVKEKPBVNVLZUWMUVQVOUTMEUBABCFVPVQVRUVQUWFKJZUWHQ
      ZQZUCUHZBLZUDUHZROZUCDUWFVSLZVTUJZWAZUWIUDKUXAUXGWEJUXCKJZUCUXGWAUXHUDKVB
      DUXFWBUXAUXIUCUXGUXAUVIUXBEJUXIUXBUXGJZUVQUVIUWTUWQSUXJUXBUWNEUXBDUXFWCGW
      DEKUXBBWFWGWHUDUCUXGUXCWIWJUXAUXDKJZUXHQZQZUVRUWGUXDROZUXDUWGWKZMUXMUVPUV
      RPJUVQUVPUWTUXLUVKUVPWLZWMZKPUVOCABCFWNZWOWPUXMUXNUXDUWGPUXMKPUXDVKUXAUXK
      UXHWQZWRZUXMUWSUWGPJZUXAUWSUXLUVQUWSUWHWQZSZKPUWFCUXRWOZWPZXEZUWMUXMVOUTU
      XMUVRUXOROZUVOHUHZROZUYHBLZUXOROZWSZHEWAZUXMUYLHEUXMUYHEJZQZUYKUYIUYOUYKU
      WFUYHUXAUWSUXLUYNUYBWMZUXMEKUYHUWKUXMUWPUTZWTUYOUWFUYHROZQUYJUWGROZUYKUYO
      UYRUYSUXMUYRUYSWSZHEUXMUWGUWGROZUYTHEWAZUXMUWGUYEXAUXMUWKUWLUWSUYAVUAVUBV
      EUYQUVQUWLUWTUXLUWRWMZUYCUYEUWGEUWFHABCFXBXCVRXDXFUYOUYSUYKWSUYRUYOUYSUWG
      UXOROZUYKUYOUYAUXDPJZVUDUYOUWSUYAUYPUYDWPZUXMVUEUYNUXTSZUWGUXDXGTUYOUYJPJ
      ZUYAUXOPJZUYSVUDQUYKWSUXMEPUYHBVUCXHZVUFUXMVUIUYNUYFSZUYJUWGUXOXIVQXJSXKU
      YOUYHUWFROZQZUYJUXDROZUYKVUMUXEVUNUCUXGUYHUXBUYHVAUXCUYJUXDRUXBUYHBXLXMUX
      MUXHUYNVULUXAUXKUXHXNWMUYOUYHUXGJZVULUYOVUOUYHUXFROZVULUYOUYHUWNJUXFIJZVU
      OVUPVEUYOUYHEUWNUXMUYNWLZGXOUXMVUQUYNUXMUWFUYCXPSUYHDUXFXQTUYOUWSUYHIJVUL
      VUPVEUYPUYOEIUYHUWOVURWRUWFUYHXRTXSXTYAUYOVUNUYKWSVULUYOVUNUXDUXOROZUYKUX
      MVUSUYNUXMUYAVUEVUSUYEUXTUWGUXDYBTSUYOVUHVUEVUIVUNVUSQUYKWSVUJVUGVUKUYJUX
      DUXOXIVQXJSXKYCYDWHUXMUWKUWLUVPVUIUYGUYMVEUYQVUCUXQUYFUXOEUVOHABCFXBXCYEU
      XMUXDMNOZUWHUXOMNOZUXMUXDUXSYGUVQUWSUWHUXLYFUXNVUTUWHVVAUXDUWGUXDUXOMNYRU
      WGUXOMNYRYHTYIYJYJYKUVQUWAKVDUWAYLYMUWDUWEVEUVQUWAUVTKUVQUVTPVDUWAUVTVAUV
      QUVTKPUVQUVTBYNKBUVSYOUVQEKBUWQYPYQZVKYSUVTPUUAUUBZVVBUUCUVQUWAUVTYLVVCUV
      QBUUDZUVSULZYLYMZUVTYLYMUVQDUVOVSLZUUTUUEUJZROZVVHDWKZVVDJVVJUVSJZVVFUVQV
      VJEVVDUVQVVJUWNEUVQUVHVVJIJDVVJROZVVJUWNJUVHUVIUVJUVPUUFZUVQVVIVVHDIUVQVV
      GUVPVVGIJUVKUVOUUGUSUUHZVVMXEZUVQDKJZVVHKJZVVLUVQDVVMYTZUVQVVHVVNYTZDVVHU
      UITDVVJUUJUUKGWDUVQEKBUWQUULUUMUVQVVKVVJKJZUVOVVJROZUVQVVJVVOYTZUVQUVOVVH
      VVJUXPVVSVWBUVPUVOVVHROUVKUVOUUNUSUVQVVPVVQVVHVVJROVVRVVSDVVHUUOTUUPUVPVV
      KVVTVWAQVEUVKUVOVVJUUQUSUURVVJVVDUVSUUSTUVTYLVVEYLBUVSUVAUVBUVCUVDUWAUVET
      YEUVFUVG $.
  $}

  ${
    $d j k m A $.  $d j k m n B $.  $d j k m n F $.  $d j k m ph $.
    limsupbnd.1 $e |- ( ph -> B C_ RR ) $.
    limsupbnd.2 $e |- ( ph -> F : B --> RR* ) $.
    limsupbnd.3 $e |- ( ph -> A e. RR* ) $.
    ${
      limsupbnd1.4 $e |- ( ph ->
        E. k e. RR A. j e. B ( k <_ j -> ( F ` j ) <_ A ) ) $.
      $( If a sequence is eventually at most ` A ` , then the limsup is also at
         most ` A ` .  (The converse is only true if the less or equal is
         replaced by strictly less than; consider the sequence ` 1 / n ` which
         is never less or equal to zero even though the limsup is.)
         (Contributed by Mario Carneiro, 7-Sep-2014.)  (Revised by AV,
         12-Sep-2020.) $)
      limsupbnd1 $p |- ( ph -> ( limsup ` F ) <_ A ) $=
        ( vn cv cle wbr cfv cr wcel cxr adantr cvv wi wral wrex clsp wa cpnf co
        cico cima cin clt csup cmpt wf simpr eqid limsupgle syl211anc reex ssex
        wss wb syl xrex a1i syl3anc limsupcl xrleidd limsuple r19.21bi limsupgf
        fex2 mpbid ffvelrnda xrletr mpand sylbird rexlimdva mpd ) AELZDLZMNWAFO
        BMNUADCUBZEPUCFUDOZBMNZJAWBWDEPAVTPQZUEZWBVTKPFKLUFUHUGUIRUJRUKULUMZOZB
        MNZWDWFCPVAZCRFUNZWEBRQZWIWBVBAWJWEGSAWKWEHSAWEUOAWLWEISZBCVTDKFWGWGUPZ
        UQURWFWCWHMNZWIWDAWOEPAWCWCMNZWOEPUBZAWCAFTQZWCRQZAWKCTQZRTQZWRHAWJWTGC
        PUSUTVCXAAVDVECRFTTVLVFFTVGVCZVHAWJWKWSWPWQVBGHXBWCCEKFWGWNVIVFVMVJWFWS
        WHRQWLWOWIUEWDUAAWSWEXBSAPRVTWGPRWGUNAKFWGWNVKVEVNWMWCWHBVOVFVPVQVRVS
        $.
    $}

    limsupbnd2.4 $e |- ( ph -> sup ( B , RR* , < ) = +oo ) $.
    limsupbnd2.5 $e |- ( ph ->
      E. k e. RR A. j e. B ( k <_ j -> A <_ ( F ` j ) ) ) $.
    $( If a sequence is eventually greater than ` A ` , then the limsup is also
       greater than ` A ` .  (Contributed by Mario Carneiro, 7-Sep-2014.)
       (Revised by AV, 12-Sep-2020.) $)
    limsupbnd2 $p |- ( ph -> A <_ ( limsup ` F ) ) $=
      ( vm vn cle wbr cr cxr wi wcel wa clsp cfv cv cpnf cico cima cin clt csup
      co cmpt wral wrex cif wceq wss wb ressxr sstrdi supxrunb1 syl mpbird ifcl
      breq1 rexbidv rspccva syl2an r19.29 simplrr simprl adantr syl2anc syl3anc
      max1 sselda letr mpand imim1d impd max2 adantld limsupgf ffvelrni xrleidd
      eqid adantl adantrr limsupgle syl211anc mpbid r19.21bi syld jcad ad2antrr
      wf ffvelrnda xrletr rexlimdva syl5 mpan2d anassrs ralrimdva mpd limsuple
      ) ABFUAUBNOZBLUCZMPFMUCZUDUEUJUFQUGQUHUIUKZUBZNOZLPULZAEUCZDUCZNOZBXMFUBZ
      NOZRZDCULZEPUMZXKKAXSXJLPAXFPSZTZXRXJEPAXTXLPSZXRXJRAXTYBTZTZXRXLXFNOZXFX
      LUNZXMNOZDCUMZXJAXGXMNOZDCUMZMPULZYFPSZYHYCAYKCQUHUIUDUOZJACQUPYKYMUQACPQ
      GURUSMDCUTVAVBYEXFXLPVCZYJYHMYFPXGYFUOYIYGDCXGYFXMNVDVEVFVGXRYHTXQYGTZDCU
      MYDXJXQYGDCVHYDYOXJDCYDXMCSZTZYOXPXOXINOZTZXJYQYOXPYRYQXQYGXPYQYGXNXPYQXL
      YFNOZYGXNYQYBXTYTAXTYBYPVIZYDXTYPAXTYBVJZVKZXLXFVNVLYQYBYLXMPSZYTYGTXNRUU
      AYQXTYBYLUUCUUAYNVLZYDCPXMACPUPZYCGVKZVOZXLYFXMVPVMVQVRVSYQYOXFXMNOZYRYQY
      GUUIXQYQXFYFNOZYGUUIYQYBXTUUJUUAUUCXLXFVTVLYQXTYLUUDUUJYGTUUIRUUCUUEUUHXF
      YFXMVPVMVQWAYDUUIYRRZDCYDXIXINOZUUKDCULZAXTUULYBYAXIXTXIQSZAPQXFXHMFXHXHW
      EZWBWCZWFWDWGYDUUFCQFWOZXTUUNUULUUMUQUUGAUUQYCHVKZUUBYDXTUUNUUBUUPVAZXICX
      FDMFXHUUOWHWIWJWKWLWMYQBQSZXOQSUUNYSXJRAUUTYCYPIWNYDCQXMFUURWPYDUUNYPUUSV
      KBXOXIWQVMWLWRWSWTXAWRXBXCAUUFUUQUUTXEXKUQGHIBCLMFXHUUOXDVMVB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Limits
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ~~> $.  $( Limit arrow. $)
  $c ~~>r $.  $( Limit arrow with subscript r $)
  $c O(1) $.  $( big-O of one $)
  $c <_O(1) $.  $( less than or equal to big-O of one $)

  $( Extend class notation with convergence relation for limits. $)
  cli $a class ~~> $.

  $( Extend class notation with real convergence relation for limits. $)
  crli $a class ~~>r $.

  $( Extend class notation with the set of all eventually bounded functions. $)
  co1 $a class O(1) $.

  $( Extend class notation with the set of all eventually upper bounded
     functions. $)
  clo1 $a class <_O(1) $.

  ${
    $d j k w x y z f m $.
    $( Define the limit relation for complex number sequences.  See ~ clim for
       its relational expression.  (Contributed by NM, 28-Aug-2005.) $)
    df-clim $a |- ~~> = { <. f , y >. | ( y e. CC /\
        A. x e. RR+ E. j e. ZZ A. k e. ( ZZ>= ` j )
          ( ( f ` k ) e. CC /\ ( abs ` ( ( f ` k ) - y ) ) < x ) ) } $.

    $( Define the limit relation for partial functions on the reals.  See
       ~ rlim for its relational expression.  (Contributed by Mario Carneiro,
       16-Sep-2014.) $)
    df-rlim $a |- ~~>r = { <. f , x >. | ( ( f e. ( CC ^pm RR ) /\ x e. CC ) /\
      A. y e. RR+ E. z e. RR A. w e. dom f ( z <_ w ->
      ( abs ` ( ( f ` w ) - x ) ) < y ) ) } $.

    $( Define the set of eventually bounded functions.  We don't bother to
       build the full conception of big-O notation, because we can represent
       any big-O in terms of ` O(1) ` and division, and any little-O in terms
       of a limit and division.  We could also use limsup for this, but it only
       works on integer sequences, while this will work for real sequences or
       integer sequences.  (Contributed by Mario Carneiro, 15-Sep-2014.) $)
    df-o1 $a |- O(1) = { f e. ( CC ^pm RR ) | E. x e. RR E. m e. RR
      A. y e. ( dom f i^i ( x [,) +oo ) ) ( abs ` ( f ` y ) ) <_ m } $.

    $( Define the set of eventually upper bounded real functions.  This fills a
       gap in ` O(1) ` coverage, to express statements like
       ` f ( x ) <_ g ( x ) + O ( x ) ` via
       ` ( x e. RR+ |-> ( f ( x ) - g ( x ) ) / x ) e. <_O(1) ` .  (Contributed
       by Mario Carneiro, 25-May-2016.) $)
    df-lo1 $a |- <_O(1) = { f e. ( RR ^pm RR ) | E. x e. RR E. m e. RR
      A. y e. ( dom f i^i ( x [,) +oo ) ) ( f ` y ) <_ m } $.

    $( The limit relation is a relation.  (Contributed by NM, 28-Aug-2005.)
       (Revised by Mario Carneiro, 31-Jan-2014.) $)
    climrel $p |- Rel ~~> $=
      ( vy vk vf vx vj cv cc wcel cfv cmin co cabs clt wbr wa cuz wral wrex crp
      cz cli df-clim relopabiv ) AFZGHBFCFIZGHUEUDJKLIDFMNOBEFPIQETRDSQOCAUADAC
      EBUBUC $.

    $( The limit relation is a relation.  (Contributed by Mario Carneiro,
       24-Sep-2014.) $)
    rlimrel $p |- Rel ~~>r $=
      ( vf vx vz vw vy cv cc cr cpm co wcel wa cle wbr cfv cmin cabs clt wral
      wi cdm wrex crp crli df-rlim relopabiv ) AFZGHIJKBFZGKLCFDFZMNUIUGOUHPJQO
      EFRNTDUGUASCHUBEUCSLABUDBECDAUEUF $.
  $}

  ${
    $d f j k x y A $.  $d f j k x y F $.  $d j k x ph $.
    clim.1 $e |- ( ph -> F e. V ) $.
    clim.3 $e |- ( ( ph /\ k e. ZZ ) -> ( F ` k ) = B ) $.
    $( Express the predicate:  The limit of complex number sequence ` F ` is
       ` A ` , or ` F ` converges to ` A ` .  This means that for any real
       ` x ` , no matter how small, there always exists an integer ` j ` such
       that the absolute difference of any later complex number in the sequence
       and the limit is less than ` x ` .  (Contributed by NM, 28-Aug-2005.)
       (Revised by Mario Carneiro, 28-Apr-2015.) $)
    clim $p |- ( ph -> ( F ~~> A <-> ( A e. CC /\ A. x e. RR+ E. j e. ZZ
           A. k e. ( ZZ>= ` j ) ( B e. CC /\ ( abs ` ( B - A ) ) < x ) ) ) ) $=
      ( cc wcel cv cfv cmin cabs clt wa wral cz vy vf cli wbr co cuz crp cvv wi
      wrex climrel brrelex2i a1i elex adantr wb simpr eleq1d fveq1 oveq12 sylan
      fveq2d breq1d anbi12d ralbidv rexbidv df-clim brabga ex pm5.21ndd eluzelz
      wceq syl fvoveq1d sylan2 ralbidva anbi2d bitrd ) AGCUCUDZCKLZFMZGNZKLZWBC
      OUEZPNZBMZQUDZRZFEMZUFNZSZETUJZBUGSZRZVTDKLZDCOUEPNZWFQUDZRZFWJSZETUJZBUG
      SZRACUHLZVSWNVSXBUIAGCUCUKULUMWNXBUIAVTXBWMCKUNUOUMAGHLZXBVSWNUPZUIIXCXBX
      DUAMZKLZWAUBMZNZKLZXHXEOUEZPNZWFQUDZRZFWJSZETUJZBUGSZRWNUBUAGCUCHUHXGGVLZ
      XECVLZRZXFVTXPWMXSXECKXQXRUQURXSXOWLBUGXSXNWKETXSXMWHFWJXSXIWCXLWGXSXHWBK
      XQXHWBVLZXRWAXGGUSZUOURXSXKWEWFQXSXJWDPXQXTXRXJWDVLYAXHWBXECOUTVAVBVCVDVE
      VFVEVDBUAUBEFVGVHVIVMVJAWMXAVTAWLWTBUGAWKWSETAWHWRFWJWAWJLAWATLZWHWRUPWIW
      AVKAYBRZWCWOWGWQYCWBDKJURYCWEWPWFQYCWBDCPOJVNVCVDVOVPVFVEVQVR $.
  $}

  ${
    $d z A $.  $d f w x y z C $.  $d f w x y z F $.  $d x y z ph $.
    rlim.1 $e |- ( ph -> F : A --> CC ) $.
    rlim.2 $e |- ( ph -> A C_ RR ) $.
    rlim.4 $e |- ( ( ph /\ z e. A ) -> ( F ` z ) = B ) $.
    $( Express the predicate:  The limit of complex number function ` F ` is
       ` C ` , or ` F ` converges to ` C ` , in the real sense.  This means
       that for any real ` x ` , no matter how small, there always exists a
       number ` y ` such that the absolute difference of any number in the
       function beyond ` y ` and the limit is less than ` x ` .  (Contributed
       by Mario Carneiro, 16-Sep-2014.)  (Revised by Mario Carneiro,
       28-Apr-2015.) $)
    rlim $p |- ( ph -> ( F ~~>r C <-> ( C e. CC /\ A. x e. RR+ E. y e. RR
           A. z e. A ( y <_ z -> ( abs ` ( B - C ) ) < x ) ) ) ) $=
      ( wbr cc cr wcel cv wi wral wa cvv vf vw crli cpm co cle cfv cmin clt cdm
      cabs wrex crp rlimrel brrelex2i a1i elex ad2antrl wb wss cnex reex elpm2r
      mpanl12 syl2anc wceq eleq1 bi2anan9 simpl dmeqd fveq1 oveq12 sylan fveq2d
      wf breq1d imbi2d raleqbidv rexbidv ralbidv anbi12d brabga anass bitrdi ex
      df-rlim pm5.21ndd biantrurd fdmd raleqdv fvoveq1d ralbidva anbi2d 3bitr2d
      syl bitrd ) AHGUCLZHMNUDUEZOZGMOZCPDPZUFLZXAHUGZGUHUEZUKUGZBPZUILZQZDHUJZ
      RZCNULZBUMRZSZSZXMWTXBFGUHUEUKUGZXFUILZQZDERZCNULZBUMRZSAGTOZWQXNWQYAQAHG
      UCUNUOUPXNYAQAWTYAWSXLGMUQURUPAWSYAWQXNUSZQAEMHVOZENUTZWSIJMTONTOYCYDSWSV
      AVBMNEHTTVCVDVEZWSYAYBWSYASWQWSWTSZXLSZXNUAPZWROZUBPZMOZSZXBXAYHUGZYJUHUE
      ZUKUGZXFUILZQZDYHUJZRZCNULZBUMRZSYGUAUBHGUCWRTYHHVFZYJGVFZSZYLYFUUAXLUUBY
      IWSUUCYKWTYHHWRVGYJGMVGVHUUDYTXKBUMUUDYSXJCNUUDYQXHDYRXIUUDYHHUUBUUCVIVJU
      UDYPXGXBUUDYOXEXFUIUUDYNXDUKUUBYMXCVFUUCYNXDVFXAYHHVKYMXCYJGUHVLVMVNVPVQV
      RVSVTWAUBBCDUAWFWBWSWTXLWCWDWEWOWGAWSXMYEWHAXLXTWTAXKXSBUMAXJXRCNAXJXHDER
      XRAXHDXIEAEMHIWIWJAXHXQDEAXAEOSZXGXPXBUUEXEXOXFUIUUEXCFGUKUHKWKVPVQWLWPVS
      VTWMWN $.
  $}

  ${
    $d w x y z A $.  $d w x y B $.  $d w x y z C $.  $d w x y ph $.
    $d w y z D $.
    rlim2.1 $e |- ( ph -> A. z e. A B e. CC ) $.
    rlim2.2 $e |- ( ph -> A C_ RR ) $.
    rlim2.3 $e |- ( ph -> C e. CC ) $.
    $( Rewrite ~ rlim for a mapping operation.  (Contributed by Mario Carneiro,
       16-Sep-2014.)  (Revised by Mario Carneiro, 28-Feb-2015.) $)
    rlim2 $p |- ( ph -> ( ( z e. A |-> B ) ~~>r C <-> A. x e. RR+ E. y e. RR
           A. z e. A ( y <_ z -> ( abs ` ( B - C ) ) < x ) ) ) $=
      ( vw wbr cc wcel cfv cmin cabs clt wral nfcv cmpt crli cv cle co wrex crp
      wi cr wa eqid fmpt sylib eqidd rlim biantrurd nfv nffvmpt1 nfov nffv nfbr
      wf nfim breq2 imbrov2fvoveq cbvralw fvmpt2 fvoveq1d breq1d ralimiaa ralbi
      wb imbi2d 3syl syl5bb rexbidv ralbidv 3bitr2d ) ADEFUAZGUBLGMNZCUCZKUCZUD
      LZWBVSOZGPUEZQOZBUCZRLZUHZKESZCUIUFZBUGSZUJWLWADUCZUDLZFGPUEQOZWGRLZUHZDE
      SZCUIUFZBUGSABCKEWDGVSAFMNZDESZEMVSVBHDEMFVSVSUKZULUMIAWBENUJWDUNUOAVTWLJ
      UPAWKWSBUGAWJWRCUIWJWNWMVSOZGPUEQOZWGRLZUHZDESZAWRWIXFKDEWCWHDWCDUQDWFWGR
      DWEQDQTDWDGPDEFWBURDPTDGTUSUTDRTDWGTVAVCXFKUQWCWNWGRPQVSGWBWMWBWMWAUDVDVE
      VFAXAXFWQVLZDESXGWRVLHWTXHDEWMENWTUJZXEWPWNXIXDWOWGRXIXCFGQPDEFMVSXBVGVHV
      IVMVJXFWQDEVKVNVOVPVQVR $.

    $( Use strictly less-than in place of less equal in the real limit
       predicate.  (Contributed by Mario Carneiro, 18-Sep-2014.) $)
    rlim2lt $p |- ( ph -> ( ( z e. A |-> B ) ~~>r C <-> A. x e. RR+ E. y e. RR
           A. z e. A ( y < z -> ( abs ` ( B - C ) ) < x ) ) ) $=
      ( vw wbr cv wi wral cr crp cle wcel wa cmpt crli clt cmin cabs wrex rlim2
      co cfv wss simplr simpl sselda ltle syl2anc imim1d ralimdva sylan ralimdv
      reximdva sylbid c1 caddc peano2re adantl ltp1 ad2antlr ltletr mpand breq1
      syl3anc rspceaimv syl6an rexlimdva sylibrd impbid ) ADEFUAGUBLZCMZDMZUCLZ
      FGUDUHUEUIBMUCLZNZDEOZCPUFZBQOZAVQVRVSRLZWANZDEOZCPUFZBQOWEABCDEFGHIJUGAW
      IWDBQAWHWCCPAEPUJZVRPSZWHWCNIWJWKTZWGWBDEWLVSESZTZVTWFWAWNWKVSPSZVTWFNWJW
      KWMUKZWLEPVSWJWKULUMZVRVSUNUOUPUQURUTUSVAAWEKMZVSRLZWANDEOKPUFZBQOVQAWDWT
      BQAWCWTCPAWKTVRVBVCUHZPSZWCXAVSRLZWANZDEOZWTWKXBAVRVDZVEAWJWKWCXENIWLWBXD
      DEWNXCVTWAWNVRXAUCLZXCVTWKXGWJWMVRVFVGWNWKXBWOXGXCTVTNWPWKXBWJWMXFVGWQVRX
      AVSVHVKVIUPUQURWSXCWAKDXAPEWRXAVSRVJVLVMVNUSABKDEFGHIJUGVOVP $.

    rlim3.4 $e |- ( ph -> D e. RR ) $.
    $( Restrict the range of the domain bound to reals greater than some
       ` D e. RR ` .  (Contributed by Mario Carneiro, 16-Sep-2014.) $)
    rlim3 $p |- ( ph -> ( ( z e. A |-> B ) ~~>r C <-> A. x e. RR+
   E. y e. ( D [,) +oo ) A. z e. A ( y <_ z -> ( abs ` ( B - C ) ) < x ) ) ) $=
      ( wbr cle wi wral crp cr wcel wa vw cmpt crli cmin cabs cfv clt cpnf cico
      cv co wrex rlim2 cif simpr adantr ifcld max1 sylan elicopnf syl mpbir2and
      wb wss jca max2 ad4ant23 simplr simpllr simpll sselda letr syl3anc imim1d
      mpand ralimdva breq1 rspceaimv syl6an rexlimdva ralimdv cxr pnfxr icossre
      sylbid sylancl ssrexv sylibrd impbid ) ADEFUBGUCMZCUJZDUJZNMZFGUDUKUEUFBU
      JUGMZODEPZCHUHUIUKZULZBQPZAWJUAUJZWLNMZWNOZDEPZUARULZBQPWRABUADEFGIJKUMAX
      CWQBQAXBWQUARAWSRSZTZHWSNMZWSHUNZWPSZXBXGWLNMZWNOZDEPZWQXEXHXGRSZHXGNMZXE
      XFWSHRAXDUOAHRSZXDLUPZUQAXNXDXMLHWSURUSXEXNXHXLXMTVCXOHXGUTVAVBAERVDZXNTZ
      XDXBXKOAXPXNJLVEXQXDTZXAXJDEXRWLESZTZXIWTWNXTWSXGNMZXIWTXNXDYAXPXSHWSVFVG
      XTXDXLWLRSYAXITWTOXQXDXSVHZXTXFWSHRYBXPXNXDXSVIUQXRERWLXPXNXDVJVKWSXGWLVL
      VMVOVNVPUSWMXIWNCDXGWPEWKXGWLNVQVRVSVTWAWEAWRWOCRULZBQPWJAWQYCBQAWPRVDZWQ
      YCOAXNUHWBSYDLWCHUHWDWFWOCWPRWGVAWAABCDEFGIJKUMWHWI $.
  $}

  ${
    $d f w x y z $.  $d j k x y z A $.  $d j k x y z F $.
    $( Closure of the limit of a sequence of complex numbers.  (Contributed by
       NM, 28-Aug-2005.)  (Revised by Mario Carneiro, 28-Apr-2015.) $)
    climcl $p |- ( F ~~> A -> A e. CC ) $=
      ( vk vx vj cli wbr cc wcel cv cfv cmin co cabs clt wa cuz wral cz wrex
      crp cvv climrel brrelex1i eqidd clim ibi simpld ) BAFGZAHIZCJZBKZHIULALMN
      KDJOGPCEJQKRESTDUARZUIUJUMPUIDAULECBUBBAFUCUDUIUKSIPULUEUFUGUH $.

    $( Closure of a function with a limit in the complex numbers.  (Contributed
       by Mario Carneiro, 16-Sep-2014.) $)
    rlimpm $p |- ( F ~~>r A -> F e. ( CC ^pm RR ) ) $=
      ( vf vx vz vw vy crli wbr cdm cc cr cpm co wss cv wcel wa cfv wral cxp wi
      cle cmin cabs clt wrex crp copab df-rlim opabssxp dmss ax-mp dmxpss sstri
      eqsstri rlimrel releldmi sselid ) BAHIHJZKLMNZBUTVAKUAZJZVAHVBOUTVCOHCPZV
      AQDPZKQREPFPZUCIVFVDSVEUDNUESGPUFIUBFVDJTELUGGUHTZRCDUIVBDGEFCUJVGCDVAKUK
      UPHVBULUMVAKUNUOBAHUQURUS $.

    $( Closure of a function with a limit in the complex numbers.  (Contributed
       by Mario Carneiro, 16-Sep-2014.) $)
    rlimf $p |- ( F ~~>r A -> F : dom F --> CC ) $=
      ( crli wbr cc cr cpm co wcel cdm rlimpm wss cnex reex elpm2 simplbi syl
      wf ) BACDBEFGHIZBJZEBRZABKSUATFLEFBMNOPQ $.

    $( Domain closure of a function with a limit in the complex numbers.
       (Contributed by Mario Carneiro, 16-Sep-2014.) $)
    rlimss $p |- ( F ~~>r A -> dom F C_ RR ) $=
      ( crli wbr cc cr cpm co wcel cdm wss rlimpm cnex reex elpm2 simprbi syl
      wf ) BACDBEFGHIZBJZFKZABLSTEBRUAEFBMNOPQ $.

    $( Closure of the limit of a sequence of complex numbers.  (Contributed by
       Mario Carneiro, 16-Sep-2014.)  (Revised by Mario Carneiro,
       28-Apr-2015.) $)
    rlimcl $p |- ( F ~~>r A -> A e. CC ) $=
      ( vz vx vy crli wbr cc wcel cv cle cfv cmin co cabs clt wi cdm wral wa cr
      wrex crp rlimf rlimss eqidd rlim ibi simpld ) BAFGZAHIZCJDJZKGULBLZAMNOLE
      JPGQDBRZSCUAUBEUCSZUJUKUOTUJECDUNUMABABUDABUEUJULUNITUMUFUGUHUI $.
  $}

  ${
    $d j k x A $.  $d j k x F $.  $d j M $.  $d j k x ph $.  $d j k Z $.
    clim2.1 $e |- Z = ( ZZ>= ` M ) $.
    clim2.2 $e |- ( ph -> M e. ZZ ) $.
    clim2.3 $e |- ( ph -> F e. V ) $.
    clim2.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = B ) $.
    $( Express the predicate:  The limit of complex number sequence ` F ` is
       ` A ` , or ` F ` converges to ` A ` , with more general quantifier
       restrictions than ~ clim .  (Contributed by NM, 6-Jan-2007.)  (Revised
       by Mario Carneiro, 31-Jan-2014.) $)
    clim2 $p |- ( ph -> ( F ~~> A <-> ( A e. CC /\ A. x e. RR+ E. j e. Z
           A. k e. ( ZZ>= ` j ) ( B e. CC /\ ( abs ` ( B - A ) ) < x ) ) ) ) $=
      ( wbr cc wcel cfv wa wral cli cv cmin co cabs clt cuz wrex crp eqidd clim
      cz uztrn2 eleq1d fvoveq1d breq1d anbi12d sylan2 anassrs ralbidva rexbidva
      wb rexuz3 syl bitr3d ralbidv anbi2d bitr4d ) AGCUAOCPQZFUBZGRZPQZVKCUCUDU
      ERZBUBZUFOZSZFEUBZUGRZTZEULUHZBUITZSVIDPQZDCUCUDUERZVNUFOZSZFVRTZEJUHZBUI
      TZSABCVKEFGIMAVJULQSVKUJUKAWHWAVIAWGVTBUIAVSEJUHZWGVTAVSWFEJAVQJQZSVPWEFV
      RAWJVJVRQZVPWEVBZWJWKSAVJJQZWLHVJVQJKUMAWMSZVLWBVOWDWNVKDPNUNWNVMWCVNUFWN
      VKDCUEUCNUOUPUQURUSUTVAAHULQWIVTVBLVPEFHJKVCVDVEVFVGVH $.

    clim2c.5 $e |- ( ph -> A e. CC ) $.
    clim2c.6 $e |- ( ( ph /\ k e. Z ) -> B e. CC ) $.
    $( Express the predicate ` F ` converges to ` A ` .  (Contributed by NM,
       24-Feb-2008.)  (Revised by Mario Carneiro, 31-Jan-2014.) $)
    clim2c $p |- ( ph -> ( F ~~> A <->
      A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j ) ( abs ` ( B - A ) ) < x ) ) $=
      ( wcel cv wa wral cmin cabs cfv clt wbr cuz wrex crp cli biantrurd uztrn2
      cc co wb sylan2 anassrs ralbidva rexbidva ralbidv clim2 3bitr4rd ) ADULQZ
      DCUAUMUBUCBRUDUEZSZFERZUFUCZTZEJUGZBUHTZCULQZVISVCFVFTZEJUGZBUHTGCUIUEAVJ
      VIOUJAVLVHBUHAVKVGEJAVEJQZSVCVDFVFAVMFRZVFQZVCVDUNZVMVOSAVNJQZVPHVNVEJKUK
      AVQSVBVCPUJUOUPUQURUSABCDEFGHIJKLMNUTVA $.
  $}

  ${
    $d j k x F $.  $d j M $.  $d j k x ph $.  $d j k Z $.
    clim0.1 $e |- Z = ( ZZ>= ` M ) $.
    clim0.2 $e |- ( ph -> M e. ZZ ) $.
    clim0.3 $e |- ( ph -> F e. V ) $.
    clim0.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = B ) $.
    $( Express the predicate ` F ` converges to ` 0 ` .  (Contributed by NM,
       24-Feb-2008.)  (Revised by Mario Carneiro, 31-Jan-2014.) $)
    clim0 $p |- ( ph -> ( F ~~> 0 <-> A. x e. RR+ E. j e. Z
                  A. k e. ( ZZ>= ` j ) ( B e. CC /\ ( abs ` B ) < x ) ) ) $=
      ( cc0 wbr cabs cfv clt wa wral cli cc wcel cmin co cuz wrex crp clim2 0cn
      cv biantrur subid1 fveq2d breq1d pm5.32i ralbii rexbii bitr3i bitrdi ) AF
      NUAONUBUCZCUBUCZCNUDUEZPQZBUKZROZSZEDUKUFQZTZDIUGZBUHTZSZVBCPQZVEROZSZEVH
      TZDIUGZBUHTZABNCDEFGHIJKLMUIVLVKVRVAVKUJULVJVQBUHVIVPDIVGVOEVHVBVFVNVBVDV
      MVERVBVCCPCUMUNUOUPUQURUQUSUT $.

    clim0c.6 $e |- ( ( ph /\ k e. Z ) -> B e. CC ) $.
    $( Express the predicate ` F ` converges to ` 0 ` .  (Contributed by NM,
       24-Feb-2008.)  (Revised by Mario Carneiro, 31-Jan-2014.) $)
    clim0c $p |- ( ph -> ( F ~~> 0 <->
              A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j ) ( abs ` B ) < x ) ) $=
      ( cc0 wbr cabs cfv cv wral cli cmin co clt cuz wrex crp 0cnd clim2c wa wb
      wcel uztrn2 subid1d fveq2d breq1d anassrs ralbidva rexbidva ralbidv bitrd
      sylan2 ) AFOUAPCOUBUCZQRZBSZUDPZEDSZUERZTZDIUFZBUGTCQRZVEUDPZEVHTZDIUFZBU
      GTABOCDEFGHIJKLMAUHNUIAVJVNBUGAVIVMDIAVGIULZUJVFVLEVHAVOESZVHULZVFVLUKZVO
      VQUJAVPIULZVRGVPVGIJUMAVSUJZVDVKVEUDVTVCCQVTCNUNUOUPVBUQURUSUTVA $.
  $}

  ${
    $d x y z A $.  $d x y B $.  $d x y ph $.
    rlim0.1 $e |- ( ph -> A. z e. A B e. CC ) $.
    rlim0.2 $e |- ( ph -> A C_ RR ) $.
    $( Express the predicate ` B ( z ) ` converges to ` 0 ` .  (Contributed by
       Mario Carneiro, 16-Sep-2014.)  (Revised by Mario Carneiro,
       28-Feb-2015.) $)
    rlim0 $p |- ( ph -> ( ( z e. A |-> B ) ~~>r 0 <-> A. x e. RR+ E. y e. RR
           A. z e. A ( y <_ z -> ( abs ` B ) < x ) ) ) $=
      ( cc0 wbr cv cabs cfv clt wi wral cr wrex crp wb cmpt crli cle cmin rlim2
      co 0cnd cc subid1 fveq2d breq1d imbi2d ralimi ralbi rexbidv ralbidv bitrd
      wcel 3syl ) ADEFUAIUBJCKDKUCJZFIUDUFZLMZBKZNJZOZDEPZCQRZBSPUTFLMZVCNJZOZD
      EPZCQRZBSPABCDEFIGHAUGUEAVGVLBSAVFVKCQAFUHURZDEPVEVJTZDEPVFVKTGVMVNDEVMVD
      VIUTVMVBVHVCNVMVAFLFUIUJUKULUMVEVJDEUNUSUOUPUQ $.

    $( Use strictly less-than in place of less equal in the real limit
       predicate.  (Contributed by Mario Carneiro, 18-Sep-2014.)  (Revised by
       Mario Carneiro, 28-Feb-2015.) $)
    rlim0lt $p |- ( ph -> ( ( z e. A |-> B ) ~~>r 0 <-> A. x e. RR+ E. y e. RR
           A. z e. A ( y < z -> ( abs ` B ) < x ) ) ) $=
      ( cc0 wbr cv clt cabs cfv wi wral cr wrex crp wb cmpt crli cmin 0cnd wcel
      co rlim2lt cc subid1 fveq2d breq1d imbi2d ralimi ralbi 3syl rexbidv bitrd
      ralbidv ) ADEFUAIUBJCKDKLJZFIUCUFZMNZBKZLJZOZDEPZCQRZBSPUSFMNZVBLJZOZDEPZ
      CQRZBSPABCDEFIGHAUDUGAVFVKBSAVEVJCQAFUHUEZDEPVDVITZDEPVEVJTGVLVMDEVLVCVHU
      SVLVAVGVBLVLUTFMFUIUJUKULUMVDVIDEUNUOUPURUQ $.
  $}

  ${
    $d j k x A $.  $d j k x C $.  $d j k x F $.  $d j k x ph $.  $d j k x Z $.
    $d x B $.  $d j M $.
    climi.1 $e |- Z = ( ZZ>= ` M ) $.
    climi.2 $e |- ( ph -> M e. ZZ ) $.
    climi.3 $e |- ( ph -> C e. RR+ ) $.
    climi.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = B ) $.
    ${
      climi.5 $e |- ( ph -> F ~~> A ) $.
      $( Convergence of a sequence of complex numbers.  (Contributed by NM,
         11-Jan-2007.)  (Revised by Mario Carneiro, 31-Jan-2014.) $)
      climi $p |- ( ph -> E. j e. Z A. k e. ( ZZ>= ` j )
                    ( B e. CC /\ ( abs ` ( B - A ) ) < C ) ) $=
        ( vx wcel clt wbr wa wral cc cmin co cabs cfv cuz wrex crp breq2 anbi2d
        cv wceq rexralbidv cli cvv climrel brrelex1i clim2 mpbid simprd rspcdva
        syl ) ACUAPZCBUBUCUDUEZOUKZQRZSZFEUKUFUEZTEIUGZVCVDDQRZSZFVHTEIUGOUHDVE
        DULZVGVKEFIVHVLVFVJVCVEDVDQUIUJUMABUAPZVIOUHTZAGBUNRZVMVNSNAOBCEFGHUOIJ
        KAVOGUOPNGBUNUPUQVBMURUSUTLVA $.

      $( Convergence of a sequence of complex numbers.  (Contributed by NM,
         11-Jan-2007.)  (Revised by Mario Carneiro, 31-Jan-2014.) $)
      climi2 $p |- ( ph -> E. j e. Z A. k e. ( ZZ>= ` j )
                     ( abs ` ( B - A ) ) < C ) $=
        ( cc wcel cmin cfv wral wrex co cabs clt wbr wa cuz climi ralimi reximi
        cv simpr syl ) ACOPZCBQUAUBRDUCUDZUEZFEUJUFRZSZEITUNFUPSZEITABCDEFGHIJK
        LMNUGUQUREIUOUNFUPUMUNUKUHUIUL $.
    $}

    climi0.5 $e |- ( ph -> F ~~> 0 ) $.
    $( Convergence of a sequence of complex numbers to zero.  (Contributed by
       NM, 11-Jan-2007.)  (Revised by Mario Carneiro, 31-Jan-2014.) $)
    climi0 $p |- ( ph -> E. j e. Z A. k e. ( ZZ>= ` j ) ( abs ` B ) < C ) $=
      ( cc0 cabs cfv clt wbr wral wrex cc wcel co wa cv cuz climi subid1 fveq2d
      cmin breq1d biimpa ralimi reximi syl ) ABUAUBZBNUJUCZOPZCQRZUDZEDUEUFPZSZ
      DHTBOPZCQRZEVASZDHTANBCDEFGHIJKLMUGVBVEDHUTVDEVAUPUSVDUPURVCCQUPUQBOBUHUI
      UKULUMUNUO $.
  $}

  ${
    $d x y z A $.  $d x y B $.  $d x y z C $.  $d x y ph $.  $d x y z R $.
    $d y z D $.  $d z V $.
    rlimi.1 $e |- ( ph -> A. z e. A B e. V ) $.
    rlimi.2 $e |- ( ph -> R e. RR+ ) $.
    rlimi.3 $e |- ( ph -> ( z e. A |-> B ) ~~>r C ) $.
    $( Convergence at infinity of a function on the reals.  (Contributed by
       Mario Carneiro, 28-Feb-2015.) $)
    rlimi $p |- ( ph -> E. y e. RR A. z e. A
      ( y <_ z -> ( abs ` ( B - C ) ) < R ) ) $=
      ( vx cv wbr clt wral cr cc wf wcel cle cmin co cabs cfv wi wrex crp breq2
      wceq imbi2d rexralbidv cmpt crli cdm rlimf syl eqid fmpt sylib fdmd feq2d
      mpbid sylibr wss rlimss eqsstrrd rlimcl rlim2 rspcdva ) ABMCMUANZEFUBUCUD
      UEZLMZONZUFZCDPBQUGZVKVLGONZUFZCDPBQUGLUHGVMGUJZVOVRBCQDVSVNVQVKVMGVLOUIU
      KULACDEUMZFUNNZVPLUHPKALBCDEFADRVTSZERTCDPAVTUOZRVTSZWBAWAWDKFVTUPUQAWCDR
      VTADHVTAEHTCDPDHVTSICDHEVTVTURZUSUTVAZVBVCCDREVTWEUSVDADWCQWFAWAWCQVEKFVT
      VFUQVGAWAFRTKFVTVHUQVIVCJVJ $.

    rlimi.4 $e |- ( ph -> D e. RR ) $.
    $( Convergence at infinity of a function on the reals.  (Contributed by
       Mario Carneiro, 12-May-2016.) $)
    rlimi2 $p |- ( ph -> E. y e. ( D [,) +oo ) A. z e. A
      ( y <_ z -> ( abs ` ( B - C ) ) < R ) ) $=
      ( cv wbr co wral wrex cr wss cle cmin cabs cfv wi cpnf cico rlimi wcel wb
      clt cmpt cdm wfn wceq eqid fnmpt fndm 3syl crli rlimss syl rexico syl2anc
      eqsstrrd mpbird ) ABNCNUAOEFUBPUCUDHUKOZUECDQZBGUFUGPRZVHBSRZABCDEFHIJKLU
      HADSTGSUIVIVJUJADCDEULZUMZSAEIUICDQVKDUNVLDUOJCDEVKIVKUPUQDVKURUSAVKFUTOV
      LSTLFVKVAVBVEMVGDGBCVCVDVF $.
  $}

  ${
    $d m x y A $.  $d m x y C $.  $d f m x y F $.  $d m x M $.
    $( Elementhood in the set of eventually upper bounded functions.
       (Contributed by Mario Carneiro, 26-May-2016.) $)
    ello1 $p |- ( F e. <_O(1) <-> ( F e. ( RR ^pm RR ) /\ E. x e. RR
      E. m e. RR A. y e. ( dom F i^i ( x [,) +oo ) ) ( F ` y ) <_ m ) ) $=
      ( vf cv cfv cle wbr cdm cpnf cico co cin wral cr wrex cpm clo1 wceq fveq1
      dmeq ineq1d breq1d raleqbidv 2rexbidv df-lo1 elrab2 ) BFZEFZGZCFZHIZBUJJZ
      AFKLMZNZOZCPQAPQUIDGZULHIZBDJZUONZOZCPQAPQEDPPRMSUJDTZUQVBACPPVCUMUSBUPVA
      VCUNUTUOUJDUBUCVCUKURULHUIUJDUAUDUEUFABECUGUH $.

    $( Elementhood in the set of eventually upper bounded functions.
       (Contributed by Mario Carneiro, 26-May-2016.) $)
    ello12 $p |- ( ( F : A --> RR /\ A C_ RR ) -> ( F e. <_O(1) <-> E. x e. RR
      E. m e. RR A. y e. A ( x <_ y -> ( F ` y ) <_ m ) ) ) $=
      ( cr wa wcel cv cle wbr co wral wrex wi wb cvv reex syl simpllr clo1 cpnf
      wf wss cfv cdm cico cin cpm elpm2r mpanl12 ello1 baib elin wceq ad3antrrr
      fdm eleq2d anbi1d sselda elicopnf mpbirand pm5.32da bitrd syl5bb ralbidv2
      imbi1d impexp bitrdi rexbidva ) CFEUCZCFUDZGZEUAHZBIZEUEDIZJKZBEUFZAIZUBU
      GLZUHZMZDFNZAFNZVSVOJKZVQOZBCMZDFNZAFNVMEFFUILHZVNWDPFQHZWJVMWIRRFFCEQQUJ
      UKVNWIWDABDEULUMSVMWCWHAFVMVSFHZGZWBWGDFWLVPFHZGZVQWFBWACWNVOWAHZVQOVOCHZ
      WEGZVQOWPWFOWNWOWQVQWOVOVRHZVOVTHZGZWNWQVOVRVTUNWNWTWPWSGWQWNWRWPWSWNVRCV
      OVKVRCUOVLWKWMCFEUQUPURUSWNWPWSWEWNWPGZWSVOFHZWEWNCFVOVKVLWKWMTUTXAWKWSXB
      WEGPVMWKWMWPTVSVOVASVBVCVDVEVGWPWEVQVHVIVFVJVJVD $.

    $( Sufficient condition for elementhood in the set of eventually upper
       bounded functions.  (Contributed by Mario Carneiro, 26-May-2016.) $)
    ello12r $p |- ( ( ( F : A --> RR /\ A C_ RR ) /\ ( C e. RR /\ M e. RR ) /\
      A. x e. A ( C <_ x -> ( F ` x ) <_ M ) ) -> F e. <_O(1) ) $=
      ( vy vm cr wf wss wa wcel cv cle wbr wi wral wrex wceq ralbidv clo1 breq1
      cfv w3a imbi1d breq2 imbi2d rspc2ev 3expa 3adant1 ello12 3ad2ant1 mpbird
      wb ) BHDIBHJKZCHLZEHLZKZCAMZNOZUSDUCZENOZPZABQZUDDUALZFMZUSNOZVAGMZNOZPZA
      BQZGHRFHRZURVDVLUOUPUQVDVLVKVDUTVIPZABQFGCEHHVFCSZVJVMABVNVGUTVIVFCUSNUBU
      ETVHESZVMVCABVOVIVBUTVHEVANUFUGTUHUIUJUOURVEVLUNVDFABGDUKULUM $.

    $( An eventually upper bounded function is a function.  (Contributed by
       Mario Carneiro, 26-May-2016.) $)
    lo1f $p |- ( F e. <_O(1) -> F : dom F --> RR ) $=
      ( vy vm vx clo1 wcel cr cpm co cdm wf cfv cle cpnf cico wrex simplbi reex
      cv wbr cin wral ello1 wss elpm2 syl ) AEFZAGGHIFZAJZGAKZUGUHBSALCSMTBUIDS
      NOIUAUBCGPDGPDBCAUCQUHUJUIGUDGGARRUEQUF $.

    $( An eventually upper bounded function's domain is a subset of the reals.
       (Contributed by Mario Carneiro, 26-May-2016.) $)
    lo1dm $p |- ( F e. <_O(1) -> dom F C_ RR ) $=
      ( vy vm vx clo1 wcel cr cpm co cdm wss cv cfv cle wbr cpnf cico wrex reex
      cin wral ello1 simplbi wf elpm2 simprbi syl ) AEFZAGGHIFZAJZGKZUHUIBLAMCL
      NOBUJDLPQITUACGRDGRDBCAUBUCUIUJGAUDUKGGASSUEUFUG $.

    $( The defining property of an eventually upper bounded function.
       (Contributed by Mario Carneiro, 26-May-2016.) $)
    lo1bdd $p |- ( ( F e. <_O(1) /\ F : A --> RR ) -> E. x e. RR
      E. m e. RR A. y e. A ( x <_ y -> ( F ` y ) <_ m ) ) $=
      ( clo1 wcel cr wf wa cv cle wbr cfv wi wral wrex simpl wss wb wceq adantl
      simpr cdm fdm lo1dm adantr eqsstrrd ello12 syl2anc mpbid ) EFGZCHEIZJZULA
      KBKZLMUOENDKLMOBCPDHQAHQZULUMRUNUMCHSULUPTULUMUCUNCEUDZHUMUQCUAULCHEUEUBU
      LUQHSUMEUFUGUHABCDEUIUJUK $.
  $}

  ${
    $d m x y z A $.  $d m y z B $.  $d m x y C $.  $d m x y ph $.  $d m x M $.
    ello1mpt.1 $e |- ( ph -> A C_ RR ) $.
    ello1mpt.2 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    $( Elementhood in the set of eventually upper bounded functions.
       (Contributed by Mario Carneiro, 26-May-2016.) $)
    ello1mpt $p |- ( ph -> ( ( x e. A |-> B ) e. <_O(1) <-> E. y e. RR
      E. m e. RR A. x e. A ( y <_ x -> B <_ m ) ) ) $=
      ( vz wcel cv cle wbr cfv wi wral cr wrex syl2anc nfv cmpt clo1 wss fmpttd
      wf ello12 nffvmpt1 nfcv nfbr nfim wceq breq2 fveq2 breq1d imbi12d cbvralw
      wb wa simpr eqid fvmpt2 imbi2d ralbidva syl5bb 2rexbidv bitrd ) ABDEUAZUB
      JZCKZIKZLMZVJVGNZFKZLMZOZIDPZFQRCQRZVIBKZLMZEVMLMZOZBDPZFQRCQRADQVGUEDQUC
      VHVQUQABDEQHUDGCIDFVGUFSAVPWBCFQQVPVSVRVGNZVMLMZOZBDPAWBVOWEIBDVKVNBVKBTB
      VLVMLBDEVJUGBLUHBVMUHUIUJWEITVJVRUKZVKVSVNWDVJVRVILULWFVLWCVMLVJVRVGUMUNU
      OUPAWEWABDAVRDJZURZWDVTVSWHWCEVMLWHWGEQJWCEUKAWGUSHBDEQVGVGUTVASUNVBVCVDV
      EVF $.

    ello1d.3 $e |- ( ph -> C e. RR ) $.
    $( Elementhood in the set of eventually upper bounded functions.
       (Contributed by Mario Carneiro, 26-May-2016.) $)
    ello1mpt2 $p |- ( ph -> ( ( x e. A |-> B ) e. <_O(1)
                      <-> E. y e. ( C [,) +oo )
      E. m e. RR A. x e. A ( y <_ x -> B <_ m ) ) ) $=
      ( cmpt clo1 wcel cv cle wbr wi cr wrex rexcom wral cpnf cico ello1mpt wss
      co wb rexico syl2anc rexbidv 3bitr4g bitr4d ) ABDEKLMCNBNOPEGNOPZQBDUAZGR
      SZCRSZUOCFUBUCUFZSZABCDEGHIUDAUNCUQSZGRSUNCRSZGRSURUPAUSUTGRADRUEFRMUSUTU
      GHJUMDFCBUHUIUJUNCGUQRTUNCGRRTUKUL $.

    ello1d.4 $e |- ( ph -> M e. RR ) $.
    ${
      ello1d.5 $e |- ( ( ph /\ ( x e. A /\ C <_ x ) ) -> B <_ M ) $.
      $( Sufficient condition for elementhood in the set of eventually upper
         bounded functions.  (Contributed by Mario Carneiro, 26-May-2016.) $)
      ello1d $p |- ( ph -> ( x e. A |-> B ) e. <_O(1) ) $=
        ( vy vm wcel cv cle wbr wi wral cr cmpt clo1 wrex expr ralrimiva imbi1d
        wceq breq1 ralbidv breq2 imbi2d rspc2ev syl3anc ello1mpt mpbird ) ABCDU
        AUBNLOZBOZPQZDMOZPQZRZBCSZMTUCLTUCZAETNFTNEUQPQZDFPQZRZBCSZVCIJAVFBCAUQ
        CNVDVEKUDUEVBVGVDUTRZBCSLMEFTTUPEUGZVAVHBCVIURVDUTUPEUQPUHUFUIUSFUGZVHV
        FBCVJUTVEVDUSFDPUJUKUIULUMABLCDMGHUNUO $.
    $}
  $}

  ${
    $d m n x y A $.  $d m n y B $.  $d n x y C $.  $d n x y ph $.
    $d m n x M $.
    lo1bdd2.1 $e |- ( ph -> A C_ RR ) $.
    lo1bdd2.2 $e |- ( ph -> C e. RR ) $.
    lo1bdd2.3 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    lo1bdd2.4 $e |- ( ph -> ( x e. A |-> B ) e. <_O(1) ) $.
    lo1bdd2.5 $e |- ( ( ph /\ ( y e. RR /\ C <_ y ) ) -> M e. RR ) $.
    lo1bdd2.6 $e |- ( ( ( ph /\ x e. A ) /\
      ( ( y e. RR /\ C <_ y ) /\ x < y ) ) -> B <_ M ) $.
    $( If an eventually bounded function is bounded on every interval
       ` A i^i ( -oo , y ) ` by a function ` M ( y ) ` , then the function is
       bounded on the whole domain.  (Contributed by Mario Carneiro,
       9-Apr-2016.) $)
    lo1bdd2 $p |- ( ph -> E. m e. RR A. x e. A B <_ m ) $=
      ( vn cle wbr cr wcel wa cv wi wral wrex cpnf cico co cmpt ello1mpt2 mpbid
      clo1 cif wb elicopnf syl biimpa syldan ad2antrr wn simplrl ifclda clt wss
      sselda simpld ltnled expr an32s syldanl adantlr syl2anc ad4ant14 ad5ant12
      simplr max2 simpllr letr syl3anc mpan2d syld sylbird max1 jad brralrspcev
      ralimdva impr rexlimdva mpd ) ACUAZBUAZPQZEOUAZPQZUBZBDUCZORUDZCFUEUFUGZU
      DZEGUAPQBDUCGRUDZABDEUHUKSWRLABCDEFOIKJUIUJAWPWSCWQAWIWQSZTZWOWSORXAWLRSZ
      WOWSXAXBWOTZTZWLHPQZHWLULZRSZEXFPQZBDUCZWSXDXEHWLRXAHRSZXCXEAWTWIRSZFWIPQ
      ZTZXJAWTXMAFRSWTXMUMJFWIUNUOUPZMUQZURXAXBWOXEUSZUTVAXAXBWOXIXAXBTZWNXHBDX
      QWJDSZTZWKWMXHXSWKUSWJWIVBQZXHXSWJWIXQDRWJADRVCWTXBIURVDXAXKXBXRXAXKXLXNV
      EURVFXSXTEHPQZXHXAXRXTYAUBZXBAWTXMXRYBXNAXRXMYBAXRTXMXTYANVGVHVIVJXSYAHXF
      PQZXHXSXBXJYCXAXBXRVNZXAXJXBXRXOURZWLHVOVKXSERSZXJXGYAYCTXHUBAXRYFWTXBKVL
      ZYEXSXEHWLRAWTXJXBXRXEXOVMXAXBXRXPVPVAZEHXFVQVRVSVTWAXSWMWLXFPQZXHXSXBXJY
      IYDYEWLHWBVKXSYFXBXGWMYITXHUBYGYDYHEWLXFVQVRVSWCWEWFGBEXFPRDWDVKVGWGWGWH
      $.

    $( Refine ~ o1bdd2 to give a strictly positive upper bound.  (Contributed
       by Mario Carneiro, 25-May-2016.) $)
    lo1bddrp $p |- ( ph -> E. m e. RR+ A. x e. A B <_ m ) $=
      ( vn cv cle wbr cr wcel wral wrex crp lo1bdd2 wa cfv c1 caddc simpr recnd
      cabs co abscld absge0d ge0p1rpd simplr adantr peano2re leabsd lep1d letrd
      syl adantlr letr syl3anc mpan2d ralimdva brralrspcev syl6an rexlimdva mpd
      wi ) AEOPZQRZBDUAZOSUBEGPQRBDUAGUCUBZABCDEFOHIJKLMNUDAVOVPOSAVMSTZUEZVMUK
      UFZUGUHULZUCTVOEVTQRZBDUAVPVRVSVRVMVRVMAVQUIUJZUMZVRVMWBUNUOVRVNWABDVRBPD
      TZUEZVNVMVTQRZWAWEVMVSVTAVQWDUPZVRVSSTZWDWCUQZWEWHVTSTZWIVSURVBZWEVMWGUSW
      EVSWIUTVAWEESTZVQWJVNWFUEWAVLAWDWLVQKVCWGWKEVMVTVDVEVFVGGBEVTQUCDVHVIVJVK
      $.
  $}

  ${
    $d m x y A $.  $d m x y C $.  $d f m x y F $.  $d m x M $.
    $( Elementhood in the set of eventually bounded functions.  (Contributed by
       Mario Carneiro, 15-Sep-2014.) $)
    elo1 $p |- ( F e. O(1) <-> ( F e. ( CC ^pm RR ) /\ E. x e. RR E. m e. RR
      A. y e. ( dom F i^i ( x [,) +oo ) ) ( abs ` ( F ` y ) ) <_ m ) ) $=
      ( vf cv cfv cabs cle wbr cdm cpnf cico co cin wral cr wrex cc cpm ineq1d
      co1 wceq dmeq fveq1 fveq2d breq1d raleqbidv 2rexbidv df-o1 elrab2 ) BFZEF
      ZGZHGZCFZIJZBUMKZAFLMNZOZPZCQRAQRULDGZHGZUPIJZBDKZUSOZPZCQRAQREDSQTNUBUMD
      UCZVAVGACQQVHUQVDBUTVFVHURVEUSUMDUDUAVHUOVCUPIVHUNVBHULUMDUEUFUGUHUIABECU
      JUK $.

    $( Elementhood in the set of eventually bounded functions.  (Contributed by
       Mario Carneiro, 15-Sep-2014.) $)
    elo12 $p |- ( ( F : A --> CC /\ A C_ RR ) -> ( F e. O(1) <-> E. x e. RR
      E. m e. RR A. y e. A ( x <_ y -> ( abs ` ( F ` y ) ) <_ m ) ) ) $=
      ( cc cr wa wcel cv cfv cle wbr co wral wrex wi wb cvv syl wf wss co1 cabs
      cdm cpnf cico cin cpm cnex reex mpanl12 elo1 baib elin wceq fdm ad3antrrr
      elpm2r eleq2d anbi1d simpllr sselda elicopnf mpbirand bitrd syl5bb imbi1d
      pm5.32da impexp bitrdi ralbidv2 rexbidva ) CFEUAZCGUBZHZEUCIZBJZEKUDKDJZL
      MZBEUEZAJZUFUGNZUHZOZDGPZAGPZWBVRLMZVTQZBCOZDGPZAGPVPEFGUINIZVQWGRFSIGSIV
      PWLUJUKFGCESSUSULVQWLWGABDEUMUNTVPWFWKAGVPWBGIZHZWEWJDGWNVSGIZHZVTWIBWDCW
      PVRWDIZVTQVRCIZWHHZVTQWRWIQWPWQWSVTWQVRWAIZVRWCIZHZWPWSVRWAWCUOWPXBWRXAHW
      SWPWTWRXAWPWACVRVNWACUPVOWMWOCFEUQURUTVAWPWRXAWHWPWRHZXAVRGIZWHWPCGVRVNVO
      WMWOVBVCXCWMXAXDWHHRVPWMWOWRVBWBVRVDTVEVIVFVGVHWRWHVTVJVKVLVMVMVF $.

    $( Sufficient condition for elementhood in the set of eventually bounded
       functions.  (Contributed by Mario Carneiro, 15-Sep-2014.) $)
    elo12r $p |- ( ( ( F : A --> CC /\ A C_ RR ) /\ ( C e. RR /\ M e. RR ) /\
      A. x e. A ( C <_ x -> ( abs ` ( F ` x ) ) <_ M ) ) -> F e. O(1) ) $=
      ( vy vm cc cr wa wcel cv cle wbr cfv wi wral wrex wceq ralbidv wf wss w3a
      co1 breq1 imbi1d breq2 imbi2d rspc2ev 3expa 3adant1 elo12 3ad2ant1 mpbird
      cabs wb ) BHDUABIUBJZCIKZEIKZJZCALZMNZVADOUOOZEMNZPZABQZUCDUDKZFLZVAMNZVC
      GLZMNZPZABQZGIRFIRZUTVFVNUQURUSVFVNVMVFVBVKPZABQFGCEIIVHCSZVLVOABVPVIVBVK
      VHCVAMUEUFTVJESZVOVEABVQVKVDVBVJEVCMUGUHTUIUJUKUQUTVGVNUPVFFABGDULUMUN $.

    $( An eventually bounded function is a function.  (Contributed by Mario
       Carneiro, 15-Sep-2014.) $)
    o1f $p |- ( F e. O(1) -> F : dom F --> CC ) $=
      ( vy vm vx co1 wcel cc cr cpm co cdm wf cv cfv cabs cle cpnf wrex simplbi
      wbr cico cin wral elo1 wss cnex reex elpm2 syl ) AEFZAGHIJFZAKZGALZUJUKBM
      ANONCMPTBULDMQUAJUBUCCHRDHRDBCAUDSUKUMULHUEGHAUFUGUHSUI $.

    $( An eventually bounded function's domain is a subset of the reals.
       (Contributed by Mario Carneiro, 15-Sep-2014.) $)
    o1dm $p |- ( F e. O(1) -> dom F C_ RR ) $=
      ( vy vm vx co1 wcel cc cr cpm co cdm wss cfv cabs cle wbr cpnf cico wrex
      cv cin wral elo1 simplbi wf cnex reex elpm2 simprbi syl ) AEFZAGHIJFZAKZH
      LZUKULBTAMNMCTOPBUMDTQRJUAUBCHSDHSDBCAUCUDULUMGAUEUNGHAUFUGUHUIUJ $.

    $( The defining property of an eventually bounded function.  (Contributed
       by Mario Carneiro, 15-Sep-2014.) $)
    o1bdd $p |- ( ( F e. O(1) /\ F : A --> CC ) -> E. x e. RR
      E. m e. RR A. y e. A ( x <_ y -> ( abs ` ( F ` y ) ) <_ m ) ) $=
      ( co1 wcel cc wf wa cv cle wbr cfv cabs wi wral cr wrex wss simpl wb wceq
      simpr cdm fdm adantl o1dm adantr eqsstrrd elo12 syl2anc mpbid ) EFGZCHEIZ
      JZUNAKBKZLMUQENONDKLMPBCQDRSARSZUNUOUAUPUOCRTUNURUBUNUOUDUPCEUEZRUOUSCUCU
      NCHEUFUGUNUSRTUOEUHUIUJABCDEUKULUM $.

    $( A function is eventually bounded iff its absolute value is eventually
       upper bounded.  (Contributed by Mario Carneiro, 26-May-2016.) $)
    lo1o1 $p |- ( F : A --> CC -> ( F e. O(1) <-> ( abs o. F ) e. <_O(1) ) ) $=
      ( vx vy vm cc wf cr wss wcel cabs cdm sseq1d syl5ib wb cle wbr cfv wrex
      cv co1 ccom clo1 o1dm fdm lo1dm absf mpan fdmd wa wral wceq fvco3 adantlr
      fco breq1d imbi2d ralbidva 2rexbidv ello12 sylan elo12 3bitr4rd pm5.21ndd
      wi ex ) AFBGZAHIZBUAJZKBUBZUCJZVIBLZHIVGVHBUDVGVLAHAFBUEMNVKVJLZHIVGVHVJU
      FVGVMAHVGAHVJFHKGVGAHVJGZUGAFHKBUOUHZUIMNVGVHVIVKOVGVHUJZCTDTZPQZVQVJRZET
      ZPQZVEZDAUKZEHSCHSZVRVQBRKRZVTPQZVEZDAUKZEHSCHSVKVIVPWCWHCEHHVPWBWGDAVPVQ
      AJZUJZWAWFVRWJVSWEVTPVGWIVSWEULVHAFVQKBUMUNUPUQURUSVGVNVHVKWDOVOCDAEVJUTV
      ACDAEBVBVCVFVD $.
  $}

  ${
    $d x A $.  $d x ph $.
    lo1o12.1 $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    $( A function is eventually bounded iff its absolute value is eventually
       upper bounded.  (This function is useful for converting theorems about
       ` <_O(1) ` to ` O(1) ` .)  (Contributed by Mario Carneiro,
       26-May-2016.) $)
    lo1o12 $p |- ( ph -> ( ( x e. A |-> B ) e. O(1) <->
      ( x e. A |-> ( abs ` B ) ) e. <_O(1) ) ) $=
      ( cmpt co1 wcel cabs ccom clo1 cfv cc wf wb fmpttd lo1o1 syl cr absf a1i
      cofmpt eleq1d bitrd ) ABCDFZGHZIUEJZKHZBCDILFZKHACMUENUFUHOABCDMEPCUEQRAU
      GUIKABCDMSIMSINATUAEUBUCUD $.
  $}

  ${
    $d m x y A $.  $d m y B $.  $d m x y C $.  $d m x y ph $.  $d m x M $.
    elo1mpt.1 $e |- ( ph -> A C_ RR ) $.
    elo1mpt.2 $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    $( Elementhood in the set of eventually bounded functions.  (Contributed by
       Mario Carneiro, 21-Sep-2014.)  (Proof shortened by Mario Carneiro,
       26-May-2016.) $)
    elo1mpt $p |- ( ph -> ( ( x e. A |-> B ) e. O(1) <-> E. y e. RR
      E. m e. RR A. x e. A ( y <_ x -> ( abs ` B ) <_ m ) ) ) $=
      ( cmpt co1 wcel cabs cfv clo1 cv cle wbr wi cr wrex wral lo1o12 wa abscld
      ello1mpt bitrd ) ABDEIJKBDELMZINKCOBOZPQUGFOPQRBDUAFSTCSTABDEHUBABCDUGFGA
      UHDKUCEHUDUEUF $.

    elo1d.3 $e |- ( ph -> C e. RR ) $.
    $( Elementhood in the set of eventually bounded functions.  (Contributed by
       Mario Carneiro, 12-May-2016.)  (Proof shortened by Mario Carneiro,
       26-May-2016.) $)
    elo1mpt2 $p |- ( ph -> ( ( x e. A |-> B ) e. O(1) <-> E. y e. ( C [,) +oo )
      E. m e. RR A. x e. A ( y <_ x -> ( abs ` B ) <_ m ) ) ) $=
      ( cmpt co1 wcel cabs cfv clo1 cv cle wbr wrex wi wral cr cpnf cico lo1o12
      co wa abscld ello1mpt2 bitrd ) ABDEKLMBDENOZKPMCQBQZRSULGQRSUABDUBGUCTCFU
      DUEUGTABDEIUFABCDULFGHAUMDMUHEIUIJUJUK $.

    elo1d.4 $e |- ( ph -> M e. RR ) $.
    elo1d.5 $e |- ( ( ph /\ ( x e. A /\ C <_ x ) ) -> ( abs ` B ) <_ M ) $.
    $( Sufficient condition for elementhood in the set of eventually bounded
       functions.  (Contributed by Mario Carneiro, 21-Sep-2014.)  (Proof
       shortened by Mario Carneiro, 26-May-2016.) $)
    elo1d $p |- ( ph -> ( x e. A |-> B ) e. O(1) ) $=
      ( cmpt co1 wcel cabs cfv clo1 cv wa abscld ello1d lo1o12 mpbird ) ABCDLMN
      BCDOPZLQNABCUDEFGABRCNSDHTIJKUAABCDHUBUC $.
  $}

  ${
    $d c m n p x A $.  $d c m n p B $.  $d x M $.  $d c m n p x ph $.
    o1lo1.1 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    $( A real function is eventually bounded iff it is eventually lower bounded
       and eventually upper bounded.  (Contributed by Mario Carneiro,
       25-May-2016.) $)
    o1lo1 $p |- ( ph -> ( ( x e. A |-> B ) e. O(1) <->
      ( ( x e. A |-> B ) e. <_O(1) /\ ( x e. A |-> -u B ) e. <_O(1) ) ) ) $=
      ( vc vm vn vp cr wcel wa wi wb wral wceq cv cle wbr wrex cmpt cdm wss co1
      clo1 cneg o1dm a1i lo1dm adantr ralrimiva dmmptg syl sseq1d simpr adantlr
      cabs cfv simplr absled ancom lenegcon1 syl2anc anbi2d syl5bb bitrd imbi2d
      ralbidva rexbidv biimpd breq2 anbi1d rexralbidv 3anidm12 syl6an rexlimdva
      rspc2ev cif simplrr wn simplrl ifclda max2 ad2antlr renegcld letr syl3anc
      mpan2d sylibd max1 anim12d ancomsd sylibrd imim2d ralimdva reximdv rspcev
      ifcld impbid rexanre adantl 2rexbidv reeanv bitrdi rexcom anbi12i 3bitr4g
      rexlimdvva recnd elo1mpt ello1mpt anbi12d 3bitr4d ex sylbid pm5.21ndd ) A
      BCDUAZUBZJUCZXQUDKZXQUEKZBCDUFZUAUEKZLZXTXSMAXQUGUHYDXSMAYAXSYCXQUIUJUHAX
      SCJUCZXTYDNZAXRCJADJKZBCOXRCPAYGBCEUKBCDJULUMUNAYEYFAYELZFQBQZRSZDUQURZGQ
      ZRSZMZBCOZGJTFJTZYJDHQZRSZMBCOZHJTFJTZYJYBIQZRSZMBCOZIJTFJTZLZXTYDYHYOFJT
      ZGJTZYSFJTZHJTZUUCFJTZIJTZLZYPUUEYHUUGUUHUUJLZIJTHJTZUULYHUUGYJYRUUBLZMZB
      COZFJTZIJTHJTZUUNYHUUGUUSYHUUFUUSGJYHYLJKZLZUUTUUFYJDYLRSZYBYLRSZLZMZBCOZ
      FJTZUUSYHUUTUOUVAUUFUVGUVAYOUVFFJUVAYNUVEBCUVAYICKZLZYMUVDYJUVIYMYLUFDRSZ
      UVBLZUVDUVIDYLYHUVHYGUUTAUVHYGYEEUPZUPZYHUUTUVHUSZUTUVKUVBUVJLUVIUVDUVJUV
      BVAUVIUVJUVCUVBUVIUUTYGUVJUVCNUVNUVMYLDVBVCVDVEVFVGVHVIVJUUTUVGUUSUURUVGY
      JUVBUUBLZMZBCOFJTHIYLYLJJYQYLPZUUPUVPFBJCUVQUUOUVOYJUVQYRUVBUUBYQYLDRVKVL
      VGVMUUAYLPZUVPUVEFBJCUVRUVOUVDYJUVRUUBUVCUVBUUAYLYBRVKVDVGVMVQVNVOVPYHUUR
      UUGHIJJYHYQJKZUUAJKZLZLZYQUUARSZUUAYQVRZJKZUURYJYKUWDRSZMZBCOZFJTZUUGUWBU
      WCUUAYQJYHUVSUVTUWCVSYHUVSUVTUWCVTWAWBUWBUUQUWHFJUWBUUPUWGBCUWBUVHLZUUOUW
      FYJUWJUUOUWDUFDRSZDUWDRSZLZUWFUWJUUBYRUWMUWJUUBUWKYRUWLUWJUUBYBUWDRSZUWKU
      WJUUBUUAUWDRSZUWNUWAUWOYHUVHYQUUAWCWDUWJYBJKUVTUWEUUBUWOLUWNMUWJDYHUVHYGU
      WAUVLUPZWEYHUVSUVTUVHVSZUWJUWCUUAYQJUWQYHUVSUVTUVHWAZWRZYBUUAUWDWFWGWHUWJ
      YGUWEUWNUWKNUWPUWSDUWDVBVCWIUWJYRYQUWDRSZUWLUWAUWTYHUVHYQUUAWJWDUWJYGUVSU
      WEYRUWTLUWLMUWPUWRUWSDYQUWDWFWGWHWKWLUWJDUWDUWPUWSUTWMWNWOWPUUFUWIGUWDJYL
      UWDPZYNUWGFBJCUXAYMUWFYJYLUWDYKRVKVGVMWQVOXHWSYHUURUUMHIJJYEUURUUMNAYRUUB
      CFBWTXAXBVFUUHUUJHIJJXCXDYOFGJJXEYTUUIUUDUUKYSFHJJXEUUCFIJJXEXFXGYHBFCDGA
      YEUOZYHUVHLZDUVLXIXJYHYAYTYCUUDYHBFCDHUXBUVLXKYHBFCYBIUXBUXCDUVLWEXKXLXMX
      NXOXP $.

    ${
      o1lo12.2 $e |- ( ph -> M e. RR ) $.
      o1lo12.3 $e |- ( ( ph /\ x e. A ) -> M <_ B ) $.
      $( A lower bounded real function is eventually bounded iff it is
         eventually upper bounded.  (Contributed by Mario Carneiro,
         26-May-2016.) $)
      o1lo12 $p |- ( ph -> ( ( x e. A |-> B ) e. O(1) <->
        ( x e. A |-> B ) e. <_O(1) ) ) $=
        ( cmpt cr wss wcel clo1 wi a1i cneg wa renegcld cle wbr cdm co1 o1dm wb
        lo1dm wral wceq ralrimiva dmmptg syl sseq1d simpr adantlr adantr lenegd
        cv mpbid ad2ant2r ello1d o1lo1 rbaibd syldan ex sylbid pm5.21ndd ) ABCD
        IZUAZJKZVFUBLZVFMLZVIVHNAVFUCOVJVHNAVFUEOAVHCJKZVIVJUDZAVGCJADJLZBCUFVG
        CUGAVMBCFUHBCDJUIUJUKAVKVLAVKBCDPZIMLZVLAVKQZBCVNEEPZAVKULABUPZCLZVNJLV
        KAVSQZDFRUMAEJLZVKGUNZVPEWBRAVSVNVQSTZVKEVRSTVTEDSTWCHVTEDAWAVSGUNFUOUQ
        URUSAVIVJVOABCDFUTVAVBVCVDVE $.
    $}

    lo1o1.1 $e |- ( ph -> ( x e. A |-> B ) e. O(1) ) $.
    $( A real eventually bounded function is eventually upper bounded.
       (Contributed by Mario Carneiro, 26-May-2016.) $)
    o1lo1d $p |- ( ph -> ( x e. A |-> B ) e. <_O(1) ) $=
      ( cmpt clo1 wcel cneg co1 wa o1lo1 mpbid simpld ) ABCDGZHIZBCDJGHIZAPKIQR
      LFABCDEMNO $.
  $}

  ${
    $d x A $.  $d x C $.  $d x M $.  $d x N $.  $d x ph $.
    icco1.1 $e |- ( ph -> A C_ RR ) $.
    icco1.2 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    icco1.3 $e |- ( ph -> C e. RR ) $.
    icco1.4 $e |- ( ph -> M e. RR ) $.
    icco1.5 $e |- ( ph -> N e. RR ) $.
    icco1.6 $e |- ( ( ph /\ ( x e. A /\ C <_ x ) ) -> B e. ( M [,] N ) ) $.
    $( Derive eventual boundedness from separate upper and lower eventual
       bounds.  (Contributed by Mario Carneiro, 15-Apr-2016.) $)
    icco1 $p |- ( ph -> ( x e. A |-> B ) e. O(1) ) $=
      ( cmpt wcel clo1 cle wbr wa cr co1 cneg cv cicc w3a elicc2 syl2anc adantr
      co wb mpbid simp3d ello1d renegcld simp2d adantrr lenegd o1lo1 mpbir2and
      ) ABCDNZUAOUTPOBCDUBZNPOABCDEGHIJLABUCZCOZEVBQRZSZSZDTOZFDQRZDGQRZVFDFGUD
      UIOZVGVHVIUEZMAVJVKUJZVEAFTOZGTOVLKLFGDUFUGUHUKZULUMABCVAEFUBZHAVCSDIUNJA
      FKUNVFVHVAVOQRVFVGVHVIVNUOVFFDAVMVEKUHAVCVGVDIUPUQUKUMABCDIURUS $.
  $}

  ${
    $d m x y A $.  $d m y B $.  $d x y C $.  $d m x M $.  $d x y ph $.
    o1bdd2.1 $e |- ( ph -> A C_ RR ) $.
    o1bdd2.2 $e |- ( ph -> C e. RR ) $.
    o1bdd2.3 $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    o1bdd2.4 $e |- ( ph -> ( x e. A |-> B ) e. O(1) ) $.
    o1bdd2.5 $e |- ( ( ph /\ ( y e. RR /\ C <_ y ) ) -> M e. RR ) $.
    o1bdd2.6 $e |- ( ( ( ph /\ x e. A ) /\
      ( ( y e. RR /\ C <_ y ) /\ x < y ) ) -> ( abs ` B ) <_ M ) $.
    $( If an eventually bounded function is bounded on every interval
       ` A i^i ( -oo , y ) ` by a function ` M ( y ) ` , then the function is
       bounded on the whole domain.  (Contributed by Mario Carneiro,
       9-Apr-2016.)  (Proof shortened by Mario Carneiro, 26-May-2016.) $)
    o1bdd2 $p |- ( ph -> E. m e. RR A. x e. A ( abs ` B ) <_ m ) $=
      ( cabs cfv cv wcel wa cmpt abscld co1 clo1 lo1o12 mpbid lo1bdd2 ) ABCDEOP
      ZFGHIJABQDRSEKUAABDETUBRBDUGTUCRLABDEKUDUEMNUF $.

    $( Refine ~ o1bdd2 to give a strictly positive upper bound.  (Contributed
       by Mario Carneiro, 25-May-2016.) $)
    o1bddrp $p |- ( ph -> E. m e. RR+ A. x e. A ( abs ` B ) <_ m ) $=
      ( cabs cfv cv wcel wa cmpt abscld co1 clo1 lo1o12 mpbid lo1bddrp ) ABCDEO
      PZFGHIJABQDRSEKUAABDETUBRBDUGTUCRLABDEKUDUEMNUF $.
  $}

  ${
    $d j k x A $.  $d j k x F $.  $d j M $.  $d j k x ph $.  $d j k Z $.
    climconst.1 $e |- Z = ( ZZ>= ` M ) $.
    climconst.2 $e |- ( ph -> M e. ZZ ) $.
    climconst.3 $e |- ( ph -> F e. V ) $.
    climconst.4 $e |- ( ph -> A e. CC ) $.
    climconst.5 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.
    $( An (eventually) constant sequence converges to its value.  (Contributed
       by NM, 28-Aug-2005.)  (Revised by Mario Carneiro, 31-Jan-2014.) $)
    climconst $p |- ( ph -> F ~~> A ) $=
      ( vx vj wbr cabs cfv cv wcel cc0 cli cmin co clt cuz wral wrex crp cz syl
      uzid eleqtrrdi wceq subidd fveq2d abs0 eqtrdi adantr rpgt0 adantl eqbrtrd
      ralrimivw fveq2 eqtr4di raleqdv rspcev syl2an2r ralrimiva clim2c mpbird
      wa cc ) ADBUAOBBUBUCZPQZMRZUDOZCNRZUEQZUFZNGUGZMUHUFAVTMUHAEGSVOUHSZVPCGU
      FZVTAEEUEQZGAEUISEWCSIEUKUJHULAWAVKZVPCGWDVNTVOUDAVNTUMWAAVNTPQTAVMTPABKU
      NUOUPUQURWATVOUDOAVOUSUTVAVBVSWBNEGVQEUMZVPCVRGWEVRWCGVQEUEVCHVDVEVFVGVHA
      MBBNCDEFGHIJLKABVLSCRGSKURVIVJ $.
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( A constant sequence converges to its value.  (Contributed by Mario
       Carneiro, 16-Sep-2014.) $)
    rlimconst $p |- ( ( A C_ RR /\ B e. CC ) -> ( x e. A |-> B ) ~~>r B ) $=
      ( vz vy cr wss wcel wa wbr cv cle cabs cfv clt wi wral crp cc0 ralrimiva
      cc cmpt crli cmin co wrex 0re simpllr subidd fveq2d eqtrdi rpgt0 ad2antlr
      abs0 eqbrtrd a1d breq1 rspceaimv sylancr simplr simpl simpr rlim2 mpbird
      ) BFGZCUAHZIZABCUBCUCJDKZAKZLJZCCUDUEZMNZEKZOJZPABQDFUFZERQVGVOERVGVMRHZI
      ZSFHSVILJZVNPZABQVOUGVQVSABVQVIBHZIZVNVRWAVLSVMOWAVLSMNSWAVKSMWACVEVFVPVT
      UHUIUJUNUKVPSVMOJVGVTVMULUMUOUPTVJVRVNDASFBVHSVILUQURUSTVGEDABCCVGVFABVEV
      FVTUTTVEVFVAVEVFVBVCVD $.
  $}

  ${
    $d j k w y z A $.  $d j k w y z F $.  $d j k y z ph $.  $d j k z Z $.
    $d j k M $.
    rlimclim1.1 $e |- Z = ( ZZ>= ` M ) $.
    rlimclim1.2 $e |- ( ph -> M e. ZZ ) $.
    rlimclim1.3 $e |- ( ph -> F ~~>r A ) $.
    rlimclim1.4 $e |- ( ph -> Z C_ dom F ) $.
    $( Forward direction of ~ rlimclim .  (Contributed by Mario Carneiro,
       16-Sep-2014.) $)
    rlimclim1 $p |- ( ph -> F ~~> A ) $=
      ( vk vw wbr cv cfv wral wcel wa cle cr cc vy vj vz cli cmin cabs clt wrex
      co cuz crp wi cdm cvv fvex rgenw a1i simpr cmpt crli wf rlimf syl feqmptd
      adantr eqbrtrrd rlimi cfl c1 caddc cif cz ad2antrr flcl peano2zd ad2antrl
      ifcld zred max1 syl2anc eluz2 syl3anbrc eleqtrrdi simplrl eluzelre adantl
      fllep1 max2 letrd eluzle breq2 imbrov2fvoveq simplrr wss ad3antrrr uztrn2
      sylan sseldd rspcdva ralrimiva wceq fveq2 raleqdv rspcev rexlimddv rlimpm
      mpd cpm eqidd rlimcl sselda ffvelrnda syldan clim2c mpbird ) ACBUDLJMZCNZ
      BUEUIUFNUAMZUGLZJUBMZUJNZOZUBEUHZUAUKOAYCUAUKAXRUKPZQZUCMZKMZRLZYGCNZBUEU
      IUFNXRUGLULZKCUMZOZYCUCSYEUCKYKYIBXRUNYIUNPZKYKOYEYMKYKYGCUOUPUQAYDURYECK
      YKYIUSBUTYEKYKTCAYKTCVAZYDACBUTLZYNHBCVBVCZVEVDAYOYDHVEVFVGYEYFSPZYLQZQZD
      YFVHNZVIVJUIZRLZUUADVKZEPZXSJUUCUJNZOZYCYSUUCDUJNZEYSDVLPZUUCVLPDUUCRLZUU
      CUUGPAUUHYDYRGVMZYSUUBUUADVLYQUUAVLPYEYLYQYTYFVNVOZVPZUUJVQYSDSPZUUASPZUU
      IYSDUUJVRZYSUUAUULVRDUUAVSVTDUUCWAWBFWCZYSXSJUUEYSXPUUEPZQZYFXPRLZXSUURYF
      UUCXPYEYQYLUUQWDZUURUUBUUADSUURYQUUNUUTYQUUAUUKVRVCZYSUUMUUQUUOVEZVQZUUQX
      PSPYSUUCXPWEWFUURYFUUAUUCUUTUVAUVCUURYQYFUUARLUUTYFWGVCUURUUMUUNUUAUUCRLU
      VBUVADUUAWHVTWIUUQUUCXPRLYSUUCXPWJWFWIUURYJUUSXSULKYKXPYHUUSXRUGUEUFCBYGX
      PYGXPYFRWKWLYEYQYLUUQWMUUREYKXPAEYKWNYDYRUUQIWOYSUUDUUQXPEPZUUPDXPUUCEFWP
      WQWRWSXGWTYBUUFUBUUCEXTUUCXAXSJYAUUEXTUUCUJXBXCXDVTXEWTAUABXQUBJCDTSXHUIZ
      EFGAYOCUVEPHBCXFVCAUVDQXQXIAYOBTPHBCXJVCAUVDXPYKPXQTPAEYKXPIXKAYKTXPCYPXL
      XMXNXO $.
  $}

  ${
    $d k w y z A $.  $d k w y z F $.  $d k w y z ph $.  $d k w z Z $.
    $d z M $.
    rlimclim.1 $e |- Z = ( ZZ>= ` M ) $.
    rlimclim.2 $e |- ( ph -> M e. ZZ ) $.
    rlimclim.3 $e |- ( ph -> F : Z --> CC ) $.
    $( A sequence on an upper integer set converges in the real sense iff it
       converges in the integer sense.  (Contributed by Mario Carneiro,
       16-Sep-2014.) $)
    rlimclim $p |- ( ph -> ( F ~~>r A <-> F ~~> A ) ) $=
      ( vz vw vy vk wbr wa cz wcel adantr cv cfv cr crli cli simpr cdm wss wceq
      cc wf fdm eqimss2 3syl rlimclim1 cle cmin co cabs clt wi wral wrex climcl
      crp adantl ad2antrr eqidd simplr uzssz eqsstri zssre sstri fveq2 fvoveq1d
      cuz climi2 breq1d simplrr simplrl sselid simprl simprr eluz2 rspcdva expr
      syl3anbrc ralrimiva reximdva ssrexv mpsylsyld mpd rlim mpbir2and impbida
      a1i ) ACBUAMZCBUBMZAWNNBCDEFADOPZWNGQAWNUCAECUDZUEZWNAEUGCUHZWQEUFWRHEUGC
      UIEWQUJUKQULAWONZWNBUGPZIRZJRZUMMZXCCSZBUNUOUPSZKRZUQMZURZJEUSZITUTZKVBUS
      WOXAABCVAVCWTXKKVBWTXGVBPZNZLRZCSZBUNUOUPSZXGUQMZLXBVMSZUSZIEUTZXKXMBXOXG
      ILCDEFAWPWOXLGVDWTXLUCXMXNEPNXOVEAWOXLVFVNETUEZXMXTXJIEUTXKEOTEDVMSOFDVGV
      HZVIVJZXMXSXJIEXMXBEPZXSXJXMYDXSNNZXIJEYEXCEPZXDXHYEYFXDNZNZXQXHLXRXCXNXC
      UFZXPXFXGUQYIXOXEBUPUNXNXCCVKVLVOXMYDXSYGVPYHXBOPXCOPXDXCXRPYHEOXBYBXMYDX
      SYGVQVRYHEOXCYBYEYFXDVSVRYEYFXDVTXBXCWAWDWBWCWEWCWFXJIETWGWHWIWEWTKIJEXEB
      CAWSWOHQYAWTYCWMWTYFNXEVEWJWKWL $.
  $}

  ${
    $d j x y A $.  $d j k x y B $.  $d j n y C $.  $d j k x y D $.  $d j k M $.
    $d j k n x y ph $.  $d j k n x y Z $.
    climrlim2.1 $e |- Z = ( ZZ>= ` M ) $.
    climrlim2.2 $e |- ( n = ( |_ ` x ) -> B = C ) $.
    climrlim2.3 $e |- ( ph -> A C_ RR ) $.
    climrlim2.4 $e |- ( ph -> M e. ZZ ) $.
    climrlim2.5 $e |- ( ph -> ( n e. Z |-> B ) ~~> D ) $.
    climrlim2.6 $e |- ( ( ph /\ n e. Z ) -> B e. CC ) $.
    climrlim2.7 $e |- ( ( ph /\ x e. A ) -> M <_ x ) $.
    $( Produce a real limit from an integer limit, where the real function is
       only dependent on the integer part of ` x ` .  (Contributed by Mario
       Carneiro, 2-May-2016.) $)
    climrlim2 $p |- ( ph -> ( x e. A |-> C ) ~~>r D ) $=
      ( wbr wcel cfv wa vk vy vj cmpt cli crli cc cv cmin co cabs clt wral wrex
      cuz crp cle wi cr cfl eluzelz eleq2s ad2antlr sselda flcld adantlr simprr
      cz ad2ant2r wb flge syl2anc mpbid eluz2 syl3anbrc simpr ralimi wceq fveq2
      fvoveq1d breq1d rspcv syl2im eqid adantr eleqtrrdi eleq1d rspcdva fvmptd3
      ralrimiva sylibd com23 ralrimdva eluzelre adantl jctild reximdv2 ralimdva
      expr expimpd adantld cvv climrel brrelex1i syl eqidd clim2 climcl 3imtr4d
      rlim2 mpd ) AGIDUDZFUEQZBCEUDFUFQZNAFUGRZUAUHZXLSZUGRZXQFUIUJUKSZUBUHZULQ
      ZTZUAUCUHZUOSZUMZUCIUNZUBUPUMZTYCBUHZUQQZEFUIUJUKSZXTULQZURZBCUMZUCUSUNZU
      BUPUMZXMXNAYGYOXOAYFYNUBUPAXTUPRZTZYEYMUCIUSYQYCIRZYEYCUSRZYMTYQYRTZYEYMY
      SYTYEYLBCYTYHCRZTYIYEYKYTUUAYIYEYKURYTUUAYITZTZYEYHUTSZXLSZFUIUJUKSZXTULQ
      ZYKUUCUUDYDRZYEYAUAYDUMUUGUUCYCVHRZUUDVHRZYCUUDUQQZUUHYRUUIYQUUBUUIYCHUOS
      ZIHYCVAJVBVCZYQUUAUUJYRYIAUUAUUJYPAUUATZYHACUSYHLVDZVEZVFVIUUCYIUUKYTUUAY
      IVGUUCYHUSRZUUIYIUUKVJYQUUAUUQYRYIAUUAUUQYPUUOVFVIUUMYHYCVKVLVMYCUUDVNVOY
      BYAUAYDXRYAVPVQYAUUGUAUUDYDXPUUDVRZXSUUFXTULUURXQUUEFUKUIXPUUDXLVSVTWAWBW
      CUUCUUFYJXTULUUCUUEEFUKUIYQUUAUUEEVRZYRYIAUUAUUSYPUUNGUUDDEIXLUGXLWDKUUNU
      UDUULIUUNHVHRZUUJHUUDUQQZUUDUULRAUUTUUAMWEZUUPUUNHYHUQQZUVAPUUNUUQUUTUVCU
      VAVJUUOUVBYHHVKVLVMHUUDVNVOJWFZUUNDUGRZEUGRZGIUUDGUHUUDVRDEUGKWGAUVEGIUMU
      UAAUVEGIOWJWEUVDWHZWIVFVIVTWAWKWSWLWMYRYSYQYSYCUULIHYCWNJVBWOWPWTWQWRXAAU
      BFXQUCUAXLHXBIJMAXMXLXBRNXLFUEXCXDXEAXPIRTXQXFXGAUBUCBCEFAUVFBCUVGWJLAXMX
      ONFXLXHXEXJXIXK $.
  $}

  ${
    $d k A $.  $d k M $.  $d k Z $.
    climconst2.1 $e |- ( ZZ>= ` M ) C_ Z $.
    climconst2.2 $e |- Z e. _V $.
    $( A constant sequence converges to its value.  (Contributed by NM,
       6-Feb-2008.)  (Revised by Mario Carneiro, 31-Jan-2014.) $)
    climconst2 $p |- ( ( A e. CC /\ M e. ZZ ) -> ( Z X. { A } ) ~~> A ) $=
      ( vk cc wcel cz wa csn cxp cvv cuz cfv eqid simpr snex xpex a1i fvconst2g
      simpl cv wceq sseli syl2an climconst ) AGHZBIHZJZAFCAKZLZBMBNOZUMPUHUIQUL
      MHUJCUKEARSTUHUIUBZUJUHFUCZCHUOULOAUDUOUMHUNUMCUODUECAUOGUAUFUG $.
  $}

  $( The zero sequence converges to zero.  (Contributed by NM, 2-Oct-1999.)
     (Revised by Mario Carneiro, 31-Jan-2014.) $)
  climz $p |- ( ZZ X. { 0 } ) ~~> 0 $=
    ( cc0 cc wcel cz csn cxp cli wbr 0cn 0z uzssz zex climconst2 mp2an ) ABCADC
    DAEFAGHIJAADAKLMN $.

  ${
    $d j k A $.  $d j k B $.  $d j k C $.  $d j k x y F $.  $d j k x y ph $.
    rlimuni.1 $e |- ( ph -> F : A --> CC ) $.
    rlimuni.2 $e |- ( ph -> sup ( A , RR* , < ) = +oo ) $.
    ${
      rlimuni.3 $e |- ( ph -> F ~~>r B ) $.
      rlimuni.4 $e |- ( ph -> F ~~>r C ) $.
      $( A real function whose domain is unbounded above converges to at most
         one limit.  (Contributed by Mario Carneiro, 8-May-2016.) $)
      rlimuni $p |- ( ph -> B = C ) $=
        ( vj vk wbr clt wa cr wrex wcel cc syl adantr cv cle cfv cmin cabs cdiv
        co c2 wi wral wceq crli rlimcl ad2antrr subcld abscld ffvelrnda adantlr
        ltnrd abssubd breq1d anbi1d abs3lem syl22anc sylbid imim2d impcomd mtod
        wn nrexdv r19.29r nsyl cxr csup cpnf wss wb fdmd rlimss eqsstrrd ressxr
        cdm sstrdi supxrunb1 mpbird r19.29 ex wne wf ffvelrn ralrimiva absrpcld
        simpr subne0d rphalfcld feqmptd eqbrtrrd rexanre mpbir2and necon1bd mpd
        cmpt rlimi ) AJUAZKUAZUBLZXEEUCZCUDUGUEUCZCDUDUGZUEUCZUHUFUGZMLZXGDUDUG
        UEUCXKMLZNZUIZKBUJZJOPZVICDUKAXQXFKBPZXPNZJOPZAXSJOAXDOQZNZXFXONZKBPXSY
        BYCKBYBXEBQZNZYCXJXJMLZYEXJYEXIYECDACRQZYAYDAECULLZYGHCEUMSZUNZADRQZYAY
        DAEDULLZYKIDEUMSZUNZUOUPZUSYEXOXFYFYEXNYFXFYEXNCXGUDUGUEUCZXKMLZXMNZYFY
        EXLYQXMYEXHYPXKMYEXGCAYDXGRQZYAABRXEEFUQURZYJUTVAVBYEYGYKYSXJOQYRYFUIYJ
        YNYTYOCDXGXJVCVDVEVFVGVHVJXFXOKBVKVLVJAXRJOUJZXQXTUIAUUABVMMVNVOUKZGABV
        MVPUUAUUBVQABOVMABEWBZOABREFVRAYHUUCOVPHCEVSSVTZWAWCJKBWDSWEUUAXQXTXRXP
        JOWFWGSVHAXQCDACDWHZXQAUUENZXQXFXLUIKBUJJOPZXFXMUIKBUJJOPZUUFJKBXGCXKRU
        UFBREWIZYSKBUJAUUIUUEFTZUUIYSKBBRXEEWJWKSZUUFXJUUFXIUUFCDAYGUUEYITZAYKU
        UEYMTZUOUUFCDUULUUMAUUEWMWNWLWOZUUFEKBXGXBZCULUUFKBREUUJWPZAYHUUEHTWQXC
        UUFJKBXGDXKRUUKUUNUUFEUUODULUUPAYLUUEITWQXCUUFBOVPZXQUUGUUHNVQAUUQUUEUU
        DTXLXMBJKWRSWSWGWTXA $.
    $}

    $( Two ways to express that a function has a limit.  (The expression
       ` ( ~~>r `` F ) ` is sometimes useful as a shorthand for "the unique
       limit of the function ` F ` ").  (Contributed by Mario Carneiro,
       8-May-2016.) $)
    rlimdm $p |- ( ph -> ( F e. dom ~~>r <-> F ~~>r ( ~~>r ` F ) ) ) $=
      ( vx vy crli cdm wcel cfv wbr cv wex eldmg ibi wa wceq cvv adantr cio cxr
      simpr df-fv wb cc wf clt csup cpnf simprr simprl rlimuni breq2 syl5ibrcom
      expr impbid elvd eqtrid breqtrrd ex exlimdv syl5 rlimrel releldmi impbid1
      iota5 ) ACHIZJZCCHKZHLZVICFMZHLZFNZAVKVIVNFCHVHOPAVMVKFAVMVKAVMQZCVLVJHAV
      MUCZVOVJCGMZHLZGUAZVLGCHUDVOVSVLRFVOVRGVLSVOVRVQVLRZUEVLSJVOVRVTAVMVRVTAV
      MVRQZQBVQVLCABUFCUGWADTABUBUHUIUJRWAETAVMVRUKAVMVRULUMUPVOVRVTVMVPVQVLCHU
      NUOUQTVGURUSUTVAVBVCCVJHVDVEVF $.
  $}

  ${
    $d j k A $.  $d j k B $.  $d j k F $.
    $( An infinite sequence of complex numbers converges to at most one limit.
       (Contributed by NM, 2-Oct-1999.)  (Proof shortened by Mario Carneiro,
       31-Jan-2014.) $)
    climuni $p |- ( ( F ~~> A /\ F ~~> B ) -> A = B ) $=
      ( vk vj wbr wa c1 wcel cfv cc cmin co cabs clt wral cn wrex nnuz wi cz 1z
      cli wceq wne wn w3a cv c2 cdiv 1zzd climcl 3ad2ant1 3ad2ant2 subcld simp3
      cuz subne0d absrpcld rphalfcld eqidd simp1 climi rexanuz2 sylanbrc c0 nnz
      simp2 uzid ne0i r19.2z ex simpr simpll abssubd breq1d simplr subcl adantr
      4syl cr abscld abs3lem syl22anc ltnrd pm2.21d syld sylbid adantld expimpd
      expd impr rexlimdvw sylan9r rexlimdva syl2anc mpd 3expia necon4ad mpi ) C
      AUCFZCBUCFZGZHUAIZABUDUBXCXDABXAXBABUEZXDUFZXAXBXEUGZDUHZCJZKIZXIALMNJZAB
      LMZNJZUIUJMZOFZGZXJXIBLMNJXNOFZGZGZDEUHZUQJZPZEQRZXFXGXPDYAPEQRXRDYAPEQRY
      CXGAXIXNEDCHQSXGUKZXGXMXGXLXGABXAXBAKIZXEACULUMZXBXABKIZXEBCULUNZUOXGABYF
      YHXAXBXEUPURUSUTZXGXHQIGXIVAZXAXBXEVBVCXGBXIXNEDCHQSYDYIYJXAXBXEVHVCXPXRE
      DHQSVDVEXGYEYGYCXFTYFYHYEYGGZYBXFEQXTQIZYBXSDYARZYKXFYLXTUAIXTYAIYAVFUEZY
      BYMTXTVGXTVIYAXTVJYNYBYMXSDYAVKVLVTYKXSXFDYAYKXPXRXFYKXPGXQXFXJYKXJXOXQXF
      TZYKXJGZXOAXILMNJZXNOFZYOYPXKYQXNOYPXIAYKXJVMZYEYGXJVNZVOVPYPYRXQXFYPYRXQ
      GZXMXMOFZXFYPYEYGXJXMWAIUUAUUBTYTYEYGXJVQYSYPXLYKXLKIXJABVRVSWBZABXIXMWCW
      DYPUUBXFYPXMUUCWEWFWGWKWHWLWIWJWMWNWOWPWQWRWSWT $.
  $}

  ${
    $d x y z $.
    $( The limit relation is function-like, and with range the complex numbers.
       (Contributed by Mario Carneiro, 31-Jan-2014.) $)
    fclim $p |- ~~> : dom ~~> --> CC $=
      ( vx vy vz cli cdm cc wf wfn crn wss wfun wrel cv wbr wa weq wal mpbir2an
      ax-gen wcel climrel climuni dffun2 funfn mpbi wex vex elrn climcl exlimiv
      wi sylbi ssriv df-f ) DEZFDGDUOHZDIZFJDKZUPURDLAMZBMZDNZUSCMZDNOBCPUKZCQZ
      BQZAQUAVEAVDBVCCUTVBUSUBSSSABCDUCRDUDUEBUQFUTUQTVAAUFUTFTZAUTDBUGUHVAVFAU
      TUSUIUJULUMUOFDUNR $.
  $}

  $( Two ways to express that a function has a limit.  (The expression
     ` ( ~~> `` F ) ` is sometimes useful as a shorthand for "the unique limit
     of the function ` F ` ").  (Contributed by Mario Carneiro,
     18-Mar-2014.) $)
  climdm $p |- ( F e. dom ~~> <-> F ~~> ( ~~> ` F ) ) $=
    ( cli cdm cc wf wfun wcel cfv wbr wb fclim ffun funfvbrb mp2b ) BCZDBEBFAOG
    AABHBIJKODBLABMN $.

  ${
    $d y A $.  $d x y F $.
    $( An infinite sequence of complex numbers converges to at most one limit.
       (Contributed by NM, 25-Dec-2005.) $)
    climeu $p |- ( F ~~> A -> E! x F ~~> x ) $=
      ( vy cli wbr cv wex wa weq wi wal weu wcel climcl breq2 spcegv mpcom nfv
      cc climuni gen2 cbveuw eu4 bitri sylanblrc ) CBEFZCDGZEFZDHZUICAGZEFZIDAJ
      KZALDLZULAMZBTNUGUJBCOUIUGDBTUHBCEPQRUMDAUHUKCUAUBUOUIDMUJUNIULUIADULDSUI
      ASUKUHCEPUCUIULDAUHUKCEPUDUEUF $.

    $( An infinite sequence of complex numbers converges to at most one limit.
       (Contributed by NM, 25-Dec-2005.) $)
    climreu $p |- ( F ~~> A -> E! x e. CC F ~~> x ) $=
      ( cli wbr cv weu cc wreu climeu climcl pm4.71ri eubii df-reu bitr4i sylib
      wcel wa ) CBDECAFZDEZAGZTAHIZABCJUASHQZTRZAGUBTUDATUCSCKLMTAHNOP $.

    $( An infinite sequence of complex numbers converges to at most one limit.
       (Contributed by Mario Carneiro, 13-Jul-2013.) $)
    climmo $p |- E* x F ~~> x $=
      ( vy cv cli wbr wmo wex weu breq2 cbvexvw climeu exlimiv sylbi moeu mpbir
      wi ) BADZEFZAGSAHZSAIZQTBCDZEFZCHUASUCACRUBBEJKUCUACAUBBLMNSAOP $.
  $}

  ${
    $d m x y z A $.  $d x y z B $.  $d m x y z F $.
    $( The restriction of a function converges if the original converges.
       (Contributed by Mario Carneiro, 16-Sep-2014.) $)
    rlimres $p |- ( F ~~>r A -> ( F |` B ) ~~>r A ) $=
      ( vy vz vx crli wbr cres cc wcel cv cfv wi wral cr wrex crp wa wf cmin co
      cle cabs clt cdm cin inss1 ssralv ax-mp reximi ralimi anim2i rlimf rlimss
      wss a1i eqidd rlim fssres sylancl resres wfn wceq fnresdm reseq1d eqtr3id
      ffn 3syl feq1d mpbid sstrid elinel2 fvresd adantl 3imtr4d pm2.43i ) CAGHZ
      CBIZAGHZVRAJKZDLELZUCHWBCMZAUAUBUDMFLUEHNZECUFZOZDPQZFROZSZWAWDEWEBUGZOZD
      PQZFROZSZVRVTWIWNNVRWHWMWAWGWLFRWFWKDPWJWEUPZWFWKNWEBUHZWDEWJWEUIUJUKULUM
      UQVRFDEWEWCACACUNZACUOZVRWBWEKSWCURUSVRFDEWJWCAVSVRWJJCWJIZTZWJJVSTVRWEJC
      TZWOWTWQWPWEJWJCUTVAVRWJJWSVSVRWSCWEIZBIVSCWEBVBVRXBCBVRXACWEVCXBCVDWQWEJ
      CVHWECVEVIVFVGVJVKVRWJWEPWPWRVLWBWJKZWBVSMWCVDVRXCWBBCWBWEBVMVNVOUSVPVQ
      $.

    $( The restriction of an eventually upper bounded function is eventually
       upper bounded.  (Contributed by Mario Carneiro, 15-Sep-2014.) $)
    lo1res $p |- ( F e. <_O(1) -> ( F |` A ) e. <_O(1) ) $=
      ( vx vy vm clo1 wcel cres cv cle wbr cfv wi cdm wral cr wrex wss reximi
      wf cin lo1f lo1bdd mpdan inss1 ssralv ax-mp elinel2 fvresd breq1d ralbiia
      imbi2d sylibr syl fssres sylancl resres wfn wceq ffn fnresdm 3syl reseq1d
      wb eqtr3id feq1d mpbid lo1dm sstrid ello12 syl2anc mpbird ) BFGZBAHZFGZCI
      DIZJKZVPVNLZEIZJKZMZDBNZAUAZOZEPQZCPQZVMVQVPBLZVSJKZMZDWBOZEPQZCPQZWFVMWB
      PBTZWLBUBZCDWBEBUCUDWKWECPWJWDEPWJWIDWCOZWDWCWBRZWJWOMWBAUEZWIDWCWBUFUGWA
      WIDWCVPWCGZVTWHVQWRVRWGVSJWRVPABVPWBAUHUIUJULUKUMSSUNVMWCPVNTZWCPRVOWFVDV
      MWCPBWCHZTZWSVMWMWPXAWNWQWBPWCBUOUPVMWCPWTVNVMWTBWBHZAHVNBWBAUQVMXBBAVMWM
      BWBURXBBUSWNWBPBUTWBBVAVBVCVEVFVGVMWCWBPWQBVHVICDWCEVNVJVKVL $.

    $( The restriction of an eventually bounded function is eventually bounded.
       (Contributed by Mario Carneiro, 15-Sep-2014.)  (Proof shortened by Mario
       Carneiro, 26-May-2016.) $)
    o1res $p |- ( F e. O(1) -> ( F |` A ) e. O(1) ) $=
      ( co1 wcel cres cabs ccom clo1 resco cdm cc wf wb o1f lo1o1 syl eqeltrrid
      ibi lo1res cin fresin 3syl mpbird ) BCDZBAEZCDZFUEGZHDZUDUGFBGZAEZHFBAIUD
      UIHDZUJHDUDUKUDBJZKBLZUDUKMBNZULBOPRAUISPQUDUMULATZKUELUFUHMUNULKBAUAUOUE
      OUBUC $.
  $}

  ${
    $d x A $.  $d x B $.
    rlimres2.1 $e |- ( ph -> A C_ B ) $.
    ${
      rlimres2.2 $e |- ( ph -> ( x e. B |-> C ) ~~>r D ) $.
      $( The restriction of a function converges if the original converges.
         (Contributed by Mario Carneiro, 16-Sep-2014.) $)
      rlimres2 $p |- ( ph -> ( x e. A |-> C ) ~~>r D ) $=
        ( cmpt cres crli resmptd wbr rlimres syl eqbrtrrd ) ABDEIZCJZBCEIFKABDC
        EGLAQFKMRFKMHFCQNOP $.
    $}

    ${
      lo1res2.2 $e |- ( ph -> ( x e. B |-> C ) e. <_O(1) ) $.
      $( The restriction of a function is eventually bounded if the original
         is.  (Contributed by Mario Carneiro, 26-May-2016.) $)
      lo1res2 $p |- ( ph -> ( x e. A |-> C ) e. <_O(1) ) $=
        ( cmpt cres clo1 resmptd wcel lo1res syl eqeltrrd ) ABDEHZCIZBCEHJABDCE
        FKAPJLQJLGCPMNO $.
    $}

    ${
      o1res2.2 $e |- ( ph -> ( x e. B |-> C ) e. O(1) ) $.
      $( The restriction of a function is eventually bounded if the original
         is.  (Contributed by Mario Carneiro, 21-May-2016.) $)
      o1res2 $p |- ( ph -> ( x e. A |-> C ) e. O(1) ) $=
        ( cmpt cres co1 resmptd wcel o1res syl eqeltrrd ) ABDEHZCIZBCEHJABDCEFK
        APJLQJLGCPMNO $.
    $}
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z F $.  $d x y z ph $.
    lo1resb.1 $e |- ( ph -> F : A --> RR ) $.
    lo1resb.2 $e |- ( ph -> A C_ RR ) $.
    lo1resb.3 $e |- ( ph -> B e. RR ) $.
    $( The restriction of a function to an unbounded-above interval is
       eventually upper bounded iff the original is eventually upper bounded.
       (Contributed by Mario Carneiro, 26-May-2016.) $)
    lo1resb $p |- ( ph ->
      ( F e. <_O(1) <-> ( F |` ( B [,) +oo ) ) e. <_O(1) ) ) $=
      ( vx vy vz clo1 wcel cv cr cle wbr wi wa adantr sylbid cpnf cico cres cin
      co lo1res cfv cmpt feqmptd reseq1d resmpt3 eqtrdi eleq1d wral wrex sstrid
      inss1 wf elinel1 ffvelrn syl2an ello1mpt cif imbi1i impexp bitri ad2antrr
      elin wb sselda elicopnf baibd syl2anc anbi1d simplrl maxle syl3anc bitr4d
      wss imbi1d bitr3id pm5.74da syl5bb ralbidv2 simprl ifcld ello12r syl22anc
      simprr 3expia rexlimdvva impbid2 ) ADKLZDCUAUBUEZUCZKLZWNDUFAWPHBWNUDZHMZ
      DUGZUHZKLZWMAWOWTKAWOHBWSUHZWNUCWTADXBWNAHBNDEUIUJHBWNWSUKULUMAXAIMZWROPZ
      WSJMZOPZQZHWQUNZJNUOINUOWMAHIWQWSJAWQBNBWNUQFUPABNDURZWRBLZWSNLWRWQLZEWRB
      WNUSBNWRDUTVAVBAXHWMIJNNAXCNLZXENLZRZRZXHCXCOPZXCCVCZWROPZXFQZHBUNZWMXOXG
      XSHWQBXKXGQZXJWRWNLZXGQZQZXOXJXSQYAXJYBRZXGQYDXKYEXGWRBWNVHVDXJYBXGVEVFXO
      XJYCXSYCYBXDRZXFQXOXJRZXSYBXDXFVEYGYFXRXFYGYFCWROPZXDRZXRYGYBYHXDYGCNLZWR
      NLZYBYHVIAYJXNXJGVGZXOBNWRABNVSZXNFSZVJZYJYBYKYHCWRVKVLVMVNYGYJXLYKXRYIVI
      YLAXLXMXJVOYOCXCWRVPVQVRVTWAWBWCWDXOXIYMXQNLZXMXTWMQAXIXNESYNXOXPXCCNAXLX
      MWEAYJXNGSWFAXLXMWIXIYMRYPXMRXTWMHBXQDXEWGWJWHTWKTTWL $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z F $.  $d x y z ph $.
    rlimresb.1 $e |- ( ph -> F : A --> CC ) $.
    rlimresb.2 $e |- ( ph -> A C_ RR ) $.
    rlimresb.3 $e |- ( ph -> B e. RR ) $.
    $( The restriction of a function to an unbounded-above interval converges
       iff the original converges.  (Contributed by Mario Carneiro,
       16-Sep-2014.) $)
    rlimresb $p |- ( ph -> ( F ~~>r C <-> ( F |` ( B [,) +oo ) ) ~~>r C ) ) $=
      ( vx vz vy crli wbr cc wcel wi wa wral cr adantr cv cfv cmpt cpnf cico co
      cin cres rlimcl a1i wb cle cmin cabs clt wrex crp simprrl sseldd elicopnf
      wss biimpa adantrr simpld simprd simprrr letrd mpbir2and anassrs pm5.74da
      syl biimt bi2.04 bitrdi elin imbi1i impexp bitri bitr4di ralbidv2 ralbidv
      rexbidva ffvelrnda ralrimiva simpr rlim3 elinel1 sylan2 sstrid 3bitr4d ex
      inss1 pm5.21ndd feqmptd breq1d resres wf wfn wceq ffn fnresdm 3syl resmpt
      reseq1d ax-mp eqtrdi 3eqtr3a ) AIBIUAZEUBZUCZDLMZIBCUDUEUFZUGZXIUCZDLMZED
      LMEXLUHZDLMADNOZXKXOXKXQPADXJUIUJXOXQPADXNUIUJAXQXKXOUKAXQQZJUAZXHULMZXID
      UMUFUNUBKUAUOMZPZIBRZJXLUPZKUQRZYBIXMRZJXLUPZKUQRZXKXOAYEYHUKXQAYDYGKUQAY
      CYFJXLAXSXLOZQZYBYBIBXMYJXHBOZYBPYKXHXLOZYBPZPZXHXMOZYBPZYJYKYBYMYJYKQZYB
      XTYLYAPZPYMYQXTYAYRYQXTQYLYAYRUKYJYKXTYLAYIYKXTQZYLAYIYSQZQZYLXHSOZCXHULM
      ZUUABSXHABSVAZYTGTAYIYKXTURUSZUUACXSXHACSOZYTHTZUUAXSSOZCXSULMZAYIUUHUUIQ
      ZYSAYIUUJAUUFYIUUJUKHCXSUTVKVBVCZVDUUEUUAUUHUUIUUKVEAYIYKXTVFVGUUAUUFYLUU
      BUUCQUKUUGCXHUTVKVHVIVIYLYAVLVKVJXTYLYAVMVNVJYPYKYLQZYBPYNYOUULYBXHBXLVOV
      PYKYLYBVQVRVSVTWBWATXRKJIBXIDCAXINOZIBRXQAUUMIBABNXHEFWCZWDTAUUDXQGTAXQWE
      ZAUUFXQHTZWFXRKJIXMXIDCAUUMIXMRXQAUUMIXMYOAYKUUMXHBXLWGUUNWHWDTAXMSVAXQAX
      MBSBXLWLZGWITUUOUUPWFWJWKWMAEXJDLAIBNEFWNZWOAXPXNDLAEBUHZXLUHEXMUHZXPXNEB
      XLWPAUUSEXLABNEWQEBWRUUSEWSFBNEWTBEXAXBXDAUUTXJXMUHZXNAEXJXMUURXDXMBVAUVA
      XNWSUUQIBXMXIXCXEXFXGWOWJ $.

    $( The restriction of a function to an unbounded-above interval is
       eventually bounded iff the original is eventually bounded.  (Contributed
       by Mario Carneiro, 9-Apr-2016.) $)
    o1resb $p |- ( ph -> ( F e. O(1) <-> ( F |` ( B [,) +oo ) ) e. O(1) ) ) $=
      ( vx vy vz co1 wcel cv cc cle wbr wi cr wa adantr cpnf cico co cres o1res
      cin cfv cmpt feqmptd reseq1d resmpt3 eqtrdi eleq1d cabs wral inss1 sstrid
      wrex elinel1 ffvelrn syl2an elo1mpt cif elin imbi1i impexp bitri ad2antrr
      wf wss sselda elicopnf baibd syl2anc anbi1d simplrl syl3anc bitr4d imbi1d
      maxle pm5.74da syl5bb ralbidv2 simprl ifcld simprr elo12r 3expia syl22anc
      wb bitr3id sylbid rexlimdvva impbid2 ) ADKLZDCUAUBUCZUDZKLZWPDUEAWRHBWPUF
      ZHMZDUGZUHZKLZWOAWQXBKAWQHBXAUHZWPUDXBADXDWPAHBNDEUIUJHBWPXAUKULUMAXCIMZW
      TOPZXAUNUGJMZOPZQZHWSUOZJRURIRURWOAHIWSXAJAWSBRBWPUPFUQABNDVIZWTBLZXANLWT
      WSLZEWTBWPUSBNWTDUTVAVBAXJWOIJRRAXERLZXGRLZSZSZXJCXEOPZXECVCZWTOPZXHQZHBU
      OZWOXQXIYAHWSBXMXIQZXLWTWPLZXIQZQZXQXLYAQYCXLYDSZXIQYFXMYGXIWTBWPVDVEXLYD
      XIVFVGXQXLYEYAYEYDXFSZXHQXQXLSZYAYDXFXHVFYIYHXTXHYIYHCWTOPZXFSZXTYIYDYJXF
      YICRLZWTRLZYDYJWJAYLXPXLGVHZXQBRWTABRVJZXPFTZVKZYLYDYMYJCWTVLVMVNVOYIYLXN
      YMXTYKWJYNAXNXOXLVPYQCXEWTVTVQVRVSWKWAWBWCXQXKYOXSRLZXOYBWOQAXKXPETYPXQXR
      XECRAXNXOWDAYLXPGTWEAXNXOWFXKYOSYRXOSYBWOHBXSDXGWGWHWIWLWMWLWLWN $.
  $}

  ${
    $d k x y A $.  $d k x y F $.  $d k x y G $.  $d k x y ph $.  $d k y Z $.
    $d y M $.
    climeq.1 $e |- Z = ( ZZ>= ` M ) $.
    climeq.2 $e |- ( ph -> F e. V ) $.
    climeq.3 $e |- ( ph -> G e. W ) $.
    climeq.5 $e |- ( ph -> M e. ZZ ) $.
    climeq.6 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = ( G ` k ) ) $.
    $( Two functions that are eventually equal to one another have the same
       limit.  (Contributed by Mario Carneiro, 5-Nov-2013.)  (Revised by Mario
       Carneiro, 31-Jan-2014.) $)
    climeq $p |- ( ph -> ( F ~~> A <-> G ~~> A ) ) $=
      ( vx vy wbr wcel cv cfv cli cc cmin co cabs clt cuz wral wrex clim2 eqidd
      wa crp bitr4d ) ADBUAQBUBRCSZETZUBRUPBUCUDUETOSUFQULCPSUGTUHPIUIOUMUHULEB
      UAQAOBUPPCDFGIJMKNUJAOBUPPCEFHIJMLAUOIRULUPUKUJUN $.
  $}

  ${
    $d x A $.  $d x D $.  $d x ph $.
    lo1eq.1 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    lo1eq.2 $e |- ( ( ph /\ x e. A ) -> C e. RR ) $.
    lo1eq.3 $e |- ( ph -> D e. RR ) $.
    lo1eq.4 $e |- ( ( ph /\ ( x e. A /\ D <_ x ) ) -> B = C ) $.
    $( Two functions that are eventually equal to one another are eventually
       bounded if one of them is.  (Contributed by Mario Carneiro,
       26-May-2016.) $)
    lo1eq $p |- ( ph ->
      ( ( x e. A |-> B ) e. <_O(1) <-> ( x e. A |-> C ) e. <_O(1) ) ) $=
      ( cr wss cmpt clo1 wcel wa cres wceq resmpt adantr cdm eqid dmmptd sseq1d
      lo1dm syl5ib wb cpnf cico co cin cle wbr simpr elin sylib simpld elicopnf
      cv simprd syl biimpa syldan jca mpteq2dva inss1 ax-mp 3eqtr4g resres ssid
      reseq1 mp2b 3eqtr3g eleq1d wf fmpttd lo1resb 3bitr4d ex pm5.21ndd ) ACKLZ
      BCDMZNOZBCEMZNOZWCWBUAZKLAWAWBUEAWFCKABWBCDKWBUBGUCUDUFWEWDUAZKLAWAWDUEAW
      GCKABWDCEKWDUBHUCUDUFAWAWCWEUGAWAPZWBFUHUIUJZQZNOZWDWIQZNOZWCWEAWKWMUGWAA
      WJWLNAWBCQZWIQZWDCQZWIQZWJWLAWBCWIUKZQZWDWRQZWOWQABWRDMZBWREMZWSWTABWRDEA
      BUSZWROZXCCOZFXCULUMZPDERAXDPZXEXFXGXEXCWIOZXGXDXEXHPAXDUNXCCWIUOUPZUQXGX
      CKOZXFAXDXHXJXFPZXGXEXHXIUTAXHXKAFKOZXHXKUGIFXCURVAVBVCUTVDJVCVEWRCLZWSXA
      RCWIVFZBCWRDSVGXMWTXBRXNBCWRESVGVHWBCWIVIWDCWIVIVHCCLZWNWBRWOWJRCVJZBCCDS
      WNWBWIVKVLXOWPWDRWQWLRXPBCCESWPWDWIVKVLVMVNTWHCFWBACKWBVOWAABCDKGVPTAWAUN
      ZAXLWAITZVQWHCFWDACKWDVOWAABCEKHVPTXQXRVQVRVSVT $.
  $}

  ${
    $d x A $.  $d x D $.  $d x ph $.
    rlimeq.1 $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    rlimeq.2 $e |- ( ( ph /\ x e. A ) -> C e. CC ) $.
    rlimeq.3 $e |- ( ph -> D e. RR ) $.
    rlimeq.4 $e |- ( ( ph /\ ( x e. A /\ D <_ x ) ) -> B = C ) $.
    $( Two functions that are eventually equal to one another have the same
       limit.  (Contributed by Mario Carneiro, 16-Sep-2014.) $)
    rlimeq $p |- ( ph ->
      ( ( x e. A |-> B ) ~~>r E <-> ( x e. A |-> C ) ~~>r E ) ) $=
      ( cr wss crli wbr cc wa cres wcel wceq cmpt cdm rlimss eqid dmmptd sseq1d
      syl5ib wb cpnf cico co cin cv cle simpr elin sylib simpld simprd elicopnf
      syl biimpa syldan mpteq2dva inss1 resmpt ax-mp 3eqtr4g resres ssid reseq1
      jca mp2b 3eqtr3g breq1d adantr wf fmpttd rlimresb 3bitr4d ex pm5.21ndd )
      ACLMZBCDUAZGNOZBCEUAZGNOZWEWDUBZLMAWCGWDUCAWHCLABWDCDPWDUDHUEUFUGWGWFUBZL
      MAWCGWFUCAWICLABWFCEPWFUDIUEUFUGAWCWEWGUHAWCQZWDFUIUJUKZRZGNOZWFWKRZGNOZW
      EWGAWMWOUHWCAWLWNGNAWDCRZWKRZWFCRZWKRZWLWNAWDCWKULZRZWFWTRZWQWSABWTDUAZBW
      TEUAZXAXBABWTDEABUMZWTSZXECSZFXEUNOZQDETAXFQZXGXHXIXGXEWKSZXIXFXGXJQAXFUO
      XECWKUPUQZURXIXELSZXHAXFXJXLXHQZXIXGXJXKUSAXJXMAFLSZXJXMUHJFXEUTVAVBVCUSV
      LKVCVDWTCMZXAXCTCWKVEZBCWTDVFVGXOXBXDTXPBCWTEVFVGVHWDCWKVIWFCWKVIVHCCMZWP
      WDTWQWLTCVJZBCCDVFWPWDWKVKVMXQWRWFTWSWNTXRBCCEVFWRWFWKVKVMVNVOVPWJCFGWDAC
      PWDVQWCABCDPHVRVPAWCUOZAXNWCJVPZVSWJCFGWFACPWFVQWCABCEPIVRVPXSXTVSVTWAWB
      $.

    $( Two functions that are eventually equal to one another are eventually
       bounded if one of them is.  (Contributed by Mario Carneiro,
       26-May-2016.) $)
    o1eq $p |- ( ph ->
      ( ( x e. A |-> B ) e. O(1) <-> ( x e. A |-> C ) e. O(1) ) ) $=
      ( cabs cfv cmpt clo1 wcel co1 cv wa abscld lo1o12 cle wbr fveq2d 3bitr4d
      lo1eq ) ABCDKLZMNOBCEKLZMNOBCDMPOBCEMPOABCUFUGFABQZCOZRZDGSUJEHSIAUIFUHUA
      UBRRDEKJUCUEABCDGTABCEHTUD $.
  $}

  ${
    $d j k m y A $.  $d j k m x F $.  $d j m x y G $.  $d j m M $.  $d m V $.
    $d j k y ph $.  $d j k m x Z $.
    2clim.1 $e |- Z = ( ZZ>= ` M ) $.
    ${
      climmpt.2 $e |- G = ( k e. Z |-> ( F ` k ) ) $.
      $( Exhibit a function ` G ` with the same convergence properties as the
         not-quite-function ` F ` .  (Contributed by Mario Carneiro,
         31-Jan-2014.) $)
      climmpt $p |- ( ( M e. ZZ /\ F e. V ) ->
                      ( F ~~> A <-> G ~~> A ) ) $=
        ( vm cz wcel wa cvv simpr cv cfv cuz fvex eqeltri cmpt mptex simpl wceq
        a1i fveq2 fvmpt eqcomd adantl climeq ) EKLZCFLZMZAJCDEFNGHUKULODNLUMDBG
        BPZCQZUANIBGUOGERQNHERSTUBTUEUKULUCJPZGLZUPCQZUPDQZUDUMUQUSURBUPUOURGDU
        NUPCUFIUPCSUGUHUIUJ $.
    $}

    $d k G $.
    2clim.2 $e |- ( ph -> M e. ZZ ) $.
    2clim.3 $e |- ( ph -> G e. V ) $.
    2clim.5 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) e. CC ) $.
    2clim.6 $e |- ( ph -> A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j )
                    ( abs ` ( ( F ` k ) - ( G ` k ) ) ) < x ) $.
    2clim.7 $e |- ( ph -> F ~~> A ) $.
    $( If two sequences converge to each other, they converge to the same
       limit.  (Contributed by NM, 24-Dec-2005.)  (Proof shortened by Mario
       Carneiro, 31-Jan-2014.) $)
    2clim $p |- ( ph -> G ~~> A ) $=
      ( wbr cfv wcel wa vy cli cv cmin co cabs clt cuz wral wrex crp c2 cdiv cc
      rphalfcl wceq breq2 rexralbidv rspccva syl2an adantr eqidd climi rexanuz2
      cz adantl sylanbrc wi uztrn2 simprr ad2ant2r abssubd breq1d anbi1d climcl
      an12 cr syl ad2antrr rpre ad2antlr abs3lem syl22anc sylbid anassrs syl5bi
      expimpd sylan2 ralimdva reximdva mpd ralrimiva clim2c mpbird ) AGCUBQEUCZ
      GRZCUDUEUFRUAUCZUGQZEDUCZUHRZUIZDJUJZUAUKUIAXBUAUKAWQUKSZTZWOFRZWPUDUEUFR
      ZWQULUMUEZUGQZXEUNSZXECUDUEUFRXGUGQZTZTZEWTUIZDJUJZXBXDXHEWTUIDJUJZXKEWTU
      IDJUJXNAXFBUCZUGQZEWTUIDJUJZBUKUIXGUKSZXOXCOWQUOZXRXOBXGUKXPXGUPXQXHDEJWT
      XPXGXFUGUQURUSUTXDCXEXGDEFHJKAHVESXCLVAXCXSAXTVFXDWOJSZTZXEVBAFCUBQZXCPVA
      VCXHXKDEHJKVDVGXDXMXADJXDWSJSZTXLWREWTXDYDWOWTSZXLWRVHZYDYETXDYAYFHWOWSJK
      VIXLXIXHXJTZTYBWRXHXIXJVPYBXIYGWRXDYAXIYGWRVHXDYAXITZTZYGWPXEUDUEUFRZXGUG
      QZXJTZWRYIXHYKXJYIXFYJXGUGYIXEWPXDYAXIVJZAYAWPUNSZXCXINVKZVLVMVNYIYNCUNSZ
      XIWQVQSZYLWRVHYOAYPXCYHAYCYPPCFVOVRZVSYMXCYQAYHWQVTWAWPCXEWQWBWCWDWEWGWFW
      HWEWIWJWKWLAUACWPDEGHIJKLMAYATWPVBYRNWMWN $.
  $}

  ${
    $d k m F $.  $d k m Z $.  $d k ph $.  $d m n F $.  $d n A $.  $d n Z $.
    $d n ph $.
    climmpt2.1 $e |- Z = ( ZZ>= ` M ) $.
    climmpt2.2 $e |- ( ph -> M e. ZZ ) $.
    climmpt2.3 $e |- ( ph -> F e. V ) $.
    climmpt2.5 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    $( Relate an integer limit on a not-quite-function to a real limit.
       (Contributed by Mario Carneiro, 17-Sep-2014.) $)
    climmpt2 $p |- ( ph ->
                    ( F ~~> A <-> ( n e. Z |-> ( F ` n ) ) ~~>r A ) ) $=
      ( vm cli wbr cv cfv wcel cc wral cmpt crli eqid climmpt syl2anc ralrimiva
      cz weq fveq2 eleq1d cbvralvw bitri sylib r19.21bi fmpttd rlimclim bitr4d
      wb ) AEBNOZDHDPZEQZUAZBNOZVBBUBOAFUGREGRUSVCURJKBDEVBFGHIVBUCUDUEABVBFHIJ
      ADHVASAVASRZDHACPZEQZSRZCHTZVDDHTZAVGCHLUFVHMPZEQZSRZMHTVIVGVLCMHCMUHVFVK
      SVEVJEUIUJUKVLVDMDHMDUHVKVASVJUTEUIUJUKULUMUNUOUPUQ $.
  $}

  ${
    $d f k m n x A $.  $d f k m n x F $.  $d f k m n x M $.  $d k m n x V $.
    ${
      climshft.1 $e |- F e. _V $.
      $( A shifted function converges if the original function converges.
         (Contributed by Mario Carneiro, 5-Nov-2013.) $)
      climshftlem $p |- ( M e. ZZ ->
                          ( F ~~> A -> ( F shift M ) ~~> A ) ) $=
        ( vm vx vk vn cz wcel cc cv cfv cmin co cabs clt wbr wa wral wrex caddc
        cuz crp cshi cli zaddcl ancoms eluzsub 3com12 3expa wceq fveq2 fvoveq1d
        wi eleq1d breq1d anbi12d rspcv syl zcn eluzelcn shftval adantlr sylibrd
        syl2an ralrimdva raleqdv rspcev syl6an rexlimdva ralimdv anim2d cvv a1i
        wb eqidd clim ovexd 3imtr4d ) CIJZAKJZELZBMZKJZWDANOPMZFLZQRZSZEGLZUCMZ
        TZGIUAZFUDTZSWBHLZBCUEOZMZKJZWQANOPMZWGQRZSZHWCUCMZTZEIUAZFUDTZSBAUFRWP
        AUFRWAWNXEWBWAWMXDFUDWAWLXDGIWAWJIJZSZWJCUBOZIJZWLXAHXHUCMZTZXDXFWAXIWJ
        CUGUHXGWLXAHXJXGWOXJJZSZWLWOCNOZBMZKJZXOANOPMZWGQRZSZXAXMXNWKJZWLXSUOWA
        XFXLXTXFWAXLXTCWJWOUIUJUKWIXSEXNWKWCXNULZWEXPWHXRYAWDXOKWCXNBUMZUPYAWFX
        QWGQYAWDXOAPNYBUNUQURUSUTWAXLXAXSVPZXFWACKJZWOKJZYCXLCVAXHWOVBYDYESZWRX
        PWTXRYFWQXOKCWOBDVCZUPYFWSXQWGQYFWQXOAPNYGUNUQURVFVDVEVGXCXKEXHIWCXHULX
        AHXBXJWCXHUCUMVHVIVJVKVLVMWAFAWDGEBVNBVNJWADVOWAWCIJSWDVQVRWAFAWQEHWPVN
        WABCUEVSWAWOIJSWQVQVRVT $.
    $}

    $( A function restricted to upper integers converges iff the original
       function converges.  (Contributed by Mario Carneiro, 13-Jul-2013.)
       (Revised by Mario Carneiro, 31-Jan-2014.) $)
    climres $p |- ( ( M e. ZZ /\ F e. V ) ->
                        ( ( F |` ( ZZ>= ` M ) ) ~~> A <-> F ~~> A ) ) $=
      ( vk cz wcel wa cuz cfv cres eqid resexg adantl simpr simpl cv wceq fvres
      cvv climeq ) CFGZBDGZHZAEBCIJZKZBCTDUEUELUCUFTGUBBUEDMNUBUCOUBUCPEQZUEGUG
      UFJUGBJRUDUGUEBSNUA $.

    $( A shifted function converges iff the original function converges.
       (Contributed by NM, 16-Aug-2005.)  (Revised by Mario Carneiro,
       31-Jan-2014.) $)
    climshft $p |- ( ( M e. ZZ /\ F e. V ) ->
                      ( ( F shift M ) ~~> A <-> F ~~> A ) ) $=
      ( vf vk wcel cz cshi co cli wbr wb cv wi wceq climshftlem cvv cfv cc cneg
      oveq1 breq1d breq1 bibi12d imbi2d znegcl ovex syl cuz eqid vex a1i id zcn
      ovexd eluzelcn shftcan1 syl2an climeq sylibd impbid vtoclg impcom ) BDGCH
      GZBCIJZAKLZBAKLZMZVEENZCIJZAKLZVJAKLZMZOVEVIOEBDVJBPZVNVIVEVOVLVGVMVHVOVK
      VFAKVJBCIUBUCVJBAKUDUEUFVEVLVMVEVLVKCUAZIJZAKLZVMVEVPHGVLVROCUGAVKVPVJCIU
      HQUIVEAFVQVJCRRCUJSZVSUKVEVKVPIUPVJRGVEEULZUMVEUNVECTGFNZTGWAVQSWAVJSPWAV
      SGCUOCWAUQCWAVJVTURUSUTVAAVJCVTQVBVCVD $.
  $}

  $( The zero series converges to zero.  (Contributed by Paul Chapman,
     9-Feb-2008.)  (Proof shortened by Mario Carneiro, 31-Jan-2014.) $)
  serclim0 $p |- ( M e. ZZ ->
                    seq M ( + , ( ( ZZ>= ` M ) X. { 0 } ) ) ~~> 0 ) $=
    ( cz wcel caddc cuz cfv cc0 csn cxp cseq cli eqid ser0f wbr ssid climconst2
    cc 0cn fvex mpan eqbrtrd ) ABCZDAEFZGHIZAJUDGKAUCUCLMGQCUBUDGKNRGAUCUCOAESP
    TUA $.

  ${
    $d r x y z A $.  $d r w y z B $.  $d r w x y z C $.  $d r x y z ph $.
    $d r x y z D $.  $d r x z R $.
    rlimcld2.1 $e |- ( ph -> sup ( A , RR* , < ) = +oo ) $.
    rlimcld2.2 $e |- ( ph -> ( x e. A |-> B ) ~~>r C ) $.
    ${
      rlimcld2.3 $e |- ( ph -> D C_ CC ) $.
      rlimcld2.4 $e |- ( ( ph /\ y e. ( CC \ D ) ) -> R e. RR+ ) $.
      rlimcld2.5 $e |- ( ( ( ph /\ y e. ( CC \ D ) ) /\ z e. D ) ->
        R <_ ( abs ` ( z - y ) ) ) $.
      rlimcld2.6 $e |- ( ( ph /\ x e. A ) -> B e. D ) $.
      $( If ` D ` is a closed set in the topology of the complex numbers
         (stated here in basic form), and all the elements of the sequence lie
         in ` D ` , then the limit of the sequence also lies in ` D ` .
         (Contributed by Mario Carneiro, 10-May-2016.) $)
      rlimcld2 $p |- ( ph -> C e. D ) $=
        ( vr wcel cle wral cr cv wbr cmin co cabs cfv csb clt wi wrex ralrimiva
        wn wa adantr cc cdif crp cmpt crli rlimcl syl simpr eldifd nfcsb1v wceq
        nfel1 csbeq1a eleq1d rspc sylc rlimi ad2antrr rpred wss ad4ant14 sseldd
        ad3antrrr subcld abscld nfcv nfbr nfralw fveq2d breq12d ralbidv fvoveq1
        oveq2 breq2d rspcv lensymd id imp nsyl nrexdv cxr csup cpnf wb cdm eqid
        dmmptd rlimss eqsstrrd ressxr sstrdi mpbird r19.21bi r19.29 expcom mtod
        supxrunb1 condan ) AGHQZPUAZBUAZRUBZFGUCUDZUEUFZCGIUGZUHUBZUIZBESZPTUJA
        XMULZUMZPBEFGXSHAFHQZBESYCAYEBEOUKUNYDGUOHUPZQZIUQQZCYFSZXSUQQZYDGUOHYD
        BEFURZGUSUBZGUOQZAYLYCKUNZGYKUTVAZAYCVBVCZAYIYCAYHCYFMUKUNYHYJCGYFCXSUQ
        CGIVDZVFCUAZGVEZIXSUQCGIVGZVHVIVJZYNVKYDYBPTYDXNTQZUMZYBYAXPUMZBEUJZUUC
        UUDBEUUCXOEQZUMZXTUUDUUGXSXRUUGXSYDYJUUBUUFUUAVLVMUUGXQUUGFGUUGHUOFAHUO
        VNYCUUBUUFLVQAUUFYEYCUUBOVOZVPYDYMUUBUUFYOVLVRVSUUGYEXSDUAZGUCUDZUEUFZR
        UBZDHSZXSXRRUBZUUHYDUUMUUBUUFYDYGIUUIYRUCUDZUEUFZRUBZDHSZCYFSZUUMYPAUUS
        YCAUURCYFAYRYFQUMUUQDHNUKUKUNUURUUMCGYFUULCDHCHVTCXSUUKRYQCRVTCUUKVTWAW
        BYSUUQUULDHYSIXSUUPUUKRYTYSUUOUUJUEYRGUUIUCWGWCWDWEVIVJVLUULUUNDFHUUIFV
        EUUKXRXSRUUIFGUEUCWFWHWIVJWJYAXPXTYAWKWLWMWNUUCXPBEUJZYBUUEUIYDUUTPTAUU
        TPTSZYCAUVAEWOUHWPWQVEZJAEWOVNUVAUVBWRAETWOAEYKWSZTABYKEFHYKWTOXAAYLUVC
        TVNKGYKXBVAXCXDXEPBEXKVAXFUNXGYBUUTUUEYAXPBEXHXIVAXJWNXL $.
    $}

    ${
      rlimrege0.4 $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
      rlimrege0.5 $e |- ( ( ph /\ x e. A ) -> 0 <_ ( Re ` B ) ) $.
      $( The limit of a sequence of complex numbers with nonnegative real part
         has nonnegative real part.  (Contributed by Mario Carneiro,
         10-May-2016.) $)
      rlimrege0 $p |- ( ph -> 0 <_ ( Re ` C ) ) $=
        ( vw cc0 cv cre cfv cle wbr cc wcel adantl wceq vy crab cneg wss ssrab2
        vz a1i wa eldifi recld clt wn fveq2 breq2d notbid notrab elrab2 simprbi
        cdif cr wb 0re ltnle sylancl mpbird negelrpd cmin co cabs adantr elrabi
        renegcld subcld abscld 0red elrab lesub1dd df-neg resubd releabsd letrd
        3brtr4d elrabd rlimcld2 syl ) AEKJLZMNZOPZJQUBZRZKEMNZOPZABUAUFCDEWIUAL
        ZMNZUCZFGWIQUDAWHJQUEUGAWMQWIUSZRZUHZWNWRWMWQWMQRZAWMQWIUISZUJZWRWNKUKP
        ZKWNOPZULZWQXDAWQWSXDWHULXDJWMQWPWFWMTZWHXCXEWGWNKOWFWMMUMUNUOWHJQUPUQU
        RSWRWNUTRKUTRXBXDVAXAVBWNKVCVDVEVFWRUFLZWIRZUHZWOXFWMVGVHZMNZXIVINWRWOU
        TRXGWRWNXAVLVJXHXIXHXFWMXGXFQRZWRWHJXFQVKSZWRWSXGWTVJZVMZUJXHXIXNVNXHKW
        NVGVHZXFMNZWNVGVHWOXJOXHKXPWNXHVOXHXFXLUJXHWMXMUJXGKXPOPZWRXGXKXQWHXQJX
        FQWFXFTWGXPKOWFXFMUMUNVPURSVQWOXOTXHWNVRUGXHXFWMXLXMVSWBXHXIXNVTWAABLCR
        UHWHKDMNZOPJDQWFDTWGXRKOWFDMUMUNHIWCWDWJEQRWLWHWLJEQWFETWGWKKOWFEMUMUNV
        PURWE $.
    $}

    rlimrecl.3 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    $( The limit of a real sequence is real.  (Contributed by Mario Carneiro,
       9-May-2016.) $)
    rlimrecl $p |- ( ph -> C e. RR ) $=
      ( vy vz cr cim cfv cabs cc wcel adantl cc0 cmin co wss ax-resscn a1i cdif
      cv wa eldifi imcld recnd wn wne eldifn wceq wb reim0b necon3bbid absrpcld
      syl mpbid cle wbr adantr simpr subcld absimle imsubd reim0 oveq2d subid1d
      3eqtrrd fveq2d abssubd 3brtr4d rlimcld2 ) ABIJCDEKIUEZLMZNMZFGKOUAAUBUCAV
      OOKUDPZUFZVPVSVPVSVOVRVOOPZAVOOKUGQZUHUIZVSVOKPZUJZVPRUKVRWDAVOOKULQVSWCV
      PRVSVTWCVPRUMUNWAVOUOURUPUSUQVSJUEZKPZUFZVOWESTZLMZNMZWHNMZVQWEVOSTNMUTWG
      WHOPWJWKUTVAWGVOWEVSVTWFWAVBZWGWEVSWFVCUIZVDWHVEURWGVPWINWGWIVPWELMZSTVPR
      STVPWGVOWEWLWMVFWGWNRVPSWFWNRUMVSWEVGQVHWGVPVSVPOPWFWBVBVIVJVKWGWEVOWMWLV
      LVMHVN $.

    rlimge0.4 $e |- ( ( ph /\ x e. A ) -> 0 <_ B ) $.
    $( The limit of a sequence of nonnegative reals is nonnegative.
       (Contributed by Mario Carneiro, 10-May-2016.) $)
    rlimge0 $p |- ( ph -> 0 <_ C ) $=
      ( cc0 cre cfv cle cv wcel wa recnd rered breqtrrd rlimrege0 rlimrecl
      breqtrd ) AJEKLEMABCDEFGABNCOPZDHQUCJDDKLMIUCDHRSTAEABCDEFGHUARUB $.
  $}

  ${
    $d k F $.  $d k G $.  $d k K $.  $d k M $.  $d k ph $.  $d k Z $.
    $d k A $.
    climshft2.1 $e |- Z = ( ZZ>= ` M ) $.
    climshft2.2 $e |- ( ph -> M e. ZZ ) $.
    ${
      climshft2.3 $e |- ( ph -> K e. ZZ ) $.
      climshft2.5 $e |- ( ph -> F e. W ) $.
      climshft2.6 $e |- ( ph -> G e. X ) $.
      climshft2.7 $e |- ( ( ph /\ k e. Z ) ->
                          ( G ` ( k + K ) ) = ( F ` k ) ) $.
      $( A shifted function converges iff the original function converges.
         (Contributed by Paul Chapman, 21-Nov-2007.)  (Revised by Mario
         Carneiro, 6-Feb-2014.) $)
      climshft2 $p |- ( ph -> ( F ~~> A <-> G ~~> A ) ) $=
        ( cshi co wcel cfv cneg cli wbr cvv ovexd cv wa caddc cid wceq zcnd cuz
        eluzelz eleq2s fvex shftval4 syl2an fvi syl adantr oveq1d fveq1d addcom
        cc cz fveq12d 3eqtr3d eqtrd climeq wb znegcld climshft syl2anc bitr3d )
        AEFUAZQRZBUBUCZDBUBUCEBUBUCZABCVPDGUDHJKAEVOQUENLACUFZJSZUGZVSVPTZVSFUH
        RZETZVSDTWAVSEUITZVOQRZTZFVSUHRZWETZWBWDAFVDSZVSVDSZWGWIUJVTAFMUKZVTVSV
        SVESVSGULTJGVSUMKUNUKZFVSWEEUIUOUPUQWAVSWFVPWAWEEVOQAWEEUJZVTAEISZWNOEI
        URUSUTZVAVBWAWHWCWEEWPAWJWKWHWCUJVTWLWMFVSVCUQVFVGPVHVIAVOVESWOVQVRVJAF
        MVKOBEVOIVLVMVN $.
    $}

    climrecl.3 $e |- ( ph -> F ~~> A ) $.
    climrecl.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. RR ) $.
    $( The limit of a convergent real sequence is real.  Corollary 12-2.5 of
       [Gleason] p. 172.  (Contributed by NM, 10-Sep-2005.)  (Proof shortened
       by Mario Carneiro, 10-May-2016.) $)
    climrecl $p |- ( ph -> A e. RR ) $=
      ( cv cfv cz wcel cxr clt syl wbr cli cvv csup cpnf wceq cmpt crli climrel
      uzsup wb brrelex1i eqid climmpt syl2anc mpbid cc wa recnd fmpttd rlimclim
      mpbird rlimrecl ) ACFCKZDLZBAEMNZFOPUAUBUCHEFGUGQACFVBUDZBUERVDBSRZADBSRZ
      VEIAVCDTNZVFVEUHHAVFVGIDBSUFUIQBCDVDETFGVDUJUKULUMABVDEFGHACFVBUNAVAFNUOV
      BJUPUQURUSJUT $.

    climge0.5 $e |- ( ( ph /\ k e. Z ) -> 0 <_ ( F ` k ) ) $.
    $( A nonnegative sequence converges to a nonnegative number.  (Contributed
       by NM, 11-Sep-2005.)  (Proof shortened by Mario Carneiro,
       10-May-2016.) $)
    climge0 $p |- ( ph -> 0 <_ A ) $=
      ( cv cfv cz wcel cxr syl wbr cli cvv clt csup cpnf wceq cmpt crli climrel
      uzsup wb brrelex1i eqid climmpt syl2anc mpbid cc wa recnd fmpttd rlimclim
      mpbird rlimge0 ) ACFCLZDMZBAENOZFPUAUBUCUDHEFGUHQACFVCUEZBUFRVEBSRZADBSRZ
      VFIAVDDTOZVGVFUIHAVGVHIDBSUGUJQBCDVEETFGVEUKULUMUNABVEEFGHACFVCUOAVBFOUPV
      CJUQURUSUTJKVA $.
  $}

  ${
    $d j k x F $.  $d j k x G $.  $d j M $.  $d j k x ph $.  $d j k Z $.
    climabs0.1 $e |- Z = ( ZZ>= ` M ) $.
    climabs0.2 $e |- ( ph -> M e. ZZ ) $.
    climabs0.3 $e |- ( ph -> F e. V ) $.
    climabs0.4 $e |- ( ph -> G e. W ) $.
    climabs0.5 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    climabs0.6 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) = ( abs ` ( F ` k ) ) ) $.
    $( Convergence to zero of the absolute value is equivalent to convergence
       to zero.  (Contributed by NM, 8-Jul-2008.)  (Revised by Mario Carneiro,
       31-Jan-2014.) $)
    climabs0 $p |- ( ph -> ( F ~~> 0 <-> G ~~> 0 ) ) $=
      ( vx vj cfv wbr wral wcel cv cabs clt cuz wrex crp cc0 cli wa uztrn2 wceq
      wb cc absidm breq1d sylan2 anassrs ralbidva rexbidva ralbidv abscld recnd
      syl clim0c eqidd 3bitr4rd ) ABUAZCQZUBQZUBQZOUAZUCRZBPUAZUDQZSZPHUEZOUFSV
      IVKUCRZBVNSZPHUEZOUFSDUGUHRCUGUHRAVPVSOUFAVOVRPHAVMHTZUIVLVQBVNAVTVGVNTZV
      LVQULZVTWAUIAVGHTZWBEVGVMHIUJAWCUIZVJVIVKUCWDVHUMTVJVIUKMVHUNVCUOUPUQURUS
      UTAOVIPBDEGHIJLNWDVIWDVHMVAVBVDAOVHPBCEFHIJKWDVHVEMVDVF $.
  $}

  ${
    $d m n x y z A $.  $d m n x y z F $.  $d m n x y z G $.  $d m n x y ph $.
    $d m n x y B $.
    o1co.1 $e |- ( ph -> F : A --> CC ) $.
    o1co.2 $e |- ( ph -> F e. O(1) ) $.
    o1co.3 $e |- ( ph -> G : B --> A ) $.
    o1co.4 $e |- ( ph -> B C_ RR ) $.
    o1co.5 $e |- ( ( ph /\ m e. RR ) ->
      E. x e. RR A. y e. B ( x <_ y -> m <_ ( G ` y ) ) ) $.
    $( Sufficient condition for transforming the index set of an eventually
       bounded function.  (Contributed by Mario Carneiro, 12-May-2016.) $)
    o1co $p |- ( ph -> ( F o. G ) e. O(1) ) $=
      ( vn wcel cle cfv cr wrex wa vz ccom co1 cv wbr cabs wi wral cc wf wss wb
      cdm fdmd o1dm syl eqsstrrd elo12 syl2anc mpbid reeanv ad3antrrr ffvelrnda
      wceq breq2 2fveq3 breq1d imbi12d rspcva sylan an32s adantr fveq2d sylibrd
      fvco3 imim2d ralimdva expimpd ancomsd reximdva mpand rexlimdva mpd mpbird
      syl5bir fco ) AGHUBZUCOZBUDZCUDZPUEZWJWGQZUFQZNUDZPUEZUGZCEUHZNRSZBRSZAFU
      DZUAUDZPUEZXAGQUFQZWNPUEZUGZUADUHZNRSZFRSZWSAGUCOZXHJADUIGUJZDRUKXIXHULIA
      DGUMZRADUIGIUNAXIXKRUKJGUOUPUQFUADNGURUSUTAXGWSFRAWTROZTZWKWTWJHQZPUEZUGZ
      CEUHZBRSZXGWSMXRXGTXQXFTZNRSZBRSXMWSXQXFBNRRVAXMXTWRBRXMWIROZTZXSWQNRYBWN
      ROZTZXFXQWQYDXFXQWQYDXFTZXPWPCEYEWJEOZTZXOWOWKYGXOXNGQZUFQZWNPUEZWOYDYFXF
      XOYJUGZYDYFTXNDOXFYKYDEDWJHAEDHUJZXLYAYCKVBZVCXEYKUAXNDXAXNVDZXBXOXDYJXAX
      NWTPVEYNXCYIWNPXAXNUFGVFVGVHVIVJVKYGWMYIWNPYGWLYHUFYEYLYFWLYHVDYDYLXFYMVL
      EDWJGHVOVJVMVGVNVPVQVRVSVTVTWEWAWBWCAEUIWGUJZERUKWHWSULAXJYLYOIKEDUIGHWFU
      SLBCENWGURUSWD $.
  $}

  ${
    $d m x y z A $.  $d m x y z B $.  $d m x z C $.  $d m x y z ph $.
    $d m x z F $.
    o1compt.1 $e |- ( ph -> F : A --> CC ) $.
    o1compt.2 $e |- ( ph -> F e. O(1) ) $.
    o1compt.3 $e |- ( ( ph /\ y e. B ) -> C e. A ) $.
    o1compt.4 $e |- ( ph -> B C_ RR ) $.
    o1compt.5 $e |- ( ( ph /\ m e. RR ) ->
      E. x e. RR A. y e. B ( x <_ y -> m <_ C ) ) $.
    $( Sufficient condition for transforming the index set of an eventually
       bounded function.  (Contributed by Mario Carneiro, 12-May-2016.) $)
    o1compt $p |- ( ph -> ( F o. ( y e. B |-> C ) ) e. O(1) ) $=
      ( vz cv cr wcel cle wbr wi cmpt fmpttd wa cfv wral wrex nfv nfcv nffvmpt1
      wb nfbr nfim wceq breq2 fveq2 breq2d imbi12d cbvralw simpr fvmpt2 syl2anc
      eqid imbi2d ralbidva syl5bb rexbidv adantr mpbird o1co ) ABNDEGHCEFUAZIJA
      CEFDKUBLAGOZPQZUCBOZNOZRSZVKVNVJUDZRSZTZNEUEZBPUFZVMCOZRSZVKFRSZTZCEUEZBP
      UFZMAVTWFUJVLAVSWEBPVSWBVKWAVJUDZRSZTZCEUEAWEVRWINCEVOVQCVOCUGCVKVPRCVKUH
      CRUHCEFVNUIUKULWINUGVNWAUMZVOWBVQWHVNWAVMRUNWJVPWGVKRVNWAVJUOUPUQURAWIWDC
      EAWAEQZUCZWHWCWBWLWGFVKRWLWKFDQWGFUMAWKUSKCEFDVJVJVBUTVAUPVCVDVEVFVGVHVI
      $.
  $}

  ${
    $d c w x y A $.  $d c v w x y z F $.  $d c v w x y z G $.  $d c w x y ph $.
    $d c w x y z C $.  $d c v w z X $.
    rlimcn1.1 $e |- ( ph -> G : A --> X ) $.
    rlimcn1.2 $e |- ( ph -> C e. X ) $.
    rlimcn1.3 $e |- ( ph -> G ~~>r C ) $.
    rlimcn1.4 $e |- ( ph -> F : X --> CC ) $.
    rlimcn1.5 $e |- ( ( ph /\ x e. RR+ ) -> E. y e. RR+ A. z e. X
                    ( ( abs ` ( z - C ) ) < y ->
                      ( abs ` ( ( F ` z ) - ( F ` C ) ) ) < x ) ) $.
    $( Image of a limit under a continuous map.  (Contributed by Mario
       Carneiro, 17-Sep-2014.) $)
    rlimcn1 $p |- ( ph -> ( F o. G ) ~~>r ( F ` C ) ) $=
      ( vw vc cv cfv wbr cmin vv ccom cmpt crli ffvelrnda feqmptd cc fmptco cle
      fveq2 co cabs clt wi wral cr wrex crp wcel fvexd ralrimiva simpr eqbrtrrd
      wa cvv ad2antrr rlimi wceq fvoveq1 imbrov2fvoveq simplrr ad4ant14 rspcdva
      breq1d imim2d ralimdva reximdv expr mpid rexlimdva mpd syldan fdmd rlimss
      cdm wss syl eqsstrrd ffvelrnd rlim2 mpbird eqbrtrd ) AGHUBOEOQZHRZGRZUCZF
      GRZUDAOUAEIWNUAQZGRWOHGAEIWMHJUEZAOEIHJUFZAUAIUGGMUFWRWNGUJUHAWPWQUDSPQWM
      UISZWOWQTUKULRBQZUMSZUNZOEUOZPUPUQZBURUOAXFBURAXBURUSZVDZDQZFTUKULRZCQZUM
      SZXIGRWQTUKULRXBUMSUNZDIUOZCURUQXFNXHXNXFCURXHXKURUSZVDZXNXAWNFTUKULRZXKU
      MSZUNZOEUOZPUPUQZXFXPPOEWNFXKVEXPWNVEUSOEXPWMEUSZVDWMHUTVAXHXOVBAOEWNUCZF
      UDSXGXOAHYCFUDWTLVCVFVGXHXOXNYAXFUNXHXOXNVDZVDZXTXEPUPYEXSXDOEYEYBVDZXRXC
      XAYFXMXRXCUNDIWNXLXRXBUMTULGWQXIWNXIWNVHXJXQXKUMXIWNFULTVIVNVJXHXOXNYBVKA
      YBWNIUSZXGYDWSVLVMVOVPVQVRVSVTWAVAABPOEWOWQAWOUGUSZOEAYBYGYHWSAIUGWNGMUEW
      BVAAEHWEZUPAEIHJWCAHFUDSYIUPWFLFHWDWGWHAIUGFGMKWIWJWKWL $.
  $}

  ${
    $d k x y z A $.  $d x y z B $.  $d x y z C $.  $d k x y z F $.  $d k z X $.
    $d k x y ph $.
    rlimcn1b.1 $e |- ( ( ph /\ k e. A ) -> B e. X ) $.
    rlimcn1b.2 $e |- ( ph -> C e. X ) $.
    rlimcn1b.3 $e |- ( ph -> ( k e. A |-> B ) ~~>r C ) $.
    rlimcn1b.4 $e |- ( ph -> F : X --> CC ) $.
    rlimcn1b.5 $e |- ( ( ph /\ x e. RR+ ) -> E. y e. RR+ A. z e. X
                    ( ( abs ` ( z - C ) ) < y ->
                      ( abs ` ( ( F ` z ) - ( F ` C ) ) ) < x ) ) $.
    $( Image of a limit under a continuous map.  (Contributed by Mario
       Carneiro, 10-May-2016.) $)
    rlimcn1b $p |- ( ph -> ( k e. A |-> ( F ` B ) ) ~~>r ( F ` C ) ) $=
      ( cmpt ccom cfv crli cc cofmpt fmpttd rlimcn1 eqbrtrrd ) AIHEFPZQHEFIRPGI
      RSAHEFJTINKUAABCDEGIUEJAHEFJKUBLMNOUCUD $.
  $}

  ${
    $d a b c r s x z A $.  $d a b c r s u v x z F $.  $d a b c r s u v x z R $.
    $d a b c r s u v x B $.  $d a b c r s x z ph $.  $d a b c r s u v x z S $.
    $d a b c r s v x C $.  $d a b u z X $.  $d a b u v z Y $.
    rlimcn3.1a $e |- ( ( ph /\ z e. A ) -> B e. X ) $.
    rlimcn3.1b $e |- ( ( ph /\ z e. A ) -> C e. Y ) $.
    rlimcn3.1c $e |- ( ( ph /\ z e. A ) -> ( B F C ) e. CC ) $.
    rlimcn3.2 $e |- ( ph -> ( R F S ) e. CC ) $.
    rlimcn3.3a $e |- ( ph -> ( z e. A |-> B ) ~~>r R ) $.
    rlimcn3.3b $e |- ( ph -> ( z e. A |-> C ) ~~>r S ) $.
    rlimcn3.4 $e |- ( ( ph /\ x e. RR+ ) ->
      E. r e. RR+ E. s e. RR+ A. u e. X A. v e. Y
        ( ( ( abs ` ( u - R ) ) < r /\ ( abs ` ( v - S ) ) < s ) ->
          ( abs ` ( ( u F v ) - ( R F S ) ) ) < x ) ) $.
    $( Image of a limit under a continuous map, two-arg version.  Originally a
       subproof of ~ rlimcn2 .  (Contributed by SN, 27-Sep-2024.) $)
    rlimcn3 $p |- ( ph -> ( z e. A |-> ( B F C ) ) ~~>r ( R F S ) ) $=
      ( vc va vb co cmpt crli wbr cv cle cmin cabs cfv clt wi wral cr wrex wcel
      crp ralrimiva adantr simprl rlimi simprr reeanv r19.26 cif anim12 simplrl
      wa wb simplrr wss cdm eqid dmmptd rlimss eqsstrrd ad2antrr sselda syl3anc
      syl imbi1d syl5ibr ralimdva ifcl ancoms ad2antlr adantlr jca wceq fvoveq1
      maxle breq1d anbi1d oveq1 imbi12d anbi2d oveq2 rspc2va sylan imim2d an32s
      fvoveq1d breq1 rspceaimv syl6an ex com23 syl5bir rexlimdvva mp2and syldan
      syld imp cc rlim2 mpbird ) ACFGHKUFZUGIJKUFZUHUIUCUJZCUJZUKUIZYAYBULUFUMU
      NZBUJZUOUIZUPCFUQUCURUSZBVAUQAYIBVAAYGVAUTEUJZIULUFUMUNZOUJZUOUIZDUJZJULU
      FUMUNZNUJZUOUIZVLZYJYNKUFZYBULUFUMUNZYGUOUIZUPZDMUQELUQZNVAUSOVAUSZYIUBAU
      UDYIAUUCYIONVAVAAYLVAUTZYPVAUTZVLZVLZUDUJZYDUKUIZGIULUFUMUNZYLUOUIZUPZCFU
      QZUDURUSZUEUJZYDUKUIZHJULUFUMUNZYPUOUIZUPZCFUQZUEURUSZUUCYIUPZUUHUDCFGIYL
      LAGLUTZCFUQUUGAUVDCFPVBVCAUUEUUFVDACFGUGZIUHUIZUUGTVCVEUUHUECFHJYPMAHMUTZ
      CFUQUUGAUVGCFQVBVCAUUEUUFVFACFHUGJUHUIUUGUAVCVEUUOUVBVLUUNUVAVLZUEURUSUDU
      RUSUUHUVCUUNUVAUDUEURURVGUUHUVHUVCUDUEURURUVHUUMUUTVLZCFUQZUUHUUIURUTZUUP
      URUTZVLZVLZUVCUUMUUTCFVHUVNUVJUUIUUPUKUIZUUPUUIVIZYDUKUIZUULUUSVLZUPZCFUQ
      ZUVCUVNUVIUVSCFUVIUVSUVNYDFUTZVLZUUJUUQVLZUVRUPUUJUULUUQUUSVJUWBUVQUWCUVR
      UWBUVKUVLYDURUTUVQUWCVMUUHUVKUVLUWAVKUUHUVKUVLUWAVNUVNFURYDAFURVOUUGUVMAF
      UVEVPZURACUVEFGLUVEVQPVRAUVFUWDURVOTIUVEVSWDVTZWAWBUUIUUPYDWOWCWEWFWGUVNU
      UCUVTYIUVNUUCUVTYIUPUVNUUCVLUVPURUTZUVTUVQYHUPZCFUQZYIUVMUWFUUHUUCUVLUVKU
      WFUVOUUPUUIURWHWIWJUUHUUCUVTUWHUPUVMUUHUUCVLUVSUWGCFUUHUWAUUCUVSUWGUPUUHU
      WAVLZUUCVLUVRYHUVQUWIUVDUVGVLUUCUVRYHUPZUWIUVDUVGAUWAUVDUUGPWKAUWAUVGUUGQ
      WKWLUUBUWJUULYQVLZGYNKUFZYBULUFUMUNZYGUOUIZUPEDGHLMYJGWMZYRUWKUUAUWNUWOYM
      UULYQUWOYKUUKYLUOYJGIUMULWNWPWQUWOYTUWMYGUOUWOYSUWLYBUMULYJGYNKWRXFWPWSYN
      HWMZUWKUVRUWNYHUWPYQUUSUULUWPYOUURYPUOYNHJUMULWNWPWTUWPUWMYFYGUOUWPUWLYAY
      BUMULYNHGKXAXFWPWSXBXCXDXEWGWKYEUVQYHUCCUVPURFYCUVPYDUKXGXHXIXJXKXPXLXMXL
      XNXMXQXOVBABUCCFYAYBAYAXRUTCFRVBUWESXSXT $.
  $}

  ${
    $d A r s x z $.  $d F r s u v x z $.  $d R r s u v x z $.
    $d B r s u v x $.  $d ph r s x z $.  $d S r s u v x z $.  $d C r s v x $.
    $d X u z $.  $d Y u v z $.
    rlimcn2.1a $e |- ( ( ph /\ z e. A ) -> B e. X ) $.
    rlimcn2.1b $e |- ( ( ph /\ z e. A ) -> C e. Y ) $.
    rlimcn2.2a $e |- ( ph -> R e. X ) $.
    rlimcn2.2b $e |- ( ph -> S e. Y ) $.
    rlimcn2.3a $e |- ( ph -> ( z e. A |-> B ) ~~>r R ) $.
    rlimcn2.3b $e |- ( ph -> ( z e. A |-> C ) ~~>r S ) $.
    rlimcn2.4 $e |- ( ph -> F : ( X X. Y ) --> CC ) $.
    rlimcn2.5 $e |- ( ( ph /\ x e. RR+ ) ->
      E. r e. RR+ E. s e. RR+ A. u e. X A. v e. Y
        ( ( ( abs ` ( u - R ) ) < r /\ ( abs ` ( v - S ) ) < s ) ->
          ( abs ` ( ( u F v ) - ( R F S ) ) ) < x ) ) $.
    $( Image of a limit under a continuous map, two-arg version.  (Contributed
       by Mario Carneiro, 17-Sep-2014.) $)
    rlimcn2 $p |- ( ph -> ( z e. A |-> ( B F C ) ) ~~>r ( R F S ) ) $=
      ( cv wcel wa cc cxp wf adantr fovrnd rlimcn3 ) ABCDEFGHIJKLMNOPQACUDFUEZU
      FGHUGLMKALMUHUGKUIUMUBUJPQUKAIJUGLMKUBRSUKTUAUCUL $.
  $}

  ${
    $d j k x y z A $.  $d j k z B $.  $d j k y z G $.  $d j k x H $.  $d j M $.
    $d j k x y z F $.  $d j k x y z ph $.  $d j k y Z $.
    climcn1.1 $e |- Z = ( ZZ>= ` M ) $.
    climcn1.2 $e |- ( ph -> M e. ZZ ) $.
    climcn1.3 $e |- ( ph -> A e. B ) $.
    climcn1.4 $e |- ( ( ph /\ z e. B ) -> ( F ` z ) e. CC ) $.
    climcn1.5 $e |- ( ph -> G ~~> A ) $.
    climcn1.6 $e |- ( ph -> H e. W ) $.
    climcn1.7 $e |- ( ( ph /\ x e. RR+ ) -> E. y e. RR+ A. z e. B
                    ( ( abs ` ( z - A ) ) < y ->
                      ( abs ` ( ( F ` z ) - ( F ` A ) ) ) < x ) ) $.
    climcn1.8 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) e. B ) $.
    climcn1.9 $e |- ( ( ph /\ k e. Z ) -> ( H ` k ) = ( F ` ( G ` k ) ) ) $.
    $( Image of a limit under a continuous map.  (Contributed by Mario
       Carneiro, 31-Jan-2014.) $)
    climcn1 $p |- ( ph -> H ~~> ( F ` A ) ) $=
      ( vj cfv cli wbr cv cmin co cabs clt cuz wral wrex crp wa wi adantr simpr
      wcel eqidd climi2 uztrn2 adantlr wceq fvoveq1 breq1d imbrov2fvoveq rspcva
      sylan an32s sylan2 anassrs ralimdva reximdva mpid rexlimdva mpd ralrimiva
      cz ex cc fveq2 eleq1d rspcdva clim2c mpbird ) AJEHUDZUEUFGUGZIUDZHUDZWHUH
      UIUJUDBUGZUKUFZGUCUGZULUDZUMZUCMUNZBUOUMAWQBUOAWLUOUTZUPDUGZEUHUIUJUDZCUG
      ZUKUFZWSHUDZWHUHUIUJUDWLUKUFUQZDFUMZCUOUNZWQTAXFWQUQWRAXEWQCUOAXAUOUTZUPZ
      XEWJEUHUIUJUDZXAUKUFZGWOUMZUCMUNZWQXHEWJXAUCGIKMNAKVTUTXGOURAXGUSXHWIMUTZ
      UPZWJVAAIEUEUFXGRURVBXHXEXLWQUQXHXEUPZXKWPUCMXOWNMUTZUPXJWMGWOXOXPWIWOUTZ
      XJWMUQZXPXQUPXOXMXRKWIWNMNVCXHXMXEXRXNWJFUTZXEXRAXMXSXGUAVDXDXRDWJFXBXJWL
      UKUHUJHWHWSWJWSWJVEZWTXIXAUKWSWJEUJUHVFVGVHVIVJVKVLVMVNVOWAVPVQURVRVSABWH
      WKUCGJKLMNOSUBAXCWBUTZWHWBUTDFEWSEVEXCWHWBWSEHWCWDAYADFQVSZPWEAXMUPYAWKWB
      UTDFWJXTXCWKWBWSWJHWCWDAYADFUMXMYBURUAWEWFWG $.
  $}

  ${
    $d j k u v C $.  $d j k u v D $.  $d j k v y z H $.  $d j k u v x y z ph $.
    $d j k u v x y z A $.  $d j k u v y z G $.  $d j k x K $.  $d j k y z Z $.
    $d j k u v x y z B $.  $d j k u v x y z F $.  $d j M $.
    climcn2.1 $e |- Z = ( ZZ>= ` M ) $.
    climcn2.2 $e |- ( ph -> M e. ZZ ) $.
    climcn2.3a $e |- ( ph -> A e. C ) $.
    climcn2.3b $e |- ( ph -> B e. D ) $.
    climcn2.4 $e |- ( ( ph /\ ( u e. C /\ v e. D ) ) -> ( u F v ) e. CC ) $.
    climcn2.5a $e |- ( ph -> G ~~> A ) $.
    climcn2.5b $e |- ( ph -> H ~~> B ) $.
    climcn2.6 $e |- ( ph -> K e. W ) $.
    climcn2.7 $e |- ( ( ph /\ x e. RR+ ) ->
      E. y e. RR+ E. z e. RR+ A. u e. C A. v e. D
        ( ( ( abs ` ( u - A ) ) < y /\ ( abs ` ( v - B ) ) < z ) ->
          ( abs ` ( ( u F v ) - ( A F B ) ) ) < x ) ) $.
    climcn2.8a $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) e. C ) $.
    climcn2.8b $e |- ( ( ph /\ k e. Z ) -> ( H ` k ) e. D ) $.
    climcn2.9 $e |- ( ( ph /\ k e. Z ) ->
                      ( K ` k ) = ( ( G ` k ) F ( H ` k ) ) ) $.
    $( Image of a limit under a continuous map, two-arg version.  (Contributed
       by Mario Carneiro, 31-Jan-2014.) $)
    climcn2 $p |- ( ph -> K ~~> ( A F B ) ) $=
      ( vj co cli wbr cv cfv cmin cabs clt cuz wral wrex crp wcel adantr simprl
      wa wi cz eqidd climi2 simprr rexanuz2 sylanbrc uztrn2 wceq fvoveq1 breq1d
      anbi1d oveq1 imbi12d anbi2d oveq2 rspc2v syl2anc imp an32s sylan2 anassrs
      fvoveq1d ralimdva reximdva ex mpid rexlimdvva mpd ralrimiva cc ralrimivva
      caovcld jca eleq1d sylc clim2c mpbird ) AOGHLULZUMUNKUOZMUPZXGNUPZLULZXFU
      QULURUPZBUOZUSUNZKUKUOZUTUPZVAZUKRVBZBVCVAAXQBVCAXLVCVDZVGFUOZGUQULURUPZC
      UOZUSUNZEUOZHUQULURUPZDUOZUSUNZVGZXSYCLULZXFUQULURUPZXLUSUNZVHZEJVAFIVAZD
      VCVBCVCVBZXQUGAYMXQVHXRAYLXQCDVCVCAYAVCVDZYEVCVDZVGZVGZYLXHGUQULURUPZYAUS
      UNZXIHUQULURUPZYEUSUNZVGZKXOVAZUKRVBZXQYQYSKXOVAUKRVBUUAKXOVAUKRVBUUDYQGX
      HYAUKKMPRSAPVIVDYPTVEZAYNYOVFYQXGRVDZVGZXHVJAMGUMUNYPUDVEVKYQHXIYEUKKNPRS
      UUEAYNYOVLUUGXIVJANHUMUNYPUEVEVKYSUUAUKKPRSVMVNAYLUUDXQVHZVHYPAYLUUHAYLVG
      ZUUCXPUKRUUIXNRVDZVGUUBXMKXOUUIUUJXGXOVDZUUBXMVHZUUJUUKVGUUIUUFUULPXGXNRS
      VOAUUFYLUULAUUFVGZYLUULUUMXHIVDZXIJVDZYLUULVHUHUIYKUULYSYFVGZXHYCLULZXFUQ
      ULURUPZXLUSUNZVHFEXHXIIJXSXHVPZYGUUPYJUUSUUTYBYSYFUUTXTYRYAUSXSXHGURUQVQV
      RVSUUTYIUURXLUSUUTYHUUQXFURUQXSXHYCLVTZWJVRWAYCXIVPZUUPUUBUUSXMUVBYFUUAYS
      UVBYDYTYEUSYCXIHURUQVQVRWBUVBUURXKXLUSUVBUUQXJXFURUQYCXIXHLWCZWJVRWAWDWEW
      FWGWHWIWKWLWMVEWNWOVEWPWQABXFXJUKKOPQRSTUFUJAFEGHIJWRLUCUAUBWTUUMUUNUUOVG
      YHWRVDZEJVAFIVAZXJWRVDZUUMUUNUUOUHUIXAAUVEUUFAUVDFEIJUCWSVEUVDUVFUUQWRVDF
      EXHXIIJUUTYHUUQWRUVAXBUVBUUQXJWRUVCXBWDXCXDXE $.
  $}

  ${
    $d u v w y z A $.  $d u v w y z B $.  $d u v w y z C $.  $d y z T $.
    $( Complex number addition is a continuous function.  Part of Proposition
       14-4.16 of [Gleason] p. 243.  (We write out the definition directly
       because ~ df-cn and ~ df-cncf are not yet available to us.  See ~ addcn
       for the abbreviated version.)  (Contributed by Mario Carneiro,
       31-Jan-2014.) $)
    addcn2 $p |- ( ( A e. RR+ /\ B e. CC /\ C e. CC ) ->
      E. y e. RR+ E. z e. RR+ A. u e. CC A. v e. CC
        ( ( ( abs ` ( u - B ) ) < y /\ ( abs ` ( v - C ) ) < z ) ->
          ( abs ` ( ( u + v ) - ( B + C ) ) ) < A ) ) $=
      ( crp wcel cc co cv cmin cabs cfv clt wbr wa wi wral w3a c2 cdiv rphalfcl
      caddc 3ad2ant1 simprl simpl2 simprr pnpcan2d fveq2d breq1d simpl3 pnpcand
      wrex anbi12d cr addcl adantl addcld simpl1 rpred abs3lem syl22anc sylbird
      ralrimivva wceq breq2 anbi1d imbi1d 2ralbidv anbi2d rspc2ev syl3anc ) EHI
      ZFJIZGJIZUAZEUBUCKZHIZVTDLZFMKZNOZVSPQZCLZGMKZNOZVSPQZRZWAWEUEKZFGUEKZMKN
      OEPQZSZCJTDJTZWCALZPQZWGBLZPQZRZWLSZCJTDJTZBHUOAHUOVOVPVTVQEUDUFZXBVRWMDC
      JJVRWAJIZWEJIZRZRZWIWJFWEUEKZMKZNOZVSPQZXGWKMKZNOZVSPQZRZWLXFXJWDXMWHXFXI
      WCVSPXFXHWBNXFWAFWEVRXCXDUGVOVPVQXEUHZVRXCXDUIZUJUKULXFXLWGVSPXFXKWFNXFFW
      EGXOXPVOVPVQXEUMZUNUKULUPXFWJJIZWKJIXGJIEUQIXNWLSXEXRVRWAWEURUSXFFGXOXQUT
      XFFWEXOXPUTXFEVOVPVQXEVAVBWJWKXGEVCVDVEVFXAWNWDWRRZWLSZCJTDJTABVSVSHHWOVS
      VGZWTXTDCJJYAWSXSWLYAWPWDWRWOVSWCPVHVIVJVKWQVSVGZXTWMDCJJYBXSWIWLYBWRWHWD
      WQVSWGPVHVLVJVKVMVN $.

    $( Complex number subtraction is a continuous function.  Part of
       Proposition 14-4.16 of [Gleason] p. 243.  (Contributed by Mario
       Carneiro, 31-Jan-2014.) $)
    subcn2 $p |- ( ( A e. RR+ /\ B e. CC /\ C e. CC ) ->
      E. y e. RR+ E. z e. RR+ A. u e. CC A. v e. CC
        ( ( ( abs ` ( u - B ) ) < y /\ ( abs ` ( v - C ) ) < z ) ->
          ( abs ` ( ( u - v ) - ( B - C ) ) ) < A ) ) $=
      ( vw crp wcel cc cv cmin co cabs cfv clt wbr wa caddc w3a cneg wral negcl
      wi wrex addcn2 syl3an3 fvoveq1 breq1d anbi2d oveq2 fvoveq1d imbi12d rspcv
      wceq syl adantl simpr simpll3 fveq2d abssubd eqtrd negsub adantll simpll2
      neg2subd negsubd oveq12d sylibd ralrimdva ralimdva reximdv mpd ) EIJZFKJZ
      GKJZUAZDLZFMNOPALQRZHLZGUBZMNOPZBLZQRZSZVSWATNZFWBTNZMNOPZEQRZUEZHKUCZDKU
      CZBIUFZAIUFZVTCLZGMNOPZWDQRZSZVSWPMNZFGMNZMNZOPZEQRZUEZCKUCZDKUCZBIUFZAIU
      FVQVOVPWBKJWOGUDABHDEFWBUGUHVRWNXHAIVRWMXGBIVRWLXFDKVRVSKJZSZWLXECKXJWPKJ
      ZSZWLVTWPUBZWBMNZOPZWDQRZSZVSXMTNZWHMNZOPZEQRZUEZXEXKWLYBUEZXJXKXMKJYCWPU
      DWKYBHXMKWAXMUPZWFXQWJYAYDWEXPVTYDWCXOWDQWAXMWBOMUIUJUKYDWIXTEQYDWGXRWHOM
      WAXMVSTULUMUJUNUOUQURXLXQWSYAXDXLXPWRVTXLXOWQWDQXLXOGWPMNZOPWQXLXNYEOXLWP
      GXJXKUSZVOVPVQXIXKUTZVGVAXLGWPYGYFVBVCUJUKXLXTXCEQXLXSXBOXLXRWTWHXAMXIXKX
      RWTUPVRVSWPVDVEXLFGVOVPVQXIXKVFYGVHVIVAUJUNVJVKVLVMVMVN $.

    $( Complex number multiplication is a continuous function.  Part of
       Proposition 14-4.16 of [Gleason] p. 243.  (Contributed by Mario
       Carneiro, 31-Jan-2014.) $)
    mulcn2 $p |- ( ( A e. RR+ /\ B e. CC /\ C e. CC ) ->
      E. y e. RR+ E. z e. RR+ A. u e. CC A. v e. CC
        ( ( ( abs ` ( u - B ) ) < y /\ ( abs ` ( v - C ) ) < z ) ->
          ( abs ` ( ( u x. v ) - ( B x. C ) ) ) < A ) ) $=
      ( crp wcel cc co cabs cfv clt wbr wa cmul wi cr cle c2 cdiv c1 caddc cmin
      w3a cv wral rphalfcl 3ad2ant1 abscl 3ad2ant3 3ad2ant2 1re readdcl sylancl
      wrex cc0 0lt1 addgegt0 an4s mpanr12 syl2anc elrpd rpdivcld rpred readdcld
      absge0 elrp sylan2b syl21anc simprl simpl2 subcld abscld adantr ltmuldivd
      simprr simpl3 abs2difd resubcld lelttr syl3anc mpand ltsubadd2d ltle syld
      sylibd absge0d lemul2a syl112anc remulcld expd 3syld sylbird impd absmuld
      ex com23 subdird fveq2d eqtr3d breq1d ltmuldiv2d subdid lep1d jca lemul1a
      syl3an3 mpd eqbrtrd mulcld adantld mulcl adantl simpl1 abs3lem ralrimivva
      jcad syl22anc wceq breq2 anbi1d imbi1d 2ralbidv anbi2d rspc2ev ) EHIZFJIZ
      GJIZUFZEUAUBKZGLMZYLFLMZUCUDKZUBKZUDKZUBKZHIYPHIZDUGZFUEKZLMZYRNOZCUGZGUE
      KZLMZYPNOZPZYTUUDQKZFGQKZUEKLMENOZRZCJUHDJUHZUUBAUGZNOZUUFBUGZNOZPZUUKRZC
      JUHDJUHZBHUQAHUQYKYLYQYHYIYLHIZYJEUIUJZYKYQYKYMYPYJYHYMSIZYIGUKULZYKYPYKY
      LYOUVBYKYOYKYNSIZUCSIZYOSIZYIYHUVEYJFUKZUMUNYNUCUOUPZYIYHURYONOZYJYIUVEUR
      YNTOZUVJUVHFVHUVEUVKPUVFURUCNOZUVJUNUSUVEUVFUVKUVLUVJYNUCUTVAVBVCUMVDZVEZ
      VFZVGZYKUVCURYMTOZYSURYQNOZUVDYJYHUVQYIGVHULUVNYSUVCUVQPYPSIZURYPNOZPUVRY
      PVIUVCUVSUVQUVTUVRYMYPUTVAVJVKVDZVEUVNYKUULDCJJYKYTJIZUUDJIZPZPZUUHUUIFUU
      DQKZUEKZLMZYLNOZUWFUUJUEKZLMZYLNOZPZUUKUWEUUHUWIUWLUWEUUHUUBUUDLMZQKZYLNO
      ZUWIUWEUUCUUGUWPUWEUUCUUBYQQKZYLNOZUUGUWPRUWEUUBYLYQUWEUUAUWEYTFYKUWBUWCV
      LZYHYIYJUWDVMZVNZVOZUWEYLYKUVAUWDUVBVPVFZYKYQHIUWDUWAVPVQUWEUUGUWRUWPUWEU
      UGUWNYQTOZUWOUWQTOZUWRUWPRUWEUUGUWNYQNOZUXDUWEUUGUWNYMUEKZYPNOZUXFUWEUXGU
      UFTOZUUGUXHUWEUUDGYKUWBUWCVRZYHYIYJUWDVSZVTUWEUXGSIUUFSIZUVSUXIUUGPUXHRUW
      EUWNYMUWEUUDUXJVOZYKUVCUWDUVDVPZWAUWEUUEUWEUUDGUXJUXKVNZVOZYKUVSUWDUVOVPZ
      UXGUUFYPWBWCWDUWEUWNYMYPUXMUXNUXQWEWHUWEUWNSIZYQSIZUXFUXDRUXMYKUXSUWDUVPV
      PZUWNYQWFVCWGUWEUXRUXSUUBSIZURUUBTOZUXDUXERUXMUXTUXBUWEUUAUXAWIUXRUXSUYAU
      YBPUFUXDUXEUWNYQUUBWJWRWKUWEUXEUWRUWPUWEUWOSIUWQSIYLSIZUXEUWRPUWPRUWEUUBU
      WNUXBUXMWLUWEUUBYQUXBUXTWLUXCUWOUWQYLWBWCWMWNWSWOWPUWEUWOUWHYLNUWEUUAUUDQ
      KZLMUWOUWHUWEUUAUUDUXAUXJWQUWEUYDUWGLUWEYTFUUDUWSUWTUXJWTXAXBXCWHUWEUUGUW
      LUUCUWEUUGYOUUFQKZYLNOZUWLUWEUUFYLYOUXPUXCYKYOHIUWDUVMVPXDUWEUWKUYETOZUYF
      UWLUWEUWKYNUUFQKZUYETUWEFUUEQKZLMUWKUYHUWEUYIUWJLUWEFUUDGUWTUXJUXKXEXAUWE
      FUUEUWTUXOWQXBUWEYNYOTOZUYHUYETOZUWEYNUWEFUWTVOZXFUWEUVEUVGUUEJIZUYJUYKRZ
      UYLYKUVGUWDUVIVPZUXOUYMUVEUVGUXLURUUFTOZPZUYNUYMUXLUYPUUEUKUUEVHXGUVEUVGU
      YQUFUYJUYKYNYOUUFXHWRXIWCXJXKUWEUWKSIUYESIUYCUYGUYFPUWLRUWEUWJUWEUWFUUJUW
      EFUUDUWTUXJXLZUWEFGUWTUXKXLZVNVOUWEYOUUFUYOUXPWLUXCUWKUYEYLWBWCWDWOXMXSUW
      EUUIJIZUUJJIUWFJIESIUWMUUKRUWDUYTYKYTUUDXNXOUYSUYRUWEEYHYIYJUWDXPVFUUIUUJ
      UWFEXQXTWGXRUUTUUMUUCUUQPZUUKRZCJUHDJUHABYRYPHHUUNYRYAZUUSVUBDCJJVUCUURVU
      AUUKVUCUUOUUCUUQUUNYRUUBNYBYCYDYEUUPYPYAZVUBUULDCJJVUDVUAUUHUUKVUDUUQUUGU
      UCUUPYPUUFNYBYFYDYEYGWC $.

    reccn2.t $e |- T = ( if ( 1 <_ ( ( abs ` A ) x. B ) , 1 ,
      ( ( abs ` A ) x. B ) ) x. ( ( abs ` A ) / 2 ) ) $.
    $( The reciprocal function is continuous.  (Contributed by Mario Carneiro,
       9-Feb-2014.)  (Revised by Mario Carneiro, 22-Sep-2014.) $)
    reccn2 $p |- ( ( A e. ( CC \ { 0 } ) /\ B e. RR+ ) -> E. y e. RR+
      A. z e. ( CC \ { 0 } ) ( ( abs ` ( z - A ) ) < y ->
        ( abs ` ( ( 1 / z ) - ( 1 / A ) ) ) < B ) ) $=
      ( cc cc0 wcel crp cmin co cabs cfv clt wbr c1 cdiv cmul cle cdif wa cv wi
      csn wral wrex cif c2 1rp wne simpl eldifsn sylib absrpcl rpmulcl sylancom
      syl ifcl sylancr rphalfcld rpmulcld eqeltrid adantr simpld simprl syl2anc
      mulcld mulne0 divsubdird mulid1d oveq1d wceq 1cnd divcan5 syl3anc mulcomd
      eqtr3d oveq12d eqtrd fveq2d subcld absdivd cr abssubd abscld eqeltrd rpre
      rpred ad2antlr remulcld simprr eqbrtrd 1re min2 lemul1d mpbid caddc recnd
      eqbrtrid 2halvesd min1 mulid2d breqtrd ltletrd lelttrd ltsubadd2d ltadd1d
      resubcld abs2difd mpbird ltmul2dd absmuld mul32d breqtrrd lttrd ltdivmuld
      1red absrpcld expr ralrimiva breq2 rspceaimv ) CGHUEUAZIZDJIZUBZEJIZBUCZC
      KLZMNZEOPZQYIRLZQCRLZKLZMNZDOPZUDZBYDUFYKAUCZOPZYQUDBYDUFAJUGYGEQCMNZDSLZ
      TPZQUUBUHZUUAUIRLZSLZJFYGUUDUUEYGQJIUUBJIZUUDJIZUJYEYFUUAJIZUUGYGCGIZCHUK
      ZUBZUUIYGYEUULYEYFULCGHUMUNZCUOURZUUADUPUQZUUCQUUBJUSUTZYGUUAUUNVAZVBVCZY
      GYRBYDYGYIYDIZYLYQYGUUSYLUBZUBZYPCYIKLZMNZCYISLZMNZRLZDOUVAUVBUVDRLZMNYPU
      VFUVAUVGYOMUVAUVGCUVDRLZYIUVDRLZKLYOUVACYIUVDUVAUUJUUKYGUULUUTUUMVDZVEZUV
      AYIGIZYIHUKZUVAUUSUVLUVMUBZYGUUSYLVFYIGHUMUNZVEZUVACYIUVKUVPVHZUVAUULUVNU
      VDHUKUVJUVOCYIVIVGZVJUVAUVHYMUVIYNKUVACQSLZUVDRLZUVHYMUVAUVSCUVDRUVACUVKV
      KVLUVAQGIZUVNUULUVTYMVMUVAVNZUVOUVJQYICVOVPVRUVAYIQSLZYICSLZRLZUVIYNUVAUW
      CYIUWDUVDRUVAYIUVPVKUVAYICUVPUVKVQVSUVAUWAUULUVNUWEYNVMUWBUVJUVOQCYIVOVPV
      RVSVTWAUVAUVBUVDUVACYIUVKUVPWBUVQUVRWCVRUVAUVFDOPUVCUVEDSLZOPUVAUVCEUWFUV
      AUVCYKWDUVACYIUVKUVPWEZUVAYJUVAYICUVPUVKWBWFWGZUVAEYGYHUUTUURVDWIZUVAUVED
      UVAUVDUVQWFYFDWDIYEUUTDWHWJZWKZUVAUVCYKEOUWGYGUUSYLWLWMZUVAEUUBUUESLZUWFU
      WIUVAUUBUUEUVAUUBYGUUGUUTUUOVDZWIZUVAUUEYGUUEJIUUTUUQVDZWIZWKUWKUVAEUUFUW
      MTFUVAUUDUUBTPZUUFUWMTPUVAQWDIZUUBWDIZUWRWNUWOQUUBWOUTUVAUUDUUBUUEUVAUUDY
      GUUHUUTUUPVDWIZUWOUWPWPWQWTUVAUWMUUBYIMNZSLZUWFOUVAUUEUXBUUBUWQUVAYIUVPWF
      ZUWNUVAUUEUXBOPUUEUUEWRLZUXBUUEWRLZOPUVAUXEUUAUXFOUVAUUAUVAUUAUVACUVKWFZW
      SZXAUVAUUAUXBKLZUUEOPUUAUXFOPUVAUXIUVCUUEUVAUUAUXBUXGUXDXIUWHUWQUVACYIUVK
      UVPXJUVAUVCEUUEUWHUWIUWQUWLUVAEQUUESLZUUETUVAEUUFUXJTFUVAUUDQTPZUUFUXJTPU
      VAUWSUWTUXKWNUWOQUUBXBUTUVAUUDQUUEUXAUVAXRUWPWPWQWTUVAUUEUVAUUEUWQWSXCXDX
      EXFUVAUUAUXBUUEUXGUXDUWQXGWQWMUVAUUEUXBUUEUWQUXDUWQXHXKXLUVAUWFUUAUXBSLZD
      SLUXCUVAUVEUXLDSUVACYIUVKUVPXMVLUVAUUAUXBDUXHUVAUXBUXDWSUVADUWJWSXNVTXOXF
      XPUVAUVCDUVEUWHUWJUVAUVDUVQUVRXSXQXKWMXTYAYTYLYQABEJYDYSEYKOYBYCVG $.
  $}

  ${
    $d x y z $.  $d y z A $.  $d y F $.
    cn1lem.1 $e |- F : CC --> CC $.
    cn1lem.2 $e |- ( ( z e. CC /\ A e. CC ) ->
                ( abs ` ( ( F ` z ) - ( F ` A ) ) ) <_ ( abs ` ( z - A ) ) ) $.
    $( A sufficient condition for a function to be continuous.  (Contributed by
       Mario Carneiro, 9-Feb-2014.) $)
    cn1lem $p |- ( ( A e. CC /\ x e. RR+ ) -> E. y e. RR+ A. z e. CC
                  ( ( abs ` ( z - A ) ) < y ->
                    ( abs ` ( ( F ` z ) - ( F ` A ) ) ) < x ) ) $=
      ( cc wcel cv crp wa cmin co cabs cfv clt wbr wi cr wral wrex simpr simpll
      cle syl2anc ffvelrni syl subcld abscld rpre ad2antlr lelttr syl3anc mpand
      ralrimiva breq2 rspceaimv ) DHIZAJZKIZLZVACJZDMNZOPZUTQRZVCEPZDEPZMNZOPZU
      TQRZSZCHUAVEBJZQRZVKSCHUABKUBUSVAUCVBVLCHVBVCHIZLZVJVEUERZVFVKVPVOUSVQVBV
      OUCZUSVAVOUDZGUFVPVJTIVETIUTTIZVQVFLVKSVPVIVPVGVHVPVOVGHIVRHHVCEFUGUHVPUS
      VHHIVSHHDEFUGUHUIUJVPVDVPVCDVRVSUIUJVAVTUSVOUTUKULVJVEUTUMUNUOUPVNVFVKBCU
      TKHVMUTVEQUQURUF $.
  $}

  ${
    $d x y z $.  $d y z A $.
    $( The absolute value function is continuous.  (Contributed by Mario
       Carneiro, 9-Feb-2014.) $)
    abscn2 $p |- ( ( A e. CC /\ x e. RR+ ) -> E. y e. RR+ A. z e. CC
                    ( ( abs ` ( z - A ) ) < y ->
                      ( abs ` ( ( abs ` z ) - ( abs ` A ) ) ) < x ) ) $=
      ( cabs cc cr wf wss absf ax-resscn fss mp2an cv abs2difabs cn1lem ) ABCDE
      FGEHGFIFFEHJKFGFELMCNDOP $.

    $( The complex conjugate function is continuous.  (Contributed by Mario
       Carneiro, 9-Feb-2014.) $)
    cjcn2 $p |- ( ( A e. CC /\ x e. RR+ ) -> E. y e. RR+ A. z e. CC
                    ( ( abs ` ( z - A ) ) < y ->
                      ( abs ` ( ( * ` z ) - ( * ` A ) ) ) < x ) ) $=
      ( ccj cjf cv cc wcel wa cfv cmin co cabs subcl syl2an abscld cjsub fveq2d
      cjcl abscjd eqtr3d eqled cn1lem ) ABCDEFCGZHIZDHIZJZUEEKZDEKZLMZNKZUEDLMZ
      NKZUHUKUFUIHIUJHIUKHIUGUETDTUIUJOPQUHUMEKZNKULUNUHUOUKNUEDRSUHUMUEDOUAUBU
      CUD $.

    $( The real part function is continuous.  (Contributed by Mario Carneiro,
       9-Feb-2014.) $)
    recn2 $p |- ( ( A e. CC /\ x e. RR+ ) -> E. y e. RR+ A. z e. CC
                    ( ( abs ` ( z - A ) ) < y ->
                      ( abs ` ( ( Re ` z ) - ( Re ` A ) ) ) < x ) ) $=
      ( cre cc cr wf wss ref ax-resscn fss mp2an cv wcel cmin co cfv cabs cle
      wa resub fveq2d wbr subcl absrele syl eqbrtrrd cn1lem ) ABCDEFGEHGFIFFEHJ
      KFGFELMCNZFODFOUAZUJDPQZERZSRZUJERDERPQZSRULSRZTUKUMUOSUJDUBUCUKULFOUNUPT
      UDUJDUEULUFUGUHUI $.

    $( The imaginary part function is continuous.  (Contributed by Mario
       Carneiro, 9-Feb-2014.) $)
    imcn2 $p |- ( ( A e. CC /\ x e. RR+ ) -> E. y e. RR+ A. z e. CC
                    ( ( abs ` ( z - A ) ) < y ->
                      ( abs ` ( ( Im ` z ) - ( Im ` A ) ) ) < x ) ) $=
      ( cim cc cr wf wss imf ax-resscn fss mp2an cv wcel cmin co cfv cabs cle
      wa imsub fveq2d wbr subcl absimle syl eqbrtrrd cn1lem ) ABCDEFGEHGFIFFEHJ
      KFGFELMCNZFODFOUAZUJDPQZERZSRZUJERDERPQZSRULSRZTUKUMUOSUJDUBUCUKULFOUNUPT
      UDUJDUEULUFUGUHUI $.
  $}

  ${
    $d k x y z A $.  $d k y z F $.  $d k x G $.  $d k x y z ph $.  $d k y Z $.
    $d k x y z H $.  $d k M $.
    climcn1lem.1 $e |- Z = ( ZZ>= ` M ) $.
    climcn1lem.2 $e |- ( ph -> F ~~> A ) $.
    climcn1lem.4 $e |- ( ph -> G e. W ) $.
    climcn1lem.5 $e |- ( ph -> M e. ZZ ) $.
    climcn1lem.6 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    ${
      climcn1lem.7 $e |- H : CC --> CC $.
      climcn1lem.8 $e |- ( ( A e. CC /\ x e. RR+ ) -> E. y e. RR+ A. z e. CC
                    ( ( abs ` ( z - A ) ) < y ->
                      ( abs ` ( ( H ` z ) - ( H ` A ) ) ) < x ) ) $.
      climcn1lem.9 $e |- ( ( ph /\ k e. Z ) ->
                           ( G ` k ) = ( H ` ( F ` k ) ) ) $.
      $( The limit of a continuous function, theorem form.  (Contributed by
         Mario Carneiro, 9-Feb-2014.) $)
      climcn1lem $p |- ( ph -> G ~~> ( H ` A ) ) $=
        ( cc cli wbr wcel climcl syl cv cfv ffvelrni adantl crp cmin co cabs wi
        clt wral wrex sylan climcn1 ) ABCDEUAFIGHJKLMPAGEUBUCEUAUDZNEGUEUFZDUGZ
        UAUDVCIUHZUAUDAUAUAVCIRUIUJNOAVABUGZUKUDVCEULUMUNUHCUGUPUCVDEIUHULUMUNU
        HVEUPUCUODUAUQCUKURVBSUSQTUT $.
    $}

    ${
      climabs.7 $e |- ( ( ph /\ k e. Z ) ->
                        ( G ` k ) = ( abs ` ( F ` k ) ) ) $.
      $( Limit of the absolute value of a sequence.  Proposition 12-2.4(c) of
         [Gleason] p. 172.  (Contributed by NM, 7-Jun-2006.)  (Revised by Mario
         Carneiro, 9-Feb-2014.) $)
      climabs $p |- ( ph -> G ~~> ( abs ` A ) ) $=
        ( vx vy vz cabs cc cr wf wss absf ax-resscn fss mp2an abscn2 climcn1lem
        ) AOPQBCDERFGHIJKLMSTRUATSUBSSRUAUCUDSTSRUEUFOPQBUGNUH $.
    $}

    ${
      climcj.7 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) = ( * ` ( F ` k ) ) ) $.
      $( Limit of the complex conjugate of a sequence.  Proposition 12-2.4(c)
         of [Gleason] p. 172.  (Contributed by NM, 7-Jun-2006.)  (Revised by
         Mario Carneiro, 9-Feb-2014.) $)
      climcj $p |- ( ph -> G ~~> ( * ` A ) ) $=
        ( vx vy vz ccj cjf cjcn2 climcn1lem ) AOPQBCDERFGHIJKLMSOPQBTNUA $.
    $}

    ${
      climre.7 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) = ( Re ` ( F ` k ) ) ) $.
      $( Limit of the real part of a sequence.  Proposition 12-2.4(c) of
         [Gleason] p. 172.  (Contributed by NM, 7-Jun-2006.)  (Revised by Mario
         Carneiro, 9-Feb-2014.) $)
      climre $p |- ( ph -> G ~~> ( Re ` A ) ) $=
        ( vx vy vz cre cc cr wf wss ref ax-resscn fss mp2an recn2 climcn1lem )
        AOPQBCDERFGHIJKLMSTRUATSUBSSRUAUCUDSTSRUEUFOPQBUGNUH $.
    $}

    ${
      climim.7 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) = ( Im ` ( F ` k ) ) ) $.
      $( Limit of the imaginary part of a sequence.  Proposition 12-2.4(c) of
         [Gleason] p. 172.  (Contributed by NM, 7-Jun-2006.)  (Revised by Mario
         Carneiro, 9-Feb-2014.) $)
      climim $p |- ( ph -> G ~~> ( Im ` A ) ) $=
        ( vx vy vz cim cc cr wf wss imf ax-resscn fss mp2an imcn2 climcn1lem )
        AOPQBCDERFGHIJKLMSTRUATSUBSSRUAUCUDSTSRUEUFOPQBUGNUH $.
    $}
  $}

  ${
    $d k x y z A $.  $d x y z B $.  $d x y z C $.  $d k x y ph $.
    rlimabs.1 $e |- ( ( ph /\ k e. A ) -> B e. V ) $.
    rlimabs.2 $e |- ( ph -> ( k e. A |-> B ) ~~>r C ) $.
    $( Reverse closure for a real limit.  (Contributed by Mario Carneiro,
       10-May-2016.) $)
    rlimmptrcl $p |- ( ( ph /\ k e. A ) -> B e. CC ) $=
      ( cc cmpt cdm wf crli wbr rlimf syl eqid dmmptd feq2d mpbid fvmptelrn ) A
      EBCIAEBCJZKZIUBLZBIUBLAUBDMNUDHDUBOPAUCBIUBAEUBBCFUBQGRSTUA $.

    $( Limit of the absolute value of a sequence.  Proposition 12-2.4(c) of
       [Gleason] p. 172.  (Contributed by Mario Carneiro, 10-May-2016.) $)
    rlimabs $p |- ( ph -> ( k e. A |-> ( abs ` B ) ) ~~>r ( abs ` C ) ) $=
      ( vx vy vz cabs cc wbr wcel wf cr cv crp cfv rlimmptrcl cmpt crli syl wss
      rlimcl absf ax-resscn fss mp2an a1i cmin co clt wi wral wrex abscn2 sylan
      rlimcn1b ) AIJKBCDELMABCDEFGHUAAEBCUBZDUCNDMOZHDVAUFUDZHMMLPZAMQLPQMUEVDU
      GUHMQMLUIUJUKAVBIRZSOKRZDULUMLTJRUNNVFLTDLTULUMLTVEUNNUOKMUPJSUQVCIJKDURU
      SUT $.

    $( Limit of the complex conjugate of a sequence.  Proposition 12-2.4(c) of
       [Gleason] p. 172.  (Contributed by Mario Carneiro, 10-May-2016.) $)
    rlimcj $p |- ( ph -> ( k e. A |-> ( * ` B ) ) ~~>r ( * ` C ) ) $=
      ( vx vy vz ccj cc wbr wcel cv crp cmin co cfv rlimmptrcl cmpt crli rlimcl
      syl wf cjf a1i cabs clt wi wral wrex cjcn2 sylan rlimcn1b ) AIJKBCDELMABC
      DEFGHUAAEBCUBZDUCNDMOZHDUQUDUEZHMMLUFAUGUHAURIPZQOKPZDRSUITJPUJNVALTDLTRS
      UITUTUJNUKKMULJQUMUSIJKDUNUOUP $.

    $( Limit of the real part of a sequence.  Proposition 12-2.4(c) of
       [Gleason] p. 172.  (Contributed by Mario Carneiro, 10-May-2016.) $)
    rlimre $p |- ( ph -> ( k e. A |-> ( Re ` B ) ) ~~>r ( Re ` C ) ) $=
      ( vx vy vz cre cc wbr wcel wf cr cv crp cfv rlimmptrcl rlimcl syl wss ref
      cmpt crli ax-resscn fss mp2an a1i cmin co cabs clt wi wral recn2 rlimcn1b
      wrex sylan ) AIJKBCDELMABCDEFGHUAAEBCUFZDUGNDMOZHDVBUBUCZHMMLPZAMQLPQMUDV
      EUEUHMQMLUIUJUKAVCIRZSOKRZDULUMUNTJRUONVGLTDLTULUMUNTVFUONUPKMUQJSUTVDIJK
      DURVAUS $.

    $( Limit of the imaginary part of a sequence.  Proposition 12-2.4(c) of
       [Gleason] p. 172.  (Contributed by Mario Carneiro, 10-May-2016.) $)
    rlimim $p |- ( ph -> ( k e. A |-> ( Im ` B ) ) ~~>r ( Im ` C ) ) $=
      ( vx vy vz cim cc wbr wcel wf cr cv crp cfv rlimmptrcl rlimcl syl wss imf
      cmpt crli ax-resscn fss mp2an a1i cmin co cabs clt wi wral imcn2 rlimcn1b
      wrex sylan ) AIJKBCDELMABCDEFGHUAAEBCUFZDUGNDMOZHDVBUBUCZHMMLPZAMQLPQMUDV
      EUEUHMQMLUIUJUKAVCIRZSOKRZDULUMUNTJRUONVGLTDLTULUMUNTVFUONUPKMUQJSUTVDIJK
      DURVAUS $.
  $}

  ${
    $d a b m n x y z F $.  $d a b m n x y z G $.  $d a b m n x y z R $.
    $d x y z M $.
    o1of2.1 $e |- ( ( m e. RR /\ n e. RR ) -> M e. RR ) $.
    o1of2.2 $e |- ( ( x e. CC /\ y e. CC ) -> ( x R y ) e. CC ) $.
    o1of2.3 $e |- ( ( ( m e. RR /\ n e. RR ) /\ ( x e. CC /\ y e. CC ) ) ->
                    ( ( ( abs ` x ) <_ m /\ ( abs ` y ) <_ n ) ->
                      ( abs ` ( x R y ) ) <_ M ) ) $.
    $( Show that a binary operation preserves eventual boundedness.
       (Contributed by Mario Carneiro, 15-Sep-2014.) $)
    o1of2 $p |- ( ( F e. O(1) /\ G e. O(1) ) -> ( F oF R G ) e. O(1) ) $=
      ( vz wcel wa cle wbr cfv cabs cr cc va vb co1 cv wi cdm wral wrex cof o1f
      co wf o1bdd mpdan adantr adantl reeanv cin wss inss1 ssralv ax-mp anim12i
      inss2 r19.26 sylibr cif anim12 wb simplrl simplrr ad3antrrr sstrid sselda
      o1dm maxle syl3anc biimpd sseli ffvelrn ad3antlr ralrimivva ad2antlr wceq
      syl2an fveq2 breq1d anbi1d fvoveq1 imbi12d anbi2d fveq2d rspc2va syl21anc
      oveq2 ffnd reex ssexg sylancl dmexg eqid eqidd ofval sylibrd imim12d syl5
      cvv ralimdva ifcld elo12r 3expia syl22anc syld rexlimdvva syl5bir mp2and
      off ) FUCMZGUCMZNZUAUDZLUDZOPZYBFQZRQZDUDZOPZUEZLFUFZUGZDSUHZUASUHZUBUDZY
      BOPZYBGQZRQZEUDZOPZUEZLGUFZUGZESUHZUBSUHZFGCUIUKZUCMZXRYLXSXRYITFULZYLFUJ
      ZUALYIDFUMUNUOXSUUCXRXSYTTGULZUUCGUJZUBLYTEGUMUNUPYLUUCNYKUUBNZUBSUHUASUH
      XTUUEYKUUBUAUBSSUQXTUUJUUEUAUBSSUUJYJUUANZESUHDSUHXTYASMZYMSMZNZNZUUEYJUU
      ADESSUQUUOUUKUUEDESSUUKYHYSNZLYIYTURZUGZUUOYFSMYQSMNZNZUUEUUKYHLUUQUGZYSL
      UUQUGZNUURYJUVAUUAUVBUUQYIUSYJUVAUEYIYTUTZYHLUUQYIVAVBUUQYTUSUUAUVBUEYIYT
      VDZYSLUUQYTVAVBVCYHYSLUUQVEVFUUTUURYAYMOPZYMYAVGZYBOPZYBUUDQZRQZHOPZUEZLU
      UQUGZUUEUUTUUPUVKLUUQUUPYCYNNZYGYRNZUEUUTYBUUQMZNZUVKYCYGYNYRVHUVPUVGUVMU
      VNUVJUVPUVGUVMUVPUULUUMYBSMUVGUVMVIUUTUULUVOXTUULUUMUUSVJZUOUUTUUMUVOXTUU
      LUUMUUSVKZUOUUTUUQSYBUUTUUQYISUVCXRYISUSZXSUUNUUSFVOVLZVMZVNYAYMYBVPVQVRU
      VPUVNYDYOCUKZRQZHOPZUVJUVPYDTMZYOTMZAUDZRQZYFOPZBUDZRQZYQOPZNZUWGUWJCUKZR
      QZHOPZUEZBTUGATUGZUVNUWDUEZUUTUUFYBYIMZUWEUVOXRUUFXSUUNUUSUUGVLZUUQYIYBUV
      CVSYITYBFVTWEUUTUUHYBYTMZUWFUVOXSUUHXRUUNUUSUUIWAZUUQYTYBUVDVSYTTYBGVTWEU
      USUWRUUOUVOUUSUWQABTTKWBWCUWQUWSYGUWLNZYDUWJCUKZRQZHOPZUEABYDYOTTUWGYDWDZ
      UWMUXDUWPUXGUXHUWIYGUWLUXHUWHYEYFOUWGYDRWFWGWHUXHUWOUXFHOUWGYDUWJRCWIWGWJ
      UWJYOWDZUXDUVNUXGUWDUXIUWLYRYGUXIUWKYPYQOUWJYORWFWGWKUXIUXFUWCHOUXIUXEUWB
      RUWJYOYDCWOWLWGWJWMWNUVPUVIUWCHOUVPUVHUWBRUUTYIYTYDYOCUUQFGXGXGYBUUTYITFU
      XAWPUUTYTTGUXCWPUUTUVSSXGMYIXGMUVTWQYISXGWRWSZXSYTXGMXRUUNUUSGUCWTWAZUUQX
      AZUUTUWTNYDXBUUTUXBNYOXBXCWLWGXDXEXFXHUUTUUQTUUDULZUUQSUSZUVFSMZHSMZUVLUU
      EUEUUTABYIYTUUQCTTTFGXGXGUWGTMUWJTMNUWNTMUUTJUPUXAUXCUXJUXKUXLXQUWAUUTUVE
      YMYASUVRUVQXIUUSUXPUUOIUPUXMUXNNUXOUXPNUVLUUELUUQUVFUUDHXJXKXLXMXFXNXOXNX
      OXP $.
  $}

  ${
    $d w x y z A $.  $d x B $.  $d a b m n w x y z F $.  $d a b m n x y z G $.
    $( The sum of two eventually bounded functions is eventually bounded.
       (Contributed by Mario Carneiro, 15-Sep-2014.)  (Proof shortened by Fan
       Zheng, 14-Jul-2016.) $)
    o1add $p |- ( ( F e. O(1) /\ G e. O(1) ) -> ( F oF + G ) e. O(1) ) $=
      ( vm vn vx vy caddc cv co readdcl cr wcel wa cc cabs cfv cle wbr readdcld
      abscld addcl w3a simp2l simp2r addcld simp1l simp1r abstrid simp3l simp3r
      le2addd letrd 3expia o1of2 ) CDGEFABEHZFHZGIZUOUPJCHZDHZUAUOKLZUPKLZMZURN
      LZUSNLZMZUROPZUOQRZUSOPZUPQRZMZURUSGIZOPZUQQRVBVEVJUBZVLVFVHGIUQVMVKVMURU
      SVBVCVDVJUCZVBVCVDVJUDZUETVMVFVHVMURVNTZVMUSVOTZSVMUOUPUTVAVEVJUFZUTVAVEV
      JUGZSVMURUSVNVOUHVMVFVHUOUPVPVQVRVSVBVEVGVIUIVBVEVGVIUJUKULUMUN $.

    $( The product of two eventually bounded functions is eventually bounded.
       (Contributed by Mario Carneiro, 15-Sep-2014.)  (Proof shortened by Fan
       Zheng, 14-Jul-2016.) $)
    o1mul $p |- ( ( F e. O(1) /\ G e. O(1) ) -> ( F oF x. G ) e. O(1) ) $=
      ( vx vy vm vn cmul cv co remulcl cr wcel wa cc cfv cle wbr abscld absge0d
      cabs mulcl w3a simp2l simp2r simp1l simp1r simp3l simp3r lemul12ad 3expia
      absmuld eqbrtrd o1of2 ) CDGEFABEHZFHZGIZUNUOJCHZDHZUAUNKLZUOKLZMZUQNLZURN
      LZMZUQTOZUNPQZURTOZUOPQZMZUQURGITOZUPPQVAVDVIUBZVJVEVGGIUPPVKUQURVAVBVCVI
      UCZVAVBVCVIUDZUKVKVEUNVGUOVKUQVLRUSUTVDVIUEVKURVMRUSUTVDVIUFVKUQVLSVKURVM
      SVAVDVFVHUGVAVDVFVHUHUIULUJUM $.

    $( The difference of two eventually bounded functions is eventually
       bounded.  (Contributed by Mario Carneiro, 15-Sep-2014.)  (Proof
       shortened by Fan Zheng, 14-Jul-2016.) $)
    o1sub $p |- ( ( F e. O(1) /\ G e. O(1) ) -> ( F oF - G ) e. O(1) ) $=
      ( vm vn vx vy cmin cv caddc co cr wcel wa cc cabs cfv cle abscld readdcld
      wbr readdcl subcl w3a simp2l simp2r subcld simp1l simp1r abs2dif2d simp3l
      simp3r le2addd letrd 3expia o1of2 ) CDGEFABEHZFHZIJZUPUQUACHZDHZUBUPKLZUQ
      KLZMZUSNLZUTNLZMZUSOPZUPQTZUTOPZUQQTZMZUSUTGJZOPZURQTVCVFVKUCZVMVGVIIJURV
      NVLVNUSUTVCVDVEVKUDZVCVDVEVKUEZUFRVNVGVIVNUSVORZVNUTVPRZSVNUPUQVAVBVFVKUG
      ZVAVBVFVKUHZSVNUSUTVOVPUIVNVGVIUPUQVQVRVSVTVCVFVHVJUJVCVFVHVJUKULUMUNUO
      $.

    $( Any function with a finite limit is eventually bounded.  (Contributed by
       Mario Carneiro, 18-Sep-2014.) $)
    rlimo1 $p |- ( F ~~>r A -> F e. O(1) ) $=
      ( vy vz vw wbr wcel cv cle cfv cabs wi wral cr wrex co c1 clt cc adantr
      crli co1 cdm cmin rlimf ffvelrnda ralrimiva crp 1rp cmpt feqmptd eqbrtrrd
      a1i id rlimi wa caddc rlimcl abscld peano2re syl abs2difd resubcld subcld
      adantlr 1red lelttr syl3anc mpand ltsubadd2d sylibd ltle syl2anc ralimdva
      syld imim2d breq2 imbi2d ralbidv rspcev syl6an reximdva mpd wf wss rlimss
      wceq wb elo12 mpbird ) BAUAFZBUBGZCHZDHZIFZWNBJZKJZEHZIFZLZDBUCZMZENOZCNO
      ZWKWOWPAUDPZKJZQRFZLZDXAMZCNOXDWKCDXAWPAQSWKWPSGZDXAWKXASWNBABUEZUFZUGQUH
      GWKUIUMWKBDXAWPUJAUAWKDXASBXKUKWKUNULUOWKXIXCCNWKWMNGZUPZAKJZQUQPZNGZXIWO
      WQXPIFZLZDXAMZXCXNXONGZXQXNAWKASGZXMABURTZUSZXOUTVAZXNXHXSDXAXNWNXAGZUPZX
      GXRWOYGXGWQXPRFZXRYGXGWQXOUDPZQRFZYHYGYIXFIFZXGYJYGWPAWKYFXJXMXLVEZXNYBYF
      YCTZVBYGYINGXFNGQNGYKXGUPYJLYGWQXOYGWPYLUSZXNYAYFYDTZVCYGXEYGWPAYLYMVDUSY
      GVFZYIXFQVGVHVIYGWQXOQYNYOYPVJVKYGWQNGXQYHXRLYNXNXQYFYETWQXPVLVMVOVPVNXBX
      TEXPNWRXPWGZWTXSDXAYQWSXRWOWRXPWQIVQVRVSVTWAWBWCWKXASBWDXANWEWLXDWHXKABWF
      CDXAEBWIVMWJ $.

    $( A convergent function is eventually bounded.  (Contributed by Mario
       Carneiro, 12-May-2016.) $)
    rlimdmo1 $p |- ( F e. dom ~~>r -> F e. O(1) ) $=
      ( vx crli cdm wcel cv wbr wex co1 eldmg ibi rlimo1 exlimiv syl ) ACDZEZAB
      FZCGZBHZAIEZPSBACOJKRTBQALMN $.

    $( The product of an eventually bounded function and a function of limit
       zero has limit zero.  (Contributed by Mario Carneiro, 18-Sep-2014.) $)
    o1rlimmul $p |- ( ( F e. O(1) /\ G ~~>r 0 ) -> ( F oF x. G ) ~~>r 0 ) $=
      ( vx wcel cc0 wbr wa cmul co cv cfv cvv cc adantr cr cle cabs clt wi wral
      vz vy va vm vb co1 crli cof cdm cin cmpt wf o1f ffnd adantl wss o1dm reex
      rlimf ssexg sylancl rlimss eqid eqidd offval wrex crp o1bdd ad2antrr cmin
      mpdan c1 caddc cdiv fvexd ralrimiva simplr recn ad2antll absge0d ge0p1rpd
      abscld rpdivcld feqmptd simpr eqbrtrrd rlimi cif inss1 ssralv ax-mp inss2
      anim12i r19.26 sylibr anim12 ralimi syl wb simprl sstrid ad3antrrr simprr
      simplrl sseldd maxle syl3anc biimpd sseli ffvelrnd subid1d fveq2d syl2anc
      breq1d rpred ltle sylbid anim2d jca simplrr lemul12a syl22anc recnd rpcnd
      absmuld rpne0d divassd peano2re ltp1d lelttrd ltmul1dd remulcld ltdivmuld
      leabsd mpbird mulcld lelttr mpd ffvelrn syl2an mpan2d sylbird 3syld ifcld
      imim12d anassrs jctild breq1 rspceaimv syl56 expcomd rexlimdva rexlimdvva
      ralimdva rlim0 eqbrtrd ) AUFDZBEUGFZGZABHUHICAUIZBUIZUJZCJZAKZUVCBKZHIZUK
      ZEUGUUSCUUTUVAUVDUVEHUVBABLLUUSUUTMAUUQUUTMAULZUURAUMZNZUNUUSUVAMBUURUVAM
      BULZUUQEBUSUOZUNUUSUUTOUPZOLDZUUTLDUUQUVMUURAUQNZURUUTOLUTVAUUSUVAOUPZUVN
      UVALDUURUVPUUQEBVBUOURUVAOLUTVAUVBVCUUSUVCUUTDZGUVDVDUUSUVCUVADZGUVEVDVEU
      USUVGEUGFUAJZUVCPFZUVFQKZUBJZRFZSCUVBTUAOVFZUBVGTUUSUWDUBVGUUSUWBVGDZGZUC
      JZUVCPFZUVDQKZUDJZPFZSZCUUTTZUDOVFUCOVFZUWDUUQUWNUURUWEUUQUVHUWNUVIUCCUUT
      UDAVHVKVIUWFUWMUWDUCUDOOUWFUWGODZUWJODZGZGZUEJZUVCPFZUVEEVJIZQKZUWBUWJQKZ
      VLVMIZVNIZRFZSZCUVATZUEOVFUWMUWDSZUWRUECUVAUVEEUXELUWRUVELDCUVAUWRUVRGUVC
      BVOVPUWRUWBUXDUUSUWEUWQVQZUWRUXCUWRUWJUWPUWJMDUWFUWOUWJVRVSZWBZUWRUWJUXKV
      TWAZWCZUUSCUVAUVEUKZEUGFUWEUWQUUSBUXOEUGUUSCUVAMBUVLWDUUQUURWEWFVIWGUWRUX
      HUXIUEOUWRUWSODZGZUWMUXHUWDUWMUXHGZUWHUWTGZUWKUXFGZSZCUVBTZUXQUWGUWSPFZUW
      SUWGWHZODZUYDUVCPFZUWCSZCUVBTZGUWDUXRUWLUXGGZCUVBTZUYBUXRUWLCUVBTZUXGCUVB
      TZGUYJUWMUYKUXHUYLUVBUUTUPUWMUYKSUUTUVAWIZUWLCUVBUUTWJWKUVBUVAUPUXHUYLSUU
      TUVAWLZUXGCUVBUVAWJWKWMUWLUXGCUVBWNWOUYIUYACUVBUWHUWKUWTUXFWPWQWRUXQUYBUY
      HUYEUXQUYAUYGCUVBUWRUXPUVCUVBDZUYAUYGSUWRUXPUYOGZGZUYFUXSUXTUWCUYQUYFUXSU
      YQUWOUXPUVCODUYFUXSWSUWFUWOUWPUYPXDUWRUXPUYOWTUYQUVBOUVCUUSUVBOUPUWEUWQUY
      PUUSUVBUUTOUYMUVOXAZXBUWRUXPUYOXCXEUWGUWSUVCXFXGXHUYQUXTUWKUVEQKZUXEPFZGZ
      UWIUYSHIZUWJUXEHIZPFZUWCUYQUXFUYTUWKUYQUXFUYSUXERFZUYTUYQUXBUYSUXERUYQUXA
      UVEQUYQUVEUYQUVAMUVCBUUSUVKUWEUWQUYPUVLXBUYOUVRUWRUXPUVBUVAUVCUYNXIZVSXJZ
      XKXLXNUYQUYSODZUXEODZVUEUYTSUYQUVEVUGWBZUYQUXEUWRUXEVGDUYPUXNNXOZUYSUXEXP
      XMXQXRUYQUWIODZEUWIPFZGUWPVUHEUYSPFZGVUIVUAVUDSUYQVULVUMUYQUVDUYQUUTMUVCA
      UUSUVHUWEUWQUYPUVJXBUYOUVQUWRUXPUVBUUTUVCUYMXIZVSXJZWBUYQUVDVUPVTXSUWFUWO
      UWPUYPXTZUYQVUHVUNVUJUYQUVEVUGVTXSVUKUWIUWJUYSUXEYAYBUYQVUDUWAVUCPFZUWCUY
      QUWAVUBVUCPUYQUVDUVEVUPVUGYEXNUYQVURVUCUWBRFZUWCUYQUWJUWBHIZUXDVNIZVUCUWB
      RUYQUWJUWBUXDUYQUWJVUQYCUYQUWBUWRUWEUYPUXJNZYDUYQUXDUWRUXDVGDUYPUXMNZYDUY
      QUXDVVCYFYGUYQVVAUWBRFVUTUXDUWBHIRFUYQUWJUXDUWBVUQUWRUXDODZUYPUWRUXCODZVV
      DUXLUXCYHWRNZVVBUYQUWJUXCUXDVUQUWRVVEUYPUXLNZVVFUYQUWJVUQYNUYQUXCVVGYIYJY
      KUYQVUTUWBUXDUYQUWJUWBVUQUYQUWBVVBXOZYLVVHVVCYMYOWFUYQUWAODVUCODUWBODVURV
      USGUWCSUYQUVFUYQUVDUVEVUPVUGYPWBUYQUWJUXEVUQVUKYLVVHUWAVUCUWBYQXGUUAUUBUU
      CUUEUUFUUNUXQUYCUWSUWGOUWRUXPWEUWFUWOUWPUXPXDUUDUUGUVTUYFUWCUACUYDOUVBUVS
      UYDUVCPUUHUUIUUJUUKUULYRUUMYRVPUUSUBUACUVBUVFUUSUVFMDCUVBUUSUYOGUVDUVEUUS
      UVHUVQUVDMDUYOUVJVUOUUTMUVCAYSYTUUSUVKUVRUVEMDUYOUVLVUFUVAMUVCBYSYTYPVPUY
      RUUOYOUUP $.

    $( A constant function is eventually bounded.  (Contributed by Mario
       Carneiro, 15-Sep-2014.)  (Proof shortened by Mario Carneiro,
       26-May-2016.) $)
    o1const $p |- ( ( A C_ RR /\ B e. CC ) -> ( x e. A |-> B ) e. O(1) ) $=
      ( cr wss cc wcel wa cmpt crli wbr co1 rlimconst rlimo1 syl ) BDECFGHABCIZ
      CJKPLGABCMCPNO $.

    $( A constant function is eventually upper bounded.  (Contributed by Mario
       Carneiro, 26-May-2016.) $)
    lo1const $p |- ( ( A C_ RR /\ B e. RR ) -> ( x e. A |-> B ) e. <_O(1) ) $=
      ( cr wss wcel wa simpl cv simplr simpr cle wbr leid ad2antlr ello1d ) BDE
      ZCDFZGABCCCQRHQRAIZBFZJQRKZUARCCLMQTCSLMGCNOP $.
  $}

  ${
    $d c m n p x A $.  $d c m n p B $.  $d c m n p C $.  $d c m n p x ph $.
    o1add2.1 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    ${
      lo1mptrcl.3 $e |- ( ph -> ( x e. A |-> B ) e. <_O(1) ) $.
      $( Reverse closure for an eventually upper bounded function.
         (Contributed by Mario Carneiro, 26-May-2016.) $)
      lo1mptrcl $p |- ( ( ph /\ x e. A ) -> B e. RR ) $=
        ( cr cmpt cdm wf clo1 wcel lo1f syl wral wceq ralrimiva dmmptg feq2d
        mpbid fvmptelrn ) ABCDHABCDIZJZHUCKZCHUCKAUCLMUEGUCNOAUDCHUCADEMZBCPUDC
        QAUFBCFRBCDESOTUAUB $.
    $}

    ${
      o1mptrcl.3 $e |- ( ph -> ( x e. A |-> B ) e. O(1) ) $.
      $( Reverse closure for an eventually bounded function.  (Contributed by
         Mario Carneiro, 26-May-2016.) $)
      o1mptrcl $p |- ( ( ph /\ x e. A ) -> B e. CC ) $=
        ( cc cmpt cdm wf co1 wcel o1f syl wral wceq ralrimiva dmmptg feq2d
        mpbid fvmptelrn ) ABCDHABCDIZJZHUCKZCHUCKAUCLMUEGUCNOAUDCHUCADEMZBCPUDC
        QAUFBCFRBCDESOTUAUB $.
    $}

    o1add2.2 $e |- ( ( ph /\ x e. A ) -> C e. V ) $.
    ${
      o1add2.3 $e |- ( ph -> ( x e. A |-> B ) e. O(1) ) $.
      o1add2.4 $e |- ( ph -> ( x e. A |-> C ) e. O(1) ) $.
      $( The sum of two eventually bounded functions is eventually bounded.
         (Contributed by Mario Carneiro, 26-May-2016.) $)
      o1add2 $p |- ( ph -> ( x e. A |-> ( B + C ) ) e. O(1) ) $=
        ( cmpt caddc co co1 cvv cr wss wcel syl eqidd cof wral ralrimiva dmmptg
        cdm wceq o1dm eqsstrrd reex ssex offval2 o1add syl2anc eqeltrrd ) ABCDK
        ZBCEKZLUAMZBCDELMKNABCDELUOUPOFFACPQCORACUOUEZPADFRZBCUBURCUFAUSBCGUCBC
        DFUDSAUONRZURPQIUOUGSUHCPUIUJSGHAUOTAUPTUKAUTUPNRUQNRIJUOUPULUMUN $.

      $( The product of two eventually bounded functions is eventually bounded.
         (Contributed by Mario Carneiro, 26-May-2016.) $)
      o1mul2 $p |- ( ph -> ( x e. A |-> ( B x. C ) ) e. O(1) ) $=
        ( cmpt cmul co co1 cvv cr wss wcel syl eqidd wral wceq ralrimiva dmmptg
        cof cdm o1dm eqsstrrd reex ssex offval2 o1mul syl2anc eqeltrrd ) ABCDKZ
        BCEKZLUEMZBCDELMKNABCDELUOUPOFFACPQCORACUOUFZPADFRZBCUAURCUBAUSBCGUCBCD
        FUDSAUONRZURPQIUOUGSUHCPUIUJSGHAUOTAUPTUKAUTUPNRUQNRIJUOUPULUMUN $.

      $( The product of two eventually bounded functions is eventually bounded.
         (Contributed by Mario Carneiro, 15-Sep-2014.) $)
      o1sub2 $p |- ( ph -> ( x e. A |-> ( B - C ) ) e. O(1) ) $=
        ( cmpt cmin co co1 cvv cr wss wcel syl eqidd wral wceq ralrimiva dmmptg
        cof cdm o1dm eqsstrrd reex ssex offval2 o1sub syl2anc eqeltrrd ) ABCDKZ
        BCEKZLUEMZBCDELMKNABCDELUOUPOFFACPQCORACUOUFZPADFRZBCUAURCUBAUSBCGUCBCD
        FUDSAUONRZURPQIUOUGSUHCPUIUJSGHAUOTAUPTUKAUTUPNRUQNRIJUOUPULUMUN $.
    $}

    ${
      lo1add.3 $e |- ( ph -> ( x e. A |-> B ) e. <_O(1) ) $.
      lo1add.4 $e |- ( ph -> ( x e. A |-> C ) e. <_O(1) ) $.
      $( The sum of two eventually upper bounded functions is eventually upper
         bounded.  (Contributed by Mario Carneiro, 26-May-2016.) $)
      lo1add $p |- ( ph -> ( x e. A |-> ( B + C ) ) e. <_O(1) ) $=
        ( vc vm vn wcel cle wi wral cr wrex wa vp cmpt clo1 caddc co wbr reeanv
        cv wss wb cdm wceq ralrimiva dmmptg syl eqsstrrd adantr rexanre readdcl
        lo1dm adantl lo1mptrcl adantlr simplrl simplrr le2add syl22anc ralimdva
        imim2d imbi2d ralbidv rspcev syl6an reximdv sylbird rexlimdvva ello1mpt
        breq2 syl5bir rexcom bitrdi anbi12d readdcld 3imtr4d mp2and ) ABCDUBZUC
        NZBCEUBUCNZBCDEUDUEZUBUCNZIJAKUHBUHZOUFZDLUHZOUFZPBCQZKRSZLRSZWLEMUHZOU
        FZPBCQZKRSZMRSZTZWLWIUAUHZOUFZPZBCQZUARSZKRSZWGWHTWJXCWPXATZMRSLRSAXIWP
        XALMRRUGAXJXILMRRAWMRNZWRRNZTZTZXJWLWNWSTZPZBCQZKRSZXIXNCRUIZXRXJUJAXSX
        MACWFUKZRADFNZBCQXTCULAYABCGUMBCDFUNUOAWGXTRUIIWFUTUOUPZUQWNWSCKBURUOXN
        XQXHKRXNWMWRUDUEZRNZXQWLWIYCOUFZPZBCQZXHXMYDAWMWRUSVAXNXPYFBCXNWKCNZTZX
        OYEWLYIDRNZERNZXKXLXOYEPAYHYJXMABCDFGIVBZVCAYHYKXMABCEFHJVBZVCAXKXLYHVD
        AXKXLYHVEDEWMWRVFVGVIVHXGYGUAYCRXDYCULZXFYFBCYNXEYEWLXDYCWIOVRVJVKVLVMV
        NVOVPVSAWGWQWHXBAWGWOLRSKRSWQABKCDLYBYLVQWOKLRRVTWAAWHWTMRSKRSXBABKCEMY
        BYMVQWTKMRRVTWAWBABKCWIUAYBAYHTDEYLYMWCVQWDWE $.

      lo1mul.5 $e |- ( ( ph /\ x e. A ) -> 0 <_ B ) $.
      $( The product of an eventually upper bounded function and a positive
         eventually upper bounded function is eventually upper bounded.
         (Contributed by Mario Carneiro, 26-May-2016.) $)
      lo1mul $p |- ( ph -> ( x e. A |-> ( B x. C ) ) e. <_O(1) ) $=
        ( vc vm vn wcel cle wbr cr wrex wa vp cmpt clo1 cmul co wral reeanv wss
        cv wi wb cdm ralrimiva dmmptg syl lo1dm eqsstrrd adantr rexanre cc0 cif
        wceq simprl simprr ifcl sylancl remulcld simplrr max2 sylancr lo1mptrcl
        0re adantlr syl3anc mpan2d jca simplrl lemul12b syl22anc sylan2d imim2d
        letr max1 breq2 imbi2d ralbidv rspcev syl6an reximdv sylbird rexlimdvva
        ralimdva syl5bir ello1mpt rexcom bitrdi anbi12d 3imtr4d mp2and ) ABCDUB
        ZUCOZBCEUBUCOZBCDEUDUEZUBUCOZIJALUIBUIZPQZDMUIZPQZUJBCUFZLRSZMRSZXFENUI
        ZPQZUJBCUFZLRSZNRSZTZXFXCUAUIZPQZUJZBCUFZUARSZLRSZXAXBTXDXQXJXOTZNRSMRS
        AYCXJXOMNRRUGAYDYCMNRRAXGROZXLROZTZTZYDXFXHXMTZUJZBCUFZLRSZYCYHCRUHZYLY
        DUKAYMYGACWTULZRADFOZBCUFYNCVBAYOBCGUMBCDFUNUOAXAYNRUHIWTUPUOUQZURXHXMC
        LBUSUOYHYKYBLRYHXGUTXLPQZXLUTVAZUDUEZROYKXFXCYSPQZUJZBCUFZYBYHXGYRAYEYF
        VCYHYFUTROZYRROZAYEYFVDVLYQXLUTRVEZVFVGYHYJUUABCYHXECOZTZYIYTXFUUGXMEYR
        PQZXHYTUUGXMXLYRPQZUUHUUGUUCYFUUIVLAYEYFUUFVHZUTXLVIVJUUGEROZYFUUDXMUUI
        TUUHUJAUUFUUKYGABCEFHJVKZVMZUUJUUGYFUUCUUDUUJVLUUEVFZEXLYRWBVNVOUUGDROZ
        UTDPQZTYEUUKUUDUTYRPQZTXHUUHTYTUJUUGUUOUUPAUUFUUOYGABCDFGIVKZVMAUUFUUPY
        GKVMVPAYEYFUUFVQUUMUUGUUDUUQUUNUUGUUCYFUUQVLUUJUTXLWCVJVPDXGEYRVRVSVTWA
        WLYAUUBUAYSRXRYSVBZXTUUABCUUSXSYTXFXRYSXCPWDWEWFWGWHWIWJWKWMAXAXKXBXPAX
        AXIMRSLRSXKABLCDMYPUURWNXILMRRWOWPAXBXNNRSLRSXPABLCENYPUULWNXNLNRRWOWPW
        QABLCXCUAYPAUUFTDEUURUULVGWNWRWS $.

      $( The product of an eventually upper bounded function and a positive
         eventually upper bounded function is eventually upper bounded.
         (Contributed by Mario Carneiro, 26-May-2016.) $)
      lo1mul2 $p |- ( ph -> ( x e. A |-> ( C x. B ) ) e. <_O(1) ) $=
        ( cmul co cmpt clo1 cv wcel wa lo1mptrcl recnd mulcomd mpteq2dva lo1mul
        eqeltrd ) ABCEDLMZNBCDELMZNOABCUEUFABPCQRZEDUGEABCEFHJSTUGDABCDFGISTUAU
        BABCDEFGHIJKUCUD $.
    $}
  $}

  ${
    $d x A $.  $d x ph $.
    o1dif.1 $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    o1dif.2 $e |- ( ( ph /\ x e. A ) -> C e. CC ) $.
    o1dif.3 $e |- ( ph -> ( x e. A |-> ( B - C ) ) e. O(1) ) $.
    $( If the difference of two functions is eventually bounded, eventual
       boundedness of either one implies the other.  (Contributed by Mario
       Carneiro, 26-May-2016.) $)
    o1dif $p |- ( ph ->
      ( ( x e. A |-> B ) e. O(1) <-> ( x e. A |-> C ) e. O(1) ) ) $=
      ( cmpt co1 wcel cmin co cof syl cvv cc cr eqidd caddc wi o1sub expcom wss
      wral wceq cv wa subcld ralrimiva dmmptg o1dm eqsstrrd reex offval2 nncand
      cdm ssex mpteq2dva eqtrd eleq1d sylibd o1add ex npcand impbid ) ABCDIZJKZ
      BCEIZJKZAVHVGBCDELMZIZLNMZJKZVJAVLJKZVHVNUAHVHVOVNVGVLUBUCOAVMVIJAVMBCDVK
      LMZIVIABCDVKLVGVLPQQACRUDCPKACVLUQZRAVKQKZBCUEVQCUFAVRBCABUGCKUHZDEFGUIZU
      JBCVKQUKOAVOVQRUDHVLULOUMCRUNUROZFVTAVGSAVLSZUOABCVPEVSDEFGUPUSUTVAVBAVJV
      LVITNMZJKZVHAVOVJWDUAHVOVJWDVLVIVCVDOAWCVGJAWCBCVKETMZIVGABCVKETVLVIPQQWA
      VTGWBAVISUOABCWEDVSDEFGVEUSUTVAVBVF $.
  $}

  ${
    $d x A $.  $d x ph $.
    lo1sub.1 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    lo1sub.2 $e |- ( ( ph /\ x e. A ) -> C e. RR ) $.
    lo1sub.3 $e |- ( ph -> ( x e. A |-> B ) e. <_O(1) ) $.
    lo1sub.4 $e |- ( ph -> ( x e. A |-> C ) e. O(1) ) $.
    $( The difference of an eventually upper bounded function and an eventually
       bounded function is eventually upper bounded.  The "correct" sharp
       result here takes the second function to be eventually lower bounded
       instead of just bounded, but our notation for this is simply
       ` ( x e. A |-> -u C ) e. <_O(1) ` , so it is just a special case of
       ~ lo1add .  (Contributed by Mario Carneiro, 31-May-2016.) $)
    lo1sub $p |- ( ph -> ( x e. A |-> ( B - C ) ) e. <_O(1) ) $=
      ( cneg caddc co cmpt cmin clo1 cv wcel wa recnd lo1mptrcl cr renegcld co1
      negsubd mpteq2dva o1lo1 mpbid simprd lo1add eqeltrrd ) ABCDEKZLMZNBCDEOMZ
      NPABCUMUNABQCRSZDEUODABCDFGIUAZTUOEHTUEUFABCDULUBUPUOEHUCIABCENZPRZBCULNP
      RZAUQUDRURUSSJABCEHUGUHUIUJUK $.
  $}

  ${
    $d k u v x y z B $.  $d k C $.  $d j k u v y z F $.  $d j k u v x y z ph $.
    $d j k u v x y z A $.  $d j k v x y z G $.  $d k x y z H $.  $d j k x M $.
    $d j k x y z Z $.
    climadd.1 $e |- Z = ( ZZ>= ` M ) $.
    climadd.2 $e |- ( ph -> M e. ZZ ) $.
    climadd.4 $e |- ( ph -> F ~~> A ) $.
    ${
      climadd.6 $e |- ( ph -> H e. X ) $.
      climadd.7 $e |- ( ph -> G ~~> B ) $.
      climadd.8 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
      climadd.9 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) e. CC ) $.
      ${
        climadd.h $e |- ( ( ph /\ k e. Z ) ->
                          ( H ` k ) = ( ( F ` k ) + ( G ` k ) ) ) $.
        $( Limit of the sum of two converging sequences.  Proposition 12-2.1(a)
           of [Gleason] p. 168.  (Contributed by NM, 24-Sep-2005.)  (Proof
           shortened by Mario Carneiro, 31-Jan-2014.) $)
        climadd $p |- ( ph -> H ~~> ( A + B ) ) $=
          ( cc wcel vx vy vz vv vu caddc cli wbr climcl syl cv wa co adantl crp
          addcl cmin cabs cfv clt wral wrex simpr adantr addcn2 syl3anc climcn2
          wi ) AUAUBUCUDUEBCSSDUFEFGHIJKLAEBUGUHBSTZMBEUIUJZAFCUGUHCSTZOCFUIUJZ
          UEUKZSTUDUKZSTULVMVNUFUMZSTAVMVNUPUNMONAUAUKZUOTZULVQVIVKVMBUQUMURUSU
          BUKUTUHVNCUQUMURUSUCUKUTUHULVOBCUFUMUQUMURUSVPUTUHVHUDSVAUESVAUCUOVBU
          BUOVBAVQVCAVIVQVJVDAVKVQVLVDUBUCUDUEVPBCVEVFPQRVG $.
      $}

      ${
        climmul.h $e |- ( ( ph /\ k e. Z ) ->
                          ( H ` k ) = ( ( F ` k ) x. ( G ` k ) ) ) $.
        $( Limit of the product of two converging sequences.  Proposition
           12-2.1(c) of [Gleason] p. 168.  (Contributed by NM, 27-Dec-2005.)
           (Proof shortened by Mario Carneiro, 1-Feb-2014.) $)
        climmul $p |- ( ph -> H ~~> ( A x. B ) ) $=
          ( cc wcel vx vy vz vv vu cli wbr climcl syl cv wa co mulcl adantl crp
          cmul cmin cabs cfv clt wral wrex simpr adantr mulcn2 syl3anc climcn2
          wi ) AUAUBUCUDUEBCSSDUPEFGHIJKLAEBUFUGBSTZMBEUHUIZAFCUFUGCSTZOCFUHUIZ
          UEUJZSTUDUJZSTUKVMVNUPULZSTAVMVNUMUNMONAUAUJZUOTZUKVQVIVKVMBUQULURUSU
          BUJUTUGVNCUQULURUSUCUJUTUGUKVOBCUPULUQULURUSVPUTUGVHUDSVAUESVAUCUOVBU
          BUOVBAVQVCAVIVQVJVDAVKVQVLVDUBUCUDUEVPBCVEVFPQRVG $.
      $}

      ${
        climsub.h $e |- ( ( ph /\ k e. Z ) ->
                          ( H ` k ) = ( ( F ` k ) - ( G ` k ) ) ) $.
        $( Limit of the difference of two converging sequences.  Proposition
           12-2.1(b) of [Gleason] p. 168.  (Contributed by NM, 4-Aug-2007.)
           (Proof shortened by Mario Carneiro, 1-Feb-2014.) $)
        climsub $p |- ( ph -> H ~~> ( A - B ) ) $=
          ( cc cmin vx vy vz vv vu cli wbr climcl syl cv wa co subcl adantl crp
          wcel cabs cfv clt wi wral wrex simpr adantr subcn2 syl3anc climcn2 )
          AUAUBUCUDUEBCSSDTEFGHIJKLAEBUFUGBSUPZMBEUHUIZAFCUFUGCSUPZOCFUHUIZUEUJ
          ZSUPUDUJZSUPUKVLVMTULZSUPAVLVMUMUNMONAUAUJZUOUPZUKVPVHVJVLBTULUQURUBU
          JUSUGVMCTULUQURUCUJUSUGUKVNBCTULTULUQURVOUSUGUTUDSVAUESVAUCUOVBUBUOVB
          AVPVCAVHVPVIVDAVJVPVKVDUBUCUDUEVOBCVEVFPQRVG $.
      $}
    $}

    ${
      climaddc1.5 $e |- ( ph -> C e. CC ) $.
      climaddc1.6 $e |- ( ph -> G e. W ) $.
      climaddc1.7 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
      ${
        climaddc1.h $e |- ( ( ph /\ k e. Z ) ->
                            ( G ` k ) = ( ( F ` k ) + C ) ) $.
        $( Limit of a constant ` C ` added to each term of a sequence.
           (Contributed by NM, 24-Sep-2005.)  (Revised by Mario Carneiro,
           3-Feb-2014.) $)
        climaddc1 $p |- ( ph -> G ~~> ( A + C ) ) $=
          ( cz cc wcel cfv csn cxp cc0 cli wbr 0z uzssz climconst2 sylancl wceq
          zex cv wa cuz eluzelz eleq2s fvconst2g syl2an adantr eqeltrd caddc co
          oveq2d eqtr4d climadd ) ABCDEQCUAUBZFGHIJKLNACRSZUCQSVFCUDUEMUFCUCQUC
          UGUKUHUIOADULZISZUMZVHVFTZCRAVGVHQSZVKCUJVIMVLVHGUNTIGVHUOJUPQCVHRUQU
          RZAVGVIMUSUTVJVHFTVHETZCVAVBVNVKVAVBPVJVKCVNVAVMVCVDVE $.
      $}

      ${
        climaddc2.h $e |- ( ( ph /\ k e. Z ) ->
                            ( G ` k ) = ( C + ( F ` k ) ) ) $.
        $( Limit of a constant ` C ` added to each term of a sequence.
           (Contributed by NM, 24-Sep-2005.)  (Revised by Mario Carneiro,
           3-Feb-2014.) $)
        climaddc2 $p |- ( ph -> G ~~> ( C + A ) ) $=
          ( caddc co cli wcel cv wa cfv cc adantr comraddd climaddc1 wbr climcl
          syl addcomd breqtrd ) AFBCQRCBQRSABCDEFGHIJKLMNOADUAZITZUBUMFUCCUMEUC
          ACUDTUNMUEOPUFUGABCAEBSUHBUDTLBEUIUJMUKUL $.
      $}

      ${
        climmulc2.h $e |- ( ( ph /\ k e. Z ) ->
                            ( G ` k ) = ( C x. ( F ` k ) ) ) $.
        $( Limit of a sequence multiplied by a constant ` C ` .  Corollary
           12-2.2 of [Gleason] p. 171.  (Contributed by NM, 24-Sep-2005.)
           (Revised by Mario Carneiro, 3-Feb-2014.) $)
        climmulc2 $p |- ( ph -> G ~~> ( C x. A ) ) $=
          ( cz cc wcel cfv csn cxp cc0 cli wbr 0z uzssz climconst2 sylancl wceq
          zex cv cuz eluzelz eleq2s fvconst2g syl2an adantr eqeltrd cmul oveq1d
          wa co eqtr4d climmul ) ACBDQCUAUBZEFGHIJKACRSZUCQSVFCUDUEMUFCUCQUCUGU
          KUHUINLADULZISZVBZVHVFTZCRAVGVHQSZVKCUJVIMVLVHGUMTIGVHUNJUOQCVHRUPUQZ
          AVGVIMURUSOVJVHFTCVHETZUTVCVKVNUTVCPVJVKCVNUTVMVAVDVE $.
      $}

      ${
        climsubc1.h $e |- ( ( ph /\ k e. Z ) ->
                            ( G ` k ) = ( ( F ` k ) - C ) ) $.
        $( Limit of a constant ` C ` subtracted from each term of a sequence.
           (Contributed by Mario Carneiro, 9-Feb-2014.) $)
        climsubc1 $p |- ( ph -> G ~~> ( A - C ) ) $=
          ( cz cc wcel cfv csn cxp cc0 cli wbr 0z uzssz climconst2 sylancl wceq
          zex cv cuz eluzelz eleq2s fvconst2g syl2an adantr eqeltrd cmin oveq2d
          wa co eqtr4d climsub ) ABCDEQCUAUBZFGHIJKLNACRSZUCQSVFCUDUEMUFCUCQUCU
          GUKUHUIOADULZISZVBZVHVFTZCRAVGVHQSZVKCUJVIMVLVHGUMTIGVHUNJUOQCVHRUPUQ
          ZAVGVIMURUSVJVHFTVHETZCUTVCVNVKUTVCPVJVKCVNUTVMVAVDVE $.
      $}

      ${
        climsubc2.h $e |- ( ( ph /\ k e. Z ) ->
                            ( G ` k ) = ( C - ( F ` k ) ) ) $.
        $( Limit of a constant ` C ` minus each term of a sequence.
           (Contributed by NM, 24-Sep-2005.)  (Revised by Mario Carneiro,
           9-Feb-2014.) $)
        climsubc2 $p |- ( ph -> G ~~> ( C - A ) ) $=
          ( cz cc wcel cfv csn cxp cc0 cli wbr 0z uzssz climconst2 sylancl wceq
          zex cv cuz eluzelz eleq2s fvconst2g syl2an adantr eqeltrd cmin oveq1d
          wa co eqtr4d climsub ) ACBDQCUAUBZEFGHIJKACRSZUCQSVFCUDUEMUFCUCQUCUGU
          KUHUINLADULZISZVBZVHVFTZCRAVGVHQSZVKCUJVIMVLVHGUMTIGVHUNJUOQCVHRUPUQZ
          AVGVIMURUSOVJVHFTCVHETZUTVCVKVNUTVCPVJVKCVNUTVMVAVDVE $.
      $}
    $}

    ${
      climle.5 $e |- ( ph -> G ~~> B ) $.
      climle.6 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. RR ) $.
      climle.7 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) e. RR ) $.
      climle.8 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) <_ ( G ` k ) ) $.
      $( Comparison of the limits of two sequences.  (Contributed by Paul
         Chapman, 10-Sep-2007.)  (Revised by Mario Carneiro, 1-Feb-2014.) $)
      climle $p |- ( ph -> A <_ B ) $=
        ( vj cmin cle wbr cfv cc0 co cv cmpt cvv wcel cuz fvexi mptex a1i recnd
        wa wceq fveq2 oveq12d eqid ovex fvmpt adantl climsub cr eqeltrd subge0d
        resubcld mpbird breqtrrd climge0 climrecl mpbid ) AUACBQUBZRSBCRSAVJDPH
        PUCZFTZVKETZQUBZUDZGHIJACBDFEVOGUEHIJLVOUEUFAPHVNHGUGIUHUIUJKADUCZHUFZU
        LZVPFTZNUKVRVPETZMUKVQVPVOTZVSVTQUBZUMAPVPVNWBHVOVKVPUMVLVSVMVTQVKVPFUN
        VKVPEUNUOVOUPVSVTQUQURUSZUTVRWAWBVAWCVRVSVTNMVDVBVRUAWBWARVRUAWBRSVTVSR
        SOVRVSVTNMVCVEWCVFVGACBACDFGHIJLNVHABDEGHIJKMVHVCVI $.
    $}

    climsqz.5 $e |- ( ph -> G e. W ) $.
    climsqz.6 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. RR ) $.
    climsqz.7 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) e. RR ) $.
    ${
      climsqz.8 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) <_ ( G ` k ) ) $.
      climsqz.9 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) <_ A ) $.
      $( Convergence of a sequence sandwiched between another converging
         sequence and its limit.  (Contributed by NM, 6-Feb-2008.)  (Revised by
         Mario Carneiro, 3-Feb-2014.) $)
      climsqz $p |- ( ph -> G ~~> A ) $=
        ( vj wcel wa cr vx cli wbr cv cfv cmin co cabs clt cuz wral wrex crp cz
        adantr simpr eqidd climi2 uztrn2 cle climrecl lesub2dd abssuble0d letrd
        wi 3brtr4d adantlr ad2antrr resubcld recnd abscld rpre ad2antlr syl3anc
        lelttr mpand sylan2 anassrs ralimdva reximdva ralrimiva clim2c mpbird
        mpd ) AEBUBUCCUDZEUEZBUFUGZUHUEZUAUDZUIUCZCQUDZUJUEZUKZQHULZUAUMUKAWNUA
        UMAWIUMRZSZWEDUEZBUFUGZUHUEZWIUIUCZCWLUKZQHULWNWPBWQWIQCDFHIAFUNRWOJUOA
        WOUPWPWEHRZSZWQUQADBUBUCWOKUOURWPXAWMQHWPWKHRZSWTWJCWLWPXDWEWLRZWTWJVEZ
        XDXESWPXBXFFWEWKHIUSXCWHWSUTUCZWTWJAXBXGWOAXBSZBWFUFUGBWQUFUGWHWSUTXHWQ
        WFBMNABTRZXBABCDFHIJKMVAZUOZOVBXHWFBNXKPVCXHWQBMXKXHWQWFBMNXKOPVDVCVFVG
        XCWHTRWSTRWITRZXGWTSWJVEXCWGXCWGXCWFBAXBWFTRWONVGAXIWOXBXJVHZVIVJVKXCWR
        XCWRXCWQBAXBWQTRWOMVGXMVIVJVKWOXLAXBWIVLVMWHWSWIVOVNVPVQVRVSVTWDWAAUABW
        FQCEFGHIJLXHWFUQABXJVJXHWFNVJWBWC $.
    $}

    ${
      climsqz2.8 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) <_ ( F ` k ) ) $.
      climsqz2.9 $e |- ( ( ph /\ k e. Z ) -> A <_ ( G ` k ) ) $.
      $( Convergence of a sequence sandwiched between another converging
         sequence and its limit.  (Contributed by NM, 14-Feb-2008.)  (Revised
         by Mario Carneiro, 3-Feb-2014.) $)
      climsqz2 $p |- ( ph -> G ~~> A ) $=
        ( vj wcel wa cr vx cli wbr cv cfv cmin co cabs clt cuz wral wrex crp cz
        adantr simpr eqidd climi2 uztrn2 cle climrecl lesub1dd abssubge0d letrd
        wi 3brtr4d adantlr ad2antrr resubcld recnd abscld rpre ad2antlr syl3anc
        lelttr mpand sylan2 anassrs ralimdva reximdva ralrimiva clim2c mpbird
        mpd ) AEBUBUCCUDZEUEZBUFUGZUHUEZUAUDZUIUCZCQUDZUJUEZUKZQHULZUAUMUKAWNUA
        UMAWIUMRZSZWEDUEZBUFUGZUHUEZWIUIUCZCWLUKZQHULWNWPBWQWIQCDFHIAFUNRWOJUOA
        WOUPWPWEHRZSZWQUQADBUBUCWOKUOURWPXAWMQHWPWKHRZSWTWJCWLWPXDWEWLRZWTWJVEZ
        XDXESWPXBXFFWEWKHIUSXCWHWSUTUCZWTWJAXBXGWOAXBSZWGWRWHWSUTXHWFWQBNMABTRZ
        XBABCDFHIJKMVAZUOZOVBXHBWFXKNPVCXHBWQXKMXHBWFWQXKNMPOVDVCVFVGXCWHTRWSTR
        WITRZXGWTSWJVEXCWGXCWGXCWFBAXBWFTRWONVGAXIWOXBXJVHZVIVJVKXCWRXCWRXCWQBA
        XBWQTRWOMVGXMVIVJVKWOXLAXBWIVLVMWHWSWIVOVNVPVQVRVSVTWDWAAUABWFQCEFGHIJL
        XHWFUQABXJVJXHWFNVJWBWC $.
    $}
  $}

  ${
    $d v w x y z A $.  $d v w y z C $.  $d u v w x y z D $.  $d v w x y z ph $.
    $d u v w y z B $.  $d u v w x y z E $.
    rlimadd.3 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    rlimadd.4 $e |- ( ( ph /\ x e. A ) -> C e. V ) $.
    rlimadd.5 $e |- ( ph -> ( x e. A |-> B ) ~~>r D ) $.
    rlimadd.6 $e |- ( ph -> ( x e. A |-> C ) ~~>r E ) $.
    $( Limit of the sum of two converging functions.  Proposition 12-2.1(a) of
       [Gleason] p. 168.  (Contributed by Mario Carneiro, 22-Sep-2014.) $)
    rlimadd $p |- ( ph -> ( x e. A |-> ( B + C ) ) ~~>r ( D + E ) ) $=
      ( vv vu vw vz cc cv wbr co vy caddc rlimmptrcl wcel wa addcld cmpt rlimcl
      crli syl crp cmin cabs cfv clt wi wral wrex adantr addcn2 syl3anc rlimcn3
      simpr ) AUABMNCDEFGUBQQOPACDFBHIKUCZACEGBHJLUCZABRCUDUEDEVDVEUFAFGABCDUGZ
      FUISFQUDZKFVFUHUJZABCEUGZGUISGQUDZLGVIUHUJZUFKLAUARZUKUDZUEVMVGVJNRZFULTU
      MUNPRUOSMRZGULTUMUNORUOSUEVNVOUBTFGUBTULTUMUNVLUOSUPMQUQNQUQOUKURPUKURAVM
      VCAVGVMVHUSAVJVMVKUSPOMNVLFGUTVAVB $.
    $( $j usage 'rlimadd' avoids 'ax-addf'; $)

    $( Obsolete version of ~ rlimadd as of 27-Sep-2024.  (Contributed by Mario
       Carneiro, 22-Sep-2014.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    rlimaddOLD $p |- ( ph -> ( x e. A |-> ( B + C ) ) ~~>r ( D + E ) ) $=
      ( vv vu vw vz cc wbr cv co caddc rlimmptrcl cmpt crli wcel rlimcl syl cxp
      vy wf ax-addf a1i crp wa cmin cabs cfv clt wral wrex simpr adantr syl3anc
      wi addcn2 rlimcn2 ) AUIBMNCDEFGUAQQOPACDFBHIKUBACEGBHJLUBABCDUCZFUDRFQUEZ
      KFVGUFUGZABCEUCZGUDRGQUEZLGVJUFUGZKLQQUHQUAUJAUKULAUISZUMUEZUNVNVHVKNSZFU
      OTUPUQPSURRMSZGUOTUPUQOSURRUNVOVPUATFGUATUOTUPUQVMURRVDMQUSNQUSOUMUTPUMUT
      AVNVAAVHVNVIVBAVKVNVLVBPOMNVMFGVEVCVF $.

    $( Limit of the difference of two converging functions.  Proposition
       12-2.1(b) of [Gleason] p. 168.  (Contributed by Mario Carneiro,
       22-Sep-2014.) $)
    rlimsub $p |- ( ph -> ( x e. A |-> ( B - C ) ) ~~>r ( D - E ) ) $=
      ( vv vu vw cmin cc wbr cv co vy vz rlimmptrcl cmpt crli rlimcl syl cxp wf
      wcel subf a1i crp wa cabs cfv clt wral wrex adantr subcn2 syl3anc rlimcn2
      wi simpr ) AUABMNCDEFGPQQOUBACDFBHIKUCACEGBHJLUCABCDUDZFUERFQUJZKFVFUFUGZ
      ABCEUDZGUERGQUJZLGVIUFUGZKLQQUHQPUIAUKULAUASZUMUJZUNVMVGVJNSZFPTUOUPUBSUQ
      RMSZGPTUOUPOSUQRUNVNVOPTFGPTPTUOUPVLUQRVDMQURNQUROUMUSUBUMUSAVMVEAVGVMVHU
      TAVJVMVKUTUBOMNVLFGVAVBVC $.

    $( Limit of the product of two converging functions.  Proposition 12-2.1(c)
       of [Gleason] p. 168.  (Contributed by Mario Carneiro, 22-Sep-2014.) $)
    rlimmul $p |- ( ph -> ( x e. A |-> ( B x. C ) ) ~~>r ( D x. E ) ) $=
      ( vv vu vw vz cc cv wbr co vy cmul rlimmptrcl wcel mulcld cmpt rlimcl syl
      wa crli crp cmin cabs cfv clt wi wral simpr adantr mulcn2 syl3anc rlimcn3
      wrex ) AUABMNCDEFGUBQQOPACDFBHIKUCZACEGBHJLUCZABRCUDUIDEVDVEUEAFGABCDUFZF
      UJSFQUDZKFVFUGUHZABCEUFZGUJSGQUDZLGVIUGUHZUEKLAUARZUKUDZUIVMVGVJNRZFULTUM
      UNPRUOSMRZGULTUMUNORUOSUIVNVOUBTFGUBTULTUMUNVLUOSUPMQUQNQUQOUKVCPUKVCAVMU
      RAVGVMVHUSAVJVMVKUSPOMNVLFGUTVAVB $.
    $( $j usage 'rlimmul' avoids 'ax-mulf'; $)

    $( Obsolete version of ~ rlimmul as of 27-Sep-2024.  (Contributed by Mario
       Carneiro, 22-Sep-2014.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    rlimmulOLD $p |- ( ph -> ( x e. A |-> ( B x. C ) ) ~~>r ( D x. E ) ) $=
      ( vv vu vw vz cc wbr cv co vy cmul rlimmptrcl cmpt crli rlimcl syl cxp wf
      wcel ax-mulf a1i crp wa cmin cabs cfv clt wral wrex adantr mulcn2 syl3anc
      wi simpr rlimcn2 ) AUABMNCDEFGUBQQOPACDFBHIKUCACEGBHJLUCABCDUDZFUERFQUJZK
      FVGUFUGZABCEUDZGUERGQUJZLGVJUFUGZKLQQUHQUBUIAUKULAUASZUMUJZUNVNVHVKNSZFUO
      TUPUQPSURRMSZGUOTUPUQOSURRUNVOVPUBTFGUBTUOTUPUQVMURRVDMQUSNQUSOUMUTPUMUTA
      VNVEAVHVNVIVAAVKVNVLVAPOMNVMFGVBVCVF $.

    rlimdiv.7 $e |- ( ph -> E =/= 0 ) $.
    rlimdiv.8 $e |- ( ( ph /\ x e. A ) -> C =/= 0 ) $.
    $( Limit of the quotient of two converging functions.  Proposition
       12-2.1(a) of [Gleason] p. 168.  (Contributed by Mario Carneiro,
       22-Sep-2014.) $)
    rlimdiv $p |- ( ph -> ( x e. A |-> ( B / C ) ) ~~>r ( D / E ) ) $=
      ( c1 cdiv co cc wcel cc0 vy vz vw vv cmul cmpt crli rlimmptrcl reccld csn
      cv wa cdif ccom cfv wne eldifsn sylanbrc fmpttd rlimcl reccl sylbi adantl
      wbr syl crp cmin cabs clt wi wral wrex cle cif c2 eqid reccn2 sylan oveq2
      ovex wceq oveqan12rd fveq2d breq1d imbi2d ralbidva rexbidv biimpar syldan
      fvmpt rlimcn1 eqidd fmptco 3brtr3d rlimmul divrecd mpteq2dva 3brtr4d ) AB
      CDOEPQZUEQZUFFOGPQZUEQBCDEPQZUFFGPQUGABCDWSFXARACDFBHIKUHZABUKCSULZEACEGB
      HJLUHZNUIKAUARTUJUMZOUAUKZPQZUFZBCEUFZUNGXIUOZBCWSUFXAUGAUBUCUDCGXIXJXFAB
      CEXFXDERSETUPEXFSXENERTUQURZUSAGRSZGTUPGXFSZAXJGUGVDXMLGXJUTVEZMGRTUQURZL
      AUAXFXHRXGXFSZXHRSZAXQXGRSXGTUPULXRXGRTUQXGVAVBVCUSAUBUKZVFSZUDUKZGVGQVHU
      OUCUKVIVDZOYAPQZXAVGQZVHUOZXSVIVDZVJZUDXFVKZUCVFVLZYBYAXIUOZXKVGQZVHUOZXS
      VIVDZVJZUDXFVKZUCVFVLZAXNXTYIXPUCUDGXSOGVHUOZXSUEQZVMVDOYRVNYQVOPQUEQZYSV
      PVQVRAYPYIAYOYHUCVFAYNYGUDXFAYAXFSZULZYMYFYBUUAYLYEXSVIUUAYKYDVHYTAYJYCXK
      XAVGUAYAXHYCXFXIXGYAOPVSXIVPZOYAPVTWJAXNXKXAWAXPUAGXHXAXFXIXGGOPVSUUBOGPV
      TWJVEZWBWCWDWEWFWGWHWIWKABUACXFEXHWSXJXIXLAXJWLAXIWLXGEOPVSWMUUCWNWOABCXB
      WTXDDEXCXENWPWQAFGABCDUFZFUGVDFRSKFUUDUTVEXOMWPWR $.
  $}

  ${
    $d k A $.  $d k C $.  $d k ph $.
    rlimneg.1 $e |- ( ( ph /\ k e. A ) -> B e. V ) $.
    rlimneg.2 $e |- ( ph -> ( k e. A |-> B ) ~~>r C ) $.
    $( Limit of the negative of a sequence.  (Contributed by Mario Carneiro,
       18-May-2016.) $)
    rlimneg $p |- ( ph -> ( k e. A |-> -u B ) ~~>r -u C ) $=
      ( cc0 cmin co cmpt cneg crli cc wcel cr wss wbr syl cv wa 0cnd rlimmptrcl
      cdm wral wceq ralrimiva dmmptg rlimss eqsstrrd 0cn sylancl rlimsub df-neg
      rlimconst mpteq2i 3brtr4g ) AEBICJKZLIDJKEBCMZLDMNAEBICIDOAEUABPUBUCABCDE
      FGHUDABQRIOPEBILINSABEBCLZUEZQACFPZEBUFVBBUGAVCEBGUHEBCFUITAVADNSVBQRHDVA
      UJTUKULEBIUPUMHUNEBUTUSCUOUQDUOUR $.
  $}

  ${
    $d x A $.  $d x D $.  $d x ph $.  $d x E $.
    rlimle.1 $e |- ( ph -> sup ( A , RR* , < ) = +oo ) $.
    rlimle.2 $e |- ( ph -> ( x e. A |-> B ) ~~>r D ) $.
    rlimle.3 $e |- ( ph -> ( x e. A |-> C ) ~~>r E ) $.
    rlimle.4 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    rlimle.5 $e |- ( ( ph /\ x e. A ) -> C e. RR ) $.
    rlimle.6 $e |- ( ( ph /\ x e. A ) -> B <_ C ) $.
    $( Comparison of the limits of two sequences.  (Contributed by Mario
       Carneiro, 10-May-2016.) $)
    rlimle $p |- ( ph -> D <_ E ) $=
      ( cc0 cmin co cle wbr subge0d rlimrecl cr rlimsub cv wcel resubcld mpbird
      wa rlimge0 mpbid ) ANGFOPZQRFGQRABCEDOPZUJHABCEDGFUALKJIUBABUCCUDUGZEDLKU
      EULNUKQRDEQRMULEDLKSUFUHAGFABCEGHJLTABCDFHIKTSUI $.
  $}

  ${
    $d x y z A $.  $d y z B $.  $d x y z D $.  $d x y z E $.  $d x y z ph $.
    $d y z C $.  $d x z M $.
    rlimsqzlem.m $e |- ( ph -> M e. RR ) $.
    rlimsqzlem.e $e |- ( ph -> E e. CC ) $.
    rlimsqzlem.1 $e |- ( ph -> ( x e. A |-> B ) ~~>r D ) $.
    rlimsqzlem.2 $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    rlimsqzlem.3 $e |- ( ( ph /\ x e. A ) -> C e. CC ) $.
    rlimsqzlem.4 $e |- ( ( ph /\ ( x e. A /\ M <_ x ) ) ->
      ( abs ` ( C - E ) ) <_ ( abs ` ( B - D ) ) ) $.
    $( Lemma for ~ rlimsqz and ~ rlimsqz2 .  (Contributed by Mario Carneiro,
       18-Sep-2014.)  (Revised by Mario Carneiro, 20-May-2016.) $)
    rlimsqzlem $p |- ( ph -> ( x e. A |-> C ) ~~>r E ) $=
      ( vz vy wbr wcel wa cr cmpt crli cv cle cmin co cabs cfv clt wi wral cpnf
      cico wrex crp ad3antrrr wb ad2antrr elicopnf syl simprbda adantrr wss cdm
      eqid dmmptd rlimss eqsstrrd adantr sselda simplbda letrd anassrs adantllr
      cc simprr syldan subcld abscld ad4ant13 rlimcl rpre ad3antlr lelttr mpand
      syl3anc expr an32s a2d ralimdva reximdva ralrimiva rlim3 3imtr4d mpd ) AB
      CDUAZFUBQZBCEUAGUBQZKAOUCZBUCZUDQZDFUEUFZUGUHZPUCZUIQZUJZBCUKZOHULUMUFZUN
      ZPUOUKXAEGUEUFZUGUHZXDUIQZUJZBCUKZOXHUNZPUOUKWQWRAXIXOPUOAXDUORZSZXGXNOXH
      XQWSXHRZSZXFXMBCXSWTCRZSXAXEXLXQXTXRXAXEXLUJZUJXQXTSZXRXAYAYBXRXASZSZXKXC
      UDQZXEXLYBYCHWTUDQZYEYDHWSWTAHTRZXPXTYCIUPYBXRWSTRZXAYBXRYHHWSUDQZYBYGXRY
      HYISUQAYGXPXTIURHWSUSUTZVAVBYBWTTRYCXQCTWTACTVCXPACWPVDZTABWPCDVOWPVELVFA
      WQYKTVCKFWPVGUTVHZVIVJVIYBXRYIXAYBXRYHYIYJVKVBYBXRXAVPVLAXTYFYEXPAXTYFYEN
      VMVNVQYDXKTRZXCTRZXDTRZYEXESXLUJAXTYMXPYCAXTSZXJYPEGMAGVORXTJVIVRVSVTAXTY
      NXPYCYPXBYPDFLAFVORZXTAWQYQKFWPWAUTZVIVRVSVTXPYOAXTYCXDWBWCXKXCXDWDWFWEWG
      WHWIWJWKWJAPOBCDFHADVORBCLWLYLYRIWMAPOBCEGHAEVORBCMWLYLJIWMWNWO $.
  $}

  ${
    $d x A $.  $d x D $.  $d x M $.  $d x ph $.
    rlimsqz.d $e |- ( ph -> D e. RR ) $.
    rlimsqz.m $e |- ( ph -> M e. RR ) $.
    rlimsqz.l $e |- ( ph -> ( x e. A |-> B ) ~~>r D ) $.
    rlimsqz.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    rlimsqz.c $e |- ( ( ph /\ x e. A ) -> C e. RR ) $.
    ${
      rlimsqz.1 $e |- ( ( ph /\ ( x e. A /\ M <_ x ) ) -> B <_ C ) $.
      rlimsqz.2 $e |- ( ( ph /\ ( x e. A /\ M <_ x ) ) -> C <_ D ) $.
      $( Convergence of a sequence sandwiched between another converging
         sequence and its limit.  (Contributed by Mario Carneiro, 18-Sep-2014.)
         (Revised by Mario Carneiro, 20-May-2016.) $)
      rlimsqz $p |- ( ph -> ( x e. A |-> C ) ~~>r D ) $=
        ( recnd wcel wa cmin co cr cle wbr cabs cfv adantrr lesub2dd abssuble0d
        cv adantr letrd 3brtr4d rlimsqzlem ) ABCDEFFGIAFHOJABUHZCPZQZDKOUOELOAU
        NGUMUAUBZQZQZFERSFDRSEFRSUCUDDFRSUCUDUAURDEFAUNDTPUPKUEZAUNETPUPLUEZAFT
        PUQHUIZMUFUREFUTVANUGURDFUSVAURDEFUSUTVAMNUJUGUKUL $.
    $}

    ${
      rlimsqz2.1 $e |- ( ( ph /\ ( x e. A /\ M <_ x ) ) -> C <_ B ) $.
      rlimsqz2.2 $e |- ( ( ph /\ ( x e. A /\ M <_ x ) ) -> D <_ C ) $.
      $( Convergence of a sequence sandwiched between another converging
         sequence and its limit.  (Contributed by Mario Carneiro, 3-Feb-2014.)
         (Revised by Mario Carneiro, 20-May-2016.) $)
      rlimsqz2 $p |- ( ph -> ( x e. A |-> C ) ~~>r D ) $=
        ( recnd wcel wa cle cmin cr cv wbr cabs cfv adantrr lesub1dd abssubge0d
        co adantr letrd 3brtr4d rlimsqzlem ) ABCDEFFGIAFHOJABUAZCPZQZDKOUOELOAU
        NGUMRUBZQZQZEFSUHZDFSUHZUSUCUDUTUCUDRUREDFAUNETPUPLUEZAUNDTPUPKUEZAFTPU
        QHUIZMUFURFEVCVANUGURFDVCVBURFEDVCVAVBNMUJUGUKUL $.
    $}
  $}

  ${
    $d m x y z A $.  $d m y z C $.  $d m x z M $.  $d m x y z ph $.
    $d m y B $.
    lo1le.1 $e |- ( ph -> M e. RR ) $.
    lo1le.2 $e |- ( ph -> ( x e. A |-> B ) e. <_O(1) ) $.
    lo1le.3 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    lo1le.4 $e |- ( ( ph /\ x e. A ) -> C e. RR ) $.
    lo1le.5 $e |- ( ( ph /\ ( x e. A /\ M <_ x ) ) -> C <_ B ) $.
    $( Transfer eventual upper boundedness from a larger function to a smaller
       function.  (Contributed by Mario Carneiro, 26-May-2016.) $)
    lo1le $p |- ( ph -> ( x e. A |-> C ) e. <_O(1) ) $=
      ( vm wcel cle wbr wi cr wrex wa vy vz cmpt clo1 cv cif simpr adantr ifcld
      wral wb ad2antrr simplr wss cdm wceq ralrimiva dmmptg syl eqsstrrd simprr
      lo1dm sseldd maxle syl3anc syl6bi imim1d adantlr adantrll simpl lo1mptrcl
      syl2an simprll letr mpand expr adantrd a2d syld anassrs ralimdva reximdva
      sylbid breq1 imbi1d rexralbidv rspcev syl6an rexlimdva ello1mpt 3imtr4d
      mpd ) ABCDUCZUDNZBCEUCUDNZIAUAUEZBUEZOPZDMUEZOPZQZBCUJZMRSZUARSUBUEZWQOPZ
      EWSOPZQZBCUJMRSZUBRSZWNWOAXCXIUARAWPRNZTZFWPOPZWPFUFZRNXCXMWQOPZXFQZBCUJZ
      MRSZXIXKXLWPFRAXJUGAFRNZXJHUHUIXKXBXPMRXKWSRNZTXAXOBCXKXSWQCNZXAXOQXKXSXT
      TZTZXAXNWTQXOYBXNWRWTYBXNFWQOPZWRTZWRYBXRXJWQRNXNYDUKAXRXJYAHULAXJYAUMYBC
      RWQACRUNXJYAACWMUOZRADGNZBCUJYECUPAYFBCJUQBCDGURUSAWNYERUNIWMVBUSUTZULXKX
      SXTVAVCFWPWQVDVEZYCWRUGVFVGYBXNWTXFYBXNYDWTXFQZYHYBYCYIWRXKYAYCYIXKYAYCTZ
      TZEDOPZWTXFXKXTYCYLXSAXTYCTYLXJLVHVIYKERNZDRNZXSYLWTTXFQXKAXTYMYJAXJVJZXS
      XTYCUMZKVLXKAXTYNYJYOYPABCDGJIVKZVLXKXSXTYCVMEDWSVNVEVOVPVQWCVRVSVTWAWBXH
      XQUBXMRXDXMUPZXGXOMBRCYRXEXNXFXDXMWQOWDWEWFWGWHWIABUACDMYGYQWJABUBCEMYGKW
      JWKWL $.
  $}

  ${
    $d x A $.  $d x M $.  $d x ph $.
    o1le.1 $e |- ( ph -> M e. RR ) $.
    o1le.2 $e |- ( ph -> ( x e. A |-> B ) e. O(1) ) $.
    o1le.3 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    o1le.4 $e |- ( ( ph /\ x e. A ) -> C e. CC ) $.
    o1le.5 $e |- ( ( ph /\ ( x e. A /\ M <_ x ) ) ->
      ( abs ` C ) <_ ( abs ` B ) ) $.
    $( Transfer eventual boundedness from a larger function to a smaller
       function.  (Contributed by Mario Carneiro, 25-Sep-2014.)  (Proof
       shortened by Mario Carneiro, 26-May-2016.) $)
    o1le $p |- ( ph -> ( x e. A |-> C ) e. O(1) ) $=
      ( cmpt co1 wcel cabs cfv clo1 cvv lo1o12 o1mptrcl mpbid cv wa fvexd lo1le
      abscld mpbird ) ABCEMNOBCEPQZMROABCDPQZUIFSHABCDMNOBCUJMROIABCDABCDGJIUAT
      UBABUCCOUDZDPUEUKEKUGLUFABCEKTUH $.
  $}

  ${
    $d c x y A $.  $d c y B $.  $d c x y ph $.
    rlimno1.1 $e |- ( ph -> sup ( A , RR* , < ) = +oo ) $.
    rlimno1.2 $e |- ( ph -> ( x e. A |-> ( 1 / B ) ) ~~>r 0 ) $.
    rlimno1.3 $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    rlimno1.4 $e |- ( ( ph /\ x e. A ) -> B =/= 0 ) $.
    $( A function whose inverse converges to zero is unbounded.  (Contributed
       by Mario Carneiro, 30-May-2016.) $)
    rlimno1 $p |- ( ph -> -. ( x e. A |-> B ) e. O(1) ) $=
      ( vc vy wcel cle wbr cr wrex wa wfal c1 cc0 adantr cmpt co1 cabs cfv wral
      cv wi fal cdiv co cmin cif clt cc reccld ralrimiva simpr 1re ifcl sylancl
      crp 1rp a1i max1 sylancr rpgecld rpreccld crli wss wb cdm wceq dmmptg syl
      rlimi rlimss eqsstrrd cxr csup cpnf ressxr sstrdi supxrunb1 mpbird r19.29
      rexanre r19.29r adantlr wne subid1d fveq2d 1cnd 0le1 absidd oveq1d 3eqtrd
      absdivd ad2antrr rprecred absrpcld max2 lediv2ad lensymd eqnbrtrd pm2.21d
      rpred letrd expimpd ancomsd imim2d impcomd rexlimdva syl5 rexlimdvw mpand
      sylbird mtoi nrexdv elo1mpt rexcom bitrdi mtbird ) ABCDUAUBKZIUFBUFZLMZDU
      CUDZJUFZLMZUGBCUEZINOZJNOZAYJJNAYGNKZPZYJQUHYMYERDUIUJZSUKUJZUCUDZRRYGLMZ
      YGRULZUIUJZUMMZUGBCUEINOZYJQYMIBCYNSYSUNAYNUNKZBCUEZYLAUUBBCAYDCKZPDGHUOU
      PZTYMYRYMYRRYMYLRNKZYRNKZAYLUQZURYQYGRNUSUTZRVAKYMVBVCYMUUFYLRYRLMURUUHRY
      GVDVEVFZVGABCYNUAZSVHMZYLFTVOYMUUAYJPZYEYTYHPZUGZBCUEZINOZQYMCNVIZUUQUUMV
      JAUURYLACUUKVKZNAUUCUUSCVLUUEBCYNUNVMVNAUULUUSNVIFSUUKVPVNVQZTYTYHCIBWFVN
      YMYEBCOZINUEZUUQQAUVBYLAUVBCVRUMVSVTVLZEACVRVIUVBUVCVJACNVRUUTWAWBIBCWCVN
      WDTUVBUUQPUVAUUPPZINOYMQUVAUUPINWEYMUVDQINUVDYEUUOPZBCOYMQYEUUOBCWGYMUVEQ
      BCYMUUDPZUUOYEQUVFUUNQYEUVFYHYTQUVFYHYTQUVFYHPZYTQUVGYPRYFUIUJZYSUMUVGYPY
      NUCUDRUCUDZYFUIUJUVHUVGYOYNUCUVGYNUVGDUVFDUNKZYHAUUDUVJYLGWHZTZUVFDSWIZYH
      AUUDUVMYLHWHZTZUOWJWKUVGRDUVGWLUVLUVOWQUVGUVIRYFUIUVGRUUFUVGURVCZSRLMUVGW
      MVCZWNWOWPUVGYSUVHUVGYRYMYRVAKUUDYHUUJWRZWSUVGYFUVFYFVAKYHUVFDUVKUVNWTTZW
      SUVGYFYRRUVSUVRUVPUVQUVGYFYGYRUVGYFUVSXFYMYLUUDYHUUHWRZYMUUGUUDYHUUIWRUVF
      YHUQUVGUUFYLYGYRLMURUVTRYGXAVEXGXBXCXDXEXHXIXJXKXLXMXNXMXOXPXOXQXRAYCYIJN
      OINOYKABICDJUUTGXSYIIJNNXTYAYB $.
  $}

  ${
    $d j k A $.  $d j k B $.  $d j k x y F $.  $d j k x y M $.  $d j k x y N $.
    $d j k x C $.  $d j k G $.  $d j k x y ph $.  $d j k x Z $.
    clim2ser.1 $e |- Z = ( ZZ>= ` M ) $.
    ${
      clim2ser.2 $e |- ( ph -> N e. Z ) $.
      clim2ser.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
      ${
        clim2ser.5 $e |- ( ph -> seq M ( + , F ) ~~> A ) $.
        $( The limit of an infinite series with an initial segment removed.
           (Contributed by Paul Chapman, 9-Feb-2008.)  (Revised by Mario
           Carneiro, 1-Feb-2014.) $)
        clim2ser $p |- ( ph -> seq ( N + 1 ) ( + , F ) ~~>
                               ( A - ( seq M ( + , F ) ` N ) ) ) $=
          ( caddc cfv co wcel syl cc cv adantr cmin vj vx vy cseq c1 cvv cuz cz
          eqid eleqtrdi peano2uz eluzelz eluzel2 serf ffvelrnd a1i wa eleqtrrdi
          seqex wf uztrn2 sylan addcl adantl w3a addass simpr cfz elfzuz sylan2
          adantlr seqsplit oveq1d syldan ffvelrnda pncan2d eqtr2d climsubc1
          wceq ) ABFLDEUDZMZUAVTLDFUELNZUDZWBUFWBUGMZWDUIZAWBEUGMZOZWBUHOAFWFOZ
          WGAFGWFIHUJZEFUKPZEWBULPZKAGQFVTACDEGHAWHEUHOWIEFUMPJUNZIUOZWCUFOALDW
          BUSUPAUARZWDOZUQZGQWNVTAGQVTUTWOWLSAWBGOZWOWNGOAWBWFGWJHURZEWNWBGHVAV
          BUOWPWNVTMZWATNWAWNWCMZLNZWATNWTWPWSXAWATWPCUBUCLQDEFWNCRZQOZUBRZQOZU
          QXBXDLNZQOWPXBXDVCVDXCXEUCRZQOVEXFXGLNXBXDXGLNLNVSWPXBXDXGVFVDAWOVGAW
          HWOWISAXBEWNVHNOZXBDMQOZWOXHAXBGOZXIXHXBWFGXBEWNVIHURJVJVKVLVMWPWAWTA
          WAQOWOWMSAWDQWNWCACDWBWDWEWKAXBWDOZXJXIAWQXKXJWREXBWBGHVAVBJVNUNVOVPV
          QVR $.
      $}

      ${
        clim2ser2.5 $e |- ( ph -> seq ( N + 1 ) ( + , F ) ~~> A ) $.
        $( The limit of an infinite series with an initial segment added.
           (Contributed by Paul Chapman, 9-Feb-2008.)  (Revised by Mario
           Carneiro, 1-Feb-2014.) $)
        clim2ser2 $p |- ( ph -> seq M ( + , F ) ~~>
                               ( A + ( seq M ( + , F ) ` N ) ) ) $=
          ( vj vx caddc cfv co wcel syl cc cv vy cseq cvv cuz eleqtrdi peano2uz
          c1 eqid cz eluzelz eluzel2 serf ffvelrnd seqex eleqtrrdi uztrn2 sylan
          a1i syldan ffvelrnda wa adantr addcl adantl w3a wceq addass simpr cfz
          elfzuz sylan2 adantlr seqsplit comraddd climaddc1 ) ABFNDEUBZOZLNDFUG
          NPZUBZVPVRUCVRUDOZVTUHZAVREUDOZQZVRUIQAFWBQZWCAFGWBIHUEZEFUFRZEVRUJRZ
          KAGSFVPACDEGHAWDEUIQWEEFUKRJULIUMZVPUCQANDEUNURAVTSLTZVSACDVRVTWAWGAC
          TZVTQZWJGQZWJDOSQZAVRGQWKWLAVRWBGWFHUOEWJVRGHUPUQJUSULUTZAWIVTQZVAZWI
          VPOVQWIVSOAVQSQWOWHVBWNWPCMUANSDEFWIWJSQZMTZSQZVAWJWRNPZSQWPWJWRVCVDW
          QWSUATZSQVEWTXANPWJWRXANPNPVFWPWJWRXAVGVDAWOVHAWDWOWEVBAWJEWIVIPQZWMW
          OXBAWLWMXBWJWBGWJEWIVJHUOJVKVLVMVNVO $.
      $}
    $}

    ${
      iserex.2 $e |- ( ph -> N e. Z ) $.
      iserex.3 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
      $( An infinite series converges, if and only if the series does with
         initial terms removed.  (Contributed by Paul Chapman, 9-Feb-2008.)
         (Revised by Mario Carneiro, 27-Apr-2014.) $)
      iserex $p |- ( ph -> ( seq M ( + , F ) e. dom ~~> <->
                             seq N ( + , F ) e. dom ~~> ) ) $=
        ( wceq caddc cseq cli wcel c1 co cfv wa wbr syl cdm wb wi seqeq1 eleq1d
        cmin cuz bicomd simpll cc cz eleqtrdi eluzelz zcnd ax-1cn npcan sylancl
        a1i seqeq1d simplr eleqtrrdi sylan simpr climdm sylib clim2ser eqbrtrrd
        cv climrel releldmi adantr eqbrtrd clim2ser2 impbida ex wo uzm1 mpjaod
        ) AEDJZKCDLZMUAZNZKCELZWANZUBZEOUFPZDUGQZNZVSWEUCAVSWDWBVSWCVTWAKCEDUDU
        EUHURAWHWEAWHRZWBWDWIWBRZWCVTMQZWFVTQZUFPZMSWDWJKCWFOKPZLZWCWMMWJAWOWCJ
        ZAWHWBUIZAWNEKCAEUJNOUJNWNEJAEAEWGNZEUKNAEFWGHGULZDEUMTUNUOEOUPUQUSZTWJ
        WKBCDWFFGWJWFWGFAWHWBUTGVAWJABVHZFNZXACQUJNZWQIVBWJWBVTWKMSWIWBVCVTVDVE
        VFVGWCWMMVIVJTWIWDRZVTWCMQZWLKPZMSWBXDXEBCDWFFGWIWFFNWDWIWFWGFAWHVCGVAV
        KXDAXBXCAWHWDUIZIVBXDWOWCXEMXDAWPXGWTTXDWDWCXEMSWIWDVCWCVDVEVLVMVTXFMVI
        VJTVNVOAWRVSWHVPWSDEVQTVR $.
    $}

    ${
      isermulc2.2 $e |- ( ph -> M e. ZZ ) $.
      isermulc2.4 $e |- ( ph -> C e. CC ) $.
      isermulc2.5 $e |- ( ph -> seq M ( + , F ) ~~> A ) $.
      isermulc2.6 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
      isermulc2.7 $e |- ( ( ph /\ k e. Z ) ->
                          ( G ` k ) = ( C x. ( F ` k ) ) ) $.
      $( Multiplication of an infinite series by a constant.  (Contributed by
         Paul Chapman, 14-Nov-2007.)  (Revised by Mario Carneiro,
         1-Feb-2014.) $)
      isermulc2 $p |- ( ph -> seq M ( + , G ) ~~> ( C x. A ) ) $=
        ( caddc wcel cc cv cmul co vj vx cseq cvv seqex serf ffvelrnda wa addcl
        a1i adantl wceq adantr adddi 3expb sylan cuz cfv eleqtrdi cfz eleqtrrdi
        simpr elfzuz sylan2 adantlr seqdistr climmulc2 ) ABCUAOEGUCZOFGUCZGUDHI
        JLKVIUDPAOFGUEUJAHQUARZVHADEGHIJMUFUGAVJHPZUHZDUBCOQSFEGVJDRZQPZUBRZQPZ
        UHZVMVOOTZQPVLVMVOUIUKVLCQPZVQCVRSTCVMSTCVOSTOTULZAVSVKKUMVSVNVPVTCVMVO
        UNUOUPVLVJHGUQURZAVKVBIUSAVMGVJUTTPZVMEURZQPZVKWBAVMHPZWDWBVMWAHVMGVJVC
        IVAZMVDVEAWBVMFURCWCSTULZVKWBAWEWGWFNVDVEVFVG $.
    $}

    ${
      climlec2.2 $e |- ( ph -> M e. ZZ ) $.
      climlec2.3 $e |- ( ph -> A e. RR ) $.
      climlec2.4 $e |- ( ph -> F ~~> B ) $.
      climlec2.5 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. RR ) $.
      climlec2.6 $e |- ( ( ph /\ k e. Z ) -> A <_ ( F ` k ) ) $.
      $( Comparison of a constant to the limit of a sequence.  (Contributed by
         NM, 28-Feb-2008.)  (Revised by Mario Carneiro, 1-Feb-2014.) $)
      climlec2 $p |- ( ph -> A <_ B ) $=
        ( cz csn cxp wcel cc0 cfv cr cc cli wbr recnd 0z zex climconst2 sylancl
        uzssz cv wa wceq cuz eluzelz eleq2s fvconst2g syl2an adantr eqeltrd cle
        eqbrtrd climle ) ABCDNBOPZEFGHIABUAQRNQVCBUBUCABJUDUEBRNRUIUFUGUHKADUJZ
        GQZUKZVDVCSZBTABTQZVDNQZVGBULVEJVIVDFUMSGFVDUNHUONBVDTUPUQZAVHVEJURUSLV
        FVGBVDESUTVJMVAVB $.
    $}

    ${
      iserle.2 $e |- ( ph -> M e. ZZ ) $.
      iserle.4 $e |- ( ph -> seq M ( + , F ) ~~> A ) $.
      iserle.5 $e |- ( ph -> seq M ( + , G ) ~~> B ) $.
      iserle.6 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. RR ) $.
      iserle.7 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) e. RR ) $.
      iserle.8 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) <_ ( G ` k ) ) $.
      $( Comparison of the limits of two infinite series.  (Contributed by Paul
         Chapman, 12-Nov-2007.)  (Revised by Mario Carneiro, 3-Feb-2014.) $)
      iserle $p |- ( ph -> A <_ B ) $=
        ( vj cr wcel cfv syl2anc caddc cseq cv serfre ffvelrnda wa cuz eleqtrdi
        simpr cfz co simpll elfzuz eleqtrrdi adantl cle wbr serle climle ) ABCP
        UAEGUBZUAFGUBZGHIJKLAHQPUCZUTADEGHIJMUDUEAHQVBVAADFGHIJNUDUEAVBHRZUFZDE
        FGVBVDVBHGUGSZAVCUIIUHVDDUCZGVBUJUKRZUFZAVFHRZVFESZQRAVCVGULZVGVIVDVGVF
        VEHVFGVBUMIUNUOZMTVHAVIVFFSZQRVKVLNTVHAVIVJVMUPUQVKVLOTURUS $.
    $}

    ${
      iserge0.2 $e |- ( ph -> M e. ZZ ) $.
      iserge0.3 $e |- ( ph -> seq M ( + , F ) ~~> A ) $.
      iserge0.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. RR ) $.
      iserge0.5 $e |- ( ( ph /\ k e. Z ) -> 0 <_ ( F ` k ) ) $.
      $( The limit of an infinite series of nonnegative reals is nonnegative.
         (Contributed by Paul Chapman, 9-Feb-2008.)  (Revised by Mario
         Carneiro, 3-Feb-2014.) $)
      iserge0 $p |- ( ph -> 0 <_ A ) $=
        ( cc0 cuz cfv csn cxp cz wcel caddc syl cseq cli serclim0 cv wa cr wceq
        wbr simpr eleqtrdi c0ex fvconst2 0re eqeltrdi cle eqbrtrd iserle ) ALBC
        EMNZLOPZDEFGHAEQRSUSEUALUBUHHEUCTIACUDZFRZUEZUTUSNZLUFVBUTURRVCLUGVBUTF
        URAVAUIGUJURLUTUKULTZUMUNJVBVCLUTDNUOVDKUPUQ $.
    $}

    ${
      climub.2 $e |- ( ph -> N e. Z ) $.
      climub.3 $e |- ( ph -> F ~~> A ) $.
      climub.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. RR ) $.
      climub.5 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) <_ ( F ` ( k + 1 ) ) ) $.
      $( The limit of a monotonic sequence is an upper bound.  (Contributed by
         NM, 18-Mar-2005.)  (Revised by Mario Carneiro, 10-Feb-2014.) $)
      climub $p |- ( ph -> ( F ` N ) <_ A ) $=
        ( vj cfv cuz wcel cr wi syldan co eqid cz eleqtrdi eluzelz syl cv fveq2
        eleq1d imbi2d expcom vtoclga mpcom uztrn2 sylan impcom simpr cfz elfzuz
        wceq wa sylan2 adantlr c1 cmin caddc cle wbr monoord climlec2 ) AFDNZBM
        DFFONZVKUAAFEONZPFUBPAFGVLIHUCEFUDUEFGPZAVJQPZIACUFZDNZQPZRZAVNRCFGVOFU
        SZVQVNAVSVPVJQVOFDUGUHUIAVOGPZVQKUJZUKULJAMUFZVKPZWBGPZWBDNZQPZAVMWCWDI
        EWBFGHUMUNWDAWFVRAWFRCWBGVOWBUSZVQWFAWGVPWEQVOWBDUGUHUIWAUKUOSAWCUTCDFW
        BAWCUPAVOFWBUQTPZVQWCWHAVOVKPZVQVOFWBURAWIVTVQAVMWIVTIEVOFGHUMUNZKSVAVB
        AVOFWBVCVDTZUQTPZVPVOVCVETDNVFVGZWCWLAWIWMVOFWKURAWIVTWMWJLSVAVBVHVI $.
    $}

    ${
      climserle.2 $e |- ( ph -> N e. Z ) $.
      climserle.3 $e |- ( ph -> seq M ( + , F ) ~~> A ) $.
      climserle.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. RR ) $.
      climserle.5 $e |- ( ( ph /\ k e. Z ) -> 0 <_ ( F ` k ) ) $.
      $( The partial sums of a converging infinite series with nonnegative
         terms are bounded by its limit.  (Contributed by NM, 27-Dec-2005.)
         (Revised by Mario Carneiro, 9-Feb-2014.) $)
      climserle $p |- ( ph -> ( seq M ( + , F ) ` N ) <_ A ) $=
        ( caddc cr cfv wcel cle cc0 wbr wi vj cv cuz cz eleqtrdi eluzel2 serfre
        cseq syl ffvelrnda wa c1 co peano2uzs wceq breq2d imbi2d expcom vtoclga
        fveq2 impcom sylan2 eleq1d addge01d mpbid simpr seqp1 breqtrrd climub )
        ABUAMDEUHZEFGHIJAGNUAUBZVJACDEGHAFEUCOZPEUDPAFGVLIHUEEFUFUIKUGUJZAVKGPZ
        UKZVKVJOZVPVKULMUMZDOZMUMZVQVJOZQVORVRQSZVPVSQSVNAVQGPZWAEVKGHUNZWBAWAA
        RCUBZDOZQSZTAWATCVQGWDVQUOZWFWAAWGWEVRRQWDVQDUTZUPUQAWDGPZWFLURUSVAVBVO
        VPVRVMVNAWBVRNPZWCWBAWJAWENPZTAWJTCVQGWGWKWJAWGWEVRNWHVCUQAWIWKKURUSVAV
        BVDVEVOVKVLPVTVSUOVOVKGVLAVNVFHUEMDEVKVGUIVHVI $.
    $}
  $}

  ${
    isershft.1 $e |- F e. _V $.
    $( Index shift of the limit of an infinite series.  (Contributed by Mario
       Carneiro, 6-Sep-2013.)  (Revised by Mario Carneiro, 5-Nov-2013.) $)
    isershft $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( seq M ( .+ , F ) ~~> A <->
          seq ( M + N ) ( .+ , ( F shift N ) ) ~~> A ) ) $=
      ( cz wcel wa cshi co caddc cseq cli wbr cmin wceq cc zcn cvv zaddcl pncan
      seqshft sylancom syl2an seqeq1d oveq1d eqtrd breq1d seqex climshft adantl
      wb mpan2 bitr2d ) DGHZEGHZIZBCEJKDELKZMZANOBCDMZEJKZANOZVAANOZURUTVBANURU
      TBCUSEPKZMZEJKZVBUPUQUSGHUTVGQDEUABCUSEFUCUDURVFVAEJURVEDBCUPDRHERHVEDQUQ
      DSESDEUBUEUFUGUHUIUQVCVDUMZUPUQVATHVHBCDUJAVAETUKUNULUO $.
  $}

  ${
    $d j k m n x A $.  $d j k m n x F $.  $d k n x y N $.  $d j k m n x y ph $.
    $d j k m n x y G $.  $d j k m n x H $.  $d j k m n x y M $.  $d x y S $.
    $d n Z $.
    isercoll.z $e |- Z = ( ZZ>= ` M ) $.
    isercoll.m $e |- ( ph -> M e. ZZ ) $.
    isercoll.g $e |- ( ph -> G : NN --> Z ) $.
    isercoll.i $e |- ( ( ph /\ k e. NN ) -> ( G ` k ) < ( G ` ( k + 1 ) ) ) $.
    $( Lemma for ~ isercoll .  (Contributed by Mario Carneiro, 6-Apr-2015.) $)
    isercolllem1 $p |- ( ( ph /\ S C_ NN ) ->
      ( G |` S ) Isom < , < ( S , ( G " S ) ) ) $=
      ( vx vn cn clt cfv wcel cmin co cr cz vy wss wa cima cres wiso cv wi wral
      wbr uzssz eqsstri zssre sstri wf ad2antrr simplrl ffvelrnd sselid simplrr
      cuz nnred resubcld simpr ltsub2dd cmpt cle nnzd ltled eluz2 syl3anbrc cfz
      elfzuz eluznn sylan wceq weq fveq2 id oveq12d eqid fvmpt adantl ffvelrnda
      ovex eqeltrd syldan sylan2 c1 caddc peano2nn ffvelrn syl2an peano2rem syl
      nnre ad4ant14 wb zltlem1 syl2anc mpbid lesub1dd recnd 1cnd subsub4d eqtrd
      sub32d breqtrd 3brtr4d monoord 3brtr3d ltletrd ltsub1d ralrimivva ss2ralv
      mpbird ex mpan9 wor nnssre ltso soss mp2 a1i adantr soisores syl22anc ) A
      BMUBZUCZBDBUDNNDBUEUFZKUGZUAUGZNUJZYKDOZYLDOZNUJZUHZUABUIKBUIZAYQUAMUIKMU
      IYHYRAYQKUAMMAYKMPZYLMPZUCZUCZYMYPUUBYMUCZYPYNYLQRZYOYLQRZNUJUUCUUDYNYKQR
      ZUUEUUCYNYLUUCFSYNFTSFEVAOTGEUKULZUMUNZUUCMFYKDAMFDUOZUUAYMIUPZAYSYTYMUQZ
      URUSZUUCYLAYSYTYMUTZVBZVCUUCYNYKUULUUCYKUUKVBZVCUUCYOYLUUCFSYOUUHUUCMFYLD
      UUJUUMURUSZUUNVCUUCYKYLYNUUOUUNUULUUBYMVDZVEUUCYKLMLUGZDOZUURQRZVFZOZYLUV
      AOZUUFUUEVGUUCCUVAYKYLUUCYKTPYLTPYKYLVGUJYLYKVAOZPUUCYKUUKVHUUCYLUUMVHUUC
      YKYLUUOUUNUUQVIYKYLVJVKCUGZYKYLVLRPUUCUVEUVDPZUVEUVAOZSPZUVEYKYLVMUUCUVFU
      VEMPZUVHUUCYSUVFUVIUUKUVEYKVNVOZUUCUVIUCZUVGUVEDOZUVEQRZSUVIUVGUVMVPUUCLU
      VEUUTUVMMUVALCVQZUUSUVLUURUVEQUURUVEDVRUVNVSVTUVAWAZUVLUVEQWEWBWCZUVKUVLU
      VEUVKFSUVLUUHUUCMFUVEDUUJWDZUSZUVIUVESPUUCUVEWPWCZVCWFWGWHUVEYKYLWIQRZVLR
      PUUCUVFUVGUVEWIWJRZUVAOZVGUJZUVEYKUVTVMUUCUVFUVIUWCUVJUVKUVMUWADOZUWAQRZU
      VGUWBVGUVKUVMUWDWIQRZUVEQRZUWEVGUVKUVLUWFUVEUVRUVKUWDSPUWFSPUVKFSUWDUUHUU
      CUUIUWAMPZUWDFPUVIUUJUVEWKZMFUWADWLWMZUSZUWDWNWOUVSUVKUVLUWDNUJZUVLUWFVGU
      JZAUVIUWLUUAYMJWQUVKUVLTPUWDTPUWLUWMWRUVKFTUVLUUGUVQUSUVKFTUWDUUGUWJUSUVL
      UWDWSWTXAXBUVKUWGUWDUVEQRWIQRUWEUVKUWDWIUVEUVKUWDUWKXCZUVKXDZUVKUVEUVSXCZ
      XGUVKUWDUVEWIUWNUWPUWOXEXFXHUVPUVKUWHUWBUWEVPUVIUWHUUCUWIWCLUWAUUTUWEMUVA
      UURUWAVPZUUSUWDUURUWAQUURUWADVRUWQVSVTUVOUWDUWAQWEWBWOXIWGWHXJUUCYSUVBUUF
      VPUUKLYKUUTUUFMUVALKVQZUUSYNUURYKQUURYKDVRUWRVSVTUVOYNYKQWEWBWOUUCYTUVCUU
      EVPUUMLYLUUTUUEMUVALUAVQZUUSYOUURYLQUURYLDVRUWSVSVTUVOYOYLQWEWBWOXKXLUUCY
      NYOYLUULUUPUUNXMXPXQXNYQKUABMXOXRYIMNXSZFNXSZUUIYHYJYRWRUWTYIMSUBSNXSZUWT
      XTYAMSNYBYCYDUXAYIFSUBUXBUXAUUHYAFSNYBYCYDAUUIYHIYEAYHVDKUABMFNNDYFYGXP
      $.

    $( Lemma for ~ isercoll .  (Contributed by Mario Carneiro, 6-Apr-2015.) $)
    isercolllem2 $p |- ( ( ph /\ N e. ( ZZ>= ` ( G ` 1 ) ) ) ->
      ( 1 ... ( # ` ( G " ( `' G " ( M ... N ) ) ) ) ) =
        ( `' G " ( M ... N ) ) ) $=
      ( c1 cfv wcel cr clt cn adantr wb wbr wss vx vy cuz wa ccnv cfz cima csup
      co chash cv wi elfznn a1i cnvimass wf fssdm sseld cle cz id nnuz eleqtrdi
      wor cfn c0 wne ltso cen fzfid crn cin wfun wceq ffun funimacnv 3syl inss1
      eqsstrdi ssfid wf1 cvv wiso wf1o cres ssid isercolllem1 mpan2 wfn fnresdm
      isoeq1 4syl mpbid isof1o f1ocnv f1ofun df-f1 sylanbrc nnex ssexg f1imaeng
      ffn sylancl syl3anc enfii syl2anc 1nn ffvelrn simpr elfzuzb ffnd elpreima
      ensymd mpbir2and ne0d nnssre sstrdi fisupcl syl13anc sseldd elfz5 syl2anr
      nnzd elfzle2 simpl2im uzssz eqsstri zssre sstri ffvelrnda sselid ffvelrnd
      syl eluzelz ad2antlr letr cxr ad2antrr ressxr ex mpan2d imassrn syl122anc
      frnd sstrid leisorel 3imtr4d baibd sylan sylibrd wral fimaxre2 w3a suprub
      wrex impbid bitrd pm5.21ndd eqrdv fveq2d cn0 nnnn0d hashfz1 hashen mpbird
      3eqtr3d oveq2d eqtr3d ) AEKCLZUCLMZUDZKCUEZDEUFUIZUGZNOUHZUFUIZKCUVNUGZUJ
      LZUFUIUVNUVKUVOUVRKUFUVKUVPUJLZUVNUJLZUVOUVRUVKUVPUVNUJUVKUAUVPUVNUVKUAUK
      ZPMZUWAUVPMZUWAUVNMZUWCUWBULUVKUWAUVOUMUNUVKUVNPUWAUVKPFUVNCCUVMUOAPFCUPZ
      UVJIQZUQZURUVKUWBUWCUWDRUVKUWBUDZUWCUWAUVOUSSZUWDUWBUWAKUCLZMUVOUTMUWCUWI
      RUVKUWBUWAPUWJUWBVAVBVCUVKUVOUVKUVNPUVOUWGUVKNOVDZUVNVEMZUVNVFVGZUVNNTZUV
      OUVNMZUWKUVKVHUNUVKUVQVEMZUVNUVQVISZUWLUVKUVMUVQUVKDEVJUVKUVQUVMCVKZVLZUV
      MUVKUWECVMUVQUWSVNUWFPFCVOUVMCVPVQUVMUWRVRVSVTZUVKUVQUVNUVKPFCWAZUVNPTZUV
      NWBMZUVQUVNVISAUXAUVJAUWEUVLVMZUXAIAPCPUGZOOCWCZPUXECWDUXEPUVLWDUXDAPUXEO
      OCPWEZWCZUXFAPPTUXHPWFAPBCDFGHIJWGWHAUWECPWIZUXGCVNUXHUXFRIPFCXBPCWJPUXEO
      OCUXGWKWLWMZPUXEOOCWNPUXECWOUXEPUVLWPWLPFCWQWRQUWGUVKUXBPWBMUXCUWGWSUVNPW
      BWTXCPFUVNCWBXAXDXMZUVNUVQXEXFZUVKUVNKUVKKUVNMZKPMZUVIUVMMZUXNUVKXGUNUVKU
      VIDUCLZMZUVJUXOAUXQUVJAUVIFUXPAUWEUXNUVIFMIXGPFKCXHXCGVCQAUVJXIUVIDEXJWRU
      VKUXIUXMUXNUXOUDRUVKPFCUWFXKZPKUVMCXLYMXNXOZUVKUVNPNUWGXPXQZNUVNOXRXSZXTZ
      YCUWAKUVOYAYBUWHUWIUWDUWHUWIUWACLZUVMMZUWDUWHUYCUVOCLZUSSZUYCEUSSZUWIUYDU
      WHUYFUYEEUSSZUYGUVKUYHUWBUVKUVOPMZUYEUVMMZUYHUVKUWOUYIUYJUDZUYAUVKUXIUWOU
      YKRUXRPUVOUVMCXLYMWMUYEDEYDYEQUWHUYCNMUYENMENMUYFUYHUDUYGULUWHFNUYCFUTNFU
      XPUTGDYFYGYHYIZUVKPFUWACUWFYJZYKUWHFNUYEUYLUVKUYEFMUWBUVKPFUVOCUWFUYBYLQY
      KUWHUTNEYHUVJEUTMZAUWBUVIEYNYOZYKUYCUYEEYPXDUUAUWHUXFPYQTUXEYQTUWBUYIUWIU
      YFRAUXFUVJUWBUXJYRUWHPNYQPNTUWHXPUNYSXQUWHUXENYQUWHUXEFNUWHUXEUWRFCPUUBUW
      HPFCAUWEUVJUWBIYRUUDUUEUYLXQYSXQUVKUWBXIUVKUYIUWBUYBQPUXEUWAUVOCUUFUUCUWH
      UYCUXPMUYNUYDUYGRUWHUYCFUXPUYMGVCUYOUYCDEYAXFUUGUVKUXIUWBUWDUYDRUXRUXIUWD
      UWBUYDPUWAUVMCXLUUHUUIUUJUVKUWDUWIULZUWBUVKUWNUWMUBUKUWAUSSUBUVNUUKUANUUO
      ZUYPUXTUXSUVKUWNUWLUYQUXTUXLUAUBUVNUULXFUWNUWMUYQUUMUWDUWIUAUBUVNUWAUUNYT
      XDQUUPUUQYTUURUUSZUUTUVKUVOUVAMUVSUVOVNUVKUVOUYBUVBUVOUVCYMUVKUVTUVRVNZUW
      QUXKUVKUWLUWPUYSUWQRUXLUWTUVNUVQUVDXFUVEUVFUVGUYRUVH $.

    isercoll.0 $e |- ( ( ph /\ n e. ( Z \ ran G ) ) -> ( F ` n ) = 0 ) $.
    isercoll.f $e |- ( ( ph /\ n e. Z ) -> ( F ` n ) e. CC ) $.
    isercoll.h $e |- ( ( ph /\ k e. NN ) -> ( H ` k ) = ( F ` ( G ` k ) ) ) $.
    $( Lemma for ~ isercoll .  (Contributed by Mario Carneiro, 6-Apr-2015.) $)
    isercolllem3 $p |- ( ( ph /\ N e. ( ZZ>= ` ( G ` 1 ) ) ) ->
      ( seq M ( + , F ) ` N ) = ( seq 1 ( + , H ) `
        ( # ` ( G " ( `' G " ( M ... N ) ) ) ) ) ) $=
      ( c1 cfv wcel cn cuz wa ccnv cfz co cima caddc cc cres cc0 cv wceq addid2
      adantl addid1 addcl 0cnd chash clt wss cnvimass adantr fssdm isercolllem1
      wiso wf syldan wb isercolllem2 isoeq4 syl mpbird cdm cin c0 wne a1i sylib
      sseqin2 1nn ffvelrn sylancl eleqtrdi simpr elfzuzb sylanbrc elpreima 3syl
      wfn ffn mpbir2and ne0d eqnetrd imadisj necon3bii crn wfun funimacnv inss1
      sylibr ffun simpl elfzuz eleqtrrdi syl2an cdif difeq2d difin eqtrdi ssriv
      eqsstrdi eqsstrd sselda adantlr elfznn eleq2d biimpa fvresd fveq2d eqtr4d
      ssdif mp1i seqcoll2 ) AHQERZUARSZUBZEEUCGHUDUEZUFZUFZUGUHCBDEYHUIZFGHUJCU
      KZUHSZUJYKUGUEYKULYFYKUMUNYLYKUJUGUEYKULYFYKUOUNYLBUKZUHSUBYKYMUGUEUHSYFY
      KYMUPUNYFUQYFQYIURRZUDUEZYIUSUSYJVEZYHYIUSUSYJVEZAYEYHTUTYQYFTIYHEEYGVAZA
      TIEVFZYELVBZVCAYHBEGIJKLMVDVGYFYOYHULYPYQVHABEGHIJKLMVIZYOYIYHUSUSYJVJVKV
      LYFEVMZYHVNZVOVPYIVOVPYFUUCYHVOYFYHUUBUTZUUCYHULUUDYFYRVQYHUUBVSVRYFYHQYF
      QYHSZQTSZYDYGSZUUFYFVTVQYFYDGUARZSZYEUUGAUUIYEAYDIUUHAYSUUFYDISLVTTIQEWAW
      BJWCVBAYEWDYDGHWEWFYFYSETWIUUEUUFUUGUBVHYTTIEWJTQYGEWGWHWKWLWMYIVOUUCVOEY
      HWNWOWTYFYIYGEWPZVNZYGYFYSEWQYIUUKULYTTIEXAYGEWRWHZYGUUJWSXKYFAYKISYKDRZU
      HSYKYGSZAYEXBZUUNYKUUHIYKGHXCJXDZOXEYFYKYGYIXFZSYKIUUJXFZSZUUMUJULZYFUUQU
      URYKYFUUQYGUUJXFZUURYFUUQYGUUKXFUVAYFYIUUKYGUULXGYGUUJXHXIYGIUTUVAUURUTYF
      CYGIUUPXJYGIUUJYAYBXLXMAUUSUUTYENXNVGYFYMYOSZUBZYMFRZYMERZDRZYMYJRZDRYFAY
      MTSUVDUVFULUVBUUOYMYNXOPXEUVCUVGUVEDUVCYMYHEYFUVBYMYHSYFYOYHYMUUAXPXQXRXS
      XTYC $.

    $( Rearrange an infinite series by spacing out the terms using an order
       isomorphism.  (Contributed by Mario Carneiro, 6-Apr-2015.) $)
    isercoll $p |- ( ph ->
      ( seq 1 ( + , H ) ~~> A <-> seq M ( + , F ) ~~> A ) ) $=
      ( wcel cfv wbr cn vx vm vj vy cc cv caddc c1 cseq cmin co cabs clt wa cuz
      wral wrex crp cfz cima chash cli cz ffvelrnda sselid cle ad2antlr cfn cn0
      wi fzfid wss cin wfun wceq funimacnv inss1 eqsstrdi ad2antrr ssfid hashcl
      3syl nn0z wiso wf1o 4syl mpbid fz1ssnn ovex f1imaen sylancl enfii syl2anc
      cen wb hashen mpbird nnnn0 hashfz1 syl eqtrd cdom adantl cr sstri ffvelrn
      eluzelz wn ad3antrrr nnred lenltd 3bitr4d eluzle eleqtrdi adantr elpreima
      elfz5 imass2 ssdomg hashdom fveq2 eleq1d fvoveq1d anbi12d rspcv ralrimdva
      breq1d raleqdv rspcev syl6an rexlimdva cxr ressxr a1i sstrdi fveq2d seqex
      imaeq2d cvv clim2 ccnv eqsstri nnz crn wf ffun wf1 cres ssid isercolllem1
      uzssz mpan2 wfn fnresdm isoeq1 isof1o f1ocnv f1ofun df-f1 sylanbrc elfznn
      ffn zssre syl2an zred elfzle2 isorel syl12anc notbid letrd ffnd mpbir2and
      simpllr ex ssrdv sylc eqbrtrrd eluz2 syl3anbrc 1nn rexuz3 sylibrd nn0p1nn
      eqid zltp1le nn0re eluznn sylan ltnled fzss2 ffvelrnd nnssre imassrn frnd
      sstrid simpr leisorel syl122anc bitr4d pm5.32da fznn eqrdv sseq1d 3imtr4d
      bitr3d syl5 mtod wo uztric ord mpd sylibd impbid ralbidv anbi2d nnuz 1zzd
      oveq2 eqidd isercolllem3 ) ABUEQZCUFZUGGUHUIZRZUEQZUYDBUJUKULRZUAUFZUMSZU
      NZCDUFZUORZUPZDTUQZUAURUPZUNUYAFFUUAZHUBUFZUSUKZUTZUTZVARZUYCRZUEQZVUABUJ
      UKULRZUYGUMSZUNZUBUCUFZUORZUPZUCUHFRZUORZUQZUAURUPZUNUYCBVBSUGEHUIZBVBSAU
      YNVULUYAAUYMVUKUAURAUYMVUKAUYMVUHUCVCUQZVUKAUYLVUNDTAUYJTQZUNZUYJFRZVCQUY
      LVUEUBVUQUORZUPZVUNVUPIVCVUQIHUORZVCJHUUKUUBZATIUYJFLVDZVEVUPUYLVUEUBVURV
      UPUYPVURQZUNZUYTUYKQZUYLVUEVJVVDUYJVCQZUYTVCQZUYJUYTVFSVVEVUOVVFAVVCUYJUU
      CVGVVDUYSVHQZUYTVIQVVGVVDUYQUYSVVDHUYPVKAUYSUYQVLVUOVVCAUYSUYQFUUDZVMZUYQ
      ATIFUUEZFVNZUYSVVJVOLTIFUUFZUYQFVPWBUYQVVIVQVRVSVTZUYSWAUYTWCWBVVDFUHUYJU
      SUKZUTZVARZUYJUYTVFVVDVVQVVOVARZUYJVVDVVQVVRVOZVVPVVOWNSZVVDTIFUUGZVVOTVL
      VVTAVWAVUOVVCAVVKUYOVNZVWALATFTUTZUMUMFWDZTVWCFWEVWCTUYOWEVWBATVWCUMUMFTU
      UHZWDZVWDATTVLVWFTUUIATCFHIJKLMUUJUULAVVKFTUUMZVWEFVOVWFVWDWOLTIFUVBZTFUU
      NTVWCUMUMFVWEUUOWFWGZTVWCUMUMFUUPTVWCFUUQVWCTUYOUURWFTIFUUSUUTZVSUYJWHTIV
      VOFUHUYJUSWIWJWKZVVDVVPVHQZVVOVHQZVVSVVTWOVVDVWMVVTVWLVVDUHUYJVKZVWKVVPVV
      OWLWMZVWNVVPVVOWPWMWQVVDUYJVIQZVVRUYJVOVUOVWPAVVCUYJWRVGUYJWSWTXAVVDVVQUY
      TVFSZVVPUYSXBSZVVDVVHVVPUYSVLZVWRVVNVVDVVOUYRVLVWSVVDUDVVOUYRVVDUDUFZVVOQ
      ZVWTUYRQZVVDVXAUNZVXBVWTTQZVWTFRZUYQQZVXAVXDVVDVWTUYJUVAZXCZVXCVXFVXEUYPV
      FSZVXCVXEVUQUYPVXCIXDVXEIVCXDVVAUVCXEZVVDVVKVXDVXEIQVXAAVVKVUOVVCLVSZVXGT
      IVWTFXFUVDZVEZVXCIXDVUQVXJVUPVUQIQVVCVXAVVBVSVEZVXCUYPVVCUYPVCQZVUPVXAVUQ
      UYPXGVGZUVEVXCVWTUYJVFSZVXEVUQVFSZVXAVXQVVDVWTUHUYJUVFXCVXCUYJVWTUMSZXHVU
      QVXEUMSZXHVXQVXRVXCVXSVXTVXCVWDVUOVXDVXSVXTWOAVWDVUOVVCVXAVWIXIAVUOVVCVXA
      UVMZVXHTVWCUYJVWTUMUMFUVGUVHUVIVXCVWTUYJVXCVWTVXHXJVXCUYJVYAXJXKVXCVXEVUQ
      VXMVXNXKXLWGVVCVUQUYPVFSVUPVXAVUQUYPXMVGUVJVXCVXEVUTQVXOVXFVXIWOVXCVXEIVU
      TVXLJXNVXPVXEHUYPXQWMWQVXCVWGVXBVXDVXFUNWOVVDVWGVXAVVDTIFVXKUVKXOTVWTUYQF
      XPWTUVLUVNUVOVVOUYRFXRWTVVPUYSVHXSUVPVVDVWLVVHVWQVWRWOVWOVVNVVPUYSVHXTWMW
      QUVQUYJUYTUVRUVSUYIVUECUYTUYKUYBUYTVOZUYEVUBUYHVUDVYBUYDVUAUEUYBUYTUYCYAZ
      YBVYBUYFVUCUYGUMVYBUYDVUABULUJVYCYCYGYDYEWTYFVUHVUSUCVUQVCVUFVUQVOVUEUBVU
      GVURVUFVUQUOYAYHYIYJYKAVUIVUTQZVUIVCQZVUKVUNWOAVUIIVUTAVVKUHTQVUIIQLUVTTI
      UHFXFWKJXNZHVUIXGZVUEUCUBVUIVUJVUJUWDZUWAWBUWBAVUHUYMUCVUJAVUFVUJQZUNZFUY
      OHVUFUSUKZUTZUTZVARZUHUGUKZTQZVUHUYICVYOUORZUPZUYMVYJVYMVHQZVYNVIQZVYPVYJ
      VYKVYMVYJHVUFVKAVYMVYKVLVYIAVYMVYKVVIVMZVYKAVVKVVLVYMWUAVOLVVMVYKFVPWBVYK
      VVIVQVRXOVTZVYMWAZVYNUWCWBZVYJVUHUYICVYQVYJUYBVYQQZUNZVUHFUYOHUYBFRZUSUKZ
      UTZUTZVARZUYCRZUEQZWULBUJUKULRZUYGUMSZUNZUYIWUFWUGVUGQZVUHWUPVJWUFVUFWUGU
      ORQZXHWUQWUFWURUYBVYNVFSZWUFVYNUYBUMSZWUSXHWUFWUTVYOUYBVFSZWUEWVAVYJVYOUY
      BXMXCWUFVYNVCQZUYBVCQZWUTWVAWOWUFVYSVYTWVBVYJVYSWUEWUBXOZWUCVYNWCWBWUEWVC
      VYJVYOUYBXGXCZVYNUYBUWEWMWQWUFVYNUYBVYJVYNXDQZWUEVYJVYSVYTWVFWUBWUCVYNUWF
      WBXOWUFUYBVYJVYPWUEUYBTQZWUDUYBVYOUWGUWHZXJUWIWGWURWUJVYMVLZWUFWUSWURWUHV
      YKVLWUIVYLVLWVIWUGHVUFUWJWUHVYKUYOXRWUIVYLFXRWBWUFFUHUYBUSUKZUTZVYMVLZWVK
      VYMXBSZWVIWUSWUFVYSWVLWVMVJWVDWVKVYMVHXSWTWUFWUJWVKVYMWUFWUIWVJFWUFUAWUIW
      VJWUFUYGTQZUYGFRZWUHQZUNZWVNUYGUYBVFSZUNZUYGWUIQZUYGWVJQZWUFWVNWVPWVRWUFW
      VNUNZWVPWVOWUGVFSZWVRWWBWVOVUTQWUGVCQZWVPWWCWOWWBWVOIVUTWUFTIUYGFAVVKVYIW
      UELVSZVDJXNWUFWWDWVNWUFIVCWUGVVAWUFTIUYBFWWEWVHUWKVEZXOWVOHWUGXQWMWWBVWDT
      YLVLZVWCYLVLWVNWVGWVRWWCWOAVWDVYIWUEWVNVWIXIWWGWWBTXDYLUWLYMXEYNWWBVWCXDY
      LWWBVWCVVIXDFTUWMWWBVVIIXDWWBTIFWUFVVKWVNWWEXOUWNVXJYOUWOYMYOWUFWVNUWPWUF
      WVGWVNWVHXOTVWCUYGUYBFUWQUWRUWSUWTWUFVVKVWGWVTWVQWOWWEVWHTUYGWUHFXPWBWUFW
      VCWWAWVSWOWVEUYGUYBUXAWTXLUXBYRZUXCWUFWVKVARZVYNVFSZWUSWVMWUFWWIUYBVYNVFW
      UFWWIWVJVARZUYBWUFWWIWWKVOZWVKWVJWNSZWUFVWAWVJTVLWWMAVWAVYIWUEVWJVSUYBWHT
      IWVJFUHUYBUSWIWJWKZWUFWVKVHQZWVJVHQZWWLWWMWOWUFWWPWWMWWOWUFUHUYBVKZWWNWVK
      WVJWLWMZWWQWVKWVJWPWMWQWUFWVGUYBVIQWWKUYBVOWVHUYBWRUYBWSWBXAZYGWUFWWOVYSW
      WJWVMWOWWRWVDWVKVYMVHXTWMUXEUXDUXFUXGWUFWURWUQWUFWWDVUFVCQZWURWUQUXHWWFVY
      IWWTAWUEVUIVUFXGVGWUGVUFUXIWMUXJUXKVUEWUPUBWUGVUGUYPWUGVOZVUBWUMVUDWUOWXA
      VUAWULUEWXAUYTWUKUYCWXAUYSWUJVAWXAUYRWUIFWXAUYQWUHUYOUYPWUGHUSUXRYRYRYPYP
      ZYBWXAVUCWUNUYGUMWXAVUAWULBULUJWXBYCYGYDYEWTWUFWUMUYEWUOUYHWUFWULUYDUEWUF
      WUKUYBUYCWUFWUKWWIUYBWUFWUJWVKVAWWHYPWWSXAYPZYBWUFWUNUYFUYGUMWUFWULUYDBUL
      UJWXCYCYGYDUXLYFUYLVYRDVYOTUYJVYOVOUYICUYKVYQUYJVYOUOYAYHYIYJYKUXMUXNUXOA
      UABUYDDCUYCUHYSTUXPAUXQUYCYSQAUGGUHYQYNAWVGUNUYDUXSYTAUABVUAUCUBVUMVUIYSV
      UJVYHAVYDVYEVYFVYGWTVUMYSQAUGEHYQYNACDEFGHUYPIJKLMNOPUXTYTXL $.
  $}

  ${
    $d j k n A $.  $d j k n F $.  $d j k n x G $.  $d j k n x H $.  $d j n N $.
    $d j k n x M $.  $d j k n x ph $.  $d n x W $.  $d j k Z $.
    isercoll2.z $e |- Z = ( ZZ>= ` M ) $.
    isercoll2.w $e |- W = ( ZZ>= ` N ) $.
    isercoll2.m $e |- ( ph -> M e. ZZ ) $.
    isercoll2.n $e |- ( ph -> N e. ZZ ) $.
    isercoll2.g $e |- ( ph -> G : Z --> W ) $.
    isercoll2.i $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) < ( G ` ( k + 1 ) ) ) $.
    isercoll2.0 $e |- ( ( ph /\ n e. ( W \ ran G ) ) -> ( F ` n ) = 0 ) $.
    isercoll2.f $e |- ( ( ph /\ n e. W ) -> ( F ` n ) e. CC ) $.
    isercoll2.h $e |- ( ( ph /\ k e. Z ) -> ( H ` k ) = ( F ` ( G ` k ) ) ) $.
    $( Generalize ~ isercoll so that both sequences have arbitrary starting
       point.  (Contributed by Mario Carneiro, 6-Apr-2015.) $)
    isercoll2 $p |- ( ph ->
      ( seq M ( + , H ) ~~> A <-> seq N ( + , F ) ~~> A ) ) $=
      ( vx vj caddc cseq cli wbr cn cv c1 cmin cfv cmpt cvv wcel zsubcl sylancr
      co cz 1z seqex a1i wa cuz simpr eleqtrdi adantr wceq cfz elfzuz eleqtrrdi
      simpl eluzelz syl zcnd 1cnd subadd23d cn0 uznn0sub nn0p1nn eqeltrrd oveq1
      oveq2d fveq2d eqid fvex fvmpt oveq1d nn0cnd ax-1cn sylancl eqtr3d pncan3d
      cc pncan eqtrd eqtr2d syl2an seqshft2 pncan3 seqeq1d climshft2 wf nnm1nn0
      fveq1d uzid uzaddcl ffvelrnd fmpttd clt fvoveq1 breq12d ralrimiva rspcdva
      fveq2 wral nncn adantl addsubd addassd breqtrrd peano2nn 3brtr4d crn cdif
      eqtr4d cc0 wfn ffnd eleq2s rspceeqv syl2anc wb elrnmpt ax-mp sylibr ffnfv
      wrex sylanbrc frnd sscond sselda syldan eqeq12d 3eqtr4d isercoll bitrd )
      AUCGHUDZBUEUFUCUAUGHUAUHZUIUJUQZUCUQZGUKZULZUIUDZBUEUFUCEIUDBUEUFABCUUGUU
      MUIHUJUQZHUMUMKLNAUIURUNHURUNZUUNURUNZUSNUIHUOUPZUUGUMUNAUCGHUTVAUUMUMUNA
      UCUULUIUTVAACUHZKUNZVBZUURUUGUKUURUUNUCUQZUCUULHUUNUCUQZUDZUKUVAUUMUKUUTU
      CUBGUULUUNHUURUUTUURKHVCUKZAUUSVDLVEZAUUPUUSUUQVFUUTAUBUHZKUNZUVFGUKZUVFU
      UNUCUQZUULUKZVGUVFHUURVHUQUNZAUUSVKUVKUVFUVDKUVFHUURVILVJAUVGVBZUVJHUVIUI
      UJUQZUCUQZGUKZUVHUVLUVIUGUNUVJUVOVGUVLUVFHUJUQZUIUCUQZUVIUGUVLUVFHUIUVLUV
      FUVLUVFUVDUNZUVFURUNUVLUVFKUVDAUVGVDLVEZHUVFVLVMVNZAHWMUNZUVGAHNVNZVFZUVL
      VOVPZUVLUVPVQUNZUVQUGUNUVLUVRUWEUVSHUVFVRVMZUVPVSVMVTUAUVIUUKUVOUGUULUUHU
      VIVGZUUJUVNGUWGUUIUVMHUCUUHUVIUIUJWAWBWCUULWDZUVNGWEWFVMUVLUVNUVFGUVLUVNH
      UVPUCUQUVFUVLUVMUVPHUCUVLUVQUIUJUQZUVMUVPUVLUVQUVIUIUJUWDWGUVLUVPWMUNUIWM
      UNZUWIUVPVGUVLUVPUWFWHWIUVPUIWNWJWKWBUVLHUVFUWCUVTWLWOWCWPWQWRUUTUVAUVCUU
      MUUTUVBUIUCUULUUTUWAUWJUVBUIVGAUWAUUSUWBVFWIHUIWSWJWTXDWPXAABUBDEUAUGUUJF
      UKZULZUULIJMOAUAUGUWKJAUUHUGUNZVBZKJUUJFAKJFXBUWMPVFUWNUUJUVDKAHUVDUNZUUI
      VQUNUUJUVDUNUWMAUUOUWONHXEVMZUUHXCUUIHHXFWQLVJXGXHAUVFUGUNZVBZHUVFUIUJUQZ
      UCUQZFUKZHUVFUIUCUQZUIUJUQZUCUQZFUKZUVFUWLUKZUXBUWLUKZXIUWRUXAUWTUIUCUQZF
      UKZUXEXIUWRUURFUKZUURUIUCUQFUKZXIUFZUXAUXIXIUFCKUWTUURUWTVGZUXJUXAUXKUXIX
      IUURUWTFXNZUURUWTUIFUCXJXKAUXLCKXOUWQAUXLCKQXLVFUWRUWTUVDKAUWOUWSVQUNZUWT
      UVDUNUWQUWPUVFXCZUWSHHXFWQLVJZXMUWRUXDUXHFUWRUXDHUWSUIUCUQZUCUQUXHUWRUXCU
      XRHUCUWRUVFUIUIUWQUVFWMUNAUVFXPXQUWRVOZUXSXRWBUWRHUWSUIAUWAUWQUWBVFUWRUWS
      UWQUXOAUXPXQWHUXSXSYEWCXTUWQUXFUXAVGAUAUVFUWKUXAUGUWLUUHUVFVGZUUJUWTFUXTU
      UIUWSHUCUUHUVFUIUJWAWBZWCUWLWDZUWTFWEWFXQZUWRUXBUGUNZUXGUXEVGUWQUYDAUVFYA
      XQUAUXBUWKUXEUGUWLUUHUXBVGZUUJUXDFUYEUUIUXCHUCUUHUXBUIUJWAWBWCUYBUXDFWEWF
      VMYBADUHZJUWLYCZYDZUNUYFJFYCZYDZUNUYFEUKYFVGAUYHUYJUYFAUYIUYGJAKUYGFAFKYG
      UXJUYGUNZCKXOKUYGFXBAKJFPYHAUYKCKUUTUXJUWKVGUAUGYQZUYKUUTUURHUJUQZUIUCUQZ
      UGUNZUXJHUYNUIUJUQZUCUQZFUKZVGUYLUUTUYMVQUNZUYOUUTUURUVDUNUYSUVEHUURVRVMZ
      UYMVSVMUUTUURUYQFUUTUYQHUYMUCUQZUURUUTUYPUYMHUCUUTUYMWMUNUWJUYPUYMVGUUTUY
      MUYTWHWIUYMUIWNWJWBAUWAUURWMUNVUAUURVGUUSUWBUUSUURUURURUNUURUVDKHUURVLLYI
      VNHUURWSWQWPWCUAUYNUGUWKUYRUXJUUHUYNVGZUUJUYQFVUBUUIUYPHUCUUHUYNUIUJWAWBW
      CYJYKUXJUMUNUYKUYLYLUURFWEUAUGUWKUXJUWLUMUYBYMYNYOXLCKUYGFYPYRYSYTUUARUUB
      SUWRUWTGUKZUXAEUKZUVFUULUKZUXFEUKUWRUURGUKZUXJEUKZVGZVUCVUDVGCKUWTUXMVUFV
      UCVUGVUDUURUWTGXNUXMUXJUXAEUXNWCUUCAVUHCKXOUWQAVUHCKTXLVFUXQXMUWQVUEVUCVG
      AUAUVFUUKVUCUGUULUXTUUJUWTGUYAWCUWHUWTGWEWFXQUWRUXFUXAEUYCWCUUDUUEUUF $.
  $}

  ${
    $d j k n x y F $.  $d j M $.  $d j k n y ph $.  $d j k n x y Z $.
    climsup.1 $e |- Z = ( ZZ>= ` M ) $.
    climsup.2 $e |- ( ph -> M e. ZZ ) $.
    climsup.3 $e |- ( ph -> F : Z --> RR ) $.
    climsup.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) <_ ( F ` ( k + 1 ) ) ) $.
    climsup.5 $e |- ( ph -> E. x e. RR A. k e. Z ( F ` k ) <_ x ) $.
    $( A bounded monotonic sequence converges to the supremum of its range.
       Theorem 12-5.1 of [Gleason] p. 180.  (Contributed by NM, 13-Mar-2005.)
       (Revised by Mario Carneiro, 10-Feb-2014.) $)
    climsup $p |- ( ph -> F ~~> sup ( ran F , RR , < ) ) $=
      ( vy vn cr clt wbr cfv co wcel cle vj crn csup cli cv cmin cabs wral wrex
      cuz crp wa wss c0 wne w3a frnd wfn ffnd cz syl eleqtrrdi fnfvelrn syl2anc
      uzid ne0d wb breq1 ralrn rexbidv mpbird 3jca suprcl ltsubrp sylan resubcl
      adantr rpre syl2an suprlub mpbid breq2 rexrn biimpa syldan wi wf ad2ant2r
      ffvelrn uztrn2 ad2antrr simprr cfz fzssuz uzss sseqtrrdi eleq2s ralrimiva
      ad2antrl sstrid ssralv r19.21bi c1 caddc sselda weq fveq2 fvoveq1 breq12d
      sylc rspccva monoord lesub2dd resubcld ad2antlr lelttr syl3anc abssuble0d
      mpand ltsub23 suprub 3imtr4d anassrs ralrimdva reximdva mpd cvv fvexi fex
      breq1d sylancl eqidd recnd clim2c ) ADDUBZNOUCZUDPCUEZDQZYPUFRUGQZLUEZOPZ
      CUAUEZUJQZUHZUAFUIZLUKUHAUUELUKAYTUKSZULZYPYTUFRZUUBDQZOPZUAFUIZUUEAUUFUU
      HYQOPZCYOUIZUUKUUGUUHYPOPZUUMAYPNSZUUFUUNAYONUMZYOUNUOZYTBUEZTPZLYOUHZBNU
      IZUPZUUOAUUPUUQUVAAFNDIUQAYOEDQZADFURZEFSUVCYOSAFNDIUSZAEEUJQZFAEUTSEUVFS
      HEVEVAGVBFEDVCVDVFAUVAYRUURTPZCFUHZBNUIZKAUVDUVAUVIVGUVEUVDUUTUVHBNUUSUVG
      LCFDYTYRUURTVHVIVJVAVKVLZBLYOVMVAZYPYTVNVOUUGUVBUUHNSZUUNUUMVGAUVBUUFUVJV
      QAUUOYTNSZUVLUUFUVKYTVRZYPYTVPVSBLCYOUUHVTVDWAAUUMUUKAUVDUUMUUKVGUVEUULUU
      JCUAFDYQUUIUUHOWBWCVAWDWEUUGUUJUUDUAFUUGUUBFSZULUUJUUACUUCUUGUVOYQUUCSZUU
      JUUAWFUUGUVOUVPULZULZYPUUIUFRZYTOPZYPYRUFRZYTOPZUUJUUAUVRUWAUVSTPZUVTUWBU
      VRUUIYRYPAUVOUUINSZUUFUVPAFNDWGZUVOUWDIFNUUBDWIVOWHZUUGUWEYQFSZYRNSZUVQAU
      WEUUFIVQEYQUUBFGWJZFNYQDWIZVSZAUUOUUFUVQUVKWKZUVRMDUUBYQUUGUVOUVPWLUVRMUE
      ZDQZNSZMUUBYQWMRZUVRUWPFUMUWOMFUHZUWOMUWPUHUVRUWPUUCFUUBYQWNUVOUUCFUMZUUG
      UVPUWRUUBUVFFUUBUVFSUUCUVFFEUUBWOGWPGWQWSZWTAUWQUUFUVQAUWEUWQIUWEUWOMFFNU
      WMDWIWRVAWKUWOMUWPFXAXJXBUVRUWMUUBYQXCUFRZWMRZSUWMFSZUWNUWMXCXDRDQZTPZUVR
      UXAFUWMUVRUXAUUCFUUBUWTWNUWSWTXEUVRYRYQXCXDRDQZTPZCFUHZUXBUXDAUXGUUFUVQAU
      XFCFJWRWKUXFUXDCUWMFCMXFYRUWNUXEUXCTYQUWMDXGYQUWMXCDXDXHXIXKVOWEXLXMUVRUW
      ANSUVSNSUVMUWCUVTULUWBWFUVRYPYRUWLUWKXNUVRYPUUIUWLUWFXNUUFUVMAUVQUVNXOZUW
      AUVSYTXPXQXSUVRUUOUVMUWDUUJUVTVGUWLUXHUWFYPYTUUIXTXQUVRYSUWAYTOUVRYRYPUWK
      UWLUVRUVBYRYOSZYRYPTPAUVBUUFUVQUVJWKUUGUVDUWGUXIUVQAUVDUUFUVEVQUWIFYQDVCV
      SBLYOYRYAVDXRYJYBYCYDYEYFWRALYPYRUACDEYGFGHAUWEFYGSDYGSIFEUJGYHFNYGDYIYKA
      UWGULZYRYLAYPUVKYMUXJYRAUWEUWGUWHIUWJVOYMYNVK $.
  $}

  ${
    $d j k x y F $.  $d j k x y M $.  $d j k x y Z $.
    climcau.1 $e |- Z = ( ZZ>= ` M ) $.
    $( A converging sequence of complex numbers is a Cauchy sequence.  Theorem
       12-5.3 of [Gleason] p. 180 (necessity part).  (Contributed by NM,
       16-Apr-2005.)  (Revised by Mario Carneiro, 26-Apr-2014.) $)
    climcau $p |- ( ( M e. ZZ /\ F e. dom ~~> ) -> A. x e. RR+ E. j e. Z
              A. k e. ( ZZ>= ` j ) ( abs ` ( ( F ` k ) - ( F ` j ) ) ) < x ) $=
      ( vy wcel cv cli cfv cmin co cabs clt wbr crp wa cc cop wex cuz wral wrex
      cz cdm df-br c2 cdiv simpll rphalfcl adantl eqidd simplr climi wi eluzelz
      uzid syl eleq2s weq fveq2 eleq1d fvoveq1d breq1d anbi12d cr rpre ad2antlr
      simpllr climcl simprl simplrl simplll abssubd simplrr eqbrtrd abs3lemd ex
      rspcv simprr ralimdv com23 syl2anc reximdva mpd ralrimiva syl5bir exlimdv
      mpdd eldm2g ibi impel ) EUFIZDHJZUAKIZHUBZCJZDLZBJZDLZMNOLAJZPQZCXAUCLZUD
      ZBFUEZARUDZDKUGZIZWOWQXHHWQDWPKQZWOXHDWPKUHWOXKXHWOXKSZXGARXLXCRIZSZWTTIZ
      WTWPMNOLZXCUIUJNZPQZSZCXEUDZBFUEXGXNWPWTXQBCDEFGWOXKXMUKXMXQRIXLXCULUMXNW
      SFISWTUNWOXKXMUOUPXNXTXFBFXNXAFIZSZXTXBTIZXBWPMNOLZXQPQZSZXFYBXAXEIZXTYFU
      QYAYGXNYGXAEUCLZFXAYHIXAUFIYGEXAURXAUSUTGVAUMXSYFCXAXECBVBZXOYCXRYEYIWTXB
      TWSXADVCZVDYIXPYDXQPYIWTXBWPOMYJVEVFVGWAUTYBXCVHIZWPTIZXTYFXFUQUQXMYKXLYA
      XCVIVJYBXKYLWOXKXMYAVKWPDVLUTYKYLSZYFXTXFYMYFXTXFUQYMYFSZXSXDCXEYNXSXDYNX
      SSZWTXBWPXCYNXOXRVMYMYCYEXSVNZYKYLYFXSVKZYKYLYFXSVOYNXOXRWBYOWPXBMNOLYDXQ
      PYOWPXBYQYPVPYMYCYEXSVQVRVSVTWCVTWDWEWKWFWGWHVTWIWJXJWRHDKXIWLWMWN $.

    $( A converging sequence of complex numbers is bounded.  (Contributed by
       Mario Carneiro, 9-Jul-2017.) $)
    climbdd $p |- ( ( M e. ZZ /\ F e. dom ~~> /\ A. k e. Z ( F ` k ) e. CC ) ->
      E. x e. RR A. k e. Z ( abs ` ( F ` k ) ) <_ x ) $=
      ( vj vy wcel cv cfv wral cabs clt wbr cr wrex syl2anc wi wa cz cli cdm cc
      w3a cle cmin co cuz crp simp3 climcau 3adant3 caubnd r19.26 simpr simpllr
      abscld ltle expimpd ralimdva syl5bir exp4b com23 3impia reximdvai mpd ) D
      UAIZCUBUCIZBJZCKZUDIZBELZUEZVKMKZAJZNOZBELZAPQZVOVPUFOZBELZAPQVNVMVKGJZCK
      UGUHMKHJNOBWBUIKLGEQHUJLZVSVHVIVMUKVHVIWCVMHGBCDEFULUMHAGBCDEFUNRVNVRWAAP
      VHVIVMVPPIZVRWASZSVHVITZWDVMWEWFWDVMVRWAVMVRTVLVQTZBELWFWDTZWAVLVQBEUOWHW
      GVTBEWHVJEIZTZVLVQVTWJVLTZVOPIWDVQVTSWKVKWJVLUPURWFWDWIVLUQVOVPUSRUTVAVBV
      CVDVEVFVG $.
  $}

  ${
    $d j k m n x A $.  $d j k m n x y F $.  $d j k m n x y ph $.
    $d j k m n x R $.
    caurcvgr.1 $e |- ( ph -> A C_ RR ) $.
    caurcvgr.2 $e |- ( ph -> F : A --> RR ) $.
    caurcvgr.3 $e |- ( ph -> sup ( A , RR* , < ) = +oo ) $.
    caurcvgr.4 $e |- ( ph -> A. x e. RR+ E. j e. A A. k e. A
      ( j <_ k -> ( abs ` ( ( F ` k ) - ( F ` j ) ) ) < x ) ) $.
    ${
      caucvgrlem.4 $e |- ( ph -> R e. RR+ ) $.
      $( Lemma for ~ caurcvgr .  (Contributed by Mario Carneiro, 15-Feb-2014.)
         (Revised by AV, 12-Sep-2020.) $)
      caucvgrlem $p |- ( ph -> E. j e. A ( ( limsup ` F ) e. RR /\
        A. k e. A ( j <_ k ->
          ( abs ` ( ( F ` k ) - ( limsup ` F ) ) ) < ( 3 x. R ) ) ) ) $=
        ( vm cle wbr cmin co cr wcel adantr vn cv cfv cabs wi wral clsp c3 cmul
        clt wa cxr caddc cmnf cvv wf wss reex ssex syl a1i fex2 limsupcl simprl
        syl3anc ffvelrnd rpred readdcld mnfxr resubcld rexrd mnfltd fss sylancl
        ressxr csup cpnf wceq sseldd simprr breq2 imbrov2fvoveq sylib ffvelrnda
        wrex cbvralvw recnd abscld ltle syl2anc absdifled sylibd simpl ralimdva
        imim2d mpd breq1 rspceaimv limsupbnd2 xrltletrd adantrr simplrr rspcdva
        syl6 ltled mpbid simprd expr ralrimiva limsupbnd1 xrre syl22anc remulcl
        2re sylancr 3re abssubd 2timesd oveq2d subsub4d eqtr4d lesubaddd mpbird
        c2 lesub1dd eqbrtrd leadd1dd addassd breqtrd mpbir2and 2lt3 crp ltmul1d
        letrd mpbii lelttrd sylibr jca imbi2d rexralbidv reximddv ) AEUBZFUBZNO
        ZUUCGUCZUUBGUCZPQUDUCZDUJOZUEZFCUFZGUGUCZRSZUUDUUEUUKPQUDUCUHDUIQZUJOUE
        ZFCUFZUKECAUUBCSZUUJUKZUKZUULUUOUURUUKULSZUUFDUMQZRSZUNUUKUJOUUKUUTNOZU
        ULAUUSUUQAGUOSZUUSACRGUPZCUOSZRUOSZUVCIACRUQZUVEHCRURUSUTUVFAURVACRGUOU
        OVBVEGUOVCUTTZUURUUFDUURCRUUBGAUVDUUQITZAUUPUUJVDZVFZADRSZUUQADLVGTZVHZ
        UURUNUUFDPQZUUKUNULSUURVIVAUURUVOUURUUFDUVKUVMVJZVKZUVHUURUVOUVPVLUURUV
        OCMUAGAUVGUUQHTZACULGUPZUUQAUVDRULUQUVSIVOCRULGVMVNTZUVQACULUJVPVQVRUUQ
        JTUURUUBRSZUUBMUBZNOZUVOUWBGUCZNOZUEZMCUFZUAUBZUWBNOZUWEUEMCUFUARWEUURC
        RUUBUVRUVJVSZUURUWCUWDUUFPQZUDUCZDUJOZUEZMCUFZUWGUURUUJUWOAUUPUUJVTUUIU
        WNFMCUUDUWCDUJPUDGUUFUUCUWBUUCUWBUUBNWAZWBZWFWCUURUWNUWFMCUURUWBCSZUKZU
        WMUWEUWCUWSUWMUWEUWDUUTNOZUKZUWEUWSUWMUWLDNOZUXAUWSUWLRSZUVLUWMUXBUEUWS
        UWKUWSUWKUWSUWDUUFUURCRUWBGUVIWDZUURUUFRSZUWRUVKTZVJWGWHZUURUVLUWRUVMTZ
        UWLDWIWJUWSUWDUUFDUXDUXFUXHWKWLUWEUWTWMZXDWOWNWPUWIUWCUWEUAMUUBRCUWHUUB
        UWBNWQZWRWJWSZWTUURUUTCMUAGUVRUVTUURUUTUVNVKUURUWAUWCUWTUEZMCUFUWIUWTUE
        MCUFUARWEUWJUURUXLMCUURUWRUWCUWTUURUWRUWCUKZUKZUWEUWTUXNUXBUXAUXNUWLDUU
        RUWRUXCUWCUXGXAUURUVLUXMUVMTZUXNUWCUWMUURUWRUWCVTUXNUUIUWNFCUWBUWQAUUPU
        UJUXMXBUURUWRUWCVDXCWPXEUXNUWDUUFDUURUWRUWDRSUWCUXDXAZUURUXEUXMUVKTZUXO
        WKXFZXGZXHXIUWIUWCUWTUAMUUBRCUXJWRWJXJZUUKUUTXKXLZUURUWCUWDUUKPQZUDUCZU
        UMUJOZUEZMCUFUUOUURUYEMCUURUWRUWCUYDUXNUYCYDDUIQZUUMUXNUYBUXNUYBUXNUWDU
        UKUXPUURUULUXMUYATZVJWGWHUXNYDRSZUVLUYFRSXNUXOYDDXMXOZUXNUHRSZUVLUUMRSX
        PUXOUHDXMXOUXNUYCUUKUWDPQUDUCZUYFNUXNUWDUUKUXNUWDUXPWGZUXNUUKUYGWGXQUXN
        UYKUYFNOUWDUYFPQZUUKNOUUKUWDUYFUMQZNOUXNUYMUVOUUKUXNUWDUYFUXPUYIVJUURUV
        ORSUXMUVPTUYGUXNUYMUWDDPQZDPQZUVONUXNUYMUWDDDUMQZPQUYPUXNUYFUYQUWDPUXND
        UXNDUXOWGZXRZXSUXNUWDDDUYLUYRUYRXTYAUXNUYOUUFDUXNUWDDUXPUXOVJUXQUXOUXNU
        YOUUFNOUWTUXSUXNUWDDUUFUXPUXOUXQYBYCYEYFUURUVOUUKNOUXMUXKTYNUXNUUKUUTUY
        NUYGUURUVAUXMUVNTUXNUWDUYFUXPUYIVHUURUVBUXMUXTTUXNUUTUWDDUMQZDUMQZUYNNU
        XNUUFUYTDUXQUXNUWDDUXPUXOVHUXOUXNUWEUUFUYTNOUXNUXAUWEUXRUXIUTUXNUUFDUWD
        UXQUXOUXPYBXFYGUXNVUAUWDUYQUMQUYNUXNUWDDDUYLUYRUYRYHUXNUYFUYQUWDUMUYSXS
        YAYIYNUXNUUKUWDUYFUYGUXPUYIWKYJYFUXNYDUHUJOUYFUUMUJOYKUXNYDUHDUYHUXNXNV
        AUYJUXNXPVAUURDYLSZUXMAVUBUUQLTTYMYOYPXHXIUUNUYEFMCUUDUWCUUMUJPUDGUUKUU
        CUWBUWPWBWFYQYRAUUDUUGBUBZUJOZUEZFCUFECWEUUJECWEBYLDVUCDVRZVUEUUIEFCCVU
        FVUDUUHUUDVUCDUUGUJWAYSYTKLXCUUA $.
    $}

    $( A Cauchy sequence of real numbers converges to its limit supremum.  The
       third hypothesis specifies that ` F ` is a Cauchy sequence.
       (Contributed by Mario Carneiro, 7-May-2016.)  (Revised by AV,
       12-Sep-2020.) $)
    caurcvgr $p |- ( ph -> F ~~>r ( limsup ` F ) ) $=
      ( cfv wbr cc wcel clt wral cr wrex crp c3 vy clsp crli cv cmin co cabs wi
      cle c1 cmul wa 1rp a1i caucvgrlem simpl rexlimivw syl recnd wss adantr wf
      cdiv cxr csup cpnf wceq simpr 3rp rpdivcl sylancl reximi ssrexv sylc rpcn
      adantl 3cn cc0 wne 3ne0 divcan2d breq2d imbi2d rexralbidv mpbid ralrimiva
      ax-resscn fss eqidd rlim mpbir2and ) AFFUBKZUCLWLMNDUDZEUDZUILZWNFKZWLUEU
      FUGKZUAUDZOLZUHZECPDQRZUASPAWLAWLQNZWOWQTUJUKUFOLUHECPZULZDCRXBABCUJDEFGH
      IJUJSNAUMUNUOXDXBDCXBXCUPUQURUSAXAUASAWRSNZULZWOWQTWRTVCUFZUKUFZOLZUHZECP
      ZDQRZXAXFCQUTZXKDCRZXLAXMXEGVAZXFXBXKULZDCRXNXFBCXGDEFXOACQFVBZXEHVAACVDO
      VEVFVGXEIVAAWOWPWMFKUEUFUGKBUDOLUHECPDCRBSPXEJVAXFXETSNXGSNAXEVHVIWRTVJVK
      UOXPXKDCXBXKVHVLURXKDCQVMVNXFXJWTDEQCXFXIWSWOXFXHWRWQOXFWRTXEWRMNAWRVOVPT
      MNXFVQUNTVRVSXFVTUNWAWBWCWDWEWFAUADECWPWLFAXQQMUTCMFVBHWGCQMFWHVKGAWNCNUL
      WPWIWJWK $.
  $}

  ${
    $d j k n x A $.  $d j k n x F $.  $d j k n x H $.  $d j k n x ph $.
    caucvgr.1 $e |- ( ph -> A C_ RR ) $.
    caucvgr.2 $e |- ( ph -> F : A --> CC ) $.
    caucvgr.3 $e |- ( ph -> sup ( A , RR* , < ) = +oo ) $.
    caucvgr.4 $e |- ( ph -> A. x e. RR+ E. j e. A A. k e. A
      ( j <_ k -> ( abs ` ( ( F ` k ) - ( F ` j ) ) ) < x ) ) $.
    ${
      caucvgrlem2.5 $e |- H : CC --> RR $.
      caucvgrlem2.6 $e |- ( ( ( F ` k ) e. CC /\ ( F ` j ) e. CC ) ->
                      ( abs ` ( ( H ` ( F ` k ) ) - ( H ` ( F ` j ) ) ) ) <_
                      ( abs ` ( ( F ` k ) - ( F ` j ) ) ) ) $.
      $( Lemma for ~ caucvgr .  (Contributed by NM, 4-Apr-2005.)  (Proof
         shortened by Mario Carneiro, 8-May-2016.) $)
      caucvgrlem2 $p |- ( ph ->
        ( n e. A |-> ( H ` ( F ` n ) ) ) ~~>r ( ~~>r ` ( H o. F ) ) ) $=
        ( cfv crli cc cr wcel wbr ccom cv cmpt wceq fcompt sylancr cdm clsp fco
        wf cle cmin co cabs clt wi wral wrex wa ad2antrr simprr ffvelrnd simprl
        crp syl2anc ffvelrni resubcld recnd abscld subcld rpre ad2antlr syl3anc
        syl lelttr mpand oveq12d fveq2d breq1d sylibrd imim2d ralimdva reximdva
        fvco3 anassrs mpd caurcvgr rlimrel releldmi wss ax-resscn sylancl mpbid
        fss rlimdm eqbrtrrd ) AHGUAZFCFUBGOHOUCZWQPOZPAQRHUJZCQGUJZWQWRUDMJFHGC
        QRUEUFAWQPUGSZWQWSPTAWQWQUHOZPTXBABCDEWQIAWTXACRWQUJZMJCQRHGUIUFZKADUBZ
        EUBZUKTZXGGOZXFGOZULUMZUNOZBUBZUOTZUPZECUQZDCURZBVDUQXHXGWQOZXFWQOZULUM
        ZUNOZXMUOTZUPZECUQZDCURZBVDUQLAXQYEBVDAXMVDSZUSZXPYDDCYGXFCSZUSXOYCECYG
        YHXGCSZXOYCUPYGYHYIUSZUSZXNYBXHYKXNXIHOZXJHOZULUMZUNOZXMUOTZYBYKYOXLUKT
        ZXNYPYKXIQSZXJQSZYQYKCQXGGAXAYFYJJUTZYGYHYIVAZVBZYKCQXFGYTYGYHYIVCZVBZN
        VEYKYORSXLRSXMRSZYQXNUSYPUPYKYNYKYNYKYLYMYKYRYLRSUUBQRXIHMVFVNYKYSYMRSU
        UDQRXJHMVFVNVGVHVIYKXKYKXIXJUUBUUDVJVIYFUUEAYJXMVKVLYOXLXMVOVMVPYKYAYOX
        MUOYKXTYNUNYKXRYLXSYMULYKXAYIXRYLUDYTUUACQXGHGWDVEYKXAYHXSYMUDYTUUCCQXF
        HGWDVEVQVRVSVTWAWEWBWCWBWFWGWQXCPWHWIVNACWQAXDRQWJCQWQUJXEWKCRQWQWNWLKW
        OWMWP $.
    $}

    $( A Cauchy sequence of complex numbers converges to a complex number.
       Theorem 12-5.3 of [Gleason] p. 180 (sufficiency part).  (Contributed by
       NM, 20-Dec-2006.)  (Revised by Mario Carneiro, 8-May-2016.) $)
    caucvgr $p |- ( ph -> F e. dom ~~>r ) $=
      ( vn cre crli cfv ci cim co wcel cc cabs ccom cmul caddc wbr cmpt feqmptd
      cdm cv wa ffvelrnda replimd mpteq2dva eqtrd cvv fvexd ovexd ref cle resub
      cmin fveq2d subcl absrele syl eqbrtrrd caucvgrlem2 ax-icn elexi rlimconst
      a1i cr wss sylancl imsub absimle rlimmul rlimadd eqbrtrd rlimrel releldmi
      imf ) AFLFUAMNZOPFUAMNZUBQZUCQZMUDFMUGRAFKCKUHZFNZLNZOWGPNZUBQZUCQZUEZWEM
      AFKCWGUEWLAKCSFHUFAKCWGWKAWFCRUIZWGACSWFFHUJUKULUMAKCWHWJWBWDUNWMWGLUOWMO
      WIUBUPABCDEKFLGHIJUQEUHFNZSRDUHFNZSRUIZWNWOUTQZLNZTNZWNLNWOLNUTQZTNWQTNZU
      RWPWRWTTWNWOUSVAWPWQSRZWSXAURUDWNWOVBZWQVCVDVEVFAKCOWIOWCUNOUNRWMOSVGVHVJ
      WMWGPUOACVKVLOSRKCOUEOMUDGVGKCOVIVMABCDEKFPGHIJWAWPWQPNZTNZWNPNWOPNUTQZTN
      XAURWPXDXFTWNWOVNVAWPXBXEXAURUDXCWQVOVDVEVFVPVQVRFWEMVSVTVD $.
  $}

  ${
    $d k m x F $.  $d m x M $.  $d k m x ph $.  $d k m x Z $.
    caurcvg.1 $e |- Z = ( ZZ>= ` M ) $.
    caurcvg.3 $e |- ( ph -> F : Z --> RR ) $.
    caurcvg.4 $e |- ( ph -> A. x e. RR+ E. m e. Z A. k e. ( ZZ>= ` m )
            ( abs ` ( ( F ` k ) - ( F ` m ) ) ) < x ) $.
    $( A Cauchy sequence of real numbers converges to its limit supremum.  The
       fourth hypothesis specifies that ` F ` is a Cauchy sequence.
       (Contributed by NM, 4-Apr-2005.)  (Revised by AV, 12-Sep-2020.) $)
    caurcvg $p |- ( ph -> F ~~> ( limsup ` F ) ) $=
      ( cfv wbr cr cz cv wral wrex crp wcel syl clsp crli cli wss uzssz eqsstri
      cuz zssre sstri a1i cmin co cabs clt cxr csup cpnf wceq c0 wne 1rp r19.2z
      c1 ne0ii sylancr eluzel2 eleq2s uzsup a1d rexlimiv rexlimivw cle wi wa wb
      sseli eluz syl2an biimprd expimpd imim1d ralimdv2 reximia ralimi caurcvgr
      exp4a wf cc ax-resscn fss sylancl rlimclim mpbid ) AEEUAKZUBLEWNUCLABGDCE
      GMUDAGNMGFUGKZNHFUEUFZUHUIUJIACOZEKDOZEKUKULUMKBOUNLZCWRUGKZPZDGQZBRQZGUO
      UNUPUQURZARUSUTXBBRPZXCVCRVAVDJXBBRVBVEZXBXDBRXAXDDGWRGSZXDXAXGFNSZXDXHWR
      WOGFWRVFHVGZFGHVHTVIVJVKTAXEWRWQVLLZWSVMZCGPZDGQZBRPJXBXMBRXAXLDGXGWSXKCW
      TGXGWQWTSZWSVMWQGSZXJWSXGXOXJVNXNWSXGXOXJXNXGXOVNXNXJXGWRNSWQNSXNXJVOXOGN
      WRWPVPGNWQWPVPWRWQVQVRVSVTWAWFWBWCWDTWEAWNEFGHAXCXHXFXBXHBRXAXHDGXGXHXAXI
      VIVJVKTAGMEWGMWHUDGWHEWGIWIGMWHEWJWKWLWM $.
  $}

  ${
    $d i j k m n x F $.  $d i j k m n x M $.  $d i j k m n x ph $.
    $d i j k m n x Z $.
    caucvg.1 $e |- Z = ( ZZ>= ` M ) $.
    ${
      caurcvg2.2 $e |- ( ph -> F e. V ) $.
      caurcvg2.3 $e |- ( ph -> A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j )
            ( ( F ` k ) e. RR /\ ( abs ` ( ( F ` k ) - ( F ` j ) ) ) < x ) ) $.
      $( A Cauchy sequence of real numbers converges, existence version.
         (Contributed by NM, 4-Apr-2005.)  (Revised by Mario Carneiro,
         7-Sep-2014.) $)
      caurcvg2 $p |- ( ph -> F e. dom ~~> ) $=
        ( vn vi vm cfv wcel cmin wa wral crp cv cr co cabs clt wbr cuz wrex cli
        cdm c0 wne c1 1rp ne0ii r19.2z sylancr ralimi cmpt clsp eqid simprr weq
        simpl fveq2 eleq1d rspccva fmpttd oveq2d fveq2d breq1d anbi2d raleqbidv
        sylan cbvrexvw fvoveq1d anbi12d cbvralvw anim1i sylbi reximi syl adantr
        cc recn wb cau4 ad2antrl mpbid simpr wceq uztrn2 fvmpt oveq12d ralimdva
        fvex syl5ibr reximia caurcvg cz eluzelz cbvmptv climmpt syl2anc climrel
        eleq2s mpbird releldmi expr syl5 rexlimdva rexlimdvw mpd ) ADUAZEOZUBPZ
        XOCUAZEOZQUCZUDOZBUAZUEUFZRZDXQUGOZSZCHUHZBTUHZEUIUJPZATUKULYFBTSZYGUMT
        UNUOKYFBTUPUQAYFYHBTAYEYHCHYEXPDYDSZAXQHPZRYHYCXPDYDXPYBVDURAYKYJYHAYKY
        JRZRZELYDLUAZEOZUSZUTOZUIUFZYHYMYRYPYQUIUFZYMBMNYPXQYDYDVAZYMLYDYOUBYMY
        JYNYDPYOUBPZAYKYJVBXPUUADYNYDDLVCXOYOUBXNYNEVEVFVGVNVHYMMUAZEOZWDPZUUCN
        UAZEOZQUCZUDOZYAUEUFZRZMUUEUGOZSZNYDUHZBTSZUUBYPOZUUEYPOZQUCZUDOZYAUEUF
        ZMUUKSZNYDUHZBTSYMUULNHUHZBTSZUUNAUVCYLAYIUVCKYFUVBBTYFXPXOUUFQUCZUDOZY
        AUEUFZRZDUUKSZNHUHUVBYEUVHCNHCNVCZYCUVGDYDUUKXQUUEUGVEUVIYBUVFXPUVIXTUV
        EYAUEUVIXSUVDUDUVIXRUUFXOQXQUUEEVEVIVJVKVLVMVOUVHUULNHUVHUUCUBPZUUIRZMU
        UKSUULUVGUVKDMUUKDMVCZXPUVJUVFUUIUVLXOUUCUBXNUUBEVEZVFUVLUVEUUHYAUEUVLX
        OUUCUUFUDQUVMVPVKVQVRUVKUUJMUUKUVJUUDUUIUUCWEVSURVTWAVTURWBWCYKUVCUUNWF
        AYJBNMEFXQYDHIYTWGWHWIUUMUVABTUULUUTNYDUUEYDPZUUJUUSMUUKUUJUUSUVNUUBUUK
        PZRZUUIUUDUUIWJUVPUURUUHYAUEUVPUUQUUGUDUVPUUOUUCUUPUUFQUVPUUBYDPUUOUUCW
        KXQUUBUUEYDYTWLLUUBYOUUCYDYPYNUUBEVEYPVAZUUBEWPWMWBUVNUUPUUFWKUVOLUUEYO
        UUFYDYPYNUUEEVEUVQUUEEWPWMWCWNVJVKWQWOWRURWBWSYMXQWTPZEGPZYRYSWFYKUVRAY
        JUVRXQFUGOHFXQXAIXFWHAUVSYLJWCYQDEYPXQGYDYTLDYDYOXOYNXNEVEXBXCXDXGEYQUI
        XEXHWBXIXJXKXLXM $.
    $}

    caucvg.2 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    caucvg.3 $e |- ( ph -> A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j )
                           ( abs ` ( ( F ` k ) - ( F ` j ) ) ) < x ) $.
    caucvg.4 $e |- ( ph -> F e. V ) $.
    $( A Cauchy sequence of complex numbers converges to a complex number.
       Theorem 12-5.3 of [Gleason] p. 180 (sufficiency part).  (Contributed by
       NM, 20-Dec-2006.)  (Proof shortened by Mario Carneiro, 15-Feb-2014.)
       (Revised by Mario Carneiro, 8-May-2016.) $)
    caucvg $p |- ( ph -> F e. dom ~~> ) $=
      ( vn cv cfv crli wbr wcel cz crp cmpt cli cdm fveq2 cbvmptv wss cuz uzssz
      cr eqsstri zssre sstri a1i cc eqcomi fmptd cxr clt csup cpnf wceq cmin co
      cabs wral wrex c0 wne c1 1rp ne0ii r19.2z sylancr eluzel2 eleq2s rexlimiv
      a1d rexlimivw syl uzsup cle wi wa wb sseli eluz biimprd eqid fvex fvmpt3i
      syl2an oveqan12rd fveq2d breq1d imim12d ex com23 ralimdv2 reximia caucvgr
      ralimi rlimdm eqbrtrid rlimclim climmpt syl2anc mpbird climrel releldmi
      mpbid ) AEMHMNZEOZUAZPOZUBQZEUBUCRAXODHDNZEOZUAZXNUBQZAXRXNPQXSAXRXMXNPDM
      HXQXLXPXKEUDUEZAXMPUCRXMXNPQABHCDXMHUIUFAHSUIHFUGOZSIFUHUJZUKULUMADHXQUNX
      MJXRXMXTUOUPZAFSRZHUQURUSUTVAAXQCNZEOZVBVCZVDOZBNZURQZDYEUGOZVEZCHVFZBTVF
      ZYDATVGVHYMBTVEZYNVITVJVKKYMBTVLVMYMYDBTYLYDCHYEHRZYDYLYDYEYAHFYEVNIVOVQV
      PVRVSZFHIVTVSZAYOYEXPWAQZXPXMOZYEXMOZVBVCZVDOZYIURQZWBZDHVEZCHVFZBTVEKYMU
      UGBTYLUUFCHYPYJUUEDYKHYPXPHRZXPYKRZYJWBZUUEYPUUHUUJUUEWBYPUUHWCZYSUUIYJUU
      DUUKUUIYSYPYESRXPSRUUIYSWDUUHHSYEYBWEHSXPYBWEYEXPWFWKWGUUKUUDYJUUKUUCYHYI
      URUUKUUBYGVDUUHYPYTXQUUAYFVBMXPXLXQHXMXKXPEUDXMWHZXKEWIZWJMYEXLYFHXMXKYEE
      UDUULUUMWJWLWMWNWGWOWPWQWRWSXAVSWTAHXMYCYRXBXJXCAXNXRFHIYQADHXQUNXRJXRWHZ
      UPXDXJAYDEGRXOXSWDYQLXNDEXRFGHIUUNXEXFXGEXNUBXHXIVS $.
  $}

  ${
    $d i j k m n x y F $.  $d j k m n x M $.  $d i j k m n x y Z $.
    $d j k n x ph $.  $d i k m n y V $.
    caucvgb.1 $e |- Z = ( ZZ>= ` M ) $.
    $( A function is convergent if and only if it is Cauchy.  Theorem 12-5.3 of
       [Gleason] p. 180.  (Contributed by Mario Carneiro, 15-Feb-2014.) $)
    caucvgb $p |- ( ( M e. ZZ /\ F e. V ) -> ( F e. dom ~~> <->
              A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j ) ( ( F ` k ) e. CC /\
                ( abs ` ( ( F ` k ) - ( F ` j ) ) ) < x ) ) ) $=
      ( vn vm vi wcel wa cv cfv cuz wral wrex clt crp vy cz cc cli cmin co cabs
      cdm wbr cop wex eldm2g ibi df-br c1 simpll eqidd simpr climi simpl ralimi
      1rp a1i reximi syl ex syl5bir exlimdv syl5 wi wceq fveq2 raleqdv cbvrexvw
      wb rspcdva eluzelz eleq2s eqid climcau sylan r19.29uz ralimdv mpan9 an32s
      weq adantll simplrr eleq1d rspccva fvoveq1d breq1d cbvralvw adantl oveq2d
      sylib fveq2d raleqbidv rexralbidv syl5bb caucvg adantlll impbida ad2antrl
      breq2 cau4 bitr4d rexlimdvaa pm5.21ndd ) EUBLZDFLZMZCNZDOZUCLZCINZPOZQZIG
      RZDUDUHZLZXOXNBNZDOZUEUFUGOZANZSUIZMZCYBPOZQZBGRZATQZYADJNZUJUDLZJUKZXLXS
      YAYNJDUDXTULUMXLYMXSJYMDYLUDUIZXLXSDYLUDUNXLYOXSXLYOMZXOXNYLUEUFUGOUOSUIZ
      MZCXQQZIGRXSYPYLXNUOICDEGHXJXKYOUPUOTLZYPVBVCYPXMGLMXNUQXLYOURUSYSXRIGYRX
      OCXQXOYQUTVAVDVEVFVGVHVIYKXSVJXLYKXOCYHQZBGRZXSATUOUUBXSVOYEUOVKUUAXRBIGB
      IWFXOCYHXQYBXPPVLVMVNVCYJUUBATYIUUABGYGXOCYHXOYFUTVAVDVAYTYKVBVCVPVCXLXRY
      AYKVOIGXLXPGLZXRMZMZYAYIBXQRZATQZYKUUEYAUUGUUDYAUUGXLUUCYAXRUUGUUCYAMYFCY
      HQZBXQRZATQZXRUUGUUCXPUBLZYAUUJUUKXPEPOGEXPVQHVRABCDXPXQXQVSZVTWAXRUUIUUF
      ATXRUUIUUFXOYFBCXPXQUULWBVFWCWDWEWGXKUUDUUGYAXJXKUUDMZUUGMZUAKJDXPFXQUULU
      UNXRYLXQLYLDOZUCLZXKUUCXRUUGWHXOUUPCYLXQCJWFZXNUUOUCXMYLDVLZWIWJWAUUNUUOY
      CUEUFZUGOZYESUIZJYHQZBXQRZATQZUUOKNZDOZUEUFZUGOZUANZSUIZJUVEPOZQKXQRZUATQ
      UUGUVDUUMUUFUVCATYIUVBBXQYIUUHUVBYGYFCYHXOYFURVAYFUVACJYHUUQYDUUTYESUUQXN
      UUOYCUGUEUURWKWLWMWPVDVAWNUVCUVLAUATUVCUVHYESUIZJUVKQZKXQRAUAWFZUVLUVBUVN
      BKXQBKWFZUVAUVMJYHUVKYBUVEPVLUVPUUTUVHYESUVPUUSUVGUGUVPYCUVFUUOUEYBUVEDVL
      WOWQWLWRVNUVOUVMUVJKJXQUVKYEUVIUVHSXEWSWTWMWPXKUUDUUGUPXAXBXCUUCYKUUGVOXL
      XRABCDEXPXQGHUULXFXDXGXHXI $.

    serf0.2 $e |- ( ph -> M e. ZZ ) $.
    serf0.3 $e |- ( ph -> F e. V ) $.
    serf0.4 $e |- ( ph -> seq M ( + , F ) e. dom ~~> ) $.
    serf0.5 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    $( If an infinite series converges, its underlying sequence converges to
       zero.  (Contributed by NM, 2-Sep-2005.)  (Revised by Mario Carneiro,
       16-Feb-2014.) $)
    serf0 $p |- ( ph -> F ~~> 0 ) $=
      ( vx vm cfv cabs clt wral wcel cmin co vn vj cc0 cli wbr cv cuz crp caddc
      wrex cseq cc wa cdm cz wb caucvgb syl2anc mpbid sylib c1 peano2uzs adantl
      cau3 wi eluzelz uzid peano2uz wceq fveq2 oveq2d fveq2d rspcv 4syl adantld
      breq1d ralimia simpr eleqtrdi syl eluzp1m1 sylan fvoveq1 oveq12d ad2antrr
      wf serf uztrn2 syl2an2r ffvelrnd abssubd zcnd npcan sylancl eluzp1p1 eqid
      ax-1cn oveq1d adantlr syldan pncan2d eqtr2d 3eqtr4d sylibd ralrimdva syl5
      seqm1 raleqdv rspcev syl6an rexlimdva ralimdv mpd eqidd clim0c mpbird ) A
      CUCUDUEBUFZCNZONZLUFZPUEZBUAUFZUGNZQZUAFUJZLUHQZAMUFZUICDUKZNZULRZYIXQYHN
      ZSTZONZXTPUEZBYGUGNZQZUMZMUBUFZUGNZQZUBFUJZLUHQZYFAYJYIYRYHNSTONXTPUEUMMY
      SQUBFUJLUHQZUUBAYHUDUNZRZUUCJADUORZUUEUUEUUCUPHJLUBMYHDUUDFGUQURUSLUBMBYH
      DFGVDUTAUUAYELUHAYTYEUBFAYRFRZUMZYRVAUITZFRZYTYABUUIUGNZQZYEUUGUUJADYRFGV
      BVCZYTYIYGVAUITZYHNZSTZONZXTPUEZMYSQZUUHUULYQUURMYSYGYSRZYPUURYJUUTYGUORY
      GYORUUNYORYPUURVEYRYGVFYGVGYGYGVHYNUURBUUNYOXQUUNVIZYMUUQXTPUVAYLUUPOUVAY
      KUUOYISXQUUNYHVJVKVLVPVMVNVOVQUUHUUSYABUUKUUHXQUUKRZUMZUUSXQVASTZYHNZUVDV
      AUITZYHNZSTZONZXTPUEZYAUVCUVDYSRZUUSUVJVEUUHYRUORZUVBUVKUUHYRDUGNZRZUVLUU
      HYRFUVMAUUGVRZGVSZDYRVFVTYRXQWAWBZUURUVJMUVDYSYGUVDVIZUUQUVIXTPUVRUUPUVHO
      UVRYIUVEUUOUVGSYGUVDYHVJYGUVDVAYHUIWCWDVLVPVMVTUVCUVIXSXTPUVCUVEYKSTZONYK
      UVESTZONUVIXSUVCUVEYKUVCFULUVDYHAFULYHWFUUGUVBABCDFGHKWGWEZUUHUUGUVBUVKUV
      DFRUVOUVQDUVDYRFGWHWIWJZUVCFULXQYHUWAUUHUUJUVBXQFRZUUMDXQUUIFGWHWBZWJWKUV
      CUVHUVSOUVCUVGYKUVESUVCUVFXQYHUVCXQULRVAULRUVFXQVIUVCXQUVBXQUORUUHUUIXQVF
      VCWLWQXQVAWMWNVLVKVLUVCXRUVTOUVCUVTUVEXRUITZUVESTXRUVCYKUWEUVESUVCUUFXQDV
      AUITZUGNZRZYKUWEVIAUUFUUGUVBHWEUUHUUIUWGRZUVBUWHUUHUVNUWIUVPDYRWOVTUWFXQU
      UIUWGUWGWPWHWBUICDXQXGURWRUVCUVEXRUWBUUHUVBUWCXRULRZUWDAUWCUWJUUGKWSWTXAX
      BVLXCVPXDXEXFYDUULUAUUIFYBUUIVIYABYCUUKYBUUIUGVJXHXIXJXKXLXMALXRUABCDEFGH
      IAUWCUMXRXNKXOXP $.
  $}

  ${
    $d j k n x F $.  $d j k n x G $.  $d j k n x M $.  $d j k n x ph $.
    $d k x K $.  $d k n x N $.  $d j k n x Z $.
    iseralt.1 $e |- Z = ( ZZ>= ` M ) $.
    iseralt.2 $e |- ( ph -> M e. ZZ ) $.
    iseralt.3 $e |- ( ph -> G : Z --> RR ) $.
    iseralt.4 $e |- ( ( ph /\ k e. Z ) -> ( G ` ( k + 1 ) ) <_ ( G ` k ) ) $.
    iseralt.5 $e |- ( ph -> G ~~> 0 ) $.
    $( Lemma for ~ iseralt .  A decreasing sequence with limit zero consists of
       positive terms.  (Contributed by Mario Carneiro, 6-Apr-2015.) $)
    iseraltlem1 $p |- ( ( ph /\ N e. Z ) -> 0 <_ ( G ` N ) ) $=
      ( wcel wa cfv cz wbr adantr c1 cr co vn cc0 csn cxp eluzelz eleq2s adantl
      cuz cli cc ffvelrnda recnd 1z uzssz zex climconst2 sylancl cv wf ad2antrr
      eqid uztrn2 adantll ffvelrnd wceq fvex fvconst2 syl eqeltrd cle simpr cfz
      simplr elfzuz syl2an caddc simpl adantlr syldan monoord2 breqtrrd climle
      cmin ) AEFLZMZUBECNZUACOWFUCUDZEEUHNZWHVAWDEOLZAWIEDUHNFDEUEGUFUGACUBUIPW
      DKQWEWFUJLROLWGWFUIPWEWFAFSECIUKZULUMWFRORUNUOUPUQWEUAURZWHLZMZFSWKCAFSCU
      SZWDWLIUTZWDWLWKFLADWKEFGVBVCVDWMWKWGNZWFSWMWKOLZWPWFVEWLWQWEEWKUEUGOWFWK
      ECVFVGVHZWEWFSLWLWJQVIWMWKCNWFWPVJWMBCEWKWEWLVKWMBURZEWKVLTLZMFSWSCWMWNWT
      WOQWMWDWSWHLZWSFLZWTAWDWLVMWSEWKVNDWSEFGVBZVOVDWMWEXAWSRVPTCNWSCNVJPZWSEW
      KRWCTZVLTLWEWLVQWSEXEVNWEXAXBXDWDXAXBAXCVCAXBXDWDJVRVSVOVTWRWAWB $.

    iseralt.6 $e |- ( ( ph /\ k e. Z ) ->
      ( F ` k ) = ( ( -u 1 ^ k ) x. ( G ` k ) ) ) $.
    $( Lemma for ~ iseralt .  The terms of an alternating series form a chain
       of inequalities in alternate terms, so that for example
       ` S ( 1 ) <_ S ( 3 ) <_ S ( 5 ) <_ ... ` and
       ` ... <_ S ( 4 ) <_ S ( 2 ) <_ S ( 0 ) ` (assuming ` M = 0 ` so that
       these terms are defined).  (Contributed by Mario Carneiro,
       6-Apr-2015.) $)
    iseraltlem2 $p |- ( ( ph /\ N e. Z /\ K e. NN0 ) ->
      ( ( -u 1 ^ N ) x. ( seq M ( + , F ) ` ( N + ( 2 x. K ) ) ) ) <_
      ( ( -u 1 ^ N ) x. ( seq M ( + , F ) ` N ) ) ) $=
      ( wcel c1 co c2 cmul caddc vx vn cn0 cneg cexp cseq cfv cle wbr wa cv cc0
      wi wceq oveq2 2t0e0 eqtrdi oveq2d fveq2d breq1d imbi2d cz wss cuz eqsstri
      a1i sselda zcnd addid1d cr wne neg1rr neg1ne0 reexpclz mp3an12i ffvelrnda
      uzssz remulcld eqeltrd serfre leidd eqbrtrd cmin wf ax-1cn 2timesi oveq2i
      ad2antrr simpr eleqtrdi adantr eluzelz syl 2cn nn0cn adantl mulcl sylancr
      cc mulcli addassd eqtr3id 2nn0 nn0mulcl uzaddcl syl2anc 1cnd 2cnd 3eqtr4d
      sselid adddid peano2nn0 eleqtrrdi ffvelrnd peano2uz resubcld 0red fvoveq1
      fveq2 breq12d wral ralrimiva rspcdva suble0d seqp1 oveq1d oveq12d eqeq12d
      eqtrd recnd neg1cn expp1zd sylancl 3eqtrd 3eqtr3d mulassd eqtr4d syl22anc
      3eqtrrd mulid2d mpbird leadd2dd reexpclzd mulcom mulm1d mulneg12 renegcld
      peano2zd mul2neg mulid1d readdcld 2timesd expaddz 2z nn0z zaddcl neg1sqe1
      syl2an expmulz oveq1i eqtrid negcld addcomd negsubd 3brtr3d syl3anc mpand
      1exp letr expcom a2d nn0ind com12 3impia ) AGHOZEUCOZPUDZGUEQZGRESQZTQZTC
      FUFZUGZSQZUVRGUWAUGZSQZUHUIZUVPAUVOUJZUWFUWGUVRGRUAUKZSQZTQZUWAUGZSQZUWEU
      HUIZUMUWGUVRGULTQZUWAUGZSQZUWEUHUIZUMUWGUVRGRUBUKZSQZTQZUWAUGZSQZUWEUHUIZ
      UMUWGUVRGRUWRPTQZSQZTQZUWAUGZSQZUWEUHUIZUMUWGUWFUMUAUBEUWHULUNZUWMUWQUWGU
      XJUWLUWPUWEUHUXJUWKUWOUVRSUXJUWJUWNUWAUXJUWIULGTUXJUWIRULSQULUWHULRSUOUPU
      QURUSURUTVAUWHUWRUNZUWMUXCUWGUXKUWLUXBUWEUHUXKUWKUXAUVRSUXKUWJUWTUWAUXKUW
      IUWSGTUWHUWRRSUOURUSURUTVAUWHUXDUNZUWMUXIUWGUXLUWLUXHUWEUHUXLUWKUXGUVRSUX
      LUWJUXFUWAUXLUWIUXEGTUWHUXDRSUOURUSURUTVAUWHEUNZUWMUWFUWGUXMUWLUWCUWEUHUX
      MUWKUWBUVRSUXMUWJUVTUWAUXMUWIUVSGTUWHERSUOURUSURUTVAUWGUWPUWEUWEUHUWGUWOU
      WDUVRSUWGUWNGUWAUWGGUWGGAHVBGHVBVCAHFVDUGZVBIFVQZVEVFZVGZVHVIUSURUWGUWEUW
      GUVRUWDUVQVJOZUVQULVKZUWGGVBOZUVRVJOZVLVMUXQUVQGVNVOZAHVJGUWAABCFHIJABUKZ
      HOUJZUYCCUGZUVQUYCUEQZUYCDUGZSQZVJNUYDUYFUYGUXRUXSUYDUYCVBOUYFVJOVLVMAHVB
      UYCUXPVGUVQUYCVNVOAHVJUYCDKVPVRVSVTZVPVRZWAWBUWRUCOZUWGUXCUXIUWGUYKUXCUXI
      UMUWGUYKUJZUXHUXBUHUIZUXCUXIUYLUXBUWTPTQZPTQZDUGZUYNDUGZWCQZTQZUXBULTQUXH
      UXBUHUYLUYRULUXBUYLUYPUYQUYLHVJUYODAHVJDWDUVOUYKKWHZUYLUYOUXFHUYLUWTPPTQZ
      TQZGUWSRPSQZTQZTQZUYOUXFUYLVUBUWTVUCTQVUEVUCVUAUWTTPWEWFWGUYLGUWSVUCUYLGU
      YLGUXNOZUXTUWGVUFUYKUWGGHUXNAUVOWIIWJWKZFGWLWMZVHZUYLRWSOUWRWSOZUWSWSOWNU
      YKVUJUWGUWRWOWPZRUWRWQWRZVUCWSOUYLRPWNWEWTVFXAXBUYLUWTPPUYLUWTUYLUXNVBUWT
      UXOUYLVUFUWSUCOZUWTUXNOZVUGUYLRUCOZUYKVUMXCUWGUYKWIRUWRXDWRUWSFGXEXFZXJZV
      HUYLXGZVURXAUYLUXEVUDGTUYLRUWRPUYLXHZVUKVURXKURXIZUYLUXFUXNHUYLVUFUXEUCOZ
      UXFUXNOVUGUYLVUOUXDUCOZVVAXCUYKVVBUWGUWRXLWPRUXDXDWRUXEFGXEXFIXMZVSZXNZUY
      LHVJUYNDUYTUYLUYNUXNHUYLVUNUYNUXNOZVUPFUWTXOWMZIXMZXNZXPUYLXQUYLUVRUXAUWG
      UYAUYKUYBWKZUYLHVJUWTUWAAHVJUWAWDUVOUYKUYIWHZUYLUWTUXNHVUPIXMXNZVRZUYLUYR
      ULUHUIUYPUYQUHUIZUYLUYCPTQDUGZUYGUHUIZVVNBHUYNUYCUYNUNZVVOUYPUYGUYQUHUYCU
      YNPDTXRUYCUYNDXSZXTAVVPBHYAUVOUYKAVVPBHLYBWHVVHYCUYLUYPUYQVVEVVIYDUUAUUBU
      YLUXHUVRUXAUYNCUGZUYOCUGZTQZTQZSQUXBUVRVWASQZTQUYSUYLUXGVWBUVRSUYLUYOUWAU
      GZUXAVVSTQZVVTTQZUXGVWBUYLVWDUYNUWAUGZVVTTQZVWFUYLVVFVWDVWHUNVVGTCFUYNYEW
      MUYLVWGVWEVVTTUYLVUNVWGVWEUNVUPTCFUWTYEWMYFYIUYLUYOUXFUWAVUTUSUYLUXAVVSVV
      TUYLUXAVVLYJZUYLVVSUYLVVSUVQUWTUEQZUYQUDZSQZVJUYLVVSUVQUYNUEQZUYQSQZVWJUD
      ZUYQSQZVWLUYLUYEUYHUNZVVSVWNUNBHUYNVVQUYEVVSUYHVWNUYCUYNCXSVVQUYFVWMUYGUY
      QSUYCUYNUVQUEUOVVRYGYHAVWQBHYAUVOUYKAVWQBHNYBWHZVVHYCUYLVWMVWOUYQSUYLVWMV
      WJUVQSQZUVQVWJSQZVWOUYLUVQUWTUVQWSOZUYLYKVFZUXSUYLVMVFZVUQYLUYLVWJWSOZVXA
      VWSVWTUNUYLVWJUYLUVQUWTUXRUYLVLVFVXCVUQUUCZYJZYKVWJUVQUUDYMUYLVWJVXFUUEYN
      ZYFUYLVXDUYQWSOVWPVWLUNVXFUYLUYQVVIYJZVWJUYQUUFXFYNZUYLVWJVWKVXEUYLUYQVVI
      UUGZVRVSZYJZUYLVVTUYLVVTVWJUYPSQZVJUYLVVTUVQUYOUEQZUYPSQZVXMUYLVWQVVTVXOU
      NBHUYOUYCUYOUNZUYEVVTUYHVXOUYCUYOCXSVXPUYFVXNUYGUYPSUYCUYOUVQUEUOUYCUYODX
      SYGYHVWRVVDYCUYLVXNVWJUYPSUYLVXNVWMUVQSQVWOUVQSQZVWJUYLUVQUYNVXBVXCUYLUWT
      VUQUUHYLUYLVWMVWOUVQSVXGYFUYLVXQVWJPSQZVWJUYLVXDPWSOVXQVXRUNVXFWEVWJPUUIY
      MUYLVWJVXFUUJYIYNYFYIZUYLVWJUYPVXEVVEVRVSZYJZXAYOURUYLUVRUXAVWAUYLUVRVVJY
      JZVWIUYLVWAUYLVVSVVTVXKVXTUUKYJXKUYLVWCUYRUXBTUYLVWCUVRVVSSQZUVRVVTSQZTQV
      WKUYPTQZUYRUYLUVRVVSVVTVYBVXLVYAXKUYLVYCVWKVYDUYPTUYLVYCUVRVWJSQZVWKSQZPV
      WKSQVWKUYLVYCUVRVWLSQVYGUYLVVSVWLUVRSVXIURUYLUVRVWJVWKVYBVXFUYLVWKVXJYJZY
      PYQUYLVYFPVWKSUYLUVQGUWTTQZUEQZUVQRGUWRTQZSQZUEQZVYFPUYLVYIVYLUVQUEUYLVYL
      RGSQZUWSTQGGTQZUWSTQVYIUYLRGUWRVUSVUIVUKXKUYLVYNVYOUWSTUYLGVUIUULYFUYLGGU
      WSVUIVUIVULXAYSURUYLVXAUXSUXTUWTVBOVYJVYFUNVXBVXCVUHVUQUVQGUWTUUMYRUYLVYM
      UVQRUEQZVYKUEQZPUYLVXAUXSRVBOZVYKVBOZVYMVYQUNVXBVXCVYRUYLUUNVFUWGUXTUWRVB
      OVYSUYKUXQUWRUUOGUWRUUPUURZUVQRVYKUUSYRUYLVYQPVYKUEQZPVYPPVYKUEUUQUUTUYLV
      YSWUAPUNVYTVYKUVHWMUVAYIYOZYFUYLVWKVYHYTYNUYLVYDVYFUYPSQZPUYPSQUYPUYLVYDU
      VRVXMSQWUCUYLVVTVXMUVRSVXSURUYLUVRVWJUYPVYBVXFUYLUYPVVEYJZYPYQUYLVYFPUYPS
      WUBYFUYLUYPWUDYTYNYGUYLVYEUYPVWKTQUYRUYLVWKUYPUYLUYQVXHUVBWUDUVCUYLUYPUYQ
      WUDVXHUVDYIYNURYSUYLUXBUYLUXBVVMYJVIUVEUYLUXHVJOUXBVJOUWEVJOZUYMUXCUJUXIU
      MUYLUVRUXGVVJUYLHVJUXFUWAVVKVVCXNVRVVMUWGWUEUYKUYJWKUXHUXBUWEUVIUVFUVGUVJ
      UVKUVLUVMUVN $.

    $( Lemma for ~ iseralt .  From ~ iseraltlem2 , we have
       ` ( -u 1 ^ n ) x. S ( n + 2 k ) <_ ( -u 1 ^ n ) x. S ( n ) ` and
       ` ( -u 1 ^ n ) x. S ( n + 1 ) <_ ( -u 1 ^ n ) x. S ( n + 2 k + 1 ) ` ,
       and we also have ` ( -u 1 ^ n ) x. S ( n + 1 ) = `
       ` ( -u 1 ^ n ) x. S ( n ) - G ( n + 1 ) ` for each ` n ` by the
       definition of the partial sum ` S ` , so combining the inequalities we
       get ` ( -u 1 ^ n ) x. S ( n ) - G ( n + 1 ) = `
       ` ( -u 1 ^ n ) x. S ( n + 1 ) <_ `
       ` ( -u 1 ^ n ) x. S ( n + 2 k + 1 ) = `
       ` ( -u 1 ^ n ) x. S ( n + 2 k ) - G ( n + 2 k + 1 ) <_ `
       ` ( -u 1 ^ n ) x. S ( n + 2 k ) <_ ( -u 1 ^ n ) x. S ( n ) <_ `
       ` ( -u 1 ^ n ) x. S ( n ) + G ( n + 1 ) ` , so
       ` | ( -u 1 ^ n ) x. S ( n + 2 k + 1 ) - ( -u 1 ^ n ) x. S ( n ) | = `
       ` | S ( n + 2 k + 1 ) - S ( n ) | <_ G ( n + 1 ) ` and
       ` | ( -u 1 ^ n ) x. S ( n + 2 k ) - ( -u 1 ^ n ) x. S ( n ) | = `
       ` | S ( n + 2 k ) - S ( n ) | <_ G ( n + 1 ) ` .  Thus, both even and
       odd partial sums are Cauchy if ` G ` converges to ` 0 ` .  (Contributed
       by Mario Carneiro, 6-Apr-2015.) $)
    iseraltlem3 $p |- ( ( ph /\ N e. Z /\ K e. NN0 ) ->
      ( ( abs ` ( ( seq M ( + , F ) ` ( N + ( 2 x. K ) ) ) -
        ( seq M ( + , F ) ` N ) ) ) <_ ( G ` ( N + 1 ) ) /\
        ( abs ` ( ( seq M ( + , F ) ` ( ( N + ( 2 x. K ) ) + 1 ) ) -
        ( seq M ( + , F ) ` N ) ) ) <_ ( G ` ( N + 1 ) ) ) ) $=
      ( cmul co cfv c1 cle cexp wcel cn0 w3a c2 caddc cseq cmin cabs wbr neg1rr
      cneg cr a1i cc0 wne neg1ne0 cz uzssz eqsstri simp2 sselid reexpclzd recnd
      cuz wf cv simpr ffvelrnda remulcld eqeltrd serfre 3ad2ant1 eleqtrdi simp3
      wa 2nn0 nn0mulcl sylancr uzaddcl syl2anc eleqtrrdi ffvelrnd subdid fveq2d
      resubcld absmuld eqtr3d cc wceq absexpz syl3anc ax-1cn absnegi abs1 eqtri
      oveq1i 1exp syl eqtrid eqtrd oveq1d abscld mulid2d 3eqtrd peano2uzs seqp1
      3ad2ant2 fveq2 oveq2 oveq12d eqeq12d wral ralrimiva rspcdva oveq2d neg1cn
      expp1zd mulcom sylancl mulneg1d negsubd zcnd 2timesd 2z syl22anc neg1sqe1
      mulm1d expmulz expaddz 3eqtr3d mulassd iseraltlem2 3brtr3d eqbrtrrd nn0zd
      iseraltlem1 mpbid letrd absdifled mpbir2and eqtrdi syl3an2 nn0cnd mulid1d
      1cnd add32d lenegd mpbird negcld simp1 subge02d eqbrtrd readdcld addge01d
      jca ) AGHUAZEUBUAZUCZGUDEOPZUEPZUECFUFZQZGUVAQZUGPZUHQZGRUEPZDQZSUIUUTRUE
      PZUVAQZUVCUGPZUHQZUVGSUIUURRUKZGTPZUVBOPZUVMUVCOPZUGPZUHQZUVEUVGSUURUVQUV
      MUHQZUVEOPZRUVEOPUVEUURUVMUVDOPZUHQUVQUVSUURUVTUVPUHUURUVMUVBUVCUURUVMUUR
      UVLGUVLULUAZUURUJUMZUVLUNUOZUURUPUMZUURHUQGHFVDQZUQIFURUSZAUUPUUQUTZVAZVB
      ZVCZUURUVBUURHULUUTUVAAUUPHULUVAVEUUQABCFHIJABVFZHUAZVOZUWKCQZUVLUWKTPZUW
      KDQZOPZULNUWMUWOUWPUWMUVLUWKUWAUWMUJUMUWCUWMUPUMUWMHUQUWKUWFAUWLVGVAVBAHU
      LUWKDKVHVIVJVKVLZUURUUTUWEHUURGUWEUAZUUSUBUAZUUTUWEUAZUURGHUWEUWGIVMZUURU
      DUBUAUUQUWTVPAUUPUUQVNZUDEVQVRZUUSFGVSVTZIWAZWBZVCZUURUVCUURHULGUVAUWRUWG
      WBZVCZWCWDUURUVMUVDUWJUURUVDUURUVBUVCUXGUXIWEVCZWFWGUURUVRRUVEOUURUVRUVLU
      HQZGTPZRUURUVLWHUAZUWCGUQUAZUVRUXMWIUURUVLUWBVCZUWDUWHUVLGWJWKUURUXMRGTPZ
      RUXLRGTUXLRUHQRRWLWMWNWOWPUURUXOUXQRWIUWHGWQWRZWSWTZXAUURUVEUURUVEUURUVDU
      XKXBVCXCXDUURUVQUVGSUIUVOUVGUGPZUVNSUIUVNUVOUVGUEPZSUIUURUXTUVMUVIOPZUVNU
      URUVOUVGUURUVMUVCUWIUXIVIZUURHULUVFDAUUPHULDVEUUQKVLZUUPAUVFHUAZUUQFGHIXE
      ZXGZWBZWEUURUVMUVIUWIUURHULUVHUVAUWRUURUUTHUAUVHHUAZUXFFUUTHIXEWRZWBZVIZU
      URUVMUVBUWIUXGVIZUURUVMUVFUVAQZOPZUXTUYBSUURUYOUVMUVCUVMUVGOPZUGPZOPUVOUV
      MUYPOPZUGPUXTUURUYNUYQUVMOUURUYNUVCUYPUKZUEPZUYQUURUYNUVCUVFCQZUEPZUVCUVL
      UVFTPZUVGOPZUEPUYTUURUWSUYNVUBWIUXBUECFGXFWRUURVUAVUDUVCUEUURUWNUWQWIZVUA
      VUDWIBHUVFUWKUVFWIZUWNVUAUWQVUDUWKUVFCXHVUFUWOVUCUWPUVGOUWKUVFUVLTXIUWKUV
      FDXHXJXKAUUPVUEBHXLUUQAVUEBHNXMVLZUYGXNXOUURVUDUYSUVCUEUURVUDUVMUKZUVGOPU
      YSUURVUCVUHUVGOUURVUCUVMUVLOPZUVLUVMOPZVUHUURUVLGUXPUWDUWHXQUURUVMWHUAUXN
      VUIVUJWIUWJXPUVMUVLXRXSUURUVMUWJYGXDZXAUURUVMUVGUWJUURUVGUYHVCZXTWTXOXDUU
      RUVCUYPUXJUURUYPUURUVMUVGUWIUYHVIVCZYAWTXOUURUVMUVCUYPUWJUXJVUMWCUURUYRUV
      GUVOUGUURUVMUVMOPZUVGOPRUVGOPUYRUVGUURVUNRUVGOUURUVLGGUEPZTPZUXQVUNRUURVU
      PUVLUDTPZGTPZUXQUURUVLUDGOPZTPZVUPVURUURVUSVUOUVLTUURGUURGUWHYBZYCXOUURUX
      NUWCUDUQUAZUXOVUTVURWIUXPUWDVVBUURYDUMZUWHUVLUDGYHYEWGVUQRGTYFWPUUAUURUXN
      UWCUXOUXOVUPVUNWIUXPUWDUWHUWHUVLGGYIYEUXRYJZXAUURUVMUVMUVGUWJUWJVULYKUURU
      VGVULXCYJXOXDUURUYOUYBSUIUYBUKZUYOUKZSUIUURVUHUVIOPZVUHUYNOPZVVEVVFSUURVU
      CUVFUUSUEPZUVAQZOPZVUCUYNOPZVVGVVHSUUPAUYEUUQVVKVVLSUIUYFABCDEFUVFHIJKLMN
      YLUUBUURVUCVUHVVJUVIOVUKUURVVIUVHUVAUURGRUUSVVAUURUUEUURUUSUXDUUCUUFZWDXJ
      UURVUCVUHUYNOVUKXAYMUURUVMUVIUWJUURUVIUYKVCZXTUURUVMUYNUWJUURUYNUURHULUVF
      UVAUWRUYGWBZVCXTYMUURUYOUYBUURUVMUYNUWIVVOVIUYLUUGUUHYNZUURUYBUVNUVHDQZUG
      PZUVNSUURUYBUVMUVBUVMVVQOPZUGPZOPUVNUVMVVSOPZUGPVVRUURUVIVVTUVMOUURUVIUVB
      UVHCQZUEPZUVBVVSUKZUEPVVTUURUXAUVIVWCWIUXEUECFUUTXFWRUURVWBVWDUVBUEUURVWB
      UVLUVHTPZVVQOPZVUHVVQOPVWDUURVUEVWBVWFWIBHUVHUWKUVHWIZUWNVWBUWQVWFUWKUVHC
      XHVWGUWOVWEUWPVVQOUWKUVHUVLTXIUWKUVHDXHXJXKVUGUYJXNUURVWEVUHVVQOUURUVLVVI
      TPZVUHROPZVWEVUHUURVWHVUCUVLUUSTPZOPZVWIUURUXNUWCUVFUQUAUUSUQUAVWHVWKWIUX
      PUWDUURHUQUVFUWFUYGVAUURUUSUXDYOUVLUVFUUSYIYEUURVUCVUHVWJROVUKUURVWJVUQET
      PZRUURUXNUWCVVBEUQUAZVWJVWLWIUXPUWDVVCUUREUXCYOZUVLUDEYHYEUURVWLRETPZRVUQ
      RETYFWPUURVWMVWORWIVWNEWQWRWSWTXJWTUURVVIUVHUVLTVVMXOUURVUHUURUVMUWJUUIUU
      DYJXAUURUVMVVQUWJUURVVQUURHULUVHDUYDUYJWBZVCZXTXDXOUURUVBVVSUXHUURVVSUURU
      VMVVQUWIVWPVIVCZYAXDXOUURUVMUVBVVSUWJUXHVWRWCUURVWAVVQUVNUGUURVUNVVQOPRVV
      QOPVWAVVQUURVUNRVVQOVVDXAUURUVMUVMVVQUWJUWJVWQYKUURVVQVWQXCYJXOXDUURUNVVQ
      SUIZVVRUVNSUIUURAUYIVWSAUUPUUQUUJZUYJABDFUVHHIJKLMYPVTUURUVNVVQUYMVWPUUKY
      QUULZYRUURUVNUVOUYAUYMUYCUURUVOUVGUYCUYHUUMZABCDEFGHIJKLMNYLUURUNUVGSUIZU
      VOUYASUIUURAUYEVXCVWTUYGABDFUVFHIJKLMYPVTUURUVOUVGUYCUYHUUNYQYRZUURUVNUVO
      UVGUYMUYCUYHYSYTYNUURUYBUVOUGPZUHQZUVKUVGSUURVXFUVRUVKOPZRUVKOPUVKUURUVMU
      VJOPZUHQVXFVXGUURVXHVXEUHUURUVMUVIUVCUWJVVNUXJWCWDUURUVMUVJUWJUURUVJUURUV
      IUVCUYKUXIWEVCZWFWGUURUVRRUVKOUXSXAUURUVKUURUVKUURUVJVXIXBVCXCXDUURVXFUVG
      SUIUXTUYBSUIUYBUYASUIVVPUURUYBUVNUYAUYLUYMVXBVXAVXDYRUURUYBUVOUVGUYLUYCUY
      HYSYTYNUUO $.

    $( The alternating series test.  If ` G ( k ) ` is a decreasing sequence
       that converges to ` 0 ` , then ` sum_ k e. Z ( -u 1 ^ k ) x. G ( k ) `
       is a convergent series.  (Note that the first term is positive if ` M `
       is even, and negative if ` M ` is odd.  If the parity of your series
       does not match up with this, you will need to post-compose the series
       with multiplication by ` -u 1 ` using ~ isermulc2 .)  (Contributed by
       Mario Carneiro, 7-Apr-2015.)  (Proof shortened by AV, 9-Jul-2022.) $)
    iseralt $p |- ( ph -> seq M ( + , F ) e. dom ~~> ) $=
      ( caddc wcel cfv cr cmin co c1 c2 vx vj vn cseq cvv seqex a1i cv cabs clt
      wbr cuz wral wrex crp cc0 cli climrel brrelex1i syl eqidd ffvelrnda recnd
      wa clim0c mpbid wi cz simpr eleqtrdi eluzelz uzid 3syl wceq 2fveq3 breq1d
      peano2uz cle cdiv cmul ad2antll zcnd eleq2s ad2antrl subcld 2cnd wne 2ne0
      divcan2d oveq2d pncan3d eqtr2d adantr fveq2d fvoveq1d cn0 simpll ad2antlr
      rspcv simpl zsubcld 2rp eluzle subge0d mpbird divge0d elnn0z sylanbrc w3a
      zred iseraltlem3 simpld syl3anc eqbrtrd 2div2e1 oveq2i cc divsubdird df-2
      peano2cn ax-1cn pnpcan2d eqtrid oveq1d eqtr3d eqtr3id subcl sub32d 3eqtrd
      sylancl eqtrd npcan cn uznn0sub nn0p1nn wf ffvelrn syl2an adantlr eqeltrd
      nnrpd rphalfcld rpgt0d elnnz simprd wo zeo mpjaodan peano2uzs iseraltlem1
      nnm1nn0 sylan2 absidd breqtrrd cneg cexp neg1rr adantl reexpclzd remulcld
      neg1ne0 serfre uztrn2 resubcld abscld rpre lelttr mpand anassrs ralrimdva
      jctild syld reximdva ralimdva mpd caurcvg2 ) AUAUBUCMCEUDZEUEFGUVQUENAMCE
      UFUGAUCUHZDOZUIOZUAUHZUJUKZUCUBUHZULOZUMZUBFUNZUAUOUMZUVRUVQOZPNZUWHUWCUV
      QOZQRZUIOZUWAUJUKZVDZUCUWDUMZUBFUNZUAUOUMADUPUQUKZUWGKAUAUVSUBUCDEUEFGHAU
      WQDUENKDUPUQURUSUTAUVRFNZVDZUVSVAUWSUVSAFPUVRDIVBVCVEVFAUWFUWPUAUOAUWAUON
      ZVDZUWEUWOUBFUXAUWCFNZVDZUWEUWCSMRZDOZUIOZUWAUJUKZUWOUXCUWCUWDNZUXDUWDNUW
      EUXGVGUXCUWCEULOZNUWCVHNZUXHUXCUWCFUXIUXAUXBVIGVJEUWCVKZUWCVLVMUWCUWCVQUW
      BUXGUCUXDUWDUVRUXDVNUVTUXFUWAUJUVRUXDUIDVOVPWSVMUXCUXGUWNUCUWDUXAUXBUVRUW
      DNZUXGUWNVGUXAUXBUXLVDZVDZUXGUWMUWIUXNUWLUXFVRUKZUXGUWMAUXMUXOUWTAUXMVDZU
      WLUXEUXFVRUXPUVRUWCQRZTVSRZVHNZUWLUXEVRUKUXQSMRZTVSRZVHNZUXPUXSVDZUWLUWCT
      UXRVTRZMRZUVQOZUWJQRUIOZUXEVRUYCUWHUYFUWJUIQUYCUVRUYEUVQUXPUVRUYEVNUXSUXP
      UYEUWCUXQMRUVRUXPUYDUXQUWCMUXPUXQTUXPUVRUWCUXPUVRUXLUVRVHNAUXBUWCUVRVKWAZ
      WBZUXPUWCUXBUXJAUXLUXJUWCUXIFUXKGWCWDZWBZWEZUXPWFZTUPWGUXPWHUGZWIWJUXPUWC
      UVRUYKUYIWKWLWMWNWOUYCAUXBUXRWPNZUYGUXEVRUKZAUXMUXSWQUXMUXBAUXSUXBUXLWTZW
      RUYCUXSUPUXRVRUKZUYOUXPUXSVIUXPUYRUXSUXPUXQTUXPUXQUXPUVRUWCUYHUYJXAZXJTUO
      NUXPXBUGUXPUPUXQVRUKUWCUVRVRUKZUXLUYTAUXBUWCUVRXCWAUXPUVRUWCUXPUVRUYHXJUX
      PUWCUYJXJXDXEXFWMUXRXGXHAUXBUYOXIUYPUYESMRUVQOUWJQRUIOUXEVRUKABCDUXREUWCF
      GHIJKLXKXLXMXNUXPUYBVDZUWLUWCTUYASQRZVTRZMRZSMRZUVQOZUWJQRUIOZUXEVRVUAUWH
      VUFUWJUIQVUAUVRVUEUVQUXPUVRVUEVNUYBUXPVUEUVRSQRZSMRZUVRUXPVUDVUHSMUXPVUDU
      WCVUHUWCQRZMRVUHUXPVUCVUJUWCMUXPVUCTUXQSQRZTVSRZVTRVUKVUJUXPVUBVULTVTUXPV
      UBUYATTVSRZQRZVULVUMSUYAQXOXPUXPUXTTQRZTVSRVUNVULUXPUXTTTUXPUXQXQNZUXTXQN
      UYLUXQXTUTUYMUYMUYNXRUXPVUOVUKTVSUXPVUOUXTSSMRZQRVUKTVUQUXTQXSXPUXPUXQSSU
      YLSXQNZUXPYAUGZVUSYBYCYDYEYFWJUXPVUKTUXPVUPVURVUKXQNUYLYAUXQSYGYJUYMUYNWI
      UXPUVRUWCSUYIUYKVUSYHYIWJUXPUWCVUHUYKUXPUVRXQNZVURVUHXQNUYIYAUVRSYGYJWKYK
      YDUXPVUTVURVUIUVRVNUYIYAUVRSYLYJWLWMWNWOVUAAUXBVUBWPNZVUGUXEVRUKZAUXMUYBW
      QUXMUXBAUYBUYQWRVUAUYAYMNZVVAVUAUYBUPUYAUJUKZVVCUXPUYBVIUXPVVDUYBUXPUYAUX
      PUXTUXPUXTUXPUXQWPNZUXTYMNUXLVVEAUXBUWCUVRYNWAUXQYOUTUUAUUBUUCWMUYAUUDXHU
      YAUUKUTAUXBVVAXIVUDUVQOUWJQRUIOUXEVRUKVVBABCDVUBEUWCFGHIJKLXKUUEXMXNUXPUX
      QVHNUXSUYBUUFUYSUXQUUGUTUUHUXPUXEAFPDYPUXDFNZUXEPNUXMIUXBVVFUXLEUWCFGUUIW
      MZFPUXDDYQYRZUXMAVVFUPUXEVRUKVVGABDEUXDFGHIJKUUJUULUUMZUUNYSUXNUWLPNZUXFP
      NZUWAPNZUXOUXGVDUWMVGAUXMVVJUWTUXPUWKUXPUWKUXPUWHUWJAFPUVQYPZUWRUWIUXMABC
      EFGHABUHZFNZVDZVVNCOSUUOZVVNUUPRZVVNDOZVTRPLVVPVVRVVSVVPVVQVVNVVQPNVVPUUQ
      UGVVQUPWGVVPUVAUGVVOVVNVHNZAVVTVVNUXIFEVVNVKGWCUURUUSAFPVVNDIVBUUTYTUVBZE
      UVRUWCFGUVCZFPUVRUVQYQZYRAVVMUXBUWJPNUXMVWAUYQFPUWCUVQYQYRUVDVCUVEYSAUXMV
      VKUWTUXPUXFUXEPVVIVVHYTYSUWTVVLAUXMUWAUVFWRUWLUXFUWAUVGXMUVHUXAVVMUWRUWIU
      XMAVVMUWTVWAWMVWBVWCYRUVKUVIUVJUVLUVMUVNUVOUVP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Finite and infinite sums
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c sum_ $. $( Summation sign. $)

  $( Extend class notation to include finite and infinite summations.  (An
     underscore was added to the ASCII token in order to facilitate set.mm text
     searches, since "sum" is a commonly used word in comments.) $)
  csu $a class sum_ k e. A B $.

  $( Indicate that "k" is not bound in "A" in the definition of csu. $)
  $( $j free_var_in 'csu' with 'A' 'k'; $)

  ${
    $d k f m n x $.  $d A f m n x $.  $d B f m n x $.
    $( Define the sum of a series with an index set of integers ` A ` .  The
       variable ` k ` is normally a free variable in ` B ` , i.e., ` B ` can be
       thought of as ` B ( k ) ` .  This definition is the result of a
       collection of discussions over the most general definition for a sum
       that does not need the index set to have a specified ordering.  This
       definition is in two parts, one for finite sums and one for subsets of
       the upper integers.  When summing over a subset of the upper integers,
       we extend the index set to the upper integers by adding zero outside the
       domain, and then sum the set in order, setting the result to the limit
       of the partial sums, if it exists.  This means that conditionally
       convergent sums can be evaluated meaningfully.  For finite sums, we are
       explicitly order-independent, by picking any bijection to a 1-based
       finite sequence and summing in the induced order.  These two methods of
       summation produce the same result on their common region of definition
       (i.e., finite sets of integers) by ~ summo .  Examples:
       ` sum_ k e. { 1 , 2 , 4 } k ` means ` 1 + 2 + 4 = 7 ` , and
       ` sum_ k e. NN ( 1 / ( 2 ^ k ) ) = 1 ` means 1/2 + 1/4 + 1/8 + ... = 1
       ( ~ geoihalfsum ).  (Contributed by NM, 11-Dec-2005.)  (Revised by Mario
       Carneiro, 13-Jun-2019.) $)
    df-sum $a |- sum_ k e. A B = ( iota x ( E. m e. ZZ ( A C_ ( ZZ>= ` m ) /\
     seq m ( + , ( n e. ZZ |-> if ( n e. A , [_ n / k ]_ B , 0 ) ) ) ~~> x ) \/
     E. m e. NN E. f ( f : ( 1 ... m ) -1-1-onto-> A /\
       x = ( seq 1 ( + , ( n e. NN |-> [_ ( f ` n ) / k ]_ B ) ) ` m ) ) ) ) $.

    $( A sum is a set.  (Contributed by NM, 11-Dec-2005.)  (Revised by Mario
       Carneiro, 13-Jun-2019.) $)
    sumex $p |- sum_ k e. A B e. _V $=
      ( vm vn vx vf csu cv cuz cfv caddc cz csb cmpt cseq wa wrex c1 cn wss cc0
      wcel cif cli wbr cfz co wf1o wceq wex wo cio cvv df-sum iotaex eqeltri )
      ABCHADIZJKUALEMEIZAUCCUSBNUBUDOURPFIZUEUFQDMRSURUGUHAGIZUIUTURLETCUSVAKBN
      OSPKUJQGUKDTRULZFUMUNFABGCDEUOVBFUPUQ $.

    $d C f m n x $.
    $( Equality theorem for a sum.  (Contributed by NM, 11-Dec-2005.)  (Revised
       by Mario Carneiro, 13-Jun-2019.) $)
    sumeq1 $p |- ( A = B -> sum_ k e. A C = sum_ k e. B C ) $=
      ( vm vn vx vf cv cfv caddc cz wcel cc0 cmpt cseq cli wa wrex cn cuz c1 co
      wceq wss csb cif wbr cfz wf1o wex wo cio csu sseq1 simpl eleq2d mpteq2dva
      ifbid seqeq3d breq1d anbi12d rexbidv f1oeq3 anbi1d exbidv iotabidv df-sum
      orbi12d 3eqtr4g ) ABUDZAEIZUAJZUEZKFLFIZAMZDVOCUFZNUGZOZVLPZGIZQUHZRZELSZ
      UBVLUIUCZAHIZUJZWAVLKFTDVOWFJCUFOUBPJUDZRZHUKZETSZULZGUMBVMUEZKFLVOBMZVQN
      UGZOZVLPZWAQUHZRZELSZWEBWFUJZWHRZHUKZETSZULZGUMACDUNBCDUNVKWLXEGVKWDWTWKX
      DVKWCWSELVKVNWMWBWRABVMUOVKVTWQWAQVKVSWPKVLVKFLVRWOVKVOLMZRZVPWNVQNXGABVO
      VKXFUPUQUSURUTVAVBVCVKWJXCETVKWIXBHVKWGXAWHABWEWFVDVEVFVCVIVGGACHDEFVHGBC
      HDEFVHVJ $.
  $}

  ${
    $d f m n x k $.  $d f m n x A $.  $d f m n x B $.
    nfsum1.1 $e |- F/_ k A $.
    $( Bound-variable hypothesis builder for sum.  (Contributed by NM,
       11-Dec-2005.)  (Revised by Mario Carneiro, 13-Jun-2019.) $)
    nfsum1 $p |- F/_ k sum_ k e. A B $=
      ( vm vn vx vf cv cfv caddc cz csb cc0 cmpt cseq cli c1 cn nfcv csu cuz wa
      wss wcel cif wbr wrex cfz co wf1o wceq wex wo cio nfss nfcri nfcsb1v nfif
      df-sum nfmpt nfseq nfbr nfan nfrex nff1o nffv nfeq2 nfex nfiotaw nfcxfr
      nfor ) CABCUAAEIZUBJZUDZKFLFIZAUEZCVPBMZNUFZOZVMPZGIZQUGZUCZELUHZRVMUIUJZ
      AHIZUKZWBVMKFSCVPWGJZBMZOZRPZJZULZUCZHUMZESUHZUNZGUOGABHCEFUTWRCGWEWQCWDC
      ELCLTZVOWCCCAVNDCVNTUPCWAWBQCKVTVMCVMTZCKTZCFLVSWSVQCVRNCFADUQCVPBURCNTUS
      VAVBCQTCWBTVCVDVEWPCESCSTZWOCHWHWNCCWFAWGCWGTCWFTDVFCWBWMCVMWLCKWKRCRTXAC
      FSWJXBCWIBURVAVBWTVGVHVDVIVEVLVJVK $.
  $}

  ${
    $d f m n z k x $.  $d f m n z A $.  $d f m n z B $.
    nfsum.1 $e |- F/_ x A $.
    nfsum.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for sum: if ` x ` is (effectively) not
       free in ` A ` and ` B ` , it is not free in ` sum_ k e. A B ` .  Version
       of ~ nfsum with a disjoint variable condition, which does not require
       ~ ax-13 .  (Contributed by NM, 11-Dec-2005.)  (Revised by Gino Giotto,
       24-Feb-2024.) $)
    nfsum $p |- F/_ x sum_ k e. A B $=
      ( vm vn vz vf cv cfv caddc cz csb cc0 cli c1 cn nfcv csu cuz wss wcel cif
      cmpt cseq wbr wa wrex cfz co wf1o wceq wex wo cio df-sum nfss nfcsbw nfif
      nfcri nfmpt nfseq nfbr nfan nfrex nff1o nffv nfeq2 nfex nfiotaw nfcxfr
      nfor ) ABCDUABGKZUBLZUCZMHNHKZBUDZDVRCOZPUEZUFZVOUGZIKZQUHZUIZGNUJZRVOUKU
      LZBJKZUMZWDVOMHSDVRWILZCOZUFZRUGZLZUNZUIZJUOZGSUJZUPZIUQIBCJDGHURWTAIWGWS
      AWFAGNANTZVQWEAABVPEAVPTUSAWCWDQAMWBVOAVOTZAMTZAHNWAXAVSAVTPAHBEVBADVRCAV
      RTFUTAPTVAVCVDAQTAWDTVEVFVGWRAGSASTZWQAJWJWPAAWHBWIAWITAWHTEVHAWDWOAVOWNA
      MWMRARTXCAHSWLXDADWKCAWKTFUTVCVDXBVIVJVFVKVGVNVLVM $.
    $( $j usage 'nfsum' avoids 'ax-13'; $)
  $}

  ${
    $d f m n z k $.  $d f m n z x $.  $d f m n z A $.  $d f m n z B $.
    nfsumOLD.1 $e |- F/_ x A $.
    nfsumOLD.2 $e |- F/_ x B $.
    $( Obsolete version of ~ nfsum as of 24-Feb-2024.  Bound-variable
       hypothesis builder for sum: if ` x ` is (effectively) not free in ` A `
       and ` B ` , it is not free in ` sum_ k e. A B ` .  (Contributed by NM,
       11-Dec-2005.)  (Revised by Mario Carneiro, 13-Jun-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    nfsumOLD $p |- F/_ x sum_ k e. A B $=
      ( vm vn vz vf cv cfv caddc cz csb cc0 cli c1 cn nfcv csu cuz wss wcel cif
      cmpt cseq wbr wa wrex cfz co wf1o wceq wex wo cio df-sum nfss nfcri nfcsb
      nfif nfmpt nfseq nfbr nfan nfrex nff1o nffv nfeq2 nfex nfor nfiota nfcxfr
      ) ABCDUABGKZUBLZUCZMHNHKZBUDZDVRCOZPUEZUFZVOUGZIKZQUHZUIZGNUJZRVOUKULZBJK
      ZUMZWDVOMHSDVRWILZCOZUFZRUGZLZUNZUIZJUOZGSUJZUPZIUQIBCJDGHURWTAIWGWSAWFAG
      NANTZVQWEAABVPEAVPTUSAWCWDQAMWBVOAVOTZAMTZAHNWAXAVSAVTPAHBEUTADVRCAVRTFVA
      APTVBVCVDAQTAWDTVEVFVGWRAGSASTZWQAJWJWPAAWHBWIAWITAWHTEVHAWDWOAVOWNAMWMRA
      RTXCAHSWLXDADWKCAWKTFVAVCVDXBVIVJVFVKVGVLVMVN $.
  $}

  ${
    $d f k m n x $.  $d f m n x A $.  $d f m n x B $.  $d f m n x C $.
    $( Equality theorem for sum, when the class expressions ` B ` and ` C ` are
       equal everywhere.  Proved using only Extensionality.  (Contributed by
       Mario Carneiro, 24-Jun-2014.)  (Revised by Mario Carneiro,
       13-Jun-2019.) $)
    sumeq2w $p |- ( A. k B = C -> sum_ k e. A B = sum_ k e. A C ) $=
      ( vm vn vx vf wceq cv cfv caddc cz csb cmpt cseq wa wrex c1 cn wal cuz co
      wss wcel cc0 cif cli wbr cfz wex wo cio csu csbeq2 ifeq1d mpteq2dv breq1d
      wf1o seqeq3d anbi2d rexbidv fveq1d eqeq2d exbidv orbi12d iotabidv 3eqtr4g
      df-sum ) BCIDUAZAEJZUBKUDZLFMFJZAUEZDVMBNZUFUGZOZVKPZGJZUHUIZQZEMRZSVKUJU
      CAHJZUSZVSVKLFTDVMWCKZBNZOZSPZKZIZQZHUKZETRZULZGUMVLLFMVNDVMCNZUFUGZOZVKP
      ZVSUHUIZQZEMRZWDVSVKLFTDWECNZOZSPZKZIZQZHUKZETRZULZGUMABDUNACDUNVJWNXJGVJ
      WBXAWMXIVJWAWTEMVJVTWSVLVJVRWRVSUHVJVQWQLVKVJFMVPWPVJVNVOWOUFDVMBCUOUPUQU
      TURVAVBVJWLXHETVJWKXGHVJWJXFWDVJWIXEVSVJVKWHXDVJWGXCLSVJFTWFXBDWEBCUOUQUT
      VCVDVAVEVBVFVGGABHDEFVIGACHDEFVIVH $.
  $}

  ${
    $d f k m n x A $.  $d f m n x B $.  $d f m n x C $.
    $( Equality theorem for sum, with the class expressions ` B ` and ` C `
       guarded by ` _I ` to be always sets.  (Contributed by Mario Carneiro,
       13-Jun-2019.) $)
    sumeq2ii $p |- ( A. k e. A ( _I ` B ) = ( _I ` C ) ->
                   sum_ k e. A B = sum_ k e. A C ) $=
      ( vm vn vx vf cid cfv wceq cv caddc cz wcel csb cmpt wa cn eqid wral cseq
      cuz wss cc0 cif cli wbr wrex c1 cfz co wf1o wex wo cio simpr simplll nfcv
      nfcsb1v nffv nfeq csbeq1a eqeq12d rspc sylc ifeq1da fvif 3eqtr4g mpteq2dv
      csu fveq2d fveq1d seqfeq breq1d anbi2d rexbidva simplr nnuz eleqtrdi f1of
      fvmptex wf ad2antlr ffvelrn sylancom cvv fvex csbfv2g ax-mp elfznn adantl
      3eqtr3g csbeq1d fvmpti syl 3eqtr4d seqfveq eqeq2d pm5.32da exbidv orbi12d
      fveq2 iotabidv df-sum ) BIJZCIJZKZDAUAZAELZUCJZUDZMFNFLZAOZDXMBPZUEUFZQZX
      JUBZGLZUGUHZRZENUIZUJXJUKULZAHLZUMZXSXJMFSDXMYDJZBPZQZUJUBJZKZRZHUNZESUIZ
      UOZGUPXLMFNXNDXMCPZUEUFZQZXJUBZXSUGUHZRZENUIZYEXSXJMFSDYFCPZQZUJUBJZKZRZH
      UNZESUIZUOZGUPABDVKACDVKXIYNUUIGXIYBUUAYMUUHXIYAYTENXIXJNOZRZXTYSXLUUKXRY
      RXSUGUUKMGXQYQXJXIUUJUQUUKXSXKOZRZXSFNXPIJZQZJXSFNYPIJZQZJXSXQJXSYQJUUMXS
      UUOUUQUUMFNUUNUUPUUMXNXOIJZUEIJZUFXNYOIJZUUSUFUUNUUPUUMXNUURUUTUUSUUMXNRX
      NXIUURUUTKZUUMXNUQXIUUJUULXNURXHUVADXMADUURUUTDXOIDIUSZDXMBUTVADYOIUVBDXM
      CUTVAVBDLZXMKZXFUURXGUUTUVDBXOIDXMBVCVLUVDCYOIDXMCVCVLVDVEVFVGXNXOUEIVHXN
      YOUEIVHVIVJVMFNXPXSXQUUOXQTUUOTWBFNYPXSYQUUQYQTUUQTWBVIVNVOVPVQXIYLUUGESX
      IXJSOZRZYKUUFHUVFYEYJUUEUVFYERZYIUUDXSUVGMGYHUUCUJXJUVGXJSUJUCJXIUVEYEVRV
      SVTUVGXSYCOZRZDXSYDJZBPZIJZDUVJCPZIJZXSYHJZXSUUCJZUVIDUVJXFPZDUVJXGPZUVLU
      VNUVIUVJAOZXIUVQUVRKZUVGUVHYCAYDWCZUVSYEUWAUVFUVHYCAYDWAWDYCAXSYDWEWFXIUV
      EYEUVHURXHUVTDUVJADUVQUVRDUVJXFUTDUVJXGUTVBUVCUVJKXFUVQXGUVRDUVJXFVCDUVJX
      GVCVDVEVFUVJWGOZUVQUVLKXSYDWHZDUVJBWGIWIWJUWBUVRUVNKUWCDUVJCWGIWIWJWMUVIX
      SSOZUVOUVLKUVHUWDUVGXSXJWKWLZFXSYGUVKSYHXMXSKZDYFUVJBXMXSYDXCZWNYHTWOWPUV
      IUWDUVPUVNKUWEFXSUUBUVMSUUCUWFDYFUVJCUWGWNUUCTWOWPWQWRWSWTXAVQXBXDGABHDEF
      XEGACHDEFXEVI $.
  $}

  ${
    $d k A $.
    $( Equality theorem for sum.  (Contributed by NM, 11-Dec-2005.)  (Revised
       by Mario Carneiro, 13-Jul-2013.) $)
    sumeq2 $p |- ( A. k e. A B = C -> sum_ k e. A B = sum_ k e. A C ) $=
      ( wceq wral cid cfv csu fveq2 ralimi sumeq2ii syl ) BCEZDAFBGHCGHEZDAFABD
      IACDIENODABCGJKABCDLM $.
  $}

  ${
    $d f j k m n x $.  $d f m n x A $.  $d f m n x B $.  $d f m n x C $.
    cbvsum.1 $e |- ( j = k -> B = C ) $.
    ${
      cbvsum.2 $e |- F/_ k A $.
      cbvsum.3 $e |- F/_ j A $.
      cbvsum.4 $e |- F/_ k B $.
      cbvsum.5 $e |- F/_ j C $.
      $( Change bound variable in a sum.  (Contributed by NM, 11-Dec-2005.)
         (Revised by Mario Carneiro, 13-Jun-2019.) $)
      cbvsum $p |- sum_ j e. A B = sum_ k e. A C $=
        ( vm vn vx vf cv caddc cz cn wceq wtru cuz cfv wss wcel csb cc0 cif cli
        cmpt cseq wbr wa wrex c1 cfz co wf1o wex wo cio cbvcsbw ifeq1d mpteq2dv
        csu a1i seqeq3d mptru breq1i anbi2i rexbii fveq1i exbii orbi12i iotabii
        eqeq2i df-sum 3eqtr4i ) AKOZUAUBUCZPLQLOZAUDZDVTBUEZUFUGZUIZVRUJZMOZUHU
        KZULZKQUMZUNVRUOUPANOZUQZWFVRPLRDVTWJUBZBUEZUIZUNUJZUBZSZULZNURZKRUMZUS
        ZMUTVSPLQWAEVTCUEZUFUGZUIZVRUJZWFUHUKZULZKQUMZWKWFVRPLREWLCUEZUIZUNUJZU
        BZSZULZNURZKRUMZUSZMUTABDVDACEVDXAXQMWIXHWTXPWHXGKQWGXFVSWEXEWFUHWEXEST
        WDXDPVRTLQWCXCTWAWBXBUFWBXBSTDEVTBCIJFVAVEVBVCVFVGVHVIVJWSXOKRWRXNNWQXM
        WKWPXLWFVRWOXKWOXKSTWNXJPUNTLRWMXIWMXISTDEWLBCIJFVAVEVCVFVGVKVOVIVLVJVM
        VNMABNDKLVPMACNEKLVPVQ $.
    $}

    $d A j k $.  $d B k $.  $d C j $.
    $( Change bound variable in a sum.  (Contributed by NM, 11-Dec-2005.)
       (Revised by Mario Carneiro, 13-Jul-2013.) $)
    cbvsumv $p |- sum_ j e. A B = sum_ k e. A C $=
      ( nfcv cbvsum ) ABCDEFEAGDAGEBGDCGH $.
  $}

  ${
    $d j k A $.
    cbvsumi.1 $e |- F/_ k B $.
    cbvsumi.2 $e |- F/_ j C $.
    cbvsumi.3 $e |- ( j = k -> B = C ) $.
    $( Change bound variable in a sum.  (Contributed by NM, 11-Dec-2005.) $)
    cbvsumi $p |- sum_ j e. A B = sum_ k e. A C $=
      ( nfcv cbvsum ) ABCDEHEAIDAIFGJ $.
  $}

  ${
    $d k A $.  $d k B $.
    sumeq1i.1 $e |- A = B $.
    $( Equality inference for sum.  (Contributed by NM, 2-Jan-2006.) $)
    sumeq1i $p |- sum_ k e. A C = sum_ k e. B C $=
      ( wceq csu sumeq1 ax-mp ) ABFACDGBCDGFEABCDHI $.
  $}

  ${
    $d k A $.
    sumeq2i.1 $e |- ( k e. A -> B = C ) $.
    $( Equality inference for sum.  (Contributed by NM, 3-Dec-2005.) $)
    sumeq2i $p |- sum_ k e. A B = sum_ k e. A C $=
      ( wceq csu sumeq2 mprg ) BCFABDGACDGFDAABCDHEI $.
  $}

  ${
    $d k A $.  $d k B $.
    sumeq12i.1 $e |- A = B $.
    sumeq12i.2 $e |- ( k e. A -> C = D ) $.
    $( Equality inference for sum.  (Contributed by FL, 10-Dec-2006.) $)
    sumeq12i $p |- sum_ k e. A C = sum_ k e. B D $=
      ( csu sumeq2i sumeq1i eqtri ) ACEHADEHBDEHACDEGIABDEFJK $.
  $}

  ${
    $d k A $.  $d k B $.
    sumeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for sum.  (Contributed by NM, 1-Nov-2005.) $)
    sumeq1d $p |- ( ph -> sum_ k e. A C = sum_ k e. B C ) $=
      ( wceq csu sumeq1 syl ) ABCGBDEHCDEHGFBCDEIJ $.
  $}

  ${
    $d k A $.
    sumeq2d.1 $e |- ( ph -> A. k e. A B = C ) $.
    $( Equality deduction for sum.  Note that unlike ~ sumeq2dv , ` k ` may
       occur in ` ph ` .  (Contributed by NM, 1-Nov-2005.) $)
    sumeq2d $p |- ( ph -> sum_ k e. A B = sum_ k e. A C ) $=
      ( wceq wral csu sumeq2 syl ) ACDGEBHBCEIBDEIGFBCDEJK $.
  $}

  ${
    $d k A $.  $d k ph $.
    sumeq2dv.1 $e |- ( ( ph /\ k e. A ) -> B = C ) $.
    $( Equality deduction for sum.  (Contributed by NM, 3-Jan-2006.)  (Revised
       by Mario Carneiro, 31-Jan-2014.) $)
    sumeq2dv $p |- ( ph -> sum_ k e. A B = sum_ k e. A C ) $=
      ( wceq ralrimiva sumeq2d ) ABCDEACDGEBFHI $.
  $}

  ${
    $d k A $.  $d k ph $.
    sumeq2sdv.1 $e |- ( ph -> B = C ) $.
    $( Equality deduction for sum.  (Contributed by NM, 3-Jan-2006.)  (Proof
       shortened by Glauco Siliprandi, 5-Apr-2020.) $)
    sumeq2sdv $p |- ( ph -> sum_ k e. A B = sum_ k e. A C ) $=
      ( wceq ralrimivw sumeq2d ) ABCDEACDGEBFHI $.
  $}

  ${
    $d j k A $.  $d k B $.  $d j k ph $.
    2sumeq2dv.1 $e |- ( ( ph /\ j e. A /\ k e. B ) -> C = D ) $.
    $( Equality deduction for double sum.  (Contributed by NM, 3-Jan-2006.)
       (Revised by Mario Carneiro, 31-Jan-2014.) $)
    2sumeq2dv $p |- ( ph ->
           sum_ j e. A sum_ k e. B C = sum_ j e. A sum_ k e. B D ) $=
      ( csu cv wcel wa wceq 3expa sumeq2dv ) ABCDGICEGIFAFJBKZLCDEGAPGJCKDEMHNO
      O $.
  $}

  ${
    $d k A $.  $d k B $.  $d k ph $.
    sumeq12dv.1 $e |- ( ph -> A = B ) $.
    sumeq12dv.2 $e |- ( ( ph /\ k e. A ) -> C = D ) $.
    $( Equality deduction for sum.  (Contributed by NM, 1-Dec-2005.) $)
    sumeq12dv $p |- ( ph -> sum_ k e. A C = sum_ k e. B D ) $=
      ( csu sumeq2dv sumeq1d eqtrd ) ABDFIBEFICEFIABDEFHJABCEFGKL $.
  $}

  ${
    $d k A $.  $d k B $.  $d k ph $.
    sumeq12rdv.1 $e |- ( ph -> A = B ) $.
    sumeq12rdv.2 $e |- ( ( ph /\ k e. B ) -> C = D ) $.
    $( Equality deduction for sum.  (Contributed by NM, 1-Dec-2005.) $)
    sumeq12rdv $p |- ( ph -> sum_ k e. A C = sum_ k e. B D ) $=
      ( csu sumeq1d sumeq2dv eqtrd ) ABDFICDFICEFIABCDFGJACDEFHKL $.
  $}

  ${
    $d k A $.
    $( The second class argument to a sum can be chosen so that it is always a
       set.  (Contributed by NM, 11-Dec-2005.)  (Revised by Mario Carneiro,
       13-Jul-2013.) $)
    sum2id $p |- sum_ k e. A B = sum_ k e. A ( _I ` B ) $=
      ( cid cfv wceq csu sumeq2ii cv wcel cvv fvex fvi ax-mp eqcomi a1i mprg )
      BDEZRDEZFZABCGARCGFCAABRCHTCIAJSRRKJSRFBDLRKMNOPQ $.
  $}

  ${
    $d j k A $.  $d j B $.
    $( A lemma to facilitate conversions from the function form to the
       class-variable form of a sum.  (Contributed by Mario Carneiro,
       12-Aug-2013.)  (Revised by Mario Carneiro, 23-Apr-2014.) $)
    sumfc $p |- sum_ j e. A ( ( k e. A |-> B ) ` j ) = sum_ k e. A B $=
      ( cv cmpt cfv csu eqid fvmpt2i sumeq2i nffvmpt1 nfcv fveq2 cbvsumi sum2id
      cid 3eqtr4i ) ADEZDABFZGZDHABQGZDHACEZTGZCHABDHAUAUBDDABTTIJKAUDUACDDABUC
      LCUAMUCSTNOABDPR $.
  $}

  ${
    $d f A $.
    $( A lemma for working with finite sums.  (Contributed by Mario Carneiro,
       22-Apr-2014.) $)
    fz1f1o $p |- ( A e. Fin -> ( A = (/) \/ ( ( # ` A ) e. NN /\
                   E. f f : ( 1 ... ( # ` A ) ) -1-1-onto-> A ) ) ) $=
      ( cfn wcel chash cfv cc0 wceq cn wo c0 c1 cfz co cv wf1o wex cn0 hashcl
      wa elnn0 sylib orcomd hasheq0 cen wbr isfinite4 bren sylbb biantrud mpbid
      orbi12d ) ACDZAEFZGHZUNIDZJAKHZUPLUNMNZABOPBQZTZJUMUPUOUMUNRDUPUOJASUNUAU
      BUCUMUOUQUPUTACUDUMUSUPUMURAUEUFUSAUGURABUHUIUJULUK $.
  $}

  ${
    $d f g i j k m n x y A $.  $d f g j k m n x y F $.  $d g i j k m n x y G $.
    $d i x H $.  $d i j k m n x y K $.  $d k m n N $.  $d g i j k m n y ph $.
    $d f j m n x y B $.  $d i j k m n x y M $.
    summo.1 $e |- F = ( k e. ZZ |-> if ( k e. A , B , 0 ) ) $.
    summo.2 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    ${
      sumrb.3 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
      $( Lemma for ~ sumrb .  (Contributed by Mario Carneiro, 12-Aug-2013.) $)
      sumrblem $p |- ( ( ph /\ A C_ ( ZZ>= ` N ) ) ->
                     ( seq M ( + , F ) |` ( ZZ>= ` N ) ) = seq N ( + , F ) ) $=
        ( cuz cfv cc cc0 wcel co wceq adantl adantr cz vn wss caddc addid2 0cnd
        wa cv wf cif iftrue eqeltrd ex wn iffalse 0cn eqeltrdi pm2.61d1 eluzelz
        fmptd syl ffvelrnd c1 cmin cfz cdif elfzelz simplr zcnd ad2antrr ax-1cn
        npcan sylancl fveq2d sseqtrrd fznuz ssneldd eldifd eldifi eldifn fvmpt2
        fveqeq2 syl2anc eqtrd vtoclga seqid ) ABGKLZUBZUFZUAUCMEFGNUAUGZMONWIUC
        PWIQWHWIUDRWHUEAGFKLOZWGJSWHTMGEATMEUHWGADTDUGZBOZCNUIZMEAWMMOZWKTOZAWL
        WNAWLWNAWLUFWMCMWLWMCQAWLCNUJRIUKULWLUMZWMNMWLCNUNZUOUPUQSHUSSAGTOZWGAW
        JWRJFGURUTZSVAWHWIFGVBVCPZVDPOZUFZWITBVEZOWIELNQZXBWITBXAWITOWHWIFWTVFR
        XBBWTVBUCPZKLZWIXBBWFXFAWGXAVGXBXEGKXBGMOZVBMOXEGQAXGWGXAAGWSVHVIVJGVBV
        KVLVMVNXAWIXFOUMWHWIFWTVORVPVQWKELZNQXDDWIXCWKWINEWAWKXCOZXHWMNXIWOWNXH
        WMQWKTBVRXIWMNMXIWPWMNQWKTBVSWQUTZUOUPDTWMMEHVTWBXJWCWDUTWE $.

      fsumcvg.4 $e |- ( ph -> A C_ ( M ... N ) ) $.
      $( The sequence of partial sums of a finite sum converges to the whole
         sum.  (Contributed by Mario Carneiro, 20-Apr-2014.) $)
      fsumcvg $p |- ( ph -> seq M ( + , F ) ~~> ( seq M ( + , F ) ` N ) ) $=
        ( caddc cfv wcel cz syl cc wa cc0 wceq vn vm cseq cvv cuz eluzelz seqex
        eqid a1i eluzel2 cv cif iftrue adantl eqeltrd iffalse eqeltrdi pm2.61d1
        ex wn 0cn fvmpt2 syl2anr adantr serf ffvelrnd co addid1 simpr c1 elfzuz
        cfz cdif sseld fznuz syl6 con2d imp eldifd fveqeq2 eldifi syl2anc eqtrd
        eldifn vtoclga sylan2 adantlr seqid2 eqcomd climconst ) AGLEFUCZMZUAWKG
        UDGUEMZWMUHAGFUEMZNZGONJFGUFPWKUDNALEFUGUIAWNQGWKADEFWNWNUHAWOFONJFGUJP
        ADUKZWNNZRWPEMZWPBNZCSULZQWQWPONZWTQNZWRWTTZAFWPUFAWSXBAWSXBAWSRWTCQWSW
        TCTAWSCSUMUNIUOUSWSUTZWTSQWSCSUPZVAUQURZDOWTQEHVBZVCAXBWQXFVDUOVEJVFZAU
        AUKZWMNZRZWLXIWKMXKUBLQEGFXISUBUKZQNXLSLVGXLTXKXLVHUNAWOXJJVDAXJVIAWLQN
        XJXHVDAXLGVJLVGZXIVLVGNZXLEMSTZXJXNAXLXMUEMNZXOXLXMXIVKAXPRZXLOBVMZNXOX
        QXLOBXPXLONAXMXLUFUNAXPXLBNZUTAXSXPAXSXLFGVLVGZNXPUTABXTXLKVNXLFGVOVPVQ
        VRVSWRSTXODXLXRWPXLSEVTWPXRNZWRWTSYAXAXBXCWPOBWAYAWTSQYAXDWTSTWPOBWDXEP
        ZVAUQXGWBYBWCWEPWFWGWHWIWJ $.
    $}

    ${
      sumrb.4 $e |- ( ph -> M e. ZZ ) $.
      sumrb.5 $e |- ( ph -> N e. ZZ ) $.
      sumrb.6 $e |- ( ph -> A C_ ( ZZ>= ` M ) ) $.
      sumrb.7 $e |- ( ph -> A C_ ( ZZ>= ` N ) ) $.
      $( Rebase the starting point of a sum.  (Contributed by Mario Carneiro,
         14-Jul-2013.)  (Revised by Mario Carneiro, 9-Apr-2014.) $)
      sumrb $p |- ( ph ->
                    ( seq M ( + , F ) ~~> C <-> seq N ( + , F ) ~~> C ) ) $=
        ( wcel caddc cli wbr wb cvv cuz cfv cseq wa cres adantr climres sylancl
        cz seqex wss wceq cv adantlr simpr sumrblem mpidan breq1d bitr3d uztric
        cc wo syl2anc mpjaodan ) AHGUAUBZOZPFGUCZDQRZPFHUCZDQRZSGHUAUBZOZAVFUDZ
        VGVKUEZDQRZVHVJVMHUIOZVGTOVOVHSAVPVFLUFPFGUJDVGHTUGUHVMVNVIDQAVFBVKUKVN
        VIULNVMBCEFGHIAEUMBOZCVAOZVFJUNAVFUOUPUQURUSAVLUDZVIVEUEZDQRZVHVJVSVTVG
        DQAVLBVEUKVTVGULMVSBCEFHGIAVQVRVLJUNAVLUOUPUQURVSGUIOZVITOWAVJSAWBVLKUF
        PFHUJDVIGTUGUHUSAWBVPVFVLVBKLGHUTVCVD $.
    $}

    summo.3 $e |- G = ( n e. NN |-> [_ ( f ` n ) / k ]_ B ) $.
    ${
      summolem3.4 $e |- H = ( n e. NN |-> [_ ( K ` n ) / k ]_ B ) $.
      summolem3.5 $e |- ( ph -> ( M e. NN /\ N e. NN ) ) $.
      summolem3.6 $e |- ( ph -> f : ( 1 ... M ) -1-1-onto-> A ) $.
      summolem3.7 $e |- ( ph -> K : ( 1 ... N ) -1-1-onto-> A ) $.
      $( Lemma for ~ summo .  (Contributed by Mario Carneiro, 29-Mar-2014.) $)
      summolem3 $p |- ( ph ->
                        ( seq 1 ( + , G ) ` M ) = ( seq 1 ( + , H ) ` N ) ) $=
        ( wcel vm vj vy vi caddc c1 cseq cfv cc cv ccnv ccom wa co addcl adantl
        wceq addcom w3a addass cn cuz simpld nnuz eleqtrdi ssidd cfz f1ocnv syl
        wf1o f1oco syl2anc chash cen wbr ovex f1oen wb fzfi hashen mp2an sylibr
        cfn cn0 simprd nnnn0 hashfz1 3syl 3eqtr3rd oveq2d f1oeq2d csb weq fveq2
        mpbird csbeq1d elfznn wral wf ffvelrnda ralrimiva nfcsb1v nfel1 csbeq1a
        f1of adantr eleq1d rspc sylc fvmptd3 eqeltrd cid fvco3 fveq2d f1ocnvfv2
        sylan eqtr2d fvmpti 3eqtr4d seqf1o eqtr3d ) AKUEIUFUGZUHKUEHUFUGUHLYBUH
        AUAUBUCUIUEUIUDDUJZUKZJULZHIUFKUAUJZUITZUBUJZUITZUMZYFYHUEUNZUITAYFYHUO
        UPYJYKYHYFUEUNUQAYFYHURUPYGYIUCUJZUITUSYKYLUEUNYFYHYLUEUNUEUNUQAYFYHYLU
        TUPAKVAUFVBUHAKVATZLVATZQVCZVDVEAUIVFAUFKVGUNZYPYEVJZUFLVGUNZYPYEVJZABY
        PYDVJZYRBJVJZYSAYPBYCVJZYTRYPBYCVHVISYRBYPYDJVKVLZAYPYRYPYEAKLUFVGAYRVM
        UHZYPVMUHZLKAYRYPVNVOZUUDUUEUQZAYSUUFUUCYRYPYEUFLVGVPVQVIYRWCTYPWCTUUGU
        UFVRUFLVSUFKVSYRYPVTWAWBAYNLWDTUUDLUQAYMYNQWELWFLWGWHAYMKWDTUUEKUQYOKWF
        KWGWHWIZWJZWKWOZAYFYPTZUMZYFHUHEYFYCUHZCWLZUIUULFYFEFUJZYCUHZCWLZUUNVAH
        UIOFUAWMEUUPUUMCUUOYFYCWNWPUUKYFVATAYFKWQUPUULUUMBTCUITZEBWRZUUNUITZAYP
        BYFYCAUUBYPBYCWSRYPBYCXEVIWTAUUSUUKAUUREBNXAXFUURUUTEUUMBEUUNUIEUUMCXBX
        CEUJUUMUQCUUNUIEUUMCXDXGXHXIZXJUVAXKAUDUJZYPTZUMZEUVBJUHZCWLZXLUHZEUVBY
        EUHZYCUHZCWLZXLUHZUVBIUHZUVHHUHZUVDUVFUVJXLUVDEUVEUVICUVDUVIUVEYDUHZYCU
        HZUVEUVDUVHUVNYCAYPBJWSZUVCUVHUVNUQAYPBJVJZUVPAUVQUUASAYPYRBJUUIWKWOYPB
        JXEVIZYPBUVBYDJXMXPXNUVDUUBUVEBTUVOUVEUQAUUBUVCRXFAYPBUVBJUVRWTYPBUVEYC
        XOVLXQWPXNUVDUVBVATZUVLUVGUQUVCUVSAUVBKWQUPFUVBEUUOJUHZCWLUVFVAIFUDWMEU
        VTUVECUUOUVBJWNWPPXRVIUVDUVHYPTUVHVATUVMUVKUQAYPYPUVBYEAYQYPYPYEWSUUJYP
        YPYEXEVIWTUVHKWQFUVHUUQUVJVAHUUOUVHUQEUUPUVICUUOUVHYCWNWPOXRWHXSXTAKLYB
        UUHXNYA $.
    $}

    $d x ph $.
    ${
      summolem2.4 $e |- H = ( n e. NN |-> [_ ( K ` n ) / k ]_ B ) $.
      summolem2.5 $e |- ( ph -> N e. NN ) $.
      summolem2.6 $e |- ( ph -> M e. ZZ ) $.
      summolem2.7 $e |- ( ph -> A C_ ( ZZ>= ` M ) ) $.
      summolem2.8 $e |- ( ph -> f : ( 1 ... N ) -1-1-onto-> A ) $.
      summolem2.9 $e |- ( ph -> K Isom < , < ( ( 1 ... ( # ` A ) ) , A ) ) $.
      $( Lemma for ~ summo .  (Contributed by Mario Carneiro, 3-Apr-2014.)
         (Revised by Mario Carneiro, 20-Apr-2014.) $)
      summolem2a $p |- ( ph -> seq M ( + , F ) ~~> ( seq 1 ( + , G ) ` N ) ) $=
        ( vm vx caddc cseq cfv c1 cli cuz cfz co wf1o wf clt wiso chash wceq wb
        cfn cv fzfid hasheqf1od cn wcel nnnn0 hashfz1 3syl eqtr3d oveq2d isoeq4
        cn0 syl isof1o f1of nnuz eleqtrdi eluzfz2 ffvelrnd sseldd wa sselda cle
        mpbid wbr ccnv f1ocnvfv2 f1ocnv ffvelrnda elfzle2 cxr wss adantr fzssuz
        sylan cr cz uzssz zssre sstri ressxr sstrdi leisorel syl122anc eqbrtrrd
        eluzelz eluz syl2anc mpbird elfzuzb sylanbrc ex ssrdv fsumcvg cc addid2
        a1i cc0 adantl addid1 addcl eleqtrrd cif iftrue eqeltrd wn 0cn eqeltrdi
        0cnd csb nfv nfcsb1v nfcv nfif eleq1 csbeq1a ifbieq1d cmpt weq fvmptg
        wi iffalse pm2.61d1 elfzelz ffvelrn syl2an cdif fveqeq2 eldifi elfzelzd
        fmptd eldifn fvmpt2 eqtrd vtoclga iftrued nfel1 nfim fvex eleq1d imbi2d
        vtoclf csbeq1 cbvmpt eqtri elfznn eqeltrrd csbeq1d syl2an2 3eqtr4rd jca
        fveq2 seqcoll summolem3 eqtr4d breqtrd ) AUDGKUEZLJUFZUVPUFZLUDHUGUEUFZ
        UHABCEGKUVQMNABKUIUFZUVQSAUGLUJUKZBLJAUWABJULZUWABJUMAUWABUNUNJUOZUWBAU
        GBUPUFZUJUKZBUNUNJUOZUWCUAAUWEUWAUQUWFUWCURAUWDLUGUJAUWAUPUFZUWDLAUWABU
        SDUTAUGLVATVBALVCVDZLVKVDUWGLUQQLVELVFVGVHVIZUWEBUWAUNUNJVJVLWCZUWABUNU
        NJVMVLZUWABJVNVLALUGUIUFZVDLUWAVDZALVCUWLQVOVPUGLVQVLZVRVSZAFBKUVQUJUKZ
        AFUTZBVDZUWQUWPVDZAUWRVTZUWQUVTVDZUVQUWQUIUFVDZUWSABUVTUWQSWAZUWTUXBUWQ
        UVQWBWDZUWTUWQJWEZUFZJUFZUWQUVQWBAUWBUWRUXGUWQUQUWKUWABUWQJWFWNUWTUXFLW
        BWDZUXGUVQWBWDZUWTUXFUWAVDZUXHABUWAUWQUXEAUWBBUWAUXEULBUWAUXEUMUWKUWABJ
        WGBUWAUXEVNVGWHZUXFUGLWIVLUWTUWCUWAWJWKZBWJWKUXJUWMUXHUXIURAUWCUWRUWJWL
        UXLUWTUWAWOWJUWAUWLWOUGLWMUWLWPWOUGWQWRWSWSWTWSXPUWTBWOWJUWTBUVTWOABUVT
        WKZUWRSWLUVTWPWOKWQWRWSXAWTXAUXKAUWMUWRUWNWLUWABUXFLJXBXCWCXDUWTUWQWPVD
        ZUVQWPVDZUXBUXDURUWTUXAUXNUXCKUWQXEVLAUXOUWRAUVQUVTVDUXOUWOKUVQXEVLWLUW
        QUVQXFXGXHUWQKUVQXIXJXKXLXMAUVRLUDIUGUEUFUVSABUDXNUBUCGJIKLXQUBUTZXNVDZ
        XQUXPUDUKUXPUQAUXPXOXRUXQUXPXQUDUKUXPUQAUXPXSXRUXQUCUTZXNVDVTUXPUXRUDUK
        XNVDAUXPUXRXTXRAYHUAALUWAUWEUWNUWIYASAWPXNGUMUXPWPVDUXPGUFZXNVDUXPKUWDJ
        UFZUJUKZVDAEWPEUTZBVDZCXQYBZXNGAUYDXNVDZUYBWPVDZAUYCUYEAUYCUYEAUYCVTUYD
        CXNUYCUYDCUQAUYCCXQYCXRNYDXKUYCYEZUYDXQXNUYCCXQUUAZYFYGUUBZWLMUUJUXPKUX
        TUUCWPXNUXPGUUDUUEUXPUYABUUFZVDUXSXQUQZAUYBGUFZXQUQUYKEUXPUYJUYBUXPXQGU
        UGUYBUYJVDZUYLUYDXQUYMUYFUYEUYLUYDUQUYMUYBKUXTUYBUYABUUHUUIUYMUYDXQXNUY
        MUYGUYDXQUQUYBUYABUUKUYHVLZYFYGEWPUYDXNGMUULXGUYNUUMUUNXRAUXRUWEVDZVTZU
        XRJUFZBVDZEUYQCYIZXQYBZUYSUYQGUFZUXRIUFZUYPUYRUYSXQAUWEBUXRJAUWFUWEBJUL
        UWEBJUMUAUWEBUNUNJVMUWEBJVNVGWHZUUOZUYPUYQWPVDZUYTXNVDZVUAUYTUQUYPUYQUV
        TVDVUEUYPBUVTUYQAUXMUYOSWLVUCVSKUYQXEVLAVUFUYOAUYEYTAVUFYTEUYQAVUFEAEYJ
        EUYTXNUYREUYSXQUYREYJEUYQCYKEXQYLZYMUUPUUQUXRJUURUYBUYQUQZUYEVUFAVUHUYD
        UYTXNVUHUYCUYRCUYSXQUYBUYQBYNEUYQCYOYPUUSUUTUYIUVAWLZFUYQUWREUWQCYIZXQY
        BZUYTWPXNGUWQUYQUQUWRUYRVUJUYSXQUWQUYQBYNEUWQUYQCUVBYPGEWPUYDYQFWPVUKYQ
        MEFWPUYDVUKFUYDYLUWREVUJXQUWREYJEUWQCYKVUGYMEFYRUYCUWRCVUJXQUYBUWQBYNEU
        WQCYOYPUVCUVDYSXGUYOUXRVCVDAUYSXNVDVUBUYSUQUXRUWDUVEUYPUYTUYSXNVUDVUIUV
        FFUXREUWQJUFZCYIUYSVCXNIFUCYREVULUYQCUWQUXRJUVKUVGPYSUVHUVIUVLABCDEFGHI
        JLLMNOPAUWHUWHQQUVJTUWKUVMUVNUVO $.
    $}

    $d f ph $.
    $( Lemma for ~ summo .  (Contributed by Mario Carneiro, 3-Apr-2014.) $)
    summolem2 $p |- ( ( ph /\
       E. m e. ZZ ( A C_ ( ZZ>= ` m ) /\ seq m ( + , F ) ~~> x ) ) ->
     ( E. m e. NN E. f ( f : ( 1 ... m ) -1-1-onto-> A /\
       y = ( seq 1 ( + , G ) ` m ) ) -> x = y ) ) $=
      ( cv cfv wa cz wcel clt vj vg cuz wss caddc cseq cli wbr wrex c1 cfz wf1o
      co wceq wex cn wi fveq2 sseq2d seqeq1 anbi12d cbvrexvw simplrr chash wiso
      breq1d wor cfn simplrl uzssz zssre sstri sstrdi ltso soss mpisyl cen fzfi
      ovex f1oen ad2antll ensymd enfii sylancr fz1iso syl2anc csb cmpt ad5ant15
      cr cc eqid simprll simpllr simprlr simprr summolem2a expr exlimdv climuni
      mpd anassrs eqeq2 syl5ibrcom expimpd rexlimdva r19.29an sylan2b ) DHOZUCP
      ZUDZUEJXIUFZBOZUGUHZQZHRUIADUAOZUCPZUDZUEJXPUFZXMUGUHZQZUARUIUJXIUKUMZDFO
      ZULZCOZXIUEKUJUFPZUNZQZFUOZHUPUIXMYEUNZUQZXOYAHUARXIXPUNZXKXRXNXTYLXJXQDX
      IXPUCURUSYLXLXSXMUGUEJXIXPUTVFVAVBAYAYKUARAXPRSZQZYAQZYIYJHUPYOXIUPSZQZYH
      YJFYQYDYGYJYQYDQYJYGXMYFUNZYOYPYDYRYOYPYDQZQZXTXSYFUGUHZYRYNXRXTYSVCYTUJD
      VDPUKUMDTTUBOZVEZUBUOZUUAYTDTVGZDVHSZUUDYTDWJUDWJTVGUUEYTDXQWJYNXRXTYSVIX
      QRWJXPVJVKVLVMVNDWJTVOVPYTYBVHSDYBVQUHUUFUJXIVRYTYBDYDYBDVQUHYOYPYBDYCUJX
      IUKVSVTWAWBDYBWCWDDTUBWEWFYTUUCUUAUBYOYSUUCUUAYOYSUUCQZQDEFGIJKIUPGIOUUBP
      EWGWHZUUBXPXILAGODSEWKSYMYAUUGMWINUUHWLYOYPYDUUCWMAYMYAUUGWNYNXRXTUUGVIYO
      YPYDUUCWOYOYSUUCWPWQWRWSXAXMYFXSWTWFXBYEYFXMXCXDXEWSXFXGXH $.

    $( A sum has at most one limit.  (Contributed by Mario Carneiro,
       3-Apr-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
    summo $p |- ( ph -> E* x
        ( E. m e. ZZ ( A C_ ( ZZ>= ` m ) /\ seq m ( + , F ) ~~> x ) \/
          E. m e. NN E. f ( f : ( 1 ... m ) -1-1-onto-> A /\
                            x = ( seq 1 ( + , G ) ` m ) ) ) ) $=
      ( vy cv cfv wa cz wrex cn vg vj cuz wss caddc cseq cli wbr c1 cfz co wf1o
      wceq wex wo weq wi wal fveq2 sseq2d seqeq1 breq1d anbi12d cbvrexvw reeanv
      wcel simprlr ad4ant14 simplrl simplrr simprll simprrl sumrb mpbid simprrr
      wmo climuni syl2anc exp31 rexlimdvv syl5bir expdimp syl5bi summolem2 jaod
      cc equcom syl6ib impancom cmpt oveq2 f1oeq2d eqeq2d exbidv f1oeq1 csbeq1d
      csb fveq1 mpteq2dv eqtrid seqeq3d fveq1d cbvexvw bitrdi an4 cbvmptv eqtri
      exdistrv simplr simprl simprr summolem3 eqeq12 syl5ibrcom exlimdvv jaodan
      expimpd rexlimdvva alrimivv breq2 anbi2d rexbidv eqeq1 orbi12d mo4 sylibr
      ) ACGOZUCPZUDZUEIYGUFZBOZUGUHZQZGRSZUIYGUJUKZCEOZULZYKYGUEJUIUFZPZUMZQZEU
      NZGTSZUOZYIYJNOZUGUHZQZGRSZYQUUEYSUMZQZEUNZGTSZUOZQBNUPZUQZNURBURUUDBVPAU
      UOBNAUUDUUMUUNAYNUUMUUNUQUUCAYNQZUUHUUNUULUUHCHOZUCPZUDZUEIUUQUFZUUEUGUHZ
      QZHRSZUUPUUNUUGUVBGHRGHUPZYIUUSUUFUVAUVDYHUURCYGUUQUCUSUTUVDYJUUTUUEUGUEI
      YGUUQVAVBVCVDAYNUVCUUNYNUVCQYMUVBQZHRSGRSAUUNYMUVBGHRRVEAUVEUUNGHRRAYGRVF
      ZUUQRVFZQZUVEUUNAUVHQZUVEQZUUTYKUGUHZUVAUUNUVJYLUVKUVIYIYLUVBVGUVJCDYKFIY
      GUUQKAFOCVFZDWFVFZUVHUVELVHAUVFUVGUVEVIAUVFUVGUVEVJUVIYIYLUVBVKUVIYMUUSUV
      AVLVMVNUVIYMUUSUVAVOYKUUEUUTVQVRVSVTWAWBWCABNCDEFGHIJKLMWDWEAUUCQZUUHUUNU
      ULAUUHUUCUUNAUUHQUUCNBUPUUNANBCDEFGHIJKLMWDNBWGWHWIUULUIUUQUJUKZCUAOZULZU
      UEUUQUEHTFUUQUVPPZDWQZWJZUIUFZPZUMZQZUAUNZHTSZUVNUUNUUKUWEGHTUVDUUKUVOCYP
      ULZUUEUUQYRPZUMZQZEUNUWEUVDUUJUWJEUVDYQUWGUUIUWIUVDYOUVOCYPYGUUQUIUJWKWLU
      VDYSUWHUUEYGUUQYRUSWMVCWNUWJUWDEUAEUAUPZUWGUVQUWIUWCUVOCYPUVPWOUWKUWHUWBU
      UEUWKUUQYRUWAUWKJUVTUEUIUWKJHTFUUQYPPZDWQZWJZUVTMUWKHTUWMUVSUWKFUWLUVRDUU
      QYPUVPWRWPWSWTXAXBWMVCXCXDVDAUUCUWFUUNUUCUWFQUUBUWEQZHTSGTSAUUNUUBUWEGHTT
      VEAUWOUUNGHTTUWOUUAUWDQZUAUNEUNAYGTVFUUQTVFQZQZUUNUUAUWDEUAXHUWRUWPUUNEUA
      UWPYQUVQQZYTUWCQZQUWRUUNYQYTUVQUWCXEUWRUWSUWTUUNUWRUWSQZUUNUWTYSUWBUMUXAC
      DEFUBIJUVTUVPYGUUQKAUVLUVMUWQUWSLVHJUWNUBTFUBOZYPPZDWQZWJMHUBTUWMUXDHUBUP
      ZFUWLUXCDUUQUXBYPUSWPXFXGHUBTUVSFUXBUVPPZDWQUXEFUVRUXFDUUQUXBUVPUSWPXFAUW
      QUWSXIUWRYQUVQXJUWRYQUVQXKXLYKYSUUEUWBXMXNXQWCXOWAXRWAWBWCWEXPXQXSUUDUUMB
      NUUNYNUUHUUCUULUUNYMUUGGRUUNYLUUFYIYKUUEYJUGXTYAYBUUNUUBUUKGTUUNUUAUUJEUU
      NYTUUIYQYKUUEYSYCYAWNYBYDYEYF $.
  $}

  ${
    $d f g i j k m n x A $.  $d j k n x F $.  $d f g i j k m x ph $.  $d k Z $.
    $d f g i j m n x B $.  $d f g i j k m x M $.
    zsum.1 $e |- Z = ( ZZ>= ` M ) $.
    zsum.2 $e |- ( ph -> M e. ZZ ) $.
    ${
      zsum.3 $e |- ( ph -> A C_ Z ) $.
      zsum.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = if ( k e. A , B , 0 ) ) $.
      zsum.5 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
      $( Series sum with index set a subset of the upper integers.
         (Contributed by Mario Carneiro, 13-Jun-2019.) $)
      zsum $p |- ( ph -> sum_ k e. A B = ( ~~> ` seq M ( + , F ) ) ) $=
        ( vn vi cv cfv cz wcel cli wa vm vx vf vg vj cuz wss caddc csb cc0 cmpt
        cif cseq wbr wrex c1 cfz co wf1o cn wceq wex wo cio csu eleq1w ifbieq1d
        weq csbeq1 cbvmptv cc simpll wral ralrimiva nfcsb1v csbeq1a eleq1d rspc
        nfel1 syl5 mpan9 simplr ad2antrr simpr sseqtrdi sumrb expimpd rexlimdva
        biimpd chash clt wiso wor cr uzssz eqsstri zssre sstri ltso soss mpisyl
        cfn mp2 cen fzfi f1oen adantl ensymd enfii sylancr fz1iso syl2anc fveq2
        ovex csbeq1d csbcow eqtr4di eqid simprl simprr summolem2a exlimdv breq2
        expr mpd syl5ibrcom adantr sseq2d seqeq1 breq1d anbi12d rspcev syl12anc
        jaod orcd ex impbid cvv sselid nfcv eleqtrrdi nfeq2 sylc fvex eqeltrrdi
        nfv nfif cbvmpt eqcomi fvmpts eqtr4d seqfeq bitrd iotabidv df-sum df-fv
        eqeq12d 3eqtr4g ) ABUAOZUFPZUGZUHMQMOZBRZDUVBCUIZUJULZUKZUUSUMZUBOZSUNZ
        TZUAQUOZUPUUSUQURZBUCOZUSZUVHUUSUHMUTDUVBUVMPZCUIZUKZUPUMPZVAZTZUCVBZUA
        UTUOZVCZUBVDUHEFUMZUVHSUNZUBVDBCDVEUWDSPAUWCUWEUBAUWCUHUVFFUMZUVHSUNZUW
        EAUWCUWGAUVKUWGUWBAUVJUWGUAQAUUSQRZTZUVAUVIUWGUWIUVATZUVIUWGUWJBDNOZCUI
        ZUVHNUVFUUSFMNQUVEUWKBRZUWLUJULMNVHUVCUWMUVDUWLUJMNBVFDUVBUWKCVIVGVJZUW
        JAUWMUWLVKRZAUWHUVAVLACVKRZDBVMUWMUWOAUWPDBLVNUWPUWODUWKBDUWLVKDUWKCVOV
        SDNVHCUWLVKDUWKCVPVQVRVTZWAAUWHUVAWBAFQRZUWHUVAIWCUWIUVAWDABFUFPZUGZUWH
        UVAABGUWSJHWEZWCWFWIWGWHAUWAUWGUAUTAUUSUTRZTZUVTUWGUCUXCUVNUVSUWGUXCUVN
        TZUWGUVSUWFUVRSUNZUXDUPBWJPUQURBWKWKUDOZWLZUDVBZUXEUXDBWKWMZBXBRZUXHUXD
        BGUGZGWKWMZUXIAUXKUXBUVNJWCGWNUGWNWKWMUXLGQWNGUWSQHFWOZWPWQWRWSGWNWKWTX
        CBGWKWTXAUXDUVLXBRBUVLXDUNUXJUPUUSXEUXDUVLBUVNUVLBXDUNUXCUVLBUVMUPUUSUQ
        XNXFXGXHBUVLXIXJBWKUDXKXLUXDUXGUXEUDUXCUVNUXGUXEUXCUVNUXGTZTZBUWLUCNUEU
        VFUVQUEUTNUEOZUXFPUWLUIUKZUXFFUUSUWNUXOAUWMUWOAUXBUXNVLUWQWAMUEUTUVPNUX
        PUVMPZUWLUIZMUEVHZUVPDUXRCUIUXSUXTDUVOUXRCUVBUXPUVMXMXODNUXRCXPXQVJUXQX
        RAUXBUXNWBAUWRUXBUXNIWCAUWTUXBUXNUXAWCUXCUVNUXGXSUXCUVNUXGXTYAYDYBYEUVH
        UVRUWFSYCYFWGYBWHYNAUWGUWCAUWGTZUVKUWBUYAUWRUWTUWGUVKAUWRUWGIYGAUWTUWGU
        XAYGAUWGWDUVJUWTUWGTUAFQUUSFVAZUVAUWTUVIUWGUYBUUTUWSBUUSFUFXMYHUYBUVGUW
        FUVHSUHUVFUUSFYIYJYKYLYMYOYPYQAUWFUWDUVHSAUHUEUVFEFIAUXPUWSRZTZUXPUVFPZ
        DUXPDOZBRZCUJULZUIZUXPEPZUYDUXPQRUYIYRRUYEUYIVAUYDUWSQUXPUXMAUYCWDZYSUY
        DUYIUYJYRUYDUXPGRUYFEPZUYHVAZDGVMZUYJUYIVAZUYDUXPUWSGUYKHUUAAUYNUYCAUYM
        DGKVNYGUYMUYODUXPGDUYJUYIDUXPUYHVOUUBDUEVHUYLUYJUYHUYIUYFUXPEXMDUXPUYHV
        PUUQVRUUCZUXPEUUDUUEDUXPUYHQUVFYRDQUYHUKUVFDMQUYHUVEMUYHYTUVCDUVDUJUVCD
        UUFDUVBCVODUJYTUUGDMVHUYGUVCCUVDUJDMBVFDUVBCVPVGUUHUUIUUJXLUYPUUKUULYJU
        UMUUNUBBCUCDUAMUUOUBUWDSUUPUUR $.
    $}

    isum.3 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = B ) $.
    isum.4 $e |- ( ( ph /\ k e. Z ) -> B e. CC ) $.
    $( Series sum with an upper integer index set (i.e. an infinite series).
       (Contributed by Mario Carneiro, 15-Jul-2013.)  (Revised by Mario
       Carneiro, 7-Apr-2014.) $)
    isum $p |- ( ph -> sum_ k e. Z B = ( ~~> ` seq M ( + , F ) ) ) $=
      ( ssidd cv wcel wa cfv cc0 cif wceq iftrue adantl eqtr4d zsum ) AFBCDEFGH
      AFKACLZFMZNUCDOBUDBPQZIUDUEBRAUDBPSTUAJUB $.
  $}

  ${
    $d f i j m n x B $.  $d f k m x C $.  $d f k n F $.  $d f i j k m n x ph $.
    $d f i j k m n x A $.  $d f k m n x G $.  $d f k m n x M $.
    fsum.1 $e |- ( k = ( F ` n ) -> B = C ) $.
    fsum.2 $e |- ( ph -> M e. NN ) $.
    fsum.3 $e |- ( ph -> F : ( 1 ... M ) -1-1-onto-> A ) $.
    fsum.4 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fsum.5 $e |- ( ( ph /\ n e. ( 1 ... M ) ) -> ( G ` n ) = C ) $.
    $( The value of a sum over a nonempty finite set.  (Contributed by Mario
       Carneiro, 20-Apr-2014.)  (Revised by Mario Carneiro, 13-Jun-2019.) $)
    fsum $p |- ( ph -> sum_ k e. A B = ( seq 1 ( + , G ) ` M ) ) $=
      ( vm cfv wcel c1 cn wceq vx vf vj vi csu cv cuz wss caddc cz csb cc0 cmpt
      cif cseq cli wbr wa wrex cfz co wf1o wex wo cio df-sum cvv fvex wb wmo wi
      eleq1w csbeq1 ifbieq1d cbvmptv wral ralrimiva nfcsb1v csbeq1a eleq1d rspc
      cc nfel1 mpan9 fveq2 csbeq1d csbcow eqtr4di summo wf f1of syl fex sylancl
      ovex nnuz eleqtrdi elfznn eqeltrrdi fvmpt2 syl2an2 nffvmpt1 nfeq2 eqeq12d
      eqid eqtr4d seqfveq jca f1oeq1 fveq1 csbie eqtrdi mpteq2dv seqeq3d fveq1d
      eqeq2d anbi12d spcedv oveq2 f1oeq2d exbidv rspcev olcd breq2 anbi2d eqeq1
      syl2anc rexbidv orbi12d moi2 mpanl1 ancom2s expr syl5ibrcom impbid adantr
      iota5 mpan2 eqtrid ) ABCEUEBOUFZUGPUHZUIFUJFUFZBQZEUUBCUKZULUNZUMZYTUOZUA
      UFZUPUQZURZOUJUSZRYTUTVAZBUBUFZVBZUUHYTUIFSEUUBUUMPZCUKZUMZRUOZPZTZURZUBV
      CZOSUSZVDZUAVEZIUIHRUOZPZUABCUBEOFVFAUVGVGQZUVEUVGTIUVFVHZAUVDUAUVGVGAUVD
      UUHUVGTZVIUVHAUVDUVJAUVDUAVJZUUAUUGUVGUPUQZURZOUJUSZUUNUVGUUSTZURZUBVCZOS
      USZVDZUVDUVJVKAUABEUCUFZCUKZUBUCOUDUUFUUQFUCUJUUEUVTBQZUWAULUNUUBUVTTUUCU
      WBUUDUWAULFUCBVLEUUBUVTCVMVNVOACWBQZEBVPUWBUWAWBQZAUWCEBMVQUWCUWDEUVTBEUW
      AWBEUVTCVRWCEUFZUVTTCUWAWBEUVTCVSVTWAWDFUDSUUPUCUDUFZUUMPZUWAUKZUUBUWFTZU
      UPEUWGCUKUWHUWIEUUOUWGCUUBUWFUUMWEWFEUCUWGCWGWHVOWIAUVRUVNAISQRIUTVAZBUUM
      VBZUVGIUURPZTZURZUBVCZUVRKAUWNUWJBGVBZUVGIUIFSDUMZRUOZPZTZURUBVGGAUWJBGWJ
      ZUWJVGQGVGQAUWPUXALUWJBGWKWLRIUTWOUWJBVGGWMWNAUWPUWTLAUIEHUWQRIAISRUGPKWP
      WQAUUBHPZUUBUWQPZTZFUWJVPUWEUWJQUWEHPZUWEUWQPZTZAUXDFUWJAUUBUWJQZURZUXBDU
      XCNUXHUUBSQADVGQUXCDTUUBIWRUXIDUXBVGNUUBHVHWSFSDVGUWQUWQXEWTXAXFVQUXDUXGF
      UWEUWJFUXEUXFFSDUWEXBXCUUBUWETUXBUXEUXCUXFUUBUWEHWEUUBUWEUWQWEXDWAWDXGXHU
      UMGTZUWKUWPUWMUWTUWJBUUMGXIUXJUWLUWSUVGUXJIUURUWRUXJUUQUWQUIRUXJFSUUPDUXJ
      UUPEUUBGPZCUKDUXJEUUOUXKCUUBUUMGXJWFEUXKCDUUBGVHJXKXLXMXNXOXPXQXRUVQUWOOI
      SYTITZUVPUWNUBUXLUUNUWKUVOUWMUXLUULUWJBUUMYTIRUTXSXTUXLUUSUWLUVGYTIUURWEX
      PXQYAYBYGYCZUVKUVSUVDUVJUVKUVDUVSUVJUVHUVKUVDUVSURUVJUVIUVDUVSUAUVGVGUVJU
      UKUVNUVCUVRUVJUUJUVMOUJUVJUUIUVLUUAUUHUVGUUGUPYDYEYHUVJUVBUVQOSUVJUVAUVPU
      BUVJUUTUVOUUNUUHUVGUUSYFYEYAYHYIZYJYKYLYMYGAUVDUVJUVSUXMUXNYNYOYPYQYRYS
      $.
  $}

  $( Any sum over the empty set is zero.  (Contributed by Mario Carneiro,
     12-Aug-2013.)  (Revised by Mario Carneiro, 20-Apr-2014.) $)
  sum0 $p |- sum_ k e. (/) A = 0 $=
    ( c0 csu caddc c1 cuz cfv cc0 csn cli wceq wtru cn nnuz wcel 1z a1i ax-mp
    cc cxp cseq cz wss 0ss cv wa cif simpr eleqtrdi c0ex fvconst2 noel iffalsei
    syl eqtr4di pm2.21i adantl zsum mptru wfun wbr cdm wf ffun serclim0 funbrfv
    fclim mp2 eqtri ) CABDZEFGHZIJUAZFUBZKHZIVKVOLMCABVMFNOFUCPZMQRCNUDMNUERMBU
    FZNPZUGZVQVMHZIVQCPZAIUHVSVQVLPVTILVSVQNVLMVRUIOUJVLIVQUKULUOWAAIVQUMZUNUPW
    AATPZMWAWCWBUQURUSUTKVAZVNIKVBZVOILKVCZTKVDWDVHWFTKVESVPWEQFVFSVNIKVGVIVJ
    $.

  ${
    $d f k n A $.  $d k M $.
    $( Any sum of zero over a summable set is zero.  (Contributed by Mario
       Carneiro, 12-Aug-2013.)  (Revised by Mario Carneiro, 20-Apr-2014.) $)
    sumz $p |- ( ( A C_ ( ZZ>= ` M ) \/ A e. Fin ) -> sum_ k e. A 0 = 0 ) $=
      ( vf vn cuz cfv wss cc0 csu wceq wcel cz wa cli cv adantl c0 cn c1 cfn cc
      caddc csn cxp cseq eqid simpr simpl cif c0ex fvconst2 ifid 0cnd zsum wfun
      eqtr4di wbr cdm wf fclim ffun ax-mp serclim0 funbrfv mpsyl eqtrd cpw fdmi
      wn uzf eleq2i ndmfv sylnbir sseq2d biimpac ss0 sumeq1 sum0 3syl pm2.61dan
      eqtrdi chash cfz co wf1o wex wo fz1f1o eqidd elfznn fsum nnuz ser0 adantr
      syl ex exlimdv imp jaoi ) ACFGZHZAIBJZIKZAUALZXBCMLZXDXBXFNZXCUCXAIUDZUEZ
      CUFZOGZIXGAIBXICXAXAUGXBXFUHXBXFUIBPZXALZXLXIGZXLALZIIUJZKXGXMXNIXPXAIXLU
      KULXOIUMUQQXGXONUNUOOUPZXGXJIOURZXKIKOUSZUBOUTXQVAXSUBOVBVCXFXRXBCVDQXJIO
      VEVFVGXBXFVJZNARHZARKZXDXTXBYAXTXARAXFCFUSZLXARKYCMCMMVHFVKVIVLCFVMVNVOVP
      AVQYBXCRIBJIARIBVRIBVSWBZVTWAXEYBAWCGZSLZTYEWDWEZADPZWFZDWGZNZWHXDADWIYBX
      DYKYDYFYJXDYFYIXDDYFYIXDYFYINZXCYEUCSXHUEZTUFGZIYLAIIBEYHYMYEXLEPZYHGKIWJ
      YFYIUIYFYIUHYLXONUNYOYGLZYOYMGIKZYLYPYOSLYQYOYEWKSIYOUKULWPQWLYFYNIKYITYE
      SWMWNWOVGWQWRWSWTWPWT $.
  $}

  ${
    $d f k m n A $.  $d f m n B $.  $d f m n C $.  $d f k m D $.  $d f m n F $.
    $d k G $.  $d f k m n ph $.
    fsumf1o.1 $e |- ( k = G -> B = D ) $.
    fsumf1o.2 $e |- ( ph -> C e. Fin ) $.
    fsumf1o.3 $e |- ( ph -> F : C -1-1-onto-> A ) $.
    fsumf1o.4 $e |- ( ( ph /\ n e. C ) -> ( F ` n ) = G ) $.
    fsumf1o.5 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    $( Re-index a finite sum using a bijection.  (Contributed by Mario
       Carneiro, 20-Apr-2014.) $)
    fsumf1o $p |- ( ph -> sum_ k e. A B = sum_ n e. C D ) $=
      ( vm c0 wceq csu cfv wcel vf chash cn c1 cfz co cv wf1o wex wa cc0 f1oeq2
      sum0 wfo syl5ibcom imp f1ofo fo00 simprbi sumeq1d simpr eqtrdi 3eqtr4a ex
      3syl cmpt caddc ccom cseq 2fveq3 simprl simprr cc wf syl ffvelrnda fmpttd
      f1of syldan adantlr f1oco syl2an2r fvco3 sylan ad2antll fveq2d eqtrd fsum
      wral cid eqeltrrd fvmpti fvmpt2i adantl 3eqtr4rd ralrimiva nffvmpt1 nfeq1
      eqid fveq2 eqeq12d rspc mpan9 sumeq2dv sumfc 3eqtr3g expr exlimdv expimpd
      adantr cfn wo fz1f1o mpjaod ) ADPQZBCFRZDEGRZQZDUBSZUCTZUDXSUEUFZDUAUGZUH
      ZUAUIZUJZAXOXRAXOUJZPCFRUKXPXQCFUMYFBPCFYFPBHUHZPBHUNZBPQZAXOYGADBHUHZXOY
      GLDPBHULUOUPPBHUQYHHPQYIBHURUSVEUTYFXQPEGRUKYFDPEGAXOVAUTEGUMVBVCVDAXTYDX
      RAXTUJYCXRUAAXTYCXRAXTYCUJZUJZBOUGZFBCVFZSZORZDYMGDEVFZSZORZXPXQYLDYMHSZY
      NSZORXSVGYNHYBVHZVHZUDVISYSYPYLDUUAGUGZYBSZHSZYNSZOGYBUUCXSYMUUEYNHVJAXTY
      CVKZAXTYCVLZAYMDTZUUAVMTZYKAUUJYTBTUUKADBYMHAYJDBHVNLDBHVRVOZVPABVMYTYNAF
      BCVMNVQZVPVSVTYLUUDYATZUJZUUDUUCSZUUDUUBSZYNSZUUGYLYABUUBVNZUUNUUPUURQYLY
      ABUUBUHZUUSAYJYKYCUUTLUUIYADBHYBWAWBZYABUUBVRVOYABUUDYNUUBWCWDZUUOUUQUUFY
      NYLYADYBVNZUUNUUQUUFQYCUVCAXTYADYBVRWEYADUUDHYBWCWDWFWGWHYLDYRUUAOAUUJYRU
      UAQZYKAUUDYQSZUUDHSZYNSZQZGDWIUUJUVDAUVHGDAUUDDTZUJZIYNSZEWJSZUVGUVEUVJIB
      TUVKUVLQUVJUVFIBMADBUUDHUULVPWKFICEBYNJYNWSWLVOUVJUVFIYNMWFUVIUVEUVLQAGDE
      YQYQWSWMWNWOWPUVHUVDGYMDGYRUUAGDEYMWQWRUUDYMQUVEYRUVGUUAUUDYMYQWTUUDYMYNH
      VJXAXBXCVTXDYLBYOUUROGUUBUUCXSYMUUQYNWTUUHUVAYLBVMYMYNABVMYNVNYKUUMXJVPUV
      BWHWOBCOFXEDEOGXEXFXGXHXIADXKTXOYEXLKDUAXMVOXN $.
  $}

  ${
    $d f k m n A $.  $d f k m n B $.  $d f m n C $.  $d f k m n ph $.
    $d k m M $.
    sumss.1 $e |- ( ph -> A C_ B ) $.
    sumss.2 $e |- ( ( ph /\ k e. A ) -> C e. CC ) $.
    sumss.3 $e |- ( ( ph /\ k e. ( B \ A ) ) -> C = 0 ) $.
    ${
      sumss.4 $e |- ( ph -> B C_ ( ZZ>= ` M ) ) $.
      $( Change the index set to a subset in an upper integer sum.
         (Contributed by Mario Carneiro, 21-Apr-2014.) $)
      sumss $p |- ( ph -> sum_ k e. A C = sum_ k e. B C ) $=
        ( vm cz wcel wceq wa cfv cc0 adantr cc c0 csu cv cmpt caddc cuz cif cli
        cseq eqid simpr wss sstrd nfcv nffvmpt1 nfif nfeq fveq2 eleq1w ifbieq1d
        nfv eqeq12d cid fvmpt2i iftrue fveq2d sylan9eq adantl eqtr4d wn iffalse
        eqtrd 0z fvi ax-mp eqtrdi pm2.61dan vtoclgaf fmpttd ffvelrnda zsum nfim
        wf wi imbi2d adantll sselda syl ad2antrl cdif 0cn sylan2br expr a1d imp
        eldif expcom impcom adantlr eqeltrdi pm2.61d sumfc 3eqtr3g cdm cpw fdmi
        ex uzf eleq2i ndmfv sylnbir sseq2d syl5ib ss0 sumeq1d ) AFLMZBDEUAZCDEU
        AZNAXOOZBKUBZEBDUCZPZKUAZCXSECDUCZPZKUAZXPXQXRYBUDEFUEPZEUBZBMZDQUFZUCZ
        FUHUGPYEXRBYAKYJFYFYFUIZAXOUJZABYFUKXOABCYFGJULRXSYFMZXSYJPZXSBMZYAQUFZ
        NZXRYGYJPZYHYGXTPZQUFZNZYQEXSYFEXSUMZEYNYPEYFYIXSUNZYOEYAQYOEUTEBDXSUNE
        QUMZUOUPYGXSNZYRYNYTYPYGXSYJUQZUUEYHYOYSYAQEKBURYGXSXTUQUSVAYGYFMZYHUUA
        UUGYHOYRDVBPZYTUUGYHYRYIVBPZUUHEYFYIYJYJUIVCZYHYIDVBYHDQVDVEVFZYHYTUUHN
        UUGYHYTYSUUHYHYSQVDEBDXTXTUIVCVKVGVHUUGYHVIZOYRQYTUUGUULYRUUIQUUJUULUUI
        QVBPZQUULYIQVBYHDQVJVEQLMUUMQNZVLQLVMVNVOVFZUULYTQNUUGYHYSQVJVGVHVPVQVG
        XRBSXSXTABSXTWBXOAEBDSHVRRVSVTXRCYDKYJFYFYKYLACYFUKZXOJRAYMYNXSCMZYDQUF
        ZNZXOYMAUUSAYRYGCMZYGYCPZQUFZNZWCAUUSWCEXSYFUUBAUUSEAEUTEYNUURUUCUUQEYD
        QUUQEUTECDXSUNUUDUOUPWAUUEUVCUUSAUUEYRYNUVBUURUUFUUEUUTUUQUVAYDQEKCURYG
        XSYCUQUSVAWDAUUGUVCAUUGOZYHUVCUVDYHOZYRUUHUVBUUGYHYRUUHNAUUKWEUVEUUTUVB
        UUHNZUVDBCYGABCUKZUUGGRWFUUTUVBUVAUUHUUTUVAQVDECDYCYCUIVCVKZWGVHUVDUULO
        YRQUVBUUGUULYRQNAUUOWEUVDUULUVBQNZAUULUVIWCZUUGAUUTUVJAUUTUULUVIAUUTUUL
        OZOUVBUUHQUUTUVFAUULUVHWHUVKAYGCBWIMZUUHQNYGCBWOZAUVLOZUUHUUMQUVNDQVBIV
        EQSMUUNWJQSVMVNVOWKVKWLAUUTVIZOUVIUULUVOUVIAUUTUVAQVJVGWMVPRWNVHVPWPVQW
        QWRXRCSXSYCACSYCWBXOAECDSAUUTOYHDSMZAYHUVPWCUUTAYHUVPHXFRAUUTUULUVPUVKA
        UVLUVPUVMUVNDQSIWJWSWKWLWTVRRVSVTVHBDKEXACDKEXAXBAXOVIZOZBCDEUVRBTCUVRB
        TUKBTNUVRBCTAUVGUVQGRUVQACTUKZAUUPUVQUVSJUVQYFTCXOFUEXCZMYFTNUVTLFLLXDU
        EXGXEXHFUEXIXJXKXLWQZULBXMWGUVRUVSCTNUWACXMWGVHXNVP $.
    $}

    fsumss.4 $e |- ( ph -> B e. Fin ) $.
    $( Change the index set to a subset in a finite sum.  (Contributed by Mario
       Carneiro, 21-Apr-2014.) $)
    fsumss $p |- ( ph -> sum_ k e. A C = sum_ k e. B C ) $=
      ( vm vn wceq csu cfv wcel c1 wa cc0 cc syl vf c0 chash cn cfz co wf1o wex
      cv wss adantr adantlr cdif cuz simpr 0ss eqsstrdi sumss ex cmpt ccnv cima
      cnvimass simprr f1of fssdm wfn ffnd elpreima ffvelrnda adantrd sylbid imp
      wf wb wi wn eldif 0cn eqeltrdi sylan2br expr pm2.61d fmpttd syldan eldifi
      sylan2 eldifn adantl mpbirand mtbid eldifd cres difss resmpt ax-mp fveq1i
      fvres eqtr3id csn c0ex elsn2 sylibr ad2antrr ffvelrnd elsni eqtr3d fzssuz
      a1i resmptd fveq1d sumeq2dv fveq2 fzfid fisuppfi wf1 f1of1 f1ores syl2anc
      wfo f1ofo foimacnv f1oeq3d mpbid sselda fsumf1o eqtrd eqidd 3eqtr4d sumfc
      3eqtr3g exlimdv expimpd cfn wo fz1f1o mpjaod ) ACUBLZBDEMZCDEMZLZCUCNZUDO
      ZPUUBUEUFZCUAUIZUGZUAUHZQZAYRUUAAYRQZBCDERABCUJZYRFUKAEUIZBOZDSOZYRGULAUU
      KCBUMZOZDRLZYRHULUUICUBRUNNZAYRUOUUQUPUQURUSAUUCUUGUUAAUUCQUUFUUAUAAUUCUU
      FUUAAUUCUUFQZQZBJUIZEBDUTZNZJMZCUUTECDUTZNZJMZYSYTUUSUUEVABVBZKUIZUUENZUV
      DNZKMZUUDUVJKMUVCUVFUUSUVGUUDUVJKPUUSUUDCUVGUUEUUEBVCUUSUUFUUDCUUEVNAUUCU
      UFVDZUUDCUUEVETZVFZUUSUVHUVGOZUVICOZUVJSOUUSUVOUVPUUSUVOUVHUUDOZUVIBOZQZU
      VPUUSUUEUUDVGUVOUVSVOZUUSUUDCUUEUVMVHUUDUVHBUUEVITZUUSUVQUVPUVRUUSUVQUVPU
      USUUDCUVHUUEUVMVJZUSVKVLVMUUSCSUVIUVDACSUVDVNUURAECDSAUUKCOZQUULUUMAUULUU
      MVPUWCAUULUUMGUSUKAUWCUULVQZUUMUWCUWDQAUUOUUMUUKCBVRAUUOQZDRSHVSVTWAWBWCW
      DUKZVJWEUUSUVHUUDUVGUMOZQZUVIEUUNDUTZNZUVJRUWHUVIUUNOZUWJUVJLUWHUVICBUWGU
      USUVQUVPUVHUUDUVGWFZUWBWGUWHUVOUVRUWGUVOVQUUSUVHUUDUVGWHWIUWHUVOUVQUVRUWG
      UVQUUSUWLWIUUSUVTUWGUWAUKWJWKWLZUWKUWJUVIUVDUUNWMZNUVJUVIUWNUWIUUNCUJUWNU
      WILCBWNECUUNDWOWPWQUVIUUNUVDWRWSTUWHUWJRWTZOUWJRLUWHUUNUWOUVIUWIAUUNUWOUW
      IVNUURUWGAEUUNDUWOUWEUUPDUWOOHDRXAXBXCWDXDUWMXEUWJRXFTXGUUDPUNNUJUUSPUUBX
      HXIURUUSUVCBUVEJMUVKUUSBUVBUVEJUUSUUTBOZQZUUTUVDBWMZNZUVBUVEUWQUUTUWRUVAU
      WQECBDAUUJUURUWPFXDXJXKUWPUWSUVELUUSUUTBUVDWRWIXGXLUUSBUVEUVGUVJJKUUEUVGW
      MZUVIUUTUVIUVDXMZUUSUUDCBUUEUUSPUUBXNZUVMXOUUSUVGUUEUVGVBZUWTUGZUVGBUWTUG
      UUSUUDCUUEXPZUVGUUDUJUXDUUSUUFUXEUVLUUDCUUEXQTUVNUUDCUVGUUEXRXSUUSUXCBUVG
      UWTUUSUUDCUUEXTZUUJUXCBLUUSUUFUXFUVLUUDCUUEYATAUUJUURFUKZUUDCBUUEYBXSYCYD
      UVOUVHUWTNUVILUUSUVHUVGUUEWRWIUUSUWPUUTCOUVESOUUSBCUUTUXGYEUUSCSUUTUVDUWF
      VJZWEYFYGUUSCUVEUUDUVJJKUUEUVIUXAUXBUVLUUSUVQQUVIYHUXHYFYIBDJEYJCDJEYJYKW
      BYLYMACYNOYRUUHYOICUAYPTYQ $.
  $}

  ${
    $d k m A $.  $d k m B $.  $d m C $.  $d m M $.
    $( Change the index set of a sum by adding zeroes.  (Contributed by Mario
       Carneiro, 15-Jul-2013.)  (Revised by Mario Carneiro, 20-Apr-2014.) $)
    sumss2 $p |- ( ( ( A C_ B /\ A. k e. A C e. CC ) /\
                    ( B C_ ( ZZ>= ` M ) \/ B e. Fin ) ) ->
      sum_ k e. A C = sum_ k e. B if ( k e. A , C , 0 ) ) $=
      ( vm wss cc wcel wa cc0 cif csu wceq simpll iftrue adantl ad4ant24 simpr
      cv wral cuz cfv cfn wo csb nfcsb1v nfel1 csbeq1a eleq1d rspc eqeltrd cdif
      impcom eldifn iffalsed sumss fsumss jaodan sumeq2i nfcv nfv nfif ifbieq1d
      eleq1w cbvsumi eqtr3i 3eqtr4g ) ABGZCHIZDAUAZJZBEUBUCGZBUDIZUEJAFTZAIZDVO
      CUFZKLZFMZBVRFMZACDMZBDTZAIZCKLZDMVLVMVSVTNVNVLVMJZABVRFEVIVKVMOVKVPVRHIZ
      VIVMVKVPJVRVQHVPVRVQNVKVPVQKPQVPVKVQHIZVJWGDVOADVQHDVOCUGZUHWBVONZCVQHDVO
      CUIZUJUKUNULZRVOBAUMIZVRKNZWEWLVPVQKVOBAUOUPZQVLVMSUQVLVNJZABVRFVIVKVNOVK
      VPWFVIVNWKRWLWMWOWNQVLVNSURUSAWDDMWAVSAWDCDWCCKPUTAWDVRDFFWDVAZVPDVQKVPDV
      BWHDKVAVCZWIWCVPCVQKDFAVEWJVDZVFVGBWDVRDFWPWQWRVFVH $.
  $}

  ${
    $d k m n A $.  $d m n B $.  $d k n F $.  $d k m N $.  $d k m n ph $.
    $d k m n M $.
    fsumsers.1 $e |- ( ( ph /\ k e. ( ZZ>= ` M ) ) ->
                       ( F ` k ) = if ( k e. A , B , 0 ) ) $.
    fsumsers.2 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    fsumsers.3 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fsumsers.4 $e |- ( ph -> A C_ ( M ... N ) ) $.
    $( The sequence of partial sums of a finite sum converges to the whole sum.
       (Contributed by Mario Carneiro, 20-Apr-2014.) $)
    fsumcvg2 $p |- ( ph -> seq M ( + , F ) ~~> ( seq M ( + , F ) ` N ) ) $=
      ( vm caddc cz cv wcel cc0 cfv wceq cc cif cmpt cseq cli csb nfcv nfv nfif
      vn nfcsb1v eleq1w csbeq1a ifbieq1d cbvmpt wral ralrimiva nfel1 rspc mpan9
      eleq1d fsumcvg cuz eluzel2 wa eluzelz iftrue adantl eqeltrd ex wn iffalse
      syl 0cn eqeltrdi pm2.61d1 eqid fvmpt2 syl2anr eqtr4d nffvmpt1 nfeq2 fveq2
      eqeq12d seqfeq fveq1d 3brtr4d ) AMDNDOZBPZCQUAZUBZFUCZGWKRMEFUCZGWLRUDABD
      LOZCUEZLWJFGDLNWIWMBPZWNQUALWIUFWODWNQWODUGDWMCUJZDQUFUHWGWMSZWHWOCWNQDLB
      UKDWMCULZUMUNACTPZDBUOWOWNTPZAWSDBJUPWSWTDWMBDWNTWPUQWQCWNTWRUTURUSIKVAAM
      UIEWJFAGFVBRZPFNPIFGVCVLAWGERZWGWJRZSZDXAUOUIOZXAPXEERZXEWJRZSZAXDDXAAWGX
      APZVDXBWIXCHXIWGNPWITPZXCWISAFWGVEAWHXJAWHXJAWHVDWICTWHWICSAWHCQVFVGJVHVI
      WHVJWIQTWHCQVKVMVNVODNWITWJWJVPVQVRVSUPXDXHDXEXADXFXGDNWIXEVTWAWGXESXBXFX
      CXGWGXEEWBWGXEWJWBWCURUSWDZAGWLWKXKWEWF $.

    $( Special case of series sum over a finite upper integer index set.
       (Contributed by Mario Carneiro, 26-Jul-2013.)  (Revised by Mario
       Carneiro, 21-Apr-2014.) $)
    fsumsers $p |- ( ph -> sum_ k e. A B = ( seq M ( + , F ) ` N ) ) $=
      ( csu caddc cseq cli cfv cuz eqid wcel cc cz eluzel2 syl co fzssuz sstrdi
      cfz zsum wfun wbr wceq cdm fclim ffun ax-mp fsumcvg2 funbrfv mpsyl eqtrd
      wf ) ABCDLMEFNZOPZGVAPZABCDEFFQPZVDRAGVDSFUASIFGUBUCABFGUGUDVDKFGUEUFHJUH
      OUIZAVAVCOUJVBVCUKOULZTOUTVEUMVFTOUNUOABCDEFGHIJKUPVAVCOUQURUS $.
  $}

  ${
    $d k n A $.  $d k n F $.  $d k n M $.  $d k n ph $.
    fsumcvg3.1 $e |- Z = ( ZZ>= ` M ) $.
    fsumcvg3.2 $e |- ( ph -> M e. ZZ ) $.
    fsumcvg3.3 $e |- ( ph -> A e. Fin ) $.
    fsumcvg3.4 $e |- ( ph -> A C_ Z ) $.
    fsumcvg3.5 $e |- ( ( ph /\ k e. Z ) ->
                       ( F ` k ) = if ( k e. A , B , 0 ) ) $.
    fsumcvg3.6 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    $( A finite sum is convergent.  (Contributed by Mario Carneiro,
       24-Apr-2014.) $)
    fsumcvg3 $p |- ( ph -> seq M ( + , F ) e. dom ~~> ) $=
      ( vn cfz wss wcel c0 wceq cr cv caddc cseq cli cdm cuz wrex sseq1 rexbidv
      co cfv wne wa clt csup adantr sseqtrdi wor cfn w3a ltso simpr uzssz zssre
      cz sstri eqsstri sstrdi 3jca fisupcl sylancr sseldd cle wbr wral fimaxre2
      syl2anc suprub sylan wb sselda sselid elfz5 mpbird ex ssrdv sseq2d rspcev
      oveq2 uzid syl 0ss sylancl pm2.61ne cc0 eleq2i sylan2br adantlr simprl cc
      cif simprr fsumcvg2 climrel releldmi rexlimddv ) ABFNUAZOUJZPZUBEFUCZUDUE
      QZNFUFUKZAXINXLUGZRXHPZNXLUGZBRBRSXIXNNXLBRXHUHUIABRULZUMZBTUNUOZXLQBFXRO
      UJZPZXMXQBXLXRXQBGXLABGPXPKUPZHUQZXQTUNURBUSQZXPBTPZUTXRBQVAXQYCXPYDAYCXP
      JUPZAXPVBZXQBGTYAGXLTHXLVETFVCZVDVFVGVHZVITBUNVJVKVLZXQDBXSXQDUAZBQZYJXSQ
      ZXQYKUMZYLYJXRVMVNZXQYDXPXGYJVMVNNBVODTUGZUTYKYNXQYDXPYOYHYFXQYDYCYOYHYED
      NBVPVQVIDNBYJVRVSYMYJXLQZXRVEQZYLYNVTXQBXLYJYBWAXQYQYKXQXLVEXRYGYIWBUPYJF
      XRWCVQWDWEWFXIXTNXRXLXGXRSXHXSBXGXRFOWIWGWHVQAFXLQZRFFOUJZPZXOAFVEQYRIFWJ
      WKYSWLXNYTNFXLXGFSXHYSRXGFFOWIWGWHWMWNAXGXLQZXIUMZUMZXJXGXJUKZUDVNXKUUCBC
      DEFXGAYPYJEUKYKCWOXASZUUBYPAYJGQUUEGXLYJHWPLWQWRAUUAXIWSAYKCWTQUUBMWRAUUA
      XIXBXCXJUUDUDXDXEWKXF $.
  $}

  ${
    $d k m F $.  $d k m M $.  $d k m N $.  $d k ph $.
    fsumser.1 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) = A ) $.
    fsumser.2 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    fsumser.3 $e |- ( ( ph /\ k e. ( M ... N ) ) -> A e. CC ) $.
    $( A finite sum expressed in terms of a partial sum of an infinite series.
       The recursive definition follows as ~ fsum1 and ~ fsump1i , which should
       make our notation clear and from which, along with closure ~ fsumcl , we
       will derive the basic properties of finite sums.  (Contributed by NM,
       11-Dec-2005.)  (Revised by Mario Carneiro, 21-Apr-2014.) $)
    fsumser $p |- ( ph -> sum_ k e. ( M ... N ) A =
                          ( seq M ( + , F ) ` N ) ) $=
      ( vm cfz caddc cfv cv wcel cc0 cif cseq wceq eqtrd co csu cuz cmpt eleq1w
      fveq2 ifbieq1d eqid fvex c0ex ifex fvmpt ifeq1da sylan9eqr ssidd fsumsers
      elfzuz syl iftrue adantl seqfveq ) AEFKUAZBCUBFLJEUCMZJNZVBOZVDDMZPQZUDZE
      RMFLDERMAVBBCVHEFCNZVCOZAVIVHMZVIVBOZVIDMZPQZVLBPQJVIVGVNVCVHVDVISVEVLVFV
      MPJCVBUEVDVIDUFUGVHUHVLVMPVIDUIUJUKULZAVLVMBPGUMUNHIAVBUOUPALCVHDEFHVLVKV
      MSAVLVKVNVMVLVJVKVNSVIEFUQVOURVLVMPUSTUTVAT $.
  $}

  ${
    $d f k m x y A $.  $d f m x y B $.  $d f k m x y ph $.  $d f k x y S $.
    fsumcllem.1 $e |- ( ph -> S C_ CC ) $.
    fsumcllem.2 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x + y ) e. S ) $.
    fsumcllem.3 $e |- ( ph -> A e. Fin ) $.
    fsumcllem.4 $e |- ( ( ph /\ k e. A ) -> B e. S ) $.
    ${
      fsumcl2lem.5 $e |- ( ph -> A =/= (/) ) $.
      $( - Lemma for finite sum closures.  (The "-" before "Lemma" forces the
         math content to be displayed in the Statement List - NM 11-Feb-2008.)
         (Contributed by Mario Carneiro, 3-Jun-2014.) $)
      fsumcl2lem $p |- ( ph -> sum_ k e. A B e. S ) $=
        ( vf vm c0 wcel cfv c1 cv wa wceq csu chash cn cfz co wf1o wex necon4bd
        wne wn a1d caddc cmpt ccom sumfc fveq2 simprl simprr cc wss ad2antrr wf
        cseq fmpttd adantr ffvelrnda f1of syl fvco3 sylan fsum eqtr3id cuz nnuz
        sseldd eleqtrdi fco syl2anc adantlr eqeltrd expr exlimdv expimpd cfn wo
        seqcl fz1f1o mpjaod ) ADOUAZDEGUBZFPZDUCQZUDPZRWMUEUFZDMSZUGZMUHZTZAWLD
        OADOUJWLUKLULUIAWNWRWLAWNTWQWLMAWNWQWLAWNWQTZTZWKWMUMGDEUNZWPUOZRVDQZFX
        AWKDNSZXBQZNUBXDDENGUPXADXFBSZWPQZXBQZNBWPXCWMXEXHXBUQAWNWQURZAWNWQUSZX
        AXEDPZTFUTXFAFUTVAWTXLHVBXADFXEXBADFXBVCZWTAGDEFKVEVFZVGVPXAWODWPVCZXGW
        OPXGXCQXIUAXAWQXOXKWODWPVHVIZWODXGXBWPVJVKVLVMXABCUMFXCRWMXAWMUDRVNQXJV
        OVQXAWOFXGXCXAXMXOWOFXCVCXNXPWODFXBWPVRVSVGAXGFPCSZFPTXGXQUMUFFPWTIVTWG
        WAWBWCWDADWEPWJWSWFJDMWHVIWI $.
    $}

    fsumcllem.5 $e |- ( ph -> 0 e. S ) $.
    $( - Lemma for finite sum closures.  (The "-" before "Lemma" forces the
       math content to be displayed in the Statement List - NM 11-Feb-2008.)
       (Contributed by NM, 9-Nov-2005.)  (Revised by Mario Carneiro,
       3-Jun-2014.) $)
    fsumcllem $p |- ( ph -> sum_ k e. A B e. S ) $=
      ( csu wcel c0 wa cc0 simpr adantr cv wceq sumeq1d sum0 eqtrdi eqeltrd wne
      cc wss caddc co adantlr cfn fsumcl2lem pm2.61dane ) ADEGMZFNDOADOUAZPZUOQ
      FUQUOOEGMQUQDOEGAUPRUBEGUCUDAQFNUPLSUEADOUFZPBCDEFGAFUGUHURHSABTZFNCTZFNP
      USUTUIUJFNURIUKADULNURJSAGTDNEFNURKUKAURRUMUN $.
  $}

  ${
    $d k x y A $.  $d x y B $.  $d k x y ph $.
    fsumcl.1 $e |- ( ph -> A e. Fin ) $.
    ${
      fsumcl.2 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
      $( Closure of a finite sum of complex numbers ` A ( k ) ` .  (Contributed
         by NM, 9-Nov-2005.)  (Revised by Mario Carneiro, 22-Apr-2014.) $)
      fsumcl $p |- ( ph -> sum_ k e. A B e. CC ) $=
        ( vx vy cc ssidd cv wcel wa caddc co addcl adantl 0cnd fsumcllem ) AGHB
        CIDAIJGKZILHKZILMTUANOILATUAPQEFARS $.
    $}

    ${
      fsumrecl.2 $e |- ( ( ph /\ k e. A ) -> B e. RR ) $.
      $( Closure of a finite sum of reals.  (Contributed by NM, 9-Nov-2005.)
         (Revised by Mario Carneiro, 22-Apr-2014.) $)
      fsumrecl $p |- ( ph -> sum_ k e. A B e. RR ) $=
        ( vx vy cr cc wss ax-resscn a1i cv wcel wa caddc co readdcl adantl 0red
        fsumcllem ) AGHBCIDIJKALMGNZIOHNZIOPUCUDQRIOAUCUDSTEFAUAUB $.
    $}

    ${
      fsumzcl.2 $e |- ( ( ph /\ k e. A ) -> B e. ZZ ) $.
      $( Closure of a finite sum of integers.  (Contributed by NM, 9-Nov-2005.)
         (Revised by Mario Carneiro, 22-Apr-2014.) $)
      fsumzcl $p |- ( ph -> sum_ k e. A B e. ZZ ) $=
        ( vx vy cz cc wss zsscn a1i cv wcel wa caddc co zaddcl adantl fsumcllem
        0zd ) AGHBCIDIJKALMGNZIOHNZIOPUCUDQRIOAUCUDSTEFAUBUA $.
    $}

    ${
      fsumnn0cl.2 $e |- ( ( ph /\ k e. A ) -> B e. NN0 ) $.
      $( Closure of a finite sum of nonnegative integers.  (Contributed by
         Mario Carneiro, 23-Apr-2015.) $)
      fsumnn0cl $p |- ( ph -> sum_ k e. A B e. NN0 ) $=
        ( vx vy cn0 cc wss nn0sscn a1i cv wcel wa caddc co nn0addcl adantl 0nn0
        cc0 fsumcllem ) AGHBCIDIJKALMGNZIOHNZIOPUDUEQRIOAUDUESTEFUBIOAUAMUC $.
    $}

    fsumrpcl.2 $e |- ( ph -> A =/= (/) ) $.
    fsumrpcl.3 $e |- ( ( ph /\ k e. A ) -> B e. RR+ ) $.
    $( Closure of a finite sum of positive reals.  (Contributed by Mario
       Carneiro, 3-Jun-2014.) $)
    fsumrpcl $p |- ( ph -> sum_ k e. A B e. RR+ ) $=
      ( vx vy crp cc wss cr rpssre ax-resscn sstri a1i cv wcel wa caddc rpaddcl
      co adantl fsumcl2lem ) AHIBCJDJKLAJMKNOPQHRZJSIRZJSTUFUGUAUCJSAUFUGUBUDEG
      FUE $.
  $}

  ${
    $d A j k $.  $d B j $.  $d j ph $.
    fsumclf.ph $e |- F/ k ph $.
    fsumclf.a $e |- ( ph -> A e. Fin ) $.
    fsumclf.b $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    $( Closure of a finite sum of complex numbers ` A ( k ) ` .  A version of
       ~ fsumcl using bound-variable hypotheses instead of distinct variable
       conditions.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    fsumclf $p |- ( ph -> sum_ k e. A B e. CC ) $=
      ( vj csu cv csb cc wceq csbeq1a nfcv nfcsb1v cbvsum wcel wa wi nfan nfel1
      a1i nfv nfim eleq1w anbi2d eleq1d imbi12d chvarfv fsumcl eqeltrd ) ABCDIZ
      BDHJZCKZHIZLUMUPMABCUODHDUNCNZHBODBOHCODUNCPZQUCABUOHFADJZBRZSZCLRZTAUNBR
      ZSZUOLRZTDHVDVEDAVCDEVCDUDUADUOLURUBUEUSUNMZVAVDVBVEVFUTVCADHBUFUGVFCUOLU
      QUHUIGUJUKUL $.
  $}

  ${
    $d A k x $.  $d B x $.
    $( A finite sum with integer summands is an integer.  (Contributed by
       Alexander van der Vekens, 31-Aug-2018.) $)
    fsumzcl2 $p |- ( ( A e. Fin /\ A. k e. A B e. ZZ )
                            -> sum_ k e. A B e. ZZ ) $=
      ( vx cfn wcel cz wral wa csu cv csb nfcv nfcsb1v csbeq1a cbvsumi simpl wi
      rspcsbela expcom adantl imp fsumzcl eqeltrid ) AEFZBGFCAHZIZABCJACDKZBLZD
      JGABUICDDBMCUHBNCUHBOPUGAUIDUEUFQUGUHAFZUIGFZUFUJUKRUEUJUFUKCUHABGSTUAUBU
      CUD $.
  $}

  ${
    $d f k m n A $.  $d f m n B $.  $d f m n C $.  $d f k m n ph $.
    fsumadd.1 $e |- ( ph -> A e. Fin ) $.
    fsumadd.2 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fsumadd.3 $e |- ( ( ph /\ k e. A ) -> C e. CC ) $.
    $( The sum of two finite sums.  (Contributed by NM, 14-Nov-2005.)  (Revised
       by Mario Carneiro, 22-Apr-2014.) $)
    fsumadd $p |- ( ph -> sum_ k e. A ( B + C ) =
                        ( sum_ k e. A B + sum_ k e. A C ) ) $=
      ( vm c0 wceq caddc co csu cfv wcel c1 wa cc ffvelrnda vf vn chash cn wf1o
      cfz cv wex cc0 00id sum0 oveq12i 3eqtr4ri sumeq1 oveq12d 3eqtr4a a1i cmpt
      ccom cseq cuz simprl nnuz eleqtrdi adantlr fmpttd simprr f1of syl syl2anc
      wi wf fco wral cvv ovex eqid fvmpt2 mpan2 adantl simpr ralrimiva ad2antrr
      eqtr4d nffvmpt1 nfcv nfov nfeq fveq2 eqeq12d rspc sylc fvco3 sylan seradd
      3eqtr4d addcld fsum sumfc 3eqtr3g expr exlimdv expimpd cfn fz1f1o mpjaod
      wo ) ABJKZBCDLMZENZBCENZBDENZLMZKZBUCOZUDPZQXOUFMZBUAUGZUEZUAUHZRZXHXNVKA
      XHJXIENZJCENZJDENZLMZXJXMUIUILMUIYEYBUJYCUIYDUILCEUKDEUKULXIEUKUMBJXIEUNX
      HXKYCXLYDLBJCEUNBJDEUNUOUPUQAXPXTXNAXPRXSXNUAAXPXSXNAXPXSRZRZBIUGZEBXIURZ
      OZINZBYHEBCURZOZINZBYHEBDURZOZINZLMZXJXMYGXOLYIXRUSZQUTOXOLYLXRUSZQUTOZXO
      LYOXRUSZQUTOZLMYKYRYGUBYTUUBYSQXOYGXOUDQVAOAXPXSVBZVCVDYGXQSUBUGZYTYGBSYL
      VLXQBXRVLZXQSYTVLYGEBCSAEUGZBPZCSPZYFGVEZVFZYGXSUUFAXPXSVGZXQBXRVHVIZXQBS
      YLXRVMVJTYGXQSUUEUUBYGBSYOVLUUFXQSUUBVLYGEBDSAUUHDSPZYFHVEZVFZUUMXQBSYOXR
      VMVJTYGUUEXQPZRZUUEXROZYIOZUUSYLOZUUSYOOZLMZUUEYSOZUUEYTOZUUEUUBOZLMUURUU
      SBPUUGYIOZUUGYLOZUUGYOOZLMZKZEBVNZUUTUVCKZYGXQBUUEXRUUMTAUVLYFUUQAUVKEBAU
      UHRZUVGXIUVJUUHUVGXIKZAUUHXIVOPUVOCDLVPEBXIVOYIYIVQVRVSVTUVNUVHCUVIDLUVNU
      UHUUIUVHCKAUUHWAZGEBCSYLYLVQVRVJUVNUUHUUNUVIDKUVPHEBDSYOYOVQVRVJUOWDWBWCU
      VKUVMEUUSBEUUTUVCEBXIUUSWEEUVAUVBLEBCUUSWEELWFEBDUUSWEWGWHUUGUUSKZUVGUUTU
      VJUVCUUGUUSYIWIUVQUVHUVAUVIUVBLUUGUUSYLWIUUGUUSYOWIUOWJWKWLYGUUFUUQUVDUUT
      KUUMXQBUUEYIXRWMWNZUURUVEUVAUVFUVBLYGUUFUUQUVEUVAKUUMXQBUUEYLXRWMWNZYGUUF
      UUQUVFUVBKUUMXQBUUEYOXRWMWNZUOWPWOYGBYJUUTIUBXRYSXOYHUUSYIWIUUDUULYGBSYHY
      IYGEBXISYGUUHRCDUUJUUOWQVFTUVRWRYGYNUUAYQUUCLYGBYMUVAIUBXRYTXOYHUUSYLWIUU
      DUULYGBSYHYLUUKTUVSWRYGBYPUVBIUBXRUUBXOYHUUSYOWIUUDUULYGBSYHYOUUPTUVTWRUO
      WPBXIIEWSYNXKYQXLLBCIEWSBDIEWSULWTXAXBXCABXDPXHYAXGFBUAXEVIXF $.
  $}

  ${
    $d k A $.  $d k B $.  $d k ph $.  $d k U $.
    fsumsplit.1 $e |- ( ph -> ( A i^i B ) = (/) ) $.
    fsumsplit.2 $e |- ( ph -> U = ( A u. B ) ) $.
    fsumsplit.3 $e |- ( ph -> U e. Fin ) $.
    fsumsplit.4 $e |- ( ( ph /\ k e. U ) -> C e. CC ) $.
    $( Split a sum into two parts.  (Contributed by Mario Carneiro,
       18-Aug-2013.)  (Revised by Mario Carneiro, 22-Apr-2014.) $)
    fsumsplit $p |- ( ph -> sum_ k e. U C =
                          ( sum_ k e. A C + sum_ k e. B C ) ) $=
      ( csu caddc co wcel cc0 wss cc wceq syldan wa cv cif wral cuz cfv cfn cun
      wo ssun1 sseqtrrid sselda ralrimiva olcd sumss2 syl21anc oveq12d 0cn ifcl
      ssun2 sylancl fsumadd eleq2d elun bitrdi biimpa iftrue adantl wn noel cin
      wi c0 bitr3di mtbii imnan sylibr imp iffalsed addid1d eqtrd con2d addid2d
      elin jaodan sumeq2dv 3eqtr2rd ) ABDFKZCDFKZLMEFUAZBNZDOUBZFKZEWICNZDOUBZF
      KZLMEWKWNLMZFKEDFKAWGWLWHWOLABEPDQNZFBUCEOUDUEPZEUFNZUHZWGWLRABCUGZBEBCUI
      HUJZAWQFBAWJWIENZWQABEWIXBUKJSZULAWSWRIUMZBEDFOUNUOACEPWQFCUCWTWHWORAXACE
      CBUSHUJZAWQFCAWMXCWQACEWIXFUKJSZULXECEDFOUNUOUPAEWKWNFIAXCTZWQOQNZWKQNJUQ
      WJDOQURUTXHWQXIWNQNJUQWMDOQURUTVAAEWPDFAXCWJWMUHZWPDRZAXCXJAXCWIXANXJAEXA
      WIHVBWIBCVCVDVEAWJXKWMAWJTZWPDOLMDXLWKDWNOLWJWKDRAWJDOVFVGXLWMDOAWJWMVHZA
      WJWMTZVHWJXMVKAWIVLNZXNWIVIAWIBCVJZNXOXNAXPVLWIGVBWIBCWCVMVNWJWMVOVPZVQVR
      UPXLDXDVSVTAWMTZWPODLMDXRWKOWNDLXRWJDOAWMWJVHAWJWMXQWAVQVRWMWNDRAWMDOVFVG
      UPXRDXGWBVTWDSWEWF $.
  $}

  ${
    $d A j k $.  $d B j k $.  $d C j $.  $d U j k $.  $d j ph $.
    fsumsplitf.ph $e |- F/ k ph $.
    fsumsplitf.ab $e |- ( ph -> ( A i^i B ) = (/) ) $.
    fsumsplitf.u $e |- ( ph -> U = ( A u. B ) ) $.
    fsumsplitf.fi $e |- ( ph -> U e. Fin ) $.
    fsumsplitf.c $e |- ( ( ph /\ k e. U ) -> C e. CC ) $.
    $( Split a sum into two parts.  A version of ~ fsumsplit using
       bound-variable hypotheses instead of distinct variable conditions.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    fsumsplitf $p |- ( ph -> sum_ k e. U C = ( sum_ k e. A C + sum_ k e. B C )
       ) $=
      ( vj csu cv csb caddc wceq cbvsumi wcel cc co nfcv nfcsb1v csbeq1a a1i wa
      nfv nfan nfel1 nfim eleq1w anbi2d eleq1d imbi12d chvarfv fsumsplit csbcow
      wi csbid eqtri eqtrdi oveq12i 3eqtrd ) AEDFMZEFLNZDOZLMZBVFLMZCVFLMZPUAZB
      DFMZCDFMZPUAZVDVGQAEDVFFLLDUBZFVEDUCZFVEDUDZRUEABCVFELHIJAFNZESZUFZDTSZUR
      AVEESZUFZVFTSZURFLWBWCFAWAFGWAFUGUHFVFTVOUIUJVQVEQZVSWBVTWCWDVRWAAFLEUKUL
      WDDVFTVPUMUNKUOUPVJVMQAVHVKVIVLPBVFDLFVOVNVEVQQVFLVQVFOZDLVQVFUDWEFVQDODF
      LVQDUQFDUSUTVAZRCVFDLFVOVNWFRVBUEVC $.
  $}

  ${
    $d A m n $.  $d B m n $.  $d M k m n $.  $d V k m n $.
    sumsnf.1 $e |- F/_ k B $.
    sumsnf.2 $e |- ( k = M -> A = B ) $.
    $( A sum of a singleton is the term.  A version of ~ sumsn using
       bound-variable hypotheses instead of distinct variable conditions.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    sumsnf $p |- ( ( M e. V /\ B e. CC ) -> sum_ k e. { M } A = B ) $=
      ( vm vn wcel cc wa csn c1 cfv csb cn 1nn sylancr wceq csu caddc cseq nfcv
      cop cv nfcsb1v csbeq1a cbvsumi csbeq1 a1i wf1o co simpl f1osng cz wb fzsn
      cfz f1oeq2 mp2b sylibr elsni adantl csbeq1d wnfc csbiegf ad2antrr eqeltrd
      1z simplr elfz1eq fveq2d fvsng sylan9eqr simpr 3eqtr4rd fsum eqtrid seq1i
      eqtrd ) DEJZBKJZLZDMZACUAZNUBNBUEMZNUCOZBWDWFWECHUFZAPZHUAWHWEAWJCHHAUDCW
      IAUGCWIAUHUIWDWEWJCIUFZNDUEMZOZAPZHIWLWGNCWIWMAUJNQJZWDRUKWDNMZWEWLULZNNU
      SUMZWEWLULZWDWOWBWQRWBWCUNZNDQEUOSNUPJWRWPTWSWQUQVJNURWRWPWEWLUTVAVBWDWIW
      EJZLZWJCDAPZKXBCWIDAXAWIDTWDWIDVCVDVEXBXCBKWBXCBTZWCXACDABECBVFWBFUKGVGZV
      HWBWCXAVKVIVIWDWKWRJZLZXCBWNWKWGOZWBXDWCXFXEVHXGCWMDAXFWDWMNWLOZDXFWKNWLW
      KNVLZVMWDWOWBXIDTRWTNDQEVNSVOVEXFWDXHNWGOZBXFWKNWGXJVMWDWOWCXKBTRWBWCVPNB
      QKVNSZVOVQVRVSWDBUBWGNVJXLVTWA $.
  $}

  ${
    $d A k $.  $d B k $.  $d V k $.
    fsumsplitsn.ph $e |- F/ k ph $.
    fsumsplitsn.kd $e |- F/_ k D $.
    fsumsplitsn.a $e |- ( ph -> A e. Fin ) $.
    fsumsplitsn.b $e |- ( ph -> B e. V ) $.
    fsumsplitsn.ba $e |- ( ph -> -. B e. A ) $.
    fsumsplitsn.c $e |- ( ( ph /\ k e. A ) -> C e. CC ) $.
    fsumsplitsn.d $e |- ( k = B -> C = D ) $.
    fsumsplitsn.dcn $e |- ( ph -> D e. CC ) $.
    $( Separate out a term in a finite sum.  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    fsumsplitsn $p |- ( ph -> sum_ k e. ( A u. { B } ) C = ( sum_ k e. A C + D
       ) ) $=
      ( csu caddc wcel wceq wa csn cun co wn cin c0 disjsn sylibr cfn snfi unfi
      eqidd sylancl cv adantlr simpll elunnel1 elsni syl adantll adantl eqeltrd
      cc adantr syl2anc pm2.61dan fsumsplitf sumsnf oveq2d eqtrd ) ABCUAZUBZDFP
      BDFPZVKDFPZQUCVMEQUCABVKDVLFHACBRUDBVKUEUFSLBCUGUHAVLULABUIRVKUIRVLUIRJCU
      JBVKUKUMAFUNZVLRZTZVOBRZDVCRZAVRVSVPMUOVQVRUDZTAVOCSZVSAVPVTUPVPVTWAAVPVT
      TVOVKRWAVOBVKUQVOCURUSUTAWATDEVCWADESANVAAEVCRZWAOVDVBVEVFVGAVNEVMQACGRWB
      VNESKODEFCGINVHVEVIVJ $.
  $}

  ${
    $d A k $.  $d C k $.
    fsumsplit1.kph $e |- F/ k ph $.
    fsumsplit1.kd $e |- F/_ k D $.
    fsumsplit1.a $e |- ( ph -> A e. Fin ) $.
    fsumsplit1.b $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fsumsplit1.c $e |- ( ph -> C e. A ) $.
    fsumsplit1.bd $e |- ( k = C -> B = D ) $.
    $( Separate out a term in a finite sum.  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    fsumsplit1 $p |- ( ph -> sum_ k e. A B = ( D + sum_ k e. ( A \ { C } ) B )
       ) $=
      ( csu cun caddc co wceq wcel wa cc csn cdif uncom snssd undif sylib eqidd
      a1i wss 3eqtrrd sumeq1d cfn diffi syl neldifsnd eldifi adantl syl2anc csb
      cv simpl wnfc simpr csbiedf eqcomd ancli wi nfcv nfv nfan nfel nfim eleq1
      nfcsb1 anbi2d csbeq1a eleq1d imbi12d vtoclgf sylc eqeltrd fsumclf addcomd
      fsumsplitsn 3eqtrd ) ABCFMBDUAZUBZWFNZCFMWGCFMZEOPEWIOPABWHCFAWHWFWGNZBBW
      HWJQAWGWFUCUHAWFBUIWJBQADBKUDWFBUEUFABUGUJUKAWGDCEFBGHABULRWGULRIBWFUMUNZ
      KADBUOAFUTZWGRZSAWLBRZCTRZAWMVAWMWNAWLBWFUPUQJURZLAEFDCUSZTAWQEAFDCEBGFEV
      BAHUHKAWLDQZSWRCEQAWRVCLUNVDVEADBRZAWSSZWQTRZKAWSKVFAWNSZWOVGWTXAVGFDBFDV
      HZWTXAFAWSFGWSFVIVJFWQTFDCXCVNFTVHVKVLWRXBWTWOXAWRWNWSAWLDBVMVOWRCWQTFDCV
      PVQVRJVSVTWAZWDAWIEAWGCFGWKWPWBXDWCWE $.
  $}

  ${
    $d k B $.  $d k M $.  $d k V $.
    fsum1.1 $e |- ( k = M -> A = B ) $.
    $( A sum of a singleton is the term.  (Contributed by Mario Carneiro,
       22-Apr-2014.) $)
    sumsn $p |- ( ( M e. V /\ B e. CC ) -> sum_ k e. { M } A = B ) $=
      ( nfcv sumsnf ) ABCDECBGFH $.

    $( The finite sum of ` A ( k ) ` from ` k = M ` to ` M ` (i.e. a sum with
       only one term) is ` B ` i.e. ` A ( M ) ` .  (Contributed by NM,
       8-Nov-2005.)  (Revised by Mario Carneiro, 21-Apr-2014.) $)
    fsum1 $p |- ( ( M e. ZZ /\ B e. CC ) -> sum_ k e. ( M ... M ) A = B ) $=
      ( cz wcel cc wa cfz co csu csn wceq fzsn adantr sumeq1d sumsn eqtrd ) DFG
      ZBHGZIZDDJKZACLDMZACLBUBUCUDACTUCUDNUADOPQABCDFERS $.
  $}

  ${
    $d k A $.  $d k B $.  $d k D $.  $d k E $.  $d k ph $.  $d k V $.
    $d k W $.
    sumpr.1 $e |- ( k = A -> C = D ) $.
    sumpr.2 $e |- ( k = B -> C = E ) $.
    sumpr.3 $e |- ( ph -> ( D e. CC /\ E e. CC ) ) $.
    sumpr.4 $e |- ( ph -> ( A e. V /\ B e. W ) ) $.
    sumpr.5 $e |- ( ph -> A =/= B ) $.
    $( A sum over a pair is the sum of the elements.  (Contributed by Thierry
       Arnoux, 12-Dec-2016.) $)
    sumpr $p |- ( ph -> sum_ k e. { A , B } C = ( D + E ) ) $=
      ( csu csn caddc wceq wcel cc cpr co wne cin disjsn2 syl cun df-pr a1i cfn
      c0 prfi wral wa wb eleq1d ralprg mpbird r19.21bi fsumsplit simpld syl2anc
      cv sumsn simprd oveq12d eqtrd ) ABCUAZDFOBPZDFOZCPZDFOZQUBEGQUBAVIVKDVHFA
      BCUCVIVKUDUKRNBCUEUFVHVIVKUGRABCUHUIVHUJSABCULUIADTSZFVHAVMFVHUMZETSZGTSZ
      UNZLABHSZCISZUNVNVQUOMVMVOVPFBCHIFVCZBRDETJUPVTCRDGTKUPUQUFURUSUTAVJEVLGQ
      AVRVOVJERAVRVSMVAAVOVPLVADEFBHJVDVBAVSVPVLGRAVRVSMVEAVOVPLVEDGFCIKVDVBVFV
      G $.
  $}

  ${
    $d k A $.  $d k B $.  $d k C $.  $d k E $.  $d k F $.  $d k G $.
    $d k ph $.  $d k V $.  $d k W $.  $d k X $.
    sumtp.e $e |- ( k = A -> D = E ) $.
    sumtp.f $e |- ( k = B -> D = F ) $.
    sumtp.g $e |- ( k = C -> D = G ) $.
    sumtp.c $e |- ( ph -> ( E e. CC /\ F e. CC /\ G e. CC ) ) $.
    sumtp.v $e |- ( ph -> ( A e. V /\ B e. W /\ C e. X ) ) $.
    sumtp.1 $e |- ( ph -> A =/= B ) $.
    sumtp.2 $e |- ( ph -> A =/= C ) $.
    sumtp.3 $e |- ( ph -> B =/= C ) $.
    $( A sum over a triple is the sum of the elements.  (Contributed by AV,
       24-Jul-2020.) $)
    sumtp $p |- ( ph -> sum_ k e. { A , B , C } D = ( ( E + F ) + G ) ) $=
      ( ctp csu cpr csn caddc co wcel wn cin c0 necomd nelprd disjsn sylibr cun
      wceq df-tp a1i cfn tpfi cc wral w3a wb eleq1d raltpg syl mpbird fsumsplit
      cv r19.21bi wa 3simpa sumpr simp3d sumsn syl2anc oveq12d eqtrd ) ABCDUAZE
      FUBBCUCZEFUBZDUDZEFUBZUEUFGHUEUFZIUEUFAWAWCEVTFADWAUGUHWAWCUIUJUPADBCABDS
      UKACDTUKULWADUMUNVTWAWCUOUPABCDUQURVTUSUGABCDUTURAEVAUGZFVTAWFFVTVBZGVAUG
      ZHVAUGZIVAUGZVCZPABJUGZCKUGZDLUGZVCZWGWKVDQWFWHWIWJFBCDJKLFVJZBUPEGVAMVEW
      PCUPEHVANVEWPDUPEIVAOVEVFVGVHVKVIAWBWEWDIUEABCEGFHJKMNAWKWHWIVLPWHWIWJVMV
      GAWOWLWMVLQWLWMWNVMVGRVNAWNWJWDIUPAWLWMWNQVOAWHWIWJPVOEIFDLOVPVQVRVS $.
  $}

  ${
    $d n A $.  $d k n M $.  $d n V $.
    $( A sum of a singleton is the term.  (Contributed by Mario Carneiro,
       22-Apr-2014.) $)
    sumsns $p |- ( ( M e. V /\ [_ M / k ]_ A e. CC ) ->
                   sum_ k e. { M } A = [_ M / k ]_ A ) $=
      ( vn wcel csb cc wa csn csu cv nfcv nfcsb1v csbeq1a cbvsumi csbeq1 eqtrid
      sumsn ) CDFBCAGZHFICJZABKUABELZAGZEKTUAAUCBEEAMBUBANBUBAOPUCTECDBUBCAQSR
      $.
  $}

  ${
    $d k B $.  $d k M $.  $d k N $.  $d k ph $.
    fsumm1.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    fsumm1.2 $e |- ( ( ph /\ k e. ( M ... N ) ) -> A e. CC ) $.
    ${
      fsumm1.3 $e |- ( k = N -> A = B ) $.
      $( Separate out the last term in a finite sum.  (Contributed by Mario
         Carneiro, 26-Apr-2014.) $)
      fsumm1 $p |- ( ph -> sum_ k e. ( M ... N ) A =
                         ( sum_ k e. ( M ... ( N - 1 ) ) A + B ) ) $=
        ( cfz co csu c1 caddc cz wcel wceq cuz syl cc cmin csn cin eluzelz fzsn
        cfv ineq2d clt wbr zred ltm1d fzdisj eqtr3d cun eluzel2 peano2zm ax-1cn
        zcnd npcan sylancl fveq2d eleqtrrd eluzp1m1 syl2anc fzsuc2 oveq2d sneqd
        c0 uneq2d fzfid fsumsplit eleq1d ralrimiva eluzfz2 rspcdva sumsn eqtrd
        cv ) AEFJKZBDLEFMUAKZJKZBDLZFUBZBDLZNKWBCNKAWAWCBVSDAWAFFJKZUCZWAWCUCVH
        AWEWCWAAFOPZWEWCQAFERUFZPZWGGEFUDSZFUESUGAVTFUHUIWFVHQAFAFWJUJUKEVTFFUL
        SUMAWAVTMNKZUBZUNZVSWAWCUNAEWKJKZWMVSAEOPZVTEMUAKZRUFPZWNWMQAWIWOGEFUOS
        ZAWPOPZFWPMNKZRUFZPWQAWOWSWREUPSAFWHXAGAWTERAETPMTPZWTEQAEWRURUQEMUSUTV
        AVBWPFVCVDEVTVEVDAWKFEJAFTPXBWKFQAFWJURUQFMUSUTZVFUMAWLWCWAAWKFXCVGVIUM
        AEFVJHVKAWDCWBNAWICTPZWDCQGABTPZXDDVSFDVRFQBCTIVLAXEDVSHVMAWIFVSPGEFVNS
        VOBCDFWHIVPVDVFVQ $.

      $( Separate out the last term in a finite sum.  (Contributed by Mario
         Carneiro, 13-Apr-2016.) $)
      fzosump1 $p |- ( ph -> sum_ k e. ( M ..^ ( N + 1 ) ) A =
                           ( sum_ k e. ( M ..^ N ) A + B ) ) $=
        ( cfzo co csu caddc c1 cmin cfz wcel wceq syl sumeq1d cz cuz cfv fzoval
        eluzelz oveq1d fsumm1 fzval3 3eqtr2rd ) AEFJKZBDLZCMKEFNOKPKZBDLZCMKEFP
        KZBDLEFNMKJKZBDLAUKUMCMAUJULBDAFUAQZUJULRAFEUBUCQUPGEFUESZEFUDSTUFABCDE
        FGHIUGAUNUOBDAUPUNUORUQEFUHSTUI $.
    $}

    fsum1p.3 $e |- ( k = M -> A = B ) $.
    $( Separate out the first term in a finite sum.  (Contributed by NM,
       3-Jan-2006.)  (Revised by Mario Carneiro, 23-Apr-2014.) $)
    fsum1p $p |- ( ph -> sum_ k e. ( M ... N ) A =
                       ( B + sum_ k e. ( ( M + 1 ) ... N ) A ) ) $=
      ( cfz co csu caddc cin c0 cz wcel wceq syl cc csn c1 cuz cfv eluzel2 fzsn
      ineq1d clt wbr ltp1d fzdisj eqtr3d cun eluzfz1 fzsplit uneq1d eqtrd fzfid
      zred fsumsplit cv eleq1d ralrimiva rspcdva sumsn syl2anc oveq1d ) AEFJKZB
      DLEUAZBDLZEUBMKZFJKZBDLZMKCVMMKAVIVLBVHDAEEJKZVLNZVIVLNOAVNVIVLAEPQZVNVIR
      AFEUCUDQZVPGEFUESZEUFSZUGAEVKUHUIVOORAEAEVRUSUJEEVKFUKSULAVHVNVLUMZVIVLUM
      AEVHQZVHVTRAVQWAGEFUNSZEEFUOSAVNVIVLVSUPUQAEFURHUTAVJCVMMAVPCTQZVJCRVRABT
      QZWCDVHEDVAERBCTIVBAWDDVHHVCWBVDBCDEPIVEVFVGUQ $.
  $}

  ${
    $d A k x $.  $d B x $.  $d Z k x $.
    $( A finite sum all of whose summands are integers is itself an integer
       (case where the summation set is the union of a finite set and a
       singleton).  (Contributed by Alexander van der Vekens, 1-Sep-2018.)
       (Revised by AV, 17-Dec-2021.) $)
    fsummsnunz $p |- ( ( A e. Fin /\ A. k e. ( A u. { Z } ) B e. ZZ )
                       -> sum_ k e. ( A u. { Z } ) B e. ZZ ) $=
      ( vx cfn wcel cz csn cun wral wa csu cv nfcv nfcsb1v csbeq1a cbvsumi snfi
      csb a1i unfi syldan wi rspcsbela expcom adantl imp fsumzcl eqeltrid ) AFG
      ZBHGCADIZJZKZLZUMBCMUMCENZBTZEMHUMBUQCEEBOCUPBPCUPBQRUOUMUQEUKUNULFGZUMFG
      URUODSUAAULUBUCUOUPUMGZUQHGZUNUSUTUDUKUSUNUTCUPUMBHUEUFUGUHUIUJ $.

    $d V x $.
    $( Separate out a term in a finite sum by splitting the sum into two parts.
       (Contributed by Alexander van der Vekens, 1-Sep-2018.)  (Revised by AV,
       17-Dec-2021.) $)
    fsumsplitsnun $p |- ( ( A e. Fin /\ ( Z e. V /\ Z e/ A )
                             /\ A. k e. ( A u. { Z } ) B e. ZZ )
                           -> sum_ k e. ( A u. { Z } ) B
                              = ( sum_ k e. A B + [_ Z / k ]_ B ) ) $=
      ( vx cfn wcel wa cz csu caddc co csb wceq 3ad2ant2 rspcsbela zcnd cbvsumi
      syl2anc wnel csn cun wral w3a cv cin c0 df-nel disjsn sylbb2 adantl eqidd
      wn snfi unfi mpan2 3ad2ant1 wi expcom 3ad2ant3 imp fsumsplit nfcv nfcsb1v
      csbeq1a oveq12i 3eqtr4g simp2l snidg adantr elun2 syl simp3 sumsns oveq2d
      cc eqtrd ) AGHZEDHZEAUAZIZBJHCAEUBZUCZUDZUEZWDBCKZABCKZWCBCKZLMZWHCEBNZLM
      WFWDCFUFZBNZFKAWMFKZWCWMFKZLMWGWJWFAWCWMWDFWBVSAWCUGUHOZWEWAWPVTWAEAHUNWP
      EAUIAEUJUKULPWFWDUMVSWBWDGHZWEVSWCGHWQEUOAWCUPUQURWFWLWDHZIWMWFWRWMJHZWEV
      SWRWSUSWBWRWEWSCWLWDBJQUTVAVBRVCWDBWMCFFBVDZCWLBVEZCWLBVFZSWHWNWIWOLABWMC
      FWTXAXBSWCBWMCFWTXAXBSVGVHWFWIWKWHLWFVTWKVQHWIWKOVSVTWAWEVIWFWKWFEWDHZWEW
      KJHWFEWCHZXCWBVSXDWEVTXDWAEDVJVKPEWCAVLVMVSWBWEVNCEWDBJQTRBCEDVOTVPVR $.
  $}

  ${
    $d k B $.  $d k M $.  $d k N $.  $d k ph $.
    fsump1.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    fsump1.2 $e |- ( ( ph /\ k e. ( M ... ( N + 1 ) ) ) -> A e. CC ) $.
    fsump1.3 $e |- ( k = ( N + 1 ) -> A = B ) $.
    $( The addition of the next term in a finite sum of ` A ( k ) ` is the
       current term plus ` B ` i.e. ` A ( N + 1 ) ` .  (Contributed by NM,
       4-Nov-2005.)  (Revised by Mario Carneiro, 21-Apr-2014.) $)
    fsump1 $p |- ( ph -> sum_ k e. ( M ... ( N + 1 ) ) A =
                       ( sum_ k e. ( M ... N ) A + B ) ) $=
      ( c1 caddc co cfz csu cmin cuz cfv wcel syl cc peano2uz fsumm1 cz eluzelz
      wceq zcnd ax-1cn pncan sylancl oveq2d sumeq1d oveq1d eqtrd ) AEFJKLZMLBDN
      EUNJOLZMLZBDNZCKLEFMLZBDNZCKLABCDEUNAFEPQZRZUNUTRGEFUASHIUBAUQUSCKAUPURBD
      AUOFEMAFTRJTRUOFUEAFAVAFUCRGEFUDSUFUGFJUHUIUJUKULUM $.
  $}

  ${
    $d k F $.  $d k M $.  $d k ph $.  $d k Z $.
    isumclim.1 $e |- Z = ( ZZ>= ` M ) $.
    isumclim.2 $e |- ( ph -> M e. ZZ ) $.
    isumclim.3 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.
    isumclim.4 $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
    ${
      isumclim.6 $e |- ( ph -> seq M ( + , F ) ~~> B ) $.
      $( An infinite sum equals the value its series converges to.
         (Contributed by NM, 25-Dec-2005.)  (Revised by Mario Carneiro,
         23-Apr-2014.) $)
      isumclim $p |- ( ph -> sum_ k e. Z A = B ) $=
        ( csu caddc cseq cli cfv isum wfun cc wbr wceq fclim ffun ax-mp funbrfv
        cdm wf mpsyl eqtrd ) AGBDMNEFOZPQZCABDEFGHIJKRPSZAUKCPUAULCUBPUGZTPUHUM
        UCUNTPUDUELUKCPUFUIUJ $.
    $}

    isumclim2.5 $e |- ( ph -> seq M ( + , F ) e. dom ~~> ) $.
    $( A converging series converges to its infinite sum.  (Contributed by NM,
       2-Jan-2006.)  (Revised by Mario Carneiro, 23-Apr-2014.) $)
    isumclim2 $p |- ( ph -> seq M ( + , F ) ~~> sum_ k e. Z A ) $=
      ( caddc cseq cli cfv csu cdm wcel wbr climdm sylib isum breqtrrd ) ALDEMZ
      UDNOZFBCPNAUDNQRUDUENSKUDTUAABCDEFGHIJUBUC $.
  $}

  ${
    $d j m x A $.  $d j k m x M $.  $d j k m x ph $.  $d j k m x Z $.
    $d j x F $.
    isumclim3.1 $e |- Z = ( ZZ>= ` M ) $.
    isumclim3.2 $e |- ( ph -> M e. ZZ ) $.
    isumclim3.3 $e |- ( ph -> F e. dom ~~> ) $.
    isumclim3.4 $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
    isumclim3.5 $e |- ( ( ph /\ j e. Z ) ->
                        ( F ` j ) = sum_ k e. ( M ... j ) A ) $.
    $( The sequence of partial finite sums of a converging infinite series
       converges to the infinite sum of the series.  Note that ` j ` must not
       occur in ` A ` .  (Contributed by NM, 9-Jan-2006.)  (Revised by Mario
       Carneiro, 23-Apr-2014.) $)
    isumclim3 $p |- ( ph -> F ~~> sum_ k e. Z A ) $=
      ( vm vx cli cfv csu wcel wbr cv cdm climdm sylib caddc cmpt cseq sumfc wa
      eqidd cc fmpttd ffvelrnda isum eqtr3id cio cvv seqex a1i cfz co fvres wss
      cres wceq fzssuz sseqtrri resmpt ax-mp fveq1i eqtr3di sumeq2i eqtri simpr
      cuz eleqtrdi simpl elfzuz eleqtrrdi syl2an fsumser eqtr2d climeq iotabidv
      df-fv 3eqtr4g eqtrd breqtrrd ) AEEOPZGBDQZOAEOUAZREWHOSJEUBUCAWIUDDGBUEZF
      UFZOPZWHAWIGMTZWKPZMQWMGBMDUGAWOMWKFGHIAWNGRZUHWOUIAGUJWNWKADGBUJKUKULZUM
      UNAWLNTZOSZNUOEWROSZNUOWMWHAWSWTNAWRCWLEFUPWJGHWLUPRAUDWKFUQURJIACTZGRZUH
      ZXAEPFXAUSUTZBDQZXAWLPZLXCXEXDWOMQZXFXGXDWNDXDBUEZPZMQXEXDWOXIMWNXDRZWNWK
      XDVCZPWOXIWNXDWKVAWNXKXHXDGVBXKXHVDXDFVNPZGFXAVEHVFDGXDBVGVHVIVJVKXDBMDUG
      VLXCWOMWKFXAXCXJUHWOUIXCXAGXLAXBVMHVOXCAWPWOUJRXJAXBVPXJWNXLGWNFXAVQHVRWQ
      VSVTUNWAWBWCNWLOWDNEOWDWEWFWG $.
  $}

  ${
    $d m A $.  $d k m B $.  $d k m F $.  $d k m ph $.  $d k m Z $.  $d k m M $.
    isumcl.1 $e |- Z = ( ZZ>= ` M ) $.
    isumcl.2 $e |- ( ph -> M e. ZZ ) $.
    isumcl.3 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.
    isumcl.4 $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
    ${
      sumnul.5 $e |- ( ph -> -. seq M ( + , F ) e. dom ~~> ) $.
      $( The sum of a non-convergent infinite series evaluates to the empty
         set.  (Contributed by Paul Chapman, 4-Nov-2007.)  (Revised by Mario
         Carneiro, 23-Apr-2014.) $)
      sumnul $p |- ( ph -> sum_ k e. Z A = (/) ) $=
        ( csu caddc cseq cli cfv c0 isum cdm wcel wn wceq ndmfv syl eqtrd ) AFB
        CLMDENZOPZQABCDEFGHIJRAUFOSTUAUGQUBKUFOUCUDUE $.
    $}

    isumcl.5 $e |- ( ph -> seq M ( + , F ) e. dom ~~> ) $.
    $( The sum of a converging infinite series is a complex number.
       (Contributed by NM, 13-Dec-2005.)  (Revised by Mario Carneiro,
       23-Apr-2014.) $)
    isumcl $p |- ( ph -> sum_ k e. Z A e. CC ) $=
      ( csu caddc cseq cli cfv cc isum cdm wcel fclim ffvelrn sylancr eqeltrd
      wf ) AFBCLMDENZOPZQABCDEFGHIJRAOSZQOUEUFUHTUGQTUAKUHQUFOUBUCUD $.

    summulc.6 $e |- ( ph -> B e. CC ) $.
    $( An infinite sum multiplied by a constant.  (Contributed by NM,
       12-Nov-2005.)  (Revised by Mario Carneiro, 23-Apr-2014.) $)
    isummulc2 $p |- ( ph ->
                      ( B x. sum_ k e. Z A ) = sum_ k e. Z ( B x. A ) ) $=
      ( vm cmul co cfv wcel cc wceq cv csu eqidd adantr mulcld fmpttd ffvelrnda
      cmpt wa isumclim2 wral eqeltrd ralrimiva fveq2 eleq1d rspccva sylan simpr
      cvv ovex eqid fvmpt2 sylancl oveq2d nffvmpt1 nfeq1 eqeq12d rspc isermulc2
      eqtr4d mpan9 isumclim sumfc eqtr3di ) AGNUAZDGCBOPZUHZQZNUBCGBDUBZOPZGVPD
      UBAVRVTNVQFGHIAVOGRZUIVRUCAGSVOVQADGVPSADUAZGRZUIZCBACSRWCMUDKUEUFUGAVSCN
      EVQFGHIMABDEFGHIJKLUJAWBEQZSRZDGUKWAVOEQZSRZAWFDGWDWEBSJKULUMWFWHDVOGWBVO
      TZWEWGSWBVOEUNZUOUPUQAWBVQQZCWEOPZTZDGUKWAVRCWGOPZTZAWMDGWDWKVPWLWDWCVPUS
      RWKVPTAWCURCBOUTDGVPUSVQVQVAVBVCWDWEBCOJVDVJUMWMWODVOGDVRWNDGVPVOVEVFWIWK
      VRWLWNWBVOVQUNWIWEWGCOWJVDVGVHVKVIVLGVPNDVMVN $.

    $( An infinite sum multiplied by a constant.  (Contributed by NM,
       13-Nov-2005.)  (Revised by Mario Carneiro, 23-Apr-2014.) $)
    isummulc1 $p |- ( ph ->
                      ( sum_ k e. Z A x. B ) = sum_ k e. Z ( A x. B ) ) $=
      ( csu cmul co isummulc2 isumcl mulcomd wcel cv wa adantr sumeq2dv 3eqtr4d
      cc ) ACGBDNZOPGCBOPZDNUGCOPGBCOPZDNABCDEFGHIJKLMQAUGCABDEFGHIJKLRMSAGUIUH
      DADUAGTZUBBCKACUFTUJMUCSUDUE $.

    isumdivc.7 $e |- ( ph -> B =/= 0 ) $.
    $( An infinite sum divided by a constant.  (Contributed by NM, 2-Jan-2006.)
       (Revised by Mario Carneiro, 23-Apr-2014.) $)
    isumdivc $p |- ( ph -> ( sum_ k e. Z A / B ) = sum_ k e. Z ( A / B ) ) $=
      ( csu cdiv co cmul divrecd wcel c1 reccld isummulc1 isumcl adantr cc0 wne
      cv wa cc sumeq2dv 3eqtr4d ) AGBDOZUACPQZRQGBUNRQZDOUMCPQGBCPQZDOABUNDEFGH
      IJKLACMNUBUCAUMCABDEFGHIJKLUDMNSAGUPUODADUHGTZUIBCKACUJTUQMUEACUFUGUQNUES
      UKUL $.
  $}

  ${
    $d j A $.  $d j k F $.  $d j k M $.  $d j k ph $.  $d j k Z $.
    isumrecl.1 $e |- Z = ( ZZ>= ` M ) $.
    isumrecl.2 $e |- ( ph -> M e. ZZ ) $.
    isumrecl.3 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.
    isumrecl.4 $e |- ( ( ph /\ k e. Z ) -> A e. RR ) $.
    isumrecl.5 $e |- ( ph -> seq M ( + , F ) e. dom ~~> ) $.
    $( The sum of a converging infinite real series is a real number.
       (Contributed by Mario Carneiro, 24-Apr-2014.) $)
    isumrecl $p |- ( ph -> sum_ k e. Z A e. RR ) $=
      ( vj csu caddc cseq cv wcel wa recnd cr isumclim2 eqeltrd serfre climrecl
      cfv ffvelrnda ) AFBCMLNDEOZEFGHABCDEFGHIACPZFQRZBJSKUAAFTLPUGACDEFGHUIUHD
      UEBTIJUBUCUFUD $.

    isumge0.6 $e |- ( ( ph /\ k e. Z ) -> 0 <_ A ) $.
    $( An infinite sum of nonnegative terms is nonnegative.  (Contributed by
       Mario Carneiro, 28-Apr-2014.) $)
    isumge0 $p |- ( ph -> 0 <_ sum_ k e. Z A ) $=
      ( vj cc0 cv cfv csu cle caddc breqtrrd cseq wcel wa recnd isumclim2 fveq2
      cli cbvsumv sumeq2dv eqtrid cr eqeltrd iserge0 breqtrd ) ANFMOZDPZMQZFBCQ
      ZRAUQCDEFGHASDEUAURUQUGABCDEFGHIACOZFUBUCZBJUDKUEAUQFUSDPZCQURFUPVAMCUOUS
      DUFUHAFVABCIUIUJZTUTVABUKIJULUTNBVARLITUMVBUN $.
  $}

  ${
    $d j k m F $.  $d j k m G $.  $d j k M $.  $d j k ph $.  $d j k m Z $.
    $d j A $.  $d j B $.
    isumadd.1 $e |- Z = ( ZZ>= ` M ) $.
    isumadd.2 $e |- ( ph -> M e. ZZ ) $.
    isumadd.3 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.
    isumadd.4 $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
    isumadd.5 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) = B ) $.
    isumadd.6 $e |- ( ( ph /\ k e. Z ) -> B e. CC ) $.
    isumadd.7 $e |- ( ph -> seq M ( + , F ) e. dom ~~> ) $.
    isumadd.8 $e |- ( ph -> seq M ( + , G ) e. dom ~~> ) $.
    $( Addition of infinite sums.  (Contributed by Mario Carneiro,
       18-Aug-2013.)  (Revised by Mario Carneiro, 23-Apr-2014.) $)
    isumadd $p |- ( ph -> sum_ k e. Z ( A + B ) =
                        ( sum_ k e. Z A + sum_ k e. Z B ) ) $=
      ( caddc cfv wcel cc vm vj co csu cv cmpt wa wceq fveq2 oveq12d eqid fvmpt
      ovex adantl eqtrd cseq cvv isumclim2 seqex a1i eqeltrd serf ffvelrnda cuz
      addcld simpr eleqtrdi cfz simpll elfzuz eleqtrrdi syl2anc seradd isumclim
      syl climadd ) ABCQUCZHBDUDZHCDUDZQUCDUAHUAUEZERZVTFRZQUCZUFZGHIJADUEZHSZU
      GZWEWDRZWEERZWEFRZQUCZVQWFWHWKUHZAUAWEWCWKHWDVTWEUHWAWIWBWJQVTWEEUIVTWEFU
      IUJWDUKWIWJQUMULZUNWGWIBWJCQKMUJUOWGBCLNVEAVRVSUBQEGUPZQFGUPZQWDGUPZGUQHI
      JABDEGHIJKLOURWPUQSAQWDGUSUTACDFGHIJMNPURAHTUBUEZWNADEGHIJWGWIBTKLVAZVBVC
      AHTWQWOADFGHIJWGWJCTMNVAZVBVCAWQHSZUGZDEFWDGWQXAWQHGVDRZAWTVFIVGXAWEGWQVH
      UCSZUGZAWFWITSAWTXCVIZXCWFXAXCWEXBHWEGWQVJIVKUNZWRVLXDAWFWJTSXEXFWSVLXDWF
      WLXFWMVOVMVPVN $.
  $}

  ${
    $d k A $.  $d k B $.  $d k F $.  $d k G $.  $d k M $.  $d k ph $.
    $d k Z $.
    sumsplit.1 $e |- Z = ( ZZ>= ` M ) $.
    sumsplit.2 $e |- ( ph -> M e. ZZ ) $.
    sumsplit.3 $e |- ( ph -> ( A i^i B ) = (/) ) $.
    sumsplit.4 $e |- ( ph -> ( A u. B ) C_ Z ) $.
    sumsplit.5 $e |- ( ( ph /\ k e. Z ) ->
                       ( F ` k ) = if ( k e. A , C , 0 ) ) $.
    sumsplit.6 $e |- ( ( ph /\ k e. Z ) ->
                       ( G ` k ) = if ( k e. B , C , 0 ) ) $.
    sumsplit.7 $e |- ( ( ph /\ k e. ( A u. B ) ) -> C e. CC ) $.
    sumsplit.8 $e |- ( ph -> seq M ( + , F ) e. dom ~~> ) $.
    sumsplit.9 $e |- ( ph -> seq M ( + , G ) e. dom ~~> ) $.
    $( Split a sum into two parts.  (Contributed by Mario Carneiro,
       18-Aug-2013.)  (Revised by Mario Carneiro, 23-Apr-2014.) $)
    sumsplit $p |- ( ph -> sum_ k e. ( A u. B ) C =
                         ( sum_ k e. A C + sum_ k e. B C ) ) $=
      ( wcel cc0 cun csu cv cif caddc co wss cc wral cuz cfv cfn wceq ralrimiva
      wo eqimssi a1i orcd sumss2 syl21anc wa iftrue adantl elun1 sylan2 eqeltrd
      wn iffalse 0cn eqeltrdi pm2.61dan adantr elun2 isumadd addid1d wi c0 noel
      cin eleq2d elin bitr3di mtbii imnan sylibr imp syl oveq12d addid2d oveq1d
      3eqtr4rd wb elun biorf bitr4id ifbid sumeq2sdv unssad unssbd eqtr4d ) ABC
      UAZDEUBZIEUCZXASZDTUDZEUBZBDEUBZCDEUBZUEUFZAXAIUGDUHSZEXAUIIHUJUKZUGZIULS
      ZUOZXBXFUMMAXJEXAPUNAXLXMXLAIXKJUPUQURZXAIDEHUSUTAIXCBSZDTUDZXCCSZDTUDZUE
      UFZEUBIXQEUBZIXSEUBZUEUFXFXIAXQXSEFGHIJKNAXQUHSZXCISZAXPYCAXPVAZXQDUHXPXQ
      DUMAXPDTVBVCZXPAXDXJXCBCVDZPVEZVFXPVGZYCAYIXQTUHXPDTVHZVIVJVCVKVLOAXSUHSZ
      YDAXRYKAXRVAXSDUHXRXSDUMAXRDTVBVCXRAXDXJXCCBVMPVEZVFXRVGZYKAYMXSTUHXRDTVH
      ZVIVJVCVKZVLQRVNAIXEXTEAXPXEXTUMYEDTUEUFDXTXEYEDYHVOYEXQDXSTUEYFYEYMXSTUM
      AXPYMAXPXRVAZVGXPYMVPAXCVQSZYPXCVRAXCBCVSZSYQYPAYRVQXCLVTXCBCWAWBWCXPXRWD
      WEWFYNWGWHXPXEDUMZAXPXDYSYGXDDTVBWGVCWKAYIVAZTXSUEUFZXSXTXEAUUAXSUMYIAXSY
      OWIVLYTXQTXSUEYIXQTUMAYJVCWJYTXDXRDTYIXDXRWLAYIXDXPXRUOXRXCBCWMXPXRWNWOVC
      WPWKVKWQAXGYAXHYBUEABIUGXJEBUIXNXGYAUMABCIMWRAXJEBYHUNXOBIDEHUSUTACIUGXJE
      CUIXNXHYBUMABCIMWSAXJECYLUNXOCIDEHUSUTWHWKWT $.
  $}

  ${
    $d k B $.  $d k K $.  $d k M $.  $d k N $.  $d k ph $.
    fsump1i.1 $e |- Z = ( ZZ>= ` M ) $.
    fsump1i.2 $e |- N = ( K + 1 ) $.
    fsump1i.3 $e |- ( k = N -> A = B ) $.
    fsump1i.4 $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
    fsump1i.5 $e |- ( ph -> ( K e. Z /\ sum_ k e. ( M ... K ) A = S ) ) $.
    fsump1i.6 $e |- ( ph -> ( S + B ) = T ) $.
    $( Optimized version of ~ fsump1 for making sums of a concrete number of
       terms.  (Contributed by Mario Carneiro, 23-Apr-2014.) $)
    fsump1i $p |- ( ph -> ( N e. Z /\ sum_ k e. ( M ... N ) A = T ) ) $=
      ( wcel cfz co wceq csu c1 caddc cuz cfv simpld eleqtrdi peano2uz eqeltrid
      eleqtrrdi syl oveq2i sumeq1i cv elfzuz sylan2 eqeq2i sylbir fsump1 eqtrid
      cc simprd oveq1d 3eqtrd jca ) AIJQHIRSZBFUAZETAIGUBUCSZJLAGHUDUEZQZVHJQAG
      JVIAGJQZHGRSBFUAZDTZOUFKUGZVJVHVIJHGUHKUJUKUIAVGVLCUCSZDCUCSEAVGHVHRSZBFU
      AVOVFVPBFIVHHRLULUMABCFHGVNFUNZVPQZAVQJQBVAQVRVQVIJVQHVHUOKUJNUPVQVHTVQIT
      BCTIVHVQLUQMURUSUTAVLDCUCAVKVMOVBVCPVDVE $.
  $}

  ${
    $d j k m w x y z A $.  $d k m w x y z B $.  $d j k m w x y D $.
    $d m w x y z C $.  $d j k m w z ph $.
    fsum2d.1 $e |- ( z = <. j , k >. -> D = C ) $.
    fsum2d.2 $e |- ( ph -> A e. Fin ) $.
    fsum2d.3 $e |- ( ( ph /\ j e. A ) -> B e. Fin ) $.
    fsum2d.4 $e |- ( ( ph /\ ( j e. A /\ k e. B ) ) -> C e. CC ) $.
    ${
      fsum2d.5 $e |- ( ph -> -. y e. x ) $.
      fsum2d.6 $e |- ( ph -> ( x u. { y } ) C_ A ) $.
      fsum2d.7 $e |- ( ps <-> sum_ j e. x sum_ k e. B C =
                             sum_ z e. U_ j e. x ( { j } X. B ) D ) $.
      $( Lemma for ~ fsum2d - induction step.  (Contributed by Mario Carneiro,
         23-Apr-2014.) $)
      fsum2dlem $p |- ( ( ph /\ ps ) ->
                        sum_ j e. ( x u. { y } ) sum_ k e. B C =
                        sum_ z e. U_ j e. ( x u. { y } ) ( { j } X. B ) D ) $=
        ( vm wcel wa cv csu csn caddc co cxp ciun csb cun wceq simpr sylib nfcv
        nfcsb1v nfsum weq csbeq1a adantr sumeq12dv cbvsumi cc wss unssbd sylibr
        vex snss cfn wral ralrimiva nfel1 eleq1d rspc sylc ralrimivva raleqbidv
        nfralw r19.21bi fsumcl csbeq1 sumsn syl2anc c2nd cres snfi xpfi sylancr
        cfv wf1o 2ndconst syl fvres adantl mpan9 fsumf1o cop wex elxp nfv nfcri
        nfan nfex opeq1 eqeq2d velsn anbi1i eqtr2 eleq2d bitr4id equequ1 anbi1d
        pm5.32da bitrd anbi12d exbidv bitri nfcsbw nfeq2 ad2antlr exlimd syl5bi
        cbvexv1 ad2antrl imp eqtrid eqtrd wel cin c0 fsumsplit wrex eliun xp1st
        syldan elsni eqeltrd elin sneq xpeq12d eqtri fveq2 op2nd eqtr2di 3eqtrd
        expl sumeq2dv eqtr4d oveq12d wn disjsn eqidd ssfid sselda anassrs simpl
        c1st rexlimiva sylbi anim12i 3imtr4i noel pm2.21i syl6bi syl5 ssrdv ss0
        iunxun nfxp cbviun iunxsn uneq2i a1i iunfi simprl simprrl opeq1d simpll
        simprrr syl12anc ex exlimdvv rexlimdva 3eqtr4d ) ABUAZCUBZGHKUCZJUCZDUB
        ZUDZUWFJUCZUEUFZJUWEJUBZUDZGUGZUHZIEUCZUWIJUWHGUIZUGZIEUCZUEUFZUWEUWIUJ
        ZUWFJUCZJUXAUWNUHZIEUCZUWDUWGUWPUWJUWSUEUWDBUWGUWPUKABULRUMAUWJUWSUKBAU
        WJUWIJSUBZGUIZJUXEHUIZKUCZSUCZUWSUWIUWFUXHJSSUWFUNJUXFUXGKJUXEGUOZJUXEH
        UOUPJSUQZGUXFHUXGKJUXEGURZUXKHUXGUKKUBZGTZJUXEHURUSUTVAAUXIUWQJUWHHUIZK
        UCZUWSAUWHFTZUXPVBTUXIUXPUKAUWIFVCUXQAUWEUWIFQVDUWHFDVFZVGVEZAUWQUXOKAU
        XQGVHTZJFVIUWQVHTZUXSAUXTJFNVJUXTUYAJUWHFJUWQVHJUWHGUOZVKJDUQZGUWQVHJUW
        HGURZVLVMVNZAUXOVBTZKUWQAUXQHVBTZKGVIZJFVIUYFKUWQVIZUXSAUYGJKFGOVOUYHUY
        IJUWHFUYFJKUWQUYBJUXOVBJUWHHUOZVKVQUYCUYGUYFKGUWQUYDUYCHUXOVBJUWHHURZVL
        VPVMVNZVRVSUXHUXPSUWHFSDUQZUXFUWQUXGUXOKJUXEUWHGVTZUYMUXGUXOUKUXMUXFTJU
        XEUWHHVTUSUTWAWBAUXPUWQKUXEUXOUIZSUCZUWSUWQUXOUYOKSSUXOUNKUXEUXOUOZKUXE
        UXOURZVAAUYPUWRKEUBZWCWHZUXOUIZEUCUWSAUWQUYOUWRVUASEWCUWRWDZUYTKUXEUYTU
        XOVTAUWIVHTUYAUWRVHTUWHWEUYEUWIUWQWFWGAUXQUWRUWQVUBWIUXSUWHUWQFWJWKUYSU
        WRTZUYSVUBWHUYTUKAUYSUWRWCWLWMAUYIUXEUWQTUYOVBTZUYLUYFVUDKUXEUWQKUYOVBU
        YQVKKSUQUXOUYOVBUYRVLVMWNWOAUWRIVUAEAVUCIVUAUKZVUCUYSUWLUXMWPZUKZUYCUXN
        UAZUAZKWQZJWQZAVUEVUCUYSUXEUXMWPZUKZUXEUWITZUXMUWQTZUAZUAZKWQZSWQVUKSKU
        YSUWIUWQWRVURVUJSJVUQJKVUMVUPJVUMJWSVUNVUOJVUNJWSJKUWQUYBWTXAXAXBVUJSWS
        SJUQZVUQVUIKVUSVUMVUGVUPVUHVUSVULVUFUYSUXEUWLUXMXCXDVUSVUPUYMUXNUAZVUHV
        USVUPUYMVUOUAVUTVUNUYMVUOSUWHXEXFVUSUYMUXNVUOVUSUYMUAZGUWQUXMVVAUYCGUWQ
        UKUXEUWLUWHXGUYDWKXHXLXIVUSUYMUYCUXNSJDXJXKXMXNXOYBXPAVUJVUEJAJWSJIVUAJ
        KUYTUXOJUYTUNUYJXQXRAVUIVUEKAKWSKIVUAKUYTUXOUOXRAVUGVUHVUEAVUGUAZVUHUAZ
        IHUXOVUAVUGIHUKZAVUHLXSUYCHUXOUKVVBUXNUYKYCVVCUXMUYTUKZUXOVUAUKVUGVVEAV
        UHVUGUYTVUFWCWHUXMUYSVUFWCUUAUWLUXMJVFKVFUUBUUCXSKUYTUXOURWKUUDUUEXTXTY
        AYDUUFUUGYEYFYEUSUUHAUXBUWKUKBAUWEUWIUWFUXAJADCYGUUIUWEUWIYHZYIUKPUWEUW
        HUUJVEZAUXAUUKAFUXAMQUULZAUWLUXATZUWLFTZUWFVBTAUXAFUWLQUUMZAVVJUAGHKNAV
        VJUXNUYGOUUNVSYNYJUSAUXDUWTUKBAUWOUWRIUXCEAUWOUWRYHZYIVCVVLYIUKAEVVLYIU
        YSVVLTZUYSUUPWHZVVFTZAUYSYITZUYSUWOTZVUCUAVVNUWETZVVNUWITZUAVVMVVOVVQVV
        RVUCVVSVVQUYSUWNTZJUWEYKVVRJUYSUWEUWNYLVVTVVRJUWEJCYGZVVTUAVVNUWLUWEVVT
        VVNUWLUKZVWAVVTVVNUWMTVWBUYSUWMGYMVVNUWLYOWKWMVWAVVTUUOYPUUQUURUYSUWIUW
        QYMUUSUYSUWOUWRYQVVNUWEUWIYQUUTAVVOVVNYITZVVPAVVFYIVVNVVGXHVWCVVPVVNUVA
        UVBUVCUVDUVEVVLUVFWKUXCUWOUWRUJZUKAUXCUWOJUWIUWNUHZUJVWDJUWEUWIUWNUVGVW
        EUWRUWOVWESUWIUXEUDZUXFUGZUHUWRJSUWIUWNVWGSUWNUNJVWFUXFJVWFUNUXJUVHUXKU
        WMVWFGUXFUWLUXEYRUXLYSUVISUWHVWGUWRUXRUYMVWFUWIUXFUWQUXEUWHYRUYNYSUVJYT
        UVKYTUVLAUXAVHTUWNVHTZJUXAVIUXCVHTVVHAVWHJUXAAVVIUAZUWMVHTUXTVWHUWLWEAV
        VIVVJUXTVVKNYNUWMGWFWGVJJUXAUWNUVMWBAUYSUXCTZIVBTZVWJVVTJUXAYKAVWKJUYSU
        XAUWNYLAVVTVWKJUXAVVTVUMUXEUWMTZUXNUAZUAZKWQSWQVWIVWKSKUYSUWMGWRVWIVWNV
        WKSKVWIVWNVWKVWIVWNUAZIHVBVWOVUGVVDVWOUYSVULVUFVWIVUMVWMUVNVWOUXEUWLUXM
        VWOVWLVUSVWIVUMVWLUXNUVOUXEUWLYOWKUVPYFLWKVWOAVVJUXNUYGAVVIVWNUVQVWIVVJ
        VWNVVKUSVWIVUMVWLUXNUVROUVSYPUVTUWAYAUWBYAYDYJUSUWC $.
    $}

    $d x y ph $.
    $( Write a double sum as a sum over a two-dimensional region.  Note that
       ` B ( j ) ` is a function of ` j ` .  (Contributed by Mario Carneiro,
       27-Apr-2014.) $)
    fsum2d $p |- ( ph -> sum_ j e. A sum_ k e. B C =
                         sum_ z e. U_ j e. A ( { j } X. B ) D ) $=
      ( wss csu cv ciun wceq wcel wi c0 vw vx csn cxp ssid cfn cun sseq1 sumeq1
      iuneq1 sumeq1d eqeq12d imbi12d imbi2d cc0 sum0 0iun sumeq1i 3eqtr4ri 2a1i
      vy wn wa ssun1 sstr mpan imim1i simpll syl sylan cc simplr biid fsum2dlem
      simpr exp31 a2d syl5 expcom adantl findcard2s mpcom mpi ) ACCMZCDEHNZGNZG
      CGOZUCDUDZPZFBNZQZCUECUFRZAWDWKSZJAUAOZCMZWNWEGNZGWNWHPZFBNZQZSZSATCMZTWE
      GNZGTWHPZFBNZQZSZSAUBOZCMZXGWEGNZGXGWHPZFBNZQZSZSZAXGVAOZUCZUGZCMZXQWEGNZ
      GXQWHPZFBNZQZSZSZAWMSUAUBVACWNTQZWTXFAYEWOXAWSXEWNTCUHYEWPXBWRXDWNTWEGUIY
      EWQXCFBGWNTWHUJUKULUMUNWNXGQZWTXMAYFWOXHWSXLWNXGCUHYFWPXIWRXKWNXGWEGUIYFW
      QXJFBGWNXGWHUJUKULUMUNWNXQQZWTYCAYGWOXRWSYBWNXQCUHYGWPXSWRYAWNXQWEGUIYGWQ
      XTFBGWNXQWHUJUKULUMUNWNCQZWTWMAYHWOWDWSWKWNCCUHYHWPWFWRWJWNCWEGUIYHWQWIFB
      GWNCWHUJUKULUMUNXEAXATFBNUOXDXBFBUPXCTFBGWHUQURWEGUPUSUTXOXGRVBZXNYDSXGUF
      RYIAXMYCAYIXMYCSXMXRXLSAYIVCZYCXRXHXLXGXQMXRXHXGXPVDXGXQCVEVFVGYJXRXLYBYJ
      XRXLYBYJXRVCZXLUBVABCDEFGHIYKAWLAYIXRVHZJVIYKAWGCRZDUFRYLKVJYKAYMHODRVCEV
      KRYLLVJAYIXRVLYJXRVOXLVMVNVPVQVRVSVQVTWAWBWC $.
  $}

  ${
    $d j k z A $.  $d j k z B $.  $d z C $.  $d j k D $.  $d j k z ph $.
    fsumxp.1 $e |- ( z = <. j , k >. -> D = C ) $.
    fsumxp.2 $e |- ( ph -> A e. Fin ) $.
    fsumxp.3 $e |- ( ph -> B e. Fin ) $.
    fsumxp.4 $e |- ( ( ph /\ ( j e. A /\ k e. B ) ) -> C e. CC ) $.
    $( Combine two sums into a single sum over the cartesian product.
       (Contributed by Mario Carneiro, 23-Apr-2014.) $)
    fsumxp $p |- ( ph -> sum_ j e. A sum_ k e. B C =
                         sum_ z e. ( A X. B ) D ) $=
      ( csu cv csn cxp ciun cfn wcel adantr fsum2d iunxpconst sumeq1i eqtrdi )
      ACDEHMGMGCGNZODPQZFBMCDPZFBMABCDEFGHIJADRSUECSKTLUAUFUGFBGCDUBUCUD $.
  $}

  ${
    $d x y z A $.  $d j k y B $.  $d j k x C $.  $d x y z ph $.  $d x y D $.
    fsumcnv.1 $e |- ( x = <. j , k >. -> B = D ) $.
    fsumcnv.2 $e |- ( y = <. k , j >. -> C = D ) $.
    fsumcnv.3 $e |- ( ph -> A e. Fin ) $.
    fsumcnv.4 $e |- ( ph -> Rel A ) $.
    fsumcnv.5 $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    $( Transform a region of summation by using the converse operation.
       (Contributed by Mario Carneiro, 23-Apr-2014.) $)
    fsumcnv $p |- ( ph -> sum_ x e. A B = sum_ y e. `' A C ) $=
      ( vz ccnv cv cfv csb wceq csu c2nd c1st csn cuni cmpt cop csbeq1a fvex wa
      opex csbie opeq12 csbeq1d eqtr3id csbie2 eqtr4di cfn wcel cnvfi wf1o wrel
      syl relcnv cnvf1o ax-mp dfrel2 sylib f1oeq3d mpbii 1st2nd fveq2d eqeltrrd
      mpan id sneq cnveqd unieqd opswap eqtrdi eqid fvmpt adantl fsumf1o ancoms
      eqtrd sumeq2i ) ADEBUADPZHCQZUBRZIWIUCRZGSSZCUAWHFCUAADEWHWLBCOWHOQZUDZPZ
      UEZUFZWJWKUGZBQWRTEBWRESZWLBWREUHHIWJWKGWSWIUBUIZWIUCUIZHQZWJTZIQZWKTZUJZ
      GBXBXDUGZESWSBXGEGXBXDUKJULXFBXGWREXBXDWJWKUMUNUOUPUQADURUSWHURUSLDUTVCAW
      HWHPZWQVAZWHDWQVAWHVBZXIDVDZOWHVEVFAXHDWHWQADVBXHDTMDVGVHVIVJWIWHUSZWIWQR
      ZWRTAXLXMWKWJUGZWQRZWRXLWIXNWQXJXLWIXNTZXKWIWHVKVNZVLXLXNWHUSXOWRTXLWIXNW
      HXQXLVOVMOXNWPWRWHWQWMXNTZWPXNUDZPZUEWRXRWOXTXRWNXSWMXNVPVQVRWKWJVSVTWQWA
      WJWKUKWBVCWFWCNWDWHFWLCXLFCXNFSZWLXLXPFYATXQCXNFUHVCHIWJWKGYAWTXAXFGCXDXB
      UGZFSYACYBFGXDXBUKKULXFCYBXNFXEXCYBXNTXDXBWKWJUMWEUNUOUPUQWGUQ $.
  $}

  ${
    $d j k m n x y z A $.  $d j k m n w x y z C $.  $d j k m n w x y z ph $.
    $d k m n x y z B $.  $d j m n w x y z D $.  $d m n w z E $.
    fsumcom2.1 $e |- ( ph -> A e. Fin ) $.
    fsumcom2.2 $e |- ( ph -> C e. Fin ) $.
    fsumcom2.3 $e |- ( ( ph /\ j e. A ) -> B e. Fin ) $.
    fsumcom2.4 $e |- ( ph ->
      ( ( j e. A /\ k e. B ) <-> ( k e. C /\ j e. D ) ) ) $.
    fsumcom2.5 $e |- ( ( ph /\ ( j e. A /\ k e. B ) ) -> E e. CC ) $.
    $( Interchange order of summation.  Note that ` B ( j ) ` and ` D ( k ) `
       are not necessarily constant expressions.  (Contributed by Mario
       Carneiro, 28-Apr-2014.)  (Revised by Mario Carneiro, 8-Apr-2016.)
       (Proof shortened by JJ, 2-Aug-2021.) $)
    fsumcom2 $p |- ( ph -> sum_ j e. A sum_ k e. B E =
                           sum_ k e. C sum_ j e. D E ) $=
      ( vm vn csb csu wceq wcel wa vz vw vx vy csn cxp ciun c2nd c1st ccnv wrel
      cv cfv wral relxp rgenw reliun mpbir relcnv cop wex wb weq ancom vex opth
      3bitr4i a1i anbi12d 2exbidv eliunxp opelcnv excom 3bitri 3bitr4g eqrelrdv
      nfcv nfcsb1v csbeq1a xpeq12d cbviun cnveqi 3eqtr3g sumeq1d op1std csbeq1d
      nfxp sneq op2ndd csbeq2dv eqtrd cfn snfi adantr opeliunxp2f sylbbr adantl
      wrex eleqtrrd eliun sylib simpr opelxp simpld elsni syl eqeltrd rexlimiva
      simpl expr ssrdv ssfid xpfi sylancr ralrimiva iunfi syl2anc csbeq1 eleq1d
      mprgbir cc raleqbidv nfcri equcomd eleq2d biimpa sylbi rexlimi ralrimivva
      wi nfel1 nfralw rspc mpan9 rspcdva fsum2d nfsum cbvsumi sumeq12dv eqtrid
      syl5com impr syl12anc xp1st xp2nd fsumcnv eqtr4d 3eqtr4d nfcsbw 3eqtr4g )
      ABFNULZCPZGOULZFUUKHPZPZOQZNQZDGUUMEPZUUONQZOQZBCHGQZFQDEHFQZGQANBUUKUEZU
      ULUFZUGZGUAULZUHUMZFUVFUIUMZHPZPZUAQZODUUMUEZUURUFZUGZGUBULZUIUMZFUVOUHUM
      ZHPZPZUBQZUUQUUTAUVKUVNUJZUVJUAQUVTAUVEUWAUVJUAAFBFULZUEZCUFZUGZGDGULZUEZ
      EUFZUGZUJZUVEUWAAUCUDUWEUWJUWEUKUWDUKZFBUNUWKFBUWCCUOUPFBUWDUQURUWIUSAUCU
      LZUDULZUTZUWBUWFUTRZUWBBSZUWFCSTZTZGVAFVAUWMUWLUTZUWFUWBUTRZUWFDSUWBESTZT
      ZGVAFVAZUWNUWESUWNUWJSZAUWRUXBFGAUWOUWTUWQUXAUWOUWTVBAUCFVCZUDGVCZTUXFUXE
      TUWOUWTUXEUXFVDUWLUWMUWBUWFUCVEZUDVEZVFUWMUWLUWFUWBUXHUXGVFVGVHLVIVJFGBCU
      WNVKUXDUWSUWISUXBFVAGVAUXCUWLUWMUWIUXGUXHVLGFDEUWSVKUXBGFVMVNVOVPZFNBUWDU
      VDNUWDVQFUVCUULFUVCVQFUUKCVRZWGFNVCZUWCUVCCUULUWBUUKWHFUUKCVSZVTWAUWIUVNG
      ODUWHUVMOUWHVQGUVLUURGUVLVQGUUMEVRZWGGOVCZUWGUVLEUURUWFUUMWHGUUMEVSZVTWAW
      BWCWDAUBUAUVNUVSUVJUUOONUVOUUMUUKUTZRZUVSGUUMUVRPUUOUXQGUVPUUMUVRUUMUUKUV
      OOVEZNVEZWEWFUXQGUUMUVRUUNUXQFUVQUUKHUUMUUKUVOUXRUXSWIWFWJWKZUVFUUKUUMUTZ
      RZUVJGUUMUVIPUUOUYBGUVGUUMUVIUUKUUMUVFUXSUXRWIWFUYBGUUMUVIUUNUYBFUVHUUKHU
      UKUUMUVFUXSUXRWEWFWJWKZADWLSUVMWLSZODUNUVNWLSJAUYDODAUUMDSZTZUVLWLSUURWLS
      UYDUUMWMUYFBUURABWLSUYEIWNUYFNUURBAUYEUUKUURSZUUKBSZAUYEUYGTZTZUYAUWDSZFB
      WRZUYHUYJUYAUWESUYLUYJUYAUWJUWEUYIUYAUWJSZAUYMUXPUWISUYIUUKUUMUWIUXSUXRVL
      GDEUUMUUKUURUXMUXOWOWPWQAUWEUWJRUYIUXIWNWSFUYABUWDWTXAZUYKUYHFBUWPUYKTZUU
      KUWBBUYOUUKUWCSZNFVCUYOUYPUUMCSZUYOUYKUYPUYQTZUWPUYKXBUUKUUMUWCCXCZXAXDUU
      KUWBXEZXFUWPUYKXIXGXHXFZXJXKXLZUVLUURXMXNXOODUVMXPXQUVNUKZAVUCUVMUKZODODU
      VMUQVUDUYEUVLUURUOVHXTVHAUVOUVNSZTZGUVPUUNPZYASZUVSYASNGUVPEPZUVQUUKUVQRZ
      VUGUVSYAVUJGUVPUUNUVRFUUKUVQHXRWJXSVUFUUOYASZNUURUNZVUHNVUIUNODUVPUUMUVPR
      ZVUKVUHNUURVUIGUUMUVPEXRVUMUUOVUGYAGUUMUVPUUNXRXSYBAVULODUNVUEAVUKONDUURU
      YJAUYHUUMUULSZVUKAUYIXIVUAUYJUYLVUNUYNUYKVUNFBFOUULUXJYCUYKVUNYJUWPUYKUYR
      VUNUYSUYPUYQVUNUYPCUULUUMUYPUXKCUULRUYPNFUYTYDUXLXFYEYFYGVHYHXFAUYHVUNVUK
      AUYHTUUNYASZGUULUNZVUNVUKAHYASZGCUNZFBUNUYHVUPAVUQFGBCMYIVURVUPFUUKBVUOFG
      UULUXJFUUNYAFUUKHVRZYKYLUXKVUQVUOGCUULUXLUXKHUUNYAFUUKHVSZXSYBYMYNVUOVUKG
      UUMUULGUUOYAGUUMUUNVRZYKUXNUUNUUOYAGUUMUUNVSZXSYMUUAUUBZUUCZYIWNVUFUVOUVM
      SZODWRZUVPDSZVUFVUEVVFAVUEXBOUVODUVMWTXAZVVEVVGODUYEVVETZUVPUUMDVVIUVPUVL
      SZUVPUUMRVVEVVJUYEUVOUVLUURUUDWQUVPUUMXEXFZUYEVVEXIXGXHXFYOVUFVVFUVQVUISZ
      VVHVVEVVLODVVIUVQUURVUIVVEUVQUURSUYEUVOUVLUURUUEWQVVIGUVPUUMEVVKWFWSXHXFY
      OUUFUUGAUABUULUUOUVJNOUYCIACWLSZFBUNUYHUULWLSZAVVMFBKXOVVMVVNFUUKBFUULWLU
      XJYKUXKCUULWLUXLXSYMYNVVCYPAUBDUURUUOUVSONUXTJVUBVVDYPUUHBUVAUUPFNNUVAVQF
      UULUUOOUXJFGUUMUUNFUUMVQVUSUUIYQUXKUVACGUUMHPZOQUUPCHVVOGOOHVQGUUMHVRGUUM
      HVSYRUXKCUULVVOUUOOUXLUXKVVOUUORUYQUXKGUUMHUUNVUTWJWNYSYTYRDUVBUUSGOOUVBV
      QGUURUUONUXMVVAYQUXNUVBEUUNNQUUSEHUUNFNNHVQVUSVUTYRUXNEUURUUNUUONUXOUXNUU
      NUUORUUKESVVBWNYSYTYRUUJ $.
  $}

  ${
    $d j k A $.  $d j k B $.  $d j k ph $.
    fsumcom.1 $e |- ( ph -> A e. Fin ) $.
    fsumcom.2 $e |- ( ph -> B e. Fin ) $.
    fsumcom.3 $e |- ( ( ph /\ ( j e. A /\ k e. B ) ) -> C e. CC ) $.
    $( Interchange order of summation.  (Contributed by NM, 15-Nov-2005.)
       (Revised by Mario Carneiro, 23-Apr-2014.) $)
    fsumcom $p |- ( ph -> sum_ j e. A sum_ k e. B C =
                          sum_ k e. B sum_ j e. A C ) $=
      ( cfn wcel cv adantr wa wb ancom a1i fsumcom2 ) ABCCBEFDGHACJKELBKZHMSFLC
      KZNTSNOASTPQIR $.
  $}

  ${
    $d j k N $.
    $( Lemma for ~ fsum0diag .  (Contributed by Mario Carneiro, 28-Apr-2014.)
       (Revised by Mario Carneiro, 8-Apr-2016.) $)
    fsum0diaglem $p |- ( ( j e. ( 0 ... N ) /\ k e. ( 0 ... ( N - j ) ) ) ->
        ( k e. ( 0 ... N ) /\ j e. ( 0 ... ( N - k ) ) ) ) $=
      ( cv cc0 cfz co wcel cmin cuz cfv cle adantr zred elfzelz zsubcld syl2anc
      wbr cz wb wss elfzle1 cn0 elfz3nn0 nn0zd subge02d mpbid eluz mpbird fzss2
      wa syl simpr sseldd adantl elfzle2 lesubd elfzuz elfz5 jca ) ADZECFGZHZBD
      ZECVAIGZFGZHZUKZVDVBHVAECVDIGZFGHZVHVFVBVDVHCVEJKHZVFVBUAVHVKVECLRZVHEVAL
      RZVLVCVMVGVAECUBMVHCVAVHCVHCVCCUCHVGVACUDMUEZNZVHVAVCVASHVGVAECOMZNZUFUGV
      HVESHCSHVKVLTVHCVAVNVPPVNVECUHQUIVEECUJULVCVGUMUNVHVJVAVILRZVHVDCVAVHVDVG
      VDSHVCVDEVEOUOZNVOVQVGVDVELRVCVDEVEUPUOUQVHVAEJKHZVISHVJVRTVCVTVGVAECURMV
      HCVDVNVSPVAEVIUSQUIUT $.
  $}

  ${
    $d j k N $.  $d j k ph $.
    fsum0diag.1 $e |- ( ( ph /\ ( j e. ( 0 ... N ) /\
                          k e. ( 0 ... ( N - j ) ) ) ) -> A e. CC ) $.
    $( Two ways to express "the sum of ` A ( j , k ) ` over the triangular
       region ` M <_ j ` , ` M <_ k ` , ` j + k <_ N ` ".  (Contributed by NM,
       31-Dec-2005.)  (Proof shortened by Mario Carneiro, 28-Apr-2014.)
       (Revised by Mario Carneiro, 8-Apr-2016.) $)
    fsum0diag $p |- ( ph ->
                     sum_ j e. ( 0 ... N ) sum_ k e. ( 0 ... ( N - j ) ) A =
                     sum_ k e. ( 0 ... N ) sum_ j e. ( 0 ... ( N - k ) ) A ) $=
      ( cc0 cfz co cv cmin fzfid wcel wa wb fsum0diaglem impbii a1i fsumcom2 )
      AGEHIZGECJZKIZHIZTGEDJZKIHIZCDBAGELZUFAUATMZNGUBLUGUDUCMNZUDTMUAUEMNZOAUH
      UICDEPDCEPQRFS $.
  $}

  ${
    $d j k K $.  $d j k M $.  $d j k N $.  $d j k ph $.
    mptfzshft.1 $e |- ( ph -> K e. ZZ ) $.
    mptfzshft.2 $e |- ( ph -> M e. ZZ ) $.
    mptfzshft.3 $e |- ( ph -> N e. ZZ ) $.
    $( 1-1 onto function in maps-to notation which shifts a finite set of
       sequential integers.  Formerly part of proof for ~ fsumshft .
       (Contributed by AV, 24-Aug-2019.) $)
    mptfzshft $p |- ( ph -> ( j e. ( ( M + K ) ... ( N + K ) )
     |-> ( j - K ) ) : ( ( M + K ) ... ( N + K ) ) -1-1-onto-> ( M ... N ) ) $=
      ( vk caddc co cmin wfn wcel wceq wa cz adantr cc zcn cfz cmpt ccnv fnmpti
      cv wf1o ovex eqid a1i simprr oveq1d elfzelz ad2antrl npcan syl2an syl2anc
      eqtr2d simprl eqeltrrd wb zsubcld eqeltrd syl22anc mpbird jca mpbid pncan
      fzaddel impbida mptcnv fneq1d mpbiri dff1o4 sylanbrc ) ABDCJKZECJKZUAKZBU
      EZCLKZUBZVQMZVTUCZDEUAKZMZVQWCVTUFWAABVQVSVTVRCLUGVTUHUDUIAWDIWCIUEZCJKZU
      BZWCMIWCWFWGWECJUGWGUHUDAWCWBWGABIVQVSWCWFAVRVQNZWEVSOZPZWEWCNZVRWFOZPZAW
      JPZWKWLWNWKWFVQNZWNVRWFVQWNWFVSCJKZVRWNWEVSCJAWHWIUJZUKWNVRQNZCQNZWPVROZW
      HWRAWIVRVOVPULUMZAWSWJFRZWRVRSNCSNZWTWSVRTCTZVRCUNUOUPUQZAWHWIURUSWNDQNZE
      QNZWEQNZWSWKWOUTZAXFWJGRAXGWJHRWNWEVSQWQWNVRCXAXBVAVBXBWECDEVHZVCVDXEVEAW
      MPZWHWIXKVRWFVQAWKWLUJZXKWKWOAWKWLURXKXFXGXHWSXIAXFWMGRAXGWMHRWKXHAWLWEDE
      ULUMZAWSWMFRZXJVCVFVBXKVSWFCLKZWEXKVRWFCLXLUKXKXHWSXOWEOZXMXNXHWESNXCXPWS
      WETXDWECVGUOUPUQVEVIVJVKVLVQWCVTVMVN $.
  $}

  ${
    $d k m A $.  $d j B $.  $d j k m K $.  $d j k m M $.  $d j k m N $.
    $d j k m ph $.
    fsumrev.1 $e |- ( ph -> K e. ZZ ) $.
    fsumrev.2 $e |- ( ph -> M e. ZZ ) $.
    fsumrev.3 $e |- ( ph -> N e. ZZ ) $.
    fsumrev.4 $e |- ( ( ph /\ j e. ( M ... N ) ) -> A e. CC ) $.
    ${
      fsumrev.5 $e |- ( j = ( K - k ) -> A = B ) $.
      $( Reversal of a finite sum.  (Contributed by NM, 26-Nov-2005.)  (Revised
         by Mario Carneiro, 24-Apr-2014.) $)
      fsumrev $p |- ( ph -> sum_ j e. ( M ... N ) A =
                            sum_ k e. ( ( K - N ) ... ( K - M ) ) B ) $=
        ( co cmin wcel wa wceq cz adantr cfz cmpt fzfid cvv ovexd simprr simprl
        cv eqid wb elfzelzd fzrev syl22anc mpbid eqeltrd oveq2d cc nncan syl2an
        zcn syl2an2r eqtr2d jca fzrev2 impbida f1od cfv oveq2 ovex fvmpt adantl
        fsumf1o ) AGHUANZBFHONZFGONZUANZCDEDVPFDUHZONZUBZFEUHZONZMAVNVOUCADEVPV
        MVRWAVSUDUDVSUIZAVQVPPZQFVQOUEAVTVMPZQFVTOUEAWCVTVRRZQZWDVQWARZQZAWFQZW
        DWGWIVTVRVMAWCWEUFZWIWCVRVMPZAWCWEUGZWIGSPZHSPZFSPZVQSPZWCWKUJAWMWFJTAW
        NWFKTAWOWFITWIVQVNVOWLUKZFVQGHULUMUNUOWIWAFVRONZVQWIVTVRFOWJUPAWOWFWPWR
        VQRZIWQWOFUQPZVQUQPWSWPFUTZVQUTFVQURUSVAVBVCAWHQZWCWEXBVQWAVPAWDWGUFZXB
        WDWAVPPZAWDWGUGZXBWMWNWOVTSPZWDXDUJAWMWHJTAWNWHKTAWOWHITXBVTGHXEUKZFVTG
        HVDUMUNUOXBVRFWAONZVTXBVQWAFOXCUPAWOWHXFXHVTRZIXGWOWTVTUQPXIXFXAVTUTFVT
        URUSVAVBVCVEVFVTVPPVTVSVGWARADVTVRWAVPVSVQVTFOVHWBFVTOVIVJVKLVL $.
    $}

    ${
      fsumshft.5 $e |- ( j = ( k - K ) -> A = B ) $.
      $( Index shift of a finite sum.  (Contributed by NM, 27-Nov-2005.)
         (Revised by Mario Carneiro, 24-Apr-2014.)  (Proof shortened by AV,
         8-Sep-2019.) $)
      fsumshft $p |- ( ph -> sum_ j e. ( M ... N ) A =
                             sum_ k e. ( ( M + K ) ... ( N + K ) ) B ) $=
        ( cfz co caddc cv cmin cmpt fzfid mptfzshft wcel wceq oveq1 eqid adantl
        cfv ovex fvmpt fsumf1o ) AGHNOBGFPOZHFPOZNOZCDEDUMDQZFROZSZEQZFROZMAUKU
        LTADFGHIJKUAUQUMUBUQUPUGURUCADUQUOURUMUPUNUQFRUDUPUEUQFRUHUIUFLUJ $.
    $}

    ${
      fsumshftm.5 $e |- ( j = ( k + K ) -> A = B ) $.
      $( Negative index shift of a finite sum.  (Contributed by NM,
         28-Nov-2005.)  (Revised by Mario Carneiro, 24-Apr-2014.) $)
      fsumshftm $p |- ( ph -> sum_ j e. ( M ... N ) A =
                              sum_ k e. ( ( M - K ) ... ( N - K ) ) B ) $=
        ( vm cfz co csu caddc cc wcel cv cmin nfcv nfcsb1v csbeq1a cbvsumi cneg
        csb znegcld wral ralrimiva nfel1 wceq eleq1d rspc mpan9 csbeq1 fsumshft
        zcnd negsubd oveq12d sumeq1d elfzelz subneg syl2anr csbeq1d ovex eqtrdi
        wa csbie sumeq2dv 3eqtrd eqtrid ) AGHOPZBDQVNDNUAZBUHZNQZGFUBPZHFUBPZOP
        ZCEQZVNBVPDNNBUCDVOBUDZDVOBUEZUFAVQGFUGZRPZHWDRPZOPZDEUAZWDUBPZBUHZEQVT
        WJEQWAAVPWJNEWDGHAFIUIJKABSTZDVNUJVOVNTVPSTZAWKDVNLUKWKWLDVOVNDVPSWBULD
        UAVOUMBVPSWCUNUOUPDVOWIBUQURAWGVTWJEAWEVRWFVSOAGFAGJUSAFIUSZUTAHFAHKUSW
        MUTVAVBAVTWJCEAWHVTTZVIZWJDWHFRPZBUHCWODWIWPBWNWHSTFSTWIWPUMAWNWHWHVRVS
        VCUSWMWHFVDVEVFDWPBCWHFRVGMVJVHVKVLVM $.
    $}
  $}

  ${
    $d k A $.  $d j B $.  $d j k M $.  $d j k N $.  $d j k ph $.
    fsumrev2.1 $e |- ( ( ph /\ j e. ( M ... N ) ) -> A e. CC ) $.
    fsumrev2.2 $e |- ( j = ( ( M + N ) - k ) -> A = B ) $.
    $( Reversal of a finite sum.  (Contributed by NM, 27-Nov-2005.)  (Revised
       by Mario Carneiro, 13-Apr-2016.) $)
    fsumrev2 $p |- ( ph -> sum_ j e. ( M ... N ) A =
                           sum_ k e. ( M ... N ) B ) $=
      ( cfz co csu wceq c0 sum0 sumeq1 adantl wcel cmin cz cc0 3eqtr4a wne fzn0
      eqtr4i cuz cfv wa caddc eluzel2 eluzelz zaddcld cv adantlr fsumrev pncand
      cc zcnd pncan2d oveq12d sumeq1d eqtrd sylan2b pm2.61dane ) AFGJKZBDLZVECE
      LZMZVENVENMZVHAVINBDLZNCELZVFVGVJUAVKBDOCEOUEVENBDPVENCEPUBQVENUCAGFUFUGR
      ZVHFGUDAVLUHZVFFGUIKZGSKZVNFSKZJKZCELVGVMBCDEVNFGVMFGVLFTRAFGUJQZVLGTRAFG
      UKQZULVRVSADUMVERBUQRVLHUNIUOVMVQVECEVMVOFVPGJVMFGVMFVRURZVMGVSURZUPVMFGV
      TWAUSUTVAVBVCVD $.
  $}

  ${
    $d j k n x N $.  $d j k n ph $.  $d k n B $.  $d n x A $.  $d n x C $.
    fsum0diag2.1 $e |- ( x = k -> B = A ) $.
    fsum0diag2.2 $e |- ( x = ( k - j ) -> B = C ) $.
    fsum0diag2.3 $e |- ( ( ph /\ ( j e. ( 0 ... N ) /\
                          k e. ( 0 ... ( N - j ) ) ) ) -> A e. CC ) $.
    $( Two ways to express "the sum of ` A ( j , k ) ` over the triangular
       region ` 0 <_ j ` , ` 0 <_ k ` , ` j + k <_ N ` ".  (Contributed by
       Mario Carneiro, 21-Jul-2014.) $)
    fsum0diag2 $p |- ( ph ->
                      sum_ j e. ( 0 ... N ) sum_ k e. ( 0 ... ( N - j ) ) A =
                      sum_ k e. ( 0 ... N ) sum_ j e. ( 0 ... k ) C ) $=
      ( vn cc0 cfz co cmin csu wcel cc wceq cv caddc wa wral fznn0sub2 ad2antll
      csb expr ralrimiv eleq1d cbvralvw adantrr nfcsb1v nfel1 csbeq1a rspc sylc
      sylibr fsum0diag mpan9 csbeq1 fsumrev2 cz elfz3nn0 ad2antlr elfzelz nn0cn
      cn0 zcn subcl syl2an syl2anc addid2 syl oveq1d sumeq2dv eqtrd adantl 3syl
      csbeq1d oveq2d adantr sub32 syl3an syl3anc sumeq12rdv 3eqtr4d cuz elfzuz3
      fzfid cfv elfzuzb sylanbrc wb elfzel2 fzsubel syl22anc mpbid subid simpll
      eleqtrd wss fzss2 sselda fsumcl oveq2 oveq1 sumeq12dv eqtr4d vex a1i ovex
      csbie sumeq2i 3eqtr3g ) AMHNOZMHFUAZPOZNOZBGUAZDUGZGQZFQZXPMXTNOZBXTXQPOZ
      DUGZFQZGQZXPXSCGQZFQXPYDEFQZGQAYCXPMMHUBOZLUAZPOZNOZBYMXQPOZDUGZFQZLQZYHA
      XPXSBXRYLPOZDUGZLQZFQXPMHYLPOZNOZYTFQZLQYCYRAYTFLHAXQXPRZYLXSRZUCUCYSXSRZ
      DSRZBXSUDZYTSRZUUFUUGAUUEYLXRUEUFAUUEUUIUUFAUUEUCZCSRZGXSUDUUIUUKUULGXSAU
      UEXTXSRZUULKUHUIUUHUULBGXSBUAZXTTZDCSIUJUKURZULUUHUUJBYSXSBYTSBYSDUMUNUUN
      YSTDYTSBYSDUOUJUPUQUSAXPYBUUAFUUKYBXSBMXRUBOZYLPOZDUGZLQUUAUUKYAUUSGLMXRU
      UKUUIUUMYASRZUUPUUHUUTBXTXSBYASBXTDUMUNUUODYASBXTDUOUJUPUTBXTUURDVAVBUUKX
      SUUSYTLUUKUUFUCZBUURYSDUVAUUQXRYLPUVAXRSRZUUQXRTUVAHVHRZXQVCRZUVBUUEUVCAU
      UFXQHVDVEUUEUVDAUUFXQMHVFVEUVCHSRZXQSRZUVBUVDHVGZXQVIZHXQVJVKVLXRVMVNVOVT
      VPVQVPAXPYQUUDLAYLXPRZUCZYNUUCYPYTFUVJYMUUBMNUVJYKHYLPUVJUVCUVEYKHTUVIUVC
      AYLHVDZVRUVGHVMVSVOZWAUVJXQUUCRZUCZBYOYSDUVNYOUUBXQPOZYSUVJYOUVOTUVMUVJYM
      UUBXQPUVLVOWBUVNUVCYLVCRZUVDUVOYSTZUVIUVCAUVMUVKVEUVIUVPAUVMYLMHVFVEUVMUV
      DUVJXQMUUBVFVRUVCUVEUVPYLSRUVDUVFUVQUVGYLVIUVHHYLXQWCWDWEVQVTWFVPWGAYGYQG
      LMHAXTXPRZUCZYDYFFUVSMXTWJUVSXQYDRZUCZYEXSRUUIYFSRZUWAYEXQXQPOZXRNOZXSUWA
      XTXQHNORZYEUWDRZUWAXTXQWHWKRZHXTWHWKRZUWEUVTUWGUVSXQMXTWIVRUVSUWHUVTUVRUW
      HAXTMHWIVRZWBXTXQHWLWMUWAUVDHVCRZXTVCRZUVDUWEUWFWNUVTUVDUVSXQMXTVFVRZUVRU
      WJAUVTXTMHWOVEUVRUWKAUVTXTMHVFVEUWLXTXQXQHWPWQWRUWAUWCMXRNUWAUVDUVFUWCMTU
      WLUVHXQWSVSVOXAUWAAUUEUUIAUVRUVTWTUVSYDXPXQUVSUWHYDXPXBUWIXTMHXCVNXDUUPVL
      UUHUWBBYEXSBYFSBYEDUMUNUUNYETDYFSBYEDUOUJUPUQXEXTYMTZYDYNYFYPFXTYMMNXFUWM
      YFYPTUVTUWMBYEYODXTYMXQPXGVTWBXHVBXIXPYBYIFUUEXSYACGYACTUUEUUMUCBXTDCGXJI
      XMXKVPXNXPYGYJGUVRYDYFEFYFETUVRUVTUCBYEDEXTXQPXLJXMXKVPXNXO $.
  $}

  ${
    $d f k m n A $.  $d f m n B $.  $d f k m n C $.  $d f k m n ph $.
    fsummulc2.1 $e |- ( ph -> A e. Fin ) $.
    fsummulc2.2 $e |- ( ph -> C e. CC ) $.
    fsummulc2.3 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    $( A finite sum multiplied by a constant.  (Contributed by NM,
       12-Nov-2005.)  (Revised by Mario Carneiro, 24-Apr-2014.) $)
    fsummulc2 $p |- ( ph ->
                      ( C x. sum_ k e. A B ) = sum_ k e. A ( C x. B ) ) $=
      ( vm c0 wceq csu cmul co cfv wcel c1 wa cc0 cc vf vn chash cn cfz cv wf1o
      mul01d sumeq1 sum0 eqtrdi oveq2d eqeq12d syl5ibrcom cmpt caddc ccom addcl
      wex cseq adantl adantr adddi 3expb sylan simprl nnuz eleqtrdi wf ad2antrr
      cuz fmpttd simprr f1of syl syl2anc simpr ffvelrnd wral mulcld eqid fvmpt2
      eqtr4d ralrimiva nffvmpt1 nfcv nfov nfeq fveq2 rspc sylc ad2antll 3eqtr4d
      fco fvco3 seqdistr ffvelrnda fsum 3eqtr4rd oveq2i 3eqtr3g exlimdv expimpd
      sumfc expr cfn wo fz1f1o mpjaod ) ABJKZDBCELZMNZBDCMNZELZKZBUCOZUDPZQXPUE
      NZBUAUFZUGZUAUSZRZAXOXJDSMNZSKADGUHXJXLYCXNSXJXKSDMXJXKJCELSBJCEUICEUJUKU
      LXJXNJXMELSBJXMEUIXMEUJUKUMUNAXQYAXOAXQRXTXOUAAXQXTXOAXQXTRZRZDBIUFZEBCUO
      ZOZILZMNZBYFEBXMUOZOZILZXLXNYEXPUPYKXSUQZQUTODXPUPYGXSUQZQUTOZMNYMYJYEUBI
      DUPTMYNYOQXPUBUFZTPZYFTPZRZYQYFUPNZTPYEYQYFURVAYEDTPZYTDUUAMNDYQMNDYFMNUP
      NKZAUUBYDGVBUUBYRYSUUCDYQYFVCVDVEYEXPUDQVKOAXQXTVFZVGVHYEYQXRPZRZXRTYQYOU
      UFBTYGVIZXRBXSVIZXRTYOVIAUUGYDUUEAEBCTHVLZVJUUFXTUUHYEXTUUEAXQXTVMZVBXRBX
      SVNZVOZXRBTYGXSWNVPYEUUEVQZVRUUFYQXSOZYKOZDUUNYGOZMNZYQYNOZDYQYOOZMNUUFUU
      NBPEUFZYKOZDUUTYGOZMNZKZEBVSZUUOUUQKZUUFXRBYQXSUULUUMVRAUVEYDUUEAUVDEBAUU
      TBPZRZUVAXMUVCUVHUVGXMTPUVAXMKAUVGVQZUVHDCAUUBUVGGVBHVTZEBXMTYKYKWAWBVPUV
      HUVBCDMUVHUVGCTPUVBCKUVIHEBCTYGYGWAWBVPULWCWDVJUVDUVFEUUNBEUUOUUQEBXMUUNW
      EEDUUPMEDWFEMWFEBCUUNWEWGWHUUTUUNKZUVAUUOUVCUUQUUTUUNYKWIUVKUVBUUPDMUUTUU
      NYGWIULUMWJWKYEUUHUUEUURUUOKXTUUHAXQUUKWLZXRBYQYKXSWOVEZUUFUUSUUPDMYEUUHU
      UEUUSUUPKUVLXRBYQYGXSWOVEZULWMWPYEBYLUUOIUBXSYNXPYFUUNYKWIUUDUUJYEBTYFYKA
      BTYKVIYDAEBXMTUVJVLVBWQUVMWRYEYIYPDMYEBYHUUPIUBXSYOXPYFUUNYGWIUUDUUJYEBTY
      FYGAUUGYDUUIVBWQUVNWRULWSYIXKDMBCIEXDWTBXMIEXDXAXEXBXCABXFPXJYBXGFBUAXHVO
      XI $.

    $( A finite sum multiplied by a constant.  (Contributed by NM,
       13-Nov-2005.)  (Revised by Mario Carneiro, 24-Apr-2014.) $)
    fsummulc1 $p |- ( ph ->
                      ( sum_ k e. A B x. C ) = sum_ k e. A ( B x. C ) ) $=
      ( csu cmul co fsummulc2 fsumcl mulcomd cv wcel wa cc adantr sumeq2dv
      3eqtr4d ) ADBCEIZJKBDCJKZEIUBDJKBCDJKZEIABCDEFGHLAUBDABCEFHMGNABUDUCEAEOB
      PZQCDHADRPUEGSNTUA $.

    fsumdivc.4 $e |- ( ph -> C =/= 0 ) $.
    $( A finite sum divided by a constant.  (Contributed by NM, 2-Jan-2006.)
       (Revised by Mario Carneiro, 24-Apr-2014.) $)
    fsumdivc $p |- ( ph -> ( sum_ k e. A B / C ) = sum_ k e. A ( B / C ) ) $=
      ( csu c1 cdiv co cmul reccld fsummulc1 fsumcl divrecd wcel adantr cc0 wne
      cv wa cc sumeq2dv 3eqtr4d ) ABCEJZKDLMZNMBCUINMZEJUHDLMBCDLMZEJABCUIEFADG
      IOHPAUHDABCEFHQGIRABUKUJEAEUCBSZUDCDHADUESULGTADUAUBULITRUFUG $.
  $}

  ${
    $d k A $.  $d k ph $.
    fsumneg.1 $e |- ( ph -> A e. Fin ) $.
    fsumneg.2 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    $( Negation of a finite sum.  (Contributed by Scott Fenton, 12-Jun-2013.)
       (Revised by Mario Carneiro, 24-Apr-2014.) $)
    fsumneg $p |- ( ph -> sum_ k e. A -u B = -u sum_ k e. A B ) $=
      ( c1 cneg csu cmul co cc wcel neg1cn a1i fsummulc2 fsumcl mulm1d cv wa
      sumeq2dv 3eqtr3rd ) AGHZBCDIZJKBUCCJKZDIUDHBCHZDIABCUCDEUCLMANOFPAUDABCDE
      FQRABUEUFDADSBMTCFRUAUB $.

    fsumsub.3 $e |- ( ( ph /\ k e. A ) -> C e. CC ) $.
    $( Split a finite sum over a subtraction.  (Contributed by Scott Fenton,
       12-Jun-2013.)  (Revised by Mario Carneiro, 24-Apr-2014.) $)
    fsumsub $p |- ( ph -> sum_ k e. A ( B - C ) =
                        ( sum_ k e. A B - sum_ k e. A C ) ) $=
      ( cneg caddc co csu cmin cv wcel wa negcld fsumadd negsubd fsumcl fsumneg
      oveq2d eqtrd sumeq2dv 3eqtr3d ) ABCDIZJKZELZBCELZBDELZIZJKZBCDMKZELUIUJMK
      AUHUIBUFELZJKULABCUFEFGAENBOPZDHQRAUNUKUIJABDEFHUAUBUCABUGUMEUOCDGHSUDAUI
      UJABCEFGTABDEFHTSUE $.
  $}

  ${
    $d j k A $.  $d j k B $.  $d k C $.  $d j D $.  $d j k ph $.
    fsum2mul.1 $e |- ( ph -> A e. Fin ) $.
    fsum2mul.2 $e |- ( ph -> B e. Fin ) $.
    fsum2mul.3 $e |- ( ( ph /\ j e. A ) -> C e. CC ) $.
    fsum2mul.4 $e |- ( ( ph /\ k e. B ) -> D e. CC ) $.
    $( Separate the nested sum of the product ` C ( j ) x. D ( k ) ` .
       (Contributed by NM, 13-Nov-2005.)  (Revised by Mario Carneiro,
       24-Apr-2014.) $)
    fsum2mul $p |- ( ph -> sum_ j e. A sum_ k e. B ( C x. D ) =
                           ( sum_ j e. A C x. sum_ k e. B D ) ) $=
      ( csu cmul co fsumcl fsummulc1 cv wcel wa cfn adantr cc adantlr fsummulc2
      sumeq2dv eqtr2d ) ABDFLCEGLZMNBDUGMNZFLBCDEMNGLZFLABDUGFHACEGIKOJPABUHUIF
      AFQBRZSCEDGACTRUJIUAJAGQCREUBRUJKUCUDUEUF $.
  $}

  ${
    $d f k n A $.  $d f k n B $.
    $( The sum of constant terms ( ` k ` is not free in ` B ` ).  (Contributed
       by NM, 24-Dec-2005.)  (Revised by Mario Carneiro, 24-Apr-2014.) $)
    fsumconst $p |- ( ( A e. Fin /\ B e. CC ) ->
                      sum_ k e. A B = ( ( # ` A ) x. B ) ) $=
      ( vf vn wcel cc wa c0 wceq csu chash cfv cmul co cn c1 cv cc0 eqtrdi wf1o
      cfn cfz wex mul02 adantl eqcomd sumeq1 sum0 fveq2 hash0 oveq1d syl5ibrcom
      eqeq12d caddc csn cxp eqidd simprl simprr simpllr simplr elfznn fvconst2g
      cseq syl2an fsum ser1const ad2ant2lr eqtrd expr exlimdv expimpd wo fz1f1o
      adantr mpjaod ) AUBFZBGFZHZAIJZABCKZALMZBNOZJZWCPFZQWCUCOZADRZUAZDUDZHZVT
      WEWASSBNOZJVTWLSVSWLSJVRBUEUFUGWAWBSWDWLWAWBIBCKSAIBCUHBCUITWAWCSBNWAWCIL
      MSAILUJUKTULUNUMVTWFWJWEVTWFHWIWEDVTWFWIWEVTWFWIHZHZWBWCUOPBUPUQZQVEMZWDW
      NABBCEWHWOWCCRZERZWHMJBURVTWFWIUSVTWFWIUTVRVSWMWQAFVAWNVSWRPFWRWOMBJWRWGF
      VRVSWMVBWRWCVCPBWRGVDVFVGVSWFWPWDJVRWIBWCVHVIVJVKVLVMVRWAWKVNVSADVOVPVQ
      $.
  $}

  ${
    $d k A $.  $d k B $.  $d k C $.
    $( The sum of constant terms ( ` k ` is not free in ` C ` ) over an index
       set excluding a singleton.  (Contributed by AV, 7-Jan-2022.) $)
    fsumdifsnconst $p |- ( ( A e. Fin /\ B e. A /\ C e. CC )
                 -> sum_ k e. ( A \ { B } ) C = ( ( ( # ` A ) - 1 ) x. C ) ) $=
      ( cfn wcel cc w3a csn cdif csu chash cfv cmul co c1 cmin wa wceq diffi
      anim1i 3adant2 fsumconst syl hashdifsn 3adant3 oveq1d eqtrd ) AEFZBAFZCGF
      ZHZABIZJZCDKZUNLMZCNOZALMPQOZCNOULUNEFZUKRZUOUQSUIUKUTUJUIUSUKAUMTUAUBUNC
      DUCUDULUPURCNUIUJUPURSUKABUEUFUGUH $.
  $}

  ${
    $d A k $.  $d N k $.  $d k z $.
    $( Lemma 1 for ~ modfsummods .  (Contributed by Alexander van der Vekens,
       1-Sep-2018.) $)
    modfsummodslem1 $p |- ( A. k e. ( A u. { z } ) B e. ZZ
                            -> [_ z / k ]_ B e. ZZ ) $=
      ( cv csn cun wcel cz wral csb vsnid elun2 ax-mp rspcsbela mpan ) AEZBQFZG
      ZHZCIHDSJDQCKIHQRHTALQRBMNDQSCIOP $.

    $( Induction step for ~ modfsummod .  (Contributed by Alexander van der
       Vekens, 1-Sep-2018.) $)
    modfsummods $p |- ( ( A e. Fin /\ N e. NN
                          /\ A. k e. ( A u. { z } ) B e. ZZ )
              -> ( ( sum_ k e. A B mod N ) = ( sum_ k e. A ( B mod N ) mod N )
                   -> ( sum_ k e. ( A u. { z } ) B mod N )
                        = ( sum_ k e. ( A u. { z } ) ( B mod N ) mod N ) ) ) $=
      ( wcel cz wral csu cmo co wceq oveq1d sylbi syl caddc cvv ad2antlr adantr
      wa cv cfn cn csn cun w3a wi wss snssi ssequn1 uncom eqeq1i sumeq1 eqeq12d
      wb eqcoms biimpd a1d wn wnel df-nel csb simp1 simpl simplr3 fsumsplitsnun
      vex jctil syl3anc crp ralunb fsumzcl2 sylan2 3adant2 zred modfsummodslem1
      cr adantl 3ad2ant3 nnrp 3ad2ant2 modaddabs eqcomd simpr jca modabs2 eqtrd
      oveq12d zmodcl nn0zd expcom ralimdv com12 impcom cn0 anim1i ancoms nn0red
      3adant1 imp csbov1g mp1i oveq2d 3eqtrd exp31 sylbir pm2.61i ) AUAZBFZBUBF
      ZEUCFZCGFZDBXHUDZUEZHZUFZBCDIZEJKZBCEJKZDIZEJKZLZXNCDIZEJKZXNXSDIZEJKZLZU
      GZUGZXIXMBUHZYIXHBUIYJXMBUEZBLZYIXMBUJYLYHXPYLYBYGYLXNBLYBYGUOZYKXNBXMBUK
      ULYMBXNBXNLZXRYDYAYFYNXQYCEJBXNCDUMMYNXTYEEJBXNXSDUMMUNUPNUQURNOXIUSXHBUT
      ZYIXHBVAYOXPYBYGYOXPTZYBTZYDXQDXHCVBZPKZEJKZYAYREJKZEJKZPKZEJKZYFYQYCYSEJ
      YQXJXHQFZYOTZXOYCYSLXPXJYOYBXJXKXOVCZRZYQYOUUEYPYOYBYOXPVDSAVGZVHZXJXKXOY
      OYBVEBCDQXHVFVIMYQYTXRUUAPKZEJKZUUDYPYTUULLYBYPUULYTYPXQVQFYRVQFZEVJFZUUL
      YTLYPXQXPXQGFZYOXJXOUUOXKXOXJXLDBHZUUOXOUUPXLDXMHZTZUUPXLDBXMVKZUUPUUQVDN
      BCDVLVMVNVRVOYPYRXPYRGFZYOXOXJUUTXKABCDVPZVSVRVOXPUUNYOXKXJUUNXOEVTWAZVRZ
      XQYREWBVIWCSYQUUKUUCEJYQXRYAUUAUUBPYPYBWDYQUUMUUNTZUUAUUBLYPUVDYBYPUUMUUN
      XPUUMYOXOXJUUMXKXOYRUVAVOVSVRUVCWESUVDUUBUUAYREWFWCOWHMWGYQUUDXTUUAPKZEJK
      ZYFYQXTVQFZUUAVQFZUUNUUDUVFLXPUVGYOYBXPXJXSGFZDBHZTZUVGXPXJUVJUUGXKXOUVJX
      JXOXKUVJXOUURXKUVJUGZUUSUUPUVLUUQXKUUPUVJXKXLUVIDBXLXKUVIXLXKTXSCEWIWJWKZ
      WLWMSNWNWSWEUVKXTBXSDVLVOORXPUVHYOYBXKXOUVHXJXKXOTZUUAUVNUUTXKTZUUAWOFXOX
      KUVOXOUUTXKUVAWPWQYREWIOWRWSRXPUUNYOYBUVBRXTUUAEWBVIYQUVEYEEJYQYEUVEYQYEX
      TDXHXSVBZPKZUVEYQXJUUFUVIDXNHZYEUVQLUUHUUJXPUVRYOYBXKXOUVRXJXKXOUVRXKXLUV
      IDXNUVMWLWTWSRBXSDQXHVFVIYQUVPUUAXTPUUEUVPUUALYQUUIDXHCEJQXAXBXCWGWCMWGXD
      XEXFXG $.
  $}

  ${
    $d A k x y z $.  $d B x y z $.  $d N k x y z $.
    modfsummod.n $e |- ( ph -> N e. NN ) $.
    modfsummod.1 $e |- ( ph -> A e. Fin ) $.
    modfsummod.2 $e |- ( ph -> A. k e. A B e. ZZ ) $.
    $( A finite sum modulo a positive integer equals the finite sum of their
       summands modulo the positive integer, modulo the positive integer.
       (Contributed by Alexander van der Vekens, 1-Sep-2018.) $)
    modfsummod $p |- ( ph -> ( sum_ k e. A B mod N )
                            = ( sum_ k e. A ( B mod N ) mod N ) ) $=
      ( wcel wral csu cmo co wceq wa wi c0 raleq sumeq1 oveq1d vx vy vz cfn csn
      cz cn cv cun anbi1d eqeq12d imbi12d weq cc0 sum0 oveq1i a1i adantl simpll
      eqtr4id simplrr ralun ex ad2antrl modfsummods syl3anc com23 ralunb anbi1i
      imp a2d imbi1i an32 impexp 3bitri syl6ibr findcard2 syl mp2and ) ACUFIZDB
      JZEUGIZBCDKZELMZBCELMZDKZELMZNZHFABUDIWAWBOZWHPZGVTDUAUHZJZWBOZWKCDKZELMZ
      WKWEDKZELMZNZPVTDQJZWBOZQCDKZELMZQWEDKZELMZNZPVTDUBUHZJZWBOZXFCDKZELMZXFW
      EDKZELMZNZPZVTDXFUCUHUEZUIZJZWBOZXPCDKZELMZXPWEDKZELMZNZPZWJUAUBUCBWKQNZW
      MWTWRXEYEWLWSWBVTDWKQRUJYEWOXBWQXDYEWNXAELWKQCDSTYEWPXCELWKQWEDSTUKULUAUB
      UMZWMXHWRXMYFWLXGWBVTDWKXFRUJYFWOXJWQXLYFWNXIELWKXFCDSTYFWPXKELWKXFWEDSTU
      KULWKXPNZWMXRWRYCYGWLXQWBVTDWKXPRUJYGWOXTWQYBYGWNXSELWKXPCDSTYGWPYAELWKXP
      WEDSTUKULWKBNZWMWIWRWHYHWLWAWBVTDWKBRUJYHWOWDWQWGYHWNWCELWKBCDSTYHWPWFELW
      KBWEDSTUKULWBXEWSWBXBUNELMXDXAUNELCDUOUPWBXCUNELXCUNNWBWEDUOUQTUTURXFUDIZ
      XNXHVTDXOJZYCPZPZYDYIXHXMYKYIXHXMYKPYIXHOZYJXMYCYMYJXMYCPZYMYJOYIWBXQYNYI
      XHYJUSYIXGWBYJVAYMYJXQXGYJXQPYIWBXGYJXQVTDXFXOVBVCVDVJUCXFCDEVEVFVCVGVCVK
      YDXGYJOZWBOZYCPXHYJOZYCPYLXRYPYCXQYOWBVTDXFXOVHVIVLYPYQYCXGYJWBVMVLXHYJYC
      VNVOVPVQVRVS $.
  $}

  ${
    $d k m x y A $.  $d m x y B $.  $d k C $.  $d k M $.  $d k m x y ph $.
    fsumge0.1 $e |- ( ph -> A e. Fin ) $.
    fsumge0.2 $e |- ( ( ph /\ k e. A ) -> B e. RR ) $.
    fsumge0.3 $e |- ( ( ph /\ k e. A ) -> 0 <_ B ) $.
    $( If all of the terms of a finite sum are nonnegative, so is the sum.
       (Contributed by NM, 26-Dec-2005.)  (Revised by Mario Carneiro,
       24-Apr-2014.) $)
    fsumge0 $p |- ( ph -> 0 <_ sum_ k e. A B ) $=
      ( vx vy cc0 co wcel cle wbr cc cr a1i cv wa elrege0 csu cpnf wss rge0ssre
      cico ax-resscn sstri ge0addcl adantl sylanbrc 0e0icopnf fsumcllem simprbi
      caddc syl ) ABCDUAZJUBUEKZLZJUPMNZAHIBCUQDUQOUCAUQPOUDUFUGQHRZUQLIRZUQLSU
      TVAUNKUQLAUTVAUHUIEADRBLSCPLJCMNCUQLFGCTUJJUQLAUKQULURUPPLUSUPTUMUO $.

    ${
      fsumless.4 $e |- ( ph -> C C_ A ) $.
      $( A shorter sum of nonnegative terms is smaller than a longer one.
         (Contributed by NM, 26-Dec-2005.)  (Proof shortened by Mario Carneiro,
         24-Apr-2014.) $)
      fsumless $p |- ( ph -> sum_ k e. C B <_ sum_ k e. A B ) $=
        ( csu cdif cle cc0 wbr cfn wcel wss sylan2 fsumrecl wceq caddc co difss
        ssfi sylancl cv cr eldifi fsumge0 ssfid sselda syldan addge01d mpbid c0
        cin disjdif a1i cun undif sylib eqcomd wa recnd fsumsplit breqtrrd ) AD
        CEJZVGBDKZCEJZUAUBZBCEJLAMVILNVGVJLNAVHCEABOPVHBQVHOPFBDUCBVHUDUEZEUFZV
        HPZAVLBPZCUGPZVLBDUHZGRZVMAVNMCLNVPHRUIAVGVIADCEABDFIUJAVLDPVNVOADBVLIU
        KGULSAVHCEVKVQSUMUNADVHCBEDVHUPUOTADBUQURADVHUSZBADBQVRBTIDBUTVAVBFAVNV
        CCGVDVEVF $.
    $}

    ${
      fsumge1.4 $e |- ( k = M -> B = C ) $.
      fsumge1.5 $e |- ( ph -> M e. A ) $.
      $( A sum of nonnegative numbers is greater than or equal to any one of
         its terms.  (Contributed by Jeff Madsen, 2-Sep-2009.)  (Proof
         shortened by Mario Carneiro, 4-Jun-2014.) $)
      fsumge1 $p |- ( ph -> C <_ sum_ k e. A B ) $=
        ( csn csu cle wcel cc wceq cv eleq1d wa recnd ralrimiva rspcdva syl2anc
        sumsn snssd fsumless eqbrtrrd ) AFLZCEMZDBCEMNAFBODPOZUJDQKACPOZUKEBFER
        ZFQCDPJSAULEBAUMBOTCHUAUBKUCCDEFBJUEUDABCUIEGHIAFBKUFUGUH $.
    $}

    $( A sum of nonnegative numbers is zero iff all terms are zero.
       (Contributed by Jeff Madsen, 2-Sep-2009.)  (Proof shortened by Mario
       Carneiro, 24-Apr-2014.) $)
    fsum00 $p |- ( ph -> ( sum_ k e. A B = 0 <-> A. k e. A B = 0 ) ) $=
      ( vm csu cc0 wceq wral wa cv wcel cle wbr adantr cr adantlr csb csn snssi
      cfn wss adantl fsumless cc simpr jca ralrimiva nfcsb1v nfel1 nfcv csbeq1a
      nfbr nfan eleq1d breq2d anbi12d mpan9 simpld recnd sumsns syl2anc 3brtr3d
      rspc simplr simprd 0re letri3 sylancl mpbir2and nfv eqeq1d cbvralw sylibr
      wb nfeq1 ex wi cuz cfv sumz olcs sumeq2 syl5ibrcom syl impbid ) ABCDIZJKZ
      CJKZDBLZAWKWMAWKMZDHNZCUAZJKZHBLWMWNWQHBWNWOBOZMZWQWPJPQZJWPPQZWSWOUBZCDI
      ZWJWPJPAWRXCWJPQWKAWRMBCXBDABUDOZWRERADNZBOZCSOZWRFTAXFJCPQZWRGTWRXBBUEAW
      OBUCUFUGTWSWRWPUHOXCWPKWNWRUIWSWPWSWPSOZXAWNXGXHMZDBLZWRXIXAMZAXKWKAXJDBA
      XFMXGXHFGUJUKRXJXLDWOBXIXADDWPSDWOCULZUMDJWPPDJUNDPUNXMUPUQXEWOKZXGXIXHXA
      XNCWPSDWOCUOZURXNCWPJPXOUSUTVGVAZVBZVCCDWOBVDVEAWKWRVHVFWSXIXAXPVIWSXIJSO
      WQWTXAMVRXQVJWPJVKVLVMUKWLWQDHBWLHVNDWPJXMVSXNCWPJXOVOVPVQVTAXDWMWKWAEXDW
      KWMBJDIZJKZBJWBWCUEXDXSBDJWDWEWMWJXRJBCJDWFVOWGWHWI $.
  $}

  ${
    $d k A $.  $d k ph $.
    fsumle.1 $e |- ( ph -> A e. Fin ) $.
    fsumle.2 $e |- ( ( ph /\ k e. A ) -> B e. RR ) $.
    fsumle.3 $e |- ( ( ph /\ k e. A ) -> C e. RR ) $.
    fsumle.4 $e |- ( ( ph /\ k e. A ) -> B <_ C ) $.
    $( If all of the terms of finite sums compare, so do the sums.
       (Contributed by NM, 11-Dec-2005.)  (Proof shortened by Mario Carneiro,
       24-Apr-2014.) $)
    fsumle $p |- ( ph -> sum_ k e. A B <_ sum_ k e. A C ) $=
      ( cc0 csu cmin co cle wbr cv wcel subge0d recnd fsumrecl resubcld fsumge0
      wa mpbird fsumsub breqtrd mpbid ) AJBDEKZBCEKZLMZNOUIUHNOAJBDCLMZEKUJNABU
      KEFAEPBQUCZDCHGUAULJUKNOCDNOIULDCHGRUDUBABDCEFULDHSULCGSUEUFAUHUIABDEFHTA
      BCEFGTRUG $.
  $}

  ${
    $d k A $.  $d k ph $.
    fsumlt.1 $e |- ( ph -> A e. Fin ) $.
    fsumlt.2 $e |- ( ph -> A =/= (/) ) $.
    fsumlt.3 $e |- ( ( ph /\ k e. A ) -> B e. RR ) $.
    fsumlt.4 $e |- ( ( ph /\ k e. A ) -> C e. RR ) $.
    fsumlt.5 $e |- ( ( ph /\ k e. A ) -> B < C ) $.
    $( If every term in one finite sum is less than the corresponding term in
       another, then the first sum is less than the second.  (Contributed by
       Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro, 3-Jun-2014.) $)
    fsumlt $p |- ( ph -> sum_ k e. A B < sum_ k e. A C ) $=
      ( csu clt wbr cc0 cmin co wcel cr recnd fsumrecl cv wa crp wb difrp mpbid
      syl2anc fsumrpcl rpgt0d fsumsub breqtrd posdifd mpbird ) ABCEKZBDEKZLMNUO
      UNOPZLMANBDCOPZEKZUPLAURABUQEFGAEUABQUBZCDLMZUQUCQZJUSCRQDRQUTVAUDHICDUEU
      GUFUHUIABDCEFUSDISUSCHSUJUKAUNUOABCEFHTABDEFITULUM $.
  $}

  ${
    $d k w x y A $.  $d w x y B $.  $d k w x y ph $.
    fsumabs.1 $e |- ( ph -> A e. Fin ) $.
    fsumabs.2 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    $( Generalized triangle inequality: the absolute value of a finite sum is
       less than or equal to the sum of absolute values.  (Contributed by NM,
       9-Nov-2005.)  (Revised by Mario Carneiro, 24-Apr-2014.) $)
    fsumabs $p |- ( ph ->
                    ( abs ` sum_ k e. A B ) <_ sum_ k e. A ( abs ` B ) ) $=
      ( wss csu cabs cfv cle wbr wcel wi c0 wceq sumeq1 fveq2d caddc cc vw ssid
      vx vy cfn csn cun sseq1 breq12d imbi12d imbi2d cc0 0le0 sum0 fveq2i eqtri
      cv abs0 3brtr4i 2a1i wn wa ssun1 sstr mpan imim1i csb co simpll syl simpr
      unssad sselda syl2an2r fsumcl abscld fsumrecl wral unssbd vex snss sylibr
      ssfid ralrimiva nfcsb1v nfel1 csbeq1a eleq1d rspc sylc leadd1d cin simplr
      disjsn eqidd recnd fsumsplit cvv csbfv2g elv sumsns sylancr eqtrdi oveq2d
      eqeltrid eqtrd breq2d syl2anc abstrid eqbrtrd readdcld letr syl3anc mpand
      bitr4d cr sylbid ex a2d syl5 expcom adantl findcard2s mpcom mpi ) ABBGZBC
      DHZIJZBCIJZDHZKLZBUBBUEMZAYFYKNZEAUAUQZBGZYNCDHZIJZYNYIDHZKLZNZNAOBGZOCDH
      ZIJZOYIDHZKLZNZNAUCUQZBGZUUGCDHZIJZUUGYIDHZKLZNZNZAUUGUDUQZUFZUGZBGZUUQCD
      HZIJZUUQYIDHZKLZNZNZAYMNUAUCUDBYNOPZYTUUFAUVEYOUUAYSUUEYNOBUHUVEYQUUCYRUU
      DKUVEYPUUBIYNOCDQRYNOYIDQUIUJUKYNUUGPZYTUUMAUVFYOUUHYSUULYNUUGBUHUVFYQUUJ
      YRUUKKUVFYPUUIIYNUUGCDQRYNUUGYIDQUIUJUKYNUUQPZYTUVCAUVGYOUURYSUVBYNUUQBUH
      UVGYQUUTYRUVAKUVGYPUUSIYNUUQCDQRYNUUQYIDQUIUJUKYNBPZYTYMAUVHYOYFYSYKYNBBU
      HUVHYQYHYRYJKUVHYPYGIYNBCDQRYNBYIDQUIUJUKUUEAUUAULULUUCUUDKUMUUCULIJULUUB
      ULICDUNUOURUPYIDUNUSUTUUOUUGMVAZUUNUVDNUUGUEMUVIAUUMUVCAUVIUUMUVCNUUMUURU
      ULNAUVIVBZUVCUURUUHUULUUGUUQGUURUUHUUGUUPVCUUGUUQBVDVEVFUVJUURUULUVBUVJUU
      RUULUVBNUVJUURVBZUULUUJDUUOCVGZIJZSVHZUVAKLZUVBUVKUULUVNUUKUVMSVHZKLUVOUV
      KUUJUUKUVMUVKUUIUVKUUGCDUVKBUUGUVKAYLAUVIUURVIZEVJZUVKUUGUUPBUVJUURVKZVLZ
      WCZUVKADUQZUUGMZUWBBMZCTMZUVQUVKUUGBUWBUVTVMFVNZVOZVPZUVKUUGYIDUWAUVKUWCV
      BCUWFVPVQUVKUVLUVKUUOBMZUWEDBVRZUVLTMZUVKUUPBGUWIUVKUUGUUPBUVSVSUUOBUDVTZ
      WAWBZUVKAUWJUVQAUWEDBFWDVJUWEUWKDUUOBDUVLTDUUOCWEWFUWBUUOPCUVLTDUUOCWGWHW
      IWJZVPZWKUVKUVAUVPUVNKUVKUVAUUKUUPYIDHZSVHUVPUVKUUGUUPYIUUQDUVKUVIUUGUUPW
      LOPAUVIUURWMUUGUUOWNWBZUVKUUQWOZUVKBUUQUVRUVSWCZUVKUWBUUQMZVBZYIUXACUVKAU
      WTUWDUWEUVQUVKUUQBUWBUVSVMFVNZVPZWPWQUVKUWPUVMUUKSUVKUWPDUUOYIVGZUVMUVKUU
      OWRMUXDTMUWPUXDPUWLUVKUXDUVMTUXDUVMPUDDUUOCWRIWSWTZUVKUVMUWOWPXEYIDUUOWRX
      AXBUXEXCXDXFXGXOUVKUUTUVNKLZUVOUVBUVKUUTUUIUVLSVHZIJUVNKUVKUUSUXGIUVKUUSU
      UIUUPCDHZSVHUXGUVKUUGUUPCUUQDUWQUWRUWSUXBWQUVKUXHUVLUUISUVKUWIUWKUXHUVLPU
      WMUWNCDUUOBXAXHXDXFRUVKUUIUVLUWGUWNXIXJUVKUUTXPMUVNXPMUVAXPMUXFUVOVBUVBNU
      VKUUSUVKUUQCDUWSUXBVOVPUVKUUJUVMUWHUWOXKUVKUUQYIDUWSUXCVQUUTUVNUVAXLXMXNX
      QXRXSXTYAXSYBYCYDYE $.
  $}

  ${
    $d j A $.  $d k B $.  $d k C $.  $d j k M $.  $d j k N $.  $d j k ph $.
    $d k D $.  $d k E $.
    telfsumo.1 $e |- ( k = j -> A = B ) $.
    telfsumo.2 $e |- ( k = ( j + 1 ) -> A = C ) $.
    telfsumo.3 $e |- ( k = M -> A = D ) $.
    telfsumo.4 $e |- ( k = N -> A = E ) $.
    telfsumo.5 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    telfsumo.6 $e |- ( ( ph /\ k e. ( M ... N ) ) -> A e. CC ) $.
    $( Sum of a telescoping series, using half-open intervals.  (Contributed by
       Mario Carneiro, 2-May-2016.) $)
    telfsumo $p |- ( ph -> sum_ j e. ( M ..^ N ) ( B - C ) = ( D - E ) ) $=
      ( wceq co wcel cc cfzo cmin csu c1 caddc cuz cfv wa c0 cc0 sum0 cv eleq1d
      cfz ralrimiva eluzfz1 syl rspcdva adantr subidd eqtr4id oveq2 adantl fzo0
      eqtrdi sumeq1d eqeq1 eqeq1d imbi12d vtoclg imp sylan oveq2d 3eqtr4d fzofi
      wi cfn a1i wral elfzofz fzofzp1 fsumsub cbvsumv cz eluzel2 eluzelz fzoval
      eluzp1m1 fzossfz eqsstrrdi sselda adantlr syldan fsum1p eqtr3id simpr wss
      fzp1ss fsumm1 peano2zd fsumshftm ax-1cn pncan sylancl oveq1d eqtr4d eqtrd
      1zzd sylan2 fsumcl eluzfz2 addcomd eqtr3d 3eqtr3d oveq12d pnpcan2d 3eqtrd
      zcnd wo uzp1 mpjaodan ) AJIQZIJUARZCDUBRZFUCZEHUBRZQJIUDUERZUFUGSZAYBUHZU
      IYDFUCZEEUBRZYEYFYIYJUJYKYDFUKYIEAETSZYBABTSZYLGIJUNRZIGULZIQZBETMUMAYMGY
      NPUOZAJIUFUGZSZIYNSOIJUPUQURZUSUTVAYIYCUIYDFYIYCIIUARZUIYBYCUUAQAJIIUAVBV
      CIVDVEVFYIHEEUBAYSYBHEQZOYSYBUUBYPBEQZVPYBUUBVPGJYRYOJQZYPYBUUCUUBYOJIVGU
      UDBHENVHVIMVJVKVLVMVNAYHUHZYEYCCFUCZYCDFUCZUBRZEYGJUARZBGUCZUERZHUUJUERZU
      BRZYFAYEUUHQYHAYCCDFYCVQSAIJVOVRAFULZYCSZUHZYMCTSGYNUUNYOUUNQBCTKUMAYMGYN
      VSUUOYQUSZUUOUUNYNSAUUNIJVTVCURUUPYMDTSGYNUUNUDUERZYOUURQBDTLUMUUQUUOUURY
      NSAIJUUNWAVCURWBUSUUEUUFUUKUUGUULUBUUEUUFYCBGUCZUUKYCBCGFKWCUUEIJUDUBRZUN
      RZBGUCEYGUUTUNRZBGUCZUERUUSUUKUUEBEGIUUTAIWDSZYHUUTYRSAYSUVDOIJWEUQZIJWHV
      LUUEYOUVASYOYNSZYMUUEUVAYNYOUUEUVAYCYNUUEJWDSZYCUVAQZAUVGYHAYSUVGOIJWFUQZ
      USZIJWGZUQZIJWIWJWKAUVFYMYHPWLWMMWNUUEYCUVABGUVLVFUUEUUJUVCEUEUUEUUIUVBBG
      UUEUVGUUIUVBQZUVJYGJWGZUQVFVMVNWOUUEYGJUNRZBGUCZUVCHUERZUUGUULUUEBHGYGJAY
      HWPAYOUVOSZYMYHAUVRUVFYMAUVOYNYOAUVDUVOYNWQUVEIJWRUQWKPWMZWLNWSAUVPUUGQYH
      AUVPYGUDUBRZUUTUNRZDFUCUUGABDGFUDYGJAXHAIUVEWTUVIUVSLXAAUWAYCDFAUWAUVAYCA
      UVTIUUTUNAITSUDTSUVTIQAIUVEXRXBIUDXCXDXEAUVGUVHUVIUVKUQXFVFXGUSAUVQUULQYH
      AUUJHUERUVQUULAUUJUVCHUEAUUIUVBBGAUVGUVMUVIUVNUQVFXEAUUJHAUUIBGUUIVQSAYGJ
      VOVRYOUUISAUVRYMYOYGJVTUVSXIXJZAYMHTSGYNJUUDBHTNUMYQAYSJYNSOIJXKUQURZXLXM
      USXNXOAUUMYFQYHAEHUUJYTUWCUWBXPUSXQAYSYBYHXSOIJXTUQYA $.

    $( Sum of a telescoping series.  (Contributed by Mario Carneiro,
       2-May-2016.) $)
    telfsumo2 $p |- ( ph -> sum_ j e. ( M ..^ N ) ( C - B ) = ( E - D ) ) $=
      ( co cneg wcel cc cfzo cmin csu cv negeqd c1 caddc cfz wa negcld telfsumo
      wceq wral elfzofz eleq1d rspccva syl2an fzofzp1 neg2subd sumeq2dv cuz cfv
      ralrimiva eluzfz1 syl rspcdva eluzfz2 3eqtr3d ) AIJUAQZCRZDRZUBQZFUCERZHR
      ZUBQVIDCUBQZFUCHEUBQABRVJVKVMFGVNIJGUDZFUDZULZBCKUEVPVQUFUGQZULZBDLUEVPIU
      LZBEMUEVPJULZBHNUEOAVPIJUHQZSUIBPUJUKAVIVLVOFAVQVISZUICDABTSZGWCUMZVQWCSC
      TSZWDAWEGWCPVCZVQIJUNWEWGGVQWCVRBCTKUOUPUQAWFVSWCSDTSZWDWHIJVQURWEWIGVSWC
      VTBDTLUOUPUQUSUTAEHAWEETSGWCIWABETMUOWHAJIVAVBSZIWCSOIJVDVEVFAWEHTSGWCJWB
      BHTNUOWHAWJJWCSOIJVGVEVFUSVH $.
  $}

  ${
    $d j A $.  $d k B $.  $d k C $.  $d j k M $.  $d j k N $.  $d j k ph $.
    $d k D $.  $d k E $.
    telfsum.1 $e |- ( k = j -> A = B ) $.
    telfsum.2 $e |- ( k = ( j + 1 ) -> A = C ) $.
    telfsum.3 $e |- ( k = M -> A = D ) $.
    telfsum.4 $e |- ( k = ( N + 1 ) -> A = E ) $.
    telfsum.5 $e |- ( ph -> N e. ZZ ) $.
    telfsum.6 $e |- ( ph -> ( N + 1 ) e. ( ZZ>= ` M ) ) $.
    telfsum.7 $e |- ( ( ph /\ k e. ( M ... ( N + 1 ) ) ) -> A e. CC ) $.
    $( Sum of a telescoping series.  (Contributed by Scott Fenton,
       24-Apr-2014.)  (Revised by Mario Carneiro, 2-May-2016.) $)
    telfsum $p |- ( ph -> sum_ j e. ( M ... N ) ( B - C ) = ( D - E ) ) $=
      ( co cmin csu cfz c1 caddc cfzo cz wcel fzval3 syl sumeq1d telfsumo eqtrd
      wceq ) AIJUARZCDSRZFTIJUBUCRZUDRZUNFTEHSRAUMUPUNFAJUEUFUMUPULOIJUGUHUIABC
      DEFGHIUOKLMNPQUJUK $.

    $( Sum of a telescoping series.  (Contributed by Mario Carneiro,
       15-Jun-2014.)  (Revised by Mario Carneiro, 2-May-2016.) $)
    telfsum2 $p |- ( ph -> sum_ j e. ( M ... N ) ( C - B ) = ( E - D ) ) $=
      ( co cmin csu cfz c1 caddc cfzo cz wcel wceq fzval3 syl sumeq1d telfsumo2
      eqtrd ) AIJUARZDCSRZFTIJUBUCRZUDRZUNFTHESRAUMUPUNFAJUEUFUMUPUGOIJUHUIUJAB
      CDEFGHIUOKLMNPQUKUL $.
  $}

  ${
    $d j A $.  $d k B $.  $d k C $.  $d k D $.  $d k E $.  $d j V $.  $d k W $.
    $d j k M $.  $d j k N $.  $d j k ph $.  $d k X $.  $d k Y $.  $d k Z $.
    fsumparts.b $e |- ( k = j -> ( A = B /\ V = W ) ) $.
    fsumparts.c $e |- ( k = ( j + 1 ) -> ( A = C /\ V = X ) ) $.
    fsumparts.d $e |- ( k = M -> ( A = D /\ V = Y ) ) $.
    fsumparts.e $e |- ( k = N -> ( A = E /\ V = Z ) ) $.
    fsumparts.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    fsumparts.2 $e |- ( ( ph /\ k e. ( M ... N ) ) -> A e. CC ) $.
    fsumparts.3 $e |- ( ( ph /\ k e. ( M ... N ) ) -> V e. CC ) $.
    $( Summation by parts.  (Contributed by Mario Carneiro, 13-Apr-2016.) $)
    fsumparts $p |- ( ph -> sum_ j e. ( M ..^ N ) ( B x. ( X - W ) ) =
      ( ( ( E x. Z ) - ( D x. Y ) ) -
        sum_ j e. ( M ..^ N ) ( ( C - B ) x. X ) ) ) $=
      ( wceq cfzo co cmin cmul csu c1 caddc cuz cfv wcel wa c0 cc0 0m0e0 eqtr4i
      sum0 simpr oveq2d fzo0 eqtrdi sumeq1d cfz eluzfz1 wi cv eqtr3 oveq12 3syl
      syl adantr eqeq12d pm5.74da eqidd vtoclg sylan oveq1d cc simpld ralrimiva
      imp eleq1d rspcdva simprd mulcld subidd eqtrd oveq12d 3eqtr4a cfn a1i wss
      cz eluzel2 uzid peano2uz fzoss1 4syl sselda elfzofz sylan2 adantlr syldan
      fzofi fsumcl eluzfz2 fzp1ss fsumm1 eluzelz fzoval zcnd pncan sylancl 1zzd
      ax-1cn eqtr4d peano2zd fsumshftm 3eqtr4d comraddd fzofzp1 rspccva subdird
      syl2an sumeq2dv fsumsub subsub3d subcld nnncan1d addcomd eluzp1m1 biimpar
      wral eleq2d fsum1p cbvsumv subsub4d subdid 3eqtrrd wo uzp1 mpjaodan ) AJI
      UCZIJUDUEZCMLUFUEUGUEZFUHZHOUGUEZENUGUEZUFUEZUUFDCUFUEMUGUEZFUHZUFUEZUCJI
      UIUJUEZUKULUMZAUUEUNZUOUUGFUHZUPUPUFUEZUUHUUNUURUPUUSUUGFUSUQURUUQUUFUOUU
      GFUUQUUFIIUDUEUOUUQJIIUDAUUEUTVAIVBVCZVDUUQUUKUPUUMUPUFUUQUUKUUJUUJUFUEZU
      PUUQUUIUUJUUJUFAIIJVEUEZUMZUUEUUIUUJUCZAJIUKULZUMZUVCTIJVFVLZUVCUUEUVDUUE
      BKUGUEZUVHUCZVGUUEUVDVGGIUVBGVHZIUCZUUEUVIUVDUVKUUEUNZUVHUUIUVHUUJUVLUVJJ
      UCZBHUCZKOUCZUNZUVHUUIUCZUVJJIVISBHKOUGVJZVKUVKUVHUUJUCZUUEUVKBEUCZKNUCZU
      NUVSRBEKNUGVJVLZVMVNVOUUEUVHVPVQWCVRVSAUVAUPUCUUEAUUJAENABVTUMZEVTUMGUVBI
      UVKBEVTUVKUVTUWARWAWDAUWCGUVBUAWBZUVGWEAKVTUMZNVTUMGUVBIUVKKNVTUVKUVTUWAR
      WFWDAUWEGUVBUBWBZUVGWEWGZWHVMWIUUQUUMUOUULFUHUPUUQUUFUOUULFUUTVDUULFUSVCW
      JWKAUUPUNZUUNUUKUUIUUFCMUGUEZFUHZUUOJUDUEZUVHGUHZUFUEZUFUEZUFUEUWMUUJUFUE
      ZUUHUWHUUMUWNUUKUFUWHUUFDMUGUEZFUHZUWJUFUEZUUIUWLUJUEZUWJUFUEUUMUWNUWHUWQ
      UWSUWJUFUWHUWQUWLUUIUWHUWKUVHGUWKWLUMUWHUUOJXFWMUWHUVJUWKUMUVJUUFUMZUVHVT
      UMZUWHUWKUUFUVJUWHIWOUMZIUVEUMUUOUVEUMUWKUUFWNAUXBUUPAUVFUXBTIJWPVLZVMZIW
      QIIWRUUOIJWSWTXAAUWTUXAUUPUWTAUVJUVBUMZUXAUVJIJXBAUXEUNBKUAUBWGZXCXDZXEXG
      ZAUUIVTUMUUPAHOAUWCHVTUMGUVBJUVMBHVTUVMUVNUVOSWAWDUWDAUVFJUVBUMTIJXHVLZWE
      AUWEOVTUMGUVBJUVMKOVTUVMUVNUVOSWFWDUWFUXIWEWGVMZUWHUUOJVEUEZUVHGUHZUUOJUI
      UFUEZVEUEZUVHGUHZUUIUJUEUWQUWLUUIUJUEUWHUVHUUIGUUOJAUUPUTUWHUVJUXKUMUXEUX
      AUWHUXKUVBUVJUWHUXBUXKUVBWNUXDIJXIVLXAAUXEUXAUUPUXFXDXEZUVMUVPUVQSUVRVLXJ
      UWHUWQUUOUIUFUEZUXMVEUEZUWPFUHUXLUWHUUFUXRUWPFUWHUUFIUXMVEUEZUXRUWHJWOUMZ
      UUFUXSUCAUXTUUPAUVFUXTTIJXKVLVMZIJXLVLZUWHUXQIUXMVEUWHIVTUMUIVTUMUXQIUCUW
      HIUXDXMXQIUIXNXOVSXRVDUWHUVHUWPGFUIUUOJUWHXPUWHIUXDXSUYAUXPUVJFVHZUIUJUEZ
      UCZBDUCZKMUCZUNUVHUWPUCQBDKMUGVJVLXTXRUWHUWLUXOUUIUJUWHUWKUXNUVHGUWHUXTUW
      KUXNUCUYAUUOJXLVLVDZVSYAYBVSAUUMUWRUCUUPAUUMUUFUWPUWIUFUEZFUHUWRAUUFUULUY
      IFAUYCUUFUMZUNZDCMAUWCGUVBYOZUYDUVBUMZDVTUMZUYJUWDIJUYCYCZUWCUYNGUYDUVBUY
      EBDVTUYEUYFUYGQWAWDYDYFZAUYLUYCUVBUMZCVTUMZUYJUWDUYCIJXBZUWCUYRGUYCUVBUVJ
      UYCUCZBCVTUYTBCUCZKLUCZPWAWDYDYFZAUWEGUVBYOZUYMMVTUMZUYJUWFUYOUWEVUEGUYDU
      VBUYEKMVTUYEUYFUYGQWFWDYDYFZYEYGAUUFUWPUWIFUUFWLUMAIJXFWMZUYKDMUYPVUFWGUY
      KCMVUCVUFWGZYHWIVMUWHUUIUWJUWLUXJAUWJVTUMUUPAUUFUWIFVUGVUHXGVMZUXHYIYAVAU
      WHUUIUUJUWMUXJAUUJVTUMUUPUWGVMZUWHUWJUWLVUIUXHYJYKUWHUWJUWLUUJUJUEZUFUEUW
      JUUFCLUGUEZFUHZUFUEZUWOUUHUWHVUKVUMUWJUFUWHVUKUUFUVHGUHZVUMUWHVUKUUJUWLUJ
      UEZVUOUWHUWLUUJUXHVUJYLUWHUXSUVHGUHUUJUXOUJUEVUOVUPUWHUVHUUJGIUXMAUXBUUPU
      XMUVEUMUXCIJYMVRUWHUVJUXSUMZUWTUXAUWHUWTVUQUWHUUFUXSUVJUYBYPYNUXGXEUWBYQU
      WHUUFUXSUVHGUYBVDUWHUWLUXOUUJUJUYHVAYAXRUUFUVHVULGFUYTVUAVUBUNUVHVULUCPBC
      KLUGVJVLYRVCVAUWHUWJUWLUUJVUIUXHVUJYSAUUHVUNUCUUPAUUHUUFUWIVULUFUEZFUHVUN
      AUUFUUGVURFUYKCMLVUCVUFAVUDUYQLVTUMZUYJUWFUYSUWEVUSGUYCUVBUYTKLVTUYTVUAVU
      BPWFWDYDYFZYTYGAUUFUWIVULFVUGVUHUYKCLVUCVUTWGYHWIVMYAUUAAUVFUUEUUPUUBTIJU
      UCVLUUD $.
  $}

  ${
    $d f k m x y A $.  $d f m x y B $.  $d f k m x y F $.  $d f k m x y ph $.
    fsumre.1 $e |- ( ph -> A e. Fin ) $.
    fsumre.2 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    ${
      fsumrelem.3 $e |- F : CC --> CC $.
      fsumrelem.4 $e |- ( ( x e. CC /\ y e. CC ) ->
        ( F ` ( x + y ) ) = ( ( F ` x ) + ( F ` y ) ) ) $.
      $( Lemma for ~ fsumre , ~ fsumim , and ~ fsumcj .  (Contributed by Mario
         Carneiro, 25-Jul-2014.)  (Revised by Mario Carneiro, 27-Dec-2014.) $)
      fsumrelem $p |- ( ph
          -> ( F ` sum_ k e. A B ) = sum_ k e. A ( F ` B ) ) $=
        ( vm wceq cfv wcel co wa cc0 caddc cc vf c0 csu chash cn c1 cfz cv wf1o
        wex wi ffvelrni ax-mp addid1i fvoveq1 fveq2 oveq1d eqeq12d oveq2 eqtrdi
        0cn 00id fveq2d oveq2d vtocl2ga eqtr2i addcani mpbi sumeq1 sum0 3eqtr4a
        mp2an a1i cmpt ccom cseq addcl adantl fmpttd adantr simprr f1of syl fco
        wf syl2anc ffvelrnda cuz simprl nnuz eleqtrdi wral eqid fvmpt2 cvv fvex
        simpr sylancl eqtr4d ralrimiva ad2antrr nfcv nffv nfeq 2fveq3 rspc sylc
        nffvmpt1 fvco3 sylan 3eqtr4d seqhomo fsum sumfc 3eqtr3g exlimdv expimpd
        fveq2i expr cfn wo fz1f1o mpjaod ) ADUBMZDEFUCZGNZDEGNZFUCZMZDUDNZUEOZU
        FYJUGPZDUAUHZUIZUAUJZQZYDYIUKAYDRGNZRYFYHYQYQSPZYQRSPZMYQRMYSYQYRYQRTOZ
        YQTOVATTRGJULUMZUNYTYTYQYRMZVAVABUHZCUHZSPZGNZUUCGNZUUDGNZSPZMZRUUDSPZG
        NZYQUUHSPZMUUBBCRRTTUUCRMZUUFUULUUIUUMUUCRUUDGSUOUUNUUGYQUUHSUUCRGUPUQU
        RUUDRMZUULYQUUMYRUUOUUKRGUUOUUKRRSPRUUDRRSUSVBUTVCUUOUUHYQYQSUUDRGUPVDU
        RKVEVLVFYQYQRUUAUUAVAVGVHYDYERGYDYEUBEFUCRDUBEFVIEFVJUTVCYDYHUBYGFUCRDU
        BYGFVIYGFVJUTVKVMAYKYOYIAYKQYNYIUAAYKYNYIAYKYNQZQZDLUHZFDEVNZNZLUCZGNZD
        UURFDYGVNZNZLUCZYFYHUUQYJSUUSYMVOZUFVPNZGNYJSUVCYMVOZUFVPNUVBUVEUUQBCSS
        TUVFUVHGUFYJUUCTOUUDTOQZUUETOUUQUUCUUDVQVRUUQYLTUUCUVFUUQDTUUSWEZYLDYMW
        EZYLTUVFWEAUVJUUPAFDETIVSVTZUUQYNUVKAYKYNWAZYLDYMWBWCZYLDTUUSYMWDWFWGUU
        QYJUEUFWHNAYKYNWIZWJWKUVIUUJUUQKVRUUQUUCYLOZQZUUCYMNZUUSNZGNZUVRUVCNZUU
        CUVFNZGNUUCUVHNZUVQUVRDOFUHZUUSNZGNZUWDUVCNZMZFDWLZUVTUWAMZUUQYLDUUCYMU
        VNWGAUWIUUPUVPAUWHFDAUWDDOZQZUWFYGUWGUWLUWEEGUWLUWKETOZUWEEMAUWKWQZIFDE
        TUUSUUSWMWNWFVCUWLUWKYGWOOUWGYGMUWNEGWPFDYGWOUVCUVCWMWNWRWSWTXAUWHUWJFU
        VRDFUVTUWAFUVSGFGXBFDEUVRXHXCFDYGUVRXHXDUWDUVRMUWFUVTUWGUWAUWDUVRGUUSXE
        UWDUVRUVCUPURXFXGUVQUWBUVSGUUQUVKUVPUWBUVSMUVNYLDUUCUUSYMXIXJZVCUUQUVKU
        VPUWCUWAMUVNYLDUUCUVCYMXIXJZXKXLUUQUVAUVGGUUQDUUTUVSLBYMUVFYJUURUVRUUSU
        PUVOUVMUUQDTUURUUSUVLWGUWOXMVCUUQDUVDUWALBYMUVHYJUURUVRUVCUPUVOUVMUUQDT
        UURUVCADTUVCWEUUPAFDYGTUWLUWMYGTOITTEGJULWCVSVTWGUWPXMXKUVAYEGDELFXNXRD
        YGLFXNXOXSXPXQADXTOYDYPYAHDUAYBWCYC $.
    $}

    $( The real part of a sum.  (Contributed by Paul Chapman, 9-Nov-2007.)
       (Revised by Mario Carneiro, 25-Jul-2014.) $)
    fsumre $p |- ( ph -> ( Re ` sum_ k e. A B ) = sum_ k e. A ( Re ` B ) ) $=
      ( vx vy cre cc cr wf wss ref ax-resscn fss mp2an cv readd fsumrelem ) AGH
      BCDIEFJKILKJMJJILNOJKJIPQGRHRST $.

    $( The imaginary part of a sum.  (Contributed by Paul Chapman, 9-Nov-2007.)
       (Revised by Mario Carneiro, 25-Jul-2014.) $)
    fsumim $p |- ( ph -> ( Im ` sum_ k e. A B ) = sum_ k e. A ( Im ` B ) ) $=
      ( vx vy cim cc cr wf wss imf ax-resscn fss mp2an cv imadd fsumrelem ) AGH
      BCDIEFJKILKJMJJILNOJKJIPQGRHRST $.

    $( The complex conjugate of a sum.  (Contributed by Paul Chapman,
       9-Nov-2007.)  (Revised by Mario Carneiro, 25-Jul-2014.) $)
    fsumcj $p |- ( ph -> ( * ` sum_ k e. A B ) = sum_ k e. A ( * ` B ) ) $=
      ( vx vy ccj cjf cv cjadd fsumrelem ) AGHBCDIEFJGKHKLM $.
  $}

  ${
    $d k w x y z A $.  $d k w x y z B $.  $d w y z C $.  $d k w x y z ph $.
    $d w y z D $.
    fsumrlim.1 $e |- ( ph -> A C_ RR ) $.
    fsumrlim.2 $e |- ( ph -> B e. Fin ) $.
    fsumrlim.3 $e |- ( ( ph /\ ( x e. A /\ k e. B ) ) -> C e. V ) $.
    fsumrlim.4 $e |- ( ( ph /\ k e. B ) -> ( x e. A |-> C ) ~~>r D ) $.
    $( Limit of a finite sum of converging sequences.  Note that ` C ( k ) ` is
       a collection of functions with implicit parameter ` k ` , each of which
       converges to ` D ( k ) ` as ` n ~~> +oo ` .  (Contributed by Mario
       Carneiro, 22-May-2016.) $)
    fsumrlim $p |- ( ph -> ( x e. A |-> sum_ k e. B C ) ~~>r sum_ k e. B D ) $=
      ( vw csu cmpt crli wcel wi cc caddc vy vz wss wbr ssid cfn cv cc0 csn cun
      c0 wceq sseq1 sumeq1 eqtrdi mpteq2dv breq12d imbi12d imbi2d weq rlimconst
      sum0 cr 0cn sylancl a1d wn wa ssun1 sstr mpan imim1i csb co cvv sumex a1i
      wral simprr unssbd snss sylibr adantr anass1rs rlimmptrcl an32s ralrimiva
      vex adantllr nfcsb1v nfel1 csbeq1a eleq1d rspc sylc mpan9 elexd sumeq2sdv
      nfcv nfsum cbvmpt simpr eqbrtrrid nfmpt rlimadd simprl disjsn eqidd ssfid
      nfbr sselda adantlr syldan fsumsplit cbvsumi csbeq1 syl2anc eqtrid oveq2d
      cin sumsn eqtrd mpteq2dva nfov oveq12d rlimcl syl 3brtr4d expr a2d expcom
      ex syl5 adantl findcard2s mpcom mpi ) ADDUCZBCDEGNZOZDFGNZPUDZDUEDUFQZAYR
      UUBRZJAMUGZDUCZBCUUEEGNZOZUUEFGNZPUDZRZRAUKDUCZBCUHOZUHPUDZRZRAUAUGZDUCZB
      CUUPEGNZOZUUPFGNZPUDZRZRZAUUPUBUGZUIZUJZDUCZBCUVFEGNZOZUVFFGNZPUDZRZRZAUU
      DRMUAUBDUUEUKULZUUKUUOAUVNUUFUULUUJUUNUUEUKDUMUVNUUHUUMUUIUHPUVNBCUUGUHUV
      NUUGUKEGNUHUUEUKEGUNEGVBUOUPUVNUUIUKFGNUHUUEUKFGUNFGVBUOUQURUSMUAUTZUUKUV
      BAUVOUUFUUQUUJUVAUUEUUPDUMUVOUUHUUSUUIUUTPUVOBCUUGUURUUEUUPEGUNUPUUEUUPFG
      UNUQURUSUUEUVFULZUUKUVLAUVPUUFUVGUUJUVKUUEUVFDUMUVPUUHUVIUUIUVJPUVPBCUUGU
      VHUUEUVFEGUNUPUUEUVFFGUNUQURUSUUEDULZUUKUUDAUVQUUFYRUUJUUBUUEDDUMUVQUUHYT
      UUIUUAPUVQBCUUGYSUUEDEGUNUPUUEDFGUNUQURUSAUUNUULACVCUCUHSQUUNIVDBCUHVAVEV
      FUVDUUPQVGZUVCUVMRUUPUFQUVRAUVBUVLAUVRUVBUVLRUVBUVGUVARAUVRVHZUVLUVGUUQUV
      AUUPUVFUCUVGUUQUUPUVEVIUUPUVFDVJVKVLUVSUVGUVAUVKAUVRUVGUVAUVKRAUVRUVGVHZV
      HZUVAUVKUWAUVAVHZMCUUPBUUEEVMZGNZBUUEGUVDEVMZVMZTVNZOZUUTGUVDFVMZTVNZUVIU
      VJPUWBMCUWDUWFUUTUWIVOUWDVOQUWBUUECQZVHZUUPUWCGVPVQUWLUWFSUWBUWESQZBCVRZU
      WKUWFSQZUWAUWNUVAUWAUWMBCUWABUGCQZVHZUVDDQZESQZGDVRUWMUWAUWRUWPUWAUVEDUCU
      WRUWAUUPUVEDAUVRUVGVSZVTUVDDUBWHWAWBZWCZUWQUWSGDAUWPGUGZDQZUWSUVTAUXDUWPU
      WSAUXDVHZCEFBHAUWPUXDEHQKWDLWEWFWIZWGUWSUWMGUVDDGUWESGUVDEWJZWKGUBUTZEUWE
      SGUVDEWLZWMWNWOZWGWCUWMUWOBUUECBUWFSBUUEUWEWJZWKBMUTZUWEUWFSBUUEUWEWLZWMW
      NWPWQUWBMCUWDOUUSUUTPBMCUURUWDMUURWSBUUPUWCGBUUPWSBUUEEWJWTZUXLUUPEUWCGBU
      UEEWLWRZXAUWAUVAXBXCUWBMCUWFOBCUWEOZUWIPBMCUWEUWFMUWEWSUXKUXMXAUWAUXPUWIP
      UDZUVAUWAUWRBCEOZFPUDZGDVRZUXQUXAAUXTUVTAUXSGDLWGWCUXSUXQGUVDDGUXPUWIPGBC
      UWEGCWSUXGXDGPWSGUVDFWJZXJUXHUXRUXPFUWIPUXHBCEUWEUXIUPGUVDFWLZUQWNWOWCXCX
      EUWBUVIBCUURUWETVNZOZUWHUWAUVIUYDULUVAUWABCUVHUYCUWQUVHUURUVEEGNZTVNUYCUW
      QUUPUVEEUVFGUWAUUPUVEXTUKULZUWPUWAUVRUYFAUVRUVGXFUUPUVDXGWBZWCUWQUVFXHUWA
      UVFUFQUWPUWADUVFAUUCUVTJWCUWTXIZWCUWQUXCUVFQZUXDUWSUWAUYIUXDUWPUWAUVFDUXC
      UWTXKZXLUXFXMXNUWQUYEUWEUURTUWQUYEUVEGUUEEVMZMNZUWEUVEEUYKGMMEWSGUUEEWJGU
      UEEWLXOUWQUWRUWMUYLUWEULUXBUXJUYKUWEMUVDDGUUEUVDEXPYAXQXRXSYBYCWCBMCUYCUW
      GMUYCWSBUWDUWFTUXNBTWSUXKYDUXLUURUWDUWEUWFTUXOUXMYEXAUOUWAUVJUWJULUVAUWAU
      VJUUTUVEFGNZTVNUWJUWAUUPUVEFUVFGUYGUWAUVFXHUYHUWAUYIUXDFSQZUYJAUXDUYNUVTU
      XEUXSUYNLFUXRYFYGXLZXMXNUWAUYMUWIUUTTUWAUYMUVEGUUEFVMZMNZUWIUVEFUYPGMMFWS
      GUUEFWJGUUEFWLXOUWAUWRUWISQZUYQUWIULUXAUWAUWRUYNGDVRUYRUXAUWAUYNGDUYOWGUY
      NUYRGUVDDGUWISUYAWKUXHFUWISUYBWMWNWOUYPUWIMUVDDGUUEUVDFXPYAXQXRXSYBWCYHYL
      YIYJYMYKYJYNYOYPYQ $.
  $}

  ${
    $d k w x y z A $.  $d k w x y z B $.  $d w y z C $.  $d k w x y z ph $.
    fsumo1.1 $e |- ( ph -> A C_ RR ) $.
    fsumo1.2 $e |- ( ph -> B e. Fin ) $.
    fsumo1.3 $e |- ( ( ph /\ ( x e. A /\ k e. B ) ) -> C e. V ) $.
    fsumo1.4 $e |- ( ( ph /\ k e. B ) -> ( x e. A |-> C ) e. O(1) ) $.
    $( The finite sum of eventually bounded functions (where the index set
       ` B ` does not depend on ` x ` ) is eventually bounded.  (Contributed by
       Mario Carneiro, 30-Apr-2016.)  (Proof shortened by Mario Carneiro,
       22-May-2016.) $)
    fsumo1 $p |- ( ph -> ( x e. A |-> sum_ k e. B C ) e. O(1) ) $=
      ( vw wss csu cmpt co1 wcel wi wceq adantr vy vz ssid cfn cv cc0 csn sseq1
      c0 cun sumeq1 eqtrdi mpteq2dv eleq1d imbi12d imbi2d cr cc o1const sylancl
      sum0 0cn a1d wn wa ssun1 sstr mpan imim1i csb caddc cof cin simprl disjsn
      sylibr eqidd simprr ssfid sselda adantlr anass1rs o1mptrcl an32s adantllr
      syldan fsumsplit nfcv nfcsb1v csbeq1a cbvsumi unssbd snss ralrimiva nfel1
      vex wral rspc sylc csbeq1 sumsn syl2anc eqtrid oveq2d eqtrd mpteq2dva cvv
      co reex ssex syl sumex offval2 eqtr4d id nfmpt o1add syl2anr eqeltrd expr
      a1i ex a2d syl5 expcom adantl findcard2s mpcom mpi ) ADDMZBCDEFNZOZPQZDUC
      DUDQZAYJYMRZIALUEZDMZBCYPEFNZOZPQZRZRAUIDMZBCUFOZPQZRZRAUAUEZDMZBCUUFEFNZ
      OZPQZRZRZAUUFUBUEZUGZUJZDMZBCUUOEFNZOZPQZRZRZAYORLUAUBDYPUISZUUAUUEAUVBYQ
      UUBYTUUDYPUIDUHUVBYSUUCPUVBBCYRUFUVBYRUIEFNUFYPUIEFUKEFVAULUMUNUOUPYPUUFS
      ZUUAUUKAUVCYQUUGYTUUJYPUUFDUHUVCYSUUIPUVCBCYRUUHYPUUFEFUKUMUNUOUPYPUUOSZU
      UAUUTAUVDYQUUPYTUUSYPUUODUHUVDYSUURPUVDBCYRUUQYPUUOEFUKUMUNUOUPYPDSZUUAYO
      AUVEYQYJYTYMYPDDUHUVEYSYLPUVEBCYRYKYPDEFUKUMUNUOUPAUUDUUBACUQMZUFURQUUDHV
      BBCUFUSUTVCUUMUUFQVDZUULUVARUUFUDQUVGAUUKUUTAUVGUUKUUTRUUKUUPUUJRAUVGVEZU
      UTUUPUUGUUJUUFUUOMUUPUUGUUFUUNVFUUFUUODVGVHVIUVHUUPUUJUUSAUVGUUPUUJUUSRAU
      VGUUPVEZVEZUUJUUSUVJUUJVEUURUUIBCFUUMEVJZOZVKVLXHZPUVJUURUVMSUUJUVJUURBCU
      UHUVKVKXHZOUVMUVJBCUUQUVNUVJBUECQZVEZUUQUUHUUNEFNZVKXHUVNUVPUUFUUNEUUOFUV
      JUUFUUNVMUISZUVOUVJUVGUVRAUVGUUPVNUUFUUMVOVPTUVPUUOVQUVJUUOUDQUVOUVJDUUOA
      YNUVIITAUVGUUPVRZVSTUVPFUEZUUOQZUVTDQZEURQZUVJUWAUWBUVOUVJUUODUVTUVSVTWAA
      UVOUWBUWCUVIAUWBUVOUWCAUWBVEBCEGAUVOUWBEGQJWBKWCWDWEZWFWGUVPUVQUVKUUHVKUV
      PUVQUUNFYPEVJZLNZUVKUUNEUWEFLLEWHFYPEWIFYPEWJWKUVPUUMDQZUVKURQZUWFUVKSUVJ
      UWGUVOUVJUUNDMUWGUVJUUFUUNDUVSWLUUMDUBWPWMVPZTZUVPUWGUWCFDWQUWHUWJUVPUWCF
      DUWDWNUWCUWHFUUMDFUVKURFUUMEWIZWOUVTUUMSZEUVKURFUUMEWJZUNWRWSZUWEUVKLUUMD
      FYPUUMEWTXAXBXCXDXEXFUVJBCUUHUVKVKUUIUVLXGXGURUVJUVFCXGQAUVFUVIHTCUQXIXJX
      KUUHXGQUVPUUFEFXLYAUWNUVJUUIVQUVJUVLVQXMXNTUUJUUJUVLPQZUVMPQUVJUUJXOUVJUW
      GBCEOZPQZFDWQZUWOUWIAUWRUVIAUWQFDKWNTUWQUWOFUUMDFUVLPFBCUVKFCWHUWKXPWOUWL
      UWPUVLPUWLBCEUVKUWMUMUNWRWSUUIUVLXQXRXSYBXTYCYDYEYCYFYGYHYI $.
  $}

  ${
    $d c m n x A $.  $d c k m n x ph $.
    o1fsum.1 $e |- ( ( ph /\ k e. NN ) -> A e. V ) $.
    o1fsum.2 $e |- ( ph -> ( k e. NN |-> A ) e. O(1) ) $.
    $( If ` A ( k ) ` is O(1), then ` sum_ k <_ x , A ( k ) ` is O( ` x ` ).
       (Contributed by Mario Carneiro, 23-May-2016.) $)
    o1fsum $p |- ( ph ->
      ( x e. RR+ |-> ( sum_ k e. ( 1 ... ( |_ ` x ) ) A / x ) ) e. O(1) ) $=
      ( vn cle wbr cabs cfv cn cr c1 co wcel wa cc syl vc vm wral wrex cpnf crp
      cv cico cfl cfz csu cdiv cmpt co1 wss nnssre o1mptrcl 1red elo1mpt2 mpbid
      a1i csb caddc rpssre nfcv nfcsb1v csbeq1a cbvsumi fzfid cdm o1f ralrimiva
      wi wceq dmmptg feq2d eqid fmpt sylibr ad3antrrr elfznn eleq1d rspc impcom
      nfel1 syl2an fsumcl eqeltrid rpcn adantl cc0 wne rpne0 divcld simplrl 1re
      wf elicopnf ax-mp sylib simpld ad2antrr fsumrecl simplrr readdcld absdivd
      wb abscld adantrr rprege0 ad2antrl absid oveq2d eqtrd cmul adantlr adantr
      remulcld fveq2i fsumabs eqbrtrid cun ssun2 nnred flle simprr letrd fznnfl
      flge1nn mpbir2and syldan recnd absge0d chash cfn cn0 3syl reflcl breqtrd
      clt fzsplit sseqtrrid sselda mulid2d fsumge0 jca simprd syl31anc eqbrtrrd
      lemul1a hashcl nn0re elfzuz peano2nnd eluznn sylan peano2re fllep1 eluzle
      cuz simpllr nfv nffv nfbr breq2 fveq2d breq1d imbi12d syl3c sylan2 fsumle
      nfim fsumconst syl2anc biidd 0red mpan9 nnzd uzid rspcdva ssdomg hashdomi
      cz cdom sylc flge0nn0 hashfz1 lemul1ad le2addd c0 fzdisj fsumsplit adddid
      cin ltp1 3brtr4d rpregt0 ledivmul syl3anc mpbird eqbrtrd elo1d rexlimdvva
      ex mpd ) AUAUGZDUGZIJZCKLZUBUGZIJZVMZDMUCZUBNUDUAOUEUHPZUDZBUFOBUGZUILZUJ
      PZCDUKZUXPULPZUMUNQZADMCUMZUNQZUXOGADUAMCOUBMNUOAUPVAADMCEFGUQAURUSUTAUXM
      UYAUAUBUXNNAUXFUXNQZUXJNQZRZRZUXMUYAUYGUXMRZBUFUXTUXFOUXFUILZUJPZDHUGZCVB
      ZKLZHUKZUXJVCPZUFNUOUYHVDVAUYHUXPUFQZRZUXSUXPUYQUXSUXRUYLHUKZSUXRCUYLDHHC
      VEDUYKCVFZDUYKCVGZVHZUYQUXRUYLHUYQOUXQVIUYQCSQZDMUCZUYKMQZUYLSQZUYKUXRQZA
      VUCUYFUXMUYPAMSUYBWQZVUCAUYBVJZSUYBWQZVUGAUYCVUIGUYBVKTAVUHMSUYBACEQZDMUC
      VUHMVNAVUJDMFVLDMCEVOTVPUTDMSCUYBUYBVQVRVSZVTUYKUXQWAZVUDVUCVUEVUBVUEDUYK
      MDUYLSUYSWEUXGUYKVNZCUYLSUYTWBWCZWDZWFWGWHZUYPUXPSQZUYHUXPWIWJZUYPUXPWKWL
      UYHUXPWMWJZWNUYHUXFNQZOUXFIJZUYHUYDVUTVVARZAUYDUYEUXMWOONQZUYDVVBXGWPOUXF
      WRWSWTZXAZUYHUYNUXJUYHUYJUYMHUYHOUYIVIZUYHUYKUYJQZRZUYLUYHVUCVUDVUEVVGAVU
      CUYFUXMVUKXBZUYKUYIWAVUOWFZXHZXCZAUYDUYEUXMXDZXEUYHUYPUXFUXPIJZRZRZUXTKLZ
      UXSKLZUXPULPZUYOIVVPVVQVVRUXPKLZULPZVVSUYHUYPVVQVWAVNVVNUYQUXSUXPVUPVURVU
      SXFXIVVPVVTUXPVVRULVVPUXPNQZWKUXPIJZRZVVTUXPVNUYPVWDUYHVVNUXPXJXKZUXPXLTX
      MXNVVPVVSUYOIJZVVRUXPUYOXOPZIJZVVPVVRUXRUYMHUKZVWGVVPUXSUYHUYPUXSSQVVNVUP
      XIXHZVVPUXRUYMHVVPOUXQVIZVVPVUFRZUYLUYHVUFVUEVVOUYHVUCVUDVUEVUFVVIVULVUOW
      FZXPZXHXCVVPUXPUYOVVPVWBVWCVWEXAZVVPUYNUXJUYHUYNNQZVVOVVLXQZUYHUYEVVOVVMX
      QZXEZXRVVPVVRUYRKLVWIIUXSUYRKVUAXSVVPUXRUYLHVWKVWNXTYAVVPUYNUYIOVCPZUXQUJ
      PZUYMHUKZVCPUXPUYNXOPZUXPUXJXOPZVCPVWIVWGIVVPUYNVXBVXCVXDVWQVVPVXAUYMHVVP
      VWTUXQVIZVVPUYKVXAQZVUFUYMNQZVVPVXAUXRUYKVVPUYJVXAYBZVXAUXRVXAUYJYCVVPUYI
      UXRQZUXRVXHVNVVPVXIUYIMQZUYIUXPIJZUYHVXJVVOUYHVVBVXJVVDUXFYITXQZVVPUYIUXF
      UXPVVPUYIVXLYDZUYHVUTVVOVVEXQZVWOVVPVUTUYIUXFIJVXNUXFYETUYHUYPVVNYFZYGVVP
      VWBVXIVXJVXKRXGVWOUYIUXPYHTYJUYIOUXQUUATZUUBZUUCUYHVUFVXGVVOUYHVUFRUYLVWM
      XHXPZYKZXCZVVPUXPUYNVWOVWQXRVVPUXPUXJVWOVWRXRZVVPOUYNXOPZUYNVXCIVVPUYNVVP
      UYNVWQYLZUUDVVPVVCVWBVWPWKUYNIJZRZOUXPIJVYBVXCIJVVPURZVWOUYHVYEVVOUYHVWPV
      YDVVLUYHUYJUYMHVVFVVKVVHUYLVVJYMUUEUUFXQVVPOUXFUXPVYFVXNVWOUYHVVAVVOUYHVU
      TVVAVVDUUGXQVXOYGOUXPUYNUUJUUHUUIVVPVXBVXAYNLZUXJXOPZVXDVXTVVPVYGUXJVVPVX
      AYOQZVYGYPQVYGNQVXEVXAUUKVYGUULYQZVWRXRVYAVVPVXBVXAUXJHUKZVYHIVVPVXAUYMUX
      JHVXEVXSVVPUYEVXFVWRXQVXFVVPUYKVWTUUTLZQZUYMUXJIJZUYKVWTUXQUUMVVPVYMRZVUD
      UXMUXFUYKIJZVYNVVPVWTMQVYMVUDVVPUYIVXLUUNZUYKVWTUUOUUPZUYGUXMVVOVYMUVAVYO
      UXFVWTUYKVVPVUTVYMVXNXQZVYOVUTUYINQZVWTNQVYSUXFYRUYIUUQYQVYOUYKVYRYDVYOVU
      TUXFVWTIJVYSUXFUURTVYMVWTUYKIJVVPVWTUYKUUSWJYGUXLVYPVYNVMDUYKMVYPVYNDVYPD
      UVBDUYMUXJIDUYLKDKVEUYSUVCDIVEDUXJVEUVDUVLVUMUXHVYPUXKVYNUXGUYKUXFIUVEVUM
      UXIUYMUXJIVUMCUYLKUYTUVFUVGUVHWCUVIZUVJUVKVVPVYIUXJSQVYKVYHVNVXEVVPUXJVWR
      YLZVXAUXJHUVMUVNYSVVPVYGUXPUXJVYJVWOVWRVVPWKUXJIJZWUCHVYLVWTUYKVWTVNWUCUV
      OVVPWUCHVYLVYOWKUYMUXJVYOUVPVYOUYLVVPVYMVUDVUEVYRUYHVUDVUEVVOUYHVUCVUDVUE
      VVIVUNUVQXPYKZXHVVPUYEVYMVWRXQVYOUYLWUDYMWUAYGVLVVPVWTUWCQVWTVYLQVVPVWTVY
      QUVRVWTUVSTUVTVVPVYGUXQUXPVYJVVPVWBUXQNQVWOUXPYRTVWOVVPVYGUXRYNLZUXQIVVPV
      XAUXRUWDJZVYGWUEIJVVPUXRYOQVXAUXRUOWUFVWKVXQVXAUXRYOUWAUWEVXAUXRUWBTVVPVW
      DUXQYPQWUEUXQVNVWEUXPUWFUXQUWGYQYSVVPVWBUXQUXPIJVWOUXPYETYGUWHYGUWIVVPUYJ
      VXAUYMUXRHVVPVYTUYIVWTYTJUYJVXAUWNUWJVNVXMUYIUWOOUYIVWTUXQUWKYQVXPVWKVWLU
      YMVXRYLUWLVVPUXPUYNUXJUYHUYPVUQVVNVURXIVYCWUBUWMUWPYGVVPVVRNQUYONQVWBWKUX
      PYTJRZVWFVWHXGVWJVWSUYPWUGUYHVVNUXPUWQXKVVRUYOUXPUWRUWSUWTUXAUXBUXDUXCUXE
      $.
  $}

  ${
    $d k F $.  $d k G $.  $d k M $.  $d k N $.  $d k ph $.
    seqabs.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    seqabs.2 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. CC ) $.
    seqabs.3 $e |- ( ( ph /\ k e. ( M ... N ) ) ->
                      ( G ` k ) = ( abs ` ( F ` k ) ) ) $.
    $( Generalized triangle inequality: the absolute value of a finite sum is
       less than or equal to the sum of absolute values.  (Contributed by Mario
       Carneiro, 26-Mar-2014.)  (Revised by Mario Carneiro, 27-May-2014.) $)
    seqabs $p |- ( ph ->
              ( abs ` ( seq M ( + , F ) ` N ) ) <_ ( seq M ( + , G ) ` N ) ) $=
      ( cfz co cv cfv csu cabs caddc cseq wcel fsumser cc cle fsumabs wa fveq2d
      fzfid eqidd abscl recnd syl 3brtr3d ) AEFJKZBLZCMZBNZOMUKUMOMZBNFPCEQMZOM
      FPDEQMUAAUKUMBAEFUEHUBAUNUPOAUMBCEFAULUKRUCZUMUFGHSUDAUOBDEFIGUQUMTRZUOTR
      HURUOUMUGUHUISUJ $.
  $}

  ${
    $d k m n F $.  $d k n G $.  $d k m n M $.  $d k n ph $.  $d k m n Z $.
    $d n A $.  $d n B $.
    iserabs.1 $e |- Z = ( ZZ>= ` M ) $.
    iserabs.2 $e |- ( ph -> seq M ( + , F ) ~~> A ) $.
    iserabs.3 $e |- ( ph -> seq M ( + , G ) ~~> B ) $.
    iserabs.5 $e |- ( ph -> M e. ZZ ) $.
    iserabs.6 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    iserabs.7 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) = ( abs ` ( F ` k ) ) ) $.
    $( Generalized triangle inequality: the absolute value of an infinite sum
       is less than or equal to the sum of absolute values.  (Contributed by
       Paul Chapman, 10-Sep-2007.)  (Revised by Mario Carneiro,
       27-May-2014.) $)
    iserabs $p |- ( ph -> ( abs ` A ) <_ B ) $=
      ( vn vm cabs cfv cv wcel caddc cseq cmpt cvv cuz fvexi mptex cc ffvelrnda
      a1i serf wceq 2fveq3 eqid fvex fvmpt adantl climabs abscld eqeltrd serfre
      wa cr cle simpr eleqtrdi co elfzuz eleqtrrdi sylan2 adantlr seqabs climle
      cfz eqbrtrd ) ABQRCOPHPSZUAEGUBZRQRZUCZUAFGUBZGHILABOVQVSGUDHIJVSUDTAPHVR
      HGUEIUFUGUJLAHUHOSZVQADEGHILMUKUIZWAHTZWAVSRZWAVQRZQRZULAPWAVRWFHVSVPWAQV
      QUMVSUNWEQUOUPUQZURKAWCVBZWDWFVCWGWHWEWBUSUTAHVCWAVTADFGHILADSZHTZVBZWIFR
      ZWIERZQRZVCNWKWMMUSUTVAUIWHWDWFWAVTRVDWGWHDEFGWAWHWAHGUERZAWCVEIVFAWIGWAV
      NVGTZWMUHTZWCWPAWJWQWPWIWOHWIGWAVHIVIZMVJVKAWPWLWNULZWCWPAWJWSWRNVJVKVLVO
      VM $.
  $}

  ${
    $d n A $.  $d n B $.  $d k m n x F $.  $d k m n x G $.  $d k m n x ph $.
    $d k m n x M $.  $d k m n x N $.  $d k m n x Z $.
    cvgcmp.1 $e |- Z = ( ZZ>= ` M ) $.
    cvgcmp.2 $e |- ( ph -> N e. Z ) $.
    cvgcmp.3 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. RR ) $.
    cvgcmp.4 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) e. RR ) $.
    ${
      cvgcmp.5 $e |- ( ph -> seq M ( + , F ) e. dom ~~> ) $.
      cvgcmp.6 $e |- ( ( ph /\ k e. ( ZZ>= ` N ) ) -> 0 <_ ( G ` k ) ) $.
      cvgcmp.7 $e |- ( ( ph /\ k e. ( ZZ>= ` N ) ) ->
                       ( G ` k ) <_ ( F ` k ) ) $.
      $( A comparison test for convergence of a real infinite series.  Exercise
         3 of [Gleason] p. 182.  (Contributed by NM, 1-May-2005.)  (Revised by
         Mario Carneiro, 24-Mar-2014.) $)
      cvgcmp $p |- ( ph -> seq M ( + , G ) e. dom ~~> ) $=
        ( vx vm vn wcel cfv cr caddc cseq cvv seqex a1i cv cc cmin cabs clt wbr
        co wa cuz wral wrex crp cz cli cdm eleqtrdi eluzel2 syl climcau syl2anc
        wi serfre ffvelrnda recnd ralrimiva r19.29uz ex mpd uztrn2 sylan syldan
        ralimdv adantr cle simpll simprl ffvelrnd eqid adantl resubcld cmpt cfz
        wf simprr elfzuz eleqtrrdi wceq fveq2 oveq12d ovex fvmpt eqeltrd syl2an
        c1 cc0 peano2uz subge0d mpbird breqtrrd syl2an2r sylan2 sermono 3brtr3d
        sersub lesubaddd mpbid subsubd lesubd rpre ad2antlr lelttr syl3anc 0red
        mpand letrd abssubge0d breq1d 3imtr4d anassrs adantld ralimdva reximdva
        wb syl6an cau4 simpr biantrurd syl5ib caurcvg2 ) AOPQUADEUBZEUCGHYOUCRA
        UADEUDUEAQUFZYOSZUGRZYQPUFZYOSZUHULZUISZOUFZUJUKZUMZQYSUNSZUOZPGUPZOUQU
        OZYQTRZUUDUMZQUUFUOZPGUPZOUQUOAYPUACEUBZSZUGRZUUOYSUUNSZUHULZUISZUUCUJU
        KZUMZQUUFUOZPGUPZOUQUOZUUIAUUTQUUFUOPGUPZOUQUOZUVDAEURRZUUNUSUTRUVFAFEU
        NSZRUVGAFGUVHIHVAEFVBVCZLOPQUUNEGHVDVEAUVEUVCOUQAUUPQGUOZUVEUVCVFAUUPQG
        AYPGRZUMZUUOAGTYPUUNABCEGHUVIJVGZVHZVIVJUVJUVEUVCUUPUUTPQEGHVKVLVCVQVMA
        UVBPFUNSZUPZOUQUOZUUGPUVOUPZOUQUOZUVDUUIAUVPUVROUQAUUCUQRZUMZYRQUVOUOZU
        VPUUDQUUFUOZPUVOUPUVRAUWBUVTAYRQUVOAYPUVORZUVKYRAFGRZUWDUVKIEYPFGHVNZVO
        UVLYQAGTYPYOABDEGHUVIKVGZVHZVIVPVJVRUWAUVBUWCPUVOUWAYSUVORZUMZUVAUUDQUU
        FUWJYPUUFRZUMUUTUUDUUPUWAUWIUWKUUTUUDVFUWAUWIUWKUMZUMZUURUUCUJUKZUUAUUC
        UJUKZUUTUUDUWMUUAUURVSUKZUWNUWOUWMUUQUUOUUAUWMGTYSUUNUWMAGTUUNWHAUVTUWL
        VTZUVMVCUWMUWEUWIYSGRZUWMAUWEUWQIVCZUWAUWIUWKWAZEYSFGHVNVEZWBZUWMAUVKUU
        OTRUWQUWMUWEUWDUVKUWSUWLUWDUWAFYPYSUVOUVOWCZVNWDUWFVEZUVNVEZUWMYQYTUWMA
        UVKUUJUWQUXDUWHVEZUWMGTYSYOUWMAGTYOWHUWQUWGVCUXAWBZWEZUWMUUQUUOYQUHULZY
        TUAULZUUOUUAUHULVSUWMUUQYTUHULZUXIVSUKUUQUXJVSUKUWMYSUAPGYSCSZYSDSZUHUL
        ZWFZEUBZSYPUXPSUXKUXIVSUWMBUXOYSEYPUWMYSGUVHUXAHVAZUWAUWIUWKWIZUWMABUFZ
        GRZUXSUXOSZTRUXSEYPWGULRZUWQUYBUXSUVHGUXSEYPWJHWKZAUXTUMZUYAUXSCSZUXSDS
        ZUHULZTUXTUYAUYGWLZAPUXSUXNUYGGUXOYSUXSWLUXLUYEUXMUYFUHYSUXSCWMYSUXSDWM
        WNUXOWCUYEUYFUHWOWPZWDZUYDUYEUYFJKWEWQWRUXSYSWSUAULZYPWGULRZUWMUXSUYKUN
        SRZWTUYAVSUKZUXSUYKYPWJZUWMAUYMUXSUVORZUYNUWQUWMUYKUVORZUYMUYPUWMUWIUYQ
        UWTFYSXAVCFUXSUYKUVOUXCVNVOZAUYPUMZWTUYGUYAVSUYSWTUYGVSUKZUYFUYEVSUKZNA
        UYPUXTUYTVUAYHAUWEUYPUXTIEUXSFGHVNVOZUYDUYEUYFJKXBVPXCUYSUXTUYHVUBUYIVC
        XDXEXFXGUWMBCDUXOEYSUXQUWMAUXTUYEUGRZUXSEYSWGULRZUWQVUDUXSUVHGUXSEYSWJH
        WKZUYDUYEJVIZWRUWMAUXTUYFUGRZVUDUWQVUEUYDUYFKVIZWRUWMAUXTUYHVUDUWQVUEUY
        JWRXIUWMBCDUXOEYPUWMYPGUVHUXDHVAUWMAUXTVUCUYBUWQUYCVUFWRUWMAUXTVUGUYBUW
        QUYCVUHWRUWMAUXTUYHUYBUWQUYCUYJWRXIXHUWMUUQYTUXIUXBUXGUWMUUOYQUXEUXFWEX
        JXKUWMUUOYQYTUWMUUOUXEVIUWMYQUXFVIUWMYTUXGVIXLXDXMUWMUUATRUURTRUUCTRZUW
        PUWNUMUWOVFUXHUWMUUOUUQUXEUXBWEUVTVUIAUWLUUCXNXOUUAUURUUCXPXQXSUWMUUSUU
        RUUCUJUWMUUQUUOUXBUXEUWMBCYSEYPUXQUXRUWMAUXTUYETRZUYBUWQUYCJWRUWMAUYLUY
        PWTUYEVSUKUWQUYLUWMUYMUYPUYOUYRXFUYSWTUYFUYEUYSXRAUYPUXTUYFTRZVUBKVPAUY
        PUXTVUJVUBJVPMNXTXEXGYAYBUWMUUBUUAUUCUJUWMYTYQUXGUXFUWMBDYSEYPUXQUXRUWM
        AUXTVUKUYBUWQUYCKWRUYLUWMUYMWTUYFVSUKZUYOUWMAUYMUYPVULUWQUYRMXEXFXGYAYB
        YCYDYEYFYGYRUUDPQFUVOUXCVKYIYFAUWEUVDUVQYHIOPQUUNEFUVOGHUXCYJVCAUWEUUIU
        VSYHIOPQYOEFUVOGHUXCYJVCYCVMAUUHUUMOUQAUUGUULPGAUWRUMUUEUUKQUUFAUWRUWKU
        UEUUKVFZUWRUWKUMAUVKVUMEYPYSGHVNUUEUUDUVLUUKYRUUDYKUVLUUJUUDUWHYLYMXFYD
        YFYGVQVMYN $.
    $}

    cvgcmpub.5 $e |- ( ph -> seq M ( + , F ) ~~> A ) $.
    cvgcmpub.6 $e |- ( ph -> seq M ( + , G ) ~~> B ) $.
    cvgcmpub.7 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) <_ ( F ` k ) ) $.
    $( An upper bound for the limit of a real infinite series.  This theorem
       can also be used to compare two infinite series.  (Contributed by Mario
       Carneiro, 24-Mar-2014.) $)
    cvgcmpub $p |- ( ph -> B <_ A ) $=
      ( cfv wcel cr syl2an caddc cseq cuz eleqtrdi eluzel2 syl serfre ffvelrnda
      vn cz cv wa simpr cfz co simpl elfzuz eleqtrrdi cle wbr serle climle ) AC
      BUIUAFGUBZUAEGUBZGIJAHGUCQZRGUJRAHIVEKJUDGHUEUFZONAISUIUKZVCADFGIJVFMUGUH
      AISVGVDADEGIJVFLUGUHAVGIRZULZDFEGVGVIVGIVEAVHUMJUDVIADUKZIRZVJFQZSRVJGVGU
      NUORZAVHUPZVMVJVEIVJGVGUQJURZMTVIAVKVJEQZSRVMVNVOLTVIAVKVLVPUSUTVMVNVOPTV
      AVB $.
  $}

  ${
    $d k m C $.  $d k m F $.  $d j k m n x G $.  $d k N $.  $d j k m n x Z $.
    $d j k n x M $.  $d j k n x ph $.
    cvgcmpce.1 $e |- Z = ( ZZ>= ` M ) $.
    cvgcmpce.2 $e |- ( ph -> N e. Z ) $.
    cvgcmpce.3 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. RR ) $.
    cvgcmpce.4 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) e. CC ) $.
    cvgcmpce.5 $e |- ( ph -> seq M ( + , F ) e. dom ~~> ) $.
    cvgcmpce.6 $e |- ( ph -> C e. RR ) $.
    cvgcmpce.7 $e |- ( ( ph /\ k e. ( ZZ>= ` N ) ) ->
                       ( abs ` ( G ` k ) ) <_ ( C x. ( F ` k ) ) ) $.
    $( A comparison test for convergence of a complex infinite series.
       (Contributed by NM, 25-Apr-2005.)  (Revised by Mario Carneiro,
       27-May-2014.) $)
    cvgcmpce $p |- ( ph -> seq M ( + , G ) e. dom ~~> ) $=
      ( cfv wcel syl co wa vx vj vn vm caddc cseq cvv cc cv cz eleqtrdi eluzel2
      cuz serf ffvelrnda cabs cmpt cmin clt wbr wral wrex crp cli cdm cmul wceq
      fveq2 oveq2d eqid ovex fvmpt adantl adantr remulcld eqeltrd 2fveq3 abscld
      fvex recnd climdm sylib isermulc2 climrel releldmi cc0 cle uztrn2 absge0d
      cr sylan breqtrrd syldan 3brtr4d cvgcmp climcau syl2anc ad2antrr ffvelrnd
      wi wf serfre simprl resubcld 0red subcld cfz cdif csu cfn wss fzfid difss
      ssfi sylancl eldifi simpll elfzuz eleqtrrdi syl2an sylan2 fsumabs fsumser
      eqidd oveq12d fsumcl cin c0 disjdif a1i cun undif2 fzss2 ad2antll ssequn1
      eqtr2id fsumsplit mvrladdd eqtr3d ralimdva fveq2d abscl letrd absidd rpre
      breq1d ad2antlr lelttr syl3anc mpand sylbid anassrs reximdva seqex caucvg
      mpd ) AUAUBUCUEEFUFZFUGHIAHUHUCUIZUUQACEFHIAGFUMPZQFUJQZAGHUUSJIUKFGULRZL
      UNZUOAUURUEUDHUDUIZEPUPPZUQZFUFZPZUBUIZUVFPZURSZUPPZUAUIZUSUTZUCUVHUMPZVA
      ZUBHVBZUAVCVAZUURUUQPZUVHUUQPZURSZUPPZUVLUSUTZUCUVNVAZUBHVBZUAVCVAAUUTUVF
      VDVEZQUVQUVAACUDHBUVCDPZVFSZUQZUVEFGHIJACUIZHQZTZUWIUWHPZBUWIDPZVFSZWJUWJ
      UWLUWNVGZAUDUWIUWGUWNHUWHUVCUWIVGUWFUWMBVFUVCUWIDVHVIUWHVJBUWMVFVKVLZVMZU
      WKBUWMABWJQUWJNVNKVOVPUWKUWIUVEPZUWIEPZUPPZWJUWJUWRUWTVGZAUDUWIUVDUWTHUVE
      UVCUWIUPEVQUVEVJUWSUPVSVLZVMZUWKUWSLVRVPZAUEUWHFUFZBUEDFUFZVDPZVFSZVDUTUX
      EUWEQAUXGBCDUWHFHIUVAABNVTAUXFUWEQUXFUXGVDUTMUXFWAWBUWKUWMKVTUWQWCUXEUXHV
      DWDWERAUWIGUMPQZUWJWFUWRWGUTAGHQUXIUWJJFUWIGHIWHWKZUWKWFUWTUWRWGUWKUWSLWI
      UXCWLWMAUXITZUWTUWNUWRUWLWGOUXKUWJUXAUXJUXBRUXKUWJUWOUXJUWPRWNWOUAUBUCUVF
      FHIWPWQAUVPUWDUAVCAUVLVCQZTZUVOUWCUBHUXMUVHHQZTUVMUWBUCUVNUXMUXNUURUVNQZU
      VMUWBWTUXMUXNUXOTZTZUVMUVJUVLUSUTZUWBUXQUVKUVJUVLUSUXQUVJUXQUVGUVIUXQHWJU
      URUVFAHWJUVFXAUXLUXPACUVEFHIUVAUXDXBWRZUXPUURHQUXMFUURUVHHIWHVMZWSUXQHWJU
      VHUVFUXSUXMUXNUXOXCZWSXDZUXQWFUWAUVJUXQXEUXQUVTUXQUVRUVSUXQHUHUURUUQAHUHU
      UQXAUXLUXPUVBWRZUXTWSUXQHUHUVHUUQUYCUYAWSXFZVRZUYBUXQUVTUYDWIUXQFUURXGSZF
      UVHXGSZXHZUWSCXIZUPPUYHUWTCXIZUWAUVJWGUXQUYHUWSCUXQUYFXJQUYHUYFXKUYHXJQUX
      QFUURXLZUYFUYGXMUYFUYHXNXOZUWIUYHQZUXQUWIUYFQZUWSUHQZUWIUYFUYGXPUXQAUWJUY
      OUYNAUXLUXPXQZUYNUWIUUSHUWIFUURXRIXSZLXTZYAZYBUXQUVTUYIUPUXQUYFUWSCXIZUYG
      UWSCXIZURSUVTUYIUXQUYTUVRVUAUVSURUXQUWSCEFUURUXQUYNTZUWSYDUXQUURHUUSUXTIU
      KZUYRYCUXQUWSCEFUVHUXQUWIUYGQZTZUWSYDUXQUVHHUUSUYAIUKZUXQAUWJUYOVUDUYPVUD
      UWIUUSHUWIFUVHXRIXSZLXTZYCYEUXQUYTVUAUYIUXQUYGUWSCUXQFUVHXLZVUHYFUXQUYHUW
      SCUYLUYSYFUXQUYGUYHUWSUYFCUYGUYHYGYHVGUXQUYGUYFYIYJZUXQUYGUYHYKUYGUYFYKZU
      YFUYGUYFYLUXQUYGUYFXKZVUKUYFVGUXOVULUXMUXNUVHFUURYMYNUYGUYFYOWBYPZUYKUYRY
      QYRYSUUAUXQUYFUWTCXIZUYGUWTCXIZURSUVJUYJUXQVUNUVGVUOUVIURUXQUWTCUVEFUURVU
      BUWJUXAUYNUWJUXQUYQVMUXBRVUCVUBUYOUWTUHQZUYRUYOUWTUWSUUBVTZRZYCUXQUWTCUVE
      FUVHVUEUWJUXAVUDUWJUXQVUGVMUXBRVUFVUEUYOVUPVUHVUQRZYCYEUXQVUNVUOUYJUXQUYG
      UWTCVUIVUSYFUXQUYHUWTCUYLUXQUYMTUYOVUPUYSVUQRYFUXQUYGUYHUWTUYFCVUJVUMUYKV
      URYQYRYSWNZUUCUUDUUFUXQUWAUVJWGUTZUXRUWBVUTUXQUWAWJQUVJWJQUVLWJQZVVAUXRTU
      WBWTUYEUYBUXLVVBAUXPUVLUUEUUGUWAUVJUVLUUHUUIUUJUUKUULYTUUMYTUUPUUQUGQAUEE
      FUUNYJUUO $.
  $}

  ${
    $d k F $.  $d k G $.  $d k M $.  $d k ph $.  $d k Z $.
    abscvgcvg.1 $e |- Z = ( ZZ>= ` M ) $.
    abscvgcvg.2 $e |- ( ph -> M e. ZZ ) $.
    abscvgcvg.3 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = ( abs ` ( G ` k ) ) )
        $.
    abscvgcvg.4 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) e. CC ) $.
    abscvgcvg.5 $e |- ( ph -> seq M ( + , F ) e. dom ~~> ) $.
    $( An absolutely convergent series is convergent.  (Contributed by Mario
       Carneiro, 28-Apr-2014.) $)
    abscvgcvg $p |- ( ph -> seq M ( + , G ) e. dom ~~> ) $=
      ( c1 cuz cfv cz wcel uzid syl eleqtrrdi cle cabs abscld eqeltrd 1red cmul
      cv wa cr wbr eleq2i eqcomd eqled recnd mulid2d breqtrrd sylan2br cvgcmpce
      co ) ALBCDEEFGAEEMNZFAEOPEUSPHEQRGSABUFZFPZUGZUTCNZUTDNZUANZUHIVBVDJUBZUC
      ZJKAUDUTUSPAVAVELVCUEURZTUIFUSUTGUJVBVEVCVHTVBVEVCVFVBVCVEIUKULVBVCVBVCVG
      UMUNUOUPUQ $.
  $}

  ${
    $d k n A $.  $d n H $.  $d k n ph $.  $d k n Z $.  $d n B $.  $d n F $.
    $d n M $.
    climfsum.1 $e |- Z = ( ZZ>= ` M ) $.
    climfsum.2 $e |- ( ph -> M e. ZZ ) $.
    climfsum.3 $e |- ( ph -> A e. Fin ) $.
    climfsum.5 $e |- ( ( ph /\ k e. A ) -> F ~~> B ) $.
    climfsum.6 $e |- ( ph -> H e. W ) $.
    climfsum.7 $e |- ( ( ph /\ ( k e. A /\ n e. Z ) ) -> ( F ` n ) e. CC ) $.
    climfsum.8 $e |- ( ( ph /\ n e. Z ) ->
                      ( H ` n ) = sum_ k e. A ( F ` n ) ) $.
    $( Limit of a finite sum of converging sequences.  Note that ` F ( k ) ` is
       a collection of functions with implicit parameter ` k ` , each of which
       converges to ` B ( k ) ` as ` n ~~> +oo ` .  (Contributed by Mario
       Carneiro, 22-Jul-2014.)  (Proof shortened by Mario Carneiro,
       22-May-2016.) $)
    climfsum $p |- ( ph -> H ~~> sum_ k e. A B ) $=
      ( cli wbr wcel csu cv cfv cmpt mpteq2dva crli cvv cr wss cz uzssz eqsstri
      cuz zssre sstri a1i wa fvexd wb adantr climrel brrelex1i syl eqid climmpt
      syl2anc mpbid anassrs fmpttd rlimclim mpbird fsumrlim cfn anass1rs fsumcl
      cc eqbrtrd ) AGBCDUAZRSZEJEUBZGUCZUDZVRRSZAWBEJBVTFUCZDUAZUDZVRRAEJWAWEQU
      EAWFVRUFSWFVRRSAEJBWDCDUGJUHUIAJUJUHJHUMUCUJKHUKULUNUOUPMAVTJTZDUBBTZUQUQ
      VTFURAWHUQZEJWDUDZCUFSWJCRSZWIFCRSZWKNWIHUJTZFUGTZWLWKUSAWMWHLUTZWIWLWNNF
      CRVAVBVCCEFWJHUGJKWJVDVEVFVGWICWJHJKWOWIEJWDVPAWHWGWDVPTZPVHVIVJVKVLAVRWF
      HJKLAEJWEVPAWGUQBWDDABVMTWGMUTAWHWGWPPVNVOVIVJVGVQAWMGITVSWCUSLOVREGWBHIJ
      KWBVDVEVFVK $.
  $}

  ${
    $d k u w x z A $.  $d k u w z B $.  $d k u w x z ph $.  $d u w x z C $.
    fsumiun.1 $e |- ( ph -> A e. Fin ) $.
    fsumiun.2 $e |- ( ( ph /\ x e. A ) -> B e. Fin ) $.
    fsumiun.3 $e |- ( ph -> Disj_ x e. A B ) $.
    ${
      fsumiun.4 $e |- ( ( ph /\ ( x e. A /\ k e. B ) ) -> C e. CC ) $.
      $( Sum over a disjoint indexed union.  (Contributed by Mario Carneiro,
         1-Jul-2015.)  (Revised by Mario Carneiro, 10-Dec-2016.) $)
      fsumiun $p |- ( ph ->
          sum_ k e. U_ x e. A B C = sum_ x e. A sum_ k e. B C ) $=
        ( vz vw wss ciun csu wceq wcel wi c0 sumeq1d vu ssid cfn csn cun iuneq1
        cv sseq1 0iun eqtrdi sumeq1 eqeq12d imbi12d imbi2d weq sum0 eqtr4i 2a1i
        cc0 wn wa id unssad imim1i csb caddc co cin nfcv nfcsb1v csbeq1a cbviun
        oveq1 vex csbeq1 iunxsn eqtri ineq2i wdisj ad2antrr adantl simpr unssbd
        simplr disjsn sylibr disjiun syl13anc eqtr3id iunxun a1i wral ralrimiva
        uneq2i ssfid ssralv sylc iunfi syl2anc cc iunss1 sselda wrex rexlimdvaa
        eliun syl5bi imp syldan fsumsplit eqidd anassrs fsumcl r19.21bi cbvsumi
        nfsum cvv snss nfel1 eleq1d rspc sumsn sylancr eqtrid oveq2d syl5ibr ex
        eqtrd a2d syl5 expcom findcard2s mpcom mpi ) ACCMZBCDNZEFOZCDEFOZBOZPZC
        UBCUCQZAYNYSRZGAUAUGZCMZBUUBDNZEFOZUUBYQBOZPZRZRASCMZSEFOZSYQBOZPZRZRAK
        UGZCMZBUUNDNZEFOZUUNYQBOZPZRZRZAUUNLUGZUDZUEZCMZBUVDDNZEFOZUVDYQBOZPZRZ
        RZAUUARUAKLCUUBSPZUUHUUMAUVLUUCUUIUUGUULUUBSCUHUVLUUEUUJUUFUUKUVLUUDSEF
        UVLUUDBSDNSBUUBSDUFBDUIUJTUUBSYQBUKULUMUNUAKUOZUUHUUTAUVMUUCUUOUUGUUSUU
        BUUNCUHUVMUUEUUQUUFUURUVMUUDUUPEFBUUBUUNDUFTUUBUUNYQBUKULUMUNUUBUVDPZUU
        HUVJAUVNUUCUVEUUGUVIUUBUVDCUHUVNUUEUVGUUFUVHUVNUUDUVFEFBUUBUVDDUFTUUBUV
        DYQBUKULUMUNUUBCPZUUHUUAAUVOUUCYNUUGYSUUBCCUHUVOUUEYPUUFYRUVOUUDYOEFBUU
        BCDUFTUUBCYQBUKULUMUNUULAUUIUUJUSUUKEFUPYQBUPUQURUVBUUNQUTZUVAUVKRUUNUC
        QUVPAUUTUVJAUVPUUTUVJRUUTUVEUUSRAUVPVAZUVJUVEUUOUUSUVEUUNUVCCUVEVBVCZVD
        UVQUVEUUSUVIUVQUVEUUSUVIRUUSUVIUVQUVEVAZUUQBUVBDVEZEFOZVFVGZUURUWAVFVGZ
        PUUQUURUWAVFVMUVSUVGUWBUVHUWCUVSUUPUVTEUVFFUVSUUPUVTVHUUPBUVCDNZVHZSUWD
        UVTUUPUWDKUVCBUUNDVEZNUVTBKUVCDUWFKDVIBUUNDVJZBUUNDVKZVLKUVBUWFUVTLVNZB
        UUNUVBDVOZVPVQZVRUVSBCDVSZUUOUVCCMZUUNUVCVHSPZUWESPAUWLUVPUVEIVTUVEUUOU
        VQUVRWAUVSUUNUVCCUVQUVEWBZWCZUVSUVPUWNAUVPUVEWDUUNUVBWEWFZBCDUUNUVCWGWH
        WIUVFUUPUVTUEZPUVSUVFUUPUWDUEUWRBUUNUVCDWJUWDUVTUUPUWKWNVQWKUVSUVDUCQDU
        CQZBUVDWLZUVFUCQUVSCUVDAYTUVPUVEGVTUWOWOZUVSUVEUWSBCWLZUWTUWOAUXBUVPUVE
        AUWSBCHWMVTUWSBUVDCWPWQBUVDDWRWSUVSFUGZUVFQUXCYOQZEWTQZUVSUVFYOUXCUVEUV
        FYOMUVQBUVDCDXAWAXBUVSUXDUXEUXDUXCDQZBCXCZUVSUXEBUXCCDXEAUXGUXERUVPUVEA
        UXFUXEBCJXDVTXFXGXHXIUVSUVHUURUVCYQBOZVFVGUWCUVSUUNUVCYQUVDBUWQUVSUVDXJ
        UXAUVSBUGZUVDQUXICQZYQWTQZUVSUVDCUXIUWOXBUVSUXKBCAUXKBCWLZUVPUVEAUXKBCA
        UXJVADEFHAUXJUXFUXEJXKXLWMVTZXMXHXIUVSUXHUWAUURVFUVSUXHUVCUWFEFOZKOZUWA
        UVCYQUXNBKKYQVIBUWFEFUWGBEVIZXOBKUODUWFEFUWHTXNUVSUVBXPQUWAWTQZUXOUWAPU
        WIUVSUVBCQZUXLUXQUVSUWMUXRUWPUVBCUWIXQWFUXMUXKUXQBUVBCBUWAWTBUVTEFBUVBD
        VJUXPXOXRBLUOZYQUWAWTUXSDUVTEFBUVBDVKTXSXTWQUXNUWAKUVBXPKLUOUWFUVTEFUWJ
        TYAYBYCYDYGULYEYFYHYIYJYHWAYKYLYM $.
    $}

    $( The cardinality of a disjoint indexed union.  (Contributed by Mario
       Carneiro, 24-Jan-2015.)  (Revised by Mario Carneiro, 10-Dec-2016.) $)
    hashiun $p |- ( ph -> ( # ` U_ x e. A B ) = sum_ x e. A ( # ` B ) ) $=
      ( vk c1 csu chash cfv cv wcel wa cmul co cfn cc wceq ciun 1cnd wral iunfi
      fsumiun ralrimiva syl2anc ax-1cn fsumconst sylancl cn0 hashcl mulid1 4syl
      nn0cn eqtrd sumeq2dv 3eqtr3d ) ABCDUAZIHJZCDIHJZBJUSKLZCDKLZBJABCDIHEFGAB
      MCNZHMDNOOUBUEAUTVBIPQZVBAUSRNZISNZUTVETACRNDRNZBCUCVFEAVHBCFUFBCDUDUGZUH
      USIHUIUJAVFVBUKNVBSNVEVBTVIUSULVBUOVBUMUNUPACVAVCBAVDOZVAVCIPQZVCVJVHVGVA
      VKTFUHDIHUIUJVJVHVCUKNVCSNVKVCTFDULVCUOVCUMUNUPUQUR $.
  $}

  ${
    $d A x y $.  $d B y $.  $d ph x y $.
    hash2iun.a $e |- ( ph -> A e. Fin ) $.
    hash2iun.b $e |- ( ( ph /\ x e. A ) -> B e. Fin ) $.
    hash2iun.c $e |- ( ( ph /\ x e. A /\ y e. B ) -> C e. Fin ) $.
    hash2iun.da $e |- ( ph -> Disj_ x e. A U_ y e. B C ) $.
    hash2iun.db $e |- ( ( ph /\ x e. A ) -> Disj_ y e. B C ) $.
    $( The cardinality of a nested disjoint indexed union.  (Contributed by AV,
       9-Jan-2022.) $)
    hash2iun $p |- ( ph -> ( # ` U_ x e. A U_ y e. B C )
                           = sum_ x e. A sum_ y e. B ( # ` C ) ) $=
      ( ciun chash cfv csu cv wcel wa cfn hashiun 3expa ralrimiva iunfi syl2anc
      wral sumeq2dv eqtrd ) ABDCEFLZLMNDUHMNZBODEFMNCOZBOABDUHGABPDQZRZESQFSQZC
      EUEUHSQHULUMCEAUKCPEQUMIUAZUBCEFUCUDJTADUIUJBULCEFHUNKTUFUG $.
  $}

  ${
    $d A x y $.  $d B y $.  $d ph x y $.
    hash2iun1dif1.a $e |- ( ph -> A e. Fin ) $.
    hash2iun1dif1.b $e |- B = ( A \ { x } ) $.
    hash2iun1dif1.c $e |- ( ( ph /\ x e. A /\ y e. B ) -> C e. Fin ) $.
    hash2iun1dif1.da $e |- ( ph -> Disj_ x e. A U_ y e. B C ) $.
    hash2iun1dif1.db $e |- ( ( ph /\ x e. A ) -> Disj_ y e. B C ) $.
    hash2iun1dif1.1 $e |- ( ( ph /\ x e. A /\ y e. B ) -> ( # ` C ) = 1 ) $.
    $( The cardinality of a nested disjoint indexed union.  (Contributed by AV,
       9-Jan-2022.) $)
    hash2iun1dif1 $p |- ( ph -> ( # ` U_ x e. A U_ y e. B C )
                            = ( ( # ` A ) x. ( ( # ` A ) - 1 ) ) ) $=
      ( chash cfv csu c1 co cmul wcel cfn ciun cmin cv wa csn cdif diffi adantr
      syl eqeltrid hash2iun 2sumeq2dv cc wceq fsumconst syl2anc sumeq2dv fveq2d
      1cnd a1i hashdifsn sylan eqtrd oveq1d cn0 hashcl nn0cnd peano2cnm mulid1d
      sumeq2sdv 3eqtrd ) ABDCEFUAUAMNDEFMNZCOBODEPCOZBOZDMNZVOPUBQZRQZABCDEFGAB
      UCZDSZUDZEDVRUEZUFZTHAWBTSZVSADTSZWCGDWAUGUIUHUJZIJKUKADEVLPBCLULAVNDEMNZ
      PRQZBODVPPRQZBOZVQADVMWGBVTETSPUMSVMWGUNWEVTUSEPCUOUPUQADWGWHBVTWFVPPRVTW
      FWBMNZVPVTEWBMEWBUNVTHUTURAWDVSWJVPUNGDVRVAVBVCVDUQAWIDVPBOZVQADWHVPBAVPA
      VOUMSVPUMSZAVOAWDVOVESGDVFUIVGVOVHUIZVIVJAWDWLWKVQUNGWMDVPBUOUPVCVKVK $.
  $}

  ${
    $d X x y $.  $d Y x y $.  $d ph y $.
    hashrabrex.1 $e |- ( ph -> Y e. Fin ) $.
    hashrabrex.2 $e |- ( ( ph /\ y e. Y ) -> { x e. X | ps } e. Fin ) $.
    hashrabrex.3 $e |- ( ph -> Disj_ y e. Y { x e. X | ps } ) $.
    $( The number of elements in a class abstraction with a restricted
       existential quantification.  (Contributed by Alexander van der Vekens,
       29-Jul-2018.) $)
    hashrabrex $p |- ( ph -> ( # ` { x e. X | E. y e. Y ps } )
                             = sum_ y e. Y ( # ` { x e. X | ps } ) ) $=
      ( wrex crab chash cfv ciun csu iunrab eqcomi fveq2i hashiun eqtrid ) ABDF
      JCEKZLMDFBCEKZNZLMFUBLMDOUAUCLUCUABDCFEPQRADFUBGHIST $.
  $}

  ${
    $d x A $.  $d x ph $.
    hashuni.1 $e |- ( ph -> A e. Fin ) $.
    hashuni.2 $e |- ( ph -> A C_ Fin ) $.
    hashuni.3 $e |- ( ph -> Disj_ x e. A x ) $.
    $( The cardinality of a disjoint union.  (Contributed by Mario Carneiro,
       24-Jan-2015.) $)
    hashuni $p |- ( ph -> ( # ` U. A ) = sum_ x e. A ( # ` x ) ) $=
      ( cuni chash cfv cv ciun csu uniiun fveq2i cfn sselda hashiun eqtrid ) AC
      GZHIBCBJZKZHICTHIBLSUAHBCMNABCTDACOTEPFQR $.
  $}

  ${
    $d x A $.  $d x ph $.  $d x .~ $.
    qshash.1 $e |- ( ph -> .~ Er A ) $.
    qshash.2 $e |- ( ph -> A e. Fin ) $.
    $( The cardinality of a set with an equivalence relation is the sum of the
       cardinalities of its equivalence classes.  (Contributed by Mario
       Carneiro, 16-Jan-2015.) $)
    qshash $p |- ( ph -> ( # ` A ) = sum_ x e. ( A /. .~ ) ( # ` x ) ) $=
      ( cqs cuni chash cfv cv csu cvv wer cfn wcel erex sylc uniqs2 fveq2d pwfi
      cpw sylib qsss ssfid wss elpwi ssfi ex syl2im ssrdv sstrd qsdisj2 hashuni
      wdisj syl eqtr3d ) ACDGZHZIJCIJURBKZIJBLAUSCIACDMEACDNZCOPZDMPEFCDOQRSTAB
      URACUBZURAVBVCOPFCUAUCACDEUDZUEAURVCOVDABVCOAVBUTVCPUTCUFZUTOPZFUTCUGVBVE
      VFCUTUHUIUJUKULAVABURUTUOEBCDCUMUPUNUQ $.
  $}

  ${
    $d w x y z $.
    ackbijnn.1 $e |- F = ( x e. ( ~P NN0 i^i Fin ) |->
        sum_ y e. x ( 2 ^ y ) ) $.
    $( Translate the Ackermann bijection ~ ackbij1 onto the positive integers.
       (Contributed by Mario Carneiro, 16-Jan-2015.) $)
    ackbijnn $p |- F : ( ~P NN0 i^i Fin ) -1-1-onto-> NN0 $=
      ( vz vw cn0 cpw cfn chash com ccrd cfv wf1o ax-mp wceq c2 wcel syl wtru
      cin cres cv csn cxp ciun cmpt ccnv cima ccom hashgval2 hashgf1o sneq pweq
      xpeq12d cbviunv iuneq1 eqtrid fveq2d cbvmptv ackbij1 f1ocnv f1opwfi f1oco
      weq mp2an wb cexp co wral inss2 wf f1of eqid fmpt mpbir rspec sselid snfi
      csu wa cdm cnvimass dmhashres sseqtri con0 eqsstri sstri simpr pwfi sylib
      onfin2 xpfi sylancr ralrimiva iunfi syl2anc ficardom fvresd hashcard c1st
      wdisj xp1st elsni rgen rgenw invdisj mp1i hashiun elinel2 wf1 wss elinel1
      f1of1 elpwid f1ores fvres adantl cc hashcl nn0cn 3syl fsumf1o cmul sselda
      c1 ffvelrni hashxp hashsng hashpw f1ocnvfv2 eqtr3d oveq2d eqtrd 2cn expcl
      oveq12d 3eqtrd eqidd fmptco mulid2d sumeq2dv mpteq2ia feqmptd fveq2 mptru
      3eqtr4i f1oeq1 mpbi ) GHZIUAZGJKUBZEKHZIUAZFEUCZFUCZUDZUUPHZUEZUFZLMZUGZA
      UUKUULUHZAUCZUIZUGZUJZUJZNZUUKGCNZKGUULNZUUKKUVGNZUVIAUULAUKULZUUNKUVBNUU
      KUUNUVFNZUVLABUVBEAUUNUVABUVDBUCZUDZUVOHZUEZUFZLMEAVEZUUTUVSLUVTUUTBUUOUV
      RUFUVSFBUUOUUSUVRFBVEUUQUVPUURUVQUUPUVOUMUUPUVOUNUOUPBUUOUVDUVRUQURUSUTVA
      GKUVCNZUVNUVKUWAUVMKGUULVBOZGKUVCAVCOZUUKUUNKUVBUVFVDVFUUKKGUULUVGVDVFUVH
      CPUVIUVJVGAUUKFUVEUUSUFZLMZUULMZUGZAUUKUVDQUVOVHVIZBVTZUGUVHCAUUKUWFUWIUV
      DUUKRZUWFUWEJMZUWDJMZUWIUWJUWEKJUWJUWDIRZUWEKRZUWJUVEIRUUSIRZFUVEVJUWMUWJ
      UUNIUVEUUMIVKUVEUUNRZAUUKUWPAUUKVJUUKUUNUVFVLZUVNUWQUWCUUKUUNUVFVMOAUUKUU
      NUVEUVFUVFVNVOVPVQZVRZUWJUWOFUVEUWJUUPUVERZWAZUUQIRUURIRZUWOUUPVSUXAUUPIR
      UXBUXAUVEIUUPUVEKIUVEUULWBKUULUVDWCKWDWEKWFIUAIWLWFIVKWGZWHUWJUWTWIVRUUPW
      JWKUUQUURWMWNZWOFUVEUUSWPWQZUWDWRSZWSUWJUWMUWKUWLPUXEUWDWTSUWJUWLUVEUUSJM
      ZFVTUVDUVOUVCMZUDZUXHHZUEZJMZBVTUWIUWJFUVEUUSUWSUXDUUOXAMZUUPPZEUUSVJZFUV
      EVJFUVEUUSXBUWJUXOFUVEUXNEUUSUUOUUSRUXMUUQRUXNUUOUUQUURXCUXMUUPXDSXEXFFEU
      VEUUSUXMXGXHXIUWJUVEUXGUVDUXLFBUVCUVDUBZUXHUUPUXHPZUUSUXKJUXQUUQUXIUURUXJ
      UUPUXHUMUUPUXHUNUOUSUVDUUJIXJUWJGKUVCXKZUVDGXLUVDUVEUXPNUWAUXRUWBGKUVCXNO
      UWJUVDGUVDUUJIXMXOZGKUVDUVCXPWNUVOUVDRZUVOUXPMUXHPUWJUVOUVDUVCXQXRUXAUWOU
      XGGRUXGXSRUXDUUSXTUXGYAYBYCUWJUVDUXLUWHBUWJUXTWAZUXLUXIJMZUXJJMZYDVIZYFUW
      HYDVIUWHUYAUXIIRUXJIRZUXLUYDPUXHVSUYAUXHIRZUYEUYAKIUXHUXCUYAUVOGRZUXHKRZU
      WJUVDGUVOUXSYEZGKUVOUVCUWAGKUVCVLUWBGKUVCVMOYGSZVRZUXHWJWKUXIUXJYHWNUYAUY
      BYFUYCUWHYDUYAUYHUYBYFPUYJUXHKYISUYAUYCQUXHJMZVHVIZUWHUYAUYFUYCUYMPUYKUXH
      YJSUYAUYLUVOQVHUYAUXHUULMZUYLUVOUYAUXHKJUYJWSUYAUVKUYGUYNUVOPUVMUYIKGUVOU
      ULYKWNYLYMYNYQUYAUWHUYAQXSRUYGUWHXSRYOUYIQUVOYPWNUUAYRUUBYRYRUUCUVHUWGPTA
      BUUKKUWEUVOUULMUWFUVGUULUWJUWNTUXFXRTAEUUKUUNUVEUVAUWEUVFUVBUWJUWPTUWRXRT
      UVFYSTUVBYSUUOUVEPUUTUWDLFUUOUVEUUSUQUSYTTBKGUULUVKKGUULVLTUVMKGUULVMXHUU
      DUVOUWEUULUUEYTUUFDUUGUUKGUVHCUUHOUUI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The binomial theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d j k A $.  $d j k B $.  $d j k N $.  $d j k ph $.
    binomlem.1 $e |- ( ph -> A e. CC ) $.
    binomlem.2 $e |- ( ph -> B e. CC ) $.
    binomlem.3 $e |- ( ph -> N e. NN0 ) $.
    binomlem.4 $e |- ( ps -> ( ( A + B ) ^ N ) = sum_ k e. ( 0 ... N )
                      ( ( N _C k ) x. ( ( A ^ ( N - k ) ) x. ( B ^ k ) ) ) ) $.
    $( Lemma for ~ binom (binomial theorem).  Inductive step.  (Contributed by
       NM, 6-Dec-2005.)  (Revised by Mario Carneiro, 24-Apr-2014.) $)
    binomlem $p |- ( ( ph /\ ps ) -> ( ( A + B ) ^ ( N + 1 ) ) =
                     sum_ k e. ( 0 ... ( N + 1 ) ) ( ( ( N + 1 ) _C k ) x.
                       ( ( A ^ ( ( N + 1 ) - k ) ) x. ( B ^ k ) ) ) ) $=
      ( co cexp cmul cc0 c1 csu wceq wcel cc oveq2d vj wa caddc cfz cv cbc cmin
      adantl oveq1d fzfid fzelp1 cn0 elfzelz bccl syl2an nn0cnd sylan2 fznn0sub
      cz expcl elfznn0 mulcld fsummulc1 adantr mulassd 1cnd addsubd expp1 eqtrd
      zcnd mul32d eqtr4d sumeq2dv wss fzssp1 a1i cdif eldifi syl eldifn syl3anc
      wn bcval3 mul02d cuz cfv fzssuz sumss 3eqtrd 1zzd 0z nn0zd oveq2 fsumshft
      oveq12d oveq1 eqtrdi subsub3d fzp1ss ax-mp sseli peano2zm syl2an2r elfznn
      cbvsumv 0p1e1 oveq1i eleq2s nnm1nn0 expcld expm1t fzaddel syl22anc ax-1cn
      cn wb sylancl eleq1d mtbird sylan9eqr addcld expp1d adddid bcpasc adddird
      npcan bitrd eqtr3d fsumadd 3eqtr4d ) ABUBZCDUCKZFLKZCMKZYMDMKZUCKZNFOUCKZ
      UDKZFEUEZUFKZCYQYSUGKZLKZDYSLKZMKZMKZEPZYRFYSOUGKZUFKZUUDMKZEPZUCKZYLYQLK
      ZYRYQYSUFKZUUDMKZEPZYKYNUUFYOUUJUCYKYNNFUDKZYTCFYSUGKZLKZUUCMKZMKZEPZCMKZ
      UUFYKYMUVACMBYMUVAQAJUHUIAUVBUUFQBAUVBUUPUUTCMKZEPUUPUUEEPUUFAUUPUUTCEANF
      UJZGAYSUUPRZUBZYTUUSUVEAYSYRRZYTSRYSNFUKZAUVGUBZYTAFULRZYSUSRZYTULRUVGIYS
      NYQUMZYSFUNUOUPZUQZUVFUURUUCACSRZUUQULRZUURSRUVEGYSNFURZCUUQUTUOZUVEAUVGU
      UCSRZUVHADSRZYSULRUVSUVGHYSYQVADYSUTUOZUQZVBZVBZVCAUUPUVCUUEEUVFUVCYTUUSC
      MKZMKUUEUVFYTUUSCUVNUWCAUVOUVEGVDZVEUVFUUDUWEYTMUVFUUDUURCMKZUUCMKUWEUVFU
      UBUWGUUCMUVFUUBCUUQOUCKZLKZUWGUVFUUAUWHCLUVFFOYSAFSRZUVEAFIUPZVDUVFVFUVFY
      SUVEUVKAYSNFUMUHVJVGTAUVOUVPUWIUWGQUVEGUVQCUUQVHUOVIUIUVFUURCUUCUVRUWFUWB
      VKVITVLVMAUUPYRUUEENUUPYRVNANFVOVPUVEAUVGUUESRUVHUVIYTUUDUVMUVIUUBUUCAUVO
      UUAULRUUBSRZUVGGYSNYQURCUUAUTUOZUWAVBZVBZUQAYSYRUUPVQRZUBZUUENUUDMKZNUWQY
      TNUUDMUWQUVJUVKUVEWBZYTNQAUVJUWPIVDUWPUVKAUWPUVGUVKYSYRUUPVRZUVLVSUHUWPUW
      SAYSYRUUPVTUHYSFWCWAUIUWPAUVGUWRNQZUWTUVIUUDUWNWDZUQVIYRNWEWFVNANYQWGVPZW
      HWIVDVIBAYOUVADMKZUUJBYMUVADMJUIAUXDUUPUUTDMKZEPZUUJAUUPUUTDEUVDHUWDVCAUX
      FNOUCKZYQUDKZUUHCFUUGUGKZLKZDUUGLKZMKZMKZDMKZEPZUXHUUIEPUUJAUXFUXHFUAUEZO
      UGKZUFKZCFUXQUGKZLKZDUXQLKZMKZMKZDMKZUAPUXOAUXEUYDEUAONFAWJNUSRZAWKVPAFIW
      LUVFUUTDUWDAUVTUVEHVDVBYSUXQQZUUTUYCDMUYFYTUXRUUSUYBMYSUXQFUFWMUYFUURUXTU
      UCUYAMUYFUUQUXSCLYSUXQFUGWMTYSUXQDLWMWOWOUIWNUXHUYDUXNUAEUXPYSQZUYCUXMDMU
      YGUXRUUHUYBUXLMUYGUXQUUGFUFUXPYSOUGWPZTUYGUXTUXJUYAUXKMUYGUXSUXICLUYGUXQU
      UGFUGUYHTTUYGUXQUUGDLUYHTWOWOUIXEWQAUXHUXNUUIEAYSUXHRZUBZUXNUUHUUBUXKMKZM
      KZDMKUUHUYKDMKZMKUUIUYJUXMUYLDMUYJUXLUYKUUHMUYJUXJUUBUXKMUYJUXIUUACLUYJFY
      SOAUWJUYIUWKVDUYJYSUYIUVKAYSUXGYQUMUHVJUYJVFWRTUITUIUYJUUHUYKDUYIAUVGUUHS
      RUXHYRYSUYEUXHYRVNZWKNYQWSWTZXAZUVIUUHAUVJUVGUUGUSRZUUHULRIUVIUVKUYQUVGUV
      KAUVLUHYSXBZVSUUGFUNXCUPZUQUYJUUBUXKUYIAUVGUWLUYPUWMUQZUYJDUUGAUVTUYIHVDZ
      UYJYSXORZUUGULRUYIVUBAVUBYSOYQUDKUXHYSYQXDUXGOYQUDXFXGXHZUHYSXIVSXJZVBVUA
      VEUYJUYMUUDUUHMUYJUYMUUBUXKDMKZMKUUDUYJUUBUXKDUYTVUDVUAVEUYJUUCVUEUUBMAUV
      TVUBUUCVUEQUYIHVUCDYSXKUOTVLTWIVMAUXHYRUUIENUYNAUYOVPUYIAUVGUUISRUYPUVIUU
      HUUDUYSUWNVBZUQAYSYRUXHVQRZUBZUUIUWRNVUHUUHNUUDMVUHUVJUYQUUGUUPRZWBUUHNQA
      UVJVUGIVDZVUHUVKUYQVUHUVGUVKVUGUVGAYSYRUXHVRZUHUVLVSZUYRVSZVUHVUIUYIVUGUY
      IWBAYSYRUXHVTUHVUHVUIUUGOUCKZUXHRZUYIVUHUYEFUSRUYQOUSRVUIVUOXPUYEVUHWKVPV
      UHFVUJWLVUMVUHWJUUGONFXLXMVUHVUNYSUXHVUHYSSROSRVUNYSQVUHYSVULVJXNYSOYFXQX
      RYGXSUUGFWCWAUIVUGAUVGUXAVUKUXBUQVIUXCWHWIVIXTWOAUULYPQBAUULYMYLMKYPAYLFA
      CDGHYAZIYBAYMCDAYLFVUPIXJGHYCVIVDAUUOUUKQBAUUOYRUUEUUIUCKZEPUUKAYRUUNVUQE
      UVIYTUUHUCKZUUDMKUUNVUQUVIVURUUMUUDMAUVJUVKVURUUMQUVGIUVLYSFYDUOUIUVIYTUU
      HUUDUVMUYSUWNYEYHVMAYRUUEUUIEANYQUJUWOVUFYIVIVDYJ $.
  $}

  ${
    $d k n x A $.  $d k n x B $.  $d k x N $.
    $( The binomial theorem: ` ( A + B ) ^ N ` is the sum from ` k = 0 ` to
       ` N ` of ` ( N _C k ) x. ( ( A ^ k ) x. ( B ^ ( N - k ) ) ` .  Theorem
       15-2.8 of [Gleason] p. 296.  This part of the proof sets up the
       induction and does the base case, with the bulk of the work (the
       induction step) in ~ binomlem .  This is Metamath 100 proof #44.
       (Contributed by NM, 7-Dec-2005.)  (Proof shortened by Mario Carneiro,
       24-Apr-2014.) $)
    binom $p |- ( ( A e. CC /\ B e. CC /\ N e. NN0 ) ->
                  ( ( A + B ) ^ N ) = sum_ k e. ( 0 ... N )
                    ( ( N _C k ) x. ( ( A ^ ( N - k ) ) x. ( B ^ k ) ) ) ) $=
      ( wcel co cexp cc0 cfz cbc cmin cmul csu wi c1 oveq2 oveq1 oveq2d oveq12d
      wceq vx vn cc cn0 caddc cv wa oveq1d adantr sumeq12dv eqeq12d imbi2d exp0
      oveqan12d 1t1e1 eqtrdi cz 0z eqeltrdi 0nn0 bcn0 ax-mp 0m0e0 fsum1 sylancr
      ax-1cn addcl exp0d 3eqtr4rd simprl simprr simpl binomlem exp31 a2d nn0ind
      id impcom 3impa ) AUCEZBUCEZDUDEZABUEFZDGFZHDIFZDCUFZJFZADWFKFZGFZBWFGFZL
      FZLFZCMZTZWBVTWAUGZWNWOWCUAUFZGFZHWPIFZWPWFJFZAWPWFKFZGFZWJLFZLFZCMZTZNWO
      WCHGFZHHIFZHWFJFZAHWFKFZGFZWJLFZLFZCMZTZNWOWCUBUFZGFZHXOIFZXOWFJFZAXOWFKF
      ZGFZWJLFZLFZCMZTZNWOWCXOOUEFZGFZHYEIFZYEWFJFZAYEWFKFZGFZWJLFZLFZCMZTZNWOW
      NNUAUBDWPHTZXEXNWOYOWQXFXDXMWPHWCGPYOWRXGXCXLCWPHHIPYOXCXLTWFWREZYOWSXHXB
      XKLWPHWFJQYOXAXJWJLYOWTXIAGWPHWFKQRUHSUIUJUKULWPXOTZXEYDWOYQWQXPXDYCWPXOW
      CGPYQWRXQXCYBCWPXOHIPYQXCYBTYPYQWSXRXBYALWPXOWFJQYQXAXTWJLYQWTXSAGWPXOWFK
      QRUHSUIUJUKULWPYETZXEYNWOYRWQYFXDYMWPYEWCGPYRWRYGXCYLCWPYEHIPYRXCYLTYPYRW
      SYHXBYKLWPYEWFJQYRXAYJWJLYRWTYIAGWPYEWFKQRUHSUIUJUKULWPDTZXEWNWOYSWQWDXDW
      MWPDWCGPYSWRWEXCWLCWPDHIPYSXCWLTYPYSWSWGXBWKLWPDWFJQYSXAWIWJLYSWTWHAGWPDW
      FKQRUHSUIUJUKULWOOAHGFZBHGFZLFZLFZOXMXFWOUUCOOLFZOWOUUBOOLWOUUBUUDOVTWAYT
      OUUAOLAUMBUMUNUOUPRUOUPZWOHUQEUUCUCEXMUUCTURWOUUCOUCUUEVFUSXLUUCCHWFHTZXH
      OXKUUBLUUFXHHHJFZOWFHHJPHUDEUUGOTUTHVAVBUPUUFXJYTWJUUALUUFXIHAGUUFXIHHKFH
      WFHHKPVCUPRWFHBGPSSVDVEWOWCABVGVHVIXOUDEZWOYDYNUUHWOYDYNUUHWOUGYDABCXOUUH
      VTWAVJUUHVTWAVKUUHWOVLYDVQVMVNVOVPVRVS $.

    $( Special case of the binomial theorem for ` ( 1 + A ) ^ N ` .
       (Contributed by Paul Chapman, 10-May-2007.) $)
    binom1p $p |- ( ( A e. CC /\ N e. NN0 ) -> ( ( 1 + A ) ^ N ) =
                  sum_ k e. ( 0 ... N ) ( ( N _C k ) x. ( A ^ k ) ) ) $=
      ( cc wcel cn0 wa c1 caddc co cexp cc0 cfz cv cbc cmin cmul csu wceq eqtrd
      ax-1cn binom mp3an1 cz fznn0sub adantl nn0zd 1exp syl simpl elfznn0 expcl
      oveq1d syl2an mulid2d oveq2d sumeq2dv ) ADEZCFEZGZHAIJCKJZLCMJZCBNZOJZHCV
      CPJZKJZAVCKJZQJZQJZBRZVBVDVGQJZBRHDEURUSVAVJSUAHABCUBUCUTVBVIVKBUTVCVBEZG
      ZVHVGVDQVMVHHVGQJVGVMVFHVGQVMVEUDEVFHSVMVEVLVEFEUTVCLCUEUFUGVEUHUIUMVMVGU
      TURVCFEVGDEVLURUSUJVCCUKAVCULUNUOTUPUQT $.

    $( Special case of the binomial theorem for ` 2 ^ N ` .  (Contributed by
       Mario Carneiro, 13-Mar-2014.) $)
    binom11 $p |- ( N e. NN0 -> ( 2 ^ N ) =
                     sum_ k e. ( 0 ... N ) ( N _C k ) ) $=
      ( cn0 wcel c2 cexp co cc0 cfz cv cbc c1 cmul csu caddc df-2 oveq1i ax-1cn
      cc wceq binom1p mpan eqtrid cz elfzelz 1exp syl bccl2 nncnd mulid1d eqtrd
      oveq2d sumeq2i eqtrdi ) BCDZEBFGZHBIGZBAJZKGZLURFGZMGZANZUQUSANUOUPLLOGZB
      FGZVBEVCBFPQLSDUOVDVBTRLABUAUBUCUQVAUSAURUQDZVAUSLMGUSVEUTLUSMVEURUDDUTLT
      URHBUEURUFUGULVEUSVEUSURBUHUIUJUKUMUN $.

    $( A summation for the difference between ` ( ( A + 1 ) ^ N ) ` and
       ` ( A ^ N ) ` .  (Contributed by Scott Fenton, 9-Apr-2014.)  (Revised by
       Mario Carneiro, 22-May-2014.) $)
    binom1dif $p |- ( ( A e. CC /\ N e. NN0 ) ->
      ( ( ( A + 1 ) ^ N ) - ( A ^ N ) ) =
      sum_ k e. ( 0 ... ( N - 1 ) ) ( ( N _C k ) x. ( A ^ k ) ) ) $=
      ( cc wcel cn0 wa c1 caddc co cexp cc0 cfz cbc cmul csu wceq adantl ax-1cn
      sylancl cv fzfid fzssp1 nn0cn npcan oveq2d sseqtrid sselda cn bccl2 nncnd
      simpl elfznn0 expcl syl2an mulcld syldan fsumcl addcom oveq1d binom1p cuz
      cmin cfv simpr nn0uz eleqtrdi oveq2 oveq12d fsumm1 mulid2d eqtrd mvrraddd
      bcnn 3eqtrd ) ADEZCFEZGZAHIJZCKJZLCHVCJZMJZCBUAZNJZAWCKJZOJZBPZACKJZVRWBW
      FBVRLWAUBVRWCWBEWCLCMJZEZWFDEVRWBWIWCVRLWAHIJZMJWBWILWAUCVRWKCLMVRCDEZHDE
      ZWKCQVQWLVPCUDRSCHUETUFUGUHVRWJGZWDWEWNWDWJWDUIEVRWCCUJRUKVRVPWCFEWEDEWJV
      PVQULZWCCUMAWCUNUOUPZUQURACUNZVRVTHAIJZCKJWIWFBPZWGWHIJZVRVSWRCKVRVPWMVSW
      RQWOSAHUSTUTABCVAVRWSWGCCNJZWHOJZIJWTVRWFXBBLCVRCFLVBVDVPVQVEVFVGWPWCCQWD
      XAWEWHOWCCCNVHWCCAKVHVIVJVRXBWHWGIVRXBHWHOJWHVRXAHWHOVQXAHQVPCVNRUTVRWHWQ
      VKVLUFVLVOVM $.
  $}

  ${
    $d j m M $.  $d j k m N $.
    $( Lemma for ~ bcxmas .  (Contributed by Paul Chapman, 18-May-2007.) $)
    bcxmaslem1 $p |- ( A = B -> ( ( N + A ) _C A ) = ( ( N + B ) _C B ) ) $=
      ( wceq caddc co cbc oveq2 id oveq12d ) ABDZCAEFCBEFABGABCEHKIJ $.

    $( Parallel summation (Christmas Stocking) theorem for Pascal's Triangle.
       (Contributed by Paul Chapman, 18-May-2007.)  (Revised by Mario Carneiro,
       24-Apr-2014.) $)
    bcxmas $p |- ( ( N e. NN0 /\ M e. NN0 ) ->
                     ( ( ( N + 1 ) + M ) _C M ) =
                     sum_ j e. ( 0 ... M ) ( ( N + j ) _C j ) ) $=
      ( cn0 wcel c1 caddc cbc cc0 cfz csu wceq bcxmaslem1 oveq2 sumeq1d eqeq12d
      co wa cc adantl vm vk cv 0nn0 nn0addcl bcn0 syl mpan2 cz 0z 1nn0 eqeltrdi
      nn0cnd fsum1 sylancr peano2nn0 sylancl 3eqtr4rd cuz cfv simpr sylib simpl
      elnn0uz elfznn0 syl2an elfzelz syl2anc fsump1 nn0cn adantr add32r syl3anc
      bccl 1cnd oveq1d oveq2d eqtrd oveq1 cmin ax-1cn pncan nn0p1nn nnzd bcpasc
      sylan cn eqtr3d nnnn0addcl nn0z addcomd peano2cn addassd 3eqtr3d 3eqtr2rd
      nnnn0d nn0indd ) CDEZCFGQZUAUCZGQWTHQZIWTJQZCAUCZGQZXCHQZAKZLWSIGQZIHQZII
      JQZXEAKZLWSUBUCZGQZXKHQZIXKJQZXEAKZLZWSXKFGQZGQZXQHQZIXQJQZXEAKZLWSBGQBHQ
      ZIBJQZXEAKZLUAUBBWTILZXAXHXFXJWTIWSMYEXBXIXEAWTIIJNOPWTXKLZXAXMXFXOWTXKWS
      MYFXBXNXEAWTXKIJNOPWTXQLZXAXSXFYAWTXQWSMYGXBXTXEAWTXQIJNOPWTBLZXAYBXFYDWT
      BWSMYHXBYCXEAWTBIJNOPWRCIGQZIHQZFXJXHWRIDEZYJFLZUDWRYKRYIDEYLCIUEYIUFUGUH
      ZWRIUIEYJSEXJYJLUJWRYJWRYJFDYMUKULUMXEYJAIXCICMUNUOWRXGDEZXHFLWRWSDEZYKYN
      CUPZUDWSIUEUQXGUFUGURWRXKDEZRZXPRYAXOXLXQHQZGQZXMYSGQZXSYRYAYTLXPYRYAXOCX
      QGQZXQHQZGQYTYRXEUUCAIXKYRYQXKIUSUTEWRYQVAXKVDVBYRXCXTEZRZXEUUEXDDEZXCUIE
      ZXEDEYRWRXCDEUUFUUDWRYQVCXCXQVECXCUEVFUUDUUGYRXCIXQVGTXCXDVNVHUMXCXQCMVIY
      RUUCYSXOGYRUUBXLXQHYRCSEZXKSEZFSEZUUBXLLWRUUHYQCVJZVKYQUUIWRXKVJTZYRVOZCX
      KFVLVMVPVQVRVKXPUUAYTLYRXMXOYSGVSTYRUUAXSLXPYRYSXMGQZXLFGQZXQHQZUUAXSYRYS
      XLXQFVTQZHQZGQZUUNUUPYRUURXMYSGYRUUQXKXLHYRUUIUUJUUQXKLUULWAXKFWBUQVQVQYR
      XLDEZXQUIEZUUSUUPLWRYOYQUUTYPWSXKUEZWFYRXQYQXQWGEWRXKWCTWDZXQXLWEVHWHYRYS
      XMYRYSYRUUTUVAYSDEYRXLWRWSWGEYQXLWGECWCWSXKWIWFWPUVCXQXLVNVHUMYRXMWRYOYQX
      MDEZYPYOYQRUUTXKUIEZUVDUVBYQUVEYOXKWJTXKXLVNVHWFUMWKYRUUOXRXQHYRWSXKFWRWS
      SEZYQWRUUHUVFUUKCWLUGVKUULUUMWMVPWNVKWOWQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The inclusion/exclusion principle
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d b k n s t u x y z A $.  $d b s B $.
    $( Lemma for ~ incexc .  (Contributed by Mario Carneiro, 7-Aug-2017.) $)
    incexclem $p |- ( ( A e. Fin /\ B e. Fin ) ->
      ( ( # ` B ) - ( # ` ( B i^i U. A ) ) ) = sum_ s e. ~P A
      ( ( -u 1 ^ ( # ` s ) ) x. ( # ` ( B i^i |^| s ) ) ) ) $=
      ( vb cfn wcel chash cfv cin cmin co cmul csu wceq c0 eqtrdi fveq2d oveq2d
      wa wss vx vy vz vt vu cv cuni cpw c1 cneg cexp cint wral cc0 csn cun uni0
      unieq ineq2d in0 hash0 pw0 sumeq1d eqeq12d ralbidv weq uniun unisn uneq2i
      pweq vex eqtri hashcl nn0cnd mulid2d cvv cc 0ex eqeltrd fveq2 neg1cn exp0
      ax-mp rint0 oveq12d sumsn sylancr subid1d 3eqtr4rd rgen wn ineq1 sumeq2dv
      simpl ineq1d rspcva adantll simpr inss1 ssfi sylancl in32 inass sumeq2sdv
      sylan caddc cn0 syl hashun3 syl2anc indi fveq2i inindi oveq2i assraddsubd
      3eqtr4g adantl adantr cdif a1i pwfi sylib elpwi syl2an mulcld unex sylibr
      inteq simpllr eqcomd uneq1 eqeq2d syl5ibrcom ssneldd sylan2 3eqtr4d eqtrd
      3eqtrd syldan fsumcl subcld subsub4d eqtr4d ssun1 sspwi undif mpbi eqcomi
      disjdif simpll snfi unfi expcld simplr fsumsplit cmpt intunsn unss1 ssun2
      eqid snex elpw snss mpbir ssel syl2imc mtod eldifd eldifi elpwid sseqtrdi
      uncom ssundif elpw2 elpwunsn ad2antll snssd undif1 ad2antrl difsnb difeq1
      ssequn2 difun2 impbid f1o2d fvmpt fsumf1o cbvsumv expp1d wi hashunsng elv
      mulcomd mulm1d oveq1d mulneg1d eqtrid fsumneg sselda negsubd ex ralrimdva
      sseli cbvralvw syl6ibr findcard2s rspccva ) AEFDUFZGHZUXHAUGZIZGHZJKZAUHZ
      UIUJZCUFZGHZUKKZUXHUXPULZIZGHZLKZCMZNZDEUMZBEFBGHZBUXJIZGHZJKZUXNUXRBUXSI
      ZGHZLKZCMZNZUXIUXHUAUFZUGZIZGHZJKZUYOUHZUYBCMZNZDEUMUXIUNJKZOUOZUYBCMZNZD
      EUMUXIUXHUBUFZUGZIZGHZJKZVUGUHZUYBCMZNZDEUMZUXIUXHVUHUCUFZUPZIZGHZJKZVUGV
      UPUOZUPZUHZUYBCMZNZDEUMZUYEUAUBUCAUYOONZVUBVUFDEVVGUYSVUCVUAVUEVVGUYRUNUX
      IJVVGUYROGHZUNVVGUYQOGVVGUYQUXHOIOVVGUYPOUXHVVGUYPOUGOUYOOURUQPUSUXHUTPQV
      APRVVGUYTVUDUYBCVVGUYTOUHVUDUYOOVJVBPVCVDVEUAUBVFZVUBVUNDEVVIUYSVUKVUAVUM
      VVIUYRVUJUXIJVVIUYQVUIGVVIUYPVUHUXHUYOVUGURUSQRVVIUYTVULUYBCUYOVUGVJVCVDV
      EUYOVVBNZVUBVVEDEVVJUYSVUTVUAVVDVVJUYRVUSUXIJVVJUYQVURGVVJUYPVUQUXHVVJUYP
      VVBUGZVUQUYOVVBURVVKVUHVVAUGZUPVUQVUGVVAVGVVLVUPVUHVUPUCVKZVHVIVLPUSQRVVJ
      UYTVVCUYBCUYOVVBVJVCVDVEUYOANZVUBUYDDEVVNUYSUXMVUAUYCVVNUYRUXLUXIJVVNUYQU
      XKGVVNUYPUXJUXHUYOAURUSQRVVNUYTUXNUYBCUYOAVJVCVDVEVUFDEUXHEFZUIUXILKZUXIV
      UEVUCVVOUXIVVOUXIUXHVMVNZVOZVVOOVPFVVPVQFVUEVVPNVRVVOVVPUXIVQVVRVVQVSUYBV
      VPCOVPUXPONZUXRUIUYAUXILVVSUXRUXOUNUKKZUIVVSUXQUNUXOUKVVSUXQVVHUNUXPOGVTV
      APRUXOVQFZVVTUINWAUXOWBWCPVVSUXTUXHGUXHUXPWDQWEWFWGVVOUXIVVQWHWIWJVUGEFZV
      UPVUGFZWKZSZVUOUYOGHZUYOVUQIZGHZJKZVVCUXRUYOUXSIZGHZLKZCMZNZUAEUMVVFVWEVU
      OVWNUAEVWEUYOEFZSZVUOVWNVWPVUOSZVWFUYOVUHIZGHZJKZUYOVUPIZGHZUYOVUHVUPIZIZ
      GHZJKZJKZVULVWLCMZVULUXRUYOUXSVUPIZIZGHZLKZCMZJKZVWIVWMVWQVWTVXHVXFVXMJVW
      OVUOVWTVXHNZVWEVUNVXODUYOEDUAVFZVUKVWTVUMVXHVXPUXIVWFVUJVWSJUXHUYOGVTZVXP
      VUIVWRGUXHUYOVUHWLQWEVXPVULUYBVWLCVXPUXPVULFZSZUYAVWKUXRLVXSUXTVWJGVXSUXH
      UYOUXSVXPVXRWNWOQRWMVDWPWQVWPVXAEFZVUOVXFVXMNZVWPVWOVXAUYOTVXTVWEVWOWRZUY
      OVUPWSUYOVXAWTXAZVUNVYADVXAEUXHVXANZVUKVXFVUMVXMVYDUXIVXBVUJVXEJUXHVXAGVT
      VYDVUIVXDGVYDVUIVXAVUHIZVXDUXHVXAVUHWLVYEVWRVUPIVXDUYOVUPVUHXBUYOVUHVUPXC
      VLPQWEVYDVULUYBVXLCVYDUYAVXKUXRLVYDUXTVXJGVYDUXTVXAUXSIZVXJUXHVXAUXSWLVYF
      VWJVUPIVXJUYOVUPUXSXBUYOUXSVUPXCVLPQRXDVDWPXEWEVWPVWIVXGNVUOVWPVWIVWFVWSV
      XFXFKZJKVXGVWPVWHVYGVWFJVWPVWHVWSVXBVXEVWPVWSVWPVWREFZVWSXGFVWPVWOVWRUYOT
      VYHVYBUYOVUHWSUYOVWRWTXAZVWRVMXHVNZVWPVXBVWPVXTVXBXGFVYCVXAVMXHVNZVWPVXEV
      WPVXDEFZVXEXGFVWPVWOVXDUYOTVYLVYBUYOVXCWSUYOVXDWTXAVXDVMXHVNZVWPVWRVXAUPZ
      GHZVWSVXBXFKZVWRVXAIZGHZJKZVWHVYPVXEJKVWPVYHVXTVYOVYSNVYIVYCVWRVXAXIXJVWG
      VYNGUYOVUHVUPXKXLVXEVYRVYPJVXDVYQGUYOVUHVUPXMXLXNXPXORVWPVWFVWSVXFVWPVWFV
      WOVWFXGFVWEUYOVMXQVNVYJVWPVXBVXEVYKVYMUUAUUBUUCXRVWPVWMVXNNVUOVWPVWMVXHVV
      CVULXSZVWLCMZXFKVXHVXMUJZXFKVXNVWPVULVYTVWLVVCCVULVYTIONVWPVULVVCUUIXTVVC
      VULVYTUPZNVWPWUCVVCVULVVCTZWUCVVCNVUGVVBVUGVVAUUDUUEZVULVVCUUFUUGUUHXTVWP
      VVBEFZVVCEFVWPVWBVVAEFWUFVWBVWDVWOUUJZVUPUUKVUGVVAUULXAZVVBYAYBVWPUXPVVCF
      ZSZUXRVWKWUJUXOUXQVWAWUJWAXTWUJUXPEFZUXQXGFZVWPWUFUXPVVBTWUKWUIWUHUXPVVBY
      CVVBUXPWTYDUXPVMZXHUUMZWUJVWKWUJVWJEFZVWKXGFWUJVWOVWJUYOTWUOVWEVWOWUIUUNZ
      UYOUXSWSUYOVWJWTXAVWJVMXHVNYEZUUOVWPWUAWUBVXHXFVWPWUAVULUXOUDUFZVVAUPZGHZ
      UKKZUYOWURULZVUPIZIZGHZLKZUDMZVULVXLUJZCMZWUBVWPVYTVWLVULWVFCUDUEVULUEUFZ
      VVAUPZUUPZWUSUXPWUSNZUXRWVAVWKWVELWVMUXQWUTUXOUKUXPWUSGVTRWVMVWJWVDGWVMUX
      SWVCUYOWVMUXSWUSULWVCUXPWUSYHWURVUPVVMUUQPUSQWEVWPVWBVULEFWUGVUGYAYBZVWPU
      ECVULVYTWVKUXPVVAXSZWVLWVLUUTZVWPWVJVULFZSZWVKVVCVULWVRWVKVVBTZWVKVVCFWVR
      WVJVUGTZWVSWVQWVTVWPWVJVUGYCZXQWVJVUGVVAUURXHWVKVVBWVJVVAUEVKVUPUVAZYFUVB
      YGWVRWVKVULFZVWCVWBVWDVWOWVQYIWWCWVKVUGTWVRVUPWVKFZVWCWVKVUGYCWWDWVRWWDVV
      AWVKTVVAWVJUUSVUPWVKVVMUVCUVDXTWVKVUGVUPUVEUVFUVGUVHVWPUXPVYTFZSZWVOVUGTZ
      WVOVULFWWFUXPVVAVUGUPZTWWGWWFUXPVVBWWHWWFUXPVVBWWEWUIVWPUXPVVCVULUVIZXQUV
      JVUGVVAUVLUVKUXPVVAVUGUVMYBWVOVUGUBVKUVNYGVWPWVQWWESZSZWVJWVONZUXPWVKNZWW
      KWWMWWLUXPUXPVVAUPZNWWKWWNUXPWWKVVAUXPTWWNUXPNWWKVUPUXPWWEVUPUXPFZVWPWVQU
      XPVUGVUPUVOUVPUVQVVAUXPUWBYBYJWWLWVKWWNUXPWWLWVKWVOVVAUPWWNWVJWVOVVAYKUXP
      VVAUVRPYLYMWWKWWLWWMWVJWVJVVAXSZNWWKWWPWVJWWKVUPWVJFWKWWPWVJNWWKWVJVUGVUP
      WVQWVTVWPWWEWWAUVSVWBVWDVWOWWJYIYNVUPWVJUVTYBYJWWMWVOWWPWVJWWMWVOWVKVVAXS
      WWPUXPWVKVVAUWAWVJVVAUWCPYLYMUWDUWEWURVULFWURWVLHWUSNVWPUEWURWVKWUSVULWVL
      WVJWURVVAYKWVPWURVVAUDVKWWBYFUWFXQWWEVWPWUIVWLVQFZWWIWUQYOUWGVWPWVGVULUXO
      WWNGHZUKKZVXKLKZCMWVIVULWVFWWTUDCUDCVFZWVAWWSWVEVXKLWXAWUTWWRUXOUKWXAWUSW
      WNGWURUXPVVAYKQRWXAWVDVXJGWXAWVCVXIUYOWXAWVBUXSVUPWURUXPYHWOUSQWEUWHVWPVU
      LWWTWVHCVWPVXRSZWWTUXRUJZVXKLKWVHWXBWWSWXCVXKLWXBWWSUXOUXRLKZWXCWXBUXOUXQ
      UIXFKZUKKUXRUXOLKWWSWXDWXBUXOUXQVWAWXBWAXTZWXBWUKWULVWPVWBUXPVUGTZWUKVXRW
      UGUXPVUGYCZVUGUXPWTYDZWUMXHUWIWXBWWRWXEUXOUKWXBWUKWWOWKZWWRWXENZWXIWXBUXP
      VUGVUPVXRWXGVWPWXHXQVWBVWDVWOVXRYIYNWUKWXJSWXKUWJUCUXPVUPVPUWKUWLXJRWXBUX
      OUXRWXFVXRVWPWUIUXRVQFVULVVCUXPWUEUXCZWUNYOZUWMYPWXBUXRWXMUWNYQUWOWXBUXRV
      XKWXMVXRVWPWUIVXKVQFWXLWUJVXKWUJVXJEFZVXKXGFWUJVWOVXJUYOTWXNWUPUYOVXIWSUY
      OVXJWTXAVXJVMXHVNZYOUWPYQWMUWQVWPVULVXLCWVNVXRVWPWUIVXLVQFZWXLWUJUXRVXKWU
      NWXOYEZYOUWRYRRVWPVXHVXMVWPVULVWLCWVNVWPVXRWUIWWQVWPVULVVCUXPWUDVWPWUEXTU
      WSZWUQYSYTVWPVULVXLCWVNVWPVXRWUIWXPWXRWXQYSYTUWTYRXRYPUXAUXBVVEVWNDUAEVXP
      VUTVWIVVDVWMVXPUXIVWFVUSVWHJVXQVXPVURVWGGUXHUYOVUQWLQWEVXPVVCUYBVWLCVXPUY
      AVWKUXRLVXPUXTVWJGUXHUYOUXSWLQRXDVDUXDUXEUXFUYDUYNDBEUXHBNZUXMUYIUYCUYMWX
      SUXIUYFUXLUYHJUXHBGVTWXSUXKUYGGUXHBUXJWLQWEWXSUXNUYBUYLCWXSUXPUXNFZSZUYAU
      YKUXRLWYAUXTUYJGWYAUXHBUXSWXSWXTWNWOQRWMVDUXGXE $.

    $( The inclusion/exclusion principle for counting the elements of a finite
       union of finite sets.  This is Metamath 100 proof #96.  (Contributed by
       Mario Carneiro, 7-Aug-2017.) $)
    incexc $p |- ( ( A e. Fin /\ A C_ Fin ) ->
      ( # ` U. A ) = sum_ s e. ( ~P A \ { (/) } )
      ( ( -u 1 ^ ( ( # ` s ) - 1 ) ) x. ( # ` |^| s ) ) ) $=
      ( cfn wcel wss chash cfv c0 c1 cneg cmin cexp cmul csu hashcl syl cn0 cc0
      co wceq wa cuni cpw csn cdif cv cint cc unifi simpl pwfi sylib diffi 1cnd
      nn0cnd negcld cn wne eldifsni adantl wb eldifi elpwi ssfi syl2an hashnncl
      mpbird nnm1nn0 expcld simplr sstrd intssuni ssfid mulcld fsumcl cin caddc
      syl2anc disjdif a1i cun 0elpw snssi ax-mp undif mpbi eqcomi inss1 sylancl
      adantr fsumsplit fveq2i oveq2i subidd eqtrid incexclem syldan negsubd cvv
      inidm eqtr3d 0ex fveq2 hash0 eqtrdi oveq2d neg1cn exp0 rint0 fveq2d sumsn
      oveq12d sylancr mulid2d eqtr2d fsumneg mulcomd mulneg1d sumeq2dv 3eqtr4rd
      expm1t mulm1d 3eqtrd unissd sseqin2 subeq0d ) ACDZACEZUAZAUBZFGZAUCZHUDZU
      EZIJZBUFZFGZIKSZLSZYPUGZFGZMSZBNZYIYJCDZYKUHDAUIZUUDYKYJOUOPZYIYNUUBBYIYL
      CDZYNCDYIYGUUGYGYHUJZAUKULZYLYMUMPZYIYPYNDZUAZYSUUAUULYOYRUULIUULUNUPZUUL
      YQUQDZYRQDUULUUNYPHURZUUKUUOYIYPYLHUSUTZUULYPCDZUUNUUOVAYIYGYPAEZUUQUUKUU
      HUUKYPYLDZUURYPYLYMVBYPAVCZPZAYPVDZVEZYPVFPVGZYQVHPVIZUULUUAUULYTCDUUAQDU
      ULYPUBZYTUULUUQYPCEUVFCDUVCUULYPACUUKUURYIUVAUTZYGYHUUKVJVKYPUIVRUULUUOYT
      UVFEUUPYPVLPZVMYTOPUOZVNZVOZYIYLYOYQLSZYJYTVPZFGZMSZBNZYMUVOBNZYNUVOBNZVQ
      SZRYKUUCKSZYIYMYNUVOYLBYMYNVPHTYIYMYLVSVTYLYMYNWAZTYIUWAYLYMYLEZUWAYLTHYL
      DUWBAWBHYLWCWDYMYLWEWFWGVTUUIYIUUSUAZUVLUVNUWCYOYQUWCIUWCUNUPUWCUUQYQQDYI
      YGUURUUQUUSUUHUUTUVBVEYPOPVIUWCUVNUWCUVMCDZUVNQDUWCUUDUVMYJEUWDYIUUDUUSUU
      EWJYJYTWHYJUVMVDWIUVMOPUOVNWKYIYKYJYJVPZFGZKSZRUVPYIUWGYKYKKSRUWFYKYKKUWE
      YJFYJWTWLWMYIYKUUFWNWOYGYHUUDUWGUVPTUUEAYJBWPWQXAYIYKUUCJZVQSUVTUVSYIYKUU
      CUUFUVKWRYIYKUVQUWHUVRVQYIUVQIYKMSZYKYIHWSDUWIUHDUVQUWITXBYIIYKYIUNUUFVNU
      VOUWIBHWSYPHTZUVLIUVNYKMUWJUVLYORLSZIUWJYQRYOLUWJYQHFGRYPHFXCXDXEXFYOUHDZ
      UWKITXGYOXHWDXEUWJUVMYJFYJYPXIXJXLXKXMYIYKUUFXNXOYIYNUUBJZBNUWHUVRYIYNUUB
      BUUJUVJXPYIYNUWMUVOBUULUVOYSJZUUAMSUWMUULUVLUWNUVNUUAMUULUVLYSYOMSZYOYSMS
      UWNUULUWLUUNUVLUWOTUUMUVDYOYQYAVRUULYSYOUVEUUMXQUULYSUVEYBYCUULUVMYTFUULY
      TYJEUVMYTTUULYTUVFYJUVHUULYPAUVGYDVKYTYJYEULXJXLUULYSUUAUVEUVIXRXOXSXAXLX
      AXTYF $.

    $( The inclusion/exclusion principle for counting the elements of a finite
       union of finite sets.  (Contributed by Mario Carneiro, 7-Aug-2017.) $)
    incexc2 $p |- ( ( A e. Fin /\ A C_ Fin ) ->
      ( # ` U. A ) = sum_ n e. ( 1 ... ( # ` A ) )
        ( ( -u 1 ^ ( n - 1 ) ) x.
          sum_ s e. { k e. ~P A | ( # ` k ) = n } ( # ` |^| s ) ) ) $=
      ( cfn wcel wss wa chash cfv c1 co cv wceq crab cmul csu c0 cn syl cfz cpw
      cuni ciun cneg cmin cexp cint csn cdif incexc wn wne cz cle wbr wb hashcl
      wrex cn0 ad2antrr nn0zd cdom simpl ssdomg imp syl2an hashdomi fznn rbaibd
      elpwi syl2anc ssfi hashnncl bitr2d df-ne risset velsn notbii eqcom rexbii
      3bitr3g 3bitr4g rabbidva dfdif2 iunrab 3eqtr4g sumeq1d eqtrd fzfid simpll
      pwfi sylib ssrab2 sylancl wral wdisj fveqeq2 elrab simprbi adantl invdisj
      ralrimiva cc oveq1d oveq2d 1cnd negcld elfznn nnm1nn0 expcld adantr unifi
      eqeltrd elrabi ssfid mpbid intssuni unissd nn0cnd mulcld fsumiun sumeq2dv
      sstrd anasss fsummulc2 eqtr4d 3eqtrd ) AEFZAEGZHZAUCZIJZCKAIJZUALZBMZIJZC
      MZNZBAUBZOZUDZKUEZDMZIJZKUFLZUGLZUUDUHZIJZPLZDQZYOUUAUUJDQZCQYOUUCYRKUFLZ
      UGLZUUAUUIDQPLZCQYKYMYTRUIZUJZUUJDQUUKADUKYKUUQUUBUUJDYKYPUUPFZULZBYTOYSC
      YOUSZBYTOUUQUUBYKUUSUUTBYTYKYPYTFZHZYPRNZULZYRYQNZCYOUSZUUSUUTUVBYPRUMZYQ
      YOFZUVDUVFUVBUVHYQSFZUVGUVBYNUNFZYQYNUOUPZUVHUVIUQUVBYNYIYNUTFYJUVAAURVAV
      BUVBYPAVCUPZUVKYKYIYPAGZUVLUVAYIYJVDZYPAVKZYIUVMUVLYPAEVEVFVGYPAVHTUVJUVH
      UVIUVKYQYNVIVJVLUVBYPEFZUVIUVGUQYKYIUVMUVPUVAUVNUVOAYPVMVGYPVNTVOYPRVPCYQ
      YOVQWBUURUVCBRVRVSYSUVECYOYQYRVTWAWCWDBYTUUPWEYSCBYOYTWFWGWHWIYKCYOUUAUUJ
      DYKKYNWJYKYRYOFZHZYTEFZUUAYTGUUAEFUVRYIUVSYIYJUVQWKZAWLWMYSBYTWNYTUUAVMWO
      ZYKUUEYRNZDUUAWPZCYOWPCYOUUAWQYKUWCCYOUVRUWBDUUAUUDUUAFZUWBUVRUWDUUDYTFZU
      WBYSUWBBUUDYTYPUUDYRIWRWSWTXAZXCXCCDYOUUAUUEXBTYKUVQUWDUUJXDFUVRUWDHZUUJU
      UNUUIPLZXDUWGUUGUUNUUIPUWGUUFUUMUUCUGUWGUUEYRKUFUWFXEXFXEZUWGUUNUUIUVRUUN
      XDFUWDUVRUUCUUMUVRKUVRXGXHUVRYRSFZUUMUTFUVQUWJYKYRYNXIXAZYRXJTXKZXLUWGUUI
      UWGUUHEFUUIUTFUWGYLUUHYKYLEFUVQUWDAXMVAUWGUUHUUDUCZYLUWGUUDRUMZUUHUWMGUWG
      UUESFZUWNUWGUUEYRSUWFUVRUWJUWDUWKXLXNUWGUUDEFUWOUWNUQUWGAUUDUVRYIUWDUVTXL
      UWGUWEUUDAGUWDUWEUVRYSBUUDYTXOXAUUDAVKTZXPUUDVNTXQUUDXRTUWGUUDAUWPXSYDXPU
      UHURTXTZYAXNYEYBYKYOUULUUOCUVRUULUUAUWHDQUUOUVRUUAUUJUWHDUWIYCUVRUUAUUIUU
      NDUWAUWLUWQYFYGYCYH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Infinite sums (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d k m n x A $.  $d j k m n x K $.  $d j k m n x ph $.  $d j k m n x W $.
    $d j m n x B $.  $d m n x M $.  $d k m n x Z $.
    isumshft.1 $e |- Z = ( ZZ>= ` M ) $.
    isumshft.2 $e |- W = ( ZZ>= ` ( M + K ) ) $.
    isumshft.3 $e |- ( j = ( K + k ) -> A = B ) $.
    isumshft.4 $e |- ( ph -> K e. ZZ ) $.
    isumshft.5 $e |- ( ph -> M e. ZZ ) $.
    isumshft.6 $e |- ( ( ph /\ j e. W ) -> A e. CC ) $.
    $( Index shift of an infinite sum.  (Contributed by Paul Chapman,
       31-Oct-2007.)  (Revised by Mario Carneiro, 24-Apr-2014.) $)
    isumshft $p |- ( ph -> sum_ j e. W A = sum_ k e. Z B ) $=
      ( cfv caddc wcel wceq cc vm vn vx cv cmpt csu co cseq cli wbr cio zaddcld
      cshi cuz eleq2i cmin zcnd eluzelcn eleq2s fvexi mptex shftval syl2an wral
      wa cid simpr eqid fvmpt2i addcom cz id eleqtrdi eluzadd syl2anr eleqtrrdi
      eqeltrd fvmpti eqtr4d ralrimiva nffvmpt1 nfeq1 fveq2 oveq2 fveq2d eqeq12d
      syl mpan9 adantr eluzsub syl3anc rspccva syl2an2r pncan3 3eqtrrd sylan2br
      rspc seqfeq breq1d wb isershft syl2anc bitr4d iotabidv df-fv eqidd fmpttd
      3eqtr4g ffvelrnda isum wf eleq1d sylan ffvelrn 3eqtr4d sumfc 3eqtr3g ) AH
      UAUDZDHBUEZPZUAUFZIUBUDZEICUEZPZUBUFZHBDUFICEUFAQXSGFQUGZUHZUIPZQYCGUHZUI
      PZYAYEAYGUCUDZUIUJZUCUKYIYKUIUJZUCUKYHYJAYLYMUCAYLQYCFUMUGZYFUHZYKUIUJZYM
      AYGYOYKUIAQUAXSYNYFAGFNMULZXRYFUNPZRZAXRHRZXTXRYNPZSHYRXRKUOAYTVEZUUAXRFU
      PUGZYCPZFUUCQUGZXSPZXTAFTRZXRTRZUUAUUDSYTAFMUQZUUHXRYRHYFXRURKUSZFXRYCEIC
      IGUNJUTVAZVBVCAYDFYBQUGZXSPZSZUBIVDYTUUCIRUUDUUFSZAUUNUBIAEUDZYCPZFUUPQUG
      ZXSPZSZEIVDYBIRZUUNAUUTEIAUUPIRZVEZUUQCVFPZUUSUVCUVBUUQUVDSAUVBVGEICYCYCV
      HVIWGUVCUURHRZUUSUVDSUVCUURYRHUVCUURUUPFQUGZYRAUUGUUPTRZUURUVFSUVBUUIUVGU
      UPGUNPZIGUUPURJUSFUUPVJVCUVBUUPUVHRFVKRZUVFYRRAUVBUUPIUVHUVBVLJVMMFGUUPVN
      VOVQKVPZDUURBCHXSLXSVHVRWGVSVTUUTUUNEYBIEYDUUMEICYBWAWBUUPYBSZUUQYDUUSUUM
      UUPYBYCWCUVKUURUULXSUUPYBFQWDZWEWFWQWHZVTUUBUUCUVHIUUBGVKRZUVIYSUUCUVHRAU
      VNYTNWIAUVIYTMWIUUBXRHYRAYTVGKVMFGXRWJWKJVPUUNUUOUBUUCIYBUUCSZYDUUDUUMUUF
      YBUUCYCWCUVOUULUUEXSYBUUCFQWDWEWFWLWMUUBUUEXRXSAUUGUUHUUEXRSYTUUIUUJFXRWN
      VCWEWOWPWRWSAUVNUVIYMYPWTNMYKQYCGFUUKXAXBXCXDUCYGUIXEUCYIUIXEXHAXTUAXSYFH
      KYQUUBXTXFAHTXRXSADHBTOXGZXIXJAYDUBYCGIJNAUVAVEZYDXFUVQYDUUMTUVMAHTXSXKUV
      AUULHRZUUMTRUVPAUVEEIVDUVAUVRAUVEEIUVJVTUVEUVREYBIUVKUURUULHUVLXLWLXMHTUU
      LXSXNWMVQXJXOHBUADXPICUBEXPXQ $.
  $}

  ${
    $d j A $.  $d j k m x F $.  $d j k m x M $.  $d j k m x ph $.  $d k Z $.
    $d j k m x N $.  $d j k m x W $.
    isumsplit.1 $e |- Z = ( ZZ>= ` M ) $.
    isumsplit.2 $e |- W = ( ZZ>= ` N ) $.
    isumsplit.3 $e |- ( ph -> N e. Z ) $.
    isumsplit.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.
    isumsplit.5 $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
    isumsplit.6 $e |- ( ph -> seq M ( + , F ) e. dom ~~> ) $.
    $( Split off the first ` N ` terms of an infinite sum.  (Contributed by
       Paul Chapman, 9-Feb-2008.)  (Revised by Mario Carneiro, 24-Apr-2014.) $)
    isumsplit $p |- ( ph -> sum_ k e. Z A =
                      ( sum_ k e. ( M ... ( N - 1 ) ) A + sum_ k e. W A ) ) $=
      ( co caddc cfv wcel wceq cc vj vm vx c1 cmin cfz csu cuz eleqtrdi eluzel2
      cz syl cseq cli cdm eluzelz wss uzss 3sstr4g sselda syldan eqeltrd iserex
      cv wa mpbid isumclim2 fzfid elfzuz eleqtrrdi sylan2 fsumcl serf ffvelrnda
      cc0 c0 clt wbr zred ltm1d wb peano2zm syl2anc2 sumeq1d adantr sum0 eqtrdi
      fzn oveq1d addid2d eqtr2d oveq1 oveq2d seqeq1 fveq1d oveq12d eqeq2d addcl
      syl5ibrcom adantl addass simplr simpll ax-1cn npcan sylancl eqcomd fveq2d
      zcnd eqtrid eleqtrd eluzp1m1 sylan syl2an seqsplit fsumser seqeq1d eqtr4d
      w3a ex wo uzp1 mpjaod climaddc2 isumclim ) ABEFUDUEOZUFOZBCUGZGBCUGZPOCDE
      HIAFEUHQZRZEUKRZAFHYJKIUIZEFUJULZLMAYIYHUAPDFUMZPDEUMZFUNUOZGJAYKFUKRYMEF
      UPULZABCDFGJYRACVDZGRZYSHRZYSDQZBSZAGHYSAFUHQZYJGHAYKUUDYJUQYMEFURULJIUSZ
      UTZLVAAYTUUABTRZUUFMVAAYPYQRYOYQRNACDEFHIKAUUAVEUUBBTLMVBZVCVFVGAYGBCAEYF
      VHYSYGRZAUUAUUGUUIYSYJHYSEYFVIIVJZMVKVLNAGTUAVDZYOACDFGJYRAYTUUAUUBTRZUUF
      UUHVAVMVNAUUKGRZVEZFESZUUKYPQZYHUUKYOQZPOZSZFEUDPOUHQRZUUNUUSUUOUUPEEUDUE
      OZUFOZBCUGZUUPPOZSUUNUVDVOUUPPOUUPUUNUVCVOUUPPUUNUVCVPBCUGZVOAUVCUVESUUMA
      UVBVPBCAUVAEVQVRZUVBVPSZAEAEYNVSVTAYLUVAUKRUVFUVGWAYNEWBEUVAWHWCVFWDWEBCW
      FWGWIUUNUUPAUUMUUKHRUUPTRAGHUUKUUEUTAHTUUKYPACDEHIYNUUHVMVNVAWJWKUUOUURUV
      DUUPUUOYHUVCUUQUUPPUUOYGUVBBCUUOYFUVAEUFFEUDUEWLWMWDUUOUUKYOYPPDFEWNWOWPW
      QWSUUNUUTUUSUUNUUTVEZUUPYFYPQZUUKPDYFUDPOZUMZQZPOUURUVHCUBUCPTDEYFUUKYSTR
      ZUBVDZTRZVEYSUVNPOZTRUVHYSUVNWRWTUVMUVOUCVDZTRXSUVPUVQPOYSUVNUVQPOPOSUVHY
      SUVNUVQXAWTUVHUUKGUVJUHQZAUUMUUTXBUVHGUUDUVRJUVHFUVJUHUVHAFUVJSAUUMUUTXCZ
      AUVJFAFTRUDTRUVJFSAFYRXIXDFUDXEXFXGULZXHXJXKUUNYLUUTYFYJRAYLUUMYNWEEFXLXM
      ZUVHAUUAUULYSEUUKUFORZUVSUWBYSYJHYSEUUKVIIVJUUHXNXOUVHYHUVIUUQUVLPUVHBCDE
      YFUVHAUUAUUCUUIUVSUUJLXNUWAUVHAUUAUUGUUIUVSUUJMXNXPUVHUUKYOUVKUVHFUVJPDUV
      TXQWOWPXRXTAUUOUUTYAZUUMAYKUWCYMEFYBULWEYCYDYE $.
  $}

  ${
    $d k F $.  $d k M $.  $d k ph $.  $d k Z $.
    isum1p.1 $e |- Z = ( ZZ>= ` M ) $.
    isum1p.3 $e |- ( ph -> M e. ZZ ) $.
    isum1p.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.
    isum1p.5 $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
    isum1p.6 $e |- ( ph -> seq M ( + , F ) e. dom ~~> ) $.
    $( The infinite sum of a converging infinite series equals the first term
       plus the infinite sum of the rest of it.  (Contributed by NM,
       2-Jan-2006.)  (Revised by Mario Carneiro, 24-Apr-2014.) $)
    isum1p $p |- ( ph -> sum_ k e. Z A =
                   ( ( F ` M ) + sum_ k e. ( ZZ>= ` ( M + 1 ) ) A ) ) $=
      ( csu c1 caddc co cfz cfv wcel cc wceq cmin cuz eqid cz uzid syl peano2uz
      eleqtrrdi isumsplit cv zcnd ax-1cn sylancl oveq2d sumeq1d elfzuz sumeq2dv
      pncan sylan2 fveq2 eleq1d eqeltrd ralrimiva rspcdva fsum1 syl2anc 3eqtr2d
      wa oveq1d eqtrd ) AFBCLEEMNOZMUAOZPOZBCLZVKUBQZBCLZNOEDQZVPNOABCDEVKVOFGV
      OUCAVKEUBQZFAEVRRZVKVRRAEUDRZVSHEUEUFZEEUGUFGUHIJKUIAVNVQVPNAVNEEPOZBCLWB
      CUJZDQZCLZVQAVMWBBCAVLEEPAESRMSRVLETAEHUKULEMURUMUNUOAWBWDBCWCWBRZAWCFRZW
      DBTWFWCVRFWCEEUPGUHIUSUQAVTVQSRZWEVQTHAWDSRZWHCFEWCETWDVQSWCEDUTZVAAWICFA
      WGVHWDBSIJVBVCAEVRFWAGUHVDWDVQCEWJVEVFVGVIVJ $.
  $}

  ${
    $d k F $.  $d k B $.  $d k ph $.
    isumnn0nn.1 $e |- ( k = 0 -> A = B ) $.
    isumnn0nn.2 $e |- ( ( ph /\ k e. NN0 ) -> ( F ` k ) = A ) $.
    isumnn0nn.3 $e |- ( ( ph /\ k e. NN0 ) -> A e. CC ) $.
    isumnn0nn.4 $e |- ( ph -> seq 0 ( + , F ) e. dom ~~> ) $.
    $( Sum from 0 to infinity in terms of sum from 1 to infinity.  (Contributed
       by NM, 2-Jan-2006.)  (Revised by Mario Carneiro, 24-Apr-2014.) $)
    isumnn0nn $p |- ( ph -> sum_ k e. NN0 A = ( B + sum_ k e. NN A ) ) $=
      ( cn0 csu cc0 cfv c1 caddc co cuz cn wceq a1i nn0uz 0zd isum1p cv eqeq12d
      fveq2 ralrimiva wcel 0nn0 rspcdva 0p1e1 fveq2i nnuz sumeq1i oveq12d eqtrd
      eqtr4i ) AJBDKLEMZLNOPZQMZBDKZOPCRBDKZOPABDELJUAAUBGHIUCAURCVAVBOADUDZEMZ
      BSZURCSDJLVCLSVDURBCVCLEUFFUEAVEDJGUGLJUHAUITUJVAVBSAUTRBDUTNQMRUSNQUKULU
      MUQUNTUOUP $.
  $}

  ${
    $d m A $.  $d k m F $.  $d k M $.  $d k m N $.  $d k m ph $.  $d k m W $.
    $d k Z $.
    isumrpcl.1 $e |- Z = ( ZZ>= ` M ) $.
    isumrpcl.2 $e |- W = ( ZZ>= ` N ) $.
    isumrpcl.3 $e |- ( ph -> N e. Z ) $.
    isumrpcl.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.
    isumrpcl.5 $e |- ( ( ph /\ k e. Z ) -> A e. RR+ ) $.
    isumrpcl.6 $e |- ( ph -> seq M ( + , F ) e. dom ~~> ) $.
    $( The infinite sum of positive reals is positive.  (Contributed by Paul
       Chapman, 9-Feb-2008.)  (Revised by Mario Carneiro, 24-Apr-2014.) $)
    isumrpcl $p |- ( ph -> sum_ k e. W A e. RR+ ) $=
      ( cfv wcel syl wceq wa crp vm csu cuz cz eleqtrdi eluzelz cv uzss 3sstr4g
      wss sselda syldan cr rpred caddc cseq cli cdm rpcnd iserex mpbid isumrecl
      eqeltrd fveq2 eleq1d ralrimiva rspcdva cle seq1 eleqtrrdi recnd isumclim2
      uzid wral sseld rspcv syl6ci imp rpge0d climserle eqbrtrrd rpgecld ) AGBC
      UBZFDOZABCDFGJAFEUCOZPZFUDPZAFHWEKIUEZEFUFQZACUGZGPZWJHPZWJDOZBRAGHWJAFUC
      OZWEGHAWFWNWEUJWHEFUHQJIUIZUKZLULZAWKWLBUMPWPAWLSZBMUNULZAUODEUPUQURZPUOD
      FUPZWTPNACDEFHIKWRWMWRWMBTLMVCZUSUTVAZVBAWMTPZWDTPCHFWJFRWMWDTWJFDVDVEAXD
      CHXBVFZKVGAFXAOZWDWCVHAWGXFWDRWIUODFVIQAWCUADFFGJAFWNGAWGFWNPWIFVMQJVJABC
      DFGJWIWQAWKSBWSVKXCVLAUAUGZGPZSZXGDOZAXHXJTPZAXHXGHPXDCHVNXKAGHXGWOVOXEXD
      XKCXGHWJXGRWMXJTWJXGDVDVEVPVQVRZUNXIXJXLVSVTWAWB $.
  $}

  ${
    $d k F $.  $d k G $.  $d k M $.  $d k ph $.  $d k Z $.
    isumle.1 $e |- Z = ( ZZ>= ` M ) $.
    isumle.2 $e |- ( ph -> M e. ZZ ) $.
    isumle.3 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.
    isumle.4 $e |- ( ( ph /\ k e. Z ) -> A e. RR ) $.
    isumle.5 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) = B ) $.
    isumle.6 $e |- ( ( ph /\ k e. Z ) -> B e. RR ) $.
    isumle.7 $e |- ( ( ph /\ k e. Z ) -> A <_ B ) $.
    isumle.8 $e |- ( ph -> seq M ( + , F ) e. dom ~~> ) $.
    isumle.9 $e |- ( ph -> seq M ( + , G ) e. dom ~~> ) $.
    $( Comparison of two infinite sums.  (Contributed by Paul Chapman,
       13-Nov-2007.)  (Revised by Mario Carneiro, 24-Apr-2014.) $)
    isumle $p |- ( ph -> sum_ k e. Z A <_ sum_ k e. Z B ) $=
      ( cli cfv wcel caddc cseq csu cle cdm wbr climdm sylib cv eqeltrd 3brtr4d
      wa cr iserle recnd isum ) AUAEGUBZRSZUAFGUBZRSZHBDUCHCDUCUDAURUTDEFGHIJAU
      QRUEZTUQURRUFPUQUGUHAUSVATUSUTRUFQUSUGUHADUIZHTULZVBESZBUMKLUJVCVBFSZCUMM
      NUJVCBCVDVEUDOKMUKUNABDEGHIJKVCBLUOUPACDFGHIJMVCCNUOUPUK $.
  $}

  ${
    $d j k A $.  $d j k F $.  $d k M $.  $d k ph $.  $d j k Z $.
    isumless.1 $e |- Z = ( ZZ>= ` M ) $.
    isumless.2 $e |- ( ph -> M e. ZZ ) $.
    isumless.3 $e |- ( ph -> A e. Fin ) $.
    isumless.4 $e |- ( ph -> A C_ Z ) $.
    isumless.5 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = B ) $.
    isumless.6 $e |- ( ( ph /\ k e. Z ) -> B e. RR ) $.
    isumless.7 $e |- ( ( ph /\ k e. Z ) -> 0 <_ B ) $.
    isumless.8 $e |- ( ph -> seq M ( + , F ) e. dom ~~> ) $.
    $( A finite sum of nonnegative numbers is less than or equal to its limit.
       (Contributed by Mario Carneiro, 24-Apr-2014.) $)
    isumless $p |- ( ph -> sum_ k e. A B <_ sum_ k e. Z B ) $=
      ( vj wcel cc0 cle cfv csu cv cif wss cc wral cuz cfn wo wceq sselda recnd
      wa syldan ralrimiva eqimssi orci a1i sumss2 syl21anc cmpt eleq1w ifbieq1d
      fveq2 eqid fvex c0ex ifex fvmpt adantl ifeq1d eqtrd 0re ifcl sylancl leid
      cr wbr breq1 ifboth sylan syl2anc fsumcvg3 isumle eqbrtrd ) ABCDUAZGDUBZB
      QZCRUCZDUAZGCDUASABGUDCUEQZDBUFGFUGTZUDZGUHQZUIZWFWJUJKAWKDBAWHWGGQZWKABG
      WGKUKAWPUMZCMULUNZUOWOAWMWNGWLHUPUQURBGCDFUSUTAWICDPGPUBZBQZWSETZRUCZVAZE
      FGHIWQWGXCTZWHWGETZRUCZWIWPXDXFUJAPWGXBXFGXCWSWGUJWTWHXAXERPDBVBWSWGEVDVC
      XCVEWHXERWGEVFVGVHVIVJWQWHXECRLVKVLZWQCVQQZRVQQWIVQQMVMWHCRVQVNVOLMWQXHRC
      SVRZWICSVRZMNXHCCSVRZXIXJCVPWHXKXIXJCRCWICSVSRWICSVSVTWAWBABCDXCFGHIJKXGW
      RWCOWDWE $.
  $}

  ${
    $d j x A $.  $d j k x F $.  $d j k x M $.  $d j k ph $.  $d j k x Z $.
    $d j x G $.
    isumsup.1 $e |- Z = ( ZZ>= ` M ) $.
    isumsup.2 $e |- G = seq M ( + , F ) $.
    isumsup.3 $e |- ( ph -> M e. ZZ ) $.
    isumsup.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.
    isumsup.5 $e |- ( ( ph /\ k e. Z ) -> A e. RR ) $.
    isumsup.6 $e |- ( ( ph /\ k e. Z ) -> 0 <_ A ) $.
    isumsup.7 $e |- ( ph -> E. x e. RR A. j e. Z ( G ` j ) <_ x ) $.
    $( An infinite sum of nonnegative terms is equal to the supremum of the
       partial sums.  (Contributed by Mario Carneiro, 12-Jun-2014.) $)
    isumsup2 $p |- ( ph -> G ~~> sup ( ran G , RR , < ) ) $=
      ( cr wcel cfv co caddc cseq wf cv wa eqeltrd serfre feq1i sylibr c1 simpr
      cle cuz eleqtrdi cz eluzelz uzid peano2uz 4syl cfz simpl elfzuz eleqtrrdi
      syl2an cc0 peano2uzs adantl uztrn2 breqtrrd adantlr syldan sermono fveq1i
      wbr 3brtr4g climsup ) ABDGHIJLAIQUAFHUBZUCIQGUCAEFHIJLAEUDZIRZUEZVRFSZCQM
      NUFZUGIQGVQKUHUIADUDZIRZUEZWCVQSWCUJUATZVQSWCGSWFGSULWEEFWCHWFWEWCIHUMSZA
      WDUKJUNZWEWCWGRWCUORWCWCUMSZRWFWIRWHHWCUPWCUQWCWCURUSWEAVSWAQRVRHWFUTTRZA
      WDVAWJVRWGIVRHWFVBJVCWBVDWEVRWFWFUTTRZVSVEWAULVNZWEWFIRZVRWFUMSRVSWKWDWMA
      HWCIJVFVGVRWFWFVBHVRWFIJVHVDAVSWLWDVTVECWAULOMVIVJVKVLWCGVQKVMWFGVQKVMVOP
      VP $.

    $( An infinite sum of nonnegative terms is equal to the supremum of the
       partial sums.  (Contributed by Mario Carneiro, 12-Jun-2014.) $)
    isumsup $p |- ( ph -> sum_ k e. Z A = sup ( ran G , RR , < ) ) $=
      ( crn cr clt csup cv wcel wa recnd caddc cseq isumsup2 eqbrtrrid isumclim
      cli ) ACGQRSTZEFHIJLMAEUAIUBUCCNUDAUEFHUFGUKUJKABCDEFGHIJKLMNOPUGUHUI $.
  $}

  ${
    $d k x A $.  $d x B $.  $d k F $.  $d k x M $.  $d k x ph $.  $d k x Z $.
    isumltss.1 $e |- Z = ( ZZ>= ` M ) $.
    isumltss.2 $e |- ( ph -> M e. ZZ ) $.
    isumltss.3 $e |- ( ph -> A e. Fin ) $.
    isumltss.4 $e |- ( ph -> A C_ Z ) $.
    isumltss.5 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = B ) $.
    isumltss.6 $e |- ( ( ph /\ k e. Z ) -> B e. RR+ ) $.
    isumltss.7 $e |- ( ph -> seq M ( + , F ) e. dom ~~> ) $.
    $( A partial sum of a series with positive terms is less than the infinite
       sum.  (Contributed by Jeff Madsen, 2-Sep-2009.)  (Proof shortened by
       Mario Carneiro, 12-Mar-2015.) $)
    isumltss $p |- ( ph -> sum_ k e. A B < sum_ k e. Z B ) $=
      ( vx wcel csu wceq cfn wss cv cdif clt wbr c0 wn wex cz uzinf ssdif0 eqss
      syl wa eleq1 syl5ibcom syl5bir mpand mtod neq0 sylib csn adantr cr sselda
      cun crp adantlr rpred syldan fsumrecl snfi unfi sylancl eldifi snssd unss
      anim12i cfv caddc cseq cli cdm isumrecl co a1i wne snnz fsumrpcl ltaddrpd
      vex adantl cin eldifn disjsn sylibr eqidd rpcnd fsumsplit breqtrrd rpge0d
      cc isumless ltletrd exlimddv ) AOUAZGBUBZPZBCDQZGCDQZUCUDOAXFUERZUFXGOUGA
      XJGSPZAFUHPZXKUFIFGHUIULXJGBTZAXKGBUJABGTZXMXKKXNXMUMBGRZAXKBGUKABSPZXOXK
      JBGSUNUOUPUQUPUROXFUSUTAXGUMZXHBXEVAZVEZCDQZXIXQBCDAXPXGJVBZXQDUAZBPYBGPZ
      CVCPZXQBGYBAXNXGKVBVDXQYCUMZCAYCCVFPZXGMVGZVHZVIVJZXQXSCDXQXPXRSPZXSSPYAX
      EVKZBXRVLVMZXQYBXSPZYCYDXQXSGYBXQXNXRGTZUMXSGTAXNXGYNKXGXEGXEGBVNVOZVQBXR
      GVPUTZVDZYHVIVJXQCDEFGHAXLXGIVBZAYCYBEVRCRXGLVGZYHAVSEFVTWAWBPXGNVBZWCXQX
      HXHXRCDQZVSWDXTUCXQXHUUAYIXQXRCDYJXQYKWEXRUEWFXQXEOWJWGWEXQYBXRPYCYFXQXRG
      YBXGYNAYOWKVDYGVIWHWIXQBXRCXSDXQXEBPUFZBXRWLUERXGUUBAXEGBWMWKBXEWNWOXQXSW
      PYLXQYMYCCXAPYQYECYGWQVIWRWSXQXSCDEFGHYRYLYPYSYHYECYGWTYTXBXCXD $.
  $}

  ${
    $d j k n x F $.  $d j k n x G $.  $d x N $.  $d j k n x ph $.
    climcnds.1 $e |- ( ( ph /\ k e. NN ) -> ( F ` k ) e. RR ) $.
    climcnds.2 $e |- ( ( ph /\ k e. NN ) -> 0 <_ ( F ` k ) ) $.
    climcnds.3 $e |- ( ( ph /\ k e. NN ) -> ( F ` ( k + 1 ) ) <_ ( F ` k ) ) $.
    climcnds.4 $e |- ( ( ph /\ n e. NN0 ) ->
      ( G ` n ) = ( ( 2 ^ n ) x. ( F ` ( 2 ^ n ) ) ) ) $.
    $( Lemma for ~ climcnds : bound the original series by the condensed
       series.  (Contributed by Mario Carneiro, 18-Jul-2014.) $)
    climcndslem1 $p |- ( ( ph /\ N e. NN0 ) ->
                        ( seq 1 ( + , F ) ` ( ( 2 ^ ( N + 1 ) ) - 1 ) ) <_
                        ( seq 0 ( + , G ) ` N ) ) $=
      ( cn0 wcel c2 c1 caddc co cfv cc0 cle wceq vx vj cexp cmin cseq wbr cv wi
      oveq1 0p1e1 eqtrdi oveq2d cc exp1 ax-mp df-2 eqtri oveq1d ax-1cn pncan3oi
      2cn fveq2d fveq2 breq12d imbi2d fvoveq1d cmul cr eleq1d ralrimiva 1nn a1i
      cn rspcdva leidd recnd mulid2d breqtrrd 1z eqidd seq1i oveq2 exp0 oveq12d
      0z eqeq12d 0nn0 3brtr4d wa cfz csu fzfid cuz 2nn peano2nn0 adantl nnexpcl
      simpl sylancr elfzuz eluznn syl2an syl2an2r adantr simpr simplll monoord2
      syl2anc breq1d rspccva fsumle chash cfn hashcl syl nn0cnd nnred cun cz 2z
      wral zexpcl 2re 1le2 nnuz eleqtrdi leexp2a sylanbrc peano2zm eqtrd nnnn0d
      zred hashfz1 3eqtr4d elfznn fsumrecl nn0uz remulcld eqeltrd fsumser nn0zd
      nn0p1nn mp3an12i eqbrtrrid eluz1i uz2m1nn 1red uzid peano2uz mp3an12 4syl
      lesub1dd eluz2 syl3anbrc elfzuzb fzsplit npcan sylancl expp1 times2d 1cnd
      uneq2d addsubd uztrn eleqtrrdi cin c0 ltm1d fzdisj hashun syl3anc 3eqtr3d
      clt addcanad fsumconst 0zd serfre ffvelrnda le2add syl22anc mpan2d eqcomd
      fsumsplit eqtr3d seqp1 3imtr4d expcom a2d nn0ind impcom ) FKLAMFNOPZUCPZN
      UDPODNUEZQZFOERUEZQZSUFZAMUAUGZNOPZUCPZNUDPZUWMQZUWRUWOQZSUFZUHANUWMQZRUW
      OQZSUFZUHAMUBUGZNOPZUCPZNUDPZUWMQZUXHUWOQZSUFZUHAMUXINOPZUCPZNUDPZUWMQZUX
      IUWOQZSUFZUHAUWQUHUAUBFUWRRTZUXDUXGAUYAUXBUXEUXCUXFSUYAUXANUWMUYAUXANNOPZ
      NUDPNUYAUWTUYBNUDUYAUWTMNUCPZUYBUYAUWSNMUCUYAUWSRNOPNUWRRNOUIUJUKULUYCMUY
      BMUMLZUYCMTVAMUNUOZUPUQUKURNNUSUSUTUKVBUWRRUWOVCVDVEUWRUXHTZUXDUXNAUYFUXB
      UXLUXCUXMSUYFUWTUXJNUWMUDUYFUWSUXIMUCUWRUXHNOUIULVFUWRUXHUWOVCVDVEUWRUXIT
      ZUXDUXTAUYGUXBUXRUXCUXSSUYGUWTUXPNUWMUDUYGUWSUXOMUCUWRUXINOUIULVFUWRUXIUW
      OVCVDVEUWRFTZUXDUWQAUYHUXBUWNUXCUWPSUYHUWTUWLNUWMUDUYHUWSUWKMUCUWRFNOUIUL
      VFUWRFUWOVCVDVEANDQZNUYIVGPZUXEUXFSAUYIUYIUYJSAUYIABUGZDQZVHLZUYIVHLBVMNU
      YKNTUYLUYIVHUYKNDVCVIAUYMBVMGVJZNVMLAVKVLVNZVOAUYIAUYIUYOVPVQVRAUYIODNVSA
      UYIVTWAAUYJOERWEACUGZEQZMUYPUCPZUYRDQZVGPZTZREQZUYJTCKRUYPRTZUYQVUBUYTUYJ
      UYPREVCVUCUYRNUYSUYIVGVUCUYRMRUCPZNUYPRMUCWBUYDVUDNTVAMWCUOUKZVUCUYRNDVUE
      VBWDWFAVUACKJVJZRKLAWGVLVNWAWHUXHKLZAUXNUXTAVUGUXNUXTUHAVUGWIZNUXKWJPZUYL
      BWKZUXMSUFZVUJUXJUXQWJPZUYLBWKZOPZUXMUXIEQZOPZSUFZUXNUXTVUHVUKVUMVUOSUFZV
      UQVUHVUMVULUXJDQZBWKZVUOSVUHVULUYLVUSBVUHUXJUXQWLZVUHAUYKVULLZUYKVMLZUYMA
      VUGWRZVUHUXJVMLZUYKUXJWMQZLZVVCVVBVUHMVMLZUXIKLZVVEWNVUGVVIAUXHWOWPZMUXIW
      QWSZUYKUXJUXQWTZUYKUXJXAZXBGXCZVUHVUSVHLZVVBVUHUYMVVOBVMUXJUYKUXJTUYLVUSV
      HUYKUXJDVCVIAUYMBVMYAZVUGUYNXDVVKVNZXDVUHUYPDQZVUSSUFZCVVFYAVVGUYLVUSSUFZ
      VVBVUHVVSCVVFVUHUYPVVFLZWIZBDUXJUYPVUHVWAXEVWBUYKUXJUYPWJPLZWIAVVCUYMAVUG
      VWAVWCXFVWBVVEVVGVVCVWCVUHVVEVWAVVKXDZUYKUXJUYPWTVVMXBGXHVWBUYKUXJUYPNUDP
      ZWJPLZWIAVVCUYKNOPDQUYLSUFAVUGVWAVWFXFVWBVVEVVGVVCVWFVWDUYKUXJVWEWTVVMXBI
      XHXGVJVVLVVSVVTCUYKVVFUYPUYKTVVRUYLVUSSUYPUYKDVCXIXJXBXKVUHUXJVUSVGPZVULX
      LQZVUSVGPZVUOVUTVUHUXJVWHVUSVGVUHVUIXLQZUXJVWHVUHVWJVUHVUIXMLZVWJKLVUHNUX
      KWLZVUIXNXOXPVUHUXJVUHUXJVVKXQZVPZVUHVWHVUHVULXMLZVWHKLVVAVULXNXOXPVUHNUX
      QWJPZXLQZVUIVULXRZXLQZVWJUXJOPZVWJVWHOPZVUHVWPVWRXLVUHVWPVUIUXKNOPZUXQWJP
      ZXRZVWRVUHUXKVWPLZVWPVXDTVUHUXKNWMQZLZUXQUXKWMQLZVXEVUHUXKVMVXFVUHUXJMWMQ
      LZUXKVMLVUHUXJXSLZMUXJSUFVXIVUHMXSLZVVIVXJXTVVJMUXIYBWSZVUHMUYCUXJSUYEMVH
      LZNMSUFZVUHUXIVXFLUYCUXJSUFYCYDVUHUXIVMVXFVUGUXIVMLAUXHUUBWPYEYFMNUXIYGUU
      CUUDMUXJXTUUEYHUXJUUFXOZYEYFZVUHUXKXSLZUXQXSLZUXKUXQSUFVXHVUHVXJVXQVXLUXJ
      YIXOVUHUXPXSLZVXRVUHVXKUXOKLZVXSXTVUHVVIVXTVVJUXIWOXOMUXOYBWSZUXPYIXOVUHU
      XJUXPNVUHUXJVXLYLZVUHUXPVYAYLVUHUUGVUHUXIXSLUXIUXIWMQZLUXOVYCLZUXJUXPSUFZ
      VUHUXIVVJUUAUXIUUHUXIUXIUUIVXMVXNVYDVYEYCYDMUXIUXOYGUUJUUKUULUXKUXQUUMUUN
      ZUXKNUXQUUOYHUXKNUXQUUPXOVUHVXCVULVUIVUHVXBUXJUXQWJVUHUXJUMLNUMLVXBUXJTVW
      NUSUXJNUUQUURURUVBYJZVBVUHUXQUXKUXJOPZVWQVWTVUHUXQUXJUXJOPZNUDPVYHVUHUXPV
      YINUDVUHUXPUXJMVGPZVYIVUHUYDVVIUXPVYJTVAVVJMUXIUUSWSVUHUXJVWNUUTYJURVUHUX
      JUXJNVWNVWNVUHUVAUVCYJVUHUXQKLVWQUXQTVUHUXQVUHUXQVXFVMVUHVXHVXGUXQVXFLVYF
      VXPUXKUXQNUVDXHZYEUVEYKUXQYMXOVUHVWJUXKUXJOVUHUXKKLVWJUXKTVUHUXKVXOYKUXKY
      MXOURYNVUHVWKVWOVUIVULUVFUVGTZVWSVXATVWLVVAVUHUXKUXJUVMUFVYLVUHUXJVWMUVHN
      UXKUXJUXQUVIXOZVUIVULUVJUVKUVLUVNURVUHVUAVUOVWGTCKUXIUYPUXITZUYQVUOUYTVWG
      UYPUXIEVCVYNUYRUXJUYSVUSVGUYPUXIMUCWBZVYNUYRUXJDVYOVBWDWFAVUACKYAVUGVUFXD
      VVJVNZVUHVWOVUSUMLVUTVWITVVAVUHVUSVVQVPVULVUSBUVOXHYNVRVUHVUJVHLVUMVHLUXM
      VHLVUOVHLVUKVURWIVUQUHVUHVUIUYLBVWLVUHAVVCUYMUYKVUILZVVDUYKUXKYOZGXBYPVUH
      VULUYLBVVAVVNYPAKVHUXHUWOACERKYQAUVPAUYPKLZWIZUYQUYTVHJVYTUYRUYSVYTUYRVYT
      VVHVYSUYRVMLWNAVYSXEMUYPWQWSZXQVYTUYMUYSVHLBVMUYRUYKUYRTUYLUYSVHUYKUYRDVC
      VIAVVPVYSUYNXDWUAVNYRYSUVQUVRVUHVUOVWGVHVYPVUHUXJVUSVYBVVQYRYSVUJVUMUXMVU
      OUVSUVTUWAVUHUXLVUJUXMSVUHVUJUXLVUHUYLBDNUXKVUHVYQWIUYLVTVXPVUHAVVCUYLUML
      ZVYQVVDVYRAVVCWIUYLGVPZXBYTUWBXIVUHUXRVUNUXSVUPSVUHVWPUYLBWKUXRVUNVUHUYLB
      DNUXQVUHUYKVWPLZWIUYLVTVYKVUHAVVCWUBWUDVVDUYKUXQYOWUCXBZYTVUHVUIVULUYLVWP
      BVYMVYGVUHNUXQWLWUEUWCUWDVUHUXHRWMQZLUXSVUPTVUHUXHKWUFAVUGXEYQYFOERUXHUWE
      XOVDUWFUWGUWHUWIUWJ $.

    $( Lemma for ~ climcnds : bound the condensed series by the original
       series.  (Contributed by Mario Carneiro, 18-Jul-2014.)  (Proof shortened
       by AV, 10-Jul-2022.) $)
    climcndslem2 $p |- ( ( ph /\ N e. NN ) -> ( seq 1 ( + , G ) ` N ) <_
      ( 2 x. ( seq 1 ( + , F ) ` ( 2 ^ N ) ) ) ) $=
      ( cn wcel c1 cfv c2 co cmul cle wceq cr vx vj caddc cseq cexp cv wi fveq2
      wbr oveq2 cc 2cn exp1 ax-mp eqtrdi fveq2d oveq2d breq12d imbi2d ralrimiva
      cc0 breq2d 1nn a1i rspcdva eleq1d 2nn addge02d mpbid readdcld lemul2d cn0
      nnrpd 1z oveq12d eqeq12d 1nn0 seq1i nnuz df-2 eqidd seqp1d 3brtr4d wa cfz
      csu wral adantr peano2nn adantl nnnn0d nnnn0 expp1 sylancr nnexpcl mulcom
      nncnd sylancl eqtrd oveq1d recnd mulassd 3eqtrd chash hashfz1 syl eqeltrd
      cfn fzfid hashcl nn0cnd cun cuz simpr nnzd uzid peano2uz 2re 1le2 leexp2a
      cz mp3an12 4syl eleqtrdi elfz5 syl2anc mpbird nnred 3eqtr3d elfzuz eluznn
      wb syl2an simplll eqbrtrd remulcld serfre remulcl elfznn fsumser c0 ltp1d
      fzsplit times2d 3eqtr4d cin fzdisj hashun addcanad fsumconst eqtr4d simpl
      clt syl3anc syl2an2r elfzuz3 cmin monoord2 rspccva sylan fsumrecl crp 2rp
      fsumle sylan2 ffvelrnda wf ffvelrn le2add syl22anc mpan2d seqp1 fsumsplit
      1zzd adddid sylibrd expcom a2d nnind impcom ) FKLAFUCEMUDZNZOOFUEPZUCDMUD
      ZNZQPZRUIZAUAUFZUWANZOOUWHUEPZUWDNZQPZRUIZUGAMUWANZOOUWDNZQPZRUIZUGAUBUFZ
      UWANZOOUWRUEPZUWDNZQPZRUIZUGAUWRMUCPZUWANZOOUXDUEPZUWDNZQPZRUIZUGAUWGUGUA
      UBFUWHMSZUWMUWQAUXJUWIUWNUWLUWPRUWHMUWAUHUXJUWKUWOOQUXJUWJOUWDUXJUWJOMUEP
      ZOUWHMOUEUJOUKLZUXKOSULOUMUNZUOUPUQURUSUWHUWRSZUWMUXCAUXNUWIUWSUWLUXBRUWH
      UWRUWAUHUXNUWKUXAOQUXNUWJUWTUWDUWHUWROUEUJUPUQURUSUWHUXDSZUWMUXIAUXOUWIUX
      EUWLUXHRUWHUXDUWAUHUXOUWKUXGOQUXOUWJUXFUWDUWHUXDOUEUJUPUQURUSUWHFSZUWMUWG
      AUXPUWIUWBUWLUWFRUWHFUWAUHUXPUWKUWEOQUXPUWJUWCUWDUWHFOUEUJUPUQURUSAOODNZQ
      PZOMDNZUXQUCPZQPZUWNUWPRAUXQUXTRUIZUXRUYARUIAVAUXSRUIZUYBAVABUFZDNZRUIZUY
      CBKMUYDMSZUYEUXSVARUYDMDUHZVBAUYFBKHUTMKLAVCVDZVEAUXQUXSAUYETLZUXQTLBKOUY
      DOSUYEUXQTUYDODUHVFAUYJBKGUTZOKLZAVGVDZVEZAUYJUXSTLBKMUYGUYEUXSTUYHVFUYKU
      YIVEZVHVIAUXQUXTOUYNAUXSUXQUYOUYNVJAOUYMVMVKVIAUXRUCEMVNACUFZENZOUYPUEPZU
      YRDNZQPZSZMENZUXRSCVLMUYPMSZUYQVUBUYTUXRUYPMEUHVUCUYROUYSUXQQVUCUYRUXKOUY
      PMOUEUJUXMUOZVUCUYRODVUDUPVOVPAVUACVLJUTZMVLLAVQVDVEVRAUWOUXTOQAUXSUXQUCD
      OMMKVSUYIVTAUXSUCDMVNAUXSWAVRAUXQWAWBUQWCUWRKLZAUXCUXIAVUFUXCUXIUGAVUFWDZ
      UXCUWSUXDENZUCPZUXBOUWTMUCPZUXFWEPZUYEBWFZQPZUCPZRUIZUXIVUGUXCVUHVUMRUIZV
      UOVUGVUHOUWTUXFDNZQPZQPZVUMRVUGVUHUXFVUQQPZOUWTQPZVUQQPVUSVUGVUAVUHVUTSCV
      LUXDUYPUXDSZUYQVUHUYTVUTUYPUXDEUHZVVBUYRUXFUYSVUQQUYPUXDOUEUJZVVBUYRUXFDV
      VDUPVOVPAVUACVLWGVUFVUEWHVUGUXDVUFUXDKLAUWRWIWJZWKZVEVUGUXFVVAVUQQVUGUXFU
      WTOQPZVVAVUGUXLUWRVLLZUXFVVGSULVUFVVHAUWRWLZWJOUWRWMWNZVUGUWTUKLUXLVVGVVA
      SVUGUWTVUFUWTKLZAVUFUYLVVHVVKVGVVIOUWRWOWNZWJZWQZULUWTOWPWRWSWTVUGOUWTVUQ
      UXLVUGULVDZVVNVUGVUQVUGUYJVUQTLZBKUXFUYDUXFSUYEVUQTUYDUXFDUHVFAUYJBKWGZVU
      FUYKWHVUGUYLUXDVLLUXFKLVGVVFOUXDWOWNZVEZXAZXBXCVUGVURVULRUIVUSVUMRUIVUGVU
      RVUKVUQBWFZVULRVUGVURVUKXDNZVUQQPZVWAVUGUWTVWBVUQQVUGMUWTWEPZXDNZUWTVWBVU
      GVWEUWTUKVUGUWTVLLVWEUWTSVUGUWTVVMWKUWTXEXFZVVNXGVVNVUGVWBVUGVUKXHLZVWBVL
      LVUGVUJUXFXIZVUKXJXFXKVUGMUXFWEPZXDNZVWDVUKXLZXDNZVWEUWTUCPZVWEVWBUCPZVUG
      VWIVWKXDVUGUWTVWILZVWIVWKSVUGVWOUWTUXFRUIZVUGUWRYALUWRUWRXMNZLUXDVWQLZVWP
      VUGUWRAVUFXNZXOUWRXPUWRUWRXQOTLZMORUIVWRVWPXRXSOUWRUXDXTYBYCVUGUWTMXMNZLU
      XFYALVWOVWPYLVUGUWTKVXAVVMVSYDZVUGUXFVVRXOUWTMUXFYEYFYGUWTMUXFUUCXFZUPVUG
      UXFUWTUWTUCPZVWJVWMVUGUXFVVGVXDVVJVUGUWTVVNUUDWSVUGUXFVLLVWJUXFSVUGUXFVVR
      WKUXFXEXFVUGVWEUWTUWTUCVWFWTUUEVUGVWDXHLVWGVWDVUKUUFUUASZVWLVWNSVUGMUWTXI
      VWHVUGUWTVUJUUMUIVXEVUGUWTVUGUWTVVMYHZUUBMUWTVUJUXFUUGXFZVWDVUKUUHUUNYIUU
      IWTVUGVWGVUQUKLVWAVWCSVWHVVTVUKVUQBUUJYFUUKVUGVUKVUQUYEBVWHVUGVVPUYDVUKLZ
      VVSWHVUGAVXHUYDKLZUYJAVUFUULZVUGVUJKLZUYDVUJXMNZLVXIVXHVUGVVKVXKVVMUWTWIX
      FZUYDVUJUXFYJUYDVUJYKYMGUUOZVUGVUQUYPDNZRUIZCVUKWGVXHVUQUYERUIZVUGVXPCVUK
      VUGUYPVUKLZWDZBDUYPUXFVXRUXFUYPXMNZLVUGUYPVUJUXFUUPWJVXSUYDUYPUXFWEPLZWDA
      VXIUYJAVUFVXRVYAYNVXSUYPKLZUYDVXTLZVXIVYAVUGVXKUYPVXLLVYBVXRVXMUYPVUJUXFY
      JUYPVUJYKYMZUYDUYPUXFYJUYDUYPYKZYMGYFVXSUYDUYPUXFMUUQPZWEPLZWDAVXIUYDMUCP
      DNUYERUIAVUFVXRVYGYNVXSVYBVYCVXIVYGVYDUYDUYPVYFYJVYEYMIYFUURUTVXPVXQCUYDV
      UKUYPUYDSVXOUYEVUQRUYPUYDDUHVBUUSUUTUVDYOVUGVURVULOVUGUWTVUQVXFVVSYPVUGVU
      KUYEBVWHVXNUVAZOUVBLVUGUVCVDVKVIYOVUGUWSTLVUHTLZUXBTLZVUMTLZUXCVUPWDVUOUG
      AKTUWRUWAACEMKVSAUVNZVYBAUYPVLLZUYQTLZUYPWLAVYMWDZUYQUYTTJVYOUYRUYSVYOUYR
      VYOUYLVYMUYRKLVGAVYMXNOUYPWOWNZYHVYOUYJUYSTLBKUYRUYDUYRSUYEUYSTUYDUYRDUHV
      FAVVQVYMUYKWHVYPVEYPXGUVEZYQUVFVUGVYNVYICKUXDVVBUYQVUHTVVCVFAVYNCKWGVUFAV
      YNCKVYQUTWHVVEVEVUGVWTUXATLZVYJXRAKTUWDUVGVVKVYRVUFABDMKVSVYLGYQVVLKTUWTU
      WDUVHYMZOUXAYRWNVUGVWTVULTLVYKXRVYHOVULYRWNUWSVUHUXBVUMUVIUVJUVKVUGUXEVUI
      UXHVUNRVUGUWRVXALUXEVUISVUGUWRKVXAVWSVSYDUCEMUWRUVLXFVUGUXHOUXAVULUCPZQPV
      UNVUGUXGVYTOQVUGVWIUYEBWFVWDUYEBWFZVULUCPUXGVYTVUGVWDVUKUYEVWIBVXGVXCVUGM
      UXFXIVUGAVXIUYEUKLZUYDVWILZVXJUYDUXFYSAVXIWDUYEGXAZYMZUVMVUGUYEBDMUXFVUGW
      UCWDUYEWAVUGUXFKVXAVVRVSYDWUEYTVUGWUAUXAVULUCVUGUYEBDMUWTVUGUYDVWDLZWDUYE
      WAVXBVUGAVXIWUBWUFVXJUYDUWTYSWUDYMYTWTYIUQVUGOUXAVULVVOVUGUXAVYSXAVUGVULV
      YHXAUVOWSURUVPUVQUVRUVSUVT $.

    $( The Cauchy condensation test.  If ` a ( k ) ` is a decreasing sequence
       of nonnegative terms, then ` sum_ k e. NN a ( k ) ` converges iff
       ` sum_ n e. NN0 2 ^ n x. a ( 2 ^ n ) ` converges.  (Contributed by Mario
       Carneiro, 18-Jul-2014.)  (Proof shortened by AV, 10-Jul-2022.) $)
    climcnds $p |- ( ph ->
      ( seq 1 ( + , F ) e. dom ~~> <-> seq 0 ( + , G ) e. dom ~~> ) ) $=
      ( c1 wcel cc0 wa cr wbr cn cn0 cfv c2 cle vx vj cseq cli cdm crn clt csup
      caddc nnuz 1zzd wf cv nnnn0 cexp co cmul simpr nnexpcl sylancr nnred wceq
      fveq2 eleq1d wral ralrimiva adantr rspcdva remulcld eqeltrd sylan2 serfre
      2nn cuz eleqtrdi cz nnz adantl uzid peano2uz 3syl cfz simpl elfznn syl2an
      simpll elfz1eq peano2nn0 ad2antlr nnnn0d nn0ge0d mulge0d breqtrrd syl2anc
      syl breq2d sermono adantlr csu wrex 2re eqidd isumrecl ffvelrnda ad2antrr
      remulcl ffvelrnd climcndslem2 cc recnd fsumser fzfid wss ssriv a1i simplr
      ad4ant14 isumless crp 2rp lemul2d mpbid letrd brralrspcev climsup climrel
      eqbrtrrd releldmi nn0uz iserex biimpar syldan peano2nn eleq1 biimparc 0zd
      1nn0 ffvelrn cmin eluznn nn0red ax-mp bernneq3 ltled peano2zd nnzd mpbird
      2z wb eluz eluzp1m1 elfzuz syl2an2r climcndslem1 elfznn0 impbida ) AUIDJU
      CZUDUEZKZUIELUCZUURKZAUUSUIEJUCZUURKZUVAAUUSMZUVBUVBUFNUGUHZUDOUVCUVDUAUB
      UVBJPUJUVDUKZAPNUVBULUUSACEJPUJAUKZCUMZPKZAUVHQKZUVHERZNKZUVHUNAUVJMZUVKS
      UVHUOUPZUVNDRZUQUPZNIUVMUVNUVOUVMUVNUVMSPKZUVJUVNPKVMAUVJURSUVHUSUTZVAZUV
      MBUMZDRZNKZUVONKBPUVNUVTUVNVBZUWAUVONUVTUVNDVCZVDAUWBBPVEUVJAUWBBPFVFVGUV
      RVHZVIVJZVKZVLVGZAUBUMZPKZUWIUVBRZUWIJUIUPZUVBRTOUUSAUWJMZCEUWIJUWLUWMUWI
      PJVNRZAUWJURUJVOZUWMUWIVPKZUWIUWIVNRZKUWLUWQKUWJUWPAUWIVQZVRUWIVSUWIUWIVT
      WAZUWMAUVIUVLUVHJUWLWBUPZKAUWJWCZUVHUWLWDUWGWEUWMUVHUWLUWLWBUPZKZMZAUVJLU
      VKTOZAUWJUXCWFUXDUVHUWLQUXCUVHUWLVBUWMUVHUWLWGVRUWJUWLQKZAUXCUWJUWIQKZUXF
      UWIUNZUWIWHWOZWIVJUVMLUVPUVKTUVMUVNUVOUVSUWEUVMUVNUVMUVNUVRWJWKUVMLUWATOZ
      LUVOTOBPUVNUWCUWAUVOLTUWDWPAUXJBPVEUVJAUXJBPGVFVGUVRVHWLIWMZWNWQWRUVDSPUW
      ABWSZUQUPZNKZUWKUXMTOZUBPVEUWKUAUMZTOUBPVEUANWTUVDSNKZUXLNKZUXNXAUVDUWABD
      JPUJUVFUVDUVTPKZMUWAXBAUXSUWBUUSFWRAUUSURXCZSUXLXFUTZUVDUXOUBPUVDUWJMZUWK
      SSUWIUOUPZUUQRZUQUPZUXMUVDPNUWIUVBUWHXDUYBUXQUYDNKUYENKXAUYBPNUYCUUQAPNUU
      QULZUUSUWJABDJPUJUVGFVLZXEUYBUVQUXGUYCPKVMUWJUXGUVDUXHVRSUWIUSUTZXGZSUYDX
      FUTUVDUXNUWJUYAVGAUWJUWKUYETOUUSABCDEUWIFGHIXHWRUYBUYDUXLTOUYEUXMTOUYBJUY
      CWBUPZUWABWSUYDUXLTUYBUWABDJUYCUYBUVTUYJKZMUWAXBUYBUYCPUWNUYHUJVOUYBAUXSU
      WAXIKUYKAUUSUWJWFUVTUYCWDZAUXSMUWAFXJWEXKUYBUYJUWABDJPUJUYBUKUYBJUYCXLUYJ
      PXMUYBBUYJPUYLXNXOUYBUXSMUWAXBAUXSUWBUUSUWJFXQAUXSUXJUUSUWJGXQAUUSUWJXPXR
      YGUYBUYDUXLSUYIUVDUXRUWJUXTVGSXSKUYBXTXOYAYBYCVFUAUBUWKUXMTNPYDWNYEUVBUVE
      UDYFYHWOAUVAUVCACELJQYIJQKAYQXOUVMUVKUWFXJZYJYKYLAUVAMZUUQUUQUFNUGUHZUDOU
      USUYNUAUBUUQJPUJUYNUKAUYFUVAUYGVGZAUWJUWIUUQRZUWLUUQRTOUVAUWMBDUWIJUWLUWO
      UWSUWMAUXSUWBUVTUWTKUXAUVTUWLWDFWEUWMUVTUXBKZMAUXSUXJAUWJUYRWFUWMUWLPKZUV
      TUWLVBZUXSUYRUWJUYSAUWIYMZVRUVTUWLWGUYTUXSUYSUVTUWLPYNYOWEGWNWQWRUYNQUVKC
      WSZNKZUYQVUBTOZUBPVEUYQUXPTOUBPVEUANWTUYNUVKCELQYIUYNYPUYNUVJMUVKXBAUVJUV
      LUVAUWFWRAUVAURXCZUYNVUDUBPUYNUWJMZUYQUWIUUTRZVUBUYNPNUWIUUQUYPXDZUYNQNUU
      TULZUXGVUGNKUWJAVUIUVAACELQYIAYPUWFVLVGUXHQNUWIUUTYRWEZUYNVUCUWJVUEVGVUFU
      YQSUWLUOUPZJYSUPZUUQRZVUGVUHVUFPNVULUUQUYNUYFUWJUYPVGVUFUWJVULUWQKZVULPKU
      YNUWJURVUFUWPVUKUWLVNRZKZVUNUWJUWPUYNUWRVRZVUFVUPUWLVUKTOZVUFUWLVUKVUFUWL
      UWJUXFUYNUXIVRZUUAVUFVUKVUFUVQUXFVUKPKVMVUSSUWLUSUTZVAVUFSSVNRKZUXFUWLVUK
      UGOSVPKVVAUUHSVSUUBVUSSUWLUUCUTUUDVUFUWLVPKVUKVPKVUPVURUUIVUFUWIVUQUUEVUF
      VUKVUTUUFUWLVUKUUJWNUUGUWIVUKUUKWNZVULUWIYTWNXGVUJVUFBDUWIJVULAUWJUWIUWNK
      UVAUWOWRVVBVUFAUXSUWBUVTJVULWBUPKAUVAUWJWFZUVTVULWDFWEVUFAUVTUWLVULWBUPKZ
      UXSUXJVVCVUFUYSUVTVUOKUXSVVDUWJUYSUYNVUAVRUVTUWLVULUULUVTUWLYTWEGUUMWQVUF
      AUXGVUMVUGTOVVCUWJUXGUYNUXHVRZABCDEUWIFGHIUUNWNYCVUFLUWIWBUPZUVKCWSVUGVUB
      TVUFUVKCELUWIVUFUVHVVFKZMUVKXBVUFUWIQLVNRVVEYIVOVUFAUVJUVKXIKVVGVVCUVHUWI
      UUOZUYMWEXKVUFVVFUVKCELQYIVUFYPVUFLUWIXLVVFQXMVUFCVVFQVVHXNXOVUFUVJMUVKXB
      AUVJUVLUVAUWJUWFXQAUVJUXEUVAUWJUXKXQAUVAUWJXPXRYGYCVFUAUBUYQVUBTNPYDWNYEU
      UQUYOUDYFYHWOUUP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellaneous converging and diverging sequences
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d n x y A $.
    $( The sequence of reciprocals of real numbers, multiplied by the factor
       ` A ` , converges to zero.  (Contributed by Mario Carneiro,
       18-Sep-2014.) $)
    divrcnv $p |- ( A e. CC -> ( n e. RR+ |-> ( A / n ) ) ~~>r 0 ) $=
      ( vy vx cc wcel crp cv cdiv co cc0 wbr clt cabs cfv cr ad2antrl ralrimiva
      wral wa cmpt crli wi wrex abscl rerpdivcl sylan simpll rpcn rpne0 absdivd
      wne cle rpge0 absidd oveq2d eqtrd simprr wb abscld ad2antlr rpgt0 ltdiv23
      rpre syl122anc mpbid eqbrtrd expr breq1 rspceaimv simpl adantl divcld wss
      syl2anc rpssre a1i rlim0lt mpbird ) AEFZBGABHZIJZUAKUBLCHZWAMLZWBNOZDHZML
      ZUCBGSCPUDZDGSVTWHDGVTWFGFZTZANOZWFIJZPFZWLWAMLZWGUCZBGSWHVTWKPFZWIWMAUEW
      KWFUFUGWJWOBGWJWAGFZWNWGWJWQWNTZTZWEWKWAIJZWFMWSWEWKWANOZIJWTWSAWAVTWIWRU
      HZWQWAEFZWJWNWAUIZQWQWAKULZWJWNWAUJZQUKWSXAWAWKIWSWAWQWAPFZWJWNWAVDQZWQKW
      AUMLWJWNWAUNQUOUPUQWSWNWTWFMLZWJWQWNURWSWPWFPFZKWFMLZXGKWAMLZWNXIUSWSAXBU
      TWIXJVTWRWFVDVAWIXKVTWRWFVBVAXHWQXLWJWNWAVBQWKWFWAVCVEVFVGVHRWDWNWGCBWLPG
      WCWLWAMVIVJVORVTDCBGWBVTWBEFBGVTWQTAWAVTWQVKWQXCVTXDVLWQXEVTXFVLVMRGPVNVT
      VPVQVRVS $.

    $( The sequence of reciprocals of positive integers, multiplied by the
       factor ` A ` , converges to zero.  (Contributed by NM, 6-Feb-2008.)
       (Revised by Mario Carneiro, 18-Sep-2014.) $)
    divcnv $p |- ( A e. CC -> ( n e. NN |-> ( A / n ) ) ~~> 0 ) $=
      ( cc wcel cn cv cdiv cmpt cc0 crli wbr cli crp wss nnrp ssriv a1i divrcnv
      co adantl rlimres2 c1 nnuz 1zzd wa simpl wne nnne0 divcld fmpttd rlimclim
      nncn mpbid ) ACDZBEABFZGSZHZIJKUQILKUNBEMUPIEMNUNBEMUOOPQABRUAUNIUQUBEUCU
      NUDUNBEUPCUNUOEDZUEAUOUNURUFURUOCDUNUOULTURUOIUGUNUOUHTUIUJUKUM $.

    $( The floor function satisfies ` |_ ( x ) = x + O(1) ` .  (Contributed by
       Mario Carneiro, 21-May-2016.) $)
    flo1 $p |- ( x e. RR |-> ( x - ( |_ ` x ) ) ) e. O(1) $=
      ( cr cv cfl cfv cmin co cmpt co1 wcel wtru c1 ssidd cc reflcl mpdan recnd
      resubcl cle wbr adantl 1red cabs flle abssubge0d fracle1 eqbrtrd ad2antrl
      id elo1d mptru ) ABACZULDEZFGZHIJKABUNLLKBMULBJZUNNJKUOUNUOUMBJUNBJULOZUL
      UMRPQUAKUBZUQUOUNUCEZLSTKLULSTUOURUNLSUOUMULUPUOUIULUDUEULUFUGUHUJUK $.
  $}

  ${
    $d A k $.  $d A m $.  $d B k $.  $d B m $.  $d F k $.  $d k m $.
    $d k ph $.  $d M k $.  $d Z k $.
    divcnvshft.1 $e |- Z = ( ZZ>= ` M ) $.
    divcnvshft.2 $e |- ( ph -> M e. ZZ ) $.
    divcnvshft.3 $e |- ( ph -> A e. CC ) $.
    divcnvshft.4 $e |- ( ph -> B e. ZZ ) $.
    divcnvshft.5 $e |- ( ph -> F e. V ) $.
    divcnvshft.6 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = ( A / ( k + B ) ) ) $.
    $( Limit of a ratio function.  (Contributed by Scott Fenton,
       16-Dec-2017.) $)
    divcnvshft $p |- ( ph -> F ~~> 0 ) $=
      ( vm cc0 cli cz cn wcel wbr cv cdiv co cmpt cc divcnv syl c1 cuz cfv cres
      wss wceq nnssz resmpt ax-mp nnuz reseq2i eqtr3i breq1i cvv wb zex climres
      1z mptex mp2an bitri sylib a1i wa caddc uzssz eqsstri sseli adantl adantr
      zaddcld oveq2 eqid ovex fvmpt eqtr4d climshft2 mpbird ) AEPQUAORBOUBZUCUD
      ZUEZPQUAZAOSWHUEZPQUAZWJABUFTWLKBOUGUHWLWIUIUJUKZULZPQUAZWJWKWNPQWISULZWK
      WNSRUMWPWKUNUOORSWHUPUQSWMWIURUSUTVAUIRTWIVBTZWOWJVCVFORWHVDVGZPWIUIVBVEV
      HVIVJAPDEWICFGVBHIJLMWQAWRVKADUBZHTZVLZWSCVMUDZWIUKZBXBUCUDZWSEUKXAXBRTXC
      XDUNXAWSCWTWSRTAHRWSHFUJUKRIFVNVOVPVQACRTWTLVRVSOXBWHXDRWIWGXBBUCVTWIWABX
      BUCWBWCUHNWDWEWF $.
  $}

  ${
    $d f k m x z F $.  $d f k m n z ph $.  $d f k m x z R $.  $d f k m x z X $.
    $d x y z A $.  $d k m n S $.
    supcvg.1 $e |- X e. _V $.
    supcvg.2 $e |- S = sup ( A , RR , < ) $.
    supcvg.3 $e |- R = ( n e. NN |-> ( S - ( 1 / n ) ) ) $.
    supcvg.4 $e |- ( ph -> X =/= (/) ) $.
    supcvg.5 $e |- ( ph -> F : X -onto-> A ) $.
    supcvg.6 $e |- ( ph -> A C_ RR ) $.
    supcvg.7 $e |- ( ph -> E. x e. RR A. y e. A y <_ x ) $.
    $( Extract a sequence ` f ` in ` X ` such that the image of the points in
       the bounded set ` A ` converges to the supremum ` S ` of the set.
       Similar to Equation 4 of [Kreyszig] p. 144.  The proof uses countable
       choice ~ ax-cc .  (Contributed by Mario Carneiro, 15-Feb-2013.)  (Proof
       shortened by Mario Carneiro, 26-Apr-2014.) $)
    supcvg $p |- ( ph -> E. f ( f : NN --> X /\ ( F o. f ) ~~> S ) ) $=
      ( cn wcel cr vk vz vm cv wf cfv cle wbr wral wa wex ccom cli wrex csup c1
      clt cdiv cmin wceq weq oveq2 oveq2d ovex fvmpt adantl crp wne wfo fof syl
      co feq3 syl5ibcom f00 simprbi syl6 necon3d suprcld eqeltrid nnrp rpreccld
      c0 mpd ltsubrp syl2an eqbrtrd breqtrdi wss w3a 3jca nnrecre resubcl fmptd
      wb ffvelrnda suprlub syl2an2r mpbid wi adantr sselda reximdva crn rexeqdv
      ltle forn wfn breq2 rexrn 3syl bitr3d ralrimiva nnenom fveq2 breq2d axcc4
      ffn cvv nnuz 1zzd cc0 csn cxp cmpt cc cz recnd 1z cuz eqimss2i climconst2
      nnex sylancl mptex eqeltri a1i sylan eqeltrd ad2antrr mp1i fvconst2g eqid
      ax-1cn divcnv oveq12d eqtr4d climsub subid1d breqtrd fex vex coexg 2fveq3
      fco breq12d rspccva adantll simplr fvco3 breqtrrd ad3antrrr syldan suprub
      fssd syl2anc breqtrrdi climsqz ex imdistanda eximdv ) ARJGUDZUEZUAUDZEUFZ
      UVNUVLUFZIUFZUGUHZUARUIZUJZGUKZUVMIUVLULZFUMUHZUJZGUKAUVOBUDZIUFZUGUHZBJU
      NZUARUIUWAAUWHUARAUVNRSZUJZUVOUBUDZUGUHZUBDUNZUWHUWJUVOUWKUQUHZUBDUNZUWMU
      WJUVODTUQUOZUQUHZUWOUWJUVOFUWPUQUWJUVOFUPUVNURVLZUSVLZFUQUWIUVOUWSUTAHUVN
      FUPHUDZURVLZUSVLZUWSREHUAVAUXAUWRFUSUWTUVNUPURVBZVCMFUWRUSVDVEVFZAFTSZUWR
      VGSUWSFUQUHUWIAFUWPTLABCDPAJWCVHDWCVHZNADWCJWCADWCUTZJWCIUEZJWCUTZAJDIUEZ
      UXGUXHAJDIVIZUXJOJDIVJVKZDWCJIVMVNUXHIWCUTUXIJIVOVPVQVRWDZQVSVTZUWIUVNUVN
      WAWBFUWRWEWFWGLWHADTWIZUXFCUDUWEUGUHCDUIBTUNZWJZUWIUVOTSZUWQUWOWOAUXOUXFU
      XPPUXMQWKZARTUVNEAHRUXBTEAUXEUXATSUXBTSUWTRSUXNUWTWLFUXAWMWFMWNZWPZBCUBDU
      VOWQWRWSUWJUWNUWLUBDUWJUXRUWKDSUWKTSUWNUWLWTUYAUWJDTUWKAUXOUWIPXAXBUVOUWK
      XFWRXCWDAUWMUWHWOUWIAUWLUBIXDZUNZUWMUWHAUWLUBUYBDAUXKUYBDUTOJDIXGVKXEAUXJ
      IJXHUYCUWHWOUXLJDIXRUWLUWGUBBJIUWKUWFUVOUGXIXJXKXLXAWSXMUWGUVRBJGUARKXNUW
      EUVPUTUWFUVQUVOUGUWEUVPIXOXPXQVKAUVTUWDGAUVMUVSUWCAUVMUJZUVSUWCUYDUVSUJZF
      UCEUWBUPXSRXTUYEYAAEFUMUHUVMUVSAEFYBUSVLFUMAFYBUARFYCYDZHRUXAYEZEUPXSRXTA
      YAAFYFSZUPYGSUYFFUMUHAFUXNYHZYIFUPRRUPYJUFXTYKYMYLYNEXSSAEHRUXBYEXSMHRUXB
      YMYOYPYQUPYFSUYGYBUMUHAUUDUPHUUEUUAUWJUVNUYFUFZFYFAUXEUWIUYJFUTUXNRFUVNTU
      UBYRZAUYHUWIUYIXAYSUWJUVNUYGUFZUWRYFUWIUYLUWRUTAHUVNUXAUWRRUYGUXCUYGUUCUP
      UVNURVDVEVFZUWIUWRYFSAUWIUWRUVNWLYHVFYSUWJUVOUWSUYJUYLUSVLUXDUWJUYJFUYLUW
      RUSUYKUYMUUFUUGUUHAFUYIUUIUUJYTUYEIXSSZUVLXSSUWBXSSUYEUXJJXSSUYNAUXJUVMUV
      SUXLYTZKJDXSIUUKYNGUULIUVLXSXSUUMYNUYERTUCUDZEARTEUEUVMUVSUXTYTWPUYERTUYP
      UWBUYDRTUWBUEZUVSAJTIUEUVMUYQAJDTIUXLPUVERJTIUVLUUOYRXAWPUYEUYPRSZUJZUYPE
      UFZUYPUVLUFZIUFZUYPUWBUFZUGUVSUYRUYTVUBUGUHZUYDUVRVUDUAUYPRUAUCVAUVOUYTUV
      QVUBUGUVNUYPEXOUVNUYPIUVLUUNUUPUUQUURUYEUVMUYRVUCVUBUTAUVMUVSUUSZRJUYPIUV
      LUUTYRZUVAUYSVUCVUBFUGVUFUYSVUBUWPFUGUYSUXQVUBDSZVUBUWPUGUHAUXQUVMUVSUYRU
      XSUVBUYEUYRVUAJSVUGUYERJUYPUVLVUEWPUYEJDVUAIUYOWPUVCBCDVUBUVDUVFLUVGWGUVH
      UVIUVJUVKWD $.
  $}

  ${
    $d x A $.  $d x y B $.  $d w z R $.  $d x y X $.  $d x y Z $.  $d y C $.
    infcvg.1 $e |- R = { x | E. y e. X x = -u A } $.
    infcvg.2 $e |- ( y e. X -> A e. RR ) $.
    infcvg.3 $e |- Z e. X $.
    infcvg.4 $e |- E. z e. RR A. w e. R w <_ z $.
    $( Auxiliary theorem for applications of ~ supcvg .  Hypothesis for several
       supremum theorems.  (Contributed by NM, 8-Feb-2008.) $)
    infcvgaux1i $p |- ( R C_ RR /\ R =/= (/)
           /\ E. z e. RR A. w e. R w <_ z ) $=
      ( cr wss c0 cv wrex cneg wceq wcel wne cle wral renegcld eleq1 syl5ibrcom
      wbr cab rexlimiv abssi eqsstri csb eqid csbeq1a negeqd eqeq2d rspce mp2an
      nfth negex nfcsb1v nfneg nfeq2 eqeq1 rexbid mpbir eleqtrri ne0ii 3pm3.2i
      elab ) FMNFOUADPCPUBUGDFUCCMQFAPZERZSZBGQZAUHZMIVNAMVMVKMTZBGBPZGTZVPVMVL
      MTVREJUDVKVLMUEUFUIUJUKBHEULZRZFVTVOFVTVOTVTVLSZBGQZHGTVTVTSZWBKVTUMZWAWC
      BHGWCBWDUSVQHSZVLVTVTWEEVSBHEUNUOUPUQURVNWBAVTVSUTVKVTSVMWABGBVKVTBVSBHEV
      AVBVCVKVTVLVDVEVJVFIVGVHLVI $.

    ${
      infcvg.5a $e |- S = -u sup ( R , RR , < ) $.
      infcvg.13 $e |- ( y = C -> A = B ) $.
      $( Auxiliary theorem for applications of ~ supcvg .  (Contributed by NM,
         4-Mar-2008.) $)
      infcvgaux2i $p |- ( C e. X -> S <_ B ) $=
        ( wcel cr wceq clt csup cneg cle wbr wrex eqid cv negeqd rspceeqv mpan2
        negex eqeq1 rexbidv elab2 sylibr infcvgaux1i suprubii wb eleq1d vtoclga
        syl suprclii lenegcon1 sylancl mpbid eqbrtrid ) GJRZIHSUAUBZUCZFUDPVHFU
        CZVIUDUEZVJFUDUEZVHVKHRZVLVHVKEUCZTZBJUFZVNVHVKVKTVQVKUGBGJVOVKVKBUHGTZ
        EFQUIUJUKAUHZVOTZBJUFVQAVKHFULVSVKTVTVPBJVSVKVOUMUNLUOUPCDHVKABCDEHJKLM
        NOUQZURVBVHFSRZVISRVLVMUSESRWBBGJVREFSQUTMVACDHWAVCFVIVDVEVFVG $.
    $}
  $}

  ${
    $d k n $.  $d j k F $.  $d j k H $.
    harmonic.1 $e |- F = ( n e. NN |-> ( 1 / n ) ) $.
    harmonic.2 $e |- H = seq 1 ( + , F ) $.
    $( The harmonic series ` H ` diverges.  This fact follows from the stronger
       ~ emcl , which establishes that the harmonic series grows as
       ` log n + gamma + ` _o_(1), but this uses a more elementary method,
       attributed to Nicole Oresme (1323-1382).  This is Metamath 100 proof
       #34.  (Contributed by Mario Carneiro, 11-Jul-2014.) $)
    harmonic $p |- -. H e. dom ~~> $=
      ( vk wcel cn0 c1 wbr cn cc0 cfv wceq adantl cdiv co cle syl cmul cli wrex
      vj cdm csu cv clt cr csn cxp nn0uz 0zd fvconst2 wa 1red caddc cseq eleq1i
      1ex biimpi oveq2 ovex fvmpt nnrecre eqeltrd nnrp rpreccld rpge0d breqtrrd
      nnre lep1d wb nngt0 peano2re peano2nn nngt0d lerec syl22anc mpbid 3brtr4d
      c2 cexp fveq2d oveq12d cmpt fconstmpt 2nn nnexpcl mpan oveq2d nncn recidd
      nnne0 eqtrd mpteq2ia eqtr4i climcnds isumrecl arch wn cfz chash cfn fzfid
      cc ax-1cn fsumconst sylancl nnnn0 hashfz1 oveq1d mulid1d 3eqtrd wss ssriv
      elfznn a1i 0le1 adantr isumless eqbrtrrd lenlt syl2anr nrexdv pm2.65i ) C
      UAUDZGZHIFUEZUCUFZUGJZUCKUBZYGYHUHGZYKYGIFHIUIUJZLHUKYGULFUFZHGZYNYMMINZY
      GHIYNUSUMZOYGYOUNUOYGUPBIUQZYFGZUPYMLUQYFGZYGYSCYRYFEURUTYGFUCBYMYNKGZYNB
      MZUHGYGUUAUUBIYNPQZUHAYNIAUFZPQZUUCKBUUDYNIPVADIYNPVBVCZYNVDVEOUUALUUBRJY
      GUUALUUCUUBRUUAUUCUUAYNYNVFVGVHUUFVIOUUAYNIUPQZBMZUUBRJYGUUAIUUGPQZUUCUUH
      UUBRUUAYNUUGRJZUUIUUCRJZUUAYNYNVJZVKUUAYNUHGZLYNUGJUUGUHGZLUUGUGJUUJUUKVL
      UULYNVMUUAUUMUUNUULYNVNSUUAUUGYNVOZVPYNUUGVQVRVSUUAUUGKGUUHUUINUUOAUUGUUE
      UUIKBUUDUUGIPVADIUUGPVBVCSUUFVTOYIHGZYIYMMWAYIWBQZUUQBMZTQZNYGFYIWAYNWBQZ
      UUTBMZTQZUUSHYMYNYINZUUTUUQUVAUURTYNYIWAWBVAZUVCUUTUUQBUVDWCWDYMFHIWEFHUV
      BWEFHIWFFHUVBIYOUVBUUTIUUTPQZTQZIYOUVAUVEUUTTYOUUTKGZUVAUVENWAKGYOUVGWGWA
      YNWHWIZAUUTUUEUVEKBUUDUUTIPVADIUUTPVBVCSWJYOUVGUVFINUVHUVGUUTUUTWKUUTWMWL
      SWNWOWPUUQUURTVBVCOWQVSZWRZYHUCWSSYGYJUCKYGYIKGZUNZYIYHRJZYJWTZUVLIYIXAQZ
      IFUEZYIYHRUVLUVPUVOXBMZITQZYIITQYIUVLUVOXCGIXEGUVPUVRNUVLIYIXDZXFUVOIFXGX
      HUVLUVQYIITUVLUUPUVQYINUVKUUPYGYIXIOYIXJSXKUVLYIUVKYIXEGYGYIWKOXLXMUVLUVO
      IFYMLHUKUVLULUVSUVOHXNUVLFUVOHYNUVOGUUAYOYNYIXPYNXISXOXQYOYPUVLYQOUVLYOUN
      ZUOLIRJUVTXRXQYGYTUVKUVIXSXTYAUVKYIUHGYLUVMUVNVLYGYIVJUVJYIYHYBYCVSYDYE
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Arithmetic series
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d j k N $.
    $( Arithmetic series sum of the first ` N ` positive integers.  This is
       Metamath 100 proof #68.  (Contributed by FL, 16-Nov-2006.)  (Proof
       shortened by Mario Carneiro, 22-May-2014.) $)
    arisum $p |- ( N e. NN0 -> sum_ k e. ( 1 ... N ) k =
                   ( ( ( N ^ 2 ) + N ) / 2 ) ) $=
      ( vj cn0 wcel cc0 wceq c1 cfz co csu c2 caddc cdiv cbc cc eqtrdi syl cmul
      oveq1d cn wo cv cexp elnn0 cmin 1zzd nnz elfzelz zcnd adantl id fsumshftm
      1m1e0 oveq1i sumeq1i elfznn0 bcnp1n nn0cnd ax-1cn addcom sylancl sumeq2dv
      wa eqtr3d 1nn0 nnm1nn0 bcxmas sylancr eqtr4d 1cnd ppncand comraddd bcp1m1
      nnnn0 sqval eqcomd mulid2 oveq12d joinlmuladdmuld 3eqtrd c0 oveq2 sumeq1d
      nncn fz10 sum0 sq0i 00id 2cn 2ne0 div0i jaoi sylbi ) BDEZBUAEZBFGZUBHBIJZ
      AUCZAKZBLUDJZBMJZLNJZGZBUEWPXDWQWPWTFBHUFJZIJZCUCZHMJZCKZHHMJXEMJZXEOJZXC
      WPWTHHUFJZXEIJZXHCKXIWPWSXHACHHBWPUGZXNBUHWSWREZWSPEWPXOWSWSHBUIUJUKWSXHG
      ULUMXMXFXHCXLFXEIUNUOUPQWPXIXFHXGMJZXGOJZCKZXKWPXFXHXQCWPXGXFEZVDZXHXGOJZ
      XHXQXTXGDEZYAXHGXSYBWPXGXEUQUKZXGURRXTXHXPXGOXTXGPEHPEXHXPGXTXGYCUSUTXGHV
      AVBTVEVCWPHDEXEDEXKXRGVFBVGCXEHVHVIVJWPXKBHMJZXEOJZYDBSJZLNJZXCWPXJYDXEOW
      PXJHBWPVKZBWEZWPHHBYHYHYIVLVMTWPWOYEYGGBVOBVNRWPYFXBLNWPBBHXBYIYIYHWPBPEZ
      BBSJZHBSJZMJXBGYIYJYKXAYLBMYJXAYKBVPVQBVRVSRVTTWAWAWQWTFXCWQWTWBWSAKFWQWR
      WBWSAWQWRHFIJWBBFHIWCWFQWDWSAWGQWQXCFLNJFWQXBFLNWQXBFFMJFWQXAFBFMBWHWQULV
      SWIQTLWJWKWLQVJWMWN $.

    $( Arithmetic series sum of the first ` N ` nonnegative integers.
       (Contributed by Mario Carneiro, 17-Apr-2015.)  (Proof shortened by AV,
       2-Aug-2021.) $)
    arisum2 $p |- ( N e. NN0 -> sum_ k e. ( 0 ... ( N - 1 ) ) k =
                   ( ( ( N ^ 2 ) - N ) / 2 ) ) $=
      ( cn0 wcel cn cc0 wceq c1 cmin co cfz csu c2 caddc oveq1d cc eqtrd eqtrdi
      cdiv c0 wo cv cexp elnn0 cuz cfv nnm1nn0 nn0uz eleqtrdi wa elfznn0 adantl
      nn0cnd id fsum1p 1e0p1 oveq1i sumeq1i oveq2i fzfid elfznn addid2d eqtr3id
      nncnd fsumcl arisum syl cmul nncn oveq2d sqcld subsub4d eqtr4d binom2sub1
      2timesd subcld 1cnd subsubd 3eqtr4d ax-1cn subcl sylancl npcand oveq1 clt
      wbr cr 0re ltm1 ax-mp cz wb peano2zm mp2an mpbi sumeq1d sum0 sq0i oveq12d
      0z fzn 0m0e0 2cn 2ne0 div0i jaoi sylbi ) BCDBEDZBFGZUAFBHIJZKJZAUBZALZBMU
      CJZBIJZMSJZGZBUDXHXQXIXHXMFFHNJZXJKJZXLALZNJZXPXHXLFAFXJXHXJCFUEUFBUGZUHU
      IXHXLXKDZUJXLYCXLCDXHXLXJUKULUMXLFGUNUOXHYAHXJKJZXLALZXPXHYAFYENJYEYEXTFN
      YDXSXLAHXRXJKUPUQURUSXHYEXHYDXLAXHHXJUTXHXLYDDZUJXLYFXLEDXHXLXJVAULVDVEVB
      VCXHYEXJMUCJZXJNJZMSJZXPXHXJCDYEYIGYBAXJVFVGXHYHXOMSXHYHXOXJIJZXJNJXOXHYG
      YJXJNXHXNMBVHJZIJZHNJZXOBIJZHNJYGYJXHYLYNHNXHYLXNBBNJZIJYNXHYKYOXNIXHBBVI
      ZVOVJXHXNBBXHBYPVKZYPYPVLVMOXHBPDZYGYMGYPBVNVGXHXOBHXHXNBYQYPVPZYPXHVQVRV
      SOXHXOXJYSXHYRHPDXJPDYPVTBHWAWBWCQOQQQXIXMFXPXIXMTXLALFXIXKTXLAXIXKFFHIJZ
      KJZTXIXJYTFKBFHIWDVJYTFWEWFZUUATGZFWGDUUBWHFWIWJFWKDZYTWKDZUUBUUCWLWTUUDU
      UEWTFWMWJFYTXAWNWORWPXLAWQRXIXPFMSJFXIXOFMSXIXOFFIJFXIXNFBFIBWRXIUNWSXBRO
      MXCXDXERVMXFXG $.
  $}

  ${
    $d F j k $.  $d j k n $.
    trireciplem.1 $e |- F = ( n e. NN |-> ( 1 / ( n x. ( n + 1 ) ) ) ) $.
    $( Lemma for ~ trirecip .  Show that the sum converges.  (Contributed by
       Scott Fenton, 22-Apr-2014.)  (Revised by Mario Carneiro,
       22-May-2014.) $)
    trireciplem $p |- seq 1 ( + , F ) ~~> 1 $=
      ( vj caddc c1 cmin co wtru cn cdiv cvv nnuz wcel cfv wceq adantl cc oveq2
      cmul vk cseq cc0 cli wbr cv cmpt 1zzd 1cnd nnex mptex a1i oveq1 eqid ovex
      oveq2d fvmpt divcnvshft seqex wa peano2nn nnrecred eqeltrd cfz csu elfznn
      recnd nncnd peano2cn syl nnmulcld nnne0d divsubdird ax-1cn pncan2 sylancl
      oveq1d mulid1d mulcomd oveq12d divcan5d eqtr3d 3eqtr3d sumeq2dv eqtrdi cz
      1div1e1 nnz eleqtrdi telfsum eqtrd simpr fsumser 3eqtr2rd climsubc2 mptru
      cuz id 1m0e1 breqtri ) EBFUBZFUCGHZFUDXAXBUDUEIUCFUAAJFAUFZFEHZKHZUGZXAFL
      JMIUHZIFFUAXFFLJMXGIUIZXGXFLNIAJXEUJUKULUAUFZJNZXIXFOZFXIFEHZKHZPIAXIXEXM
      JXFXCXIPXDXLFKXCXIFEUMUPXFUNFXLKUOUQQZURXHXALNIEBFUSULIXJUTZXKXMRXNXOXMXO
      XLXJXLJNIXIVAQZVBVGVCXOFXKGHFXMGHZFXIVDHZFDUFZXSFEHZTHZKHZDVEZXIXAOXOXKXM
      FGXNUPXOYCXRFXSKHZFXTKHZGHZDVEXQXOXRYBYFDXOXSXRNZUTZXTXSGHZYAKHXTYAKHZXSY
      AKHZGHYBYFYHXTXSYAYHXSRNZXTRNYHXSYGXSJNZXOXSXIVFQZVHZXSVIVJZYOYHYAYHXSXTY
      NYHYMXTJNYNXSVAVJZVKZVHYHYAYRVLVMYHYIFYAKYHYLFRNYIFPYOVNXSFVOVPVQYHYJYDYK
      YEGYHXTFTHZXTXSTHZKHYJYDYHYSXTYTYAKYHXTYPVRYHXTXSYPYOVSVTYHFXSXTYHUIZYOYP
      YHXSYNVLZYHXTYQVLZWAWBYHXSFTHZYAKHYKYEYHUUDXSYAKYHXSYOVRVQYHFXTXSUUAYPYOU
      UCUUBWAWBVTWCWDXOFXCKHZYDYEFDAXMFXIXCXSFKSXCXTFKSXCFPUUEFFKHFXCFFKSWGWEXC
      XLFKSXJXIWFNIXIWHQXOXLJFWQOZXPMWIXOXCFXLVDHNZUTZUUEUUHXCUUGXCJNXOXCXLVFQV
      BVGWJWKXOYBDBFXIYHYMXSBOYBPYNAXSFXCXDTHZKHYBJBXCXSPZUUIYAFKUUJXCXSXDXTTUU
      JWRXCXSFEUMVTUPCFYAKUOUQVJXOXIJUUFIXJWLMWIYHYBYHYAYRVBVGWMWNWOWPWSWT $.
  $}

  ${
    $d k n $.
    $( The sum of the reciprocals of the triangle numbers converge to two.
       This is Metamath 100 proof #42.  (Contributed by Scott Fenton,
       23-Apr-2014.)  (Revised by Mario Carneiro, 22-May-2014.) $)
    trirecip $p |- sum_ k e. NN ( 2 / ( k x. ( k + 1 ) ) ) = 2 $=
      ( vn cn c2 cv c1 caddc co cmul cdiv csu wcel 2cnd peano2nn wceq wtru nnuz
      oveq2d adantl cli nnmulcl mpdan nncnd nnne0d divrecd sumeq2i cmpt 1zzd id
      cfv oveq1 oveq12d eqid ovex fvmpt nnrecred recnd cseq wbr cdm trireciplem
      cc a1i climrel releldmi syl isummulc2 isumclim eqtr3d mptru 2t1e2 3eqtri
      ) CDAEZVMFGHZIHZJHZAKCDFVOJHZIHZAKZDFIHZDCVPVRAVMCLZDVOWAMWAVOWAVNCLVOCLV
      MNVMVNUAUBZUCWAVOWBUDUEUFVSVTOPDCVQAKZIHVSVTPVQDABCFBEZWDFGHZIHZJHZUGZFCQ
      PUHZWAVMWHUJVQOPBVMWGVQCWHWDVMOZWFVOFJWJWDVMWEVNIWJUIWDVMFGUKULRWHUMZFVOJ
      UNUOSZWAVQVBLPWAVQWAVOWBUPUQSZPGWHFURZFTUSZWNTUTLWOPBWHWKVAVCZWNFTVDVEVFP
      MVGPWCFDIPVQFAWHFCQWIWLWMWPVHRVIVJVKVL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Geometric series
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d k n A $.  $d k ph $.
    expcnv.1 $e |- ( ph -> A e. CC ) $.
    expcnv.2 $e |- ( ph -> ( abs ` A ) < 1 ) $.
    $( A sequence of powers of a complex number ` A ` with absolute value
       smaller than 1 converges to zero.  (Contributed by NM, 8-May-2006.)
       (Proof shortened by Mario Carneiro, 26-Apr-2014.) $)
    expcnv $p |- ( ph -> ( n e. NN0 |-> ( A ^ n ) ) ~~> 0 ) $=
      ( cexp co cc0 wbr wceq wa c1 cvv cn wcel cdiv cc crp cr syl2an vk cv cmpt
      cn0 cli nnuz 1zzd nn0ex mptex a1i 0cnd nnnn0 oveq2 eqid ovex fvmpt oveq1d
      cfv syl simpr sylan9eqr 0exp adantl eqtrd climconst wne cabs cmin absrpcl
      clt adantr sylan reclt1d mpbid wb 1re rpreccld rpred difrp sylancr divcnv
      rpcnd nnex nndivre eqeltrd cz nnz rpexpcl cle cmul rpmulcl caddc peano2re
      lep1d rpge0d bernneq2 syl3anc letrd rpcnne0d exprec 3expa breqtrd lerec2d
      nnrp nncn nnne0 jca recdiv2 breqtrrd 3brtr4d climsqz2 expcl absexp fveq2d
      3eqtr4rd climabs0 biimpar syldan pm2.61dane ) ACUDBCUBZFGZUCZHUEIZBHABHJZ
      KZHUAYBLMNUFYEUGYBMOZYECUDYAUHUIZUJYEUKYEUAUBZNOZKYHYBURZHYHFGZHYIYEYJBYH
      FGZYKYIYHUDOZYJYLJZYHULZCYHYAYLUDYBXTYHBFUMYBUNBYHFUOUPZUSYEBHYHFAYDUTUQV
      AYIYKHJYEYHVBVCVDVEABHVFZCNBVGURZXTFGZUCZHUEIZYCAYQKZHUACNLLYRPGZLVHGZPGZ
      XTPGZUCZYTLMNUFUUBUGUUBUUEQOUUGHUEIUUBUUEUUBUUDUUBLUUCVJIZUUDROZUUBYRLVJI
      ZUUHAUUJYQEVKUUBYRABQOZYQYRROZDBVIVLZVMVNUUBLSOUUCSOZUUHUUIVOVPUUBUUCUUBY
      RUUMVQZVRZLUUCVSVTVNZVQZWBUUECWAUSYTMOZUUBCNYSWCUIZUJUUBYIKZYHUUGURZUUEYH
      PGZSYIUVBUVCJUUBCYHUUFUVCNUUGXTYHUUEPUMUUGUNUUEYHPUOUPVCZUUBUUESOYIUVCSOU
      UBUUEUURVRUUEYHWDVLWEUVAYHYTURZUVAUVEYRYHFGZRYIUVEUVFJZUUBCYHYSUVFNYTXTYH
      YRFUMYTUNYRYHFUOUPZVCZUUBUULYHWFOZUVFROYIUUMYHWGZYRYHWHTZWEZVRUVAUVFUVCUV
      EUVBWIUVAUVFLUUDYHWJGZPGZUVCWIUVAUVNUVFUUBUUIYHROUVNROYIUUQYHXDUUDYHWKTZU
      VLUVAUVNUUCYHFGZLUVFPGZWIUVAUVNUVNLWLGZUVQUVAUVNUVPVRZUVAUVNSOUVSSOUVTUVN
      WMUSUVAUVQUUBUUCROUVJUVQROYIUUOUVKUUCYHWHTVRUVAUVNUVTWNUVAUUNYMHUUCWIIZUV
      SUVQWIIUUBUUNYIUUPVKYIYMUUBYOVCUUBUWAYIUUBUUCUUOWOVKUUCYHWPWQWRUUBYRQOZYR
      HVFZKUVJUVQUVRJZYIUUBYRUUMWSUVKUWBUWCUVJUWDYRYHWTXATXBXCUUBUUDQOUUDHVFKYH
      QOZYHHVFZKUVCUVOJYIUUBUUDUUQWSYIUWEUWFYHXEYHXFXGUUDYHXHTXIUVIUVDXJUVAUVEU
      VMWOXKAYCUUAAUAYBYTLMMNUFAUGYFAYGUJUUSAUUTUJAYIKZYJYLQUWGYMYNYIYMAYOVCYPU
      SZAUUKYMYLQOYIDYOBYHXLTWEUWGYLVGURZUVFYJVGURUVEAUUKYMUWIUVFJYIDYOBYHXMTUW
      GYJYLVGUWHXNYIUVGAUVHVCXOXPXQXRXS $.
  $}

  ${
    $d k n A $.  $d k ph $.  $d k n F $.  $d k n Z $.  $d k M $.
    explecnv.1 $e |- Z = ( ZZ>= ` M ) $.
    explecnv.2 $e |- ( ph -> F e. V ) $.
    explecnv.3 $e |- ( ph -> M e. ZZ ) $.
    explecnv.5 $e |- ( ph -> A e. RR ) $.
    explecnv.4 $e |- ( ph -> ( abs ` A ) < 1 ) $.
    explecnv.6 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    explecnv.7 $e |- ( ( ph /\ k e. Z ) ->
                       ( abs ` ( F ` k ) ) <_ ( A ^ k ) ) $.
    $( A sequence of terms converges to zero when it is less than powers of a
       number ` A ` whose absolute value is smaller than 1.  (Contributed by
       NM, 19-Jul-2008.)  (Revised by Mario Carneiro, 26-Apr-2014.) $)
    explecnv $p |- ( ph -> F ~~> 0 ) $=
      ( vn cc0 wbr cfv cn0 wcel cli cv cabs cmpt cexp co cle cif cvv eqid cz 0z
      cuz ifcl sylancr recnd expcnv fvexi mptex a1i wa cr wceq cin ineq12i uzin
      nn0uz sylancl eqtr2id eleq2d biimpa elin2d oveq2 ovex syl adantr reexpcld
      fvmpt eqeltrd elin1d 2fveq3 fvex syldan 3brtr4d absge0d breqtrrd climsqz2
      cc abscld adantl climabs0 mpbird ) ADPUAQOGOUBZDRUCRZUDZPUAQAPCOSBWMUEUFZ
      UDZWOEPUGQZPEUHZUIWSUMRZWTUJAPUKTZEUKTZWSUKTULJWRPEUKUNUOABOABKUPLUQWOUIT
      AOGWNGEUMHURUSUTZACUBZWTTZVAZXDWQRZBXDUEUFZVBXFXDSTXGXHVCXFGSXDAXEXDGSVDZ
      TAWTXIXDAXIEUMRZPUMRZVDZWTGXJSXKHVGVEAXBXAXLWTVCJULEPVFVHVIVJVKZVLZOXDWPX
      HSWQWMXDBUEVMWQUJBXDUEVNVRVOZXFBXDABVBTXEKVPXNVQVSXFXDWORZXDDRZUCRZVBXFXD
      GTZXPXRVCZXFGSXDXMVTZOXDWNXRGWOWMXDUCDWAWOUJXQUCWBVRZVOZXFXQAXEXSXQWHTYAM
      WCZWIVSXFXRXHXPXGUGAXEXSXRXHUGQYANWCYCXOWDXFPXRXPUGXFXQYDWEYCWFWGACDWOEFU
      IGHJIXCMXSXTAYBWJWKWL $.
  $}

  ${
    $d j k A $.  $d j k M $.  $d j k N $.  $d j k ph $.
    geoserg.1 $e |- ( ph -> A e. CC ) $.
    geoserg.2 $e |- ( ph -> A =/= 1 ) $.
    geoserg.3 $e |- ( ph -> M e. NN0 ) $.
    geoserg.4 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    $( The value of the finite geometric series ` A ^ M + A ^ ( M + 1 ) + ` ...
       ` + A ^ ( N - 1 ) ` .  (Contributed by Mario Carneiro, 2-May-2016.) $)
    geoserg $p |- ( ph -> sum_ k e. ( M ..^ N ) ( A ^ k ) =
                    ( ( ( A ^ M ) - ( A ^ N ) ) / ( 1 - A ) ) ) $=
      ( cexp co cmin c1 csu wceq cmul wcel cn0 expcld oveq2 vj cdiv cfzo cv cfn
      caddc fzofi a1i cc ax-1cn subcl sylancr wa adantr cuz cfv elfzouz eluznn0
      syl2an fsummulc1 subdid mulid1d expp1d eqcomd oveq12d sumeq2dv cfz elfzuz
      telfsumo 3eqtrrd syl2anc subcld fsumcl cc0 wne necomd wb subeq0 necon3bid
      eqtrd mpbird divmul3d ) ABDJKZBEJKZLKZMBLKZUBKZDEUCKZBCUDZJKZCNZAWGWKOWEW
      KWFPKZOAWLWHWJWFPKZCNWHWJBWIMUFKZJKZLKZCNWEAWHWJWFCWHUEQADEUGUHZAMUIQZBUI
      QZWFUIQUJFMBUKULZAWIWHQZUMZBWIAWSXAFUNZADRQZWIDUOUPZQWIRQXAHWIDEUQWIDURUS
      ZSZUTAWHWMWPCXBWMWJMPKZWJBPKZLKWPXBWJMBXGWRXBUJUHXCVAXBXHWJXIWOLXBWJXGVBX
      BWOXIXBBWIXCXFVCVDVEVTVFABUAUDZJKWJWOWCCUAWDDEXJWIBJTXJWNBJTXJDBJTXJEBJTI
      AXJDEVGKQZUMBXJAWSXKFUNAXDXJXEQXJRQXKHXJDEVHXJDURUSSVIVJAWEWKWFAWCWDABDFH
      SABEFAXDEXEQERQHIEDURVKSVLAWHWJCWQXGVMWTAWFVNVOMBVOABMGVPAWFVNMBAWRWSWFVN
      OMBOVQUJFMBVRULVSWAWBWAVD $.
  $}

  ${
    $d k A $.  $d k N $.  $d k ph $.
    geoser.1 $e |- ( ph -> A e. CC ) $.
    geoser.2 $e |- ( ph -> A =/= 1 ) $.
    geoser.3 $e |- ( ph -> N e. NN0 ) $.
    $( The value of the finite geometric series ` 1 + A ^ 1 + A ^ 2 + ` ...
       ` + A ^ ( N - 1 ) ` .  This is Metamath 100 proof #66.  (Contributed by
       NM, 12-May-2006.)  (Proof shortened by Mario Carneiro, 15-Jun-2014.) $)
    geoser $p |- ( ph -> sum_ k e. ( 0 ... ( N - 1 ) ) ( A ^ k ) =
                    ( ( 1 - ( A ^ N ) ) / ( 1 - A ) ) ) $=
      ( cc0 cfzo co cv cexp csu cmin c1 cdiv cfz cn0 wcel oveq1d 0nn0 a1i nn0uz
      cuz cfv eleqtrdi geoserg cz wceq nn0zd fzoval syl sumeq1d exp0d 3eqtr3d )
      AHDIJZBCKLJZCMBHLJZBDLJZNJZOBNJZPJHDONJQJZUQCMOUSNJZVAPJABCHDEFHRSAUAUBAD
      RHUDUEGUCUFUGAUPVBUQCADUHSUPVBUIADGUJHDUKULUMAUTVCVAPAUROUSNABEUNTTUO $.
  $}

  ${
    $d A k l $.  $d B k l $.  $d N k l $.
    $( The difference of two numbers to the same power is the difference of the
       two numbers multiplied with a finite sum.  Generalization of ~ subsq .
       See Wikipedia "Fermat number", section "Other theorems about Fermat
       numbers", ~ https://en.wikipedia.org/wiki/Fermat_number , 5-Aug-2021.
       (Contributed by AV, 6-Aug-2021.)  (Revised by AV, 19-Aug-2021.) $)
    pwdif $p |- ( ( N e. NN0 /\ A e. CC /\ B e. CC )
                  -> ( ( A ^ N ) - ( B ^ N ) )
                     = ( ( A - B ) x. sum_ k e. ( 0 ..^ N )
                              ( ( A ^ k ) x. ( B ^ ( ( N - k ) - 1 ) ) ) ) ) $=
      ( wcel cexp co cmin cc0 c1 cmul csu wceq caddc adantr adantl expcld eqtrd
      oveq2d oveq12d vl cn0 cc cfzo cv cn wo wi elnn0 w3a simp2 simp3 cfn fzofi
      a1i elfzonn0 ubmelm1fzo syl mulcld fsumcl subdird fsummulc2 mulassd expp1
      wa mulcomd syl2an eqtr4d oveq1d eqtr3d sumeq2dv eqcomd nncn 3ad2ant1 zcnd
      elfzoelz subcld npcan1 3eqtrd cfz cz nnz fzoval sumeq1d cuz nnm1nn0 nn0uz
      cfv eleqtrdi elfznn0 peano2nn0 nn0cnd sub32d fznn0sub eqeltrd oveq1 oveq2
      1cnd fsumm1 eleq2d fzonnsub nnnn0d syl6bir imp fsum1p exp0d subid1d simp1
      mulid2d 0p1e1 fzfid elfznn cbvsumv 1m1e0 eqcomi oveq1i subsub4d sumeq12dv
      eqtrid 1zzd peano2zm fsumshftm peano2cnm subidd 3ad2ant3 mulid1d comraddd
      exp0 pnpcan2d 3eqtrrd 3exp mul01d fzo0 eqtrdi sum0 3ad2ant2 3eqtr4rd jaoi
      c0 sylbi 3imp ) DUBEZAUCEZBUCEZADFGZBDFGZHGZABHGZIDUDGZACUEZFGZBDUUJHGZJH
      GZFGZKGZCLZKGZMZUUBDUFEZDIMZUGUUCUUDUURUHUHZDUIUUSUVAUUTUUSUUCUUDUURUUSUU
      CUUDUJZUUQAUUPKGZBUUPKGZHGUUIAUUJJNGZFGZUUNKGZCLZUUIUUKBUULFGZKGZCLZHGZUU
      GUVBABUUPUUSUUCUUDUKZUUSUUCUUDULZUVBUUIUUOCUUIUMEUVBIDUNUOZUVBUUJUUIEZVEZ
      UUKUUNUVQAUUJUVBUUCUVPUVMOZUVPUUJUBEZUVBUUJDUPZPQZUVQBUUMUVBUUDUVPUVNOZUV
      PUUMUBEZUVBUVPUUMUUIEUWCUUJDUQUUMDUPURZPQZUSZUTVAUVBUVCUVHUVDUVKHUVBUVCUU
      IAUUOKGZCLUVHUVBUUIUUOACUVOUVMUWFVBUVBUUIUWGUVGCUVQAUUKKGZUUNKGUWGUVGUVQA
      UUKUUNUVRUWAUWEVCUVQUWHUVFUUNKUVQUWHUUKAKGZUVFUVQAUUKUVRUWAVFUVBUUCUVSUVF
      UWIMUVPUVMUVTAUUJVDVGVHVIVJVKRUVBUVDUUIBUUOKGZCLUVKUVBUUIUUOBCUVOUVNUWFVB
      UVBUUIUWJUVJCUVQUWJUUOBKGUUKUUNBKGZKGUVJUVQBUUOUWBUWFVFUVQUUKUUNBUWAUWEUW
      BVCUVQUWKUVIUUKKUVQUWKBUUMJNGZFGZUVIUVBUUDUWCUWKUWMMUVPUVNUWDUUDUWCVEUWMU
      WKBUUMVDVLVGUVQUULUCEZUWMUVIMUVQDUUJUVBDUCEZUVPUUSUUCUWOUUDDVMZVNZOUVPUUJ
      UCEZUVBUVPUUJUUJIDVPVOPVQUWNUWLUULBFUULVRSURRSVSVKRTUVBUVLIDJHGZJHGZVTGZU
      VGCLZAUWSJNGZFGZBDUWSHGZJHGZFGZKGZNGZUUFJUWSVTGZUVJCLZNGZHGUUEUXKNGZUXLHG
      UUGUVBUVHUXIUVKUXLHUVBUVHIUWSVTGZUVGCLUXIUVBUUIUXNUVGCUVBDWAEZUUIUXNMUUSU
      UCUXOUUDDWBVNZIDWCURZWDUVBUVGUXHCIUWSUUSUUCUWSIWEWHZEUUDUUSUWSUBUXRDWFWGW
      IVNZUVBUUJUXNEZVEZUVFUUNUYAAUVEUVBUUCUXTUVMOZUXTUVEUBEZUVBUXTUVSUYCUUJUWS
      WJZUUJWKURPQUYABUUMUVBUUDUXTUVNOZUYAUUMUWSUUJHGZUBUYADUUJJUVBUWOUXTUWQOUX
      TUWRUVBUXTUUJUYDWLPUYAWRWMUXTUYFUBEUVBUUJIUWSWNPWOQUSUUJUWSMZUVFUXDUUNUXG
      KUYGUVEUXCAFUUJUWSJNWPSUYGUUMUXFBFUYGUULUXEJHUUJUWSDHWQVISTWSRUVBUVKUXNUV
      JCLAIFGZBDIHGZFGZKGZIJNGZUWSVTGZUVJCLZNGUXLUVBUUIUXNUVJCUXQWDUVBUVJUYKCIU
      WSUXSUYAUUKUVIUYAAUUJUYBUXTUVSUVBUYDPQUYABUULUYEUVBUXTUULUBEZUVBUXTUVPUYO
      UVBUUIUXNUUJUXQWTUVPUULUUJIDXAXBXCXDQUSUUJIMZUUKUYHUVIUYJKUUJIAFWQUYPUULU
      YIBFUUJIDHWQSTXEUVBUYKUUFUYNUXKNUVBUYKJUUFKGUUFUVBUYHJUYJUUFKUVBAUVMXFUVB
      UYIDBFUVBDUWQXGSTUVBUUFUVBBDUVNUVBDUUSUUCUUDXHXBZQZXIRUVBUYMUXJUVJCUVBUYL
      JUWSVTUYLJMUVBXJUOVIWDTVSTUVBUXIUXMUXLHUVBUXIUXKUUEUVBUXJUVJCUVBJUWSXKUVB
      UUJUXJEZVEZUUKUVIUYTAUUJUVBUUCUYSUVMOUYSUVSUVBUYSUUJUUJUWSXLXBPQUYTBUULUV
      BUUDUYSUVNOUVBUYSUYOUVBUYSUUJJDUDGZEZUYOUVBVUAUXJUUJUVBUXOVUAUXJMUXPJDWCU
      RWTVUBUULUUJJDXAXBXCXDQUSZUTZUVBADUVMUYQQZUVBUXBUXKUXHUUENUVBUXBJJHGZUWTV
      TGZAUAUEZJNGZFGZBDVUIHGZFGZKGZUALZUXKUVBUXBUXAVUJBDVUHHGZJHGZFGZKGZUALVUN
      UXAUVGVURCUAUUJVUHMZUVFVUJUUNVUQKVUSUVEVUIAFUUJVUHJNWPSVUSUUMVUPBFVUSUULV
      UOJHUUJVUHDHWQVISTXMUVBUXAVUGVURVUMUAUXAVUGMUVBIVUFUWTVTVUFIXNXOXPUOUVBVU
      HUXAEZVEZVUQVULVUJKVVAVUPVUKBFVVADVUHJUVBUWOVUTUWQOVUTVUHUCEUVBVUTVUHVUHU
      WTWJWLPVVAWRXQSSXRXSUVBUVJVUMCUAJJUWSUVBXTZVVBUVBUXOUWSWAEUXPDYAURVUCUUJV
      UIMZUUKVUJUVIVULKUUJVUIAFWQVVCUULVUKBFUUJVUIDHWQSTYBVHUVBUXHUUEJKGUUEUVBU
      XDUUEUXGJKUVBUXCDAFUVBUWOUXCDMUWQDVRURSUVBUXGBIFGZJUVBUXFIBFUUSUUCUXFIMUU
      DUUSUXFUWSUWSHGIUUSDUWSJUWPUUSUWOUWSUCEUWPDYCURZUUSWRWMUUSUWSVVEYDRVNSUUD
      UUSVVDJMZUUCBYHZYERTUVBUUEVUEYFRTYGVIUVBUUEUUFUXKVUEUYRVUDYIVSYJYKUUTUUCU
      UDUURUUTUUCUUDUJZUUHIKGIUUQUUGVVHUUHVVHABUUTUUCUUDUKUUTUUCUUDULVQYLVVHUUP
      IUUHKVVHUUPYSUUOCLZIUUTUUCUUPVVIMUUDUUTUUIYSUUOCUUTUUIIIUDGYSDIIUDWQIYMYN
      WDVNUUOCYOYNSVVHUUGVUFIVVHUUEJUUFJHVVHUUEUYHJUUTUUCUUEUYHMUUDDIAFWQVNUUCU
      UTUYHJMUUDAYHYPRVVHUUFVVDJUUTUUCUUFVVDMUUDDIBFWQVNUUDUUTVVFUUCVVGYERTXNYN
      YQYKYRYTUUA $.
  $}

  ${
    $d A k $.  $d N k $.  $d ph k $.
    pwm1geoser.a $e |- ( ph -> A e. CC ) $.
    pwm1geoser.n $e |- ( ph -> N e. NN0 ) $.
    $( The n-th power of a number decreased by 1 expressed by the finite
       geometric series ` 1 + A ^ 1 + A ^ 2 + ` ... ` + A ^ ( N - 1 ) ` .
       (Contributed by AV, 14-Aug-2021.)  (Proof shortened by AV,
       19-Aug-2021.) $)
    pwm1geoser $p |- ( ph -> ( ( A ^ N ) - 1 ) = ( ( A - 1 )
                              x. sum_ k e. ( 0 ... ( N - 1 ) ) ( A ^ k ) ) ) $=
      ( cexp co c1 cmin cc0 cmul csu cz wcel wceq 1exp syl oveq2d cn0 cfz nn0zd
      cfzo cv eqcomd cc pwdif syl3anc fzoval wa adantr elfzoelz adantl peano2zm
      1cnd zsubcld 3syl elfzonn0 expcld mulid1d eqtrd sumeq12dv 3eqtrd ) ABDGHZ
      IJHVDIDGHZJHZBIJHZKDUCHZBCUDZGHZIDVIJHZIJHZGHZLHZCMZLHZVGKDIJHUAHZVJCMZLH
      AIVEVDJAVEIADNOZVEIPADFUBZDQRUESADTOBUFOZIUFOVFVPPFEAUOBICDUGUHAVOVRVGLAV
      HVQVNVJCAVSVHVQPVTKDUIRAVIVHOZUJZVNVJILHVJWCVMIVJLWCVKNOVLNOVMIPWCDVIAVSW
      BVTUKWBVINOAVIKDULUMUPVKUNVLQUQSWCVJWCBVIAWAWBEUKWBVITOAVIDURUMUSUTVAVBSV
      C $.
  $}

  ${
    $d j k n A $.  $d j k F $.  $d j k M $.  $d j k ph $.
    geolim.1 $e |- ( ph -> A e. CC ) $.
    geolim.2 $e |- ( ph -> ( abs ` A ) < 1 ) $.
    ${
      geolim.3 $e |- ( ( ph /\ k e. NN0 ) -> ( F ` k ) = ( A ^ k ) ) $.
      $( The partial sums in the infinite series ` 1 + A ^ 1 + A ^ 2 ` ...
         converge to ` ( 1 / ( 1 - A ) ) ` .  (Contributed by NM,
         15-May-2006.) $)
      geolim $p |- ( ph -> seq 0 ( + , F ) ~~> ( 1 / ( 1 - A ) ) ) $=
        ( vn cc0 c1 cmin co cdiv cn0 cexp cmul cc wcel cfv wceq vj caddc cli cv
        cseq cmpt cvv nn0uz 0zd expcnv subcl sylancr wne cabs clt wbr 1re ltnri
        ax-1cn fveq2 abs1 eqtrdi breq1d mtbiri necon2ai syl necomd wb necon3bid
        subeq0 mpbird divcld nn0ex mptex a1i oveq2 eqid ovex fvmpt adantl expcl
        wa sylan eqeltrd expp1 adantr mulcomd eqtrd oveq1d div23d oveq1 3eqtr4d
        oveq2d climmulc2 mul01d breqtrd reccld seqex peano2nn0 syl2an cfz nn0cn
        pncan sylancl sumeq1d divsubdird geoser simpll elfznn0 syl2anc eleqtrdi
        csu cuz simpr expcld fsumser 3eqtr3rd climsubc2 subid1d ) AUBDIUEZJJBKL
        ZMLZIKLYBUCAIYBUAHNBHUDZJUBLZOLZYAMLZUFZXTIUGNUHAUIZAYGBYAMLZIPLIUCAIYI
        UAHNBYCOLZUFZYGIUGNUHYHABHEFUJABYAEAJQRZBQRZYAQRZUSEJBUKULZAYAIUMZJBUMA
        BJABUNSZJUOUPZBJUMZFYRBJBJTZYRJJUOUPJUQURYTYQJJUOYTYQJUNSJBJUNUTVAVBVCV
        DVEVFZVGAYAIJBAYLYMYAITJBTVHUSEJBVJULVIVKZVLZYGUGRAHNYFVMVNVOAUAUDZNRZW
        BZUUDYKSZBUUDOLZQUUEUUGUUHTAHUUDYJUUHNYKYCUUDBOVPYKVQBUUDOVRVSVTZAYMUUE
        UUHQREBUUDWAWCZWDUUFBUUDJUBLZOLZYAMLZYIUUHPLZUUDYGSZYIUUGPLUUFUUMBUUHPL
        ZYAMLUUNUUFUULUUPYAMUUFUULUUHBPLZUUPAYMUUEUULUUQTEBUUDWEWCUUFUUHBUUJAYM
        UUEEWFZWGWHWIUUFBUUHYAUURUUJAYNUUEYOWFZAYPUUEUUBWFZWJWHUUEUUOUUMTAHUUDY
        FUUMNYGYCUUDTZYEUULYAMUVAYDUUKBOYCUUDJUBWKWMWIYGVQUULYAMVRVSVTZUUFUUGUU
        HYIPUUIWMWLWNAYIUUCWOWPAYAYOUUBWQZXTUGRAUBDIWRVOUUFUUOUUMQUVBUUFUULYAAY
        MUUKNRZUULQRUUEEUUDWSZBUUKWAWTZUUSUUTVLWDUUFIUUKJKLZXALZBCUDZOLZCXLZIUU
        DXALZUVJCXLYBUUOKLZUUDXTSUUFUVHUVLUVJCUUFUVGUUDIXAUUFUUDQRZYLUVGUUDTUUE
        UVNAUUDXBVTUSUUDJXCXDWMXEUUFJUULKLYAMLYBUUMKLUVKUVMUUFJUULYAYLUUFUSVOUV
        FUUSUUTXFUUFBCUUKUURAYSUUEUUAWFUUEUVDAUVEVTXGUUFUUOUUMYBKUVBWMWLUUFUVJC
        DIUUDUUFUVIUVLRZWBZAUVINRZUVIDSUVJTAUUEUVOXHZUVOUVQUUFUVIUUDXIVTZGXJUUF
        UUDNIXMSAUUEXNUHXKUVPBUVIUVPAYMUVREVFUVSXOXPXQXRAYBUVCXSWP $.
    $}

    geolim2.3 $e |- ( ph -> M e. NN0 ) $.
    geolim2.4 $e |- ( ( ph /\ k e. ( ZZ>= ` M ) ) -> ( F ` k ) = ( A ^ k ) ) $.
    $( The partial sums in the geometric series ` A ^ M + A ^ ( M + 1 ) ` ...
       converge to ` ( ( A ^ M ) / ( 1 - A ) ) ` .  (Contributed by NM,
       6-Jun-2006.)  (Revised by Mario Carneiro, 26-Apr-2014.) $)
    geolim2 $p |- ( ph -> seq M ( + , F ) ~~> ( ( A ^ M ) / ( 1 - A ) ) ) $=
      ( caddc cfv cexp co c1 cmin cdiv wcel cc cn0 cc0 vn cseq cuz csu cli eqid
      vj cv nn0zd wa adantr eluznn0 sylan expcld cmpt cdm wceq oveq2 ovex fvmpt
      syl eqtr4d seqfeq wbr adantl geolim seqex breldm nn0uz expcl iserex mpbid
      eqeltrd eqeltrrd isumclim2 cfz isumsplit 0zd isumclim eqtr3d cabs clt wne
      ltnri fveq2 abs1 eqtrdi breq1d mtbiri necon2ai geoser oveq1d ax-1cn subcl
      1re sylancr necomd subeq0 necon3bid mpbird divsubdird nncan divcld isumcl
      1cnd wb pncan2d 3eqtr3rd breqtrd ) AJDEUBZEUCKZBCUHZLMZCUDZBELMZNBOMZPMZU
      EAXMCDEXKXKUFZAEHUIZIAXLXKQZUJZBXLABRQZXTFUKAESQXTXLSQZHXLEULUMZUNZAJUASB
      UAUHZLMZUOZEUBZXJUEUPZAJCYHDEXSYAXLYHKZXMXLDKYAYCYKXMUQZYDUAXLYGXMSYHYFXL
      BLURYHUFZBXLLUSUTZVAZIVBVCAJYHTUBZYJQZYIYJQAYPNXPPMZUEVDYQABUGYHFGUGUHZSQ
      ZYSYHKZBYSLMZUQAUAYSYGUUBSYHYFYSBLURYMBYSLUSUTVEZVFZYPYRUEJYHTVGNXPPUSVHV
      AZAUGYHTESVIHAYTUJUUAUUBRUUCAYBYTUUBRQFBYSVJUMVMVKVLZVNVOAYRNXOOMZXPPMZOM
      ZUUHXNJMZUUHOMXQXNAYRUUJUUHOATENOMVPMXMCUDZXNJMZYRUUJASXMCUDUULYRAXMCYHTE
      XKSVIXRHYCYLAYNVEZAYBYCXMRQFBXLVJUMZUUEVQAXMYRCYHTSVIAVRUUMUUNUUDVSVTAUUK
      UUHXNJABCEFABWAKZNWBVDZBNWCGUUPBNBNUQZUUPNNWBVDNWOWDUUQUUONNWBUUQUUONWAKN
      BNWAWEWFWGWHWIWJVAZHWKWLVTWLANUUGOMZXPPMUUIXQANUUGXPAXEANRQZXORQZUUGRQWMA
      BEFHUNZNXOWNWPZAUUTYBXPRQWMFNBWNWPZAXPTWCNBWCABNUURWQAXPTNBAUUTYBXPTUQNBU
      QXFWMFNBWRWPWSWTZXAAUUSXOXPPAUUTUVAUUSXOUQWMUVBNXOXBWPWLVTAUUHXNAUUGXPUVC
      UVDUVEXCAXMCYHEXKXRXSYOYEUUFXDXGXHXI $.
  $}

  ${
    $d k A $.  $d k F $.  $d k ph $.
    georeclim.1 $e |- ( ph -> A e. CC ) $.
    georeclim.2 $e |- ( ph -> 1 < ( abs ` A ) ) $.
    georeclim.3 $e |- ( ( ph /\ k e. NN0 ) ->
                        ( F ` k ) = ( ( 1 / A ) ^ k ) ) $.
    $( The limit of a geometric series of reciprocals.  (Contributed by Paul
       Chapman, 28-Dec-2007.)  (Revised by Mario Carneiro, 26-Apr-2014.) $)
    georeclim $p |- ( ph -> seq 0 ( + , F ) ~~> ( A / ( A - 1 ) ) ) $=
      ( cc0 c1 cdiv co cmin cabs cfv clt wbr wne wceq eqtrdi cc cseq cli cle wn
      caddc 0le1 0re 1re lenlti mpbi fveq2 abs0 breq2d mtbiri necon2ai syl 1cnd
      reccld absdivd abs1 oveq1i recgt1d mpbid eqbrtrd geolim divsubdird dividd
      absrpcld oveq1d eqtrd oveq2d wcel ax-1cn subcl sylancl ltnri wb necon3bid
      subeq0 mpbird recdivd eqtr3d breqtrd ) AUEDHUAIIIBJKZLKZJKZBBILKZJKZUBAWD
      CDABEAIBMNZOPZBHQFWJBHBHRZWJIHOPZHIUCPWLUDUFHIUGUHUIUJWKWIHIOWKWIHMNHBHMU
      KULSUMUNUOUPZURAWDMNZIWIJKZIOAWNIMNZWIJKWOAIBAUQZEWMUSWPIWIJUTVASAWJWOIOP
      FAWIABEWMVHVBVCVDGVEAIWGBJKZJKWFWHAWRWEIJAWRBBJKZWDLKWEABIBEWQEWMVFAWSIWD
      LABEWMVGVIVJVKAWGBABTVLZITVLZWGTVLEVMBIVNVOEAWGHQBIQZAWJXBFWJBIBIRZWJIIOP
      IUHVPXCWIIIOXCWIWPIBIMUKUTSUMUNUOUPAWGHBIAWTXAWGHRXCVQEVMBIVSVOVRVTWMWAWB
      WC $.
  $}

  ${
    $d j k A $.  $d j k N $.
    $( The value of the finite geometric series ` 2 ^ -u 1 + 2 ^ -u 2 + ` ...
       ` + 2 ^ -u N ` , multiplied by a constant.  (Contributed by Mario
       Carneiro, 17-Mar-2014.)  (Revised by Mario Carneiro, 26-Apr-2014.) $)
    geo2sum $p |- ( ( N e. NN /\ A e. CC ) ->
                    sum_ k e. ( 1 ... N ) ( A / ( 2 ^ k ) ) =
                                 ( A - ( A / ( 2 ^ N ) ) ) ) $=
      ( vj cn wcel cc c1 cfz co cexp cdiv csu cmin cc0 cmul adantl sylancr a1i
      c2 wa cv caddc 1zzd nnz adantr simplr cn0 2nn elfznn nnnn0d nnexpcl nncnd
      cz nnne0d divcld wceq oveq2 oveq2d fsumshftm 1m1e0 oveq1i sumeq1i elfznn0
      halfcn expcl 2cnd wne divrecd elfzelz peano2zd exprecd 3eqtr2rd peano2nn0
      expp1 syl div12d 3eqtr4d sumeq2dv fzfid halfcl fsummulc1 eqtr4d 1mhlfehlf
      2ne0 eqtrid oveq12d simpr divrec2d nnnn0 nnrecred recnd subcl 0re halfgt0
      ax-1cn gtneii mulassd divcan1d oveq1d 3eqtr2d halfre ltneii geoser mulid2
      halflt1 eqcomd subdird 3eqtrd ) CEFZAGFZUAZHCIJZATBUBZKJZLJZBMHHNJZCHNJZI
      JZATDUBZHUCJZKJZLJZDMZOXRIJZHTLJZXTKJZDMZATLJZPJZAATCKJZLJZNJZXLXPYCBDHHC
      XLUDZYNXJCUNFXKCUEUFZXLXNXMFZUAZAXOXJXKYPUGYQXOYQTEFZXNUHFXOEFUIYQXNYPXNE
      FXLXNCUJQUKTXNULRZUMYQXOYSUOUPXNYAUQXOYBALXNYATKURUSUTXLYDYEYCDMZYJXSYEYC
      DXQOXRIVAVBVCXLYTYEYGYIPJZDMYJXLYEYCUUADXLXTYEFZUAZAHYBLJZPJAYGTLJZPJYCUU
      AUUCUUDUUEAPUUCUUEYGYFPJZYFYAKJZUUDUUCYGTUUCYFGFZXTUHFZYGGFVEUUBUUIXLXTXR
      VDQZYFXTVFRZUUCVGZTOVHZUUCWESZVIUUCUUHUUIUUGUUFUQVEUUJYFXTVORUUCTYAUULUUN
      UUBYAUNFXLUUBXTXTOXRVJVKQVLVMUSUUCAYBXJXKUUBUGZUUCYBUUCYRYAUHFZYBEFUIUUCU
      UIUUPUUJXTVNVPTYAULRZUMUUCYBUUQUOVIUUCYGATUUKUUOUULUUNVQVRVSXLYEYGYIDXLOX
      RVTXKYIGFXJAWAQUUKWBWCWFXLHYFCKJZNJZHYFNJZLJZYIPJZHHYKLJZNJZAPJZYJYMXLUVB
      UVDYFLJZYFAPJZPJUVFYFPJZAPJUVEXLUVAUVFYIUVGPXLUUSUVDUUTYFLXLUURUVCHNXLTCX
      LVGZUUMXLWESZYOVLUSUUTYFUQXLWDSWGXLATXJXKWHZUVIUVJWIWGXLUVFYFAXLUVDYFXLHG
      FZUVCGFUVDGFWPXLUVCXLYKXLYRCUHFZYKEFUIXJUVMXKCWJUFZTCULRZWKWLZHUVCWMRZUUH
      XLVESZYFOVHXLOYFWNWOWQSZUPUVRUVKWRXLUVHUVDAPXLUVDYFUVQUVRUVSWSWTXAXLYHUVA
      YIPXLYFDCUVRYFHVHXLYFHXBXFXCSUVNXDWTXLYMHAPJZUVCAPJZNJUVEXLAUVTYLUWANXLUV
      TAXKUVTAUQXJAXEQXGXLAYKUVKXLYKUVOUMXLYKUVOUOWIWGXLHUVCAUVLXLWPSUVPUVKXHWC
      VRXI $.
  $}

  ${
    $d k N $.
    $( The value of the finite geometric series ` 1 + 2 + 4 + 8 + ` ...
       ` + 2 ^ ( N - 1 ) ` .  (Contributed by Mario Carneiro, 7-Sep-2016.) $)
    geo2sum2 $p |- ( N e. NN0 ->
                    sum_ k e. ( 0 ..^ N ) ( 2 ^ k ) = ( ( 2 ^ N ) - 1 ) ) $=
      ( cn0 wcel cc0 cfzo co c2 cexp csu cmin cdiv wceq 2cn a1i wne cneg ax-1cn
      c1 cc cv cfz cz nn0z fzoval syl sumeq1d 1ne2 necomi geoser expcld ax-1ne0
      subcld div2negd negsubdi2d 2m1e1 negeqi negsubdi2i eqtr3i oveq12d 3eqtr3d
      id div1d 3eqtrd ) BCDZEBFGZHAUAIGZAJEBSKGUBGZVGAJSHBIGZKGZSHKGZLGZVISKGZV
      EVFVHVGAVEBUCDVFVHMBUDEBUEUFUGVEHABHTDVENOZHSPVESHUHUIOVEVBZUJVEVMQZSQZLG
      VMSLGVLVMVEVMSVEVISVEHBVNVOUKZSTDVEROZUMZVSSEPVEULOUNVEVPVJVQVKLVEVISVRVS
      UOVQVKMVEHSKGZQVQVKWASUPUQHSNRURUSOUTVEVMVTVCVAVD $.
  $}

  ${
    $d j k n A $.  $d j n F $.
    geo2lim.1 $e |- F = ( k e. NN |-> ( A / ( 2 ^ k ) ) ) $.
    $( The value of the infinite geometric series
       ` 2 ^ -u 1 + 2 ^ -u 2 + ` ... , multiplied by a constant.  (Contributed
       by Mario Carneiro, 15-Jun-2014.) $)
    geo2lim $p |- ( A e. CC -> seq 1 ( + , F ) ~~> A ) $=
      ( vn cc wcel c1 cc0 cmin co cvv cn cmul cn0 c2 cdiv cexp cfv wceq vj cseq
      caddc cli nnuz 1zzd cv cmpt halfcn a1i cabs clt wbr cr cle halfre halfge0
      absid mp2an halflt1 eqbrtri expcnv id mptex eqeltri wa nnnn0 adantl oveq2
      nnex eqid ovex fvmpt syl wne cz 2cn nnz exprec mp3an12i eqtrd 2nn nnexpcl
      2ne0 sylancr nnrecred recnd eqeltrd simpl nnne0d divrecd oveq2d climmulc2
      nncnd 3eqtr4d mul01 breqtrd seqex divcld cfz csu geo2sum ancoms cuz simpr
      elfznn eleqtrdi simpll fsumser 3eqtr2rd climsubc2 subid1 ) AFGZUCCHUBZAIJ
      KAUDXMIAUACXNHLMUEXMUFZXMCAINKIUDXMIAUABOHPQKZBUGZRKZUHZCHLMUEXOXMXPBXPFG
      XMUIUJXPUKSZHULUMXMXTXPHULXPUNGIXPUOUMXTXPTUPUQXPURUSUTVAUJVBXMVCZCLGXMCB
      MAPXQRKZQKZUHLDBMYCVJVDVEUJXMUAUGZMGZVFZYDXSSZHPYDRKZQKZFYFYGXPYDRKZYIYFY
      DOGZYGYJTYEYKXMYDVGVHZBYDXRYJOXSXQYDXPRVIXSVKXPYDRVLVMVNPFGPIVOYFYDVPGZYJ
      YITVQWDYEYMXMYDVRVHPYDVSVTWAZYFYIYFYHYFPMGZYKYHMGWBYLPYDWCWEZWFWGWHYFAYHQ
      KZAYINKYDCSZAYGNKYFAYHXMYEWIZYFYHYPWNZYFYHYPWJZWKYEYRYQTXMBYDYCYQMCXQYDTY
      BYHAQXQYDPRVIWLDAYHQVLVMVHZYFYGYIANYNWLWOWMAWPWQYAXNLGXMUCCHWRUJYFYRYQFUU
      BYFAYHYSYTUUAWSWHYFAYRJKAYQJKZHYDWTKZAPEUGZRKZQKZEXAZYDXNSYFYRYQAJUUBWLYE
      XMUUHUUCTAEYDXBXCYFUUGECHYDYFUUEUUDGZVFZUUEMGZUUECSUUGTUUIUUKYFUUEYDXFVHZ
      BUUEYCUUGMCXQUUETYBUUFAQXQUUEPRVIWLDAUUFQVLVMVNYFYDMHXDSXMYEXEUEXGUUJAUUF
      XMYEUUIXHUUJUUFUUJUUKUUFMGZUULUUKYOUUEOGUUMWBUUEVGPUUEWCWEVNZWNUUJUUFUUNW
      JWSXIXJXKAXLWQ $.
  $}

  ${
    $d k m n A $.  $d m n F $.
    geomulcvg.1 $e |- F = ( k e. NN0 |-> ( k x. ( A ^ k ) ) ) $.
    $( The geometric series converges even if it is multiplied by ` k ` to
       result in the larger series ` k x. A ^ k ` .  (Contributed by Mario
       Carneiro, 27-Mar-2015.) $)
    geomulcvg $p |- ( ( A e. CC /\ ( abs ` A ) < 1 ) ->
      seq 0 ( + , F ) e. dom ~~> ) $=
      ( cc wcel cabs cfv c1 clt wbr wa cc0 cn0 cexp co cmul adantl cr adantr vn
      vm caddc cseq cli cdm wceq cuz csn cxp cmpt cv cn elnn0 simpr oveq1d 0exp
      wo sylan9eq oveq2d nncn mul01d simplll 0nn0 eqeltrdi expcld mul02d jaodan
      eqtrd sylan2b mpteq2dva eqtrid fconstmpt nn0uz xpeq1i eqtr3i eqtrdi cz 0z
      seqeq3d serclim0 ax-mp eqbrtrdi seqex c0ex breldm syl cdiv wral wrex 1red
      wne abscl peano2re rehalfcld crp absrpcl adantlr rerpdivcld recnd mulid2d
      c2 wb 1re avglt1 sylancl mpbid eqbrtrd ltmuldivd expmulnbnd syl3anc nn0cn
      eluznn0 ad2antrr rpne0d expdivd breq12d nn0re reexpcl sylan rpgt0d expgt0
      ltmuldiv syl112anc bitr4d sylan2 anassrs ralbidva wi oveq2 fvmpt reexpcld
      nn0z ovex eqeltrd oveq12d cle ltled absidd 3brtr4d eqid id expcl ad4ant14
      simprl mulcld cmin 0red absge0 lelttrd avglt2 geolim nn0red abscld syldan
      remulcld simprr rspccva nn0cnd absmuld nn0ge0d absexpd fveq2d expr sylbid
      cvgcmpce rexlimdva mpd pm2.61dane ) AEFZAGHZIJKZLZUCCMUDZUEUFZFZAMUVMAMUG
      ZLZUVNMUEKUVPUVRUVNUCMUHHZMUIZUJZMUDZMUEUVRCUWAUCMUVRCBNMUKZUWAUVRCBNBULZ
      AUWDOPZQPZUKUWCDUVRBNUWFMUWDNFZUVRUWDUMFZUWDMUGZURUWFMUGZUWDUNUVRUWHUWJUW
      IUVRUWHLZUWFUWDMQPMUWKUWEMUWDQUVRUWHUWEMUWDOPMUVRAMUWDOUVMUVQUOUPUWDUQUSU
      TUWKUWDUWHUWDEFZUVRUWDVARVBVIUVRUWILZUWFMUWEQPMUWMUWDMUWEQUVRUWIUOZUPUWMU
      WEUWMAUWDUVJUVLUVQUWIVCUWMUWDMNUWNVDVEVFVGVIVHVJVKVLNUVTUJUWCUWABNMVMNUVS
      UVTVNVOVPVQVTMVRFUWBMUEKVSMWAWBWCUVNMUEUCCMWDWEWFWGUVMAMWLZLZIUWDQPZUVKIU
      CPZXBWHPZUVKWHPZUWDOPZJKZBUAULZUHHZWIZUANWJZUVPUWPISFZUWTSFIUWTJKZUXFUWPW
      KZUWPUWSUVKUVMUWSSFZUWOUVMUWRUVMUVKSFZUWRSFUVJUXKUVLAWMTZUVKWNWGWOZTZUVJU
      WOUVKWPFZUVLAWQWRZWSUWPIUVKQPZUWSJKZUXHUVMUXRUWOUVMUXQUVKUWSJUVMUVKUVMUVK
      UXLWTZXAUVMUVLUVKUWSJKZUVJUVLUOZUVMUXKUXGUVLUXTXCUXLXDUVKIXEXFXGZXHTUWPIU
      WSUVKUXIUXNUXPXIXGIUWTUABXJXKUWPUXEUVPUANUWPUXCNFZLZUXEUWDUVKUWDOPZQPZUWS
      UWDOPZJKZBUXDWIZUVPUYDUXBUYHBUXDUWPUYCUWDUXDFZUXBUYHXCZUYCUYJLUWPUWGUYKUW
      DUXCXMUWPUWGLZUXBUWDUYGUYEWHPZJKZUYHUYLUWQUWDUXAUYMJUYLUWDUWGUWLUWPUWDXLR
      XAUYLUWSUVKUWDUVMUWSEFUWOUWGUVMUWSUXMWTZXNUVMUVKEFUWOUWGUXSXNUYLUVKUWPUXO
      UWGUXPTZXOUWPUWGUOXPXQUYLUWDSFZUYGSFZUYESFZMUYEJKZUYHUYNXCUWGUYQUWPUWDXRR
      UWPUXJUWGUYRUXNUWSUWDXSXTUWPUXKUWGUYSUVMUXKUWOUXLTZUVKUWDXSXTUYLUXKUWDVRF
      ZMUVKJKUYTUWPUXKUWGVUATUWGVUBUWPUWDYMRUYLUVKUYPYAUVKUWDYBXKUWDUYGUYEYCYDY
      EYFYGYHUVMUYCUYIUVPYIUWOUVMUYCUYIUVPUVMUYCUYILZLZIUBBNUYGUKZCMUXCNVNUVMUY
      CUYIUUEZVUDUBULZNFZLZVUGVUEHZUWSVUGOPZSVUHVUJVUKUGZVUDBVUGUYGVUKNVUEUWDVU
      GUWSOYJZVUEUUAZUWSVUGOYNYKZRVUIUWSVUGUVMUXJVUCVUHUXMXNVUDVUHUOYLZYOVUIVUG
      CHZVUGAVUGOPZQPZEVUHVUQVUSUGZVUDBVUGUWFVUSNCUWDVUGUGZUWDVUGUWEVURQVVAUUBZ
      UWDVUGAOYJYPDVUGVURQYNYKZRVUIVUGVURVUHVUGEFVUDVUGXLRUVJVUHVUREFUVLVUCAVUG
      UUCUUDUUFYOUVMUCVUEMUDZUVOFZVUCUVMVVDIIUWSUUGPZWHPZUEKVVEUVMUWSUAVUEUYOUV
      MUWSGHUWSIJUVMUWSUXMUVMMUWSUVMUUHZUXMUVMMUVKUWSVVHUXLUXMUVJMUVKYQKUVLAUUI
      TUYBUUJYRYSUVMUVLUWSIJKZUYAUVMUXKUXGUVLVVIXCUXLXDUVKIUUKXFXGXHUYCUXCVUEHU
      WSUXCOPZUGUVMBUXCUYGVVJNVUEUWDUXCUWSOYJVUNUWSUXCOYNYKRUULVVDVVGUEUCVUEMWD
      IVVFWHYNWFWGTVUDWKVUDVUGUXDFZLZVUSGHZIVUKQPZVUQGHIVUJQPYQVVLVUGUVKVUGOPZQ
      PZVUKVVMVVNYQVVLVVPVUKVVLVUGVVOVVLVUGVUDUYCVVKVUHVUFVUGUXCXMXTZUUMZVVLUVK
      VUGVVLAUVJUVLVUCVVKVCZUUNVVQYLUUPVUDVVKVUHVUKSFVVQVUPUUOZVUDUYIVVKVVPVUKJ
      KZUVMUYCUYIUUQUYHVWABVUGUXDVVAUYFVVPUYGVUKJVVAUWDVUGUYEVVOQVVBUWDVUGUVKOY
      JYPVUMXQUURXTYRVVLVVMVUGGHZVURGHZQPVVPVVLVUGVURVVLVUGVVQUUSVVLAVUGVVSVVQV
      FUUTVVLVWBVUGVWCVVOQVVLVUGVVRVVLVUGVVQUVAYSVVLAVUGVVSVVQUVBYPVIVVLVUKVVLV
      UKVVTWTXAYTVVLVUQVUSGVVLVUHVUTVVQVVCWGUVCVVLVUJVUKIQVVLVUHVULVVQVUOWGUTYT
      UVFUVDWRUVEUVGUVHUVI $.
  $}

  ${
    $d k n A $.  $d k n R $.
    $( The infinite sum of ` 1 + A ^ 1 + A ^ 2 ` ... is ` ( 1 / ( 1 - A ) ) ` .
       (Contributed by NM, 15-May-2006.)  (Revised by Mario Carneiro,
       26-Apr-2014.) $)
    geoisum $p |- ( ( A e. CC /\ ( abs ` A ) < 1 ) ->
                  sum_ k e. NN0 ( A ^ k ) = ( 1 / ( 1 - A ) ) ) $=
      ( vn cc wcel cabs cfv c1 clt wbr wa cv cexp cmin cdiv cn0 cmpt cc0 nn0uz
      co 0zd wceq oveq2 eqid ovex fvmpt adantl expcl adantlr simpl simpr geolim
      isumclim ) ADEZAFGHIJZKZABLZMTZHHANTOTBCPACLZMTZQZRPSUPUAUQPEZUQVAGURUBUP
      CUQUTURPVAUSUQAMUCVAUDAUQMUEUFUGZUNVBURDEUOAUQUHUIUPABVAUNUOUJUNUOUKVCULU
      M $.

    $( The infinite sum of reciprocals
       ` 1 + ( 1 / A ) ^ 1 + ( 1 / A ) ^ 2 ` ... is ` A / ( A - 1 ) ` .
       (Contributed by rpenner, 3-Nov-2007.)  (Revised by Mario Carneiro,
       26-Apr-2014.) $)
    geoisumr $p |- ( ( A e. CC /\ 1 < ( abs ` A ) ) ->
              sum_ k e. NN0 ( ( 1 / A ) ^ k ) = ( A / ( A - 1 ) ) ) $=
      ( vn cc wcel c1 cabs cfv clt wbr wa cdiv co cexp cmin cn0 cmpt cc0 wceq
      cv nn0uz 0zd oveq2 eqid ovex fvmpt adantl wne cle wn 0le1 0re lenlti mpbi
      1re fveq2 abs0 eqtrdi breq2d mtbiri necon2ai reccl sylan2 expcl georeclim
      sylan simpl simpr isumclim ) ADEZFAGHZIJZKZFALMZBTZNMZAAFOMLMBCPVNCTZNMZQ
      ZRPUAVMUBVOPEZVOVSHVPSVMCVOVRVPPVSVQVOVNNUCVSUDVNVONUEUFUGZVMVNDEZVTVPDEV
      LVJARUHWBVLARARSZVLFRIJZRFUIJWDUJUKRFULUOUMUNWCVKRFIWCVKRGHRARGUPUQURUSUT
      VAAVBVCVNVOVDVFVMABVSVJVLVGVJVLVHWAVEVI $.

    $( The infinite sum of ` A ^ 1 + A ^ 2 ` ... is ` ( A / ( 1 - A ) ) ` .
       (Contributed by NM, 1-Nov-2007.)  (Revised by Mario Carneiro,
       26-Apr-2014.) $)
    geoisum1 $p |- ( ( A e. CC /\ ( abs ` A ) < 1 ) ->
                  sum_ k e. NN ( A ^ k ) = ( A / ( 1 - A ) ) ) $=
      ( vn cc wcel cabs cfv c1 clt wbr wa cn cv cexp co csu cmin cdiv wceq cn0
      cmpt nnuz 1zzd oveq2 eqid ovex fvmpt adantl simpl nnnn0 expcl syl2an 1nn0
      simpr a1i cuz elnnuz sylan2br geolim2 isumclim exp1 adantr oveq1d eqtrd )
      ADEZAFGHIJZKZLABMZNOZBPAHNOZHAQOZROZAVKROVGVIVLBCLACMZNOZUAZHLUBVGUCVHLEZ
      VHVOGVISZVGCVHVNVILVOVMVHANUDVOUEAVHNUFUGUHZVGVEVHTEVIDEVPVEVFUIZVHUJAVHU
      KULVGABVOHVSVEVFUNHTEVGUMUOVHHUPGEVGVPVQVHUQVRURUSUTVGVJAVKRVEVJASVFAVAVB
      VCVD $.

    $( The infinite sum of ` A x. ( R ^ 1 ) + A x. ( R ^ 2 ) ` ... is
       ` ( A x. R ) / ( 1 - R ) ` .  (Contributed by NM, 2-Nov-2007.)  (Revised
       by Mario Carneiro, 26-Apr-2014.) $)
    geoisum1c $p |- ( ( A e. CC /\ R e. CC /\ ( abs ` R ) < 1 ) ->
          sum_ k e. NN ( A x. ( R ^ k ) ) = ( ( A x. R ) / ( 1 - R ) ) ) $=
      ( vn cc wcel cabs cfv c1 clt wbr cmul co cdiv cn cv cexp csu wceq cli w3a
      cmin simp1 simp2 subcl sylancr cc0 wne simp3 1re ltnri abs1 fveq2 eqtr3id
      ax-1cn breq1d mtbii necon2ai syl subeq0 necon3bid mpbird divassd geoisum1
      wb 3adant1 oveq2d cmpt nnuz 1zzd oveq2 eqid ovex fvmpt adantl nnnn0 expcl
      wa cn0 syl2an caddc cseq cdm a1i cuz elnnuz sylan2br geolim2 seqex breldm
      1nn0 isummulc2 3eqtr2rd ) AEFZBEFZBGHZIJKZUAZABLMIBUBMZNMABWSNMZLMAOBCPZQ
      MZCRZLMOAXBLMCRWRABWSWNWOWQUCZWNWOWQUDZWRIEFZWOWSEFUOXEIBUEUFWRWSUGUHZIBU
      HZWRWQXHWNWOWQUIZWQIBIBSZIIJKWQIUJUKXJIWPIJXJIIGHWPULIBGUMUNUPUQURUSWRXFW
      OXGXHVEUOXEXFWOVRWSUGIBIBUTVAUFVBVCWRXCWTALWOWQXCWTSWNBCVDVFVGWRXBACDOBDP
      ZQMZVHZIOVIWRVJXAOFZXAXMHXBSZWRDXAXLXBOXMXKXABQVKXMVLBXAQVMVNVOZWRWOXAVSF
      XBEFXNXEXAVPBXAVQVTWRWAXMIWBZBIQMZWSNMZTKXQTWCFWRBCXMIXEXIIVSFWRWKWDXAIWE
      HFWRXNXOXAWFXPWGWHXQXSTWAXMIWIXRWSNVMWJUSXDWLWM $.
  $}

  $( The recurring decimal 0.999..., which is defined as the infinite sum 0.9 +
     0.09 + 0.009 + ... i.e. ` 9 / 1 0 ^ 1 + 9 / 1 0 ^ 2 + 9 / 1 0 ^ 3 `
     ` + ... ` , is exactly equal to 1, according to ZF set theory.
     Interestingly, about 40% of the people responding to a poll at
     ~ http://forum.physorg.com/index.php?showtopic=13177 disagree.
     (Contributed by NM, 2-Nov-2007.)  (Revised by AV, 8-Sep-2021.) $)
  0.999... $p |- sum_ k e. NN ( 9 / ( ; 1 0 ^ k ) ) = 1 $=
    ( cn c9 c1 cc0 cexp co cdiv csu cmul wcel cc wceq 9cn 10re recni 10pos cmin
    clt wbr cdc cv wne cn0 nnnn0 expcl sylancr a1i gt0ne0ii nnz expne0d mp3an2i
    divrec exprecd oveq2d eqtr4d sumeq2i cabs cfv rereccli cle 0re ltleii ax-mp
    recgt0ii absidi 1lt10 cr recgt1 mp2an mpbi eqbrtri geoisum1c mp3an divcan2i
    wb divreci ax-1cn subdii mulid1i recidi oveq12i 10m1e9 3eqtrri 9re redivcli
    eqtri subcli mulcani 9pos divgt0ii dividi 3eqtr2i ) BCDEUAZAUBZFGZHGZAIBCDW
    NHGZWOFGZJGZAIZDBWQWTAWOBKZWQCDWPHGZJGZWTCLKZXBWPLKZWPEUCWQXDMNXBWNLKZWOUDK
    XFWNOPZWOUEWNWOUFUGXBWNWOXGXBXHUHZWNEUCXBWNOQUIZUHZWOUJZUKCWPUMULXBWSXCCJXB
    WNWOXIXKXLUNUOUPUQXACWRJGZDWRRGZHGZCWNHGZXPHGDXEWRLKWRURUSZDSTXAXOMNWRWNOXJ
    UTZPZXQWRDSEWRVATXQWRMEWRVBXRWNOQVEVCWRXRVFVDDWNSTZWRDSTZVGWNVHKEWNSTXTYAVP
    OQWNVIVJVKVLCWRAVMVNXPXMXPXNHCWNNXHXJVQWNXPJGZWNXNJGZMXPXNMYBCYCCWNNXHXJVOY
    CWNDJGZWNWRJGZRGWNDRGCWNDWRXHVRXSVSYDWNYEDRWNXHVTWNXHXJWAWBWCWDWGXPXNWNXPCW
    NWEOXJWFZPZDWRVRXSWHXHXJWIVKWBXPYGXPYFCWNWEOWJQWKUIWLWMWG $.

  $( Prove that the infinite geometric series of 1/2, 1/2 + 1/4 + 1/8 + ... =
     1.  Uses ~ geoisum1 .  This is a representation of .111... in binary with
     an infinite number of 1's.  Theorem ~ 0.999... proves a similar claim for
     .999... in base 10.  (Contributed by David A. Wheeler, 4-Jan-2017.)
     (Proof shortened by AV, 9-Jul-2022.) $)
  geoihalfsum $p |- sum_ k e. NN ( 1 / ( 2 ^ k ) ) = 1 $=
    ( cn c1 c2 cdiv co cv cexp csu wcel cc 2cn a1i cc0 2ne0 clt wbr wceq halfcn
    mp2an wne nnz exprecd sumeq2i cmin cabs cfv cr halfre halfge0 absid halflt1
    cle eqbrtri geoisum1 1mhlfehlf oveq2i ax-1cn ax-1ne0 divne0i dividi 3eqtri
    eqtr3i ) BCDEFZAGZHFZAIZBCDVEHFEFZAICBVFVHAVEBJZDVEDKJVILMDNUAVIOMVEUBUCUDV
    GVDCVDUEFZEFZVDVDEFCVDKJVDUFUGZCPQVGVKRSVLVDCPVDUHJNVDUMQVLVDRUIUJVDUKTULUN
    VDAUOTVJVDVDEUPUQVDSCDURLUSOUTVAVBVC $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ratio test for infinite series convergence
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d k n A $.  $d k n F $.  $d k M $.  $d k n N $.  $d k n ph $.  $d k n W $.
    $d k n Z $.
    cvgrat.1 $e |- Z = ( ZZ>= ` M ) $.
    cvgrat.2 $e |- W = ( ZZ>= ` N ) $.
    cvgrat.3 $e |- ( ph -> A e. RR ) $.
    cvgrat.4 $e |- ( ph -> A < 1 ) $.
    cvgrat.5 $e |- ( ph -> N e. Z ) $.
    cvgrat.6 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    cvgrat.7 $e |- ( ( ph /\ k e. W ) ->
               ( abs ` ( F ` ( k + 1 ) ) ) <_ ( A x. ( abs ` ( F ` k ) ) ) ) $.
    $( Ratio test for convergence of a complex infinite series.  If the ratio
       ` A ` of the absolute values of successive terms in an infinite sequence
       ` F ` is less than 1 for all terms beyond some index ` B ` , then the
       infinite sum of the terms of ` F ` converges to a complex number.
       Equivalent to first part of Exercise 4 of [Gleason] p. 182.
       (Contributed by NM, 26-Apr-2005.)  (Proof shortened by Mario Carneiro,
       27-Apr-2014.) $)
    cvgrat $p |- ( ph -> seq M ( + , F ) e. dom ~~> ) $=
      ( wcel cle co cexp cmul caddc cseq cli cdm cfv cabs cc0 wbr cif cmin cmpt
      vn cv cuz cz eleqtrdi eluzelz syl uzid eleqtrrdi wa wceq weq oveq1 oveq2d
      cr eqid ovex fvmpt adantl 0re ifcl sylancr adantr simpr uznn0sub reexpcld
      cn0 eqeltrd cc wss uzss 3sstr4g sselda syldan cshi oveq2 zcnd nn0ex mptex
      shftval syl2an 3eqtr4rd seqfeq seqshft syl2anc subidd seqeq1d oveq1d cdiv
      3eqtrd recnd clt max2 sylancl absidd 0lt1 breq1 ifboth eqbrtrd geolim cvv
      c1 wb seqex climshft mpbird breldm eleq1d ralrimiva rspcdva abscld 2fveq3
      fveq2 wi breq12d imbi2d leidd exp0d mulid1d breqtrrd remulcld w3a lemul2a
      eqtrd ex syl112anc mul12d expp1d wral eleq2s ax-1cn addsub mp3an2 syl2anr
      mulcomd breq2d sylibd cbvralvw sylib peano2uzs sylan2 max1 lemul1ad letrd
      absge0d peano2uz letr syl3anc mpand syld expcom a2d uzind4i impcom iserex
      cvgcmpce ) AUADEUBUCUDZPUADFUBUVHPAFDUEZUFUEZCULGBUGQUHZUGBUIZULUMZFUJRZS
      RZUKZDFFGJAFFUNUEZGAFUOPZFUVQPAFEUNUEZPZUVRAFHUVSMIUPZEFUQURZFUSURJUTACUM
      ZGPZVAZUWCUVPUEZUVLUWCFUJRZSRZVFUWDUWFUWHVBZAULUWCUVOUWHGUVPULCVCZUVNUWGU
      VLSUVMUWCFUJVDVEZUVPVGUVLUWGSVHZVIZVJUWEUVLUWGAUVLVFPZUWDAUGVFPZBVFPZUWNV
      KKUVKUGBVFVLVMZVNZUWEUWCUVQPZUWGVRPZUWEUWCGUVQAUWDVOJUPZFUWCVPZURZVQZVSAU
      WDUWCHPUWCDUEZVTPZAGHUWCAUVQUVSGHAUVTUVQUVSWAUWAEFWBURJIWCZWDNWEZAUAUVPFU
      BZUAULVRUVLUVMSRZUKZUGUBZFWFRZUVHAUXIUAUXKFWFRZFUBZUAUXKFFUJRZUBZFWFRZUXM
      AUACUVPUXNFUWBAUWSVAZUWGUXKUEZUWHUWCUXNUEZUWFUXSUWTUXTUWHVBUWSUWTAUXBVJUL
      UWGUXJUWHVRUXKUVMUWGUVLSWGUXKVGZUWLVIURAFVTPZUWCVTPZUYAUXTVBUWSAFUWBWHZUW
      SUWCFUWCUQWHZFUWCUXKULVRUXJWIWJZWKWLUXSUWDUWIUXSUWCUVQGAUWSVOJUTZUWMURZWM
      WNAUVRUVRUXOUXRVBUWBUWBUAUXKFFUYGWOWPAUXQUXLFWFAUXPUGUAUXKAFUYEWQZWRWSXAA
      UXMXMXMUVLUJRZWTRZUCUHZUXMUVHPAUYMUXLUYLUCUHZAUVLCUXKAUVLUWQXBZAUVLUFUEUV
      LXMXCAUVLUWQAUWPUWOUGUVLQUHZKVKBUGXDXEZXFAUGXMXCUHZBXMXCUHZUVLXMXCUHZXGLU
      VKUYRUYSUYTUGBUGUVLXMXCXHBUVLXMXCXHXIVMXJUWCVRPUWCUXKUEUVLUWCSRZVBAULUWCU
      XJVUAVRUXKUVMUWCUVLSWGUYBUVLUWCSVHVIVJXKAUVRUXLXLPUYMUYNXNUWBUAUXKUGXOUYL
      UXLFXLXPXEXQUXMUYLUCUXLFWFVHXMUYKWTVHXRURVSAUVIAUXFUVIVTPCHFUWCFVBUXEUVIV
      TUWCFDYDXSAUXFCHNXTZMYAYBZUXSUXEUFUEZUVJUWHTRZUVJUWFTRQUWSAVUDVUEQUHZAUVM
      DUEZUFUEZUVJUVOTRZQUHZYEAUVJUVJUVLUXPSRZTRZQUHZYEAVUFYEZAUWCXMUARZDUEZUFU
      EZUVJUVLVUOFUJRZSRZTRZQUHZYEVUNULCFUWCUVMFVBZVUJVUMAVVBVUHUVJVUIVULQUVMFU
      FDYCVVBUVOVUKUVJTVVBUVNUXPUVLSUVMFFUJVDVEVEYFYGUWJVUJVUFAUWJVUHVUDVUIVUEQ
      UVMUWCUFDYCUWJUVOUWHUVJTUWKVEYFYGZUVMVUOVBZVUJVVAAVVDVUHVUQVUIVUTQUVMVUOU
      FDYCVVDUVOVUSUVJTVVDUVNVURUVLSUVMVUOFUJVDVEVEYFYGVVCAUVJUVJVULQAUVJVUCYHA
      VULUVJXMTRUVJAVUKXMUVJTAVUKUVLUGSRXMAUXPUGUVLSUYJVEAUVLUYOYIYOVEAUVJAUVJV
      UCXBZYJYOYKUWSAVUFVVAAUWSVUFVVAYEZAUWSUWDVVFUYHUWEVUFUVLVUDTRZVUTQUHZVVAU
      WEVUFVVGUVLVUETRZQUHZVVHUWEVUDVFPZVUEVFPZUWNUYPVUFVVJYEUWEUXEUXHYBZUWEUVJ
      UWHAUVJVFPUWDVUCVNZUXDYLUWRAUYPUWDUYQVNVVKVVLUWNUYPVAYMVUFVVJVUDVUEUVLYNY
      PYQUWEVVIVUTVVGQUWEVVIUVJUVLUWHTRZTRVUTUWEUVLUVJUWHAUVLVTPUWDUYOVNZAUVJVT
      PUWDVVEVNUWEUWHUXDXBZYRUWEVVOVUSUVJTUWEUVLUWGXMUARZSRUWHUVLTRVUSVVOUWEUVL
      UWGVVPUXCYSUWEVURVVRUVLSUWDUYDUYCVURVVRVBZAUYDUWCUVQGUYFJUUAUYEUYDXMVTPUY
      CVVSUUBUWCXMFUUCUUDUUEVEUWEUVLUWHVVPVVQUUFWMVEYOUUGUUHUWEVUQVVGQUHZVVHVVA
      UWEVUQBVUDTRVVGUWEVUPUWEVUGVTPZVUPVTPULHVUOVVDVUGVUPVTUVMVUODYDXSAVWAULHY
      TZUWDAUXFCHYTVWBVUBUXFVWACULHCULVCUXEVUGVTUWCUVMDYDXSUUIUUJVNUWDAVUOGPVUO
      HPFUWCGJUUKAGHVUOUXGWDUULYAYBZUWEBVUDAUWPUWDKVNZVVMYLUWEUVLVUDUWRVVMYLZOU
      WEBUVLVUDVWDUWRVVMUWEUXEUXHUUPABUVLQUHZUWDAUWPUWOVWFKVKBUGUUMXEVNUUNUUOUW
      EVUQVFPVVGVFPVUTVFPVVTVVHVAVVAYEVWCVWEUWEUVJVUSVVNUWEUVLVURUWRUWEVUOUVQPZ
      VURVRPUWEUWSVWGUXAFUWCUUQURFVUOVPURVQYLVUQVVGVUTUURUUSUUTUVAWEUVBUVCUVDUV
      EUXSUWFUWHUVJTUYIVEYKUVGACDEFHIMNUVFXQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Mertens' theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d j m n s t x y z B $.  $d i j k l m n s u y z G $.  $d j k m x y z ph $.
    $d k m n s t y A $.  $d j k m n s t y z E $.  $d i j k m n s t u y z K $.
    $d j m n u x y F $.  $d j k m n t y z ps $.  $d j k m n t w y z T $.
    $d k m x y H $.
    mertens.1 $e |- ( ( ph /\ j e. NN0 ) -> ( F ` j ) = A ) $.
    mertens.2 $e |- ( ( ph /\ j e. NN0 ) -> ( K ` j ) = ( abs ` A ) ) $.
    mertens.3 $e |- ( ( ph /\ j e. NN0 ) -> A e. CC ) $.
    mertens.4 $e |- ( ( ph /\ k e. NN0 ) -> ( G ` k ) = B ) $.
    mertens.5 $e |- ( ( ph /\ k e. NN0 ) -> B e. CC ) $.
    mertens.6 $e |- ( ( ph /\ k e. NN0 ) -> ( H ` k ) =
                      sum_ j e. ( 0 ... k ) ( A x. ( G ` ( k - j ) ) ) ) $.
    mertens.7 $e |- ( ph -> seq 0 ( + , K ) e. dom ~~> ) $.
    mertens.8 $e |- ( ph -> seq 0 ( + , G ) e. dom ~~> ) $.
    ${
      mertens.9 $e |- ( ph -> E e. RR+ ) $.
      mertens.10 $e |- T = { z | E. n e. ( 0 ... ( s - 1 ) ) z =
                        ( abs ` sum_ k e. ( ZZ>= ` ( n + 1 ) ) ( G ` k ) ) } $.
      mertens.11 $e |- ( ps <-> ( s e. NN /\ A. n e. ( ZZ>= ` s )
        ( abs ` sum_ k e. ( ZZ>= ` ( n + 1 ) ) ( G ` k ) ) <
          ( ( E / 2 ) / ( sum_ j e. NN0 ( K ` j ) + 1 ) ) ) ) $.
      ${
        mertens.12 $e |- ( ph -> ( ps /\ ( t e. NN0 /\ A. m e. ( ZZ>= ` t )
       ( K ` m ) < ( ( ( E / 2 ) / s ) / ( sup ( T , RR , < ) + 1 ) ) ) ) ) $.
        mertens.13 $e |- ( ph -> ( 0 <_ sup ( T , RR , < ) /\
          ( T C_ RR /\ T =/= (/) /\ E. z e. RR A. w e. T w <_ z ) ) ) $.
        $( Lemma for ~ mertens .  (Contributed by Mario Carneiro,
           29-Apr-2014.) $)
        mertenslem1 $p |- ( ph ->
        E. y e. NN0 A. m e. ( ZZ>= ` y ) ( abs ` sum_ j e. ( 0 ... m ) ( A x.
            sum_ k e. ( ZZ>= ` ( ( m - j ) + 1 ) ) B ) ) < E ) $=
          ( cv caddc co cn0 wcel cc0 cfz cmin c1 cuz cfv csu cmul cabs clt wral
          wbr wrex cdiv wa cr simpld simprd fzfid cc elfznn0 syl2an eqid adantl
          peano2nn0 nn0zd wceq simplll sylan syl2anc cseq ad2antrr nn0uz simpll
          syl eqeltrd mpbid isumcl abscld fsumrecl rpred adantr wss cle cz zred
          nn0red wb eleqtrdi elfzelz eluz mpbird sselda remulcld syldan crp 0zd
          absge0d breqtrrd ge0p1rpd rerpdivcld rpdivcld sumeq2dv fveq2d rspcdva
          jca breq1d eqbrtrrd ltled fsumle recnd rpcnd wne fveq2 oveq2i adantlr
          peano2re ltp1d lelttrd syl3anc zcnd cen oveq1d cn c2 nnnn0d nn0addcld
          sylib simpl fznn0sub eluznn0 cli iserex mulcld fsumcl fsumabs nn0ge0d
          csup cdm eluzelz subge02d nnzd uzid uzaddcl uztrn2 sylanbrc fznn0sub2
          elfzuzb fzss2 fzss1 rphalfcld eqidd isumrecl isumge0 fvoveq1 ad2antlr
          sumeq1d elfzle2 lesubd zsubcld lemul2a syl31anc rpne0d divassd oveq1i
          cbvsumv eqeltrid fsummulc1 sumeq2i 3eqtr3g fz0ssnn0 isumless rpregt0d
          a1i eqtrd ltmul1 ltdivmul w3a suprcl nnrpd elfzuz leaddsub2d peano2uz
          c0 eluzle uztrn syl2anr peano2zm subsubd elfzle1 eqbrtrd subled elfz5
          1cnd eqcomd rspceeqv fvex eqeq1 elab2 sylibr suprub lemul12a syl22anc
          rexbidv wi mp2and chash cfn fsumconst 1zzd fzen ax-1cn addcom sylancr
          pncan3d oveq12d breqtrd hashen hashfz1 eqtr3d rpcnne0d div23 divcan2d
          divass nnne0d mulassd 3eqtr2rd 3eqtrd ltmul2dd ltdivmul2d lt2addd cin
          absmuld fzdisj cun fzsplit fsumsplit eqtr2d 3brtr3d ralrimiva raleqdv
          2halvesd rspcev ) ASUMZFUMZUNUOZUPUQURLUMZUSUOZGVVDJUMZUTUOZVAUNUOZVB
          VCZHKVDZVEUOZJVDZVFVCZNVGVIZLVVCVBVCZVHZVVNLCUMZVBVCZVHZCUPVJAVVAVVBA
          VVAAVVAUUAUQZMUMZVAUNUOVBVCZKUMZPVCZKVDZVFVCZNUUBVKUOZUPVVFRVCZJVDZVA
          UNUOZVKUOZVGVIZMVVAVBVCZVHZABVVTVWNVLABVVBUPUQZVVDRVCZVWGVVAVKUOZIVMV
          GUUOZVAUNUOZVKUOZVGVIZLVVBVBVCZVHZVLZUKVNUJUUEZVNZUUCZAVWOVXCABVXDUKV
          OZVNZUUDAVVNLVVOAVVDVVOUQZVLZVVMVVEVVKVFVCZJVDZNVXKVVLVXKVVEVVKJVXKUR
          VVDVPZVXKVVFVVEUQZVLZGVVJVXKAVVFUPUQZGVQUQVXOAVXJUUFZVVFVVDVRZUBVSZVX
          PHKPVVHVVIVVIVTZVXPVVHVXPVVGUPUQZVVHUPUQZVXOVYBVXKVVFURVVDUUGZWAVVGWB
          WLZWCZVXPVWCVVIUQZVLZAVWCUPUQZVWDHWDZAVXJVXOVYGWEZVXPVYCVYGVYIVYEVWCV
          VHUUHZWFZUCWGVYHAVYIHVQUQZVYKVYMUDWGVXPUNPURWHUUIUUPZUQZUNPVVHWHVYOUQ
          ZAVYPVXJVXOUGWIVXPKPURVVHUPWJVYEVXPAVYIVWDVQUQAVXJVXOWKAVYIVLVWDHVQUC
          UDWMWFUUJWNZWOZUUKZUULWPVXKVVEVXLJVXNVXPVVKVYTWPWQANVMUQVXJANUHWRWSVX
          KVVEVVKJVXNVYTUUMVXKURVVDVVAUTUOZUSUOZGVFVCZVVJVFVCZVEUOZJVDZWUAVAUNU
          OZVVDUSUOZWUEJVDZUNUOZVWGVWGUNUOVXMNVGVXKWUFWUIVWGVWGVXKWUBWUEJVXKURW
          UAVPZVXKVVFWUBUQZVXOWUEVMUQZVXKWUBVVEVVFVXKVVDWUAVBVCUQZWUBVVEWTVXKWU
          NWUAVVDXAVIZVXKURVVAXAVIWUOVXKVVAAVVAUPUQZVXJVXGWSZUUNVXKVVDVVAVXKVVD
          VXJVVDXBUQZAVVCVVDUUQZWAZXCZVXKVVAWUQXDZUURWNVXKWUAXBUQZWURWUNWUOXEVX
          KWUAVVEUQZWVCVXKVVAVVEUQZWVDVXKVVAURVBVCZUQVVDVWMUQZWVEVXKVVAUPWVFWUQ
          WJXFAVVCVWMUQZVXJWVGAVVAVWMUQZVWOWVHAVVAXBUQZWVIAVVAVXFUUSZVVAUUTWLVX
          IVVBVVAVVAUVAWGVVAVVDVVCVWMVWMVTUVBWFVVAURVVDUVEUVCVVAVVDUVDWLZWUAURV
          VDXGWLZWUTWUAVVDXHWGXIWUAURVVDUVFWLXJZVXPWUCWUDVXKAVXQWUCVMUQZVXOVXRV
          XSAVXQVLZGUBWPZVSVXPVVJVYSWPZXKZXLZWQZVXKWUHWUEJVXKWUGVVDVPZVXKVVFWUH
          UQZVXOWUMVXKWUHVVEVVFVXKWUGWVFUQWUHVVEWTVXKWUGUPWVFVXKWUAUPUQZWUGUPUQ
          VXKWVDWWDWVLWUAVVDVRWLWUAWBWLWJXFWUGURVVDUVGWLXJZWVSXLZWQZAVWGVMUQZVX
          JAVWGANUHUVHZWRZWSZWWKVXKWUFWUBWUCJVDZVWGVEUOZVWJVKUOZVWGWWAVXKWWMVWJ
          VXKWWLVWGVXKWUBWUCJWUKVXKAVXQWVOWULVXRVVFWUAVRZWVQVSZWQZWWKXKZAVWJXMU
          QVXJAVWIAVWHJRURUPWJAXNZWVPVWHUVIZWVPVWHWUCVMUAWVQWMZUFUVJZAVWHJRURUP
          WJWWSWWTWXAUFWVPURWUCVWHXAWVPGUBXOZUAXPUVKXQZWSXRWWKVXKWUFWUBWUCVWKVE
          UOZJVDZWWNXAVXKWUBWUEWXEJWUKWVTVXKWULVLZWUCVWKWWPAVWKVMUQZVXJWULAVWKA
          VWGVWJWWIWXDXSZWRWIZXKWXGWUDVMUQZWXHWVOURWUCXAVIZVLZWUDVWKXAVIWUEWXEX
          AVIWXGVVJWXGHKPVVHVVIVYAVXKWULVXOVVHXBUQWVNVYFXLWXGVYGVLZAVYIVYJAVXJW
          ULVYGWEZWXGVYCVYGVYIVXKWULVXOVYCWVNVYEXLVYLWFZUCWGZWXNAVYIVYNWXOWXPUD
          WGVXKWULVXOVYQWVNVYRXLWOWPZWXJVXKAVXQWXMWULVXRWWOWVPWVOWXLWVQWXCYCZVS
          WXGWUDVWKWXRWXJWXGVVIVWDKVDZVFVCZWUDVWKVGWXGWXTVVJVFWXGVVIVWDHKWXQXTY
          AWXGVWLWYAVWKVGVIMVWMVVGVWAVVGWDZVWFWYAVWKVGWYBVWEWXTVFWYBVWBVVIVWDKV
          WAVVGVAVBUNUVLUVNYAZYDAVWNVXJWULAVVTVWNVXEVOWIWXGVVGVWMUQZVVAVVGXAVIZ
          WXGVVFVVDVVAWXGVVFWULVVFXBUQVXKVVFURWUAXGWAZXCWXGVVDVXJWURAWULWUSUVMZ
          XCWXGVVAAWVJVXJWULWVKWIZXCWULVVFWUAXAVIVXKVVFURWUAUVOWAUVPWXGWVJVVGXB
          UQWYDWYEXEWYHWXGVVDVVFWYGWYFUVQVVAVVGXHWGXIYBYEYFWUDVWKWUCUVRUVSYGVXK
          WWNWWLVWKVEUOZWXFVXKWWLVWGVWJVXKWWLWWQYHAVWGVQUQZVXJAVWGWWIYIZWSAVWJV
          QUQVXJAVWJAVWIVMUQZVWJVMUQZWXBVWIYNWLZYHWSAVWJURYJVXJAVWJWXDUVTWSUWAV
          XKWWLVWGUPVWARVCZMVDZVAUNUOZVKUOZVEUOWUBWUCWYRVEUOZJVDWYIWXFVXKWUBWUC
          WYRJWUKAWYRVQUQVXJAWYRAWYRVWKXMWYQVWJVWGVKWYPVWIVAUNUPWYOVWHMJVWAVVFR
          YKUWCUWBYLZWXIUWDYIWSVXKAVXQWUCVQUQWULVXRWWOWVPWUCWVQYHVSUWEWYRVWKWWL
          VEWYTYLWUBWYSWXEJWYSWXEWDWULWYRVWKWUCVEWYTYLUWKUWFUWGUWLXPVXKWWNVWGVG
          VIZWWMVWJVWGVEUOVGVIZVXKWWLVWJVGVIZXUBVXKWWLVWIVWJWWQAWYLVXJWXBWSAWYM
          VXJWYNWSZVXKWWLUPWUCJVDZVWIXAVXKWUBWUCJRURUPWJVXKXNWUKWUBUPWTVXKWUAUW
          HUWKAVXQVWHWUCWDZVXJUAYMAVXQWVOVXJWVQYMAVXQWXLVXJWXCYMAUNRURWHVYOUQVX
          JUFWSUWIAVWIXUEWDVXJAUPVWHWUCJUAXTWSXPAVWIVWJVGVIVXJAVWIWXBYOWSYPVXKW
          WLVMUQWYMWWHURVWGVGVIVLZXUCXUBXEWWQXUDAXUGVXJAVWGWWIUWJWSWWLVWJVWGUWM
          YQWNVXKWWMVMUQWWHWYMURVWJVGVIVLZXUAXUBXEWWRWWKAXUHVXJAVWJWXDUWJWSWWMV
          WGVWJUWNYQXIYPVXKWUIVWGVWRVEUOZVWSVKUOZVWGWWGAXUJVMUQVXJAXUIVWSAVWGVW
          RWWJAIVMWTIUXAYJEUMDUMZXAVIEIVHDVMVJUWOZVWRVMUQZAURVWRXAVIZXULULVOZDE
          IUWPWLZXKZAVWRXUPAXUNXULULVNXQZXRWSWWKVXKWUIWUHVWTVWRVEUOZJVDZXUJXAVX
          KWUHWUEXUSJWWBWWFAXUSVMUQVXJWWCAVWTVWRAVWTAVWQVWSAVWGVVAWWIAVVAVXFUWQ
          XSZXURXSZWRZXUPXKZWIVXKWWCVLZWUCVWTXAVIZWUDVWRXAVIZWUEXUSXAVIZXVEWUCV
          WTXVEAVXQWVOAVXJWWCWKZXVEVXOVXQWWEVXSWLZWVQWGAVWTVMUQZVXJWWCXVCWIZXVE
          VWHWUCVWTVGXVEAVXQXUFXVIXVJUAWGXVEVXAVWHVWTVGVILVXBVVFVVDVVFWDVWPVWHV
          WTVGVVDVVFRYKYDAVXCVXJWWCAVWOVXCVXHVOWIWWCVVFWUGVBVCUQWUGVXBUQZVVFVXB
          UQVXKVVFWUGVVDUWRVXKWUAVXBUQZXVMVXKXVNVVBWUAXAVIZVXKVVCVVDXAVIZXVOVXJ
          XVPAVVCVVDUXBWAVXKVVAVVBVVDWVBVXKVVBAVVBXBUQZVXJAVVBVXIWCWSZXCWVAUWSW
          NVXKXVQWVCXVNXVOXEXVRWVMVVBWUAXHWGXIVVBWUAUWTWLWUGVVFVVBUXCUXDYBYEYFX
          VEXULWUDIUQZXVGAXULVXJWWCXUOWIXVEWUDVWFWDZMURVVAVAUTUOZUSUOZVJZXVSXVE
          VVGXWBUQZWUDWYAWDXWCXVEXWDVVGXWAXAVIZXVEVVDXWAVVFVXKVVDVMUQWWCWVAWSAX
          WAVMUQVXJWWCAXWAAWVJXWAXBUQZWVKVVAUXEWLZXCWIXVEVVFXVJXDXVEVVDXWAUTUOZ
          WUGVVFXAVXKXWHWUGWDWWCVXKVVDVVAVAVXKVVDWUTYRZVXKVVAWVBYHZVXKUXKUXFWSW
          WCWUGVVFXAVIVXKVVFWUGVVDUXGWAUXHUXIXVEVVGWVFUQXWFXWDXWEXEXVEVVGUPWVFX
          VEVXOVYBWWEVYDWLWJXFAXWFVXJWWCXWGWIVVGURXWAUXJWGXIXVEVVJWXTVFXVEWXTVV
          JXVEVVIVWDHKXVEVYGVLAVYIVYJAVXJWWCVYGWEXVEVYCVYGVYIVXKWWCVXOVYCWWEVYE
          XLVYLWFUCWGXTUXLYAMVVGXWBVWFWYAWUDWYCUXMWGXUKVWFWDZMXWBVJXWCDWUDIVVJV
          FUXNXUKWUDWDXWKXVTMXWBXUKWUDVWFUXOUYAUIUXPUXQDEIWUDUXRWGXVEWXMXVKWXKU
          RWUDXAVIZVLXUMXVFXVGVLXVHUYBXVEAVXQWXMXVIXVJWXSWGXVLXVEWXKXWLVXKWWCVX
          OWXKWWEWVRXLVXKWWCVXOXWLWWEVXPVVJVYSXOXLYCAXUMVXJWWCXUPWIWUCVWTWUDVWR
          UXSUXTUYCYGVXKXUTWUHUYDVCZXUSVEUOZVVAXUSVEUOZXUJVXKWUHUYEUQZXUSVQUQZX
          UTXWNWDWWBAXWQVXJAXUSXVDYHWSWUHXUSJUYFWGVXKXWMVVAXUSVEVXKVAVVAUSUOZUY
          DVCZXWMVVAVXKXWSXWMWDZXWRWUHYSVIZVXKXWRVAWUAUNUOZVVAWUAUNUOZUSUOZWUHY
          SVXKVAXBUQWVJWVCXWRXXDYSVIVXKUYGAWVJVXJWVKWSWVMWUAVAVVAUYHYQVXKXXBWUG
          XXCVVDUSVXKVAVQUQWUAVQUQXXBWUGWDUYIVXKWUAWVMYRVAWUAUYJUYKVXKVVAVVDXWJ
          XWIUYLUYMUYNVXKXWRUYEUQXWPXWTXXAXEVXKVAVVAVPWWBXWRWUHUYOWGXIVXKWUPXWS
          VVAWDWUQVVAUYPWLUYQYTAXWOXUJWDVXJAXUJVWGVWSVKUOZVWRVEUOZVVAVWTVEUOZVW
          RVEUOXWOAWYJVWRVQUQVWSVQUQVWSURYJVLZXUJXXFWDWYKAVWRXUPYHZAVWSXURUYRZV
          WGVWRVWSUYSYQAXXGXXEVWRVEAVVAVWQVEUOZVWSVKUOZXXGXXEAVVAVQUQVWQVQUQXXH
          XXLXXGWDAVVAWVKYRZAVWQXVAYIXXJVVAVWQVWSVUAYQAXXKVWGVWSVKAVWGVVAWYKXXM
          AVVAVXFVUBUYTYTUYQYTAVVAVWTVWRXXMAVWTXVBYIXXIVUCVUDWSVUEUYNAXUJVWGVGV
          IZVXJAXXNXUIVWGVWSVEUOVGVIAVWRVWSVWGXUPAXUMVWSVMUQXUPVWRYNWLWWIAVWRXU
          PYOVUFAXUIVWGVWSXUQWWJXURVUGXIWSYPVUHVXKVXMVVEWUEJVDWUJVXKVVEVXLWUEJV
          XPGVVJVXTVYSVUJXTVXKWUBWUHWUEVVEJVXKWUAWUGVGVIWUBWUHVUIUXAWDVXKWUAVXK
          WUAWVMXCYOURWUAWUGVVDVUKWLVXKWVDVVEWUBWUHVULWDWVLWUAURVVDVUMWLVXNVXPW
          UEWVSYHVUNVUOVXKNANVQUQVXJANUHYIWSVUSVUPYPVUQVVSVVPCVVCUPVVQVVCWDVVNL
          VVRVVOVVQVVCVBYKVURVUTWG $.
      $}

      $d n s t ph $.
      $( Lemma for ~ mertens .  (Contributed by Mario Carneiro,
         28-Apr-2014.) $)
      mertenslem2 $p |- ( ph -> E. y e. NN0 A. m e. ( ZZ>= ` y )
        ( abs ` sum_ j e. ( 0 ... m ) ( A x.
          sum_ k e. ( ZZ>= ` ( ( m - j ) + 1 ) ) B ) ) < E ) $=
        ( vt vw cv caddc cc0 cseq cfv cn0 csu cmin co cabs c2 cdiv clt wbr wral
        c1 cuz cn wrex cfz cmul nnuz 1zzd rphalfcld nn0uz 0zd wcel eqidd abscld
        wa cr eqeltrd isumrecl cle absge0d breqtrrd ge0p1rpd rpdivcld isumclim2
        isumge0 climi2 wb eluznn cc nnnn0 syl2an isumcl adantr adantl peano2nn0
        wf eqid syl nn0zd wceq eluznn0 sylan syl2anc cli adantlr iserex sumeq1d
        mpbid elfznn0 eleqtrdi eqtrd oveq1d sumeq2dv fveq2d breq1d ralbidva weq
        cbvralvw crp simplll ad2antrr ad4ant14 rexlimdva cfn fvex w3a a1i fveq2
        sylan2 fvmpt cvv adantll anbi2i sylbid mpd serf ffvelrn abssubd pncan2d
        simpll isumsplit nncn ax-1cn pncan sylancl oveq2d simpl fsumser 3eqtr4d
        cdm anassrs fvoveq1 bitrdi csup cmpt simplbi nnrpd cab wi eleq1a abssdv
        eqsstrid wne wss fzfid abrexfi eqeltrid nnm1nn0 eluzfz1 fv0p1e1 eqtr4di
        c0 eqcomd rspceeqv eqeq1 rexbidv elab2 sylibr ne0d ltso fisupcl syl3anc
        wor mpan sseldd 0red 1nn0 fimaxre2 suprubd letrd nn0ex elnn0uz sylan2br
        mptex seqfeq recnd serf0 climi0 absidd ralrimiva eqeq12d rspccva biimpi
        bitr4di 3jca jca mertenslem1 expr ex syl5bir expdimp ) AJUKZULNUMUNZUOZ
        UPFIUQZURUSUTUOZLVAVBUSZUPHUKZPUOZHUQZVFULUSZVBUSZVCVDZJQUKZVGUOZVEZQVH
        VIUMUXQVJUSZEUXQUYCURUSVFULUSVGUOFIUQVKUSHUQUTUOLVCVDJCUKVGUOVECUPVIZAU
        XTUXSUYGQJUXRVFVHVLAVMZAUYBUYFALUFVNZAUYEAUYDHPUMUPVOAVPZAUYCUPVQZVTZUY
        DVRZUYRUYDEUTUOZWASUYRETVSZWBZUDWCAUYDHPUMUPVOUYPUYSVUBUDUYRUMUYTUYDWDU
        YRETWESWFZWJWGWHAUXQVHVQZVTZUXSVRAFINUMUPVOUYPUAUBUEWIWKAUYKUYMQVHAUYIV
        HVQZVTZUYKKUKZVFULUSZVGUOZIUKZNUOZIUQZUTUOZUYGVCVDZKUYJVEZUYMVUGUYKUXQV
        FULUSZVGUOZVULIUQZUTUOZUYGVCVDZJUYJVEVUPVUGUYHVVAJUYJAVUFUXQUYJVQZUYHVV
        AWLZVUFVVBVTAVUDVVCUXQUYIWMVUEUYAVUTUYGVCVUEUYAUXTUXSURUSZUTUOVUTVUEUXS
        UXTAUPWNUXRXAUXQUPVQZUXSWNVQVUDAINUMUPVOUYPAVUKUPVQZVTVULFWNUAUBWBZUUAU
        XQWOZUPWNUXQUXRUUBWPZAUXTWNVQVUDAFINUMUPVOUYPUAUBUEWQWRUUCVUEVVDVUSUTVU
        EUXSVURFIUQZULUSZUXSURUSVVJVVDVUSVUEUXSVVJVVIVUEFINVUQVURVURXBZVUEVUQVU
        EVVEVUQUPVQZVUDVVEAVVHWSZUXQWTXCZXDVUEVUKVURVQZVTZAVVFVULFXEZAVUDVVPUUE
        ZVUEVVMVVPVVFVVOVUKVUQXFXGZUAXHZVVQAVVFFWNVQZVVSVVTUBXHVUEUXRXIUUOZVQZU
        LNVUQUNVWCVQAVWDVUDUEWRZVUEINUMVUQUPVOVVOAVVFVULWNVQZVUDVVGXJXKXMWQUUDV
        UEUXTVVKUXSURVUEUXTUMVUQVFURUSZVJUSZFIUQZVVJULUSVVKVUEFINUMVUQVURUPVOVV
        LVVOAVVFVVRVUDUAXJAVVFVWBVUDUBXJVWEUUFVUEVWIUXSVVJULVUEVWIUYLFIUQUXSVUE
        VWHUYLFIVUEVWGUXQUMVJVUEUXQWNVQZVFWNVQVWGUXQXEVUDVWJAUXQUUGWSUUHUXQVFUU
        IUUJUUKXLVUEFINUMUXQVUEAVVFVVRVUKUYLVQZAVUDUULZVUKUXQXNZUAWPVUEUXQUPUMV
        GUOZVVNVOXOVUEAVVFVWBVWKVWLVWMUBWPUUMXPXQXPXQVUEVURVULFIVWAXRUUNXSXPXTY
        NUUPYAVVAVUOJKUYJJKYBZVUTVUNUYGVCVWOVUSVUMUTVWOVURVUJVULIUXQVUHVFVGULUU
        QXLXSXTYCUURAVUFVUPUYMVUFVUPVTBAUYMUHABUYMABVTZUXQPUOZUTUOZUYBUYIVBUSZG
        WAVCUUSZVFULUSZVBUSZVCVDZJUIUKZVGUOZVEZUIUPVIUYMVWPVWQVXBUIJKUPVUHPUOZU
        UTZUMUPVOVWPVPVWPVWSVXAVWPUYBUYIAUYBYDVQBUYOWRVWPUYIBVUFABVUFVUPUHUVAWS
        ZUVBWHVWPVWTVWPGWAVWTVWPGDUKZVUNXEZKUMUYIVFURUSZVJUSZVIZDUVCZWAUGVWPVXN
        DWAVWPVXKVXJWAVQZKVXMVWPVUHVXMVQZVTZVUNWAVQVXKVXPUVDVXRVUMVXRVULINVUIVU
        JVUJXBVXRVUIVXRVUHUPVQZVUIUPVQZVXQVXSVWPVUHVXLXNWSVUHWTXCZXDVXRVUKVUJVQ
        ZVTZVULVRVYCAVVFVWFABVXQVYBYEVXRVXTVYBVVFVYAVUKVUIXFXGVVGXHVXRVWDULNVUI
        UNVWCVQAVWDBVXQUEYFVXRINUMVUIUPVOVYAAVVFVWFBVXQVVGYGXKXMWQVSVUNWAVXJUVE
        XCYHUVFUVGZVWPGYIVQZGUVQUVHZGWAUVIZVWTGVQZVWPGVXOYIUGVWPVXMYIVQVXOYIVQV
        WPUMVXLUVJKDVXMVUNUVKXCUVLZVWPGVHFIUQZUTUOZVWPVYKVUNXEZKVXMVIZVYKGVQVWP
        UMVXMVQZVYKVHVULIUQZUTUOZXEVYMVWPVXLVWNVQVYNVWPVXLUPVWNVWPVUFVXLUPVQVXI
        UYIUVMXCVOXOUMVXLUVNXCVWPVYPVYKVWPVYOVYJUTAVYOVYJXEBAVHVULFIVUKVHVQZAVV
        FVVRVUKWOZUAYNZXRWRXSUVRKUMVXMVUNVYPVYKVUHUMXEZVUMVYOUTVYTVUJVHVULIVYTV
        UJVFVGUOVHVGVUHUVOVLUVPXLXSUVSXHVXNVYMDVYKGVYJUTYJVXJVYKXEVXKVYLKVXMVXJ
        VYKVUNUVTUWAUGUWBUWCZUWDZVYDWAVCUWHVYEVYFVYGYKVYHUWEWAGVCUWFUWIUWGUWJZV
        WPUMVYKVWTVWPUWKVWPVYJAVYJWNVQBAFINVFVHVLUYNVYSVYQAVVFVWBVYRUBYNAVWDULN
        VFUNVWCVQUEAINUMVFUPVOVFUPVQAUWLYLVVGXKXMWQWRZVSWUCVWPVYJWUDWEVWPDUJGVY
        KVYDWUBVWPVYGVYEUJUKVXJWDVDUJGVEDWAVIZVYDVYIDUJGUWMXHZWUAUWNUWOZWGWHVVE
        UXQVXHUOVWQXEVWPKUXQVXGVWQUPVXHVUHUXQPYMZVXHXBZUXQPYJYOWSAVXHUMXIVDBAHV
        XHUMYPUPVOUYPVXHYPVQAKUPVXGUWPUWSYLAULVXHUMUNULPUMUNZVWCAULHVXHPUMUYPUY
        CVWNVQAUYQUYCVXHUOZUYDXEZUYCUWQUYQWULAKUYCVXGUYDUPVXHVUHUYCPYMWUIUYCPYJ
        YOWSZUWRUWTUDWBUYRWUKUYRWUKUYTWAUYRWUKUYDUYTWUMSXPVUAWBUXAUXBWRUXCVWPVX
        FUYMUIUPVWPVXDUPVQZVTZVXFVXGVXBVCVDZKVXEVEZUYMWUOVXFVWQVXBVCVDZJVXEVEZW
        UQWUOVXCWURJVXEWUOUXQVXEVQZVTZVWRVWQVXBVCWVAAVVEVWRVWQXEZABWUNWUTYEWUNW
        UTVVEVWPUXQVXDXFYQAUYDUTUOZUYDXEZHUPVEVVEWVBAWVDHUPUYRUYDVUBVUCUXDUXEWV
        DWVBHUXQUPHJYBZWVCVWRUYDVWQWVEUYDVWQUTUYCUXQPYMZXSWVFUXFUXGXGXHXTYAWUPW
        URKJVXEKJYBVXGVWQVXBVCWUHXTYCZUXIVWPWUNWUQUYMVWPWUNWUQVTZVTBCDUJUIEFGHI
        JKLMNOPQAUYQUYCMUOEXEBWVHRYGAUYQUYDUYTXEBWVHSYGAUYQEWNVQBWVHTYGAVVFVVRB
        WVHUAYGAVVFVWBBWVHUBYGAVVFVUKOUOUMVUKVJUSEVUKUYCURUSNUOVKUSHUQXEBWVHUCY
        GAWUJVWCVQBWVHUDYFAVWDBWVHUEYFALYDVQBWVHUFYFUGUHBWVHBWUNWUSVTZVTZABWVHV
        TWVJWVHWVIBWUQWUSWUNWVGYRYRUXHYQVWPUMVWTWDVDZVYGVYFWUEYKZVTWVHVWPWVKWVL
        WUGVWPVYGVYFWUEVYDWUBWUFUXJUXKWRUXLUXMYSYHYTUXNUXOUXPYSYHYT $.
    $}

    $d n s ph $.
    $( Mertens' theorem.  If ` A ( j ) ` is an absolutely convergent series and
       ` B ( k ) ` is convergent, then
       ` ( sum_ j e. NN0 A ( j ) x. sum_ k e. NN0 B ( k ) ) = `
       ` sum_ k e. NN0 sum_ j e. ( 0 ... k ) ( A ( j ) x. B ( k - j ) ) ` (and
       this latter series is convergent).  This latter sum is commonly known as
       the Cauchy product of the sequences.  The proof follows the outline at
~ http://en.wikipedia.org/wiki/Cauchy_product#Proof_of_Mertens.27_theorem .
       (Contributed by Mario Carneiro, 29-Apr-2014.) $)
    mertens $p |- ( ph -> seq 0 ( + , H ) ~~>
                    ( sum_ j e. NN0 A x. sum_ k e. NN0 B ) ) $=
      ( cn0 co wcel vx vy vm vn vi vs vu vz vl csu cmul caddc cfv cmpt cc0 cseq
      cv cvv nn0uz 0zd seqex a1i cc wa cfz cmin fzfid simpl elfznn0 syl2an wceq
      fveq2 eleq1d wral eqeltrd ralrimiva weq cbvralvw ad2antrr fznn0sub adantl
      sylib rspcdva mulcld fsumcl serf ffvelrnda cabs clt wbr cuz wrex c1 cn c2
      crp cdiv cab adantlr cli cdm adantr cbvsumv fvoveq1 sumeq1d eqtrid fveq2d
      simpr eqeq2d eqeq1 rexbidv syl5bb cbvabv oveq1i oveq2i breq2i mertenslem2
      cbvrexvw breq1d anbi2i eluznn0 simpll isumcl syl2anc simplll ad2antlr syl
      wb eqid sylan oveq2d sumeq2dv eqtr4d eqtrd mulcomd oveq12d 3eqtr3rd fvmpt
      ovex fsumser fsumsub subdid peano2nn0 nn0zd iserex mpbid isumsplit nn0cnd
      ax-1cn pncan sylancl oveq1d mvrladdd fsummulc2 eleqtrdi anasss fsum0diag2
      sylan2 anassrs ralbidva rexbidva mpbird abscvgcvg isumclim2 rspccva 2clim
      isermulc2 breqtrd ) AUARBDUJZRCEUJZUKSZUBUCULUDRUVJUDUQZFUMZUKSZUNZUOUPZU
      LHUOUPZUOURRUSAUTZUVQURTAULHUOVAVBARVCUCUQZUVQAEHUORUSUVRAEUQZRTZVDZUVTHU
      MZUOUVTVESZBUVTDUQZVFSZGUMZUKSZDUJZVCOUWBUWDUWHDUWBUOUVTVGUWBUWEUWDTZVDZB
      UWGUWBAUWERTZBVCTZUWJAUWAVHUWEUVTVILVJUWKUEUQZGUMZVCTZUWGVCTUERUWFUWNUWFV
      KUWOUWGVCUWNUWFGVLVMAUWPUERVNZUWAUWJAUVTGUMZVCTZERVNUWQAUWSERUWBUWRCVCMNV
      OZVPUWSUWPEUEREUEVQUWRUWOVCUVTUWNGVLVMVRWBVSUWJUWFRTUWBUWEUOUVTVTWAWCWDWE
      ZVOWFWGAUVSUVPUMZUVSUVQUMZVFSZWHUMZUAUQZWIWJZUCUBUQZWKUMZVNZUBRWLZUAWPAUX
      FWPTZVDZUXKUOUVSVESZBUVSUWEVFSZWMULSZWKUMZCEUJZUKSZDUJZWHUMZUXFWIWJZUCUXI
      VNZUBRWLZUXMUFUQZWNTZUGUQZWMULSWKUMZUWOUEUJZWHUMZUXFWOWQSZRUWNIUMZUEUJZWM
      ULSZWQSZWIWJZUGUYEWKUMZVNZVDUBUHBCUYGUWNWMULSWKUMZUIUQZGUMZUIUJZWHUMZVKZU
      EUOUYEWMVFSVESZWLZUGWRDEUCUDUXFFGHIUFAUWLUWEFUMZBVKUXLJWSAUWLUWEIUMZBWHUM
      ZVKUXLKWSAUWLUWMUXLLWSAUWAUWRCVKZUXLMWSAUWACVCTZUXLNWSAUWAUWCUWIVKZUXLOWS
      AULIUOUPWTXAZTUXLPXBAULGUOUPVUMTZUXLQXBAUXLXHVUFUHUQZUVLWMULSWKUMZUWREUJZ
      WHUMZVKZUDVUEWLZUGUHVUFUYGVURVKZUDVUEWLUGUHVQZVUTVUDVVAUEUDVUEUEUDVQZVUCV
      URUYGVVCVUBVUQWHVVCVUBUYSUWREUJVUQUYSVUAUWRUIEUYTUVTGVLXCVVCUYSVUPUWREUWN
      UVLWMWKULXDXEXFXGXIXRVVBVVAVUSUDVUEUYGVUOVURXJXKXLXMUYRVURUYKRVUHDUJZWMUL
      SZWQSZWIWJZUDUYQVNUYFUYPVVGUGUDUYQUYPUYJVVFWIWJUGUDVQZVVGUYOVVFUYJWIUYNVV
      EUYKWQUYMVVDWMULRUYLVUHUEDUWNUWEIVLXCXNXOXPVVHUYJVURVVFWIVVHUYIVUQWHVVHUY
      IUYHUWREUJVUQUYHUWOUWRUEEUWNUVTGVLXCVVHUYHVUPUWREUYGUVLWMWKULXDXEXFXGXSXL
      VRXTXQAUXKUYDYHUXLAUXJUYCUBRAUXHRTZVDUXGUYBUCUXIAVVIUVSUXITZUXGUYBYHZVVIV
      VJVDAUVSRTZVVKUVSUXHYAAVVLVDZUXEUYAUXFWIVVMUXDUXTWHVVMUXNUVJVUGUKSZUOUXOV
      ESZBUWRUKSZEUJZVFSZDUJUXNVVNDUJZUXNVVQDUJZVFSUXTUXDVVMUXNVVNVVQDVVMUOUVSV
      GVVMUWEUXNTZVDZAUWLVVNVCTAVVLVWAYBZVWAUWLVVMUWEUVSVIZWAZAUWLVDZUVJVUGAUVJ
      VCTZUWLACEGUORUSUVRMNQYCZXBZVWFVUGBVCJLVOZWDYDZVWBVVOVVPEVWBUOUXOVGZVWBUV
      TVVOTZVDZBUWRVWNAUWLUWMAVVLVWAVWMYEZVWAUWLVVMVWMVWDYFLYDVWNAUWAUWSVWOVWMU
      WAVWBUVTUXOVIWAZUWTYDZWDZWEUUAVVMUXNVVRUXSDVWBBUVJVVOUWREUJZVFSZUKSBUVJUK
      SZBVWSUKSZVFSUXSVVRVWBBUVJVWSVWBAUWLUWMVWCVWELYDZAVWGVVLVWAVWHVSVWBVVOUWR
      EVWLVWQWEZUUBVWBVWTUXRBUKVWBUVJVWSUXRVXDVWBCEGUXPUXQUXQYIZVWBUXPVWBUXORTZ
      UXPRTZVWAVXFVVMUWEUOUVSVTWAZUXOUUCYGZUUDVWBUVTUXQTZVDZAUWAVUJAVVLVWAVXJYE
      ZVWBVXGVXJUWAVXIUVTUXPYAYJZMYDVXKAUWAVUKVXLVXMNYDVWBVUNULGUXPUPVUMTAVUNVV
      LVWAQVSZVWBEGUOUXPRUSVXIVWBUWAVDUWRCVCVWBAUWAVUJVWCMYJZVWBAUWAVUKVWCNYJZV
      OUUEUUFYCVWBUVJUOUXPWMVFSZVESZCEUJZUXRULSVWSUXRULSVWBCEGUOUXPUXQRUSVXEVXI
      VXOVXPVXNUUGVWBVXSVWSUXRULVWBVXSVVOCEUJVWSVWBVXRVVOCEVWBVXQUXOUOVEVWBUXOV
      CTWMVCTVXQUXOVKVWBUXOVXHUUHUUIUXOWMUUJUUKYKXEVWBVVOUWRCEVWNAUWAVUJVWOVWPM
      YDYLYMUULYNUUMYKVWBVXAVVNVXBVVQVFVWBAUWLVXAVVNVKVWCVWEVWFVXAUVJBUKSVVNVWF
      BUVJLVWIYOVWFVUGBUVJUKJYKYMYDVWBVVOUWRBEVWLVXCVWQUUNYPYQYLVVMVVSUXBVVTUXC
      VFVVMVVNDUVOUOUVSVWBUWLUWEUVOUMVVNVKVWEUDUWEUVNVVNRUVOUDDVQUVMVUGUVJUKUVL
      UWEFVLYKUVOYIZUVJVUGUKYSYRYGVVMUVSRUOWKUMAVVLXHUSUUOZVWKYTVVMVVTUXNUWIEUJ
      UXCVVMUDVVPBUVLGUMZUKSUWHDEUVSUDEVQVYBUWRBUKUVLUVTGVLYKUVLUWFVKVYBUWGBUKU
      VLUWFGVLYKVVMVWAVWMVVPVCTVWRUUPUUQVVMUWIEHUOUVSVVMUVTUXNTZVDZAUWAVULAVVLV
      YCYBZVYCUWAVVMUVTUVSVIWAZOYDVYAVYDAUWAUWIVCTVYEVYFUXAYDYTYNYPYQXGXSUURUUS
      UUTUVAXBUVBVPAUVPUVJUVIUKSUVKWTAUVIUVJUCFUVOUORUSUVRVWHABDFUORUSUVRJLADIF
      UORUSUVRVWFVUHVUIVUGWHUMKVWFVUGBWHJXGYMVWJPUVCZUVDAVUGVCTZDRVNVVLUVSFUMZV
      CTZAVYHDRVWJVPVYHVYJDUVSRDUCVQVUGVYIVCUWEUVSFVLVMUVEYJVVLUVSUVOUMUVJVYIUK
      SZVKAUDUVSUVNVYKRUVOUDUCVQUVMVYIUVJUKUVLUVSFVLYKVXTUVJVYIUKYSYRWAUVGAUVJU
      VIVWHABDFUORUSUVRJLVYGYCYOUVHUVF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Finite and infinite products
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Product sequences
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d F k x $.  $d ph k x $.  $d M k x $.  $d Z k $.
    prodf.1 $e |- Z = ( ZZ>= ` M ) $.
    prodf.2 $e |- ( ph -> M e. ZZ ) $.
    prodf.3 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    $( An infinite product of complex terms is a function from an upper set of
       integers to ` CC ` .  (Contributed by Scott Fenton, 4-Dec-2017.) $)
    prodf $p |- ( ph -> seq M ( x. , F ) : Z --> CC ) $=
      ( vx cmul cc cv wcel wa co mulcl adantl seqf ) ABIJKCDEFGHBLZKMILZKMNSTJO
      KMASTPQR $.
  $}

  ${
    $d A k $.  $d F k $.  $d F n $.  $d F x $.  $d k n $.  $d k ph $.
    $d k x $.  $d M k $.  $d M n $.  $d M x $.  $d N k $.  $d N n $.
    $d n ph $.  $d n x $.  $d N x $.  $d ph x $.  $d Z k $.
    clim2prod.1 $e |- Z = ( ZZ>= ` M ) $.
    clim2prod.2 $e |- ( ph -> N e. Z ) $.
    clim2prod.3 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    clim2prod.4 $e |- ( ph -> seq ( N + 1 ) ( x. , F ) ~~> A ) $.
    $( The limit of an infinite product with an initial segment added.
       (Contributed by Scott Fenton, 18-Dec-2017.) $)
    clim2prod $p |- ( ph -> seq M ( x. , F ) ~~>
        ( ( seq M ( x. , F ) ` N ) x. A ) ) $=
      ( cmul cfv co cc wcel wceq wi fveq2 oveq2d vx vn cseq c1 caddc cvv cuz cz
      eqid uzssz eqsstri peano2zd eleqtrdi eluzel2 syl prodf ffvelrnd seqex a1i
      sselid cv wss peano2uz uzss 3syl sseqtrrdi sselda syldan ffvelrnda imbi2d
      eqeq12d weq wa adantr seqp1 seq1 adantl eqtr4d expcom eleqtrrdi ralrimiva
      oveq1 wral eleq1d rspcv mpan9 mulassd 3eqtrd exp31 com12 uzind4 climmulc2
      a2d impcom ) ABFLDEUCZMZCLDFUDUENZUCZWOWQUFWQUGMZWSUIZAFAGUHFGEUGMZUHHEUJ
      UKIUTULZKAGOFWOACDEGHAFXAPZEUHPAFGXAIHUMZEFUNUOJUPIUQZWOUFPALDEURUSAWSOCV
      AZWRACDWQWSWTXBAXFWSPZXFGPXFDMZOPZAWSGXFAWSXAGAXCWQXAPWSXAVBXDEFVCEWQVDVE
      ZHVFVGJVHUPZVIXGAXFWOMZWPXFWRMZLNZQZAUAVAZWOMZWPXPWRMZLNZQZRAWQWOMZWPWQWR
      MZLNZQZRAUBVAZWOMZWPYEWRMZLNZQZRAYEUDUENZWOMZWPYJWRMZLNZQZRAXORUAUBWQXFXP
      WQQZXTYDAYOXQYAXSYCXPWQWOSYOXRYBWPLXPWQWRSTVKVJUAUBVLZXTYIAYPXQYFXSYHXPYE
      WOSYPXRYGWPLXPYEWRSTVKVJXPYJQZXTYNAYQXQYKXSYMXPYJWOSYQXRYLWPLXPYJWRSTVKVJ
      UACVLZXTXOAYRXQXLXSXNXPXFWOSYRXRXMWPLXPXFWRSTVKVJAWQUHPZYDAYSVMZYAWPWQDMZ
      LNZYCYTXCYAUUBQAXCYSXDVNLDEFVOUOYTYBUUAWPLYSYBUUAQALDWQVPVQTVRVSYEWSPZAYI
      YNAUUCYIYNRAUUCYIYNAUUCVMZYIVMZYKYFYJDMZLNZYHUUFLNZYMUUDYKUUGQZYIUUDYEXAP
      ZUUIAWSXAYEXJVGZLDEYEVOUOVNYIUUGUUHQUUDYFYHUUFLWBVQUUEUUHWPYGUUFLNZLNZYMU
      UDUUHUUMQYIUUDWPYGUUFAWPOPUUCXEVNAWSOYEWRXKVIAUUCYJGPZUUFOPZUUDUUJUUNUUKU
      UJYJXAGEYEVCHVTUOAXICGWCUUNUUOAXICGJWAXIUUOCYJGXFYJQXHUUFOXFYJDSWDWEWFVHW
      GVNUUDYMUUMQYIUUDYLUULWPLUUCYLUULQALDWQYEVOVQTVNVRWHWIWJWMWKWNWL $.
  $}

  ${
    $d A j $.  $d F j $.  $d F k $.  $d F x $.  $d F y $.  $d j k $.
    $d j ph $.  $d j x $.  $d j y $.  $d k ph $.  $d k x $.  $d k y $.
    $d M j $.  $d M k $.  $d M x $.  $d M y $.  $d N j $.  $d N k $.  $d N x $.
    $d N y $.  $d ph x $.  $d ph y $.  $d x y $.  $d Z k $.
    clim2div.1 $e |- Z = ( ZZ>= ` M ) $.
    clim2div.2 $e |- ( ph -> N e. Z ) $.
    clim2div.3 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    clim2div.4 $e |- ( ph -> seq M ( x. , F ) ~~> A ) $.
    clim2div.5 $e |- ( ph -> ( seq M ( x. , F ) ` N ) =/= 0 ) $.
    $( The limit of an infinite product with an initial segment removed.
       (Contributed by Scott Fenton, 20-Dec-2017.) $)
    clim2div $p |- ( ph ->
      seq ( N + 1 ) ( x. , F ) ~~> ( A / ( seq M ( x. , F ) ` N ) ) ) $=
      ( cmul co cfv cdiv wcel syl cc cv vj vx vy c1 caddc cseq cli cvv cuz eqid
      cz eluzelz eleq2s peano2zd eluzel2 prodf ffvelrnd seqex eleqtrdi peano2uz
      reccld a1i eleqtrrdi uztrn2 sylan ffvelrnda syldan wa mulcl adantl mulass
      wceq w3a adantr cfz elfzuz sylan2 adantlr seqsplit eqcomd cc0 wne divmuld
      simpr mpbird divrec2d eqtr3d climmulc2 wbr climcl breqtrrd ) AMDFUDUENZUF
      ZUDFMDEUFZOZPNZBMNBWOPNUGABWPUAWNWMWLUHWLUIOZWQUJZAFAFGQZFUKQZIWTFEUIOZGE
      FULHUMRUNZKAWOAGSFWNACDEGHAWSEUKQZIXCFXAGEFUOHUMRJUPZIUQZLVAWMUHQAMDWLURV
      BAUATZWQQZXFGQZXFWNOZSQAWLGQZXGXHAWLXAGAFXAQZWLXAQAFGXAIHUSZEFUTRHVCZEXFW
      LGHVDVEAGSXFWNXDVFVGZAXGVHZXIWOPNZXFWMOZWPXIMNXOXPXQVLWOXQMNZXIVLXOXIXRXO
      CUBUCMSDEFXFCTZSQZUBTZSQZVHXSYAMNZSQXOXSYAVIVJXTYBUCTZSQVMYCYDMNXSYAYDMNM
      NVLXOXSYAYDVKVJAXGWDAXKXGXLVNAXSEXFVONQZXSDOSQZXGYEAXSGQZYFYEXSXAGXSEXFVP
      HVCJVQVRVSVTXOXIWOXQXNAWOSQXGXEVNZAWQSXFWMACDWLWQWRXBAXSWQQZYGYFAXJYIYGXM
      EXSWLGHVDVEJVGUPVFAWOWAWBXGLVNZWCWEXOXIWOXNYHYJWFWGWHABWOAWNBUGWIBSQKBWNW
      JRXELWFWK $.
  $}

  ${
    $d F k $.  $d G k $.  $d H k $.  $d k ph $.  $d k x $.  $d k y $.
    $d k z $.  $d M k $.  $d N k $.  $d ph x $.  $d ph y $.  $d ph z $.
    $d x y $.  $d x z $.  $d y z $.
    prodfmul.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    prodfmul.2 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. CC ) $.
    prodfmul.3 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( G ` k ) e. CC ) $.
    prodfmul.4 $e |- ( ( ph /\ k e. ( M ... N ) ) ->
       ( H ` k ) = ( ( F ` k ) x. ( G ` k ) ) ) $.
    $( The product of two infinite products.  (Contributed by Scott Fenton,
       18-Dec-2017.) $)
    prodfmul $p |- ( ph -> ( seq M ( x. , H ) ` N ) =
       ( ( seq M ( x. , F ) ` N ) x. ( seq M ( x. , G ) ` N ) ) ) $=
      ( vx vy vz cmul cc cv wcel co adantl wa mulcl wceq mulcom mulass seqcaopr
      w3a ) ALMNOPBCDEFGLQZPRZMQZPRZUAZUHUJOSZPRAUHUJUBTULUMUJUHOSUCAUHUJUDTUIU
      KNQZPRUGUMUNOSUHUJUNOSOSUCAUHUJUNUETHIJKUF $.
  $}

  ${
    $d Z k $.  $d M k $.  $d N k $.
    prodf1.1 $e |- Z = ( ZZ>= ` M ) $.
    $( The value of the partial products in a one-valued infinite product.
       (Contributed by Scott Fenton, 5-Dec-2017.) $)
    prodf1 $p |- ( N e. Z -> ( seq M ( x. , ( Z X. { 1 } ) ) ` N ) = 1 ) $=
      ( vk wcel cmul c1 csn cxp co wceq 1t1e1 a1i cuz cfv eleq2i biimpi cv cc
      cfz wa ax-1cn elfzuz eleqtrrdi adantl fvconst2g sylancr seqid3 ) BCFZEGCH
      IJZABHHHGKHLUJMNUJBAOPZFCULBDQRUJESZABUAKFZUBHTFUMCFZUMUKPHLUCUNUOUJUNUMU
      LCUMABUDDUEUFCHUMTUGUHUI $.

    $( A one-valued infinite product is equal to the constant one function.
       (Contributed by Scott Fenton, 5-Dec-2017.) $)
    prodf1f $p |- ( M e. ZZ ->
      seq M ( x. , ( Z X. { 1 } ) ) = ( Z X. { 1 } ) ) $=
      ( vk cz wcel cmul c1 csn cxp cseq wceq cv cfv wral prodf1 fvconst2 eqtr4d
      1ex wfn rgen wb cuz seqfn fneq2i sylibr wf fconst ffn ax-mp eqfnfv mpbiri
      sylancl ) AEFZGBHIZJZAKZUPLZDMZUQNZUSUPNZLZDBOZVBDBUSBFUTHVAAUSBCPBHUSSQR
      UAUNUQBTZUPBTZURVCUBUNUQAUCNZTVDGUPAUDBVFUQCUEUFBUOUPUGVEBHSUHBUOUPUIUJDB
      UQUPUKUMUL $.

    $( The constant one product converges to one.  (Contributed by Scott
       Fenton, 5-Dec-2017.) $)
    prodfclim1 $p |- ( M e. ZZ -> seq M ( x. , ( Z X. { 1 } ) ) ~~> 1 ) $=
      ( cz wcel cmul c1 csn cxp cseq cli prodf1f cc wbr ax-1cn cuz cfv eqimss2i
      fvexi climconst2 mpan eqbrtrd ) ADEZFBGHIZAJUDGKABCLGMEUCUDGKNOGABBAPQCRB
      APCSTUAUB $.
  $}

  ${
    $d F k $.  $d F m $.  $d F n $.  $d F x $.  $d k n $.  $d k ph $.
    $d k x $.  $d M k $.  $d M m $.  $d m n $.  $d M n $.  $d m ph $.
    $d M x $.  $d N k $.  $d N m $.  $d N n $.  $d n ph $.  $d n x $.
    $d N x $.  $d ph x $.
    prodfn0.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    prodfn0.2 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. CC ) $.
    prodfn0.3 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) =/= 0 ) $.
    $( No term of a nonzero infinite product is zero.  (Contributed by Scott
       Fenton, 14-Jan-2018.) $)
    prodfn0 $p |- ( ph -> ( seq M ( x. , F ) ` N ) =/= 0 ) $=
      ( co wcel cmul cfv cc0 wne syl wi wceq fveq2 imbi2d cc vm vn cfz cseq cuz
      vx eluzfz2 cv c1 caddc neeq1d eluzfz1 wa cz elfzelz adantl expcom vtoclga
      weq seq1 impcom eqnetrd w3a elfzouz 3ad2ant2 seqp1 elfzofz elfzuz elfzuz3
      cfzo fzss2 sselda sylan2 anassrs mulcl seqcl 3adant3 fzofzp1 eleq1d simp3
      wss mulne0d 3exp com12 a2d fzind2 mpcom ) EDEUCIZJZAEKCDUDZLZMNZAEDUELZJZ
      WIFDEUGOAUAUHZWJLZMNZPADWJLZMNZPZAUBUHZWJLZMNZPAXAUIUJIZWJLZMNZPAWLPUAUBE
      DEWODQZWQWSAXGWPWRMWODWJRUKSUAUBUSZWQXCAXHWPXBMWOXAWJRUKSWOXDQZWQXFAXIWPX
      EMWOXDWJRUKSWOEQZWQWLAXJWPWKMWOEWJRUKSWNDWHJZWTDEULAXKWSAXKUMZWRDCLZMXLDU
      NJZWRXMQXKXNADDEUOUPKCDUTOXKAXMMNZABUHZCLZMNZPZAXOPBDWHXPDQZXRXOAXTXQXMMX
      PDCRUKSAXPWHJZXRHUQZURVAVBUQOXADEVJIJZAXCXFAYCXCXFPAYCXCXFAYCXCVCZXEXBXDC
      LZKIZMYDXAWMJZXEYFQYCAYGXCXADEVDVEKCDXAVFOYDXBYEAYCXBTJZXCYCAXAWHJZYHXADE
      VGAYIUMZBUFKTCDXAYIYGAXADEVHUPAYIXPDXAUCIZJZXQTJZYIYLUMAYAYMYIYKWHXPYIEXA
      UELJYKWHWAXADEVIXADEVKOVLGVMVNXPTJUFUHZTJUMXPYNKITJYJXPYNVOUPVPVMVQAYCYET
      JZXCYCAYOYCXDWHJZAYOPZDEXAVRZAYMPYQBXDWHXPXDQZYMYOAYSXQYETXPXDCRZVSSAYAYM
      GUQUROVAVQAYCXCVTAYCYEMNZXCYCAYPUUAYRYPAUUAXSAUUAPBXDWHYSXRUUAAYSXQYEMYTU
      KSYBURVAVMVQWBVBWCWDWEWFWG $.

    $d G k $.  $d G m $.  $d G n $.
    prodfrec.4 $e |- ( ( ph /\ k e. ( M ... N ) ) ->
       ( G ` k ) = ( 1 / ( F ` k ) ) ) $.
    $( The reciprocal of an infinite product.  (Contributed by Scott Fenton,
       15-Jan-2018.) $)
    prodfrec $p |- ( ph -> ( seq M ( x. , G ) ` N ) =
      ( 1 / ( seq M ( x. , F ) ` N ) ) ) $=
      ( co wcel cmul cfv c1 cdiv wceq syl wi fveq2 vm vn vx cfz cseq eluzfz2 cv
      cuz caddc oveq2d eqeq12d imbi2d eluzfz1 expcom vtoclga mpcom eluzel2 seq1
      weq cz 3eqtr4d a1i cfzo w3a oveq1 3ad2ant3 wa fzofzp1 impcom 1cnd elfzouz
      cc adantl wss elfzouz2 fzss2 sselda sylan2 anassrs mulcl seqcl eleq1d cc0
      prodfn0 neeq1d divmuldivd 1t1e1 oveq1i eqtrdi eqtrd 3adant3 3ad2ant2 3exp
      wne seqp1 com12 a2d fzind2 ) FEFUDKZLZAFMDEUEZNZOFMCEUEZNZPKZQZAFEUHNZLZW
      TGEFUFRAUAUGZXANZOXIXCNZPKZQZSAEXANZOEXCNZPKZQZSZAUBUGZXANZOXSXCNZPKZQZSA
      XSOUIKZXANZOYDXCNZPKZQZSAXFSUAUBFEFXIEQZXMXQAYIXJXNXLXPXIEXATYIXKXOOPXIEX
      CTUJUKULUAUBUSZXMYCAYJXJXTXLYBXIXSXATYJXKYAOPXIXSXCTUJUKULXIYDQZXMYHAYKXJ
      YEXLYGXIYDXATYKXKYFOPXIYDXCTUJUKULXIFQZXMXFAYLXJXBXLXEXIFXATYLXKXDOPXIFXC
      TUJUKULXRXHAEDNZOECNZPKZXNXPEWSLZAYMYOQZAXHYPGEFUMRABUGZDNZOYRCNZPKZQZSZA
      YQSBEWSYREQZUUBYQAUUDYSYMUUAYOYREDTUUDYTYNOPYRECTUJUKULAYRWSLZUUBJUNZUOUP
      AEUTLZXNYMQAXHUUGGEFUQRZMDEURRAXOYNOPAUUGXOYNQUUHMCEURRUJVAVBXSEFVCKLZAYC
      YHAUUIYCYHSAUUIYCYHAUUIYCVDZXTYDDNZMKZOYAYDCNZMKZPKZYEYGUUJUULYBUUKMKZUUO
      YCAUULUUPQUUIXTYBUUKMVEVFAUUIUUPUUOQYCAUUIVGZUUPYBOUUMPKZMKZUUOUUQUUKUURY
      BMUUIAUUKUURQZUUIYDWSLZAUUTSZEFXSVHZUUCUVBBYDWSYRYDQZUUBUUTAUVDYSUUKUUAUU
      RYRYDDTUVDYTUUMOPYRYDCTZUJUKULUUFUORVIUJUUQUUSOOMKZUUNPKUUOUUQOYAOUUMUUQV
      JZUUQBUCMVLCEXSUUIXSXGLZAXSEFVKZVMZAUUIYREXSUDKZLZYTVLLZUUIUVLVGZAUUEUVMU
      UIUVKWSYRUUIFXSUHNLUVKWSVNXSEFVOXSEFVPRVQZHVRVSZYRVLLUCUGZVLLVGYRUVQMKVLL
      UUQYRUVQVTVMWAUVGUUIAUUMVLLZUUIUVAAUVRSZUVCAUVMSUVSBYDWSUVDUVMUVRAUVDYTUU
      MVLUVEWBULAUUEUVMHUNUORVIUUQBCEXSUVJUVPAUUIUVLYTWCWNZUVNAUUEUVTUVOIVRVSWD
      UUIAUUMWCWNZUUIUVAAUWASZUVCAUVTSUWBBYDWSUVDUVTUWAAUVDYTUUMWCUVEWEULAUUEUV
      TIUNUORVIWFUVFOUUNPWGWHWIWJWKWJUUIAYEUULQZYCUUIUVHUWCUVIMDEXSWORWLUUIAYGU
      UOQYCUUIYFUUNOPUUIUVHYFUUNQUVIMCEXSWORUJWLVAWMWPWQWRUP $.
  $}

  ${
    $d F k $.  $d F x $.  $d G k $.  $d G n $.  $d G x $.  $d H k $.  $d k n $.
    $d k ph $.  $d k x $.  $d M k $.  $d M n $.  $d M x $.  $d N k $.
    $d N n $.  $d n ph $.  $d ph x $.
    prodfdiv.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    prodfdiv.2 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. CC ) $.
    prodfdiv.3 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( G ` k ) e. CC ) $.
    prodfdiv.4 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( G ` k ) =/= 0 ) $.
    prodfdiv.5 $e |- ( ( ph /\ k e. ( M ... N ) ) ->
       ( H ` k ) = ( ( F ` k ) / ( G ` k ) ) ) $.
    $( The quotient of two infinite products.  (Contributed by Scott Fenton,
       15-Jan-2018.) $)
    prodfdiv $p |- ( ph -> ( seq M ( x. , H ) ` N ) =
       ( ( seq M ( x. , F ) ` N ) / ( seq M ( x. , G ) ` N ) ) ) $=
      ( vn cmul cfv co c1 cdiv wcel cc vx cseq cfz cv cmpt wceq weq oveq2d eqid
      fveq2 ovex fvmpt adantl prodfrec eleq1w anbi2d eleq1d imbi12d chvarvv cc0
      wa wi neeq1d reccld fmpttd ffvelrnda divrecd 3eqtr4d prodfmul mulcl seqcl
      wne prodfn0 ) AGNCFUBOZGNMFGUCPZQMUDZDOZRPZUEZFUBOZNPVNQGNDFUBOZRPZNPGNEF
      UBOVNWARPAVTWBVNNABDVSFGHJKBUDZVOSZWCVSOZQWCDOZRPZUFAMWCVRWGVOVSMBUGVQWFQ
      RVPWCDUJUHVSUIQWFRUKULUMZUNUHABCVSEFGHIAVOTWCVSAMVOVRTAVPVOSZVAZVQAWDVAZW
      FTSZVBWJVQTSZVBBMBMUGZWKWJWLWMWNWDWIABMVOUOUPZWNWFVQTWCVPDUJZUQURJUSWKWFU
      TVLZVBWJVQUTVLZVBBMWNWKWJWQWRWOWNWFVQUTWPVCURKUSVDVEVFWKWCCOZWFRPWSWGNPWC
      EOWSWENPWKWSWFIJKVGLWKWEWGWSNWHUHVHVIAVNWAABUANTCFGHIWCTSUAUDZTSVAWCWTNPT
      SAWCWTVJUMZVKABUANTDFGHJXAVKABDFGHJKVMVGVH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Non-trivial convergence
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d F k $.  $d F n $.  $d F y $.  $d k n $.  $d k ph $.  $d k y $.
    $d M k $.  $d M n $.  $d M y $.  $d n ph $.  $d n y $.  $d ph y $.
    $d Z k $.  $d Z y $.
    ntrivcvg.1 $e |- Z = ( ZZ>= ` M ) $.
    ntrivcvg.2 $e |- ( ph -> E. n e. Z E. y ( y =/= 0 /\
       seq n ( x. , F ) ~~> y ) ) $.
    ntrivcvg.3 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    $( A non-trivially converging infinite product converges.  (Contributed by
       Scott Fenton, 18-Dec-2017.) $)
    ntrivcvg $p |- ( ph -> seq M ( x. , F ) e. dom ~~> ) $=
      ( cv cmul cseq cli wbr wa wcel c1 co cfv cc0 wne wex wrex cdm wceq cuz wo
      cmin uzm1 eleq2s ad2antlr wi seqeq1 breq1d seqex vex breldm syl6bi simplr
      adantld cc ad5ant15 caddc eqsstri sselid zcnd 1cnd npcand seqeq1d biimpar
      uzssz clim2prod ovex syl an32s expcom eqcomi jaoi mpcom exlimdv rexlimdva
      cz ex mpd ) ABKZUAUBZLEDKZMZWFNOZPZBUCZDGUDLEFMZNUEQZIAWLWNDGAWHGQZPZWKWN
      BWPWJWNWGWPWJWNWHFUFZWHRUISZFUGTZQZUHZWPWJPZWNWOXAAWJXAWHWSGFWHUJHUKULWQX
      BWNUMZWTWQWJWNWPWQWJWMWFNOWNWQWIWMWFNLEWHFUNUOWMWFNLEFUPZBUQURUSVAXCWRGWS
      XBWRGQZWNWPXEWJWNWPXEPZWJPZWMWRWMTZWFLSZNOWNXGWFCEFWRGHWPXEWJUTACKZGQXJET
      VBQWOXEWJJVCXFLEWRRVDSZMZWFNOWJXFXLWIWFNXFXKWHLEXFWHRXFWHXFGWCWHGWSWCHFVL
      VEAWOXEUTVFVGXFVHVIVJUOVKVMWMXINXDXHWFLVNURVOVPVQGWSHVRUKVSVTWDVAWAWBWE
      $.
  $}

  ${
    $d F n $.  $d F y $.  $d M n $.  $d M y $.  $d n y $.  $d X y $.  $d Z n $.
    ntrivcvgn0.1 $e |- Z = ( ZZ>= ` M ) $.
    ntrivcvgn0.2 $e |- ( ph -> M e. ZZ ) $.
    ntrivcvgn0.3 $e |- ( ph -> seq M ( x. , F ) ~~> X ) $.
    ntrivcvgn0.4 $e |- ( ph -> X =/= 0 ) $.
    $( A product that converges to a nonzero value converges non-trivially.
       (Contributed by Scott Fenton, 18-Dec-2017.) $)
    ntrivcvgn0 $p |- ( ph -> E. n e. Z E. y ( y =/= 0 /\
       seq n ( x. , F ) ~~> y ) ) $=
      ( wcel cv cc0 wne cmul cseq cli wbr wa wex wrex cuz cfv eleqtrrdi climrel
      uzidd cvv brrelex2i syl jca wceq neeq1 breq2 anbi12d spcedv seqeq1 breq1d
      anbi2d exbidv rspcev syl2anc ) AEGLBMZNOZPDEQZVCRSZTZBUAZVDPDCMZQZVCRSZTZ
      BUAZCGUBAEEUCUDGAEIUGHUEAVGFNOZVEFRSZTBUHFAVOFUHLJVEFRUFUIUJAVNVOKJUKVCFU
      LVDVNVFVOVCFNUMVCFVERUNUOUPVMVHCEGVIEULZVLVGBVPVKVFVDVPVJVEVCRPDVIEUQURUS
      UTVAVB $.
  $}

  ${
    $d F k $.  $d F m $.  $d F n $.  $d k m $.  $d k n $.  $d k ph $.
    $d M k $.  $d M m $.  $d m n $.  $d M n $.  $d m ph $.  $d N k $.
    $d N m $.  $d N n $.  $d n ph $.  $d Z k $.
    ntrivcvgfvn0.1 $e |- Z = ( ZZ>= ` M ) $.
    ntrivcvgfvn0.2 $e |- ( ph -> N e. Z ) $.
    ntrivcvgfvn0.3 $e |- ( ph -> seq M ( x. , F ) ~~> X ) $.
    ntrivcvgfvn0.4 $e |- ( ph -> X =/= 0 ) $.
    ntrivcvgfvn0.5 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    $( Any value of a product sequence that converges to a nonzero value is
       itself nonzero.  (Contributed by Scott Fenton, 20-Dec-2017.) $)
    ntrivcvgfvn0 $p |- ( ph -> ( seq M ( x. , F ) ` N ) =/= 0 ) $=
      ( cc0 cmul cfv wceq cli cc wcel wi vm vn wne cseq wa wfun wbr cdm wf ffun
      fclim ax-mp funbrfv mpsyl adantr cvv cuz eqid cz uzssz eqsstri sselid a1i
      seqex 0cnd cv c1 caddc fveqeq2 imbi2d weq simpr w3a eleqtrdi uztrn sylan2
      co 3adant3 seqp1 syl oveq1 3ad2ant3 peano2uz uztrn2 syl2an wral ralrimiva
      fveq2 eleq1d rspcv mpan9 syldan ancoms mul02d 3eqtrd 3exp adantrd uzind4i
      a2d impcom climconst eqtr3d ex necon3d mpd ) AFMUCENCDUDZOZMUCKAXGMFMAXGM
      PZFMPAXHUEZXFQOZFMAXJFPZXHQUFZAXFFQUGXKQUHZRQUIXLUKXMRQUJULZJXFFQUMUNUOXL
      XIXFMQUGXJMPXNXIMBXFEUPEUQOZXOURAEUSSXHAGUSEGDUQOZUSHDUTVAIVBUOXFUPSXINCD
      VDVCXIVEBVFZXOSXIXQXFOMPZXIUAVFZXFOMPZTXIXHTXIUBVFZXFOZMPZTXIYAVGVHVQZXFO
      ZMPZTXIXRTUAUBEXQXSEPXTXHXIXSEMXFVIVJUAUBVKXTYCXIXSYAMXFVIVJXSYDPXTYFXIXS
      YDMXFVIVJUABVKXTXRXIXSXQMXFVIVJAXHVLYAXOSZXIYCYFYGAYCYFTXHYGAYCYFYGAYCVMZ
      YEYBYDCOZNVQZMYINVQZMYHYAXPSZYEYJPYGAYLYCAYGEXPSYLAEGXPIHVNEYADVOVPVRNCDY
      AVSVTYCYGYJYKPAYBMYINWAWBYGAYKMPYCYGAUEYIAYGYIRSZAYGYDGSZYMAEGSYDXOSYNYGI
      EYAWCDYDEGHWDWEAXQCOZRSZBGWFYNYMAYPBGLWGYPYMBYDGXQYDPYOYIRXQYDCWHWIWJWKWL
      WMWNVRWOWPWQWSWRWTXAXFMQUMUNXBXCXDXE $.
  $}

  ${
    $d F k $.  $d k ph $.  $d M k $.  $d N k $.  $d Z k $.
    ntrivcvgtail.1 $e |- Z = ( ZZ>= ` M ) $.
    ntrivcvgtail.2 $e |- ( ph -> N e. Z ) $.
    ntrivcvgtail.3 $e |- ( ph -> seq M ( x. , F ) ~~> X ) $.
    ntrivcvgtail.4 $e |- ( ph -> X =/= 0 ) $.
    ntrivcvgtail.5 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    $( A tail of a non-trivially convergent sequence converges non-trivially.
       (Contributed by Scott Fenton, 20-Dec-2017.) $)
    ntrivcvgtail $p |- ( ph -> ( ( ~~> ` seq N ( x. , F ) ) =/= 0 /\
     seq N ( x. , F ) ~~> ( ~~> ` seq N ( x. , F ) ) ) ) $=
      ( cmul cli cfv cc0 wbr wcel cc adantr wceq cseq wne wa c1 cmin co cuz cdm
      wfun wf fclim ffun ax-mp funbrfv mpsyl eqnetrd breqtrrd jca seqeq1 fveq2d
      wb neeq1d breq12d anbi12d adantl mpbird caddc cdiv eleqtrrdi ntrivcvgfvn0
      simpr cv adantlr clim2div climcl syl eluzel2 eleq2s prodf feq2i ffvelrnda
      cz sylib divne0d uzssz eqsstri sselid zcnd 1cnd seqeq1d mpbi2and eleqtrdi
      npcand wo uzm1 mpjaodan ) AEDUAZMCEUBZNOZPUCZWSWTNQZUDZEUEUFUGZDUHOZRZAWR
      UDXCMCDUBZNOZPUCZXGXHNQZUDZAXKWRAXIXJAXHFPNUJZAXGFNQZXHFUANUIZSNUKXLULXNS
      NUMUNZJXGFNUOUPZKUQAXGFXHNJXPURUSTWRXCXKVBAWRXAXIXBXJWRWTXHPWRWSXGNMCEDUT
      ZVAZVCWRWSXGWTXHNXQXRVDVEVFVGAXFUDZMCXDUEVHUGZUBZNOZPUCZYAYBNQZXCXSYBFXDX
      GOZVIUGZPXLXSYAYFNQYBYFUAXOXSFBCDXDGHXSXDXEGAXFVLHVJZABVMZGRYHCOSRXFLVNZA
      XMXFJTZXSBCDXDFGHYGYJAFPUCXFKTZYIVKZVOZYAYFNUOUPZXSFYEAFSRZXFAXMYOJFXGVPV
      QTAXESXDXGAGSXGUKXESXGUKABCDGHAEGRDWCRZIYPEXEGDEVRHVSVQLVTGXESXGHWAWDWBYK
      YLWEUQXSYAYFYBNYMYNURXSYCXAYDXBXSYBWTPXSYAWSNXSXTEMCXSEUEAESRXFAEAGWCEGXE
      WCHDWFWGIWHWITXSWJWNWKZVAZVCXSYAWSYBWTNYQYRVDVEWLAEXERWRXFWOAEGXEIHWMDEWP
      VQWQ $.
  $}

  ${
    $d F w $.  $d H q $.  $d H w $.  $d P q $.  $d P w $.  $d q w $.  $d Y w $.
    $d Z q $.  $d F j $.  $d F k $.  $d G j $.  $d G k $.  $d H j $.  $d H k $.
    $d j k $.  $d j ph $.  $d k ph $.  $d P j $.  $d P k $.  $d Y j $.
    $d F k $.  $d G k $.  $d H k $.  $d k ph $.  $d Z k $.  $d N k $.
    ntrivcvgmullem.1 $e |- Z = ( ZZ>= ` M ) $.
    ntrivcvgmullem.2 $e |- ( ph -> N e. Z ) $.
    ntrivcvgmullem.3 $e |- ( ph -> P e. Z ) $.
    ntrivcvgmullem.4 $e |- ( ph -> X =/= 0 ) $.
    ntrivcvgmullem.5 $e |- ( ph -> Y =/= 0 ) $.
    ntrivcvgmullem.6 $e |- ( ph -> seq N ( x. , F ) ~~> X ) $.
    ntrivcvgmullem.7 $e |- ( ph -> seq P ( x. , G ) ~~> Y ) $.
    ntrivcvgmullem.8 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    ntrivcvgmullem.9 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) e. CC ) $.
    ntrivcvgmullem.a $e |- ( ph -> N <_ P ) $.
    ntrivcvgmullem.b $e |- ( ( ph /\ k e. Z ) ->
       ( H ` k ) = ( ( F ` k ) x. ( G ` k ) ) ) $.
    $( Lemma for ~ ntrivcvgmul .  (Contributed by Scott Fenton,
       19-Dec-2017.) $)
    ntrivcvgmullem $p |- ( ph -> E. q e. Z E. w ( w =/= 0 /\
       seq q ( x. , H ) ~~> w ) ) $=
      ( vj wcel cv cc0 wne cmul cseq cli wbr wa wex wrex cfv co cc cuz eqid cle
      cz wb uzssz eqsstri sselid eluz syl2anc mpbird uztrn2 syldan ntrivcvgtail
      sylan simprd climcl syl simpld mulne0d seqex prodf ffvelrnda simpr simpll
      cvv a1i cfz adantr elfzuz syl2an wceq prodfmul climmul ovex neeq1 anbi12d
      breq2 spcev seqeq1 breq1d anbi2d exbidv rspcev ) ACLUFZBUGZUHUIZUJGCUKZXE
      ULUMZUNZBUOZXFUJGMUGZUKZXEULUMZUNZBUOZMLUPPAUJECUKZULUQZKUJURZUHUIZXGXRUL
      UMZXJAXQKAXPXQULUMZXQUSUFAXQUHUIZYAADEICJIUTUQZYCVAACYCUFZICVBUMZUCAIVCUF
      CVCUFYDYEVDALVCILHUTUQVCNHVEVFZOVGALVCCYFPVGZICVHVIVJSQADUGZYCUFZYHLUFZYH
      EUQZUSUFZAILUFYIYJOHYHILNVKVNUAVLVMZVOZXQXPVPVQAUJFCUKZKULUMKUSUFTKYOVPVQ
      AYBYAYMVRRVSAXQKUEXPYOXGCWECUTUQZYPVAZYGYNXGWEUFAUJGCVTWFTAYPUSUEUGZXPADE
      CYPYQYGAYHYPUFZYJYLAXDYSYJPHYHCLNVKZVNZUAVLWAWBAYPUSYRYOADFCYPYQYGAYSYJYH
      FUQZUSUFZUUAUBVLWAWBAYRYPUFZUNZDEFGCYRAUUDWCUUEYHCYRWGURUFZUNZAYJYLAUUDUU
      FWDZUUEXDYSYJUUFAXDUUDPWHYHCYRWIYTWJZUAVIUUGAYJUUCUUHUUIUBVIUUGAYJYHGUQYK
      UUBUJURWKUUHUUIUDVIWLWMXIXSXTUNBXRXQKUJWNXEXRWKXFXSXHXTXEXRUHWOXEXRXGULWQ
      WPWRVIXOXJMCLXKCWKZXNXIBUUJXMXHXFUUJXLXGXEULUJGXKCWSWTXAXBXCVI $.
  $}

  ${
    $d F m $.  $d F z $.  $d G n $.  $d G y $.  $d H m $.  $d H n $.  $d H y $.
    $d H z $.  $d m n $.  $d m p $.  $d m ph $.  $d m w $.  $d m y $.
    $d m z $.  $d n p $.  $d n ph $.  $d n w $.  $d n y $.  $d n z $.
    $d p y $.  $d p z $.  $d ph y $.  $d ph z $.  $d w y $.  $d w z $.
    $d y z $.  $d Z m $.  $d Z n $.  $d Z y $.  $d Z z $.  $d F w $.  $d G w $.
    $d H p $.  $d H w $.  $d p w $.  $d Z p $.  $d F k $.  $d G k $.  $d H k $.
    $d k m $.  $d k n $.  $d k ph $.  $d k y $.  $d k z $.  $d Z k $.
    ntrivcvgmul.1 $e |- Z = ( ZZ>= ` M ) $.
    ntrivcvgmul.3 $e |- ( ph ->
       E. n e. Z E. y ( y =/= 0 /\ seq n ( x. , F ) ~~> y ) ) $.
    ntrivcvgmul.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    ntrivcvgmul.5 $e |- ( ph ->
       E. m e. Z E. z ( z =/= 0 /\ seq m ( x. , G ) ~~> z ) ) $.
    ntrivcvgmul.6 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) e. CC ) $.
    ntrivcvgmul.7 $e |- ( ( ph /\ k e. Z ) ->
       ( H ` k ) = ( ( F ` k ) x. ( G ` k ) ) ) $.
    $( The product of two non-trivially converging products converges
       non-trivially.  (Contributed by Scott Fenton, 18-Dec-2017.) $)
    ntrivcvgmul $p |- ( ph -> E. p e. Z E. w ( w =/= 0 /\
       seq p ( x. , H ) ~~> w ) ) $=
      ( wa cv cc0 wne cmul cseq cli wbr wex wrex exdistrv reeanv bitri sylanbrc
      2rexbii wcel w3a cz cuz cfv eqsstri simp2l sselid zred simp2r cle simpl2l
      uzssz simpl2r simp3ll adantr simp3rl simp3lr simp3rr cc simpl1 sylan wceq
      simpr ntrivcvgmullem mulcomd eqtrd lecasei 3expia exlimdvv rexlimdvva mpd
      co ) ABUAZUBUCZUDHGUAZUEWHUFUGZTZCUAZUBUCZUDIFUAZUEWMUFUGZTZTZCUHBUHZFLUI
      GLUIZDUAZUBUCUDJMUAUEXAUFUGTDUHMLUIZAWLBUHZGLUIZWQCUHZFLUIZWTOQWTXCXETZFL
      UIGLUIXDXFTWSXGGFLLWLWQBCUJUNXCXEGFLLUKULUMAWSXBGFLLAWJLUOZWOLUOZTZTWRXBB
      CAXJWRXBAXJWRUPZXBWJWOXKWJXKLUQWJLKURUSUQNKVGUTZAXHXIWRVAVBVCXKWOXKLUQWOX
      LAXHXIWRVDVBVCXKWJWOVEUGZTZDWOEHIJKWJWHWMLMNXHXIAWRXMVFXHXIAWRXMVHXKWIXMW
      IWKWQAXJVIZVJXKWNXMWNWPWLAXJVKZVJXKWKXMWIWKWQAXJVLZVJXKWPXMWNWPWLAXJVMZVJ
      XNAEUAZLUOZXSHUSZVNUOZAXJWRXMVOZPVPXNAXTXSIUSZVNUOZYCRVPXKXMVRXNAXTXSJUSZ
      YAYDUDWGZVQYCSVPVSXKWOWJVEUGZTZDWJEIHJKWOWMWHLMNXHXIAWRYHVHXHXIAWRYHVFXKW
      NYHXPVJXKWIYHXOVJXKWPYHXRVJXKWKYHXQVJYIAXTYEAXJWRYHVOZRVPYIAXTYBYJPVPXKYH
      VRYIAXTYFYDYAUDWGZVQYJAXTTZYFYGYKSYLYAYDPRVTWAVPVSWBWCWDWEWF $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Complex products
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Declare the constant symbol for complex products. $)
  $c prod_ $.

  $( Extend class notation to include complex products. $)
  cprod $a class prod_ k e. A B $.

  ${
    $d k f m n x y $.  $d A f m n x y $.  $d B f m n x y $.
    $( Define the product of a series with an index set of integers ` A ` .
       This definition takes most of the aspects of ~ df-sum and adapts them
       for multiplication instead of addition.  However, we insist that in the
       infinite case, there is a nonzero tail of the sequence.  This ensures
       that the convergence criteria match those of infinite sums.
       (Contributed by Scott Fenton, 4-Dec-2017.) $)
    df-prod $a |- prod_ k e. A B =
    ( iota x ( E. m e. ZZ ( A C_ ( ZZ>= ` m ) /\
      E. n e. ( ZZ>= ` m )
         E. y ( y =/= 0 /\
               seq n ( x. , ( k e. ZZ |-> if ( k e. A , B , 1 ) ) ) ~~> y ) /\
      seq m ( x. , ( k e. ZZ |-> if ( k e. A , B , 1 ) ) ) ~~> x ) \/
      E. m e. NN E. f ( f : ( 1 ... m ) -1-1-onto-> A /\
       x =
       ( seq 1 ( x. , ( n e. NN |-> [_ ( f ` n ) / k ]_ B ) ) ` m ) ) ) ) $.
  $}

  ${
    $d k f m n x y $.  $d A f m n x y $.  $d B f m n x y $.
    $( A product is a set.  (Contributed by Scott Fenton, 4-Dec-2017.) $)
    prodex $p |- prod_ k e. A B e. _V $=
      ( vm vy vn vx vf cv cfv cmul cz c1 cmpt cseq cli wbr wa wex wrex cuz wcel
      cprod wss cc0 wne cif w3a cfz co wf1o cn csb wceq cio cvv df-prod eqeltri
      wo iotaex ) ABCUCADIZUAJZUDEIZUEUFKCLCIAUBBMUGNZFIZOVCPQRESFVBTKVDVAOGIZP
      QUHDLTMVAUIUJAHIZUKVFVAKFULCVEVGJBUMNMOJUNRHSDULTUSZGUOUPGEABHCDFUQVHGUTU
      R $.

    $d C f m n x y $.
    ${
      prodeq1f.1 $e |- F/_ k A $.
      prodeq1f.2 $e |- F/_ k B $.
      $( Equality theorem for a product.  (Contributed by Scott Fenton,
         1-Dec-2017.) $)
      prodeq1f $p |- ( A = B -> prod_ k e. A C = prod_ k e. B C ) $=
        ( vm vy vn vx vf cv cmul cz c1 cseq cli wbr wa wrex cuz cfv wss cc0 wne
        wceq wcel cif cmpt wex w3a cfz co wf1o cn csb wo cprod sseq1 nfeq eleq2
        cio ifbid adantr mpteq2da seqeq3d breq1d anbi2d exbidv 3anbi123d f1oeq3
        rexbidv anbi1d orbi12d iotabidv df-prod 3eqtr4g ) ABUFZAGLZUAUBZUCZHLZU
        DUEZMDNDLZAUGZCOUHZUIZILZPZWBQRZSZHUJZIVTTZMWGVSPZJLZQRZUKZGNTZOVSULUMZ
        AKLZUNZWOVSMIUODWHWTUBCUPUIOPUBUFZSZKUJZGUOTZUQZJVBBVTUCZWCMDNWDBUGZCOU
        HZUIZWHPZWBQRZSZHUJZIVTTZMXJVSPZWOQRZUKZGNTZWSBWTUNZXBSZKUJZGUOTZUQZJVB
        ACDURBCDURVRXFYDJVRWRXSXEYCVRWQXRGNVRWAXGWMXOWPXQABVTUSVRWLXNIVTVRWKXMH
        VRWJXLWCVRWIXKWBQVRWGXJMWHVRDNWFXIDABEFUTVRWFXIUFWDNUGVRWEXHCOABWDVAVCV
        DVEZVFVGVHVIVLVRWNXPWOQVRWGXJMVSYEVFVGVJVLVRXDYBGUOVRXCYAKVRXAXTXBABWSW
        TVKVMVIVLVNVOJHACKDGIVPJHBCKDGIVPVQ $.
    $}
  $}

  ${
    $d A k $.  $d B k $.
    $( Equality theorem for a product.  (Contributed by Scott Fenton,
       1-Dec-2017.) $)
    prodeq1 $p |- ( A = B -> prod_ k e. A C = prod_ k e. B C ) $=
      ( nfcv prodeq1f ) ABCDDAEDBEF $.
  $}

  ${
    $d f k m n x y A $.  $d f m n x y B $.
    nfcprod1.1 $e |- F/_ k A $.
    $( Bound-variable hypothesis builder for product.  (Contributed by Scott
       Fenton, 4-Dec-2017.) $)
    nfcprod1 $p |- F/_ k prod_ k e. A B $=
      ( vm vy vn vx vf cv cfv cmul cz c1 cseq cli wrex cn nfcv nfseq cprod wcel
      cuz wss cc0 wne cif cmpt wbr wa wex w3a cfz co wf1o csb wceq df-prod nfss
      wo cio nfv nfbr nfan nfex nfrex nf3an nff1o nfcsb1v nfmpt nffv nfeq2 nfor
      nfmpt1 nfiotaw nfcxfr ) CABCUAAEJZUCKZUDZFJZUEUFZLCMCJAUBBNUGZUHZGJZOZVTP
      UIZUJZFUKZGVRQZLWCVQOZHJZPUIZULZEMQZNVQUMUNZAIJZUOZWKVQLGRCWDWPKZBUPZUHZN
      OZKZUQZUJZIUKZERQZUTZHVAHFABICEGURXGCHWNXFCWMCEMCMSVSWIWLCCAVRDCVRSZUSWHC
      GVRXHWGCFWAWFCWACVBCWEVTPCLWCWDCWDSCLSZCMWBVNZTCPSZCVTSVCVDVEVFCWJWKPCLWC
      VQCVQSZXIXJTXKCWKSVCVGVFXECERCRSZXDCIWQXCCCWOAWPCWPSCWOSDVHCWKXBCVQXACLWT
      NCNSXICGRWSXMCWRBVIVJTXLVKVLVDVEVFVMVOVP $.
  $}

  ${
    $d f k m n x y z $.  $d f m n y z A $.  $d f m n y z B $.
    nfcprod.1 $e |- F/_ x A $.
    nfcprod.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for product: if ` x ` is (effectively)
       not free in ` A ` and ` B ` , it is not free in ` prod_ k e. A B ` .
       (Contributed by Scott Fenton, 1-Dec-2017.) $)
    nfcprod $p |- F/_ x prod_ k e. A B $=
      ( vm vz vn vy vf cv cfv cmul cz c1 cseq cli cn nfcv cprod cuz wss cc0 wne
      wcel cif cmpt wbr wa wex wrex w3a cfz co wf1o csb wceq wo cio df-prod nfv
      nfss nfcri nfif nfmpt nfseq nfbr nfan nfex nfrex nf3an nff1o nfcsbw nfeq2
      nffv nfor nfiotaw nfcxfr ) ABCDUABGLZUBMZUCZHLZUDUEZNDODLBUFZCPUGZUHZILZQ
      ZWCRUIZUJZHUKZIWAULZNWGVTQZJLZRUIZUMZGOULZPVTUNUOZBKLZUPZWOVTNISDWHWTMZCU
      QZUHZPQZMZURZUJZKUKZGSULZUSZJUTJHBCKDGIVAXKAJWRXJAWQAGOAOTZWBWMWPAABWAEAW
      ATZVCWLAIWAXMWKAHWDWJAWDAVBAWIWCRANWGWHAWHTANTZADOWFXLWEACPADBEVDFAPTZVEV
      FZVGARTZAWCTVHVIVJVKAWNWORANWGVTAVTTZXNXPVGXQAWOTVHVLVKXIAGSASTZXHAKXAXGA
      AWSBWTAWTTAWSTEVMAWOXFAVTXEANXDPXOXNAISXCXSADXBCAXBTFVNVFVGXRVPVOVIVJVKVQ
      VRVS $.
  $}

  ${
    $d f k m n x y A $.  $d f m n x y B $.  $d f m n x y C $.
    $( Equality theorem for product, when the class expressions ` B ` and ` C `
       are equal everywhere.  Proved using only Extensionality.  (Contributed
       by Scott Fenton, 4-Dec-2017.) $)
    prodeq2w $p |- ( A. k B = C -> prod_ k e. A B = prod_ k e. A C ) $=
      ( vm vy vn vx vf wceq cv cfv cmul cz c1 cmpt cseq cli wrex cn wal cuz wss
      cc0 wne wcel cif wbr wa wex w3a cfz co wf1o csb cio cprod wral eqid ifeq1
      wo alimi alral syl mpteq12 sylancr seqeq3d breq1d anbi2d rexbidv 3anbi23d
      exbidv csbeq2 mpteq2dv fveq1d eqeq2d orbi12d iotabidv df-prod 3eqtr4g ) B
      CJZDUAZAEKZUBLZUCZFKZUDUEZMDNDKAUFZBOUGZPZGKZQZWFRUHZUIZFUJZGWDSZMWJWCQZH
      KZRUHZUKZENSZOWCULUMAIKZUNZWRWCMGTDWKXBLZBUOZPZOQZLZJZUIZIUJZETSZVAZHUPWE
      WGMDNWHCOUGZPZWKQZWFRUHZUIZFUJZGWDSZMXOWCQZWRRUHZUKZENSZXCWRWCMGTDXDCUOZP
      ZOQZLZJZUIZIUJZETSZVAZHUPABDUQACDUQWBXMYMHWBXAYDXLYLWBWTYCENWBWPXTWSYBWEW
      BWOXSGWDWBWNXRFWBWMXQWGWBWLXPWFRWBWJXOMWKWBNNJWIXNJZDNURZWJXOJNUSWBYNDUAY
      OWAYNDWHBCOUTVBYNDNVCVDDNWINXNVEVFZVGVHVIVLVJWBWQYAWRRWBWJXOMWCYPVGVHVKVJ
      WBXKYKETWBXJYJIWBXIYIXCWBXHYHWRWBWCXGYGWBXFYFMOWBGTXEYEDXDBCVMVNVGVOVPVIV
      LVJVQVRHFABIDEGVSHFACIDEGVSVT $.
  $}

  ${
    $d f k m n x y A $.  $d f m n x y B $.  $d f m n x y C $.
    $( Equality theorem for product, with the class expressions ` B ` and ` C `
       guarded by ` _I ` to be always sets.  (Contributed by Scott Fenton,
       4-Dec-2017.) $)
    prodeq2ii $p |- ( A. k e. A ( _I ` B ) = ( _I ` C ) ->
                   prod_ k e. A B = prod_ k e. A C ) $=
      ( vm vy vn vx vf cid cfv wceq cv cmul cz wcel c1 cmpt wa cn wral cuz cseq
      wss cc0 wne cif cli wbr wex wrex w3a cfz co wf1o csb wo cio cprod eluzelz
      wb adantl nfra1 wi rsp adantr ifeq1 syl6 wn iffalse pm2.61d1 fvif 3eqtr4g
      eqtr4d mpteq2da fveq1d adantlr eqid fvmptex seqfeq breq1d anbi2d rexbidva
      exbidv simpr 3anbi23d simplr nnuz eleqtrdi f1of ad2antlr ffvelrn sylancom
      simplll nfcsb1v nfeq csbeq1a eqeq12d rspc sylc fvex csbfv2g ax-mp 3eqtr3g
      wf cvv elfznn weq fveq2 csbeq1d fvmpti syl 3eqtr4d seqfveq eqeq2d orbi12d
      pm5.32da iotabidv df-prod ) BJKZCJKZLZDAUAZAEMZUBKZUDZFMZUEUFZNDODMZAPZBQ
      UGZRZGMZUCZYGUHUIZSZFUJZGYEUKZNYLYDUCZHMZUHUIZULZEOUKZQYDUMUNZAIMZUOZYTYD
      NGTDYMUUEKZBUPZRZQUCKZLZSZIUJZETUKZUQZHURYFYHNDOYJCQUGZRZYMUCZYGUHUIZSZFU
      JZGYEUKZNUUQYDUCZYTUHUIZULZEOUKZUUFYTYDNGTDUUGCUPZRZQUCKZLZSZIUJZETUKZUQZ
      HURABDUSACDUSYCUUOUVNHYCUUCUVFUUNUVMYCUUBUVEEOYCYDOPZSZYRUVBUUAUVDYFYCYRU
      VBVAUVOYCYQUVAGYEYCYMYEPZSZYPUUTFUVRYOUUSYHUVRYNUURYGUHUVRNHYLUUQYMUVQYMO
      PYCYDYMUTVBUVRYTYMUBKPZSYTDOYKJKZRZKZYTDOUUPJKZRZKZYTYLKZYTUUQKZYCUVSUWBU
      WELUVQYCUVSSYTUWAUWDYCUWAUWDLZUVSYCDOUVTUWCYBDAVCYCYIOPZSZYJXTQJKZUGZYJYA
      UWKUGZUVTUWCUWJYJUWLUWMLZUWJYJYBUWNYCYJYBVDUWIYBDAVEVFYJXTYAUWKVGVHYJVIUW
      LUWKUWMYJXTUWKVJYJYAUWKVJVNVKYJBQJVLYJCQJVLVMVOZVFVPVQDOYKYTYLUWAYLVRUWAV
      RVSZDOUUPYTUUQUWDUUQVRUWDVRVSZVMVTWAWBWDWCVFUVPYSUVCYTUHUVPNHYLUUQYDYCUVO
      WEYCYTYEPZUWFUWGLUVOYCUWRSZUWBUWEUWFUWGUWSYTUWAUWDYCUWHUWRUWOVFVPUWPUWQVM
      VQVTWAWFWCYCUUMUVLETYCYDTPZSZUULUVKIUXAUUFUUKUVJUXAUUFSZUUJUVIYTUXBNHUUIU
      VHQYDUXBYDTQUBKYCUWTUUFWGWHWIUXBYTUUDPZSZDYTUUEKZBUPZJKZDUXECUPZJKZYTUUIK
      ZYTUVHKZUXDDUXEXTUPZDUXEYAUPZUXGUXIUXDUXEAPZYCUXLUXMLZUXBUXCUUDAUUEXEZUXN
      UUFUXPUXAUXCUUDAUUEWJWKUUDAYTUUEWLWMYCUWTUUFUXCWNYBUXODUXEADUXLUXMDUXEXTW
      ODUXEYAWOWPYIUXELXTUXLYAUXMDUXEXTWQDUXEYAWQWRWSWTUXEXFPZUXLUXGLYTUUEXAZDU
      XEBXFJXBXCUXQUXMUXILUXRDUXECXFJXBXCXDUXDYTTPZUXJUXGLUXCUXSUXBYTYDXGVBZGYT
      UUHUXFTUUIGHXHZDUUGUXEBYMYTUUEXIZXJUUIVRXKXLUXDUXSUXKUXILUXTGYTUVGUXHTUVH
      UYADUUGUXECUYBXJUVHVRXKXLXMXNXOXQWDWCXPXRHFABIDEGXSHFACIDEGXSVM $.
  $}

  ${
    $d k A $.
    $( Equality theorem for product.  (Contributed by Scott Fenton,
       4-Dec-2017.) $)
    prodeq2 $p |- ( A. k e. A B = C -> prod_ k e. A B = prod_ k e. A C ) $=
      ( wceq wral cid cfv cprod fveq2 ralimi prodeq2ii syl ) BCEZDAFBGHCGHEZDAF
      ABDIACDIENODABCGJKABCDLM $.
  $}

  ${
    $d f j k m n x y $.  $d f m n x y A $.  $d f m n x y B $.
    $d f m n x y C $.
    cbvprod.1 $e |- ( j = k -> B = C ) $.
    ${
      cbvprod.2 $e |- F/_ k A $.
      cbvprod.3 $e |- F/_ j A $.
      cbvprod.4 $e |- F/_ k B $.
      cbvprod.5 $e |- F/_ j C $.
      $( Change bound variable in a product.  (Contributed by Scott Fenton,
         4-Dec-2017.) $)
      cbvprod $p |- prod_ j e. A B = prod_ k e. A C $=
        ( vm vy vn vx vf cv cmul cz c1 wceq cuz cfv wss cc0 wne wcel cif cli wa
        cmpt cseq wbr wex wrex w3a cfz co wf1o cn csb cio cprod biid nfcri nfcv
        nfif weq eleq1w ifbieq1d cbvmpt seqeq3 ax-mp breq1i anbi2i exbii rexbii
        3anbi123i cbvcsbw mpteq2i fveq1i eqeq2i orbi12i iotabii df-prod 3eqtr4i
        wo ) AKPZUAUBZUCZLPZUDUEZQDRDPAUFZBSUGZUJZMPZUKZWJUHULZUIZLUMZMWHUNZQWN
        WGUKZNPZUHULZUOZKRUNZSWGUPUQAOPZURZXBWGQMUSDWOXFUBZBUTZUJZSUKZUBZTZUIZO
        UMZKUSUNZWFZNVAWIWKQEREPAUFZCSUGZUJZWOUKZWJUHULZUIZLUMZMWHUNZQXTWGUKZXB
        UHULZUOZKRUNZXGXBWGQMUSEXHCUTZUJZSUKZUBZTZUIZOUMZKUSUNZWFZNVAABDVBACEVB
        XQYRNXEYIXPYQXDYHKRWIWIWTYEXCYGWIVCWSYDMWHWRYCLWQYBWKWPYAWJUHWNXTTZWPYA
        TDERWMXSWLEBSEDAGVDIESVEVFXRDCSDEAHVDJDSVEVFDEVGWLXRBCSDEAVHFVIVJZQWNXT
        WOVKVLVMVNVOVPXAYFXBUHYSXAYFTYTQWNXTWGVKVLVMVQVPXOYPKUSXNYOOXMYNXGXLYMX
        BWGXKYLXJYKTXKYLTMUSXIYJDEXHBCIJFVRVSQXJYKSVKVLVTWAVNVOVPWBWCNLABODKMWD
        NLACOEKMWDWE $.
    $}

    $d A j k $.  $d B k $.  $d C j $.
    $( Change bound variable in a product.  (Contributed by Scott Fenton,
       4-Dec-2017.) $)
    cbvprodv $p |- prod_ j e. A B = prod_ k e. A C $=
      ( nfcv cbvprod ) ABCDEFEAGDAGEBGDCGH $.
  $}

  ${
    $d j k A $.
    cbvprodi.1 $e |- F/_ k B $.
    cbvprodi.2 $e |- F/_ j C $.
    cbvprodi.3 $e |- ( j = k -> B = C ) $.
    $( Change bound variable in a product.  (Contributed by Scott Fenton,
       4-Dec-2017.) $)
    cbvprodi $p |- prod_ j e. A B = prod_ k e. A C $=
      ( nfcv cbvprod ) ABCDEHEAIDAIFGJ $.
  $}

  ${
    $d k A $.  $d k B $.
    prodeq1i.1 $e |- A = B $.
    $( Equality inference for product.  (Contributed by Scott Fenton,
       4-Dec-2017.) $)
    prodeq1i $p |- prod_ k e. A C = prod_ k e. B C $=
      ( wceq cprod prodeq1 ax-mp ) ABFACDGBCDGFEABCDHI $.
  $}

  ${
    $d k A $.
    prodeq2i.1 $e |- ( k e. A -> B = C ) $.
    $( Equality inference for product.  (Contributed by Scott Fenton,
       4-Dec-2017.) $)
    prodeq2i $p |- prod_ k e. A B = prod_ k e. A C $=
      ( wceq cprod prodeq2 mprg ) BCFABDGACDGFDAABCDHEI $.
  $}

  ${
    $d k A $.  $d k B $.
    prodeq12i.1 $e |- A = B $.
    prodeq12i.2 $e |- ( k e. A -> C = D ) $.
    $( Equality inference for product.  (Contributed by Scott Fenton,
       4-Dec-2017.) $)
    prodeq12i $p |- prod_ k e. A C = prod_ k e. B D $=
      ( cprod prodeq2i prodeq1i eqtri ) ACEHADEHBDEHACDEGIABDEFJK $.
  $}

  ${
    $d k A $.  $d k B $.
    prodeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for product.  (Contributed by Scott Fenton,
       4-Dec-2017.) $)
    prodeq1d $p |- ( ph -> prod_ k e. A C = prod_ k e. B C ) $=
      ( wceq cprod prodeq1 syl ) ABCGBDEHCDEHGFBCDEIJ $.
  $}

  ${
    $d k A $.
    prodeq2d.1 $e |- ( ph -> A. k e. A B = C ) $.
    $( Equality deduction for product.  Note that unlike ~ prodeq2dv , ` k `
       may occur in ` ph ` .  (Contributed by Scott Fenton, 4-Dec-2017.) $)
    prodeq2d $p |- ( ph -> prod_ k e. A B = prod_ k e. A C ) $=
      ( wceq wral cprod prodeq2 syl ) ACDGEBHBCEIBDEIGFBCDEJK $.
  $}

  ${
    $d k A $.  $d k ph $.
    prodeq2dv.1 $e |- ( ( ph /\ k e. A ) -> B = C ) $.
    $( Equality deduction for product.  (Contributed by Scott Fenton,
       4-Dec-2017.) $)
    prodeq2dv $p |- ( ph -> prod_ k e. A B = prod_ k e. A C ) $=
      ( wceq ralrimiva prodeq2d ) ABCDEACDGEBFHI $.
  $}

  ${
    $d k A $.  $d k ph $.
    prodeq2sdv.1 $e |- ( ph -> B = C ) $.
    $( Equality deduction for product.  (Contributed by Scott Fenton,
       4-Dec-2017.) $)
    prodeq2sdv $p |- ( ph -> prod_ k e. A B = prod_ k e. A C ) $=
      ( wceq cv wcel adantr prodeq2dv ) ABCDEACDGEHBIFJK $.
  $}

  ${
    $d j k A $.  $d k B $.  $d j k ph $.
    2cprodeq2dv.1 $e |- ( ( ph /\ j e. A /\ k e. B ) -> C = D ) $.
    $( Equality deduction for double product.  (Contributed by Scott Fenton,
       4-Dec-2017.) $)
    2cprodeq2dv $p |- ( ph ->
           prod_ j e. A prod_ k e. B C = prod_ j e. A prod_ k e. B D ) $=
      ( cprod cv wcel wa wceq 3expa prodeq2dv ) ABCDGICEGIFAFJBKZLCDEGAPGJCKDEM
      HNOO $.
  $}

  ${
    $d k A $.  $d k B $.  $d k ph $.
    prodeq12dv.1 $e |- ( ph -> A = B ) $.
    prodeq12dv.2 $e |- ( ( ph /\ k e. A ) -> C = D ) $.
    $( Equality deduction for product.  (Contributed by Scott Fenton,
       4-Dec-2017.) $)
    prodeq12dv $p |- ( ph -> prod_ k e. A C = prod_ k e. B D ) $=
      ( cprod prodeq2dv prodeq1d eqtrd ) ABDFIBEFICEFIABDEFHJABCEFGKL $.
  $}

  ${
    $d k A $.  $d k B $.  $d k ph $.
    prodeq12rdv.1 $e |- ( ph -> A = B ) $.
    prodeq12rdv.2 $e |- ( ( ph /\ k e. B ) -> C = D ) $.
    $( Equality deduction for product.  (Contributed by Scott Fenton,
       4-Dec-2017.) $)
    prodeq12rdv $p |- ( ph -> prod_ k e. A C = prod_ k e. B D ) $=
      ( cprod prodeq1d prodeq2dv eqtrd ) ABDFICDFICEFIABCDFGJACDEFHKL $.
  $}

  ${
    $d k A $.
    $( The second class argument to a product can be chosen so that it is
       always a set.  (Contributed by Scott Fenton, 4-Dec-2017.) $)
    prod2id $p |- prod_ k e. A B = prod_ k e. A ( _I ` B ) $=
      ( cid cfv wceq cprod prodeq2ii cv wcel cvv fvex fvi ax-mp eqcomi a1i mprg
      ) BDEZRDEZFZABCGARCGFCAABRCHTCIAJSRRKJSRFBDLRKMNOPQ $.
  $}

  ${
    $d A k n $.  $d F k n $.  $d ph k n $.  $d M n $.  $d N n $.
    prodmo.1 $e |- F = ( k e. ZZ |-> if ( k e. A , B , 1 ) ) $.
    prodmo.2 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.

    ${
      prodrb.3 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
      $( Lemma for ~ prodrb .  (Contributed by Scott Fenton, 4-Dec-2017.) $)
      prodrblem $p |- ( ( ph /\ A C_ ( ZZ>= ` N ) ) ->
      ( seq M ( x. , F ) |` ( ZZ>= ` N ) ) = seq N ( x. , F ) ) $=
        ( cuz cfv wa cc c1 wcel co wceq adantl cz vn cmul cv mulid2 1cnd adantr
        wss iftrue adantlr eqeltrd ex wn iffalse ax-1cn eqeltrdi pm2.61d1 fmptd
        cif uzssz sselid ffvelrnd cmin cfz cdif caddc simplr zcnd npcand fveq2d
        elfzelz sseqtrrd fznuz ssneldd eldifd fveqeq2 eldifi eldifn syl syl2anc
        fvmpt2 eqtrd vtoclga seqid ) ABGKLZUGZMZUAUBNEFGOUAUCZNPOWGUBQWGRWFWGUD
        SWFUEAGFKLZPWEJUFAGELNPWEATNGEADTDUCZBPZCOURZNEAWITPZMZWJWKNPZWMWJWNWMW
        JMWKCNWJWKCRWMWJCOUHSAWJCNPWLIUIUJUKWJULZWKONWJCOUMZUNUOUPHUQAWHTGFUSJU
        TZVAUFWFWGFGOVBQZVCQPZMZWGTBVDZPWGELORZWTWGTBWSWGTPWFWGFWRVJSWTBWROVEQZ
        KLZWGWTBWDXDAWEWSVFWTXCGKWTGOWFGNPZWSAXEWEAGWQVGUFUFWTUEVHVIVKWSWGXDPUL
        WFWGFWRVLSVMVNWIELZORXBDWGXAWIWGOEVOWIXAPZXFWKOXGWLWNXFWKRWITBVPXGWKONX
        GWOWKORWITBVQWPVRZUNUODTWKNEHVTVSXHWAWBVRWC $.

      ${
        $d F m $.  $d M k m $.  $d m ph $.  $d N k m $.  $d m n $.
        fprodcvg.4 $e |- ( ph -> A C_ ( M ... N ) ) $.
        $( The sequence of partial products of a finite product converges to
           the whole product.  (Contributed by Scott Fenton, 4-Dec-2017.) $)
        fprodcvg $p |- ( ph ->
        seq M ( x. , F ) ~~> ( seq M ( x. , F ) ` N ) ) $=
          ( cmul cfv wcel cz syl cc wa c1 wceq vn vm cseq cvv cuz eluzelz seqex
          a1i eluzel2 cv cif adantl iftrue adantlr eqeltrd ex wn iffalse ax-1cn
          eqid eqeltrdi pm2.61d1 fvmpt2 syl2anc prodf ffvelrnd co mulid1 adantr
          simpr caddc cfz elfzuz cdif sseld fznuz syl6 con2d imp eldifd fveqeq2
          eldifi eldifn eqtrd vtoclga sylan2 seqid2 eqcomd climconst ) AGLEFUCZ
          MZUAWJGUDGUEMZWLUTAGFUEMZNZGONJFGUFPWJUDNALEFUGUHAWMQGWJADEFWMWMUTZAW
          NFONZJFGUIPZADUJZWMNZRZWREMZWRBNZCSUKZQWTWRONZXCQNZXAXCTZWSXDAFWRUFUL
          WTXBXEWTXBXEWTXBRXCCQXBXCCTWTXBCSUMULAXBCQNWSIUNUOUPXBUQZXCSQXBCSURZU
          SVAVBZDOXCQEHVCZVDXIUOZVEJVFAUAUJZWLNZRZWKXLWJMXNUBLQEGFXLSUBUJZQNXOS
          LVGXOTXNXOVHULAWNXMJVIZAXMVJXNWMQGWJXNDEFWMWOAWPXMWQVIAWSXAQNXMXKUNVE
          XPVFAXOGSVKVGZXLVLVGNZXOEMSTZXMXRAXOXQUEMNZXSXOXQXLVMAXTRZXOOBVNZNXSY
          AXOOBXTXOONAXQXOUFULAXTXOBNZUQAYCXTAYCXOFGVLVGZNXTUQABYDXOKVOXOFGVPVQ
          VRVSVTXASTXSDXOYBWRXOSEWAWRYBNZXAXCSYEXDXEXFWROBWBYEXCSQYEXGXCSTWROBW
          CXHPZUSVAXJVDYFWDWEPWFUNWGWHWI $.
      $}
    $}

    ${
      $d N k $.  $d M k $.
      prodrb.4 $e |- ( ph -> M e. ZZ ) $.
      prodrb.5 $e |- ( ph -> N e. ZZ ) $.
      prodrb.6 $e |- ( ph -> A C_ ( ZZ>= ` M ) ) $.
      prodrb.7 $e |- ( ph -> A C_ ( ZZ>= ` N ) ) $.
      $( Lemma for ~ prodrb .  (Contributed by Scott Fenton, 4-Dec-2017.) $)
      prodrblem2 $p |- ( ( ph /\ N e. ( ZZ>= ` M ) ) ->
       ( seq M ( x. , F ) ~~> C <-> seq N ( x. , F ) ~~> C ) ) $=
        ( cuz cfv wcel cmul cli wbr wa cseq cres cz cvv wb adantr seqex climres
        sylancl wss wceq cv cc adantlr simpr prodrblem mpidan breq1d bitr3d ) A
        HGOPQZUAZRFGUBZHOPZUCZDSTZVCDSTZRFHUBZDSTVBHUDQZVCUEQVFVGUFAVIVALUGRFGU
        HDVCHUEUIUJVBVEVHDSAVABVDUKVEVHULNVBBCEFGHIAEUMBQCUNQVAJUOAVAUPUQURUSUT
        $.

      $( Rebase the starting point of a product.  (Contributed by Scott Fenton,
         4-Dec-2017.) $)
      prodrb $p |- ( ph ->
       ( seq M ( x. , F ) ~~> C <-> seq N ( x. , F ) ~~> C ) ) $=
        ( cuz cfv wcel cmul cseq cli wbr wb prodrblem2 wa bicomd uztric syl2anc
        cz wo mpjaodan ) AHGOPQZRFGSDTUAZRFHSDTUAZUBGHOPQZABCDEFGHIJKLMNUCAUNUD
        UMULABCDEFHGIJLKNMUCUEAGUHQHUHQUKUNUIKLGHUFUGUJ $.
    $}

    prodmo.3 $e |- G = ( j e. NN |-> [_ ( f ` j ) / k ]_ B ) $.

    ${
      $d B j $.  $d f i $.  $d f j $.  $d f k $.  $d f m $.  $d f z $.
      $d G i $.  $d G j $.  $d G m $.  $d G z $.  $d H i $.  $d i j $.
      $d i m $.  $d i ph $.  $d i z $.  $d j k $.  $d j m $.  $d j ph $.
      $d j z $.  $d K i $.  $d K j $.  $d k m $.  $d K m $.  $d K z $.
      $d M i $.  $d M j $.  $d M m $.  $d m ph $.  $d m z $.  $d M z $.
      $d ph z $.
      prodmolem3.4 $e |- H = ( j e. NN |-> [_ ( K ` j ) / k ]_ B ) $.
      prodmolem3.5 $e |- ( ph -> ( M e. NN /\ N e. NN ) ) $.
      prodmolem3.6 $e |- ( ph -> f : ( 1 ... M ) -1-1-onto-> A ) $.
      prodmolem3.7 $e |- ( ph -> K : ( 1 ... N ) -1-1-onto-> A ) $.
      $( Lemma for ~ prodmo .  (Contributed by Scott Fenton, 4-Dec-2017.) $)
      prodmolem3 $p |- ( ph ->
         ( seq 1 ( x. , G ) ` M ) = ( seq 1 ( x. , H ) ` N ) ) $=
        ( wcel vm vz vi cmul c1 cseq cfv cc cv ccnv ccom wa mulcl adantl mulcom
        co wceq w3a mulass cuz simpld nnuz eleqtrdi ssidd cfz wf1o f1ocnv f1oco
        cn syl syl2anc chash cen wbr ovex f1oen cfn wb fzfi hashen mp2an sylibr
        cn0 simprd nnnn0d hashfz1 3eqtr3rd oveq2d f1oeq2d csb weq fveq2 csbeq1d
        mpbird elfznn wral f1of ffvelrnda ralrimiva adantr nfcsb1v nfel1 eleq1d
        wf csbeq1a rspc sylc fvmptd3 eqeltrd fvco3 sylan fveq2d f1ocnvfv2 eqtrd
        cid fvmpti 3syl 3eqtr4rd seqf1o eqtr3d ) AKUDIUEUFZUGKUDHUEUFUGLYAUGAUA
        EUBUHUDUHUCDUIZUJZJUKZHIUEKUAUIZUHTZEUIZUHTZULZYEYGUDUPZUHTAYEYGUMUNYIY
        JYGYEUDUPUQAYEYGUOUNYFYHUBUIZUHTURYJYKUDUPYEYGYKUDUPUDUPUQAYEYGYKUSUNAK
        VIUEUTUGAKVITZLVITZQVAZVBVCAUHVDAUEKVEUPZYOYDVFZUELVEUPZYOYDVFZABYOYCVF
        ZYQBJVFZYRAYOBYBVFZYSRYOBYBVGVJSYQBYOYCJVHVKZAYOYQYOYDAKLUEVEAYQVLUGZYO
        VLUGZLKAYQYOVMVNZUUCUUDUQZAYRUUEUUBYQYOYDUELVEVOVPVJYQVQTYOVQTUUFUUEVRU
        ELVSUEKVSYQYOVTWAWBALWCTUUCLUQALAYLYMQWDWELWFVJAKWCTUUDKUQAKYNWEKWFVJWG
        ZWHZWIWNZAYEYOTZULZYEHUGFYEYBUGZCWJZUHUUKEYEFYGYBUGZCWJZUUMVIHUHOEUAWKF
        UUNUULCYGYEYBWLWMUUJYEVITAYEKWOUNUUKUULBTCUHTZFBWPZUUMUHTZAYOBYEYBAUUAY
        OBYBXDRYOBYBWQVJWRAUUQUUJAUUPFBNWSWTUUPUURFUULBFUUMUHFUULCXAXBFUIUULUQC
        UUMUHFUULCXEXCXFXGZXHUUSXIAUCUIZYOTZULZFUUTYDUGZYBUGZCWJZXOUGZFUUTJUGZC
        WJZXOUGZUVCHUGZUUTIUGZUVBUVEUVHXOUVBFUVDUVGCUVBUVDUVGYCUGZYBUGZUVGUVBUV
        CUVLYBAYOBJXDZUVAUVCUVLUQAYOBJVFZUVNAUVOYTSAYOYQBJUUHWIWNYOBJWQVJZYOBUU
        TYCJXJXKXLUVBUUAUVGBTUVMUVGUQAUUAUVARWTAYOBUUTJUVPWRYOBUVGYBXMVKXNWMXLU
        VBUVCYOTUVCVITUVJUVFUQAYOYOUUTYDAYPYOYOYDXDUUIYOYOYDWQVJWRUVCKWOEUVCUUO
        UVEVIHYGUVCUQFUUNUVDCYGUVCYBWLWMOXPXQUVBUUTVITZUVKUVIUQUVAUVQAUUTKWOUNE
        UUTFYGJUGZCWJUVHVIIEUCWKFUVRUVGCYGUUTJWLWMPXPVJXRXSAKLYAUUGXLXT $.
    $}

    ${
      $d A j $.  $d A m $.  $d A x $.  $d B j $.  $d B n $.  $d f j $.
      $d f k $.  $d F m $.  $d F x $.  $d G j $.  $d H x $.  $d j k $.
      $d j ph $.  $d j x $.  $d K j $.  $d K k $.  $d k m $.  $d K m $.
      $d K n $.  $d k x $.  $d K x $.  $d M j $.  $d M k $.  $d M m $.
      $d m ph $.  $d m x $.  $d M x $.  $d N j $.  $d N k $.  $d n x $.
      $d ph x $.
      prodmolem2.4 $e |- H = ( j e. NN |-> [_ ( K ` j ) / k ]_ B ) $.
      prodmolem2.5 $e |- ( ph -> N e. NN ) $.
      prodmolem2.6 $e |- ( ph -> M e. ZZ ) $.
      prodmolem2.7 $e |- ( ph -> A C_ ( ZZ>= ` M ) ) $.
      prodmolem2.8 $e |- ( ph -> f : ( 1 ... N ) -1-1-onto-> A ) $.
      prodmolem2.9 $e |- ( ph -> K Isom < , < ( ( 1 ... ( # ` A ) ) , A ) ) $.
      $( Lemma for ~ prodmo .  (Contributed by Scott Fenton, 4-Dec-2017.) $)
      prodmolem2a $p |- ( ph ->
         seq M ( x. , F ) ~~> ( seq 1 ( x. , G ) ` N ) ) $=
        ( vm vx vn cmul cseq cfv c1 cli cuz cfz co clt wiso wf1o chash wceq cfn
        wf wb fzfid hasheqf1od cn0 wcel nnnn0d hashfz1 syl eqtr3d oveq2d isoeq4
        cv mpbid isof1o f1of 3syl cn eleqtrdi eluzfz2 ffvelrnd sseldd wa sselda
        nnuz cle wbr f1ocnvfv2 sylan f1ocnv ffvelrnda elfzle2 cxr wss adantr cr
        ccnv fzssuz cz uzssz zssre sstri ressxr a1i leisorel syl122anc eqbrtrrd
        sstrdi eluzelz syl2anc mpbird elfzuzb sylanbrc ex ssrdv fprodcvg mulid2
        eluz cc adantl mulid1 mulcl eleqtrrd cif iftrue eqeltrd ax-1cn eqeltrdi
        1cnd wn csb wi nfv nfcsb1v nfcv nfif eleq1 csbeq1a ifbieq1d cmpt fvmptg
        weq iffalse pm2.61d1 fmptd elfzelz ffvelrn syl2an cdif fveqeq2 elfzelzd
        eldifi eldifn fvmpt2 eqtrd vtoclga nfel1 nfim fvex eleq1d imbi2d vtoclf
        iftrued csbeq1 cbvmpt eqtri eqeltrrd fveq2 csbeq1d syl2an2 3eqtr4rd jca
        elfznn seqcoll prodmolem3 eqtr4d breqtrd ) AUEGKUFZLJUGZUVPUGZLUEHUHUFU
        GZUIABCFGKUVQMNABKUJUGZUVQSAUHLUKULZBLJAUWABUMUMJUNZUWABJUOZUWABJUSAUHB
        UPUGZUKULZBUMUMJUNZUWBUAAUWEUWAUQUWFUWBUTAUWDLUHUKAUWAUPUGZUWDLAUWABURD
        VKAUHLVATVBALVCVDUWGLUQALQVELVFVGVHVIZUWEBUWAUMUMJVJVGVLZUWABUMUMJVMZUW
        ABJVNVOALUHUJUGZVDLUWAVDZALVPUWKQWCVQUHLVRVGZVSVTZAEBKUVQUKULZAEVKZBVDZ
        UWPUWOVDZAUWQWAZUWPUVTVDUVQUWPUJUGVDZUWRABUVTUWPSWBUWSUWTUWPUVQWDWEZUWS
        UWPJWOZUGZJUGZUWPUVQWDAUWCUWQUXDUWPUQAUWBUWCUWIUWJVGZUWABUWPJWFWGUWSUXC
        LWDWEZUXDUVQWDWEZUWSUXCUWAVDZUXFABUWAUWPUXBAUWCBUWAUXBUOBUWAUXBUSUXEUWA
        BJWHBUWAUXBVNVOWIZUXCUHLWJVGUWSUWBUWAWKWLZBWKWLZUXHUWLUXFUXGUTAUWBUWQUW
        IWMUXJUWSUWAWNWKUWAUWKWNUHLWPUWKWQWNUHWRWSWTWTXAWTXBAUXKUWQABUVTWKSUVTW
        NWKUVTWQWNKWRZWSWTXAWTXFWMUXIAUWLUWQUWMWMUWABUXCLJXCXDVLXEUWSUWPWQVDUVQ
        WQVDZUWTUXAUTABWQUWPABUVTWQSUXLXFZWBAUXMUWQAUVQUVTVDUXMUWNKUVQXGVGWMUWP
        UVQXPXHXIUWPKUVQXJXKXLXMXNAUVRLUEIUHUFUGUVSABUEXQUBUCGJIKLUHUBVKZXQVDZU
        HUXOUEULUXOUQAUXOXOXRUXPUXOUHUEULUXOUQAUXOXSXRUXPUCVKZXQVDWAUXOUXQUEULX
        QVDAUXOUXQXTXRAYGUAALUWAUWEUWMUWHYASAWQXQGUSUXOWQVDUXOGUGZXQVDUXOKUWDJU
        GZUKULZVDAFWQFVKZBVDZCUHYBZXQGAUYCXQVDZUYAWQVDZAUYBUYDAUYBUYDAUYBWAUYCC
        XQUYBUYCCUQAUYBCUHYCXRNYDXLUYBYHZUYCUHXQUYBCUHUUAZYEYFUUBZWMMUUCUXOKUXS
        UUDWQXQUXOGUUEUUFUXOUXTBUUGZVDUXRUHUQZAUYAGUGZUHUQUYJFUXOUYIUYAUXOUHGUU
        HUYAUYIVDZUYKUYCUHUYLUYEUYDUYKUYCUQUYLUYAKUXSUYAUXTBUUJUUIUYLUYCUHXQUYL
        UYFUYCUHUQUYAUXTBUUKUYGVGZYEYFFWQUYCXQGMUULXHUYMUUMUUNXRAUXQUWEVDZWAZUX
        QJUGZBVDZFUYPCYIZUHYBZUYRUYPGUGZUXQIUGZUYOUYQUYRUHAUWEBUXQJAUWFUWEBJUOU
        WEBJUSUAUWEBUMUMJVMUWEBJVNVOWIZUVAZUYOUYPWQVDUYSXQVDZUYTUYSUQUYOBWQUYPA
        BWQWLUYNUXNWMVUBVTAVUDUYNAUYDYJAVUDYJFUYPAVUDFAFYKFUYSXQUYQFUYRUHUYQFYK
        FUYPCYLFUHYMZYNUUOUUPUXQJUUQUYAUYPUQZUYDVUDAVUFUYCUYSXQVUFUYBUYQCUYRUHU
        YAUYPBYOFUYPCYPYQUURUUSUYHUUTWMZUDUYPUDVKZBVDZFVUHCYIZUHYBZUYSWQXQGVUHU
        YPUQVUIUYQVUJUYRUHVUHUYPBYOFVUHUYPCUVBYQGFWQUYCYRUDWQVUKYRMFUDWQUYCVUKU
        DUYCYMVUIFVUJUHVUIFYKFVUHCYLVUEYNFUDYTUYBVUICVUJUHUYAVUHBYOFVUHCYPYQUVC
        UVDYSXHUYNUXQVPVDAUYRXQVDVUAUYRUQUXQUWDUVKUYOUYSUYRXQVUCVUGUVEEUXQFUWPJ
        UGZCYIUYRVPXQIEUCYTFVULUYPCUWPUXQJUVFUVGPYSUVHUVIUVLABCDEFGHIJLLMNOPALV
        PVDZVUMQQUVJTUXEUVMUVNUVO $.
    $}

    ${
      $d A f $.  $d A g $.  $d A j $.  $d A m $.  $d A w $.  $d B j $.
      $d F f $.  $d f g $.  $d F g $.  $d f j $.  $d F j $.  $d f k $.
      $d f m $.  $d F m $.  $d f ph $.  $d f w $.  $d F w $.  $d f x $.
      $d f z $.  $d G g $.  $d g j $.  $d G j $.  $d g k $.  $d g m $.
      $d g ph $.  $d g w $.  $d G w $.  $d g x $.  $d j k $.  $d j m $.
      $d j ph $.  $d j w $.  $d j x $.  $d k m $.  $d k w $.  $d k x $.
      $d m ph $.  $d m w $.  $d m x $.  $d m z $.  $d ph w $.  $d w x $.
      $d w z $.

      $( Lemma for ~ prodmo .  (Contributed by Scott Fenton, 4-Dec-2017.) $)
      prodmolem2 $p |- ( ( ph /\
        E. m e. ZZ ( A C_ ( ZZ>= ` m ) /\
                          E. n e. ( ZZ>= ` m ) E. y ( y =/= 0 /\
                       seq n ( x. , F ) ~~> y ) /\
                     seq m ( x. , F ) ~~> x ) ) ->
        ( E. m e. NN E. f ( f : ( 1 ... m ) -1-1-onto-> A /\
                            z = ( seq 1 ( x. , G ) ` m ) ) -> x = z ) ) $=
        ( vw cv wa cz vg cuz cfv wss cc0 wne cmul cseq cli wbr wex wrex w3a cfz
        c1 co wf1o wceq cn weq 3simpb reximi fveq2 sseq2d seqeq1 breq1d anbi12d
        wi cbvrexvw reeanv wcel simprlr chash clt wiso wor cfn cr simprll uzssz
        zssre sstri sstrdi ltso soss mpisyl cen fzfi ovex f1oen ad2antll ensymd
        enfii sylancr fz1iso syl2anc cmpt ad4ant14 eqid simplrr simplrl simplll
        csb adantl simprr prodmolem2a expr exlimdv mpd climuni eqeq2 syl5ibrcom
        cc impd expimpd rexlimdvva syl5bir expdimp sylan2b sylan2 ) EJRZUBUCZUD
        ZCRZUEUFUGLKRUHYDUIUJSCUKKYBULZUGLYAUHZBRZUIUJZUMZJTULAYCYHSZJTULZUOYAU
        NUPZEGRZUQZDRZYAUGMUOUHUCZURZSZGUKZJUSULZBDUTZVHZYIYJJTYCYEYHVAVBYKAEQR
        ZUBUCZUDZUGLUUCUHZYGUIUJZSZQTULZUUBYJUUHJQTJQUTZYCUUEYHUUGUUJYBUUDEYAUU
        CUBVCVDUUJYFUUFYGUIUGLYAUUCVEVFVGVIAUUIYTUUAUUIYTSUUHYSSZJUSULQTULAUUAU
        UHYSQJTUSVJAUUKUUAQJTUSAUUCTVKZYAUSVKZSZSZUUHYSUUAUUOUUHSZYRUUAGUUPYNYQ
        UUAUUOUUHYNYQUUAVHUUOUUHYNSZSZUUAYQYGYPURZUURUUGUUFYPUIUJZUUSUUOUUEUUGY
        NVLUURUOEVMUCUNUPEVNVNUARZVOZUAUKZUUTUUREVNVPZEVQVKZUVCUUREVRUDVRVNVPUV
        DUUREUUDVRUUOUUEUUGYNVSUUDTVRUUCVTWAWBWCWDEVRVNWEWFUURYLVQVKEYLWGUJUVEU
        OYAWHUURYLEYNYLEWGUJUUOUUHYLEYMUOYAUNWIWJWKWLEYLWMWNEVNUAWOWPUURUVBUUTU
        AUUOUUQUVBUUTUUOUUQUVBSZSEFGHILMHUSIHRUVAUCFXCWQZUVAUUCYANAIREVKFXMVKUU
        NUVFOWRPUVGWSAUULUUMUVFWTAUULUUMUVFXAUVFUUEUUOUUEUUGYNUVBXBXDUUOUUHYNUV
        BVLUUOUUQUVBXEXFXGXHXIYGYPUUFXJWPYOYPYGXKXLXGXNXHXOXPXQXRXSXT $.
    $}

    $d A a $.  $d a f $.  $d A f $.  $d a g $.  $d A g $.  $d a j $.  $d A j $.
    $d a k $.  $d a m $.  $d A m $.  $d a ph $.  $d a w $.  $d A w $.
    $d A x $.  $d A z $.  $d B a $.  $d B f $.  $d B j $.  $d B m $.  $d F f $.
    $d f g $.  $d f j $.  $d F j $.  $d f k $.  $d f m $.  $d F m $.
    $d f ph $.  $d f w $.  $d F w $.  $d f x $.  $d F x $.  $d f z $.
    $d F z $.  $d G a $.  $d G g $.  $d g j $.  $d G j $.  $d g k $.  $d g m $.
    $d g ph $.  $d g w $.  $d G w $.  $d g x $.  $d G x $.  $d g z $.
    $d G z $.  $d j k $.  $d j m $.  $d j ph $.  $d j x $.  $d j z $.
    $d k m $.  $d k w $.  $d k x $.  $d k z $.  $d m ph $.  $d m w $.
    $d m x $.  $d m z $.  $d n x $.  $d n z $.  $d ph w $.  $d ph x $.
    $d ph z $.  $d w x $.  $d w z $.  $d x y $.  $d x z $.  $d y z $.

    $( A product has at most one limit.  (Contributed by Scott Fenton,
       4-Dec-2017.) $)
    prodmo $p |- ( ph -> E* x ( E. m e. ZZ ( A C_ ( ZZ>= ` m ) /\
      E. n e. ( ZZ>= ` m )
         E. y ( y =/= 0 /\ seq n ( x. , F ) ~~> y ) /\
         seq m ( x. , F ) ~~> x ) \/
      E. m e. NN E. f ( f : ( 1 ... m ) -1-1-onto-> A /\
       x = ( seq 1 ( x. , G ) ` m ) ) ) ) $=
      ( vw wa wrex cz cn vz vg va cuz cfv wss cc0 wne cmul cseq cli wbr wex w3a
      cv c1 cfz co wf1o wceq wo weq wi 3simpb reximi fveq2 sseq2d seqeq1 breq1d
      wal wmo anbi12d cbvrexvw anbi2i reeanv bitr4i wcel simprlr adantl adantlr
      cc simprll simprrl prodrb mpbid simprrr climuni expcom ex rexlimivv sylbi
      syl2anc syl2an prodmolem2 equcomi syl6 expimpd com12 ancoms cmpt exdistrv
      2rexbii oveq2 f1oeq2d eqeq2d exbidv f1oeq1 fveq1 csbeq1d mpteq2dv seqeq3d
      csb eqtrid fveq1d cbvexvw bitrdi 3bitr4i an4 ad4ant14 eqtri simplr simprl
      cbvmptv simprr prodmolem3 eqeq12 syl5ibrcom syl5bi exlimdvv syl5bir ccase
      rexlimdvva alrimivv breq2 3anbi3d rexbidv eqeq1 anbi2d orbi12d mo4 sylibr
      ) ADIUOZUDUEZUFZCUOZUGUHUIKJUOUJUUEUKULQCUMJUUCRZUIKUUBUJZBUOZUKULZUNZISR
      ZUPUUBUQURZDFUOZUSZUUHUUBUILUPUJZUEZUTZQZFUMZITRZVAZUUDUUFUUGUAUOZUKULZUN
      ZISRZUUNUVBUUPUTZQZFUMZITRZVAZQZBUAVBZVCZUAVJBVJUVABVKAUVMBUAUVKAUVLUUKUV
      EUUTUVIAUVLVCZUUKUUDUUIQZISRZUUDUVCQZISRZUVNUVEUUJUVOISUUDUUFUUIVDVEUVDUV
      QISUUDUUFUVCVDVEUVPUVRQZUVODPUOZUDUEZUFZUIKUVTUJZUVBUKULZQZQZPSRISRZUVNUV
      SUVPUWEPSRZQUWGUVRUWHUVPUVQUWEIPSIPVBZUUDUWBUVCUWDUWIUUCUWADUUBUVTUDVFVGU
      WIUUGUWCUVBUKUIKUUBUVTVHVIVLVMVNUVOUWEIPSSVOVPUWFUVNIPSSUUBSVQZUVTSVQZQZU
      WFUVNAUWLUWFQZUVLAUWMQZUWCUUHUKULZUWDUVLUWNUUIUWOUWMUUIAUWLUUDUUIUWEVRVSU
      WNDEUUHHKUUBUVTMAHUODVQZEWAVQZUWMNVTAUWJUWKUWFWBAUWJUWKUWFVRUWMUUDAUWLUUD
      UUIUWEWBVSUWMUWBAUWLUVOUWBUWDWCVSWDWEUWMUWDAUWLUVOUWBUWDWFVSUUHUVBUWCWGWL
      WHWIWJWKWMUVEUUTUVNAUVEUUTQUVLAUVEUUTUVLAUVEQUUTUABVBUVLAUACBDEFGHIJKLMNO
      WNUABWOWPWQWRWSAUUKUVIQUVLAUUKUVIUVLABCUADEFGHIJKLMNOWNWQWRAUUTUVIQZUVLUW
      RUURUPUVTUQURZDUBUOZUSZUVBUVTUIGTHGUOZUWTUEZEXLZWTZUPUJZUEZUTZQZQZUBUMFUM
      ZPTRITRZAUVLUUSUXIUBUMZQZPTRITRUUTUXMPTRZQUXLUWRUUSUXMIPTTVOUXKUXNIPTTUUR
      UXIFUBXAXBUVIUXOUUTUVHUXMIPTUWIUVHUWSDUUMUSZUVBUVTUUOUEZUTZQZFUMUXMUWIUVG
      UXSFUWIUUNUXPUVFUXRUWIUULUWSDUUMUUBUVTUPUQXCXDUWIUUPUXQUVBUUBUVTUUOVFXEVL
      XFUXSUXIFUBFUBVBZUXPUXAUXRUXHUWSDUUMUWTXGUXTUXQUXGUVBUXTUVTUUOUXFUXTLUXEU
      IUPUXTLGTHUXBUUMUEZEXLZWTZUXEOUXTGTUYBUXDUXTHUYAUXCEUXBUUMUWTXHXIXJXMXKXN
      XEVLXOXPVMVNXQAUXKUVLIPTTAUUBTVQUVTTVQQZQZUXJUVLFUBUXJUUNUXAQZUUQUXHQZQUY
      EUVLUUNUUQUXAUXHXRUYEUYFUYGUVLUYEUYFQZUVLUYGUUPUXGUTUYHDEFUCHKLUXEUWTUUBU
      VTMAUWPUWQUYDUYFNXSLUYCUCTHUCUOZUUMUEZEXLZWTOGUCTUYBUYKGUCVBZHUYAUYJEUXBU
      YIUUMVFXIYCXTGUCTUXDHUYIUWTUEZEXLUYLHUXCUYMEUXBUYIUWTVFXIYCAUYDUYFYAUYEUU
      NUXAYBUYEUUNUXAYDYEUUHUUPUVBUXGYFYGWQYHYIYLYJWRYKWRYMUVAUVJBUAUVLUUKUVEUU
      TUVIUVLUUJUVDISUVLUUIUVCUUDUUFUUHUVBUUGUKYNYOYPUVLUUSUVHITUVLUURUVGFUVLUU
      QUVFUUNUUHUVBUUPYQYRXFYPYSYTUUA $.
  $}

  ${
    zprod.1 $e |- Z = ( ZZ>= ` M ) $.
    zprod.2 $e |- ( ph -> M e. ZZ ) $.
    zprod.3 $e |- ( ph ->
       E. n e. Z E. y ( y =/= 0 /\ seq n ( x. , F ) ~~> y ) ) $.

    ${
      $d A f $.  $d A g $.  $d A i $.  $d A j $.  $d A k $.  $d A m $.
      $d A n $.  $d A x $.  $d A y $.  $d A z $.  $d B f $.  $d B g $.
      $d B i $.  $d B j $.  $d B m $.  $d B n $.  $d B x $.  $d B y $.
      $d B z $.  $d f g $.  $d f i $.  $d f j $.  $d f k $.  $d F k $.
      $d f m $.  $d f n $.  $d f ph $.  $d f x $.  $d F x $.  $d f y $.
      $d F z $.  $d g i $.  $d g j $.  $d g k $.  $d g m $.  $d g n $.
      $d g ph $.  $d i j $.  $d i k $.  $d i m $.  $d i n $.  $d i ph $.
      $d j k $.  $d j m $.  $d j n $.  $d j ph $.  $d k m $.  $d k n $.
      $d k ph $.  $d k x $.  $d k y $.  $d k z $.  $d M f $.  $d M g $.
      $d M i $.  $d M j $.  $d M k $.  $d M m $.  $d m n $.  $d m ph $.
      $d m x $.  $d M x $.  $d m y $.  $d M y $.  $d M z $.  $d n ph $.
      $d n x $.  $d n y $.  $d n z $.  $d ph x $.  $d ph y $.  $d ph z $.
      $d x y $.  $d Z m $.  $d Z n $.
      zprod.4 $e |- ( ph -> A C_ Z ) $.
      zprod.5 $e |- ( ( ph /\ k e. Z ) ->
         ( F ` k ) = if ( k e. A , B , 1 ) ) $.
      zprod.6 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
      $( Series product with index set a subset of the upper integers.
         (Contributed by Scott Fenton, 5-Dec-2017.) $)
      zprod $p |- ( ph -> prod_ k e. A B = ( ~~> ` seq M ( x. , F ) ) ) $=
        ( cfv cz wcel c1 wa vm vx vf vi vg vj vz cuz wss cc0 wne cmul cmpt cseq
        cv cif cli wbr wex wrex w3a cfz co wf1o cn csb wceq wo cio cprod 3simpb
        nfcv nfv nfcsb1v nfif weq eleq1w csbeq1a ifbieq1d cbvmpt cc simpll wral
        ralrimiva nfel1 eleq1d rspc mpan9 simplr ad2antrr simpr sseqtrdi prodrb
        syl5 biimpd expimpd rexlimdva chash clt wiso wor cr uzssz zssre eqsstri
        cfn sstri sstrdi ltso soss mpisyl fzfi ovex f1oen adantl ensymd sylancr
        enfii fz1iso syl2anc fveq2 csbeq1d csbcow eqtr4di cbvmptv simprl simprr
        cen eqid prodmolem2a expr exlimdv adantr eleq2i eqtr4d sylan2br eqeq12d
        ex seqfeq breq1d mpd breq2 syl5ibrcom jaod wb uztrn ancoms sseli iftrue
        eluzelz eqeltrd iffalse ax-1cn eqeltrdi pm2.61d1 syl2anr nffvmpt1 nfeq2
        fvmpt2 sylan2 anassrs anbi2d exbidv sylan2b mpbid sseq2d rexeqdv seqeq1
        wn rexbidva 3anbi123d rspcev syl13anc orcd nfeq1 bitrd iotabidv df-prod
        impbid df-fv 3eqtr4g ) ACUAUOZUHPZUIZBUOZUJUKZULEQEUOZCRZDSUPZUMZFUOZUN
        ZUWEUQURZTZBUSZFUWCUTZULUWJUWBUNZUBUOZUQURZVAZUAQUTZSUWBVBVCZCUCUOZVDZU
        WRUWBULFVEEUWKUXCPZDVFZUMZSUNPZVGZTZUCUSZUAVEUTZVHZUBVIULGHUNZUWRUQURZU
        BVICDEVJUXNUQPAUXMUXOUBAUXMULUWJHUNZUWRUQURZUXOAUXMUXQAUXAUXQUXLAUWTUXQ
        UAQUWTUWDUWSTAUWBQRZTZUXQUWDUWPUWSVKUXSUWDUWSUXQUXSUWDTZUWSUXQUXTCEUDUO
        ZDVFZUWRUDUWJUWBHEUDQUWIUYACRZUYBSUPUDUWIVLUYCEUYBSUYCEVMEUYADVNZESVLVO
        EUDVPZUWHUYCDUYBSEUDCVQEUYADVRZVSVTZUXTAUYCUYBWARZAUXRUWDWBADWARZECWCUY
        CUYHAUYIECOWDUYIUYHEUYACEUYBWAUYDWEUYEDUYBWAUYFWFWGWNZWHAUXRUWDWIAHQRZU
        XRUWDKWJUXSUWDWKACHUHPZUIZUXRUWDACIUYLMJWLZWJWMWOWPWNWQAUXKUXQUAVEAUWBV
        ERZTZUXJUXQUCUYPUXDUXIUXQUYPUXDTZUXQUXIUXPUXHUQURZUYQSCWRPVBVCCWSWSUEUO
        ZWTZUEUSZUYRUYQCWSXAZCXFRZVUAUYQCXBUIZXBWSXAVUBAVUDUYOUXDACIXBMIUYLXBJU
        YLQXBHXCZXDXGXEXHWJXICXBWSXJXKUYQUXBXFRCUXBYHURVUCSUWBXLUYQUXBCUXDUXBCY
        HURUYPUXBCUXCSUWBVBXMXNXOXPCUXBXRXQCWSUEXSXTUYQUYTUYRUEUYPUXDUYTUYRUYPU
        XDUYTTZTZCUYBUCUFUDUWJUXGUFVEUDUFUOZUYSPUYBVFUMZUYSHUWBUYGVUGAUYCUYHAUY
        OVUFWBUYJWHFUFVEUXFUDVUHUXCPZUYBVFZFUFVPZUXFEVUJDVFVUKVULEUXEVUJDUWKVUH
        UXCYAYBEUDVUJDYCYDYEVUIYIAUYOVUFWIAUYKUYOVUFKWJAUYMUYOVUFUYNWJUYPUXDUYT
        YFUYPUXDUYTYGYJYKYLUUAUWRUXHUXPUQUUBUUCWPYLWQUUDAUXQUXMAUXQTZUXAUXLVUMU
        YKCIUIZUWOFIUTZUXQUXAAUYKUXQKYMAVUNUXQMYMAVUOUXQAUWFULGUWKUNZUWEUQURZTZ
        BUSZFIUTVUOLAVUSUWOFIUWKIRAUWKUYLRZVUSUWOUUEIUYLUWKJYNAVUTTZVURUWNBVVAV
        UQUWMUWFVVAVUPUWLUWEUQVVAULUGGUWJUWKVUTUWKQRAHUWKUUJXOAVUTUGUOZUWKUHPRZ
        VVBGPZVVBUWJPZVGZVUTVVCTAVVBUYLRZVVFVVCVUTVVGUWKVVBHUUFUUGAUWGGPZUWGUWJ
        PZVGZEUYLWCVVGVVFAVVJEUYLUWGUYLRZAUWGIRZVVJIUYLUWGJYNZAVVLTZVVHUWIVVINV
        VLUWGQRUWIWARZVVIUWIVGAIQUWGIUYLQJVUEXEUUHAUWHVVOAUWHVVOAUWHTUWIDWAUWHU
        WIDVGAUWHDSUUIXOOUUKYRUWHUVIUWISWAUWHDSUULUUMUUNUUOEQUWIWAUWJUWJYIUUSUU
        PZYOYPWDVVJVVFEVVBUYLEVVDVVEEQUWIVVBUUQZUUREUGVPZVVHVVDVVIVVEUWGVVBGYAZ
        UWGVVBUWJYAZYQWGWHUUTUVAYSYTUVBUVCUVDUVJUVEYMAUXQWKUWTVUNVUOUXQVAUAHQUW
        BHVGZUWDVUNUWPVUOUWSUXQVWAUWCICVWAUWCUYLIUWBHUHYAJYDZUVFVWAUWOFUWCIVWBU
        VGVWAUWQUXPUWRUQULUWJUWBHUVHYTUVKUVLUVMUVNYRUVSAUXPUXNUWRUQAULUGUWJGHKA
        VVIVVHVGZEUYLWCVVGVVEVVDVGZAVWCEUYLVVKAVVLVWCVVMVVNVVIUWIVVHVVPNYOYPWDV
        WCVWDEVVBUYLEVVEVVDVVQUVOVVRVVIVVEVVHVVDVVTVVSYQWGWHYSYTUVPUVQUBBCDUCEU
        AFUVRUBUXNUQUVTUWA $.
    $}

    ${
      $d B n $.  $d B y $.  $d F k $.  $d k n $.  $d k ph $.  $d k y $.
      $d M k $.  $d M y $.  $d n ph $.  $d n y $.  $d ph y $.  $d Z k $.
      $d Z n $.  $d Z y $.
      iprod.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = B ) $.
      iprod.5 $e |- ( ( ph /\ k e. Z ) -> B e. CC ) $.
      $( Series product with an upper integer index set (i.e. an infinite
         product.)  (Contributed by Scott Fenton, 5-Dec-2017.) $)
      iprod $p |- ( ph -> prod_ k e. Z B = ( ~~> ` seq M ( x. , F ) ) ) $=
        ( ssidd cv wcel wa cfv c1 cif wceq iftrue adantl eqtr4d zprod ) ABHCDEF
        GHIJKAHNADOZHPZQUFFRCUGCSTZLUGUHCUAAUGCSUBUCUDMUE $.
    $}
  $}

  ${
    zprodn0.1 $e |- Z = ( ZZ>= ` M ) $.
    zprodn0.2 $e |- ( ph -> M e. ZZ ) $.
    zprodn0.3 $e |- ( ph -> X =/= 0 ) $.
    zprodn0.4 $e |- ( ph -> seq M ( x. , F ) ~~> X ) $.

    ${
      $d A k $.  $d A m $.  $d A x $.  $d B m $.  $d B x $.  $d F k $.
      $d F m $.  $d F x $.  $d k m $.  $d k ph $.  $d k x $.  $d M k $.
      $d M m $.  $d m ph $.  $d m x $.  $d M x $.  $d ph x $.  $d X x $.
      $d Z m $.  $d Z x $.
      zprodn0.5 $e |- ( ph -> A C_ Z ) $.
      zprodn0.6 $e |- ( ( ph /\ k e. Z ) ->
         ( F ` k ) = if ( k e. A , B , 1 ) ) $.
      zprodn0.7 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
      $( Nonzero series product with index set a subset of the upper integers.
         (Contributed by Scott Fenton, 6-Dec-2017.) $)
      zprodn0 $p |- ( ph -> prod_ k e. A B = X ) $=
        ( vx vm cprod cli cc cmul cseq cfv ntrivcvgn0 zprod wfun wbr wceq fclim
        cdm wf ffun ax-mp funbrfv mpsyl eqtrd ) ABCDRUAEFUBZSUCZGAPBCDQEFHIJAPQ
        EFGHIJLKUDMNOUESUFZAUQGSUGURGUHSUJZTSUKUSUIUTTSULUMLUQGSUNUOUP $.
    $}

    ${
      $d F k $.  $d k ph $.  $d M k $.  $d Z k $.
      iprodn0.5 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = B ) $.
      iprodn0.6 $e |- ( ( ph /\ k e. Z ) -> B e. CC ) $.
      $( Nonzero series product with an upper integer index set (i.e. an
         infinite product.)  (Contributed by Scott Fenton, 6-Dec-2017.) $)
      iprodn0 $p |- ( ph -> prod_ k e. Z B = X ) $=
        ( ssidd cv wcel wa cfv c1 cif wceq iftrue adantl eqtr4d zprodn0 ) AGBCD
        EFGHIJKAGNACOZGPZQUFDRBUGBSTZLUGUHBUAAUGBSUBUCUDMUE $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Finite products
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A f $.  $d A i $.  $d A j $.  $d A k $.  $d A m $.  $d A n $.  $d A x $.
    $d A y $.  $d B f $.  $d B i $.  $d B j $.  $d B m $.  $d B n $.  $d B x $.
    $d B y $.  $d C f $.  $d C k $.  $d F f $.  $d f i $.  $d f j $.  $d f k $.
    $d F k $.  $d f m $.  $d f n $.  $d F n $.  $d f ph $.  $d f x $.
    $d f y $.  $d G f $.  $d G k $.  $d G m $.  $d G n $.  $d G x $.  $d i j $.
    $d i k $.  $d i m $.  $d i n $.  $d i ph $.  $d i x $.  $d j k $.
    $d j m $.  $d j n $.  $d j ph $.  $d j x $.  $d k m $.  $d k n $.
    $d k ph $.  $d k x $.  $d k y $.  $d M f $.  $d M k $.  $d M m $.
    $d m n $.  $d M n $.  $d m ph $.  $d m x $.  $d M x $.  $d m y $.
    $d n ph $.  $d n x $.  $d n y $.  $d ph x $.  $d x y $.
    fprod.1 $e |- ( k = ( F ` n ) -> B = C ) $.
    fprod.2 $e |- ( ph -> M e. NN ) $.
    fprod.3 $e |- ( ph -> F : ( 1 ... M ) -1-1-onto-> A ) $.
    fprod.4 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fprod.5 $e |- ( ( ph /\ n e. ( 1 ... M ) ) -> ( G ` n ) = C ) $.
    $( The value of a product over a nonempty finite set.  (Contributed by
       Scott Fenton, 6-Dec-2017.) $)
    fprod $p |- ( ph -> prod_ k e. A B = ( seq 1 ( x. , G ) ` M ) ) $=
      ( vm cfv wcel c1 cn wceq vy vx vf vj vi cprod cv cuz wss cc0 wne cmul cif
      cz cmpt cseq cli wbr wa wex wrex w3a cfz co wf1o csb cio df-prod cvv fvex
      wo wb wmo wi nfcv nfv nfcsb1v nfif eleq1w csbeq1a ifbieq1d cbvmpt cc wral
      weq ralrimiva nfel1 eleq1d rspc mpan9 fveq2 csbeq1d csbcow eqtr4di prodmo
      cbvmptv wf f1of syl ovex fex sylancl nnuz eleqtrdi eqeltrrdi eqid syl2an2
      elfznn fvmpt2 eqtr4d nffvmpt1 nfeq2 eqeq12d jca f1oeq1 fveq1 csbie eqtrdi
      seqfveq mpteq2dv seqeq3d fveq1d eqeq2d anbi12d spcedv oveq2 exbidv rspcev
      f1oeq2d syl2anc breq2 3anbi3d rexbidv eqeq1 anbi2d orbi12d mpanl1 ancom2s
      olcd moi2 expr syl5ibrcom impbid adantr iota5 mpan2 eqtrid ) ABCEUFBOUGZU
      HPZUIZUAUGZUJUKULEUNEUGZBQZCRUMZUOZFUGZUPUUKUQURUSUAUTFUUIVAZULUUOUUHUPZU
      BUGZUQURZVBZOUNVAZRUUHVCVDZBUCUGZVEZUUSUUHULFSEUUPUVDPZCVFZUOZRUPZPZTZUSZ
      UCUTZOSVAZVKZUBVGZIULHRUPZPZUBUABCUCEOFVHAUVRVIQZUVPUVRTIUVQVJZAUVOUBUVRV
      IAUVOUUSUVRTZVLUVSAUVOUWAAUVOUBVMZUUJUUQUURUVRUQURZVBZOUNVAZUVEUVRUVJTZUS
      ZUCUTZOSVAZVKZUVOUWAVNAUBUABEUDUGZCVFZUCUEUDOFUUOUVHEUDUNUUNUWKBQZUWLRUMU
      DUUNVOUWMEUWLRUWMEVPEUWKCVQZERVOVREUDWEZUUMUWMCUWLREUDBVSEUWKCVTZWAWBACWC
      QZEBWDUWMUWLWCQZAUWQEBMWFUWQUWREUWKBEUWLWCUWNWGUWOCUWLWCUWPWHWIWJFUESUVGU
      DUEUGZUVDPZUWLVFZFUEWEZUVGEUWTCVFUXAUXBEUVFUWTCUUPUWSUVDWKWLEUDUWTCWMWNWP
      WOAUWIUWEAISQRIVCVDZBUVDVEZUVRIUVIPZTZUSZUCUTZUWIKAUXGUXCBGVEZUVRIULFSDUO
      ZRUPZPZTZUSUCVIGAUXCBGWQZUXCVIQGVIQAUXIUXNLUXCBGWRWSRIVCWTUXCBVIGXAXBAUXI
      UXMLAULEHUXJRIAISRUHPKXCXDAUUPHPZUUPUXJPZTZFUXCWDUULUXCQUULHPZUULUXJPZTZA
      UXQFUXCAUUPUXCQZUSZUXODUXPNUYAUUPSQADVIQUXPDTUUPIXHUYBDUXOVINUUPHVJXEFSDV
      IUXJUXJXFXIXGXJWFUXQUXTFUULUXCFUXRUXSFSDUULXKXLFEWEUXOUXRUXPUXSUUPUULHWKU
      UPUULUXJWKXMWIWJXSXNUVDGTZUXDUXIUXFUXMUXCBUVDGXOUYCUXEUXLUVRUYCIUVIUXKUYC
      UVHUXJULRUYCFSUVGDUYCUVGEUUPGPZCVFDUYCEUVFUYDCUUPUVDGXPWLEUYDCDUUPGVJJXQX
      RXTYAYBYCYDYEUWHUXHOISUUHITZUWGUXGUCUYEUVEUXDUWFUXFUYEUVCUXCBUVDUUHIRVCYF
      YIUYEUVJUXEUVRUUHIUVIWKYCYDYGYHYJYSZUWBUWJUVOUWAUWBUVOUWJUWAUVSUWBUVOUWJU
      SUWAUVTUVOUWJUBUVRVIUWAUVBUWEUVNUWIUWAUVAUWDOUNUWAUUTUWCUUJUUQUUSUVRUURUQ
      YKYLYMUWAUVMUWHOSUWAUVLUWGUCUWAUVKUWFUVEUUSUVRUVJYNYOYGYMYPZYTYQYRUUAYJAU
      VOUWAUWJUYFUYGUUBUUCUUDUUEUUFUUG $.
  $}

  ${
    $d A k $.  $d A m $.  $d A n $.  $d A y $.  $d B m $.  $d B n $.  $d B y $.
    $d k m $.  $d k n $.  $d k y $.  $d m n $.  $d m ph $.  $d N m $.
    $d N n $.  $d n ph $.  $d n y $.  $d N y $.  $d Z k $.  $d Z m $.
    $d Z n $.  $d Z y $.
    fprodntriv.1 $e |- Z = ( ZZ>= ` M ) $.
    fprodntriv.2 $e |- ( ph -> N e. Z ) $.
    fprodntriv.3 $e |- ( ph -> A C_ ( M ... N ) ) $.
    $( A non-triviality lemma for finite sequences.  (Contributed by Scott
       Fenton, 16-Dec-2017.) $)
    fprodntriv $p |- ( ph -> E. n e. Z E. y ( y =/= 0 /\ seq n ( x.
      , ( k e. Z |-> if ( k e. A , B , 1 ) ) ) ~~> y ) ) $=
      ( c1 wcel cmul cli wbr wa cfv wceq vm caddc co cc0 wne cif cmpt cseq wrex
      cv wex cuz eleqtrdi peano2uz syl eleqtrrdi ax-1ne0 eqid cz eluzelz eleq2s
      cvv peano2zd seqex a1i 1cnd csn cxp simpr cfz csb wss ad2antrr w3a cle wn
      clt zred elfzelz adantl ltp1d elfzle1 ltletrd mpbid intnand elfz2 sylnibr
      ltnled ssneldd iffalsed fzssuz adantr uzss sseqtrrdi sstrid sselda ax-1cn
      eqeltrdi nfcv nfv nfcsb1v nfif weq eleq1w csbeq1a ifbieq1d fvmptf syl2anc
      cc elfzuz 1ex fvconst2 3eqtr4d seqfveq prodf1 eqtrd climconst neeq1 breq2
      anbi12d spcev sylancr seqeq1 breq1d anbi2d exbidv rspcev ) AHMUBUCZINBUJZ
      UDUEZOEIEUJCNZDMUFZUGZYHUHZYIPQZRZBUKZYJOYMFUJZUHZYIPQZRZBUKZFIUIAYHGULSZ
      IAHUUCNYHUUCNZAHIUUCKJUMGHUNUOZJUPAMUDUEZYNMPQZYQUQAMFYNYHVBYHULSZUUHURZA
      HAHINHUSNZKUUJHUUCIGHUTJVAUOZVCYNVBNAOYMYHVDVEAVFAYRUUHNZRZYRYNSYROUUHMVG
      VHZYHUHSZMUUMOUAYMUUNYHYRAUULVIUUMUAUJZYHYRVJUCZNZRZUUPCNZEUUPDVKZMUFZMUU
      PYMSZUUPUUNSZUUSUUTUVAMUUSCGHVJUCZUUPACUVEVLUULUURLVMUUSGUSNUUJUUPUSNZVNZ
      GUUPVOQZUUPHVOQZRZRUUPUVENUUSUVJUVGUUSUVIUVHUUSHUUPVQQUVIVPUUSHYHUUPUUSHA
      UUJUULUURUUKVMZVRZUUSYHUUSHUVKVCVRUUSUUPUURUVFUUMUUPYHYRVSVTVRZUUSHUVLWAU
      URYHUUPVOQUUMUUPYHYRWBVTWCUUSHUUPUVLUVMWHWDWEWEUUPGHWFWGWIWJZUUSUUPINUVBX
      INUVCUVBTUUMUUQIUUPUUMUUQUUHIYHYRWKUUMUUHUUCIUUMUUDUUHUUCVLAUUDUULUUEWLGY
      HWMUOJWNWOWPUUSUVBMXIUVNWQWREUUPYLUVBIYMXIEUUPWSUUTEUVAMUUTEWTEUUPDXAEMWS
      XBEUAXCYKUUTDUVAMEUACXDEUUPDXEXFYMURXGXHUUSUUPUUHNZUVDMTUURUVOUUMUUPYHYRX
      JVTUUHMUUPXKXLUOXMXNUULUUOMTAYHYRUUHUUIXOVTXPXQYPUUFUUGRBMXKYIMTYJUUFYOUU
      GYIMUDXRYIMYNPXSXTYAYBUUBYQFYHIYRYHTZUUAYPBUVPYTYOYJUVPYSYNYIPOYMYRYHYCYD
      YEYFYGXH $.
  $}

  $( A product over the empty set is one.  (Contributed by Scott Fenton,
     5-Dec-2017.) $)
  prod0 $p |- prod_ k e. (/) A = 1 $=
    ( c1 cz wcel c0 cprod wceq 1z cn csn cxp nnuz id cc0 wne ax-1ne0 prodfclim1
    a1i wss 0ss cv wa cfv cif fvconst2g noel iffalsei eqtr4di cc pm2.21i adantl
    zprodn0 ax-mp ) CDEZFABGCHIUOFABJCKLZCCJMUONCOPUOQSCJMRFJTUOJUASUOBUBZJEUCU
    QUPUDCUQFEZACUEJCUQDUFURACUQUGZUHUIURAUJEZUOURUTUSUKULUMUN $.

  ${
    $d A f j k $.  $d M k $.
    $( Any product of one over a valid set is one.  (Contributed by Scott
       Fenton, 7-Dec-2017.) $)
    prod1 $p |- ( ( A C_ ( ZZ>= ` M ) \/ A e. Fin ) ->
        prod_ k e. A 1 = 1 ) $=
      ( vf vj cuz cfv wss c1 cprod wceq wcel cz wa cxp simpr adantl cv c0 cn wn
      cfn csn eqid cc0 wne ax-1ne0 a1i cmul cli wbr prodfclim1 cif 1ex fvconst2
      cseq simpl ifid eqtr4di 1cnd zprodn0 cdm cpw uzf fdmi eleq2i ndmfv sseq2d
      sylnbir biimpac ss0 prodeq1 prod0 eqtrdi 3syl pm2.61dan chash cfz co wf1o
      wex wo fz1f1o eqidd elfznn syl fprod nnuz prodf1 adantr eqtrd exlimdv imp
      ex jaoi ) ACFGZHZAIBJZIKZAUBLZWQCMLZWSWQXANZAIBWPIUCZOZCIWPWPUDZWQXAPIUEU
      FXBUGUHXAUIXDCUPIUJUKWQCWPXEULQWQXAUQBRZWPLZXFXDGZXFALZIIUMZKXBXGXHIXJWPI
      XFUNUOXIIURUSQXBXINUTVAWQXAUAZNASHZASKZWSXKWQXLXKWPSAXACFVBZLWPSKXNMCMMVC
      FVDVEVFCFVGVIVHVJAVKXMWRSIBJIASIBVLIBVMVNZVOVPWTXMAVQGZTLZIXPVRVSZADRZVTZ
      DWAZNZWBWSADWCXMWSYBXOXQYAWSXQXTWSDXQXTWSXQXTNZWRXPUITXCOZIUPGZIYCAIIBEXS
      YDXPXFERZXSGKIWDXQXTUQXQXTPYCXINUTYFXRLZYFYDGIKZYCYGYFTLYHYFXPWETIYFUNUOW
      FQWGXQYEIKXTIXPTWHWIWJWKWNWLWMWOWFWO $.
  $}

  ${
    $d A j k $.  $d B j $.
    $( A lemma to facilitate conversions from the function form to the
       class-variable form of a product.  (Contributed by Scott Fenton,
       7-Dec-2017.) $)
    prodfc $p |- prod_ j e. A ( ( k e. A |-> B ) ` j ) = prod_ k e. A B $=
      ( cv cmpt cfv cprod cid eqid fvmpt2i prodeq2i nffvmpt1 nfcv fveq2 prod2id
      cbvprodi 3eqtr4i ) ADEZDABFZGZDHABIGZDHACEZTGZCHABDHAUAUBDDABTTJKLAUDUACD
      DABUCMCUANUCSTOQABDPR $.
  $}

  ${
    $d A f $.  $d A k $.  $d A m $.  $d A n $.  $d B f $.  $d B m $.  $d B n $.
    $d C f $.  $d C m $.  $d C n $.  $d D f $.  $d D k $.  $d D m $.  $d f k $.
    $d f m $.  $d F m $.  $d f n $.  $d F n $.  $d f ph $.  $d G k $.
    $d k m $.  $d k n $.  $d k ph $.  $d m n $.  $d m ph $.  $d n ph $.
    fprodf1o.1 $e |- ( k = G -> B = D ) $.
    fprodf1o.2 $e |- ( ph -> C e. Fin ) $.
    fprodf1o.3 $e |- ( ph -> F : C -1-1-onto-> A ) $.
    fprodf1o.4 $e |- ( ( ph /\ n e. C ) -> ( F ` n ) = G ) $.
    fprodf1o.5 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    $( Re-index a finite product using a bijection.  (Contributed by Scott
       Fenton, 7-Dec-2017.) $)
    fprodf1o $p |- ( ph -> prod_ k e. A B = prod_ n e. C D ) $=
      ( vm c0 wceq cprod cfv wcel vf chash cn c1 cfz co cv wf1o wa prod0 adantr
      wex wfo wb f1oeq2 adantl mpbid f1ofo fo00 simprbi prodeq1d prodeq1 eqtrdi
      syl 3eqtr4a ex cmpt cmul ccom cseq 2fveq3 simprl simprr cc f1of ffvelrnda
      wf fmpttd syldan adantlr simpr f1oco syl2an fvco3 sylan fveq2d eqtrd wral
      fprod cid eqeltrrd fvmpti fvmpt2i 3eqtr4rd ralrimiva nffvmpt1 nfeq1 fveq2
      eqid weq eqeq12d rspc mpan9 prodeq2dv prodfc 3eqtr3g expr exlimdv expimpd
      cfn wo fz1f1o mpjaod ) ADPQZBCFRZDEGRZQZDUBSZUCTZUDXRUEUFZDUAUGZUHZUAULZU
      IZAXNXQAXNUIZPCFRUDXOXPCFUJYEBPCFYEPBHUMZBPQZYEPBHUHZYFYEDBHUHZYHAYIXNLUK
      XNYIYHUNADPBHUOUPUQPBHURVDYFHPQYGBHUSUTVDVAXNXPUDQAXNXPPEGRUDDPEGVBEGUJVC
      UPVEVFAXSYCXQAXSUIYBXQUAAXSYBXQAXSYBUIZUIZBOUGZFBCVGZSZORZDYLGDEVGZSZORZX
      OXPYKDYLHSZYMSZORXRVHYMHYAVIZVIZUDVJSYRYOYKDYTGUGZYASZHSZYMSZOGYAUUBXRYLU
      UDYMHVKAXSYBVLZAXSYBVMAYLDTZYTVNTZYJAUUHYSBTUUIADBYLHAYIDBHVQLDBHVOVDZVPA
      BVNYSYMAFBCVNNVRZVPVSVTYKUUCXTTZUIZUUCUUBSZUUCUUASZYMSZUUFYKXTBUUAVQZUULU
      UNUUPQYKXTBUUAUHZUUQAYIYBUURYJLXSYBWAXTDBHYAWBWCZXTBUUAVOVDXTBUUCYMUUAWDW
      EZUUMUUOUUEYMYKXTDYAVQZUULUUOUUEQYJUVAAYBUVAXSXTDYAVOUPUPXTDUUCHYAWDWEWFW
      GWIYKDYQYTOAUUHYQYTQZYJAUUCYPSZUUCHSZYMSZQZGDWHUUHUVBAUVFGDAUUCDTZUIZIYMS
      ZEWJSZUVEUVCUVHIBTUVIUVJQUVHUVDIBMADBUUCHUUJVPWKFICEBYMJYMWSWLVDUVHUVDIYM
      MWFUVGUVCUVJQAGDEYPYPWSWMUPWNWOUVFUVBGYLDGYQYTGDEYLWPWQGOWTUVCYQUVEYTUUCY
      LYPWRUUCYLYMHVKXAXBXCVTXDYKBYNUUPOGUUAUUBXRYLUUOYMWRUUGUUSYKBVNYLYMABVNYM
      VQYJUUKUKVPUUTWIWNBCOFXEDEOGXEXFXGXHXIADXJTXNYDXKKDUAXLVDXM $.
  $}

  ${
    $d A k $.  $d A m $.  $d A n $.  $d A y $.  $d B k $.  $d B m $.  $d B n $.
    $d B y $.  $d C m $.  $d C n $.  $d C y $.  $d k m $.  $d k n $.
    $d k ph $.  $d k y $.  $d M m $.  $d m n $.  $d M n $.  $d m ph $.
    $d m y $.  $d M y $.  $d n ph $.  $d n y $.  $d ph y $.  $d M k $.
    prodss.1 $e |- ( ph -> A C_ B ) $.
    prodss.2 $e |- ( ( ph /\ k e. A ) -> C e. CC ) $.
    prodss.3 $e |- ( ph -> E. n e. ( ZZ>= ` M ) E. y ( y =/= 0 /\
       seq n ( x. ,
           ( k e. ( ZZ>= ` M ) |-> if ( k e. B , C , 1 ) ) ) ~~> y ) ) $.
    prodss.4 $e |- ( ( ph /\ k e. ( B \ A ) ) -> C = 1 ) $.
    prodss.5 $e |- ( ph -> B C_ ( ZZ>= ` M ) ) $.
    $( Change the index set to a subset in an upper integer product.
       (Contributed by Scott Fenton, 11-Dec-2017.) $)
    prodss $p |- ( ph -> prod_ k e. A C = prod_ k e. B C ) $=
      ( vm wcel wceq wa c1 adantr cc cz cprod cv cmpt cfv cmul cuz cif cseq cli
      eqid simpr cc0 wne wbr wex wrex wss sstrd csb iftrue adantl wral wi ex wn
      cdif eldif eqeltrdi sylan2br expr pm2.61d ralrimiva nfcsb1v nfel1 csbeq1a
      ax-1cn weq eleq1d rspc mpan9 eqeltrd iffalse pm2.61dan nfcv nfif ifbieq1d
      nfv eleq1w fvmptf syl2anc sselda adantlr syldan fvmpts eqtrd nfeq1 eqeq1d
      eqtr4d ssneld imp syl fmpttd ffvelrnda zprod ancoms ifeq1d prodfc 3eqtr3g
      wf sylan c0 cdm cpw uzf fdmi eleq2i ndmfv sylnbir sseqtrd ss0 prodeq1d )
      AHUAOZCEFUBZDEFUBZPAYCQZCNUCZFCEUDZUEZNUBZDYGFDEUDZUEZNUBZYDYEYFYJUFFHUGU
      EZFUCZDOZERUHZUDZHUIUJUEYMYFBCYINGYRHYNYNUKZAYCULZABUCZUMUNUFYRGUCUIUUAUJ
      UOQBUPGYNUQYCKSZACYNURYCACDYNIMUSSYFYGYNOZQZYGYRUEZYGDOZFYGEUTZRUHZYGCOZY
      IRUHZUUDUUCUUHTOZUUEUUHPZYFUUCULYFUUKUUCAUUKYCAUUFUUKAUUFQUUHUUGTUUFUUHUU
      GPZAUUFUUGRVAZVBAETOZFDVCUUFUUGTOZAUUOFDAYPQYOCOZUUOAUUQUUOVDYPAUUQUUOJVE
      SAYPUUQVFZUUOYPUURQAYODCVGZOZUUOYODCVHAUUTQERTLVQVIVJVKVLZVMUUOUUPFYGDFUU
      GTFYGEVNZVOFNVRZEUUGTFYGEVPZVSVTWAZWBUUFVFZUUKAUVFUUHRTUUFUUGRWCZVQVIVBWD
      SZSFYGYQUUHYNYRTFYGWEUUFFUUGRUUFFWHUVBFRWEWFUVCYPUUFEUUGRFNDWIUVDWGYRUKWJ
      ZWKYFUUJUUHPZUUCYFUUFUVJYFUUFQZUUJUUGUUHUVKUUIUUJUUGPZYFUUIUVLVDUUFYFUUIU
      VLYFUUIQZUUJYIUUGUUIUUJYIPYFUUIYIRVAVBUVMUUIUUPYIUUGPYFUUIULYFUUIUUFUUPYF
      CDYGACDURZYCISZWLAUUFUUPYCUVEWMZWNFYGECYHTYHUKWOWKWPVESYFUUFUUIVFZUVLYFUU
      FUVQQZQUUJRUUGUVRUUJRPZYFUVQUVSUUFUUIYIRWCZVBVBUVRYFYGUUSOZUUGRPZYGDCVHYF
      ERPZFUUSVCZUWAUWBAUWDYCAUWCFUUSLVMSUWCUWBFYGUUSFUUGRUVBWQUVCEUUGRUVDWRVTW
      AVJWSVKVLUUFUUMYFUUNVBWSYFUVFQZUUJRUUHUWEUVQUVSYFUVFUVQYFCDYGUVOWTXAUVTXB
      UVFUUHRPYFUVGVBWSWDSWSYFCTYGYHACTYHXJYCAFCETJXCSXDXEYFBDYLNGYRHYNYSYTUUBA
      DYNURZYCMSUUDUUEUUHUUFYLRUHZYFUUKUUCUULUVHUUCUUKUULUVIXFXKUUDUUFUWGUUHPZY
      FUUFUWHUUCUVKUUFYLUUGRUVKUUFUUPYLUUGPYFUUFULUVPFYGEDYKTYKUKWOWKXGWMUVFUWH
      UUDUVFUWGRUUHUUFYLRWCUVGWSVBWDWSYFDTYGYKADTYKXJYCAFDETUVAXCSXDXEWSCENFXHD
      ENFXHXIAYCVFZQZCDEFUWJCXLDUWJCXLURCXLPUWJCDXLAUVNUWIISUWJDYNXLAUWFUWIMSUW
      IYNXLPZAYCHUGXMZOUWKUWLUAHUAUAXNUGXOXPXQHUGXRXSVBXTZUSCYAXBUWJDXLURDXLPUW
      MDYAXBWSYBWD $.
  $}

  ${
    $d A f $.  $d A k $.  $d A m $.  $d A n $.  $d B f $.  $d B k $.  $d B m $.
    $d B n $.  $d C f $.  $d C m $.  $d C n $.  $d f k $.  $d f m $.  $d f n $.
    $d f ph $.  $d k m $.  $d k n $.  $d k ph $.  $d m n $.  $d m ph $.
    $d n ph $.  $d A y $.  $d B y $.  $d C y $.  $d f y $.  $d k y $.
    $d m y $.  $d n y $.  $d ph y $.
    fprodss.1 $e |- ( ph -> A C_ B ) $.
    fprodss.2 $e |- ( ( ph /\ k e. A ) -> C e. CC ) $.
    fprodss.3 $e |- ( ( ph /\ k e. ( B \ A ) ) -> C = 1 ) $.
    fprodss.4 $e |- ( ph -> B e. Fin ) $.
    $( Change the index set to a subset in a finite product.  (Contributed by
       Scott Fenton, 16-Dec-2017.) $)
    fprodss $p |- ( ph -> prod_ k e. A C = prod_ k e. B C ) $=
      ( vm vn c0 wceq cprod cfv wcel c1 wa syl cc vf vy chash cn cfz co cv wf1o
      wex wss sseq2 ss0 syl6bi prodeq1 eqcomd sylan9eq expcom syld syl5com cmpt
      ccnv cima cnvimass wf simprr f1of fssdm wfn f1ofn elpreima 3syl ffvelrnda
      wb ex adantrd sylbid imp wi adantr wn cdif eldif ax-1cn eqeltrdi sylan2br
      expr pm2.61d fmpttd syldan cuz eqid simprl nnuz eleqtrdi ssidd fprodntriv
      eldifi sylan2 eldifn adantl mpbirand mtbid eldifd cres difss resmpt ax-mp
      adantlr fveq1i fvres eqtr3id csn 1ex elsn2 sylibr ad2antrr ffvelrnd elsni
      eqtr3d fzssuz a1i prodss resmptd sylan9req prodeq2dv fveq2 fzfid fisuppfi
      fveq1d wf1 f1of1 f1ores syl2anc wfo f1ofo foimacnv f1oeq3d mpbid fprodf1o
      prodfc sselda eqtrd 3eqtr4d 3eqtr3g exlimdv expimpd cfn wo fz1f1o mpjaod
      eqidd ) ACLMZBDENZCDENZMZCUCOZUDPZQUUPUEUFZCUAUGZUHZUAUIZRZABCUJZUULUUOFU
      ULUVCBLMZUUOUULUVCBLUJUVDCLBUKBULUMUVDUULUUOUVDUULUUMLDENZUUNBLDEUNUULUUN
      UVECLDEUNUOUPUQURUSAUUQUVAUUOAUUQRUUTUUOUAAUUQUUTUUOAUUQUUTRZRZBJUGZEBDUT
      ZOZJNZCUVHECDUTZOZJNZUUMUUNUVGUUSVABVBZKUGZUUSOZUVLOZKNZUURUVRKNUVKUVNUVG
      UBUVOUURUVRKJQUVGUURCUVOUUSUUSBVCUVGUUTUURCUUSVDAUUQUUTVEZUURCUUSVFSZVGZU
      VGUVPUVOPZUVQCPZUVRTPUVGUWCUWDUVGUWCUVPUURPZUVQBPZRZUWDUVGUUTUUSUURVHUWCU
      WGVMZUVTUURCUUSVIUURUVPBUUSVJVKZUVGUWEUWDUWFUVGUWEUWDUVGUURCUVPUUSUWAVLZV
      NVOVPVQUVGCTUVQUVLUVGECDTAEUGZCPZDTPZUVFAUWLRUWKBPZUWMAUWNUWMVRUWLAUWNUWM
      GVNVSAUWLUWNVTZUWMUWLUWORAUWKCBWAZPZUWMUWKCBWBAUWQRZDQTHWCWDWEWFWGXHWHZVL
      WIUVGUBUURUVRKJQUUPQWJOZUWTWKUVGUUPUDUWTAUUQUUTWLWMWNUVGUURWOWPUVGUVPUURU
      VOWAPZRZUVQEUWPDUTZOZUVRQUXBUVQUWPPZUXDUVRMUXBUVQCBUXAUVGUWEUWDUVPUURUVOW
      QZUWJWRUXBUWCUWFUXAUWCVTUVGUVPUURUVOWSWTUXBUWCUWEUWFUXAUWEUVGUXFWTUVGUWHU
      XAUWIVSXAXBXCZUXEUXDUVQUVLUWPXDZOUVRUVQUXHUXCUWPCUJUXHUXCMCBXEECUWPDXFXGX
      IUVQUWPUVLXJXKSUXBUXDQXLZPUXDQMUXBUWPUXIUVQUXCAUWPUXIUXCVDUVFUXAAEUWPDUXI
      UWRDQMDUXIPHDQXMXNXOWHXPUXGXQUXDQXRSXSUURUWTUJUVGQUUPXTYAYBUVGUVKBUVMJNUV
      SUVGBUVJUVMJUVGUVHBPZUVJUVHUVLBXDZOUVMUVGUVHUXKUVIUVGECBDAUVCUVFFVSZYCYIU
      VHBUVLXJYDYEUVGBUVMUVOUVRJKUUSUVOXDZUVQUVHUVQUVLYFZUVGUURCBUUSUVGQUUPYGZU
      WAYHUVGUVOUUSUVOVBZUXMUHZUVOBUXMUHUVGUURCUUSYJZUVOUURUJUXQUVGUUTUXRUVTUUR
      CUUSYKSUWBUURCUVOUUSYLYMUVGUXPBUVOUXMUVGUURCUUSYNZUVCUXPBMUVGUUTUXSUVTUUR
      CUUSYOSUXLUURCBUUSYPYMYQYRUWCUVPUXMOUVQMUVGUVPUVOUUSXJWTUVGUXJUVHCPUVMTPU
      VGBCUVHUXLUUAUVGCTUVHUVLUWSVLZWIYSUUBUVGCUVMUURUVRJKUUSUVQUXNUXOUVTUVGUWE
      RUVQUUKUXTYSUUCBDJEYTCDJEYTUUDWFUUEUUFACUUGPUULUVBUUHICUAUUISUUJ $.
  $}

  ${
    $d A j $.  $d A m $.  $d F j $.  $d F k $.  $d F m $.  $d j k $.  $d j m $.
    $d j n $.  $d j ph $.  $d k m $.  $d k ph $.  $d M j $.  $d M k $.
    $d M m $.  $d m n $.  $d M n $.  $d m p $.  $d M p $.  $d m ph $.
    $d N j $.  $d N k $.  $d N m $.  $d N n $.  $d n p $.  $d N p $.
    $d n ph $.  $d p ph $.
    fprodser.1 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) = A ) $.
    fprodser.2 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    fprodser.3 $e |- ( ( ph /\ k e. ( M ... N ) ) -> A e. CC ) $.
    $( A finite product expressed in terms of a partial product of an infinite
       sequence.  The recursive definition of a finite product follows from
       here.  (Contributed by Scott Fenton, 14-Dec-2017.) $)
    fprodser $p |- ( ph -> prod_ k e. ( M ... N ) A =
          ( seq M ( x. , F ) ` N ) ) $=
      ( vn vm vp co cfv c1 caddc wcel wceq cc adantr vj cprod cv cmpt cmul cseq
      cfz prodfc cmin ccom fveq2 cn cuz eluzelz syl zcnd eluzel2 1cnd subadd23d
      cz eqcomd cn0 uznn0sub nn0p1nn eqeltrd wral wreu pncan3d pnpncand oveq12d
      wf1o wsbc eleq2d biimpa elfzelz adantl peano2zm npcand simpr oveq1 eleq1d
      wa ovex sbcie sylibr syldan ralrimiva wb 1zzd nnzd fzshftral syl3anc wrex
      mpbird wi fzsubel syl22anc mpbid nncand subsub2d eleqtrd rspceeqv syl2anc
      anim12i eqtr2 simprl simprr addcan2d syl5ib sylan2 ralrimivva eqeq2d reu4
      weq sylanbrc eqid f1ompt fmpttd ffvelrnda fzaddel nfcsb1v csbeq1a eqeq12d
      csb nfeq2 rspc mpan9 wf f1of fvco3 sylan fvmpt fveq2d eqtrd nfel1 3eqtr4d
      fvmpts fprod nnuz eleqtrdi seqshft2 seqeq1d fveq12d 3eqtrd eqtr3id ) AEFU
      GMZBCUBUUFUAUCZCUUFBUDZNZUAUBZFUEDEUFZNZUUFBUACUHAUUJFOEUIMPMZUEDJOUUMUGM
      ZJUCZEOUIMZPMZUDZUJZOUFNUUMUUPPMZUEDOUUPPMZUFZNUULAUUFUUIKUCZUURNZUUHNZUA
      KUURUUSUUMUUGUVDUUHUKAUUMFEUIMZOPMZULAUVGUUMAFEOAFAFEUMNQZFUTQZHEFUNUOZUP
      ZAEAUVHEUTQZHEFUQUOZUPZAURZUSVAAUVFVBQZUVGULQAUVHUVPHEFVCUOUVFVDUOVEZAUUQ
      UUFQZJUUNVFZLUCZUUQRZJUUNVGZLUUFVFUUNUUFUURVKZAUVSUVRJUVTUUPUIMZVLZLUVAUU
      TUGMZVFZAUWELUWFAUVTUWFQZUVTUUFQZUWEAUWHUWIAUWFUUFUVTAUVAEUUTFUGAOEUVOUVN
      VHZAFOEUVKUVOUVNVIZVJZVMVNAUWIWBZUWDUUPPMZUUFQZUWEUWMUWNUVTUUFUWMUVTUUPUW
      IUVTSQAUWIUVTUVTEFVOZUPVPAUUPSQZUWIAUUPAUVLUUPUTQZUVMEVQUOZUPZTVRZAUWIVSZ
      VEUVRUWOJUWDUVTUUPUIWCUUOUWDRUUQUWNUUFUUOUWDUUPPVTZWAWDWEWFWGAOUTQZUUMUTQ
      ZUWRUVSUWGWHAWIAUUMUVQWJZUWSUVRJLUUPOUUMWKWLWNAUWBLUUFUWMUWAJUUNWMZUWAUVT
      UVCUUPPMZRZWBZJKXNZWOZKUUNVFJUUNVFZUWBUWMUWDUUNQUVTUWNRUXGUWMUWDEUUPUIMZF
      UUPUIMZUGMZUUNUWMUWIUWDUXPQZUXBUWMUVLUVIUVTUTQZUWRUWIUXQWHAUVLUWIUVMTAUVI
      UWIUVJTUWIUXRAUWPVPAUWRUWIUWSTUVTUUPEFWPWQWRAUXPUUNRUWIAUXNOUXOUUMUGAEOUV
      NUVOWSAFEOUVKUVNUVOWTVJTXAUWMUWNUVTUXAVAJUWDUUNUUQUWNUVTUXCXBXCAUXMUWIAUX
      LJKUUNUUNUUOUUNQZUVCUUNQZWBAUUOSQZUVCSQZWBZUXLUXSUYAUXTUYBUXSUUOUUOOUUMVO
      UPUXTUVCUVCOUUMVOZUPXDUXJUUQUXHRAUYCWBZUXKUVTUUQUXHXEUYEUUOUVCUUPAUYAUYBX
      FAUYAUYBXGAUWQUYCUWTTXHXIXJXKTUWAUXIJKUUNUXKUUQUXHUVTUUOUVCUUPPVTZXLXMXOW
      GJLUUNUUFUUQUURUURXPZXQXOZAUUFSUUGUUHACUUFBSIXRXSAUXTWBZUXHDNZCUXHBYDZUVC
      UUSNZUVEAUXTUXHUUFQZUYJUYKRZUYIUXHUWFUUFUYIUXTUXHUWFQZAUXTVSUYIUXDUXEUVCU
      TQZUWRUXTUYOWHUYIWIAUXEUXTUXFTUXTUYPAUYDVPAUWRUXTUWSTUVCUUPOUUMXTWQWRAUWF
      UUFRUXTUWLTXAZACUCZDNZBRZCUUFVFUYMUYNAUYTCUUFGWGUYTUYNCUXHUUFCUYJUYKCUXHB
      YAZYEUYRUXHRZUYSUYJBUYKUYRUXHDUKCUXHBYBZYCYFYGWFUYIUYLUVDDNZUYJAUUNUUFUUR
      YHZUXTUYLVUDRAUWCVUEUYHUUNUUFUURYIUOUUNUUFUVCDUURYJYKUYIUVDUXHDUXTUVDUXHR
      AJUVCUUQUXHUUNUURUYFUYGUVCUUPPWCYLVPZYMYNZUYIUVEUXHUUHNZUYKUYIUVDUXHUUHVU
      FYMUYIUYMUYKSQZVUHUYKRUYQAUXTUYMVUIUYQABSQZCUUFVFUYMVUIAVUJCUUFIWGVUJVUIC
      UXHUUFCUYKSVUAYOVUBBUYKSVUCWAYFYGWFCUXHBUUFUUHSUUHXPYQXCYNYPYRAUEKUUSDUUP
      OUUMAUUMULOUMNUVQYSYTUWSVUGUUAAUUTFUVBUUKAUVAEUEDUWJUUBUWKUUCUUDUUE $.
  $}

  ${
    fprodcllem.1 $e |- ( ph -> S C_ CC ) $.
    fprodcllem.2 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) ->
      ( x x. y ) e. S ) $.
    fprodcllem.3 $e |- ( ph -> A e. Fin ) $.
    fprodcllem.4 $e |- ( ( ph /\ k e. A ) -> B e. S ) $.

    ${
      $d A f $.  $d A k $.  $d A m $.  $d A x $.  $d A y $.  $d B f $.
      $d B m $.  $d B x $.  $d B y $.  $d f k $.  $d f m $.  $d f ph $.
      $d f x $.  $d f y $.  $d k m $.  $d k ph $.  $d k x $.  $d k y $.
      $d m ph $.  $d m x $.  $d ph x $.  $d ph y $.  $d S f $.  $d S k $.
      $d S x $.  $d S y $.  $d x y $.
      fprodcl2lem.5 $e |- ( ph -> A =/= (/) ) $.
      $( Finite product closure lemma.  (Contributed by Scott Fenton,
         14-Dec-2017.) $)
      fprodcl2lem $p |- ( ph -> prod_ k e. A B e. S ) $=
        ( vf vm wcel cfv c1 cv wa cc c0 wceq cprod chash cn cfz co wf1o wex wne
        wn a1d necon4bd cmul cmpt ccom prodfc fveq2 simprl simprr adantr sseldd
        cseq wss fmpttd ffvelrnda adantlr wf ad2antll fvco3 sylan fprod eqtr3id
        f1of cuz nnuz eleqtrdi fco syl2an2r eqeltrd expr exlimdv expimpd cfn wo
        seqcl fz1f1o syl mpjaod ) ADUAUBZDEGUCZFOZDUDPZUEOZQWMUFUGZDMRZUHZMUIZS
        ZAWLDUAADUAUJWLUKLULUMAWNWRWLAWNSWQWLMAWNWQWLAWNWQSZSZWKWMUNGDEUOZWPUPZ
        QVCPZFXAWKDNRZXBPZNUCXDDENGUQXADXFBRZWPPZXBPZNBWPXCWMXEXHXBURAWNWQUSZAW
        NWQUTAXEDOXFTOWTADTXEXBAGDETAGRDOZSFTEAFTVDXKHVAKVBVEVFVGXAWODWPVHZXGWO
        OXGXCPXIUBWQXLAWNWODWPVNVIZWODXGXBWPVJVKVLVMXABCUNFXCQWMXAWMUEQVOPXJVPV
        QXAWOFXGXCADFXBVHWTXLWOFXCVHAGDEFKVEXMWODFXBWPVRVSVFAXGFOCRZFOSXGXNUNUG
        FOWTIVGWFVTWAWBWCADWDOWJWSWEJDMWGWHWI $.
    $}

    $d A k $.  $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d k ph $.
    $d k x $.  $d k y $.  $d ph x $.  $d ph y $.  $d S k $.  $d S x $.
    $d S y $.  $d x y $.
    fprodcllem.5 $e |- ( ph -> 1 e. S ) $.
    $( Finite product closure lemma.  (Contributed by Scott Fenton,
       14-Dec-2017.) $)
    fprodcllem $p |- ( ph -> prod_ k e. A B e. S ) $=
      ( cprod wcel c0 wceq wa c1 adantr cv prodeq1 eqtrdi adantl eqeltrd wne cc
      prod0 wss cmul co adantlr cfn simpr fprodcl2lem pm2.61dane ) ADEGMZFNDOAD
      OPZQUPRFUQUPRPAUQUPOEGMRDOEGUAEGUGUBUCARFNUQLSUDADOUEZQBCDEFGAFUFUHURHSAB
      TZFNCTZFNQUSUTUIUJFNURIUKADULNURJSAGTDNEFNURKUKAURUMUNUO $.
  $}

  ${
    $d A k x y $.  $d B x y $.  $d ph k x y $.
    fprodcl.1 $e |- ( ph -> A e. Fin ) $.

    ${
      fprodcl.2 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
      $( Closure of a finite product of complex numbers.  (Contributed by Scott
         Fenton, 14-Dec-2017.) $)
      fprodcl $p |- ( ph -> prod_ k e. A B e. CC ) $=
        ( vx vy cc ssidd cv wcel wa cmul co mulcl adantl 1cnd fprodcllem ) AGHB
        CIDAIJGKZILHKZILMTUANOILATUAPQEFARS $.
    $}

    ${
      fprodrecl.2 $e |- ( ( ph /\ k e. A ) -> B e. RR ) $.
      $( Closure of a finite product of real numbers.  (Contributed by Scott
         Fenton, 14-Dec-2017.) $)
      fprodrecl $p |- ( ph -> prod_ k e. A B e. RR ) $=
        ( vx vy cr cc wss ax-resscn a1i cv wcel wa cmul co remulcl adantl 1red
        fprodcllem ) AGHBCIDIJKALMGNZIOHNZIOPUCUDQRIOAUCUDSTEFAUAUB $.
    $}

    ${
      fprodzcl.2 $e |- ( ( ph /\ k e. A ) -> B e. ZZ ) $.
      $( Closure of a finite product of integers.  (Contributed by Scott
         Fenton, 14-Dec-2017.) $)
      fprodzcl $p |- ( ph -> prod_ k e. A B e. ZZ ) $=
        ( vx vy cz cc wss zsscn a1i cv wcel wa cmul co zmulcl adantl fprodcllem
        1zzd ) AGHBCIDIJKALMGNZIOHNZIOPUCUDQRIOAUCUDSTEFAUBUA $.
    $}

    ${
      fprodnncl.2 $e |- ( ( ph /\ k e. A ) -> B e. NN ) $.
      $( Closure of a finite product of positive integers.  (Contributed by
         Scott Fenton, 14-Dec-2017.) $)
      fprodnncl $p |- ( ph -> prod_ k e. A B e. NN ) $=
        ( vx vy cn cc wss nnsscn a1i cv wcel wa cmul co nnmulcl adantl c1 1nn
        fprodcllem ) AGHBCIDIJKALMGNZIOHNZIOPUDUEQRIOAUDUESTEFUAIOAUBMUC $.
    $}

    ${
      fprodrpcl.2 $e |- ( ( ph /\ k e. A ) -> B e. RR+ ) $.
      $( Closure of a finite product of positive reals.  (Contributed by Scott
         Fenton, 14-Dec-2017.) $)
      fprodrpcl $p |- ( ph -> prod_ k e. A B e. RR+ ) $=
        ( vx vy crp cc wss cr rpssre ax-resscn sstri a1i cv wcel wa cmul adantl
        co rpmulcl c1 1rp fprodcllem ) AGHBCIDIJKAILJMNOPGQZIRHQZIRSUGUHTUBIRAU
        GUHUCUAEFUDIRAUEPUF $.
    $}

    ${
      fprodnn0cl.2 $e |- ( ( ph /\ k e. A ) -> B e. NN0 ) $.
      $( Closure of a finite product of nonnegative integers.  (Contributed by
         Scott Fenton, 14-Dec-2017.) $)
      fprodnn0cl $p |- ( ph -> prod_ k e. A B e. NN0 ) $=
        ( vx vy cn0 cc wss nn0sscn a1i cv wcel wa cmul co nn0mulcl adantl 1nn0
        c1 fprodcllem ) AGHBCIDIJKALMGNZIOHNZIOPUDUEQRIOAUDUESTEFUBIOAUAMUC $.
    $}
  $}

  ${
    $d A j k x y $.  $d B j x y $.  $d S j k x y $.  $d j ph x y $.
    fprodcllemf.ph $e |- F/ k ph $.
    fprodcllemf.s $e |- ( ph -> S C_ CC ) $.
    fprodcllemf.xy $e |- ( ( ph /\ ( x e. S /\ y e. S ) )
                           -> ( x x. y ) e. S ) $.
    fprodcllemf.a $e |- ( ph -> A e. Fin ) $.
    fprodcllemf.b $e |- ( ( ph /\ k e. A ) -> B e. S ) $.
    fprodcllemf.1 $e |- ( ph -> 1 e. S ) $.
    $( Finite product closure lemma.  A version of ~ fprodcllem using
       bound-variable hypotheses instead of distinct variable conditions.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    fprodcllemf $p |- ( ph -> prod_ k e. A B e. S ) $=
      ( vj cprod cv csb nfcv nfcsb1v wcel csbeq1a cbvprodi wa wsbc wral ralrimi
      ex rspsbc mpan9 wb cvv sbcel1g elv sylib fprodcllem eqeltrid ) ADEGODGNPZ
      EQZNOFDEURGNNERGUQESGUQEUAUBABCDURFNIJKAUQDTZUCEFTZGUQUDZURFTZAUTGDUEUSVA
      AUTGDHAGPDTUTLUGUFUTGUQDUHUIVAVBUJNGUQEFUKULUMUNMUOUP $.
  $}

  ${
    $d A k x y $.  $d B x y $.  $d ph x y $.
    fprodreclf.kph $e |- F/ k ph $.
    fprodcl.a $e |- ( ph -> A e. Fin ) $.
    fprodrecl.b $e |- ( ( ph /\ k e. A ) -> B e. RR ) $.
    $( Closure of a finite product of real numbers.  A version of ~ fprodrecl
       using bound-variable hypotheses instead of distinct variable conditions.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    fprodreclf $p |- ( ph -> prod_ k e. A B e. RR ) $=
      ( vx vy cr cc wss ax-resscn a1i cv wcel wa cmul co remulcl adantl 1red
      fprodcllemf ) AHIBCJDEJKLAMNHOZJPIOZJPQUDUERSJPAUDUETUAFGAUBUC $.
  $}

  ${
    $d A f $.  $d A k $.  $d A m $.  $d B f $.  $d B m $.  $d C f $.  $d C m $.
    $d f k $.  $d f ph $.  $d k m $.  $d k ph $.  $d A n $.  $d B n $.
    $d C n $.  $d f m $.  $d f n $.  $d k n $.  $d m n $.  $d m ph $.
    $d n ph $.
    fprodmul.1 $e |- ( ph -> A e. Fin ) $.
    fprodmul.2 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fprodmul.3 $e |- ( ( ph /\ k e. A ) -> C e. CC ) $.
    $( The product of two finite products.  (Contributed by Scott Fenton,
       14-Dec-2017.) $)
    fprodmul $p |- ( ph -> prod_ k e. A ( B x. C ) =
      ( prod_ k e. A B x. prod_ k e. A C ) ) $=
      ( vm c0 wceq cmul co cprod cfv wcel c1 wa cc wf vf vn chash cn cfz cv wex
      wf1o wi 1t1e1 oveq12i 3eqtr4ri prodeq1 oveq12d 3eqtr4a a1i cmpt ccom cseq
      prod0 cuz simprl nnuz eleqtrdi fmpttd f1of ad2antll fco syl2anc ffvelrnda
      adantr wral mulcld eqid fvmpt2 ralrimiva ad2antrr nffvmpt1 nfcv nfov nfeq
      simpr eqtr4d fveq2 eqeq12d rspc fvco3 sylan 3eqtr4d prodfmul simprr fprod
      sylc prodfc 3eqtr3g expr exlimdv expimpd cfn wo fz1f1o syl mpjaod ) ABJKZ
      BCDLMZENZBCENZBDENZLMZKZBUCOZUDPZQXKUEMZBUAUFZUHZUAUGZRZXDXJUIAXDJXEENZJC
      ENZJDENZLMZXFXIQQLMQYAXRUJXSQXTQLCEUTDEUTUKXEEUTULBJXEEUMXDXGXSXHXTLBJCEU
      MBJDEUMUNUOUPAXLXPXJAXLRXOXJUAAXLXOXJAXLXORZRZBIUFZEBXEUQZOZINZBYDEBCUQZO
      ZINZBYDEBDUQZOZINZLMZXFXIYCXKLYEXNURZQUSOXKLYHXNURZQUSOZXKLYKXNURZQUSOZLM
      YGYNYCUBYPYRYOQXKYCXKUDQVAOAXLXOVBZVCVDYCXMSUBUFZYPYCBSYHTZXMBXNTZXMSYPTA
      UUBYBAEBCSGVEVKZXOUUCAXLXMBXNVFVGZXMBSYHXNVHVIVJYCXMSUUAYRYCBSYKTZUUCXMSY
      RTAUUFYBAEBDSHVEVKZUUEXMBSYKXNVHVIVJYCUUAXMPZRZUUAXNOZYEOZUUJYHOZUUJYKOZL
      MZUUAYOOZUUAYPOZUUAYROZLMUUIUUJBPEUFZYEOZUURYHOZUURYKOZLMZKZEBVLZUUKUUNKZ
      YCXMBUUAXNUUEVJAUVDYBUUHAUVCEBAUURBPZRZUUSXEUVBUVGUVFXESPUUSXEKAUVFWBZUVG
      CDGHVMZEBXESYEYEVNVOVIUVGUUTCUVADLUVGUVFCSPUUTCKUVHGEBCSYHYHVNVOVIUVGUVFD
      SPUVADKUVHHEBDSYKYKVNVOVIUNWCVPVQUVCUVEEUUJBEUUKUUNEBXEUUJVREUULUUMLEBCUU
      JVRELVSEBDUUJVRVTWAUURUUJKZUUSUUKUVBUUNUURUUJYEWDUVJUUTUULUVAUUMLUURUUJYH
      WDUURUUJYKWDUNWEWFWMYCUUCUUHUUOUUKKUUEXMBUUAYEXNWGWHZUUIUUPUULUUQUUMLYCUU
      CUUHUUPUULKUUEXMBUUAYHXNWGWHZYCUUCUUHUUQUUMKUUEXMBUUAYKXNWGWHZUNWIWJYCBYF
      UUKIUBXNYOXKYDUUJYEWDYTAXLXOWKZYCBSYDYEABSYETYBAEBXESUVIVEVKVJUVKWLYCYJYQ
      YMYSLYCBYIUULIUBXNYPXKYDUUJYHWDYTUVNYCBSYDYHUUDVJUVLWLYCBYLUUMIUBXNYRXKYD
      UUJYKWDYTUVNYCBSYDYKUUGVJUVMWLUNWIBXEIEWNYJXGYMXHLBCIEWNBDIEWNUKWOWPWQWRA
      BWSPXDXQWTFBUAXAXBXC $.

    fproddiv.4 $e |- ( ( ph /\ k e. A ) -> C =/= 0 ) $.
    $( The quotient of two finite products.  (Contributed by Scott Fenton,
       15-Jan-2018.) $)
    fproddiv $p |- ( ph -> prod_ k e. A ( B / C ) =
       ( prod_ k e. A B / prod_ k e. A C ) ) $=
      ( vm c0 wceq cdiv co cprod cfv wcel c1 cc cc0 vf vn chash cn cfz wf1o wex
      cv wa wi 1div1e1 eqcomi prodeq1 eqtrdi oveq12d 3eqtr4a a1i cmpt cmul ccom
      prod0 cseq cuz simprl nnuz eleqtrdi wf fmpttd adantl fco syl2an ffvelrnda
      f1of simprr syl fvco3 sylan wne wral simpr eqid syl2anc eqnetrd ralrimiva
      fvmpt2 ad2antrr nffvmpt1 nfcv nfne neeq1d rspc sylc divcld eqtr4d eqeq12d
      fveq2 nfov nfeq 3eqtr4d prodfdiv adantr fprod prodfc oveq12i 3eqtr3g expr
      exlimdv expimpd cfn wo fz1f1o mpjaod ) ABKLZBCDMNZEOZBCEOZBDEOZMNZLZBUCPZ
      UDQZRXTUENZBUAUHZUFZUAUGZUIZXMXSUJAXMRRRMNZXOXRYGRUKULXMXOKXNEORBKXNEUMXN
      EVAUNXMXPRXQRMXMXPKCEORBKCEUMCEVAUNXMXQKDEORBKDEUMDEVAUNUOUPUQAYAYEXSAYAU
      IYDXSUAAYAYDXSAYAYDUIZUIZBJUHZEBXNURZPZJOZBYJEBCURZPZJOZBYJEBDURZPZJOZMNZ
      XOXRYIXTUSYKYCUTZRVBPXTUSYNYCUTZRVBPZXTUSYQYCUTZRVBPZMNYMYTYIUBUUBUUDUUAR
      XTYIXTUDRVCPAYAYDVDZVEVFYIYBSUBUHZUUBABSYNVGZYBBYCVGZYBSUUBVGYHAEBCSGVHZY
      DUUIYAYBBYCVMZVIZYBBSYNYCVJVKVLYIYBSUUGUUDABSYQVGZUUIYBSUUDVGYHAEBDSHVHZU
      ULYBBSYQYCVJVKVLYIUUGYBQZUIZUUGUUDPZUUGYCPZYQPZTYIUUIUUOUUQUUSLYIYDUUIAYA
      YDVNZUUKVOZYBBUUGYQYCVPVQZUUPUURBQZEUHZYQPZTVRZEBVSZUUSTVRZYIYBBUUGYCUVAV
      LZAUVGYHUUOAUVFEBAUVDBQZUIZUVEDTUVKUVJDSQUVEDLAUVJVTZHEBDSYQYQWAWEWBZIWCW
      DWFUVFUVHEUURBEUUSTEBDUURWGZETWHWIUVDUURLZUVEUUSTUVDUURYQWPZWJWKWLWCUUPUU
      RYKPZUURYNPZUUSMNZUUGUUAPZUUGUUBPZUUQMNUUPUVCUVDYKPZUVDYNPZUVEMNZLZEBVSZU
      VQUVSLZUVIAUWFYHUUOAUWEEBUVKUWBXNUWDUVKUVJXNSQUWBXNLUVLUVKCDGHIWMZEBXNSYK
      YKWAWEWBUVKUWCCUVEDMUVKUVJCSQUWCCLUVLGEBCSYNYNWAWEWBUVMUOWNWDWFUWEUWGEUUR
      BEUVQUVSEBXNUURWGEUVRUUSMEBCUURWGEMWHUVNWQWRUVOUWBUVQUWDUVSUVDUURYKWPUVOU
      WCUVRUVEUUSMUVDUURYNWPUVPUOWOWKWLYIUUIUUOUVTUVQLUVAYBBUUGYKYCVPVQZUUPUWAU
      VRUUQUUSMYIUUIUUOUWAUVRLUVAYBBUUGYNYCVPVQZUVBUOWSWTYIBYLUVQJUBYCUUAXTYJUU
      RYKWPUUFUUTYIBSYJYKABSYKVGYHAEBXNSUWHVHXAVLUWIXBYIYPUUCYSUUEMYIBYOUVRJUBY
      CUUBXTYJUURYNWPUUFUUTYIBSYJYNAUUHYHUUJXAVLUWJXBYIBYRUUSJUBYCUUDXTYJUURYQW
      PUUFUUTYIBSYJYQAUUMYHUUNXAVLUVBXBUOWSBXNJEXCYPXPYSXQMBCJEXCBDJEXCXDXEXFXG
      XHABXIQXMYFXJFBUAXKVOXL $.
  $}

  ${
    $d A m n $.  $d B k m n $.  $d M k m n $.  $d V k m n $.
    prodsn.1 $e |- ( k = M -> A = B ) $.
    $( A product of a singleton is the term.  (Contributed by Scott Fenton,
       14-Dec-2017.) $)
    prodsn $p |- ( ( M e. V /\ B e. CC ) -> prod_ k e. { M } A = B ) $=
      ( vm vn wcel cc wa csn cprod c1 cfv csb cz 1z wceq adantr cmul cv nfcsb1v
      cop cseq nfcv csbeq1a cbvprodi csbeq1 cn 1nn a1i cfz co wf1o f1osng ax-mp
      wb fzsn f1oeq2 sylibr mpan velsn csbiegf sylan9eqr sylan2b simplr eqeltrd
      nfcvd bitri fvsng csbeq1d simpr sylancr 3eqtr4rd fveq2 eqeq12d syl5ibrcom
      eleq2i imp fprod eqtrid seq1i eqtrd ) DEIZBJIZKZDLZACMZNUANBUDLZNUEOZBWGW
      IWHCGUBZAPZGMWKWHAWMCGGAUFCWLAUCCWLAUGUHWGWHWMCHUBZNDUDLZOZAPZGHWOWJNCWLW
      PAUINUJIWGUKULWENNUMUNZWHWOUOZWFNQIZWEWSRWTWEKNLZWHWOUOZWSNDQEUPWRXASZWSX
      BURWTXCRNUSUQZWRXAWHWOUTUQVAVBTWGWLWHIZKWMBJXEWGWLDSZWMBSGDVCXFWGWMCDAPZB
      CWLDAUIWEXGBSWFCDABEWECBVIFVDTZVEVFWEWFXEVGVHWNWRIZWGWNNSZWNWJOZWQSZXIWNX
      AIXJWRXAWNXDVSHNVCVJWGXJXLWGXLXJNWJOZCNWOOZAPZSWGXGBXOXMXHWGCXNDAWEXNDSZW
      FWTWEXPRNDQEVKVBTVLWGWTWFXMBSRWEWFVMNBQJVKVNZVOXJXKXMWQXOWNNWJVPXJCWPXNAW
      NNWOVPVLVQVRVTVFWAWBWGBUAWJNRXQWCWD $.

    $( A finite product of only one term is the term itself.  (Contributed by
       Scott Fenton, 14-Dec-2017.) $)
    fprod1 $p |- ( ( M e. ZZ /\ B e. CC ) -> prod_ k e. ( M ... M ) A = B ) $=
      ( cz wcel cc wa cfz co cprod csn wceq fzsn prodeq1d adantr prodsn eqtrd )
      DFGZBHGZIDDJKZACLZDMZACLZBTUCUENUATUBUDACDOPQABCDFERS $.
  $}

  ${
    $d A m n $.  $d B m n $.  $d M k m n $.  $d V k m n $.
    prodsnf.1 $e |- F/_ k B $.
    prodsnf.2 $e |- ( k = M -> A = B ) $.
    $( A product of a singleton is the term.  A version of ~ prodsn using
       bound-variable hypotheses instead of distinct variable conditions.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    prodsnf $p |- ( ( M e. V /\ B e. CC ) -> prod_ k e. { M } A = B ) $=
      ( vm vn wcel cc wa csn c1 cfv csb cz 1z wceq adantr cmul cop cseq cv nfcv
      cprod nfcsb1v csbeq1a cbvprodi csbeq1 cn 1nn a1i cfz co wf1o f1osng ax-mp
      wb fzsn f1oeq2 sylibr mpan velsn csbiegf sylan9eqr sylan2b simplr eqeltrd
      wnfc eleq2i bitri fvsng csbeq1d simpr sylancr 3eqtr4rd eqeq12d syl5ibrcom
      fveq2 imp fprod eqtrid seq1i eqtrd ) DEJZBKJZLZDMZACUFZNUANBUBMZNUCOZBWHW
      JWICHUDZAPZHUFWLWIAWNCHHAUECWMAUGCWMAUHUIWHWIWNCIUDZNDUBMZOZAPZHIWPWKNCWM
      WQAUJNUKJWHULUMWFNNUNUOZWIWPUPZWGNQJZWFWTRXAWFLNMZWIWPUPZWTNDQEUQWSXBSZWT
      XCUSXAXDRNUTURZWSXBWIWPVAURVBVCTWHWMWIJZLWNBKXFWHWMDSZWNBSHDVDXGWHWNCDAPZ
      BCWMDAUJWFXHBSWGCDABECBVJWFFUMGVETZVFVGWFWGXFVHVIWOWSJZWHWONSZWOWKOZWRSZX
      JWOXBJXKWSXBWOXEVKINVDVLWHXKXMWHXMXKNWKOZCNWPOZAPZSWHXHBXPXNXIWHCXODAWFXO
      DSZWGXAWFXQRNDQEVMVCTVNWHXAWGXNBSRWFWGVONBQKVMVPZVQXKXLXNWRXPWONWKVTXKCWQ
      XOAWONWPVTVNVRVSWAVGWBWCWHBUAWKNRXRWDWE $.
  $}

  ${
    climprod1.1 $e |- Z = ( ZZ>= ` M ) $.
    climprod1.2 $e |- ( ph -> M e. ZZ ) $.
    $( The limit of a product over one.  (Contributed by Scott Fenton,
       15-Dec-2017.) $)
    climprod1 $p |- ( ph -> seq M ( x. , ( Z X. { 1 } ) ) ~~> 1 ) $=
      ( cz wcel cmul c1 csn cxp cseq cli wbr prodfclim1 syl ) ABFGHCIJKBLIMNEBC
      DOP $.
  $}

  ${
    $d A k $.  $d B k $.  $d k ph $.  $d U k $.
    fprodsplit.1 $e |- ( ph -> ( A i^i B ) = (/) ) $.
    fprodsplit.2 $e |- ( ph -> U = ( A u. B ) ) $.
    fprodsplit.3 $e |- ( ph -> U e. Fin ) $.
    fprodsplit.4 $e |- ( ( ph /\ k e. U ) -> C e. CC ) $.
    $( Split a finite product into two parts.  (Contributed by Scott Fenton,
       16-Dec-2017.) $)
    fprodsplit $p |- ( ph -> prod_ k e. U C =
      ( prod_ k e. A C x. prod_ k e. B C ) ) $=
      ( cprod cmul co wcel c1 wa cc wceq adantl iffalsed cv cif iftrue prodeq2i
      ssun1 sseqtrrid sselda syldan eqeltrd cdif eldifn fprodss eqtr3id oveq12d
      cun ssun2 ax-1cn ifcl sylancl fprodmul wo eleq2d elun bitrdi biimpa c0 wn
      cin disjel sylan mulid1d eqtrd ex con2d mulid2d jaodan prodeq2dv 3eqtr2rd
      imp ) ABDFKZCDFKZLMEFUAZBNZDOUBZFKZEWBCNZDOUBZFKZLMEWDWGLMZFKEDFKAVTWEWAW
      HLAVTBWDFKWEBWDDFWCDOUCZUDABEWDFABCUOZBEBCUEHUFZAWCPZWDDQWCWDDRAWJSZAWCWB
      ENZDQNZABEWBWLUGJUHZUIWBEBUJNZWDORAWRWCDOWBEBUKTSIULUMAWACWGFKWHCWGDFWFDO
      UCZUDACEWGFAWKCECBUPHUFZAWFPZWGDQWFWGDRAWSSZAWFWOWPACEWBWTUGJUHZUIWBECUJN
      ZWGORAXDWFDOWBECUKTSIULUMUNAEWDWGFIAWOPZWPOQNZWDQNJUQWCDOQURUSXEWPXFWGQNJ
      UQWFDOQURUSUTAEWIDFAWOWCWFVAZWIDRZAWOXGAWOWBWKNXGAEWKWBHVBWBBCVCVDVEAWCXH
      WFWMWIDOLMDWMWDDWGOLWNWMWFDOABCVHVFRWCWFVGZGBCWBVIVJZTUNWMDWQVKVLXAWIODLM
      DXAWDOWGDLXAWCDOAWFWCVGAWCWFAWCXIXJVMVNVSTXBUNXADXCVOVLVPUHVQVR $.
  $}

  ${
    $d B k $.  $d k ph $.  $d M k $.  $d N k $.
    fprodm1.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    fprodm1.2 $e |- ( ( ph /\ k e. ( M ... N ) ) -> A e. CC ) $.
    fprodm1.3 $e |- ( k = N -> A = B ) $.
    $( Separate out the last term in a finite product.  (Contributed by Scott
       Fenton, 16-Dec-2017.) $)
    fprodm1 $p |- ( ph -> prod_ k e. ( M ... N ) A =
       ( prod_ k e. ( M ... ( N - 1 ) ) A x. B ) ) $=
      ( cfz co cprod c1 cmul wcel wceq cuz cfv cz syl cmin csn wn caddc fzp1nel
      cin c0 eluzelz zcnd 1cnd npcand eleq1d disjsn sylibr cun eluzel2 peano2zm
      mtbii fveq2d eleqtrrd eluzp1m1 syl2anc fzsuc2 oveq2d sneqd uneq2d 3eqtr3d
      fzfid fprodsplit cc cv ralrimiva eluzfz2 rspcdva prodsn eqtrd ) AEFJKZBDL
      EFMUAKZJKZBDLZFUBZBDLZNKVTCNKAVSWABVQDAFVSOZUCVSWAUFUGPAVRMUDKZVSOWCEVRUE
      AWDFVSAFMAFAFEQRZOZFSOGEFUHTUIAUJZUKZULURVSFUMUNAEWDJKZVSWDUBZUOZVQVSWAUO
      AESOZVREMUAKZQROZWIWKPAWFWLGEFUPTZAWMSOZFWMMUDKZQRZOWNAWLWPWOEUQTAFWEWRGA
      WQEQAEMAEWOUIWGUKUSUTWMFVAVBEVRVCVBAWDFEJWHVDAWJWAVSAWDFWHVEVFVGAEFVHHVIA
      WBCVTNAWFCVJOZWBCPGABVJOZWSDVQFDVKFPBCVJIULAWTDVQHVLAWFFVQOGEFVMTVNBCDFWE
      IVOVBVDVP $.
  $}

  ${
    $d B k $.  $d k ph $.  $d M k $.  $d N k $.
    fprod1p.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    fprod1p.2 $e |- ( ( ph /\ k e. ( M ... N ) ) -> A e. CC ) $.
    fprod1p.3 $e |- ( k = M -> A = B ) $.
    $( Separate out the first term in a finite product.  (Contributed by Scott
       Fenton, 24-Dec-2017.) $)
    fprod1p $p |- ( ph -> prod_ k e. ( M ... N ) A =
      ( B x. prod_ k e. ( ( M + 1 ) ... N ) A ) ) $=
      ( cfz co cprod cmul cin c0 wcel wceq syl cun cc csn caddc cuz cfv eluzfz1
      c1 cz elfzelzd fzsn ineq1d clt wbr zred ltp1d fzdisj eqtr3d fzsplit eqtrd
      uneq1d fzfid fprodsplit cv eleq1d ralrimiva rspcdva prodsn syl2anc oveq1d
      ) AEFJKZBDLEUAZBDLZEUFUBKZFJKZBDLZMKCVNMKAVJVMBVIDAEEJKZVMNZVJVMNOAVOVJVM
      AEUGPVOVJQAEEFAFEUCUDPEVIPZGEFUERZUHZEUIRZUJAEVLUKULVPOQAEAEVSUMUNEEVLFUO
      RUPAVIVOVMSZVJVMSAVQVIWAQVREEFUQRAVOVJVMVTUSURAEFUTHVAAVKCVNMAVQCTPZVKCQV
      RABTPZWBDVIEDVBEQBCTIVCAWCDVIHVDVRVEBCDEVIIVFVGVHUR $.
  $}

  ${
    $d B k $.  $d k ph $.  $d M k $.  $d N k $.
    fprodp1.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    fprodp1.2 $e |- ( ( ph /\ k e. ( M ... ( N + 1 ) ) ) -> A e. CC ) $.
    fprodp1.3 $e |- ( k = ( N + 1 ) -> A = B ) $.
    $( Multiply in the last term in a finite product.  (Contributed by Scott
       Fenton, 24-Dec-2017.) $)
    fprodp1 $p |- ( ph -> prod_ k e. ( M ... ( N + 1 ) ) A =
     ( prod_ k e. ( M ... N ) A x. B ) ) $=
      ( c1 caddc co cfz cprod cmin cmul cuz cfv wcel syl fprodm1 eluzelz pncand
      peano2uz cz zcnd 1cnd oveq2d prodeq1d oveq1d eqtrd ) AEFJKLZMLBDNEULJOLZM
      LZBDNZCPLEFMLZBDNZCPLABCDEULAFEQRZSZULURSGEFUDTHIUAAUOUQCPAUNUPBDAUMFEMAF
      JAFAUSFUESGEFUBTUFAUGUCUHUIUJUK $.
  $}

  ${
    $d A m $.  $d k m ph $.  $d M k m $.  $d N k m $.
    fprodm1s.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    fprodm1s.2 $e |- ( ( ph /\ k e. ( M ... N ) ) -> A e. CC ) $.
    $( Separate out the last term in a finite product.  (Contributed by Scott
       Fenton, 27-Dec-2017.) $)
    fprodm1s $p |- ( ph -> prod_ k e. ( M ... N ) A =
      ( prod_ k e. ( M ... ( N - 1 ) ) A x. [_ N / k ]_ A ) ) $=
      ( vm cfz co cv csb cprod c1 cmin cmul cc wcel wral cbvprodi nfcsb1v nfel1
      ralrimiva csbeq1a eleq1d rspc mpan9 csbeq1 fprodm1 nfcv oveq1i 3eqtr4g
      weq ) ADEIJZCHKZBLZHMDENOJIJZUPHMZCEBLZPJUNBCMUQBCMZUSPJAUPUSHDEFABQRZCUN
      SUOUNRUPQRZAVACUNGUCVAVBCUOUNCUPQCUOBUAZUBCHUMBUPQCUOBUDZUEUFUGCUOEBUHUIU
      NBUPCHHBUJZVCVDTUTURUSPUQBUPCHVEVCVDTUKUL $.
  $}

  ${
    $d A m $.  $d k m ph $.  $d M k m $.  $d N k m $.
    fprodp1s.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    fprodp1s.2 $e |- ( ( ph /\ k e. ( M ... ( N + 1 ) ) ) -> A e. CC ) $.
    $( Multiply in the last term in a finite product.  (Contributed by Scott
       Fenton, 27-Dec-2017.) $)
    fprodp1s $p |- ( ph -> prod_ k e. ( M ... ( N + 1 ) ) A =
       ( prod_ k e. ( M ... N ) A x. [_ ( N + 1 ) / k ]_ A ) ) $=
      ( vm c1 caddc co cfz cv csb cprod cmul cc wcel wral cbvprodi nfel1 eleq1d
      ralrimiva nfcsb1v csbeq1a rspc mpan9 csbeq1 fprodp1 nfcv oveq1i 3eqtr4g
      weq ) ADEIJKZLKZCHMZBNZHODELKZUQHOZCUNBNZPKUOBCOURBCOZUTPKAUQUTHDEFABQRZC
      UOSUPUORUQQRZAVBCUOGUCVBVCCUPUOCUQQCUPBUDZUACHUMBUQQCUPBUEZUBUFUGCUPUNBUH
      UIUOBUQCHHBUJZVDVETVAUSUTPURBUQCHVFVDVETUKUL $.
  $}

  ${
    $d A n $.  $d k n $.  $d M k $.  $d M n $.  $d V n $.
    $( A product of the singleton is the term.  (Contributed by Scott Fenton,
       25-Dec-2017.) $)
    prodsns $p |- ( ( M e. V /\ [_ M / k ]_ A e. CC ) ->
       prod_ k e. { M } A = [_ M / k ]_ A ) $=
      ( vn wcel csb cc wa csn cprod nfcv nfcsb1v csbeq1a cbvprodi csbeq1 prodsn
      cv eqtrid ) CDFBCAGZHFICJZABKUABERZAGZEKTUAAUCBEEALBUBAMBUBANOUCTECDBUBCA
      PQS $.
  $}

  ${
    $d A k $.
    $( Factorial using product notation.  (Contributed by Scott Fenton,
       15-Dec-2017.) $)
    fprodfac $p |- ( A e. NN0 -> ( ! ` A ) = prod_ k e. ( 1 ... A ) k ) $=
      ( cn0 wcel cn cc0 wceq wo cfa cfv c1 cfz co cv cprod elnn0 cid cvv eqtrdi
      c0 cmul cseq facnn wa vex fvi mp1i elnnuz biimpi cc elfznn nncnd fprodser
      cuz adantl eqtr4d prod0 fveq2 fac0 oveq2 fz10 prodeq1d 3eqtr4a jaoi sylbi
      eqcomi ) ACDAEDZAFGZHAIJZKALMZBNZBOZGZAPVGVMVHVGVIAUAQKUBJVLAUCVGVKBQKAVK
      RDVKQJVKGVGVKVJDZUDBUEVKRUFUGVGAKUNJDAUHUIVNVKUJDVGVNVKVKAUKULUOUMUPVHKTV
      KBOZVIVLVOKVKBUQVFVHVIFIJKAFIURUSSVHVJTVKBVHVJKFLMTAFKLUTVASVBVCVDVE $.
  $}

  ${
    $d A a n $.  $d M a k n $.  $d N a k $.  $d Z a k n $.  $d ph a k n $.
    fprodabs.1 $e |- Z = ( ZZ>= ` M ) $.
    fprodabs.2 $e |- ( ph -> N e. Z ) $.
    fprodabs.3 $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
    $( The absolute value of a finite product.  (Contributed by Scott Fenton,
       25-Dec-2017.) $)
    fprodabs $p |- ( ph -> ( abs ` prod_ k e. ( M ... N ) A ) =
      prod_ k e. ( M ... N ) ( abs ` A ) ) $=
      ( cfv wcel cfz co cprod cabs wceq wi prodeq1d fveq2d cc va vn eleqtrdi cv
      cuz c1 caddc oveq2 eqeq12d imbi2d weq cz wa csb csbfv2g adantl fzsn simpr
      csn uzid eleqtrrdi wral ralrimiva nfcsb1v nfel1 csbeq1a eleq1d rspc mpan9
      sylan2 abscld recnd eqeltrd prodsns syl2anc eqtrd 3eqtr4rd w3a cmul simp3
      expcom cvv ax-mp eqcomi a1i oveq12d elfzuz adantlr fprodp1s fzfid fprodcl
      ovex peano2uz absmuld 3adant3 3eqtr4d 3exp com12 a2d uzind4 mpcom ) EDUEJ
      ZKADELMZBCNZOJZXCBOJZCNZPZAEFXBHGUCADUAUDZLMZBCNZOJZXJXFCNZPZQADDLMZBCNZO
      JZXOXFCNZPZQADUBUDZLMZBCNZOJZYAXFCNZPZQADXTUFUGMZLMZBCNZOJZYGXFCNZPZQAXHQ
      UAUBDEXIDPZXNXSAYLXLXQXMXRYLXKXPOYLXJXOBCXIDDLUHZRSYLXJXOXFCYMRUIUJUAUBUK
      ZXNYEAYNXLYCXMYDYNXKYBOYNXJYABCXIXTDLUHZRSYNXJYAXFCYORUIUJXIYFPZXNYKAYPXL
      YIXMYJYPXKYHOYPXJYGBCXIYFDLUHZRSYPXJYGXFCYQRUIUJXIEPZXNXHAYRXLXEXMXGYRXKX
      DOYRXJXCBCXIEDLUHZRSYRXJXCXFCYSRUIUJADULKZXSAYTUMZCDXFUNZCDBUNZOJZXRXQYTU
      UBUUDPACDBULOUOUPZUUAXRDUSZXFCNZUUBUUAXOUUFXFCYTXOUUFPADUQZUPRUUAYTUUBTKU
      UGUUBPAYTURZUUAUUBUUDTUUEUUAUUDUUAUUCYTADFKZUUCTKZYTDXBFDUTGVAABTKZCFVBZU
      UJUUKAUULCFIVCZUULUUKCDFCUUCTCDBVDVECUDZDPBUUCTCDBVFVGVHVIVJZVKVLVMXFCDUL
      VNVOVPUUAXPUUCOUUAXPUUFBCNZUUCYTXPUUQPAYTXOUUFBCUUHRUPUUAYTUUKUUQUUCPUUIU
      UPBCDULVNVOVPSVQWAXTXBKZAYEYKAUURYEYKQAUURYEYKAUURYEVRZYCCYFBUNZOJZVSMZYD
      CYFXFUNZVSMZYIYJUUSYCYDUVAUVCVSAUURYEVTUVAUVCPUUSUVCUVAYFWBKUVCUVAPXTUFUG
      WLCYFBWBOUOWCWDWEWFAUURYIUVBPYEAUURUMZYIYBUUTVSMZOJUVBUVEYHUVFOUVEBCDXTAU
      URURZAUUOYGKZUULUURUVHAUUOFKZUULUVHUUOXBFUUODYFWGGVAIVJWHZWISUVEYBUUTUVEY
      ABCUVEDXTWJAUUOYAKZUULUURUVKAUVIUULUVKUUOXBFUUODXTWGGVAIVJWHWKUURAYFFKZUU
      TTKZUURYFXBFDXTWMGVAAUUMUVLUVMUUNUULUVMCYFFCUUTTCYFBVDVEUUOYFPBUUTTCYFBVF
      VGVHVIVJWNVPWOAUURYJUVDPYEUVEXFCDXTUVGUVEUVHUMZXFUVNBUVJVKVLWIWOWPWQWRWSW
      TXA $.
  $}

  ${
    $d K k $.  $d M k $.  $d N k $.  $d Z k $.  $d ph k $.
    fprodeq0.1 $e |- Z = ( ZZ>= ` M ) $.
    fprodeq0.2 $e |- ( ph -> N e. Z ) $.
    fprodeq0.3 $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
    fprodeq0.4 $e |- ( ( ph /\ k = N ) -> A = 0 ) $.
    $( Any finite product containing a zero term is itself zero.  (Contributed
       by Scott Fenton, 27-Dec-2017.) $)
    fprodeq0 $p |- ( ( ph /\ K e. ( ZZ>= ` N ) ) ->
       prod_ k e. ( M ... K ) A = 0 ) $=
      ( cuz wcel cfz co cprod cmul cc0 syl elfzuz cfv wa caddc clt wbr cin wceq
      c1 c0 cz eluzel2 adantl zred ltp1d fzdisj cun w3a cle eleq2s eluzelz 3jca
      adantr eluzle anim12i elfz2 sylanbrc fzsplit fzfid cv cc eleqtrrdi sylan2
      adantlr fprodsplit cmin csb eleqtrdi fprodm1s csbied oveq2d mul01d 3eqtrd
      fprodcl oveq1d peano2uzs uztrn2 syl2an adantrl syldan anassrs mul02d ) AD
      FLUAMZUBZEDNOZBCPEFNOZBCPZFUHUCOZDNOZBCPZQORWSQORWMWOWRBWNCWMFWQUDUEWOWRU
      FUIUGWMFWMFWLFUJMZAFDUKULZUMUNEFWQDUOSWMFWNMZWNWOWRUPUGWMEUJMZDUJMZWTUQEF
      URUEZFDURUEZUBXBWMXCXDWTAXCWLAFGMZXCIXCFELUAZGEFUKHUSSVBWLXDAFDUTULXAVAAX
      EWLXFAXGXEIXEFXHGEFVCHUSSFDVCVDFEDVEVFFEDVGSWMEDVHACVIZWNMZBVJMZWLXJAXIGM
      ZXKXJXIXHGXIEDTHVKJVLVMVNWMWPRWSQAWPRUGWLAWPEFUHVOOZNOZBCPZCFBVPZQOXORQOR
      ABCEFAFGXHIHVQXIWOMZAXLXKXQXIXHGXIEFTHVKJVLVRAXPRXOQACFBRGIKVSVTAXOAXNBCA
      EXMVHXIXNMZAXLXKXRXIXHGXIEXMTHVKJVLWCWAWBVBWDWMWSWMWRBCWMWQDVHAWLXIWRMZXK
      AWLXSUBXLXKAXSXLWLAWQGMZXIWQLUAMXLXSAXGXTIEFGHWESXIWQDTEXIWQGHWFWGWHJWIWJ
      WCWKWB $.
  $}

  ${
    $d A k $.  $d B j $.  $d j k $.  $d j ph $.  $d K j $.  $d K k $.
    $d k ph $.  $d M j $.  $d M k $.  $d N j $.  $d N k $.
    fprodshft.1 $e |- ( ph -> K e. ZZ ) $.
    fprodshft.2 $e |- ( ph -> M e. ZZ ) $.
    fprodshft.3 $e |- ( ph -> N e. ZZ ) $.
    fprodshft.4 $e |- ( ( ph /\ j e. ( M ... N ) ) -> A e. CC ) $.
    ${
      fprodshft.5 $e |- ( j = ( k - K ) -> A = B ) $.
      $( Shift the index of a finite product.  (Contributed by Scott Fenton,
         5-Jan-2018.) $)
      fprodshft $p |- ( ph ->
      prod_ j e. ( M ... N ) A = prod_ k e. ( ( M + K ) ... ( N + K ) ) B ) $=
        ( cfz co caddc cv cmin cmpt fzfid mptfzshft wcel wceq oveq1 eqid adantl
        cfv ovex fvmpt fprodf1o ) AGHNOBGFPOZHFPOZNOZCDEDUMDQZFROZSZEQZFROZMAUK
        ULTADFGHIJKUAUQUMUBUQUPUGURUCADUQUOURUMUPUNUQFRUDUPUEUQFRUHUIUFLUJ $.
    $}

    fprodrev.5 $e |- ( j = ( K - k ) -> A = B ) $.
    $( Reversal of a finite product.  (Contributed by Scott Fenton,
       5-Jan-2018.) $)
    fprodrev $p |- ( ph -> prod_ j e. ( M ... N ) A =
      prod_ k e. ( ( K - N ) ... ( K - M ) ) B ) $=
      ( co cmin cz wcel wa adantr wceq cfz cv cmpt fzfid elfzelz adantl zsubcld
      eqid simprr simprl wb ad2antrl fzrev syl22anc mpbid eqeltrd ad2antll zcnd
      oveq2 cc nncand eqtr2d jca fzrev2 impbida f1od cfv ovex fvmpt fprodf1o )
      AGHUANZBFHONZFGONZUANZCDEDVNFDUBZONZUCZFEUBZONZMAVLVMUDADEVNVKVPVSVQPPVQU
      HZAVOVNQZRFVOAFPQZWAISWAVOPQZAVOVLVMUEZUFUGAVRVKQZRFVRAWBWEISWEVRPQZAVRGH
      UEZUFUGAWAVRVPTZRZWEVOVSTZRZAWIRZWEWJWLVRVPVKAWAWHUIWLWAVPVKQZAWAWHUJWLGP
      QZHPQZWBWCWAWMUKAWNWIJSAWOWIKSAWBWIISWAWCAWHWDULFVOGHUMUNUOUPWLVSFVPONZVO
      WHVSWPTAWAVRVPFOUSUQWLFVOAFUTQZWIAFIURZSWAVOUTQAWHWAVOWDURULVAVBVCAWKRZWA
      WHWSVOVSVNAWEWJUIWSWEVSVNQZAWEWJUJWSWNWOWBWFWEWTUKAWNWKJSAWOWKKSAWBWKISWE
      WFAWJWGULFVRGHVDUNUOUPWSVPFVSONZVRWJVPXATAWEVOVSFOUSUQWSFVRAWQWKWRSWEVRUT
      QAWJWEVRWGURULVAVBVCVEVFVRVNQVRVQVGVSTADVRVPVSVNVQVOVRFOUSVTFVROVHVIUFLVJ
      $.
  $}

  ${
    $d A f k n $.  $d B f k n $.
    $( The product of constant terms ( ` k ` is not free in ` B ` ).
       (Contributed by Scott Fenton, 12-Jan-2018.) $)
    fprodconst $p |- ( ( A e. Fin /\ B e. CC ) ->
       prod_ k e. A B = ( B ^ ( # ` A ) ) ) $=
      ( vf vn wcel cc wa c0 wceq cprod chash cfv cexp co cn c1 cv cc0 eqtrdi wi
      cfn cfz wf1o wex exp0 eqcomd prodeq1 prod0 fveq2 hash0 eqeq12d syl5ibrcom
      oveq2d adantl cmul csn cseq eqidd simprl simprr simpllr fvconst2g syl2anc
      cxp elfznn fprod expnnval ad2ant2lr eqtr4d expr exlimdv expimpd wo fz1f1o
      adantr mpjaod ) AUBFZBGFZHZAIJZABCKZBALMZNOZJZWCPFZQWCUCOZADRZUDZDUEZHZVS
      WAWEUAVRVSWEWAQBSNOZJVSWLQBUFUGWAWBQWDWLWAWBIBCKQAIBCUHBCUITWAWCSBNWAWCIL
      MSAILUJUKTUNULUMUOVTWFWJWEVTWFHWIWEDVTWFWIWEVTWFWIHZHZWBWCUPPBUQVEZQURMZW
      DWNABBCEWHWOWCCRZERZWHMJBUSVTWFWIUTVTWFWIVAVRVSWMWQAFVBWNWRWGFZHVSWRPFZWR
      WOMBJVRVSWMWSVBWSWTWNWRWCVFUOPBWRGVCVDVGVSWFWDWPJVRWIBWCVHVIVJVKVLVMVRWAW
      KVNVSADVOVPVQ $.
  $}

  ${
    $d A f $.  $d A k $.  $d A m $.  $d A n $.  $d B f $.  $d B m $.  $d B n $.
    $d f k $.  $d f m $.  $d f n $.  $d f ph $.  $d k m $.  $d k n $.
    $d k ph $.  $d m n $.  $d m ph $.  $d n ph $.
    fprodn0.1 $e |- ( ph -> A e. Fin ) $.
    fprodn0.2 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fprodn0.3 $e |- ( ( ph /\ k e. A ) -> B =/= 0 ) $.
    $( A finite product of nonzero terms is nonzero.  (Contributed by Scott
       Fenton, 15-Jan-2018.) $)
    fprodn0 $p |- ( ph -> prod_ k e. A B =/= 0 ) $=
      ( vf vm wceq cc0 wne cfv wcel c1 cv wa wi eqnetrd cc vn c0 cprod chash cn
      cfz wf1o wex prodeq1 prod0 eqtrdi ax-1ne0 a1i cmul cmpt ccom prodfc fveq2
      co cseq simprl simprr wf fmpttd adantr ffvelrnda f1of fvco3 sylan eqtr3id
      syl fprod cuz nnuz eleqtrdi fco syl2anc adantll csb nfcv nfv nfcsb1v nfim
      simpr nfel1 csbeq1a eleq1d imbi2d expcom vtoclgaf impcom eqid fvmpts nfne
      neeq1d sylan2 anassrs prodfn0 expr exlimdv expimpd cfn wo fz1f1o mpjaod )
      ABUBJZBCDUCZKLZBUDMZUENZOXIUFUSZBHPZUGZHUHZQZXFXHRAXFXGOKXFXGUBCDUCOBUBCD
      UICDUJUKOKLXFULUMSUMAXJXNXHAXJQXMXHHAXJXMXHAXJXMQZQZXGXIUNDBCUOZXLUPZOUTM
      ZKXQXGBIPZXRMZIUCXTBCIDUQXQBYBUAPZXLMZXRMZIUAXLXSXIYAYDXRURAXJXMVAZAXJXMV
      BZXQBTYAXRABTXRVCZXPADBCTFVDVEZVFXQXKBXLVCZYCXKNYCXSMYEJXQXMYJYGXKBXLVGZV
      KZXKBYCXRXLVHVIVLVJXQIXSOXIXQXIUEOVMMYFVNVOXQXKTYAXSXQYHYJXKTXSVCYIYLXKBT
      XRXLVPVQVFXQYAXKNZQYAXSMZYAXLMZXRMZKXQYJYMYNYPJYLXKBYAXRXLVHVIAXPYMYPKLZX
      PYMQAYOBNZYQXMYMYRXJXMXKBYAXLYKVFVRAYRQZYPDYOCVSZKYSYRYTTNZYPYTJAYRWDYRAU
      UAACTNZRAUUARDYOBDYOVTZAUUADADWAZDYTTDYOCWBZWEWCDPZYOJZUUBUUAAUUGCYTTDYOC
      WFZWGWHAUUFBNZUUBFWIWJWKDYOCBXRTXRWLWMVQYRAYTKLZACKLZRAUUJRDYOBUUCAUUJDUU
      DDYTKUUEDKVTWNWCUUGUUKUUJAUUGCYTKUUHWOWHAUUIUUKGWIWJWKSWPWQSWRSWSWTXAABXB
      NXFXOXCEBHXDVKXE $.
  $}

  ${
    fprod2d.1 $e |- ( z = <. j , k >. -> D = C ) $.
    fprod2d.2 $e |- ( ph -> A e. Fin ) $.
    fprod2d.3 $e |- ( ( ph /\ j e. A ) -> B e. Fin ) $.
    fprod2d.4 $e |- ( ( ph /\ ( j e. A /\ k e. B ) ) -> C e. CC ) $.

    ${
      $d A j $.  $d A k $.  $d A m $.  $d B k $.  $d B m $.  $d B z $.
      $d C m $.  $d C z $.  $d D j $.  $d D k $.  $d D m $.  $d j k $.
      $d j m $.  $d j ph $.  $d j x $.  $d j y $.  $d j z $.  $d k m $.
      $d k ph $.  $d k x $.  $d k y $.  $d k z $.  $d m ph $.  $d m x $.
      $d m y $.  $d m z $.  $d ph z $.  $d x z $.  $d y z $.
      fprod2d.5 $e |- ( ph -> -. y e. x ) $.
      fprod2d.6 $e |- ( ph -> ( x u. { y } ) C_ A ) $.
      fprod2d.7 $e |- ( ps <-> prod_ j e. x prod_ k e. B C =
                             prod_ z e. U_ j e. x ( { j } X. B ) D ) $.
      $( Lemma for ~ fprod2d - induction step.  (Contributed by Scott Fenton,
         30-Jan-2018.) $)
      fprod2dlem $p |- ( ( ph /\ ps ) ->
                        prod_ j e. ( x u. { y } ) prod_ k e. B C =
                        prod_ z e. U_ j e. ( x u. { y } ) ( { j } X. B ) D ) $=
        ( vm wcel wa cv cprod csn cmul co cxp ciun csb wceq simpr sylib nfcsb1v
        cun nfcv nfcprod weq csbeq1a adantr prodeq12dv cbvprodi wss unssbd snss
        cc vex sylibr cfn wral ralrimiva nfel1 eleq1d rspc ralrimivva raleqbidv
        sylc nfralw r19.21bi fprodcl csbeq1 syl2anc c2nd cres snfi xpfi sylancr
        prodsn cfv wf1o 2ndconst syl fvres adantl mpan9 fprodf1o cop elxp nfcri
        wex nfan opeq1 eqeq2d eleq1w velsn bitrdi anbi1d eleq2d pm5.32i bitr4di
        nfv nfex anbi12d exbidv cbvexv1 bitri nfcsbw nfeq2 ad2antlr fveq2 op2nd
        ad2antrl eqtr2di exlimd syl5bi imp eqtrid eqtrd wel cin fprodsplit wrex
        c0 syldan eliun xp1st elsni elin sneq xpeq12d eqtri 3eqtrd expl oveq12d
        prodeq2dv eqtr4d wn disjsn eqidd sselda anassrs c1st biimparc rexlimiva
        ssfid sylbi anim12i 3imtr4i noel pm2.21i syl6bi ssrdv ss0 iunxun cbviun
        syl5 nfxp iunxsn uneq2i a1i iunfi simprl simprrl opeq1d simpll syl12anc
        simprrr eqeltrd ex exlimdvv rexlimdva 3eqtr4d ) ABUAZCUBZGHKUCZJUCZDUBZ
        UDZUWDJUCZUEUFZJUWCJUBZUDZGUGZUHZIEUCZUWGJUWFGUIZUGZIEUCZUEUFZUWCUWGUNZ
        UWDJUCZJUWSUWLUHZIEUCZUWBUWEUWNUWHUWQUEUWBBUWEUWNUJABUKRULAUWHUWQUJBAUW
        HUWGJSUBZGUIZJUXCHUIZKUCZSUCZUWQUWGUWDUXFJSSUWDUOJUXDUXEKJUXCGUMZJUXCHU
        MUPJSUQZGUXDHUXEKJUXCGURZUXIHUXEUJKUBZGTZJUXCHURUSUTVAAUXGUWOJUWFHUIZKU
        CZUWQAUWFFTZUXNVETUXGUXNUJAUWGFVBUXOAUWCUWGFQVCUWFFDVFZVDVGZAUWOUXMKAUX
        OGVHTZJFVIUWOVHTZUXQAUXRJFNVJUXRUXSJUWFFJUWOVHJUWFGUMZVKJDUQZGUWOVHJUWF
        GURZVLVMVPZAUXMVETZKUWOAUXOHVETZKGVIZJFVIUYDKUWOVIZUXQAUYEJKFGOVNUYFUYG
        JUWFFUYDJKUWOUXTJUXMVEJUWFHUMZVKVQUYAUYEUYDKGUWOUYBUYAHUXMVEJUWFHURZVLV
        OVMVPZVRVSUXFUXNSUWFFSDUQZUXDUWOUXEUXMKJUXCUWFGVTZUYKUXEUXMUJUXKUXDTJUX
        CUWFHVTUSUTWGWAAUXNUWOKUXCUXMUIZSUCZUWQUWOUXMUYMKSSUXMUOKUXCUXMUMZKUXCU
        XMURZVAAUYNUWPKEUBZWBWHZUXMUIZEUCUWQAUWOUYMUWPUYSSEWBUWPWCZUYRKUXCUYRUX
        MVTAUWGVHTUXSUWPVHTUWFWDUYCUWGUWOWEWFAUXOUWPUWOUYTWIUXQUWFUWOFWJWKUYQUW
        PTZUYQUYTWHUYRUJAUYQUWPWBWLWMAUYGUXCUWOTUYMVETZUYJUYDVUBKUXCUWOKUYMVEUY
        OVKKSUQUXMUYMVEUYPVLVMWNWOAUWPIUYSEAVUAIUYSUJZVUAUYQUWJUXKWPZUJZUYAUXLU
        AZUAZKWSZJWSZAVUCVUAUYQUXCUXKWPZUJZUXCUWGTZUXKUWOTZUAZUAZKWSZSWSVUISKUY
        QUWGUWOWQVUPVUHSJVUOJKVUKVUNJVUKJXJVULVUMJVULJXJJKUWOUXTWRWTWTXKVUHSXJS
        JUQZVUOVUGKVUQVUKVUEVUNVUFVUQVUJVUDUYQUXCUWJUXKXAXBVUQVUNUYAVUMUAVUFVUQ
        VULUYAVUMVUQVULUWJUWGTUYASJUWGXCJUWFXDXEXFUYAUXLVUMUYAGUWOUXKUYBXGXHXIX
        LXMXNXOAVUHVUCJAJXJJIUYSJKUYRUXMJUYRUOUYHXPXQAVUGVUCKAKXJKIUYSKUYRUXMUM
        XQAVUEVUFVUCAVUEUAZVUFUAZIHUXMUYSVUEIHUJZAVUFLXRUYAHUXMUJVURUXLUYIYAVUS
        UXKUYRUJZUXMUYSUJVUEVVAAVUFVUEUYRVUDWBWHUXKUYQVUDWBXSUWJUXKJVFKVFXTYBXR
        KUYRUXMURWKUUAUUBYCYCYDYEUUDUUEYFYGYFUSUUCAUWTUWIUJBAUWCUWGUWDUWSJADCYH
        UUFUWCUWGYIZYLUJPUWCUWFUUGVGZAUWSUUHAFUWSMQUUNZAUWJUWSTZUWJFTZUWDVETAUW
        SFUWJQUUIZAVVFUAGHKNAVVFUXLUYEOUUJVSYMYJUSAUXBUWRUJBAUWMUWPIUXAEAUWMUWP
        YIZYLVBVVHYLUJAEVVHYLUYQVVHTZUYQUUKWHZVVBTZAUYQYLTZUYQUWMTZVUAUAVVJUWCT
        ZVVJUWGTZUAVVIVVKVVMVVNVUAVVOVVMUYQUWLTZJUWCYKVVNJUYQUWCUWLYNVVPVVNJUWC
        VVPVVNJCYHVVPVVJUWJUWCVVPVVJUWKTVVJUWJUJUYQUWKGYOVVJUWJYPWKVLUULUUMUUOU
        YQUWGUWOYOUUPUYQUWMUWPYQVVJUWCUWGYQUUQAVVKVVJYLTZVVLAVVBYLVVJVVCXGVVQVV
        LVVJUURUUSUUTUVEUVAVVHUVBWKUXAUWMUWPUNZUJAUXAUWMJUWGUWLUHZUNVVRJUWCUWGU
        WLUVCVVSUWPUWMVVSSUWGUXCUDZUXDUGZUHUWPJSUWGUWLVWASUWLUOJVVTUXDJVVTUOUXH
        UVFUXIUWKVVTGUXDUWJUXCYRUXJYSUVDSUWFVWAUWPUXPUYKVVTUWGUXDUWOUXCUWFYRUYL
        YSUVGYTUVHYTUVIAUWSVHTUWLVHTZJUWSVIUXAVHTVVDAVWBJUWSAVVEUAZUWKVHTUXRVWB
        UWJWDAVVEVVFUXRVVGNYMUWKGWEWFVJJUWSUWLUVJWAAUYQUXATZIVETZVWDVVPJUWSYKAV
        WEJUYQUWSUWLYNAVVPVWEJUWSVVPVUKUXCUWKTZUXLUAZUAZKWSSWSVWCVWESKUYQUWKGWQ
        VWCVWHVWESKVWCVWHVWEVWCVWHUAZIHVEVWIVUEVUTVWIUYQVUJVUDVWCVUKVWGUVKVWIUX
        CUWJUXKVWIVWFVUQVWCVUKVWFUXLUVLUXCUWJYPWKUVMYGLWKVWIAVVFUXLUYEAVVEVWHUV
        NVWCVVFVWHVVGUSVWCVUKVWFUXLUVPOUVOUVQUVRUVSYDUVTYDYEYJUSUWA $.
    $}

    $d A j $.  $d A k $.  $d A w $.  $d A x $.  $d A y $.  $d A z $.  $d B k $.
    $d B w $.  $d B x $.  $d B y $.  $d B z $.  $d C w $.  $d C x $.  $d C y $.
    $d C z $.  $d D j $.  $d D k $.  $d D w $.  $d D x $.  $d D y $.  $d j k $.
    $d j ph $.  $d j w $.  $d j x $.  $d j y $.  $d j z $.  $d k ph $.
    $d k w $.  $d k x $.  $d k y $.  $d k z $.  $d ph w $.  $d ph x $.
    $d ph y $.  $d ph z $.  $d w x $.  $d w y $.  $d w z $.  $d x y $.
    $d x z $.  $d y z $.
    $( Write a double product as a product over a two-dimensional region.
       Compare ~ fsum2d .  (Contributed by Scott Fenton, 30-Jan-2018.) $)
    fprod2d $p |- ( ph -> prod_ j e. A prod_ k e. B C =
                           prod_ z e. U_ j e. A ( { j } X. B ) D ) $=
      ( vx wss cprod cv wceq wcel wi c0 vw vy csn cxp ciun ssid cfn cun prodeq1
      sseq1 iuneq1 0iun eqtrdi prodeq1d eqeq12d imbi12d imbi2d weq prod0 eqtr4i
      c1 2a1i wel wn wa ssun1 sstr mpan imim1i ad2antrr ad4ant14 cc simplr biid
      simpr fprod2dlem exp31 a2d syl5 expcom adantl findcard2s mpcom mpi ) ACCN
      ZCDEHOZGOZGCGPZUCDUDZUEZFBOZQZCUFCUGRZAWEWLSZJAUAPZCNZWOWFGOZGWOWIUEZFBOZ
      QZSZSATCNZTWFGOZTFBOZQZSZSAMPZCNZXGWFGOZGXGWIUEZFBOZQZSZSZAXGUBPUCZUHZCNZ
      XPWFGOZGXPWIUEZFBOZQZSZSZAWNSUAMUBCWOTQZXAXFAYDWPXBWTXEWOTCUJYDWQXCWSXDWO
      TWFGUIYDWRTFBYDWRGTWIUETGWOTWIUKGWIULUMUNUOUPUQUAMURZXAXMAYEWPXHWTXLWOXGC
      UJYEWQXIWSXKWOXGWFGUIYEWRXJFBGWOXGWIUKUNUOUPUQWOXPQZXAYBAYFWPXQWTYAWOXPCU
      JYFWQXRWSXTWOXPWFGUIYFWRXSFBGWOXPWIUKUNUOUPUQWOCQZXAWNAYGWPWEWTWLWOCCUJYG
      WQWGWSWKWOCWFGUIYGWRWJFBGWOCWIUKUNUOUPUQXEAXBXCVAXDWFGUSFBUSUTVBUBMVCVDZX
      NYCSXGUGRYHAXMYBAYHXMYBSXMXQXLSAYHVEZYBXQXHXLXGXPNXQXHXGXOVFXGXPCVGVHVIYI
      XQXLYAYIXQXLYAYIXQVEXLMUBBCDEFGHIAWMYHXQJVJAWHCRZDUGRYHXQKVKAYJHPDRVEEVLR
      YHXQLVKAYHXQVMYIXQVOXLVNVPVQVRVSVTVRWAWBWCWD $.
  $}

  ${
    $d A j $.  $d A k $.  $d A z $.  $d B j $.  $d B k $.  $d B z $.  $d C z $.
    $d D j $.  $d D k $.  $d j k $.  $d j ph $.  $d j z $.  $d k ph $.
    $d k z $.  $d ph z $.
    fprodxp.1 $e |- ( z = <. j , k >. -> D = C ) $.
    fprodxp.2 $e |- ( ph -> A e. Fin ) $.
    fprodxp.3 $e |- ( ph -> B e. Fin ) $.
    fprodxp.4 $e |- ( ( ph /\ ( j e. A /\ k e. B ) ) -> C e. CC ) $.
    $( Combine two products into a single product over the cartesian product.
       (Contributed by Scott Fenton, 1-Feb-2018.) $)
    fprodxp $p |- ( ph ->
    prod_ j e. A prod_ k e. B C = prod_ z e. ( A X. B ) D ) $=
      ( cprod cv csn cxp ciun cfn wcel adantr fprod2d iunxpconst prodeq1i
      eqtrdi ) ACDEHMGMGCGNZODPQZFBMCDPZFBMABCDEFGHIJADRSUECSKTLUAUFUGFBGCDUBUC
      UD $.
  $}

  ${
    $d A x $.  $d A y $.  $d A z $.  $d B j $.  $d B k $.  $d B y $.  $d C j $.
    $d C k $.  $d D x $.  $d D y $.  $d j k $.  $d j x $.  $d j y $.  $d k x $.
    $d k y $.  $d ph x $.  $d ph y $.  $d x y $.  $d y z $.
    fprodcnv.1 $e |- ( x = <. j , k >. -> B = D ) $.
    fprodcnv.2 $e |- ( y = <. k , j >. -> C = D ) $.
    fprodcnv.3 $e |- ( ph -> A e. Fin ) $.
    fprodcnv.4 $e |- ( ph -> Rel A ) $.
    fprodcnv.5 $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    $( Transform a product region using the converse operation.  (Contributed
       by Scott Fenton, 1-Feb-2018.) $)
    fprodcnv $p |- ( ph -> prod_ x e. A B = prod_ y e. `' A C ) $=
      ( vz ccnv cv cfv csb wceq cprod c2nd c1st csn cuni cmpt csbeq1a fvex opex
      cop wa csbie opeq12 csbeq1d eqtr3id csbie2 eqtr4di cfn wcel syl wf1o wrel
      cnvfi relcnv cnvf1o ax-mp dfrel2 sylib f1oeq3d mpbii 1st2nd fveq2d eleq1d
      mpan sneq cnveqd unieqd opswap eqtrdi eqid fvmpt adantl fprodf1o prodeq2i
      ibi eqtrd ancoms ) ADEBUADPZHCQZUBRZIWIUCRZGSSZCUAWHFCUAADEWHWLBCOWHOQZUD
      ZPZUEZUFZWJWKUJZBQWRTEBWRESZWLBWREUGHIWJWKGWSWIUBUHZWIUCUHZHQZWJTZIQZWKTZ
      UKZGBXBXDUJZESWSBXGEGXBXDUIJULXFBXGWREXBXDWJWKUMUNUOUPUQADURUSWHURUSLDVCU
      TAWHWHPZWQVAZWHDWQVAWHVBZXIDVDZOWHVEVFAXHDWHWQADVBXHDTMDVGVHVIVJWIWHUSZWI
      WQRZWRTAXLXMWKWJUJZWQRZWRXLWIXNWQXJXLWIXNTZXKWIWHVKVNZVLXLXNWHUSZXOWRTXLX
      RXLWIXNWHXQVMWEOXNWPWRWHWQWMXNTZWPXNUDZPZUEWRXSWOYAXSWNXTWMXNVOVPVQWKWJVR
      VSWQVTWJWKUIWAUTWFWBNWCWHFWLCXLFCXNFSZWLXLXPFYBTXQCXNFUGUTHIWJWKGYBWTXAXF
      GCXDXBUJZFSYBCYCFGXDXBUIKULXFCYCXNFXEXCYCXNTXDXBWKWJUMWGUNUOUPUQWDUQ $.
  $}

  ${
    $d A j k x y z $.  $d B k x y z $.  $d C j k w x y z $.  $d D j w x y z $.
    $d E w x y z $.  $d ph j k w x y z $.
    fprodcom2.1 $e |- ( ph -> A e. Fin ) $.
    fprodcom2.2 $e |- ( ph -> C e. Fin ) $.
    fprodcom2.3 $e |- ( ( ph /\ j e. A ) -> B e. Fin ) $.
    fprodcom2.4 $e |- ( ph ->
    ( ( j e. A /\ k e. B ) <-> ( k e. C /\ j e. D ) ) ) $.
    fprodcom2.5 $e |- ( ( ph /\ ( j e. A /\ k e. B ) ) -> E e. CC ) $.
    $( Interchange order of multiplication.  Note that ` B ( j ) ` and
       ` D ( k ) ` are not necessarily constant expressions.  (Contributed by
       Scott Fenton, 1-Feb-2018.)  (Proof shortened by JJ, 2-Aug-2021.) $)
    fprodcom2 $p |- ( ph -> prod_ j e. A prod_ k e. B E =
      prod_ k e. C prod_ j e. D E ) $=
      ( vx vy csb cprod wceq wcel wa vz vw csn cxp ciun c2nd cfv c1st ccnv wrel
      cv wral relxp rgenw reliun mpbir relcnv cop wex wb weq ancom opth 3bitr4i
      vex anbi12d 2exbidv eliunxp opelcnv excom 3bitri 3bitr4g eqrelrdv nfcsb1v
      a1i nfcv nfxp sneq csbeq1a xpeq12d cbviun cnveqi 3eqtr3g prodeq1d csbeq1d
      op1std op2ndd csbeq2dv eqtrd snfi adantr wrex opeliunxp2f sylbbr eleqtrrd
      cfn adantl eliun sylib simpr opelxp simpld elsni syl simpl rexlimiva expr
      eqeltrd ssrdv ssfid sylancr ralrimiva iunfi syl2anc mprgbir csbeq1 eleq1d
      xpfi cc raleqbidv nfcri wi equcomd eleq2d biimpa sylbi rexlimi ralrimivva
      nfel1 rspc mpan9 syl5com impr rspcdva fprod2d nfcprod cbvprodi prodeq12dv
      nfralw eqtrid syl12anc xp1st xp2nd fprodcnv eqtr4d 3eqtr4d nfcsbw 3eqtr4g
      ) ABFNUKZCPZGOUKZFUUIHPZPZOQZNQZDGUUKEPZUUMNQZOQZBCHGQZFQDEHFQZGQANBUUIUC
      ZUUJUDZUEZGUAUKZUFUGZFUVDUHUGZHPZPZUAQZODUUKUCZUUPUDZUEZGUBUKZUHUGZFUVMUF
      UGZHPZPZUBQZUUOUURAUVIUVLUIZUVHUAQUVRAUVCUVSUVHUAAFBFUKZUCZCUDZUEZGDGUKZU
      CZEUDZUEZUIZUVCUVSANOUWCUWHUWCUJUWBUJZFBULUWIFBUWACUMUNFBUWBUOUPUWGUQAUUI
      UUKURZUVTUWDURRZUVTBSZUWDCSTZTZGUSFUSUUKUUIURZUWDUVTURRZUWDDSUVTESTZTZGUS
      FUSZUWJUWCSZUWJUWHSZAUWNUWRFGAUWKUWPUWMUWQUWKUWPUTANFVAZOGVAZTUXCUXBTUWKU
      WPUXBUXCVBUUIUUKUVTUWDNVEZOVEZVCUUKUUIUWDUVTUXEUXDVCVDVOLVFVGFGBCUWJVHUXA
      UWOUWGSZUWRFUSGUSUWSUUIUUKUWGUXDUXEVIZGFDEUWOVHUWRGFVJVKVLVMZFNBUWBUVBNUW
      BVPFUVAUUJFUVAVPFUUICVNZVQFNVAZUWAUVACUUJUVTUUIVRFUUICVSZVTWAUWGUVLGODUWF
      UVKOUWFVPGUVJUUPGUVJVPGUUKEVNZVQGOVAZUWEUVJEUUPUWDUUKVRGUUKEVSZVTWAWBWCWD
      AUBUAUVLUVQUVHUUMONUVMUWORZUVQGUUKUVPPUUMUXOGUVNUUKUVPUUKUUIUVMUXEUXDWFWE
      UXOGUUKUVPUULUXOFUVOUUIHUUKUUIUVMUXEUXDWGWEWHWIZUVDUWJRZUVHGUUKUVGPUUMUXQ
      GUVEUUKUVGUUIUUKUVDUXDUXEWGWEUXQGUUKUVGUULUXQFUVFUUIHUUIUUKUVDUXDUXEWFWEW
      HWIZADWPSUVKWPSZODULUVLWPSJAUXSODAUUKDSZTZUVJWPSUUPWPSUXSUUKWJUYABUUPABWP
      SUXTIWKUYANUUPBAUXTUUIUUPSZUUIBSZAUXTUYBTZTZUWJUWBSZFBWLZUYCUYEUWTUYGUYEU
      WJUWHUWCUYDUXAAUXAUXFUYDUXGGDEUUKUUIUUPUXLUXNWMWNWQAUWCUWHRUYDUXHWKWOFUWJ
      BUWBWRWSZUYFUYCFBUWLUYFTZUUIUVTBUYIUUIUWASZUXBUYIUYJUUKCSZUYIUYFUYJUYKTZU
      WLUYFWTUUIUUKUWACXAZWSXBUUIUVTXCZXDUWLUYFXEXHXFXDZXGXIXJZUVJUUPXRXKXLODUV
      KXMXNUVLUJZAUYQUVKUJZODODUVKUOUYRUXTUVJUUPUMVOXOVOAUVMUVLSZTZGUVNUULPZXSS
      ZUVQXSSNGUVNEPZUVOUUIUVORZVUAUVQXSVUDGUVNUULUVPFUUIUVOHXPWHXQUYTUUMXSSZNU
      UPULZVUBNVUCULODUVNUUKUVNRZVUEVUBNUUPVUCGUUKUVNEXPVUGUUMVUAXSGUUKUVNUULXP
      XQXTAVUFODULUYSAVUEONDUUPUYEAUYCUUKUUJSZVUEAUYDXEUYOUYEUYGVUHUYHUYFVUHFBF
      OUUJUXIYAUYFVUHYBUWLUYFUYLVUHUYMUYJUYKVUHUYJCUUJUUKUYJUXJCUUJRUYJNFUYNYCU
      XKXDYDYEYFVOYGXDAUYCVUHVUEAUYCTUULXSSZGUUJULZVUHVUEAHXSSZGCULZFBULUYCVUJA
      VUKFGBCMYHVULVUJFUUIBVUIFGUUJUXIFUULXSFUUIHVNZYIYSUXJVUKVUIGCUUJUXKUXJHUU
      LXSFUUIHVSZXQXTYJYKVUIVUEGUUKUUJGUUMXSGUUKUULVNZYIUXMUULUUMXSGUUKUULVSZXQ
      YJYLYMZUUAZYHWKUYTUVMUVKSZODWLZUVNDSZUYTUYSVUTAUYSWTOUVMDUVKWRWSZVUSVVAOD
      UXTVUSTZUVNUUKDVVCUVNUVJSZUVNUUKRVUSVVDUXTUVMUVJUUPUUBWQUVNUUKXCXDZUXTVUS
      XEXHXFXDYNUYTVUTUVOVUCSZVVBVUSVVFODVVCUVOUUPVUCVUSUVOUUPSUXTUVMUVJUUPUUCW
      QVVCGUVNUUKEVVEWEWOXFXDYNUUDUUEAUABUUJUUMUVHNOUXRIACWPSZFBULUYCUUJWPSZAVV
      GFBKXLVVGVVHFUUIBFUUJWPUXIYIUXJCUUJWPUXKXQYJYKVUQYOAUBDUUPUUMUVQONUXPJUYP
      VURYOUUFBUUSUUNFNNUUSVPFUUJUUMOUXIFGUUKUULFUUKVPVUMUUGYPUXJUUSCGUUKHPZOQU
      UNCHVVIGOOHVPGUUKHVNGUUKHVSYQUXJCUUJVVIUUMOUXKUXJVVIUUMRUYKUXJGUUKHUULVUN
      WHWKYRYTYQDUUTUUQGOOUUTVPGUUPUUMNUXLVUOYPUXMUUTEUULNQUUQEHUULFNNHVPVUMVUN
      YQUXMEUUPUULUUMNUXNUXMUULUUMRUUIESVUPWKYRYTYQUUH $.
  $}

  ${
    $d A j $.  $d A k $.  $d B j $.  $d B k $.  $d j k $.  $d j ph $.
    $d k ph $.
    fprodcom.1 $e |- ( ph -> A e. Fin ) $.
    fprodcom.2 $e |- ( ph -> B e. Fin ) $.
    fprodcom.3 $e |- ( ( ph /\ ( j e. A /\ k e. B ) ) -> C e. CC ) $.
    $( Interchange product order.  (Contributed by Scott Fenton,
       2-Feb-2018.) $)
    fprodcom $p |- ( ph -> prod_ j e. A prod_ k e. B C =
       prod_ k e. B prod_ j e. A C ) $=
      ( cfn wcel cv adantr wa wb ancom a1i fprodcom2 ) ABCCBEFDGHACJKELBKZHMSFL
      CKZNTSNOASTPQIR $.
  $}

  ${
    $d j k $.  $d j ph $.  $d k ph $.  $d N j $.  $d N k $.
    fprod0diag.1 $e |-
      ( ( ph /\ ( j e. ( 0 ... N ) /\ k e. ( 0 ... ( N - j ) ) ) ) ->
      A e. CC ) $.
    $( Two ways to express "the product of ` A ( j , k ) ` over the triangular
       region ` M <_ j ` , ` M <_ k ` , ` j + k <_ N ` .  Compare ~ fsum0diag .
       (Contributed by Scott Fenton, 2-Feb-2018.) $)
    fprod0diag $p |- ( ph ->
      prod_ j e. ( 0 ... N ) prod_ k e. ( 0 ... ( N - j ) ) A =
      prod_ k e. ( 0 ... N ) prod_ j e. ( 0 ... ( N - k ) ) A ) $=
      ( cc0 cfz co cv cmin fzfid wcel wa wb fsum0diaglem impbii a1i fprodcom2 )
      AGEHIZGECJZKIZHIZTGEDJZKIHIZCDBAGELZUFAUATMZNGUBLUGUDUCMNZUDTMUAUEMNZOAUH
      UICDEPDCEPQRFS $.
  $}

  ${
    $d A j k $.  $d B j $.  $d C j $.  $d j ph $.
    fproddivf.kph $e |- F/ k ph $.
    fproddivf.a $e |- ( ph -> A e. Fin ) $.
    fproddivf.b $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fproddivf.c $e |- ( ( ph /\ k e. A ) -> C e. CC ) $.
    fproddivf.ne0 $e |- ( ( ph /\ k e. A ) -> C =/= 0 ) $.
    $( The quotient of two finite products.  A version of ~ fproddiv using
       bound-variable hypotheses instead of distinct variable conditions.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    fproddivf $p |- ( ph -> prod_ k e. A ( B / C ) = ( prod_ k e. A B / prod_ k
       e. A C ) ) $=
      ( vj cdiv co cprod wceq nfcv wcel cc wi cc0 nfcsb1v nfov csbeq1a cbvprodi
      cv csb oveq12d a1i wa nfvd nfan1 nfel1 nfim eleq1w anbi2d imbi12d chvarfv
      eleq1d wne nfne neeq1d fproddiv eqcomi equcoms eqcomd 3eqtrd ) ABCDLMZENZ
      BEKUEZCUFZEVIDUFZLMZKNZBVJKNZBVKKNZLMBCENZBDENZLMVHVMOABVGVLEKKVGPEVJVKLE
      VICUAZELPEVIDUAZUBEUEZVIOZCVJDVKLEVICUCZEVIDUCZUGUDUHABVJVKKGAVTBQZUIZCRQ
      ZSAVIBQZUIZVJRQZSEKWHWIEAWGEFAWGEUJUKZEVJRVRULUMWAWEWHWFWIWAWDWGAEKBUNUOZ
      WACVJRWBURUPHUQWEDRQZSWHVKRQZSEKWHWMEWJEVKRVSULUMWAWEWHWLWMWKWADVKRWCURUP
      IUQWEDTUSZSWHVKTUSZSEKWHWOEWJEVKTVSETPUTUMWAWEWHWNWOWKWADVKTWCVAUPJUQVBAV
      NVPVOVQLVNVPOAVPVNBCVJEKKCPVRWBUDVCUHVOVQOABVKDKEVSKDPVIVTODVKDVKOEKWCVDV
      EUDUHUGVF $.
  $}

  ${
    $d A j k $.  $d B j k $.  $d C j $.  $d U j k $.  $d j ph $.
    fprodsplitf.kph $e |- F/ k ph $.
    fprodsplitf.in $e |- ( ph -> ( A i^i B ) = (/) ) $.
    fprodsplitf.un $e |- ( ph -> U = ( A u. B ) ) $.
    fprodsplitf.fi $e |- ( ph -> U e. Fin ) $.
    fprodsplitf.c $e |- ( ( ph /\ k e. U ) -> C e. CC ) $.
    $( Split a finite product into two parts.  A version of ~ fprodsplit using
       bound-variable hypotheses instead of distinct variable conditions.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    fprodsplitf $p |- ( ph -> prod_ k e. U C = ( prod_ k e. A C x. prod_ k e. B
       C ) ) $=
      ( vj cv cprod cmul co wcel wa cc cbvprodi csb nfv nfan nfcsb1v nfel1 nfim
      weq eleq1w anbi2d csbeq1a imbi12d chvarfv fprodsplit nfcv oveq12i 3eqtr4g
      wi eleq1d ) AEFLMZDUAZLNBUTLNZCUTLNZOPEDFNBDFNZCDFNZOPABCUTELHIJAFMEQZRZD
      SQZUQAUSEQZRZUTSQZUQFLVIVJFAVHFGVHFUBUCFUTSFUSDUDZUEUFFLUGZVFVIVGVJVLVEVH
      AFLEUHUIVLDUTSFUSDUJZURUKKULUMEDUTFLLDUNZVKVMTVCVAVDVBOBDUTFLVNVKVMTCDUTF
      LVNVKVMTUOUP $.
  $}

  ${
    $d A k $.  $d B k $.  $d V k $.
    fprodsplitsn.ph $e |- F/ k ph $.
    fprodsplitsn.kd $e |- F/_ k D $.
    fprodsplitsn.a $e |- ( ph -> A e. Fin ) $.
    fprodsplitsn.b $e |- ( ph -> B e. V ) $.
    fprodsplitsn.ba $e |- ( ph -> -. B e. A ) $.
    fprodsplitsn.c $e |- ( ( ph /\ k e. A ) -> C e. CC ) $.
    fprodsplitsn.d $e |- ( k = B -> C = D ) $.
    fprodsplitsn.dcn $e |- ( ph -> D e. CC ) $.
    $( Separate out a term in a finite product.  (Contributed by Glauco
       Siliprandi, 5-Apr-2020.) $)
    fprodsplitsn $p |- ( ph -> prod_ k e. ( A u. { B } ) C = ( prod_ k e. A C
       x. D ) ) $=
      ( cprod cmul wcel wceq cfn csn cun co wn c0 disjsn sylibr eqidd snfi unfi
      cin sylancl cv wa cc adantlr elunnel1 elsni syl adantll eqeltrd pm2.61dan
      ad2antrr fprodsplitf prodsnf syl2anc oveq2d eqtrd ) ABCUAZUBZDFPBDFPZVIDF
      PZQUCVKEQUCABVIDVJFHACBRUDBVIUKUESLBCUFUGAVJUHABTRVITRVJTRJCUIBVIUJULAFUM
      ZVJRZUNZVMBRZDUORZAVPVQVNMUPVOVPUDZUNZDEUOVSVMCSZDESVNVRVTAVNVRUNVMVIRVTV
      MBVIUQVMCURUSUTNUSAEUORZVNVROVCVAVBVDAVLEVKQACGRWAVLESKODEFCGINVEVFVGVH
      $.
  $}

  ${
    $d A k $.  $d C k $.
    fprodsplit1f.kph $e |- F/ k ph $.
    fprodsplit1f.fk $e |- ( ph -> F/_ k D ) $.
    fprodsplit1f.a $e |- ( ph -> A e. Fin ) $.
    fprodsplit1f.b $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fprodsplit1f.c $e |- ( ph -> C e. A ) $.
    fprodsplit1f.d $e |- ( ( ph /\ k = C ) -> B = D ) $.
    $( Separate out a term in a finite product.  A version of ~ fprodsplit1
       using bound-variable hypotheses instead of distinct variable conditions.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    fprodsplit1f $p |- ( ph -> prod_ k e. A B = ( D x. prod_ k e. ( A \ { C } )
       B ) ) $=
      ( cprod cmul co wceq wcel cc wa wi csn cdif cin disjdif a1i cun wss snssd
      c0 undif sylib eqcomd fprodsplitf csb ancli nfan nfcsb1v nfel1 nfim eleq1
      cv nfv anbi2d csbeq1a imbi12d vtoclg1f sylc prodsns syl2anc csbiedf eqtrd
      eleq1d oveq1d ) ABCFMDUAZCFMZBVNUBZCFMZNOEVQNOAVNVPCBFGVNVPUCUIPAVNBUDUEA
      VNVPUFZBAVNBUGVRBPADBKUHVNBUJUKULIJUMAVOEVQNAVOFDCUNZEADBQZVSRQZVOVSPKAVT
      AVTSZWAKAVTKUOAFVAZBQZSZCRQZTWBWATFDBWBWAFAVTFGVTFVBUPFVSRFDCUQURUSWCDPZW
      EWBWFWAWGWDVTAWCDBUTVCWGCVSRFDCVDVLVEJVFVGCFDBVHVIAFDCEBGHKLVJVKVMVK $.
  $}

  ${
    $d A k x y $.  $d B x y $.  $d ph x y $.
    fprodn0f.kph $e |- F/ k ph $.
    fprodn0f.a $e |- ( ph -> A e. Fin ) $.
    fprodn0f.b $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fprodn0f.bne0 $e |- ( ( ph /\ k e. A ) -> B =/= 0 ) $.
    $( A finite product of nonzero terms is nonzero.  A version of ~ fprodn0
       using bound-variable hypotheses instead of distinct variable conditions.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    fprodn0f $p |- ( ph -> prod_ k e. A B =/= 0 ) $=
      ( vx vy cc cc0 wcel wne cv wa cmul adantl eldifsni c1 cprod csn difssd co
      cdif eldifi adantr mulcld wceq mulne0d neneqd ovex elsn sylnibr eldifd wb
      elsng syl mtbird wn ax-1cn ax-1ne0 1ex nemtbir eldif mpbir2an fprodcllemf
      a1i ) ABCDUAZKLUBZUEZMVILNAIJBCVKDEAKVJUCIOZVKMZJOZVKMZPZVLVNQUDZVKMAVPVQ
      KVJVPVLVNVMVLKMVOVLKVJUFUGZVOVNKMVMVNKVJUFRZUHVPVQLUIVQVJMVPVQLVPVLVNVRVS
      VMVLLNVOVLKLSUGVOVNLNVMVNKLSRUJUKVQLVLVNQULUMUNUORFADOBMPZCKVJGVTCVJMZCLU
      IZVTCLHUKVTCKMWAWBUPGCLKUQURUSUOTVKMZAWCTKMTVJMZUTVAWDTLVBTLVCUMVDTKVJVEV
      FVHVGVIKLSUR $.
  $}

  ${
    $d A k x y $.  $d B x y $.  $d ph x y $.
    fprodclf.kph $e |- F/ k ph $.
    fprodclf.a $e |- ( ph -> A e. Fin ) $.
    fprodclf.b $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    $( Closure of a finite product of complex numbers.  A version of ~ fprodcl
       using bound-variable hypotheses instead of distinct variable conditions.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    fprodclf $p |- ( ph -> prod_ k e. A B e. CC ) $=
      ( vx vy cc ssidd cv wcel wa cmul co mulcl adantl 1cnd fprodcllemf ) AHIBC
      JDEAJKHLZJMILZJMNUAUBOPJMAUAUBQRFGAST $.
  $}

  ${
    $d A k x y $.  $d B x y $.  $d ph x y $.
    fprodge0.kph $e |- F/ k ph $.
    fprodge0.a $e |- ( ph -> A e. Fin ) $.
    fprodge0.b $e |- ( ( ph /\ k e. A ) -> B e. RR ) $.
    fprodge0.0leb $e |- ( ( ph /\ k e. A ) -> 0 <_ B ) $.
    $( If all the terms of a finite product are nonnegative, so is the product.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    fprodge0 $p |- ( ph -> 0 <_ prod_ k e. A B ) $=
      ( vx vy cc0 cxr wcel cpnf co cle wbr cr cv c1 cprod cico 0xr pnfxr cc wss
      rge0ssre ax-resscn sstri a1i wa cmul ge0mulcl adantl elrege0 sylanbrc clt
      1re 0le1 ltpnf ax-mp w3a wb 0re elico2 mp2an mpbir3an fprodcllemf icogelb
      mp3an12i ) KLMNLMZABCDUAZKNUBOZMKVLPQUCUDAIJBCVMDEVMUEUFAVMRUEUGUHUIUJISZ
      VMMJSZVMMUKVNVOULOVMMAVNVOUMUNFADSBMUKCRMKCPQCVMMGHCUOUPTVMMZAVPTRMZKTPQZ
      TNUQQZURUSVQVSURTUTVAKRMVKVPVQVRVSVBVCVDUDKNTVEVFVGUJVHKNVLVIVJ $.
  $}

  ${
    $d A k $.  $d C k $.
    fprodeq0g.kph $e |- F/ k ph $.
    fprodeq0g.a $e |- ( ph -> A e. Fin ) $.
    fprodeq0g.b $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fprodeq0g.c $e |- ( ph -> C e. A ) $.
    fprodeq0g.b0 $e |- ( ( ph /\ k = C ) -> B = 0 ) $.
    $( Any finite product containing a zero term is itself zero.  (Contributed
       by Glauco Siliprandi, 5-Apr-2020.) $)
    fprodeq0g $p |- ( ph -> prod_ k e. A B = 0 ) $=
      ( cprod cc0 csn cdif cmul co nfcvd fprodsplit1f cfn wcel diffi syl eldifi
      cv cc sylan2 fprodclf mul02d eqtrd ) ABCEKLBDMZNZCEKZOPLABCDLEFAELQGHIJRA
      ULAUKCEFABSTUKSTGBUJUAUBEUDZUKTAUMBTCUETUMBUJUCHUFUGUHUI $.
  $}

  ${
    $d A k x y $.  $d B x y $.  $d ph x y $.
    fprodge1.ph $e |- F/ k ph $.
    fprodge1.a $e |- ( ph -> A e. Fin ) $.
    fprodge1.b $e |- ( ( ph /\ k e. A ) -> B e. RR ) $.
    fprodge1.ge $e |- ( ( ph /\ k e. A ) -> 1 <_ B ) $.
    $( If all of the terms of a finite product are greater than or equal to
       ` 1 ` , so is the product.  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    fprodge1 $p |- ( ph -> 1 <_ prod_ k e. A B ) $=
      ( c1 wcel cpnf co cle wbr 1xr pnfxr cr 1re a1i cv vx vy cxr cprod cico cc
      wss icossre mp2an ax-resscn sstri cmul sseli adantr adantl remulcld rexrd
      1t1e1 cc0 0le1 icogelb mp3an12 lemul12ad eqbrtrrid ltpnfd elicod clt 1le1
      wa ltpnf ax-mp w3a wb elico2 mpbir3an fprodcllemf mp3an12i ) IUCJZKUCJZAB
      CDUDZIKUELZJIVTMNOPAUAUBBCWADEWAUFUGAWAQUFIQJZVSWAQUGRPIKUHUIZUJUKSUATZWA
      JZUBTZWAJZVIZWDWFULLZWAJAWHIKWIVRWHOSVSWHPSWHWIWHWDWFWEWDQJWGWAQWDWCUMUNZ
      WGWFQJWEWAQWFWCUMUOZUPZUQWHIIIULLWIMURWHIWDIWFWBWHRSZWJWMWKUSIMNWHUTSZWNW
      EIWDMNZWGVRVSWEWOOPIKWDVAVBUNWGIWFMNZWEVRVSWGWPOPIKWFVAVBUOVCVDWHWIWLVEVF
      UOFADTBJVIZIKCVRWQOSVSWQPSWQCGUQHWQCGVEVFIWAJZAWRWBIIMNZIKVGNZRVHWBWTRIVJ
      VKWBVSWRWBWSWTVLVMRPIKIVNUIVOSVPIKVTVAVQ $.
  $}

  ${
    $d A j k $.  $d B j $.  $d j ph $.
    fprodle.kph $e |- F/ k ph $.
    fprodle.a $e |- ( ph -> A e. Fin ) $.
    fprodle.b $e |- ( ( ph /\ k e. A ) -> B e. RR ) $.
    fprodle.0l3b $e |- ( ( ph /\ k e. A ) -> 0 <_ B ) $.
    fprodle.c $e |- ( ( ph /\ k e. A ) -> C e. RR ) $.
    fprodle.blec $e |- ( ( ph /\ k e. A ) -> B <_ C ) $.
    $( If all the terms of two finite products are nonnegative and compare, so
       do the two products.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    fprodle $p |- ( ph -> prod_ k e. A B <_ prod_ k e. A C ) $=
      ( vj cc0 cle wbr co wcel adantr adantlr wceq wral cprod wa cmul cdiv 1red
      wne c1 nfra1 nfan cfn cv cr rspa adantll redivcld fprodreclf fprodge0 crp
      ne0gt0d elrpd divge1 syl3anc fprodge1 lemul2ad fprodclf mulid1d fproddivf
      recnd cc oveq2d fprodn0f divcan2d eqtrd 3brtr3d wn csb wrex rexbii rexnal
      nne nfcsb1v nfeq1 csbeq1a eqeq1d cbvrexw 3bitr3i nf3an 3ad2ant1 3ad2antl1
      nfv w3a simp2 biimparc 3ad2antl3 fprodeq0g rexlimdv3a imp eqbrtrd sylan2b
      0red letrd pm2.61dan ) ACMUGZEBUAZBCEUBZBDEUBZNOZAXEUCZXFUHUDPZXFBDCUEPZE
      UBZUDPZXFXGNXIUHXLXFXIUFXIBXKEAXEEFXDEBUIUJZABUKQZXEGRZXIEULZBQZUCZDCAXRD
      UMQZXEJSZAXRCUMQXEHSZXEXRXDAXDEBUNUOZUPZUQAXFUMQXEABCEFGHUQRAMXFNOXEABCEF
      GHIURRXIBXKEXNXPYDXSCUSQXTCDNOZUHXKNOXSCYBXSCYBAXRMCNOXEISYCUTVAYAAXRYEXE
      KSCDVBVCVDVEAXJXFTXEAXFABCEFGAXRUCZCHVIZVFZVGRXIXMXFXGXFUEPZUDPXGXIXLYIXF
      UDXIBDCEXNXPAXRDVJQXEYFDJVIZSAXRCVJQZXEYGSZYCVHVKXIXGXFAXGVJQXEABDEFGYJVF
      RAXFVJQXEYHRXIBCEXNXPYLYCVLVMVNVOXEVPZAELULZCVQZMTZLBVRZXHXDVPZEBVRCMTZEB
      VRYMYQYRYSEBCMWAVSXDEBVTYSYPELBYSLWKEYOMEYNCWBWCZXQYNTZCYOMEYNCWDWEZWFWGA
      YQUCXFMXGNAYQXFMTZAYPUUCLBAYNBQZYPWLBCYNEAUUDYPEFUUDEWKYTWHAUUDXOYPGWIAUU
      DXRYKYPYGWJAUUDYPWMYPAUUAYSUUDUUAYSYPUUBWNWOWPWQWRAMXGNOYQABDEFGJYFMCDYFX
      AHJIKXBURRWSWTXC $.
  $}

  ${
    $d A i k x y $.  $d B i x y $.  $d C i x y $.  $d M i k x y $.
    $d ph i k x y $.
    fprodmodd.a $e |- ( ph -> A e. Fin ) $.
    fprodmodd.b $e |- ( ( ph /\ k e. A ) -> B e. ZZ ) $.
    fprodmodd.c $e |- ( ( ph /\ k e. A ) -> C e. ZZ ) $.
    fprodmodd.m $e |- ( ph -> M e. NN ) $.
    fprodmodd.p $e |- ( ( ph /\ k e. A ) -> ( B mod M ) = ( C mod M ) ) $.
    $( If all factors of two finite products are equal modulo ` M ` , the
       products are equal modulo ` M ` .  (Contributed by AV, 7-Jul-2021.) $)
    fprodmodd $p |- ( ph -> ( prod_ k e. A B mod M )
                            = ( prod_ k e. A C mod M ) ) $=
      ( cprod cmo co wceq prodeq1 oveq1d wcel adantr cz vx vy vi cv csn eqeq12d
      c0 cun c1 prod0 a1i eqcomi oveq1i eqtrdi wss cdif wa csb cmul nfv nfcsb1v
      cfn wi ssfi syl11 impcom simpr adantl eldifn simpll ssel imp syl2anc zcnd
      csbeq1a wral eldifi ralrimiva rspcsbela syl2anr fprodsplitsn fprodzcl crp
      ex wn nnrpd wsbc rspsbca cvv wb vex sbceqg mp1i mpbid csbov1g elv 3eqtr3g
      modmul12d eqcomd 3eqtrd findcard2d ) AUAUDZCELZFMNZXBDELZFMNZOUGCELZFMNZU
      GDELZFMNZOUBUDZCELZFMNZXKDELZFMNZOZXKUCUDZUEUHZCELZFMNZXRDELZFMNZOZBCELZF
      MNZBDELZFMNZOUAUBUCBXBUGOZXDXHXFXJYHXCXGFMXBUGCEPQYHXEXIFMXBUGDEPQUFXBXKO
      ZXDXMXFXOYIXCXLFMXBXKCEPQYIXEXNFMXBXKDEPQUFXBXROZXDXTXFYBYJXCXSFMXBXRCEPQ
      YJXEYAFMXBXRDEPQUFXBBOZXDYEXFYGYKXCYDFMXBBCEPQYKXEYFFMXBBDEPQUFAXHUIFMNXJ
      AXGUIFMXGUIOACEUJUKQUIXIFMXIUIDEUJULUMUNAXKBUOZXQBXKUPZRZUQZUQZXPYCYPXPUQ
      ZXTXLEXQCURZUSNZFMNZXNEXQDURZUSNZFMNZYBYPXTYTOXPYPXSYSFMYPXKXQCYREYMYPEUT
      ZEXQCVAYOAXKVBRZYLAUUEVCYNBVBRZYLUUEAUUFYLUUEBXKVDWDGVESVFZYOYNAYLYNVGVHZ
      YOXQXKRWEZAYNUUIYLXQBXKVIVHVHZYPEUDZXKRZUQZCUUMAUUKBRZCTRZAYOUULVJZYPUULU
      UNYOUULUUNVCZAYLUUQYNXKBUUKVKSVHVLZHVMZVNEXQCVOYPYRYOXQBRZUUOEBVPYRTRZAYN
      UUTYLXQBXKVQVHZAUUOEBHVREXQBCTVSVTZVNWAQSYQXLXNYRUUAFYPXLTRXPYPXKCEUUGUUS
      WBSYPXNTRXPYPXKDEUUGUUMAUUNDTRZUUPUURIVMZWBSYPUVAXPUVCSYPUUATRZXPYOUUTUVD
      EBVPUVFAUVBAUVDEBIVREXQBDTVSVTZSYPFWCRZXPAUVHYOAFJWFSSYPXPVGYPYRFMNZUUAFM
      NZOXPYPEXQCFMNZURZEXQDFMNZURZUVIUVJYPUVKUVMOZEXQWGZUVLUVNOZYOUUTUVOEBVPUV
      PAUVBAUVOEBKVRUVOEXQBWHVTXQWIRUVPUVQWJYPUCWKEXQUVKUVMWIWLWMWNUVLUVIOUCEXQ
      CFMWIWOWPUVNUVJOUCEXQDFMWIWOWPWQSWRYPUUCYBOXPYPYBUUCYPYAUUBFMYPXKXQDUUAEY
      MUUDEXQDVAUUGUUHUUJUUMDUVEVNEXQDVOYPUUAUVGVNWAQWSSWTWDGXA $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Infinite products
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    iprodclim.1 $e |- Z = ( ZZ>= ` M ) $.
    iprodclim.2 $e |- ( ph -> M e. ZZ ) $.
    iprodclim.3 $e |- ( ph -> E. n e. Z E. y ( y =/= 0 /\
      seq n ( x. , F ) ~~> y ) ) $.
    iprodclim.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.
    iprodclim.5 $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
    ${
      $d A n $.  $d A y $.  $d F k $.  $d k n $.  $d k ph $.  $d k y $.
      $d M k $.  $d M y $.  $d n ph $.  $d n y $.  $d ph y $.  $d Z k $.
      $d Z n $.  $d Z y $.
      iprodclim.6 $e |- ( ph -> seq M ( x. , F ) ~~> B ) $.
      $( An infinite product equals the value its sequence converges to.
         (Contributed by Scott Fenton, 18-Dec-2017.) $)
      iprodclim $p |- ( ph -> prod_ k e. Z A = B ) $=
        ( cprod cmul cseq cli cc cfv iprod wfun wbr wceq cdm fclim ffun funbrfv
        wf ax-mp mpsyl eqtrd ) AICEPQGHRZSUAZDABCEFGHIJKLMNUBSUCZAUNDSUDUODUESU
        FZTSUJUPUGUQTSUHUKOUNDSUIULUM $.
    $}

    $d A n $.  $d A y $.  $d F k $.  $d k n $.  $d k ph $.  $d k y $.
    $d M k $.  $d M y $.  $d n ph $.  $d n y $.  $d ph y $.  $d Z k $.
    $d Z n $.  $d Z y $.  $d F n $.  $d F y $.  $d M n $.
    $( A converging product converges to its infinite product.  (Contributed by
       Scott Fenton, 18-Dec-2017.) $)
    iprodclim2 $p |- ( ph -> seq M ( x. , F ) ~~> prod_ k e. Z A ) $=
      ( cmul cseq cli cfv cprod cdm wcel cv wa cc eqeltrd ntrivcvg climdm sylib
      wbr iprod breqtrrd ) ANFGOZUKPQZHCDRPAUKPSTUKULPUHABDEFGHIKADUAZHTUBUMFQC
      UCLMUDUEUKUFUGABCDEFGHIJKLMUIUJ $.
  $}

  ${
    $d A j $.  $d A m $.  $d A n $.  $d A x $.  $d A y $.  $d F j $.  $d F x $.
    $d j k $.  $d j ph $.  $d j x $.  $d k m $.  $d k n $.  $d k ph $.
    $d k x $.  $d k y $.  $d M j $.  $d M m $.  $d m n $.  $d m ph $.
    $d M x $.  $d m y $.  $d M y $.  $d n ph $.  $d n y $.  $d ph x $.
    $d ph y $.  $d Z j $.  $d Z k $.  $d Z m $.  $d Z n $.  $d Z x $.
    $d Z y $.  $d j m $.  $d M k $.
    iprodclim3.1 $e |- Z = ( ZZ>= ` M ) $.
    iprodclim3.2 $e |- ( ph -> M e. ZZ ) $.
    iprodclim3.3 $e |- ( ph -> E. n e. Z E. y ( y =/= 0 /\
      seq n ( x. , ( k e. Z |-> A ) ) ~~> y ) ) $.
    iprodclim3.4 $e |- ( ph -> F e. dom ~~> ) $.
    iprodclim3.5 $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
    iprodclim3.6 $e |- ( ( ph /\ j e. Z ) ->
                        ( F ` j ) = prod_ k e. ( M ... j ) A ) $.
    $( The sequence of partial finite product of a converging infinite product
       converge to the infinite product of the series.  Note that ` j ` must
       not occur in ` A ` .  (Contributed by Scott Fenton, 18-Dec-2017.) $)
    iprodclim3 $p |- ( ph -> F ~~> prod_ k e. Z A ) $=
      ( vm vx cli cfv wcel cprod cdm wbr climdm sylib cmul cmpt cv prodfc eqidd
      cseq wa cc fmpttd ffvelrnda iprod eqtr3id cio cvv seqex a1i co cres fvres
      cfz wss wceq cuz fzssuz sseqtrri resmpt ax-mp fveq1i prodeq2i eqtri simpr
      eqtr3di eleqtrdi elfzuz eleqtrrdi sylan2 adantlr fprodser eqtr2d iotabidv
      climeq df-fv 3eqtr4g eqtrd breqtrrd ) AGGRSZICEUAZRAGRUBZTGWKRUCMGUDUEAWL
      UFEICUGZHUKZRSZWKAWLIPUHZWNSZPUAWPICPEUIABWRPFWNHIJKLAWQITZULWRUJAIUMWQWN
      AEICUMNUNUOZUPUQAWOQUHZRUCZQURGXARUCZQURWPWKAXBXCQAXADWOGHUSWMIJWOUSTAUFW
      NHUTVAMKADUHZITZULZXDGSHXDVEVBZCEUAZXDWOSZOXFXHXGWRPUAZXIXJXGWQEXGCUGZSZP
      UAXHXGWRXLPWQXGTZWQWNXGVCZSWRXLWQXGWNVDWQXNXKXGIVFXNXKVGXGHVHSZIHXDVIJVJE
      IXGCVKVLVMVQVNXGCPEUIVOXFWRPWNHXDXFXMULWRUJXFXDIXOAXEVPJVRAXMWRUMTZXEXMAW
      SXPXMWQXOIWQHXDVSJVTWTWAWBWCUQWDWFWEQWORWGQGRWGWHWIWJ $.
  $}

  ${
    iprodcl.1 $e |- Z = ( ZZ>= ` M ) $.
    iprodcl.2 $e |- ( ph -> M e. ZZ ) $.
    iprodcl.3 $e |- ( ph -> E. n e. Z E. y ( y =/= 0 /\
      seq n ( x. , F ) ~~> y ) ) $.
    iprodcl.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.

    ${
      $d A n $.  $d A y $.  $d F k $.  $d F n $.  $d F y $.  $d k n $.
      $d k ph $.  $d k y $.  $d M k $.  $d M n $.  $d M y $.  $d n ph $.
      $d n y $.  $d ph y $.  $d Z k $.  $d Z n $.  $d Z y $.
      iprodcl.5 $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
      $( The product of a non-trivially converging infinite sequence is a
         complex number.  (Contributed by Scott Fenton, 18-Dec-2017.) $)
      iprodcl $p |- ( ph -> prod_ k e. Z A e. CC ) $=
        ( cprod cmul cli cfv cc wcel eqeltrd cseq iprod wf fclim cv wa ntrivcvg
        cdm ffvelrn sylancr ) AHCDNOFGUAZPQZRABCDEFGHIJKLMUBAPUHZRPUCUKUMSULRSU
        DABDEFGHIKADUEZHSUFUNFQCRLMTUGUMRUKPUIUJT $.
    $}

    ${
      $d A j $.  $d A n $.  $d A y $.  $d F j $.  $d F k $.  $d F x $.
      $d j k $.  $d j ph $.  $d k n $.  $d k ph $.  $d k x $.  $d k y $.
      $d M j $.  $d M k $.  $d M x $.  $d M y $.  $d n ph $.  $d n y $.
      $d ph x $.  $d ph y $.  $d Z j $.  $d Z k $.  $d Z n $.  $d Z y $.
      $d F n $.  $d F y $.  $d M n $.
      iprodrecl.5 $e |- ( ( ph /\ k e. Z ) -> A e. RR ) $.
      $( The product of a non-trivially converging infinite real sequence is a
         real number.  (Contributed by Scott Fenton, 18-Dec-2017.) $)
      iprodrecl $p |- ( ph -> prod_ k e. Z A e. RR ) $=
        ( vj vx cmul cv wcel wa cr cprod cseq iprodclim2 cfv eqeltrd co remulcl
        recnd adantl seqf ffvelrnda climrecl ) AHCDUANPFGUBZGHIJABCDEFGHIJKLADQ
        ZHRSZCMUHUCAHTNQUMADOPTFGHIJUOUNFUDCTLMUEUNTROQZTRSUNUPPUFTRAUNUPUGUIUJ
        UKUL $.
    $}
  $}

  ${
    $d A j $.  $d a k $.  $d a m $.  $d a n $.  $d A n $.  $d A p $.  $d A w $.
    $d a y $.  $d A y $.  $d a z $.  $d B j $.  $d B m $.  $d B p $.  $d B w $.
    $d B z $.  $d F a $.  $d F j $.  $d F k $.  $d F m $.  $d F n $.  $d F y $.
    $d F z $.  $d G a $.  $d G j $.  $d G k $.  $d G m $.  $d G n $.  $d G y $.
    $d G z $.  $d j k $.  $d j m $.  $d j ph $.  $d k m $.  $d k n $.
    $d k p $.  $d k ph $.  $d k w $.  $d k y $.  $d k z $.  $d M j $.
    $d M k $.  $d M m $.  $d m n $.  $d M n $.  $d m p $.  $d m ph $.
    $d m w $.  $d M w $.  $d m y $.  $d M y $.  $d m z $.  $d M z $.  $d n p $.
    $d n ph $.  $d n w $.  $d n y $.  $d n z $.  $d p ph $.  $d p w $.
    $d p y $.  $d p z $.  $d ph w $.  $d ph y $.  $d ph z $.  $d w y $.
    $d w z $.  $d y z $.  $d Z a $.  $d Z j $.  $d Z k $.  $d Z m $.  $d Z n $.
    $d Z p $.  $d Z w $.  $d Z y $.  $d Z z $.  $d a p $.  $d a w $.  $d F p $.
    $d F w $.  $d G p $.  $d G w $.
    iprodmul.1 $e |- Z = ( ZZ>= ` M ) $.
    iprodmul.2 $e |- ( ph -> M e. ZZ ) $.
    iprodmul.3 $e |- ( ph -> E. n e. Z E. y ( y =/= 0 /\
      seq n ( x. , F ) ~~> y ) ) $.
    iprodmul.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.
    iprodmul.5 $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
    iprodmul.6 $e |- ( ph -> E. m e. Z E. z ( z =/= 0 /\
      seq m ( x. , G ) ~~> z ) ) $.
    iprodmul.7 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) = B ) $.
    iprodmul.8 $e |- ( ( ph /\ k e. Z ) -> B e. CC ) $.
    $( Multiplication of infinite sums.  (Contributed by Scott Fenton,
       18-Dec-2017.) $)
    iprodmul $p |- ( ph -> prod_ k e. Z ( A x. B ) =
     ( prod_ k e. Z A x. prod_ k e. Z B ) ) $=
      ( vw vp va vj cmul co cprod cv cfv cmpt cc0 wne cseq cli wbr wa wrex wcel
      wex cc eqeltrd wceq weq fveq2 oveq12d eqid ovex fvmpt ntrivcvgmul cbvmptv
      adantl seqeq3 ax-mp breq1i anbi2i exbii rexbii sylibr simpr fvmptd3 eqtrd
      mulcld cvv iprodclim2 seqex a1i prodf ffvelrnda eleqtrdi elfzuz eleqtrrdi
      cuz cfz sylan2 adantlr prodfmul climmul iprodclim ) AUADEUEUFZLDFUGZLEFUG
      ZUEUFFUBGLGUHZIUIZXBJUIZUEUFZUJZKLMNAUAUHZUKULZUEUCLUCUHZIUIZXIJUIZUEUFZU
      JZUBUHZUMZXGUNUOZUPZUAUSZUBLUQXHUEXFXNUMZXGUNUOZUPZUAUSZUBLUQABCUAFGHIJXM
      KLUBMOAFUHZLURZUPZYCIUIZDUTPQVAZRYEYCJUIZEUTSTVAZYDYCXMUIYFYHUEUFZVBAUCYC
      XLYJLXMUCFVCXJYFXKYHUEXIYCIVDXIYCJVDVEXMVFYFYHUEVGVHVKVIYBXRUBLYAXQUAXTXP
      XHXSXOXGUNXFXMVBXSXOVBGUCLXEXLGUCVCXCXJXDXKUEXBXIIVDXBXIJVDVEVJUEXFXMXNVL
      VMVNVOVPVQVRYEYCXFUIZYJWSYEGYCXEYJLXFUTXFVFGFVCXCYFXDYHUEXBYCIVDXBYCJVDVE
      AYDVSYEYFYHYGYIWBVTZYEYFDYHEUEPSVEWAYEDEQTWBAWTXAUDUEIKUMZUEJKUMZUEXFKUMZ
      KWCLMNABDFHIKLMNOPQWDYOWCURAUEXFKWEWFACEFGJKLMNRSTWDALUTUDUHZYMAFIKLMNYGW
      GWHALUTYPYNAFJKLMNYIWGWHAYPLURZUPZFIJXFKYPYRYPLKWLUIZAYQVSMWIAYCKYPWMUFUR
      ZYFUTURZYQYTAYDUUAYTYCYSLYCKYPWJMWKZYGWNWOAYTYHUTURZYQYTAYDUUCUUBYIWNWOYT
      YRYDYKYJVBZUUBAYDUUDYQYLWOWNWPWQWR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Falling and Rising Factorial
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare the constant for falling factorial. $)
  $c FallFac $.

  $( Declare the constant for rising factorial. $)
  $c RiseFac $.

  $( Declare the syntax for the falling factorial. $)
  cfallfac $a class FallFac $.

  $( Declare the syntax for the rising factorial. $)
  crisefac $a class RiseFac $.

  ${
    $d x n k $.
    $( Define the rising factorial function.  This is the function
       ` ( A x. ( A + 1 ) x. ... ( A + N ) ) ` for complex ` A ` and
       nonnegative integers ` N ` .  (Contributed by Scott Fenton,
       5-Jan-2018.) $)
    df-risefac $a |- RiseFac = ( x e. CC , n e. NN0 |->
       prod_ k e. ( 0 ... ( n - 1 ) ) ( x + k ) ) $.

    $( Define the falling factorial function.  This is the function
       ` ( A x. ( A - 1 ) x. ... ( A - N ) ) ` for complex ` A ` and
       nonnegative integers ` N ` .  (Contributed by Scott Fenton,
       5-Jan-2018.) $)
    df-fallfac $a |- FallFac = ( x e. CC , n e. NN0 |->
       prod_ k e. ( 0 ... ( n - 1 ) ) ( x - k ) ) $.
  $}

  ${
    $d A k $.  $d A n $.  $d A x $.  $d k n $.  $d k x $.  $d N k $.  $d N n $.
    $d n x $.  $d N x $.
    $( The value of the rising factorial function.  (Contributed by Scott
       Fenton, 5-Jan-2018.) $)
    risefacval $p |- ( ( A e. CC /\ N e. NN0 ) ->
      ( A RiseFac N ) = prod_ k e. ( 0 ... ( N - 1 ) ) ( A + k ) ) $=
      ( vx vn cc cn0 cc0 cv c1 cmin co cfz caddc cprod crisefac wceq prodeq2sdv
      oveq1 oveq2d prodeq1d df-risefac prodex ovmpo ) DEACFGHEIZJKLZMLZDIZBIZNL
      ZBOHCJKLZMLZAUINLZBOPUGUMBOUHAQUGUJUMBUHAUINSRUECQZUGULUMBUNUFUKHMUECJKST
      UADBEUBULUMBUCUD $.

    $( The value of the falling factorial function.  (Contributed by Scott
       Fenton, 5-Jan-2018.) $)
    fallfacval $p |- ( ( A e. CC /\ N e. NN0 ) ->
      ( A FallFac N ) = prod_ k e. ( 0 ... ( N - 1 ) ) ( A - k ) ) $=
      ( vx vn cc cn0 cc0 cv c1 cmin co cfz cprod cfallfac wceq oveq1 prodeq2sdv
      oveq2d prodeq1d df-fallfac prodex ovmpo ) DEACFGHEIZJKLZMLZDIZBIZKLZBNHCJ
      KLZMLZAUHKLZBNOUFULBNUGAPUFUIULBUGAUHKQRUDCPZUFUKULBUMUEUJHMUDCJKQSTDBEUA
      UKULBUBUC $.
  $}

  ${
    $d A k $.  $d A n $.  $d k n $.  $d N k $.  $d N n $.
    $( One-based value of rising factorial.  (Contributed by Scott Fenton,
       15-Jan-2018.) $)
    risefacval2 $p |- ( ( A e. CC /\ N e. NN0 ) ->
        ( A RiseFac N ) = prod_ k e. ( 1 ... N ) ( A + ( k - 1 ) ) ) $=
      ( vn cc wcel cn0 wa crisefac co cc0 c1 cmin cv caddc cprod cz adantl wceq
      cfz risefacval 1zzd 0zd nn0z peano2zm syl simpl nn0cnd addcl syl2an oveq2
      elfznn0 fprodshft 0p1e1 a1i nn0cn 1cnd npcand oveq12d prodeq1d 3eqtrd ) A
      EFZCGFZHZACIJKCLMJZTJZADNZOJZDPKLOJZVELOJZTJZABNLMJZOJZBPLCTJZVMBPADCUAVD
      VHVMDBLKVEVDUBVDUCVCVEQFZVBVCCQFVOCUDCUEUFRVDVBVGEFVHEFVGVFFZVBVCUGVPVGVG
      VEULUHAVGUIUJVGVLAOUKUMVDVKVNVMBVDVILVJCTVILSVDUNUOVCVJCSVBVCCLCUPVCUQURR
      USUTVA $.

    $( One-based value of falling factorial.  (Contributed by Scott Fenton,
       15-Jan-2018.) $)
    fallfacval2 $p |- ( ( A e. CC /\ N e. NN0 ) ->
        ( A FallFac N ) = prod_ k e. ( 1 ... N ) ( A - ( k - 1 ) ) ) $=
      ( vn cc wcel cn0 wa cfallfac co cc0 c1 cmin cv cprod caddc cz adantl wceq
      cfz fallfacval 1zzd 0zd nn0z peano2zm syl simpl nn0cnd subcl syl2an oveq2
      elfznn0 fprodshft 0p1e1 a1i nn0cn 1cnd npcand oveq12d prodeq1d 3eqtrd ) A
      EFZCGFZHZACIJKCLMJZTJZADNZMJZDOKLPJZVELPJZTJZABNLMJZMJZBOLCTJZVMBOADCUAVD
      VHVMDBLKVEVDUBVDUCVCVEQFZVBVCCQFVOCUDCUEUFRVDVBVGEFVHEFVGVFFZVBVCUGVPVGVG
      VEULUHAVGUIUJVGVLAMUKUMVDVKVNVMBVDVILVJCTVILSVDUNUOVCVJCSVBVCCLCUPVCUQURR
      USUTVA $.
  $}

  ${
    $d A k j $.  $d N k j $.
    $( A product representation of falling factorial when ` A ` is a
       nonnegative integer.  (Contributed by Scott Fenton, 20-Mar-2018.) $)
    fallfacval3 $p |- ( N e. ( 0 ... A ) -> ( A FallFac N ) =
       prod_ k e. ( ( A - ( N - 1 ) ) ... A ) k ) $=
      ( vj cc0 cfz co wcel cfallfac c1 cmin cv cprod cc cn0 elfz3nn0 cz elfzelz
      wceq zcnd nn0cnd elfznn0 fallfacval syl2anc elfzel2 peano2zm subcl syl2an
      elfzel1 syl oveq2 fprodrev subid1d oveq2d adantr adantl nncand prodeq12dv
      wa 3eqtrd ) CEAFGHZACIGZECJKGZFGZADLZKGZDMZAVCKGZAEKGZFGZAABLZKGZKGZBMVHA
      FGZVKBMVAANHZCOHVBVGSVAACAPUAZCAUBADCUCUDVAVFVMDBAEVCCEAUECEAUIVACQHVCQHC
      EARCUFUJVAVOVENHVFNHVEVDHZVPVQVEVEEVCRTAVEUGUHVEVLAKUKULVAVJVNVMVKBVAVIAV
      HFVAAVPUMUNVAVKVJHZUSAVKVAVOVRVPUOVRVKNHVAVRVKVKVHVIRTUPUQURUT $.
  $}

  ${
    $d A k $.  $d A x $.  $d A y $.  $d k x $.  $d k y $.  $d N k $.  $d N x $.
    $d N y $.  $d S k $.  $d S x $.  $d S y $.  $d x y $.
    risefallfaccllem.1 $e |- S C_ CC $.
    risefallfaccllem.2 $e |- 1 e. S $.
    risefallfaccllem.3 $e |- ( ( x e. S /\ y e. S ) -> ( x x. y ) e. S ) $.

    ${
      risefaccllem.4 $e |- ( ( A e. S /\ k e. NN0 ) -> ( A + k ) e. S ) $.
      $( Lemma for rising factorial closure laws.  (Contributed by Scott
         Fenton, 5-Jan-2018.) $)
      risefaccllem $p |- ( ( A e. S /\ N e. NN0 ) -> ( A RiseFac N ) e. S ) $=
        ( wcel cn0 wa crisefac co cc0 c1 cv cc a1i caddc cprod sseli risefacval
        cmin cfz wceq sylan cmul adantl fzfid elfznn0 sylan2 fprodcllem eqeltrd
        wss adantr ) CDKZFLKZMCFNOZPFQUEOZUFOZCERZUAOZEUBZDURCSKUSUTVEUGDSCGUCC
        EFUDUHURVEDKUSURABVBVDDEDSUPURGTARZDKBRZDKMVFVGUIODKURIUJURPVAUKVCVBKUR
        VCLKVDDKVCVAULJUMQDKURHTUNUQUO $.
    $}

    ${
      fallfaccllem.4 $e |- ( ( A e. S /\ k e. NN0 ) -> ( A - k ) e. S ) $.
      $( Lemma for falling factorial closure laws.  (Contributed by Scott
         Fenton, 5-Jan-2018.) $)
      fallfaccllem $p |- ( ( A e. S /\ N e. NN0 ) -> ( A FallFac N ) e. S ) $=
        ( wcel cn0 wa co cc0 c1 cmin cv cc a1i cfz cprod sseli fallfacval sylan
        cfallfac wceq wss adantl fzfid elfznn0 sylan2 fprodcllem adantr eqeltrd
        cmul ) CDKZFLKZMCFUFNZOFPQNZUANZCERZQNZEUBZDUQCSKURUSVDUGDSCGUCCEFUDUEU
        QVDDKURUQABVAVCDEDSUHUQGTARZDKBRZDKMVEVFUPNDKUQIUIUQOUTUJVBVAKUQVBLKVCD
        KVBUTUKJULPDKUQHTUMUNUO $.
    $}
  $}

  ${
    $d A k $.  $d N k $.  $d A x $.  $d A y $.  $d k x $.  $d k y $.  $d N x $.
    $d N y $.  $d x y $.
    $( Closure law for rising factorial.  (Contributed by Scott Fenton,
       5-Jan-2018.) $)
    risefaccl $p |- ( ( A e. CC /\ N e. NN0 ) -> ( A RiseFac N ) e. CC ) $=
      ( vx vy vk cc ssid ax-1cn cv mulcl wcel caddc co nn0cn addcl risefaccllem
      cn0 sylan2 ) CDAFEBFGHCIDIJEIZQKAFKSFKASLMFKSNASORP $.

    $( Closure law for falling factorial.  (Contributed by Scott Fenton,
       5-Jan-2018.) $)
    fallfaccl $p |- ( ( A e. CC /\ N e. NN0 ) -> ( A FallFac N ) e. CC ) $=
      ( vx vy vk cc ssid ax-1cn cv mulcl cn0 wcel cmin nn0cn subcl fallfaccllem
      co sylan2 ) CDAFEBFGHCIDIJEIZKLAFLSFLASMQFLSNASORP $.

    $( Closure law for rising factorial.  (Contributed by Scott Fenton,
       5-Jan-2018.) $)
    rerisefaccl $p |- ( ( A e. RR /\ N e. NN0 ) -> ( A RiseFac N ) e. RR ) $=
      ( vx vy vk cr ax-resscn 1re cv remulcl wcel caddc co nn0re readdcl sylan2
      cn0 risefaccllem ) CDAFEBGHCIDIJEIZQKAFKSFKASLMFKSNASOPR $.

    $( Closure law for falling factorial.  (Contributed by Scott Fenton,
       5-Jan-2018.) $)
    refallfaccl $p |- ( ( A e. RR /\ N e. NN0 ) -> ( A FallFac N ) e. RR ) $=
      ( vx vy vk cr ax-resscn 1re cv remulcl cn0 wcel cmin nn0re resubcl sylan2
      co fallfaccllem ) CDAFEBGHCIDIJEIZKLAFLSFLASMQFLSNASOPR $.

    $( Closure law for rising factorial.  (Contributed by Scott Fenton,
       5-Jan-2018.) $)
    nnrisefaccl $p |- ( ( A e. NN /\ N e. NN0 ) -> ( A RiseFac N ) e. NN ) $=
      ( vx vy vk cn nnsscn 1nn cv nnmulcl nnnn0addcl risefaccllem ) CDAFEBGHCID
      IJAEIKL $.

    $( Closure law for rising factorial.  (Contributed by Scott Fenton,
       5-Jan-2018.) $)
    zrisefaccl $p |- ( ( A e. ZZ /\ N e. NN0 ) -> ( A RiseFac N ) e. ZZ ) $=
      ( vx vy vk cz zsscn 1z cv zmulcl wcel caddc co zaddcl sylan2 risefaccllem
      cn0 nn0z ) CDAFEBGHCIDIJEIZQKAFKSFKASLMFKSRASNOP $.

    $( Closure law for falling factorial.  (Contributed by Scott Fenton,
       5-Jan-2018.) $)
    zfallfaccl $p |- ( ( A e. ZZ /\ N e. NN0 ) -> ( A FallFac N ) e. ZZ ) $=
      ( vx vy vk cz zsscn 1z cv zmulcl cn0 wcel cmin zsubcl sylan2 fallfaccllem
      co nn0z ) CDAFEBGHCIDIJEIZKLAFLSFLASMQFLSRASNOP $.

    $( Closure law for rising factorial.  (Contributed by Scott Fenton,
       5-Jan-2018.) $)
    nn0risefaccl $p |- ( ( A e. NN0 /\ N e. NN0 ) ->
      ( A RiseFac N ) e. NN0 ) $=
      ( vx vy vk cn0 nn0sscn 1nn0 cv nn0mulcl nn0addcl risefaccllem ) CDAFEBGHC
      IDIJAEIKL $.

    $( Closure law for rising factorial.  (Contributed by Scott Fenton,
       9-Jan-2018.) $)
    rprisefaccl $p |- ( ( A e. RR+ /\ N e. NN0 ) -> ( A RiseFac N ) e. RR+ ) $=
      ( vx vy vk crp cr cc rpssre ax-resscn sstri cv rpmulcl wcel adantr adantl
      1rp cn0 cc0 wbr wa caddc co rpre nn0re readdcl syl2an clt rpgt0 addgtge0d
      cle nn0ge0 elrpd risefaccllem ) CDAFEBFGHIJKQCLDLMAFNZELZRNZUAZAUPUBUCZUO
      AGNZUPGNZUSGNUQAUDZUPUEZAUPUFUGURAUPUOUTUQVBOUQVAUOVCPUOSAUHTUQAUIOUQSUPU
      KTUOUPULPUJUMUN $.
  $}

  ${
    $d N k $.  $d X k $.
    $( A relationship between rising and falling factorials.  (Contributed by
       Scott Fenton, 15-Jan-2018.) $)
    risefallfac $p |- ( ( X e. CC /\ N e. NN0 ) ->
        ( X RiseFac N ) = ( ( -u 1 ^ N ) x. ( -u X FallFac N ) ) ) $=
      ( vk cc wcel cn0 wa c1 co cv cmin cprod cneg cmul cexp syl2an adantl wceq
      cfz neg1cn caddc crisefac cfallfac negcl adantr elfznn nnm1nn0 syl nn0cnd
      subcl mulm1d simpll negdi2d negeqd simpl addcl negnegd 3eqtr2rd prodeq2dv
      cn risefacval2 chash cfv cfn fzfi fprodconst mp2an hashfz1 oveq2d eqtr2id
      fallfacval2 sylan oveq12d fzfid a1i fprodmul eqtr4d 3eqtr4d ) BDEZAFEZGZH
      ASIZBCJZHKIZUAIZCLWBHMZBMZWDKIZNIZCLZBAUBIWFAOIZWGAUCIZNIZWAWBWEWICWAWCWB
      EZGZWIWHMWEMZMWEWOWHWAWGDEZWDDEZWHDEWNVSWQVTBUDZUEWNWDWNWCUTEWDFEWCAUFWCU
      GUHUIZWGWDUJPZUKWOWPWHWOBWDVSVTWNULWNWRWAWTQUMUNWOWEWAVSWRWEDEWNVSVTUOWTB
      WDUPPUQURUSBCAVAWAWMWBWFCLZWBWHCLZNIWJWAWKXBWLXCNVTWKXBRVSVTXBWFWBVBVCZOI
      ZWKWBVDEWFDEZXBXERHAVETWBWFCVFVGVTXDAWFOAVHVIVJQVSWQVTWLXCRWSWGCAVKVLVMWA
      WBWFWHCWAHAVNXFWOTVOXAVPVQVR $.
  $}

  $( A relationship between falling and rising factorials.  (Contributed by
     Scott Fenton, 17-Jan-2018.) $)
  fallrisefac $p |- ( ( X e. CC /\ N e. NN0 ) ->
    ( X FallFac N ) = ( ( -u 1 ^ N ) x. ( -u X RiseFac N ) ) ) $=
    ( cc wcel cn0 wa cfallfac co cneg cexp cmul crisefac oveq2d neg1cn 3eqtr3rd
    c1 wceq adantl fallfaccl sylan c2 caddc nn0cn 2timesd cz nn0z m1expeven syl
    expadd mp3an1 anidms negneg adantr oveq1d oveq12d expcl mpan negcld mulassd
    negcl mulid2d risefallfac eqtr4d ) BCDZAEDZFZBAGHZPIZAJHZVIBIZIZAGHZKHZKHZV
    IVJALHZKHVFVIVIKHZVLKHPVGKHVNVGVFVPPVLVGKVEVPPQVDVEVHUAAKHZJHZVHAAUBHZJHZPV
    PVEVQVSVHJVEAAUCUDMVEAUEDVRPQAUFAUGUHVEVTVPQZVHCDZVEVEWANVHAAUIUJUKORVFVKBA
    GVDVKBQVEBULUMUNUOVFVIVIVLVEVICDZVDWBVEWCNVHAUPUQRZWDVDVKCDVEVLCDVDVJBUTZUR
    VKASTUSVFVGBASVAOVFVOVMVIKVDVJCDVEVOVMQWEAVJVBTMVC $.

  $( Lemma for ~ risefac0 and ~ fallfac0 .  Show a particular set of finite
     integers is empty.  (Contributed by Scott Fenton, 5-Jan-2018.) $)
  risefall0lem $p |- ( 0 ... ( 0 - 1 ) ) = (/) $=
    ( cc0 c1 cneg cfz co cmin c0 df-neg oveq2i clt wbr wceq neg1lt0 cz wb neg1z
    wcel 0z fzn mp2an mpbi eqtr3i ) ABCZDEZAABFEZDEGUCUEADBHIUCAJKZUDGLZMANQUCN
    QUFUGORPAUCSTUAUB $.

  ${
    $d A k $.
    $( The value of the rising factorial when ` N = 0 ` .  (Contributed by
       Scott Fenton, 5-Jan-2018.) $)
    risefac0 $p |- ( A e. CC -> ( A RiseFac 0 ) = 1 ) $=
      ( vk cc wcel cc0 crisefac co c1 cmin cfz caddc cprod wceq 0nn0 risefacval
      cv cn0 mpan2 c0 risefall0lem prodeq1i prod0 eqtri eqtrdi ) ACDZAEFGZEEHIG
      JGZABPKGZBLZHUEEQDUFUIMNABEORUISUHBLHUGSUHBTUAUHBUBUCUD $.
  $}

  $( The value of the falling factorial when ` N = 0 ` .  (Contributed by Scott
     Fenton, 5-Jan-2018.) $)
  fallfac0 $p |- ( A e. CC -> ( A FallFac 0 ) = 1 ) $=
    ( cc wcel cc0 cfallfac co cneg cexp crisefac cmul cn0 wceq 0nn0 fallrisefac
    c1 mpan2 neg1cn exp0 mp1i negcl risefac0 syl oveq12d 1t1e1 eqtrdi eqtrd ) A
    BCZADEFZOGZDHFZAGZDIFZJFZOUGDKCUHUMLMDANPUGUMOOJFOUGUJOULOJUIBCUJOLUGQUIRSU
    GUKBCULOLATUKUAUBUCUDUEUF $.

  ${
    $d A k $.  $d N k $.
    $( The value of the rising factorial at a successor.  (Contributed by Scott
       Fenton, 5-Jan-2018.) $)
    risefacp1 $p |- ( ( A e. CC /\ N e. NN0 ) ->
       ( A RiseFac ( N + 1 ) ) = ( ( A RiseFac N ) x. ( A + N ) ) ) $=
      ( vk cc wcel cn0 wa cc0 c1 caddc co cmin cfz cprod crisefac adantl sylan2
      cv cmul risefacval 1cnd pncand oveq2d prodeq1d cuz elnn0uz biimpi elfznn0
      nn0cn cfv nn0cnd addcl adantlr oveq2 fprodm1 eqtrd wceq peano2nn0 3eqtr4d
      oveq1d ) ADEZBFEZGZHBIJKZILKZMKZACRZJKZCNZHBILKMKVHCNZABJKZSKZAVDOKZABOKZ
      VKSKVCVIHBMKZVHCNVLVCVFVOVHCVCVEBHMVCBIVBBDEVABUIPVCUAUBUCUDVCVHVKCHBVBBH
      UEUJEZVAVBVPBUFUGPVAVGVOEZVHDEZVBVQVAVGDEVRVQVGVGBUHUKAVGULQUMVGBAJUNUOUP
      VBVAVDFEVMVIUQBURACVDTQVCVNVJVKSACBTUTUS $.

    $( The value of the falling factorial at a successor.  (Contributed by
       Scott Fenton, 5-Jan-2018.) $)
    fallfacp1 $p |- ( ( A e. CC /\ N e. NN0 ) ->
       ( A FallFac ( N + 1 ) ) = ( ( A FallFac N ) x. ( A - N ) ) ) $=
      ( vk cc wcel cn0 wa cc0 c1 caddc co cmin cfz cprod cfallfac adantl sylan2
      cv cmul fallfacval 1cnd pncand oveq2d prodeq1d cuz elnn0uz biimpi elfznn0
      nn0cn cfv nn0cnd subcl adantlr oveq2 fprodm1 eqtrd wceq peano2nn0 3eqtr4d
      oveq1d ) ADEZBFEZGZHBIJKZILKZMKZACRZLKZCNZHBILKMKVHCNZABLKZSKZAVDOKZABOKZ
      VKSKVCVIHBMKZVHCNVLVCVFVOVHCVCVEBHMVCBIVBBDEVABUIPVCUAUBUCUDVCVHVKCHBVBBH
      UEUJEZVAVBVPBUFUGPVAVGVOEZVHDEZVBVQVAVGDEVRVQVGVGBUHUKAVGULQUMVGBALUNUOUP
      VBVAVDFEVMVIUQBURACVDTQVCVNVJVKSACBTUTUS $.
  $}

  ${
    rffacp1d.1 $e |- ( ph -> A e. CC ) $.
    rffacp1d.2 $e |- ( ph -> N e. NN0 ) $.
    $( The value of the rising factorial at a successor.  (Contributed by Scott
       Fenton, 19-Mar-2018.) $)
    risefacp1d $p |- ( ph ->
     ( A RiseFac ( N + 1 ) ) = ( ( A RiseFac N ) x. ( A + N ) ) ) $=
      ( cc wcel cn0 c1 caddc co crisefac cmul wceq risefacp1 syl2anc ) ABFGCHGB
      CIJKLKBCLKBCJKMKNDEBCOP $.

    $( The value of the falling factorial at a successor.  (Contributed by
       Scott Fenton, 19-Mar-2018.) $)
    fallfacp1d $p |- ( ph ->
     ( A FallFac ( N + 1 ) ) = ( ( A FallFac N ) x. ( A - N ) ) ) $=
      ( cc wcel cn0 c1 caddc co cfallfac cmin cmul wceq fallfacp1 syl2anc ) ABF
      GCHGBCIJKLKBCLKBCMKNKODEBCPQ $.
  $}

  $( The value of rising factorial at one.  (Contributed by Scott Fenton,
     5-Jan-2018.) $)
  risefac1 $p |- ( A e. CC -> ( A RiseFac 1 ) = A ) $=
    ( cc wcel c1 crisefac cc0 caddc 0p1e1 oveq2i cmul wceq 0nn0 risefacp1 mpan2
    co cn0 risefac0 addid1 oveq12d mulid2 3eqtrd eqtr3id ) ABCZADEOAFDGOZEOZAUD
    DAEHIUCUEAFEOZAFGOZJOZDAJOAUCFPCUEUHKLAFMNUCUFDUGAJAQARSATUAUB $.

  $( The value of falling factorial at one.  (Contributed by Scott Fenton,
     5-Jan-2018.) $)
  fallfac1 $p |- ( A e. CC -> ( A FallFac 1 ) = A ) $=
    ( cc wcel c1 cfallfac co cc0 caddc oveq2i cmin cmul cn0 wceq 0nn0 fallfacp1
    0p1e1 mpan2 fallfac0 subid1 oveq12d mulid2 3eqtrd eqtr3id ) ABCZADEFAGDHFZE
    FZAUEDAEPIUDUFAGEFZAGJFZKFZDAKFAUDGLCUFUIMNAGOQUDUGDUHAKARASTAUAUBUC $.
  ${
    $d N k $.
    $( Relate rising factorial to factorial.  (Contributed by Scott Fenton,
       5-Jan-2018.) $)
    risefacfac $p |- ( N e. NN0 -> ( 1 RiseFac N ) = ( ! ` N ) ) $=
      ( vk cn0 wcel c1 cfz co cv cmin caddc cprod crisefac cfa cfv wa cc elfznn
      1cnd nncnd adantl pncan3d prodeq2dv wceq ax-1cn risefacval2 mpan fprodfac
      3eqtr4d ) ACDZEAFGZEBHZEIGJGZBKZUJUKBKEALGZAMNUIUJULUKBUIUKUJDZOZEUKUPRUO
      UKPDUIUOUKUKAQSTUAUBEPDUIUNUMUCUDEBAUEUFABUGUH $.
  $}

  ${
    $d A k $.  $d N k $.
    $( The forward difference of a falling factorial.  (Contributed by Scott
       Fenton, 21-Jan-2018.) $)
    fallfacfwd $p |- ( ( A e. CC /\ N e. NN ) ->
      ( ( ( A + 1 ) FallFac N ) - ( A FallFac N ) ) =
      ( N x. ( A FallFac ( N - 1 ) ) ) ) $=
      ( vk cc wcel c1 caddc co cfallfac cmin cmul cc0 cfz cprod cn0 wceq adantl
      oveq2d sylan2 eqtrd cn wa cv peano2cn nnnn0 fallfacval syl2an cneg oveq1i
      0p1e1 prodeq1i oveq2i cuz cfv nnm1nn0 eleqtrdi simpll cz elfzelz peano2zm
      nn0uz syl subcld oveq1 df-neg eqtr4di fprod1p fallfacval2 3eqtr4a elfznn0
      zcnd nn0cnd 1cnd subsub3d simpl subnegd oveq1d 3eqtr3d simpr nncnd npcand
      prodeq2dv fallfacp1 eqtr3d oveq12d mulcomd adantr subdird pnncand pncan3d
      fallfaccl 3eqtr2d ) ADEZBUAEZUBZAFGHZBIHZABIHZJHWPABFJHZIHZKHZWTAWSJHZKHZ
      JHZBWTKHZWOWQXAWRXCJWOWQLWSMHZWPCUCZJHZCNZXAWMWPDEZBOEWQXIPWNAUDZBUEWPCBU
      FUGWOXFAXGFJHZJHZCNZAFUHZJHZWTKHZXIXAWOXPLFGHZWSMHZXMCNZKHXPFWSMHZXMCNZKH
      XNXQXTYBXPKXSYAXMCXRFWSMUJUIUKULWOXMXPCLWSWOWSOLUMUNWNWSOEZWMBUOZQZVAUPWO
      XGXFEZUBZAXLWMWNYFUQZYGXLYGXGUREZXLUREYFYIWOXGLWSUSQXGUTVBVKVCXGLPZXLXOAJ
      YJXLLFJHXOXGLFJVDFVEVFRVGWOWTYBXPKWNWMYCWTYBPYDACWSVHSRVIWOXFXMXHCYGAXGFY
      HYGXGYFXGOEWOXGWSVJQVLYGVMVNWBWOXPWPWTKWOAFWMWNVOZWOVMZVPVQVRTWOAWSFGHZIH
      ZWRXCWOYMBAIWOBFWOBWMWNVSVTZYLWARWNWMYCYNXCPYDAWSWCSWDWEWOXDXAXBWTKHZJHWP
      XBJHZWTKHXEWOXCYPXAJWOWTXBWNWMYCWTDEYDAWSWKSZWOAWSYKWOWSYEVLZVCZWFRWOWPXB
      WTWMXJWNXKWGYTYRWHWOYQBWTKWOYQFWSGHBWOAFWSYKYLYSWIWOFBYLYOWJTVQWLT $.
  $}

  ${
    $d N k $.
    $( The value of the zero falling factorial at natural ` N ` .  (Contributed
       by Scott Fenton, 17-Feb-2018.) $)
    0fallfac $p |- ( N e. NN -> ( 0 FallFac N ) = 0 ) $=
      ( vk cn wcel cc0 cfallfac co c1 cmin cfz cv cprod cc cn0 wceq 0cn sylancr
      elfzelz zcnd adantl caddc nnnn0 fallfacval cuz cfv nnm1nn0 nn0uz eleqtrdi
      cmul subcl oveq2 0m0e0 eqtrdi fprod1p fzfid fprodcl mul02d 3eqtrd ) ACDZE
      AFGZEAHIGZJGZEBKZIGZBLZEEHUAGZVAJGZVDBLZUIGEUSEMDZANDUTVEOPAUBEBAUCQUSVDE
      BEVAUSVANEUDUEAUFUGUHVCVBDZVDMDZUSVJVIVCMDZVKPVJVCVCEVARSEVCUJZQTVCEOVDEE
      IGEVCEEIUKULUMUNUSVHUSVGVDBUSVFVAUOVCVGDZVKUSVNVIVLVKPVNVCVCVFVARSVMQTUPU
      QUR $.
  $}

  $( The value of the zero rising factorial at natural ` N ` .  (Contributed by
     Scott Fenton, 17-Feb-2018.) $)
  0risefac $p |- ( N e. NN -> ( 0 RiseFac N ) = 0 ) $=
    ( cn wcel cc0 crisefac co c1 cneg cexp cfallfac cmul cc cn0 0cn risefallfac
    wceq nnnn0 sylancr neg0 oveq1i 0fallfac eqtrid oveq2d neg1cn mul01d 3eqtrd
    expcl ) ABCZDAEFZGHZAIFZDHZAJFZKFZUKDKFDUHDLCAMCZUIUNPNAQZADORUHUMDUKKUHUMD
    AJFDULDAJSTAUAUBUCUHUKUHUJLCUOUKLCUDUPUJAUGRUEUF $.

  ${
    $d k ph $.  $d N k $.  $d A j $.  $d A k $.  $d B j $.  $d B k $.
    $d j k $.  $d j ph $.  $d N j $.
    binomfallfaclem.1 $e |- ( ph -> A e. CC ) $.
    binomfallfaclem.2 $e |- ( ph -> B e. CC ) $.
    binomfallfaclem.3 $e |- ( ph -> N e. NN0 ) $.
    $( Lemma for ~ binomfallfac .  Closure law.  (Contributed by Scott Fenton,
       13-Mar-2018.) $)
    binomfallfaclem1 $p |- ( ( ph /\
      K e. ( 0 ... N ) ) -> ( ( N _C K ) x. ( ( A FallFac ( N - K ) ) x.
      ( B FallFac ( K + 1 ) ) ) ) e. CC ) $=
      ( cc0 cfz co wcel wa cbc cfallfac cn0 syl2an cc fallfaccl mulcld c1 caddc
      cmin cmul cz elfzelz bccl nn0cnd fznn0sub elfznn0 peano2nn0 syl ) ADIEJKL
      ZMZEDNKZBEDUCKZOKZCDUAUBKZOKZUDKUNUOAEPLDUELUOPLUMHDIEUFDEUGQUHUNUQUSABRL
      UPPLUQRLUMFDIEUIBUPSQACRLURPLZUSRLUMGUMDPLUTDEUJDUKULCURSQTT $.

    binomfallfaclem.4 $e |- ( ps -> ( ( A + B ) FallFac N ) =
      sum_ k e. ( 0 ... N ) ( ( N _C k ) x.
      ( ( A FallFac ( N - k ) ) x. ( B FallFac k ) ) ) ) $.
    $( Lemma for ~ binomfallfac .  Inductive step.  (Contributed by Scott
       Fenton, 13-Mar-2018.) $)
    binomfallfaclem2 $p |- ( ( ph /\ ps ) ->
    ( ( A + B ) FallFac ( N + 1 ) ) =
      sum_ k e. ( 0 ... ( N + 1 ) ) ( ( ( N + 1 ) _C k ) x.
      ( ( A FallFac ( ( N + 1 ) - k ) ) x. ( B FallFac k ) ) ) ) $=
      ( cc0 co cmin cfallfac cmul caddc c1 wcel cc oveq2d vj wa cfz cv cbc wceq
      csu cn0 cz elfzelz syl2an nn0cnd fznn0sub fallfaccl elfznn0 mulcld addcld
      subcld adantr mulassd subcl adddid adantl ppncand subsubd addsubd 3eqtr4d
      bccl oveq1d mul32d 1cnd fallfacp1 eqtrd oveq12d 3eqtr3d cuz cfv wss nn0zd
      eqtr4d uzid peano2uz fzss2 4syl sselda syldan peano2nn0 3eqtrd fallfacp1d
      sumeq2dv sylan9eq fzfid fsummulc1 bcpasc peano2zm adddird eqtr3d eleqtrdi
      syl nn0uz oveq2 fsump1 clt wbr wo nn0red ltp1d olcd bcval4 syl3anc subidd
      sylancl eqeltrd syl2anc mul02d fsumcl addid1d oveq1 df-neg eqtr4di fsum1p
      0nn0 cneg neg1lt0 orci mp3an23 subid1d 1zzd 0zd binomfallfaclem1 fsumshft
      neg1z zcnd subsub3d npcand eqtr2d weq cbvsumv addid2d fsumadd ) ABUBZKFUC
      LZFEUDZUELZCFUUCMLZNLZDUUCNLZOLZOLZCDPLZFMLZOLZEUGZUUBUUDCFQPLZUUCMLZNLZU
      UGOLZOLZUUDUUFDUUCQPLZNLZOLZOLZPLZEUGZUUJUUNNLZKUUNUCLZUUNUUCUELZUUQOLZEU
      GZAUUMUVDUFBAUUBUULUVCEAUUCUUBRZUBZUULUUDUUHUUKOLZOLUUDUUQUVAPLZOLUVCUVKU
      UDUUHUUKUVKUUDAFUHRZUUCUIRZUUDUHRZUVJIUUCKFUJUUCFVHZUKULZUVKUUFUUGACSRZUU
      EUHRZUUFSRUVJGUUCKFUMZCUUEUNUKZADSRZUUCUHRZUUGSRZUVJHUUCFUOZDUUCUNZUKZUPZ
      AUUKSRUVJAUUJFACDGHUQZAFIULZURZUSUTUVKUVLUVMUUDOUVKUUHCUUEMLZDUUCMLZPLZOL
      UUHUWMOLZUUHUWNOLZPLUVLUVMUVKUUHUWMUWNUWIAUVSUUESRUWMSRUVJGUVJUUEUWAULCUU
      EVAUKZAUWCUUCSRZUWNSRUVJHUVJUUCUWFULZDUUCVAUKZVBUVKUWOUUKUUHOUVKCFMLZUUCP
      LZUWNPLUXBDPLUWOUUKUVKUXBUUCDUVKCFAUVSUVJGUSZAFSRZUVJUWKUSZURUVJUWSAUWTVC
      ZAUWCUVJHUSZVDUVKUWMUXCUWNPUVKCFUUCUXDUXFUXGVEVIUVKCDFUXDUXHUXFVFVGTUVKUW
      PUUQUWQUVAPUVKUWPUUFUWMOLZUUGOLUUQUVKUUFUUGUWMUWBUWHUWRVJUVKUUPUXIUUGOUVK
      UUPCUUEQPLZNLZUXIUVKUUOUXJCNUVKFQUUCUXFUVKVKUXGVFTAUVSUVTUXKUXIUFUVJGUWAC
      UUEVLUKVMVIVTUVKUWQUUFUUGUWNOLZOLUVAUVKUUFUUGUWNUWBUWHUXAUTUVKUUTUXLUUFOA
      UWCUWDUUTUXLUFUVJHUWFDUUCVLUKTVTVNVOTUVKUUDUUQUVAUVRUVKUUPUUGAUVJUUCUVFRZ
      UUPSRZAUUBUVFUUCAFUIRFFVPVQZRUUNUXORUUBUVFVRAFIVSZFWAFFWBFKUUNWCWDWEZAUVS
      UUOUHRUXNUXMGUUCKUUNUMCUUOUNUKZWFUWHUPUVKUUFUUTUWBAUWCUUSUHRZUUTSRUVJHUVJ
      UWDUXSUWFUUCWGWSDUUSUNUKUPVBWHWJUSUUAUVEUUBUUIEUGZUUKOLZUUMABUVEUUJFNLZUU
      KOLUYAAUUJFUWJIWIBUYBUXTUUKOJVIWKAUYAUUMUFBAUUBUUIUUKEAKFWLZUWLUVKUUDUUHU
      VRUWIUPWMUSVMAUVIUVDUFBAUVIUVFUURFUUCQMLZUELZUUQOLZPLZEUGZUVDAUVFUVHUYGEA
      UXMUBZUUDUYEPLZUUQOLUVHUYGUYIUYJUVGUUQOAUVNUVOUYJUVGUFUXMIUUCKUUNUJZUUCFW
      NUKVIUYIUUDUYEUUQUYIUUDAUVNUVOUVPUXMIUYKUVQUKULZUYIUYEAUVNUYDUIRZUYEUHRUX
      MIUXMUVOUYMUYKUUCWOWSUYDFVHUKULZUYIUUPUUGUXRAUWCUWDUWEUXMHUUCUUNUOUWGUKUP
      ZWPWQWJAUVFUUREUGZUVFUYFEUGZPLUUBUUREUGZUUBUVBEUGZPLUYHUVDAUYPUYRUYQUYSPA
      UYPUYRFUUNUELZCUUNUUNMLZNLZDUUNNLZOLZOLZPLUYRKPLUYRAUURVUEEKFAFUHKVPVQZIW
      TWRUYIUUDUUQUYLUYOUPZUUCUUNUFZUUDUYTUUQVUDOUUCUUNFUEXAVUHUUPVUBUUGVUCOVUH
      UUOVUACNUUCUUNUUNMXATUUCUUNDNXAVNVNXBAVUEKUYRPAVUEKVUDOLKAUYTKVUDOAUVNUUN
      UIRUUNKXCXDZFUUNXCXDZXEUYTKUFIAUUNAUVNUUNUHRZIFWGWSZVSAVUJVUIAFAFIXFXGXHU
      UNFXIXJVIAVUDAVUBVUCAVUBCKNLZSAVUAKCNAUUNAUUNVULULZXKTAUVSKUHRZVUMSRGYBCK
      UNXLXMAUWCVUKVUCSRHVULDUUNUNXNUPXOVMTAUYRAUUBUUREUYCAUVJUXMUURSRUXQVUGWFZ
      XPXQWHAUYQFQYCZUELZCUUNKMLZNLZDKNLZOLZOLZKQPLZUUNUCLZUYFEUGZPLKUYSPLUYSAU
      YFVVCEKUUNAUUNUHVUFVULWTWRUYIUYEUUQUYNUYOUPZUUCKUFZUYEVURUUQVVBOVVHUYDVUQ
      FUEVVHUYDKQMLVUQUUCKQMXRQXSXTTVVHUUPVUTUUGVVAOVVHUUOVUSCNUUCKUUNMXATUUCKD
      NXAVNVNYAAVVCKVVFUYSPAVVCKVVBOLKAVURKVVBOAUVNVURKUFZIUVNVUQUIRVUQKXCXDZFV
      UQXCXDZXEVVIYLVVJVVKYDYEVUQFXIYFWSVIAVVBAVUTVVAAVUTCUUNNLZSAVUSUUNCNAUUNV
      UNYGTAUVSVUKVVLSRGVULCUUNUNXNXMAUWCVUOVVASRHYBDKUNXLUPXOVMAVVFUUBFUAUDZUE
      LZCFVVMMLZNLZDVVMQPLZNLZOLZOLZUAUGZUYSAVWAVVEUYECFUYDMLZNLZDUYDQPLZNLZOLZ
      OLZEUGVVFAVVTVWGUAEQKFAYHAYIUXPACDVVMFGHIYJVVMUYDUFZVVNUYEVVSVWFOVVMUYDFU
      EXAVWHVVPVWCVVRVWEOVWHVVOVWBCNVVMUYDFMXATVWHVVQVWDDNVVMUYDQPXRTVNVNYKAVVE
      VWGUYFEAUUCVVERZUBZVWFUUQUYEOVWJVWCUUPVWEUUGOVWJVWBUUOCNVWJFUUCQAUXEVWIUW
      KUSVWJUUCVWIUVOAUUCVVDUUNUJVCYMZVWJVKZYNTVWJVWDUUCDNVWJUUCQVWKVWLYOTVNTWJ
      YPUUBUVBVVTEUAEUAYQZUUDVVNUVAVVSOUUCVVMFUEXAVWMUUFVVPUUTVVROVWMUUEVVOCNUU
      CVVMFMXATVWMUUSVVQDNUUCVVMQPXRTVNVNYRXTVNAUYSAUUBUVBEUYCACDUUCFGHIYJZXPYS
      WHVNAUVFUURUYFEAKUUNWLVUGVVGYTAUUBUURUVBEUYCVUPVWNYTVGVMUSVG $.
  $}

  ${
    $d A k $.  $d A m $.  $d A n $.  $d B k $.  $d B m $.  $d B n $.  $d k m $.
    $d k n $.  $d m n $.  $d N k $.  $d N m $.
    $( A version of the binomial theorem using falling factorials instead of
       exponentials.  (Contributed by Scott Fenton, 13-Mar-2018.) $)
    binomfallfac $p |- ( ( A e. CC /\ B e. CC /\ N e. NN0 ) ->
     ( ( A + B ) FallFac N ) =
      sum_ k e. ( 0 ... N ) ( ( N _C k ) x.
      ( ( A FallFac ( N - k ) ) x. ( B FallFac k ) ) ) ) $=
      ( cc wcel co cfallfac cc0 cfz cbc cmin cmul csu wceq oveq2 oveq2d oveq12d
      c1 oveq1 vm vn cn0 caddc cv wa csn eqtrdi oveq1d adantr sumeq12dv eqeq12d
      wi fz0sn imbi2d weq fallfac0 oveqan12d 1t1e1 0cn eqeltrdi 0nn0 bcnn ax-mp
      ax-1cn 0m0e0 sumsn sylancr addcl syl simprl simprr simpl binomfallfaclem2
      3eqtr4rd id exp31 a2d nn0ind com12 3impia ) AEFZBEFZDUCFZABUDGZDHGZIDJGZD
      CUEZKGZADWHLGZHGZBWHHGZMGZMGZCNZOZWDWBWCUFZWPWQWEUAUEZHGZIWRJGZWRWHKGZAWR
      WHLGZHGZWLMGZMGZCNZOZUMWQWEIHGZIUGZIWHKGZAIWHLGZHGZWLMGZMGZCNZOZUMWQWEUBU
      EZHGZIXQJGZXQWHKGZAXQWHLGZHGZWLMGZMGZCNZOZUMWQWEXQSUDGZHGZIYGJGZYGWHKGZAY
      GWHLGZHGZWLMGZMGZCNZOZUMWQWPUMUAUBDWRIOZXGXPWQYQWSXHXFXOWRIWEHPYQWTXIXEXN
      CYQWTIIJGXIWRIIJPUNUHYQXEXNOWHWTFZYQXAXJXDXMMWRIWHKTYQXCXLWLMYQXBXKAHWRIW
      HLTQUIRUJUKULUOUAUBUPZXGYFWQYSWSXRXFYEWRXQWEHPYSWTXSXEYDCWRXQIJPYSXEYDOYR
      YSXAXTXDYCMWRXQWHKTYSXCYBWLMYSXBYAAHWRXQWHLTQUIRUJUKULUOWRYGOZXGYPWQYTWSY
      HXFYOWRYGWEHPYTWTYIXEYNCWRYGIJPYTXEYNOYRYTXAYJXDYMMWRYGWHKTYTXCYLWLMYTXBY
      KAHWRYGWHLTQUIRUJUKULUOWRDOZXGWPWQUUAWSWFXFWOWRDWEHPUUAWTWGXEWNCWRDIJPUUA
      XEWNOYRUUAXAWIXDWMMWRDWHKTUUAXCWKWLMUUAXBWJAHWRDWHLTQUIRUJUKULUOWQSAIHGZB
      IHGZMGZMGZSXOXHWQUUESSMGZSWQUUDSSMWQUUDUUFSWBWCUUBSUUCSMAUQBUQURUSUHQUSUH
      ZWQIEFUUEEFXOUUEOUTWQUUESEUUGVEVAXNUUECIEWHIOZXJSXMUUDMUUHXJIIKGZSWHIIKPI
      UCFUUISOVBIVCVDUHUUHXLUUBWLUUCMUUHXKIAHUUHXKIILGIWHIILPVFUHQWHIBHPRRVGVHW
      QWEEFXHSOABVIWEUQVJVOXQUCFZWQYFYPUUJWQYFYPUUJWQUFYFABCXQUUJWBWCVKUUJWBWCV
      LUUJWQVMYFVPVNVQVRVSVTWA $.
  $}

  ${
    $d A k $.  $d B k $.  $d N k $.
    $( A version of the binomial theorem using rising factorials instead of
       exponentials.  (Contributed by Scott Fenton, 16-Mar-2018.) $)
    binomrisefac $p |- ( ( A e. CC /\ B e. CC /\ N e. NN0 ) ->
     ( ( A + B ) RiseFac N ) =
      sum_ k e. ( 0 ... N ) ( ( N _C k ) x.
      ( ( A RiseFac ( N - k ) ) x. ( B RiseFac k ) ) ) ) $=
      ( cc wcel cn0 cneg cexp caddc cfallfac cmul cc0 csu crisefac eqtrd neg1cn
      co wceq syl2an w3a c1 cfz cv cmin negdi 3adant3 oveq1d negcl binomfallfac
      cbc id syl3an oveq2d fzfid expcl mpan 3ad2ant3 wa cz simp3 elfzelz nn0cnd
      bccl simpl1 negcld cle nn0zd zsubcl elfzle2 adantl simpl3 elfznn0 subge0d
      wbr nn0red mpbird elnn0z sylanbrc fallfaccl syl2anc simp2 fsummulc2 addcl
      mulcld risefallfac stoic3 simpl2 oveq12d sylancr mul4d a1i expaddd eqtr3d
      npcan 3eqtrd adantr mul12d sumeq2dv 3eqtr4d ) AEFZBEFZDGFZUAZUBHZDIRZABJR
      ZHZDKRZLRZMDUCRZXFDCUDZUKRZAHZDXLUERZKRZBHZXLKRZLRZLRZLRZCNZXGDORZXKXMAXO
      ORZBXLORZLRZLRZCNXDXJXFXKXTCNZLRYBXDXIYHXFLXDXIXNXQJRZDKRZYHXDXHYIDKXAXBX
      HYISXCABUFUGUHXAXNEFZXBXQEFZXCXCYJYHSAUIBUIXCULXNXQCDUJUMPUNXDXKXTXFCXDMD
      UOXCXAXFEFZXBXEEFZXCYMQXEDUPUQURZXDXLXKFZUSZXMXSYQXMXDXCXLUTFZXMGFYPXAXBX
      CVAZXLMDVBZXLDVDTVCZYQXPXRYQYKXOGFZXPEFYQAXAXBXCYPVEZVFYQXOUTFZMXOVGVOZUU
      BXDDUTFYRUUDYPXDDYSVHYTDXLVITYQUUEXLDVGVOZYPUUFXDXLMDVJVKYQDXLYQDXAXBXCYP
      VLVPYQXLYPXLGFZXDXLDVMZVKZVPVNVQXOVRVSZXNXOVTWAZXDYLUUGXREFYPXDBXAXBXCWBV
      FUUHXQXLVTTZWEZWEWCPXAXBXGEFXCYCXJSABWDDXGWFWGXDXKYGYACYQYGXMXFXSLRZLRYAY
      QYFUUNXMLYQYFXEXOIRZXPLRZXEXLIRZXRLRZLRUUOUUQLRZXSLRUUNYQYDUUPYEUURLYQXAU
      UBYDUUPSUUCUUJXOAWFWAYQXBUUGYEUURSXAXBXCYPWHUUIXLBWFWAWIYQUUOXPUUQXRYQYNU
      UBUUOEFQUUJXEXOUPWJUUKYPUUQEFZXDYPYNUUGUUTQUUHXEXLUPWJVKUULWKYQUUSXFXSLYQ
      XEXOXLJRZIRUUSXFYQXEXOXLYNYQQWLUUIUUJWMYQUVADXEIXDDEFXLEFUVADSYPXDDYSVCYP
      XLUUHVCDXLWOTUNWNUHWPUNYQXMXFXSUUAXDYMYPYOWQUUMWRPWSWT $.
  $}

  ${
    $d A k $.  $d N k $.
    $( Represent the falling factorial via factorials when the first argument
       is a natural.  (Contributed by Scott Fenton, 20-Mar-2018.) $)
    fallfacval4 $p |- ( N e. ( 0 ... A ) ->
      ( A FallFac N ) = ( ( ! ` A ) / ( ! ` ( A - N ) ) ) ) $=
      ( vk cc0 cfz co wcel c1 cmin cprod cdiv cfa cfv fzfid zcnd adantl cn wceq
      wbr syl cv cfallfac caddc cmul cc elfzelz fprodcl wa elfznn nncnd fprodn0
      nnne0d divcan3d clt cin fznn0sub nn0red ltp1d fzdisj cuz cun nn0p1nn nnuz
      c0 cn0 eleqtrdi nn0zd elfzel2 elfzle1 zred subge02d mpbid eluz2 syl3anbrc
      cle fzsplit2 syl2anc fprodsplit oveq1d 1cnd prodeq1d 3eqtr4rd fallfacval3
      cz subsubd elfz3nn0 fprodfac oveq12d 3eqtr4d ) BDAEFGZABHIFIFZAEFZCUAZCJZ
      HAEFZWMCJZHABIFZEFZWMCJZKFZABUBFALMZWQLMZKFWJWSWQHUCFZAEFZWMCJZUDFZWSKFXE
      WTWNWJXEWSWJXDWMCWJXCANWMXDGZWMUEGZWJXGWMWMXCAUFOPUGWJWRWMCWJHWQNZWJWMWRG
      ZUHZWMXJWMQGWJWMWQUIPZUJZUGWJWRWMCXIXMXKWMXLULUKUMWJWPXFWSKWJWRXDWMWOCWJW
      QXCUNSWRXDUOVDRWJWQWJWQBDAUPZUQURHWQXCAUSTWJXCHUTMZGAWQUTMGZWOWRXDVARWJXC
      QXOWJWQVEGZXCQGXNWQVBTVCVFWJWQWDGAWDGWQAVOSZXPWJWQXNVGBDAVHZWJDBVOSXRBDAV
      IWJABWJAXSVJWJBBDAUFZVJVKVLWQAVMVNWQHAVPVQWJHANWMWOGZXHWJYAWMWMAUIUJPVRVS
      WJWLXDWMCWJWKXCAEWJABHWJAXSOWJBXTOWJVTWEVSWAWBACBWCWJXAWPXBWSKWJAVEGXAWPR
      BAWFACWGTWJXQXBWSRXNWQCWGTWHWI $.
  $}

  $( Binomial coefficient in terms of falling factorials.  (Contributed by
     Scott Fenton, 20-Mar-2018.) $)
  bcfallfac $p |- ( K e. ( 0 ... N ) ->
    ( N _C K ) = ( ( N FallFac K ) / ( ! ` K ) ) ) $=
    ( cc0 cfz co wcel cfa cfv cmin cdiv cmul cfallfac cbc elfz3nn0 faccld nncnd
    fznn0sub elfznn0 nnne0d divdiv1d fallfacval4 oveq1d bcval2 3eqtr4rd ) ACBDE
    FZBGHZBAIEZGHZJEZAGHZJEUFUHUJKEJEBALEZUJJEBAMEUEUFUHUJUEUFUEBABNOPUEUHUEUGA
    CBQOZPUEUJUEAABROZPUEUHULSUEUJUMSTUEUKUIUJJBAUAUBABUCUD $.

  $( Relate falling factorial to factorial.  (Contributed by Scott Fenton,
     5-Jan-2018.) $)
  fallfacfac $p |- ( N e. NN0 -> ( N FallFac N ) = ( ! ` N ) ) $=
    ( cn0 wcel cfallfac co cfa cfv cmin cdiv c1 cc0 cfz wceq nn0fz0 fallfacval4
    sylbi nn0cn subidd fveq2d fac0 eqtrdi oveq2d faccl nncnd div1d 3eqtrd ) ABC
    ZAADEZAFGZAAHEZFGZIEZUIJIEUIUGAKALECUHULMANAAOPUGUKJUIIUGUKKFGJUGUJKFUGAAQR
    STUAUBUGUIUGUIAUCUDUEUF $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Bernoulli polynomials and sums of k-th powers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c BernPoly $.

  $( Declare the constant for the Bernoulli polynomial operator. $)
  cbp $a class BernPoly $.

  ${
    $d g k m n x $.
    $( Define the Bernoulli polynomials.  Here we use well-founded recursion to
       define the Bernoulli polynomials.  This agrees with most textbook
       definitions, although explicit formulas do exist.  (Contributed by Scott
       Fenton, 22-May-2014.) $)
    df-bpoly $a |- BernPoly =
       ( m e. NN0 , x e. CC |->
         ( wrecs ( < , NN0 , ( g e. _V |-> [_ ( # ` dom g ) / n ]_
            ( ( x ^ n ) - sum_ k e. dom g ( ( n _C k ) x.
              ( ( g ` k ) / ( ( n - k )
              + 1 ) ) ) ) ) ) ` m ) ) $.
  $}

  ${
    $d g k m n x F $.  $d g k m n x N $.  $d c g k m n x X $.
    ${
      bpoly.1 $e |- G = ( g e. _V |-> [_ ( # ` dom g ) / n ]_
         ( ( X ^ n ) - sum_ k e. dom g ( ( n _C k ) x.
           ( ( g ` k ) / ( ( n - k ) + 1 ) ) ) ) ) $.
      bpoly.2 $e |- F = wrecs ( < , NN0 , G ) $.
      $( Lemma for ~ bpolyval .  (Contributed by Scott Fenton, 22-May-2014.)
         (Revised by Mario Carneiro, 23-Aug-2014.) $)
      bpolylem $p |- ( ( N e. NN0 /\ X e. CC ) ->
         ( N BernPoly X ) = ( ( X ^ N ) -
            sum_ k e. ( 0 ... ( N - 1 ) ) ( ( N _C k ) x.
              ( ( k BernPoly X ) / ( ( N - k ) + 1 ) ) ) ) ) $=
        ( cn0 wcel co cfv clt c1 cmin cdiv cmul cvv wceq vm vx cc wa cpred cres
        cbp cexp cc0 cfz cbc caddc csu cdm chash csb cmpt cwrecs oveq1 csbeq2dv
        cv oveq1d mpteq2dv eqtr4di wrecseq3 syl fveq1d fveq2 sylan9eqr df-bpoly
        fvex ovmpoa wwe cuz ltweuz wb nn0uz weeq2 ax-mp mpbir nn0ex exse adantr
        wse wfr2 prednn0 reseq2d fveq2d wfun wfrfun ovex resfunexg dmeq wfn wss
        mp2an wfr1 fz0ssnn0 fndmi eqtrdi fveq1 fvres sylan9eq oveq2d sumeq12rdv
        fnssres csbeq1d eqtrd csbex fvmpt nfcvd oveq2 oveq12d sumeq2sdv csbiegf
        cen wbr cz nn0z fz01en cfn fzfi hashen sylibr hashfz1 elfznn0 simpr weq
        syl2anr sumeq2dv 3eqtr4d eqtrid 3eqtrd ) FJKZGUCKZUDZFGUGLFDMZDJNFUEZUF
        ZEMZGFUHLZUIFOPLZUJLZFBVAZUKLZUUDGUGLZFUUDPLZOULLZQLZRLZBUMZPLZUAUBFGJU
        CUAVAZJNASCAVAZUNZUOMZUBVAZCVAZUHLZUUOUURUUDUKLZUUDUUNMZUURUUDPLZOULLZQ
        LZRLZBUMZPLZUPZUQZURZMZYQUGUUQGTZUUMFTUVKUUMDMZYQUVLUUMUVJDUVLUVJJNEURZ
        DUVLUVIETUVJUVNTUVLUVIASCUUPGUURUHLZUVFPLZUPZUQEUVLASUVHUVQUVLCUUPUVGUV
        PUVLUUSUVOUVFPUUQGUURUHUSVBUTVCHVDJNUVIEVEVFIVDVGZUUMFDVHVIUBABUACVJZFD
        VKVLYNYQYTTYOJNDEFJNVMZUIVNMZNVMZUIVOJUWATUVTUWBVPVQJUWANVRVSVTZJSKJNWD
        WAJNSWBVSZIWEWCYPYTDUUCUFZEMZUULYPYSUWEEYPYRUUCDYNYRUUCTYOFWFWCWGWHYPUW
        FCUUCUOMZUVOUUCUUTUUDDMZUVCQLZRLZBUMZPLZUPZUULUWESKZUWFUWMTDWIUUCSKUWNJ
        NDEUWCUWDIWJUIUUBUJWKDUUCSWLWPAUWEUVQUWMSEUUNUWETZUVQCUUPUWLUPUWMUWOCUU
        PUVPUWLUWOUVFUWKUVOPUWOUUOUUCUVEUWJBUWOUUOUWEUNUUCUUNUWEWMUUCUWEDJWNUUC
        JWOUWEUUCWNJNDEUWCUWDIWQUUBWRJUUCDXFWPWSWTZUWOUUDUUCKZUDZUVDUWIUUTRUWRU
        VAUWHUVCQUWOUWQUVAUUDUWEMUWHUUDUUNUWEXAUUDUUCDXBXCVBXDXEXDUTUWOCUUPUWGU
        WLUWOUUOUUCUOUWPWHXGXHHCUWGUWLUVOUWKPWKXIXJVSYPCFUWLUPZUUAUUCUUEUWHUUHQ
        LZRLZBUMZPLZUWMUULYNUWSUXCTYOCFUWLUXCJYNCUXCXKUURFTZUVOUUAUWKUXBPUURFGU
        HXLUXDUUCUWJUXABUXDUUTUUEUWIUWTRUURFUUDUKUSUXDUVCUUHUWHQUXDUVBUUGOULUUR
        FUUDPUSVBXDXMXNXMXOWCYPCUWGFUWLYNUWGFTYOYNUWGOFUJLZUOMZFYNUUCUXEXPXQZUW
        GUXFTZYNFXRKUXGFXSFXTVFUUCYAKUXEYAKUXHUXGVPUIUUBYBOFYBUUCUXEYCWPYDFYEXH
        WCXGYPUUKUXBUUAPYPUUCUUJUXABYPUWQUDZUUIUWTUUERUXIUUFUWHUUHQUWQUUDJKYOUU
        FUWHTYPUUDUUBYFYNYOYGUAUBUUDGJUCUVKUWHUGUVLUABYHUVKUVMUWHUVRUUMUUDDVHVI
        UVSUUDDVKVLYIVBXDYJXDYKYLXHYM $.
    $}

    $( The value of the Bernoulli polynomials.  (Contributed by Scott Fenton,
       16-May-2014.) $)
    bpolyval $p |- ( ( N e. NN0 /\ X e. CC ) ->
       ( N BernPoly X ) = ( ( X ^ N ) -
          sum_ k e. ( 0 ... ( N - 1 ) ) ( ( N _C k ) x.
            ( ( k BernPoly X ) / ( ( N - k ) + 1 ) ) ) ) ) $=
      ( vg vn vc vm cv chash cfv cexp co cbc cmin caddc cdiv cmul csu oveq12d
      c1 cn0 clt cvv cdm cmpt cwrecs csb fvex wceq oveq2 oveq1 oveq1d sumeq2sdv
      weq oveq2d csbie fveq2 cbvsumv dmeq wcel adantr sumeq12dv eqtrid csbeq2dv
      fveq1 eqtr3id fveq2d csbeq1d eqtrd cbvmptv eqid bpolylem ) DAEUAUBFUCCFHZ
      UDZIJZKLZVNVOGHZMLZVQVMJZVOVQNLZTOLZPLZQLZGRZNLZUEZUFZWFBCFDUCWEEDHZUDZIJ
      ZCEHZKLZWIWKAHZMLZWMWHJZWKWMNLZTOLZPLZQLZARZNLZUGZFDUNZWEEVOXAUGZXBXCWEEV
      OWLVNWKVQMLZVSWKVQNLZTOLZPLZQLZGRZNLZUGXDEVOXKWEVNIUHWKVOUIZWLVPXJWDNWKVO
      CKUJXLVNXIWCGXLXEVRXHWBQWKVOVQMUKXLXGWAVSPXLXFVTTOWKVOVQNUKULUOSUMSUPXCEV
      OXKXAXCXJWTWLNXCXJVNWNWMVMJZWQPLZQLZARWTVNXIXOGAGAUNZXEWNXHXNQVQWMWKMUJXP
      VSXMXGWQPVQWMVMUQXPXFWPTOVQWMWKNUJULSSURXCVNWIXOWSAVMWHUSZXCXOWSUIWMVNUTX
      CXNWRWNQXCXMWOWQPWMVMWHVEULUOVAVBVCUOVDVFXCEVOWJXAXCVNWIIXQVGVHVIVJWGVKVL
      $.
  $}

  ${
    $d X k $.
    $( The value of the Bernoulli polynomials at zero.  (Contributed by Scott
       Fenton, 16-May-2014.) $)
    bpoly0 $p |- ( X e. CC -> ( 0 BernPoly X ) = 1 ) $=
      ( vk cc wcel cc0 cbp co cexp c1 cmin cfz cv cbc caddc cdiv cmul csu eqtri
      cn0 c0 wceq 0nn0 bpolyval mpan exp0 oveq1d risefall0lem sum0 oveq2i 1m0e1
      sumeq1i eqtrdi eqtrd ) ACDZEAFGZAEHGZEEIJGKGZEBLZMGURAFGEURJGINGOGPGZBQZJ
      GZIESDUNUOVAUAUBBEAUCUDUNVAIUTJGZIUNUPIUTJAUEUFVBIEJGIUTEIJUTTUSBQEUQTUSB
      UGUKUSBUHRUIUJRULUM $.
  $}

  ${
    $d X k $.
    $( The value of the Bernoulli polynomials at one.  (Contributed by Scott
       Fenton, 16-May-2014.) $)
    bpoly1 $p |- ( X e. CC -> ( 1 BernPoly X ) = ( X - ( 1 / 2 ) ) ) $=
      ( vk cc wcel c1 cbp cc0 cmin cfz cbc caddc cdiv cmul csu wceq 1nn0 eqtrdi
      co c2 oveq12d cexp cv cn0 bpolyval mpan 1m1e0 oveq2i sumeq1i cz 0z bpoly0
      exp1 oveq1d oveq2d halfcn mulid2i eqeltrdi oveq2 bcn0 ax-mp oveq1 eqtr4di
      1m0e1 df-2 fsum1 sylancr eqtrd eqtrid ) ACDZEAFRZAEUARZGEEHRZIRZEBUBZJRZV
      NAFRZEVNHRZEKRZLRZMRZBNZHRZAESLRZHREUCDZVIVJWBOPBEAUDUEVIVKAWAWCHAULVIWAG
      GIRZVTBNZWCVMWEVTBVLGGIUFUGUHVIWFEGAFRZSLRZMRZWCVIGUIDWICDWFWIOUJVIWIWCCV
      IWIEWCMRWCVIWHWCEMVIWGESLAUKUMUNWCUOUPQZUOUQVTWIBGVNGOZVOEVSWHMWKVOEGJRZE
      VNGEJURWDWLEOPEUSUTQWKVPWGVRSLVNGAFVAWKVREEKRSWKVQEEKWKVQEGHREVNGEHURVCQU
      MVDVBTTVEVFWJVGVHTVG $.
  $}

  ${
    $d N n $.  $d X k m n $.
    $( Closure law for Bernoulli polynomials.  (Contributed by Scott Fenton,
       16-May-2014.)  (Proof shortened by Mario Carneiro, 22-May-2014.) $)
    bpolycl $p |- ( ( N e. NN0 /\ X e. CC ) -> ( N BernPoly X ) e. CC ) $=
      ( vn vk vm cn0 wcel cc cbp co cv wi wceq oveq1 eleq1d imbi2d cc0 cmin cfz
      c1 wral r19.21v w3a cexp cbc caddc cdiv cmul bpolyval 3adant3 simp2 simp1
      expcld fzfid wa cz elfzelz bccl syl2an nn0cnd rspccva 3ad2antl3 cn fzssp1
      ax-1cn npcan sylancl oveq2d sseqtrid sselda fznn0sub nn0p1nn nncnd nnne0d
      csu 3syl divcld mulcld fsumcl subcld eqeltrd 3exp a2d syl5bi nn0sinds imp
      ) AFGBHGZABIJZHGZWGCKZBIJZHGZLZWGDKZBIJZHGZLZWGWILCDAWJWNMZWLWPWGWRWKWOHW
      JWNBINOPWJAMZWLWIWGWSWKWHHWJABINOPWQDQWJTRJZSJZUAWGWPDXAUAZLWJFGZWMWGWPDX
      AUBXCWGXBWLXCWGXBWLXCWGXBUCZWKBWJUDJZXAWJEKZUEJZXFBIJZWJXFRJZTUFJZUGJZUHJ
      ZEVOZRJZHXCWGWKXNMXBEWJBUIUJXDXEXMXDBWJXCWGXBUKXCWGXBULZUMXDXAXLEXDQWTUNX
      DXFXAGZUOZXGXKXQXGXDXCXFUPGXGFGXPXOXFQWTUQXFWJURUSUTXQXHXJXBXCXPXHHGZWGWP
      XRDXFXAWNXFMWOXHHWNXFBINOVAVBXQXJXQXFQWJSJZGXIFGXJVCGXDXAXSXFXDQWTTUFJZSJ
      XAXSQWTVDXDXTWJQSXDWJHGTHGXTWJMXDWJXOUTVEWJTVFVGVHVIVJXFQWJVKXIVLVPZVMXQX
      JYAVNVQVRVSVTWAWBWCWDWEWF $.
  $}

  ${
    $d N k $.  $d X k $.
    $( A sum for Bernoulli polynomials.  (Contributed by Scott Fenton,
       16-May-2014.)  (Proof shortened by Mario Carneiro, 22-May-2014.) $)
    bpolysum $p |- ( ( N e. NN0 /\ X e. CC ) ->
      sum_ k e. ( 0 ... N ) ( ( N _C k ) x. ( ( k BernPoly X ) / ( ( N - k ) +
        1 ) ) ) = ( X ^ N ) ) $=
      ( cn0 wcel cc wa cc0 cfz co cbc cbp cmin c1 cdiv cmul wceq oveq12d oveq2d
      caddc cv csu cexp cuz cfv simpl nn0uz eleqtrdi elfzelz bccl syl2an nn0cnd
      cz elfznn0 simpr bpolycl syl2anr fznn0sub adantl nn0p1nn syl nncnd nnne0d
      cn divcld mulcld oveq2 oveq1 oveq1d fsumm1 bcnn adantr nn0cn subidd 0p1e1
      eqtrdi div1d eqtrd bpolyval eqcomd expcl ancoms fzfid fzssp1 ax-1cn npcan
      mulid2d sylancl sseqtrid sselda syldan fsumcl subaddd mpbid 3eqtrd ) BDEZ
      CFEZGZHBIJZBAUAZKJZWTCLJZBWTMJZNTJZOJZPJZAUBHBNMJZIJZXFAUBZBBKJZBCLJZBBMJ
      ZNTJZOJZPJZTJXIXKTJZCBUCJZWRXFXOAHBWRBDHUDUEWPWQUFZUGUHWRWTWSEZGZXAXEXTXA
      WRWPWTUMEXADEXSXRWTHBUIWTBUJUKULXTXBXDXSWTDEWQXBFEWRWTBUNWPWQUOWTCUPUQXTX
      DXTXCDEZXDVDEXSYAWRWTHBURUSXCUTVAZVBXTXDYBVCVEVFZWTBQZXAXJXEXNPWTBBKVGYDX
      BXKXDXMOWTBCLVHYDXCXLNTWTBBMVGVIRRVJWRXOXKXITWRXONXKPJXKWRXJNXNXKPWPXJNQW
      QBVKVLWRXNXKNOJXKWRXMNXKOWRXMHNTJNWRXLHNTWRBWPBFEZWQBVMVLZVNVIVOVPSWRXKBC
      UPZVQVRRWRXKYGWGVRSWRXQXIMJZXKQXPXQQWRXKYHABCVSVTWRXQXIXKWQWPXQFECBWAWBWR
      XHXFAWRHXGWCWRWTXHEXSXFFEWRXHWSWTWRHXGNTJZIJXHWSHXGWDWRYIBHIWRYENFEYIBQYF
      WEBNWFWHSWIWJYCWKWLYGWMWNWO $.
  $}

  ${
    $d k m n N $.  $d k m ph $.  $d k m n X $.
    ${
      bpolydiflem.1 $e |- ( ph -> N e. NN ) $.
      bpolydiflem.2 $e |- ( ph -> X e. CC ) $.
      bpolydiflem.3 $e |- ( ( ph /\ k e. ( 1 ... ( N - 1 ) ) ) ->
                            ( ( k BernPoly ( X + 1 ) ) - ( k BernPoly X ) ) =
                              ( k x. ( X ^ ( k - 1 ) ) ) ) $.
      $( Lemma for ~ bpolydif .  (Contributed by Scott Fenton, 12-Jun-2014.) $)
      bpolydiflem $p |- ( ph ->
                          ( ( N BernPoly ( X + 1 ) ) - ( N BernPoly X ) ) =
                            ( N x. ( X ^ ( N - 1 ) ) ) ) $=
        ( vm c1 caddc co cmin cc0 cfz cdiv cmul wcel cc wceq oveq12d cbp cv cbc
        csu cn0 nnnn0d peano2cn syl bpolyval syl2anc expcld fzfid wa cz elfzelz
        cexp syl2an nn0cnd elfznn0 bpolycl syl2anr cn fzssp1 nncnd ax-1cn npcan
        bccl sylancl oveq2d sseqtrid sselda nn0p1nn nnne0d divcld mulcld fsumcl
        fznn0sub sub4d c2 bccl2 adantl expcl syldan addcom oveq1d binom1p eqtrd
        cuz cfv nn0uz eleqtrdi fsumm1 bcnn mulid2d 3eqtrd mvrraddd nnm1nn0 1cnd
        oveq2 subsub4d df-2 oveq2i eqtr4di sumeq1d bcnm1 oveq1 fsum1p bpoly0 0z
        subid1d eqeltrd peano2nnd nnrecred recnd wss fzp1ss ax-mp sseli pnpcand
        sylan2 1zzd 0zd nnzd 2z zsubcl 2cnd subsubd 2m1e1 fsumshft 0p1e1 oveq1i
        eqtr3di eleq2i bcm1k adantr elfznn sylbir wne 3eqtr3d mulassd divcan6d
        divsubdird div23d subdid sylan2b sumeq2dv fsumsub 3eqtr2rd pncan2d
        nn0zd ) ACDIJKZUAKZCDUAKZLKUUKCUPKZMCILKZNKZCBUBZUCKZUUQUUKUAKZCUUQLKZI
        JKZOKZPKZBUDZLKZDCUPKZUUPUURUUQDUAKZUVAOKZPKZBUDZLKZLKUUNUVFLKZUVDUVJLK
        ZLKZCDUUOUPKZPKZAUULUVEUUMUVKLACUEQZUUKRQZUULUVESACEUFZADRQZUVRFDUGUHZB
        CUUKUIUJAUVQUVTUUMUVKSUVSFBCDUIUJTAUUNUVDUVFUVJAUUKCUWAUVSUKAUUPUVCBAMU
        UOULZAUUQUUPQZUMZUURUVBUWDUURAUVQUUQUNQUURUEQUWCUVSUUQMUUOUOUUQCVGUQURZ
        UWDUUSUVAUWCUUQUEQZUVRUUSRQZAUUQUUOUSZUWAUUQUUKUTVAZUWDUVAUWDUUTUEQZUVA
        VBQUWDUUQMCNKZQUWJAUUPUWKUUQAMUUOIJKZNKUUPUWKMUUOVCAUWLCMNACRQIRQZUWLCS
        ACEVDZVECIVFVHZVIVJZVKUUQMCVQUHUUTVLUHZVDZUWDUVAUWQVMZVNVOZVPADCFUVSUKZ
        AUUPUVIBUWBUWDUURUVHUWEUWDUVGUVAUWCUWFUVTUVGRQZAUWHFUUQDUTVAZUWRUWSVNVO
        ZVPVRAUVNMCVSLKZNKZCHUBZUCKZDUXGUPKZPKZHUDZUVPJKZUXKLKUVPAUVLUXLUVMUXKL
        AUVLUUPUXJHUDZMUUOILKZNKZUXJHUDZCUUOUCKZUVOPKZJKUXLAUUNUXMUVFAUUPUXJHUW
        BAUXGUUPQZUXGUWKQZUXJRQZAUUPUWKUXGUWPVKAUXTUMZUXHUXIUYBUXHUXTUXHVBQAUXG
        CVTWAVDAUVTUXGUEQUXIRQUXTFUXGCUSDUXGWBUQVOZWCZVPUXAAUUNUWKUXJHUDZUXMCCU
        CKZUVFPKZJKUXMUVFJKAUUNIDJKZCUPKZUYEAUUKUYHCUPAUVTUWMUUKUYHSFVEDIWDVHWE
        AUVTUVQUYIUYESFUVSDHCWFUJWGAUXJUYGHMCACUEMWHWIZUVSWJWKUYCUXGCSUXHUYFUXI
        UVFPUXGCCUCWSUXGCDUPWSTWLAUYGUVFUXMJAUYGIUVFPKUVFAUYFIUVFPAUVQUYFISUVSC
        WMUHWEAUVFUXAWNWGVIWOWPAUXJUXRHMUUOAUUOUEUYJACVBQZUUOUEQECWQUHZWJWKZUYD
        UXGUUOSUXHUXQUXIUVOPUXGUUOCUCWSUXGUUODUPWSTWLAUXPUXKUXRUVPJAUXOUXFUXJHA
        UXNUXEMNAUXNCIIJKZLKUXEACIIUWNAWRZUYOWTVSUYNCLXAXBXCVIXDAUXQCUVOPAUVQUX
        QCSUVSCXEUHWETWOAUVMCMUCKZICMLKZIJKZOKZPKZMIJKZUUONKZUVCBUDZJKZUYTVUBUV
        IBUDZJKZLKVUCVUELKZUXKAUVDVUDUVJVUFLAUVDUYPMUUKUAKZUYROKZPKZVUCJKVUDAUV
        CVUJBMUUOUYMUWTUUQMSZUURUYPUVBVUIPUUQMCUCWSZVUKUUSVUHUVAUYROUUQMUUKUAXF
        VUKUUTUYQIJUUQMCLWSWEZTTXGAVUJUYTVUCJAVUIUYSUYPPAVUHIUYROAUVRVUHISUWAUU
        KXHUHWEVIWEWGAUVJUYPMDUAKZUYROKZPKZVUEJKVUFAUVIVUPBMUUOUYMUXDVUKUURUYPU
        VHVUOPVULVUKUVGVUNUVAUYROUUQMDUAXFVUMTTXGAVUPUYTVUEJAVUOUYSUYPPAVUNIUYR
        OAUVTVUNISFDXHUHWEVIWEWGTAUYTVUCVUEAUYPUYSAUYPAUVQMUNQZUYPUEQUVSXIMCVGV
        HURAUYSAUYRAUYQAUYQCVBACUWNXJEXKXLXMXNVOAVUBUVCBAVUAUUOULZUUQVUBQZAUWCU
        VCRQVUBUUPUUQVUQVUBUUPXOXIMUUOXPXQXRZUWTXTZVPAVUBUVIBVURVUSAUWCUVIRQVUT
        UXDXTZVPXSAUXKVUBCUUQILKZUCKZDVVCUPKZPKZBUDZVUBUVCUVILKZBUDVUGAUXKVUAUX
        EIJKZNKZVVFBUDVVGAUXJVVFHBIMUXEAYAAYBACUNQVSUNQUXEUNQACEYCYDCVSYEVHAUXG
        UXFQUXSUYAAUXFUUPUXGAMVVINKUXFUUPMUXEVCAVVIUUOMNACVSILKZLKVVIUUOACVSIUW
        NAYFUYOYGVVKICLYHXBYLZVIVJVKUYDWCZUXGVVCSUXHVVDUXIVVEPUXGVVCCUCWSUXGVVC
        DUPWSTYIAVVJVUBVVFBAVVIUUOVUANVVLVIXDWGAVUBVVHVVFBVUSAUUQIUUONKZQZVVHVV
        FSVUBVVNUUQVUAIUUONYJYKYMZAVVOUMZUURUVBUVHLKZPKVVDUVAUUQOKZPKZUUQUVAOKZ
        VVEPKZPKZVVHVVFVVQUURVVTVVRVWBPVVQUURVVDCVVCLKZUUQOKZPKZVVTVVQUUQICNKZQ
        UURVWFSAVVNVWGUUQAIUWLNKVVNVWGIUUOVCAUWLCINUWOVIVJVKUUQCYNUHVVQVWEVVSVV
        DPVVQVWDUVAUUQOVVQCUUQIVVQCAUYKVVOEYOZVDVVQUUQVVOUUQVBQZAUUQUUOYPWAZVDZ
        VVQWRYGWEVIWGVVQUUSUVGLKZUVAOKUUQVVEPKZUVAOKVVRVWBVVQVWLVWMUVAOGWEVVQUU
        SUVGUVAVVOAUWCUWGVVOVUSUWCVVPVUTYQZUWIXTZVVOAUWCUXBVWNUXCXTZVVOAUWCUVAR
        QVWNUWRXTZVVOAUWCUVAMYRVWNUWSXTZUUBVVQUUQVVEUVAVWKVVQDVVCAUVTVVOFYOVVQV
        WIVVCUEQVWJUUQWQUHZUKZVWQVWRUUCYSTVVQUURUVBUVHVVOAUWCUURRQVWNUWEXTVVQUU
        SUVAVWOVWQVWRVNVVQUVGUVAVWPVWQVWRVNUUDVVQVWCVVDVVSVWBPKZPKVVFVVQVVDVVSV
        WBVVQVVDVVQUVQVVCUNQVVDUEQVVQCVWHUFVVQVVCVWSUUJVVCCVGUJURVVQUVAUUQVWQVW
        KVVQUUQVWJVMZVNZVVQVWAVVEVVQUUQUVAVWKVWQVWRVNZVWTVOYTVVQVXAVVEVVDPVVQVV
        SVWAPKZVVEPKIVVEPKVXAVVEVVQVXEIVVEPVVQUVAUUQVWQVWKVWRVXBUUAWEVVQVVSVWAV
        VEVXCVXDVWTYTVVQVVEVWTWNYSVIWGYSUUEUUFAVUBUVCUVIBVURVVAVVBUUGUUHWOTAUXK
        UVPAUXFUXJHAMUXEULVVMVPACUVOUWNADUUOFUYLUKVOUUIWGWO $.
    $}

    $( Calculate the difference between successive values of the Bernoulli
       polynomials.  (Contributed by Scott Fenton, 16-May-2014.)  (Proof
       shortened by Mario Carneiro, 26-May-2014.) $)
    bpolydif $p |- ( ( N e. NN /\ X e. CC ) ->
       ( ( N BernPoly ( X + 1 ) ) - ( N BernPoly X ) ) =
       ( N x. ( X ^ ( N - 1 ) ) ) ) $=
      ( vn vk wcel c1 co cbp cmin cexp cmul wceq cv wi oveq1 oveq12d id eqeq12d
      oveq2d imbi2d vm cn cc caddc cfz wral w3a simp1 simp3 wa simpl3 3ad2antl2
      rspccva mpd bpolydiflem 3exp nnsinds imp ) AUBEBUCEZABFUDGZHGZABHGZIGZABA
      FIGZJGZKGZLZUSCMZUTHGZVHBHGZIGZVHBVHFIGZJGZKGZLZNUSDMZUTHGZVPBHGZIGZVPBVP
      FIGZJGZKGZLZNZUSVGNCDAVHVPLZVOWCUSWEVKVSVNWBWEVIVQVJVRIVHVPUTHOVHVPBHOPWE
      VHVPVMWAKWEQWEVLVTBJVHVPFIOSPRTVHALZVOVGUSWFVKVCVNVFWFVIVAVJVBIVHAUTHOVHA
      BHOPWFVHAVMVEKWFQWFVLVDBJVHAFIOSPRTVHUBEZWDDFVLUEGZUFZUSVOWGWIUSUGZUAVHBW
      GWIUSUHWGWIUSUIWJUAMZWHEZUJUSWKUTHGZWKBHGZIGZWKBWKFIGZJGZKGZLZWGWIUSWLUKW
      IWGWLUSWSNZUSWDWTDWKWHVPWKLZWCWSUSXAVSWOWBWRXAVQWMVRWNIVPWKUTHOVPWKBHOPXA
      VPWKWAWQKXAQXAVTWPBJVPWKFIOSPRTUMULUNUOUPUQUR $.
  $}

  ${
    $d K k n $.  $d M k n $.
    $( A closed-form expression for the sum of ` K ` -th powers.  (Contributed
       by Scott Fenton, 16-May-2014.)  This is Metamath 100 proof #77.
       (Revised by Mario Carneiro, 16-Jun-2014.) $)
    fsumkthpow $p |- ( ( K e. NN0 /\ M e. NN0 ) ->
       sum_ n e. ( 0 ... M ) ( n ^ K ) =
       ( ( ( ( K + 1 ) BernPoly ( M + 1 ) ) - ( ( K + 1 ) BernPoly 0 ) ) /
         ( K + 1 ) ) ) $=
      ( vk cn0 wcel wa c1 caddc co cc0 cfz cexp csu cbp cmin cmul oveq2 adantl
      cc cv nn0p1nn adantr nncnd fzfid elfzelz zcnd simpl syl2anr fsumcl nnne0d
      expcl fsummulc2 wceq bpolydif syl2an nn0cn ad2antrr ax-1cn sylancl oveq2d
      cn pncan eqtrd sumeq2dv cz nn0z cuz cfv peano2nn0 eleqtrdi elfznn0 nn0cnd
      nn0uz bpolycl syl2anc telfsum2 3eqtr2d mvllmuld ) BEFZCEFZGZBHIJZKCLJZAUA
      ZBMJZANZWCCHIJZOJZWCKOJZPJZWBWCVTWCVBFZWABUBUCZUDZWBWDWFAWBKCUEZWEWDFZWET
      FZVTWFTFWBWPWEWEKCUFUGZVTWAUHWEBULUIZUJWBWCWMUKWBWCWGQJWDWCWFQJZANWDWCWEH
      IJZOJZWCWEOJZPJZANWKWBWDWFWCAWOWNWSUMWBWDXDWTAWBWPGZXDWCWEWCHPJZMJZQJZWTW
      BWLWQXDXHUNWPWMWRWCWEUOUPXEXGWFWCQXEXFBWEMXEBTFZHTFXFBUNVTXIWAWPBUQURUSBH
      VCUTVAVAVDVEWBWCDUAZOJZXCXBWJADWIKCXJWEWCORXJXAWCORXJKWCORXJWHWCORWACVFFV
      TCVGSWBWHEKVHVIWAWHEFVTCVJSVNVKWBXJKWHLJFZGZWCEFZXJTFXKTFVTXNWAXLBVJURXMX
      JXLXJEFWBXJWHVLSVMWCXJVOVPVQVRVS $.
  $}

  ${
    $d X k $.
    $( The Bernoulli polynomials at two.  (Contributed by Scott Fenton,
       8-Jul-2015.) $)
    bpoly2 $p |- ( X e. CC ->
       ( 2 BernPoly X ) =
       ( ( ( X ^ 2 ) - X ) + ( 1 / 6 ) ) ) $=
      ( vk cc wcel c2 cbp co cc0 c1 cmin cfz cbc caddc cdiv cmul wceq c3 eqtrdi
      oveq2 oveq12d cexp cv csu c6 2nn0 bpolyval mpan 2m1e1 0p1e1 eqtr4i oveq2i
      cn0 sumeq1i cneg cuz cfv 0nn0 nn0uz eleqtri a1i wo cpr cz 0z ax-mp eleq2i
      fzpr vex elpr bitri wa bcn0 oveq1 oveq1d 2cn subid1i oveq1i bpoly0 oveq2d
      df-3 3cn 3ne0 reccli mulid2i sylan9eqr eqeltrdi eqeq2i ax-1cn npcan mp2an
      bcn1 sylbi bpoly1 halfcn subcl mpan2 wne divcan2 mp3an23 syl eqtrd adantr
      eqeltrd jaodan sylan2b fsump1 fsum1 sylancr addsub12 negsubdi2i halfthird
      2ne0 mp3an13 negeqi eqtr3i 6pos gt0ne0ii negsub 3eqtrd eqtrid sqcl subsub
      6cn 6re mp3an3 mpancom ) ACDZEAFGZAEUAGZHEIJGZKGZEBUBZLGZYLAFGZEYLJGZIMGZ
      NGZOGZBUCZJGZYIAIUDNGZJGZJGZYIAJGUUAMGZEULDZYGYHYTPUEBEAUFUGYGYSUUBYIJYGY
      SHHIMGZKGZYRBUCZUUBYKUUGYRBYJUUFHKYJIUUFUHUIUJUKUMYGUUHIQNGZAIENGZJGZMGZA
      UUAUNZMGZUUBYGUUHHHKGYRBUCZEIAFGZENGZOGZMGUULYGYRUURBHHHHUOUPZDYGHULUUSUQ
      URUSUTYLUUGDZYGYLHPZYLUUFPZVAZYRCDZUUTYLHUUFVBZDUVCUUGUVEYLHVCDZUUGUVEPVD
      HVGVEVFYLHUUFBVHVIVJYGUVAUVDUVBYGUVAVKYRUUICUVAYGYRIHAFGZQNGZOGZUUIUVAYMI
      YQUVHOUVAYMEHLGZIYLHELSUUEUVJIPUEEVLVERUVAYNUVGYPQNYLHAFVMUVAYPEHJGZIMGZQ
      UVAYOUVKIMYLHEJSVNUVLEIMGQUVKEIMEVOVPVQVTUJRTTZYGUVIIUUIOGUUIYGUVHUUIIOYG
      UVGIQNAVRVNVSUUIQWAWBWCZWDRZWEUVNWFYGUVBVKYRUUKCUVBYGYRUURUUKUVBYLIPZYRUU
      RPUUFIYLUIWGUVPYMEYQUUQOUVPYMEILGZEYLIELSUUEUVQEPUEEWKVERUVPYNUUPYPENYLIA
      FVMUVPYPYJIMGZEUVPYOYJIMYLIEJSVNECDZICDUVREPVOWHEIWIWJRTTWLZYGUUREUUKENGZ
      OGZUUKYGUUQUWAEOYGUUPUUKENAWMVNVSYGUUKCDZUWBUUKPZYGUUJCDZUWCWNAUUJWOWPZUW
      CUVSEHWQUWDVOXLUUKEWRWSWTXAZWEYGUWCUVBUWFXBXCXDXEUVTXFYGUUOUUIUURUUKMYGUU
      OUVIUUIYGUVFUVICDUUOUVIPVDYGUVIUUICUVOUVNWFYRUVIBHUVMXGXHUVOXAUWGTXAYGUUL
      AUUIUUJJGZMGZUUNUUICDYGUWEUULUWIPUVNWNUUIAUUJXIXMUWHUUMAMUUJUUIJGZUNUWHUU
      MUUJUUIWNUVNXJUWJUUAXKXNXOUKRYGUUACDZUUNUUBPUDYCUDYDXPXQWCZAUUAXRWPXSXTVS
      YICDZYGUUCUUDPZAYAUWMYGUWKUWNUWLYIAUUAYBYEYFXS $.

    $( The Bernoulli polynomials at three.  (Contributed by Scott Fenton,
       8-Jul-2015.) $)
    bpoly3 $p |- ( X e. CC ->
       ( 3 BernPoly X ) =
       ( ( ( X ^ 3 ) - ( ( 3 / 2 ) x. ( X ^ 2 ) ) ) + ( ( 1 / 2 ) x. X ) ) ) $=
      ( vk cc wcel c3 cbp co cc0 c1 cmin caddc cdiv cmul wceq oveq2i oveq1d 3cn
      c2 c4 oveq12d cexp cfz cv cbc csu cn0 3nn0 bpolyval mpan 3m1e2 df-2 eqtri
      sumeq1i c6 cuz cfv 1eluzge0 a1i w3o ctp cpr csn cun cz ax-mp 0p1e1 preq2i
      0z fzpr 3eqtr3ri sneqi uneq12i df-tp fzsuc 3eqtr4ri eleq2i vex eltp bitri
      oveq2 bcn0 eqtrdi oveq1 subid1i oveq1i df-4 eqtr4i bpoly0 oveq2d 4cn 4ne0
      wa reccli mulid2i sylan9eqr eqeltrdi bcn1 ax-1cn npcan mp2an bpoly1 subcl
      halfcn mpan2 wne 3ne0 divcan2 mp3an23 syl eqtrd eqeltrd bcn2 2cn divcan4i
      adantr 2p1e3 subaddrii bpolycl 2cnne0 div12 mp3an13 divcli mulcom sylancl
      2ne0 2nn0 6cn subdi 3eqtr2d 3eqtrd mulcl sylancr eqeq2i fsump1 cneg 2t2e4
      sylan2b pm3.2i divcan5 mp3an bpoly2 sqcl 6re 6pos gt0ne0ii subsub mpancom
      mp3an3 mp3an2i subcld 3jaodan sylbir 0nn0 nn0uz eleqtri elpr jaodan sylbi
      wo fsum1 eqtr3id addcl addsub12d negsubdi2d addsub12 mulcli negsub mul12i
      negsubdi2i 3eqtr3i divmuldivi oveq12i divdiri negeqi eqtr3i subcli negcli
      3t2e6 2t1e2 subeq0i id subadd4d subdir mp3an12 divsubdir 2div2e1 3eqtr3rd
      mpbir mulid2 subid1d 3eqtr3a negeqd eqtr3d negsubd eqtrid expcl subsubd )
      ACDZEAFGZAEUAGZHEIJGZUBGZEBUCZUDGZUXCAFGZEUXCJGZIKGZLGZMGZBUEZJGZUWTERLGZ
      ARUAGZMGZIRLGZAMGZJGZJGUWTUXNJGUXPKGEUFDZUWRUWSUXKNUGBEAUHUIUWRUXJUXQUWTJ
      UWRUXJHIIKGZUBGZUXIBUEZUXQUXBUXTUXIBUXAUXSHUBUXARUXSUJUKULOUMUWRUYAHIUBGZ
      UXIBUEZERAFGZRLGZMGZKGUYCUXNUXLAIUNLGZJGZMGZJGZKGZUXQUWRUXIUYFBHIIHUOUPZD
      ZUWRUQURUXCUXTDZUWRUXCHNZUXCINZUXCRNZUSZUXICDZUYNUXCHIRUTZDUYRUXTUYTUXCHI
      VAZRVBZVCUYBUXSVBZVCZUYTUXTVUAUYBVUBVUCHHIKGZUBGZHVUEVAZUYBVUAHVDDZVUFVUG
      NVHHVIVEZVUEIHUBVFOZVUEIHVFVGZVJRUXSUKVKVLHIRVMUYMUXTVUDNUQHIVNVEVOVPUXCH
      IRBVQZVRVSUWRUYOUYSUYPUYQUWRUYOWLUXIISLGZCUYOUWRUXIIHAFGZSLGZMGZVUMUYOUXD
      IUXHVUOMUYOUXDEHUDGZIUXCHEUDVTUXRVUQINUGEWAVEWBUYOUXEVUNUXGSLUXCHAFWCUYOU
      XGEHJGZIKGZSUYOUXFVURIKUXCHEJVTPVUSEIKGSVUREIKEQWDWEWFWGWBTTZUWRVUPIVUMMG
      VUMUWRVUOVUMIMUWRVUNISLAWHPWIVUMSWJWKWMZWNWBZWOVVAWPZUWRUYPWLUXIAUXOJGZCU
      YPUWRUXIEIAFGZELGZMGZVVDUYPUXDEUXHVVFMUYPUXDEIUDGZEUXCIEUDVTUXRVVHENUGEWQ
      VEWBUYPUXEVVEUXGELUXCIAFWCUYPUXGUXAIKGZEUYPUXFUXAIKUXCIEJVTPECDZICDZVVIEN
      QWREIWSWTWBTTZUWRVVGEVVDELGZMGZVVDUWRVVFVVMEMUWRVVEVVDELAXAPWIUWRVVDCDZVV
      NVVDNZUWRUXOCDZVVOXCAUXOXBXDZVVOVVJEHXEZVVPQXFVVDEXGXHXIXJZWOUWRVVOUYPVVR
      XOXKZUWRUYQWLUXIUYJCUYQUWRUXIUYFUYJUYQUXDEUXHUYEMUYQUXDERUDGZEUXCREUDVTVW
      BEUXAMGZRLGZEUXRVWBVWDNUGEXLVEVWDERMGZRLGEVWCVWERLUXAREMUJOWEERQXMYEXNULU
      LWBUYQUXEUYDUXGRLUXCRAFWCUYQUXGERJGZIKGZRUYQUXFVWFIKUXCREJVTPVWGUXSRVWFII
      KERIQXMWRXPXQZWEUKWGWBTTZUWRUYFUYDUXLMGZUXLUYDMGZUYJUWRUYDCDZUYFVWJNZRUFD
      UWRVWLYFRAXRUIZVVJVWLRCDZRHXEWLZVWMQXSEUYDRXTYAXIUWRVWLUXLCDZVWJVWKNVWNER
      QXMYEYBZUYDUXLYCYDUWRVWKUXLUXMAJGUYGKGZMGUXLUXMUYHJGZMGZUYJUWRUYDVWSUXLMA
      UUAWIUWRVWTVWSUXLMUXMCDZUWRVWTVWSNZAUUBZVXBUWRUYGCDZVXCUNYGUNUUCUUDUUEZWM
      ZUXMAUYGUUFUUHUUGWIVWQUWRVXBUYHCDZVXAUYJNVWRVXDUWRVXEVXHVXGAUYGXBXDZUXLUX
      MUYHYHUUIYIYJZWOUWRUYJCDUYQUWRUXNUYIUWRVWQVXBUXNCDVWRVXDUXLUXMYKYLZUWRVWQ
      VXHUYICDVWRVXIUXLUYHYKYLZUUJXOXKUUKYQUXCUXSNUYQUXIUYFNRUXSUXCUKYMVWIUULYN
      UWRUYFUYJUYCKVXJWIUWRUYKUXNVUMVVDKGZUYIJGZKGZUXNUXPYOZKGUXQUWRUYKVXMUYJKG
      VXOUWRUYCVXMUYJKUWRUYCVUFUXIBUEZVXMVUFUYBUXIBVUJUMUWRVXQHHUBGUXIBUEZVVGKG
      VXMUWRUXIVVGBHHHUYLDUWRHUFUYLUUMUUNUUOURUXCVUFDZUWRUYOUYPUUSZUYSVXSUXCVUA
      DVXTVUFVUAUXCVUFVUGVUAVUIVUKULVPUXCHIVULUUPVSUWRUYOUYSUYPVVCVWAUUQYQUXCVU
      ENUYPUXIVVGNVUEIUXCVFYMVVLUURYNUWRVXRVUMVVGVVDKUWRVXRVUPVUMUWRVUHVUPCDVXR
      VUPNVHUWRVUPVUMCVVBVVAWPUXIVUPBHVUTUUTYLVVBXJVVTTXJUVAPUWRVXMUXNUYIUWRVUM
      CDZVVOVXMCDVVAVVRVUMVVDUVBYLZVXKVXLUVCXJUWRVXNVXPUXNKUWRUYIVXMJGZYOVXNVXP
      UWRUYIVXMVXLVYBUVDUWRVYCUXPUWRVYCUXLAMGZUXLUYGMGZJGZAVUMUXOJGZKGZJGVYDVYE
      YOZKGZVYHJGZUXPUWRUYIVYFVXMVYHJVWQUWRVXEUYIVYFNVWRVXGUXLAUYGYHYAVYAUWRVVQ
      VXMVYHNVVAXCVUMAUXOUVEYATUWRVYJVYFVYHJUWRVYDCDZVYECDVYJVYFNVWQUWRVYLVWRUX
      LAYKUIZUXLUYGVWRVXGUVFZVYDVYEUVGYDPUWRVYDAJGZVYGVYIJGZJGVYOHJGZVYKUXPVYPH
      VYOJVYPHNVYGVYINUXOVUMJGZYOVYGVYIUXOVUMXCVVAUVIVYRVYEEIMGZRUNMGZLGZVUMVYE
      VYRWUAVYSESMGZLGZVUMVYTWUBVYSLRVWEMGERRMGZMGVYTWUBRERXMQXMUVHVWEUNRMUVROW
      UDSEMYPOUVJOVVKSCDZSHXEZWLVVJVVSWLWUCVUMNWRWUEWUFWJWKYRVVJVVSQXFYRISEYSYT
      ULERIUNQXMWRYGYEVXFUVKUXOVUMVUMXCVVAVVARIMGZWUDLGZUXSSLGUXOVUMVUMKGWUGUXS
      WUDSLWUGRUXSUVSUKULYPUVLVVKVWPVWPWUHUXONWRXSXSIRRYSYTIISWRWRWJWKUVMVJXQVO
      UVNUVOVYGVYIVUMUXOVVAXCUVPZVYEVYNUVQZUVTUWHOUWRVYDAVYGVYIVYMUWRUWAVYGCDUW
      RWUIURVYICDUWRWUJURUWBUWRVYQUXPHJGUXPUWRVYOUXPHJUWRUXLIJGZAMGZVYDIAMGZJGZ
      UXPVYOVWQVVKUWRWULWUNNVWRWRUXLIAUWCUWDWULUXPNUWRWUKUXOAMVWFRLGZUXLRRLGZJG
      ZUXOWUKVVJVWOVWPWUOWUQNQXMXSERRUWEYTVWFIRLVWHWEWUPIUXLJUWFOVJWEURUWRWUMAV
      YDJAUWIWIUWGPUWRUXPVVQUWRUXPCDXCUXOAYKUIZUWJXJUWKYIUWLUWMWIUWRUXNUXPVXKWU
      RUWNYJYJUWOWIUWRUWTUXNUXPUWRUXRUWTCDUGAEUWPXDVXKWURUWQYJ $.

    $( The Bernoulli polynomials at four.  (Contributed by Scott Fenton,
       8-Jul-2015.) $)
    bpoly4 $p |- ( X e. CC ->
       ( 4 BernPoly X ) =
       ( ( ( ( X ^ 4 ) - ( 2 x. ( X ^ 3 ) ) ) + ( X ^ 2 ) ) - ( 1 / ; 3 0 ) ) )
        $=
      ( vk cc wcel c4 co cc0 c1 cmin cfz caddc cdiv cmul c2 c6 wceq a1i oveq12d
      c3 2cn cbp cexp cv cbc csu c5 cdc cn0 4nn0 bpolyval mpan 4m1e3 df-3 eqtri
      oveq2i sumeq1i cuz cfv 2eluzge0 wa cz elfzelz bccl sylancr nn0cnd elfznn0
      adantl bpolycl sylan ancoms 4re zred resubcld peano2re syl recnd wne 1red
      clt wbr eleq2i 3re elfzle2 sylbir divcld mulcld eqeq2i oveq2 eqtrdi oveq1
      cr 3lt4 oveq1d 4cn 3cn ax-1cn subaddrii oveq1i eqtr4i fsump1 sseli sylan2
      df-2 0p1e1 eleqtri ax-mp 2p1e3 5cn 0re gtneii oveq2d reccli mulid2i eqtrd
      0nn0 3ne0 div12d 3t2e6 divmuli mpbir mulcomd eqtrid 3nn0 2ne0 expcl mpan2
      eqnetri subcld subsubd addcld adddid subdid recidi mulassd 3eqtr3a add12d
      6cn addassd 3eqtr2d 3eqtrd lelttrd posdifd mpbid addgt0d gt0ne0d 1eluzge0
      0lt1 4bc3eq4 3p1e4 fzssp1 sseqtrri 4bc2eq6 2p2e4 nn0uz wss 3nn nnuz fzss2
      cn 3sstr4i bcn1 df-4 sylbi 5pos bcn0 subid1i 4p1e5 fsum1 bpoly0 1nn0 mp1i
      0z nn0cn 4ne0 divcan2d bpoly1 eqtr3id 2nn0 bpoly2 4d2e2 bpoly3 sqcl deccl
      nn0cni dfdec10 10re recni mulcli addid1i 10pos mulne0i 6pos divcli mulid2
      addcomd divcan2i eqtr3di mul32i eqeltri 3eqtr3ri addsub12d add4d subsub4d
      id divreci subdird mulid2d 2txmxeqx subadd23d 3eqtr3d halfthird 5recm6rec
      subcli npncand eqtr3d addsubassd 3eqtr4d ) ACDZEAUAFZAEUBFZGEHIFZJFZEBUCZ
      UDFZUYCAUAFZEUYCIFZHKFZLFZMFZBUEZIFZUXTHUFLFZAHNLFZIFZKFZNANUBFZAIFZHOLFZ
      KFZMFZKFZNASUBFZSNLFZUYPMFZIFZUYMAMFZKFZMFZKFZIFZUXTNVUBMFZIFZUYPKFHSGUGZ
      LFZIFZEUHDZUXRUXSUYKPUIBEAUJUKUXRUYJVUIUXTIUXRUYJGNHKFZJFZUYIBUEZVUIUYBVU
      RUYIBUYAVUQGJUYASVUQULUMUNUOUPUXRVUSGNJFZUYIBUEZESAUAFZNLFZMFZKFVUIUXRUYI
      VVDBGNNGUQURZDUXRUSQUXRUYCVURDZUTZUYDUYHVVFUYDCDUXRVVFUYDVVFVUPUYCVADUYDU
      HDUIUYCGVUQVBZUYCEVCVDVEVGVVGUYEUYGVVFUXRUYECDZVVFUYCUHDUXRVVIUYCVUQVFUYC
      AVHVIVJVVFUYGCDUXRVVFUYGVVFUYFWKDUYGWKDVVFEUYCEWKDZVVFVKQZVVFUYCVVHVLZVMZ
      UYFVNVOVPVGVVFUYGGVQUXRVVFUYGVVFUYFHVVMVVFVRVVFUYCEVSVTZGUYFVSVTVVFUYCGSJ
      FZDZVVNVVOVURUYCSVUQGJUMUOWAVVPUYCSEVVPUYCUYCGSVBVLSWKDVVPWBQVVJVVPVKQUYC
      GSWCSEVSVTVVPWLQUUAWDVVFUYCEVVLVVKUUBUUCGHVSVTVVFUUGQUUDUUEVGWEWFZUYCVUQP
      UYCSPZUYIVVDPSVUQUYCUMWGVVRUYDEUYHVVCMVVRUYDESUDFEUYCSEUDWHUUHWIVVRUYEVVB
      UYGNLUYCSAUAWJVVRUYGESIFZHKFZNVVRUYFVVSHKUYCSEIWHWMVVTHHKFZNVVSHHKESHWNWO
      WPUUIWQWRXCWSWIRRWDWTUXRVVAVUAVVDVUHKUXRVVAGVWAJFZUYIBUEZVUAVUTVWBUYIBNVW
      AGJXCUOUPUXRVWCGHJFZUYIBUEZONAUAFZSLFZMFZKFVUAUXRUYIVWHBGHHVVEDUXRUUFQUYC
      VWBDUXRVVFUYICDZVWBVURUYCVWBGVWAHKFZJFVURGVWAUUJVUQVWJGJNVWAHKXCWRUOUUKXA
      VVQXBUYCVWAPUYCNPZUYIVWHPNVWAUYCXCWGVWKUYDOUYHVWGMVWKUYDENUDFOUYCNEUDWHUU
      LWIVWKUYEVWFUYGSLUYCNAUAWJVWKUYGENIFZHKFZSVWKUYFVWLHKUYCNEIWHWMVWMVUQSVWL
      NHKENNWNTTUUMWQWRUMWSWIRRWDWTUXRVWEUYOVWHUYTKUXRVWEGGHKFZJFZUYIBUEZUYOVWO
      VWDUYIBVWNHGJXDUOZUPUXRVWPGGJFUYIBUEZEHAUAFZELFZMFZKFUYOUXRUYIVXABGGGVVED
      UXRGUHVVEXOUUNXEQUYCVWODUXRVVFVWIVWOVURUYCVWDVVOVWOVURSHUQURZDVWDVVOUUOSU
      USVXBUUPUUQXEHGSUURXFVWQVUQSGJXGUOUUTXAVVQXBUYCVWNPUYCHPZUYIVXAPVWNHUYCXD
      WGVXCUYDEUYHVWTMVXCUYDEHUDFZEUYCHEUDWHVUPVXDEPUIEUVAXFWIVXCUYEVWSUYGELUYC
      HAUAWJVXCUYGUYAHKFZEVXCUYFUYAHKUYCHEIWHWMVXESHKFEUYASHKULWRUVBWSWIRRUVCWT
      UXRVWRUYLVXAUYNKUXRVWRHGAUAFZUFLFZMFZUYLUXRGVADVXHCDVWRVXHPUVLUXRHVXGHCDU
      XRWPQUXRVXFUFGUHDUXRVXFCDXOGAVHUKUFCDUXRXHQUFGVQUXRGUFXIUVDXJZQWEWFUYIVXH
      BGUYCGPZUYDHUYHVXGMVXJUYDEGUDFZHUYCGEUDWHVUPVXKHPUIEUVEXFWIVXJUYEVXFUYGUF
      LUYCGAUAWJVXJUYGEGIFZHKFZUFVXJUYFVXLHKUYCGEIWHWMVXMEHKFUFVXLEHKEWNUVFWRUV
      GUNWIRRUVHVDUXRVXHHUYLMFUYLUXRVXGUYLHMUXRVXFHUFLAUVIWMXKUYLUFXHVXIXLZXMWI
      XNUXRVXAVWSUYNUXRVWSEHUHDUXRVWSCDUVJHAVHUKVUPECDUXRUIEUVMUVKZEGVQUXRUVNQU
      VOAUVPXNRXNUVQUXRVWHVWFOSLFZMFZUYTUXROVWFSOCDUXRYQQNUHDUXRVWFCDUVRNAVHUKZ
      SCDUXRWOQZSGVQUXRXPQXQUXRVXQVWFNMFZUYTVXPNVWFMVXPNPSNMFZOPXROSNYQWOTXPXSX
      TUOUXRVXTNVWFMFUYTUXRVWFNVXRNCDUXRTQZYAUXRVWFUYSNMAUVSXKXNYBXNRXNYBUXRVVD
      VVBENLFZMFZVUHUXREVVBNVXOSUHDZUXRVVBCDYCSAVHUKZVYBNGVQUXRYDQXQUXRVYDVVBNM
      FZVUHVYCNVVBMUVTUOUXRVYGNVVBMFVUHUXRVVBNVYFVYBYAUXRVVBVUGNMAUWAXKXNYBXNRX
      NYBXKUXRUXTVUKUYPVUNIFZIFZIFVULVYHKFVUJVUOUXRUXTVUKVYHUXRVUPUXTCDUIAEYEYF
      ZUXRNVUBVYBUXRVYEVUBCDYCASYEYFZWFZUXRUYPVUNAUWBZVUNCDUXRVUMVUMSGYCXOUWCUW
      DVUMHGUGZSMFZGVUMVYOGKFVYOSGUWEVYOVYNSVYNUWFUWGZWOUWHUWIUNVYNSVYPWOGVYNXI
      UWJXJXPUWKYGXLQZYHYIUXRVUIVYIUXTIUXRVUIVUHVUAKFVUKNVUDMFZIFZAKFZVUAKFZVYI
      UXRVUAVUHUXRUYOUYTUXRUYLUYNUYLCDUXRVXNQZUXRAUYMUXRUXDZUYMCDUXRNTYDXLZQZYH
      ZYJZUXRNUYSVYBUXRUYQUYRUXRUYPAVYMWUCYHZUYRCDUXROYQGOXIUWLXJZXLQZYJWFZYJZU
      XRNVUGVYBUXRVUEVUFUXRVUBVUDVYKUXRVUCUYPVUCCDUXRSNWOTYDUWMQZVYMWFZYHZUXRUY
      MAWUEWUCWFZYJWFUWOUXRVUHVYTVUAKUXRVUHNVUEMFZNVUFMFZKFVYTUXRNVUEVUFVYBWUOW
      UPYKUXRWUQVYSWURAKUXRNVUBVUDVYBVYKWUNYLUXRNUYMMFZAMFHAMFWURAWUSHAMNTYDYMW
      RUXRNUYMAVYBWUEWUCYNAUWNYORXNWMUXRWUAVYSAVUAKFZKFVUKVYRWUTIFZIFVYIUXRVYSA
      VUAUXRVUKVYRVYLUXRNVUDVYBWUNWFZYHWUCWULYRUXRVUKVYRWUTVYLWVBUXRAVUAWUCWULY
      JYIUXRWVAVYHVUKIUXRWVASUYPMFZWUTIFWVCUYONUYPMFZANAMFZIFZKFZHSLFZKFZKFZIFZ
      VYHUXRVYRWVCWUTIUXRNVUCMFZUYPMFVYRWVCUXRNVUCUYPVYBWUMVYMYNWVLSUYPMSNWOTYD
      UWPWRUWQWMUXRWUTWVJWVCIUXRWUTUYOAUYTKFZKFWVJUXRAUYOUYTWUCWUGWUKYPUXRWVMWV
      IUYOKUXRWVMAWVDWVEIFZWVHKFZKFAWVNKFZWVHKFWVIUXRUYTWVOAKUXRUYTNUYQMFZNUYRM
      FZKFWVOUXRNUYQUYRVYBWUHWUJYKUXRWVQWVNWVRWVHKUXRNUYPAVYBVYMWUCYLWVRWVHPUXR
      NVYALFZNOLFWVHWVRVYAONLXRUOWVSWVHPVYAWVHMFZNPWVTSWVHMFZNMFZNSNWVHWOTSWOXP
      XLZUWRWWBHNMFNWWAHNMSWOXPYMWRNTXMUNUNNVYAWVHTVYAOCXRYQUWSWWCVYAOGXRWUIYGX
      SXTNOTYQWUIUXEUWTQRXNXKUXRAWVNWVHWUCUXRWVDWVEUXRNUYPVYBVYMWFZUXRNAVYBWUCW
      FZYHWVHCDUXRWWCQZYRUXRWVPWVGWVHKUXRAWVDWVEWUCWWDWWEUXAWMYSXKXNXKUXRWVKWVC
      WVDUYLWVFKFZUYNWVHKFZKFZKFZIFWVCWVDIFZWWIIFVYHUXRWVJWWJWVCIUXRWVJUYLWVGKF
      ZWWHKFWVDWWGKFZWWHKFWWJUXRUYLUYNWVGWVHWUBWUFUXRWVDWVFWWDUXRAWVEWUCWWEYHZY
      JWWFUXBUXRWWLWWMWWHKUXRUYLWVDWVFWUBWWDWWNYPWMUXRWVDWWGWWHWWDUXRUYLWVFWUBW
      WNYJZUXRUYNWVHWUFWWFYJZYRYTXKUXRWVCWVDWWIUXRSUYPVXSVYMWFWWDUXRWWGWWHWWOWW
      PYJUXCUXRWWKUYPWWIVUNIUXRSNIFZUYPMFHUYPMFWWKUYPWWQHUYPMSNHWOTWPXGWQWRUXRS
      NUYPVXSVYBVYMUXFUXRUYPVYMUXGYOUXRUYLAIFZAUYMWVHIFZIFZKFZWWIVUNUXRWWRWWGWW
      TWWHKUXRUYLWVEAIFZIFUYLWVEIFAKFWWRWWGUXRUYLWVEAWUBWWEWUCYIUXRWXBAUYLIAUXH
      XKUXRUYLWVEAWUBWWEWUCUXIUXJUXRAUYMWVHWUCWUEWWFYIRUXRWXAUYLWWSIFZVUNUXRUYL
      AWWSWUBWUCWWSCDUXRUYMWVHWUDWWCUXMQUXNWXCUYLUYRIFVUNWWSUYRUYLIUXKUOUXLUNWI
      UXORYSYTXKYSYTXKUXRVULUYPVUNUXRUXTVUKVYJVYLYHVYMVYQUXPUXQYT $.
  $}

  ${
    $d T k $.
    $( Express the sum of cubes in closed terms.  (Contributed by Scott Fenton,
       16-Jun-2015.) $)
    fsumcube $p |- ( T e. NN0 -> sum_ k e. ( 0 ... T ) ( k ^ 3 ) =
            ( ( ( T ^ 2 ) x. ( ( T + 1 ) ^ 2 ) ) / 4 ) ) $=
      ( wcel cc0 co c3 cexp c1 caddc cmin cdiv c2 cmul c4 wceq cc oveq2i oveq2d
      cbp syl cn0 cfz cv csu 3nn0 fsumkthpow mpan df-4 oveq1i oveq12i cdc nn0cn
      cneg peano2cn bpoly4 cn 4nn 0exp ax-mp 3nn 2t0e0 eqtri 0m0e0 sq0 00id 0cn
      df-neg 3eqtr4i a1i oveq12d 4nn0 expcl mpan2 2cn mulcl sylancr subcld sqcl
      addcld 0nn0 deccl nn0cni nn0rei 10pos declti gt0ne0ii reccli subcl subneg
      sylancl npcan 2p2e4 eqcomi df-3 expadd mp3an23 sqcld mulid1d eqcomd exp1d
      2nn0 1nn0 eqeltrd mul12 mp3an2i subdid 3eqtr4d oveq1d ax-1cn adddi mp3an3
      syl2anc eqtr4d mp3an13 2t1e2 eqtrdi addsubass 2m1e1 subsub binom21 addass
      eqtrd mvrraddd 3eqtr3d mulcomd 3eqtrd eqtrid eqtr3id ) AUACZDAUBEBUCFGEBU
      DZFHIEZAHIEZSEZYKDSEZJEZYKKEZALGEZYLLGEZMEZNKEZFUACZYIYJYPOUEBFAUFUGYIYPN
      YLSEZNDSEZJEZNKEYTUUDYONYKKUUBYMUUCYNJNYKYLSUHUINYKDSUHUIUJUHUJYIUUDYSNKY
      IUUDYLNGEZLYLFGEZMEZJEZYRIEZHFDUKZKEZJEZUUKUMZJEZUULUUKIEZYSYIUUBUULUUCUU
      MJYIYLPCZUUBUULOYIAPCZUUPAULZAUNZTYLUOTUUCUUMOYIDNGEZLDFGEZMEZJEZDLGEZIEZ
      UUKJEZDUUKJEUUCUUMUVEDUUKJUVEDDIEDUVCDUVDDIUVCDDJEDUUTDUVBDJNUPCUUTDOUQNU
      RUSUVBLDMEDUVADLMFUPCUVADOUTFURUSQVAVBUJVCVBVDUJVEVBUIDPCUUCUVFOVFDUOUSUU
      KVGVHVIVJYIUULPCZUUKPCZUUNUUOOYIUUIPCZUVHUVGYIUUQUVIUURUUQUUPUVIUUSUUPUUH
      YRUUPUUEUUGUUPNUACUUEPCVKYLNVLVMUUPLPCZUUFPCZUUGPCVNUUPUUAUVKUEYLFVLVMLUU
      FVOVPVQYLVRVSTZTUUJUUJFDUEVTWAZWBUUJUUJUVMWCFDDUTVTVTWDWEWFWGZUUIUUKWHWJU
      VNUULUUKWIWJYIUUOUUIYSYIUUQUUOUUIOZUURUUQUVIUVHUVOUVLUVNUUIUUKWKWJTYIUUIY
      LLLIEZGEZLYLLHIEZGEZMEZJEZYRIEZYSUUHUWAYRIUUEUVQUUGUVTJNUVPYLGUVPNWLWMQUU
      FUVSLMFUVRYLGWNQQUJUIYIUUQUWBYSOUURUUQUWBYRYRMEZLYRYLHGEZMEZMEZJEZYRHMEZI
      EZYSUUQUWAUWGYRUWHIUUQUUPUWAUWGOUUSUUPUVQUWCUVTUWFJUUPLUACZUWJUVQUWCOXAXA
      YLLLWOWPUUPUVSUWELMUUPUWJHUACUVSUWEOXAXBYLLHWOWPRVJTUUQUWHYRUUQYRUUQYLUUS
      WQZWRWSVJUUQUWIYRYRLYLMEZJEZHIEZMEZYRYQMEYSUUQUWIYRUWMMEZUWHIEZUWOUUQUWGU
      WPUWHIUUQUWCYRLUWDMEZMEZJEUWCYRUWLMEZJEUWGUWPUUQUWSUWTUWCJUUQUWRUWLYRMUUQ
      UWDYLLMUUQYLUUSWTZRRRUUQUWFUWSUWCJUVJUUQYRPCZUWDPCUWFUWSOVNUWKUUQUWDYLPUX
      AUUSXCLYRUWDXDXERUUQYRYRUWLUWKUWKUUQUVJUUPUWLPCZVNUUSLYLVOVPZXFXGXHUUQUXB
      UWMPCZUWOUWQOZUWKUUQYRUWLUWKUXDVQUXBUXEHPCZUXFXIYRUWMHXJXKXLXMUUQUWNYQYRM
      UUQYRUWLHJEZJEZYRLAMEZHIEZJEUWNYQUUQUXHUXKYRJUUQUXHUXJLIEZHJEZUXKUUQUWLUX
      LHJUUQUWLUXJLHMEZIEZUXLUVJUUQUXGUWLUXOOVNXILAHXJXNUXNLUXJIXOQXPXHUUQUXMUX
      JLHJEZIEZUXKUUQUXJPCZUXMUXQOZUVJUUQUXRVNLAVOUGZUXRUVJUXGUXSVNXIUXJLHXQWPT
      UXPHUXJIXRQXPYBRUUQUXBUXCUXIUWNOZUWKUXDUXBUXCUXGUYAXIYRUWLHXSXKXLUUQYRYQU
      XKAVRZUUQUXRUXKPCUXTUXJUNTUUQYRYQUXJIEHIEZYQUXKIEZAXTUUQYQPCZUXRUYCUYDOZU
      YBUXTUYEUXRUXGUYFXIYQUXJHYAXKXLYBYCYDRUUQYRYQUWKUYBYEYFYBTYGYBYFXHYHYB $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Elementary trigonometry
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The exponential, sine, and cosine functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c exp $. $( Exponential function. $)
  $c _e $. $( Upright letter e for Euler's constant = 2.71828.... $)
  $c sin $. $( Sine function. $)
  $c cos $. $( Cosine function. $)
  $c tan $. $( Tangent function. $)
  $c _pi $. $( Upright Greek letter pi = 3.14159.... $)

  $( Extend class notation to include the exponential function. $)
  ce $a class exp $.

  $( Extend class notation to include Euler's constant ` _e ` = 2.71828.... $)
  ceu $a class _e $.

  $( Extend class notation to include the sine function. $)
  csin $a class sin $.

  $( Extend class notation to include the cosine function. $)
  ccos $a class cos $.

  $( Extend class notation to include the tangent function. $)
  ctan $a class tan $.

  $( Extend class notation to include the constant pi, ` _pi ` = 3.14159.... $)
  cpi $a class _pi $.

  ${
    $d k x $.
    $( Define the exponential function.  Its value at the complex number ` A `
       is ` ( exp `` A ) ` and is called the "exponential of ` A ` "; see
       ~ efval .  (Contributed by NM, 14-Mar-2005.) $)
    df-ef $a |- exp = ( x e. CC |->
                        sum_ k e. NN0 ( ( x ^ k ) / ( ! ` k ) ) ) $.

    $( Define Euler's constant ` _e ` = 2.71828....  (Contributed by NM,
       14-Mar-2005.) $)
    df-e $a |- _e = ( exp ` 1 ) $.

    $( Define the sine function.  (Contributed by NM, 14-Mar-2005.) $)
    df-sin $a |- sin = ( x e. CC |-> ( ( ( exp ` ( _i x. x ) ) -
                         ( exp ` ( -u _i x. x ) ) ) / ( 2 x. _i ) ) ) $.

    $( Define the cosine function.  (Contributed by NM, 14-Mar-2005.) $)
    df-cos $a |- cos = ( x e. CC |-> ( ( ( exp ` ( _i x. x ) ) +
                         ( exp ` ( -u _i x. x ) ) ) / 2 ) ) $.

    $( Define the tangent function.  We define it this way for ~ cmpt , which
       requires the form ` ( x e. A |-> B ) ` .  (Contributed by Mario
       Carneiro, 14-Mar-2014.) $)
    df-tan $a |- tan = ( x e. ( `' cos " ( CC \ { 0 } ) ) |->
                       ( ( sin ` x ) / ( cos ` x ) ) ) $.

    $( Define the constant pi, ` _pi ` = 3.14159..., which is the smallest
       positive number whose sine is zero.  Definition of ` _pi ` in [Gleason]
       p. 311.  (Contributed by Paul Chapman, 23-Jan-2008.)  (Revised by AV,
       14-Sep-2020.) $)
    df-pi $a |- _pi = inf ( ( RR+ i^i ( `' sin " { 0 } ) ) , RR , < ) $.
  $}

  $( Closure of a term in the series expansion of the exponential function.
     (Contributed by Paul Chapman, 11-Sep-2007.) $)
  eftcl $p |- ( ( A e. CC /\ K e. NN0 ) ->
                 ( ( A ^ K ) / ( ! ` K ) ) e. CC ) $=
    ( cc wcel cn0 wa cexp co cfa cfv expcl faccl nncnd adantl cc0 facne0 divcld
    wne ) ACDZBEDZFABGHBIJZABKTUACDSTUABLMNTUAORSBPNQ $.

  $( The terms of the series expansion of the exponential function at a real
     number are real.  (Contributed by Paul Chapman, 15-Jan-2008.) $)
  reeftcl $p |- ( ( A e. RR /\ K e. NN0 ) ->
                   ( ( A ^ K ) / ( ! ` K ) ) e. RR ) $=
    ( cr wcel cn0 wa cexp co cfa cfv reexpcl cn faccl adantl nndivred ) ACDZBED
    ZFABGHBIJZABKQRLDPBMNO $.

  $( The absolute value of a term in the series expansion of the exponential
     function.  (Contributed by Paul Chapman, 23-Nov-2007.) $)
  eftabs $p |- ( ( A e. CC /\ K e. NN0 ) ->
                 ( abs ` ( ( A ^ K ) / ( ! ` K ) ) ) =
                 ( ( ( abs ` A ) ^ K ) / ( ! ` K ) ) ) $=
    ( cc wcel cn0 wa cexp co cfa cfv cdiv cabs expcl faccl adantl nncnd cc0 wne
    cn facne0 absdivd absexp nnred nnnn0d nn0ge0d absidd oveq12d eqtrd ) ACDZBE
    DZFZABGHZBIJZKHLJULLJZUMLJZKHALJBGHZUMKHUKULUMABMUKUMUJUMSDUIBNOZPUJUMQRUIB
    TOUAUKUNUPUOUMKABUBUKUMUKUMUQUCUKUMUKUMUQUDUEUFUGUH $.

  ${
    $d k n A $.  $d k F $.  $d n N $.
    eftval.1 $e |- F = ( n e. NN0 |-> ( ( A ^ n ) / ( ! ` n ) ) ) $.
    $( The value of a term in the series expansion of the exponential function.
       (Contributed by Paul Chapman, 21-Aug-2007.)  (Revised by Mario Carneiro,
       28-Apr-2014.) $)
    eftval $p |- ( N e. NN0 -> ( F ` N ) = ( ( A ^ N ) / ( ! ` N ) ) ) $=
      ( cv cexp co cfa cfv cdiv cn0 wceq oveq2 fveq2 oveq12d ovex fvmpt ) BDABF
      ZGHZSIJZKHADGHZDIJZKHLCSDMTUBUAUCKSDAGNSDIOPEUBUCKQR $.

    $( Lemma for ~ efcl .  The series that defines the exponential function
       converges, in the case where its argument is nonzero.  The ratio test
       ~ cvgrat is used to show convergence.  (Contributed by NM, 26-Apr-2005.)
       (Proof shortened by Mario Carneiro, 28-Apr-2014.)  (Proof shortened by
       AV, 9-Jul-2022.) $)
    efcllem $p |- ( A e. CC -> seq 0 ( + , F ) e. dom ~~> ) $=
      ( cc wcel c1 c2 cdiv co cc0 cabs cfv cmul cr a1i wbr cle wceq syl cfl cuz
      vk cn0 nn0uz eqid halfre clt halflt1 abscl remulcl sylancr absge0 mulge0d
      2re 0le2 flge0nn0 syl2anc cv wa cexp cfa eftval adantl eftcl caddc adantr
      eqeltrd cn eluznn0 nn0p1nn nndivred reexpcld faccld syldan absge0d absexp
      sylan expcl nnred nngt0d divge0 syl22anc peano2nn0 nn0red flltp1 eluzp1p1
      breqtrd eluzle ltletrd recnd 2cn mulcom sylancl nncnd mulid2d 3brtr4d crp
      2rp 1red nnrpd lt2mul2divd mpbid wi ltle mpd lemul2ad fveq2d expp1d eqtrd
      nnnn0d nn0ge0d absidd oveq12d nnne0d absdivd 3eqtr4d halfcn abscld eftabs
      facp1 divmuldivd oveq1d cvgrat ) AEFZGHIJZUCCKHALMZNJZUAMZYIUBMZUDUEYJUFY
      FOFZYEUGPYFGUHQYEUIPYEYHOFZKYHRQYIUDFZYEHOFZYGOFZYLUOAUJZHYGUKULZYEHYGYNY
      EUOPYPKHRQYEUPPAUMUNYHUQURZYEUCUSZUDFZUTYSCMZAYSVAJZYSVBMZIJZEYTUUAUUDSZY
      EABCYSDVCZVDAYSVEVHZYEYSYJFZUTZYGYSVAJZUUCIJZYGYSGVFJZIJZNJZUUKYFNJZUULCM
      ZLMZYFUUALMZNJZRUUIUUMYFUUKUUIYGUULYEYOUUHYPVGZUUIYTUULVIFYEYMUUHYTYRYSYI
      VJVRZYSVKTZVLZYKUUIUGPUUIUUJUUCUUIYGYSUUTUVAVMZUUIYSUVAVNZVLUUIUUJOFKUUJR
      QUUCOFKUUCUHQKUUKRQUVDUUIKUUBLMZUUJRUUIUUBYEUUHYTUUBEFUVAAYSVSVOVPYEUUHYT
      UVFUUJSUVAAYSVQVOWHUUIUUCUVEVTUUIUUCUVEWAUUJUUCWBWCUUIUUMYFUHQZUUMYFRQZUU
      IYGHNJZGUULNJZUHQUVGUUIYHUULUVIUVJUHUUIYHYIGVFJZUULYEYLUUHYQVGZYEUVKOFUUH
      YEUVKYEYMUVKUDFYRYIWDTWEVGUUIUULUVBVTUUIYLYHUVKUHQUVLYHWFTUUIUULUVKUBMFZU
      VKUULRQUUHUVMYEYIYSWGVDUVKUULWITWJUUIYGEFHEFUVIYHSUUIYGUUTWKZWLYGHWMWNUUI
      UULUUIUULUVBWOZWPWQUUIYGHGUULUUTHWRFUUIWSPUUIWTUUIUULUVBXAXBXCUUIUUMOFYKU
      VGUVHXDUVCUGUUMYFXEWNXFXGUUIUUQAUULVAJZUULVBMZIJZLMZUUNUUIUUPUVRLUUIUULUD
      FZUUPUVRSUUIYTUVTUVAYSWDTZABCUULDVCTXHUUIUVPLMZUVQLMZIJUUJYGNJZUUCUULNJZI
      JUVSUUNUUIUWBUWDUWCUWEIUUIUWBYGUULVAJZUWDYEUUHUVTUWBUWFSUWAAUULVQVOUUIYGY
      SUVNUVAXIXJUUIUWCUVQUWEUUIUVQUUIUVQUUIUULUWAVNZVTUUIUVQUUIUVQUWGXKXLXMUUI
      YTUVQUWESUVAYSYATXJXNUUIUVPUVQYEUUHUVTUVPEFUWAAUULVSVOUUIUVQUWGWOUUIUVQUW
      GXOXPUUIUUJUUCYGUULUUIUUJUVDWKUUIUUCUVEWOUVNUVOUUIUUCUVEXOUUIUULUVBXOYBXQ
      XJUUIUUSUURYFNJZUUOUUIYFEFUUREFUUSUWHSXRUUIUURUUIUUAYEUUHYTUUAEFUVAUUGVOX
      SWKYFUURWMULUUIUURUUKYFNUUIUURUUDLMZUUKUUIUUAUUDLUUIYTUUEUVAUUFTXHYEUUHYT
      UWIUUKSUVAAYSXTVOXJYCXJWQYD $.

    $( The series defining the exponential function converges in the (trivial)
       case of a zero argument.  (Contributed by Steve Rodriguez, 7-Jun-2006.)
       (Revised by Mario Carneiro, 28-Apr-2014.) $)
    ef0lem $p |- ( A = 0 -> seq 0 ( + , F ) ~~> 1 ) $=
      ( vk cc0 wceq caddc cfv c1 wcel cn wa cn0 simpr nn0uz cexp co cfa cdiv cv
      cseq cli csn cuz cif eleqtrrdi elnn0 sylib nnnn0 adantl eftval oveq1 0exp
      wo sylan9eq oveq1d faccl nncn nnne0 div0d 3syl 3eqtrd wn velsn necon3bbii
      syl sylibr iffalsed eqtr4d fveq2 0exp0e1 eqtrdi 0nn0 ax-mp oveq2i 1div1e1
      wne fac0 eqtr2i 3eqtr4g sylan9eqr iftrued jaodan eleqtri a1i 1cnd cfz wss
      syldan fz0sn eqimss2i fsumcvg2 0z seq1i breqtrd ) AFGZHCFUBZFWRIJUCWQFUDZ
      JECFFWQEUAZFUEIZKZWTLKZWTFGZUOZWTCIZWTWSKZJFUFZGZWQXBMZWTNKZXEXJWTXANWQXB
      OPUGWTUHUIWQXCXIXDWQXCMZXFFXHXLXFAWTQRZWTSIZTRZFXNTRZFXLXKXFXOGXCXKWQWTUJ
      UKZABCWTDULVGXLXMFXNTWQXCXMFWTQRFAFWTQUMWTUNUPUQXLXKXNLKZXPFGXQWTURXRXNXN
      USXNUTVAVBVCXLXGJFXCXGVDZWQXCWTFVRXSWTUTXGWTFEFVEZVFVHUKVIVJWQXDMZXFJXHXD
      WQXFFCIZJWTFCVKWQAFQRZFSIZTRZJYDTRZYBJWQYCJYDTWQYCFFQRJAFFQUMVLVMUQFNKYBY
      EGVNABCFDULVOYFJJTRJYDJJTVSVPVQVTWAZWBYAXGJFYAXDXGWQXDOXTVHWCVJWDWJFXAKWQ
      FNXAVNPWEWFWQXGMWGWSFFWHRZWIWQYHWSWKWLWFWMWQJHCFWNYGWOWP $.
  $}

  ${
    $d x k A $.
    $( Value of the exponential function.  (Contributed by NM, 8-Jan-2006.)
       (Revised by Mario Carneiro, 10-Nov-2013.) $)
    efval $p |- ( A e. CC ->
                 ( exp ` A ) = sum_ k e. NN0 ( ( A ^ k ) / ( ! ` k ) ) ) $=
      ( vx cn0 cv cexp co cfa cfv cdiv csu cc wceq oveq1 oveq1d sumeq2sdv df-ef
      ce sumex fvmpt ) CADCEZBEZFGZUBHIZJGZBKDAUBFGZUDJGZBKLRUAAMZDUEUGBUHUCUFU
      DJUAAUBFNOPCBQDUGBST $.
  $}

  $( Value of Euler's constant ` _e ` = 2.71828....  (Contributed by Steve
     Rodriguez, 5-Mar-2006.) $)
  esum $p |- _e = sum_ k e. NN0 ( 1 / ( ! ` k ) ) $=
    ( ceu c1 ce cfv cn0 cv cexp co cfa cdiv csu df-e cc wcel ax-1cn efval ax-mp
    wceq cz nn0z 1exp syl oveq1d sumeq2i 3eqtri ) BCDEZFCAGZHIZUHJEZKIZALZFCUJK
    IZALMCNOUGULSPCAQRFUKUMAUHFOZUICUJKUNUHTOUICSUHUAUHUBUCUDUEUF $.

  ${
    $d k n x $.
    $( Domain and codomain of the exponential function.  (Contributed by Paul
       Chapman, 22-Oct-2007.)  (Proof shortened by Mario Carneiro,
       28-Apr-2014.) $)
    eff $p |- exp : CC --> CC $=
      ( vx vk vn cc cn0 cv cexp co cfa cfv cdiv csu ce df-ef wcel cc0 nn0uz 0zd
      cmpt wceq eqid eftval adantl eftcl efcllem isumcl fmpti ) ADDEAFZBFZGHUII
      JKHZBLMABNUHDOZUJBCEUHCFZGHULIJKHSZPEQUKRUIEOUIUMJUJTUKUHCUMUIUMUAZUBUCUH
      UIUDUHCUMUNUEUFUG $.

    $( Closure law for the exponential function.  (Contributed by NM,
       8-Jan-2006.)  (Revised by Mario Carneiro, 10-Nov-2013.) $)
    efcl $p |- ( A e. CC -> ( exp ` A ) e. CC ) $=
      ( cc ce eff ffvelrni ) BBACDE $.
  $}

  ${
    $d k n A $.  $d k F $.
    efcvg.1 $e |- F = ( n e. NN0 |-> ( ( A ^ n ) / ( ! ` n ) ) ) $.
    $( Value of the exponential function.  (Contributed by Mario Carneiro,
       29-Apr-2014.) $)
    efval2 $p |- ( A e. CC -> ( exp ` A ) = sum_ k e. NN0 ( F ` k ) ) $=
      ( cc wcel ce cfv cn0 cv cexp co cfa cdiv csu efval eftval sumeq2i eqtr4di
      ) AFGAHIJABKZLMUANIOMZBPJUADIZBPABQJUCUBBACDUAERST $.

    $( The series that defines the exponential function converges to it.
       (Contributed by NM, 9-Jan-2006.)  (Revised by Mario Carneiro,
       28-Apr-2014.) $)
    efcvg $p |- ( A e. CC -> seq 0 ( + , F ) ~~> ( exp ` A ) ) $=
      ( vk cc wcel caddc cc0 cseq cn0 cv cexp co cfa cfv cdiv csu ce cli eftval
      nn0uz 0zd wceq adantl eftcl efcllem isumclim2 efval breqtrrd ) AFGZHCIJKA
      ELZMNULOPQNZERASPTUKUMECIKUBUKUCULKGULCPUMUDUKABCULDUAUEAULUFABCDUGUHAEUI
      UJ $.
  $}

  ${
    $d j k n A $.  $d j F $.
    efcvgfsum.1 $e |- F = ( n e. NN0 |->
                        sum_ k e. ( 0 ... n ) ( ( A ^ k ) / ( ! ` k ) ) ) $.
    $( Exponential function convergence in terms of a sequence of partial
       finite sums.  (Contributed by NM, 10-Jan-2006.)  (Revised by Mario
       Carneiro, 28-Apr-2014.) $)
    efcvgfsum $p |- ( A e. CC -> F ~~> ( exp ` A ) ) $=
      ( vj cc wcel caddc cn0 cv cexp co cfa cfv cdiv cc0 wceq cfz wfn cmpt cseq
      ce cli wral wa csu oveq2 sumeq1d sumex adantl elfznn0 eqid eftval syl cuz
      fvmpt simpr nn0uz eleqtrdi simpll eftcl syl2anc eqtrd ralrimiva wb fnmpti
      fsumser cz 0z seqfn ax-mp fneq2i mpbir eqfnfv mp2an sylibr efcvg eqbrtrd
      ) AGHZDICJACKZLMWANOPMUAZQUBZAUCOUDVTFKZDOZWDWCOZRZFJUEZDWCRZVTWGFJVTWDJH
      ZUFZWEQWDSMZABKZLMWMNOPMZBUGZWFWJWEWORVTCWDQWASMZWNBUGZWOJDWAWDRWPWLWNBWA
      WDQSUHUIEWLWNBUJUQUKWKWNBWBQWDWKWMWLHZUFZWMJHZWMWBOWNRWRWTWKWMWDULUKZACWB
      WMWBUMZUNUOWKWDJQUPOZVTWJURUSUTWSVTWTWNGHVTWJWRVAXAAWMVBVCVHVDVEDJTWCJTZW
      IWHVFCJWQDWPWNBUJEVGXDWCXCTZQVIHXEVJIWBQVKVLJXCWCUSVMVNFJDWCVOVPVQACWBXBV
      RVS $.
  $}

  ${
    $d k n A $.
    $( The exponential function is real if its argument is real.  (Contributed
       by NM, 27-Apr-2005.)  (Revised by Mario Carneiro, 28-Apr-2014.) $)
    reefcl $p |- ( A e. RR -> ( exp ` A ) e. RR ) $=
      ( vk vn cr wcel ce cfv cn0 cv cexp co cfa cdiv csu cc wceq recn efval syl
      cc0 cmpt nn0uz 0zd eqid eftval adantl reeftcl caddc cseq cli cdm isumrecl
      efcllem eqeltrd ) ADEZAFGZHABIZJKUQLGMKZBNZDUOAOEZUPUSPAQZABRSUOURBCHACIZ
      JKVBLGMKUAZTHUBUOUCUQHEUQVCGURPUOACVCUQVCUDZUEUFAUQUGUOUTUHVCTUIUJUKEVAAC
      VCVDUMSULUN $.

    reefcld.1 $e |- ( ph -> A e. RR ) $.
    $( The exponential function is real if its argument is real.  (Contributed
       by Mario Carneiro, 29-May-2016.) $)
    reefcld $p |- ( ph -> ( exp ` A ) e. RR ) $=
      ( cr wcel ce cfv reefcl syl ) ABDEBFGDECBHI $.
  $}

  $( Euler's constant ` _e ` = 2.71828... is a real number.  (Contributed by
     NM, 19-Mar-2005.)  (Revised by Steve Rodriguez, 8-Mar-2006.) $)
  ere $p |- _e e. RR $=
    ( ceu c1 ce cfv cr df-e wcel 1re reefcl ax-mp eqeltri ) ABCDZEFBEGLEGHBIJK
    $.

  ${
    $d k n $.  $d k F $.  $d k G $.
    erelem1.1 $e |- F = ( n e. NN |-> ( 2 x. ( ( 1 / 2 ) ^ n ) ) ) $.
    erelem1.2 $e |- G = ( n e. NN0 |-> ( 1 / ( ! ` n ) ) ) $.
    $( Lemma for ~ egt2lt3 .  (Contributed by NM, 20-Mar-2005.)  (Proof
       shortened by Mario Carneiro, 28-Apr-2014.) $)
    ege2le3 $p |- ( 2 <_ _e /\ _e <_ 3 ) $=
      ( c2 ceu cle wbr wtru c1 caddc cc0 cfv co cn0 wcel wceq cdiv cexp vk cseq
      c3 nn0uz 0nn0 a1i 1e0p1 0z cv fveq2 fac0 eqtrdi oveq2d ax-1cn div1i fvmpt
      cfa 1ex mp1i seq1i 1nn0 fac1 seqp1d df-2 eqtr4di ce cli cc cmpt nn0z 1exp
      cz oveq1d mpteq2ia eqtr4i efcvg df-e breqtrrdi wa cr ovex adantl cn faccl
      syl nnrecred eqeltrd clt nnred nngt0d 1re divge0 mpanl12 syl2anc breqtrrd
      0le1 climserle eqbrtrrd mptru cmin nnuz recnd clim2ser 0p1e1 seqeq1 ax-mp
      1zzd oveq2i 3brtr3g cmul 2cnd oveq2 eqid halfre reexpcl sylancr cabs 1lt2
      simpr 2re 0le2 absid mp2an breqtrri georeclim 2m1e1 eqtri breqtrdi halfcn
      2cn exp0 nnnn0 sylan2 eqtr4d isermulc2 2t1e2 remulcl nnrpd wne 2ne0 mpbid
      faclbnd2 2nn nnexpcl rphalfcld lerecd nncnd nnne0d divrecd recdiv mpanr12
      exprecd 3eqtr4rd 3brtr4d iserle ere lesubaddi mpbi df-3 pm3.2i ) FGHIZGUC
      HIUVAJKLCMUBZNZFGHJUVCKKLOFJKKLCKMMPUDMPQZJUEUFZUGJKLCMUHUVDMCNKRJUEAMKAU
      IZUQNZSOZKPCUVFMRZUVHKKSOZKUVIUVGKKSUVIUVGMUQNKUVFMUQUJUKULUMKUNUOZULEURU
      PUSUTZKPQZKCNKRJVAAKUVHKPCUVFKRZUVHUVJKUVNUVGKKSUVNUVGKUQNKUVFKUQUJVBULUM
      UVKULEURUPUSVCVDVEJGUACMKPUDUVMJVAUFJUVBKVFNZGVGKVHQUVBUVOVGIJUNKACCAPUVH
      VIAPKUVFTOZUVGSOZVIEAPUVQUVHUVFPQZUVPKUVGSUVRUVFVLQUVPKRUVFVJUVFVKWEVMVNV
      OVPUSVQVRZJUAUIZPQZVSZUVTCNZKUVTUQNZSOZVTUWAUWCUWERZJAUVTUVHUWEPCUVFUVTRZ
      UVGUWDKSUVFUVTUQUJUMEKUWDSWAUPWBZUWBUWDUWAUWDWCQJUVTWDWBZWFWGZUWBMUWEUWCH
      UWBUWDVTQZMUWDWHIZMUWEHIZUWBUWDUWIWIUWBUWDUWIWJKVTQMKHIUWKUWLVSUWMWKWPKUW
      DWLWMWNUWHWOWQWRWSGFKLOZUCHGKWTOZFHIZGUWNHIUWPJUWOFUACBKWCXAJXGZJLCMKLOZU
      BZGMUVBNZWTOLCKUBZUWOVGJGUACMMPUDUVEUWBUWCUWJXBUVSXCUWRKRZUWSUXARXDLCUWRK
      XEXFUWTKGWTUWTKRUVLWSXHXIJLBKUBFKXJOFVGJKFUAAPKFSOZUVFTOZVIZBKWCXAUWQJXKZ
      JLUXEUWRUBZFMLUXEMUBZNZWTOZLUXEKUBZKVGJFUAUXEMMPUDUVEUWBUVTUXENZUXCUVTTOZ
      VHUWAUXLUXMRZJAUVTUXDUXMPUXEUVFUVTUXCTXLZUXEXMZUXCUVTTWAUPWBZUWBUXMUWBUXC
      VTQUWAUXMVTQZXNJUWAXSZUXCUVTXOXPZXBWGZJUXHFFKWTOZSOZFVGJFUAUXEUXFKFXQNZWH
      IJKFUYDWHXRFVTQZMFHIUYDFRXTYAFYBYCYDUFUXQYEUYCFKSOFUYBKFSYFXHFYJUOYGYHXCU
      XBUXGUXKRXDLUXEUWRKXEXFUXJUYBKUXIKFWTUXIKRJKLUXEMUHMUXENZKRJUYFUXCMTOZKUV
      DUYFUYGRUEAMUXDUYGPUXEUVFMUXCTXLUXPUXCMTWAUPXFUXCVHQUYGKRYIUXCYKXFYGUFUTW
      SXHYFYGXIUVTWCQZJUWAUXLVHQUVTYLZUYAYMJUYHVSZUVTBNZFUXMXJOZFUXLXJOUYHUYKUY
      LRJAUVTFUXDXJOUYLWCBUWGUXDUXMFXJUXOUMDFUXMXJWAUPWBZUYJUXLUXMFXJUYHJUWAUXN
      UYIUXQYMUMYNYOYPYHUYHJUWAUWCVTQUYIUWJYMUYJUYKUYLVTUYMUYHJUWAUYLVTQZUYIUWB
      UYEUXRUYNXTUXTFUXMYQXPYMWGUYJUWEUYLUWCUYKHUYHJUWAUWEUYLHIUYIUWBUWEKFUVTTO
      ZFSOZSOZUYLHUWBUYPUWDHIZUWEUYQHIUWAUYRJUVTUUBWBUWBUYPUWDUWBUYOUWBUYOUWBFW
      CQUWAUYOWCQUUCUXSFUVTUUDXPZYRUUEUWBUWDUWIYRUUFUUAUWBFUYOSOZFKUYOSOZXJOUYQ
      UYLUWBFUYOUWBXKZUWBUYOUYSUUGZUWBUYOUYSUUHZUUIUWBUYOVHQZUYOMYSZUYQUYTRZVUC
      VUDVUEVUFVSFVHQFMYSZVUGYJYTUYOFUUJUUKWNUWBUXMVUAFXJUWBFUVTVUBVUHUWBYTUFUW
      AUVTVLQJUVTVJWBUULUMUUMWOYMUYHJUWAUWFUYIUWHYMUYMUUNUUOWSGKFUUPWKXTUUQUURU
      USYDUUT $.
  $}

  $( Value of the exponential function at 0.  Equation 2 of [Gleason] p. 308.
     (Contributed by Steve Rodriguez, 27-Jun-2006.)  (Revised by Mario
     Carneiro, 28-Apr-2014.) $)
  ef0 $p |- ( exp ` 0 ) = 1 $=
    ( vn caddc cn0 cc0 cv cexp co cfa cfv cdiv cmpt cseq ce cli c1 wceq cc eqid
    wbr ax-mp wcel 0cn efcvg ef0lem climuni mp2an ) BACDAEZFGUGHIJGKZDLZDMIZNSZ
    UIONSZUJOPDQUAUKUBDAUHUHRZUCTDDPULDRDAUHUMUDTUJOUIUEUF $.

  ${
    $d j k m n A $.
    $( The exponential of a complex conjugate.  Equation 3 of [Gleason] p. 308.
       (Contributed by NM, 29-Apr-2005.)  (Revised by Mario Carneiro,
       28-Apr-2014.) $)
    efcj $p |- ( A e. CC -> ( exp ` ( * ` A ) ) = ( * ` ( exp ` A ) ) ) $=
      ( vn vj vk vm cc wcel caddc cn0 ccj cfv cv cexp co cdiv cc0 wceq nn0uz wa
      adantl cfa cmpt cseq cli wbr cjcl eqid efcvg syl cvv seqex a1i 0zd eftval
      ce eftcl eqeltrd serf ffvelrnda addcl simpl elfznn0 syl2an simpr eleqtrdi
      cfz cuz cjadd expcl cn faccl nncnd nnne0d cjexp nnred cjred oveq12d eqtrd
      cjdivd fveq2d 3eqtr4d seqhomo eqcomd climcj climuni syl2anc ) AFGZHBIAJKZ
      BLZMNWIUAKZONUBZPUCZWHUOKZUDUEZWLAUOKZJKZUDUEWMWPQWGWHFGWNAUFWHBWKWKUGZUH
      UIWGWOCHBIAWIMNWJONUBZPUCZWLPUJIRABWRWRUGZUHWLUJGWGHWKPUKULWGUMZWGIFCLZWS
      WGDWRPIRXAWGDLZIGZSZXCWRKZAXCMNZXCUAKZONZFXDXFXIQWGABWRXCWTUNTZAXCUPUQZUR
      USWGXBIGZSZXBWSKJKXBWLKXMDEHHFWRWKJPXBXCFGELZFGSZXCXNHNZFGXMXCXNUTTXMWGXD
      XFFGXCPXBVFNGZWGXLVAZXCXBVBZXKVCXMXBIPVGKWGXLVDRVEXOXPJKXCJKXNJKHNQXMXCXN
      VHTXMWGXDXFJKZXCWKKZQXQXRXSXEXIJKZWHXCMNZXHONZXTYAXEYBXGJKZXHJKZONYDXEXGX
      HAXCVIXEXHXDXHVJGWGXCVKTZVLXEXHYGVMVSXEYEYCYFXHOAXCVNXEXHXEXHYGVOVPVQVRXE
      XFXIJXJVTXDYAYDQWGWHBWKXCWQUNTWAVCWBWCWDWMWPWLWEWF $.
  $}

  ${
    $d j k m n A $.  $d j k n B $.  $d j F $.  $d j k m G $.  $d j k m ph $.
    $d k H $.
    efadd.1 $e |- F = ( n e. NN0 |-> ( ( A ^ n ) / ( ! ` n ) ) ) $.
    efadd.2 $e |- G = ( n e. NN0 |-> ( ( B ^ n ) / ( ! ` n ) ) ) $.
    efadd.3 $e |- H = ( n e. NN0 |-> ( ( ( A + B ) ^ n ) / ( ! ` n ) ) ) $.
    efadd.4 $e |- ( ph -> A e. CC ) $.
    efadd.5 $e |- ( ph -> B e. CC ) $.
    $( Lemma for ~ efadd (exponential function addition law).  (Contributed by
       Mario Carneiro, 29-Apr-2014.) $)
    efaddlem $p |- ( ph ->
                     ( exp ` ( A + B ) ) = ( ( exp ` A ) x. ( exp ` B ) ) ) $=
      ( vj co cfv cmul wceq wcel cexp cdiv vk vm caddc cc0 ce cli wbr cc addcld
      cseq efcvg syl cn0 cv cfa csu cabs eftval adantl wa absexp sylan cn faccl
      cmpt nnre nnnn0 nn0ge0d absidd oveq12d expcl nnne0d absdivd eqid 3eqtr4rd
      nncnd eftcl cfz cmin cbc adantr simpr binom syl3anc oveq1d fzfid ad2antrr
      bccl2 fznn0sub expcld elfznn0 mulcld fsumdivc divcld eqeltrd oveq2 fveq2d
      fveq2 fsumrev2 oveq2d nnmulcld divrec2d divmuldivd bcval2 divdiv32d eqtrd
      c1 wne dividd eqtr4d nn0cn ad2antlr addid2d nncand div23d sumeq2dv eqtrdi
      cbvsumv cdm abscld recnd efcllem mertens efval breqtrrd climuni syl2anc )
      AUCGUDUJZBCUCNZUEOZUFUGZYHBUEOZCUEOZPNZUFUGYJYNQAYIUHRYKABCKLUIYIDGJUKULA
      YHUMBMUNZSNZYOUOOZTNZMUPZUMCUAUNZSNYTUOOZTNZUAUPZPNYNUFAYRUUBMUAEFGDUMBUQ
      OZDUNZSNUUEUOOTNVEZYOUMRZYOEOYRQABDEYOHURUSAUUGUTZYPUQOZYQUQOZTNUUDYOSNZY
      QTNZYRUQOYOUUFOZUUHUUIUUKUUJYQTABUHRZUUGUUIUUKQKBYOVAVBUUHYQVCRZUUJYQQUUG
      UUOAYOVDZUSZUUOYQYQVFUUOYQYQVGVHVIULVJUUHYPYQAUUNUUGYPUHRKBYOVKVBUUHYQUUQ
      VPUUHYQUUQVLVMUUGUUMUULQAUUDDUUFYOUUFVNZURUSVOAUUNUUGYRUHRKBYOVQVBYTUMRZY
      TFOUUBQACDFYTIURUSACUHRZUUSUUBUHRLCYTVQVBAUUSUTZYTGOZYIYTSNZUUATNZUDYTVRN
      ZYRYTYOVSNZFOZPNZMUPZUUSUVBUVDQAYIDGYTJURUSUVAUVDUVEYTYOVTNZBUVFSNZCYOSNZ
      PNZPNZMUPZUUATNZUVIUVAUVCUVOUUATUVAUUNUUTUUSUVCUVOQAUUNUUSKWAAUUTUUSLWAAU
      USWBBCMYTWCWDWEUVAUVPUVEUVNUUATNZMUPZUVIUVAUVEUVNUUAMUVAUDYTWFUVAUUAUUSUU
      AVCRAYTVDUSZVPZUVAYOUVERZUTZUVJUVMUWBUVJUWAUVJVCRUVAYOYTWHUSVPZUWBUVKUVLU
      WBBUVFAUUNUUSUWAKWGZUWAUVFUMRZUVAYOUDYTWIUSZWJZUWBCYOAUUTUUSUWALWGZUWAUUG
      UVAYOYTWKUSZWJZWLZWLUVAUUAUVSVLZWMUVAUVIUVEBUDYTUCNZUBUNZVSNZSNZUWOUOOZTN
      ZYTUWOVSNZFOZPNZUBUPZUVRUVAUVHUXAMUBUDYTUWBYRUVGUWBYPYQUWBBYOUWDUWIWJUWBY
      QUWBUUGUUOUWIUUPULZVPZUWBYQUXCVLZWNUWBUVGCUVFSNZUVFUOOZTNZUHUWBUWEUVGUXHQ
      UWFCDFUVFIURULUWBUXFUXGUWBCUVFUWHUWFWJUWBUXGUWBUWEUXGVCRUWFUVFVDULZVPZUWB
      UXGUXIVLZWNWOWLYOUWOQZYRUWRUVGUWTPUXLYPUWPYQUWQTYOUWOBSWPYOUWOUOWRVJUXLUV
      FUWSFYOUWOYTVSWPWQVJWSUVAUVRUVEBUWMYOVSNZSNZUXMUOOZTNZYTUXMVSNZFOZPNZMUPU
      XBUVAUVEUVQUXSMUWBUVKUXGTNZYOFOZPNZUVJUUATNZUVMPNZUXSUVQUWBUYBUXTUVLYQTNZ
      PNZUYDUWBUYAUYEUXTPUWBUUGUYAUYEQUWICDFYOIURULWTUWBUVMUXGYQPNZTNXGUYGTNZUV
      MPNUYFUYDUWBUVMUYGUWKUWBUYGUWBUXGYQUXIUXCXAZVPZUWBUYGUYIVLZXBUWBUVKUXGUVL
      YQUWGUXJUWJUXDUXKUXEXCUWBUYCUYHUVMPUWBUYCUUAUYGTNZUUATNZUYHUWBUVJUYLUUATU
      WAUVJUYLQUVAYOYTXDUSWEUWBUYMUUAUUATNZUYGTNUYHUWBUUAUYGUUAUVAUUAUHRUWAUVTW
      AZUYJUYOUYKUVAUUAUDXHUWAUWLWAZXEUWBUYNXGUYGTUWBUUAUYOUYPXIWEXFXFWEVOXJUWB
      UXPUXTUXRUYAPUWBUXNUVKUXOUXGTUWBUXMUVFBSUWBUWMYTYOVSUWBYTUUSYTUHRAUWAYTXK
      XLZXMWEZWTUWBUXMUVFUOUYRWQVJUWBUXQYOFUWBUXQYTUVFVSNYOUWBUXMUVFYTVSUYRWTUW
      BYTYOUYQUWBUUGYOUHRUWIYOXKULXNXFWQVJUWBUVJUVMUUAUWCUWKUYOUYPXOVOXPUVEUXSU
      XAMUBYOUWNQZUXPUWRUXRUWTPUYSUXNUWPUXOUWQTUYSUXMUWOBSYOUWNUWMVSWPZWTUYSUXM
      UWOUOUYTWQVJUYSUXQUWSFUYSUXMUWOYTVSUYTWTWQVJXRXQXJXJXFXFAUUDUHRUCUUFUDUJU
      FXSZRAUUDABKXTYAUUDDUUFUURYBULAUUTUCFUDUJVUARLCDFIYBULYCAYLYSYMUUCPAUUNYL
      YSQKBMYDULAUUTYMUUCQLCUAYDULVJYEYJYNYHYFYG $.
  $}

  ${
    $d n A $.  $d n B $.
    $( Sum of exponents law for exponential function.  (Contributed by NM,
       10-Jan-2006.)  (Proof shortened by Mario Carneiro, 29-Apr-2014.) $)
    efadd $p |- ( ( A e. CC /\ B e. CC ) ->
                 ( exp ` ( A + B ) ) = ( ( exp ` A ) x. ( exp ` B ) ) ) $=
      ( vn cc wcel wa cn0 cv cexp cfa cdiv cmpt caddc eqid simpl simpr efaddlem
      co cfv ) ADEZBDEZFABCCGACHZIRUBJSZKRLZCGBUBIRUCKRLZCGABMRUBIRUCKRLZUDNUEN
      UFNTUAOTUAPQ $.
  $}

  ${
    $d A a $.  $d a k $.  $d a m $.  $d A m $.  $d a n $.  $d A n $.
    $d a ph $.  $d k m $.  $d k n $.  $d k ph $.  $d M a $.  $d M k $.
    $d M m $.  $d m n $.  $d M n $.  $d m ph $.  $d N a $.  $d N k $.
    $d N m $.  $d n ph $.  $d Z a $.  $d Z k $.  $d Z m $.  $d Z n $.
    fprodefsum.1 $e |- Z = ( ZZ>= ` M ) $.
    fprodefsum.2 $e |- ( ph -> N e. Z ) $.
    fprodefsum.3 $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
    $( Move the exponential function from inside a finite product to outside a
       finite sum.  (Contributed by Scott Fenton, 26-Dec-2017.) $)
    fprodefsum $p |- ( ph -> prod_ k e. ( M ... N ) ( exp ` A ) =
      ( exp ` sum_ k e. ( M ... N ) A ) ) $=
      ( vm cfz co ce cfv cprod csu wcel wceq fveq2d cc va vn cv cuz eleqtrdi wi
      cmpt c1 caddc oveq2 prodeq1d sumeq1d eqeq12d imbi2d weq cz csb csn adantl
      fzsn simpr uzid eleqtrrdi efcl syl fmpttd ffvelrnda sylan2 prodsn syl2anc
      fveq2 cvv fvex nfcv nfcsb1v nffv csbeq1a eqid fvmptf sylancl 3eqtrd sumsn
      wa wral ralrimiva eleq1d rspc impcom syl2an fvmpts eqtr4d expcom w3a cmul
      nfel1 simp3 peano2uzs mpan9 3adant3 oveq12d elfzuz adantlr fprodp1 fsump1
      fzfid fsumcl efadd eqtrd 3eqtr4d 3exp com12 a2d eqcomi eleq2s uzind4 cres
      mpcom fvres wss fzssuz sseqtrri resmpt ax-mp fveq1i prodeq2i prodfc eqtri
      eqtr3di sumeq2i sumfc fveq2i 3eqtr3g ) ADEKLZJUCZCFBMNZUGZNZJOZYMYNCFBUGZ
      NZJPZMNZYMYOCOZYMBCPZMNEDUDNZQAYRUUBRZAEFUUEHGUEADUAUCZKLZYQJOZUUHYTJPZMN
      ZRZUFADDKLZYQJOZUUMYTJPZMNZRZUFADUBUCZKLZYQJOZUUSYTJPZMNZRZUFZADUURUHUILZ
      KLZYQJOZUVFYTJPZMNZRZUFZAUUFUFUAUBDEUUGDRZUULUUQAUVLUUIUUNUUKUUPUVLUUHUUM
      YQJUUGDDKUJZUKUVLUUJUUOMUVLUUHUUMYTJUVMULSUMUNUAUBUOZUULUVCAUVNUUIUUTUUKU
      VBUVNUUHUUSYQJUUGUURDKUJZUKUVNUUJUVAMUVNUUHUUSYTJUVOULSUMUNUUGUVERZUULUVJ
      AUVPUUIUVGUUKUVIUVPUUHUVFYQJUUGUVEDKUJZUKUVPUUJUVHMUVPUUHUVFYTJUVQULSUMUN
      UUGERZUULUUFAUVRUUIYRUUKUUBUVRUUHYMYQJUUGEDKUJZUKUVRUUJUUAMUVRUUHYMYTJUVS
      ULSUMUNADUPQZUUQAUVTWCZUUNCDBUQZMNZUUPUWAUUNDURZYQJOZDYPNZUWCUWAUUMUWDYQJ
      UVTUUMUWDRADUTUSZUKUWAUVTUWFTQZUWEUWFRAUVTVAZUVTADFQZUWHUVTDUUEFDVBGVCZAF
      TDYPACFYOTACUCZFQWCBTQZYOTQIBVDVEVFZVGVHYQUWFJDUPYNDYPVKVIVJUWAUWJUWCVLQU
      WFUWCRUVTUWJAUWKUSZUWBMVMCDYOUWCFYPVLCDVNCUWBMCMVNZCDBVOZVPUWLDRZBUWBMCDB
      VQZSYPVRZVSVTWAUWAUUOUWBMUWAUUOUWDYTJPZDYSNZUWBUWAUUMUWDYTJUWGULUWAUVTUXB
      TQZUXAUXBRUWIUVTAUWJUXCUWKAFTDYSACFBTIVFZVGVHYTUXBJDUPYNDYSVKWBVJUWAUWJUW
      BTQZUXBUWBRUWOAUWMCFWDZUWJUXEUVTAUWMCFIWEZUWKUWJUXFUXEUWMUXECDFCUWBTUWQWO
      UWRBUWBTUWSWFWGWHWICDBFYSTYSVRZWJVJWASWKWLUVDUVKUFUURFUUEUURFQZAUVCUVJAUX
      IUVCUVJUFAUXIUVCUVJAUXIUVCWMZUUTUVEYPNZWNLZUVBUVEYSNZMNZWNLZUVGUVIUXJUUTU
      VBUXKUXNWNAUXIUVCWPAUXIUXKUXNRZUVCUXIAUVEFQZUXPDUURFGWQZAUXQWCZUXKCUVEBUQ
      ZMNZUXNUXSUXQUYATQZUXKUYARAUXQVAZUXSUXTTQZUYBAUXFUXQUYDUXGUWMUYDCUVEFCUXT
      TCUVEBVOZWOUWLUVERZBUXTTCUVEBVQZWFWGWRZUXTVDVECUVEYOUYAFYPTCUVEVNCUXTMUWP
      UYEVPUYFBUXTMUYGSUWTVSVJUXSUXMUXTMUXSUXQUYDUXMUXTRUYCUYHCUVEBFYSTUXHWJVJS
      WKVHWSWTAUXIUVGUXLRUVCAUXIWCZYQUXKJDUURUYIUURFUUEAUXIVAGUEZAYNUVFQZYQTQZU
      XIUYKAYNFQZUYLUYKYNUUEFYNDUVEXAGVCZAFTYNYPUWNVGVHXBYNUVEYPVKXCWSAUXIUVIUX
      ORUVCUYIUVIUVAUXMUILZMNZUXOUYIUVHUYOMUYIYTUXMJDUURUYJAUYKYTTQZUXIUYKAUYMU
      YQUYNAFTYNYSUXDVGZVHXBYNUVEYSVKXDSUYIUVATQUXMTQZUYPUXORUYIUUSYTJUYIDUURXE
      AYNUUSQZUYQUXIUYTAUYMUYQUYTYNUUEFYNDUURXAGVCUYRVHXBXFUXIAUXQUYSUXRAFTUVEY
      SUXDVGVHUVAUXMXGVJXHWSXIXJXKXLFUUEGXMXNXOXQYRYMYNCYMYOUGZNZJOUUCYMYQVUBJY
      NYMQZYNYPYMXPZNYQVUBYNYMYPXRYNVUDVUAYMFXSZVUDVUARYMUUEFDEXTGYAZCFYMYOYBYC
      YDYHYEYMYOJCYFYGUUAUUDMUUAYMYNCYMBUGZNZJPUUDYMYTVUHJVUCYNYSYMXPZNYTVUHYNY
      MYSXRYNVUIVUGVUEVUIVUGRVUFCFYMBYBYCYDYHYIYMBJCYJYGYKYL $.
  $}

  $( Cancellation law for exponential function.  Equation 27 of [Rudin] p. 164.
     (Contributed by NM, 13-Jan-2006.) $)
  efcan $p |- ( A e. CC -> ( ( exp ` A ) x. ( exp ` -u A ) ) = 1 ) $=
    ( cc wcel cneg caddc co ce cfv cmul wceq negcl efadd mpdan cc0 negid fveq2d
    c1 ef0 eqtrdi eqtr3d ) ABCZAADZEFZGHZAGHUBGHIFZQUAUBBCUDUEJAKAUBLMUAUDNGHQU
    AUCNGAOPRST $.

  $( The exponential of a complex number is nonzero.  Corollary 15-4.3 of
     [Gleason] p. 309.  (Contributed by NM, 13-Jan-2006.)  (Revised by Mario
     Carneiro, 29-Apr-2014.) $)
  efne0 $p |- ( A e. CC -> ( exp ` A ) =/= 0 ) $=
    ( cc wcel c1 cc0 wne ce cfv ax-1ne0 wceq cneg cmul co oveq1 efcan negcl syl
    efcl mul02d eqeq12d syl5ib necon3d mpi ) ABCZDEFAGHZEFIUDUEEDEUEEJUEAKZGHZL
    MZEUGLMZJUDDEJUEEUGLNUDUHDUIEAOUDUGUDUFBCUGBCAPUFRQSTUAUBUC $.

  $( The exponential of the opposite is the inverse of the exponential.
     (Contributed by Mario Carneiro, 10-May-2014.) $)
  efneg $p |- ( A e. CC -> ( exp ` -u A ) = ( 1 / ( exp ` A ) ) ) $=
    ( cc wcel ce cfv cneg c1 efcl negcl syl efne0 efcan mvllmuld ) ABCZADEAFZDE
    ZGAHNOBCPBCAIOHJAKALM $.

  $( The exponential function maps the complex numbers to the nonzero complex
     numbers.  (Contributed by Paul Chapman, 16-Apr-2008.) $)
  eff2 $p |- exp : CC --> ( CC \ { 0 } ) $=
    ( vx cc cc0 csn cdif ce wf wfn cfv wcel wral eff ffn ax-mp wne efcl eldifsn
    cv efne0 sylanbrc rgen ffnfv mpbir2an ) BBCDEZFGFBHZARZFIZUDJZABKBBFGUELBBF
    MNUHABUFBJUGBJUGCOUHUFPUFSUGBCQTUAABUDFUBUC $.

  $( Difference of exponents law for exponential function.  (Contributed by
     Steve Rodriguez, 25-Nov-2007.) $)
  efsub $p |- ( ( A e. CC /\ B e. CC ) ->
               ( exp ` ( A - B ) ) = ( ( exp ` A ) / ( exp ` B ) ) ) $=
    ( cc wcel wa ce cfv cdiv co c1 cmul cneg caddc cmin wceq cc0 wne efcl efne0
    divrec syl3an 3anidm23 efcan eqcomd wb negcl ax-1cn divmul2 mp3an1 syl12anc
    syl mpbird oveq2d adantl efadd sylan2 eqtr4d negsub fveq2d 3eqtrrd ) ACDZBC
    DZEZAFGZBFGZHIZVDJVEHIZKIZABLZMIZFGZABNIZFGVAVBVFVHOZVAVDCDVBVECDZVBVEPQZVM
    ARBRZBSZVDVETUAUBVCVHVDVIFGZKIZVKVBVHVSOVAVBVGVRVDKVBVGVROZJVEVRKIZOZVBWAJB
    UCUDVBVRCDZVNVOVTWBUEZVBVICDZWCBUFZVIRUKVPVQJCDWCVNVOEWDUGJVRVEUHUIUJULUMUN
    VBVAWEVKVSOWFAVIUOUPUQVCVJVLFABURUSUT $.

  ${
    $d j N $.  $d j k A $.
    $( The exponential of an integer power.  Corollary 15-4.4 of [Gleason]
       p. 309, restricted to integers.  (Contributed by NM, 13-Jan-2006.)
       (Revised by Mario Carneiro, 5-Jun-2014.) $)
    efexp $p |- ( ( A e. CC /\ N e. ZZ ) ->
                 ( exp ` ( N x. A ) ) = ( ( exp ` A ) ^ N ) ) $=
      ( cc wcel wa cmul co ce cfv cexp sylan2 fveq2d cc0 c1 caddc oveq2 eqeq12d
      wceq adantr eqtrd vj vk cz zcn mulcom cv cneg ef0 mul01 exp0d 3eqtr4a cn0
      efcl oveq1 adantl nn0cn ax-1cn adddi mp3an3 mulcl simpl efadd expp1 sylan
      mulid1 oveq2d syl2anc 3eqtr4d exp31 cn cdiv nncn mulneg2 efneg syl expneg
      wi nnnn0 syl2an syl5ibr ex zindd imp eqtr3d ) ACDZBUCDZEZABFGZHIZBAFGZHIA
      HIZBJGZWGWHWJHWFWEBCDWHWJRBUDABUEKLWEWFWIWLRZAUAUFZFGZHIZWKWNJGZRAMFGZHIZ
      WKMJGZRAUBUFZFGZHIZWKXAJGZRZAXAUGZFGZHIZWKXFJGZRZAXANOGZFGZHIZWKXKJGZRZWM
      WEUAUBBWNMRZWPWSWQWTXPWOWRHWNMAFPLWNMWKJPQWNXARZWPXCWQXDXQWOXBHWNXAAFPLWN
      XAWKJPQWNXKRZWPXMWQXNXRWOXLHWNXKAFPLWNXKWKJPQWNXFRZWPXHWQXIXSWOXGHWNXFAFP
      LWNXFWKJPQWNBRZWPWIWQWLXTWOWHHWNBAFPLWNBWKJPQWEMHINWSWTUHWEWRMHAUILWEWKAU
      MZUJUKWEXAULDZXEXOWEYBEZXEEXCWKFGZXDWKFGZXMXNXEYDYERYCXCXDWKFUNUOYCXMYDRX
      EYCXMXBAOGZHIZYDYCXLYFHYBWEXACDZXLYFRXAUPZWEYHEZXLXBANFGZOGZYFWEYHNCDXLYL
      RUQAXANURUSYJYKAXBOWEYKARYHAVESVFTKLYCXBCDZWEYGYDRYBWEYHYMYIAXAUTZKWEYBVA
      XBAVBVGTSYCXNYERZXEWEWKCDZYBYOYAWKXAVCVDSVHVIWEXAVJDZXEXJVQXEXJWEYQEZNXCV
      KGZNXDVKGZRXCXDNVKPYRXHYSXIYTYRXHXBUGZHIZYSYRXGUUAHYQWEYHXGUUARXAVLZAXAVM
      KLYRYMUUBYSRYQWEYHYMUUCYNKXBVNVOTWEYPYBXIYTRYQYAXAVRWKXAVPVSQVTWAWBWCWD
      $.
  $}

  $( Value of the exponential function for integers.  Special case of ~ efval .
     Equation 30 of [Rudin] p. 164.  (Contributed by Steve Rodriguez,
     15-Sep-2006.)  (Revised by Mario Carneiro, 5-Jun-2014.) $)
  efzval $p |- ( N e. ZZ -> ( exp ` N ) = ( _e ^ N ) ) $=
    ( cz wcel ce cfv c1 cexp co ceu cmul zcn mulid1d fveq2d cc wceq ax-1cn mpan
    efexp eqtr3d df-e oveq1i eqtr4di ) ABCZADEZFDEZAGHZIAGHUCAFJHZDEZUDUFUCUGAD
    UCAAKLMFNCUCUHUFOPFARQSIUEAGTUAUB $.

  $( The exponential of a real number is greater than 0.  (Contributed by Paul
     Chapman, 21-Aug-2007.)  (Revised by Mario Carneiro, 30-Apr-2014.) $)
  efgt0 $p |- ( A e. RR -> 0 < ( exp ` A ) ) $=
    ( cr wcel ce cfv reefcl cc0 c2 cdiv co cexp rehalfcl reefcld sqge0d cmul cc
    cle wceq wne syl cz recnd 2z efexp sylancl recn 2ne0 divcan2 mp3an23 fveq2d
    2cn eqtr3d breqtrd efne0 ne0gt0d ) ABCZADEZAFUPGAHIJZDEZHKJZUQQUPUSUPURALZM
    NUPHUROJZDEZUTUQUPURPCHUACVCUTRUPURVAUBUCURHUDUEUPVBADUPAPCZVBARZAUFZVDHPCH
    GSVEUKUGAHUHUITUJULUMUPVDUQGSVFAUNTUO $.

  $( The exponential of a real number is a positive real.  (Contributed by
     Mario Carneiro, 10-Nov-2013.) $)
  rpefcl $p |- ( A e. RR -> ( exp ` A ) e. RR+ ) $=
    ( cr wcel ce cfv reefcl efgt0 elrpd ) ABCADEAFAGH $.

  ${
    rpefcld.1 $e |- ( ph -> A e. RR ) $.
    $( The exponential of a real number is a positive real.  (Contributed by
       Mario Carneiro, 29-May-2016.) $)
    rpefcld $p |- ( ph -> ( exp ` A ) e. RR+ ) $=
      ( cr wcel ce cfv crp rpefcl syl ) ABDEBFGHECBIJ $.
  $}

  ${
    $d j k n A $.  $d k F $.  $d j k G $.  $d j H $.  $d j k n M $.
    $d j k ph $.
    eftl.1 $e |- F = ( n e. NN0 |-> ( ( A ^ n ) / ( ! ` n ) ) ) $.
    $( The tail series of the exponential function are convergent.
       (Contributed by Mario Carneiro, 29-Apr-2014.) $)
    eftlcvg $p |- ( ( A e. CC /\ M e. NN0 ) -> seq M ( + , F ) e. dom ~~> ) $=
      ( vk cc wcel cn0 wa caddc cc0 cseq cli cdm efcllem adantr nn0uz cfv co cv
      simpr cexp cfa cdiv wceq eftval adantl eftcl adantlr eqeltrd iserex mpbid
      ) AGHZDIHZJZKCLMNOZHZKCDMUQHUNURUOABCEPQUPFCLDIRUNUOUBUPFUAZIHZJUSCSZAUSU
      CTUSUDSUETZGUTVAVBUFUPABCUSEUGUHUNUTVBGHUOAUSUIUJUKULUM $.

    $( Closure of the sum of an infinite tail of the series defining the
       exponential function.  (Contributed by Paul Chapman, 17-Jan-2008.)
       (Revised by Mario Carneiro, 30-Apr-2014.) $)
    eftlcl $p |- ( ( A e. CC /\ M e. NN0 ) ->
                    sum_ k e. ( ZZ>= ` M ) ( F ` k ) e. CC ) $=
      ( cc wcel cn0 wa cv cfv cuz eqid cz nn0z adantl eqidd cexp co cfa eluznn0
      cdiv wceq adantll eftval syl simpll eftcl syl2anc eqeltrd eftlcvg isumcl
      ) AGHZEIHZJZBKZDLZBDEEMLZUSNUOEOHUNEPQUPUQUSHZJZURRVAURAUQSTUQUALUCTZGVAU
      QIHZURVBUDUOUTVCUNUQEUBUEZACDUQFUFUGVAUNVCVBGHUNUOUTUHVDAUQUIUJUKACDEFULU
      M $.

    $( Closure of the sum of an infinite tail of the series defining the
       exponential function.  (Contributed by Paul Chapman, 17-Jan-2008.)
       (Revised by Mario Carneiro, 30-Apr-2014.) $)
    reeftlcl $p |- ( ( A e. RR /\ M e. NN0 ) ->
                      sum_ k e. ( ZZ>= ` M ) ( F ` k ) e. RR ) $=
      ( cr wcel cn0 wa cv cfv cuz eqid cz nn0z adantl eqidd cexp co cfa eluznn0
      cdiv wceq adantll eftval syl simpll reeftcl syl2anc eqeltrd cc caddc cseq
      cli cdm recn eftlcvg sylan isumrecl ) AGHZEIHZJZBKZDLZBDEEMLZVFNVBEOHVAEP
      QVCVDVFHZJZVERVHVEAVDSTVDUALUCTZGVHVDIHZVEVIUDVBVGVJVAVDEUBUEZACDVDFUFUGV
      HVAVJVIGHVAVBVGUHVKAVDUIUJUKVAAULHVBUMDEUNUOUPHAUQACDEFURUSUT $.

    eftl.2 $e |- G = ( n e. NN0 |-> ( ( ( abs ` A ) ^ n ) / ( ! ` n ) ) ) $.
    eftl.3 $e |- H = ( n e. NN0 |->
      ( ( ( ( abs ` A ) ^ M ) / ( ! ` M ) ) x. ( ( 1 / ( M + 1 ) ) ^ n ) ) ) $.
    eftl.4 $e |- ( ph -> M e. NN ) $.
    eftl.5 $e |- ( ph -> A e. CC ) $.
    eftl.6 $e |- ( ph -> ( abs ` A ) <_ 1 ) $.
    $( An upper bound on the absolute value of the infinite tail of the series
       expansion of the exponential function on the closed unit disk.
       (Contributed by Paul Chapman, 19-Jan-2008.)  (Proof shortened by Mario
       Carneiro, 29-Apr-2014.) $)
    eftlub $p |- ( ph -> ( abs ` sum_ k e. ( ZZ>= ` M ) ( F ` k ) ) <_
          ( ( ( abs ` A ) ^ M ) x. ( ( M + 1 ) / ( ( ! ` M ) x. M ) ) ) ) $=
      ( cfv co cmul cdiv wcel cc0 vj cuz cv csu cabs c1 caddc cfa cc cn0 nnnn0d
      cexp eftlcl syl2anc abscld cr reeftlcl reexpcld peano2nn0 nn0red nnmulcld
      syl faccld nndivred remulcld eqid nnzd wa eqidd eluznn0 sylan wceq eftval
      adantl eftcl eqeltrd syldan cseq cli cdm eftlcvg isumclim2 reeftcl eftabs
      recnd 3eqtr4rd iserabs cle cneg cshi nn0uz 0zd nncnd nn0cn cmpt cvv nn0ex
      fveq2d mptex eqeltri shftval4 syl2an nn0addcl adantr oveq2 ovex peano2nnd
      oveq2d fvmpt nnrecred reexpcl nnred uzid uzaddcl absge0d leexp2rd nnexpcl
      wbr cz cn expge0d jca faclbnd6 mpbid divassd divdiv1d eqtrd breqtrd letrd
      nnne0d clt wb mpbird eqbrtrd cmin sylancr seqex sylancl breldm eqtr4d wne
      lemul1a syl31anc lemuldiv2d nn0z exprecd divrecd facne0 3eqtr2rd ledivmul
      nnrpd nngt0d syl112anc 0z znegcld seqshft 0cn subneg mpan addid2 climshft
      seqeq1d sumex nnge1d nnleltp1 nn0ge0d absidd breqtrrd georeclim isermulc2
      1nn ax-1cn pncan div23d mulcomd 3eqtrd isumle fveq2 addid2d eleq2d biimpa
      isumshft sumeq1d eqtr3d isumclim 3brtr3d ) AHUBOZCUCZEOZCUDZUEOUWGUWHFOZC
      UDZBUEOZHULPZHUFUGPZHUHOZHQPZRPZQPZAUWJABUISZHUJSZUWJUISMAHLUKZBCDEHIUMUN
      UOAUWMUPSZUXAUWLUPSABMUOZUXBUWMCDFHJUQUNAUWNUWRAUWMHUXDUXBURZAUWOUWQAUWOA
      UXAUWOUJSUXBHUSVBZUTZAUWPHAHUXBVCZLVAVDVEAUWJUWLCEFHUWGUWGVFZAUWICEHUWGUX
      IAHLVGZAUWHUWGSZVHZUWIVIAUXKUWHUJSZUWIUISAUXAUXKUXMUXBUWHHVJVKZAUXMVHZUWI
      BUWHULPUWHUHOZRPZUIUXMUWIUXQVLABDEUWHIVMVNZAUWTUXMUXQUISMBUWHVOVKVPVQZAUW
      TUXAUGEHVRVSVTZSMUXBBDEHIWAUNWBAUWKCFHUWGUXIUXJUXLUWKVIUXLUWKAUXKUXMUWKUP
      SUXNUXOUWKUWMUWHULPUXPRPZUPUXMUWKUYAVLAUWMDFUWHJVMVNZAUXCUXMUYAUPSUXDUWMU
      WHWCVKVPVQWEZAUWMUISUXAUGFHVRZUXTSAUWMUXDWEUXBUWMDFHJWAUNWBZUXJUXSAUXKUXM
      UWKUWIUEOZVLUXNUXOUXQUEOZUYAUYFUWKAUWTUXMUYGUYAVLMBUWHWDVKUXOUWIUXQUEUXRW
      RUYBWFVQWGAUJHUAUCZUGPZFOZUAUDZUJUWNUWPRPZUFUWORPZUYHULPZQPZUAUDUWLUWSWHA
      UYJUYOUAFHWIZWJPZGTUJWKAWLZAHUISZUYHUISUYHUYQOUYJVLUYHUJSZAHLWMZUYHWNHUYH
      FFDUJUWMDUCZULPVUBUHORPZWOWPJDUJVUCWQWSWTZXAXBAUYTVHZUYJUWMUYIULPZUYIUHOZ
      RPZUPVUEUYIUJSZUYJVUHVLAUXAUYTVUIUXBHUYHXCVKZUWMDFUYIJVMVBZVUEUXCVUIVUHUP
      SAUXCUYTUXDXDZVUJUWMUYIWCUNVPUYTUYHGOZUYOVLADUYHUYLUYMVUBULPZQPUYOUJGVUBU
      YHVLVUNUYNUYLQVUBUYHUYMULXEZXHKUYLUYNQXFXIVNZVUEUYLUYNAUYLUPSUYTAUWNUWPUX
      EUXHVDZXDAUYMUPSUYTUYNUPSAUWOAHLXGZXJUYMUYHXKVKZVEZVUEUYJVUHUYOWHVUKVUEVU
      HUYOWHXRZVUFVUGUYOQPZWHXRZVUEVUFUWNVVBVUEUWMUYIVULVUJURZAUWNUPSZUYTUXEXDZ
      VUEVUGUYOVUEVUGVUEUYIVUJVCZXLZVUTVEVUEUWMHUYIVULAUXAUYTUXBXDAHUWGSZUYTUYI
      UWGSAHXSSVVIUXJHXMVBUYHHHXNVKATUWMWHXRUYTABMXOZXDAUWMUFWHXRUYTNXDXPVUEUWN
      VUGUWNQPZUWPUWOUYHULPZQPZRPZVVBWHVUEVVMUWNQPVVKWHXRZUWNVVNWHXRVUEVVMUPSVU
      GUPSZVVETUWNWHXRZVHZVVMVUGWHXRZVVOVUEVVMVUEUWPVVLAUWPXTSUYTUXHXDAUWOXTSZU
      YTVVLXTSVURUWOUYHXQVKZVAZXLVVHAVVRUYTAVVEVVQUXEAUWMHUXDUXBVVJYAYBXDAUXAUY
      TVVSUXBUYHHYCVKVVMVUGUWNUUBUUCVUEUWNVVKVVMVVFVUEVUGUWNVVHVVFVEVUEVVMVWBUU
      KUUDYDVUEVVNVUGUWNVVMRPZQPVVBVUEVUGUWNVVMVUEVUGVVGWMAUWNUISUYTAUWNUXEWEZX
      DZVUEVVMVWBWMVUEVVMVWBYJYEVUEVWCUYOVUGQVUEUYOUYLUFVVLRPZQPUYLVVLRPVWCVUEU
      YNVWFUYLQVUEUWOUYHAUWOUISUYTAUWOVURWMZXDVUEUWOAVVTUYTVURXDYJUYTUYHXSSAUYH
      UUEVNUUFXHVUEUYLVVLAUYLUISUYTAUYLVUQWEZXDVUEVVLVWAWMZVUEVVLVWAYJZUUGVUEUW
      NUWPVVLVWEAUWPUISUYTAUWPUXHWMZXDVWIAUWPTUUAZUYTAUXAVWLUXBHUUHVBZXDVWJYFUU
      IXHYGYHYIVUEVUFUPSUYOUPSVVPTVUGYKXRVVAVVCYLVVDVUTVVHVUEVUGVVGUULVUFUYOVUG
      UUJUUMYMYNAUGUYQTVRZUGFTUYPYOPZVRZUYPWJPZUXTATXSSUYPXSSZVWNVWQVLUUNAHUXJU
      UOZUGFTUYPVUDUUPYPAVWQUWLVSXRZVWQUXTSAVWTVWPUWLVSXRZAVWPUYDUWLVSAVWOHUGFA
      UYSVWOHVLVUAUYSVWOTHUGPZHTUISUYSVWOVXBVLUUQTHUURUUSHUUTYGVBUVBUYEYNAVWRVW
      PWPSVWTVXAYLVWSUGFVWOYQUWLVWPUYPWPUVAYRYMVWQUWLVSVWPUYPWJXFUWGUWKCUVCYSVB
      VPAUGGTVRZUWSVSXRVXCUXTSAVXCUYLUWOUWOUFYOPZRPZQPZUWSVSAVXEUYLUADUJVUNWOZG
      TUJWKUYRVWHAUWOUAVXGVWGAUFUWOUWOUEOYKAUFHWHXRZUFUWOYKXRZAHLUVDAUFXTSHXTSV
      XHVXIYLUVKLUFHUVEYPYDAUWOUXGAUWOUXFUVFUVGUVHUYTUYHVXGOZUYNVLADUYHVUNUYNUJ
      VXGVUOVXGVFUYMUYHULXFXIVNZUVIVUEVXJUYNUIVXKVUEUYNVUSWEVPVUEVUMUYOUYLVXJQP
      VUPVUEVXJUYNUYLQVXKXHYTUVJAVXFUWNUWOHRPZQPUWPRPZUWNVXLUWPRPZQPUWSAVXFUYLV
      XLQPVXMAVXEVXLUYLQAVXDHUWORAUYSUFUISVXDHVLVUAUVLHUFUVMYRXHXHAUWNVXLUWPVWD
      AVXLAUWOHUXGLVDWEZVWKVWMUVNYTAUWNVXLUWPVWDVXOVWKVWMYEAVXNUWRUWNQAVXNUWOHU
      WPQPZRPUWRAUWOHUWPVWGVUAVWKAHLYJVWMYFAVXPUWQUWORAHUWPVUAVWKUVOXHYGXHUVPYH
      ZVXCUWSVSUGGTYQUWNUWRQXFYSVBUVQAVXBUBOZUWKCUDUYKUWLAUWKUYJCUAHTVXRUJWKVXR
      VFUWHUYIFUVRUXJUYRAUWHVXRSZUXKUWKUISAVXSUXKAVXRUWGUWHAVXBHUBAHVUAUVSWRZUV
      TUWAUYCVQUWBAVXRUWGUWKCVXTUWCUWDAUYOUWSUAGTUJWKUYRVUPVUEUYOVUTWEVXQUWEUWF
      YI $.
  $}

  ${
    $d k n A $.  $d k F $.  $d k n M $.  $d k n N $.  $d k ph $.
    efsep.1 $e |- F = ( n e. NN0 |-> ( ( A ^ n ) / ( ! ` n ) ) ) $.
    efsep.2 $e |- N = ( M + 1 ) $.
    efsep.3 $e |- M e. NN0 $.
    efsep.4 $e |- ( ph -> A e. CC ) $.
    efsep.5 $e |- ( ph -> B e. CC ) $.
    efsep.6 $e |- ( ph -> ( exp ` A ) =
                    ( B + sum_ k e. ( ZZ>= ` M ) ( F ` k ) ) ) $.
    efsep.7 $e |- ( ph -> ( B + ( ( A ^ M ) / ( ! ` M ) ) ) = D ) $.
    $( Separate out the next term of the power series expansion of the
       exponential function.  The last hypothesis allows the separated terms to
       be rearranged as desired.  (Contributed by Paul Chapman, 23-Nov-2007.)
       (Revised by Mario Carneiro, 29-Apr-2014.) $)
    efsep $p |- ( ph -> ( exp ` A ) =
                  ( D + sum_ k e. ( ZZ>= ` N ) ( F ` k ) ) ) $=
      ( cfv caddc co wcel ce cuz cv csu cexp cfa cdiv c1 eqid cz nn0zi wa eqidd
      a1i cn0 cc eluznn0 mpan wceq eftval adantl eftcl sylan eqeltrd sylan2 cli
      cseq cdm eftlcvg sylancl isum1p ax-mp eqcomi fveq2i sumeq1i eqtrdi oveq2d
      oveq12i peano2nn0 eqeltri eftlcl addassd eqtr4d oveq1d 3eqtrd ) ABUAQCHUB
      QZEUCZGQZEUDZRSZCBHUESHUFQUGSZRSZIUBQZWHEUDZRSZDWNRSOAWJCWKWNRSZRSWOAWIWP
      CRAWIHGQZHUHRSZUBQZWHEUDZRSWPAWHEGHWFWFUIHUJTAHLUKUNAWGWFTZULWHUMXAAWGUOT
      ZWHUPTHUOTZXAXBLWGHUQURAXBULWHBWGUESWGUFQUGSZUPXBWHXDUSABFGWGJUTVAABUPTZX
      BXDUPTMBWGVBVCVDVEAXEXCRGHVGVFVHTMLBFGHJVIVJVKWQWKWTWNRXCWQWKUSLBFGHJUTVL
      WSWMWHEWRIUBIWRKVMVNVOVRVPVQACWKWNNAXEXCWKUPTMLBHVBVJAXEIUOTWNUPTMIWRUOKX
      CWRUOTLHVSVLVTBEFGIJWAVJWBWCAWLDWNRPWDWE $.
  $}

  ${
    $d k n A $.  $d k F $.  $d k N $.  $d k ph $.
    effsumlt.1 $e |- F = ( n e. NN0 |-> ( ( A ^ n ) / ( ! ` n ) ) ) $.
    effsumlt.2 $e |- ( ph -> A e. RR+ ) $.
    effsumlt.3 $e |- ( ph -> N e. NN0 ) $.
    $( The partial sums of the series expansion of the exponential function at
       a positive real number are bounded by the value of the function.
       (Contributed by Paul Chapman, 21-Aug-2007.)  (Revised by Mario Carneiro,
       29-Apr-2014.) $)
    effsumlt $p |- ( ph -> ( seq 0 ( + , F ) ` N ) < ( exp ` A ) ) $=
      ( vk caddc cc0 cfv c1 co csu cn0 cr nn0uz wcel cc cseq cuz cv ce clt cexp
      0zd wa cfa cdiv eftval adantl rpred reeftcl sylan eqeltrd serfre ffvelrnd
      wceq eqid peano2nn0 syl eqidd cz nn0z rpexpcl syl2an faccl nnrpd rpdivcld
      crp cn cli cdm efcllem isumrpcl ltaddrpd cmin cfz efval2 isumsplit nn0cnd
      recnd ax-1cn pncan sylancl oveq2d sumeq1d eleqtrdi elfznn0 sylan2 fsumser
      eqtrd oveq1d 3eqtrd breqtrrd ) AEJDKUAZLZWREMJNZUBLZIUCZDLZIOZJNZBUDLZUEA
      WRXCAPQEWQAIDKPRAUGAXAPSZUHZXBBXAUFNZXAUILZUJNZQXFXBXJUSABCDXAFUKULZABQSX
      FXJQSABGUMZBXAUNUOUPZUQHURAXBIDKWSWTPRWTUTZAEPSWSPSHEVAVBZXGXBVCZXGXBXJVK
      XKXGXHXIABVKSXAVDSXHVKSXFGXAVEBXAVFVGXGXIXFXIVLSAXAVHULVIVJUPABTSZWQVMVNS
      ABXLWCZBCDFVOVBZVPVQAXEPXBIOZKWSMVRNZVSNZXBIOZXCJNXDAXQXEXTUSXRBICDFVTVBA
      XBIDKWSWTPRXNXOXPXGXBXMWCZXSWAAYCWRXCJAYCKEVSNZXBIOWRAYBYEXBIAYAEKVSAETSM
      TSYAEUSAEHWBWDEMWEWFWGWHAXBIDKEAXAYESZUHXBVCAEPKUBLHRWIYFAXFXBTSXAEWJYDWK
      WLWMWNWOWP $.
  $}

  $( The value of the first term of the series expansion of the exponential
     function is 1.  (Contributed by Paul Chapman, 21-Aug-2007.)  (Revised by
     Mario Carneiro, 29-Apr-2014.) $)
  eft0val $p |- ( A e. CC -> ( ( A ^ 0 ) / ( ! ` 0 ) ) = 1 ) $=
    ( cc wcel cc0 cexp co cfa cfv cdiv c1 exp0 oveq1d fac0 oveq2i 1div1e1 eqtri
    eqtrdi ) ABCZADEFZDGHZIFJTIFZJRSJTIAKLUAJJIFJTJJIMNOPQ $.

  ${
    $d k n A $.  $d k F $.
    ef4p.1 $e |- F = ( n e. NN0 |-> ( ( A ^ n ) / ( ! ` n ) ) ) $.
    $( Separate out the first four terms of the infinite series expansion of
       the exponential function.  (Contributed by Paul Chapman, 19-Jan-2008.)
       (Revised by Mario Carneiro, 29-Apr-2014.) $)
    ef4p $p |- ( A e. CC -> ( exp ` A ) =
                ( ( ( ( 1 + A ) + ( ( A ^ 2 ) / 2 ) ) + ( ( A ^ 3 ) / 6 ) ) +
                  sum_ k e. ( ZZ>= ` 4 ) ( F ` k ) ) ) $=
      ( cc wcel c1 caddc co c2 cexp cdiv c3 a1i cc0 cfv cfa efsep oveq2i ax-1cn
      c6 c4 df-4 3nn0 id addcl mpan sqcl halfcld df-3 2nn0 df-2 1nn0 1e0p1 0nn0
      addcld 0cnd cuz cv csu ce cn0 efval2 nn0uz sumeq1i eqtr2di oveq2d addid2d
      efcl eqtr2d eft0val 0p1e1 eqtrdi exp1 wceq fac1 oveq12d div1 eqtrd fac2
      fac3 ) AFGZAHAIJZAKLJZKMJZIJZWGANLJZUBMJZIJZBCDNUCEUDUEWCUFZWCWDWFHFGZWCW
      DFGUAHAUGUHZWCWEAUIUJUQWCAWDWGBCDKNEUKULWKWMWCAHWDBCDHKEUMUNWKWLWCUAOWCAP
      HBCDPHEUOUPWKWCURWCPPUSQZBUTDQZBVAZIJPAVBQZIJWQWCWPWQPIWCWQVCWOBVAWPABCDE
      VDVCWNWOBVEVFVGVHWCWQAVJVIVKWCPAPLJPRQMJZIJPHIJHWCWRHPIAVLVHVMVNSWCAHLJZH
      RQZMJZAHIWCXAAHMJAWCWSAWTHMAVOWTHVPWCVQOVRAVSVTVHSWDWEKRQZMJZIJWGVPWCXCWF
      WDIXBKWEMWATTOSWGWHNRQZMJZIJWJVPWCXEWIWGIXDUBWHMWBTTOS $.
  $}

  ${
    $d A n $.
    $( The exponential of a positive real number is greater than the sum of the
       first three terms of the series expansion.  (Contributed by Mario
       Carneiro, 15-Sep-2014.) $)
    efgt1p2 $p |- ( A e. RR+ ->
      ( ( 1 + A ) + ( ( A ^ 2 ) / 2 ) ) < ( exp ` A ) ) $=
      ( vn wcel c2 caddc cn0 cexp co cfa cfv cdiv cc0 c1 nn0uz 1nn0 wceq eftval
      a1i ax-mp eqtrid crp cv cmpt cseq ce df-2 cc rpcn 0nn0 1e0p1 eqid eft0val
      clt 0z seq1i fac1 oveq2i exp1 oveq1d div1 eqtrd seqp1d 2nn0 fac2 eqtri id
      syl effsumlt eqbrtrrd ) AUACZDEBFABUBZGHVKIJKHUCZLUDZJMAEHZADGHZDKHZEHAUE
      JUMVJVNVPEVLDLMFNMFCZVJORUFVJAUGCZMVMJVNPAUHVRMAEVLMLLFNLFCZVRUIRUJVRMEVL
      LUNVRLVLJZALGHLIJKHZMVSVTWAPUIABVLLVLUKZQSAULTUOVRMVLJZAMGHZMIJZKHZAVQWCW
      FPOABVLMWBQSVRWFWDMKHZAWEMWDKUPUQVRWGAMKHAVRWDAMKAURUSAUTVATTVBVGDVLJZVPP
      VJWHVODIJZKHZVPDFCZWHWJPVCABVLDWBQSWIDVOKVDUQVERVBVJABVLDWBVJVFWKVJVCRVHV
      I $.

    $d A n $.
    $( The exponential of a positive real number is greater than 1 plus that
       number.  (Contributed by Mario Carneiro, 14-Mar-2014.)  (Revised by
       Mario Carneiro, 30-Apr-2014.) $)
    efgt1p $p |- ( A e. RR+ -> ( 1 + A ) < ( exp ` A ) ) $=
      ( vn crp wcel c1 caddc cn0 cexp co cfa cfv cdiv cc0 wceq a1i eftval ax-mp
      0nn0 eqtrid 1nn0 cv cmpt cseq ce clt cc rpcn nn0uz 1e0p1 0z eft0val seq1i
      eqid fac1 oveq2i exp1 oveq1d div1 eqtrd seqp1d syl id effsumlt eqbrtrrd )
      ACDZEFBGABUAZHIVFJKLIUBZMUCKZEAFIZAUDKUEVEAUFDZVHVINAUGVJEAFVGEMMGUHMGDZV
      JROUIVJEFVGMUJVJMVGKZAMHIMJKLIZEVKVLVMNRABVGMVGUMZPQAUKSULVJEVGKZAEHIZEJK
      ZLIZAEGDZVOVRNTABVGEVNPQVJVRVPELIZAVQEVPLUNUOVJVTAELIAVJVPAELAUPUQAURUSSS
      UTVAVEABVGEVNVEVBVSVETOVCVD $.

    $( The exponential of a positive real number is greater than 1.
       (Contributed by Paul Chapman, 21-Aug-2007.)  (Revised by Mario Carneiro,
       30-Apr-2014.) $)
    efgt1 $p |- ( A e. RR+ -> 1 < ( exp ` A ) ) $=
      ( crp wcel c1 caddc co ce cfv 1red cr 1re readdcl sylancr reefcld clt wbr
      rpre ltaddrp mpan efgt1p lttrd ) ABCZDDAEFZAGHUBIUBDJCZAJCUCJCKAQZDALMUBA
      UENUDUBDUCOPKDARSATUA $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The exponential function on the reals is strictly increasing.
       (Contributed by Paul Chapman, 21-Aug-2007.)  (Revised by Mario Carneiro,
       17-Jul-2014.) $)
    eflt $p |- ( ( A e. RR /\ B e. RR ) ->
                 ( A < B <-> ( exp ` A ) < ( exp ` B ) ) ) $=
      ( vx vy wtru cr wcel wa clt wbr ce cfv wb cv fveq2 adantl cc0 syl recnd
      co tru ssid reefcl wi w3a cmin c1 crp simp2 simp1 resubcld posdif biimp3a
      cmul elrpd efgt1 reefcld efgt0 ltmulgt11 syl3anc mpbid caddc wceq syl2anc
      cc efadd pncan3d fveq2d eqtr3d breqtrd 3expia ltord1 mpan ) EAFGBFGHABIJA
      KLZBKLZIJMUAECDCNZKLZDNZKLZABFVNVOVPVRKOVPAKOVPBKOFUBVPFGZVQFGZEVPUCPVTVR
      FGZHVPVRIJZVQVSIJZUDEVTWBWCWDVTWBWCUEZVQVQVRVPUFTZKLZUNTZVSIWEUGWGIJZVQWH
      IJZWEWFUHGWIWEWFWEVRVPVTWBWCUIZVTWBWCUJZUKZVTWBWCQWFIJVPVRULUMUOWFUPRWEWA
      WGFGQVQIJZWIWJMWEVPWLUQWEWFWMUQWEVTWNWLVPURRVQWGUSUTVAWEVPWFVBTZKLZWHVSWE
      VPVEGWFVEGWPWHVCWEVPWLSZWEWFWMSVPWFVFVDWEWOVRKWEVPVRWQWEVRWKSVGVHVIVJVKPV
      LVM $.

    $( The exponential function on the reals is nondecreasing.  (Contributed by
       Mario Carneiro, 11-Mar-2014.) $)
    efle $p |- ( ( A e. RR /\ B e. RR ) ->
                 ( A <_ B <-> ( exp ` A ) <_ ( exp ` B ) ) ) $=
      ( cr wcel wa clt wbr wn ce cfv cle eflt ancoms notbid lenlt reefcl syl2an
      wb 3bitr4d ) ACDZBCDZEZBAFGZHBIJZAIJZFGZHZABKGUEUDKGZUBUCUFUATUCUFRBALMNA
      BOTUECDUDCDUHUGRUAAPBPUEUDOQS $.

    $( The exponential function on real numbers is one-to-one.  (Contributed by
       NM, 21-Aug-2008.)  (Revised by Mario Carneiro, 11-Mar-2014.) $)
    reef11 $p |- ( ( A e. RR /\ B e. RR )
          -> ( ( exp ` A ) = ( exp ` B ) <-> A = B ) ) $=
      ( cr wcel wa cle wbr ce cfv wceq efle ancoms anbi12d letri3 reefcl syl2an
      wb 3bitr4rd ) ACDZBCDZEZABFGZBAFGZEAHIZBHIZFGZUEUDFGZEZABJUDUEJZUAUBUFUCU
      GABKTSUCUGQBAKLMABNSUDCDUECDUIUHQTAOBOUDUENPR $.

    $( The exponential function maps real arguments one-to-one to positive
       reals.  (Contributed by Steve Rodriguez, 25-Aug-2007.)  (Revised by
       Mario Carneiro, 10-Nov-2013.) $)
    reeff1 $p |- ( exp |` RR ) : RR -1-1-> RR+ $=
      ( vx vy cr crp ce cres wf1 wf cv cfv wceq wi wral wfn cc wss eff mpbir2an
      wcel fvres ffn ax-mp ax-resscn fnssres mp2an rpefcl eqeltrd rgen ffnfv wa
      eqeqan12d reef11 biimpd sylbid rgen2 dff13 ) CDECFZGCDUQHZAIZUQJZBIZUQJZK
      ZUSVAKZLZBCMACMURUQCNZUTDSZACMEONZCOPVFOOEHVHQOOEUAUBUCOCEUDUEVGACUSCSZUT
      USEJZDUSCETZUSUFUGUHACDUQUIRVEABCCVIVACSZUJZVCVJVAEJZKZVDVIVLUTVJVBVNVKVA
      CETUKVMVOVDUSVAULUMUNUOABCDUQUPR $.
  $}

  ${
    $d A k n $.  $d k ph $.
    eflegeo.1 $e |- ( ph -> A e. RR ) $.
    eflegeo.2 $e |- ( ph -> 0 <_ A ) $.
    eflegeo.3 $e |- ( ph -> A < 1 ) $.
    $( The exponential function on the reals between 0 and 1 lies below the
       comparable geometric series sum.  (Contributed by Paul Chapman,
       11-Sep-2007.) $)
    eflegeo $p |- ( ph -> ( exp ` A ) <_ ( 1 / ( 1 - A ) ) ) $=
      ( vk vn cn0 cexp co cfv cdiv c1 cle cc0 wcel wceq adantl cr wbr cv cfa ce
      csu cmin cmpt nn0uz eqid eftval reeftcl sylan oveq2 ovex fvmpt reexpcl wa
      0zd cmul cn faccl nnred adantr simpr expge0d nnge1d lemulge12d clt nngt0d
      wb ledivmul syl112anc mpbird cc caddc cseq cli cdm recnd efcllem syl cabs
      absidd eqbrtrd geolim seqex breldm isumle efval isumclim eqcomd 3brtr4d
      expcl ) AHBFUAZIJZWMUBKZLJZFUDZHWNFUDZBUCKZMMBUEJZLJZNAWPWNFGHBGUAZIJZXBU
      BKLJUFZGHXCUFZOHUGAUQZWMHPZWMXDKWPQABGXDWMXDUHZUIRABSPZXGWPSPCBWMUJUKXGWM
      XEKWNQAGWMXCWNHXEXBWMBIULXEUHBWMIUMUNRZAXIXGWNSPZCBWMUOUKZAXGUPZWPWNNTZWN
      WOWNURJNTZXMWNWOXLXMWOXGWOUSPAWMUTRZVAZXMBWMAXIXGCVBAXGVCAOBNTXGDVBVDXMWO
      XPVEVFXMXKXKWOSPOWOVGTXNXOVIXLXLXQXMWOXPVHWNWNWOVJVKVLABVMPZVNXDOVOVPVQZP
      ABCVRZBGXDXHVSVTAVNXEOVOZXAVPTYAXSPABFXEXTABWAKBMVGABCDWBEWCXJWDZYAXAVPVN
      XEOWEMWTLUMWFVTWGAXRWSWQQXTBFWHVTAWRXAAWNXAFXEOHUGXFXJAXRXGWNVMPXTBWMWLUK
      YBWIWJWK $.
  $}

  ${
    $d x A $.
    $( Value of the sine function.  (Contributed by NM, 14-Mar-2005.)  (Revised
       by Mario Carneiro, 10-Nov-2013.) $)
    sinval $p |- ( A e. CC -> ( sin ` A ) =
    ( ( ( exp ` ( _i x. A ) ) - ( exp ` ( -u _i x. A ) ) ) / ( 2 x. _i ) ) ) $=
      ( vx ci cv cmul co ce cneg cmin c2 cdiv cc csin wceq oveq2 fveq2d oveq12d
      cfv oveq1d df-sin ovex fvmpt ) BACBDZEFZGRZCHZUCEFZGRZIFZJCEFZKFCAEFZGRZU
      FAEFZGRZIFZUJKFLMUCANZUIUOUJKUPUEULUHUNIUPUDUKGUCACEOPUPUGUMGUCAUFEOPQSBT
      UOUJKUAUB $.

    $( Value of the cosine function.  (Contributed by NM, 14-Mar-2005.)
       (Revised by Mario Carneiro, 10-Nov-2013.) $)
    cosval $p |- ( A e. CC -> ( cos ` A ) =
       ( ( ( exp ` ( _i x. A ) ) + ( exp ` ( -u _i x. A ) ) ) / 2 ) ) $=
      ( vx ci cv cmul co ce cfv cneg caddc c2 cdiv cc ccos oveq2 fveq2d oveq12d
      wceq oveq1d df-cos ovex fvmpt ) BACBDZEFZGHZCIZUCEFZGHZJFZKLFCAEFZGHZUFAE
      FZGHZJFZKLFMNUCARZUIUNKLUOUEUKUHUMJUOUDUJGUCACEOPUOUGULGUCAUFEOPQSBTUNKLU
      AUB $.
  $}

  $( Domain and codomain of the sine function.  (Contributed by Paul Chapman,
     22-Oct-2007.)  (Revised by Mario Carneiro, 30-Apr-2014.) $)
  sinf $p |- sin : CC --> CC $=
    ( vx cc ci cv cmul co ce cfv cneg cmin c2 cdiv csin df-sin wcel ax-icn mpan
    mulcl efcl syl negicn subcld cc0 wne 2mulicn 2muline0 divcl mp3an23 fmpti )
    ABBCADZEFZGHZCIZUJEFZGHZJFZKCEFZLFZMANUJBOZUPBOZURBOZUSULUOUSUKBOZULBOCBOUS
    VBPCUJRQUKSTUSUNBOZUOBOUMBOUSVCUAUMUJRQUNSTUBUTUQBOUQUCUDVAUEUFUPUQUGUHTUI
    $.

  $( Domain and codomain of the cosine function.  (Contributed by Paul Chapman,
     22-Oct-2007.)  (Revised by Mario Carneiro, 30-Apr-2014.) $)
  cosf $p |- cos : CC --> CC $=
    ( vx cc ci cv cmul co ce cfv cneg caddc c2 cdiv ccos df-cos wcel mulcl mpan
    ax-icn efcl syl negicn addcld halfcld fmpti ) ABBCADZEFZGHZCIZUEEFZGHZJFZKL
    FMANUEBOZUKULUGUJULUFBOZUGBOCBOULUMRCUEPQUFSTULUIBOZUJBOUHBOULUNUAUHUEPQUIS
    TUBUCUD $.

  $( Closure of the sine function.  (Contributed by NM, 28-Apr-2005.)  (Revised
     by Mario Carneiro, 30-Apr-2014.) $)
  sincl $p |- ( A e. CC -> ( sin ` A ) e. CC ) $=
    ( cc csin sinf ffvelrni ) BBACDE $.

  $( Closure of the cosine function with a complex argument.  (Contributed by
     NM, 28-Apr-2005.)  (Revised by Mario Carneiro, 30-Apr-2014.) $)
  coscl $p |- ( A e. CC -> ( cos ` A ) e. CC ) $=
    ( cc ccos cosf ffvelrni ) BBACDE $.

  ${
    $d x A $.
    $( Value of the tangent function.  (Contributed by Mario Carneiro,
       14-Mar-2014.) $)
    tanval $p |- ( ( A e. CC /\ ( cos ` A ) =/= 0 ) ->
                   ( tan ` A ) = ( ( sin ` A ) / ( cos ` A ) ) ) $=
      ( vx cc wcel ccos cfv cc0 wne wa ccnv cdif cima ctan csin cdiv wceq simpl
      csn co fveq2 coscl anim1i eldifsn sylibr wf wfn wb cosf ffn elpreima mp2b
      sylanbrc cv oveq12d df-tan ovex fvmpt syl ) ACDZAEFZGHZIZAEJCGRKZLZDZAMFA
      NFZUTOSZPVBUSUTVCDZVEUSVAQVBUTCDZVAIVHUSVIVAAUAUBUTCGUCUDCCEUEECUFVEUSVHI
      UGUHCCEUICAVCEUJUKULBABUMZNFZVJEFZOSVGVDMVJAPVKVFVLUTOVJANTVJAETUNBUOVFUT
      OUPUQUR $.
  $}

  $( The closure of the tangent function with a complex argument.  (Contributed
     by David A. Wheeler, 15-Mar-2014.) $)
  tancl $p |- ( ( A e. CC /\ ( cos ` A ) =/= 0 ) -> ( tan ` A ) e. CC ) $=
    ( cc wcel ccos cfv cc0 wa ctan csin cdiv co tanval sincl adantr coscl simpr
    wne divcld eqeltrd ) ABCZADEZFQZGZAHEAIEZUAJKBALUCUDUATUDBCUBAMNTUABCUBAONT
    UBPRS $.

  ${
    sincld.1 $e |- ( ph -> A e. CC ) $.
    $( Closure of the sine function.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    sincld $p |- ( ph -> ( sin ` A ) e. CC ) $=
      ( cc wcel csin cfv sincl syl ) ABDEBFGDECBHI $.

    $( Closure of the cosine function.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    coscld $p |- ( ph -> ( cos ` A ) e. CC ) $=
      ( cc wcel ccos cfv coscl syl ) ABDEBFGDECBHI $.

    tancld.2 $e |- ( ph -> ( cos ` A ) =/= 0 ) $.
    $( Closure of the tangent function.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    tancld $p |- ( ph -> ( tan ` A ) e. CC ) $=
      ( cc wcel ccos cfv cc0 wne ctan tancl syl2anc ) ABEFBGHIJBKHEFCDBLM $.
  $}

  $( Express the tangent function directly in terms of ` exp ` .  (Contributed
     by Mario Carneiro, 25-Feb-2015.) $)
  tanval2 $p |- ( ( A e. CC /\ ( cos ` A ) =/= 0 ) -> ( tan ` A ) =
    ( ( ( exp ` ( _i x. A ) ) - ( exp ` ( -u _i x. A ) ) ) /
      ( _i x. ( ( exp ` ( _i x. A ) ) + ( exp ` ( -u _i x. A ) ) ) ) ) ) $=
    ( cc wcel cfv cc0 wne ci cmul co ce cdiv c2 2cn ax-icn adantr mulcl sylancr
    wceq efcl a1i ccos wa ctan cneg cmin caddc csin tanval mulcomi oveq2i simpl
    sinval negicn subcld ine0 2ne0 divdiv1d 3eqtr4a cosval oveq12d eqtrd divcld
    syl addcld simpr eqnetrrd diveq0ad necon3bid mpbid divcan7d 3eqtrd ) ABCZAU
    ADZEFZUBZAUCDZGAHIZJDZGUDZAHIZJDZUEIZGKIZLKIZVRWAUFIZLKIZKIZWCWEKIWBGWEHIKI
    VOVPAUGDZVMKIWGAUHVOWHWDVMWFKVOWBLGHIZKIZWBGLHIZKIWHWDWIWKWBKLGMNUIUJVLWHWJ
    RVNAULOVOWBGLVOVRWAVOVQBCZVRBCVOGBCZVLWLNVLVNUKZGAPQVQSVCZVOVTBCZWABCVOVSBC
    VLWPUMWNVSAPQVTSVCZUNZWMVONTZLBCVOMTZGEFVOUOTZLEFVOUPTZUQURVLVMWFRVNAUSOZUT
    VAVOWCWELVOWBGWRWSXAVBVOVRWAWOWQVDZWTVOWFEFWEEFVOVMWFEXCVLVNVEVFVOWFEWEEVOW
    ELXDWTXBVGVHVIZXBVJVOWBGWEWRWSXDXAXEUQVK $.

  $( Express the tangent function directly in terms of ` exp ` .  (Contributed
     by Mario Carneiro, 25-Feb-2015.) $)
  tanval3 $p |- ( ( A e. CC /\ ( ( exp ` ( 2 x. ( _i x. A ) ) ) + 1 ) =/= 0 )
  -> ( tan ` A ) = ( ( ( exp ` ( 2 x. ( _i x. A ) ) ) - 1 ) /
      ( _i x. ( ( exp ` ( 2 x. ( _i x. A ) ) ) + 1 ) ) ) ) $=
    ( cc wcel c2 ci cmul co ce cfv caddc cc0 wne cmin cdiv ax-icn mulcl sylancr
    c1 syl wceq wa cneg ctan simpl efcl negicn subcld addcld cexp cz 2z sylancl
    efexp sqvald eqtrd mulneg1 fveq2d oveq2d efcan eqtr2d oveq12d adddid eqtr4d
    a1i mul12d 2cn ax-1cn addcl simpr mulne0d eqnetrrd mulne0bbd efne0 divcan5d
    ine0 subdid ccos cosval adantr 2cnd divne0d eqnetrd tanval2 syldan 3eqtr4rd
    2ne0 ) ABCZDEAFGZFGZHIZRJGZKLZUAZWHHIZWNEUBZAFGZHIZMGZFGZWNEWNWQJGZFGZFGZNG
    WRXANGZWJRMGZEWKFGZNGAUCIZWMWRXAWNWMWNWQWMWHBCZWNBCWMEBCZWGXGOWGWLUDZEAPQZW
    HUESZWMWPBCZWQBCWMWOBCWGXLUFXIWOAPQWPUESZUGWMXHWTBCXABCOWMWNWQXKXMUHZEWTPQZ
    XKWMWNXAXKXOWMXEXBKWMXEEWNWTFGZFGXBWMWKXPEFWMWKWNWNFGZWNWQFGZJGXPWMWJXQRXRJ
    WMWJWNDUIGZXQWMXGDUJCWJXSTXJUKWHDUMULWMWNXKUNUOZWMXRWNWHUBZHIZFGZRWMWQYBWNF
    WMWPYAHWMXHWGWPYATOXIEAUPQUQURWMXGYCRTXJWHUSSUTZVAWMWNWNWQXKXKXMVBVCURWMEWN
    WTXHWMOVDZXKXNVEUOZWMEWKYEWMWJBCZRBCWKBCWMWIBCZYGWMDBCXGYHVFXJDWHPQWIUESVGW
    JRVHULEKLWMVOVDWGWLVIVJVKVLZWMXGWNKLXJWHVMSVNWMXDWSXEXBNWMXDXQXRMGWSWMWJXQR
    XRMXTYDVAWMWNWNWQXKXKXMVPVCYFVAWGWLAVQIZKLXFXCTWMYJWTDNGZKWGYJYKTWLAVRVSWMW
    TDXNWMVTWMEWTYEXNYIVLDKLWMWFVDWAWBAWCWDWE $.

  $( The sine of a real number in terms of the exponential function.
     (Contributed by NM, 30-Apr-2005.) $)
  resinval $p |- ( A e. RR -> ( sin ` A ) = ( Im ` ( exp ` ( _i x. A ) ) ) ) $=
    ( cr wcel ci cmul co ce cfv cneg cmin c2 cdiv csin cc ax-icn sylancr oveq2d
    ccj wceq syl cim recn cjmul cji oveq1i cjre eqtrid eqtrd fveq2d efcj eqtr3d
    mulcl oveq1d sinval efcl imval2 3syl 3eqtr4d ) ABCZDAEFZGHZDIZAEFZGHZJFZKDE
    FZLFZVAVARHZJFZVFLFZAMHZVAUAHZUSVEVIVFLUSVDVHVAJUSUTRHZGHZVDVHUSVMVCGUSVMDR
    HZARHZEFZVCUSDNCZANCZVMVQSOAUBZDAUCPUSVQVBVPEFVCVOVBVPEUDUEUSVPAVBEAUFQUGUH
    UIUSUTNCZVNVHSUSVRVSWAOVTDAULPZUTUJTUKQUMUSVSVKVGSVTAUNTUSWAVANCVLVJSWBUTUO
    VAUPUQUR $.

  $( The cosine of a real number in terms of the exponential function.
     (Contributed by NM, 30-Apr-2005.) $)
  recosval $p |- ( A e. RR -> ( cos ` A ) = ( Re ` ( exp ` ( _i x. A ) ) ) ) $=
    ( cr wcel ci cmul co ce cfv cneg caddc c2 cdiv ccj ccos wceq ax-icn sylancr
    cc oveq2d syl cre recn cjmul cji oveq1i cjre eqtrid eqtrd fveq2d mulcl efcj
    eqtr3d oveq1d cosval efcl reval 3syl 3eqtr4d ) ABCZDAEFZGHZDIZAEFZGHZJFZKLF
    ZVAVAMHZJFZKLFZANHZVAUAHZUSVEVHKLUSVDVGVAJUSUTMHZGHZVDVGUSVLVCGUSVLDMHZAMHZ
    EFZVCUSDRCZARCZVLVPOPAUBZDAUCQUSVPVBVOEFVCVNVBVOEUDUEUSVOAVBEAUFSUGUHUIUSUT
    RCZVMVGOUSVQVRVTPVSDAUJQZUTUKTULSUMUSVRVJVFOVSAUNTUSVTVARCVKVIOWAUTUOVAUPUQ
    UR $.

  ${
    $d A k n $.  $d F k $.
    efi4p.1 $e |- F = ( n e. NN0 |-> ( ( ( _i x. A ) ^ n ) / ( ! ` n ) ) ) $.
    $( Separate out the first four terms of the infinite series expansion of
       the exponential function.  (Contributed by Paul Chapman, 19-Jan-2008.)
       (Revised by Mario Carneiro, 30-Apr-2014.) $)
    efi4p $p |- ( A e. CC -> ( exp ` ( _i x. A ) ) =
        ( ( ( 1 - ( ( A ^ 2 ) / 2 ) ) + ( _i x. ( A - ( ( A ^ 3 ) / 6 ) ) ) ) +
          sum_ k e. ( ZZ>= ` 4 ) ( F ` k ) ) ) $=
      ( cc wcel ci cmul co c1 caddc c2 cexp cdiv c3 c6 wceq ax-icn syl ce c4 cv
      cfv cuz csu cmin mulcl mpan ef4p ax-1cn addcl sylancr sqcld halfcld expcl
      cn0 3nn0 sylancl cc0 wne 6cn 6re gt0ne0ii divcl mp3an23 addassd a1i add4d
      6pos cneg 2nn0 mulexp mp3an13 oveq1i sqcl mulm1d 3eqtrd oveq1d 2cn divneg
      i2 2ne0 eqtr4d oveq2d negsub eqtrd i3 eqtrdi mpan2 negicn pm3.2i mulneg12
      wa divass negcld adddi mp3an1 mpdan 3eqtr2d oveq12d ) AFGZHAIJZUAUDZKXCLJ
      ZXCMNJZMOJZLJXCPNJZQOJZLJZUBUEUDBUCDUDBUFZLJZKAMNJZMOJZUGJZHAAPNJZQOJZUGJ
      ZIJZLJZXKLJXBXCFGZXDXLRHFGZXBYASHAUHUIZXCBCDEUJTXBXJXTXKLXBXJXEXGXILJLJKX
      GLJZXCXILJZLJXTXBXEXGXIXBKFGZYAXEFGUKYCKXCULUMXBXFXBXCYCUNUOZXBXHFGZXIFGZ
      XBYAPUQGZYHYCURXCPUPUSYHQFGZQUTVAZYIVBQVCVJVDZXHQVEVFTZVGXBKXCXGXIYFXBUKV
      HYCYGYNVIXBYDXOYEXSLXBYDKXNVKZLJZXOXBXGYOKLXBXGXMVKZMOJZYOXBXFYQMOXBXFHMN
      JZXMIJZKVKZXMIJZYQYBXBMUQGXFYTRSVLHAMVMVNYTUUBRXBYSUUAXMIWBVOVHXBXMAVPZVQ
      VRVSXBXMFGZYOYRRZUUCUUDMFGMUTVAUUEVTWCXMMWAVFTWDWEXBYFXNFGYPXORUKXBXMUUCU
      OKXNWFUMWGXBYEXCHXQVKZIJZLJZHAUUFLJZIJZXSXBXIUUGXCLXBXIHVKZXPIJZQOJZUUKXQ
      IJZUUGXBXHUULQOXBXHHPNJZXPIJZUULYBXBYJXHUUPRSURHAPVMVNUUOUUKXPIWHVOWIVSXB
      XPFGZUUMUUNRZXBYJUUQURAPUPWJZUUKFGUUQYKYLWNUURWKYKYLVBYMWLUUKXPQWOVNTXBYB
      XQFGZUUNUUGRSXBUUQUUTUUSUUQYKYLUUTVBYMXPQVEVFTZHXQWMUMVRWEXBUUFFGZUUJUUHR
      ZXBXQUVAWPYBXBUVBUVCSHAUUFWQWRWSXBUUIXRHIXBUUTUUIXRRUVAAXQWFWSWEWTXAVRVSW
      G $.

    $( Separate out the first four terms of the infinite series expansion of
       the sine of a real number.  (Contributed by Paul Chapman, 19-Jan-2008.)
       (Revised by Mario Carneiro, 30-Apr-2014.) $)
    resin4p $p |- ( A e. RR -> ( sin ` A ) = ( ( A - ( ( A ^ 3 ) / 6 ) ) +
                       ( Im ` sum_ k e. ( ZZ>= ` 4 ) ( F ` k ) ) ) ) $=
      ( cr wcel cfv ci cmul co cim c3 cexp c6 c4 caddc c1 cc sylancr csin ce cv
      cdiv cmin cuz csu resinval c2 wceq recn efi4p syl fveq2d resqcl rehalfcld
      1re resubcl recnd ax-icn cn0 3nn0 reexpcl mpan2 cc0 wne 6re 6pos gt0ne0ii
      redivcl mp3an23 mpdan mulcl addcld 4nn0 eftlcl imaddd crimd oveq1d 3eqtrd
      sylancl eqtrd ) AFGZAUAHIAJKZUBHZLHZAAMNKZOUDKZUEKZPUFHBUCDHBUGZLHZQKZAUH
      WCWFRAUINKZUIUDKZUEKZIWIJKZQKZWJQKZLHWQLHZWKQKWLWCWEWRLWCASGZWEWRUJAUKZAB
      CDEULUMUNWCWQWJWCWOWPWCWOWCRFGWNFGWOFGUQWCWMAUOUPRWNURTZUSWCISGZWISGWPSGU
      TWCWIWCWHFGZWIFGWCWGFGZXDWCMVAGXEVBAMVCVDXEOFGOVEVFXDVGOVGVHVIWGOVJVKUMAW
      HURVLZUSIWIVMTVNWCWDSGZPVAGWJSGWCXCWTXGUTXAIAVMTVOWDBCDPEVPWAVQWCWSWIWKQW
      CWOWIXBXFVRVSVTWB $.

    $( Separate out the first four terms of the infinite series expansion of
       the cosine of a real number.  (Contributed by Paul Chapman,
       19-Jan-2008.)  (Revised by Mario Carneiro, 30-Apr-2014.) $)
    recos4p $p |- ( A e. RR -> ( cos ` A ) = ( ( 1 - ( ( A ^ 2 ) / 2 ) ) +
                       ( Re ` sum_ k e. ( ZZ>= ` 4 ) ( F ` k ) ) ) ) $=
      ( cr wcel cfv ci cmul co cre c1 c2 c4 caddc c3 c6 cc sylancr ccos ce cexp
      cdiv cmin cuz cv csu recosval wceq recn efi4p syl fveq2d resqcl rehalfcld
      1re resubcl recnd ax-icn cn0 3nn0 reexpcl mpan2 cc0 wne 6re 6pos gt0ne0ii
      redivcl mp3an23 mpdan mulcl addcld 4nn0 eftlcl readdd crred oveq1d 3eqtrd
      sylancl eqtrd ) AFGZAUAHIAJKZUBHZLHZMANUCKZNUDKZUEKZOUFHBUGDHBUHZLHZPKZAU
      IWCWFWIIAAQUCKZRUDKZUEKZJKZPKZWJPKZLHWQLHZWKPKWLWCWEWRLWCASGZWEWRUJAUKZAB
      CDEULUMUNWCWQWJWCWIWPWCWIWCMFGWHFGWIFGUQWCWGAUOUPMWHURTZUSWCISGZWOSGWPSGU
      TWCWOWCWNFGZWOFGWCWMFGZXDWCQVAGXEVBAQVCVDXERFGRVEVFXDVGRVGVHVIWMRVJVKUMAW
      NURVLZUSIWOVMTVNWCWDSGZOVAGWJSGWCXCWTXGUTXAIAVMTVOWDBCDOEVPWAVQWCWSWIWKPW
      CWIWOXBXFVRVSVTWB $.
  $}

  $( The sine of a real number is real.  (Contributed by NM, 30-Apr-2005.) $)
  resincl $p |- ( A e. RR -> ( sin ` A ) e. RR ) $=
    ( cr wcel csin cfv ci cmul co ce resinval cc ax-icn recn mulcl sylancr efcl
    cim syl imcld eqeltrd ) ABCZADEFAGHZIEZQEBAJUAUCUAUBKCZUCKCUAFKCAKCUDLAMFAN
    OUBPRST $.

  $( The cosine of a real number is real.  (Contributed by NM, 30-Apr-2005.) $)
  recoscl $p |- ( A e. RR -> ( cos ` A ) e. RR ) $=
    ( cr wcel ccos cfv ci cmul co ce recosval cc ax-icn recn mulcl sylancr efcl
    cre syl recld eqeltrd ) ABCZADEFAGHZIEZQEBAJUAUCUAUBKCZUCKCUAFKCAKCUDLAMFAN
    OUBPRST $.

  $( The closure of the tangent function with a real argument.  (Contributed by
     David A. Wheeler, 15-Mar-2014.) $)
  retancl $p |- ( ( A e. RR /\ ( cos ` A ) =/= 0 ) -> ( tan ` A ) e. RR ) $=
    ( cr wcel ccos cfv cc0 wne wa ctan csin cdiv co cc wceq recn tanval recoscl
    sylan resincl redivcl syl3an1 syl3an2 3anidm12 eqeltrd ) ABCZADEZFGZHAIEZAJ
    EZUFKLZBUEAMCUGUHUJNAOAPRUEUGUJBCZUEUEUFBCZUGUKAQUEUIBCULUGUKASUIUFTUAUBUCU
    D $.

  ${
    resincld.1 $e |- ( ph -> A e. RR ) $.
    $( Closure of the sine function.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    resincld $p |- ( ph -> ( sin ` A ) e. RR ) $=
      ( cr wcel csin cfv resincl syl ) ABDEBFGDECBHI $.

    $( Closure of the cosine function.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    recoscld $p |- ( ph -> ( cos ` A ) e. RR ) $=
      ( cr wcel ccos cfv recoscl syl ) ABDEBFGDECBHI $.

    retancld.2 $e |- ( ph -> ( cos ` A ) =/= 0 ) $.
    $( Closure of the tangent function.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    retancld $p |- ( ph -> ( tan ` A ) e. RR ) $=
      ( cr wcel ccos cfv cc0 wne ctan retancl syl2anc ) ABEFBGHIJBKHEFCDBLM $.
  $}

  $( The sine of a negative is the negative of the sine.  (Contributed by NM,
     30-Apr-2005.) $)
  sinneg $p |- ( A e. CC -> ( sin ` -u A ) = -u ( sin ` A ) ) $=
    ( cc wcel cneg csin cfv ci cmul co ce cmin cdiv wceq sinval syl ax-icn mpan
    mulcl efcl eqtr4d c2 negcl negeqd negicn subcld cc0 2mulicn 2muline0 divneg
    wne mp3an23 eqtrd mulneg12 eqcomd fveq2d mul2neg oveq12d negsubdi2d oveq1d
    ) ABCZADZEFZGVAHIZJFZGDZVAHIZJFZKIZUAGHIZLIZAEFZDZUTVABCVBVJMAUBVANOUTVLGAH
    IZJFZVEAHIZJFZKIZDZVILIZVJUTVLVQVILIZDZVSUTVKVTANUCUTVQBCZWAVSMZUTVNVPUTVMB
    CZVNBCGBCZUTWDPGARQVMSOZUTVOBCZVPBCVEBCUTWGUDVEARQVOSOZUEWBVIBCVIUFUJWCUGUH
    VQVIUIUKOULUTVHVRVILUTVHVPVNKIVRUTVDVPVGVNKUTVCVOJUTVOVCWEUTVOVCMPGAUMQUNUO
    UTVFVMJWEUTVFVMMPGAUPQUOUQUTVNVPWFWHURTUSTT $.

  $( The cosines of a number and its negative are the same.  (Contributed by
     NM, 30-Apr-2005.) $)
  cosneg $p |- ( A e. CC -> ( cos ` -u A ) = ( cos ` A ) ) $=
    ( cc wcel ci cneg cmul co ce cfv caddc cdiv ccos mulcl mpan efcl syl ax-icn
    c2 wceq fveq2d negicn mulneg12 eqcomd mul2neg oveq12d comraddd oveq1d negcl
    cosval 3eqtr4d ) ABCZDAEZFGZHIZDEZULFGZHIZJGZRKGZDAFGZHIZUOAFGZHIZJGZRKGULL
    IZALIUKURVDRKUKURVCVAUKVBBCZVCBCUOBCUKVFUAUOAMNVBOPUKUTBCZVABCDBCZUKVGQDAMN
    UTOPUKUNVCUQVAJUKUMVBHUKVBUMVHUKVBUMSQDAUBNUCTUKUPUTHVHUKUPUTSQDAUDNTUEUFUG
    UKULBCVEUSSAUHULUIPAUIUJ $.

  $( The tangent of a negative is the negative of the tangent.  (Contributed by
     David A. Wheeler, 23-Mar-2014.) $)
  tanneg $p |- ( ( A e. CC /\ ( cos ` A ) =/= 0 ) ->
                      ( tan ` -u A ) = -u ( tan ` A ) ) $=
    ( cc wcel ccos cfv cc0 wne wa csin cdiv cneg ctan wceq coscl divneg syl3an1
    co sincl tanval adantr syl3an2 3anidm12 negeqd negcl simpr eqnetrd syl2an2r
    cosneg sinneg oveq12d eqtrd 3eqtr4rd ) ABCZADEZFGZHZAIEZUNJQZKZUQKZUNJQZALE
    ZKAKZLEZUMUOUSVAMZUMUMUNBCZUOVEANUMUQBCVFUOVEARUQUNOPUAUBUPVBURASUCUPVDVCIE
    ZVCDEZJQZVAUMVCBCUOVHFGVDVIMAUDUPVHUNFUMVHUNMUOAUHZTUMUOUEUFVCSUGUMVIVAMUOU
    MVGUTVHUNJAUIVJUJTUKUL $.

  $( Value of the sine function at 0.  (Contributed by Steve Rodriguez,
     14-Mar-2005.) $)
  sin0 $p |- ( sin ` 0 ) = 0 $=
    ( cc0 csin cfv cneg wceq neg0 fveq2i cc wcel 0cn sinneg ax-mp eqtr3i eqnegi
    sincl mpbi ) ABCZQDZEQAEADZBCZQRSABFGAHIZTREJAKLMQUAQHIJAOLNP $.

  $( Value of the cosine function at 0.  (Contributed by NM, 30-Apr-2005.) $)
  cos0 $p |- ( cos ` 0 ) = 1 $=
    ( cc0 ccos cfv ci cmul co ce cre c1 cr wcel 0re recosval ax-mp it0e0 fveq2i
    wceq ef0 eqtri re1 ) ABCZDAEFZGCZHCZIAJKUAUDQLAMNUDIHCIUCIHUCAGCIUBAGOPRSPT
    SS $.

  $( The value of the tangent function at zero is zero.  (Contributed by David
     A. Wheeler, 16-Mar-2014.) $)
  tan0 $p |- ( tan ` 0 ) = 0 $=
    ( cc0 ctan cfv csin ccos cdiv co cc wcel wne wceq c1 ax-1ne0 eqnetri tanval
    0cn cos0 mp2an sin0 oveq1i ax-1cn eqeltri div0i 3eqtri ) ABCZADCZAECZFGZAUG
    FGAAHIUGAJUEUHKPUGLAQMNZAORUFAUGFSTUGUGLHQUAUBUIUCUD $.

  $( The exponential function in terms of sine and cosine.  (Contributed by NM,
     30-Apr-2005.) $)
  efival $p |- ( A e. CC -> ( exp ` ( _i x. A ) ) =
                ( ( cos ` A ) + ( _i x. ( sin ` A ) ) ) ) $=
    ( cc wcel ci cmul co ce cfv caddc c2 cdiv wceq ax-icn mulcl syl 2cn 3eqtr4d
    2ne0 c1 eqtr3i cneg cmin ccos csin mpan negicn addcld subcld cc0 wne pm3.2i
    efcl wa divdir mp3an3 syl2anc pncan3d oveq2d addassd 2timesd oveq1d divcan3
    mp3an23 eqtr2d cosval 2mulicn 2muline0 mp3an13 sinval divrec mulid2i oveq1i
    div12 ine0 dividi oveq2i ax-1cn divmuldivi halfcn mulid1i eqtr4di oveq12d )
    ABCZDAEFZGHZDUAZAEFZGHZIFZWEWHUBFZIFZJKFZWIJKFZWJJKFZIFZWEAUCHZDAUDHZEFZIFW
    CWIBCZWJBCZWLWOLZWCWEWHWCWDBCZWEBCZDBCZWCXBMDANUEWDULOZWCWGBCZWHBCWFBCWCXFU
    FWFANUEWGULOZUGWCWEWHXEXGUHZWSWTJBCZJUIUJZUMXAXIXJPRUKWIWJJUNUOUPWCWLJWEEFZ
    JKFZWEWCWKXKJKWCWEWHWJIFZIFWEWEIFWKXKWCXMWEWEIWCWHWEXGXEUQURWCWEWHWJXEXGXHU
    SWCWEXEUTQVAWCXCXLWELZXEXCXIXJXNPRWEJVBVCOVDWCWPWMWRWNIAVEWCDWJJDEFZKFZEFZW
    JDXOKFZEFZWRWNWCWTXQXSLZXHXDWTXOBCZXOUIUJZUMXTMYAYBVFVGUKDWJXOVMVHOWCWQXPDE
    AVIURWCWNWJSJKFZEFZXSWCWTWNYDLZXHWTXIXJYEPRWJJVJVCOXRYCWJESDEFZXOKFZXRYCYFD
    XOKDMVKVLYCSEFZYGYCYCDDKFZEFYHYGYISYCEDMVNVOVPSJDDVQPMMRVNVRTYCVSVTTTVPWAQW
    BQ $.

  $( The exponential function in terms of sine and cosine.  (Contributed by NM,
     14-Jan-2006.) $)
  efmival $p |- ( A e. CC -> ( exp ` ( -u _i x. A ) ) =
                ( ( cos ` A ) - ( _i x. ( sin ` A ) ) ) ) $=
    ( cc wcel ci cneg cmul co ce cfv ccos csin cmin wceq ax-icn mulneg12 fveq2d
    mpan caddc sylancr eqtrd negcl efival syl cosneg sinneg sincl mulneg2 coscl
    oveq2d oveq12d mulcl negsubd ) ABCZDEAFGZHIDAEZFGZHIZAJIZDAKIZFGZLGZUMUNUPH
    DBCZUMUNUPMNDAOQPUMUQUOJIZDUOKIZFGZRGZVAUMUOBCUQVFMAUAUOUBUCUMVFURUTEZRGVAU
    MVCURVEVGRAUDUMVEDUSEZFGZVGUMVDVHDFAUEUIUMVBUSBCZVIVGMNAUFZDUSUGSTUJUMURUTA
    UHUMVBVJUTBCNVKDUSUKSULTTT $.

  $( Value of the hyperbolic sine of a complex number.  (Contributed by Mario
     Carneiro, 4-Apr-2015.) $)
  sinhval $p |- ( A e. CC -> ( ( sin ` ( _i x. A ) ) / _i ) =
    ( ( ( exp ` A ) - ( exp ` -u A ) ) / 2 ) ) $=
    ( cc wcel ci cmul co cfv cdiv ce cneg cmin c2 c1 oveq1i ax-icn eqtri oveq1d
    wceq a1i eqtrd csin ixi mulass mp3an12 mulm1 3eqtr3a fveq2d mulneg1i negeqi
    negneg1e1 negicn mulid2 oveq12d mulcl mpan sinval syl irec ine0 reccli efcl
    negnegi negcl halfcld mulneg12 sylancr 2cnd cc0 wne 2ne0 divnegd negsubdi2d
    subcld oveq2d divrec2d divdiv1d 3eqtr2d eqtr3id 3eqtr4d divcan3d ) ABCZDAEF
    ZUAGZDHFDAIGZAJZIGZKFZLHFZEFZDHFWHWAWCWIDHWADWBEFZIGZDJZWBEFZIGZKFZLDEFZHFZ
    WFWDKFZWPHFZWCWIWAWOWRWPHWAWKWFWNWDKWAWJWEIWADDEFZAEFZMJZAEFWJWEWTXBAEUBNDB
    CZXCWAXAWJROODDAUCUDAUEUFUGWAWMAIWAWLDEFZAEFZMAEFWMAXDMAEXDWTJZMDDOOUHXFXBJ
    MWTXBUBUIUJPPNWLBCXCWAXEWMRUKOWLDAUCUDAULUFUGUMQWAWBBCZWCWQRXCWAXGODAUNUOWB
    UPUQWAWIMDHFZJZWHEFZWSXIDWHEXIWLJDXHWLURUIDOVBPNWAXJXHWHJZEFZWSWAXHBCWHBCXJ
    XLRDOUSUTWAWGWAWDWFAVAZWAWEBCWFBCAVCWEVAUQZVMZVDZXHWHVEVFWAXLXHWRLHFZEFXQDH
    FWSWAXKXQXHEWAXKWGJZLHFXQWAWGLXOWAVGZLVHVIWAVJSZVKWAXRWRLHWAWDWFXMXNVLQTVNW
    AXQDWAWRWAWFWDXNXMVMZVDXCWAOSZDVHVIWAUSSZVOWAWRLDYAXSYBXTYCVPVQTVRVSQWAWHDX
    PYBYCVTT $.

  $( Value of the hyperbolic cosine of a complex number.  (Contributed by Mario
     Carneiro, 4-Apr-2015.) $)
  coshval $p |- ( A e. CC -> ( cos ` ( _i x. A ) ) =
    ( ( ( exp ` A ) + ( exp ` -u A ) ) / 2 ) ) $=
    ( cc wcel ci cmul co cfv ce cneg caddc cdiv wceq ax-icn syl efcl ixi oveq1i
    c2 c1 mulass ccos mulcl cosval negcl mp3an12 3eqtr3a fveq2d mulneg1i negeqi
    mpan mulm1 negneg1e1 3eqtri negicn mulid2 oveq12d comraddd oveq1d eqtrd ) A
    BCZDAEFZUAGZDVAEFZHGZDIZVAEFZHGZJFZRKFZAHGZAIZHGZJFZRKFUTVABCZVBVILDBCZUTVN
    MDAUBUJVAUCNUTVHVMRKUTVHVLVJUTVKBCVLBCAUDVKONAOUTVDVLVGVJJUTVCVKHUTDDEFZAEF
    ZSIZAEFVCVKVPVRAEPQVOVOUTVQVCLMMDDATUEAUKUFUGUTVFAHUTVEDEFZAEFZSAEFVFAVSSAE
    VSVPIVRISDDMMUHVPVRPUIULUMQVEBCVOUTVTVFLUNMVEDATUEAUOUFUGUPUQURUS $.

  $( The hyperbolic sine of a real number is real.  (Contributed by Mario
     Carneiro, 4-Apr-2015.) $)
  resinhcl $p |- ( A e. RR -> ( ( sin ` ( _i x. A ) ) / _i ) e. RR ) $=
    ( cr wcel ci cmul co csin cfv cdiv ce cneg cmin c2 cc wceq recn sinhval syl
    reefcl renegcl reefcld resubcld rehalfcld eqeltrd ) ABCZDAEFGHDIFZAJHZAKZJH
    ZLFZMIFZBUEANCUFUKOAPAQRUEUJUEUGUIASUEUHATUAUBUCUD $.

  $( The hyperbolic cosine of a real number is a positive real.  (Contributed
     by Mario Carneiro, 4-Apr-2015.) $)
  rpcoshcl $p |- ( A e. RR -> ( cos ` ( _i x. A ) ) e. RR+ ) $=
    ( cr wcel ci cmul co ccos cfv ce cneg caddc c2 cdiv crp cc wceq coshval syl
    recn rpefcl renegcl rpefcld rpaddcld rphalfcld eqeltrd ) ABCZDAEFGHZAIHZAJZ
    IHZKFZLMFZNUFAOCUGULPASAQRUFUKUFUHUJATUFUIAUAUBUCUDUE $.

  $( The hyperbolic cosine of a real number is real.  (Contributed by Mario
     Carneiro, 4-Apr-2015.) $)
  recoshcl $p |- ( A e. RR -> ( cos ` ( _i x. A ) ) e. RR ) $=
    ( cr wcel ci cmul co ccos cfv rpcoshcl rpred ) ABCDAEFGHAIJ $.

  $( The hyperbolic tangent of a real number is real.  (Contributed by Mario
     Carneiro, 4-Apr-2015.) $)
  retanhcl $p |- ( A e. RR -> ( ( tan ` ( _i x. A ) ) / _i ) e. RR ) $=
    ( cr wcel ci cmul co ctan cfv cdiv csin ccos cc0 wne wceq ax-icn recn mulcl
    cc sylancr a1i rpcoshcl rpne0d tanval syl2anc oveq1d sincld recnd divdiv32d
    recoshcl ine0 eqtrd resinhcl rerpdivcld eqeltrd ) ABCZDAEFZGHZDIFZUPJHZDIFZ
    UPKHZIFZBUOURUSVAIFZDIFVBUOUQVCDIUOUPRCZVALMUQVCNUODRCZARCVDOAPDAQSZUOVAAUA
    ZUBZUPUCUDUEUOUSVADUOUPVFUFUOVAAUIUGVEUOOTVHDLMUOUJTUHUKUOUTVAAULVGUMUN $.

  $( The hyperbolic tangent of a real number is upper bounded by ` 1 ` .
     (Contributed by Mario Carneiro, 4-Apr-2015.) $)
  tanhlt1 $p |- ( A e. RR -> ( ( tan ` ( _i x. A ) ) / _i ) < 1 ) $=
    ( cr wcel ci cmul co cfv cdiv ce c1 clt c2 cc0 wne wceq recnd a1i syl wbr
    cc ctan cneg cmin caddc csin ccos ax-icn recn mulcl sylancr rpcoshcl rpne0d
    tanval syl2anc oveq1d sincld recoshcl ine0 divdiv32d sinhval coshval 3eqtrd
    oveq12d reefcl renegcl resubcld readdcld 2cnd eqnetrrd 2ne0 divne0bd mpbird
    reefcld divcan7d eqtrd rpefcld ltsubrpd ltaddrpd lttrd mulid1d 1red addgt0d
    breqtrrd wb efgt0 ltdivmul syl112anc eqbrtrd ) ABCZDAEFZUAGZDHFZAIGZAUBZIGZ
    UCFZWMWOUDFZHFZJKWIWLWPLHFZWQLHFZHFZWRWIWLWJUEGZWJUFGZHFZDHFXBDHFZXCHFXAWIW
    KXDDHWIWJTCZXCMNWKXDOWIDTCZATCZXFUGAUHZDAUIUJZWIXCAUKULZWJUMUNUOWIXBXCDWIWJ
    XJUPWIXCAUQPXGWIUGQXKDMNWIURQUSWIXEWSXCWTHWIXHXEWSOXIAUTRWIXHXCWTOXIAVARZVC
    VBWIWPWQLWIWPWIWMWOAVDZWIWNAVEZVMZVFZPWIWQWIWMWOXMXOVGZPZWIVHZWIWQMNWTMNWIX
    CWTMXLXKVIWIWQLXRXSLMNWIVJQZVKVLXTVNVOWIWRJKSZWPWQJEFZKSZWIWPWQYBKWIWPWMWQX
    PXMXQWIWMWOXMWIWNXNVPZVQWIWMWOXMYDVRVSWIWQXRVTWCWIWPBCJBCWQBCMWQKSYAYCWDXPW
    IWAXQWIWMWOXMXOAWEWIWNBCMWOKSXNWNWERWBWPJWQWFWGVLWH $.

  $( The hyperbolic tangent of a real number is bounded by ` 1 ` .
     (Contributed by Mario Carneiro, 4-Apr-2015.) $)
  tanhbnd $p |- ( A e. RR ->
    ( ( tan ` ( _i x. A ) ) / _i ) e. ( -u 1 (,) 1 ) ) $=
    ( cr wcel ci cmul co ctan cfv cdiv c1 clt wbr cc ax-icn sylancr a1i cc0 wne
    cneg wceq cioo retanhcl recn mulcl ccos rpcoshcl rpne0d tancld ine0 divnegd
    mulneg2 fveq2d tanneg syl2anc oveq1d eqtr4d renegcl tanhlt1 syl eqbrtrd 1re
    eqtrd ltnegcon1 sylancl mpbid cxr w3a neg1rr rexri elioo2 mp2an syl3anbrc
    wb ) ABCZDAEFZGHZDIFZBCZJSZVQKLZVQJKLZVQVSJUAFCZAUBZVNVQSZJKLZVTVNWDDASZEFZ
    GHZDIFZJKVNWDVPSZDIFWIVNVPDVNVOVNDMCZAMCZVOMCZNAUCZDAUDOZVNVOUEHZAUFUGZUHWK
    VNNPDQRVNUIPUJVNWHWJDIVNWHVOSZGHZWJVNWGWRGVNWKWLWGWRTNWNDAUKOULVNWMWPQRWSWJ
    TWOWQVOUMUNVBUOUPVNWFBCWIJKLAUQWFURUSUTVNVRJBCWEVTVMWCVAVQJVCVDVEAURVSVFCJV
    FCWBVRVTWAVGVMVSVHVIJVAVIVSJVQVJVKVL $.

  $( Eulerian representation of the complex exponential.  (Suggested by Jeff
     Hankins, 3-Jul-2006.)  (Contributed by NM, 4-Jul-2006.) $)
  efeul $p |- ( A e. CC -> ( exp ` A ) = ( ( exp ` ( Re ` A ) ) x.
               ( ( cos ` ( Im ` A ) ) + ( _i x. ( sin ` ( Im ` A ) ) ) ) ) ) $=
    ( cc wcel ce cfv cre ci cim cmul co caddc ccos csin replim fveq2d wceq recl
    recnd ax-icn imcl mulcl sylancr efadd syl2anc efival syl oveq2d 3eqtrd ) AB
    CZADEAFEZGAHEZIJZKJZDEZUJDEZULDEZIJZUOUKLEGUKMEIJKJZIJUIAUMDANOUIUJBCULBCZU
    NUQPUIUJAQRUIGBCUKBCZUSSUIUKATRZGUKUAUBUJULUCUDUIUPURUOIUIUTUPURPVAUKUEUFUG
    UH $.

  $( The exponentials of two imaginary numbers are equal iff their sine and
     cosine components are equal.  (Contributed by Paul Chapman,
     15-Mar-2008.) $)
  efieq $p |- ( ( A e. RR /\ B e. RR ) ->
       ( ( exp ` ( _i x. A ) ) = ( exp ` ( _i x. B ) ) <->
         ( ( cos ` A ) = ( cos ` B ) /\ ( sin ` A ) = ( sin ` B ) ) ) ) $=
    ( cr wcel wa ci cmul co ce wceq ccos csin caddc cc wb efival syl2an recoscl
    cfv recn eqeqan12d resincl jca cru bitrd ) ACDZBCDZEFAGHISZFBGHISZJZAKSZFAL
    SZGHMHZBKSZFBLSZGHMHZJZUKUNJULUOJEZUFANDZBNDZUJUQOUGATBTUSUTUHUMUIUPAPBPUAQ
    UFUKCDZULCDZEUNCDZUOCDZEUQUROUGUFVAVBARAUBUCUGVCVDBRBUBUCUKULUNUOUDQUE $.

  $( Addition formula for sine.  Equation 14 of [Gleason] p. 310.  (Contributed
     by Steve Rodriguez, 10-Nov-2006.)  (Revised by Mario Carneiro,
     30-Apr-2014.) $)
  sinadd $p |- ( ( A e. CC /\ B e. CC ) -> ( sin ` ( A + B ) ) =
       ( ( ( sin ` A ) x. ( cos ` B ) ) + ( ( cos ` A ) x. ( sin ` B ) ) ) ) $=
    ( cc wcel caddc co csin cfv ci cmul ce cmin c2 wceq a1i ax-icn mulcld eqtrd
    mulcl sylancr cneg cdiv ccos addcl sinval syl 2cn coscl adantr sincl adantl
    wa addcld mulassd adddid mul12d mulcomd oveq2d oveq12d 2mulicn cc0 2muline0
    divmuld mpbird pnncand adddi mp3an1 fveq2d simpl simpr efadd syl2anc efival
    wne oveqan12d muladdd 3eqtrd negicn efmival mulsubd 2timesd 3eqtr4d addcomd
    oveq1d ) ACDZBCDZULZABEFZGHZIWHJFZKHZIUAZWHJFZKHZLFZMIJFZUBFZAGHZBUCHZJFZAU
    CHZBGHZJFZEFZWGWHCDWIWQNABUDWHUEUFWGMXAIXBJFZJFZWSIWRJFZJFZEFZJFZWPUBFZXCWT
    EFZWQXDWGXKXLNWPXLJFZXJNWGXMMIXLJFZJFXJWGMIXLMCDZWGUGOICDZWGPOZWGXCWTWGXAXB
    WEXACDWFAUHUIZWFXBCDZWEBUJUKZQZWGWRWSWEWRCDZWFAUJUIZWFWSCDWEBUHUKZQZUMZUNWG
    XNXIMJWGXNIXCJFZIWTJFZEFXIWGIXCWTXQYAYEUOWGYGXFYHXHEWGIXAXBXQXRXTUPWGYHIWSW
    RJFZJFXHWGWTYIIJWGWRWSYCYDUQURWGIWSWRXQYDYCUPRUSRURRWGXJWPXLWGXOXICDXJCDUGW
    GXFXHWGXAXEXRWGXPXSXECDPXTIXBSTZQWGWSXGYDWGXPYBXGCDPYCIWRSTZQUMZMXISTWPCDWG
    UTOYFWPVAVNWGVBOVCVDWGWOXJWPUBWGXAWSJFZXEXGJFZEFZXIEFZYOXILFZLFXIXIEFWOXJWG
    YOXIXIWGYMYNWGXAWSXRYDQWGXEXGYJYKQUMYLYLVEWGWKYPWNYQLWGWKIAJFZIBJFZEFZKHZYR
    KHZYSKHZJFZYPWGWJYTKXPWEWFWJYTNPIABVFVGVHWGYRCDZYSCDZUUAUUDNWGXPWEUUEPWEWFV
    IZIASTWGXPWFUUFPWEWFVJZIBSTYRYSVKVLWGUUDXAXGEFZWSXEEFZJFYPWEWFUUBUUIUUCUUJJ
    AVMBVMVOWGXAXGWSXEXRYKYDYJVPRVQWGWNWLAJFZWLBJFZEFZKHZUUKKHZUULKHZJFZYQWGWMU
    UMKWLCDZWEWFWMUUMNVRWLABVFVGVHWGUUKCDZUULCDZUUNUUQNWGUURWEUUSVRUUGWLASTWGUU
    RWFUUTVRUUHWLBSTUUKUULVKVLWGUUQXAXGLFZWSXELFZJFYQWEWFUUOUVAUUPUVBJAVSBVSVOW
    GXAXGWSXEXRYKYDYJVTRVQUSWGXIYLWAWBWDWGWTXCYEYAWCWBR $.

  $( Addition formula for cosine.  Equation 15 of [Gleason] p. 310.
     (Contributed by NM, 15-Jan-2006.)  (Revised by Mario Carneiro,
     30-Apr-2014.) $)
  cosadd $p |- ( ( A e. CC /\ B e. CC ) -> ( cos ` ( A + B ) ) =
       ( ( ( cos ` A ) x. ( cos ` B ) ) - ( ( sin ` A ) x. ( sin ` B ) ) ) ) $=
    ( cc wcel caddc co ccos cfv ci cmul ce cneg cmin wceq mulcld ax-icn sylancr
    c2 mulcl 3eqtrd cdiv csin addcl cosval syl coscl adantr adantl sincl addcld
    wa ppncand adddi mp3an1 fveq2d simpl simpr syl2anc efival oveqan12d muladdd
    efadd eqtrd negicn efmival mulsubd oveq12d 2timesd 3eqtr4d cc0 wne 2cn 2ne0
    oveq1d divcan3 mp3an23 c1 a1i mul4d ixi oveq1i mulcomd oveq2d eqtrid mulm1d
    negsubd ) ACDZBCDZUKZABEFZGHZIWJJFZKHZILZWJJFZKHZEFZRUAFZRAGHZBGHZJFZIBUBHZ
    JFZIAUBHZJFZJFZEFZJFZRUAFZXAXDXBJFZMFZWIWJCDWKWRNABUCWJUDUEWIWQXHRUAWIXGWSX
    CJFZWTXEJFZEFZEFZXGXNMFZEFXGXGEFWQXHWIXGXNXGWIXAXFWIWSWTWGWSCDWHAUFUGZWHWTC
    DWGBUFUHZOZWIXCXEWIICDZXBCDZXCCDPWHYAWGBUIUHZIXBSQZWIXTXDCDZXECDPWGYDWHAUIU
    GZIXDSQZOUJZWIXLXMWIWSXCXQYCOWIWTXEXRYFOUJYGULWIWMXOWPXPEWIWMIAJFZIBJFZEFZK
    HZYHKHZYIKHZJFZXOWIWLYJKXTWGWHWLYJNPIABUMUNUOWIYHCDZYICDZYKYNNWIXTWGYOPWGWH
    UPZIASQWIXTWHYPPWGWHUQZIBSQYHYIVBURWIYNWSXEEFZWTXCEFZJFXOWGWHYLYSYMYTJAUSBU
    SUTWIWSXEWTXCXQYFXRYCVAVCTWIWPWNAJFZWNBJFZEFZKHZUUAKHZUUBKHZJFZXPWIWOUUCKWN
    CDZWGWHWOUUCNVDWNABUMUNUOWIUUACDZUUBCDZUUDUUGNWIUUHWGUUIVDYQWNASQWIUUHWHUUJ
    VDYRWNBSQUUAUUBVBURWIUUGWSXEMFZWTXCMFZJFXPWGWHUUEUUKUUFUULJAVEBVEUTWIWSXEWT
    XCXQYFXRYCVFVCTVGWIXGYGVHVIVNWIXIXGXAXJLZEFXKWIXGCDZXIXGNZYGUUNRCDRVJVKUUOV
    LVMXGRVOVPUEWIXFUUMXAEWIXFIIJFZXBXDJFZJFZVQLZXJJFZUUMWIIXBIXDXTWIPVRZYBUVAY
    EVSWIUURUUSUUQJFUUTUUPUUSUUQJVTWAWIUUQXJUUSJWIXBXDYBYEWBWCWDWIXJWIXDXBYEYBO
    ZWETWCWIXAXJXSUVBWFTT $.

  $( A useful intermediate step in ~ tanadd when showing that the addition of
     tangents is well-defined.  (Contributed by Mario Carneiro, 4-Apr-2015.) $)
  tanaddlem $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( ( cos ` A ) =/= 0 /\
    ( cos ` B ) =/= 0 ) ) -> ( ( cos ` ( A + B ) ) =/= 0 <->
    ( ( tan ` A ) x. ( tan ` B ) ) =/= 1 ) ) $=
    ( cc wcel wa ccos cfv cc0 co ctan cmul c1 csin wceq coscl ad2antrr ad2antlr
    wne eqeq1d cdiv caddc mulcld sincl subeq0ad cosadd adantr ad2ant2r ad2ant2l
    cmin tanval oveq12d simprl simprr divmuldivd mulne0d divmuld mulid1d 3bitrd
    eqtrd 1cnd 3bitr4d necon3bid ) ACDZBCDZEZAFGZHRZBFGZHRZEZEZABUAIFGZHAJGZBJG
    ZKIZLVKVFVHKIZAMGZBMGZKIZUIIZHNVPVSNZVLHNVOLNZVKVPVSVKVFVHVCVFCDVDVJAOPZVDV
    HCDVCVJBOQZUBZVKVQVRVCVQCDVDVJAUCPZVDVRCDVCVJBUCQZUBZUDVKVLVTHVEVLVTNVJABUE
    UFSVKWBVSVPTIZLNVPLKIZVSNWAVKVOWILVKVOVQVFTIZVRVHTIZKIWIVKVMWKVNWLKVCVGVMWK
    NVDVIAUJUGVDVIVNWLNVCVGBUJUHUKVKVQVFVRVHWFWCWGWDVEVGVIULZVEVGVIUMZUNUSSVKVS
    VPLWHWEVKUTVKVFVHWCWDWMWNUOUPVKWJVPVSVKVPWEUQSURVAVB $.

  $( Addition formula for tangent.  (Contributed by Mario Carneiro,
     4-Apr-2015.) $)
  tanadd $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( ( cos ` A ) =/= 0 /\
    ( cos ` B ) =/= 0 /\ ( cos ` ( A + B ) ) =/= 0 ) ) ->
      ( tan ` ( A + B ) ) = ( ( ( tan ` A ) + ( tan ` B ) ) /
        ( 1 - ( ( tan ` A ) x. ( tan ` B ) ) ) ) ) $=
    ( cc wcel wa ccos cfv cc0 caddc co ctan csin cdiv c1 cmul cmin wceq oveq12d
    wne eqtrd w3a addcl adantr simpr3 tanval sinadd cosadd simpll coscld simplr
    syl2anc mulcld simpr1 tancld simpr2 adddid mul32d oveq2d sincld oveq1d 1cnd
    divcan2d mulassd subdid mulid1d mul4d addcld ax-1cn subcl sylancr tanaddlem
    wb 3adantr3 necomd subeq0 necon3bid mpbird mulne0d divcan5d 3eqtr2rd eqtr4d
    mpbid ) ACDZBCDZEZAFGZHSZBFGZHSZABIJZFGZHSZUAZEZWJKGZWJLGZWKMJZAKGZBKGZIJZN
    WRWSOJZPJZMJZWNWJCDZWLWOWQQWEXDWMABUBUCWEWGWIWLUDZWJUEUKWNWQALGZWHOJZWFBLGZ
    OJZIJZWFWHOJZXFXHOJZPJZMJXKWTOJZXKXBOJZMJXCWNWPXJWKXMMWEWPXJQWMABUFUCWEWKXM
    QWMABUGUCRWNXNXJXOXMMWNXNXKWROJZXKWSOJZIJXJWNXKWRWSWNWFWHWNAWCWDWMUHZUIZWNB
    WCWDWMUJZUIZULZWNAXRWEWGWIWLUMZUNZWNBXTWEWGWIWLUOZUNZUPWNXPXGXQXIIWNXPWFWRO
    JZWHOJXGWNWFWHWRXSYAYDUQWNYGXFWHOWNYGWFXFWFMJZOJXFWNWRYHWFOWNWCWGWRYHQXRYCA
    UEUKURWNXFWFWNAXRUSXSYCVBTZUTTWNXQWFWHWSOJZOJXIWNWFWHWSXSYAYFVCWNYJXHWFOWNY
    JWHXHWHMJZOJXHWNWSYKWHOWNWDWIWSYKQXTYEBUEUKURWNXHWHWNBXTUSYAYEVBTZURTRTWNXO
    XKNOJZXKXAOJZPJXMWNXKNXAYBWNVAWNWRWSYDYFULZVDWNYMXKYNXLPWNXKYBVEWNYNYGYJOJX
    LWNWFWHWRWSXSYAYDYFVFWNYGXFYJXHOYIYLRTRTRWNWTXBXKWNWRWSYDYFVGWNNCDZXACDZXBC
    DVHYONXAVIVJYBWNXBHSZNXASZWNXANWNWLXANSZXEWEWGWIWLYTVLWLABVKVMWBVNWNYPYQYRY
    SVLVHYOYPYQEXBHNXANXAVOVPVJVQWNWFWHXSYAYCYEVRVSVTWA $.

  $( Sine of difference.  (Contributed by Paul Chapman, 12-Oct-2007.) $)
  sinsub $p |- ( ( A e. CC /\ B e. CC ) -> ( sin ` ( A - B ) ) =
                  ( ( ( sin ` A ) x. ( cos ` B ) ) -
                    ( ( cos ` A ) x. ( sin ` B ) ) ) ) $=
    ( cc wcel cneg caddc csin cfv ccos cmul cmin wceq adantl oveq2d coscl sincl
    co syl2an eqtrd mulcl wa sinadd sylan2 negsub fveq2d cosneg mulneg2 oveq12d
    negcl sinneg negsubd 3eqtr3d ) ACDZBCDZUAZABEZFQZGHZAGHZUPIHZJQZAIHZUPGHZJQ
    ZFQZABKQZGHUSBIHZJQZVBBGHZJQZKQZUNUMUPCDURVELBUIAUPUBUCUOUQVFGABUDUEUOVEVHV
    JEZFQVKUOVAVHVDVLFUOUTVGUSJUNUTVGLUMBUFMNUOVDVBVIEZJQZVLUOVCVMVBJUNVCVMLUMB
    UJMNUMVBCDZVICDZVNVLLUNAOZBPZVBVIUGRSUHUOVHVJUMUSCDVGCDVHCDUNAPBOUSVGTRUMVO
    VPVJCDUNVQVRVBVITRUKSUL $.

  $( Cosine of difference.  (Contributed by Paul Chapman, 12-Oct-2007.) $)
  cossub $p |- ( ( A e. CC /\ B e. CC ) -> ( cos ` ( A - B ) ) =
                  ( ( ( cos ` A ) x. ( cos ` B ) ) +
                    ( ( sin ` A ) x. ( sin ` B ) ) ) ) $=
    ( cc wcel cneg caddc co ccos cmul csin cmin wceq adantl oveq2d sincl syl2an
    cfv eqtrd coscl mulcl wa cosadd sylan2 negsub fveq2d cosneg mulneg2 oveq12d
    negcl sinneg subnegd 3eqtr3d ) ACDZBCDZUAZABEZFGZHQZAHQZUPHQZIGZAJQZUPJQZIG
    ZKGZABKGZHQUSBHQZIGZVBBJQZIGZFGZUNUMUPCDURVELBUIAUPUBUCUOUQVFHABUDUEUOVEVHV
    JEZKGVKUOVAVHVDVLKUOUTVGUSIUNUTVGLUMBUFMNUOVDVBVIEZIGZVLUOVCVMVBIUNVCVMLUMB
    UJMNUMVBCDZVICDZVNVLLUNAOZBOZVBVIUGPRUHUOVHVJUMUSCDVGCDVHCDUNASBSUSVGTPUMVO
    VPVJCDUNVQVRVBVITPUKRUL $.

  $( Sum of sines.  (Contributed by Paul Chapman, 12-Oct-2007.) $)
  addsin $p |- ( ( A e. CC /\ B e. CC ) -> ( ( sin ` A ) + ( sin ` B ) ) =
                    ( 2 x. ( ( sin ` ( ( A + B ) / 2 ) ) x.
                             ( cos ` ( ( A - B ) / 2 ) ) ) ) ) $=
    ( cc wcel c2 caddc co cdiv csin cmin ccos cmul halfcld sincld coscld mulcld
    cfv wceq syl2anc oveq12d wa addcl subcl 2timesd sinadd sinsub ppncand eqtrd
    halfaddsub simpld fveq2d simprd 3eqtr2rd ) ACDBCDUAZEABFGZEHGZIQZABJGZEHGZK
    QZLGZLGVAVAFGZUPUSFGZIQZUPUSJGZIQZFGZAIQZBIQZFGUNVAUNUQUTUNUPUNUOABUBMZNUNU
    SUNURABUCMZOPZUDUNVGVAUPKQZUSIQZLGZFGZVAVOJGZFGVBUNVDVPVFVQFUNUPCDZUSCDZVDV
    PRVJVKUPUSUESUNVRVSVFVQRVJVKUPUSUFSTUNVAVOVAVLUNVMVNUNUPVJOUNUSVKNPVLUGUHUN
    VDVHVFVIFUNVCAIUNVCARZVEBRZABUIZUJUKUNVEBIUNVTWAWBULUKTUM $.

  $( Difference of sines.  (Contributed by Paul Chapman, 12-Oct-2007.) $)
  subsin $p |- ( ( A e. CC /\ B e. CC ) -> ( ( sin ` A ) - ( sin ` B ) ) =
                    ( 2 x. ( ( cos ` ( ( A + B ) / 2 ) ) x.
                             ( sin ` ( ( A - B ) / 2 ) ) ) ) ) $=
    ( cc wcel wa c2 caddc cdiv ccos cfv cmin csin cmul coscl sincl mulcl syl2an
    co syl wceq halfaddsubcl 2timesd sinadd sinsub oveq12d pnncand eqtrd simpld
    halfaddsub fveq2d simprd 3eqtr2rd ) ACDBCDEZFABGRFHRZIJZABKRFHRZLJZMRZMRURU
    RGRZUNUPGRZLJZUNUPKRZLJZKRZALJZBLJZKRUMURUMUNCDZUPCDZEZURCDZABUAZVGUOCDUQCD
    VJVHUNNUPOUOUQPQSZUBUMVDUNLJZUPIJZMRZURGRZVOURKRZKRZUSUMVIVDVRTVKVIVAVPVCVQ
    KUNUPUCUNUPUDUESUMVOURURUMVIVOCDZVKVGVMCDVNCDVSVHUNOUPNVMVNPQSVLVLUFUGUMVAV
    EVCVFKUMUTALUMUTATZVBBTZABUIZUHUJUMVBBLUMVTWAWBUKUJUEUL $.

  $( Product of sines can be rewritten as half the difference of certain
     cosines.  This follows from ~ cosadd and ~ cossub .  (Contributed by David
     A. Wheeler, 26-May-2015.) $)
  sinmul $p |- ( ( A e. CC /\ B e. CC ) -> ( ( sin ` A ) x. ( sin ` B ) ) =
           ( ( ( cos ` ( A - B ) ) - ( cos ` ( A + B ) ) ) / 2 ) ) $=
    ( cc wcel wa cmin co ccos cfv caddc cdiv csin cmul coscl mulcl syl2an sincl
    c2 wceq 2cn cossub cosadd oveq12d pnncan 2times adantl eqtr4d mulcom 3eqtrd
    3anidm23 syl2anc sylancr oveq1d cc0 wne 2ne0 divcan4 mp3an23 syl eqtr2d ) A
    CDZBCDZEZABFGHIZABJGHIZFGZRKGALIZBLIZMGZRMGZRKGZVIVCVFVJRKVCVFAHIZBHIZMGZVI
    JGZVNVIFGZFGZRVIMGZVJVCVDVOVEVPFABUAABUBUCVCVNCDZVICDZVQVRSVAVLCDVMCDVSVBAN
    BNVLVMOPVAVGCDVHCDVTVBAQBQVGVHOPZVSVTEVQVIVIJGZVRVSVTVQWBSVNVIVIUDUJVTVRWBS
    VSVIUEUFUGUKVCRCDZVTVRVJSTWARVIUHULUIUMVCVTVKVISZWAVTWCRUNUOWDTUPVIRUQURUSU
    T $.

  $( Product of cosines can be rewritten as half the sum of certain cosines.
     This follows from ~ cosadd and ~ cossub .  (Contributed by David A.
     Wheeler, 26-May-2015.) $)
  cosmul $p |- ( ( A e. CC /\ B e. CC ) -> ( ( cos ` A ) x. ( cos ` B ) ) =
          ( ( ( cos ` ( A - B ) ) + ( cos ` ( A + B ) ) ) / 2 ) ) $=
    ( cc wcel wa c2 ccos cfv cmul co cdiv cmin caddc cc0 wne coscl mulcl syl2an
    csin sincl w3a wceq 2cnne0 3anass divcan3 syl ppncand cossub cosadd oveq12d
    sylanblrc 2timesd 3eqtr4rd oveq1d eqtr3d ) ACDZBCDZEZFAGHZBGHZIJZIJZFKJZVAA
    BLJGHZABMJGHZMJZFKJURVACDZFCDZFNOZUAZVCVAUBURVGVHVIEVJUPUSCDUTCDVGUQAPBPUSU
    TQRZUCVGVHVIUDUKVAFUEUFURVBVFFKURVAASHZBSHZIJZMJZVAVNLJZMJVAVAMJVFVBURVAVNV
    AVKUPVLCDVMCDVNCDUQATBTVLVMQRVKUGURVDVOVEVPMABUHABUIUJURVAVKULUMUNUO $.

  $( Sum of cosines.  (Contributed by Paul Chapman, 12-Oct-2007.) $)
  addcos $p |- ( ( A e. CC /\ B e. CC ) -> ( ( cos ` A ) + ( cos ` B ) ) =
                    ( 2 x. ( ( cos ` ( ( A + B ) / 2 ) ) x.
                             ( cos ` ( ( A - B ) / 2 ) ) ) ) ) $=
    ( cc wcel wa ccos cfv caddc co c2 cdiv cmin cmul wceq syl2an fveq2d oveq12d
    coscl csin syl addcom simprd simpld halfaddsubcl mulcl sincl ppncand cossub
    halfaddsub cosadd 2timesd 3eqtr4d 3eqtr2d ) ACDZBCDZEZAFGZBFGZHIZURUQHIZABH
    IJKIZABLIJKIZLIZFGZVAVBHIZFGZHIZJVAFGZVBFGZMIZMIZUNUQCDURCDUSUTNUOARBRUQURU
    AOUPVDURVFUQHUPVCBFUPVEANZVCBNZABUIZUBPUPVEAFUPVLVMVNUCPQUPVJVASGZVBSGZMIZH
    IZVJVQLIZHIZVJVJHIVGVKUPVJVQVJUPVACDZVBCDZEZVJCDZABUDZWAVHCDVICDWDWBVARVBRV
    HVIUEOTZUPWCVQCDZWEWAVOCDVPCDWGWBVAUFVBUFVOVPUEOTWFUGUPWCVGVTNWEWCVDVRVFVSH
    VAVBUHVAVBUJQTUPVJWFUKULUM $.

  $( Difference of cosines.  (Contributed by Paul Chapman, 12-Oct-2007.)
     (Revised by Mario Carneiro, 10-May-2014.) $)
  subcos $p |- ( ( A e. CC /\ B e. CC ) -> ( ( cos ` B ) - ( cos ` A ) ) =
                  ( 2 x. ( ( sin ` ( ( A + B ) / 2 ) ) x.
                           ( sin ` ( ( A - B ) / 2 ) ) ) ) ) $=
    ( cc wcel wa c2 caddc co cdiv csin cfv cmin cmul ccos sincl syl2an syl wceq
    mulcl oveq12d halfaddsubcl 2timesd cossub cosadd coscl pnncand eqtrd simprd
    halfaddsub fveq2d simpld 3eqtr2rd ) ACDBCDEZFABGHFIHZJKZABLHFIHZJKZMHZMHURU
    RGHZUNUPLHZNKZUNUPGHZNKZLHZBNKZANKZLHUMURUMUNCDZUPCDZEZURCDZABUAZVGUOCDUQCD
    VJVHUNOUPOUOUQSPQZUBUMVDUNNKZUPNKZMHZURGHZVOURLHZLHZUSUMVIVDVRRVKVIVAVPVCVQ
    LUNUPUCUNUPUDTQUMVOURURUMVIVOCDZVKVGVMCDVNCDVSVHUNUEUPUEVMVNSPQVLVLUFUGUMVA
    VEVCVFLUMUTBNUMVBARZUTBRZABUIZUHUJUMVBANUMVTWAWBUKUJTUL $.

  $( Sine squared plus cosine squared is 1.  Equation 17 of [Gleason] p. 311.
     Note that this holds for non-real arguments, even though individually each
     term is unbounded.  (Contributed by NM, 15-Jan-2006.) $)
  sincossq $p |- ( A e. CC ->
                  ( ( ( sin ` A ) ^ 2 ) + ( ( cos ` A ) ^ 2 ) ) = 1 ) $=
    ( cc wcel cneg caddc co ccos cfv cmul csin c1 cexp cc0 sqvald oveq2d eqtr4d
    c2 sqcld eqtrd mulcld cmin wceq negcl cosadd mpdan negid fveq2d cos0 eqtrdi
    addcomd cosneg sinneg negeqd negnegd sincld mulneg2d oveq12d coscld negsubd
    sincl coscl 3eqtrrd 3eqtr3rd ) ABCZAADZEFZGHZAGHZVEGHZIFZAJHZVEJHZIFZUAFZKV
    KQLFZVHQLFZEFZVDVEBCVGVNUBAUCZAVEUDUEVDVGMGHKVDVFMGAUFUGUHUIVDVQVPVOEFVJVMD
    ZEFVNVDVOVPVDVKAUTZRVDVHAVAZRUJVDVPVJVOVSEVDVPVHVHIFVJVDVHWANVDVIVHVHIAUKOP
    VDVOVKVLDZIFZVSVDVOVKVKIFWCVDVKVTNVDWBVKVKIVDWBVKDZDVKVDVLWDAULUMVDVKVTUNSO
    PVDVKVLVTVDVEVRUOZUPSUQVDVJVMVDVHVIWAVDVEVRURTVDVKVLVTWETUSVBVC $.

  $( Double-angle formula for sine.  (Contributed by Paul Chapman,
     17-Jan-2008.) $)
  sin2t $p |- ( A e. CC ->
      ( sin ` ( 2 x. A ) ) = ( 2 x. ( ( sin ` A ) x. ( cos ` A ) ) ) ) $=
    ( cc wcel c2 cmul co csin cfv caddc ccos 2times fveq2d coscl mulcomd oveq2d
    sincl wceq sinadd anidms mulcld 2timesd 3eqtr4d eqtrd ) ABCZDAEFZGHAAIFZGHZ
    DAGHZAJHZEFZEFZUDUEUFGAKLUDUJUIUHEFZIFZUJUJIFUGUKUDULUJUJIUDUIUHAMZAPZNOUDU
    GUMQAARSUDUJUDUHUIUOUNTUAUBUC $.

  $( Double-angle formula for cosine.  (Contributed by Paul Chapman,
     24-Jan-2008.) $)
  cos2t $p |- ( A e. CC -> ( cos ` ( 2 x. A ) ) =
                           ( ( 2 x. ( ( cos ` A ) ^ 2 ) ) - 1 ) ) $=
    ( cc wcel ccos cfv c2 cexp co c1 cmin caddc cmul coscl sqcld ax-1cn subsub3
    wceq mp3an2 sqvald 3eqtr4d syl2anc csin cosadd anidms 2times fveq2d oveq12d
    sincl addcomd sincossq eqtr3d wb subadd mp3an2i mpbird oveq2d eqtr4d oveq1d
    2timesd ) ABCZADEZFGHZIVBJHZJHZVBVBKHZIJHZFALHZDEZFVBLHZIJHUTVBBCZVJVDVFQZU
    TVAAMZNZVMVJIBCZVJVKOVBIVBPRUAUTVHVBAUBEZFGHZJHZVDUTAAKHZDEZVAVALHZVOVOLHZJ
    HZVHVQUTVSWBQAAUCUDUTVGVRDAUEUFUTVBVTVPWAJUTVAVLSUTVOAUHZSUGTUTVCVPVBJUTVCV
    PQZVBVPKHZIQZUTVPVBKHWEIUTVPVBUTVOWCNZVMUIAUJUKVNUTVJVPBCWDWFULOVMWGIVBVPUM
    UNUOUPUQUTVIVEIJUTVBVMUSURT $.

  $( Double-angle formula for cosine in terms of sine.  (Contributed by NM,
     12-Sep-2008.) $)
  cos2tsin $p |- ( A e. CC -> ( cos ` ( 2 x. A ) ) =
                           ( 1 - ( 2 x. ( ( sin ` A ) ^ 2 ) ) ) ) $=
    ( cc wcel c2 cmul co ccos cfv cexp c1 cmin csin wceq caddc 2cn sqcld eqtrdi
    mp3an2i mulcl sylancr cos2t sincl coscl adddi sincossq oveq2d eqtr3d subadd
    2t1e2 wb mpbird oveq1d ax-1cn sub32 mp3an13 syl 2m1e1 oveq1i 3eqtr2d ) ABCZ
    DAEFGHDAGHZDIFZEFZJKFDDALHZDIFZEFZKFZJKFZJVFKFZAUAUTVGVCJKUTVGVCMZVFVCNFZDM
    ZUTVKDJEFZDUTDVEVBNFZEFZVKVMDBCZUTVEBCZVBBCZVOVKMOUTVDAUBPZUTVAAUCPZDVEVBUD
    RUTVNJDEAUEUFUGUIQVPUTVFBCZVCBCZVJVLUJOUTVPVQWAOVSDVESTZUTVPVRWBOVTDVBSTDVF
    VCUHRUKULUTVHDJKFZVFKFZVIUTWAVHWEMZWCVPWAJBCWFOUMDVFJUNUOUPWDJVFKUQURQUS $.

  $( The sine of a real number lies between -1 and 1.  Equation 18 of [Gleason]
     p. 311.  (Contributed by NM, 16-Jan-2006.) $)
  sinbnd $p |- ( A e. RR -> ( -u 1 <_ ( sin ` A ) /\ ( sin ` A ) <_ 1 ) ) $=
    ( cr wcel csin cfv c1 cle wbr cneg c2 cexp co wa ccos cc0 resqcld mpbid syl
    wb 1re caddc recoscl sqge0d resincl addge01d wceq recn sincossq sq1 eqtr4di
    cc breqtrd 0le1 lenegsq mp3an23 lenegcon1 mpan2 anbi2d bitr3d ancomd ) ABCZ
    ADEZFGHZFIVBGHZVAVBJKLZFJKLZGHZVCVDMZVAVEVEANEZJKLZUALZVFGVAOVJGHVEVKGHVAVI
    AUBZUCVAVEVJVAVBAUDZPVAVIVLPUEQVAVKFVFVAAUKCVKFUFAUGAUHRUIUJULVAVBBCZVGVHSV
    MVNVCVBIFGHZMZVGVHVNFBCZOFGHVPVGSTUMVBFUNUOVNVOVDVCVNVQVOVDSTVBFUPUQURUSRQU
    T $.

  $( The cosine of a real number lies between -1 and 1.  Equation 18 of
     [Gleason] p. 311.  (Contributed by NM, 16-Jan-2006.) $)
  cosbnd $p |- ( A e. RR -> ( -u 1 <_ ( cos ` A ) /\ ( cos ` A ) <_ 1 ) ) $=
    ( cr wcel ccos cfv c1 cle wbr cneg c2 cexp co wa csin cc0 resqcld mpbid syl
    wb 1re caddc resincl sqge0d recoscl addge02d wceq recn sincossq sq1 eqtr4di
    cc breqtrd 0le1 lenegsq mp3an23 lenegcon1 mpan2 anbi2d bitr3d ancomd ) ABCZ
    ADEZFGHZFIVBGHZVAVBJKLZFJKLZGHZVCVDMZVAVEANEZJKLZVEUALZVFGVAOVJGHVEVKGHVAVI
    AUBZUCVAVEVJVAVBAUDZPVAVIVLPUEQVAVKFVFVAAUKCVKFUFAUGAUHRUIUJULVAVBBCZVGVHSV
    MVNVCVBIFGHZMZVGVHVNFBCZOFGHVPVGSTUMVBFUNUOVNVOVDVCVNVQVOVDSTVBFUPUQURUSRQU
    T $.

  $( The sine of a real number is in the closed interval from -1 to 1.
     (Contributed by Mario Carneiro, 12-May-2014.) $)
  sinbnd2 $p |- ( A e. RR -> ( sin ` A ) e. ( -u 1 [,] 1 ) ) $=
    ( cr wcel csin cfv c1 cneg cle wbr cicc resincl sinbnd simpld simprd neg1rr
    co 1re elicc2i syl3anbrc ) ABCZADEZBCFGZUAHIZUAFHIZUAUBFJPCAKTUCUDALZMTUCUD
    UENUBFUAOQRS $.

  $( The cosine of a real number is in the closed interval from -1 to 1.
     (Contributed by Mario Carneiro, 12-May-2014.) $)
  cosbnd2 $p |- ( A e. RR -> ( cos ` A ) e. ( -u 1 [,] 1 ) ) $=
    ( cr wcel ccos cfv c1 cneg cle wbr cicc recoscl cosbnd simpld simprd neg1rr
    co 1re elicc2i syl3anbrc ) ABCZADEZBCFGZUAHIZUAFHIZUAUBFJPCAKTUCUDALZMTUCUD
    UENUBFUAOQRS $.

  ${
    $d k n A $.  $d k F $.
    ef01bnd.1 $e |- F = ( n e. NN0 |-> ( ( ( _i x. A ) ^ n ) / ( ! ` n ) ) ) $.
    $( Lemma for ~ sin01bnd and ~ cos01bnd .  (Contributed by Paul Chapman,
       19-Jan-2008.) $)
    ef01bndlem $p |- ( A e. ( 0 (,] 1 ) ->
        ( abs ` sum_ k e. ( ZZ>= ` 4 ) ( F ` k ) ) < ( ( A ^ 4 ) / 6 ) ) $=
      ( c1 co wcel c4 cfv cexp cmul cdiv c6 cr clt wbr c5 c2 c3 cc0 cioc cuz cv
      csu cabs caddc cfa ci cc cn0 ax-icn cle cxr w3a wb 0xr 1re elioc2 simp1bi
      mp2an recnd mulcl sylancr 4nn0 eftlcl sylancl abscld reexpcl 4re readdcli
      cn faccl ax-mp 4nn nnmulcli nndivre remulcl 6nn cmpt eqid a1i wceq absmul
      absi oveq1i crp simp2bi elrpd rpre rpge0 absidd syl oveq2d eqtrid mulid2d
      3eqtrd simp3bi eqbrtrd eftlub oveq1d breqtrd 3pos 0re 3re 5re ltadd1i 5cn
      mpbi addid2i c8 cu2 5p3e8 3cn addcomi 3eqtr2ri 3brtr3i 2re 1le2 cz ltleii
      4z 3lt4 3z eluz1i mpbir2an leexp2a mp3an eqeltri 6re 6pos df-4 sq2 oveq2i
      fac3 6cn recni 3eqtr3i 2nn0 eqtr3i 8re 2nn nnexpcl nnrei ltletri remulcli
      nngt0i mulgt0ii ltdiv1ii df-5 fveq2i 3nn0 facp1 eqtr2i 3eqtri mulassi 2cn
      2p2e4 expadd oveq12i nncni mulid2i nnne0i dividi ax-1cn gt0ne0ii rereccli
      divmuldivi mulid1i rpexpcl wa elrp ltmul2 mp3an12 sylbi mpbii wne mp3an23
      divrec breqtrrd lelttrd ) AUAFUBGHZIUCJBUDDJBUEZUFJZAIKGZIFUGGZIUHJZILGZM
      GZLGZUWENMGZUWBUWCUWBUIALGZUJHZIUKHZUWCUJHUWBUIUJHZAUJHZUWMULUWBAUWBAOHZU
      AAPQZAFUMQZUAUNHFOHUWBUWQUWRUWSUOUPUQURUAFAUSVAZUTZVBZUIAVCVDZVEUWLBCDIEV
      FVGVHUWBUWEOHZUWIOHZUWJOHUWBUWQUWNUXDUXAVEAIVIVGZUWFOHUWHVLHUXEIFVJURVKUW
      GIUWNUWGVLHVEIVMVNVOVPUWFUWHVQVAZUWEUWIVRVGUWBUXDNVLHUWKOHUXFVSUWENVQVGUW
      BUWDUWLUFJZIKGZUWILGUWJUMUWBUWLBCDCUKUXHCUDZKGUXJUHJMGVTZCUKUXIUWGMGFUWFM
      GUXJKGLGVTZIEUXKWAUXLWAIVLHUWBVOWBUXCUWBUXHAFUMUWBUXHUIUFJZAUFJZLGZFALGZA
      UWBUWOUWPUXHUXOWCULUXBUIAWDVDUWBUXOFUXNLGUXPUXMFUXNLWEWFUWBUXNAFLUWBAWGHZ
      UXNAWCUWBAUXAUWBUWQUWRUWSUWTWHWIZUXQAAWJAWKWLWMWNWOUWBAUXBWPWQZUWBUWQUWRU
      WSUWTWRWSWTUWBUXIUWEUWILUWBUXHAIKUXSXAXAXBUWBUWJUWEFNMGZLGZUWKPUWBUWIUXTP
      QZUWJUYAPQZRNSIKGZLGZMGZUYDUYEMGZUWIUXTPRUYDPQZUYFUYGPQRSTKGZPQUYIUYDUMQZ
      UYHUARUGGZTRUGGZRUYIPUATPQUYKUYLPQXCUATRXDXEXFXGXIRXHXJUYIXKRTUGGUYLXLXMR
      TXHXNXOXPXQSOHFSUMQITUCJHZUYJXRXSUYMIXTHZTIUMQYBTIXEVJYCYATIYDYEYFSTIYGYH
      RUYIUYDXFUYIXKOXLUUAYIUYDSVLHUWNUYDVLHUUBVESIUUCVAZUUDZUUEVARUYDUYEXFUYPN
      UYDYJUYPUUFNUYDYJUYPYKUYDUYOUUGUUHUUIXIRUWFUYEUWHMUUJUWHTUHJZSSKGZUYRLGZL
      GZUYQUYDLGUYEUWGUYRLGUYQUYRLGZUYRLGUWHUYTUWGVUAUYRLUWGTFUGGZUHJZUYQVUBLGZ
      VUAIVUBUHYLUUKTUKHVUCVUDWCUULTUUMVNVUBUYRUYQLUYRIVUBYMYLUUNYNUUOWFUYRIUWG
      LYMYNUYQUYRUYRUYQNUJYOYPYIUYRIUJYMIVJYQYIZVUEUUPYRUYDUYSUYQLSSSUGGZKGZUYD
      UYSVUFISKUURYNSUJHSUKHZVUHVUGUYSWCUUQYSYSSSSUUSYHYTYNUYQNUYDLYOWFXPUUTFUY
      DLGZUYEMGZUYGUXTVUIUYDUYEMUYDUYDUYOUVAZUVBWFUXTUYDUYDMGZLGUXTFLGVUJUXTVUL
      FUXTLUYDVUKUYDUYOUVCZUVDYNFNUYDUYDUVEYPVUKVUKNYJYKUVFZVUMUVHUXTUXTNYJVUNU
      VGZYQUVIYRYTXQUWBUWEWGHZUYBUYCUPZUWBUXQUYNVUPUXRYBAIUVJVGVUPUXDUAUWEPQUVK
      ZVUQUWEUVLUXEUXTOHVURVUQUXGVUOUWIUXTUWEUVMUVNUVOWMUVPUWBUWEUJHZUWKUYAWCZU
      WBUWEUXFVBVUSNUJHNUAUVQVUTYPVUNUWENUVSUVRWMUVTUWA $.
  $}

  ${
    $d A k n $.
    $( Bounds on the sine of a positive real number less than or equal to 1.
       (Contributed by Paul Chapman, 19-Jan-2008.)  (Revised by Mario Carneiro,
       30-Apr-2014.) $)
    sin01bnd $p |- ( A e. ( 0 (,] 1 ) ->
        ( ( A - ( ( A ^ 3 ) / 3 ) ) < ( sin ` A ) /\ ( sin ` A ) < A ) ) $=
      ( vk vn cc0 co wcel cfv c3 c6 cdiv cmin clt wbr c4 cr sylancl recnd caddc
      cle cc c1 cioc csin cexp cabs wa cuz cv cn0 cmul cfa cmpt csu cim cxr w3a
      ci wb 0xr 1re elioc2 mp2an simp1bi cn reexpcl 6nn nndivre resubcld ax-icn
      3nn0 mulcl sylancr 4nn0 eqid eftlcl imcld wceq syl mvrladdd fveq2d abscld
      resin4p absimle ef01bndlem a1i cz 4z 3re 4re 3lt4 ltleii mpbir2an simp2bi
      3z eluz1i 0re ltle mpd simp3bi leexp2rd 6re 6pos lediv1 syl112anc ltletrd
      wi mpbid lelttrd eqbrtrd resincld absdifltd subsub4d c2 wne pm3.2i 2cnne0
      3cn 3ne0 divdiv1 mp3an23 3t2e6 oveq2i eqtr2di oveq12d 3nn 2halvesd oveq2d
      eqtrd breq1d npcand breq2d anbi12d bitrd ) ADUAUBEFZAUCGZAAHUDEZIJEZKEZKE
      ZUEGZYQLMZAYPHJEZKEZYOLMZYOALMZUFZYNYTNUGGBUHCUIUQAUJEZCUHZUDEUUHUKGJEULZ
      GBUMZUNGZUEGZYQLYNYSUUKUEYNYOYRUUKYNYRYNAYQYNAOFZDALMZAUASMZDUOFUAOFYNUUM
      UUNUUOUPURUSUTDUAAVAVBZVCZYNYPOFZIVDFZYQOFYNUUMHUIFZUURUUQVJAHVEPZVFYPIVG
      PZVHZQYNUUKYNUUJYNUUGTFZNUIFZUUJTFZYNUQTFATFUVDVIYNAUUQQZUQAVKVLVMUUGBCUU
      INUUIVNZVOPZVPQZYNUUMYOYRUUKREVQUUQABCUUIUVHWBVRVSVTYNUULUUJUEGZYQYNUUKUV
      JWAYNUUJUVIWAZUVBYNUVFUULUVKSMUVIUUJWCVRYNUVKANUDEZIJEZYQUVLYNUVMOFZUUSUV
      NOFYNUUMUVEUVOUUQVMANVEPZVFUVMIVGPUVBABCUUIUVHWDYNUVMYPSMZUVNYQSMZYNAHNUU
      QUUTYNVJWENHUGGFZYNUVSNWFFHNSMWGHNWHWIWJWKHNWNWOWLWEYNUUNDASMZYNUUMUUNUUO
      UUPWMYNDOFUUMUUNUVTXFWPUUQDAWQVLWRYNUUMUUNUUOUUPWSWTYNUVOUURIOFZDILMZUVQU
      VRURUVPUVAUWAYNXAWEUWBYNXBWEUVMYPIXCXDXGXEXHXIYNUUAYRYQKEZYOLMZYOYRYQREZL
      MZUFUUFYNYOYRYQYNAUUQXJUVCUVBXKYNUWDUUDUWFUUEYNUWCUUCYOLYNUWCAYQYQREZKEUU
      CYNAYQYQUVGYNYQUVBQZUWHXLYNUWGUUBAKYNUWGUUBXMJEZUWIREUUBYNYQUWIYQUWIRYNUW
      IYPHXMUJEZJEZYQYNYPTFZUWIUWKVQZYNYPUVAQUWLHTFZHDXNZUFXMTFXMDXNUFUWMUWNUWO
      XQXRXOXPYPHXMXSXTVRUWJIYPJYAYBYCZUWPYDYNUUBYNUUBYNUURHVDFUUBOFUVAYEYPHVGP
      QYFYHYGYHYIYNUWEAYOLYNAYQUVGUWHYJYKYLYMXG $.

    $( Bounds on the cosine of a positive real number less than or equal to 1.
       (Contributed by Paul Chapman, 19-Jan-2008.)  (Revised by Mario Carneiro,
       30-Apr-2014.) $)
    cos01bnd $p |- ( A e. ( 0 (,] 1 ) ->
                     ( ( 1 - ( 2 x. ( ( A ^ 2 ) / 3 ) ) ) < ( cos ` A ) /\
                       ( cos ` A ) < ( 1 - ( ( A ^ 2 ) / 3 ) ) ) ) $=
      ( cc0 c1 co wcel cfv c2 cdiv cmin c6 clt wbr c3 cmul c4 cr cle wceq syl
      cc vk vn cioc ccos cexp cabs wa cuz cv cn0 ci cfa cmpt csu cre 1re cxr wb
      w3a 0xr elioc2 mp2an simp1bi resqcld rehalfcld resubcl recnd ax-icn mulcl
      sylancr 4nn0 eftlcl sylancl recld caddc recos4p mvrladdd fveq2d abscld cn
      eqid 6nn nndivre absrele reexpcl ef01bndlem 2nn0 a1i cz 4z 2re 4re ltleii
      2lt4 2z eluz1i mpbir2an simp2bi wi 0re ltle mpd simp3bi leexp2rd 6re 6pos
      lediv1 syl112anc ltletrd lelttrd eqbrtrd recoscld absdifltd 1cnd subsub4d
      mpbid halfpm6th simpri oveq2i 2cn reccli 6cn nnne0i adddi mp3an23 eqtr3id
      2ne0 wne 3cn 3ne0 pm3.2i div12 mp3an13 divrec oveq12d oveq2d eqtrd breq1d
      3eqtr4rd subsubd simpli subdi eqtr3d breq2d anbi12d bitrd ) ABCUCDEZAUDFZ
      CAGUEDZGHDZIDZIDZUFFZUUIJHDZKLZCGUUIMHDZNDZIDZUUHKLZUUHCUUPIDZKLZUGZUUGUU
      MOUHFUAUIUBUJUKANDZUBUIZUEDUVDULFHDUMZFUAUNZUOFZUFFZUUNKUUGUULUVGUFUUGUUH
      UUKUVGUUGUUKUUGCPEZUUJPEUUKPEUPUUGUUIUUGAUUGAPEZBAKLZACQLZBUQEUVIUUGUVJUV
      KUVLUSURUTUPBCAVAVBZVCZVDZVEZCUUJVFVJZVGUUGUVGUUGUVFUUGUVCTEZOUJEZUVFTEZU
      UGUKTEATEUVRVHUUGAUVNVGUKAVIVJVKUVCUAUBUVEOUVEWAZVLVMZVNVGZUUGUVJUUHUUKUV
      GVODRUVNAUAUBUVEUWAVPSVQVRUUGUVHUVFUFFZUUNUUGUVGUWCVSUUGUVFUWBVSZUUGUUIPE
      ZJVTEZUUNPEUVOWBUUIJWCVMZUUGUVTUVHUWDQLUWBUVFWDSUUGUWDAOUEDZJHDZUUNUWEUUG
      UWIPEZUWGUWJPEUUGUVJUVSUWKUVNVKAOWEVMZWBUWIJWCVMUWHAUAUBUVEUWAWFUUGUWIUUI
      QLZUWJUUNQLZUUGAGOUVNGUJEUUGWGWHOGUHFEZUUGUWOOWIEGOQLWJGOWKWLWNWMGOWOWPWQ
      WHUUGUVKBAQLZUUGUVJUVKUVLUVMWRUUGBPEUVJUVKUWPWSWTUVNBAXAVJXBUUGUVJUVKUVLU
      VMXCXDUUGUWKUWFJPEZBJKLZUWMUWNURUWLUVOUWQUUGXEWHUWRUUGXFWHUWIUUIJXGXHXPXI
      XJXKUUGUUOUUKUUNIDZUUHKLZUUHUUKUUNVODZKLZUGUVBUUGUUHUUKUUNUUGAUVNXLUVQUWH
      XMUUGUWTUUSUXBUVAUUGUWSUURUUHKUUGUWSCUUJUUNVODZIDUURUUGCUUJUUNUUGXNZUUGUU
      JUVPVGZUUGUUNUWHVGZXOUUGUXCUUQCIUUGUUIGMHDZNDZUUICGHDZNDZUUICJHDZNDZVODZU
      UQUXCUUGUXHUUIUXIUXKVODZNDZUXMUXNUXGUUINUXIUXKIDZCMHDZRZUXNUXGRZXQXRXSUUG
      UUITEZUXOUXMRZUUGUUIUVOVGZUXTUXITEZUXKTEZUYAGXTYGYAZJYBJWBYCZYAZUUIUXIUXK
      YDYESYFUUGUXTUUQUXHRZUYBGTEZUXTMTEZMBYHZUGUYHXTUYJUYKYIYJYKGUUIMYLYMSUUGU
      UJUXJUUNUXLVOUUGUXTUUJUXJRZUYBUXTUYIGBYHUYLXTYGUUIGYNYESZUUGUXTUUNUXLRZUY
      BUXTJTEJBYHUYNYBUYFUUIJYNYESZYOYSYPYQYRUUGUXAUUTUUHKUUGCUUJUUNIDZIDUXAUUT
      UUGCUUJUUNUXDUXEUXFYTUUGUYPUUPCIUUGUUIUXQNDZUXJUXLIDZUUPUYPUUGUYQUUIUXPND
      ZUYRUXPUXQUUINUXRUXSXQUUAXSUUGUXTUYSUYRRZUYBUXTUYCUYDUYTUYEUYGUUIUXIUXKUU
      BYESYFUUGUXTUUPUYQRZUYBUXTUYJUYKVUAYIYJUUIMYNYESUUGUUJUXJUUNUXLIUYMUYOYOY
      SYPUUCUUDUUEUUFXP $.
  $}

  $( Bounds on the cosine of 1.  (Contributed by Paul Chapman, 19-Jan-2008.) $)
  cos1bnd $p |- ( ( 1 / 3 ) < ( cos ` 1 ) /\ ( cos ` 1 ) < ( 2 / 3 ) ) $=
    ( c1 c3 cdiv co clt wbr c2 cmul cmin oveq1i oveq2i 2cn 3cn 3ne0 caddc eqtri
    ax-1cn wcel cc0 1re ccos cfv cexp divreci eqtr4i divcli reccli df-3 divdiri
    sq1 dividi 3eqtr3ri subaddrii cr cle wa 0lt1 1le1 w3a cioc cxr wb 0xr mp2an
    elioc2 cos01bnd sylbir mp3an simpli eqbrtrri simpri subadd2i breqtri pm3.2i
    wceq mpbir ) ABCDZAUAUBZEFVRGBCDZEFAGAGUCDZBCDZHDZIDZVQVREWCAVSIDVQWBVSAIWB
    GVQHDVSWAVQGHVTABCUJJZKGBLMNUDUEKAVSVQQGBLMNUFZBMNUGZBBCDGAODZBCDAVSVQODZBW
    GBCUHJBMNUKGABLQMNUIULZUMPWCVREFZVRAWAIDZEFZAUNRZSAEFZAAUOFZWJWLUPZTUQURWMW
    NWOUSZASAUTDRZWPSVARWMWRWQVBVCTSAAVEVDAVFVGVHZVIVJVRWKVSEWJWLWSVKWKAVQIDZVS
    WAVQAIWDKWTVSVOWHAVOWIAVQVSQWFWEVLVPPVMVN $.

  $( Bounds on the cosine of 2.  (Contributed by Paul Chapman, 19-Jan-2008.) $)
  cos2bnd $p |- ( -u ( 7 / 9 ) < ( cos ` 2 ) /\
                     ( cos ` 2 ) < -u ( 1 / 9 ) ) $=
    ( c7 c9 cdiv co cneg c2 clt wbr c1 cexp cmin wcel cc0 wceq 9cn mp3an eqtr3i
    2cn c3 c8 ccos cfv cmul cc wne 7cn 9pos gt0ne0ii divneg wa pm3.2i divsubdir
    negsubdi2i caddc 7p2e9 subadd2i negeqi oveq1i dividi oveq2i 3eqtr2ri ax-1cn
    9re mpbir divassi 2t1e2 3cn sqdivi sq1 sq3 oveq12i eqtri cos1bnd simpli cle
    3ne0 wb 0le1 3pos 1re 3re divge0i mp2an 0re cr recoscl ax-mp lelttri ltleii
    rereccli lt2sqi mpbi eqbrtrri 2pos resqcli ltmul2i redivcli remulcli ltsub1
    2re fveq2i cos2t breqtrri c4 simpri 0le2 sq2 breqtri 4re 4cn 4t2e8 mulcomli
    8re 8cn 8p1e9 subaddrii eqbrtri ) ABCDEZFUAUBZGHXSIBCDZEZGHXRFIUAUBZFJDZUCD
    ZIKDZXSGFBCDZIKDZXRYEGXRAEZBCDZYFBBCDZKDZYGAUDLBUDLZBMUEZXRYINUFOBVCUGUHZAB
    UIPFBKDZBCDZYKYIFUDLYLYLYMUJZYPYKNROYLYMOYNUKZFBBULPYOYHBCBFKDZEYOYHBFORUMY
    SAYSANAFUNDBNUOBFAORUFUPVDUQQURQYJIYFKBOYNUSZUTVAYFYDGHZYGYEGHZFXTUCDZYFYDG
    FIUCDZBCDUUCYFFIBRVBOYNVEUUDFBCVFURQXTYCGHZUUCYDGHZISCDZFJDZXTYCGUUHIFJDZSF
    JDZCDXTISVBVGVPVHUUIIUUJBCVIVJVKVLUUGYBGHZUUHYCGHZUUKYBFSCDZGHZVMVNZMUUGVOH
    ZMYBVOHZUUKUULVQMIVOHMSGHZUUPVRVSISVTWAWBWCZMYBWDIWELZYBWELVTIWFWGZUUPUUKMY
    BGHUUSUUOMUUGYBWDSWAVPWJZUVAWHWCWIZUUGYBUVBUVAWKWCWLWMMFGHZUUEUUFVQWNXTYCFB
    VCYNWJYBUVAWOZWTWPWGWLWMYFWELYDWELZUUTUUAUUBVQFBWTVCYNWQFYCWTUVEWRZVTYFYDIW
    SPWLWMUUDUAUBZXSYEUUDFUAVFXAIUDLZUVHYENVBIXBWGQZXCXSYEYAGUVJYETBCDZIKDZYAGY
    DUVKGHZYEUVLGHZYDFXDBCDZUCDZUVKGYCUVOGHZYDUVPGHZYCUUMFJDZUVOGUUNYCUVSGHZUUK
    UUNVMXEUUQMUUMVOHZUUNUVTVQUVCMFVOHUURUWAXFVSFSWTWAWBWCYBUUMUVAFSWTWAVPWQWKW
    CWLUVSFFJDZUUJCDUVOFSRVGVPVHUWBXDUUJBCXGVJVKVLXHUVDUVQUVRVQWNYCUVOFUVEXDBXI
    VCYNWQWTWPWGWLFXDUCDZBCDUVPUVKFXDBRXJOYNVEUWCTBCXDFTXJRXKXLURQXHUVFUVKWELUU
    TUVMUVNVQUVGTBXMVCYNWQVTYDUVKIWSPWLUVKYJKDZUVLYAYJIUVKKYTUTYAIEZBCDZTBKDZBC
    DZUWDUVIYLYMYAUWFNVBOYNIBUIPUWGUWEBCBTKDZEUWGUWEBTOXNUMUWIIBTIOXNVBXOXPUQQU
    RTUDLYLYQUWHUWDNXNOYRTBBULPVAQXHXQUK $.

  $( The sine of a positive real number is less than its argument.
     (Contributed by Mario Carneiro, 29-Jul-2014.) $)
  sinltx $p |- ( A e. RR+ -> ( sin ` A ) < A ) $=
    ( crp wcel csin cfv clt wbr c1 wa rpre adantr resincld 1red cle cneg simprd
    cr cc0 co c3 sinbnd syl simpr lelttrd cioc w3a df-3an cxr wb 0xr 1re elioc2
    mp2an elrp anbi1i 3bitr4i cexp cdiv cmin sin01bnd sylbir ltlecasei ) ABCZAD
    EZAFGZHAVCHAFGZIZVDHAVGAVCAQCZVFAJZKZLVGMVJVCVDHNGZVFVCVHVKVIVHHOVDNGVKAUAP
    UBKVCVFUCUDVCAHNGZIZARHUESCZVEVHRAFGZVLUFZVHVOIZVLIVNVMVHVOVLUGRUHCHQCVNVPU
    IUJUKRHAULUMVCVQVLAUNUOUPVNAATUQSTURSUSSVDFGVEAUTPVAVCMVIVB $.

  $( The sine of a positive real number less than or equal to 1 is positive.
     (Contributed by Paul Chapman, 19-Jan-2008.)  (Revised by Wolf Lammen,
     25-Sep-2020.) $)
  sin01gt0 $p |- ( A e. ( 0 (,] 1 ) -> 0 < ( sin ` A ) ) $=
    ( cc0 c1 co wcel c3 cexp cdiv clt wbr cfv cr cn0 cle w3a 1re 3re 3z pm3.2i
    wa cioc cmin csin cxr wb 0xr elioc2 mp2an simp1bi 3nn0 reexpcl sylancl 3ne0
    wne redivcl mp3an23 syl cz expgt0 mp3an2 3adant3 sylbi 0lt1 3pos 1lt3 mpbii
    ltdiv2 mp3an12 syl2anc recnd div1d breqtrd 1nn0 a1i 1le3 1z eluz1i mpbir2an
    cuz simp2bi wi 0re sylancr mpd simp3bi leexp2rd exp1d ltletrd posdifd mpbid
    ltle sin01bnd simpld resubcld resincld lttr mp3an2i mp2and ) ABCUADEZBAAFGD
    ZFHDZUBDZIJZXBAUCKZIJZBXDIJZWSXAAIJXCWSXAWTAWSWTLEZXALEZWSALEZFMEXGWSXIBAIJ
    ZACNJZBUDECLEZWSXIXJXKOZUEUFPBCAUGUHZUIZUJAFUKULZXGFLEZFBUNXHQUMWTFUOUPUQZX
    PXOWSXAWTCHDZWTIWSXGBWTIJZXAXSIJZXPWSXMXTXNXIXJXTXKXIFUREZXJXTRAFUSUTVAVBXL
    BCIJZTZXQBFIJZTZXGXTTZYAXLYCPVCSXQYEQVDSYDYFYGOCFIJYAVECFWTVGVFVHVIWSWTWSWT
    XPVJVKVLWSWTACGDANWSACFXOCMEWSVMVNFCVSKEZWSYHYBCFNJRVOCFVPVQVRVNWSXJBANJZWS
    XIXJXKXNVTWSBLEZXIXJYIWAWBXOBAWKWCWDWSXIXJXKXNWEWFWSAWSAXOVJWGVLWHWSXAAXRXO
    WIWJWSXEXDAIJAWLWMYJWSXBLEXDLEXCXETXFWAWBWSAXAXOXRWNWSAXOWOBXBXDWPWQWR $.

  $( The cosine of a positive real number less than or equal to 1 is positive.
     (Contributed by Paul Chapman, 19-Jan-2008.) $)
  cos01gt0 $p |- ( A e. ( 0 (,] 1 ) -> 0 < ( cos ` A ) ) $=
    ( cc0 c1 co wcel c2 c3 cdiv cmul clt wbr cle cc cr wb 1re wa 3ne0 2re 3re
    cioc cexp cmin ccos cfv wceq cxr w3a 0xr elioc2 mp2an simp1bi resqcld recnd
    wne 2cn 3cn pm3.2i div12 mp3an13 syl cz 2z expgt0 mp3an2 3adant3 sylbi 2lt3
    3pos ltdiv1ii dividi breqtri redivcli mp3an12 mpbii syl2anc mulid1d breqtrd
    mpbi ltmul2 eqbrtrd wi 0re ltle imdistani le2sq2 mpanr1 stoic3 sq1 breqtrdi
    redivcl mp3an23 remulcl sylancr ltletr mp3an3 mp2and sylancl mpbid cos01bnd
    mpan posdif simpld resubcl recoscld lttr mp3an2i ) ABCUADEZBCFAFUBDZGHDZIDZ
    UCDZJKZXLAUDUEZJKZBXNJKZXHXKCJKZXMXHXKXIJKZXICLKZXQXHXKXIFGHDZIDZXIJXHXIMEZ
    XKYAUFZXHXIXHAXHANEZBAJKZACLKZBUGECNEZXHYDYEYFUHZOUIPBCAUJUKZULZUMZUNZFMEYB
    GMEZGBUOZQYCUPYMYNUQRURFXIGUSUTVAXHYAXICIDZXIJXHXINEZBXIJKZYAYOJKZYKXHYHYQY
    IYDYEYQYFYDFVBEYEYQVCAFVDVEVFVGYPYQQZXTCJKZYRXTGGHDZCJFGJKXTUUAJKVHFGGSTTVI
    VJVSGUQRVKVLXTNEYGYSYTYROFGSTRVMPXTCXIVTVNVOVPXHXIYLVQVRWAXHXICFUBDZCLXHYHX
    IUUBLKZYIYDYEYDBALKZQZYFUUCYDYEUUDBNEZYDYEUUDWBWCBAWDXAWEUUEYGYFUUCPACWFWGW
    HVGWIWJXHXKNEZYPXRXSQXQWBZXHFNEXJNEZUUGSXHYPUUIYKYPGNEYNUUITRXIGWKWLVAFXJWM
    WNZYKUUGYPYGUUHPXKXICWOWPVPWQXHUUGYGXQXMOUUJPXKCXBWRWSXHXOXNCXJUCDJKAWTXCUU
    FXHXLNEZXNNEXMXOQXPWBWCXHYGUUGUUKPUUJCXKXDWNXHAYJXEBXLXNXFXGWQ $.

  $( The sine of a positive real number less than or equal to 2 is positive.
     (Contributed by Paul Chapman, 19-Jan-2008.) $)
  sin02gt0 $p |- ( A e. ( 0 (,] 2 ) -> 0 < ( sin ` A ) ) $=
    ( cc0 c2 cioc co wcel cmul csin cfv clt cr wbr cle wb 2re syl c1 wa 2pos cc
    cdiv ccos w3a cxr 0xr elioc2 mp2an rehalfcl 3ad2ant1 sylbi resincl remulcld
    recoscl divgt0 mpanr12 3adant3 pm3.2i lediv1 mp3an23 biimpa 2div2e1 3adant2
    breqtrdi 3jca 1re 3imtr4i sin01gt0 cos01gt0 wi axmulgt0 syl2anc mp2and mpan
    mpani sylc wceq recnd sin2t breqtrrd simp1bi wne 2cn divcan2 fveq2d breqtrd
    2ne0 ) ABCDEFZBCACUAEZGEZHIZAHIJWGBCWHHIZWHUBIZGEZGEZWJJWGWMKFZBWMJLZBWNJLZ
    WGWHKFZWOWGAKFZBAJLZACMLZUCZWRBUDFZCKFZWGXBNUEOBCAUFUGZWSWTWRXAAUHUIZUJZWRW
    KWLWHUKZWHUMZULPWGBWKJLZBWLJLZWPWGWHBQDEFZXJXBWRBWHJLZWHQMLZUCZWGXLXBWRXMXN
    XFWSWTXMXAWSWTRXDBCJLZXMOSACUNUOUPWSXAXNWTWSXARWHCCUAEZQMWSXAWHXQMLZWSXDXDX
    PRXAXRNOXDXPOSUQACCURUSUTVAVCVBVDXEXCQKFXLXONUEVEBQWHUFUGVFZWHVGPWGXLXKXSWH
    VHPWGWRXJXKRWPVIZXGWRWKKFWLKFXTXHXIWKWLVJVKPVLWOXPWPWQSXDWOXPWPRWQVIOCWMVJV
    MVNVOWGWHTFWJWNVPWGWHXGVQWHVRPVSWGWIAHWGATFZWIAVPZWGAWGWSWTXAXEVTVQYACTFCBW
    AYBWBWFACWCUSPWDWE $.

  $( The signs of the sine and cosine of 1.  (Contributed by Paul Chapman,
     19-Jan-2008.) $)
  sincos1sgn $p |- ( 0 < ( sin ` 1 ) /\ 0 < ( cos ` 1 ) ) $=
    ( c1 cc0 cioc co wcel csin cfv clt wbr ccos wa cr cle 1re 0lt1 1le1 cxr w3a
    wb 0xr elioc2 mp2an mpbir3an sin01gt0 cos01gt0 jca ax-mp ) ABACDEZBAFGHIZBA
    JGHIZKUHALEZBAHIZAAMIZNOPBQEUKUHUKULUMRSTNBAAUAUBUCUHUIUJAUDAUEUFUG $.

  $( The signs of the sine and cosine of 2.  (Contributed by Paul Chapman,
     19-Jan-2008.) $)
  sincos2sgn $p |- ( 0 < ( sin ` 2 ) /\ ( cos ` 2 ) < 0 ) $=
    ( cc0 c2 csin cfv clt wbr ccos cioc co wcel cr 2re wb mp2an ax-mp cdiv cneg
    c9 9re 9pos cle 2pos cxr w3a 0xr elioc2 mpbir3an sin02gt0 c1 cos2bnd simpri
    leidi c7 recgt0ii gt0ne0ii rereccli lt0neg2 mpbi recoscl renegcli 0re lttri
    pm3.2i ) ABCDEFZBGDZAEFZBABHIJZVDVGBKJZABEFZBBUAFZLUBBLULAUCJVHVGVHVIVJUDMU
    ELABBUFNUGBUHOVEUIRPIZQZEFZVLAEFZVFUMRPIQVEEFVMUJUKAVKEFZVNRSTUNVKKJVOVNMRS
    RSTUOUPZVKUQOURVEVLAVHVEKJLBUSOVKVPUTVAVBNVC $.

  $( The sine of 4 is negative.  (Contributed by Paul Chapman, 19-Jan-2008.) $)
  sin4lt0 $p |- ( sin ` 4 ) < 0 $=
    ( c4 csin cfv c2 cmul co cc0 clt wcel 2cn ax-mp wbr sincos2sgn cr wa wb 2re
    0re pm3.2i ltmul2 ccos 2t2e4 fveq2i wceq sin2t eqtr3i simpri recoscl simpli
    cc resincl mp3an mpbi recni mul01i breqtri remulcli 2pos eqbrtri ) ABCZDDBC
    ZDUACZEFZEFZGHDDEFZBCZUTVDVEABUBUCDUJIVFVDUDJDUEKUFVDDGEFZGHVCGHLZVDVGHLZVC
    VAGEFZGHVBGHLZVCVJHLZGVAHLZVKMUGVBNIZGNIZVANIZVMOVKVLPDNIZVNQDUHKZRVPVMVQVP
    QDUKKZVMVKMUISVBGVATULUMVAVAVSUNUOUPVCNIVOVQGDHLZOVHVIPVAVBVSVRUQRVQVTQURSV
    CGDTULUMDJUOUPUS $.

  $( The absolute value of the exponential of an imaginary number is one.
     Equation 48 of [Rudin] p. 167.  (Contributed by Jason Orendorff,
     9-Feb-2007.) $)
  absefi $p |- ( A e. RR -> ( abs ` ( exp ` ( _i x. A ) ) ) = 1 ) $=
    ( cr wcel ci cmul co ce cfv cabs caddc c1 wceq fveq2d c2 cexp csqrt resqcld
    syl recnd eqtrd ccos csin cc efival recoscl resincl absreim syl2anc addcomd
    recn sincossq sqrt1 eqtrdi ) ABCZDAEFGHZIHAUAHZDAUBHZEFJFZIHZKUNUOURIUNAUCC
    ZUOURLAUJZAUDRMUNUSUPNOFZUQNOFZJFZPHZKUNUPBCUQBCUSVELAUEZAUFZUPUQUGUHUNVEKP
    HKUNVDKPUNVDVCVBJFZKUNVBVCUNVBUNUPVFQSUNVCUNUQVGQSUIUNUTVHKLVAAUKRTMULUMTT
    $.

  $( The absolute value of the exponential is the exponential of the real part.
     (Contributed by Paul Chapman, 13-Sep-2007.) $)
  absef $p |- ( A e. CC -> ( abs ` ( exp ` A ) ) = ( exp ` ( Re ` A ) ) ) $=
    ( cc wcel ce cfv cabs cre c1 cmul co ci fveq2d wceq recnd sylancr cr 3eqtrd
    syl cc0 wbr caddc replim recl ax-icn imcl mulcl efadd syl2anc eqtrd reefcld
    cim efcl absmuld absefi oveq2d abscld mulid1d clt cle efgt0 wi 0re ltle mpd
    absidd ) ABCZADEZFEZAGEZDEZFEZHIJZVKVJVFVHVJKAUKEZIJZDEZIJZFEVKVOFEZIJVLVFV
    GVPFVFVGVIVNUAJZDEZVPVFAVRDAUBLVFVIBCVNBCZVSVPMVFVIAUCZNVFKBCVMBCVTUDVFVMAU
    EZNKVMUFOZVIVNUGUHUILVFVJVOVFVJVFVIWAUJZNZVFVTVOBCWCVNULRUMVFVQHVKIVFVMPCVQ
    HMWBVMUNRUOQVFVKVFVKVFVJWEUPNUQVFVJWDVFSVJURTZSVJUSTZVFVIPCWFWAVIUTRVFSPCVJ
    PCWFWGVAVBWDSVJVCOVDVEQ $.

  $( A complex number is real iff the exponential of its product with ` _i `
     has absolute value one.  (Contributed by NM, 21-Aug-2008.) $)
  absefib $p |- ( A e. CC
          -> ( A e. RR <-> ( abs ` ( exp ` ( _i x. A ) ) ) = 1 ) ) $=
    ( cc wcel cfv cneg ce c1 wceq cc0 ci cmul co cr recnd cre mulcl caddc eqtrd
    ax-icn fveq2d cim cabs ef0 eqeq2i imcl renegcld 0re sylancl bitr3id negeq0d
    wb reef11 bitr4d mpan absef syl recl sylancr replim comraddd oveq2d mp3an2i
    adddi ixi oveq1i mulass mp3an12i mulm1d oveq1d crred eqeq1d reim0b 3bitr4rd
    3eqtr3a ) ABCZAUADZEZFDZGHZVPIHZJAKLZFDUBDZGHAMCVOVSVQIHZVTVSVRIFDZHZVOWCWD
    GVRUCUDVOVQMCIMCWEWCUKVOVPAUEZUFZUGVQIULUHUIVOVPVOVPWFNZUJUMVOWBVRGVOWBWAOD
    ZFDZVRVOWABCZWBWJHJBCZVOWKSJAPUNWAUOUPVOWIVQFVOWIVQJAODZKLZQLZODVQVOWAWOOVO
    WAJJVPKLZWMQLZKLZWOVOAWQJKVOAWMWPVOWMAUQZNZVOWLVPBCZWPBCZSWHJVPPURZAUSUTVAV
    OWRJWPKLZWNQLZWOWLVOXBWMBCWRXEHSXCWTJWPWMVCVBVOXDVQWNQVOJJKLZVPKLZGEZVPKLXD
    VQXFXHVPKVDVEWLWLVOXAXGXDHSSWHJJVPVFVGVOVPWHVHVNVIRRTVOVQWMWGWSVJRTRVKAVLVM
    $.

  $( TODO - make obsolete? $)
  $( A number whose imaginary exponential is one is real.  (Contributed by NM,
     21-Aug-2008.) $)
  efieq1re $p |- ( ( A e. CC /\ ( exp ` ( _i x. A ) ) = 1 ) -> A e. RR ) $=
    ( cc wcel ci cmul co ce cfv c1 wceq cr cneg caddc oveq2d ax-icn recnd eqtrd
    cabs syl cc0 cim replim recl imcl mulcl sylancr adddi mp3an2i oveq1i mulass
    cre ixi mp3an12i mulm1d 3eqtr3a fveq2d renegcld syl2anc eqeq1d efcl absmuld
    efadd absefi reefcld clt wbr cle efgt0 wi 0re ltle mpan sylc absidd oveq12d
    mulid2d 3eqtrrd fveq2 sylan9eq sylbid negeq0d reim0b ef0 abs1 eqtr4i eqeq2i
    ex wb reef11 sylancl bitr3id 3bitr4rd sylibd imp ) ABCZDAEFZGHZIJZAKCZWOWRA
    UAHZLZGHZIRHZJZWSWOWRDAUKHZEFZGHZXBEFZIJZXDWOWQXHIWOWQXFXAMFZGHZXHWOWPXJGWO
    WPDXEDWTEFZMFZEFZXJWOAXMDEAUBNWOXNXFDXLEFZMFZXJDBCZWOXEBCZXLBCZXNXPJOWOXEAU
    CZPZWOXQWTBCZXSOWOWTAUDZPZDWTUEUFDXEXLUGUHWOXOXAXFMWODDEFZWTEFZILZWTEFXOXAY
    EYGWTEULUIXQXQWOYBYFXOJOOYDDDWTUJUMWOWTYDUNUONQQUPWOXFBCZXABCZXKXHJWOXQXRYH
    OYADXEUEUFZWOXAWOWTYCUQZPZXFXAVBURQUSWOXIXDWOXIXBXHRHZXCWOYMXGRHZXBRHZEFIXB
    EFXBWOXGXBWOYHXGBCYJXFUTSWOYIXBBCYLXAUTSZVAWOYNIYOXBEWOXEKCYNIJXTXEVCSWOXBW
    OXAYKVDZWOXBKCZTXBVEVFZTXBVGVFZYQWOXAKCZYSYKXAVHSTKCZYRYSYTVIVJTXBVKVLVMVNV
    OWOXBYPVPVQXHIRVRVSWGVTWOWTTJXATJZWSXDWOWTYDWAAWBXDXBTGHZJZWOUUCUUDXCXBUUDI
    XCWCWDWEWFWOUUAUUBUUEUUCWHYKVJXATWIWJWKWLWMWN $.

  ${
    $d x k $.  $d x N $.  $d A x $.  $d A k $.
    $( De Moivre's Formula.  Proof by induction given at
       ~ http://en.wikipedia.org/wiki/De&#x5F;Moivre&#x27;s&#x5F;formula , but
       restricted to nonnegative integer powers.  See also ~ demoivreALT for an
       alternate longer proof not using the exponential function.  (Contributed
       by NM, 24-Jul-2007.) $)
    demoivre $p |- ( ( A e. CC /\ N e. ZZ ) ->
                  ( ( ( cos ` A ) + ( _i x. ( sin ` A ) ) ) ^ N ) =
                 ( ( cos ` ( N x. A ) ) + ( _i x. ( sin ` ( N x. A ) ) ) ) ) $=
      ( cc wcel cz wa ci cmul co ce cexp ccos csin caddc wceq ax-icn mulcl mpan
      cfv efival efexp sylan zcn mul12 mp3an2 fveq2d eqtrd ancoms sylan2 oveq1d
      syl adantr 3eqtr3rd ) ACDZBEDZFBGAHIZHIZJSZUPJSZBKIZBAHIZLSGVAMSHINIZALSG
      AMSHINIZBKIZUNUPCDZUOURUTOGCDZUNVEPGAQRUPBUAUBUOUNBCDZURVBOZBUCVGUNVHVGUN
      FZURGVAHIZJSZVBVIUQVJJVGVFUNUQVJOPBGAUDUEUFVIVACDVKVBOBAQVATUKUGUHUIUNUTV
      DOUOUNUSVCBKATUJULUM $.

    $( Alternate proof of ~ demoivre .  It is longer but does not use the
       exponential function.  This is Metamath 100 proof #17.  (Contributed by
       Steve Rodriguez, 10-Nov-2006.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    demoivreALT $p |- ( ( A e. CC /\ N e. NN0 ) ->
                  ( ( ( cos ` A ) + ( _i x. ( sin ` A ) ) ) ^ N ) =
                 ( ( cos ` ( N x. A ) ) + ( _i x. ( sin ` ( N x. A ) ) ) ) ) $=
      ( wcel cc ccos cfv ci csin cmul caddc cexp wceq cc0 fveq2d oveq2d oveq12d
      co c1 ax-icn syl2anc vx vk cn0 cv wi oveq2 oveq1 imbi2d coscl sincl mulcl
      eqeq12d sylancr addcl exp0 mul02 cos0 eqtrdi mul01i ax-1cn addid1i eqtr4d
      syl sin0 wa expp1 sylan ancoms adantr adantl nn0cn sinadd sylancom mulcom
      oveq1d addcom 3eqtr2d w3a adddir mulid2 3ad2ant3 syl3an1 mp3an2 cmin cneg
      eqtrd mpan 3syl jca muladd syl21anc jctil mul4 oveq1i mul12 mp3an1 3eqtrd
      ixi adddi mulm1 negsub cosadd 3eqtr4rd exp31 a2d nn0ind impcom ) BUCCADCZ
      AEFZGAHFZIQZJQZBKQZBAIQZEFZGXNHFZIQZJQZLZXHXLUAUDZKQZXTAIQZEFZGYBHFZIQZJQ
      ZLZUEXHXLMKQZMAIQZEFZGYIHFZIQZJQZLZUEXHXLUBUDZKQZYOAIQZEFZGYQHFZIQZJQZLZU
      EXHXLYORJQZKQZUUCAIQZEFZGUUEHFZIQZJQZLZUEXHXSUEUAUBBXTMLZYGYNXHUUKYAYHYFY
      MXTMXLKUFUUKYCYJYEYLJUUKYBYIEXTMAIUGZNUUKYDYKGIUUKYBYIHUULNOPULUHXTYOLZYG
      UUBXHUUMYAYPYFUUAXTYOXLKUFUUMYCYRYEYTJUUMYBYQEXTYOAIUGZNUUMYDYSGIUUMYBYQH
      UUNNOPULUHXTUUCLZYGUUJXHUUOYAUUDYFUUIXTUUCXLKUFUUOYCUUFYEUUHJUUOYBUUEEXTU
      UCAIUGZNUUOYDUUGGIUUOYBUUEHUUPNOPULUHXTBLZYGXSXHUUQYAXMYFXRXTBXLKUFUUQYCX
      OYEXQJUUQYBXNEXTBAIUGZNUUQYDXPGIUUQYBXNHUURNOPULUHXHYHRYMXHXLDCZYHRLXHXID
      CZXKDCZUUSAUIZXHGDCZXJDCZUVASAUJZGXJUKUMZXIXKUNTZXLUOVCXHYMRMJQRXHYJRYLMJ
      XHYJMEFRXHYIMEAUPZNUQURXHYLGMIQMXHYKMGIXHYKMHFMXHYIMHUVHNVDUROGSUSURPRUTV
      AURVBYOUCCZXHUUBUUJUVIXHUUBUUJUVIXHVEZUUBVEUUDYPXLIQZUUAXLIQZUUIUVJUUDUVK
      LZUUBXHUVIUVMXHUUSUVIUVMUVGXLYOVFVGVHVIUUBUVKUVLLUVJYPUUAXLIUGVJUVJUVLUUI
      LUUBUVJYQAJQZEFZGUVNHFZIQZJQUVOGYRXJIQZXIYSIQZJQZIQZJQZUUIUVLUVJUVQUWAUVO
      JUVJUVPUVTGIUVJUVPYSXIIQZUVRJQZUVSUVRJQZUVTUVIXHYQDCZUVPUWDLUVIYODCZXHUWF
      YOVKZYOAUKVGZYQAVLVMUVJUVSUWCUVRJUVJUUTYSDCZUVSUWCLXHUUTUVIUVBVJZUVJUWFUW
      JUWIYQUJZVCZXIYSVNTVOUVJUVSDCZUVRDCZUWEUVTLUVJUUTUWJUWNUWKUWMXIYSUKTZUVJY
      RDCZUVDUWOUVJUWFUWQUWIYQUIVCZXHUVDUVIUVEVJZYRXJUKTZUVSUVRVPTVQOOUVJUUFUVO
      UUHUVQJUVJUUEUVNEUVIRDCZXHUUEUVNLZUTUVIUWGUXAXHUXBUWHUWGUXAXHVRUUEYQRAIQZ
      JQZUVNYORAVSXHUWGUXDUVNLUXAXHUXCAYQJAVTOWAWFWBWCZNUVJUUGUVPGIUVJUUEUVNHUX
      ENOPUVJUVLYRXIIQZXJYSIQZWDQZUWAJQZUWBUVJUVLUXFRWEZUXGIQZJQZUWAJQZUXFUXGWE
      ZJQZUWAJQUXIUVJUVLUXFXKYTIQZJQZYRXKIQZXIYTIQZJQZJQZUXLUXTJQUXMUVJUWQYTDCZ
      UUTUVAVEZUVLUYALUWRUVJUWFUWJUYBUWIUWLUVCUWJUYBSGYSUKWGWHXHUYCUVIXHUUTUVAU
      VBUVFWIVJYRYTXIXKWJWKUVJUXQUXLUXTJUVJUXPUXKUXFJUVJUVCUVDVEZUVCUWJVEZUXPUX
      KLUVJUVDUVCUWSSWLUVJUWJUVCUWMSWLUYDUYEVEUXPGGIQZUXGIQUXKGXJGYSWMUYFUXJUXG
      IWRWNURTOVOUVJUXTUWAUXLJUVJUXTGUVRIQZGUVSIQZJQZUWAUVJUXRUYGUXSUYHJUVJUWQU
      VDUXRUYGLZUWRUWSUWQUVCUVDUYJSYRGXJWOWCTUVJUUTUWJUXSUYHLZUWKUWMUUTUVCUWJUY
      KSXIGYSWOWCTPUVJUWOUWNUWAUYILZUWTUWPUVCUWOUWNUYLSGUVRUVSWSWPTVBOWQUVJUXLU
      XOUWAJUVJUXKUXNUXFJUVJUXGDCZUXKUXNLUVJUVDUWJUYMUWSUWMXJYSUKTZUXGWTVCOVOUV
      JUXOUXHUWAJUVJUXFDCZUYMUXOUXHLUVJUWQUUTUYOUWRUWKYRXIUKTUYNUXFUXGXATVOWQUV
      JUVOUXHUWAJUVJUVOUXFYSXJIQZWDQZUXHUVIXHUWFUVOUYQLUWIYQAXBVMUVJUYPUXGUXFWD
      UVJUWJUVDUYPUXGLUWMUWSYSXJVNTOWFVOVBXCVIWQXDXEXFXG $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The circle constant (tau = 2 pi)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c _tau $. $( Upright Greek letter tau = 6.28318.... $)

  $( Extend class notation to include the constant tau, ` _tau ` =
     6.28318.... $)
  ctau $a class _tau $.

  $( Define the circle constant tau, ` _tau ` = 6.28318..., which is the
     smallest positive real number whose cosine is one.  Various notations have
     been used or proposed for this number including ` _tau ` , a three-legged
     variant of ` _pi ` , or ` 2 _pi ` .  Note the difference between this
     constant ` _tau ` and the formula variable ` ta ` .  Following our
     convention, the constant is displayed in upright font while the variable
     is in italic font; furthermore, the colors are different.  (Contributed by
     Jim Kingdon, 9-Apr-2018.)  (Revised by AV, 1-Oct-2020.) $)
  df-tau $a |- _tau = inf ( ( RR+ i^i ( `' cos " { 1 } ) ) , RR , < ) $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  _e is irrational
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d k F $.  $d k ph $.  $d k n Q $.
    eirr.1 $e |- F = ( n e. NN0 |-> ( 1 / ( ! ` n ) ) ) $.
    eirr.2 $e |- ( ph -> P e. ZZ ) $.
    eirr.3 $e |- ( ph -> Q e. NN ) $.
    eirr.4 $e |- ( ph -> _e = ( P / Q ) ) $.
    $( Lemma for ~ eirr .  (Contributed by Paul Chapman, 9-Feb-2008.)  (Revised
       by Mario Carneiro, 29-Apr-2014.) $)
    eirrlem $p |- -. ph $=
      ( vk c1 co cmul wcel ceu cc0 cn0 cdiv wbr clt cfa cfv caddc cuz cv csu cz
      cfz cmin fzfid cc elfznn0 wa cexp wceq cmpt nn0z 1exp syl oveq1d mpteq2ia
      eqtr4i eftval adantl ax-1cn a1i eftcl sylan sylan2 fsumcl nn0uz peano2nnd
      eqeltrd eqid nnnn0d eqidd fveq2 oveq2d ovex fvmpt cn faccl nnrpd rpreccld
      crp cseq cli cdm efcllem isumrpcl rpred recnd esum isumsplit eqtrid nncnd
      sumeq2i pncan sylancl sumeq1d eqtrd mvrladdd faccld ere recni subdid zcnd
      eqtr3d nnne0d div12d cle nnred leidd facdiv syl3anc nnzd fsummulc2 adantr
      zmulcld wne facne0 divrecd eqtr4d permnn fsumzcl zsubcld wn rpmulcld cabs
      0zd rpgt0d abs1 oveq1i cr wb mpbid c2 nngt0d syl112anc mpbird 1le1 eftlub
      nnmulcld nndivred nnrecred mpteq2i eqbrtri rprege0d absid mulid2d 3brtr3d
      readdcld remulcld 1red nnge1d 1nn nnleltp1 sylancr ltadd2dd df-2 leadd1dd
      2timesd eqbrtrid lemul1 eqbrtrrd ltletrd divcan3d 3eqtr3rd mul32d breqtrd
      2re facp1 ltdivmul lelttrd ltmuldiv2d 0p1e1 breqtrrdi btwnnz pm2.65i ) AC
      UAUBZCKUCLZUDUBZJUEZEUBZJUFZMLZUGNZAUWFUVTOMLZUVTPCUHLZUWDJUFZMLZUILZUGAU
      VTOUWJUILZMLUWFUWLAUWMUWEUVTMAOUWJUWEAUWIUWDJAPCUJZUWCUWINZAUWCQNZUWDUKNU
      WCCULZAUWPUMZUWDKUWCUNLUWCUAUBZRLZUKUWPUWDUWTUOAKDEUWCEDQKDUEZUAUBZRLZUPD
      QKUXAUNLZUXBRLZUPZFDQUXEUXCUXAQNZUXDKUXBRUXGUXAUGNUXDKUOUXAUQUXAURUSUTVAV
      BZVCVDAKUKNZUWPUWTUKNUXIAVEVFZKUWCVGVHVMZVIZVJZAUWEAUWEAUWDJEPUWAUWBQVKUW
      BVNZAUWAACHVLZVOZUWRUWDVPZUWRUWDKUWSRLZWEUWPUWDUXRUOZADUWCUXCUXRQEUXAUWCU
      OUXBUWSKRUXAUWCUAVQVRFKUWSRVSVTZVDUWRUWSUWRUWSUWPUWSWANZAUWCWBVDZWCWDVMAU
      XIUCEPWFWGWHNUXJKDEUXHWIUSZWJZWKZWLAOPUWAKUILZUHLZUWDJUFZUWEUCLZUWJUWEUCL
      AOQUWDJUFZUYIOQUXRJUFUYJJWMQUWDUXRJUXTWQVBAUWDJEPUWAUWBQVKUXNUXPUXQUXKUYC
      WNWOAUYHUWJUWEUCAUYGUWIUWDJAUYFCPUHACUKNUXIUYFCUOACHWPZVECKWRWSVRWTUTXAXB
      VRAUVTOUWJAUVTACACHVOZXCZWPZOUKNAOXDXEVFUXMXFXHAUWHUWKAUWHBUVTCRLZMLZUGAU
      WHUVTBCRLZMLUYPAOUYQUVTMIVRAUVTBCUYNABGXGUYKACHXIXJXAABUYOGAUYOACQNZCWANZ
      CCXKSUYOWANUYLHACACHXLZXMCCXNXOXPXSVMAUWKUWIUVTUWDMLZJUFUGAUWIUWDUVTJUWNU
      YNUXLXQAUWIVUAJUWNAUWOUMZVUAVUBVUAUVTUWSRLZWAVUBVUAUVTUXRMLVUCVUBUWDUXRUV
      TMVUBUWPUXSUWOUWPAUWQVDZUXTUSVRVUBUVTUWSAUVTUKNUWOUYNXRVUBUWSUWOAUWPUYAUW
      QUYBVIWPVUBUWPUWSPXTVUDUWCYAUSYBYCUWOVUCWANAUWCCYDVDVMXPYEVMYFVMAPUGNPUWF
      TSUWFPKUCLZTSUWGYGAYJAUWFAUVTUWEAUVTUYMWCZUYDYHYKAUWFKVUETAUWFKTSUWEKUVTR
      LZTSAUWEUWAKUCLZUWAUAUBZUWAMLZRLZVUGUYEAVUHVUJAVUHAUWAUXOVLXLZAVUIUWAAUWA
      UXPXCZUXOUUCZUUDZAUVTUYMUUEZAUWEYIUBZKYIUBZUWAUNLZVUKMLZUWEVUKXKAKJDEEDQV
      USVUIRLKVUHRLUXAUNLMLUPZUWAUXHEUXFDQVURUXAUNLZUXBRLZUPUXHDQVVCUXEVVBUXDUX
      BRVURKUXAUNYLYMYMUUFVBVVAVNUXOUXJVURKXKSAVURKKXKYLUUAUUGVFUUBAUWEYNNPUWEX
      KSUMVUQUWEUOAUWEUYDUUHUWEUUIUSAVUTKVUKMLVUKAVUSKVUKMAVUSKUWAUNLZKVURKUWAU
      NYLYMAUWAUGNVVDKUOAUWAUXOXPUWAURUSWOUTAVUKAVUKVUOWLUUJXAUUKAVUKVUGTSZVUHV
      UJVUGMLZTSZAVUHUWAUWAMLZVVFTAVUHUWAUWAUCLZVVHVULAUWAUWAAUWAUXOXLZVVJUULAU
      WAUWAVVJVVJUUMAKUWAUWAAUUNZVVJVVJAKCXKSZKUWATSZACHUUOZAKWANUYSVVLVVMYOUUP
      HKCUUQUURYPUUSAYQUWAMLZVVIVVHXKAUWAAUWAUXOWPZUVBAYQUWAXKSZVVOVVHXKSZAYQKK
      UCLUWAXKUUTAKCKVVKUYTVVKVVNUVAUVCAYQYNNZUWAYNNZVVTPUWATSVVQVVRYOVVSAUVKVF
      VVJVVJAUWAUXOYRYQUWAUWAUVDYSYPUVEUVFAVVHVUIVUGMLZUWAMLVVFAUWAVWAUWAMAVUIU
      VTRLUVTUWAMLZUVTRLVWAUWAAVUIVWBUVTRAUYRVUIVWBUOUYLCUVLUSUTAVUIUVTAVUIVUMW
      PZUYNAUVTUYMXIZYBAUWAUVTVVPUYNVWDUVGUVHUTAVUIVUGUWAVWCAVUGVUPWLVVPUVIXAUV
      JAVUHYNNVUGYNNVUJYNNPVUJTSVVEVVGYOVULVUPAVUJVUNXLAVUJVUNYRVUHVUGVUJUVMYSY
      TUVNAUWEKUVTUYEVVKVUFUVOYTUVPUVQPUWFUVRXOUVS $.
  $}

  ${
    $d n p q $.
    $( ` _e ` is irrational.  (Contributed by Paul Chapman, 9-Feb-2008.)
       (Proof shortened by Mario Carneiro, 29-Apr-2014.) $)
    eirr $p |- _e e/ QQ $=
      ( vp vq vn ceu cq wcel cv cdiv co wceq cn wrex cz wa cn0 c1 cfa cmpt eqid
      cfv simpll simplr simpr eirrlem imnani nrexdv nrex elq mtbir nelir ) DEDE
      FDAGZBGZHIJZBKLZAMLUNAMUKMFZUMBKUOULKFZNZUMUQUMNUKULCCOPCGQTHIRZURSUOUPUM
      UAUOUPUMUBUQUMUCUDUEUFUGABDUHUIUJ $.
  $}

  $( Euler's constant ` _e ` = 2.71828... is strictly bounded below by 2 and
     above by 3.  (Contributed by NM, 28-Nov-2008.)  (Revised by Mario
     Carneiro, 29-Apr-2014.) $)
  egt2lt3 $p |- ( 2 < _e /\ _e < 3 ) $=
    ( vn c2 ceu clt wbr c3 cle cn c1 cdiv co cmpt eqid wcel wceq eleq1 necon3bi
    wne cq ax-mp cv cexp cmul cn0 cfa cfv ege2le3 simpli wn eirr nnq mto mpbiri
    neli 2nn 2re ere ltleni mpbir2an simpri 3nn mpbii 3re pm3.2i ) BCDEZCFDEZVE
    BCGEZCBRZVGCFGEZAAHBIBJKAUAZUBKUCKLZAUDIVJUEUFJKLZVKMVLMUGZUHCHNZUIZVHVNCSN
    CSUJUNCUKULZVNCBCBOVNBHNUOCBHPUMQTBCUPUQURUSVFVIFCRZVGVIVMUTVOVQVPVNFCFCOFH
    NVNVAFCHPVBQTCFUQVCURUSVD $.

  $( Euler's constant ` _e ` is greater than 0.  (Contributed by Jeff Hankins,
     22-Nov-2008.) $)
  epos $p |- 0 < _e $=
    ( cc0 c2 clt wbr ceu 2pos c3 egt2lt3 simpli 0re 2re ere lttri mp2an ) ABCDB
    ECDZAECDFOEGCDHIABEJKLMN $.

  $( Euler's constant ` _e ` is a positive real.  (Contributed by Jeff Hankins,
     22-Nov-2008.) $)
  epr $p |- _e e. RR+ $=
    ( ceu ere epos elrpii ) ABCD $.

  $( ` _e ` is not 0.  (Contributed by David A. Wheeler, 17-Oct-2017.) $)
  ene0 $p |- _e =/= 0 $=
    ( ceu ere epos gt0ne0ii ) ABCD $.

  $( ` _e ` is not 1.  (Contributed by David A. Wheeler, 17-Oct-2017.) $)
  ene1 $p |- _e =/= 1 $=
    ( c1 ceu 1re c2 clt wbr 1lt2 c3 egt2lt3 simpli 2re ere lttri mp2an gtneii )
    ABCADEFDBEFZABEFGPBHEFIJADBCKLMNO $.


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Cardinality of real and complex number subsets
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Countability of integers and rationals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The Cartesian product of the set of positive integers with itself is
     equinumerous to the set of positive integers.  (Contributed by NM,
     1-Aug-2004.)  (Revised by Mario Carneiro, 9-Mar-2013.) $)
  xpnnen $p |- ( NN X. NN ) ~~ NN $=
    ( cn cxp com cen wbr nnenom xpen mp2an xpomen entr4i entri ) AABZCCBZAACDEZ
    NLMDEFFACACGHMCAIFJK $.

  $( The set of integers and the set of positive integers are equinumerous.
     Exercise 1 of [Gleason] p. 140.  (Contributed by NM, 31-Jul-2004.)  (Proof
     shortened by Mario Carneiro, 13-Jun-2014.) $)
  znnen $p |- ZZ ~~ NN $=
    ( cz cn cdom wbr cen cxp ccrd cdm wcel cmin wfo com mp2an wss cc subf ax-mp
    nnsscn mp2 cvv cres con0 omelon nnenom ensymi isnumi xpnum cima wfun xpss12
    wf ffun fdmi sseqtrri fores wceq wb foeq3 mpbir fodomnum xpnnen domentr zex
    dfz2 nnssz ssdomg sbth ) ABCDZBACDZABEDABBFZCDZVJBEDVHVJGHZIZVJAJVJUAZKZVKB
    VLIZVPVMLUBILBEDVPUCBLUDUELBUFMZVQBBUGMVOVJJVJUHZVNKZJUIZVJJHZNVSOOFZOJUKVT
    PWBOJULQVJWBWABONZWCVJWBNRRBOBOUJMWBOJPUMUNVJJUOMAVRUPVOVSUQVDAVRVJVNURQUSV
    JAVNUTSVAAVJBVBMATIBANVIVCVEBATVFSABVGM $.

  ${
    $d x y z $.
    $( The rational numbers are countable.  This proof does not use the Axiom
       of Choice, even though it uses an onto function, because the base set
       ` ( ZZ X. NN ) ` is numerable.  Exercise 2 of [Enderton] p. 133.  For
       purposes of the Metamath 100 list, we are considering Mario Carneiro's
       revision as the date this proof was completed.  This is Metamath 100
       proof #3.  (Contributed by NM, 31-Jul-2004.)  (Revised by Mario
       Carneiro, 3-Mar-2013.) $)
    qnnen $p |- QQ ~~ NN $=
      ( vx vy vz cq cn cdom wbr cen cz cxp wcel cv cdiv com mp2an wceq wrex mp2
      znnen cvv ccrd cdm co cmpo wfo omelon nnenom ensymi isnumi wb ennum ax-mp
      con0 mpbir xpnum wfn crn eqid fnmpoi cab rnmpo elq abbi2i eqtr4i mpbir2an
      ovex df-fo fodomnum nnex enref xpen xpnnen entri domentr wss nnssq ssdomg
      qex sbth ) DEFGZEDFGZDEHGDIEJZFGZWBEHGVTWBUAUBZKZWBDABIEALZBLZMUCZUDZUEZW
      CIWDKZEWDKZWEWKWLNUMKNEHGWLUFENUGUHNEUIOZIEHGZWKWLUJSIEUKULUNWMIEUOOWJWIW
      BUPWIUQZDPABIEWHWIWIURZWFWGMVFUSWOCLZWHPBEQAIQZCUTDABCIEWHWIWPVAWRCDABWQV
      BVCVDWBDWIVGVEWBDWIVHRWBEEJZEWNEEHGWBWSHGSEVIVJIEEEVKOVLVMDWBEVNODTKEDVOW
      AVRVPEDTVQRDEVSO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The reals are uncountable
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d m n x y z $.  $d k n x A $.  $d k n x B $.  $d k m y z F $.  $d k ph $.
    $d k n x M $.  $d n N $.
    rpnnen2.1 $e |- F = ( x e. ~P NN |->
      ( n e. NN |-> if ( n e. x , ( ( 1 / 3 ) ^ n ) , 0 ) ) ) $.
    $( Lemma for ~ rpnnen2 .  (Contributed by Mario Carneiro, 13-May-2013.) $)
    rpnnen2lem1 $p |- ( ( A C_ NN /\ N e. NN ) ->
        ( ( F ` A ) ` N ) = if ( N e. A , ( ( 1 / 3 ) ^ N ) , 0 ) ) $=
      ( cn wss wcel cfv cv c1 co cexp cc0 cif cmpt wceq nnex fvmpt c3 cpw elpw2
      cdiv eleq2 ifbid mpteq2dv mptex sylbir eleq1 ifbieq1d eqid ovex c0ex ifex
      fveq1d oveq2 sylan9eq ) BGHZEGIEBDJZJECGCKZBIZLUAUDMZVANMZOPZQZJEBIZVCENM
      ZOPZUSEUTVFUSBGUBZIUTVFRBGSUCABCGVAAKZIZVDOPZQVFVJDVKBRZCGVMVEVNVLVBVDOVK
      BVAUEUFUGFCGVESUHTUIUPCEVEVIGVFVAERVBVGVDVHOVAEBUJVAEVCNUQUKVFULVGVHOVCEN
      UMUNUOTUR $.

    $( Lemma for ~ rpnnen2 .  (Contributed by Mario Carneiro, 13-May-2013.)
       (Revised by Mario Carneiro, 23-Aug-2014.) $)
    rpnnen2lem2 $p |- ( A C_ NN -> ( F ` A ) : NN --> RR ) $=
      ( cn wss cv wcel c1 c3 cdiv co cexp cc0 cif cr cmpt wceq nnex elpw2 eleq2
      cfv cpw ifbid mpteq2dv mptex fvmpt sylbir cn0 1re 3nn nndivre mp2an nnnn0
      reexpcl sylancr 0re ifcl sylancl adantl fmpt3d ) BFGZCFCHZBIZJKLMZVDNMZOP
      ZQBDUCZVCBFUDZIVICFVHRZSBFTUAABCFVDAHZIZVGOPZRVKVJDVLBSZCFVNVHVOVMVEVGOVL
      BVDUBUEUFECFVHTUGUHUIVDFIZVHQIZVCVPVGQIZOQIVQVPVFQIZVDUJIVRJQIKFIVSUKULJK
      UMUNVDUOVFVDUPUQURVEVGOQUSUTVAVB $.

    $( Lemma for ~ rpnnen2 .  (Contributed by Mario Carneiro, 13-May-2013.) $)
    rpnnen2lem3 $p |- seq 1 ( + , ( F ` NN ) ) ~~> ( 1 / 2 ) $=
      ( cn cfv c1 c3 cdiv co cmin c2 wbr wtru cc wcel cr clt cc0 wceq cseq cexp
      vk caddc cli 1re 3nn nndivre mp2an recni a1i cabs cle 0re 3re 3pos ltleii
      recgt0ii absid 1lt3 wb recgt1 mpbi eqbrtri cn0 1nn0 cv cuz cif ssid simpr
      nnuz eleqtrrdi rpnnen2lem1 sylancr iftrued eqtrd geolim2 mptru exp1 ax-mp
      wa wss wne 3cn ax-1cn pm3.2i divsubdir mp3an 3m1e2 oveq1i dividi 3eqtr3ri
      3ne0 oveq12i 2cnne0 divcan7 eqtri breqtri ) UDECFZGUAZGHIJZGUBJZGXBKJZIJZ
      GLIJZUEXAXEUEMNXBUCWTGXBOPZNXBGQPHEPXBQPZUFUGGHUHUIZUJZUKXBULFZGRMNXKXBGR
      XHSXBUMMXKXBTXISXBUNXIHUOUPURUQXBUSUIGHRMZXBGRMZUTHQPSHRMXLXMVAUOUPHVBUIV
      CVDUKGVEPNVFUKNUCVGZGVHFZPZWBZXNWTFZXNEPZXBXNUBJZSVIZXTXQEEWCXSXRYATEVJXQ
      XNXOENXPVKVLVMZAEBCXNDVNVOXQXSXTSYBVPVQVRVSXEXBLHIJZIJZXFXCXBXDYCIXGXCXBT
      XJXBVTWAHGKJZHIJZHHIJZXBKJZYCXDHOPZGOPZYIHSWDZWBZYFYHTWEWFYIYKWEWNWGZHGHW
      HWIYELHIWJWKYGGXBKHWEWNWLWKWMWOYJLOPLSWDWBYLYDXFTWFWPYMGLHWQWIWRWS $.

    $( Lemma for ~ rpnnen2 .  (Contributed by Mario Carneiro, 13-May-2013.)
       (Revised by Mario Carneiro, 31-Aug-2014.) $)
    rpnnen2lem4 $p |- ( ( A C_ B /\ B C_ NN /\ k e. NN ) ->
      ( 0 <_ ( ( F ` A ) ` k ) /\ ( ( F ` A ) ` k ) <_ ( ( F ` B ) ` k ) ) ) $=
      ( wss cn wcel cc0 cfv cle wbr c1 c3 co cif cr sylancl w3a cdiv cexp nnnn0
      cv cn0 0re 1re 3nn nndivre mp2an 3re 3pos recgt0ii ltleii expge0 3ad2ant3
      mp3an1 0le0 breq2 ifboth wceq sstr rpnnen2lem1 stoic3 breqtrrd wi reexpcl
      sylancr 0red simp1 sseld ifle syl31anc 3adant1 3brtr4d jca ) BCHZCIHZDUEZ
      IJZUAZKVTBFLLZMNWCVTCFLLZMNWBKVTBJZOPUBQZVTUCQZKRZWCMWBKWGMNZKKMNZKWHMNZW
      AVRWIVSWAVTUFJZKWFMNZWIVTUDZKWFUGOSJPIJWFSJZUHUIOPUJUKZPULUMUNUOWOWLWMWIW
      PWFVTUPURTUQZUSWEWIWJWKWGKWGWHKMUTKWHKMUTVATVRVSBIHWAWCWHVBBCIVCABEFVTGVD
      VEZVFWBWHVTCJZWGKRZWCWDMWBWGSJZKSJWIWEWSVGWHWTMNWAVRXAVSWAWOWLXAWPWNWFVTV
      HVIUQWBVJWQWBBCVTVRVSWAVKVLWEWSWGKVMVNWRVSWAWDWTVBVRACEFVTGVDVOVPVQ $.

    $( Lemma for ~ rpnnen2 .  (Contributed by Mario Carneiro, 13-May-2013.)
       (Revised by Mario Carneiro, 30-Apr-2014.) $)
    rpnnen2lem5 $p |- ( ( A C_ NN /\ M e. NN ) ->
                        seq M ( + , ( F ` A ) ) e. dom ~~> ) $=
      ( vk cn wss wcel wa caddc cfv c1 cseq cli nnuz cr rpnnen2lem2 wbr cdm 1nn
      a1i cv wf ssid mp1i ffvelrnda c2 cdiv co rpnnen2lem3 seqex breldm cuz cc0
      ovex elnnuz rpnnen2lem4 mp3an2 sylan2br simpld simprd cvgcmp adantr simpr
      cle adantlr recnd iserex mpbid ) BHIZEHJZKZLBDMZNOPUAZJZLVOEOVPJVLVQVMVLG
      HDMZVONNHQNHJVLUBUCVLHRGUDZVRHHIZHRVRUEVLHUFZAHCDFSUGUHVLHRVSVOABCDFSUHZL
      VRNOZNUIUJUKZPTWCVPJVLACDFULWCWDPLVRNUMNUIUJUQUNUGVLVSNUOMJZKZUPVSVOMZVGT
      ZWGVSVRMVGTZWEVLVSHJZWHWIKZVSURVLVTWJWKWAABHGCDFUSUTVAZVBWFWHWIWLVCVDVEVN
      GVONEHQVLVMVFVNWJKWGVLWJWGRJVMWBVHVIVJVK $.

    $( Lemma for ~ rpnnen2 .  (Contributed by Mario Carneiro, 13-May-2013.)
       (Revised by Mario Carneiro, 30-Apr-2014.) $)
    rpnnen2lem6 $p |- ( ( A C_ NN /\ M e. NN ) ->
        sum_ k e. ( ZZ>= ` M ) ( ( F ` A ) ` k ) e. RR ) $=
      ( cn wss wcel wa cv cfv cuz eqid cz nnz adantl eqidd cr wf eluznn adantll
      rpnnen2lem2 ad2antrr ffvelrnd rpnnen2lem5 isumrecl ) BHIZFHJZKZCLZBEMZMZC
      UMFFNMZUOOUJFPJUIFQRUKULUOJZKZUNSUQHTULUMUIHTUMUAUJUPABDEGUDUEUJUPULHJUIU
      LFUBUCUFABDEFGUGUH $.

    $( Lemma for ~ rpnnen2 .  (Contributed by Mario Carneiro, 13-May-2013.)
       (Revised by Mario Carneiro, 30-Apr-2014.) $)
    rpnnen2lem7 $p |- ( ( A C_ B /\ B C_ NN /\ M e. NN ) ->
        sum_ k e. ( ZZ>= ` M ) ( ( F ` A ) ` k ) <_
        sum_ k e. ( ZZ>= ` M ) ( ( F ` B ) ` k ) ) $=
      ( wss cn wcel w3a cfv eqidd cr wf rpnnen2lem2 ffvelrnda syldan cle cv cuz
      eqid simp3 nnzd wa eluznn sylan sstr 3adant3 syl 3ad2ant2 wbr rpnnen2lem4
      cc0 simprd 3expa 3adantl3 caddc cli cdm rpnnen2lem5 stoic3 3adant1 isumle
      cseq ) BCIZCJIZGJKZLZDUAZBFMZMZVKCFMZMZDVLVNGGUBMZVPUCVJGVGVHVIUDZUEVJVKV
      PKZUFZVMNVJVRVKJKZVMOKVJVIVRVTVQVKGUGUHZVJJOVKVLVJBJIZJOVLPVGVHWBVIBCJUIZ
      UJABEFHQUKRSVSVONVJVRVTVOOKWAVJJOVKVNVHVGJOVNPVIACEFHQULRSVJVRVTVMVOTUMZW
      AVGVHVTWDVIVGVHVTWDVGVHVTLUOVMTUMWDABCDEFHUNUPUQURSVGVHWBVIUSVLGVFUTVAZKW
      CABEFGHVBVCVHVIUSVNGVFWEKVGACEFGHVBVDVE $.

    $( Lemma for ~ rpnnen2 .  (Contributed by Mario Carneiro, 13-May-2013.)
       (Revised by Mario Carneiro, 30-Apr-2014.) $)
    rpnnen2lem8 $p |- ( ( A C_ NN /\ M e. NN ) ->
       sum_ k e. NN ( ( F ` A ) ` k ) =
         ( sum_ k e. ( 1 ... ( M - 1 ) ) ( ( F ` A ) ` k ) +
           sum_ k e. ( ZZ>= ` M ) ( ( F ` A ) ` k ) ) ) $=
      ( cn wss wcel wa cv cfv c1 cuz nnuz eqid simpr cr adantr rpnnen2lem2 cseq
      eqidd wf ffvelrnda recnd caddc cli cdm 1nn rpnnen2lem5 mpan2 isumsplit )
      BHIZFHJZKZCLZBEMZMZCURNFFOMZHPUTQUNUORUPUQHJKZUSUCVAUSUPHSUQURUNHSURUDUOA
      BDEGUATUEUFUNUGURNUBUHUIJZUOUNNHJVBUJABDENGUKULTUM $.

    $( Lemma for ~ rpnnen2 .  (Contributed by Mario Carneiro, 13-May-2013.)
       (Revised by Mario Carneiro, 30-Apr-2014.) $)
    rpnnen2lem9 $p |- ( M e. NN ->
       sum_ k e. ( ZZ>= ` M ) ( ( F ` ( NN \ { M } ) ) ` k ) =
         ( 0 + ( ( ( 1 / 3 ) ^ ( M + 1 ) ) / ( 1 - ( 1 / 3 ) ) ) ) ) $=
      ( cn wcel cfv c1 caddc co cc0 c3 cexp cr syl mpan clt wbr cuz cv csn cdif
      csu cdiv cmin nnz wa eqidd cc eluznn wss difss rpnnen2lem2 ax-mp ffvelrni
      eqid recnd cseq cli cdm rpnnen2lem5 isum1p cif wceq rpnnen2lem1 neldifsnd
      wf iffalsed eqtrd peano2nn nnzd sylan 1re 3nn nndivre mp2an recni a1i cle
      cabs 0re 3re 3pos recgt0ii ltleii absid 1lt3 wb recgt1 eqbrtri nnnn0d wne
      mpbi adantr eluzle adantl nnltp1le syldan mpbird eldifsn sylanbrc iftrued
      nnre gtned geolim2 isumclim oveq12d ) EGHZEUAIZBUBZGEUCZUDZDIZIZBUEEXOIZE
      JKLZUAIZXPBUEZKLMJNUFLZXROLJYAUGLUFLZKLXJXPBXOEXKXKUREUHXJXLXKHUIZXPUJYCX
      LGHZXPUKHZXLEULYDXPGPXLXOXNGUMZGPXOVIGXMUNZAXNCDFUOUPUQUSZQYFXJKXOEUTVAVB
      HYGAXNCDEFVCRVDXJXQMXTYBKXJXQEXNHZYAEOLZMVEZMYFXJXQYKVFYGAXNCDEFVGRXJYIYJ
      MXJEGVHVJVKXJXPYBBXOXRXSXSURXJXREVLZVMXJXLXSHZUIZXPUJYNYDYEXJXRGHYMYDYLXL
      XRULVNZYHQXJYABXOXRYAUKHXJYAJPHNGHYAPHZVOVPJNVQVRZVSVTYAWBIZJSTXJYRYAJSYP
      MYAWATYRYAVFYQMYAWCYQNWDWEWFWGYAWHVRJNSTZYAJSTZWINPHMNSTYSYTWJWDWENWKVRWO
      WLVTXJXRYLWMYNXPXLXNHZYAXLOLZMVEZUUBYNYDXPUUCVFZYOYFYDUUDYGAXNCDXLFVGRQYN
      UUAUUBMYNYDXLEWNUUAYOYNEXLXJEPHYMEXEWPYNEXLSTZXRXLWATZYMUUFXJXRXLWQWRXJYM
      YDUUEUUFWJYOEXLWSWTXAXFXLGEXBXCXDVKXGXHXIVK $.

    ${
      rpnnen2.2 $e |- ( ph -> A C_ NN ) $.
      rpnnen2.3 $e |- ( ph -> B C_ NN ) $.
      rpnnen2.4 $e |- ( ph -> m e. ( A \ B ) ) $.
      rpnnen2.5 $e |- ( ph ->
                        A. n e. NN ( n < m -> ( n e. A <-> n e. B ) ) ) $.
      rpnnen2.6 $e |- ( ps <-> sum_ k e. NN ( ( F ` A ) ` k ) =
                               sum_ k e. NN ( ( F ` B ) ` k ) ) $.
      $( Lemma for ~ rpnnen2 .  (Contributed by Mario Carneiro, 13-May-2013.)
         (Revised by Mario Carneiro, 30-Apr-2014.) $)
      rpnnen2lem10 $p |- ( ( ph /\ ps ) ->
            sum_ k e. ( ZZ>= ` m ) ( ( F ` A ) ` k ) =
            sum_ k e. ( ZZ>= ` m ) ( ( F ` B ) ` k ) ) $=
        ( c1 co wceq cn wcel wa cmin cfz cfv csu cuz caddc simpr sylib wss cdif
        cv eldifi ssel2 sylan2 syl2anc rpnnen2lem8 c3 cdiv cexp cc0 cif clt wbr
        wb cz cle w3a 1z nnz elfzm11 sylancr biimpa sylan simp3d wi wral elfznn
        breq1 eleq1w bibi12d imbi12d rspccva ifbid rpnnen2lem1 3eqtr4d sumeq2dv
        syl2an mpd oveq1d eqtrd adantr 3eqtr3d cr rpnnen2lem6 fzfid rpnnen2lem2
        wf syl ffvelrn fsumrecl readdcan syl3anc mpbid ) ABUAZPGULZPUBQZUCQZFUL
        ZEIUDZUDZFUEZXFUFUDZXIDIUDUDZFUEZUGQZXLXMXKFUEZUGQZRZXOXQRZXESXNFUEZSXK
        FUEZXPXRXEBYAYBRABUHOUIAYAXPRBAYAXHXNFUEZXOUGQZXPADSUJZXFSTZYAYDRKAYEXF
        DEUKTZYFKMYGYEXFDTYFXFDEUMDSXFUNUOUPZCDFHIXFJUQUPAYCXLXOUGAXHXNXKFAXIXH
        TZUAZXIDTZPURUSQXIUTQZVAVBZXIETZYLVAVBZXNXKYJYKYNYLVAYJXIXFVCVDZYKYNVEZ
        YJXIVFTZPXIVGVDZYPAYFYIYRYSYPVHZYHYFYIYTYFPVFTXFVFTYIYTVEVIXFVJXIPXFVKV
        LVMVNVOAHULZXFVCVDZUUADTZUUAETZVEZVPZHSVQXISTZYPYQVPZYINXIXGVRZUUFUUHHX
        ISUUAXIRZUUBYPUUEYQUUAXIXFVCVSUUJUUCYKUUDYNHFDVTHFEVTWAWBWCWHWIWDAYEUUG
        XNYMRYIKUUICDHIXIJWEWHAESUJZUUGXKYORYILUUICEHIXIJWEWHWFWGWJWKWLAYBXRRZB
        AUUKYFUULLYHCEFHIXFJUQUPWLWMAXSXTVEZBAXOWNTZXQWNTZXLWNTUUMAYEYFUUNKYHCD
        FHIXFJWOUPAUUKYFUUOLYHCEFHIXFJWOUPAXHXKFAPXGWPASWNXJWRZUUGXKWNTYIAUUKUU
        PLCEHIJWQWSUUISWNXIXJWTWHXAXOXQXLXBXCWLXD $.

      $( Lemma for ~ rpnnen2 .  (Contributed by Mario Carneiro,
         13-May-2013.) $)
      rpnnen2lem11 $p |- ( ph -> -. ps ) $=
        ( cn wcel c3 cdiv co cv cuz cfv csu wne wn wss cdif eldifi ssel2 sylan2
        cr syl2anc rpnnen2lem6 c1 cexp cn0 nnrecre ax-mp nnnn0d reexpcl sylancr
        3nn c2 crp nnrp rpreccl mp2b nnzd rpexpcl rpred rehalfcld csn cle snssd
        cz wbr ssdifd sstrd ssconb mpbird difssd rpnnen2lem7 syl3anc caddc cmin
        wb cc0 wceq rpnnen2lem9 syl cmul cc recni expp1 3cn 3ne0 divrec mp3an23
        recnd eqtr4d oveq1d ax-1cn pm3.2i divsubdir mp3an 3m1e2 oveq1i 3eqtr3ri
        dividi oveq2i 2cnne0 divcan7 eqtrid eqtrd oveq2d addid2d 3eqtrd breqtrd
        wa clt rphalflt lelttrd eluznn sylan rpnnen2lem1 syl2an2r sumeq2dv wral
        cif cfn wo uzid vex oveq2 eleq1d ralsn sylibr ssidd orcd syl21anc sumsn
        sumss2 3eqtr2d eqbrtrrd ltletrd gtned rpnnen2lem10 ex necon3ad mpd ) AG
        UAZUBUCZFUAZDIUCUCFUDZUUMUUNEIUCUCFUDZUEBUFAUUPUUOAEPUGZUULPQZUUPULQLAD
        PUGZUULDEUHZQZUURKMUVAUUSUULDQZUURUULDEUIZDPUULUJUKUMZCEFHIUULJUNUMZAUU
        PUORSTZUULUPTZUUOUVEAUVFULQZUULUQQZUVGULQRPQZUVHVCRURUSZAUULUVDUTZUVFUU
        LVAVBAUUSUURUUOULQKUVDCDFHIUULJUNUMAUUPUVGVDSTZUVGUVEAUVGAUVGAUVFVEQZUU
        LVPQZUVGVEQZUVJRVEQUVNVCRVFRVGVHAUULUVDVIZUVFUULVJVBZVKZVLZUVSAUUPUUMUU
        NPUULVMZUHZIUCUCFUDZUVMVNAEUWBUGZUWBPUGUURUUPUWCVNVQAUWDUWAPEUHZUGZAUWA
        UUTUWEAUULUUTMVOADPEKVRVSAUUQUWAPUGZUWDUWFWGLAUULPUVDVOZEUWAPVTUMWAAPUW
        AWBUVDCEUWBFHIUULJWCWDAUWCWHUVFUULUOWETUPTZUOUVFWFTZSTZWETZWHUVMWETUVMA
        UURUWCUWLWIUVDCFHIUULJWJWKAUWKUVMWHWEAUWKUVGRSTZUWJSTZUVMAUWIUWMUWJSAUW
        IUVGUVFWLTZUWMAUVFWMQUVIUWIUWOWIUVFUVKWNUVLUVFUULWOVBAUVGWMQZUWMUWOWIZA
        UVGUVSWTZUWPRWMQZRWHUEZUWQWPWQUVGRWRWSWKXAXBAUWNUWMVDRSTZSTZUVMUWJUXAUW
        MSRUOWFTZRSTZRRSTZUVFWFTZUXAUWJUWSUOWMQUWSUWTXTZUXDUXFWIWPXCUWSUWTWPWQX
        DZRUORXEXFUXCVDRSXGXHUXEUOUVFWFRWPWQXJXHXIXKAUWPUXBUVMWIZUWRUWPVDWMQVDW
        HUEXTUXGUXIXLUXHUVGVDRXMWSWKXNXOXPAUVMAUVMUVTWTXQXRXSAUVPUVMUVGYAVQUVRU
        VGYBWKYCAUUMUUNUWAIUCUCZFUDZUVGUUOVNAUXKUUMUUNUWAQUVFUUNUPTZWHYJZFUDZUW
        AUXLFUDZUVGAUUMUXJUXMFAUWGUUNUUMQZUUNPQZUXJUXMWIUWHAUURUXPUXQUVDUUNUULY
        DYECUWAHIUUNJYFYGYHAUWAUUMUGUXLWMQZFUWAYIZUUMUUMUGZUUMYKQZYLUXOUXNWIAUU
        LUUMAUVOUULUUMQUVQUULYMWKVOAUWPUXSUWRUXRUWPFUULGYNUUNUULWIUXLUVGWMUUNUU
        LUVFUPYOZYPYQYRAUXTUYAAUUMYSYTUWAUUMUXLFUULUUCUUAAUURUWPUXOUVGWIUVDUWRU
        XLUVGFUULPUYBUUBUMUUDAUWADUGUUSUURUXKUUOVNVQAUULDAUVAUVBMUVCWKVOKUVDCUW
        ADFHIUULJWCWDUUEUUFUUGABUUOUUPABUUOUUPWIABCDEFGHIJKLMNOUUHUUIUUJUUK $.
    $}

    $( Lemma for ~ rpnnen2 .  (Contributed by Mario Carneiro, 13-May-2013.) $)
    rpnnen2lem12 $p |- ~P NN ~<_ ( 0 [,] 1 ) $=
      ( vk vm c1 wcel cn wbr cv cfv cr cle wss wa wceq wi wn c0 vy cc0 cicc cvv
      vz co cpw cdom ovex csu elpwi cuz nnuz sumeq1i rpnnen2lem6 mpan2 eqeltrid
      1nn syl 1zzd eqidd wf rpnnen2lem2 ffvelrnda caddc cli rpnnen2lem5 sylancl
      cseq cdm ssid rpnnen2lem4 mp3an2 simpld sylan isumge0 cdiv halfre a1i 1re
      c2 rpnnen2lem7 mp3an23 cc elnnuz ax-mp ffvelrni sylbir adantl rpnnen2lem3
      eqid recnd isumclim breqtrd eqbrtrid halflt1 ltleii elicc01 syl3anbrc wne
      letrd clt wb wral cdif wrex wo cun ssdifss unss biimpi syl2an eqss ssdif0
      anbi12i un00 3bitri necon3bii nnwo sselda wal df-ral con34b eldif orbi12i
      ex elun xor 3bitr4ri con1bii imbi2i nnre syld simpll simplr simprl simprr
      bitri rpnnen2lem11 rexlimdvaa albii alral syl2anr imbi1d ralbidva syl5ibr
      ltnle syl5bi reximdva rexun syl6ib biid bicom ralbii sylibr jaod necon4ad
      eqcom fveq2 fveq1d sumeq2sdv impbid1 dom2 ) UBGUCUFZUDHIUGZUVDUHJUBGUCUIU
      AUEUVEUVDIEKZUAKZCLZLZEUJZIUVFUEKZCLZLZEUJZUDUVGUVEHZUVJMHZUBUVJNJUVJGNJU
      VJUVDHUVOUVGIOZUVPUVGIUKZUVQUVJGULLZUVIEUJZMIUVSUVIEUMUNZUVQGIHZUVTMHURAU
      VGEBCGDUOUPUQUSZUVOUVIEUVHGIUMUVOUTZUVOUVFIHZPUVIVAUVOIMUVFUVHUVOUVQIMUVH
      VBUVRAUVGBCDVCUSVDUVOUVQUWBVEUVHGVIVFVJHUVRURAUVGBCGDVGVHUVOUVQUWEUBUVINJ
      ZUVRUVQUWEPUWFUVIUVFICLZLZNJZUVQIIOZUWEUWFUWIPIVKZAUVGIEBCDVLVMVNVOVPUVOU
      VJGWAVQUFZGUWCUWLMHUVOVRVSGMHUVOVTVSUVOUVJUVTUWLNUWAUVOUVTUVSUWHEUJZUWLNU
      VOUVQUVTUWMNJZUVRUVQUWJUWBUWNUWKURAUVGIEBCGDWBWCUSUVOUWHUWLEUWGGUVSUVSWKU
      WDUVOUVFUVSHZPUWHVAUWOUWHWDHZUVOUWOUWEUWPUVFWEUWEUWHIMUVFUWGUWJIMUWGVBUWK
      AIBCDVCWFWGWLWHWIVEUWGGVIUWLVFJUVOABCDWJVSWMWNWOUWLGNJUVOUWLGVRVTWPWQVSXA
      UVJWRWSUVOUVKUVEHZPZUVJUVNQZUVGUVKQZUWRUWSUVGUVKUWRUVGUVKWTZBKZFKZXBJZUXB
      UVGHZUXBUVKHZXCZRZBIXDZFUVGUVKXEZXFZUXIFUVKUVGXEZXFZXGZUWSSZUWRUXAUXIFUXJ
      UXLXHZXFZUXNUWRUXAUXCUXBNJZBUXPXDZFUXPXFZUXQUWRUXAUXTUWRUXPIOZUXPTWTZUXTU
      XAUVOUVQUVKIOZUYAUWQUVRUVKIUKZUVQUXJIOZUXLIOZUYAUYCUVGIUVKXIUVKIUVGXIUYEU
      YFPUYAUXJUXLIXJXKXLXLZUXAUYBUVGUVKUXPTUWTUVGUVKOZUVKUVGOZPUXJTQZUXLTQZPUX
      PTQUVGUVKXMUYHUYJUYIUYKUVGUVKXNUVKUVGXNXOUXJUXLXPXQXRXKFBUXPXSXLYFUWRUXSU
      XIFUXPUWRUXCUXPHPUXCIHZUXSUXIRUWRUXPIUXCUYGXTUXSUXRSZUXGRZBYAZUYLUXIUXSUX
      BUXPHZUXRRZBYAUYOUXRBUXPYBUYQUYNBUYQUYMUYPSZRUYNUYPUXRYCUYRUXGUYMUXGUYPUX
      BUXJHZUXBUXLHZXGUXEUXFSPZUXFUXESPZXGUYPUXGSUYSVUAUYTVUBUXBUVGUVKYDUXBUVKU
      VGYDYEUXBUXJUXLYGUXEUXFYHYIYJYKYRUUAYRUYOUXIUYLUYNBIXDUYNBIUUBUYLUXHUYNBI
      UYLUXBIHZPUXDUYMUXGVUCUXBMHUXCMHUXDUYMXCUYLUXBYLUXCYLUXBUXCUUGUUCUUDUUEUU
      FUUHUSUUIYMUXIFUXJUXLUUJUUKUVOUVQUYCUXNUXORUWQUVRUYDUVQUYCPZUXKUXOUXMVUDU
      XIUXOFUXJVUDUXCUXJHZUXIPZPUWSAUVGUVKEFBCDUVQUYCVUFYNUVQUYCVUFYOVUDVUEUXIY
      PVUDVUEUXIYQUWSUULYSYTVUDUXIUXOFUXLVUDUXCUXLHZUXIPZPZUWSAUVKUVGEFBCDUVQUY
      CVUHYOUVQUYCVUHYNVUDVUGUXIYPVUIUXIUXDUXFUXEXCZRZBIXDVUDVUGUXIYQVUKUXHBIVU
      JUXGUXDUXFUXEUUMYKUUNUUOUVJUVNUURYSYTUUPXLYMUUQUWTIUVIUVMEUWTUVFUVHUVLUVG
      UVKCUUSUUTUVAUVBUVCWF $.
  $}

  ${
    $d n x $.
    $( The other half of ~ rpnnen , where we show an injection from sets of
       positive integers to real numbers.  The obvious choice for this is
       binary expansion, but it has the unfortunate property that it does not
       produce an injection on numbers which end with all 0's or all 1's (the
       more well-known decimal version of this is ~ 0.999... ).  Instead, we
       opt for a ternary expansion, which produces (a scaled version of) the
       Cantor set.  Since the Cantor set is riddled with gaps, we can show that
       any two sequences that are not equal must differ somewhere, and when
       they do, they are placed a finite distance apart, thus ensuring that the
       map is injective.

       Our map assigns to each subset ` A ` of the positive integers the number
       ` sum_ k e. A ( 3 ^ -u k ) = sum_ k e. NN ( ( F `` A ) `` k ) ` , where
       ` ( ( F `` A ) `` k ) = if ( k e. A , ( 3 ^ -u k ) , 0 ) ) `
       ( ~ rpnnen2lem1 ).  This is an infinite sum of real numbers
       ( ~ rpnnen2lem2 ), and since ` A C_ B ` implies
       ` ( F `` A ) <_ ( F `` B ) ` ( ~ rpnnen2lem4 ) and ` ( F `` NN ) `
       converges to ` 1 / 2 ` ( ~ rpnnen2lem3 ) by ~ geoisum1 , the sum is
       convergent to some real ( ~ rpnnen2lem5 and ~ rpnnen2lem6 ) by the
       comparison test for convergence ~ cvgcmp .  The comparison test also
       tells us that ` A C_ B ` implies ` sum_ ( F `` A ) <_ sum_ ( F `` B ) `
       ( ~ rpnnen2lem7 ).

       Putting it all together, if we have two sets ` x =/= y ` , there must
       differ somewhere, and so there must be an ` m ` such that
       ` A. n < m ( n e. x <-> n e. y ) ` but ` m e. ( x \ y ) ` or vice versa.
       In this case, we split off the first ` m - 1 ` terms ( ~ rpnnen2lem8 )
       and cancel them ( ~ rpnnen2lem10 ), since these are the same for both
       sets.  For the remaining terms, we use the subset property to establish
       that ` sum_ ( F `` y ) <_ sum_ ( F `` ( NN \ { m } ) ) ` and
       ` sum_ ( F `` { m } ) <_ sum_ ( F `` x ) ` (where these sums are only
       over ` ( ZZ>= `` m ) ` ), and since
       ` sum_ ( F `` ( NN \ { m } ) ) = ( 3 ^ -u m ) / 2 ` ( ~ rpnnen2lem9 )
       and ` sum_ ( F `` { m } ) = ( 3 ^ -u m ) ` , we establish that
       ` sum_ ( F `` y ) < sum_ ( F `` x ) ` ( ~ rpnnen2lem11 ) so that they
       must be different.  By contraposition ( ~ rpnnen2lem12 ), we find that
       this map is an injection.  (Contributed by Mario Carneiro, 13-May-2013.)
       (Proof shortened by Mario Carneiro, 30-Apr-2014.)  (Revised by NM,
       17-Aug-2021.) $)
    rpnnen2 $p |- ~P NN ~<_ ( 0 [,] 1 ) $=
      ( vx vn cn cpw wel c1 c3 cdiv co cv cexp cc0 cif cmpt eqid rpnnen2lem12 )
      ABACDBCBAEFGHIBJKILMNNZQOP $.
  $}

  $( The cardinality of the continuum is the same as the powerset of ` _om ` .
     This is a stronger statement than ~ ruc , which only asserts that ` RR `
     is uncountable, i.e. has a cardinality larger than ` _om ` .  The main
     proof is in two parts, ~ rpnnen1 and ~ rpnnen2 , each showing an injection
     in one direction, and this last part uses ~ sbth to prove that the sets
     are equinumerous.  By constructing explicit injections, we avoid the use
     of AC. (Contributed by Mario Carneiro, 13-May-2013.)  (Revised by Mario
     Carneiro, 23-Aug-2014.) $)
  rpnnen $p |- RR ~~ ~P NN $=
    ( cr cn cdom wbr cen cq cmap co nnex c2o csdm mp2an enref mapen domentr com
    wcel cvv 2onn domtr cpw rpnnen1 qnnen canth2 ensdomtr sdomdom mapdom1 pw2en
    qex mp2b cxp mapxpen mp3an elexi xpnnen entr4i cc0 c1 cicc rpnnen2 wss reex
    entri unitssre ssdomg mp2 sbth ) ABUAZCDZVHACDZAVHEDAFBGHZCDVKVHCDZVIIUIUBV
    KJBGHZBGHZCDZVNVHEDVLVKVHBGHZCDZVPVNEDZVOFVHKDZFVHCDVQFBEDBVHKDVSUCBIUDFBVH
    UELFVHUFFVHBUGUJVHVMEDBBEDVRBIUHZBIMVHVMBBNLVKVPVNOLVNVMVHVNJBBUKZGHZVMJPQB
    RQZWCVNWBEDSIIJBBPRRULUMJJEDWABEDWBVMEDJJPSUNMUOJJWABNLVCVTUPVKVNVHOLAVKVHT
    LVHUQURUSHZCDWDACDZVJUTARQWDAVAWEVBVDWDARVEVFVHWDATLAVHVGL $.

  $( The real numbers are equinumerous to their own Cartesian product, even
     though it is not necessarily true that ` RR ` is well-orderable (so we
     cannot use ~ infxpidm2 directly).  (Contributed by NM, 30-Jul-2004.)
     (Revised by Mario Carneiro, 16-Jun-2013.) $)
  rexpen $p |- ( RR X. RR ) ~~ RR $=
    ( cr cxp c2o com cmap co cen wbr ax-mp entri omex mp2an cdom 2onn csdm wcel
    cn cfn domentr cvv cpw rpnnen nnenom pwen pw2en xpen elexi xpmapen wss ssid
    ensymi ssnnfi xpfi isfinite mpbi canth2 sdomdom mapdom1 mapxpen mp3an enref
    sdomtr xpomen mapen endomtr c0 csn ovex 0ex xpsnen snfi xpdom2 sbth entr4i
    ) AABZCDEFZAVOVPVPBZVPAVPGHZVRVOVQGHADUAZVPAQUAZVSUBQDGHVTVSGHUCQDUDIJDKUEZ
    JZWBAVPAVPUFLVQVPMHZVPVQMHZVQVPGHVQCCBZDEFZGHWFVPMHZWCWFVQCCDCDNUGZWHKUHUKW
    FVPDEFZMHZWIVPGHWGWEVPMHZWJWEVSMHZVSVPGHZWKWEVSOHZWLWEDOHZDVSOHZWNWERPZWOCR
    PZWRWQCDPZCCUIWRNCUJCCULLZWTCCUMLWEUNUODKUPZWEDVSVBLWEVSUQIWAWEVSVPSLWEVPDU
    RIWICDDBZEFZVPWSDTPZXDWIXCGHNKKCDDDTTUSUTCCGHXBDGHXCVPGHCWHVAVCCCXBDVDLJWFW
    IVPSLVQWFVPVELVPVPVFVGZBZGHXFVQMHZWDXFVPVPVFCDEVHZVIVJUKXEVPMHZXGXEVSMHZWMX
    IXEVSOHZXJXEDOHZWPXKXERPXLVFVKXEUNUOXAXEDVSVBLXEVSUQIWAXEVSVPSLXEVPVPXHVLIV
    PXFVQVELVQVPVMLJWBVN $.

  ${
    $d v w x y z $.
    $( The complex numbers are equinumerous to the powerset of the positive
       integers.  (Contributed by Mario Carneiro, 16-Jun-2013.) $)
    cpnnen $p |- CC ~~ ~P NN $=
      ( vv vw vz vx vy cr cc cn cv wcel wa ci cmul co wceq coprab eleq1w entr3i
      caddc reex cpw cxp rexpen wf1o cen wbr cmpo bi2anan9 oveq12 sylan2 eqeq2d
      oveq2 anbi12d cbvoprab12v df-mpo eqtr4i cnref1o xpex f1oen ax-mp rpnnen )
      FGHUAFFUBZFGUCVBGAIZFJZBIZFJZKZCIZVCLVEMNZSNZOZKZABCPZUDVBGUEUFDEVMVMDIZF
      JZEIZFJZKZVHVNLVPMNZSNZOZKZDECPDEFFVTUGVLWBABCDEVCVNOZVEVPOZKZVGVRVKWAWCV
      DVOWDVFVQADFQBEFQUHWEVJVTVHWDWCVIVSOVJVTOVEVPLMULVCVNVIVSSUIUJUKUMUNDECFF
      VTUOUPUQVBGVMFFTTURUSUTRVAR $.
  $}

  $( Alternate proof of ~ ruc .  This proof is a simple corollary of ~ rpnnen ,
     which determines the exact cardinality of the reals.  For an alternate
     proof discussed at ~ mmcomplex.html#uncountable , see ~ ruc .
     (Contributed by NM, 13-Oct-2004.)  (Revised by Mario Carneiro,
     13-May-2013.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  rucALT $p |- NN ~< RR $=
    ( cn cpw csdm wbr cr cen nnex canth2 rpnnen ensymi sdomentr mp2an ) AABZCDM
    EFDAECDAGHEMIJAMEKL $.

  ${
    $d m w x y $.  $d m x y A $.  $d m x y B $.  $d w z C $.  $d m n x y z F $.
    $d k m n x y z G $.  $d k m n x y M $.  $d k m x y N $.  $d k n w z ph $.
    $d w z D $.  $d n z S $.
    ruc.1 $e |- ( ph -> F : NN --> RR ) $.
    ruc.2 $e |- ( ph -> D = ( x e. ( RR X. RR ) , y e. RR |->
                    [_ ( ( ( 1st ` x ) + ( 2nd ` x ) ) / 2 ) / m ]_
                    if ( m < y , <. ( 1st ` x ) , m >. ,
                       <. ( ( m + ( 2nd ` x ) ) / 2 ) , ( 2nd ` x ) >. ) ) ) $.
    ${
      ruclem1.3 $e |- ( ph -> A e. RR ) $.
      ruclem1.4 $e |- ( ph -> B e. RR ) $.
      ruclem1.5 $e |- ( ph -> M e. RR ) $.
      ruclem1.6 $e |- X = ( 1st ` ( <. A , B >. D M ) ) $.
      ruclem1.7 $e |- Y = ( 2nd ` ( <. A , B >. D M ) ) $.
      $( Lemma for ~ ruc (the reals are uncountable).  Substitutions for the
         function ` D ` .  (Contributed by Mario Carneiro, 28-May-2014.)
         (Revised by Fan Zheng, 6-Jun-2016.) $)
      ruclem1 $p |- ( ph -> ( ( <. A , B >. D M ) e. ( RR X. RR ) /\
        X = if ( ( ( A + B ) / 2 ) < M , A ,
             ( ( ( ( A + B ) / 2 ) + B ) / 2 ) ) /\
        Y = if ( ( ( A + B ) / 2 ) < M , ( ( A + B ) / 2 ) , B ) ) ) $=
        ( co cr cop cxp wcel caddc cdiv clt wbr cif wceq c1st cfv c2nd csb cmpo
        c2 cv oveqd opelxpd wa simpr breq2d fveq2d opeq1d oveq2d oveq1d opeq12d
        simpl ifbieq12d csbeq2dv oveq12d csbeq1d eqtrd eqid opex ovmpoa syl2anc
        ifex csbex op1stg op2ndg ovex breq1 opeq2 oveq1 ifeq12d eqtrid readdcld
        csbie rehalfcld ifcld eqeltrd fvif cvv sylancl sylancr 3jca ) ADEUAZIFS
        ZTTUBZUCJDEUDSZUOUESZIUFUGZDXAEUDSZUOUESZUHZUIKXBXAEUHZUIAWRXBDXAUAZXDE
        UAZUHZWSAWRGWQUJUKZWQULUKZUDSZUOUESZGUPZIUFUGZXJXNUAZXNXKUDSZUOUESZXKUA
        ZUHZUMZXIAWRWQIBCWSTGBUPZUJUKZYBULUKZUDSZUOUESZXNCUPZUFUGZYCXNUAZXNYDUD
        SZUOUESZYDUAZUHZUMZUNZSZYAAFYOWQIMUQAWQWSUCITUCYPYAUIADETTNOURPBCWQIWST
        YNYAYOYBWQUIZYGIUIZUSZYNGYFXTUMYAYSGYFYMXTYSYHXOYIYLXPXSYSYGIXNUFYQYRUT
        VAYSYCXJXNYSYBWQUJYQYRVGZVBZVCYSYKXRYDXKYSYJXQUOUEYSYDXKXNUDYSYBWQULYTV
        BZVDVEUUBVFVHVIYSGYFXMXTYSYEXLUOUEYSYCXJYDXKUDUUAUUBVJVEVKVLYOVMGXMXTXO
        XPXSXJXNVNXRXKVNVQVRVOVPVLAYAGXAXTUMZXIAGXMXAXTAXLWTUOUEAXJDXKEUDADTUCZ
        ETUCZXJDUINODETTVSVPZAUUDUUEXKEUINODETTVTVPZVJVEVKAUUCXBXJXAUAZXAXKUDSZ
        UOUESZXKUAZUHZXIGXAXTUULWTUOUEWAZXNXAUIZXOXBXPXSUUHUUKXNXAIUFWBXNXAXJWC
        UUNXRUUJXKUUNXQUUIUOUEXNXAXKUDWDVEVCVHWHAXBUUHXGUUKXHAXJDXAUUFVCAUUJXDX
        KEAUUIXCUOUEAXKEXAUDUUGVDVEUUGVFWEWFVLVLZAXBXGXHWSADXATTNAWTADENOWGWIZU
        RAXDETTAXCAXAEUUPOWGWIOURWJWKAJWRUJUKZXEQAUUQXIUJUKZXEAWRXIUJUUOVBAUURX
        BXGUJUKZXHUJUKZUHXEXBXGXHUJWLAXBUUSDUUTXDAUUDXAWMUCZUUSDUINUUMDXATWMVSW
        NAXDWMUCZUUEUUTXDUIXCUOUEWAZOXDEWMTVSWOWEWFVLWFAKWRULUKZXFRAUVDXIULUKZX
        FAWRXIULUUOVBAUVEXBXGULUKZXHULUKZUHXFXBXGXHULWLAXBUVFXAUVGEAUUDUVAUVFXA
        UINUUMDXATWMVTWNAUVBUUEUVGEUIUVCOXDEWMTVTWOWEWFVLWFWP $.

      ruclem2.8 $e |- ( ph -> A < B ) $.
      $( Lemma for ~ ruc .  Ordering property for the input to ` D ` .
         (Contributed by Mario Carneiro, 28-May-2014.) $)
      ruclem2 $p |- ( ph -> ( A <_ X /\ X < Y /\ Y <_ B ) ) $=
        ( wbr cle clt caddc co c2 cdiv cif leidd readdcld rehalfcld wcel avglt1
        cr wb syl2anc mpbid avglt2 lttrd ltled breq2 ifboth cop cxp wceq simp2d
        ruclem1 breqtrrd iftrue breq12d syl5ibrcom iffalse pm2.61d simp3d breq1
        wn 3brtr4d eqbrtrd 3jca ) ADJUATJKUBTKEUATADDEUCUDZUEUFUDZIUBTZDVTEUCUD
        ZUEUFUDZUGZJUAADDUATZDWCUATZDWDUATZADNUHADWCNAWBAVTEAVSADENOUIUJZOUIUJZ
        ADVTWCNWHWIADEUBTZDVTUBTZSADUMUKZEUMUKZWJWKUNNODEULUOUPZAVTEUBTZVTWCUBT
        ZAWJWOSAWLWMWJWOUNNODEUQUOUPZAVTUMUKZWMWOWPUNWHOVTEULUOUPURUSWAWEWFWGDW
        CDWDDUAUTWCWDDUAUTVAUOADEVBIFUDUMUMVCUKZJWDVDZKWAVTEUGZVDZABCDEFGHIJKLM
        NOPQRVFZVEZVGAWDXAJKUBAWAWDXAUBTZAXEWAWKWNWAWDDXAVTUBWADWCVHWAVTEVHVIVJ
        AXEWAVOZWCEUBTZAWOXGWQAWRWMWOXGUNWHOVTEUQUOUPXFWDWCXAEUBWADWCVKWAVTEVKV
        IVJVLXDAWSWTXBXCVMZVPAKXAEUAXHAVTEUATZEEUATZXAEUATZAVTEWHOWQUSAEOUHWAXI
        XJXKVTEVTXAEUAVNEXAEUAVNVAUOVQVR $.

      $( Lemma for ~ ruc .  The constructed interval ` [ X , Y ] ` always
         excludes ` M ` .  (Contributed by Mario Carneiro, 28-May-2014.) $)
      ruclem3 $p |- ( ph -> ( M < X \/ Y < M ) ) $=
        ( clt wbr wn caddc co c2 cdiv cle readdcld rehalfcld lenltd wcel avglt2
        wa cr wb syl2anc mpbid avglt1 lelttr syl3anc mpan2d sylbird imp cif cop
        wi wceq ruclem1 simp2d iffalse sylan9eq breqtrrd ex con1d simp3d iftrue
        cxp simpr eqbrtrd syld orrd ) AIJTUAZKITUAZAWBUBDEUCUDZUEUFUDZITUAZWCAW
        FWBAWFUBZWBAWGUMIWEEUCUDZUEUFUDZJTAWGIWITUAZAWGIWEUGUAZWJAIWEPAWDADENOU
        HUIZUJAWKWEWITUAZWJAWEETUAZWMADETUAZWNSADUNUKEUNUKZWOWNUONODEULUPUQAWEU
        NUKZWPWNWMUOWLOWEEURUPUQAIUNUKWQWIUNUKWKWMUMWJVFPWLAWHAWEEWLOUHUIIWEWIU
        SUTVAVBVCAWGJWFDWIVDZWIADEVEIFUDUNUNVQUKZJWRVGZKWFWEEVDZVGZABCDEFGHIJKL
        MNOPQRVHZVIWFDWIVJVKVLVMVNAWFWCAWFUMKWEITAWFKXAWEAWSWTXBXCVOWFWEEVPVKAW
        FVRVSVMVTWA $.
    $}

    ruc.4 $e |- C = ( { <. 0 , <. 0 , 1 >. >. } u. F ) $.
    ruc.5 $e |- G = seq 0 ( D , C ) $.
    $( Lemma for ~ ruc .  Initial value of the interval sequence.  (Contributed
       by Mario Carneiro, 28-May-2014.) $)
    ruclem4 $p |- ( ph -> ( G ` 0 ) = <. 0 , 1 >. ) $=
      ( cc0 cfv c1 cop csn cn wtru cvv cseq fveq1i 0z cn0 cdif cres cun cr wceq
      wf wfn ffn fnresdm 3syl dfn2 reseq2i eqtr3di uneq2d eqtrid wcel c0ex opex
      fveq1d a1i eqid fvsnun1 mptru eqtrdi seq1i ) AMHNMEDMUAZNMOPZMHVJLUBAVKED
      MUCAMDNMMVKPQZGUDMQUEZUFZUGZNZVKAMDVOADVLGUGVOKAGVNVLAGRUFZGVNARUHGUJGRUK
      VQGUIIRUHGULRGUMUNRVMGUOUPUQURUSVCVPVKUISMVKUDGVOTTMTUTSVAVDVKTUTSMOVBVDV
      OVEVFVGVHVIUS $.

    $( Lemma for ~ ruc .  Domain and range of the interval sequence.
       (Contributed by Mario Carneiro, 28-May-2014.) $)
    ruclem6 $p |- ( ph -> G : NN0 --> ( RR X. RR ) ) $=
      ( cr cc0 cfv c1 cop wcel wceq co vz vw cn0 cxp cseq wf fveq1i cz 0z ax-mp
      seq1 eqtri ruclem4 eqtr3id 0re 1re opelxpi mp2an eqeltrdi cv wa c1st c2nd
      1st2nd2 ad2antrl oveq1d caddc c2 cdiv clt wbr cif adantr cmpo xp1st xp2nd
      cn csb simprr eqid ruclem1 simp1d eqeltrd nn0uz 0zd cuz 0p1e1 fveq2i nnuz
      eqtr4i eleq2i csn cun wne nnne0 necomd fvunsn syl eqtrid adantl ffvelrnda
      equncomi sylan2b seqf2 feq1i sylibr ) AUCMMUDZEDNUEZUFUCXGHUFAUAUBXGMEDNU
      CANDOZNPQZXGAXINHOZXJXKNXHOZXINHXHLUGNUHRXLXISUIEDNUKUJULABCDEFGHIJKLUMUN
      NMRPMRXJXGRUOUPNPMMUQURUSAUAUTZXGRZUBUTZMRZVAZVAZXMXOETXMVBOZXMVCOZQZXOET
      ZXGXRXMYAXOEXNXMYASAXPXMMMVDVEVFXRYBXGRYBVBOZXSXTVGTVHVITZXOVJVKZXSYDXTVG
      TVHVITVLSYBVCOZYEYDXTVLSXRBCXSXTEFGXOYCYFAVQMGUFXQIVMAEBCXGMFBUTZVBOZYGVC
      OZVGTVHVITFUTZCUTVJVKYHYJQYJYIVGTVHVITYIQVLVRVNSXQJVMXNXSMRAXPXMMMVOVEXNX
      TMRAXPXMMMVPVEAXNXPVSYCVTYFVTWAWBWCWDAWEXMNPVGTZWFOZRAXMVQRZXMDOZMRYLVQXM
      YLPWFOVQYKPWFWGWHWIWJWKAYMVAYNXMGOZMYMYNYOSAYMYNXMGNXJQWLZWMZOZYOXMDYQDYP
      GKXBUGYMNXMWNYRYOSYMXMNXMWOWPGNXJXMWQWRWSWTAVQMXMGIXAWCXCXDUCXGHXHLXEXF
      $.

    $( Lemma for ~ ruc .  Successor value for the interval sequence.
       (Contributed by Mario Carneiro, 28-May-2014.) $)
    ruclem7 $p |- ( ( ph /\ N e. NN0 ) ->
      ( G ` ( N + 1 ) ) = ( ( G ` N ) D ( F ` ( N + 1 ) ) ) ) $=
      ( cn0 wcel c1 co cfv cc0 fveq1i caddc cseq cuz simpr nn0uz eleqtrdi seqp1
      wceq syl oveq1i 3eqtr4g wne nn0p1nn adantl nnne0d necomd cop csn equncomi
      wa cn cun fvunsn eqtrid oveq2d eqtrd ) AINOZUTZIPUAQZHRZIHRZVIDRZEQZVKVIG
      RZEQVHVIEDSUBZRZIVORZVLEQZVJVMVHISUCRZOVPVRUHVHINVSAVGUDUEUFEDSIUGUIVIHVO
      MTVKVQVLEIHVOMTUJUKVHVLVNVKEVHSVIULZVLVNUHVHVISVHVIVGVIVAOAIUMUNUOUPVTVLV
      IGSSPUQZUQURZVBZRVNVIDWCDWBGLUSTGSWAVIVCVDUIVEVF $.

    $( Lemma for ~ ruc .  The intervals of the ` G ` sequence are all nonempty.
       (Contributed by Mario Carneiro, 28-May-2014.) $)
    ruclem8 $p |- ( ( ph /\ N e. NN0 ) ->
                    ( 1st ` ( G ` N ) ) < ( 2nd ` ( G ` N ) ) ) $=
      ( cfv c1st c2nd clt wbr cc0 cr vk vn cn0 wcel cv wi c1 caddc wceq breq12d
      co 2fveq3 imbi2d 0lt1 a1i cop ruclem4 fveq2d c0ex 1ex op1st op2nd 3brtr4d
      eqtrdi wa cle cn wf adantr cxp c2 cdiv cif cmpo ruclem6 ffvelrnda adantrr
      csb xp1st xp2nd nn0p1nn ffvelrn syl2an eqid simprr ruclem2 simp2d ruclem7
      syl 1st2nd2 oveq1d eqtrd expr expcom a2d nn0ind impcom ) IUCUDAIHNZONZWRP
      NZQRZAUAUEZHNZONZXCPNZQRZUFASHNZONZXGPNZQRZUFAUBUEZHNZONZXLPNZQRZUFAXKUGU
      HUKZHNZONZXQPNZQRZUFAXAUFUAUBIXBSUIZXFXJAYAXDXHXEXIQXBSOHULXBSPHULUJUMXBX
      KUIZXFXOAYBXDXMXEXNQXBXKOHULXBXKPHULUJUMXBXPUIZXFXTAYCXDXRXEXSQXBXPOHULXB
      XPPHULUJUMXBIUIZXFXAAYDXDWSXEWTQXBIOHULXBIPHULUJUMASUGXHXIQSUGQRAUNUOAXHS
      UGUPZONSAXGYEOABCDEFGHJKLMUQZURSUGUSUTVAVDAXIYEPNUGAXGYEPYFURSUGUSUTVBVDV
      CXKUCUDZAXOXTAYGXOXTUFAYGXOXTAYGXOVEZVEZXMXNUPZXPGNZEUKZONZYLPNZXRXSQYIXM
      YMVFRYMYNQRYNXNVFRYIBCXMXNEFGYKYMYNAVGTGVHZYHJVIAEBCTTVJZTFBUEZONZYQPNZUH
      UKVKVLUKFUEZCUEQRYRYTUPYTYSUHUKVKVLUKYSUPVMVRVNUIYHKVIYIXLYPUDZXMTUDAYGUU
      AXOAUCYPXKHABCDEFGHJKLMVOVPVQZXLTTVSWIYIUUAXNTUDUUBXLTTVTWIAYGYKTUDZXOAYO
      XPVGUDUUCYGJXKWAVGTXPGWBWCVQYMWDYNWDAYGXOWEWFWGYIXQYLOYIXQXLYKEUKZYLAYGXQ
      UUDUIXOABCDEFGHXKJKLMWHVQYIXLYJYKEYIUUAXLYJUIUUBXLTTWJWIWKWLZURYIXQYLPUUE
      URVCWMWNWOWPWQ $.

    ${
      ruclem9.6 $e |- ( ph -> M e. NN0 ) $.
      ruclem9.7 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
      $( Lemma for ~ ruc .  The first components of the ` G ` sequence are
         increasing, and the second components are decreasing.  (Contributed by
         Mario Carneiro, 28-May-2014.) $)
      ruclem9 $p |- ( ph -> ( ( 1st ` ( G ` M ) ) <_ ( 1st ` ( G ` N ) ) /\
                              ( 2nd ` ( G ` N ) ) <_ ( 2nd ` ( G ` M ) ) ) ) $=
        ( cfv cle wbr cr vk vn cuz wcel c1st c2nd wa cv wi c1 caddc wceq 2fveq3
        breq2d breq1d anbi12d imbi2d cxp cn0 ruclem6 ffvelrnd xp1st leidd xp2nd
        co syl jca cop clt cn wf adantr cdiv cif csb cmpo eluznn0 sylan nn0p1nn
        c2 ruclem8 syldan ruclem2 simp1d ruclem7 1st2nd2 oveq1d fveq2d breqtrrd
        eqid eqtrd peano2nn0 syl3anc mpan2d simp3d eqbrtrd mpand anim12d expcom
        letr a2d uzind4i mpcom ) JIUCQZUDAIHQZUEQZJHQZUEQZRSZXGUFQZXEUFQZRSZUGZ
        PAXFUAUHZHQZUEQZRSZXOUFQZXKRSZUGZUIAXFXFRSZXKXKRSZUGZUIAXFUBUHZHQZUEQZR
        SZYEUFQZXKRSZUGZUIAXFYDUJUKVEZHQZUEQZRSZYLUFQZXKRSZUGZUIAXMUIUAUBIJXNIU
        LZXTYCAYRXQYAXSYBYRXPXFXFRXNIUEHUMUNYRXRXKXKRXNIUFHUMUOUPUQXNYDULZXTYJA
        YSXQYGXSYIYSXPYFXFRXNYDUEHUMUNYSXRYHXKRXNYDUFHUMUOUPUQXNYKULZXTYQAYTXQY
        NXSYPYTXPYMXFRXNYKUEHUMUNYTXRYOXKRXNYKUFHUMUOUPUQXNJULZXTXMAUUAXQXIXSXL
        UUAXPXHXFRXNJUEHUMUNUUAXRXJXKRXNJUFHUMUOUPUQAYAYBAXFAXETTURZUDZXFTUDZAU
        SUUBIHABCDEFGHKLMNUTZOVAZXETTVBVFZVCAXKAUUCXKTUDZUUFXETTVDVFZVCVGYDXDUD
        ZAYJYQAUUJYJYQUIAUUJUGZYGYNYIYPUUKYGYFYMRSZYNUUKYFYFYHVHZYKGQZEVEZUEQZY
        MRUUKYFUUPRSZUUPUUOUFQZVISZUURYHRSZUUKBCYFYHEFGUUNUUPUURAVJTGVKUUJKVLZA
        EBCUUBTFBUHZUEQZUVBUFQZUKVEVTVMVEFUHZCUHVISUVCUVEVHUVEUVDUKVEVTVMVEUVDV
        HVNVOVPULUUJLVLUUKYEUUBUDZYFTUDZUUKUSUUBYDHAUSUUBHVKUUJUUEVLZAIUSUDUUJY
        DUSUDZOYDIVQVRZVAZYETTVBVFZUUKUVFYHTUDZUVKYETTVDVFZUUKVJTYKGUVAUUKUVIYK
        VJUDUVJYDVSVFVAUUPWJUURWJAUUJUVIYFYHVISUVJABCDEFGHYDKLMNWAWBWCZWDUUKYLU
        UOUEUUKYLYEUUNEVEZUUOAUUJUVIYLUVPULUVJABCDEFGHYDKLMNWEWBUUKYEUUMUUNEUUK
        UVFYEUUMULUVKYETTWFVFWGWKZWHWIUUKUUDUVGYMTUDZYGUULUGYNUIAUUDUUJUUGVLUVL
        UUKYLUUBUDZUVRUUKUSUUBYKHUVHUUKUVIYKUSUDUVJYDWLVFVAZYLTTVBVFXFYFYMWTWMW
        NUUKYOYHRSZYIYPUUKYOUURYHRUUKYLUUOUFUVQWHUUKUUQUUSUUTUVOWOWPUUKYOTUDZUV
        MUUHUWAYIUGYPUIUUKUVSUWBUVTYLTTVDVFUVNAUUHUUJUUIVLYOYHXKWTWMWQWRWSXAXBX
        C $.
    $}

    ${
      ruclem10.6 $e |- ( ph -> M e. NN0 ) $.
      ruclem10.7 $e |- ( ph -> N e. NN0 ) $.
      $( Lemma for ~ ruc .  Every first component of the ` G ` sequence is less
         than every second component.  That is, the sequences form a chain a_1
         ` < ` a_2 ` < ` ... ` < ` b_2 ` < ` b_1, where a_i are the first
         components and b_i are the second components.  (Contributed by Mario
         Carneiro, 28-May-2014.) $)
      ruclem10 $p |- ( ph -> ( 1st ` ( G ` M ) ) < ( 2nd ` ( G ` N ) ) ) $=
        ( cfv wbr cr wcel c1st cle cif cxp cn0 ruclem6 ffvelrnd xp1st syl ifcld
        c2nd xp2nd cuz nn0red max1 syl2anc cz wb eluz mpbird ruclem9 simpld clt
        nn0zd ruclem8 mpdan max2 simprd ltletrd lelttrd ) AIHQZUAQZIJUBRZJIUCZH
        QZUAQZJHQZUKQZAVKSSUDZTVLSTAUEVSIHABCDEFGHKLMNUFZOUGVKSSUHUIAVOVSTZVPST
        AUEVSVNHVTAVMJIUEPOUJZUGZVOSSUHUIZAVQVSTVRSTAUEVSJHVTPUGVQSSULUIZAVLVPU
        BRVOUKQZVKUKQUBRABCDEFGHIVNKLMNOAVNIUMQTZIVNUBRZAISTZJSTZWHAIOUNZAJPUNZ
        IJUOUPAIUQTVNUQTZWGWHURAIOVDAVNWBVDZIVNUSUPUTVAVBAVPWFVRWDAWAWFSTWCVOSS
        ULUIWEAVNUETVPWFVCRWBABCDEFGHVNKLMNVEVFAVQUAQVPUBRWFVRUBRABCDEFGHJVNKLM
        NPAVNJUMQTZJVNUBRZAWIWJWPWKWLIJVGUPAJUQTWMWOWPURAJPVDWNJVNUSUPUTVAVHVIV
        J $.
    $}

    $( Lemma for ~ ruc .  Closure lemmas for supremum.  (Contributed by Mario
       Carneiro, 28-May-2014.) $)
    ruclem11 $p |- ( ph -> ( ran ( 1st o. G ) C_ RR /\ ran ( 1st o. G ) =/= (/)
                             /\ A. z e. ran ( 1st o. G ) z <_ 1 ) ) $=
      ( cr c0 cv c1 cn0 cc0 cfv vn c1st ccom crn wss wne cle wbr cxp wf ruclem6
      wral 1stcof syl frnd cdm fdmd wcel 0nn0 ne0i mp1i eqnetrd necon3bii sylib
      dm0rn0 wa wceq fvco3 sylan clt c2nd cn adantr caddc cdiv cop cif csb cmpo
      co c2 simpr a1i ruclem10 ruclem4 fveq2d c0ex 1ex eqtrdi breqtrd ffvelrnda
      op2nd wi xp1st 1re ltle sylancl mpd eqbrtrd ralrimiva wb ffnd breq1 ralrn
      wfn mpbird 3jca ) AUBIUCZUDZNUEXIOUFZDPZQUGUHZDXIULZARNXHARNNUIZIUJZRNXHU
      JABCEFGHIJKLMUKZRNNIUMUNZUOAXHUPZOUFXJAXRROARNXHXQUQSRURZROUFAUSRSUTVAVBX
      ROXIOXHVEVCVDAXMUAPZXHTZQUGUHZUARULZAYBUARAXTRURZVFZYAXTITZUBTZQUGAXOYDYA
      YGVGXPRXNXTUBIVHVIYEYGQVJUHZYGQUGUHZYEYGSITZVKTZQVJYEBCEFGHIXTSAVLNHUJYDJ
      VMAFBCXNNGBPZUBTZYLVKTZVNVTWAVOVTGPZCPVJUHYMYOVPYOYNVNVTWAVOVTYNVPVQVRVSV
      GYDKVMLMAYDWBXSYEUSWCWDAYKQVGYDAYKSQVPZVKTQAYJYPVKABCEFGHIJKLMWEWFSQWGWHW
      LWIVMWJYEYGNURZQNURYHYIWMYEYFXNURYQARXNXTIXPWKYFNNWNUNWOYGQWPWQWRWSWTAXHR
      XEXMYCXAARNXHXQXBXLYBDUARXHXKYAQUGXCXDUNXFXG $.

    ruc.6 $e |- S = sup ( ran ( 1st o. G ) , RR , < ) $.
    $( Lemma for ~ ruc .  The supremum of the increasing sequence ` 1st o. G `
       is a real number that is not in the range of ` F ` .  (Contributed by
       Mario Carneiro, 28-May-2014.) $)
    ruclem12 $p |- ( ph -> S e. ( RR \ ran F ) ) $=
      ( vz cr wbr wcel cfv cn0 vn vk crn c1st ccom clt csup wss c0 wne cle wral
      cv c1 ruclem11 simp1d simp2d wrex 1re simp3d brralrspcev sylancr eqeltrid
      suprcld wceq cn wa wo c2nd cmin co cop adantr cxp caddc cdiv cif csb cmpo
      wf c2 ruclem6 nnm1nn0 ffvelrn syl2an xp1st xp2nd ffvelrnda ruclem8 sylan2
      syl eqid ruclem3 ruclem7 nncn adantl ax-1cn npcan sylancl 1st2nd2 oveq12d
      cc fveq2d 3eqtr3d breq2d breq1d orbi12d mpbird nnnn0 fvco3 wfn 1stcof ffn
      3syl fnfvelrn syl2anc eqeltrrd suprubd breqtrrdi wi ltletr syl3anc mpan2d
      sylan simpr ruclem10 ltled eqbrtrd breq1 ralrn suprleub syl31anc eqbrtrid
      ralrimiva wb lelttr mpand orim12d mpd lttri2d neneqd nrexdv risset syl5bb
      eqeq1 rexrn mtbird eldifd ) AFPHUCZAFUDIUEZUCZPUFUGZPNAUAOUUKAUUKPUHZUUKU
      IUJZOUMZUNUKQOUUKULZABCODEGHIJKLMUOZUPZAUUMUUNUUPUUQUQZAUNPRUUPUUOUAUMZUK
      QOUUKULUAPURZUSAUUMUUNUUPUUQUTUAOUUOUNUKPUUKVAVBZVDVCZAFUUIRZUUTHSZFVEZUA
      VFURZAUVFUAVFAUUTVFRZVGZUVEFUVIUVEFUJUVEFUFQZFUVEUFQZVHZUVIUVEUUTISZUDSZU
      FQZUVMVISZUVEUFQZVHZUVLUVIUVRUVEUUTUNVJVKZISZUDSZUVTVISZVLZUVEEVKZUDSZUFQ
      ZUWDVISZUVEUFQZVHUVIBCUWAUWBEGHUVEUWEUWGAVFPHVTZUVHJVMZAEBCPPVNZPGBUMZUDS
      ZUWLVISZVOVKWAVPVKGUMZCUMUFQUWMUWOVLUWOUWNVOVKWAVPVKUWNVLVQVRVSVEZUVHKVMZ
      UVIUVTUWKRZUWAPRATUWKIVTZUVSTRZUWRUVHABCDEGHIJKLMWBZUUTWCZTUWKUVSIWDWEZUV
      TPPWFWKUVIUWRUWBPRUXCUVTPPWGWKAVFPUUTHJWHZUWEWLUWGWLUVHAUWTUWAUWBUFQUXBAB
      CDEGHIUVSJKLMWIWJWMUVIUVOUWFUVQUWHUVIUVNUWEUVEUFUVIUVMUWDUDUVIUVSUNVOVKZI
      SZUVTUXEHSZEVKZUVMUWDUVHAUWTUXFUXHVEUXBABCDEGHIUVSJKLMWNWJUVIUXEUUTIUVIUU
      TXBRZUNXBRUXEUUTVEUVHUXIAUUTWOWPWQUUTUNWRWSZXCUVIUVTUWCUXGUVEEUVIUWRUVTUW
      CVEUXCUVTPPWTWKUVIUXEUUTHUXJXCXAXDZXCXEUVIUVPUWGUVEUFUVIUVMUWDVIUXKXCXFXG
      XHUVIUVOUVJUVQUVKUVIUVOUVNFUKQZUVJUVIUVNUULFUKUVIUAOUUKUVNAUUMUVHUURVMZAU
      UNUVHUUSVMZAUVAUVHUVBVMZUVIUUTUUJSZUVNUUKAUWSUUTTRZUXPUVNVEUVHUXAUUTXIZTU
      WKUUTUDIXJWEUVIUUJTXKZUXQUXPUUKRUVIUWSTPUUJVTUXSAUWSUVHUXAVMZTPPIXLTPUUJX
      MXNZUVHUXQAUXRWPZTUUTUUJXOXPXQXRNXSUVIUVEPRZUVNPRZFPRZUVOUXLVGUVJXTUXDUVI
      UVMUWKRZUYDAUWSUXQUYFUVHUXAUXRTUWKUUTIWDWEZUVMPPWFWKAUYEUVHUVCVMZUVEUVNFY
      AYBYCUVIFUVPUKQZUVQUVKUVIFUULUVPUKNUVIUULUVPUKQZUUOUVPUKQZOUUKULZUVIUYLUB
      UMZUUJSZUVPUKQZUBTULZUVIUYOUBTUVIUYMTRZVGZUYNUYMISZUDSZUVPUKUVIUWSUYQUYNU
      YTVEUXTTUWKUYMUDIXJYDUYRUYTUVPUYRUYSUWKRUYTPRUVITUWKUYMIUXTWHUYSPPWFWKUVI
      UVPPRZUYQUVIUYFVUAUYGUVMPPWGWKZVMUYRBCDEGHIUYMUUTUVIUWIUYQUWJVMUVIUWPUYQU
      WQVMLMUVIUYQYEUVIUXQUYQUYBVMYFYGYHYNUVIUXSUYLUYPYOUYAUYKUYOOUBTUUJUUOUYNU
      VPUKYIYJWKXHUVIUUMUUNUVAVUAUYJUYLYOUXMUXNUXOVUBUAOOUUKUVPYKYLXHYMUVIUYEVU
      AUYCUYIUVQVGUVKXTUYHVUBUXDFUVPUVEYPYBYQYRYSUVIUVEFUXDUYHYTXHUUAUUBUVDUUOF
      VEZOUUIURZAUVGOFUUIUUCAUWIHVFXKVUDUVGYOJVFPHXMVUCUVFOUAVFHUUOUVEFUUEUUFXN
      UUDUUGUUH $.
  $}

  ${
    $d d m x y F $.
    $( Lemma for ~ ruc .  There is no function that maps ` NN ` onto ` RR ` .
       (Use ~ nex if you want this in the form ` -. E. f f : NN -onto-> RR ` .)
       (Contributed by NM, 14-Oct-2004.)  (Proof shortened by Fan Zheng,
       6-Jun-2016.) $)
    ruclem13 $p |- -. F : NN -onto-> RR $=
      ( vd vx vy vm cn cr crn cdif c0 wceq cv c1st cfv caddc cop reex cc0 eqid
      co wfo forn difeq2d difid eqtrdi cxp c2nd c2 cdiv clt wbr cif csb cmpo wn
      wex xpex mpoex isseti wa c1 csn cun cseq ccom csup wf fof adantr ruclem12
      wcel simpr n0i syl ex exlimdv mpi pm2.65i ) FGAUAZGAHZIZJKZVSWAGGIJVSVTGG
      FGAUBUCGUDUEVSBLZCDGGUFZGECLZMNZWEUGNZOTUHUITELZDLUJUKWFWHPWHWGOTUHUITWGP
      ULUMZUNZKZBUPWBUOZBWJCDWDGWIGGQQUQQURUSVSWKWLBVSWKWLVSWKUTZMWCRRVAPPVBAVC
      ZRVDZVEHGUJVFZWAVKWLWMCDWNWCWPEAWOVSFGAVGWKFGAVHVIVSWKVLWNSWOSWPSVJWAWPVM
      VNVOVPVQVR $.
  $}

  $( The set of positive integers is strictly dominated by the set of real
     numbers, i.e. the real numbers are uncountable.  The proof consists of
     lemmas ~ ruclem1 through ~ ruclem13 and this final piece.  Our proof is
     based on the proof of Theorem 5.18 of [Truss] p. 114.  See ~ ruclem13 for
     the function existence version of this theorem.  For an informal
     discussion of this proof, see ~ mmcomplex.html#uncountable .  For an
     alternate proof see ~ rucALT .  This is Metamath 100 proof #22.
     (Contributed by NM, 13-Oct-2004.) $)
  ruc $p |- NN ~< RR $=
    ( vf cn cr csdm wbr cdom cen wn cvv wcel wss reex nnssre ssdomg mp2 cv wf1o
    wex wfo ruclem13 f1ofo mto nex bren mtbir brsdom mpbir2an ) BCDEBCFEZBCGEZH
    CIJBCKUHLMBCINOUIBCAPZQZARUKAUKBCUJSUJTBCUJUAUBUCBCAUDUEBCUFUG $.

  $( The set of rationals is strictly less equinumerous than the set of reals
     ( ` RR ` strictly dominates ` QQ ` ).  (Contributed by NM,
     18-Dec-2004.) $)
  resdomq $p |- QQ ~< RR $=
    ( cq cn cen wbr cr csdm qnnen ruc ensdomtr mp2an ) ABCDBEFDAEFDGHABEIJ $.

  $( There are at least aleph-one real numbers.  (Contributed by NM,
     2-Feb-2005.) $)
  aleph1re $p |- ( aleph ` 1o ) ~<_ RR $=
    ( c1o cale cfv cr cdom wbr csdm wn c0 csuc cn cen com aleph0 nnenom eqbrtri
    ensymi mp2an cvv wcel ensdomtr alephnbtwn2 mptnan df-1o fveq2i breq2i mtbir
    ruc wb fvex reex domtri mpbir ) ABCZDEFZDUNGFZHZUPDIJZBCZGFZIBCZDGFZUTVAKLF
    KDGFVBVAMKLNKMOQPUHVAKDUARIDUBUCUNUSDGAURBUDUEUFUGUNSTDSTUOUQUIABUJUKUNDSSU
    LRUM $.

  $( There are at least aleph-one irrationals.  (Contributed by NM,
     2-Feb-2005.) $)
  aleph1irr $p |- ( aleph ` 1o ) ~<_ ( RR \ QQ ) $=
    ( c1o cale cfv cr cdom wbr cq cdif cen aleph1re ccrd cdm wcel com cvv ax-mp
    csdm cn ensymi mp2an reex numth3 nnenom ruc ensdomtr sdomdom resdomq infdif
    mp3an domentr ) ABCZDEFDDGHZIFUKULEFJULDDKLMZNDEFZGDQFULDIFDOMUMUADOUBPNDQF
    ZUNNRIFRDQFUORNUCSUDNRDUETNDUFPUGDGUHUISUKDULUJT $.

  ${
    $d a b c d e x $.
    $( The complex numbers can be linearly ordered.  (Contributed by Stefan
       O'Rear, 16-Nov-2014.) $)
    cnso $p |- E. x x Or CC $=
      ( va vb vd vc ve cr cc cv wf1o wor wex cfv wceq wa clt wbr wrex syl cnex
      copab cxp cin ltso wiso eqid f1oiso mpan2 isoso soinxp bitrdi mpbii inex2
      wb xpex soeq1 spcev cen cn cpw rpnnen cpnnen entr4i bren mpbi exlimiiv )
      GHBIZJZHAIZKZALZBVHHCIDIZVGMNEIFIZVGMNOVLVMPQOFGRDGRCEUAZHHUBZUCZKZVKVHGP
      KZVQUDVHGHPVNVGUEZVRVQUNVHVNVNNVSVNUFDFCEGHPVNVGUGUHVSVRHVNKVQGHPVNVGUIHV
      NUJUKSULVJVQAVPVOVNHHTTUOUMHVIVPUPUQSGHURQVHBLGUSUTHVAVBVCGHBVDVEVF $.
  $}

$( End $[ set-num.mm $] $)


$( Begin $[ set-numth.mm $] $)
$(
###############################################################################
  ELEMENTARY NUMBER THEORY
###############################################################################

  Here we introduce elementary number theory, in particular the elementary
  properties of divisibility and elementary prime number theory.

$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Elementary properties of divisibility
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Irrationality of square root of 2
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    sqrt2irrlem.1 $e |- ( ph -> A e. ZZ ) $.
    sqrt2irrlem.2 $e |- ( ph -> B e. NN ) $.
    sqrt2irrlem.3 $e |- ( ph -> ( sqrt ` 2 ) = ( A / B ) ) $.
    $( Lemma for ~ sqrt2irr .  This is the core of the proof: if
       ` A / B = sqrt ( 2 ) ` , then ` A ` and ` B ` are even, so ` A / 2 ` and
       ` B / 2 ` are smaller representatives, which is absurd by the method of
       infinite descent (here implemented by strong induction).  This is
       Metamath 100 proof #1.  (Contributed by NM, 20-Aug-2001.)  (Revised by
       Mario Carneiro, 12-Sep-2015.)  (Proof shortened by JV, 4-Jan-2022.) $)
    sqrt2irrlem $p |- ( ph -> ( ( A / 2 ) e. ZZ /\ ( B / 2 ) e. NN ) ) $=
      ( c2 cdiv co cz wcel cn cexp cmul oveq1d eqtr3d nncnd nnne0d eqtrd syl wb
      csqrt cfv 2cnd sqsqrtd zcnd sqdivd nnsqcld divcan1d cc0 wne 2ne0 divcan3d
      sqcld a1i eqeltrd nnzd zesq mpbird clt wbr sqvald oveq2d divdiv1d 3eqtr4d
      zsqcl eqeltrrd nnrpd rphalfcld rpgt0d elnnz sylanbrc nnesq jca ) ABGHIZJK
      ZCGHILKZAVPBGMIZGHIZJKZAVSAVSCGMIZLAGWANIZGHIVSWAAWBVRGHAWBVRWAHIZWANIVRA
      GWCWANAGBCHIZGMIZWCAGUBUCZGMIGWEAGAUDZUEAWFWDGMFOPABCABDUFZACEQACERUGSOAV
      RWAABWHUNZAWAACEUHZQZAWAWJRUISOAWAGWKWGGUJUKAULUOZUMPZWJUPUQABJKVPVTUADBU
      RTUSZAVQWAGHIZLKZAWOJKUJWOUTVAWPAVOGMIZWOJAWQVSGHIZWOAVRGGMIZHIVRGGNIZHIW
      QWRAWSWTVRHAGWGVBVCABGWHWGWLUGAVRGGWIWGWGWLWLVDVEAVSWAGHWMOSAVPWQJKWNVOVF
      TVGAWOAWAAWAWJVHVIVJWOVKVLACLKVQWPUAECVMTUSVN $.
  $}

  ${
    $d n x y z $.
    $( The square root of 2 is irrational.  See ~ zsqrtelqelz for a
       generalization to all non-square integers.  The proof's core is proven
       in ~ sqrt2irrlem , which shows that if ` A / B = sqrt ( 2 ) ` , then
       ` A ` and ` B ` are even, so ` A / 2 ` and ` B / 2 ` are smaller
       representatives, which is absurd.  An older version of this proof was
       included in _The Seventeen Provers of the World_ compiled by Freek
       Wiedijk.  It is also the first of the "top 100" mathematical theorems
       whose formalization is tracked by Freek Wiedijk on his _Formalizing 100
       Theorems_ page at ~ http://www.cs.ru.nl/~~freek/100/ .  (Contributed by
       NM, 8-Jan-2002.)  (Proof shortened by Mario Carneiro, 12-Sep-2015.) $)
    sqrt2irr $p |- ( sqrt ` 2 ) e/ QQ $=
      ( vx vy vz c2 wcel cv cdiv co wceq cz wrex cn c1 clt wbr wne wral ralbidv
      wi wa vn csqrt cfv cq caddc peano2nn breq2 imbi1d nnnlt1 pm2.21d rgen crp
      wn nnrp rphalflt breq1 oveq2 neeq2d imbi12d rspcv com13 simpr cc ad2antlr
      syl zcn nncn ad2antrr 2cnd cc0 nnne0 2ne0 a1i divcan7d eqtr4d sqrt2irrlem
      simplr simpll simprd simpld oveq1 embantd necon2bd mpd necon2ad ralrimdva
      ex syld cbvralvw syl6ibr ceqsralv sylibrd ancld wo wb nnleltp1 nnre leloe
      cle cr syl2an bitr3d ancoms jaob bitrdi ralbidva r19.26 nnind ltp1d df-ne
      ralnex mp2d nrex elq rexcom bitri mtbir nelir ) DUBUCZUDXSUDEZXSAFZBFZGHZ
      IZAJKZBLKZYEBLYBLEZCFZYBMUEHZNOZXSYAYHGHZPZAJQZSZCLQZYBYINOZYEUMZYGYILEYO
      YBUFYHUAFZNOZYMSZCLQYHMNOZYMSZCLQYHYBNOZYMSZCLQZYOYOUABYIYRMIZYTUUBCLUUFY
      SUUAYMYRMYHNUGUHRYRYBIZYTUUDCLUUGYSUUCYMYRYBYHNUGUHRYRYIIZYTYNCLUUHYSYJYM
      YRYIYHNUGUHRZUUIUUBCLYHLEZUUAYMYHUIUJUKYGUUEUUEYHYBIZYMSZCLQZTZYOYGUUEUUM
      YGUUEXSYCPZAJQZUUMYGUUEXSYHYBGHZPZCJQZUUPYGUUEYBDGHZLEZXSYAUUTGHZPZAJQZSZ
      UUSYGUUTYBNOZUUEUVESYGYBULEUVFYBUNYBUOVEUVAUUEUVFUVDUUDUVFUVDSCUUTLYHUUTI
      ZUUCUVFYMUVDYHUUTYBNUPUVGYLUVCAJUVGYKUVBXSYHUUTYAGUQURRUSUTVAVEYGUVEUURCJ
      YGYHJEZTZUVEXSUUQUVIXSUUQIZUVEUMZUVIUVJTZXSYHDGHZUUTGHZIUVKUVLXSUUQUVNUVI
      UVJVBZUVLYHYBDUVHYHVCEYGUVJYHVFVDYGYBVCEUVHUVJYBVGVHUVLVIYGYBVJPUVHUVJYBV
      KVHDVJPUVLVLVMVNVOUVLUVEXSUVNUVLUVAUVDXSUVNPZUVLUVMJEZUVAUVLYHYBYGUVHUVJV
      QYGUVHUVJVRUVOVPZVSUVLUVQUVDUVPSUVLUVQUVAUVRVTUVCUVPAUVMJYAUVMIUVBUVNXSYA
      UVMUUTGWAURUTVEWBWCWDWGWEWFWHUUOUURACJYAYHIYCUUQXSYAYHYBGWAURWIWJYMUUPCYB
      LUUKYLUUOAJUUKYKYCXSYHYBYAGUQURZRWKWLWMYGYOUUDUULTZCLQUUNYGYNUVTCLYGUUJTZ
      YNUUCUUKWNZYMSUVTUWAYJUWBYMUUJYGYJUWBWOUUJYGTYHYBWSOZYJUWBYHYBWPUUJYHWTEY
      BWTEUWCUWBWOYGYHWQYBWQZYHYBWRXAXBXCUHUUCYMUUKXDXEXFUUDUULCLXGXEWLXHVEYGYB
      UWDXIYNYPYQSCYBLUUKYJYPYMYQYHYBYINUPUUKYMYDUMZAJQYQUUKYLUWEAJUUKYLUUOUWEU
      VSXSYCXJXERYDAJXKXEUSUTXLXMXTYDBLKAJKYFABXSXNYDABJLXOXPXQXR $.
  $}

  $( The square root of 2 exists and is a real number.  (Contributed by NM,
     3-Dec-2004.) $)
  sqrt2re $p |- ( sqrt ` 2 ) e. RR $=
    ( c2 2re 2pos sqrtpclii ) ABCD $.

  $( The square root of 2 is an irrational number.  (Contributed by AV,
     23-Dec-2022.) $)
  sqrt2irr0 $p |- ( sqrt ` 2 ) e. ( RR \ QQ ) $=
    ( c2 csqrt cfv cq wnel cr cdif sqrt2irr sqrt2re a1i wn df-nel biimpi eldifd
    wcel ax-mp ) ABCZDEZQFDGOHRQFDQFORIJRQDOKQDLMNP $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Some Number sets are chains of proper subsets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The sequence ` NN ` , ` ZZ ` , ` QQ ` , ` RR ` , and ` CC ` forms a chain
     of proper subsets.  In each case the proper subset relationship is shown
     by demonstrating a number that belongs to one set but not the other.  We
     show that zero belongs to ` ZZ ` but not ` NN ` , one-half belongs to
     ` QQ ` but not ` ZZ ` , the square root of 2 belongs to ` RR ` but not
     ` QQ ` , and finally that the imaginary number ` _i ` belongs to ` CC `
     but not ` RR ` .  See ~ nthruz for a further refinement.  (Contributed by
     NM, 12-Jan-2002.) $)
  nthruc $p |- ( ( NN C. ZZ /\ ZZ C. QQ ) /\ ( QQ C. RR /\ RR C. CC ) ) $=
    ( cn cz wpss cq wa cr cc wss cc0 wcel wn nnssz 0z pm3.2i ssnelpss mp2 c1 c2
    0nnn ci cdiv co zssq 2nn znq mp2an halfnz csqrt qssre sqrt2re sqrt2irr neli
    1z cfv ax-resscn ax-icn inelr ) ABCZBDCZEDFCZFGCZEURUSABHIBJZIAJKZEURLVBVCM
    SNABIOPBDHQRUAUBZDJZVDBJKZEUSUCVEVFQBJRAJVEUMUDQRUEUFUGNBDVDOPNUTVADFHRUHUN
    ZFJZVGDJKZEUTUIVHVIUJVGDUKULNDFVGOPFGHTGJZTFJKZEVAUOVJVKUPUQNFGTOPNN $.

  $( The sequence ` NN ` , ` NN0 ` , and ` ZZ ` forms a chain of proper
     subsets.  In each case the proper subset relationship is shown by
     demonstrating a number that belongs to one set but not the other.  We show
     that zero belongs to ` NN0 ` but not ` NN ` and minus one belongs to
     ` ZZ ` but not ` NN0 ` .  This theorem refines the chain of proper subsets
     ~ nthruc .  (Contributed by NM, 9-May-2004.) $)
  nthruz $p |- ( NN C. NN0 /\ NN0 C. ZZ ) $=
    ( cn cn0 wpss cz wss cc0 wcel wn nnssnn0 0nn0 0nnn pm3.2i ssnelpss mp2 cneg
    wa c1 nn0ssz neg1z clt wbr neg1lt0 nn0nlt0 mt2 ) ABCZBDCZABEFBGZFAGHZPUEIUG
    UHJKLABFMNBDEQOZDGZUIBGZHZPUFRUJULSUKUIFTUAUBUIUCUDLBDUIMNL $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The divides relation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c || $.

  $( Extend the definition of a class to include the divides relation.  See
     ~ df-dvds . $)
  cdvds $a class || $.

  ${
    $d n x y $.
    $( Define the divides relation, see definition in [ApostolNT] p. 14.
       (Contributed by Paul Chapman, 21-Mar-2011.) $)
    df-dvds $a |- || = { <. x , y >. | ( ( x e. ZZ /\ y e. ZZ ) /\
                                            E. n e. ZZ ( n x. x ) = y ) } $.
  $}

  ${
    $d M n x y $.  $d N n x y $.
    $( Define the divides relation. ` M || N ` means ` M ` divides into ` N `
       with no remainder.  For example, ` 3 || 6 ` ( ~ ex-dvds ).  As proven in
       ~ dvdsval3 , ` M || N <-> ( N mod M ) = 0 ` .  See ~ divides and
       ~ dvdsval2 for other equivalent expressions.  (Contributed by Paul
       Chapman, 21-Mar-2011.) $)
    divides $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
                    ( M || N <-> E. n e. ZZ ( n x. M ) = N ) ) $=
      ( vx vy cdvds wbr cop cv cz wcel wa cmul co wceq wrex copab df-br df-dvds
      rexbidv eleq2i bitri oveq2 eqeq1d eqeq2 opelopab2 syl5bb ) BCFGZBCHZDIZJK
      EIZJKLAIZUJMNZUKOZAJPZLDEQZKZBJKCJKLULBMNZCOZAJPZUHUIFKUQBCFRFUPUIDEASUAU
      BUOURUKOZAJPUTDEBCJJUJBOZUNVAAJVBUMURUKUJBULMUCUDTUKCOVAUSAJUKCURUETUFUG
      $.
  $}

  ${
    $d k M $.  $d k N $.
    $( One nonzero integer divides another integer if and only if their
       quotient is an integer.  (Contributed by Jeff Hankins, 29-Sep-2013.) $)
    dvdsval2 $p |- ( ( M e. ZZ /\ M =/= 0 /\ N e. ZZ ) ->
      ( M || N <-> ( N / M ) e. ZZ ) ) $=
      ( vk cz wcel cc0 wne w3a cdvds wbr cv cmul co wceq wrex cdiv wa cc adantr
      zcn divides 3adant2 3ad2ant3 adantl 3ad2ant1 simpl2 divmul3d eqcom bitrdi
      biimprd impr simprl eqeltrd rexlimdvaa simpr simp2 divcan1d eqeq1d rspcev
      wb oveq1 syl2anc ex impbid bitrd ) ADEZAFGZBDEZHZABIJZCKZALMZBNZCDOZBAPMZ
      DEZVFVHVJVNUTVGCABUAUBVIVNVPVIVMVPCDVIVKDEZVMQQVOVKDVIVQVMVOVKNZVIVQQZVRV
      MVSVRBVLNVMVSBVKAVIBREZVQVHVFVTVGBTUCZSVQVKREVIVKTUDVIAREZVQVFVGWBVHATUEZ
      SVFVGVHVQUFUGBVLUHUIUJUKVIVQVMULUMUNVIVPVNVIVPQVPVOALMZBNZVNVIVPUOVIWEVPV
      IBAWAWCVFVGVHUPUQSVMWECVODVKVONVLWDBVKVOALVAURUSVBVCVDVE $.
  $}

  $( One nonzero integer divides another integer if and only if the remainder
     upon division is zero, see remark in [ApostolNT] p. 106.  (Contributed by
     Mario Carneiro, 22-Feb-2014.)  (Revised by Mario Carneiro,
     15-Jul-2014.) $)
  dvdsval3 $p |- ( ( M e. NN /\ N e. ZZ ) ->
                   ( M || N <-> ( N mod M ) = 0 ) ) $=
    ( cn wcel cz wa cdvds wbr cdiv co cmo cc0 wceq wne nnz nnne0 dvdsval2 3expa
    wb jca sylan cr crp zre nnrp mod0 syl2anr bitr4d ) ACDZBEDZFABGHZBAIJEDZBAK
    JLMZUIAEDZALNZFUJUKULSZUIUNUOAOAPTUNUOUJUPABQRUAUJBUBDAUCDUMULSUIBUDAUEBAUF
    UGUH $.

  ${
    $d x y z $.
    $( Reverse closure for the divisibility relation.  (Contributed by Stefan
       O'Rear, 5-Sep-2015.) $)
    dvdszrcl $p |- ( X || Y -> ( X e. ZZ /\ Y e. ZZ ) ) $=
      ( vx vy vz cz cdvds cv wcel wa cmul co wceq wrex df-dvds opabssxp eqsstri
      copab cxp brel ) ABFFGGCHZFIDHZFIJEHUAKLUBMEFNZJCDRFFSCDEOUCCDFFPQT $.
  $}

  $( If a positive integer divides another integer, then the remainder upon
     division is zero.  (Contributed by AV, 3-Mar-2022.) $)
  dvdsmod0 $p |- ( ( M e. NN /\ M || N ) -> ( N mod M ) = 0 ) $=
    ( cz wcel wa cn cdvds wbr cmo co cc0 dvdszrcl adantl dvdsval3 biimpd expcom
    wceq wi impd mpcom ) ACDZBCDZEZAFDZABGHZEZBAIJKQZUEUCUDABLMUBUFUGRUAUBUDUEU
    GUDUBUEUGRUDUBEUEUGABNOPSMT $.

  $( If a number greater than 1 divides another number, the second number
     increased by 1 is 1 modulo the first number.  (Contributed by AV,
     19-Mar-2022.) $)
  p1modz1 $p |- ( ( M || A /\ 1 < M ) -> ( ( A + 1 ) mod M ) = 1 ) $=
    ( wbr c1 clt caddc co cmo wceq cz wcel wa wi cc0 cr w3a 1red zre adantr ex
    cdvds dvdszrcl cn 0red 3jca 0lt1 a1i lttr sylc elnnz simplbi2 syld dvdsmod0
    anim1i imp sylan oveq1 0p1e1 eqtrdi oveq1d adantl crp modaddmod syl 3eqtr3d
    nnrpd 1mod com23 mpcom ) BAUACZDBECZADFGBHGZDIZBJKZAJKZLZVJVKVMMBAUBVPVKVJV
    MVPVKVJVMMVPVKLZVJABHGZNIZVMVQVJVSVQBUCKZVJVSVPVKVTVNVKVTMVOVNVKNBECZVTVNVK
    WAVNVKLZNOKZDOKZBOKZPNDECZVKLWAWBWCWDWEWBUDWBQVNWEVKBRZSUEVNWFVKWFVNUFUGUNN
    DBUHUITVTVNWABUJUKULSUOZBAUMUPTVQVSVMVQVSLZVRDFGZBHGZDBHGZVLDVSWKWLIVQVSWJD
    BHVSWJNDFGDVRNDFUQURUSUTVAWIAOKZWDBVBKZPZWKVLIVQWOVSVQWMWDWNVPWMVKVOWMVNARV
    ASVQQVQBWHVFUESADBVCVDVQWLDIZVSVPWEVKWPVNWEVOWGSBVGUPSVETULTVHVIUO $.

  $( If a positive integer divides another integer, this other integer is equal
     to its positive powers modulo the positive integer.  (Formerly part of the
     proof for ~ fermltl ).  (Contributed by Mario Carneiro, 28-Feb-2014.)
     (Revised by AV, 19-Mar-2022.) $)
  dvdsmodexp $p |- ( ( N e. NN /\ B e. NN /\ N || A )
                     -> ( ( A ^ B ) mod N ) = ( A mod N ) ) $=
    ( cdvds wbr cn wcel cexp co cmo wceq cz wa dvdszrcl w3a cc0 dvdsmod0 adantr
    wi ex 3ad2antl2 simpl3 0expd oveq1d cn0 simpl1 nnnn0 3ad2ant3 nnrp 3ad2ant2
    crp 0zd simpr 0mod syl eqtr4d modexp syl221anc syld 3exp com24 adantl mpcom
    3eqtr4d 3imp31 ) CADEZBFGZCFGZABHICJIZACJIZKZCLGZALGZMVFVGVHVKSSZCANVMVFVNS
    VLVMVHVGVFVKVMVHVGVFVKSVMVHVGOZVFVJPKZVKVOVFVPVHVMVFVPVGCAQUATVOVPVKVOVPMZP
    BHIZCJIZPCJIZVIVJVQVRPCJVQBVMVHVGVPUBUCUDVQVMPLGBUEGZCUKGZVJVTKVIVSKVMVHVGV
    PUFVQULVOWAVPVGVMWAVHBUGUHRVOWBVPVHVMWBVGCUIUJRZVQVJPVTVOVPUMVQWBVTPKWCCUNU
    OUPZAPBCUQURWDVDTUSUTVAVBVCVE $.

  $( Strong form of ~ dvdsval2 for positive integers.  (Contributed by Stefan
     O'Rear, 13-Sep-2014.) $)
  nndivdvds $p |- ( ( A e. NN /\ B e. NN ) ->
    ( B || A <-> ( A / B ) e. NN ) ) $=
    ( cn wcel wa cdvds wbr cc0 cdiv co clt cz wne wb nnz adantr cr adantl nngt0
    nnre nnne0 dvdsval2 syl2an23an anbi1d divgt0d biantrud elnnz a1i 3bitr4d )
    ACDZBCDZEZBAFGZHABIJZKGZEUNLDZUOEZUMUNCDZULUMUPUOUKBLDBHMUJALDZUMUPNBOBUAUJ
    USUKAOPBAUBUCUDULUOUMULABUJAQDUKATPUKBQDUJBTRUJHAKGUKASPUKHBKGUJBSRUEUFURUQ
    NULUNUGUHUI $.

  ${
    $d M n $.  $d N n $.
    $( Definition of the divides relation for positive integers.  (Contributed
       by AV, 26-Jul-2021.) $)
    nndivides $p |- ( ( M e. NN /\ N e. NN )
                      -> ( M || N <-> E. n e. NN ( n x. M ) = N ) ) $=
      ( cn wcel wa cv cmul co wceq wrex cdiv cdvds wbr nndiv cc adantl ad2antrr
      nncn mulcomd eqeq1d rexbidva wb nndivdvds ancoms 3bitr4rd ) BDEZCDEZFZBAG
      ZHIZCJZADKCBLIDEZUJBHIZCJZADKBCMNZABCOUIUOULADUIUJDEZFZUNUKCURUJBUQUJPEUI
      UJSQUGBPEUHUQBSRTUAUBUHUGUPUMUCCBUDUEUF $.
  $}

  $( Two ways to say ` A == B ` (mod ` N ` ), see also definition in
     [ApostolNT] p. 106.  (Contributed by Mario Carneiro, 18-Feb-2014.) $)
  moddvds $p |- ( ( N e. NN /\ A e. ZZ /\ B e. ZZ ) ->
                  ( ( A mod N ) = ( B mod N ) <-> N || ( A - B ) ) ) $=
    ( wcel cz cmo co wceq wb wa cc0 caddc cr zre modadd1 3expia syl22anc oveq1d
    wi recnd cn cmin wbr crp nnrp adantr 0mod syl eqeq2d cneg ad2antrl ad2antll
    cdvds renegcld negsubd negidd eqeq12d sylibd resubcld npcand addid2d impbid
    0red zsubcl dvdsval3 sylan2 3bitr4d 3impb ) CUADZAEDZBEDZACFGZBCFGZHZCABUBG
    ZUMUCZIVIVJVKJZJZVOCFGZKCFGZHZVSKHZVNVPVRVTKVSVRCUDDZVTKHVIWCVQCUEUFZCUGUHU
    IVRVNWAVRVNABUJZLGZCFGZBWELGZCFGZHZWAVRAMDZBMDZWEMDZWCVNWJSVJWKVIVKANUKZVKW
    LVIVJBNULZVRBWOUNWDWKWLJWMWCJVNWJABWECOPQVRWGVSWIVTVRWFVOCFVRABVRAWNTZVRBWO
    TZUORVRWHKCFVRBWQUPRUQURVRWAVOBLGZCFGZKBLGZCFGZHZVNVRVOMDZKMDZWLWCWAXBSVRAB
    WNWOUSVRVCWOWDXCXDJWLWCJWAXBVOKBCOPQVRWSVLXAVMVRWRACFVRABWPWQUTRVRWTBCFVRBW
    QVARUQURVBVQVIVOEDVPWBIABVDCVOVEVFVGVH $.

  $( An integer greater than one divides another integer minus one iff the
     second integer modulo the first integer is one.  (Contributed by AV,
     30-May-2023.) $)
  modm1div $p |- ( ( N e. ( ZZ>= ` 2 ) /\ A e. ZZ )
                   -> ( ( A mod N ) = 1 <-> N || ( A - 1 ) ) ) $=
    ( c2 cuz cfv wcel cz wa cmo co c1 wceq cmin cdvds wbr clt eluzelre eluz2gt1
    cr adantr 1mod eqcomd syl2an2r eqeq2d cn eluz2nn simpr 1zzd moddvds syl3anc
    wb bitrd ) BCDEFZAGFZHZABIJZKLUPKBIJZLZBAKMJNOZUOKUQUPUMBSFZUNKBPOZKUQLCBQU
    MVAUNBRTUTVAHUQKBUAUBUCUDUOBUEFZUNKGFURUSUKUMVBUNBUFTUMUNUGUOUHAKBUIUJUL $.

  ${
    $d K x $.  $d M x $.  $d N x $.
    $( A lemma to assist theorems of ` || ` with no antecedents.  (Contributed
       by Paul Chapman, 21-Mar-2011.) $)
    dvds0lem $p |- ( ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) /\ ( K x. M ) = N ) ->
                     M || N ) $=
      ( vx cz wcel w3a cmul co wceq cdvds wbr wi wa cv wrex oveq1 eqeq1d rspcev
      adantl wb divides adantr mpbird expr 3impa 3comr imp ) AEFZBEFZCEFZGABHIZ
      CJZBCKLZUJUKUIUMUNMZUJUKUIUOUJUKNZUIUMUNUPUIUMNZNUNDOZBHIZCJZDEPZUQVAUPUT
      UMDAEURAJUSULCURABHQRSTUPUNVAUAUQDBCUBUCUDUEUFUGUH $.
  $}

  ${
    $d J x $.  $d K x $.  $d M x z $.  $d N x z $.  $d Z z $.  $d ph x $.
    dvds1lem.1 $e |- ( ph -> ( J e. ZZ /\ K e. ZZ ) ) $.
    dvds1lem.2 $e |- ( ph -> ( M e. ZZ /\ N e. ZZ ) ) $.
    dvds1lem.3 $e |- ( ( ph /\ x e. ZZ ) -> Z e. ZZ ) $.
    dvds1lem.4 $e |- ( ( ph /\ x e. ZZ ) ->
                       ( ( x x. J ) = K -> ( Z x. M ) = N ) ) $.
    $( A lemma to assist theorems of ` || ` with one antecedent.  (Contributed
       by Paul Chapman, 21-Mar-2011.) $)
    dvds1lem $p |- ( ph -> ( J || K -> M || N ) ) $=
      ( vz cv cmul co wceq cz wrex wcel wa cdvds wbr oveq1 eqeq1d rspcev syl6an
      rexlimdva wb divides syl 3imtr4d ) ABMZCNODPZBQRZLMZENOZFPZLQRZCDUAUBZEFU
      AUBZAUMURBQAULQSTGQSUMGENOZFPZURJKUQVBLGQUOGPUPVAFUOGENUCUDUEUFUGACQSDQST
      USUNUHHBCDUIUJAEQSFQSTUTURUHILEFUIUJUK $.
  $}

  ${
    $d I x y $.  $d J x y $.  $d K x y $.  $d L x y $.  $d M x y z $.
    $d N x y z $.  $d Z z $.  $d ph x y $.
    dvds2lem.1 $e |- ( ph -> ( I e. ZZ /\ J e. ZZ ) ) $.
    dvds2lem.2 $e |- ( ph -> ( K e. ZZ /\ L e. ZZ ) ) $.
    dvds2lem.3 $e |- ( ph -> ( M e. ZZ /\ N e. ZZ ) ) $.
    dvds2lem.4 $e |- ( ( ph /\ ( x e. ZZ /\ y e. ZZ ) ) -> Z e. ZZ ) $.
    dvds2lem.5 $e |- ( ( ph /\ ( x e. ZZ /\ y e. ZZ ) ) ->
               ( ( ( x x. I ) = J /\ ( y x. K ) = L ) -> ( Z x. M ) = N ) ) $.
    $( A lemma to assist theorems of ` || ` with two antecedents.  (Contributed
       by Paul Chapman, 21-Mar-2011.) $)
    dvds2lem $p |- ( ph -> ( ( I || J /\ K || L ) -> M || N ) ) $=
      ( wa cmul wceq cz wcel vz cdvds wbr cv co wrex wb divides bi2anan9 biimpd
      syl2anc reeanv syl6ibr oveq1 eqeq1d rspcev syl6an rexlimdvva syld sylibrd
      syl ) ADEUBUCZFGUBUCZPZUAUDZHQUEZIRZUASUFZHIUBUCZAVDBUDZDQUEERZCUDZFQUEGR
      ZPZCSUFBSUFZVHAVDVKBSUFZVMCSUFZPZVOAVDVRADSTESTPZFSTGSTPZVDVRUGKLVSVBVPVT
      VCVQBDEUHCFGUHUIUKUJVKVMBCSSULUMAVNVHBCSSAVJSTVLSTPPJSTVNJHQUEZIRZVHNOVGW
      BUAJSVEJRVFWAIVEJHQUNUOUPUQURUSAHSTISTPVIVHUGMUAHIUHVAUT $.
  $}

  $( An integer divides itself.  Theorem 1.1(a) in [ApostolNT] p. 14 (reflexive
     property of the divides relation).  (Contributed by Paul Chapman,
     21-Mar-2011.) $)
  iddvds $p |- ( N e. ZZ -> N || N ) $=
    ( cz wcel c1 cmul co wceq cdvds wbr zcn mulid2d 1z dvds0lem mp3anl1 anabsan
    mpdan ) ABCZDAEFAGZAAHIZQAAJKQRSDBCQQRSLDAAMNOP $.

  $( 1 divides any integer.  Theorem 1.1(f) in [ApostolNT] p. 14.  (Contributed
     by Paul Chapman, 21-Mar-2011.) $)
  1dvds $p |- ( N e. ZZ -> 1 || N ) $=
    ( cz wcel c1 cmul co wceq cdvds wbr zcn mulid1d 1z dvds0lem mp3anl2 anabsan
    mpdan ) ABCZADEFAGZDAHIZQAAJKQRSQDBCQRSLADAMNOP $.

  $( Any integer divides 0.  Theorem 1.1(g) in [ApostolNT] p. 14.  (Contributed
     by Paul Chapman, 21-Mar-2011.) $)
  dvds0 $p |- ( N e. ZZ -> N || 0 ) $=
    ( cz wcel cc0 cmul co wceq cdvds wbr zcn mul02d wi w3a dvds0lem mp3an13 mpd
    0z ex ) ABCZDAEFDGZADHIZSAAJKDBCZSUBTUALQQUBSUBMTUADADNROP $.

  ${
    $d M x $.  $d N x $.
    $( An integer divides another iff its negation does.  (Contributed by Paul
       Chapman, 21-Mar-2011.) $)
    negdvdsb $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M || N <-> -u M || N ) ) $=
      ( vx cz wcel wa cdvds wbr cneg znegcl cmul co wceq cc zcn syl2anr adantlr
      eqeq1d biimprd dvds1lem cv id anim1i adantl mul2neg mulneg12 impbid ) ADE
      ZBDEZFZABGHAIZBGHUJCABUKBCUAZIZUJUBZUHUKDEUIAJUCZULDEZUMDEUJULJUDZUJUPFZU
      MUKKLZBMULAKLZBMURUSUTBUHUPUSUTMZUIUPULNEZANEZVAUHULOZAOZULAUEPQRSTUJCUKB
      ABUMUOUNUQURUMAKLZBMULUKKLZBMURVFVGBUHUPVFVGMZUIUPVBVCVHUHVDVEULAUFPQRSTU
      G $.

    $( An integer divides another iff it divides its negation.  (Contributed by
       Paul Chapman, 21-Mar-2011.) $)
    dvdsnegb $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M || N <-> M || -u N ) ) $=
      ( vx cz wcel wa cdvds cneg cv id znegcl cmul co wceq wi cc negeq dvds1lem
      wbr zcn anim2i adantl mulneg1 eqeq2d syl5ibcom syl2anr sylan9eqr sylan9eq
      adantlr negneg expr 3impa syl3an 3coml 3expa impbid ) ADEZBDEZFZABGSABHZG
      SUSCABAUTCIZHZUSJZURUTDEUQBKUAZVADEZVBDEUSVAKUBZUQVEVAALMZBNZVBALMZUTNZOZ
      URVEVAPEZAPEZVKUQVATZATZVLVMFZVIVGHZNVHVJVAAUCZVHVQUTVIVGBQUDUEUFUIRUSCAU
      TABVBVDVCVFUQURVEVGUTNZVIBNZOZVEUQURWAVEVLUQVMURBPEZWAVNVOBTVLVMWBWAVPWBV
      SVTVPWBVSFVIVQBVRVSWBVQUTHBVGUTQBUJUGUHUKULUMUNUORUP $.
  $}

  $( An integer divides another iff its absolute value does.  (Contributed by
     Paul Chapman, 21-Mar-2011.) $)
  absdvdsb $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
                   ( M || N <-> ( abs ` M ) || N ) ) $=
    ( cz wcel wa cabs cfv wceq cdvds wbr wb cneg breq1 bicomd negdvdsb sylan9bb
    wi a1i ex wo zre absord adantr mpjaod ) ACDZBCDZEZAFGZAHZABIJZUHBIJZKZUHALZ
    HZUIULQUGUIUKUJUHABIMNRUGUNULUGUJUMBIJZUNUKABOUNUKUOUHUMBIMNPSUEUIUNTUFUEAA
    UAUBUCUD $.

  $( An integer divides another iff it divides its absolute value.
     (Contributed by Paul Chapman, 21-Mar-2011.) $)
  dvdsabsb $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
                   ( M || N <-> M || ( abs ` N ) ) ) $=
    ( cz wcel wa cabs cfv wceq cdvds wbr wb cneg breq2 bicomd dvdsnegb sylan9bb
    wi a1i ex wo zre absord adantl mpjaod ) ACDZBCDZEZBFGZBHZABIJZAUHIJZKZUHBLZ
    HZUIULQUGUIUKUJUHBAIMNRUGUNULUGUJAUMIJZUNUKABOUNUKUOUHUMAIMNPSUFUIUNTUEUFBB
    UAUBUCUD $.

  ${
    $d N n $.
    $( Only 0 is divisible by 0.  Theorem 1.1(h) in [ApostolNT] p. 14.
       (Contributed by Paul Chapman, 21-Mar-2011.) $)
    0dvds $p |- ( N e. ZZ -> ( 0 || N <-> N = 0 ) ) $=
      ( vn cz wcel cc0 cdvds wbr wceq cv cmul co wrex wb 0z divides mpan mul01d
      zcn eqtr2 sylan2 ancoms rexlimiva syl6bi dvds0 ax-mp breq2 mpbiri impbid1
      ) ACDZEAFGZAEHZUIUJBIZEJKZAHZBCLZUKECDZUIUJUOMNBEAOPUNUKBCUNULCDZUKUQUNUM
      EHUKUQULULRQUMAESTUAUBUCUKUJEEFGZUPURNEUDUEAEEFUFUGUH $.
  $}

  $( An integer divides a multiple of itself.  (Contributed by Paul Chapman,
     21-Mar-2011.) $)
  dvdsmul1 $p |- ( ( M e. ZZ /\ N e. ZZ ) -> M || ( M x. N ) ) $=
    ( cz wcel wa cmul co cdvds wbr cc zcn mulcom syl2anr wi zmulcl w3a dvds0lem
    wceq ex 3com12 mpd3an3 mpd ) ACDZBCDZEBAFGABFGZRZAUEHIZUDBJDAJDUFUCBKAKBALM
    UCUDUECDZUFUGNZABOUDUCUHUIUDUCUHPUFUGBAUEQSTUAUB $.

  $( An integer divides a multiple of itself.  (Contributed by Paul Chapman,
     21-Mar-2011.) $)
  dvdsmul2 $p |- ( ( M e. ZZ /\ N e. ZZ ) -> N || ( M x. N ) ) $=
    ( cz wcel cmul co cdvds wbr zmulcl w3a wceq eqid dvds0lem mpan2 mpd3an3 ) A
    CDZBCDZABEFZCDZBRGHZABIPQSJRRKTRLABRMNO $.

  $( An integer divides a positive integer power of itself.  (Contributed by
     Paul Chapman, 26-Oct-2012.) $)
  iddvdsexp $p |- ( ( M e. ZZ /\ N e. NN ) -> M || ( M ^ N ) ) $=
    ( cz wcel cn wa c1 cmin cexp cmul cdvds wbr cn0 nnm1nn0 zexpcl sylan2 simpl
    co dvdsmul2 syl2anc cc wceq zcn expm1t sylan breqtrrd ) ACDZBEDZFZAABGHRZIR
    ZAJRZABIRZKUIUKCDZUGAULKLUHUGUJMDUNBNAUJOPUGUHQUKASTUGAUADUHUMULUBAUCABUDUE
    UF $.

  ${
    $d K x $.  $d M x $.  $d N x $.
    $( If a product divides an integer, so does one of its factors.
       (Contributed by Paul Chapman, 21-Mar-2011.) $)
    muldvds1 $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) ->
                     ( ( K x. M ) || N -> K || N ) ) $=
      ( vx cz wcel w3a cmul co cv wa zmulcl anim1i 3simpb ancoms 3ad2antl2 wceq
      3impa cc zcn mulass mul32 eqtr3d syl3an 3adantl3 eqeq1d biimpd dvds1lem
      3coml 3expa ) AEFZBEFZCEFZGZDABHIZCACDJZBHIZUKULUMUOEFZUMKUKULKURUMABLMRU
      KULUMNULUKUPEFZUQEFZUMUSULUTUPBLOPUNUSKZUPUOHIZCQUQAHIZCQVAVBVCCUKULUSVBV
      CQZUMUKULUSVDUSUKULVDUSUPSFZUKASFZULBSFZVDUPTATBTVEVFVGGUPAHIBHIVBVCUPABU
      AUPABUBUCUDUIUJUEUFUGUH $.

    $( If a product divides an integer, so does one of its factors.
       (Contributed by Paul Chapman, 21-Mar-2011.) $)
    muldvds2 $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) ->
                     ( ( K x. M ) || N -> M || N ) ) $=
      ( vx cz wcel w3a cmul co cv wa zmulcl anim1i 3simpc ancoms 3ad2antl1 wceq
      3impa cc zcn mulass syl3an 3coml 3expa 3adantl3 eqeq1d biimprd dvds1lem )
      AEFZBEFZCEFZGZDABHIZCBCDJZAHIZUIUJUKUMEFZUKKUIUJKUPUKABLMRUIUJUKNUIUJUNEF
      ZUOEFZUKUQUIURUNALOPULUQKZUOBHIZCQUNUMHIZCQUSUTVACUIUJUQUTVAQZUKUIUJUQVBU
      QUIUJVBUQUNSFUIASFUJBSFVBUNTATBTUNABUAUBUCUDUEUFUGUH $.

    $( Multiplication by a constant maintains the divides relation.  Theorem
       1.1(d) in [ApostolNT] p. 14 (multiplication property of the divides
       relation).  (Contributed by Paul Chapman, 21-Mar-2011.) $)
    dvdscmul $p |- ( ( M e. ZZ /\ N e. ZZ /\ K e. ZZ ) ->
                     ( M || N -> ( K x. M ) || ( K x. N ) ) ) $=
      ( vx cz wcel cdvds wbr cmul co wi w3a cv 3simpc zmulcl 3adant3 wceq 3coml
      cc zcn 3adant2 jca simpr wa mul12 syl3an 3expa 3adantl3 oveq2 sylan9eq ex
      dvds1lem ) AEFZBEFZCEFZBCGHABIJZACIJZGHKUMUNUOLZDBCUPUQDMZUMUNUONURUPEFZU
      QEFZUMUNUTUOABOPUMUOVAUNACOUAUBURUSEFZUCURVBUDZUSBIJZCQZUSUPIJZUQQVCVEVFA
      VDIJZUQUMUNVBVFVGQZUOUMUNVBVHVBUMUNVHVBUSSFUMASFUNBSFVHUSTATBTUSABUEUFRUG
      UHVDCAIUIUJUKULR $.

    $( Multiplication by a constant maintains the divides relation.
       (Contributed by Paul Chapman, 21-Mar-2011.) $)
    dvdsmulc $p |- ( ( M e. ZZ /\ N e. ZZ /\ K e. ZZ ) ->
                     ( M || N -> ( M x. K ) || ( N x. K ) ) ) $=
      ( vx cz wcel cdvds wbr cmul co wi w3a cv 3simpc wa zmulcl 3adant2 wceq cc
      zcn 3adant1 jca 3comr simpr mulass syl3an 3com13 3expa 3adantl3 sylan9req
      oveq1 ex dvds1lem 3coml ) AEFZBEFZCEFZBCGHBAIJZCAIJZGHKUOUPUQLZDBCURUSDMZ
      UOUPUQNUPUQUOUREFZUSEFZOUPUQUOLVBVCUPUOVBUQBAPQUQUOVCUPCAPUAUBUCUTVAEFZUD
      UTVDOZVABIJZCRZVAURIJZUSRVEVGVHVFAIJZUSUOUPVDVIVHRZUQUOUPVDVJVDUPUOVJVDVA
      SFUPBSFUOASFVJVATBTATVABAUEUFUGUHUIVFCAIUKUJULUMUN $.

    $( Cancellation law for the divides relation.  Theorem 1.1(e) in
       [ApostolNT] p. 14.  (Contributed by Paul Chapman, 21-Mar-2011.) $)
    dvdscmulr $p |- ( ( M e. ZZ /\ N e. ZZ /\ ( K e. ZZ /\ K =/= 0 ) ) ->
                      ( ( K x. M ) || ( K x. N ) <-> M || N ) ) $=
      ( vx cz wcel wa w3a cmul co cdvds wbr zmulcl 3adant2 3coml 3adant3r wb cc
      wceq zcn cc0 wne cv 3adant3 3simpa simpr wi anim12i anim1i mul12 3adant1r
      3expb ancoms eqeq1d mulcl mulcan syl3an1 bitr3d syl3an 3impa 3expia 3impb
      jca imp biimpd dvds1lem dvdscmul impbid ) BEFZCEFZAEFZAUAUBZGZHZABIJZACIJ
      ZKLZBCKLZVNDVOVPBCDUCZVIVJVKVOEFZVPEFZGZVLVKVIVJWBVKVIVJHVTWAVKVIVTVJABMU
      DVKVJWAVIACMNVCOPVIVJVMUEVNVSEFZUFVNWCGVSVOIJZVPSZVSBIJZCSZVNWCWEWGQZVIVJ
      VMWCWHUGVIVJVMGZWCWHWCVIWIWHWCVIWIWHWCVIGZVJVMWHWJVSRFZBRFZGZVJCRFZVMARFZ
      VLGZWHWCWKVIWLVSTBTUHCTVKWOVLATUIWMWNWPHZAWFIJZVPSZWEWGWQWRWDVPWMWPWRWDSZ
      WNWPWMWTWPWKWLWTWOWKWLWTVLAVSBUJUKULUMNUNWMWFRFWNWPWSWGQVSBUOWFCAUPUQURUS
      ULUTOVAVBVDVEVFVIVJVKVRVQUGVLABCVGPVH $.

    $( Cancellation law for the divides relation.  (Contributed by Paul
       Chapman, 21-Mar-2011.) $)
    dvdsmulcr $p |- ( ( M e. ZZ /\ N e. ZZ /\ ( K e. ZZ /\ K =/= 0 ) ) ->
                      ( ( M x. K ) || ( N x. K ) <-> M || N ) ) $=
      ( vx cz wcel wa w3a cmul co cdvds wbr zmulcl 3adant2 3adant3r wceq wb zcn
      wi cc cc0 wne cv 3adant1 3simpa simpr anim12i anim1i mulass 3expa adantrr
      eqeq1d mulcl mulcan2 syl3an1 bitr3d syl3an 3expb 3impa 3coml 3expia 3impb
      jca imp biimpd dvds1lem dvdsmulc impbid ) BEFZCEFZAEFZAUAUBZGZHZBAIJZCAIJ
      ZKLZBCKLZVNDVOVPBCDUCZVIVJVKVOEFZVPEFZGVLVIVJVKHVTWAVIVKVTVJBAMNVJVKWAVIC
      AMUDVCOVIVJVMUEVNVSEFZUFVNWBGVSVOIJZVPPZVSBIJZCPZVNWBWDWFQZVIVJVMWBWGSVIV
      JVMGZWBWGWBVIWHWGWBVIWHWGWBVIGZVJVMWGWIVSTFZBTFZGZVJCTFZVMATFZVLGZWGWBWJV
      IWKVSRBRUGCRVKWNVLARUHWLWMWOHZWEAIJZVPPZWDWFWPWQWCVPWLWOWQWCPZWMWLWNWSVLW
      JWKWNWSVSBAUIUJUKNULWLWETFWMWOWRWFQVSBUMWECAUNUOUPUQURUSUTVAVBVDVEVFVIVJV
      KVRVQSVLABCVGOVH $.
  $}

  $( The sum of two integers modulo a positive integer equals zero iff the
     first of the two integers equals the negative of the other integer modulo
     the positive integer.  (Contributed by AV, 25-Jul-2021.) $)
  summodnegmod $p |- ( ( A e. ZZ /\ B e. ZZ /\ N e. NN )
           -> ( ( ( A + B ) mod N ) = 0 <-> ( A mod N ) = ( -u B mod N ) ) ) $=
    ( cz wcel cn w3a cmo co cneg wceq cmin cdvds wbr caddc cc0 wb zcn 3adant3
    cc simp3 simp1 znegcl 3ad2ant2 moddvds syl3anc wa anim12i subneg eqcomd syl
    breq2d zaddcl dvdsval3 syl2anc 3bitr2rd ) ADEZBDEZCFEZGZACHIBJZCHIKZCAVALIZ
    MNZCABOIZMNZVECHIPKZUTUSUQVADEZVBVDQUQURUSUAZUQURUSUBURUQVHUSBUCUDAVACUEUFU
    TVEVCCMUTATEZBTEZUGZVEVCKUQURVLUSUQVJURVKARBRUHSVLVCVEABUIUJUKULUTUSVEDEZVF
    VGQVIUQURVMUSABUMSCVEUNUOUP $.

  $( Constant multiplication in a modulo operation, see theorem 5.3 in
     [ApostolNT] p. 108.  (Contributed by AV, 21-Jul-2021.) $)
  modmulconst $p |- ( ( ( A e. ZZ /\ B e. ZZ /\ C e. NN ) /\ M e. NN )
                      -> ( ( A mod M ) = ( B mod M )
                           <-> ( ( C x. A ) mod ( C x. M ) )
                               = ( ( C x. B ) mod ( C x. M ) ) ) ) $=
    ( cz wcel cn w3a wa cmin co cdvds wbr cmul cmo wceq wb adantr syl3anc cc
    cc0 wne nnz adantl zsubcl 3adant3 nnne0 3ad2ant3 dvdscmulr bicomd 3anim123i
    jca zcn nncn 3anrot sylibr subdi syl breq2d bitrd simpr simp1 simp2 moddvds
    simpl3 nnmulcld zmulcld 3bitr4d ) AEFZBEFZCGFZHZDGFZIZDABJKZLMZCDNKZCANKZCB
    NKZJKZLMZADOKBDOKPZVRVQOKVSVQOKPZVNVPVQCVONKZLMZWAVNDEFZVOEFZCEFZCUAUBZIZVP
    WEQVMWFVLDUCUDVLWGVMVIVJWGVKABUEUFRVLWJVMVKVIWJVJVKWHWICUCZCUGULUHRWFWGWJHW
    EVPCDVOUIUJSVNWDVTVQLVLWDVTPZVMVLCTFZATFZBTFZHZWLVLWNWOWMHWPVIWNVJWOVKWMAUM
    BUMCUNUKWMWNWOUOUPCABUQURRUSUTVNVMVIVJWBVPQVLVMVAZVLVIVMVIVJVKVBZRVLVJVMVIV
    JVKVCZRABDVDSVNVQGFVREFZVSEFZWCWAQVNCDVIVJVKVMVEWQVFVLWTVMVLCAVKVIWHVJWKUHZ
    WRVGRVLXAVMVLCBXBWSVGRVRVSVQVDSVH $.

  ${
    $d I x y $.  $d J x y $.  $d K x y $.  $d M x y $.  $d N x y $.
    $( If an integer divides each of two other integers, it divides any linear
       combination of them.  Theorem 1.1(c) in [ApostolNT] p. 14 (linearity
       property of the divides relation).  (Contributed by Paul Chapman,
       21-Mar-2011.) $)
    dvds2ln $p |- ( ( ( I e. ZZ /\ J e. ZZ ) /\
                      ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) ) ->
        ( ( K || M /\ K || N ) -> K || ( ( I x. M ) + ( J x. N ) ) ) ) $=
      ( vx vy cz wcel wa cmul co caddc cv jca adantr wceq cc zcn adantl zmulcld
      w3a simpr1 simpr2 simpr3 simpll simplr zaddcld zmulcl anim12i an4s expcom
      imp zaddcl syl zcnd adddir 3expa syl2anc ad3antrrr mul32d oveq12d mulcomd
      wi mulcld 3eqtrd oveq2 oveqan12d sylan9eq ex dvds2lem ) AHIZBHIZJZCHIZDHI
      ZEHIZUBZJZFGCDCECADKLZBEKLZMLZFNZAKLZGNZBKLZMLZVSVOVPVNVOVPVQUCZVNVOVPVQU
      DZOVSVOVQWHVNVOVPVQUEZOVSVOWBHIWHVSVTWAVSADVLVMVRUFWIUAVSBEVLVMVRUGZWJUAU
      HOVSWCHIZWEHIZJZJZWDHIZWFHIZJZWGHIVSWNWRVNWNWRVDVRWNVNWRWLVLWMVMWRWLVLJWP
      WMVMJWQWCAUIWEBUIUJUKULPUMZWDWFUNUOWOWCCKLZDQZWECKLZEQZJZWGCKLZWBQWOXDXEA
      WTKLZBXBKLZMLZWBWOXEWDCKLZWFCKLZMLZWTAKLZXBBKLZMLXHWOWDRIZWFRIZJZCRIZXEXK
      QZWOWRXPWSWPXNWQXOWDSWFSUJUOVSXQWNVSCWHUPPZXNXOXQXRWDWFCUQURUSWOXIXLXJXMM
      WOWCACWNWCRIZVSWLXTWMWCSPTZVLARIVMVRWNASUTZXSVAWOWEBCWNWERIZVSWMYCWLWESTT
      ZVSBRIWNVSBWKUPPZXSVAVBWOXLXFXMXGMWOWTAWOWCCYAXSVEYBVCWOXBBWOWECYDXSVEYEV
      CVBVFXAXCXFVTXGWAMWTDAKVGXBEBKVGVHVIVJVK $.
  $}

  ${
    $d K x y $.  $d M x y $.  $d N x y $.
    $( If an integer divides each of two other integers, it divides their sum.
       (Contributed by Paul Chapman, 21-Mar-2011.) $)
    dvds2add $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) ->
                     ( ( K || M /\ K || N ) -> K || ( M + N ) ) ) $=
      ( vx vy cz wcel w3a caddc co cv 3simpa 3simpb zaddcl anim2i cmul wceq zcn
      wa cc 3impb adantl wi adddir syl3an 3comr 3expb oveq12 sylan9eq 3ad2antl1
      ex dvds2lem ) AFGZBFGZCFGZHZDEABACABCIJZDKZEKZIJZUMUNUOLUMUNUOMUMUNUOUMUQ
      FGZSUNUOSVAUMBCNOUAURFGZUSFGZSZUTFGUPURUSNUBUMUNVDURAPJZBQUSAPJZCQSZUTAPJ
      ZUQQZUCUOUMVDSZVGVIVJVGVHVEVFIJZUQUMVBVCVHVKQZVBVCUMVLVBURTGVCUSTGUMATGVL
      URRUSRARURUSAUDUEUFUGVEBVFCIUHUIUKUJUL $.

    $( If an integer divides each of two other integers, it divides their
       difference.  (Contributed by Paul Chapman, 21-Mar-2011.) $)
    dvds2sub $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) ->
                     ( ( K || M /\ K || N ) -> K || ( M - N ) ) ) $=
      ( vx vy cz wcel w3a cmin co cv 3simpa 3simpb wa zsubcl anim2i cmul cc zcn
      wceq 3impb adantl wi subdir syl3an 3comr 3expb oveq12 sylan9eq 3ad2antl1
      ex dvds2lem ) AFGZBFGZCFGZHZDEABACABCIJZDKZEKZIJZUMUNUOLUMUNUOMUMUNUOUMUQ
      FGZNUNUONVAUMBCOPUAURFGZUSFGZNZUTFGUPURUSOUBUMUNVDURAQJZBTUSAQJZCTNZUTAQJ
      ZUQTZUCUOUMVDNZVGVIVJVGVHVEVFIJZUQUMVBVCVHVKTZVBVCUMVLVBURRGVCUSRGUMARGVL
      URSUSSASURUSAUDUEUFUGVEBVFCIUHUIUKUJUL $.
  $}

  ${
    dvds2addd.k $e |- ( ph -> K e. ZZ ) $.
    dvds2addd.m $e |- ( ph -> M e. ZZ ) $.
    dvds2addd.n $e |- ( ph -> N e. ZZ ) $.
    dvds2addd.1 $e |- ( ph -> K || M ) $.
    dvds2addd.2 $e |- ( ph -> K || N ) $.
    $( Deduction form of ~ dvds2add .  (Contributed by SN, 21-Aug-2024.) $)
    dvds2addd $p |- ( ph -> K || ( M + N ) ) $=
      ( cdvds wbr caddc co cz wcel wa wi dvds2add syl3anc mp2and ) ABCJKZBDJKZB
      CDLMJKZHIABNOCNODNOUAUBPUCQEFGBCDRST $.
  $}

  ${
    dvds2subd.k $e |- ( ph -> K e. ZZ ) $.
    dvds2subd.m $e |- ( ph -> M e. ZZ ) $.
    dvds2subd.n $e |- ( ph -> N e. ZZ ) $.
    dvds2subd.1 $e |- ( ph -> K || M ) $.
    dvds2subd.2 $e |- ( ph -> K || N ) $.
    $( Deduction form of ~ dvds2sub .  (Contributed by Stanislas Polu,
       9-Mar-2020.) $)
    dvds2subd $p |- ( ph -> K || ( M - N ) ) $=
      ( cdvds wbr cmin co cz wcel wa wi dvds2sub syl3anc mp2and ) ABCJKZBDJKZBC
      DLMJKZHIABNOCNODNOUAUBPUCQEFGBCDRST $.
  $}

  ${
    $d K x y $.  $d M x y $.  $d N x y $.
    $( The divides relation is transitive.  Theorem 1.1(b) in [ApostolNT] p. 14
       (transitive property of the divides relation).  (Contributed by Paul
       Chapman, 21-Mar-2011.) $)
    dvdstr $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) ->
                   ( ( K || M /\ M || N ) -> K || N ) ) $=
      ( vx vy cz wcel w3a cv cmul co 3simpa 3simpc 3simpb wa zmulcl adantl wceq
      cc zcn oveq2 adantr eqeq2 mpbid mulass mul12 eqtrd syl3an 3comr 3ad2antl1
      wb 3expb eqeq1d syl5ibr dvds2lem ) AFGZBFGZCFGZHZDEABBCACDIZEIZJKZUPUQURL
      UPUQURMUPUQURNUTFGZVAFGZOZVBFGUSUTVAPQUTAJKZBRZVABJKZCRZOZVBAJKZCRUSVEOZV
      AVFJKZCRZVJVMVHRZVNVGVOVIVFBVAJUAUBVIVOVNUKVGVHCVMUCQUDVLVKVMCUPUQVEVKVMR
      ZURUPVCVDVPVCVDUPVPVCUTSGZVDVASGZUPASGZVPUTTVATATVQVRVSHVKUTVAAJKJKVMUTVA
      AUEUTVAAUFUGUHUIULUJUMUNUO $.
  $}

  ${
    dvdstrd.1 $e |- ( ph -> K e. ZZ ) $.
    dvdstrd.2 $e |- ( ph -> M e. ZZ ) $.
    dvdstrd.3 $e |- ( ph -> N e. ZZ ) $.
    dvdstrd.4 $e |- ( ph -> K || M ) $.
    dvdstrd.5 $e |- ( ph -> M || N ) $.
    $( The divides relation is transitive, a deduction version of ~ dvdstr .
       (Contributed by metakunt, 12-May-2024.) $)
    dvdstrd $p |- ( ph -> K || N ) $=
      ( cdvds wbr cz wcel wa wi dvdstr syl3anc mp2and ) ABCJKZCDJKZBDJKZHIABLMC
      LMDLMSTNUAOEFGBCDPQR $.
  $}

  $( If an integer divides another, it divides a multiple of it.  (Contributed
     by Paul Chapman, 17-Nov-2012.) $)
  dvdsmultr1 $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) ->
                     ( K || M -> K || ( M x. N ) ) ) $=
    ( cz wcel w3a cdvds wbr cmul co dvdsmul1 3adant1 wa wi zmulcl dvdstr mpan2d
    syld3an3 ) ADEZBDEZCDEZFABGHZBBCIJZGHZAUCGHZTUAUDSBCKLSTUAUCDEZUBUDMUENTUAU
    FSBCOLABUCPRQ $.

  ${
    dvdsmultr1d.1 $e |- ( ph -> K e. ZZ ) $.
    dvdsmultr1d.2 $e |- ( ph -> M e. ZZ ) $.
    dvdsmultr1d.3 $e |- ( ph -> N e. ZZ ) $.
    dvdsmultr1d.4 $e |- ( ph -> K || M ) $.
    $( Deduction form of ~ dvdsmultr1 .  (Contributed by Stanislas Polu,
       9-Mar-2020.) $)
    dvdsmultr1d $p |- ( ph -> K || ( M x. N ) ) $=
      ( cdvds wbr cmul co cz wcel wi dvdsmultr1 syl3anc mpd ) ABCIJZBCDKLIJZHAB
      MNCMNDMNSTOEFGBCDPQR $.
  $}

  $( If an integer divides another, it divides a multiple of it.  (Contributed
     by Paul Chapman, 17-Nov-2012.) $)
  dvdsmultr2 $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) ->
                     ( K || N -> K || ( M x. N ) ) ) $=
    ( cz wcel w3a cdvds wbr cmul co wa wb dvdsmul2 biantrud 3adant1 simp1 simp3
    wi zmulcl dvdstr syl3anc sylbid ) ADEZBDEZCDEZFZACGHZUGCBCIJZGHZKZAUHGHZUDU
    EUGUJLUCUDUEKUIUGBCMNOUFUCUEUHDEZUJUKRUCUDUEPUCUDUEQUDUEULUCBCSOACUHTUAUB
    $.

  ${
    dvdsmultr2d.1 $e |- ( ph -> K e. ZZ ) $.
    dvdsmultr2d.2 $e |- ( ph -> M e. ZZ ) $.
    dvdsmultr2d.3 $e |- ( ph -> N e. ZZ ) $.
    dvdsmultr2d.4 $e |- ( ph -> K || N ) $.
    $( Deduction form of ~ dvdsmultr2 .  (Contributed by SN, 23-Aug-2024.) $)
    dvdsmultr2d $p |- ( ph -> K || ( M x. N ) ) $=
      ( cdvds wbr cmul co cz wcel wi dvdsmultr2 syl3anc mpd ) ABDIJZBCDKLIJZHAB
      MNCMNDMNSTOEFGBCDPQR $.
  $}

  $( If an integer divides either of two others, it divides their product.
     (Contributed by Paul Chapman, 17-Nov-2012.)  (Proof shortened by Mario
     Carneiro, 17-Jul-2014.) $)
  ordvdsmul $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) ->
                    ( ( K || M \/ K || N ) -> K || ( M x. N ) ) ) $=
    ( cz wcel w3a cdvds wbr cmul co dvdsmultr1 dvdsmultr2 jaod ) ADEBDECDEFABGH
    ABCIJGHACGHABCKABCLM $.

  $( If an integer divides a difference, then it divides one term iff it
     divides the other.  (Contributed by Mario Carneiro, 13-Jul-2014.) $)
  dvdssub2 $p |- ( ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) /\ K || ( M - N ) ) ->
                   ( K || M <-> K || N ) ) $=
    ( cz wcel cmin co cdvds wbr wa wi 3adant1 imp wceq cc syl2an adantr breqtrd
    zcn expr w3a zsubcl dvds2sub syld3an3 ancomsd nncan caddc dvds2add syld3an2
    npcan impbid ) ADEZBDEZCDEZUAZABCFGZHIZJABHIZACHIZUOUQURUSUOUQURJZJABUPFGZC
    HUOUTAVAHIZUOURUQVBULUMUNUPDEZURUQJVBKUMUNVCULBCUBLZABUPUCUDUEMUOVACNZUTUMU
    NVEULUMBOEZCOEZVEUNBSZCSZBCUFPLQRTUOUQUSURUOUQUSJZJAUPCUGGZBHUOVJAVKHIZULVC
    UMUNVJVLKVDAUPCUHUIMUOVKBNZVJUMUNVMULUMVFVGVMUNVHVIBCUJPLQRTUK $.

  $( An integer divides another iff it divides their sum.  (Contributed by Paul
     Chapman, 31-Mar-2011.)  (Revised by Mario Carneiro, 13-Jul-2014.) $)
  dvdsadd $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M || N <-> M || ( M + N ) ) ) $=
    ( cz wcel wa caddc co cdvds wbr cmin wb simpl zaddcl simpr iddvds adantr cc
    wceq zcn pncan syl2an breqtrrd dvdssub2 syl31anc bicomd ) ACDZBCDZEZAABFGZH
    IZABHIZUHUFUICDUGAUIBJGZHIUJUKKUFUGLABMUFUGNUHAAULHUFAAHIUGAOPUFAQDBQDULARU
    GASBSABTUAUBAUIBUCUDUE $.

  $( An integer divides another iff it divides their sum.  (Contributed by Paul
     Chapman, 31-Mar-2011.) $)
  dvdsaddr $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M || N <-> M || ( N + M ) ) ) $=
    ( cz wcel wa cdvds wbr caddc co dvdsadd wceq zcn addcom syl2an breq2d bitrd
    cc ) ACDZBCDZEZABFGAABHIZFGABAHIZFGABJTUAUBAFRAQDBQDUAUBKSALBLABMNOP $.

  $( An integer divides another iff it divides their difference.  (Contributed
     by Paul Chapman, 31-Mar-2011.) $)
  dvdssub $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M || N <-> M || ( M - N ) ) ) $=
    ( cz wcel wa cdvds wbr cneg caddc co cmin dvdsnegb wb znegcl dvdsadd sylan2
    cc wceq zcn negsub syl2an breq2d 3bitrd ) ACDZBCDZEZABFGABHZFGZAAUGIJZFGZAA
    BKJZFGABLUEUDUGCDUHUJMBNAUGOPUFUIUKAFUDAQDBQDUIUKRUEASBSABTUAUBUC $.

  $( An integer divides another iff it divides their difference.  (Contributed
     by Paul Chapman, 31-Mar-2011.) $)
  dvdssubr $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M || N <-> M || ( N - M ) ) ) $=
    ( cz wcel wa cmin co cdvds wbr caddc wb zsubcl ancoms dvdsadd syldan cc zcn
    wceq pncan3 syl2an breq2d bitr2d ) ACDZBCDZEZABAFGZHIZAAUFJGZHIZABHIUCUDUFC
    DZUGUIKUDUCUJBALMAUFNOUEUHBAHUCAPDBPDUHBRUDAQBQABSTUAUB $.

  $( Adding a multiple of the base does not affect divisibility.  (Contributed
     by Stefan O'Rear, 23-Sep-2014.) $)
  dvdsadd2b $p |- ( ( A e. ZZ /\ B e. ZZ /\ ( C e. ZZ /\ A || C ) ) ->
    ( A || B <-> A || ( C + B ) ) ) $=
    ( cz wcel cdvds wbr wa caddc co simpl1 simpl3l simpl2 simpl3r simpr syl2anc
    dvds2addd adantr cc zcn w3a cneg simp3l simp2 zaddcl znegcld dvdsnegb mpbid
    wb wceq cmin ancoms zcnd adantl negsubd pncan2d eqtrd breqtrd impbida ) ADE
    ZBDEZCDEZACFGZHZUAZABFGZACBIJZFGZVEVFHACBUTVAVDVFKVBVCUTVAVFLUTVAVDVFMVBVCU
    TVAVFNVEVFOQVEVHHZAVGCUBZIJZBFVIAVGVJUTVAVDVHKZVEVGDEZVHVEVBVAVMUTVAVBVCUCZ
    UTVAVDUDCBUEZPRVEVJDEVHVECVNUFRVEVHOVIVCAVJFGZVBVCUTVAVHNVIUTVBVCVPUIVLVBVC
    UTVAVHLZACUGPUHQVIVAVBVKBUJUTVAVDVHMVQVAVBHZVKVGCUKJBVRVGCVRVGVBVAVMVOULUMV
    BCSEVACTUNZUOVRCBVSVABSEVBBTRUPUQPURUS $.

  $( Adding a multiple of the base does not affect divisibility.  Variant of
     ~ dvdsadd2b only requiring ` B ` to be a real number (not necessarily an
     integer).  (Contributed by AV, 19-Jul-2021.) $)
  dvdsaddre2b $p |- ( ( A e. ZZ /\ B e. RR /\ ( C e. ZZ /\ A || C ) ) ->
    ( A || B <-> A || ( C + B ) ) ) $=
    ( cz wcel cr cdvds wbr wa w3a caddc co wi com12 wn dvdszrcl simpl2im adantr
    3imp cc wb dvdsadd2b a1d 3exp com24 pm2.24 recn ad2antrl addcomd cdif eldif
    zcn nzadd eldifbd expcom syl5bir imp eqneltrd pm2.21 syl8 a1i impcom impbid
    exp32 ex pm2.61i ) BDEZADEZBFEZCDEZACGHZIZJZABGHZACBKLZGHZUAZMVMVGVQVHVIVLV
    GVQMVHVGVLVIVQVHVGVLVIVQMVHVGVLJVQVIABCUBUCUDUESNVGOZVMVQVRVMIZVNVPVRVNVPMV
    MVNVRVPVNVHVGVRVPMABPVGVPUFQNRVPVSVNVPVHVODEZVSVNMAVOPVSVTVNVMVRVTVNMZVHVIV
    LVRWAMZVIVLWBMMVHVLVIWBVJVIWBMVKVJVIVRVTOZWAVJVIVRWCVJVIVRIZIZVOBCKLZDWECBV
    JCTEWDCULRVIBTEVJVRBUGUHUIVJWDWFDEOZWDBFDUJEZVJWGBFDUKWHVJWGWHVJIWFFDBCUMUN
    UOUPUQURVDVTVNUSUTRNVASVBNQNVCVEVF $.

  ${
    $d k A $.  $d k N $.  $d k ph $.
    fsumdvds.1 $e |- ( ph -> A e. Fin ) $.
    fsumdvds.2 $e |- ( ph -> N e. ZZ ) $.
    fsumdvds.3 $e |- ( ( ph /\ k e. A ) -> B e. ZZ ) $.
    fsumdvds.4 $e |- ( ( ph /\ k e. A ) -> N || B ) $.
    $( If every term in a sum is divisible by ` N ` , then so is the sum.
       (Contributed by Mario Carneiro, 17-Jan-2015.) $)
    fsumdvds $p |- ( ph -> N || sum_ k e. A B ) $=
      ( csu cdvds wbr cc0 wceq wa cz wcel adantlr wb adantr 0z dvds0 mp1i simpr
      cv simplr eqbrtrrd 0dvds syl mpbid sumeq2dv cuz cfv wss cfn wo olcd eqtrd
      sumz 3brtr4d wne cdiv co fsumdivc dvdsval2 syl3anc fsumzcl eqeltrd mpbird
      zcnd pm2.61dane ) AEBCDJZKLZEMAEMNZOZMMEVLKMPQMMKLVOUAMUBUCAVNUDVOVLBMDJZ
      MVOBCMDVODUEBQZOZMCKLZCMNZVREMCKAVNVQUFAVQECKLZVNIRUGVRCPQZVSVTSAVQWBVNHR
      CUHUIUJUKVOBMULUMUNZBUOQZUPVPMNVOWDWCAWDVNFTUQBDMUSUIURUTAEMVAZOZVMVLEVBV
      CZPQZWFWGBCEVBVCZDJPWFBCEDAWDWEFTZWFEAEPQZWEGTZVJWFVQOZCAVQWBWEHRZVJAWEUD
      ZVDWFBWIDWJWMWAWIPQZAVQWAWEIRWMWKWEWBWAWPSWFWKVQWLTAWEVQUFWNECVEVFUJVGVHW
      FWKWEVLPQZVMWHSWLWOAWQWEABCDFHVGTEVLVEVFVIVK $.
  $}

  ${
    dvdslelem.1 $e |- M e. ZZ $.
    dvdslelem.2 $e |- N e. NN $.
    dvdslelem.3 $e |- K e. ZZ $.
    $( Lemma for ~ dvdsle .  (Contributed by Paul Chapman, 21-Mar-2011.) $)
    dvdslelem $p |- ( N < M -> ( K x. M ) =/= N ) $=
      ( clt wbr cmul co wo cc0 cle cr wcel zrei 0re wb ax-mp cneg mp2an zgt0ge1
      c1 lelttric cz orbi2i mpbi le0neg1 nngt0i nnrei lttri mpan ltlei renegcli
      wne syl mulge0i sylan2 sylanb expcom remulcli recni breq2i bitr4i syl6ibr
      mulneg1i lelttri mpan2 syl6 wa lemulge12 mpanl12 sylan ex ltletri orim12d
      syld mpi lttri2i sylibr ) CBGHZABIJZCGHZCWBGHZKZWBCUOWAALMHZUCAMHZKZWEWFL
      AGHZKZWHANOZLNOWJAFPZQALUDUAWIWGWFAUEOWIWGRFAUBSUFUGWAWFWCWGWDWAWFWBLMHZW
      CWAWFLATZBIJZMHZWMWFWAWPWFLWNMHZWAWPWKWFWQRWLAUHSWAWQLBMHZWPWALBGHZWRLCGH
      ZWAWSCEUIZLCBQCEUJZBDPZUKULLBQXCUMUPZWNBAWLUNXCUQURUSUTWMLWBTZMHZWPWBNOWM
      XFRABWLXCVAZWBUHSWOXELMABAWLVBBXCVBVFVCVDVEWMWTWCXAWBLCXGQXBVGVHVIWAWGBWB
      MHZWDWAWGXHWAWRWGXHXDBNOWKWRWGVJXHXCWLBAVKVLVMVNWAXHWDCBWBXBXCXGVOVNVQVPV
      RWBCXGXBVSVT $.
  $}

  ${
    $d M n $.  $d N n $.
    $( The divisors of a positive integer are bounded by it.  The proof does
       not use ` / ` .  (Contributed by Paul Chapman, 21-Mar-2011.) $)
    dvdsle $p |- ( ( M e. ZZ /\ N e. NN ) -> ( M || N -> M <_ N ) ) $=
      ( vn cz wcel cn wa wbr clt wn cmul co wne wi c1 cif neeq1d imbi12d elimel
      wceq cdvds cle w3a cv wrex breq2 oveq2 breq1 neeq2 oveq1 imbi2d dvdslelem
      1z 1nn dedth3h 3expia 3impia imp neneqd nrexdv nnz divides sylan2 3adant3
      com23 wb mtbird con2d cr zre nnre lenlt syl2an sylibrd ) ADEZBFEZGZABUAHZ
      BAIHZJZABUBHZVQVSVRVOVPVSVRJVOVPVSUCZVRCUDZAKLZBTZCDUEZWBWECDWBWCDEZGWDBW
      BWGWDBMZVOVPVSWGWHNVQWGVSWHVOVPWGVSWHNZVOVPWGWIBVOAOPZIHZWCWJKLZBMZNVPBOP
      ZWJIHZWLWNMZNWOWGWCOPZWJKLZWNMZNABWCOOOAWJTZVSWKWHWMAWJBIUFWTWDWLBAWJWCKU
      GQRBWNTWKWOWMWPBWNWJIUHBWNWLUIRWCWQTZWPWSWOXAWLWRWNWCWQWJKUJQUKWQWJWNAODU
      MSBOFUNSWCODUMSULUOUPVEUQURUSUTVOVPVRWFVFZVSVPVOBDEXBBVACABVBVCVDVGUPVHVO
      AVIEBVIEWAVTVFVPAVJBVKABVLVMVN $.
  $}

  $( The divisors of a nonzero integer are bounded by its absolute value.
     Theorem 1.1(i) in [ApostolNT] p. 14 (comparison property of the divides
     relation).  (Contributed by Paul Chapman, 21-Mar-2011.)  (Proof shortened
     by Fan Zheng, 3-Jul-2016.) $)
  dvdsleabs $p |- ( ( M e. ZZ /\ N e. ZZ /\ N =/= 0 ) ->
                    ( M || N -> M <_ ( abs ` N ) ) ) $=
    ( cz wcel cc0 wne w3a cdvds wbr cabs cfv cle wb dvdsabsb 3adant3 wi nnabscl
    wa cn dvdsle sylan2 3impb sylbid ) ACDZBCDZBEFZGABHIZABJKZHIZAUHLIZUDUEUGUI
    MUFABNOUDUEUFUIUJPZUEUFRUDUHSDUKBQAUHTUAUBUC $.

  $( Transfer divisibility to an order constraint on absolute values.
     (Contributed by Stefan O'Rear, 24-Sep-2014.) $)
  dvdsleabs2 $p |- ( ( M e. ZZ /\ N e. ZZ /\ N =/= 0 )
                     -> ( M || N -> ( abs ` M ) <_ ( abs ` N ) ) ) $=
    ( cz wcel cc0 wne w3a cdvds wbr cabs cfv cle zabscl 3anim1i adantr absdvdsb
    wa wb 3adant3 biimpa dvdsleabs sylc ex ) ACDZBCDZBEFZGZABHIZAJKZBJKLIZUGUHQ
    UICDZUEUFGZUIBHIZUJUGULUHUDUKUEUFAMNOUGUHUMUDUEUHUMRUFABPSTUIBUAUBUC $.

  $( If two integers divide each other, they must be equal, up to a difference
     in sign.  Theorem 1.1(j) in [ApostolNT] p. 14.  (Contributed by Mario
     Carneiro, 30-May-2014.)  (Revised by AV, 7-Aug-2021.) $)
  dvdsabseq $p |- ( ( M || N /\ N || M ) -> ( abs ` M ) = ( abs ` N ) ) $=
    ( cdvds wbr cabs cfv wceq cz wcel wa wi cc0 simpr breq1 wb 0dvds adantr zcn
    abs00ad adantl dvdszrcl bicomd bitrd fveq2 abs0 eqtrdi eqeq2d bitr4d syl5ib
    sylan9bb expd wn cle wne simprl neqne dvdsleabs2 syl3anc eqcom bitr3di a1dd
    eqeq1d expcomd cr abscld letri3 syl2anr syl5bb biimprd syld pm2.61ian com34
    a1d mpdd mpcom imp ) ABCDZBACDZAEFZBEFZGZAHIZBHIZJZVQVRWAKZABUABLGZWDVQWEKW
    FWDJZVQVRWAVQVRJVRWGWAVQVRMWGVRVSLGZWAWFVRLACDZWDWHBLACNWDWIALGZWHWBWIWJOWC
    APQWBWJWHOWCWBWHWJWBAARZSUBQUCUJWGVTLVSWFVTLGZWDWFVTLEFZLBLEUDUEUFQUGUHUIUK
    WFULZWDJZVQVSVTUMDZWEWOWBWCBLUNZVQWPKWNWBWCUOWDWCWNWBWCMZTWNWQWDBLUPQABUQUR
    WDVQWPWEKKWNWDVQVRWPWAWJWDVQVRWPWAKZKZKWJWDJZVRVQWSXAVRVQJZWAWPXBVQXAWAVRVQ
    MXAVQLVTGZWAWJVQLBCDZWDXCALBCNWCXDXCOWBWCXDWFXCBPWCWLWFXCWCBBRZSVTLUSUTUCTU
    JXAVSLVTWJWHWDWJVSWMLALEUDUEUFQVBUHUIVAVCWJULZWDJZWTVQXGVRVTVSUMDZWSXGWCWBA
    LUNZVRXHKWDWCXFWRTXFWBWCUOXFXIWDALUPQBAUQURWDXHWSKXFWDXHWPWAWDWAXHWPJZWAVTV
    SGZWDXJVSVTUSWCVTVDIVSVDIXKXJOWBWCBXEVEWBAWKVEVTVSVFVGVHVIUKTVJVMVKVLTVNVKV
    OVP $.

  $( If two nonnegative integers divide each other, they must be equal.
     (Contributed by Mario Carneiro, 30-May-2014.)  (Proof shortened by AV,
     7-Aug-2021.) $)
  dvdseq $p |- ( ( ( M e. NN0 /\ N e. NN0 ) /\ ( M || N /\ N || M ) ) ->
                    M = N ) $=
    ( cdvds wbr wa cn0 wcel cabs cfv wceq dvdsabseq nn0ge0 absidd adantr eqcomd
    nn0re simpr ad2antlr 3eqtrd sylan2 ) ABCDBACDEAFGZBFGZEZAHIZBHIZJZABJABKUCU
    FEAUDUEBUCAUDJUFUCUDAUAUDAJUBUAAAPALMNONUCUFQUBUEBJUAUFUBBBPBLMRST $.

  ${
    $d M m $.  $d N m $.
    $( If a nonzero integer ` M ` divides another integer ` N ` , the other
       integer ` N ` divided by the nonzero integer ` M ` (i.e. the _divisor
       conjugate_ of ` N ` to ` M ` ) divides the other integer ` N ` .
       Theorem 1.1(k) in [ApostolNT] p. 14.  (Contributed by AV,
       7-Aug-2021.) $)
    divconjdvds $p |- ( ( M || N /\ M =/= 0 ) -> ( N / M ) || N ) $=
      ( vm cdvds wbr cc0 cdiv co cz wcel wa cmul wceq wb adantl cc adantr simpr
      wne zcn wi dvdszrcl cv simpll oveq1 eqeq1d divcan2d rspcedvd w3a dvdsval2
      wrex 3jca syl mpbid divides syl2anc mpbird exp31 com3r mpd imp ) ABDEZAFS
      ZBAGHZBDEZVBAIJZBIJZKZVCVEUAABUBVHVCVBVEVHVCVBVEVHVCKZVBKZVECUCZVDLHZBMZC
      IUKZVIVNVBVIVMAVDLHZBMZCAIVFVGVCUDZVKAMZVMVPNVIVRVLVOBVKAVDLUEUFOVIBAVHBP
      JZVCVGVSVFBTOQVHAPJZVCVFVTVGATQQVHVCRZUGUHQVJVDIJZVGVEVNNVJVBWBVIVBRVJVFV
      CVGUIZVBWBNVIWCVBVIVFVCVGVQWAVHVGVCVFVGRQZULQABUJUMUNVIVGVBWDQCVDBUOUPUQU
      RUSUTVA $.
  $}

  ${
    $d x A $.  $d x N $.
    $( The complement of a divisor of ` N ` is also a divisor of ` N ` .
       (Contributed by Mario Carneiro, 2-Jul-2015.)  (Proof shortened by AV,
       9-Aug-2021.) $)
    dvdsdivcl $p |- ( ( N e. NN /\ A e. { x e. NN | x || N } ) ->
        ( N / A ) e. { x e. NN | x || N } ) $=
      ( cn wcel cv cdvds crab wa cdiv co wi breq1 elrab nndivdvds biimpd expcom
      wbr com23 imp cc0 wne nnne0 anim1ci divconjdvds syl jctird impcom sylibr
      sylbi ) CDEZBAFZCGRZADHZEZICBJKZDEZUPCGRZIZUPUNEUOUKUSUOBDEZBCGRZIZUKUSLU
      MVAABDULBCGMNVBUKUQURUTVAUKUQLUTUKVAUQUKUTVAUQLUKUTIVAUQCBOPQSTVBVABUAUBZ
      IURUTVCVABUCUDBCUEUFUGUJUHUMURAUPDULUPCGMNUI $.
  $}

  ${
    $d y z A $.  $d x y z N $.
    dvdsflip.a $e |- A = { x e. NN | x || N } $.
    dvdsflip.f $e |- F = ( y e. A |-> ( N / y ) ) $.
    $( An involution of the divisors of a number.  (Contributed by Stefan
       O'Rear, 12-Sep-2015.)  (Proof shortened by Mario Carneiro,
       13-May-2016.) $)
    dvdsflip $p |- ( N e. NN -> F : A -1-1-onto-> A ) $=
      ( vz cn wcel cv cdiv co wa eleq2i dvdsdivcl sylan2b wceq cc nncn wbr crab
      cdvds eleqtrrdi wb ssrab3 sseli anim12i cmul adantr ad2antrl ad2antll cc0
      wne nnne0 divmul3d divmul2d bitr4d sylan2 eqcom 3bitr4g f1o2d ) EIJZBHCCE
      BKZLMZEHKZLMZDGVCVDCJZNVEAKEUCUAZAIUBZCVHVCVDVJJVEVJJCVJVDFOAVDEPQFUDVCVF
      CJZNVGVJCVKVCVFVJJVGVJJCVJVFFOAVFEPQFUDVCVHVKNZNVGVDRZVEVFRZVDVGRVFVERVLV
      CVDIJZVFIJZNZVMVNUEVHVOVKVPCIVDVIAICFUFZUGCIVFVRUGUHVCVQNZVMEVDVFUIMRVNVS
      EVDVFVCESJVQETUJZVOVDSJVCVPVDTUKZVPVFSJVCVOVFTULZVPVFUMUNVCVOVFUOULUPVSEV
      FVDVTWBWAVOVDUMUNVCVPVDUOUKUQURUSVDVGUTVFVEUTVAVB $.
  $}

  ${
    $d A p $.
    $( The set of divisors of a number is a subset of a finite set.
       (Contributed by Mario Carneiro, 22-Sep-2014.) $)
    dvdsssfz1 $p |- ( A e. NN -> { p e. NN | p || A } C_ ( 1 ... A ) ) $=
      ( cn wcel cv cdvds wbr c1 cfz co wi wral crab wss wa cle cz nnz id wb syl
      dvdsle syl2anr ibar adantl adantr bitr4d sylibd ralrimiva rabss sylibr
      fznn ) ACDZBEZAFGZUNHAIJZDZKZBCLUOBCMUPNUMURBCUMUNCDZOZUOUNAPGZUQUSUNQDUM
      UOVAKUMUNRUMSUNAUBUCUTVAUSVAOZUQUSVAVBTUMUSVAUDUEUTAQDZUQVBTUMVCUSARUFUNA
      ULUAUGUHUIUOBCUPUJUK $.
  $}

  $( The only nonnegative integer that divides 1 is 1.  (Contributed by Mario
     Carneiro, 2-Jul-2015.) $)
  dvds1 $p |- ( M e. NN0 -> ( M || 1 <-> M = 1 ) ) $=
    ( cn0 wcel c1 cdvds wbr wceq wa simpl 1nn0 a1i simpr cz 1dvds adantr dvdseq
    nn0z syl syl22anc ex id 1z iddvds ax-mp eqbrtrdi impbid1 ) ABCZADEFZADGZUGU
    HUIUGUHHZUGDBCZUHDAEFZUIUGUHIUKUJJKUGUHLUGULUHUGAMCULAQANROADPSTUIADDEUIUAD
    MCDDEFUBDUCUDUEUF $.

  ${
    $d x A $.  $d x B $.  $d x N $.
    $( Only 0 is divisible by all integers.  (Contributed by Paul Chapman,
       21-Mar-2011.) $)
    alzdvds $p |- ( N e. ZZ -> ( A. x e. ZZ x || N <-> N = 0 ) ) $=
      ( cz wcel cv cdvds wbr wral cc0 wceq wa wne wn cabs cfv wrex cn cr expcom
      ralrimiv cle clt wss nnssz zcn abscld arch syl ssrexv mpsyl wb zre syl2an
      ltnle rexbidva rexnal bitrdi mpbid wi ralim dvdsleabs 3expb syl11 expdimp
      adantl mtod nne sylib dvds0 breq2 syl5ibr impbid1 ) BCDZAEZBFGZACHZBIJZVP
      VMVQVPVMKZBILZMVQVRVSVNBNOZUAGZACHZVMWBMZVPVMVTVNUBGZACPZWCQCUCVMWDAQPZWE
      UDVMVTRDZWFVMBBUEUFZVTAUGUHWDAQCUIUJVMWEWAMZACPWCVMWDWIACVMWGVNRDWDWIUKVN
      CDZWHVNULVTVNUNUMUOWAACUPUQURVEVPVMVSWBVOWAUSZACHVPWBVMVSKZVOWAACUTWLWKAC
      WJWLWKWJVMVSWKVNBVAVBSTVCVDVFBIVGVHSVQVOACWJVOVQVNIFGVNVIBIVNFVJVKTVL $.

    $( Poset extensionality for division.  (Contributed by Stefan O'Rear,
       6-Sep-2015.) $)
    dvdsext $p |- ( ( A e. NN0 /\ B e. NN0 ) -> ( A = B <->
          A. x e. NN0 ( A || x <-> B || x ) ) ) $=
      ( cn0 wcel wa wceq cv cdvds wbr wb wral breq1 cz iddvds syl breq2 bibi12d
      nn0z rspcva ralrimivw simpll simplr ad2antlr adantll mpbird adantlr mpbid
      ad2antrr dvdseq syl22anc ex impbid2 ) BDEZCDEZFZBCGZBAHZIJZCURIJZKZADLZUQ
      VAADBCURIMUAUPVBUQUPVBFZUNUOBCIJZCBIJZUQUNUOVBUBUNUOVBUCVCVDCCIJZUOVFUNVB
      UOCNEVFCSCOPUDUOVBVDVFKZUNVAVGACDURCGUSVDUTVFURCBIQURCCIQRTUEUFVCBBIJZVEU
      NVHUOVBUNBNEVHBSBOPUIUNVBVHVEKZUOVAVIABDURBGUSVHUTVEURBBIQURBCIQRTUGUHBCU
      JUKULUM $.
  $}

  $( No number between ` 1 ` and ` M - 1 ` divides ` M ` .  (Contributed by
     Mario Carneiro, 24-Jan-2015.) $)
  fzm1ndvds $p |- ( ( M e. NN /\ N e. ( 1 ... ( M - 1 ) ) ) -> -. M || N ) $=
    ( cn wcel c1 cmin co cfz wa cdvds wbr cle clt elfzle2 adantl adantr syl2anc
    wn cz wb elfzelz zltlem1 mpbird elfznn nnred cr nnre ltnled mpbid wi dvdsle
    nnz mtod ) ACDZBEAEFGZHGDZIZABJKZABLKZUQBAMKZUSRUQUTBUOLKZUPVAUNBEUONOUQBSD
    ZASDZUTVATUPVBUNBEUOUAOUNVCUPAULPZBAUBQUCUQBAUQBUPBCDZUNBUOUDOZUEUNAUFDUPAU
    GPUHUIUQVCVEURUSUJVDVFABUKQUM $.

  $( Zero is the only one of the first ` A ` nonnegative integers that is
     divisible by ` A ` .  (Contributed by Stefan O'Rear, 6-Sep-2015.) $)
  fzo0dvdseq $p |- ( B e. ( 0 ..^ A ) -> ( A || B <-> B = 0 ) ) $=
    ( cc0 cfzo co wcel cdvds wbr wceq wne cle clt elfzolt2 elfzoelz zred adantr
    wn wa cn cn0 elfzoel2 ltnled mpbid cz wi csn cdif elfzonn0 eldifsn sylanbrc
    simpr dfn2 eleqtrrdi dvdsle syl2an2r ex necon4ad dvds0 syl breq2 syl5ibrcom
    mtod impbid ) BCADEFZABGHZBCIZVDVEBCVDBCJZVEQVDVGRZVEABKHZVDVIQZVGVDBALHVJB
    CAMVDBAVDBBCANOVDABCAUAZOUBUCPVDAUDFZVGBSFVEVIUEVKVHBTCUFUGZSVHBTFZVGBVMFVD
    VNVGBAUHPVDVGUKBTCUIUJULUMABUNUOVBUPUQVDVEVFACGHZVDVLVOVKAURUSBCAGUTVAVC $.

  $( Two different elements of a half-open range are not congruent mod its
     length.  (Contributed by Stefan O'Rear, 6-Sep-2015.) $)
  fzocongeq $p |- ( ( A e. ( C ..^ D ) /\ B e. ( C ..^ D ) ) ->
      ( ( D - C ) || ( A - B ) <-> A = B ) ) $=
    ( cfzo co wcel wa cmin cdvds wbr cc0 wceq cz wb elfzoelz syl2an bitrd zcnd
    cc cabs cfv elfzoel2 elfzoel1 zsubcld dvdsabsb syl2an2 fzomaxdif fzo0dvdseq
    zsubcl syl subcl abs00ad subeq0 ) ACDEFZGZBUOGZHZDCIFZABIFZJKZUTUAUBZLMZABM
    ZURVAUSVBJKZVCUQUSNGUPUTNGZVAVEOUQDCBCDUCBCDUDUEUPANGBNGVFUQACDPZBCDPZABUJQ
    USUTUFUGURVBLUSEFGVEVCOABCDUHUSVBUIUKRURVCUTLMZVDURUTUPATGZBTGZUTTGUQUPAVGS
    ZUQBVHSZABULQUMUPVJVKVIVDOUQVLVMABUNQRR $.

  $( Two nonnegative integers less than the modulus are equal iff the sums of
     these integer with another integer are equal modulo the modulus.  Shorter
     proof of ~ addmodlteq based on the "divides" relation.  (Contributed by
     AV, 14-Mar-2021.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  addmodlteqALT $p |- ( ( I e. ( 0 ..^ N ) /\ J e. ( 0 ..^ N ) /\ S e. ZZ )
                -> ( ( ( I + S ) mod N ) = ( ( J + S ) mod N ) <-> I = J ) ) $=
    ( cc0 co wcel cz w3a caddc cmo wceq cmin cdvds wbr wb wi wa syl cc cfzo cn0
    cn clt elfzo0 elfzoelz simplrr nn0z ad2antrl sylan adantlr 3jca exp31 com12
    zaddcl 3adant3 sylbi 3imp moddvds elfzoel2 zcn subid1d eqcomd 3ad2ant1 zcnd
    pnpcan2 syl3an breq12d fzocongeq 3bitrd ) BEDUAFZGZCVKGZAHGZIZBAJFZDKFCAJFZ
    DKFLZDVPVQMFZNOZDEMFZBCMFZNOZBCLZVODUCGZVPHGZVQHGZIZVRVTPVLVMVNWHVLBUBGZWEB
    DUDOZIVMVNWHQZQZBDUEWIWEWLWJVMWIWERZWKVMCHGZWMWKQCEDUFZWNWMVNWHWNWMRZVNRWEW
    FWGWNWIWEVNUGWPBHGZVNWFWIWQWNWEBUHUIBAUOUJWNVNWGWMCAUOUKULUMSUNUPUQURVPVQDU
    SSVODWAVSWBNVLVMDWALZVNVLDHGZWRBEDUTWSWADWSDDVAVBVCSVDVLBTGVMCTGVNATGVSWBLV
    LBBEDUFVEVMCWOVEAVABCAVFVGVHVLVMWCWDPVNBCEDVIUPVJ $.

  ${
    $d K x y $.  $d N x $.
    $( A positive integer divides any greater factorial.  (Contributed by Paul
       Chapman, 28-Nov-2012.) $)
    dvdsfac $p |- ( ( K e. NN /\ N e. ( ZZ>= ` K ) ) -> K || ( ! ` N ) ) $=
      ( vx vy cuz cfv wcel cn cfa cdvds wbr wi c1 wceq fveq2 breq2d imbi2d nnzd
      co cz caddc cmin cmul nnm1nn0 faccld nnz dvdsmul2 syl2anc facnn2 breqtrrd
      cv wa adantl elnnuz sylan2b sylibr nnnn0d peano2zd dvdsmultr1 syl3anc cn0
      uztrn facp1 syl sylibrd ex a2d uzind4i impcom ) BAEFZGAHGZABIFZJKZVKACUKZ
      IFZJKZLVKAAIFZJKZLVKADUKZIFZJKZLVKAVSMUASZIFZJKZLVKVMLCDABVNANZVPVRVKWEVO
      VQAJVNAIOPQVNVSNZVPWAVKWFVOVTAJVNVSIOPQVNWBNZVPWDVKWGVOWCAJVNWBIOPQVNBNZV
      PVMVKWHVOVLAJVNBIOPQVKAAMUBSZIFZAUCSZVQJVKWJTGATGZAWKJKVKWJVKWIAUDUERAUFZ
      WJAUGUHAUIUJVSVJGZVKWAWDWNVKWAWDLWNVKULZWAAVTWBUCSZJKZWDWOWLVTTGWBTGWAWQL
      VKWLWNWMUMWOVTWOVSWOVSWOVSMEFZGZVSHGVKWNAWRGWSAUNAVSMVBUOVSUNUPZUQZUERWOV
      SWOVSWTRURAVTWBUSUTWOWCWPAJWOVSVAGWCWPNXAVSVCVDPVEVFVGVHVI $.
  $}

  ${
    $d K m $.  $d M m $.  $d N m $.
    $( If an integer divides another integer, then it also divides any of its
       powers.  (Contributed by Scott Fenton, 7-Apr-2014.)  (Revised by Mario
       Carneiro, 19-Apr-2014.) $)
    dvdsexp2im $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. NN )
        -> ( K || M -> K || ( M ^ N ) ) ) $=
      ( vm cz wcel cn w3a cdvds wbr cv cmul wceq cexp adantr zexpcl syl2anc zcn
      co cc wrex wb divides 3adant3 wa simpl1 cn0 nnnn0 3ad2ant3 zmulcld simpl3
      simpr iddvdsexp dvdsmul2 dvdstrd adantl 3ad2ant1 breqtrrd oveq1 syl5ibcom
      mulexpd breq2d rexlimdva sylbid ) AEFZBEFZCGFZHZABIJZDKZALSZBMZDEUAZABCNS
      ZIJZVEVFVIVMUBVGDABUCUDVHVLVODEVHVJEFZUEZAVKCNSZIJVLVOVQAVJCNSZACNSZLSZVR
      IVQAVTWAVEVFVGVPUFZVQVECUGFZVTEFZWBVHWCVPVGVEWCVFCUHUIOZACPQZVQVSVTVQVPWC
      VSEFZVHVPULWEVJCPQZWFUJVQVEVGAVTIJWBVEVFVGVPUKACUMQVQWGWDVTWAIJWHWFVSVTUN
      QUOVQVJACVPVJTFVHVJRUPVHATFZVPVEVFWIVGARUQOWEVAURVLVRVNAIVKBCNUSVBUTVCVD
      $.
  $}

  $( A power divides a power with a greater exponent.  (Contributed by Mario
     Carneiro, 23-Feb-2014.) $)
  dvdsexp $p |- ( ( A e. ZZ /\ M e. NN0 /\ N e. ( ZZ>= ` M ) ) ->
                  ( A ^ M ) || ( A ^ N ) ) $=
    ( cz wcel cn0 cuz cfv w3a cexp co cmin cmul cdvds wbr simp1 uznn0sub zexpcl
    3ad2ant3 syl2anc 3adant3 dvdsmul2 caddc zcnd simp2 expaddd cc nn0cnd npcand
    eluzelcn oveq2d eqtr3d breqtrd ) ADEZBFEZCBGHEZIZABJKZACBLKZJKZURMKZACJKZNU
    QUTDEZURDEZURVANOUQUNUSFEZVCUNUOUPPZUPUNVEUOBCQSZAUSRTUNUOVDUPABRUAUTURUBTU
    QAUSBUCKZJKVAVBUQAUSBUQAVFUDUNUOUPUEZVGUFUQVHCAJUQCBUPUNCUGEUOBCUJSUQBVIUHU
    IUKULUM $.

  $( Any number ` K ` whose mod base ` N ` is divisible by a divisor ` P ` of
     the base is also divisible by ` P ` .  This means that primes will also be
     relatively prime to the base when reduced ` mod N ` for any base.
     (Contributed by Mario Carneiro, 13-Mar-2014.) $)
  dvdsmod $p |- ( ( ( P e. NN /\ N e. NN /\ K e. ZZ ) /\ P || N ) ->
                  ( P || ( K mod N ) <-> P || K ) ) $=
    ( cn wcel cz cdvds wbr cmo co cmin wceq breq2d nnzd zcnd subid1d wb moddvds
    cc0 syl3anc w3a wa cdiv cfl cfv cmul cr crp simpl3 zred simpl2 nnrpd modval
    syl2anc simpl1 nndivred flcld simpr dvdsmultr1d zmulcld breqtrrd 0zd mpbird
    eqeq2d 3bitr3d 3bitrd ) ADEZCDEZBFEZUAZACGHZUBZABCIJZGHABCBCUCJZUDUEZUFJZKJ
    ZGHZABSKJZGHZABGHVLVMVQAGVLBUGECUHEVMVQLVLBVGVHVIVKUIZUJZVLCVGVHVIVKUKZULBC
    UMUNMVLBAIJZVPAIJZLZWDSAIJZLZVRVTVLWEWGWDVLWEWGLZAVPSKJZGHZVLAVPWJGVLACVOVL
    AVGVHVIVKUOZNVLCWCNZVLVNVLBCWBWCUPUQZVJVKURUSVLVPVLVPVLCVOWMWNUTZOPVAVLVGVP
    FEZSFEZWIWKQWLWOVLVBZVPSARTVCVDVLVGVIWPWFVRQWLWAWOBVPARTVLVGVIWQWHVTQWLWAWR
    BSARTVEVLVSBAGVLBVLBWAOPMVF $.

  $( If an integer is divisible by a positive integer, the product of this
     integer with another integer modulo the positive integer is 0.
     (Contributed by Alexander van der Vekens, 30-Aug-2018.)  (Proof shortened
     by AV, 18-Mar-2022.) $)
  mulmoddvds $p |- ( ( N e. NN /\ A e. ZZ /\ B e. ZZ ) -> ( N || A
                  -> ( ( A x. B ) mod N ) = 0 ) ) $=
    ( cn wcel cz w3a cdvds wbr cmul co cmo cc0 wceq simp1 wi dvdsmultr1 syl3an1
    nnz dvdsmod0 syl6an ) CDEZAFEZBFEZGUBCAHIZCABJKZHIZUFCLKMNUBUCUDOUBCFEUCUDU
    EUGPCSCABQRCUFTUA $.

  ${
    $d j k F $.  $d j k N $.
    $( A rule for divisibility by 3 of a number written in base 10.  This is
       Metamath 100 proof #85.  (Contributed by Mario Carneiro, 14-Jul-2014.)
       (Revised by Mario Carneiro, 17-Jan-2015.)  (Revised by AV,
       8-Sep-2021.) $)
    3dvds $p |- ( ( N e. NN0 /\ F : ( 0 ... N ) --> ZZ ) ->
     ( 3 || sum_ k e. ( 0 ... N ) ( ( F ` k ) x. ( ; 1 0 ^ k ) ) <->
       3 || sum_ k e. ( 0 ... N ) ( F ` k ) ) ) $=
      ( vj wcel cc0 co cz c3 c1 csu cmin cdvds wbr wb 3z sylancr c9 ax-1cn zcnd
      cn0 cfz wf wa cv cfv cdc cexp cmul a1i fzfid ffvelrn adantll 10nn elfznn0
      nnzi adantl zexpcl zmulcld fsumzcl zsubcld cneg caddc nncni 9p1e10 eqcomi
      negsubdi2i oveq1i 9cn pncan3oi 3eqtri 3t3e9 eqtr4i cdiv cc wne 1re gtneii
      1lt10 id geoser eqeltrrd 1z zsubcl mp2an subeq0i necon3bii mpbir dvdsval2
      ltneii mp3an12i mpbird wceq negsubdi2 breqtrrd peano2zm dvdsnegb negdvdsb
      sylancl syl mpbid eqbrtrrid wi muldvds1 dvdsmultr2 mp3an2i muls1d breqtrd
      mpd fsumdvds fsumsub dvdssub2 syl31anc ) CUAEZFCUBGZHBUCZUDZIHEZXOAUEZBUF
      ZJFUGZXSUHGZUIGZAKZHEXOXTAKZHEIYDYELGZMNIYDMNIYEMNOXRXQPUJZXQXOYCAXQFCUKZ
      XQXSXOEZUDZXTYBXPYIXTHEZXNXOHXSBULUMZYJYAHEZXSUAEZYBHEZYAUNUPZYIYNXQXSCUO
      UQZYAXSURZQZUSZUTXQXOXTAYHYLUTXQIXOYCXTLGZAKYFMXQXOUUAAIYHYGYJYCXTYTYLVAY
      JIXTYBJLGZUIGZUUAMYJIUUBMNZIUUCMNZYJYNUUDYQYNIIUIGZUUBMNZUUDYNUUFJYALGZVB
      ZUUBMUUIRUUFUUIYAJLGRJVCGZJLGRJYASYAUNVDZVGYAUUJJLUUJYAVEVFVHRJVISVJVKVLV
      MYNUUHUUBMNZUUIUUBMNZYNUULUUHUUBVBZMNZYNUUHJYBLGZUUNMYNUUHUUPMNZUUPUUHVNG
      ZHEZYNFXSJLGZUBGZYADUEZUHGZDKUURHYNYADXSYAVOEYNUUKUJYAJVPYNJYAVQVSVRUJYNV
      TZWAYNUVAUVCDYNFUUTUKYNUVBUVAEZUDYMUVBUAEZUVCHEYPUVEUVFYNUVBUUTUOUQYAUVBU
      RQUTWBUUHHEZUUHFVPZYNUUPHEZUUQUUSOJHEZYMUVGWCYPJYAWDWEZUVHJYAVPJYAVQVSWJU
      UHFJYAJYASUUKWFWGWHYNUVJYOUVIWCYNYMYNYOYPUVDYRQZJYBWDQUUHUUPWIWKWLYNYBVOE
      JVOEUUNUUPWMYNYBUVLTSYBJWNWSWOYNUVGUUBHEZUULUUOOUVKYNYOUVMUVLYBWPZWTZUUHU
      UBWQQWLYNUVGUVMUULUUMOUVKUVOUUHUUBWRQXAXBXRXRYNUVMUUGUUDXCPPUVOIIUUBXDWKX
      IWTXRYJYKUVMUUDUUEXCPYLYJYOUVMYSUVNWTIXTUUBXEXFXIYJXTYBYJXTYLTZYJYBYSTXGX
      HXJXQXOYCXTAYHYJYCYTTUVPXKXHIYDYEXLXM $.
  $}

  ${
    3dvdsdec.a $e |- A e. NN0 $.
    3dvdsdec.b $e |- B e. NN0 $.
    $( A decimal number is divisible by three iff the sum of its two "digits"
       is divisible by three.  The term "digits" in its narrow sense is only
       correct if ` A ` and ` B ` actually are digits (i.e. nonnegative
       integers less than 10).  However, this theorem holds for arbitrary
       nonnegative integers ` A ` and ` B ` , especially if ` A ` is itself a
       decimal number, e.g., ` A = ; C D ` .  (Contributed by AV, 14-Jun-2021.)
       (Revised by AV, 8-Sep-2021.) $)
    3dvdsdec $p |- ( 3 || ; A B <-> 3 || ( A + B ) ) $=
      ( c3 cdc cdvds wbr c9 cmul co caddc c1 eqcomi oveq1i 9cn cz wcel 3z mp2an
      dfdec10 9p1e10 ax-1cn nn0cni adddiri mulid2i oveq2i 3eqtri mulcli addassi
      cc0 breq2i wa wb nn0zi zaddcl 9nn zmulcl dvdsmul1 3t3e9 3cn mulassi eqtri
      nnzi breqtrri pm3.2i dvdsadd2b mp3an bitr4i ) EABFZGHEIAJKZABLKZLKZGHZEVL
      GHZVJVMEGVJMUKFZAJKZBLKVKALKZBLKVMABUAVQVRBLVQIMLKZAJKVKMAJKZLKVRVPVSAJVS
      VPUBNOIMAPUCACUDZUEVTAVKLAWAUFUGUHOVKABIAPWAUIWABDUDUJUHULEQRZVLQRZVKQRZE
      VKGHZUMVOVNUNSAQRZBQRWCACUOZBDUOABUPTWDWEIQRWFWDIUQVDWGIAURTEEEAJKZJKZVKG
      WBWHQRZEWIGHSWBWFWJSWGEAURTEWHUSTVKEEJKZAJKWIIWKAJWKIUTNOEEAVAVAWAVBVCVEV
      FEVLVKVGVHVI $.

    3dvds2dec.c $e |- C e. NN0 $.
    $( A decimal number is divisible by three iff the sum of its three "digits"
       is divisible by three.  The term "digits" in its narrow sense is only
       correct if ` A ` , ` B ` and ` C ` actually are digits (i.e. nonnegative
       integers less than 10).  However, this theorem holds for arbitrary
       nonnegative integers ` A ` , ` B ` and ` C ` .  (Contributed by AV,
       14-Jun-2021.)  (Revised by AV, 1-Aug-2021.) $)
    3dvds2dec $p |- ( 3 || ; ; A B C <-> 3 || ( ( A + B ) + C ) ) $=
      ( c3 cdc cdvds c1 cmul co caddc c9 oveq1i nn0cni 3eqtri wcel cz mp2an wbr
      cc0 c2 cexp 3dec sq10e99m1 9nn0 deccl ax-1cn adddiri oveq2i 9p1e10 eqcomi
      mulid2i 9cn oveq12i cc wceq mulcli wa oveq1d mp4an addcli addassi 9t11e99
      add4 1nn0 mulassi eqtri adddii 3t3e9 3cn breq2i wb 3z nn0zi zaddcl zmulcl
      dvdsmul1 pm3.2i dvdsadd2b mp3an bitr4i ) GABHCHZIUAGGGJJHZAKLZBMLZKLZKLZA
      BMLZCMLZMLZIUAZGWKIUAZWDWLGIWDJUBHZUCUDLZAKLZWOBKLZMLZCMLNNHZAKLZAMLZNBKL
      ZBMLZMLZCMLZWLABCDEUEWSXECMWQXBWRXDMWQWTJMLZAKLXAJAKLZMLXBWPXGAKUFOWTJAWT
      NNUGUGUHPZUIADPZUJXHAXAMAXJUNUKQWRNJMLZBKLXCJBKLZMLXDWOXKBKXKWOULUMONJBUO
      UIBEPZUJXLBXCMBXMUNUKQUPOXFXAXCMLZWJMLZCMLZXNWKMLWLXAUQRZAUQRZXCUQRZBUQRZ
      XFXPURWTAXIXJUSZXJNBUOXMUSZXMXQXRUTXSXTUTUTXEXOCMXAAXCBVFVAVBXNWJCXAXCYAY
      BVCABXJXMVCCFPVDXNWIWKMXNNWFKLZXCMLZNWGKLZWIXAYCXCMXANWEKLZAKLYCWTYFAKYFW
      TVEUMONWEAUOWEJJVGVGUHZPZXJVHVIOYEYDNWFBUOWEAYHXJUSZXMVJUMYEGGKLZWGKLWINY
      JWGKYJNVKUMOGGWGVLVLWFBYIXMVCVHVIQOQQVMGSRZWKSRZWISRZGWIIUAZUTWNWMVNVOWJS
      RZCSRYLASRZBSRZYOADVPZBEVPZABVQTCFVPWJCVQTYMYNYKWHSRZYMVOYKWGSRZYTVOWFSRZ
      YQUUAWESRYPUUBWEYGVPYRWEAVRTYSWFBVQTGWGVRTZGWHVRTYKYTYNVOUUCGWHVSTVTGWKWI
      WAWBWC $.
  $}

  ${
    $d A k $.  $d F k $.  $d ph k x $.
    fprodfvdvdsd.a $e |- ( ph -> A e. Fin ) $.
    fprodfvdvdsd.b $e |- ( ph -> A C_ B ) $.
    fprodfvdvdsd.f $e |- ( ph -> F : B --> ZZ ) $.
    $( A finite product of integers is divisible by any of its factors being
       function values.  (Contributed by AV, 1-Aug-2021.) $)
    fprodfvdvdsd $p |- ( ph
                         -> A. x e. A ( F ` x ) || prod_ k e. A ( F ` k ) ) $=
      ( cv cprod cdvds cmul wcel wa cz adantr sselda ffvelrnd wceq cfv wbr wral
      csn cdif co cfn diffi syl wf ssdifssd adantlr fprodzcl dvdsmul2 ralrimiva
      syl2anc wn cin neldifsnd disjsn sylibr cun difsnid eqcomd adantl wss zcnd
      c0 fprodsplit cc simpr fveq2 prodsn oveq2d eqtrd breq2d ralbidva mpbird )
      ABJZFUAZCEJZFUAZEKZLUBZBCUCVTCVSUDZUEZWBEKZVTMUFZLUBZBCUCAWIBCAVSCNZOZWGP
      NVTPNWIWKWFWBEWKCUGNZWFUGNAWLWJGQZCWEUHUIAWAWFNZWBPNWJAWNODPWAFADPFUJZWNI
      QAWFDWAACDWEHUKRSULUMWKDPVSFAWOWJIQZACDVSHRSZWGVTUNUPUOAWDWIBCWKWCWHVTLWK
      WCWGWEWBEKZMUFWHWKWFWEWBCEWKVSWFNUQWFWEURVHTWKVSCUSWFVSUTVAWJCWFWEVBZTAWJ
      WSCCVSVCVDVEWMWKWACNZOZWBXADPWAFWKWOWTWPQWKCDWAACDVFWJHQRSVGVIWKWRVTWGMWK
      WJVTVJNWRVTTAWJVKWKVTWQVGWBVTEVSCWAVSFVLVMUPVNVOVPVQVR $.
  $}

  ${
    $d A k $.  $d ph k x $.
    fproddvdsd.f $e |- ( ph -> A e. Fin ) $.
    fproddvdsd.s $e |- ( ph -> A C_ ZZ ) $.
    $( A finite product of integers is divisible by any of its factors.
       (Contributed by AV, 14-Aug-2020.)  (Proof shortened by AV,
       2-Aug-2021.) $)
    fproddvdsd $p |- ( ph -> A. x e. A x || prod_ k e. A k ) $=
      ( cv cprod cdvds wbr wral cid cz cfv wcel wa wceq fvresi syl eqcomd wf wi
      cres wf1o f1oi f1of mp1i fprodfvdvdsd sselda adantr imp prodeq2dv breq12d
      sseld ralbidva mpbird ) ABGZCDGZDHZIJZBCKUQLMUCZNZCURVANZDHZIJZBCKABCMDVA
      EFMMVAUDMMVAUAAMUEMMVAUFUGUHAUTVEBCAUQCOZPZUQVBUSVDIVGVBUQVGUQMOVBUQQACMU
      QFUIMUQRSTVGCURVCDVGURCOZPZVCURVIURMOZVCURQVGVHVJAVHVJUBVFACMURFUNUJUKMUR
      RSTULUMUOUP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Even and odd numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The set ` ZZ ` of integers can be partitioned into the set of even numbers
  and the set of odd numbers, see ~ zeo4 .  Instead of defining new class
  variables ` Even ` and ` Odd ` to represent these sets, we use the idiom
  ` 2 || N ` to say that "` N ` is _even_" (which implies ` N e. ZZ `, see
  ~ evenelz ) and ` -. 2 || N  ` to say that "` N ` is _odd_" (under the
  assumption that ` N e. ZZ `).  The previously proven theorems about even and
  odd numbers, like ~ zneo , ~ zeo , ~ zeo2 , etc. use different
  representations, which are equivalent to the representations using the
  divides relation, see ~ evend2 and ~ oddp1d2 .  The corresponding theorems
  are ~ zeneo , ~ zeo3 and ~ zeo4 .

$)

  $( An even number is an integer.  This follows immediately from the reverse
     closure of the divides relation, see ~ dvdszrcl .  (Contributed by AV,
     22-Jun-2021.) $)
  evenelz $p |- ( 2 || N -> N e. ZZ ) $=
    ( c2 cdvds wbr cz wcel dvdszrcl simprd ) BACDBEFAEFBAGH $.

  $( An integer is even or odd.  With this representation of even and odd
     integers, this variant of ~ zeo follows immediately from the law of
     excluded middle, see ~ exmidd .  (Contributed by AV, 17-Jun-2021.) $)
  zeo3 $p |- ( N e. ZZ -> ( 2 || N \/ -. 2 || N ) ) $=
    ( cz wcel c2 cdvds wbr exmidd ) ABCDAEFG $.

  $( An integer is even or odd but not both.  With this representation of even
     and odd integers, this variant of ~ zeo2 follows immediately from the
     principle of double negation, see ~ notnotb .  (Contributed by AV,
     17-Jun-2021.) $)
  zeo4 $p |- ( N e. ZZ -> ( 2 || N <-> -. -. 2 || N ) ) $=
    ( c2 cdvds wbr wn wb cz wcel notnotb a1i ) BACDZKEEFAGHKIJ $.

  $( No even integer equals an odd integer (i.e. no integer can be both even
     and odd).  Exercise 10(a) of [Apostol] p. 28.  This variant of ~ zneo
     follows immediately from the fact that a contradiction implies anything,
     see ~ pm2.21i .  (Contributed by AV, 22-Jun-2021.) $)
  zeneo $p |- ( ( A e. ZZ /\ B e. ZZ )
                -> ( ( 2 || A /\ -. 2 || B ) -> A =/= B ) ) $=
    ( c2 cdvds wbr wn wa wne wi cz wcel nbrne1 a1i ) CADECBDEFGABHIAJKBJKGCABDL
    M $.

  ${
    $d j k $.  $d j m $.  $d j n $.  $d j x $.  $d j y $.  $d k m $.  $d k y $.
    $d m n $.  $d m x $.  $d m y $.  $d N j $.  $d N k $.  $d N n $.  $d n x $.
    $d n y $.  $d k x $.
    $( Lemma for ~ odd2np1 .  (Contributed by Scott Fenton, 3-Apr-2014.)
       (Revised by Mario Carneiro, 19-Apr-2014.) $)
    odd2np1lem $p |- ( N e. NN0 -> (
      E. n e. ZZ ( ( 2 x. n ) + 1 ) = N \/ E. k e. ZZ ( k x. 2 ) = N ) ) $=
      ( vy c2 cv cmul co c1 caddc wceq cz wrex wo cc0 eqeq2 rexbidv eqeq1d wcel
      2cn vj vx vm orbi12d weq oveq2 oveq1d cbvrexvw bitrdi oveq1 mul02i rspcev
      0z mp2an olci cn0 orcom wa cc zcn mulcom sylancl adantl eqid mpan2 eqeq2d
      syl5ibcom sylbid rexlimdva peano2z mulid2i a1i oveq12d df-2 oveq2i eqtrdi
      wi ax-1cn adddir mp3an23 mulcl mpan addass 3eqtr4d syl2an2 orim12d syl5bi
      syl nn0ind ) EBFZGHZIJHZUAFZKZBLMZAFZEGHZWMKZALMZNWLOKZBLMZWQOKZALMZNEUBF
      ZGHZIJHZUCFZKZUBLMZDFZEGHZXGKZDLMZNZWLXGIJHZKZBLMZWQXOKZALMZNZWLCKZBLMZWQ
      CKZALMZNUAUCCWMOKZWOXAWSXCYEWNWTBLWMOWLPQYEWRXBALWMOWQPQUDUAUCUEZWOXIWSXM
      YFWOWLXGKZBLMXIYFWNYGBLWMXGWLPQYGXHBUBLBUBUEZWLXFXGYHWKXEIJWJXDEGUFUGRUHU
      IYFWSWQXGKZALMXMYFWRYIALWMXGWQPQYIXLADLADUEWQXKXGWPXJEGUJRUHUIUDWMXOKZWOX
      QWSXSYJWNXPBLWMXOWLPQYJWRXRALWMXOWQPQUDWMCKZWOYBWSYDYKWNYABLWMCWLPQYKWRYC
      ALWMCWQPQUDXCXAOLSOEGHZOKZXCUMETUKXBYMAOLWPOKWQYLOWPOEGUJRULUNUOXNXMXINXG
      UPSZXTXIXMUQYNXMXQXIXSYNXLXQDLYNXJLSZURZXLEXJGHZXGKZXQYPXKYQXGYOXKYQKZYNY
      OXJUSSEUSSZYSXJUTTXJEVAVBVCRYOYRXQVQYNYOWLYQIJHZKZBLMZYRXQYOUUAUUAKZUUCUU
      AVDUUBUUDBXJLBDUEZWLUUAUUAUUEWKYQIJWJXJEGUFUGRULVEYRUUBXPBLYRUUAXOWLYQXGI
      JUJVFQVGVCVHVIYNXHXSUBLYNXDLSZURWQXFIJHZKZALMZXHXSUUFXDIJHZLSYNUUJEGHZUUG
      KZUUIXDVJUUFUULYNUUFXDUSSZUULXDUTUUMXDEGHZIEGHZJHZXEIIJHZJHZUUKUUGUUMUUPX
      EEJHUURUUMUUNXEUUOEJUUMYTUUNXEKTXDEVAVEUUOEKUUMETVKVLVMEUUQXEJVNVOVPUUMIU
      SSZYTUUKUUPKVRTXDIEVSVTUUMXEUSSZUUGUURKZYTUUMUUTTEXDWAWBUUTUUSUUSUVAVRVRX
      EIIWCVTWHWDWHVCUUHUULAUUJLWPUUJKWQUUKUUGWPUUJEGUJRULWEXHUUHXRALXHUUGXOWQX
      FXGIJUJVFQVGVIWFWGWI $.
  $}

  ${
    $d k n x y N $.
    $( An integer is odd iff it is one plus twice another integer.
       (Contributed by Scott Fenton, 3-Apr-2014.)  (Revised by Mario Carneiro,
       19-Apr-2014.) $)
    odd2np1 $p |- ( N e. ZZ ->
     ( -. 2 || N <-> E. n e. ZZ ( ( 2 x. n ) + 1 ) = N ) ) $=
      ( vk cz wcel c2 cmul co wceq wrex c1 caddc wb wa cneg syl 2cn cmin ax-1cn
      cc vx vy cdvds wbr wn cv 2z divides notbid wo cr elznn0 odd2np1lem adantl
      mpan cn0 peano2z znegcl ad2antlr zcn mulcl peano2cn simpl negcon2 syl2anc
      recnd eqcom sylancr mulcli mp3an23 2t1e2 oveq1i 2m1e1 eqtri eqtr2di adddi
      addsubass oveq2i mp3an13 oveq1d eqtr4d negeqd zcnd mulneg2 sylancl eqeq1d
      negsubdi syl5bb bitrd biimpa oveq2 rspcev rexlimdva2 recn syl2anr mulneg1
      bitr4id oveq1 orim12d impel jaodan sylbi cdiv halfnz reeanv mulcom eqeq2d
      eqtr3 subadd mp3an3 subcl cc0 2cnne0 divmul ancoms subdi mp3an1 syl2an wi
      wne w3a zsubcl eleq1 syl5ibcom sylbird sylbid rexlimivv sylbir mto pm5.17
      syl5 bicom bitri sylanblc ) BDEZFBUCUDZUECUFZFGHZBIZCDJZUEZFAUFZGHZKLHZBI
      ZADJZYOYPYTFDEYOYPYTMUGCFBUHUOUIYOUUFYTUJZUUFYTNZUEZUUAUUFMZYOBUKEZBUPEZB
      OZUPEZUJNUUGBULUUKUULUUGUUNUULUUGUUKCABUMUNUUKFUAUFZGHZKLHZUUMIZUADJZUBUF
      ZFGHZUUMIZUBDJZUJUUGUUNUUKUUSUUFUVCYTUUKUURUUFUADUUKUUODEZNZUURNUUOKLHZOZ
      DEZFUVGGHZKLHZBIZUUFUVDUVHUUKUURUVDUVFDEUVHUUOUQZUVFURPUSUVEUURUVKUVEUURB
      UUQOZIZUVKUVEUUQTEZBTEZUURUVNMUVDUVOUUKUVDUUOTEZUVOUUOUTZUVQUUPTEZUVOFTEZ
      UVQUVSQFUUOVAZUOUUPVBPPUNUVEBUUKUVDVCVFUUQBVDVEUVNUVMBIUVEUVKBUVMVGUVEUVM
      UVJBUVDUVMUVJIUUKUVDUVMFUVFGHZKRHZOZUVJUVDUUQUWCUVDUUQUUPFKGHZLHZKRHZUWCU
      VDUWGUUPUWEKRHZLHZUUQUVDUVSUWGUWIIZUVDUVTUVQUVSQUVRUWAVHUVSUWETEKTEZUWJFK
      QSVISUUPUWEKVQVJPUWHKUUPLUWHFKRHKUWEFKRVKVLVMVNVRVOUVDUWBUWFKRUVDUVQUWBUW
      FIZUVRUVTUVQUWKUWLQSFUUOKVPVSPVTWAWBUVDUVJUWBOZKLHZUWDUVDUVIUWMKLUVDUVTUV
      FTEZUVIUWMIQUVDUVFUVLWCZFUVFWDVHVTUVDUWBTEZUWKUWDUWNIUVDUVTUWOUWQQUWPFUVF
      VAVHSUWBKWGWEWAWAUNWFWHWIWJUUEUVKAUVGDUUBUVGIZUUDUVJBUWRUUCUVIKLUUBUVGFGW
      KVTWFWLVEWMUUKUVBYTUBDUUKUUTDEZNZUVBNUUTOZDEZUXAFGHZBIZYTUWSUXBUUKUVBUUTU
      RUSUWTUVBUXDUWTUVBBUVAOZIZUXDUWSUVATEZUVPUVBUXFMUUKUWSUUTTEZUVTUXGUUTUTZQ
      UUTFVAWEBWNUVABVDWOUWTUXFUXEBIUXDBUXEVGUWTUXCUXEBUWSUXCUXEIZUUKUWSUXHUVTU
      XJUXIQUUTFWPWEUNWFWQWIWJYSUXDCUXADYQUXAIYRUXCBYQUXAFGWRWFWLVEWMWSUBUAUUMU
      MWTXAXBUUHKFXCHZDEZXDUUHUUEYSNZCDJADJUXLUUEYSACDDXEUXMUXLACDDUXMUUDYRIZUU
      BDEZYQDEZNZUXLUUDYRBXHUXQUXNUUDFYQGHZIZUXLUXPUXNUXSMUXOUXPYRUXRUUDUXPYQTE
      ZUVTYRUXRIYQUTZQYQFXFWEXGUNUXQUXSUXRUUCRHZKIZUXLUXPUXRTEZUUCTEZUYCUXSMZUX
      OUXPUVTUXTUYDQUYAFYQVAVHUXOUVTUUBTEZUYEQUUBUTZFUUBVAVHUYDUYEUWKUYFSUXRUUC
      KXIXJWOUXQUYCYQUUBRHZUXKIZUXLUXOUYGUXTUYJUYCMUXPUYHUYAUYGUXTNZUYJFUYIGHZK
      IZUYCUXTUYGUYJUYMMZUXTUYGNUYITEZUYNYQUUBXKUWKUYOUVTFXLXTNZUYNSXMUYJUXKUYI
      IUWKUYOUYPYAUYMUYIUXKVGKUYIFXNWHVSPXOUYKUYLUYBKUXTUYGUYLUYBIZUVTUXTUYGUYQ
      QFYQUUBXPXQXOWFWIXRUXPUXOUYJUXLXSUXPUXONUYIDEUYJUXLYQUUBYBUYIUXKDYCYDXOYE
      YEYFYKYGYHYIUUGUUINUUFUUAMUUJUUFYTYJUUFUUAYLYMYNWI $.

    $( An integer is even iff it is twice another integer.  (Contributed by AV,
       25-Jun-2020.) $)
    even2n $p |- ( 2 || N <-> E. n e. ZZ ( 2 x. n ) = N ) $=
      ( c2 cdvds wbr cz wcel cv cmul co wceq wrex evenelz wa a1i zmulcld adantr
      2z id wb eleq1 adantl mpbid rexlimiva divides 2cnd mulcomd eqeq1d rexbiia
      zcn bitrdi mpan pm5.21nii ) CBDEZBFGZCAHZIJZBKZAFLZBMURUOAFUPFGZURNUQFGZU
      OUTVAURUTCUPCFGZUTROUTSPQURVAUOTUTUQBFUAUBUCUDVBUOUNUSTRVBUONUNUPCIJZBKZA
      FLUSACBUEVDURAFUTVCUQBUTUPCUPUJUTUFUGUHUIUKULUM $.

    $( An integer is odd iff its predecessor is even.  (Contributed by Mario
       Carneiro, 5-Sep-2016.) $)
    oddm1even $p |- ( N e. ZZ -> ( -. 2 || N <-> 2 || ( N - 1 ) ) ) $=
      ( vn cz wcel c2 cv cmul co c1 caddc wceq wrex cmin cdvds wn wa simpl zcnd
      wbr 1cnd 2cnd simpr mulcld subadd2d mulcomd eqeq1d syl5bb bitr3d rexbidva
      eqcom odd2np1 wb 2z peano2zm divides sylancr 3bitr4d ) ACDZEBFZGHZIJHAKZB
      CLUSEGHZAIMHZKZBCLZEANSOEVCNSZURVAVDBCURUSCDZPZVCUTKZVAVDVHAIUTVHAURVGQRV
      HTVHEUSVHUAZVHUSURVGUBRZUCUDVIUTVCKVHVDVCUTUJVHUTVBVCVHEUSVJVKUEUFUGUHUIB
      AUKURECDVCCDVFVEULUMAUNBEVCUOUPUQ $.

    $( An integer is odd iff its successor is even.  (Contributed by Mario
       Carneiro, 5-Sep-2016.) $)
    oddp1even $p |- ( N e. ZZ -> ( -. 2 || N <-> 2 || ( N + 1 ) ) ) $=
      ( cz wcel c2 cdvds wn c1 cmin co caddc oddm1even peano2zm dvdsadd sylancr
      wbr wb 2z 2cnd zcn 1cnd addsub12d 2m1e1 oveq2i eqtrdi breq2d 3bitrd ) ABC
      ZDAEOFDAGHIZEOZDDUHJIZEOZDAGJIZEOAKUGDBCUHBCUIUKPQALDUHMNUGUJULDEUGUJADGH
      IZJIULUGDAGUGRASUGTUAUMGAJUBUCUDUEUF $.

    $d n A $.
    $( The exponential of the negative of a number, when the exponent is odd.
       (Contributed by Mario Carneiro, 25-Apr-2015.)  (Proof shortened by AV,
       10-Jul-2022.) $)
    oexpneg $p |- ( ( A e. CC /\ N e. NN /\ -. 2 || N ) ->
      ( -u A ^ N ) = -u ( A ^ N ) ) $=
      ( vn wcel c2 wbr cmul co c1 wceq cneg cz syl wa cn0 oveq1d expmuld eqtr3d
      cexp a1i cc cn cdvds wn w3a cv caddc wb nnz odd2np1 biimpa 3adant1 simpl1
      wrex cmin simprr simpl2 nncnd 1cnd 2z simprl zmulcl sylancr zcnd subadd2d
      mpbird nnm1nn0 eqeltrrd expcld mulneg2d sqneg negcld cc0 cle crp 2rp zred
      nn0ge0d prodge0rd elnn0z sylanbrc 3eqtr4d expp1d oveq2d negeqd rexlimddv
      2nn0 ) AUADZBUBDZEBUCFUDZUEZECUFZGHZIUGHZBJZAKZBSHZABSHZKZJCLWIWJWOCLUNZW
      HWIWJWTWIBLDWJWTUHBUICBUJMUKULWKWLLDZWONZNZAWMSHZAGHZKZWQWSXCXDWPGHZXFWQX
      CXDAXCAWMWHWIWJXBUMZXCBIUOHZWMOXCXIWMJWOWKXAWOUPZXCBIWMXCBWHWIWJXBUQZURXC
      USXCWMXCELDXAWMLDUTWKXAWOVAZEWLVBVCVDVEVFXCWIXIODXKBVGMVHZVIXHVJXCWPWMSHZ
      WPGHZXGWQXCXNXDWPGXCWPESHZWLSHAESHZWLSHXNXDXCXPXQWLSXCWHXPXQJXHAVKMPXCWPE
      WLXCAXHVLZXCXAVMWLVNFWLODXLXCEWLEVODXCVPTXCWLXLVQXCWMXMVRVSWLVTWAZEODXCWG
      TZQXCAEWLXHXSXTQWBPXCWPWNSHXOWQXCWPWMXRXMWCXCWNBWPSXJWDRRRXCXEWRXCAWNSHXE
      WRXCAWMXHXMWCXCWNBASXJWDRWERWF $.
  $}

  $( An integer is 0 modulo 2 iff it is even (i.e. divisible by 2), see example
     2 in [ApostolNT] p. 107.  (Contributed by AV, 21-Jul-2021.) $)
  mod2eq0even $p |- ( N e. ZZ -> ( ( N mod 2 ) = 0 <-> 2 || N ) ) $=
    ( cz wcel c2 cdvds wbr cmo co cc0 wceq cn wb 2nn dvdsval3 mpan bicomd ) ABC
    ZDAEFZADGHIJZDKCQRSLMDANOP $.

  ${
    $d N n $.
    $( An integer is 1 modulo 2 iff it is odd (i.e. not divisible by 2), see
       example 3 in [ApostolNT] p. 107.  (Contributed by AV, 24-May-2020.)
       (Proof shortened by AV, 5-Jul-2020.) $)
    mod2eq1n2dvds $p |- ( N e. ZZ -> ( ( N mod 2 ) = 1 <-> -. 2 || N ) ) $=
      ( vn cz wcel c2 cmo co c1 wceq cmul caddc cdiv wa cc0 cr 2rp oveq1d eqtrd
      syl a1i cv wrex cdvds wbr wn wo wi zeo crp zre mod0 sylancl biimpar eqeq1
      wb wne 0ne1 eqneqall syl6bi expcom cmin peano2zm cc xp1d2m1eqxm1d2 eleq1d
      mpi zcn biimpd mpan9 oveq2 adantl zcnd 2cnd 2ne0 divcan2d npcan1 ad2antlr
      rspcedeq1vd ex jaoi mpcom oveq1 eqcoms mulcomd mulmod0 mpan2 0p1e1 eqtrdi
      a1d 2z id zmulcld zred 1red modaddmod syl3anc clt 2re 1lt2 pm3.2i 3eqtr3d
      1mod mp1i sylan9eqr rexlimdva2 impbid odd2np1 bitr4d ) ACDZAEFGZHIZEBUAZJ
      GZHKGZAIZBCUBZEAUCUDUEXIXKXPAELGCDZAHKGELGZCDZUFXIXKXPUGZAUHXQXIXTUGXSXIX
      QXTXIXQMXJNIZXTXIYAXQXIAODEUIDZYAXQUOAUJPAEUKULUMYAXKNHIZXPXJNHUNYCNHUPXP
      UQXPNHURVFUSSUTXSXIXTXSXIMZXPXKYDBAHVAGZELGZCXNAXSXRHVAGZCDZXIYFCDZXRVBXI
      YHYIXIYGYFCXIAVCDZYGYFIAVGZAVDSVEVHVIYDXLYFIZMZXNEYFJGZHKGZAYMXMYNHKYLXMY
      NIYDXLYFEJVJVKQXIYOAIXSYLXIYOYEHKGZAXIYNYEHKXIYEEXIYEAVBVLXIVMENUPXIVNTVO
      QXIYJYPAIYKAVPSRVQRVRWIVSVTWAXIXOXKBCXOXIXLCDZMXJXNEFGZHXJYRIAXNAXNEFWBWC
      YQYRHIXIYQXMEFGZHKGZEFGZHEFGZYRHYQYTHEFYQYTNHKGHYQYSNHKYQYSXLEJGZEFGZNYQX
      MUUCEFYQEXLYQVMXLVGWDQYQYBUUDNIPXLEWEWFRQWGWHQYQXMODHODYBUUAYRIYQXMYQEXLE
      CDYQWJTYQWKWLWMYQWNYBYQPTXMHEWOWPEODZHEWQUDZMUUBHIYQUUEUUFWRWSWTEXBXCXAVK
      XDXEXFBAXGXH $.
  $}

  ${
    $d N n $.
    $( A nonnegative integer is odd iff it is one plus twice another
       nonnegative integer.  (Contributed by AV, 19-Jun-2021.) $)
    oddnn02np1 $p |- ( N e. NN0 -> ( -. 2 || N
                                  <-> E. n e. NN0 ( ( 2 x. n ) + 1 ) = N ) ) $=
      ( cn0 wcel cv c2 cmul co c1 caddc wceq wa cz wrex wbr wi cc0 cle elnn0z
      wb cdvds wn 2tnp1ge0ge0 biimpd imdistani expcom syl6ibr simplbiim syl6bir
      eleq1 com13 impcom pm4.71rd bicomd rexbidva wss nn0ssz rexss mp1i odd2np1
      nn0z syl 3bitr4rd ) BCDZAEZCDZFVEGHIJHZBKZLZAMNZVHAMNZVHACNZFBUAOUBZVDVIV
      HAMVDVEMDZLZVHVIVOVHVFVNVDVHVFPVHVDVNVFVHVDVGCDZVNVFPZVGBCUJVPVGMDQVGROZV
      QVGSVRVNVNQVEROZLZVFVNVRVTVNVRVSVNVRVSVEUCUDUEUFVESUGUHUIUKULUMUNUOCMUPVL
      VJTVDUQVHACMURUSVDBMDVMVKTBVAABUTVBVC $.

    $( An integer greater than one is odd iff it is one plus twice a positive
       integer.  (Contributed by AV, 16-Aug-2021.)  (Proof shortened by AV,
       9-Jul-2022.) $)
    oddge22np1 $p |- ( N e. ( ZZ>= ` 2 ) -> ( -. 2 || N
                                   <-> E. n e. NN ( ( 2 x. n ) + 1 ) = N ) ) $=
      ( c2 wcel cn co c1 wa cn0 wrex wbr wi cz cc0 clt cle cr a1i sylbird wb cv
      cuz cfv cmul caddc wceq cdvds wn eleq1 nn0z adantl w3a cmin 2re 1red 2nn0
      eluz2 id nn0mulcld nn0red lesubaddd 2m1e1 breq1i cdiv nn0re crp ledivmuld
      2rp halfgt0 halfre ltletr syl3anc mpani syl5bi com12 3ad2ant3 sylbi elnnz
      imp sylanbrc ex syl6bir com13 impcom pm4.71rd bicomd rexbidva wss nnssnn0
      0red rexss mp1i eluzge2nn0 oddnn02np1 syl 3bitr4rd ) BCUBUCZDZAUAZEDZCWSU
      DFZGUEFZBUFZHZAIJZXCAIJZXCAEJZCBUGKUHZWRXDXCAIWRWSIDZHZXCXDXJXCWTXIWRXCWT
      LXCWRXIWTXCWRXBWQDZXIWTLXBBWQUIXKXIWTXKXIHWSMDZNWSOKZWTXIXLXKWSUJUKXKXIXM
      XKCMDZXBMDZCXBPKZULXIXMLZCXBUQXPXNXQXOXIXPXMXIXPCGUMFZXAPKZXMXICGXACQDXIU
      NRXIUOZXIXAXICWSCIDXIUPRXIURUSUTVAXSGXAPKZXIXMXRGXAPVBVCXIYAGCVDFZWSPKZXM
      XIGWSCXTWSVEZCVFDXIVHRVGXINYBOKZYCXMVIXINQDYBQDZWSQDYEYCHXMLXIWJYFXIVJRYD
      NYBWSVKVLVMSVNSVOVPVQVSWSVRVTWAWBWCWDWEWFWGEIWHXGXETWRWIXCAEIWKWLWRBIDXHX
      FTBWMABWNWOWP $.

    $( A nonnegative integer is even iff it is twice another nonnegative
       integer.  (Contributed by AV, 12-Aug-2021.)  (Proof shortened by AV,
       10-Jul-2022.) $)
    evennn02n $p |- ( N e. NN0
                      -> ( 2 || N <-> E. n e. NN0 ( 2 x. n ) = N ) ) $=
      ( cn0 wcel cv c2 cmul co wceq wa cz wrex cdvds wbr wi eleq1 cc0 cle a1i
      wb simpr crp 2rp cr zre adantl nn0ge0 adantr prodge0rd elnn0z sylanbrc ex
      syl6bir com13 impcom pm4.71rd bicomd rexbidva nn0ssz mp1i even2n 3bitr4rd
      wss rexss ) BCDZAEZCDZFVFGHZBIZJZAKLZVIAKLZVIACLZFBMNZVEVJVIAKVEVFKDZJZVI
      VJVPVIVGVOVEVIVGOVIVEVOVGVIVEVHCDZVOVGOVHBCPVQVOVGVQVOJZVOQVFRNVGVQVOUAVR
      FVFFUBDVRUCSVOVFUDDVQVFUEUFVQQVHRNVOVHUGUHUIVFUJUKULUMUNUOUPUQURCKVCVMVKT
      VEUSVIACKVDUTVNVLTVEABVASVB $.

    $( A positive integer is even iff it is twice another positive integer.
       (Contributed by AV, 12-Aug-2021.) $)
    evennn2n $p |- ( N e. NN -> ( 2 || N <-> E. n e. NN ( 2 x. n ) = N ) ) $=
      ( cn wcel cv c2 cmul co wceq wa cz wrex cdvds wbr wi cc0 clt cr a1i wb ex
      eleq1 simpr cle 2re zre adantl 0le2 nngt0 prodgt0 syl22anc elnnz sylanbrc
      adantr syl6bir com13 impcom pm4.71rd bicomd rexbidva wss nnssz rexss mp1i
      even2n 3bitr4rd ) BCDZAEZCDZFVHGHZBIZJZAKLZVKAKLZVKACLZFBMNZVGVLVKAKVGVHK
      DZJZVKVLVRVKVIVQVGVKVIOVKVGVQVIVKVGVJCDZVQVIOVJBCUBVSVQVIVSVQJZVQPVHQNZVI
      VSVQUCVTFRDZVHRDZPFUDNZPVJQNZWAWBVTUESVQWCVSVHUFUGWDVTUHSVSWEVQVJUIUNFVHU
      JUKVHULUMUAUOUPUQURUSUTCKVAVOVMTVGVBVKACKVCVDVPVNTVGABVESVF $.
  $}

  ${
    $d A k $.
    $( A number which is twice an integer increased by 1 is odd.  (Contributed
       by AV, 16-Jul-2021.) $)
    2tp1odd $p |- ( ( A e. ZZ /\ B = ( ( 2 x. A ) + 1 ) ) -> -. 2 || B ) $=
      ( vk cz wcel c2 cmul co c1 caddc wceq wa cdvds wbr wn cv wrex id adantl
      wb oveq2 oveq1d eqeq1d eqidd rspcedvd 2z a1i zmulcld peano2zd odd2np1 syl
      mpbird adantr breq2 mtbird ) ADEZBFAGHZIJHZKZLFBMNZFURMNZUPVAOZUSUPVBFCPZ
      GHZIJHZURKZCDQZUPVFURURKZCADUPRZVCAKZVFVHTUPVJVEURURVJVDUQIJVCAFGUAUBUCSU
      PURUDUEUPURDEVBVGTUPUQUPFAFDEUPUFUGVIUHUICURUJUKULUMUSUTVATUPBURFMUNSUO
      $.
  $}

  $( An integer multiplied with its successor divided by 2 yields an integer,
     i.e. an integer multiplied with its successor is even.  (Contributed by
     AV, 19-Jul-2021.) $)
  mulsucdiv2z $p |- ( N e. ZZ -> ( ( N x. ( N + 1 ) ) / 2 ) e. ZZ ) $=
    ( c2 cdiv co cz wcel c1 caddc wo cmul wa zmulcl wb cc syl3anc eleq1d adantl
    wceq mpbird ex zeo peano2z sylan2 cc0 wne zcn zcnd 2cnne0 a1i ancoms divass
    wi div23 jaoi mpcom ) ABCDZEFZAGHDZBCDZEFZIAEFZAURJDBCDZEFZAUAUQVAVCULUTUQV
    AVCUQVAKVCUPURJDZEFZVAUQUREFVEAUBZUPURLUCVAVCVEMUQVAVBVDEVAANFZURNFZBNFBUDU
    EKZVBVDRAUFZVAURVFUGZVIVAUHUIZAURBUMOPQSTUTVAVCUTVAKVCAUSJDZEFZVAUTVNAUSLUJ
    VAVCVNMUTVAVBVMEVAVGVHVIVBVMRVJVKVLAURBUKOPQSTUNUO $.

  ${
    $d N k $.
    $( A squared odd number minus 1 divided by 8 is an integer.  (Contributed
       by AV, 19-Jul-2021.) $)
    sqoddm1div8z $p |- ( ( N e. ZZ /\ -. 2 || N )
                         -> ( ( ( N ^ 2 ) - 1 ) / 8 ) e. ZZ ) $=
      ( vk cz wcel c2 cdvds wbr wn wa cv cmul co caddc wceq wrex cexp cmin cdiv
      c1 c8 odd2np1 biimpa eqcom sqoddm1div8 adantll mulsucdiv2z eqeltrd syl5bi
      ad2antlr ex rexlimdva mpd ) ACDZEAFGHZIZEBJZKLSMLZANZBCOZAEPLSQLTRLZCDZUM
      UNUSBAUAUBUOURVABCURAUQNZUOUPCDZIZVAUQAUCVDVBVAVDVBIUTUPUPSMLKLERLZCVCVBU
      TVENUOAUPUDUEVCVECDUOVBUPUFUIUGUJUHUKUL $.
  $}

  $( A number which is twice an integer is even.  (Contributed by AV,
     16-Jul-2021.) $)
  2teven $p |- ( ( A e. ZZ /\ B = ( 2 x. A ) ) -> 2 || B ) $=
    ( cz wcel c2 cmul co wceq wa cdvds wbr 2z dvdsmul1 mpan adantr breq2 adantl
    wb mpbird ) ACDZBEAFGZHZIEBJKZEUAJKZTUDUBECDTUDLEAMNOUBUCUDRTBUAEJPQS $.

  $( An integer is either even or odd, version of ~ zeo3 avoiding the negation
     of the representation of an odd number.  (Proposed by BJ, 21-Jun-2021.)
     (Contributed by AV, 26-Jun-2020.) $)
  zeo5 $p |- ( N e. ZZ -> ( 2 || N \/ 2 || ( N + 1 ) ) ) $=
    ( cz wcel c2 cdvds wbr c1 caddc co wo zeo3 oddp1even bicomd orbi2d mpbird
    wn ) ABCZDAEFZDAGHIEFZJRRPZJAKQSTRQTSALMNO $.

  $( An integer is even iff its quotient with 2 is an integer.  This is a
     representation of even numbers without using the divides relation, see
     ~ zeo and ~ zeo2 .  (Contributed by AV, 22-Jun-2021.) $)
  evend2 $p |- ( N e. ZZ -> ( 2 || N <-> ( N / 2 ) e. ZZ ) ) $=
    ( c2 cz wcel cc0 wne cdvds wbr cdiv co wb 2z 2ne0 dvdsval2 mp3an12 ) BCDBEF
    ACDBAGHABIJCDKLMBANO $.

  $( An integer is odd iff its successor divided by 2 is an integer.  This is a
     representation of odd numbers without using the divides relation, see
     ~ zeo and ~ zeo2 .  (Contributed by AV, 22-Jun-2021.) $)
  oddp1d2 $p |- ( N e. ZZ -> ( -. 2 || N <-> ( ( N + 1 ) / 2 ) e. ZZ ) ) $=
    ( cz wcel c2 cdvds wbr wn c1 caddc co cdiv oddp1even cc0 wb 2z 2ne0 peano2z
    wne dvdsval2 mp3an12i bitrd ) ABCZDAEFGDAHIJZEFZUCDKJBCZALDBCDMRUBUCBCUDUEN
    OPAQDUCSTUA $.

  $( Alternate characterizations of an odd number.  (Contributed by AV,
     7-Jun-2020.) $)
  zob $p |- ( N e. ZZ -> ( ( ( N + 1 ) / 2 ) e. ZZ
                              <-> ( ( N - 1 ) / 2 ) e. ZZ ) ) $=
    ( cz wcel c1 caddc co c2 cdiv cmin peano2zm peano2z cc wceq zcnd npcan1 syl
    halfcld eqcomd eleq1d syl5ibr impbid2 zcn xp1d2m1eqxm1d2 bitrd ) ABCZADEFZG
    HFZBCZUGDIFZBCZADIFGHFZBCUEUHUJUGJUJUHUEUIDEFZBCUIKUEUGULBUEULUGUEUGLCULUGM
    UEUFUEUFAKNQUGOPRSTUAUEUIUKBUEALCUIUKMAUBAUCPSUD $.

  $( An integer is odd iff its predecessor divided by 2 is an integer.  This is
     another representation of odd numbers without using the divides relation.
     (Contributed by AV, 18-Jun-2021.)  (Proof shortened by AV,
     22-Jun-2021.) $)
  oddm1d2 $p |- ( N e. ZZ -> ( -. 2 || N <-> ( ( N - 1 ) / 2 ) e. ZZ ) ) $=
    ( cz wcel c2 cdvds wbr wn c1 caddc co cdiv cmin oddp1d2 zob bitrd ) ABCDAEF
    GAHIJDKJBCAHLJDKJBCAMANO $.

  ${
    $d M n $.  $d N n $.
    $( An integer is less than half of an odd number iff it is less than or
       equal to the half of the predecessor of the odd number (which is an even
       number).  (Contributed by AV, 29-Jun-2021.) $)
    ltoddhalfle $p |- ( ( N e. ZZ /\ -. 2 || N /\ M e. ZZ )
                        -> ( M < ( N / 2 ) <-> M <_ ( ( N - 1 ) / 2 ) ) ) $=
      ( vn cz wcel c2 wbr cdiv co clt c1 cle wb wceq wi wa cr a1i adantr cc w3a
      cdvds wn cmin cv cmul caddc wrex odd2np1 halfre 1red 3jca halflt1 axltadd
      mpisyl adantl readdcld peano2z zred syl3anc mpan2d zleltp1 ancoms sylibrd
      zre lttr cc0 halfgt0 jca ltaddpos syl mpbii lelttr impbid wne 1cnd 2cnne0
      zcn muldivdir breq2d 2z id zmulcld zcnd pncan1 oveq1d 2cnd divcan3d eqtrd
      2ne0 3bitr4d oveq1 bibi12d syl5ibcom ex com23 rexlimdva sylbid 3imp ) BDE
      ZFBUBGUCZADEZABFHIZJGZABKUDIZFHIZLGZMZWTXAFCUEZUFIZKUGIZBNZCDUHXBXHOZCBUI
      WTXLXMCDWTXIDEZPXBXLXHXNXBXLXHOZOWTXNXBXOXNXBPZAXKFHIZJGZAXKKUDIZFHIZLGZM
      XLXHXPAXIKFHIZUGIZJGZAXILGZXRYAXPYDYEXPYDAXIKUGIZJGZYEXPYDYCYFJGZYGXPYBQE
      ZKQEZXIQEZUAZYBKJGYHXNYLXBXNYIYJYKYIXNUJRZXNUKXIVEZULSUMYBKXIUNUOXPAQEZYC
      QEZYFQEZYDYHPYGOXBYOXNAVEUPZXNYPXBXNXIYBYNYMUQSZXNYQXBXNYFXIURUSSAYCYFVFU
      TVAXBXNYEYGMAXIVBVCVDXPYEXIYCJGZYDXPVGYBJGZYTVHXPYIYKPZUUAYTMXNUUBXBXNYIY
      KYMYNVISYBXIVJVKVLXPYOYKYPYEYTPYDOYRXNYKXBYNSYSAXIYCVMUTVAVNXNXRYDMXBXNXQ
      YCAJXNXITEKTEFTEFVGVOZPZXQYCNXIVRZXNVPUUDXNVQRXIKFVSUTVTSXPXTXIALXPXTXJFH
      IZXIXPXSXJFHXPXJTEZXSXJNXNUUGXBXNXJXNFXIFDEXNWARXNWBWCWDSXJWEVKWFXNUUFXIN
      XBXNXIFUUEXNWGUUCXNWJRWHSWIVTWKXLXRXDYAXGXLXQXCAJXKBFHWLVTXLXTXFALXLXSXEF
      HXKBKUDWLWFVTWMWNWOUPWPWQWRWS $.

    $( An integer is greater than half of an odd number iff it is greater than
       or equal to the half of the odd number.  (Contributed by AV,
       1-Jul-2021.) $)
    halfleoddlt $p |- ( ( N e. ZZ /\ -. 2 || N /\ M e. ZZ )
                        -> ( ( N / 2 ) <_ M <-> ( N / 2 ) < M ) ) $=
      ( vn cz wcel c2 wbr cdiv co cle clt wb c1 caddc wi wa cc0 cxr cc breq1d
      cdvds wn cv cmul wceq wrex odd2np1 cioo w3a 0xr 1xr rexri 3pm3.2i halfgt0
      halfre halflt1 pm3.2i elioo3g mpbir2an zltaddlt1le mp3an3 wne adantr 1cnd
      zcn 2cnne0 a1i muldivdir syl3anc 3bitr4rd oveq1 syl5ibcom ex adantl com23
      bibi12d rexlimdva sylbid 3imp ) BDEZFBUAGUBZADEZBFHIZAJGZWCAKGZLZVTWAFCUC
      ZUDIMNIZBUEZCDUFWBWFOZCBUGVTWIWJCDVTWGDEZPWBWIWFWKWBWIWFOZOVTWKWBWLWKWBPZ
      WHFHIZAJGZWNAKGZLWIWFWMWGMFHIZNIZAKGZWRAJGZWPWOWKWBWQQMUHIEZWSWTLXAQREZMR
      EZWQREZUIQWQKGZWQMKGZPXBXCXDUJUKWQUOULUMXEXFUNUPUQQMWQURUSWQWGAUTVAWMWNWR
      AKWMWGSEZMSEFSEFQVBPZWNWRUEWKXGWBWGVEVCWMVDXHWMVFVGWGMFVHVIZTWMWNWRAJXITV
      JWIWOWDWPWEWIWNWCAJWHBFHVKZTWIWNWCAKXJTVPVLVMVNVOVQVRVS $.
  $}

  ${
    $d A a b c $.  $d B a b c $.
    $( The sum of two odds is even.  (Contributed by Scott Fenton, 7-Apr-2014.)
       (Revised by Mario Carneiro, 19-Apr-2014.) $)
    opoe $p |- ( ( ( A e. ZZ /\ -. 2 || A ) /\ ( B e. ZZ /\ -. 2 || B ) ) ->
       2 || ( A + B ) ) $=
      ( va vb cz wcel c2 cdvds wbr wn caddc co wa cmul c1 wceq wrex 2cn ax-1cn
      cc cv odd2np1 bi2anan9 reeanv 2z zaddcl peano2zd dvdsmul1 zcn addcl adddi
      sylancr syl mp3an1 oveq1d eqtrd 2t1e2 df-2 eqtri oveq2i eqtrdi mulcl mpan
      mp3an13 add4 mpanr12 syl2an breqtrd oveq12 breq2d syl5ibcom sylbir syl6bi
      rexlimivv imp an4s ) AEFZBEFZGAHIJZGBHIJZGABKLZHIZVQVRMZVSVTMZWBWCWDGCUAZ
      NLZOKLZAPZCEQZGDUAZNLZOKLZBPZDEQZMZWBVQVSWIVRVTWNCAUBDBUBUCWOWHWMMZDEQCEQ
      WBWHWMCDEEUDWPWBCDEEWEEFZWJEFZMZGWGWLKLZHIWPWBWSGGWEWJKLZOKLZNLZWTHWSGEFX
      BEFGXCHIUEWSXAWEWJUFUGGXBUHULWQWETFZWJTFZXCWTPWRWEUIWJUIXDXEMZXCWFWKKLZOO
      KLZKLZWTXFXCXGGONLZKLZXIXFXCGXANLZXJKLZXKXFXATFZXCXMPZWEWJUJGTFZXNOTFZXOR
      SGXAOUKVDUMXFXLXGXJKXPXDXEXLXGPRGWEWJUKUNUOUPXJXHXGKXJGXHUQURUSUTVAXDWFTF
      ZWKTFZXIWTPZXEXPXDXRRGWEVBVCXPXEXSRGWJVBVCXRXSMXQXQXTSSWFWKOOVEVFVGUPVGVH
      WPWTWAGHWGAWLBKVIVJVKVNVLVMVOVP $.

    $( The difference of two odds is even.  (Contributed by Scott Fenton,
       7-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    omoe $p |- ( ( ( A e. ZZ /\ -. 2 || A ) /\ ( B e. ZZ /\ -. 2 || B ) ) ->
       2 || ( A - B ) ) $=
      ( va vb cz wcel c2 cdvds wbr wn cmin co wa cv cmul c1 wceq wrex cc 2cn 2z
      caddc odd2np1 bi2anan9 reeanv zsubcl dvdsmul1 sylancr mpan ax-1cn pnpcan2
      zcn mulcl mp3an3 syl2an mp3an1 eqtr4d breqtrrd oveq12 syl5ibcom rexlimivv
      subdi breq2d sylbir syl6bi imp an4s ) AEFZBEFZGAHIJZGBHIJZGABKLZHIZVHVIMZ
      VJVKMZVMVNVOGCNZOLZPUBLZAQZCERZGDNZOLZPUBLZBQZDERZMZVMVHVJVTVIVKWECAUCDBU
      CUDWFVSWDMZDERCERVMVSWDCDEEUEWGVMCDEEVPEFZWAEFZMZGVRWCKLZHIWGVMWJGGVPWAKL
      ZOLZWKHWJGEFWLEFGWMHIUAVPWAUFGWLUGUHWHVPSFZWASFZWKWMQWIVPULWAULWNWOMWKVQW
      BKLZWMWNVQSFZWBSFZWKWPQZWOGSFZWNWQTGVPUMUIWTWOWRTGWAUMUIWQWRPSFWSUJVQWBPU
      KUNUOWTWNWOWMWPQTGVPWAVBUPUQUOURWGWKVLGHVRAWCBKUSVCUTVAVDVEVFVG $.

    $( The sum of an odd and an even is odd.  (Contributed by Scott Fenton,
       7-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    opeo $p |- ( ( ( A e. ZZ /\ -. 2 || A ) /\ ( B e. ZZ /\ 2 || B ) ) ->
      -. 2 || ( A + B ) ) $=
      ( vc va vb cz wcel c2 cdvds wbr wa caddc co cmul c1 wceq wrex mpan cc 2cn
      wn cv odd2np1 wb 2z divides bi2anan9 reeanv zaddcl zcn adddi mp3an1 mulcl
      oveq1d ax-1cn mp3an3 syl2an mulcom adantl oveq2d 3eqtrd syl2anc syl5ibcom
      add32 oveq2 eqeq1d rspcev oveq12 eqeq2d rexbidv rexlimivv sylbir imp an4s
      syl6bi ad2ant2r syl mpbird ) AFGZHAIJUAZKBFGZHBIJZKKZHABLMZIJUAZHCUBZNMZO
      LMZWDPZCFQZVSWAVTWBWJVSWAKZVTWBKZWJWKWLHDUBZNMZOLMZAPZDFQZEUBZHNMZBPZEFQZ
      KZWJVSVTWQWAWBXADAUCHFGWAWBXAUDUEEHBUFRUGXBWPWTKZEFQDFQWJWPWTDEFFUHXCWJDE
      FFWMFGZWRFGZKZWHWOWSLMZPZCFQZXCWJXFWMWRLMZFGHXJNMZOLMZXGPZXIWMWRUIXDWMSGZ
      WRSGZXMXEWMUJWRUJXNXOKZXLWNHWRNMZLMZOLMZWOXQLMZXGXPXKXROLHSGZXNXOXKXRPTHW
      MWRUKULUNXNWNSGZXQSGZXSXTPZXOYAXNYBTHWMUMRYAXOYCTHWRUMRYBYCOSGYDUOWNXQOVD
      UPUQXPXQWSWOLXOXQWSPZXNYAXOYETHWRURRUSUTVAUQXHXMCXJFWFXJPZWHXLXGYFWGXKOLW
      FXJHNVEUNVFVGVBXCXHWICFXCXGWDWHWOAWSBLVHVIVJVCVKVLVOVMVNWCWDFGZWEWJUDVSWA
      YGVTWBABUIVPCWDUCVQVR $.

    $( The difference of an odd and an even is odd.  (Contributed by Scott
       Fenton, 7-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    omeo $p |- ( ( ( A e. ZZ /\ -. 2 || A ) /\ ( B e. ZZ /\ 2 || B ) ) ->
      -. 2 || ( A - B ) ) $=
      ( vc va vb cz wcel c2 cdvds wa cmin co cmul c1 caddc wceq wrex mpan 2cn
      cc wn cv odd2np1 wb 2z divides bi2anan9 reeanv zsubcl subdi mp3an1 oveq1d
      wbr mulcl ax-1cn addsub mp3an2 syl2an mulcom oveq2d adantl 3eqtr2d eqeq1d
      zcn oveq2 rspcev syl2anc oveq12 eqeq2d rexbidv syl5ibcom rexlimivv sylbir
      syl6bi imp an4s ad2ant2r syl mpbird ) AFGZHAIUMUAZJBFGZHBIUMZJJZHABKLZIUM
      UAZHCUBZMLZNOLZWEPZCFQZVTWBWAWCWKVTWBJZWAWCJZWKWLWMHDUBZMLZNOLZAPZDFQZEUB
      ZHMLZBPZEFQZJZWKVTWAWRWBWCXBDAUCHFGWBWCXBUDUEEHBUFRUGXCWQXAJZEFQDFQWKWQXA
      DEFFUHXDWKDEFFWNFGZWSFGZJZWIWPWTKLZPZCFQZXDWKXGWNWSKLZFGHXKMLZNOLZXHPZXJW
      NWSUIXEWNTGZWSTGZXNXFWNVDWSVDXOXPJZXMWOHWSMLZKLZNOLZWPXRKLZXHXQXLXSNOHTGZ
      XOXPXLXSPSHWNWSUJUKULXOWOTGZXRTGZYAXTPZXPYBXOYCSHWNUNRYBXPYDSHWSUNRYCNTGY
      DYEUOWONXRUPUQURXPYAXHPXOXPXRWTWPKYBXPXRWTPSHWSUSRUTVAVBURXIXNCXKFWGXKPZW
      IXMXHYFWHXLNOWGXKHMVEULVCVFVGXDXIWJCFXDXHWEWIWPAWTBKVHVIVJVKVLVMVNVOVPWDW
      EFGZWFWKUDVTWBYGWAWCABUIVQCWEUCVRVS $.
  $}

  $( 2 divides 0.  That means 0 is even.  (Contributed by AV, 11-Feb-2020.)
     (Revised by AV, 23-Jun-2021.) $)
  z0even $p |- 2 || 0 $=
    ( c2 cz wcel cc0 cdvds wbr 2z dvds0 ax-mp ) ABCADEFGAHI $.

  $( 2 does not divide 1.  That means 1 is odd.  (Contributed by David A.
     Wheeler, 8-Dec-2018.)  (Proof shortened by Steven Nguyen, 3-May-2023.) $)
  n2dvds1 $p |- -. 2 || 1 $=
    ( c2 c1 cdvds wbr cdiv co cz wcel halfnz wb 1z evend2 ax-mp mtbir ) ABCDZBA
    EFGHZIBGHOPJKBLMN $.

  $( 2 does not divide -1.  That means -1 is odd.  (Contributed by AV,
     15-Aug-2021.) $)
  n2dvdsm1 $p |- -. 2 || -u 1 $=
    ( c2 c1 cneg cdvds wbr wn caddc co z0even ax-1cn 1pneg1e0 addcomli breqtrri
    cc0 neg1cn cz wcel wb neg1z oddp1even ax-mp mpbir ) ABCZDEFZAUCBGHZDEZANUED
    IBUCNJOKLMUCPQUDUFRSUCTUAUB $.

  $( 2 divides 2.  That means 2 is even.  (Contributed by AV, 12-Feb-2020.)
     (Revised by AV, 23-Jun-2021.) $)
  z2even $p |- 2 || 2 $=
    ( c2 cz wcel cdvds wbr 2z iddvds ax-mp ) ABCAADEFAGH $.

  $( 2 does not divide 3.  That means 3 is odd.  (Contributed by AV,
     28-Feb-2021.)  (Proof shortened by Steven Nguyen, 3-May-2023.) $)
  n2dvds3 $p |- -. 2 || 3 $=
    ( c2 c3 cdvds wbr cdiv co cz wcel 3halfnz wb 3z evend2 ax-mp mtbir ) ABCDZB
    AEFGHZIBGHOPJKBLMN $.

  $( 2 divides 4.  That means 4 is even.  (Contributed by AV, 23-Jul-2020.)
     (Revised by AV, 4-Jul-2021.) $)
  z4even $p |- 2 || 4 $=
    ( c2 cmul co c4 cdvds cz wcel wbr 2z dvdsmul1 mp2an 2t2e4 breqtri ) AAABCZD
    EAFGZOANEHIIAAJKLM $.

  $( An integer which is divisible by 4 is divisible by 2, that is, is even.
     (Contributed by AV, 4-Jul-2021.) $)
  4dvdseven $p |- ( 4 || N -> 2 || N ) $=
    ( c4 cdvds wbr c2 cz wcel w3a wa 2z a1i 4z dvdszrcl simprd 3jca z4even jctl
    dvdstr sylc ) BACDZEFGZBFGZAFGZHEBCDZTIEACDTUAUBUCUATJKUBTLKTUBUCBAMNOTUDPQ
    EBARS $.

  ${
    $d N n $.
    $( Exponentiation of -1 by an even power.  Variant of ~ m1expeven .
       (Contributed by AV, 25-Jun-2021.) $)
    m1expe $p |- ( 2 || N -> ( -u 1 ^ N ) = 1 ) $=
      ( vn c2 cdvds wbr cv cmul co wceq cz wrex c1 cneg cexp even2n wcel eqcoms
      oveq2 m1expeven sylan9eqr rexlimiva sylbi ) CADECBFZGHZAIZBJKLMZANHZLIZBA
      OUEUHBJUEUCJPUGUFUDNHZLUGUIIAUDAUDUFNRQUCSTUAUB $.

    $( Exponentiation of -1 by an odd power.  (Contributed by AV,
       26-Jun-2021.) $)
    m1expo $p |- ( ( N e. ZZ /\ -. 2 || N ) -> ( -u 1 ^ N ) = -u 1 ) $=
      ( vn cz wcel c2 cdvds wbr wn c1 cneg cexp co wceq cmul caddc wrex odd2np1
      cv neg1cn a1i wa oveq2 eqcoms cc cc0 neg1ne0 2z zmulcld expp1zd m1expeven
      wne id oveq1d mulid2i eqtrdi eqtrd adantl sylan9eqr rexlimdva2 sylbid imp
      ) ACDZEAFGHZIJZAKLZVDMZVBVCEBRZNLZIOLZAMZBCPVFBAQVBVJVFBCVJVBVGCDZUAVEVDV
      IKLZVDVEVLMAVIAVIVDKUBUCVKVLVDMVBVKVLVDVHKLZVDNLZVDVKVDVHVDUDDVKSTVDUEUKV
      KUFTVKEVGECDVKUGTVKULUHUIVKVNIVDNLVDVKVMIVDNVGUJUMVDSUNUOUPUQURUSUTVA $.

    $( Exponentiation of negative one is one iff the exponent is even.
       (Contributed by AV, 20-Jun-2021.) $)
    m1exp1 $p |- ( N e. ZZ -> ( ( -u 1 ^ N ) = 1 <-> 2 || N ) ) $=
      ( vn c2 cz wcel c1 cexp co wceq wb wa cmul wrex 2z oveq2 eqcoms sylan9eqr
      eqtrd cc0 a1i cdvds wbr cneg cv divides mpan zcn mulcomd oveq2d m1expeven
      2cnd rexlimiva syl6bi impcom simpl 2thd ax-1ne0 eqcom ax-1cn eqnegi bitri
      wn nemtbir caddc odd2np1 cc neg1cn wne neg1ne0 id zmulcld expp1zd mulid2i
      oveq1d eqtrdi eqeq1d mtbiri 2falsed pm2.61ian ) CAUAUBZADEZFUCZAGHZFIZVTJ
      VTWAKWDVTWAVTWDWAVTBUDZCLHZAIZBDMZWDCDEZWAVTWHJNBCAUEUFWGWDBDWGWEDEZWCWBW
      FGHZFWCWKIAWFAWFWBGOPWJWKWBCWELHZGHZFWJWFWLWBGWJWECWEUGWJUKUHUIWEUJZRQULU
      MUNVTWAUOUPVTVBZWAKZWDVTWPWDWBFIZWQFSUQWQFWBIFSIWBFURFUSUTVAVCWPWCWBFWAWO
      WCWBIZWAWOWLFVDHZAIZBDMWRBAVEWTWRBDWTWJWCWBWSGHZWBWCXAIAWSAWSWBGOPWJXAWMW
      BLHZWBWJWBWLWBVFEWJVGTWBSVHWJVITWJCWEWIWJNTWJVJVKVLWJXBFWBLHWBWJWMFWBLWNV
      NWBVGVMVORQULUMUNVPVQWOWAUOVRVS $.
  $}

  $( A positive integer is an even nonnegative integer iff it is an even
     positive integer.  (Contributed by AV, 30-May-2020.) $)
  nn0enne $p |- ( N e. NN -> ( ( N / 2 ) e. NN0 <-> ( N / 2 ) e. NN ) ) $=
    ( cn wcel c2 cdiv co cn0 cc0 wceq wo wi elnn0 nncn 2cnd 2ne0 diveq0ad eleq1
    wne a1i com12 0nnn pm2.21i syl6bi sylbid jao1i sylbi nnnn0 impbid1 ) ABCZAD
    EFZGCZUJBCZUKUIULUKULUJHIZJUIULKUJLULUMUIUIUMULUIUMAHIZULUIADAMUINDHRUIOSPU
    NUIULUNUIHBCZULAHBQUOULUAUBUCTUDTUEUFTUJUGUH $.

  $( The half of an even nonnegative integer is a nonnegative integer.
     (Contributed by AV, 22-Jun-2020.)  (Revised by AV, 28-Jun-2021.)  (Proof
     shortened by AV, 10-Jul-2022.) $)
  nn0ehalf $p |- ( ( N e. NN0 /\ 2 || N ) -> ( N / 2 ) e. NN0 ) $=
    ( cn0 wcel c2 cdvds wbr cdiv co cz wb nn0z evend2 syl cc0 cle nn0re crp 2rp
    wa a1i nn0ge0 divge0d anim1ci elnn0z sylibr ex sylbid imp ) ABCZDAEFZADGHZB
    CZUIUJUKICZULUIAICUJUMJAKALMUIUMULUIUMSUMNUKOFZSULUIUNUMUIADAPDQCUIRTAUAUBU
    CUKUDUEUFUGUH $.

  $( The half of an even positive integer is a positive integer.  (Contributed
     by AV, 28-Jun-2021.) $)
  nnehalf $p |- ( ( N e. NN /\ 2 || N ) -> ( N / 2 ) e. NN ) $=
    ( cn wcel c2 cdvds wbr wa cdiv co cn0 nnnn0 nn0ehalf sylan wb nn0enne mpbid
    adantr ) ABCZDAEFZGADHIZJCZTBCZRAJCSUAAKALMRUAUBNSAOQP $.

  $( An odd nonnegative integer is positive.  (Contributed by Steven Nguyen,
     25-Mar-2023.) $)
  nn0onn $p |- ( ( N e. NN0 /\ -. 2 || N ) -> N e. NN ) $=
    ( cn0 wcel c2 cdvds wbr wn wa cc0 wne cn wceq z0even mpbiri necon3bi anim2i
    breq2 elnnne0 sylibr ) ABCZDAEFZGZHTAIJZHAKCUBUCTUAAIAILUADIEFMAIDEQNOPARS
    $.

  $( An odd nonnegative integer is either 1 or greater than 2.  (Contributed by
     AV, 2-Jun-2020.) $)
  nn0o1gt2 $p |- ( ( N e. NN0 /\ ( ( N + 1 ) / 2 ) e. NN0 )
                   -> ( N = 1 \/ 2 < N ) ) $=
    ( cn0 wcel c1 caddc co c2 cdiv wceq clt wbr wo cc0 wi wa cz nn0z jaoi com12
    cle cn elnn0 elnnnn0c 1red nn0re leloed wb zltp1le syl2anc 1p1e2 breq1i a1i
    1zzd cr 2re 3bitrd olc 2a1d oveq1 oveq1d eqcoms adantl oveq1i eqtrdi eleq1d
    c3 2p1e3 wn 3halfnz pm2.24d mpi syl6bi expcom sylbid orc sylbi 0p1e1 halfnz
    imp ) ABCZADEFZGHFZBCZADIZGAJKZLZVTAUACZAMIZLWCWFNZAUBWGWIWHWGVTDATKZOWIAUC
    VTWJWIVTWJDAJKZDAIZLZWIVTDAVTUDAUEZUFWMVTWIWKVTWINZWLVTWKWIVTWKWEGAIZLZWIVT
    WKDDEFZATKZGATKZWQVTDPCAPCWKWSUGVTUMAQDAUHUIWSWTUGVTWRGATUJUKULVTGAGUNCVTUO
    ULWNUFUPWQVTWIWEWOWPWEWFVTWCWEWDUQURVTWPWIVTWPOZWCVFGHFZBCZWFXAWBXBBXAWBGDE
    FZGHFZXBWPWBXEIZVTXFAGAGIWAXDGHAGDEUSUTVAVBXDVFGHVGVCVDVEXCXBPCZVHWFVIXCXGW
    FXBQVJVKVLVMRSVNSWLWFVTWCWFADWDWEVOVAURRSVNVSVPWHWCDGHFZBCZWFWHWBXHBWHWADGH
    WHWAMDEFDAMDEUSVQVDUTVEXIXHPCZVHWFVRXIXJWFXHQVJVKVLRVPVS $.

  $( An alternate characterization of an odd integer greater than 1.
     (Contributed by AV, 2-Jun-2020.)  (Proof shortened by AV, 10-Jul-2022.) $)
  nno $p |- ( ( N e. ( ZZ>= ` 2 ) /\ ( ( N + 1 ) / 2 ) e. NN0 )
                    -> ( ( N - 1 ) / 2 ) e. NN ) $=
    ( c2 wcel c1 co cdiv cn0 cmin cn wa wi wceq clt wbr a1d cz syl adantr mpbid
    cr cuz cfv caddc wne eluz2b3 wo nnnn0 nn0o1gt2 sylan eqneqall nn0z peano2zm
    cc0 ad2antlr cmul 2cn mulid2i nnre ltp1d 2re peano2nn nnred mp3an2i expdimp
    lttr mpd eqbrtrid 1red crp 2rp ltmuldivd rehalfcld posdifd adantlr sylanbrc
    a1i elnnz wb cc nncn xp1d2m1eqxm1d2 eleq1d expcom jaoi mpcom impancom sylbi
    imp ) ABUAUBCZADUCEZBFEZGCZADHEBFEZICZWIAICZADUDZJWLWNKAUEWOWLWPWNADLZBAMNZ
    UFZWOWLJZWPWNKZWOAGCWLWSAUGAUHUIWQWTXAKWRWQXAWTWNADUJOWTWRXAWTWRJZWNWPXBWKD
    HEZICZWNXBXCPCZUMXCMNZXDWLXEWOWRWLWKPCXEWKUKWKULQUNWOWRXFWLWOWRJZDWKMNZXFXG
    DBUOEZWJMNXHXGXIBWJMBUPUQXGAWJMNZBWJMNZWOXJWRWOAAURZUSRWOWRXJXKBTCWOATCWJTC
    ZWRXJJXKKUTXLWOWJAVAVBZBAWJVEVCVDVFVGXGDWJBXGVHZWOXMWRXNRBVICXGVJVPVKSXGDWK
    XOWOWKTCWRWOWJXNVLRVMSVNXCVQVOWTXDWNVRZWRWOXPWLWOXCWMIWOAVSCXCWMLAVTAWAQWBR
    RSOWCWDWEWFWGWH $.

  $( An alternate characterization of an odd nonnegative integer.  (Contributed
     by AV, 28-May-2020.)  (Proof shortened by AV, 2-Jun-2020.) $)
  nn0o $p |- ( ( N e. NN0 /\ ( ( N + 1 ) / 2 ) e. NN0 )
                    -> ( ( N - 1 ) / 2 ) e. NN0 ) $=
    ( c1 wceq c2 clt wbr wo cn0 wcel caddc co cdiv wa cmin wi cc0 adantr ex cz
    cr nn0o1gt2 1m1e0 oveq1i 2cn 2ne0 div0i eqtri 0nn0 eqeltri wb oveq1d eleq1d
    oveq1 mpbiri cuz cfv cn cle a1i nn0z ad2antrl 2re nn0re ltle sylancr impcom
    2z eluz2 syl3anbrc simprr jca nno nnnn0 3syl jaoi mpcom ) ABCZDAEFZGAHIZABJ
    KDLKHIZMZABNKZDLKZHIZAUAVQWAWDOVRVQWAWDVQWAMWDBBNKZDLKZHIZWFPHWFPDLKPWEPDLU
    BUCDUDUEUFUGUHUIVQWDWGUJWAVQWCWFHVQWBWEDLABBNUMUKULQUNRVRWAWDVRWAMZADUOUPIZ
    VTMWCUQIWDWHWIVTWHDSIZASIZDAURFZWIWJWHVGUSVSWKVRVTAUTVAWAVRWLVSVRWLOZVTVSDT
    IATIWMVBAVCDAVDVEQVFDAVHVIVRVSVTVJVKAVLWCVMVNRVOVP $.

  $( Alternate characterizations of an odd nonnegative integer.  (Contributed
     by AV, 4-Jun-2020.) $)
  nn0ob $p |- ( N e. NN0 -> ( ( ( N + 1 ) / 2 ) e. NN0
                              <-> ( ( N - 1 ) / 2 ) e. NN0 ) ) $=
    ( wcel c1 caddc co c2 cdiv cmin nn0o wa wceq cc nn0cn xp1d2m1eqxm1d2 eqcomd
    cn0 syl peano2cnm halfcld peano2nn0 nn0cnd addlsub mpbird eqeltrrd impbida
    1cnd adantr adantl ) APBZACDEZFGEZPBACHEZFGEZPBZAIUIUNJUMCDEZUKPUIUOUKKZUNU
    IUPUMUKCHEZKZUIALBZURAMZUSUQUMANOQUIUMCUKUIULUIUSULLBUTARQSUIUFUIUJUIUJATUA
    SUBUCUGUNUOPBUIUMTUHUDUE $.

  $( A positive integer is odd iff its predecessor divided by 2 is a positive
     integer.  (Contributed by AV, 28-Jun-2021.)  (Proof shortened by AV,
     10-Jul-2022.) $)
  nn0oddm1d2 $p |- ( N e. NN0 -> ( -. 2 || N
                                   <-> ( ( N - 1 ) / 2 ) e. NN0 ) ) $=
    ( cn0 wcel c2 cdvds wbr wn c1 caddc co cdiv cz cmin wb nn0z oddp1d2 cc0 cle
    wa a1i syl peano2nn0 nn0red crp 2rp nn0re 1red 0le1 addge0d divge0d anim1ci
    nn0ge0 elnn0z sylibr ex impbid1 nn0ob 3bitrd ) ABCZDAEFGZAHIJZDKJZLCZVBBCZA
    HMJDKJBCUSALCUTVCNAOAPUAUSVCVDUSVCVDUSVCSVCQVBRFZSVDUSVEVCUSVADUSVAAUBUCDUD
    CUSUETUSAHAUFUSUGAULQHRFUSUHTUIUJUKVBUMUNUOVBOUPAUQUR $.

  $( A positive integer is odd iff its successor divided by 2 is a positive
     integer.  (Contributed by AV, 28-Jun-2021.) $)
  nnoddm1d2 $p |- ( N e. NN -> ( -. 2 || N <-> ( ( N + 1 ) / 2 ) e. NN ) ) $=
    ( cn wcel c2 cdvds wbr wn c1 caddc co cdiv cz wb nnz oddp1d2 syl wa cc0 clt
    a1i peano2nn nnred cr 2re nnre 1red nngt0 0lt1 addgt0d 2pos divgt0d anim1ci
    elnnz sylibr ex impbid1 bitrd ) ABCZDAEFGZAHIJZDKJZLCZVABCZURALCUSVBMANAOPU
    RVBVCURVBVCURVBQVBRVASFZQVCURVDVBURUTDURUTAUAUBDUCCURUDTURAHAUEURUFAUGRHSFU
    RUHTUIRDSFURUJTUKULVAUMUNUOVANUPUQ $.

  ${
    $d A k x y z $.  $d B x y z $.  $d ph k x y z $.
    sumeven.a $e |- ( ph -> A e. Fin ) $.
    sumeven.b $e |- ( ( ph /\ k e. A ) -> B e. ZZ ) $.
    ${
      sumeven.e $e |- ( ( ph /\ k e. A ) -> 2 || B ) $.
      $( If every term in a sum is even, then so is the sum.  (Contributed by
         AV, 14-Aug-2021.) $)
      sumeven $p |- ( ph -> 2 || sum_ k e. A B ) $=
        ( vz c2 cv csu cdvds wbr wceq breq2d wcel wa cz wi adantl vx vy csn cun
        c0 sumeq1 cc0 z0even sum0 breqtrri a1i wss cdif csb caddc co w3a 2z cfn
        ssfi expcom adantr mpan9 simpll ssel imp syl2anc fsumzcl eldifi adantlr
        wral ralrimiva rspcsbela 3jca nfcv nfcsb1v nfbr csbeq1a syl2imc anim1ci
        rspc a1d imp32 dvds2add sylc cvv wnel wn eldif df-nel biimpri simplbiim
        vex wo elun com12 elsni eleq1w syl5ibr syl jaoi fsumsplitsnun syl121anc
        syl5bi breqtrrd ex findcard2d ) AIUAJZCDKZLMIUECDKZLMZIUBJZCDKZLMZIXLHJ
        ZUCZUDZCDKZLMZIBCDKZLMUAUBHBXHUENXIXJILXHUECDUFOXHXLNXIXMILXHXLCDUFOXHX
        QNXIXRILXHXQCDUFOXHBNXIXTILXHBCDUFOXKAIUGXJLUHCDUIUJUKAXLBULZXOBXLUMPZQ
        ZQZXNXSYDXNQZIXMDXOCUNZUOUPZXRLYEIRPZXMRPZYFRPZUQZXNIYFLMZQIYGLMYDYKXNY
        DYHYIYJYHYDURUKYDXLCDABUSPZYCXLUSPZEYAYMYNSYBYMYAYNBXLUTVAVBVCZYDDJZXLP
        ZQAYPBPZCRPZAYCYQVDYDYQYRYCYQYRSZAYAYTYBXLBYPVEVBZTVFFVGVHYDXOBPZYSDBVK
        YJYCUUBAYBUUBYAXOBXLVIZTZTYDYSDBAYRYSYCFVJVLDXOBCRVMVGVNVBYDYLXNAYAYBYL
        AYBYLSYAYBUUBAICLMZDBVKYLUUCAUUEDBGVLUUEYLDXOBDIYFLDIVODLVODXOCVPVQYPXO
        NZCYFILDXOCVROWAVSWBWCVTIXMYFWDWEYDXRYGNZXNYDYNXOWFPZXOXLWGZYSDXQVKUUGY
        OUUHYDHWMUKYCUUIAYBUUIYAYBUUBXOXLPWHZUUIXOBXLWIUUIUUJXOXLWJWKWLTTYDYSDX
        QYDYPXQPZQAYRYSAYCUUKVDYDUUKYRYCUUKYRSAUUKYQYPXPPZWNZYCYRYPXLXPWOUUMYCY
        RYQYCYRSZUULYCYQYRUUAWPUULUUFUUNYPXOWQYCYRUUFUUBUUDDHBWRWSWTXAWPXDTVFFV
        GVLXLCDWFXOXBXCVBXEXFEXG $.
    $}

    sumodd.o $e |- ( ( ph /\ k e. A ) -> -. 2 || B ) $.
    $( If every term in a sum is odd, then the sum is even iff the number of
       terms in the sum is even.  (Contributed by AV, 14-Aug-2021.) $)
    sumodd $p |- ( ph -> ( 2 || ( # ` A ) <-> 2 || sum_ k e. A B ) ) $=
      ( c2 chash cdvds wbr wb wceq breq2d wcel wa wn wi adantl syl2anc vx vy vz
      cv cfv csu cc0 csn cun c0 fveq2 hash0 eqtrdi sumeq1 sum0 bibi12d wss cdif
      biidd c1 caddc co cz wral eldifi adantlr ralrimiva rspcsbela nfcv nfcsb1v
      csb nfbr nfn csbeq1a notbid rspc syl syl5com a1d imp32 adantr ssfi expcom
      jca cfn imp simpll ssel fsumzcl anim1i opeo cc zcnd addcom mpbird ex opoe
      con1d impbid bitr3 bicom 3imtr4g cn0 hashcl nn0zd oddp1even syl5bb bibi1d
      notnotb simprr eldifn hashunsng sylc cvv wnel vex a1i df-nel sylibr com12
      elun elsni eleq1w syl5ibr jaoi sylbi fsumsplitsnun syl121anc notbi bitrdi
      wo 3imtr4d findcard2d ) AHUAUDZIUEZJKZHYNCDUFZJKZLHUGJKZYSLHUBUDZIUEZJKZH
      YTCDUFZJKZLZHYTUCUDZUHZUIZIUEZJKZHUUHCDUFZJKZLZHBIUEZJKZHBCDUFZJKZLUAUBUC
      BYNUJMZYPYSYRYSUURYOUGHJUURYOUJIUEUGYNUJIUKULUMNUURYQUGHJUURYQUJCDUFUGYNU
      JCDUNCDUOUMNUPYNYTMZYPUUBYRUUDUUSYOUUAHJYNYTIUKNUUSYQUUCHJYNYTCDUNNUPYNUU
      HMZYPUUJYRUULUUTYOUUIHJYNUUHIUKNUUTYQUUKHJYNUUHCDUNNUPYNBMZYPUUOYRUUQUVAY
      OUUNHJYNBIUKNUVAYQUUPHJYNBCDUNNUPAYSUSAYTBUQZUUFBYTURZOZPZPZHUUAUTVAVBZJK
      ZQZUUDLZUVIHUUCDUUFCVKZVAVBZJKZQZLZUUEUUMUVFUUDUVILZUVNUVILZUVJUVOUVFUUDU
      VNLUVPUVQRUVFUUDUVNUVFUUDUVNUVFUUDPZUVNHUVKUUCVAVBZJKZQZUVRUVKVCOZHUVKJKZ
      QZPZUUCVCOZUUDPUWAUVFUWEUUDUVFUWBUWDUVFUUFBOZCVCOZDBVDUWBUVEUWGAUVDUWGUVB
      UUFBYTVEZSZSUVFUWHDBADUDZBOZUWHUVEFVFVGDUUFBCVCVHTZAUVBUVDUWDAUVDUWDRUVBA
      HCJKZQZDBVDZUVDUWDAUWODBGVGUVDUWGUWPUWDRUWIUWOUWDDUUFBUWCDDHUVKJDHVIDJVID
      UUFCVJVLVMUWKUUFMZUWNUWCUWQCUVKHJDUUFCVNNVOVPVQVRVSVTWDZWAUVFUWFUUDUVFYTC
      DAUVEYTWEOZABWEOZUVEUWSEUVBUWTUWSRUVDUWTUVBUWSBYTWBWCWAVRWFZUVFUWKYTOZPAU
      WLUWHAUVEUXBWGUVFUXBUWLUVEUXBUWLRZAUVBUXCUVDYTBUWKWHWAZSWFFTWIZWJUVKUUCWK
      TUVFUVNUWALZUUDUVFUUCWLOZUVKWLOZUXFUVFUUCUXEWMUVFUVKUWMWMUXGUXHPZUVMUVTUX
      IUVLUVSHJUUCUVKWNNVOTWAWOWPUVFUUDUVMUVFUUDQZUVMUVFUXJPUWFUXJPUWEUVMUVFUWF
      UXJUXEWJUVFUWEUXJUWRWAUUCUVKWQTWPWRWSUUDUVNUVIWTVQUVIUUDXAUVIUVNXAXBUVFUU
      BUVIUUDUUBUUBQZQUVFUVIUUBXIUVFUXKUVHUVFUUAVCOUXKUVHLUVFUUAUVFUWSUUAXCOUXA
      YTXDVQXEUUAXFVQVOXGXHUVFUUMUVHUVMLUVOUVFUUJUVHUULUVMUVFUUIUVGHJUVFUVDUWSU
      UFYTOQZPUUIUVGMAUVBUVDXJUVFUWSUXLUXAUVEUXLAUVDUXLUVBUUFBYTXKSSZWDYTUUFUVC
      XLXMNUVFUUKUVLHJUVFUWSUUFXNOZUUFYTXOZUWHDUUHVDUUKUVLMUXAUXNUVFUCXPXQUVFUX
      LUXOUXMUUFYTXRXSUVFUWHDUUHUVFUWKUUHOZPAUWLUWHAUVEUXPWGUVFUXPUWLUVEUXPUWLR
      AUXPUVEUWLUXPUXBUWKUUGOZYKUVEUWLRZUWKYTUUGYAUXBUXRUXQUVEUXBUWLUXDXTUXQUWQ
      UXRUWKUUFYBUVEUWLUWQUWGUWJDUCBYCYDVQYEYFXTSWFFTVGYTCDXNUUFYGYHNUPUVHUVMYI
      YJYLEYM $.
  $}

  ${
    $d A k $.  $d ph k $.
    evensumodd.a $e |- ( ph -> A e. Fin ) $.
    evensumodd.b $e |- ( ( ph /\ k e. A ) -> B e. ZZ ) $.
    evensumodd.o $e |- ( ( ph /\ k e. A ) -> -. 2 || B ) $.
    ${
      evensumodd.e $e |- ( ph -> 2 || ( # ` A ) ) $.
      $( If every term in a sum with an even number of terms is odd, then the
         sum is even.  (Contributed by AV, 14-Aug-2021.) $)
      evensumodd $p |- ( ph -> 2 || sum_ k e. A B ) $=
        ( c2 chash cfv cdvds wbr csu sumodd mpbid ) AIBJKLMIBCDNLMHABCDEFGOP $.
    $}

    oddsumodd.a $e |- ( ph -> -. 2 || ( # ` A ) ) $.
    $( If every term in a sum with an odd number of terms is odd, then the sum
       is odd.  (Contributed by AV, 14-Aug-2021.) $)
    oddsumodd $p |- ( ph -> -. 2 || sum_ k e. A B ) $=
      ( c2 chash cfv cdvds wbr csu sumodd mtbid ) AIBJKLMIBCDNLMHABCDEFGOP $.
  $}

  ${
    $d A k l $.  $d N k l $.  $d ph k l $.
    pwp1fsum.a $e |- ( ph -> A e. CC ) $.
    pwp1fsum.n $e |- ( ph -> N e. NN ) $.
    $( The n-th power of a number increased by 1 expressed by a product with a
       finite sum.  (Contributed by AV, 15-Aug-2021.) $)
    pwp1fsum $p |- ( ph -> ( ( ( -u 1 ^ ( N - 1 ) ) x. ( A ^ N ) ) + 1 )
                           = ( ( A + 1 ) x. sum_ k e. ( 0 ... ( N - 1 ) )
                                           ( ( -u 1 ^ k ) x. ( A ^ k ) ) ) ) $=
      ( vl c1 caddc co cc0 cfz cexp cmul csu wcel expcld wceq oveq2d syl neg1cn
      cmin cneg cv 1cnd fzfid wa cc a1i cn0 elfznn0 adantl adantr mulcld fsumcl
      adddird mulcomd mulassd expp1 syl2an eqcomd 3eqtrd sumeq2dv eqtrd mulid2d
      fsummulc2 oveq12d 1zzd 0zd cn nnz peano2zm peano2nn0 oveq2 oveq1 fsumshft
      elfzelz zcnd npcan1 cuz cfv nncnd 0p1e1 fveq2i nnuz eqtr4i 3eltr4d oveq1i
      eleq2i nnm1nn0 nnnn0 expcom elfznn syl11 syl5bi imp fsumm1 pncan1 sumeq1d
      cz weq cbvsumv eqtrdi elnn0uz sylib exp0 ax-mp fsum1p exp0d oveq1d eleq2s
      1t1e1 wi impcom addcomd nnnn0d addcld addassd expp1d mulm1d negidd mul02d
      nncn 3eqtr3d fsumadd wss cfn wo olcd sumz addid1d 3eqtr2d ) ABHIJKDHUBJZL
      JZHUCZCUDZMJZBYPMJZNJZCOZNJZYOYMMJZBDMJZNJZHIJZAUUABYTNJZHYTNJZIJYNYQBYPH
      IJZMJZNJZCOZYTIJZUUEABHYTEAUEZAYNYSCAKYMUFZAYPYNPZUGZYQYRUUPYOYPYOUHPZUUP
      UAUIUUOYPUJPZAYPYMUKZULZQZUUPBYPABUHPZUUOEUMZUUTQZUNZUOZUPAUUFUUKUUGYTIAU
      UFYNBYSNJZCOUUKAYNYSBCUUNEUVEVFAYNUVGUUJCUUPUVGYSBNJYQYRBNJZNJUUJUUPBYSUV
      CUVEUQUUPYQYRBUVAUVDUVCURUUPUVHUUIYQNUUPUUIUVHAUVBUURUUIUVHRUUOEUUSBYPUSU
      TVASVBVCVDAYTUVFVEVGAUULKHIJZYMLJZYOYPHUBJZMJZYRNJZCOZUUDIJZUVJYSCOZHIJZI
      JUVOUVPIJZHIJUUEAUUKUVOYTUVQIAUUKUVIYMHIJZLJZYOGUDZHUBJZMJZBUWBHIJZMJZNJZ
      GOUVTUWCBUWAMJZNJZGOZUVOAUUJUWFCGHKYMAVHAVIADVJPZYMWTPZFUWJDWTPUWKDVKDVLT
      TZUUPYQUUIUVAUUPBUUHUVCUUOUUHUJPZAUUOUURUWMUUSYPVMTULQUNYPUWBRZYQUWCUUIUW
      ENYPUWBYOMVNUWNUUHUWDBMYPUWBHIVOSVGVPAUVTUWFUWHGAUWAUVTPZUGZUWEUWGUWCNUWP
      UWDUWABMUWPUWAUHPZUWDUWARUWOUWQAUWOUWAUWAUVIUVSVQVRULUWAVSTSSVCAUWIUVIUVS
      HUBJZLJZUWHGOZYOUWRMJZBUVSMJZNJZIJUVOAUWHUXCGUVIUVSADVJUVSUVIVTWAZFADUHPU
      VSDRADFWBDVSTZUXDVJRAUXDHVTWAZVJUVIHVTWCWDWEWFUIWGAUWOUWHUHPZUWOUWAHUVSLJ
      ZPZAUXGUVTUXHUWAUVIHUVSLWCWHWIUWAVJPZAUXGUXIAUXJUXGAUXJUGZUWCUWGUXKYOUWBU
      UQUXKUAUIUXJUWBUJPAUWAWJULQUXKBUWAAUVBUXJEUMUXJUWAUJPAUWAWKULQUNWLUWAUVSW
      MWNWOWPUWAUVSRZUWCUXAUWGUXBNUXLUWBUWRYOMUWAUVSHUBVOSUWAUVSBMVNVGWQAUWTUVN
      UXCUUDIAUWTUVJUWHGOUVNAUWSUVJUWHGAUWRYMUVILAYMUHPUWRYMRAYMUWLVRYMWRTZSWSU
      VJUWHUVMGCGCXAZUWCUVLUWGYRNUXNUWBUVKYOMUWAYPHUBVOSUWAYPBMVNVGXBXCAUXAUUBU
      XBUUCNAUWRYMYOMUXMSAUVSDBMUXESVGVGVDVBAYTHBKMJZNJZUVPIJHUVPIJUVQAYSUXPCKY
      MAUWJYMKVTWAPZFUWJYMUJPZUXQDWJZYMXDXETUVEYPKRZYQHYRUXONUXTYQYOKMJZHYPKYOM
      VNUUQUYAHRUAYOXFXGXCYPKBMVNVGXHAUXPHUVPIAUXPHHNJHAUXOHHNABEXISXLXCXJAHUVP
      UUMAUVJYSCAUVIYMUFZYPUVJPZAYSUHPZAUYDXMZYPHYMLJZUVJYPUYFPZYPVJPZUYEYPYMWM
      ZAUYHUYDAUYHUGZYQYRUYJYOYPUUQUYJUAUIZUYHUURAYPWKULZQZUYJBYPAUVBUYHEUMUYLQ
      ZUNWLTUVIHYMLWCWHZXKXNZUOZXOVBVGAUVOUVPHAUVNUUDAUVJUVMCUYBUYCAUVMUHPZAUYR
      XMZYPUYFUVJUYGUYHUYSUYIAUYHUYRUYJUVLYRUYJYOUVKUYKUYHUVKUJPAYPWJZULQZUYNUN
      WLTUYOXKXNZUOZAUUBUUCAYOYMUUQAUAUIAUWJUXRFUXSTQABDEADFXPQUNZXQUYQUUMXRAUV
      RUUDHIAUVRUUDUVNIJZUVPIJUUDUVNUVPIJZIJZUUDAUVOVUEUVPIAUVNUUDVUCVUDXOXJAUU
      DUVNUVPVUDVUCUYQXRAVUGUUDKIJUUDAVUFKUUDIAUVJUVMYSIJZCOUVJKCOZVUFKAUVJVUHK
      CUYCAVUHKRZAVUJXMZYPUYFUVJUYGUYHVUKUYIAUYHVUJUYJUVLYQIJZYRNJKYRNJVUHKUYJV
      ULKYRNUYHVULKRAUYHVULUVLYOUVLNJZIJUVLUVLUCZIJKUYHYQVUMUVLIUYHYQYOUVKHIJZM
      JUVLYONJVUMUYHYPVUOYOMUYHVUOYPUYHYPUHPVUOYPRYPYCYPVSTVASUYHYOUVKUUQUYHUAU
      IZUYTXSUYHUVLYOUYHYOUVKVUPUYTQZVUPUQVBSUYHVUMVUNUVLIUYHUVLVUQXTSUYHUVLVUQ
      YAVBULXJUYJUVLYQYRVUAUYMUYNUPUYJYRUYNYBYDWLTUYOXKXNVCAUVJUVMYSCUYBVUBUYPY
      EAUVJUXFYFZUVJYGPZYHVUIKRAVUSVURUYBYIUVJCHYJTYDSAUUDVUDYKVDVBXJYLVBVA $.

    oddpwp1fsum.n $e |- ( ph -> -. 2 || N ) $.
    $( An odd power of a number increased by 1 expressed by a product with a
       finite sum.  (Contributed by AV, 15-Aug-2021.) $)
    oddpwp1fsum $p |- ( ph -> ( ( A ^ N ) + 1 )
                           = ( ( A + 1 ) x. sum_ k e. ( 0 ... ( N - 1 ) )
                                           ( ( -u 1 ^ k ) x. ( A ^ k ) ) ) ) $=
      ( c1 cneg cmin co cexp cmul caddc cc0 c2 cdvds wbr syl oveq1d cfz cv wceq
      csu wn cz wcel nnzd oddm1even mpbid m1expe pwp1fsum nnnn0d expcld mulid2d
      wb 3eqtr3rd ) AHIZDHJKZLKZBDLKZMKZHNKHVAMKZHNKBHNKOUSUAKURCUBZLKBVDLKMKCU
      DMKVAHNKAVBVCHNAUTHVAMAPUSQRZUTHUCAPDQRUEZVEGADUFUGVFVEUPADFUHDUISUJUSUKS
      TTABCDEFULAVCVAHNAVAABDEADFUMUNUOTUQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The division algorithm
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    divalglem0.1 $e |- N e. ZZ $.
    divalglem0.2 $e |- D e. ZZ $.
    $( Lemma for ~ divalg .  (Contributed by Paul Chapman, 21-Mar-2011.) $)
    divalglem0 $p |- ( ( R e. ZZ /\ K e. ZZ ) -> ( D || ( N - R ) ->
                       D || ( N - ( R - ( K x. ( abs ` D ) ) ) ) ) ) $=
      ( cz wcel wa cmin co cdvds wbr cabs cfv ax-mp wi mp3an3an cc zcn caddc wb
      iddvds dvdsabsb anidms mpbid cn0 nn0abscl nn0zi dvdsmultr2 mp3an13 adantl
      cmul mpi zsubcl mpan zmulcl mpan2 dvds2add mpan2d wceq zcnd subsub breq2d
      sylibrd ) BGHZCGHZIZADBJKZLMZAVICANOZUMKZUAKZLMZADBVLJKJKZLMVHVJAVLLMZVNV
      GVPVFVGAVKLMZVPAGHZVQFVRAALMZVQAUCVRVSVQUBAAUDUEUFPVRVGVKGHZVQVPQFVKVRVKU
      GHFAUHPUIZACVKUJUKUNULVRVFVIGHZVGVLGHZVJVPIVNQFDGHZVFWBEDBUOUPVGVTWCWACVK
      UQURZAVIVLUSRUTVHVOVMALDSHZVFBSHVGVLSHVOVMVAWDWFEDTPBTVGVLWEVBDBVLVCRVDVE
      $.

    divalglem1.3 $e |- D =/= 0 $.
    $( Lemma for ~ divalg .  (Contributed by Paul Chapman, 21-Mar-2011.) $)
    divalglem1 $p |- 0 <_ ( N + ( abs ` ( N x. D ) ) ) $=
      ( cmul co cabs cfv cle wbr cc0 zrei 0re wcel ax-mp cr wb recni abscli wne
      cneg caddc wo letrii c1 cn nnabscl mp2an nnge1 le0neg1 renegcli lemulge11
      cz wa mpanl12 sylanb mpan2 absmuli absnidi oveq1d eqtrid breqtrrd le0neg2
      remulcli absge0i letri sylbi jaoi cmin df-neg breq1i lesubadd2i bitri
      mpbi ) BUBZBAFGZHIZJKZLBVRUCGJKZBLJKZLBJKZUDVSBLBCMZNUEWAVSWBWAVPVPAHIZFG
      ZVRJWAUFWDJKZVPWEJKZWDUGOZWFAUNOALUAWHDEAUHUIWDUJPWALVPJKZWFWGBQOZWAWIRWC
      BUKPVPQOWDQOWIWFUOWGBWCULZAAADMZSZTVPWDUMUPUQURWAVRBHIZWDFGWEBABWCSWMUSWA
      WNVPWDFBWCUTVAVBVCWBVPLJKZVSWJWBWORWCBVDPWOLVRJKVSVQVQBAWCWLVESZVFVPLVRWK
      NVQWPTZVGURVHVIPVSLBVJGZVRJKVTVPWRVRJBVKVLLBVRNWCWQVMVNVO $.

    $d D r $.  $d N r $.
    divalglem2.4 $e |- S = { r e. NN0 | D || ( N - r ) } $.
    $( Lemma for ~ divalg .  (Contributed by Paul Chapman, 21-Mar-2011.)
       (Revised by AV, 2-Oct-2020.) $)
    divalglem2 $p |- inf ( S , RR , < ) e. S $=
      ( cc0 cfv wcel cn0 cmin co cdvds wbr cmul cabs cz ax-mp cuz wss c0 wne cr
      clt cinf cv ssrab3 nn0uz sseqtri caddc zmulcl mp2an nn0abscl nn0zi zaddcl
      cle divalglem1 elnn0z mpbir2an cneg iddvds dvdsabsb anidms mpbid nn0negzi
      wb wi dvdsmultr2 mp3an cc absmuli negeqi df-neg subidi oveq1i wceq nn0cni
      zcn subsub4 3eqtr2ri abscli recni mulneg1i 3eqtr4i breqtrri breq2d elrab2
      oveq2 ne0ii infssuzcl ) BIUAJZUBBUCUDBUEUFUGBKBLWMACDUHZMNZOPZDLBHUIUJUKC
      CAQNZRJZULNZBWSBKWSLKZACWSMNZOPZWTWSSKZIWSURPCSKZWRSKXCEWRWQSKZWRLKXDASKZ
      XEEFCAUMUNWQUOTZUPCWRUQUNACEFGUSWSUTVAACRJZVBZARJZQNZXAOAXJOPZAXKOPZXFXLF
      XFAAOPZXLAVCXFXNXLVHAAVDVEVFTXFXISKXJSKXLXMVIFXHXDXHLKECUOTVGXJXFXJLKFAUO
      TUPAXIXJVJVKTWRVBZXHXJQNZVBXAXKWRXPCAXDCVLKZECVTTZXFAVLKFAVTTZVMVNXOIWRMN
      CCMNZWRMNZXAWRVOXTIWRMCXRVPVQXQXQWRVLKYAXAVRXRXRWRXGVSCCWRWAVKWBXHXJXHCXR
      WCWDXJAXSWCWDWEWFWGWPXBDWSLBWNWSVRWOXAAOWNWSCMWJWHHWIVAWKBIWLUN $.

    $d D q r x z $.  $d N q r x z $.  $d R x $.  $d S z $.
    $( Lemma for ~ divalg .  (Contributed by Paul Chapman, 21-Mar-2011.) $)
    divalglem4 $p |- S = { r e. NN0 | E. q e. ZZ N = ( ( q x. D ) + r ) } $=
      ( cv co caddc wceq cz wrex cn0 wcel cmin cdvds wa vz cmul crab wbr zsubcl
      wb nn0z sylancr divides nn0cn zmulcl mpan2 zcn ax-mp subadd mp3an1 addcom
      cc eqeq1d bitrd syl2an eqcom 3bitr3g rexbidva pm5.32i oveq2 breq2d elrab2
      zcnd eqeq2d rexbidv elrab 3bitr4i eqriv ) UABCEJZAUBKZDJZLKZMZENOZDPUCZUA
      JZPQZACWBRKZSUDZTWCCVPWBLKZMZENOZTWBBQWBWAQWCWEWHWCWEVPWDMZENOZWHWCANQZWD
      NQZWEWJUFGWCCNQZWBNQWLFWBUGCWBUEUHEAWDUIUHWCWIWGENWCVONQZTWDVPMZWFCMZWIWG
      WCWBURQZVPURQZWOWPUFWNWBUJWNVPWNWKVPNQGVOAUKULVIWQWRTZWOWBVPLKZCMZWPCURQZ
      WQWRWOXAUFWMXBFCUMUNCWBVPUOUPWSWTWFCWBVPUQUSUTVAWDVPVBWFCVBVCVDUTVEACVQRK
      ZSUDWEDWBPBVQWBMZXCWDASVQWBCRVFVGIVHVTWHDWBPXDVSWGENXDVRWFCVQWBVPLVFVJVKV
      LVMVN $.

    divalglem5.5 $e |- R = inf ( S , RR , < ) $.
    $( Lemma for ~ divalg .  (Contributed by Paul Chapman, 21-Mar-2011.)
       (Revised by AV, 2-Oct-2020.) $)
    divalglem5 $p |- ( 0 <_ R /\ R < ( abs ` D ) ) $=
      ( vx cc0 cle wbr cn0 wcel cmin co cdvds breq2d cabs cfv clt wa divalglem2
      cr cinf eqeltri cv wceq oveq2 crab cbvrabv eqtri elrab2 simpli nn0ge0i wn
      mpbi cz wne cn nnabscl mp2an nngt0i 0re cc zcn ax-mp abscli ltnlei ssrab3
      cuz wss nn0uz sseqtri nn0abscl nn0sub2 mp3an12 wi nn0z c1 cmul divalglem0
      a1i 1z mpan2 recni mulid2i oveq2i breq2i syl6ib syl imp infssuzle sylancr
      sylanbrc eqbrtrid wb simpld nn0red lesub mp3an3 syl2anc recnd bitrd mpbid
      subidd mto nn0rei mpbir pm3.2i ) LBMNBAUAUBZUCNZBBOPZADBQRZSNZBCPXOXQUDZB
      CUFUCUGZCJACDEFGHIUEUHADKUIZQRZSNZXQKBOCXTBUJYAXPASXTBDQUKTCADEUIZQRZSNZE
      OULYBKOULIYEYBEKOYCXTUJYDYAASYCXTDQUKTUMUNZUOUSZUPZUQXNXMBMNZURYIXMLMNZLX
      MUCNYJURXMAUTPZALVAXMVBPGHAVCVDVELXMVFAYKAVGPGAVHVIVJZVKUSYIBBXMQRZMNZYJY
      IBXSYMMJYICLVMUBZVNYMCPZXSYMMNCOYOYEEOCIVLVOVPYIYMOPZADYMQRZSNZYPXMOPZXOY
      IYQYKYTGAVQVIYHXMBVRVSYIXRYSXRYIYGWEZXOXQYSXOBUTPZXQYSVTBWAUUBXQADBWBXMWC
      RZQRZQRZSNZYSUUBWBUTPXQUUFVTWFABWBDFGWDWGUUEYRASUUDYMDQUUCXMBQXMXMYLWHWIW
      JWJWKWLWMWNWMYBYSKYMOCXTYMUJYAYRASXTYMDQUKTYFUOWQYMCLWOWPWRYIYNXMBBQRZMNZ
      YJYIBUFPZUUIYNUUHWSZYIBYIXOXQUUAWTXAZUUKUUIUUIXMUFPUUJYLBBXMXBXCXDYIUUGLX
      MMYIBYIBUUKXEXHTXFXGXIBXMBYHXJYLVKXKXL $.
  $}

  ${
    divalglem6.1 $e |- A e. NN $.
    divalglem6.2 $e |- X e. ( 0 ... ( A - 1 ) ) $.
    divalglem6.3 $e |- K e. ZZ $.
    $( Lemma for ~ divalg .  (Contributed by Paul Chapman, 21-Mar-2011.) $)
    divalglem6 $p |- ( K =/= 0 ->
                       -. ( X + ( K x. A ) ) e. ( 0 ... ( A - 1 ) ) ) $=
      ( cc0 clt wbr co caddc c1 cmin wcel cle cz wb 0z mp2an cr wne wo cmul cfz
      wn zrei 0re lttri2i w3a nnzi elfzm11 simp3i simp1i nnrei remulcli ltadd1i
      mpbi cneg renegcli wa nnnn0i nn0ge0i lemulge12 an4s mpanl12 lt0neg1 ax-mp
      mpan znegcl zltp1le 0p1e1 breq1i bitri recni mulneg1i oveq2i eqtri suble0
      subnegi bitr3i 3imtr4i readdcli ltletri sylancr ltnlei sylib elfzle1 nsyl
      sylbi simp2i addge02 letri sylancl lenlti simp3bi jaoi ) BGUABGHIZGBHIZUB
      CBAUCJZKJZGALMJZUDJZNZUEZBGBFUFZUGUHWQXDWRWQGWTOIZXCWQWTGHIZXFUEWQWTAWSKJ
      ZHIZXHGOIZXGCAHIZXICPNZGCOIZXKCXBNZXLXMXKUIZEGPNZAPNZXNXOQRADUJZCGAUKSUQZ
      ULCAWSCXLXMXKXSUMUFZADUNZBAXEYAUOZUPUQLBURZOIZAYCAUCJZOIZWQXJYCTNZYDYFBXE
      USZATNZGAOIZYGYDUTYFYAAADVAVBZYIYGYJYDYFAYCVCVDVEVHWQGYCHIZYDBTNZWQYLQXEB
      VFVGYLGLKJZYCOIZYDXPYCPNZYLYOQRBPNZYPFBVIVGGYCVJSYNLYCOVKVLVMVMXJAYEMJZGO
      IZYFYRXHGOYRAWSURZMJXHYEYTAMBABXEVNAYAVNZVOVPAWSUUAWSYBVNVSVQVLYIYETNYSYF
      QYAYCAYHYAUOAYEVRSVTWAWTXHGCWSXTYBWBZAWSYAYBWBUGWCWDWTGUUBUGWEWFWTGXAWGWH
      WRWTAHIZXCWRAWTOIZUUCUEWRAWSOIZWSWTOIZUUDWRLBOIZUUEWRYNBOIZUUGXPYQWRUUHQR
      FGBVJSYNLBOVKVLVMYJUUGUUEYKYIYMYJUUGUTUUEYAXEABVCVEVHWIXMUUFXLXMXKXSWJWST
      NCTNXMUUFQYBXTWSCWKSUQAWSWTYAYBUUBWLWMAWTYAUUBWNWFXCWTPNZXFUUCXPXQXCUUIXF
      UUCUIQRXRWTGAUKSWOWHWPWI $.
  $}

  ${
    divalglem7.1 $e |- D e. ZZ $.
    divalglem7.2 $e |- D =/= 0 $.
    $( Lemma for ~ divalg .  (Contributed by Paul Chapman, 21-Mar-2011.) $)
    divalglem7 $p |- ( ( X e. ( 0 ... ( ( abs ` D ) - 1 ) ) /\ K e. ZZ ) ->
                       ( K =/= 0 -> -. ( X + ( K x. ( abs ` D ) ) ) e.
                                       ( 0 ... ( ( abs ` D ) - 1 ) ) ) ) $=
      ( cc0 co wcel cz wne cmul caddc wn wi cif wceq oveq1 eleq1d notbid 0z cfv
      cabs c1 cmin cfz imbi2d neeq1 oveq2d imbi12d cn nnabscl mp2an cle wbr clt
      0le0 nngt0i w3a wb nnzi elfzm11 mpbir3an elimel divalglem6 dedth2h ) CFAU
      BUAZUCUDGUEGZHZBIHZBFJZCBVFKGZLGZVGHZMZNVJVHCFOZVKLGZVGHZMZNVIBFOZFJZVOVS
      VFKGZLGZVGHZMZNCBFFCVOPZVNVRVJWEVMVQWEVLVPVGCVOVKLQRSUFBVSPZVJVTVRWDBVSFU
      GWFVQWCWFVPWBVGWFVKWAVOLBVSVFKQUHRSUIVFVSVOAIHAFJVFUJHDEAUKULZCFVGFVGHZFI
      HZFFUMUNZFVFUOUNZTUPVFWGUQWIVFIHWHWIWJWKURUSTVFWGUTFFVFVAULVBVCBFITVCVDVE
      $.
  $}

  ${
    $d D q r x z $.  $d N q r x z $.  $d S x z $.  $d X z $.  $d Y z $.
    divalglem8.1 $e |- N e. ZZ $.
    divalglem8.2 $e |- D e. ZZ $.
    divalglem8.3 $e |- D =/= 0 $.
    divalglem8.4 $e |- S = { r e. NN0 | D || ( N - r ) } $.
    $( Lemma for ~ divalg .  (Contributed by Paul Chapman, 21-Mar-2011.) $)
    divalglem8 $p |-
        ( ( ( X e. S /\ Y e. S ) /\ ( X < ( abs ` D ) /\ Y < ( abs ` D ) ) ) ->
          ( K e. ZZ -> ( ( K x. ( abs ` D ) ) = ( Y - X ) -> X = Y ) ) ) $=
      ( wcel clt cz co wceq wi wa cc0 cc vz cabs cfv wbr cmul cmin w3a caddc wb
      cn0 cv cdvds ssrab3 nn0sscn sstri sseli wne cn nnabscl mp2an zmulcl mpan2
      nnzi subadd syl3an 3com12 eqcom 3bitr3g 3adant1r 3adant2r wn c1 cfz breq1
      eleq1 imbi12d cle elnn0z sylib anim1i df-3an sylibr 0z elfzm11 ex vtoclga
      zcnd biimpd sylan9 impancom 3ad2ant2 divalglem7 sylan 3adant2 con2d df-ne
      imp syld con2bii syl6ibr sylbid oveq1 mul02i eqtrdi eqeq1d biimpac subeq0
      nncni syl2anr syl5ib ad2ant2r 3adant3 expd mpdd 3expia an4s ) EBLZEAUBUCZ
      MUDZFBLZFXRMUDZCNLZCXRUEOZFEUFOZPZEFPZQZQXQXSRZXTYARZYBYGYHYIYBUGZYECSPZY
      FYJYEFEYCUHOZPZYKYHXTYBYEYMUIZYAXQXTYBYNXSXQXTYBUGYDYCPZYLFPZYEYMXTXQYBYO
      YPUIZXTFTLZXQETLZYBYCTLYQBTFBUJTADGUKUFOULUDGUJBKUMZUNUOZUPZBTEUUAUPZYBYC
      YBXRNLZYCNLXRANLASUQXRURLIJAUSUTZVCZCXRVAVBWGFEYCVDVEVFYDYCVGYLFVGVHVIVJY
      JYMCSUQZVKZYKYJYMYLSXRVLUFOVMOZLZUUHYIYHYMUUJQYBXTYMYAUUJXTYAFUUILZYMUUJU
      AUKZXRMUDZUULUUILZQZYAUUKQUAFBUULFPUUMYAUUNUUKUULFXRMVNUULFUUIVOVPUULBLZU
      UMUUNUUPUUMRZUULNLZSUULVQUDZUUMUGZUUNUUQUURUUSRZUUMRUUTUUPUVAUUMUUPUULUJL
      UVABUJUULYTUPUULVRVSVTUURUUSUUMWAWBSNLUUDUUNUUTUIWCUUFUULSXRWDUTWBWEZWFYM
      UUKUUJFYLUUIVOWHWIWJWKYJUUGUUJYHYBUUGUUJVKQZYIYHEUUILZYBUVCXQXSUVDUUOXSUV
      DQUAEBUULEPUUMXSUUNUVDUULEXRMVNUULEUUIVOVPUVBWFWQACEIJWLWMWNWOWRUUGYKCSWP
      WSWTXAYJYEYKYFYHYIYEYKRZYFQZYBXQXTUVFXSYAUVESYDPZXQXTRZYFYKYEUVGYKYCSYDYK
      YCSXRUEOSCSXRUEXBXRXRUUEXHXCXDXEXFUVHYDSPZFEPZUVGYFXTYRYSUVIUVJUIXQUUBUUC
      FEXGXIYDSVGFEVGVHXJXKXLXMXNXOXP $.

    ${
      $d D k r x y $.  $d R x $.  $d S k x y $.
      divalglem9.5 $e |- R = inf ( S , RR , < ) $.
      $( Lemma for ~ divalg .  (Contributed by Paul Chapman, 21-Mar-2011.)
         (Revised by AV, 2-Oct-2020.) $)
      divalglem9 $p |- E! x e. S x < ( abs ` D ) $=
        ( wbr wa wceq wcel cc0 co cmin cz cdvds vy vk cv cabs cfv clt wreu wrex
        wi wral cr cinf divalglem2 eqeltri divalglem5 simpri breq1 rspcev mp2an
        cle cn0 oveq2 breq2d elrab2 simplbi nn0zd zsubcl anim12i syl2an simprbi
        cmul mpan dvds2sub mp3an1 sylc cc zcn caddc recni subidi oveq1i subsub2
        zrei eqtrid sub4 mpanl12 subcl ancoms addid2d 3eqtr3d mpbid wb absdvdsb
        0cn sylancr wne cn nnabscl divides adantr divalglem8 rexlimdv mpd rgen2
        nnzi ex reu4 mpbir2an ) AUCZBUDUEZUFLZADUGXKADUHZXKUAUCZXJUFLZMZXIXMNZU
        IZUADUJADUJCDOCXJUFLZXLCDUKUFULDKBDEFGHIJUMUNPCUTLXRBCDEFGHIJKUOUPXKXRA
        CDXICXJUFUQURUSXQAUADDXIDOZXMDOZMZXOXPYAXOMZUBUCZXJVKQXMXIRQZNZUBSUHZXP
        YAYFXOYAXJYDTLZYFYABYDTLZYGYABEXIRQZEXMRQZRQZTLZYHYAYISOZYJSOZMZBYITLZB
        YJTLZMZYLXSXISOZXMSOZYOXTXSXIXSXIVAOZYPBEFUCZRQZTLZYPFXIVADUUBXINUUCYIB
        TUUBXIERVBVCJVDZVEVFZXTXMXTXMVAOZYQUUDYQFXMVADUUBXMNUUCYJBTUUBXMERVBVCJ
        VDZVEVFZYSYMYTYNESOZYSYMGEXIVGVLUUJYTYNGEXMVGVLVHVIXSYPXTYQXSUUAYPUUEVJ
        XTUUGYQUUHVJVHBSOZYMYNYRYLUIHBYIYJVMVNVOYAYKYDBTXSYSYTYKYDNZXTUUFUUIYSX
        IVPOZXMVPOZUULYTXIVQXMVQUUMUUNMZEERQZXIXMRQZRQZPYDVRQZYKYDUUOUURPUUQRQZ
        UUSUUPPUUQREEEGWCVSZVTWAPVPOUUMUUNUUTUUSNWNPXIXMWBVNWDEVPOZUVBUUOUURYKN
        UVAUVAEEXIXMWEWFUUOYDUUNUUMYDVPOXMXIWGWHWIWJVIVIVCWKXSYSYTYHYGWLZXTUUFU
        UIYSYTMZUUKYDSOZUVCHYTYSUVEXMXIVGWHZBYDWMWOVIWKXSYSYTYGYFWLZXTUUFUUIUVD
        XJSOUVEUVGXJUUKBPWPXJWQOHIBWRUSXEUVFUBXJYDWSWOVIWKWTYBYEXPUBSBDYCEXIXMF
        GHIJXAXBXCXFXDXKXNAUADXIXMXJUFUQXGXH $.
    $}

    $( Lemma for ~ divalg .  (Contributed by Paul Chapman, 21-Mar-2011.)
       (Proof shortened by AV, 2-Oct-2020.) $)
    divalglem10 $p |- E! r e. ZZ E. q e. ZZ
                   ( 0 <_ r /\ r < ( abs ` D ) /\ N = ( ( q x. D ) + r ) ) $=
      ( vx cc0 wbr clt caddc wceq cz wrex wa anbi2i bitri cle cabs cfv cmul w3a
      cv co wreu cr cinf eqid divalglem9 wcel weu cn0 elnn0z ancom anbi1i anass
      an12 oveq2 eqeq2d rexbidv divalglem4 elrab2 3bitr4i df-3an rexbii r19.42v
      eubii df-reu mpbi breq2 breq1 3anbi123d cbvreuvw ) KJUFZUALZVQAUBUCZMLZCE
      UFAUDUGZVQNUGZOZUEZEPQZJPUHZKDUFZUALZWGVSMLZCWAWGNUGZOZUEZEPQZDPUHVTJBUHZ
      WFJABUIMUJZBCDFGHIWOUKULVQBUMZVTRZJUNVQPUMZWERZJUNWNWFWQWSJVTVQUOUMZRZWCE
      PQZRZWRVRVTRZXBRZRZWQWSXCWRXDRZXBRXFXAXGXBXAVTWRVRRZRZXGWTXHVTVQUPSXIWRVT
      VRRZRXGVTWRVRUTXJXDWRVTVRUQSTTURWRXDXBUSTVTWPRVTWTXBRZRWQXCWPXKVTWKEPQXBD
      VQUOBWGVQOZWKWCEPXLWJWBCWGVQWANVAVBVCABCDEFGHIVDVESWPVTUQVTWTXBUSVFWEXEWR
      WEXDWCRZEPQXEWDXMEPVRVTWCVGVHXDWCEPVITSVFVJVTJBVKWEJPVKVFVLWEWMJDPVQWGOZW
      DWLEPXNVRWHVTWIWCWKVQWGKUAVMVQWGVSMVNXNWBWJCVQWGWANVAVBVOVCVPVL $.
  $}

  ${
    $d D q r $.  $d N q r $.
    $( The division algorithm (theorem).  Dividing an integer ` N ` by a
       nonzero integer ` D ` produces a (unique) quotient ` q ` and a unique
       remainder ` 0 <_ r < ( abs `` D ) ` .  Theorem 1.14 in [ApostolNT]
       p. 19.  The proof does not use ` / ` or ` |_ ` or ` mod ` .
       (Contributed by Paul Chapman, 21-Mar-2011.) $)
    divalg $p |- ( ( N e. ZZ /\ D e. ZZ /\ D =/= 0 ) -> E! r e. ZZ E. q e. ZZ
                   ( 0 <_ r /\ r < ( abs ` D ) /\ N = ( ( q x. D ) + r ) ) ) $=
      ( cz wcel cc0 wne cv wbr cabs clt cmul co caddc wceq w3a wrex wreu c1 cle
      cfv wa cif eqeq1 3anbi3d rexbidv reubidv fveq2 breq2d oveq2 oveq1d eqeq2d
      3anbi23d cmin cdvds cn0 crab 1z elimel simpl eleq1 elimdhyp simpr ax-1ne0
      neeq1 eqid divalglem10 dedth2h 3impb ) BEFZAEFZAGHZGCIZUAJZVNAKUBZLJZBDIZ
      AMNZVNONZPZQZDERZCESZVKVLVMUCZWDVOVQVKBTUDZVTPZQZDERZCESVOVNWEATUDZKUBZLJ
      ZWFVRWJMNZVNONZPZQZDERZCESBATTBWFPZWCWICEWRWBWHDEWRWAWGVOVQBWFVTUEUFUGUHA
      WJPZWIWQCEWSWHWPDEWSVQWLWGWOVOWSVPWKVNLAWJKUIUJWSVTWNWFWSVSWMVNOAWJVRMUKU
      LUMUNUGUHWJWJWFVNUONUPJCUQURZWFCDBTEUSUTWEVLWJEFTEFATVLVMVAAWJEVBTWJEVBUS
      VCWEVMWJGHTGHATVLVMVDAWJGVFTWJGVFVEVCWTVGVHVIVJ $.

    $( Express the division algorithm as stated in ~ divalg in terms of
       ` || ` .  (Contributed by Paul Chapman, 31-Mar-2011.) $)
    divalgb $p |- ( ( N e. ZZ /\ D e. ZZ /\ D =/= 0 ) ->
                    ( E! r e. ZZ E. q e. ZZ ( 0 <_ r /\ r < ( abs ` D ) /\
                                              N = ( ( q x. D ) + r ) ) <->
                      E! r e. NN0 ( r < ( abs ` D ) /\ D || ( N - r ) ) ) ) $=
      ( cz wcel cc0 cv wbr co caddc wceq w3a wrex wreu wa cn0 wb bitri cc cdvds
      cle cabs cfv clt cmul cmin wne df-3an rexbii r19.42v zsubcl divides 3impb
      sylan2 3com12 wi zcn zmulcl zcnd subadd syl3an addcom syl2an eqeq1d bitrd
      3adant1 eqcom 3bitr3g 3expia expcomd 3impia rexbidva 3com23 bitr4id anass
      imp anbi2d bitrdi 3expa reubidva weu elnn0z anbi1i eubii 3bitr4ri 3adant3
      df-reu ) BEFZAEFZGCHZUBIZWKAUCUDUEIZBDHZAUFJZWKKJZLZMZDENZCEOZWMABWKUGJZU
      AIZPZCQOZRAGUHWIWJPZWTWLXCPZCEOZXDXEWSXFCEWIWJWKEFZWSXFRWIWJXHMZWSWLWMPZX
      BPZXFXIWSXJWQDENZPZXKWSXJWQPZDENXMWRXNDEWLWMWQUIUJXJWQDEUKSXIXBXLXJXIXBWO
      XALZDENZXLWJWIXHXBXPRZWJWIXHXQWIXHPZWJXAEFXQBWKULDAXAUMUOUNUPWIXHWJXPXLRW
      IXHWJMZXOWQDEXSWNEFZXOWQRZWIXHWJXTYAUQXRXTWJYAWIXHXTWJPZYAWIXHYBMZXAWOLZW
      PBLZXOWQYCYDWKWOKJZBLZYEWIBTFXHWKTFZYBWOTFZYDYGRBURWKURZYBWOWNAUSUTZBWKWO
      VAVBYCYFWPBXHYBYFWPLZWIXHYHYIYLYBYJYKWKWOVCVDVGVEVFXAWOVHWPBVHVIVJVKVLVQV
      MVNVFVRVOWLWMXBVPVSVTWAWKQFZXCPZCWBXHXFPZCWBXDXGYNYOCYNXHWLPZXCPYOYMYPXCW
      KWCWDXHWLXCVPSWEXCCQWHXFCEWHWFVSWG $.

    $( The division algorithm (theorem) for a positive divisor.  (Contributed
       by Paul Chapman, 21-Mar-2011.) $)
    divalg2 $p |- ( ( N e. ZZ /\ D e. NN ) ->
                    E! r e. NN0 ( r < D /\ D || ( N - r ) ) ) $=
      ( vq cz wcel cn wa cv cabs cfv clt wbr cmin co cn0 wreu cc0 w3a mpbid wne
      cdvds nnz nnne0 jca cmul caddc wceq wrex divalg divalgb 3expb sylan2 nnre
      cle wb nnnn0 nn0ge0d absidd breq2d anbi1d reubidv adantl ) BEFZAGFZHCIZAJ
      KZLMZABVFNOUBMZHZCPQZVFALMZVIHZCPQZVEVDAEFZARUAZHVKVEVOVPAUCAUDUEVDVOVPVK
      VDVOVPSRVFUOMVHBDIAUFOVFUGOUHSDEUICEQVKABCDUJABCDUKTULUMVEVKVNUPVDVEVJVMC
      PVEVHVLVIVEVGAVFLVEAAUNVEAAUQURUSUTVAVBVCT $.
  $}

  ${
    $d D z $.  $d N z $.  $d R z $.
    $( The result of the ` mod ` operator satisfies the requirements for the
       remainder ` R ` in the division algorithm for a positive divisor
       (compare ~ divalg2 and ~ divalgb ).  This demonstration theorem
       justifies the use of ` mod ` to yield an explicit remainder from this
       point forward.  (Contributed by Paul Chapman, 31-Mar-2011.)  (Revised by
       AV, 21-Aug-2021.) $)
    divalgmod $p |- ( ( N e. ZZ /\ D e. NN ) -> ( R = ( N mod D ) <->
                      ( R e. NN0 /\ ( R < D /\ D || ( N - R ) ) ) ) ) $=
      ( vz cz wcel wa cmo co wceq clt wbr cmin cdvds cn0 csn syl2an cmul adantl
      cr cn cv crab ovex snid eleq1 mpbiri elsni impbii crio crp zre nnrp modlt
      cdiv cfl cfv cc0 wne nnne0 redivcl syl3an 3anidm23 flcld nnz zmodcl nn0zd
      nnre zsubcl syldan cc nncn zcnd mulcomd modval nn0cnd zmulcl zcn subexsub
      syl2an2 adantr mpbid eqtr3d dvds0lem syl31anc wreu wb divalg2 breq1 oveq2
      breq2d anbi12d riota2 syl2anc mpbi2and eqcomd sneqd snriota eqtr4d eleq2d
      syl syl5bb elrab bitrdi ) CEFZAUAFZGZBCAHIZJZBDUBZAKLZACXJMIZNLZGZDOUCZFZ
      BOFBAKLZACBMIZNLZGZGXIBXHPZFZXGXPXIYBXIYBXHYAFXHCAHUDUEBXHYAUFUGBXHUHUIXG
      YAXOBXGYAXNDOUJZPZXOXGXHYCXGYCXHXGXHAKLZACXHMIZNLZYCXHJZXECTFZAUKFZYEXFCU
      LZAUMZCAUNQXGCAUOIZUPUQZEFZAEFZYFEFZYNARIZYFJYGXGYMXEXFYMTFZXEYIXFATFXFAU
      RUSYSYKAVHAUTCAVAVBVCVDZXFYPXEAVEZSXEXFXHEFYQXGXHCAVFZVGCXHVIVJXGAYNRIZYR
      YFXGAYNXFAVKFXEAVLSXGYNYTVMVNXGXHCUUCMIJZUUCYFJXEYIYJUUDXFYKYLCAVOQXGXHUU
      CCXGXHUUBVPXGUUCXFYPXEYOUUCEFUUAYTAYNVQVTVMXECVKFXFCVRWAVSWBWCYNAYFWDWEXG
      XHOFXNDOWFZYEYGGZYHWGUUBACDWHZXNUUFDOXHXJXHJZXKYEXMYGXJXHAKWIUUHXLYFANXJX
      HCMWJWKWLWMWNWOWPWQXGUUEXOYDJUUGXNDOWRXAWSWTXBXNXTDBOXJBJZXKXQXMXSXJBAKWI
      UUIXLXRANXJBCMWJWKWLXCXD $.
  $}

  $( The result of the ` mod ` operator satisfies the requirements for the
     remainder ` R ` in the division algorithm for a positive divisor.  Variant
     of ~ divalgmod .  (Contributed by Stefan O'Rear, 17-Oct-2014.)  (Proof
     shortened by AV, 21-Aug-2021.) $)
  divalgmodcl $p |- ( ( N e. ZZ /\ D e. NN /\ R e. NN0 )
                    -> ( R = ( N mod D ) <-> ( R < D /\ D || ( N - R ) ) ) ) $=
    ( cz wcel cn cn0 cmo co wceq clt wbr cmin cdvds wa wb divalgmod baibd 3impa
    ) CDEZAFEZBGEZBCAHIJZBAKLACBMINLOZPTUAOUCUBUDABCQRS $.

  ${
    $d D z $.  $d N z $.  $d R z $.
    $( The result of the modulo operation is the remainder of the division
       algorithm.  (Contributed by AV, 19-Aug-2021.) $)
    modremain $p |- ( ( N e. ZZ /\ D e. NN /\ ( R e. NN0 /\ R < D ) )
                      -> ( ( N mod D ) = R
                           <-> E. z e. ZZ ( ( z x. D ) + R ) = N ) ) $=
      ( cmo co wceq cz wcel cn cn0 wbr wa wrex eqcom wb 3ad2ant3 adantr syl5bb
      cc clt cv cmul caddc cmin cdvds divalgmodcl 3adant3r ibar adantl 3ad2ant2
      w3a nnz simp1 zsubcld divides syl2anc zcn 3ad2ant1 nn0cn zmulcld subadd2d
      nn0z simpr zcnd rexbidva bitrd 3bitr2d ) DBEFZCGCVIGZDHIZBJIZCKIZCBUALZMZ
      ULZAUBZBUCFZCUDFDGZAHNZVICOVPVJVNBDCUEFZUFLZMZWBVTVKVLVMVJWCPVNBCDUGUHVOV
      KWBWCPZVLVNWDVMVNWBUIUJQVPWBVRWAGZAHNZVTVPBHIZWAHIWBWFPVLVKWGVOBUMUKZVPDC
      VKVLVOUNVOVKCHIZVLVMWIVNCVCRQUOABWAUPUQVPWEVSAHWEWAVRGVPVQHIZMZVSVRWAOWKD
      CVRVPDTIZWJVKVLWLVODURUSRVPCTIZWJVOVKWMVLVMWMVNCUTRQRWKVRWKVQBVPWJVDVPWGW
      JWHRVAVEVBSVFVGVHS $.
  $}

  ${
    $d D r x $.  $d K r $.  $d N r x $.
    $( Corollary of the division algorithm.  If an integer ` D ` greater than
       ` 1 ` divides ` N ` , then it does not divide any of ` N - 1 ` ,
       ` N - 2 ` ... ` N - ( D - 1 ) ` .  (Contributed by Paul Chapman,
       31-Mar-2011.) $)
    ndvdssub $p |- ( ( N e. ZZ /\ D e. NN /\ ( K e. NN /\ K < D ) ) ->
                     ( D || N -> -. D || ( N - K ) ) ) $=
      ( vr vx wcel clt wbr wa cdvds cmin co wi cn0 wceq wral breq1 oveq2 breq2d
      cc0 cz cn wn w3a wne nnnn0 nnne0 jca df-ne anbi2i cv wrex divalg2 anbi12d
      wreu reu4 sylib nngt0 3ad2ant2 subid1d biimpar 3adant2 3expa anim1ci 0nn0
      zcn anbi2d eqeq2 imbi12d rspcv ax-mp syl5 ralimi simpl2im r19.21v pm2.43i
      expd 3impia eqeq1 syl5com pm4.14 syl6ib syl7bi exp4a com23 impcomd 3expia
      imp4a syl7 ) CUAFZAUBFZBUBFZBAGHZIZACJHZACBKLZJHZUCZMWJWKIZWOWNWRWJWKWOWN
      WRMWJWKWOUDZWMWLWRWLBNFZBTUEZIWTWMWRWLXAXBBUFBUGUHWTWMXAXBWRWTXAWMXBWRMWT
      XAWMXBWRWMXBIWMBTOZUCZIZWTXAWRXBXDWMBTUIUJWTXAWMWQIZXCMZXEWRMWTDUKZAGHZAC
      XHKLZJHZIZXHTOZMZDNPZXAXGWJWKWOXOWSWOXOMWSWSWOXOWSWSWOIZXNMZDNPZXPXOMWSXL
      DNULZXLEUKZAGHZACXTKLZJHZIZIZXHXTOZMZENPZDNPZXRWSXLDNUOXSYIIACDUMXLYDDENY
      FXIYAXKYCXHXTAGQYFXJYBAJXHXTCKRSUNUPUQYHXQDNYHXPXLXMXPXLIXLTAGHZACTKLZJHZ
      IZIZYHXMXPYMXLWJWKWOYMWTYJYLWKWJYJWOAURUSWJWOYLWKWJYLWOWJYKCAJWJCCVFUTSVA
      VBUHVCVDTNFYHYNXMMZMVEYGYOETNXTTOZYEYNYFXMYPYDYMXLYPYAYJYCYLXTTAGQYPYBYKA
      JXTTCKRSUNVGXTTXHVHVIVJVKVLVQVMVNXPXNDNVOUQVQVPVRXNXGDBNXHBOZXLXFXMXCYQXI
      WMXKWQXHBAGQYQXJWPAJXHBCKRSUNXHBTVSVIVJVTWMWQXCWAWBWCWDWEWHWIWFWGWEVR $.
  $}

  $( Corollary of the division algorithm.  If an integer ` D ` greater than
     ` 1 ` divides ` N ` , then it does not divide any of ` N + 1 ` ,
     ` N + 2 ` ... ` N + ( D - 1 ) ` .  (Contributed by Paul Chapman,
     31-Mar-2011.) $)
  ndvdsadd $p |- ( ( N e. ZZ /\ D e. NN /\ ( K e. NN /\ K < D ) ) ->
                   ( D || N -> -. D || ( N + K ) ) ) $=
    ( cz wcel cn clt wbr wa w3a cdvds cmin co wn wi cc0 cr wb syl2an cc syl2anr
    caddc nnre posdif pm5.32i nnz zsubcl elnnz biimpri sylan sylbi anasss nngt0
    ltsubpos biimpd expcom mpdi imp adantrr jca ndvdssub syld3an3 zaddcl sylan2
    3adant1 dvdssubr an12s 3impb wceq zcn subsub3 syl3an breq2d bitr4d 3adant3r
    nncn notbid sylibrd ) CDEZAFEZBFEZBAGHZIZJACKHZACABLMZLMZKHZNZACBUBMZKHZNZV
    SVTWCWEFEZWEAGHZIZWDWHOVTWCWNVSVTWCIWLWMVTWAWBWLVTWAIZWBIWOPWEGHZIWLWOWBWPW
    ABQEZAQEZWBWPRVTBUCZAUCZBAUDUAUEWOWEDEZWPWLVTADEZBDEZXAWAAUFZBUFZABUGSWLXAW
    PIWEUHUIUJUKULVTWAWMWBVTWAWMVTWAPBGHZWMBUMWAVTXFWMOWAVTIXFWMWAWQWRXFWMRVTWS
    WTBAUNSUOUPUQURUSUTVEAWECVAVBVSVTWAWKWHRWBVSVTWAJZWJWGXGWJAWIALMZKHZWGVSVTW
    AWJXIRZVTVSWAXJVTXBWIDEZXJVSWAIXDWAVSXCXKXECBVCVDAWIVFSVGVHXGWFXHAKVSCTEVTA
    TEWABTEWFXHVICVJAVPBVPCABVKVLVMVNVQVOVR $.

  $( Special case of ~ ndvdsadd .  If an integer ` D ` greater than ` 1 `
     divides ` N ` , it does not divide ` N + 1 ` .  (Contributed by Paul
     Chapman, 31-Mar-2011.) $)
  ndvdsp1 $p |- ( ( N e. ZZ /\ D e. NN /\ 1 < D ) ->
                  ( D || N -> -. D || ( N + 1 ) ) ) $=
    ( c1 clt wbr cz wcel cn wa cdvds caddc co wn wi 1nn jctl ndvdsadd syl3an3 )
    CADEZBFGAHGCHGZSIABJEABCKLJEMNSTOPACBQR $.

  ${
    ndvdsi.1 $e |- A e. NN $.
    ndvdsi.2 $e |- Q e. NN0 $.
    ndvdsi.3 $e |- R e. NN $.
    ndvdsi.4 $e |- ( ( A x. Q ) + R ) = B $.
    ndvdsi.5 $e |- R < A $.
    $( A quick test for non-divisibility.  (Contributed by Mario Carneiro,
       18-Feb-2014.) $)
    ndvdsi $p |- -. A || B $=
      ( cmul co caddc cdvds wbr wn cz wcel nnzi mp2an cn dvdsmul1 clt wa zmulcl
      nn0zi wi pm3.2i ndvdsadd mp3an ax-mp breq2i mtbi ) AACJKZDLKZMNZABMNAUMMN
      ZUOOZAPQZCPQZUPAERZCFUEZACUASUMPQZATQDTQZDAUBNZUCUPUQUFURUSVBUTVAACUDSEVC
      VDGIUGADUMUHUIUJUNBAMHUKUL $.
  $}

  ${
    $d M x $.
    $( The floor of an odd integer divided by 4.  (Contributed by AV,
       17-Jun-2021.) $)
    flodddiv4 $p |- ( ( M e. ZZ /\ N = ( ( 2 x. M ) + 1 ) )
                      -> ( |_ ` ( N / 4 ) )
                         = if ( 2 || M , ( M / 2 ) , ( ( M - 1 ) / 2 ) ) ) $=
      ( cz wcel c2 co c1 caddc wceq wa c4 cdiv cfl wbr cc cc0 a1i eqtrd adantr
      c3 cmul cfv cdvds cmin cif oveq1 wne 2cnd zcn mulcld 1cnd 4cn 4ne0 pm3.2i
      vx divdir syl3anc 2t2e4 eqcomi oveq2d 2ne0 oveq1d sylan9eqr fveq2d iftrue
      divcan5d cle clt cr 1re 0le1 4re 4pos divge0 mp4an 1lt4 recgt1 mp2an mpbi
      wb evend2 biimpac cn nnrecre ax-mp flbi2 sylancl mpbiri eqtr4d wn iffalse
      4nn cv odd2np1 wi ax-1cn 2cnne0 divcan5 mp3an 2t1e2 oveq12i eqtr3i oveq1i
      wrex 2cn divdiri 2p1e3 3eqtr2i 3re 0re 3pos ltleii 3lt4 crp nnrp divlt1lt
      mpbir redivcli mpan2 eqcoms 2z zmulcld zcnd divcan3d halfcn reccli pncan1
      id addassd syl 3eqtr4rd adantl rexlimdva sylbid impcom pm2.61ian eqcomd
      ex ) ACDZBEAUAFZGHFZIZJZBKLFZMUBAELFZGKLFZHFZMUBZEAUCNZUUEAGUDFZELFZUEZUU
      CUUDUUGMUUBYSUUDUUAKLFZUUGBUUAKLUFYSUUMYTKLFZUUFHFZUUGYSYTODGODZKODZKPUGZ
      JZUUMUUOIYSEAYSUHZAUIZUJYSUKUUSYSUUQUURULUMUNQYTGKUPUQYSUUNUUEUUFHYSUUNYT
      EEUAFZLFUUEYSKUVBYTLKUVBIYSUVBKURUSQUTYSAEEUVAUUTUUTEPUGZYSVAQZUVDVFRVBRV
      CVDYSUUHUULIUUBYSUULUUHUUIYSUULUUHIUUIYSJZUULUUEUUHUUIUULUUEIYSUUIUUEUUKV
      ESUVEUUHUUEIZPUUFVGNZUUFGVHNZJZUVGUVHGVIDPGVGNKVIDZPKVHNZUVGVJVKVLVMGKVNV
      OGKVHNZUVHVPUVJUVKUVLUVHVTVLVMKVQVRVSUNUVEUUECDZUUFVIDZUVFUVIVTYSUUIUVMAW
      AWBKWCDZUVNWLKWDWEUUFUUEWFWGWHWIUUIWJZYSJUULUUKUUHUVPUULUUKIYSUUIUUEUUKWK
      SYSUVPUUKUUHIZYSUVPEUOWMZUAFZGHFZAIZUOCXDUVQUOAWNYSUWAUVQUOCUVRCDZUWAUVQW
      OYSUWBUWAUVQUWBUWAJZUVRGELFZUUFHFZHFZMUBZUVRUUHUUKUWBUWGUVRIUWAUWBUWGUVRT
      KLFZHFZMUBZUVRUWBUWFUWIMUWBUWEUWHUVRHUWEUWHIUWBUWEEKLFZUUFHFEGHFZKLFUWHUW
      DUWKUUFHEGUAFZUVBLFZUWDUWKUUPEODUVCJZUWOUWNUWDIWPWQWQGEEWRWSUWMEUVBKLWTUR
      XAXBXCEGKXEWPULUMXFUWLTKLXGXCXHQUTVDUWBUWJUVRIZPUWHVGNZUWHGVHNZJZUWQUWRTV
      IDZPTVGNUVJUVKUWQXIPTXJXIXKXLVLVMTKVNVOUWRTKVHNZXMUWTKXNDZUWRUXAVTXIUVOUX
      BWLKXOWETKXPVRXQUNUWBUWHVIDUWPUWSVTTKXIVLUMXRUWHUVRWFXSWHRSUWCUUGUWFMUWCU
      UGUVRUWDHFZUUFHFZUWFUWCUUEUXCUUFHUWAUWBUUEUVTELFZUXCUUEUXEIAUVTAUVTELUFXT
      UWBUXEUVSELFZUWDHFZUXCUWBUVSODZUUPUWOUXEUXGIUWBUVSUWBEUVRECDUWBYAQUWBYHYB
      YCZUWBUKUWOUWBWQQUVSGEUPUQUWBUXFUVRUWDHUWBUVREUVRUIZUWBUHUVCUWBVAQYDZVBRV
      CVBUWBUXDUWFIUWAUWBUVRUWDUUFUXJUWDODUWBYEQUUFODUWBKULUMYFQYISRVDUWCUUKUXF
      UVRUWCUUJUVSELUWAUWBUUJUVTGUDFZUVSUUJUXLIAUVTAUVTGUDUFXTUWBUXHUXLUVSIUXIU
      VSYGYJVCVBUWBUXFUVRIUWAUXKSRYKYRYLYMYNYORYPYQSR $.
  $}

  $( The floor of an integer divided by a nonzero integer not dividing the
     first integer is less than the integer divided by the positive integer.
     (Contributed by AV, 4-Jul-2021.) $)
  fldivndvdslt $p |- ( ( K e. ZZ /\ ( L e. ZZ /\ L =/= 0 ) /\ -. L || K )
                       -> ( |_ ` ( K / L ) ) < ( K / L ) ) $=
    ( cz wcel cc0 wne wa cdvds wbr wn w3a co cr cfl cfv clt zre adantr ad2antrl
    cdiv simprr redivcld 3adant3 wb simprl simpl dvdsval2 syl3anc notbid flltnz
    biimp3a syl2anc ) ACDZBCDZBEFZGZBAHIZJZKABTLZMDZUSCDZJZUSNOUSPIUMUPUTURUMUP
    GZABUMAMDUPAQRUNBMDUMUOBQSUMUNUOUAZUBUCUMUPURVBVCUQVAVCUNUOUMUQVAUDUMUNUOUE
    VDUMUPUFBAUGUHUIUKUSUJUL $.

  $( The floor of an odd number divided by 4 is less than the odd number
     divided by 4.  (Contributed by AV, 4-Jul-2021.) $)
  flodddiv4lt $p |- ( ( N e. ZZ /\ -. 2 || N )
                      -> ( |_ ` ( N / 4 ) ) < ( N / 4 ) ) $=
    ( cz wcel c2 cdvds wbr wn wa c4 cc0 wne cdiv co cfl cfv clt simpl 4z pm3.2i
    4ne0 a1i 4dvdseven con3i adantl fldivndvdslt syl3anc ) ABCZDAEFZGZHZUGIBCZI
    JKZHZIAEFZGZAILMZNOUPPFUGUIQUMUJUKULRTSUAUIUOUGUNUHAUBUCUDAIUEUF $.

  $( The floor of an odd number divided by 4, multiplied by 2 is less than the
     half of the odd number.  (Contributed by AV, 4-Jul-2021.)  (Proof
     shortened by AV, 10-Jul-2022.) $)
  flodddiv4t2lthalf $p |- ( ( N e. ZZ /\ -. 2 || N )
                            -> ( ( |_ ` ( N / 4 ) ) x. 2 ) < ( N / 2 ) ) $=
    ( cz wcel c2 cdvds wbr wn wa c4 cdiv co cfl cmul clt a1i cc0 adantr wceq cc
    wne cfv flodddiv4lt wb zre cr 4re 4ne0 redivcld flcld crp 2rp ltmul1d mpbid
    zred zcn halfcld 2cnd 2ne0 2cnne0 divdiv1 syl3anc 2t2e4 oveq2d eqtrd oveq1d
    divcan1d eqtr3d breqtrrd ) ABCZDAEFGZHZAIJKZLUAZDMKZVLDMKZADJKZNVKVMVLNFZVN
    VONFZAUBVIVQVRUCVJVIVMVLDVIVMVIVLVIAIAUDIUECVIUFOIPTVIUGOUHZUIUNVSDUJCVIUKO
    ULQUMVIVPVORVJVIVPDJKZDMKVPVOVIVPDVIAAUOZUPVIUQDPTZVIUROVFVIVTVLDMVIVTADDMK
    ZJKZVLVIASCDSCWBHZWEVTWDRWAWEVIUSOZWFADDUTVAVIWCIAJWCIRVIVBOVCVDVEVGQVH $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Bit sequences
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c bits $.
  $c sadd $.
  $c smul $.

  $( Define the binary bits of an integer. $)
  cbits $a class bits $.

  $( Define the sequence addition on bit sequences. $)
  csad $a class sadd $.

  $( Define the sequence multiplication on bit sequences. $)
  csmu $a class smul $.

  ${
    $d k n $.  $d m M $.  $d m n N $.
    $( Define the binary bits of an integer.  The expression
       ` M e. ( bits `` N ) ` means that the ` M ` -th bit of ` N ` is 1 (and
       its negation means the bit is 0).  (Contributed by Mario Carneiro,
       4-Sep-2016.) $)
    df-bits $a |- bits = ( n e. ZZ |->
      { m e. NN0 | -. 2 || ( |_ ` ( n / ( 2 ^ m ) ) ) } ) $.

    $( Expand the definition of the bits of an integer.  (Contributed by Mario
       Carneiro, 5-Sep-2016.) $)
    bitsfval $p |- ( N e. ZZ -> ( bits ` N ) =
      { m e. NN0 | -. 2 || ( |_ ` ( N / ( 2 ^ m ) ) ) } ) $=
      ( vn c2 cv cexp co cdiv cfl cfv cdvds wbr wn crab cz cbits fvoveq1 breq2d
      cn0 wceq notbid rabbidv df-bits nn0ex rabex fvmpt ) CBDCEZDAEFGZHGIJZKLZM
      ZASNDBUHHGIJZKLZMZASNOPUGBTZUKUNASUOUJUMUOUIULDKUGBUHIHQRUAUBACUCUNASUDUE
      UF $.

    $( Expand the definition of the bits of an integer.  (Contributed by Mario
       Carneiro, 5-Sep-2016.) $)
    bitsval $p |- ( M e. ( bits ` N ) <-> ( N e. ZZ /\ M e. NN0 /\
      -. 2 || ( |_ ` ( N / ( 2 ^ M ) ) ) ) ) $=
      ( vn vm cbits cfv wcel cz cn0 c2 cexp co cdiv cfl cdvds wbr wn wa cv crab
      w3a df-bits mptrcl bitsfval eleq2d wceq oveq2 oveq2d fveq2d breq2d notbid
      elrab bitrdi biadanii 3anass bitr4i ) ABEFZGZBHGZAIGZJBJAKLZMLZNFZOPZQZRZ
      RUSUTVEUAURUSVFCHJCSJDSZKLZMLNFOPQDITEABDCUBUCUSURAJBVHMLZNFZOPZQZDITZGVF
      USUQVMADBUDUEVLVEDAIVGAUFZVKVDVNVJVCJOVNVIVBNVNVHVABMVGAJKUGUHUIUJUKULUMU
      NUSUTVEUOUP $.

    $( Expand the definition of the bits of an integer.  (Contributed by Mario
       Carneiro, 5-Sep-2016.) $)
    bitsval2 $p |- ( ( N e. ZZ /\ M e. NN0 ) -> ( M e. ( bits ` N ) <->
      -. 2 || ( |_ ` ( N / ( 2 ^ M ) ) ) ) ) $=
      ( cbits cfv wcel cz cn0 wa c2 cexp co cfl cdvds wbr wn w3a bitsval df-3an
      cdiv bitri baib ) ABCDEZBFEZAGEZHZIBIAJKSKLDMNOZUBUCUDUFPUEUFHABQUCUDUFRT
      UA $.

    $( The set of bits of an integer is a subset of ` NN0 ` .  (Contributed by
       Mario Carneiro, 5-Sep-2016.) $)
    bitsss $p |- ( bits ` N ) C_ NN0 $=
      ( vm cbits cfv cn0 cv wcel cz c2 cexp co cfl cdvds wbr wn bitsval simp2bi
      cdiv ssriv ) BACDZEBFZTGAHGUAEGIAIUAJKRKLDMNOUAAPQS $.

    $( The ` bits ` function is a function from integers to subsets of
       nonnegative integers.  (Contributed by Mario Carneiro, 5-Sep-2016.) $)
    bitsf $p |- bits : ZZ --> ~P NN0 $=
      ( vn vk cz cn0 cpw c2 cv cexp co cdiv cfl cfv cdvds wn crab cbits df-bits
      wbr wcel cvv nn0ex ssrab2 elpwi2 a1i fmpti ) ACDEZFAGZFBGHIJIKLMRNZBDOZPB
      AQUIUFSUGCSUIDTUAUHBDUBUCUDUE $.
  $}

  $( Value of the zeroth bit.  (Contributed by Mario Carneiro, 5-Sep-2016.) $)
  bits0 $p |- ( N e. ZZ -> ( 0 e. ( bits ` N ) <-> -. 2 || N ) ) $=
    ( cz wcel cc0 cbits cfv c2 cexp co cdiv cfl cdvds wbr wn cn0 bitsval2 mpan2
    wb 0nn0 c1 cc wceq 2cn exp0 ax-mp oveq2i zcn div1d eqtrid fveq2d flid eqtrd
    breq2d notbid bitrd ) ABCZDAEFCZGAGDHIZJIZKFZLMZNZGALMZNUPDOCUQVBRSDAPQUPVA
    VCUPUTAGLUPUTAKFAUPUSAKUPUSATJIAURTAJGUACURTUBUCGUDUEUFUPAAUGUHUIUJAUKULUMU
    NUO $.

  $( The zeroth bit of an even number is zero.  (Contributed by Mario Carneiro,
     5-Sep-2016.) $)
  bits0e $p |- ( N e. ZZ -> -. 0 e. ( bits ` ( 2 x. N ) ) ) $=
    ( cz wcel c2 cmul co cdvds wbr cc0 cbits cfv wn 2z dvdsmul1 mpan wb zmulcld
    a1i id bits0 syl con2bid mpbid ) ABCZDDAEFZGHZIUEJKCZLDBCZUDUFMDANOUDUGUFUD
    UEBCUGUFLPUDDAUHUDMRUDSQUETUAUBUC $.

  $( The zeroth bit of an odd number is zero.  (Contributed by Mario Carneiro,
     5-Sep-2016.) $)
  bits0o $p |- ( N e. ZZ -> 0 e. ( bits ` ( ( 2 x. N ) + 1 ) ) ) $=
    ( cz wcel cc0 c2 cmul co c1 caddc cbits cfv cdvds wbr wn 2z dvdsmul1 cn clt
    mpan a1i wi id zmulcld 2nn ndvdsp1 syl3anc mpd wb peano2zd bits0 syl mpbird
    1lt2 ) ABCZDEAFGZHIGZJKCZEUPLMNZUNEUOLMZUREBCZUNUSOEAPSUNUOBCEQCZHERMZUSURU
    AUNEAUTUNOTUNUBUCZVAUNUDTVBUNUMTEUOUEUFUGUNUPBCUQURUHUNUOVCUIUPUJUKUL $.

  $( The ` M + 1 ` -th bit of ` N ` is the ` M ` -th bit of ` |_ ( N / 2 ) ` .
     (Contributed by Mario Carneiro, 5-Sep-2016.) $)
  bitsp1 $p |- ( ( N e. ZZ /\ M e. NN0 ) ->
    ( ( M + 1 ) e. ( bits ` N ) <-> M e. ( bits ` ( |_ ` ( N / 2 ) ) ) ) ) $=
    ( cz wcel cn0 c2 co cexp cdiv cfl cfv cdvds wbr wn cbits cmul nnne0d eqtr4d
    cn nncnd wa c1 caddc 2nn a1i simpr expp1d nnexpcld mulcomd eqtrd simpl zcnd
    oveq2d divdiv1d fveq2d cr wceq zred rehalfcld fldiv breq2d notbid peano2nn0
    syl2anc wb bitsval2 sylan2 flcld sylancom 3bitr4d ) BCDZAEDZUAZFBFAUBUCGZHG
    ZIGZJKZLMZNZFBFIGZJKZFAHGZIGJKZLMZNZVNBOKDZAWAOKDZVMVRWDVMVQWCFLVMVQVTWBIGZ
    JKZWCVMVPWHJVMVPBFWBPGZIGWHVMVOWJBIVMVOWBFPGWJVMFAVMFFSDVMUDUEZTZVKVLUFZUGV
    MWBFVMWBVMFAWKWMUHZTZWLUIUJUMVMBFWBVMBVKVLUKZULWLWOVMFWKQVMWBWNQUNRUOVMVTUP
    DWBSDWCWIUQVMBVMBWPURUSZWNVTWBUTVDRVAVBVLVKVNEDWFVSVEAVCVNBVFVGVKVLWACDWGWE
    VEVMVTWQVHAWAVFVIVJ $.

  $( The ` M + 1 ` -th bit of ` 2 N ` is the ` M ` -th bit of ` N ` .
     (Contributed by Mario Carneiro, 5-Sep-2016.) $)
  bitsp1e $p |- ( ( N e. ZZ /\ M e. NN0 ) ->
    ( ( M + 1 ) e. ( bits ` ( 2 x. N ) ) <-> M e. ( bits ` N ) ) ) $=
    ( cz wcel cn0 wa c1 caddc co c2 cmul cbits cfv cdiv cfl wb 2z a1i id fveq2d
    zmulcld bitsp1 sylan wceq zcn 2cnd cc0 wne 2ne0 divcan3d flid adantr eleq2d
    eqtrd bitrd ) BCDZAEDZFZAGHIJBKIZLMDZAUSJNIZOMZLMZDZABLMZDUPUSCDUQUTVDPUPJB
    JCDUPQRUPSUAAUSUBUCURVCVEAURVBBLUPVBBUDUQUPVBBOMBUPVABOUPBJBUEUPUFJUGUHUPUI
    RUJTBUKUNULTUMUO $.

  $( The ` M + 1 ` -th bit of ` 2 N + 1 ` is the ` M ` -th bit of ` N ` .
     (Contributed by Mario Carneiro, 5-Sep-2016.) $)
  bitsp1o $p |- ( ( N e. ZZ /\ M e. NN0 ) ->
    ( ( M + 1 ) e. ( bits ` ( ( 2 x. N ) + 1 ) ) <-> M e. ( bits ` N ) ) ) $=
    ( cz wcel wa c1 caddc co c2 cbits cfv cdiv cfl wb a1i wceq cc0 eqtrd fveq2d
    cr cn0 cmul 2z id zmulcld peano2zd bitsp1 sylan 2re zre remulcld recnd 1cnd
    2cnd wne 2ne0 divdird zcn divcan3d oveq1d cle wbr clt halfge0 pm3.2i halfre
    halflt1 flbi2 mpan2 mpbiri adantr eleq2d bitrd ) BCDZAUADZEZAFGHIBUBHZFGHZJ
    KDZAVRILHZMKZJKZDZABJKZDVNVRCDVOVSWCNVNVQVNIBICDVNUCOVNUDUEUFAVRUGUHVPWBWDA
    VPWABJVNWABPVOVNWABFILHZGHZMKZBVNVTWFMVNVTVQILHZWEGHWFVNVQFIVNVQVNIBITDVNUI
    OBUJUKULVNUMVNUNZIQUOVNUPOZUQVNWHBWEGVNBIBURWIWJUSUTRSVNWGBPZQWEVAVBZWEFVCV
    BZEZWLWMVDVGVEVNWETDWKWNNVFWEBVHVIVJRVKSVLVM $.

  ${
    $d m n N $.  $d m S $.
    bitsfzo.1 $e |- ( ph -> N e. NN0 ) $.
    bitsfzo.2 $e |- ( ph -> M e. NN0 ) $.
    bitsfzo.3 $e |- ( ph -> ( bits ` N ) C_ ( 0 ..^ M ) ) $.
    bitsfzo.4 $e |- S = inf ( { n e. NN0 | N < ( 2 ^ n ) } , RR , < ) $.
    $( Lemma for ~ bitsfzo .  (Contributed by Mario Carneiro, 5-Sep-2016.)
       (Revised by AV, 1-Oct-2020.) $)
    bitsfzolem $p |- ( ph -> N e. ( 0 ..^ ( 2 ^ M ) ) ) $=
      ( cc0 wcel c2 cexp co clt wbr cn0 a1i cle c1 vm cuz cfv cz nn0uz eleqtrdi
      cfzo cn 2nn nnexpcld nnzd wn cmin cbits wss adantr cdiv cfl cdvds n2dvds1
      wa wceq caddc cmul cv crab ssrab2 cr cinf wne sseqtri wrex nnssnn0 nn0red
      c0 2re 1lt2 expnbnd syl3anc ssrexv mpsyl rabn0 infssuzcl sylancr eqeltrid
      sylibr sselid nn0zd 0red zred nn0ge0d reexpcld nnred simpr breq2d cbvrabv
      oveq2 elrab2 simprbi lelttrd ltexp2d elnnz sylanbrc nnm1nn0 nncnd mulid2d
      mpbird ltm1d ltnled mpbid wi infssuzle mpan eqbrtrid syl5bir mpand nltled
      syl mtod eqbrtrd 1red crp 2rp 1z zsubcld rpexpcld lemuldivd cc 2cn expm1t
      breqtrd ltdivmuld df-2 breqtrdi wb rerpdivcld sylancl mpbir2and syl2an2r
      flbi mtbiri bitsval2 sseldd elfzolt2 zlem1lt pm2.65da elfzo2 syl3anbrc )
      AEJUBUCZKLDMNZUDKEUUJOPZEJUUJUGNKAEQUUIFUEUFAUUJALDLUHKZAUIRZGUJZUKAUUKUU
      JESPZULAUUOBDSPZAUUOVAZUUPBTUMNZDOPZUUQUURJDUGNZKUUSUUQEUNUCZUUTUURAUVAUU
      TUOUUOHUPUUQUURUVAKZLELUURMNZUQNZURUCZUSPZULZUUQUVFLTUSPUTUUQUVETLUSUUQUV
      ETVBZTUVDSPZUVDTTVCNZOPZUUQTUVCVDNZESPUVIUUQUVLUVCESUUQUVCUUQUVCUUQLUURUU
      LUUQUIRUUQBUHKZUURQKZUUQBUDKZJBOPUVMAUVOUUOABAELCVEZMNZOPZCQVFZQBUVRCQVGZ
      ABUVSVHOVIZUVSIAUVSUUIUOZUVSVOVJZUWAUVSKUVSQUUIUVTUEVKZAUVRCQVLZUWCUHQUOA
      UVRCUHVLZUWEVMAEVHKZLVHKZTLOPZUWFAEFVNZUWHAVPRUWIAVQRELCVRVSUVRCUHQVTWAUV
      RCQWBWFUVSJWCWDWEZWGZWHZUPZUUQJDBUUQWIUUQDADUDKZUUOADGWHUPZWJZUUQBUWNWJZU
      UQDADQKUUOGUPZWKUUQDBOPZUUJLBMNZOPUUQUUJEUXAUUQLDUWHUUQVPRZUWSWLAUWGUUOUW
      JUPZUUQUXAAUXAUHKUUOALBUUMUWLUJUPWMAUUOWNUUQBUVSKZEUXAOPZAUXDUUOUWKUPUXDB
      QKUXEELUAVEZMNZOPZUXEUABQUVSUXFBVBUXGUXAEOUXFBLMWQWOUVRUXHCUAQUVPUXFVBUVQ
      UXGEOUVPUXFLMWQWOWPZWRWSXRZWTUUQLDBUXBUWPUWNUWIUUQVQRXAXGZWTBXBXCZBXDXRZU
      JZXEXFUUQUVCEUUQUVCUXNWMUXCUUQEUVCOPZBUURSPZUUQUURBOPUXPULUUQBUWRXHUUQUUR
      BUUQUURUXMVNUWRXIXJUUQUVNUXOUXPUXMUVNUXOVAUURUVSKZUUQUXPUXHUXOUAUURQUVSUX
      FUURVBUXGUVCEOUXFUURLMWQWOUXIWRUXQUXPXKUUQUXQBUWAUURSIUWBUXQUWAUURSPUWDUU
      RUVSJXLXMXNRXOXPXSXQXTUUQTEUVCUUQYAUXCUUQLUURLYBKUUQYCRUUQBTUWNTUDKZUUQYD
      RYEYFZYGXJUUQUVDLUVJOUUQUVDLOPEUVCLVDNZOPUUQEUXAUXTOUXJUUQLYHKUVMUXAUXTVB
      YIUXLLBYJWDYKUUQELUVCUXCUXBUXSYLXGYMYNUUQUVDVHKUXRUVHUVIUVKVAYOUUQEUVCUXC
      UXSYPYDUVDTYTYQYRWOUUAAEUDKUUOUVNUVBUVGYOAEFWHUXMUUREUUBYSXGUUCUURJDUUDXR
      AUVOUUOUWOUUPUUSYOUWMUWPBDUUEYSXGUUQUWTUUPULUXKUUQDBUWQUWRXIXJUUFAEUUJUWJ
      AUUJUUNWMXIXGEJUUJUUGUUH $.
  $}

  ${
    $d m x M $.  $d m n x N $.
    $( The bits of a number are all less than ` M ` iff the number is
       nonnegative and less than ` 2 ^ M ` .  (Contributed by Mario Carneiro,
       5-Sep-2016.)  (Proof shortened by AV, 1-Oct-2020.) $)
    bitsfzo $p |- ( ( N e. ZZ /\ M e. NN0 ) ->
      ( N e. ( 0 ..^ ( 2 ^ M ) ) <-> ( bits ` N ) C_ ( 0 ..^ M ) ) ) $=
      ( cz wcel cn0 wa cc0 c2 cexp co cfv cdvds wbr wn clt cr a1i c1 cle mpbird
      vm vn cfzo cbits wss cv cdiv cfl w3a bitsval simp32 nn0uz eleqtrdi simp1r
      cuz nn0zd 2re reexpcld simp1l zred cmul recnd mulid2d simp33 crp rpexpcld
      2rp rerpdivcld 1red ltnled caddc breq2i elfzole1 3ad2ant2 divge0d wceq wb
      0p1e1 0z flbi sylancl z0even breqtrrid syl6bir mpand syl5bir sylbird mt3d
      id lemuldivd eqbrtrrd lelttrd 1lt2 ltexp2d elfzo2 syl3anbrc 3expia syl5bi
      elfzolt2 ssrdv crab cinf cneg cif simpr nnred simpllr nn0red max2 syl2anc
      cn simplr n2dvdsm1 simplll nnnn0d ifcld nnexpcld nndivred zcnd nncnd 2cnd
      2nn wne 2ne0 expne0d divnegd max1 uzid ax-mp bernneq3 sylancr ltled letrd
      2z mulid1d breqtrrd nnrpd ledivmuld eqbrtrd nngt0d lt0neg1d ax-1cn neg1cn
      lenegcon1d divgt0d 1pneg1e0 addcomli breqtrrdi neg1z breq2d mtbiri sseldd
      mpbir2and bitsval2 syl mpbid pm2.65da intnand wo simpll elznn0nn ord eqid
      sylib bitsfzolem impbida ) BCDZAEDZFZBGHAIJZUCJDZBUDKZGAUCJZUEZUVIUVKFZUA
      UVLUVMUAUFZUVLDUVGUVPEDZHBHUVPIJZUGJZUHKZLMZNZUIZUVOUVPUVMDZUVPBUJUVIUVKU
      WCUWDUVIUVKUWCUIZUVPGUOKZDACDUVPAOMZUWDUWEUVPEUWFUVIUVKUVGUVQUWBUKZULUMUW
      EAUVGUVHUVKUWCUNZUPZUWEUWGUVRUVJOMUWEUVRBUVJUWEHUVPHPDUWEUQQZUWHURZUWEBUV
      GUVHUVKUWCUSUTZUWEHAUWKUWIURUWERUVRVAJZUVRBSUWEUVRUWEUVRUWLVBVCUWEUWNBSMR
      UVSSMZUWEUWOUWAUVIUVKUVGUVQUWBVDUWEUWONUVSROMZUWAUWEUVSRUWEBUVRUWMUWEHUVP
      HVEDUWEVGQUWEUVPUWHUPZVFZVHZUWEVIZVJUWPUVSGRVKJZOMZUWEUWAUXARUVSOVRVLUWEG
      UVSSMZUXBUWAUWEBUVRUWMUWRUVKUVIGBSMUWCBGUVJVMVNVOUWEUXCUXBFZUVTGVPZUWAUWE
      UVSPDGCDUXEUXDVQUWSVSUVSGVTWAUXEHGUVTLWBUXEWIWCWDWEWFWGWHUWERBUVRUWTUWMUW
      RWJTWKUVKUVIBUVJOMUWCBGUVJWSVNWLUWEHUVPAUWKUWQUWJRHOMUWEWMQWNTUVPGAWOWPWQ
      WRWTUVIUVNFZBHUBUFIJOMUBEXAPOXBZUBABUXFBEDZBPDZBXCZXKDZFZUXFUXKUXIUXFUXKA
      UXJASMZAUXJXDZSMZUXFUXKFZUXJPDZAPDZUXOUXPUXJUXFUXKXEZXFZUXPAUVGUVHUVNUXKX
      GZXHZUXJAXIXJUXPUXNAOMZUXONUXPUXNUVMDUYCUXPUVLUVMUXNUVIUVNUXKXLUXPUXNUVLD
      ZHBHUXNIJZUGJZUHKZLMZNZUXPUYHHRXCZLMXMUXPUYGUYJHLUXPUYGUYJVPZUYJUYFSMZUYF
      UYJRVKJZOMZUXPUYFRUXPBUYEUXPBUVGUVHUVNUXKXNZUTUXPHUXNHXKDUXPYBQUXPUXMAUXJ
      EUYAUXPUXJUXSXOXPZXQZXRZUXPVIZUXPUYFXCZUXJUYEUGJZRSUXPBUYEUXPBUYOXSUXPUYE
      UYQXTZUXPHUXNUXPYAHGYCUXPYDQUXPUXNUYPUPYEYFZUXPVUARSMUXJUYERVAJZSMUXPUXJU
      YEVUDSUXPUXJUXNUYEUXTUXPUXNUYPXHZUXPUYEUYQXFZUXPUXQUXRUXJUXNSMUXTUYBUXJAY
      GXJUXPUXNUYEVUEVUFUXPHHUOKDZUXNEDZUXNUYEOMHCDVUGYNHYHYIUYPHUXNYJYKYLYMUXP
      UYEVUBYOYPUXPUXJRUYEUXTUYSUXPUYEUYQYQYRTYSUUDUXPUYFGUYMOUXPUYFGOMGUYTOMUX
      PGVUAUYTOUXPUXJUYEUXTVUFUXPUXJUXSYTUXPUYEUYQYTUUEVUCYPUXPUYFUYRUUATRUYJGU
      UBUUCUUFUUGUUHUXPUYFPDUYJCDUYKUYLUYNFVQUYRUUIUYFUYJVTWAUUMUUJUUKUXPUVGVUH
      UYDUYIVQUYOUYPUXNBUUNXJTUULUXNGAWSUUOUXPUXNAVUEUYBVJUUPUUQUURUXFUXHUXLUXF
      UVGUXHUXLUUSUVGUVHUVNUUTBUVAUVDUVBWHUVGUVHUVNXLUVIUVNXEUXGUVCUVEUVF $.

    $( Truncating the bit sequence after some ` M ` is equivalent to reducing
       the argument ` mod 2 ^ M ` .  (Contributed by Mario Carneiro,
       6-Sep-2016.) $)
    bitsmod $p |- ( ( N e. ZZ /\ M e. NN0 ) -> ( bits `
      ( N mod ( 2 ^ M ) ) ) = ( ( bits ` N ) i^i ( 0 ..^ M ) ) ) $=
      ( cz wcel cn0 wa c2 cfv cc0 cdiv cdvds wbr clt a1i nn0zd ad2antrr syl2anc
      co wb c1 vx cexp cmo cbits cfzo cin cv cfl wn w3a simpl cn simpr nnexpcld
      2nn zmodcld biantrurd simplr bitsval2 biantrud cmin 2z zred nndivred cmul
      flcld nnzd zmulcld zsubcld caddc 2cnd expp1d cuz 1nn0 nn0addcld nn0ltp1le
      cle adantr mpbid eluz2 syl3anbrc dvdsexp syl3anc eqbrtrrd crp moddifz wne
      nnrpd 2ne0 expne0d dvdsval2 mpbird dvdstrd nncnd divcan2d breqtrrd nn0red
      zcnd dvdscmulr syl112anc pncan3d oveq1d divdird eqtr3d fveq2d wceq fladdz
      ltled eqtrd mvrladdd dvdssub2 syl31anc notbid 3bitr3d z0even 2rp rpexpcld
      cr modcld nn0ge0d divge0d rpred modlt 1le2 leexp2ad ltletrd rpcnd mulid1d
      nltled 1red ltdivmuld breqtrdi rerpdivcld flbi bitr3d an12 3anass 3bitr4g
      1e0p1 0z sylancl mpbir2and breqtrrid intnand 2thd con2bid bitrdi pm5.32da
      pm2.61dan elfzo2 elnn0uz 3anbi1i 3bitr2i anbi2i bitri bitsval elin eqrdv
      ) BCDZAEDZFZUABGAUBRZUCRZUDHZBUDHZIAUERZUFZUVAUVCCDZUAUGZEDZGUVCGUVIUBRZJ
      RZUHHZKLZUIZUJZUVIUVEDZUVIUVFDZFZUVIUVDDUVIUVGDUVAUVHUVJUVOFZFZUVJUVQACDZ
      UVIAMLZFZFZFZUVPUVSUVAUVTUWAUWFUVAUVHUVTUVAUVCUVABUVBUUSUUTUKZUVAGAGULDZU
      VAUONUUSUUTUMUNZUPZOZUQUVAUVJUVOUWEUVAUVJFZUVOUWBUVQUWCFZFZUWEUWLUWMUVOUW
      NUWLUWCUWMUVOSUWLUWCFZUVQGBUVKJRZUHHZKLZUIZUWMUVOUWOUUSUVJUVQUWSSUVAUUSUV
      JUWCUWGPZUVAUVJUWCURZUVIBUSQUWOUWCUVQUWLUWCUMZUTUWOUWRUVNUWOGCDZUWQCDUVMC
      DGUWQUVMVARZKLUWRUVNSUXCUWOVBNZUWOUWPUWOBUVKUWOBUWTVCZUWOGUVIUWHUWOUONUXA
      UNZVDVFUWOUVLUWOUVCUVKUWOUVCUVAUVHUVJUWCUWKPZVCUXGVDZVFZUWOGBUVCVARZUVKJR
      ZUXDKUWOUVKGVERZUVKUXLVERZKLZGUXLKLZUWOUXMUXKUXNKUWOUXMUVBUXKUWOUVKGUWOUV
      KUXGVGZUXEVHUWOUVBUVAUVBULDUVJUWCUWIPZVGZUWOBUVCUWTUXHVIZUWOGUVITVJRZUBRZ
      UXMUVBKUWOGUVIUWOVKZUXAVLUWOUXCUYAEDAUYAVMHDZUYBUVBKLUXEUWOUVITUXATEDUWOV
      NNVOZUWOUYACDUWBUYAAVQLZUYDUWOUYAUYEOUWOAUWLUUTUWCUUSUUTUVJURZVRZOZUWOUWC
      UYFUXBUWOUVJUUTUWCUYFSUXAUYHUVIAVPQVSUYAAVTWAGUYAAWBWCWDUWOUVBUXKKLZUXKUV
      BJRCDZUWOBXRDZUVBWEDZUYKUXFUWOUVBUXRWHBUVBWFQUWOUVBCDUVBIWGUXKCDZUYJUYKSU
      XSUWOGAUYCGIWGUWOWINZUYIWJUXTUVBUXKWKWCWLZWMUWOUXKUVKUWOUXKUXTWRZUWOUVKUX
      GWNZUWOGUVIUYCUYOUWOUVIUXAOZWJZWOWPUWOUXCUXLCDZUVKCDZUVKIWGZUXOUXPSUXEUWO
      UVKUXKKLZVUAUWOUVKUVBUXKUXQUXSUXTUWOUXCUVJAUVIVMHDZUVKUVBKLUXEUXAUWOUVICD
      ZUWBUVIAVQLVUEUYSUYIUWOUVIAUWOUVIUXAWQUWOAUYHWQUXBXHUVIAVTWAGUVIAWBWCUYPW
      MUWOVUBVUCUYNVUDVUASUXQUYTUXTUVKUXKWKWCVSZUXQUYTUVKGUXLWSWTVSUWOUWQUVMUXL
      UWOUVMUXJWRUWOUXLVUGWRUWOUWQUVLUXLVJRZUHHZUVMUXLVJRZUWOUWPVUHUHUWOUVCUXKV
      JRZUVKJRUWPVUHUWOVUKBUVKJUWOUVCBUWOUVCUXHWRZUWOBUWTWRXAXBUWOUVCUXKUVKVULU
      YQUYRUYTXCXDXEUWOUVLXRDZVUAVUIVUJXFUXIVUGUVLUXLXGQXIXJWPGUWQUVMXKXLXMXNUW
      LUWCUIZFZUVNUWMVUOUVNUWMUIVUOGIUVMKXOVUOUVMIXFZIUVLVQLZUVLITVJRZMLZVUOUVC
      UVKVUOBUVBVUOBUVAUUSUVJVUNUWGPVCZVUOGAGWEDVUOXPNZUWLUWBVUNUWLAUYGOZVRZXQZ
      XSZVUOGUVIVVAVUOUVIUVAUVJVUNURZOZXQZVUOUVCUVAUVCEDUVJVUNUWJPXTYAVUOUVLTVU
      RMVUOUVLTMLUVCUVKTVERZMLVUOUVCUVKVVIMVUOUVCUVBUVKVVEVUOUVBVVDYBVUOUVKVVHY
      BVUOUYLUYMUVCUVBMLVUTVVDBUVBYCQVUOGAUVIVUOGVVAYBTGVQLVUOYDNVUOUWBVUFAUVIV
      QLUVIAVMHDVVCVVGVUOAUVIVUOAVVCVCVUOUVIVVFWQUWLVUNUMZYIAUVIVTWAYEYFVUOUVKV
      UOUVKVVHYGYHWPVUOUVCTUVKVVEVUOYJVVHYKWLYSYLVUOVUMICDVUPVUQVUSFSVUOUVCUVKV
      VEVVHYMYTUVLIYNUUAUUBUUCVUOUWCUVQVVJUUDUUEUUFUUIUWLUWBUWMVVBUQYOUWBUVQUWC
      YPUUGUUHYOUVHUVJUVOYQUVSUVQUVJUWDFZFUWFUVRVVKUVQUVRUVIIVMHDZUWBUWCUJUVJUW
      BUWCUJVVKUVIIAUUJUVJVVLUWBUWCUVIUUKUULUVJUWBUWCYQUUMUUNUVQUVJUWDYPUUOYRUV
      IUVCUUPUVIUVEUVFUUQYRUUR $.

    $( Every number is associated with a finite set of bits.  (Contributed by
       Mario Carneiro, 5-Sep-2016.) $)
    bitsfi $p |- ( N e. NN0 -> ( bits ` N ) e. Fin ) $=
      ( vm cn0 wcel c2 cv cexp co clt wbr cbits cfv cfn cn cr a1i wa cc0 cfzo
      cz wrex nn0re 2re 1lt2 expnbnd syl3anc wss fzofi cuz simpl nn0uz eleqtrdi
      c1 simprl nnnn0d nnexpcld nnzd simprr elfzo2 syl3anbrc wb bitsfzo syl2anc
      2nn nn0zd mpbid ssfi sylancr rexlimddv ) ACDZAEBFZGHZIJZAKLZMDZBNVJAODEOD
      ZUMEIJZVMBNUAAUBVPVJUCPVQVJUDPAEBUEUFVJVKNDZVMQZQZRVKSHZMDVNWAUGZVORVKUHV
      TARVLSHDZWBVTARUILZDVLTDVMWCVTACWDVJVSUJZUKULVTVLVTEVKENDVTVDPVTVKVJVRVMU
      NUOZUPUQVJVRVMURARVLUSUTVTATDVKCDWCWBVAVTAWEVEWFVKAVBVCVFWAVNVGVHVI $.

    $( The bit complement of ` N ` is ` -u N - 1 ` .  (Thus, by ~ bitsfi , all
       negative numbers have cofinite ` bits ` representations.)  (Contributed
       by Mario Carneiro, 5-Sep-2016.) $)
    bitscmp $p |- ( N e. ZZ ->
      ( NN0 \ ( bits ` N ) ) = ( bits ` ( -u N - 1 ) ) ) $=
      ( cz wcel cn0 cfv cneg c1 co wn wa c2 cdiv cdvds wbr zred syl2anc cle clt
      wb mpbid vm cbits cdif cmin cv cexp cfl bitsval2 2z a1i simpl cn nnexpcld
      2nn simpr nndivred flcld dvdsnegb notbid znegcld oddm1even syl wceq caddc
      cmul cr flltp1 readdcld ltnegd recnd negdi2d nncnd nnne0d divnegd 3brtr3d
      1red 1zzd zsubcld renegcld ltmuldivd mpbird nnzd zmulcld zltlem1 resubcld
      nnrpd lemuldivd lenegd eqbrtrrd ledivmuld zlem1lt ltdivmuld negcld npcand
      flle breqtrrd flbi mpbir2and breq2d bitr4d pm5.32da biantrurd bitrd eldif
      3bitrd znegcl w3a bitsval 3anass bitri 3bitr4g eqrdv ) ABCZUADAUBEZUCZAFZ
      GUDHZUBEZXMUAUEZDCZXSXNCZIZJZXQBCZXTKXQKXSUFHZLHZUGEZMNZIZJZJZXSXOCXSXRCZ
      XMYCYJYKXMXTYBYIXMXTJZYAYHYMYAKAYELHZUGEZMNZIKYOFZMNZIZYHXSAUHYMYPYRYMKBC
      ZYOBCYPYRSYTYMUIUJYMYNYMAYEYMAXMXTUKZOZYMKXSKULCYMUNUJXMXTUOUMZUPZUQZKYOU
      RPUSYMYSKYQGUDHZMNZYHYMYQBCYSUUGSYMYOUUEUTZYQVAVBYMYGUUFKMYMYGUUFVCZUUFYF
      QNZYFUUFGVDHZRNZYMUUFYEVEHZXQQNZUUJYMUUMXPRNZUUNYMUUOUUFXPYELHZRNYMYOGVDH
      ZFZYNFZUUFUUPRYMYNUUQRNZUURUUSRNYMYNVFCZUUTUUDYNVGVBYMYNUUQUUDYMYOGYMYOUU
      EOZYMVPZVHVITYMYOGYMYOUVBVJZYMGUVCVJZVKYMAYEYMAUUBVJYMYEUUCVLYMYEUUCVMVNZ
      VOYMUUFXPYEYMUUFYMYQGUUHYMVQVRZOZYMAUUBVSZYMYEUUCWFZVTWAYMUUMBCXPBCZUUOUU
      NSYMUUFYEUVGYMYEUUCWBZWCYMAUUAUTZUUMXPWDPTYMUUFXQYEUVHYMXPGUVIUVCWEZUVJWG
      TYMYFYQUUKRYMYFYQRNXQYEYQVEHZRNZYMXPUVOQNZUVPYMUUPYQQNUVQYMUUSUUPYQQUVFYM
      YOYNQNZUUSYQQNYMUVAUVRUUDYNWOVBYMYOYNUVBUUDWHTWIYMXPYQYEUVIYMYOUVBVSZUVJW
      JTYMUVKUVOBCUVQUVPSUVMYMYEYQUVLUUHWCXPUVOWKPTYMXQYQYEUVNUVSUVJWLWAYMYQGYM
      YOUVDWMUVEWNWPYMYFVFCUUFBCUUIUUJUULJSYMXQYEUVNUUCUPUVGYFUUFWQPWRWSWTXEUSX
      AXMYDYJXMXPGAXFXMVQVRXBXCXSDXNXDYLYDXTYIXGYKXSXQXHYDXTYIXIXJXKXL $.
  $}

  $( The bits of zero.  (Contributed by Mario Carneiro, 6-Sep-2016.) $)
  0bits $p |- ( bits ` 0 ) = (/) $=
    ( cc0 cbits cfv c0 cfzo co c2 cexp wcel wss c1 csn c0ex snid fzo01 eleqtrri
    cc wceq 2cn exp0 ax-mp oveq2i cz wb 0z 0nn0 bitsfzo mp2an mpbi fzo0 sseqtri
    cn0 0ss eqssi ) ABCZDUOAAEFZDAAGAHFZEFZIZUOUPJZAAKEFZURAALVAAMNOPUQKAEGQIUQ
    KRSGTUAUBPAUCIAULIUSUTUDUEUFAAUGUHUIAUJUKUOUMUN $.

  $( The bits of negative one.  (Contributed by Mario Carneiro, 5-Sep-2016.) $)
  m1bits $p |- ( bits ` -u 1 ) = NN0 $=
    ( cn0 cc0 cbits cdif cneg c1 cmin co cz wcel wceq 0z bitscmp ax-mp c0 0bits
    cfv difeq2i dif0 eqtri neg0 oveq1i df-neg eqtr4i fveq2i 3eqtr3ri ) ABCQZDZB
    EZFGHZCQZAFEZCQBIJUHUKKLBMNUHAODAUGOAPRASTUJULCUJBFGHULUIBFGUAUBFUCUDUEUF
    $.

  ${
    $d k m n x A $.  $d k n x y N $.
    $( Lemma for ~ bitsinv1 .  (Contributed by Mario Carneiro, 22-Sep-2016.) $)
    bitsinv1lem $p |- ( ( N e. ZZ /\ M e. NN0 ) ->
     ( N mod ( 2 ^ ( M + 1 ) ) ) = ( ( N mod ( 2 ^ M ) ) +
       if ( M e. ( bits ` N ) , ( 2 ^ M ) , 0 ) ) ) $=
      ( wcel c2 c1 caddc co wceq cc0 cz cmin a1i adantr cdiv cdvds syl2anc cmul
      wbr clt cle cbits cfv cexp cmo cif cn0 wa oveq2 eqeq2d cc simpl 2nn simpr
      cn nnexpcld zmodcld nn0cnd 1nn0 nn0addcld pncan3d subcld simplr nncnd wne
      2cnd 2ne0 nn0zd expne0d wn z0even id breqtrrid cfl bitsval2 cr zred nnrpd
      crp moddiffl breq2d wb 2z moddifz zcnd nnncan1d oveq1d divsubdird mulcomd
      eqtr3d oveq12d divcan5d peano2zd 3eqtr3d zmulcld eqeltrd zsubcld dvdsmul2
      expp1d eqtr4d div23d nnncan2d breqtrrd bitr3d notbid bitrd con2bid syl5ib
      dvdssub2 syl31anc con2d cpr wo cfzo cuz cneg df-neg mulm1d nnred renegcld
      modcld resubcld modlt ltnegd mpbid 0red lesub1dd eqbrtrid ltletrd eqbrtrd
      modge0 1red ltmuldivd eqbrtrrid 0zd zlem1lt mpbird sylanbrc eleqtrdi imp
      elnn0z nn0uz subge02d lelttrd breqtrd ltdivmuld syl3anbrc fzo0to2pr elpri
      elfzo2 syl syld diveq1d oveq2d n2dvds1 breq2 mtbiri sylibrd con1d diveq0d
      ord syl6 subeq0d addid1d ifbothda ) ABUAUBCZBDAEFGZUCGZUDGZBDAUCGZUDGZUVI
      FGZHUVHUVJIFGZHUVHUVJUVEUVIIUEZFGZHBJCZAUFCZUGZUVIIUVIUVMHUVKUVNUVHUVIUVM
      UVJFUHUIIUVMHUVLUVNUVHIUVMUVJFUHUIUVQUVEUGZUVJUVHUVJKGZFGUVHUVKUVRUVJUVHU
      VQUVJUJCZUVEUVQUVJUVQBUVIUVOUVPUKZUVQDADUNCZUVQULLZUVOUVPUMZUOZUPUQZMUVQU
      VHUJCZUVEUVQUVHUVQBUVGUWAUVQDUVFUWCUVQAEUWDEUFCUVQURLUSUOZUPUQZMUTUVRUVSU
      VIUVJFUVRUVSUVIUVQUVSUJCZUVEUVQUVHUVJUWIUWFVAZMUVRUVIUVRDAUWBUVRULLUVOUVP
      UVEVBUOVCUVQUVIIVDZUVEUVQDAUVQVEZDIVDUVQVFLZUVQAUWDVGZVHZMUVQUVEUVSUVINGZ
      EHZUVQUVEUWQIHZVIZUWRUVQUWSUVEUWSDUWQORZUVQUVEVIZUWSDIUWQOVJUWSVKVLUVQUVE
      UXAUVQUVEDBUVINGVMUBZORZVIUXAVIZABVNUVQUXDUXAUVQDBUVJKGZUVINGZORZUXDUXAUV
      QUXGUXCDOUVQBVOCZUVIVRCZUXGUXCHUVQBUWAVPZUVQUVIUWEVQZBUVIVSPVTUVQDJCZUXGJ
      CZUWQJCZDUXGUWQKGZORUXHUXAWAUXMUVQWBLZUVQUXIUXJUXNUXKUXLBUVIWCPZUVQUWQUXG
      BUVHKGZUVINGZKGZJUVQUXFUXSKGZUVINGUWQUYAUVQUYBUVSUVINUVQBUVJUVHUVQBUWAWDZ
      UWFUWIWEWFUVQUXFUXSUVIUVQBUVJUYCUWFVAZUVQBUVHUYCUWIVAZUVQUVIUWEVCZUWPWGWI
      UVQUXGUXTUXRUVQUXTUXSUVGNGZDQGZJUVQDUXSQGZDUVIQGZNGUXSDQGZUVGNGUXTUYHUVQU
      YIUYKUYJUVGNUVQDUXSUWMUYEWHUVQUYJUVIDQGZUVGUVQDUVIUWMUYFWHUVQDAUWMUWDWRZW
      SWJUVQUXSUVIDUYEUYFUWMUWPUWNWKUVQUXSDUVGUYEUWMUVQUVGUWHVCUVQDUVFUWMUWNUVQ
      AUWOWLVHWTWMZUVQUYGDUVQUXIUVGVRCZUYGJCZUXKUVQUVGUWHVQZBUVGWCPZUXQWNWOWPWO
      ZUVQDUYHUXPOUVQUYPUXMDUYHORUYRUXQUYGDWQPUVQUXFUVSKGZUVINGUXTUXPUYHUVQUYTU
      XSUVINUVQBUVHUVJUYCUWIUWFXAWFUVQUXFUVSUVIUYDUWKUYFUWPWGUYNWMXBDUXGUWQXHXI
      XCXDXEZXFXGXJUVQUWSUWRUVQUWQIEXKZCUWSUWRXLUVQUWQIDXMGZVUBUVQUWQIXNUBZCUXM
      UWQDSRZUWQVUCCUVQUWQUFVUDUVQUXOIUWQTRZUWQUFCUYSUVQVUFIEKGZUWQSRZUVQVUGEXO
      ZUWQSEXPUVQVUIUVIQGZUVSSRVUIUWQSRUVQVUJUVIXOZUVSSUVQUVIUYFXQUVQVUKUVJXOZU
      VSUVQUVIUVQUVIUWEXRZXSUVQUVJUVQBUVIUXKUXLXTZXSUVQUVHUVJUVQBUVGUXKUYQXTZVU
      NYAZUVQUVJUVISRZVUKVULSRUVQUXIUXJVUQUXKUXLBUVIYBPUVQUVJUVIVUNVUMYCYDUVQVU
      LIUVJKGUVSTUVJXPUVQIUVHUVJUVQYEVUOVUNUVQUXIUYOIUVHTRUXKUYQBUVGYJPYFYGYHYI
      UVQVUIUVSUVIUVQEUVQYKXSVUPUXLYLYDYMUVQIJCUXOVUFVUHWAUVQYNUYSIUWQYOPYPUWQY
      TYQUUAYRUXQUVQVUEUVSUYLSRUVQUVSUVGUYLSUVQUVSUVHUVGVUPVUOUVQUVGUWHXRUVQIUV
      JTRZUVSUVHTRUVQUXIUXJVURUXKUXLBUVIYJPUVQUVHUVJVUOVUNUUBYDUVQUXIUYOUVHUVGS
      RUXKUYQBUVGYBPUUCUYMUUDUVQUVSDUVIVUPUVQDUWCXRUXLUUEYPUWQIDUUIUUFUUGYRUWQI
      EUUHUUJUUTZUUKYSUULUUMWIUVQUXBUGZUVHUVJUVLVUTUVHUVJUVQUWGUXBUWIMUVQUVTUXB
      UWFMZVUTUVSUVIUVQUWJUXBUWKMUVQUVIUJCUXBUYFMUVQUWLUXBUWPMUVQUXBUWSUVQUWSUV
      EUVQUWTUXEUVEUVQUWTUWRUXEVUSUWRUXADEORUUNUWQEDOUUOUUPUVAVUAUUQUURYSUUSUVB
      VUTUVJVVAUVCWSUVD $.

    $( There is an explicit inverse to the ` bits ` function for nonnegative
       integers (which can be extended to negative integers using ~ bitscmp ),
       part 1.  (Contributed by Mario Carneiro, 7-Sep-2016.) $)
    bitsinv1 $p |- ( N e. NN0 -> sum_ n e. ( bits ` N ) ( 2 ^ n ) = N ) $=
      ( cn0 wcel cc0 cfzo co cin c2 cexp csu cmo wceq wi caddc c0 eqtrdi ineq2d
      oveq2 sumeq1d vx vk cbits cfv cv c1 fzo0 in0 sum0 2cn exp0 oveq2d eqeq12d
      cc ax-mp imbi2d cz zmod10 syl eqcomd wa csn oveq1 wn fzonel disjsn sylibr
      nn0z a1i inindi 3eqtr3g cun cuz simpr nn0uz eleqtrdi fzosplitsn cfn fzofi
      indi wss inss2 ssfi mp2an 2nn elin2d elfzouz eleqtrrdi nnexpcld fsumsplit
      cn nncnd bitsinv1lem sylan eqeq2 snssd sseqin2 sylib simplr sumsn syl2anc
      cif eqtrd ifbothda eqtr4d syl5ibr expcom a2d nn0ind pm2.43i clt wbr id 2z
      nnzd uzid bernneq3 mpan elfzo2 syl3anbrc wb bitsfzo mpbid df-ss crp nn0re
      cr cle 2rp rpexpcld nn0ge0 modid syl22anc 3eqtr3d ) BCDZBUCUDZEBFGZHZIAUE
      ZJGZAKZBIBJGZLGZYPYTAKBYOUUAUUCMZYOYPEUAUEZFGZHZYTAKZBIUUEJGZLGZMZNYOEBUF
      LGZMZNYOYPEUBUEZFGZHZYTAKZBIUUNJGZLGZMZNYOYPEUUNUFOGZFGZHZYTAKZBIUVAJGZLG
      ZMZNYOUUDNUAUBBUUEEMZUUKUUMYOUVHUUHEUUJUULUVHUUHPYTAKZEUVHUUGPYTAUVHUUGYP
      PHZPUVHUUFPYPUVHUUFEEFGPUUEEEFSEUGQRYPUHZQTYTAUIZQUVHUUIUFBLUVHUUIIEJGZUF
      UUEEIJSIUNDUVMUFMUJIUKUOQULUMUPUUEUUNMZUUKUUTYOUVNUUHUUQUUJUUSUVNUUGUUPYT
      AUVNUUFUUOYPUUEUUNEFSRTUVNUUIUURBLUUEUUNIJSULUMUPUUEUVAMZUUKUVGYOUVOUUHUV
      DUUJUVFUVOUUGUVCYTAUVOUUFUVBYPUUEUVAEFSRTUVOUUIUVEBLUUEUVAIJSULUMUPUUEBMZ
      UUKUUDYOUVPUUHUUAUUJUUCUVPUUGYRYTAUVPUUFYQYPUUEBEFSRTUVPUUIUUBBLUUEBIJSUL
      UMUPYOUULEYOBUQDZUULEMBVHZBURUSUTUUNCDZYOUUTUVGYOUVSUUTUVGNUUTUVGYOUVSVAZ
      UUQYPUUNVBZHZYTAKZOGZUUSUWCOGZMUUQUUSUWCOVCUVTUVDUWDUVFUWEUVTUUPUWBYTUVCA
      UVTYPUUOUWAHZHUVJUUPUWBHPUVTUWFPYPUVTUUNUUODVDZUWFPMUWGUVTEUUNVEVIUUOUUNV
      FVGRYPUUOUWAVJUVKVKUVTUVCYPUUOUWAVLZHUUPUWBVLUVTUVBUWHYPUVTUUNEVMUDZDUVBU
      WHMUVTUUNCUWIYOUVSVNVOVPEUUNVQUSRYPUUOUWAVTQUVCVRDZUVTUVBVRDUVCUVBWAUWJEU
      VAVSYPUVBWBUVBUVCWCWDVIUVTYSUVCDZVAZYTUWLIYSIWKDZUWLWEVIUWLYSUWICUWLYSUVB
      DYSUWIDUWLYPUVBYSUVTUWKVNWFYSEUVAWGUSVOWHWIWLWJUVTUVFUUSUUNYPDZUUREXBZOGZ
      UWEYOUVQUVSUVFUWPMUVRUUNBWMWNUVTUWCUWOUUSOUWNUWCUURMUWCEMUWCUWOMUVTUUREUU
      RUWOUWCWOEUWOUWCWOUVTUWNVAZUWCUWAYTAKZUURUWQUWBUWAYTAUWQUWAYPWAUWBUWAMUWQ
      UUNYPUVTUWNVNWPUWAYPWQWRTUWQUVSUURUNDUWRUURMYOUVSUWNWSZUWQUURUWQIUUNUWMUW
      QWEVIUWSWIWLYTUURAUUNCYSUUNIJSWTXAXCUVTUWNVDZVAZUWCUVIEUXAUWBPYTAUXAUWTUW
      BPMUVTUWTVNYPUUNVFVGTUVLQXDULXEUMXFXGXHXIXJYOYRYPYTAYOYPYQWAZYRYPMYOBEUUB
      FGDZUXBYOBUWIDUUBUQDBUUBXKXLZUXCYOBCUWIYOXMZVOVPYOUUBYOIBUWMYOWEVIUXEWIXO
      IIVMUDDZYOUXDIUQDUXFXNIXPUOIBXQXRZBEUUBXSXTYOUVQYOUXCUXBYAUVRUXEBBYBXAYCY
      PYQYDWRTYOBYGDUUBYEDEBYHXLUXDUUCBMBYFYOIBIYEDYOYIVIUVRYJBYKUXGBUUBYLYMYN
      $.

    $( There is an explicit inverse to the ` bits ` function for nonnegative
       integers, part 2.  (Contributed by Mario Carneiro, 8-Sep-2016.) $)
    bitsinv2 $p |- ( A e. ( ~P NN0 i^i Fin ) ->
      ( bits ` sum_ n e. A ( 2 ^ n ) ) = A ) $=
      ( vk vm cn0 cfn wcel c2 cv cexp co csu cfv a1i wss elfpw syl sumeq1 sumex
      wceq cpw cin cbits cmpt elinel2 wa 2nn0 simplbi sselda nn0expcld bitsinv1
      fsumnn0cl bitsss bitsfi sylanbrc oveq2 cbvsumv eqtrid eqid 3eqtr4d wf1 wb
      fvmpt wf1o ackbijnn f1of1 mp1i id f1fveq syl12anc mpbid ) AEUAZFUBZGZAHBI
      ZJKZBLZUCMZCVMCIZVPBLZUDZMZAWAMZTZVRATZVNVRHDIZJKZDLZVQWBWCVNVQEGZWHVQTVN
      AVPBAVLFUEVNVOAGUFZHVOHEGWJUGNVNAEVOVNAEOAFGAEPUHUIUJULZDVQUKQVNVRVMGZWBW
      HTVNVREOZVRFGZWLWMVNVQUMNVNWIWNWKVQUNQVREPUOZCVRVTWHVMWAVSVRTVTVSWGDLWHVS
      VPWGBDVOWFHJUPUQVSVRWGDRURWAUSZVRWGDSVCQCAVTVQVMWAVSAVPBRWPAVPBSVCUTVNVME
      WAVAZWLVNWDWEVBVMEWAVDWQVNCBWAWPVEVMEWAVFVGWOVNVHVMEVRAWAVIVJVK $.

    $( The ` bits ` function restricted to nonnegative integers is a bijection
       from the integers to the finite sets of integers.  It is in fact the
       inverse of the Ackermann bijection ~ ackbijnn .  (Contributed by Mario
       Carneiro, 8-Sep-2016.) $)
    bitsf1ocnv $p |- ( ( bits |` NN0 ) : NN0 -1-1-onto-> ( ~P NN0 i^i Fin ) /\
     `' ( bits |` NN0 ) =
        ( x e. ( ~P NN0 i^i Fin ) |-> sum_ n e. x ( 2 ^ n ) ) ) $=
      ( vk cn0 cfn cbits cres wf1o ccnv cv c2 csu cmpt wceq wa wtru wcel wss cz
      a1i cpw cin cexp co eqid bitsss bitsfi elfpw sylanbrc adantl elinel2 2nn0
      cfv simplbi sselda nn0expcld fsumnn0cl bitsinv2 ad2antll fveq2 syl5ibrcom
      eqcomd eqeq2d bitsinv1 ad2antrl sumeq1 impbid f1ocnv2d wf feqmptd reseq1d
      simpld bitsf nn0ssz resmpt ax-mp eqtrdi f1oeq1d mpbird cnveqd eqtrd mptru
      simprd jca ) DDUAZEUBZFDGZHZWGIZAWFAJZKBJZUCUDZBLZMZNZOPWHWOPWHDWFCDCJZFU
      MZMZHZPWSWRIZWNNZPCADWFWQWMWRWRUEWPDQZWQWFQZPXBWQDRZWQEQXCXDXBWPUFTWPUGWQ
      DUHUIUJWJWFQZWMDQPXEWJWLBWJWEEUKXEWKWJQOZKWKKDQXFULTXEWJDWKXEWJDRWJEQWJDU
      HUNUOUPUQUJPXBXEOOZWPWMNZWJWQNZXGXIXHWJWMFUMZNZXEXKPXBXEXJWJWJBURVBUSXHWQ
      XJWJWPWMFUTVCVAXGXHXIWPWQWLBLZNZXBXMPXEXBXLWPBWPVDVBVEXIWMXLWPWJWQWLBVFVC
      VAVGVHZVLPDWFWGWRPWGCSWQMZDGZWRPFXODPCSWEFSWEFVIPVMTVJVKDSRXPWRNVNCSDWQVO
      VPVQZVRVSPWIWTWNPWGWRXQVTPWSXAXNWCWAWDWB $.

    $( The ` bits ` function restricted to nonnegative integers is a bijection
       from the integers to the finite sets of integers.  It is in fact the
       inverse of the Ackermann bijection ~ ackbijnn .  (Contributed by Mario
       Carneiro, 8-Sep-2016.) $)
    bitsf1o $p |- ( bits |` NN0 ) : NN0 -1-1-onto-> ( ~P NN0 i^i Fin ) $=
      ( vx vn cn0 cpw cfn cin cbits cres wf1o ccnv cv c2 cexp co csu bitsf1ocnv
      cmpt wceq simpli ) CCDEFZGCHZIUAJATAKLBKMNBOQRABPS $.

    $( The ` bits ` function is an injection from ` ZZ ` to ` ~P NN0 ` .  It is
       obviously not a bijection (by Cantor's theorem ~ canth2 ), and in fact
       its range is the set of finite and cofinite subsets of ` NN0 ` .
       (Contributed by Mario Carneiro, 22-Sep-2016.) $)
    bitsf1 $p |- bits : ZZ -1-1-> ~P NN0 $=
      ( vx vy cz cn0 cbits cfv wceq wcel wa cn adantr c1 ad2antrl fvresd cfn wn
      cneg com bitsfi syl cpw wf1 wf cv wi wral bitsf cc simpl zcnd negcld 1cnd
      simpr cmin co cres cdif difeq2d bitscmp ad2antrr ad2antlr 3eqtr3d nnm1nn0
      simprr ominf cen wbr nn0ennn nnenom entr2i enfii mpan2 mto difinf eqeltrd
      mpan nsyl3 eqneltrrd nsyl wo znegcld cr elznn simprbi eleq1d orbi2d mpbid
      negnegd ord mt3d 3eqtr4d wb cin wf1o bitsf1o f1of1 ax-mp syl2anc subcan2d
      f1fveq neg11d expr biimpa fvres eqeltrrd mpd simprl syldan mpjaodan rgen2
      sylancr dff13 mpbir2an ) CDUAZEUBCXNEUCAUDZEFZBUDZEFZGZXOXQGZUEZBCUFACUFU
      GYAABCCXOCHZXQCHZIZXOQZJHZYAYEQZDHZYDYFXSXTYDYFXSIZIZXOXQYDXOUHHYIYDXOYBY
      CUIZUJZKZYDXQUHHYIYDXQYBYCUMZUJZKZYJYEXQQZLYJXOYMUKYJXQYPUKYJULYJYELUNUOZ
      EDUPZFZYQLUNUOZYSFZGZYRUUAGZYJYREFZUUAEFZYTUUBYJDXPUQZDXRUQZUUEUUFYJXPXRD
      YDYFXSVDZURYBUUGUUEGYCYIXOUSUTZYCUUHUUFGZYBYIXQUSZVAVBYJYRDEYFYRDHZYDXSYE
      VCMZNYJUUADEYJYQJHZUUADHZYJUUOXQDHZYJXROHZUUQYJXPXROUUIXPOHZUUGOHZYJDOHZP
      ZUUSUUTPUVAROHZVEUVARDVFVGUVCDJRVHVIVJRDVKVLVMZDXPVNVPYJUUGUUEOUUJYJUUMUU
      EOHUUNYRSTVOVQVRXQSVSYJUUOUUQYDUUOUUQVTZYIYDUUOYQQZDHZVTZUVEYDYQCHZUVHYDX
      QYNWAUVIYQWBHUVHYQWCWDTYDUVGUUQUUOYDUVFXQDYDXQYOWHWEWFWGZKWIWJYQVCZTZNWKY
      JUUMUUPUUCUUDWLZUUNUVLDXNOWMZYSUBZUUMUUPIUVMDUVNYSWNUVOWODUVNYSWPWQZDUVNY
      RUUAYSWTVPWRWGWSXAXBYDYHXODHZYAYDYHUVQYDYGXODYDXOYLWHWEXCYDUVQXSXTYDUVQXS
      IZIZXOYSFZXQYSFZGZXTUVSXPXRUVTUWAYDUVQXSVDZUVQUVTXPGYDXSXODEXDMUVSXQDEUVS
      UUOPUUQUVSUUPUUOUVSUUFOHUUPUVSUUHUUFOYCUUKYBUVRUULVAUVSUVBUURUUHOHPUVDUVS
      XPXROUWCUVQUUSYDXSXOSMXEDXRVNXKVRUUASVSUVKVSUVSUUOUUQYDUVEUVRUVJKWIXFZNWK
      UVSUVQUUQUWBXTWLZYDUVQXSXGUWDUVOUVQUUQIUWEUVPDUVNXOXQYSWTVPWRWGXBXHYDYECH
      ZYFYHVTZYDXOYKWAUWFYEWBHUWGYEWCWDTXIXJABCXNEXLXM $.

    $( The bits of a power of two.  (Contributed by Mario Carneiro,
       5-Sep-2016.) $)
    2ebits $p |- ( N e. NN0 -> ( bits ` ( 2 ^ N ) ) = { N } ) $=
      ( vk cn0 wcel csn c2 cv cexp co csu cbits cfv cc wceq cn 2nn a1i nnexpcld
      id cfn nncnd oveq2 sumsn mpdan fveq2d cpw cin wss snfi sylanblrc bitsinv2
      snssi elfpw syl eqtr3d ) ACDZAEZFBGZHIZBJZKLZFAHIZKLUQUPUTVBKUPVBMDUTVBNU
      PVBUPFAFODUPPQUPSRUAUSVBBACURAFHUBUCUDUEUPUQCUFTUGDZVAUQNUPUQCUHUQTDVCACU
      LAUIUQCUMUJUQBUKUNUO $.

    bitsinv.k $e |- K = `' ( bits |` NN0 ) $.
    $( The inverse of the ` bits ` function.  (Contributed by Mario Carneiro,
       8-Sep-2016.) $)
    bitsinv $p |- ( A e. ( ~P NN0 i^i Fin ) ->
      ( K ` A ) = sum_ k e. A ( 2 ^ k ) ) $=
      ( vx cv c2 cexp co csu cn0 cpw cfn cin sumeq1 cbits cres ccnv cmpt wf1o
      wceq bitsf1ocnv simpri eqtri sumex fvmpt ) EAEFZGBFHIZBJZAUHBJKLMNZCUGAUH
      BOCPKQZRZEUJUISZDKUJUKTULUMUAEBUBUCUDAUHBUEUF $.

    $( Recursive definition of the inverse of the ` bits ` function.
       (Contributed by Mario Carneiro, 8-Sep-2016.) $)
    bitsinvp1 $p |- ( ( A C_ NN0 /\ N e. NN0 ) ->
      ( K ` ( A i^i ( 0 ..^ ( N + 1 ) ) ) ) =
      ( ( K ` ( A i^i ( 0 ..^ N ) ) ) + if ( N e. A , ( 2 ^ N ) , 0 ) ) ) $=
      ( vk cn0 wss wcel wa cc0 caddc co cin c2 cexp csu c0 wceq a1i cfn c1 cfzo
      cv csn cfv cif fzonel disjsn sylibr ineq2d inindi in0 3eqtr3g simpr nn0uz
      wn cun cuz eleqtrdi fzosplitsn syl indi eqtrdi fzofi inss2 sylancl cn 2nn
      ssfi inss1 simpl sstrid sselda nnexpcld nncnd fsumsplit cpw elfpw bitsinv
      sylanbrc snssi adantl sseqin2 sylib sumeq1d cc simplr oveq2 sumsn syl2anc
      eqtr2d sum0 eqtr2di ifeqda oveq12d 3eqtr4d ) AFGZCFHZIZAJCUAKLZUBLZMZNEUC
      ZOLZEPZAJCUBLZMZXDEPZACUDZMZXDEPZKLXBBUEZXGBUEZCAHZNCOLZJUFZKLWSXGXJXDXBE
      WSAXFXIMZMAQMXGXJMQWSXQQAWSCXFHUPZXQQRXRWSJCUGSXFCUHUIUJAXFXIUKAULUMWSXBA
      XFXIUQZMXGXJUQWSXAXSAWSCJURUEZHXAXSRWSCFXTWQWRUNUOUSJCUTVAUJAXFXIVBVCWSXA
      THZXBXAGXBTHZYAWSJWTVDSAXAVEXAXBVIVFZWSXCXBHIZXDYDNXCNVGHZYDVHSWSXBFXCWSX
      BAFAXAVJWQWRVKZVLZVMVNVOVPWSXBFVQTMZHZXLXERWSXBFGYBYIYGYCXBFVRVTXBEBDVSVA
      WSXMXHXPXKKWSXGYHHZXMXHRWSXGFGXGTHZYJWSXGAFAXFVJYFVLWSXFTHZXGXFGYKYLWSJCV
      DSAXFVEXFXGVIVFXGFVRVTXGEBDVSVAWSXNXOJXKWSXNIZXKXIXDEPZXOYMXJXIXDEYMXIAGZ
      XJXIRXNYOWSCAWAWBXIAWCWDWEYMXNXOWFHYNXORWSXNUNYMXOYMNCYEYMVHSWQWRXNWGVNVO
      XDXOECAXCCNOWHWIWJWKWSXNUPZIZXKQXDEPJYQXJQXDEYQYPXJQRWSYPUNACUHUIWEXDEWLW
      MWNWOWP $.
  $}

  $( The core of the proof of ~ sadadd2 .  The intuitive justification for this
     is that ` cadd ` is true if at least two arguments are true, and ` hadd `
     is true if an odd number of arguments are true, so altogether the result
     is ` n x. A ` where ` n ` is the number of true arguments, which is
     equivalently obtained by adding together one ` A ` for each true argument,
     on the right side.  (Contributed by Mario Carneiro, 8-Sep-2016.) $)
  sadadd2lem2 $p |- ( A e. CC ->
    ( if ( hadd ( ph , ps , ch ) , A , 0 ) +
      if ( cadd ( ph , ps , ch ) , ( 2 x. A ) , 0 ) ) =
    ( ( if ( ph , A , 0 ) + if ( ps , A , 0 ) ) + if ( ch , A , 0 ) ) ) $=
    ( cc cc0 cif co caddc wceq wa wb adantl ifbid iftrue oveq12d oveq1d 3eqtr4d
    wn iffalse wcel whad wcad c2 cmul wo 0cn ifcl mpan2 ad2antrr simpll addassd
    add12d eqtr4d pm5.501 bicomd animorrl syl 2timesd eqtrd addid2d 2cnd mulcld
    id 2times adantr simpl 0cnd addcomd pm2.61dan ifnot eqtr3id 3eqtr2rd hadrot
    nbn2 had1 bitr3id cad1 oveq2d wxo notbid df-xor bitr4di ibar simplll ifclda
    biorf con1bid syl5bb simpr intnanrd had0 cad0 addcld addid1d sylan9eqr ) DE
    UAZCABCUBZDFGZABCUCZUDDUEHZFGZIHZADFGZBDFGZIHZCDFGZIHZJWQCKZABLZDFGZABUFZXA
    FGZIHZXFDIHZXCXHXIAXNXOJXIAKZXEDDIHZIHZDXEIHZDIHZXNXOXPXRDXEDIHZIHXTXPXEDDW
    QXEEUAZCAWQFEUAZYBUGBDFEUHUIZUJZWQCAUKZYFUMXPDXEDYFYEYFULUNXPXKXEXMXQIXPXJB
    DFXPBXJABXJLZXIABUOZMUPNXPXMXAXQXPXLXMXAJXIABUQXLXAFOURXPDYFUSUTPXPXFXSDIXP
    XDDXEIAXDDJZXIADFOZMQQRXIASZKZXOYABFDGZBXAFGZIHZXNYLXFXEDIYLXFFXEIHZXEYLXDF
    XEIYKXDFJZXIADFTZMQYLXEWQYBCYKYDUJVAUTQWQYOYAJZCYKWQBYSWQBKZFXAIHZXQYOYAWQU
    UAXQJBWQUUAXAXQWQXAWQUDDWQVBWQVDVCVADVEUTVFZYTYMFYNXAIBYMFJWQBFDOMBYNXAJWQB
    XAFOMPZYTXEDDIBXEDJWQBDFOMZQRWQBSZKZDFIHFDIHYOYAUUFDFWQUUEVGUUFVHVIUUFYMDYN
    FIUUEYMDJWQBFDTMZUUEYNFJWQBXAFTMZPUUFXEFDIUUEXEFJWQBDFTMZQRVJUJYLYMXKYNXMIY
    LYMUUEDFGZXKBDFVKZYLUUEXJDFYKUUEXJLZXIABVOZMNVLYLBXLXAFYKBXLLXIABWGMNPVMVJX
    IWSXKXBXMIXIWRXJDFCWRXJLWQWRCABUBZCXJCABVNZCABVPVQMNXIWTXLXAFCWTXLLWQABCVRM
    NPXIXGDXFICXGDJWQCDFOMVSRWQCSZKZABVTZDFGZABKZXAFGZIHZXFXCXHUUQAUVBXFJUUQAKZ
    XFXSYOUVBUVCXDDXEIAYIUUQYJMQWQYOXSJZUUPAWQBUVDYTUUAXQYOXSUUBUUCYTXEDDIUUDVS
    RUUFYMDYNXEIUUGUUFYNFXEUUHUUIUNPVJUJUVCYMUUSYNUVAIUVCYMUUJUUSUUKUVCUUEUURDF
    UVCUUEXJSZUURUVCBXJAYGUUQYHMWAABWBZWCNVLUVCBUUTXAFABUUTLUUQABWDMNPVMUUQYKKZ
    XEFIHYPUVBXFUVGXEFUVGBDFEWQUUPYKBWEUVGUUEKVHWFUVGVHVIUVGUUSXEUVAFIUVGUURBDF
    UURUVEUVGBUVFUVGBXJYKUULUUQUUMMWHWINUVGUUTSUVAFJUVGABUUQYKWJWKUUTXAFTURPUVG
    XDFXEIYKYQUUQYRMQRVJUUQWSUUSXBUVAIUUQWRUURDFUUPWRUURLWQWRUUNUUPUURUUOCABWLV
    QMNUUQWTUUTXAFUUPWTUUTLWQABCWMMNPUUPWQXHXFFIHXFUUPXGFXFICDFTVSWQXFWQXDXEWQY
    CXDEUAUGADFEUHUIYDWNWOWPRVJ $.

  ${
    $d c k m n x y $.  $d c k m x y A $.  $d c k m x y B $.  $d k n x y N $.
    $d k x y C $.  $d k x K $.  $d k x y ph $.
    $( Define the addition of two bit sequences, using ~ df-had and ~ df-cad
       bit operations.  (Contributed by Mario Carneiro, 5-Sep-2016.) $)
    df-sad $a |- sadd = ( x e. ~P NN0 , y e. ~P NN0 |-> { k e. NN0 |
      hadd ( k e. x , k e. y , (/) e. ( seq 0 (
        ( c e. 2o , m e. NN0 |->
          if ( cadd ( m e. x , m e. y , (/) e. c ) , 1o , (/) ) ) ,
        ( n e. NN0 |-> if ( n = 0 , (/) , ( n - 1 ) ) ) ) ` k ) ) } ) $.

    sadval.a $e |- ( ph -> A C_ NN0 ) $.
    sadval.b $e |- ( ph -> B C_ NN0 ) $.
    sadval.c $e |- C = seq 0 ( ( c e. 2o , m e. NN0 |->
          if ( cadd ( m e. A , m e. B , (/) e. c ) , 1o , (/) ) ) ,
        ( n e. NN0 |-> if ( n = 0 , (/) , ( n - 1 ) ) ) ) $.
    $( Define the addition of two bit sequences, using ~ df-had and ~ df-cad
       bit operations.  (Contributed by Mario Carneiro, 5-Sep-2016.) $)
    sadfval $p |- ( ph -> ( A sadd B ) = { k e. NN0 |
      hadd ( k e. A , k e. B , (/) e. ( C ` k ) ) } ) $=
      ( vx cn0 wcel cv c0 wceq c2o cc0 eleq2d vy cpw csad co cfv whad wss nn0ex
      crab elpw2 sylibr wcad c1o cif cmpo c1 cmin cmpt cseq wa simpl w3a simp1l
      simpr simp1r cadbi123d mpoeq3dva seqeq2d eqtr4di fveq1d hadbi123d rabbidv
      biidd ifbid df-sad rabex ovmpoa syl2anc ) ABMUBZNZCVSNZBCUCUDEOZBNZWBCNZP
      WBDUEZNZUFZEMUIZQABMUGVTIBMUHUJUKACMUGWAJCMUHUJUKLUABCVSVSWBLOZNZWBUAOZNZ
      PWBHFRMFOZWINZWMWKNZPHOZNZULZUMPUNZUOZGMGOZSQPXAUPUQUDUNURZSUSZUEZNZUFZEM
      UIWHUCWIBQZWKCQZUTZXFWGEMXIWJWCWLWDXEWFXIWIBWBXGXHVATXIWKCWBXGXHVDTXIXDWE
      PXIWBXCDXIXCHFRMWMBNZWMCNZWQULZUMPUNZUOZXBSUSDXIWTXNXBSXIHFRMWSXMXIWPRNZW
      MMNZVBZWRXLUMPXQWNXJWOXKWQWQXQWIBWMXGXHXOXPVCTXQWKCWMXGXHXOXPVETXQWQVMVFV
      NVGVHKVIVJTVKVLLUAEFGHVOWGEMUHVPVQVR $.

    $( The carry sequence is a sequence of elements of ` 2o ` encoding a
       "sequence of wffs".  (Contributed by Mario Carneiro, 5-Sep-2016.) $)
    sadcf $p |- ( ph -> C : NN0 --> 2o ) $=
      ( cn0 c2o cv wcel c0 c1o cc0 co wf cfv vx vy wcad cif cmpo wceq cmin cmpt
      c1 cseq cvv 0nn0 iftrue eqid 0ex fvmpt ax-mp prid1 df2o3 eleqtrri eqeltri
      cpr a1i wa cop df-ov cxp wral 1oex prid2 ifcli rgen2w fmpo mpbi f0cli 0zd
      nn0uz caddc cuz fvexd seqf2 feq1i sylibr ) AKLGELKEMZBNWDCNOGMNUCZPOUDZUE
      ZFKFMZQUFZOWHUIUGRZUDZUHZQUJZSKLDSAUAUBLUKWGWLQKQWLTZLNAWNOLQKNWNOUFULFQW
      KOKWLWIOWJUMWLUNUOUPUQOOPVBZLOPUOURUSUTZVAVCUAMZUBMZWGRZLNAWQLNWRUKNVDVDW
      SWQWRVEZWGTLWQWRWGVFLKVGZLWTWGWFLNZEKVHGLVHXALWGSXBGELKWEPOLPWOLOPVIVJUSU
      TWPVKVLGELKWFLWGWGUNVMVNWPVOVAVCVQAVPAWQQUIVRRVSTNVDWQWLVTWAKLDWMJWBWC $.

    $( The initial element of the carry sequence is ` F. ` .  (Contributed by
       Mario Carneiro, 5-Sep-2016.) $)
    sadc0 $p |- ( ph -> -. (/) e. ( C ` 0 ) ) $=
      ( c0 cc0 cfv wcel wn cn0 cv cif wceq ax-mp noel c2o wcad c1o cmpo c1 cmin
      co cmpt cseq fveq1i cz 0z seq1 0nn0 iftrue eqid fvmpt 3eqtri eleq2i mtbir
      0ex a1i ) KLDMZNZOAVEKKNKUAVDKKVDLGEUBPEQZBNVFCNKGQNUCUDKRUEZFPFQZLSZKVHU
      FUGUHZRZUIZLUJZMZLVLMZKLDVMJUKLULNVNVOSUMVGVLLUNTLPNVOKSUOFLVKKPVLVIKVJUP
      VLUQVBURTUSUTVAVC $.

    sadcp1.n $e |- ( ph -> N e. NN0 ) $.
    $( The carry sequence (which is a sequence of wffs, encoded as ` 1o ` and
       ` (/) ` ) is defined recursively as the carry operation applied to the
       previous carry and the two current inputs.  (Contributed by Mario
       Carneiro, 5-Sep-2016.) $)
    sadcp1 $p |- ( ph -> ( (/) e. ( C ` ( N + 1 ) ) <->
      cadd ( N e. A , N e. B , (/) e. ( C ` N ) ) ) ) $=
      ( c0 c1 co wcel c1o cn0 cc0 wceq vx caddc cfv wcad cif cmin cmpt c2o cmpo
      vy cv cseq cuz nn0uz eleqtrdi seqp1 fveq1i oveq1i 3eqtr4g peano2nn0 eqeq1
      syl oveq1 ifbieq2d eqid 0ex ovex ifex fvmpt 3syl wne cn nn0p1nn ifnefalse
      nnne0d nn0cnd 1cnd pncand 3eqtrd oveq2d sadcf ffvelrnd simpr eleq1d simpl
      wa eleq2d cadbi123d ifbid biidd eleq2w eleq1w cbvmpov 1oex ovmpoa syl2anc
      wn noel iffalse mtbiri con4i 0lt1o iftrue eleqtrrid impbii bitrdi ) AMGNU
      BOZDUCZPMGBPZGCPZMGDUCZPZUDZQMUEZPZXMAXHXNMAXHXKXGFRFUKZSTZMXPNUFOZUEZUGZ
      UCZHEUHREUKZBPZYBCPZMHUKZPZUDZQMUEZUIZOZXKGYIOZXNAXGYIXTSULZUCZGYLUCZYAYI
      OZXHYJAGSUMUCZPYMYOTAGRYPLUNUOYIXTSGUPVBXGDYLKUQXKYNYAYIGDYLKUQURUSAYAGXK
      YIAYAXGSTZMXGNUFOZUEZYRGAGRPZXGRPYAYSTLGUTFXGXSYSRXTXPXGTXQYQXRYRMXPXGSVA
      XPXGNUFVCVDXTVEYQMYRVFXGNUFVGVHVIVJAXGSVKYSYRTAXGAYTXGVLPLGVMVBVOXGSMYRVN
      VBAGNAGLVPAVQVRVSVTAXKUHPYTYKXNTARUHGDABCDEFHIJKWALWBLUAUJXKGUHRUJUKZBPZU
      UACPZMUAUKZPZUDZQMUEZXNYIUUDXKTZUUAGTZWFZUUFXMQMUUJUUBXIUUCXJUUEXLUUJUUAG
      BUUHUUIWCZWDUUJUUAGCUUKWDUUJUUDXKMUUHUUIWEWGWHWIHEUAUJUHRYHUUGYCYDUUEUDZQ
      MUEYEUUDTZYGUULQMUUMYCYCYDYDYFUUEUUMYCWJUUMYDWJHUAMWKWHWIYBUUATZUULUUFQMU
      UNYCUUBYDUUCUUEUUEEUJBWLEUJCWLUUNUUEWJWHWIWMXMQMWNVFVHWOWPVSWGXOXMXMXOXMW
      QZXOMMPMWRUUOXNMMXMQMWSWGWTXAXMMQXNXBXMQMXCXDXEXF $.

    $( The full adder sequence is the half adder function applied to the inputs
       and the carry sequence.  (Contributed by Mario Carneiro, 5-Sep-2016.) $)
    sadval $p |- ( ph -> ( N e. ( A sadd B ) <->
      hadd ( N e. A , N e. B , (/) e. ( C ` N ) ) ) ) $=
      ( vk wcel c0 cfv whad cn0 eleq2d eleq1 csad co cv crab sadfval wceq fveq2
      wb hadbi123d elrab3 syl bitrd ) AGBCUAUBZNGMUCZBNZUNCNZOUNDPZNZQZMRUDZNZG
      BNZGCNZOGDPZNZQZAUMUTGABCDMEFHIJKUESAGRNVAVFUHLUSVFMGRUNGUFZUOVBUPVCURVEU
      NGBTUNGCTVGUQVDOUNGDUGSUIUJUKUL $.

    sadcadd.k $e |- K = `' ( bits |` NN0 ) $.
    ${
      sadcaddlem.1 $e |- ( ph -> ( (/) e. ( C ` N ) <-> ( 2 ^ N ) <_
      ( ( K ` ( A i^i ( 0 ..^ N ) ) ) + ( K ` ( B i^i ( 0 ..^ N ) ) ) ) ) ) $.
      $( Lemma for ~ sadcadd .  (Contributed by Mario Carneiro, 8-Sep-2016.) $)
      sadcaddlem $p |- ( ph -> ( (/) e. ( C ` ( N + 1 ) ) <->
        ( 2 ^ ( N + 1 ) ) <_ ( ( K ` ( A i^i ( 0 ..^ ( N + 1 ) ) ) ) +
                               ( K ` ( B i^i ( 0 ..^ ( N + 1 ) ) ) ) ) ) ) $=
        ( wcel caddc cc0 cle cn0 c0 cfv wcad c2 cexp co cin cif wbr c1 wb wa wo
        cfzo cad1 adantl cr cn 2nn a1i nnexpcld nnred ad2antrr cpw inss1 sstrid
        cfn wss fzofi inss2 ssfi sylancl elfpw sylanbrc wf1o wf cbits cres ccnv
        bitsf1o f1ocnv ax-mp wceq f1oeq1 mpbir f1of ffvelrni syl nn0addcld 2nn0
        nn0red adantr nn0expcld 0nn0 ifclda biimpa nnnn0d ifcl nn0ge0d addge01d
        wn 0red mpbid iftrue oveq1d breqtrrd addge02d oveq2d jaodan clt iffalse
        oveq12d readdcld addid1d fveq1i fveq2i fvresd f1ocnvfv2 sylancr 3eqtr3a
        ex eqtrd eqsstrdi cz nn0zd bitsfzo syl2anc mpbird elfzolt2 ltnled bitrd
        eqbrtrd wi nn0cnd breq1 ifboth breq1d syl5ibrcom con1d bitsinvp1 eqtrdi
        le2addd ioran ad2antrl ad2antll 00id recnd lt2addd impcon4bid oveqan12d
        syl5bi cad0 lenltd con2bid biimpar ltletr syl3anc mpand ltadd2d sylibrd
        addid2d leidd jcad sylbid syld impbid pm2.61dan sadcp1 cmul 2cnd expp1d
        ltadd1dd nncnd times2d add4d breq12d 3bitr4d ) AHBPZHCPZUAHDUBPZUCZUDHU
        EUFZUWBQUFZBRHUNUFZUGZGUBZCUWDUGZGUBZQUFZUVRUWBRUHZUVSUWBRUHZQUFZQUFZSU
        IZUAHUJQUFZDUBPUDUWOUEUFZBRUWOUNUFZUGGUBZCUWQUGGUBZQUFZSUIAUVTUWAUWNUKA
        UVTULZUWAUVRUVSUMZUWNUVTUWAUXBUKAUVRUVSUVTUOUPUXAUXBUWNUXAUXBUWNUXAUXBU
        LUWBUWBUWIUWLAUWBUQPZUVTUXBAUWBAUDHUDURPAUSUTMVAZVBZVCZUXFAUWIUQPZUVTUX
        BAUWIAUWFUWHAUWETVDVGUGZPZUWFTPAUWETVHUWEVGPZUXIAUWEBTBUWDVEJVFAUWDVGPZ
        UWEUWDVHUXJUXKARHVIUTZBUWDVJZUWDUWEVKVLUWETVMVNZUXHTUWEGUXHTGVOZUXHTGVP
        UXOUXHTVQTVRZVSZVOZTUXHUXPVOZUXRVTTUXHUXPWAWBGUXQWCUXOUXRUKNUXHTGUXQWDW
        BWEUXHTGWFWBZWGWHZAUWGUXHPZUWHTPAUWGTVHUWGVGPZUYBAUWGCTCUWDVEKVFAUXKUWG
        UWDVHUYCUXLCUWDVJZUWDUWGVKVLUWGTVMVNZUXHTUWGGUXTWGWHZWIZWKZVCAUWLUQPZUV
        TUXBAUWLAUWJUWKAUVRUWBRTAUVRULZUDHUDTPZUYJWJUTAHTPZUVRMWLWMRTPZAUVRXAZU
        LZWNUTWOAUVSUWBRTAUVSULZUDHUYKUYPWJUTAUYLUVSMWLWMUYMAUVSXAZULZWNUTWOWIW
        KZVCUXAUWBUWISUIZUXBAUVTUYTOWPWLUXAUVRUWBUWLSUIUVSUXAUVRULZUWBUWBUWKQUF
        ZUWLSAUWBVUBSUIZUVTUVRARUWKSUIVUCAUWKAUWBTPZUYMUWKTPAUWBUXDWQZWNUVSUWBR
        TWRVLZWSAUWBUWKUXEAUVSUWBRUQAUXCUVSUXEWLUYRXBWOZWTXCVCVUAUWJUWBUWKQUVRU
        WJUWBWCUXAUVRUWBRXDZUPXEXFUXAUVSULZUWBUWJUWBQUFZUWLSAUWBVUJSUIZUVTUVSAR
        UWJSUIVUKAUWJAVUDUYMUWJTPVUEWNUVRUWBRTWRVLZWSAUWBUWJUXEAUVRUWBRUQAUXCUV
        RUXEWLUYOXBWOZXGXCVCVUIUWKUWBUWJQUVSUWKUWBWCUXAUVSUWBRXDZUPXHXFXIUUBYAU
        XBXAUYNUYQULZUXAUWNXAZUVRUVSUUCUXAVUOVUPUXAVUOULZUWMUWCXJUIVUPVUQUWMUWI
        UWCXJVUQUWMUWIRQUFUWIVUQUWLRUWIQVUQUWLRRQUFRVUQUWJRUWKRQUYNUWJRWCUXAUYQ
        UVRUWBRXKZUUDUYQUWKRWCUXAUYNUVSUWBRXKZUUEXLUUFUUAXHVUQUWIVUQUWIVUQUWFUW
        HAUWFUQPZUVTVUOAUWFUYAWKZVCAUWHUQPZUVTVUOAUWHUYFWKZVCXMZUUGXNYBAUWIUWCX
        JUIUVTVUOAUWFUWHUWBUWBVVAVVCUXEUXEAUWFRUWBUNUFZPZUWFUWBXJUIAVVFUWFVQUBZ
        UWDVHZAVVGUWEUWDAUWFUXPUBUWEUXQUBZUXPUBZVVGUWEUWFVVIUXPUWEGUXQNXOXPAUWF
        TVQUYAXQAUXSUXIVVJUWEWCVTUXNTUXHUWEUXPXRXSXTUXMYCAUWFYDPUYLVVFVVHUKAUWF
        UYAYEMHUWFYFYGYHUWFRUWBYIWHAUWHVVEPZUWHUWBXJUIAVVKUWHVQUBZUWDVHZAVVLUWG
        UWDAUWHUXPUBUWGUXQUBZUXPUBZVVLUWGUWHVVNUXPUWGGUXQNXOXPAUWHTVQUYFXQAUXSU
        YBVVOUWGWCVTUYETUXHUWGUXPXRXSXTUYDYCAUWHYDPUYLVVKVVMUKAUWHUYFYEMHUWHYFY
        GYHUWHRUWBYIWHUUHVCYLVUQUWMUWCVUQUWIUWLVVDVUQUWJUWKAUWJUQPUVTVUOVUMVCAU
        WKUQPUVTVUOVUGVCXMXMVUQUWBUWBAUXCUVTVUOUXEVCZVVPXMYJXCYAUUKUUIYKAUVTXAZ
        ULZUWAUVRUVSULZUWNVVQUWAVVSUKAUVRUVSUVTUULUPVVRVVSUWNVVRVVSUWNVVRVVSULZ
        UWCUWIUWCQUFZUWMSAUWCVWASUIZVVQVVSARUWISUIVWBAUWIUYGWSAUWCUWIAUWBUWBUXE
        UXEXMZUYHXGXCVCVVTUWLUWCUWIQVVSUWLUWCWCVVRUVRUVSUWJUWBUWKUWBQVUHVUNUUJU
        PXHXFYAVVRUWNUWBUWLXJUIZVVSVVRUWNUWIUWBQUFZUWMXJUIZVWDVVRVWEUWCXJUIZUWN
        VWFVVRUWIUWBUWBVVRUWFUWHAVUTVVQVVAWLAVVBVVQVVCWLXMZAUXCVVQUXEWLZVWIAUWI
        UWBXJUIZVVQAUVTVWJAUVTUYTVWJXAOAUWBUWIUXEUYHUUMYKUUNUUOUVLVVRVWEUQPUWCU
        QPZUWMUQPZVWGUWNULVWFYMVVRUWIUWBVWHVWIXMAVWKVVQVWCWLAVWLVVQAUWIUWLUYHUY
        SXMWLVWEUWCUWMUUPUUQUURVVRUWBUWLUWIVWIAUYIVVQUYSWLAUXGVVQUYHWLUUSUUTAVW
        DVVSYMVVQAVWDUWLUWBSUIZXAZVVSAUWBUWLUXEUYSYJAVWNUVRUVSAUVRVWMAVWMUYNRUW
        KQUFZUWBSUIAVWOUWKUWBSAUWKAUWKVUFYNZUVAAUWBUWBSUIZRUWBSUIZUWKUWBSUIZAUW
        BUXEUVBZAUWBVUEWSZUVSVWQVWRVWSUWBRUWBUWKUWBSYORUWKUWBSYOYPYGYLUYNUWLVWO
        UWBSUYNUWJRUWKQVURXEYQYRYSAUVSVWMAVWMUYQUWJRQUFZUWBSUIAVXBUWJUWBSAUWJAU
        WJVULYNZXNAVWQVWRUWJUWBSUIZVWTVXAUVRVWQVWRVXDUWBRUWBUWJUWBSYORUWJUWBSYO
        YPYGYLUYQUWLVXBUWBSUYQUWKRUWJQVUSXHYQYRYSUVCUVDWLUVEUVFYKUVGABCDEFHIJKL
        MUVHAUWPUWCUWTUWMSAUWPUWBUDUVIUFUWCAUDHAUVJMUVKAUWBAUWBUXDUVMUVNYBAUWTU
        WFUWJQUFZUWHUWKQUFZQUFUWMAUWRVXEUWSVXFQABTVHUYLUWRVXEWCJMBGHNYTYGACTVHU
        YLUWSVXFWCKMCGHNYTYGXLAUWFUWJUWHUWKAUWFUYAYNVXCAUWHUYFYNVWPUVOYBUVPUVQ
        $.
    $}

    $( Non-recursive definition of the carry sequence.  (Contributed by Mario
       Carneiro, 8-Sep-2016.) $)
    sadcadd $p |- ( ph -> ( (/) e. ( C ` N ) <-> ( 2 ^ N ) <_
      ( ( K ` ( A i^i ( 0 ..^ N ) ) ) + ( K ` ( B i^i ( 0 ..^ N ) ) ) ) ) ) $=
      ( c0 cfv c2 co cc0 cin vx vk cn0 wcel cexp cfzo caddc cle wbr wb cv wi c1
      wceq fveq2 eleq2d oveq2 cc 2cn exp0 ax-mp eqtrdi fzo0 ineq2d fveq2d cbits
      in0 cres ccnv 0nn0 fvres 0bits eqtr2i fveq12i cpw bitsf1o f1ocnvfv1 mp2an
      cfn wf1o eqtri oveq12d 00id breq12d bibi12d imbi2d sadc0 clt 0lt1 0re 1re
      wn ltnlei mpbi a1i 2falsed wa wss ad2antrr simplr simpr sadcaddlem expcom
      ex a2d nn0ind mpcom ) HUCUDAOHDPZUDZQHUERZBSHUFRZTZGPZCXKTZGPZUGRZUHUIZUJ
      ZMAOUAUKZDPZUDZQXSUERZBSXSUFRZTZGPZCYCTZGPZUGRZUHUIZUJZULAOSDPZUDZUMSUHUI
      ZUJZULAOUBUKZDPZUDZQYOUERZBSYOUFRZTZGPZCYSTZGPZUGRZUHUIZUJZULAOYOUMUGRZDP
      ZUDZQUUGUERZBSUUGUFRZTZGPZCUUKTZGPZUGRZUHUIZUJZULAXRULUAUBHXSSUNZYJYNAUUS
      YAYLYIYMUUSXTYKOXSSDUOUPUUSYBUMYHSUHUUSYBQSUERZUMXSSQUEUQQURUDUUTUMUNUSQU
      TVAVBUUSYHSSUGRSUUSYESYGSUGUUSYEOGPZSUUSYDOGUUSYDBOTOUUSYCOBUUSYCSSUFROXS
      SSUFUQSVCVBZVDBVGVBVEUVASVFUCVHZPZUVCVIZPZSOUVDGUVENUVDSVFPZOSUCUDZUVDUVG
      UNVJSUCVFVKVAVLVMVNUCUCVOVSTZUVCVTUVHUVFSUNVPVJUCUVISUVCVQVRWAZVBUUSYGUVA
      SUUSYFOGUUSYFCOTOUUSYCOCUVBVDCVGVBVEUVJVBWBWCVBWDWEWFXSYOUNZYJUUFAUVKYAYQ
      YIUUEUVKXTYPOXSYODUOUPUVKYBYRYHUUDUHXSYOQUEUQUVKYEUUAYGUUCUGUVKYDYTGUVKYC
      YSBXSYOSUFUQZVDVEUVKYFUUBGUVKYCYSCUVLVDVEWBWDWEWFXSUUGUNZYJUURAUVMYAUUIYI
      UUQUVMXTUUHOXSUUGDUOUPUVMYBUUJYHUUPUHXSUUGQUEUQUVMYEUUMYGUUOUGUVMYDUULGUV
      MYCUUKBXSUUGSUFUQZVDVEUVMYFUUNGUVMYCUUKCUVNVDVEWBWDWEWFXSHUNZYJXRAUVOYAXI
      YIXQUVOXTXHOXSHDUOUPUVOYBXJYHXPUHXSHQUEUQUVOYEXMYGXOUGUVOYDXLGUVOYCXKBXSH
      SUFUQZVDVEUVOYFXNGUVOYCXKCUVPVDVEWBWDWEWFAYLYMABCDEFIJKLWGYMWLZASUMWHUIUV
      QWISUMWJWKWMWNWOWPYOUCUDZAUUFUURAUVRUUFUURULAUVRWQZUUFUURUVSUUFWQBCDEFGYO
      IABUCWRUVRUUFJWSACUCWRUVRUUFKWSLAUVRUUFWTNUVSUUFXAXBXDXCXEXFXG $.

    ${
      sadadd2lem.1 $e |- ( ph -> ( ( K ` ( ( A sadd B ) i^i ( 0 ..^ N ) ) ) +
      if ( (/) e. ( C ` N ) , ( 2 ^ N ) , 0 ) ) =
      ( ( K ` ( A i^i ( 0 ..^ N ) ) ) + ( K ` ( B i^i ( 0 ..^ N ) ) ) ) ) $.
      $( Lemma for ~ sadadd2 .  (Contributed by Mario Carneiro, 9-Sep-2016.) $)
      sadadd2lem $p |- ( ph ->
        ( ( K ` ( ( A sadd B ) i^i ( 0 ..^ ( N + 1 ) ) ) ) +
          if ( (/) e. ( C ` ( N + 1 ) ) , ( 2 ^ ( N + 1 ) ) , 0 ) ) =
        ( ( K ` ( A i^i ( 0 ..^ ( N + 1 ) ) ) ) +
          ( K ` ( B i^i ( 0 ..^ ( N + 1 ) ) ) ) ) ) $=
        ( co cc0 wcel caddc cn0 vk csad cfzo cin cfv c2 cexp cif c0 cpw cfn wss
        c1 inss1 cv whad sadfval ssrab2 eqsstrdi sstrid fzofi a1i inss2 sylancl
        crab ssfi elfpw sylanbrc cbits cres ccnv wf1o bitsf1o f1ocnv f1of feq1i
        wf mp2b mpbir ffvelrni nn0cnd 2nn0 nn0expcld 0nn0 ifcl nn0addcld addcld
        syl 1nn0 cc adantr wn 0cnd ifclda wcad cmul sadval ifbid sadcp1 mulcomd
        expp1d eqtrd ifbieq1d oveq12d wceq sadadd2lem2 add32d addassd addcan2ad
        wa 3eqtr4d add4d bitsinvp1 syl2anc oveq1d ) ABCUBPZQHUCPZUDZGUEZHXPRZUF
        HUGPZQUHZSPZUIHUMSPZDUERZUFYDUGPZQUHZSPZBXQUDZGUEZHBRZYAQUHZSPZCXQUDZGU
        EZHCRZYAQUHZSPZSPZXPQYDUCPZUDGUEZYGSPBYTUDGUEZCYTUDGUEZSPAXSYBYGSPZSPZY
        JYOSPZYLYQSPZSPZYHYSAUUEUUHUIHDUERZYAQUHZAXSUUDAXSAXRTUJUKUDZRZXSTRAXRT
        ULXRUKRZUULAXRXPTXPXQUNAXPUAUOZBRUUNCRUIUUNDUERUPZUATVETABCDUAEFIJKLUQU
        UOUATURUSZUTAXQUKRZXRXQULUUMUUQAQHVAVBZXPXQVCXQXRVFVDXRTVGVHUUKTXRGUUKT
        GVQUUKTVITVJZVKZVQZTUUKUUSVLUUKTUUTVLUVAVMTUUKUUSVNUUKTUUTVOVRUUKTGUUTN
        VPVSZVTWHWAZAYBYGAYBAYATRZQTRZYBTRAUFHUFTRAWBVBZMWCZWDXTYAQTWEVDWAZAYGA
        YFTRUVEYGTRAUFYDUVFAHUMMUMTRAWIVBWFWCWDYEYFQTWEVDWAZWGZWGAUUFUUGAYJYOAY
        JAYIUUKRZYJTRAYITULYIUKRZUVKAYIBTBXQUNJUTAUUQYIXQULUVLUURBXQVCXQYIVFVDY
        ITVGVHUUKTYIGUVBVTWHWAZAYOAYNUUKRZYOTRAYNTULYNUKRZUVNAYNCTCXQUNKUTAUUQY
        NXQULUVOUURCXQVCXQYNVFVDYNTVGVHUUKTYNGUVBVTWHWAZWGZAYLYQAYLAUVDUVEYLTRU
        VGWDYKYAQTWEVDWAZAYQAUVDUVEYQTRUVGWDYPYAQTWEVDWAZWGZWGAUUIYAQWJAYAWJRZU
        UIAYAUVGWAZWKAUUIWLXJWMWNZAXSUUJSPZUUDSPUUFUUGUUJSPZSPUUEUUJSPUUHUUJSPA
        UWDUUFUUDUWESOAUUDYKYPUUIUPZYAQUHZYKYPUUIWOZUFYAWPPZQUHZSPZUWEAYBUWGYGU
        WJSAXTUWFYAQABCDEFHIJKLMWQWRAYEUWHYFUWIQABCDEFHIJKLMWSAYFYAUFWPPUWIAUFH
        AUFUVFWAZMXAAYAUFUWBUWLWTXBXCXDAUWAUWKUWEXEUWBYKYPUUIYAXFWHXBXDAXSUUDUU
        JUVCUVJUWCXGAUUFUUGUUJUVQUVTUWCXHXKXIAXSYBYGUVCUVHUVIXHAYJYLYOYQUVMUVRU
        VPUVSXLXKAUUAYCYGSAXPTULHTRZUUAYCXEUUPMXPGHNXMXNXOAUUBYMUUCYRSABTULUWMU
        UBYMXEJMBGHNXMXNACTULUWMUUCYRXEKMCGHNXMXNXDXK $.
    $}

    $( Sum of initial segments of the ` sadd ` sequence.  (Contributed by Mario
       Carneiro, 8-Sep-2016.) $)
    sadadd2 $p |- ( ph -> ( ( K ` ( ( A sadd B ) i^i ( 0 ..^ N ) ) ) +
      if ( (/) e. ( C ` N ) , ( 2 ^ N ) , 0 ) ) =
      ( ( K ` ( A i^i ( 0 ..^ N ) ) ) + ( K ` ( B i^i ( 0 ..^ N ) ) ) ) ) $=
      ( co cc0 cin cfv c0 caddc vx vk cn0 wcel csad cfzo c2 cexp cif wceq cv wi
      c1 oveq2 fzo0 eqtrdi ineq2d fveq2d cbits cres ccnv 0nn0 fvres ax-mp 0bits
      in0 eqtr2i fveq12i cpw wf1o bitsf1o f1ocnvfv1 mp2an eqtri eleq2d ifbieq1d
      cfn fveq2 oveq12d 00id eqeq12d imbi2d sadc0 iffalsed oveq2d wa wss simplr
      ad2antrr simpr sadadd2lem ex expcom a2d nn0ind mpcom ) HUCUDABCUEOZPHUFOZ
      QZGRZSHDRZUDZUGHUHOZPUIZTOZBWRQZGRZCWRQZGRZTOZUJZMAWQPUAUKZUFOZQZGRZSXLDR
      ZUDZUGXLUHOZPUIZTOZBXMQZGRZCXMQZGRZTOZUJZULAPSPDRZUDZUGPUHOZPUIZTOZPUJZUL
      AWQPUBUKZUFOZQZGRZSYMDRZUDZUGYMUHOZPUIZTOZBYNQZGRZCYNQZGRZTOZUJZULAWQPYMU
      MTOZUFOZQZGRZSUUHDRZUDZUGUUHUHOZPUIZTOZBUUIQZGRZCUUIQZGRZTOZUJZULAXKULUAU
      BHXLPUJZYFYLAUVCXTYKYEPUVCXOPXSYJTUVCXOSGRZPUVCXNSGUVCXNWQSQSUVCXMSWQUVCX
      MPPUFOSXLPPUFUNPUOUPZUQWQVFUPURUVDPUSUCUTZRZUVFVAZRZPSUVGGUVHNUVGPUSRZSPU
      CUDZUVGUVJUJVBPUCUSVCVDVEVGVHUCUCVIVQQZUVFVJUVKUVIPUJVKVBUCUVLPUVFVLVMVNZ
      UPUVCXQYHXRYIPUVCXPYGSXLPDVRVOXLPUGUHUNVPVSUVCYEPPTOZPUVCYBPYDPTUVCYBUVDP
      UVCYASGUVCYABSQSUVCXMSBUVEUQBVFUPURUVMUPUVCYDUVDPUVCYCSGUVCYCCSQSUVCXMSCU
      VEUQCVFUPURUVMUPVSVTUPWAWBXLYMUJZYFUUGAUVOXTUUAYEUUFUVOXOYPXSYTTUVOXNYOGU
      VOXMYNWQXLYMPUFUNZUQURUVOXQYRXRYSPUVOXPYQSXLYMDVRVOXLYMUGUHUNVPVSUVOYBUUC
      YDUUETUVOYAUUBGUVOXMYNBUVPUQURUVOYCUUDGUVOXMYNCUVPUQURVSWAWBXLUUHUJZYFUVB
      AUVQXTUUPYEUVAUVQXOUUKXSUUOTUVQXNUUJGUVQXMUUIWQXLUUHPUFUNZUQURUVQXQUUMXRU
      UNPUVQXPUULSXLUUHDVRVOXLUUHUGUHUNVPVSUVQYBUURYDUUTTUVQYAUUQGUVQXMUUIBUVRU
      QURUVQYCUUSGUVQXMUUICUVRUQURVSWAWBXLHUJZYFXKAUVSXTXEYEXJUVSXOWTXSXDTUVSXN
      WSGUVSXMWRWQXLHPUFUNZUQURUVSXQXBXRXCPUVSXPXASXLHDVRVOXLHUGUHUNVPVSUVSYBXG
      YDXITUVSYAXFGUVSXMWRBUVTUQURUVSYCXHGUVSXMWRCUVTUQURVSWAWBAYKUVNPAYJPPTAYH
      YIPABCDEFIJKLWCWDWEVTUPYMUCUDZAUUGUVBAUWAUUGUVBULAUWAWFZUUGUVBUWBUUGWFBCD
      EFGYMIABUCWGUWAUUGJWIACUCWGUWAUUGKWILAUWAUUGWHNUWBUUGWJWKWLWMWNWOWP $.

    $( Sum of initial segments of the ` sadd ` sequence.  (Contributed by Mario
       Carneiro, 9-Sep-2016.) $)
    sadadd3 $p |- ( ph ->
      ( ( K ` ( ( A sadd B ) i^i ( 0 ..^ N ) ) ) mod ( 2 ^ N ) ) =
      ( ( ( K ` ( A i^i ( 0 ..^ N ) ) ) +
          ( K ` ( B i^i ( 0 ..^ N ) ) ) ) mod ( 2 ^ N ) ) ) $=
      ( co cc0 cfv wcel cdvds cn0 vk csad cfzo cin c0 c2 cexp cif cmo wceq cmin
      caddc wbr cz cn 2nn a1i nnexpcld nnzd iddvds syl dvds0 ifboth syl2anc cpw
      breq2 cfn wss inss1 cv whad crab sadfval ssrab2 eqsstrdi fzofi inss2 ssfi
      sstrid sylancl elfpw sylanbrc wf cbits cres ccnv wf1o bitsf1o f1ocnv f1of
      mp2b feq1i mpbir ffvelrni nn0cnd cc nncnd 0cn ifcl pncan2d breqtrrd nn0zd
      wb adantr 0zd ifclda zaddcld moddvds syl3anc mpbird sadadd2 oveq1d eqtr3d
      wn wa ) ABCUBOZPHUCOZUDZGQZUEHDQRZUFHUGOZPUHZULOZYAUIOZXSYAUIOZBXQUDGQCXQ
      UDGQULOZYAUIOAYDYEUJZYAYCXSUKOZSUMZAYAYBYHSAYAYASUMZYAPSUMZYAYBSUMZAYAUNR
      ZYJAYAAUFHUFUORAUPUQMURZUSZYAUTVAAYMYKYOYAVBVAXTYJYKYLYAPYAYBYASVFPYBYASV
      FVCVDAXSYBAXSAXRTVEVGUDZRZXSTRAXRTVHXRVGRZYQAXRXPTXPXQVIAXPUAVJZBRYSCRUEY
      SDQRVKZUATVLTABCDUAEFIJKLVMYTUATVNVOVSAXQVGRZXRXQVHYRUUAAPHVPUQXPXQVQXQXR
      VRVTXRTWAWBYPTXRGYPTGWCYPTWDTWEZWFZWCZTYPUUBWGYPTUUCWGUUDWHTYPUUBWIYPTUUC
      WJWKYPTGUUCNWLWMWNVAZWOAYAWPRPWPRYBWPRAYAYNWQWRXTYAPWPWSVTWTXAAYAUORYCUNR
      XSUNRYGYIXCYNAXSYBAXSUUEXBZAXTYAPUNAYMXTYOXDAXTXNXOXEXFXGUUFYCXSYAXHXIXJA
      YCYFYAUIABCDEFGHIJKLMNXKXLXM $.
  $}

  ${
    $d c k m n $.  $d c k m A $.  $d c k m B $.
    $( The sum of two sequences is a sequence.  (Contributed by Mario Carneiro,
       5-Sep-2016.) $)
    sadcl $p |- ( ( A C_ NN0 /\ B C_ NN0 ) -> ( A sadd B ) C_ NN0 ) $=
      ( vk vc vm vn cn0 wss wa csad co cv wcel c0 c2o wcad c1o cif cmpo cc0 cfv
      wceq c1 cmin cmpt cseq whad crab simpl simpr eqid sadfval ssrab2 eqsstrdi
      ) AGHZBGHZIZABJKCLZAMURBMNURDEOGELZAMUSBMNDLMPQNRSFGFLZTUBNUTUCUDKRUETUFZ
      UAMUGZCGUHGUQABVACEFDUOUPUIUOUPUJVAUKULVBCGUMUN $.

    $( The adder sequence function is commutative.  (Contributed by Mario
       Carneiro, 5-Sep-2016.) $)
    sadcom $p |- ( ( A C_ NN0 /\ B C_ NN0 ) -> ( A sadd B ) = ( B sadd A ) ) $=
      ( vk vc vm vn cn0 wss wa cv wcel c0 c2o wcad c1o cif cmpo cc0 wceq co cfv
      c1 cmin cmpt cseq whad crab csad hadcoma rabbidv simpl simpr eqid sadfval
      wb a1i cadcoma ifbid mpoeq3ia seqeq2 ax-mp 3eqtr4d ) AGHZBGHZIZCJZAKZVFBK
      ZLVFDEMGEJZAKZVIBKZLDJZKZNZOLPZQZFGFJZRSLVQUBUCTPUDZRUEZUAKZUFZCGUGVHVGVT
      UFZCGUGABUHTBAUHTVEWAWBCGWAWBUOVEVGVHVTUIUPUJVEABVSCEFDVCVDUKZVCVDULZVSUM
      UNVEBAVSCEFDWDWCVPDEMGVKVJVMNZOLPZQZSVSWGVRRUESDEMGVOWFVLMKVIGKIZVNWEOLVN
      WEUOWHVJVKVMUQUPURUSVPWGVRRUTVAUNVB $.
  $}

  ${
    $d c k m n x $.  $d c k m A $.  $d c k m B $.  $d k x C $.  $d k x ph $.
    $d n x N $.
    saddisj.1 $e |- ( ph -> A C_ NN0 ) $.
    saddisj.2 $e |- ( ph -> B C_ NN0 ) $.
    saddisj.3 $e |- ( ph -> ( A i^i B ) = (/) ) $.
    ${
      saddisjlem.c $e |- C = seq 0 ( ( c e. 2o , m e. NN0 |->
        if ( cadd ( m e. A , m e. B , (/) e. c ) , 1o , (/) ) ) ,
          ( n e. NN0 |-> if ( n = 0 , (/) , ( n - 1 ) ) ) ) $.
      saddisjlem.3 $e |- ( ph -> N e. NN0 ) $.
      $( Lemma for ~ sadadd .  (Contributed by Mario Carneiro, 9-Sep-2016.) $)
      saddisjlem $p |- ( ph -> ( N e. ( A sadd B ) <-> N e. ( A u. B ) ) ) $=
        ( wcel c0 cfv wn wi wceq eleq2d vx vk csad co whad wxo cun sadval wb cv
        cn0 cc0 c1 caddc fveq2 notbid imbi2d sadc0 wa noel wcad ad2antrr simplr
        wss sadcp1 cad0 adantl cin elin bitr3id 3bitrd mtbiri expcom a2d nn0ind
        ex mpcom hadrot had0 syl wo xor2 rbaib elun bitr4di ) AGBCUCUDNGBNZGCNZ
        OGDPZNZUEZWFWGUFZGBCUGNZABCDEFGHIJLMUHAWIQZWJWKUIGUKNAWMMAOUAUJZDPZNZQZ
        RAOULDPZNZQZRAOUBUJZDPZNZQZRAOXAUMUNUDZDPZNZQZRAWMRUAUBGWNULSZWQWTAXIWP
        WSXIWOWROWNULDUOTUPUQWNXASZWQXDAXJWPXCXJWOXBOWNXADUOTUPUQWNXESZWQXHAXKW
        PXGXKWOXFOWNXEDUOTUPUQWNGSZWQWMAXLWPWIXLWOWHOWNGDUOTUPUQABCDEFHIJLURXAU
        KNZAXDXHAXMXDXHRAXMUSZXDXHXNXDUSZXGXAONZXAUTXOXGXABNZXACNZXCVAZXQXRUSZX
        PXOBCDEFXAHABUKVDXMXDIVBACUKVDXMXDJVBLAXMXDVCVEXDXSXTUIXNXQXRXCVFVGXTXA
        BCVHZNXOXPXABCVIXOYAOXAAYAOSXMXDKVBTVJVKVLVPVMVNVOVQWJWIWFWGUEWMWKWIWFW
        GVRWIWFWGVSVJVTAWKWFWGWAZWLAWFWGUSZQZWKYBUIAYCGONZGUTYCGYANAYEGBCVIAYAO
        GKTVJVLWKYBYDWFWGWBWCVTGBCWDWEVK $.
    $}

    $( The sum of disjoint sequences is the union of the sequences.  (In this
       case, there are no carried bits.)  (Contributed by Mario Carneiro,
       9-Sep-2016.) $)
    saddisj $p |- ( ph -> ( A sadd B ) = ( A u. B ) ) $=
      ( vk vc vm vx co cv cn0 wcel wss sseld c0 cif cc0 adantr csad cun syl2anc
      sadcl unssd wb wa c2o wcad c1o cmpo wceq c1 cmin cmpt cseq cin eqid simpr
      saddisjlem ex pm5.21ndd eqrdv ) AGBCUAKZBCUBZAGLZMNZVFVDNZVFVENZAVDMVFABM
      OZCMOZVDMODEBCUDUCPAVEMVFABCMDEUEPAVGVHVIUFAVGUGBCHIUHMILZBNVLCNQHLNUIUJQ
      RUKJMJLZSULQVMUMUNKRUOSUPZIJVFHAVJVGDTAVKVGETABCUQQULVGFTVNURAVGUSUTVAVBV
      C $.
  $}

  ${
    $d c k m n $.  $d c k m A $.  $d c k m B $.  $d n N $.
    ${
      sadaddlem.c $e |- C = seq 0 ( ( c e. 2o , m e. NN0 |-> if (
     cadd ( m e. ( bits ` A ) , m e. ( bits ` B ) , (/) e. c ) , 1o , (/) ) ) ,
          ( n e. NN0 |-> if ( n = 0 , (/) , ( n - 1 ) ) ) ) $.
      sadaddlem.k $e |- K = `' ( bits |` NN0 ) $.
      sadaddlem.1 $e |- ( ph -> A e. ZZ ) $.
      sadaddlem.2 $e |- ( ph -> B e. ZZ ) $.
      sadaddlem.3 $e |- ( ph -> N e. NN0 ) $.
      $( Lemma for ~ sadadd .  (Contributed by Mario Carneiro, 9-Sep-2016.) $)
      sadaddlem $p |- ( ph ->
        ( ( ( bits ` A ) sadd ( bits ` B ) ) i^i ( 0 ..^ N ) ) =
          ( bits ` ( ( A + B ) mod ( 2 ^ N ) ) ) ) $=
        ( co cbits cfv wcel cn0 cz caddc cexp cmo csad cc0 cfzo wceq cmin cdvds
        c2 cin wbr cn 2nn a1i nnexpcld nnzd cpw cfn wss inss1 sstri fzofi inss2
        bitsss ssfi mp2an elfpw mpbir2an wf cres ccnv wf1o bitsf1o f1ocnv feq1i
        f1of mp2b mpbir ffvelrni mp1i nn0zd zsubcld cdiv fveq1i zmodcld bitsmod
        fvresd syl2anc eqtrd f1ocnvfv sylancr mpd eqtrid oveq2d oveq1d crp zred
        wi cr nnrpd moddifz eqeltrd wb nnne0d dvdsval2 syl3anc mpbird dvds2addd
        wne zcnd nn0cnd addsub4d breqtrrd zaddcld moddvds sadadd3 cle clt sadcl
        nn0red nn0ge0d fveq2i f1ocnvfv2 3eqtr3a eqsstrdi bitsfzo elfzolt2 modid
        syl syl22anc 3eqtr2d fveq2d eqtr2d ) ABCUAOZUJHUBOZUCOZPQBPQZCPQZUDOZUE
        HUFOZUKZGQZPQZUUBAYQUUCPAYQYRUUAUKZGQZYSUUAUKZGQZUAOZYPUCOZUUCYPUCOZUUC
        AYQUUJUGZYPYOUUIUHOZUIULZAYPBUUFUHOZCUUHUHOZUAOUUMUIAYPUUOUUPAYPAUJHUJU
        MRAUNUONUPZUQZABUUFLAUUFUUESURUSUKZRZUUFSRAUUTUUESUTUUEUSRZUUEYRSYRUUAV
        ABVEZVBUUAUSRZUUEUUAUTUVAUEHVCZYRUUAVDUUAUUEVFVGUUESVHVIUUSSUUEGUUSSGVJ
        UUSSPSVKZVLZVJZSUUSUVEVMZUUSSUVFVMUVGVNSUUSUVEVOUUSSUVFVQVRUUSSGUVFKVPV
        SZVTWAZWBZWCZACUUHMAUUHUUGUUSRZUUHSRAUVMUUGSUTUUGUSRZUUGYSSYSUUAVACVEZV
        BUVCUUGUUAUTUVNUVDYSUUAVDUUAUUGVFVGUUGSVHVIUUSSUUGGUVIVTWAZWBZWCZAYPUUO
        UIULZUUOYPWDOZTRZAUVTBBYPUCOZUHOZYPWDOZTAUUOUWCYPWDAUUFUWBBUHAUUFUUEUVF
        QZUWBUUEGUVFKWEAUWBUVEQZUUEUGZUWEUWBUGZAUWFUWBPQZUUEAUWBSPABYPLUUQWFZWH
        ABTRHSRZUWIUUEUGLNHBWGWIWJAUVHUWBSRUWGUWHWSVNUWJSUUSUWBUUEUVEWKWLWMWNWO
        WPABWTRYPWQRZUWDTRABLWRAYPUUQXAZBYPXBWIXCAYPTRZYPUEXJZUUOTRUVSUWAXDUURA
        YPUUQXEZUVLYPUUOXFXGXHAYPUUPUIULZUUPYPWDOZTRZAUWRCCYPUCOZUHOZYPWDOZTAUU
        PUXAYPWDAUUHUWTCUHAUUHUUGUVFQZUWTUUGGUVFKWEAUWTUVEQZUUGUGZUXCUWTUGZAUXD
        UWTPQZUUGAUWTSPACYPMUUQWFZWHACTRUWKUXGUUGUGMNHCWGWIWJAUVHUWTSRUXEUXFWSV
        NUXHSUUSUWTUUGUVEWKWLWMWNWOWPACWTRUWLUXBTRACMWRUWMCYPXBWIXCAUWNUWOUUPTR
        UWQUWSXDUURUWPUVRYPUUPXFXGXHXIABCUUFUUHABLXKACMXKAUUFUVJXLAUUHUVPXLXMXN
        AYPUMRYOTRUUITRUULUUNXDUUQABCLMXOAUUFUUHUVKUVQXOYOUUIYPXPXGXHAYRYSDEFGH
        IYRSUTZAUVBUOYSSUTZAUVOUOJNKXQAUUCWTRUWLUEUUCXRULUUCYPXSULZUUKUUCUGAUUC
        UUBUUSRZUUCSRAUXLUUBSUTUUBUSRZUUBYTSYTUUAVAUXIUXJYTSUTUVBUVOYRYSXTVGVBU
        VCUUBUUAUTUXMUVDYTUUAVDZUUAUUBVFVGUUBSVHVIZUUSSUUBGUVIVTWAZYAUWMAUUCUXP
        YBAUUCUEYPUFORZUXKAUXQUUDUUAUTZAUUDUUBUUAAUUCUVEQUUBUVFQZUVEQZUUDUUBUUC
        UXSUVEUUBGUVFKWEYCAUUCSPUXPWHAUVHUXLUXTUUBUGVNUXLAUXOUOSUUSUUBUVEYDWLYE
        ZUXNYFAUUCTRUWKUXQUXRXDAUUCUXPWBNHUUCYGWIXHUUCUEYPYHYJUUCYPYIYKYLYMUYAY
        N $.
    $}

    $( For sequences that correspond to valid integers, the adder sequence
       function produces the sequence for the sum.  This is effectively a proof
       of the correctness of the ripple carry adder, implemented with logic
       gates corresponding to ~ df-had and ~ df-cad .

       It is interesting to consider in what sense the ` sadd ` function can be
       said to be "adding" things outside the range of the ` bits ` function,
       that is, when adding sequences that are not eventually constant and so
       do not denote any integer.  The correct interpretation is that the
       sequences are representations of 2-adic integers, which have a natural
       ring structure.  (Contributed by Mario Carneiro, 9-Sep-2016.) $)
    sadadd $p |- ( ( A e. ZZ /\ B e. ZZ ) ->
      ( ( bits ` A ) sadd ( bits ` B ) ) = ( bits ` ( A + B ) ) ) $=
      ( vc vm vn cz wcel wa cbits cfv co cv cn0 wss bitsss a1i cc0 c1 c0 wceq
      vk csad caddc wi sadcl mp2an sseli wb cfzo cin cexp cmo c2o wcad c1o cmpo
      cif cmin cmpt cseq cres ccnv eqid simpll simplr simpr nn0addcld sadaddlem
      1nn0 zaddcld bitsmod syl2anc eqtrd eleq2d elin 3bitr3g cfz nn0uz eleqtrdi
      c2 cuz eluzfz2 syl nn0zd fzval3 eleqtrd biantrud 3bitr4d pm5.21ndd eqrdv
      ex ) AFGZBFGZHZUAAIJZBIJZUBKZABUCKZIJZWNUALZMGZWTWQGZWTWSGZXBXAUDWNWQMWTW
      OMNWPMNWQMNAOBOWOWPUEUFUGPXCXAUDWNWSMWTWROUGPWNXAXBXCUHWNXAHZXBWTQWTRUCKZ
      UIKZGZHZXCXGHZXBXCXDWTWQXFUJZGWTWSXFUJZGXHXIXDXJXKWTXDXJWRVTXEUKKULKIJZXK
      XDABCDUMMDLZWOGXMWPGSCLGUNUOSUQUPEMELZQTSXNRURKUQUSQUTZDEIMVAVBZXECXOVCXP
      VCWLWMXAVDZWLWMXAVEZXDWTRWNXAVFZRMGXDVIPVGZVHXDWRFGXEMGXLXKTXDABXQXRVJXTX
      EWRVKVLVMVNWTWQXFVOWTWSXFVOVPXDXGXBXDWTQWTVQKZXFXDWTQWAJZGWTYAGXDWTMYBXSV
      RVSQWTWBWCXDWTFGYAXFTXDWTXSWDQWTWEWCWFZWGXDXGXCYCWGWHWKWIWJ $.

    $( The adder sequence function has a left identity, the empty set, which is
       the representation of the integer zero.  (Contributed by Mario Carneiro,
       9-Sep-2016.) $)
    sadid1 $p |- ( A C_ NN0 -> ( A sadd (/) ) = A ) $=
      ( cn0 wss c0 csad co cun id 0ss a1i cin wceq in0 saddisj un0 eqtrdi ) ABC
      ZADEFADGAQADQHDBCQBIJADKDLQAMJNAOP $.

    $( The adder sequence function has a right identity, the empty set, which
       is the representation of the integer zero.  (Contributed by Mario
       Carneiro, 9-Sep-2016.) $)
    sadid2 $p |- ( A C_ NN0 -> ( (/) sadd A ) = A ) $=
      ( cn0 wss c0 csad co wceq 0ss sadcom mpan sadid1 eqtrd ) ABCZDAEFZADEFZAD
      BCMNOGBHDAIJAKL $.

    $d c k m C $.
    ${
      sadasslem.1 $e |- ( ph -> A C_ NN0 ) $.
      sadasslem.2 $e |- ( ph -> B C_ NN0 ) $.
      sadasslem.3 $e |- ( ph -> C C_ NN0 ) $.
      sadasslem.4 $e |- ( ph -> N e. NN0 ) $.
      $( Lemma for ~ sadass .  (Contributed by Mario Carneiro, 9-Sep-2016.) $)
      sadasslem $p |- ( ph ->
        ( ( ( A sadd B ) sadd C ) i^i ( 0 ..^ N ) ) =
        ( ( A sadd ( B sadd C ) ) i^i ( 0 ..^ N ) ) ) $=
        ( vc vm co cc0 cn0 cfv cmo cfn wcel wss syl vn csad cfzo cin cbits cres
        ccnv wceq c2 cexp caddc cpw inss1 sstrid fzofi inss2 ssfi sylancl elfpw
        a1i sylanbrc wf1o wf bitsf1o f1ocnv f1of ffvelrni nn0cnd addassd oveq1d
        mp2b sadcl syl2anc nn0red readdcld crp 2rp nn0zd rpexpcld c2o cv c0 c1o
        wcad cif cmpo c1 cmin cmpt cseq eqid sadadd3 eqidd modadd12d 3eqtr4d cr
        cle wbr clt nn0ge0d fvresd f1ocnvfv2 sylancr eqtr3d eqsstrdi cz bitsfzo
        wb mpbird elfzolt2 modid syl22anc 2nn nnexpcld nnrpd 3eqtr3d wf1 f1fveq
        cn wa f1of1 mpan mpbid ) ABCUBLZDUBLZMEUCLZUDZUENUFZUGZOZBCDUBLZUBLZYFU
        DZYIOZUHZYGYMUHZAYJUIEUJLZPLZYNYQPLZYJYNAYDYFUDZYIOZDYFUDZYIOZUKLYQPLZB
        YFUDZYIOZYKYFUDZYIOZUKLYQPLZYRYSAUUFCYFUDZYIOZUKLZUUCUKLZYQPLUUFUUKUUCU
        KLZUKLZYQPLUUDUUIAUUMUUOYQPAUUFUUKUUCAUUFAUUENULQUDZRZUUFNRAUUENSUUEQRZ
        UUQAUUEBNBYFUMFUNAYFQRZUUEYFSUURUUSAMEUOUTZBYFUPYFUUEUQURUUENUSVAUUPNUU
        EYINUUPYHVBZUUPNYIVBZUUPNYIVCVDNUUPYHVEZUUPNYIVFVKZVGTZVHAUUKAUUJUUPRZU
        UKNRAUUJNSUUJQRZUVFAUUJCNCYFUMGUNAUUSUUJYFSUVGUUTCYFUPYFUUJUQURUUJNUSVA
        UUPNUUJYIUVDVGTZVHAUUCAUUBUUPRZUUCNRAUUBNSUUBQRZUVIAUUBDNDYFUMHUNAUUSUU
        BYFSUVJUUTDYFUPYFUUBUQURUUBNUSVAUUPNUUBYIUVDVGTZVHVIVJAUUAUULUUCUUCYQAU
        UAAYTUUPRZUUANRAYTNSYTQRZUVLAYTYDNYDYFUMABNSZCNSZYDNSZFGBCVLVMZUNAUUSYT
        YFSUVMUUTYDYFUPYFYTUQURYTNUSVAUUPNYTYIUVDVGTVNAUUFUUKAUUFUVEVNZAUUKUVHV
        NZVOAUUCUVKVNZUVTAUIEUIVPRAVQUTAEIVRVSZABCJKVTNKWAZBRZUWBCRZWBJWARZWDWC
        WBWEWFUANUAWAZMUHWBUWFWGWHLWEWIZMWJZKUAYIEJFGUWHWKIYIWKZWLAUUCYQPLWMWNA
        UUFUUFUUHUUNYQUVRUVRAUUHAUUGUUPRZUUHNRAUUGNSUUGQRZUWJAUUGYKNYKYFUMAUVOD
        NSZYKNSZGHCDVLVMZUNAUUSUUGYFSUWKUUTYKYFUPYFUUGUQURUUGNUSVAUUPNUUGYIUVDV
        GTVNAUUKUUCUVSUVTVOUWAAUUFYQPLWMACDJKVTNUWDUWBDRZUWEWDWCWBWEWFUWGMWJZKU
        AYIEJGHUWPWKIUWIWLWNWOAYDDJKVTNUWBYDRUWOUWEWDWCWBWEWFUWGMWJZKUAYIEJUVQH
        UWQWKIUWIWLABYKJKVTNUWCUWBYKRUWEWDWCWBWEWFUWGMWJZKUAYIEJFUWNUWRWKIUWIWL
        WOAYJWPRYQVPRZMYJWQWRYJYQWSWRZYRYJUHAYJAYGUUPRZYJNRAYGNSYGQRZUXAAYGYENY
        EYFUMAUVPUWLYENSUVQHYDDVLVMUNAUUSYGYFSUXBUUTYEYFUPZYFYGUQURYGNUSVAZUUPN
        YGYIUVDVGTZVNUWAAYJUXEWTAYJMYQUCLZRZUWTAUXGYJUEOZYFSZAUXHYGYFAYJYHOZUXH
        YGAYJNUEUXEXAAUVAUXAUXJYGUHVDUXDNUUPYGYHXBXCXDUXCXEAYJXFRENRZUXGUXIXHAY
        JUXEVRIEYJXGVMXIYJMYQXJTYJYQXKXLAYNWPRUWSMYNWQWRYNYQWSWRZYSYNUHAYNAYMUU
        PRZYNNRAYMNSYMQRZUXMAYMYLNYLYFUMAUVNUWMYLNSFUWNBYKVLVMUNAUUSYMYFSUXNUUT
        YLYFUPZYFYMUQURYMNUSVAZUUPNYMYIUVDVGTZVNAYQAUIEUIXSRAXMUTIXNXOAYNUXQWTA
        YNUXFRZUXLAUXRYNUEOZYFSZAUXSYMYFAYNYHOZUXSYMAYNNUEUXQXAAUVAUXMUYAYMUHVD
        UXPNUUPYMYHXBXCXDUXOXEAYNXFRUXKUXRUXTXHAYNUXQVRIEYNXGVMXIYNMYQXJTYNYQXK
        XLXPAUXAUXMYOYPXHZUXDUXPUUPNYIXQZUXAUXMXTUYBUVAUVBUYCVDUVCUUPNYIYAVKUUP
        NYGYMYIXRYBVMYC $.
    $}

    $( Sequence addition is associative.  (Contributed by Mario Carneiro,
       9-Sep-2016.) $)
    sadass $p |- ( ( A C_ NN0 /\ B C_ NN0 /\ C C_ NN0 ) ->
      ( ( A sadd B ) sadd C ) = ( A sadd ( B sadd C ) ) ) $=
      ( vk cn0 wss w3a csad co cv wcel sadcl sseld wa cc0 cin elin syl biantrud
      c1 stoic3 simp1 3adant1 syl2anc caddc cfzo simpl1 simpl2 simpl3 simpr a1i
      wb 1nn0 nn0addcld sadasslem eleq2d 3bitr3g cfz cuz nn0uz eleqtrdi eluzfz2
      cfv cz wceq nn0zd fzval3 eleqtrd 3bitr4d ex pm5.21ndd eqrdv ) AEFZBEFZCEF
      ZGZDABHIZCHIZABCHIZHIZVPDJZEKZWAVRKZWAVTKZVPVREWAVMVNVQEFVOVREFABLVQCLUAM
      VPVTEWAVPVMVSEFZVTEFVMVNVOUBVNVOWEVMBCLUCAVSLUDMVPWBWCWDULVPWBNZWCWAOWATU
      EIZUFIZKZNZWDWINZWCWDWFWAVRWHPZKWAVTWHPZKWJWKWFWLWMWAWFABCWGVMVNVOWBUGVMV
      NVOWBUHVMVNVOWBUIWFWATVPWBUJZTEKWFUMUKUNUOUPWAVRWHQWAVTWHQUQWFWIWCWFWAOWA
      URIZWHWFWAOUSVCZKWAWOKWFWAEWPWNUTVAOWAVBRWFWAVDKWOWHVEWFWAWNVFOWAVGRVHZSW
      FWIWDWQSVIVJVKVL $.
  $}

  ${
    $d c m A $.  $d c m B $.  $d c m n N $.
    sadeq.a $e |- ( ph -> A C_ NN0 ) $.
    sadeq.b $e |- ( ph -> B C_ NN0 ) $.
    sadeq.n $e |- ( ph -> N e. NN0 ) $.
    $( Any element of a sequence sum only depends on the values of the argument
       sequences up to and including that point.  (Contributed by Mario
       Carneiro, 9-Sep-2016.) $)
    sadeq $p |- ( ph -> ( ( A sadd B ) i^i ( 0 ..^ N ) ) =
  ( ( ( A i^i ( 0 ..^ N ) ) sadd ( B i^i ( 0 ..^ N ) ) ) i^i ( 0 ..^ N ) ) ) $=
      ( vc vm co cc0 cin cbits cn0 cfv wceq cmo wcel wss syl2anc csad cfzo cres
      vn ccnv c2 caddc inass inidm ineq2i eqtri fveq2i oveq12i oveq1i c2o cv c0
      cexp wcad c1o cmpo c1 cmin cmpt cseq inss1 sstrid eqid sadadd3 3eqtr4a cr
      cif crp cle wbr clt cpw cfn sadcl fzofi inss2 ssfi sylancl elfpw sylanbrc
      a1i wf1o wf bitsf1o f1ocnv f1of mp2b ffvelrni syl nn0red rpexpcld nn0ge0d
      2rp nn0zd fvresd f1ocnvfv2 sylancr eqtr3d eqsstrdi cz wb bitsfzo elfzolt2
      mpbird modid syl22anc 3eqtr3rd wf1 wa f1of1 f1fveq mpan mpbid ) ABCUAJZKD
      UBJZLZMNUCZUEZOZBXTLZCXTLZUAJZXTLZYCOZPZYAYHPZAYIUFDURJZQJZYDYLQJZYIYDAYE
      XTLZYCOZYFXTLZYCOZUGJZYLQJYEYCOZYFYCOZUGJZYLQJYMYNYSUUBYLQYPYTYRUUAUGYOYE
      YCYOBXTXTLZLYEBXTXTUHUUCXTBXTUIZUJUKULYQYFYCYQCUUCLYFCXTXTUHUUCXTCUUDUJUK
      ULUMUNAYEYFHIUONIUPZYERUUEYFRUQHUPRZUSUTUQVLVAUDNUDUPZKPUQUUGVBVCJVLVDZKV
      EZIUDYCDHAYEBNBXTVFEVGZAYFCNCXTVFFVGZUUIVHGYCVHZVIABCHIUONUUEBRUUECRUUFUS
      UTUQVLVAUUHKVEZIUDYCDHEFUUMVHGUULVIVJAYIVKRYLVMRZKYIVNVOYIYLVPVOZYMYIPAYI
      AYHNVQVRLZRZYINRAYHNSYHVRRZUUQAYHYGNYGXTVFAYENSYFNSYGNSUUJUUKYEYFVSTVGAXT
      VRRZYHXTSUURUUSAKDVTWFZYGXTWAZXTYHWBWCYHNWDWEZUUPNYHYCNUUPYBWGZUUPNYCWGZU
      UPNYCWHWINUUPYBWJZUUPNYCWKWLZWMWNZWOAUFDUFVMRAWRWFADGWSWPZAYIUVGWQAYIKYLU
      BJZRZUUOAUVJYIMOZXTSZAUVKYHXTAYIYBOZUVKYHAYINMUVGWTAUVCUUQUVMYHPWIUVBNUUP
      YHYBXAXBXCUVAXDAYIXERDNRZUVJUVLXFAYIUVGWSGDYIXGTXIYIKYLXHWNYIYLXJXKAYDVKR
      UUNKYDVNVOYDYLVPVOZYNYDPAYDAYAUUPRZYDNRAYANSYAVRRZUVPAYAXSNXSXTVFABNSCNSX
      SNSEFBCVSTVGAUUSYAXTSUVQUUTXSXTWAZXTYAWBWCYANWDWEZUUPNYAYCUVFWMWNZWOUVHAY
      DUVTWQAYDUVIRZUVOAUWAYDMOZXTSZAUWBYAXTAYDYBOZUWBYAAYDNMUVTWTAUVCUVPUWDYAP
      WIUVSNUUPYAYBXAXBXCUVRXDAYDXERUVNUWAUWCXFAYDUVTWSGDYDXGTXIYDKYLXHWNYDYLXJ
      XKXLAUVPUUQYJYKXFZUVSUVBUUPNYCXMZUVPUUQXNUWEUVCUVDUWFWIUVEUUPNYCXOWLUUPNY
      AYHYCXPXQTXR $.
  $}

  $( Restrict the bits of a number to an upper integer set.  (Contributed by
     Mario Carneiro, 5-Sep-2016.) $)
  bitsres $p |- ( ( A e. ZZ /\ N e. NN0 ) -> ( ( bits ` A ) i^i ( ZZ>= ` N ) )
      = ( bits ` ( ( |_ ` ( A / ( 2 ^ N ) ) ) x. ( 2 ^ N ) ) ) ) $=
    ( cz wcel cn0 c2 co cbits cfv csad caddc cin cmul wceq a1i syl2anc c0 eqtrd
    cc0 wss wa cexp cmo cneg cuz cdiv cfl simpl cn simpr nnexpcld zmodcld nn0zd
    znegcld sadadd zcnd addcomd negidd fveq2d 0bits eqtrdi oveq1d bitsss sstrid
    2nn inss1 sadass mp3an12i cfzo bitsmod cun fzouzdisj ineq2i 3eqtr3i saddisj
    inindi in0 indi eqtr4di nn0uz eleqtrdi fzouzsplit syl eqtrid sseqtrid df-ss
    sylib oveq2d sadid2 3eqtr3d cmin negsubd subcld nnne0d divcan1d cr crp zred
    nncnd nnrpd moddiffl 3eqtr2d ) ACDZBEDZUAZAFBUBGZUCGZUDZHIZAHIZJGZXHAKGZHIZ
    XJBUEIZLZAXFUFGUGIZXFMGZHIXEXHCDZXCXKXMNXEXGXEXGXEAXFXCXDUHZXEFBFUIDXEVEOXC
    XDUJZUKZULUMZUNZXSXHAUOPXEXIXGHIZJGZXOJGZQXOJGZXKXOXEYEQXOJXEYEXHXGKGZHIZQX
    EXRXGCDYEYINYCYBXHXGUOPXEYISHIQXEYHSHXEYHXGXHKGSXEXHXGXEXHYCUPZXEXGYBUPZUQX
    EXGYKURRUSUTVARVBXEYFXIYDXOJGZJGZXKXIETYDETXEXOETZYFYMNXHVCXGVCXEXOXJEXJXNV
    FXJETXEAVCZOZVDZXIYDXOVGVHXEYLXJXIJXEYLXJSBVIGZLZXOJGZXJXEYDYSXOJBAVJVBXEYT
    XJYRXNVKZLZXJXEYTYSXOVKUUBXEYSXOXEYSXJEXJYRVFYPVDYQYSXOLZQNXEXJYRXNLZLXJQLU
    UCQUUDQXJSBVLVMXJYRXNVPXJVQVNOVOXJYRXNVRVSXEXJUUATUUBXJNXEEXJUUAYOXEESUEIZU
    UAVTXEBUUEDUUEUUANXEBEUUEXTVTWASBWBWCWDWEXJUUAWFWGRRWHRXEYNYGXONYQXOWIWCWJX
    EXLXQHXEXLAXHKGZXQXEXHAYJXEAXSUPZUQXEUUFAXGWKGZUUHXFUFGZXFMGXQXEAXGUUGYKWLX
    EUUHXFXEAXGUUGYKWMXEXFYAWSXEXFYAWNWOXEUUIXPXFMXEAWPDXFWQDUUIXPNXEAXSWRXEXFY
    AWTAXFXAPVBXBRUSWJ $.

  $( The bits of a number are all at least ` N ` iff the number is divisible by
     ` 2 ^ N ` .  (Contributed by Mario Carneiro, 21-Sep-2016.) $)
  bitsuz $p |- ( ( A e. ZZ /\ N e. NN0 ) ->
    ( ( 2 ^ N ) || A <-> ( bits ` A ) C_ ( ZZ>= ` N ) ) ) $=
    ( cz wcel cn0 wa c2 co cdvds wbr cbits cfv wceq cmul wb a1i syl2anc cc0 wne
    adantr cexp cuz cin wss cdiv cfl bitsres eqeq1d simpl cn 2nn simpr nnexpcld
    zred nndivred flcld nnzd zmulcld cpw wf1 bitsf1 f1fveq mpan breq2 syl5ibcom
    dvdsmul2 nnne0d dvdsval2 syl3anc biimpa flid oveq1d cc zcnd nncnd 2cnd 2ne0
    syl nn0zd expne0d divcan1d eqtrd ex impbid 3bitrrd df-ss bitr4di ) ACDZBEDZ
    FZGBUAHZAIJZAKLZBUBLZUCZWMMZWMWNUDWJWPAWKUEHZUFLZWKNHZKLZWMMZWSAMZWLWJWOWTW
    MABUGUHWJWSCDZWHXAXBOZWJWRWKWJWQWJAWKWJAWHWIUIZUNWJGBGUJDWJUKPWHWIULZUMZUOU
    PZWJWKXGUQZURXECEUSZKUTXCWHFXDVACXJWSAKVBVCQWJXBWLWJWKWSIJZXBWLWJWRCDWKCDZX
    KXHXIWRWKVFQWSAWKIVDVEWJWLXBWJWLFZWSWQWKNHAXMWRWQWKNXMWQCDZWRWQMWJWLXNWJXLW
    KRSWHWLXNOXIWJWKXGVGXEWKAVHVIVJWQVKVRVLXMAWKWJAVMDWLWJAXEVNTWJWKVMDWLWJWKXG
    VOTXMGBXMVPGRSXMVQPWJBCDWLWJBXFVSTVTWAWBWCWDWEWMWNWFWG $.

  ${
    $d n A $.  $d n N $.
    $( Shifting a bit sequence to the left (toward the more significant bits)
       causes the number to be multiplied by a power of two.  (Contributed by
       Mario Carneiro, 22-Sep-2016.) $)
    bitsshft $p |- ( ( A e. ZZ /\ N e. NN0 ) ->
        { n e. NN0 | ( n - N ) e. ( bits ` A ) }
            = ( bits ` ( A x. ( 2 ^ N ) ) ) ) $=
      ( cz wcel cn0 wa c2 cexp co cfv cdvds wbr wss a1i nnexpcld syl2anc wb cfl
      cdiv cmul cbits cin cmin crab cuz simpll 2nn simplr nnzd dvdsmul2 zmulcld
      cv cn bitsuz mpbid sseld uznn0sub syl6 bitsss wn 2cnd nnne0d nn0zd simprl
      expsubd oveq2d cc simpl adantr nncnd divdiv2d eqtr2d fveq2d breq2d notbid
      zcnd adantrr ad2ant2rl 3bitr4d expr pm5.21ndd rabbi2dva wceq sseqin2 mpbi
      bitsval2 eqtr3di ) ADEZCFEZGZFAHCIJZUAJZUBKZUCZBUMZCUDJZAUBKZEZBFUEWNWKWS
      BFWNWKWPFEZGZWQFEZWPWNEZWSXAXCWPCUFKZEXBXAWNXDWPXAWLWMLMZWNXDNZXAWIWLDEXE
      WIWJWTUGZXAWLXAHCHUNEZXAUHOWIWJWTUIZPUJZAWLUKQXAWMDEZWJXEXFRXAAWLXGXJULZX
      IWMCUOQUPUQCWPURUSXAWRFWQWRFNXAAUTOUQWKWTXBXCWSRWKWTXBGZGZHWMHWPIJZTJZSKZ
      LMZVAZHAHWQIJZTJZSKZLMZVAZXCWSXNXRYCXNXQYBHLXNXPYASXNYAAXOWLTJZTJXPXNXTYE
      ATXNHWPCXNVBXNHXHXNUHOZVCXNCWIWJXMUIZVDXNWPWKWTXBVEZVDVFVGXNAXOWLWKAVHEXM
      WKAWIWJVIVQVJXNXOXNHWPYFYHPZVKXNWLXNHCYFYGPZVKXNXOYIVCXNWLYJVCVLVMVNVOVPX
      NXKWTXCXSRWKWTXKXBXLVRYHWPWMWGQWIXBWSYDRWJWTWQAWGVSVTWAWBWCWNFNWOWNWDWMUT
      WNFWEWFWH $.
  $}

  ${
    $d k m n p x y A $.  $d k n x y N $.  $d k n x y ph $.  $d k m n p x y B $.
    $d k x M $.  $d k x y P $.
    $( Define the multiplication of two bit sequences, using repeated sequence
       addition.  (Contributed by Mario Carneiro, 9-Sep-2016.) $)
    df-smu $a |- smul = ( x e. ~P NN0 , y e. ~P NN0 |-> { k e. NN0 |
      k e. ( seq 0 ( ( p e. ~P NN0 , m e. NN0 |->
          ( p sadd { n e. NN0 | ( m e. x /\ ( n - m ) e. y ) } ) ) ,
      ( n e. NN0 |-> if ( n = 0 , (/) , ( n - 1 ) ) ) ) ` ( k + 1 ) ) } ) $.

    smuval.a $e |- ( ph -> A C_ NN0 ) $.
    smuval.b $e |- ( ph -> B C_ NN0 ) $.
    smuval.p $e |- P = seq 0 ( ( p e. ~P NN0 , m e. NN0 |->
          ( p sadd { n e. NN0 | ( m e. A /\ ( n - m ) e. B ) } ) ) ,
      ( n e. NN0 |-> if ( n = 0 , (/) , ( n - 1 ) ) ) ) $.
    $( The multiplication of two bit sequences as repeated sequence addition.
       (Contributed by Mario Carneiro, 9-Sep-2016.) $)
    smufval $p |- ( ph ->
      ( A smul B ) = { k e. NN0 | k e. ( P ` ( k + 1 ) ) } ) $=
      ( vx vy cn0 wcel co cv crab wceq cc0 cpw csmu c1 caddc nn0ex elpw2 sylibr
      cfv wss cmin wa csad cmpo cif cmpt cseq w3a simp1l eleq2d anbi12d rabbidv
      c0 simp1r oveq2d mpoeq3dva seqeq2d eqtr4di fveq1d df-smu ovmpoa syl2anc
      rabex ) ABNUAZOZCVMOZBCUBPEQZVPUCUDPZDUHZOZENRZSABNUIVNIBNUEUFUGACNUIVOJC
      NUEUFUGLMBCVMVMVPVQHFVMNHQZFQZLQZOZGQZWBUJPZMQZOZUKZGNRZULPZUMZGNWETSVBWE
      UCUJPUNUOZTUPZUHZOZENRVTUBWCBSZWGCSZUKZWPVSENWSWOVRVPWSVQWNDWSWNHFVMNWAWB
      BOZWFCOZUKZGNRZULPZUMZWMTUPDWSWLXEWMTWSHFVMNWKXDWSWAVMOZWBNOZUQZWJXCWAULX
      HWIXBGNXHWDWTWHXAXHWCBWBWQWRXFXGURUSXHWGCWFWQWRXFXGVCUSUTVAVDVEVFKVGVHUSV
      ALMEFGHVIVSENUEVLVJVK $.

    $( The sequence of partial sums of the sequence multiplication.
       (Contributed by Mario Carneiro, 9-Sep-2016.) $)
    smupf $p |- ( ph -> P : NN0 --> ~P NN0 ) $=
      ( cn0 cv wcel co wa cc0 c0 wf cfv wss vx cpw cmin crab csad cmpo wceq cif
      vy cmpt cseq cvv 0nn0 iftrue eqid 0ex fvmpt mp1i 0elpw eqeltrdi cop df-ov
      c1 cxp wral elpwi adantr ssrab2 sadcl sylancl nn0ex elpw2 rgen2 fmpo mpbi
      sylibr f0cli eqeltri a1i nn0uz 0zd caddc cuz fvexd seqf2 feq1i ) AKKUBZGE
      WGKGLZELZBMFLZWIUCNCMOZFKUDZUENZUFZFKWJPUGZQWJVCUCNZUHZUJZPUKZRKWGDRAUAUI
      WGULWNWRPKAPWRSZQWGPKMWTQUGAUMFPWQQKWRWOQWPUNWRUOUPUQURKUSZUTUALZUILZWNNZ
      WGMAXBWGMXCULMOOXDXBXCVAZWNSWGXBXCWNVBWGKVDZWGXEWNWMWGMZEKVEGWGVEXFWGWNRX
      GGEWGKWHWGMZWIKMZOZWMKTZXGXJWHKTZWLKTXKXHXLXIWHKVFVGWKFKVHWHWLVIVJWMKVKVL
      VPVMGEWGKWMWGWNWNUOVNVOXAVQVRVSVTAWAAXBPVCWBNWCSMOXBWRWDWEKWGDWSJWFVP $.

    $( The initial element of the partial sum sequence.  (Contributed by Mario
       Carneiro, 9-Sep-2016.) $)
    smup0 $p |- ( ph -> ( P ` 0 ) = (/) ) $=
      ( cc0 cfv cn0 cv wceq c0 cmin co wcel mp1i c1 cif cmpt cz 0z wa crab csad
      cpw cmpo cseq fveq1i seq1 eqtrid 0nn0 iftrue eqid 0ex fvmpt eqtrd ) AKDLZ
      KFMFNZKOZPVBUAQRZUBZUCZLZPKUDSZVAVGOAUEVHVAKGEMUIMGNENZBSVBVIQRCSUFFMUGUH
      RUJZVFKUKZLVGKDVKJULVJVFKUMUNTKMSVGPOAUOFKVEPMVFVCPVDUPVFUQURUSTUT $.

    smuval.n $e |- ( ph -> N e. NN0 ) $.
    $( The initial element of the partial sum sequence.  (Contributed by Mario
       Carneiro, 9-Sep-2016.) $)
    smupp1 $p |- ( ph -> ( P ` ( N + 1 ) ) =
      ( ( P ` N ) sadd { n e. NN0 | ( N e. A /\ ( n - N ) e. B ) } ) ) $=
      ( c1 co cn0 cc0 wceq cmin wcel csad vx vy vk caddc cfv cv c0 cif cmpt cpw
      wa crab cmpo cseq cuz nn0uz eleqtrdi seqp1 syl fveq1i oveq1i 3eqtr4g 1nn0
      a1i nn0addcld eqeq1 oveq1 ifbieq2d eqid 0ex ovex ifex fvmpt wne cn nnne0d
      nn0p1nn ifnefalse nn0cnd pncand 3eqtrd oveq2d smupf ffvelrnd simpl eleq1d
      simpr anbi12d rabbidv anbi2d cbvrabv eqtrdi oveq12d oveq2 eqtr4di cbvmpov
      eleq1w ovmpoa syl2anc ) AGMUDNZDUEZGDUEZWTFOFUFZPQZUGXCMRNZUHZUIZUEZHEOUJ
      ZOHUFZEUFZBSZXCXKRNZCSZUKZFOULZTNZUMZNZXBGXRNZXBGBSZXCGRNZCSZUKZFOULZTNZA
      WTXRXGPUNZUEZGYGUEZXHXRNZXAXSAGPUOUEZSYHYJQAGOYKLUPUQXRXGPGURUSWTDYGKUTXB
      YIXHXRGDYGKUTVAVBAXHGXBXRAXHWTPQZUGWTMRNZUHZYMGAWTOSXHYNQAGMLMOSAVCVDZVEF
      WTXFYNOXGXCWTQXDYLXEYMUGXCWTPVFXCWTMRVGVHXGVIYLUGYMVJWTMRVKVLVMUSAWTPVNYN
      YMQAWTAGOSZWTVOSLGVQUSVPWTPUGYMVRUSAGMAGLVSAMYOVSVTWAWBAXBXISYPXTYFQAOXIG
      DABCDEFHIJKWCLWDLUAUBXBGXIOUAUFZUBUFZBSZUCUFZYRRNZCSZUKZUCOULZTNZYFXRYQXB
      QZYRGQZUKZYQXBUUDYETUUFUUGWEUUHUUDYAYTGRNZCSZUKZUCOULYEUUHUUCUUKUCOUUHYSY
      AUUBUUJUUHYRGBUUFUUGWGZWFUUHUUAUUICUUHYRGYTRUULWBWFWHWIUUKYDUCFOYTXCQZUUJ
      YCYAUUMUUIYBCYTXCGRVGWFWJWKWLWMHEUAUBXIOXQUUEYQXPTNXJYQXPTVGXKYRQZXPUUDYQ
      TUUNXPYSXCYRRNZCSZUKZFOULUUDUUNXOUUQFOUUNXLYSXNUUPEUBBWQUUNXMUUOCXKYRXCRW
      NWFWHWIUUCUUQUCFOUUMUUBUUPYSUUMUUAUUOCYTXCYRRVGWFWJWKWOWBWPXBYETVKWRWSWA
      $.

    $( Define the addition of two bit sequences, using ~ df-had and ~ df-cad
       bit operations.  (Contributed by Mario Carneiro, 9-Sep-2016.) $)
    smuval $p |- ( ph -> ( N e. ( A smul B ) <-> N e. ( P ` ( N + 1 ) ) ) ) $=
      ( vk csmu co wcel c1 caddc cfv cn0 cv crab smufval eleq2d wb wceq fvoveq1
      id eleq12d elrab3 syl bitrd ) AGBCNOZPGMUAZUNQRODSZPZMTUBZPZGGQRODSZPZAUM
      UQGABCDMEFHIJKUCUDAGTPURUTUELUPUTMGTUNGUFZUNGUOUSVAUHUNGQDRUGUIUJUKUL $.

    ${
      smuval2.m $e |- ( ph -> M e. ( ZZ>= ` ( N + 1 ) ) ) $.
      $( The partial sum sequence stabilizes at ` N ` after the ` N + 1 ` -th
         element of the sequence; this stable value is the value of the
         sequence multiplication.  (Contributed by Mario Carneiro,
         9-Sep-2016.) $)
      smuval2 $p |- ( ph -> ( N e. ( A smul B ) <-> N e. ( P ` M ) ) ) $=
        ( co cfv wcel wceq cn0 cin vx vk c1 caddc cuz wb cv fveq2 eleq2d bibi2d
        csmu wi imbi2d smuval cmin crab csad wss adantr peano2nn0 eluznn0 sylan
        wa syl smupp1 cc0 cfzo cpw smupf ffvelrnd elpwid ssrab2 sadeq c0 inrab2
        a1i wn wral cle wbr clt simpr elin1d nn0red 1red readdcld elin2d eluzle
        elfzolt2 ad2antlr ltletrd ltnled mpbid sseld nn0ge0 syl6 subge0d sylibd
        adantld ralrimiva rabeq0 sylibr eqtrid oveq2d inss1 sstrid sadid1 eqtrd
        mtod ineq1d inass inidm ineq2i eqtri eqtrdi elin 3bitr3g nn0uz eleqtrdi
        cfz eluzfz2 cz nn0zd fzval3 eleqtrd biantrud 3bitr4d biimprd expcom a2d
        bitrd uzind4i mpcom ) GHUCUDOZUEPZQAHBCUKOQZHGDPZQZUFZNAYPHUAUGZDPZQZUF
        ZULAYPHYNDPZQZUFZULAYPHUBUGZDPZQZUFZULAYPHUUGUCUDOZDPZQZUFZULAYSULUAUBY
        NGYTYNRZUUCUUFAUUOUUBUUEYPUUOUUAUUDHYTYNDUHUIUJUMYTUUGRZUUCUUJAUUPUUBUU
        IYPUUPUUAUUHHYTUUGDUHUIUJUMYTUUKRZUUCUUNAUUQUUBUUMYPUUQUUAUULHYTUUKDUHU
        IUJUMYTGRZUUCYSAUURUUBYRYPUURUUAYQHYTGDUHUIUJUMABCDEFHIJKLMUNUUGYOQZAUU
        JUUNAUUSUUJUUNULAUUSVCZUUNUUJUUTUUMUUIYPUUTUUMHUUHUUGBQZFUGZUUGUOOZCQZV
        CZFSUPZUQOZQZUUIUUTUULUVGHUUTBCDEFUUGIABSURUUSJUSZACSURZUUSKUSZLAYNSQZU
        USUUGSQZAHSQZUVLMHUTVDZUUGYNVAVBZVEUIUUTUVHHVFYNVGOZQZVCZUUIUVRVCZUVHUU
        IUUTHUVGUVQTZQHUUHUVQTZQUVSUVTUUTUWAUWBHUUTUWAUWBUVFUVQTZUQOZUVQTZUWBUU
        TUUHUVFYNUUTUUHSUUTSSVHUUGDUUTBCDEFIUVIUVKLVIUVPVJVKZUVFSURUUTUVEFSVLVP
        AUVLUUSUVOUSVMUUTUWEUWBUVQTZUWBUUTUWDUWBUVQUUTUWDUWBVNUQOZUWBUUTUWCVNUW
        BUQUUTUWCUVEFSUVQTZUPZVNUVEFSUVQVOUUTUVEVQZFUWIVRUWJVNRUUTUWKFUWIUUTUVB
        UWIQZVCZUVEUUGUVBVSVTZUWMUVBUUGWAVTUWNVQUWMUVBYNUUGUWMUVBUWMSUVQUVBUUTU
        WLWBZWCWDZUWMHUCUWMHUUTUVNUWLAUVNUUSMUSZUSWDUWMWEWFUWMUUGUUTUVMUWLUVPUS
        WDZUWMUVBUVQQUVBYNWAVTUWMSUVQUVBUWOWGUVBVFYNWIVDUUSYNUUGVSVTAUWLYNUUGWH
        WJWKUWMUVBUUGUWPUWRWLWMUWMUVDUWNUVAUWMUVDVFUVCVSVTZUWNUWMUVDUVCSQUWSUWM
        CSUVCUUTUVJUWLUVKUSWNUVCWOWPUWMUVBUUGUWPUWRWQWRWSXIWTUVEFUWIXAXBXCXDUUT
        UWBSURUWHUWBRUUTUWBUUHSUUHUVQXEUWFXFUWBXGVDXHXJUWGUUHUVQUVQTZTUWBUUHUVQ
        UVQXKUWTUVQUUHUVQXLXMXNXOXHUIHUVGUVQXPHUUHUVQXPXQUUTUVRUVHUUTHVFHXTOZUV
        QUUTHVFUEPZQHUXAQUUTHSUXBUWQXRXSVFHYAVDUUTHYBQUXAUVQRUUTHUWQYCVFHYDVDYE
        ZYFUUTUVRUUIUXCYFYGYKUJYHYIYJYLYM $.
    $}

    smupvallem.a $e |- ( ph -> A C_ ( 0 ..^ N ) ) $.
    smupvallem.m $e |- ( ph -> M e. ( ZZ>= ` N ) ) $.
    $( If ` A ` only has elements less than ` N ` , then all elements of the
       partial sum sequence past ` N ` already equal the final value.
       (Contributed by Mario Carneiro, 20-Sep-2016.) $)
    smupvallem $p |- ( ph -> ( P ` M ) = ( A smul B ) ) $=
      ( vk cfv cn0 wcel wceq vx csmu co cv cpw smupf cuz eluznn0 syl2anc elpwid
      ffvelrnd sseld c1 caddc smufval ssrab2 eqsstrdi wb wa wss ad2antrr simplr
      crab adantr uztrn sylan smuval2 bicomd simpll wi fveqeq2 imbi2d cmin csad
      eqidd c0 smupp1 wn wral clt wbr nn0red cle eluzle adantl lensymd cc0 cfzo
      cr elfzolt2 syl6 adantrd ralrimivw rabeq0 sylibr oveq2d sadid1 syl 3eqtrd
      mtod wf eqeq1d biimprd expcom a2d uzind4i sylc simpr eqtr4d eleq2d smuval
      bitr4d cz wo nn0zd peano2zd uztric mpjaodan ex pm5.21ndd eqrdv ) APGDQZBC
      UBUCZAPUDZRSZYDYBSZYDYCSZAYBRYDAYBRARRUEZGDABCDEFIJKLUFZAHRSZGHUGQZSZGRSM
      OGHUHUIUKUJULAYCRYDAYCYDYDUMUNUCZDQZSZPRVCRABCDPEFIJKLUOYOPRUPUQULAYEYFYG
      URZAYEUSZHYMUGQZSZYPYMYKSZYQYSUSZYGYFUUABCDEFGYDIABRUTZYEYSJVAACRUTZYEYSK
      VALAYEYSVBYQYLYSGYRSAYLYEOVDHGYMVEVFVGVHYQYTUSZYFYOYGUUDYBYNYDUUDYBHDQZYN
      UUDYLAYBUUETZAYLYEYTOVAAYEYTVIZAUAUDZDQUUETZVJZAUUEUUETZVJZAYDDQZUUETZVJZ
      AYNUUETZVJZAUUFVJUAPHGUUHHTUUIUUKAUUHHUUEDVKVLZUUHYDTUUIUUNAUUHYDUUEDVKVL
      ZUUHYMTUUIUUPAUUHYMUUEDVKVLZUUHGTUUIUUFAUUHGUUEDVKVLAUUEVOZYDYKSZAUUNUUPA
      UVBUUNUUPVJAUVBUSZUUPUUNUVCYNUUMUUEUVCYNUUMYDBSZFUDYDVMUCCSZUSZFRVCZVNUCU
      UMVPVNUCZUUMUVCBCDEFYDIAUUBUVBJVDAUUCUVBKVDLAYJUVBYEMYDHUHVFZVQUVCUVGVPUU
      MVNUVCUVFVRZFRVSUVGVPTUVCUVJFRUVCUVFYDHVTWAZUVCHYDAHWISUVBAHMWBVDUVCYDUVI
      WBUVBHYDWCWAAHYDWDWEWFUVCUVDUVKUVEUVCUVDYDWGHWHUCZSUVKUVCBUVLYDABUVLUTUVB
      NVDULYDWGHWJWKWLWTWMUVFFRWNWOWPUVCUUMRUTUVHUUMTUVCUUMRUVCRYHYDDARYHDXAUVB
      YIVDUVIUKUJUUMWQWRWSXBXCXDXEZXFXGUUDYTAUUPYQYTXHUUGUUJUULUUOUUQUUQUAPHYMU
      URUUSUUTUUTUVAUVMXFXGXIXJUUDBCDEFYDIAUUBYEYTJVAAUUCYEYTKVALAYEYTVBXKXLYQY
      MXMSHXMSZYSYTXNYQYDYQYDAYEXHXOXPAUVNYEAHMXOVDYMHXQUIXRXSXTYA $.
  $}

  ${
    $d k m n p x A $.  $d k m n p x B $.  $d k n x ph $.
    $( The product of two sequences is a sequence.  (Contributed by Mario
       Carneiro, 19-Sep-2016.) $)
    smucl $p |- ( ( A C_ NN0 /\ B C_ NN0 ) -> ( A smul B ) C_ NN0 ) $=
      ( vk vp vm vn cn0 wss wa csmu co cv c1 caddc cpw wcel cmin crab csad cc0
      cmpo wceq c0 cif cmpt cseq cfv simpl simpr eqid smufval ssrab2 eqsstrdi )
      AGHZBGHZIZABJKCLZUQMNKDEGOGDLELZAPFLZURQKBPIFGRSKUAFGUSTUBUCUSMQKUDUETUFZ
      UGPZCGRGUPABUTCEFDUNUOUHUNUOUIUTUJUKVACGULUM $.

    ${
      smu01lem.1 $e |- ( ph -> A C_ NN0 ) $.
      smu01lem.2 $e |- ( ph -> B C_ NN0 ) $.
      smu01lem.3 $e |- ( ( ph /\ ( k e. NN0 /\ n e. NN0 ) ) ->
        -. ( k e. A /\ ( n - k ) e. B ) ) $.
      $( Lemma for ~ smu01 and ~ smu02 .  (Contributed by Mario Carneiro,
         19-Sep-2016.) $)
      smu01lem $p |- ( ph -> ( A smul B ) = (/) ) $=
        ( vp vm co cv wcel cn0 wss csad cc0 wceq c0 wi vx csmu wn smucl syl2anc
        sseld wa c1 cpw cmin crab cmpo cif cmpt cseq cfv noel peano2nn0 fveqeq2
        caddc imbi2d eqid smup0 oveq1 adantr simpr smupp1 wral ralrimiva rabeq0
        anassrs sylibr oveq2d 0ss sadid1 mp1i eqtr2d eqeq12d syl5ibr expcom a2d
        nn0ind syl impcom eleq2d mtbiri smuval mtbird ex syld pm2.01d eq0rdv )
        ADBCUBKZADLZWMMZAWOWNNMZWOUCZAWMNWNABNOZCNOZWMNOFGBCUDUEUFAWPWQAWPUGZWO
        WNWNUHUTKZIJNUINILJLZBMELZXBUJKCMUGENUKPKULENXCQRSXCUHUJKUMUNQUOZUPZMZW
        TXFWNSMWNUQWTXESWNWPAXESRZWPXANMAXGTZWNURAUALZXDUPSRZTAQXDUPSRZTAWNXDUP
        ZSRZTXHXHUADXAXIQRXJXKAXIQSXDUSVAXIWNRXJXMAXIWNSXDUSVAXIXARXJXGAXIXASXD
        USVAZXNABCXDJEIFGXDVBZVCWPAXMXGAWPXMXGTXMXGWTXLWNBMXCWNUJKCMUGZENUKZPKZ
        SXQPKZRXLSXQPVDWTXEXRSXSWTBCXDJEWNIAWRWPFVEZAWSWPGVEZXOAWPVFZVGWTXSSSPK
        ZSWTXQSSPWTXPUCZENVHXQSRWTYDENAWPXCNMYDHVKVIXPENVJVLVMSNOYCSRWTNVNSVOVP
        VQVRVSVTWAWBWCWDWEWFWTBCXDJEWNIXTYAXOYBWGWHWIWJWKWL $.
    $}

    $( Multiplication of a sequence by ` 0 ` on the right.  (Contributed by
       Mario Carneiro, 19-Sep-2016.) $)
    smu01 $p |- ( A C_ NN0 -> ( A smul (/) ) = (/) ) $=
      ( vk vn cn0 wss c0 id 0ss a1i cv wcel cmin co wa wn noel intnan smu01lem
      ) ADEZAFBCSGFDESDHIBJZAKZCJZTLMZFKZNOSTDKUBDKNNUDUAUCPQIR $.

    $( Multiplication of a sequence by ` 0 ` on the left.  (Contributed by
       Mario Carneiro, 9-Sep-2016.) $)
    smu02 $p |- ( A C_ NN0 -> ( (/) smul A ) = (/) ) $=
      ( vk vn cn0 wss c0 0ss a1i id cv wcel cmin co wa wn noel intnanr smu01lem
      ) ADEZFABCFDESDGHSIBJZFKZCJZTLMAKZNOSTDKUBDKNNUAUCTPQHR $.
  $}

  ${
    $d k m n p x A $.  $d k m n p x B $.  $d k m n p x N $.  $d k n x ph $.
    $d k x P $.
    smupval.a $e |- ( ph -> A C_ NN0 ) $.
    smupval.b $e |- ( ph -> B C_ NN0 ) $.
    smupval.p $e |- P = seq 0 ( ( p e. ~P NN0 , m e. NN0 |->
          ( p sadd { n e. NN0 | ( m e. A /\ ( n - m ) e. B ) } ) ) ,
      ( n e. NN0 |-> if ( n = 0 , (/) , ( n - 1 ) ) ) ) $.
    smupval.n $e |- ( ph -> N e. NN0 ) $.
    $( Rewrite the elements of the partial sum sequence in terms of sequence
       multiplication.  (Contributed by Mario Carneiro, 20-Sep-2016.) $)
    smupval $p |- ( ph -> ( P ` N ) = ( ( A i^i ( 0 ..^ N ) ) smul B ) ) $=
      ( cfv cn0 cc0 co wcel csad wceq fveq2 vx vk cpw cv cfzo cmin wa crab cmpo
      cin c0 c1 cif cmpt cseq csmu cfz nn0uz eleqtrdi eluzfz2b sylib wi eqeq12d
      cuz caddc imbi2d smup0 inss1 sstrid eqid eqtr4d a1i adantr elfzouz adantl
      oveq1 wss eleqtrrdi smupp1 elin rbaib anbi1d rabbidv oveq2d eqtrd syl5ibr
      wb expcom a2d fzind2 mpcom inss2 cz nn0zd uzid syl smupvallem ) AGDMZGHEN
      UCNHUDEUDZBOGUEPZUJZQFUDZWSUFPCQUGFNUHRPUIFNXBOSUKXBULUFPUMUNOUOZMZXACUPP
      GOGUQPQZAWRXDSZAGOVDMZQZXEAGNXGLURUSOGUTVAAUAUDZDMZXIXCMZSZVBAODMZOXCMZSZ
      VBZAUBUDZDMZXQXCMZSZVBAXQULVEPZDMZYAXCMZSZVBAXFVBUAUBGOGXIOSZXLXOAYEXJXMX
      KXNXIODTXIOXCTVCVFXIXQSZXLXTAYFXJXRXKXSXIXQDTXIXQXCTVCVFXIYASZXLYDAYGXJYB
      XKYCXIYADTXIYAXCTVCVFXIGSZXLXFAYHXJWRXKXDXIGDTXIGXCTVCVFXPXHAXMUKXNABCDEF
      HIJKVGAXACXCEFHAXABNBWTVHIVIZJXCVJZVGVKVLXQWTQZAXTYDAYKXTYDVBXTYDAYKUGZXR
      XQBQZXBXQUFPCQZUGZFNUHZRPZXSYPRPZSXRXSYPRVPYLYBYQYCYRYLBCDEFXQHABNVQYKIVM
      ACNVQYKJVMZKYLXQXGNYKXQXGQAXQOGVNVOURVRZVSYLYCXSXQXAQZYNUGZFNUHZRPYRYLXAC
      XCEFXQHAXANVQYKYIVMYSYJYTVSYLUUCYPXSRYLUUBYOFNYLUUAYMYNYKUUAYMWGAUUAYMYKX
      QBWTVTWAVOWBWCWDWEVCWFWHWIWJWKAXACXCEFGGHYIJYJLXAWTVQABWTWLVLAGWMQGGVDMQA
      GLWNGWOWPWQWE $.
  $}

  ${
    $d m n p A $.  $d m n p B $.  $d m n p N $.  $d n ph $.
    smup1.a $e |- ( ph -> A C_ NN0 ) $.
    smup1.b $e |- ( ph -> B C_ NN0 ) $.
    smup1.n $e |- ( ph -> N e. NN0 ) $.
    $( Rewrite ~ smupp1 using only ` smul ` instead of the internal recursive
       function ` P ` .  (Contributed by Mario Carneiro, 20-Sep-2016.) $)
    smup1 $p |- ( ph -> ( ( A i^i ( 0 ..^ ( N + 1 ) ) ) smul B ) =
      ( ( ( A i^i ( 0 ..^ N ) ) smul B ) sadd
        { n e. NN0 | ( N e. A /\ ( n - N ) e. B ) } ) ) $=
      ( vp vm c1 co cn0 cv wcel cmin wa crab csad cc0 cpw cmpo wceq c0 cif cmpt
      caddc cseq cfv cfzo cin csmu eqid smupp1 peano2nn0 smupval oveq1d 3eqtr3d
      syl ) AEKUGLZIJMUAMINJNZBODNZVAPLCOQDMRSLUBDMVBTUCUDVBKPLUEUFTUHZUIEVCUIZ
      EBOVBEPLCOQDMRZSLBTUTUJLUKCULLBTEUJLUKCULLZVESLABCVCJDEIFGVCUMZHUNABCVCJD
      UTIFGVGAEMOUTMOHEUOUSUPAVDVFVESABCVCJDEIFGVGHUPUQUR $.
  $}

  ${
    $d k m n p A $.  $d k m n p B $.  $d i k m n p x N $.  $d i k n x ph $.
    $d i x P $.  $d i x Q $.
    smueq.a $e |- ( ph -> A C_ NN0 ) $.
    smueq.b $e |- ( ph -> B C_ NN0 ) $.
    smueq.n $e |- ( ph -> N e. NN0 ) $.
    ${
      smueq.p $e |- P = seq 0 ( ( p e. ~P NN0 , m e. NN0 |->
          ( p sadd { n e. NN0 | ( m e. A /\ ( n - m ) e. B ) } ) ) ,
        ( n e. NN0 |-> if ( n = 0 , (/) , ( n - 1 ) ) ) ) $.
      smueq.q $e |- Q = seq 0 ( ( p e. ~P NN0 , m e. NN0 |->
 ( p sadd { n e. NN0 | ( m e. A /\ ( n - m ) e. ( B i^i ( 0 ..^ N ) ) ) } ) ) ,
        ( n e. NN0 |-> if ( n = 0 , (/) , ( n - 1 ) ) ) ) $.
      $( Any element of a sequence multiplication only depends on the values of
         the argument sequences up to and including that point.  (Contributed
         by Mario Carneiro, 20-Sep-2016.) $)
      smueqlem $p |- ( ph -> ( ( A smul B ) i^i ( 0 ..^ N ) ) =
  ( ( ( A i^i ( 0 ..^ N ) ) smul ( B i^i ( 0 ..^ N ) ) ) i^i ( 0 ..^ N ) ) ) $=
        ( co cc0 cin wcel cn0 ineq1d vk vx vi csmu cfzo cv wa wb cfv wss adantr
        cuz elfzouz adantl nn0uz eleqtrrdi c1 caddc cle nn0zd peano2zd elfzolt2
        cz wbr clt nn0ltp1le syl2anc mpbid eluz2 syl3anbrc smuval2 cfz eleqtrdi
        eluzfz2b sylib wi fveq2 eqeq12d imbi2d c0 smup0 inss1 sstrid eqtr4d a1i
        wceq cmin crab oveq1 elfzonn0 smupp1 cpw wf smupf ffvelrn syl2an elpwid
        csad ssrab2 sadeq eqtrd elinel2 sseld cn elfzo0 simp2bi nn0red resubcld
        nnred nn0ge0d subge02d lelttrd jca w3a 3anass bitri syl5ibrcom pm4.71rd
        baib syld ancom elin bitr4i bitr2di anbi2d sylan2 inrab2 3eqtr4g oveq2d
        rabbidva 3eqtrd syl5ibr expcom a2d fzind2 mpcom eleq2d 3bitr3d smupval
        rbaib 3bitrd ex pm5.32rd 3bitr4g eqrdv ) AUABCUDOZPHUEOZQZBUUGQCUUGQZUD
        OZUUGQZAUAUFZUUFRZUULUUGRZUGUULUUJRZUUNUGUULUUHRUULUUKRAUUNUUMUUOAUUNUU
        MUUOUHAUUNUGZUUMUULHDUIZRZUULHEUIZRZUUOUUPBCDFGHUULIABSUJZUUNJUKZACSUJZ
        UUNKUKMUUPUULPULUIZSUUNUULUVDRAUULPHUMUNUOUPZUUPUULUQUROZVCRHVCRUVFHUSV
        DZHUVFULUIRUUPUULUUPUULUVEUTVAUUPHAHSRZUUNLUKZUTUUPUULHVEVDZUVGUUNUVJAU
        ULPHVBUNUUPUULSRUVHUVJUVGUHUVEUVIUULHVFVGVHUVFHVIVJVKUUPUULUUQUUGQZRZUU
        LUUSUUGQZRZUURUUTUUPUVKUVMUULAUVKUVMWFZUUNHPHVLORZAUVOAHUVDRZUVPAHSUVDL
        UOVMPHVNVOAUBUFZDUIZUUGQZUVREUIZUUGQZWFZVPAPDUIZUUGQZPEUIZUUGQZWFZVPZAU
        CUFZDUIZUUGQZUWJEUIZUUGQZWFZVPAUWJUQUROZDUIZUUGQZUWPEUIZUUGQZWFZVPAUVOV
        PUBUCHPHUVRPWFZUWCUWHAUXBUVTUWEUWBUWGUXBUVSUWDUUGUVRPDVQTUXBUWAUWFUUGUV
        RPEVQTVRVSUVRUWJWFZUWCUWOAUXCUVTUWLUWBUWNUXCUVSUWKUUGUVRUWJDVQTUXCUWAUW
        MUUGUVRUWJEVQTVRVSUVRUWPWFZUWCUXAAUXDUVTUWRUWBUWTUXDUVSUWQUUGUVRUWPDVQT
        UXDUWAUWSUUGUVRUWPEVQTVRVSUVRHWFZUWCUVOAUXEUVTUVKUWBUVMUXEUVSUUQUUGUVRH
        DVQTUXEUWAUUSUUGUVRHEVQTVRVSUWIUVQAUWDUWFUUGAUWDVTUWFABCDFGIJKMWAABUUIE
        FGIJAUUICSCUUGWBKWCZNWAWDTWEUWJUUGRZAUWOUXAAUXGUWOUXAVPUWOUXAAUXGUGZUWL
        UWJBRZGUFZUWJWGOZCRZUGZGSWHZUUGQZWROZUUGQZUWNUXOWROZUUGQZWFUWOUXPUXRUUG
        UWLUWNUXOWRWITUXHUWRUXQUWTUXSUXHUWRUWKUXNWROZUUGQUXQUXHUWQUXTUUGUXHBCDF
        GUWJIAUVAUXGJUKZAUVCUXGKUKZMUXGUWJSRZAUWJHWJZUNZWKTUXHUWKUXNHUXHUWKSASS
        WLZDWMUYCUWKUYFRUXGABCDFGIJKMWNUYDSUYFUWJDWOWPWQUXNSUJUXHUXMGSWSWEAUVHU
        XGLUKZWTXAUXHUWTUWMUXIUXKUUIRZUGZGSWHZWROZUUGQUWNUYJUUGQZWROZUUGQUXSUXH
        UWSUYKUUGUXHBUUIEFGUWJIUYAAUUISUJZUXGUXFUKNUYEWKTUXHUWMUYJHUXHUWMSASUYF
        EWMUYCUWMUYFRUXGABUUIEFGIJUXFNWNUYDSUYFUWJEWOWPWQUYJSUJUXHUYIGSWSWEUYGW
        TUXHUYMUXRUUGUXHUYLUXOUWNWRUXHUYIGSUUGQZWHUXMGUYOWHUYLUXOUXHUYIUXMGUYOU
        XJUYORUXHUXJUUGRZUYIUXMUHUXJSUUGXBUXHUYPUGZUYHUXLUXIUYQUXLUXKUUGRZUXLUG
        ZUYHUYQUXLUYRUYQUXLUXKSRZUYRUYQCSUXKUXHUVCUYPUYBUKXCUYQUYRUYTHXDRZUXKHV
        EVDZUGZUYQVUAVUBUYPVUAUXHUYPUXJSRZVUAUXJHVEVDZUXJHXEXFUNZUYQUXKUXJHUYQU
        XJUWJUYQUXJUYPVUDUXHUXJHWJUNXGZUYQUWJUXHUYCUYPUYEUKZXGZXHVUGUYQHVUFXIUY
        QPUWJUSVDUXKUXJUSVDUYQUWJVUHXJUYQUXJUWJVUGVUIXKVHUYPVUEUXHUXJPHVBUNXLXM
        UYRUYTVUCUYRUYTVUAVUBXNUYTVUCUGUXKHXEUYTVUAVUBXOXPXSXQXTXRUYSUXLUYRUGUY
        HUYRUXLYAUXKCUUGYBYCYDYEYFYJUYIGSUUGYGUXMGSUUGYGYHYITYKVRYLYMYNYOYPUKYQ
        UUNUVLUURUHAUVLUURUUNUULUUQUUGYBYTUNUUNUVNUUTUHAUVNUUTUUNUULUUSUUGYBYTU
        NYRUUPUUSUUJUULUUPBUUIEFGHIUVBAUYNUUNUXFUKNUVIYSYQUUAUUBUUCUULUUFUUGYBU
        ULUUJUUGYBUUDUUE $.
    $}

    $( Any element of a sequence multiplication only depends on the values of
       the argument sequences up to and including that point.  (Contributed by
       Mario Carneiro, 20-Sep-2016.) $)
    smueq $p |- ( ph -> ( ( A smul B ) i^i ( 0 ..^ N ) ) =
  ( ( ( A i^i ( 0 ..^ N ) ) smul ( B i^i ( 0 ..^ N ) ) ) i^i ( 0 ..^ N ) ) ) $=
      ( vp vm vn cn0 cv wcel cmin co wa crab csad cmpo cc0 cpw wceq c0 cif cmpt
      c1 cseq cfzo cin eqid smueqlem ) ABCHIKUAZKHLZILZBMZJLZUNNOZCMPJKQROSJKUP
      TUBUCUPUFNOUDUEZTUGZHIULKUMUOUQCTDUHOUIMPJKQROSURTUGZIJDHEFGUSUJUTUJUK $.
  $}

  ${
    $d k n x A $.  $d k n x B $.  $d x N $.  $d k n x ph $.
    smumullem.a $e |- ( ph -> A e. ZZ ) $.
    smumullem.b $e |- ( ph -> B e. ZZ ) $.
    smumullem.n $e |- ( ph -> N e. NN0 ) $.
    $( Lemma for ~ smumul .  (Contributed by Mario Carneiro, 22-Sep-2016.) $)
    smumullem $p |- ( ph ->
      ( ( ( bits ` A ) i^i ( 0 ..^ N ) ) smul ( bits ` B ) ) =
      ( bits ` ( ( A mod ( 2 ^ N ) ) x. B ) ) ) $=
      ( vn cn0 wcel cbits cfv cc0 cfzo co c2 cmul wceq c0 oveq2 vx vk csmu cexp
      cin cmo cv wi c1 caddc eqtrdi ineq2d in0 oveq1d wss bitsss smu02 ax-mp cc
      fzo0 2cn exp0 oveq2d fvoveq1d eqeq12d imbi2d zmod10 syl zcnd mul02d eqtrd
      cz fveq2d 0bits eqtr2di wa cmin crab csad oveq1 a1i simpr cif bitsinv1lem
      smup1 sylan adantr cn nnexpcld zmodcld nn0cnd nnnn0d 0nn0 sylancl adddird
      2nn mulcomd 3eqtrd nn0zd zmulcld sadadd syl2anc fveqeq2d bitsshft rabbidv
      ifcl ibar sylan9req mul01d wral intnanrd ralrimivw rabeq0 sylibr ifbothda
      wn 3eqtr4a 3eqtr2d syl5ibr expcom a2d nn0ind mpcom ) DIJABKLZMDNOZUEZCKLZ
      UCOZBPDUDOZUFOZCQOKLZRZGAYDMUAUGZNOZUEZYGUCOZBPYMUDOZUFOZCQOKLZRZUHASBUIU
      FOZCQOZKLZRZUHAYDMUBUGZNOZUEZYGUCOZBPUUEUDOZUFOZCQOZKLZRZUHAYDMUUEUIUJOZN
      OZUEZYGUCOZBPUUNUDOZUFOZCQOZKLZRZUHAYLUHUAUBDYMMRZYTUUDAUVCYPSYSUUCUVCYPS
      YGUCOZSUVCYOSYGUCUVCYOYDSUESUVCYNSYDUVCYNMMNOSYMMMNTMUTUKULYDUMUKUNYGIUOZ
      UVDSRCUPZYGUQURUKUVCYRUUACKQUVCYQUIBUFUVCYQPMUDOZUIYMMPUDTPUSJUVGUIRVAPVB
      URUKVCVDVEVFYMUUERZYTUUMAUVHYPUUHYSUULUVHYOUUGYGUCUVHYNUUFYDYMUUEMNTULUNU
      VHYRUUJCKQUVHYQUUIBUFYMUUEPUDTVCVDVEVFYMUUNRZYTUVBAUVIYPUUQYSUVAUVIYOUUPY
      GUCUVIYNUUOYDYMUUNMNTULUNUVIYRUUSCKQUVIYQUURBUFYMUUNPUDTVCVDVEVFYMDRZYTYL
      AUVJYPYHYSYKUVJYOYFYGUCUVJYNYEYDYMDMNTULUNUVJYRYJCKQUVJYQYIBUFYMDPUDTVCVD
      VEVFAUUCMKLZSAUUBMKAUUBMCQOMAUUAMCQABVLJZUUAMREBVGVHUNACACFVIZVJVKVMVNVOU
      UEIJZAUUMUVBAUVNUUMUVBUHUUMUVBAUVNVPZUUHUUEYDJZHUGUUEVQOYGJZVPZHIVRZVSOZU
      ULUVSVSOZRUUHUULUVSVSVTUVOUUQUVTUVAUWAUVOYDYGHUUEYDIUOUVOBUPWAUVEUVOUVFWA
      AUVNWBZWEUVOUVAUUKCUVPUUIMWCZQOZUJOZKLZUULUWDKLZVSOZUWAUVOUUTUWEKUVOUUTUU
      JUWCUJOZCQOUUKUWCCQOZUJOUWEUVOUUSUWICQAUVLUVNUUSUWIREUUEBWDWFUNUVOUUJUWCC
      UVOUUJUVOBUUIAUVLUVNEWGUVOPUUEPWHJUVOWPWAUWBWIZWJZWKUVOUWCUVOUUIIJMIJUWCI
      JUVOUUIUWKWLWMUVPUUIMIXFWNZWKZACUSJZUVNUVMWGZWOUVOUWJUWDUUKUJUVOUWCCUWNUW
      PWQVCWRVMUVOUUKVLJUWDVLJUWHUWFRUVOUUJCUVOUUJUWLWSACVLJZUVNFWGZWTUVOCUWCUW
      RUVOUWCUWMWSWTUUKUWDXAXBUVOUWGUVSUULVSUVPCUUIQOZKLZUVSRCMQOZKLZUVSRUWGUVS
      RUVOUUIMUUIUWCRUWSUWDUVSKUUIUWCCQTXCMUWCRUXAUWDUVSKMUWCCQTXCUVOUVPUWTUVQH
      IVRZUVSAUWQUVNUXCUWTRFCHUUEXDWFUVPUVQUVRHIUVPUVQXGXEXHUVOUVPXPZVPZUVKSUXB
      UVSVNUXEUXAMKUXECUVOUWOUXDUWPWGXIVMUXEUVRXPZHIXJUVSSRUXEUXFHIUXEUVPUVQUVO
      UXDWBXKXLUVRHIXMXNXQXOVCXRVEXSXTYAYBYC $.
  $}

  ${
    $d k A $.  $d k B $.
    $( For sequences that correspond to valid integers, the sequence
       multiplication function produces the sequence for the product.  This is
       effectively a proof of the correctness of the multiplication process,
       implemented in terms of logic gates for ~ df-sad , whose correctness is
       verified in ~ sadadd .

       Outside this range, the sequences cannot be representing integers, but
       the ` smul ` function still "works".  This extended function is best
       interpreted in terms of the ring structure of the 2-adic integers.
       (Contributed by Mario Carneiro, 22-Sep-2016.) $)
    smumul $p |- ( ( A e. ZZ /\ B e. ZZ ) ->
      ( ( bits ` A ) smul ( bits ` B ) ) = ( bits ` ( A x. B ) ) ) $=
      ( cz wcel wa cbits cfv csmu co cn0 wss bitsss a1i cc0 c1 cin wceq syl2anc
      c2 cmo vk cmul cv wi smucl mp2an sseli caddc cfzo cexp simpll simplr 1nn0
      wb simpr nn0addcld smumullem ineq1d cn 2nn nnexpcld zmodcld nn0zd zmulcld
      bitsmod eqtr4d inass inidm ineq2i eqtri oveq1i ineq1i inss1 smueq 3eqtr4a
      sstrid nnrpd crp zred modabs2 eqidd modmul12d fveq2d 3eqtr3d eqtrd eleq2d
      cr elin 3bitr3g cfz cuz nn0uz eleqtrdi eluzfz2b sylib fzval3 syl biantrud
      eleqtrd 3bitr4d ex pm5.21ndd eqrdv ) ACDZBCDZEZUAAFGZBFGZHIZABUBIZFGZXFUA
      UCZJDZXLXIDZXLXKDZXNXMUDXFXIJXLXGJKZXHJKZXIJKALZBLZXGXHUEUFUGMXOXMUDXFXKJ
      XLXJLUGMXFXMXNXOUNXFXMEZXNXLNXLOUHIZUIIZDZEZXOYCEZXNXOXTXLXIYBPZDXLXKYBPZ
      DYDYEXTYFYGXLXTYFXJSYAUJIZTIZFGZYGXTXGYBPZXHHIZYBPZAYHTIZBUBIZYHTIZFGZYFY
      JXTYMYOFGZYBPZYQXTYLYRYBXTABYAXDXEXMUKZXDXEXMULZXTXLOXFXMUOZOJDXTUMMUPZUQ
      URXTYOCDYAJDZYQYSQXTYNBXTYNXTAYHYTXTSYASUSDXTUTMUUCVAZVBVCZUUAVDUUCYAYOVE
      RVFXTYKYBPZXHYBPZHIZYBPYKUUHHIZYBPYMYFUUIUUJYBUUGYKUUHHUUGXGYBYBPZPYKXGYB
      YBVGUUKYBXGYBVHVIVJVKVLXTYKXHYAXTYKXGJXGYBVMXPXTXRMZVPXQXTXSMZUUCVNXTXGXH
      YAUULUUMUUCVNVOXTYPYIFXTYNABBYHUUFYTUUAUUAXTYHUUEVQZXTAWGDYHVRDYNYHTIYNQX
      TAYTVSUUNAYHVTRXTBYHTIWAWBWCWDXTXJCDUUDYJYGQXTABYTUUAVDUUCYAXJVERWEWFXLXI
      YBWHXLXKYBWHWIXTYCXNXTXLNXLWJIZYBXTXLNWKGZDXLUUODXTXLJUUPUUBWLWMNXLWNWOXT
      XLCDUUOYBQXTXLUUBVCNXLWPWQWSZWRXTYCXOUUQWRWTXAXBXC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The greatest common divisor operator
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c gcd $.

  $( Extend the definition of a class to include the greatest common divisor
     operator. $)
  cgcd $a class gcd $.

  ${
    $d n x y $.
    $( Define the ` gcd ` operator.  For example, ` ( -u 6 gcd 9 ) = 3 `
       ( ~ ex-gcd ).  For an alternate definition, based on the definition in
       [ApostolNT] p. 15, see ~ dfgcd2 .  (Contributed by Paul Chapman,
       21-Mar-2011.) $)
    df-gcd $a |- gcd = ( x e. ZZ , y e. ZZ |-> if ( ( x = 0 /\ y = 0 ) , 0 ,
             sup ( { n e. ZZ | ( n || x /\ n || y ) } , RR , < ) ) ) $.
  $}

  ${
    $d M n x y $.  $d N n x y $.
    $( The value of the ` gcd ` operator. ` ( M gcd N ) ` is the greatest
       common divisor of ` M ` and ` N ` .  If ` M ` and ` N ` are both ` 0 ` ,
       the result is defined conventionally as ` 0 ` .  (Contributed by Paul
       Chapman, 21-Mar-2011.)  (Revised by Mario Carneiro, 10-Nov-2013.) $)
    gcdval $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M gcd N ) =
              if ( ( M = 0 /\ N = 0 ) , 0 ,
                   sup ( { n e. ZZ | ( n || M /\ n || N ) } , RR , < ) ) ) $=
      ( vx vy cz cv cc0 wceq wa cdvds wbr crab clt csup cif eqeq1 anbi1d breq2
      cr cgcd rabbidv supeq1d ifbieq2d anbi2d df-gcd c0ex ltso supex ifex ovmpo
      ) DEBCFFDGZHIZEGZHIZJZHAGZULKLZUQUNKLZJZAFMZTNOZPBHIZCHIZJZHUQBKLZUQCKLZJ
      ZAFMZTNOZPUAVCUOJZHVFUSJZAFMZTNOZPULBIZUPVKVBVNHVOUMVCUOULBHQRVOTVAVMNVOU
      TVLAFVOURVFUSULBUQKSRUBUCUDUNCIZVKVEVNVJHVPUOVDVCUNCHQUEVPTVMVINVPVLVHAFV
      PUSVGVFUNCUQKSUEUBUCUDDEAUFVEHVJUGTVINUHUIUJUK $.
  $}

  $( The value, by convention, of the ` gcd ` operator when both operands are
     0.  (Contributed by Paul Chapman, 21-Mar-2011.) $)
  gcd0val $p |- ( 0 gcd 0 ) = 0 $=
    ( vn cc0 cgcd co wceq wa cv cdvds wbr cz crab cr clt csup cif wcel 0z mp2an
    gcdval eqid iftrue eqtri ) BBCDZBBEZUDFZBAGBHIZUFFAJKLMNZOZBBJPZUIUCUHEQQAB
    BSRUDUDUHBEBTZUJUEBUGUARUB $.

  ${
    $d M n $.  $d N n $.
    $( The value of the ` gcd ` operator when at least one operand is nonzero.
       (Contributed by Paul Chapman, 21-Mar-2011.) $)
    gcdn0val $p |- ( ( ( M e. ZZ /\ N e. ZZ ) /\ -. ( M = 0 /\ N = 0 ) ) ->
        ( M gcd N ) = sup ( { n e. ZZ | ( n || M /\ n || N ) } , RR , < ) ) $=
      ( cz wcel wa cc0 wceq wn cgcd co cv cdvds wbr crab cr clt csup cif gcdval
      iffalse sylan9eq ) BDECDEFBGHCGHFZIBCJKUCGALZBMNUDCMNFADOPQRZSUEABCTUCGUE
      UAUB $.
  $}

  ${
    $d A n w x y z $.  $d S w x $.
    gcdcllem1.1 $e |- S = { z e. ZZ | A. n e. A z || n } $.
    $( Lemma for ~ gcdn0cl , ~ gcddvds and ~ dvdslegcd .  (Contributed by Paul
       Chapman, 21-Mar-2011.) $)
    gcdcllem1 $p |- ( ( A C_ ZZ /\ E. n e. A n =/= 0 ) ->
                      ( S =/= (/) /\ E. x e. ZZ A. y e. S y <_ x ) ) $=
      ( vw cz cv cc0 wa cle wbr wral c1 wcel cdvds wceq wi wss wne wrex c0 ssel
      1z 1dvds syl6 ralrimiv breq1 ralbidv elrab2 biimpri sylancr ne0d cbvrexvw
      adantr neeq1 cabs cfv simprbi simplbi ssel2 dvdsleabs 3expia sylan2 com23
      anassrs ralrimiva ancoms r19.26 pm3.35 ralimi sylbir syl2an2 fveq2 breq2d
      imbi12d cbvralvw ralbii ralcom r19.21v 3bitri sylib cn0 nn0abscl nn0zd wb
      syl breq2 adantl rspcedv imim2d ralimdva mpd r19.23v imp sylan2b jca ) DI
      UAZFJZKUBZFDUCZLEUDUBZBJZAJZMNZBEOZAIUCZWTXDXCWTEPWTPIQZPXARNZFDOZPEQZUFW
      TXKFDWTXADQZXAIQZXKDIXAUEXAUGUHUIXMXJXLLCJZXARNZFDOZXLCPIEXPPSXQXKFDXPPXA
      RUJUKGULUMUNUOUQXCWTHJZKUBZHDUCZXIXBXTFHDXAXSKURZUPWTYAXIWTXTXITZHDOZYAXI
      TWTXTXEXSUSUTZMNZBEOZTZHDOZYDWTXBXEXAUSUTZMNZTZFDOZBEOZYIWTYMBEXEEQZXEXAR
      NZFDOZWTYPYLTZFDOZYMYOXEIQZYQXRYQCXEIEXPXESXQYPFDXPXEXARUJUKGULZVAYOWTYTY
      SYOYTYQUUAVBYTWTYSYTWTLZYRFDUUBXNLXBYPYKYTWTXNXBYPYKTZTZWTXNLYTXOUUDDIXAV
      CYTXOXBUUCXEXAVDVEVFVHVGVIVJVFYQYSLYPYRLZFDOYMYPYRFDVKUUEYLFDYPYLVLVMVNVO
      VIYNXTYFTZHDOZBEOUUFBEOZHDOYIYMUUGBEYLUUFFHDXAXSSZXBXTYKYFYBUUIYJYEXEMXAX
      SUSVPVQVRVSVTUUFBHEDWAUUHYHHDXTYFBEWBVTWCWDWTYHYCHDWTXSDQLZYGXIXTUUJXHYGA
      YEIUUJYEUUJXSIQYEWEQDIXSVCXSWFWIWGXFYESZXHYGWHUUJUUKXGYFBEXFYEXEMWJUKWKWL
      WMWNWOXTXIHDWPWDWQWRWS $.
  $}

  ${
    $d x z K $.  $d n x y z M $.  $d n x y z N $.  $d x y R $.  $d x y S $.
    gcdcllem2.1 $e |- S = { z e. ZZ | A. n e. { M , N } z || n } $.
    gcdcllem2.2 $e |- R = { z e. ZZ | ( z || M /\ z || N ) } $.
    $( Lemma for ~ gcdn0cl , ~ gcddvds and ~ dvdslegcd .  (Contributed by Paul
       Chapman, 21-Mar-2011.) $)
    gcdcllem2 $p |- ( ( M e. ZZ /\ N e. ZZ ) -> R = S ) $=
      ( vx cz wcel wa cv cdvds wbr weq breq1 elrab2 wral breq2 cpr ralprg eqrdv
      anbi12d ralbidv anbi2d syl5bb bitr4id ) EJKFJKLZIBCUIIMZBKUJJKZUJENOZUJFN
      OZLZLZUJCKZAMZENOZUQFNOZLUNAUJJBAIPZURULUSUMUQUJENQUQUJFNQUDHRUPUKUJDMZNO
      ZDEFUAZSZLUIUOUQVANOZDVCSVDAUJJCUTVEVBDVCUQUJVANQUEGRUIVDUNUKVBULUMDEFJJV
      AEUJNTVAFUJNTUBUFUGUHUC $.

    $( Lemma for ~ gcdn0cl , ~ gcddvds and ~ dvdslegcd .  (Contributed by Paul
       Chapman, 21-Mar-2011.) $)
    gcdcllem3 $p |- ( ( ( M e. ZZ /\ N e. ZZ ) /\ -. ( M = 0 /\ N = 0 ) ) ->
        ( sup ( R , RR , < ) e. NN /\
          ( sup ( R , RR , < ) || M /\ sup ( R , RR , < ) || N ) /\
          ( ( K e. ZZ /\ K || M /\ K || N ) -> K <_ sup ( R , RR , < ) ) ) ) $=
      ( vy vx cz wcel wa cc0 wceq cdvds wbr c1 breq1 wn cr clt cn w3a cle wi cv
      csup ssrab3 c0 wne wral wrex cpr wss prssi wo neorian prid1g neeq1 rspcev
      sylan adantlr prid2g adantll jaodan sylan2br gcdcllem1 syl2an2r gcdcllem2
      wb raleq rexbidv anbi12d syl adantr mpbird suprzcl2 mp3an1 sselid anim12i
      simprd 1dvds 1z elrab2 mpbiran sylibr suprzub mp3an2i elnnz1 crab cbvrabv
      sylanbrc eqtri sylib biimpri 3impb 3expia mpan syl2im 3jca ) FLMZGLMZNZFO
      PGOPNUAZNZBUBUCUIZUDMZXHFQRZXHGQRZNZELMZEFQRZEGQRZUEZEXHUFRZUGXGXHLMZSXHU
      FRZXIXGBLXHAUHZFQRZXTGQRZNZALBIUJZXGBUKULZJUHKUHZUFRZJBUMZKLUNZNZXHBMZXGY
      JCUKULZYGJCUMZKLUNZNZXEFGUOZLUPXFDUHZOULZDYPUNZYOFGLUQXFXEFOULZGOULZURYSF
      OGOUSXEYTYSUUAXCYTYSXDXCFYPMYTYSFGLUTYRYTDFYPYQFOVAVBVCVDXDUUAYSXCXDGYPMU
      UAYSFGLVEYRUUADGYPYQGOVAVBVCVFVGVHKJAYPCDHVIVJXEYJYOVLZXFXEBCPZUUBABCDFGH
      IVKUUCYEYLYIYNBCUKVAUUCYHYMKLYGJBCVMVNVOVPVQVRZBLUPZYEYIYKYDKJBVSVTVPZWAU
      UEXGYISBMZXSYDXGYEYIUUDWCZXEUUGXFXESFQRZSGQRZNZUUGXCUUIXDUUJFWDGWDWBUUGSL
      MUUKWEYCUUKASLBXTSPYAUUIYBUUJXTSFQTXTSGQTVOIWFWGWHVQKJBSWIWJXHWKWNXGXRXLX
      GYKXRXLNUUFYFFQRZYFGQRZNZXLKXHLBYFXHPUULXJUUMXKYFXHFQTYFXHGQTVOBYCALWLUUN
      KLWLIYCUUNAKLXTYFPYAUULYBUUMXTYFFQTXTYFGQTVOWMWOWFWPWCXGYIXPEBMZXQUUHXMXN
      XOUUOUUOXMXNXONZNYCUUPAELBXTEPYAXNYBXOXTEFQTXTEGQTVOIWFWQWRUUEYIUUOXQUGYD
      UUEYIUUOXQKJBEWIWSWTXAXB $.
  $}

  ${
    $d K n $.  $d M n z $.  $d N n z $.
    $( Closure of the ` gcd ` operator.  (Contributed by Paul Chapman,
       21-Mar-2011.) $)
    gcdn0cl $p |- ( ( ( M e. ZZ /\ N e. ZZ ) /\ -. ( M = 0 /\ N = 0 ) ) ->
                    ( M gcd N ) e. NN ) $=
      ( vn cK vz cz wcel wa cc0 wceq wn cgcd co cv cdvds wbr crab cr cn eqid wi
      clt csup gcdn0val w3a cle cpr wral gcdcllem3 simp1d eqeltrd ) AFGBFGHAIJB
      IJHKHZABLMCNZAOPUMBOPHCFQZRUBUCZSCABUDULUOSGUOAOPUOBOPHDFGDAOPDBOPUEDUOUF
      PUACUNUMENOPEABUGUHCFQZEDABUPTUNTUIUJUK $.

    $( The gcd of two integers divides each of them.  (Contributed by Paul
       Chapman, 21-Mar-2011.) $)
    gcddvds $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
                    ( ( M gcd N ) || M /\ ( M gcd N ) || N ) ) $=
      ( vn cK vz cz wcel wa cc0 wceq cgcd cdvds wbr breq2 breq1d anbi12d mpbird
      co cv crab dvds0 ax-mp bi2anan9 anidm bitrdi mpbiri oveq12 gcd0val eqtrdi
      0z adantl wn cr clt csup cn w3a cle wi cpr wral gcdcllem3 simp2d gcdn0val
      eqid pm2.61dan ) AFGBFGHZAIJZBIJZHZABKRZALMZVKBLMZHZVJVNVGVJVNIALMZIBLMZH
      ZVJVQIILMZIFGVRUJIUAUBVJVQVRVRHVRVHVOVRVIVPVRAIILNBIILNUCVRUDUEUFVJVLVOVM
      VPVJVKIALVJVKIIKRIAIBIKUGUHUIZOVJVKIBLVSOPQUKVGVJULHZVNCSZALMWABLMHCFTZUM
      UNUOZALMZWCBLMZHZVTWCUPGWFDFGDALMDBLMUQDWCURMUSCWBWAESLMEABUTVACFTZEDABWG
      VEWBVEVBVCVTVLWDVMWEVTVKWCALCABVDZOVTVKWCBLWHOPQVF $.

    $( An integer which divides both operands of the ` gcd ` operator is
       bounded by it.  (Contributed by Paul Chapman, 21-Mar-2011.) $)
    dvdslegcd $p |- ( ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) /\
                        -. ( M = 0 /\ N = 0 ) ) ->
                      ( ( K || M /\ K || N ) -> K <_ ( M gcd N ) ) ) $=
      ( vn vz cz wcel w3a cc0 wceq wa wn cdvds wbr cle wi cv crab eqid com12 co
      cgcd cr clt csup cn cpr wral gcdcllem3 simp3d gcdn0val breq2d 3expb exp4b
      sylibrd com23 impcom 3impb imp ) AFGZBFGZCFGZHBIJCIJKLZABMNZACMNZKZABCUBU
      AZONZPZUTVAVBVCVIPZVAVBKZUTVJVKVCUTVIVKVCUTVFVHUTVFKVKVCKZVHUTVDVEVLVHPVL
      UTVDVEHZVHVLVMADQZBMNVNCMNKDFRZUCUDUEZONZVHVLVPUFGVPBMNVPCMNKVMVQPDVOVNEQ
      MNEBCUGUHDFRZEABCVRSVOSUIUJVLVGVPAODBCUKULUOTUMTUNUPUQURUS $.
  $}

  $( A positive integer which divides both positive operands of the ` gcd `
     operator is bounded by it.  (Contributed by AV, 9-Aug-2020.) $)
  nndvdslegcd $p |- ( ( K e. NN /\ M e. NN /\ N e. NN )
                      -> ( ( K || M /\ K || N ) -> K <_ ( M gcd N ) ) ) $=
    ( cn wcel w3a cz cc0 wceq wa wn cdvds wbr cgcd co cle nnz 3anim123i nnne0
    wi neneqd 3ad2ant2 intnanrd dvdslegcd syl2anc ) ADEZBDEZCDEZFZAGEZBGEZCGEZF
    BHIZCHIZJKABLMACLMJABCNOPMTUFUJUGUKUHULAQBQCQRUIUMUNUGUFUMKUHUGBHBSUAUBUCAB
    CUDUE $.

  $( Closure of the ` gcd ` operator.  (Contributed by Paul Chapman,
     21-Mar-2011.) $)
  gcdcl $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M gcd N ) e. NN0 ) $=
    ( cz wcel wa cc0 wceq cgcd co oveq12 gcd0val eqtrdi 0nn0 eqeltrdi adantl wn
    cn0 gcdn0cl nnnn0d pm2.61dan ) ACDBCDEZAFGBFGEZABHIZQDZUBUDUAUBUCFQUBUCFFHI
    FAFBFHJKLMNOUAUBPEUCABRST $.

  $( Closure of the ` gcd ` operator.  (Contributed by Thierry Arnoux,
     2-Feb-2020.) $)
  gcdnncl $p |- ( ( M e. NN /\ N e. NN ) -> ( M gcd N ) e. NN ) $=
    ( cn wcel wa cz cc0 wceq wn cgcd co simpl nnzd simpr nnne0d intnand gcdn0cl
    neneqd syl21anc ) ACDZBCDZEZAFDBFDAGHZBGHZEIABJKCDUBATUALMUBBTUANZMUBUDUCUB
    BGUBBUEORPABQS $.

  ${
    gcdcld.1 $e |- ( ph -> M e. ZZ ) $.
    gcdcld.2 $e |- ( ph -> N e. ZZ ) $.
    $( Closure of the ` gcd ` operator.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    gcdcld $p |- ( ph -> ( M gcd N ) e. NN0 ) $=
      ( cz wcel cgcd co cn0 gcdcl syl2anc ) ABFGCFGBCHIJGDEBCKL $.
  $}

  $( Closure of the ` gcd ` operator if the second operand is not 0.
     (Contributed by AV, 10-Jul-2021.) $)
  gcd2n0cl $p |- ( ( M e. ZZ /\ N e. ZZ /\ N =/= 0 ) -> ( M gcd N ) e. NN ) $=
    ( cz wcel cc0 wne w3a wa wceq wn cgcd co neneq intnand anim2i 3impa gcdn0cl
    cn syl ) ACDZBCDZBEFZGTUAHZAEIZBEIZHJZHZABKLRDTUAUBUGUBUFUCUBUEUDBEMNOPABQS
    $.

  ${
    $d A n $.  $d B n $.
    $( An integer is the product of an integer and the gcd of it and another
       integer.  (Contributed by AV, 11-Jul-2021.) $)
    zeqzmulgcd $p |- ( ( A e. ZZ /\ B e. ZZ )
                       -> E. n e. ZZ A = ( n x. ( A gcd B ) ) ) $=
      ( cz wcel wa cgcd co cdvds cv cmul wceq wrex gcddvds wb gcdcl nn0zd simpl
      wbr divides syl2anc eqcom a1i rexbidv biimpd sylbid adantrd mpd ) ADEZBDE
      ZFZABGHZAISZULBISZFACJULKHZLZCDMZABNUKUMUQUNUKUMUOALZCDMZUQUKULDEUIUMUSOU
      KULABPQUIUJRCULATUAUKUSUQUKURUPCDURUPOUKUOAUBUCUDUEUFUGUH $.
  $}

  $( An integer divided by the gcd of it and a nonzero integer is an integer.
     (Contributed by AV, 11-Jul-2021.) $)
  divgcdz $p |- ( ( A e. ZZ /\ B e. ZZ /\ B =/= 0 )
                  -> ( A / ( A gcd B ) ) e. ZZ ) $=
    ( cz wcel cc0 wne w3a cgcd co cdvds cdiv wa gcddvds 3adant3 simpld gcd2n0cl
    wbr wb cn syl nnz nnne0 jca simp1 df-3an sylanbrc dvdsval2 mpbid ) ACDZBCDZ
    BEFZGZABHIZAJQZAUMKICDZULUNUMBJQZUIUJUNUPLUKABMNOULUMCDZUMEFZUIGZUNUORULUQU
    RLZUIUSULUMSDZUTABPVAUQURUMUAUMUBUCTUIUJUKUDUQURUIUEUFUMAUGTUH $.

  ${
    $d n x y $.
    $( Domain and codomain of the ` gcd ` operator.  (Contributed by Paul
       Chapman, 31-Mar-2011.)  (Revised by Mario Carneiro, 16-Nov-2013.) $)
    gcdf $p |- gcd : ( ZZ X. ZZ ) --> NN0 $=
      ( vx vy vn cv cc0 wceq wa cdvds wbr cz crab cr clt csup cif cn0 wcel wral
      cxp cgcd wf co gcdval gcdcl eqeltrrd rgen2 df-gcd fmpo mpbi ) ADZEFBDZEFG
      ECDZUJHIULUKHIGCJKLMNOZPQZBJRAJRJJSPTUAUNABJJUJJQUKJQGUJUKTUBUMPCUJUKUCUJ
      UKUDUEUFABJJUMPTABCUGUHUI $.
  $}

  ${
    $d M n $.  $d N n $.
    $( The ` gcd ` operator is commutative.  Theorem 1.4(a) in [ApostolNT]
       p. 16.  (Contributed by Paul Chapman, 21-Mar-2011.) $)
    gcdcom $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M gcd N ) = ( N gcd M ) ) $=
      ( vn cz wcel wa cc0 wceq cv cdvds wbr crab cr clt csup cif cgcd co gcdval
      ancom rabbii supeq1i ifbieq2i ancoms 3eqtr4a ) ADEZBDEZFAGHZBGHZFZGCIZAJK
      ZUKBJKZFZCDLZMNOZPUIUHFZGUMULFZCDLZMNOZPZABQRBAQRZUJUQUPUTGUHUITMUOUSNUNU
      RCDULUMTUAUBUCCABSUGUFVBVAHCBASUDUE $.
  $}

  ${
    gcdcomd.m $e |- ( ph -> M e. ZZ ) $.
    gcdcomd.n $e |- ( ph -> N e. ZZ ) $.
    $( The ` gcd ` operator is commutative, deduction version.  (Contributed by
       SN, 24-Aug-2024.) $)
    gcdcomd $p |- ( ph -> ( M gcd N ) = ( N gcd M ) ) $=
      ( cz wcel cgcd co wceq gcdcom syl2anc ) ABFGCFGBCHICBHIJDEBCKL $.
  $}

  $( A positive integer divided by the gcd of it and another integer is a
     positive integer.  (Contributed by AV, 10-Jul-2021.) $)
  divgcdnn $p |- ( ( A e. NN /\ B e. ZZ ) -> ( A / ( A gcd B ) ) e. NN ) $=
    ( cn wcel cz wa cgcd co cdvds wbr cdiv nnz anim1i gcddvds simpld syl wb cc0
    wceq wn nnne0 neneqd adantr intnanrd gcdn0cl syl2anc nndivdvds syldan mpbid
    ) ACDZBEDZFZABGHZAIJZAUMKHCDZULAEDZUKFZUNUJUPUKALMZUQUNUMBIJABNOPUJUKUMCDZU
    NUOQULUQARSZBRSZFTUSURULUTVAUJUTTUKUJARAUAUBUCUDABUEUFAUMUGUHUI $.

  $( A positive integer divided by the gcd of it and another integer is a
     positive integer.  (Contributed by AV, 10-Jul-2021.) $)
  divgcdnnr $p |- ( ( A e. NN /\ B e. ZZ ) -> ( A / ( B gcd A ) ) e. NN ) $=
    ( cn wcel cz wa cgcd co cdiv wceq nnz gcdcom eqcomd oveq2d divgcdnn eqeltrd
    sylan ) ACDZBEDZFZABAGHZIHAABGHZIHCTUAUBAITUBUARAEDSUBUAJAKABLQMNABOP $.

  $( The gcd of two integers is zero iff they are both zero.  (Contributed by
     Paul Chapman, 21-Mar-2011.) $)
  gcdeq0 $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
                 ( ( M gcd N ) = 0 <-> ( M = 0 /\ N = 0 ) ) ) $=
    ( cz wcel wa cgcd co cc0 wceq wn wne gcdn0cl nnne0d necon4bd oveq12 gcd0val
    ex eqtrdi impbid1 ) ACDBCDEZABFGZHIAHIBHIEZTUBUAHTUBJZUAHKTUCEUAABLMQNUBUAH
    HFGHAHBHFOPRS $.

  $( The gcd of two integers is positive (nonzero) iff they are not both zero.
     (Contributed by Paul Chapman, 22-Jun-2011.) $)
  gcdn0gt0 $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
                   ( -. ( M = 0 /\ N = 0 ) <-> 0 < ( M gcd N ) ) ) $=
    ( cz wcel wa cc0 cgcd co clt wbr wne wceq wn cn0 wb gcdcl cr cle 0re nn0re
    nn0ge0 leltne mp3an2i syl gcdeq0 necon3abid bitr2d ) ACDBCDEZFABGHZIJZUIFKZ
    AFLBFLEZMUHUINDZUJUKOZABPFQDUMUIQDFUIRJUNSUITUIUAFUIUBUCUDUHULUIFABUEUFUG
    $.

  $( The gcd of 0 and an integer is the integer's absolute value.  (Contributed
     by Paul Chapman, 21-Mar-2011.) $)
  gcd0id $p |- ( N e. ZZ -> ( 0 gcd N ) = ( abs ` N ) ) $=
    ( cz wcel cc0 cgcd co cabs cfv wceq wa cle wbr cdvds 0z mpan adantr wi zred
    mpd wb gcd0val oveq2 fveq2 abs0 eqtrdi 3eqtr4a adantl wne gcddvds cn0 gcdcl
    simprd nn0zd dvdsleabs syl3an1 3anidm12 zabscl dvds0 iddvds absdvdsb anidms
    syl mpbid jca wn biantrur necon3abii w3a dvdslegcd ex mp3an2 mpancom syl5bi
    eqid imp letri3d mpbir2and pm2.61dane ) ABCZDAEFZAGHZIZADADIZWBVSWCDDEFDVTW
    AUAADDEUBWCWADGHDADGUCUDUEUFUGVSADUHZJZWBVTWAKLZWAVTKLZWEVTAMLZWFVSWHWDVSVT
    DMLZWHDBCZVSWIWHJNDAUIOULPVSWDWHWFQZVSVTBCVSWDWKVSVTWJVSVTUJCNDAUKOUMZVTAUN
    UOUPSWEWADMLZWAAMLZJZWGVSWOWDVSWMWNVSWABCZWMAUQZWAURVBVSAAMLZWNAUSVSWRWNTAA
    UTVAVCVDPVSWDWOWGQZWDDDIZWCJZVEZVSWSXAADWTWCDVNVFVGWPVSXBWSQZWQWPWJVSXCNWPW
    JVSVHXBWSWADAVIVJVKVLVMVOSVSWBWFWGJTWDVSVTWAVSVTWLRVSWAWQRVPPVQVR $.

  $( The gcd of an integer and 0 is the integer's absolute value.  Theorem
     1.4(d)2 in [ApostolNT] p. 16.  (Contributed by Paul Chapman,
     31-Mar-2011.) $)
  gcdid0 $p |- ( N e. ZZ -> ( N gcd 0 ) = ( abs ` N ) ) $=
    ( cz wcel cc0 cgcd co cabs cfv wceq 0z gcdcom mpan gcd0id eqtr3d ) ABCZDAEF
    ZADEFZAGHDBCOPQIJDAKLAMN $.

  $( The gcd of a nonnegative integer with 0 is itself.  (Contributed by Paul
     Chapman, 31-Mar-2011.) $)
  nn0gcdid0 $p |- ( N e. NN0 -> ( N gcd 0 ) = N ) $=
    ( cn0 wcel cc0 cgcd co cabs cfv cz wceq nn0z gcdid0 syl nn0re nn0ge0 absidd
    eqtrd ) ABCZADEFZAGHZARAICSTJAKALMRAANAOPQ $.

  $( Negating one operand of the ` gcd ` operator does not alter the result.
     (Contributed by Paul Chapman, 21-Mar-2011.) $)
  gcdneg $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M gcd -u N ) = ( M gcd N ) ) $=
    ( cz wcel wa cgcd co cc0 wceq oveq12 adantl wb anbi2d cle wbr cdvds gcddvds
    wn gcdcl wi cneg negeq0d syl6bi eqtr4d nn0zd dvdsnegb sylancom mpbid notbid
    zcn imp simpl znegcl dvdslegcd ex syl3anc sylbid com12 impcom sylan2 mpbird
    w3a mpdi simpr zred letri3d adantr mpbir2and pm2.61dan eqcomd ) ACDZBCDZEZA
    BFGZABUAZFGZVMAHIZBHIZEZVNVPIZVMVSEVNHHFGZVPVSVNWAIVMAHBHFJKVMVSVPWAIZVMVSV
    QVOHIZEZWBVLVSWDLVKVLVRWCVQVLBBUJUBMKZAHVOHFJUCUKUDVMVSRZEVTVNVPNOZVPVNNOZW
    FVMWGWFVMVNAPOZVNVOPOZEZWGVMWIVNBPOZEWKABQVMWLWJWIVKVLVNCDZWLWJLVMVNABSUEZV
    NBUFUGMUHVMWFWKWGTZVMWFWDRZWOVMVSWDWEUIVMWMVKVOCDZWPWOTWNVKVLULZVLWQVKBUMZK
    WMVKWQVBWPWOVNAVOUNUOUPUQURVCUSWFVMWHWFVMVPAPOZVPBPOZEZWHVMXBWTVPVOPOZEZVLV
    KWQXDWSAVOQUTVMXAXCWTVKVLVPCDZXAXCLVLVKWQXEWSVKWQEVPAVOSUEUTZVPBUFUGMVAVMWF
    XBWHTZVMXEVKVLWFXGTXFWRVKVLVDXEVKVLVBWFXGVPABUNUOUPURVCUSVMVTWGWHELWFVMVNVP
    VMVNWNVEVMVPXFVEVFVGVHVIVJ $.

  $( Negating one operand of the ` gcd ` operator does not alter the result.
     (Contributed by Paul Chapman, 22-Jun-2011.) $)
  neggcd $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( -u M gcd N ) = ( M gcd N ) ) $=
    ( cz wcel wa cneg cgcd co wceq gcdneg ancoms znegcl gcdcom sylan 3eqtr4d )
    ACDZBCDZEBAFZGHZBAGHZRBGHZABGHQPSTIBAJKPRCDQUASIALRBMNABMO $.

  ${
    gcdaddmlem.1 $e |- K e. ZZ $.
    gcdaddmlem.2 $e |- M e. ZZ $.
    gcdaddmlem.3 $e |- N e. ZZ $.
    $( Lemma for ~ gcdaddm .  (Contributed by Paul Chapman, 31-Mar-2011.) $)
    gcdaddmlem $p |- ( M gcd N ) = ( M gcd ( ( K x. M ) + N ) ) $=
      ( cc0 wceq cmul co caddc wa cgcd wbr cdvds cz wcel mp2an wi ax-mp gcddvds
      wn cle simpli c1 cn0 gcdcl nn0zi w3a 1z dvds2ln mpanl12 mp3an zcn mulid2i
      cc oveq2i breqtri zmulcl zaddcl dvdslegcd ex mp2ani cneg mulneg1i oveq12i
      znegcl mulcli negcli negidi addcomli oveq1i addassi addid2i 3eqtr3i eqtri
      anim12i zrei letri3i sylibr wo pm4.57 mul01i eqtrdi oveq1d eqeq1d pm5.32i
      oveq2 oveq12 sylbir eqtr4d sylbi jaoi pm2.61i ) BGHZABIJZCKJZGHZLZUBZWOCG
      HZLZUBZLZBCMJZBWQMJZHZXDXEXFUCNZXFXEUCNZLXGWTXHXCXIWTXEBONZXEWQONZXHXJXEC
      ONZBPQZCPQZXJXLLZEFBCUARZUDXEWPUECIJZKJZWQOXOXEXRONZXPXEPQZXMXNXOXSSZXEXM
      XNXEUFQEFBCUGRUHZEFAPQZUEPQZXTXMXNUIYADUJAUEXEBCUKULUMTXQCWPKCXNCUPQFCUNT
      ZUOUQURXTXMWQPQZWTXJXKLXHSZSYBEWPPQZXNYFYCXMYHDEABUSRFWPCUTRZXTXMYFUIWTYG
      XEBWQVAVBUMVCXCXFBONZXFCONZXIYJXFWQONZXMYFYJYLLZEYIBWQUARZUDXFAVDZBIJZUEW
      QIJZKJZCOYMXFYRONZYNXFPQZXMYFYMYSSZXFXMYFXFUFQEYIBWQUGRUHZEYIYOPQZYDYTXMY
      FUIUUAYCUUCDAVGTUJYOUEXFBWQUKULUMTYRWPVDZWQKJZCYPUUDYQWQKABYCAUPQDAUNTZXM
      BUPQEBUNTZVEWQYFWQUPQYIWQUNTUOVFUUDWPKJZCKJGCKJZUUECUUHGCKWPUUDGABUUFUUGV
      HZWPUUJVIZWPUUJVJVKVLUUDWPCUUKUUJYEVMCYEVNZVOVPURYTXMXNXCYJYKLXISZSUUBEFY
      TXMXNUIXCUUMXFBCVAVBUMVCVQXEXFXEYBVRXFUUBVRVSVTXDUBWSXBWAXGWSXBWBWSXGXBWS
      XBXGWOWRXAWOWQCGWOWQUUICWOWPGCKWOWPAGIJGBGAIWHAUUFWCWDWEUULWDWFWGZXBXEGGM
      JZXFBGCGMWIXBWSXFUUOHUUNBGWQGMWIWJWKZWLUUPWMWLWN $.
  $}

  $( Adding a multiple of one operand of the ` gcd ` operator to the other does
     not alter the result.  (Contributed by Paul Chapman, 31-Mar-2011.) $)
  gcdaddm $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) ->
                  ( M gcd N ) = ( M gcd ( N + ( K x. M ) ) ) ) $=
    ( cz wcel cgcd co cmul caddc cc0 cif oveq1 oveq1d oveq2d oveq2 0z elimel cc
    wceq zcn eqeq2d id oveq12d eqeq12d gcdaddmlem dedth3h wa mulcl syl2an 3impa
    w3a addcom eqtrd ) ADEZBDEZCDEZUKZBCFGZBABHGZCIGZFGZBCUSIGZFGUNUOUPURVASURB
    UNAJKZBHGZCIGZFGZSUOBJKZCFGZVGVCVGHGZCIGZFGZSVGUPCJKZFGZVGVIVLIGZFGZSABCJJJ
    AVCSZVAVFURVPUTVEBFVPUSVDCIAVCBHLMNUABVGSZURVHVFVKBVGCFLVQBVGVEVJFVQUBVQVDV
    ICIBVGVCHOMUCUDCVLSZVHVMVKVOCVLVGFOVRVJVNVGFCVLVIIONUDVCVGVLAJDPQBJDPQCJDPQ
    UEUFUQUTVBBFUNUOUPUTVBSZUNUOUGUSREZCREVSUPUNAREBREVTUOATBTABUHUICTUSCULUIUJ
    NUM $.

  $( The GCD of two numbers is the same as the GCD of the left and their sum.
     (Contributed by Scott Fenton, 20-Apr-2014.) $)
  gcdadd $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
  ( M gcd N ) = ( M gcd ( N + M ) ) ) $=
    ( cz wcel wa cgcd co c1 cmul caddc wceq 1z gcdaddm mp3an1 zcn mulid2 oveq2d
    cc syl adantr eqtrd ) ACDZBCDZEABFGZABHAIGZJGZFGZABAJGZFGZHCDUBUCUDUGKLHABM
    NUBUGUIKZUCUBARDZUJAOUKUFUHAFUKUEABJAPQQSTUA $.

  $( The gcd of a number and itself is its absolute value.  (Contributed by
     Paul Chapman, 31-Mar-2011.) $)
  gcdid $p |- ( N e. ZZ -> ( N gcd N ) = ( abs ` N ) ) $=
    ( cz wcel cc0 cgcd co c1 cmul caddc cabs cfv wceq 1z gcdaddm mp3an13 gcdid0
    0z cc zcn oveq2d mulid2 addid2 eqtrd syl 3eqtr3rd ) ABCZADEFZADGAHFZIFZEFZA
    JKAAEFGBCUFDBCUGUJLMQGADNOAPUFUIAAEUFARCZUIALASUKUIDAIFAUKUHADIAUATAUBUCUDT
    UE $.

  $( The gcd of a number with 1 is 1.  Theorem 1.4(d)1 in [ApostolNT] p. 16.
     (Contributed by Mario Carneiro, 19-Feb-2014.) $)
  gcd1 $p |- ( M e. ZZ -> ( M gcd 1 ) = 1 ) $=
    ( cz wcel c1 cgcd co cle wbr wceq cdvds wa 1z gcddvds mpan2 simprd cn wi wn
    cc0 wne ax-1ne0 simpr necon3ai ax-mp gcdn0cl nnzd 1nn dvdsle sylancl mpd wb
    nnle1eq1 syl mpbid ) ABCZADEFZDGHZUPDIZUOUPDJHZUQUOUPAJHZUSUODBCZUTUSKLADMN
    OUOUPBCDPCUSUQQUOUPUOVAUPPCZLUOVAKASIZDSIZKZRZVBDSTVFUAVEDSVCVDUBUCUDADUENN
    ZUFUGUPDUHUIUJUOVBUQURUKVGUPULUMUN $.

  $( ` gcd ` of the absolute value of the first operator.  (Contributed by
     Scott Fenton, 2-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  gcdabs1 $p |- ( ( N e. ZZ /\ M e. ZZ ) ->
    ( ( abs ` N ) gcd M ) = ( N gcd M ) ) $=
    ( cz wcel wa cabs cfv wceq cgcd co wi oveq1 a1i neggcd eqeq1d syl5ibrcom wo
    cneg zre absord adantr mpjaod ) BCDZACDZEZBFGZBHZUFAIJZBAIJZHZUFBRZHZUGUJKU
    EUFBAILMUEUJULUKAIJZUIHBANULUHUMUIUFUKAILOPUCUGULQUDUCBBSTUAUB $.

  $( ` gcd ` of the absolute value of the second operator.  (Contributed by
     Scott Fenton, 2-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  gcdabs2 $p |- ( ( N e. ZZ /\ M e. ZZ ) ->
    ( N gcd ( abs ` M ) ) = ( N gcd M ) ) $=
    ( cz wcel wa cabs cfv cgcd wceq gcdabs1 ancoms zabscl gcdcom sylan2 3eqtr4d
    co ) BCDZACDZEAFGZBHPZABHPZBSHPZBAHPRQTUAIBAJKRQSCDUBTIALBSMNBAMO $.

  $( The gcd of two integers is the same as that of their absolute values.
     (Contributed by Paul Chapman, 31-Mar-2011.)  (Proof shortened by SN,
     15-Sep-2024.) $)
  gcdabs $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
                 ( ( abs ` M ) gcd ( abs ` N ) ) = ( M gcd N ) ) $=
    ( cz wcel wa cabs cfv cgcd co wceq zabscl gcdabs1 sylan2 gcdabs2 eqtrd ) AC
    DZBCDZEAFGBFGZHIZARHIZABHIQPRCDSTJBKRALMBANO $.

  $( Obsolete version of ~ gcdabs as of 15-Sep-2024.  (Contributed by Paul
     Chapman, 31-Mar-2011.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  gcdabsOLD $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
                 ( ( abs ` M ) gcd ( abs ` N ) ) = ( M gcd N ) ) $=
    ( cz wcel wa cabs cfv wceq cneg wo co cr zre absor anim12i oveq12 sylan9eqr
    cgcd ex gcdneg syl2an wi a1i neggcd znegcl sylan eqtrd ccased mpd ) ACDZBCD
    ZEZAFGZAHZUMAIZHZJZBFGZBHZURBIZHZJZEZUMURRKZABRKZHZUJALDZBLDZVCUKAMBMVGUQVH
    VBANBNOUAULUNUSUPVAVFUNUSEVFUBULUMAURBRPUCULUPUSEZVFVIULVDUOBRKZVEUMUOURBRP
    ABUDZQSULUNVAEZVFVLULVDAUTRKVEUMAURUTRPABTQSULUPVAEZVFVMULVDUOUTRKZVEUMUOUR
    UTRPULVNVJVEUJUOCDUKVNVJHAUEUOBTUFVKUGQSUHUI $.

  $( The gcd remains unchanged if one operand is replaced with its remainder
     modulo the other.  (Contributed by Paul Chapman, 31-Mar-2011.) $)
  modgcd $p |- ( ( M e. ZZ /\ N e. NN ) ->
                 ( ( M mod N ) gcd N ) = ( M gcd N ) ) $=
    ( cz wcel cn wa co cgcd cneg cmul caddc cr wceq adantl eqtrd oveq2d syl3anc
    cc eqtr4d gcdcomd cmo cdiv cfl cfv cmin crp zre nnrp modval syl2an zcn nncn
    adantr cc0 wne nnre nnne0 redivcl syl3an 3anidm23 flcld zcnd mulneg1 mulcom
    w3a negeqd ancoms 3adant1 mulcl negsub sylan2 3impb znegcld nnz simpl nn0zd
    gcdaddm zmodcl 3eqtr3d ) ACDZBEDZFZBABUAGZHGZBAHGZWCBHGABHGWBWDBAABUBGZUCUD
    ZIZBJGZKGZHGZWEWBWCWJBHWBWCABWGJGZUEGZWJVTALDZBUFDWCWMMWAAUGZBUHABUIUJWBARD
    ZBRDZWGRDZWJWMMVTWPWAAUKUMWAWQVTBULNWBWGWBWFVTWAWFLDZVTWNWABLDWABUNUOWSWOBU
    PBUQABURUSUTVAZVBWPWQWRVEZWJAWLIZKGZWMXAWIXBAKWQWRWIXBMZWPWRWQXDWRWQFZWIWGB
    JGZIXBWGBVCXEXFWLWGBVDVFOVGVHPWPWQWRXCWMMZWQWRFWPWLRDXGBWGVIAWLVJVKVLOQSPWB
    WHCDBCDZVTWEWKMWBWGWTVMWAXHVTBVNNZVTWAVOZWHBAVQQSWBBWCXIWBWCABVRVPTWBBAXIXJ
    TVS $.

  $( The GCD of one and an integer is one.  (Contributed by Scott Fenton,
     17-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  1gcd $p |- ( M e. ZZ -> ( 1 gcd M ) = 1 ) $=
    ( cz wcel c1 cgcd co wceq 1z gcdcom mpan gcd1 eqtrd ) ABCZDAEFZADEFZDDBCMNO
    GHDAIJAKL $.

  ${
    gcdmultipled.1 $e |- ( ph -> M e. NN0 ) $.
    gcdmultipled.2 $e |- ( ph -> N e. ZZ ) $.
    $( The greatest common divisor of a nonnegative integer ` M ` and a
       multiple of it is ` M ` itself.  (Contributed by Rohan Ridenour,
       3-Aug-2023.) $)
    gcdmultipled $p |- ( ph -> ( M gcd ( N x. M ) ) = M ) $=
      ( cc0 cgcd co cmul caddc cz wcel wceq nn0zd 0zd gcdaddm syl3anc nn0gcdid0
      cn0 syl zmulcld zcnd addid2d oveq2d 3eqtr3rd ) ABFGHZBFCBIHZJHZGHZBBUGGHA
      CKLBKLFKLUFUIMEABDNZAOCBFPQABSLUFBMDBRTAUHUGBGAUGAUGACBEUJUAUBUCUDUE $.
  $}

  $( The GCD of a multiple of an integer is the integer itself.  (Contributed
     by Scott Fenton, 18-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.)
     (Proof shortened by AV, 12-Jan-2023.) $)
  gcdmultiplez $p |- ( ( M e. NN /\ N e. ZZ ) -> ( M gcd ( M x. N ) ) = M ) $=
    ( cn wcel cz wa cmul co cgcd cc nncn adantr zcn adantl mulcomd oveq2d nnnn0
    cn0 simpr gcdmultipled eqtrd ) ACDZBEDZFZAABGHZIHABAGHZIHAUDUEUFAIUDABUBAJD
    UCAKLUCBJDUBBMNOPUDABUBARDUCAQLUBUCSTUA $.

  $( The GCD of a multiple of a positive integer is the positive integer
     itself.  (Contributed by Scott Fenton, 12-Apr-2014.)  (Revised by Mario
     Carneiro, 19-Apr-2014.)  (Proof shortened by AV, 12-Jan-2023.) $)
  gcdmultiple $p |- ( ( M e. NN /\ N e. NN ) -> ( M gcd ( M x. N ) ) = M ) $=
    ( cn wcel cz cmul co cgcd wceq nnz gcdmultiplez sylan2 ) BCDACDBEDAABFGHGAI
    BJABKL $.

  ${
    dvdsgcdidd.1 $e |- ( ph -> M e. NN ) $.
    dvdsgcdidd.2 $e |- ( ph -> N e. ZZ ) $.
    dvdsgcdidd.3 $e |- ( ph -> M || N ) $.
    $( The greatest common divisor of a positive integer and another integer it
       divides is itself.  (Contributed by Rohan Ridenour, 3-Aug-2023.) $)
    dvdsgcdidd $p |- ( ph -> ( M gcd N ) = M ) $=
      ( cdiv co cmul cgcd zcnd nncnd nnne0d divcan1d oveq2d nnnn0d cdvds wbr cz
      wcel cc0 wne wb nnzd dvdsval2 syl3anc mpbid gcdmultipled eqtr3d ) ABCBGHZ
      BIHZJHBCJHBAUKCBJACBACEKABDLABDMZNOABUJABDPABCQRZUJSTZFABSTBUAUBCSTUMUNUC
      ABDUDULEBCUEUFUGUHUI $.
  $}

  $( The greatest common divisor of six and four is two.  To calculate this
     gcd, a simple form of Euclid's algorithm is used:
     ` ( 6 gcd 4 ) = ( ( 4 + 2 ) gcd 4 ) = ( 2 gcd 4 ) ` and
     ` ( 2 gcd 4 ) = ( 2 gcd ( 2 + 2 ) ) = ( 2 gcd 2 ) = 2 ` .  (Contributed by
     AV, 27-Aug-2020.) $)
  6gcd4e2 $p |- ( 6 gcd 4 ) = 2 $=
    ( c6 c4 cgcd co c2 caddc cz wcel wceq 6nn 4z gcdcom mp2an 4cn 2cn oveq2i 2z
    nnzi gcdadd eqtri 4p2e6 addcomli 2p2e4 cabs cfv gcdid ax-mp cc0 cle wbr 2re
    cr 0le2 absid 3eqtr3ri 3eqtr2i ) ABCDZBACDZBEBFDZCDZEAGHBGHZUQURIAJRKABLMUS
    ABCBEANOUAUBPEECDZBECDZEUTVBEEEFDZCDZVCEGHZVFVBVEIQQEESMVEEBCDZVCVDBECUCPVF
    VAVGVCIQKEBLMTTVBEUDUEZEVFVBVHIQEUFUGEULHUHEUIUJVHEIUKUMEUNMTVAVFVCUTIKQBES
    MUOUP $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  B&eacute;zout's identity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d s t u v x y z A $.  $d s t u v x y z B $.
    ${
      $d s t u v x y z G $.  $d s t u v M $.  $d s t u v x y z ph $.
      $d s t u v x y z C $.
      bezout.1 $e |- M = { z e. NN | E. x e. ZZ E. y e. ZZ
                           z = ( ( A x. x ) + ( B x. y ) ) } $.
      bezout.3 $e |- ( ph -> A e. ZZ ) $.
      bezout.4 $e |- ( ph -> B e. ZZ ) $.
      $( Lemma for ~ bezout .  (Contributed by Mario Carneiro, 15-Mar-2014.) $)
      bezoutlem1 $p |- ( ph -> ( A =/= 0 -> ( abs ` A ) e. M ) ) $=
        ( cmul co caddc wceq cz wrex cc0 wcel c1 cc cabs cfv cv wne fveq2 oveq1
        cn eqeq12d rexbidv cr zre cneg 1z ax-1rid eqcomd oveq2 rspceeqv sylancr
        eqeq1 syl5ibrcom neg1z mulm1d neg1cn mulcom eqtr3d absor mpjaod vtoclga
        recn syl wa zcnd adantr mul01d oveq2d mulcl syl2an addid1d eqtrd eqeq2d
        zcn 0z mpan syl6bir reximdva mpd wi nnabscl 2rexbidv elrab2 simplbi2com
        ex sylsyld ) AEUAUBZEBUCZKLZFCUCZKLZMLZNZCOPZBOPZEQUDZWNUGRZWNGRZAWNWPN
        ZBOPZXBAEORZXGIDUCZUAUBZXIWOKLZNZBOPZXGDEOXIENZXLXFBOXNXJWNXKWPXIEUAUEX
        IEWOKUFUHUIXIORXIUJRZXMXIUKXOXJXINZXMXJXIULZNZXOXMXPXIXKNZBOPZXOSORXIXI
        SKLZNXTUMXOYAXIXIUNUOBSOXKYAXIWOSXIKUPUQURXPXLXSBOXJXIXKUSUIUTXOXMXRXQX
        KNZBOPZXOSULZORXQXIYDKLZNYCVAXOYDXIKLZXQYEXOXIXIVIZVBXOYDTRXITRYFYENVCY
        GYDXIVDURVEBYDOXKYEXQWOYDXIKUPUQURXRXLYBBOXJXQXKUSUIUTXIVFVGVJVHVJAXFXA
        BOAWOORZVKZXFWNWPFQKLZMLZNZXAYIYKWPWNYIYKWPQMLWPYIYJQWPMYIFAFTRYHAFJVLV
        MVNVOYIWPAETRWOTRWPTRYHAEIVLWOWAEWOVPVQVRVSVTQORYLXAWBCQOWSYKWNWQQNWRYJ
        WPMWQQFKUPVOUQWCWDWEWFAXHXCXDWGIXHXCXDEWHWLVJXEXDXBXIWSNZCOPBOPXBDWNUGG
        XIWNNYMWTBCOOXIWNWSUSWIHWJWKWM $.

      bezout.2 $e |- G = inf ( M , RR , < ) $.
      bezout.5 $e |- ( ph -> -. ( A = 0 /\ B = 0 ) ) $.
      $( Lemma for ~ bezout .  (Contributed by Mario Carneiro, 15-Mar-2014.)
         ( Revised by AV, 30-Sep-2020.) $)
      bezoutlem2 $p |- ( ph -> G e. M ) $=
        ( wcel cn co wceq cz wrex cc0 cr clt cinf c1 cuz cfv wss c0 wne cv cmul
        caddc ssrab3 nnuz sseqtri cabs bezoutlem1 ne0i syl6 crab eqid rexcom wa
        cc zcnd adantr ad2antll mulcld ad2antrl addcomd eqeq2d 2rexbidva syl5bb
        zcn rabbidv eqtrid eleq2d sylibrd wn wo neorian sylibr mpjaod infssuzcl
        sylancr eqeltrid ) AGHUAUBUCZHLAHUDUEUFZUGHUHUIZWGHNHOWHDUJZEBUJZUKPZFC
        UJZUKPZULPZQZCRSBRSZDOHIUMUNUOAETUIZWIFTUIZAWREUPUFZHNWIABCDEFHIJKUQHWT
        URUSAWSFUPUFZHNZWIAWSXAWJWNWLULPZQZBRSCRSZDOUTZNXBACBDFEXFXFVAKJUQAHXFX
        AAHWQDOUTXFIAWQXEDOWQWPBRSCRSAXEWPBCRRVBAWPXDCBRRAWMRNZWKRNZVCZVCZWOXCW
        JXJWLWNXJEWKAEVDNXIAEJVEVFXHWKVDNAXGWKVNVGVHXJFWMAFVDNXIAFKVEVFXGWMVDNA
        XHWMVNVIVHVJVKVLVMVOVPVQVRHXAURUSAETQFTQVCVSWRWSVTMETFTWAWBWCHUDWDWEWF
        $.

      $d M x y $.
      $( Lemma for ~ bezout .  (Contributed by Mario Carneiro, 22-Feb-2014.)
         ( Revised by AV, 30-Sep-2020.) $)
      bezoutlem3 $p |- ( ph -> ( C e. M -> G || C ) ) $=
        ( wcel co wceq cmul caddc cz vs vt vu vv cdvds wbr wa cmo cc0 cn wn cle
        clt cr crp wrex simpr eqeq1 2rexbidv weq oveq1d eqeq2d oveq2d cbvrex2vw
        cv oveq2 bitrdi elrab2 sylib simpld nnred bezoutlem2 syl5bb nnrpd modlt
        adantr syl2anc nnzd zmodcld nn0red ltnled mpbid wi cdiv cfl cmin simprd
        ad2antrr simprll simprrl nndivred flcld zmulcld zsubcld simprlr simprrr
        cfv zcnd mulcld addsub4d mulassd oveq12d joinlmuladdmuld subdid 3eqtr4d
        rspc2ev syl3anc oveq1 oveq12 sylan2 eqeq1d syl5ibrcom expcomd rexlimdvv
        cc expr mpd ex modval eqcomd simplbi2com syl cinf c1 cuz ssrab3 sseqtri
        wss nnuz infssuzle mpan eqbrtrid syl6 mtod cn0 wo elnn0 ord wb dvdsval3
        mpbird ) AGIOZHGUEUFZAUUBUGZUUCGHUHPZUIQZUUDUUEUJOZUKUUFUUDUUGHUUEULUFZ
        UUDUUEHUMUFZUUHUKUUDGUNOZHUOOZUUIUUDGUUDGUJOZGEUAVEZRPZFUBVEZRPZSPZQZUB
        TUPUATUPZUUDUUBUULUUSUGAUUBUQDVEZEBVEZRPZFCVEZRPZSPZQZCTUPBTUPZUUSDGUJI
        UUTGQZUVGGUVEQZCTUPBTUPUUSUVHUVFUVIBCTTUUTGUVEURUSUVIUURGUUNUVDSPZQBCUA
        UBTTBUAUTZUVEUVJGUVKUVBUUNUVDSUVAUUMERVFVAVBCUBUTZUVJUUQGUVLUVDUUPUUNSU
        VCUUOFRVFVCVBVDVGJVHVIZVJZVKZAUUKUUBAHAHUJOZHEUCVEZRPZFUDVEZRPZSPZQZUDT
        UPUCTUPZAHIOUVPUWCUGABCDEFHIJKLMNVLUVGUWCDHUJIUVGUUTUWAQZUDTUPUCTUPUUTH
        QZUWCUVFUWDUUTUVRUVDSPZQBCUCUDTTBUCUTZUVEUWFUUTUWGUVBUVRUVDSUVAUVQERVFV
        AVBCUDUTZUWFUWAUUTUWHUVDUVTUVRSUVCUVSFRVFVCVBVDUWEUWDUWBUCUDTTUUTHUWAUR
        USVMJVHVIZVJZVNVPZGHVOVQUUDUUEHUUDUUEUUDGHUUDGUVNVRZAUVPUUBUWJVPZVSZVTA
        HUNOUUBAHUWJVKVPWAWBUUDUUGUUEIOZUUHUUDUUEUVEQZCTUPBTUPZUUGUWOWCUUDGHGHW
        DPZWEWQZRPZWFPZUVEQZCTUPBTUPZUWQUUDUUSUXCUUDUULUUSUVMWGUUDUURUXCUAUBTTU
        UDUUMTOZUUOTOZUGZUURUXCWCZUUDUXFUGZUWCUXGAUWCUUBUXFAUVPUWCUWIWGWHUXHUWB
        UXGUCUDTTUUDUXFUVQTOZUVSTOZUGZUWBUXGWCUUDUXFUXKUGZUGZUURUWBUXCUXMUXCUUR
        UWBUGZUUQUWAUWSRPZWFPZUVEQZCTUPBTUPZUXMUUMUVQUWSRPZWFPZTOUUOUVSUWSRPZWF
        PZTOUXPEUXTRPZFUYBRPZSPZQZUXRUXMUUMUXSUUDUXDUXEUXKWIZUXMUVQUWSUUDUXFUXI
        UXJWJZUUDUWSTOUXLUUDUWRUUDGHUVOUWMWKWLZVPZWMZWNUXMUUOUYAUUDUXDUXEUXKWOZ
        UXMUVSUWSUUDUXFUXIUXJWPZUYJWMZWNUXMUUQEUXSRPZFUYARPZSPZWFPUUNUYOWFPZUUP
        UYPWFPZSPUXPUYEUXMUUNUUPUYOUYPUXMEUUMAEXOOUUBUXLAEKWRWHZUXMUUMUYGWRZWSU
        XMFUUOAFXOOUUBUXLAFLWRWHZUXMUUOUYLWRZWSUXMEUXSUYTUXMUXSUYKWRZWSUXMFUYAV
        UBUXMUYAUYNWRZWSWTUXMUXOUYQUUQWFUXMUVRUWSUVTUYQUXMEUVQUYTUXMUVQUYHWRZWS
        UUDUWSXOOUXLUUDUWSUYIWRVPZUXMFUVSVUBUXMUVSUYMWRZWSUXMUVRUWSRPUYOUVTUWSR
        PUYPSUXMEUVQUWSUYTVUFVUGXAUXMFUVSUWSVUBVUHVUGXAXBXCVCUXMUYCUYRUYDUYSSUX
        MEUUMUXSUYTVUAVUDXDUXMFUUOUYAVUBVUCVUEXDXBXEUXQUYFUXPUYCUVDSPZQBCUXTUYB
        TTUVAUXTQZUVEVUIUXPVUJUVBUYCUVDSUVAUXTERVFVAVBUVCUYBQZVUIUYEUXPVUKUVDUY
        DUYCSUVCUYBFRVFVCVBXFXGUXNUXBUXQBCTTUXNUXAUXPUVEUWBUURUWTUXOQUXAUXPQHUW
        AUWSRXHGUUQUWTUXOWFXIXJXKUSXLXMXPXNXQXRXNXQUUDUXBUWPBCTTUUDUXAUUEUVEUUD
        UUEUXAUUDUUJUUKUUEUXAQUVOUWKGHXSVQXTXKUSWBUWOUUGUWQUVGUWQDUUEUJIUUTUUEQ
        UVFUWPBCTTUUTUUEUVEURUSJVHYAYBUWOHIUNUMYCZUUEULMIYDYEWQZYHUWOVULUUEULUF
        IUJVUMUVGDUJIJYFYIYGUUEIYDYJYKYLYMYNUUDUUGUUFUUDUUEYOOUUGUUFYPUWNUUEYQV
        IYRXQUUDUVPGTOUUCUUFYSUWMUWLHGYTVQUUAXR $.

      $( Lemma for ~ bezout .  (Contributed by Mario Carneiro, 22-Feb-2014.) $)
      bezoutlem4 $p |- ( ph -> ( A gcd B ) e. M ) $=
        ( co wbr cdvds cmul cz wrex wcel vs vt vu cgcd wceq cle gcddvds syl2anc
        vv cv wa simpld wb gcdcld nn0zd divides mpbid simprd reeanv caddc wi cn
        bezoutlem2 weq oveq2 oveq1d eqeq2d oveq2d cbvrex2vw eqeq1 syl5bb elrab2
        2rexbidv sylib simprrl simprll zmulcld simprrr simprlr zaddcld dvdsmul2
        adantr mul32d oveq12d joinlmuladdmuld breqtrd oveq1 oveqan12d syl5ibcom
        zcnd breq2d breq2 imbi2d syl5ibrcom expr com23 rexlimdvva mpd rexlimdvv
        syl5bir mp2and dvdsle cc0 cabs bezoutlem1 bezoutlem3 syld nnzd dvdsabsb
        wne cfv sylibrd imp dvds0 syl pm2.61ne crab eqid rexcom cc zcn ad2antll
        mulcld ad2antrl addcomd 2rexbidva rabbidv eqtrid eleq2d syl31anc nn0red
        wn dvdslegcd nnred letri3d mpbir2and eqeltrd ) AEFUDNZGHAYRGUEYRGUFOZGY
        RUFOZAYRGPOZYSAUAUJZYRQNZEUEZUARSZUBUJZYRQNZFUEZUBRSZUUAAYREPOZUUEAUUJY
        RFPOZAERTZFRTZUUJUUKUKJKEFUGUHZULAYRRTZUULUUJUUEUMAYRAEFJKUNZUOZJUAYREU
        PUHUQAUUKUUIAUUJUUKUUNURAUUOUUMUUKUUIUMUUQKUBYRFUPUHUQUUEUUIUKUUDUUHUKZ
        UBRSUARSAUUAUUDUUHUAUBRRUSAUURUUAUAUBRRAGEUCUJZQNZFUIUJZQNZUTNZUEZUIRSU
        CRSZUUBRTZUUFRTZUKZUURUUAVAZVAZAGVBTZUVEAGHTUVKUVEUKABCDEFGHIJKLMVCZDUJ
        ZEBUJZQNZFCUJZQNZUTNZUEZCRSBRSZUVEDGVBHUVTUVMUVCUEZUIRSUCRSUVMGUEZUVEUV
        SUWAUVMUUTUVQUTNZUEBCUCUIRRBUCVDZUVRUWCUVMUWDUVOUUTUVQUTUVNUUSEQVEVFVGC
        UIVDZUWCUVCUVMUWEUVQUVBUUTUTUVPUVAFQVEVHVGVIUWBUWAUVDUCUIRRUVMGUVCVJVMV
        KIVLVNZURAUVDUVJUCUIRRAUUSRTZUVARTZUKZUKUVHUVDUVIAUWIUVHUVDUVIVAAUWIUVH
        UKZUKZUVIUVDUURYRUVCPOZVAUWKYRUUCUUSQNZUUGUVAQNZUTNZPOUURUWLUWKYRUUBUUS
        QNZUUFUVAQNZUTNZYRQNZUWOPUWKUWRRTUUOYRUWSPOUWKUWPUWQUWKUUBUUSAUWIUVFUVG
        VOZAUWGUWHUVHVPZVQZUWKUUFUVAAUWIUVFUVGVRZAUWGUWHUVHVSZVQZVTAUUOUWJUUQWB
        ZUWRYRWAUHUWKUWPYRUWQUWOUWKUWPUXBWJUWKYRUXFWJZUWKUWQUXEWJUWKUWPYRQNUWMU
        WQYRQNUWNUTUWKUUBUUSYRUWKUUBUWTWJUWKUUSUXAWJUXGWCUWKUUFUVAYRUWKUUFUXCWJ
        UWKUVAUXDWJUXGWCWDWEWFUURUWOUVCYRPUUDUUHUWMUUTUWNUVBUTUUCEUUSQWGUUGFUVA
        QWGWHWKWIUVDUUAUWLUURGUVCYRPWLWMWNWOWPWQWRWSWTXAAUUOUVKUUAYSVAUUQAUVKUV
        EUWFULZYRGXBUHWRAGEPOZGFPOZYTAUXIGXCPOZEXCEXCGPWLAEXCXJZUXIAUXLGEXDXKZP
        OZUXIAUXLUXMHTUXNABCDEFHIJKXEABCDEFUXMGHIJKLMXFXGAGRTZUULUXIUXNUMAGUXHX
        HZJGEXIUHXLXMAUXOUXKUXPGXNXOZXPAUXJUXKFXCFXCGPWLAFXCXJZUXJAUXRGFXDXKZPO
        ZUXJAUXRUXSHTZUXTAUXRUXSUVMUVQUVOUTNZUEZBRSCRSZDVBXQZTUYAACBDFEUYEUYEXR
        KJXEAHUYEUXSAHUVTDVBXQUYEIAUVTUYDDVBUVTUVSBRSCRSAUYDUVSBCRRXSAUVSUYCCBR
        RAUVPRTZUVNRTZUKZUKZUVRUYBUVMUYIUVOUVQUYIEUVNAEXTTUYHAEJWJWBUYGUVNXTTAU
        YFUVNYAYBYCUYIFUVPAFXTTUYHAFKWJWBUYFUVPXTTAUYGUVPYAYDYCYEVGYFVKYGYHYIXL
        ABCDEFUXSGHIJKLMXFXGAUXOUUMUXJUXTUMUXPKGFXIUHXLXMUXQXPAUXOUULUUMEXCUEFX
        CUEUKYLUXIUXJUKYTVAUXPJKMGEFYMYJXAAYRGAYRUUPYKAGUXHYNYOYPUVLYQ $.
    $}

    $( B&eacute;zout's identity:  For any integers ` A ` and ` B ` , there are
       integers ` x , y ` such that ` ( A gcd B ) = A x. x + B x. y ` .  This
       is Metamath 100 proof #60.  (Contributed by Mario Carneiro,
       22-Feb-2014.) $)
    bezout $p |- ( ( A e. ZZ /\ B e. ZZ ) ->
           E. x e. ZZ E. y e. ZZ ( A gcd B ) = ( ( A x. x ) + ( B x. y ) ) ) $=
      ( vz vu vv vt cz wcel cc0 wceq co cv cmul caddc wrex cn oveq2 eqeq2d cgcd
      wa wn crab clt cinf eqeq1 2rexbidv oveq1d oveq2d cbvrex2vw bitrdi cbvrabv
      cr simpll simplr eqid simpr bezoutlem4 elrab simprbi syl ex 0z 0cn mul01i
      00id oveq12i gcd0val 3eqtr4ri rspc2ev mp3an oveq12 oveq1 oveqan12d mpbiri
      eqeq12d pm2.61d2 ) CIJZDIJZUBZCKLZDKLZUBZCDUAMZCANZOMZDBNZOMZPMZLZBIQAIQZ
      WAWDUCZWLWAWMUBZWEENZWJLZBIQAIQZERUDZJZWLWNFGHCDWRUNUEUFZWRWQHNZCFNZOMZDG
      NZOMZPMZLZGIQFIQZEHRWOXALZWQXAWJLZBIQAIQXHXIWPXJABIIWOXAWJUGUHXJXGXAXCWIP
      MZLABFGIIWFXBLZWJXKXAXLWGXCWIPWFXBCOSUITWHXDLZXKXFXAXMWIXEXCPWHXDDOSUJTUK
      ULUMVSVTWMUOVSVTWMUPWTUQWAWMURUSWSWERJWLWQWLEWERWOWELWPWKABIIWOWEWJUGUHUT
      VAVBVCWDWLKKUAMZKWFOMZKWHOMZPMZLZBIQAIQZKIJZXTXNKKOMZYAPMZLZXSVDVDKKPMKYB
      XNVGYAKYAKPKVEVFZYDVHVIVJXRYCXNYAXPPMZLABKKIIWFKLZXQYEXNYFXOYAXPPWFKKOSUI
      TWHKLZYEYBXNYGXPYAYAPWHKKOSUJTVKVLWDWKXRABIIWDWEXNWJXQCKDKUAVMWBWCWGXOWIX
      PPCKWFOVNDKWHOVNVOVQUHVPVR $.
  $}

  ${
    $d K x y $.  $d M x y $.  $d N x y $.
    $( An integer which divides each of two others also divides their gcd.
       (Contributed by Paul Chapman, 22-Jun-2011.)  (Revised by Mario Carneiro,
       30-May-2014.) $)
    dvdsgcd $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) ->
                     ( ( K || M /\ K || N ) -> K || ( M gcd N ) ) ) $=
      ( vx vy cz wcel w3a cdvds wbr wa co cv cmul caddc wceq wrex wi cc zcn ex
      bezout 3adant1 dvds2ln 3impia simp3l simp12 mulcom syl2an syl2anc oveq12d
      cgcd 3coml simp3r simp13 breqtrd breq2 syl5ibrcom 3expia rexlimdvv mpid )
      AFGZBFGZCFGZHZABIJACIJKZBCULLZBDMZNLZCEMZNLZOLZPZEFQDFQZAVGIJZVCVDVNVBDEB
      CUBUCVEVFVNVORVEVFKVMVODEFFVEVFVHFGZVJFGZKZVMVORVEVFVRHZVOVMAVLIJVSAVHBNL
      ZVJCNLZOLZVLIVRVEVFAWBIJZVRVEVFWCVHVJABCUDUEUMVSVTVIWAVKOVSVPVCVTVIPZVEVF
      VPVQUFVBVCVDVFVRUGVPVHSGBSGWDVCVHTBTVHBUHUIUJVSVQVDWAVKPZVEVFVPVQUNVBVCVD
      VFVRUOVQVJSGCSGWEVDVJTCTVJCUHUIUJUKUPVGVLAIUQURUSUTUAVA $.
  $}

  $( Biconditional form of ~ dvdsgcd .  (Contributed by Scott Fenton,
     2-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  dvdsgcdb $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) ->
    ( ( K || M /\ K || N ) <-> K || ( M gcd N ) ) ) $=
    ( cz wcel w3a cdvds wbr wa co dvdsgcd gcddvds simpld 3adant1 wi simp1 gcdcl
    cgcd dvdstr mpan2d nn0zd simp2 syl3anc simprd syld3an2 jcad impbid ) ADEZBD
    EZCDEZFZABGHZACGHZIABCRJZGHZABCKUKUOULUMUKUOUNBGHZULUIUJUPUHUIUJIZUPUNCGHZB
    CLZMNUKUHUNDEZUIUOUPIULOUHUIUJPUIUJUTUHUQUNBCQUANZUHUIUJUBAUNBSUCTUKUOURUMU
    IUJURUHUQUPURUSUDNUHUTUIUJUOURIUMOVAAUNCSUETUFUG $.

  ${
    $d D e n y z $.  $d M e n y z $.  $d N e n y z $.
    $( Alternate definition of the ` gcd ` operator, see definition in
       [ApostolNT] p. 15.  (Contributed by AV, 8-Aug-2021.) $)
    dfgcd2 $p |- ( ( M e. ZZ /\ N e. ZZ )
                   -> ( D = ( M gcd N ) <-> ( 0 <_ D /\ ( D || M /\ D || N )
                      /\ A. e e. ZZ ( ( e || M /\ e || N ) -> e || D ) ) ) ) $=
      ( vn cz wcel wa cc0 wbr cdvds wi adantr wb breq2 breq1 anbi12d adantl clt
      wceq vy vz cgcd co cle cv wral w3a gcdcl nn0ge0d gcddvds biancomi dvdsgcd
      3anass sylbir ralrimiva 3jca imbi2d ralbidv 3anbi123d mpbird crab cr csup
      cif gcdval iftrue bi2anan9 3anbi23d dvdszrcl dvds0 jca pm5.5 syl ralbidva
      imbi1d 0z rspcv ax-mp 0dvds biimpd eqcom syl6ibr sylbid ex 3imp21 adantld
      syl5 syl6bi imp eqtrd iffalse wor ltso a1i simpld 3ad2ant2 ad2antll elrab
      wn zred imbi12d com23 ad2antrr elnn0z simplbi2 impcom cn simp-4l wo elnn0
      cn0 anbi2d ianor pm2.24 mpcom com12 jaoi sylbi dvdsle syl2anc exp31 com14
      2a1 ad2antlr lenlt syl2anr mpbid mpan2d com13 3impia expimpd ancri sylibr
      zre syld simprr rspcedvd eqsupd pm2.61ian eqtr2d impbida ) CFGZDFGZHZACDU
      CUDZTZIAUEJZACKJZADKJZHZBUFZCKJZUULDKJZHZUULAKJZLZBFUGZUHZUUEUUGHUUSIUUFU
      EJZUUFCKJZUUFDKJZHZUUOUULUUFKJZLZBFUGZUHZUUEUVGUUGUUEUUTUVCUVFUUEUUFCDUIU
      JCDUKUUEUVEBFUUEUULFGZHUVHUUCUUDUHZUVEUVIUUEUVHUVHUUCUUDUNULUULCDUMUOUPUQ
      MUUGUUSUVGNUUEUUGUUHUUTUUKUVCUURUVFAUUFIUEOUUGUUIUVAUUJUVBAUUFCKPAUUFDKPQ
      UUGUUQUVEBFUUGUUPUVDUUOAUUFUULKOURUSUTRVAUUEUUSHZUUFCITZDITZHZIEUFZCKJZUV
      NDKJZHZEFVBZVCSVDZVEZAUUEUUFUVTTUUSECDVFMUVMUVJUVTATUVMUVJHUVTIAUVMUVTITU
      VJUVMIUVSVGMUVMUVJIATZUVMUUSUWAUUEUVMUUSUUHAIKJZUWBHZUULIKJZUWDHZUUPLZBFU
      GZUHUWAUVMUUKUWCUURUWGUUHUVKUUIUWBUVLUUJUWBCIAKODIAKOVHUVMUUQUWFBFUVMUUOU
      WEUUPUVKUUMUWDUVLUUNUWDCIUULKODIUULKOVHVPUSVIUWCUUHUWGUWAUWBUUHUWGUWALZLZ
      UWBUWBAFGZIFGZHUWIAIVJUWJUWIUWKUWJUUHUWHUWJUUHHZUWGUUPBFUGZUWAUWLUWFUUPBF
      UWLUVHHUWEUWFUUPNUVHUWEUWLUVHUWDUWDUULVKZUWNVLRUWEUUPVMVNVOUWJUWMUWALUUHU
      WMIAKJZUWJUWAUWKUWMUWOLVQUUPUWOBIFUULIAKPVRVSUWJUWOAITZUWAUWJUWOUWPAVTWAI
      AWBWCWHMWDWEMVNMWFWIWGWJWKUVMWTZUVJHZUVTUVSAUWQUVTUVSTUVJUVMIUVSWLMUWRUAU
      BVCUVRASVCSWMUWRWNWOUUSAVCGZUWQUUEUUKUUHUWSUURUUIUWSUUJUUIAUUIUWJUUCACVJZ
      WPZXAMZWQWRUAUFZUVRGZUWRAUXCSJWTZUXDUXCFGZUXCCKJZUXCDKJZHZHZUWRUXELUVQUXI
      EUXCFUVNUXCTUVOUXGUVPUXHUVNUXCCKPUVNUXCDKPQWSUXJUWQUVJUXEUXJUWQHZUUEUUSUX
      EUUSUXKUUEHZUXEUUHUUKUURUXLUXELUXLUURUUHUUKHZUXEUXLUURUXCAKJZUXMUXELZUXJU
      URUXNLZUWQUUEUXFUXIUXPUXFUURUXIUXNUUQUXIUXNLBUXCFUULUXCTZUUOUXIUUPUXNUXQU
      UMUXGUUNUXHUULUXCCKPUULUXCDKPQUULUXCAKPXBVRXCWJXDUXKUXNUXOLUUEUXMUXNUXKUX
      EUXMUXNAXLGZUXKUXELUUKUUHUXRUUIUUHUXRLZUUJUUIUWJUUCHUXSUWTUWJUXSUUCUXRUWJ
      UUHAXEXFMVNMXGUXMUXNUXRHZUXKUXEUXMUXTHZUXKHUXCAUEJZUXEUYAUXKUYBUXTUXMUXKU
      YBLZUXNUXRUXMUYCLUXKUXRUXMUXNUYBUXKUXRUXMUXNUYBLZUXKUXRHZUXMHUXFAXHGZUYDU
      XFUXIUWQUXRUXMXIUYEUXMUYFUXRUXKUXMUYFLZUXRUYFUWPXJUXKUYGLZAXKUYFUYHUWPUYF
      UXKUXMYDUWPUXKUYGUWPUXKHUXMUUHICKJZIDKJZHZHZUYFUWPUXMUYLNUXKUWPUUKUYKUUHU
      WPUUIUYIUUJUYJAICKPAIDKPQXMMUWQUYLUYFLUWPUXJUWQUYKUYFUUHUWQUVKWTZUVLWTZXJ
      UYKUYFLZUVKUVLXNUYMUYOUYNUYKUYMUYFUYIUYMUYFLZUYJUWKUUCHUYIUYPICVJUUCUYIUY
      PLUWKUUCUYIUVKUYPCVTUVKUYFXOWIRXPMXQUYKUYNUYFUYJUYNUYFLZUYIUWKUUDHUYJUYQI
      DVJUUDUYJUYQLUWKUUDUYJUVLUYQDVTUVLUYFXOWIRXPRXQXRXSWGWRWDWEXRXSXGWJUXCAXT
      YAYBYCWJXGWJUXKUXCVCGZUWSUYBUXENUYAUXFUYRUXIUWQUXCYOXDUUKUWSUUHUXTUXBYEUX
      CAYFYGYHYBYIYJMYPYJYKXQYLYLXSXGUWRUYRUXCASJZHZHZUXCUBUFZSJZUYSUBAUVRVUAUW
      JUUKHZAUVRGUWRVUDUYTUUSVUDUWQUUEUUKUUHVUDUURUUKUWJUUIUWJUUJUXAMYMWQWRMUVQ
      UUKEAFUVNATUVOUUIUVPUUJUVNACKPUVNADKPQWSYNVUBATVUCUYSNVUAVUBAUXCSORUWRUYR
      UYSYQYRYSWKYTUUAUUB $.
  $}

  ${
    $d N x $.  $d M x $.  $d P x $.
    $( Associative law for ` gcd ` operator.  Theorem 1.4(b) in [ApostolNT]
       p. 16.  (Contributed by Scott Fenton, 2-Apr-2014.)  (Revised by Mario
       Carneiro, 19-Apr-2014.) $)
    gcdass $p |- ( ( N e. ZZ /\ M e. ZZ /\ P e. ZZ ) ->
    ( ( N gcd M ) gcd P ) = ( N gcd ( M gcd P ) ) ) $=
      ( vx cz wcel cc0 wceq wa cdvds wbr crab cr clt csup cif cgcd co anass wb
      w3a rabbii supeq1i ifbieq2i cn0 gcdcl 3adant3 nn0zd gcdval syl2anc gcdeq0
      simp3 anbi1d bicomd simpr simpl1 simpl2 dvdsgcdb syl3anc rabbidva supeq1d
      cv ifbieq2d eqtr4d simp1 3adant1 anbi2d simpl3 3eqtr4a ) CEFZBEFZAEFZUAZC
      GHZBGHZIZAGHZIZGDVBZCJKZVSBJKZIZVSAJKZIZDELZMNOZPZVNVOVQIZIZGVTWAWCIZIZDE
      LZMNOZPZCBQRZAQRZCBAQRZQRZVRWIWFWMGVNVOVQSMWEWLNWDWKDEVTWAWCSUBUCUDVMWPWO
      GHZVQIZGVSWOJKZWCIZDELZMNOZPZWGVMWOEFVLWPXEHVMWOVJVKWOUEFVLCBUFUGUHVJVKVL
      ULDWOAUIUJVMVRWTWFXDGVMWTVRVMWSVPVQVJVKWSVPTVLCBUKUGUMUNVMMWEXCNVMWDXBDEV
      MVSEFZIZWBXAWCXGXFVJVKWBXATVMXFUOZVJVKVLXFUPVJVKVLXFUQZVSCBURUSUMUTVAVCVD
      VMWRVNWQGHZIZGVTVSWQJKZIZDELZMNOZPZWNVMVJWQEFWRXPHVJVKVLVEVMWQVKVLWQUEFVJ
      BAUFVFUHDCWQUIUJVMWIXKWMXOGVMXKWIVMXJWHVNVKVLXJWHTVJBAUKVFVGUNVMMWLXNNVMW
      KXMDEXGWJXLVTXGXFVKVLWJXLTXHXIVJVKVLXFVHVSBAURUSVGUTVAVCVDVI $.
  $}

  $( Distribute multiplication by a nonnegative integer over gcd.  (Contributed
     by Paul Chapman, 22-Jun-2011.)  (Proof shortened by Mario Carneiro,
     30-May-2014.) $)
  mulgcd $p |- ( ( K e. NN0 /\ M e. ZZ /\ N e. ZZ ) ->
                 ( ( K x. M ) gcd ( K x. N ) ) = ( K x. ( M gcd N ) ) ) $=
    ( cn0 wcel cz cmul co cgcd cc0 wa cdvds wbr 3adant1 syl2anc dvdsgcd syl3anc
    wi wb mp2and wceq cn elnn0 w3a simp1 nnzd simp2 zmulcld simp3 gcdcld nnnn0d
    wo gcdcl nn0mulcld cdiv nn0cnd nncnd nnne0d divcan2d gcddvds simpld eqbrtrd
    wne dvdsmul1 nn0zd dvdsval2 mpbid dvdscmulr syl112anc dvdscmul mpd eqbrtrrd
    simprd dvdseq syl22anc 3expib gcd0val mul02d eqtr4id oveq1d cc zcn 3ad2ant2
    eqtrd 3ad2ant3 oveq12d 3eqtr4d jaoi sylbi 3impib ) ADEZBFEZCFEZABGHZACGHZIH
    ZABCIHZGHZUAZWKAUBEZAJUAZULWLWMKWSRZAUCWTXBXAWTWLWMWSWTWLWMUDZWPDEWRDEWPWRL
    MWRWPLMZWSXCWNWOXCABXCAWTWLWMUEZUFZWTWLWMUGZUHZXCACXFWTWLWMUIZUHZUJZXCAWQXC
    AXEUKWLWMWQDEZWTBCUMZNZUNZXCAWPAUOHZGHZWPWRLXCWPAXCWPXKUPXCAXEUQXCAXEURZUSZ
    XCXPWQLMZXQWRLMZXCXPBLMZXPCLMZXTXCXQWNLMZYBXCXQWPWNLXSXCWPWNLMZWPWOLMZXCWNF
    EZWOFEZYEYFKXHXJWNWOUTOZVAVBXCXPFEZWLAFEZAJVCZYDYBSXCAWPLMZYJXCAWNLMZAWOLMZ
    YMXCYKWLYNXFXGABVDOXCYKWMYOXFXIACVDOXCYKYGYHYNYOKYMRXFXHXJAWNWOPQTXCYKYLWPF
    EYMYJSXFXRXCWPXKVEAWPVFQVGZXGXFXRAXPBVHVIVGXCXQWOLMZYCXCXQWPWOLXSXCYEYFYIVM
    VBXCYJWMYKYLYQYCSYPXIXFXRAXPCVHVIVGXCYJWLWMYBYCKXTRYPXGXIXPBCPQTXCYJWQFEZYK
    XTYARYPXCWQXNVEZXFAXPWQVJQVKVLXCWRWNLMZWRWOLMZXDXCWQBLMZYTXCUUBWQCLMZWLWMUU
    BUUCKWTBCUTNZVAXCYRWLYKUUBYTRYSXGXFAWQBVJQVKXCUUCUUAXCUUBUUCUUDVMXCYRWMYKUU
    CUUARYSXIXFAWQCVJQVKXCWRFEYGYHYTUUAKXDRXCWRXOVEXHXJWRWNWOPQTWPWRVNVOVPXAWLW
    MWSXAWLWMUDZJJIHZJWQGHZWPWRUUEUUFJUUGVQUUEWQUUEWQWLWMXLXAXMNUPVRVSUUEWNJWOJ
    IUUEWNJBGHJUUEAJBGXAWLWMUEZVTUUEBWLXABWAEWMBWBWCVRWDUUEWOJCGHJUUEAJCGUUHVTU
    UECWMXACWAEWLCWBWEVRWDWFUUEAJWQGUUHVTWGVPWHWIWJ $.

  $( Distribute absolute value of multiplication over gcd.  Theorem 1.4(c) in
     [ApostolNT] p. 16.  (Contributed by Paul Chapman, 22-Jun-2011.) $)
  absmulgcd $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) ->
      ( ( K x. M ) gcd ( K x. N ) ) = ( abs ` ( K x. ( M gcd N ) ) ) ) $=
    ( cz wcel cabs cfv cgcd co cmul wceq wa cn0 oveq2d 3adant1 cc absmul syl2an
    zcn 3impdi w3a gcdcl nn0re nn0ge0 absidd syl nn0cnd oveqan12d syl3an zmulcl
    3impb gcdabs nn0abscl zabscl mulgcd 3eqtr3d eqtrd 3eqtr4rd ) ADEZBDEZCDEZUA
    ZAFGZBCHIZFGZJIZVCVDJIZAVDJIFGZABJIZACJIZHIZUTVAVFVGKUSUTVALZVEVDVCJVLVDMEZ
    VEVDKBCUBZVMVDVDUCVDUDUEUFNOUSUTVAVHVFKZUSAPEZVDPEVOVLASZVLVDVNUGAVDQRUKVBV
    KVCBFGZCFGZHIZJIZVGVBVIFGZVJFGZHIZVCVRJIZVCVSJIZHIZVKWAUSVPUTBPEZVACPEZWDWG
    KZVQBSCSVPWHWIWJVPWHLVPWILWBWEWCWFHABQACQUHTUIUSUTVAWDVKKZUSUTLVIDEVJDEWKUS
    VALABUJACUJVIVJULRTUSVCMEUTVRDEVAVSDEWGWAKAUMBUNCUNVCVRVSUOUIUPVBVTVDVCJUTV
    AVTVDKUSBCULONUQUR $.

  $( Reverse distribution law for the ` gcd ` operator.  (Contributed by Scott
     Fenton, 2-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  mulgcdr $p |- ( ( A e. ZZ /\ B e. ZZ /\ C e. NN0 ) ->
    ( ( A x. C ) gcd ( B x. C ) ) = ( ( A gcd B ) x. C ) ) $=
    ( cz wcel cn0 w3a cmul co cgcd wceq mulgcd 3coml cc 3ad2ant1 nn0cn 3ad2ant3
    zcn mulcomd 3ad2ant2 oveq12d gcdcl 3adant3 nn0cnd 3eqtr4d ) ADEZBDEZCFEZGZC
    AHIZCBHIZJIZCABJIZHIZACHIZBCHIZJIUMCHIUHUFUGULUNKCABLMUIUOUJUPUKJUIACUFUGAN
    EUHAROUHUFCNEUGCPQZSUIBCUGUFBNEUHBRTUQSUAUIUMCUIUMUFUGUMFEUHABUBUCUDUQSUE
    $.

  ${
    $d A a b $.  $d B a b $.  $d C a b $.
    $( Division law for GCD. (Contributed by Scott Fenton, 18-Apr-2014.)
       (Revised by Mario Carneiro, 19-Apr-2014.) $)
    gcddiv $p |- ( ( ( A e. ZZ /\ B e. ZZ /\ C e. NN )
       /\ ( C || A /\ C || B ) ) ->
       ( ( A gcd B ) / C ) = ( ( A / C ) gcd ( B / C ) ) ) $=
      ( va vb cz wcel w3a cdvds wbr wa cgcd co cdiv wceq cmul 3ad2ant3 divcan4d
      wrex cc cn cv wb simp1 divides syl2anc simp2 anbi12d reeanv bitr4di gcdcl
      nnz wi nn0cnd 3adant3 nncn cc0 wne nnne0 cn0 nnnn0 mulgcdr syl3an3 oveq1d
      3ad2ant1 3ad2ant2 oveq12d 3eqtr4d oveq1 oveqan12d eqeq12d syl5ibcom 3expa
      zcn oveq12 expcom rexlimdvv sylbid imp ) AFGZBFGZCUAGZHZCAIJZCBIJZKZABLMZ
      CNMZACNMZBCNMZLMZOZWCWFDUBZCPMZAOZEUBZCPMZBOZKZEFSDFSZWLWCWFWODFSZWREFSZK
      WTWCWDXAWEXBWCCFGZVTWDXAUCWBVTXCWACULQZVTWAWBUDDCAUEUFWCXCWAWEXBUCXDVTWAW
      BUGECBUEUFUHWOWRDEFFUIUJWBVTWTWLUMWAWBWSWLDEFFWMFGZWPFGZKZWBWSWLUMZXEXFWB
      XHXEXFWBHZWNWQLMZCNMZWNCNMZWQCNMZLMZOWSWLXIWMWPLMZCPMZCNMXOXKXNXIXOCXEXFX
      OTGWBXGXOWMWPUKUNUOWBXECTGXFCUPQZWBXECUQURXFCUSQZRXIXJXPCNWBXEXFCUTGXJXPO
      CVAWMWPCVBVCVDXIXLWMXMWPLXIWMCXEXFWMTGWBWMVNVEXQXRRXIWPCXFXEWPTGWBWPVNVFX
      QXRRVGVHWSXKWHXNWKWSXJWGCNWNAWQBLVOVDWOWRXLWIXMWJLWNACNVIWQBCNVIVJVKVLVMV
      PVQQVRVS $.
  $}

  ${
    $d M k n $.  $d N k n $.
    $( Obsolete proof of ~ gcdmultiple as of 12-Jan-2024.  The GCD of a
       multiple of a number is the number itself.  (Contributed by Scott
       Fenton, 12-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    gcdmultipleOLD $p |- ( ( M e. NN /\ N e. NN )
                           -> ( M gcd ( M x. N ) ) = M ) $=
      ( vk vn cn wcel cmul co cgcd wi c1 caddc oveq2 oveq2d eqeq1d imbi2d eqtrd
      wceq cz cc cv weq nncn mulid1d cabs cfv nnz gcdid syl nnre nn0ge0d absidd
      nnnn0 wa zmulcl syl2an gcdaddm mp3an2ani ax-1cn adddi mp3an3 mulcom mpan2
      1z adantr eqtr4d biimpd expcom a2d nnind impcom ) BEFAEFZAABGHZIHZARZVLAA
      CUAZGHZIHZARZJVLAAKGHZIHZARZJVLAADUAZGHZIHZARZJVLAAWCKLHZGHZIHZARZJVLVOJC
      DBVPKRZVSWBVLWKVRWAAWKVQVTAIVPKAGMNOPCDUBZVSWFVLWLVRWEAWLVQWDAIVPWCAGMNOP
      VPWGRZVSWJVLWMVRWIAWMVQWHAIVPWGAGMNOPVPBRZVSVOVLWNVRVNAWNVQVMAIVPBAGMNOPV
      LWAAAIHZAVLVTAAIVLAAUCZUDNVLWOAUEUFZAVLASFZWOWQRAUGZAUHUIVLAAUJVLAAUMUKUL
      QQWCEFZVLWFWJVLWTWFWJJVLWTUNZWFWJXAWEWIAXAWEAWDKAGHZLHZIHZWIKSFVLWRWTWDSF
      ZWEXDRVDWSVLWRWCSFXEWTWSWCUGAWCUOUPKAWDUQURXAWHXCAIVLATFZWCTFZWHXCRWTWPWC
      UCXFXGUNZWHWDVTLHZXCXFXGKTFZWHXIRUSAWCKUTVAXHVTXBWDLXFVTXBRZXGXFXJXKUSAKV
      BVCVENQUPNVFOVGVHVIVJVK $.
  $}

  $( Obsolete proof of ~ gcdmultiplez as of 12-Jan-2024.  Extend ~ gcdmultiple
     so ` N ` can be an integer.  (Contributed by Scott Fenton, 18-Apr-2014.)
     (Revised by Mario Carneiro, 19-Apr-2014.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  gcdmultiplezOLD $p |- ( ( M e. NN /\ N e. ZZ )
                          -> ( M gcd ( M x. N ) ) = M ) $=
    ( cn wcel cz wa cmul co cgcd wceq cc0 oveq2 oveq2d eqeq1d cabs cfv cc eqtrd
    adantr syl wne nncn zcn absmul syl2an nnre nnnn0 nn0ge0d absidd oveq1d nnzd
    simpll nnz zmulcl sylan gcdabs2 syl2anc nnabscl gcdmultiple anassrs 3eqtr3d
    sylan2 mul01 cn0 nn0gcdid0 pm2.61ne ) ACDZBEDZFZAABGHZIHZAJAAKGHZIHZAJBKBKJ
    ZVKVMAVNVJVLAIBKAGLMNVIBKUAZFZAVJOPZIHZAABOPZGHZIHZVKAVIVRWAJVOVIVQVTAIVIVQ
    AOPZVSGHZVTVGAQDZBQDVQWCJVHAUBZBUCABUDUEVGWCVTJVHVGWBAVSGVGAAUFVGAAUGZUHUIU
    JSRMSVPAEDZVJEDZVRVKJVPAVGVHVOULUKVIWHVOVGWGVHWHAUMABUNUOSVJAUPUQVGVHVOWAAJ
    ZVHVOFVGVSCDWIBURAVSUSVBUTVAVIVMAKIHZAVGVMWJJZVHVGWDWKWEWDVLKAIAVCMTSVGWJAJ
    ZVHVGAVDDWLWFAVETSRVF $.

  $( A positive integer ` A ` is equal to its gcd with an integer ` B ` if and
     only if ` A ` divides ` B ` .  Generalization of ~ gcdeq .  (Contributed
     by AV, 1-Jul-2020.) $)
  gcdzeq $p |- ( ( A e. NN /\ B e. ZZ ) -> ( ( A gcd B ) = A <-> A || B ) ) $=
    ( cn wcel cz wa cgcd co wceq cdvds wbr nnz gcddvds sylan cle adantr syl cc0
    wi simpl simprd breq1 syl5ibcom iddvds wn simpr wne nnne0 necon3ai syl31anc
    dvdslegcd mpand simpld cn0 gcdcl nn0zd dvdsle syl2anc jctild nn0red cr nnre
    mpd letri3d sylibrd impbid ) ACDZBEDZFZABGHZAIZABJKZVIVJBJKZVKVLVIVJAJKZVMV
    GAEDZVHVNVMFALZABMNZUAVJABJUBUCVIVLVJAOKZAVJOKZFVKVIVLVSVRVIAAJKZVLVSVIVOVT
    VGVOVHVPPZAUDQVIVOVOVHARIZBRIZFZUEZVTVLFVSSWAWAVGVHUFVGWEVHVGARUGWEAUHWDARW
    BWCTUIQPAABUKUJULVIVNVRVIVNVMVQUMVIVJEDVGVNVRSVIVJVGVOVHVJUNDVPABUONZUPVGVH
    TVJAUQURVCUSVIVJAVIVJWFUTVGAVADVHAVBPVDVEVF $.

  $( ` A ` is equal to its gcd with ` B ` if and only if ` A ` divides ` B ` .
     (Contributed by Mario Carneiro, 23-Feb-2014.)  (Proof shortened by AV,
     8-Aug-2021.) $)
  gcdeq $p |- ( ( A e. NN /\ B e. NN ) -> ( ( A gcd B ) = A <-> A || B ) ) $=
    ( cn wcel cz cgcd co wceq cdvds wbr wb nnz gcdzeq sylan2 ) BCDACDBEDABFGAHA
    BIJKBLABMN $.

  ${
    $d M k $.  $d N k $.
    $( Unidirectional form of ~ dvdssq .  (Contributed by Scott Fenton,
       19-Apr-2014.) $)
    dvdssqim $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
       ( M || N -> ( M ^ 2 ) || ( N ^ 2 ) ) ) $=
      ( vk cz wcel wa cdvds wbr cv cmul co wceq wrex cexp divides zsqcl syl2anr
      c2 cc zcn dvdsmul2 sqmul breqtrrd oveq1 breq2d syl5ibcom rexlimdva adantr
      wi sylbid ) ADEZBDEZFABGHCIZAJKZBLZCDMZARNKZBRNKZGHZCABOUKUPUSUIULUKUOUSC
      DUKUMDEZFZUQUNRNKZGHUOUSVAUQUMRNKZUQJKZVBGUTVCDEUQDEUQVDGHUKUMPAPVCUQUAQU
      TUMSEASEVBVDLUKUMTATUMAUBQUCUOVBURUQGUNBRNUDUEUFUGUHUJ $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( A divisibility equivalent for ~ odmulg .  (Contributed by Stefan O'Rear,
       6-Sep-2015.) $)
    dvdsmulgcd $p |- ( ( B e. ZZ /\ C e. ZZ ) ->
        ( A || ( B x. C ) <-> A || ( B x. ( C gcd A ) ) ) ) $=
      ( vx vy cz wcel wa cmul co cdvds wbr cv caddc wrex simplr syl2anc zmulcld
      simpld zcnd cgcd wceq dvdszrcl adantl bezout adantr simplll simprl simprr
      simpllr dvdsmultr1d mulassd breqtrd dvdsmul1 mul12d breqtrrd adddid oveq2
      dvds2addd breq2d syl5ibrcom rexlimdvva mpd simprd zmulcl simpr gcddvds wi
      gcdcld nn0zd simpll dvdscmul syl3anc dvdstrd impbida ) BFGZCFGZHZABCIJZKL
      ZABCAUAJZIJZKLZVRVTHZWACDMZIJZAEMZIJZNJZUBZEFODFOZWCWDVQAFGZWKVPVQVTPWDWL
      VSFGZVTWLWMHVRAVSUCUDSZDECAUEQWDWJWCDEFFWDWEFGZWGFGZHZHZWCWJABWIIJZKLWRAB
      WFIJZBWHIJZNJWSKWRAWTXAWDWLWQWNUFZWRBWFVPVQVTWQUGZWRCWEVPVQVTWQUJZWDWOWPU
      HZRZRWRBWHXCWRAWGXBWDWOWPUIZRZRWRAVSWEIJWTKWRAVSWEXBWRBCXCXDRXEVRVTWQPUKW
      RBCWEWRBXCTZWRCXDTWRWEXETULUMWRAABWGIJZIJZXAKWRWLXJFGAXKKLXBWRBWGXCXGRAXJ
      UNQWRBAWGXIWRAXBTWRWGXGTUOUPUSWRBWFWHXIWRWFXFTWRWHXHTUQUPWJWBWSAKWAWIBIUR
      UTVAVBVCVRWCHZAWBVSXLWLWBFGZWCWLXMHVRAWBUCUDZSZXLWLXMXNVDVRWMWCBCVEUFVRWC
      VFXLWACKLZWBVSKLZXLXPWAAKLZXLVQWLXPXRHVPVQWCPZXOCAVGQSXLWAFGVQVPXPXQVHXLW
      AXLCAXSXOVIVJXSVPVQWCVKBWACVLVMVCVNVO $.
  $}

  $( If ` K ` and ` M ` are relatively prime, then the GCD of ` K ` and
     ` M x. N ` is the GCD of ` K ` and ` N ` .  (Contributed by Scott Fenton,
     12-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  rpmulgcd $p |- ( ( ( K e. NN /\ M e. NN /\ N e. NN ) /\
                ( K gcd M ) = 1 ) -> ( K gcd ( M x. N ) ) = ( K gcd N ) ) $=
    ( cn wcel w3a cgcd co c1 wceq wa cmul gcdmultiple 3adant2 nnz zmulcl syl2an
    cz adantr eqtrd oveq1d 3ad2ant1 3adant1 gcdass syl3anc eqtr3d nnnn0 mulgcdr
    cn0 syl3an oveq1 sylan9eq cc nncn 3ad2ant3 mulid2d oveq2d ) ADEZBDEZCDEZFZA
    BGHZIJZKZABCLHZGHZAACLHZVEGHZGHZACGHVAVFVIJVCVAAVGGHZVEGHZVFVIVAVJAVEGURUTV
    JAJUSACMNUAVAAREZVGREZVEREZVKVIJURUSVLUTAOZUBURUTVMUSURVLCREZVMUTVOCOZACPQN
    USUTVNURUSBREZVPVNUTBOZVQBCPQUCVEVGAUDUEUFSVDVHCAGVDVHICLHZCVAVCVHVBCLHZVTU
    RVLUSVRUTCUIEVHWAJVOVSCUGABCUHUJVBICLUKULVDCVACUMEZVCUTURWBUSCUNUOSUPTUQT
    $.

  ${
    $d A n k $.  $d B n k $.  $d N n k $.
    $( If ` A ` and ` B ` are relatively prime, then so are ` A ^ N ` and
       ` B ` .  (Contributed by Scott Fenton, 12-Apr-2014.)  (Revised by Mario
       Carneiro, 19-Apr-2014.) $)
    rplpwr $p |- ( ( A e. NN /\ B e. NN /\ N e. NN ) ->
       ( ( A gcd B ) = 1 -> ( ( A ^ N ) gcd B ) = 1 ) ) $=
      ( vk vn cn wcel cgcd co c1 wceq cexp wi oveq2 oveq1d eqeq1d imbi2d adantr
      wa cz cv caddc weq nncn exp1d biimpar w3a df-3an cmul simpl1 nncnd simpl3
      nnnn0d expp1d simp1 cn0 nnnn0 3ad2ant3 nnexpcld nnzd mulcomd eqtrd oveq2d
      zcnd simpl2 nnz 3ad2ant1 3ad2ant2 gcdcomd biimpa rpmulgcd 3eqtr4d biimprd
      syl31anc peano2nn sylanbr an32s expcom a2d nnind expd com12 3impia ) AFGZ
      BFGZCFGZABHIZJKZACLIZBHIZJKZMZWFWDWESZWLWFWMWHWKWMWHSZADUAZLIZBHIZJKZMWNA
      JLIZBHIZJKZMWNAEUAZLIZBHIZJKZMWNAXBJUBIZLIZBHIZJKZMWNWKMDECWOJKZWRXAWNXJW
      QWTJXJWPWSBHWOJALNOPQDEUCZWRXEWNXKWQXDJXKWPXCBHWOXBALNOPQWOXFKZWRXIWNXLWQ
      XHJXLWPXGBHWOXFALNOPQWOCKZWRWKWNXMWQWJJXMWPWIBHWOCALNOPQWMXAWHWMWTWGJWDWT
      WGKWEWDWSABHWDAAUDUEORPUFXBFGZWNXEXIWNXNXEXIMZWMXNWHXOWMXNSWDWEXNUGZWHXOW
      DWEXNUHXPWHSZXIXEXQXHXDJXQBXGHIZBXCHIZXHXDXQXRBAXCUIIZHIZXSXQXGXTBHXQXGXC
      AUIIXTXQAXBXQAWDWEXNWHUJZUKZXQXBWDWEXNWHULUMUNXQXCAXQXCXPXCTGWHXPXCXPAXBW
      DWEXNUOXNWDXBUPGWEXBUQURUSZUTRZVDYCVAVBVCXQWEWDXCFGZBAHIZJKZYAXSKWDWEXNWH
      VEYBXPYFWHYDRXPWHYHXPWGYGJXPABWDWEATGXNAVFVGWEWDBTGZXNBVFVHZVIPVJBAXCVKVN
      VBXQXGBXQXGXQAXFYBXQXFXPXFFGZWHXNWDYKWEXBVOURRUMUSUTXPYIWHYJRZVIXQXCBYEYL
      VIVLPVMVPVQVRVSVTWAWBWC $.
  $}

  $( If ` A ` and ` B ` are relatively prime, then so are ` A ` and ` B ^ N ` .
     Originally a subproof of ~ rppwr .  (Contributed by SN, 21-Aug-2024.) $)
  rprpwr $p |- ( ( A e. NN /\ B e. NN /\ N e. NN ) ->
      ( ( A gcd B ) = 1 -> ( A gcd ( B ^ N ) ) = 1 ) ) $=
    ( cn wcel w3a cgcd co c1 wceq cexp wi rplpwr 3com12 cz gcdcom syl2an eqeq1d
    nnz nnzd 3adant3 simp1 simp2 simp3 nnnn0d nnexpcld gcdcomd 3imtr4d ) ADEZBD
    EZCDEZFZBAGHZIJZBCKHZAGHZIJZABGHZIJAUOGHZIJUJUIUKUNUQLBACMNULURUMIUIUJURUMJ
    ZUKUIAOEBOEUTUJASBSABPQUARULUSUPIULAUOULAUIUJUKUBTULUOULBCUIUJUKUCULCUIUJUK
    UDUEUFTUGRUH $.

  $( If ` A ` and ` B ` are relatively prime, then so are ` A ^ N ` and
     ` B ^ N ` .  (Contributed by Scott Fenton, 12-Apr-2014.)  (Revised by
     Mario Carneiro, 19-Apr-2014.) $)
  rppwr $p |- ( ( A e. NN /\ B e. NN /\ N e. NN ) ->
      ( ( A gcd B ) = 1 -> ( ( A ^ N ) gcd ( B ^ N ) ) = 1 ) ) $=
    ( cn wcel w3a cexp co cgcd c1 wceq simp1 simp3 nnnn0d nnexpcld simp2 rplpwr
    3jca rprpwr sylsyld ) ADEZBDEZCDEZFZACGHZDEZUBUCFABIHJKUEBIHJKUEBCGHIHJKUDU
    FUBUCUDACUAUBUCLUDCUAUBUCMZNOUAUBUCPUGRABCQUEBCST $.

  $( Square distributes over gcd.  (Contributed by Scott Fenton, 18-Apr-2014.)
     (Revised by Mario Carneiro, 19-Apr-2014.) $)
  sqgcd $p |- ( ( M e. NN /\ N e. NN ) ->
         ( ( M gcd N ) ^ 2 ) = ( ( M ^ 2 ) gcd ( N ^ 2 ) ) ) $=
    ( cn wcel wa cgcd co c2 cexp c1 cdiv wceq cz cdvds adantr adantl syl2anc cc
    wbr cc0 cmul gcdnncl nnsqcld nncnd mulid1d nnsqcl nnz gcddvds syl2an simpld
    nnzd wi dvdssqim simprd gcddiv syl32anc nncn nnne0d sqdivd oveq12d syl31anc
    mpd dividd eqtr3d clt wne wb dvdsval2 syl3anc mpbid nnre nnred nngt0 nngt0d
    cr divgt0d elnnz sylanbrc 2nn rppwr mp3an3 3eqtr2d anim12i intnanrd gcdn0cl
    wn neneqd ax-1cn divmul mp3an2 syl12anc ) ACDZBCDZEZABFGZHIGZJUAGZWPAHIGZBH
    IGZFGZWNWPWNWPWNWOABUBZUCZUDZUEWNWTWPKGZJLZWQWTLZWNXDWRWPKGZWSWPKGZFGZAWOKG
    ZHIGZBWOKGZHIGZFGZJWNWRMDZWSMDZWPCDWPWRNSZWPWSNSZXDXILWLXOWMWLWRAUFZUKZOWMX
    PWLWMWSBUFUKZPXBWNWOANSZXQWNYBWOBNSZWLAMDZBMDZYBYCEZWMAUGZBUGZABUHUIZUJZWNW
    OMDZYDYBXQULWNWOXAUKZWLYDWMYGOZWOAUMQVBWNYCXRWNYBYCYIUNZWNYKYEYCXRULYLWMYEW
    LYHPZWOBUMQVBWRWSWPUOUPWNXKXGXMXHFWNAWOWLARDWMAUQOWNWOXAUDZWNWOXAURZUSWNBWO
    WMBRDWLBUQPYPYQUSUTWNXJXLFGZJLZXNJLZWNWOWOKGZYRJWNYDYEWOCDYFUUAYRLYMYOXAYIA
    BWOUOVAWNWOYPYQVCVDWNXJCDZXLCDZYSYTULZWNXJMDZTXJVESUUBWNYBUUEYJWNYKWOTVFZYD
    YBUUEVGYLYQYMWOAVHVIVJWNAWOWLAVODWMAVKOWNWOXAVLZWLTAVESWMAVMOWNWOXAVNZVPXJV
    QVRWNXLMDZTXLVESUUCWNYCUUIYNWNYKUUFYEYCUUIVGYLYQYOWOBVHVIVJWNBWOWMBVODWLBVK
    PUUGWMTBVESWLBVMPUUHVPXLVQVRUUBUUCHCDUUDVSXJXLHVTWAQVBWBWNWTRDZWPRDZWPTVFZX
    EXFVGZWNWTWNXOXPEWRTLZWSTLZEWFZWTCDWLXOWMXPXTYAWCWLUUPWMWLUUNUUOWLWRTWLWRXS
    URWGWDOWRWSWEQUDXCWNWPXBURUUJJRDUUKUULEUUMWHWTJWPWIWJWKVJVD $.

  $( Lemma for ~ dvdssq .  (Contributed by Scott Fenton, 18-Apr-2014.)
     (Revised by Mario Carneiro, 19-Apr-2014.) $)
  dvdssqlem $p |- ( ( M e. NN /\ N e. NN ) ->
           ( M || N <-> ( M ^ 2 ) || ( N ^ 2 ) ) ) $=
    ( cn wcel wa cdvds wbr c2 cexp co cz nnz syl2an cgcd wceq adantr nnsqcl cc0
    wb cr dvdssqim sqgcd gcdeq biimpar eqtrd cle cn0 gcdcl nn0red nn0ge0d nnnn0
    wi nnre sq11 syl22anc mpbid gcddvds simprd eqbrtrrd ex impbid ) ACDZBCDZEZA
    BFGZAHIJZBHIJZFGZVBAKDZBKDZVEVHULVCALZBLZABUAMVDVHVEVDVHEZABNJZABFVMVNHIJZV
    FOZVNAOZVMVOVFVGNJZVFVDVOVROVHABUBPVDVRVFOZVHVBVFCDVGCDVSVHSVCAQBQVFVGUCMUD
    UEVDVPVQSZVHVDVNTDRVNUFGATDZRAUFGZVTVDVNVBVIVJVNUGDVCVKVLABUHMZUIVDVNWCUJVB
    WAVCAUMPVBWBVCVBAAUKUJPVNAUNUOPUPVMVNAFGZVNBFGZVDWDWEEZVHVBVIVJWFVCVKVLABUQ
    MPURUSUTVA $.

  $( Two numbers are divisible iff their squares are.  (Contributed by Scott
     Fenton, 18-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  dvdssq $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
           ( M || N <-> ( M ^ 2 ) || ( N ^ 2 ) ) ) $=
    ( cz wcel wa cdvds wbr c2 cexp co cc0 wceq cabs cfv syl2an zsqcl adantr syl
    wb bitr4d breq1 breq1d bibi12d wne cn nnabscl breq2 breq2d dvdssqlem sylan2
    sq0i nnz simpl dvdsabsb nnsqcl nnzd cc zcn abssq 3bitr4d anassrs dvds0 2thd
    adantl pm2.61ne sylan absdvdsb adantlr eqcomd bitrd an32s 0dvds sqeq0 ) ACD
    ZBCDZEABFGZAHIJZBHIJZFGZSZKBFGZKVRFGZSZAKAKLZVPWAVSWBAKBFUAWDVQKVRFAUKUBUCV
    NAKUDZVOVTVNWEEZVOEZAMNZBFGZWHHIJZVRFGZVPVSWFWHUEDZVOWIWKSZAUFWLVOEWMWHKFGZ
    WJKFGZSZBKBKLZWIWNWKWOBKWHFUGWQVRKWJFBUKUHUCWLVOBKUDZWMWLVOWREZEZWHBMNZFGZW
    JXAHIJZFGZWIWKWSWLXAUEDXBXDSBUFWHXAUIUJWLWHCDZVOWIXBSWSWHULZVOWRUMWHBUNOWTW
    KWJVRMNZFGZXDWLWJCDZVRCDZWKXHSWSWLWJWHUOUPVOXJWRBPZQWJVRUNOWSXDXHSWLWSXCXGW
    JFWSBUQDZXCXGLVOXLWRBURZQBUSRUHVDTUTVAWLWPVOWLXEWPXFXEWNWOWHVBXEXIWOWHPWJVB
    RVCRQVEVFVNVOVPWISWEABVGVHWGVSVQMNZVRFGZWKWFVQCDZXJVSXOSVOVNXPWEAPQXKVQVRVG
    OWFXOWKSVOWFXNWJVRFVNXNWJLWEVNWJXNVNAUQDWJXNLAURAUSRVIQUBQVJUTVKVOWCVNVOWAV
    RKLZWBVOWAWQXQBVLVOXLXQWQSXMBVMRTVOXJWBXQSXKVRVLRTVDVE $.

  $( Partial converse to ~ bezout .  Existence of a linear combination does not
     set the GCD, but it does upper bound it.  (Contributed by Stefan O'Rear,
     23-Sep-2014.) $)
  bezoutr $p |- ( ( ( A e. ZZ /\ B e. ZZ ) /\ ( X e. ZZ /\ Y e. ZZ ) ) -> ( A
      gcd B ) || ( ( A x. X ) + ( B x. Y ) ) ) $=
    ( cz wcel wa cgcd co cmul gcdcl nn0zd adantr simpll simprl simplr cdvds wbr
    zmulcld dvdsmultr1d simprr gcddvds simpld simprd dvds2addd ) AEFZBEFZGZCEFZ
    DEFZGZGZABHIZACJIBDJIUHUMEFUKUHUMABKLMZULACUFUGUKNZUHUIUJOZSULBDUFUGUKPZUHU
    IUJUAZSULUMACUNUOUPULUMAQRZUMBQRZUHUSUTGUKABUBMZUCTULUMBDUNUQURULUSUTVAUDTU
    E $.

  $( Converse of ~ bezout for when the greater common divisor is one
     (sufficient condition for relative primality).  (Contributed by Stefan
     O'Rear, 23-Sep-2014.) $)
  bezoutr1 $p |- ( ( ( A e. ZZ /\ B e. ZZ ) /\ ( X e. ZZ /\ Y e. ZZ ) ) -> ( (
      ( A x. X ) + ( B x. Y ) ) = 1 -> ( A gcd B ) = 1 ) ) $=
    ( cz wcel wa cmul co caddc c1 wceq wbr cdvds cn a1i syl2anc cc0 wne oveq1
    cgcd cle bezoutr adantr simpr breqtrd wi gcdcl nn0zd ad2antrr 1nn dvdsle wb
    mpd wn simpll oveqan12d zcn mul02d sylan9eqr 00id eqtrdi adantll eqnetrd ex
    0ne1 necon2bd imp gcdn0cl nnle1eq1 syl mpbid ) AEFBEFGZCEFZDEFZGZGZACHIZBDH
    IZJIZKLZABUAIZKLZVQWAGZWBKUBMZWCWDWBKNMZWEWDWBVTKNVQWBVTNMWAABCDUCUDVQWAUEU
    FWDWBEFZKOFZWFWEUGVMWGVPWAVMWBABUHUIUJWHWDUKPWBKULQUNWDWBOFZWEWCUMWDVMARLZB
    RLZGZUOZWIVMVPWAUPVQWAWMVQWLVTKVQWLVTKSVQWLGZVTRKVPWLVTRLVMVPWLGVTRRJIZRWLV
    PVTRCHIZRDHIZJIWOWJWKVRWPVSWQJARCHTBRDHTUQVNVOWPRWQRJVNCCURUSVODDURUSUQUTVA
    VBVCRKSWNVFPVDVEVGVHABVIQWBVJVKVLVE $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Algorithms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d F k m $.  $d N k m $.  $d k m ph $.
    nn0seqcvgd.1 $e |- ( ph -> F : NN0 --> NN0 ) $.
    nn0seqcvgd.2 $e |- ( ph -> N = ( F ` 0 ) ) $.
    nn0seqcvgd.3 $e |- ( ( ph /\ k e. NN0 ) ->
      ( ( F ` ( k + 1 ) ) =/= 0 -> ( F ` ( k + 1 ) ) < ( F ` k ) ) ) $.
    $( A strictly-decreasing nonnegative integer sequence with initial term
       ` N ` reaches zero by the ` N ` th term.  Deduction version.
       (Contributed by Paul Chapman, 31-Mar-2011.) $)
    nn0seqcvgd $p |- ( ph -> ( F ` N ) = 0 ) $=
      ( cfv cc0 wceq cle wbr cmin co cn0 wcel wi clt wa cr 0nn0 ffvelrn sylancl
      vm wf eqeltrd nn0red leidd cv c1 caddc fveq2 oveq2 breq12d eqbrtrrd recnd
      imbi2d subid1d breqtrrd a1i wb nn0re posdif adantr breq1 adantl peano2nn0
      syl2anr cz syl2an nn0zd nn0z zsubcl zltlem1 syl2anc ax-1cn subsub4 mp3an3
      cc nn0cn breq2d bitrd 3bitr2d biimpa an32s a1d wne ffvelrnda zred syl3anc
      ltletr sylibd syland expdimp pm2.61dane anasss expcom a2d 3adant1 fnn0ind
      pm2.43i subidd breqtrd ffvelrnd nn0ge0d 0re letri3 mpbir2and ) ADCHZIJZXI
      IKLZIXIKLZAXIDDMNZIKAXIXMKLZADOPZXODDKLAXNQZADICHZOFAOOCUEZIOPXQOPEUAOOIC
      UBUCUFZXSADADXSUGZUHZAUDUIZCHZDYBMNZKLZQAXQDIMNZKLZQZABUIZCHZDYIMNZKLZQZA
      YIUJUKNZCHZDYNMNZKLZQZXPUDBDDYBIJZYEYGAYSYCXQYDYFKYBICULYBIDMUMUNUQYBYIJZ
      YEYLAYTYCYJYDYKKYBYICULYBYIDMUMUNUQYBYNJZYEYQAUUAYCYOYDYPKYBYNCULYBYNDMUM
      UNUQYBDJZYEXNAUUBYCXIYDXMKYBDCULYBDDMUMUNUQYHXOAXQDYFKADXQDKFYAUOADADXTUP
      ZURUSUTYIOPZYIDRLZYMYRQXOUUDUUESZAYLYQAUUFYLYQQZAUUDUUEUUGAUUDSZUUESZUUGY
      OIUUIYOIJZSYQYLUUHUUJUUEYQUUHUUJSZUUEYQUUKUUEIYKRLZYOYKRLZYQUUHUUEUULVAZU
      UJUUDYITPDTPUUNAYIVBXTYIDVCVHVDUUJUUMUULVAUUHYOIYKRVEVFUUHUUMYQVAUUJUUHUU
      MYOYKUJMNZKLZYQUUHYOVIPYKVIPZUUMUUPVAUUHYOAXRYNOPYOOPUUDEYIVGOOYNCUBVJZVK
      ADVIPYIVIPUUQUUDADXSVKYIVLDYIVMVJZYOYKVNVOUUHUUOYPYOKADVSPZYIVSPZUUOYPJZU
      UDUUCYIVTUUTUVAUJVSPUVBVPDYIUJVQVRVJWAWBZVDWCWDWEWFUUIYOIWGZYLYQUUHUVDYLS
      YQQUUEUUHUVDYOYJRLZYLYQGUUHUVEYLSZUUMYQUUHYOTPYJTPYKTPUVFUUMQUUHYOUURUGUU
      HYJAOOYICEWHUGUUHYKUUSWIYOYJYKWKWJUVCWLWMVDWNWOWPWQWRWSWTWJXAADUUCXBXCAXI
      AOODCEXSXDZXEAXITPITPXJXKXLSVAAXIUVGUGXFXIIXGUCXH $.
  $}

  ${
    $d x y A $.  $d x y F $.  $d x y M $.  $d x y ph $.  $d x y S $.
    $d x y V $.  $d x y Z $.
    algrf.1 $e |- Z = ( ZZ>= ` M ) $.
    algrf.2 $e |- R = seq M ( ( F o. 1st ) , ( Z X. { A } ) ) $.
    $( A sequence whose iteration function ignores the second argument is only
       affected by the first point of the initial value function.  (Contributed
       by Mario Carneiro, 11-Feb-2015.) $)
    seq1st $p |- ( ( M e. ZZ /\ A e. V ) ->
      R = seq M ( ( F o. 1st ) , { <. M , A >. } ) ) $=
      ( vx wcel cfv adantr wceq wi co fveq2 eqeq12d imbi2d eqtr4d fvex vy cz wa
      c1st ccom csn cxp cseq cop cuz seqfn cv c1 caddc seq1 eleqtrrdi fvconst2g
      wfn id uzid syl2anr fvsng ex wb seqp1 opco1i eqtrdi adantl syl5ibr expcom
      a2d uzind4 impcom adantll eqfnfvd eqtrid ) DUBJZAEJZUCZBCUDUEZFAUFUGZDUHZ
      VTDAUIUFZDUHZHVSIDUJKZWBWDVQWBWEURVRVTWADUKLVQWDWEURVRVTWCDUKLVRIULZWEJZW
      FWBKZWFWDKZMZVQWGVRWJVRUAULZWBKZWKWDKZMZNVRDWBKZDWDKZMZNVRWJNZVRWFUMUNOZW
      BKZWSWDKZMZNWRUAIDWFWKDMZWNWQVRXCWLWOWMWPWKDWBPWKDWDPQRWKWFMZWNWJVRXDWLWH
      WMWIWKWFWBPWKWFWDPQRZWKWSMZWNXBVRXFWLWTWMXAWKWSWBPWKWSWDPQRXEVQVRWQVSWODW
      AKZWPVQWOXGMVRVTWADUOLVSWPDWCKZXGVQWPXHMVRVTWCDUOLVSXGAXHVRVRDFJXGAMVQVRU
      SVQDWEFDUTGUPFADEUQVADAUBEVBSSSVCWGVRWJXBVRWGWJXBNWJXBVRWGUCWHCKZWICKZMZW
      HWICPWGXBXKVDVRWGWTXIXAXJWGWTWHWSWAKZVTOXIVTWADWFVEWHXLCWFWBTWSWATVFVGWGX
      AWIWSWCKZVTOXJVTWCDWFVEWIXMCWFWDTWSWCTVFVGQVHVIVJVKVLVMVNVOVP $.

    algrf.3 $e |- ( ph -> M e. ZZ ) $.
    algrf.4 $e |- ( ph -> A e. S ) $.
    $( The value of the algorithm iterator ` R ` at ` 0 ` is the initial state
       ` A ` .  (Contributed by Paul Chapman, 31-Mar-2011.)  (Revised by Mario
       Carneiro, 28-May-2014.) $)
    algr0 $p |- ( ph -> ( R ` M ) = A ) $=
      ( cfv c1st ccom csn cxp cseq wcel wceq syl fveq1i seq1 cuz uzid eleqtrrdi
      cz fvconst2g syl2anc eqtrd eqtrid ) AFCLFEMNZGBOPZFQZLZBFCUMIUAAUNFULLZBA
      FUFRZUNUOSJUKULFUBTABDRFGRUOBSKAFFUCLZGAUPFUQRJFUDTHUEGBFDUGUHUIUJ $.

    algrf.5 $e |- ( ph -> F : S --> S ) $.
    $( An algorithm is a step function ` F : S --> S ` on a state space ` S ` .
       An algorithm acts on an initial state ` A e. S ` by iteratively applying
       ` F ` to give ` A ` , ` ( F `` A ) ` , ` ( F `` ( F `` A ) ) ` and so
       on.  An algorithm is said to halt if a fixed point of ` F ` is reached
       after a finite number of iterations.

       The algorithm iterator ` R : NN0 --> S ` "runs" the algorithm ` F ` so
       that ` ( R `` k ) ` is the state after ` k ` iterations of ` F ` on the
       initial state ` A ` .

       Domain and codomain of the algorithm iterator ` R ` .  (Contributed by
       Paul Chapman, 31-Mar-2011.)  (Revised by Mario Carneiro,
       28-May-2014.) $)
    algrf $p |- ( ph -> R : Z --> S ) $=
      ( vx vy wf cv wcel wa cfv vex c1st ccom csn cxp cseq wceq fvconst2g sylan
      adantr eqeltrd co opco1i simpl ffvelrn syl2an eqeltrid seqf feq1i sylibr
      ) AGDEUAUBZGBUCUDZFUEZOGDCOAMNUTDVAFGHJAMPZGQZRVCVASZBDABDQZVDVEBUFKGBVCD
      UGUHAVFVDKUIUJAVCDQZNPZDQZRZRVCVHUTUKVCESZDVCVHEMTNTULADDEOVGVKDQVJLVGVIU
      MDDVCEUNUOUPUQGDCVBIURUS $.

    $( The value of the algorithm iterator ` R ` at ` ( K + 1 ) ` .
       (Contributed by Paul Chapman, 31-Mar-2011.)  (Revised by Mario Carneiro,
       27-Dec-2014.) $)
    algrp1 $p |- ( ( ph /\ K e. Z ) ->
                   ( R ` ( K + 1 ) ) = ( F ` ( R ` K ) ) ) $=
      ( wcel wa c1 co cfv fveq1i fvex caddc c1st ccom csn cxp cseq cuz eleqtrdi
      wceq simpr seqp1 syl fveq2i opco1i eqtr4i 3eqtr4g ) AFHNZOZFPUAQZEUBUCZHB
      UDUEZGUFZRZFVBRZUSVARZUTQZUSCRFCRZERZURFGUGRZNVCVFUIURFHVIAUQUJIUHUTVAGFU
      KULUSCVBJSVHVDERVFVGVDEFCVBJSUMVDVEEFVBTUSVATUNUOUP $.
  $}

  ${
    $d k z A $.  $d x F $.  $d k x z I $.  $d k x z R $.  $d k x z S $.
    $d z K $.
    alginv.1 $e |- R = seq 0 ( ( F o. 1st ) , ( NN0 X. { A } ) ) $.
    alginv.2 $e |- F : S --> S $.
    alginv.3 $e |- ( x e. S -> ( I ` ( F ` x ) ) = ( I ` x ) ) $.
    $( If ` I ` is an invariant of ` F ` , then its value is unchanged after
       any number of iterations of ` F ` .  (Contributed by Paul Chapman,
       31-Mar-2011.) $)
    alginv $p |-
         ( ( A e. S /\ K e. NN0 ) -> ( I ` ( R ` K ) ) = ( I ` ( R ` 0 ) ) ) $=
      ( cn0 wcel cfv cc0 wceq cv wi 2fveq3 eqeq1d imbi2d vz vk c1 caddc 0zd a1i
      co eqidd wa nn0uz id wf algrp1 fveq2d algrf ffvelrnda eqeq12d vtoclga syl
      fveq2 eqtrd biimprd expcom a2d nn0ind impcom ) GKLBDLZGCMFMZNCMFMZOZVGUAP
      ZCMFMZVIOZQVGVIVIOZQVGUBPZCMZFMZVIOZQVGVOUCUDUGZCMZFMZVIOZQVGVJQUAUBGVKNO
      ZVMVNVGWCVLVIVIVKNFCRSTVKVOOZVMVRVGWDVLVQVIVKVOFCRSTVKVSOZVMWBVGWEVLWAVIV
      KVSFCRSTVKGOZVMVJVGWFVLVHVIVKGFCRSTVGVIUHVOKLZVGVRWBVGWGVRWBQVGWGUIZWBVRW
      HWAVQVIWHWAVPEMZFMZVQWHVTWIFVGBCDEVONKUJHVGUEZVGUKZDDEULVGIUFZUMUNWHVPDLW
      JVQOZVGKDVOCVGBCDENKUJHWKWLWMUOUPAPZEMFMZWOFMZOWNAVPDWOVPOWPWJWQVQWOVPFER
      WOVPFUTUQJURUSVASVBVCVDVEVF $.
  $}

  ${
    $d A k $.  $d C k z $.  $d F z $.  $d N k $.  $d R k z $.  $d S k z $.
    algcvg.1 $e |- F : S --> S $.
    algcvg.2 $e |- R = seq 0 ( ( F o. 1st ) , ( NN0 X. { A } ) ) $.
    algcvg.3 $e |- C : S --> NN0 $.
    algcvg.4 $e |- ( z e. S -> ( ( C ` ( F ` z ) ) =/= 0 ->
                                 ( C ` ( F ` z ) ) < ( C ` z ) ) ) $.
    algcvg.5 $e |- N = ( C ` A ) $.
    $( One way to prove that an algorithm halts is to construct a countdown
       function ` C : S --> NN0 ` whose value is guaranteed to decrease for
       each iteration of ` F ` until it reaches ` 0 ` .  That is, if ` X e. S `
       is not a fixed point of ` F ` , then
       ` ( C `` ( F `` X ) ) < ( C `` X ) ` .

       If ` C ` is a countdown function for algorithm ` F ` , the sequence
       ` ( C `` ( R `` k ) ) ` reaches ` 0 ` after at most ` N ` steps, where
       ` N ` is the value of ` C ` for the initial state ` A ` .  (Contributed
       by Paul Chapman, 22-Jun-2011.) $)
    algcvg $p |- ( A e. S -> ( C ` ( R ` N ) ) = 0 ) $=
      ( wcel cfv cc0 cn0 wf wceq fvco3 clt vk ccom nn0uz 0zd a1i algrf ffvelrni
      id eqeltrid syl2anc sylancr 0nn0 sylancl algr0 fveq2d eqtrd eqtr4id cv wa
      fco wne wbr c1 caddc co wi ffvelrnda 2fveq3 fveq2 breq12d imbi12d vtoclga
      neeq1d syl peano2nn0 syl2an algrp1 sylan 3imtr4d nn0seqcvgd eqtr3d ) BEMZ
      GCDUBZNZGDNCNZOWBPEDQZGPMWDWERWBBDEFOPUCIWBUDZWBUHZEEFQWBHUEZUFZWBGBCNZPL
      EPBCJUGUIPEGCDSUJWBUAWCGWBEPCQWFPPWCQJWJPEPCDUTUKWBGWKOWCNZLWBWLODNZCNZWK
      WBWFOPMWLWNRWJULPEOCDSUMWBWMBCWBBDEFOPUCIWGWHUNUOUPUQWBUAURZPMZUSZWODNZFN
      ZCNZOVAZWTWRCNZTVBZWOVCVDVEZWCNZOVAXEWOWCNZTVBWQWREMXAXCVFZWBPEWODWJVGAUR
      ZFNCNZOVAZXIXHCNZTVBZVFXGAWREXHWRRZXJXAXLXCXMXIWTOXHWRCFVHZVMXMXIWTXKXBTX
      NXHWRCVIVJVKKVLVNWQXEWTOWQXEXDDNZCNZWTWBWFXDPMXEXPRWPWJWOVOPEXDCDSVPWQXOW
      SCWBBDEFWOOPUCIWGWHWIVQUOUPZVMWQXEWTXFXBTXQWBWFWPXFXBRWJPEWOCDSVRVJVSVTWA
      $.
  $}

  $( Lemma for ~ algcvgb .  (Contributed by Paul Chapman, 31-Mar-2011.) $)
  algcvgblem $p |- ( ( M e. NN0 /\ N e. NN0 ) -> ( ( N =/= 0 -> N < M ) <->
                      ( ( M =/= 0 -> N < M ) /\ ( M = 0 -> N = 0 ) ) ) ) $=
    ( cn0 wcel wa cc0 wne clt wbr wi wceq wn cle cr wb 0re nn0re adantr bitr4di
    df-ne wo imor ltnle sylancr nn0le0eq0 notbid bitrd anbi2d nne breq1 biimpar
    syl6bir expd ax-1 jaob sylanblrc syl5bi nn0ge0 adantl lelttr mp3an1 syl2anr
    sylbi mpand sylibd imim2d jcad pm3.34 impbid1 con34b imbi12i bitr4i anbi2i
    ) ACDZBCDZEZBFGZBAHIZJZAFGZVRJZVQVTJZEZWAAFKZBFKZJZEVPVSWCVPVSWAWBVSVQLZVRU
    AZVPWAVQVRUBVPWGWAJVRWAJWHWAJVPWGVTVRVPWGVTEWGFAHIZEVRVPWIVTWGVPWIWDLZVTVPW
    IAFMIZLZWJVPFNDZANDZWIWLOPVNWNVOAQZRFAUCUDVNWLWJOVOVNWKWDAUEUFRUGAFTZSZUHWG
    VRWIWGWEVRWIOBFUIBFAHUJVCUKULUMVRVTUNWGWAVRUOUPUQVPVRVTVQVPVRWIVTVPFBMIZVRW
    IVOWRVNBURUSVOBNDZWNWRVREWIJZVNBQWOWMWSWNWTPFBAUTVAVBVDWQVEVFVGVQVTVRVHVIWF
    WBWAWFWELZWJJWBWDWEVJVQXAVTWJBFTWPVKVLVMS $.

  ${
    algcvgb.1 $e |- F : S --> S $.
    algcvgb.2 $e |- C : S --> NN0 $.
    $( Two ways of expressing that ` C ` is a countdown function for algorithm
       ` F ` .  The first is used in these theorems.  The second states the
       condition more intuitively as a conjunction: if the countdown function's
       value is currently nonzero, it must decrease at the next step; if it has
       reached zero, it must remain zero at the next step.  (Contributed by
       Paul Chapman, 31-Mar-2011.) $)
    algcvgb $p |- ( X e. S ->
        ( ( ( C ` ( F ` X ) ) =/= 0 -> ( C ` ( F ` X ) ) < ( C ` X ) ) <->
          ( ( ( C ` X ) =/= 0 -> ( C ` ( F ` X ) ) < ( C ` X ) ) /\
            ( ( C ` X ) = 0 -> ( C ` ( F ` X ) ) = 0 ) ) ) ) $=
      ( wcel cfv cn0 cc0 wne clt wbr wi wceq wa wb ffvelrni syl algcvgblem
      syl2anc ) DBGZDAHZIGDCHZAHZIGZUEJKUEUCLMZNUCJKUGNUCJOUEJONPQBIDAFRUBUDBGU
      FBBDCERBIUDAFRSUCUETUA $.
  $}

  ${
    $d A k m $.  $d C k m z $.  $d F z $.  $d K m $.  $d N k m $.
    $d R k m z $.  $d S k m z $.
    algcvga.1 $e |- F : S --> S $.
    algcvga.2 $e |- R = seq 0 ( ( F o. 1st ) , ( NN0 X. { A } ) ) $.
    algcvga.3 $e |- C : S --> NN0 $.
    algcvga.4 $e |- ( z e. S -> ( ( C ` ( F ` z ) ) =/= 0 ->
                                  ( C ` ( F ` z ) ) < ( C ` z ) ) ) $.
    algcvga.5 $e |- N = ( C ` A ) $.
    $( The countdown function ` C ` remains ` 0 ` after ` N ` steps.
       (Contributed by Paul Chapman, 22-Jun-2011.) $)
    algcvga $p |- ( A e. S -> ( K e. ( ZZ>= ` N ) ->
                                ( C ` ( R ` K ) ) = 0 ) ) $=
      ( wcel cn0 cfv cc0 wceq wi wbr vm vk cuz ffvelrni eqeltrid cz nn0z cle wa
      eluz1 cv c1 caddc co 2fveq3 eqeq1d imbi2d algcvg a1i w3a nn0ge0 adantr cr
      0re nn0re zre letr mp3an3an mpand elnn0z simplbi2 adantl syld impr expcom
      sylan 3adant1 ancld nn0uz 0zd id wf algrf ffvelrnda wne clt fveq2 breq12d
      neeq1d imbi12d vtoclga algcvgb simpr syl6bi mpd syl fveqeq2d sylibrd syl6
      algrp1 a2d uzind 3expib sylbid com3r ) BENZHONZGHUCPNZGDPCPZQRZSXFHBCPOME
      OBCKUDUEZXGXHXFXJXGHUFNZXHXFXJSZSHUGXLXHGUFNZHGUHTZUIXMHGUJXLXNXOXMXFUAUK
      ZDPCPZQRZSXFHDPCPZQRZSZXFUBUKZDPZCPZQRZSXFYBULUMUNZDPZCPZQRZSXMUAUBHGXPHR
      ZXRXTXFYJXQXSQXPHCDUOUPUQXPYBRZXRYEXFYKXQYDQXPYBCDUOUPUQXPYFRZXRYIXFYLXQY
      HQXPYFCDUOUPUQXPGRZXRXJXFYMXQXIQXPGCDUOUPUQYAXLABCDEFHIJKLMURUSXLYBUFNZHY
      BUHTZUTZXFYEYIYPXFXFYBONZUIZYEYISYPXFYQYNYOXFYQSXLXFYNYOUIYQXFYNYOYQXFXGY
      NYOYQSXKXGYNUIZYOQYBUHTZYQYSQHUHTZYOYTXGUUAYNHVAVBQVCNXGHVCNYNYBVCNUUAYOU
      IYTSVDHVEYBVFQHYBVGVHVIYNYTYQSXGYQYNYTYBVJVKVLVMVPVNVOVQVRYRYEYCFPZCPZQRZ
      YIYRYCENZYEUUDSZXFOEYBDXFBDEFQOVSJXFVTZXFWAZEEFWBXFIUSZWCWDUUEUUCQWEZUUCY
      DWFTZSZUUFAUKZFPCPZQWEZUUNUUMCPZWFTZSUULAYCEUUMYCRZUUOUUJUUQUUKUURUUNUUCQ
      UUMYCCFUOZWIUURUUNUUCUUPYDWFUUSUUMYCCWGWHWJLWKUUEUULYDQWEUUKSZUUFUIUUFCEF
      YCIKWLUUTUUFWMWNWOWPYRYGUUBQCXFBDEFYBQOVSJUUGUUHUUIWTWQWRWSXAXBXCXDWPXEWO
      $.

    $d K z $.  $d N z $.
    algfx.6 $e |- ( z e. S -> ( ( C ` z ) = 0 -> ( F ` z ) = z ) ) $.
    $( If ` F ` reaches a fixed point when the countdown function ` C ` reaches
       ` 0 ` , ` F ` remains fixed after ` N ` steps.  (Contributed by Paul
       Chapman, 22-Jun-2011.) $)
    algfx $p |- ( A e. S -> ( K e. ( ZZ>= ` N ) -> ( R ` K ) = ( R ` N ) ) ) $=
      ( wcel cfv wceq wi cn0 wa vm vk cz cuz ffvelrni eqeltrid nn0zd cv cle wbr
      crab uzval eleq2d pm5.32i c1 caddc fveqeq2 imbi2d eqidd a1i eluznn0 sylan
      co cc0 nn0uz 0zd id algrp1 syldan algrf ffvelrnda algcvga eqeq12d imbi12d
      wf imp fveq2 vtoclga eqtrd eqeq1d biimprd expcom adantl sylbir a2d uzind3
      sylc sylbi ex com3r mpd ) BEOZHUCOZGHUDPZOZGDPHDPZQZRWLHWLHBCPSMESBCKUEUF
      ZUGWMWOWLWQWMWOWLWQRZWMWOTWMGHAUHZUIUJAUCUKZOZTWSWMWOXBWMWNXAGAHULZUMUNWL
      UAUHZDPWPQZRWLWPWPQZRZWLUBUHZDPZWPQZRWLXHUOUPVCZDPZWPQZRWSUAAUBHGXDHQXEXF
      WLXDHWPDUQURXDXHQXEXJWLXDXHWPDUQURXDXKQXEXMWLXDXKWPDUQURXDGQXEWQWLXDGWPDU
      QURXGWMWLWPUSUTWMXHXAOZTZWLXJXMXOWMXHWNOZTWLXJXMRZRZWMXPXNWMWNXAXHXCUMUNX
      PXRWMWLXPXQWLXPTZXMXJXSXLXIWPXSXLXIFPZXIWLXPXHSOZXLXTQWLHSOXPYAWRXHHVAVBZ
      WLBDEFXHVDSVEJWLVFZWLVGZEEFVOWLIUTZVHVIXSXIEOZXICPVDQZXTXIQZWLXPYAYFYBWLS
      EXHDWLBDEFVDSVEJYCYDYEVJVKVIWLXPYGABCDEFXHHIJKLMVLVPWTCPVDQZWTFPZWTQZRYGY
      HRAXIEWTXIQZYIYGYKYHWTXIVDCUQYLYJXTWTXIWTXIFVQYLVGVMVNNVRWGVSVTWAWBWCWDWE
      WFWHWIWJWK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Euclid's Algorithm
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y M $.  $d x y N $.  $d x y X $.  $d x y z A $.  $d x z R $.
    $d z E $.
    eucalgval.1 $e |- E = ( x e. NN0 , y e. NN0 |->
                        if ( y = 0 , <. x , y >. , <. y , ( x mod y ) >. ) ) $.
    $( The value of the step function ` E ` for Euclid's Algorithm on an
       ordered pair.  (Contributed by Paul Chapman, 31-Mar-2011.)  (Revised by
       Mario Carneiro, 28-May-2014.) $)
    eucalgval2 $p |- ( ( M e. NN0 /\ N e. NN0 ) -> ( M E N ) =
                     if ( N = 0 , <. M , N >. , <. N , ( M mod N ) >. ) ) $=
      ( cn0 cv cc0 wceq cop cmo co cif wa simpr eqeq1d opeq12 oveq12 opex ifex
      opeq12d ifbieq12d ovmpoa ) ABDEGGBHZIJZAHZUEKZUEUGUELMZKZNEIJZDEKZEDELMZK
      ZNCUGDJZUEEJZOZUFUKUHUJULUNUQUEEIUOUPPZQUGUEDERUQUEEUIUMURUGDUEELSUBUCFUK
      ULUNDETEUMTUAUD $.

    $( Euclid's Algorithm ~ eucalg computes the greatest common divisor of two
       nonnegative integers by repeatedly replacing the larger of them with its
       remainder modulo the smaller until the remainder is 0.

       The value of the step function ` E ` for Euclid's Algorithm.
       (Contributed by Paul Chapman, 31-Mar-2011.)  (Revised by Mario Carneiro,
       28-May-2014.) $)
    eucalgval $p |- ( X e. ( NN0 X. NN0 ) -> ( E ` X ) =
          if ( ( 2nd ` X ) = 0 , X , <. ( 2nd ` X ) , ( mod ` X ) >. ) ) $=
      ( cn0 cxp wcel c1st cfv c2nd cop cc0 wceq cmo co cif df-ov xp1st fveq2d
      xp2nd eucalgval2 syl2anc eqtr3id 1st2nd2 eqtr4di opeq2d ifeq12d 3eqtr4d )
      DFFGHZDIJZDKJZLZCJZULMNZUMULUKULOPZLZQZDCJUODULDOJZLZQUJUNUKULCPZURUKULCR
      UJUKFHULFHVAURNDFFSDFFUAABCUKULEUBUCUDUJDUMCDFFUEZTUJUODUMUTUQVBUJUSUPULU
      JUSUMOJUPUJDUMOVBTUKULORUFUGUHUI $.

    $( Domain and codomain of the step function ` E ` for Euclid's Algorithm.
       (Contributed by Paul Chapman, 31-Mar-2011.)  (Revised by Mario Carneiro,
       28-May-2014.) $)
    eucalgf $p |- E : ( NN0 X. NN0 ) --> ( NN0 X. NN0 ) $=
      ( cv cc0 wceq cop cmo co cif cn0 cxp wcel wral wf wa cn adantl eqeltrd cz
      wne nnne0 neneqd iffalsed nnnn0 nn0z zmodcl sylan opelxpd adantlr opelxpi
      iftrue adantr wo simpr elnn0 sylib mpjaodan rgen2 fmpo mpbi ) BEZFGZAEZVC
      HZVCVEVCIJZHZKZLLMZNZBLOALOVJVJCPVKABLLVELNZVCLNZQZVCRNZVKVDVLVOVKVMVLVOQ
      ZVIVHVJVPVDVFVHVPVCFVOVCFUBVLVCUCSUDUEVPVCVGLLVOVMVLVCUFSVLVEUANVOVGLNVEU
      GVEVCUHUIUJTUKVNVDQVIVFVJVDVIVFGVNVDVFVHUMSVNVFVJNVDVEVCLLULUNTVNVMVOVDUO
      VLVMUPVCUQURUSUTABLLVIVJCDVAVB $.

    $( The invariant of the step function ` E ` for Euclid's Algorithm is the
       ` gcd ` operator applied to the state.  (Contributed by Paul Chapman,
       31-Mar-2011.)  (Revised by Mario Carneiro, 29-May-2014.) $)
    eucalginv $p
             |- ( X e. ( NN0 X. NN0 ) -> ( gcd ` ( E ` X ) ) = ( gcd ` X ) ) $=
  ( cn0 wcel cfv cgcd cc0 wceq cmo cop fveq2d co adantr df-ov eqtr4di cz nn0zd
  cxp c2nd cif eucalgval cn wa c1st 1st2nd2 oveq2d xp1st zmodcl sylancom gcdcom
  nnz syl2an2 modgcd 3eqtrd wne nnne0 adantl neneqd iffalsed iftrue xp2nd elnn0
  3eqtr4d wo sylib mpjaodan eqtrd ) DFFUAGZDCHZIHDUBHZJKZDVMDLHZMZUCZIHZDIHZVKV
  LVQIABCDEUDNVKVMUEGZVRVSKZVNVKVTUFZVMVOIOZDUGHZVMIOZVRVSWBWCVMWDVMLOZIOZWFVMI
  OZWEWBVOWFVMIWBVOWDVMMZLHWFWBDWILVKDWIKVTDFFUHPZNWDVMLQRUIVTVMSGVKWFSGWGWHKVM
  UNWBWFVKVTWDSGZWFFGWBWDVKWDFGVTDFFUJPTZWDVMUKULTVMWFUMUOVKVTWKWHWEKWLWDVMUPUL
  UQWBVRVPIHWCWBVQVPIWBVNDVPWBVMJVTVMJURVKVMUSUTVAVBNVMVOIQRWBVSWIIHWEWBDWIIWJN
  WDVMIQRVFVNWAVKVNVQDIVNDVPVCNUTVKVMFGVTVNVGDFFVDVMVEVHVIVJ $.

    $( The second member of the state decreases with each iteration of the step
       function ` E ` for Euclid's Algorithm.  (Contributed by Paul Chapman,
       31-Mar-2011.)  (Revised by Mario Carneiro, 29-May-2014.) $)
    eucalglt $p |- ( X e. ( NN0 X. NN0 ) ->
        ( ( 2nd ` ( E ` X ) ) =/= 0 -> ( 2nd ` ( E ` X ) ) < ( 2nd ` X ) ) ) $=
      ( cn0 cxp wcel cfv c2nd cc0 clt wbr cmo cop wceq adantr eqtrd fveq2d fvex
      wne wa c1st co eucalgval wn simpr iftrue eqeq2d fveq2 syl6bi eqeq2 sylibd
      cif syl5com necon3ad iffalsed op2nd eqtrdi 1st2nd2 df-ov eqtr4di cr xp1st
      mpd crp nn0red cn wo xp2nd elnn0 sylib ord nnrpd modlt syl2anc eqbrtrd ex
      mt3d ) DFFGHZDCIZJIZKUAZWBDJIZLMVTWCUBZWBDUCIZWDNUDZWDLWEWBDNIZWGWEWBWDWH
      OZJIWHWEWAWIJWEWAWDKPZDWIUNZWIVTWAWKPZWCABCDEUEQZWEWJDWIWEWCWJUFVTWCUGWEW
      JWBKWEWLWJWBKPZWMWJWLWBWDPZWNWJWLWADPWOWJWKDWAWJDWIUHUIWADJUJUKWDKWBULUMU
      OUPVEZUQRSWDWHDJTDNTURUSWEWHWFWDOZNIWGWEDWQNVTDWQPWCDFFUTQSWFWDNVAVBRWEWF
      VCHWDVFHWGWDLMWEWFVTWFFHWCDFFVDQVGWEWDWEWDVHHZWJWPWEWRWJWEWDFHZWRWJVIVTWS
      WCDFFVJQWDVKVLVMVSVNWFWDVOVPVQVR $.

    eucalg.2 $e |- R = seq 0 ( ( E o. 1st ) , ( NN0 X. { A } ) ) $.
    ${
      eucalgcvga.3 $e |- N = ( 2nd ` A ) $.
      $( Once Euclid's Algorithm halts after ` N ` steps, the second element of
         the state remains 0 .  (Contributed by Paul Chapman, 22-Jun-2011.)
         (Revised by Mario Carneiro, 29-May-2014.) $)
      eucalgcvga $p |- ( A e. ( NN0 X. NN0 ) ->
                          ( K e. ( ZZ>= ` N ) -> ( 2nd ` ( R ` K ) ) = 0 ) ) $=
        ( vz cn0 wcel cuz cfv c2nd cc0 wceq fvresd clt wa cres eqeltrid eluznn0
        cxp xp2nd sylan nn0uz 0zd id wf eucalgf a1i algrf ffvelrnda simpl fvres
        syldan eqtr4di fveq2d eleq2d biimpar f2ndres cv wne wbr eucalglt neeq1d
        ffvelrni breq12d 3imtr4d eqid algcvga sylc eqtr3d ex ) CLLUEZMZFGNOZMZF
        DOZPOZQRVRVTUAZWAPVQUBZOZWBQWCWAVQPVRVTFLMZWAVQMVRGLMVTWFVRGCPOZLJCLLUF
        UCFGUDUGVRLVQFDVRCDVQEQLUHIVRUIVRUJVQVQEUKVRABEHULZUMUNUOURSWCVRFCWDOZN
        OZMZWEQRVRVTUPVRWKVTVRWJVSFVRWIGNVRWIWGGCVQPUQJUSUTVAVBKCWDDVQEFWIWHILL
        VCKVDZVQMZWLEOZPOZQVEWOWLPOZTVFWNWDOZQVEWQWLWDOZTVFABEWLHVGWMWQWOQWMWNV
        QPVQVQWLEWHVISZVHWMWQWOWRWPTWSWLVQPUQVJVKWIVLVMVNVOVP $.
    $}

    eucalg.3 $e |- A = <. M , N >. $.
    $( Euclid's Algorithm computes the greatest common divisor of two
       nonnegative integers by repeatedly replacing the larger of them with its
       remainder modulo the smaller until the remainder is 0.  Theorem 1.15 in
       [ApostolNT] p. 20.

       Upon halting, the 1st member of the final state ` ( R `` N ) ` is equal
       to the gcd of the values comprising the input state ` <. M , N >. ` .
       This is Metamath 100 proof #69 (greatest common divisor algorithm).
       (Contributed by Paul Chapman, 31-Mar-2011.)  (Proof shortened by Mario
       Carneiro, 29-May-2014.) $)
    eucalg $p
        |- ( ( M e. NN0 /\ N e. NN0 ) -> ( 1st ` ( R ` N ) ) = ( M gcd N ) ) $=
  ( cn0 wcel cfv cgcd cc0 co c2nd wceq syl fveq2d vz wa c1st cop cxp wf opelxpi
  nn0uz 0zd eqeltrid eucalgf algrf ffvelrn sylancom 1st2nd2 df-ov fveq2i op2ndg
  a1i eqtr4di eqtrid cuz cz xp2nd nn0zd uzid eucalgcvga mpd eqtr3d oveq2d xp1st
  eqid nn0gcdid0 3syl 3eqtrrd cv eucalginv ffvelrni fvresd fvres 3eqtr4d alginv
  cres 0nn0 sylancl 3eqtr3d algr0 eqtrdi 3eqtrd ) FKLZGKLZUBZGDMZUCMZWMNMZODMZN
  MZFGNPZWLWOWNWMQMZNPZWNONPZWNWLWOWNWSUDZNMWTWLWMXBNWLWMKKUEZLZWMXBRWJWKKXCDUF
  ZXDWLCDXCEOKUHIWLUIZWLCFGUDZXCJFGKKUGUJZXCXCEUFWLABEHUKZUSULZKXCGDUMUNZWMKKUO
  STWNWSNUPUTWLWSOWNNWLCQMZDMZQMZWSOWLXMWMQWLXLGDWLXLXGQMGCXGQJUQFGKKURVATTWLCX
  CLZXNORZXHXOXLXLVBMLZXPXOXLVCLXQXOXLCKKVDVEXLVFSABCDEXLXLHIXLVLVGVHSVIVJWLXDW
  NKLXAWNRXKWMKKVKWNVMVNVOWLWMNXCWCZMZWPXRMZWOWQWJWKXOXSXTRXHUACDXCEXRGIXIUAVPZ
  XCLZYAEMZNMYANMYCXRMYAXRMABEYAHVQYBYCXCNXCXCYAEXIVRVSYAXCNVTWAWBUNWLWMXCNXKVS
  WLWPXCNWLXEOKLWPXCLXJWDKXCODUMWEVSWFWLWQXGNMWRWLWPXGNWLWPCXGWLCDXCEOKUHIXFXHW
  GJWHTFGNUPUTWI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The least common multiple
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  According to Wikipedia ("Least common multiple", 27-Aug-2020,
  ~ https://en.wikipedia.org/wiki/Least_common_multiple ): "In arithmetic and
  number theory, the _least common multiple_, lowest common multiple, or
  smallest common multiple of two integers a and b, usually denoted by
  lcm(a, b), is the smallest positive integer that is divisible by both a
  and b.  Since division of integers by zero is undefined, this definition has
  meaning only if a and b are both different from zero.  However, some authors
  define lcm(a,0) as 0 for all a, which is the result of taking the lcm to be
  the least upper bound in the lattice of divisibility.  ...  The lcm of more
  than two integers is also well-defined: it is the smallest positive integer
  hat is divisible by each of them."

  In this section, an operation calculating the least common multiple of two
  integers ( ~ df-lcm ) as well as a function mapping a set of integers to
  their least common multiple ( ~ df-lcmf ) are provided.  Both definitions are
  valid for all integers, including negative integers and 0, obeying the above
  mentioned convention. It is shown by ~ lcmfpr that the two definitions are
  compatible.

$)

  $c lcm _lcm $.
  $( Extend the definition of a class to include the least common multiple
     operator. $)
  clcm $a class lcm $.
  $( Extend the definition of a class to include the least common multiple
     function. $)
  clcmf $a class _lcm $.

  ${
    $d n x y $.
    $( Define the ` lcm ` operator.  For example, ` ( 6 lcm 9 ) = 1 8 `
       ( ~ ex-lcm ).  (Contributed by Steve Rodriguez, 20-Jan-2020.)  (Revised
       by AV, 16-Sep-2020.) $)
    df-lcm $a |- lcm = ( x e. ZZ , y e. ZZ |-> if ( ( x = 0 \/ y = 0 ) , 0 ,
                     inf ( { n e. NN | ( x || n /\ y || n ) } , RR , < ) ) ) $.
  $}

  ${
    $d m n z $.
    $( Define the ` _lcm ` function on a set of integers.  (Contributed by AV,
       21-Aug-2020.)  (Revised by AV, 16-Sep-2020.) $)
    df-lcmf $a |- _lcm = ( z e. ~P ZZ |-> if ( 0 e. z , 0 ,
                         inf ( { n e. NN | A. m e. z m || n } , RR , < ) ) ) $.
  $}

  ${
    $d n x y M $.  $d n x y N $.
    $( Value of the ` lcm ` operator. ` ( M lcm N ) ` is the least common
       multiple of ` M ` and ` N ` .  If either ` M ` or ` N ` is ` 0 ` , the
       result is defined conventionally as ` 0 ` .  Contrast with ~ df-gcd and
       ~ gcdval .  (Contributed by Steve Rodriguez, 20-Jan-2020.)  (Revised by
       AV, 16-Sep-2020.) $)
    lcmval $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M lcm N ) =
        if ( ( M = 0 \/ N = 0 ) , 0 , inf ( { n e. NN | ( M || n /\ N || n ) }
        , RR , < ) ) ) $=
      ( vx vy cz cv cc0 wceq wo cdvds wbr wa cn crab cr clt cinf cif eqeq1 clcm
      orbi1d breq1 anbi1d rabbidv ifbieq2d orbi2d anbi2d df-lcm c0ex ltso infex
      infeq1d ifex ovmpo ) DEBCFFDGZHIZEGZHIZJZHUPAGZKLZURVAKLZMZANOZPQRZSBHIZC
      HIZJZHBVAKLZCVAKLZMZANOZPQRZSUAVGUSJZHVJVCMZANOZPQRZSUPBIZUTVOVFVRHVSUQVG
      USUPBHTUBVSPVEVQQVSVDVPANVSVBVJVCUPBVAKUCUDUEUMUFURCIZVOVIVRVNHVTUSVHVGUR
      CHTUGVTPVQVMQVTVPVLANVTVCVKVJURCVAKUCUHUEUMUFDEAUIVIHVNUJPVMQUKULUNUO $.
  $}

  ${
    $d n K $.  $d n M $.  $d n N $.
    $( The ` lcm ` operator is commutative.  (Contributed by Steve Rodriguez,
       20-Jan-2020.)  (Proof shortened by AV, 16-Sep-2020.) $)
    lcmcom $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M lcm N ) = ( N lcm M ) ) $=
      ( vn cz wcel wa cc0 wceq wo cdvds wbr cn crab cr clt cinf cif clcm lcmval
      co cv orcom ancom rabbii infeq1i ifbieq2i ancoms 3eqtr4a ) ADEZBDEZFAGHZB
      GHZIZGACUAZJKZBUNJKZFZCLMZNOPZQULUKIZGUPUOFZCLMZNOPZQZABRTBARTZUMUTUSVCGU
      KULUBNURVBOUQVACLUOUPUCUDUEUFCABSUJUIVEVDHCBASUGUH $.

    $( The value, by convention, of the ` lcm ` operator when either operand is
       0.  (Use ~ lcmcom for a left-hand 0.)  (Contributed by Steve Rodriguez,
       20-Jan-2020.)  (Proof shortened by AV, 16-Sep-2020.) $)
    lcm0val $p |- ( M e. ZZ -> ( M lcm 0 ) = 0 ) $=
      ( vn cz wcel cc0 clcm co wceq 0z wa wo cv cdvds wbr cn crab clt cinf cif
      cr lcmval eqid olci iftruei eqtrdi mpan2 ) ACDZECDZAEFGZEHIUGUHJUIAEHZEEH
      ZKZEABLZMNEUMMNJBOPTQRZSEBAEUAULEUNUKUJEUBUCUDUEUF $.

    $( The value of the ` lcm ` operator when both operands are nonzero.
       (Contributed by Steve Rodriguez, 20-Jan-2020.)  (Revised by AV,
       16-Sep-2020.) $)
    lcmn0val $p |- ( ( ( M e. ZZ /\ N e. ZZ ) /\ -. ( M = 0 \/ N = 0 ) )
      -> ( M lcm N ) = inf ( { n e. NN | ( M || n /\ N || n ) } , RR , < ) ) $=
      ( cz wcel wa cc0 wceq wo wn clcm co cv cdvds wbr cn crab cr clt cinf cif
      lcmval iffalse sylan9eq ) BDECDEFBGHCGHIZJBCKLUEGBAMZNOCUFNOFAPQRSTZUAUGA
      BCUBUEGUGUCUD $.

    $( Lemma for ~ lcmn0cl and ~ dvdslcm .  (Contributed by Steve Rodriguez,
       20-Jan-2020.)  (Proof shortened by AV, 16-Sep-2020.) $)
    lcmcllem $p |- ( ( ( M e. ZZ /\ N e. ZZ ) /\ -. ( M = 0 \/ N = 0 ) ) ->
        ( M lcm N ) e. { n e. NN | ( M || n /\ N || n ) } ) $=
      ( cz wcel wa cc0 wceq wn co cdvds wbr cn c1 cfv wne adantr cc zcn df-ne
      wo clcm cv crab cr clt cinf lcmn0val cuz c0 ssrab2 nnuz sseqtri wrex cmul
      wss cabs zmulcl anim12i anbi12i sylbb2 mulne0 an4s syl2an nnabscl syl2anc
      ioran dvdsmul1 wb dvdsabsb syldan mpbid dvdsmul2 sylan2 anabss7 jca breq2
      anbi12d rspcev rabn0 sylibr infssuzcl sylancr eqeltrd ) BDEZCDEZFZBGHZCGH
      ZUAIZFZBCUBJBAUCZKLZCWLKLZFZAMUDZUEUFUGZWPABCUHWKWPNUIOZUPWPUJPZWQWPEWPMW
      RWOAMUKULUMWKWOAMUNZWSWKBCUOJZUQOZMEZBXBKLZCXBKLZFZWTWKXADEZXAGPZXCWGXGWJ
      BCURZQWGBREZCREZFBGPZCGPZFZXHWJWEXJWFXKBSCSUSWJWHIZWIIZFXNWHWIVGXLXOXMXPB
      GTCGTUTVAXJXLXKXMXHBCVBVCVDXAVEVFWGXFWJWGXDXEWGBXAKLZXDBCVHWEWFXGXQXDVIXI
      BXAVJVKVLWGCXAKLZXEBCVMWEWFXRXEVIZWGWFXGXSXICXAVJVNVOVLVPQWOXFAXBMWLXBHWM
      XDWNXEWLXBBKVQWLXBCKVQVRVSVFWOAMVTWAWPNWBWCWD $.

    $( Closure of the ` lcm ` operator.  (Contributed by Steve Rodriguez,
       20-Jan-2020.) $)
    lcmn0cl $p |- ( ( ( M e. ZZ /\ N e. ZZ ) /\ -. ( M = 0 \/ N = 0 ) ) ->
        ( M lcm N ) e. NN ) $=
      ( vn cz wcel wa cc0 wceq wo wn cv cdvds wbr cn crab clcm co ssrab2 sselid
      lcmcllem ) ADEBDEFAGHBGHIJFACKZLMBUALMFZCNONABPQUBCNRCABTS $.

    $( The lcm of two integers is divisible by each of them.  (Contributed by
       Steve Rodriguez, 20-Jan-2020.) $)
    dvdslcm $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M || ( M lcm N )
                                                /\ N || ( M lcm N ) ) ) $=
      ( vn cz wcel wa cc0 wceq wo co cdvds wbr dvds0 ad2antrr lcm0val sylan9eqr
      clcm breqtrrd cn breq2 oveq1 0z lcmcom mpan2 eqtr3d adantll oveq2 adantlr
      jaodan ad2antlr jca wn crab lcmcllem lcmn0cl anbi12d elrab3 syl pm2.61dan
      cv wb mpbid ) ADEZBDEZFZAGHZBGHZIZAABQJZKLZBVIKLZFZVEVHFZVJVKVMAGVIKVCAGK
      LVDVHAMNVEVFVIGHZVGVDVFVNVCVFVDVIGBQJZGAGBQUAVDBGQJZVOGVDGDEVPVOHUBBGUCUD
      BOUEPUFVCVGVNVDVGVCVIAGQJGBGAQUGAOPUHUIZRVMBGVIKVDBGKLVCVHBMUJVQRUKVEVHUL
      FZVIACUTZKLZBVSKLZFZCSUMEZVLCABUNVRVISEWCVLVAABUOWBVLCVISVSVIHVTVJWAVKVSV
      IAKTVSVIBKTUPUQURVBUS $.

    $( A positive integer which both operands of the ` lcm ` operator divide
       bounds it.  (Contributed by Steve Rodriguez, 20-Jan-2020.)  (Proof
       shortened by AV, 16-Sep-2020.) $)
    lcmledvds $p |- ( ( ( K e. NN /\ M e. ZZ /\ N e. ZZ )
                         /\ -. ( M = 0 \/ N = 0 ) )
                      -> ( ( M || K /\ N || K ) -> ( M lcm N ) <_ K ) ) $=
      ( vn cn wcel cz w3a cc0 wceq wo wn wa cdvds wbr cle adantr breq2 c1 ex co
      clcm cv crab cr clt lcmn0val 3adantl1 wi anbi12d elrab cuz cfv wss ssrab2
      cinf nnuz sseqtri infssuzle mpan sylbir 3ad2ant1 imp eqbrtrd ) AEFZBGFZCG
      FZHZBIJCIJKLZMZBANOZCANOZMZBCUBUAZAPOVJVMMVNBDUCZNOZCVONOZMZDEUDZUEUFUPZA
      PVJVNVTJZVMVFVGVIWAVEDBCUGUHQVJVMVTAPOZVHVMWBUIZVIVEVFWCVGVEVMWBVEVMMAVSF
      ZWBVRVMDAEVOAJVPVKVQVLVOABNRVOACNRUJUKVSSULUMZUNWDWBVSEWEVRDEUOUQURAVSSUS
      UTVATVBQVCVDT $.
  $}

  $( The lcm of two integers is zero iff either is zero.  (Contributed by Steve
     Rodriguez, 20-Jan-2020.) $)
  lcmeq0 $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( ( M lcm N ) = 0 <-> ( M = 0 \/
      N = 0 ) ) ) $=
    ( cz wcel wa clcm co cc0 wceq wo wn wne lcmn0cl nnne0d ex necon4bd oveq1 0z
    lcm0val sylan9eqr lcmcom mpan2 eqtr3d adantll oveq2 adantlr jaodan impbid )
    ACDZBCDZEZABFGZHIZAHIZBHIZJZUKUPULHUKUPKZULHLUKUQEULABMNOPUKUPUMUKUNUMUOUJU
    NUMUIUNUJULHBFGZHAHBFQUJBHFGZURHUJHCDUSURIRBHUAUBBSUCTUDUIUOUMUJUOUIULAHFGH
    BHAFUEASTUFUGOUH $.

  $( Closure of the ` lcm ` operator.  (Contributed by Steve Rodriguez,
     20-Jan-2020.) $)
  lcmcl $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M lcm N ) e. NN0 ) $=
    ( cz wcel wa cc0 wceq wo clcm co cn0 lcmcom oveq2 lcm0val sylan9eqr adantll
    adantr eqtrd adantlr jaodan 0nn0 eqeltrdi wn lcmn0cl nnnn0d pm2.61dan ) ACD
    ZBCDZEZAFGZBFGZHZABIJZKDUIULEUMFKUIUJUMFGZUKUIUJEUMBAIJZFUIUMUOGUJABLQUHUJU
    OFGUGUJUHUOBFIJFAFBIMBNOPRUGUKUNUHUKUGUMAFIJFBFAIMANOSTUAUBUIULUCEUMABUDUEU
    F $.

  $( The greatest common divisor of two numbers divides their least common
     multiple.  (Contributed by Steve Rodriguez, 20-Jan-2020.) $)
  gcddvdslcm $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M gcd N ) || ( M lcm N ) ) $=
    ( cz wcel wa cgcd co clcm gcdcl nn0zd simpl lcmcl cdvds wbr gcddvds dvdslcm
    simpld dvdstrd ) ACDZBCDZEZABFGZAABHGZUAUBABIJSTKUAUCABLJUAUBAMNUBBMNABOQUA
    AUCMNBUCMNABPQR $.

  $( Negating one operand of the ` lcm ` operator does not alter the result.
     (Contributed by Steve Rodriguez, 20-Jan-2020.) $)
  lcmneg $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M lcm -u N ) = ( M lcm N ) ) $=
    ( cz wcel wa clcm co cneg cc0 wceq wo wb oveq2 mpbird sylan2 adantr syl2anc
    wbr cdvds wi lcm0val znegcl syl eqtr4d ad2antlr adantl lcmcom oveq2i eqcomi
    eqeq12d negeq oveq2d 3eqtr4a jaodan wn cle dvdslcm simpr cn0 lcmcl negdvdsb
    neg0 anbi2d cn w3a zcn negeq0d orbi2d notbid biimpa adantll lcmn0cl sylanl2
    nn0zd syldan simpl 3anass sylanbrc lcmledvds mpd simplr nnzd syl3an3 3expib
    ex syl3c sylbid nn0red cr letri3d mpbir2and pm2.61dan eqcomd ) ACDZBCDZEZAB
    FGZABHZFGZWPAIJZBIJZKZWQWSJZWPWTXCXAWPWTEZXCBAFGZWRAFGZJZXDXGBIFGZWRIFGZJZW
    OXJWNWTWOXHIXIBUAWOWRCDZXIIJBUBZWRUAUCUDUEWTXGXJLWPWTXEXHXFXIAIBFMAIWRFMUJU
    FNWPXCXGLWTWPWQXEWSXFABUGWOWNXKWSXFJXLAWRUGOUJPNXAXCWPXAAIFGZAIHZFGZWQWSXOX
    MXNIAFVBUHUIBIAFMXAWRXNAFBIUKULUMUFUNWPXBUOZEZXCWQWSUPRZWSWQUPRZXQAWSSRZBWS
    SRZEZXRWPYBXPWPYBXTWRWSSRZEZWOWNXKYDXLAWRUQOWPYAYCXTWPWOWSCDYAYCLWNWOURWPWS
    WOWNXKWSUSDXLAWRUTZOVNBWSVAQVCNPXQWSVDDZWNWOVEZXPYBXRTXQYFWPYGWPXPWTWRIJZKZ
    UOZYFWOXPYJWNWOXPYJWOXBYIWOXAYHWTWOBBVFVGVHVIVJVKZWOWNXKYJYFXLAWRVLVMVOWPXP
    VPZYFWNWOVQVRWPXPURWSABVSQVTXQAWQSRZBWQSRZEZXSWPYOXPABUQPXQYOYMWRWQSRZEZXSX
    QYNYPYMXQWOWQCDYNYPLWNWOXPWAXQWQABVLZWBBWQVAQVCXQWQVDDZWPYJYQXSTZYRYLYKYSWN
    WOYJYTTZWOYSWNXKUUAXLYSWNXKVEYJYTWQAWRVSWEWCWDWFWGVTWPXCXRXSELXPWPWQWSWPWQA
    BUTWHWOWNXKWSWIDXLWNXKEWSYEWHOWJPWKWLWM $.

  $( Negating one operand of the ` lcm ` operator does not alter the result.
     (Contributed by Steve Rodriguez, 20-Jan-2020.) $)
  neglcm $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( -u M lcm N ) = ( M lcm N ) ) $=
    ( cz wcel wa cneg clcm co wceq lcmneg ancoms znegcl lcmcom sylan 3eqtr4d )
    ACDZBCDZEBAFZGHZBAGHZRBGHZABGHQPSTIBAJKPRCDQUASIALRBMNABMO $.

  $( The lcm of two integers is the same as that of their absolute values.
     (Contributed by Steve Rodriguez, 20-Jan-2020.) $)
  lcmabs $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( ( abs ` M ) lcm ( abs ` N ) ) =
      ( M lcm N ) ) $=
    ( cz wcel wa cabs cfv wceq cneg wo co cr zre absor anim12i oveq12 sylan9eqr
    clcm ex lcmneg syl2an wi a1i neglcm znegcl sylan eqtrd ccased mpd ) ACDZBCD
    ZEZAFGZAHZUMAIZHZJZBFGZBHZURBIZHZJZEZUMURRKZABRKZHZUJALDZBLDZVCUKAMBMVGUQVH
    VBANBNOUAULUNUSUPVAVFUNUSEVFUBULUMAURBRPUCULUPUSEZVFVIULVDUOBRKZVEUMUOURBRP
    ABUDZQSULUNVAEZVFVLULVDAUTRKVEUMAURUTRPABTQSULUPVAEZVFVMULVDUOUTRKZVEUMUOUR
    UTRPULVNVJVEUJUOCDUKVNVJHAUEUOBTUFVKUGQSUHUI $.

  ${
    $d n x y M $.  $d n x y N $.  $d n K $.
    $( Lemma for ~ lcmgcd and ~ lcmdvds .  Prove them for positive ` M ` ,
       ` N ` , and ` K ` .  (Contributed by Steve Rodriguez, 20-Jan-2020.)
       (Proof shortened by AV, 16-Sep-2020.) $)
    lcmgcdlem $p |- ( ( M e. NN /\ N e. NN ) ->
        ( ( ( M lcm N ) x. ( M gcd N ) ) = ( abs ` ( M x. N ) ) /\
          ( ( K e. NN /\ ( M || K /\ N || K ) ) -> ( M lcm N ) || K ) ) ) $=
      ( vx cn wcel wa co cmul wceq cdvds wbr wi cz adantr cdiv wb breq2 syl3anc
      cc0 vn vy clcm cgcd cabs cfv nnmulcl nnred nnz zred adantl cle 0red nngt0
      nnre ltled mulge0d absidd cv crab cr clt wo wn anim12i nnne0 neneqd ioran
      cinf sylibr lcmn0val syl2anc wor ltso a1i gcddvds simpld gcdcl dvdsmultr1
      nn0zd 3expb mpancom mpd syl gcdnncl nndivdvds mpbid anbi12d simprd nnne0d
      wne dvdsval2 dvdsmul1 cc nncn nncnd divassd breqtrrd mulcomd oveq1d eqtrd
      jca elrabd elrabi elrab caddc bezout ad2antlr ad2antrr ad3antlr ad3antrrr
      wrex mulne0d divdiv2d oveq2 zcn ad2antrl mulcld ad2antll adddid sylan9eqr
      divdird mul12d divcan5d oveq2d 3eqtrd oveq12d adantlrr imp simprl zmulcld
      ex sylibd 3impia an32s c1 1z r19.9rzv mp2b eqtr2d adantld adantrd zaddcld
      w3a simprr 3expia impr eqeltrd nnzd divne0d mpbird reximdvva bitri dvdsle
      ne0i sylan2b lensymd infmin eqeltrrd divmul3d eleq1 anbi2d imbi12d breq1d
      c0 vtoclg mpcom ) BEFZCEFZGZBCUCHZBCUDHZIHZBCIHZUEUFZJAEFZBAKLZCAKLZGZGZU
      VKAKLZMUVJUVOUVNUVMUVJUVNUVJUVNBCUGZUHUVJBCUVJBUVHBNFZUVIBUIZOZUJUVJCUVIC
      NFZUVHCUIZUKZUJUVHTBULLUVIUVHTBUVHUMBUOBUNUPOUVITCULLUVHUVITCUVIUMCUOCUNU
      PUKUQURUVJUVNUVLPHZUVKJUVNUVMJUVJUVKBDUSZKLZCUWJKLZGZDEUTZVAVBVIZUWIUVJUW
      CUWFGZBTJZCTJZVCVDZUVKUWOJUVHUWCUVIUWFUWDUWGVEZUVJUWQVDZUWRVDZGUWSUVHUXAU
      VIUXBUVHBTBVFZVGUVICTCVFZVGVEUWQUWRVHVJDBCVKVLUVJUAVAUWNUWIVBVAVBVMUVJVNV
      OUVJUWIUVJUVLUVNKLZUWIEFZUVJUWPUXEUWTUWPUVLBKLZUXEUWPUXGUVLCKLZBCVPZVQZUV
      LNFZUWPUXGUXEMZUWPUVLBCVRVTZUXKUWCUWFUXLUVLBCVSWAWBWCWDUVJUVNEFUVLEFUXEUX
      FQUWBBCWEZUVNUVLWFVLWGZUHZUVJUWMBUWIKLZCUWIKLZGDUWIEUWJUWIJUWKUXQUWLUXRUW
      JUWIBKRUWJUWICKRWHUXOUVJUXQUXRUVJBBCUVLPHZIHZUWIKUVJUWCUXSNFZBUXTKLUWEUVJ
      UXHUYAUVJUWPUXHUWTUWPUXGUXHUXIWIWDUVJUXKUVLTWKZUWFUXHUYAQUVJUWPUXKUWTUXMW
      DZUVJUVLUXNWJZUWHUVLCWLSWGBUXSWMVLUVJBCUVLUVHBWNFZUVIBWOOZUVICWNFZUVHCWOZ
      UKZUVJUVLUXNWPZUYDWQWRUVJCCBUVLPHZIHZUWIKUVJUWFUYKNFZCUYLKLUWHUVJUXGUYMUV
      JUWPUXGUWTUXJWDUVJUXKUYBUWCUXGUYMQUYCUYDUWEUVLBWLSWGCUYKWMVLUVJUWICBIHZUV
      LPHUYLUVJUVNUYNUVLPUVJBCUYFUYIWSZWTUVJCBUVLUYIUYFUYJUYDWQXAWRXBXCUVJUAUSZ
      UWNFZGUWIUYPUVJUWIVAFUYQUXPOUYQUYPVAFUVJUYQUYPUWMDUYPEXDUHUKUYQUVJUYPEFZB
      UYPKLZCUYPKLZGZGZUWIUYPULLZUWMVUADUYPEUWJUYPJUWKUYSUWLUYTUWJUYPBKRUWJUYPC
      KRWHXEUVJVUBGZUWIUYPKLZVUCVUDVUEUBNXLZDNXLZVUEVUDUVLBUWJIHZCUBUSZIHZXFHZJ
      ZUBNXLDNXLZVUGUVJVUMVUBUVJUWPVUMUWTDUBBCXGWDOVUDVULVUEDUBNNVUDUWJNFZVUINF
      ZGZGZVULVUEVUQVULGZVUEUYPUWIPHZNFZVURVUSUYPUWJIHZCPHZUYPVUIIHZBPHZXFHZNVU
      QVULVUSVVEJZUVJUYRVUPVULVVFMVUAUVJUYRGZVUPGZVULVVFVVHVULGVUSUYPUVLIHZUVNP
      HZUYPVUHIHZUVNPHZUYPVUJIHZUVNPHZXFHZVVEVVHVUSVVJJVULVVHUYPUVNUVLUYRUYPWNF
      UVJVUPUYPWOXHZUVJUVNWNFUYRVUPUVJUVNUWBWPZXIZUVJUVLWNFUYRVUPUYJXIVVHBCUVJU
      YEUYRVUPUYFXIZUVIUYGUVHUYRVUPUYHXJZUVHBTWKZUVIUYRVUPUXCXKZUVICTWKZUVHUYRV
      UPUXDXJZXMZUVJUYBUYRVUPUYDXIXNOVULVVHVVJUYPVUKIHZUVNPHZVVOVULVVIVWFUVNPUV
      LVUKUYPIXOWTVVHVWGVVKVVMXFHZUVNPHVVOVVHVWFVWHUVNPVVHUYPVUHVUJVVPVVHBUWJVV
      SVUNUWJWNFVVGVUOUWJXPXQZXRZVVHCVUIVVTVUOVUIWNFVVGVUNVUIXPXSZXRZXTWTVVHVVK
      VVMUVNVVHUYPVUHVVPVWJXRVVHUYPVUJVVPVWLXRVVRVWEYBXAYAVVHVVOVVEJVULVVHVVLVV
      BVVNVVDXFVVHVVLBVVAIHZUVNPHVVBVVHVVKVWMUVNPVVHUYPBUWJVVPVVSVWIYCWTVVHVVAC
      BVVHUYPUWJVVPVWIXRVVTVVSVWDVWBYDXAVVHVVNCVVCIHZUVNPHVWNUYNPHVVDVVHVVMVWNU
      VNPVVHUYPCVUIVVPVVTVWKYCWTVVHUVNUYNVWNPUVJUVNUYNJUYRVUPUYOXIYEVVHVVCBCVVH
      UYPVUIVVPVWKXRVVSVVTVWBVWDYDYFYGOYFYLYHYIVUQVVENFZVULUVJVUPVUBVWOUVJVUPGU
      YRVUAVWOUVJUYRVUPVUAVWOMVVGVUPVUAVWOVVGVUPVUAUUDVVBVVDVVGVUPVUAVVBNFZVVHU
      YTVWPUYSVVHUYTCVVAKLZVWPVVHUWFUYPNFZVUNUYTVWQMUVIUWFUVHUYRVUPUWGXJZUYRVWR
      UVJVUPUYPUIXHZVVGVUNVUOYJZCUYPUWJVSSVVHUWFVWCVVANFVWQVWPQVWSVWDVVHUYPUWJV
      WTVXAYKCVVAWLSYMUUAYNVVGVUPVUAVVDNFZVVHUYSVXBUYTVVHUYSBVVCKLZVXBVVHUWCVWR
      VUOUYSVXCMUVHUWCUVIUYRVUPUWDXKZVWTVVGVUNVUOUUEZBUYPVUIVSSVVHUWCVWAVVCNFVX
      CVXBQVXDVWBVVHUYPVUIVWTVXEYKBVVCWLSYMUUBYNUUCUUFYOUUGYOOUUHVUQVUEVUTQZVUL
      VUQUWINFZUWITWKZVWRVXFUVJVXGVUBVUPUVJUWIUXOUUIZXIUVJVXHVUBVUPUVJUVNUVLVVQ
      UYJUVJUVNUWBWJUYDUUJXIUVJUYRVUPVWRVUAVWTYHUWIUYPWLSOUUKYLUULWCVUEVUFVUGYP
      NFZNUVEWKZVUEVUFQYQNYPUUOZVUEUBNYRYSVXJVXKVUFVUGQYQVXLVUFDNYRYSUUMVJZVUDV
      XGUYRVUEVUCMUVJVXGVUBVXIOUVJUYRVUAYJUWIUYPUUNVLWCUUPUUQUURYTZUVJUVNUVKUVL
      VVQUVJUVKUVJUWIUVKEVXNUXOUUSWPUYJUYDUUTWGYTUVJUVTUWAUVPUVJUVTGZUWAUVJUVPU
      VSYJVUDUVKUYPKLZMVXOUWAMUAAEUYPAJZVUDVXOVXPUWAVXQVUBUVTUVJVXQUYRUVPVUAUVS
      UYPAEUVAVXQUYSUVQUYTUVRUYPABKRUYPACKRWHWHUVBUYPAUVKKRUVCVUDVUEVXPVXMUVJVU
      EVXPQVUBUVJUWIUVKUYPKVXNUVDOWGUVFUVGYLXB $.
  $}

  $( The product of two numbers' least common multiple and greatest common
     divisor is the absolute value of the product of the two numbers.  In
     particular, that absolute value _is_ the least common multiple of two
     coprime numbers, for which ` ( M gcd N ) = 1 ` .

     Multiple methods exist for proving this, and it is often proven either as
     a consequence of the fundamental theorem of arithmetic ~ 1arith or of
     B&eacute;zout's identity ~ bezout ; see e.g.,
     ~ https://proofwiki.org/wiki/Product_of_GCD_and_LCM and
     ~ https://math.stackexchange.com/a/470827 .  This proof uses the latter to
     first confirm it for positive integers ` M ` and ` N ` (the "Second Proof"
     in the above Stack Exchange page), then shows that implies it for all
     nonzero integer inputs, then finally uses ~ lcm0val to show it applies
     when either or both inputs are zero.  (Contributed by Steve Rodriguez,
     20-Jan-2020.) $)
  lcmgcd $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( ( M lcm N ) x. ( M gcd N ) ) =
      ( abs ` ( M x. N ) ) ) $=
    ( cz wcel wa cc0 wceq clcm co cmul cabs cfv nn0cnd adantl oveq1d cc 3eqtr4d
    adantr cn cdvds wo cgcd gcdcl mul02d 0z lcmcom mpan2 lcm0val eqtr3d abs00bd
    zcn simpr fveq2d mul01d oveq2d jaodan neanior nnabscl anim12i an4s sylan2br
    wn wne wbr wi lcmgcdlem simpld syl lcmabs gcdabs oveq12d oveqan12d nn0abscl
    absidm syl2an absmuld 3eqtr3d pm2.61dan ) ACDZBCDZEZAFGZBFGZUAZABHIZABUBIZJ
    IZABJIZKLZGZWAWBWJWCWAWBEZFBHIZWFJIZFBJIZKLZWGWIWAWMWOGWBWAFWFJIZFWMWOWAWFW
    AWFABUCMUDZWAWLFWFJVTWLFGVSVTBFHIZWLFVTFCDWRWLGUEBFUFUGBUHUINOWAWNWABVTBPDZ
    VSBUKZNZUDUJQRWKWEWLWFJWKAFBHWAWBULZOOWKWHWNKWKAFBJXBOUMQWAWCEZAFHIZWFJIZAF
    JIZKLZWGWIWAXEXGGWCWAWPFXEXGWQWAXDFWFJVSXDFGVTAUHROWAXFWAAVSAPDZVTAUKZRZUNU
    JQRXCWEXDWFJXCBFAHWAWCULZUOOXCWHXFKXCBFAJXKUOUMQUPWAWDVBZEZAKLZBKLZHIZXNXOU
    BIZJIZXNXOJIZKLZWGWIXMXNSDZXOSDZEZXRXTGZXLWAAFVCZBFVCZEYCAFBFUQVSYEVTYFYCVS
    YEEYAVTYFEYBAURBURUSUTVAYCYDFSDXNFTVDXOFTVDEEXPFTVDVEFXNXOVFVGVHWAXRWGGXLWA
    XPWEXQWFJABVIABVJVKRWAXTWIGXLWAXNKLZXOKLZJIZXSXTWIVSXHWSYIXSGVTXIWTXHWSYGXN
    YHXOJAVNBVNVLVOWAXNXOVSXNPDVTVSXNAVMMRVTXOPDVSVTXOBVMMNVPWAABXJXAVPQRVQVR
    $.

  $( The lcm of two integers divides any integer the two divide.  (Contributed
     by Steve Rodriguez, 20-Jan-2020.) $)
  lcmdvds $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) -> ( ( M || K /\ N || K )
      -> ( M lcm N ) || K ) ) $=
    ( cz wcel cc0 wceq cdvds wbr wa clcm co wi wb adantl breq1d imbi12d ex cabs
    cfv w3a id breq1 oveq1 lcmcom mpan lcm0val eqtrd sylan9eqr mpbiri 3ad2antl3
    0z adantrd oveq2 3ad2antl2 adantld wo wne neanior lcmcl nn0zd dvds0 syl a1d
    wn adantr breq2 anbi12d mpbird adantrl adantllr adantlrr anassrs cn nnabscl
    cgcd lcmgcdlem simprd sylani syl2an expdimp dvdsabsb zabscl absdvdsb sylan2
    cmul bitrd adantlr adantll bicomd lcmabs sylan bitr4d mpbid pm2.61dane an4s
    adantrr sylan2br impancom 3impa 3comr ecase3d ) ADEZBDEZCDEZUAZBFGZCFGZBAHI
    ZCAHIZJZBCKLZAHIZMZXFXGXNXFXGJXIXMXJXEXCXGXIXMMZXDXEXGJZXOFAHIZXQMZXQUBZXPX
    IXQXMXQXGXIXQNXEBFAHUCOXPXLFAHXGXEXLFCKLZFBFCKUDXEXTCFKLZFFDEXEXTYAGULFCUEU
    FCUGUHUIPQUJUKUMRXFXHXNXFXHJXJXMXIXDXCXHXJXMMZXEXDXHJZYBXRXSYCXJXQXMXQXHXJX
    QNXDCFAHUCOYCXLFAHXHXDXLBFKLFCFBKUNBUGUIPQUJUOUPRXDXEXCXGXHUQVEZXNMZXDXEXCY
    EXDXEJZYDXCXNYDYFBFURZCFURZJXCXNMZBFCFUSXDYGXEYHYIXDYGJZXEYHJZJZXCXNYLXCJXN
    AFYLXCAFGZXNYJXEXCYMJZXNYHXDXEYNXNYGYFYMXNXCYFYMJXNBFHIZCFHIZJZXLFHIZMZYFYS
    YMYFYRYQYFXLDEZYRYFXLBCUTVAZXLVBVCVDVFYMXNYSNYFYMXKYQXMYRYMXIYOXJYPAFBHVGAF
    CHVGVHAFXLHVGQOVIVJVKVLVMYLXCAFURZXNYLXCUUBJZJBSTZASTZHIZCSTZUUEHIZJZUUDUUG
    KLZUUEHIZMZXNYLUUCUUIUUKYJUUDVNEZUUGVNEZUUCUUIJUUKMYKBVOCVOUUCUUMUUNJZUUEVN
    EZUUIUUKAVOUUOUUJUUDUUGVPLWFLUUDUUGWFLSTGUUPUUIJUUKMUUEUUDUUGVQVRVSVTWAYJXE
    UUCUULXNNZYHXDXEUUCUUQYGYFXCUUQUUBYFXCJZUUIXKUUKXMUURXKUUIUURXIUUFXJUUHXDXC
    XIUUFNXEXDXCJXIBUUEHIZUUFBAWBXCXDUUEDEZUUSUUFNAWCZBUUEWDWEWGWHXEXCXJUUHNXDX
    EXCJXJCUUEHIZUUHCAWBXCXEUUTUVBUUHNUVACUUEWDWEWGWIVHWJUURUUKXLUUEHIZXMYFUUKU
    VCNXCYFUUJXLUUEHBCWKPVFYFYTXCXMUVCNUUAXLAWBWLWMQWQVKVLWNVMWORWPWRWSWTXAXB
    $.

  $( The lcm of an integer and itself is its absolute value.  (Contributed by
     Steve Rodriguez, 20-Jan-2020.) $)
  lcmid $p |- ( M e. ZZ -> ( M lcm M ) = ( abs ` M ) ) $=
    ( cz wcel clcm cabs cfv wceq cc0 oveq2 fveq2 abs0 eqtrdi eqeq12d wne anidms
    co wa cc adantr cmul lcmcl nn0cnd zabscl zcnd zcn simpr absne0d cgcd lcmgcd
    gcdid oveq2d absmuld 3eqtr3d mulcan2ad lcm0val pm2.61ne ) ABCZAADPZAEFZGAHD
    PZHGAHAHGZURUTUSHAHADIVAUSHEFHAHEJKLMUQAHNZQZURUSUSUQURRCZVBUQVDUQUQQURAAUA
    UBOSUQUSRCVBUQUSAUCUDSZVEVCAUQARCVBAUEZSUQVBUFUGUQURUSTPZUSUSTPZGVBUQURAAUH
    PZTPZAATPEFZVGVHUQVJVKGAAUIOUQVIUSURTAUJUKUQAAVFVFULUMSUNAUOUP $.

  $( The lcm of an integer and 1 is the absolute value of the integer.
     (Contributed by AV, 23-Aug-2020.) $)
  lcm1 $p |- ( M e. ZZ -> ( M lcm 1 ) = ( abs ` M ) ) $=
    ( cz wcel c1 clcm co cgcd cmul cabs cfv gcd1 oveq2d cn0 lcmcl mpan2 mulid1d
    1z nn0cnd eqtr2d wceq lcmgcd zcn fveq2d 3eqtrd ) ABCZADEFZUFADGFZHFZADHFZIJ
    ZAIJUEUHUFDHFUFUEUGDUFHAKLUEUFUEUFUEDBCZUFMCQADNORPSUEUKUHUJTQADUAOUEUIAIUE
    AAUBPUCUD $.

  $( The product of two positive integers' least common multiple and greatest
     common divisor is the product of the two integers.  (Contributed by AV,
     27-Aug-2020.) $)
  lcmgcdnn $p |- ( ( M e. NN /\ N e. NN )
                   -> ( ( M lcm N ) x. ( M gcd N ) ) = ( M x. N ) ) $=
    ( cn wcel wa clcm co cgcd cmul cabs cfv cz nnz lcmgcd syl2an cn0 cr cc0 cle
    wceq wbr nnmulcl nnnn0d nn0re nn0ge0 jca absid 3syl eqtrd ) ACDZBCDZEZABFGA
    BHGIGZABIGZJKZUNUJALDBLDUMUOTUKAMBMABNOULUNPDZUNQDZRUNSUAZEUOUNTULUNABUBUCU
    PUQURUNUDUNUEUFUNUGUHUI $.

  $( Two integers' absolute values are equal iff their least common multiple
     and greatest common divisor are equal.  (Contributed by Steve Rodriguez,
     20-Jan-2020.) $)
  lcmgcdeq $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
      ( ( M lcm N ) = ( M gcd N ) <-> ( abs ` M ) = ( abs ` N ) ) ) $=
    ( cz wcel wa clcm co cgcd wceq cabs cfv cdvds wbr adantr wi mp2and wb sylan
    imp mpbid dvdslcm simpld gcddvds simprd breq1 syl5ibrcom lcmcl nn0zd dvdstr
    syl3an2 3com12 3expb anidms absdvdsb zabscl dvdsabsb bitrd 3coml ancoms cn0
    nn0abscl anim12i dvdseq ex lcmid syl gcdid eqtr4d eqeq12d syl5ibcom adantlr
    oveq2 lcmabs gcdabs impbida ) ACDZBCDZEZABFGZABHGZIZAJKZBJKZIZVRWAEZWBWCLMZ
    WCWBLMZWDWEABLMZWFWEAVSLMZVSBLMZWHVRWIWAVRWIBVSLMZABUAZUBNVRWAWJVRWJWAVTBLM
    ZVRVTALMZWMABUCZUDVSVTBLUEUFSVRWIWJEWHOZWAVRWPVRVPVQWPVPVRVQWPVRVPVSCDZVQWP
    VRVSABUGUHZAVSBUIUJUKULUMNPVRWHWFQWAVRWHWBBLMZWFABUNVPWBCDZVQWSWFQAUOZWBBUP
    RUQNTWEBALMZWGWEWKVSALMZXBVRWKWAVRWIWKWLUDNVRWAXCVRXCWAWNVRWNWMWOUBVSVTALUE
    UFSVRWKXCEXBOZWAVRXDVRVPVQXDVQVRVPXDVRVQWQVPXDWRBVSAUIUJURULUMNPVRXBWGQZWAV
    QVPXEVQVPEXBWCALMZWGBAUNVQWCCDVPXFWGQBUOWCAUPRUQUSNTVRWFWGEZWDOWAVRXGWDVRWB
    UTDZWCUTDZEXGWDVPXHVQXIAVABVAVBWBWCVCRVDNPVRWDEWBWCFGZWBWCHGZIZWAVPWDXLVQVP
    WDXLVPWBWBFGZWBWBHGZIWDXLVPXMWBJKZXNVPWTXMXOIXAWBVEVFVPWTXNXOIXAWBVGVFVHWDX
    MXJXNXKWBWCWBFVLWBWCWBHVLVIVJSVKVRXLWAQWDVRXJVSXKVTABVMABVNVINTVO $.

  $( Biconditional form of ~ lcmdvds .  (Contributed by Steve Rodriguez,
     20-Jan-2020.) $)
  lcmdvdsb $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) -> ( ( M || K /\ N || K )
      <-> ( M lcm N ) || K ) ) $=
    ( cz wcel w3a cdvds wbr wa co lcmdvds dvdslcm simpld 3adant1 wi simp2 lcmcl
    clcm dvdstr mpand nn0zd simp1 syl3anc simprd 3com13 syld3an2 jcad impbid )
    ADEZBDEZCDEZFZBAGHZCAGHZIBCRJZAGHZABCKULUPUMUNULBUOGHZUPUMUJUKUQUIUJUKIZUQC
    UOGHZBCLZMNULUJUODEZUIUQUPIUMOUIUJUKPUJUKVAUIURUOBCQUANZUIUJUKUBBUOASUCTULU
    SUPUNUJUKUSUIURUQUSUTUDNUIVAUJUKUSUPIUNOZVBUKVAUIVCCUOASUEUFTUGUH $.

  ${
    $d x M $.  $d x N $.  $d x P $.
    $( Associative law for ` lcm ` operator.  (Contributed by Steve Rodriguez,
       20-Jan-2020.)  (Proof shortened by AV, 16-Sep-2020.) $)
    lcmass $p |- ( ( N e. ZZ /\ M e. ZZ /\ P e. ZZ ) -> ( ( N lcm M ) lcm P ) =
        ( N lcm ( M lcm P ) ) ) $=
      ( vx cz wcel cc0 wceq wo cdvds wbr wa cn crab cr clt cinf cif clcm co w3a
      orass anass rabbii infeq1i ifbieq2i cn0 lcmcl 3adant3 nn0zd simp3 syl2anc
      cv lcmval wb lcmeq0 orbi1d bicomd nnz adantl simp1 adantr simpl2 lcmdvdsb
      syl3anc anbi1d rabbidva infeq1d ifbieq2d eqtr4d 3adant1 orbi2d 3eqtr4a
      anbi2d ) CEFZBEFZAEFZUAZCGHZBGHZIZAGHZIZGCDUMZJKZBWDJKZLZAWDJKZLZDMNZOPQZ
      RZVSVTWBIZIZGWEWFWHLZLZDMNZOPQZRZCBSTZASTZCBASTZSTZWCWNWKWRGVSVTWBUBOWJWQ
      PWIWPDMWEWFWHUCUDUEUFVRXAWTGHZWBIZGWTWDJKZWHLZDMNZOPQZRZWLVRWTEFVQXAXJHVR
      WTVOVPWTUGFVQCBUHUIUJVOVPVQUKZDWTAUNULVRWCXEWKXIGVRXEWCVRXDWAWBVOVPXDWAUO
      VQCBUPUIUQURVROWJXHPVRWIXGDMVRWDMFZLZWGXFWHXMWDEFZVOVPWGXFUOXLXNVRWDUSUTZ
      VRVOXLVOVPVQVAZVBVOVPVQXLVCZWDCBVDVEVFVGVHVIVJVRXCVSXBGHZIZGWEXBWDJKZLZDM
      NZOPQZRZWSVRVOXBEFXCYDHXPVRXBVPVQXBUGFVOBAUHVKUJDCXBUNULVRWNXSWRYCGVRXSWN
      VRXRWMVSVPVQXRWMUOVOBAUPVKVLURVROWQYBPVRWPYADMXMWOXTWEXMXNVPVQWOXTUOXOXQV
      RVQXLXKVBWDBAVDVEVNVGVHVIVJVM $.
  $}

  $( The least common multiple of three and two is six.  In contrast to
     ~ 3lcm2e6 , this proof does not use the property of 2 and 3 being prime,
     therefore it is much longer.  (Contributed by Steve Rodriguez,
     20-Jan-2020.)  (Revised by AV, 27-Aug-2020.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  3lcm2e6woprm $p |- ( 3 lcm 2 ) = 6 $=
    ( c3 c2 co cgcd cdiv c1 c6 cc wcel cc0 wa wceq cz 3z 2z mp2an pm3.2i oveq2i
    cn 1z clcm cmul wne 3cn 2cn mulcli lcmcl nn0cnd wn 2ne0 neii intnan gcdn0cl
    nncnd nnne0i w3a 3nn lcmgcdnn eqcomd mp1i divmul3 mpbird mp3an gcdcom caddc
    2nn cabs cfv gcdid ax-mp abs1 eqtr2i gcdadd 1p1e2 3eqtri 1p2e3 eqtri oveq1i
    3t2e6 6cn div1i ) ABUACZABUBCZABDCZECZWCFECZGWCHIZWBHIZWDHIZWDJUCZKZWBWELAB
    UDUEUFAMIZBMIZWHNOWLWMKZWBABUGUHPWIWJWNAJLZBJLZKUIZWIWLWMNOQZWPWOBJUJUKULZW
    NWQKWDABUMZUNPWDWNWQWDSIWRWSWTPUOQWGWHWKUPZWEWBXAWEWBLWCWBWDUBCZLZASIZBSIZK
    ZXCXAXDXEUQVFQXFXBWCABURUSUTWCWBWDVAVBUSVCWDFWCEWDBADCZFWLWMWDXGLNOABVDPFBF
    BVECZDCZXGFFBDCZBFDCZXIFFFDCZFFFVECZDCZXJXLFVGVHZFFMIZXLXOLTFVIVJVKVLXPXPXL
    XNLTTFFVMPXMBFDVNRVOXPWMXJXKLTOFBVDPWMXPXKXILOTBFVMPVOXHABDVPRVLVQRWFGFECGW
    CGFEVSVRGVTWAVQVO $.

  $( The least common multiple of six and four is twelve.  (Contributed by AV,
     27-Aug-2020.) $)
  6lcm4e12 $p |- ( 6 lcm 4 ) = ; 1 2 $=
    ( c6 c4 co cmul cdiv c2 cc wcel cc0 wa 6cn 4cn cz 4z nn0cnd mp2an cn pm3.2i
    wceq eqcomd clcm cgcd c1 cdc wne mulcli 6nn0 nn0zi lcmcl gcdcl wn 4ne0 neii
    intnan gcdn0cl nnne0i w3a 6nn 4nn lcmgcdnn mp1i divmul3 mpbird mp3an oveq2i
    6gcd4e2 2cn 2ne0 divassi 4d2e2 6t2e12 3eqtri ) ABUACZABDCZABUBCZECZVNFECZUC
    FUDZVNGHZVMGHZVOGHZVOIUEZJZVMVPSABKLUFAMHZBMHZVTAUGUHZNWDWEJZVMABUIOPWAWBWD
    WEWAWFNWGVOABUJOPVOWGAISZBISZJUKVOQHWDWEWFNRWIWHBIULUMUNABUOPUPRVSVTWCUQZVP
    VMWJVPVMSVNVMVODCZSWJWKVNAQHZBQHZJWKVNSWJWLWMURUSRABUTVATVNVMVOVBVCTVDVOFVN
    EVFVEVQABFECZDCAFDCVRABFKLVGVHVIWNFADVJVEVKVLVL $.

  ${
    $d Z z $.  $d ph m z $.
    absproddvds.s $e |- ( ph -> Z C_ ZZ ) $.
    absproddvds.f $e |- ( ph -> Z e. Fin ) $.
    absproddvds.p $e |- P = ( abs ` prod_ z e. Z z ) $.
    $( The absolute value of the product of the elements of a finite subset of
       the integers is divisible by each element of this subset.  (Contributed
       by AV, 21-Aug-2020.) $)
    absproddvds $p |- ( ph -> A. m e. Z m || P ) $=
      ( cv cprod cabs cfv cdvds wbr wral fproddvdsd wcel wa cz sselda wb adantr
      fprodzcl dvdsabsb syl2anc biimpd ralimdva mpd breq2i ralbii sylibr ) ADIZ
      EBIZBJZKLZMNZDEOZULCMNZDEOAULUNMNZDEOUQADEBGFPAUSUPDEAULEQZRZUSUPVAULSQUN
      SQZUSUPUAAESULFTAVBUTAEUMBGAESUMFTUCUBULUNUDUEUFUGUHURUPDECUOULMHUIUJUK
      $.

    absprodnn.z $e |- ( ph -> 0 e/ Z ) $.
    $( The absolute value of the product of the elements of a finite subset of
       the integers not containing 0 is a poitive integer.  (Contributed by AV,
       21-Aug-2020.) $)
    absprodnn $p |- ( ph -> P e. NN ) $=
      ( cv cprod cabs cfv cn cz wcel cc0 wne sselda fprodzcl wa elnelne2 expcom
      zcnd wnel wi syl imp fprodn0 nnabscl syl2anc eqeltrid ) ACDBIZBJZKLZMGAUM
      NOUMPQUNMOADULBFADNULERZSADULBFAULDOZTULUOUCAUPULPQZAPDUDZUPUQUEHUPURUQUL
      PDUAUBUFUGUHUMUIUJUK $.
  $}

  ${
    $d Z k m n $.
    $( For each finite subset of the integers not containing 0 there is a
       positive integer which is divisible by each element of this subset.
       (Contributed by AV, 21-Aug-2020.) $)
    fissn0dvds $p |- ( ( Z C_ ZZ /\ Z e. Fin /\ 0 e/ Z )
                       -> E. n e. NN A. m e. Z m || n ) $=
      ( vk cz wss cfn wcel cc0 wnel w3a cv cdvds wbr wral cprod cabs cfv simp1
      cn simp2 eqid simp3 absprodnn wceq wb ralbidv adantl absproddvds rspcedvd
      breq2 ) CEFZCGHZICJZKZALZBLZMNZACOZUPCDLDPQRZMNZACOZBUTTUODUTCULUMUNSZULU
      MUNUAZUTUBZULUMUNUCUDUQUTUEZUSVBUFUOVFURVAACUQUTUPMUKUGUHUODUTACVCVDVEUIU
      J $.

    $( For each finite subset of the integers not containing 0 there is a
       positive integer which is divisible by each element of this subset.
       (Contributed by AV, 21-Aug-2020.) $)
    fissn0dvdsn0 $p |- ( ( Z C_ ZZ /\ Z e. Fin /\ 0 e/ Z )
                         -> { n e. NN | A. m e. Z m || n } =/= (/) ) $=
      ( cz wss cfn wcel cc0 wnel w3a cv cdvds wbr wral wrex crab wne fissn0dvds
      cn c0 rabn0 sylibr ) CDECFGHCIJAKBKLMACNZBSOUCBSPTQABCRUCBSUAUB $.
  $}

  ${
    $d Z m n z $.
    $( Value of the ` _lcm ` function. ` ( _lcm `` Z ) ` is the least common
       multiple of the integers contained in the finite subset of integers
       ` Z ` .  If at least one of the elements of ` Z ` is ` 0 ` , the result
       is defined conventionally as ` 0 ` .  (Contributed by AV, 21-Apr-2020.)
       (Revised by AV, 16-Sep-2020.) $)
    lcmfval $p |- ( ( Z C_ ZZ /\ Z e. Fin )
                    -> ( _lcm ` Z ) = if ( 0 e. Z , 0 ,
                      inf ( { n e. NN | A. m e. Z m || n } , RR , < ) ) ) $=
      ( vz cz wss wcel wa cc0 cv wral cn crab cr clt cinf cif cn0 cvv c1 cfn wb
      cdvds wbr cpw clcmf df-lcmf wceq eleq2 raleq rabbidv infeq1d ifbieq2d zex
      ssex elpwg syl ibir adantr 0nn0 a1i wn wnel df-nel ssrab2 nnssnn0 cuz cfv
      sstri c0 wne sseqtri fissn0dvdsn0 3expa infssuzcl sylancr sselid sylan2br
      nnuz ifclda fvmptd3 ) CEFZCUAGZHZDCIDJZGZIAJBJUCUDZAWEKZBLMZNOPZQICGZIWGA
      CKZBLMZNOPZQEUEZUFRDABUGWECUHZWFWKWJWNIWECIUIWPNWIWMOWPWHWLBLWGAWECUJUKUL
      UMWBCWOGZWCWBWQWBCSGWQWBUBCEUNUOCESUPUQURUSWDWKIWNRIRGWDWKHUTVAWKVBWDICVC
      ZWNRGICVDWDWRHZWMRWNWMLRWLBLVEZVFVIWSWMTVGVHZFWMVJVKZWNWMGWMLXAWTVSVLWBWC
      WRXBABCVMVNWMTVOVPVQVRVTWA $.

    $( The value, by convention, of the least common multiple for a set
       containing 0 is 0.  (Contributed by AV, 21-Apr-2020.)  (Proof shortened
       by AV, 16-Sep-2020.) $)
    lcmf0val $p |- ( ( Z C_ ZZ /\ 0 e. Z ) -> ( _lcm ` Z ) = 0 ) $=
      ( vz vm vn cz wss cc0 wcel wa cv cdvds wral cn crab clt cinf cif wceq cvv
      cr wbr clcmf df-lcmf eleq2 raleq rabbidv ifbieq2d iftrue adantl sylan9eqr
      cpw infeq1d wb zex ssex elpwg syl ibir adantr simpr fvmptd2 ) AEFZGAHZIZB
      AGBJZHZGCJDJKUAZCVELZDMNZTOPZQZGEUKZUBABCDUCVEARZVDVKVCGVGCALZDMNZTOPZQZG
      VMVFVCVJVPGVEAGUDVMTVIVOOVMVHVNDMVGCVEAUEUFULUGVCVQGRVBVCGVPUHUIUJVBAVLHZ
      VCVBVRVBASHVRVBUMAEUNUOAESUPUQURUSVBVCUTVA $.

    $( The value of the ` _lcm ` function for a set without 0.  (Contributed by
       AV, 21-Aug-2020.)  (Revised by AV, 16-Sep-2020.) $)
    lcmfn0val $p |- ( ( Z C_ ZZ /\ Z e. Fin /\ 0 e/ Z ) -> ( _lcm ` Z )
                      = inf ( { n e. NN | A. m e. Z m || n } , RR , < ) ) $=
      ( cz wss cfn wcel cc0 wnel w3a clcmf cfv cv cdvds wbr wral cn crab wceq
      cr clt cinf cif lcmfval 3adant3 wn df-nel iffalse sylbi 3ad2ant3 eqtrd )
      CDEZCFGZHCIZJCKLZHCGZHAMBMNOACPBQRTUAUBZUCZUQULUMUOURSUNABCUDUEUNULURUQSZ
      UMUNUPUFUSHCUGUPHUQUHUIUJUK $.

    $( The value of the ` _lcm ` function for a subset of the positive
       integers.  (Contributed by AV, 21-Aug-2020.)  (Revised by AV,
       16-Sep-2020.) $)
    lcmfnnval $p |- ( ( Z C_ NN /\ Z e. Fin ) -> ( _lcm ` Z )
                      = inf ( { n e. NN | A. m e. Z m || n } , RR , < ) ) $=
      ( cn wss cfn wcel wa cz cc0 wnel clcmf cfv cv cdvds wbr wral crab adantr
      cr clt cinf wceq id nnssz sstrdi simpr 0nnn nelir ssel nelcon3d lcmfn0val
      mpi syl3anc ) CDEZCFGZHCIEZUPJCKZCLMANBNOPACQBDRTUAUBUCUOUQUPUOCDIUOUDUEU
      FSUOUPUGUOURUPUOJDKURJDUHUIUOJCJDCDJUJUKUMSABCULUN $.

    $( Lemma for ~ lcmfn0cl and ~ dvdslcmf .  (Contributed by AV, 21-Aug-2020.)
       (Proof shortened by AV, 16-Sep-2020.) $)
    lcmfcllem $p |- ( ( Z C_ ZZ /\ Z e. Fin /\ 0 e/ Z )
                      -> ( _lcm ` Z ) e. { n e. NN | A. m e. Z m || n } ) $=
      ( cz wss cfn wcel cc0 wnel w3a clcmf cfv cv cdvds wbr wral cn crab cr c1
      clt cinf lcmfn0val cuz c0 wne nnuz sseqtri fissn0dvdsn0 infssuzcl sylancr
      ssrab2 eqeltrd ) CDECFGHCIJZCKLAMBMNOACPZBQRZSUAUBZUPABCUCUNUPTUDLZEUPUEU
      FUQUPGUPQURUOBQULUGUHABCUIUPTUJUKUM $.

    $( Closure of the ` _lcm ` function.  (Contributed by AV, 21-Aug-2020.) $)
    lcmfn0cl $p |- ( ( Z C_ ZZ /\ Z e. Fin /\ 0 e/ Z )
                     -> ( _lcm ` Z ) e. NN ) $=
      ( vm vn cz wss cfn wcel cc0 wnel w3a cv cdvds wbr wral cn crab cfv ssrab2
      clcmf lcmfcllem sselid ) ADEAFGHAIJBKCKLMBANZCOPOASQUBCORBCATUA $.
  $}

  ${
    $d M m n $.  $d N m n $.
    $( The value of the ` _lcm ` function for an unordered pair is the value of
       the ` lcm ` operator for both elements.  (Contributed by AV,
       22-Aug-2020.)  (Proof shortened by AV, 16-Sep-2020.) $)
    lcmfpr $p |- ( ( M e. ZZ /\ N e. ZZ )
                   -> ( _lcm ` { M , N } ) = ( M lcm N ) ) $=
      ( vm vn cz wcel wa cc0 cv cdvds wbr cn crab cr clt cinf cif wceq wo eqcom
      cpr wral clcmf cfv clcm co wb c0ex orbi12i bitri a1i breq1 ralprg rabbidv
      elpr infeq1d ifbieq2d wss cfn prssi prfi lcmfval sylancl lcmval 3eqtr4d )
      AEFBEFGZHABUAZFZHCIZDIZJKZCVGUBZDLMZNOPZQZAHRZBHRZSZHAVJJKZBVJJKZGZDLMZNO
      PZQVGUCUDZABUEUFVFVHVRVNWCHVHVRUGVFVHHARZHBRZSVRHABUHUOWEVPWFVQHATHBTUIUJ
      UKVFNVMWBOVFVLWADLVKVSVTCABEEVIAVJJULVIBVJJULUMUNUPUQVFVGEURVGUSFWDVORABE
      UTABVACDVGVBVCDABVDVE $.
  $}

  $( Closure of the ` _lcm ` function.  (Contributed by AV, 21-Aug-2020.) $)
  lcmfcl $p |- ( ( Z C_ ZZ /\ Z e. Fin ) -> ( _lcm ` Z ) e. NN0 ) $=
    ( cz wss cfn wcel wa cc0 clcmf cfv cn0 lcmf0val 0nn0 eqeltrdi adantlr wn cn
    wnel df-nel lcmfn0cl 3expa sylan2br nnnn0d pm2.61dan ) ABCZADEZFZGAEZAHIZJE
    ZUDUGUIUEUDUGFUHGJAKLMNUFUGOZFUHUJUFGAQZUHPEZGARUDUEUKULASTUAUBUC $.

  $( Closure of the ` _lcm ` function.  (Contributed by AV, 20-Apr-2020.) $)
  lcmfnncl $p |- ( ( Z C_ NN /\ Z e. Fin ) -> ( _lcm ` Z ) e. NN ) $=
    ( cn wss cfn wcel wa cz cc0 wnel clcmf id nnssz sstrdi adantr simpr wn 0nnn
    cfv ssel mtoi df-nel sylibr lcmfn0cl syl3anc ) ABCZADEZFAGCZUFHAIZAJRBEUEUG
    UFUEABGUEKLMNUEUFOUEUHUFUEHAEZPUHUEUIHBEQABHSTHAUAUBNAUCUD $.

  $( The least common multiple of a set of integers is 0 iff at least one of
     its element is 0.  (Contributed by AV, 21-Aug-2020.) $)
  lcmfeq0b $p |- ( ( Z C_ ZZ /\ Z e. Fin )
                   -> ( ( _lcm ` Z ) = 0 <-> 0 e. Z ) ) $=
    ( cz wss cfn wcel wa clcmf cfv cc0 wceq wnel wne df-nel w3a lcmfn0cl nnne0d
    wn 3expia syl5bir necon4bd wi lcmf0val ex adantr impbid ) ABCZADEZFZAGHZIJZ
    IAEZUHUKUIIUKQIAKZUHUIILZIAMUFUGULUMUFUGULNUIAOPRSTUFUKUJUAUGUFUKUJAUBUCUDU
    E $.

  ${
    $d Z n x $.
    $( The least common multiple of a set of integers is divisible by each of
       its elements.  (Contributed by AV, 22-Aug-2020.) $)
    dvdslcmf $p |- ( ( Z C_ ZZ /\ Z e. Fin )
                     -> A. x e. Z x || ( _lcm ` Z ) ) $=
      ( vn cz wss cfn wcel wa cc0 cv clcmf cfv cdvds wbr wral syl wceq cn 3expa
      sylan2br wi ssel ad2antrr dvds0 lcmf0val ad4ant13 breqtrrd ralrimiva crab
      wn wnel df-nel lcmfcllem wb lcmfn0cl breq2 ralbidv elrab3 mpbid pm2.61dan
      imp ) BDEZBFGZHZIBGZAJZBKLZMNZABOZVDVEHZVHABVJVFBGZHZVFIVGMVLVFDGZVFIMNVJ
      VKVMVBVKVMUAVCVEBDVFUBUCVAVFUDPVBVEVGIQVCVKBUEUFUGUHVDVEUJZHZVGVFCJZMNZAB
      OZCRUIGZVIVNVDIBUKZVSIBULZVBVCVTVSACBUMSTVOVGRGZVSVIUNVNVDVTWBWAVBVCVTWBB
      UOSTVRVICVGRVPVGQVQVHABVPVGVFMUPUQURPUSUT $.
  $}

  ${
    $d K k m $.  $d Z k m $.
    $( A positive integer which is divisible by all elements of a set of
       integers bounds the least common multiple of the set.  (Contributed by
       AV, 22-Aug-2020.)  (Proof shortened by AV, 16-Sep-2020.) $)
    lcmfledvds $p |- ( ( Z C_ ZZ /\ Z e. Fin /\ 0 e/ Z )
                       -> ( ( K e. NN /\ A. m e. Z m || K )
                            -> ( _lcm ` Z ) <_ K ) ) $=
      ( vk cz wss cfn wcel cc0 wnel cn cv cdvds wbr wral wa cfv cle wceq c1 w3a
      clcmf crab cr clt cinf lcmfn0val adantr ssrab2 nnuz sseqtri simpr ralbidv
      cuz breq2 elrab sylibr infssuzle sylancr 3ad2antl1 eqbrtrd ex ) CEFZCGHZI
      CJZUAZBKHALZBMNZACOZPZCUBQZBRNVFVJPVKVGDLZMNZACOZDKUCZUDUEUFZBRVFVKVPSVJA
      DCUGUHVCVDVJVPBRNZVEVCVJPZVOTUNQZFBVOHZVQVOKVSVNDKUIUJUKVRVJVTVCVJULVNVID
      BKVLBSVMVHACVLBVGMUOUMUPUQBVOTURUSUTVAVB $.

    $( Characterization of the least common multiple of a set of integers
       (without 0):  A positiven integer is the least common multiple of a set
       of integers iff it divides each of the elements of the set and every
       integer which divides each of the elements of the set is greater than or
       equal to this integer.  (Contributed by AV, 22-Aug-2020.) $)
    lcmf $p |- ( ( K e. NN /\ ( Z C_ ZZ /\ Z e. Fin /\ 0 e/ Z ) )
                 -> ( K = ( _lcm ` Z ) <-> ( A. m e. Z m || K
                      /\ A. k e. NN ( A. m e. Z m || k -> K <_ k ) ) ) ) $=
      ( cn wcel wa wceq cv cdvds wbr wral wi lcmfledvds adantl breq2 ralbidv cr
      cle wb cz wss cfn cc0 wnel w3a cfv dvdslcmf 3adant3 expdimp ralrimiva jca
      clcmf breq1 imbi2d anbi12d syl5ibrcom lcmfn0cl imbi12d syl adantld clt wo
      rspcv nnre nnred leloe syl2an impcom wn lenlt syl2anr pm2.21 syl6bi syldc
      expd adantr com13 2a1 jaoi com12 sylbid embantd com23 mpdd impbid ) CEFZD
      UAUBZDUCFZUDDUEZUFZGZCDUMUGZHZBIZCJKZBDLZWOAIZJKZBDLZCWRSKZMZAELZGZWLXDWN
      WOWMJKZBDLZWTWMWRSKZMZAELZGZWKXJWGWKXFXIWHWIXFWJBDUHUIZWKXHAEWKWREFWTXGBW
      RDNUJUKULOWNWQXFXCXIWNWPXEBDCWMWOJPQWNXBXHAEWNXAXGWTCWMWRSUNUOQUPUQWLXDXF
      CWMSKZMZWNWLXCXMWQWLWMEFZXCXMMWKXNWGDURZOXBXMAWMEWRWMHZWTXFXAXLXPWSXEBDWR
      WMWOJPQWRWMCSPUSVDUTVAWLXMXDWNWLXFXLXDWNMZWKXFWGXKOWLXLCWMVBKZWNVCZXQWGCR
      FZWMRFZXLXSTWKCVEZWKWMXOVFZCWMVGVHXSWLXQXRWLXQMWNXDWLXRWNWQWLXRWNMZMXCWLW
      QWMCSKZYDWKWGWQYEMWKWGWQYEBCDNVPVIWLYEXRVJZYDWKYAXTYEYFTWGYCYBWMCVKVLXRWN
      VMVNVOVQVRWNWLXDVSVTWAWBWCWDWEWF $.
  $}

  ${
    $d m n $.
    $( The least common multiple of the empty set is 1.  (Contributed by AV,
       22-Aug-2020.)  (Proof shortened by AV, 16-Sep-2020.) $)
    lcmf0 $p |- ( _lcm ` (/) ) = 1 $=
      ( vm vn c0 clcmf cfv cv cdvds wbr wral cn crab cr clt cinf c1 wss cfn cc0
      cz wceq wcel wnel 0fin noel nelir lcmfn0val mp3an ral0 rgenw rabid2 mpbir
      0ss eqcomi infeq1i nninf 3eqtri ) CDEZAFBFGHZACIZBJKZLMNZJLMNOCSPCQUARCUB
      UQVATSULUCRCRUDUEABCUFUGLUTJMJUTJUTTUSBJIUSBJURAUHUIUSBJUJUKUMUNUOUP $.
  $}

  $( The least common multiple of a singleton is its absolute value.
     (Contributed by AV, 22-Aug-2020.) $)
  lcmfsn $p |- ( M e. ZZ -> ( _lcm ` { M } ) = ( abs ` M ) ) $=
    ( cz wcel csn clcmf cfv cpr clcm co cabs wceq dfsn2 a1i fveq2d lcmfpr lcmid
    anidms 3eqtrd ) ABCZADZEFAAGZEFZAAHIZAJFSTUAETUAKSALMNSUBUCKAAOQAPR $.

  ${
    $d A k m $.  $d B k m $.  $d C k m $.
    $( The least common multiple of a triple of integers is the least common
       multiple of the third integer and the least common multiple of the first
       two integers.  Although there would be a shorter proof using
       ~ lcmfunsn , this explicit proof (not based on induction) should be
       kept.  (Proof modification is discouraged.)  (Contributed by AV,
       23-Aug-2020.) $)
    lcmftp $p |- ( ( A e. ZZ /\ B e. ZZ /\ C e. ZZ )
                 -> ( _lcm ` { A , B , C } ) = ( ( A lcm B ) lcm C ) ) $=
      ( vm cc0 wceq cz wcel w3a co wa syl adantl adantr 3adant3 wn cdvds wbr wi
      clcm vk w3o ctp clcmf cfv wss wb 0z eltpg ax-mp biimpri anim12ci lcmf0val
      tpssi lcmcom mpancom lcm0val eqtrd eqcomd 3ad2ant3 3ad2ant2 oveq1d 3eqtrd
      0zd oveq1 3ad2ant1 oveq2 3eqtr3d lcmcl nn0zd sylan9eqr 3jaoian cv wral cn
      cle simp3 jca dvdslcm simp1 cn0 3jca dvdstr expd com12 mpcom impcom simpr
      simp2 mpand mpdan breq1 raltpg mpbird ad2antlr 3ioran eqcom notbii biimpi
      wo anbi12i ioran sylibr sylbi lcmn0cl neneqd nnz 3anass lcmdvds lcmledvds
      id nnne0 imp syl22anc ex sylbid ralrimiva cfn wnel anim12i tpfi a1i con3d
      biimpd df-nel lcmf syl13anc pm2.61ian ) EAFZEBFZECFZUBZAGHZBGHZCGHZIZABCU
      CZUDUEZABTJZCTJZFYLYPKZYREYTUUAYQGUFZEYQHZKYREFYLUUCYPUUBUUCYLEGHZUUCYLUG
      ZUHEABCGUIUJZUKABCGUNZULYQUMLYIYPEYTFYJYKYIYPKZEECTJZEBTJZCTJZYTYPEUUIFZY
      IYOYMUULYNYOUUIEYOUUICETJZEUUDYOUUIUUMFYOVDECUOUPCUQURZUSUTMUUHEUUJCTYPEU
      UJFZYIYNYMUUOYOYNUUJEYNUUJBETJZEUUDYNUUJUUPFYNVDEBUOUPBUQURUSVAMVBYIUUKYT
      FYPYIUUJYSCTEABTVEVBNVCYJYPKZUUIAETJZCTJEYTUUQEUURCTYPEUURFZYJYMYNUUSYOYM
      UUREAUQUSVFMVBYPUUIEFZYJYOYMUUTYNUUNUTMUUQUURYSCTYJUURYSFYPEBATVGNVBVHYPY
      KEYSETJZYTYMYNEUVAFZYOYMYNKZYSGHZUVBUVCYSABVIVJZUVDUVAEYSUQUSLOECYSTVGVKV
      LURYLPZYPKZYTYRUVGYTYRFZDVMZYTQRZDYQVNZUVIUAVMZQRZDYQVNZYTUVLVPRZSZUAVOVN
      ZKZUVGUVKUVQUVGUVKAYTQRZBYTQRZCYTQRZIZUVGYSYTQRZUWAKZUWBUVGUVDYOKZUWDYPUW
      EUVFYPUVDYOYMYNUVDYOUVEOZYMYNYOVQZVRZMZYSCVSLUVGUWDKUVSUVTUWAUWDUVGUVSUWC
      UVGUVSSUWAUVGUWCUVSYPUWCUVSSZUVFAYSQRZBYSQRZKZYPUWJYMYNUWMYOABVSZOUWKYPUW
      JSUWLYPUWKUWJYPUWKUWCUVSYPYMUVDYTGHZIUWKUWCKUVSSYPYMUVDUWOYMYNYOVTUWFYPYT
      YPUWEYTWAHUWHYSCVILVJZWBAYSYTWCLWDWENWFMWENWGUWDUVGUVTUWCUVGUVTSUWAUVGUWC
      UVTUVGUWLUWCUVTYPUWLUVFYMYNUWLYOUVCUWMUWLUWNUWKUWLWHLOMUVGYNUVDUWOIZUWLUW
      CKUVTSYPUWQUVFYPYNUVDUWOYMYNYOWIUWFUWPWBMBYSYTWCLWJWENWGUWDUWAUVGUWCUWAWH
      MWBWKYPUVKUWBUGUVFUVJUVSUVTUWADABCGGGUVIAYTQWLUVIBYTQWLUVICYTQWLWMMWNUVGU
      VPUAVOUVGUVLVOHZKZUVNAUVLQRZBUVLQRZCUVLQRZIZUVOYPUVNUXCUGUVFUWRUVMUWTUXAU
      XBDABCGGGUVIAUVLQWLUVIBUVLQWLUVICUVLQWLWMWOUWSUXCUVOUWSUXCKZUWRUVDYOIZYSE
      FZCEFZWTPZYSUVLQRZUXBUVOUWSUXEUXCUWSUWRUVDYOUVGUWRWHYPUVDUVFUWRUWFWOYPYOU
      VFUWRUWGWOWBNUXDUXFPZUXGPZKZUXHUWSUXLUXCUVGUXLUWRUVGUXJUXKUVGYSVOHZUXJUVG
      UVCAEFZBEFZWTPZKZUXMUVFUXPYPUVCUVFYIPZYJPZYKPZIZUXPYIYJYKWPZUXRUXSUXPUXTU
      XRUXSKZUXNPZUXOPZKZUXPUYCUYFUXRUYDUXSUYEYIUXNEAWQWRZYJUXOEBWQWRZXAWSUXNUX
      OXBZXCOXDYMYNUVCYOUVCXKOZULABXEZLUXMYSEYSXLXFZLUVFUXKYPUVFUYAUXKUYBUXTUXR
      UXKUXSUXTUXKYKUXGECWQWRWSUTXDNZVRNNUXFUXGXBZXCUXCUWSUXIUWTUXAUWSUXISUXBUW
      SUWTUXAKZUXIUWSUVLGHZYMYNIZUYOUXISUWSUYPUVCKUYQUVGUVCUWRUYPYPUVCUVFUYJMUV
      LXGULUYPYMYNXHXCUVLABXILWEOWGUXCUXBUWSUWTUXAUXBVQMUXEUXHKUXIUXBKUVOUVLYSC
      XJXMXNXOXPXQVRUVGYTVOHZUUBYQXRHZEYQXSZUVHUVRUGUVGUWEUXHKUYRUVGUWEUXHUWIUV
      GUXLUXHUVGUXJUXKUVGUXMUXJUVGUXQUXMUVFUXPYPUVCUVFUYAUXPUYBUXRUXSUXPUXTUYCU
      YFUXPUXRUYDUXSUYEUXRUYDUYGWSUXSUYEUYHWSXTUYIXCOXDUYJULUYKLUYLLUYMVRUYNXCV
      RYSCXELYPUUBUVFUUGMUYSUVGABCYAYBUVGUUCPZUYTYPUVFVUAYPUUCYLYPUUCYLUUEYPUUF
      YBYDYCWGEYQYEXCUADYTYQYFYGWNUSYH $.
  $}

  ${
    $d m x y z $.  $d k n x y z $.  $d k l m y $.
    $( Lemma for ~ lcmfdvds and ~ lcmfunsnlem (Induction step part 1).
       (Contributed by AV, 25-Aug-2020.) $)
    lcmfunsnlem1 $p |- ( ( ( z e. ZZ /\ y C_ ZZ /\ y e. Fin )
           /\ ( A. k e. ZZ ( A. m e. y m || k -> ( _lcm ` y ) || k )
           /\ A. n e. ZZ ( _lcm ` ( y u. { n } ) ) = ( ( _lcm ` y ) lcm n ) ) )
                         -> A. k e. ZZ ( A. m e. ( y u. { z } ) m || k
                                       -> ( _lcm ` ( y u. { z } ) ) || k ) ) $=
      ( vl cv cz wcel cdvds wbr wral clcmf cfv wi clcm wceq wa breq2 adantr wss
      cfn w3a csn cun nfv nfra1 nfan ralbidv imbi12d cbvralvw rspcv adantl sneq
      co uneq2d fveq2d oveq2 eqeq12d 3ad2ant1 simpr lcmfcl nn0zd 3adant1 simpl1
      3jca ssun1 ssralv mp1i imim1d imp31 wo snidg olcd elun sylibr syl imp jca
      breq1 lcmdvds sylc syl5ibrcom ex com23 syl5d syld syl5bi impancom ralrimi
      impd ) BGZHIZAGZHUAZWNUBIZUCZDGZCGZJKZDWNLZWNMNZWSJKZOZCHLZWNEGZUDZUEZMNZ
      XBXFPUOZQZEHLZRZRWTDWNWLUDZUEZLZXOMNZWSJKZOZCHWQXMCWQCUFXEXLCXDCHUGXLCUFU
      HUHWQWSHIZXMXSWQXTRZXEXLXSXEWRFGZJKZDWNLZXBYBJKZOZFHLZYAXLXSOZXDYFCFHWSYB
      QZXAYDXCYEYIWTYCDWNWSYBWRJSUIWSYBXBJSUJUKYAYGXDYHXTYGXDOWQYFXDFWSHYBWSQZY
      DXAYEXCYJYCWTDWNYBWSWRJSUIYBWSXBJSUJULUMYAXLXQXBWLPUOZQZXDXSWQXLYLOZXTWMW
      OYMWPXKYLEWLHXFWLQZXIXQXJYKYNXHXOMYNXGXNWNXFWLUNUPUQXFWLXBPURUSULUTTYAXDY
      LXSOYAXDRZXPYLXRYOXPYLXROYOXPRZXRYLYKWSJKZYPXTXBHIZWMUCZXCWLWSJKZRYQYOYSX
      PYAYSXDYAXTYRWMWQXTVAWQYRXTWOWPYRWMWOWPRXBWNVBVCVDTWMWOWPXTVEVFTTYPXCYTYA
      XDXPXCYAXPXAXCWNXOUAXPXAOYAWNXNVGWTDWNXOVHVIVJVKYOXPYTYAXPYTOZXDWQUUAXTWM
      WOUUAWPWMWLXOIZUUAWMWLWNIZWLXNIZVLUUBWMUUDUUCWLHVMVNWLWNXNVOVPWTYTDWLXOWR
      WLWSJVTULVQUTTTVRVSWSXBWLWAWBXQYKWSJVTWCWDWEWDWFWGWHWKWIWJ $.

    $d i k l m n y z $.
    $( Lemma 1 for ~ lcmfunsnlem2 .  (Contributed by AV, 26-Aug-2020.) $)
    lcmfunsnlem2lem1 $p |- ( ( ( 0 e/ y /\ z =/= 0 /\ n =/= 0 )
       /\ ( n e. ZZ /\ ( ( z e. ZZ /\ y C_ ZZ /\ y e. Fin )
       /\ ( A. k e. ZZ ( A. m e. y m || k -> ( _lcm ` y ) || k )
       /\ A. n e. ZZ ( _lcm ` ( y u. { n } ) ) = ( ( _lcm ` y ) lcm n ) ) ) ) )
            -> A. k e. NN ( A. i e. ( ( y u. { z } ) u. { n } ) i || k
                            -> ( ( _lcm ` ( y u. { z } ) ) lcm n ) <_ k ) ) $=
      ( cc0 cv cz wcel cdvds wbr wral wi wceq wa wo wn adantl imp vl wnel clcmf
      wne w3a wss cfn cfv csn cun clcm co cle nfv nfra1 nfan simprr simp2 snssi
      cn cn0 3ad2ant1 unssd simp3 snfi unfi sylancl jca lcmfcl syl nn0zd adantr
      simprl df-nel biimpi elsni eqcomd necon3ai anim12i 3adant3 ioran xchnxbir
      bitri sylibr lcmfn0cl nnne0d neneqd neneq 3ad2ant3 ad2antrr exp43 adantrd
      3jca elun com23 imp32 sneq uneq2d oveq2 eqeq12d rspcv nnz 3adant1 simpll1
      fveq2d elun1 orcd breq1 com12 ralrimiv breq2 ralbidv cbvralvw syl5bi mpid
      imbi12d exp31 com24 impl vsnid olci mpbir orci mp1i lcmdvds syl5ibr exp5j
      sylc expd syld com34 lcmledvds ralrimi ) GAHZUBZBHZGUDZFHZGUDZUEZYRIJZYPI
      JZYNIUFZYNUGJZUEZEHZDHZKLZEYNMZYNUCUHZUUGKLZNZDIMZYNYRUIZUJZUCUHZUUJYRUKU
      LZOZFIMZPZPZPZPZCHZUUGKLZCYNYPUIZUJZUUNUJZMZUVGUCUHZYRUKULUUGUMLZNDUTYTUV
      BDYTDUNUUAUVADUUADUNUUEUUTDUUEDUNUUMUUSDUULDIUOUUSDUNUPUPUPUPUVCUUGUTJZUV
      IUVKUVCUVLPZUVIPZUVLUVJIJZUUAUEZUVJGOZYRGOZQRZPZUVJUUGKLZYRUUGKLZPUVKUVMU
      VTUVIUVCUVLUVTYTUUAUVAUVLUVTNZYTUVAUUAUWCYTUUEUUAUWCNUUTYTUUEUUAUVLUVTYTU
      UEPZUUAUVLPZPZUVPUVSUWFUVLUVOUUAUWDUUAUVLUQUWDUVOUWEUUEUVOYTUUEUVJUUEUVGI
      UFZUVGUGJZPUVJVAJUUEUWGUWHUUEYNUVFIUUBUUCUUDURUUBUUCUVFIUFUUDYPIUSVBVCZUU
      EUUDUVFUGJUWHUUBUUCUUDVDYPVEYNUVFVFVGZVHUVGVIVJVKSVLUWDUUAUVLVMWMUWFUVQRZ
      UVRRZPUVSUWFUWKUWLUWFUVJGUWFUVJUWFUWGUWHGUVGUBZUEZUVJUTJUWDUWNUWEUWDUWGUW
      HUWMUUEUWGYTUWISUUEUWHYTUWJSYTUWMUUEYTGYNJZRZGUVFJZRZPZUWMYOYQUWSYSYOUWPY
      QUWRYOUWPGYNVNVOUWQYPGUWQGYPGYPVPVQVRVSVTUWMGUVGJZRUWSGUVGVNUWOUWQQUWSUWT
      UWOUWQWAGYNUVFWNWBWCWDVLWMVLUVGWEVJWFWGYTUWLUUEUWEYSYOUWLYQYRGWHWIWJVHUVQ
      UVRWAWDVHWKWLWOWPTVLUVNUWAUWBUVMUVIUWAUVCUVLUVIUWANZYTUVBUVLUXANZUVBYTUXB
      UUAUVAYTUXBNZUVAUUAUXCUVAUUAUVLYTUXAUVAUUAUVLYTUXANZUUEUUMUUSUWEUXDNZUUEU
      USUUMUXEUUEUUSUVJUUJYPUKULZOZUUMUXENZUUBUUCUUSUXGNUUDUURUXGFYPIYRYPOZUUPU
      VJUUQUXFUXIUUOUVGUCUXIUUNUVFYNYRYPWQWRXEYRYPUUJUKWSWTXAVBUXGUUEUXHUXGUUEU
      UMUWEYTUXAUXGUUEUUMPZUWEPZYTPZUVIUWAUXLUVIPZUWAUXGUXFUUGKLZUXMUUGIJZUUJIJ
      ZUUBUEZUUKYPUUGKLZPUXNUXKUXQYTUVIUXKUXOUXPUUBUWEUXOUXJUVLUXOUUAUUGXBSZSUU
      EUXPUUMUWEUUCUUDUXPUUBUUCUUDPUUJYNVIVKXCWJUUBUUCUUDUUMUWEXDWMWJUXMUUKUXRU
      XLUVIUUKUXJUWEYTUVIUUKNZUUEUUMUWEYTPZUXTNUUEUVIUYAUUMUUKUUEUVIUYAUUMUUKNU
      UEUVIPZUYAPZUUMUUIUUKUYBUUIUYAUYBUUHEYNUVIUUFYNJZUUHNUUEUYDUVIUUHUYDUUFUV
      HJZUVIUUHNUYDUUFUVGJZUUFUUNJZQUYEUYDUYFUYGUUFYNUVFXFXGUUFUVGUUNWNWDUVEUUH
      CUUFUVHUVDUUFUUGKXHXAVJXISXJVLUUMUUFUAHZKLZEYNMZUUJUYHKLZNZUAIMZUYCUULUUL
      UYLDUAIUUGUYHOZUUIUYJUUKUYKUYNUUHUYIEYNUUGUYHUUFKXKXLUUGUYHUUJKXKXPXMUYCU
      XOUYMUULNUYAUXOUYBUWEUXOYTUXSVLSUYLUULUAUUGIUYHUUGOZUYJUUIUYKUUKUYOUYIUUH
      EYNUYHUUGUUFKXKXLUYHUUGUUJKXKXPXAVJXNXOXQXRTXSTUXLUVIUXRYPUVHJZUVIUXRNUXL
      UYPYPUVGJZYPUUNJZQUYQUYRUYQYPYNJZYPUVFJZQUYTUYSBXTYAYPYNUVFWNYBYCYPUVGUUN
      WNYBUVEUXRCYPUVHUVDYPUUGKXHXAYDTVHUUGUUJYPYEYHUVJUXFUUGKXHYFYIYGXIYJWOWPY
      IYKXITXITTTUVMUVIUWBYRUVHJZUVIUWBNUVMVUAYRUVGJZYRUUNJZQVUCVUBFXTYAYRUVGUU
      NWNYBUVEUWBCYRUVHUVDYRUUGKXHXAYDTVHUUGUVJYRYLYHXQYM $.

    $( Lemma 2 for ~ lcmfunsnlem2 .  (Contributed by AV, 26-Aug-2020.) $)
    lcmfunsnlem2lem2 $p |- ( ( ( 0 e/ y /\ z =/= 0 /\ n =/= 0 )
       /\ ( n e. ZZ /\ ( ( z e. ZZ /\ y C_ ZZ /\ y e. Fin )
       /\ ( A. k e. ZZ ( A. m e. y m || k -> ( _lcm ` y ) || k )
       /\ A. n e. ZZ ( _lcm ` ( y u. { n } ) ) = ( ( _lcm ` y ) lcm n ) ) ) ) )
                             -> ( _lcm ` ( ( y u. { z } ) u. { n } ) )
                                = ( ( _lcm ` ( y u. { z } ) ) lcm n ) ) $=
      ( vi cc0 cz wcel cdvds wbr wral wi clcm wceq wa adantr adantl syl wn wnel
      cv wne w3a wss cfn clcmf cfv csn cun co cle cn wo elun wel simp1 weq sneq
      uneq2d fveq2d oveq2 eqeq12d rspcv ssel 3ad2ant2 impcom lcmfcl 3adant1 cn0
      nn0zd lcmcl sylan syl2anc breq1 dvdslcmf impel jca dvdslcm simpld dvdstrd
      simprr lcmass syl3anc breqtrrd elsni simprd syl5ibr jaoi imp oveq1 breq2d
      syl5ibrcom syld sylbi simp2 snssi 3ad2ant1 unssd snfi unfi sylancl anim1i
      ex simp3 com13 ralrimiv lcmfunsnlem2lem1 wb df-nel biimpi eqcomd necon3ai
      expd ioran sylanbrc sylnibr sylibr lcmfn0cl syl2an3an nnne0d neneqd neneq
      3ad2ant3 lcmn0cl mpan2 w3o nnel biimpri 3mix1d 3mix2d 3mix3d 3ianor con2i
      nne 3jca lcmf mpbir2and ) GAUBZUAZBUBZGUCZEUBZGUCZUDZUUCHIZUUAHIZYSHUEZYS
      UFIZUDZDUBCUBZJKDYSLYSUGUHZUUKJKMCHLZYSUUCUIZUJZUGUHZUULUUCNUKZOZEHLZPZPZ
      PZPZYSUUAUIZUJZUGUHZUUCNUKZUVEUUNUJZUGUHZUVCUVGUVIOZFUBZUVGJKZFUVHLZUVKUU
      KJKFUVHLUVGUUKULKMCUMLZUVCUVLFUVHUVBUVKUVHIZUVLMZUUEUVAUUFUVPUUTUUJUUFUVP
      MZUUSUUJUVQMUUMUUSUUJUUFUVPUVOUUJUUFPZUUSUVLUVOUVKUVEIZUVKUUNIZUNUVRUUSUV
      LMZMZUVKUVEUUNUOUVSUWBUVTUVSFAUPZUVKUVDIZUNZUWBUVKYSUVDUOUWEUVRUWAUWEUVRP
      ZUUSUVFUULUUANUKZOZUVLUWFUUGUUSUWHMUVRUUGUWEUUJUUGUUFUUGUUHUUIUQZQZRUURUW
      HEUUAHEBURZUUPUVFUUQUWGUWKUUOUVEUGUWKUUNUVDYSUUCUUAUSUTVAUUCUUAUULNVBVCVD
      SUWFUVLUWHUVKUWGUUCNUKZJKZUWEUVRUWMUWCUVRUWMMZUWDUWCUVRUWMUWCUVRPZUVKUULU
      UAUUCNUKZNUKZUWLJUWOUVKUULUWQUVRUWCUVKHIZUUJUWCUWRMZUUFUUHUUGUWSUUIYSHUVK
      VEVFQVGUVRUULHIZUWCUUJUWTUUFUUHUUIUWTUUGUUHUUIPUULYSVHZVKVIZQZRZUWOUWQUWO
      UWTUWPHIZUWQVJIUXDUVRUXEUWCUVRUWPUUJUUGUUFUWPVJIUWIUUAUUCVLVMVKZRUULUWPVL
      VNVKUWCUUKUULJKZCYSLZUVKUULJKZUVRUXGUXICUVKYSUUKUVKUULJVOVDUUJUXHUUFUUHUU
      IUXHUUGCYSVPVIQVQUWOUWTUXEPZUULUWQJKZUVRUXJUWCUVRUWTUXEUXCUXFVRRUXJUXKUWP
      UWQJKUULUWPVSVTSWAUWOUWTUUGUUFUWLUWQOUXDUVRUUGUWCUWJRUWCUUJUUFWBUUCUUAUUL
      WCWDWEXDUWDFBURZUWNUVKUUAWFUVRUWMUXLUUAUWLJKUVRUUAUWGUWLUWJUUJUWGHIZUUFUU
      JUWGUUJUWTUUGUWGVJIUUJUULUUHUUIUULVJIUUGUXAVIVKUWIUULUUAVLVNVKZQUVRUWLUUJ
      UXMUUFUWLVJIUXNUWGUUCVLVMVKUVRUWTUUGPZUUAUWGJKZUUJUXOUUFUUJUWTUUGUXBUWIVR
      QUXOUULUWGJKUXPUULUUAVSWGSUUJUXMUUFUWGUWLJKZUXNUXMUUFPUXQUUCUWLJKUWGUUCVS
      VTVMWAUVKUUAUWLJVOWHSWIWJUWHUVGUWLUVKJUVFUWGUUCNWKWLWMWNXDWOUVTFEURZUWBUV
      KUUCWFUXRUVRUUSUVLUVRUUSPZUVLUXRUUCUVGJKZUXSUVFUVGJKZUXTUXSUVFHIZUUFPZUYA
      UXTPUVRUYCUUSUUJUYBUUFUUJUVFUUJUVEHUEZUVEUFIZUVFVJIUUJYSUVDHUUGUUHUUIWPUU
      GUUHUVDHUEUUIUUAHWQWRWSZUUJUUIUVDUFIZUYEUUGUUHUUIXEUUAWTZYSUVDXAZXBZUVEVH
      VNVKXCZQUVFUUCVSSWGUVKUUCUVGJVOWHXNSWIWOXFXNRVGVGRXGABFCDEXHUVCUVGUMIZUVH
      HUEZUVHUFIZGUVHUAZUDZPZUVJUVMUVNPXIUVBUUEUYQUVAUUFUUEUYQMZUUJUUFUYRMUUTUU
      JUUFUYRUVRUUEUYQUVRUUEPZUYLUYPUYSUYCUVFGOZUUCGOZUNTZUYLUVRUYCUUEUYKQUYSUY
      TTVUATZVUBUYSUVFGUYSUVFUVRUYDUYEUUEGUVEUAZUVFUMIUUJUYDUUFUYFQZUUJUYEUUFUY
      JQUUEGUVEIZTVUDUUEGYSIZGUVDIZUNZVUFUUEVUGTZVUHTZVUITYTUUBVUJUUDYTVUJGYSXJ
      XKWRUUBYTVUKUUDVUHUUAGVUHGUUAGUUAWFXLZXMVFVUGVUHXOXPGYSUVDUOZXQGUVEXJXRUV
      EXSXTYAYBUUEVUCUVRUUDYTVUCUUBUUCGYCYDRUYTVUAXOXPUVFUUCYEVNUYSUYMUYNUYOUVR
      UYMUUEUVRUVEUUNHVUEUUFUUNHUEUUJUUCHWQRWSQUVRUYNUUEUUJUYNUUFUUIUUGUYNUUHUU
      IUYEUUNUFIUYNUUIUYGUYEUYHUYIYFUUCWTUVEUUNXAXBYDQQUUEUYOUVRUUEGUVHIZTUYOVU
      NUUEVUNYTTZUUBTZUUDTZYGZUUETVUNVUFGUUNIZUNVURGUVEUUNUOVUFVURVUSVUFVUIVURV
      UMVUGVURVUHVUGVUOVUPVUQVUOVUGGYSYHYIYJVUHVUPVUOVUQVUHUUAGOVUPVULUUAGYOXRY
      KWIWOVUSVUQVUOVUPVUSVUAVUQVUSGUUCGUUCWFXLUUCGYOXRYLWIWOYTUUBUUDYMXRYNGUVH
      XJXRRYPVRXDXDQVGVGCFUVGUVHYQSYRXL $.

    $( Lemma for ~ lcmfunsn and ~ lcmfunsnlem (Induction step part 2).
       (Contributed by AV, 26-Aug-2020.) $)
    lcmfunsnlem2 $p |- ( ( ( z e. ZZ /\ y C_ ZZ /\ y e. Fin )
           /\ ( A. k e. ZZ ( A. m e. y m || k -> ( _lcm ` y ) || k )
           /\ A. n e. ZZ ( _lcm ` ( y u. { n } ) ) = ( ( _lcm ` y ) lcm n ) ) )
                         -> A. n e. ZZ ( _lcm ` ( ( y u. { z } ) u. { n } ) )
                                     = ( ( _lcm ` ( y u. { z } ) ) lcm n ) ) $=
      ( cv cz wcel wss clcmf cfv wi clcm co wceq wa cc0 wo unssd adantl cfn w3a
      cdvds wbr wral csn cun nfv nfra1 nfan cdif wb eqoreldif ax-mp simp2 snssi
      0z 3ad2ant1 mp1i c0ex snid olci elun mpbir lcmf0val sylancl adantr uneq2d
      sneq fveq2d oveq2 cn0 snfi unfi mpan2 3ad2ant3 lcmfcl syl2anc lcm0val syl
      nn0zd sylan9eqr 3eqtr4d com12 elun1 ad2antrr oveq2d eldifi ad2antlr eqtrd
      ex simp3 lcmcom syl2anr snssd orcd sylibr 3eqtr4rd a1d elsng eqcom bitrdi
      expimpd biimpri olcd syl2an2 eleqtrrid wn wnel ioran df-nel df-ne anbi12i
      wne bitr4i eldif velsn bicomi necon3abii lcmfunsnlem2lem2 syl5bir impcomd
      exp520 imp syl5bi sylbi ecase3 jaoi ralrimi ) BFZGHZAFZGIZYLUAHZUBZDFCFZU
      CUDDYLUEYLJKZYPUCUDLCGUEZYLEFZUFZUGJKYQYSMNOZEGUEZPZPZYLYJUFZUGZYTUGZJKZU
      UFJKZYSMNZOZEGYOUUCEYOEUHYRUUBEYREUHUUAEGUIUJUJYSGHZUUDUUKUULYSQOZYSGQUFZ
      UKHZRZUUDUUKLZQGHZUULUUPULUQYSQGUMUNUUMUUQUUOUUDUUMUUKYOUUMUUKLUUCYOUUMUU
      KYOUUMPZUUFUUNUGZJKZQUUHUUJYOUVAQOZUUMYOUUTGIQUUTHZUVBYOUUFUUNGYOYLUUEGYK
      YMYNUOZYKYMUUEGIZYNYJGUPURZSZUURUUNGIYOUQQGUPUSSUVCQUUFHZQUUNHZRUVIUVHQUT
      VAZVBQUUFUUNVCVDUUTVEVFVGUUSUUGUUTJUUSYTUUNUUFUUMYTUUNOYOYSQVITVHVJUUMYOU
      UJUUIQMNZQYSQUUIMVKYOUUIGHZUVKQOYOUUIYOUUFGIZUUFUAHZUUIVLHZUVGYNYKUVNYMYN
      UUEUAHZUVNYJVMZYLUUEVNZVOVPUUFVQZVRWAUUIVSVTWBWCWKVGWDQYLHZYJQOZUUOUUQLZU
      VTUUOUUQUVTUUOPZYOUUCUUKUWCYOPZUUKUUCUWDYSUUIMNZQUUJUUHUWDUWEYSQMNZQUWDUU
      IQYSMUWDUVMUVHUUIQOZUWDYLUUEGYOYMUWCUVDTYOUVEUWCUVFTSUVTUVHUUOYOQYLUUEWEZ
      WFUUFVEZVRWGUUOUWFQOZUVTYOUUOUULUWJYSGUUNWHZYSVSZVTWIWJYOUVLUULUUJUWEOZUW
      CYOUUIYOUVMUVNUVOUVGYOYNUVPUVNYKYMYNWLUVQUVRVFUVSVRWAZUUOUULUVTUWKTUUIYSW
      MZWNUWDUUGGIZQUUGHZUUHQOZUWDUUFYTGYOUVMUWCUVGTUUOYTGIZUVTYOUUOYSGUWKWOZWI
      SUVTUWQUUOYOUVTUVHQYTHZRZUWQUVTUVHUXAUWHWPQUUFYTVCZWQWFUUGVEZVRWRWSXCWKUW
      AUUOUUQUWAUUOPZYOUUCUUKUXEYOPZUUKUUCUXFUWEQUUJUUHUXFUWEUWFQUXFUUIQYSMYOUV
      MUXEUVHUWGUVGUXFUVTQUUEHZRZUVHUXFUXGUVTUWAUXGUUOYOUXGUWAUURUXGUWAULUQUURU
      XGQYJOUWAQYJGWTQYJXAXBUNXDWFXEQYLUUEVCZWQUWIXFWGUXFUULUWJUUOUULUWAYOUWKWI
      ZUWLVTWJYOUVLUXEUULUWMUWNUXJUWOXFUXFUWPUWQUWRUXFUUFYTGYOUVMUXEUVGTUUOUWSU
      WAYOUWTWISUXFUXBUWQUXFUVHUXAUXFUXHUVHUXFUXGUVTUWAUXGUUOYOUWAQUUNUUEUVJYJQ
      VIXGWFXEUXIWQWPUXCWQUXDVRWRWSXCWKUVTUWARXHZQYLXIZYJQXNZPZUWBUXKUVTXHZUWAX
      HZPUXNUVTUWAXJUXLUXOUXMUXPQYLXKYJQXLXMXOUUOUULYSUUNHZXHZPUXNUUQYSGUUNXPUX
      NUXRUULUUQUXRYSQXNZUXNUULUUQLZUXQYSQUXQUUMEQXQXRXSUXLUXMUXSUXTLUXLUXMUXSU
      ULUUDUUKABCDEXTYCYDYAYBYEYFYGYHYFWDYI $.

    $d Y k m $.  $d Y n x y z $.
    $( Lemma for ~ lcmfdvds and ~ lcmfunsn .  These two theorems must be proven
       simultaneously by induction on the cardinality of a finite set ` Y ` ,
       because they depend on each other.  This can be seen by the two parts
       ~ lcmfunsnlem1 and ~ lcmfunsnlem2 of the induction step, each of them
       using both induction hypotheses.  (Contributed by AV, 26-Aug-2020.) $)
    lcmfunsnlem $p |- ( ( Y C_ ZZ /\ Y e. Fin )
                  -> ( A. k e. ZZ ( A. m e. Y m || k -> ( _lcm ` Y ) || k )
                       /\ A. n e. ZZ ( _lcm ` ( Y u. { n } ) )
                                   = ( ( _lcm ` Y ) lcm n ) ) ) $=
      ( wcel cz cdvds wral clcmf cfv wi cun clcm co wceq wa c0 imbi12d ralbidv
      c1 vx vy vz cfn wss wbr csn sseq1 raleq fveq2 breq1d uneq1 fveq2d eqeq12d
      cv oveq1d anbi12d weq lcmf0 1dvds eqbrtrid a1d adantl ralrimiva uncom un0
      cabs eqtri a1i lcmfsn 1z lcmcom mpan lcm1 3eqtrrd 3eqtrd jca simpl sylbir
      unss vex snss w3a lcmfunsnlem1 lcmfunsnlem2 3exp1 impcom embantd ex com23
      findcard2 ) DUDEDFUEZBUOAUOZGUFZBDHZDIJZWMGUFZKZAFHZDCUOZUGZLZIJZWPWTMNZO
      ZCFHZPZUAUOZFUEZWNBXHHZXHIJZWMGUFZKZAFHZXHXALZIJZXKWTMNZOZCFHZPZKQFUEZWNB
      QHZQIJZWMGUFZKZAFHZQXALZIJZYCWTMNZOZCFHZPZKUBUOZFUEZWNBYMHZYMIJZWMGUFZKZA
      FHZYMXALZIJZYPWTMNZOZCFHZPZKZYMUCUOZUGZLZFUEZWNBUUIHZUUIIJZWMGUFZKZAFHZUU
      IXALZIJZUULWTMNZOZCFHZPZKWLXGKUAUBUCDXHQOZXIYAXTYLXHQFUHUVBXNYFXSYKUVBXMY
      EAFUVBXJYBXLYDWNBXHQUIUVBXKYCWMGXHQIUJZUKRSUVBXRYJCFUVBXPYHXQYIUVBXOYGIXH
      QXAULUMUVBXKYCWTMUVCUPUNSUQRUAUBURZXIYNXTUUEXHYMFUHUVDXNYSXSUUDUVDXMYRAFU
      VDXJYOXLYQWNBXHYMUIUVDXKYPWMGXHYMIUJZUKRSUVDXRUUCCFUVDXPUUAXQUUBUVDXOYTIX
      HYMXAULUMUVDXKYPWTMUVEUPUNSUQRXHUUIOZXIUUJXTUVAXHUUIFUHUVFXNUUOXSUUTUVFXM
      UUNAFUVFXJUUKXLUUMWNBXHUUIUIUVFXKUULWMGXHUUIIUJZUKRSUVFXRUUSCFUVFXPUUQXQU
      URUVFXOUUPIXHUUIXAULUMUVFXKUULWTMUVGUPUNSUQRXHDOZXIWLXTXGXHDFUHUVHXNWSXSX
      FUVHXMWRAFUVHXJWOXLWQWNBXHDUIUVHXKWPWMGXHDIUJZUKRSUVHXRXECFUVHXPXCXQXDUVH
      XOXBIXHDXAULUMUVHXKWPWTMUVIUPUNSUQRYAYFYKYAYEAFWMFEZYEYAUVJYDYBUVJYCTWMGU
      SWMUTVAVBVCVDYAYJCFWTFEZYJYAUVKYHXAIJWTVGJZYIUVKYGXAIYGXAOUVKYGXAQLXAQXAV
      EXAVFVHVIUMWTVJUVKYITWTMNZWTTMNZUVLUVKYCTWTMYCTOUVKUSVIUPTFEUVKUVMUVNOVKT
      WTVLVMWTVNVOVPVCVDVQYMUDEZUUJUUFUVAUVOUUJUUFUVAKUVOUUJPYNUUEUVAUUJYNUVOUU
      JYNUUHFUEZPZYNYMUUHFVTZYNUVPVRVSVCUUJUVOUUEUVAKZUUJUVQUVOUVSKZUVRUVPYNUVT
      UVPUUGFEZYNUVTKUUGFUCWAWBUWAYNUVOUUEUVAUWAYNUVOWCUUEPUUOUUTUBUCABCWDUBUCA
      BCWEVQWFVSWGVSWGWHWIWJWKWG $.
  $}

  ${
    $d K k m $.  $d Z k m n $.
    $( The least common multiple of a set of integers divides any integer which
       is divisible by all elements of the set.  (Contributed by AV,
       26-Aug-2020.) $)
    lcmfdvds $p |- ( ( K e. ZZ /\ Z C_ ZZ /\ Z e. Fin )
                     -> ( A. m e. Z m || K -> ( _lcm ` Z ) || K ) ) $=
      ( vk vn cz wcel wss cfn cv cdvds wbr wral clcmf cfv wi csn wceq wa breq2
      cun clcm co ralbidv imbi12d rspccv adantr lcmfunsnlem syl11 3impib ) BFGZ
      CFHZCIGZAJZBKLZACMZCNOZBKLZPZUNDJZKLZACMZUQUTKLZPZDFMZCEJZQUANOUQVFUBUCRE
      FMZSUKUSULUMSVEUKUSPVGVDUSDBFUTBRZVBUPVCURVHVAUOACUTBUNKTUDUTBUQKTUEUFUGD
      AECUHUIUJ $.

    $d Z m x $.
    $( Biconditional form of ~ lcmfdvds .  (Contributed by AV, 26-Aug-2020.) $)
    lcmfdvdsb $p |- ( ( K e. ZZ /\ Z C_ ZZ /\ Z e. Fin )
                      -> ( A. m e. Z m || K <-> ( _lcm ` Z ) || K ) ) $=
      ( vx cz wcel wss cfn w3a cv cdvds wbr wral clcmf cfv lcmfdvds wi wa com12
      adantr dvdslcmf breq1 rspcv imp lcmfcl nn0zd adantl simplr dvdstr syl3anc
      ssel expd exp31 com23 com24 com45 syld com15 mpd 3impib ralrimdv impbid )
      BEFZCEGZCHFZIZAJZBKLZACMCNOZBKLZABCPVFVJVHACVCVDVEVJVGCFZVHQQZVDVERZVCVLV
      MDJZVIKLZDCMZVCVLQDCUAVKVPVCVJVMVHVKVPVGVIKLZVCVJVMVHQQQVOVQDVGCVNVGVIKUB
      UCVKVQVCVMVJVHVKVMVCVQVJVHQZVKVCVMVQVRQZVKVCVMVSVKVCRZVMRZVQVJVHWAVGEFZVI
      EFZVCVQVJRVHQVTVMWBVKVMWBQVCVMVKWBVDVKWBQVECEVGUKTSTUDVMWCVTVMVICUEUFUGVK
      VCVMUHVGVIBUIUJULUMUNUOUPUQURUSSUTVAVB $.
  $}

  ${
    $d N n $.  $d Y k m n $.
    $( The ` _lcm ` function for a union of a set of integer and a singleton.
       (Contributed by AV, 26-Aug-2020.) $)
    lcmfunsn $p |- ( ( Y C_ ZZ /\ Y e. Fin /\ N e. ZZ )
                     -> ( _lcm ` ( Y u. { N } ) ) = ( ( _lcm ` Y ) lcm N ) ) $=
      ( vm vk vn cz wss wcel csn cun clcmf cfv clcm co wceq cv cdvds wbr wral
      wi wa lcmfunsnlem sneq uneq2d fveq2d oveq2 eqeq12d rspccv simpl2im 3impia
      cfn ) BFGZBUKHZAFHZBAIZJZKLZBKLZAMNZOZULUMUACPDPZQRCBSURVAQRTDFSBEPZIZJZK
      LZURVBMNZOZEFSUNUTTDCEBUBVGUTEAFVBAOZVEUQVFUSVHVDUPKVHVCUOBVBAUCUDUEVBAUR
      MUFUGUHUIUJ $.
  $}

  ${
    $d Y x y z $.  $d Z x y z $.
    $( The ` _lcm ` function for a union of sets of integers.  (Contributed by
       AV, 27-Aug-2020.) $)
    lcmfun $p |- ( ( ( Y C_ ZZ /\ Y e. Fin ) /\ ( Z C_ ZZ /\ Z e. Fin ) )
              -> ( _lcm ` ( Y u. Z ) ) = ( ( _lcm ` Y ) lcm ( _lcm ` Z ) ) ) $=
      ( cz wss cfn wcel wa cun clcmf cfv clcm co wi c0 fveq2d oveq2d syl adantl
      wceq adantr vx vy vz cv csn cleq1lem uneq2 un0 eqtrdi fveq2 lcmf0 eqeq12d
      c1 imbi12d weq cabs lcmfcl nn0zd lcm1 cr cc0 cle wbr cn0 nn0re nn0ge0 jca
      absid eqtrd eqcomd unass eqcomi a1i simpl unss sylbir unssd ex impcom vex
      unfi biimpri lcmfunsn syl3anc anim1i id mpan9 oveq1d anim2i ancomd lcmass
      snss wb w3a simpr 3jca eqeq2d mpbird exp31 com23 findcard2 expd ) BCDZBEF
      ZGACDZAEFZGZABHZIJZAIJZBIJZKLZSZXDXCXGXMMXDXCXGXMUAUDZCDXGGZAXNHZIJZXJXNI
      JZKLZSZMNCDZXGGZXJXJUMKLZSZMUBUDZCDZXGGZAYEHZIJZXJYEIJZKLZSZMZYEUCUDZUEZH
      ZCDZXGGZAYPHZIJZXJYPIJZKLZSZMXCXGGZXMMUAUBUCBXNNSZXOYBXTYDXGXNNCUFUUEXQXJ
      XSYCUUEXPAIUUEXPANHAXNNAUGAUHUIOUUEXRUMXJKUUEXRNIJUMXNNIUJUKUIPULUNUAUBUO
      ZXOYGXTYLXGXNYECUFUUFXQYIXSYKUUFXPYHIXNYEAUGOUUFXRYJXJKXNYEIUJPULUNXNYPSZ
      XOYRXTUUCXGXNYPCUFUUGXQYTXSUUBUUGXPYSIXNYPAUGOUUGXRUUAXJKXNYPIUJPULUNXNBS
      ZXOUUDXTXMXGXNBCUFUUHXQXIXSXLUUHXPXHIXNBAUGOUUHXRXKXJKXNBIUJPULUNYBYCXJXG
      YCXJSYAXGYCXJUPJZXJXGXJCFZYCUUISXGXJAUQZURZXJUSQXGXJUTFZVAXJVBVCZGZUUIXJS
      XGXJVDFZUUOUUKUUPUUMUUNXJVEXJVFVGQXJVHQVIRVJYEEFZYRYMUUCUUQYRYMUUCUUQYRGZ
      YMGZUUCYTXJYJYNKLZKLZSZUUSYTYIYNKLZUVAUURYTUVCSYMUURYTYHYOHZIJZUVCUURYSUV
      DIYSUVDSUURUVDYSAYEYOVKVLVMOUURYHCDZYHEFZYNCFZUVEUVCSYRUVFUUQYRAYECXGXEYQ
      XEXFVNRYQYFXGYQYFYOCDZGZYFYEYOCVOZYFUVIVNZVPZTZVQRYRUUQUVGXGUUQUVGMZYQXFU
      VOXEXFUUQUVGAYEWAVRRRVSYRUVHUUQYQUVHXGYQUVJUVHUVKUVIUVHYFUVHUVIYNCUCVTWLW
      BRZVPTRZYNYHWCWDVITUUSUVCYKYNKLZUVAUUSYIYKYNKUURYGYMYLYRYGUUQYQYFXGUVMWER
      YMWFWGWHUURUVRUVASZYMUURUUJYJCFUVHUVSYRUUJUUQXGUUJYQUULRRUURYJUURYFUUQGYJ
      VDFUURUUQYFYRYFUUQUVNWIWJYEUQQURUVQYNYJXJWKWDTVIVIUURUUCUVBWMYMUURUUBUVAY
      TUURUUAUUTXJKUURYFUUQUVHWNZUUAUUTSYRUUQUVTYQUUQUVTMZXGYQUVJUWAUVKUVJUUQUV
      TUVJUUQGYFUUQUVHUVJYFUUQUVLTUVJUUQWOUVJUVHUUQUVPTWPVRVPTVSYNYEWCQPWQTWRWS
      WTXAXBVSVS $.
  $}

  $( Associative law for the ` _lcm ` function.  (Contributed by AV,
     27-Aug-2020.) $)
  lcmfass $p |- ( ( ( Y C_ ZZ /\ Y e. Fin ) /\ ( Z C_ ZZ /\ Z e. Fin ) )
                  -> ( _lcm ` ( { ( _lcm ` Y ) } u. Z ) )
                     = ( _lcm ` ( Y u. { ( _lcm ` Z ) } ) ) ) $=
    ( cz wss cfn wcel wa clcmf cfv csn clcm co cun cabs lcmfcl nn0zd lcmfsn syl
    wceq cn0 cr cc0 cle wbr nn0re nn0ge0 jca absid eqtrd eqtr2d oveqan12d snssd
    3syl snfi jctir lcmfun sylan sylan2 3eqtr4d ) ACDAEFGZBCDBEFGZGAHIZJZHIZBHI
    ZKLZVBVEJZHIZKLZVCBMHIZAVGMHIZUTVAVDVBVEVHKUTVDVBNIZVBUTVBCFVDVLSUTVBAOZPZV
    BQRUTVBTFZVBUAFZUBVBUCUDZGVLVBSVMVOVPVQVBUEVBUFUGVBUHUMUIVAVHVENIZVEVAVECFV
    HVRSVAVEBOZPZVEQRVAVETFZVEUAFZUBVEUCUDZGVRVESVSWAWBWCVEUEVEUFUGVEUHUMUJUKUT
    VCCDZVCEFZGVAVJVFSUTWDWEUTVBCVNULVBUNUOVCBUPUQVAUTVGCDZVGEFZGVKVISVAWFWGVAV
    ECVTULVEUNUOAVGUPURUS $.

  $( The least common multiple of 2 , 3 and 4 is 12.  (Contributed by AV,
     27-Aug-2020.) $)
  lcmf2a3a4e12 $p |- ( _lcm ` { 2 , 3 , 4 } ) = ; 1 2 $=
    ( c2 cz wcel c3 c4 ctp clcmf cfv c1 cdc wceq 2z 3z 4z w3a clcm co lcmftp c6
    eqtrdi lcmcom 3adant3 3lcm2e6woprm oveq1d 6lcm4e12 eqtrd mp3an ) ABCZDBCZEB
    CZADEFGHZIAJZKLMNUHUIUJOZUKADPQZEPQZULADERUMUOSEPQULUMUNSEPUMUNDAPQZSUHUIUN
    UPKUJADUAUBUCTUDUETUFUG $.

  ${
    $d N m $.
    $( The least common multiple of all positive integers less than or equal to
       an integer is less than or equal to the factorial of the integer.
       (Contributed by AV, 16-Aug-2020.)  (Revised by AV, 27-Aug-2020.) $)
    lcmflefac $p |- ( N e. NN -> ( _lcm ` ( 1 ... N ) ) <_ ( ! ` N ) ) $=
      ( vm cn wcel c1 cfz co cz wss cfn cc0 wnel w3a cfa cfv cdvds wbr wral a1i
      cv wa clcmf cle fzssz fzfid 0nelfz1 3jca faccld cuz elfznn elfzuz3 adantl
      nnnn0 dvdsfac syl2an2 ralrimiva jca lcmfledvds sylc ) ACDZEAFGZHIZVAJDZKV
      ALZMANOZCDZBTZVEPQZBVARZUAVAUBOVEUCQUTVBVCVDVBUTEAUDSUTEAUEVDUTAUFSUGUTVF
      VIUTAAUMUHUTVHBVAVGVADZVGCDUTAVGUIODZVHVGAUJVJVKUTVGEAUKULVGAUNUOUPUQBVEV
      AURUS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Coprimality and Euclid's lemma
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

According to Wikipedia "Coprime integers",
see ~ https://en.wikipedia.org/wiki/Coprime_integers (16-Aug-2020) "[[...] two
integers a and b are said to be _relatively prime_, mutually prime, or
_coprime_ [[...] if the only positive integer (factor) that divides both of
them is 1.  Consequently, any prime number that divides one does not divide the
other.  This is equivalent to their greatest common divisor (gcd) being 1.".
In the following, we use this equivalent characterization to say that
` A e. ZZ ` and ` B e. ZZ ` are coprime (or relatively prime) if
` ( A gcd B ) = 1 `. The equivalence of the definitions is shown by
~ coprmgcdb .  The negation, i.e. two integers are not coprime, can be
expressed either by ` ( A gcd B ) =/= 1 `, see ~ ncoprmgcdne1b , or
equivalently by ` 1 < ( A gcd B ) `, see ~ ncoprmgcdgt1b .

A proof of Euclid's lemma based on coprimality is provided in ~ coprmdvds (see
~ euclemma for a version of Euclid's lemma for primes).
$)

  ${
    $d A i $.  $d B i $.
    $( Two positive integers are coprime, i.e. the only positive integer that
       divides both of them is 1, iff their greatest common divisor is 1.
       (Contributed by AV, 9-Aug-2020.) $)
    coprmgcdb $p |- ( ( A e. NN /\ B e. NN )
                      -> ( A. i e. NN ( ( i || A /\ i || B ) -> i = 1 )
                           <-> ( A gcd B ) = 1 ) ) $=
      ( cn wcel wa cv cdvds wbr c1 wceq wi wral cgcd nnz adantr breq1 syl cle
      cz co gcddvds syl2an simpr gcdnncl anbi12d eqeq1 imbi12d rspcv mpid mpdan
      w3a simpl anim1ci 3anass sylibr nndvdslegcd breq2 nnge1 nnre 1red letri3d
      wb biimprd mpan2d adantl sylbid adantll syld ralrimiva ex impbid ) ADEZBD
      EZFZCGZAHIZVPBHIZFZVPJKZLZCDMZABNUAZJKZVOWCAHIZWCBHIZFZWBWDLVMATEBTEWGVNA
      OBOABUBUCVOWGFZWBWGWDVOWGUDWHWCDEZWBWGWDLZLVOWIWGABUEPWAWJCWCDVPWCKZVSWGV
      TWDWKVQWEVRWFVPWCAHQVPWCBHQUFVPWCJUGUHUIRUJUKVOWDWBVOWDFZWACDWLVPDEZFZVSV
      PWCSIZVTWNWMVMVNULZVSWOLWNWMVOFWPWLVOWMVOWDUMUNWMVMVNUOUPVPABUQRWDWMWOVTL
      VOWDWMFWOVPJSIZVTWDWOWQVCWMWCJVPSURPWMWQVTLWDWMWQJVPSIZVTVPUSWMVTWQWRFWMV
      PJVPUTWMVAVBVDVEVFVGVHVIVJVKVL $.

    $( Two positive integers are not coprime, i.e. there is an integer greater
       than 1 which divides both integers, iff their greatest common divisor is
       not 1.  See ~ prmdvdsncoprmbd for a version where the existential
       quantifier is restricted to primes.  (Contributed by AV, 9-Aug-2020.) $)
    ncoprmgcdne1b $p |- ( ( A e. NN /\ B e. NN )
                          -> ( E. i e. ( ZZ>= ` 2 ) ( i || A /\ i || B )
                               <-> ( A gcd B ) =/= 1 ) ) $=
      ( cn wcel wa cv cdvds wbr c2 cuz wrex c1 wn wi wne anim1ci jca ex adantl
      cfv wceq wral cgcd co eluz2nn adantr eluz2b3 neneq simplbiim neqne sylibr
      impcom simprrl impbid2 rexbidv2 rexanali a1i coprmgcdb necon3bbid 3bitrd
      wb ) ADEBDEFZCGZAHIVDBHIFZCJKUAZLVEVDMUBZNZFZCDLZVEVGOCDUCZNZABUDUEZMPVCV
      EVICVFDVCVDVFEZVEFZVDDEZVIFZVOVPVIVNVPVEVDUFUGVNVHVEVNVPVDMPZVHVDUHZVDMUI
      UJQRVCVQVOVCVQFVNVEVQVNVCVIVPVNVHVPVNOVEVHVPVNVHVPFVPVRFVNVHVRVPVDMUKQVSU
      LSTUMTVCVPVEVHUNRSUOUPVJVLVBVCVEVGCDUQURVCVKVMMABCUSUTVA $.

    $( Two positive integers are not coprime, i.e. there is an integer greater
       than 1 which divides both integers, iff their greatest common divisor is
       greater than 1.  (Contributed by AV, 9-Aug-2020.) $)
    ncoprmgcdgt1b $p |- ( ( A e. NN /\ B e. NN )
                          -> ( E. i e. ( ZZ>= ` 2 ) ( i || A /\ i || B )
                               <-> 1 < ( A gcd B ) ) ) $=
      ( cn wcel wa cv cdvds wbr c2 cuz cfv wrex cgcd co c1 wne ncoprmgcdne1b wb
      clt gcdnncl nngt1ne1 syl bitr4d ) ADEBDEFZCGZAHIUFBHIFCJKLMABNOZPQZPUGTIZ
      ABCRUEUGDEUIUHSABUAUGUBUCUD $.
  $}

  ${
    $d F i $.  $d G i $.  $d I i $.
    $( If two positive integers are coprime, i.e. their greatest common divisor
       is 1, the only positive integer that divides both of them is 1.
       (Contributed by AV, 4-Aug-2021.) $)
    coprmdvds1 $p |- ( ( F e. NN /\ G e. NN /\ ( F gcd G ) = 1 )
                       -> ( ( I e. NN /\ I || F /\ I || G ) -> I = 1 ) ) $=
      ( vi cn wcel cgcd co c1 wceq cdvds wbr wi wa wral coprmgcdb breq1 anbi12d
      w3a cv eqeq1 imbi12d rspcv com23 3impib com12 syl6bir 3impia ) AEFZBEFZAB
      GHIJZCEFZCAKLZCBKLZSZCIJZMZUIUJNUKDTZAKLZURBKLZNZURIJZMZDEOZUQABDPUOVDUPU
      LUMUNVDUPMULVDUMUNNZUPVCVEUPMDCEURCJZVAVEVBUPVFUSUMUTUNURCAKQURCBKQRURCIU
      AUBUCUDUEUFUGUH $.
  $}

  $( Euclid's Lemma (see ProofWiki "Euclid's Lemma", 10-Jul-2021,
     ~ https://proofwiki.org/wiki/Euclid's_Lemma ):  If an integer divides the
     product of two integers and is coprime to one of them, then it divides the
     other.  See also theorem 1.5 in [ApostolNT] p. 16.  Generalization of
     ~ euclemma .  (Contributed by Paul Chapman, 22-Jun-2011.)  (Proof
     shortened by AV, 10-Jul-2021.) $)
  coprmdvds $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) ->
                    ( ( K || ( M x. N ) /\ ( K gcd M ) = 1 ) -> K || N ) ) $=
    ( cz wcel w3a cgcd co c1 wceq cmul cdvds wbr wa wb zcn breq2d bitrd adantr
    cc mulcom syl2an dvdsmulgcd ancoms 3adant1 gcdcom 3adant3 eqeq1d syl6bi imp
    wi oveq2 mulid1d 3ad2ant3 eqtrd biimpd ex impcomd ) ADEZBDEZCDEZFZABGHZIJZA
    BCKHZLMZACLMZVBVDVFVGUKVBVDNZVFVGVHVFACBAGHZKHZLMZVGVBVFVKOZVDUTVAVLUSUTVAN
    ZVFACBKHZLMZVKVMVEVNALUTBTECTEVEVNJVABPCPZBCUAUBQVAUTVOVKOACBUCUDRUESVHVJCA
    LVHVJCIKHZCVBVDVJVQJZVBVDVIIJVRVBVCVIIUSUTVCVIJVAABUFUGUHVIICKULUIUJVBVQCJZ
    VDVAUSVSUTVACVPUMUNSUOQRUPUQUR $.

  ${
    $d x K $.  $d x M $.  $d x N $.
    $( If an integer is divisible by two coprime integers, then it is divisible
       by their product.  (Contributed by Mario Carneiro, 24-Feb-2014.) $)
    coprmdvds2 $p |- ( ( ( M e. ZZ /\ N e. ZZ /\ K e. ZZ ) /\
                         ( M gcd N ) = 1 ) ->
                       ( ( M || K /\ N || K ) -> ( M x. N ) || K ) ) $=
      ( vx cz wcel w3a cgcd co wceq wa cdvds wbr wi cc zcn syl3anc sylbid breq2
      cmul c1 cv wrex divides 3adant1 adantr simprr simpl2 mulcom syl2an breq2d
      wb syl2anc simprl simpl1 coprmdvds mpan2d dvdsmulc syld imbi12d syl5ibcom
      anassrs rexlimdva impcomd ) BEFZCEFZAEFZGZBCHIUAJZKZCALMZBALMZBCTIZALMZVJ
      VKDUBZCTIZAJZDEUCZVLVNNZVHVKVRULZVIVFVGVTVEDCAUDUEUFVJVQVSDEVHVIVOEFZVQVS
      NVHVIWAKZKZBVPLMZVMVPLMZNVQVSWCWDBVOLMZWEWCWDBCVOTIZLMZWFWCVPWGBLWCWAVFVP
      WGJZVHVIWAUGZVEVFVGWBUHZWAVOOFCOFWIVFVOPCPVOCUIUJUMUKWCWHVIWFVHVIWAUNWCVE
      VFWAWHVIKWFNVEVFVGWBUOZWKWJBCVOUPQUQRWCVEWAVFWFWENWLWJWKCBVOURQUSVQWDVLWE
      VNVPABLSVPAVMLSUTVAVBVCRVD $.
  $}

  $( One half of ~ rpmulgcd2 , which does not need the coprimality assumption.
     (Contributed by Mario Carneiro, 2-Jul-2015.) $)
  mulgcddvds $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) ->
      ( K gcd ( M x. N ) ) || ( ( K gcd M ) x. ( K gcd N ) ) ) $=
    ( cz wcel cmul co cgcd cdvds wbr wa zmulcld nn0zd adantr syl2anc wb syl3anc
    cc0 wi mpd w3a simp1 simp2 simp3 gcdcld dvds0 oveq2 nn0cnd mul01d sylan9eqr
    wceq syl breqtrrd wne cdiv zcnd divcan1d gcddvds simpld dvdsmultr1d eqbrtrd
    simpr simprd dvdsmultr2 dvdsgcd dvdsval2 mpbid dvdsmulcr syl112anc cabs cfv
    mp2and cn0 nn0abscl iddvds dvdsabsb dvdsmulc dvdstrd nn0red nn0ge0d absmuld
    absidd oveq2d mulgcd 3eqtr4d mpbird eqbrtrrd pm2.61dane ) ADEZBDEZCDEZUAZAB
    CFGZHGZABHGZACHGZFGZIJWPRWLWPRUKZKWNRWQIWLWNRIJZWRWLWNDEZWSWLWNWLAWMWIWJWKU
    BZWLBCWIWJWKUCZWIWJWKUDZLZUEMZWNUFULNWRWLWQWORFGRWPRWOFUGWLWOWLWOWLABXAXBUE
    ZUHUIUJUMWLWPRUNZKZWNWPUOGZWPFGZWNWQIXHWNWPXHWNWLWTXGXENZUPXHWPWLWPDEZXGWLW
    PWLACXAXCUEZMZNZUPWLXGVBZUQZXHXIWOIJZXJWQIJZXHXIAIJZXIBIJZXRXHXJAWPFGZIJZXT
    XHXJWNYBIXQWLWNYBIJXGWLWNAWPXEXAXNWLWNAIJZWNWMIJZWLWIWMDEZYDYEKXAXDAWMUROZU
    SZUTNVAXHXIDEZWIXLXGYCXTPXHWPWNIJZYIWLYJXGWLWPAIJZWPWMIJZYJWLYKWPCIJZWLWIWK
    YKYMKXAXCACUROZUSWLYMYLWLYKYMYNVCWLXLWJWKYMYLSXNXBXCWPBCVDQTWLXLWIYFYKYLKYJ
    SXNXAXDWPAWMVEQVLNXHXLXGWTYJYIPXOXPXKWPWNVFQVGZWLWIXGXANZXOXPWPXIAVHVIVGXHX
    JBWPFGZIJZYAXHXJWNYQIXQWLWNYQIJZXGWLYSWNYQVJVKZIJZWLWNBVJVKZAFGZUUBCFGZHGZY
    TIWLWNUUCIJZWNUUDIJZWNUUEIJZWLYDUUFYHWLWTUUBDEZWIYDUUFSXEWLUUBWLWJUUBVMEZXB
    BVNULZMZXAWNUUBAVDQTWLWNWMUUDXEXDWLUUBCUULXCLZWLYDYEYGVCWLBUUBIJZWMUUDIJZWL
    BBIJZUUNWLWJUUPXBBVOULWLWJWJUUPUUNPXBXBBBVPOVGWLWJUUIWKUUNUUOSXBUULXCCBUUBV
    QQTVRWLWTUUCDEUUDDEUUFUUGKUUHSXEWLUUBAUULXALUUMWNUUCUUDVEQVLWLUUBWPVJVKZFGU
    UBWPFGZYTUUEWLUUQWPUUBFWLWPWLWPXMVSWLWPXMVTWBWCWLBWPWLBXBUPWLWPXMUHWAWLUUJW
    IWKUUEUURUKUUKXAXCUUBACWDQWEUMWLWTYQDEYSUUAPXEWLBWPXBXNLWNYQVPOWFNVAXHYIWJX
    LXGYRYAPYOWLWJXGXBNZXOXPWPXIBVHVIVGXHYIWIWJXTYAKXRSYOYPUUSXIABVEQVLXHYIWODE
    ZXLXRXSSYOWLUUTXGWLWOXFMNXOWPXIWOVQQTWGWH $.

  $( If ` M ` is relatively prime to ` N ` , then the GCD of ` K ` with
     ` M x. N ` is the product of the GCDs with ` M ` and ` N ` respectively.
     (Contributed by Mario Carneiro, 2-Jul-2015.) $)
  rpmulgcd2 $p |- ( ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) /\
                ( M gcd N ) = 1 ) ->
      ( K gcd ( M x. N ) ) = ( ( K gcd M ) x. ( K gcd N ) ) ) $=
    ( cz wcel cgcd co c1 wceq cmul cn0 cdvds wbr zmulcld gcdcld gcddvds syl3anc
    wa wi mp2and simpl1 simpl2 simpl3 nn0mulcld mulgcddvds adantr syl2anc nn0zd
    w3a simpld simprd dvdstrd dvdsgcd simpr breqtrd wb dvds1 syl mpbid syl31anc
    coprmdvds2 dvdscmul dvdsmulc dvdstr syl2and dvdseq syl22anc ) ADEZBDEZCDEZU
    IZBCFGZHIZRZABCJGZFGZKEABFGZACFGZJGZKEVPVSLMZVSVPLMZVPVSIVNAVOVHVIVJVMUAZVN
    BCVHVIVJVMUBZVHVIVJVMUCZNZOVNVQVRVNABWBWCOZVNACWBWDOZUDVKVTVMABCUEUFVNVSALM
    ZVSVOLMZWAVNVQALMZVRALMZWHVNWJVQBLMZVNVHVIWJWLRWBWCABPUGZUJVNWKVRCLMZVNVHVJ
    WKWNRWBWDACPUGZUJVNVQDEZVRDEZVHVQVRFGZHIZWJWKRWHSVNVQWFUHZVNVRWGUHZWBVNWRHL
    MZWSVNWRVLHLVNWRBLMZWRCLMZWRVLLMZVNWRVQBVNWRVNVQVRWTXAOZUHZWTWCVNWRVQLMZWRV
    RLMZVNWPWQXHXIRWTXAVQVRPUGZUJVNWJWLWMUKZULVNWRVRCXGXAWDVNXHXIXJUKVNWKWNWOUK
    ZULVNWRDEVIVJXCXDRXESXGWCWDWRBCUMQTVKVMUNUOVNWRKEXBWSUPXFWRUQURUSAVQVRVAUTT
    VNWNWLWIXLXKVNWNVSVQCJGZLMZWLXMVOLMZWIVNWQVJWPWNXNSXAWDWTVQVRCVBQVNWPVIVJWL
    XOSWTWCWDCVQBVCQVNVSDEZXMDEVODEZXNXORWISVNVQVRWTXANZVNVQCWTWDNWEVSXMVOVDQVE
    TVNXPVHXQWHWIRWASXRWBWEVSAVOUMQTVPVSVFVG $.

  $( Two equal reduced fractions have the same numerator and denominator.
     (Contributed by Jeff Hankins, 29-Sep-2013.) $)
  qredeq $p |- ( ( ( M e. ZZ /\ N e. NN /\ ( M gcd N ) = 1 ) /\ ( P e. ZZ
    /\ Q e. NN /\ ( P gcd Q ) = 1 ) /\ ( M / N ) = ( P / Q ) ) -> ( M = P /\
    N = Q ) ) $=
    ( cz wcel cgcd co c1 wceq wa cmul adantr adantl 3adant3 3ad2ant2 syl2an wbr
    cc cdvds cn w3a cdiv zcn nncn cc0 wne divcld mulcand divcan2d eqeq1d bitr3d
    nnne0 3ad2ant1 mulcl mulcan2d mulassd divcan1d oveq2d eqtrd bitrd cle simp2
    eqeq2d nnz anim12i simpl1 simp1 dvdsmul1 simpr breqtrrd gcdcom sylan ancoms
    simp3 ad2antrr jca coprmdvds dvdsle simpr1 dvdsmul2 mulcom breqtrd ad2antlr
    3jca sylc cr nnre letri3d mpbir2and oveq2 anbi2d biimpa syl6bir com12 ancrd
    mpd ex sylbid 3impia ) CEFZDUAFZCDGHZIJZUBZAEFZBUAFZABGHZIJZUBZCDUCHZABUCHZ
    JZCAJZDBJZKZXEXJKZXMCBLHZDALHZJZXPXQXMCDXLLHZJZXTXQDXKLHZYAJXMYBXQXKXLDXEXK
    SFZXJXAXBYDXDXAXBKZCDXACSFZXBCUDZMZXBDSFZXADUEZNZXBDUFUGZXADUMZNZUHOMXJXLSF
    ZXEXFXGYOXIXFXGKZABXFASFZXGAUDZMZXGBSFZXFBUEZNZXGBUFUGZXFBUMZNZUHOZNZXEYIXJ
    XBXAYIXDYJPZMZXEYLXJXBXAYLXDYMPMZUIXQYCCYAXEYCCJZXJXAXBUUKXDYECDYHYKYNUJOMU
    KULXQXRYABLHZJYBXTXQCYABXEYFXJXAXBYFXDYGUNMZXEYIYOYASFXJUUHUUFDXLUOQXJYTXEX
    GXFYTXIUUAPNZXJUUCXEXGXFUUCXIUUDPNUPXQUULXSXRXQUULDXLBLHZLHXSXQDXLBUUIUUGUU
    NUQXQUUOADLXJUUOAJZXEXFXGUUPXIYPABYSUUBUUEURONUSUTVDULVAXQXTXPXQXTKZXOXPUUQ
    XODBVBRZBDVBRZUUQDEFZXGKZDBTRZUURXQUVAXTXEUUTXJXGXBXAUUTXDDVEZPZXFXGXIVCVFM
    UUQUUTXABEFZUBZDXRTRZDCGHZIJZKUVBXQUVFXTXQUUTXAUVEXEUUTXJUVDMZXAXBXDXJVGXJU
    VEXEXGXFUVEXIBVEZPZNZWEMUUQUVGUVIUUQDXSXRTXQDXSTRZXTXEUUTXFUVNXJUVDXFXGXIVH
    DAVIQMXQXTVJZVKXEUVIXJXTXEUVHXCIXAXBUVHXCJZXDXBXAUVPXBUUTXAUVPUVCDCVLVMVNOX
    AXBXDVOUTVPVQDCBVRWFDBVSWFUUQUVEXBKZBDTRZUUSXQUVQXTXJXEUVQXJUVEXEXBUVLXAXBX
    DVCVFVNMUUQUVEXFUUTUBZBADLHZTRZBAGHZIJZKUVRXQUVSXTXQUVEXFUUTUVMXEXFXGXIVTUV
    JWEMUUQUWAUWCUUQBXRUVTTXQBXRTRZXTXEXAUVEUWDXJXAXBXDVHUVLCBWAQMUUQXRXSUVTUVO
    XQXSUVTJZXTXEYIYQUWEXJUUHXFXGYQXIYRUNZDAWBQMUTWCXJUWCXEXTXJUWBXHIXFXGUWBXHJ
    ZXIXGXFUWGXGUVEXFUWGUVKBAVLVMVNOXFXGXIVOUTWDVQBADVRWFBDVSWFUUQDBXEDWGFZXJXT
    XBXAUWHXDDWHPVPXJBWGFZXEXTXGXFUWIXIBWHPWDWIWJUUQXOXNXOUUQXNXOUUQXQCDLHZXSJZ
    KXNXOUWKXTXQXOUWJXRXSDBCLWKUKWLXQUWKXNXQUWKDCLHZXSJXNXQUWJUWLXSXEUWJUWLJZXJ
    XAXBUWMXDXAYFYIUWMXBYGYJCDWBQOMUKXQCADUUMXJYQXEUWFNUUIUUJUIVAWMWNWOWPWQWRWS
    WT $.

  ${
    $d n x y z A $.
    $( Every rational number has a unique reduced form.  (Contributed by Jeff
       Hankins, 29-Sep-2013.) $)
    qredeu $p |- ( A e. QQ -> E! x e. ( ZZ X. NN ) ( ( ( 1st ` x ) gcd ( 2nd `
    x ) ) = 1 /\ A = ( ( 1st ` x ) / ( 2nd ` x ) ) ) ) $=
      ( vz vn vy cv cdiv co wceq cn cz c1st cgcd c1 wcel wbr cc0 adantl oveq12d
      wa wrex cfv c2nd cxp wi wral wreu w3a cop cdvds nnz gcddvds simpld sylan2
      cq wne wb cn0 gcdcl nn0zd simpl nnne0 neneqd intnand gcdn0cl syl21anc syl
      wn dvdsval2 syl3anc mpbid 3adant3 clt simprd cr nnre nn0red nngt0 divgt0d
      jca sylibr opelxpd gcdcld nn0cnd 1cnd cmul mulid1d cc zcn adantr divcan2d
      nncn mulgcd 3eqtr2rd mulcanad divcan7d eqeq2d biimp3ar ovex op1std op2ndd
      elnnz eqeq1d anbi12d rspcev syl12anc elxp6 simprl ad2antrr simprr simprll
      simprrl simprlr simprrr eqtr3d qredeq syl331anc fvex opth simplll simplrl
      ad2antlr 3eqtr4d ex syl2anb rgen2 jctir 3expia rexlimivv elq reu4 3imtr4i
      fveq2 ) BCFZDFZGHZIZDJUACKUAAFZLUBZYRUCUBZMHZNIZBYSYTGHZIZTZAKJUDZUAZUUEE
      FZLUBZUUHUCUBZMHZNIZBUUIUUJGHZIZTZTZYRUUHIZUEZEUUFUFAUUFUFZTZBUOOUUEAUUFU
      GYQUUTCDKJYNKOZYOJOZYQUUTUVAUVBYQUHZUUGUUSUVCYNYNYOMHZGHZYOUVDGHZUIZUUFOU
      VEUVFMHZNIZBUVEUVFGHZIZUUGUVCUVEUVFKJUVAUVBUVEKOZYQUVAUVBTZUVDYNUJPZUVLUV
      BUVAYOKOZUVNYOUKZUVAUVOTZUVNUVDYOUJPZYNYOULZUMUNUVMUVDKOZUVDQUPZUVAUVNUVL
      UQUVMUVDUVBUVAUVOUVDUROZUVPYNYOUSUNZUTZUVMUVDJOZUWAUVMUVAUVOYNQIZYOQIZTVH
      ZUWEUVAUVBVAZUVBUVOUVAUVPRZUVBUWHUVAUVBUWGUWFUVBYOQYOVBZVCVDRYNYOVEVFZUVD
      VBVGZUWIUVDYNVIVJVKZVLUVCUVFKOZQUVFVMPZTZUVFJOUVAUVBUWQYQUVMUWOUWPUVMUVRU
      WOUVBUVAUVOUVRUVPUVQUVNUVRUVSVNUNUVMUVTUWAUVOUVRUWOUQUWDUWMUWJUVDYOVIVJVK
      ZUVMYOUVDUVBYOVOOUVAYOVPRUVMUVDUWCVQUVBQYOVMPUVAYOVRRUVMUWEQUVDVMPUWLUVDV
      RVGVSVTVLUVFXBWAWBUVAUVBUVIYQUVMUVHNUVDUVMUVHUVMUVEUVFUWNUWRWCWDUVMWEUVMU
      VDUWCWDZUWMUVMUVDNWFHUVDUVDUVEWFHZUVDUVFWFHZMHZUVDUVHWFHZUVMUVDUWSWGUVMUW
      TYNUXAYOMUVMYNUVDUVAYNWHOUVBYNWIWJZUWSUWMWKUVMYOUVDUVBYOWHOUVAYOWLRZUWSUW
      MWKSUVMUWBUVLUWOUXBUXCIUWCUWNUWRUVDUVEUVFWMVJWNWOVLUVAUVBUVKYQUVMUVJYPBUV
      MYNYOUVDUXDUXEUWSUVBYOQUPUVAUWKRUWMWPWQWRUUEUVIUVKTAUVGUUFYRUVGIZUUBUVIUU
      DUVKUXFUUAUVHNUXFYSUVEYTUVFMUVEUVFYRYNUVDGWSZYOUVDGWSZWTZUVEUVFYRUXGUXHXA
      ZSXCUXFUUCUVJBUXFYSUVEYTUVFGUXIUXJSWQXDXEXFUURAEUUFUUFYRUUFOYRYSYTUIZIZYS
      KOZYTJOZTZTZUUHUUIUUJUIZIZUUIKOZUUJJOZTZTZUURUUHUUFOYRKJXGUUHKJXGUXPUYBTZ
      UUPUUQUYCUUPTZUXKUXQYRUUHUYDYSUUIIYTUUJITZUXKUXQIUYDUXMUXNUUBUXSUXTUULUUC
      UUMIUYEUXPUXMUYBUUPUXLUXMUXNXHXIUXPUXNUYBUUPUXLUXMUXNXJXIUYCUUBUUDUUOXKUY
      BUXSUXPUUPUXRUXSUXTXHYBUYBUXTUXPUUPUXRUXSUXTXJYBUYCUUEUULUUNXLUYDBUUCUUMU
      YCUUBUUDUUOXMUYCUUEUULUUNXNXOUUIUUJYSYTXPXQYSYTUUIUUJYRLXRYRUCXRXSWAUXLUX
      OUYBUUPXTUXPUXRUYAUUPYAYCYDYEYFYGYHYICDBYJUUEUUOAEUUFUUQUUBUULUUDUUNUUQUU
      AUUKNUUQYSUUIYTUUJMYRUUHLYMZYRUUHUCYMZSXCUUQUUCUUMBUUQYSUUIYTUUJGUYFUYGSW
      QXDYKYL $.
  $}

  $( If ` K ` is relatively prime to ` M ` and to ` N ` , it is also relatively
     prime to their product.  (Contributed by Mario Carneiro, 24-Feb-2014.)
     (Proof shortened by Mario Carneiro, 2-Jul-2015.) $)
  rpmul $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) ->
                ( ( ( K gcd M ) = 1 /\ ( K gcd N ) = 1 ) ->
                  ( K gcd ( M x. N ) ) = 1 ) ) $=
    ( cz wcel w3a cgcd co c1 wceq cmul cdvds wbr mulgcddvds oveq12 1t1e1 eqtrdi
    wa breq2d syl5ibcom cn0 wb simp1 zmulcl 3adant1 gcdcld dvds1 syl sylibd ) A
    DEZBDEZCDEZFZABGHZIJACGHZIJRZABCKHZGHZILMZURIJZUMURUNUOKHZLMUPUSABCNUPVAIUR
    LUPVAIIKHIUNIUOIKOPQSTUMURUAEUSUTUBUMAUQUJUKULUCUKULUQDEUJBCUDUEUFURUGUHUI
    $.

  $( If ` K ` is relatively prime to ` N ` then it is also relatively prime to
     any divisor ` M ` of ` N ` .  (Contributed by Mario Carneiro,
     19-Jun-2015.) $)
  rpdvds $p |- ( ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) /\
    ( ( K gcd N ) = 1 /\ M || N ) ) -> ( K gcd M ) = 1 ) $=
    ( cz wcel cgcd co c1 wceq cdvds wbr wa cle syl2anc cc0 wn wne simprl simprr
    wb w3a simpl1 simpl2 gcddvds simpld cn ax-1ne0 neeq1d mpbiri neneqd simplrr
    eqbrtrrd simpll3 0dvds syl mpbid jca ex simpl3 gcdeq0 sylibrd mtod syl21anc
    gcdn0cl simprd dvdstrd wi mtbid dvdslegcd syl31anc mp2and breqtrd nnle1eq1
    nnzd ) ADEZBDEZCDEZUAZACFGZHIZBCJKZLZLZABFGZHMKZWDHIZWCWDVSHMWCWDAJKZWDCJKZ
    WDVSMKZWCWGWDBJKZWCVOVPWGWJLVOVPVQWBUBZVOVPVQWBUCZABUDNZUEWCWDBCWCWDWCVOVPA
    OIZBOIZLZPWDUFEZWKWLWCWPVSOIZWCVSOWCVSOQHOQUGWCVSHOVRVTWARZUHUIUJZWCWPWNCOI
    ZLZWRWCWPXBWCWPLZWNXAWCWNWORXCOCJKZXAXCBOCJWCWNWOSVRVTWAWPUKULXCVQXDXATVOVP
    VQWBWPUMCUNUOUPUQURWCVOVQWRXBTWKVOVPVQWBUSZACUTNZVAVBABVDVCZVNZWLXEWCWGWJWM
    VEVRVTWASVFWCWDDEVOVQXBPWGWHLWIVGXHWKXEWCWRXBWTXFVHWDACVIVJVKWSVLWCWQWEWFTX
    GWDVMUOUP $.

  ${
    $d F m x y z $.  $d M m n x y z $.  $d N m n x y z $.
    $( The product of the elements of a sequence of pairwise coprime positive
       integers is coprime to a positive integer which is coprime to all
       integers of the sequence.  (Contributed by AV, 18-Aug-2020.) $)
    coprmprod $p |- ( ( ( M e. Fin /\ M C_ NN /\ N e. NN )
                       /\ F : NN --> NN /\ A. m e. M ( ( F ` m ) gcd N ) = 1 )
                     -> ( A. m e. M A. n e. ( M \ { m } )
                                    ( ( F ` m ) gcd ( F ` n ) ) = 1
                          -> ( prod_ m e. M ( F ` m ) gcd N ) = 1 ) ) $=
      ( wcel cn wss w3a cgcd co c1 wceq wral wi c0 oveq1d eqeq1d wa adantr cdif
      vx vy vz cfn wf cfv csn cprod cun sseq1 3anbi1d difeq1 raleqdv raleqbi1dv
      cv raleq 3anbi123d prodeq1 imbi12d prod0 a1i cz nnz syl 3ad2ant2 3ad2ant1
      1gcd eqtrd wn cmul nfv nfcv simprl unss snss biimpri adantl sylbir simprr
      vex simpll3 simpl sselda nncnd fveq2 simpr 3adant2 fprodsplitsn fprodnncl
      ffvelrnd nnzd zmulcld gcdcomd ex com12 simpl2 3jca 3anim123d ssun1 ssralv
      imp mp1i ssdifd ralimdva syld imim1d imp31 rpmulgcd syl2anc wo vsnid olci
      idd elun mpbir rspcv wb mpbird 3adant3 3eqtrd exp31 findcard2s 3expd 3imp
      ) DUEFZDGHZEGFZIGGCUFZAUPZCUGZEJKZLMZADNZYKBUPCUGJKLMZBDYJUHZUAZNZADNZDYK
      AUIZEJKZLMZOZYFYGYHYIYNUUCOZOYFYGYHYIUUDYFYGYHYIIZYNYSUUBUBUPZGHZYHYIIZYM
      AUUFNZYOBUUFYPUAZNZAUUFNZIZUUFYKAUIZEJKZLMZOPGHZYHYIIZYMAPNZYOBPYPUAZNZAP
      NZIZPYKAUIZEJKZLMZOUCUPZGHZYHYIIZYMAUVGNZYOBUVGYPUAZNZAUVGNZIZUVGYKAUIZEJ
      KZLMZOZUVGUDUPZUHZUJZGHZYHYIIZYMAUWANZYOBUWAYPUAZNZAUWANZIZUWAYKAUIZEJKZL
      MZOUUEYNYSIZUUBOUBUCUDDUUFPMZUUMUVCUUPUVFUWMUUHUURUUIUUSUULUVBUWMUUGUUQYH
      YIUUFPGUKULYMAUUFPUQUUKUVAAUUFPUWMYOBUUJUUTUUFPYPUMUNUOURUWMUUOUVELUWMUUN
      UVDEJUUFPYKAUSQRUTUUFUVGMZUUMUVNUUPUVQUWNUUHUVIUUIUVJUULUVMUWNUUGUVHYHYIU
      UFUVGGUKULYMAUUFUVGUQUUKUVLAUUFUVGUWNYOBUUJUVKUUFUVGYPUMUNUOURUWNUUOUVPLU
      WNUUNUVOEJUUFUVGYKAUSQRUTUUFUWAMZUUMUWHUUPUWKUWOUUHUWCUUIUWDUULUWGUWOUUGU
      WBYHYIUUFUWAGUKULYMAUUFUWAUQUUKUWFAUUFUWAUWOYOBUUJUWEUUFUWAYPUMUNUOURUWOU
      UOUWJLUWOUUNUWIEJUUFUWAYKAUSQRUTUUFDMZUUMUWLUUPUUBUWPUUHUUEUUIYNUULYSUWPU
      UGYGYHYIUUFDGUKULYMAUUFDUQUUKYRAUUFDUWPYOBUUJYQUUFDYPUMUNUOURUWPUUOUUALUW
      PUUNYTEJUUFDYKAUSQRUTUURUUSUVFUVBYHUUQUVFYIYHUVELEJKZLYHUVDLEJUVDLMYHYKAV
      AVBQYHEVCFZUWQLMEVDZEVHVEVIVFVGUVGUEFZUVSUVGFZVJZSZUVRUWHUWKUXCUVRSZUWHSZ
      UWJEUVOUVSCUGZVKKZJKZEUXFJKZLUXDUWHUWJUXHMZUXCUWHUXJOUVRUWHUXCUXJUWCUWDUX
      CUXJOUWGUWCUXCUXJUWCUXCSZUWJUXGEJKUXHUXKUWIUXGEJUXKUVGUVSYKUXFAGUXKAVLAUX
      FVMUWCUWTUXBVNZUWCUVSGFZUXCUWBYHUXMYIUWBUVHUVTGHZSZUXMUVGUVTGVOZUXNUXMUVH
      UXMUXNUVSGUDWAVPVQVRVSZVGTUWCUWTUXBVTUXKYJUVGFZSZYKUXSGGYJCUWBYHYIUXCUXRW
      BUXKUVGGYJUWCUVHUXCUWBYHUVHYIUWBUXOUVHUXPUVHUXNWCVSZVGTWDWKZWEYJUVSCWFZUX
      KUXFUWCUXFGFZUXCUWBYIUYCYHUWBYISGGUVSCUWBYIWGUWBUXMYIUXQTWKWHZTZWEWIQUXKU
      XGEUXKUVOUXFUXKUVOUXKUVGYKAUXLUYAWJZWLZUXKUXFUYEWLWMUWCUWRUXCYHUWBUWRYIUW
      SVFZTZWNVIWOVGWPTXBUXEYHUVOGFZUYCIZEUVOJKZLMUXHUXIMUXDUWHUYKUXCUWHUYKOUVR
      UWHUXCUYKUWCUWDUXCUYKOUWGUWCUXCUYKUXKYHUYJUYCUWBYHYIUXCWQUYFUYEWRWOVGWPTX
      BUXEUYLUVPLUXDUWHUYLUVPMZUXCUWHUYMOUVRUWHUXCUYMUWCUWDUXCUYMOUWGUWCUXCUYMU
      XKEUVOUYIUYGWNWOVGWPTXBUXCUVRUWHUVQUXCUWHUVNUVQUXCUWCUVIUWDUVJUWGUVMUXCUW
      BUVHYHYHYIYIUWBUVHOUXCUXTVBUXCYHXNUXCYIXNWSUVGUWAHZUWDUVJOUXCUVGUVTWTZYMA
      UVGUWAXAXCUXCUWGUWFAUVGNZUVMUYNUWGUYPOUXCUYOUWFAUVGUWAXAXCUXCUWFUVLAUVGUX
      CUXRSZUVKUWEHUWFUVLOUYQUVGUWAYPUYNUYQUYOVBXDYOBUVKUWEXAVEXEXFWSXGXHVIEUVO
      UXFXIXJUWHUXILMZUXDUWCUWDUYRUWGUWCUWDSUYRUXFEJKZLMZUWCUWDUYTUVSUWAFZUWDUY
      TOUWCVUAUXAUVSUVTFZXKVUBUXAUDXLXMUVSUVGUVTXOXPYMUYTAUVSUWAYJUVSMZYLUYSLVU
      CYKUXFEJUYBQRXQXCXBUWCUYRUYTXRUWDUWCUXIUYSLUWCEUXFUYHUWCUXFUYDWLWNRTXSXTV
      RYAYBYCYDYDYEYE $.
  $}

  ${
    $d F m n $.  $d K m x y z $.  $d M m n x y z $.
    $( Lemma for ~ coprmproddvds :  Induction step.  (Contributed by AV,
       19-Aug-2020.) $)
    coprmproddvdslem $p |- ( ( y e. Fin /\ -. z e. y )
           -> ( ( ( ( y C_ NN /\ ( K e. NN /\ F : NN --> NN ) )
           /\ ( A. m e. y A. n e. ( y \ { m } ) ( ( F ` m ) gcd ( F ` n ) ) = 1
           /\ A. m e. y ( F ` m ) || K ) ) -> prod_ m e. y ( F ` m ) || K )
             -> ( ( ( ( y u. { z } ) C_ NN /\ ( K e. NN /\ F : NN --> NN ) )
                /\ ( A. m e. ( y u. { z } ) A. n e. ( ( y u. { z } ) \ { m } )
                                             ( ( F ` m ) gcd ( F ` n ) ) = 1
                     /\ A. m e. ( y u. { z } ) ( F ` m ) || K ) )
                          -> prod_ m e. ( y u. { z } ) ( F ` m ) || K ) ) ) $=
      ( cv wcel wa cn cgcd wceq wral cdvds wbr wi adantl adantr ffvelrnd imp wn
      cfn wss wf cfv co c1 csn cdif cprod cun cmul nfv nfcv simpll unss biimpri
      snss sylbir simplr simprrr simpl sselda nncnd fveq2 fprodsplitsn ad2ant2r
      vex cz w3a simprl simprr fprodnncl ex com12 nnzd nnz 3jca impcom wo vsnid
      olci elun mpbir a1i snssi ssneld eldifd oveq2d eqeq1d syl ralimdva ralunb
      rspcv simplbi impel wnel raldifb biimpi ralimi coprmprod syl31anc adantrd
      sylbi expimpd ralbii anbi1i simprrl jca32 pm2.27 syl2anc exp31 com24 impr
      syl5bi syl2ani breq1d ax-mp coprmdvds2 syl22anc eqbrtrd ) AGZUBHZBGZYBHZU
      AZIZYBJUCZFJHZJJEUDZIZIZCGZEUEZDGZEUEZKUFZUGLZDYBYMUHZUIMZCYBMZYNFNOZCYBM
      ZIZIZYBYNCUJZFNOZPZYBYDUHZUKZJUCZYKIZYRDUUJYSUIZMZCUUJMZUUBCUUJMZIZIZUUJY
      NCUJZFNOYGUUHIZUURIZUUSUUFYDEUEZULUFZFNYGUULUUSUVCLUUHUUQYGUULIZYBYDYNUVB
      CJUVDCUMCUVBUNYCYFUULUOZUULYDJHZYGUUKUVFYKUUKYHUUIJUCZIZUVFYBUUIJUPZUVGUV
      FYHUVFUVGYDJBVHURUQQUSZRZQZYCYFUULUTUVDYMYBHZIZYNUVNJJYMEUVDYJUVMYGUUKYIY
      JVAZRUVDYBJYMUULYHYGUUKYHYKUUKUVHYHUVIYHUVGVBUSRZQZVCSVDYMYDEVEZUVDUVBUVD
      JJYDEUVOUVLSVDVFVGUVAUUFVIHZUVBVIHZFVIHZVJZUUFUVBKUFUGLZUUGUVBFNOZUVCFNOZ
      UVAUVSUVTUWAUVAUUFUUTUURUUFJHZYGUURUWFPUUHUURYGUWFUULYGUWFPUUQUULYGUWFUUL
      YGIZYBYNCUULYCYFVKUWGUVMIJJYMEUWGYJUVMUULYJYGUUKYIYJVLZRRUWGYBJYMUULYHYGU
      VPRVCSVMVNRVORTVPUURUVTUUTUULUVTUUQUULUVBUULJJYDEUWHUVKSVPRQUURUWAUUTUULU
      WAUUQYKUWAUUKYIUWAYJFVQRQRQVRUUTUURUWCYGUURUWCPUUHYGUULUUQUWCUVDUUOUWCUUP
      UVDUUOUWCUVDUUOIYCYHUVBJHZVJZYJYNUVBKUFZUGLZCYBMZUUAUWCUVDUWJUUOUVDYCYHUW
      IUVEUVQUULUWIYGYKUUKUWIYJUUKUWIPYIYJUUKUWIYJUUKIJJYDEYJUUKVBUUKUVFYJUVJQS
      VNQVSQVRRUVDYJUUOUVORUVDUUNCYBMZUWMUUOUVDUUNUWLCYBUVNYDUUMHUUNUWLPUVNYDUU
      JYSYDUUJHZUVNUWOYEYDUUIHZVTUWPYEBWAWBYDYBUUIWCWDZWEUVDUVMYDYSHUAZYGUVMUWR
      PZUULYFUWSYCUVMYFUWRUVMYSYBYDYMYBWFWGVOQRTWHYRUWLDYDUUMYOYDLZYQUWKUGUWTYP
      UVBYNKYOYDEVEWIWJWNWKWLUUOUWNUUNCUUIMZUUNCYBUUIWMZWOWPUUOUUAUVDUUOUWNUXAI
      ZUUAUXBUWNUUAUXAUUNYTCYBUUNYOYSWQYRPZDUUJMZYTYRDUUJYSWRZUXEUXDDYBMZUXDDUU
      IMZIYTUXDDYBUUIWMZUXGYTUXHUXGYTYRDYBYSWRZWSRXDUSWTRXDQUWJYJUWMVJUUAUWCCDE
      YBUVBXATXBVNXCXERTUUTUULUUQUUGUUOUUTUULIZUXGCYBMZUUCUUGUUPUUOUXCUXLUXBUWN
      UXLUXAUUNUXGCYBUUNUXEUXGUXFUXEUXGUXHUXIWOUSWTRXDUUPUUCUUBCUUIMUUBCYBUUIWM
      WOUXLUUCIUUDUXKUUGUXLUUAUUCUXGYTCYBUXJXFXGUUTUULUUDUUGPZYGUUHUULUXMPYGUUD
      UULUUHUUGYGUUDUULUUHUUGPZYGUUDIZUULIZYLUUDUXNUXPYHYIYJUULYHUXOUVPQUXOUUKY
      IYJXHUXOUUKYIYJVAXIYGUUDUULUTUUEUUGXJXKXLXMTTXOXPXNUURUWDUUTUUQUWDUULUUPU
      WDUUOUWOUUPUWDPUWQUUBUWDCYDUUJYMYDLYNUVBFNUVRXQWNXRQQQUWBUWCIUUGUWDIUWEFU
      UFUVBXSTXTYAXL $.

    $d F x y z $.
    $( If a positive integer is divisible by each element of a set of pairwise
       coprime positive integers, then it is divisible by their product.
       (Contributed by AV, 19-Aug-2020.) $)
    coprmproddvds $p |- ( ( ( M C_ NN /\ M e. Fin )
                            /\ ( K e. NN /\ F : NN --> NN )
                            /\ ( A. m e. M A. n e. ( M \ { m } )
                                              ( ( F ` m ) gcd ( F ` n ) ) = 1
                                 /\ A. m e. M ( F ` m ) || K ) )
                          -> prod_ m e. M ( F ` m ) || K ) $=
      ( cn wss wa cv wceq cdif wral cdvds wbr cprod wi cleq1lem difeq1 anbi12d
      c0 vx vy vz cfn wcel wf cfv cgcd co c1 csn cun raleqdv raleqbi1dv prodeq1
      raleq breq1d imbi12d prod0 nnz 1dvds syl eqbrtrid adantr coprmproddvdslem
      cz ad2antlr findcard2s exp4c impcom 3imp ) EFGZEUDUEZHDFUEZFFCUFZHZAIZCUG
      ZBICUGUHUIUJJZBEVQUKZKZLZAELZVRDMNZAELZHZEVRAOZDMNZVMVLVPWFWHPPVMVLVPWFWH
      UAIZFGVPHZVSBWIVTKZLZAWILZWDAWILZHZHZWIVRAOZDMNZPTFGZVPHZVSBTVTKZLZATLZWD
      ATLZHZHZTVRAOZDMNZPUBIZFGVPHZVSBXIVTKZLZAXILZWDAXILZHZHZXIVRAOZDMNZPXIUCI
      UKULZFGVPHZVSBXSVTKZLZAXSLZWDAXSLZHZHZXSVRAOZDMNZPVLVPHZWFHZWHPUAUBUCEWIT
      JZWPXFWRXHYKWJWTWOXEVPWITFQYKWMXCWNXDWLXBAWITYKVSBWKXAWITVTRUMUNWDAWITUPS
      SYKWQXGDMWITVRAUOUQURWIXIJZWPXPWRXRYLWJXJWOXOVPWIXIFQYLWMXMWNXNWLXLAWIXIY
      LVSBWKXKWIXIVTRUMUNWDAWIXIUPSSYLWQXQDMWIXIVRAUOUQURWIXSJZWPYFWRYHYMWJXTWO
      YEVPWIXSFQYMWMYCWNYDWLYBAWIXSYMVSBWKYAWIXSVTRUMUNWDAWIXSUPSSYMWQYGDMWIXSV
      RAUOUQURWIEJZWPYJWRWHYNWJYIWOWFVPWIEFQYNWMWCWNWEWLWBAWIEYNVSBWKWAWIEVTRUM
      UNWDAWIEUPSSYNWQWGDMWIEVRAUOUQURVPXHWSXEVNXHVOVNXGUJDMVRAUSVNDVFUEUJDMNDU
      TDVAVBVCVDVGUBUCABCDVEVHVIVJVK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cancellability of congruences
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A n $.  $d B n $.  $d M n $.
    $( Definition of congruence by integer multiple (see ProofWiki "Congruence
       (Number Theory)", 11-Jul-2021,
       ~ https://proofwiki.org/wiki/Definition:Congruence_(Number_Theory) ):
       An integer ` A ` is congruent to an integer ` B ` modulo ` M ` if their
       difference is a multiple of ` M ` .  See also the definition in
       [ApostolNT] p. 104:  "... ` a ` is congruent to ` b ` modulo ` m ` , and
       we write ` a == b ` (mod ` m ` ) if ` m ` divides the difference
       ` a - b ` ", or Wikipedia "Modular arithmetic - Congruence",
       ~ https://en.wikipedia.org/wiki/Modular_arithmetic#Congruence ,
       11-Jul-2021,:  "Given an integer n > 1, called a modulus, two integers
       are said to be congruent modulo n, if n is a divisor of their difference
       (i.e., if there is an integer k such that a-b = kn)".  (Contributed by
       AV, 11-Jul-2021.) $)
    congr $p |- ( ( A e. ZZ /\ B e. ZZ /\ M e. NN )
                    -> ( ( A mod M ) = ( B mod M )
                         <-> E. n e. ZZ ( n x. M ) = ( A - B ) ) ) $=
      ( cz wcel cn w3a cmo co wceq cmin cdvds wbr cv cmul wrex wb moddvds 3coml
      simp3 nnzd zsubcl 3adant3 divides syl2anc bitrd ) AEFZBEFZDGFZHZADIJBDIJK
      ZDABLJZMNZCODPJUMKCEQZUJUHUIULUNRABDSTUKDEFUMEFZUNUORUKDUHUIUJUAUBUHUIUPU
      JABUCUDCDUMUEUFUG $.
  $}

  ${
    $d A a b m n $.  $d B a b m n $.
    $( Integers divided by gcd are coprime.  (Contributed by AV,
       12-Jul-2021.) $)
    divgcdcoprm0 $p |- ( ( A e. ZZ /\ B e. ZZ /\ B =/= 0 )
                    -> ( ( A / ( A gcd B ) ) gcd ( B / ( A gcd B ) ) ) = 1 ) $=
      ( va cz wcel co wa cdiv c1 wceq 3adant3 cmul wb wi caddc cc zcnd ad2antrr
      syl eqcom vb vm vn cc0 wne w3a cgcd cdvds wbr gcddvds cv wrex gcdcl nn0zd
      simpl divides simpr anbi12d bezout oveqan12rd eqeq2d bicomd adantl nn0cnd
      jca ad2antlr mul32d oveq12d zmulcld cn0 zaddcld cn gcd2n0cl nnrp rpcnne0d
      oveq1 div11 syl3anc divid divdir divcan4d eqtrd eqeq12d 3bitr2d sylan9bbr
      nnne0d anim1ci bezoutr1 adantr syl5bi simpll1 divmul3 3bitr4g biimprd a1d
      imp32 simp2 a1dd eqeq1d sylibd sylbid exp32 com34 com23 ex rexlimdvva mpd
      impl rexlimdva impd ) ADEZBDEZBUDUEZUFZABUGFZAUHUIZXOBUHUIZGZAXOHFZBXOHFZ
      UGFZIJZXKXLXRXMABUJKXNXRCUKZXOLFZAJZCDULZUAUKZXOLFZBJZUADULZGYBXNXPYFXQYJ
      XNXODEZXKGZXPYFMXKXLYLXMXKXLGZYKXKYMXOABUMZUNZXKXLUOVEKCXOAUPSXNYKXLGZXQY
      JMXKXLYPXMYMYKXLYOXKXLUQVEKUAXOBUPSURXNYFYJYBXNYEYJYBNCDXNYCDEZGZYJYEYBYR
      YIYEYBNZUADXNYQYGDEZYIYSNZXNXOAUBUKZLFZBUCUKZLFZOFZJZUCDULUBDULZYQYTGZUUA
      NZXKXLUUHXMUBUCABUSKXNUUGUUJUBUCDDXNUUBDEZUUDDEZGZGZUUIUUGUUAUUNUUIUUGUUA
      NUUNUUIGZYIUUGYSUUOYIYEUUGYBUUOYIYEUUGYBNUUOYIYEGZGZUUGIYCUUBLFZYGUUDLFZO
      FZJZYBUUPUUGXOYDUUBLFZYHUUDLFZOFZJZUUOUVAUUPUVEUUGUUPUVDUUFXOYEYIUVBUUCUV
      CUUEOYDAUUBLVPYHBUUDLVPUTVAVBUUOUVEXOUURXOLFZUUSXOLFZOFZJZXOXOHFZUVHXOHFZ
      JZUVAUUOUVDUVHXOUUOUVBUVFUVCUVGOUUOYCXOUUBUUIYCPEZUUNUUIYCYQYTUOZQVCZXNXO
      PEZUUMUUIXKXLUVPXMYMXOYNVDKRZUUMUUBPEXNUUIUUMUUBUUKUULUOZQVFVGUUOYGXOUUDU
      UIYGPEZUUNUUIYGYQYTUQZQVCZUVQUUMUUDPEXNUUIUUMUUDUUKUULUQZQVFVGVHVAUUOUVPU
      VHPEUVPXOUDUEZGZUVLUVIMUVQUUOUVHUUOUVFUVGUUOUURXOUUOYCUUBUUIYQUUNUVNVCUUM
      UUKXNUUIUVRVFVIZXNYKUUMUUIXKXLYKXMYOKRVIZUUOUUSXOUUOYGUUDUUIYTUUNUVTVCUUM
      UULXNUUIUWBVFVIZUUOXOXNXOVJEZUUMUUIXKXLUWHXMYNKZRUNVIZVKQXNUWDUUMUUIXNXOV
      LEZUWDABVMZUWKXOXOVNVOSRZXOUVHXOVQVRUUOUVJIUVKUUTUUOUWDUVJIJUWMXOVSSUUOUV
      KUVFXOHFZUVGXOHFZOFZUUTUUOUVFPEUVGPEUWDUVKUWPJUUOUVFUWFQUUOUVGUWJQUWMUVFU
      VGXOVTVRUUOUWNUURUWOUUSOUUOUURXOUUOUURUWEQXNUVPUUMUUIXNXOUWIVDRXNUWCUUMUU
      IXNXOUWLWFRZWAUUOUUSXOUUOUUSUWGQUVQUWQWAVHWBWCWDWEUUQUVAYCYGUGFZIJZYBUVAU
      UTIJZUUQUWSIUUTTUUOUWTUWSNZUUPUUOUUIUUMGUXAUUNUUMUUIXNUUMUQWGYCYGUUBUUDWH
      SWIWJUUQUWRYAIUUQYCXSYGXTUGUUOYIYEYCXSJZUUOYEUXBNYIUUOUXBYEUUOXSYCJZAYDJZ
      UXBYEUUOAPEUVMUWDUXCUXDMUUOAXKXLXMUUMUUIWKQUVOUWMAYCXOWLVRYCXSTYDATWMWNWO
      WPUUOYIYEYGXTJZUUOYIUXEYEUUOUXEYIUUOXTYGJZBYHJZUXEYIUUOBPEZUVSUWDUXFUXGMX
      NUXHUUMUUIXNBXKXLXMWQQRUWAUWMBYGXOWLVRYGXTTYHBTWMWNWRWPVHWSWTXAXBXCXDXEXD
      XFXGXHXIXDXIXJXAXG $.
  $}

  ${
    $d A a b $.  $d B a b $.  $d M a b $.
    $( Integers divided by gcd are coprime (see ProofWiki "Integers Divided by
       GCD are Coprime", 11-Jul-2021,
       ~ https://proofwiki.org/wiki/Integers_Divided_by_GCD_are_Coprime ):  Any
       pair of integers, not both zero, can be reduced to a pair of coprime
       ones by dividing them by their gcd.  (Contributed by AV,
       12-Jul-2021.) $)
    divgcdcoprmex $p |- ( ( A e. ZZ /\ ( B e. ZZ /\ B =/= 0 )
                            /\ M = ( A gcd B ) ) -> E. a e. ZZ E. b e. ZZ
                   ( A = ( M x. a ) /\ B = ( M x. b ) /\ ( a gcd b ) = 1 ) ) $=
      ( cz wcel cc0 wa cgcd co wceq cmul wrex syl 3adant3 zcn adantr ad2antrr
      cc wne w3a cv c1 simpl anim2i zeqzmulgcd adantlr ancoms reeanv adantl cn0
      gcdcl nn0cnd mulcomd simp3 eqcomd oveq1d eqtrd eqeq1 mpbird ancomd gcdcom
      wb simpr oveq2d 3eqtrd sylan9eqr cdiv 3ad2ant1 simp1 gcdcld gcdeq0 syl6bi
      3ad2ant2 necon3d impr bicomd eqeq2d bitr2d anbi12d wi 3anass divgcdcoprm0
      divmul3d biimpri oveq12 eqeq1d syl5ibcom sylbid imp 3jca reximdva syl5bir
      ex mp2and ) AFGZBFGZBHUAZIZCABJKZLZUBZADUCZXAMKZLZDFNZBEUCZBAJKZMKZLZEFNZ
      ACXDMKZLZBCXHMKZLZXDXHJKZUDLZUBZEFNZDFNZWQWTXGXBWQWTIZWQWRIZXGWTWRWQWRWSU
      EZUFZABDUGOPWQWTXLXBWTWQXLWRWQXLWSBAEUGUHUIPXGXLIXFXKIZEFNZDFNXCYAXFXKDEF
      FUJXCYGXTDFXCXDFGZIZYFXSEFYIXHFGZIZYFXSYKYFIZXNXPXRYLXNXEXMLZYIYMYJYFYIXE
      XAXDMKZXMYIXDXAYHXDTGZXCXDQUKZXCXATGZYHWQWTYQXBYBXAYBYCXAULGZYEABUMOZUNPR
      UOXCYNXMLYHXCXACXDMXCCXAWQWTXBUPUQZURRUSSYFXNYMVDZYKXFUUAXKAXEXMUTRUKVAYF
      YKBXJXOXFXKVEXCYJXJXOLYHXCYJIZXJXHXAMKZXAXHMKXOXCXJUUCLYJXCXIXAXHMWQWTXIX
      ALZXBYBWRWQIUUDYBWQWRYEVBBAVCOPVFRUUBXHXAYJXHTGZXCXHQZUKUUBXAXCYRYJWQWTYR
      XBYSPRUNUOUUBXACXHMXCXACLYJYTRURVGUHVHYKYFXRYKYFAXAVIKZXDLZBXAVIKZXHLZIZX
      RYKXFUUHXKUUJYKUUHXFYKAXDXAXCATGZYHYJWQWTUULXBAQVJSYIYOYJYPRXCYQYHYJXCXAX
      CABWQWTXBVKWTWQWRXBYDVOVLUNSZXCXAHUAZYHYJWQWTUUNXBWQWRWSUUNYCXAHBHYCXAHLA
      HLZBHLZIUUPABVMUUOUUPVEVNVPVQPSZWEVRYKUUJBUUCLXKYKBXHXAXCBTGZYHYJWTWQUURX
      BWRUURWSBQRVOSYJUUEYIUUFUKUUMUUQWEYKUUCXJBYKXAXIXHMXCXAXILZYHYJXCYCUUSWQW
      TYCXBYEPABVCOSVFVSVTWAXCUUKXRWBYHYJXCUUGUUIJKZUDLZUUKXRXCWQWRWSUBZUVAWQWT
      UVBXBUVBYBWQWRWSWCWFPABWDOUUKUUTXQUDUUGXDUUIXHJWGWHWISWJWKWLWOWMWMWNWP $.
  $}

  ${
    $d A k r s $.  $d B k r s $.  $d C k r s $.  $d M k r s $.  $d N k r s $.
    $( One direction of the bicondition in ~ cncongr .  Theorem 5.4 in
       [ApostolNT] p. 109.  (Contributed by AV, 13-Jul-2021.) $)
    cncongr1 $p |- ( ( ( A e. ZZ /\ B e. ZZ /\ C e. ZZ )
                     /\ ( N e. NN /\ M = ( N / ( C gcd N ) ) ) )
                   -> ( ( ( A x. C ) mod N ) = ( ( B x. C ) mod N )
                        -> ( A mod M ) = ( B mod M ) ) ) $=
      ( cz wcel co wceq wa cmul cmo cmin wi adantl adantr syl cc zcnd ad2antrr
      vk vr vs w3a cn cgcd cdiv cv wrex wb zmulcl 3adant2 simpl congr syl2an3an
      3adant1 c1 cc0 wne nnz nnne0 jca eqidd 3jca 3ad2ant3 impcom divgcdcoprmex
      ex com12 oveq2 3ad2ant2 oveq12d 3ad2ant1 simpr simp3 gcdcld nn0cnd mul12d
      eqeq12d simp1 nnzd simp2 zmulcld subdid eqcomd eqeq2d anim12i zsubcld imp
      3adant3 gcd2n0cl syl3anc mulcand 3bitrd df-3an sylibr subdir nncnd simpll
      zcn divmul2 divgcdnnr eleq1 eqcoms mpbird cdvds wbr anim2i dvdsmul2 breq2
      zsubcl mulcomd breq2d gcdcom eqeq1d ancomd 3anass moddvds sylibrd expcomd
      coprmdvds sylbid com23 com3l syl6bi com14 mpd impl eqtr2 sylbird a1i 3imp
      rexlimdvva rexlimdva ) AFGZBFGZCFGZUDZEUEGZDECEUFHZUGHZIZJZJZACKHZELHBCKH
      ZELHIZUAUHZEKHZUUEUUFMHZIZUAFUIZADLHZBDLHZIZYRUUEFGZUUFFGZUUCYSUUGUULUJYO
      YQUUPYPACUKULYPYQUUQYOBCUKUPYSUUBUMZUUEUUFUAEUNUOUUDUUKUUOUAFUUDUUHFGZJZC
      YTUBUHZKHZIZEYTUCUHZKHZIZUVAUVDUFHZUQIZUDZUCFUIUBFUIZUUKUUONZUUDUVJUUSUUD
      YQEFGZEURUSZJZYTYTIZUDZUVJUUCYRUVPYSYRUVPNUUBYRYSUVPYQYOYSUVPNYPYQYSUVPYQ
      YSJZYQUVNUVOYQYSUMYSUVNYQYSUVLUVMEUTZEVAZVBOUVQYTVCVDVHVEVIPVFCEYTUBUCVGQ
      PUUTUVIUVKUBUCFFUUTUVAFGZUVDFGZJZJZUVIUVKUWCUVIJZUUKUUHUVEKHZAUVBKHZBUVBK
      HZMHZIZUUOUWDUUIUWEUUJUWHUVIUUIUWEIZUWCUVFUVCUWJUVHEUVEUUHKVJVKOUVIUUJUWH
      IZUWCUVCUVFUWKUVHUVCUUEUWFUUFUWGMCUVBAKVJCUVBBKVJVLVMOVSUWDUWIUUHUVDKHZAU
      VAKHZBUVAKHZMHZIZUUOUWCUWIUWPUJUVIUWCUWIYTUWLKHZYTUWMKHZYTUWNKHZMHZIUWQYT
      UWOKHZIUWPUWCUWEUWQUWHUWTUWCUUHYTUVDUUTUUHRGUWBUUTUUHUUDUUSVNZSPUUDYTRGZU
      USUWBUUDYTUUDCEYRYQUUCYOYPYQVOZPZUUCUVLYRYSUVLUUBUVRPOVPVQTUWBUVDRGZUUTUW
      BUVDUVTUWAVNZSOVRUWCUWFUWRUWGUWSMUWCAYTUVAUUDARGZUUSUWBYRUXHUUCYRAYOYPYQV
      TZSPTUUTUXCUWBUUTYTUUTCEYRYQUUCUUSUXDTUUDUVLUUSUUCUVLYRUUCEUURWAOZPVPVQPU
      WBUVARGZUUTUWBUVAUVTUWAUMZSZOZVRUWCBYTUVAUUDBRGZUUSUWBYRUXOUUCYRBYOYPYQWB
      ZSPTUUDUXCUUSUWBUUDYTUUDCEUXEUXJVPVQZTZUXNVRVLVSUWCUWTUXAUWQUWCUXAUWTUWCY
      TUWMUWNUXRUWCUWMUWCAUVAUUDYOUUSUWBYRYOUUCUXIPTUWBUVTUUTUXLOZWCSUWCUWNUWCB
      UVAUUDYPUUSUWBYRYPUUCUXPPTUXSWCSWDWEWFUWCUWLUWOYTUWCUWLUWCUUHUVDUUTUUSUWB
      UXBPUWBUWAUUTUXGOZWCSUUTUWBUWORGZYRUWBUYANZUUCUUSYOYPUYBYQYOYPJZUWBUYAUYC
      UWBJZUWOUYDUWMUWNUYDYOUVTJUWMFGUYCYOUWBUVTYOYPUMUXLWGAUVAUKQUYDYPUVTJUWNF
      GUYCYPUWBUVTYOYPVNUXLWGBUVAUKQWHSVHWJTWIUXRUUDYTURUSZUUSUWBUUDYTUEGZUYEUU
      DYQUVLUVMUYFUXEUXJUUCUVMYRYSUVMUUBUVSPOCEWKWLYTVAQZTWMWNPUWDUWPUWLABMHZUV
      AKHZIZUUOUWDUWOUYIUWLUWCUWOUYIIUVIUWCUYIUWOUWCUXHUXOUXKUDZUYIUWOIUWCUXHUX
      OJZUXKJUYKUUTUYLUWBUXKYRUYLUUCUUSYOYPUYLYQYOUXHYPUXOAWTBWTWGWJTUXMWGUXHUX
      OUXKWOWPABUVAWQQWEPWFUVIUWCUYJUUONZUVCUVFUVHUWCUYMNZUVFUVHUYNNNUVCUWCUVFU
      VHUYMUWCUVFUUAUVDIZUVHUYMNZUWCERGZUXFUXCUYEJZUYOUVFUJUUDUYQUUSUWBUUCUYQYR
      UUCEUURWROTUWCUVDUXTSUUDUYRUUSUWBUUDUXCUYEUXQUYGVBTEUVDYTXAWLUWCUYOUYPUWC
      UYOJZUUTUVTUVDUEGZJZJZUYOJZUYPUYSVUBUYOUYSUUTVUAUUTUWBUYOWSUYSUVTUYTUWCUV
      TUYOUXSPUYSUYTUUAUEGZUUTVUDUWBUYOUUDVUDUUSUUDYSYQJVUDUUDYSYQUUCYSYRUUROUX
      EVBECXBQPTUYOUYTVUDUJZUWCVUEUVDUUAUVDUUAUEXCXDOXEVBVBUWCUYOVNVBVUCUVHUYMV
      UCUVHJUYJAUVDLHZBUVDLHZIZUUOVUCUVHUYJVUHNZVUBUVHVUINZUYOUUDUUSVUAVUJYRUUS
      VUAJZVUJNZUUCYOYPVULYQUYCVUKVUJUYCVUKJZUVDUWLXFXGZVUJVUMUUSUWAJZVUNVUKVUO
      UYCVUAUWAUUSUYTUWAUVTUVDUTZOXHOUUHUVDXIQUYJVUNUVHVUMVUHUYJVUNUVDUYIXFXGZU
      VHVUMVUHNNUWLUYIUVDXFXJVUMVUQUVHVUHVUMVUQUVDUVAUYHKHZXFXGZUVHVUHNVUMUYIVU
      RUVDXFVUMUYHUVAUYCUYHRGVUKUYCUYHABXKZSPVUKUXKUYCVUAUXKUUSUVTUXKUYTUVAWTPO
      OXLXMVUMUVHVUSVUHVUMUVHUVDUVAUFHZUQIZVUSVUHNVUKUVHVVBUJZUYCVUAVVCUUSVUAUV
      GVVAUQVUAUWBUVGVVAIUYTUWAUVTVUPXHZUVAUVDXNQXOOOVUMVUSVVBVUHVUMVUSVVBJZUVD
      UYHXFXGZVUHVUMUWAUVTUYHFGZUDZVVEVVFNVUMUWAUVTJZVVGJVVHVUMVVGVVIUYCVVGVUKV
      VIVUTVUKUVTUWAVUAUWBUUSVVDOXPWGXPUWAUVTVVGWOWPUVDUVAUYHYAQVUMUYTYOYPUDZVU
      HVVFUJVUMUYTUYCJVVJVUMUYCUYTVUKUYTUYCVUAUYTUUSUVTUYTVNOXHXPUYTYOYPXQWPABU
      VDXRQXSXTYBYCYBYDYEYFYGVHWJPYHPWIVUCUUOVUHUJZUVHVUBUYOVVKUUDUYOVVKNZUUSVU
      AUUCVVLYRUUBVVLYSVVLUUADUUADIZUYOVVKVVMUYOJDUVDIZVVKUUADUVDYIVVNUUMVUFUUN
      VUGDUVDALVJDUVDBLVJVSQVHXDOOTWIPXSVHQVHYJYDYKYLVFYBYBYBVHYMYGYNYB $.
  $}

  ${
    $d A k $.  $d B k $.  $d C k $.  $d M k $.  $d N k $.
    $( The other direction of the bicondition in ~ cncongr .  (Contributed by
       AV, 11-Jul-2021.) $)
    cncongr2 $p |- ( ( ( A e. ZZ /\ B e. ZZ /\ C e. ZZ )
                       /\ ( N e. NN /\ M = ( N / ( C gcd N ) ) ) )
                     -> ( ( A mod M ) = ( B mod M )
                          -> ( ( A x. C ) mod N ) = ( ( B x. C ) mod N ) ) ) $=
      ( vk cz wcel co wceq wa cmo cmul wi cc0 adantr cdvds wb adantl cc cn cgcd
      w3a cdiv zcn mul01d 3ad2ant1 3ad2ant2 eqtr4d oveq1d oveq2 eqeq12d syl5ibr
      wne cv cmin wrex wbr simpl simp3 divgcdnnr syl2anr simpl1 moddvds syl3anc
      simpl2 nnzd zsubcl 3adant3 jca divides syl 3bitrd simpr zmulcld ad3antrrr
      zcnd mulcan2d subdir syl3an eqeq2d bitr3d nnz cn0 anim12i gcdcl nn0cnd wn
      nnne0 neneqd intnand gcdeq0 mpbird divassd 3anass sylibr divgcdz dvdsmul1
      necon3abid eqeltrd syl2an2 nncnd divmulasscom syl32anc breqtrrd exp32 imp
      adantrd breq2 syl5ibcom sylbid rexlimdva 3adant2 3adant1 sylibrd ex com23
      zmulcl com12 pm2.61ine ) AGHZBGHZCGHZUCZEUAHZDECEUBIZUDIZJZKZKZADLIZBDLIZ
      JZACMIZELIZBCMIZELIZJZYJYMKZYRNCOYSYRCOJZAOMIZELIZBOMIZELIZJZYJUUEYMYJUUA
      UUCELYDUUAUUCJYIYDUUAOUUCYAYBUUAOJYCYAAAUEZUFUGYBYAUUCOJYCYBBBUEZUFUHUIPU
      JPYTYOUUBYQUUDYTYNUUAELCOAMUKUJYTYPUUCELCOBMUKUJULUMYSCOUNZYRYJYMUUHYRNZY
      JYMFUOZYGMIZABUPIZJZFGUQZUUIYJYMAYGLIZBYGLIZJZYGUULQURZUUNYIYMUUQRZYDYHUU
      SYEYHYKUUOYLUUPDYGALUKDYGBLUKULSSYJYGUAHZYAYBUUQUURRYIYEYCUUTYDYEYHUSZYAY
      BYCUTZECVAVBZYAYBYCYIVCYAYBYCYIVFABYGVDVEYJYGGHZUULGHZKUURUUNRYJUVDUVEYJY
      GUVCVGZYDUVEYIYAYBUVEYCABVHZVIPVJFYGUULVKVLVMYJUUHUUNYRYJUUHUUNYRNYJUUHKZ
      UUNEYNYPUPIZQURZYRUVHUUMUVJFGUVHUUJGHZKZUUMUUKCMIZUVIJZUVJUVLUVMUULCMIZJU
      UMUVNUVLUUKUULCUVLUUKUVLUUJYGUVHUVKVNUVHUVDUVKYJUVDUUHUVFPPVOVQYDUULTHZYI
      UUHUVKYAYBUVPYCYAYBKUULUVGVQVIVPYDCTHZYIUUHUVKYDCUVBVQZVPUVHUUHUVKYJUUHVN
      PVRUVLUVOUVIUVMYDUVOUVIJZYIUUHUVKYAATHYBBTHYCUVQUVSUUFUUGCUEABCVSVTVPWAWB
      UVLEUVMQURZUVNUVJUVHUVKUVTYJUVKUVTNZUUHYDYIUWAYDYEUWAYHYDYEUVKUVTYDYEUVKK
      ZKZEEUUJCMIYFUDIZMIZUVMQUWBEGHZYDUWDGHEUWEQURYEUWFUVKEWCZPUWCUWDUUJCYFUDI
      ZMIGUWCUUJCYFUWBUUJTHZYDUWBUUJYEUVKVNZVQSZYDUVQUWBUVRPZUWCYFUWCYCUWFKZYFW
      DHYDYCUWBUWFUVBUWBEYEUVKUSZVGWEZCEWFVLWGZUWCYFOUNZYTEOJZKZWHUWCUWRYTUWBUW
      RWHZYDYEUWTUVKYEEOEWIZWJPSWKUWCUWSYFOUWCUWMYFOJUWSRUWOCEWLVLWSWMZWNUWCUUJ
      UWHUWBUVKYDUWJSUWCYCUWFEOUNZUCZUWHGHUWCYCUWFUXCKZKUXDYDYCUWBUXEUVBYEUXEUV
      KYEUWFUXCUWGUXAVJPWEYCUWFUXCWOWPCEWQVLVOWTEUWDWRXAUWCUWIETHZUVQYFTHUWQUVM
      UWEJUWKUWBUXFYDUWBEUWNXBSUWLUWPUXBUUJECYFXCXDXEXFXHXGPXGUVMUVIEQXIXJXKXLY
      JYRUVJRZUUHYJYEYNGHZYPGHZUXGYIYEYDUVASYDUXHYIYAYCUXHYBACXRXMPYDUXIYIYBYCU
      XIYABCXRXNPYNYPEVDVEPXOXPXQXKXGXSXTXP $.
  $}

  $( Cancellability of Congruences (see ProofWiki "Cancellability of
     Congruences, ~ https://proofwiki.org/wiki/Cancellability_of_Congruences ,
     10-Jul-2021):  Two products with a common factor are congruent modulo a
     positive integer iff the other factors are congruent modulo the integer
     divided by the greates common divisor of the integer and the common
     factor.  See also Theorem 5.4 "Cancellation law" in [ApostolNT] p. 109.
     (Contributed by AV, 13-Jul-2021.) $)
  cncongr $p |- ( ( ( A e. ZZ /\ B e. ZZ /\ C e. ZZ )
                    /\ ( N e. NN /\ M = ( N / ( C gcd N ) ) ) )
                  -> ( ( ( A x. C ) mod N ) = ( ( B x. C ) mod N )
                       <-> ( A mod M ) = ( B mod M ) ) ) $=
    ( cz wcel w3a cn cgcd co cdiv wceq wa cmul cmo cncongr1 cncongr2 impbid ) A
    FGBFGCFGHEIGDECEJKLKMNNACOKEPKBCOKEPKMADPKBDPKMABCDEQABCDERS $.

  $( Corollary 1 of Cancellability of Congruences:  Two products with a common
     factor are congruent modulo an integer being coprime to the common factor
     iff the other factors are congruent modulo the integer.  (Contributed by
     AV, 13-Jul-2021.) $)
  cncongrcoprm $p |- ( ( ( A e. ZZ /\ B e. ZZ /\ C e. ZZ )
                         /\ ( N e. NN /\ ( C gcd N ) = 1 ) )
                       -> ( ( ( A x. C ) mod N ) = ( ( B x. C ) mod N )
                            <-> ( A mod N ) = ( B mod N ) ) ) $=
    ( cn wcel cgcd co c1 wceq wa cz w3a cdiv cmul cmo wb simpl nncn div1d oveq2
    eqcomd sylan9req jca cncongr sylan2 ) DEFZCDGHZIJZKZALFBLFCLFMUGDDUHNHZJZKA
    COHDPHBCOHDPHJADPHBDPHJQUJUGULUGUIRUGUIDDINHZUKUGDDSTUIUKUMUHIDNUAUBUCUDABC
    DDUEUF $.


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Elementary prime number theory
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Elementary properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Remark: to represent odd prime numbers, i.e., all prime numbers except ` 2 `,
  the idiom ` P e. ( Prime \ { 2 } ) ` is used.  It is a little bit shorter
  than ` ( P e. Prime /\ P =/= 2 ) `.  Both representations can be converted
  into each other by ~ eldifsn .

$)

  $c Prime $.

  $( Extend the definition of a class to include the set of prime numbers. $)
  cprime $a class Prime $.

  ${
    $d n p $.
    $( Define the set of prime numbers.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    df-prm $a |- Prime = { p e. NN | { n e. NN | n || p } ~~ 2o } $.
  $}

  ${
    $d P n p z $.
    $( The predicate "is a prime number".  A prime number is a positive integer
       with exactly two positive divisors.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    isprm $p |- ( P e. Prime <->
                  ( P e. NN /\ { n e. NN | n || P } ~~ 2o ) ) $=
      ( vp cv cdvds wbr cn crab c2o cen cprime wceq breq2 rabbidv breq1d df-prm
      elrab2 ) BDZCDZEFZBGHZIJFRAEFZBGHZIJFCAGKSALZUAUCIJUDTUBBGSAREMNOBCPQ $.

    $( A prime number is a positive integer.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    prmnn $p |- ( P e. Prime -> P e. NN ) $=
      ( vz cprime wcel cn cv cdvds wbr crab c2o cen isprm simplbi ) ACDAEDBFAGH
      BEIJKHABLM $.

    $( A prime number is an integer.  (Contributed by Paul Chapman,
       22-Jun-2011.)  (Proof shortened by Jonathan Yan, 16-Jul-2017.) $)
    prmz $p |- ( P e. Prime -> P e. ZZ ) $=
      ( cprime wcel prmnn nnzd ) ABCAADE $.
  $}

  $( The prime numbers are a subset of the positive integers.  (Contributed by
     AV, 22-Jul-2020.) $)
  prmssnn $p |- Prime C_ NN $=
    ( vx cprime cn cv prmnn ssriv ) ABCADEF $.

  $( The set of prime numbers exists.  (Contributed by AV, 22-Jul-2020.) $)
  prmex $p |- Prime e. _V $=
    ( cprime cn nnex prmssnn ssexi ) ABCDE $.

  $( 0 is not a prime number.  Already Definition ~ df-prm excludes 0 from
     being prime ( ` Prime = { p e. NN | ... ` ), but even if ` p e. NN0 ` was
     allowed, the condition ` { n e. NN | n || p } ~~ 2o ` would not hold for
     ` p = 0 ` , because ` { n e. NN | n || 0 } = NN ` , see ~ dvds0 , and
     ` -. NN ~~ 2o ` (there are more than 2 positive integers).  (Contributed
     by AV, 29-May-2023.) $)
  0nprm $p |- -. 0 e. Prime $=
    ( cc0 cprime wcel cn 0nnn prmnn mto ) ABCADCEAFG $.

  ${
    $d n z $.
    $( 1 is not a prime number.  (Contributed by Paul Chapman, 22-Jun-2011.)
       (Proof shortened by Fan Zheng, 3-Jul-2016.) $)
    1nprm $p |- -. 1 e. Prime $=
      ( vn vz c1 cprime wcel cv cdvds wbr cn crab c2o cen csdm c1o csn wceq 1nn
      wn wa eleq1 mpbiri cn0 wb nnnn0 dvds1 biadanii velsn breq1 elrab 3bitr4ri
      syl bicomd eqriv ensn1 eqbrtri ensdomtr mp2an sdomnen ax-mp isprm mpbiran
      1ex 1sdom2 mtbir ) CDEZAFZCGHZAIJZKLHZVHKMHZVIRVHNLHNKMHVJVHCOZNLBVHVKBFZ
      CPZVLIEZVLCGHZSVLVKEVLVHEVMVNVOVMVNCIEZQVLCITUAVNVOVMVNVLUBEVOVMUCVLUDVLU
      EUKULUFBCUGVGVOAVLIVFVLCGUHUIUJUMCVBUNUOVCVHNKUPUQVHKURUSVEVPVIQCAUTVAVD
      $.
  $}

  ${
    $d N n $.
    $( The positive divisors of a positive integer include 1 and itself.
       (Contributed by Paul Chapman, 22-Jun-2011.) $)
    1idssfct $p |- ( N e. NN -> { 1 , N } C_ { n e. NN | n || N } ) $=
      ( cn wcel c1 cv cdvds wbr crab 1nn cz nnz 1dvds syl breq1 biimpri sylancr
      wa elrab iddvds mpdan prssd ) BCDZEBAFZBGHZACIZUCECDZEBGHZEUFDZJUCBKDZUHB
      LZBMNUIUGUHRUEUHAECUDEBGOSPQUCBBGHZBUFDZUCUJULUKBTNUMUCULRUEULABCUDBBGOSP
      UAUB $.
  $}

  ${
    $d n z P $.
    $( Lemma for ~ isprm2 .  (Contributed by Paul Chapman, 22-Jun-2011.) $)
    isprm2lem $p |- ( ( P e. NN /\ P =/= 1 ) ->
      ( { n e. NN | n || P } ~~ 2o <-> { n e. NN | n || P } = { 1 , P } ) ) $=
      ( cn wcel c1 wne wa cv cdvds wbr crab c2o cen cpr syl ad2antrr 1nn elrab3
      wb breq1 wceq simplr necomd wi simpr nnz 1dvds ax-mp sylibr iddvds mpbird
      cz en2eqpr syl3anc ex necom pr2ne mpan biimpar sylan2br syl5ibrcom impbid
      mpd ) ACDZAEFZGZBHZAIJZBCKZLMJZVIEANZUAZVFVJVLVFVJGZEAFZVLVMAEVDVEVJUBUCV
      MVJEVIDZAVIDZVNVLUDVFVJUEVMEAIJZVOVDVQVEVJVDAULDZVQAUFZAUGOPECDZVOVQSQVHV
      QBECVGEAITRUHUIVMVPAAIJZVDWAVEVJVDVRWAVSAUJOPVDVPWASVEVJVHWABACVGAAITRPUK
      EAVIUMUNVCUOVFVJVLVKLMJZVEVDVNWBEAUPVDWBVNVTVDWBVNSQEACCUQURUSUTVIVKLMTVA
      VB $.

    $( The predicate "is a prime number".  A prime number is an integer greater
       than or equal to 2 whose only positive divisors are 1 and itself.
       Definition in [ApostolNT] p. 16.  (Contributed by Paul Chapman,
       26-Oct-2012.) $)
    isprm2 $p |- ( P e. Prime <-> ( P e. ( ZZ>= ` 2 ) /\
                      A. z e. NN ( z || P -> ( z = 1 \/ z = P ) ) ) ) $=
      ( vn cprime wcel c1 wa cn cv cdvds wbr wss wceq wi bitri ancom bitr4i wal
      wb 3bitri wne crab cpr c2 cuz cfv wo wral 1nprm eleq1 biimpcd mtoi neqned
      pm4.71i c2o cen isprm isprm2lem eqss imbi2i 1idssfct jcab mpbiran2 adantr
      pm5.74ri bitrd expcom pm5.32d syl5bb anass eluz2b3 anbi1i dfss2 breq1 vex
      pm5.32ri elrab elpr imbi12i impexp albii df-ral anbi2i ) BDEZWDBFUAZGBHEZ
      CIZBJKZCHUBZFBUCZLZGZWEGZBUDUEUFEZAIZBJKZWOFMWOBMUGZNZAHUHZGZWDWEWDBFWDBF
      MZFDEZUIXAWDXBBFDUJUKULUMUNWEWDWLWDWFWIUOUPKZGWEWLBCUQWEWFXCWKWFWEXCWKSWF
      WEGZXCWIWJMZWKBCURWFXEWKSWEWFXEWKWFXENWFWKWJWILZGZNZWFWKNZXEXGWFWIWJUSUTX
      HXIWFXFNCBVAWFWKXFVBVCOVEVDVFVGVHVIVPWMWEWFGZWKGZWNWKGWTWMWEWLGXKWLWEPWEW
      FWKVJQXJWNWKXJXDWNWEWFPBVKQVLWKWSWNWKWOWIEZWOWJEZNZARZWSAWIWJVMXOWOHEZWRN
      ZARWSXNXQAXNXPWPGZWQNXQXLXRXMWQWHWPCWOHWGWOBJVNVQWOFBAVOVRVSXPWPWQVTOWAWR
      AHWBQOWCTT $.

    $( The predicate "is a prime number".  A prime number is an integer greater
       than or equal to 2 with no divisors strictly between 1 and itself.
       (Contributed by Paul Chapman, 26-Oct-2012.) $)
    isprm3 $p |- ( P e. Prime <-> ( P e. ( ZZ>= ` 2 ) /\
                      A. z e. ( 2 ... ( P - 1 ) ) -. z || P ) ) $=
      ( wcel c2 cuz cfv wbr c1 wceq wi cn wa wn co wb cle cz adantr cr syl2an
      cprime cv cdvds wo wral cmin cfz isprm2 iman clt eluz2nn nnz dvdsle sylan
      nnge1 jctild sylan2 wne zre nnre 1re leltne mp3an1 3adant2 3expia anim12d
      pm4.38 df-ne nesym anbi12i ioran bitr4i bitrdi syl6 syld eluzelz caddc 1z
      imp zltp1le mpan df-2 breq1i bitr4di zltlem1 anbi12d peano2zm elfz mp3an2
      bitr4d bitr3d anasss expcom pm5.32d fzssuz 2eluzge1 uzss ax-mp sstri nnuz
      2z sseqtrri sseli pm4.71ri notbid syl5bb pm5.74da bi2.04 3bitr3g ralbidv2
      wss con2b pm5.32i bitri ) BUACBDEFZCZAUBZBUCGZXQHIZXQBIZUDZJZAKUEZLXPXRMZ
      ADBHUFNZUGNZUEZLABUHXPYCYGXPYBYDAKYFXPXRXQKCZYAJZJXRXQYFCZMZJYHYBJYJYDJXP
      XRYIYKYIYHYAMZLZMXPXRLZYKYHYAUIYNYMYJYNYMYHYJLYJYNYHYLYJYHYNYLYJOZYHXPXRY
      OYHXPLZXRLHXQUJGZXQBUJGZLZYLYJYPXRYSYLOZYPXRHXQPGZXQBPGZLZYTXPYHBKCZXRUUC
      JBUKZYHUUDLXRUUBUUAYHXQQCZUUDXRUUBJXQULZXQBUMUNYHUUAUUDXQUORUPUQYHUUFUUDU
      UCYTJXPUUGUUEUUFUUDLUUCYQXQHURZOZYRBXQURZOZLZYTUUFXQSCZBSCZUUCUULJUUDXQUS
      BUTUUMUUNLUUAUUIUUBUUKUUMUUNUUAUUIUUMUUAUUIUUNHSCUUMUUAUUIVAHXQVBVCVDVEUU
      MUUNUUBUUKXQBVBVEVFTUULYSUUHUUJLZYLYQYRUUHUUJVGUUOXSMZXTMZLYLUUHUUPUUJUUQ
      XQHVHBXQVIVJXSXTVKVLVMVNTVOVSYPYSYJOZXRYHUUFBQCZUURXPUUGDBVPUUFUUSLZYSDXQ
      PGZXQYEPGZLZYJUUTYQUVAYRUVBUUFYQUVAOUUSUUFYQHHVQNZXQPGZUVAHQCUUFYQUVEOVRH
      XQVTWADUVDXQPWBWCWDRXQBWEWFUUSUUFYEQCZYJUVCOZBWGUUFDQCUVFUVGXAXQDYEWHWIUQ
      WJTRWKWLWMWNYJYHYFKXQYFHEFZKYFXOUVHDYEWODUVHCXOUVHXKWPHDWQWRWSWTXBXCXDWDX
      EXFXGXRYHYAXHXRYJXLXIXJXMXN $.

    $( The predicate "is a prime number".  A prime number is an integer greater
       than or equal to 2 whose only divisor greater than or equal to 2 is
       itself.  (Contributed by Paul Chapman, 26-Oct-2012.) $)
    isprm4 $p |- ( P e. Prime <-> ( P e. ( ZZ>= ` 2 ) /\
                      A. z e. ( ZZ>= ` 2 ) ( z || P -> z = P ) ) ) $=
      ( cprime wcel c2 cuz cfv cv cdvds wbr c1 wceq wi cn wral wa imbi1i bitr4i
      imbi2i bitri wo isprm2 wne eluz2b3 impexp bi2.04 wn df-ne ralbii2 anbi2i
      df-or ) BCDBEFGZDZAHZBIJZUNKLZUNBLZUAZMZANOZPUMUOUQMZAULOZPABUBVBUTUMVAUS
      AULNUNULDZVAMUNNDZUNKUCZPZVAMZVDUSMZVCVFVAUNUDQVGVDVEVAMZMVHVDVEVAUEVIUSV
      DVIUOVEUQMZMUSVEUOUQUFVJURUOVJUPUGZUQMURVEVKUQUNKUHQUPUQUKRSTSTTUIUJR $.
  $}

  ${
    $d k x y $.  $d n x A $.  $d x z ch $.  $d x et $.  $d x ta $.  $d x th $.
    $d k n y z ph $.
    prmind.1 $e |- ( x = 1 -> ( ph <-> ps ) ) $.
    prmind.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    prmind.3 $e |- ( x = z -> ( ph <-> th ) ) $.
    prmind.4 $e |- ( x = ( y x. z ) -> ( ph <-> ta ) ) $.
    prmind.5 $e |- ( x = A -> ( ph <-> et ) ) $.
    prmind.6 $e |- ps $.
    ${
      prmind2.7 $e |- ( ( x e. Prime /\ A. y e. ( 1 ... ( x - 1 ) ) ch ) ->
        ph ) $.
      prmind2.8 $e |- ( ( y e. ( ZZ>= ` 2 ) /\ z e. ( ZZ>= ` 2 ) ) ->
        ( ( ch /\ th ) -> ta ) ) $.
      $( A variation on ~ prmind assuming complete induction for primes.
         (Contributed by Mario Carneiro, 20-Jun-2015.) $)
      prmind2 $p |- ( A e. NN -> et ) $=
        ( wcel c1 vn vk cn cfz co wral caddc wceq oveq2 raleqdv weq elfz1eq syl
        cv wb mpbiri rgen csn wa wsbc cdvds wbr c2 cmin wrex cdiv cmul peano2nn
        ad2antrr cuz cfv elfzuz ad2antrl eluz2nn nnne0d divcan2d clt simprr cc0
        nncnd cz wne nnzd dvdsval2 syl3anc mpbid mulid2d elfzle2 cc nncn ax-1cn
        cle pncan sylancl breqtrd nnz zleltp1 syl2anc eqbrtrd 1red nnred nngt0d
        ltmuldiv syl112anc eluz2b1 sylanbrc simplr fznn mpbir2and rspcdva sbcie
        cr vex dfsbcq bitr3id cbvralvw sylib nnrpd rpdivcld rpgt0d elnnz dividd
        eluz2gt1 ltdiv23 syl122anc mpbird wi anbi2d ovex sbceq1d imbi12d imbi2d
        jca expcom vtoclga wn cprime oveq2d ex sylibrd rexlimdvaa ralnex elnnuz
        syl3c sbceq1dd simpl eluzp1p1 df-2 fveq2i eleqtrrdi baibr simpr nfsbc1v
        isprm3 nfcv nfim oveq1 sbceq1a vtoclgaf syl5com syl5bir pm2.61d ralsnsg
        nfv sylbid ancld cun fzsuc sylbi ralunb bitrdi nnind elfz1end biimpi )
        JUCSZAFGTJUDUEZJOAGTUAUNZUDUEZUFAGTTUDUEZUFAGTUBUNZUDUEZUFZAGTUVTTUGUEZ
        UDUEZUFZAGUVPUFUAUBJUVQTUHAGUVRUVSUVQTTUDUIUJUAUBUKAGUVRUWAUVQUVTTUDUIU
        JUVQUWCUHAGUVRUWDUVQUWCTUDUIUJUVQJUHAGUVRUVPUVQJTUDUIUJAGUVSGUNZUVSSZAB
        PUWGUWFTUHABUOUWFTULKUMUPUQUVTUCSZUWBUWBAGUWCURZUFZUSZUWEUWHUWBUWJUWHUW
        BAGUWCUTZUWJUWHUWBUWLUWHUWBUSZHUNZUWCVAVBZHVCUWCTVDUEZUDUEZVEZUWLUWMUWO
        UWLHUWQUWMUWNUWQSZUWOUSZUSZAGUWNUWCUWNVFUEZVGUEZUWCUXAUWCUWNUXAUWCUWHUW
        CUCSZUWBUWTUVTVHZVIZVTZUXAUWNUXAUWNVCVJVKZSZUWNUCSZUWSUXIUWMUWOUWNVCUWP
        VLVMZUWNVNUMZVTZUXAUWNUXLVOZVPUXAUXBUXHSZUXICAGUXBUTZUSZAGUXCUTZUXAUXBW
        ASZTUXBVQVBZUXOUXAUWOUXSUWMUWSUWOVRUXAUWNWASZUWNVSWBUWCWASUWOUXSUOUXAUW
        NUXLWCZUXNUXAUWCUXFWCUWNUWCWDWEWFZUXATUWNVGUEZUWCVQVBZUXTUXAUYDUWNUWCVQ
        UXAUWNUXMWGUXAUWNUVTWLVBZUWNUWCVQVBZUXAUWNUWPUVTWLUWSUWNUWPWLVBUWMUWOUW
        NVCUWPWHVMUXAUVTWISZTWISZUWPUVTUHZUWHUYHUWBUWTUVTWJVIWKUVTTWMZWNWOZUXAU
        YAUVTWASZUYFUYGUOUYBUWHUYMUWBUWTUVTWPVIZUWNUVTWQWRWFWSUXATXLSUWCXLSZUWN
        XLSZVSUWNVQVBZUYEUXTUOUXAWTUXAUWCUXFXAZUXAUWNUXLXAZUXAUWNUXLXBZTUWCUWNX
        CXDWFUXBXEXFUXKUXACUXPUXAACGUWAUWNLUWHUWBUWTXGZUXAUWNUWASZUXJUYFUXLUYLU
        XAUYMVUBUXJUYFUSUOUYNUWNUVTXHUMXIXJUXADUXPIUWAUXBDAGIUNZUTVUCUXBUHZUXPA
        DGVUCIXMMXKAGVUCUXBXNXOZUXAUWBDIUWAUFVUAADGIUWAMXPXQUXAUXBUWASZUXBUCSZU
        XBUVTWLVBZUXAUXSVSUXBVQVBVUGUYCUXAUXBUXAUWCUWNUXAUWCUXFXRUXAUWNUXLXRXSX
        TUXBYAXFUXAVUHUXBUWCVQVBZUXAUWCUWCVFUEZUWNVQVBZVUIUXAVUJTUWNVQUXAUWCUXG
        UXAUWCUXFVOYBUXAUXITUWNVQVBUXKUWNYCUMWSUXAUYOUYOVSUWCVQVBUYPUYQVUKVUIUO
        UYRUYRUXAUWCUXFXBUYSUYTUWCUWCUWNYDYEWFUXAUXSUYMVUHVUIUOUYCUYNUXBUVTWQWR
        YFUXAUYMVUFVUGVUHUSUOUYNUXBUVTXHUMXIXJYMUXICDUSZEYGZYGUXIUXQUXRYGZYGIUX
        BUXHVUDVUMVUNUXIVUDVULUXQEUXRVUDDUXPCVUEYHEAGUWNVUCVGUEZUTVUDUXRAEGVUOU
        WNVUCVGYINXKVUDAGVUOUXCVUCUXBUWNVGUIYJXOYKYLUXIVUCUXHSVUMRYNYOUUDUUEUUA
        UWRYPUWOYPHUWQUFZUWMUWLUWOHUWQUUBUWMVUPUWCYQSZUWLUWMUWCUXHSZVUPVUQUOUWM
        UWCTTUGUEZVJVKZUXHUWMUVTTVJVKSZUWCVUTSUWMUWHVVAUWHUWBUUFZUVTUUCZXQTUVTU
        UGUMVCVUSVJUUHUUIUUJVUQVURVUPHUWCUUNUUKUMUWMCHTUWPUDUEZUFZVUQUWLUWMVVEC
        HUWAUFZUWMUWBVVFUWHUWBUULACGHUWALXPXQUWMCHVVDUWAUWMUWPUVTTUDUWMUYHUYIUY
        JUWMUVTVVBVTWKUYKWNYRUJYFCHTUWFTVDUEZUDUEZUFZAYGVVEUWLYGGUWCYQGUWCUUOVV
        EUWLGVVEGUVDAGUWCUUMUUPUWFUWCUHZVVIVVEAUWLVVJCHVVHVVDVVJVVGUWPTUDUWFUWC
        TVDUUQYRUJAGUWCUURYKUWFYQSVVIAQYSUUSUUTUVEUVAUVBYSUWHUXDUWJUWLUOUXEAGUW
        CUCUVCUMYTUVFUWHUWEAGUWAUWIUVGZUFUWKUWHAGUWDVVKUWHVVAUWDVVKUHVVCTUVTUVH
        UVIUJAGUWAUWIUVJUVKYTUVLUVOJUVPSJUVMUVNXJ $.
    $}

    prmind.7 $e |- ( x e. Prime -> ph ) $.
    prmind.8 $e |- ( ( y e. ( ZZ>= ` 2 ) /\ z e. ( ZZ>= ` 2 ) ) ->
      ( ( ch /\ th ) -> ta ) ) $.
    $( Perform induction over the multiplicative structure of ` NN ` .  If a
       property ` ph ( x ) ` holds for the primes and ` 1 ` and is preserved
       under multiplication, then it holds for every positive integer.
       (Contributed by Mario Carneiro, 20-Jun-2015.) $)
    prmind $p |- ( A e. NN -> et ) $=
      ( c1 co cv cprime wcel cmin cfz wral adantr prmind2 ) ABCDEFGHIJKLMNOPGUA
      ZUBUCACHSUISUDTUETUFQUGRUH $.
  $}

  ${
    $d M m $.  $d P m $.
    $( If ` M ` divides a prime, then ` M ` is either the prime or one.
       (Contributed by Scott Fenton, 8-Apr-2014.) $)
    dvdsprime $p |- ( ( P e. Prime /\ M e. NN ) ->
       ( M || P <-> ( M = P \/ M = 1 ) ) ) $=
      ( vm cprime wcel cn wa cdvds wbr wceq c1 wo c2 cuz breq1 eqeq1 syl adantr
      wi syl5ibrcom cv wral isprm2 orbi12d orcom bitrdi imbi12d rspccva adantll
      cfv sylanb cz prmz iddvds 1dvds jaod impbid ) ADEZBFEZGZBAHIZBAJZBKJZLZUR
      AMNUJEZCUAZAHIZVFKJZVFAJZLZSZCFUBZGUSVAVDSZCAUCVLUSVMVEVKVMCBFVFBJZVGVAVJ
      VDVFBAHOVNVJVCVBLVDVNVHVCVIVBVFBKPVFBAPUDVCVBUEUFUGUHUIUKUTVBVAVCUTVAVBAA
      HIZURVOUSURAULEZVOAUMZAUNQRBAAHOTUTVAVCKAHIZURVRUSURVPVRVQAUOQRBKAHOTUPUQ
      $.
  $}

  ${
    $d x A $.  $d x B $.
    $( A product of two integers greater than one is composite.  (Contributed
       by Mario Carneiro, 20-Jun-2015.) $)
    nprm $p |- ( ( A e. ( ZZ>= ` 2 ) /\ B e. ( ZZ>= ` 2 ) ) ->
        -. ( A x. B ) e. Prime ) $=
      ( vx c2 cuz cfv wcel wa cmul cz eluzelz adantr zred clt adantl cdvds wceq
      wbr cr wi co wne cprime wn c1 eluz2gt1 cc0 wb cn eluz2nn nngt0d ltmulgt11
      syl3anc mpbid ltned dvdsmul1 syl2an cv isprm4 simprbi breq1 eqeq1 imbi12d
      wral rspcv syl5 mpid necon3ad mpd ) ADEFZGZBVJGZHZAABIUAZUBVNUCGZUDVMAVNV
      MAVKAJGZVLDAKZLMZVMUEBNRZAVNNRZVLVSVKBUFOVMASGBSGUGANRVSVTUHVRVMBVLBJGZVK
      DBKZOMVMAVKAUIGVLAUJLUKABULUMUNUOVMVOAVNVMVOAVNPRZAVNQZVKVPWAWCVLVQWBABUP
      UQVKVOWCWDTZTVLVOCURZVNPRZWFVNQZTZCVJVDZVKWEVOVNVJGWJCVNUSUTWIWECAVJWFAQW
      GWCWHWDWFAVNPVAWFAVNVBVCVEVFLVGVHVI $.
  $}

  ${
    nprmi.1 $e |- A e. NN $.
    nprmi.2 $e |- B e. NN $.
    nprmi.3 $e |- 1 < A $.
    nprmi.4 $e |- 1 < B $.
    nprmi.5 $e |- ( A x. B ) = N $.
    $( An inference for compositeness.  (Contributed by Mario Carneiro,
       18-Feb-2014.)  (Revised by Mario Carneiro, 20-Jun-2015.) $)
    nprmi $p |- -. N e. Prime $=
      ( cmul co cprime wcel cn c1 clt wbr wn wa c2 eluz2b2 nprm syl2anbr eleq1i
      cuz cfv mp4an mtbi ) ABIJZKLZCKLAMLZNAOPZBMLZNBOPZUIQZDFEGUJUKRASUDUEZLBU
      OLUNULUMRATBTABUAUBUFUHCKHUCUG $.
  $}

  ${
    $d A k $.  $d N k $.  $d ph k $.
    dvdsnprmd.g $e |- ( ph -> 1 < A ) $.
    dvdsnprmd.l $e |- ( ph -> A < N ) $.
    dvdsnprmd.d $e |- ( ph -> A || N ) $.
    $( If a number is divisible by an integer greater than 1 and less than the
       number, the number is not prime.  (Contributed by AV, 24-Jul-2021.) $)
    dvdsnprmd $p |- ( ph -> -. N e. Prime ) $=
      ( vk wbr wcel cz wa wb c2 cle c1 clt adantr cr cc0 wi cdvds wn cv cmul co
      cprime wceq wrex dvdszrcl divides 3syl cuz cfv 2z a1i simplr breq2 adantl
      mpbird w3a zre 3ad2ant1 3ad2ant3 0lt1 0red 1red syl3anc mpani imp 3adant3
      lttr 3jca 3exp mpd ltmulgt12 syl caddc df-2 breq1i zltp1le mpancom bicomd
      1zzd syl5bb eluz2 syl3anbrc simpl biimpa sylibr nprm syl2anc eleq1 notbid
      ex mpbid rexlimdva2 sylbid ) ABCUAHZCUFIZUBZFAWRGUCZBUDUEZCUGZGJUHZWTAWRB
      JIZCJIZKZWRXDLFBCUIZGBCUJUKAXCWTGJAXAJIZKZXCKZXBUFIZUBZWTXKXAMULUMZIZBXNI
      ZXMXKMJIZXIMXANHZXOXQXKUNUOAXIXCUPXKXROXAPHZXKXSBXBPHZXKXTBCPHZXJYAXCAYAX
      IEQQXCXTYALXJXBCBPUQURUSXKBRIZXARIZSBPHZUTZXSXTLXJYEXCAXIYEAOBPHZXIYETZDA
      WRXGYFYGTZFXHXEYHXFXEYFXIYEXEYFXIUTYBYCYDXEYFYBXIBVAZVBXIXEYCYFXAVAVCXEYF
      YDXIXEYFYDXESOPHZYFYDVDXESRIORIYBYJYFKYDTXEVEXEVFYISOBVKVGVHVIVJVLVMQUKVN
      VIQBXAVOVPUSXROOVQUEZXANHZXKXSMYKXANVRVSXJYLXSLZXCXIYMAXIXSYLOJIZXIXSYLLX
      IWCOXAVTWAWBURQWDUSMXAWEWFXJXPXCAXPXIAXQXEMBNHZUTZXPAYFYPDAWRXGYFYPTZFXHX
      EYQXFXEYFYPXEYFKZXQXEYOXQYRUNUOXEYFWGYRYKBNHZYOXEYFYSYNXEYFYSLXEWCOBVTWAW
      HMYKBNVRVSWIVLWNQUKVNMBWEWIQQXABWJWKXCXMWTLXJXCXLWSXBCUFWLWMURWOWPWQVN $.
  $}

  $( A prime number is either 2 or odd.  (Contributed by AV, 19-Jun-2021.) $)
  prm2orodd $p |- ( P e. Prime -> ( P = 2 \/ -. 2 || P ) ) $=
    ( cprime wcel c2 wceq cdvds wbr wn c1 wo cn wb dvdsprime mpan2 eqcom biimpi
    2nn wne wi 1ne2 necom eqneqall com12 sylbi ax-mp jaoi syl6bi con3d orrd ) A
    BCZADEZDAFGZHUJULUKUJULDAEZDIEZJZUKUJDKCULUOLQADMNUMUKUNUMUKDAOPIDRZUNUKSZT
    UPDIRZUQIDUAUNURUKUKDIUBUCUDUEUFUGUHUI $.

  $( 2 is a prime number.  (Contributed by Paul Chapman, 22-Jun-2011.)  (Proof
     shortened by Fan Zheng, 16-Jun-2016.) $)
  2prm $p |- 2 e. Prime $=
    ( vz c2 cprime wcel cuz cfv cv cdvds wbr wn c1 cmin co cfz wral cz mpbir2an
    clt 2z c0 1lt2 eluz2b1 ral0 cin wceq fzssuz df-ss mpbi uzdisj eqtr3i raleqi
    wss mpbir isprm3 ) BCDBBEFZDZAGBHIJZABBKLMZNMZOZUPBPDKBRISUABUBQUTUQATOUQAU
    CUQAUSTUSUOUDZUSTUSUOULVAUSUEBURUFUSUOUGUHBBUIUJUKUMABUNQ $.

  $( A multiple of two is prime iff the multiplier is one.  (Contributed by AV,
     8-Jun-2023.) $)
  2mulprm $p |- ( A e. ZZ -> ( ( 2 x. A ) e. Prime <-> A = 1 ) ) $=
    ( cz wcel c2 cmul co cprime c1 wceq cc0 cle wbr wn wi clt wo 0red wa a1i cr
    zre leloed cn cn0 prmnn nn0ge0 2pos anim1i olcd 2re adantr mul2lt0bi mpbird
    nnnn0 remulcld ltnled mpbid ex con2d com12 syl 3syl a1dd oveq2 2t0e0 eqtrdi
    0nprm eqneltrd a1i13 jaod sylbid w3a cuz cfv 2z uzid ax-mp simp1 df-ne 1red
    wne ltlend caddc wb 1zzd zltp1le mpancom biimpd df-2 breq1i syl6ibr sylbird
    expdimp syl5bir 3impia eluz2 syl3anbrc nprm sylancr 3exp mpjaod con4d 2t1e2
    zle0orge1 2prm eqeltrdi impbid1 ) ABCZDAEFZGCZAHIZXHXKXJXHAJKLZXKMZXJMZNZHA
    KLZXHXLAJOLZAJIZPXOXHAJAUAZXHQUBXHXQXOXRXHXQXNXMXHXJXQXJXHXQMZXJXIUCCXIUDCZ
    XHXTNZXIUEXIUNYAJXIKLZYBXIUFXHYCXTXHXQYCXHXQYCMZXHXQRZXIJOLZYDYEYFDJOLJAOLR
    ZJDOLZXQRZPYEYIYGXHYHXQYHXHUGSUHUIYEDADTCYEUJSZXHATCXQXSUKZULUMYEXIJYEDAYJY
    KUOYEQUPUQURUSUTVAVBUTUSVCXHXRXMXNXRXIJGXRXIDJEFJAJDEVDVEVFJGCMXRVGSVHVIVJV
    KXHXPXMXNXHXPXMVLZDDVMVNZCZAYMCZXNDBCZYNVODVPVQYLYPXHDAKLZYOYPYLVOSXHXPXMVR
    XHXPXMYQXMAHWAZXHXPRYQAHVSXHXPYRYQXHXPYRRHAOLZYQXHHAXHVTXSWBXHYSHHWCFZAKLZY
    QXHYSUUAHBCXHYSUUAWDXHWEHAWFWGWHDYTAKWIWJWKWLWMWNWODAWPWQDAWRWSWTAXDXAXBXKX
    IDGXKXIDHEFDAHDEVDXCVFXEXFXG $.

  $( 3 is a prime number.  (Contributed by Paul Chapman, 22-Jun-2011.) $)
  3prm $p |- 3 e. Prime $=
    ( vz c3 cprime wcel c2 cuz cfv cv cdvds wbr wn c1 cmin co cfz wral mpbir2an
    cz clt 3z 1lt3 eluz2b1 elfz1eq n2dvds3 breq1 mtbiri syl 3m1e2 oveq2i eleq2s
    wceq rgen isprm3 ) BCDBEFGDZAHZBIJZKZAEBLMNZONZPUNBRDLBSJTUABUBQUQAUSUQUOEE
    ONZUSUOUTDUOEUKZUQUOEUCVAUPEBIJUDUOEBIUEUFUGUREEOUHUIUJULABUMQ $.

  $( 4 is not a prime number.  (Contributed by Paul Chapman, 22-Jun-2011.)
     (Proof shortened by Mario Carneiro, 18-Feb-2014.) $)
  4nprm $p |- -. 4 e. Prime $=
    ( c2 c4 2nn 1lt2 2t2e4 nprmi ) AABCCDDEF $.

  ${
    $d P x $.
    $( A prime number is an integer greater than or equal to 2.  (Contributed
       by Paul Chapman, 17-Nov-2012.) $)
    prmuz2 $p |- ( P e. Prime -> P e. ( ZZ>= ` 2 ) ) $=
      ( vx cprime wcel c2 cuz cfv cv cdvds wbr wceq wi wral isprm4 simplbi ) AC
      DAEFGZDBHZAIJQAKLBPMBANO $.
  $}

  $( A prime number is an integer greater than 1.  (Contributed by Alexander
     van der Vekens, 17-May-2018.) $)
  prmgt1 $p |- ( P e. Prime -> 1 < P ) $=
    ( cprime wcel c2 cuz cfv c1 clt wbr prmuz2 eluz2gt1 syl ) ABCADEFCGAHIAJAKL
    $.

  $( Subtracting 2 from a prime number results in a nonnegative integer.
     (Contributed by Alexander van der Vekens, 30-Aug-2018.) $)
  prmm2nn0 $p |- ( P e. Prime -> ( P - 2 ) e. NN0 ) $=
    ( cprime wcel c2 cuz cfv cmin co cn0 prmuz2 uznn0sub syl ) ABCADEFCADGHICAJ
    DAKL $.

  $( An odd prime is greater than 2.  (Contributed by AV, 20-Aug-2021.) $)
  oddprmgt2 $p |- ( P e. ( Prime \ { 2 } ) -> 2 < P ) $=
    ( cprime c2 csn cdif wne wa clt wbr eldifsn cuz cfv wi prmuz2 cz cle cr zre
    wcel sylbi w3a eluz2 wb ltlen syl2an biimprd exp4b 3imp syl imp ) ABCDESABS
    ZACFZGCAHIZABCJUKULUMUKACKLSZULUMMZANUNCOSZAOSZCAPIZUAUOCAUBUPUQURUOUPUQURU
    LUMUPUQGUMURULGZUPCQSAQSUMUSUCUQCRARCAUDUEUFUGUHTUIUJT $.

  $( An odd prime is greater than or equal to 3.  (Contributed by Alexander van
     der Vekens, 7-Oct-2018.)  (Revised by AV, 20-Aug-2021.) $)
  oddprmge3 $p |- ( P e. ( Prime \ { 2 } ) -> P e. ( ZZ>= ` 3 ) ) $=
    ( cprime c2 csn cdif wcel c3 cz cle wbr w3a cuz cfv clt eldifi oddprmgt2 wa
    3z a1i prmz adantr c1 caddc co df-3 wb zltp1le sylancr biimpa eqbrtrid 3jca
    2z syl2anc eluz2 sylibr ) ABCDZEFZGHFZAHFZGAIJZKZAGLMFUQABFZCANJZVAABUPOAPV
    BVCQZURUSUTURVDRSVBUSVCATZUAVDGCUBUCUDZAIUEVBVCVFAIJZVBCHFUSVCVGUFULVECAUGU
    HUIUJUKUMGAUNUO $.

  $( A composite integer greater than or equal to ` 2 ` is greater than or
     equal to ` 4 ` .  (Contributed by AV, 5-Jun-2023.) $)
  ge2nprmge4 $p |- ( ( X e. ( ZZ>= ` 2 ) /\ X e/ Prime )
                     -> X e. ( ZZ>= ` 4 ) ) $=
    ( c2 wcel cprime wnel c4 c1 clt wbr wa wi cz cle a1i caddc co wb sylancr c3
    sylbid cuz cfv cn eluz2b2 w3a 4z nnz ad2antrr 1z zltp1le breq1i bitrdi wceq
    1p1e2 wo cr 2re nnre leloe 2p1e3 3re df-4 biimpa eqbrtrid a1d neleq1 eqcoms
    2z 3z ex 3prm elnelall mp1i jaod 2prm imp 3jca eluz2 syl6ibr sylbi ) ABUAUB
    CZADEZAFUAUBCZWAAUCCZGAHIZJZWBWCKAUDWFWBFLCZALCZFAMIZUEZWCWFWBWJWFWBJZWGWHW
    IWGWKUFNWDWHWEWBAUGZUHWFWBWIWDWEWBWIKZWDWEBAMIZWMWDWEGGOPZAMIZWNWDGLCWHWEWP
    QUIWLGAUJRWOBAMUNUKULWDWNBAHIZBAUMZUOZWMWDBUPCAUPCZWNWSQUQAURZBAUSRWDWQWMWR
    WDWQSAMIZWMWDWQBGOPZAMIZXBWDBLCWHWQXDQVHWLBAUJRXCSAMUTUKULWDXBSAHIZSAUMZUOZ
    WMWDSUPCWTXBXGQVAXASAUSRWDXEWMXFWDXEWMWDXEJZWIWBXHFSGOPZAMVBWDXEXIAMIZWDSLC
    WHXEXJQVIWLSAUJRVCVDVEVJXFWMKWDXFWBSDEZWIWBXKQASASDVFVGSDCXKWIKXFVKWISDVLVM
    TNVNTTWRWMKWDWRWBBDEZWIWBXLQABABDVFVGBDCXLWIKWRVOWIBDVLVMTNVNTTVPVPVQVJFAVR
    VSVTVP $.

  $( A square is never prime.  (Contributed by Mario Carneiro, 20-Jun-2015.) $)
  sqnprm $p |- ( A e. ZZ -> -. ( A ^ 2 ) e. Prime ) $=
    ( cz wcel c2 cexp co cprime cabs cfv wa cr adantr syl recnd clt wbr cc0 cle
    c1 syl2anc cmul wceq zre absresq abscld sqvald eqtr3d simpr eqeltrrd cuz wn
    cn0 nn0abscl nn0zd sq1 prmuz2 adantl eluz2gt1 breqtrrd eqbrtrid absge0d 1re
    wb 0le1 lt2sq mpanl12 mpbird eluz2b1 sylanbrc nprm pm2.65da ) ABCZADEFZGCZA
    HIZVOUAFZGCZVLVNJZVMVPGVRVODEFZVMVPVRAKCZVSVMUBVLVTVNAUCLZAUDMZVRVOVRVOVRAV
    RAWANZUEZNUFUGVLVNUHUIVRVODUJIZCZWFVQUKVRVOBCSVOOPZWFVRVOVLVOULCVNAUMLUNVRW
    GSDEFZVSOPZVRWHSVSOUOVRSVMVSOVRVMWECZSVMOPVNWJVLVMUPUQVMURMWBUSUTVRVOKCZQVO
    RPZWGWIVCZWDVRAWCVASKCQSRPWKWLJWMVBVDSVOVEVFTVGVOVHVIZWNVOVOVJTVK $.

  ${
    $d N z $.  $d P z $.
    $( An integer greater than or equal to 2 divides a prime number iff it is
       equal to it.  (Contributed by Paul Chapman, 26-Oct-2012.) $)
    dvdsprm $p |- ( ( N e. ( ZZ>= ` 2 ) /\ P e. Prime ) ->
                    ( N || P <-> N = P ) ) $=
      ( vz c2 cuz cfv wcel cprime wa cdvds wbr wceq cv wral breq1 eqeq1 imbi12d
      wi rspcv isprm4 simprbi impel cz iddvds breq2 syl5ibcom syl adantr impbid
      eluzelz ) BDEFZGZAHGZIBAJKZBALZULCMZAJKZUPALZRZCUKNZUNUORZUMUSVACBUKUPBLU
      QUNURUOUPBAJOUPBAPQSUMAUKGUTCATUAUBULUOUNRZUMULBUCGZVBDBUJVCBBJKUOUNBUDBA
      BJUEUFUGUHUI $.
  $}

  ${
    $d p x y z N $.
    $( Every integer greater than or equal to 2 has a prime factor.
       (Contributed by Paul Chapman, 26-Oct-2012.)  (Proof shortened by Mario
       Carneiro, 20-Jun-2015.) $)
    exprmfct $p |- ( N e. ( ZZ>= ` 2 ) -> E. p e. Prime p || N ) $=
      ( vx cn wcel c2 cv cdvds wbr cprime wrex wi c1 wceq eleq1 rexbidv imbi12d
      breq2 cz wa vy vz cuz cfv eluz2nn cmul co imbi1d cc0 cmin 1m1e0 eqeltrrid
      uz2m1nn 0nnn pm2.21i syl prmz iddvds breq1 rspcev mpdan a1d simpl eluzelz
      ad2antrr ad2antlr dvdsmul1 syl2anc adantl zmulcld dvdstr syl3anc reximdva
      mpan2d embantd a1dd adantrd prmind mpcom ) ADEAFUCUDZEZBGZAHIZBJKZAUECGZV
      TEZWBWEHIZBJKZLMVTEZWHLUAGZVTEZWBWJHIZBJKZLZUBGZVTEZWBWOHIZBJKZLZWJWOUFUG
      ZVTEZWBWTHIZBJKZLZWAWDLCUAUBAWEMNWFWIWHWEMVTOUHWEWJNZWFWKWHWMWEWJVTOXEWGW
      LBJWEWJWBHRPQWEWONZWFWPWHWRWEWOVTOXFWGWQBJWEWOWBHRPQWEWTNZWFXAWHXCWEWTVTO
      XGWGXBBJWEWTWBHRPQWEANZWFWAWHWDWEAVTOXHWGWCBJWEAWBHRPQWIUIDEZWHWIUIMMUJUG
      DUKMUMULXIWHUNUOUPWEJEZWHWFXJWEWEHIZWHXJWESEXKWEUQWEURUPWGXKBWEJWBWEWEHUS
      UTVAVBWKWPTZWNXDWSXLWNXCXAXLWKWMXCWKWPVCXLWLXBBJXLWBJEZTZWLWJWTHIZXBXNWJS
      EZWOSEZXOWKXPWPXMFWJVDVEZWPXQWKXMFWOVDVFZWJWOVGVHXNWBSEZXPWTSEWLXOTXBLXMX
      TXLWBUQVIXRXNWJWOXRXSVJWBWJWTVKVLVNVMVOVPVQVRVS $.
  $}

  ${
    $d I p $.  $d N p $.
    $( Each integer greater than 1 and less then or equal to a fixed number is
       divisible by a prime less then or equal to this fixed number.
       (Contributed by AV, 15-Aug-2020.) $)
    prmdvdsfz $p |- ( ( N e. NN /\ I e. ( 2 ... N ) )
                       -> E. p e. Prime ( p <_ N /\ p || I ) ) $=
      ( cn wcel c2 cfz co wa cv wbr cprime wrex cle adantl syl wi ad2antlr zred
      cr cuz cfv elfzuz exprmfct cz prmz eluz2nn dvdsle syl2anr elfzle2 elfzelz
      cdvds nnre ad2antrr letr syl3anc mpan2d syld ancrd reximdva mpd ) BDEZAFB
      GHEZIZCJZAULKZCLMZVEBNKZVFIZCLMVDAFUAUBEZVGVCVJVBAFBUCZOACUDPVDVFVICLVDVE
      LEZIZVFVHVMVFVEANKZVHVLVEUEEADEZVFVNQVDVEUFZVCVOVBVCVJVOVKAUGPOVEAUHUIVMV
      NABNKZVHVCVQVBVLAFBUJRVMVETEZATEZBTEZVNVQIVHQVLVRVDVLVEVPSOVCVSVBVLVCAAFB
      UKSRVBVTVCVLBUMUNVEABUOUPUQURUSUTVA $.
  $}

  $( No prime number divides 1.  (Contributed by Paul Chapman, 17-Nov-2012.)
     (Proof shortened by Mario Carneiro, 2-Jul-2015.) $)
  nprmdvds1 $p |- ( P e. Prime -> -. P || 1 ) $=
    ( cprime wcel c1 cdvds wbr 1nprm wceq cn0 wb prmnn nnnn0d dvds1 syl biimpcd
    eleq1 sylbid mtoi ) ABCZADEFZDBCZGSTADHZUASAICTUBJSAAKLAMNUBSUAADBPOQR $.

  ${
    $d x z P $.
    $( One need only check prime divisors of ` P ` up to ` sqrt P ` in order to
       ensure primality.  (Contributed by Mario Carneiro, 18-Feb-2014.) $)
    isprm5 $p |- ( P e. Prime <-> ( P e. ( ZZ>= ` 2 ) /\
                    A. z e. Prime ( ( z ^ 2 ) <_ P -> -. z || P ) ) ) $=
      ( vx cprime wcel c2 cdvds wbr wceq wi wa co cle wn cmul clt c1 cc0 mpbid
      cr cuz cfv cv wral cexp isprm4 prmuz2 eluz2gt1 wb eluzelre eluz2nn nngt0d
      a1i syl3anc remulcld ltnled oveq12 anidms breq1d notbid syl5ibrcom imim2d
      ltmulgt11 con2 syl6 imim12d ralimdv2 wrex annim weq breq1 anbi12d ancom2s
      rspcev expr ad2ant2lr cdiv cz simprl wne eluzelz ad2antlr nnne0d ad2antrr
      cn dvdsval2 recnd mulid2d dvdsle imp simprr neqned necomd leneltd eqbrtrd
      syl21anc 1red zred nnre nngt0 jca ltmuldiv eluz2b1 sylanbrc nnmulcld nnrp
      syl crp rpdivcl syl2an syl2anc lemul1d divmuldivd divassd divcan2d eqcomd
      nncnd breq12d bitr4d biimpd dvds0lem syl31anc jctird syl6an letrid mpjaod
      eqtrd ex syl5bir rexlimdva ad2antrl ad3antlr ad3antrrr eluzge2nn0 nn0ge0d
      prmz nnnn0 le2msq syl22anc rexnal simplrl letrd simplrr exprmfct reximddv
      dvdstrd jc 3imtr3g impcon4bid prmnn sqvald imbi1d ralbiia bitr4di pm5.32i
      syld bitri ) BDEBFUAUBZEZAUCZBGHZUUTBIZJZAUURUDZKUUSUUTFUELZBMHZUVANZJZAD
      UDZKABUFUUSUVDUVIUUSUVDUUTUUTOLZBMHZUVGJZADUDZUVIUUSUVDUVMUUSUVCUVLAUURDU
      USUUTDEZUUTUUREZUVCUVLUVNUVOJUUSUUTUGZUMUUSUVCUVAUVKNZJUVLUUSUVBUVQUVAUUS
      UVQUVBBBOLZBMHZNZUUSBUVRPHZUVTUUSQBPHZUWABUHUUSBTEZUWCRBPHUWBUWAUIFBUJZUW
      DUUSBBUKZULBBVCUNSUUSBUVRUWDUUSBBUWDUWDUOUPSUVBUVKUVSUVBUVJUVRBMUVBUVJUVR
      IUUTBUUTBOUQURUSUTVAVBUVAUVKVDVEVFVGUUSUVCNZAUURVHZUVLNZADVHZUVDNUVMNUUSU
      WGCUCZUWJOLZBMHZUWJBGHZKZCUURVHZUWIUUSUWFUWOAUURUWFUVAUVBNZKZUUSUVOKZUWOU
      VAUVBVIUWRUWQUWOUWRUWQKZUVKUWOBUVJMHZUVOUVAUVKUWOJUUSUWPUVOUVAUVKUWOUVOUV
      KUVAUWOUWNUVKUVAKCUUTUURCAVJZUWLUVKUWMUVAUXAUWKUVJBMUXAUWKUVJIUWJUUTUWJUU
      TOUQURUSUWJUUTBGVKVLVNVMVOVPUWSBUUTVQLZUUREZUWTUXBUXBOLZBMHZUXBBGHZKZUWOU
      WSUXBVREZQUXBPHZUXCUWSUVAUXHUWRUVAUWPVSZUWSUUTVREZUUTRVTBVREZUVAUXHUIUVOU
      XKUUSUWQFUUTWAWBZUWSUUTUVOUUTWEEZUUSUWQUUTUKWBZWCZUUSUXLUVOUWQFBWAZWDZUUT
      BWFUNSZUWSQUUTOLZBPHZUXIUWSUXTUUTBPUWSUUTUWSUUTUVOUUTTEZUUSUWQFUUTUJWBZWG
      ZWHUWSUUTBUYCUUSUWCUVOUWQUWDWDZUWSUXKBWEEZUVAUUTBMHZUXMUUSUYFUVOUWQUWEWDZ
      UXJUXKUYFKUVAUYGUUTBWIWJWPUWSUUTBUWSUUTBUWRUVAUWPWKWLWMWNWOUWSQTEUWCUYBRU
      UTPHZKZUYAUXIUIUWSWQUWSBUXRWRUWSUXNUYJUXOUXNUYBUYIUUTWSUUTWTXAXGQBUUTXBUN
      SUXBXCXDUWSUWTUXEUXFUWSUWTUXEUWSUWTBBUVJVQLZOLZUVJUYKOLZMHUXEUWSBUVJUYKUY
      EUWSUUTUUTUYCUYCUOZUWSUYFUVJWEEZUYKXHEZUYHUWSUUTUUTUXOUXOXEZUYFBXHEUVJXHE
      UYPUYOBXFUVJXFBUVJXIXJXKXLUWSUXDUYLBUYMMUWSUXDUVRUVJVQLUYLUWSBUUTBUUTUWSB
      UYEWGZUYDUYRUYDUXPUXPXMUWSBBUVJUYRUYRUWSUVJUYQXQZUWSUVJUYQWCZXNYGUWSUYMBU
      WSBUVJUYRUYSUYTXOXPXRXSXTUWSUXKUXHUXLUUTUXBOLBIUXFUXMUXSUXRUWSBUUTUYRUYDU
      XPXOUUTUXBBYAYBYCUWNUXGCUXBUURUWJUXBIZUWLUXEUWMUXFVUAUWKUXDBMVUAUWKUXDIUW
      JUXBUWJUXBOUQURUSUWJUXBBGVKVLVNYDUWSUVJBUYNUYEYEYFYHYIYJUUSUWNUWICUURUUSU
      WJUUREZKZUWNUWIVUCUWNKZUUTUWJGHZUWHADVUDUVNVUEKZKZUVKUVAVUGUVJUWKBVUGUUTU
      UTVUGUUTUVNUXKVUDVUEUUTYPYKZWRZVUIUOVUGUWJUWJVUGUWJVUBUWJVREUUSUWNVUFFUWJ
      WAYLZWRZVUKUOVUGBUUSUXLVUBUWNVUFUXQYMZWRVUGUUTUWJMHZUVJUWKMHZVUGUXKUWJWEE
      ZVUEVUMVUHVUBVUOUUSUWNVUFUWJUKYLZVUDUVNVUEWKZUXKVUOKVUEVUMUUTUWJWIWJWPVUG
      UYBRUUTMHZUWJTERUWJMHZVUMVUNUIVUIUVNVURVUDVUEUVNUVOVURUVPUVOUUTUUTYNYOXGY
      KVUKVUGVUOVUSVUPVUOUWJUWJYQYOXGUUTUWJYRYSSVUCUWLUWMVUFUUAUUBVUGUUTUWJBVUH
      VUJVULVUQVUCUWLUWMVUFUUCUUFUUGVUBVUEADVHUUSUWNUWJAUUDWBUUEYHYJUUPUVCAUURY
      TUVLADYTUUHUUIUVHUVLADUVNUVFUVKUVGUVNUVEUVJBMUVNUUTUVNUUTUUTUUJXQUUKUSUUL
      UUMUUNUUOUUQ $.
  $}

  ${
    $d z P $.
    $( One need only check prime divisors of ` P ` up to ` sqrt P ` in order to
       ensure primality.  This version of ~ isprm5 combines the primality and
       bound on ` z ` into a finite interval of prime numbers.  (Contributed by
       Steve Rodriguez, 20-Jan-2020.) $)
    isprm7 $p |- ( P e. Prime <-> ( P e. ( ZZ>= ` 2 ) /\
        A. z e. ( ( 2 ... ( |_ ` ( sqrt ` P ) ) ) i^i Prime ) -. z || P ) ) $=
      ( cprime wcel c2 cfv co cle wbr wi wral wa cr cc0 wb a1i jca adantr syl
      cz cuz cv cexp cdvds wn csqrt cfl cfz cin isprm5 prmz zred 0red 1red 0lt1
      clt prmgt1 lttrd ltled eluzelre 2re 0le2 eluzle letrd resqcl sqge0 sqrtle
      c1 sylan sqrtsq breq1d bitrd syl2anr imbi1d ralbidva pm5.32i impexp flcld
      resqrtcld anim12i prmuz2 ad2antlr syl2an biimpa 2z elfz4 mp3anl1 syl12anc
      flge anasss simprl elind elin elfzelz adantl reflcl elfzle2 anim1d syl5bi
      ex flle ancom syl6ib impbid bitr3id ralbidv2 3bitri ) BCDBEUAFZDZAUBZEUCG
      ZBHIZXJBUDIUEZJZACKZLXIXJBUFFZHIZXMJZACKZLXIXMAEXPUGFZUHGZCUIZKZLABUJXIXO
      XSXIXNXRACXIXJCDZLZXLXQXMYDXJMDZNXJHIZLZBMDZNBHIZLZXLXQOXIYDYFYGYDXJXJUKZ
      ULZYDNXJYDUMZYMYDNVHXJYNYDUNYMNVHUPIYDUOPXJUQURUSQXIYIYJEBUTZXINEBXIUMEMD
      XIVAPYONEHIXIVBPEBVCVDZQYHYKLXLXKUFFZXPHIZXQYHXKMDZNXKHIZLZYKXLYROYFUUAYG
      YFYSYTXJVEXJVFQRXKBVGVIYHYRXQOYKYHYQXJXPHXJVJVKRVLVMVNVOVPXIXSYCXIXRXMACY
      BYDXRJYDXQLZXMJXIXJYBDZXMJYDXQXMVQXIUUBUUCXMXIUUBUUCXIUUBUUCXIUUBLYACXJXI
      YDXQXJYADZYEXQLXTTDZXJTDZLZEXJHIZXJXTHIZUUDYEUUGXQXIUUEYDUUFXIXPXIBYOYPVS
      ZVRYLVTRYDUUHXIXQYDXJXHDUUHXJWAEXJVCSWBYEXQUUIXIXPMDZUUFXQUUIOYDUUJYLXPXJ
      WIWCWDETDUUEUUFUUHUUILUUDWEXJEXTWFWGWHWJXIYDXQWKWLWTXIUUCXQYDLZUUBUUCUUDY
      DLXIUULXJYACWMXIUUDXQYDXIUUDXQXIUUDLXJXTXPUUDYFXIUUDXJXJEXTWNULWOXIXTMDZU
      UDXIUUKUUMUUJXPWPSRXIUUKUUDUUJRUUDUUIXIXJEXTWQWOXIXTXPHIZUUDXIUUKUUNUUJXP
      XASRVDWTWRWSXQYDXBXCXDVNXEXFVPXG $.
  $}

  ${
    $d N x y $.  $d N y z $.  $d S x y $.
    maxprmfct.1 $e |- S = { z e. Prime | z || N } $.
    $( The set of prime factors of an integer greater than or equal to 2
       satisfies the conditions to have a supremum, and that supremum is a
       member of the set.  (Contributed by Paul Chapman, 17-Nov-2012.) $)
    maxprmfct $p |- ( N e. ( ZZ>= ` 2 ) ->
         ( ( S C_ ZZ /\ S =/= (/) /\ E. x e. ZZ A. y e. S y <_ x ) /\
         sup ( S , RR , < ) e. S ) ) $=
      ( c2 cuz cfv wcel cz cv cle wbr wral wrex cprime cdvds wex wa wss wne w3a
      c0 cr clt csup ssrab3 prmz ssriv sstri a1i exprmfct breq1 elrab2 exbii n0
      df-rex 3bitr4ri sylib eluzelz cn eluz2nn anim1i sylbi wi dvdsle impd syl5
      expcom ralrimiv syl brralrspcev syl2anc 3jca suprzcl2 jccir ) EGHIJZDKUAZ
      DUDUBZBLZALMNBDOAKPZUCDUEUFUGDJVRVSVTWBVSVRDQKCLZERNZCQDFUHBQKWAUIZUJUKUL
      VRWAERNZBQPZVTEBUMWADJZBSWAQJZWFTZBSVTWGWHWJBWDWFCWAQDWCWAERUNFUOZUPBDUQW
      FBQURUSUTVREKJWAEMNZBDOZWBGEVAVREVBJZWMEVCWNWLBDWHWAKJZWFTZWNWLWHWJWPWKWI
      WOWFWEVDVEWNWOWFWLWOWNWFWLVFWAEVGVJVHVIVKVLABWAEMKDVMVNVOABDVPVQ $.
  $}

  $( Either ` A / ( A gcd B ) ` is odd or ` B / ( A gcd B ) ` is odd.
     (Contributed by Scott Fenton, 19-Apr-2014.) $)
  divgcdodd $p |- ( ( A e. NN /\ B e. NN ) ->
    ( -. 2 || ( A / ( A gcd B ) ) \/ -. 2 || ( B / ( A gcd B ) ) ) ) $=
    ( cn wcel wa c2 cgcd co cdvds wbr wn wi c1 cz wb nnz dvdsval2 syl3anc mpbid
    cdiv wo n2dvds1 2z gcddvds syl2an simpld cc0 wne gcdnncl nnzd nnne0d adantr
    simprd adantl dvdsgcdb wceq gcddiv nncnd dividd eqtr3d breq2d biimpd sylbid
    mp3an2i syl31anc expdimp mtoi ex imor sylib ) ACDZBCDZEZFAABGHZTHZIJZFBVNTH
    ZIJZKZLVPKVSUAVMVPVSVMVPEVRFMIJZUBVMVPVRVTVMVPVREZFVOVQGHZIJZVTFNDVMVONDZVQ
    NDZWAWCOUCVMVNAIJZWDVMWFVNBIJZVKANDZBNDZWFWGEZVLAPZBPZABUDUEZUFVMVNNDZVNUGU
    HZWHWFWDOVMVNABUIZUJZVMVNWPUKZVKWHVLWKULZVNAQRSVMWGWEVMWFWGWMUMVMWNWOWIWGWE
    OWQWRVLWIVKWLUNZVNBQRSFVOVQUOVDVMWCVTVMWBMFIVMVNVNTHZWBMVMWHWIVNCDWJXAWBUPW
    SWTWPWMABVNUQVEVMVNVMVNWPURWRUSUTVAVBVCVFVGVHVPVSVIVJ $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Coprimality and Euclid's lemma (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This section is about coprimality with respect to primes, and a special
  version of Euclid's lemma for primes is provided, see ~ euclemma .

$)

  ${
    $d N z $.  $d P z $.
    $( A prime number either divides an integer or is coprime to it, but not
       both.  Theorem 1.8 in [ApostolNT] p. 17.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    coprm $p |- ( ( P e. Prime /\ N e. ZZ ) ->
                  ( -. P || N <-> ( P gcd N ) = 1 ) ) $=
      ( vz wcel cz wa cdvds wbr wn c1 sylan breq1 syl5ibcom wo cn cc0 adantr wi
      wceq cr cprime cgcd co prmz gcddvds simprd con3d 0nnn prmnn mtoi intnanrd
      eleq1 gcdn0cl ex mpd simpld cv wral c2 cuz isprm2 simprbi orbi12d imbi12d
      cfv eqeq1 rspcv syl5com mp2d biorf orcom bitrdi syl5ibrcom cle clt iddvds
      syld wne syl w3a dvdslegcd 3anidm12 mpand prmgt1 1re zred nnred mp3an2ani
      ltletr ltne mpan a1i 3syld necon2bd impbid ) AUADZBEDZFZABGHZIZABUBUCZJSZ
      WRWTXAASZIZXBWRXCWSWRXABGHZXCWSWRXAAGHZXEWPAEDZWQXFXEFAUDZABUEKZUFXAABGLM
      UGWRXBXDXBXCNZWRXAODZXFXJWRAPSZBPSZFIZXKWPXNWQWPXLXMWPXLPODZUHWPAODXLXOAU
      IAPOULMUJUKQZWPXGWQXNXKRXHXGWQFXNXKABUMUNKUOZWRXFXEXIUPWPXKXFXJRZRWQWPCUQ
      ZAGHZXSJSZXSASZNZRZCOURZXKXRWPAUSUTVEDYECAVAVBYDXRCXAOXSXASZXTXFYCXJXSXAA
      GLYFYAXBYBXCXSXAJVFXSXAAVFVCVDVGVHQVIXDXBXCXBNXJXCXBVJXCXBVKVLVMVQWRWSXAJ
      WRWSAXAVNHZJXAVOHZXAJVRZWRAAGHZWSYGWPYJWQWPXGYJXHAVPVSQWRXNYJWSFYGRZXPWPX
      GWQXNYKRZXHXGWQYLXGXGWQVTXNYKAABWAUNWBKUOWCWRJAVOHZYGYHWPYMWQAWDQJTDZWPAT
      DWQXATDYMYGFYHRWEWPAXHWFWRXAXQWGJAXAWIWHWCYHYIRWRYNYHYIWEJXAWJWKWLWMWNWO
      $.
  $}

  $( Unequal prime numbers are relatively prime.  (Contributed by Mario
     Carneiro, 23-Feb-2014.) $)
  prmrp $p |- ( ( P e. Prime /\ Q e. Prime ) ->
                ( ( P gcd Q ) = 1 <-> P =/= Q ) ) $=
    ( cprime wcel wa cdvds wbr wn cgcd co c1 wceq wne cz wb coprm sylan2 c2 cuz
    prmz cfv prmuz2 dvdsprm sylan necon3bbid bitr3d ) ACDZBCDZEZABFGZHZABIJKLZA
    BMUHUGBNDUKULOBTABPQUIUJABUGARSUADUHUJABLOAUBBAUCUDUEUF $.

  $( Euclid's lemma.  A prime number divides the product of two integers iff it
     divides at least one of them.  Theorem 1.9 in [ApostolNT] p. 17.
     (Contributed by Paul Chapman, 17-Nov-2012.) $)
  euclemma $p |- ( ( P e. Prime /\ M e. ZZ /\ N e. ZZ ) ->
                        ( P || ( M x. N ) <-> ( P || M \/ P || N ) ) ) $=
    ( cprime wcel cz w3a cmul co cdvds wbr wo wn wi wa cgcd c1 wceq wb syl3an1
    coprm 3adant3 anbi2d prmz coprmdvds sylbid df-or syl6ibr ordvdsmul impbid
    expd ) ADEZBFEZCFEZGZABCHIJKZABJKZACJKZLZUOUPUQMZURNUSUOUPUTURUOUPUTOUPABPI
    QRZOZURUOUTVAUPULUMUTVASUNABUAUBUCULAFEZUMUNVBURNAUDZABCUETUFUKUQURUGUHULVC
    UMUNUSUPNVDABCUITUJ $.

  ${
    $d x y z P $.
    $( A number is prime iff it satisfies Euclid's lemma ~ euclemma .
       (Contributed by Mario Carneiro, 6-Sep-2015.) $)
    isprm6 $p |- ( P e. Prime <-> ( P e. ( ZZ>= ` 2 ) /\ A. x e. ZZ
          A. y e. ZZ ( P || ( x x. y ) -> ( P || x \/ P || y ) ) ) ) $=
      ( vz wcel cmul co cdvds wbr wo wi cz wa wb c1 wceq cn adantr syl ad2antrl
      cprime c2 cuz cfv wral prmuz2 euclemma 3expb biimpd ralrimivva simpl cdiv
      cv jca eluz2nn nnzd iddvds cc nncn cc0 wne nnne0 divcan1d breqtrrd simprr
      simprl nndivdvds syl2anc mpbid nnz oveq1 breq2d breq2 orbi1d oveq2 orbi2d
      imbi12d rspc2va sylan mpd cle dvdsle div1d breq1d sylibrd cr clt rpregt0d
      nnrp crp 1rp rpregt0 mp1i lediv2 syl3anc nnle1eq1 cn0 nnnn0 simplrr simpr
      sylibd dvdseq syl22anc orim12d imp syldan an32s ralrimiva isprm2 sylanbrc
      ex expr impbii ) CUAEZCUBUCUDEZCAUMZBUMZFGZHIZCXPHIZCXQHIZJZKZBLUEALUEZMZ
      XNXOYDCUFXNYCABLLXNXPLEZXQLEZMMXSYBXNYFYGXSYBNCXPXQUGUHUIUJUNYEXODUMZCHIZ
      YHOPZYHCPZJZKZDQUEXNXOYDUKYEYMDQYEYHQEZYIYLXOYNYIMZYDYLXOYOMZYDCCYHULGZHI
      ZCYHHIZJZYLYPYDMCYQYHFGZHIZYTYPUUBYDYPCCUUAHYPCLEZCCHIYPCXOCQEZYOCUORZUPZ
      CUQSYPCYHYPUUDCUREUUECUSSZYNYHUREXOYIYHUSTYNYHUTVAXOYIYHVBTVCVDRYPYQLEZYH
      LEZMYDUUBYTKZYPUUHUUIYPYQYPYIYQQEZXOYNYIVEYPUUDYNYIUUKNUUEXOYNYIVFCYHVGVH
      VIZUPYNUUIXOYIYHVJTUNYCUUJCYQXQFGZHIZYRYAJZKABYQYHLLXPYQPZXSUUNYBUUOUUPXR
      UUMCHXPYQXQFVKVLUUPXTYRYAXPYQCHVMVNVQXQYHPZUUNUUBUUOYTUUQUUMUUACHXQYHYQFV
      OVLUUQYAYSYRXQYHCHVMVPVQVRVSVTYPYTYLYPYRYJYSYKYPYRYHOWAIZYJYPYRCOULGZYQWA
      IZUURYPYRCYQWAIZUUTYPUUCUUKYRUVAKUUFUULCYQWBVHYPUUSCYQWAYPCUUGWCWDWEYPYHW
      FEUTYHWGIMZOWFEUTOWGIMZCWFEUTCWGIMUURUUTNYNUVBXOYIYNYHYHWIWHTOWJEUVCYPWKO
      WLWMYPCYPUUDCWJEUUECWISWHYHOCWNWOWEYNUURYJNXOYIYHWPTXAYPYSYKYPYSMYHWQEZCW
      QEZYIYSYKYPUVDYSYNUVDXOYIYHWRTRYPUVEYSYPUUDUVEUUECWRSRXOYNYIYSWSYPYSWTYHC
      XBXCXKXDXEXFXGXLXHDCXIXJXM $.
  $}

  ${
    $d N m $.  $d P k m $.  $d A k m $.
    $( A prime divides a positive power of an integer iff it divides the
       integer.  (Contributed by Mario Carneiro, 24-Feb-2014.)  (Revised by
       Mario Carneiro, 17-Jul-2014.) $)
    prmdvdsexp $p |- ( ( P e. Prime /\ A e. ZZ /\ N e. NN ) ->
                       ( P || ( A ^ N ) <-> P || A ) ) $=
      ( vm vk wcel cz cn cexp co cdvds wb wi c1 wceq oveq2 breq2d bibi1d imbi2d
      wbr cprime wa cv caddc cc zcn adantl exp1d wo cmul cn0 nnnn0 expp1 syl2an
      simpll simpr zexpcl simplr euclemma syl3anc bitrd bitrdi bibi2d syl5ibcom
      orbi1 oridm expcom a2d nnind impcom 3impa ) BUAFZAGFZCHFZBACIJZKTZBAKTZLZ
      VNVLVMUBZVRVSBADUCZIJZKTZVQLZMVSBANIJZKTZVQLZMVSBAEUCZIJZKTZVQLZMVSBAWGNU
      DJZIJZKTZVQLZMVSVRMDECVTNOZWCWFVSWOWBWEVQWOWAWDBKVTNAIPQRSVTWGOZWCWJVSWPW
      BWIVQWPWAWHBKVTWGAIPQRSVTWKOZWCWNVSWQWBWMVQWQWAWLBKVTWKAIPQRSVTCOZWCVRVSW
      RWBVPVQWRWAVOBKVTCAIPQRSVSWDABKVSAVMAUEFZVLAUFUGZUHQWGHFZVSWJWNVSXAWJWNMV
      SXAUBZWMWIVQUIZLWJWNXBWMBWHAUJJZKTZXCXBWLXDBKVSWSWGUKFZWLXDOXAWTWGULZAWGU
      MUNQXBVLWHGFZVMXEXCLVLVMXAUOVSVMXFXHXAVLVMUPXGAWGUQUNVLVMXAURBWHAUSUTVAWJ
      XCVQWMWJXCVQVQUIVQWIVQVQVEVQVFVBVCVDVGVHVIVJVK $.
  $}

  $( A prime divides a positive power of another iff they are equal.
     (Contributed by Paul Chapman, 30-Nov-2012.)  (Revised by Mario Carneiro,
     24-Feb-2014.) $)
  prmdvdsexpb $p |- ( ( P e. Prime /\ Q e. Prime /\ N e. NN ) ->
                      ( P || ( Q ^ N ) <-> P = Q ) ) $=
    ( cprime wcel cn w3a cexp co cdvds wbr wceq cz wb prmdvdsexp syl3an2 c2 cuz
    prmz cfv prmuz2 dvdsprm sylan 3adant3 bitrd ) ADEZBDEZCFEZGABCHIJKZABJKZABL
    ZUGUFBMEUHUIUJNBSBACOPUFUGUJUKNZUHUFAQRTEUGULAUABAUBUCUDUE $.

  $( If a prime divides a nonnegative power of another, then they are equal.
     (Contributed by Mario Carneiro, 16-Jan-2015.) $)
  prmdvdsexpr $p |- ( ( P e. Prime /\ Q e. Prime /\ N e. NN0 ) ->
                      ( P || ( Q ^ N ) -> P = Q ) ) $=
    ( cprime wcel cn0 cexp co cdvds wbr wceq wi cn cc0 wo wa elnn0 w3a breq2d
    c1 prmdvdsexpb biimpd 3expia prmnn adantl nncnd exp0d pm2.21d adantr sylbid
    nprmdvds1 oveq2 imbi1d syl5ibrcom jaod syl5bi 3impia ) ADEZBDEZCFEZABCGHZIJ
    ZABKZLZUTCMEZCNKZOURUSPZVDCQVGVEVDVFURUSVEVDURUSVERVBVCABCUAUBUCVGVDVFABNGH
    ZIJZVCLVGVIATIJZVCVGVHTAIVGBVGBUSBMEURBUDUEUFUGSURVJVCLUSURVJVCAUKUHUIUJVFV
    BVIVCVFVAVHAICNBGULSUMUNUOUPUQ $.

  $( Condition for a prime dividing a square.  (Contributed by Scott Fenton,
     8-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.)  (Proof shortened
     by SN, 21-Aug-2024.) $)
  prmdvdssq $p |- ( ( P e. Prime /\ M e. ZZ )
      -> ( P || M <-> P || ( M ^ 2 ) ) ) $=
    ( cprime wcel cz wa c2 cexp co cdvds wbr cn wb 2nn prmdvdsexp mp3an3 bicomd
    ) ACDZBEDZFABGHIJKZABJKZRSGLDTUAMNBAGOPQ $.

  $( Obsolete version of ~ prmdvdssq as of 21-Aug-2024.  (Contributed by Scott
     Fenton, 8-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  prmdvdssqOLD $p |- ( ( P e. Prime /\ M e. ZZ )
      -> ( P || M <-> P || ( M ^ 2 ) ) ) $=
    ( cprime wcel cz wa c2 cexp co cdvds wbr cmul wb zcn sqvald breq2d euclemma
    adantl wo 3anidm23 oridm bitrdi bitr2d ) ACDZBEDZFZABGHIZJKZABBLIZJKZABJKZU
    EUHUJMUDUEUGUIAJUEBBNOPRUFUJUKUKSZUKUDUEUJULMABBQTUKUAUBUC $.

  $( Two positive prime powers are equal iff the primes and the powers are
     equal.  (Contributed by Paul Chapman, 30-Nov-2012.) $)
  prmexpb $p |- ( ( ( P e. Prime /\ Q e. Prime ) /\ ( M e. NN /\ N e. NN ) ) ->
                  ( ( P ^ M ) = ( Q ^ N ) <-> ( P = Q /\ M = N ) ) ) $=
    ( cprime wcel wa cn cexp co wceq w3a cdvds wbr cz prmz adantr 3ad2ant1 nnzd
    wb simp2l iddvdsexp syl2anc breq2 3ad2ant3 simp1l simp1r simp2r prmdvdsexpb
    syl3anc bitrd mpbid zred c1 clt prmgt1 ad2antrr 3adant3 simp3 oveq1d eqtr4d
    expcand jca 3expia oveq12 impbid1 ) AEFZBEFZGZCHFZDHFZGZGACIJZBDIJZKZABKZCD
    KZGZVIVLVOVRVIVLVOLZVPVQVSAVMMNZVPVSAOFZVJVTVIVLWAVOVGWAVHAPQRZVIVJVKVOUAZA
    CUBUCVSVTAVNMNZVPVOVIVTWDTVLVMVNAMUDUEVSVGVHVKWDVPTVGVHVLVOUFVGVHVLVOUGVIVJ
    VKVOUHZABDUIUJUKULZVSACDVSAWBUMVSCWCSVSDWESVIVLUNAUONZVOVGWGVHVLAUPUQURVSVM
    VNADIJVIVLVOUSVSABDIWFUTVAVBVCVDABCDIVEVF $.

  ${
    $d P x k $.  $d N x $.
    $( The factorial of a number only contains primes less than the base.
       (Contributed by Mario Carneiro, 6-Mar-2014.) $)
    prmfac1 $p |- ( ( N e. NN0 /\ P e. Prime /\ P || ( ! ` N ) ) -> P <_ N ) $=
      ( wcel cfa cfv cdvds wbr cle wi c1 wceq fveq2 breq2d breq2 imbi12d imbi2d
      cc0 adantr cz cr vx vk cprime cv caddc co breq2i nprmdvds1 pm2.21d syl5bi
      cn0 fac0 wa wo cmul facp1 wb simpr cn faccl nnzd nn0p1nn euclemma syl3anc
      bitrd nn0re lep1d prmz adantl zred nnred letr mpan2d imim2d com23 syl2anc
      dvdsle a1dd jaod sylbid ex a2d nn0ind 3imp ) BUKCAUCCZABDEZFGZABHGZWEAUAU
      DZDEZFGZAWIHGZIZIWEAQDEZFGZAQHGZIZIWEAUBUDZDEZFGZAWRHGZIZIWEAWRJUEUFZDEZF
      GZAXCHGZIZIWEWGWHIZIUAUBBWIQKZWMWQWEXIWKWOWLWPXIWJWNAFWIQDLMWIQAHNOPWIWRK
      ZWMXBWEXJWKWTWLXAXJWJWSAFWIWRDLMWIWRAHNOPWIXCKZWMXGWEXKWKXEWLXFXKWJXDAFWI
      XCDLMWIXCAHNOPWIBKZWMXHWEXLWKWGWLWHXLWJWFAFWIBDLMWIBAHNOPWOAJFGZWEWPWNJAF
      ULUGWEXMWPAUHUIUJWRUKCZWEXBXGXNWEXBXGIXNWEUMZXEXBXFXOXEWTAXCFGZUNZXBXFIZX
      OXEAWSXCUOUFZFGZXQXOXDXSAFXNXDXSKWEWRUPRMXOWEWSSCXCSCXTXQUQXNWEURXOWSXNWS
      USCWEWRUTRVAXOXCXNXCUSCZWEWRVBRZVAAWSXCVCVDVEXOWTXRXPXOXBWTXFXOXAXFWTXOXA
      WRXCHGZXFXOWRXNWRTCZWEWRVFRZVGXOATCYDXCTCXAYCUMXFIXOAWEASCZXNAVHVIZVJYEXO
      XCYBVKAWRXCVLVDVMVNVOXOXPXFXBXOYFYAXPXFIYGYBAXCVQVPVRVSVTVOWAWBWCWD $.
  $}

  ${
    $d p A $.  $d p B $.  $d p N $.
    $( If two numbers ` A ` and ` B ` are relatively prime, then they are still
       relatively prime if raised to a power.  (Contributed by Mario Carneiro,
       24-Feb-2014.) $)
    rpexp $p |- ( ( A e. ZZ /\ B e. ZZ /\ N e. NN ) ->
                  ( ( ( A ^ N ) gcd B ) = 1 <-> ( A gcd B ) = 1 ) ) $=
      ( vp cz wcel cc0 wceq wa co cgcd c1 wb wi wn cdvds cprime syl2anc syl3anc
      wbr cn w3a cexp 0exp oveq1d eqeq1d oveq1 oveq12 sylan syl5ibrcom 3ad2ant3
      bibi12d c2 cuz cfv wne cv exprmfct cn0 simpl1 simpl3 nnnn0d zexpcl adantr
      wrex simpl2 gcddvds simpld prmz adantl simpr cc zcnd expeq0 anbi1d mtbird
      gcdn0cl syl21anc nnzd dvdstr mpan2d simpll1 prmdvdsexp sylibd simprd jcad
      dvdsgcd nprmdvds1 breq2 notbid necon2ad 3syld rexlimdva 3adantl3 baib syl
      eluz2b3 sylibrd syl5 iddvdsexp dvdstrd impbid 3bitr3d necon4bid pm2.61d
      ex ) AEFZBEFZCUAFZUBZAGHZBGHZIZACUCJZBKJZLHZABKJZLHZMZXIXGXMXSNXHXIXSXMGC
      UCJZGKJZLHZGGKJZLHZMXIYAYCLXIXTGGKCUDUEUFXMXPYBXRYDXMXOYALXKXNXTHXLXOYAHA
      GCUCUGXNXTBGKUHUIUFXMXQYCLAGBGKUHUFULUJUKXJXMOZXSXJYEIZXOLXQLYFXOUMUNUOZF
      ZXQYGFZXOLUPZXQLUPZYFYHYIYHDUQZXOPTZDQVEZYFYIXODURYFYNYKYIYFYMYKDQYFYLQFZ
      IZYMYLAPTZYLBPTZIZYLXQPTZYKYPYMYQYRYPYMYLXNPTZYQYPYMXOXNPTZUUAYPUUBXOBPTZ
      YPXNEFZXHUUBUUCIYFUUDYOYFXGCUSFUUDXGXHXIYEUTZYFCXGXHXIYEVAZVBACVCRZVDZYFX
      HYOXGXHXIYEVFZVDZXNBVGRZVHYPYLEFZXOEFZUUDYMUUBIUUANYOUULYFYLVIVJZYFUUMYOY
      FXOYFUUDXHXNGHZXLIZOXOUAFZUUGUUIYFUUPXMXJYEVKYFUUOXKXLYFAVLFXIUUOXKMYFAUU
      EVMUUFACVNRVOVPXNBVQVRZVSVDZUUHYLXOXNVTSWAYPYOXGXIUUAYQMYFYOVKXGXHXIYEYOW
      BZYFXIYOUUFVDZAYLCWCSWDYPYMUUCYRYPUUBUUCUUKWEYPUULUUMXHYMUUCIYRNUUNUUSUUJ
      YLXOBVTSWAWFYPUULXGXHYSYTNUUNUUTUUJYLABWGSYOYTYKNYFYOYTXQLYOYTOXRYLLPTZOZ
      YLWHZXRYTUVBXQLYLPWIWJUJWKVJWLWMYFXQUAFZYIYKMXGXHYEUVEXIABVQWNZYIUVEYKXQW
      QWOWPZWRWSYIYTDQVEZYFYHXQDURYFUVHYJYHYFYTYJDQYPYTUUAYRIZYMYJYPYTUUAYRYPYT
      XQXNPTZUUAYPXQAXNYFXQEFZYOYFXQUVFVSVDZUUTUUHYPXQAPTZXQBPTZYPXGXHUVMUVNIUU
      TUUJABVGRZVHYPXGXIAXNPTUUTUVAACWTRXAYPUULUVKUUDYTUVJIUUANUUNUVLUUHYLXQXNV
      TSWAYPYTUVNYRYPUVMUVNUVOWEYPUULUVKXHYTUVNIYRNUUNUVLUUJYLXQBVTSWAWFYPUULUU
      DXHUVIYMNUUNUUHUUJYLXNBWGSYOYMYJNYFYOYMXOLYOYMOXPUVCUVDXPYMUVBXOLYLPWIWJU
      JWKVJWLWMYFUUQYHYJMUURYHUUQYJXOWQWOWPZWRWSXBUVPUVGXCXDXFXE $.
  $}

  $( Relative primality passes to asymmetric powers.  (Contributed by Stefan
     O'Rear, 27-Sep-2014.) $)
  rpexp1i $p |- ( ( A e. ZZ /\ B e. ZZ /\ M e. NN0 ) -> ( ( A gcd B ) = 1 -> (
      ( A ^ M ) gcd B ) = 1 ) ) $=
    ( cz wcel cn0 cgcd co c1 wceq cexp wi wa cn cc0 wo elnn0 w3a rpexp eqtrd cc
    biimprd 3expa simpr oveq2d zcn ad2antrr oveq1d 1gcd ad2antlr jaodan sylan2b
    exp0d a1d 3impa ) ADEZBDEZCFEZABGHIJZACKHZBGHZIJZLZURUPUQMZCNEZCOJZPVCCQVDV
    EVCVFUPUQVEVCUPUQVERVBUSABCSUBUCVDVFMZVBUSVGVAIBGHZIVGUTIBGVGUTAOKHIVGCOAKV
    DVFUDUEVGAUPAUAEUQVFAUFUGUMTUHUQVHIJUPVFBUIUJTUNUKULUO $.

  $( Relative primality passes to symmetric powers.  (Contributed by Stefan
     O'Rear, 27-Sep-2014.) $)
  rpexp12i $p |- ( ( A e. ZZ /\ B e. ZZ /\ ( M e. NN0 /\ N e. NN0 ) ) -> ( ( A
      gcd B ) = 1 -> ( ( A ^ M ) gcd ( B ^ N ) ) = 1 ) ) $=
    ( cz wcel cn0 wa w3a cgcd co c1 wceq cexp wi rpexp1i zexpcl syl2anc gcdcomd
    eqeq1d 3adant3r simp2 simp1 simp3l simp3r syl3anc 3imtr4d syld ) AEFZBEFZCG
    FZDGFZHZIZABJKLMZACNKZBJKZLMZUPBDNKZJKZLMZUIUJUKUOUROULABCPUAUNBUPJKZLMZUSU
    PJKZLMZURVAUNUJUPEFZULVCVEOUIUJUMUBZUNUIUKVFUIUJUMUCUIUJUKULUDACQRZUIUJUKUL
    UEZBUPDPUFUNUQVBLUNUPBVHVGSTUNUTVDLUNUPUSVHUNUJULUSEFVGVIBDQRSTUGUH $.

  $( A prime number does not divide the factorial of a nonnegative integer less
     than the prime number.  (Contributed by AV, 13-Jul-2021.) $)
  prmndvdsfaclt $p |- ( ( P e. Prime /\ N e. NN0 )
                        -> ( N < P -> -. P || ( ! ` N ) ) ) $=
    ( cprime wcel cn0 wa clt wbr cle wn cfa cdvds cr wb nn0re prmnn nnred ltnle
    cfv syl2anr wi prmfac1 3exp impcom con3d sylbid ) ACDZBEDZFZBAGHZABIHZJZABK
    SLHZJUHBMDAMDUJULNUGBOUGAAPQBARTUIUMUKUHUGUMUKUAUHUGUMUKABUBUCUDUEUF $.

  ${
    $d ph i p $.  $d A i p $.  $d B i p $.
    prmdvdsncoprmbd.a $e |- ( ph -> A e. NN ) $.
    prmdvdsncoprmbd.b $e |- ( ph -> B e. NN ) $.
    $( Two positive integers are not coprime iff a prime divides both integers.
       Deduction version of ~ ncoprmgcdne1b with the existential quantifier
       over the primes instead of integers greater than or equal to 2.
       (Contributed by SN, 24-Aug-2024.) $)
    prmdvdsncoprmbd $p |- ( ph -> ( E. p e. Prime ( p || A /\ p || B )
                              <-> ( A gcd B ) =/= 1 ) ) $=
      ( vi cv cdvds wbr wa cprime wrex c2 wcel breq1 cn nnzd ad2antrr ad3antrrr
      cuz cfv cgcd co c1 wne wi prmuz2 a1i anim1d reximdv2 weq anbi12d cbvrexvw
      syl6ib exprmfct ad2antrl prmnn ad2antlr cz eluzelz ad4ant24 simpr simprrl
      dvdstrd simprrr jca ex reximdva mpd rexlimdvaa impbid ncoprmgcdne1b bitrd
      wb syl2anc ) ADHZBIJZVQCIJZKZDLMZGHZBIJZWBCIJZKZGNUAUBZMZBCUCUDUEUFZAWAWG
      AWAVTDWFMWGAVTVTDLWFAVQLOZVQWFOZVTWIWJUGAVQUHUIUJUKVTWEDGWFDGULVRWCVSWDVQ
      WBBIPVQWBCIPUMUNUOAWEWAGWFAWBWFOZWEKZKZVQWBIJZDLMZWAWKWOAWEWBDUPUQWMWNVTD
      LWMWIKZWNVTWPWNKZVRVSWQVQWBBWQVQWIVQQOWMWNVQURUSRZWLWNWBUTOZAWIWKWSWEWNNW
      BVASVBZWQBABQOZWLWIWNETRWPWNVCZWMWCWIWNAWKWCWDVDSVEWQVQWBCWRWTWQCACQOZWLW
      IWNFTRXBWMWDWIWNAWKWCWDVFSVEVGVHVIVJVKVLAXAXCWGWHVOEFBCGVMVPVN $.
  $}

  ${
    $d A i j $.  $d B i j $.
    $( If two positive integers are not coprime, the larger of them is not a
       prime number.  (Contributed by AV, 9-Aug-2020.) $)
    ncoprmlnprm $p |- ( ( A e. NN /\ B e. NN /\ A < B )
                        -> ( 1 < ( A gcd B ) -> B e/ Prime ) ) $=
      ( vi vj wcel clt wbr w3a co cdvds wa c2 wrex cprime wb wn wi cz syl cr cn
      c1 cgcd cv cuz cfv wnel ncoprmgcdgt1b bicomd 3adant3 cmin cfz wral wo cle
      simp1 eluzelz anim12ci dvdsle nnre 3anim123i 3anrot sylibr lelttr expcomd
      eluzelre 3exp com34 3imp1 imp nnz 3ad2ant2 adantr zltlem1 mpbid ex impcom
      syldc peano2zm anim1ci elfz5 mpbird adantl simprr rspcedvd rexnal notnotb
      breq1 bicomi rexbii bitr3i olcd df-nel ianor isprm3 xchnxbir bitri sylbid
      weq rexlimdva2 ) AUAEZBUAEZABFGZHZUBABUCIFGZCUDZAJGZXFBJGZKZCLUEUFZMZBNUG
      ZXAXBXEXKOXCXAXBKXKXEABCUHUIUJXDXIXLCXJXDXFXJEZKZXIKZBXJEZPZDUDZBJGZPZDLB
      UBUKIZULIZUMZPZUNZXLXOYDXQXOXSDYBMZYDXOXSXHDXFYBXOXFYBEZXFYAUOGZXIXNYHXGX
      NYHQXHXNXGXFAUOGZYHXNXFREZXAKXGYIQXDXAXMYJXAXBXCUPLXFUQZURXFAUSSXNYIYHXNY
      IKZXFBFGZYHXNYIYMXAXBXCXMYIYMQZXAXBXMXCYNXAXBXMXCYNQXAXBXMHZYIXCYMYOXFTEZ
      ATEZBTEZHZYIXCKYMQYOYQYRYPHYSXAYQXBYRXMYPAUTBUTLXFVFVAYPYQYRVBVCXFABVDSVE
      VGVHVIVJYLYJBREZKZYMYHOXNUUAYIXDYTXMYJXBXAYTXCBVKZVLYKURVMXFBVNSVOVPVRVMV
      QXOXMYAREZKZYGYHOXNUUDXIXDUUCXMXBXAUUCXCXBYTUUCUUBBVSSVLVTVMXFLYAWASWBDCW
      SXSXHOXOXRXFBJWHWCXNXGXHWDWEYDXTPZDYBMYFXTDYBWFUUEXSDYBXSUUEXSWGWIWJWKVCW
      LXLBNEZPYEBNWMXPYCKYEUUFXPYCWNDBWOWPWQVCWTWR $.
  $}

  $( Corollary 2 of Cancellability of Congruences:  Two products with a common
     factor are congruent modulo a prime number not dividing the common factor
     iff the other factors are congruent modulo the prime number.  (Contributed
     by AV, 13-Jul-2021.) $)
  cncongrprm $p |- ( ( ( A e. ZZ /\ B e. ZZ /\ C e. ZZ )
                       /\ ( P e. Prime /\ -. P || C ) )
                     -> ( ( ( A x. C ) mod P ) = ( ( B x. C ) mod P )
                          <-> ( A mod P ) = ( B mod P ) ) ) $=
    ( cz wcel w3a cprime cdvds wbr wn wa cn cgcd co c1 wceq cmul cmo wb wi prmz
    prmnn ad2antrl coprm gcdcom sylan eqeq1d ancoms biimpd expimpd 3ad2ant3 imp
    bitrd jca cncongrcoprm syldan ) AEFZBEFZCEFZGZDHFZDCIJKZLZDMFZCDNOZPQZLACRO
    DSOBCRODSOQADSOBDSOQTVAVDLVEVGVBVEVAVCDUCUDVAVDVGUTURVDVGUAUSUTVBVCVGUTVBLV
    CVGVBUTVCVGTVBUTLZVCDCNOZPQVGDCUEVHVIVFPVBDEFUTVIVFQDUBDCUFUGUHUNUIUJUKULUM
    UOABCDUPUQ $.

  $( The predicate "is an even number".  An even number and 2 have 2 as
     greatest common divisor.  (Contributed by AV, 1-Jul-2020.)  (Revised by
     AV, 8-Aug-2021.) $)
  isevengcd2 $p |- ( Z e. ZZ -> ( 2 || Z <-> ( 2 gcd Z ) = 2 ) ) $=
    ( cz wcel c2 cgcd co wceq cdvds wbr cn wb 2nn gcdzeq mpan bicomd ) ABCZDAEF
    DGZDAHIZDJCPQRKLDAMNO $.

  $( The predicate "is an odd number".  An odd number and 2 have 1 as greatest
     common divisor.  (Contributed by AV, 1-Jul-2020.)  (Revised by AV,
     8-Aug-2021.) $)
  isoddgcd1 $p |- ( Z e. ZZ -> ( -. 2 || Z <-> ( 2 gcd Z ) = 1 ) ) $=
    ( c2 cprime wcel cz cdvds wbr wn cgcd co c1 wceq wb 2prm coprm mpan ) BCDAE
    DBAFGHBAIJKLMNBAOP $.

  $( The least common multiple of three and two is six.  The operands are
     unequal primes and thus coprime, so the result is (the absolute value of)
     their product.  (Contributed by Steve Rodriguez, 20-Jan-2020.)  (Proof
     shortened by AV, 27-Aug-2020.) $)
  3lcm2e6 $p |- ( 3 lcm 2 ) = 6 $=
    ( c3 c2 clcm co cmul c6 cgcd c1 wceq wne 2re 2lt3 cprime wcel mp2an 3nn 2nn
    cn cz nnzi gtneii wb 3prm 2prm prmrp mpbir oveq2i lcmgcdnn cn0 lcmcl nn0cni
    mulid1i 3eqtr3ri 3t2e6 eqtri ) ABCDZABEDZFUPABGDZEDZUPHEDUQUPURHUPEURHIZABJ
    ZBAKLUAAMNBMNUTVAUBUCUDABUEOUFUGARNBRNUSUQIPQABUHOUPUPASNBSNUPUINAPTBQTABUJ
    OUKULUMUNUO $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Properties of the canonical representation of a rational
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c numer denom $.

  $( Extend class notation to include canonical numerator function. $)
  cnumer $a class numer $.
  $( Extend class notation to include canonical denominator function. $)
  cdenom $a class denom $.

  ${
    $d x y $.
    $( The canonical numerator of a rational is the numerator of the rational's
       reduced fraction representation (no common factors, denominator
       positive).  (Contributed by Stefan O'Rear, 13-Sep-2014.) $)
    df-numer $a |- numer = ( y e. QQ |-> ( 1st ` ( iota_ x e. ( ZZ X. NN ) ( (
        ( 1st ` x ) gcd ( 2nd ` x ) ) = 1 /\ y = ( ( 1st ` x ) / ( 2nd ` x ) )
        ) ) ) ) $.
    $( The canonical denominator of a rational is the denominator of the
       rational's reduced fraction representation (no common factors,
       denominator positive).  (Contributed by Stefan O'Rear, 13-Sep-2014.) $)
    df-denom $a |- denom = ( y e. QQ |-> ( 2nd ` ( iota_ x e. ( ZZ X. NN ) ( (
        ( 1st ` x ) gcd ( 2nd ` x ) ) = 1 /\ y = ( ( 1st ` x ) / ( 2nd ` x ) )
        ) ) ) ) $.
  $}

  ${
    $d A a b $.  $d B a b $.  $d C a b $.  $d x a b $.

    ${
      $d A x $.
      $( Value of the canonical numerator function.  (Contributed by Stefan
         O'Rear, 13-Sep-2014.) $)
      qnumval $p |- ( A e. QQ -> ( numer ` A ) = ( 1st ` ( iota_ x e. ( ZZ X.
          NN ) ( ( ( 1st ` x ) gcd ( 2nd ` x ) ) = 1 /\ A = ( ( 1st ` x ) / (
          2nd ` x ) ) ) ) ) ) $=
        ( va cv c1st cfv c2nd cgcd co c1 wceq cdiv wa cz cn cxp cq cnumer eqeq1
        crio anbi2d riotabidv fveq2d df-numer fvex fvmpt ) CBADZEFZUGGFZHIJKZCD
        ZUHUILIZKZMZANOPZTZEFUJBULKZMZAUOTZEFQRUKBKZUPUSEUTUNURAUOUTUMUQUJUKBUL
        SUAUBUCACUDUSEUEUF $.

      $( Value of the canonical denominator function.  (Contributed by Stefan
         O'Rear, 13-Sep-2014.) $)
      qdenval $p |- ( A e. QQ -> ( denom ` A ) = ( 2nd ` ( iota_ x e. ( ZZ X.
          NN ) ( ( ( 1st ` x ) gcd ( 2nd ` x ) ) = 1 /\ A = ( ( 1st ` x ) / (
          2nd ` x ) ) ) ) ) ) $=
        ( va cv c1st cfv c2nd cgcd co c1 wceq cdiv wa cz cn cxp cq cdenom eqeq1
        crio anbi2d riotabidv fveq2d df-denom fvex fvmpt ) CBADZEFZUGGFZHIJKZCD
        ZUHUILIZKZMZANOPZTZGFUJBULKZMZAUOTZGFQRUKBKZUPUSGUTUNURAUOUTUMUQUJUKBUL
        SUAUBUCACUDUSGUEUF $.
    $}

    $( Lemma for ~ qnumcl and ~ qdencl .  (Contributed by Stefan O'Rear,
       13-Sep-2014.) $)
    qnumdencl $p |- ( A e. QQ -> ( ( numer ` A ) e. ZZ /\ ( denom ` A ) e. NN )
        ) $=
      ( va cq wcel cv c1st cfv c2nd cgcd co c1 wceq cdiv wa cz cn cnumer eleq1d
      cxp crio cdenom wreu qredeu riotacl syl cop elxp6 qnumval qdenval anbi12d
      biimprd adantld syl5bi mpd ) ACDZBEZFGZUPHGZIJKLAUQURMJLNZBOPSZTZUTDZAQGZ
      ODZAUAGZPDZNZUOUSBUTUBVBBAUCUSBUTUDUEVBVAVAFGZVAHGZUFLZVHODZVIPDZNZNUOVGV
      AOPUGUOVMVGVJUOVGVMUOVDVKVFVLUOVCVHOBAUHRUOVEVIPBAUIRUJUKULUMUN $.

    $( The canonical numerator of a rational is an integer.  (Contributed by
       Stefan O'Rear, 13-Sep-2014.) $)
    qnumcl $p |- ( A e. QQ -> ( numer ` A ) e. ZZ ) $=
      ( cq wcel cnumer cfv cz cdenom cn qnumdencl simpld ) ABCADEFCAGEHCAIJ $.

    $( The canonical denominator is a positive integer.  (Contributed by Stefan
       O'Rear, 13-Sep-2014.) $)
    qdencl $p |- ( A e. QQ -> ( denom ` A ) e. NN ) $=
      ( cq wcel cnumer cfv cz cdenom cn qnumdencl simprd ) ABCADEFCAGEHCAIJ $.

    $( Canonical numerator defines a function.  (Contributed by Stefan O'Rear,
       13-Sep-2014.) $)
    fnum $p |- numer : QQ --> ZZ $=
      ( va vb cq cz cv c1st cfv c2nd cgcd co c1 wceq cdiv wa cn cxp crio cnumer
      df-numer wcel qnumval qnumcl eqeltrrd fmpti ) ACDBEZFGZUEHGZIJKLAEZUFUGMJ
      LNBDOPQFGZRBASUHCTUHRGUIDBUHUAUHUBUCUD $.

    $( Canonical denominator defines a function.  (Contributed by Stefan
       O'Rear, 13-Sep-2014.) $)
    fden $p |- denom : QQ --> NN $=
      ( va vb cq cn cv c1st cfv c2nd cgcd co c1 wceq cdiv wa cz cxp crio cdenom
      df-denom wcel qdenval qdencl eqeltrrd fmpti ) ACDBEZFGZUEHGZIJKLAEZUFUGMJ
      LNBODPQHGZRBASUHCTUHRGUIDBUHUAUHUBUCUD $.

    $( Two numbers are the canonical representation of a rational iff they are
       coprime and have the right quotient.  (Contributed by Stefan O'Rear,
       13-Sep-2014.) $)
    qnumdenbi $p |- ( ( A e. QQ /\ B e. ZZ /\ C e. NN )
        -> ( ( ( B gcd C ) = 1 /\ A = ( B / C ) )
          <-> ( ( numer ` A ) = B /\ ( denom ` A ) = C ) ) ) $=
      ( va wcel cz cn cfv wceq wa c1st c2nd cgcd co c1 cdiv cop 3adant1 oveq12d
      eqeq1d cq w3a cnumer cdenom cv cxp crio wb qredeu riotacl 1st2nd2 qnumval
      wreu 3syl qdenval opeq12d eqtr4d 3ad2ant1 fvex opth bitr2di opelxpi fveq2
      eqeq2d anbi12d riota2 syl2anc op1stg op2ndg 3bitr2rd ) AUAEZBFEZCGEZUBZAU
      CHZBIAUDHZCIJZDUEZKHZVRLHZMNZOIZAVSVTPNZIZJZDFGUFZUGZBCQZIZWHKHZWHLHZMNZO
      IZAWJWKPNZIZJZBCMNZOIZABCPNZIZJVNWIVOVPQZWHIZVQVKVLWIXBUHVMVKWGXAWHVKWGWG
      KHZWGLHZQZXAVKWEDWFUMZWGWFEWGXEIDAUIZWEDWFUJWGFGUKUNVKVOXCVPXDDAULDAUOUPU
      QTURVOVPBCAUCUSAUDUSUTVAVNWHWFEZXFWPWIUHVLVMXHVKBCFGVBRVKVLXFVMXGURWEWPDW
      FWHVRWHIZWBWMWDWOXIWAWLOXIVSWJVTWKMVRWHKVCZVRWHLVCZSTXIWCWNAXIVSWJVTWKPXJ
      XKSVDVEVFVGVNWMWRWOWTVNWLWQOVLVMWLWQIVKVLVMJWJBWKCMBCFGVHZBCFGVIZSRTVNWNW
      SAVNWJBWKCPVLVMWJBIVKXLRVLVMWKCIVKXMRSVDVEVJ $.

    $( The canonical representation of a rational is fully reduced.
       (Contributed by Stefan O'Rear, 13-Sep-2014.) $)
    qnumdencoprm $p |- ( A e. QQ
        -> ( ( numer ` A ) gcd ( denom ` A ) ) = 1 ) $=
      ( cq wcel cnumer cdenom cgcd co c1 wceq cdiv wa eqidd eqid jctir cz cn wb
      cfv qnumcl qdencl qnumdenbi mpd3an23 mpbird simpld ) ABCZADRZAERZFGHIZAUF
      UGJGIZUEUHUIKZUFUFIZUGUGIZKZUEUKULUEUFLUGMNUEUFOCUGPCUJUMQASATAUFUGUAUBUC
      UD $.

    $( Recover a rational number from its canonical representation.
       (Contributed by Stefan O'Rear, 13-Sep-2014.) $)
    qeqnumdivden $p |- ( A e. QQ -> A = ( ( numer ` A ) / ( denom ` A ) ) ) $=
      ( cq wcel cnumer cdenom cgcd co c1 wceq cdiv wa eqidd eqid jctir cz cn wb
      cfv qnumcl qdencl qnumdenbi mpd3an23 mpbird simprd ) ABCZADRZAERZFGHIZAUF
      UGJGIZUEUHUIKZUFUFIZUGUGIZKZUEUKULUEUFLUGMNUEUFOCUGPCUJUMQASATAUFUGUAUBUC
      UD $.

    $( Multiplying a rational by its denominator results in an integer.
       (Contributed by Stefan O'Rear, 13-Sep-2014.) $)
    qmuldeneqnum $p |- ( A e. QQ -> ( A x. ( denom ` A ) ) = ( numer ` A ) ) $=
      ( wcel cdenom cfv cmul cnumer cdiv qeqnumdivden oveq1d qnumcl zcnd qdencl
      cq co nncnd nnne0d divcan1d eqtrd ) AMBZAACDZENAFDZTGNZTENUASAUBTEAHISUAT
      SUAAJKSTALZOSTUCPQR $.

    $( Calculate the reduced form of a quotient using ` gcd ` .  (Contributed
       by Stefan O'Rear, 13-Sep-2014.) $)
    divnumden $p |- ( ( A e. ZZ /\ B e. NN ) -> ( ( numer ` ( A / B ) ) = ( A /
        ( A gcd B ) ) /\ ( denom ` ( A / B ) ) = ( B / ( A gcd B ) ) ) ) $=
      ( cz wcel cn wa cgcd co cdiv c1 wceq cfv cdvds wbr adantl wn sylan2 cc wb
      cc0 cnumer cdenom simpl nnz nnne0 neneqd intnand gcdn0cl syl21anc gcddvds
      gcddiv syl31anc nncnd nnne0d dividd eqtr3d wne zcn adantr nncn w3a eqcomd
      divcan7 syl122anc cq znq simpld gcdcl nn0zd dvdsval2 syl3anc mpbid simprd
      simpr nndivdvds syl2anc qnumdenbi mpbi2and ) ACDZBEDZFZAABGHZIHZBWBIHZGHZ
      JKZABIHZWCWDIHZKZWGUALWCKWGUBLWDKFZWAWBWBIHZWEJWAVSBCDZWBEDZWBAMNZWBBMNZF
      ZWKWEKVSVTUCZVTWLVSBUDZOZWAVSWLATKZBTKZFPWMWQWSWAXAWTVTXAPVSVTBTBUEZUFOUG
      ABUHUIZVTVSWLWPWRABUJQZABWBUKULWAWBWAWBXCUMZWAWBXCUNZUOUPWAARDZBRDZBTUQZW
      BRDZWBTUQZWIVSXGVTAURUSVTXHVSBUTOVTXIVSXBOXEXFXGXHXIFXJXKFVAWHWGABWBVCVBV
      DWAWGVEDWCCDZWDEDZWFWIFWJSABVFWAWNXLWAWNWOXDVGWAWBCDZXKVSWNXLSVTVSWLXNWRV
      SWLFWBABVHVIQXFWQWBAVJVKVLWAWOXMWAWNWOXDVMWAVTWMWOXMSVSVTVNXCBWBVOVPVLWGW
      CWDVQVKVR $.

    $( Reducing a quotient never increases the denominator.  (Contributed by
       Stefan O'Rear, 13-Sep-2014.) $)
    divdenle $p |- ( ( A e. ZZ /\ B e. NN ) -> ( denom ` ( A / B ) ) <_ B ) $=
      ( cz wcel cn wa cdiv co cdenom cfv cgcd cle wceq c1 wbr cc0 wn adantl clt
      cr cnumer divnumden simprd simpl nnz nnne0 neneqd intnand syl21anc nnge1d
      gcdn0cl 1red 0lt1 a1i nnred nngt0d nnre nngt0 lediv2 syl222anc mpbid nncn
      wb cc div1d breqtrd eqbrtrd ) ACDZBEDZFZABGHZIJZBABKHZGHZBLVJVKUAJAVMGHMV
      LVNMABUBUCVJVNBNGHZBLVJNVMLOZVNVOLOZVJVMVJVHBCDZAPMZBPMZFQVMEDVHVIUDVIVRV
      HBUERVJVTVSVIVTQVHVIBPBUFUGRUHABUKUIZUJVJNTDPNSOZVMTDPVMSOBTDZPBSOZVPVQVC
      VJULWBVJUMUNVJVMWAUOVJVMWAUPVIWCVHBUQRVIWDVHBURRNVMBUSUTVAVJBVIBVDDVHBVBR
      VEVFVG $.

    $( A rational is positive iff its canonical numerator is.  (Contributed by
       Stefan O'Rear, 15-Sep-2014.) $)
    qnumgt0 $p |- ( A e. QQ -> ( 0 < A <-> 0 < ( numer ` A ) ) ) $=
      ( cq wcel cc0 clt wbr cdenom cfv cmul co cnumer cr 0red qre qdencl nngt0d
      wb nnred ltmul1 syl112anc nncnd mul02d qmuldeneqnum breq12d bitrd ) ABCZD
      AEFZDAGHZIJZAUHIJZEFZDAKHZEFUFDLCALCUHLCDUHEFUGUKQUFMANUFUHAOZRUFUHUMPDAU
      HSTUFUIDUJULEUFUHUFUHUMUAUBAUCUDUE $.

    $( A rational is positive iff its canonical numerator is a positive
       integer.  (Contributed by Stefan O'Rear, 15-Sep-2014.) $)
    qgt0numnn $p |- ( ( A e. QQ /\ 0 < A ) -> ( numer ` A ) e. NN ) $=
      ( cq wcel cc0 clt wbr wa cnumer cfv cz qnumcl adantr qnumgt0 biimpa elnnz
      cn sylanbrc ) ABCZDAEFZGAHIZJCZDTEFZTPCRUASAKLRSUBAMNTOQ $.

    $( Squaring commutes with GCD, in particular two coprime numbers have
       coprime squares.  (Contributed by Stefan O'Rear, 15-Sep-2014.) $)
    nn0gcdsq $p |- ( ( A e. NN0 /\ B e. NN0 ) -> ( ( A gcd B ) ^ 2 ) = ( ( A ^
        2 ) gcd ( B ^ 2 ) ) ) $=
      ( cn0 wcel cn cc0 wceq wo cgcd co c2 cexp wa cabs cfv syl cz oveq1d oveq1
      sq0 elnn0 sqgcd nncn abssq nnz gcd0id a1i zsqcl 3syl eqtrd 3eqtr4d adantl
      cc eqeq12d adantr mpbird gcdid0 oveq2d oveq2 gcd0val oveq1i oveq12i eqtri
      wb 3eqtr4i oveq12 oveqan12d 3eqtr4a ccase syl2anb ) ACDAEDZAFGZHBEDZBFGZH
      ABIJZKLJZAKLJZBKLJZIJZGZBCDAUABUAVKVMVLVNVTABUBVLVMMVTFBIJZKLJZFKLJZVRIJZ
      GZVMWEVLVMBNOZKLJZVRNOZWBWDVMBUMDWGWHGBUCBUDPVMWAWFKLVMBQDZWAWFGBUEZBUFPR
      VMWDFVRIJZWHVMWCFVRIWCFGZVMTUGRVMWIVRQDWKWHGWJBUHVRUFUIUJUKULVLVTWEVDVMVL
      VPWBVSWDVLVOWAKLAFBISRVLVQWCVRIAFKLSZRUNUOUPVKVNMVTAFIJZKLJZVQWCIJZGZVKWQ
      VNVKANOZKLJZVQNOZWOWPVKAUMDWSWTGAUCAUDPVKWNWRKLVKAQDZWNWRGAUEZAUQPRVKWPVQ
      FIJZWTVKWCFVQIWLVKTUGURVKXAVQQDXCWTGXBAUHVQUQUIUJUKUOVNVTWQVDVKVNVPWOVSWP
      VNVOWNKLBFAIUSRVNVRWCVQIBFKLSZURUNULUPVLVNMZFFIJZKLJZWCWCIJZVPVSWCFXGXHTX
      FFKLUTVAXHXFFWCFWCFITTVBUTVCVEXEVOXFKLAFBFIVFRVLVNVQWCVRWCIWMXDVGVHVIVJ
      $.

    $( ~ nn0gcdsq extended to integers by symmetry.  (Contributed by Stefan
       O'Rear, 15-Sep-2014.) $)
    zgcdsq $p |- ( ( A e. ZZ /\ B e. ZZ ) -> ( ( A gcd B ) ^ 2 ) = ( ( A ^ 2 )
        gcd ( B ^ 2 ) ) ) $=
      ( cz wcel wa cgcd co c2 cexp cabs cfv gcdabs eqcomd cn0 wceq nn0abscl zre
      cr absresq syl oveq1d nn0gcdsq syl2an adantr adantl oveq12d 3eqtrd ) ACDZ
      BCDZEZABFGZHIGAJKZBJKZFGZHIGZULHIGZUMHIGZFGZAHIGZBHIGZFGUJUKUNHIUJUNUKABL
      MUAUHULNDUMNDUOUROUIAPBPULUMUBUCUJUPUSUQUTFUJARDZUPUSOUHVAUIAQUDASTUJBRDZ
      UQUTOUIVBUHBQUEBSTUFUG $.

    $( Squaring a rational squares its canonical components.  (Contributed by
       Stefan O'Rear, 15-Sep-2014.) $)
    numdensq $p |- ( A e. QQ -> ( ( numer ` ( A ^ 2 ) ) = ( ( numer ` A ) ^ 2 )
        /\ ( denom ` ( A ^ 2 ) ) = ( ( denom ` A ) ^ 2 ) ) ) $=
      ( cq wcel cnumer cfv c2 cexp co cdenom cgcd wceq cdiv qnumdencoprm oveq1d
      c1 wa cz qnumcl qdencl nnzd zgcdsq syl2anc sq1 3eqtr3d qeqnumdivden nncnd
      a1i zcnd nnne0d sqdivd eqtrd cn qsqcl zsqcl syl nnsqcld qnumdenbi syl3anc
      wb mpbi2and ) ABCZADEZFGHZAIEZFGHZJHZOKZAFGHZVCVELHZKZVHDEVCKVHIEVEKPZVAV
      BVDJHZFGHZOFGHZVFOVAVLOFGAMNVAVBQCZVDQCVMVFKARZVAVDASZTVBVDUAUBVNOKVAUCUG
      UDVAVHVBVDLHZFGHVIVAAVRFGAUENVAVBVDVAVBVPUHVAVDVQUFVAVDVQUIUJUKVAVHBCVCQC
      ZVEULCVGVJPVKUSAUMVAVOVSVPVBUNUOVAVDVQUPVHVCVEUQURUT $.

    $( Square commutes with canonical numerator.  (Contributed by Stefan
       O'Rear, 15-Sep-2014.) $)
    numsq $p |- ( A e. QQ -> ( numer ` ( A ^ 2 ) ) = ( ( numer ` A ) ^ 2 ) ) $=
      ( cq wcel c2 cexp co cnumer cfv wceq cdenom numdensq simpld ) ABCADEFZGHA
      GHDEFIMJHAJHDEFIAKL $.

    $( Square commutes with canonical denominator.  (Contributed by Stefan
       O'Rear, 15-Sep-2014.) $)
    densq $p |- ( A e. QQ -> ( denom ` ( A ^ 2 ) ) = ( ( denom ` A ) ^ 2 ) ) $=
      ( cq wcel c2 cexp co cnumer cfv wceq cdenom numdensq simprd ) ABCADEFZGHA
      GHDEFIMJHAJHDEFIAKL $.

    $( A rational is an integer iff it has denominator 1.  (Contributed by
       Stefan O'Rear, 15-Sep-2014.) $)
    qden1elz $p |- ( A e. QQ -> ( ( denom ` A ) = 1 <-> A e. ZZ ) ) $=
      ( cq wcel cdenom cfv c1 wceq cz wa cnumer cdiv co qeqnumdivden oveq2 zcnd
      adantr div1d cle wbr cn adantl qnumcl 3eqtrd eqeltrd simpr fveq2d sylancl
      1nn divdenle eqbrtrrd wb qdencl nnle1eq1 syl mpbid impbida ) ABCZADEZFGZA
      HCZUQUSIZAAJEZHVAAVBURKLZVBFKLZVBUQAVCGUSAMPUSVCVDGUQURFVBKNUAVAVBVAVBUQV
      BHCUSAUBPZOQUCVEUDUQUTIZURFRSZUSVFAFKLZDEZURFRVFVHADVFAVFAUQUTUEZOQUFVFUT
      FTCVIFRSVJUHAFUIUGUJVFURTCZVGUSUKUQVKUTAULPURUMUNUOUP $.

    $( If an integer has a rational square root, that root is must be an
       integer.  (Contributed by Stefan O'Rear, 15-Sep-2014.) $)
    zsqrtelqelz $p |- ( ( A e. ZZ /\ ( sqrt ` A ) e. QQ )
        -> ( sqrt ` A ) e. ZZ ) $=
      ( cz wcel csqrt cfv cq wa cdenom c1 wceq cn qdencl adantl a1i cexp adantr
      c2 co wb qden1elz 1red nnnn0d nn0ge0d cc0 cle wbr 0le1 sq1 sqsqrtd fveq2d
      nnred zcn simpl zq syl mpbird eqtrd densq 3eqtr2rd sq11d mpbid ) ABCZADEZ
      FCZGZVCHEZIJZVCBCZVEVFIVEVFVDVFKCVBVCLMZUKVEUAVEVFVEVFVIUBUCUDIUEUFVEUGNV
      EIQORZIVCQORZHEZVFQORZVJIJVEUHNVEVLAHEZIVEVKAHVBVKAJVDVBAAULUIPUJVEVNIJZV
      BVBVDUMVEAFCZVOVBSVBVPVDAUNPATUOUPUQVDVLVMJVBVCURMUSUTVDVGVHSVBVCTMVA $.

    $( Any integer strictly between two adjacent squares has an irrational
       square root.  (Contributed by Stefan O'Rear, 15-Sep-2014.) $)
    nonsq $p |- ( ( ( A e. NN0 /\ B e. NN0 ) /\ ( ( B ^ 2 ) < A /\ A < ( ( B +
        1 ) ^ 2 ) ) ) -> -. ( sqrt ` A ) e. QQ ) $=
      ( cn0 wcel wa c2 cexp co clt wbr cz ad2antlr cr nn0re ad2antrr cc0 nn0ge0
      nn0z cle syl c1 caddc csqrt cq wn simprl recnd sqsqrtd breqtrrd resqrtcld
      cfv sqrtge0d lt2sqd mpbird eqbrtrd peano2re peano2nn0 syl3anc zsqrtelqelz
      simprr btwnnz wi ex mtod ) ACDZBCDZEZBFGHZAIJZABUAUBHZFGHZIJZEZEZAUCUKZUD
      DZVOKDZVNBKDZBVOIJZVOVJIJZVQUEVFVRVEVMBRLVNVSVHVOFGHZIJVNVHAWAIVGVIVLUFVN
      AVNAVEAMDVFVMANOZUGUHZUIVNBVOVFBMDZVEVMBNLZVNAWBVEPASJVFVMAQOZUJZVFPBSJVE
      VMBQLVNAWBWFULZUMUNVNVTWAVKIJVNWAAVKIWCVGVIVLUTUOVNVOVJWGVNWDVJMDWEBUPTWH
      VFPVJSJZVEVMVFVJCDWIBUQVJQTLUMUNBVOVAURVNAKDZVPVQVBVEWJVFVMAROWJVPVQAUSVC
      TVD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Euler's theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c odZ $.
  $c phi $.

  $( Extend class notation with the order function on the class of integers
     modulo N. $)
  codz $a class odZ $.

  $( Extend class notation with the Euler phi function. $)
  cphi $a class phi $.

  ${
    $d m n x $.
    $( Define the order function on the class of integers modulo N.
       (Contributed by Mario Carneiro, 23-Feb-2014.)  (Revised by AV,
       26-Sep-2020.) $)
    df-odz $a |- odZ = ( n e. NN |-> ( x e. { x e. ZZ | ( x gcd n ) = 1 } |->
                   inf ( { m e. NN | n || ( ( x ^ m ) - 1 ) } , RR , < ) ) ) $.

    $( Define the Euler phi function (also called "Euler totient function"),
       which counts the number of integers less than ` n ` and coprime to it,
       see definition in [ApostolNT] p. 25.  (Contributed by Mario Carneiro,
       23-Feb-2014.) $)
    df-phi $a |- phi = ( n e. NN |-> ( # `
                         { x e. ( 1 ... n ) | ( x gcd n ) = 1 } ) ) $.
  $}

  ${
    $d n x N $.
    $( Value of the Euler ` phi ` function.  (Contributed by Mario Carneiro,
       23-Feb-2014.) $)
    phival $p |- ( N e. NN -> ( phi ` N ) = ( # `
                         { x e. ( 1 ... N ) | ( x gcd N ) = 1 } ) ) $=
      ( vn cv cgcd co c1 wceq cfz crab chash cfv cn cphi oveq2 eqeq1d rabeqbidv
      fveq2d df-phi fvex fvmpt ) CBADZCDZEFZGHZAGUCIFZJZKLUBBEFZGHZAGBIFZJZKLMN
      UCBHZUGUKKULUEUIAUFUJUCBGIOULUDUHGUCBUBEOPQRACSUKKTUA $.
  $}

  ${
    $d x N $.
    $( Bounds and closure for the value of the Euler ` phi ` function.
       (Contributed by Mario Carneiro, 23-Feb-2014.) $)
    phicl2 $p |- ( N e. NN -> ( phi ` N ) e. ( 1 ... N ) ) $=
      ( vx cn wcel cfv cgcd co c1 cfz chash cz cle wbr cfn cn0 wss mp2an cvv wb
      wceq cphi crab phival fzfi ssrab2 ssfi hashcl ax-mp nn0zi a1i csn hashsng
      cv 1z cdom ovex rabex oveq1 eqeq1d cuz eluzfz1 nnuz eleq2s nnz syl elrabd
      1gcd snssd ssdomg mpsyl snfi hashdom sylibr eqbrtrrid mpbir nnnn0 hashfz1
      mp2 breqtrid w3a elfz1 sylancr mpbir3and eqeltrd ) ACDZAUAEBUMZAFGZHTZBHA
      IGZUBZJEZWIBAUCWEWKWIDZWKKDZHWKLMZWKALMZWMWEWKWJNDZWKODWINDZWJWIPZWPHAUDZ
      WHBWIUEZWIWJUFQZWJUGUHUIUJWEHHUKZJEZWKLHKDZXCHTUNHKULUHWEXBWJUOMZXCWKLMZW
      JRDWEXBWJPXEWHBWIHAIUPZUQWEHWJWEWHHAFGZHTZBHWIWFHTWGXHHWFHAFURUSHWIDAHUTE
      CHAVAVBVCWEAKDZXIAVDZAVGVEVFVHXBWJRVIVJXBNDWPXFXESHVKXAXBWJNVLQVMVNWEWKWI
      JEZALWKXLLMZWJWIUOMZWIRDWRXNXGWTWJWIRVIVRWPWQXMXNSXAWSWJWINVLQVOWEAODXLAT
      AVPAVQVEVSWEXDXJWLWMWNWOVTSUNXKWKHAWAWBWCWD $.

    $( Closure for the value of the Euler ` phi ` function.  (Contributed by
       Mario Carneiro, 28-Feb-2014.) $)
    phicl $p |- ( N e. NN -> ( phi ` N ) e. NN ) $=
      ( cn wcel cphi cfv c1 cfz co phicl2 elfznn syl ) ABCADEZFAGHCLBCAILAJK $.

    $( Lemma for ~ phibnd .  (Contributed by Mario Carneiro, 23-Feb-2014.) $)
    phibndlem $p |- ( N e. ( ZZ>= ` 2 ) ->
             { x e. ( 1 ... N ) | ( x gcd N ) = 1 } C_ ( 1 ... ( N - 1 ) ) ) $=
      ( c2 cuz cfv wcel cv cgcd co c1 wceq cmin cfz wi wral crab wa wne cn syl
      wss wn eluz2nn wo wb fzm1 nnuz eleq2s biimpa ord sylan cabs eluzelz gcdid
      nnre nnnn0 nn0ge0d absidd eqtrd clt wbr 1re eluz2gt1 ltne sylancr eqnetrd
      cz cr oveq1 neeq1d syl5ibrcom adantr syld necon4bd ralrimiva rabss sylibr
      ) BCDEFZAGZBHIZJKZVSJBJLIMIZFZNZAJBMIZOWAAWEPWBUAVRWDAWEVRVSWEFZQZWCVTJWG
      WCUBZVSBKZVTJRZVRBSFZWFWHWINBUCZWKWFQWCWIWKWFWCWIUDZWFWMUEBJDESVSJBUFUGUH
      UIUJUKVRWIWJNWFVRWJWIBBHIZJRVRWNBJVRWNBULEZBVRBVGFWNWOKCBUMBUNTVRWKWOBKWL
      WKBBUOWKBBUPUQURTUSVRJVHFJBUTVABJRVBBVCJBVDVEVFWIVTWNJVSBBHVIVJVKVLVMVNVO
      WAAWEWBVPVQ $.

    $( A slightly tighter bound on the value of the Euler ` phi ` function.
       (Contributed by Mario Carneiro, 23-Feb-2014.) $)
    phibnd $p |- ( N e. ( ZZ>= ` 2 ) -> ( phi ` N ) <_ ( N - 1 ) ) $=
      ( vx c2 cuz cfv wcel cv cgcd co wceq cfz crab chash cle wbr cfn wss mp2an
      c1 fzfi cmin cphi cdom phibndlem ssdomg mpsyl wb ssrab2 hashdom sylibr cn
      ssfi eluz2nn phival syl cn0 nnm1nn0 hashfz1 3syl eqcomd 3brtr4d ) ACDEFZB
      GAHISJZBSAKIZLZMEZSASUAIZKIZMEZAUBEZVGNVBVEVHUCOZVFVINOZVHPFZVBVEVHQVKSVG
      TZBAUDVEVHPUEUFVEPFZVMVLVKUGVDPFVEVDQVOSATVCBVDUHVDVEULRVNVEVHPUIRUJVBAUK
      FZVJVFJAUMZBAUNUOVBVIVGVBVPVGUPFVIVGJVQAUQVGURUSUTVA $.

    phicld.1 $e |- ( ph -> N e. NN ) $.
    $( Closure for the value of the Euler ` phi ` function.  (Contributed by
       Mario Carneiro, 29-May-2016.) $)
    phicld $p |- ( ph -> ( phi ` N ) e. NN ) $=
      ( cn wcel cphi cfv phicl syl ) ABDEBFGDECBHI $.
  $}

  $( Value of the Euler ` phi ` function at 1.  (Contributed by Mario Carneiro,
     23-Feb-2014.) $)
  phi1 $p |- ( phi ` 1 ) = 1 $=
    ( c1 cphi cfv csn wcel wceq cfz co cn phicl2 ax-mp cz 1z fzsn eleqtri elsni
    1nn ) ABCZADZERAFRAAGHZSAIERTEQAJKALETSFMANKORAPK $.

  ${
    $d x N $.
    $( Alternate definition of the Euler ` phi ` function.  (Contributed by
       Mario Carneiro, 23-Feb-2014.)  (Revised by Mario Carneiro,
       2-May-2016.) $)
    dfphi2 $p |- ( N e. NN -> ( phi ` N ) = ( # `
                          { x e. ( 0 ..^ N ) | ( x gcd N ) = 1 } ) ) $=
      ( wcel c1 wceq c2 cfv cphi cgcd co cc0 cfzo crab chash cz syl cin wss wne
      sylib cn cuz wo cv elnn1uz2 csn phi1 0z hashsng ax-mp rabid2 elsni oveq1d
      eqtrdi mprgbir fveq2i 3eqtr2i fveq2 oveq2 eqeq1d rabeqbidv fveq2d 3eqtr4a
      gcd1 fzo01 cfz eluz2nn phival fzossfz a1i sseqin2 fzo0ss1 eqtr4di rabeqdv
      mpbi inrab2 3eqtr4g cmin phibndlem eluzelz fzoval sseqtrrd df-ss wi wa wn
      wral cabs gcd0id eluzelre eluzge2nn0 nn0ge0d absidd eqtrd eluz2b3 simprbi
      eqnetrd adantr eleq2s neeq1d syl5ibrcom necon2bd 1z fzospliti sylancl ord
      simpr syld ralrimiva rabss sylibr 3eqtr3d jaoi sylbi ) BUACZBDEZBFUBGCZUC
      BHGZAUDZBIJZDEZAKBLJZMZNGZEZBUEXPYEXQXPDHGZXSDIJZDEZAKUFZMZNGZXRYDYFDYING
      ZYKUGKOCZYLDEUHKOUIUJYIYJNYIYJEYHAYIYHAYIUKXSYICZYGKDIJZDYNXSKDIXSKULZUMY
      MYODEUHKVDUJUNUOUPUQBDHURXPYCYJNXPYAYHAYBYIXPYBKDLJZYIBDKLUSVEUNXPXTYGDBD
      XSIUSUTVAVBVCXQXRYAADBVFJZMZNGZYDXQXOXRYTEBVGABVHPXQYSYCNXQYSDBLJZQZYCUUA
      QZYSYCXQYAAYRUUAQZMYAAYBUUAQZMUUBUUCXQYAAUUDUUEXQUUDUUAUUEXQUUAYRRZUUDUUA
      EUUFXQDBVIVJUUAYRVKTUUAYBRUUEUUAEBVLUUAYBVKVOVMVNYAAYRUUAVPYAAYBUUAVPVQXQ
      YSUUARUUBYSEXQYSDBDVRJVFJZUUAABVSXQBOCZUUAUUGEFBVTZDBWAPWBYSUUAWCTXQYCUUA
      RZUUCYCEXQYAXSUUACZWDZAYBWGUUJXQUULAYBXQXSYBCZWEZYAXSYQCZWFUUKUUNUUOXTDUU
      NXTDSUUOKBIJZDSZXQUUQUUMXQUUPBDXQUUPBWHGZBXQUUHUUPUUREUUIBWIPXQBFBWJXQBBW
      KWLWMWNXQXOBDSBWOWPWQWRUUOXTUUPDXTUUPEXSYIYQYNXSKBIYPUMVEWSWTXAXBUUNUUOUU
      KUUNUUMDOCUUOUUKUCXQUUMXGXCXSKBDXDXEXFXHXIYAAYBUUAXJXKYCUUAWCTXLVBWNXMXN
      $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z N $.  $d y z ph $.
    hashdvds.1 $e |- ( ph -> N e. NN ) $.
    hashdvds.2 $e |- ( ph -> A e. ZZ ) $.
    hashdvds.3 $e |- ( ph -> B e. ( ZZ>= ` ( A - 1 ) ) ) $.
    hashdvds.4 $e |- ( ph -> C e. ZZ ) $.
    $( The number of numbers in a given residue class in a finite set of
       integers.  (Contributed by Mario Carneiro, 12-Mar-2014.)  (Proof
       shortened by Mario Carneiro, 7-Jun-2016.) $)
    hashdvds $p |- ( ph -> ( # ` { x e. ( A ... B ) | N || ( x - C ) } ) =
       ( ( |_ ` ( ( B - C ) / N ) ) - ( |_ ` ( ( ( A - 1 ) - C ) / N ) ) ) ) $=
      ( co wbr wceq cz wcel adantr cle wb cr mpbid vz vy c1 cmin cdiv cfl chash
      cfv cfz cdvds crab cen caddc 1zzd cuz eluzelz zsubcld zred nndivred flcld
      cv syl peano2zm fzen syl3anc cc ax-1cn zcnd addcom sylancr npcand oveq12d
      breqtrd cmul cvv ovexd cfn fzfi rabexg mp1i wa breq2d elfzelz adantl nnzd
      oveq1 zmulcld zaddcld clt elfzle1 zltp1le syl2an mpbird fllt nnred nngt0d
      cc0 jca ltdivmul2 ltsubaddd zlem1lt syl2an2r flge lemuldiv leaddsub elfzd
      elfzle2 dvdsmul2 syl2anc pncand breqtrrd elrabd elrab peano2zd simprr wne
      ex nnne0d ad2antrl dvdsval2 ltsub1dd ltdiv1 lesub1dd lediv1 syl5bi anbi2i
      adantrl adantrr nncnd divmul3d subadd2d bitrd eqcom 3bitr4g en3d entr wss
      sylan2b mp2an zre ssrab2 ssfi hashen sylibr eluzle lesub1 syl3an uznn0sub
      cn0 flword2 hashfz1 3syl eqtr3d ) AUCDEUDKZFUEKZUFUHZCUCUDKZEUDKZFUEKZUFU
      HZUDKZUIKZUGUHZFBVAZEUDKZUJLZBCDUIKZUKZUGUHZUVAAUVBUVHULLZUVCUVIMZAUVBUUT
      UCUMKZUUPUIKZULLUVMUVHULLUVJAUVBUCUUTUMKZUVAUUTUMKZUIKZUVMULAUCNOUVANOUUT
      NOZUVBUVPULLAUNAUUPUUTAUUOAUUNFAUUNADEADUUQUOUHOZDNOZIUUQDUPVBZJUQURZGUSZ
      UTZAUUSAUURFAUURAUUQEACNOZUUQNOZHCVCVBZJUQURZGUSZUTZUQUWIUUTUCUVAVDVEAUVN
      UVLUVOUUPUIAUCVFOUUTVFOUVNUVLMVGAUUTUWIVHZUCUUTVIVJAUUPUUTAUUPUWCVHUWJVKV
      LVMAUAUBUVMUVHUAVAZFVNKZEUMKZUBVAZEUDKZFUEKZVOVOAUVLUUPUIVPUVGVQOZUVHVOOA
      CDVRZUVFBUVGVQVSVTAUWKUVMOZUWMUVHOAUWSWAZUVFFUWMEUDKZUJLBUWMUVGUVDUWMMUVE
      UXAFUJUVDUWMEUDWFWBUWTUWMCDAUWDUWSHPAUVSUWSUVTPUWTUWLEUWTUWKFUWSUWKNOZAUW
      KUVLUUPWCZWDZAFNOZUWSAFGWEZPZWGZAENOZUWSJPWHZUWTCUWMQLZUUQUWMWILZUWTUURUW
      LWILZUXLUWTUUSUWKWILZUXMUWTUXNUUTUWKWILZUWTUXOUVLUWKQLZUWSUXPAUWKUVLUUPWJ
      WDAUVQUXBUXOUXPRUWSUWIUXCUUTUWKWKWLWMAUUSSOZUXBUXNUXORUWSUWHUXCUUSUWKWNWL
      WMUWTUURSOZUWKSOZFSOZWQFWILZWAZUXNUXMRAUXRUWSUWGPUWTUWKUXDURZAUYBUWSAUXTU
      YAAFGWOAFGWPWRZPZUURUWKFWSVETUWTUUQEUWLAUUQSOZUWSAUUQUWFURZPAESOZUWSAEJUR
      ZPZUWTUWLUXHURZWTTAUWDUWSUWMNOUXKUXLRHUXJCUWMXAXBWMUWTUWMDQLZUWLUUNQLZUWT
      UYMUWKUUOQLZUWTUYNUWKUUPQLZUWSUYOAUWKUVLUUPXGWDAUUOSOZUXBUYNUYORUWSUWBUXC
      UUOUWKXCWLWMUWTUXSUUNSOZUYBUYMUYNRUYCAUYQUWSUWAPUYEUWKUUNFXDVEWMUWTUWLSOU
      YHDSOZUYLUYMRUYKUYJAUYRUWSADUVTURZPUWLEDXEVEWMXFUWTFUWLUXAUJUWTUXBUXEFUWL
      UJLUXDUXGUWKFXHXIUWTUWLEUWTUWLUXHVHZAEVFOZUWSAEJVHZPXJXKXLXQUWNUVHOZUWNUV
      GOZFUWOUJLZWAZAUWPUVMOZUVFVUEBUWNUVGUVDUWNMUVEUWOFUJUVDUWNEUDWFWBXMZAVUFV
      UGAVUFWAZUWPUVLUUPAUVLNOVUFAUUTUWIXNPAUUPNOVUFUWCPVUIVUEUWPNOZAVUDVUEXOVU
      IUXEFWQXPZUWONOVUEVUJRAUXEVUFUXFPAVUKVUFAFGXRZPVUIUWNEVUDUWNNOZAVUEUWNCDW
      CXSZAUXIVUFJPUQZFUWOXTVETZVUIUUTUWPWILZUVLUWPQLZVUIUUSUWPWILZVUQVUIUURUWO
      WILZVUSVUIUUQUWNEAUYFVUFUYGPVUIUWNVUNURZAUYHVUFUYIPZVUICUWNQLZUUQUWNWILZV
      UDVVCAVUEUWNCDWJXSAUWDVUFVUMVVCVVDRHVUNCUWNXAXBTYAVUIUXRUWOSOZUYBVUTVUSRA
      UXRVUFUWGPVUIUWOVUOURZAUYBVUFUYDPZUURUWOFYBVETAUXQVUFVUJVUSVUQRUWHVUPUUSU
      WPWNXBTAUVQVUFVUJVUQVURRUWIVUPUUTUWPWKXBTVUIUWPUUOQLZUWPUUPQLZVUIUWOUUNQL
      ZVVHVUIUWNDEVVAAUYRVUFUYSPVVBVUDUWNDQLAVUEUWNCDXGXSYCVUIVVEUYQUYBVVJVVHRV
      VFAUYQVUFUWAPVVGUWOUUNFYDVETAUYPVUFVUJVVHVVIRUWBVUPUUOUWPXCXBTXFXQYEAUWSV
      UCWAZUWKUWPMZUWNUWMMZRZVVKAUWSVUFWAZVVNVUCVUFUWSVUHYFAVVOWAZUWPUWKMZUWMUW
      NMZVVLVVMVVPVVQUWOUWLMVVRVVPUWOUWKFAVUFUWOVFOUWSVUIUWOVUOVHYGAUWSUWKVFOVU
      FUWTUWKUXDVHYHAFVFOVVOAFGYIPAVUKVVOVULPYJVVPUWNEUWLAVUFUWNVFOUWSVUIUWNVUN
      VHYGAVUAVVOVUBPAUWSUWLVFOVUFUYTYHYKYLUWKUWPYMUWNUWMYMYNYRXQYOUVBUVMUVHYPX
      IUVBVQOUVHVQOZUVKUVJRUCUVAVRUWQUVHUVGYQVVSUWRUVFBUVGUUAUVGUVHUUBYSUVBUVHU
      UCYSUUDAUUPUUTUOUHOZUVAUUIOUVCUVAMAUXQUYPUUSUUOQLZVVTUWHUWBAUURUUNQLZVWAA
      UUQDQLZVWBAUVRVWCIUUQDUUEVBAUWEUVSUXIVWCVWBRZUWFUVTJUWEUYFUVSUYRUXIUYHVWD
      UUQYTDYTEYTUUQDEUUFUUGVETAUXRUYQUYBVWBVWARUWGUWAUYDUURUUNFYDVETUUSUUOUUJV
      EUUTUUPUUHUVAUUKUULUUM $.
  $}

  ${
    $d x K $.  $d x P $.
    $( Value of the Euler ` phi ` function at a prime power.  Theorem 2.5(a) in
       [ApostolNT] p. 28.  (Contributed by Mario Carneiro, 24-Feb-2014.) $)
    phiprmpw $p |- ( ( P e. Prime /\ K e. NN ) -> ( phi ` ( P ^ K ) ) =
                     ( ( P ^ ( K - 1 ) ) x. ( P - 1 ) ) ) $=
      ( vx wcel cn wa co cfv c1 wceq crab chash cmin cn0 cc caddc cc0 cdiv cfl
      cz cprime cexp cphi cv cgcd cfz prmnn nnnn0 nnexpcl syl2an phival nnm1nn0
      syl nncnd adantr ax-1cn subdi mp3an3 syl2anc mulid1d oveq2d cdvds wbr cun
      cmul cfn cin c0 wss fzfi ssrab2 ssfi mp2an inrab wn wral wi elfzelz rpexp
      wb prmz syl3an1 3expa an32s simpr zexpcl gcdcomd eqeq1d coprm adantlr zcn
      3bitr4d adantl subid1d breq2d notbid bitr4d sylan2 biimpd imnan ralrimiva
      sylib rabeq0 sylibr eqtrid hashun mp3an12i wo unrab biimprd con1d eqtr4id
      orrd rabid2 fveq2d nnnn0d expm1t sylan 3eqtrd 1zzd cuz nn0uz 1m1e0 fveq2i
      hashfz1 eqtr4i eleqtrdi 0zd hashdvds oveq1d nnne0d nnz expm1d eqtr4d nnzd
      flid eqtrd oveq1i 0m0e0 ax-mp eqtri div0d 0z eqtrdi oveq12d hashcl nn0cni
      addcom sylancr 3eqtr3rd mulcld a1i subaddd mpbird 3eqtrrd ) AUADZBEDZFZAB
      UBGZUCHZCUDZUUSUEGZIJZCIUUSUFGZKZLHZABIMGZUBGZAIMGVEGZUURUUSEDZUUTUVFJUUP
      AEDZBNDZUVJUUQAUGZBUHZABUIUJZCUUSUKUMUURUVIUVHAVEGZUVHIVEGZMGZUVPUVHMGZUV
      FUURUVHODZAODZUVIUVRJZUURUVHUUPUVKUVGNDUVHEDUUQUVMBULAUVGUIUJZUNZUUPUWAUU
      QUUPAUVMUNZUOZUVTUWAIODUWBUPUVHAIUQURUSUURUVQUVHUVPMUURUVHUWDUTVAUURUVSUV
      FJUVHUVFPGZUVPJUURUVEAUVAQMGZVBVCZCUVDKZVDZLHZUVFUWJLHZPGZUVPUWGUVEVFDZUW
      JVFDZUURUVEUWJVGZVHJUWLUWNJUVDVFDZUVEUVDVIUWOIUUSVJZUVCCUVDVKUVDUVEVLVMZU
      WRUWJUVDVIUWPUWSUWICUVDVKUVDUWJVLVMUURUWQUVCUWIFZCUVDKZVHUVCUWICUVDVNUURU
      XAVOZCUVDVPUXBVHJUURUXCCUVDUURUVAUVDDZFZUVCUWIVOZVQUXCUXEUVCUXFUXDUURUVAT
      DZUVCUXFVTUVAIUUSVRUURUXGFZUVCAUVAVBVCZVOZUXFUXHUUSUVAUEGZIJZAUVAUEGIJZUV
      CUXJUUPUXGUUQUXLUXMVTZUUPUXGUUQUXNUUPATDZUXGUUQUXNAWAZAUVABVSWBWCWDUXHUVB
      UXKIUXHUVAUUSUURUXGWEUURUUSTDZUXGUUPUXOUVLUXQUUQUXPUVNABWFUJUOWGWHUUPUXGU
      XJUXMVTUUQAUVAWIWJWLUXHUWIUXIUXHUWHUVAAVBUXHUVAUXGUVAODUURUVAWKWMWNWOWPWQ
      WRZWSUVCUWIWTXBXAUXACUVDXCXDXEUVEUWJXFXGUURUWLUVDLHZUUSUVPUURUWKUVDLUURUW
      KUVCUWIXHZCUVDKZUVDUVCUWICUVDXIUURUXTCUVDVPUVDUYAJUURUXTCUVDUXEUVCUWIUXEU
      WIUVCUXEUVCUXFUXRXJXKXMXAUXTCUVDXNXDXLXOUURUUSNDUXSUUSJUURUUSUVOXPZUUSYEU
      MUUPUWAUUQUUSUVPJUWEABXQXRXSUURUWNUVFUVHPGZUWGUURUWMUVHUVFPUURUWMUUSQMGZA
      RGZSHZIIMGZQMGZARGZSHZMGUVHQMGUVHUURCIUUSQAUUPUVKUUQUVMUOZUURXTUURUUSNUYG
      YAHZUYBNQYAHUYLYBUYGQYAYCYDYFYGUURYHYIUURUYFUVHUYJQMUURUYFUVHSHZUVHUURUYE
      UVHSUURUYEUUSARGUVHUURUYDUUSARUURUUSUURUUSUVOUNWNYJUURABUWFUURAUYKYKZUUQB
      TDUUPBYLWMYMYNXOUURUVHTDUYMUVHJUURUVHUWCYOUVHYPUMYQUURUYJQSHZQUURUYIQSUUR
      UYIQARGQUYHQARUYHQQMGQUYGQQMYCYRYSUUAYRUURAUWFUYNUUBXEXOQTDUYOQJUUCQYPYTU
      UDUUEUURUVHUWDWNXSVAUURUVFODZUVTUYCUWGJUVFUWOUVFNDUWTUVEUUFYTUUGZUWDUVFUV
      HUUHUUIYQUUJUURUVPUVHUVFUURUVHAUWDUWFUUKUWDUYPUURUYQUULUUMUUNUUOYQ $.
  $}

  $( Value of the Euler ` phi ` function at a prime.  (Contributed by Mario
     Carneiro, 28-Feb-2014.) $)
  phiprm $p |- ( P e. Prime -> ( phi ` P ) = ( P - 1 ) ) $=
    ( cprime wcel c1 cexp co cphi cfv cmin cmul cn wceq 1nn phiprmpw mpan2 prmz
    zcnd exp1d cc0 cc fveq2d 1m1e0 oveq2i eqtrid oveq1d sylancl mulid2d 3eqtr3d
    exp0d ax-1cn subcl eqtrd ) ABCZADEFZGHZADDIFZEFZADIFZJFZAGHURUMDKCUOUSLMADN
    OUMUNAGUMAUMAAPQZRUAUMUSDURJFURUMUQDURJUMUQASEFDUPSAEUBUCUMAUTUIUDUEUMURUMA
    TCDTCURTCUTUJADUKUFUGULUH $.

  ${
    $d w y z F $.  $d w x y M $.  $d w x y z ph $.  $d w x y z S $.  $d x T $.
    $d w x y N $.  $d w z U $.  $d w z V $.  $d w z W $.
    crth.1 $e |- S = ( 0 ..^ ( M x. N ) ) $.
    crth.2 $e |- T = ( ( 0 ..^ M ) X. ( 0 ..^ N ) ) $.
    crth.3 $e |- F = ( x e. S |-> <. ( x mod M ) , ( x mod N ) >. ) $.
    crth.4 $e |- ( ph -> ( M e. NN /\ N e. NN /\ ( M gcd N ) = 1 ) ) $.
    $( The Chinese Remainder Theorem: the function that maps ` x ` to its
       remainder classes ` mod M ` and ` mod N ` is 1-1 and onto when ` M ` and
       ` N ` are coprime.  (Contributed by Mario Carneiro, 24-Feb-2014.)
       (Proof shortened by Mario Carneiro, 2-May-2016.) $)
    crth $p |- ( ph -> F : S -1-1-onto-> T ) $=
      ( cfv wceq cmo co wcel cz cc0 wbr syl vy vz wf1 wf1o wf cv wral cmul cfzo
      wi cop elfzoelz eleq2s wa cxp cn simpr cgcd simp1d adantr zmodfzo syl2anc
      simp2d opelxpd eleqtrrdi fmptd oveq1 opeq12d opex fvmpt ad2antrl ad2antll
      c1 sylan2 eqeq12d ovex opth bitrdi cmin cdvds nnzd simprl eleqtrdi simprr
      zsubcld simp3d coprmdvds2 syl31anc wb moddvds syl3anc anbi12d crp cle clt
      cr zred nnmulcld nnrpd elfzole1 elfzolt2 modid syl22anc bitr3d ralrimivva
      3imtr4d sylbid dff13 sylanbrc cen cfn nnnn0 chash nn0mulcl hashfzo0 fzofi
      cn0 hashxp mp2an oveqan12d eqtrid eqtr4d xpfi hashen sylib syl2an 3brtr4g
      eqeltri f1finf1o sylancl mpbid ) ACDEUCZCDEUDZACDEUEUAUFZELZUBUFZELZMZYNY
      PMZUJZUBCUGUACUGYLABCBUFZFNOZUUAGNOZUKZDEUUACPAUUAQPZUUDDPUUEUUARFGUHOZUI
      OZCUUARUUFULHUMAUUEUNZUUDRFUIOZRGUIOZUOZDUUHUUBUUCUUIUUJUUHUUEFUPPZUUBUUI
      PAUUEUQZAUULUUEAUULGUPPZFGUROVMMZKUSZUTUUAFVAVBUUHUUEUUNUUCUUJPUUMAUUNUUE
      AUULUUNUUOKVCZUTUUAGVAVBVDIVEVNJVFAYTUAUBCCAYNCPZYPCPZUNZUNZYRYNFNOZYPFNO
      ZMZYNGNOZYPGNOZMZUNZYSUVAYRUVBUVEUKZUVCUVFUKZMUVHUVAYOUVIYQUVJUURYOUVIMAU
      USBYNUUDUVICEUUAYNMUUBUVBUUCUVEUUAYNFNVGUUAYNGNVGVHJUVBUVEVIVJVKUUSYQUVJM
      AUURBYPUUDUVJCEUUAYPMUUBUVCUUCUVFUUAYPFNVGUUAYPGNVGVHJUVCUVFVIVJVLVOUVBUV
      EUVCUVFYNFNVPYNGNVPVQVRUVAFYNYPVSOZVTSZGUVKVTSZUNZUUFUVKVTSZUVHYSUVAFQPGQ
      PUVKQPUUOUVNUVOUJUVAFAUULUUTUUPUTZWAUVAGAUUNUUTUUQUTZWAUVAYNYPUVAYNUUGPZY
      NQPZUVAYNCUUGAUURUUSWBHWCZYNRUUFULTZUVAYPUUGPZYPQPZUVAYPCUUGAUURUUSWDHWCZ
      YPRUUFULTZWEAUUOUUTAUULUUNUUOKWFUTUVKFGWGWHUVAUVDUVLUVGUVMUVAUULUVSUWCUVD
      UVLWIUVPUWAUWEYNYPFWJWKUVAUUNUVSUWCUVGUVMWIUVQUWAUWEYNYPGWJWKWLUVAYNUUFNO
      ZYPUUFNOZMZYSUVOUVAUWFYNUWGYPUVAYNWPPUUFWMPZRYNWNSZYNUUFWOSZUWFYNMUVAYNUW
      AWQUVAUUFUVAFGUVPUVQWRZWSZUVAUVRUWJUVTYNRUUFWTTUVAUVRUWKUVTYNRUUFXATYNUUF
      XBXCUVAYPWPPUWIRYPWNSZYPUUFWOSZUWGYPMUVAYPUWEWQUWMUVAUWBUWNUWDYPRUUFWTTUV
      AUWBUWOUWDYPRUUFXATYPUUFXBXCVOUVAUUFUPPUVSUWCUWHUVOWIUWLUWAUWEYNYPUUFWJWK
      XDXFXGXEUAUBCDEXHXIACDXJSDXKPYLYMWIAUUGUUKCDXJAUULUUNUUGUUKXJSZUUPUUQUULF
      XQPZGXQPZUWPUUNFXLGXLUWQUWRUNZUUGXMLZUUKXMLZMZUWPUWSUWTUUFUXAUWSUUFXQPUWT
      UUFMFGXNUUFXOTUWSUXAUUIXMLZUUJXMLZUHOZUUFUUIXKPZUUJXKPZUXAUXEMRFXPZRGXPZU
      UIUUJXRXSUWQUWRUXCFUXDGUHFXOGXOXTYAYBUUGXKPUUKXKPZUXBUWPWIRUUFXPUXFUXGUXJ
      UXHUXIUUIUUJYCXSZUUGUUKYDXSYEYFVBHIYGDUUKXKIUXKYHCDEYIYJYK $.

    phimul.4 $e |- U = { y e. ( 0 ..^ M ) | ( y gcd M ) = 1 } $.
    phimul.5 $e |- V = { y e. ( 0 ..^ N ) | ( y gcd N ) = 1 } $.
    phimul.6 $e |- W = { y e. S | ( y gcd ( M x. N ) ) = 1 } $.
    $( Lemma for ~ phimul .  (Contributed by Mario Carneiro, 24-Feb-2014.) $)
    phimullem $p |- ( ph ->
                   ( phi ` ( M x. N ) ) = ( ( phi ` M ) x. ( phi ` N ) ) ) $=
      ( wceq wcel vz vw chash cfv cmul co cphi cxp cen wbr cima wss cv wral cmo
      wa cop cgcd oveq1 eqeq1d elrab2 simplbi opeq12d opex fvmpt syl adantl cc0
      c1 cz cn eleqtrdi elfzoelz simp1d adantr zmodfzo syl2anc modgcd cle cdvds
      cfzo nnzd gcddvds simpld wn wne nnne0 simpr necon3ai 3syl syl21anc simp2d
      gcdn0cl simprd dvdsmultr1d wi nnmulcld dvdslegcd syl31anc simprbi breqtrd
      mp2and wb nnle1eq1 mpbid eqtrd sylanbrc dvdstrd opelxpd eqeltrd ralrimiva
      dvdsmul2 wfun cdm wf1o crth f1ofn fnfun ssrab3 sseqtrrid funimass4 mpbird
      wfn fndm mp2an syl2an cmpt eqtri eqtr3d eqeltrrd sylib fzofi eqeltri ssfi
      cfn crab ssrab2 dfphi2 fveq2i eqtr4di xpss12 sseqtrri f1ocnvfv2 wf f1ocnv
      ccnv sseli f1of ffvelrn cbvmptv opelxp rpmul syl3anc funfvima2 imp syldan
      eqelssd f1of1 elexi f1imaen sylancl eqbrtrrd hashen sylibr hashxp eqtr3di
      wf1 xpfi rabeqi oveq12d 3eqtr4d ) AKUCUDZFUCUDZJUCUDZUEUFZHIUEUFZUGUDZHUG
      UDZIUGUDZUEUFAFJUHZUCUDZUVLUVOAUVTKUIUJZUWAUVLSZAGKUKZUVTKUIAUAUWDUVTAUWD
      UVTULZUBUMZGUDZUVTTZUBKUNZAUWHUBKAUWFKTZUPZUWGUWFHUOUFZUWFIUOUFZUQZUVTUWJ
      UWGUWNSZAUWJUWFDTZUWOUWJUWPUWFUVPURUFZVISZCUMZUVPURUFZVISZUWRCUWFDKUWSUWF
      SUWTUWQVIUWSUWFUVPURUSUTRVAZVBZBUWFBUMZHUOUFZUXDIUOUFZUQZUWNDGUXDUWFSUXEU
      WLUXFUWMUXDUWFHUOUSUXDUWFIUOUSVCZNUWLUWMVDVEVFVGUWKUWLUWMFJUWKUWLVHHWAUFZ
      TZUWLHURUFZVISZUWLFTUWKUWFVJTZHVKTZUXJUWKUWFVHUVPWAUFZTZUXMUWJUXPAUWJUWFD
      UXOUXCLVLVGUWFVHUVPVMVFZAUXNUWJAUXNIVKTZHIURUFVISZOVNZVOZUWFHVPVQUWKUXKUW
      FHURUFZVIUWKUXMUXNUXKUYBSUXQUYAUWFHVRVQUWKUYBVIVSUJZUYBVISZUWKUYBUWQVIVSU
      WKUYBUWFVTUJZUYBUVPVTUJZUYBUWQVSUJZUWKUYEUYBHVTUJZUWKUXMHVJTZUYEUYHUPUXQU
      WKHUYAWBZUWFHWCVQZWDUWKUYBHIUWKUYBUWKUXMUYIUWFVHSZHVHSZUPZWEZUYBVKTZUXQUY
      JUWKUXNHVHWFUYOUYAHWGUYNHVHUYLUYMWHWIWJUWFHWMWKZWBZUYJUWKIAUXRUWJAUXNUXRU
      XSOWLZVOZWBZUWKUYEUYHUYKWNWOUWKUYBVJTUXMUVPVJTZUYLUVPVHSZUPZWEZUYEUYFUPUY
      GWPUYRUXQUWKUVPUWKHIUYAUYTWQZWBZUWKUVPVKTZUVPVHWFVUEVUFUVPWGVUDUVPVHUYLVU
      CWHWIWJZUYBUWFUVPWRWSXBUWJUWRAUWJUWPUWRUXBWTVGZXAUWKUYPUYCUYDXCUYQUYBXDVF
      XEXFUWSHURUFZVISZUXLCUWLUXIFUWSUWLSVUKUXKVIUWSUWLHURUSUTPVAXGUWKUWMVHIWAU
      FZTZUWMIURUFZVISZUWMJTUWKUXMUXRVUNUXQUYTUWFIVPVQUWKVUOUWFIURUFZVIUWKUXMUX
      RVUOVUQSUXQUYTUWFIVRVQUWKVUQVIVSUJZVUQVISZUWKVUQUWQVIVSUWKVUQUWFVTUJZVUQU
      VPVTUJZVUQUWQVSUJZUWKVUTVUQIVTUJZUWKUXMIVJTZVUTVVCUPUXQVUAUWFIWCVQZWDUWKV
      UQIUVPUWKVUQUWKUXMVVDUYLIVHSZUPZWEZVUQVKTZUXQVUAUWKUXRIVHWFVVHUYTIWGVVGIV
      HUYLVVFWHWIWJUWFIWMWKZWBZVUAVUGUWKVUTVVCVVEWNUWKUYIVVDIUVPVTUJUYJVUAHIXLV
      QXHUWKVUQVJTUXMVUBVUEVUTVVAUPVVBWPVVKUXQVUGVUIVUQUWFUVPWRWSXBVUJXAUWKVVIV
      URVUSXCVVJVUQXDVFXEXFUWSIURUFZVISZVUPCUWMVUMJUWSUWMSVVLVUOVIUWSUWMIURUSUT
      QVAXGXIXJXKAGXMZKGXNZULZUWEUWIXCADEGXOZGDYCZVVNABDEGHILMNOXPZDEGXQZDGXRWJ
      ZADKVVOUXACDKRXSZAVVQVVRVVODSVVSVVTDGYDWJXTZUBKUVTGYAVQYBAUAUMZUVTTZUPZVW
      DGUUFZUDZGUDZVWDUWDAVVQVWDETZVWIVWDSVWEVVSUVTEVWDUVTUXIVUMUHZEFUXIULJVUMU
      LUVTVWKULVULCUXIFPXSVVMCVUMJQXSFUXIJVUMUUAYEMUUBUUGZDEVWDGUUCYFZAVWEVWHKT
      ZVWIUWDTZVWFVWHDTZVWHUVPURUFZVISZVWNAEDVWGUUDZVWJVWPVWEAVVQEDVWGXOVWSVVSD
      EGUUEEDVWGUUHWJVWLEDVWDVWGUUIYFZVWFVWHHURUFZVISZVWHIURUFZVISZVWRVWFVWHHUO
      UFZHURUFZVXAVIVWFVWHVJTZUXNVXFVXASVWFVWHUXOTVXGVWFVWHDUXOVWTLVLVWHVHUVPVM
      VFZAUXNVWEUXTVOVWHHVRVQVWFVXEUXITZVXFVISZVWFVXEFTZVXIVXJUPVWFVXKVWHIUOUFZ
      JTZVWFVXEVXLUQZUVTTVXKVXMUPVWFVWDVXNUVTVWFVWIVWDVXNVWMVWFVWPVWIVXNSVWTUBV
      WHUWNVXNDGUWFVWHSUWLVXEUWMVXLUWFVWHHUOUSUWFVWHIUOUSVCGBDUXGYGUBDUWNYGNBUB
      DUXGUWNUXHUUJYHVXEVXLVDVEVFYIAVWEWHYJVXEVXLFJUUKYKZWDVULVXJCVXEUXIFUWSVXE
      SVUKVXFVIUWSVXEHURUSUTPVAYKWNYIVWFVXLIURUFZVXCVIVWFVXGUXRVXPVXCSVXHAUXRVW
      EUYSVOVWHIVRVQVWFVXLVUMTZVXPVISZVWFVXMVXQVXRUPVWFVXKVXMVXOWNVVMVXRCVXLVUM
      JUWSVXLSVVLVXPVIUWSVXLIURUSUTQVAYKWNYIVWFVXGUYIVVDVXBVXDUPVWRWPVXHAUYIVWE
      AHUXTWBVOAVVDVWEAIUYSWBVOVWHHIUULUUMXBUXAVWRCVWHDKUWSVWHSUWTVWQVIUWSVWHUV
      PURUSUTRVAXGAVWNVWOAVVNVVPVWNVWOWPVWAVWCKVWHGUUNVQUUOUUPYJUUQADEGUVGZKDUL
      ZUWDKUIUJAVVQVXSVVSDEGUURVFVWBDEKGKYODYOTVXTKYOTZDUXOYOLVHUVPYLYMVWBDKYNY
      EZUUSUUTUVAUVBUVTYOTZVYAUWCUWBXCFYOTZJYOTZVYCFVULCUXIYPZYOPUXIYOTVYFUXIUL
      VYFYOTVHHYLVULCUXIYQUXIVYFYNYEYMZJVVMCVUMYPZYOQVUMYOTVYHVUMULVYHYOTVHIYLV
      VMCVUMYQVUMVYHYNYEYMZFJUVHYEVYBUVTKUVCYEUVDVYDVYEUWAUVOSVYGVYIFJUVEYEUVFA
      VUHUVQUVLSAHIUXTUYSWQVUHUVQUXACUXOYPZUCUDUVLCUVPYRKVYJUCKUXACDYPVYJRUXACD
      UXOLUVIYHYSYTVFAUVRUVMUVSUVNUEAUXNUVRUVMSUXTUXNUVRVYFUCUDUVMCHYRFVYFUCPYS
      YTVFAUXRUVSUVNSUYSUXRUVSVYHUCUDUVNCIYRJVYHUCQYSYTVFUVJUVK $.
  $}

  ${
    $d x y M $.  $d x y N $.
    $( The Euler ` phi ` function is a multiplicative function, meaning that it
       distributes over multiplication at relatively prime arguments.  Theorem
       2.5(c) in [ApostolNT] p. 28.  (Contributed by Mario Carneiro,
       24-Feb-2014.) $)
    phimul $p |- ( ( M e. NN /\ N e. NN /\ ( M gcd N ) = 1 ) ->
                   ( phi ` ( M x. N ) ) = ( ( phi ` M ) x. ( phi ` N ) ) ) $=
      ( vx vy cn wcel cgcd co c1 wceq w3a cc0 cmul cfzo cxp crab cmo cop eqid
      cv cmpt id phimullem ) AEFBEFABGHIJKZCDLABMHZNHZLANHZLBNHZOZDTZAGHIJDUGPZ
      CUFCTZAQHULBQHRUAZABUJBGHIJDUHPZUJUEGHIJDUFPZUFSUISUMSUDUBUKSUNSUOSUC $.
  $}

  ${
    $d x y z A $.  $d w x y z F $.  $d w x y z G $.  $d w x y z N $.  $d x S $.
    $d w x y z ph $.  $d x y z T $.
    eulerth.1 $e |- ( ph -> ( N e. NN /\ A e. ZZ /\ ( A gcd N ) = 1 ) ) $.
    eulerth.2 $e |- S = { y e. ( 0 ..^ N ) | ( y gcd N ) = 1 } $.
    eulerth.3 $e |- T = ( 1 ... ( phi ` N ) ) $.
    eulerth.4 $e |- ( ph -> F : T -1-1-onto-> S ) $.
    eulerth.5 $e |- G = ( x e. T |-> ( ( A x. ( F ` x ) ) mod N ) ) $.
    $( Lemma for ~ eulerth .  (Contributed by Mario Carneiro, 8-May-2015.) $)
    eulerthlem1 $p |- ( ph -> G : T --> S ) $=
      ( co wcel cgcd c1 wceq cz cv cfv cmul cmo wa cc0 cfzo cn simp2d adantr wf
      wf1o f1of syl ffvelrnda oveq1 eqeq1d elrab2 sylib simpld elfzoelz zmulcld
      simp1d zmodfzo syl2anc modgcd nnzd gcdcomd simp3d eqtrd simprd wi syl3anc
      rpmul mp2and 3eqtrd sylanbrc fmptd ) ABFDBUAZGUBZUCOZIUDOZEHAVSFPZUEZWBUF
      IUGOZPZWBIQOZRSZWBEPWDWATPZIUHPZWFWDDVTADTPZWCAWJWKDIQOZRSZJUIZUJZWDVTWEP
      ZVTTPZWDWPVTIQOZRSZWDVTEPWPWSUEAFEVSGAFEGULFEGUKMFEGUMUNUOCUAZIQOZRSZWSCV
      TWEEWTVTSXAWRRWTVTIQUPUQKURUSZUTVTUFIVAUNZVBZAWJWCAWJWKWMJVCZUJZWAIVDVEWD
      WGWAIQOZIWAQOZRWDWIWJWGXHSXEXGWAIVFVEWDWAIXEAITPZWCAIXFVGZUJZVHWDIDQOZRSZ
      IVTQOZRSZXIRSZAXNWCAXMWLRAIDXKWNVHAWJWKWMJVIVJUJWDXOWRRWDIVTXLXDVHWDWPWSX
      CVKVJWDXJWKWQXNXPUEXQVLXLWOXDIDVTVNVMVOVPXBWHCWBWEEWTWBSXAWGRWTWBIQUPUQKU
      RVQNVR $.

    $( Lemma for ~ eulerth .  (Contributed by Mario Carneiro, 28-Feb-2014.) $)
    eulerthlem2 $p |- ( ph -> ( ( A ^ ( phi ` N ) ) mod N ) = ( 1 mod N ) ) $=
      ( co cmo c1 wceq cmul wcel vz vw cphi cfv cexp cmin cdvds wbr cseq cle wa
      cgcd cn cz simp1d phicld nnred leidd adantr cv breq1 anbi2d oveq2 oveq12d
      wi fveq2 oveq1d eqeq12d oveq2d eqeq1d anbi12d imbi12d weq cr cc0 wf1o syl
      wf cfz cuz eleqtrdi eleqtrrdi ffvelrnd oveq1 elrab2 sylib simpld elfzoelz
      nnuz zmulcld zred modabs2 syl2anc 1z ovex fvmpt zcnd 3eqtr4rd nnzd simprd
      gcdcomd eqtrd lep1d adantl syl3anc cn0 ad2antrl zexpcl wss mpbird adantlr
      wb ffvelrnda syldan seqcl sselid mp3an2 modmul1 syl22anc cc seqp1 mulcomd
      eqtr4d sylibd mpan2d eleq2i sylan2br wf1 wral coprmdvds elfzole1 elfzolt2
      moddvds clt modid sylan cfn mp2an sylancl mpbid caddc simp2d cfzo eluzfz1
      crp f1of nnrpd seq1i exp1d seq1 ax-mp a1i oveq2i eqtrid jca nnre peano2re
      letr mpand imdistanda imim1d nnnn0 simprl simprr letrd nnz eluz sseqtrrdi
      fzss2 sselda zmulcl ssrab3 eulerthlem1 nnge1d elfz mpbir2and 3expia mul4d
      peano2nn expp1d modcld syl221anc recnd 3eqtr4d rpmul sylibrd an12s ex a2d
      anim12d syld nnind mpcom mpdan nnnn0d ccnv ccom mulcl mulcom mulass ssidd
      w3a f1ocnv adantrr adantrl eqeqan12d subdid breq2d 3bitr4d simp3d zsubcld
      f1of1 f1fveq 3bitr3d ralrimivva dff13 sylanbrc cen ovexi f1oen fzofi ssfi
      sylbid f1oco f1oeq23 fvco3 fveq2d f1ocnvfv2 eqtr2d seqf1o eqeltrd mulid2d
      f1finf1o ax-1cn subdir zsubcl 3eqtr2d breqtrd mp2and mp3an3 ) ADIUCUDZUEO
      ZIPOQIPORZIVUBQUFOZUGUHZAIVUASGQUIZUDZVUDSOZUGUHZIVUGULOZQRZVUEAIVUBVUGSO
      ZVUASHQUIZUDZUFOZVUHUGAVULIPOZVUNIPOZRZIVUOUGUHZAVURVUKAVUAVUAUJUHZVURVUK
      UKZAVUAAVUAAIAIUMTZDUNTZDIULOZQRZJUOZUPZUQZURVUAUMTZAVUTUKZVVAAVVIVUTVVGU
      SABUTZVUAUJUHZUKZDVVKUEOZVVKVUFUDZSOZIPOZVVKVUMUDZIPOZRZIVVOULOZQRZUKZVEA
      QVUAUJUHZUKZDQUEOZQVUFUDZSOZIPOZQVUMUDZIPOZRZIVWGULOZQRZUKZVEAUAUTZVUAUJU
      HZUKZDVWPUEOZVWPVUFUDZSOZIPOZVWPVUMUDZIPOZRZIVWTULOZQRZUKZVEZAVWPQUUAOZVU
      AUJUHZUKZDVXJUEOZVXJVUFUDZSOZIPOZVXJVUMUDZIPOZRZIVXNULOZQRZUKZVEZVVJVVAVE
      BUAVUAVVKQRZVVMVWEVWCVWOVYDVVLVWDAVVKQVUAUJVAVBVYDVVTVWLVWBVWNVYDVVQVWIVV
      SVWKVYDVVPVWHIPVYDVVNVWFVVOVWGSVVKQDUEVCVVKQVUFVFZVDVGVYDVVRVWJIPVVKQVUMV
      FVGVHVYDVWAVWMQVYDVVOVWGIULVYEVIVJVKVLBUAVMZVVMVWRVWCVXHVYFVVLVWQAVVKVWPV
      UAUJVAVBVYFVVTVXEVWBVXGVYFVVQVXBVVSVXDVYFVVPVXAIPVYFVVNVWSVVOVWTSVVKVWPDU
      EVCVVKVWPVUFVFZVDVGVYFVVRVXCIPVVKVWPVUMVFVGVHVYFVWAVXFQVYFVVOVWTIULVYGVIV
      JVKVLVVKVXJRZVVMVXLVWCVYBVYHVVLVXKAVVKVXJVUAUJVAVBVYHVVTVXSVWBVYAVYHVVQVX
      PVVSVXRVYHVVPVXOIPVYHVVNVXMVVOVXNSVVKVXJDUEVCVVKVXJVUFVFZVDVGVYHVVRVXQIPV
      VKVXJVUMVFVGVHVYHVWAVXTQVYHVVOVXNIULVYIVIVJVKVLVVKVUARZVVMVVJVWCVVAVYJVVL
      VUTAVVKVUAVUAUJVAVBVYJVVTVURVWBVUKVYJVVQVUPVVSVUQVYJVVPVULIPVYJVVNVUBVVOV
      UGSVVKVUADUEVCVVKVUAVUFVFZVDVGVYJVVRVUNIPVVKVUAVUMVFVGVHVYJVWAVUJQVYJVVOV
      UGIULVYKVIVJVKVLAVWOVWDAVWLVWNADQGUDZSOZIPOZIPOZVYNVWKVWIAVYMVNTIUUETZVYO
      VYNRAVYMADVYLAVVBVVCVVEJUUBZAVYLVOIUUCOZTZVYLUNTAVYSVYLIULOZQRZAVYLETVYSW
      UAUKAFEQGAFEGVPZFEGVRZMFEGUUFVQZAQQVUAVSOZFAVUAQVTUDZTQWUETAVUAUMWUFVVGWI
      WAZQVUAUUDVQLWBZWCCUTZIULOZQRZWUACVYLVYREWUIVYLRWUJVYTQWUIVYLIULWDVJKWEWF
      ZWGVYLVOIWHVQZWJWKAIVVFUUGZVYMIWLWMAVWJVYNIPAVYNSHQWNAQFTQHUDVYNRWUHBQDVV
      KGUDZSOZIPOZVYNFHVYDWUPVYMIPVYDWUOVYLDSVVKQGVFVIVGNVYMIPWOWPVQUUHVGAVWHVY
      MIPAVWFDVWGVYLSADADVYQWQZUUIVWGVYLRZAQUNTZWUSWNSGQUUJUUKZUULVDVGWRAVWMIVY
      LULOZQVWGVYLIULWVAUUMAWVBVYTQAIVYLAIVVFWSZWUMXAAVYSWUAWULWTXBUUNUUOUSVWPU
      MTZVXIVXLVXHVEVYCWVDVXLVWRVXHWVDAVXKVWQWVDAUKZVWPVXJUJUHZVXKVWQWVEVWPWVDV
      WPVNTZAVWPUUPZUSZXCWVEWVGVXJVNTZVUAVNTZWVFVXKUKVWQVEWVIWVEWVGWVJWVIVWPUUQ
      ZVQAWVKWVDVVHXDVWPVXJVUAUURXEUUSUUTUVAWVDVXLVXHVYBWVDVXLVXHVYBVEZAWVDVXKW
      VMAWVDVXKUKZUKZVXEVXSVXGVYAWVOVXEVXADVXJGUDZSOZSOZIPOZVXCWVQSOZIPOZRZVXSW
      VOVXAVNTZVXCVNTZWVQUNTZVYPVXEWWBVEWVOVXAWVOVWSVWTWVOVVCVWPXFTZVWSUNTAVVCW
      VNVYQUSZWVDWWFAVXKVWPUVBXGZDVWPXHWMZWVOBCSUNGQVWPWVOVWPUMWUFAWVDVXKUVCWIW
      AZWVOVVKQVWPVSOZTZVVKFTZWUOUNTZWVOWWKFVVKWVOWWKWUEFWVOVUAVWPVTUDTZWWKWUEX
      IWVOWWOVWQWVOVWPVXJVUAWVDWVGAVXKWVHXGZWVOWVGWVJWWPWVLVQAWVKWVNVVHUSWVOVWP
      WWPXCAWVDVXKUVDZUVEWVOVWPUNTZVUAUNTZWWOVWQXLWVDWWRAVXKVWPUVFXGAWWSWVNAVUA
      VVGWSUSZVWPVUAUVGWMXJVWPQVUAUVIVQLUVHUVJZAWWMWWNWVNAWWMUKZWUOVYRTZWWNWXBW
      XCWUOIULOZQRZWXBWUOETWXCWXEUKAFEVVKGWUDXMWUKWXECWUOVYREWUIWUORWUJWXDQWUIW
      UOIULWDVJKWEWFWGWUOVOIWHVQZXKXNVVKUNTWUIUNTUKZVVKWUISOZUNTZWVOVVKWUIUVKZX
      DZXOZWJWKWVOVXCWVOBCSUNHQVWPWWJWVOWWLWWMVVKHUDZUNTZWXAAWWMWXNWVNWXBWXMVYR
      TWXNWXBEVYRWXMWUKCVYREKUVLZAFEVVKHABCDEFGHIJKLMNUVMZXMXPWXMVOIWHVQXKXNWXK
      XOZWKWVODWVPWWGWVOWVPVYRTZWVPUNTZWVOWXRWVPIULOZQRZWVOWVPETWXRWYAUKWVOFEVX
      JGAWUCWVNWUDUSWVOVXJWUEFWVOVXJWUETZQVXJUJUHZVXKWVOVXJWVDVXJUMTAVXKVWPUVSX
      GZUVNWWQWVOVXJUNTZWWSWYBWYCVXKUKXLZWVOVXJWYDWSWWTWYEWUTWWSWYFWNVXJQVUAUVO
      XQWMUVPLWBZWCWUKWYACWVPVYREWUIWVPRWUJWXTQWUIWVPIULWDVJKWEWFZWGWVPVOIWHVQZ
      WJZAVYPWVNWUNUSZWWCWWDUKWWEVYPUKVXEWWBVXAVXCWVQIXRUVQXSWVOWVSVXPWWAVXRWVO
      WVRVXOIPWVOWVRVWSDSOZVWTWVPSOZSOVXOWVOVWSVWTDWVPWVOVWSWWIWQWVOVWTWXLWQADX
      TTZWVNWURUSZWVOWVPWYIWQUVRWVOVXMWYLVXNWYMSWVODVWPWYOWWHUVTWVOVWPWUFTZVXNW
      YMRWWJSGQVWPYAVQZVDYCVGWVOWVQIPOZVXCSOZIPOZWVQVXCSOZIPOZVXRWWAWVOWYRVNTWV
      QVNTZVXCUNTVYPWYRIPOWYRRZWYTXUBRWVOWVQIWVOWVQWYJWKZWYKUWAZXUEWXQWYKWVOXUC
      VYPXUDXUEWYKWVQIWLWMWYRWVQVXCIXRUWBWVOVXQWYSIPWVOVXCVXJHUDZSOZVXCWYRSOVXQ
      WYSWVOXUGWYRVXCSWVOVXJFTXUGWYRRWYGBVXJWUQWYRFHVYHWUPWVQIPVYHWUOWVPDSVVKVX
      JGVFVIVGNWVQIPWOWPVQVIWVOWYPVXQXUHRWWJSHQVWPYAVQWVOWYRVXCWVOWYRXUFUWCWVOV
      XCWXQWQZYBUWDVGWVOWVTXUAIPWVOVXCWVQXUIWVOWVQWYJWQYBVGWRVHYDWVOVXGIWYMULOZ
      QRZVYAWVOVXGIWVPULOZQRZXUKWVOXULWXTQWVOIWVPAIUNTZWVNWVCUSZWYIXAWVOWXRWYAW
      YHWTXBWVOXUNVWTUNTWXSVXGXUMUKXUKVEXUOWXLWYIIVWTWVPUWEXEYEWVOVXTXUJQWVOVXN
      WYMIULWYQVIVJUWFUWJUWGUWHUWIUWKUWLUWMUWNZWGAVVBVULUNTVUNUNTVURVUSXLVVFAVU
      BVUGAVVCVUAXFTVUBUNTZVYQAVUAVVGUWODVUAXHWMZABCSUNGQVUAWUGVVKWUETZAWWMWWNF
      WUEVVKLYFWXFYGZWXGWXIAWXJXDXOZWJAVUNVUGUNABCUAXTSXTUBGUWPZHUWQZGHQVUAVVKX
      TTZWUIXTTZUKZWXHXTTAVVKWUIUWRXDXVFWXHWUIVVKSORAVVKWUIUWSXDXVDXVEVWPXTTUXB
      WXHVWPSOVVKWUIVWPSOSORAVVKWUIVWPUWTXDWUGAXTUXAAFFXVCVPZWUEWUEXVCVPZAEFXVB
      VPZFEHVPZXVGAWUBXVIMFEGUXCVQAFEHYHZXVJAFEHVRZWUIHUDZVWPHUDZRZCUAVMZVEZUAF
      YICFYIXVKWXPAXVQCUAFFAWUIFTZVWPFTZUKZUKZXVOIDWUIGUDZVWPGUDZUFOZSOZUGUHZXV
      PXWADXWBSOZIPOZDXWCSOZIPOZRZIXWGXWIUFOZUGUHZXVOXWFXWAVVBXWGUNTXWIUNTXWKXW
      MXLAVVBXVTVVFUSZXWADXWBAVVCXVTVYQUSZXWAXWBVYRTZXWBUNTZXWAEVYRXWBWXOAXVRXW
      BETXVSAFEWUIGWUDXMUXDXPZXWBVOIWHVQZWJXWADXWCXWOXWAXWCVYRTZXWCUNTZXWAEVYRX
      WCWXOAXVSXWCETXVRAFEVWPGWUDXMUXEXPZXWCVOIWHVQZWJXWGXWIIYMXEXVTXVOXWKXLAXV
      RXVSXVMXWHXVNXWJBWUIWUQXWHFHBCVMZWUPXWGIPXXDWUOXWBDSVVKWUIGVFVIVGNXWGIPWO
      WPBVWPWUQXWJFHVYFWUPXWIIPVYFWUOXWCDSVVKVWPGVFVIVGNXWIIPWOWPUXFXDXWAXWEXWL
      IUGXWADXWBXWCAWYNXVTWURUSXWAXWBXWSWQXWAXWCXXCWQUXGUXHUXIXWAXWFIDULOZQRZXV
      PAXXFXVTAXXEVVDQAIDWVCVYQXAAVVBVVCVVEJUXJXBUSXWAXWFXXFUKZIXWDUGUHZXVPXWAX
      UNVVCXWDUNTXXGXXHVEAXUNXVTWVCUSXWOXWAXWBXWCXWSXXCUXKIDXWDYJXEXWAXWBIPOZXW
      CIPOZRZXWBXWCRZXXHXVPXWAXXIXWBXXJXWCXWAXWBVNTVYPVOXWBUJUHZXWBIYNUHZXXIXWB
      RXWAXWBXWSWKAVYPXVTWUNUSZXWAXWPXXMXWRXWBVOIYKVQXWAXWPXXNXWRXWBVOIYLVQXWBI
      YOXSXWAXWCVNTVYPVOXWCUJUHZXWCIYNUHZXXJXWCRXWAXWCXXCWKXXOXWAXWTXXPXXBXWCVO
      IYKVQXWAXWTXXQXXBXWCVOIYLVQXWCIYOXSVHXWAVVBXWQXXAXXKXXHXLXWNXWSXXCXWBXWCI
      YMXEAFEGYHZXVTXXLXVPXLAWUBXXRMFEGUXLVQFEWUIVWPGUXMYPUXNYDYEUYCUXOCUAFEHUX
      PUXQAFEUXRUHZEYQTZXVKXVJXLAWUBXXSMFEGFQVUAVSLUXSUXTVQVYRYQTEVYRXIXXTVOIUY
      AWXOVYREUYBYRFEHUYMYSYTFEFXVBHUYDWMFWUERZXYAXVGXVHXLLLFWUEFWUEXVCUYEYRWFA
      XUSUKWUOXUTWQUBUTZWUETAXYBFTZXYBHUDZXYBXVCUDZGUDZRFWUEXYBLYFAXYCUKZXYFXYD
      XVBUDZGUDZXYDXYGXYEXYHGAXVLXYCXYEXYHRWXPFEXYBXVBHUYFYPUYGXYGWUBXYDETXYIXY
      DRAWUBXYCMUSAFEXYBHWXPXMFEXYDGUYHWMUYIYGUYJZXVAUYKVULVUNIYMXEYTAVUOVULQVU
      GSOZUFOZVUDVUGSOZVUHAVUNXYKVULUFAVUNVUGXYKXYJAVUGAVUGXVAWQZUYLYCVIAVUBXTT
      ZVUGXTTZXYMXYLRZAVUBXURWQXYNXYOQXTTXYPXYQUYNVUBQVUGUYOXQWMAVUDVUGAVUDAXUQ
      WUTVUDUNTZXURWNVUBQUYPYSZWQXYNYBUYQUYRAVURVUKXUPWTAXUNVUGUNTXYRVUIVUKUKVU
      EVEWVCXVAXYSIVUGVUDYJXEUYSAVVBXUQVUCVUEXLZVVFXURVVBXUQWUTXYTWNVUBQIYMUYTW
      MXJ $.
  $}

  ${
    $d f k x y A $.  $d f k x y N $.
    $( Euler's theorem, a generalization of Fermat's little theorem.  If ` A `
       and ` N ` are coprime, then ` A ^ phi ( N ) == 1 ` (mod ` N ` ).  This
       is Metamath 100 proof #10.  Also called Euler-Fermat theorem, see
       theorem 5.17 in [ApostolNT] p. 113.  (Contributed by Mario Carneiro,
       28-Feb-2014.) $)
    eulerth $p |- ( ( N e. NN /\ A e. ZZ /\ ( A gcd N ) = 1 ) ->
                    ( ( A ^ ( phi ` N ) ) mod N ) = ( 1 mod N ) ) $=
      ( vk vf vx vy wcel cgcd co c1 wceq cfv cc0 cmo chash cfn mp2an sylib cmul
      cv cn cz w3a cphi cfz cfzo crab wf1o cen wbr wex cn0 phicl nnnn0d hashfz1
      cexp syl dfphi2 eqtrd 3ad2ant1 wb fzfi fzofi ssrab2 ssfi hashen bren cmpt
      wss simpl oveq1 eqeq1d cbvrabv eqid simpr fveq2 oveq2d oveq1d eulerthlem2
      wa cbvmptv exlimddv ) BUAGZAUBGZABHIJKZUCZJBUDLZUEIZCTZBHIZJKZCMBUFIZUGZD
      TZUHZAWGUPIBNIJBNIKDWFWHWMUIUJZWODUKWFWHOLZWMOLZKZWPWCWDWSWEWCWQWGWRWCWGU
      LGWQWGKWCWGBUMUNWGUOUQCBURUSUTWHPGWMPGZWSWPVAJWGVBWLPGWMWLVIWTMBVCWKCWLVD
      WLWMVEQWHWMVFQRWHWMDVGRWFWOVTEFAWMWHWNCWHAWIWNLZSIZBNIZVHBWFWOVJWKFTZBHIZ
      JKCFWLWIXDKWJXEJWIXDBHVKVLVMWHVNWFWOVOCEWHXCAETZWNLZSIZBNIWIXFKZXBXHBNXIX
      AXGASWIXFWNVPVQVRWAVSWB $.
  $}

  $( Fermat's little theorem.  When ` P ` is prime, ` A ^ P == A ` (mod ` P ` )
     for any ` A ` , see theorem 5.19 in [ApostolNT] p. 114.  (Contributed by
     Mario Carneiro, 28-Feb-2014.)  (Proof shortened by AV, 19-Mar-2022.) $)
  fermltl $p |- ( ( P e. Prime /\ A e. ZZ ) ->
                  ( ( A ^ P ) mod P ) = ( A mod P ) ) $=
    ( cprime wcel cz wa cdvds wbr cexp co wceq wi cgcd c1 cmul 3ad2ant1 syl2anc
    cmo cr oveq1d cn prmnn dvdsmodexp 3exp sylc adantr coprm prmz gcdcom eqeq1d
    sylan bitrd w3a cphi cfv crp cn0 simp2 phicld nnnn0d zexpcl zred 1red nnrpd
    wn eulerth syl3an1 modmul1 syl221anc cmin phiprm oveq2d zcnd expm1t mulid2d
    cc eqtr4d 3eqtr3d 3expia sylbid pm2.61d ) BCDZAEDZFZBAGHZABIJZBRJZABRJZKZWB
    WEWILZWCWBBUADZWKWJBUBZWLWKWKWEWIABBUCUDUEUFWDWEVEZABMJZNKZWIWDWMBAMJZNKWOB
    AUGWDWPWNNWBBEDWCWPWNKBUHBAUIUKUJULWBWCWOWIWBWCWOUMZABUNUOZIJZAOJZBRJZNAOJZ
    BRJZWGWHWQWSSDNSDWCBUPDWSBRJNBRJKZXAXCKWQWSWQWCWRUQDWSEDWBWCWOURZWQWRWQBWBW
    CWKWOWLPZUSUTAWRVAQVBWQVCXEWQBXFVDWBWKWCWOXDWLABVFVGWSNABVHVIWQWTWFBRWQWTAB
    NVJJZIJZAOJZWFWQWSXHAOWQWRXGAIWBWCWRXGKWOBVKPVLTWQAVPDWKWFXIKWQAXEVMZXFABVN
    QVQTWQXBABRWQAXJVOTVRVSVTWA $.

  ${
    prmdiv.1 $e |- R = ( ( A ^ ( P - 2 ) ) mod P ) $.
    $( Show an explicit expression for the modular inverse of ` A mod P ` .
       (Contributed by Mario Carneiro, 24-Jan-2015.) $)
    prmdiv $p |- ( ( P e. Prime /\ A e. ZZ /\ -. P || A ) ->
      ( R e. ( 1 ... ( P - 1 ) ) /\ P || ( ( A x. R ) - 1 ) ) ) $=
      ( wcel cz cdvds wbr c1 cmin co cfz cmul cc0 wceq 3ad2ant1 c2 syl2anc zcnd
      cn0 cprime wn w3a caddc nprmdvds1 cphi cfv cexp cdiv prmz simp2 phiprm cn
      cfl nnm1nn0 syl eqeltrd zexpcl 1z zsubcl sylancl cuz prmuz2 uznn0sub zred
      prmnn nndivred flcld zmulcld cmo cgcd gcdcomd coprm biimp3a eqtrd eulerth
      syl3anc wb 1zzd moddvds mpbid dvdsmul1 dvds2subd subdid crp modval eqtrid
      nnrpd oveq2d 2m1e1 oveq2i eqtr4di 2cnd 1cnd subsubd expp1d mulcomd 3eqtrd
      nncnd mul12d oveq12d 3eqtr4d oveq1d sub32d breqtrrd breq2d syl5ibcom cneg
      cr oveq2 mul01d df-neg dvdsnegb bitr4d sylibd wo zmodfz eqeltrid eleqtrdi
      mtod nn0uz elfzp12 ord mpd 1e0p1 oveq1i eleqtrrdi jca ) BUAEZAFEZBAGHUBZU
      CZCIBIJKZLKZEBACMKZIJKZGHZYLCNIUDKZYMLKZYNYLCNOZUBCYSEZYLYTBIGHZYIYJUUBUB
      YKBUEPYLYTBANMKZIJKZGHZUUBYLYQYTUUEYLBABUFUGZUHKZIJKZBAABQJKZUHKZBUIKZUNU
      GZMKZMKZJKZYPGYLBUUHUUNYIYJBFEZYKBUJPZYLUUGFEZIFEZUUHFEYLYJUUFTEUURYIYJYK
      UKZYLUUFYMTYIYJUUFYMOYKBULPZYLBUMEZYMTEYIYJUVBYKBVFPZBUOUPZUQAUUFURRZUSUU
      GIUTVAYLBUUMUUQYLAUULUUTYLUUKYLUUJBYLUUJYLYJUUITEZUUJFEZUUTYLBQVBUGEZUVFY
      IYJUVHYKBVCPQBVDUPZAUUIURRZVEZUVCVGVHZVIZVIZYLUUGBVJKIBVJKOZBUUHGHZYLUVBY
      JABVKKZIOUVOUVCUUTYLUVQBAVKKZIYLABUUTUUQVLYIYJYKUVRIOBAVMVNVOABVPVQYLUVBU
      URUUSUVOUVPVRUVCUVEYLVSUUGIBVTVQWAYLUUPUUMFEBUUNGHUUQUVMBUUMWBRWCYLYPUUGU
      UNJKZIJKUUOYLYOUVSIJYLAUUJBUULMKZJKZMKAUUJMKZAUVTMKZJKYOUVSYLAUUJUVTYLAUU
      TSZYLUUJUVJSZYLUVTYLBUULUUQUVLVISWDYLCUWAAMYLCUUJBVJKZUWADYLUUJXIEBWEEUWF
      UWAOUVKYLBUVCWHUUJBWFRWGWIYLUUGUWBUUNUWCJYLUUGAUUIIUDKZUHKUUJAMKUWBYLUUFU
      WGAUHYLUUFBQIJKZJKZUWGYLUUFYMUWIUVAUWHIBJWJWKWLYLBQIYLBUVCWSZYLWMYLWNZWOV
      OWIYLAUUIUWDUVIWPYLUUJAUWEUWDWQWRYLBAUULUWJUWDYLUULUVLSWTXAXBXCYLUUGUUNIY
      LUUGUVESYLUUNUVNSUWKXDVOXEZYTYPUUDBGYTYOUUCIJCNAMXJXCXFXGYLUUEBIXHZGHZUUB
      YLUUDUWMBGYLUUDNIJKUWMYLUUCNIJYLAUWDXKXCIXLWLXFYLUUPUUSUUBUWNVRUUQUSBIXMV
      AXNXOXTYLYTUUAYLCNYMLKZEZYTUUAXPZYLCUWFUWODYLUVGUVBUWFUWOEUVJUVCUUJBXQRXR
      YLYMNVBUGZEUWPUWQVRYLYMTUWRUVDYAXSCNYMYBUPWAYCYDIYRYMLYEYFYGUWLYH $.

    $( The modular inverse of ` A mod P ` is unique.  (Contributed by Mario
       Carneiro, 24-Jan-2015.) $)
    prmdiveq $p |- ( ( P e. Prime /\ A e. ZZ /\ -. P || A ) ->
     ( ( S e. ( 0 ... ( P - 1 ) ) /\ P || ( ( A x. S ) - 1 ) ) <-> S = R ) ) $=
      ( wcel cz cdvds wbr cc0 c1 cmin co cmul wa wceq cmo ad2antrl zcnd syl2anc
      cprime w3a cfz cgcd simpl1 prmz syl simpl2 elfzelz zmulcld zsubcl sylancl
      wn prmdiv adantr simpld simprr simprd dvds2subd 1cnd nnncan2d cn0 elfznn0
      1z nn0red recnd subdid eqtr4d breqtrd wb coprm mpbid wi zsubcld coprmdvds
      simpl3 syl3anc mp2and cn prmnn moddvds mpbird crp cle clt elfzle1 elfzle2
      cr nnrpd zltlem1 modid syl22anc c2 cexp cuz cfv prmuz2 uznn0sub 3syl zred
      zexpcl modabs2 oveq1i 3eqtr4g 3eqtr3d fz1ssfz0 sseli eleq1 syl5ibr oveq1d
      ex oveq2 breq2d biimprd anim12d syl5com impbid ) BUAFZAGFZBAHIUMZUBZDJBKL
      MZUCMZFZBADNMZKLMZHIZOZDCPZYAYHYIYAYHOZDBQMZCBQMZDCYJYKYLPZBDCLMZHIZYJBAY
      NNMZHIZBAUDMKPZYOYJBYFACNMZKLMZLMZYPHYJBYFYTYJXRBGFZXRXSXTYHUEZBUFUGZYJYE
      GFKGFZYFGFYJADXRXSXTYHUHZYDDGFZYAYGDJYBUIRZUJZVDYEKUKULYJYSGFUUEYTGFYJACU
      UFYJCKYBUCMZFZCGFZYJUUKBYTHIZYAUUKUUMOZYHABCEUNZUOZUPCKYBUIUGZUJZVDYSKUKU
      LYAYDYGUQYJUUKUUMUUPURUSYJUUAYEYSLMYPYJYEYSKYJYEUUISYJYSUURSYJUTVAYJADCYJ
      AUUFSYJDYJDYDDVBFYAYGDYBVCRVEZVFYJCUUQSVGVHVIYJXTYRXRXSXTYHVPYJXRXSXTYRVJ
      UUCUUFBAVKTVLYJUUBXSYNGFYQYROYOVMUUDUUFYJDCUUHUUQVNBAYNVOVQVRYJBVSFZUUGUU
      LYMYOVJYJXRUUTUUCBVTUGZUUHUUQDCBWAVQWBYJDWHFBWCFZJDWDIZDBWEIZYKDPUUSYJBUV
      AWIZYDUVCYAYGDJYBWFRYJUVDDYBWDIZYDUVFYAYGDJYBWGRYJUUGUUBUVDUVFVJUUHUUDDBW
      JTWBDBWKWLYJABWMLMZWNMZBQMZBQMZUVIYLCYJUVHWHFUVBUVJUVIPYJUVHYJXSUVGVBFZUV
      HGFUUFYJXRBWMWOWPFUVKUUCBWQWMBWRWSAUVGXATWTUVEUVHBXBTCUVIBQEXCEXDXEXKYAUU
      NYIYHUUOYIUUKYDUUMYGUUKYDYICYCFUUJYCCYBXFXGDCYCXHXIYIYGUUMYIYFYTBHYIYEYSK
      LDCANXLXJXMXNXOXPXQ $.

    $( The (modular) inverse of the inverse of a number is itself.
       (Contributed by Mario Carneiro, 24-Jan-2015.) $)
    prmdivdiv $p |- ( ( P e. Prime /\ A e. ( 1 ... ( P - 1 ) ) ) ->
                      A = ( ( R ^ ( P - 2 ) ) mod P ) ) $=
      ( wcel c1 cmin co cfz wa cmul cdvds wbr cz wn cn elfznn fzm1ndvds syl3anc
      nncnd cprime cc0 c2 cexp cmo wceq fz1ssfz0 simpr sselid simpl adantl nnzd
      prmnn sylan prmdiv simprd simpld mulcomd oveq1d breqtrd elfzelzd syl2an2r
      syl wb eqid prmdiveq mpbi2and ) BUAEZAFBFGHZIHZEZJZAUBVIIHZEZBCAKHZFGHZLM
      ZACBUCGHUDHBUEHZUFZVLVJVMAVIUGVHVKUHUIVLBACKHZFGHZVPLVLCVJEZBWALMZVLVHANE
      BALMOZWBWCJVHVKUJZVLAVKAPEVHAVIQUKZULVHBPEZVKWDBUMZBARUNABCDUOSZUPVLVTVOF
      GVLACVLAWFTVLCVLWBCPEVLWBWCWIUQZCVIQVCTURUSUTVLVHCNEBCLMOZVNVQJVSVDWEVLCF
      VIWJVAVHWGVKWBWKWHWJBCRVBCBVRAVRVEVFSVG $.
  $}

  ${
    $d w x y M $.  $d w x z M $.  $d w x A $.  $d w x B $.  $d w x y N $.
    $d z N $.
    hashgcdlem.a $e |- A = { y e. ( 0 ..^ ( M / N ) ) |
        ( y gcd ( M / N ) ) = 1 } $.
    hashgcdlem.b $e |- B = { z e. ( 0 ..^ M ) | ( z gcd M ) = N } $.
    hashgcdlem.f $e |- F = ( x e. A |-> ( x x. N ) ) $.
    $( A correspondence between elements of specific GCD and relative primes in
       a smaller ring.  (Contributed by Stefan O'Rear, 12-Sep-2015.) $)
    hashgcdlem $p |- ( ( M e. NN /\ N e. NN /\ N || M ) ->
        F : A -1-1-onto-> B ) $=
      ( wcel wbr co cc0 cgcd c1 wceq wa adantr vw cn cdvds cmul cdiv cfzo oveq1
      w3a eqeq1d elrab2 cn0 elfzonn0 ad2antrl nnnn0 3ad2ant2 nn0mulcld elfzolt2
      cv clt simpl1 cr wb cz elfzoelz zred nnre 3ad2ant1 nngt0 ltmuldiv syl3anc
      jca mpbird elfzo0 syl3anbrc cc wne nnne0 divcan1d eqcomd oveq2d nndivdvds
      nncn biimp3a nnzd mulgcdr simprr oveq1d mulid2d eqtrd 3eqtrd sylanbrc cle
      sylan2b gcddvds syl2anc eqbrtrrd nnz dvdsval2 mpbid elfzofz elfznn0 nn0re
      simpld cfz nn0ge0 3syl divge0 elnn0z ltdiv1 simpl2 simpl3 gcddiv syl32anc
      dividd 3eqtr3d simplbi anim12i ad2antll eqeq2d syl5ibrcom divcan4d impbid
      zcnd sylan2 f1o2d ) GUBLZHUBLZHGUCMZUHZAUADEAURZHUDNZUAURZHUENZFKYJDLZYIY
      JOGHUENZUFNZLZYJYOPNZQRZSZYKELZBURZYOPNZQRZYSBYJYPDUUBYJRUUCYRQUUBYJYOPUG
      UIIUJZYIYTSZYKOGUFNZLZYKGPNZHRZUUAUUFYKUKLYFYKGUSMZUUHUUFYJHYQYJUKLYIYSYJ
      YOULUMYIHUKLZYTYGYFUULYHHUNUOTZUPYFYGYHYTUTUUFUUKYJYOUSMZYQUUNYIYSYJOYOUQ
      UMUUFYJVALGVALZHVALZOHUSMZSZUUKUUNVBUUFYJYQYJVCLZYIYSYJOYOVDZUMZVEYIUUOYT
      YFYGUUOYHGVFVGZTYIUURYTYGYFUURYHYGUUPUUQHVFHVHVKUOZTYJGHVIVJVLYKGVMVNUUFU
      UIYKYOHUDNZPNZYRHUDNZHUUFGUVDYKPUUFUVDGYIUVDGRYTYIGHYFYGGVOLYHGWBVGYGYFHV
      OLZYHHWBUOZYGYFHOVPZYHHVQUOZVRTVSVTUUFUUSYOVCLZUULUVEUVFRUVAYIUVKYTYIYOYF
      YGYHYOUBLZGHWAWCZWDTUUMYJYOHWEVJUUFUVFQHUDNZHUUFYRQHUDYIYQYSWFWGYIUVNHRYT
      YIHUVHWHTWIWJCURZGPNZHRZUUJCYKUUGEUVOYKRUVPUUIHUVOYKGPUGUIJUJWKWMYLELZYIY
      LUUGLZYLGPNZHRZSZYMDLZUVQUWACYLUUGEUVOYLRUVPUVTHUVOYLGPUGUIJUJZYIUWBSZYMY
      PLZYMYOPNZQRZUWCUWEYMUKLZUVLYMYOUSMZUWFUWEYMVCLZOYMWLMZUWIUWEHYLUCMZUWKUW
      EUVTHYLUCYIUVSUWAWFZUWEUVTYLUCMZUVTGUCMZUWEYLVCLZGVCLZUWOUWPSUVSUWQYIUWAY
      LOGVDZUMZUWEGYFYGYHUWBUTWDZYLGWNWOXCWPZUWEHVCLZUVIUWQUWMUWKVBYIUXCUWBYGYF
      UXCYHHWQUOTYIUVIUWBUVJTUWTHYLWRVJWSUWEYLVALZOYLWLMZSZUURUWLUWEYLOGXDNLZYL
      UKLZUXFUVSUXGYIUWAYLOGWTUMYLGXAUXHUXDUXEYLXBYLXEVKXFYIUURUWBUVCTZYLHXGWOY
      MXHWKYIUVLUWBUVMTUWEYLGUSMZUWJUVSUXJYIUWAYLOGUQUMUWEUXDUUOUURUXJUWJVBUWEY
      LUWTVEYIUUOUWBUVBTUXIYLGHXIVJWSYMYOVMVNUWEUVTHUENZHHUENZUWGQUWEUVTHHUEUWN
      WGUWEUWQUWRYGUWMYHUXKUWGRUWTUXAYFYGYHUWBXJUXBYFYGYHUWBXKYLGHXLXMYIUXLQRUW
      BYIHUVHUVJXNTXOUUDUWHBYMYPDUUBYMRUUCUWGQUUBYMYOPUGUIIUJWKWMYNUVRSYIYQUVSS
      ZYJYMRZYLYKRZVBYNYQUVRUVSYNYQYSUUEXPUVRUVSUWAUWDXPXQYIUXMSZUXNUXOUXPUXOUX
      NYLYMHUDNZRUXPUXQYLUXPYLHUXPYLUVSUWQYIYQUWSXRYCYIUVGUXMUVHTZYIUVIUXMUVJTZ
      VRVSUXNYKUXQYLYJYMHUDUGXSXTUXPUXNUXOYJYKHUENZRUXPUXTYJUXPYJHUXPYJYQUUSYIU
      VSUUTUMYCUXRUXSYAVSUXOYMUXTYJYLYKHUEUGXSXTYBYDYE $.
  $}

  ${
    $d x z M $.  $d x z N $.  $d y z M $.  $d y z N $.
    $( Number of initial positive integers with specified divisors.
       (Contributed by Stefan O'Rear, 12-Sep-2015.) $)
    hashgcdeq $p |- ( ( M e. NN /\ N e. NN ) -> ( # ` { x e. ( 0 ..^ M ) |
          ( x gcd M ) = N } ) = if ( N || M , ( phi ` ( M / N ) ) , 0 ) ) $=
      ( vy vz cdvds wbr cv cgcd co wceq cc0 cfzo chash cfv cn wcel wa eqid c0
      crab cdiv cphi cif eqeq2 nndivdvds biimpa dfphi2 syl cmul cmpt hashgcdlem
      c1 wf1o cen 3expa ovex rabex f1oen hasheni 3syl eqtr2d wn simprr elfzoelz
      wral ad2antrl nnz ad2antrr gcddvds syl2anc simprd eqbrtrrd con3d impancom
      cz expr ralrimiv rabeq0 sylibr fveq2d hash0 eqtrdi ifbothda ) CBFGZAHZBIJ
      ZCKZALBMJZUAZNOZBCUBJZUCOZKWKLKWKWEWMLUDZKBPQZCPQZRZWMLWMWNWKUELWNWKUEWQW
      ERZWMDHWLIJUMKZDLWLMJZUAZNOZWKWRWLPQZWMXBKWQWEXCBCUFUGDWLUHUIWRXAWJEXAEHC
      UJJUKZUNZXAWJUOGXBWKKWOWPWEXEEDAXAWJXDBCXASWJSXDSULUPXAWJXDWSDWTLWLMUQURU
      SXAWJUTVAVBWQWEVCZRZWKTNOLXGWJTNXGWHVCZAWIVFWJTKXGXHAWIWQWFWIQZXFXHWQXIRW
      HWEWQXIWHWEWQXIWHRZRZWGCBFWQXIWHVDXKWGWFFGZWGBFGZXKWFVPQZBVPQZXLXMRXIXNWQ
      WHWFLBVEVGWOXOWPXJBVHVIWFBVJVKVLVMVQVNVOVRWHAWIVSVTWAWBWCWD $.

    $d d w x y z N $.
    $( The divisor sum identity of the totient function.  Theorem 2.2 in
       [ApostolNT] p. 26.  (Contributed by Stefan O'Rear, 12-Sep-2015.) $)
    phisum $p |- ( N e. NN -> sum_ d e. { x e. NN | x || N }
          ( phi ` d ) = N ) $=
      ( vy vz vw cn wcel cv cdvds wbr crab cfv co wceq cc0 chash cdiv wa cfn c1
      cphi csu cgcd cfzo ciun breq1 elrab cif hashgcdeq adantrr iftrue ad2antll
      eqtrd sylan2b sumeq2dv cfz fzfi dvdsssfz1 ssfi sylancr fzofi ssrab2 mp2an
      wss wral wdisj oveq1 eqeq1d simprbi rgen rgenw invdisj mp1i hashiun fveq2
      cmpt eqid dvdsflip oveq2 ovex fvmpt adantl elrabi phicld fsumf1o 3eqtr4rd
      a1i nncnd wrex iunrab cz elfzoelz nnz adantr nnne0 neneqd intnand gcdn0cl
      wn syl21anc gcddvds syl2anc simprd elrabd ralrimiva rabid2 sylibr eqtr4id
      clel5 sylib fveq2d cn0 nnnn0 hashfzo0 syl ) BGHZAIZBJKZAGLZCIZUBMZCUCZDXT
      EIZBUDNZDIZOZEPBUENZLZUFZQMZBXQXTYIQMZDUCXTBYFRNZUBMZDUCYKYCXQXTYLYNDYFXT
      HZXQYFGHZYFBJKZSZYLYNOXSYQAYFGXRYFBJUGUHXQYRSYLYQYNPUIZYNXQYPYLYSOYQEBYFU
      JUKYQYSYNOXQYPYQYNPULUMUNUOUPXQDXTYIXQUABUQNZTHXTYTVEXTTHUABURBAUSYTXTUTV
      AZYITHZXQYOSYHTHYIYHVEUUBPBVBYGEYHVCYHYIUTVDWHFIZBUDNZYFOZFYIVFZDXTVFDXTY
      IVGXQUUFDXTUUEFYIUUCYIHUUCYHHUUEYGUUEEUUCYHYDUUCOYEUUDYFYDUUCBUDVHVIUHVJV
      KVLDFXTYIUUDVMVNVOXQXTYBXTYNCDEXTBYDRNZVQZYMYAYMUBVPUUAAEXTUUHBXTVRUUHVRZ
      VSYOYFUUHMYMOXQEYFUUGYMXTUUHYDYFBRVTUUIBYFRWAWBWCXQYAXTHZSZYBUUKYAUUJYAGH
      XQXSAYAGWDWCWEWIWFWGXQYKYHQMZBXQYJYHQXQYJYGDXTWJZEYHLZYHYGDEXTYHWKXQUUMEY
      HVFYHUUNOXQUUMEYHXQYDYHHZSZYEXTHUUMUUPXSYEBJKZAYEGXRYEBJUGUUPYDWLHZBWLHZY
      DPOZBPOZSWTZYEGHUUOUURXQYDPBWMWCZXQUUSUUOBWNWOZXQUVBUUOXQUVAUUTXQBPBWPWQW
      RWOYDBWSXAUUPYEYDJKZUUQUUPUURUUSUVEUUQSUVCUVDYDBXBXCXDXEDXTYEXJXKXFUUMEYH
      XGXHXIXLXQBXMHUULBOBXNBXOXPUNUN $.
  $}

  ${
    $d m n x N $.  $d n x A $.  $d n K $.
    $( Value of the order function.  This is a function of functions; the inner
       argument selects the base (i.e., mod ` N ` for some ` N ` , often prime)
       and the outer argument selects the integer or equivalence class (if you
       want to think about it that way) from the integers mod ` N ` .  In order
       to ensure the supremum is well-defined, we only define the expression
       when ` A ` and ` N ` are coprime.  (Contributed by Mario Carneiro,
       23-Feb-2014.)  (Revised by AV, 26-Sep-2020.) $)
    odzval $p |- ( ( N e. NN /\ A e. ZZ /\ ( A gcd N ) = 1 ) ->
                  ( ( odZ ` N ) ` A ) = inf ( { n e. NN |
                    N || ( ( A ^ n ) - 1 ) } , RR , < ) ) $=
      ( vx vm cn wcel cz cgcd co c1 wceq cfv cv cexp cmin cdvds crab cr clt wbr
      codz cinf cmpt oveq2 eqeq1d rabbidv oveq1 cbvrabv eqtr4di breq1 mpteq12dv
      wa infeq1d df-odz zex mptrabex fvmpt fveq1d elrab oveq1d breq2d eqid ltso
      infex sylbir sylan9eq 3impb ) CFGZAHGZACIJZKLZACUBMZMZCABNZOJZKPJZQUAZBFR
      ZSTUCZLVIVJVLUMZVNADVOCIJZKLZBHRZCDNZVOOJZKPJZQUAZBFRZSTUCZUDZMZVTVIAVMWK
      ECDWEENZIJZKLZDHRZWMWGQUAZBFRZSTUCZUDWKFUBWMCLZDWPWSWDWJWTWPWECIJZKLZDHRW
      DWTWOXBDHWTWNXAKWMCWEIUEUFUGWCXBBDHVOWELWBXAKVOWECIUHUFUIUJWTSWRWITWTWQWH
      BFWMCWGQUKUGUNULDBEUOWCDBHWJUPUQURUSWAAWDGWLVTLWCVLBAHVOALWBVKKVOACIUHUFU
      TDAWJVTWDWKWEALZSWIVSTXCWHVRBFXCWGVQCQXCWFVPKPWEAVOOUHVAVBUGUNWKVCSVSTVDV
      EURVFVGVH $.

    $( - Lemma for ~ odzcl , showing existence of a recurrent point for the
       exponential.  (Contributed by Mario Carneiro, 28-Feb-2014.)  (Proof
       shortened by AV, 26-Sep-2020.) $)
    odzcllem $p |- ( ( N e. NN /\ A e. ZZ /\ ( A gcd N ) = 1 ) ->
                    ( ( ( odZ ` N ) ` A ) e. NN /\
                      N || ( ( A ^ ( ( odZ ` N ) ` A ) ) - 1 ) ) ) $=
      ( vn cn wcel cz cgcd co c1 wceq cfv cexp cmin cdvds wbr cmo syl2anc oveq2
      oveq1d breq2d w3a codz cv crab wa clt cinf odzval cuz wss wne ssrab2 nnuz
      cr c0 sseqtri wrex cphi phicl 3ad2ant1 eulerth wb simp1 cn0 nnnn0d zexpcl
      simp2 1z moddvds mp3an3 mpbid rspcev rabn0 sylibr infssuzcl sylancr elrab
      eqeltrd sylib ) BDEZAFEZABGHIJZUAZABUBKKZBACUCZLHZIMHZNOZCDUDZEWDDEBAWDLH
      ZIMHZNOZUEWCWDWIUNUFUGZWIACBUHWCWIIUIKZUJWIUOUKZWMWIEWIDWNWHCDULUMUPWCWHC
      DUQZWOWCBURKZDEZBAWQLHZIMHZNOZWPVTWAWRWBBUSUTZWCWSBPHIBPHJZXAABVAWCVTWSFE
      ZXCXAVBZVTWAWBVCWCWAWQVDEXDVTWAWBVGWCWQXBVEAWQVFQVTXDIFEXEVHWSIBVIVJQVKWH
      XACWQDWEWQJZWGWTBNXFWFWSIMWEWQALRSTVLQWHCDVMVNWIIVOVPVRWHWLCWDDWEWDJZWGWK
      BNXGWFWJIMWEWDALRSTVQVS $.

    $( The order of a group element is an integer.  (Contributed by Mario
       Carneiro, 28-Feb-2014.) $)
    odzcl $p |- ( ( N e. NN /\ A e. ZZ /\ ( A gcd N ) = 1 ) ->
                 ( ( odZ ` N ) ` A ) e. NN ) $=
      ( cn wcel cz cgcd co c1 wceq w3a codz cfv cexp cmin cdvds odzcllem simpld
      wbr ) BCDAEDABFGHIJABKLLZCDBASMGHNGORABPQ $.

    $( Any element raised to the power of its order is ` 1 ` .  (Contributed by
       Mario Carneiro, 28-Feb-2014.) $)
    odzid $p |- ( ( N e. NN /\ A e. ZZ /\ ( A gcd N ) = 1 ) ->
                      N || ( ( A ^ ( ( odZ ` N ) ` A ) ) - 1 ) ) $=
      ( cn wcel cz cgcd co c1 wceq w3a codz cfv cexp cmin cdvds odzcllem simprd
      wbr ) BCDAEDABFGHIJABKLLZCDBASMGHNGORABPQ $.

    $( The only powers of ` A ` that are congruent to ` 1 ` are the multiples
       of the order of ` A ` .  (Contributed by Mario Carneiro, 28-Feb-2014.)
       (Proof shortened by AV, 26-Sep-2020.) $)
    odzdvds $p |- ( ( ( N e. NN /\ A e. ZZ /\ ( A gcd N ) = 1 ) /\ K e. NN0 )
      -> ( N || ( ( A ^ K ) - 1 ) <-> ( ( odZ ` N ) ` A ) || K ) ) $=
      ( vn cn wcel cz co c1 wceq cn0 cmo cexp cmin cdvds wbr cc0 syl2anc oveq1d
      cr cgcd w3a wa codz cfv wn wi cle clt crp nn0re adantl odzcl adantr nnrpd
      modlt nn0z zmodcld nn0red nnred ltnled mpbid crab cinf oveq2 breq2d elrab
      cv cuz wss ssrab2 nnuz sseqtri infssuzle mpan sylbir ancoms odzval breq1d
      syl5ibr mtod imnan sylibr wo elnn0 sylib ord syld simpl1 dvds0 syl simpl2
      nnzd zcnd exp0d 1m1e0 eqtrdi breqtrrd syl5ibrcom impbid cdiv cfl nndivred
      cmul nnnn0d nn0ge0 wb nngt0d ge0div syl3anc nn0mulcld zexpcl zred expmuld
      1red 1zzd odzid moddvds mpbird modexp syl221anc flcld 1exp 3eqtrd modmul1
      flge0nn0 caddc expaddd modval oveq2d nn0cnd recnd pncan3d mulid2d 3eqtr3d
      eqtrd eqtr3d eqeq1d sylancom 3bitr3d dvdsval3 3bitr4d ) CEFZAGFZACUAHIJZU
      BZBKFZUCZCABACUDUEUEZLHZMHZINHZOPZUUJQJZCABMHZINHOPZUUIBOPZUUHUUMUUNUUHUU
      MUUJEFZUFZUUNUUHUUMUURUCZUFUUMUUSUGUUHUUTUUIUUJUHPZUUHUUJUUIUIPZUVAUFUUHB
      TFZUUIUJFZUVBUUGUVCUUFBUKULZUUHUUIUUFUUIEFZUUGACUMUNZUOZBUUIUPRUUHUUJUUIU
      UHUUJUUHBUUIUUGBGFZUUFBUQULZUVGURZUSUUHUUIUVGUTZVAVBUUTUVAUUHCADVHZMHZINH
      ZOPZDEVCZTUIVDZUUJUHPZUURUUMUVSUURUUMUCUUJUVQFZUVSUVPUUMDUUJEUVMUUJJZUVOU
      ULCOUWAUVNUUKINUVMUUJAMVESVFVGUVQIVIUEZVJUVTUVSUVQEUWBUVPDEVKVLVMUUJUVQIV
      NVOVPVQUUHUUIUVRUUJUHUUFUUIUVRJUUGADCVRUNVSVTWAUUMUURWBWCUUHUURUUNUUHUUJK
      FZUURUUNWDUVKUUJWEWFWGWHUUHUUMUUNCAQMHZINHZOPUUHCQUWEOUUHCGFCQOPUUHCUUCUU
      DUUEUUGWIZWMCWJWKUUHUWEIINHQUUHUWDIINUUHAUUHAUUCUUDUUEUUGWLZWNZWOSWPWQWRU
      UNUULUWECOUUNUUKUWDINUUJQAMVESVFWSWTUUHUUOCLHZICLHZJZUUKCLHZUWJJZUUPUUMUU
      HUWIUWLUWJUUHAUUIBUUIXAHZXBUEZXDHZMHZUUKXDHZCLHZIUUKXDHZCLHZUWIUWLUUHUWQT
      FITFUUKGFZCUJFZUWQCLHZUWJJUWSUXAJUUHUWQUUHUUDUWPKFUWQGFUWGUUHUUIUWOUUHUUI
      UVGXEZUUHUWNTFQUWNUHPZUWOKFZUUHBUUIUVEUVGXCZUUHQBUHPZUXFUUGUXIUUFBXFULUUH
      UVCUUITFQUUIUIPUXIUXFXGUVEUVLUUHUUIUVGXHBUUIXIXJVBUWNYFRZXKZAUWPXLRXMUUHX
      OUUHUUDUWCUXBUWGUVKAUUJXLRZUUHCUWFUOZUUHUXDAUUIMHZUWOMHZCLHZIUWOMHZCLHZUW
      JUUHUWQUXOCLUUHAUUIUWOUWHUXJUXEXNSUUHUXNGFZIGFZUXGUXCUXNCLHUWJJZUXPUXRJUU
      HUUDUUIKFUXSUWGUXEAUUIXLRZUUHXPZUXJUXMUUHUYACUXNINHOPZUUFUYDUUGACXQUNUUHU
      UCUXSUXTUYAUYDXGUWFUYBUYCUXNICXRXJXSUXNIUWOCXTYAUUHUXQICLUUHUWOGFUXQIJUUH
      UWNUXHYBUWOYCWKSYDUWQIUUKCYEYAUUHUWRUUOCLUUHAUWPUUJYGHZMHUWRUUOUUHAUWPUUJ
      UWHUVKUXKYHUUHUYEBAMUUHUYEUWPBUWPNHZYGHBUUHUUJUYFUWPYGUUHUVCUVDUUJUYFJUVE
      UVHBUUIYIRYJUUHUWPBUUHUWPUXKYKUUHBUVEYLYMYPYJYQSUUHUWTUUKCLUUHUUKUUHUUKUX
      LWNYNSYOYRUUHUUCUUOGFZUXTUWKUUPXGUWFUUFUUGUUDUYGUWGABXLYSUYCUUOICXRXJUUHU
      UCUXBUXTUWMUUMXGUWFUXLUYCUUKICXRXJYTUUHUVFUVIUUQUUNXGUVGUVJUUIBUUARUUB $.

    $( The order of any group element is a divisor of the Euler ` phi `
       function.  (Contributed by Mario Carneiro, 28-Feb-2014.) $)
    odzphi $p |- ( ( N e. NN /\ A e. ZZ /\ ( A gcd N ) = 1 ) ->
                  ( ( odZ ` N ) ` A ) || ( phi ` N ) ) $=
      ( cn wcel cz cgcd co c1 wceq w3a cphi cfv cexp cmin cdvds wbr codz cmo wb
      mpbid eulerth simp1 cn0 phicld nnnn0d zexpcl syl2anc 1zzd moddvds syl3anc
      simp2 odzdvds mpdan ) BCDZAEDZABFGHIZJZBABKLZMGZHNGOPZABQLLUROPZUQUSBRGHB
      RGIZUTABUAUQUNUSEDZHEDVBUTSUNUOUPUBZUQUOURUCDZVCUNUOUPUKUQURUQBVDUDUEZAUR
      UFUGUQUHUSHBUIUJTUQVEUTVASVFAURBULUMT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Arithmetic modulo a prime number
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( A prime number divides an integer minus 1 iff the integer modulo the prime
     number is 1.  (Contributed by Alexander van der Vekens, 17-May-2018.)
     (Proof shortened by AV, 30-May-2023.) $)
  modprm1div $p |- ( ( P e. Prime /\ A e. ZZ )
                     -> ( ( A mod P ) = 1 <-> P || ( A - 1 ) ) ) $=
    ( cprime wcel c2 cuz cfv cz cmo co c1 wceq cmin cdvds wbr wb modm1div sylan
    prmuz2 ) BCDBEFGDAHDABIJKLBAKMJNOPBSABQR $.

  $( If an integer minus 1 is divisible by a prime number, the integer itself
     is not divisible by this prime number.  (Contributed by Alexander van der
     Vekens, 30-Aug-2018.) $)
  m1dvdsndvds $p |- ( ( P e. Prime /\ A e. ZZ )
                      -> ( P || ( A - 1 ) -> -. P || A ) ) $=
    ( cprime wcel cz wa cmo co c1 wceq cc0 wn cmin cdvds wbr wi ax-1ne0 neii wb
    eqeq1 eqcoms mtbii modprm1div cn prmnn dvdsval3 sylan bicomd notbid 3imtr3d
    a1i ) BCDZAEDZFZABGHZIJZUOKJZLZBAIMHNOBANOZLUPURPUNUPIKJZUQIKQRUTUQSIUOIUOK
    TUAUBUKABUCUNUQUSUNUSUQULBUDDUMUSUQSBUEBAUFUGUHUIUJ $.

  ${
    modprminv.1 $e |- R = ( ( A ^ ( P - 2 ) ) mod P ) $.
    $( Show an explicit expression for the modular inverse of ` A mod P ` .
       This is an application of ~ prmdiv .  (Contributed by Alexander van der
       Vekens, 15-May-2018.) $)
    modprminv $p |- ( ( P e. Prime /\ A e. ZZ /\ -. P || A )
               -> ( R e. ( 1 ... ( P - 1 ) ) /\ ( ( A x. R ) mod P ) = 1 ) ) $=
      ( cprime wcel cz cdvds wbr wn w3a c1 cmin co cfz cmul cmo wceq wa sylan2
      prmdiv wb wi elfzelz zmulcl modprm1div expr 3adant3 pm5.32d mpbird ) BEFZ
      AGFZBAHIJZKZCLBLMNZONFZACPNZBQNLRZSUPBUQLMNHIZSABCDUAUNUPURUSUKULUPURUSUB
      ZUCUMUKULUPUTULUPSUKUQGFZUTUPULCGFVACLUOUDACUETUQBUFTUGUHUIUJ $.

    $( The modular inverse of ` A mod P ` is unique.  (Contributed by Alexander
       van der Vekens, 17-May-2018.) $)
    modprminveq $p |- ( ( P e. Prime /\ A e. ZZ /\ -. P || A )
                  -> ( ( S e. ( 0 ... ( P - 1 ) ) /\ ( ( A x. S ) mod P ) = 1 )
                       <-> S = R ) ) $=
      ( cprime wcel cz cdvds wbr wn w3a cc0 c1 cmin co cfz wceq wa sylan2 wb wi
      cmul cmo elfzelz zmulcl modprm1div expr 3adant3 pm5.32d prmdiveq bitrd )
      BFGZAHGZBAIJKZLZDMBNOPZQPGZADUCPZBUDPNRZSURBUSNOPIJZSDCRUPURUTVAUMUNURUTV
      AUAZUBUOUMUNURVBUNURSUMUSHGZVBURUNDHGVCDMUQUEADUFTUSBUGTUHUIUJABCDEUKUL
      $.
  $}

  $( Variant of Fermat's little theorem if ` A ` is not a multiple of ` P ` ,
     see theorem 5.18 in [ApostolNT] p. 113.  (Contributed by AV, 21-Aug-2020.)
     (Proof shortened by AV, 5-Sep-2020.) $)
  vfermltl $p |- ( ( P e. Prime /\ A e. ZZ /\ -. P || A )
                   -> ( ( A ^ ( P - 1 ) ) mod P ) = 1 ) $=
    ( cprime wcel cz cdvds wbr wn w3a c1 cmin co cexp cmo cphi wceq 3ad2ant1 wa
    cgcd syl cfv phiprm eqcomd oveq2d oveq1d cn prmnn simp2 prmz anim1ci gcdcom
    3adant3 coprm biimp3a eqtrd eulerth syl3anc cr clt nnred prmgt1 1mod 3eqtrd
    jca ) BCDZAEDZBAFGHZIZABJKLZMLZBNLABOUAZMLZBNLZJBNLZJVHVJVLBNVHVIVKAMVEVFVI
    VKPVGVEVKVIBUBUCQUDUEVHBUFDZVFABSLZJPVMVNPVEVFVOVGBUGZQVEVFVGUHVHVPBASLZJVH
    VFBEDZRZVPVRPVEVFVTVGVEVSVFBUIUJULABUKTVEVFVGVRJPBAUMUNUOABUPUQVHBURDZJBUSG
    ZRZVNJPVEVFWCVGVEWAWBVEBVQUTBVAVDQBVBTVC $.

  $( Alternate proof of ~ vfermltl , not using Euler's theorem.  (Contributed
     by AV, 21-Aug-2020.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  vfermltlALT $p |- ( ( P e. Prime /\ A e. ZZ /\ -. P || A )
                      -> ( ( A ^ ( P - 1 ) ) mod P ) = 1 ) $=
    ( wcel cz c1 cmin co cexp c2 cmul wceq oveq2d eqtrd 3ad2ant1 oveq1d 3adant3
    cmo cr wa adantl cprime cdvds wbr w3a caddc 2m1e1 a1i eqcomd prmz zcnd 2cnd
    wn subsubd cc zcn 3ad2ant2 cn0 prmm2nn0 expp1d crp anim1i ancomd zexpcl syl
    1cnd simp2 prmnn nnrpd modmulmod syl3anc zre adantr reexpcld modcld mulcomd
    zred recnd 3eqtr2d cfz eqid modprminv simprd ) BUACZADCZBAUBUCULZUDZABEFGZH
    GZBQGZAABIFGZHGZBQGZJGZBQGZEWFWIWKAJGZBQGZWLAJGZBQGZWNWFWHWOBQWFWHAWJEUEGZH
    GWOWFWGWSAHWCWDWGWSKWEWCWGBIEFGZFGWSWCEWTBFWCWTEWTEKWCUFUGUHLWCBIEWCBBUIUJW
    CUKWCVEUMMNLWFAWJWDWCAUNCZWEAUOZUPWCWDWJUQCZWEBURZNUSMOWFWKRCZWDBUTCZWRWPKW
    CWDXEWEWCWDSZWKXGWDXCSWKDCXGXCWDWCXCWDXDVAVBAWJVCVDVPPWCWDWEVFWCWDXFWEWCBBV
    GVHZNWKABVIVJWFWQWMBQWCWDWQWMKWEXGWLAXGWLXGWKBXGAWJWDARCWCAVKTWCXCWDXDVLVMW
    CXFWDXHVLVNVQWDXAWCXBTVOPOVRWFWLEWGVSGCWNEKABWLWLVTWAWBM $.

  $( If an integer minus 1 is divisible by a prime number, then the integer to
     the power of the prime number minus 2 is 1 modulo the prime number.
     (Contributed by Alexander van der Vekens, 30-Aug-2018.) $)
  powm2modprm $p |- ( ( P e. Prime /\ A e. ZZ ) -> ( P || ( A - 1 )
                  -> ( ( A ^ ( P - 2 ) ) mod P ) = 1 ) ) $=
    ( wcel cz wa c1 cmin co cdvds wbr cmo wceq cmul simpr adantr syl3anc oveq1d
    syl cr zmodcld cprime c2 cexp simpll m1dvdsndvds imp w3a cfz eqid modprminv
    wn eqcomd modprm1div biimpar crp zre ad2antlr prmm2nn0 anim1ci zexpcl prmnn
    cn0 cn nn0zd nnrpd modmulmod nn0cnd mulid2d reexpcl syl2anr modabs2 3eqtr3d
    jca eqtrd eqtr2d ex ) BUACZADCZEZBAFGHIJZABUBGHZUCHZBKHZFLVSVTEZFAWCMHBKHZW
    CWDVQVRBAIJUKZFWELZVQVRVTUDVSVRVTVQVRNOVSVTWFABUEUFVQVRWFUGWCFBFGHUHHCZWEFL
    ZEZWGABWCWCUIUJWJWEFWHWINULRPWDABKHZWCMHZBKHZFWCMHZBKHZWEWCWDWLWNBKWDWKFWCM
    VSWKFLVTABUMUNQQWDASCZWCDCBUOCZWMWELVRWPVQVTAUPZUQWDWCWDWBBWDVRWAVBCZEZWBDC
    ZVSWTVTVQWSVRBURZUSZOAWAUTZRVSBVCCZVTVQXEVRBVAZOZOTVDVSWQVTVQWQVRVQBXFVEOZO
    AWCBVFPWDWOWCBKHZWCVSWOXILVTVSWNWCBKVSWCVSWCVSWBBVSWTXAXCXDRXGTVGVHQOWDWBSC
    ZWQEZXIWCLVSXKVTVSXJWQVRWPWSXJVQWRXBAWAVIVJXHVMOWBBVKRVNVLVOVP $.

  ${
    $d N i s $.  $d P i s $.
    $( For any prime number and for any positive integer less than this prime
       number, there is a unique modular inverse of this positive integer.
       (Contributed by Alexander van der Vekens, 12-May-2018.) $)
    reumodprminv $p |- ( ( P e. Prime /\ N e. ( 1 ..^ P ) )
                   -> E! i e. ( 1 ... ( P - 1 ) ) ( ( N x. i ) mod P ) = 1 ) $=
      ( vs wcel c1 co wa cv cmul cmo wceq wi cmin cfz wral cz syl biimpa cc0 c2
      cprime cfzo weq wrex wreu cexp cdvds wbr wn simpl elfzoelz adantl cn prmz
      fzoval eleq2d fzm1ndvds syl2an2r w3a eqid modprminv simpld simprd cuz cfv
      prmnn wss 1eluzge0 fzss1 mp1i sseld 3ad2ant1 imdistani modprminveq eqcomd
      ralrimiva jca32 syl3anc oveq2 oveq1d eqeq1d imbi2d ralbidv anbi12d rspcev
      expr eqeq1 reu8 sylibr ) AUBEZCFAUCGZEZHZCBIZJGZAKGZFLZCDIZJGZAKGZFLZBDUD
      ZMZDFAFNGZOGZPZHZBXFUEZWRBXFUFWNCAUANGUGGAKGZXFEZCXJJGZAKGZFLZXBXJWSLZMZD
      XFPZHZHZXIWNWKCQEZACUHUIUJZXSWKWMUKWMXTWKCFAULUMWKAUNEWMCXFEZYAAVGWKWMYBW
      KWLXFCWKAQEWLXFLAUOFAUPRUQSACURUSWKXTYAUTZXKXNXQYCXKXNCAXJXJVAZVBZVCYCXKX
      NYEVDYCXPDXFYCWSXFEZHYCWSTXEOGZEZHXPYCYFYHWKXTYFYHMYAWKXFYGWSFTVEVFEXFYGV
      HWKVIFTXEVJVKVLVMVNYCYHXBXOYCYHXBHZHWSXJYCYIWSXJLCAXJWSYDVOSVPWGRVQVRVSXH
      XRBXJXFWOXJLZWRXNXGXQYJWQXMFYJWPXLAKWOXJCJVTWAWBYJXDXPDXFYJXCXOXBWOXJWSWH
      WCWDWEWFRWRXBBDXFXCWQXAFXCWPWTAKWOWSCJVTWAWBWIWJ $.
  $}

  ${
    $d I j r $.  $d N j r $.  $d P j r $.
    $( For two positive integers less than a given prime number there is always
       a nonnegative integer (less than the given prime number) so that the sum
       of one of the two positive integers and the other of the positive
       integers multiplied by the nonnegative integer is 0 ( modulo the given
       prime number).  (Contributed by Alexander van der Vekens,
       17-May-2018.) $)
    modprm0 $p |- ( ( P e. Prime /\ N e. ( 1 ..^ P ) /\ I e. ( 1 ..^ P ) )
                   -> E. j e. ( 0 ..^ P ) ( ( I + ( j x. N ) ) mod P ) = 0 ) $=
      ( vr wcel c1 co cmul caddc cmo cc0 wceq wa cmin cz 3ad2ant1 adantl oveq1d
      cr cprime cfzo w3a cv wrex wi cfz wreu reumodprminv reurex cn prmz adantr
      elfzelz elfzoelz 3ad2ant3 zmulcl syl2an zsubcld prmnn zmodfzo syl2anc crp
      zred nnred remulcl resubcld 3ad2ant2 nnrpd modaddmulmod syl31anc cc nncnd
      zcnd mulcl subdird oveq2d mulcom mulmod0 syl2anr 3adant3 mul32d modmulmod
      eqtrd syl3anc eqtr4d oveq12d remulcld modsubmodmod eqeq1d biimpd impancom
      imp mulid2d cle wbr clt anim12ci cuz cfv elfzo2 eluz2 0red 1red 3jca 0le1
      zre a1i anim1i letr sylc 3adant1 sylbi simp3 jca 3adant2 modid modadd2mod
      syl 3eqtr3d 0cnd pncan3d 0mod 3eqtrd oveq1 rspcev rexlimiva 3syl pm2.43i
      ex ) AUAFZDGAUBHZFZCYLFZUCZCBUDZDIHZJHZAKHZLMZBLAUBHZUEZYKYMYOUUBUFZYNYKY
      MNZDEUDZIHZAKHZGMZEGAGOHZUGHZUHUUHEUUJUEUUCAEDUIUUHEUUJUJUUHUUCEUUJUUEUUJ
      FZUUHNZYOUUBUULYONZAUUECIHZOHZAKHZUUAFZCUUPDIHZJHZAKHZLMZUUBUUMUUOPFAUKFZ
      UUQUUMAUUNYOAPFZUULYKYMUVCYNAULQRUULUUEPFZCPFZUUNPFYOUUKUVDUUHUUEGUUIUNZU
      MYNYKUVEYMCGAUOZUPZUUECUQURUSYOUVBUULYKYMUVBYNAUTZQRUUOAVAVBUUMUUTCUUODIH
      ZJHZAKHZCADIHZUUNDIHZOHZJHZAKHZLUUMCTFZUUOTFDPFZAVCFZUUTUVLMYOUVRUULYNYKU
      VRYMYNCUVGVDZUPZRZUUMAUUNYOATFZUULYKYMUWDYNYKAUVIVEZQRUULUUETFZUVRUUNTFYO
      UUKUWFUUHUUKUUEUVFVDUMZUWBUUECVFURZVGYOUVSUULYMYKUVSYNDGAUOZVHRYOUVTUULYK
      YMUVTYNYKAUVIVIZQRZCUUODAVJVKUUMUVKUVPAKUUMUVJUVOCJUUMAUUNDYOAVLFZUULYKYM
      UWLYNYKAUVIVMZQRUULUUEVLFZCVLFZUUNVLFYOUUKUWNUUHUUKUUEUVFVNZUMZYNYKUWOYMY
      NCUVGVNZUPZUUECVOURYODVLFZUULYMYKUWTYNYMDUWIVNZVHZRZVPVQSUUMCUVOAKHZJHZAK
      HZCLCOHZAKHZJHZAKHZUVQLUUMUXEUXIAKUUMUXDUXHCJUUMUVMAKHZUVNAKHZOHZAKHZLUUE
      DIHZAKHZCIHZAKHZOHZAKHZUXDUXHUUMUXMUXSAKUUMUXKLUXLUXROYOUXKLMZUULYKYMUYAY
      NUUDUXKDAIHZAKHZLUUDUVMUYBAKYKUWLUWTUVMUYBMYMUWMUXAADVRURSYMUVSUVTUYCLMYK
      UWIUWJDAVSVTWDWARUUMUXLUXOCIHZAKHZUXRUUMUVNUYDAKUUMUUECDUULUWNYOUWQUMYOUW
      OUULUWSRZUXCWBSUUMUXOTFZUVEUVTUXRUYEMUULUWFDTFZUYGYOUWGYMYKUYHYNYMDUWIVDZ
      VHZUUEDVFURYOUVEUULUVHRUWKUXOCAWCWEWFWGSUUMUVMTFZUVNTFUVTUXNUXDMYOUYKUULY
      KYMUYKYNYKUWDUYHUYKYMUWEUYIADVFURWARZUUMUUNDUWHYOUYHUULUYJRWHZUWKUVMUVNAW
      IWEUUMUXTLGCIHZAKHZOHZAKHUXHUUMUXSUYPAKUUMUXRUYOLOUUMUXQUYNAKUUMUXPGCIUUL
      YOUXPGMZUUKYOUUHUYQUUKYONZUUHUYQUYRUUGUXPGUYRUUFUXOAKYOUWTUWNUUFUXOMUUKUX
      BUWPDUUEVRVTSWJWKWLWMSSVQSUUMUYPUXGAKUUMUYOCLOUUMUYOCAKHZCUUMUYNCAKUUMCUY
      FWNSUUMUVRUVTNZLCWOWPZCAWQWPZNZNZUYSCMYOVUDUULYKYNVUDYMYKYNNZUYTVUCYKUVTY
      NUVRUWJUWAWRYNVUCYKYNCGWSWTFZUVCVUBUCZVUCCGAXAVUGVUAVUBVUFUVCVUAVUBVUFGPF
      ZUVEGCWOWPZUCVUAGCXBUVEVUIVUAVUHUVEVUINLTFZGTFZUVRUCZLGWOWPZVUINVUAUVEVUL
      VUIUVEVUJVUKUVRUVEXCUVEXDCXGXEUMUVEVUMVUIVUMUVEXFXHXILGCXJXKXLXMQVUFUVCVU
      BXNXOXMRXOXPRCAXQXSWDVQSWDXTVQSUUMUVOTFUVRUVTUXFUVQMUUMUVMUVNUYLUYMVGUWCU
      WKUVOCAXRWEUUMUXJCUXGJHZAKHZLAKHZLUUMUXGTFZUVRUVTUCZUXJVUOMYOVURUULYKYNVU
      RYMVUEVUQUVRUVTYNVUQYKYNLCYNXCUWAVGRYNUVRYKUWARYKUVTYNUWJUMXEXPRUXGCAXRXS
      UUMVUNLAKYOVUNLMZUULYNYKVUSYMYNCLUWRYNYAYBUPRSYOVUPLMZUULYKYMVUTYNYKUVTVU
      TUWJAYCXSQRYDXTYDYTUVABUUPUUAYPUUPMZYSUUTLVVAYRUUSAKVVAYQUURCJYPUUPDIYEVQ
      SWJYFVBYJYGYHWAYI $.
  $}

  ${
    $d I j $.  $d N j $.  $d P j $.
    $( For a positive integer and a nonnegative integer both less than a given
       prime number there is always a second nonnegative integer (less than the
       given prime number) so that the sum of this second nonnegative integer
       multiplied with the positive integer and the first nonnegative integer
       is 0 ( modulo the given prime number).  (Contributed by Alexander van
       der Vekens, 8-Nov-2018.) $)
    nnnn0modprm0 $p |- ( ( P e. Prime /\ N e. ( 1 ..^ P ) /\ I e. ( 0 ..^ P ) )
                   -> E. j e. ( 0 ..^ P ) ( ( I + ( j x. N ) ) mod P ) = 0 ) $=
      ( wcel c1 cfzo co cc0 cmul caddc wceq wrex wa adantr oveq2d adantl oveq1d
      cmo syl cprime cv csn cn prmnn fzo0sn0fzo1 eleq2d wo wi elun elsni lbfzo0
      cun sylibr cz cc elfzoelz zcn mul02 00id eqtrdi 3syl crp nnrp eqtrd oveq1
      0mod eqeq1d rspcev syl2an2r wb rexbidv mpbird simprr modprm0 syl3anc jaoi
      ex simpl sylbi com12 sylbid 3impia ) AUAEZDFAGHZEZCIAGHZEZCBUBZDJHZKHZASH
      ZILZBWGMZWDWFNZWHCIUCZWEUMZEZWNWOWGWQCWOAUDEZWGWQLWDWSWFAUEZOAUFTUGWRWOWN
      WRCWPEZCWEEZUHWOWNUIZCWPWEUJXAXCXBXACILZXCCIUKXDWOWNXDWONZWNIWJKHZASHZILZ
      BWGMZWOXIXDWDIWGEZWFIIDJHZKHZASHZILZXIWDWSXJWTAULUNWOXMIASHZIWOXLIASWFXLI
      LZWDWFDUOEDUPEZXPDFAUQDURXQXLIIKHIXQXKIIKDUSPUTVAVBQRWDXOILZWFWDWSAVCEXRW
      TAVDAVGVBOVEXHXNBIWGWIILZXGXMIXSXFXLASXSWJXKIKWIIDJVFPRVHVIVJQXEWMXHBWGXD
      WMXHVKWOXDWLXGIXDWKXFASCIWJKVFRVHOVLVMVRTXBWOWNXBWONWDWFXBWNWOWDXBWDWFVSQ
      XBWDWFVNXBWOVSABCDVOVPVRVQVTWAWBWC $.

    $( For an integer not being 0 modulo a given prime number and a nonnegative
       integer less than the prime number, there is always a second nonnegative
       integer (less than the given prime number) so that the sum of this
       second nonnegative integer multiplied with the integer and the first
       nonnegative integer is 0 ( modulo the given prime number).  (Contributed
       by Alexander van der Vekens, 10-Nov-2018.) $)
    modprmn0modprm0 $p |- ( ( P e. Prime /\ N e. ZZ /\ ( N mod P ) =/= 0 )
            -> ( I e. ( 0 ..^ P )
                 -> E. j e. ( 0 ..^ P ) ( ( I + ( j x. N ) ) mod P ) = 0 ) ) $=
      ( wcel cz cmo co cfzo cmul caddc wceq wrex wa 3adant3 wi adantr cc adantl
      cc0 cprime wne w3a cv c1 simpl1 cn prmnn zmodfzo sylan2 ancoms fzo1fzo0n0
      simplbi2com 3ad2ant3 mpd simpr nnnn0modprm0 syl3anc elfzoelz zcnd anim1ci
      cn0 zmodcl nn0cn 3syl mulcom syl2anr oveq2d oveq1d cr zred 3ad2ant2 nnrpd
      crp zre 3ad2ant1 modaddmulmod syl31anc zcn mulcomd ex imp eqeq1d rexbidva
      3eqtrrd mpbird ) AUAEZDFEZDAGHZTUBZUCZCTAIHZEZCBUDZDJHZKHZAGHZTLZBWLMZWKW
      MNZWSCWNWIJHZKHZAGHZTLZBWLMZWTWGWIUEAIHEZWMXEWGWHWJWMUFWKXFWMWKWIWLEZXFWG
      WHXGWJWHWGXGWGWHAUGEZXGAUHZDAUIUJUKOWJWGXGXFPWHXFXGWJWIAULUMUNUOQWKWMUPAB
      CWIUQURWTWRXDBWLWTWNWLEZNZWQXCTXKXCCWIWNJHZKHZAGHZCDWNJHZKHZAGHZWQXKXBXMA
      GXKXAXLCKXJWNREZWIREZXAXLLWTXJWNWNTAUSZUTZWKXSWMWGWHXSWJWGWHNWHXHNWIVBEXS
      WGXHWHXIVADAVCWIVDVEOQWNWIVFVGVHVIXKCVJEZDVJEZWNFEZAVNEZXNXQLWTYBXJWMYBWK
      WMCCTAUSVKSQWTYCXJWKYCWMWHWGYCWJDVOVLQQXJYDWTXTSWTYEXJWKYEWMWGWHYEWJWGAXI
      VMVPQQCDWNAVQVRXKXPWPAGXKXOWOCKWTXJXOWOLZWKXJYFPZWMWHWGYGWJWHXJYFWHXJNDWN
      WHDREXJDVSQXJXRWHYASVTWAVLQWBVHVIWEWCWDWFWA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Pythagorean Triples
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( If three numbers are coprime, and the square of one is the product of the
     other two, then there is a formula for the other two in terms of ` gcd `
     and square.  (Contributed by Scott Fenton, 2-Apr-2014.)  (Revised by Mario
     Carneiro, 19-Apr-2014.) $)
  coprimeprodsq $p |- ( ( ( A e. NN0 /\ B e. ZZ /\ C e. NN0 ) /\
    ( ( A gcd B ) gcd C ) = 1 ) -> ( ( C ^ 2 ) = ( A x. B ) ->
      A = ( ( A gcd C ) ^ 2 ) ) ) $=
    ( cn0 wcel cz w3a cgcd co c1 wceq cmul 3ad2ant1 nn0cnd nn0zd mulgcd syl3anc
    3eqtr3d oveq2d gcdass c2 cexp nn0z gcdcl syl2an 3adant2 sqvald simp13 nn0cn
    cc mulcomd simpl3 eqeq1d biimp3a oveq12d simp11 simp12 mulgcdr sylan ancoms
    wa 3adant1 cabs cfv 3ad2ant3 gcdid syl oveq1d simp2 gcdabs1 syl2anc gcdcomd
    eqtrd 3eqtr4d biimpar 3adant3 mulid1d 3eqtrrd 3expia ) ADEZBFEZCDEZGZABHICH
    IZJKZCUAUBIZABLIZKZAACHIZUAUBIZKWCWEWHGZWJWIWILIZAWICBHIZHIZLIZAWKWIWKWIWCW
    EWIDEZWHVTWBWPWAVTAFEZCFEZWPWBAUCZCUCZACUDUEUFMZNUGWKAWILIZCWILIZHIZXBAWMLI
    ZHIZWLWOWKXCXEXBHWKCALIZCCLIZHIZACLIZWGHIZXCXEWKXGXJXHWGHWKCAWKCVTWAWBWEWHU
    HZNWCWEAUJEZWHVTWAXMWBAUIMMZUKWCWEWHXHWGKWCWEVAZWFXHWGXOCXOCVTWAWBWEULNUGUM
    UNUOWKWBWQWRXIXCKXLWKAVTWAWBWEWHUPZOZWKCXLOZCACPQWKVTWRWAXKXEKXPXRVTWAWBWEW
    HUQACBPQRSWKWQWRWPXDWLKXQXRXAACWIURQWKVTWIFEWMFEZXFWOKXPWKWIXAOWKWMWCWEWMDE
    ZWHWAWBXTVTWBWAXTWBWRWAXTWTCBUDUSUTVBZMOAWIWMPQRWKWOAJLIZAWCWEWOYBKWHXOWNJA
    LWCWNJKWEWCWNWDJWCACWMHIZHIZABCHIZHIZWNWDWCYCYEAHWCCCHIZBHIZWMYCYEWCYHCVCVD
    ZBHIZWMWCYGYIBHWCWRYGYIKWBVTWRWAWTVEZCVFVGVHWCWRWAYJWMKYKVTWAWBVIZBCVJVKVMW
    CWRWRWAYHYCKYKYKYLBCCTQWCCBYKYLVLRSWCWQWRXSWNYDKVTWAWQWBWSMZYKWCWMYAOWMCATQ
    WCWQWAWRWDYFKYMYLYKCBATQVNUMVOSVPWKAXNVQVMVRVS $.

  $( If three numbers are coprime, and the square of one is the product of the
     other two, then there is a formula for the other two in terms of ` gcd `
     and square.  (Contributed by Scott Fenton, 17-Apr-2014.)  (Revised by
     Mario Carneiro, 19-Apr-2014.) $)
  coprimeprodsq2 $p |- ( ( ( A e. ZZ /\ B e. NN0 /\ C e. NN0 ) /\
    ( ( A gcd B ) gcd C ) = 1 ) -> ( ( C ^ 2 ) = ( A x. B ) ->
      B = ( ( B gcd C ) ^ 2 ) ) ) $=
    ( cz wcel cn0 w3a cgcd co c1 wceq wa c2 cexp cmul zcn nn0cn mulcom 3adant3
    cc syl2an adantr eqeq2d wi simpl2 simpl1 simpl3 gcdcom oveq1d eqeq1d sylan2
    wb nn0z biimpa coprimeprodsq syl31anc sylbid ) ADEZBFEZCFEZGZABHIZCHIZJKZLZ
    CMNIZABOIZKVFBAOIZKZBBCHIMNIKZVEVGVHVFVAVGVHKZVDURUSVKUTURATEBTEVKUSAPBQABR
    UASUBUCVEUSURUTBAHIZCHIZJKZVIVJUDURUSUTVDUEURUSUTVDUFURUSUTVDUGVAVDVNURUSVD
    VNULZUTUSURBDEZVOBUMURVPLZVCVMJVQVBVLCHABUHUIUJUKSUNBACUOUPUQ $.

  $( A prime not equal to ` 2 ` is odd.  (Contributed by Mario Carneiro,
     4-Feb-2015.)  (Proof shortened by AV, 10-Jul-2022.) $)
  oddprm $p |- ( N e. ( Prime \ { 2 } ) -> ( ( N - 1 ) / 2 ) e. NN ) $=
    ( cprime c2 csn cdif wcel c1 cmin co cdiv cz cc0 clt cn cdvds wn 3syl mpbid
    wbr wb eldifi prmz syl wceq eldifsni necomd neneqd cuz cfv 2z ax-mp dvdsprm
    uzid sylancr mtbird wa 1z n2dvds1 omoe mpanr12 syl2anc prmnn nnm1nn0 evend2
    cn0 nn0z prmuz2 uz2m1nn nngt0 nnre crp 2rp a1i gt0divd 4syl elnnz sylanbrc
    ) ABCDZEFZAGHIZCJIZKFZLWAMSZWANFVSCVTOSZWBVSAKFZCAOSZPZWDVSABFZWEABVRUAZAUB
    UCVSWFCAUDZVSCAVSACABCUEUFUGVSCCUHUIZFZWHWFWJTCKFWLUJCUMUKWIACULUNUOWEWGUPG
    KFCGOSPWDUQURAGUSUTVAVSVTVEFZVTKFWDWBTVSWHANFWMWIAVBAVCQVTVFVTVDQRVSWHAWKFV
    TNFZWCWIAVGAVHWNLVTMSWCVTVIWNVTCVTVJCVKFWNVLVMVNRVOWAVPVQ $.

  $( A prime not equal to ` 2 ` is an odd positive integer.  (Contributed by
     AV, 28-Jun-2021.) $)
  nnoddn2prm $p |- ( N e. ( Prime \ { 2 } ) -> ( N e. NN /\ -. 2 || N ) ) $=
    ( cprime c2 csn cdif wcel cn cdvds wbr wn eldifi prmnn syl c1 cmin co wi cz
    cdiv nnz oddprm wb oddm1d2 syl5ibrcom jcai ) ABCDZEFZAGFZCAHIJZUGABFUHABUFK
    ALMUGANOPCSPZGFZUHUIQAUAUKUIUHUJRFZUJTUHARFUIULUBATAUCMUDMUE $.

  $( A prime not equal to ` 2 ` is odd.  (Contributed by AV, 28-Jun-2021.) $)
  oddn2prm $p |- ( N e. ( Prime \ { 2 } ) -> -. 2 || N ) $=
    ( cprime c2 csn cdif wcel cn cdvds wbr wn nnoddn2prm simprd ) ABCDEFAGFCAHI
    JAKL $.

  $( A number is a prime number not equal to ` 2 ` iff it is an odd prime
     number.  Conversion theorem for two representations of odd primes.
     (Contributed by AV, 14-Jul-2021.) $)
  nnoddn2prmb $p |- ( N e. ( Prime \ { 2 } )
                      <-> ( N e. Prime /\ -. 2 || N ) ) $=
    ( cprime c2 csn cdif wcel cdvds wbr wn wa eldifi oddn2prm jca simpl wceq wi
    wne z2even breq2 mpbiri a1i con3dimp neqned nelsn syl eldifd impbii ) ABCDZ
    EFZABFZCAGHZIZJZUIUJULABUHKALMUMABUHUJULNUMACQAUHFIUMACUJACOZUKUNUKPUJUNUKC
    CGHRACCGSTUAUBUCACUDUEUFUG $.

  $( A prime less than 5 is either 2 or 3.  (Contributed by AV, 5-Jul-2021.) $)
  prm23lt5 $p |- ( ( P e. Prime /\ P < 5 ) -> ( P = 2 \/ P = 3 ) ) $=
    ( cprime wcel c5 clt wbr cc0 c4 co c2 wceq c3 wo cn0 adantr c1 cz syl5bi wi
    com12 wa cfz cle prmnn nnnn0d 4nn0 a1i caddc df-5 breq2i wb prmz 4z zleltp1
    sylancl biimprd imp elfz2nn0 syl3anbrc ctp cpr cun fz0to4untppr eleq2i elun
    w3o eltpi cn wne nnne0 eqneqall 3syl eleq1 1nprm pm2.21i syl6bi orc a1d syl
    3jaoi elpri olc 4nprm jaoi sylbi mpd ) ABCZADEFZUAZAGHUBIZCZAJKZALKZMZWIANC
    ZHNCZAHUCFZWKWGWOWHWGAAUDZUEOWPWIUFUGWGWHWQWHAHPUHIZEFZWGWQDWSAEUIUJWGWQWTW
    GAQCHQCWQWTUKAULUMAHUNUOUPRUQAHURUSWKAGPJUTZLHVAZVBZCZWIWNWJXCAVCVDWGXDWNSW
    HXDWGWNXDAXACZAXBCZMWGWNSZAXAXBVEXEXGXFXEAGKZAPKZWLVFXGAGPJVGXHXGXIWLWGXHWN
    WGAVHCAGVIZXHWNSWRAVJXHXJWNWNAGVKTVLTXIWGPBCZWNAPBVMXKWNVNVOVPWLWNWGWLWMVQV
    RVTVSXFWMAHKZMXGALHWAWMXGXLWMWNWGWMWLWBVRXLWGHBCZWNAHBVMXMWNWCVOVPWDVSWDWET
    ORWF $.

  $( A prime is either 2 or 3 or greater than or equal to 5.  (Contributed by
     AV, 5-Jul-2021.) $)
  prm23ge5 $p |- ( P e. Prime -> ( P = 2 \/ P = 3 \/ P e. ( ZZ>= ` 5 ) ) ) $=
    ( c2 wceq c3 c5 cuz cfv wcel w3o cprime wi ax-1 wn w3a 3ioran wa wbr pm2.24
    cz sylbi cle 3ianor eluz2 xchnxbir 5nn nnzi pm2.24i prmz syl11 a1d clt zred
    cr 5re a1i ltnled wo prm23lt5 ioran syl5bir syl ex com3l 3jaoi com12 3impia
    sylbird pm2.61i ) ABCZADCZAEFGHZIZAJHZVLKZVLVMLVLMVIMZVJMZVKMZNVNVIVJVKOVOV
    PVQVNVQVOVPPZVNVQESHZMZASHZMZEAUAQZMZIZVRVNKZVSWAWCNWEVKVSWAWCUBEAUCUDVTWFW
    BWDVSWFEUEUFUGWBVNVRWAWBVLVMWAVLRAUHZUIUJVMWDVRVLVMWDAEUKQZVRVLKZVMAEVMAWGU
    LEUMHVMUNUOUPVMWHWIVMWHPVIVJUQZWIAURVRWJMWJVLVIVJUSWJVLRUTVAVBVGVCVDTVEVFTV
    H $.

  ${
    $d A n m k $.  $d B n m k $.  $d C n m k $.
    $( Lemma for ~ pythagtrip .  Prove a weaker version of one direction of the
       theorem.  (Contributed by Scott Fenton, 28-Mar-2014.)  (Revised by Mario
       Carneiro, 19-Apr-2014.) $)
    pythagtriplem1 $p |- (
       E. n e. NN E. m e. NN E. k e. NN
       ( A = ( k x. ( ( m ^ 2 ) - ( n ^ 2 ) ) ) /\
         B = ( k x. ( 2 x. ( m x. n ) ) ) /\
         C = ( k x. ( ( m ^ 2 ) + ( n ^ 2 ) ) ) ) ->
        ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) ) $=
      ( c2 cexp co cmin cmul wceq caddc cn wcel cc sqcld 2cn mulcl c4 cv w3a wa
      wrex wi nncn adantl syl2anr sylancr subcld adantr ancoms add32d subadd23d
      sqcl sqmul sq2 a1i oveq12d eqtrd oveq1d 4cn subdir 2p2e4 subaddrii oveq1i
      mp3an12i eqtr3di oveq2d binom2sub 3eqtr4d 3adant3 simp3 3ad2ant2 3ad2ant1
      binom2 sqmuld 3ad2ant3 adddid eqtr4d addcld oveq1 oveqan12d eqeq12d 3expa
      syl3an syl5ibrcom rexlimdva rexlimivv ) ADUAZEUAZGHIZFUAZGHIZJIZKIZLZBWJG
      WKWMKIZKIZKIZLZCWJWLWNMIZKIZLZUBZDNUDAGHIZBGHIZMIZCGHIZLZFENNWMNOZWKNOZUC
      XEXJDNXKXLWJNOZXEXJUEXKXLXMUBXJXEWPGHIZWTGHIZMIZXCGHIZLZXKWMPOZXLWKPOZXMW
      JPOZXRWMUFWKUFWJUFXSXTYAUBZWJGHIZWOGHIZWSGHIZMIZKIZYCXBGHIZKIXPXQYBYFYHYC
      KXSXTYFYHLYAXSXTUCZWLGHIZGWLWNKIZKIZJIZWNGHIZMIZYEMIZYJYLMIZYNMIZYFYHYIYP
      YMYEMIZYNMIYRYIYMYNYEYIYJYLYIWLXTWLPOZXSWKUOZUGQZYIGPOZYKPOZYLPORXTYTWNPO
      ZUUDXSUUAWMUOZWLWNSUHZGYKSUIZUJYIWNXSUUEXTUUFUKQYIWSYIUUCWRPOZWSPOZRXTXSU
      UIWKWMSULZGWRSZUIQZUMYIYSYQYNMYIYSYJYEYLJIZMIYQYIYJYLYEUUBUUHUUMUNYIUUNYL
      YJMYIUUNTYKKIZYLJIZYLYIYEUUOYLJYIYEGGHIZWRGHIZKIZUUOYIUUCUUIYEUUSLRUUKGWR
      UPUIYIUUQTUURYKKUUQTLYIUQURXTXSUURYKLWKWMUPULUSUTVAYITGJIZYKKIZUUPYLTPOUU
      CYIUUDUVAUUPLVBRUUGTGYKVCVGUUTGYKKTGGVBRRVDVEVFVHUTVIUTVAUTYIYDYOYEMXTYTU
      UEYDYOLXSUUAUUFWLWNVJUHVAXTYTUUEYHYRLXSUUAUUFWLWNVPUHVKVLVIYBXPYCYDKIZYCY
      EKIZMIYGYBXNUVBXOUVCMYBWJWOXSXTYAVMZYBWLWNXTXSYTYAUUAVNZXSXTUUEYAUUFVOZUJ
      ZVQYBWJWSUVDYBUUCUUIUUJRXSXTUUIYAUUKVLUULUIZVQUSYBYCYDYEYAXSYCPOXTWJUOVRY
      BWOUVGQYBWSUVHQVSVTYBWJXBUVDYBWLWNUVEUVFWAVQVKWFXEXHXPXIXQWQXAXHXPLXDWQXA
      XFXNXGXOMAWPGHWBBWTGHWBWCVLXDWQXIXQLXACXCGHWBVRWDWGWEWHWI $.

    $( Lemma for ~ pythagtrip .  Prove the full version of one direction of the
       theorem.  (Contributed by Scott Fenton, 28-Mar-2014.)  (Revised by Mario
       Carneiro, 19-Apr-2014.) $)
    pythagtriplem2 $p |- ( ( A e. NN /\ B e. NN ) -> (
       E. n e. NN E. m e. NN E. k e. NN
       ( { A , B } = { ( k x. ( ( m ^ 2 ) - ( n ^ 2 ) ) ) ,
                       ( k x. ( 2 x. ( m x. n ) ) ) } /\
         C = ( k x. ( ( m ^ 2 ) + ( n ^ 2 ) ) ) ) ->
        ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) ) ) $=
      ( cn wcel wa cv c2 cexp co cmul wceq caddc wrex w3a wo cvv cpr wb mpanr12
      cmin preq12bg anbi1d df-3an orbi12i bitr4i bitrdi rexbidv 2rexbidv r19.43
      ovex andir 2rexbii rexbii 3bitri wi pythagtriplem1 a1i 3ancoma sylbi nncn
      cc sqcld addcom syl2an eqeq1d syl5ibr jaod sylbid ) AGHZBGHZIZABUADJZEJZK
      LMZFJZKLMZUDMZNMZVPKVQVSNMNMZNMZUAOZCVPVRVTPMNMOZIZDGQZEGQFGQZAWBOZBWDOZW
      FRZDGQZEGQZFGQZAWDOZBWBOZWFRZDGQZEGQZFGQZSZAKLMZBKLMZPMZCKLMZOZVOWIWLWRSZ
      DGQZEGQFGQZXBVOWHXIFEGGVOWGXHDGVOWGWJWKIZWPWQIZSZWFIZXHVOWEXMWFVOWBTHWDTH
      WEXMUBVPWANUNVPWCNUNABWBWDGGTTUEUCUFXNXKWFIZXLWFIZSXHXKXLWFUOWLXOWRXPWJWK
      WFUGWPWQWFUGUHUIUJUKULXJWMWSSZEGQZFGQWNWTSZFGQXBXIXQFEGGWLWRDGUMUPXRXSFGW
      MWSEGUMUQWNWTFGUMURUJVOWOXGXAWOXGUSVOABCDEFUTVAXAXGVOXDXCPMZXFOZXAWQWPWFR
      ZDGQZEGQFGQYAWSYCFEGGWRYBDGWPWQWFVBUQUPBACDEFUTVCVOXEXTXFVMXCVEHXDVEHXEXT
      OVNVMAAVDVFVNBBVDVFXCXDVGVHVIVJVKVL $.
  $}

  $( Lemma for ~ pythagtrip .  Show that ` C ` and ` B ` are relatively prime
     under some conditions.  (Contributed by Scott Fenton, 8-Apr-2014.)
     (Revised by Mario Carneiro, 19-Apr-2014.) $)
  pythagtriplem3 $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
     ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) /\
     ( ( A gcd B ) = 1 /\ -. 2 || A ) ) ->
     ( B gcd C ) = 1 ) $=
    ( cn wcel w3a c2 cexp co wceq cgcd c1 wbr wa nnz zsqcl syl 3ad2ant1 syl2anc
    cz caddc cdvds wn oveq2 adantl 3ad2ant2 gcdadd gcdcomd eqtr3d adantr simpl2
    simpl3 sqgcd simpl1 3eqtr4d 3adant3 simp3l oveq1d eqtrd cr cc0 cle 3ad2ant3
    wb gcdcld nn0red nn0ge0d 1re 0le1 sq11 mpanr12 mpbid ) ADEZBDEZCDEZFZAGHIZB
    GHIZUAIZCGHIZJZABKIZLJZGAUBMUCZNZFZBCKIZGHIZLGHIZJZWGLJZWFWHWBGHIZWIVPWAWHW
    LJWEVPWANZVRVTKIZVQVRKIZWHWLWMVRVSKIZWNWOWAWPWNJVPVSVTVRKUDUEVPWPWOJWAVPVRV
    QKIZWPWOVPVRTEZVQTEZWQWPJVNVMWRVOVNBTEZWRBOZBPQUFZVMVNWSVOVMATEWSAOAPQRZVRV
    QUGSVPVRVQXBXCUHUIUJUIWMVNVOWHWNJVMVNVOWAUKZVMVNVOWAULBCUMSWMVMVNWLWOJVMVNV
    OWAUNXDABUMSUOUPWFWBLGHVPWAWCWDUQURUSWFWGUTEZVAWGVBMZWJWKVDZVPWAXEWEVPWGVPB
    CVNVMWTVOXAUFVOVMCTEVNCOVCVEZVFRVPWAXFWEVPWGXHVGRXEXFNLUTEVALVBMXGVHVIWGLVJ
    VKSVL $.

  $( Lemma for ~ pythagtrip .  Show that ` C - B ` and ` C + B ` are relatively
     prime.  (Contributed by Scott Fenton, 12-Apr-2014.)  (Revised by Mario
     Carneiro, 19-Apr-2014.) $)
  pythagtriplem4 $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
     ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) /\
     ( ( A gcd B ) = 1 /\ -. 2 || A ) ) ->
     ( ( C - B ) gcd ( C + B ) ) = 1 ) $=
    ( cn wcel c2 co caddc wceq cgcd c1 cdvds wa cmin cmul cz nnzd syl2anc nncnd
    wbr w3a cexp wn wo simp3r nnz zsubcl syl2anr 3adant1 3ad2ant1 simp13 simp12
    nnaddcld gcddvds simprd breq1 biimpd mpan9 wi 2z simpl13 simpl12 dvdsmultr1
    zaddcld zsubcld mp3an2i mpd cc subsq breqtrrd simpl2 oveq1d simpl11 nnsqcld
    pncand eqtr3d breqtrd adantr cprime 2prm 2nn prmdvdsexp mp3an13 mpbid mtand
    wb syl cneg neg1z gcdaddm pnncan 3anidm23 subcl mulm1d oveq2d addcl negsubd
    2times adantl 3eqtr4d zmulcl sylancr eqbrtrd 1z ppncan 3anidm13 mulid2d cc0
    eqtrd nnaddcl nnne0d ancoms neneqd intnand gcdn0cl syl21anc dvdsgcd syl3anc
    wne mp2and cn0 2nn0 mulgcd pythagtriplem3 2t1e2 eqtrdi dvdsprime orel1 sylc
    ) ADEZBDEZCDEZUAZAFUBGZBFUBGZHGZCFUBGZIZABJGKIZFALTZUCZMZUAZCBNGZCBHGZJGZFI
    ZUCUUGUUFKIZUDZUUHUUCUUGYTYMYRYSUUAUEUUCUUGMZFYNLTZYTUUJFYQYONGZYNLUUJFUUEU
    UDOGZUULLUUJFUUELTZFUUMLTZUUCUUFUUELTZUUGUUNUUCUUFUUDLTZUUPUUCUUDPEZUUEPEZU
    UQUUPMYMYRUURUUBYKYLUURYJYLCPEZBPEZUURYKCUFBUFCBUGUHUIUJZUUCUUEUUCCBYJYKYLY
    RUUBUKZYJYKYLYRUUBULZUMQZUUDUUEUNRUOUUGUUPUUNUUFFUUELUPUQURFPEZUUJUUSUURUUN
    UUOUSUTUUJCBUUJCYJYKYLYRUUBUUGVAZQZUUJBYJYKYLYRUUBUUGVBZQZVDUUJCBUVHUVJVEFU
    UEUUDVCVFVGUUJCVHEZBVHEZUULUUMIUUJCUVGSUUJBUVISCBVIRVJUUJYPYONGUULYNUUJYPYQ
    YONYMYRUUBUUGVKVLUUJYNYOUUJYNUUJAYJYKYLYRUUBUUGVMVNSUUJYOUUJBUVIVNSVOVPVQUU
    JAPEZUUKYTWFZUUCUVMUUGYMYRUVMUUBYJYKUVMYLAUFUJUJVRFVSEZUVMFDEUVNVTWAAFFWBWC
    WGWDWEUUCUUFFLTZUUIUUCUUFFBOGZFCOGZJGZFLUUCUUFUVQLTZUUFUVRLTZUUFUVSLTZUUCUU
    FUUDUVQJGZUVQLUUCUUFUUDUUEKWHZUUDOGZHGZJGZUWCUWDPEUUCUURUUSUUFUWGIWIUVBUVEU
    WDUUDUUEWJVFUUCUVKUVLUWGUWCIUUCCUVCSZUUCBUVDSZUVKUVLMZUWFUVQUUDJUWJUUEUUDNG
    ZBBHGZUWFUVQUVKUVLUWKUWLICBBWKWLUWJUWFUUEUUDWHZHGUWKUWJUWEUWMUUEHUWJUUDCBWM
    ZWNWOUWJUUEUUDCBWPUWNWQXIUVLUVQUWLIUVKBWRWSWTWORXIUUCUWCUUDLTZUWCUVQLTZUUCU
    URUVQPEZUWOUWPMUVBUUCUVFUVAUWQUTUUCBUVDQZFBXAXBZUUDUVQUNRUOXCUUCUUFUUDUVRJG
    ZUVRLUUCUUFUUDUUEKUUDOGZHGZJGZUWTKPEUUCUURUUSUUFUXCIXDUVBUVEKUUDUUEWJVFUUCU
    XBUVRUUDJUUCUVKUVLUXBUVRIUWHUWIUWJUUEUUDHGZCCHGZUXBUVRUVKUVLUXDUXEICBCXEXFU
    WJUXAUUDUUEHUWJUUDUWNXGWOUVKUVRUXEIUVLCWRVRWTRWOXIUUCUWTUUDLTZUWTUVRLTZUUCU
    URUVRPEZUXFUXGMUVBUUCUVFUUTUXHUTUUCCUVCQZFCXAXBZUUDUVRUNRUOXCUUCUUFPEUWQUXH
    UVTUWAMUWBUSUUCUUFUUCUURUUSUUDXHIZUUEXHIZMUCUUFDEZUVBUVEUUCUXLUXKUUCUUEXHYM
    YRUUEXHXSZUUBYKYLUXNYJYLYKUXNYLYKMUUECBXJXKXLUIUJXMXNUUDUUEXOXPZQUWSUXJUUFU
    VQUVRXQXRXTUUCUVSFBCJGZOGZFFYAEUUCUVAUUTUVSUXQIYBUWRUXIFBCYCVFUUCUXQFKOGFUU
    CUXPKFOABCYDWOYEYFXIVQUUCUVOUXMUVPUUIWFVTUXOFUUFYGXBWDUUGUUHYHYI $.

  $( Lemma for ~ pythagtrip .  Show that ` C - B ` is positive.  (Contributed
     by Scott Fenton, 17-Apr-2014.)  (Revised by Mario Carneiro,
     19-Apr-2014.) $)
  pythagtriplem10 $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
       ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) ) -> 0 < ( C - B ) ) $=
    ( cn wcel c2 cexp co clt wbr cr nnre 3ad2ant1 resqcld 3ad2ant2 mpbid adantr
    cc0 3ad2ant3 cle w3a caddc wceq wa cmin wne nnne0 sqgt0d ltaddpos2d breqtrd
    simpr nnnn0 nn0ge0d lt2sqd mpbird posdifd ) ADEZBDEZCDEZUAZAFGHZBFGHZUBHZCF
    GHZUCZUDZBCIJZRCBUEHIJVFVGVBVDIJVFVBVCVDIUTVBVCIJZVEUTRVAIJVHUTAUQURAKEUSAL
    MZUQURARUFUSAUGMUHUTVAVBUTAVINUTBURUQBKEZUSBLOZNUIPQUTVEUKUJVFBCUTVJVEVKQZU
    TCKEZVEUSUQVMURCLSQZUTRBTJZVEURUQVOUSURBBULUMOQUTRCTJZVEUSUQVPURUSCCULUMSQU
    NUOVFBCVLVNUPP $.

  $( Lemma for ~ pythagtrip .  Calculate ` ( sqrt `` ( C - B ) ) ` .
     (Contributed by Scott Fenton, 18-Apr-2014.)  (Revised by Mario Carneiro,
     19-Apr-2014.) $)
  pythagtriplem6 $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
       ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) /\
       ( ( A gcd B ) = 1 /\ -. 2 || A ) ) ->
       ( sqrt ` ( C - B ) ) = ( ( C - B ) gcd A ) ) $=
    ( cn wcel w3a c2 cexp co caddc wceq cgcd c1 cmin csqrt cz 3ad2ant2 3ad2ant1
    nnz eqtrd cdvds wbr wn wa cfv cn0 cmul cc0 3ad2ant3 zsubcld pythagtriplem10
    clt 3adant3 elnnz sylanbrc nnnn0d simp3 simp2 nnaddcld nnnn0 pythagtriplem4
    nnzd 3jca oveq1d 1gcd syl jca oveq1 zcnd sqcld cc nncn pncand subsq syl2anc
    nncnd mulcomd 3eqtr3d coprimeprodsq fveq2d gcdcld nn0red nn0ge0d sqrtsqd
    sylc ) ADEZBDEZCDEZFZAGHIZBGHIZJIZCGHIZKZABLIMKGAUAUBUCUDZFZCBNIZOUEWQALIZG
    HIZOUEWRWPWQWSOWPWQUFEZCBJIZPEZAUFEZFZWQXALIZALIZMKZUDWJWQXAUGIZKWQWSKWPXDX
    GWPWTXBXCWPWQWPWQPEZUHWQULUBZWQDEWIWNXIWOWICBWHWFCPEWGCSUIWGWFBPEWHBSQUJZRZ
    WIWNXJWOABCUKUMWQUNUOUPWIWNXBWOWIXAWICBWFWGWHUQWFWGWHURUSZVBRWIWNXCWOWFWGXC
    WHAUTRRVCWPXFMALIZMWPXEMALABCVAVDWPAPEZXNMKWIWNXOWOWFWGXOWHASRZRZAVEVFTVGWP
    WLWKNIZWMWKNIZWJXHWNWIXRXSKWOWLWMWKNVHQWIWNXRWJKWOWIWJWKWIAWIAXPVIVJWIBWGWF
    BVKEZWHBVLQZVJVMRWIWNXSXHKWOWIXSXAWQUGIZXHWICVKEZXTXSYBKWHWFYCWGCVLUIYACBVN
    VOWIXAWQWIXAXMVPWIWQXKVIVQTRVRWQXAAVSWEVTWPWRWPWRWPWQAXLXQWAZWBWPWRYDWCWDT
    $.

  $( Lemma for ~ pythagtrip .  Calculate ` ( sqrt `` ( C + B ) ) ` .
     (Contributed by Scott Fenton, 18-Apr-2014.)  (Revised by Mario Carneiro,
     19-Apr-2014.) $)
  pythagtriplem7 $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
       ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) /\
       ( ( A gcd B ) = 1 /\ -. 2 || A ) ) ->
       ( sqrt ` ( C + B ) ) = ( ( C + B ) gcd A ) ) $=
    ( cn wcel w3a c2 cexp co wceq cgcd c1 csqrt cmin cz 3ad2ant1 eqtrd cc nncnd
    nnzd caddc cdvds wbr wn wa cfv cn0 cmul simp3 simp2 zsubcld nnaddcld nnnn0d
    nnnn0 3jca pythagtriplem4 oveq1d nnz 1gcd syl jca oveq1 3ad2ant2 nncn sqcld
    pncand subsq syl2anc zcnd mulcomd 3eqtr3d coprimeprodsq2 sylc fveq2d gcdcld
    nn0red nn0ge0d sqrtsqd ) ADEZBDEZCDEZFZAGHIZBGHIZUAIZCGHIZJZABKILJGAUBUCUDU
    EZFZCBUAIZMUFWJAKIZGHIZMUFWKWIWJWLMWICBNIZOEZWJUGEZAUGEZFZWMWJKIZAKIZLJZUEW
    CWMWJUHIZJWJWLJWIWQWTWIWNWOWPWBWGWNWHWBCBWBCVSVTWAUIZTWBBVSVTWAUJZTUKZPWBWG
    WOWHWBWJWBCBXBXCULZUMPWBWGWPWHVSVTWPWAAUNPPUOWIWSLAKIZLWIWRLAKABCUPUQWIAOEZ
    XFLJWBWGXGWHVSVTXGWAAURPPZAUSUTQVAWIWEWDNIZWFWDNIZWCXAWGWBXIXJJWHWEWFWDNVBV
    CWBWGXIWCJWHWBWCWDWBAVSVTAREWAAVDPVEWBBWBBXCSZVEVFPWBWGXJXAJWHWBXJWJWMUHIZX
    AWBCREBREXJXLJWBCXBSXKCBVGVHWBWJWMWBWJXESWBWMXDVIVJQPVKWMWJAVLVMVNWIWKWIWKW
    IWJAWBWGWJOEWHWBWJXETPXHVOZVPWIWKXMVQVRQ $.

  $( Lemma for ~ pythagtrip .  Show that ` ( sqrt `` ( C - B ) ) ` is a
     positive integer.  (Contributed by Scott Fenton, 17-Apr-2014.)  (Revised
     by Mario Carneiro, 19-Apr-2014.) $)
  pythagtriplem8 $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
       ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) /\
       ( ( A gcd B ) = 1 /\ -. 2 || A ) ) -> ( sqrt ` ( C - B ) ) e. NN ) $=
    ( cn wcel w3a c2 cexp co caddc wceq cgcd c1 cdvds wn wa cz cc0 nnz 3ad2ant1
    wbr cmin csqrt pythagtriplem6 zsubcl syl2anr 3adant1 neneqd intnand gcdn0cl
    cfv nnne0 syl21anc eqeltrd ) ADEZBDEZCDEZFZAGHIBGHIJICGHIKZABLIMKGANUAOPZFC
    BUBIZUCUKVAALIZDABCUDURUSVBDEZUTURVAQEZAQEZVARKZARKZPOZVCUPUQVDUOUQCQEBQEVD
    UPCSBSCBUEUFUGUOUPVEUQASTUOUPVHUQUOVGVFUOARAULUHUITVAAUJUMTUN $.

  $( Lemma for ~ pythagtrip .  Show that ` ( sqrt `` ( C + B ) ) ` is a
     positive integer.  (Contributed by Scott Fenton, 17-Apr-2014.)  (Revised
     by Mario Carneiro, 19-Apr-2014.) $)
  pythagtriplem9 $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
       ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) /\
       ( ( A gcd B ) = 1 /\ -. 2 || A ) ) -> ( sqrt ` ( C + B ) ) e. NN ) $=
    ( cn wcel w3a c2 cexp co caddc wceq cgcd c1 cdvds wn wa cz cc0 nnz 3ad2ant1
    wbr csqrt cfv pythagtriplem7 zaddcl syl2anr 3adant1 neneqd intnand syl21anc
    nnne0 gcdn0cl eqeltrd ) ADEZBDEZCDEZFZAGHIBGHIJICGHIKZABLIMKGANUAOPZFZCBJIZ
    UBUCVAALIZDABCUDUTVAQEZAQEZVARKZARKZPOZVBDEUQURVCUSUOUPVCUNUPCQEBQEVCUOCSBS
    CBUEUFUGTUQURVDUSUNUOVDUPASTTUQURVGUSUNUOVGUPUNVFVEUNARAUKUHUITTVAAULUJUM
    $.

  ${
    pythagtriplem11.1 $e |- M
              = ( ( ( sqrt ` ( C + B ) ) + ( sqrt ` ( C - B ) ) ) / 2 ) $.
    $( Lemma for ~ pythagtrip .  Show that ` M ` (which will eventually be
       closely related to the ` m ` in the final statement) is a natural.
       (Contributed by Scott Fenton, 17-Apr-2014.)  (Revised by Mario Carneiro,
       19-Apr-2014.) $)
    pythagtriplem11 $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
       ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) /\
       ( ( A gcd B ) = 1 /\ -. 2 || A ) ) -> M e. NN ) $=
      ( cn wcel c2 cexp co caddc cgcd cdvds wbr wn wa cz nnzd wb 3ad2ant1 csqrt
      w3a wceq c1 cfv cmin cdiv cc0 clt pythagtriplem9 simp3r 3ad2ant3 3ad2ant2
      2z nnz zaddcld dvdsgcdb mp3an2i simprd mtand pythagtriplem7 breq2d mtbird
      biimpar pythagtriplem8 pythagtriplem6 opoe syl22anc nnaddcld evend2 mpbid
      zsubcld syl nnred nngt0d addgt0d cr halfpos2 elnnz sylanbrc eqeltrid ) AF
      GZBFGZCFGZUBZAHIJBHIJKJCHIJUCZABLJUDUCZHAMNZOZPZUBZDCBKJZUAUEZCBUFJZUAUEZ
      KJZHUGJZFEWKWQQGZUHWQUINZWQFGWKHWPMNZWRWKWMQGHWMMNZOWOQGHWOMNZOWTWKWMABCU
      JZRWKXAHWLALJZMNZWKXEWHWEWFWGWIUKZWKXEPHWLMNZWHWKXGWHPZXEHQGZWKWLQGZAQGZX
      HXESUNWEWFXJWJWECBWDWBCQGWCCUOULZWCWBBQGWDBUOUMZUPTWEWFXKWJWBWCXKWDAUOTTZ
      HWLAUQURVDUSUTWKWMXDHMABCVAVBVCWKWOABCVEZRWKXBHWNALJZMNZWKXQWHXFWKXQPHWNM
      NZWHWKXRWHPZXQXIWKWNQGZXKXSXQSUNWEWFXTWJWECBXLXMVLTXNHWNAUQURVDUSUTWKWOXP
      HMABCVFVBVCWMWOVGVHWKWPQGWTWRSWKWPWKWMWOXCXOVIZRWPVJVMVKWKUHWPUINZWSWKWMW
      OWKWMXCVNWKWOXOVNWKWMXCVOWKWOXOVOVPWKWPVQGYBWSSWKWPYAVNWPVRVMVKWQVSVTWA
      $.

    $( Lemma for ~ pythagtrip .  Calculate the square of ` M ` .  (Contributed
       by Scott Fenton, 17-Apr-2014.)  (Revised by Mario Carneiro,
       19-Apr-2014.) $)
    pythagtriplem12 $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
       ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) /\
       ( ( A gcd B ) = 1 /\ -. 2 || A ) ) -> ( M ^ 2 ) = ( ( C + A ) / 2 ) ) $=
      ( wcel c2 cexp co caddc wceq wbr csqrt cdiv cmul cc 3ad2ant1 cc0 2cn cr
      cn w3a cgcd c1 cdvds wn wa cmin oveq1i nncn addcl syl2anr 3adant1 sqrtcld
      cfv subcl addcld wne 2ne0 mp3an23 sqvali oveq2i eqtrdi syl binom2 syl2anc
      sqdiv cle nnre readdcl clt 3ad2ant3 3ad2ant2 nngt0 addgt0d ltle mpan sylc
      wi resqrtth oveq1d resubcl pythagtriplem10 3adant3 oveq12d mulcld sylancr
      0re mulcl add32d adddi mp3an2i ppncand eqtr4d oveq1 sqcld pncand 3eqtr3rd
      2timesd subsq fveq2d sqrtmuld nnnn0 nn0ge0d sqrtsqd 3eqtr3d oveq2d 3eqtrd
      3adant2 2cnne0 divdiv1 divcan3 eqtrid ) AUAFZBUAFZCUAFZUBZAGHIZBGHIZJIZCG
      HIZKZABUCIUDKGAUELUFUGZUBZDGHICBJIZMUOZCBUHIZMUOZJIZGNIZGHIZCAJIZGNIZDYJG
      HEUIYDYKYIGHIZGGOIZNIZGYLOIZGNIZGNIZYMYDYIPFZYKYPKXQYBYTYCXQYFYHXQYEXOXPY
      EPFZXNXPCPFZBPFZUUAXOCUJZBUJZCBUKULUMZUNZXQYGXOXPYGPFZXNXPUUBUUCUUHXOUUDU
      UECBUPULUMZUNZUQQYTYKYNGGHIZNIZYPYTGPFZGRURZYKUULKSUSYIGVGUTUUKYOYNNGSVAV
      BVCVDYDYPYQYONIZYSYDYNYQYONYDYNYFGHIZGYFYHOIZOIZJIZYHGHIZJIZYEUURJIZYGJIZ
      YQYDYFPFZYHPFZYNUVAKXQYBUVDYCUUGQXQYBUVEYCUUJQYFYHVEVFYDUUSUVBUUTYGJYDUUP
      YEUURJYDYETFZRYEVHLZUUPYEKXQYBUVFYCXOXPUVFXNXPCTFZBTFZUVFXOCVIZBVIZCBVJUL
      UMQZYDUVFRYEVKLZUVGUVLXQYBUVMYCXQCBXPXNUVHXOUVJVLXOXNUVIXPUVKVMXPXNRCVKLX
      OCVNVLXOXNRBVKLXPBVNVMVOQRTFZUVFUVMUVGVSWHRYEVPVQVRZYEVTVFWAYDYGTFZRYGVHL
      ZUUTYGKXQYBUVPYCXOXPUVPXNXPUVHUVIUVPXOUVJUVKCBWBULUMQZYDUVPRYGVKLZUVQUVRX
      QYBUVSYCABCWCWDUVNUVPUVSUVQVSWHRYGVPVQVRZYGVTVFWEYDUVCYEYGJIZUURJIZYQYDYE
      UURYGXQYBUUAYCUUFQXQYBUURPFZYCXQUUMUUQPFUWCSXQYFYHUUGUUJWFGUUQWIWGQXQYBUU
      HYCUUIQWJYDYQGCOIZGAOIZJIZUWBUUMYDUUBAPFZYQUWFKSXQYBUUBYCXPXNUUBXOUUDVLQZ
      XQYBUWGYCXNXOUWGXPAUJZQQZGCAWKWLYDUWAUWDUURUWEJYDUWACCJIUWDYDCBCUWHXQYBUU
      CYCXOXNUUCXPUUEVMQZUWHWMYDCUWHWSWNYDUUQAGOYDYEYGOIZMUOXRMUOUUQAYDUWLXRMYD
      XTXSUHIZYAXSUHIZXRUWLYBXQUWMUWNKYCXTYAXSUHWOVMYDXRXSYDAUWJWPYDBUWKWPWQYDU
      UBUUCUWNUWLKUWHUWKCBWTVFWRXAYDYEYGUVLUVOUVRUVTXBYDAXQYBATFZYCXNXOUWOXPAVI
      QQXQYBRAVHLZYCXNXOUWPXPXNAAXCXDQQXEXFXGWEWNWNXHWAYDYQPFZYSUUOKZYDUUMYLPFZ
      UWQSXQYBUWSYCXNXPUWSXOXPUUBUWGUWSXNUUDUWICAUKULXIQZGYLWIWGUWQUUMUUNUGZUXA
      UWRXJXJYQGGXKUTVDWNYDYRYLGNYDUWSYRYLKZUWTUWSUUMUUNUXBSUSYLGXLUTVDWAXHXM
      $.
  $}

  ${
    pythagtriplem13.1 $e |- N
        = ( ( ( sqrt ` ( C + B ) ) - ( sqrt ` ( C - B ) ) ) / 2 ) $.
    $( Lemma for ~ pythagtrip .  Show that ` N ` (which will eventually be
       closely related to the ` n ` in the final statement) is a natural.
       (Contributed by Scott Fenton, 17-Apr-2014.)  (Revised by Mario Carneiro,
       19-Apr-2014.) $)
    pythagtriplem13 $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
       ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) /\
       ( ( A gcd B ) = 1 /\ -. 2 || A ) ) -> N e. NN ) $=
      ( cn wcel c2 co cdvds wbr wa cz cc0 clt nnzd wb 3ad2ant1 cr mpbid cexp c1
      w3a caddc wceq cgcd wn csqrt cfv cmin cdiv pythagtriplem9 simp3r 2z simp3
      nnaddcld nnz dvdsgcdb mp3an2i biimpar simprd pythagtriplem7 breq2d mtbird
      simp2 mtand pythagtriplem8 3ad2ant3 3ad2ant2 pythagtriplem6 omoe syl22anc
      zsubcld zred simp13 nnred crp nnrp nngt0 simp12 ltaddposd pythagtriplem10
      ltsubrpd lttrd cle 3adant3 wi 0re ltle mpan addgt0d sqrtltd nnsub syl2anc
      sylc evend2 syl nngt0d halfpos2 elnnz sylanbrc eqeltrid ) AFGZBFGZCFGZUCZ
      AHUAIBHUAIUDICHUAIUEZABUFIUBUEZHAJKZUGZLZUCZDCBUDIZUHUIZCBUJIZUHUIZUJIZHU
      KIZFEXLXRMGZNXROKZXRFGXLHXQJKZXSXLXNMGHXNJKZUGXPMGHXPJKZUGYAXLXNABCULZPXL
      YBHXMAUFIZJKZXLYFXIXFXGXHXJUMZXLYFLHXMJKZXIXLYHXILZYFHMGZXLXMMGZAMGZYIYFQ
      UNXFXGYKXKXFXMXFCBXCXDXEUOXCXDXEVEUPZPRXFXGYLXKXCXDYLXEAUQRRZHXMAURUSUTVA
      VFXLXNYEHJABCVBVCVDXLXPABCVGZPXLYCHXOAUFIZJKZXLYQXIYGXLYQLHXOJKZXIXLYRXIL
      ZYQYJXLXOMGZYLYSYQQUNXFXGYTXKXFCBXEXCCMGXDCUQVHXDXCBMGXEBUQVIVMZRYNHXOAUR
      USUTVAVFXLXPYPHJABCVJVCVDXNXPVKVLXLXQMGYAXSQXLXQXLXPXNOKZXQFGZXLXOXMOKUUB
      XLXOCXMXFXGXOSGZXKXFXOUUAVNRZXLCXCXDXEXGXKVOVPZXFXGXMSGZXKXFXMYMVPRZXLCBU
      UFXFXGBVQGZXKXDXCUUIXEBVRVIRWCXLNBOKZCXMOKXFXGUUJXKXDXCUUJXEBVSVIRZXLBCXL
      BXCXDXEXGXKVTVPZUUFWATWDXLXOXMUUEXLUUDNXOOKZNXOWEKZUUEXFXGUUMXKABCWBWFNSG
      ZUUDUUMUUNWGWHNXOWIWJWOUUHXLUUGNXMOKZNXMWEKZUUHXLCBUUFUULXFXGNCOKZXKXEXCU
      URXDCVSVHRUUKWKUUOUUGUUPUUQWGWHNXMWIWJWOWLTXLXPFGXNFGUUBUUCQYOYDXPXNWMWNT
      ZPXQWPWQTXLNXQOKZXTXLXQUUSWRXLXQSGUUTXTQXLXQUUSVPXQWSWQTXRWTXAXB $.

    $( Lemma for ~ pythagtrip .  Calculate the square of ` N ` .  (Contributed
       by Scott Fenton, 17-Apr-2014.)  (Revised by Mario Carneiro,
       19-Apr-2014.) $)
    pythagtriplem14 $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
       ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) /\
       ( ( A gcd B ) = 1 /\ -. 2 || A ) ) -> ( N ^ 2 ) = ( ( C - A ) / 2 ) ) $=
      ( wcel c2 cexp caddc wceq wbr cmin cdiv syl2anr 3adant1 3ad2ant1 cc0 cmul
      co cc cn w3a cgcd c1 cdvds wn wa csqrt cfv oveq1i nncn addcl subcl subcld
      sqrtcld wne 2cn 2ne0 sqdiv mp3an23 syl sqvali oveq2i sqcld 2cnne0 divdiv1
      simp12 simp13 syl2anc binom2sub nnre readdcl recnd resubcl mulcld sylancr
      cr mulcl addsubd nncnd simp11 subdi mp3an2i ppncan 3anidm13 2times adantr
      eqtr4d subsq oveq1 3ad2ant2 pncand eqtr3d fveq2d cle adantl nngt0 addgt0d
      clt ltle mpan sylc pythagtriplem10 3adant3 sqrtmuld nnnn0 nn0ge0d sqrtsqd
      0re oveq2d oveq12d resqrtth oveq1d 3eqtr4rd eqtrd 3adant2 divcan3 eqtrid
      wi ) AUAFZBUAFZCUAFZUBZAGHSZBGHSZISZCGHSZJZABUCSUDJGAUEKUFUGZUBZDGHSCBISZ
      UHUIZCBLSZUHUIZLSZGMSZGHSZCALSZGMSZDYPGHEUJYJYQYOGHSZGGHSZMSZYSYJYOTFZYQU
      UBJZYCYHUUCYIYAYBUUCXTYAYBUGZYLYNUUEYKYBCTFZBTFZYKTFYACUKZBUKZCBULNUOZUUE
      YMYBUUFUUGYMTFYAUUHUUICBUMNUOZUNOPZUUCGTFZGQUPZUUDUQURYOGUSUTVAYJUUBYTGGR
      SZMSZYSUUAUUOYTMGUQVBVCYJYTGMSZGMSZUUPYSYJYTTFZUURUUPJZYJYOUULVDUUSUUMUUN
      UGZUVAUUTVEVEYTGGVFUTVAYJUUQYRGMYJUUQGYRRSZGMSZYRYJYTUVBGMYJYTYLGHSZGYLYN
      RSZRSZLSZYNGHSZISZUVBYJYLTFZYNTFZYTUVIJYJYAYBUVJXTYAYBYHYIVGZXTYAYBYHYIVH
      ZUUJVIYJYAYBUVKUVLUVMUUKVIYLYNVJVIYJYKYMISZUVFLSZYKUVFLSZYMISUVBUVIYJYKYM
      UVFYJYKYCYHYKVQFZYIYAYBUVQXTYBCVQFZBVQFZUVQYACVKZBVKZCBVLNZOPZVMYJYMYCYHY
      MVQFZYIYAYBUWDXTYBUVRUVSUWDYAUVTUWACBVNNOPZVMYCYHUVFTFZYIYCUUMUVETFUWFUQY
      CYLYNYAYBUVJXTUUJOYAYBUVKXTUUKOVOGUVEVRVPPVSYJUVBGCRSZGARSZLSZUVOUUMYJUUF
      ATFZUVBUWIJUQYJCUVMVTZYJAXTYAYBYHYIWAVTGCAWBWCYJUVNUWGUVFUWHLYCYHUVNUWGJZ
      YIYAYBUWLXTYBUUFUUGUWLYAUUHUUIUUFUUGUGUVNCCISZUWGUUFUUGUVNUWMJCBCWDWEUUFU
      WGUWMJUUGCWFWGWHNOPYJUVEAGRYJYDUHUIZUVEAYJYKYMRSZUHUIUWNUVEYJUWOYDUHYJYGY
      ELSZUWOYDYJUUFUUGUWPUWOJUWKYJBUVLVTCBWIVIYJYFYELSZUWPYDYHYCUWQUWPJYIYFYGY
      ELWJWKYCYHUWQYDJYIYCYDYEXTYAYDTFYBXTAAUKZVDPYAXTYETFYBYABUUIVDWKWLPWMWMWN
      YJYKYMUWCYCYHQYKWOKZYIYAYBUWSXTUUEUVQQYKWSKZUWSUWBUUECBYBUVRYAUVTWPYAUVSY
      BUWAWGYBQCWSKYACWQWPYAQBWSKYBBWQWGWRQVQFZUVQUWTUWSXSXIQYKWTXAXBOPZUWEYJUW
      DQYMWSKZQYMWOKZUWEYCYHUXCYIABCXCXDUXAUWDUXCUXDXSXIQYMWTXAXBZXEWMYJAYCYHAV
      QFZYIXTYAUXFYBAVKPPYCYHQAWOKZYIXTYAUXGYBXTAAXFXGPPXHWMXJXKWHYJUVGUVPUVHYM
      IYJUVDYKUVFLYJUVQUWSUVDYKJUWCUXBYKXLVIXMYJUWDUXDUVHYMJUWEUXEYMXLVIXKXNXOX
      MYJYRTFZUVCYRJZYCYHUXHYIXTYBUXHYAYBUUFUWJUXHXTUUHUWRCAUMNXPPUXHUUMUUNUXIU
      QURYRGXQUTVAXOXMWMXRXOXR $.
  $}

  ${
    pythagtriplem15.1 $e |- M
         = ( ( ( sqrt ` ( C + B ) ) + ( sqrt ` ( C - B ) ) ) / 2 ) $.
    pythagtriplem15.2 $e |- N
         = ( ( ( sqrt ` ( C + B ) ) - ( sqrt ` ( C - B ) ) ) / 2 ) $.
    $( Lemma for ~ pythagtrip .  Show the relationship between ` M ` , ` N ` ,
       and ` A ` .  (Contributed by Scott Fenton, 17-Apr-2014.)  (Revised by
       Mario Carneiro, 19-Apr-2014.) $)
    pythagtriplem15 $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
       ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) /\
       ( ( A gcd B ) = 1 /\ -. 2 || A ) ) -> A = ( ( M ^ 2 ) - ( N ^ 2 ) ) ) $=
      ( cn wcel w3a c2 cexp co caddc wceq wa cmin cdiv cc 3ad2ant1 c1 cdvds wbr
      cgcd wn cmul pythagtriplem12 pythagtriplem14 oveq12d simp3 simp1 nnaddcld
      nncnd cz nnz 3ad2ant3 zsubcld zcnd cc0 wne 2cnne0 divsubdir mp3an3 eqtr4d
      syl2anc nncn pnncand 2timesd oveq1d 2cn 2ne0 divcan3 mp3an23 syl 3eqtrrd
      ) AHIZBHIZCHIZJZAKLMBKLMNMCKLMOZABUDMUAOKAUBUCUEPZJZDKLMZEKLMZQMZCANMZCAQ
      MZQMZKRMZKAUFMZKRMZAWBWEWFKRMZWGKRMZQMZWIWBWCWLWDWMQABCDFUGABCEGUHUIWBWFS
      IZWGSIZWIWNOZVSVTWOWAVSWFVSCAVPVQVRUJVPVQVRUKULUMTVSVTWPWAVSWGVSCAVRVPCUN
      IVQCUOUPVPVQAUNIVRAUOTUQURTWOWPKSIZKUSUTZPWQVAWFWGKVBVCVEVDWBWHWJKRWBWHAA
      NMWJWBCAAVSVTCSIZWAVRVPWTVQCVFUPTVSVTASIZWAVPVQXAVRAVFTTZXBVGWBAXBVHVDVIW
      BXAWKAOZXBXAWRWSXCVJVKAKVLVMVNVO $.

    $( Lemma for ~ pythagtrip .  Show the relationship between ` M ` , ` N ` ,
       and ` B ` .  (Contributed by Scott Fenton, 17-Apr-2014.)  (Revised by
       Mario Carneiro, 19-Apr-2014.) $)
    pythagtriplem16 $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
       ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) /\
       ( ( A gcd B ) = 1 /\ -. 2 || A ) ) -> B = ( 2 x. ( M x. N ) ) ) $=
      ( wcel c2 cexp co wceq wbr cmul cdiv cc syl2anc 3adant1 3ad2ant1 cc0 cgcd
      cn w3a caddc c1 cdvds wn wa csqrt cmin oveq12i nncn addcl syl2anr sqrtcld
      cfv wne 2cnne0 divmuldiv mpanr12 mulcld divdiv1 mp3an23 syl eqtr4d cr cle
      subcl nnre readdcl clt adantl adantr nngt0 addgt0d 0re ltle mpan resqrtth
      wi sylc resubcl pythagtriplem10 3adant3 oveq1d simp12 simp13 subsq pnncan
      oveq12d 3anidm23 2times 2cn 2ne0 divcan3 3syl eqtrd 3eqtr3d eqtrid oveq2d
      divcan2 3ad2ant2 eqtr2d ) AUBHZBUBHZCUBHZUCZAIJKBIJKUDKCIJKLZABUAKUELIAUF
      MUGUHZUCZIDENKZNKIBIOKZNKZBXJXKXLINXJXKCBUDKZUIUPZCBUJKZUIUPZUDKZIOKZXOXQ
      UJKZIOKZNKZXLDXSEYANFGUKXJYBXRXTNKZIOKZIOKZXLXJYBYCIINKOKZYEXJXRPHZXTPHZY
      BYFLZXGXHYGXIXEXFYGXDXEXFUHZXOPHZXQPHZYGYJXNXFCPHZBPHZXNPHXECULZBULZCBUMU
      NUOZYJXPXFYMYNXPPHXEYOYPCBVHUNUOZXOXQUMQZRSXGXHYHXIXEXFYHXDYJYKYLYHYQYRXO
      XQVHQZRSYGYHUHIPHZITUQZUHZUUCYIURURXRXTIIUSUTQXJYCPHZYEYFLZXGXHUUDXIXEXFU
      UDXDYJXRXTYSYTVARSUUDUUCUUCUUEURURYCIIVBVCVDVEXJYDBIOXJXOIJKZXQIJKZUJKZIO
      KXNXPUJKZIOKZYDBXJUUHUUIIOXJUUFXNUUGXPUJXJXNVFHZTXNVGMZUUFXNLXGXHUUKXIXEX
      FUUKXDXFCVFHZBVFHZUUKXECVIZBVIZCBVJUNZRSXGXHUULXIXEXFUULXDYJUUKTXNVKMZUUL
      UUQYJCBXFUUMXEUUOVLXEUUNXFUUPVMXFTCVKMXECVNVLXETBVKMXFBVNVMVOTVFHZUUKUURU
      ULVTVPTXNVQVRWARSXNVSQXJXPVFHZTXPVGMZUUGXPLXGXHUUTXIXEXFUUTXDXFUUMUUNUUTX
      EUUOUUPCBWBUNRSZXJUUTTXPVKMZUVAUVBXGXHUVCXIABCWCWDUUSUUTUVCUVAVTVPTXPVQVR
      WAXPVSQWJWEXJUUHYCIOXJYKYLUUHYCLXJXEXFYKXDXEXFXHXIWFZXDXEXFXHXIWGZYQQXJXE
      XFYLUVDUVEYRQXOXQWHQWEXJUUJIBNKZIOKZBXJUUIUVFIOXGXHUUIUVFLZXIXEXFUVHXDXFY
      MYNUVHXEYOYPYMYNUHUUIBBUDKZUVFYMYNUUIUVILCBBWIWKYNUVFUVILYMBWLVLVEUNRSWEX
      JXEYNUVGBLZUVDYPYNUUAUUBUVJWMWNBIWOVCWPWQWRWEWQWSWTXGXHXMBLZXIXEXDUVKXFXE
      YNUVKYPYNUUAUUBUVKWMWNBIXAVCVDXBSXC $.

    $( Lemma for ~ pythagtrip .  Show the relationship between ` M ` , ` N ` ,
       and ` C ` .  (Contributed by Scott Fenton, 17-Apr-2014.)  (Revised by
       Mario Carneiro, 19-Apr-2014.) $)
    pythagtriplem17 $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
       ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) /\
       ( ( A gcd B ) = 1 /\ -. 2 || A ) ) -> C = ( ( M ^ 2 ) + ( N ^ 2 ) ) ) $=
      ( cn wcel w3a c2 cexp co caddc wceq wa cdiv cc nncn 3ad2ant1 c1 cdvds wbr
      cgcd wn cmin cmul pythagtriplem12 pythagtriplem14 oveq12d 3ad2ant3 addcld
      subcld cc0 wne 2cnne0 divdir mp3an3 syl2anc eqtr4d ppncand 2timesd oveq1d
      2cn 2ne0 divcan3 mp3an23 syl 3eqtrrd ) AHIZBHIZCHIZJZAKLMBKLMNMCKLMOZABUD
      MUAOKAUBUCUEPZJZDKLMZEKLMZNMZCANMZCAUFMZNMZKQMZKCUGMZKQMZCVPVSVTKQMZWAKQM
      ZNMZWCVPVQWFVRWGNABCDFUHABCEGUIUJVPVTRIZWARIZWCWHOZVPCAVMVNCRIZVOVLVJWLVK
      CSUKTZVMVNARIZVOVJVKWNVLASTTZULVPCAWMWOUMWIWJKRIZKUNUOZPWKUPVTWAKUQURUSUT
      VPWBWDKQVPWBCCNMWDVPCACWMWOWMVAVPCWMVBUTVCVPWLWECOZWMWLWPWQWRVDVECKVFVGVH
      VI $.
  $}

  ${
    $d A m n $.  $d B m n $.  $d C m n $.
    $( Lemma for ~ pythagtrip .  Wrap the previous ` M ` and ` N ` up in
       quantifiers.  (Contributed by Scott Fenton, 18-Apr-2014.)  (Revised by
       Mario Carneiro, 19-Apr-2014.) $)
    pythagtriplem18 $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
       ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) /\
       ( ( A gcd B ) = 1 /\ -. 2 || A ) ) ->
       E. n e. NN E. m e. NN
       ( A = ( ( m ^ 2 ) - ( n ^ 2 ) ) /\
         B = ( 2 x. ( m x. n ) ) /\
         C = ( ( m ^ 2 ) + ( n ^ 2 ) ) ) ) $=
      ( cn wcel w3a c2 cexp caddc wceq csqrt cfv cmin cmul oveq1 oveq2d eqeq2d
      co cgcd c1 cdvds wbr wn wa cdiv wrex eqid pythagtriplem13 pythagtriplem11
      cv pythagtriplem15 pythagtriplem16 pythagtriplem17 oveq2 3anbi123d oveq1d
      rspc2ev syl113anc ) AFGBFGCFGHAIJTBIJTKTCIJTLABUATUBLIAUCUDUEUFHCBKTMNZCB
      OTMNZOTIUGTZFGVAVBKTIUGTZFGAVDIJTZVCIJTZOTZLZBIVDVCPTZPTZLZCVEVFKTZLZADUL
      ZIJTZEULZIJTZOTZLZBIVNVPPTZPTZLZCVOVQKTZLZHZDFUHEFUHABCVCVCUIZUJABCVDVDUI
      ZUKABCVDVCWGWFUMABCVDVCWGWFUNABCVDVCWGWFUOWEVHVKVMHAVOVFOTZLZBIVNVCPTZPTZ
      LZCVOVFKTZLZHEDVCVDFFVPVCLZVSWIWBWLWDWNWOVRWHAWOVQVFVOOVPVCIJQZRSWOWAWKBW
      OVTWJIPVPVCVNPUPRSWOWCWMCWOVQVFVOKWPRSUQVNVDLZWIVHWLVKWNVMWQWHVGAWQVOVEVF
      OVNVDIJQZURSWQWKVJBWQWJVIIPVNVDVCPQRSWQWMVLCWQVOVEVFKWRURSUQUSUT $.
  $}

  ${
    $d A m n k $.  $d B m n k $.  $d C m n k $.
    $( Lemma for ~ pythagtrip .  Introduce ` k ` and remove the relative
       primality requirement.  (Contributed by Scott Fenton, 18-Apr-2014.)
       (Revised by Mario Carneiro, 19-Apr-2014.) $)
    pythagtriplem19 $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
       ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) /\
       -. 2 || ( A / ( A gcd B ) ) ) ->
       E. n e. NN E. m e. NN E. k e. NN
       ( A = ( k x. ( ( m ^ 2 ) - ( n ^ 2 ) ) ) /\
         B = ( k x. ( 2 x. ( m x. n ) ) ) /\
         C = ( k x. ( ( m ^ 2 ) + ( n ^ 2 ) ) ) ) ) $=
      ( cn wcel c2 cexp co wceq cdiv cdvds wbr cmul wrex 3ad2ant1 cz wb cgcd wn
      w3a caddc cv cmin gcdnncl 3adant3 c1 cc0 clt wa nnz gcddvds syl2an simpld
      wne nnzd nnne0d dvdsval2 syl3anc mpbid cr nnre nnred nngt0 nngt0d divgt0d
      elnnz sylanbrc simprd 3ad2ant2 dvdssq syl2anc anbi12d wi nnsqcld dvds2add
      nnsqcl mpd adantr simpr breqtrd 3ad2ant3 mpbird nncnd divdird nncn sqdivd
      oveq1 eqtr4d 3eqtr4rd gcddiv syl31anc dividd eqtr3d simp3 pythagtriplem18
      oveq12d syl312anc divcan2d eqcomd 3jca eqeq2d 3anbi123d syl5ibcom reximdv
      cc oveq2 2rexbidv rspcev rexcom rexbii bitri sylib ) AGHZBGHZCGHZUCZAIJKZ
      BIJKZUDKZCIJKZLZIAABUAKZMKZNOUBZUCZADUEZEUEZIJKZFUEZIJKZUFKZPKZLZBYIIYJYL
      PKPKZPKZLZCYIYKYMUDKZPKZLZUCZEGQZFGQZDGQZUUCDGQEGQZFGQZYHYEGHZAYEYNPKZLZB
      YEYQPKZLZCYEYTPKZLZUCZEGQZFGQZUUFXSYDUUIYGXPXQUUIXRABUGUHZRYHYFYNLZBYEMKZ
      YQLZCYEMKZYTLZUCZEGQZFGQZUURYHYFGHZUVAGHZUVCGHZYFIJKZUVAIJKZUDKZUVCIJKZLY
      FUVAUAKZUILZYGUVGXSYDUVHYGXSYFSHZUJYFUKOUVHXSYEANOZUVQXSUVRYEBNOZXPXQUVRU
      VSULZXRXPASHZBSHZUVTXQAUMZBUMZABUNUOUHZUPXSYESHZYEUJUQZUWAUVRUVQTXSYEUUSU
      RZXSYEUUSUSZXPXQUWAXRUWCRZYEAUTVAVBXSAYEXPXQAVCHXRAVDRXSYEUUSVEZXPXQUJAUK
      OXRAVFRXSYEUUSVGZVHYFVIVJRXSYDUVIYGXSUVASHZUJUVAUKOUVIXSUVSUWMXSUVRUVSUWE
      VKXSUWFUWGUWBUVSUWMTUWHUWIXQXPUWBXRUWDVLZYEBUTVAVBXSBYEXQXPBVCHXRBVDVLUWK
      XQXPUJBUKOXRBVFVLUWLVHUVAVIVJRXSYDUVJYGXSYDULZUVCSHZUJUVCUKOZUVJUWOYECNOZ
      UWPUWOUWRYEIJKZYCNOZUWOUWSYBYCNXSUWSYBNOZYDXSUWSXTNOZUWSYANOZULZUXAXSUVTU
      XDUWEXSUVRUXBUVSUXCXSUWFUWAUVRUXBTUWHUWJYEAVMVNXSUWFUWBUVSUXCTUWHUWNYEBVM
      VNVOVBXSUWSSHXTSHYASHUXDUXAVPXSUWSXSYEUUSVQZURXSXTXPXQXTGHXRAVSRZURXSYAXQ
      XPYAGHXRBVSVLZURUWSXTYAVRVAVTWAXSYDWBWCXSUWRUWTTZYDXSUWFCSHZUXHUWHXRXPUXI
      XQCUMWDZYECVMVNWAWEXSUWRUWPTZYDXSUWFUWGUXIUXKUWHUWIUXJYECUTVAWAVBXSUWQYDX
      SCYEXRXPCVCHXQCVDWDUWKXRXPUJCUKOXQCVFWDUWLVHWAUVCVIVJUHYHYBUWSMKZXTUWSMKZ
      YAUWSMKZUDKZUVNUVMXSYDUXLUXOLYGXSXTYAUWSXSXTUXFWFXSYAUXGWFXSUWSUXEWFXSUWS
      UXEUSWGRYHUVNYCUWSMKZUXLXSYDUVNUXPLYGXSCYEXRXPCXHHXQCWHWDZXSYEUUSWFZUWIWI
      RYDXSUXLUXPLYGYBYCUWSMWJVLWKXSYDUVMUXOLYGXSUVKUXMUVLUXNUDXSAYEXPXQAXHHXRA
      WHRZUXRUWIWIXSBYEXQXPBXHHXRBWHVLZUXRUWIWIWSRWLXSYDUVPYGXSYEYEMKZUVOUIXSUW
      AUWBUUIUVTUYAUVOLUWJUWNUUSUWEABYEWMWNXSYEUXRUWIWOWPRXSYDYGWQYFUVAUVCEFWRW
      TYHUVFUUQFGYHUVEUUPEGYHAYEYFPKZLZBYEUVAPKZLZCYEUVCPKZLZUCZUVEUUPXSYDUYHYG
      XSUYCUYEUYGXSUYBAXSAYEUXSUXRUWIXAXBXSUYDBXSBYEUXTUXRUWIXAXBXSUYFCXSCYEUXQ
      UXRUWIXAXBXCRUVEUYCUUKUYEUUMUYGUUOUUTUVBUYCUUKTUVDUUTUYBUUJAYFYNYEPXIXDRU
      VBUUTUYEUUMTUVDUVBUYDUULBUVAYQYEPXIXDVLUVDUUTUYGUUOTUVBUVDUYFUUNCUVCYTYEP
      XIXDWDXEXFXGXGVTUUEUURDYEGYIYELZUUCUUPFEGGUYIYPUUKYSUUMUUBUUOUYIYOUUJAYIY
      EYNPWJXDUYIYRUULBYIYEYQPWJXDUYIUUAUUNCYIYEYTPWJXDXEXJXKVNUUFUUDDGQZFGQUUH
      UUDDFGGXLUYJUUGFGUUCDEGGXLXMXNXO $.
  $}

  ${
    $d A k m n $.  $d B k m n $.  $d C k m n $.
    $( Parameterize the Pythagorean triples.  If ` A ` , ` B ` , and ` C ` are
       naturals, then they obey the Pythagorean triple formula iff they are
       parameterized by three naturals.  This proof follows the Isabelle proof
       at ~ http://afp.sourceforge.net/entries/Fermat3_4.shtml .  This is
       Metamath 100 proof #23.  (Contributed by Scott Fenton, 19-Apr-2014.) $)
    pythagtrip $p |- ( ( A e. NN /\ B e. NN /\ C e. NN ) ->
    ( ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) <->
       E. n e. NN E. m e. NN E. k e. NN
       ( { A , B } = { ( k x. ( ( m ^ 2 ) - ( n ^ 2 ) ) ) ,
                       ( k x. ( 2 x. ( m x. n ) ) ) } /\
         C = ( k x. ( ( m ^ 2 ) + ( n ^ 2 ) ) ) ) ) ) $=
      ( cn wcel w3a c2 cexp co wceq cmul wa wrex wo cdiv cdvds 3adant3 caddc cv
      cpr cmin wbr divgcdodd adantr pythagtriplem19 3expia simp12 simp11 simp13
      cgcd wn cc nnsqcl nncnd 3ad2ant1 3ad2ant2 addcomd eqeq1d biimpa cz gcdcom
      nnz syl2an2r oveq2d breq2d notbid biimp3a syl311anc orim12d ovex preq12bg
      mpd wb cvv mpanr12 anbi1d rexbidv 2rexbidv df-3an orbi12i 3ancoma 3bitr2i
      andir orbi2i rexbii 2rexbii r19.43 bitrdi mpbird ex pythagtriplem2 impbid
      bitri wi ) AGHZBGHZCGHZIZAJKLZBJKLZUALZCJKLZMZABUCDUBZEUBZJKLZFUBZJKLZUDL
      ZNLZXGJXHXJNLNLZNLZUCMZCXGXIXKUALNLMZOZDGPZEGPFGPZXAXFXTXAXFOZXTAXMMZBXOM
      ZXQIZDGPZEGPZFGPZBXMMZAXOMZXQIZDGPZEGPZFGPZQZYAJAABUMLZRLSUEUNZJBYORLZSUE
      ZUNZQZYNXAYTXFWRWSYTWTABUFTUGYAYPYGYSYMXAXFYPYGABCDEFUHUIXAXFYSYMXAXFYSIW
      SWRWTXCXBUALZXEMZJBBAUMLZRLZSUEZUNZYMWRWSWTXFYSUJWRWSWTXFYSUKWRWSWTXFYSUL
      XAXFUUBYSXAXFUUBXAXDUUAXEXAXBXCWRWSXBUOHWTWRXBAUPUQURWSWRXCUOHWTWSXCBUPUQ
      USUTVAVBTXAXFYSUUFYAYRUUEYAYQUUDJSYAYOUUCBRXAAVCHZXFBVCHZYOUUCMWRWSUUGWTA
      VEURXAUUHXFWSWRUUHWTBVEUSUGABVDVFVGVHVIVJBACDEFUHVKUIVLVOXAXTYNVPZXFWRWSU
      UIWTWRWSOZXTYBYCOZYIYHOZQZXQOZDGPZEGPFGPZYNUUJXSUUOFEGGUUJXRUUNDGUUJXPUUM
      XQUUJXMVQHXOVQHXPUUMVPXGXLNVMXGXNNVMABXMXOGGVQVQVNVRVSVTWAUUPYDYJQZDGPZEG
      PFGPZYNUUOUURFEGGUUNUUQDGUUNUUKXQOZUULXQOZQYDYIYHXQIZQUUQUUKUULXQWFYDUUTU
      VBUVAYBYCXQWBYIYHXQWBWCUVBYJYDYIYHXQWDWGWEWHWIUUSYEYKQZEGPZFGPZYNUURUVCFE
      GGYDYJDGWJWIUVEYFYLQZFGPYNUVDUVFFGYEYKEGWJWHYFYLFGWJWPWPWPWKTUGWLWMWRWSXT
      XFWQWTABCDEFWNTWO $.
  $}

  ${
    $d i j A $.  $d i j k B $.  $d i j n C $.  $d i j k m n ph $.
    iserodd.f $e |- ( ( ph /\ k e. NN0 ) -> C e. CC ) $.
    iserodd.h $e |- ( n = ( ( 2 x. k ) + 1 ) -> B = C ) $.
    $( Collect the odd terms in a sequence.  (Contributed by Mario Carneiro,
       7-Apr-2015.)  (Proof shortened by AV, 10-Jul-2022.) $)
    iserodd $p |- ( ph -> ( seq 0 ( + , ( k e. NN0 |-> C ) ) ~~> A <->
      seq 1 ( + , ( n e. NN |-> if ( 2 || n , 0 , B ) ) ) ~~> A ) ) $=
      ( vm cn c2 cc0 cn0 co c1 caddc wcel cfv wceq cc vi vj cdvds wbr cmpt cmul
      cv cif nn0uz nnuz 0zd 1zzd 2nn0 a1i nn0mulcl sylan nn0p1nn syl fmpttd clt
      wa nn0red peano2nn0 syl2an 1red cr nn0re adantl ltp1d wb readdcld crp 2rp
      ltmul2d mpbid ltadd1dd weq oveq2 oveq1d eqid ovex fvmpt 3brtr4d cdif wral
      crn eldifi simpr 0cnd wn wrex cz nnz odd2np1 cle simprl cmin cdiv nnm1nn0
      ad2antlr nn0ge0d divge0d simprr 2cn ad2antrl mulcl sylancr ax-1cn sylancl
      zcn pncan eqtr3d 2cnd wne 2ne0 divcan3d breqtrd elnn0z sylanbrc ex eqcomd
      eqtrd jca2 reximdv2 sylbid eleq1d syl5ibrcom rexlimdva adantr syld fvmpt2
      wi syl2anc ralrimiva nfv nffvmpt1 nfeq1 cbvralw sylib r19.21bi imp ifclda
      sylan2 eldif cvv cbvmptv elrnmpt elv syl6ibr impr sylan2b iftrued fveqeq2
      con1d ffvelrnda fveq2d breq2 ifbieq2d 2z nn0z dvdsmul1 nn0zd 1lt2 ndvdsp1
      2nn syl3anc iffalsed eqeltrd fvmptd3 3eqtrd eqtr4d fveq2 2fveq3 isercoll2
      mpd eqeq12d ) ABUAUBFJKFUGZUCUDZLCUHZUEZIMKIUGZUFNZOPNZUEZEMDUEZLOJMUIUJA
      UKAULAIMUWCJAUWAMQZVAUWBMQZUWCJQAKMQZUWFUWGUWHAUMUNZKUWAUOUPUWBUQURUSAUAU
      GZMQZVAZKUWJUFNZOPNZKUWJOPNZUFNZOPNZUWJUWDRZUWOUWDRZUTUWLUWMUWPOUWLUWMAUW
      HUWKUWMMQUWIKUWJUOUPVBUWLUWPAUWHUWOMQZUWPMQUWKUWIUWJVCZKUWOUOVDVBUWLVEUWL
      UWJUWOUTUDZUWMUWPUTUDZUWLUWJUWKUWJVFQAUWJVGZVHVIUWKUXBUXCVJAUWKUWJUWOKUXD
      UWKUWJOUXDUWKVEVKKVLQZUWKVMUNVNVHVOVPUWKUWRUWNSAIUWJUWCUWNMUWDIUAVQUWBUWM
      OPUWAUWJKUFVRVSUWDVTZUWMOPWAWBVHUWLUWTUWSUWQSUWKUWTAUXAVHIUWOUWCUWQMUWDUW
      AUWOSUWBUWPOPUWAUWOKUFVRVSUXFUWPOPWAWBURWCAUBUGZUVTRZLSZUBJUWDWFZWDZAUVQU
      VTRZLSZFUXKWEUXIUBUXKWEAUXMFUXKAUVQUXKQZVAZUXLUVSLUXNAUVQJQZUXLUVSSZUVQJU
      XJWGAUXPVAZUXPUVSTQUXQAUXPWHUXRUVRLCTUXRUVRVAWIUXRUVRWJZCTQZUXRUXSUVQKEUG
      ZUFNZOPNZSZEMWKZUXTUXRUXSUYCUVQSZEWLWKZUYEUXRUVQWLQZUXSUYGVJUXPUYHAUVQWMV
      HEUVQWNURUXRUYFUYDEWLMUXRUYAWLQZUYFVAZUYAMQZUYDUXRUYJUYKUXRUYJVAZUYILUYAW
      OUDUYKUXRUYIUYFWPUYLLUVQOWQNZKWRNZUYAWOUYLUYMKUYLUYMUXPUYMMQAUYJUVQWSWTZV
      BUXEUYLVMUNUYLUYMUYOXAXBUYLUYNUYBKWRNUYAUYLUYMUYBKWRUYLUYCOWQNZUYMUYBUYLU
      YCUVQOWQUXRUYIUYFXCVSUYLUYBTQZOTQUYPUYBSUYLKTQUYATQZUYQXDUYIUYRUXRUYFUYAX
      JXEZKUYAXFXGXHUYBOXKXIXLVSUYLUYAKUYSUYLXMKLXNUYLXOUNXPYBXQUYAXRXSXTUYJUYC
      UVQUYIUYFWHYAYCYDYEZAUYEUXTYLUXPAUYDUXTEMAUYKVAZUXTUYDDTQZGUYDCDTHYFYGYHY
      IYJUUAUUBZFJUVSTUVTUVTVTZYKYMUUCUXOUVRLCUXNAUXPUVQUXJQZWJZVAUVRUVQJUXJUUD
      AUXPVUFUVRUXRUVRVUEUXRUXSUYEVUEUYTVUEUYEVJFEMUYCUVQUWDUUEIEMUWCUYCIEVQUWB
      UYBOPUWAUYAKUFVRVSZUUFUUGUUHUUIUUNUUJUUKUULYBYNUXMUXIFUBUXKUXMUBYOFUXHLFJ
      UVSUXGYPYQUVQUXGLUVTUUMYRYSYTAJTUXGUVTAFJUVSTVUCUSUUOAUWJUWERZUWRUVTRZSZU
      AMAUYAUWERZUYAUWDRZUVTRZSZEMWEVUJUAMWEAVUNEMVUAVUKDVUMVUAUYKVUBVUKDSAUYKW
      HGEMDTUWEUWEVTYKYMVUAVUMUYCUVTRKUYCUCUDZLDUHZDVUAVULUYCUVTUYKVULUYCSAIUYA
      UWCUYCMUWDVUGUXFUYBOPWAWBVHUUPVUAFUYCUVSVUPJUVTTVUDUYDUVRVUOCDLUVQUYCKUCU
      UQHUURVUAUYBMQZUYCJQAUWHUYKVUQUWIKUYAUOUPZUYBUQURVUAVUPDTVUAVUOLDVUAKUYBU
      CUDZVUOWJZVUAKWLQUYIVUSUUSUYKUYIAUYAUUTVHKUYAUVAXGVUAUYBWLQKJQZOKUTUDZVUS
      VUTYLVUAUYBVURUVBVVAVUAUVEUNVVBVUAUVCUNKUYBUVDUVFUVOUVGZGUVHUVIVVCUVJUVKY
      NVUNVUJEUAMVUNUAYOEVUHVUIEMDUWJYPYQEUAVQVUKVUHVUMVUIUYAUWJUWEUVLUYAUWJUVT
      UWDUVMUVPYRYSYTUVN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The prime count function
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c pCnt $.

  $( Extend class notation with the prime count function. $)
  cpc $a class pCnt $.

  ${
    $d p r z x y n $.
    $( Define the prime count function, which returns the largest exponent of a
       given prime (or other positive integer) that divides the number.  For
       rational numbers, it returns negative values according to the power of a
       prime in the denominator.  (Contributed by Mario Carneiro,
       23-Feb-2014.) $)
    df-pc $a |- pCnt = ( p e. Prime , r e. QQ |-> if ( r = 0 , +oo ,
      ( iota z E. x e. ZZ E. y e. NN ( r = ( x / y ) /\
        z = ( sup ( { n e. NN0 | ( p ^ n ) || x } , RR , < ) -
              sup ( { n e. NN0 | ( p ^ n ) || y } , RR , < ) ) ) ) ) ) $.
  $}

  ${
    $d x y z A $.  $d n x y z N $.  $d n x y z P $.  $d x S $.
    pclem.1 $e |- A = { n e. NN0 | ( P ^ n ) || N } $.
    $( - Lemma for the prime power pre-function's properties.  (Contributed by
       Mario Carneiro, 23-Feb-2014.) $)
    pclem $p |- ( ( P e. ( ZZ>= ` 2 ) /\ ( N e. ZZ /\ N =/= 0 ) ) ->
          ( A C_ ZZ /\ A =/= (/) /\ E. x e. ZZ A. y e. A y <_ x ) ) $=
      ( wcel cz cc0 wa wbr cn0 cexp co cdvds adantr ad2antrl cn cr c2 cuz c0 cv
      cfv wne wss cle wral wrex ssrab3 nn0ssz sstri a1i c1 eluzelcn exp0d 1dvds
      0nn0 cc eqbrtrd wceq oveq2 breq1d elrab2 sylanbrc ne0d nnssz cabs clt zcn
      abscld eluzelre eluz2gt1 expnbnd syl3anc wi simprr sylib eluz2nn ad2antrr
      simprd simpld nnexpcld simplrl simplrr dvdsleabs mpd nnred nnnn0 reexpcld
      nnzd lelttr mpand nn0zd nnz ltexp2d sylibrd nn0red nnre ltle syl2anc syld
      anassrs ralrimdva reximdva ssrexv mpsyl 3jca ) DUAUBUEHZFIHZFJUFZKZKZCIUG
      ZCUCUFBUDZAUDZUHLZBCUIZAIUJZXOXNCMIDEUDZNOZFPLZEMCGUKULUMUNXNCJXNJMHZDJNO
      ZFPLZJCHYDXNUSUNXNYEUOFPXNDXJDUTHXMUADUPQUQXKUOFPLXJXLFURRVAYCYFEJMCYAJVB
      YBYEFPYAJDNVCVDGVEVFVGSIUGXNXSASUJZXTVHXNFVIUEZDXQNOZVJLZASUJZYGXNYHTHZDT
      HZUODVJLZYKXKYLXJXLXKFFVKVLRZXJYMXMUADVMZQXJYNXMDVNZQYHDAVOVPXNYJXSASXNXQ
      SHZKYJXRBCXNYRXPCHZYJXRVQXNYRYSKZKZYJXPXQVJLZXRUUAYJDXPNOZYIVJLZUUBUUAUUC
      YHUHLZYJUUDUUAUUCFPLZUUEUUAXPMHZUUFUUAYSUUGUUFKXNYRYSVRYCUUFEXPMCYAXPVBYB
      UUCFPYAXPDNVCVDGVEVSZWBUUAUUCIHXKXLUUFUUEVQUUAUUCUUADXPXJDSHXMYTDVTWAUUAU
      UGUUFUUHWCZWDZWLXJXKXLYTWEXJXKXLYTWFUUCFWGVPWHUUAUUCTHYLYITHUUEYJKUUDVQUU
      AUUCUUJWIXNYLYTYOQUUADXQXJYMXMYTYPWAZYRXQMHXNYSXQWJRWKUUCYHYIWMVPWNUUADXP
      XQUUKUUAXPUUIWOYRXQIHXNYSXQWPRXJYNXMYTYQWAWQWRUUAXPTHXQTHZUUBXRVQUUAXPUUI
      WSYRUULXNYSXQWTRXPXQXAXBXCXDXEXFWHXSASIXGXHXI $.

    pclem.2 $e |- S = sup ( A , RR , < ) $.
    $( Closure of the prime power pre-function.  (Contributed by Mario
       Carneiro, 23-Feb-2014.) $)
    pcprecl $p |- ( ( P e. ( ZZ>= ` 2 ) /\ ( N e. ZZ /\ N =/= 0 ) ) ->
                    ( S e. NN0 /\ ( P ^ S ) || N ) ) $=
      ( vz vy vx wcel cz wne wa cn0 cexp co cdvds wbr cv c2 cuz cfv cc0 cr csup
      clt wss c0 cle wral wrex w3a pclem suprzcl2 syl eqeltrid wceq breq1d crab
      oveq2 cbvrabv eqtri elrab2 sylib ) BUAUBUCKELKEUDMNNZCAKCOKBCPQZERSZNVFCA
      UEUGUFZAGVFALUHAUIMHTITUJSHAUKILULUMVIAKIHABDEFUNIHAUOUPUQBJTZPQZERSZVHJC
      OAVJCURVKVGERVJCBPVAUSABDTZPQZERSZDOUTVLJOUTFVOVLDJOVMVJURVNVKERVMVJBPVAU
      SVBVCVDVE $.

    $( Non-divisibility property of the prime power pre-function.  (Contributed
       by Mario Carneiro, 23-Feb-2014.) $)
    pcprendvds $p |- ( ( P e. ( ZZ>= ` 2 ) /\ ( N e. ZZ /\ N =/= 0 ) ) ->
                       -. ( P ^ ( S + 1 ) ) || N ) $=
      ( vy vx wcel cz wne co cexp cdvds wbr cle cn0 cr cv c2 cuz wa c1 caddc wn
      cfv cc0 pcprecl simpld nn0re clt ltp1 peano2re ltnle mpdan mpbid 3syl wss
      wb c0 wral wrex w3a pclem peano2nn0 wceq oveq2 breq1d crab cbvrabv elrab2
      wi eqtri simplbi2 csup suprzub breqtrrdi 3expia 3adant2 sylsyld mtod ) BU
      AUBUGJEKJEUHLUCUCZBCUDUEMZNMZEOPZWDCQPZWCCRJZCSJZWGUFZWCWHBCNMEOPABCDEFGU
      IUJZCUKWICWDULPZWJCUMWIWDSJWLWJUTCUNCWDUOUPUQURWCAKUSZAVALZHTITZQPHAVBIKV
      CZVDWFWDAJZWGIHABDEFVEWCWHWDRJZWFWQVMWKCVFWQWRWFBWONMZEOPZWFIWDRAWOWDVGWS
      WEEOWOWDBNVHVIABDTZNMZEOPZDRVJWTIRVJFXCWTDIRXAWOVGXBWSEOXAWOBNVHVIVKVNVLV
      OURWMWPWQWGVMWNWMWPWQWGWMWPWQVDWDASULVPCQIHAWDVQGVRVSVTWAWB $.

    $( Non-divisibility property of the prime power pre-function.  (Contributed
       by Mario Carneiro, 23-Feb-2014.) $)
    pcprendvds2 $p |- ( ( P e. ( ZZ>= ` 2 ) /\ ( N e. ZZ /\ N =/= 0 ) ) ->
                       -. P || ( N / ( P ^ S ) ) ) $=
      ( wcel cz cc0 wne wa cexp co cdvds wbr cmul nnzd syl3anc nncnd c2 cuz cfv
      cdiv c1 caddc pcprendvds wi cn eluz2nn adantr cn0 pcprecl simprd nnexpcld
      wb simpld nnne0d simprl dvdsval2 mpbid dvdscmul expp1d eqcomd cc ad2antrl
      zcn divcan2d breq12d sylibd mtod ) BUAUBUCHZEIHZEJKZLZLZBEBCMNZUDNZOPZBCU
      EUFNMNZEOPZABCDEFGUGVPVSVQBQNZVQVRQNZOPZWAVPBIHVRIHZVQIHZVSWDUHVPBVLBUIHV
      OBUJUKZRVPVQEOPZWEVPCULHZWHABCDEFGUMZUNVPWFVQJKVMWHWEUPVPVQVPBCWGVPWIWHWJ
      UQZUOZRZVPVQWLURZVLVMVNUSVQEUTSVAWMVQBVRVBSVPWBVTWCEOVPVTWBVPBCVPBWGTWKVC
      VDVPEVQVMEVEHVLVNEVGVFVPVQWLTWNVHVIVJVK $.

    $( Value of the prime power pre-function at 1.  (Contributed by Mario
       Carneiro, 23-Feb-2014.)  (Revised by Mario Carneiro, 26-Apr-2016.) $)
    pcpre1 $p |- ( ( P e. ( ZZ>= ` 2 ) /\ N = 1 ) -> S = 0 ) $=
      ( wcel c1 wceq wa cc0 cle wbr cexp co cdvds cz wne mpbiri c2 cuz 1z eleq1
      cfv cn0 ax-1ne0 neeq1 jca pcprecl sylan2 simprd breqtrd cn eluz2nn adantr
      simpr wi simpld nnexpcld nnzd 1nn dvdsle sylancl mpd nncnd exp0d breqtrrd
      nnred nn0zd 0zd clt eluz2gt1 leexp2d mpbird wb nn0le0eq0 syl mpbid ) BUAU
      BUEHZEIJZKZCLMNZCLJZWBWCBCOPZBLOPZMNWBWEIWFMWBWEIQNZWEIMNZWBWEEIQWBCUFHZW
      EEQNZWAVTERHZELSZKZWIWJKWAWKWLWAWKIRHUCEIRUDTWAWLILSUGEILUHTUIZABCDEFGUJZ
      UKZULVTWAUQUMWBWERHIUNHWGWHURWBWEWBBCVTBUNHWABUOUPZWBWIWJWPUSZUTVAVBWEIVC
      VDVEWBBWBBWQVFVGVHWBBCLWBBWQVIWBCWRVJWBVKVTIBVLNWABVMUPVNVOWBWIWCWDVPWAVT
      WMWIWNVTWMKWIWJWOUSUKCVQVRVS $.
  $}

  ${
    $d n x y M $.  $d n x y N $.  $d n x y P $.  $d x S $.  $d x T $.
    pcpremul.1 $e |- S = sup ( { n e. NN0 | ( P ^ n ) || M } , RR , < ) $.
    pcpremul.2 $e |- T = sup ( { n e. NN0 | ( P ^ n ) || N } , RR , < ) $.
    pcpremul.3 $e |- U = sup (
                       { n e. NN0 | ( P ^ n ) || ( M x. N ) } , RR , < ) $.
    $( Multiplicative property of the prime count pre-function.  Note that the
       primality of ` P ` is essential for this property; ` ( 4 pCnt 2 ) = 0 `
       but ` ( 4 pCnt ( 2 x. 2 ) ) = 1 =/= 2 x. ( 4 pCnt 2 ) = 0 ` .  Since
       this is needed to show uniqueness for the real prime count function
       (over ` QQ ` ), we don't bother to define it off the primes.
       (Contributed by Mario Carneiro, 23-Feb-2014.) $)
    pcpremul $p |- ( ( P e. Prime /\ ( M e. ZZ /\ M =/= 0 ) /\
                     ( N e. ZZ /\ N =/= 0 ) ) -> ( S + T ) = U ) $=
      ( vx wcel cz wa co wbr cexp cmul cdvds cn0 vy cprime cc0 wne w3a wceq cle
      caddc clt wn cv crab cr csup wss wral wrex cuz cfv prmuz2 3ad2ant1 zmulcl
      c0 c2 ad2ant2r 3adant1 cc anim1i mulne0 syl2an eqid pclem syl12anc simp1d
      zcn simp3d breq1d simp2l simp2r pcprecl simpld simp3l simp3r nn0addcld cn
      oveq2 prmnn nnexpcld zmulcld nncnd expaddd simprd wi dvdsmulc syl3anc mpd
      nnzd eqbrtrd dvdscmul dvdstrd elrabd cbvrabv eleqtrdi suprzub pcprendvds2
      breqtrrdi cdiv wo ioran sylanbrc wb simp1 nnne0d dvdsval2 euclemma mtbird
      mpbid c1 nn0ltp1le syl2anc peano2nn0 syl dvdsexp 3expia dvdstr syld nn0zd
      mpan2d eluz expp1d zcnd mulcld oveq2d divmuldivd eqtr4d breq12d dvdscmulr
      divcan2d eqtr3d nn0red syl112anc bitrd 3imtr3d sylbid eqleltd mpbir2and
      mtod ) AUBLZFMLZFUCUDZNZGMLZGUCUDZNZUEZBCUHOZDUFUUPDUGPUUPDUIPZUJUUOUUPAE
      UKZQOZFGROZSPZETULZUMUIUNZDUGUUOUVBMUOZUAUKKUKZUGPUAUVBUPKMUQZUUPUVBLUUPU
      VCUGPUUOUVDUVBVCUDZUVFUUOAVDURUSLZUUTMLZUUTUCUDZUVDUVGUVFUEUUHUUKUVHUUNAU
      TVAZUUKUUNUVIUUHUUIUULUVIUUJUUMFGVBVEVFZUUKUUNUVJUUHUUKFVGLZUUJNGVGLZUUMN
      UVJUUNUUIUVMUUJFVOVHUULUVNUUMGVOVHFGVIVJVFZKUAUVBAEUUTUVBVKZVLVMZVNUUOUVD
      UVGUVFUVQVPUUOUUPAUVEQOZUUTSPZKTULUVBUUOUVSAUUPQOZUUTSPKUUPTUVEUUPUFUVRUV
      TUUTSUVEUUPAQWFVQUUOBCUUOBTLZABQOZFSPZUUOUVHUUIUUJUWAUWCNUVKUUHUUIUUJUUNV
      RZUUHUUIUUJUUNVSZUUSFSPETULZABEFUWFVKZHVTVMZWAZUUOCTLZACQOZGSPZUUOUVHUULU
      UMUWJUWLNUVKUUHUUKUULUUMWBZUUHUUKUULUUMWCZUUSGSPETULZACEGUWOVKZIVTVMZWAZW
      DZUUOUVTFUWKROZUUTUUOUVTUUOAUUPUUHUUKAWELUUNAWGVAZUWSWHZWQZUUOFUWKUWDUUOU
      WKUUOACUXAUWRWHZWQZWIUVLUUOUVTUWBUWKROZUWTSUUOABCUUOAUXAWJZUWRUWIWKZUUOUW
      CUXFUWTSPZUUOUWAUWCUWHWLZUUOUWBMLZUUIUWKMLZUWCUXIWMUUOUWBUUOABUXAUWIWHZWQ
      ZUWDUXEUWKUWBFWNWOWPWRUUOUWLUWTUUTSPZUUOUWJUWLUWQWLZUUOUXLUULUUIUWLUXOWMU
      XEUWMUWDFUWKGWSWOWPWTXAUVSUVAKETUVEUURUFUVRUUSUUTSUVEUURAQWFVQXBXCKUAUVBU
      UPXDWOJXFUUOUUQAFUWBXGOZGUWKXGOZROZSPZUUOUXTAUXQSPZAUXRSPZXHZUUOUYAUJZUYB
      UJZUYCUJUUOUVHUUIUUJUYDUVKUWDUWEUWFABEFUWGHXEVMUUOUVHUULUUMUYEUVKUWMUWNUW
      OACEGUWPIXEVMUYAUYBXIXJUUOUUHUXQMLZUXRMLZUXTUYCXKUUHUUKUUNXLUUOUWCUYFUXJU
      UOUXKUWBUCUDUUIUWCUYFXKUXNUUOUWBUXMXMZUWDUWBFXNWOXQZUUOUWLUYGUXPUUOUXLUWK
      UCUDUULUWLUYGXKUXEUUOUWKUXDXMZUWMUWKGXNWOXQZAUXQUXRXOWOXPUUOUUQUUPXRUHOZD
      UGPZUXTUUOUUPTLZDTLZUUQUYMXKUWSUUOUYOADQOZUUTSPZUUOUVHUVIUVJUYOUYQNUVKUVL
      UVOUVBADEUUTUVPJVTVMZWAZUUPDXSXTUUODUYLURUSLZAUYLQOZUUTSPZUYMUXTUUOUYTVUA
      UYPSPZVUBUUOAMLZUYLTLZUYTVUCWMUUOAUXAWQZUUOUYNVUEUWSUUPYAYBZVUDVUEUYTVUCA
      UYLDYCYDXTUUOVUCUYQVUBUUOUYOUYQUYRWLUUOVUAMLUYPMLUVIVUCUYQNVUBWMUUOVUAUUO
      AUYLUXAVUGWHWQUUOUYPUUOADUXAUYSWHWQUVLVUAUYPUUTYEWOYHYFUUOUYLMLDMLUYTUYMX
      KUUOUYLVUGYGUUODUYSYGUYLDYIXTUUOVUBUVTAROZUVTUXSROZSPZUXTUUOVUAVUHUUTVUIS
      UUOAUUPUXGUWSYJUUOUVTUUTUVTXGOZROUUTVUIUUOUUTUVTUUOFGUUOFUWDYKZUUOGUWMYKZ
      YLUUOUVTUXBWJUUOUVTUXBXMZYRUUOVUKUXSUVTRUUOVUKUUTUXFXGOUXSUUOUVTUXFUUTXGU
      XHYMUUOFUWBGUWKVULUUOUWBUXMWJVUMUUOUWKUXDWJUYHUYJYNYOYMYSYPUUOVUDUXSMLUVT
      MLUVTUCUDVUJUXTXKVUFUUOUXQUXRUYIUYKWIUXCVUNUVTAUXSYQUUAUUBUUCUUDUUGUUOUUP
      DUUOUUPUWSYTUUODUYSYTUUEUUF $.
  $}

  ${
    $d n p r s t w x y z N $.  $d n p s t r w x y z P $.  $d p r s t w z S $.
    $d p r s t w z T $.  $d z ph $.
    pcval.1 $e |- S = sup ( { n e. NN0 | ( P ^ n ) || x } , RR , < ) $.
    pcval.2 $e |- T = sup ( { n e. NN0 | ( P ^ n ) || y } , RR , < ) $.
    $( The value of the prime power function.  (Contributed by Mario Carneiro,
       23-Feb-2014.)  (Revised by Mario Carneiro, 3-Oct-2014.) $)
    pcval $p |- ( ( P e. Prime /\ ( N e. QQ /\ N =/= 0 ) ) -> ( P pCnt N ) =
       ( iota z E. x e. ZZ E. y e. NN ( N = ( x / y ) /\ z = ( S - T ) ) ) ) $=
      ( cc0 co cv wceq wa cpnf cdvds cn0 cr clt vp vr cprime wcel wne cdiv cmin
      cq cpc cn wrex cio cif cexp wbr crab csup simpr eqeq1d eqeq1 oveq1 breq1d
      rabbidv supeq1d eqtr4di eqeq2d bi2anan9r 2rexbidv iotabidv ifbieq2d df-pc
      cz oveq12d pnfex iotaex ifex ovmpoa ifnefalse sylan9eq anasss ) DUCUDZHUH
      UDZHKUEZDHUILZHAMZBMZUFLZNZCMZEFUGLZNZOZBUJUKAVLUKZCULZNWAWBOWCWDHKNZPWNU
      MZWNUAUBDHUCUHUBMZKNZPWQWGNZWIUAMZGMZUNLZWEQUOZGRUPZSTUQZXBWFQUOZGRUPZSTU
      QZUGLZNZOZBUJUKAVLUKZCULZUMWPUIWTDNZWQHNZOZWRWOXMWNPXPWQHKXNXOURUSXPXLWMC
      XPXKWLABVLUJXOWSWHXNXJWKWQHWGUTXNXIWJWIXNXEEXHFUGXNXEDXAUNLZWEQUOZGRUPZST
      UQEXNSXDXSTXNXCXRGRXNXBXQWEQWTDXAUNVAZVBVCVDIVEXNXHXQWFQUOZGRUPZSTUQFXNSX
      GYBTXNXFYAGRXNXBXQWFQXTVBVCVDJVEVMVFVGVHVIVJABCGUBUAVKWOPWNVNWMCVOVPVQHKP
      WNVRVSVT $.

    ${
      pceu.3 $e |- U = sup ( { n e. NN0 | ( P ^ n ) || s } , RR , < ) $.
      pceu.4 $e |- V = sup ( { n e. NN0 | ( P ^ n ) || t } , RR , < ) $.
      pceu.5 $e |- ( ph -> P e. Prime ) $.
      pceu.6 $e |- ( ph -> N =/= 0 ) $.
      pceu.7 $e |- ( ph -> ( x e. ZZ /\ y e. NN ) ) $.
      pceu.8 $e |- ( ph -> N = ( x / y ) ) $.
      pceu.9 $e |- ( ph -> ( s e. ZZ /\ t e. NN ) ) $.
      pceu.10 $e |- ( ph -> N = ( s / t ) ) $.
      $( Lemma for ~ pceu .  (Contributed by Mario Carneiro, 23-Feb-2014.) $)
      pceulem $p |- ( ph -> ( S - T ) = ( U - V ) ) $=
        ( vz caddc co wceq cmin cv cexp cmul cdvds wbr cn0 crab cr csup cz wcel
        clt simprd nncnd simpld zcnd mulcomd cdiv eqtr3d nnne0d divmuleqd mpbid
        cn eqtrd breq2d rabbidv oveq2 breq1d cbvrabv 3eqtr4g supeq1d cprime cc0
        wne nnzd div0d eqeq1d syl5ibrcom sylibrd necon3d mpd pcpremul syl122anc
        oveq1 eqid 3eqtr4d c2 cuz cfv prmuz2 syl wa pcprecl syl12anc addsubeq4d
        nn0cnd ) AGHUDUEZFKUDUEZUFFGUGUEHKUGUEUFAEIUHZUIUEZCUHZLUHZUJUEZUKULZIU
        MUNZUOUSUPZXGBUHZDUHZUJUEZUKULZIUMUNZUOUSUPZXDXEAUOXLXRUSAEUCUHZUIUEZXJ
        UKULZUCUMUNYAXPUKULZUCUMUNXLXRAYBYCUCUMAXJXPYAUKAXJXIXHUJUEZXPAXHXIAXHA
        XNUQURZXHVJURZSUTZVAZAXIAXIUQURZXOVJURZUAVBZVCZVDAXIXOVEUEZXNXHVEUEZUFY
        DXPUFAJYMYNUBTVFAXIXOXNXHYLAXOAYIYJUAUTZVAZAXNAYEYFSVBZVCYHAXOYOVGZAXHY
        GVGZVHVIVKVLVMXKYBIUCUMXFXTUFZXGYAXJUKXFXTEUIVNZVOVPXQYCIUCUMYTXGYAXPUK
        UUAVOVPVQVRAEVSURZXHUQURZXHVTWAZYIXIVTWAZXDXMUFQAXHYGWBZYSYKAJVTWAZUUER
        AXIVTJVTAXIVTUFZYMVTUFZJVTUFZAUUIUUHVTXOVEUEZVTUFAXOYPYRWCUUHYMUUKVTXIV
        TXOVEWKWDWEAJYMVTUBWDWFWGWHZEGHXMIXHXINOXMWLWIWJAUUBYEXNVTWAZXOUQURZXOV
        TWAZXEXSUFQYQAUUGUUMRAXNVTJVTAXNVTUFZYNVTUFZUUJAUUQUUPVTXHVEUEZVTUFAXHY
        HYSWCUUPYNUURVTXNVTXHVEWKWDWEAJYNVTTWDWFWGWHZAXOYOWBZYREFKXSIXNXOMPXSWL
        WIWJWMAGHFKAGAEWNWOWPURZUUCUUDGUMURZAUUBUVAQEWQWRZUUFYSUVAUUCUUDWSWSUVB
        EGUIUEXHUKULXGXHUKULIUMUNZEGIXHUVDWLNWTVBXAXCAHAUVAYIUUEHUMURZUVCYKUULU
        VAYIUUEWSWSUVEEHUIUEXIUKULXGXIUKULIUMUNZEHIXIUVFWLOWTVBXAXCAFAUVAYEUUMF
        UMURZUVCYQUUSUVAYEUUMWSWSUVGEFUIUEXNUKULXGXNUKULIUMUNZEFIXNUVHWLMWTVBXA
        XCAKAUVAUUNUUOKUMURZUVCUUTYRUVAUUNUUOWSWSUVIEKUIUEXOUKULXGXOUKULIUMUNZE
        KIXOUVJWLPWTVBXAXCXBVI $.
    $}

    $( Uniqueness for the prime power function.  (Contributed by Mario
       Carneiro, 23-Feb-2014.) $)
    pceu $p |- ( ( P e. Prime /\ ( N e. QQ /\ N =/= 0 ) ) ->
             E! z E. x e. ZZ E. y e. NN ( N = ( x / y ) /\ z = ( S - T ) ) ) $=
      ( wcel wa cv co wceq cmin cn wrex cz cdvds vs vt vw cprime cq cc0 wne wex
      cdiv cexp wbr cn0 crab cr clt csup wi wal weu simprl elq sylib ovex biidd
      ceqsexv exancom bitr3i rexbii rexcom4 eqid simp11l simp11r simp12 simp13l
      bitri w3a simp2 simp3l pceulem simp13r simp3r 3eqtr4d 3exp rexlimdvv impd
      adantrl alrimivv eqeq1 anbi2d 2rexbidv oveq1 eqeq2d breq2 rabbidv supeq1d
      eqtrid oveq1d anbi12d rexbidv oveq2 oveq2d cbvrexvw bitrdi eu4 sylanbrc )
      DUDKZHUEKZHUFUGZLLZHAMZBMZUINZOZCMZEFPNZOZLZBQRZASRZCUHZXSHUAMZUBMZUINZOZ
      UCMZDGMUJNZYATUKZGULUMZUNUOUPZYFYBTUKZGULUMZUNUOUPZPNZOZLZUBQRZUASRZLXNYE
      OZUQZUCURCURXSCUSXIXMBQRZASRZXTXIXGUUAXFXGXHUTABHVAVBUUAXRCUHZASRXTYTUUBA
      SYTXQCUHZBQRUUBXMUUCBQXMXPXMLCUHUUCXMXMCXOEFPVCXPXMVDVEXPXMCVFVGVHXQBCQVI
      VOVHXRACSVIVOVBXIYSCUCXIXSYQYRXIXQYQYRUQZABSQXFXHXJSKXKQKLZXQUUDUQUQXGXFX
      HLZUUEXQUUDUUFUUEXQVPZYOYRUAUBSQUUGYASKYBQKLZYOYRUUGUUHYOVPZXOYMXNYEUUIAB
      UBDEFYIGHYLUAIJYIVJYLVJXFXHUUEXQUUHYOVKXFXHUUEXQUUHYOVLUUFUUEXQUUHYOVMXMX
      PUUFUUEUUHYOVNUUGUUHYOVQUUGUUHYDYNVRVSXMXPUUFUUEUUHYOVTUUGUUHYDYNWAWBWCWD
      WCWFWDWEWGXSYQCUCYRXSXMYEXOOZLZBQRZASRYQYRXQUUKABSQYRXPUUJXMXNYEXOWHWIWJU
      ULYPAUASXJYAOZUULHYAXKUINZOZYEYIFPNZOZLZBQRYPUUMUUKUURBQUUMXMUUOUUJUUQUUM
      XLUUNHXJYAXKUIWKWLUUMXOUUPYEUUMEYIFPUUMEYFXJTUKZGULUMZUNUOUPYIIUUMUNUUTYH
      UOUUMUUSYGGULXJYAYFTWMWNWOWPWQWLWRWSUURYOBUBQXKYBOZUUOYDUUQYNUVAUUNYCHXKY
      BYAUIWTWLUVAUUPYMYEUVAFYLYIPUVAFYFXKTUKZGULUMZUNUOUPYLJUVAUNUVCYKUOUVAUVB
      YJGULXKYBYFTWMWNWOWPXAWLWRXBXCXBXCXDXE $.
  $}

  ${
    $d n x y z N $.  $d n x y z P $.  $d x y z S $.
    pczpre.1 $e |- S = sup ( { n e. NN0 | ( P ^ n ) || N } , RR , < ) $.
    $( Connect the prime count pre-function to the actual prime count function,
       when restricted to the integers.  (Contributed by Mario Carneiro,
       23-Feb-2014.)  (Proof shortened by Mario Carneiro, 24-Dec-2016.) $)
    pczpre $p |- ( ( P e. Prime /\ ( N e. ZZ /\ N =/= 0 ) ) ->
                    ( P pCnt N ) = S ) $=
      ( vx vy vz wcel cz wa co wceq cdvds cn0 cr clt cmin eqid c1 cprime cc0 cv
      wne cpc cdiv cexp wbr crab csup cn wrex cio cq pcval sylanr1 simprl div1d
      zq zcnd eqcomd cuz cfv prmuz2 pcpre1 sylancl adantr oveq2d pcprecl simpld
      c2 sylan nn0cnd subid1d eqtr2d oveq1 eqeq2d breq2 rabbidv supeq1d eqtr4di
      1nn oveq1d anbi12d oveq2 rspc2ev mp3an2 syl12anc cvv weu wb supex eqeltri
      ltso pceu eqeq1 anbi2d 2rexbidv iota2 sylancr mpbid eqtrd ) AUAIZDJIZDUBU
      DZKZKZADUELZDFUCZGUCZUFLZMZHUCZACUCUGLZXINUHZCOUIZPQUJZXNXJNUHZCOUIZPQUJZ
      RLZMZKZGUKULFJULZHUMZBXDXCDUNIZXEXHYEMDUSZFGHAXQXTCDXQSZXTSZUOUPXGXLBYAMZ
      KZGUKULFJULZYEBMZXGXDDDTUFLZMZBBXNTNUHZCOUIZPQUJZRLZMZYLXCXDXEUQZXGYNDXGD
      XGDUUAUTURVAXGYSBUBRLBXGYRUBBRXCYRUBMZXFXCAVKVBVCIZTTMUUBAVDZTSYQAYRCTYQS
      YRSVEVFVGVHXGBXGBXGBOIZABUGLDNUHZXCUUCXFUUEUUFKUUDXNDNUHZCOUIZABCDUUHSEVI
      VLVJVMVNVOXDTUKIYOYTKZYLWBYKUUIDDXJUFLZMZBBXTRLZMZKFGDTJUKXIDMZXLUUKYJUUM
      UUNXKUUJDXIDXJUFVPVQUUNYAUULBUUNXQBXTRUUNXQUUHPQUJZBUUNPXPUUHQUUNXOUUGCOX
      IDXNNVRVSVTEWAWCVQWDXJTMZUUKYOUUMYTUUPUUJYNDXJTDUFWEVQUUPUULYSBUUPXTYRBRU
      UPPXSYQQUUPXRYPCOXJTXNNVRVSVTVHVQWDWFWGWHXGBWIIYDHWJZYLYMWKBUUOWIEPUUHQWN
      WLWMXDXCYFXEUUQYGFGHAXQXTCDYHYIWOUPYDYLHBWIXMBMZYCYKFGJUKUURYBYJXLXMBYAWP
      WQWRWSWTXAXB $.
  $}

  ${
    $d x N $.  $d x P $.
    $( Closure of the prime power function.  (Contributed by Mario Carneiro,
       23-Feb-2014.) $)
    pczcl $p |- ( ( P e. Prime /\ ( N e. ZZ /\ N =/= 0 ) ) ->
                  ( P pCnt N ) e. NN0 ) $=
      ( vx cprime wcel cz cc0 wne wa cpc co cv cexp cdvds wbr cn0 crab clt eqid
      cr csup pczpre c2 cuz cfv prmuz2 pcprecl sylan simpld eqeltrd ) ADEZBFEBG
      HIZIZABJKACLMKBNOCPQZTRUAZPAUOCBUOSZUBUMUOPEZAUOMKBNOZUKAUCUDUEEULUQURIAU
      FUNAUOCBUNSUPUGUHUIUJ $.
  $}

  $( Closure of the prime power function.  (Contributed by Mario Carneiro,
     23-Feb-2014.) $)
  pccl $p |- ( ( P e. Prime /\ N e. NN ) -> ( P pCnt N ) e. NN0 ) $=
    ( cn wcel cprime cz cc0 wne wa cpc co cn0 nnz nnne0 jca pczcl sylan2 ) BCDZ
    AEDBFDZBGHZIABJKLDRSTBMBNOABPQ $.

  ${
    pccld.1 $e |- ( ph -> P e. Prime ) $.
    pccld.2 $e |- ( ph -> N e. NN ) $.
    $( Closure of the prime power function.  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    pccld $p |- ( ph -> ( P pCnt N ) e. NN0 ) $=
      ( cprime wcel cn cpc co cn0 pccl syl2anc ) ABFGCHGBCIJKGDEBCLM $.
  $}

  ${
    $d n A $.  $d n B $.  $d n P $.
    $( Multiplication property of the prime power function.  (Contributed by
       Mario Carneiro, 23-Feb-2014.) $)
    pcmul $p |- ( ( P e. Prime /\ ( A e. ZZ /\ A =/= 0 ) /\
                                  ( B e. ZZ /\ B =/= 0 ) ) ->
                  ( P pCnt ( A x. B ) ) = ( ( P pCnt A ) + ( P pCnt B ) ) ) $=
      ( vn wcel cz cc0 wne wa co cdvds wbr cn0 crab cr clt csup caddc cpc eqid
      cprime cv cexp cmul pcpremul wceq pczpre 3adant3 3adant2 oveq12d ad2ant2r
      w3a zmulcl cc zcn anim1i mulne0 syl2an jca sylan2 3impb 3eqtr4rd ) CUAEZA
      FEZAGHZIZBFEZBGHZIZULZCDUBUCJZAKLDMNOPQZVKBKLDMNOPQZRJVKABUDJZKLDMNOPQZCA
      SJZCBSJZRJCVNSJZCVLVMVODABVLTZVMTZVOTZUEVJVPVLVQVMRVCVFVPVLUFVICVLDAVSUGU
      HVCVIVQVMUFVFCVMDBVTUGUIUJVCVFVIVRVOUFZVFVIIZVCVNFEZVNGHZIWBWCWDWEVDVGWDV
      EVHABUMUKVFAUNEZVEIBUNEZVHIWEVIVDWFVEAUOUPVGWGVHBUOUPABUQURUSCVODVNWAUGUT
      VAVB $.
  $}

  ${
    $d n x y z A $.  $d n x y z B $.  $d n x y z P $.
    $( Division property of the prime power function.  (Contributed by Mario
       Carneiro, 1-Mar-2014.) $)
    pcdiv $p |- ( ( P e. Prime /\ ( A e. ZZ /\ A =/= 0 ) /\ B e. NN ) ->
                  ( P pCnt ( A / B ) ) = ( ( P pCnt A ) - ( P pCnt B ) ) ) $=
      ( vx vy vz vn wcel cz wa cn cdiv co wceq cdvds cn0 cr clt cmin eqid cv cq
      cprime cc0 wne w3a cpc cexp wbr crab csup wrex cio simp1 simp2l simp3 znq
      syl2anc zcnd nncnd simp2r nnne0d divne0d pcval syl12anc 3adant3 nnz nnne0
      pczpre jca sylan2 3adant2 oveq12d jctil oveq1 eqeq2d breq2 rabbidv oveq1d
      supeq1d anbi12d oveq2 oveq2d rspc2ev syl3anc cvv weu wb ovex eqeq1 anbi2d
      pceu 2rexbidv iota2 sylancr mpbid eqtrd ) CUCHZAIHZAUDUEZJZBKHZUFZCABLMZU
      GMZXDDUAZEUAZLMZNZFUAZCGUAUHMZXFOUIZGPUJZQRUKZXKXGOUIZGPUJZQRUKZSMZNZJZEK
      ULDIULZFUMZCAUGMZCBUGMZSMZXCWRXDUBHZXDUDUEZXEYBNWRXAXBUNZXCWSXBYFWRWSWTXB
      UOZWRXAXBUPZABUQURZXCABXCAYIUSXCBYJUTWRWSWTXBVAXCBYJVBVCZDEFCXNXQGXDXNTZX
      QTZVDVEXCXIYEXRNZJZEKULDIULZYBYENZXCWSXBXDXDNZYEXKAOUIZGPUJZQRUKZXKBOUIZG
      PUJZQRUKZSMZNZJZYQYIYJXCUUGYSXCYCUUBYDUUESWRXAYCUUBNXBCUUBGAUUBTVIVFWRXBY
      DUUENZXAXBWRBIHZBUDUEZJUUIXBUUJUUKBVGBVHVJCUUEGBUUETVIVKVLVMXDTVNYPUUHXDA
      XGLMZNZYEUUBXQSMZNZJDEABIKXFANZXIUUMYOUUOUUPXHUULXDXFAXGLVOVPUUPXRUUNYEUU
      PXNUUBXQSUUPQXMUUARUUPXLYTGPXFAXKOVQVRVTVSVPWAXGBNZUUMYSUUOUUGUUQUULXDXDX
      GBALWBVPUUQUUNUUFYEUUQXQUUEUUBSUUQQXPUUDRUUQXOUUCGPXGBXKOVQVRVTWCVPWAWDWE
      XCYEWFHYAFWGZYQYRWHYCYDSWIXCWRYFYGUURYHYKYLDEFCXNXQGXDYMYNWLVEYAYQFYEWFXJ
      YENZXTYPDEIKUUSXSYOXIXJYEXRWJWKWMWNWOWPWQ $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w x y z P $.
    $( Multiplication property of the prime power function.  (Contributed by
       Mario Carneiro, 9-Sep-2014.) $)
    pcqmul $p |- ( ( P e. Prime /\ ( A e. QQ /\ A =/= 0 ) /\
                                   ( B e. QQ /\ B =/= 0 ) ) ->
                  ( P pCnt ( A x. B ) ) = ( ( P pCnt A ) + ( P pCnt B ) ) ) $=
      ( vx vy vz vw wcel cc0 wne wa cdiv co wceq cn wrex cz cpc caddc adantrr
      cprime cq w3a cv cmul simp2l elq simp3l reeanv simp2r simp3r jca ad2antrr
      sylib wi simp1 simprl nncnd nnne0d div0d eqeq1d syl5ibrcom necon3d simprr
      cmin simpll simplrl simplrr zmulcld zcnd simprrl simprrr mulne0d nnmulcld
      oveq1 pcdiv syl121anc pcmul syl122anc nnzd oveq12d cn0 pczcl nn0cnd pccld
      syl12anc addsub4d 3eqtrd cc divmuldivd oveq2d 3eqtr4d expr neeq1 bi2anan9
      syl2and oveq12 oveq2 oveqan12d eqeq12d imbi12d sylanl1 rexlimdvva syl5bir
      mpid mp2and ) CUAHZAUBHZAIJZKZBUBHZBIJZKZUCZADUDZEUDZLMZNZEOPZDQPZBFUDZGU
      DZLMZNZGOPZFQPZCABUEMZRMZCARMZCBRMZSMZNZXNXHXTXGXHXIXMUFDEAUGUNXNXKYFXGXJ
      XKXLUHFGBUGUNXTYFKXSYEKZFQPDQPXNYLXSYEDFQQUIXNYMYLDFQQYMXRYDKZGOPEOPXNXOQ
      HZYAQHZKZKZYLXRYDEGOOUIYRYNYLEGOOYRXPOHZYBOHZKZKYNXIXLKZYLXNUUBYQUUAXNXIX
      LXGXHXIXMUJXGXJXKXLUKULUMXNXGYQUUAYNUUBYLUOZUOXGXJXMUPXGYQKZUUAKZUUCYNXQI
      JZYCIJZKZCXQYCUEMZRMZCXQRMZCYCRMZSMZNZUOUUEUUFXOIJZUUGYAIJZUUNUUEXOIXQIUU
      EXQINXOINZIXPLMZINUUEXPUUEXPUUDYSYTUQZURZUUEXPUUSUSZUTUUQXQUURIXOIXPLVOVA
      VBVCUUEYAIYCIUUEYCINYAINZIYBLMZINUUEYBUUEYBUUDYSYTVDZURZUUEYBUVDUSZUTUVBY
      CUVCIYAIYBLVOVAVBVCUUDUUAUUOUUPKZUUNUUDUUAUVGKZKZCXOYAUEMZXPYBUEMZLMZRMZC
      XORMZCXPRMZVEMZCYARMZCYBRMZVEMZSMZUUJUUMUVIUVMCUVJRMZCUVKRMZVEMZUVNUVQSMZ
      UVOUVRSMZVEMUVTUVIXGUVJQHUVJIJUVKOHUVMUWCNXGYQUVHVFZUVIXOYAXGYOYPUVHVGZXG
      YOYPUVHVHZVIUVIXOYAUVIXOUWGVJZUVIYAUWHVJZUUDUUAUUOUUPVKZUUDUUAUUOUUPVLZVM
      UVIXPYBUUDUUAYSUVGUUSTZUUDUUAYTUVGUVDTZVNUVJUVKCVPVQUVIUWAUWDUWBUWEVEUVIX
      GYOUUOYPUUPUWAUWDNUWFUWGUWKUWHUWLXOYACVRVSUVIXGXPQHXPIJZYBQHYBIJZUWBUWENU
      WFUVIXPUWMVTUUDUUAUWOUVGUVATZUVIYBUWNVTUUDUUAUWPUVGUVFTZXPYBCVRVSWAUVIUVN
      UVQUVOUVRUVIUVNUVIXGYOUUOUVNWBHUWFUWGUWKCXOWCWFWDUVIUVQUVIXGYPUUPUVQWBHUW
      FUWHUWLCYAWCWFWDUVIUVOUVICXPUWFUWMWEWDUVIUVRUVICYBUWFUWNWEWDWGWHUVIUUIUVL
      CRUVIXOXPYAYBUWIUUDUUAXPWIHUVGUUTTUWJUUDUUAYBWIHUVGUVETUWQUWRWJWKUVIUUKUV
      PUULUVSSUVIXGYOUUOYSUUKUVPNUWFUWGUWKUWMXOXPCVPVQUVIXGYPUUPYTUULUVSNUWFUWH
      UWLUWNYAYBCVPVQWAWLWMWPYNUUBUUHYLUUNXRXIUUFYDXLUUGAXQIWNBYCIWNWOYNYHUUJYK
      UUMYNYGUUICRAXQBYCUEWQWKXRYDYIUUKYJUULSAXQCRWRBYCCRWRWSWTXAVBXBXEXCXDXCXD
      XF $.
  $}

  ${
    $d x y A $.  $d n p r x y z P $.  $d n x y N $.
    $( The value of the prime power function at zero.  (Contributed by Mario
       Carneiro, 3-Oct-2014.) $)
    pc0 $p |- ( P e. Prime -> ( P pCnt 0 ) = +oo ) $=
      ( vp vr vx vy vz vn cprime wcel cc0 cq cpc co cpnf wceq cz cdvds wbr cn0
      cv 0z zq ax-mp cdiv cexp crab cr clt csup cmin wrex cio cif iftrue adantl
      wa cn df-pc pnfex ovmpoa mpan2 ) AHIJKIZAJLMNOJPIVBUAJUBUCBCAJHKCTZJOZNVC
      DTZETZUDMOFTBTZGTUEMZVEQRGSUFUGUHUIVHVFQRGSUFUGUHUIUJMOUPEUQUKDPUKFULZUMZ
      NLVDVJNOVGAOVDNVIUNUODEFGCBURUSUTVA $.

    $( Value of the prime count function at 1.  (Contributed by Mario Carneiro,
       23-Feb-2014.) $)
    pc1 $p |- ( P e. Prime -> ( P pCnt 1 ) = 0 ) $=
      ( vn cprime wcel c1 cpc co cv cexp cdvds wbr cn0 crab cr clt csup cz wceq
      cc0 eqid wne 1z ax-1ne0 pczpre mpanr12 c2 cuz prmuz2 pcpre1 sylancl eqtrd
      cfv ) ACDZAEFGZABHIGEJKBLMZNOPZSUMEQDESUAUNUPRUBUCAUPBEUPTZUDUEUMAUFUGULD
      EERUPSRAUHETUOAUPBEUOTUQUIUJUK $.

    $( Closure of the general prime count function.  (Contributed by Mario
       Carneiro, 23-Feb-2014.) $)
    pcqcl $p |- ( ( P e. Prime /\ ( N e. QQ /\ N =/= 0 ) ) ->
                 ( P pCnt N ) e. ZZ ) $=
      ( vx vy wcel cc0 wne wa cv cdiv co wceq cn wrex cz syl5ibrcom pczcl nn0zd
      cpc wi cprime cq simprl elq sylib nncn nnne0 div0d ad2antll oveq1 necon3d
      eqeq1d an32 w3a cmin pcdiv 3adant3 nnz jca sylan2 3adant2 zsubcld eqeltrd
      3expb sylan2b expr syld neeq1 oveq2 eleq1d imbi12d com23 impancom adantrl
      rexlimdvv mpd ) AUAEZBUBEZBFGZHHZBCIZDIZJKZLZDMNCONZABSKZOEZVTVRWEVQVRVSU
      CCDBUDUEVTWDWGCDOMVQVSWAOEZWBMEZHZWDWGTZTVRVQWJVSWKVQWJHZWDVSWGWLVSWGTWDW
      CFGZAWCSKZOEZTWLWMWAFGZWOWLWAFWCFWLWCFLWAFLZFWBJKZFLZWIWSVQWHWIWBWBUFWBUG
      ZUHUIWQWCWRFWAFWBJUJULPUKVQWJWPWOWJWPHVQWHWPHZWIHWOWHWIWPUMVQXAWIWOVQXAWI
      UNZWNAWASKZAWBSKZUOKOWAWBAUPXBXCXDVQXAXCOEWIVQXAHXCAWAQRUQVQWIXDOEZXAWIVQ
      WBOEZWBFGZHZXEWIXFXGWBURWTUSVQXHHXDAWBQRUTVAVBVCVDVEVFVGWDVSWMWGWOBWCFVHW
      DWFWNOBWCASVIVJVKPVLVMVNVOVP $.

    $( Division property of the prime power function.  (Contributed by Mario
       Carneiro, 10-Aug-2015.) $)
    pcqdiv $p |- ( ( P e. Prime /\ ( A e. QQ /\ A =/= 0 ) /\
                                   ( B e. QQ /\ B =/= 0 ) ) ->
                  ( P pCnt ( A / B ) ) = ( ( P pCnt A ) - ( P pCnt B ) ) ) $=
      ( cprime wcel cq cc0 wne wa w3a cpc co cmin cdiv cc qcn syl cz pcqcl zcnd
      caddc cmul simp2l simp3l simp3r divcan1d oveq2d wceq simp1 qdivcl syl3anc
      simp2r divne0d pcqmul syl122anc eqtr3d oveq1d syl12anc 3adant2 pncand
      eqtr2d ) CDEZAFEZAGHZIZBFEZBGHZIZJZCAKLZCBKLZMLCABNLZKLZVKUALZVKMLVMVIVJV
      NVKMVICVLBUBLZKLZVJVNVIVOACKVIABVIVCAOEVBVCVDVHUCZAPQZVIVFBOEVBVEVFVGUDZB
      PQZVBVEVFVGUEZUFUGVIVBVLFEZVLGHZVFVGVPVNUHVBVEVHUIZVIVCVFVGWBVQVSWAABUJUK
      ZVIABVRVTVBVCVDVHULWAUMZVSWAVLBCUNUOUPUQVIVMVKVIVMVIVBWBWCVMREWDWEWFCVLSU
      RTVIVKVBVHVKREVECBSUSTUTVA $.

    $( Prime power of a reciprocal.  (Contributed by Mario Carneiro,
       10-Aug-2015.) $)
    pcrec $p |- ( ( P e. Prime /\ ( A e. QQ /\ A =/= 0 ) ) ->
                  ( P pCnt ( 1 / A ) ) = -u ( P pCnt A ) ) $=
      ( cprime wcel cq cc0 wne wa c1 cdiv co cmin cneg wceq cz 1z ax-mp ax-1ne0
      cpc zq pm3.2i pcqdiv mp3an2 pc1 adantr oveq1d eqtrd df-neg eqtr4di ) BCDZ
      AEDAFGHZHZBIAJKSKZFBASKZLKZUNMULUMBISKZUNLKZUOUJIEDZIFGZHUKUMUQNURUSIODUR
      PITQRUAIABUBUCULUPFUNLUJUPFNUKBUDUEUFUGUNUHUI $.

    $( Prime power of an exponential.  (Contributed by Mario Carneiro,
       10-Aug-2015.) $)
    pcexp $p |- ( ( P e. Prime /\ ( A e. QQ /\ A =/= 0 ) /\ N e. ZZ ) ->
                  ( P pCnt ( A ^ N ) ) = ( N x. ( P pCnt A ) ) ) $=
      ( wcel cc0 wa cexp co cpc cmul wceq cneg caddc oveq2 oveq2d oveq1 eqeq12d
      c1 adantr cc vx vy cprime cq wne cz cv pc1 qcn ad2antrl exp0d zcnd mul02d
      pcqcl 3eqtr4d cn0 expp1 sylan simpll simplrl simplrr nn0z qexpclz syl3anc
      wi adantl expne0d pcqmul syl122anc eqtrd nn0cn adddirp1d syl5ibr ex negeq
      cdiv nnnn0 expneg syl2an sylan2 pcrec syl12anc nncn mulneg1 syl2anr zindd
      cn 3impia ) BUCDZAUDDZAEUEZFZCUFDBACGHZIHZCBAIHZJHZKZBAUAUGZGHZIHZWRWOJHZ
      KBAEGHZIHZEWOJHZKBAUBUGZGHZIHZXEWOJHZKZBAXELZGHZIHZXJWOJHZKZBAXERMHZGHZIH
      ZXOWOJHZKZWQWIWLFZUAUBCWREKZWTXCXAXDYAWSXBBIWREAGNOWREWOJPQWRXEKZWTXGXAXH
      YBWSXFBIWRXEAGNOWRXEWOJPQWRXOKZWTXQXAXRYCWSXPBIWRXOAGNOWRXOWOJPQWRXJKZWTX
      LXAXMYDWSXKBIWRXJAGNOWRXJWOJPQWRCKZWTWNXAWPYEWSWMBIWRCAGNOWRCWOJPQXTBRIHZ
      EXCXDWIYFEKWLBUHSXTXBRBIXTAWJATDZWIWKAUIUJZUKOXTWOXTWOBAUNULZUMUOXTXEUPDZ
      XIXSVEXIXSXTYJFZXGWOMHZXHWOMHZKXGXHWOMPYKXQYLXRYMYKXQBXFAJHZIHZYLYKXPYNBI
      XTYGYJXPYNKYHAXEUQUROYKWIXFUDDZXFEUEZWJWKYOYLKWIWLYJUSYKWJWKXEUFDZYPWIWJW
      KYJUTZWIWJWKYJVAZYJYRXTXEVBVFZAXEVCVDZYKAXEXTYGYJYHSYTUUAVGZYSYTXFABVHVIV
      JYKXEWOYJXETDZXTXEVKVFXTWOTDZYJYISVLQVMVNXTXEWGDZXIXNVEXIXNXTUUFFZXGLZXHL
      ZKXGXHVOUUGXLUUHXMUUIUUGXLBRXFVPHZIHZUUHUUGXKUUJBIXTYGYJXKUUJKUUFYHXEVQZA
      XEVRVSOUUGWIYPYQUUKUUHKWIWLUUFUSUUFXTYJYPUULUUBVTUUFXTYJYQUULUUCVTXFBWAWB
      VJUUFUUDUUEXMUUIKXTXEWCYIXEWOWDWEQVMVNWFWH $.

    $( Extended nonnegative integer closure of the general prime count
       function.  (Contributed by Jim Kingdon, 13-Oct-2024.) $)
    pcxnn0cl $p |- ( ( P e. Prime /\ N e. ZZ ) -> ( P pCnt N ) e. NN0* ) $=
      ( cprime wcel cz wa cpc co cxnn0 wceq cpnf pnf0xnn0 eqeltrdi adantr oveq2
      cc0 pc0 eleq1d syl5ibrcom wne pczcl nn0xnn0d expr pm2.61dne ) ACDZBEDZFZA
      BGHZIDZBPUGUIBPJZAPGHZIDZUEULUFUEUKKIAQLMNUJUHUKIBPAGORSUEUFBPTZUIUEUFUMF
      FUHABUAUBUCUD $.

    $( Extended real closure of the general prime count function.  (Contributed
       by Mario Carneiro, 3-Oct-2014.) $)
    pcxcl $p |- ( ( P e. Prime /\ N e. QQ ) ->
                 ( P pCnt N ) e. RR* ) $=
      ( cprime wcel cq wa cpc cxr cc0 wceq cpnf pc0 pnfxr eqeltrdi adantr oveq2
      co eleq1d syl5ibrcom wne pcqcl zred rexrd expr pm2.61dne ) ACDZBEDZFZABGQ
      ZHDZBIUHUJBIJZAIGQZHDZUFUMUGUFULKHALMNOUKUIULHBIAGPRSUFUGBITZUJUFUGUNFFZU
      IUOUIABUAUBUCUDUE $.

    $( The prime count of an integer is greater than or equal to zero.
       (Contributed by Mario Carneiro, 3-Oct-2014.) $)
    pcge0 $p |- ( ( P e. Prime /\ N e. ZZ ) -> 0 <_ ( P pCnt N ) ) $=
      ( cprime wcel cz wa cc0 cpc co cle wbr wceq 0lepnf oveq2 adantr sylan9eqr
      cpnf pc0 breqtrrid wne pczcl nn0ge0d anassrs pm2.61dane ) ACDZBEDZFZGABHI
      ZJKZBGUGBGLZFGQUHJMUJUGUHAGHIZQBGAHNUEUKQLUFAROPSUEUFBGTZUIUEUFULFFUHABUA
      UBUCUD $.

    $( Defining property of the prime count function.  (Contributed by Mario
       Carneiro, 9-Sep-2014.) $)
    pczdvds $p |- ( ( P e. Prime /\ ( N e. ZZ /\ N =/= 0 ) ) ->
      ( P ^ ( P pCnt N ) ) || N ) $=
      ( vn cprime wcel cz cc0 wne wa cpc co cexp cv cdvds wbr cn0 crab clt eqid
      cr csup pczpre oveq2d c2 cuz cfv prmuz2 pcprecl simprd sylan eqbrtrd ) AD
      EZBFEBGHIZIZAABJKZLKAACMLKBNOCPQZTRUAZLKZBNUNUOUQALAUQCBUQSZUBUCULAUDUEUF
      EZUMURBNOZAUGUTUMIUQPEVAUPAUQCBUPSUSUHUIUJUK $.

    $( Defining property of the prime count function.  (Contributed by Mario
       Carneiro, 23-Feb-2014.) $)
    pcdvds $p |- ( ( P e. Prime /\ N e. NN ) -> ( P ^ ( P pCnt N ) ) || N ) $=
      ( cn wcel cprime cz cc0 wne wa cpc co cexp cdvds wbr nnz nnne0 jca sylan2
      pczdvds ) BCDZAEDBFDZBGHZIAABJKLKBMNTUAUBBOBPQABSR $.

    $( Defining property of the prime count function.  (Contributed by Mario
       Carneiro, 3-Oct-2014.) $)
    pczndvds $p |- ( ( P e. Prime /\ ( N e. ZZ /\ N =/= 0 ) ) ->
                    -. ( P ^ ( ( P pCnt N ) + 1 ) ) || N ) $=
      ( vn cprime wcel cz cc0 wne wa cpc co c1 caddc cexp cv cdvds wbr cn0 crab
      eqid cr clt pczpre oveq1d oveq2d c2 cuz cfv wn prmuz2 pcprendvds eqnbrtrd
      csup sylan ) ADEZBFEBGHIZIZAABJKZLMKZNKAACONKBPQCRSZUAUBUMZLMKZNKZBPUQUSV
      BANUQURVALMAVACBVATZUCUDUEUOAUFUGUHEUPVCBPQUIAUJUTAVACBUTTVDUKUNUL $.

    $( Defining property of the prime count function.  (Contributed by Mario
       Carneiro, 23-Feb-2014.) $)
    pcndvds $p |- ( ( P e. Prime /\ N e. NN ) ->
                    -. ( P ^ ( ( P pCnt N ) + 1 ) ) || N ) $=
      ( cn wcel cprime cz cc0 wne wa cpc co c1 caddc cdvds wbr wn nnz nnne0 jca
      cexp pczndvds sylan2 ) BCDZAEDBFDZBGHZIAABJKLMKTKBNOPUCUDUEBQBRSABUAUB $.

    $( The remainder after dividing out all factors of ` P ` is not divisible
       by ` P ` .  (Contributed by Mario Carneiro, 9-Sep-2014.) $)
    pczndvds2 $p |- ( ( P e. Prime /\ ( N e. ZZ /\ N =/= 0 ) ) ->
                    -. P || ( N / ( P ^ ( P pCnt N ) ) ) ) $=
      ( vn cprime wcel cz cc0 wne wa cpc co cexp cdiv cdvds wbr cn0 crab oveq2d
      cv eqid cr clt csup c2 cuz cfv wn prmuz2 pcprendvds2 pczpre breq2d mtbird
      sylan ) ADEZBFEBGHIZIZABAABJKZLKZMKZNOABAACSLKBNOCPQZUAUBUCZLKZMKZNOZUNAU
      DUEUFEUOVDUGAUHUTAVACBUTTVATZUIUMUPUSVCANUPURVBBMUPUQVAALAVACBVEUJRRUKUL
      $.

    $( The remainder after dividing out all factors of ` P ` is not divisible
       by ` P ` .  (Contributed by Mario Carneiro, 23-Feb-2014.) $)
    pcndvds2 $p |- ( ( P e. Prime /\ N e. NN ) ->
                    -. P || ( N / ( P ^ ( P pCnt N ) ) ) ) $=
      ( cn wcel cprime cz cc0 wne wa cpc co cexp cdiv cdvds wbr nnne0 pczndvds2
      wn nnz jca sylan2 ) BCDZAEDBFDZBGHZIABAABJKLKMKNORUBUCUDBSBPTABQUA $.
  $}

  $( ` P ^ A ` divides ` N ` if and only if ` A ` is at most the count of
     ` P ` .  (Contributed by Mario Carneiro, 3-Oct-2014.) $)
  pcdvdsb $p |- ( ( P e. Prime /\ N e. ZZ /\ A e. NN0 ) ->
                  ( A <_ ( P pCnt N ) <-> ( P ^ A ) || N ) ) $=
    ( wcel cz cn0 cpc co cle wbr cexp cdvds wb cc0 wa syl2anc wi syl nnzd wn cn
    cprime w3a wceq oveq2 breq2d breq2 bibi12d wne cuz cfv simpl3 simpl1 simpl2
    nn0zd simpr pczcl syl12anc eluz prmnn dvdsexp sylbird pczdvds nnexpcl sylan
    3expia 3adant2 adantr nnexpcld dvdstr syl3anc mpan2d syld c1 caddc cr nn0re
    clt ltnle syl2an nn0ltp1le bitr3d peano2nn0 pczndvds mtod sylibr impcon4bid
    imnan sylbid cpnf cxr 3ad2ant3 rexrd pnfge pc0 3ad2ant1 breqtrrd dvds0 2thd
    pm2.61ne ) BUBDZCEDZAFDZUCZABCGHZIJZBAKHZCLJZMABNGHZIJZXGNLJZMCNCNUDZXFXJXH
    XKXLXEXIAICNBGUEUFCNXGLUGUHXDCNUIZOZXFXHXNXFXGBXEKHZLJZXHXNXFXEAUJUKDZXPXNA
    EDZXEEDXQXFMXNAXAXBXCXMULZUOZXNXEXNXAXBXMXEFDZXAXBXCXMUMZXAXBXCXMUNZXDXMUPZ
    BCUQURZUOAXEUSPXNBEDZXCXQXPQXNBXNXABUADZYBBUTZRZSZXSYFXCXQXPBAXEVAVFPVBXNXP
    XOCLJZXHXNXAXBXMYKYBYCYDBCVCURXNXGEDZXOEDXBXPYKOXHQXDYLXMXDXGXAXCXGUADZXBXA
    YGXCYMYHBAVDVEVGSZVHZXNXOXNBXEYIYEVISYCXGXOCVJVKVLVMXNXFTZXEVNVOHZAIJZXHTZX
    NYAXCYPYRMYEXSYAXCOXEAVRJZYPYRYAXEVPDAVPDZYTYPMXCXEVQAVQZXEAVSVTXEAWAWBPXNY
    RBYQKHZXGLJZYSXNYRAYQUJUKDZUUDXNYQEDXRUUEYRMXNYQXNYAYQFDZYEXEWCRZUOXTYQAUSP
    XNYFUUFUUEUUDQYJUUGYFUUFUUEUUDBYQAVAVFPVBXNUUDXHOZTUUDYSQXNUUHUUCCLJZXNXAXB
    XMUUITYBYCYDBCWDURXNUUCEDYLXBUUHUUIQXNUUCXNBYQYIUUGVISYOYCUUCXGCVJVKWEUUDXH
    WHWFVMWIWGXDXJXKXDAWJXIIXDAWKDAWJIJXDAXCXAUUAXBUUBWLWMAWNRXAXBXIWJUDXCBWOWP
    WQXDYLXKYNXGWRRWSWT $.

  $( There are a positive number of powers of a prime ` P ` in ` N ` iff ` P `
     divides ` N ` .  (Contributed by Mario Carneiro, 23-Feb-2014.) $)
  pcelnn $p |- ( ( P e. Prime /\ N e. NN ) ->
                  ( ( P pCnt N ) e. NN <-> P || N ) ) $=
    ( cprime wcel cn wa c1 cpc co cle wbr cexp cdvds cz wb nnz cn0 1nn0 pcdvdsb
    mp3an3 sylan2 pccl elnnnn0c baibr syl wceq prmnn nncnd exp1d adantr 3bitr3d
    breq1d ) ACDZBEDZFZGABHIZJKZAGLIZBMKZUPEDZABMKUNUMBNDZUQUSOZBPUMVAGQDVBRGAB
    STUAUOUPQDZUQUTOABUBUTVCUQUPUCUDUEUOURABMUMURAUFUNUMAUMAAUGUHUIUJULUK $.

  $( There are zero powers of a prime ` P ` in ` N ` iff ` P ` does not divide
     ` N ` .  (Contributed by Mario Carneiro, 23-Feb-2014.) $)
  pceq0 $p |- ( ( P e. Prime /\ N e. NN ) ->
                  ( ( P pCnt N ) = 0 <-> -. P || N ) ) $=
    ( cprime wcel cn wa cdvds wbr cpc co cc0 wne pcelnn cn0 wb pccl nnne0 elnn0
    wceq wo biimpi ord necon1ad impbid2 syl bitr3d necon2bbid ) ACDBEDFZABGHZAB
    IJZKUHUJEDZUIUJKLZABMUHUJNDZUKULOABPUMUKULUJQUMUKUJKUMUKUJKSZUMUKUNTUJRUAUB
    UCUDUEUFUG $.

  $( The prime count of a prime power.  (Contributed by Mario Carneiro,
     12-Mar-2014.) $)
  pcidlem $p |- ( ( P e. Prime /\ A e. NN0 ) -> ( P pCnt ( P ^ A ) ) = A ) $=
    ( cprime wcel cn0 cexp co cle wbr cdvds cn nnexpcld cz nnzd pcdvdsb syl3anc
    syl wb adantl mpbird wa cpc wceq simpl prmnn simpr pccld nn0red leidd mpbid
    wi dvdsle syl2anc mpd nnred nn0zd c2 cuz cfv c1 clt prmuz2 eluz2gt1 leexp2d
    nn0z 3syl iddvds cr nn0re letri3d mpbir2and ) BCDZAEDZUAZBBAFGZUBGZAUCVPAHI
    ZAVPHIZVNVQBVPFGZVOHIZVNVSVOJIZVTVNVPVPHIZWAVNVPVNVPVNBVOVLVMUDZVNBAVNVLBKD
    WCBUEQZVLVMUFZLZUGZUHZUIVNVLVOMDZVPEDWBWARWCVNVOWFNZWGVPBVOOPUJVNVSMDVOKDWA
    VTUKVNVSVNBVPWDWGLNWFVSVOULUMUNVNBVPAVNBWDUOVNVPWGUPVMAMDVLAVESVNVLBUQURUSD
    UTBVAIWCBVBBVCVFVDTVNVRVOVOJIZVNWIWKWJVOVGQVNVLWIVMVRWKRWCWJWEABVOOPTVNVPAW
    HVMAVHDVLAVISVJVK $.

  $( The prime count of a prime power.  (Contributed by Mario Carneiro,
     9-Sep-2014.) $)
  pcid $p |- ( ( P e. Prime /\ A e. ZZ ) -> ( P pCnt ( P ^ A ) ) = A ) $=
    ( cz wcel cprime cn0 cneg cn wa cexp co cpc wceq pcidlem c1 adantr cmin cc0
    cc eqtrd cr wo elznn0nn cdiv prmnn nncnd simprl recnd nnnn0 expneg2 syl3anc
    ad2antll oveq2d wne simpl 1zzd ax-1ne0 a1i nnexpcld pcdiv syl121anc oveq12d
    pc1 syldan df-neg negnegd eqtr3id jaodan sylan2b ) ACDBEDZAFDZAUADZAGZHDZIZ
    UBBBAJKZLKZAMZAUCVJVKVRVOABNVJVOIZVQBOBVMJKZUDKZLKZAVSVPWABLVSBSDASDVMFDZVP
    WAMVSBVJBHDVOBUEPZUFVSAVJVLVNUGUHZVNWCVJVLVMUIULZBAUJUKUMVSWBBOLKZBVTLKZQKZ
    AVSVJOCDORUNZVTHDWBWIMVJVOUOVSUPWJVSUQURVSBVMWDWFUSOVTBUTVAVSWIRVMQKZAVSWGR
    WHVMQVJWGRMVOBVCPVJVOWCWHVMMWFVMBNVDVBVSWKVMGAVMVEVSAWEVFVGTTTVHVI $.

  ${
    $d x y A $.  $d x y P $.
    $( The prime count of a negative number.  (Contributed by Mario Carneiro,
       13-Mar-2014.) $)
    pcneg $p |- ( ( P e. Prime /\ A e. QQ ) ->
                  ( P pCnt -u A ) = ( P pCnt A ) ) $=
      ( vx vy wcel cneg cpc co wceq cdiv cn cz wa cc0 wne oveq2d cmin cn0 clt
      cr cprime cq cv wrex elq cc zcn ad2antrl nncn ad2antll nnne0 divnegd neg0
      simpr negeqd 3eqtr4a oveq1d simpll simplrl znegcld negne0bd mpbid simplrr
      wb syl pcdiv syl121anc cexp cdvds wbr crab csup eqid pczpre syl12anc prmz
      zexpcl sylan simpl dvdsnegb syl2an an32s rabbidva eqtrd eqtr4d pm2.61dane
      supeq1d negeq oveq2 eqeq12d syl5ibrcom rexlimdvva syl5bi imp ) BUAEZAUBEZ
      BAFZGHZBAGHZIZWPACUCZDUCZJHZIZDKUDCLUDWOWTCDAUEWOXDWTCDLKWOXALEZXBKEZMZMZ
      WTXDBXCFZGHZBXCGHZIXHXJBXAFZXBJHZGHZXKXHXIXMBGXHXAXBXEXAUFEWOXFXAUGZUHXFX
      BUFEWOXEXBUIUJXFXBNOWOXEXBUKUJULPXHXNXKIXANXHXANIZMZXMXCBGXQXLXAXBJXQNFNX
      LXAUMXQXANXHXPUNZUOXRUPUQPXHXANOZMZXNBXLGHZBXBGHZQHZXKXTWOXLLEZXLNOZXFXNY
      CIWOXGXSURZXTXAWOXEXFXSUSZUTZXTXSYEXHXSUNZXTXEXSYEVDYGXEXAXOVAVEVBZWOXEXF
      XSVCZXLXBBVFVGXTXKBXAGHZYBQHZYCXTWOXEXSXFXKYMIYFYGYIYKXAXBBVFVGXTYAYLYBQX
      TYABXBVHHZXLVIVJZDRVKZTSVLZYLXTWOYDYEYAYQIYFYHYJBYQDXLYQVMVNVOXTWOXEXSYLY
      QIYFYGYIWOXEXSMZMZYLYNXAVIVJZDRVKZTSVLZYQBUUBDXAUUBVMVNYSTUUAYPSYSYTYODRW
      OXBREZYRYTYOVDZWOUUCMYNLEZXEUUDYRWOBLEUUCUUEBVPBXBVQVRXEXSVSYNXAVTWAWBWCW
      GWDVOWEUQWEWEWFWDXDWRXJWSXKXDWQXIBGAXCWHPAXCBGWIWJWKWLWMWN $.
  $}

  $( The prime count of an absolute value.  (Contributed by Mario Carneiro,
     13-Mar-2014.) $)
  pcabs $p |- ( ( P e. Prime /\ A e. QQ ) ->
                ( P pCnt ( abs ` A ) ) = ( P pCnt A ) ) $=
    ( cprime wcel cq wa cabs cfv wceq cpc co cneg wi oveq2 a1i pcneg syl5ibrcom
    eqeq1d cr qre adantl absord mpjaod ) BCDZAEDZFZAGHZAIZBUGJKZBAJKZIZUGALZIZU
    HUKMUFUGABJNOUFUKUMBULJKZUJIABPUMUIUNUJUGULBJNRQUFAUEASDUDATUAUBUC $.

  $( The prime count increases under the divisibility relation.  (Contributed
     by Mario Carneiro, 13-Mar-2014.) $)
  pcdvdstr $p |- ( ( P e. Prime /\ ( A e. ZZ /\ B e. ZZ /\ A || B ) ) ->
                ( P pCnt A ) <_ ( P pCnt B ) ) $=
    ( wcel cz cdvds wbr wa cpc co cle cc0 wceq ad2antrr simpr oveq2d simplr3 wb
    simplr2 syl12anc cprime w3a cq cxr 0z zq ax-mp pcxcl mpan2 xrleidd eqbrtrrd
    0dvds syl mpbid 3brtr4d wne cexp cn prmnn cn0 simpll simplr1 pczcl nnexpcld
    nnzd pczdvds dvdstrd pcdvdsb syl3anc mpbird pm2.61dane ) CUADZAEDZBEDZABFGZ
    UBZHZCAIJZCBIJZKGZALVQALMZHZCLIJZWCVRVSKVLWCWCKGVPWAVLWCVLLUCDZWCUDDLEDWDUE
    LUFUGCLUHUIUJNWBALCIVQWAOZPWBBLCIWBLBFGZBLMZWBALBFWEVMVNVOVLWAQUKWBVNWFWGRV
    MVNVOVLWASBULUMUNPUOVQALUPZHZVTCVRUQJZBFGZWIWJABWIWJWICVRVLCURDVPWHCUSNWIVL
    VMWHVRUTDZVLVPWHVAZVMVNVOVLWHVBZVQWHOZCAVCTZVDVEWNVMVNVOVLWHSZWIVLVMWHWJAFG
    WMWNWOCAVFTVMVNVOVLWHQVGWIVLVNWLVTWKRWMWQWPVRCBVHVIVJVK $.

  $( The prime count of a GCD is the minimum of the prime counts of the
     arguments.  (Contributed by Mario Carneiro, 3-Oct-2014.) $)
  pcgcd1 $p |- ( ( ( P e. Prime /\ A e. ZZ /\ B e. ZZ ) /\
  ( P pCnt A ) <_ ( P pCnt B ) ) -> ( P pCnt ( A gcd B ) ) = ( P pCnt A ) ) $=
    ( wcel cz cpc co cle wbr wa cgcd wceq cc0 cdvds wn syl2anc cr syl12anc cpnf
    syl cprime w3a oveq2 oveq2d eqeq1d wne simpl1 cn simp2 adantr simpl3 simprr
    simpr necon3ai gcdn0cl syl21anc nnzd simpld pcdvdstr syl13anc cexp cxr cmnf
    gcddvds clt cq pcxcl cn0 pczcl nn0red pcge0 ge0gtmnf simprl syl22anc pnfnre
    zq xrre pc0 eleq1d mtbiri notbid syl5ibrcom necon2ad mpd pczdvds wb pcdvdsb
    neli syl3anc mpbid wi prmnn nnexpcld dvdsgcd mp2and pccld letri3d mpbir2and
    mpbird anassrs cabs cfv gcdid0 pcabs sylan2 3adant3 eqtrd pm2.61ne ) CUADZA
    EDZBEDZUBZCAFGZCBFGZHIZJCABKGZFGZXMLZCAMKGZFGZXMLZBMBMLZXQXTXMYBXPXSCFBMAKU
    CUDUEXLXOBMUFZXRXLXOYCJZJZXRXQXMHIZXMXQHIZYEXIXPEDZXJXPANIZYFXIXJXKYDUGZYEX
    PYEXJXKAMLZYBJZOZXPUHDXLXJYDXIXJXKUIZUJZXIXJXKYDUKZYEYCYMXLXOYCULZYLBMYKYBU
    MUNTABUOUPZUQZYOYEYIXPBNIZYEXJXKYIYTJYOYPABVDPURXPACUSUTYEYGCXMVAGZXPNIZYEU
    UAANIZUUABNIZUUBYEXIXJAMUFZUUCYJYOYEXMQDZUUEYEXMVBDZXNQDVCXMVEIZXOUUFYEXIAV
    FDZUUGYJYEXJUUIYOAVPZTCAVGPZYEXNYEXIXKYCXNVHDYJYPYQCBVIRVJYEUUGMXMHIZUUHUUK
    YEXIXJUULYJYOCAVKPXMVLPXLXOYCVMZXMXNVQVNZYEUUFAMYEUUFOYKCMFGZQDZOYEUUPSQDSQ
    VOWHYEUUOSQYEXIUUOSLYJCVRTVSVTYKUUFUUPYKXMUUOQAMCFUCVSWAWBWCWDZCAWERYEXOUUD
    UUMYEXIXKXMVHDZXOUUDWFYJYPYEXIXJUUEUURYJYOUUQCAVIRZXMCBWGWIWJYEUUAEDXJXKUUC
    UUDJUUBWKYEUUAYECXMYEXICUHDYJCWLTUUSWMUQYOYPUUAABWNWIWOYEXIYHUURYGUUBWFYJYS
    UUSXMCXPWGWIWSYEXQXMYEXQYECXPYJYRWPVJUUNWQWRWTXLYAXOXLXTCAXAXBZFGZXMXLXSUUT
    CFXLXJXSUUTLYNAXCTUDXIXJUVAXMLZXKXJXIUUIUVBUUJACXDXEXFXGUJXH $.

  $( The prime count of a GCD is the minimum of the prime counts of the
     arguments.  (Contributed by Mario Carneiro, 3-Oct-2014.) $)
  pcgcd $p |- ( ( P e. Prime /\ A e. ZZ /\ B e. ZZ ) -> ( P pCnt ( A gcd B ) )
    = if ( ( P pCnt A ) <_ ( P pCnt B ) , ( P pCnt A ) , ( P pCnt B ) ) ) $=
    ( wcel cz w3a cpc co cle wbr cgcd wceq wa pcgcd1 adantl eqtr4d cxr cq pcxcl
    zq cprime cif iftrue wn gcdcom 3adant1 adantr oveq2d iffalse sylan2 3adant3
    wo xrletri 3imp3i2an orcanai 3ancomb sylanb syldan pm2.61dan ) CUADZAEDZBED
    ZFZCAGHZCBGHZIJZCABKHZGHZVFVDVEUBZLVCVFMVHVDVIABCNVFVIVDLVCVFVDVEUCOPVCVFUD
    ZMZVHCBAKHZGHZVIVKVGVLCGVCVGVLLZVJVAVBVNUTABUEUFUGUHVKVIVEVMVJVIVELVCVFVDVE
    UIOVCVJVEVDIJZVMVELZVCVFVOUTVAVBVDQDZVEQDZVFVOULUTVAVQVBVAUTARDVQATCASUJUKV
    BUTBRDVRBTCBSUJVDVEUMUNUOVCUTVBVAFVOVPUTVAVBUPBACNUQURPPUS $.

  ${
    $d p x y A $.  $d p B $.
    $( A characterization of divisibility in terms of prime count.
       (Contributed by Mario Carneiro, 23-Feb-2014.)  (Revised by Mario
       Carneiro, 3-Oct-2014.) $)
    pc2dvds $p |- ( ( A e. ZZ /\ B e. ZZ ) ->
                 ( A || B <-> A. p e. Prime ( p pCnt A ) <_ ( p pCnt B ) ) ) $=
      ( cz wcel wa cdvds wbr cpc co cle cprime cc0 wceq wn c1 wb adantr cr cpnf
      cv wral w3a pcdvdstr ancoms ralrimiva 3expia oveq2 breq1d ralbidv imbi12d
      wi breq1 wne cabs cfv cgcd cdiv c2 cuz wo cn clt simpld gcdcl nn0zd simpl
      gcddvds dvdsabsb syl2anc mpbid gcdn0cl sylan2 nnzd nnne0d nnabscl adantlr
      necon3ai dvdsval2 syl3anc nngt0 jca divgt0 syl2an elnnz sylanbrc elnn1uz2
      nnre sylib simprd syl5ibcom cmul nncnd 1cnd divmuld eqeq1d bitrd absdvdsb
      mulid1d 3imtr4d wrex exprmfct simprl pcdiv syl121anc cq simplll syl pcabs
      cmin zq oveq1d eqtrd simprr pcelnn mpbird eqeltrrd pccld cn0 simplr pczcl
      syl12anc znnsub nn0red ltnled simpllr nprmdvds1 ad2antrl gcdid0 oveq2d cc
      cif breq2d mtbird mpd biantrurd expr syl5 cxr adantl necon3bd lemin pcgcd
      dividd leidd 3bitr4rd reximdva rexnal syl6ib orim12d ord con4d 2prm ne0ii
      c0 r19.2z mpan id pcxcl syl2anr pnfge pc0 xrletri3 sylancl 3bitr4d pnfnre
      pnfxr neli mtbiri adantll an4s necon1bd sylbid rexlimdva sylibrd pm2.61ne
      eleq1 0dvds impbid ) ADEZBDEZFZABGHZCUAZAIJZUWDBIJZKHZCLUBZUVTUWAUWCUWHUV
      TUWAUWCUCZUWGCLUWDLEZUWIUWGABUWDUDUEUFUGUWBUWHUWCULUWDMIJZUWFKHZCLUBZMBGH
      ZULAMAMNZUWHUWMUWCUWNUWOUWGUWLCLUWOUWEUWKUWFKAMUWDIUHUIUJAMBGUMUKUWBAMUNZ
      FZUWCUWHUWQUWCUWHOZUWQAUOUPZABUQJZURJZPNZUXAUSUTUPEZVAZUWCUWRVAUWQUXAVBEZ
      UXDUWQUXADEZMUXAVCHZUXEUWQUWTUWSGHZUXFUWBUXHUWPUWBUWTAGHZUXHUWBUXIUWTBGHZ
      ABVHZVDUWBUWTDEZUVTUXIUXHQUWBUWTABVEVFUVTUWAVGUWTAVIVJVKRUWQUXLUWTMUNUWSD
      EZUXHUXFQUWQUWTUWPUWBUWOBMNZFZOUWTVBEZUXOAMUWOUXNVGVRABVLVMZVNUWQUWTUXQVO
      ZUWQUWSUVTUWPUWSVBEZUWAAVPVQZVNUWTUWSVSVTVKUWQUXSUXPUXGUXTUXQUXSUWSSEZMUW
      SVCHZFUWTSEZMUWTVCHZFUXGUXPUXSUYAUYBUWSWHUWSWAWBUXPUYCUYDUWTWHUWTWAWBUWSU
      WTWCWDVJUXAWEWFZUXAWGWIUWQUXBUWCUXCUWRUWQUWTUWSNZUWSBGHZUXBUWCUWQUXJUYFUY
      GUWBUXJUWPUWBUXIUXJUXKWJRUWTUWSBGUMWKUWQUXBUWTPWLJZUWSNUYFUWQUWSUWTPUWQUW
      SUXTWMZUWQUWTUXQWMZUWQWNUXRWOUWQUYHUWTUWSUWQUWTUYJWSWPWQUWBUWCUYGQUWPABWR
      RWTUXCUWDUXAGHZCLXAZUWQUWRUXACXBUWQUYLUWGOZCLXAUWRUWQUYKUYMCLUWQUWJUYKUYM
      UWQUWJUYKFZFZUWGUWEUWDUWTIJZKHZUYOUYPUWEVCHZUYQOUYOUYRUWEUYPXJJZVBEZUYOUW
      DUXAIJZUYSVBUYOVUAUWDUWSIJZUYPXJJZUYSUYOUWJUXMUWSMUNUXPVUAVUCNUWQUWJUYKXC
      ZUYOUWSUWQUXSUYNUXTRZVNUYOUWSVUEVOZUWQUXPUYNUXQRZUWSUWTUWDXDXEUYOVUBUWEUY
      PXJUYOUWJAXFEZVUBUWENVUDUYOUVTVUHUVTUWAUWPUYNXGZAXKXHAUWDXIVJXLXMUYOVUAVB
      EZUYKUWQUWJUYKXNZUYOUWJUXEVUJUYKQVUDUWQUXEUYNUYERUWDUXAXOVJXPXQUYOUYPDEUW
      EDEUYRUYTQUYOUYPUYOUWDUWTVUDVUGXRZVFUYOUWEUYOUWJUVTUWPUWEXSEVUDVUIUWBUWPU
      YNXTUWDAYAYBZVFUYPUWEYCVJXPUYOUYPUWEUYOUYPVULYDUYOUWEVUMYDZYEVKUYOUWEUWGU
      WEUWFYLZKHZUWEUWEKHZUWGFZUYQUWGUYOUWESEZVUSUWFSEZVUPVURQVUNVUNUYOUWFUYOUW
      JUWABMUNZUWFXSEVUDUVTUWAUWPUYNYFZUYOUWDUWSAMUQJZURJZGHZOVVAUYOVVEUWDPGHZU
      WJVVFOUWQUYKUWDYGYHUYOVVDPUWDGUYOVVDUWSUWSURJPUYOVVCUWSUWSURUYOUVTVVCUWSN
      VUIAYIXHYJUYOUWSUWQUWSYKEUYNUYIRVUFUUDXMYMYNUYOVVEBMUYOUYKUXNVVEVUKUXNUXA
      VVDUWDGUXNUWTVVCUWSURBMAUQUHYJYMWKUUAYOUWDBYAZYBYDUWEUWEUWFUUBVTUYOUYPVUO
      UWEKUYOUWJUVTUWAUYPVUONVUDVUIVVBABUWDUUCVTYMUYOVUQUWGUYOUWEVUNUUEYPUUFYNY
      QUUGUWGCLUUHUUIYRUUJYOUUKUULUWMUWLCLXAZUWBUWNLUUOUNUWMVVHUSLUUMUUNUWLCLUU
      PUUQUWBVVHUXNUWNUWBUWLUXNCLUWBUWJFZUWLUWFTNZUXNVVITUWFKHZUWFTKHZVVKFZUWLV
      VJVVIVVLVVKVVIUWFYSEZVVLUWJUWJBXFEZVVNUWBUWJUURUWAVVOUVTBXKYTUWDBUUSUUTZU
      WFUVAXHYPVVIUWKTUWFKUWJUWKTNUWBUWDUVBYTUIVVIVVNTYSEVVJVVMQVVPUVGUWFTUVCUV
      DUVEVVJVUTOVVIUXNVVJVUTTSETSUVFUVHUWFTSUVQUVIVVIVUTBMUWBUWJVVAVUTUVTUWJUW
      AVVAVUTUWJUWAVVAFZVUTUVTUWJVVQFUWFVVGYDUVJUVKYQUVLYRUVMUVNUWAUWNUXNQUVTBU
      VRYTUVOYRUVPUVS $.

    $( The prime count function, viewed as a function from ` NN ` to
       ` ( NN ^m Prime ) ` , is one-to-one.  (Contributed by Mario Carneiro,
       23-Feb-2014.) $)
    pc11 $p |- ( ( A e. NN0 /\ B e. NN0 ) -> ( A = B <->
                 A. p e. Prime ( p pCnt A ) = ( p pCnt B ) ) ) $=
      ( cn0 wcel wa wceq cpc co cprime wral cdvds wbr cz wb nn0z cle cxr cq zq
      cv oveq2 ralrimivw pcxcl sylan2 anim12dan xrletri3 ancoms ralbidva r19.26
      syl bitrdi pc2dvds anbi12d bitr4d syl2an dvdseq ex sylbid impbid2 ) ADEZB
      DEZFZABGZCUAZAHIZVEBHIZGZCJKZVDVHCJABVEHUBUCVCVIABLMZBALMZFZVDVAANEZBNEZV
      IVLOVBAPBPVMVNFZVIVFVGQMZCJKZVGVFQMZCJKZFZVLVOVIVPVRFZCJKVTVOVHWACJVEJEZV
      OVHWAOZWBVOFVFREZVGREZFWCWBVMWDVNWEVMWBASEWDATVEAUDUEVNWBBSEWEBTVEBUDUEUF
      VFVGUGUKUHUIVPVRCJUJULVOVJVQVKVSABCUMVNVMVKVSOBACUMUHUNUOUPVCVLVDABUQURUS
      UT $.

    $( The prime count function can be used as an indicator that a given
       rational number is an integer.  (Contributed by Mario Carneiro,
       23-Feb-2014.) $)
    pcz $p |- ( A e. QQ -> ( A e. ZZ <-> A. p e. Prime 0 <_ ( p pCnt A ) ) ) $=
      ( vx vy wcel cz cc0 cv cpc co cle wbr cprime wral wceq cn wrex wi cdvds
      wa cq pcge0 ancoms ralrimiva cdiv elq nnz dvds0 syl ad2antlr breqtrrd a1d
      simpr wne cmin simplll simplr simpllr pcdiv syl121anc breq2d cn0 syl12anc
      pczcl nn0red pccld subge0d bitrd ralbidva wb pc2dvds adantr bitr4d biimpd
      id syl2anr pm2.61dane nnne0 simpl dvdsval2 syl2an23an oveq2 ralbidv eleq1
      sylibd imbi12d syl5ibrcom rexlimivv sylbi impbid2 ) AUAEZAFEZGBHZAIJZKLZB
      MNZWLWOBMWMMEZWLWOWMAUBUCUDWKACHZDHZUEJZOZDPQCFQWPWLRZCDAUFXAXBCDFPWRFEZW
      SPEZTZXBXAGWMWTIJZKLZBMNZWTFEZRXEXHWSWRSLZXIXEXHXJRWRGXEWRGOZTZXJXHXLWSGW
      RSXDWSGSLZXCXKXDWSFEZXMWSUGZWSUHUIUJXEXKUMUKULXEWRGUNZTZXHXJXQXHWMWSIJZWM
      WRIJZKLZBMNZXJXQXGXTBMXQWQTZXGGXSXRUOJZKLXTYBXFYCGKYBWQXCXPXDXFYCOXQWQUMZ
      XCXDXPWQUPZXEXPWQUQZXCXDXPWQURZWRWSWMUSUTVAYBXSXRYBXSYBWQXCXPXSVBEYDYEYFW
      MWRVDVCVEYBXRYBWMWSYDYGVFVEVGVHVIXEXJYAVJZXPXDXNXCYHXCXOXCVOWSWRBVKVPVLVM
      VNVQXDXNWSGUNXCXCXJXIVJXOWSVRXCXDVSWSWRVTWAWEXAWPXHWLXIXAWOXGBMXAWNXFGKAW
      TWMIWBVAWCAWTFWDWFWGWHWIWJ $.
  $}

  ${
    $d n p A $.  $d n p P $.
    $( Self-referential expression for a prime power.  (Contributed by Mario
       Carneiro, 16-Jan-2015.) $)
    pcprmpw2 $p |- ( ( P e. Prime /\ A e. NN ) ->
      ( E. n e. NN0 A || ( P ^ n ) <-> A = ( P ^ ( P pCnt A ) ) ) ) $=
      ( vp cprime wcel cn wa cdvds wbr cn0 cpc wceq ad2antrr adantr cle syl2anc
      co cz nnzd cexp wrex simplr nnnn0d prmnn pccl nnexpcld wral nn0red simpll
      cv leidd nn0zd pcid breqtrrd simpr oveq1d 3brtr4d wne cc0 wn simplrr prmz
      adantl simprl dvdstr syl3anc mpan2d simplrl prmdvdsexpr syld necon3ad imp
      wi pceq0 mpbird pccld nn0ge0d eqbrtrd pm2.61dane ralrimiva pc2dvds pcdvds
      wb dvdseq syl22anc rexlimdvaa iddvds oveq2 breq2d rspcev breq1 syl5ibrcom
      syl rexbidv impbid ) BEFZAGFZHZABCUKZUARZIJZCKUBZABBALRZUARZMZWSXBXFCKWSW
      TKFZXBHZHZAKFXEKFAXEIJZXEAIJZXFXIAWQWRXHUCZUDXIXEXIBXDWQBGFZWRXHBUEZNZWSX
      DKFZXHBAUFZOZUGZUDXIXJDUKZALRZXTXELRZPJZDEUHZXIYCDEXIXTEFZHZYCXTBYFXTBMZH
      ZXDBXELRZYAYBPXIXDYIPJYEYGXIXDXDYIPXIXDXIXDXRUIULXIWQXDSFYIXDMWQWRXHUJZXI
      XDXRUMXDBUNQUONYHXTBALYFYGUPZUQYHXTBXELYKUQURYFXTBUSZHZYAUTYBPYMYAUTMZXTA
      IJZVAZYFYLYPYFYOXTBYFYOXTXAIJZYGYFYOXBYQWSXGXBYEVBYFXTSFZASFZXASFYOXBHYQV
      NYEYRXIXTVCVDYFAXIWRYEXLOTYFXAXIXAGFYEXIBWTXOWSXGXBVEUGOTXTAXAVFVGVHYFYEW
      QXGYQYGVNXIYEUPXIWQYEYJOWSXGXBYEVIXTBWTVJVGVKVLVMYMYEWRYNYPWDXIYEYLUCZXIW
      RYEYLXLNXTAVOQVPYMYBYMXTXEYTXIXEGFYEYLXSNVQVRVSVTWAXIYSXESFZXJYDWDXIAXLTX
      IXEXSTAXEDWBQVPWSXKXHBAWCOAXEWEWFWGWSXCXFXEXAIJZCKUBZWSXPXEXEIJZUUCXQWSUU
      AUUDWSXEWSBXDWQXMWRXNOXQUGTXEWHWNUUBUUDCXDKWTXDMXAXEXEIWTXDBUAWIWJWKQXFXB
      UUBCKAXEXAIWLWOWMWP $.

    $( Self-referential expression for a prime power.  (Contributed by Mario
       Carneiro, 16-Jan-2015.) $)
    pcprmpw $p |- ( ( P e. Prime /\ A e. NN ) ->
      ( E. n e. NN0 A = ( P ^ n ) <-> A = ( P ^ ( P pCnt A ) ) ) ) $=
      ( cprime wcel cn wa cv cexp co wceq cn0 wrex cpc cdvds wbr cz prmz adantr
      syl zexpcl sylan iddvds breq1 syl5ibrcom reximdva pcprmpw2 sylibd wi pccl
      oveq2 rspceeqv ex impbid ) BDEZAFEZGZABCHZIJZKZCLMZABBANJZIJZKZUQVAAUSOPZ
      CLMVDUQUTVECLUQURLEZGZVEUTUSUSOPZVGUSQEZVHUQBQEZVFVIUOVJUPBRSBURUAUBUSUCT
      AUSUSOUDUEUFABCUGUHUQVBLEZVDVAUIBAUJVKVDVACVBLUSVCAURVBBIUKULUMTUN $.
  $}

  ${
    $d A n $.  $d N n $.  $d P n $.
    $( If a positive integer divides a prime power, it is a prime power.
       (Contributed by AV, 25-Jul-2021.) $)
    dvdsprmpweq $p |- ( ( P e. Prime /\ A e. NN /\ N e. NN0 )
                      -> ( A || ( P ^ N ) -> E. n e. NN0 A = ( P ^ n ) ) ) $=
      ( cprime wcel cn cn0 w3a cexp co cdvds wceq wrex adantr wb oveq2 rspcedvd
      wbr adantl cv wa cpc simp1 simp2 pccld eqeq2d simpl3 breq2d simpr 3adant3
      pcprmpw2 mpbid ex ) BEFZAGFZDHFZIZABDJKZLSZABCUAZJKZMZCHNURUTUBZVCABBAUCK
      ZJKZMZCVEHURVEHFUTURBAUOUPUQUDUOUPUQUEUFOVAVEMZVCVGPVDVHVBVFAVAVEBJQUGTVD
      AVBLSZCHNZVGVDVIUTCDHUOUPUQUTUHVADMZVIUTPVDVKVBUSALVADBJQUITURUTUJRURVJVG
      PZUTUOUPVLUQABCULUKOUMRUN $.

    $( If an integer greater than 1 divides a prime power, it is a (proper)
       prime power.  (Contributed by AV, 13-Aug-2021.) $)
    dvdsprmpweqnn $p |- ( ( P e. Prime /\ A e. ( ZZ>= ` 2 ) /\ N e. NN0 )
                         -> ( A || ( P ^ N ) -> E. n e. NN A = ( P ^ n ) ) ) $=
      ( cprime wcel c2 cn0 cexp co wceq cn wrex wi cc0 cz eqeq2d c1 com12 sylbi
      cuz cfv w3a cdvds wbr cv wa eluz2nn dvdsprmpweq syl3an2 imp csn cun df-n0
      wo rexeqi rexun bitri wb 0z oveq2 rexsng ax-mp prmnn nncnd exp0d 3ad2ant1
      wne eluz2b3 eqneqall simplbiim 3ad2ant2 sylbid impd jao1i mpcom ex ) BEFZ
      AGUAUBFZDHFZUCZABDIJUDUEZABCUFZIJZKZCLMZWECHMZWAWBUGZWFWAWBWGVSVRALFZVTWB
      WGNAUHABCDUIUJUKWGWFWECOULZMZUOZWHWFNZWGWECLWJUMZMWLWECHWNUNUPWECLWJUQURW
      FWKWHWKABOIJZKZWMOPFWKWPUSUTWEWPCOPWCOKWDWOAWCOBIVAQVBVCWPWAWBWFWAWPWBWFN
      ZWAWPARKZWQWAWORAVRVSWORKVTVRBVRBBVDVEVFVGQVSVRWRWQNZVTVSWIARVHZWSAVIWRWT
      WQWQARVJSVKVLVMSVNTVOTVPVQ $.

    $( If a positive integer divides a prime power, it is a prime power with a
       smaller exponent.  (Contributed by AV, 25-Jul-2021.) $)
    dvdsprmpweqle $p |- ( ( P e. Prime /\ A e. NN /\ N e. NN0 )
                         -> ( A || ( P ^ N )
                              -> E. n e. NN0 ( n <_ N /\ A = ( P ^ n ) ) ) ) $=
      ( wcel cn0 cexp co wbr wceq wa clt cr adantr syl wi cz 3ad2ant1 c1 ex w3a
      cprime cn cdvds cv cle wrex dvdsprmpweq imp wo 3ad2ant3 anim12ci lelttric
      nn0re wb breq1 adantl cc0 wne prmnn nnnn0d simpr nn0expcld nn0zd cc nncnd
      cdiv nnne0d nn0z expne0d simp3 dvdsval2 syl3anc jca anim12i expsub eqcomd
      cmin syl2an2r eleq1d cneg nn0cn subcld negsubdi2 anim1ci ltsubnn0 eqeltrd
      expneg2 wn reexpcld znnsub biimpa prmgt1 expgt1 breq2d anbi12d syl5ibrcom
      nnred oveq2 recnz pm2.21d sylbid com23 imp41 com12 jao1i mpcom reximdva
      mpd ) BUBEZAUCEZDFEZUAZABDGHZUDIZCUEZDUFIZABXPGHZJZKZCFUGZXMXOKZXSCFUGZYA
      XMXOYCABCDUHUIYBXSXTCFYBXPFEZKZXSXTYEXSKZXQXSXQDXPLIZUJZYFXQYFXPMEZDMEZKZ
      YHYEYKXSYBYJYDYIXMYJXOXLXJYJXKDUNUKNXPUNULNXPDUMOXQYGYFYFYGXQXMXOYDXSYGXQ
      PZXMYDXOXSYLPZXMYDXOYMPXMYDKZXSXOYLYNXSXOYLPYNXSKXOXRXNUDIZYLXSXOYOUOYNAX
      RXNUDUPUQYNYOYLPXSYNYOXNXRVGHZQEZYLYNXRQEXRURUSXNQEYOYQUOYNXRYNBXPXMBFEZY
      DXJXKYRXLXJBBUTZVARNZXMYDVBVCVDYNBXPXMBVEEZYDXJXKUUAXLXJBYSVFZRNZXMBURUSZ
      YDXJXKUUDXLXJBYSVHZRNYDXPQEZXMXPVIZUQVJYNXNYNBDYTXMXLYDXJXKXLVKZNVCVDXRXN
      VLVMYNYQBDXPVRHZGHZQEZYLYNYPUUJQXMUUAUUDKZYDDQEZUUFKZYPUUJJXJXKUULXLXJUUA
      UUDUUBUUEVNRXMUUMYDUUFXLXJUUMXKDVIUKUUGVOZUULUUNKUUJYPBDXPVPVQVSVTYNYGUUK
      XQYNYGUUKXQPYNYGKZUUKSBUUIWAZGHZVGHZQEZXQUUPUUJUUSQUUPUUAUUIVEEZUUQFEUUJU
      USJYNUUAYGUUCNYNUVAYGYNDXPXMDVEEZYDXLXJUVBXKDWBUKZNYDXPVEEZXMXPWBZUQWCNUU
      PUUQXPDVRHZFUUPUVBUVDKZUUQUVFJZYNUVGYGXMUVBYDUVDUVCUVEVONDXPWDOZYNYGUVFFE
      ZYNYDXLKYGUVJPXMXLYDUUHWEXPDWFOUIZWGBUUIWHVMVTUUPUUTXQUUPUURMEZSUURLIZKZU
      UTWIUUPUVHUVNUVIUUPUVNUVHBUVFGHZMEZSUVOLIZKUUPUVPUVQUUPBUVFYNBMEZYGXMUVRY
      DXJXKUVRXLXJBYSWRRNNZUVKWJUUPUVRUVFUCEZSBLIZUVQUVSYNYGUVTYNUUNYGUVTUOUUOD
      XPWKOWLYNUWAYGXMUWAYDXJXKUWAXLBWMRNNBUVFWNVMVNUVHUVLUVPUVMUVQUVHUURUVOMUU
      QUVFBGWSZVTUVHUURUVOSLUWBWOWPWQXIUURWTOXAXBTXCXBXBNXBTXCTXCXDXEXFXGYEXSVB
      VNTXHXIT $.
  $}

  ${
    $d A m n $.  $d B m n $.  $d C m n $.  $d D m n $.
    $( If the difference of two squares is a power of a prime, the prime
       divides twice the second squared number.  (Contributed by AV,
       13-Aug-2021.) $)
    difsqpwdvds $p |- ( ( ( A e. NN0 /\ B e. NN0 /\ ( B + 1 ) < A )
                          /\ ( C e. Prime /\ D e. NN0 ) )
                        -> ( ( C ^ D ) = ( ( A ^ 2 ) - ( B ^ 2 ) )
                             -> C || ( 2 x. B ) ) ) $=
      ( vm wcel c1 co wbr w3a wa cexp wceq cdvds syl adantr cn cz adantl wi cn0
      vn caddc clt cprime c2 cmin cmul cc nn0cn anim12i 3adant3 subsq eqeq2d cv
      wrex cuz cfv simprl nn0z zaddcl cr nn0re 1red ltaddsub2d simpr difgtsumgt
      3jca sylbid 3impia eluz2b1 sylanbrc simprr zsubcl dvdsmul1 ad2antrr breq2
      jca mpbird dvdsprmpweqnn sylc prmz iddvdsexp syl5ibrcom rexlimdva biimp3a
      sylan dvdsmul2 anim12ci 3anass dvds2sub 3ad2ant1 3ad2ant2 pnncand 2timesd
      wb sylibr eqcomd eqtrd breq2d biimpd syld expcomd mpd ex ) AUAFZBUAFZBGUC
      HAUDIZJZCUEFZDUAFZKZKZCDLHZAUFLHBUFLHUGHZMXNABUCHZABUGHZUHHZMZCUFBUHHZNIZ
      XMXOXRXNXIXOXRMZXLXIAUIFZBUIFZKZYBXFXGYEXHXFYCXGYDAUJZBUJZUKULABUMOPUNXMX
      SYAXMXSKZXPCEUOZLHZMZEQUPZYAYHXJXPUFUQURZFZXKJZXPXNNIZYLXMYOXSXMXJYNXKXIX
      JXKUSZXIYNXLXIXPRFZGXPUDIZYNXFXGYRXHXFXGKZARFZBRFZKZYRXFUUAXGUUBAUTBUTUKZ
      ABVAZOULXFXGXHYSYTXHGXQUDIZYSYTBGAXGBVBFXFBVCSYTVDZXFAVBFZXGAVCPZVEZYTUUH
      XGGVBFZJUUFYSTYTUUHXGUUKUUIXFXGVFUUGVHABGVGOVIVJXPVKVLPXIXJXKVMZVHPYHYPXP
      XRNIZXIUUMXLXSXIYRXQRFZKZUUMXFXGUUOXHYTUUCUUOUUDUUCYRUUNUUEABVNZVROULZXPX
      QVOOVPXSYPUUMWPXMXNXRXPNVQSVSXPCEDVTWAYHYLCXPNIZYAXMYLUURTZXSXLUUSXIXJUUS
      XKXJYKUUREQXJYIQFZKUURYKCYJNIZXJCRFZUUTUVACWBZCYIWCWGXPYJCNVQWDWEPSPYHXQC
      UBUOZLHZMZUBQUPZUURYATZYHXJXQYMFZXKJZXQXNNIZUVGXMUVJXSXMXJUVIXKYQXIUVIXLX
      IUUNUUFUVIXFXGUUNXHYTUUCUUNUUDUUPOULXFXGXHUUFUUJWFXQVKVLPUULVHPYHUVKXQXRN
      IZXIUVLXLXSXIUUOUVLUUQXPXQWHOVPXSUVKUVLWPXMXNXRXQNVQSVSXQCUBDVTWAYHUVGCXQ
      NIZUVHXMUVGUVMTZXSXLUVNXIXJUVNXKXJUVFUVMUBQXJUVDQFZKUVMUVFCUVENIZXJUVBUVO
      UVPUVCCUVDWCWGXQUVECNVQWDWEPSPXMUVMUVHTXSXMUURUVMYAXMUURUVMKZCXPXQUGHZNIZ
      YAXMUVBYRUUNJZUVQUVSTXMUVBUUOKUVTXIUUOXLUVBUUQXJUVBXKUVCPWIUVBYRUUNWJWQCX
      PXQWKOXIUVSYATXLXIUVSYAXIUVRXTCNXIUVRBBUCHZXTXIABBXFXGYCXHYFWLXGXFYDXHYGW
      MZUWBWNXGXFUWAXTMXHXGXTUWAXGBYGWOWRWMWSWTXAPXBXCPXBXDXBXDXEVI $.
  $}

  ${
    pcaddlem.1 $e |- ( ph -> P e. Prime ) $.
    pcaddlem.2 $e |- ( ph -> A = ( ( P ^ M ) x. ( R / S ) ) ) $.
    pcaddlem.3 $e |- ( ph -> B = ( ( P ^ N ) x. ( T / U ) ) ) $.
    pcaddlem.4 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    pcaddlem.5 $e |- ( ph -> ( R e. ZZ /\ -. P || R ) ) $.
    pcaddlem.6 $e |- ( ph -> ( S e. NN /\ -. P || S ) ) $.
    pcaddlem.7 $e |- ( ph -> ( T e. ZZ /\ -. P || T ) ) $.
    pcaddlem.8 $e |- ( ph -> ( U e. NN /\ -. P || U ) ) $.
    $( Lemma for ~ pcadd .  The original numbers ` A ` and ` B ` have been
       decomposed using the prime count function as ` ( P ^ M ) x. ( R / S ) `
       where ` R , S ` are both not divisible by ` P ` and
       ` M = ( P pCnt A ) ` , and similarly for ` B ` .  (Contributed by Mario
       Carneiro, 9-Sep-2014.) $)
    pcaddlem $p |- ( ph -> M <_ ( P pCnt ( A + B ) ) ) $=
      ( co cc0 caddc cpc cle wbr wceq oveq2 breq2d wne cdiv cmin cexp cmul wcel
      wa cr cn0 cuz cfv cz eluzel2 syl zred adantr cprime cn prmnn nncnd nnne0d
      eluzelz zsubcld expclzd cdvds wn simpld zcnd divassd oveq2d mulcld eqtr3d
      divadddivd nnzd zmulcld uznn0sub zaddcld mul01d eqeq1d syl5ibrcom necon3d
      nnexpcld divcld adddid pncan3d cc expaddz syl22anc oveq1d mulassd oveq12d
      3eqtrd eqtr4d 3imtr3d nnmulcld div0d oveq1 syld imp pcdiv syl121anc pcmul
      neeq1d syl122anc simprd wb pceq0 syl2anc mpbird 00id eqtrd pczcl syl12anc
      eqtrdi nn0cnd subid1d eqeltrd nn0addge1 cq qexpclz syl3anc expne0d qmulcl
      nnq znq qaddcl sylbird pcqmul pcid 3eqtr3d breqtrrd cpnf cxr pc0 pm2.61ne
      rexrd pnfge ) AIDBCUASZUBSZUCUDIDTUBSZUCUDUUETUUETUEUUFUUGIUCUUETDUBUFUGA
      UUETUHZUNZIIDEFUISZDJIUJSZUKSZGHUISZULSZUASZUBSZUASZUUFUCUUIIUOUMZUUPUPUM
      IUUQUCUDAUURUUHAIAJIUQURUMZIUSUMZNIJUTVAZVBZVCUUIUUPDEHULSZUULGULSZFULSZU
      ASZUBSZUPUUIUUPDUVFFHULSZUISZUBSZUVGDUVHUBSZUJSZUVGAUUPUVJUEUUHAUUOUVIDUB
      AUUJUVDHUISZUASUUOUVIAUVMUUNUUJUAAUULGHADUUKADADVDUMZDVEUMZKDVFVAZVGZADUV
      PVHZAJIAUUSJUSUMNIJVIVAZUVAVJZVKZAGAGUSUMZDGVLUDVMQVNZVOZAHAHVEUMZDHVLUDV
      MZRVNZVGZAHUWGVHZVPVQAEFUVDHAEAEUSUMZDEVLUDVMOVNZVOZAFAFVEUMZDFVLUDVMZPVN
      ZVGZAUULGUWAUWDVRUWHAFUWOVHZUWIVTVSZVQVCUUIUVNUVFUSUMZUVFTUHZUVHVEUMZUVJU
      VLUEAUVNUUHKVCZAUWSUUHAUVCUVEAEHUWKAHUWGWAZWBAUVDFAUULGAUULADUUKUVPAUUSUU
      KUPUMNIJWCVAWIWAUWCWBAFUWOWAZWBWDVCZAUUHUWTAUUHUVITUHZUWTADIUKSZUUOULSZTU
      HZUUOTUHZUUHUXFAUUOTUXHTAUXHTUEUUOTUEZUXGTULSZTUEAUXGADIUVQUVRUVAVKZWEUXK
      UXHUXLTUUOTUXGULUFWFWGWHZAUXHUUETAUXHUXGUUJULSZUXGUUNULSZUASUUEAUXGUUJUUN
      UXMAEFUWLUWPUWQWJAUULUUMUWAAGHUWDUWHUWIWJZVRWKABUXOCUXPUALACDJUKSZUUMULSU
      XGUULULSZUUMULSUXPMAUXRUXSUUMULADIUUKUASZUKSZUXRUXSAUXTJDUKAIJAIUVAVOAJUV
      SVOWLVQADWMUMDTUHZUUTUUKUSUMZUYAUXSUEUVQUVRUVAUVTDIUUKWNWOVSWPAUXGUULUUMU
      XMUWAUXQWQWSWRWTZXJZAUUOUVITUWRXJXAAUVFTUVITAUVITUEUVFTUEZTUVHUISZTUEAUVH
      AUVHAFHUWOUWGXBZVGAUVHUYHVHXCUYFUVIUYGTUVFTUVHUIXDWFWGWHXEXFZAUXAUUHUYHVC
      UVFUVHDXGXHUUIUVLUVGTUJSZUVGAUVLUYJUEUUHAUVKTUVGUJAUVKDFUBSZDHUBSZUASZTAU
      VNFUSUMFTUHHUSUMHTUHUVKUYMUEKUXDUWQUXCUWIFHDXIXKAUYMTTUASTAUYKTUYLTUAAUYK
      TUEZUWNAUWMUWNPXLAUVNUWMUYNUWNXMKUWODFXNXOXPAUYLTUEZUWFAUWEUWFRXLAUVNUWEU
      YOUWFXMKUWGDHXNXOXPWRXQYAXRVQVCUUIUVGUUIUVGUUIUVNUWSUWTUVGUPUMUXBUXEUYIDU
      VFXSXTZYBYCXRWSUYPYDIUUPYEXOUUIDUXHUBSZDUXGUBSZUUPUASZUUFUUQUUIUVNUXGYFUM
      ZUXGTUHZUUOYFUMZUXJUYQUYSUEUXBAUYTUUHADYFUMZUYBUUTUYTAUVOVUCUVPDYKVAZUVRU
      VADIYGYHVCAVUAUUHADIUVQUVRUVAYIVCAVUBUUHAUUJYFUMZUUNYFUMZVUBAUWJUWMVUEUWK
      UWOEFYLXOAUULYFUMZUUMYFUMZVUFAVUCUYBUYCVUGVUDUVRUVTDUUKYGYHAUWBUWEVUHUWCU
      WGGHYLXOUULUUMYJXOUUJUUNYMXOVCAUUHUXJAUUHUXIUXJUYEUXNYNXFUXGUUODYOXKAUYQU
      UFUEUUHAUXHUUEDUBUYDVQVCAUYSUUQUEUUHAUYRIUUPUAAUVNUUTUYRIUEKUVAIDYPXOWPVC
      YQYRAIYSUUGUCAIYTUMIYSUCUDAIUVBUUCIUUDVAAUVNUUGYSUEKDUUAVAYRUUB $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w x y z P $.  $d w x y z ph $.
    pcadd.1 $e |- ( ph -> P e. Prime ) $.
    pcadd.2 $e |- ( ph -> A e. QQ ) $.
    pcadd.3 $e |- ( ph -> B e. QQ ) $.
    pcadd.4 $e |- ( ph -> ( P pCnt A ) <_ ( P pCnt B ) ) $.
    $( An inequality for the prime count of a sum.  This is the source of the
       ultrametric inequality for the p-adic metric.  (Contributed by Mario
       Carneiro, 9-Sep-2014.) $)
    pcadd $p |- ( ph -> ( P pCnt A ) <_ ( P pCnt ( A + B ) ) ) $=
      ( cdiv co wceq cn cz cpc wbr wcel wa cc0 oveq2d cmul vx vy vz vw cv caddc
      wrex cle cq elq sylib wi cprime cxr pcxcl syl2anc xrleidd adantr oveq2 cc
      qcn syl addid1d sylan9eqr breqtrrd a1d wne reeanv ad3antrrr prmnn simplrl
      cexp cn0 simprrl wn cpnf pc0 cr simpllr pcqcl syl12anc zred ltpnf wb rexr
      clt pnfxr xrltnle sylancl eqnbrtrd breq1d syl5ibcom necon3bd mpd eqnetrrd
      mpbid simprll nncnd nnne0d div0d oveq1 eqeq1d syl5ibrcom necon3d nnexpcld
      pczcl mulcomd zcnd pccld divdivdivd cmin pcdiv eqtrd nn0zd expsubd oveq1d
      3eqtrd 3eqtr4d expclzd expne0d divcan2d eqtr2d simplrr cdvds pczdvds nnzd
      syl121anc dvdsval2 syl3anc pczndvds2 pcdvds nnred nngt0d divgt0d sylanbrc
      jca elnnz pcndvds2 rexlimdvva syl5bir simprrr simprlr cuz cfv eluz mpbird
      pcaddlem expr pm2.61dane mp2and ) ABUAUEZUBUEZIJZKZUBLUGZUAMUGZCUCUEZUDUE
      ZIJZKZUDLUGZUCMUGZDBNJZDBCUFJZNJZUHOZABUIPZUUPFUAUBBUJUKACUIPZUVBGUCUDCUJ
      UKAUUPUVBQZUVFULCRACRKZQZUVFUVIUVKUVCUVCUVEUHAUVCUVCUHOUVJAUVCADUMPZUVGUV
      CUNPEFDBUOUPUQURUVKUVDBDNUVJAUVDBRUFJBCRBUFUSABAUVGBUTPZFBVAZVBVCVDSVEVFU
      VIUUOUVAQZUCMUGUAMUGACRVGZQZUVFUUOUVAUAUCMMVHUVQUVOUVFUAUCMMUVOUUNUUTQZUD
      LUGUBLUGUVQUUKMPZUUQMPZQZQZUVFUUNUUTUBUDLLVHUWBUVRUVFUBUDLLUWBUULLPZUURLP
      ZQZUVRUVFUWBUWEUVRQZQZBCDUUKDDUUKNJZVLJZIJZUULDDUULNJZVLJZIJZUUQDDUUQNJZV
      LJZIJZUURDDUURNJZVLJZIJZUVCDCNJZAUVLUVPUWAUWFEVIZUWGDUVCVLJZUWJUWMIJZTJUX
      BBUXBIJZTJBUWGUXCUXDUXBTUWGUUKUWLTJZUWIUULTJZIJUXEUULUWITJZIJZUXCUXDUWGUX
      FUXGUXEIUWGUWIUULUWGUWIUWGDUWHUWGUVLDLPUXADVJVBZUWGUVLUVSUUKRVGZUWHVMPUXA
      UVQUVSUVTUWFVKZUWGUUMRVGUXJUWGBUUMRUWBUWEUUNUUTVNZUWGDRNJZUWTUHOZVOBRVGZU
      WGUXMVPUWTUHUWGUVLUXMVPKUXADVQVBUWGUWTVRPZVPUWTUHOVOZUWGUWTUWGUVLUVHUVPUW
      TMPZUXAAUVHUVPUWAUWFGVIZAUVPUWAUWFVSZDCVTWAZWBUXPUWTVPWFOZUXQUWTWCUXPUWTU
      NPVPUNPUYBUXQWDUWTWEWGUWTVPWHWIWPVBWJUWGUXNBRUWGUVCUWTUHOZBRKZUXNAUYCUVPU
      WAUWFHVIZUYDUVCUXMUWTUHBRDNUSWKWLWMWNZWOUWGUUKRUUMRUWGUUMRKUUKRKZRUULIJZR
      KUWGUULUWGUULUWBUWCUWDUVRWQZWRZUWGUULUYIWSZWTUYGUUMUYHRUUKRUULIXAXBXCXDWN
      ZDUUKXFWAZXEZWRZUYJXGSUWGUUKUWIUULUWLUWGUUKUXKXHZUYOUYJUWGUWLUWGDUWKUXIUW
      GDUULUXAUYIXIZXEZWRZUWGUWIUYNWSZUWGUWLUYRWSZUYKXJUWGUXDBUWIUWLIJZIJUUMVUB
      IJUXHUWGUXBVUBBIUWGUXBDUWHUWKXKJZVLJVUBUWGUVCVUCDVLUWGUVCDUUMNJZVUCUWGBUU
      MDNUXLSUWGUVLUVSUXJUWCVUDVUCKUXAUXKUYLUYIUUKUULDXLYGXMSUWGDUWHUWKUWGDUXIW
      RZUWGDUXIWSZUWGUWKUYQXNUWGUWHUYMXNXOXMSUWGBUUMVUBIUXLXPUWGUUKUULUWIUWLUYP
      UYJUYOUYSUYKVUAUYTXJXQXRSUWGBUXBUWGUVGUVMAUVGUVPUWAUWFFVIZUVNVBUWGDUVCVUE
      VUFUWGUVLUVGUXOUVCMPZUXAVUGUYFDBVTWAZXSUWGDUVCVUEVUFVUIXTYAYBUWGDUWTVLJZU
      WPUWSIJZTJVUJCVUJIJZTJCUWGVUKVULVUJTUWGUUQUWRTJZUWOUURTJZIJVUMUURUWOTJZIJ
      ZVUKVULUWGVUNVUOVUMIUWGUWOUURUWGUWOUWGDUWNUXIUWGUVLUVTUUQRVGZUWNVMPUXAUVQ
      UVSUVTUWFYCZUWGUUSRVGVUQUWGCUUSRUWBUWEUUNUUTUUAZUXTWOUWGUUQRUUSRUWGUUSRKU
      UQRKZRUURIJZRKUWGUURUWGUURUWBUWCUWDUVRUUBZWRZUWGUURVVBWSZWTVUTUUSVVARUUQR
      UURIXAXBXCXDWNZDUUQXFWAZXEZWRZVVCXGSUWGUUQUWOUURUWRUWGUUQVURXHZVVHVVCUWGU
      WRUWGDUWQUXIUWGDUURUXAVVBXIZXEZWRZUWGUWOVVGWSZUWGUWRVVKWSZVVDXJUWGVULCUWO
      UWRIJZIJUUSVVOIJVUPUWGVUJVVOCIUWGVUJDUWNUWQXKJZVLJVVOUWGUWTVVPDVLUWGUWTDU
      USNJZVVPUWGCUUSDNVUSSUWGUVLUVTVUQUWDVVQVVPKUXAVURVVEVVBUUQUURDXLYGXMSUWGD
      UWNUWQVUEVUFUWGUWQVVJXNUWGUWNVVFXNXOXMSUWGCUUSVVOIVUSXPUWGUUQUURUWOUWRVVI
      VVCVVHVVLVVDVVNVVMXJXQXRSUWGCVUJUWGUVHCUTPUXSCVAVBUWGDUWTVUEVUFUYAXSUWGDU
      WTVUEVUFUYAXTYAYBUWGUWTUVCUUCUUDPZUYCUYEUWGVUHUXRVVRUYCWDVUIUYAUVCUWTUUEU
      PUUFUWGUWJMPZDUWJYDOVOZUWGUWIUUKYDOZVVSUWGUVLUVSUXJVWAUXAUXKUYLDUUKYEWAUW
      GUWIMPUWIRVGUVSVWAVVSWDUWGUWIUYNYFUYTUXKUWIUUKYHYIWPUWGUVLUVSUXJVVTUXAUXK
      UYLDUUKYJWAYPUWGUWMLPZDUWMYDOVOZUWGUWMMPZRUWMWFOVWBUWGUWLUULYDOZVWDUWGUVL
      UWCVWEUXAUYIDUULYKUPUWGUWLMPUWLRVGUULMPVWEVWDWDUWGUWLUYRYFVUAUWGUULUYIYFU
      WLUULYHYIWPUWGUULUWLUWGUULUYIYLUWGUWLUYRYLUWGUULUYIYMUWGUWLUYRYMYNUWMYQYO
      UWGUVLUWCVWCUXAUYIDUULYRUPYPUWGUWPMPZDUWPYDOVOZUWGUWOUUQYDOZVWFUWGUVLUVTV
      UQVWHUXAVURVVEDUUQYEWAUWGUWOMPUWORVGUVTVWHVWFWDUWGUWOVVGYFVVMVURUWOUUQYHY
      IWPUWGUVLUVTVUQVWGUXAVURVVEDUUQYJWAYPUWGUWSLPZDUWSYDOVOZUWGUWSMPZRUWSWFOV
      WIUWGUWRUURYDOZVWKUWGUVLUWDVWLUXAVVBDUURYKUPUWGUWRMPUWRRVGUURMPVWLVWKWDUW
      GUWRVVKYFVVNUWGUURVVBYFUWRUURYHYIWPUWGUURUWRUWGUURVVBYLUWGUWRVVKYLUWGUURV
      VBYMUWGUWRVVKYMYNUWSYQYOUWGUVLUWDVWJUXAVVBDUURYRUPYPUUGUUHYSYTYSYTUUIUUJ
      $.
  $}

  ${
    pcadd2.1 $e |- ( ph -> P e. Prime ) $.
    pcadd2.2 $e |- ( ph -> A e. QQ ) $.
    pcadd2.3 $e |- ( ph -> B e. QQ ) $.
    pcadd2.4 $e |- ( ph -> ( P pCnt A ) < ( P pCnt B ) ) $.
    $( The inequality of ~ pcadd becomes an equality when one of the factors
       has prime count strictly less than the other.  (Contributed by Mario
       Carneiro, 16-Jan-2015.)  (Revised by Mario Carneiro, 26-Jun-2015.) $)
    pcadd2 $p |- ( ph -> ( P pCnt A ) = ( P pCnt ( A + B ) ) ) $=
      ( cpc co caddc wcel cq cxr pcxcl syl2anc cle wbr cc0 oveq2d cprime qaddcl
      xrltled pcadd cneg qnegcl syl clt wn wb xrltnle mpbid adantr pcneg breq1d
      wa wceq biimpar ex qcn negcld add12d addcomd negidd eqtrd addid1d breq12d
      cc 3eqtrd sylibd mtod mpbird breqtrrd addassd breqtrd xrletrid ) ADBIJZDB
      CKJZIJZADUALZBMLZVQNLZEFDBOPZAVTVRMLZVSNLZEAWACMLZWDFGBCUBPZDVROPZABCDEFG
      AVQDCIJZWCAVTWFWINLZEGDCOPZHUCUDAVSDVRCUEZKJZIJVQQAVRWLDEWGAWFWLMLZGCUFUG
      ZAVSWIDWLIJZQAVSWIWHWKAVSWIUHRZWIVSQRZUIZAWRWIVQQRZAVQWIUHRZWTUIZHAWBWJXA
      XBUJWCWKVQWIUKPULAWRWPDWLVRKJZIJZQRZWTAWRXEAWRUPWLVRDAVTWREUMAWNWRWOUMAWD
      WRWGUMAWPVSQRWRAWPWIVSQAVTWFWPWIUQEGCDUNPZUOURUDUSAWPWIXDVQQXFAXCBDIAXCBW
      LCKJZKJBSKJZBAWLBCACAWFCVHLGCUTUGZVAZAWABVHLFBUTUGZXIVBAXGSBKAXGCWLKJZSAW
      LCXJXIVCACXIVDZVETABXKVFZVITVGVJVKAWEWJWQWSUJWHWKVSWIUKPVLUCXFVMUDAWMBDIA
      WMBXLKJXHBABCWLXKXIXJVNAXLSBKXMTXNVITVOVP $.
  $}

  ${
    $d k m p A $.  $d k n p B $.  $d k p F $.  $d p M $.  $d p N $.
    $d k n m p P $.  $d k p ph $.
    pcmpt.1 $e |- F = ( n e. NN |-> if ( n e. Prime , ( n ^ A ) , 1 ) ) $.
    pcmpt.2 $e |- ( ph -> A. n e. Prime A e. NN0 ) $.
    $( Closure for the prime power map.  (Contributed by Mario Carneiro,
       12-Mar-2014.) $)
    pcmptcl $p |- ( ph -> ( F : NN --> NN /\
                    seq 1 ( x. , F ) : NN --> NN ) ) $=
      ( vk vp cn wf cmul c1 cv cprime wcel co wral wi wa a1d cseq cexp cif wceq
      pm2.27 iftrue adantr prmnn nnexpcl sylan eqeltrd ex syld iffalse eqeltrdi
      cn0 1nn pm2.61i ralimi2 syl fmpt sylib nnuz 1zzd ffvelrnda nnmulcl adantl
      wn seqf jca ) AIIDJZIIKDLUAJACMZNOZVLBUBPZLUCZIOZCIQZVKABUPOZCNQVQFVRVPCN
      IVMVRRZVPVLIOZVMVSVPRVMVSVRVPVMVRUEVMVRVPVMVRSVOVNIVMVOVNUDVRVMVNLUFUGVMV
      TVRVNIOVLUHVLBUIUJUKULUMVMVHZVPVSWAVOLIVMVNLUNUQUOTURTUSUTCIIVODEVAVBZAGH
      KIDLIVCAVDAIIGMZDWBVEWCIOHMZIOSWCWDKPIOAWCWDVFVGVIVJ $.

    pcmpt.3 $e |- ( ph -> N e. NN ) $.
    ${
      pcmpt.4 $e |- ( ph -> P e. Prime ) $.
      pcmpt.5 $e |- ( n = P -> A = B ) $.
      $( Construct a function with given prime count characteristics.
         (Contributed by Mario Carneiro, 12-Mar-2014.) $)
      pcmpt $p |- ( ph -> ( P pCnt ( seq 1 ( x. , F ) ` N ) ) =
                          if ( P <_ N , B , 0 ) ) $=
        ( cn wcel c1 cpc co cle cc0 wceq vp vk cmul cseq cfv wbr cv caddc fveq2
        cif wi oveq2d breq2 ifbid eqeq12d imbi2d cprime cz seq1 ax-mp 1nn 1nprm
        cexp eleq1 mtbiri iffalsed 1ex fvmpt eqtri oveq2i pc1 eqtrid clt prmgt1
        1z wn cr wb 1re c2 cuz prmuz2 eluzelre syl ltnle mpbid eqtr4d wa adantr
        sylancr wf pcmptcl simpld peano2nn ffvelrn syl2an adantrr pccld addid2d
        nn0cnd csb cvv ad2antrl ovex ifex csbex fvmpts nfv nfcv nfcsb1v nfov id
        nfif csbeq1a oveq12d csbief eqtrdi sylancl simprr eqeltrd iftrued eqtrd
        ifbieq1d csbeq1d 3eqtrd cn0 eleq1d sylc syl2anc simpr wne nnz nnne0 jca
        syl3anc nnred expr cdvds ad2antrr sylan9eq nfcvd csbiegf pcidlem eqeq1d
        wral rspcv oveq1 syl5ibrcom nnre ltp1 peano2re mpdan breq1d eqeq2d nnuz
        mtbid eleqtrdi seqp1 simprd ffvelrnda pcmul prmnn leidd 3imtr4d simplrr
        breqtrrd necomd nfel1 rspc prmdvdsexpr necon3ad mpd iftrue breq2d pceq0
        mtbird mpbird iffalse pm2.61dan addid1d ltlend simprl nnleltp1 biantrud
        3bitr4rd biimprd pm2.61dne expcom a2d nnind mpcom ) GMNADGUCFOUDZUEZPQZ
        DGRUFZCSUJZTZJADUAUGZUWLUEZPQZDUWRRUFZCSUJZTZUKADOUWLUEZPQZDORUFZCSUJZT
        ZUKADUBUGZUWLUEZPQZDUXIRUFZCSUJZTZUKADUXIOUHQZUWLUEZPQZDUXORUFZCSUJZTZU
        KAUWQUKUAUBGUWROTZUXCUXHAUYAUWTUXEUXBUXGUYAUWSUXDDPUWROUWLUIULUYAUXAUXF
        CSUWRODRUMUNUOUPUWRUXITZUXCUXNAUYBUWTUXKUXBUXMUYBUWSUXJDPUWRUXIUWLUIULU
        YBUXAUXLCSUWRUXIDRUMUNUOUPUWRUXOTZUXCUXTAUYCUWTUXQUXBUXSUYCUWSUXPDPUWRU
        XOUWLUIULUYCUXAUXRCSUWRUXODRUMUNUOUPUWRGTZUXCUWQAUYDUWTUWNUXBUWPUYDUWSU
        WMDPUWRGUWLUIULUYDUXAUWOCSUWRGDRUMUNUOUPADUQNZUXHKUYEUXESUXGUYEUXEDOPQZ
        SUXDODPUXDOFUEZOOURNUXDUYGTVOUCFOUSUTOMNUYGOTVAEOEUGZUQNZUYHBVCQZOUJZOM
        FUYHOTZUYIUYJOUYLUYIOUQNVBUYHOUQVDVEVFHVGVHUTVIVJDVKZVLUYEUXFCSUYEODVMU
        FZUXFVPZDVNUYEOVQNDVQNZUYNUYOVRVSUYEDVTWAUENUYPDWBVTDWCWDODWEWJWFVFWGWD
        UXIMNZAUXNUXTAUYQUXNUXTUKZAUYQWHZUYRUXODAUYQUXODTZUYRAUYQUYTWHZWHZUXKST
        ZUXKDUXOFUEZPQZUHQZCTZUXNUXTVUBVUGVUCSVUEUHQZCTVUBVUHVUEDDCVCQZPQZCVUBV
        UEVUBVUEVUBDVUDAUYEVUAKWIZAUYQVUDMNZUYTAMMFWKZUXOMNZVULUYQAVUMMMUWLWKZA
        BEFHIWLZWMZUXIWNZMMUXOFWOZWPZWQWRWTWSVUBVUDVUIDPVUBVUDUXOUQNZUXOEUXOBXA
        ZVCQZOUJZVVCVUIVUBVUNEUXOUYKXAZXBNZVUDVVDTZUYQVUNAUYTVURXCEUXOUYKUYIUYJ
        OUYHBVCXDVGXEXFZVUNVVFWHVUDVVEVVDEUXOUYKMFXBHXGEUXOUYKVVDUXIOUHXDVVAEVV
        COVVAEXHEUXOVVBVCEUXOXIEVCXIEUXOBXJZXKEOXIXMUYHUXOTZUYIVVAUYJVVCOUYHUXO
        UQVDVVJUYHUXOBVVBVCVVJXLEUXOBXNZXOYCXPXQZXRVUBVVAVVCOVUBUXODUQAUYQUYTXS
        ZVUKXTYAVUBUXODVVBCVCVVMVUBVVBEDBXAZCVUBEUXODBVVMYDVUBUYEVVNCTVUKEDBCUQ
        UYEECUUALUUBWDYBXOYEULVUBUYECYFNZVUJCTVUKAVVOVUAAUYEBYFNZEUQUUEZVVOKIVV
        PVVOEDUQUYHDTBCYFLYGUUFYHWICDUUCYIYEVUCVUFVUHCUXKSVUEUHUUGUUDUUHVUBUXMS
        UXKVUBUXLCSVUBUXOUXIRUFZUXLVUBUXIVQNZVVRVPZUYQVVSAUYTUXIUUIXCVVSUXIUXOV
        MUFZVVTUXIUUJVVSUXOVQNVWAVVTVRUXIUUKUXIUXOWEUULWFWDVUBUXODUXIRVVMUUMUUP
        VFUUNVUBUXQVUFUXSCAUYQUXQVUFTZUYTUYSUXQDUXJVUDUCQZPQZVUFUYSUXPVWCDPUYSU
        XIOWAUEZNUXPVWCTUYSUXIMVWEAUYQYJUUOUUQUCFOUXIUURWDULUYSUYEUXJURNZUXJSYK
        ZWHZVUDURNZVUDSYKZWHZVWDVUFTAUYEUYQKWIUYSUXJMNZVWHAMMUXIUWLAVUMVUOVUPUU
        SUUTZVWLVWFVWGUXJYLUXJYMYNWDUYSVULVWKVUTVULVWIVWJVUDYLVUDYMYNWDUXJVUDDU
        VAYOYBZWQVUBUXRCSVUBDDUXORVUBDAUYPVUAADAUYEDMNZKDUVBWDZYPWIUVCVVMUVFYAU
        OUVDYQAUYQUXODYKZUYRAUYQVWQWHZWHZUXTUXNVWSUXQUXKUXSUXMVWSUXQVUFUXKSUHQU
        XKAUYQVWBVWQVWNWQVWSVUESUXKUHVWSVVAVUESTZVWSVVAWHZVWTDVUDYRUFZVPZVXAVXB
        DVVCYRUFZVXADUXOYKVXDVPVXAUXODAUYQVWQVVAUVEUVGVXAVXDDUXOVXAUYEVVAVVBYFN
        ZVXDDUXOTUKAUYEVWRVVAKYSZVWSVVAYJZVXAVVAVVQVXEVXGAVVQVWRVVAIYSVVPVXEEUX
        OUQEVVBYFVVIUVHVVJBVVBYFVVKYGUVIYHDUXOVVBUVJYOUVKUVLVXAVUDVVCDYRVWSVVAV
        UDVVDVVCVWSVUNVVFVVGUYQVUNAVWQVURXCZVVHVVLXRZVVAVVCOUVMYTUVNUVPVXAUYEVU
        LVWTVXCVRVXFVWSVULVVAVWSVUMVUNVULAVUMVWRVUQWIVXHVUSYIWIDVUDUVOYIUVQVWSV
        VAVPZWHZVUEUYFSVXKVUDODPVWSVXJVUDVVDOVXIVVAVVCOUVRYTULAUYFSTZVWRVXJAUYE
        VXLKUYMWDYSYBUVSULVWSUXKVWSUXKVWSDUXJAUYEVWRKWIAUYQVWLVWQVWMWQWRWTUVTYE
        VWSUXRUXLCSVWSDUXOVMUFZUXRVWQWHUXLUXRVWSDUXOVWSDAVWOVWRVWPWIZYPVWSUXOVX
        HYPUWAVWSVWOUYQUXLVXMVRVXNAUYQVWQUWBDUXIUWCYIVWSVWQUXRAUYQVWQXSUWDUWEUN
        UOUWFYQUWGUWHUWIUWJUWK $.

      pcmpt2.6 $e |- ( ph -> M e. ( ZZ>= ` N ) ) $.
      $( Dividing two prime count maps yields a number with all dividing primes
         confined to an interval.  (Contributed by Mario Carneiro,
         14-Mar-2014.) $)
      pcmpt2 $p |- ( ph -> ( P pCnt ( ( seq 1 ( x. , F ) ` M ) /
     ( seq 1 ( x. , F ) ` N ) ) ) = if ( ( P <_ M /\ -. P <_ N ) , B , 0 ) ) $=
        ( co cmin cc0 wcel cn wceq cmul c1 cseq cfv cdiv cpc cle wbr cif cprime
        wn wa cz wne wf pcmptcl simprd cuz eluznn syl2anc ffvelrnd nnne0d pcdiv
        nnzd syl121anc pcmpt oveq12d cn0 cv eleq1d rspcdva nn0cnd subidd adantr
        prmnn syl nnred simpr eluzle letrd iftrued iftrue adantl nsyl3 iffalsed
        cr 3eqtr4d iffalse oveq2d ifcl sylancl subid1d sylan9eqr biantrud ifbid
        cc 0cn eqtrd pm2.61dan 3eqtrd ) ADGUAFUBUCZUDZHXAUDZUEOUFOZDXBUFOZDXCUF
        OZPOZDGUGUHZCQUIZDHUGUHZCQUIZPOZXHXJUKZULZCQUIZADUJRZXBUMRXBQUNXCSRXDXG
        TLAXBASSGXAASSFUOSSXAUOABEFIJUPUQZAHSRGHURUDRZGSRKNGHUSUTZVAZVDAXBXTVBA
        SSHXAXQKVAXBXCDVCVEAXEXIXFXKPABCDEFGIJXSLMVFABCDEFHIJKLMVFVGAXJXLXOTAXJ
        ULZCCPOZQXLXOAYBQTXJACACABVHRCVHREUJDEVIDTBCVHMVJJLVKVLZVMVNYAXICXKCPYA
        XHCQYADHGADWFRXJADAXPDSRLDVOVPVQVNAHWFRXJAHKVQVNAGWFRXJAGXSVQVNAXJVRZAH
        GUGUHZXJAXRYENHGVSVPVNVTWAXJXKCTAXJCQWBWCVGYAXNCQXNXJYAXHXMVRYDWDWEWGAX
        MULZXLXIXOXMAXLXIQPOXIXMXKQXIPXJCQWHWIAXIACWPRQWPRXIWPRYCWQXHCQWPWJWKWL
        WMYFXHXNCQYFXMXHAXMVRWNWOWRWSWT $.
    $}

    $d p F $.  $d p ph $.  $d p A $.  $d p N $.
    pcmptdvds.3 $e |- ( ph -> M e. ( ZZ>= ` N ) ) $.
    $( The partial products of the prime power map form a divisibility chain.
       (Contributed by Mario Carneiro, 12-Mar-2014.) $)
    pcmptdvds $p |- ( ph -> ( seq 1 ( x. , F ) ` N ) ||
                            ( seq 1 ( x. , F ) ` M ) ) $=
      ( vp vm c1 wbr wcel cc0 cle cprime cn0 cn cmul cseq cfv cdvds cdiv co cpc
      cz cv wral wa csb cif nfv nfcsb1v nfel1 weq csbeq1a eleq1d cbvralw csbeq1
      wn sylib rspcv mpan9 nn0ge0d 0le0 ifboth sylancl cexp cmpt nfcv nfov nfif
      breq2 eleq1w id oveq12d ifbieq1d cbvmpt eqtri adantr cuz pcmpt2 ralrimiva
      simpr breqtrrd cq pcmptcl simprd eluznn syl2anc ffvelrnd nnzd znq pcz syl
      wb wf mpbird wne nnne0d dvdsval2 syl3anc ) AFUADMUBZUCZEXEUCZUDNZXGXFUEUF
      ZUHOZAXJPKUIZXIUGUFZQNZKRUJZAXMKRAXKROZUKZPXKEQNXKFQNVBUKZCXKBULZPUMZXLQX
      PPXRQNZPPQNZPXSQNZXPXRACLUIZBULZSOZLRUJZXOXRSOZABSOZCRUJYFHYHYECLRYHLUNCY
      DSCYCBUOZUPCLUQZBYDSCYCBURZUSUTVCZYEYGLXKRLKUQYDXRSCYCXKBVAZUSVDVEVFVGXQX
      TYAYBXRPXRXSPQVOPXSPQVOVHVIXPYDXRXKLDEFDCTCUIZROZYNBVJUFZMUMZVKLTYCROZYCY
      DVJUFZMUMZVKGCLTYQYTLYQVLYRCYSMYRCUNCYCYDVJCYCVLCVJVLYIVMCMVLVNYJYOYRYPYS
      MCLRVPYJYNYCBYDVJYJVQYKVRVSVTWAAYFXOYLWBAFTOZXOIWBAXOWFYMAEFWCUCOZXOJWBWD
      WGWEAXIWHOZXJXNWRAXGUHOZXFTOUUCAXGATTEXEATTDWSTTXEWSABCDGHWIWJZAUUAUUBETO
      IJEFWKWLWMWNZATTFXEUUEIWMZXGXFWOWLXIKWPWQWTAXFUHOXFPXAUUDXHXJWRAXFUUGWNAX
      FUUGXBUUFXFXGXCXDWT $.
  $}

  ${
    $d p F $.  $d n p N $.
    pcprod.1 $e |- F = ( n e. NN |->
                         if ( n e. Prime , ( n ^ ( n pCnt N ) ) , 1 ) ) $.
    $( The product of the primes taken to their respective powers reconstructs
       the original number.  (Contributed by Mario Carneiro, 12-Mar-2014.) $)
    pcprod $p |- ( N e. NN -> ( seq 1 ( x. , F ) ` N ) = N ) $=
      ( vp cn wcel wceq cv cpc co cprime wa wbr cc0 cn0 ancoms ralrimiva adantl
      wral cmul c1 cseq cfv cle cif pccl simpr simpl oveq1 pcmpt iftrue iffalse
      wn cdvds cz wi dvdsle sylan con3dimp pceq0 adantr mpbird eqtr4d pm2.61dan
      prmz wb eqtrd wf pcmptcl simprd ffvelrn mpancom nnnn0d nnnn0 pc11 syl2anc
      ) CFGZCUABUBUCZUDZCHZEIZVTJKZWBCJKZHZELTZVRWEELWBLGZVRWEWGVRMZWCWBCUENZWD
      OUFZWDWHAIZCJKZWDWBABCDVRWLPGZALTWGVRWMALWKLGVRWMWKCUGQRZSWGVRUHWGVRUIWKW
      BCJUJUKWHWIWJWDHZWIWOWHWIWDOULSWHWIUNZMZWJOWDWPWJOHWHWIWDOUMSWQWDOHZWBCUO
      NZUNZWHWSWIWGWBUPGVRWSWIUQWBVFWBCURUSUTWHWRWTVGWPWBCVAVBVCVDVEVHQRVRVTPGC
      PGWAWFVGVRVTFFVSVIZVRVTFGVRFFBVIXAVRWLABDWNVJVKFFCVSVLVMVNCVOVTCEVPVQVC
      $.
  $}

  ${
    $d k A $.  $d k B $.
    $( The sum of 1 over a set is the size of the set.  (Contributed by Mario
       Carneiro, 8-Mar-2014.)  (Revised by Mario Carneiro, 20-May-2014.) $)
    sumhash $p |- ( ( B e. Fin /\ A C_ B ) ->
                   sum_ k e. B if ( k e. A , 1 , 0 ) = ( # ` A ) ) $=
      ( cC cfn wcel wss wa c1 csu chash cfv cmul co cv cc0 cif cc wceq ax-1cn
      ssfi fsumconst sylancl wral cuz wo simpr a1i animorlr sumss2 syl21anc cn0
      rgenw hashcl syl nn0cnd mulid1d 3eqtr3d ) BEFZABGZHZAICJZAKLZIMNZBCOAFIPQ
      CJZVCVAAEFZIRFZVBVDSBAUAZTAICUBUCVAUTVGCAUDZBDUELGZUSUFVBVESUSUTUGVIVAVGC
      ATUMUHUSUTVJUIABICDUJUKVAVCVAVCVAVFVCULFVHAUNUOUPUQUR $.
  $}

  $( The difference between the floors of adjacent fractions is either 1 or 0.
     (Contributed by Mario Carneiro, 8-Mar-2014.) $)
  fldivp1 $p |- ( ( M e. ZZ /\ N e. NN ) ->
                  ( ( |_ ` ( ( M + 1 ) / N ) ) - ( |_ ` ( M / N ) ) ) =
                    if ( N || ( M + 1 ) , 1 , 0 ) ) $=
    ( cz wcel wa c1 caddc co wbr cdiv cfl cfv cmin cc0 wceq wb adantr cr adantl
    clt cdvds cif wne nnz nnne0 peano2z dvdsval2 syl2an23an biimpa flid syl cle
    cn nnm1nn0 nn0red nn0ge0d nnre nngt0 divge0 syl22anc ad2antlr ltm1d mulid1d
    cmul nncn breqtrrd 1re a1i ltdivmul syl112anc nndivre mpancom flbi2 syl2anc
    mpbird mpbir2and eqtr4d cc ax-1cn ppncand oveq1d zcnd subcl sylancl divdird
    zcn eqtr3d dividd oveq2d eqtrd fveq2d sylan 1z fladdz 3eqtrrd flcld subaddd
    zre iftrue wn cmo cn0 zmodcl resubcl wo elnn0 sylib ord id dvdsval3 syl2anr
    sylibrd con1d imp jca syl21anc crp nnrp modlt syl2an sylancom modval mulcld
    lttrd sub32d pncan divsubdird divcan3d recnd subeq0ad iffalse pm2.61dan
    mpbid ) ACDZBUMDZEZBAFGHZUAIZYQBJHZKLZABJHZKLZMHZYRFNUBZOYPYREZUUCFUUDUUEUU
    CFOZUUBFGHZYTOZUUEYTYSBFMHZBJHZGHZKLZUUAFGHZKLZUUGUUEYTYSUULUUEYSCDZYTYSOYP
    YRUUOYOBCDBNUCZYNYQCDZYRUUOPBUDBUEZYNUUQYOAUFZQZBYQUGUHUIZYSUJUKUUEUULYSOZN
    UUJULIZUUJFTIZYOUVCYNYRYOUUIRDZNUUIULIBRDZNBTIZUVCYOUUIBUNZUOZYOUUIUVHUPBUQ
    ZBURZUUIBUSUTVAYOUVDYNYRYOUVDUUIBFVDHZTIZYOUUIBUVLTYOBUVJVBYOBBVEZVCVFYOUVE
    FRDZUVFUVGUVDUVMPUVIUVOYOVGVHUVJUVKUUIFBVIVJVOVAUUEUUOUUJRDZUVBUVCUVDEPUVAY
    OUVPYNYRUVEYOUVPUVIUUIBVKVLVAUUJYSVMVNVPVQYPUULUUNOYRYPUUKUUMKYPUUKUUABBJHZ
    GHZUUMYPABGHZBJHZUUKUVRYPYQUUIGHZBJHUVTUUKYPUWAUVSBJYPAFBYNAVRDZYOAWFQZFVRD
    ZYPVSVHZYOBVRDZYNUVNSZVTWAYPYQUUIBYPYQUUTWBZYOUUIVRDZYNYOUWFUWDUWIUVNVSBFWC
    WDSUWGYOUUPYNUURSZWEWGYPABBUWCUWGUWGUWJWEWGYPUVQFUUAGYPBUWGUWJWHWIWJWKQYPUU
    NUUGOZYRYPUUARDZFCDUWKYNARDYOUWLAWRABVKWLZWMUUAFWNWDQWOYPUUFUUHPYRYPYTUUBFY
    PYTYPYSYNYQRDZYOYSRDYNUUQUWNUUSYQWRUKZYQBVKWLWPZWBZYPUUBYPUUAUWMWPWBZUWEWQQ
    VOYRUUDFOYPYRFNWSSVQYPYRWTZEZUUCNUUDUWTUUCNOZYTUUBOZUWTYTYQBXAHZFMHZBJHZGHZ
    KLZYTUUBUWTUXGYTOZNUXEULIZUXEFTIZUWTUXDRDZNUXDULIUVFUVGEZUXIYPUXKUWSYPUXCRD
    UVOUXKYPUXCYNUUQYOUXCXBDZUUSYQBXCWLZUOZVGUXCFXDWDZQUWTUXDUWTUXCUMDZUXDXBDYP
    UWSUXQYPUXQYRYPUXQWTUXCNOZYRYPUXQUXRYPUXMUXQUXRXEUXNUXCXFXGXHYOYOUUQYRUXRPY
    NYOXIUUSBYQXJXKXLXMXNUXCUNUKUPYOUXLYNUWSYOUVFUVGUVJUVKXOVAUXDBUSXPYPUXJUWSY
    PUXJUXDUVLTIZYPUXDBUVLTYPUXDUXCBUXPUXOYOUVFYNUVJSZYPUXCUXOVBYNUWNBXQDZUXCBT
    IYOUWOBXRZYQBXSXTYDYPBUWGVCVFYPUXKUVOUVFUVGUXJUXSPUXPUVOYPVGVHUXTYOUVGYNUVK
    SUXDFBVIVJVOQYPUXHUXIUXJEPZUWSYPYTCDUXERDZUYCUWPYNYOUXKUYDUXPUXDBVKYAZUXEYT
    VMVNQVPUWTUXFUUAKYPUXFUUAOZUWSYPUUAYTMHZUXEOUYFYPUXEABYTVDHZMHZBJHUUAUYHBJH
    ZMHUYGYPUXDUYIBJYPUXDYQFMHZUYHMHZUYIYPUXDYQUYHMHZFMHUYLYPUXCUYMFMYNUWNUYAUX
    CUYMOYOUWOUYBYQBYBXTWAYPYQFUYHUWHUWEYPBYTUWGUWQYCZYEVQYPUYKAUYHMYPUWBUWDUYK
    AOUWCVSAFYFWDWAWJWAYPAUYHBUWCUYNUWGUWJYGYPUYJYTUUAMYPYTBUWQUWGUWJYHWIWOYPUU
    AYTUXEYPUUAUWMYIUWQYPUXEUYEYIWQYMQWKWGYPUXAUXBPUWSYPYTUUBUWQUWRYJQVOUWSUUDN
    OYPYRFNYKSVQYL $.

  $( Lemma for ~ pcfac .  (Contributed by Mario Carneiro, 20-May-2014.) $)
  pcfaclem $p |- ( ( N e. NN0 /\ M e. ( ZZ>= ` N ) /\ P e. Prime ) ->
                   ( |_ ` ( N / ( P ^ M ) ) ) = 0 ) $=
    ( cn0 wcel cuz cfv cprime w3a co cc0 cle wbr c1 clt 3ad2ant1 cr wb 3ad2ant3
    cexp cdiv cfl wceq caddc nn0ge0 nn0re prmnn eluznn0 3adant3 nnexpcld nngt0d
    cn nnred ge0div syl3anc mpbid cmul nn0red eluzle 3ad2ant2 c2 prmuz2 syl2anc
    bernneq3 lelttrd nncnd mulid1d breqtrrd ltdivmul syl112anc mpbird breqtrrdi
    1red 0p1e1 cz wa nndivred 0z flbi sylancl mpbir2and ) CDEZBCFGEZAHEZIZCABTJ
    ZUAJZUBGKUCZKWGLMZWGKNUDJZOMZWEKCLMZWIWBWCWLWDCUEPWECQEZWFQEZKWFOMZWLWIRWBW
    CWMWDCUFPZWEWFWEABWDWBAULEWCAUGSWBWCBDEZWDBCUHUIZUJZUMZWEWFWSUKZCWFUNUOUPWE
    WGNWJOWEWGNOMZCWFNUQJZOMZWECWFXCOWECBWFWPWEBWRURWTWCWBCBLMWDCBUSUTWEAVAFGEZ
    WQBWFOMWDWBXEWCAVBSWRABVDVCVEWEWFWEWFWSVFVGVHWEWMNQEWNWOXBXDRWPWEVMWTXACNWF
    VIVJVKVNVLWEWGQEKVOEWHWIWKVPRWECWFWPWSVQVRWGKVSVTWA $.

  ${
    $d k m n x P $.  $d k m x N $.  $d k m M $.  $d k K $.
    $( Calculate the prime count of a factorial.  (Contributed by Mario
       Carneiro, 11-Mar-2014.)  (Revised by Mario Carneiro, 21-May-2014.) $)
    pcfac $p |- ( ( N e. NN0 /\ M e. ( ZZ>= ` N ) /\ P e. Prime ) ->
   ( P pCnt ( ! ` N ) ) = sum_ k e. ( 1 ... M ) ( |_ ` ( N / ( P ^ k ) ) ) ) $=
      ( vm cuz cfv wcel cfa cpc co c1 cdiv cfl csu wceq wa wi cc0 wbr vx vn cn0
      cprime cfz cv cexp caddc fveq2 oveq2d fvoveq1 sumeq2sdv eqeq12d raleqbidv
      wral imbi2d cfn fzfid wss sumz olcs syl 0nn0 elfznn nnnn0d nn0uz eleqtrdi
      adantl simpll pcfaclem mp3an2i sumeq2dv oveq2i pc1 eqtrid adantr 3eqtr4rd
      fac0 ralrimiva nn0z uzid peano2uz 3syl uzss ssralv oveq1 facp1 wne simplr
      cz cmul faccl nnz nnne0 jca nn0p1nn pcmul syl3anc eqtr2d cmin cdvds nn0zd
      cn cif prmnn ad2antlr nnexpcl syl2an fldivp1 syl2anc cle wb pccld syl2anr
      elfzuz elfz5 simpllr nnzd pcdvdsb bitr2d ifbid eqtrd cr peano2re nndivred
      nn0red flcld zcnd fsumsub chash fzfi eluzelz zred c2 prmuz2 bernneq3 syld
      clt wn fsumcl letrid ord nnexpcld dvdsle lenltd sylibd sylbid mt4d eluzle
      nnred letrd eluz mpbird fzss2 sumhash sylancr hashfz1 3eqtr3d recnd mpbid
      subaddd syl5ib ralimdva ex a2d nn0ind imp oveq2 sumeq1d eqeq2d rspcv syl5
      3impib 3com12 ) CDFGZHZDUCHZAUDHZADIGZJKZLCUEKZDABUFZUGKZMKNGZBOZPZUVPUVQ
      UVRUWFUVQUVRQUVTLEUFZUEKZUWDBOZPZEUVOUOZUVPUWFUVQUVRUWKUVRAUAUFZIGZJKZUWH
      UWLUWCMKNGZBOZPZEUWLFGZUOZRUVRASIGZJKZUWHSUWCMKNGZBOZPZESFGZUOZRUVRAUBUFZ
      IGZJKZUWHUXGUWCMKZNGZBOZPZEUXGFGZUOZRUVRAUXGLUHKZIGZJKZUWHUXPUWCMKZNGZBOZ
      PZEUXPFGZUOZRUVRUWKRUAUBDUWLSPZUWSUXFUVRUYEUWQUXDEUWRUXEUWLSFUIUYEUWNUXAU
      WPUXCUYEUWMUWTAJUWLSIUIUJUYEUWHUWOUXBBUWLSUWCNMUKULUMUNUPUWLUXGPZUWSUXOUV
      RUYFUWQUXMEUWRUXNUWLUXGFUIUYFUWNUXIUWPUXLUYFUWMUXHAJUWLUXGIUIUJUYFUWHUWOU
      XKBUWLUXGUWCNMUKULUMUNUPUWLUXPPZUWSUYDUVRUYGUWQUYBEUWRUYCUWLUXPFUIUYGUWNU
      XRUWPUYAUYGUWMUXQAJUWLUXPIUIUJUYGUWHUWOUXTBUWLUXPUWCNMUKULUMUNUPUWLDPZUWS
      UWKUVRUYHUWQUWJEUWRUVOUWLDFUIUYHUWNUVTUWPUWIUYHUWMUVSAJUWLDIUIUJUYHUWHUWO
      UWDBUWLDUWCNMUKULUMUNUPUVRUXDEUXEUVRUWGUXEHZQZUWHSBOZSUXCUXAUYJUWHUQHZUYK
      SPZUYJLUWGURUWHLFGZUSUYLUYMUWHBLUTVAVBUYJUWHUXBSBSUCHUYJUWBUWHHZQUWBUXEHZ
      UVRUXBSPVCUYOUYPUYJUYOUWBUCUXEUYOUWBUWBUWGVDVEZVFVGVHUVRUYIUYOVIAUWBSVJVK
      VLUVRUXASPUYIUVRUXAALJKSUWTLAJVRVMAVNVOVPVQVSUXGUCHZUVRUXOUYDUYRUVRUXOUYD
      RUYRUVRQZUXOUXMEUYCUOZUYDUYSUXPUXNHZUYCUXNUSUXOUYTRUYSUXGWJHZUXGUXNHVUAUY
      RVUBUVRUXGVTVPUXGWAUXGUXGWBWCUXGUXPWDUXMEUYCUXNWEWCUYSUXMUYBEUYCUXMUXIAUX
      PJKZUHKZUXLVUCUHKZPUYSUWGUYCHZQZUYBUXIUXLVUCUHWFVUGVUDUXRVUEUYAVUGUXRAUXH
      UXPWKKZJKZVUDVUGUXQVUHAJVUGUYRUXQVUHPUYRUVRVUFVIZUXGWGVBUJVUGUVRUXHWJHZUX
      HSWHZQZUXPWJHZUXPSWHZQZVUIVUDPUYRUVRVUFWIZVUGUYRUXHXCHZVUMVUJUXGWLVURVUKV
      ULUXHWMUXHWNWOWCVUGUYRUXPXCHZVUPVUJUXGWPZVUSVUNVUOUXPWMUXPWNWOWCUXHUXPAWQ
      WRWSVUGUYAUXLWTKZVUCPVUEUYAPVUGUWHUXTUXKWTKZBOUWHUWBLVUCUEKZHZLSXDZBOZVVA
      VUCVUGUWHVVBVVEBVUGUYOQZVVBUWCUXPXATZLSXDZVVEVVGVUBUWCXCHZVVBVVIPVVGUXGVU
      GUYRUYOVUJVPZXBVUGAXCHZUWBUCHZVVJUYOUVRVVLUYRVUFAXEXFZUYQAUWBXGXHZUXGUWCX
      IXJVVGVVHVVDLSVVGVVDUWBVUCXKTZVVHUYOUWBUYNHVUCWJHZVVDVVPXLVUGUWBLUWGXOVUG
      VUCVUGAUXPVUQVUGUYRVUSVUJVUTVBZXMZXBZUWBLVUCXPXNVVGUVRVUNVVMVVPVVHXLUYRUV
      RVUFUYOXQVVGUXPVVGUYRVUSVVKVUTVBXRUYOVVMVUGUYQVHUWBAUXPXSWRXTYAYBVLVUGUWH
      UXTUXKBVUGLUWGURZVVGUXTVVGUXSVVGUXPUWCVUGUXPYCHZUYOVUGUXGYCHZVWBVUGUXGVUJ
      YFZUXGYDVBZVPVVOYEYGYHZVVGUXKVVGUXJVVGUXGUWCVUGVWCUYOVWDVPVVOYEYGYHZYIVUG
      VVFVVCYJGZVUCVUGUYLVVCUWHUSZVVFVWHPLUWGYKVUGUWGVUCFGHZVWIVUGVWJVUCUWGXKTZ
      VUGVUCUXPUWGVUGVUCVVSYFZVWEVUGUWGVUFUWGWJHZUYSUXPUWGYLVHZYMVUGUXPAUXPUGKZ
      YRTZVUCUXPXKTZVUGAYNFGHZUXPUCHZVWPUVRVWRUYRVUFAYOXFVUGUXPVVRVEZAUXPYPXJVU
      GVWQYSUXPVUCXKTZVWPYSZVUGVWQVXAVUGVUCUXPVWLVWEUUAUUBVUGVXAVWOUXPXATZVXBVU
      GUVRVUNVWSVXAVXCXLVUQVUGUXPVVRXRVWTUXPAUXPXSWRVUGVXCVWOUXPXKTZVXBVUGVWOWJ
      HVUSVXCVXDRVUGVWOVUGAUXPVVNVWTUUCZXRVVRVWOUXPUUDXJVUGVWOUXPVUGVWOVXEUUJVW
      EUUEUUFUUGYQUUHVUFUXPUWGXKTUYSUXPUWGUUIVHUUKVUGVVQVWMVWJVWKXLVVTVWNVUCUWG
      UULXJUUMVUCLUWGUUNVBVVCUWHBUUOUUPVUGVUCUCHVWHVUCPVVSVUCUUQVBYBUURVUGUYAUX
      LVUCVUGUWHUXTBVWAVWFYTVUGUWHUXKBVWAVWGYTVUGVUCVWLUUSUVAUUTUMUVBUVCYQUVDUV
      EUVFUVGUWJUWFECUVOUWGCPZUWIUWEUVTVXFUWHUWAUWDBUWGCLUEUVHUVIUVJUVKUVLUVMUV
      N $.

    $( Calculate the prime count of a binomial coefficient.  (Contributed by
       Mario Carneiro, 11-Mar-2014.)  (Revised by Mario Carneiro,
       21-May-2014.) $)
    pcbc $p |- ( ( N e. NN /\ K e. ( 0 ... N ) /\ P e. Prime ) ->
   ( P pCnt ( N _C K ) ) = sum_ k e. ( 1 ... N ) ( ( |_ ` ( N / ( P ^ k ) ) ) -
     ( ( |_ ` ( ( N - K ) / ( P ^ k ) ) ) + ( |_ ` ( K / ( P ^ k ) ) ) ) ) ) $=
      ( cn wcel cc0 co cfa cfv cmin cdiv cpc cfl caddc csu cz wceq cn0 3ad2ant2
      cfz cprime w3a cmul cbc c1 cv cexp wne simp3 nnnn0 3ad2ant1 faccld nnne0d
      nnzd fznn0sub elfznn0 nnmulcld pcdiv syl121anc bcval2 oveq2d fzfid adantr
      wa cr nnre simpl3 prmnn elfznn nnnn0d adantl nnexpcld nndivred flcld zcnd
      syl nn0red resubcld addcld fsumsub cuz nn0zd uzid syl3anc cle wbr nn0ge0d
      pcfac subge02d mpbid wb zsubcld eluz syl2anc mpbird elfzuz3 oveq12d pcmul
      syl122anc fsumadd 3eqtr4d eqtr4d ) DEFZCGDUAHFZAUBFZUCZADIJZDCKHZIJZCIJZU
      DHZLHZMHZAXHMHZAXLMHZKHZADCUEHZMHUFDUAHZDABUGZUHHZLHZNJZXIYALHZNJZCYALHZN
      JZOHZKHBPZXGXFXHQFXHGUIXLEFXNXQRXDXEXFUJZXGXHXGDXDXEDSFZXFDUKULZUMZUOXGXH
      YMUNXGXJXKXGXIXEXDXISFZXFCGDUPTZUMZXGCXEXDCSFZXFCDUQTZUMZURXHXLAUSUTXGXRX
      MAMXEXDXRXMRXFCDVATVBXGYIXSYCBPZXSYHBPZKHXQXGXSYCYHBXGUFDVCZXGXTXSFZVEZYC
      UUDYBUUDDYAXGDVFFZUUCXDXEUUEXFDVGULZVDUUDAXTUUDXFAEFXDXEXFUUCVHAVIVQUUCXT
      SFXGUUCXTXTDVJVKVLVMZVNVOVPUUDYEYGUUDYEUUDYDUUDXIYAXGXIVFFUUCXGDCUUFXGCYR
      VRZVSVDUUGVNVOVPZUUDYGUUDYFUUDCYAXGCVFFUUCUUHVDUUGVNVOVPZVTWAXGXOYTXPUUAK
      XGYKDDWBJFZXFXOYTRYLXGDQFZUUKXGDYLWCZDWDVQYJABDDWIWEXGAXJMHZAXKMHZOHZXSYE
      BPZXSYGBPZOHXPUUAXGUUNUUQUUOUUROXGYNDXIWBJFZXFUUNUUQRYOXGUUSXIDWFWGZXGGCW
      FWGUUTXGCYRWHXGDCUUFUUHWJWKXGXIQFUULUUSUUTWLXGDCUUMXGCYRWCWMUUMXIDWNWOWPY
      JABDXIWIWEXGYQDCWBJFZXFUUOUURRYRXEXDUVAXFCGDWQTYJABDCWIWEWRXGXFXJQFXJGUIX
      KQFXKGUIXPUUPRYJXGXJYPUOXGXJYPUNXGXKYSUOXGXKYSUNXJXKAWSWTXGXSYEYGBUUBUUIU
      UJXAXBWRXCXB $.
  $}

  ${
    $d p A $.  $d p N $.
    $( If a power of a rational number is an integer, then the number is an
       integer.  In other words, all n-th roots are irrational unless they are
       integers (so that the original number is an n-th power).  (Contributed
       by Mario Carneiro, 10-Aug-2015.) $)
    qexpz $p |- ( ( A e. QQ /\ N e. NN /\ ( A ^ N ) e. ZZ ) ->
        A e. ZZ ) $=
      ( vp cq wcel co cz cc0 wne wa cpc cle wbr cprime cmul syl syl12anc mpbird
      cr wb cn cexp w3a eleq1 cv wral simpll2 nncnd mul01d cn0 simpr simpll3 cc
      simpll1 simplr nnzd expne0d pczcl nn0ge0d pcexp syl121anc breqtrd eqbrtrd
      qcn wceq clt 0red pcqcl zred nngt0d lemul2 syl112anc ralrimiva simpl1 pcz
      nnred 0zd pm2.61ne ) ADEZBUAEZABUBFZGEZUCZAGEZHGEAHAHGUDWCAHIZJZWDHCUEZAK
      FZLMZCNUFZWFWICNWFWGNEZJZWIBHOFZBWHOFZLMZWLWMHWNLWLBWLBVSVTWBWEWKUGZUHUIW
      LHWGWAKFZWNLWLWQWLWKWBWAHIWQUJEWFWKUKZVSVTWBWEWKULWLABWLVSAUMEVSVTWBWEWKU
      NZAVDPWCWEWKUOZWLBWPUPZUQWGWAURQUSWLWKVSWEBGEWQWNVEWRWSWTXAAWGBUTVAVBVCWL
      HSEWHSEBSEHBVFMWIWOTWLVGWLWHWLWKVSWEWHGEWRWSWTWGAVHQVIWLBWPVPWLBWPVJHWHBV
      KVLRVMWFVSWDWJTVSVTWBWEVNACVOPRWCVQVR $.

    $( A second or higher power of a rational number is not a prime number.  Or
       by contraposition, the n-th root of a prime number is irrational.
       Suggested by Norm Megill.  (Contributed by Mario Carneiro,
       10-Aug-2015.) $)
    expnprm $p |- ( ( A e. QQ /\ N e. ( ZZ>= ` 2 ) ) ->
        -. ( A ^ N ) e. Prime ) $=
      ( cq wcel c2 wa c1 wne cexp co adantl cdvds wbr wceq cpc ad2antlr cc0 syl
      cn cz cuz cfv cprime wn eluz2b3 simprbi eluzelz simpr simpll prmnn nnne0d
      cmul eluz2nn 0expd neeqtrrd oveq1 necon3i pcqcl syl12anc dvdsmul1 syl2anc
      nncnd exp1d oveq2d 1z pcid sylancl pcexp syl121anc 3eqtr3rd breqtrd ex wb
      cn0 nnnn0d dvds1 sylibd necon3ad mpd ) ACDZBEUAUBDZFZBGHZABIJZUCDZUDWAWCV
      TWABSDZWCBUEUFKWBWEBGWBWEBGLMZBGNZWBWEWGWBWEFZBBWDAOJZULJZGLWIBTDZWJTDZBW
      KLMWAWLVTWEEBUGPZWIWEVTAQHZWMWBWEUHZVTWAWEUIZWIWDQBIJZHWOWIWDQWRWIWDWEWDS
      DWBWDUJKZUKWIBWAWFVTWEBUMZPUNUOAQWDWRAQBIUPUQRZWDAURUSBWJUTVAWIWDWDGIJZOJ
      ZWDWDOJZGWKWIXBWDWDOWIWDWIWDWSVBVCVDWIWEGTDXCGNWPVEGWDVFVGWIWEVTWOWLXDWKN
      WPWQXAWNAWDBVHVIVJVKVLWBBVNDWGWHVMWBBWAWFVTWTKVOBVPRVQVRVS $.
  $}

  ${
    $d K m n p q $.
    $( Every positive integer which is not a power of two is divisible by an
       odd prime number.  (Contributed by AV, 6-Aug-2021.) $)
    oddprmdvds $p |- ( ( K e. NN /\ -. E. n e. NN0 K = ( 2 ^ n ) )
                       -> E. p e. ( Prime \ { 2 } ) p || K ) $=
      ( vq cn wcel c2 co wceq cn0 cdvds wbr cprime wi wa wb adantr syl adantl
      cc vm cv cexp wrex wn csn cdif cpc cdiv 2prm pcndvds2 mpan pcdvds 2nn a1i
      id pccld nnexpcld nndivdvds mpdan c1 cuz cfv wo elnn1uz2 cc0 wne w3a nncn
      nnne0 3anass sylanbrc diveq1 oveq2 eqeq2d simpr rspcedvd ex pm2.24 sylbid
      jca syl6 com12 exprmfct breq1 biimpcd necon3bd cmul prmnn mpbid nndivides
      syl2anr eqcom ad2antrr ad2antlr nncnd divmul syl3anc syl5bb anim1i sylibr
      nnmulcld eldifsn cz nnzd dvdsmul2 2nn0 nn0expcld nn0cnd 3jca mulass breq2
      breqtrd a1d exp31 com23 rexlimdva syldd impd jaoi sylbi mp2d imp ) BEFZBG
      AUBZUCHZIZAJUDZUEZCUBZBKLZCMGUFUGZUDZYDGBGGBUHHZUCHZUIHZKLZUEZYOBKLZYIYMN
      ZGMFZYDYRUJGBUKULUUAYDYSUJGBUMULZYDYRYSYTNYDYROZYSYPEFZYTYDYSUUDPZYRYDYOE
      FZUUEYDGYNGEFYDUNUOYDGBUUAYDUJUOYDUPUQZURZBYOUSUTZQUUDUUCYTUUDYPVAIZYPGVB
      VCFZVDUUCYTNZYPVEUUJUULUUKUUCUUJYTUUCUUJBYOIZYTUUCBTFZYOTFZYOVFVGZVHZUUJU
      UMPYDUUQYRYDUUNUUOUUPOZUUQBVIZYDUUFUURUUHUUFUUOUUPYOVIYOVJWAZRUUNUUOUUPVK
      VLQBYOVMRYDUUMYTNYRYDUUMYHYTYDUUMYHYDUUMOZYGUUMAYNJYDYNJFUUMUUGQYEYNIZYGU
      UMPUVAUVBYFYOBYEYNGUCVNVOSYDUUMVPVQVRYHYMVSWBQVTWCUUKDUBZYPKLZDMUDZUULYPD
      WDUVEYDYRYTYDUVEYRYTNZYDUVDUVFDMYDUVCMFZOZUVDYRUVCGVGZYTUVHUVDYRUVINUVHUV
      DOYQUVCGUVDUVCGIZYQNUVHUVJUVDYQUVCGYPKWEWFSWGVRUVHUVDUAUBZUVCWHHZYPIZUAEU
      DZUVIYTNZUVGUVCEFZUUDUVDUVNPYDUVCWIZYDYSUUDUUBUUIWJUAUVCYPWKWLUVHUVMUVOUA
      EUVHUVKEFZOZUVMYOUVLWHHZBIZUVOUVMYPUVLIZUVSUWAUVLYPWMUVSUUNUVLTFUURUWBUWA
      PYDUUNUVGUVRUUSWNUVSUVLUVSUVKUVCUVHUVRVPZUVGUVPYDUVRUVQWOXBWPUVSUUFUURYDU
      UFUVGUVRUUHWNZUUTRBUVLYOWQWRWSUVSUVIUWAYTUVSUVIUWAYTUVSUVIOZUWAOZYMYIUWFY
      KUVCBKLZCUVCYLUWEUVCYLFZUWAUWEUVGUVIOUWHUVSUVGUVIUVHUVGUVRYDUVGVPQWTUVCMG
      XCXAQYJUVCIYKUWGPUWFYJUVCBKWESUWFUVCUVTKLZUWGUWEUWIUWAUWEUVCYOUVKWHHZUVCW
      HHZUVTKUWEUWJXDFZUVCXDFZOZUVCUWKKLUVSUWNUVIUVSUWLUWMUVSUWJUVSYOUVKUWDUWCX
      BXEUVGUWMYDUVRUVGUVCUVQXEWOWAQUWJUVCXFRUWEUUOUVKTFZUVCTFZVHZUWKUVTIUVSUWQ
      UVIUVSUUOUWOUWPUVSYOYDYOJFUVGUVRYDGYNGJFYDXGUOUUGXHWNXIUVRUWOUVHUVKVISUVG
      UWPYDUVRUVGUVCUVQWPWOXJQYOUVKUVCXKRXMQUWAUWIUWGPUWEUVTBUVCKXLSWJVQXNXOXPV
      TXQVTXRXQWCXSRXTYAWCVTVRYBYC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Pocklington's theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d k n x D $.  $d k K $.  $d k x N $.  $d k n x P $.
    $( A relation involving divisibility by a prime power.  (Contributed by
       Mario Carneiro, 2-Mar-2014.) $)
    prmpwdvds $p |- ( ( ( K e. ZZ /\ D e. ZZ ) /\ ( P e. Prime /\ N e. NN ) /\
         ( D || ( K x. ( P ^ N ) ) /\ -. D || ( K x. ( P ^ ( N - 1 ) ) ) ) ) ->
                   ( P ^ N ) || D ) $=
      ( vk cz wcel wa cexp co cmul cdvds wbr c1 wn breq2d notbid anbi12d oveq2d
      wi vx vn cprime cn cmin wceq oveq1 imbi1d wral caddc oveq2 breq1d imbi12d
      cv ralbidv imbi2d weq breq1 breq2 cgcd wb simplrl simpll coprm syl2anc cc
      ad2antll prmz ad2antrl zcnd mulcomd simpl gcdcomd eqeq1d simprr coprmdvds
      syl3anc sylbid expdimp con1d expimpd ex vtoclga impl exp1d ad2antlr 1m1e0
      zcn cc0 oveq2i exp0d eqtrid adantl mulid1d eqtrd 3imtr4d cbvralvw zmulcld
      ralrimiva rspcv syl wrex cn0 nnnn0 ad2antrr zexpcl simplr divides adantll
      prmnn nncnd expp1d nnexpcld mulassd eqtr4d wne nnne0d dvdsmulcr syl112anc
      nnzd bitrd an32s syl5ibcom rexlimdva adantlr com23 a2d expm1t nncn ax-1cn
      nnm1nn0 pncan sylancl anbi2d syld anassrs ralrimdva syl5bi expl nnind
      com12 impr rspcdva 3impia ) CFGZAFGZHZBUCGZDUDGZHZACBDIJZKJZLMZACBDNUEJZI
      JZKJZLMZOZHZUUKALMZUUGUUJHAEUNZUUKKJZLMZAUVAUUOKJZLMZOZHZUUTTZUUSUUTTEFCU
      VACUFZUVGUUSUUTUVIUVCUUMUVFUURUVIUVBUULALUVACUUKKUGPUVIUVEUUQUVIUVDUUPALU
      VACUUOKUGPQRUHUUFUUJUVHEFUIZUUEUUFUUHUUIUVJUUIUUFUUHHZUVJUVKAUVABUAUNZIJZ
      KJZLMZAUVABUVLNUEJZIJZKJZLMZOZHZUVMALMZTZEFUIZTUVKAUVABNIJZKJZLMZAUVABNNU
      EJZIJZKJZLMZOZHZUWEALMZTZEFUIZTUVKAUVABUBUNZIJZKJZLMZAUVABUWQNUEJZIJZKJZL
      MZOZHZUWRALMZTZEFUIZTUVKAUVABUWQNUJJZIJZKJZLMZAUVABUXJNUEJZIJZKJZLMZOZHZU
      XKALMZTZEFUIZTUVKUVJTUAUBDUVLNUFZUWDUWPUVKUYCUWCUWOEFUYCUWAUWMUWBUWNUYCUV
      OUWGUVTUWLUYCUVNUWFALUYCUVMUWEUVAKUVLNBIUKZSPUYCUVSUWKUYCUVRUWJALUYCUVQUW
      IUVAKUYCUVPUWHBIUVLNNUEUGSSPQRUYCUVMUWEALUYDULUMUOUPUAUBUQZUWDUXIUVKUYEUW
      CUXHEFUYEUWAUXFUWBUXGUYEUVOUWTUVTUXEUYEUVNUWSALUYEUVMUWRUVAKUVLUWQBIUKZSP
      UYEUVSUXDUYEUVRUXCALUYEUVQUXBUVAKUYEUVPUXABIUVLUWQNUEUGSSPQRUYEUVMUWRALUY
      FULUMUOUPUVLUXJUFZUWDUYBUVKUYGUWCUYAEFUYGUWAUXSUWBUXTUYGUVOUXMUVTUXRUYGUV
      NUXLALUYGUVMUXKUVAKUVLUXJBIUKZSPUYGUVSUXQUYGUVRUXPALUYGUVQUXOUVAKUYGUVPUX
      NBIUVLUXJNUEUGSSPQRUYGUVMUXKALUYHULUMUOUPUVLDUFZUWDUVJUVKUYIUWCUVHEFUYIUW
      AUVGUWBUUTUYIUVOUVCUVTUVFUYIUVNUVBALUYIUVMUUKUVAKUVLDBIUKZSPUYIUVSUVEUYIU
      VRUVDALUYIUVQUUOUVAKUYIUVPUUNBIUVLDNUEUGSSPQRUYIUVMUUKALUYJULUMUOUPUVKUWO
      EFUVKUVAFGZHZAUVABKJZLMZAUVALMZOZHZBALMZUWMUWNUUFUUHUYKUYQUYRTZUUHUYKHZUV
      LUYMLMZUVLUVALMZOZHZBUVLLMZTZTUYTUYSTUAAFUVLAUFZVUFUYSUYTVUGVUDUYQVUEUYRV
      UGVUAUYNVUCUYPUVLAUYMLURVUGVUBUYOUVLAUVALURQRUVLABLUSUMUPUVLFGZUYTVUFVUHU
      YTHZVUAVUCVUEVUIVUAHZVUEVUBVUJVUEOZBUVLUTJZNUFZVUBVUJUUHVUHVUKVUMVAVUHUUH
      UYKVUAVBVUHUYTVUAVCBUVLVDVEVUIVUAVUMVUBVUIVUAVUMHUVLBUVAKJZLMZUVLBUTJZNUF
      ZHZVUBVUIVUAVUOVUMVUQVUIUYMVUNUVLLVUIUVABUYKUVAVFGZVUHUUHUVAWHZVGVUIBUUHB
      FGZVUHUYKBVHZVIZVJVKPVUIVULVUPNVUIBUVLVVCVUHUYTVLZVMVNRVUIVUHVVAUYKVURVUB
      TVVDVVCVUHUUHUYKVOUVLBUVAVPVQVRVSVRVTWAZWBWCWDUYLUWGUYNUWLUYPUYLUWFUYMALU
      YLUWEBUVAKUUHUWEBUFUUFUYKUUHBUUHBVVBVJWEWFSPUYLUWKUYOUYLUWJUVAALUYLUWJUVA
      NKJUVAUYLUWINUVAKUYLUWIBWIIJNUWHWIBIWGWJUYLBUYLBUUHVVAUUFUYKVVBWFVJZWKWLS
      UYLUVAUYKVUSUVKVUTWMWNWOPQRUYLUWEBALUYLBVVFWEULWPWSUWQUDGZUVKUXIUYBVVGUUF
      UUHUXIUYBTUXIAUVLUWRKJZLMZAUVLUXBKJZLMZOZHZUXGTZUAFUIZVVGUUFHZUUHHZUYBUXH
      VVNEUAFEUAUQZUXFVVMUXGVVRUWTVVIUXEVVLVVRUWSVVHALUVAUVLUWRKUGPVVRUXDVVKVVR
      UXCVVJALUVAUVLUXBKUGPQRUHWQVVQVVOUYAEFVVPUUHUYKVVOUYATVVPUYTHZVVOAUYMUWRK
      JZLMZAUYMUXBKJZLMZOZHZUXGTZUYAVVSUYMFGZVVOVWFTVVSUVABVVPUUHUYKVOUUHVVAVVP
      UYKVVBVIZWRVVNVWFUAUYMFUVLUYMUFZVVMVWEUXGVWIVVIVWAVVLVWDVWIVVHVVTALUVLUYM
      UWRKUGPVWIVVKVWCVWIVVJVWBALUVLUYMUXBKUGPQRUHWTXAVVSUXMUWTOZHZUXGTVWKUXTTZ
      VWFUYAVVSVWKUXGUXTVVSUXGVWKUXTVVSUXGVVHAUFZUAFXBZVWLVVSUWRFGZUUFUXGVWNVAV
      VSVVAUWQXCGZVWOVWHVVGVWPUUFUYTUWQXDZXEZBUWQXFVEZVVGUUFUYTXGUAUWRAXHVEVVGU
      YTVWNVWLTUUFVVGUYTHZVWMVWLUAFVWTVUHHVVHUXLLMZVVHUWSLMZOZHZUXKVVHLMZTZVWMV
      WLVVGVUHUYTVXFVVGVUHHZUYTHZVUDVUEVXDVXEVUHUYTVUFVVGVVEXIVXHVXAVUAVXCVUCVX
      HVXAVVHVVTLMZVUAVXHUXLVVTVVHLVXHUXLUVABUWRKJZKJZVVTVXHUXKVXJUVAKVXHUXKUWR
      BKJZVXJVXHBUWQVXHBUUHBUDGVXGUYKBXJVIZXKZVVGVWPVUHUYTVWQXEZXLVXHUWRBVXHUWR
      VXHBUWQVXMVXOXMZXKZVXNVKWOZSVXHUVABUWRUYKVUSVXGUUHVUTVGVXNVXQXNXOPVXHVUHV
      WGVWOUWRWIXPZVXIVUAVAVVGVUHUYTXGZVXHUVABVXGUUHUYKVOZVXHBVXMXTZWRVXHUWRVXP
      XTZVXHUWRVXPXQZUWRUVLUYMXRXSYAVXHVXBVUBVXHVUHUYKVWOVXSVXBVUBVAVXTVYAVYCVY
      DUWRUVLUVAXRXSQRVXHVXEVXJVVHLMZVUEVXHUXKVXJVVHLVXRULVXHVVAVUHVWOVXSVYEVUE
      VAVYBVXTVYCVYDUWRBUVLXRXSYAWPYBVWMVXDVWKVXEUXTVWMVXAUXMVXCVWJVVHAUXLLURVW
      MVXBUWTVVHAUWSLURQRVVHAUXKLUSUMYCYDYEVRYFYGVVSVWEVWKUXGVVSVWAUXMVWDVWJVVS
      VVTUXLALVVSVVTVXKUXLVVSUVABUWRUYKVUSVVPUUHVUTVGZVVSBVWHVJZVVSUWRVWSVJZXNV
      VSVXJUXKUVAKVVSVXJVXLUXKVVSBUWRVYGVYHVKVVSBUWQVYGVWRXLXOSWOPVVSVWCUWTVVSV
      WBUWSALVVSVWBUVABUXBKJZKJUWSVVSUVABUXBVYFVYGVVSUXBVVSVVAUXAXCGZUXBFGVWHVV
      GVYJUUFUYTUWQYKXEBUXAXFVEVJZXNVVSVYIUWRUVAKVVSVYIUXBBKJZUWRVVSBUXBVYGVYKV
      KVVSBVFGVVGUWRVYLUFVYGVVGUUFUYTVCBUWQYHVEXOSWOPQRUHVVSUXSVWKUXTVVSUXRVWJU
      XMVVSUXQUWTVVSUXPUWSALVVSUXOUWRUVAKVVSUXNUWQBIVVSUWQVFGZNVFGUXNUWQUFVVGVY
      MUUFUYTUWQYIXEYJUWQNYLYMSSPQYNUHWPYOYPYQYRYSYGYTUUAUUBXIUUEUUFUUJVCUUCUUD
      $.
  $}

  ${
    pockthg.1 $e |- ( ph -> A e. NN ) $.
    pockthg.2 $e |- ( ph -> B e. NN ) $.
    pockthg.3 $e |- ( ph -> B < A ) $.
    pockthg.4 $e |- ( ph -> N = ( ( A x. B ) + 1 ) ) $.
    ${
      pockthlem.5 $e |- ( ph -> P e. Prime ) $.
      pockthlem.6 $e |- ( ph -> P || N ) $.
      pockthlem.7 $e |- ( ph -> Q e. Prime ) $.
      pockthlem.8 $e |- ( ph -> ( Q pCnt A ) e. NN ) $.
      pockthlem.9 $e |- ( ph -> C e. ZZ ) $.
      pockthlem.10 $e |- ( ph -> ( ( C ^ ( N - 1 ) ) mod N ) = 1 ) $.
      pockthlem.11 $e |- ( ph ->
                          ( ( ( C ^ ( ( N - 1 ) / Q ) ) - 1 ) gcd N ) = 1 ) $.
      $( Lemma for ~ pockthg .  (Contributed by Mario Carneiro, 2-Mar-2014.) $)
      pockthlem $p |- ( ph -> ( Q pCnt A ) <_ ( Q pCnt ( P - 1 ) ) ) $=
        ( c1 wcel cpc co cmin cle wbr cexp cdvds cfv cprime cn prmnn syl nnnn0d
        codz nnexpcld nnzd cz cgcd wceq gcddvds syl2anc simpld gcdcld nn0zd clt
        wa c2 caddc cmul nnmulcld nnuz eleqtrdi eluzp1p1 eqeltrd df-2 eleqtrrdi
        cuz fveq2i eluz2b2 sylib simprd dvdstrd cc0 wn wi nnne0d simpr necon3ai
        wne dvdslegcd syl31anc mp2and cmo oveq1d cn0 1z eluzp1m1 sylancr zexpcl
        modgcd gcdcom gcd1 eqtrd 3eqtr3d wb rpexp syl3anc mpbid breqtrd gcdn0cl
        syl21anc nnle1eq1 odzcl prmuz2 cdiv pcdvds dvdsmul1 nncnd pncan sylancl
        cc ax-1cn breqtrrd dvdsval2 peano2zm cr nnred 1mod 1zzd moddvds odzdvds
        eqtr4d divcan1d nprmdvds1 iddvdsexp nn0ge0d nngt0d ge0div elnn0z breq2d
        sylanbrc dvdsgcd mpan2d expm1d oveq2d recnd divassd 3eqtr2d bitr4d mtod
        nndivred 3imtr3d prmpwdvds syl222anc cphi odzphi phiprm pcdvdsb mpbird
        ) AFBUAUBZFESUCUBZUAUBUDUEZFUUTUFUBZUVAUGUEZAUVCDEUNUHUHZUVAAUVCAFUUTAF
        UITZFUJTNFUKULZAUUTOUMZUOZUPZAUVEAEUJTZDUQTZDEURUBZSUSZUVEUJTAEUITZUVKL
        EUKULZPAUVMSUDUEZUVNAUVMDGURUBZSUDAUVMDUGUEZUVMGUGUEZUVMUVRUDUEZAUVSUVM
        EUGUEZAUVLEUQTZUVSUWBVFPAEUVPUPZDEUTVAZVBAUVMEGAUVMADEPUWDVCVDZUWDAGAGU
        JTZSGVEUEZAGVGVQUHZTUWGUWHVFAGSSVHUBZVQUHZUWIAGBCVIUBZSVHUBZUWKKAUWLSVQ
        UHZTUWMUWKTAUWLUJUWNABCHIVJZVKVLSUWLVMULVNZVGUWJVQVOVRZVPGVSVTZVBZUPZAU
        VSUWBUWEWAMWBAUVMUQTUVLGUQTZDWCUSZGWCUSZVFZWDZUVSUVTVFUWAWEUWFPUWTAGWCW
        IUXEAGUWSWFUXDGWCUXBUXCWGWHULUVMDGWJWKWLADGSUCUBZUFUBZGURUBZSUSZUVRSUSZ
        AUXGGWMUBZGURUBZSGURUBZUXHSAUXKSGURQWNAUXGUQTZUWGUXLUXHUSAUVLUXFWOTZUXN
        PAUXFAUXFUWNUJASUQTZGUWKTUXFUWNTWPUWPSGWQWRVKVPZUMZDUXFWSVAZUWSUXGGWTVA
        AUXMGSURUBZSAUXPUXAUXMUXTUSWPUWTSGXAWRAUXAUXTSUSUWTGXBULXCXDAUVLUXAUXFU
        JTUXIUXJXEPUWTUXQDGUXFXFXGXHXIAUVMUJTZUVQUVNXEAUVLUWCUXBEWCUSZVFZWDZUYA
        PUWDAEWCWIUYDAEUVPWFUYCEWCUXBUYBWGWHULDEXJXKUVMXLULXHZDEXMXGUPZAUVAAUVA
        UWNUJAUXPEUWKTUVAUWNTWPAEUWIUWKAUVOEUWITLEXNULUWQVLSEWQWRVKVPUPZAUXFUVC
        XOUBZUQTZUVEUQTUVFUUTUJTZUVEUYHUVCVIUBZUGUEUVEUYHFUUTSUCUBUFUBZVIUBZUGU
        EZWDUVCUVEUGUEAUVCUXFUGUEZUYIAUVCBUXFUVJABHUPZAUXFUXQUPZAUVFBUJTUVCBUGU
        ENHFBXPVAABUWLUXFUGABUQTCUQTBUWLUGUEUYPACIUPBCXQVAAUXFUWMSUCUBZUWLAGUWM
        SUCKWNAUWLYATSYATUYRUWLUSAUWLUWOXRYBUWLSXSXTXCYCWBZAUVCUQTUVCWCWIUXFUQT
        ZUYOUYIXEUVJAUVCUVIWFZUYQUVCUXFYDXGXHUYFNOAUVEUXFUYKUGAEUXGSUCUBZUGUEZU
        VEUXFUGUEZAEGVUBUWDUWTAUXNVUBUQTUXSUXGYEULMAUXKSGWMUBZUSZGVUBUGUEZAUXKS
        VUEQAGYFTUWHVUESUSAGUWSYGAUWGUWHUWRWAGYHVAYLAUWGUXNUXPVUFVUGXEUWSUXSAYI
        UXGSGYJXGXHWBAUVKUVLUVNUXOVUCVUDXEUVPPUYEUXRDUXFEYKWKXHAUXFUVCAUXFUXQXR
        AUVCUVIXRZVUAYMZYCAUYNESUGUEZAUVOVUJWDLEYNULAEDUXFFXOUBZUFUBZSUCUBZUGUE
        ZEVUMGURUBZUGUEZUYNVUJAVUNEGUGUEZVUPMAUWCVUMUQTZUXAVUNVUQVFVUPWEUWDAVUL
        UQTZVURAUVLVUKWOTZVUSPAVUKUQTZWCVUKUDUEZVUTAFUXFUGUEZVVAAFUVCUXFAFUVGUP
        ZUVJUYQAFUQTZUYJFUVCUGUEVVDOFUUTYOVAUYSWBAVVEFWCWIUYTVVCVVAXEVVDAFUVGWF
        ZUYQFUXFYDXGXHAWCUXFUDUEZVVBAUXFUXRYPAUXFYFTFYFTWCFVEUEVVGVVBXEAUXFUXQY
        GZAFUVGYGAFUVGYQUXFFYRXGXHVUKYSUUAZDVUKWSVAVULYEULUWTEVUMGUUBXGUUCAVUNU
        VEVUKUGUEZUYNAUVKUVLUVNVUTVUNVVJXEUVPPUYEVVIDVUKEYKWKAUYMVUKUVEUGAUYMUY
        HUVCFXOUBZVIUBUYKFXOUBVUKAUYLVVKUYHVIAFUUTAFUVGXRZVVFAUUTOUPUUDUUEAUYHU
        VCFAUYHAUXFUVCVVHUVIUUKUUFVUHVVLVVFUUGAUYKUXFFXOVUIWNUUHYTUUIAVUOSEUGRY
        TUULUUJUVEFUYHUUTUUMUUNAUVEEUUOUHZUVAUGAUVKUVLUVNUVEVVMUGUEUVPPUYEDEUUP
        XGAUVOVVMUVAUSLEUUQULXIWBAUVFUVAUQTUUTWOTUVBUVDXENUYGUVHUUTFUVAUURXGUUS
        $.
    $}

    $(
    pockthg @p |- ( ph -> ( N e. Prime <-> A. p e. Prime ( p || A -> E. x e. ZZ
                   ( ( ( x ^ ( N - 1 ) ) mod N ) = 1 /\
                     ( ( ( x ^ ( ( N - 1 ) / p ) ) - 1 ) gcd N ) = 1 ) ) ) ) @=
      ? @.
    $)

    $d p q x N $.  $d p x A $.  $d p q x ph $.
    pockthg.5 $e |- ( ph -> A. p e. Prime ( p || A -> E. x e. ZZ
                   ( ( ( x ^ ( N - 1 ) ) mod N ) = 1 /\
                     ( ( ( x ^ ( ( N - 1 ) / p ) ) - 1 ) gcd N ) = 1 ) ) ) $.
    $( The generalized Pocklington's theorem.  If ` N - 1 = A x. B ` where
       ` B < A ` , then ` N ` is prime if and only if for every prime factor
       ` p ` of ` A ` , there is an ` x ` such that
       ` x ^ ( N - 1 ) = 1 ( mod N ) ` and
       ` gcd ( x ^ ( ( N - 1 ) / p ) - 1 , N ) = 1 ` .  (Contributed by Mario
       Carneiro, 2-Mar-2014.) $)
    pockthg $p |- ( ph -> N e. Prime ) $=
      ( wcel co cle wbr cprime c1 cn syl wa vq c2 cuz cfv cv cexp cdvds wn wral
      wi cmul nnmulcld nnuz eleqtrdi eluzp1p1 df-2 fveq2i eleqtrrdi eqeltrd clt
      caddc cr eluzelre adantr nnred resqcld prmnn ad2antrl wb nngt0d syl112anc
      cc0 ltmul2 mpbid nnltp1le syl2anc nncnd sqvald 3brtr4d cmin cpc wceq cdiv
      cmo cgcd cz wrex exp1d ad2antll cn0 simprl nnzd ad2antrr 1nn0 a1i pcdvdsb
      nnge1 syl3anc eqbrtrrd w3a simpl1 simpl2l simpl2r simpl3l simpl3r simprrl
      simprrr pockthlem rexlimdvaa 3expa embantd expr id prmuz2 uz2m1nn syl2anr
      pccl nn0ge0d breq1 syl5ibrcom simpr pccld elnn0 sylib mpjaod ralimdva mpd
      a1dd pc2dvds syl2an2r mpbird dvdsle nnnn0d nn0ltlem1 lt2sqd lelttrd con2d
      wo ltnled ralrimiva isprm5 sylanbrc ) AEUBUCUDZLZUAUEZUBUFMZENOZUUEEUGOZU
      HUJZUAPUIEPLAECDUKMZQVAMZUUCJAUUKQQVAMZUCUDZUUCAUUJQUCUDZLUUKUUMLAUUJRUUN
      ACDGHULZUMUNQUUJUOSUBUULUCUPUQURUSZAUUIUAPAUUEPLZTUUHUUGAUUQUUHUUGUHZAUUQ
      UUHTZTZEUUFUTOUURUUTECUBUFMZUUFAEVBLZUUSAUUDUVBUUPUBEVCSVDZAUVAVBLUUSACAC
      GVEZVFVDUUTUUEUUTUUEUUQUUERLAUUHUUEVGVHZVEZVFZAEUVANOUUSAUUKCCUKMZEUVANAU
      UJUVHUTOZUUKUVHNOZADCUTOZUVIIADVBLCVBLZUVLVLCUTOUVKUVIVIADHVEUVDUVDACGVJD
      CCVMVKVNAUUJRLUVHRLUVIUVJVIUUOACCGGULUUJUVHVOVPVNJACACGVQVRVSVDUUTCUUEUTO
      ZUVAUUFUTOUUTUVMCUUEQVTMZNOZUUTCUVNUGOZUVOUUTUVPFUEZCWAMZUVQUVNWAMZNOZFPU
      IZUUTUVQCUGOZBUEZEQVTMZUFMEWDMQWBZUWCUWDUVQWCMUFMQVTMEWEMQWBZTZBWFWGZUJZF
      PUIZUWAAUWJUUSKVDUUTUWIUVTFPUUTUVQPLZTZUVRRLZUWIUVTUJZUVRVLWBZUUTUWKUWMUW
      NUUTUWKUWMTZTZUWBUWHUVTUWQUVQQUFMZUVQCUGUWQUVQUWQUVQUWKUVQRLUUTUWMUVQVGVH
      VQWHUWQQUVRNOZUWRCUGOZUWMUWSUUTUWKUVRWQWIUWQUWKCWFLZQWJLZUWSUWTVIUUTUWKUW
      MWKAUXAUUSUWPACGWLZWMUXBUWQWNWOQUVQCWPWRVNWSAUUSUWPUWHUVTUJAUUSUWPWTZUWGU
      VTBWFUXDUWCWFLZUWGTZTZCDUWCUUEUVQEUXGACRLZAUUSUWPUXFXAZGSUXGADRLUXIHSUXGA
      UVKUXIISUXGAEUUKWBUXIJSUUQUUHAUWPUXFXBUUQUUHAUWPUXFXCUWKUWMAUUSUXFXDUWKUW
      MAUUSUXFXEUXDUXEUWGWKUXDUXEUWEUWFXFUXDUXEUWEUWFXGXHXIXJXKXLUWLUWOUVTUWIUW
      LUVTUWOVLUVSNOUWLUVSUWKUWKUVNRLZUVSWJLUUTUWKXMUUQUXJAUUHUUQUUEUUCLUXJUUEX
      NUUEXOSVHZUVQUVNXQXPXRUVRVLUVSNXSXTYHUWLUVRWJLUWMUWOYRUWLUVQCUUTUWKYAAUXH
      UUSUWKGWMYBUVRYCYDYEYFYGAUXAUUSUVNWFLUVPUWAVIUXCUUTUVNUXKWLCUVNFYIYJYKAUX
      AUUSUXJUVPUVOUJUXCUXKCUVNYLYJYGACWJLUUSUUEWJLUVMUVOVIACGYMZUUTUUEUVEYMZCU
      UEYNYJYKUUTCUUEAUVLUUSUVDVDUVFAVLCNOUUSACUXLXRVDUUTUUEUXMXRYOVNYPUUTEUUFU
      VCUVGYSVNXLYQYTUAEUUAUUB $.
  $}

  ${
    $d x y D $.  $d x y E $.  $d x y N $.  $d x y P $.  $d y A $.
    pockthi.p $e |- P e. Prime $.
    pockthi.g $e |- G e. NN $.
    pockthi.m $e |- M = ( G x. P ) $.
    pockthi.n $e |- N = ( M + 1 ) $.
    pockthi.d $e |- D e. NN $.
    pockthi.e $e |- E e. NN $.
    pockthi.a $e |- A e. NN $.
    pockthi.fac $e |- M = ( D x. ( P ^ E ) ) $.
    pockthi.gt $e |- D < ( P ^ E ) $.
    pockthi.mod $e |- ( ( A ^ M ) mod N ) = ( 1 mod N ) $.
    pockthi.gcd $e |- ( ( ( A ^ G ) - 1 ) gcd N ) = 1 $.
    $( Pocklington's theorem, which gives a sufficient criterion for a number
       ` N ` to be prime.  This is the preferred method for verifying large
       primes, being much more efficient to compute than trial division.  This
       form has been optimized for application to specific large primes; see
       ~ pockthg for a more general closed-form version.  (Contributed by Mario
       Carneiro, 2-Mar-2014.) $)
    pockthi $p |- N e. Prime $=
      ( co c1 vy vx cn wcel cprime cexp cn0 prmnn ax-mp nnnn0i nnexpcl mp2an id
      a1i clt wbr cmul caddc wceq nncni mulcomi eqtri oveq1i cv cdvds cmin cdiv
      cmo cgcd wa cz wrex wi wral prmdvdsexpb mp3an23 nnmulcli eqeltri mvrraddi
      wb ax-1cn oveq2i cr peano2nn nnrei cc0 nngt0i 1re ltaddpos2 mpbi breqtrri
      1mod oveq2 3eqtrri subcli nnne0i divmuli mpbir eqtrdi oveq2d oveq1d oveq1
      nnzi eqeq1d anbi12d rspcev mpan sylancr syl6bi rgen pockthg ) BUCUDZGUEUD
      LXLUACDUFSZBGUBXMUCUDZXLCUCUDZDUGUDXNCUEUDZXOHCUHUIZDMUJCDUKULZUNXLUMBXMU
      OUPXLPUNGXMBUQSZTURSZUSXLGFTURSZXTKFXSTURFBXMUQSXSOBXMBLUTXMXRUTVAVBVCVBU
      NUBVDZXMVEUPZUAVDZGTVFSZUFSZGVHSZTUSZYDYEYBVGSZUFSZTVFSZGVISZTUSZVJZUAVKV
      LZVMZUBUEVNXLYPUBUEYBUEUDZYCYBCUSZYOYQXPDUCUDYCYRVTHMYBCDVOVPYRAYEUFSZGVH
      SZTUSZAYIUFSZTVFSZGVISZTUSZYOYTAFUFSZGVHSZTYSUUFGVHYEFAUFGFTFFECUQSZUCJEC
      IXQVQVRZUTWAKVSZWBVCUUGTGVHSZTQGWCUDTGUOUPUUKTUSGGYAUCKFUCUDYAUCUDUUIFWDU
      IVRZWETYAGUOWFFUOUPZTYAUOUPZFUUIWGFWCUDTWCUDUUMUUNVTFUUIWEWHFTWIULWJKWKGW
      LULVBVBYRUUDAEUFSZTVFSZGVISTYRUUCUUPGVIYRUUBUUOTVFYRYIEAUFYRYIYECVGSZEYBC
      YEVGWMUUQEUSCEUQSZYEUSYEFUUHUURUUJJECEIUTZCXQUTZVAWNYECEGTGUULUTWAWOUUTUU
      SCXQWPWQWRWSWTXAXARWSAVKUDUUAUUEVJZYOANXCYNUVAUAAVKYDAUSZYHUUAYMUUEUVBYGY
      TTUVBYFYSGVHYDAYEUFXBXAXDUVBYLUUDTUVBYKUUCGVIUVBYJUUBTVFYDAYIUFXBXAXAXDXE
      XFXGXHXIXJUNXKUI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Infinite primes theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d m n y A $.  $d m n y G $.
    unbenlem.1 $e |- G = ( rec ( ( x e. _V |-> ( x + 1 ) ) , 1 ) |` _om ) $.
    $( Lemma for ~ unben .  (Contributed by NM, 5-May-2005.)  (Revised by Mario
       Carneiro, 15-Sep-2013.) $)
    unbenlem $p |-
        ( ( A C_ NN /\ A. m e. NN E. n e. A m < n ) -> A ~~ _om ) $=
      ( vy cn clt wbr wrex wa com wcel wf1o c1 wceq wb wi syl cv wral ccnv cima
      wss cen cvv cres nnex ssex wf1 cuz cfv om2uzf1oi nnuz f1oeq3 ax-mp f1ocnv
      1z mpbir f1of1 mp2b f1ores f1oeng syl2anc adantr crn imassrn cdm dfdm4 wf
      mpan f1of fdmi eqtr3i sseqtri om2uzuzi eleqtrrdi breq1 rexbidv rspcv wfun
      f1ofun funcnvres2 f1oeq1 sylib wfo f1ofo forn eleq2d f1ofn fvelrnb bitr3d
      wfn biimpa fvres eqeq1d adantll om2uzlt2i sylan2 sylan9bb syldan biimparc
      sseli breq2 exp44 imp31 reximdva syl5 exp4b com4l imp rexlimdv syld com3l
      ex ralrimiv unbnn3 sylancr entr ) BHUEZCUAZDUAZIJZDBKZCHUBZLZBEUCZBUDZUFJ
      ZYIMUFJZBMUFJYAYJYFYABUGNBYIYHBUHZOZYJBHUIUJHMYHUKZYAYMMHEOZHMYHOYNYOMPUL
      UMZEOZAPEUSFUNHYPQYOYQRUOHYPMEUPUQUTZMHEURHMYHVAVBHMBYHVCVLZBYIUGYLVDVEVF
      YGYIMUEGUAZYBNZCYIKZGMUBYKYIYHVGZMYHBVHEVIUUCMEVJMHEYOMHEVKYRMHEVMUQVNVOV
      PZYGUUBGMYAYFYTMNZUUBSUUEYAYFUUBUUEYAYFUUBSUUEYALZYFYTEUMZYCIJZDBKZUUBUUE
      YFUUISZYAUUEUUGHNUUJUUEUUGYPHAYTPEUSFVQUOVRYEUUICUUGHYBUUGQYDUUHDBYBUUGYC
      IVSVTWATVFUUFUUHUUBDBUUEYAYCBNZUUHUUBSSUUHUUEYAUUKUUBUUHUUEYAUUKUUBYAUUKL
      YBEYIUHZUMZYCQZCYIKZUUHUUELZUUBYAUUKUUOYAYIBUULOZUUKUUORYAYIBYLUCZOZUUQYA
      YMUUSYSBYIYLURTEWBZUURUULQUUSUUQRYOUUTYRMHEWCUQBEWDYIBUURUULWEVBWFUUQYCUU
      LVGZNZUUKUUOUUQUVABYCUUQYIBUULWGUVABQYIBUULWHYIBUULWITWJUUQUULYIWNUVBUUOR
      YIBUULWKCYIYCUULWLTWMTWOUUPUUNUUACYIUUHUUEYBYINZUUNUUASUUHUUEUVCUUNUUAUUE
      UVCLZUUNLUUAUUHUVDUUNYBEUMZYCQZUUAUUHRUVCUUNUVFUUEUVCUUNUVFUVCUUMUVEYCYBY
      IEWPWQWOWRUVDUUAUUGUVEIJZUVFUUHUVCUUEYBMNUUAUVGRYIMYBUUDXDAYTYBPEUSFWSWTU
      VEYCUUGIXEXAXBXCXFXGXHXIXJXKXLXMXNXPXOXLXQGCYIXRXSBYIMXTVE $.
  $}

  ${
    $d m n x A $.
    $( An unbounded set of positive integers is infinite.  (Contributed by NM,
       5-May-2005.)  (Revised by Mario Carneiro, 15-Sep-2013.) $)
    unben $p |- ( ( A C_ NN /\ A. m e. NN E. n e. A m < n ) -> A ~~ NN ) $=
      ( vx cn wss cv clt wbr wrex wral wa com cen cvv c1 caddc co cmpt crdg
      cres eqid unbenlem nnenom ensymi entr sylancl ) AEFBGCGHICAJBEKLAMNIMENIA
      ENIDABCDODGPQRSPTMUAZUHUBUCEMUDUEAMEUFUG $.
  $}

  ${
    $d j k N $.  $d j M $.  $d j k K $.
    infpnlem.1 $e |- K = ( ( ! ` N ) + 1 ) $.
    $( Lemma for ~ infpn .  The smallest divisor (greater than 1) ` M ` of
       ` N ! + 1 ` is a prime greater than ` N ` .  (Contributed by NM,
       5-May-2005.) $)
    infpnlem1 $p |- ( ( N e. NN /\ M e. NN ) ->
                        ( ( ( 1 < M /\ ( K / M ) e. NN ) /\
                  A. j e. NN ( ( 1 < j /\ ( K / j ) e. NN ) -> M <_ j ) ) ->
       ( N < M /\ A. j e. NN ( ( M / j ) e. NN -> ( j = 1 \/ j = M ) ) ) ) ) $=
      ( cn wcel wa c1 clt wbr cdiv co cle wi wral wceq wb cr nnre cv wo syl2anr
      wn lenlt adantr cn0 nnnn0 cfa cfv caddc facndiv oveq1i nnz eqeltrrid nsyl
      cz sylanl1 sylbird con4d expimpd adantrd w3a cc faccld peano2nnd eqeltrid
      expr nncnd nndivtr 3com13 3expa adantrl letri3 syl2an biimprd exp4b com3l
      imp32 adantll imim2d com23 sylan2d exp4d com24 exp32 imp31 com14 ralimdva
      ex 3imp adantld impd prime adantl sylibrd jcad ) DFGZCFGZHZICJKZBCLMZFGZH
      ZIAUAZJKZBXELMFGZHZCXENKZOZAFPZHZDCJKZCXELMFGZXEIQXECQZUBOAFPZWTXDXMXKWTX
      AXCXMWTXAHZXMXCXQXMUDZCDNKZXCUDZWTXSXRRZXAWSCSGZDSGYAWRCTZDTCDUEUCUFWTXAX
      SXTWRDUGGZWSXAXSHZXTDUHZYDWSHYEHDUIUJZIUKMZCLMZUQGXCDCULXCYIXBUQBYHCLEUMX
      BUNUOUPURVHUSUTVAVBWTXLXFXECNKZXNVCZXOOZAFPZXPWTXDXKYMWTXCXKYMOZXAWTXCYNW
      TXCHZXJYLAFYKYOXEFGZHZXJXOXFYJXNYQXJXOOZOYQYJXNXFYRWTXCYPYJXNXFYROOZOWTYJ
      YPXCYSWTYJYPXCYSOWTYJYPHZHZXFXNXCYRUUAXFXNXCYRUUAXNXCHZXGXFYRWTYPUUBXGOZY
      JWRBVDGZWSYPUUCWRBWRBYHFEWRYGWRDYFVEVFVGVIUUDWSYPUUCYPWSUUDUUCYPWSUUDVCUU
      BXGXECBVJWJVKVLURVMUUAXJXHXOUUAXIXOXHWSYTXIXOOZWRWSYJYPUUEYPWSYJUUEYPWSYJ
      XIXOYPWSHXOYJXIHZYPXESGYBXOUUFRWSXETYCXECVNVOVPVQVRVSVTWAWBWCWDWEWFWEWGWH
      WKVRWIWJWLWMWSXPYMRWRACWNWOWPWQ $.

    $( Lemma for ~ infpn .  For any positive integer ` N ` , there exists a
       prime number ` j ` greater than ` N ` .  (Contributed by NM,
       5-May-2005.) $)
    infpnlem2 $p |- ( N e. NN -> E. j e. NN ( N < j /\
                    A. k e. NN ( ( j / k ) e. NN -> ( k = 1 \/ k = j ) ) ) ) $=
      ( cn wcel c1 cv clt wbr cdiv co wa cle wi wral wrex wceq 1nn wo cfa caddc
      cfv nnnn0 faccld peano2nnd eqeltrid nnge1d wb nnleltp1 mpbid breqtrrdi cc
      sylancr cc0 wne nncn nnne0 divid 3syl eqeltrdi breq2 oveq2 eleq1d anbi12d
      jca rspcev syl12anc nnwos syl infpnlem1 reximdva mpd ) DFGZHAIZJKZCVPLMZF
      GZNZHBIZJKZCWALMZFGZNZVPWAOKPBFQNZAFRZDVPJKVPWALMFGWAHSWAVPSUAPBFQNZAFRVO
      VTAFRZWGVOCFGZHCJKZCCLMZFGZWIVOCDUBUDZHUCMZFEVOWNVODDUEUFZUGUHZVOHWOCJVOH
      WNOKZHWOJKZVOWNWPUIVOHFGWNFGWRWSUJTWPHWNUKUOULEUMVOWLHFVOWJCUNGZCUPUQZNWL
      HSWQWJWTXACURCUSVGCUTVATVBVTWKWMNACFVPCSZVQWKVSWMVPCHJVCXBVRWLFVPCCLVDVEV
      FVHVIVTWEABVPWASZVQWBVSWDVPWAHJVCXCVRWCFVPWACLVDVEVFVJVKVOWFWHAFBCVPDEVLV
      MVN $.
  $}

  ${
    $d j k N $.
    $( There exist infinitely many prime numbers: for any positive integer
       ` N ` , there exists a prime number ` j ` greater than ` N ` .  (See
       ~ infpn2 for the equinumerosity version.)  (Contributed by NM,
       1-Jun-2006.) $)
    infpn $p |- ( N e. NN -> E. j e. NN ( N < j /\
                    A. k e. NN ( ( j / k ) e. NN -> ( k = 1 \/ k = j ) ) ) ) $=
      ( cfa cfv c1 caddc co eqid infpnlem2 ) ABCDEFGHZCKIJ $.
  $}

  ${
    $d j k n m $.  $d j k S $.
    infpn2.1 $e |- S = { n e. NN | ( 1 < n /\
                A. m e. NN ( ( n / m ) e. NN -> ( m = 1 \/ m = n ) ) ) } $.
    $( There exist infinitely many prime numbers: the set of all primes ` S `
       is unbounded by ~ infpn , so by ~ unben it is infinite.  This is
       Metamath 100 proof #11.  (Contributed by NM, 5-May-2005.) $)
    infpn2 $p |- S ~~ NN $=
      ( vj vk cn cv clt wbr wrex wral c1 cdiv co wcel weq wi wa cr wss cen wceq
      ssrab3 infpn cle nnge1 adantr 1re nnre lelttr mp3an3an mpand ancld anim1d
      wo anass syl6ib reximdva mpd breq2 eleq1d equequ2 imbi12d ralbidv anbi12d
      oveq1 orbi2d elrab2 anbi1i ancom anbi2i 3bitri rexbii2 sylibr unben mp2an
      rgen ) AGUAEHZFHZIJZFAKZEGLAGUBJMCHZIJZWCBHZNOZGPZWEMUCZBCQZUPZRZBGLZSZCG
      ADUDWBEGVSGPZWAMVTIJZVTWENOZGPZWHBFQZUPZRZBGLZSZSZFGKZWBWNWAXASZFGKXDFBVS
      UEWNXEXCFGWNVTGPZSZXEWAWOSZXASXCXGWAXHXAXGWAWOXGMVSUFJZWAWOWNXIXFVSUGUHMT
      PWNVSTPXFVTTPXIWASWORUIVSUJVTUJMVSVTUKULUMUNUOWAWOXAUQURUSUTWAXCFAGVTAPZW
      ASXFXBSZWASXFXBWASZSXFXCSXJXKWAWMXBCVTGACFQZWDWOWLXAWCVTMIVAXMWKWTBGXMWGW
      QWJWSXMWFWPGWCVTWENVGVBXMWIWRWHCFBVCVHVDVEVFDVIVJXFXBWAUQXLXCXFXBWAVKVLVM
      VNVOVRAEFVPVQ $.
  $}

  ${
    $d N p $.
    $( The primes are unbounded.  (Contributed by Paul Chapman,
       28-Nov-2012.) $)
    prmunb $p |- ( N e. NN -> E. p e. Prime N < p ) $=
      ( cn wcel cn0 clt wbr cprime wrex cfv c1 caddc co cdvds c2 cuz 3syl wa wn
      cz cv nnnn0 cfa faccl elnnuz eluzp1p1 fveq2i eleqtrrdi sylbi exprmfct cle
      df-2 wi prmz nn0z eluz syl2an prmuz2 eluz2b2 adantr simpld nnnn0d eluznn0
      sylib sylancom nnz simprd dvdsfac w3a ndvdsp1 imp syl31anc sylbird ancoms
      wb ex con2d cr nn0re zred ltnle sylibrd reximdva mpd syl ) ACDAEDZABUAZFG
      ZBHIZAUBWFWGAUCJZKLMZNGZBHIZWIWFWJCDZWKOPJZDZWMAUDZWNWJKPJDZWPWJUEWRWKKKL
      MZPJWOKWJUFOWSPULUGUHUIWKBUJQWFWLWHBHWFWGHDZRWLWGAUKGZSZWHWTWFWLXBUMWTWFR
      ZXAWLXCXAAWGPJDZWLSZWTWGTDATDXDXAVOWFWGUNZAUOWGAUPUQWTXDXEUMWFWTXDXEWTXDR
      ZWJTDZWGCDZKWGFGZWGWJNGZXEXGWFWNXHWTXDWGEDWFXGWGXGXIXJWTXIXJRZXDWTWGWODXL
      WGURWGUSVDUTZVAZVBAWGVCVEWQWJVFQXNXGXIXJXMVGWTXDXIXKXNWGAVHVEXHXIXJVIXKXE
      WGWJVJVKVLVPUTVMVQVNWFAVRDWGVRDWHXBVOWTAVSWTWGXFVTAWGWAUQWBWCWDWE $.
  $}

  ${
    $d n p $.
    $( There are an infinite number of primes.  Theorem 1.7 in [ApostolNT]
       p. 16.  (Contributed by Paul Chapman, 28-Nov-2012.) $)
    prminf $p |- Prime ~~ NN $=
      ( vn vp cprime cn wss cv clt wbr wrex wral cen prmssnn prmunb unben mp2an
      rgen ) CDEAFZBFGHBCIZADJCDKHLRADQBMPCABNO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Sum of prime reciprocals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d r x K $.  $d n r x z N $.  $d r x z Q $.
    prmreclem1.1 $e |- Q = ( n e. NN |->
      sup ( { r e. NN | ( r ^ 2 ) || n } , RR , < ) ) $.
    $( Lemma for ~ prmrec .  Properties of the "square part" function, which
       extracts the ` m ` of the decomposition ` N = r m ^ 2 ` , with ` m `
       maximal and ` r ` squarefree.  (Contributed by Mario Carneiro,
       5-Aug-2014.) $)
    prmreclem1 $p |- ( N e. NN -> ( ( Q ` N ) e. NN /\
      ( ( Q ` N ) ^ 2 ) || N /\
      ( K e. ( ZZ>= ` 2 ) -> -. ( K ^ 2 ) || ( N / ( ( Q ` N ) ^ 2 ) ) ) ) ) $=
      ( vz cn wcel c2 cexp co cdvds wbr cr clt cz cle c1 ad2antrr vx cfv cuz wn
      cdiv wi cv crab ssrab2 csup wceq breq2 rabbidv supeq1d supex fvmpt wss c0
      ltso wne wral wrex nnssz sstri oveq1 sq1 eqtrdi breq1d 1nn a1i nnz elrabd
      1dvds syl ne0d wa zsqcl id dvdsle syl2anr nnlesq adantl nnre resqcld letr
      adantr syl3anc mpand ralrimiva ralrab sylibr brralrspcev syl2anc suprzcl2
      mp3an2i eqeltrd sselid cbvrabv elrab2 sylib simprd nncnd mulid1d eluz2gt1
      syld cmul cc0 wb 1red eluz2nn nnred nngt0d ltmul2 syl112anc mpbid nnmulcl
      eqbrtrrd syl2an ltnled nnsqcld nnne0d dvdsval2 dvdscmul mpd sqmuld eqcomd
      simpr cc nncn divcan2d 3brtr3d suprzub breqtrrd mtand ex 3jca ) DHIZDAUBZ
      HIZYRJKLZDMNZCJUCUBIZCJKLZDYTUELZMNZUDZUFYQEUGZJKLZDMNZEHUHZHYRUUIEHUIZYQ
      YRUUJOPUJZUUJBDUUHBUGZMNZEHUHZOPUJUULHAUUMDUKZOUUOUUJPUUPUUNUUIEHUUMDUUHM
      ULUMUNFOUUJPUSUOUPZUUJQUQZYQUUJURUTGUGZUAUGRNGUUJVAUAQVBZUULUUJIUUJHQUUKV
      CVDZYQUUJSYQUUISDMNZESHUUGSUKZUUHSDMUVCUUHSJKLSUUGSJKVEVFVGVHSHIYQVIVJYQD
      QIZUVBDVKZDVMVNVLVOYQUVDUUSDRNZGUUJVAZUUTUVEYQUUSJKLZDMNZUVFUFZGHVAUVGYQU
      VJGHYQUUSHIZVPZUVIUVHDRNZUVFUVKUVHQIZYQUVIUVMUFYQUVKUUSQIUVNUUSVKUUSVQVNY
      QVRUVHDVSVTUVLUUSUVHRNZUVMUVFUVKUVOYQUUSWAWBUVLUUSOIZUVHOIDOIZUVOUVMVPUVF
      UFUVKUVPYQUUSWCWBZUVLUUSUVRWDYQUVQUVKDWCWFUUSUVHDWEWGWHXEWIUUIUVIUVFGEHUU
      GUUSUKUUHUVHDMUUGUUSJKVEVHZWJWKUAGUUSDRQUUJWLWMZUAGUUJWNWOWPZWQZYQYSUUAYQ
      YRUUJIYSUUAVPUWAUVIUUAGYRHUUJUUSYRUKUVHYTDMUUSYRJKVEVHUUIUVIEGHUVSWRWSWTX
      AZYQUUBUUFYQUUBVPZUUEYRCXFLZYRRNZUWDYRUWEPNUWFUDUWDYRSXFLZYRUWEPUWDYRUWDY
      RYQYSUUBUWBWFZXBZXCUWDSCPNZUWGUWEPNZUUBUWJYQCXDWBUWDSOICOIYROIXGYRPNUWJUW
      KXHUWDXIUWDCUUBCHIZYQCXJZWBZXKUWDYRUWHXKZUWDYRUWHXLSCYRXMXNXOXQUWDYRUWEUW
      OUWDUWEYQYSUWLUWEHIZUUBUWBUWMYRCXPXRZXKXSXOUWDUUEVPZUWEUULYRRUURUWRUUTUWE
      UUJIUWEUULRNUVAYQUUTUUBUUEUVTTUWRUUIUWEJKLZDMNEUWEHUUGUWEUKUUHUWSDMUUGUWE
      JKVEVHUWDUWPUUEUWQWFUWRYTUUCXFLZYTUUDXFLZUWSDMUWRUUEUWTUXAMNZUWDUUEYGUWRU
      UCQIZUUDQIZYTQIZUUEUXBUFUWRUUCHIUXCUWRCUWDUWLUUEUWNWFZXTUUCVKVNYQUXDUUBUU
      EYQUUAUXDUWCYQUXEYTXGUTZUVDUUAUXDXHYQHQYTVCYQYRUWBXTZWQZYQYTUXHYAZUVEYTDY
      BWGXOTYQUXEUUBUUEUXITYTUUCUUDYCWGYDUWRUWSUWTUWRYRCUWDYRYHIUUEUWIWFUWRCUXF
      XBYEYFUWRDYTYQDYHIUUBUUEDYITUWRYTYQYTHIUUBUUEUXHTXBYQUXGUUBUUEUXJTYJYKVLU
      AGUUJUWEYLWOYQYRUULUKUUBUUEUUQTYMYNYOYP $.
  $}

  ${
    $d j k m n p r w x y z F $.  $d j k n p q x y z K $.  $d k n p q x y z M $.
    $d r A $.  $d j k n p q x y z ph $.  $d n p r x y z Q $.  $d j k q x W $.
    $d j k n p q x y z N $.
    prmrec.1 $e |- F = ( n e. NN |-> if ( n e. Prime , ( 1 / n ) , 0 ) ) $.
    ${
      prmrec.2 $e |- ( ph -> K e. NN ) $.
      prmrec.3 $e |- ( ph -> N e. NN ) $.
      prmrec.4 $e |- M = { n e. ( 1 ... N ) |
        A. p e. ( Prime \ ( 1 ... K ) ) -. p || n } $.
      ${
        prmreclem2.5 $e |- Q = ( n e. NN |->
          sup ( { r e. NN | ( r ^ 2 ) || n } , RR , < ) ) $.
        $( Lemma for ~ prmrec .  There are at most ` 2 ^ K ` squarefree numbers
           which divide no primes larger than ` K ` .  (We could strengthen
           this to ` 2 ^ # ( Prime i^i ( 1 ... K ) ) ` but there's no reason
           to.)  We establish the inequality by showing that the prime counts
           of the number up to ` K ` completely determine it because all higher
           prime counts are zero, and they are all at most ` 1 ` because no
           square divides the number, so there are at most ` 2 ^ K `
           possibilities.  (Contributed by Mario Carneiro, 5-Aug-2014.) $)
        prmreclem2 $p |- ( ph ->
          ( # ` { x e. M | ( Q ` x ) = 1 } ) <_ ( 2 ^ K ) ) $=
          ( c1 cc0 co c2 wcel vy vz cv cfv wceq crab chash cpr cfz cmap cle wbr
          cexp cdom cvv ovex cprime cpc cif cmpt wa fveqeq2 elrab wf caddc cdiv
          clt wn cdvds cuz cdif wral ssrab3 simprl ad2antrr sselid elfznn simpr
          cn prmuz2 wi prmreclem1 simp3d sylc simprr oveq1d eqtrdi oveq2d nncnd
          syl sq1 div1d eqtrd cz cn0 wb bitr4d cr sylancl mpbird eleqtrdi 1e0p1
          a1i 1z c0ex ex syl5bi weq ifex eqid fnmpti mp2an oveq1 ifbieq1d fvmpt
          wfn eqeq12d ralbiia bitri breq2 notbid ralbidv elrab2 simprbi syl2anr
          cin cun inundif raleqi ralunb bitr3i iffalse iftrue nnnn0d cfn ssrab2
          pceq0 wss ssfi sylancr breq2d nnzd pcdvdsb syl3anc mtbid pccld nn0red
          2nn0 2re ltnle df-2 breqtrdi nn0zd zleltp1 nn0uz elfz5 0z fzpr oveq2i
          ax-mp preq2i 3eqtr4i prid1 ifclda fmpttd sylibr anbi12i eqfnfv eleq1w
          prex elmap simprll simprrl r19.26 fz1ssnn sstri anbi12d eqtr3 syl6bir
          eldifi ralimdva mp2and biantrud incom uneq1i eqtri eldifn eqtr4d rgen
          syl5bir biantru elinel1 3bitr4g pc11 syl2anc syl5bb dom2d mpi eqeltri
          fzfi fzfid mapfi hashdom hashmap prhash2ex hashfz1 oveq12d breqtrd
          prfi ) ABUCZCUDPUEZBGUFZUGUDZQPUHZPFUIRZUJRZUGUDZSFUMRZUKAUXMUXQUKULZ
          UXLUXPUNULZAUXPUOTUXTUXNUXOUJUPAUAUBUXLUXPDUXODUCZUQTZUYAUAUCZURRZQUS
          ZUTZDUXOUYBUYAUBUCZURRZQUSZUTZUOUYCUXLTZUYCGTZUYCCUDZPUEZVAZAUYFUXPTZ
          UXKUYNBUYCGUXJUYCPCVBVCZAUYOUYPAUYOVAZUXOUXNUYFVDUYPUYRDUXOUYEUXNUYRU
          YAUXOTZVAZUYBUYDQUXNUYTUYBVAZUYDQPUIRZUXNVUAUYDVUBTZUYDPUKULZVUAVUDUY
          DPPVERZVGULZVUAUYDSVUEVGVUAUYDSVGULZSUYDUKULZVHZVUAUYASUMRZUYCUYMSUMR
          ZVFRZVIULZVUHVUAUYCVSTZUYASVJUDTZVUMVHZVUAUYCPHUIRZTZVUNVUAGVUQUYCJUC
          ZUYAVIULZVHZJUQUXOVKZVLZDVUQGNVMZUYRUYLUYSUYBAUYLUYNVNVOVPUYCHVQWJZVU
          AUYBVUOUYTUYBVRZUYAVTWJVUNUYMVSTVUKUYCVIULVUOVUPWACDUYAUYCIOWBWCWDVUA
          VUMVUJUYCVIULZVUHVUAVULUYCVUJVIVUAVULUYCPVFRUYCVUAVUKPUYCVFVUAVUKPSUM
          RPVUAUYMPSUMUYRUYNUYSUYBAUYLUYNWEVOWFWKWGWHVUAUYCVUAUYCVVEWIWLWMUUAVU
          AUYBUYCWNTSWOTZVUHVVGWPVVFVUAUYCVVEUUBVVHVUAUUHXCSUYAUYCUUCUUDWQUUEVU
          AUYDWRTSWRTVUGVUIWPVUAUYDVUAUYAUYCVVFVVEUUFZUUGUUIUYDSUUJWSWTUUKUULVU
          AUYDWNTPWNTZVUDVUFWPVUAUYDVVIUUMXDUYDPUUNWSWTVUAUYDQVJUDZTVVJVUCVUDWP
          VUAUYDWOVVKVVIUUOXAXDUYDQPUUPWSWTQQPVERZUIRZQVVLUHZVUBUXNQWNTVVMVVNUE
          UUQQUURUUTPVVLQUIXBUUSPVVLQXBUVAUVBXAQUXNTUYTUYBVHVAQPXEUVCXCUVDUVEUX
          NUXOUYFQPUVJPFUIUPUVKUVFXFXGUYKUYGUXLTZVAUYOUYGGTZUYGCUDPUEZVAZVAZAUY
          FUYJUEZUAUBXHZWPZUYKUYOVVOVVRUYQUXKVVQBUYGGUXJUYGPCVBVCUVGAVVSVWBVVTV
          USUQTZVUSUYCURRZQUSZVWCVUSUYGURRZQUSZUEZJUXOVLZAVVSVAZVWAVVTVUSUYFUDZ
          VUSUYJUDZUEZJUXOVLZVWIUYFUXOXPUYJUXOXPVVTVWNWPDUXOUYEUYFUYBUYDQUYAUYC
          URUPXEXIUYFXJZXKDUXOUYIUYJUYBUYHQUYAUYGURUPXEXIUYJXJZXKJUXOUYFUYJUVHX
          LVWMVWHJUXOVUSUXOTVWKVWEVWLVWGDVUSUYEVWEUXOUYFDJXHZUYBVWCUYDVWDQDJUQU
          VIZUYAVUSUYCURXMXNVWOVWCVWDQVUSUYCURUPXEXIXODVUSUYIVWGUXOUYJVWQUYBVWC
          UYHVWFQVWRUYAVUSUYGURXMXNVWPVWCVWFQVUSUYGURUPXEXIXOXQXRXSVWJVWIVWDVWF
          UEZJUQVLZVWAVWJVWSJUQUXOYFZVLZVXBVWSJVVBVLZVAZVWIVWTVWJVXCVXBVWJVUSUY
          CVIULZVHZJVVBVLZVUSUYGVIULZVHZJVVBVLZVXCVWJUYLVXGAUYLUYNVVRUVLZUYLVUR
          VXGVVCVXGDUYCVUQGDUAXHZVVAVXFJVVBVXLVUTVXEUYAUYCVUSVIXTYAYBNYCYDWJVWJ
          VVPVXJAUYOVVPVVQUVMZVVPUYGVUQTVXJVVCVXJDUYGVUQGDUBXHZVVAVXIJVVBVXNVUT
          VXHUYAUYGVUSVIXTYAYBNYCYDWJVXGVXJVAVXFVXIVAZJVVBVLVWJVXCVXFVXIJVVBUVN
          VWJVXOVWSJVVBVWJVUSVVBTZVAZVXOVWDQUEZVWFQUEZVAVWSVXQVXRVXFVXSVXIVXPVW
          CVUNVXRVXFWPVWJVUSUQUXOUVTZVWJGVSUYCGVUQVSVVDHUVOUVPZVXKVPZVUSUYCYQYE
          VXPVWCUYGVSTVXSVXIWPVWJVXTVWJGVSUYGVYAVXMVPZVUSUYGYQYEUVQVWDVWFQUVRUV
          SUWAUWJUWBUWCVWIVWHJVXAVLZVWHJUXOUQVKZVLZVAZVXBVWIVWHJVXAVYEYGZVLVYGV
          WHJVYHUXOVYHUXOUQYFZVYEYGUXOVXAVYIVYEUQUXOUWDUWEUXOUQYHUWFYIVWHJVXAVY
          EYJYKVYGVYDVXBVYFVYDVWHJVYEVUSVYETVWCVHZVWHVUSUXOUQUWGVYJVWEQVWGVWCVW
          DQYLVWCVWFQYLUWHWJUWIUWKVWHVWSJVXAVUSVXATVWCVWHVWSWPVUSUQUXOUWLVWCVWE
          VWDVWGVWFVWCVWDQYMVWCVWFQYMXQWJXRYKXSVWTVWSJVXAVVBYGZVLVXDVWSJVYKUQUQ
          UXOYHYIVWSJVXAVVBYJYKUWMVWJUYCWOTUYGWOTVWAVWTWPVWJUYCVYBYNVWJUYGVYCYN
          UYCUYGJUWNUWOWQUWPXFXGUWQUWRAUXLYOTZUXPYOTZUXSUXTWPGYOTUXLGYRVYLGVVCD
          VUQUFZYONVUQYOTVYNVUQYRVYNYOTPHUWTVVCDVUQYPVUQVYNYSXLUWSUXKBGYPGUXLYS
          XLAUXNYOTZUXOYOTZVYMQPUXIZAPFUXAZUXNUXOUXBYTUXLUXPYOUXCYTWTAUXQUXNUGU
          DZUXOUGUDZUMRZUXRAVYOVYPUXQWUAUEVYQVYRUXNUXOUXDYTAVYSSVYTFUMVYSSUEAUX
          EXCAFWOTVYTFUEAFLYNFUXFWJUXGWMUXH $.

        $( Lemma for ~ prmrec .  The main inequality established here is
           ` # M <_ # { x e. M | ( Q `` x ) = 1 } x. sqrt N ` , where
           ` { x e. M | ( Q `` x ) = 1 } ` is the set of squarefree numbers in
           ` M ` .  This is demonstrated by the map
           ` y |-> <. y / ( Q `` y ) ^ 2 , ( Q `` y ) >. ` where ` Q `` y ` is
           the largest number whose square divides ` y ` .  (Contributed by
           Mario Carneiro, 5-Aug-2014.) $)
        prmreclem3 $p |- ( ph
             -> ( # ` M ) <_ ( ( 2 ^ K ) x. ( sqrt ` N ) ) ) $=
          ( c2 co wcel cdvds wbr cle vx vy vz chash cfv cexp csqrt cfl cmul cfn
          cA cr cn0 c1 cfz fzfi cv wn cprime cdif wral ssrab3 ssfi mp2an hashcl
          wss ax-mp nn0rei a1i cn 2nn nnnn0d nnexpcl sylancr wa nnrpd rpsqrtcld
          cc0 rprege0d flge0nn0 nn0mulcld nn0red nnred rpred remulcld wceq crab
          syl ssrab2 remulcl cxp cdom xpfi cdiv cop fveqeq2 cz clt simpr sselid
          elfznn cuz wi prmreclem1 simp2d wne wb simp1d nnsqcld nnne0d dvdsval2
          nnzd syl3anc mpbid nnre nngt0 syl2an syl2anc sylanbrc adantr divcan1d
          jca nncnd breqtrd dvdsle mpd letrd eleqtrdi elfz5 mpbird breq2 notbid
          nnuz weq ralbidv elrab2 sylib crp rprege0 ex divgt0 elnnz simprd prmz
          dvdsmul1 elfzle2 eldifi adantl dvdstr mpan2d ralimdva wo elnn1uz2 ord
          con3d simp3d sylsyld mt4d elrabd recnd sqsqrtd breqtrrd le2sq opelxpd
          flge nn0zd ovex fvex oveq1 oveq12 sylan2 sylbi adantrr fz1ssnn simprr
          opth sstri eqeq12d syl5ib id fveq2 oveq1d oveq12d opeq12d impbid1 mpi
          dom2d hashdom sylibr hashxp hashfz1 oveq2d eqtrid prmreclem2 lemul1ad
          nn0ge0d caddc fllelt simpld lemul2a syl31anc ) AFUDUEZOEUFPZGUGUEZUHU
          EZUIPZUXCUXDUIPZUXBULQAUXBFUJQZUXBUMQUNGUOPZUJQFUXIVFUXHUNGUPIUQZCUQZ
          RSZURZIUSUNEUOPZUTZVAZCUXIFMVBZUXIFVCVDZFVEVGVHVIZAUXFAUXCUXEAUXCAOVJ
          QEUMQUXCVJQVKAEKVLOEVMVNZVLAUXDULQZVRUXDTSVOZUXEUMQZAUXDAGAGLVPVQZVSU
          XDVTWHZWAWBZAUXCUXDAUXCUXTWCZAUXDUYDWDZWEAUXBUAUQZBUEUNWFZUAFWGZUDUEZ
          UXEUIPZUXFUXSAUYLULQZUXEULQZUYMULQUYLUYKUJQZUYLUMQUXHUYKFVFUYPUXRUYJU
          AFWIFUYKVCVDZUYKVEVGVHZAUXEUYEWBZUYLUXEWJVNUYFAUXBUYKUNUXEUOPZWKZUDUE
          ZUYMTAFVUAWLSZUXBVUBTSZAVUAUJQZVUCUYPUYTUJQZVUEUYQUNUXEUPZUYKUYTWMVDZ
          AUBUCFVUAUBUQZVUIBUEZOUFPZWNPZVUJWOZUCUQZVUNBUEZOUFPZWNPZVUOWOZUJAVUI
          FQZVUMVUAQAVUSVOZVULVUJUYKUYTVUTUYJVULBUEZUNWFZUAVULFUYIVULUNBWPVUTVU
          LUXIQZUXJVULRSZURZIUXOVAZVULFQVUTVVCVULGTSZVUTVULVUIGVUTVULVUTVULWQQZ
          VRVULWRSZVULVJQZVUTVUKVUIRSZVVHVUTVUIVJQZVVKVUTVUIUXIQZVVLVUTFUXIVUIU
          XQAVUSWSZWTZVUIGXAWHZVVLVUJVJQZVVKUXKOXBUEZQUXKOUFPVULRSURXCZBCUXKVUI
          HNXDZXEWHZVUTVUKWQQZVUKVRXFVUIWQQZVVKVVHXGVUTVUKVUTVUJVUTVVLVVQVVPVVL
          VVQVVKVVSVVTXHWHZXIZXLZVUTVUKVWEXJZVUTVUIVVPXLZVUKVUIXKXMXNZVUTVVLVUK
          VJQZVVIVVPVWEVVLVUIULQZVRVUIWRSZVOVUKULQZVRVUKWRSZVOVVIVWJVVLVWKVWLVU
          IXOVUIXPYBVWJVWMVWNVUKXOVUKXPYBVUIVUKUUAXQXRVULUUBXSZWCVUTVUIVVPWCZAG
          ULQVUSAGLWCXTZVUTVULVUIRSZVULVUITSZVUTVULVULVUKUIPZVUIRVUTVVHVWBVULVW
          TRSVWIVWFVULVUKUUEXRVUTVUIVUKVUTVUIVVPYCVUTVUKVWEYCVWGYAZYDZVUTVVHVVL
          VWRVWSXCVWIVVPVULVUIYEXRYFVUTVVMVUIGTSVVOVUIUNGUUFWHZYGVUTVULUNXBUEZQ
          GWQQZVVCVVGXGVUTVULVJVXDVWOYMYHAVXEVUSAGLXLXTVULUNGYIXRYJVUTUXJVUIRSZ
          URZIUXOVAZVVFVUTVVMVXHVUTVUSVVMVXHVOVVNUXPVXHCVUIUXIFCUBYNZUXMVXGIUXO
          VXIUXLVXFUXKVUIUXJRYKYLYOMYPYQUUCVUTVXGVVEIUXOVUTUXJUXOQZVOZVVDVXFVXK
          VVDVWRVXFVUTVWRVXJVXBXTVXKUXJWQQZVVHVWCVVDVWRVOVXFXCVXJVXLVUTVXJUXJUS
          QVXLUXJUSUXNUUGUXJUUDWHUUHVUTVVHVXJVWIXTVUTVWCVXJVWHXTUXJVULVUIUUIXMU
          UJUUOUUKYFUXPVVFCVULUXIFUXKVULWFZUXMVVEIUXOVXMUXLVVDUXKVULUXJRYKYLYOM
          YPXSVUTVVAOUFPZVULRSZVVBVUTVVJVXOVWOVVJVVAVJQZVXOUKVVRQUKOUFPVULVXNWN
          PRSURXCZBCUKVULHNXDZXEWHVUTVVLVVBURVVAVVRQZVXOURZVVPVUTVVBVXSVUTVXPVV
          BVXSUULVUTVVJVXPVWOVVJVXPVXOVXQVXRXHWHVVAUUMYQUUNVVLVVQVVKVXSVXTXCBCV
          VAVUIHNXDUUPUUQUURUUSVUTVUJUYTQZVUJUXETSZVUTVUJUXDTSZVYBVUTVYCVUKUXDO
          UFPZTSZVUTVUKGVYDTVUTVUKVUIGVUTVUKVWEWCVWPVWQVUTVVKVUKVUITSZVWAVUTVWB
          VVLVVKVYFXCVWFVVPVUKVUIYEXRYFVXCYGVUTGVUTGVWQUUTUVAUVBVUTVUJYRQZUXDYR
          QZVYCVYEXGZVUTVUJVWDVPAVYHVUSUYDXTVYGVUJULQVRVUJTSVOUYBVYIVYHVUJYSUXD
          YSVUJUXDUVCXQXRYJVUTUYAVUJWQQVYCVYBXGAUYAVUSUYHXTVUTVUJVWDXLUXDVUJUVE
          XRXNVUTVUJVXDQUXEWQQZVYAVYBXGVUTVUJVJVXDVWDYMYHAVYJVUSAUXEUYEUVFXTVUJ
          UNUXEYIXRYJUVDYTAVUSVUNFQZVOZVUMVURWFZUBUCYNZXGAVYLVOZVYMVYNVYMVWTVUQ
          VUPUIPZWFZVYOVYNVYMVULVUQWFZVUJVUOWFZVOVYQVULVUJVUQVUOVUIVUKWNUVGVUIB
          UVHUVPVYSVYRVUKVUPWFVYQVUJVUOOUFUVIVULVUQVUKVUPUIUVJUVKUVLVYOVWTVUIVY
          PVUNAVUSVWTVUIWFVYKVXAUVMVYOVUNVUPVYOVUNVYOFVJVUNFUXIVJUXQGUVNUVQAVUS
          VYKUVOWTZYCVYOVUPVYOVUOVYOVUNVJQZVUOVJQZVYTWUAWUBVUPVUNRSOVVRQOOUFPVU
          QRSURXCBCOVUNHNXDXHWHXIZYCVYOVUPWUCXJYAUVRUVSVYNVULVUQVUJVUOVYNVUIVUN
          VUKVUPWNVYNUVTVYNVUJVUOOUFVUIVUNBUWAZUWBUWCWUDUWDUWEYTUWGUWFUXHVUEVUD
          VUCXGUXRVUHFVUAUJUWHVDUWIAVUBUYLUYTUDUEZUIPZUYMUYPVUFVUBWUFWFUYQVUGUY
          KUYTUWJVDAWUEUXEUYLUIAUYCWUEUXEWFUYEUXEUWKWHUWLUWMYDAUYLUXCUXEUYNAUYR
          VIUYGUYSAUXEUYEUWPAUABCDEFGHIJKLMNUWNUWOYGAUYOUYAUXCULQVRUXCTSVOUXEUX
          DTSZUXFUXGTSUYSUYHAUXCAUXCUXTVPVSAWUGUXDUXEUNUWQPWRSZAUYAWUGWUHVOUYHU
          XDUWRWHUWSUXEUXDUXCUWTUXAYG $.
      $}

      prmrec.5 $e |- ( ph -> seq 1 ( + , F ) e. dom ~~> ) $.
      prmrec.6 $e |- ( ph -> sum_ k e. ( ZZ>= ` ( K + 1 ) )
        if ( k e. Prime , ( 1 / k ) , 0 ) < ( 1 / 2 ) ) $.
      prmrec.7 $e |- W = ( p e. NN |-> { n e. ( 1 ... N ) |
        ( p e. Prime /\ p || n ) } ) $.
      $( Lemma for ~ prmrec .  Show by induction that the indexed (nondisjoint)
         union ` W `` k ` is at most the size of the prime reciprocal series.
         The key counting lemma is ~ hashdvds , to show that the number of
         numbers in ` 1 ... N ` that divide ` k ` is at most ` N / k ` .
         (Contributed by Mario Carneiro, 6-Aug-2014.) $)
      prmreclem4 $p |- ( ph -> ( N e. ( ZZ>= ` K ) ->
        ( # ` U_ k e. ( ( K + 1 ) ... N ) ( W ` k ) ) <_
          ( N x. sum_ k e. ( ( K + 1 ) ... N )
            if ( k e. Prime , ( 1 / k ) , 0 ) ) ) ) $=
        ( wcel co cc0 cle vx vj cuz cfv c1 caddc cfz ciun chash cprime cdiv cif
        cv csu cmul wbr wceq oveq2 iuneq1d fveq2d sumeq1d oveq2d breq12d imbi2d
        wi weq 0le0 nncnd mul01d breqtrrid c0 clt nnred ltp1d nnzd peano2zd fzn
        cz wb syl2anc mpbid 0iun eqtrdi hash0 3brtr4d wa cfn cn0 wral elfzuz cn
        wss peano2nnd eluznn sylan cdvds crab eleq1 breq1 anbi12d rabbidv rabex
        ovex fvmpt adantl sylan2 ralrimiva adantr iunss sylibr ssfi sylancr syl
        hashcl nn0red cr fzfid sylancl fsumrecl remulcld wn cmin cc simpl recnd
        syl2an zcnd ax-1cn pncan eqtrd breq2d readdcld cun simpr subid1d fveq2i
        eqtri cfl 1m1e0 oveq1i sum0 fzfi ssrab2 eqsstrdi nnrecre 0re ifcl prmnn
        syldan nnrecred 0red ifclda leadd1d fsumm1 eluzelz oveq1d adddid bitr4d
        eluzp1p1 ifbieq1d fveq2 sseq1d csn eleqtrrd fzsuc2 iunxun iunxsn uneq2i
        rspcdva hashun2 eqbrtrd nndivred flle elfznn rabbiia 1zzd nnnn0d eqtr4i
        nn0uz eleqtrdi 0zd hashdvds fvoveq1d 0m0e0 nnne0d div0d eqtrid 0z ax-mp
        oveq12d flcld 3eqtrd eqtr3id divrecd eqcomd biantrurd eqtr4d iftrue a1i
        flid con3i ralrimivw rabeq0 sylan9eq sylan9eqr pm2.61dan leadd2dd letrd
        iffalse letr syl3anc mpand sylbid expcom a2d uzind4i com12 ) GEUCUDZQAB
        EUEUFRZGUGRZBUMZHUDZUHZUIUDZGUXTUYAUJQZUEUYAUKRZSULZBUNZUORZTUPZABUXSUA
        UMZUGRZUYBUHZUIUDZGUYLUYGBUNZUORZTUPZVEABUXSEUGRZUYBUHZUIUDZGUYRUYGBUNZ
        UORZTUPZVEABUXSUBUMZUGRZUYBUHZUIUDZGVUEUYGBUNZUORZTUPZVEABUXSVUDUEUFRZU
        GRZUYBUHZUIUDZGVULUYGBUNZUORZTUPZVEAUYJVEUAUBEGUYKEUQZUYQVUCAVURUYNUYTU
        YPVUBTVURUYMUYSUIVURBUYLUYRUYBUYKEUXSUGURZUSUTVURUYOVUAGUOVURUYLUYRUYGB
        VUSVAVBVCVDUAUBVFZUYQVUJAVUTUYNVUGUYPVUITVUTUYMVUFUIVUTBUYLVUEUYBUYKVUD
        UXSUGURZUSUTVUTUYOVUHGUOVUTUYLVUEUYGBVVAVAVBVCVDUYKVUKUQZUYQVUQAVVBUYNV
        UNUYPVUPTVVBUYMVUMUIVVBBUYLVULUYBUYKVUKUXSUGURZUSUTVVBUYOVUOGUOVVBUYLVU
        LUYGBVVCVAVBVCVDUYKGUQZUYQUYJAVVDUYNUYDUYPUYITVVDUYMUYCUIVVDBUYLUXTUYBU
        YKGUXSUGURZUSUTVVDUYOUYHGUOVVDUYLUXTUYGBVVEVAVBVCVDASGSUORZUYTVUBTASSVV
        FTVGAGAGLVHZVIZVJAUYTVKUIUDZSAUYSVKUIAUYSBVKUYBUHVKABUYRVKUYBAEUXSVLUPZ
        UYRVKUQZAEAEKVMVNAUXSVRQZEVRQVVJVVKVSAEAEKVOZVPZVVMUXSEVQVTWAZUSBUYBWBW
        CUTWDWCAVUASGUOAVUAVKUYGBUNSAUYRVKUYGBVVOVAUYGBUUAWCVBWEVUDUXRQZAVUJVUQ
        AVVPVUJVUQVEAVVPWFZVUJVUGGVUKUJQZUEVUKUKRZSULZUORZUFRZVUPTUPZVUQVVQVUJV
        WBVUIVWAUFRZTUPVWCVVQVUGVUIVWAVVQVUGVVQVUFWGQZVUGWHQVVQUEGUGRZWGQZVUFVW
        FWLZVWEUEGUUBZVVQUYBVWFWLZBVUEWIZVWHAVWKVVPAVWJBVUEUYAVUEQZAUYAUXSUCUDZ
        QZVWJUYAUXSVUDWJZAVWNUYAWKQZVWJAUXSWKQZVWNVWPAEKWMZUYAUXSWNZWOZAVWPWFUY
        BUYEUYACUMZWPUPZWFZCVWFWQZVWFVWPUYBVXDUQAIUYAIUMZUJQZVXEVXAWPUPZWFZCVWF
        WQZVXDWKHIBVFZVXHVXCCVWFVXJVXFUYEVXGVXBVXEUYAUJWRVXEUYAVXAWPWSWTXAPVXCC
        VWFUEGUGXCZXBXDXEVXCCVWFUUCUUDZUUIZXFXGXHBVUEUYBVWFXIXJVWFVUFXKXLZVUFXN
        XMXOZVVQGVUHAGXPQVVPAGLVMXHZVVQVUEUYGBVVQUXSVUDXQVVQVWLWFVWPUYGXPQZVVQV
        WQVWNVWPVWLAVWQVVPVWRXHVWOVWSYFVWPUYFXPQSXPQVXQUYAUUEUUFUYEUYFSXPUUGXRZ
        XMXSZXTVVQGVVTVXPVVQVVRVVSSXPVVRVVSXPQVVQVVRVUKVUKUUHUUJXEVVQVVRYAZWFZU
        UKUULZXTZUUMVVQVUPVWDVWBTVVQVUPGVUHVVTUFRZUORVWDVVQVUOVYDGUOVVQVUOUXSVU
        KUEYBRZUGRZUYGBUNZVVTUFRVYDVVQUYGVVTBUXSVUKVVPVUKVWMQAEVUDUUSXEVVQAVWNU
        YGYCQZUYAVULQZAVVPYDZUYAUXSVUKWJZAVWNWFZVWPVYHVWTVWPUYGVXRYEXMYFUYAVUKU
        QZUYEVVRUYFVVSSUYAVUKUJWRUYAVUKUEUKURUUTUUNVVQVYGVUHVVTUFVVQVYFVUEUYGBV
        VQVYEVUDUXSUGVVQVUDYCQUEYCQZVYEVUDUQVVQVUDVVPVUDVRQAEVUDUUOXEYGYHVUDUEY
        IXRVBVAUUPYJVBVVQGVUHVVTAGYCQVVPVVGXHZVVQVUHVXSYEVVQVVTVYBYEUUQYJYKUURV
        VQVUNVWBTUPZVWCVUQVVQVUNVUGVUKHUDZUIUDZUFRZVWBVVQVUNVVQVUMWGQZVUNWHQVVQ
        VWGVUMVWFWLZVYTVWIVVQVWJBVULWIZWUAAWUBVVPAVWJBVULVYIAVWNVWJVYKVXMXFXGXH
        BVULUYBVWFXIXJVWFVUMXKXLVUMXNXMXOZVVQVUGVYRVXOVVQVYRVVQVYQWGQZVYRWHQVVQ
        VWGVYQVWFWLZWUDVWIVVQVWJWUEBWKVUKVYMUYBVYQVWFUYAVUKHUVAZUVBAVWJBWKWIVVP
        AVWJBWKVXLXGXHVVQVUDAEWKQVVPVUDWKQKVUDEWNWOWMZUVIVWFVYQXKXLZVYQXNXMXOZY
        LVVQVUGVWAVXOVYCYLZVVQVUNVUFVYQYMZUIUDZVYSTVVQVUMWUKUIVVQVUMBVUEVUKUVCZ
        YMZUYBUHZWUKVVQBVULWUNUYBVVQVVLVUDUXSUEYBRZUCUDZQVULWUNUQAVVLVVPVVNXHVV
        QVUDUXRWUQAVVPYNVVQWUPEUCVVQEYCQZVYNWUPEUQAWURVVPAEKVHXHYHEUEYIXRUTUVDU
        XSVUDUVEVTUSWUOVUFBWUMUYBUHZYMWUKBVUEWUMUYBUVFWUSVYQVUFBVUKUYBVYQVUDUEU
        FXCWUFUVGUVHYQWCUTVVQVWEWUDWULVYSTUPVXNWUHVUFVYQUVJVTUVKVVQVYRVWAVUGWUI
        VYCVXOVVQVVRVYRVWATUPVVQVVRWFZVUKVXAWPUPZCVWFWQZUIUDZGVVSUORZVYRVWATVVQ
        WVCWVDTUPVVRVVQGVUKUKRZYRUDZWVEWVCWVDTVVQWVEXPQWVFWVETUPVVQGVUKVXPWUGUV
        LZWVEUVMXMVVQWVCVUKVXASYBRZWPUPZCVWFWQZUIUDZWVFWVJWVBUIWVIWVACVWFVXAVWF
        QZWVHVXAVUKWPWVLVXAWVLVXAVXAGUVNVHYOYKUVOYPVVQWVKGSYBRZVUKUKRYRUDZUEUEY
        BRZSYBRZVUKUKRZYRUDZYBRWVFSYBRWVFVVQCUEGSVUKWUGVVQUVPAGWVOUCUDZQVVPAGWH
        WVSAGLUVQWHSUCUDWVSUVSWVOSUCYSYPUVRUVTXHVVQUWAUWBVVQWVNWVFWVRSYBVVQWVMG
        VUKYRUKVVQGVYOYOUWCVVQWVRSYRUDZSVVQWVQSYRVVQWVQSVUKUKRSWVPSVUKUKWVPSSYB
        RSWVOSSYBYSYTUWDYQYTVVQVUKVVQVUKWUGVHZVVQVUKWUGUWEZUWFUWGUTSVRQWVTSUQUW
        HSUWTUWIWCUWJVVQWVFVVQWVFVVQWVEWVGUWKYGYOUWLUWMVVQWVEWVDVVQGVUKVYOWWAWW
        BUWNUWOWEXHWUTVYQWVBUIWUTVYQVVRWVAWFZCVWFWQZWVBVVQVYQWWDUQZVVRVVQVUKWKQ
        WWEWUGIVUKVXIWWDWKHVXEVUKUQZVXHWWCCVWFWWFVXFVVRVXGWVAVXEVUKUJWRVXEVUKVX
        AWPWSWTXAPWWCCVWFVXKXBXDXMZXHWUTWVAWWCCVWFWUTVVRWVAVVQVVRYNUWPXAUWQUTWU
        TVVTVVSGUOVVRVVTVVSUQVVQVVRVVSSUWRXEVBWEVYASSVYRVWATSSTUPVYAVGUWSVYAVYR
        VVISVYAVYQVKUIVVQVXTVYQWWDVKWWGVXTWWCYAZCVWFWIWWDVKUQVXTWWHCVWFWWCVVRVV
        RWVAYDUXAUXBWWCCVWFUXCXJUXDUTWDWCVXTVVQVWAVVFSVXTVVTSGUOVVRVVSSUXIVBAVV
        FSUQVVPVVHXHUXEWEUXFUXGUXHVVQVUNXPQVWBXPQVUPXPQVYPVWCWFVUQVEWUCWUJVVQGV
        UOVXPVVQVULUYGBVVQUXSVUKXQVVQAVWNVXQVYIVYJVYKVYLVWPVXQVWTVXRXMYFXSXTVUN
        VWBVUPUXJUXKUXLUXMUXNUXOUXPUXQ $.

      $( Lemma for ~ prmrec .  Here we show the inequality ` N / 2 < # M ` by
         decomposing the set ` ( 1 ... N ) ` into the disjoint union of the set
         ` M ` of those numbers that are not divisible by any "large" primes
         (above ` K ` ) and the indexed union over ` K < k ` of the numbers
         ` W `` k ` that divide the prime ` k ` .  By ~ prmreclem4 the second
         of these has size less than ` N ` times the prime reciprocal series,
         which is less than ` 1 / 2 ` by assumption, we find that the
         complementary part ` M ` must be at least ` N / 2 ` large.
         (Contributed by Mario Carneiro, 6-Aug-2014.) $)
      prmreclem5 $p |- ( ph -> ( N / 2 ) < ( ( 2 ^ K ) x. ( sqrt ` N ) ) ) $=
        ( wcel wbr cn cc0 vx vq vr c2 cdiv chash cfv cexp csqrt nnred rehalfcld
        co cmul cr cfn cn0 c1 cfz fzfi cv cdvds wn cprime cdif wral ssrab3 ssfi
        wss mp2an hashcl ax-mp nn0rei a1i nnexpcl sylancr nnrpd rpsqrtcld rpred
        2nn nnnn0d remulcld clt caddc ciun cun recnd 2halvesd peano2nnd wa crab
        cuz wceq eleq1w breq1 anbi12d rabbidv ovex rabex fvmpt adantl wi notbid
        weq breq2 ralbidv elrab2 ex wrex cz nnzd ad2antrr ad2antrl syl cle nnuz
        wb syl2anc mpbird mpbid ad2antlr simprr anbi2d fveq2d c0 simprbi eleq2d
        cin elin imnan sylnibr cif csu sylancl 0le0 eqtrdi cseq cc lelttrd csup
        sylib elfzuz eluznn syl2an ssrab2 eqsstrdi syldan ralrimiva iunss unssd
        sylibr cbvralvw syl5bb elun1 sylbir dfrex2 peano2zd eldifi eldifn prmnn
        prmz eleqtrdi elfz5 mtbid ltnled zltp1le elfznn mpd elfzle2 letrd elfzd
        dvdsle simplr jca elrabd eleqtrrd fveq2 eliuni elun2 rexlimdvaa syl5bir
        pm2.61d eqelssd hashfz1 eqtr2d noel simprl biantrud bitr4di ltp1d bitrd
        fzdisj mtbiri eldifd rspcdva expr elrab syl6bi mtod nrexdv eliun eq0rdv
        adantlr hashun syl3anc 3eqtrd nn0red fzfid nnrecre ifcl sylan2 fsumrecl
        sylan 0re prmreclem4 eluz nnleltp1 3bitrd mul01d breqtrrid iuneq1 hash0
        0iun sumeq1 sum0 oveq2d breq12d syl5ibrcom sylbid wo uztric mpjaod eqid
        fzn oveq2 ifbieq1d c0ex ifex cli cdm iserex isumrecl halfre fzssuz nnrp
        eqeltrd rpreccld rpge0d ifboth isumless nngt0d ltmul2 syl112anc wne 2cn
        2ne0 divrec mp3an23 breqtrrd ltadd2dd eqbrtrd ltadd1d cmpt oveq1 breq1d
        cbvrabv eqtrid supeq1d cbvmptv prmreclem3 ltletrd ) AGUDUEULZFUFUGZUDEU
        HULZGUIUGZUMULAGAGLUJZUKZVVLUNQAVVLFUOQZVVLUPQUQGURULZUOQZFVVRVHZVVQUQG
        USZIUTZCUTZVARZVBZIVCUQEURULZVDZVEZCVVRFMVFZVVRFVGVIZFVJVKVLVMZAVVMVVNA
        VVMAUDSQEUPQVVMSQVSAEKVTUDEVNVOUJAVVNAGAGLVPVQVRWAAVVKVVLWBRVVKVVKWCULZ
        VVLVVKWCULZWBRAVWLVVLBEUQWCULZGURULZBUTZHUGZWDZUFUGZWCULZVWMWBAVWLGFVWR
        WEZUFUGZVWTAGAGVVOWFZWGAVXBVVRUFUGZGAVXAVVRUFAUAVXAVVRAFVWRVVRVVTAVWIVM
        AVWQVVRVHZBVWOVEVWRVVRVHZAVXEBVWOAVWPVWOQZVWPSQZVXEAVWNSQZVWPVWNWKUGZQZ
        VXHVXGAEKWHZVWPVWNGUUAZVWPVWNUUBZUUCZAVXHWIVWQVWPVCQZVWPVWCVARZWIZCVVRW
        JZVVRVXHVWQVXSWLZAIVWPVWBVCQZVWDWIZCVVRWJZVXSSHIBXCZVYBVXRCVVRVYDVYAVXP
        VWDVXQIBVCWMVWBVWPVWCVAWNWOWPPVXRCVVRUQGURWQZWRWSZWTVXRCVVRUUDUUEUUFUUG
        BVWOVWQVVRUUHUUJZUUIAUAUTZVVRQZWIZUBUTZVYHVARZVBZUBVWGVEZVYHVXAQZVYIVYN
        VYOXAAVYIVYNVYOVYIVYNWIVYHFQZVYOVWHVYNCVYHVVRFVWHVYKVWCVARZVBZUBVWGVECU
        AXCZVYNVWEVYRIUBVWGIUBXCZVWDVYQVWBVYKVWCVAWNZXBUUKVYSVYRVYMUBVWGVYSVYQV
        YLVWCVYHVYKVAXDZXBXEUULMXFVYHFVWRUUMUUNXGWTVYNVBVYLUBVWGXHVYJVYOVYLUBVW
        GUUOVYJVYLVYOUBVWGVYJVYKVWGQZVYLWIZWIZVYHVWRQZVYOWUEVYKVWOQVYHVYKHUGZQW
        UFWUEVYKVWNGAVWNXIQZVYIWUDAEAEKXJZUUPZXKAGXIQZVYIWUDAGLXJZXKWUEVYKVCQZV
        YKXIQZWUCWUMVYJVYLVYKVCVWFUUQXLZVYKUUTXMZWUEEVYKWBRZVWNVYKXNRZWUEWUQVYK
        EXNRZVBWUEVYKVWFQZWUSWUCWUTVBVYJVYLVYKVCVWFUURXLWUEVYKUQWKUGZQEXIQZWUTW
        USXPWUEVYKSWVAWUEWUMVYKSQZWUOVYKUUSXMZXOUVAAWVBVYIWUDWUIXKZVYKUQEUVBXQU
        VCWUEEVYKAEUNQVYIWUDAEKUJZXKWUEVYKWVDUJZUVDXRWUEWVBWUNWUQWURXPWVEWUPEVY
        KUVEXQXSWUEVYKVYHGWVGWUEVYHVYIVYHSQZAWUDVYHGUVFXTZUJAGUNQZVYIWUDVVOXKWU
        EVYLVYKVYHXNRZVYJWUCVYLYAZWUEWUNWVHVYLWVKXAWUPWVIVYKVYHUVKXQUVGVYIVYHGX
        NRAWUDVYHUQGUVHXTUVIUVJWUEVYHWUMVYQWIZCVVRWJZWUGWUEWVMWUMVYLWICVYHVVRVY
        SVYQVYLWUMWUBYBAVYIWUDUVLWUEWUMVYLWUOWVLUVMUVNWUEWVCWUGWVNWLWVDIVYKVYCW
        VNSHVYTVYBWVMCVVRVYTVYAWUMVWDVYQIUBVCWMWUAWOWPPWVMCVVRVYEWRWSXMUVOBVYKV
        WQWUGVWOVYHVWPVYKHUVPUVQXQVYHVWRFUVRXMUVSUVTUWAUWBYCAGUPQVXDGWLAGLVTGUW
        CXMUWDAVVQVWRUOQZFVWRYGZYDWLVXBVWTWLVVQAVWJVMAVVSVXFWVOVWAVYGVVRVWRVGVO
        ZAUAWVPAVYPWUFWIZVYHWVPQAVYPWUFVBZXAWVRVBAVYPWVSAVYPWIZVYHVWQQZBVWOXHWU
        FWVTWWABVWOWVTVXGWIZWWAVXPVWPVYHVARZWIZWWBVXPWWCVBZXAWWDVBWVTVXGVXPWWEW
        VTVXGVXPWIZWIZVWBVYHVARZVBZWWEIVWGVWPVYDWWHWWCVWBVWPVYHVAWNXBVYPWWIIVWG
        VEZAWWFVYPVYIWWJVWHWWJCVYHVVRFVYSVWEWWIIVWGVYSVWDWWHVWCVYHVWBVAXDXBXEMX
        FYEXTWWGVWPVCVWFWVTVXGVXPYAWWGVWPVWFQZVWPYDQZVWPUWEWWGWWKVWPVWFVWOYGZQZ
        WWLWWGWWKWWKVXGWIWWNWWGVXGWWKWVTVXGVXPUWFUWGVWPVWFVWOYHUWHWWGWWMYDVWPAW
        WMYDWLZVYPWWFAEVWNWBRWWOAEWVFUWIUQEVWNGUWKXMXKYFUWJUWLUWMUWNUWOVXPWWCYI
        YTWWBWWAVYHVXSQZWWDWWBVWQVXSVYHWWBVXHVXTAVXGVXHVYPVXOUXBVYFXMYFWWPVYIWW
        DVXRWWDCVYHVVRVYSVXQWWCVXPVWCVYHVWPVAXDYBUWPYEUWQUWRUWSBVYHVWOVWQUWTYJX
        GVYPWUFYIYTVYHFVWRYHYJUXAFVWRUXCUXDUXEAVWSVVKVVLAVWSAWVOVWSUPQWVQVWRVJX
        MUXFZVVPVWKAVWSGVWOVXPUQVWPUEULZTYKZBYLZUMULZVVKWWQAGWWTVVOAVWOWWSBAVWN
        GUXGZVXGAVXKWWSUNQZVXMAVXKWIZVXHWXCAVXIVXKVXHVXLVXNUXLZVXHWWRUNQTUNQWXC
        VWPUXHUXMVXPWWRTUNUXIYMZXMZUXJUXKZWAVVPAGEWKUGQZVWSWXAXNRZEGWKUGQZABCDE
        FGHIJKLMNOPUXNAWXKVWOYDWLZWXJAWXKGEXNRZGVWNWBRZWXLAWUKWVBWXKWXMXPWULWUI
        GEUXOXQAGSQESQWXMWXNXPLKGEUXPXQAWUHWUKWXNWXLXPWUJWULVWNGUYMXQUXQAWXJWXL
        TGTUMULZXNRATTWXOXNYNAGVXCUXRUXSWXLVWSTWXAWXOXNWXLVWSYDUFUGTWXLVWRYDUFW
        XLVWRBYDVWQWDYDBVWOYDVWQUXTBVWQUYBYOYCUYAYOWXLWWTTGUMWXLWWTYDWWSBYLTVWO
        YDWWSBUYCWWSBUYDYOUYEUYFUYGUYHAWVBWUKWXIWXKUYIWUIWULEGUYJXQUYKAWXAGUQUD
        UEULZUMULZVVKWBAWWTWXPWBRZWXAWXQWBRZAWWTVXJWWSBYLWXPWXHAWWSBDVWNVXJVXJU
        YLZWUJWXDVXHVWPDUGZWWSWLWXECVWPVWCVCQZUQVWCUEULZTYKWWSSDCBXCWYBVXPWYCWW
        RTCBVCWMVWCVWPUQUEUYNUYOJVXPWWRTUQVWPUEWQUYPUYQWSZXMZWXGAWCDUQYPUYRUYSZ
        QWCDVWNYPWYFQNABDUQVWNSXOVXLVXHWYAYQQAVXHWYAWWSYQWYDVXHWWSWXFWFVUEWTUYT
        XSZVUAWXPUNQZAVUBVMZAVWOWWSBDVWNVXJWXTWUJWXBVWOVXJVHAVWNGVUCVMWYEWXGWXD
        VXHTWWSXNRZWXEVXHTWWRXNRZTTXNRZWYJVXHWWRVXHVWPVWPVUDVUFVUGYNVXPWYKWYLWY
        JWWRTWWRWWSTXNXDTWWSTXNXDVUHYMXMWYGVUIOYRAWWTUNQWYHWVJTGWBRWXRWXSXPWXHW
        YIVVOAGLVUJWWTWXPGVUKVULXSAGYQQZVVKWXQWLZVXCWYMUDYQQUDTVUMWYNVUNVUOGUDV
        UPVUQXMVURYRVUSVUTAVVKVVLVVKVVPVWKVVPVVAXRAUASVWPUDUHULZVYHVARZBSWJZUNW
        BYSZVVBCDEFGUCIJKLMUACSWYRUCUTZUDUHULZVWCVARZUCSWJZUNWBYSUACXCZUNWYQXUB
        WBXUCWYQWYTVYHVARZUCSWJXUBWYPXUDBUCSBUCXCWYOWYTVYHVAVWPWYSUDUHVVCVVDVVE
        XUCXUDXUAUCSVYHVWCWYTVAXDWPVVFVVGVVHVVIVVJ $.
    $}

    $( Lemma for ~ prmrec .  If the series ` F ` was convergent, there would be
       some ` k ` such that the sum starting from ` k + 1 ` sums to less than
       ` 1 / 2 ` ; this is a sufficient hypothesis for ~ prmreclem5 to produce
       the contradictory bound ` N / 2 < ( 2 ^ k ) sqrt N ` , which is false
       for ` N = 2 ^ ( 2 k + 2 ) ` .  (Contributed by Mario Carneiro,
       6-Aug-2014.) $)
    prmreclem6 $p |- -. seq 1 ( + , F ) e. dom ~~> $=
      ( vk vj caddc c1 wcel cr clt c2 co cv wbr cn wtru cc0 wa cle a1i vy vx vz
      vm vp vr vw cseq cli cdm crn csup cdiv cmin cfv wrex crp wf wss nnuz 1zzd
      cprime cif nnrecre adantl 0re ifcl sylancl fmptd ffvelrnda mptru frn mp1i
      serfre c0 wne 1nn fdmi eleqtrri ne0i dm0rn0 necon3bii sylib climdm biimpi
      wral climrecl simpr adantr wceq weq eleq1w oveq2 ifbieq1d nnrecred ifclda
      prmnn wn elexi fvmpt eqeltrd adantlr nnrp rpreccld rpge0d ifboth breqtrrd
      0le0 breq2 climserle ralrimiva brralrspcev wb breq1 mp2b halfre cmul cexp
      mpbid cn0 2nn sylancr nnnn0d cuz csu cdvds cfz crab notbid eqid cc ax-1cn
      syl oveq2d oveq1d eqtrd breq12d 2cn nncnd addassd wfn ralrn rexbii sylibr
      syl2anc ffn suprcld 2rp rpreccl ax-mp ltsubrp resubcl suprlub 2re nnmulcl
      syl31anc rexrn peano2nnd reexpcl ltnrd cdif cmpt peano2nn nnexpcl nnsqcld
      csqrt cbvralvw ralbidv syl5bb cbvrabv cbvsumv eqbrtrid prmreclem5 ex nnzd
      simpll eluznn sylan simpl iserex isumrecl elfznn eleqtrdi fsumser ltadd2d
      recni isumsplit nncn pncan sumeq1d breq1d bitr4d isumsup ltsubaddd adddid
      3bitr2d mulcom 2timesi oveq2i eqtr4di 3eqtr4d expmuld expp1 3eqtr3d expcl
      2nn0 divcan4 mp3an23 nnnn0 expaddd 2timesd nnrpd rprege0d sqrtsq 3eqtr4rd
      2ne0 3imtr3d mtod nrexdv pm2.65i ) FBGUHZUIUJZHZUYAUKZIJULZGKUMLZUNLZDMZU
      YAUOZJNZDOUPZUYCUYGUAMZJNZUAUYDUPZUYKUYCUYGUYEJNZUYNUYCUYEIHZUYFUQHZUYOUY
      CUBUCUYDOIUYAURZUYDIUSZUYCUYRPEBGOUTPVAPOIEMZBPAOAMZVBHZGVUAUMLZQVCZIBPVU
      AOHZRVUCIHZQIHZVUDIHVUEVUFPVUAVDVEVFVUBVUCQIVGVHCVIVJVNVKZOIUYAVLVMZGUYAU
      JZHZUYDVOVPZUYCGOVUJVQOIUYAVUHVRVSVUKVUJVOVPVULVUJGVTVUJVOUYDVOUYAWAWBWCV
      MZUYCUYIUBMZSNZDOWFZUBIUPZUCMZVUNSNZUCUYDWFZUBIUPZUYCUYAUIUOZIHUYIVVBSNZD
      OWFVUQUYCVVBDUYAGOUTUYCVAZUYCUYAVVBUINZUYAWDWEZUYCOIUYHUYAUYRUYCVUHTVJZWG
      UYCVVCDOUYCUYHOHZRZVVBEBGUYHOUTUYCVVHWHZUYCVVEVVHVVFWIUYCUYTOHZUYTBUOZIHV
      VHUYCVVKRZVVLUYTVBHZGUYTUMLZQVCZIVVKVVLVVPWJZUYCAUYTVUDVVPOBAEWKVUBVVNVUC
      VVOQAEVBWLVUAUYTGUMWMWNCVVPIVVPIHZPVVNVVOQIPVVNRUYTVVNVVKPUYTWQVEWOVUGPVV
      NWRRVFTWPVKZWSWTZVEZVVRVVMVVSTZXAXBUYCVVKQVVLSNVVHVVMQVVPVVLSVVMQVVOSNZQQ
      SNZQVVPSNZVVMVVOVVMUYTVVKUYTUQHUYCUYTXCVEXDXEXHVVNVWCVWDVWEVVOQVVOVVPQSXI
      QVVPQSXIXFVHZVWAXGXBXJXKUBDUYIVVBSIOXLUUEZVUTVUPUBIUYRUYAOUUAZVUTVUPXMVUH
      OIUYAUUFZVUSVUOUCDOUYAVURUYIVUNSXNUUBXOUUCUUDZUUGZKUQHUYQUUHKUUIUUJUYEUYF
      UUKVHUYCUYSVULVVAUYGIHZUYOUYNXMVUIVUMVWJUYCUYPUYFIHZVWLVWKXPUYEUYFUULVHUB
      UCUAUYDUYGUUMUUPXSUYRVWHUYNUYKXMVUHVWIUYMUYJUADOUYAUYLUYIUYGJXIUUQXOWCUYC
      UYJDOVVIUYJKKUYHXQLZGFLZXRLZVWPJNZVVIVWPVVIKIHVWOXTHZVWPIHUUNVVIVWOVVIVWN
      VVIKOHZVVHVWNOHYAVVJKUYHUUOYBZUURYCZKVWOUUSYBUUTVVIUYHGFLZYDUOZVVPEYEZUYF
      JNZKVXBXRLZKXRLZKUMLZKUYHXRLZVXGUVFUOZXQLZJNZUYJVWQVVIVXEVXLVVIVXERZUDABU
      YHUEMZUFMZYFNZWRZUEVBGUYHYGLZUVAZWFZUFGVXGYGLZYHVXGUGOUGMZVBHVYBVUAYFNZRA
      VYAYHUVBZUGCVVIVVHVXEVVJWIVVIVXGOHVXEVVIVXFVVIVWSVXBXTHVXFOHYAVVIVXBVVHVX
      BOHZUYCUYHUVCVEZYCZKVXBUVDYBZUVEWIVXTVYCWRZUGVXSWFZUFAVYAVXTVYBVXOYFNZWRZ
      UGVXSWFUFAWKZVYJVXQVYLUEUGVXSUEUGWKVXPVYKVXNVYBVXOYFXNYIUVGVYMVYLVYIUGVXS
      VYMVYKVYCVXOVUAVYBYFXIYIUVHUVIUVJUYCVVHVXEUVPVXMVXCUDMZVBHZGVYNUMLZQVCZUD
      YEVXDUYFJVXCVYQVVPUDEUDEWKVYOVVNVYPVVOQUDEVBWLVYNUYTGUMWMWNUVKVVIVXEWHUVL
      VYDYJUVMUVNVVIVXEOVVPEYEZVXRVVPEYEZUYFFLZJNZVYRUYFUNLZVYSJNUYJVVIVXEVYSVX
      DFLZVYTJNWUAVVIVXDUYFVYSVVIVVPEBVXBVXCVXCYJZVVIVXBVYFUVOVVIUYTVXCHZRZVVKV
      VQVVIVYEWUEVVKVYFUYTVXBUVQUVRVVTYMVVRWUFVVSTVVIUYCFBVXBUHUYBHUYCVVHUVSZVV
      IEBGVXBOUTVYFVVIVVKRZVVLVVPYKVVKVVQVVIVVTVEZVVPYKHZWUHVVPVVSUWFZTZXAUVTXS
      UWAVWMVVIXPTZVVIVYSUYIIVVIVVPEBGUYHVVIUYTVXRHZRZVVKVVQWUNVVKVVIUYTUYHUWBV
      EVVTYMVVIUYHOGYDUOVVJUTUWCWUJWUOWUKTUWDZVVGXAZUWEVVIVYRWUCVYTJVVIVYRGVXBG
      UNLZYGLZVVPEYEZVXDFLWUCVVIVVPEBGVXBVXCOUTWUDVYFWUIWULWUGUWGVVIWUTVYSVXDFV
      VIWUSVXRVVPEVVIWURUYHGYGVVIUYHYKHZGYKHZWURUYHWJVVHWVAUYCUYHUWHVEZYLUYHGUW
      IVHYNUWJYOYPUWKUWLVVIVYRUYFVYSUYCVYRIHVVHUYCVYRUYEIUYCUBVVPDEBUYAGOUTUYAY
      JVVDVWAVWBVWFVWGUWMZVWKXAWIWUMWUQUWNVVIWUBUYGVYSUYIJVVIVYRUYEUYFUNUYCVYRU
      YEWJVVHWVDWIYOWUPYQUWPVVIVXHVWPVXKVWPJVVIVXHVWPKXQLZKUMLZVWPVVIVXGWVEKUMV
      VIKVXBKXQLZXRLKVWOGFLZXRLZVXGWVEVVIWVGWVHKXRVVIKVXBXQLZVWNKGXQLZFLZWVGWVH
      VVIKUYHGKYKHZVVIYRTZWVCWVBVVIYLTZUWOVVIVXBYKHWVMWVGWVJWJVVIVXBVYFYSYRVXBK
      UWQVHVVIWVHVWNGGFLZFLWVLVVIVWNGGVVIVWNVWTYSWVOWVOYTWVKWVPVWNFGYLUWRUWSUWT
      UXAYNVVIKVXBKWVNKXTHVVIUXFTVYGUXBVVIWVMVWRWVIWVEWJYRVXAKVWOUXCYBUXDYOVVIV
      WPYKHZWVFVWPWJZVVIWVMVWRWVQYRVXAKVWOUXEYBWVQWVMKQVPWVRYRUXPVWPKUXGUXHYMYP
      VVIKUYHVXBFLZXRLVXIVXFXQLVWPVXKVVIKUYHVXBWVNVYGVVHUYHXTHUYCUYHUXIVEUXJVVI
      VWOWVSKXRVVIVWOUYHUYHFLZGFLWVSVVIVWNWVTGFVVIUYHWVCUXKYOVVIUYHUYHGWVCWVCWV
      OYTYPYNVVIVXJVXFVXIXQVVIVXFIHQVXFSNRVXJVXFWJVVIVXFVVIVXFVYHUXLUXMVXFUXNYM
      YNUXOYQUXQUXRUXSUXT $.
  $}

  ${
    $d k m n $.
    prmrec.f $e |- F = ( n e. NN |->
      sum_ k e. ( Prime i^i ( 1 ... n ) ) ( 1 / k ) ) $.
    $( The sum of the reciprocals of the primes diverges.  Theorem 1.13 in
       [ApostolNT] p. 18.  This is the "second" proof at
       ~ http://en.wikipedia.org/wiki/Prime_harmonic_series , attributed to
       Paul Erd&#337;s.  This is Metamath 100 proof #81.  (Contributed by Mario
       Carneiro, 6-Aug-2014.) $)
    prmrec $p |- -. F e. dom ~~> $=
      ( vm cn cv cprime wcel c1 cdiv co cc0 cif cmpt csu cfv cc wa wceq cli cdm
      caddc cseq cfz cin wss wral cuz cfn wo inss2 elinel2 elfznn nnrecre recnd
      3syl rgen pm3.2i fzfi sumss2 mp2an rbaib ifbid sumeq2i eqtri adantl prmnn
      olci elin wtru syl 0cnd ifclda mptru eleq1w oveq2 ifbieq1d cbvmptv fvmpt2
      wn sylancl id nnuz eleqtrdi a1i fsumser eqtrid mpteq2ia cz 1z seqfn ax-mp
      wfn fneq2i mpbir dffn5 mpbi 3eqtr4i prmreclem6 eqneltri ) CUCEFEGZHIZJXBK
      LZMNZOZJUDZUAUBBFHJBGZUELZUFZJAGZKLZAPZOBFXHXGQZOZCXGBFXMXNXHFIZXMXIXKHIZ
      XLMNZAPZXNXMXIXKXJIZXLMNZAPZXSXJXIUGZXLRIZAXJUHZSXIJUIQZUGZXIUJIZUKXMYBTY
      CYEHXIULYDAXJXTXKXIIZXKFIZYDXKHXIUMXKXHUNZYJXLXKUOUPZUQURUSYHYGJXHUTVIXJX
      IXLAJVAVBXIYAXRAYIXTXQXLMXTXQYIXKHXIVJVCVDVEVFXPXRAXFJXHXPYISZYJXRRIZXKXF
      QXRTYIYJXPYKVGYNVKXQXLMRXQYDVKXQYJYDXKVHYLVLVGVKXQWASVMVNVOZAFXRRXFEAFXEX
      RXBXKTXCXQXDXLMEAHVPXBXKJKVQVRVSZVTWBXPXHFYFXPWCWDWEYNYMYOWFWGWHWIDXGFWNZ
      XGXOTYQXGYFWNZJWJIYRWKUCXFJWLWMFYFXGWDWOWPBFXGWQWRWSAXFYPWTXA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Fundamental theorem of arithmetic
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d e f g k n p q x y z $.  $d q x y F $.  $d e f g q x y M $.  $d q y ph $.
    $d n p q x G $.  $d n p q x N $.  $d p P $.  $d f g n q x y R $.
    1arith.1 $e |- M = ( n e. NN |-> ( p e. Prime |-> ( p pCnt n ) ) ) $.
    $( Lemma for ~ 1arith .  (Contributed by Mario Carneiro, 30-May-2014.) $)
    1arithlem1 $p |- ( N e. NN ->
                       ( M ` N ) = ( p e. Prime |-> ( p pCnt N ) ) ) $=
      ( cprime cv cpc co cmpt cn wceq oveq2 mpteq2dv prmex mptex fvmpt ) ACDFDG
      ZAGZHIZJDFRCHIZJKBSCLDFTUASCRHMNEDFUAOPQ $.

    $( Lemma for ~ 1arith .  (Contributed by Mario Carneiro, 30-May-2014.) $)
    1arithlem2 $p |- ( ( N e. NN /\ P e. Prime ) ->
                       ( ( M ` N ) ` P ) = ( P pCnt N ) ) $=
      ( cn wcel cprime cfv cv cpc cmpt 1arithlem1 fveq1d oveq1 eqid ovex fvmpt
      co sylan9eq ) DGHZAIHADCJZJAEIEKZDLTZMZJADLTZUBAUCUFBCDEFNOEAUEUGIUFUDADL
      PUFQADLRSUA $.

    $( Lemma for ~ 1arith .  (Contributed by Mario Carneiro, 30-May-2014.) $)
    1arithlem3 $p |- ( N e. NN -> ( M ` N ) : Prime --> NN0 ) $=
      ( cn wcel cprime cv cpc co cn0 cfv 1arithlem1 pccl ancoms fmpt3d ) CFGZDH
      DIZCJKZLCBMABCDENSHGRTLGSCOPQ $.

    ${
      1arithlem4.2 $e |- G = ( y e. NN |->
                               if ( y e. Prime , ( y ^ ( F ` y ) ) , 1 ) ) $.
      1arithlem4.3 $e |- ( ph -> F : Prime --> NN0 ) $.
      1arithlem4.4 $e |- ( ph -> N e. NN ) $.
      1arithlem4.5 $e |- ( ( ph /\ ( q e. Prime /\ N <_ q ) ) ->
                           ( F ` q ) = 0 ) $.
      $( Lemma for ~ 1arith .  (Contributed by Mario Carneiro, 30-May-2014.) $)
      1arithlem4 $p |- ( ph -> E. x e. NN F = ( M ` x ) ) $=
        ( cfv cn wceq cn0 cprime cmul c1 cseq wcel cv wrex wf ffvelrnda pcmptcl
        ralrimiva simprd ffvelrnd wral wa cpc cle wbr cc0 cif 1arithlem2 adantr
        co sylan simpr fveq2 pcmpt prmz zred adantl anassrs ifeq2d ifid eqtr3di
        nnred cr iftrue lecasei 3eqtrrd wb 1arithlem3 syl wfn ffn eqfnfv syl2an
        syl2anc mpbird rspceeqv ) AHUAFUBUCZPZQUDZEWJGPZRZEBUEZGPZRBQUFAQQHWIAQ
        QFUGQQWIUGACUEZEPZCFLAWQSUDZCTATSWPEMUHUJZUIUKNULZAWMIUEZEPZXAWLPZRZITU
        MZAXDITAXATUDZUNZXCXAWJUOVBZXAHUPUQZXBURUSZXBAWKXFXCXHRWTXADGWJJKUTVCXG
        WQXBXACFHLAWRCTUMXFWSVAAHQUDXFNVAZAXFVDWPXAEVEVFXGXJXBRZHXAXGHXKVNXFXAV
        OUDAXFXAXAVGVHVIXGHXAUPUQZUNZXIXBXBUSXJXBXNXIXBURXBAXFXMXBURROVJVKXIXBV
        LVMXIXLXGXIXBURVPVIVQVRUJATSEUGZTSWLUGZWMXEVSZMAWKXPWTDGWJJKVTWAXOETWBW
        LTWBXQXPTSEWCTSWLWCITEWLWDWEWFWGBWJQWOWLEWNWJGVEWHWF $.
    $}

    1arith.2 $e |- R = { e e. ( NN0 ^m Prime ) | ( `' e " NN ) e. Fin } $.
    $( Fundamental theorem of arithmetic, where a prime factorization is
       represented as a sequence of prime exponents, for which only finitely
       many primes have nonzero exponent.  The function ` M ` maps the set of
       positive integers one-to-one onto the set of prime factorizations
       ` R ` .  (Contributed by Paul Chapman, 17-Nov-2012.)  (Proof shortened
       by Mario Carneiro, 30-May-2014.) $)
    1arith $p |- M : NN -1-1-onto-> R $=
      ( vx vq cn cv cfv wceq wcel cprime cn0 wa wbr cle cr vy vf vk vg wf1o wf1
      wfo wf wi wral wfn cpc co cmpt prmex fnmpti cmap ccnv cima cfn 1arithlem3
      mptex nn0ex elmap sylibr cfz wss fzfi ffn elpreima 3syl 1arithlem2 eleq1d
      c1 wb cdvds cz prmz id dvdsle syl2anr pcelnn ancoms cuz nnuz eleqtrdi nnz
      prmnn elfz5 3imtr4d sylbid expimpd ssrdv ssfi sylancr imaeq1d elrab2 rgen
      cnveq sylanbrc ffnfv mpbir2an adantlr adantll eqeq12d eqfnfv syl2an nnnn0
      ralbidva pc11 3bitr4d biimpd rgen2 dff13 wrex cexp cif cc0 cfl caddc eqid
      simplbi sylib ad2antrr 0re ifcl sylancl max1 flge0nn0 syl2anc nn0p1nn syl
      simplr wn clt adantr nnred ssriv zssre sstri simprl sselid flltp1 lelttrd
      max2 simprr ltletrd ltnled mpbid biantrurd bitr4d rspccv mtod wo ffvelrnd
      breq1 elnn0 ord mpd 1arithlem4 cdm cnvimass fdmd eqsstrdi sstrid fimaxre2
      simprbi r19.29a dffo3 df-f1o ) JADUEJADUFZJADUGZUVKJADUHZHKZDLZUAKZDLZMZU
      VNUVPMZUIZUAJUJHJUJUVMDJUKUVOANZHJUJCJEOEKCKULUMZUNDEOUWBUOVBFUPUWAHJUVNJ
      NZUVOPOUQUMZNZUVOURZJUSZUTNZUWAUWCOPUVOUHZUWECDUVNEFVAZPOUVOVCUOVDVEUWCVN
      UVNVFUMZUTNUWGUWKVGUWHVNUVNVHUWCIUWGUWKUWCIKZUWGNZUWLONZUWLUVOLZJNZQZUWLU
      WKNZUWCUWIUVOOUKZUWMUWQVOUWJOPUVOVIZOUWLJUVOVJVKUWCUWNUWPUWRUWCUWNQZUWPUW
      LUVNULUMZJNZUWRUXAUWOUXBJUWLCDUVNEFVLZVMUXAUWLUVNVPRZUWLUVNSRZUXCUWRUWNUW
      LVQNUWCUXEUXFUIUWCUWLVRZUWCVSUWLUVNVTWAUWNUWCUXCUXEVOUWLUVNWBWCUWNUWLVNWD
      LZNUVNVQNUWRUXFVOUWCUWNUWLJUXHUWLWHWEWFUVNWGUWLVNUVNWIWAWJWKWLWKWMUWKUWGW
      NWOBKZURZJUSZUTNZUWHBUVOUWDAUXIUVOMZUXKUWGUTUXMUXJUWFJUXIUVOWSWPVMGWQWTWR
      HJADXAXBZUVTHUAJJUWCUVPJNZQZUVRUVSUXPUWOUWLUVQLZMZIOUJZUXBUWLUVPULUMZMZIO
      UJZUVRUVSUXPUXRUYAIOUXPUWNQUWOUXBUXQUXTUWCUWNUWOUXBMUXOUXDXCUXOUWNUXQUXTM
      UWCUWLCDUVPEFVLXDXEXIUWCUWIOPUVQUHZUVRUXSVOZUXOUWJCDUVPEFVAUWIUWSUVQOUKUY
      DUYCUWTOPUVQVIIOUVOUVQXFXGXGUWCUVNPNUVPPNUVSUYBVOUXOUVNXHUVPXHUVNUVPIXJXG
      XKXLXMHUAJADXNXBUVLUVMUBKZUVOMHJXOZUBAUJUXNUYFUBAUYEANZUCKZUVPSRZUCUYEURZ
      JUSZUJZUYFUATUYGUVPTNZQZUYLQZHUDCUYEUDJUDKZONUYPUYPUYELXPUMVNXQUNZDXRUVPS
      RZUVPXRXQZXSLZVNXTUMZIEFUYQYAUYGOPUYEUHZUYMUYLUYGUYEUWDNZVUBUYGVUCUYKUTNZ
      UXLVUDBUYEUWDAUXIUYEMZUXKUYKUTVUEUXJUYJJUXIUYEWSWPVMGWQZYBPOUYEVCUOVDYCZY
      DZUYOUYTPNZVUAJNZUYOUYSTNZXRUYSSRZVUIUYOUYMXRTNZVUKUYGUYMUYLYMZYEUYRUVPXR
      TYFYGZUYOVUMUYMVULYEVUNXRUVPYHWOUYSYIYJUYTYKYLZUYOUWNVUAUWLSRZQZQZUWLUYEL
      ZJNZYNVUTXRMZVUSVVAUWLUVPSRZVUSUVPUWLYORVVCYNVUSUVPVUAUWLUYOUYMVURVUNYPZV
      USVUAUYOVUJVURVUPYPYQZVUSOTUWLOVQTIOVQUXGYRYSYTZUYOUWNVUQUUAZUUBZVUSUVPUY
      SVUAVVDUYOVUKVURVUOYPZVVEVUSVUMUYMUVPUYSSRYEVVDXRUVPUUEWOVUSVUKUYSVUAYORV
      VIUYSUUCYLUUDUYOUWNVUQUUFUUGVUSUVPUWLVVDVVHUUHUUIVUSVVAUWLUYKNZVVCVUSVVAU
      WNVVAQZVVJVUSUWNVVAVVGUUJVUSVUBUYEOUKVVJVVKVOUYOVUBVURVUHYPZOPUYEVIOUWLJU
      YEVJVKUUKVUSUYLVVJVVCUIUYNUYLVURYMUYIVVCUCUWLUYKUYHUWLUVPSUUPUULYLWKUUMVU
      SVVAVVBVUSVUTPNVVAVVBUUNVUSOPUWLUYEVVLVVGUUOVUTUUQYCUURUUSUUTUYGUYKTVGVUD
      UYLUATXOUYGUYKUYEUVAZTUYEJUVBUYGVVMOTUYGOPUYEVUGUVCVVFUVDUVEUYGVUCVUDVUFU
      VGUAUCUYKUVFYJUVHWRHUBJADUVIXBJADUVJXB $.

    $( Fundamental theorem of arithmetic, where a prime factorization is
       represented as a finite monotonic 1-based sequence of primes.  Every
       positive integer has a unique prime factorization.  Theorem 1.10 in
       [ApostolNT] p. 17.  This is Metamath 100 proof #80.  (Contributed by
       Paul Chapman, 17-Nov-2012.)  (Revised by Mario Carneiro,
       30-May-2014.) $)
    1arith2 $p |- A. z e. NN E! g e. R ( M ` z ) = g $=
      ( cv cfv wceq wreu cn wcel ccnv wf1o 1arith f1ocnv ax-mp f1ocnvfvb mp3an1
      f1ofveu mpan wb reubidva mpbird rgen ) AJZFKDJZLZDBMZANUINOZULUJFPZKUILZD
      BMZBNUNQZUMUPNBFQZUQBCEFGHIRZNBFSTDBNUIUNUCUDUMUKUODBURUMUJBOUKUOUEUSNBUI
      UJFUAUBUFUGUH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Lagrange's four-square theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Z[i] $.

  $( Extend class notation with the set of gaussian integers. $)
  cgz $a class Z[i] $.

  $( Define the set of gaussian integers, which are complex numbers whose real
     and imaginary parts are integers.  (Note that the ` [ _i ] ` is actually
     part of the symbol token and has no independent meaning.)  (Contributed by
     Mario Carneiro, 14-Jul-2014.) $)
  df-gz $a |- Z[i] = { x e. CC | ( ( Re ` x ) e. ZZ /\ ( Im ` x ) e. ZZ ) } $.

  ${
    $d x A $.
    $( Elementhood in the gaussian integers.  (Contributed by Mario Carneiro,
       14-Jul-2014.) $)
    elgz $p |- ( A e. Z[i] <->
      ( A e. CC /\ ( Re ` A ) e. ZZ /\ ( Im ` A ) e. ZZ ) ) $=
      ( vx cgz wcel cc cre cfv cz cim wa w3a cv wceq fveq2 eleq1d anbi12d df-gz
      elrab2 3anass bitr4i ) ACDAEDZAFGZHDZAIGZHDZJZJUAUCUEKBLZFGZHDZUGIGZHDZJU
      FBAECUGAMZUIUCUKUEULUHUBHUGAFNOULUJUDHUGAINOPBQRUAUCUEST $.
  $}

  $( A gaussian integer is a complex number.  (Contributed by Mario Carneiro,
     14-Jul-2014.) $)
  gzcn $p |- ( A e. Z[i] -> A e. CC ) $=
    ( cgz wcel cc cre cfv cz cim elgz simp1bi ) ABCADCAEFGCAHFGCAIJ $.

  $( An integer is a gaussian integer.  (Contributed by Mario Carneiro,
     14-Jul-2014.) $)
  zgz $p |- ( A e. ZZ -> A e. Z[i] ) $=
    ( cz wcel cc cre cfv cim cgz zcn zre rered eqeltrd cc0 reim0d eqeltrdi elgz
    id 0z syl3anbrc ) ABCZADCAEFZBCAGFZBCAHCAITUAABTAAJZKTQLTUBMBTAUCNROAPS $.

  $( ` _i ` is a gaussian integer.  (Contributed by Mario Carneiro,
     14-Jul-2014.) $)
  igz $p |- _i e. Z[i] $=
    ( ci cgz wcel cc cre cfv cz cim ax-icn cc0 rei 0z eqeltri imi elgz mpbir3an
    c1 1z ) ABCADCAEFZGCAHFZGCISJGKLMTQGNRMAOP $.

  $( The gaussian integers are closed under negation.  (Contributed by Mario
     Carneiro, 14-Jul-2014.) $)
  gznegcl $p |- ( A e. Z[i] -> -u A e. Z[i] ) $=
    ( cgz wcel cneg cre cfv cim gzcn negcld renegd elgz simp2bi znegcld eqeltrd
    cc cz imnegd simp3bi syl3anbrc ) ABCZADZOCUAEFZPCUAGFZPCUABCTAAHZITUBAEFZDP
    TAUDJTUETAOCZUEPCZAGFZPCZAKZLMNTUCUHDPTAUDQTUHTUFUGUIUJRMNUAKS $.

  $( The gaussian integers are closed under conjugation.  (Contributed by Mario
     Carneiro, 14-Jul-2014.) $)
  gzcjcl $p |- ( A e. Z[i] -> ( * ` A ) e. Z[i] ) $=
    ( cgz wcel ccj cfv cc cre cz cim gzcn cjcld recjd elgz simp2bi eqeltrd cneg
    imcjd simp3bi znegcld syl3anbrc ) ABCZADEZFCUBGEZHCUBIEZHCUBBCUAAAJZKUAUCAG
    EZHUAAUELUAAFCZUFHCZAIEZHCZAMZNOUAUDUIPHUAAUEQUAUIUAUGUHUJUKRSOUBMT $.

  $( The gaussian integers are closed under addition.  (Contributed by Mario
     Carneiro, 14-Jul-2014.) $)
  gzaddcl $p |- ( ( A e. Z[i] /\ B e. Z[i] ) -> ( A + B ) e. Z[i] ) $=
    ( cgz wcel wa caddc co cc cre cfv cim gzcn syl2an wceq elgz simp2bi eqeltrd
    cz zaddcl simp3bi addcl readd imadd syl3anbrc ) ACDZBCDZEZABFGZHDZUHIJZRDUH
    KJZRDUHCDUEAHDZBHDZUIUFALZBLZABUAMUGUJAIJZBIJZFGZRUEULUMUJURNUFUNUOABUBMUEU
    PRDZUQRDZURRDUFUEULUSAKJZRDZAOZPUFUMUTBKJZRDZBOZPUPUQSMQUGUKVAVDFGZRUEULUMU
    KVGNUFUNUOABUCMUEVBVEVGRDUFUEULUSVBVCTUFUMUTVEVFTVAVDSMQUHOUD $.

  $( The gaussian integers are closed under multiplication.  (Contributed by
     Mario Carneiro, 14-Jul-2014.) $)
  gzmulcl $p |- ( ( A e. Z[i] /\ B e. Z[i] ) -> ( A x. B ) e. Z[i] ) $=
    ( cgz wcel wa cmul co cc cre cfv cz gzcn syl2an wceq simp2bi zmulcl simp3bi
    cim elgz eqeltrd mulcl cmin remul zsubcld caddc immul zaddcld syl3anbrc ) A
    CDZBCDZEZABFGZHDZULIJZKDULRJZKDULCDUIAHDZBHDZUMUJALZBLZABUAMUKUNAIJZBIJZFGZ
    ARJZBRJZFGZUBGZKUIUPUQUNVFNUJURUSABUCMUKVBVEUIUTKDZVAKDZVBKDUJUIUPVGVCKDZAS
    ZOZUJUQVHVDKDZBSZOZUTVAPMUIVIVLVEKDUJUIUPVGVIVJQZUJUQVHVLVMQZVCVDPMUDTUKUOU
    TVDFGZVCVAFGZUEGZKUIUPUQUOVSNUJURUSABUFMUKVQVRUIVGVLVQKDUJVKVPUTVDPMUIVIVHV
    RKDUJVOVNVCVAPMUGTULSUH $.

  $( Construct a gaussian integer from real and imaginary parts.  (Contributed
     by Mario Carneiro, 16-Jul-2014.) $)
  gzreim $p |- ( ( A e. ZZ /\ B e. ZZ ) -> ( A + ( _i x. B ) ) e. Z[i] ) $=
    ( cz wcel cgz ci cmul co caddc zgz igz gzmulcl sylancr gzaddcl syl2an ) ACD
    AEDFBGHZEDZAPIHEDBCDZAJRFEDBEDQKBJFBLMAPNO $.

  $( The gaussian integers are closed under subtraction.  (Contributed by Mario
     Carneiro, 14-Jul-2014.) $)
  gzsubcl $p |- ( ( A e. Z[i] /\ B e. Z[i] ) -> ( A - B ) e. Z[i] ) $=
    ( cgz wcel wa cneg caddc co cmin cc wceq gzcn negsub syl2an gznegcl gzaddcl
    sylan2 eqeltrrd ) ACDZBCDZEABFZGHZABIHZCSAJDBJDUBUCKTALBLABMNTSUACDUBCDBOAU
    APQR $.

  $( The squared norm of a gaussian integer is an integer.  (Contributed by
     Mario Carneiro, 16-Jul-2014.) $)
  gzabssqcl $p |- ( A e. Z[i] -> ( ( abs ` A ) ^ 2 ) e. NN0 ) $=
    ( cgz wcel cabs cfv c2 cexp co cre cim caddc cn0 gzcn absvalsq2d cz cc elgz
    simp2bi zsqcl2 syl simp3bi nn0addcld eqeltrd ) ABCZADEFGHAIEZFGHZAJEZFGHZKH
    LUDAAMNUDUFUHUDUEOCZUFLCUDAPCZUIUGOCZAQZRUESTUDUKUHLCUDUJUIUKULUAUGSTUBUC
    $.

  ${
    4sqlem5.2 $e |- ( ph -> A e. ZZ ) $.
    4sqlem5.3 $e |- ( ph -> M e. NN ) $.
    4sqlem5.4 $e |- B = ( ( ( A + ( M / 2 ) ) mod M ) - ( M / 2 ) ) $.
    $( Lemma for ~ 4sq .  (Contributed by Mario Carneiro, 15-Jul-2014.) $)
    4sqlem5 $p |- ( ph -> ( B e. ZZ /\ ( ( A - B ) / M ) e. ZZ ) ) $=
      ( cz wcel cmin co cdiv zcnd c2 caddc cmo cc recnd subcld eqeltrrd zred cr
      nnred readdcld nnrpd modcld eqeltrid nncand cmul nnne0d divcan1d subsub3d
      oveq2i eqtrid oveq1d crp moddifz syl2anc eqeltrd nnzd zmulcld zsubcld jca
      rehalfcld ) ACHIBCJKZDLKZHIABVEJKCHABCABEMZACBDNLKZOKZDPKZVHJKZQGAVJVHAVJ
      AVIDABVHABEUAADADFUCZVDZUDZADFUEZUFRZAVHVMRZSUGZUHABVEEAVFDUIKVEHAVEDABCV
      GVRSADVLRADFUJUKAVFDAVFVIVJJKZDLKZHAVEVSDLAVEBVKJKVSCVKBJGUMABVJVHVGVPVQU
      LUNUOAVIUBIDUPIVTHIVNVOVIDUQURUSZADFUTVATVBTWAVC $.

    $( Lemma for ~ 4sq .  (Contributed by Mario Carneiro, 15-Jul-2014.) $)
    4sqlem6 $p |- ( ph -> ( -u ( M / 2 ) <_ B /\ B < ( M / 2 ) ) ) $=
      ( c2 cdiv co cneg cle wbr clt cc0 cmin caddc cmo wcel syl2anc nnred nnrpd
      0red zred rehalfcld readdcld modcld cr crp modge0 lesub1dd df-neg 3brtr4g
      modlt nncnd 2halvesd breqtrrd ltsubaddd mpbird eqbrtrid jca ) ADHIJZKZCLM
      CVBNMAOVBPJBVBQJZDRJZVBPJZVCCLAOVEVBAUCAVDDABVBABEUDADADFUAUEZUFZADFUBZUG
      ZVGAVDUHSZDUISZOVELMVHVIVDDUJTUKVBULGUMACVFVBNGAVFVBNMVEVBVBQJZNMAVEDVMNA
      VKVLVEDNMVHVIVDDUNTADADFUOUPUQAVEVBVBVJVGVGURUSUTVA $.

    $( Lemma for ~ 4sq .  (Contributed by Mario Carneiro, 15-Jul-2014.) $)
    4sqlem7 $p |- ( ph -> ( B ^ 2 ) <_ ( ( ( M ^ 2 ) / 2 ) / 2 ) ) $=
      ( c2 cexp co cdiv cle wbr cneg cz wcel cmin simpld cr cc0 nnrpd rphalfcld
      4sqlem5 zred rpred clt 4sqlem6 simprd ltled lenegcon1d wa lenegsq syl3anc
      wb rpge0d mpbi2and cmul 2cnd sqvald oveq2d nncnd wne 2ne0 sqdivd divdiv1d
      a1i sqcld 3eqtr4d breqtrd ) ACHIJZDHKJZHIJZDHIJZHKJHKJZLACVKLMZCNVKLMZVJV
      LLMZACVKACACOPBCQJDKJOPABCDEFGUCRUDZAVKADADFUAUBZUEZAVKNCLMZCVKUFMZABCDEF
      GUGZUHUIAVKCVTVRAWAWBWCRUJACSPVKSPTVKLMVOVPUKVQUNVRVTAVKVSUOCVKULUMUPAVMH
      HIJZKJVMHHUQJZKJVLVNAWDWEVMKAHAURZUSUTADHADFVAZWFHTVBAVCVFZVDAVMHHADWGVGW
      FWFWHWHVEVHVI $.

    $( Lemma for ~ 4sq .  (Contributed by Mario Carneiro, 15-Jul-2014.) $)
    4sqlem8 $p |- ( ph -> M || ( ( A ^ 2 ) - ( B ^ 2 ) ) ) $=
      ( cmin co c2 cexp cz wcel zsubcld zsqcl syl cdvds wbr syl2anc cc nnzd cc0
      4sqlem5 simpld simprd wne wb nnne0d dvdsval2 syl3anc mpbird caddc zaddcld
      cdiv cmul dvdsmul2 wceq zcnd subsq breqtrrd dvdstrd ) ADBCHIZBJKIZCJKIZHI
      ZADFUAZABCEACLMZVBDUNILMZABCDEFGUCZUDZNZAVCVDABLMVCLMEBOPAVGVDLMVJCOPNADV
      BQRZVHAVGVHVIUEADLMDUBUFVBLMZVLVHUGVFADFUHVKDVBUIUJUKAVBBCULIZVBUOIZVEQAV
      NLMVMVBVOQRABCEVJUMVKVNVBUPSABTMCTMVEVOUQABEURACVJURBCUSSUTVA $.

    ${
      4sqlem9.5 $e |- ( ( ph /\ ps ) -> ( B ^ 2 ) = 0 ) $.
      $( Lemma for ~ 4sq .  (Contributed by Mario Carneiro, 15-Jul-2014.) $)
      4sqlem9 $p |- ( ( ph /\ ps ) -> ( M ^ 2 ) || ( A ^ 2 ) ) $=
        ( cdvds c2 cexp co cdiv cz wcel cmin cc0 wb adantr wa cc 4sqlem5 simpld
        wbr wceq zcnd sqeq0 biimpa syldan oveq2d subid1d oveq1d simprd eqeltrrd
        syl eqtrd wne nnzd nnne0d dvdsval2 syl3anc mpbird dvdssq syl2an2r mpbid
        ) ABUAZECJUEZEKLMCKLMJUEZVGVHCENMZOPZVGCDQMZENMZVJOVGVLCENVGVLCRQMCVGDR
        CQABDKLMRUFZDRUFZIAVNVOADUBPVNVOSADADOPZVMOPZACDEFGHUCZUDUGDUHUPUIUJUKV
        GCVGCACOPZBFTZUGULUQUMAVQBAVPVQVRUNTUOAVHVKSZBAEOPZERURVSWAAEGUSZAEGUTF
        ECVAVBTVCAWBBVSVHVISWCVTECVDVEVF $.
    $}

    4sqlem10.5 $e |- ( ( ph /\ ps ) ->
      ( ( ( ( M ^ 2 ) / 2 ) / 2 ) - ( B ^ 2 ) ) = 0 ) $.
    $( Lemma for ~ 4sq .  (Contributed by Mario Carneiro, 16-Jul-2014.) $)
    4sqlem10 $p |- ( ( ph /\ ps ) ->
      ( M ^ 2 ) || ( ( A ^ 2 ) - ( ( ( M ^ 2 ) / 2 ) / 2 ) ) ) $=
      ( c2 cexp co cdiv cmul cmin cdvds cz wcel wceq wbr wa caddc cn nnzd zsqcl
      adantr syl cneg nnred rehalfcld recnd negnegd 4sqlem5 simpld zred cle clt
      wn 4sqlem6 simprd ltned neneqd wo 2cnd sqvald oveq2d nncnd cc0 wne sqdivd
      2ne0 a1i sqcld divdiv1d 3eqtr4d halfcld zcnd subeq0d eqtr2d cc wb syl2anc
      sqeqor mpbid ord mpd eqeltrrd znegcld zaddcld zmulcld nnrpd modcld df-neg
      cmo 0cnd 3eqtr3g subcan2d dvdsval3 mpbird dvdssq nnne0d dvdsmulcr eqbrtrd
      syl112anc dvds2subd oveq1d subdid 2halvesd pnpcan2d subsq 3eqtr2d breqtrd
      eqtr3d ) ABUAZEJKLZCEJMLZUBLZJKLZXQENLZOLZCJKLZXOJMLZJMLZOLZPXNXOXRXSXNEQ
      RZXOQRXNEAEUCRZBGUFZUDZEUEUGXNXQQRZXRQRXNCXPACQRBFUFZXNXPUHZUHXPQXNXPXNXP
      XNEXNEYGUIUJUKZULXNYKXNDYKQXNDXPSZURDYKSZXNDXPXNDXPXNDXNDQRZCDOLEMLQRZAYO
      YPUABACDEFGHUMUFUNZUOXNYKDUPTZDXPUQTZAYRYSUABACDEFGHUSUFUTVAVBXNYMYNXNDJK
      LZXPJKLZSZYMYNVCZXNUUAYCYTXNXOJJKLZMLXOJJNLZMLUUAYCXNUUDUUEXOMXNJXNVDZVEV
      FXNEJXNEYGVGZUUFJVHVIXNVKVLZVJXNXOJJXNEUUGVMZUUFUUFUUHUUHVNVOZXNYCYTXNYBX
      NXOUUIVPVPXNDXNDYQVQZVMIVRVSXNDVTRXPVTRZUUBUUCWAUUKYLDXPWCWBWDWEWFZYQWGWH
      WGWIZXQUEUGXNXQEUUNYHWJXNEXQPTZXOXRPTZXNUUOXQEWNLZVHSZXNUUQVHXPXNUUQXNXQE
      XNXQUUNUOXNEYGWKWLUKXNWOYLXNDYKUUQXPOLVHXPOLUUMHXPWMWPWQXNYFYIUUOUURWAYGU
      UNEXQWRWBWSZXNYEYIUUOUUPWAYHUUNEXQWTWBWDXNXOEENLZXSPXNEUUGVEXNUUTXSPTZUUO
      UUSXNYEYIYEEVHVIUVAUUOWAYHUUNYHXNEYGXAEEXQXBXDWSXCXEXNXTXQXQNLZXSOLXQXQEO
      LZNLZYDXNXRUVBXSOXNXQXNXQUUNVQZVEXFXNXQXQEUVEUVEUUGXGXNUVDXQCXPOLZNLZYAUU
      AOLZYDXNUVCUVFXQNXNXQXPXPUBLZOLUVCUVFXNUVIEXQOXNEUUGXHVFXNCXPXPXNCYJVQZYL
      YLXIXMVFXNCVTRUULUVHUVGSUVJYLCXPXJWBXNUUAYCYAOUUJVFXKXKXL $.
  $}

  ${
    $d a b c d n w x y z $.  $d a b c d n B $.  $d n E $.  $d n G $.  $d n H $.
    $d a b c d j k n v A $.  $d a b c d n C $.  $d a b c d n D $.  $d j n F $.
    $d a b c d i k n u M $.  $d k m n u v N $.  $d a b c d i j k m n u v P $.
    $d a b c d j k m n u v ph $.  $d a b c d i j k m n u v S $.  $d k u T $.
    $d i R $.
    4sq.1 $e |- S = { n | E. x e. ZZ E. y e. ZZ E. z e. ZZ E. w e. ZZ
      n = ( ( ( x ^ 2 ) + ( y ^ 2 ) ) + ( ( z ^ 2 ) + ( w ^ 2 ) ) ) } $.
    $( Lemma for ~ 4sq .  The set ` S ` is the set of all numbers that are
       expressible as a sum of four squares.  Our goal is to show that
       ` S = NN0 ` ; here we show one subset direction.  (Contributed by Mario
       Carneiro, 14-Jul-2014.) $)
    4sqlem1 $p |- S C_ NN0 $=
      ( cv c2 cexp co caddc cz wrex cn0 wcel wa zsqcl2 nn0addcl syl2an wceq cab
      wi eleq1a syl rexlimdvva rexlimivv abssi eqsstri ) EFHZAHZIJKZBHZIJKZLKZC
      HZIJKZDHZIJKZLKZLKZUAZDMNCMNZBMNAMNZFUBOGVDFOVCUJOPZABMMUKMPZUMMPZQZVBVEC
      DMMVHUPMPZURMPZQZQVAOPZVBVEUCVHUOOPZUTOPZVLVKVFULOPUNOPVMVGUKRUMRULUNSTVI
      UQOPUSOPVNVJUPRURRUQUSSTUOUTSTVAOUJUDUEUFUGUHUI $.

    $( Lemma for ~ 4sq .  Change bound variables in ` S ` .  (Contributed by
       Mario Carneiro, 14-Jul-2014.) $)
    4sqlem2 $p |- ( A e. S <-> E. a e. ZZ E. b e. ZZ E. c e. ZZ E. d e. ZZ
      A = ( ( ( a ^ 2 ) + ( b ^ 2 ) ) + ( ( c ^ 2 ) + ( d ^ 2 ) ) ) ) $=
      ( wcel cv c2 cexp co caddc cz wrex wceq cab eleq2i wa wi id ovex eqeltrdi
      cvv a1i rexlimdvva rexlimivv oveq1 oveq1d eqeq2d 2rexbidv cbvrex2vw eqeq1
      weq oveq2d syl5bb elab3 bitri ) EFMEGNZANZOPQZBNZOPQZRQZCNZOPQZDNZOPQZRQZ
      RQZUAZDSTCSTZBSTASTZGUBZMEHNZOPQZINZOPQZRQZJNZOPQZKNZOPQZRQZRQZUAZKSTJSTZ
      ISTHSTZFVSELUCVRWMGEUIWLEUIMZHISSVTSMWBSMUDZWKWNJKSSWKWNUEWOWESMWGSMUDUDW
      KEWJUIWKUFWDWIRUGUHUJUKULVRVDWDVNRQZUAZDSTCSTZISTHSTVDEUAZWMVQWRVDWAVHRQZ
      VNRQZUAZDSTCSTABHISSAHUSZVPXBCDSSXCVOXAVDXCVIWTVNRXCVFWAVHRVEVTOPUMUNUNUO
      UPBIUSZXBWQCDSSXDXAWPVDXDWTWDVNRXDVHWCWARVGWBOPUMUTUNUOUPUQWSWRWLHISSWRVD
      WJUAZKSTJSTWSWLWQXEVDWDWFVMRQZRQZUACDJKSSCJUSZWPXGVDXHVNXFWDRXHVKWFVMRVJW
      EOPUMUNUTUODKUSZXGWJVDXIXFWIWDRXIVMWHWFRVLWGOPUMUTUTUOUQWSXEWKJKSSVDEWJUR
      UPVAUPVAVBVC $.

    $( Lemma for ~ 4sq .  Sufficient condition to be in ` S ` .  (Contributed
       by Mario Carneiro, 14-Jul-2014.) $)
    4sqlem3 $p |- ( ( ( A e. ZZ /\ B e. ZZ ) /\ ( C e. ZZ /\ D e. ZZ ) ) ->
      ( ( ( A ^ 2 ) + ( B ^ 2 ) ) + ( ( C ^ 2 ) + ( D ^ 2 ) ) ) e. S ) $=
      ( vc vd cz c2 cexp co caddc wceq wrex va vb wcel wa cv eqid oveq1d oveq2d
      oveq1 eqeq2d rspc2ev mp3an3 2rexbidv 3expa 4sqlem2 sylibr sylan2 ) GNUCZH
      NUCZUDENUCZFNUCZUDZEOPQZFOPQZRQZGOPQZHOPQZRQZRQZVELUEZOPQZMUEZOPQZRQZRQZS
      ZMNTLNTZVIIUCZURUSVIVISZVQVIUFVPVSVIVEVFVMRQZRQZSLMGHNNVJGSZVOWAVIWBVNVTV
      ERWBVKVFVMRVJGOPUIUGUHUJVLHSZWAVIVIWCVTVHVERWCVMVGVFRVLHOPUIUHUHUJUKULVBV
      QUDVIUAUEZOPQZUBUEZOPQZRQZVNRQZSZMNTLNTZUBNTUANTZVRUTVAVQWLWKVQVIVCWGRQZV
      NRQZSZMNTLNTUAUBEFNNWDESZWJWOLMNNWPWIWNVIWPWHWMVNRWPWEVCWGRWDEOPUIUGUGUJU
      MWFFSZWOVPLMNNWQWNVOVIWQWMVEVNRWQWGVDVCRWFFOPUIUHUGUJUMUKUNABCDVIIJUAUBLM
      KUOUPUQ $.

    $( Lemma for ~ 4sqlem4 .  (Contributed by Mario Carneiro, 14-Jul-2014.) $)
    4sqlem4a $p |- ( ( A e. Z[i] /\ B e. Z[i] ) ->
      ( ( ( abs ` A ) ^ 2 ) + ( ( abs ` B ) ^ 2 ) ) e. S ) $=
      ( cgz wcel wa cabs cfv c2 cexp co caddc cre cz cim gzcn oveqan12d cc elgz
      absvalsq2d simp2bi simp3bi jca 4sqlem3 syl2an eqeltrd ) EJKZFJKZLEMNOPQZF
      MNOPQZRQESNZOPQEUANZOPQRQZFSNZOPQFUANZOPQRQZRQZGUMUNUOUSUPVBRUMEEUBUFUNFF
      UBUFUCUMUQTKZURTKZLUTTKZVATKZLVCGKUNUMVDVEUMEUDKZVDVEEUEZUGUMVHVDVEVIUHUI
      UNVFVGUNFUDKZVFVGFUEZUGUNVJVFVGVKUHUIABCDUQURUTVAGHIUJUKUL $.

    ${
      $d u A $.
      $( Lemma for ~ 4sq .  We can express the four-square property more
         compactly in terms of gaussian integers, because the norms of gaussian
         integers are exactly sums of two squares.  (Contributed by Mario
         Carneiro, 14-Jul-2014.) $)
      4sqlem4 $p |- ( A e. S <-> E. u e. Z[i] E. v e. Z[i]
        A = ( ( ( abs ` u ) ^ 2 ) + ( ( abs ` v ) ^ 2 ) ) ) $=
        ( wcel cfv c2 cexp co caddc wceq cgz wrex cz va vb vc cabs 4sqlem2 cmul
        vd cv wa ci gzreim adantr adantl cre cim cc gzcn syl absvalsq2d cr crre
        syl2an oveq1d crim oveq12d eqtrd oveqan12d eqcomd eqeq2d oveq2d rspc2ev
        zre fveq2 eqeq1 2rexbidv syl5ibrcom rexlimdvva rexlimivv sylbi 4sqlem4a
        syl3anc wi eleq1a impbii ) GHKZGFUHZUDLZMNOZEUHZUDLZMNOZPOZQZERSFRSZWEG
        UAUHZMNOZUBUHZMNOZPOZUCUHZMNOZUGUHZMNOZPOZPOZQZUGTSUCTSZUBTSUATSWNABCDG
        HIUAUBUCUGJUEXGWNUAUBTTWOTKZWQTKZUIZXFWNUCUGTTXJWTTKZXBTKZUIZUIZWNXFXEW
        LQZERSFRSZXNWOUJWQUFOPOZRKZWTUJXBUFOPOZRKZXEXQUDLZMNOZXSUDLZMNOZPOZQZXP
        XJXRXMWOWQUKZULXMXTXJWTXBUKZUMXNYEXEXJXMYBWSYDXDPXJYBXQUNLZMNOZXQUOLZMN
        OZPOWSXJXQXJXRXQUPKYGXQUQURUSXJYJWPYLWRPXJYIWOMNXHWOUTKZWQUTKZYIWOQXIWO
        VLZWQVLZWOWQVAVBVCXJYKWQMNXHYMYNYKWQQXIYOYPWOWQVDVBVCVEVFXMYDXSUNLZMNOZ
        XSUOLZMNOZPOXDXMXSXMXTXSUPKYHXSUQURUSXMYRXAYTXCPXMYQWTMNXKWTUTKZXBUTKZY
        QWTQXLWTVLZXBVLZWTXBVAVBVCXMYSXBMNXKUUAUUBYSXBQXLUUCUUDWTXBVDVBVCVEVFVG
        VHXOYFXEYBWKPOZQFEXQXSRRWFXQQZWLUUEXEUUFWHYBWKPUUFWGYAMNWFXQUDVMVCVCVIW
        IXSQZUUEYEXEUUGWKYDYBPUUGWJYCMNWIXSUDVMVCVJVIVKWAXFWMXOFERRGXEWLVNVOVPV
        QVRVSWMWEFERRWFRKWIRKUIWLHKWMWEWBABCDWFWIHIJVTWLHGWCURVRWD $.

      mul4sq.1 $e |- ( ph -> A e. Z[i] ) $.
      mul4sq.2 $e |- ( ph -> B e. Z[i] ) $.
      mul4sq.3 $e |- ( ph -> C e. Z[i] ) $.
      mul4sq.4 $e |- ( ph -> D e. Z[i] ) $.
      mul4sq.5 $e |- X = ( ( ( abs ` A ) ^ 2 ) + ( ( abs ` B ) ^ 2 ) ) $.
      mul4sq.6 $e |- Y = ( ( ( abs ` C ) ^ 2 ) + ( ( abs ` D ) ^ 2 ) ) $.
      mul4sq.7 $e |- ( ph -> M e. NN ) $.
      mul4sq.8 $e |- ( ph -> ( ( A - C ) / M ) e. Z[i] ) $.
      mul4sq.9 $e |- ( ph -> ( ( B - D ) / M ) e. Z[i] ) $.
      mul4sq.10 $e |- ( ph -> ( X / M ) e. NN0 ) $.
      $( Lemma for ~ mul4sq : algebraic manipulations.  The extra assumptions
         involving ` M ` are for a part of ~ 4sqlem17 which needs to know not
         just that the product is a sum of squares, but also that it preserves
         divisibility by ` M ` .  (Contributed by Mario Carneiro,
         14-Jul-2014.) $)
      mul4sqlem $p |- ( ph -> ( ( X / M ) x. ( Y / M ) ) e. S ) $=
        ( ccj cfv cmul co caddc cdiv cabs c2 cexp cmin cgz wcel gzcn syl mulcld
        absvalsqd cjcld eqeltrd addcld ppncand cjaddd cjmuld cjcjd oveq1d eqtrd
        oveq2d oveq12d adddid mul4d mulcomd 3eqtr4d eqtr4d 3eqtrd add42d subcld
        adddird wceq cjsub syl2anc subdird subdid subadd4d eqtrid nncnd absdivd
        nnne0d nnred nnnn0d nn0ge0d absidd abscld recnd sqdivd nnsqcld eqeltrid
        divdird divmuldivd sqvald nncand eqtr3d divsubdird divassd cjdivd cjred
        cc addsub4d nn0zd zgz gzcjcl gzmulcl gzaddcl nnncan1d 4sqlem4a eqeltrrd
        cz gzsubcl ) AFUFUGZHUHUIZGIUFUGZUHUIZUJUIZLUKUIZULUGZUMUNUIZYBIUHUIZGH
        UFUGZUHUIZUOUIZLUKUIZULUGZUMUNUIZUJUIZMLUKUIZNLUKUIUHUIZJAYFULUGZUMUNUI
        ZYMULUGZUMUNUIZUJUIZLUMUNUIZUKUIZMNUHUIZUUEUKUIZYQYSAUUDUUGUUEUKAFHUHUI
        ZULUGUMUNUIZGIUHUIZULUGUMUNUIZUJUIZYCGUFUGZIUHUIZUHUIZYLFYDUHUIZUHUIZUJ
        UIZUJUIZFIUHUIZULUGUMUNUIZGHUHUIZULUGUMUNUIZUJUIZUUSUOUIZUJUIUUMUVEUJUI
        ZUUDUUGAUUMUUSUVEAUUJUULAUUJUUIUUIUFUGZUHUIZXJAUUIAFHAFUPUQZFXJUQZPFURU
        SZAHUPUQHXJUQZRHURUSZUTZVAZAUUIUVHUVOAUUIUVOVBUTVCZAUULUUKUUKUFUGZUHUIZ
        XJAUUKAGIAGUPUQZGXJUQZQGURUSZAIUPUQIXJUQZSIURUSZUTZVAZAUUKUVRUWEAUUKUWE
        VBUTVCZVDZAUUPUURAYCUUOAYBHAFUVLVBZUVNUTZAUUNIAGUWBVBZUWDUTZUTZAYLUUQAG
        YKUWBAHUVNVBZUTZAFYDUVLAIUWDVBZUTZUTZVDZAUVBUVDAUVBUVAUVAUFUGZUHUIZXJAU
        VAAFIUVLUWDUTZVAZAUVAUWTUXBAUVAUXBVBUTVCZAUVDUVCUVCUFUGZUHUIZXJAUVCAGHU
        WBUVNUTZVAZAUVCUXEUXGAUVCUXGVBUTVCZVDZVEAUUAUUTUUCUVFUJAUUAYFYFUFUGZUHU
        IYFFYKUHUIZUUOUJUIZUHUIZUUTAYFAYCYEUWJAGYDUWBUWPUTZVDZVAAUXKUXMYFUHAUXK
        YCUFUGZYEUFUGZUJUIUXMAYCYEUWJUXOVFAUXQUXLUXRUUOUJAUXQYBUFUGZYKUHUIUXLAY
        BHUWIUVNVGAUXSFYKUHAFUVLVHZVIVJAUXRUUNYDUFUGZUHUIUUOAGYDUWBUWPVGAUYAIUU
        NUHAIUWDVHVKVJVLVJVKAYCUXMUHUIZYEUXMUHUIZUJUIUUJUUPUJUIZUURUULUJUIZUJUI
        UXNUUTAUYBUYDUYCUYEUJAUYBYCUXLUHUIZUUPUJUIUYDAYCUXLUUOUWJAFYKUVLUWNUTZU
        WLVMAUYFUUJUUPUJAUYFUVIUUJAHYBUHUIZUXLUHUIHFUHUIZYBYKUHUIZUHUIUYFUVIAHY
        BFYKUVNUWIUVLUWNVNAYCUYHUXLUHAYBHUWIUVNVOVIAUUIUYIUVHUYJUHAFHUVLUVNVOAF
        HUVLUVNVGZVLVPUVPVQVIVJAUYCYEUXLUHUIZYEUUOUHUIZUJUIUYEAYEUXLUUOUXOUYGUW
        LVMAUYLUURUYMUULUJAUYLYEYKFUHUIZUHUIYLYDFUHUIZUHUIUURAUXLUYNYEUHAFYKUVL
        UWNVOVKAGYDYKFUWBUWPUWNUVLVNAUYOUUQYLUHAYDFUWPUVLVOVKVRAUYMUVSUULAYEIUU
        NUHUIZUHUIUUKYDUUNUHUIZUHUIUYMUVSAGYDIUUNUWBUWPUWDUWKVNAUUOUYPYEUHAUUNI
        UWKUWDVOVKAUVRUYQUUKUHAUVRUUNYDUHUIZUYQAGIUWBUWDVGZAUUNYDUWKUWPVOVJVKVP
        UWFVQVLVJVLAYCYEUXMUWJUXOAUXLUUOUYGUWLVDWAAUUJUULUUPUURUVQUWGUWMUWRVSVP
        VRZAUUCYMYMUFUGZUHUIYMUUQUUNHUHUIZUOUIZUHUIZUVFAYMAYJYLAYBIUWIUWDUTZUWO
        VTZVAAVUAVUCYMUHAVUAYJUFUGZYLUFUGZUOUIZVUCAYJXJUQYLXJUQVUAVUIWBVUEUWOYJ
        YLWCWDAVUGUUQVUHVUBUOAVUGUXSYDUHUIUUQAYBIUWIUWDVGAUXSFYDUHUXTVIVJAVUHUU
        NYKUFUGZUHUIVUBAGYKUWBUWNVGAVUJHUUNUHAHUVNVHVKVJVLVJVKAVUDYJVUCUHUIZYLV
        UCUHUIZUOUIUVBUUPUOUIZUURUVDUOUIZUOUIUVFAYJYLVUCVUEUWOAUUQVUBUWQAUUNHUW
        KUVNUTZVTWEAVUKVUMVULVUNUOAVUKYJUUQUHUIZYJVUBUHUIZUOUIVUMAYJUUQVUBVUEUW
        QVUOWFAVUPUVBVUQUUPUOAVUPUXAUVBAIYBUHUIZUUQUHUIIFUHUIZYBYDUHUIZUHUIVUPU
        XAAIYBFYDUWDUWIUVLUWPVNAYJVURUUQUHAYBIUWIUWDVOVIAUVAVUSUWTVUTUHAFIUVLUW
        DVOAFIUVLUWDVGZVLVPUXCVQAVUQYJHUUNUHUIZUHUIYCUYPUHUIUUPAVUBVVBYJUHAUUNH
        UWKUVNVOZVKAYBIHUUNUWIUWDUVNUWKVNAUYPUUOYCUHAIUUNUWDUWKVOVKVRVLVJAVULUU
        RYLVUBUHUIZUOUIVUNAYLUUQVUBUWOUWQVUOWFAVVDUVDUURUOAVVDUXFUVDAVVDYLVVBUH
        UIUVCYKUUNUHUIZUHUIUXFAVUBVVBYLUHVVCVKAGYKHUUNUWBUWNUVNUWKVNAVVEUXEUVCU
        HAVVEUUNYKUHUIZUXEAYKUUNUWNUWKVOAGHUWBUVNVGZVQVKVRUXHVQVKVJVLAUVBUUPUUR
        UVDUXDUWMUWRUXIWGVRVRZVLAFYBUHUIZGUUNUHUIZUJUIZHYKUHUIZIYDUHUIZUJUIZUHU
        IZUUJUVBUJUIZUVDUULUJUIZUJUIZUUGUVGAVVOVVIVVNUHUIZVVJVVNUHUIZUJUIVVRAVV
        IVVJVVNAFYBUVLUWIUTZAGUUNUWBUWKUTZAVVLVVMAHYKUVNUWNUTZAIYDUWDUWPUTZVDZW
        AAVVPVVSVVQVVTUJAVVPVVIVVLUHUIZVVIVVMUHUIZUJUIVVSAUUJVWFUVBVWGUJAUUJUVI
        UUIUYJUHUIVWFUVPAUVHUYJUUIUHUYKVKAFHYBYKUVLUVNUWIUWNVNVRAUVBUXAUVAVUTUH
        UIVWGUXCAUWTVUTUVAUHVVAVKAFIYBYDUVLUWDUWIUWPVNVRVLAVVIVVLVVMVWAVWCVWDVM
        VQAVVQVVJVVLUHUIZVVJVVMUHUIZUJUIVVTAUVDVWHUULVWIUJAUVDUXFUVCVVFUHUIVWHU
        XHAUXEVVFUVCUHVVGVKAGHUUNYKUWBUVNUWKUWNVNVRAUULUVSUUKUYRUHUIVWIUWFAUVRU
        YRUUKUHUYSVKAGIUUNYDUWBUWDUWKUWPVNVRVLAVVJVVLVVMVWBVWCVWDVMVQVLVQAMVVKN
        VVNUHAMFULUGUMUNUIZGULUGUMUNUIZUJUIZVVKTAVWJVVIVWKVVJUJAFUVLVAZAGUWBVAZ
        VLWHZANHULUGUMUNUIZIULUGUMUNUIZUJUIVVNUAAVWPVVLVWQVVMUJAHUVNVAAIUWDVAVL
        WHZVLAUUJUULUVBUVDUVQUWGUXDUXIVSVPVPVIAYQUUAUUEUKUIZUUCUUEUKUIZUJUIUUFA
        YIVWSYPVWTUJAYIYTLUKUIZUMUNUIVWSAYHVXAUMUNAYHYTLULUGZUKUIVXAAYFLUXPALUB
        WIZALUBWKZWJAVXBLYTUKALALUBWLZALALUBWMWNWOZVKVJVIAYTLAYTAYFUXPWPWQVXCVX
        DWRVJAYPUUBLUKUIZUMUNUIVWTAYOVXGUMUNAYOUUBVXBUKUIVXGAYMLVUFVXCVXDWJAVXB
        LUUBUKVXFVKVJVIAUUBLAUUBAYMVUFWPWQVXCVXDWRVJVLAUUAUUCUUEAUUAUUTXJUYTAUU
        MUUSUWHUWSVDVCAUUCUVFXJVVHAUVEUUSUXJUWSVTVCAUUEALUBWSZWIAUUEVXHWKXAVQAY
        SUUGLLUHUIZUKUIUUHAMLNLAMVWLXJTAVWJVWKAVWJVVIXJVWMVWAVCAVWKVVJXJVWNVWBV
        CVDWTZVXCANVVNXJVWRVWEVCVXCVXDVXDXBAUUEVXIUUGUKALVXCXCVKVQVPAYGUPUQYNUP
        UQYQJUQAYGYRYBFHUOUIZLUKUIZUHUIZGGIUOUIZLUKUIZUFUGZUHUIZUJUIZUOUIZUPAYG
        MYBVXKUHUIZGVXNUFUGZUHUIZUJUIZUOUIZLUKUIYRVYCLUKUIZUOUIVXSAYFVYDLUKAMMY
        FUOUIZUOUIYFVYDAMYFVXJUXPXDAVYFVYCMUOAVVKYFUOUIVVIYCUOUIZVVJYEUOUIZUJUI
        VYFVYCAVVIVVJYCYEVWAVWBUWJUXOXKAMVVKYFUOVWOVIAVXTVYGVYBVYHUJAVXTYBFUHUI
        ZYCUOUIVYGAYBFHUWIUVLUVNWFAVYIVVIYCUOAYBFUWIUVLVOVIVJAVYBGUUNYDUOUIZUHU
        IVYHAVYAVYJGUHAUWAUWCVYAVYJWBUWBUWDGIWCWDVKAGUUNYDUWBUWKUWPWFVJVLVPVKXE
        VIAMVYCLVXJAVXTVYBAYBVXKUWIAFHUVLUVNVTZUTZAGVYAUWBAVXNAGIUWBUWDVTZVBZUT
        ZVDVXCVXDXFAVYEVXRYRUOAVYEVXTLUKUIZVYBLUKUIZUJUIVXRAVXTVYBLVYLVYOVXCVXD
        XAAVYPVXMVYQVXQUJAYBVXKLUWIVYKVXCVXDXGAVYQGVYALUKUIZUHUIVXQAGVYALUWBVYN
        VXCVXDXGAVXPVYRGUHAVXPVYALUFUGZUKUIVYRAVXNLVYMVXCVXDXHAVYSLVYAUKALVXEXI
        ZVKVJVKVQVLVJVKVRAYRUPUQZVXRUPUQZVXSUPUQAYRXTUQWUAAYRUEXLYRXMUSAVXMUPUQ
        ZVXQUPUQZWUBAYBUPUQZVXLUPUQZWUCAUVJWUEPFXNUSZUCYBVXLXOWDAUVTVXPUPUQZWUD
        QAVXOUPUQZWUHUDVXOXNUSGVXPXOWDVXMVXQXPWDYRVXRYAWDVCAYNGVXLUFUGZUHUIZYBV
        XOUHUIZUOUIZUPAGVXKUFUGZUHUIZLUKUIZYBVXNUHUIZLUKUIZUOUIZYNWUMAWUOWUQUOU
        IZLUKUIWUSYNAWUOWUQLAGWUNUWBAVXKVYKVBZUTAYBVXNUWIVYMUTVXCVXDXFAWUTYMLUK
        AWUTGYBUHUIZYLUOUIZWVBYJUOUIZUOUIYMAWUOWVCWUQWVDUOAWUOGYBYKUOUIZUHUIWVC
        AWUNWVEGUHAUVKUVMWUNWVEWBUVLUVNFHWCWDVKAGYBYKUWBUWIUWNWFVJAWUQYBGUHUIZY
        JUOUIWVDAYBGIUWIUWBUWDWFAWVFWVBYJUOAYBGUWIUWBVOVIVJVLAWVBYLYJAGYBUWBUWI
        UTUWOVUEXQVJVIXEAWUPWUKWURWULUOAWUPGWUNLUKUIZUHUIWUKAGWUNLUWBWVAVXCVXDX
        GAWUJWVGGUHAWUJWUNVYSUKUIWVGAVXKLVYKVXCVXDXHAVYSLWUNUKVYTVKVJVKVQAYBVXN
        LUWIVYMVXCVXDXGVLXEAWUKUPUQZWULUPUQZWUMUPUQAUVTWUJUPUQZWVHQAWUFWVJUCVXL
        XNUSGWUJXOWDAWUEWUIWVIWUGUDYBVXOXOWDWUKWULYAWDVCBCDEYGYNJKOXRWDXS $.
    $}

    $( Euler's four-square identity:  The product of two sums of four squares
       is also a sum of four squares.  This is usually quoted as an explicit
       formula involving eight real variables; we save some time by working
       with complex numbers (gaussian integers) instead, so that we only have
       to work with four variables, and also hiding the actual formula for the
       product in the proof of ~ mul4sqlem .  (For the curious, the explicit
       formula that is used is
       ` ( | a | ^ 2 + | b | ^ 2 ) ( | c | ^ 2 + | d | ^ 2 ) = `
       ` | a * x. c + b x. d * | ^ 2 + | a * x. d - b x. c * | ^ 2 ` .)
       (Contributed by Mario Carneiro, 14-Jul-2014.) $)
    mul4sq $p |- ( ( A e. S /\ B e. S ) -> ( A x. B ) e. S ) $=
      ( va vb vc vd wcel co cgz wrex wa c1 syl cv cabs cfv cexp caddc wceq cmul
      c2 4sqlem4 reeanv cdiv cn0 simpll gzabssqcl simprl nn0addcld nn0cnd div1d
      simplr simprr oveq12d eqid cn 1nn a1i cmin cc gzsubcl adantr gzcn eqeltrd
      adantl mul4sqlem eqeltrrd syl5ibrcom rexlimdvva syl5bir rexlimivv syl2anb
      oveq12 eleq1d sylbir ) EGNEJUAZUBUCUHUDOZKUAZUBUCUHUDOZUEOZUFZKPQZJPQZFLU
      AZUBUCUHUDOZMUAZUBUCUHUDOZUEOZUFZMPQZLPQZEFUGOZGNZFGNABCDKJEGHIUIABCDMLFG
      HIUIWJWRRWIWQRZLPQJPQWTWIWQJLPPUJXAWTJLPPXAWHWPRZMPQKPQWCPNZWKPNZRZWTWHWP
      KMPPUJXEXBWTKMPPXEWEPNZWMPNZRZRZWTXBWGWOUGOZGNXIWGSUKOZWOSUKOZUGOXJGXIXKW
      GXLWOUGXIWGXIWGXIWDWFXIXCWDULNXCXDXHUMZWCUNTXIXFWFULNXEXFXGUOZWEUNTUPZUQU
      RZXIWOXIWOXIWLWNXIXDWLULNXCXDXHUSZWKUNTXIXGWNULNXEXFXGUTZWMUNTUPUQURVAXIA
      BCDWCWEWKWMGHSWGWOIXMXNXQXRWGVBWOVBSVCNXIVDVEXIWCWKVFOZSUKOXSPXIXSXIXSPNZ
      XSVGNXEXTXHWCWKVHVIZXSVJTURYAVKXIWEWMVFOZSUKOYBPXIYBXIYBPNZYBVGNXHYCXEWEW
      MVHVLZYBVJTURYDVKXIXKWGULXPXOVKVMVNXBWSXJGEWGFWOUGVTWAVOVPVQVRWBVS $.

    ${
      4sq.2 $e |- ( ph -> N e. NN ) $.
      4sq.3 $e |- ( ph -> P = ( ( 2 x. N ) + 1 ) ) $.
      4sq.4 $e |- ( ph -> P e. Prime ) $.
      ${
        4sqlem11.5 $e |- A =
          { u | E. m e. ( 0 ... N ) u = ( ( m ^ 2 ) mod P ) } $.
        4sqlem11.6 $e |- F = ( v e. A |-> ( ( P - 1 ) - v ) ) $.
        $( Lemma for ~ 4sq .  Use the pigeonhole principle to show that the
           sets ` { m ^ 2 | m e. ( 0 ... N ) } ` and
           ` { -u 1 - n ^ 2 | n e. ( 0 ... N ) } ` have a common element,
           ` mod P ` .  (Contributed by Mario Carneiro, 15-Jul-2014.) $)
        4sqlem11 $p |- ( ph -> ( A i^i ran F ) =/= (/) ) $=
          ( vk crn cun chash cfv clt wbr wn cin c0 wne cfn wcel cn0 cc0 c1 cmin
          co cfz fzfid cv c2 cexp cmo wceq cab wa wi cz cn elfzelz zsqcl cprime
          wrex prmnn zmodfz syl2anr eleq1a rexlimdva abssdv eqsstrid caddc prmz
          syl peano2zm zcnd addid2d oveq1d adantr sselda fzrev3i ssfid zred cle
          nn0red wb syl2anc mpbird cen fz01en hashen nnnn0d hashfz1 eqtrd ltp1d
          breqtrd cr cmul cc sylancr 2timesd 3eqtrd cmpt wf1o ex cdvds ad2antrl
          wf1 weq ad2antll syl3anc elfzle2 breqtrrd cabs nn0zd sylanbrc subid1d
          fveq2d elfzle1 absidd oveq12d dvdsle mtod sylbid dom2lem ax-mp sylibr
          necon4ad f1f1orn sstri eqeltrrd fmptd frnd unssd hashcl cdom wss sylc
          ssdomg hashdom lensymd nncnd add4d 2cn mulcl addassd wo moddvds subsq
          1cnd breq2d zaddcld zsubcld euclemma 3bitrd 2re nnred remulcl le2addd
          lelttrd ltnled mpbid ad2antrr 1red nn0abscl subeq0ad biimpar absrpcld
          necon3bid rpgt0d elnnz nnge1d 0cnd abs3difd 0cn abssub letrd dvdsabsb
          elnnz1 letr mpan2d jaod oveq1 impbid1 eqid rnmpt eqtr4i f1oeq3 ensymd
          ovex f1oen ax-1cn pncan sylancl oveq2d peano2nn0 eqbrtrrd entr fzssuz
          uzssz zsscn sstrdi adantrr adantrl subcanad hasheqf1od eqtr3d 3eqtr4d
          cuz f1eq1 simpr hashun eqtr4d necon3bd mpd ) AIHMUBZUCZUDUEZUFUGZUHHU
          YFUIZUJUKAUYHIAUYHAUYGULUMZUYHUNUMAUOIUPUQURZUSURZUYGAUOUYLUTZAHUYFUY
          MAHGVAZKVAZVBVCURZIVDURZVEZKUONUSURZVNZGVFZUYMSAVUAGUYMAUYSUYOUYMUMZK
          UYTAUYPUYTUMZVGUYRUYMUMZUYSVUCVHVUDUYQVIUMZIVJUMZVUEAVUDUYPVIUMZVUFUY
          PUONVKZUYPVLZWDAIVMUMZVUGRIVOWDZUYQIVPVQZUYRUYMUYOVRWDVSVTWAZAHUYMMAF
          HUYLFVAZUQURZUYMMAVUOHUMZVGZUOUYLWBURZVUOUQURZVUPUYMAVUTVUPVEVUQAVUSU
          YLVUOUQAUYLAUYLAIVIUMZUYLVIUMAVUKVVARIWCZWDZIWEWDWFZWGWHWIVURVUOUYMUM
          VUTUYMUMAHUYMVUOVUNWJVUOUOUYLWKWDUUAZTUUBUUCZUUDZWLZUYGUUEWDWOAIVVCWM
          ZAUYHUYMUDUEZIWNAUYHVVJWNUGZUYGUYMUUFUGZAUYMULUMZUYGUYMUUGVVLUYNVVGUY
          GUYMULUUIUUHAUYKVVMVVKVVLWPVVHUYNUYGUYMULUUJWQWRAVVJUPIUSURZUDUEZIAVV
          JVVOVEZUYMVVNWSUGZAVVAVVQVVCIWTWDAVVMVVNULUMVVPVVQWPUYNAUPIUTUYMVVNXA
          WQWRAIUNUMVVOIVEAIVULXBIXCWDXDXFUUKAUYIUYJUJAUYJUJVEZUYIAVVRVGZIIUPWB
          URZUYHUFVVSIAIXGUMZVVRVVIWIXEVVSVVTHUDUEZUYFUDUEZWBURZUYHAVVTVWDVEVVR
          ANNWBURZUPUPWBURZWBURZNUPWBURZVWHWBURVVTVWDANNUPUPANPUULZVWIAUUTZVWJU
          UMAVVTVBNXHURZUPWBURZUPWBURVWKVWFWBURVWGAIVWLUPWBQWHAVWKUPUPAVBXIUMNX
          IUMZVWKXIUMUUNVWIVBNUUOXJVWJVWJUUPAVWKVWEVWFWBANVWIXKWHXLAVWBVWHVWCVW
          HWBAVWBUPVWHUSURZUDUEZVWHAVWBVWOVEZHVWNWSUGZAHUYTWSUGUYTVWNWSUGVWQAUY
          THAUYTHKUYTUYRXMZXNZUYTHWSUGAUYTVWRUBZVWRXNZVWSAUYTUYMVWRXRVXAAKGUYTU
          YMUYRUYOVBVCURZIVDURZAVUDVUEVUMXOAVUDUYOUYTUMZVGZUYRVXCVEZKGXSZWPAVXE
          VGZVXFVXGVXHVXFIUYPUYOWBURZXPUGZIUYPUYOUQURZXPUGZUUQZVXGVXHVXFIUYQVXB
          UQURZXPUGZIVXIVXKXHURZXPUGZVXMVXHVUGVUFVXBVIUMZVXFVXOWPAVUGVXEVULWIVX
          HVUHVUFVUDVUHAVXDVUIXQZVUJWDVXHUYOVIUMZVXRVXDVXTAVUDUYOUONVKXTZUYOVLW
          DUYQVXBIUURYAVXHVXNVXPIXPVXHUYPXIUMUYOXIUMZVXNVXPVEVXHUYPVXSWFZVXHUYO
          VYAWFZUYPUYOUUSWQUVAVXHVUKVXIVIUMZVXKVIUMZVXQVXMWPAVUKVXERWIZVXHUYPUY
          OVXSVYAUVBZVXHUYPUYOVXSVYAUVCZIVXIVXKUVDYAUVEVXHVXJVXGVXLVXHVXJUYPUYO
          VXHUYPUYOUKZVXJUHVXHVYJVGZVXJIVXIWNUGZVXHVYLUHZVYJVXHVXIIUFUGVYMVXHVX
          IVWKIVXHVXIVYHWMZAVWKXGUMZVXEAVBXGUMNXGUMZVYOUVFANPUVGZVBNUVHXJZWIVXH
          IVXHVUKVVAVYGVVBWDZWMZVXHVXIVWEVWKWNVXHUYPUYONNVXHUYPVXSWMZVXHUYOVYAW
          MZAVYPVXEVYQWIZWUCVUDUYPNWNUGAVXDUYPUONYBXQVXDUYONWNUGAVUDUYOUONYBXTU
          VIVXHNAVWMVXEVWIWIXKYCAVWKIUFUGVXEAVWKVWLIUFAVWKVYRXEQYCWIUVJVXHVXIIV
          YNVYTUVKUVLZWIVYKVVAVXIVJUMZVXJVYLVHAVVAVXEVYJVVCUVMVYKVYEUPVXIWNUGWU
          EVXHVYEVYJVYHWIZVYKUPVXKYDUEZVXIVYKUVNVXHWUGXGUMZVYJVXHWUGVXHVYFWUGUN
          UMZVYIVXKUVOWDZWOZWIVYKVXIWUFWMVYKWUGVYKWUGVIUMUOWUGUFUGWUGVJUMZVYKWU
          GVXHWUIVYJWUJWIYEVYKWUGVYKVXKVXHVXKXIUMVYJVXHVXKVYIWFWIVXHVXKUOUKVYJV
          XHVXKUOUYPUYOVXHUYPUYOVYCVYDUVPUVSUVQUVRUVTWUGUWAYFZUWBVXHWUGVXIWNUGZ
          VYJVXHWUGUYPUOUQURZYDUEZUOUYOUQURYDUEZWBURVXIWNVXHUYPUYOUOVYCVYDVXHUW
          CUWDVXHWUPUYPWUQUYOWBVXHWUPUYPYDUEUYPVXHWUOUYPYDVXHUYPVYCYGYHVXHUYPWU
          AVUDUOUYPWNUGAVXDUYPUONYIXQYJXDVXHWUQUYOUOUQURZYDUEZUYOYDUEUYOVXHUOXI
          UMVYBWUQWUSVEUWEVYDUOUYOUWFXJVXHWURUYOYDVXHUYOVYDYGYHVXHUYOWUBVXDUOUY
          OWNUGAVUDUYOUONYIXTYJXLYKXFZWIUWGVXIUWIYFIVXIYLWQYMXOYRVXHVXLIWUGXPUG
          ZVXGVXHVVAVYFVXLWVAWPVYSVYIIVXKUWHWQVXHWVAUYPUYOVXHVYJWVAUHVYKWVAIWUG
          WNUGZVXHWVBUHVYJVXHWVBVYLWUDVXHWVBWUNVYLWUTVXHVWAWUHVXIXGUMWVBWUNVGVY
          LVHVYTWUKVYNIWUGVXIUWJYAUWKYMWIVYKVVAWULWVAWVBVHVXHVVAVYJVYSWIWUMIWUG
          YLWQYMXOYRYNUWLYNVXGUYQVXBIVDUYPUYOVBVCUWMWHUWNXOYOUYTUYMVWRYSWDHVWTV
          EVWSVXAWPHVUBVWTSKGUYTUYRVWRVWRUWOUWPUWQHVWTUYTVWRUWRYPYQUYTHVWRUONUS
          UWTUXAWDUWSAUOVWHUPUQURZUSURZUYTVWNWSAWVCNUOUSAVWMUPXIUMWVCNVEVWIUXBN
          UPUXCUXDUXEAVWHVIUMWVDVWNWSUGAVWHANUNUMVWHUNUMZANPXBNUXFWDZYEVWHWTWDU
          XGHUYTVWNUXHWQAHULUMZVWNULUMVWPVWQWPAUYMHUYNVUNWLZAUPVWHUTHVWNXAWQWRA
          WVEVWOVWHVEWVFVWHXCWDXDZAVWBVWCVWHAHUYFULMWVHAHUYMMXRZHUYFMXNAHUYMFHV
          UPXMZXRZWVJAFUAHUYMVUPUYLUAVAZUQURZAVUQVUPUYMUMVVEXOAVUQWVMHUMZVGZVUP
          WVNVEFUAXSWPAWVPVGUYLVUOWVMAUYLXIUMWVPVVDWIAVUQVUOXIUMWVOAHXIVUOAHUYM
          XIVUNUYMUOUXSUEZXIUOUYLUXIWVQVIXIUOUXJUXKYTYTUXLZWJUXMAWVOWVMXIUMVUQA
          HXIWVMWVRWJUXNUXOXOYOMWVKVEWVJWVLWPTHUYMMWVKUXTYPYQHUYMMYSWDUXPWVIUXQ
          YKUXRWIVVSWVGUYFULUMZVVRUYHVWDVEAWVGVVRWVHWIAWVSVVRAUYMUYFUYNVVFWLWIA
          VVRUYAHUYFUYBYAUYCXFXOUYDUYE $.

        $( Lemma for ~ 4sq .  For any odd prime ` P ` , there is a ` k < P `
           such that ` k P - 1 ` is a sum of two squares.  (Contributed by
           Mario Carneiro, 15-Jul-2014.) $)
        4sqlem12 $p |- ( ph -> E. k e. ( 1 ... ( P - 1 ) ) E. u e. Z[i]
          ( ( ( abs ` u ) ^ 2 ) + 1 ) = ( k x. P ) ) $=
          ( vj cv crn cin wcel wex cabs cfv c2 cexp co caddc cmul wceq cgz wrex
          c1 cmin cfz c0 wne 4sqlem11 n0 sylib cmo wa cc0 vex weq eqeq1 rexbidv
          elab2 cab abid rexeqi oveq1 oveq1d eqeq2d cbvrexvw syl5bb rexab rnmpt
          3bitri eleq2i rexcom4 r19.41v exbii bitri 3bitr4i ovex ceqsexv rexbii
          oveq2 anbi12i elin reeanv w3a cz cle wbr clt cdvds cr crp cn 3ad2ant1
          cn0 syl nn0red nnrpd nnred syl22anc elfzelzd zsqcl2 zsqcl nn0zd mpbid
          syl2anc wb breqtrrd syl3anc nn0cnd subsub3d nncnd mpbird nnrp nnmulcl
          eqtrd 2nn sylancr zred elfzle1 elfzle2 le2sq2 c4 a1i nngt0d syl112anc
          cc eqtr2 cdiv cprime prmnn nnm1nn0 nn0ge0d ltm1d modid simp2r zmodcld
          ci modlt prmz zltlem1 modsubdir simp3 3eqtr4rd simp2l zsubcld moddvds
          nn0addcld 1cnd breqtrd nn0p1nn dvdssubr nnne0d dvdsval2 syl2an rpgt0d
          nnzd rpdivcl sylanbrc nnge1d resqcld readdcld nnsqcld le2addd 2timesd
          elnnz 1red 2lt4 2re 4re ltmul1 mpbii 2cn sqmul oveq1i eqtrdi ltaddrpd
          sq2 lelttrd lttrd ltadd1dd sqvald binom21 3eqtr3d ltdivmul 1z elfzm11
          mpbir3and gzreim cre cim gzcn absvalsq2d crred crimd oveq12d divcan1d
          eqtr4d fveq2 eqeq1d rspc2ev 3expia syl5 rexlimdvva syl5bi exlimdv mpd
          ) AUBUCZHNUDZUEZUFZUBUGZGUCZUHUIZUJUKULZURUMULZKUCZIUNULZUOZGUPUQKURI
          URUSULZUTULZUQZAUYCVAVBUYEABCDEFGHIJLMNOPQRSTUAVCUBUYCVDVEAUYDUYOUBUY
          DUYALUCZUJUKULZIVFULZUOZUYAUYMMUCZUJUKULZIVFULZUSULZUOZVGZMVHOUTULZUQ
          LVUFUQZAUYOUYAHUFZUYAUYBUFZVGUYSLVUFUQZVUDMVUFUQZVGUYDVUGVUHVUJVUIVUK
          UYFUYRUOZLVUFUQZVUJGUYAHUBVIGUBVJVULUYSLVUFUYFUYAUYRVKVLTVMVUIFUCZVUB
          UOZUYAUYMVUNUSULZUOZVGZFUGZMVUFUQZVUKUYAVUQFHUQZUBVNZUFZVUOMVUFUQZVUQ
          VGZFUGZVUIVUTVVCVVAVUQFVUMGVNZUQVVFVVAUBVOVUQFHVVGTVPVUMVVDVUQFGVUMUY
          FVUBUOZMVUFUQGFVJZVVDVULVVHLMVUFLMVJZUYRVUBUYFVVJUYQVUAIVFUYPUYTUJUKV
          QVRVSVTVVIVVHVUOMVUFUYFVUNVUBVKVLWAWBWDUYBVVBUYAFUBHVUPNUAWCWEVUTVURM
          VUFUQZFUGVVFVURMFVUFWFVVKVVEFVUOVUQMVUFWGWHWIWJVUSVUDMVUFVUQVUDFVUBVU
          AIVFWKVUOVUPVUCUYAVUNVUBUYMUSWNVSWLWMWIWOUYAHUYBWPUYSVUDLMVUFVUFWQWJA
          VUEUYOLMVUFVUFVUEUYRVUCUOZAUYPVUFUFZUYTVUFUFZVGZVGUYOUYAUYRVUCUUAAVVO
          VVLUYOAVVOVVLWRZUYQVUAUMULZURUMULZIUUBULZUYNUFZUYPUUKUYTUNULUMULZUPUF
          ZVWAUHUIZUJUKULZURUMULZVVSIUNULZUOZUYOVVPVVTVVSWSUFZURVVSWTXAZVVSIXBX
          AZVVPIVVRXCXAZVWHVVPVWKIVVRIUSULZXCXAZVVPIUYQUYMVUAUSULZUSULZVWLXCVVP
          UYRVWNIVFULZUOZIVWOXCXAZVVPUYMIVFULZVUBUSULZVUCVWPUYRVVPVWSUYMVUBUSVV
          PUYMXDUFZIXEUFZVHUYMWTXAUYMIXBXAVWSUYMUOVVPUYMVVPIXFUFZUYMXHUFVVPIUUC
          UFZVXCAVVOVXDVVLSXGZIUUDXIZIUUEXIZXJZVVPIVXFXKZVVPUYMVXGUUFVVPIVVPIVX
          FXLZUUGUYMIUUHXMZVRVVPVUBVWSWTXAZVWPVWTUOZVVPVUBUYMVWSWTVVPVUBIXBXAZV
          UBUYMWTXAZVVPVUAXDUFZVXBVXNVVPVUAVVPUYTWSUFZVUAXHUFVVPUYTVHOAVVMVVNVV
          LUUIZXNZUYTXOXIZXJZVXIVUAIUULXSVVPVUBWSUFIWSUFZVXNVXOXTVVPVUBVVPVUAIV
          VPVXQVUAWSUFVXSUYTXPXIZVXFUUJXQVVPVXDVYBVXEIUUMXIZVUBIUUNXSXRVXKYAVVP
          VXAVXPVXBVXLVXMXTVXHVYAVXIUYMVUAIUUOYBXRAVVOVVLUUPUUQVVPVXCUYQWSUFZVW
          NWSUFVWQVWRXTVXFVVPUYPWSUFZVYEVVPUYPVHOAVVMVVNVVLUURZXNZUYPXPXIVVPUYM
          VUAVVPUYMVXGXQVYCUUSUYQVWNIUUTYBXRVVPVWOVVQUYMUSULVWLVVPUYQUYMVUAVVPU
          YQVVPVYFUYQXHUFVYHUYPXOXIZYCVVPUYMVXGYCVVPVUAVXTYCYDVVPVVQIURVVPVVQVV
          PUYQVUAVYIVXTUVAZYCVVPIVXFYEZVVPUVBYDYIUVCVVPVYBVVRWSUFZVWKVWMXTVYDVV
          PVVRVVPVVQXHUFVVRXFUFZVYJVVQUVDXIZUVJZIVVRUVEXSYFVVPVYBIVHVBVYLVWKVWH
          XTVYDVVPIVXFUVFZVYOIVVRUVGYBXRZVVPVVSVVPVWHVHVVSXBXAVVSXFUFVYQVVPVVSV
          VPVYMVXCVVSXEUFZVYNVXFVYMVVRXEUFVXBVYRVXCVVRYGIYGVVRIUVKUVHXSUVIVVSUV
          SUVLUVMVVPVWJVVRIIUNULZXBXAZVVPVVRUJOUNULZUJUKULZUJWUAUNULZUMULZURUMU
          LZVYSXBVVPVVQWUDURVVPVVQVYJXJZVVPWUBWUCVVPWUAVVPWUAVVPUJXFUFZOXFUFZWU
          AXFUFZYJAVVOWUHVVLQXGZUJOYHYKZXLUVNZVVPWUCVVPWUGWUIWUCXFUFYJWUKUJWUAY
          HYKZXLUVOZVVPUVTVVPVVQWUBWUDWUFWULWUNVVPVVQUJOUJUKULZUNULZWUBWUFVVPWU
          PVVPWUGWUOXFUFWUPXFUFYJVVPOWUJUVPZUJWUOYHYKXLWULVVPVVQWUOWUOUMULWUPWT
          VVPUYQVUAWUOWUOVVPUYQVYIXJVYAVVPWUOWUQXLZWURVVPUYPXDUFVHUYPWTXAZOXDUF
          ZUYPOWTXAZUYQWUOWTXAVVPUYPVYHYLZVVPVVMWUSVYGUYPVHOYMXIVVPOWUJXLZVVPVV
          MWVAVYGUYPVHOYNXIUYPOYOXMVVPUYTXDUFVHUYTWTXAZWUTUYTOWTXAZVUAWUOWTXAVV
          PUYTVXSYLZVVPVVNWVDVXRUYTVHOYMXIWVCVVPVVNWVEVXRUYTVHOYNXIUYTOYOXMUVQV
          VPWUOVVPWUOWUQYEUVRYAVVPWUPYPWUOUNULZWUBXBVVPUJYPXBXAZWUPWVGXBXAZUWAV
          VPUJXDUFZYPXDUFZWUOXDUFVHWUOXBXAWVHWVIXTWVJVVPUWBYQWVKVVPUWCYQWURVVPW
          UOWUQYRUJYPWUOUWDYSUWEVVPWUBUJUJUKULZWUOUNULZWVGVVPUJYTUFOYTUFWUBWVMU
          OUWFVVPOWUJYEUJOUWGYKWVLYPWUOUNUWKUWHUWIYAUWLVVPWUBWUCWULVVPWUCWUMXKU
          WJUWMUWNVVPIUJUKULWUAURUMULZUJUKULZVYSWUEVVPIWVNUJUKAVVOIWVNUOVVLRXGV
          RVVPIVYKUWOVVPWUAYTUFWVOWUEUOVVPWUAWUKYEWUAUWPXIUWQYAVVPVVRXDUFIXDUFZ
          WVPVHIXBXAVWJVYTXTVVPVVRVYNXLVXJVXJVVPIVXFYRVVRIIUWRYSYFVVPURWSUFVYBV
          VTVWHVWIVWJWRXTUWSVYDVVSURIUWTYKUXAVVPVYFVXQVWBVYHVXSUYPUYTUXBXSZVVPV
          WEVVRVWFVVPVWDVVQURUMVVPVWDVWAUXCUIZUJUKULZVWAUXDUIZUJUKULZUMULVVQVVP
          VWAVVPVWBVWAYTUFWVQVWAUXEXIUXFVVPWVSUYQWWAVUAUMVVPWVRUYPUJUKVVPUYPUYT
          WVBWVFUXGVRVVPWVTUYTUJUKVVPUYPUYTWVBWVFUXHVRUXIYIVRVVPVVRIVVPVVRVYNYE
          VYKVYPUXJUXKUYLVWGUYIVWFUOKGVVSVWAUYNUPUYJVVSUOUYKVWFUYIUYJVVSIUNVQVS
          UYFVWAUOZUYIVWEVWFWWBUYHVWDURUMWWBUYGVWCUJUKUYFVWAUHUXLVRVRUXMUXNYBUX
          OUXPUXQUXRUXSUXT $.
      $}

      4sq.5 $e |- ( ph -> ( 0 ... ( 2 x. N ) ) C_ S ) $.
      4sq.6 $e |- T = { i e. NN | ( i x. P ) e. S } $.
      4sq.7 $e |- M = inf ( T , RR , < ) $.
      $( Lemma for ~ 4sq .  (Contributed by Mario Carneiro, 16-Jul-2014.)
         (Revised by AV, 14-Sep-2020.) $)
      4sqlem13 $p |- ( ph -> ( T =/= (/) /\ M < P ) ) $=
        ( c1 vu vk vv vm cv cabs cfv c2 cexp co caddc cmul wceq cgz wrex cfz c0
        cmin wne clt wbr cmo cc0 cab cmpt eqid 4sqlem12 wcel simplrl elfznn syl
        wa cn simpr abs1 oveq1i sq1 eqtri oveq2i simplrr cz 1z 4sqlem4a sylancl
        zgz ax-mp eqeltrrid eqeltrrd eleq1d elrab2 sylanbrc ne0d ssrab3 cr cinf
        oveq1 cuz nnuz sseqtri infssuzcl sylancr eqeltrid sselid nnred ad2antrr
        wss cprime prmnn cle infssuzle eqbrtrid w3a prmz elfzm11 simp3d lelttrd
        wb mpbid jca ex rexlimdvva mpd ) AUAUEZUFUGUHUIUJZTUKUJZUBUEZFULUJZUMZU
        AUNUOUBTFTURUJZUPUJZUOHUQUSZKFUTVAZVLZABCDEUCUAYCUDUEUHUIUJFVBUJUMUDVCL
        UPUJUOUAVDZFGUBUDJUCYNYIUCUEURUJVEZLMNOPYNVFYOVFVGAYHYMUBUAYJUNAYFYJVHZ
        YCUNVHZVLZVLZYHYMYSYHVLZYKYLYTHYFYTYFVMVHZYGGVHZYFHVHZYTYPUUAAYPYQYHVIZ
        YFYIVJVKZYTYEYGGYSYHVNYTYEYDTUFUGZUHUIUJZUKUJZGUUGTYDUKUUGTUHUIUJTUUFTU
        HUIVOVPVQVRVSYTYQTUNVHZUUHGVHAYPYQYHVTTWAVHZUUIWBTWEWFBCDEYCTGJMWCWDWGW
        HIUEZFULUJZGVHZUUBIYFVMHUUKYFUMUULYGGUUKYFFULWPWIRWJWKZWLZYTKYFFYTKYTHV
        MKUUMIVMHRWMZYTKHWNUTWOZHSYTHTWQUGZXFZYKUUQHVHHVMUURUUPWRWSZUUOHTWTXAXB
        XCXDYTYFUUEXDYTFYTFXGVHZFVMVHAUVAYRYHPXEZFXHVKXDYTKUUQYFXISYTUUSUUCUUQY
        FXIVAUUTUUNYFHTXJXAXKYTYFWAVHZTYFXIVAZYFFUTVAZYTYPUVCUVDUVEXLZUUDYTUUJF
        WAVHZYPUVFXQWBYTUVAUVGUVBFXMVKYFTFXNXAXRXOXPXSXTYAYB $.

      ${
        4sq.m $e |- ( ph -> M e. ( ZZ>= ` 2 ) ) $.
        4sq.a $e |- ( ph -> A e. ZZ ) $.
        4sq.b $e |- ( ph -> B e. ZZ ) $.
        4sq.c $e |- ( ph -> C e. ZZ ) $.
        4sq.d $e |- ( ph -> D e. ZZ ) $.
        4sq.e $e |- E = ( ( ( A + ( M / 2 ) ) mod M ) - ( M / 2 ) ) $.
        4sq.f $e |- F = ( ( ( B + ( M / 2 ) ) mod M ) - ( M / 2 ) ) $.
        4sq.g $e |- G = ( ( ( C + ( M / 2 ) ) mod M ) - ( M / 2 ) ) $.
        4sq.h $e |- H = ( ( ( D + ( M / 2 ) ) mod M ) - ( M / 2 ) ) $.
        4sq.r $e |- R =
          ( ( ( ( E ^ 2 ) + ( F ^ 2 ) ) + ( ( G ^ 2 ) + ( H ^ 2 ) ) ) / M ) $.
        4sq.p $e |- ( ph -> ( M x. P ) =
          ( ( ( A ^ 2 ) + ( B ^ 2 ) ) + ( ( C ^ 2 ) + ( D ^ 2 ) ) ) ) $.
        $( Lemma for ~ 4sq .  (Contributed by Mario Carneiro, 16-Jul-2014.)
           (Revised by AV, 14-Sep-2020.) $)
        4sqlem14 $p |- ( ph -> R e. NN0 ) $=
          ( c2 cexp co caddc cdiv cn0 cz wcel cc0 cle wbr cdvds cmul cmin cn cv
          ssrab3 cr clt cinf c1 cuz cfv wss c0 wne nnuz sseqtri 4sqlem13 simpld
          infssuzcl sylancr eqeltrid sselid nnzd cprime prmz syl zmulcld zsqcl2
          4sqlem5 nn0addcld nn0zd zaddcld zsubcld dvdsmul1 syl2anc 4sqlem8 zcnd
          zsqcl dvds2addd sqcld addsub4d breqtrrd oveq1d addcld eqtrd dvds2subd
          nncnd mulcld nncand breqtrd wb nnne0d dvdsval2 syl3anc nn0red nn0ge0d
          prmnn mpbid nnred nngt0d divge0 syl22anc elnn0z sylanbrc ) AKPUTVAVBZ
          QUTVAVBZVCVBZRUTVAVBZSUTVAVBZVCVBZVCVBZTVDVBZVEURAUUCVFVGZVHUUCVIVJZU
          UCVEVGATUUBVKVJZUUDATTJVLVBZUUGUUBVMVBZVMVBUUBVKATUUGUUHATAMVNTNVOJVL
          VBLVGNVNMUGVPZATMVQVRVSZMUHAMVTWAWBZWCMWDWEZUUJMVGMVNUUKUUIWFWGAUULTJ
          VRVJABCDEJLMNOTUAUBUCUDUEUFUGUHWHWIMVTWJWKWLWMZWNZATJUUNAJWOVGZJVFVGZ
          UEJWPWQZWRZAUUGUUBUURAYRUUAAYRAYPYQAPVFVGZYPVEVGAUUSFPVMVBTVDVBVFVGAF
          PTUJUUMUNWTWIZPWSWQZAQVFVGZYQVEVGAUVBGQVMVBTVDVBVFVGAGQTUKUUMUOWTWIZQ
          WSWQZXAZXBZAUUAAYSYTARVFVGZYSVEVGAUVGHRVMVBTVDVBVFVGAHRTULUUMUPWTWIZR
          WSWQZASVFVGZYTVEVGAUVJISVMVBTVDVBVFVGAISTUMUUMUQWTWIZSWSWQZXAZXBZXCXD
          ATVFVGZUUPTUUGVKVJUUNUUQTJXEXFATFUTVAVBZGUTVAVBZVCVBZYRVMVBZHUTVAVBZI
          UTVAVBZVCVBZUUAVMVBZVCVBZUUHVKATUVSUWCUUNAUVRYRAUVPUVQAFVFVGUVPVFVGUJ
          FXIWQZAGVFVGUVQVFVGUKGXIWQZXCUVFXDAUWBUUAAUVTUWAAHVFVGUVTVFVGULHXIWQZ
          AIVFVGUWAVFVGUMIXIWQZXCUVNXDATUVPYPVMVBZUVQYQVMVBZVCVBUVSVKATUWIUWJUU
          NAUVPYPUWEAYPUVAXBXDAUVQYQUWFAYQUVDXBXDAFPTUJUUMUNXGAGQTUKUUMUOXGXJAU
          VPUVQYPYQAFAFUJXHXKZAGAGUKXHXKZAPAPUUTXHXKZAQAQUVCXHXKZXLXMATUVTYSVMV
          BZUWAYTVMVBZVCVBUWCVKATUWOUWPUUNAUVTYSUWGAYSUVIXBXDAUWAYTUWHAYTUVLXBX
          DAHRTULUUMUPXGAISTUMUUMUQXGXJAUVTUWAYSYTAHAHULXHXKZAIAIUMXHXKZARARUVH
          XHXKZASASUVKXHXKZXLXMXJAUUHUVRUWBVCVBZUUBVMVBUWDAUUGUXAUUBVMUSXNAUVRU
          WBYRUUAAUVPUVQUWKUWLXOAUVTUWAUWQUWRXOAYPYQUWMUWNXOZAYSYTUWSUWTXOZXLXP
          XMXQAUUGUUBATJATUUMXRAJAUUOJVNVGUEJYHWQXRXSAYRUUAUXBUXCXOXTYAAUVOTVHW
          EUUBVFVGUUFUUDYBUUNATUUMYCAUUBAYRUUAUVEUVMXAZXBTUUBYDYEYIAUUBVQVGVHUU
          BVIVJTVQVGVHTVRVJUUEAUUBUXDYFAUUBUXDYGATUUMYJATUUMYKUUBTYLYMUUCYNYOWL
          $.

        $( Lemma for ~ 4sq .  (Contributed by Mario Carneiro, 16-Jul-2014.)
           (Revised by AV, 14-Sep-2020.) $)
        4sqlem15 $p |- ( ( ph /\ R = M ) ->
          ( ( ( ( ( ( M ^ 2 ) / 2 ) / 2 ) - ( E ^ 2 ) ) = 0 /\
              ( ( ( ( M ^ 2 ) / 2 ) / 2 ) - ( F ^ 2 ) ) = 0 ) /\
            ( ( ( ( ( M ^ 2 ) / 2 ) / 2 ) - ( G ^ 2 ) ) = 0 /\
              ( ( ( ( M ^ 2 ) / 2 ) / 2 ) - ( H ^ 2 ) ) = 0 ) ) ) $=
          ( wceq wa c2 cexp co cdiv cmin cc0 caddc cuz cfv cn eluz2nn syl nnred
          wcel resqcld rehalfcld recnd cz 4sqlem5 simpld zred addsub4d 2halvesd
          zsqcl oveq1d eqtr3d adantr cmul sqvald simpr readdcld nnne0d divcan1d
          eqtr3id 3eqtr2rd oveq12d subidd 3eqtr3d cr cle wbr wb 4sqlem7 le2addd
          resubcld breqtrd mpbird add20 syl22anc biimpa syldan eqtrd simprd jca
          subge0d ) AKTUTZVAZTVBVCVDZVBVEVDZVBVEVDZPVBVCVDZVFVDZVGUTYAQVBVCVDZV
          FVDZVGUTVAZYARVBVCVDZVFVDZVGUTYASVBVCVDZVFVDZVGUTVAZAXQYCYEVHVDZVGUTZ
          YFXRYLXTYBYDVHVDZVFVDZVGAYLYOUTXQAYAYAVHVDZYNVFVDYLYOAYAYAYBYDAYAAXTA
          XSATATATVBVIVJVOTVKVOUITVLVMZVNZVPZVQZVQZVRZUUBAYBAYBAPVSVOZYBVSVOAUU
          CFPVFVDTVEVDVSVOAFPTUJYQUNVTWAPWEVMWBZVRAYDAYDAQVSVOZYDVSVOAUUEGQVFVD
          TVEVDVSVOAGQTUKYQUOVTWAQWEVMWBZVRWCAYPXTYNVFAXTAXTYTVRZWDZWFWGWHXRYOV
          GUTZXTYGYIVHVDZVFVDZVGUTZAXQYOUUKVHVDZVGUTZUUIUULVAZXRXTXTVHVDZYNUUJV
          HVDZVFVDZXSXSVFVDZUUMVGXRUUPXSUUQXSVFAUUPXSUTXQAXSAXSYSVRZWDWHXRXSTTW
          IVDZUUQTVEVDZTWIVDZUUQAXSUVAUTXQATATYRVRZWJWHXRUVBTTWIXRUVBKTURAXQWKW
          OWFAUVCUUQUTXQAUUQTAUUQAYNUUJAYBYDUUDUUFWLZAYGYIAYGARVSVOZYGVSVOAUVFH
          RVFVDTVEVDVSVOAHRTULYQUPVTWARWEVMWBZAYIASVSVOZYIVSVOAUVHISVFVDTVEVDVS
          VOAISTUMYQUQVTWASWEVMWBZWLZWLVRUVDATYQWMWNWHWPWQAUURUUMUTXQAXTXTYNUUJ
          UUGUUGAYNUVEVRAUUJUVJVRWCWHAUUSVGUTXQAXSUUTWRWHWSAUUNUUOAYOWTVOVGYOXA
          XBZUUKWTVOVGUUKXAXBZUUNUUOXCAXTYNYTUVEXFAUVKYNXTXAXBAYNYPXTXAAYBYDYAY
          AUUDUUFUUAUUAAFPTUJYQUNXDZAGQTUKYQUOXDZXEUUHXGAXTYNYTUVEXPXHAXTUUJYTU
          VJXFAUVLUUJXTXAXBAUUJYPXTXAAYGYIYAYAUVGUVIUUAUUAAHRTULYQUPXDZAISTUMYQ
          UQXDZXEUUHXGAXTUUJYTUVJXPXHYOUUKXIXJXKXLZWAXMAYMYFAYCWTVOVGYCXAXBZYEW
          TVOVGYEXAXBZYMYFXCAYAYBUUAUUDXFAUVRYBYAXAXBUVMAYAYBUUAUUDXPXHAYAYDUUA
          UUFXFAUVSYDYAXAXBUVNAYAYDUUAUUFXPXHYCYEXIXJXKXLAXQYHYJVHVDZVGUTZYKXRU
          VTUUKVGAUVTUUKUTXQAYPUUJVFVDUVTUUKAYAYAYGYIUUBUUBAYGUVGVRAYIUVIVRWCAY
          PXTUUJVFUUHWFWGWHXRUUIUULUVQXNXMAUWAYKAYHWTVOVGYHXAXBZYJWTVOVGYJXAXBZ
          UWAYKXCAYAYGUUAUVGXFAUWBYGYAXAXBUVOAYAYGUUAUVGXPXHAYAYIUUAUVIXFAUWCYI
          YAXAXBUVPAYAYIUUAUVIXPXHYHYJXIXJXKXLXO $.

        $( Lemma for ~ 4sq .  (Contributed by Mario Carneiro, 16-Jul-2014.)
           (Revised by AV, 14-Sep-2020.) $)
        4sqlem16 $p |- ( ph -> ( R <_ M /\
          ( ( R = 0 \/ R = M ) -> ( M ^ 2 ) || ( M x. P ) ) ) ) $=
          ( cle wbr cc0 wceq wo c2 cexp co cmul cdvds wi caddc cdiv cz wcel cuz
          cmin cfv eluz2nn syl 4sqlem5 simpld zsqcl zred readdcld nnred resqcld
          cn rehalfcld 4sqlem7 le2addd recnd 2halvesd breqtrd sqvald clt nngt0d
          cr wb ledivmul syl112anc mpbird eqbrtrid wa simpr nnne0d diveq0ad cn0
          eqtr3id zsqcl2 nn0addcld nn0ge0d add20 syl22anc biimpa syldan 4sqlem9
          bitrd simprd nnsqcld nnzd dvds2add syl3anc adantr mp2and zaddcld zcnd
          4sqlem15 subeq0ad eqeltrd eqeltrrd 4sqlem10 dvds2addd addsub4d oveq2d
          mpbid zsubcld eqtr3d dvdssubr syl2anc jaodan breqtrrd ex jca ) AKTUTV
          AKVBVCZKTVCZVDZTVEVFVGZTJVHVGZVIVAZVJAKPVEVFVGZQVEVFVGZVKVGZRVEVFVGZS
          VEVFVGZVKVGZVKVGZTVLVGZTUTURAUUQTUTVAZUUPTTVHVGZUTVAZAUUPUUGUUSUTAUUP
          UUGVEVLVGZUVAVKVGZUUGUTAUULUUOUVAUVAAUUJUUKAUUJAPVMVNZUUJVMVNZAUVCFPV
          PVGTVLVGVMVNAFPTUJATVEVOVQVNTWGVNUITVRVSZUNVTWAZPWBVSZWCZAUUKAQVMVNZU
          UKVMVNAUVIGQVPVGTVLVGVMVNAGQTUKUVEUOVTWAZQWBVSWCZWDZAUUMUUNAUUMARVMVN
          ZUUMVMVNAUVMHRVPVGTVLVGVMVNAHRTULUVEUPVTWAZRWBVSWCZAUUNASVMVNZUUNVMVN
          AUVPISVPVGTVLVGVMVNAISTUMUVEUQVTWAZSWBVSWCZWDZAUUGATATUVEWEZWFZWHZUWB
          AUULUVAVEVLVGZUWCVKVGZUVAUTAUUJUUKUWCUWCUVHUVKAUVAUWBWHZUWEAFPTUJUVEU
          NWIAGQTUKUVEUOWIWJAUVAAUVAUWBWKZWLZWMAUUOUWDUVAUTAUUMUUNUWCUWCUVOUVRU
          WEUWEAHRTULUVEUPWIAISTUMUVEUQWIWJUWGWMWJAUUGAUUGUWAWKWLZWMATATUVTWKZW
          NWMAUUPWQVNTWQVNZUWJVBTWOVAUURUUTWRAUULUUOUVLUVSWDZUVTUVTATUVEWPUUPTT
          WSWTXAXBAUUFUUIAUUFXCUUGFVEVFVGZGVEVFVGZVKVGZHVEVFVGZIVEVFVGZVKVGZVKV
          GZUUHVIAUUDUUGUWRVIVAZUUEAUUDXCZUUGUWNVIVAZUUGUWQVIVAZUWSUWTUUGUWLVIV
          AZUUGUWMVIVAZUXAAUUDFPTUJUVEUNUWTUUJVBVCZUUKVBVCZAUUDUULVBVCZUXEUXFXC
          ZUWTUXGUUOVBVCZAUUDUUQVBVCZUXGUXIXCZUWTUUQKVBURAUUDXDXHAUXJUXKAUXJUUP
          VBVCZUXKAUUPTAUUPUWKWKUWIATUVEXEXFAUULWQVNVBUULUTVAUUOWQVNVBUUOUTVAUX
          LUXKWRUVLAUULAUUJUUKAUVCUUJXGVNUVFPXIVSZAUVIUUKXGVNUVJQXIVSZXJXKUVSAU
          UOAUUMUUNAUVMUUMXGVNUVNRXIVSZAUVPUUNXGVNUVQSXIVSZXJXKUULUUOXLXMXQXNXO
          ZWAAUXGUXHAUUJWQVNVBUUJUTVAUUKWQVNVBUUKUTVAUXGUXHWRUVHAUUJUXMXKUVKAUU
          KUXNXKUUJUUKXLXMXNXOZWAXPAUUDGQTUKUVEUOUWTUXEUXFUXRXRXPAUXCUXDXCUXAVJ
          ZUUDAUUGVMVNZUWLVMVNZUWMVMVNZUXSAUUGATUVEXSXTZAFVMVNUYAUJFWBVSZAGVMVN
          UYBUKGWBVSZUUGUWLUWMYAYBYCYDUWTUUGUWOVIVAZUUGUWPVIVAZUXBAUUDHRTULUVEU
          PUWTUUMVBVCZUUNVBVCZAUUDUXIUYHUYIXCZUWTUXGUXIUXQXRAUXIUYJAUUMWQVNVBUU
          MUTVAUUNWQVNVBUUNUTVAUXIUYJWRUVOAUUMUXOXKUVRAUUNUXPXKUUMUUNXLXMXNXOZW
          AXPAUUDISTUMUVEUQUWTUYHUYIUYKXRXPAUYFUYGXCUXBVJZUUDAUXTUWOVMVNZUWPVMV
          NZUYLUYCAHVMVNUYMULHWBVSZAIVMVNUYNUMIWBVSZUUGUWOUWPYAYBYCYDAUXAUXBXCU
          WSVJZUUDAUXTUWNVMVNZUWQVMVNZUYQUYCAUWLUWMUYDUYEYEZAUWOUWPUYOUYPYEZUUG
          UWNUWQYAYBYCYDAUUEXCZUWSUUGUWRUUGVPVGZVIVAZVUBUUGUWNUVAVPVGZUWQUVAVPV
          GZVKVGZVUCVIVUBUUGVUEVUFAUXTUUEUYCYCZVUBUWNUVAAUYRUUEUYTYCVUBUWDUVAVM
          AUWDUVAVCUUEUWGYCVUBUWCUWCVUBUWCUUJVMVUBUWCUUJVPVGVBVCZUWCUUJVCZVUBVU
          IUWCUUKVPVGVBVCZVUBVUIVUKXCZUWCUUMVPVGVBVCZUWCUUNVPVGVBVCZXCZABCDEFGH
          IJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSYGZWAZWAZAVUIVUJWRU
          UEAUWCUUJAUWCUWEWKZAUUJUVGYFYHYCYOAUVDUUEUVGYCYIZVUTYEYJZYPVUBUWQUVAA
          UYSUUEVUAYCVVAYPVUBUUGUWLUWCVPVGZUWMUWCVPVGZVKVGZVUEVIVUBUUGVVBVVCVUH
          VUBUWLUWCAUYAUUEUYDYCVUTYPVUBUWMUWCAUYBUUEUYEYCVUTYPAUUEFPTUJUVEUNVUR
          YKAUUEGQTUKUVEUOVUBVUIVUKVUQXRYKYLAVVDVUEVCUUEAUWNUWDVPVGVVDVUEAUWLUW
          MUWCUWCAUWLUYDYFAUWMUYEYFVUSVUSYMAUWDUVAUWNVPUWGYNYQYCWMVUBUUGUWOUWCV
          PVGZUWPUWCVPVGZVKVGZVUFVIVUBUUGVVEVVFVUHVUBUWOUWCAUYMUUEUYOYCVUTYPVUB
          UWPUWCAUYNUUEUYPYCVUTYPAUUEHRTULUVEUPVUBVUMVUNVUBVULVUOVUPXRZWAYKAUUE
          ISTUMUVEUQVUBVUMVUNVVHXRYKYLAVVGVUFVCUUEAUWQUWDVPVGVVGVUFAUWOUWPUWCUW
          CAUWOUYOYFAUWPUYPYFVUSVUSYMAUWDUVAUWQVPUWGYNYQYCWMYLAVUGVUCVCUUEAUWRU
          VBVPVGVUGVUCAUWNUWQUVAUVAAUWNUYTYFAUWQVUAYFUWFUWFYMAUVBUUGUWRVPUWHYNY
          QYCWMVUBUXTUWRVMVNZUWSVUDWRVUHAVVIUUEAUWNUWQUYTVUAYEYCUUGUWRYRYSXAYTA
          UUHUWRVCUUFUSYCUUAUUBUUC $.

        $( Lemma for ~ 4sq .  (Contributed by Mario Carneiro, 16-Jul-2014.)
           (Revised by AV, 14-Sep-2020.) $)
        4sqlem17 $p |- -. ph $=
          ( c2 cexp co cmul cdvds wbr cc0 wceq wo cle wi 4sqlem16 simpld cr clt
          cinf c1 cuz cfv wss wcel cn cv ssrab3 nnuz sseqtri wn wne c0 4sqlem13
          infssuzcl sylancr eqeltrid sselid nnred simprd ltned sqvald breq1d cz
          nncnd wb nnzd cprime prmz syl nnne0d syl2anc cn0 ci cabs cdiv cre cim
          caddc cc gzreim gzcn absvalsq2d zred crred oveq1d crimd oveq12d eqtrd
          cgz eqtr4d cmin 4sqlem5 eqid zcnd ax-icn mulcl addsub4d subdid oveq2d
          subcld divdird divassd 3eqtrd eqeltrd dvdscmulr dvdsprm 3bitrd mpbird
          syl112anc necon3bbid 4sqlem14 elnn0 sylib ord syl5 syld mt3d divcan3d
          orc prmnn eqtr3d eqtr4di mulcomd a1i nnnn0d mul4sqlem eqeltrrd eleq1d
          elrab2 sylanbrc infssuzle eqbrtrid letri3d mpbir2and olcd mpd pm2.65i
          oveq1 ) ATUTVAVBZTJVCVBZVDVEZAKVFVGZKTVGZVHZUVQAUVSUVRAUVSKTVIVEZTKVI
          VEAUWAUVTUVQVJZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQ
          URUSVKZVLATMVMVNVOZKVIUHAMVPVQVRZVSZKMVTZUWDKVIVEMWAUWENWBZJVCVBZLVTZ
          NWAMUGWCZWDWEZAKWAVTZKJVCVBZLVTZUWGAUWMUVQAUVQWFTJWGATJATAMWATUWKATUW
          DMUHAUWFMWHWGZUWDMVTUWLAUWPTJVNVEZABCDEJLMNOTUAUBUCUDUEUFUGUHWIZVLMVP
          WJWKWLWMZWNZAUWPUWQUWRWOWPAUVQTJAUVQTTVCVBZUVPVDVEZTJVDVEZTJVGZAUVOUX
          AUVPVDATATUWSWTZWQWRATWSVTZJWSVTZUXFTVFWGUXBUXCXAATUWSXBZAJXCVTZUXGUE
          JXDXEUXHATUWSXFZTTJUUAUUEATUTVQVRVTUXIUXCUXDXAUIUEJTUUBXGUUCUUFUUDZAU
          WMWFUVRUVQAUWMUVRAKXHVTUWMUVRVHABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUI
          UJUKULUMUNUOUPUQURUSUUGKUUHUUIUUJUVRUVTAUVQUVRUVSUUOAUWAUWBUWCWOZUUKU
          ULUUMZAFXIGVCVBZXNVBZXJVRUTVAVBZHXIIVCVBZXNVBZXJVRUTVAVBZXNVBZTXKVBZP
          XIQVCVBZXNVBZXJVRUTVAVBZRXISVCVBZXNVBZXJVRUTVAVBZXNVBZTXKVBZVCVBZUWNL
          AUYJJKVCVBUWNAUYAJUYIKVCAUVPTXKVBUYAJAUVPUXTTXKAUVPFUTVAVBZGUTVAVBZXN
          VBZHUTVAVBZIUTVAVBZXNVBZXNVBUXTUSAUXPUYMUXSUYPXNAUXPUXOXLVRZUTVAVBZUX
          OXMVRZUTVAVBZXNVBUYMAUXOAUXOYEVTZUXOXOVTAFWSVTGWSVTVUAUJUKFGXPXGZUXOX
          QXEXRAUYRUYKUYTUYLXNAUYQFUTVAAFGAFUJXSZAGUKXSZXTYAAUYSGUTVAAFGVUCVUDY
          BYAYCYDAUXSUXRXLVRZUTVAVBZUXRXMVRZUTVAVBZXNVBUYPAUXRAUXRYEVTZUXRXOVTA
          HWSVTIWSVTVUIULUMHIXPXGZUXRXQXEXRAVUFUYNVUHUYOXNAVUEHUTVAAHIAHULXSZAI
          UMXSZXTYAAVUGIUTVAAHIVUKVULYBYAYCYDYCYFYAAJTAJAUXIJWAVTUEJUUPXEZWTZUX
          EUXJUUNUUQZAUYIPUTVAVBZQUTVAVBZXNVBZRUTVAVBZSUTVAVBZXNVBZXNVBZTXKVBKA
          UYHVVBTXKAUYDVURUYGVVAXNAUYDUYCXLVRZUTVAVBZUYCXMVRZUTVAVBZXNVBVURAUYC
          AUYCYEVTZUYCXOVTAPWSVTZQWSVTZVVGAVVHFPYGVBZTXKVBZWSVTZAFPTUJUWSUNYHZV
          LZAVVIGQYGVBZTXKVBZWSVTZAGQTUKUWSUOYHZVLZPQXPXGZUYCXQXEXRAVVDVUPVVFVU
          QXNAVVCPUTVAAPQAPVVNXSZAQVVSXSZXTYAAVVEQUTVAAPQVWAVWBYBYAYCYDAUYGUYFX
          LVRZUTVAVBZUYFXMVRZUTVAVBZXNVBVVAAUYFAUYFYEVTZUYFXOVTARWSVTZSWSVTZVWG
          AVWHHRYGVBZTXKVBZWSVTZAHRTULUWSUPYHZVLZAVWIISYGVBZTXKVBZWSVTZAISTUMUW
          SUQYHZVLZRSXPXGZUYFXQXEXRAVWDVUSVWFVUTXNAVWCRUTVAARSARVWNXSZASVWSXSZX
          TYAAVWESUTVAARSVXAVXBYBYAYCYDYCYAURUURYCAJKVUNAKUXMWTUUSYDABCDEUXOUXR
          UYCUYFLOTUXTUYHUBVUBVUJVVTVWTUXTYIUYHYIUWSAUXOUYCYGVBZTXKVBZVVKXIVVPV
          CVBZXNVBZYEAVXDVVJXIVVOVCVBZXNVBZTXKVBVVKVXGTXKVBZXNVBVXFAVXCVXHTXKAV
          XCVVJUXNUYBYGVBZXNVBVXHAFUXNPUYBAFUJYJZAXIXOVTZGXOVTUXNXOVTYKAGUKYJZX
          IGYLWKAPVVNYJZAVXLQXOVTUYBXOVTYKAQVVSYJZXIQYLWKYMAVXGVXJVVJXNAXIGQVXL
          AYKUUTZVXMVXOYNYOYFYAAVVJVXGTAFPVXKVXNYPAVXLVVOXOVTVXGXOVTYKAGQVXMVXO
          YPZXIVVOYLWKUXEUXJYQAVXIVXEVVKXNAXIVVOTVXPVXQUXEUXJYRYOYSAVVLVVQVXFYE
          VTAVVHVVLVVMWOAVVIVVQVVRWOVVKVVPXPXGYTAUXRUYFYGVBZTXKVBZVWKXIVWPVCVBZ
          XNVBZYEAVXSVWJXIVWOVCVBZXNVBZTXKVBVWKVYBTXKVBZXNVBVYAAVXRVYCTXKAVXRVW
          JUXQUYEYGVBZXNVBVYCAHUXQRUYEAHULYJZAVXLIXOVTUXQXOVTYKAIUMYJZXIIYLWKAR
          VWNYJZAVXLSXOVTUYEXOVTYKASVWSYJZXISYLWKYMAVYBVYEVWJXNAXIISVXPVYGVYIYN
          YOYFYAAVWJVYBTAHRVYFVYHYPAVXLVWOXOVTVYBXOVTYKAISVYGVYIYPZXIVWOYLWKUXE
          UXJYQAVYDVXTVWKXNAXIVWOTVXPVYJUXEUXJYRYOYSAVWLVWQVYAYEVTAVWHVWLVWMWOA
          VWIVWQVWRWOVWKVWPXPXGYTAUYAJXHVUOAJVUMUVAYTUVBUVCUWJUWONKWAMUWHKVGUWI
          UWNLUWHKJVCUVNUVDUGUVEUVFKMVPUVGWKUVHAKTAKUXMWNUWTUVIUVJUVKUXLUVLUXKU
          VM $.
      $}

      $( Lemma for ~ 4sq .  Inductive step, odd prime case.  (Contributed by
         Mario Carneiro, 16-Jul-2014.)  (Revised by AV, 14-Sep-2020.) $)
      4sqlem18 $p |- ( ph -> P e. S ) $=
        ( co va vb vc vd c1 cmul cprime wcel cn prmnn syl nncnd mulid2d wceq c2
        cuz cfv wa cv cexp caddc cz wrex wn cr clt cinf wss c0 wne nnuz sseqtri
        ssrab3 wbr 4sqlem13 simpld infssuzcl eqeltrid oveq1 eleq1d elrab2 sylib
        sylancr simprd 4sqlem2 adantr wi w3a cdiv cmo simp1l cc0 simp1r simp2ll
        cmin simp2lr simp2rl simp2rr eqid simp3 4sqlem17 pm2.21i 3expia anassrs
        cfz rexlimdvva mpd pm2.01da wo elnn1uz2 ord mt3d eqeltrrd simprbi ) AUE
        FUFTZFGAFAFAFUGUHZFUIUHPFUJUKULUMAUEHUHZXOGUHZAKUEHAKUEUNZKUOUPUQUHZAXT
        AXTURZKFUFTZUAUSZUOUTTUBUSZUOUTTVATUCUSZUOUTTUDUSZUOUTTVATVATUNZUDVBVCU
        CVBVCZUBVBVCUAVBVCZXTVDZAYIXTAYBGUHZYIAKUIUHZYKAKHUHYLYKURAKHVEVFVGZHSA
        HUEUPUQZVHHVIVJZYMHUHHUIYNIUSZFUFTZGUHZIUIHRVMVKVLAYOKFVFVNABCDEFGHIJKL
        MNOPQRSVOVPHUEVQWCVRZYRYKIKUIHYPKUNYQYBGYPKFUFVSVTRWAWBZWDBCDEYBGJUAUBU
        CUDMWEWBWFYAYHYJUAUBVBVBYAYCVBUHZYDVBUHZURZURYGYJUCUDVBVBYAUUCYEVBUHZYF
        VBUHZURZYGYJWGYAUUCUUFURZYGYJYAUUGYGWHZYJUUHBCDEYCYDYEYFFYCKUOWITZVATKW
        JTUUIWOTZUOUTTYDUUIVATKWJTUUIWOTZUOUTTVATYEUUIVATKWJTUUIWOTZUOUTTYFUUIV
        ATKWJTUUIWOTZUOUTTVATVATKWITZGHIJUUJUUKUULUUMKLMUUHALUIUHAXTUUGYGWKZNUK
        UUHAFUOLUFTZUEVATUNUUOOUKUUHAXPUUOPUKUUHAWLUUPXETGVHUUOQUKRSAXTUUGYGWMU
        UAUUBUUFYAYGWNUUAUUBUUFYAYGWPUUDUUEUUCYAYGWQUUDUUEUUCYAYGWRUUJWSUUKWSUU
        LWSUUMWSUUNWSYAUUGYGWTXAXBXCXDXFXFXGXHAXSXTAYLXSXTXIAYLYKYTVPKXJWBXKXLY
        SXMXQUEUIUHXRYRXRIUEUIHYPUEUNYQXOGYPUEFUFVSVTRWAXNUKXM $.
    $}

    $( Lemma for ~ 4sq .  The proof is by strong induction - we show that if
       all the integers less than ` k ` are in ` S ` , then ` k ` is as well.
       In this part of the proof we do the induction argument and dispense with
       all the cases except the odd prime case, which is sent to ~ 4sqlem18 .
       If ` k ` is ` 0 , 1 , 2 ` , we show ` k e. S ` directly; otherwise if
       ` k ` is composite, ` k ` is the product of two numbers less than it
       (and hence in ` S ` by assumption), so by ~ mul4sq ` k e. S ` .
       (Contributed by Mario Carneiro, 14-Jul-2014.)  (Revised by Mario
       Carneiro, 20-Jun-2015.) $)
    4sqlem19 $p |- NN0 = S $=
      ( vk wcel cn cc0 c1 cmul co eleq1 c2 cexp caddc cfz wa vj vm vi cn0 cv wo
      wceq elnn0 cabs cfv abs1 oveq1i sq1 eqtri sq0 oveq12i 1p0e1 cgz cz 1z zgz
      abs0 ax-mp 4sqlem4a mp2an eqeltrri cprime cmin wral wne cdif eldifsn crab
      0z csn cr clt cinf cdiv oddprm adantr eldifi prmnn nncn 3syl ax-1cn subcl
      sylancl 2cnd 2ne0 a1i divcan2d oveq1d npcan eqtr2d cun oveq2d cuz nnm1nn0
      cc elnn0uz sylib eluzfz1 fzsplit eqtrd wss fz0sn 00id snssi eqsstri 0p1e1
      simpr dfss3 sylibr eqsstrid unssd eqsstrd eleq1d cbvrabv 4sqlem18 sylanbr
      oveq1 eqid an32s df-2 eqtr4i pm2.61ne wi mul4sq prmind2 id eqeltrdi sylbi
      jaoi ssriv 4sqlem1 eqssi ) UDEHUDEHUEZUDIYRJIZYRKUGZUFYREIZYRUHYSUUAYTUAU
      EZEIZLEIUBUEZEIZUCUEZEIZUUDUUFMNZEIZUUAUAUBUCYRUUBLEOUUBUUDEOUUBUUFEOUUBU
      UHEOUUBYREOLUIUJZPQNZKUIUJZPQNZRNZLEUUNLKRNLUUKLUUMKRUUKLPQNLUUJLPQUKULUM
      UNZUUMKPQNKUULKPQVBULUOUNZUPUQUNLURIZKURIZUUNEILUSIUUQUTLVAVCZKUSIUURVNKV
      AVCZABCDLKEFGVDVEVFUUBVGIZUUEUBLUUBLVHNZSNZVIZTZUUCPEIZUUBPUUBPEOUVAUUBPV
      JZUVDUUCUVAUVGTUUBVGPVOZVKIZUVDUUCUUBVGPVLUVIUVDTZABCDUUBEYRUUBMNZEIZHJVM
      ZUCFUVMVPVQVRZUVBPVSNZGUVIUVOJIUVDUUBVTWAUVJPUVOMNZLRNUVBLRNZUUBUVJUVPUVB
      LRUVJUVBPUVJUUBWTIZLWTIZUVBWTIUVJUVAUUBJIZUVRUVIUVAUVDUUBVGUVHWBWAZUUBWCZ
      UUBWDWEZWFUUBLWGWHUVJWIPKVJUVJWJWKWLZWMUVJUVRUVSUVQUUBUGUWCWFUUBLWNWHWOUW
      AUVJKUVPSNZKKSNZKLRNZUVBSNZWPZEUVJUWEKUVBSNZUWIUVJUVPUVBKSUWDWQUVJUVBKWRU
      JIZKUWJIUWJUWIUGUVJUVBUDIZUWKUVJUVAUVTUWLUWAUWBUUBWSWEUVBXAXBKUVBXCKKUVBX
      DWEXEUVJUWFUWHEUWFEXFUVJUWFKVOZEXGKEIUWMEXFUUMUUMRNZKEUWNKKRNKUUMKUUMKRUU
      PUUPUPXHUNUURUURUWNEIUUTUUTABCDKKEFGVDVEVFZKEXIVCXJWKUVJUWHUVCEUWGLUVBSXK
      ULUVJUVDUVCEXFUVIUVDXLUBUVCEXMXNXOXPXQUVLUUFUUBMNZEIHUCJYRUUFUGUVKUWPEYRU
      UFUUBMYBXRXSUVNYCXTYAYDUVFUVEUUKUUKRNZPEUWQLLRNPUUKLUUKLRUUOUUOUPYEYFUUQU
      UQUWQEIUUSUUSABCDLLEFGVDVEVFWKYGUUEUUGTUUIYHUUDPWRUJZIUUFUWRITABCDUUDUUFE
      FGYIWKYJYTYRKEYTYKUWOYLYNYMYOABCDEFGYPYQ $.
  $}

  ${
    $d a b c d m n w x y z A $.
    $( Lagrange's four-square theorem, or Bachet's conjecture: every
       nonnegative integer is expressible as a sum of four squares.  This is
       Metamath 100 proof #19.  (Contributed by Mario Carneiro,
       16-Jul-2014.) $)
    4sq $p |- ( A e. NN0 <-> E. a e. ZZ E. b e. ZZ E. c e. ZZ E. d e. ZZ
        A = ( ( ( a ^ 2 ) + ( b ^ 2 ) ) + ( ( c ^ 2 ) + ( d ^ 2 ) ) ) ) $=
      ( vx vy vz vw vm vn cv c2 cexp co caddc wceq cz wrex 2rexbidv cn0 4sqlem2
      cab eqeq1 cbvabv 4sqlem19 ) FGHIAUAJBCDEFGHIJLZFLMNOGLMNOPOHLMNOILMNOPOPO
      ZQZIRSHRSZGRSFRSZJUCKUKKLZUHQZIRSHRSZGRSFRSJKUGULQZUJUNFGRRUOUIUMHIRRUGUL
      UHUDTTUEUFUB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Van der Waerden's theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c AP $. $( Arithmetic progression $)
  $c MonoAP $. $( Monochromatic arithmetic progression $)
  $c PolyAP $. $( Polychromatic arithmetic progression $)

  $( The arithmetic progression function. $)
  cvdwa $a class AP $.

  $( The monochromatic arithmetic progression predicate. $)
  cvdwm $a class MonoAP $.

  $( The polychromatic arithmetic progression predicate. $)
  cvdwp $a class PolyAP $.

  ${
    $d a c d f i k m $.
    $( Define the arithmetic progression function, which takes as input a
       length ` k ` , a start point ` a ` , and a step ` d ` and outputs the
       set of points in this progression.  (Contributed by Mario Carneiro,
       18-Aug-2014.) $)
    df-vdwap $a |- AP = ( k e. NN0 |-> ( a e. NN , d e. NN |->
      ran ( m e. ( 0 ... ( k - 1 ) ) |-> ( a + ( m x. d ) ) ) ) ) $.

    $( Define the "contains a monochromatic AP" predicate.  (Contributed by
       Mario Carneiro, 18-Aug-2014.) $)
    df-vdwmc $a |- MonoAP = { <. k , f >. |
      E. c ( ran ( AP ` k ) i^i ~P ( `' f " { c } ) ) =/= (/) } $.

    $( Define the "contains a polychromatic collection of APs" predicate.  See
       ~ vdwpc for more information.  (Contributed by Mario Carneiro,
       18-Aug-2014.) $)
    df-vdwpc $a |- PolyAP = { <. <. m , k >. , f >. | E. a e. NN
      E. d e. ( NN ^m ( 1 ... m ) ) ( A. i e. ( 1 ... m )
      ( ( a + ( d ` i ) ) ( AP ` k ) ( d ` i ) ) C_
        ( `' f " { ( f ` ( a + ( d ` i ) ) ) } ) /\
      ( # ` ran ( i e. ( 1 ... m ) |-> ( f ` ( a + ( d ` i ) ) ) ) ) = m ) } $.
  $}

  ${
    $d a d m n x A $.  $d a d m n x D $.  $d a d k m n x K $.  $d m x X $.
    $( Define the arithmetic progression function, which takes as input a
       length ` k ` , a start point ` a ` , and a step ` d ` and outputs the
       set of points in this progression.  (Contributed by Mario Carneiro,
       18-Aug-2014.) $)
    vdwapfval $p |- ( K e. NN0 -> ( AP ` K ) = ( a e. NN , d e. NN |->
      ran ( m e. ( 0 ... ( K - 1 ) ) |-> ( a + ( m x. d ) ) ) ) ) $=
      ( vk cn cc0 cv c1 cmin co cfz cmul caddc cmpt crn cmpo cn0 wcel nnex wceq
      cvdwa simp1 oveq1d oveq2d mpteq1d rneqd mpoeq3dva df-vdwap mpoex fvmpt
      w3a ) EBCDFFAGEHZIJKZLKZCHZAHDHZMKNKZOZPZQCDFFAGBIJKZLKZUROZPZQRUBUMBUAZC
      DFFUTVDVEUPFSZUQFSZULZUSVCVHAUOVBURVHUNVAGLVHUMBIJVEVFVGUCUDUEUFUGUHEACDU
      ICDFFVDTTUJUK $.

    $( The arithmetic progression function is a function.  (Contributed by
       Mario Carneiro, 18-Aug-2014.) $)
    vdwapf $p |- ( K e. NN0 -> ( AP ` K ) : ( NN X. NN ) --> ~P NN ) $=
      ( va vd vm cn0 wcel cn cxp cpw cvdwa cfv wf cc0 c1 cmin co cfz cv wral wa
      cmul caddc cmpt crn cmpo simpll elfznn0 adantl nnnn0 nn0mulcld nnnn0addcl
      wss ad2antlr fmpttd frnd nnex elpw2 sylibr rgen2 eqid fmpo mpbi vdwapfval
      syl2anc feq1d mpbiri ) AEFZGGHZGIZAJKZLVHVIBCGGDMANOPZQPZBRZDRZCRZUAPZUBP
      ZUCZUDZUEZLZVSVIFZCGSBGSWAWBBCGGVMGFZVOGFZTZVSGULWBWEVLGVRWEDVLVQGWEVNVLF
      ZTZWCVPEFVQGFWCWDWFUFWGVNVOWFVNEFWEVNVKUGUHWDVOEFWCWFVOUIUMUJVMVPUKVDUNUO
      VSGUPUQURUSBCGGVSVIVTVTUTVAVBVGVHVIVJVTDABCVCVEVF $.

    $( Value of the arithmetic progression function.  (Contributed by Mario
       Carneiro, 18-Aug-2014.) $)
    vdwapval $p |- ( ( K e. NN0 /\ A e. NN /\ D e. NN ) ->
      ( X e. ( A ( AP ` K ) D ) <->
        E. m e. ( 0 ... ( K - 1 ) ) X = ( A + ( m x. D ) ) ) ) $=
      ( vx va vd wcel cn co cv cmul caddc wceq cc0 cfz wrex cmpt cvv cn0 w3a c1
      cvdwa cfv cmin cab cmpo vdwapfval 3ad2ant1 oveqd wa oveq2 oveq12 mpteq2dv
      crn sylan2 rneqd eqid ovex mptex ovmpoa 3adant1 eqtrd rnmpt eqtrdi eleq2d
      rnex id eqeltrdi rexlimivw eqeq1 rexbidv elab3 bitrdi ) DUAIZAJIZBJIZUBZE
      ABDUDUEZKZIEFLZACLZBMKZNKZOZCPDUCUFKZQKZRZFUGZIEWEOZCWHRZVSWAWJEVSWACWHWE
      SZUPZWJVSWAABGHJJCWHGLZWCHLZMKZNKZSZUPZUHZKZWNVSVTXAABVPVQVTXAOVRCDGHUIUJ
      UKVQVRXBWNOVPGHABJJWTWNXAWOAOZWPBOZULZWSWMXECWHWRWEXDXCWQWDOWRWEOWPBWCMUM
      WOAWQWDNUNUQUOURXAUSWMCWHWEPWGQUTVAVHVBVCVDCFWHWEWMWMUSVEVFVGWIWLFETWKETI
      CWHWKEWETWKVIAWDNUTVJVKWBEOWFWKCWHWBEWEVLVMVNVO $.

    $( Remove the first element of an arithmetic progression.  (Contributed by
       Mario Carneiro, 11-Sep-2014.) $)
    vdwapun $p |- ( ( K e. NN0 /\ A e. NN /\ D e. NN ) ->
      ( A ( AP ` ( K + 1 ) ) D ) = ( { A } u. ( ( A + D ) ( AP ` K ) D ) ) ) $=
      ( vn vm wcel c1 caddc co cc0 wceq cmul wa wex cfz cmin cc oveq2d adantr
      cz vx cn0 cn w3a cvdwa cfv csn cun cv wo wrex wb peano2nn0 vdwapval simp1
      syl3an1 nn0cnd ax-1cn pncan sylancl eleq2d cuz nn0uz eleqtrdi elfzp12 syl
      bitrd anbi1d andir bitrdi exbidv df-rex 19.43 bicomi nncn 3ad2ant3 mul02d
      3bitr4g 3ad2ant2 addid1d eqtrd eqeq2d c0ex oveq1 velsn simpr 0p1e1 oveq1i
      ceqsexv 1zzd nn0zd elfzelz fzsubel syl22anc mpbid 1m1e0 zcnd 1cnd subdird
      adantl mulid2d mulcld pncan3d eqtr2d subcl addassd rspceeqv syl2anc eqeq1
      rexbidv syl5ibrcom expimpd exlimdv peano2zm fzaddel npcan eleqtrd adddird
      eqtr4d 0zd addcomd ovex eleq1 anbi12d spcev anbi2d impbid nnaddcl 3adant1
      rexlimdva syld3an2 bitr4d orbi12d elun bitr4di eqrdv ) CUBFZAUCFZBUCFZUDZ
      UAABCGHIZUEUFIZAUGZABHIZBCUEUFIZUHZYTUAUIZUUBFZDUIZJKZUUGAUUIBLIZHIZKZMZD
      NZUUIJGHIZCOIZFZUUMMZDNZUJZUUGUUFFZYTUUHUUMDJUUAGPIZOIZUKZUVAYQUUAUBFYRYS
      UUHUVEULCUMABDUUAUUGUNUPYTUUIUVDFZUUMMZDNUUNUUSUJZDNZUVEUVAYTUVGUVHDYTUVG
      UUJUURUJZUUMMUVHYTUVFUVJUUMYTUVFUUIJCOIZFZUVJYTUVDUVKUUIYTUVCCJOYTCQFZGQF
      ZUVCCKYTCYQYRYSUOZUQURCGUSUTRVAYTCJVBUFZFUVLUVJULYTCUBUVPUVOVCVDUUIJCVEVF
      VGVHUUJUURUUMVIVJVKUUMDUVDVLUVIUVAUUNUUSDVMVNVRVGYTUVAUUGUUCFZUUGUUEFZUJU
      VBYTUUOUVQUUTUVRYTUUGAJBLIZHIZKZUUGAKUUOUVQYTUVTAUUGYTUVTAJHIAYTUVSJAHYTB
      YSYQBQFZYRBVOVPZVQRYTAYRYQAQFZYSAVOVSZVTWAWBUUMUWADJWCUUJUULUVTUUGUUJUUKU
      VSAHUUIJBLWDRWBWIUAAWEVRYTUUTUUGUUDEUIZBLIZHIZKZEJCGPIZOIZUKZUVRYTUUTUWLY
      TUUSUWLDYTUURUUMUWLYTUURMZUWLUUMUULUWHKZEUWKUKZUWMUUIGPIZUWKFUULUUDUWPBLI
      ZHIZKUWOUWMUWPGGPIZUWJOIZUWKUWMUUIGCOIZFZUWPUWTFZUWMUUIUUQUXAYTUURWFUUPGC
      OWGWHVDUWMGTFZCTFZUUITFZUXDUXBUXCULUWMWJZUWMCYTYQUURUVOSWKUURUXFYTUUIUUPC
      WLWTZUXGUUIGGCWMWNWOUWSJUWJOWPWHVDUWMUULABUWQHIZHIUWRUWMUUKUXIAHUWMUXIBUU
      KBPIZHIUUKUWMUWQUXJBHUWMUWQUUKGBLIZPIUXJUWMUUIGBUWMUUIUXHWQZUWMWRYTUWBUUR
      UWCSZWSUWMUXKBUUKPUWMBUXMXARWARUWMBUUKUXMUWMUUIBUXLUXMXBXCXDRUWMABUWQYTUW
      DUURUWESUXMUWMUWPBUWMUUIQFUVNUWPQFUXLURUUIGXEUTUXMXBXFXSEUWPUWKUWHUWRUULU
      WFUWPKUWGUWQUUDHUWFUWPBLWDRXGXHUUMUWIUWNEUWKUUGUULUWHXIXJXKXLXMYTUWIUUTEU
      WKYTUWFUWKFZMZUUTUWIUURUWHUULKZMZDNZUXOUWFGHIZUUQFZUWHAUXSBLIZHIZKZUXRUXO
      UXSUUPUWJGHIZOIZUUQUXOUXNUXSUYEFZYTUXNWFUXOJTFUWJTFZUWFTFZUXDUXNUYFULUXOX
      TUXOUXEUYGUXOCYTYQUXNUVOSZWKCXNVFUXNUYHYTUWFJUWJWLWTZUXOWJUWFGJUWJXOWNWOU
      XOUYDCUUPOUXOUVMUVNUYDCKUXOCUYIUQURCGXPUTRXQUXOUWHABUWGHIZHIUYBUXOABUWGYT
      UWDUXNUWESYTUWBUXNUWCSZUXOUWFBUXOUWFUYJWQZUYLXBZXFUXOUYAUYKAHUXOUYAUWGUXK
      HIZUYKUXOUWFGBUYMUXOWRUYLXRUXOUYKUWGBHIUYOUXOBUWGUYLUYNYAUXOUXKBUWGHUXOBU
      YLXARXSXSRXSUXQUXTUYCMDUXSUWFGHYBUUIUXSKZUURUXTUXPUYCUUIUXSUUQYCUYPUULUYB
      UWHUYPUUKUYAAHUUIUXSBLWDRWBYDYEXHUWIUUSUXQDUWIUUMUXPUURUUGUWHUULXIYFVKXKY
      JYGYQUUDUCFZYRYSUVRUWLULYRYSUYQYQABYHYIUUDBECUUGUNYKYLYMUUGUUCUUEYNYOVGYP
      $.

    $( The first element of an arithmetic progression.  (Contributed by Mario
       Carneiro, 12-Sep-2014.) $)
    vdwapid1 $p |- ( ( K e. NN /\ A e. NN /\ D e. NN ) ->
      A e. ( A ( AP ` K ) D ) ) $=
      ( cn wcel w3a csn caddc co c1 cmin cvdwa cfv cun wss ssun1 wb snssg wceq
      cc 3ad2ant2 mpbiri 3ad2ant1 ax-1cn npcan sylancl fveq2d oveqd cn0 nnm1nn0
      nncn vdwapun syl3an1 eqtr3d eleqtrrd ) CDEZADEZBDEZFZAAGZABHIBCJKIZLMIZNZ
      ABCLMZIZUSAVCEZUTVCOZUTVBPUQUPVFVGQURAVCDRUAUBUSABVAJHIZLMZIZVEVCUSVIVDAB
      USVHCLUSCTEZJTEVHCSUPUQVKURCUKUCUDCJUEUFUGUHUPVAUIEUQURVJVCSCUJABVAULUMUN
      UO $.

    $( Value of a length-1 arithmetic progression.  (Contributed by Mario
       Carneiro, 18-Aug-2014.) $)
    vdwap0 $p |- ( ( A e. NN /\ D e. NN ) -> ( A ( AP ` 0 ) D ) = (/) ) $=
      ( vx vm cn wcel wa cc0 cvdwa cfv co cv cmul caddc wceq c1 cmin cfz wrex
      c0 wn noel pm2.21i risefall0lem eleq2s nrex cn0 wb vdwapval mp3an1 mtbiri
      0nn0 eq0rdv ) AEFZBEFZGZCABHIJKZUPCLZUQFZURADLZBMKNKOZDHHPQKRKZSZVADVBVAU
      AZUTTVBUTTFVDUTUBUCUDUEUFHUGFUNUOUSVCUHULABDHURUIUJUKUM $.

    $( Value of a length-1 arithmetic progression.  (Contributed by Mario
       Carneiro, 18-Aug-2014.) $)
    vdwap1 $p |- ( ( A e. NN /\ D e. NN ) -> ( A ( AP ` 1 ) D ) = { A } ) $=
      ( cn wcel wa c1 cvdwa cfv co csn caddc cc0 cun 1e0p1 fveq2i cn0 wceq 0nn0
      oveqi c0 vdwapun mp3an1 eqtrid nnaddcl vdwap0 sylancom uneq2d un0 eqtrdi
      eqtrd ) ACDZBCDZEZABFGHZIZAJZABKIZBLGHIZMZUPUMUOABLFKIZGHZIZUSUNVAABFUTGN
      OSLPDUKULVBUSQRABLUAUBUCUMUSUPTMUPUMURTUPUKULUQCDURTQABUDUQBUEUFUGUPUHUIU
      J $.
  $}

  ${
    $d a c d f i k m w x z F $.  $d a c d f i k m w x z K $.  $d c x ph $.
    $d d f i k m J $.  $d a d f i k m M $.
    vdwmc.1 $e |- X e. _V $.
    vdwmc.2 $e |- ( ph -> K e. NN0 ) $.
    vdwmc.3 $e |- ( ph -> F : X --> R ) $.
    $( The predicate " The ` <. R , N >. ` -coloring ` F ` contains a
       monochromatic AP of length ` K ` ".  (Contributed by Mario Carneiro,
       18-Aug-2014.) $)
    vdwmc $p |- ( ph -> ( K MonoAP F <-> E. c E. a e. NN E. d e. NN
                  ( a ( AP ` K ) d ) C_ ( `' F " { c } ) ) ) $=
      ( vz vw cfv cv wex cn wrex wcel cvv vk vf cvdwm wbr crn ccnv csn cima cpw
      cvdwa cin c0 wne co wss cn0 wb wf fex sylancl wceq wa fveq2 rneqd imaeq1d
      cnveq pweqd ineqan12d neeq1d exbidv df-vdwmc brabga syl2anc cxp wfn velpw
      vdwapf ffn sseq1 syl5bb rexrn 4syl elin exbii df-rex 3bitr4ri cop eqtr4di
      n0 df-ov sseq1d rexxp 3bitr3g bitrd ) ADCUCUDZDUJNZUEZCUFZGOUGZUHZUIZUKZU
      LUMZGPZFOZHOZWPUNZWTUOZHQRFQRZGPADUPSZCTSZWOXDUQJAEBCURETSXKKIEBTCUSUTUAO
      ZUJNZUEZUBOZUFZWSUHZUIZUKZULUMZGPXDUAUBDCUCUPTXLDVAZXOCVAZVBZXTXCGYCXSXBU
      LYAYBXNWQXRXAYAXMWPXLDUJVCVDYBXQWTYBXPWRWSXOCVFVEVGVHVIVJUBUAGVKVLVMAXCXI
      GALOZXASZLWQRZMOZWPNZWTUOZMQQVNZRZXCXIAXJYJQUIZWPURWPYJVOYFYKUQJDVQYJYLWP
      VRYEYILMYJWPYEYDWTUOYDYHVAYILWTVPYDYHWTVSVTWAWBYDXBSZLPYDWQSYEVBZLPXCYFYM
      YNLYDWQXAWCWDLXBWIYELWQWEWFYIXHMFHQQYGXEXFWGZVAZYHXGWTYPYHYOWPNXGYGYOWPVC
      XEXFWPWJWHWKWLWMVJWN $.

    ${
      $d a c d R $.  $d a d ph $.
      vdwmc2.4 $e |- ( ph -> A e. X ) $.
      $( Expand out the definition of an arithmetic progression.  (Contributed
         by Mario Carneiro, 18-Aug-2014.) $)
      vdwmc2 $p |- ( ph -> ( K MonoAP F <-> E. c e. R E. a e. NN E. d e. NN
      A. m e. ( 0 ... ( K - 1 ) ) ( a + ( m x. d ) ) e. ( `' F " { c } ) ) ) $=
        ( vx cn wrex wcel wa c0 cvdwm wbr cv cvdwa cfv co ccnv csn cima wss wex
        cmul caddc cc0 c1 cmin cfz wral vdwmc wb wceq wne wi w3a vdwapid1 3expb
        ne0d adantll ssn0 expcom syl wn disjsn wf adantr fimacnvdisj ex syl5bir
        cin necon1ad syld rexlimdvva pm4.71rd exbidv bitr4di ffvelrnd 1nn ne0ii
        df-rex simpllr fveq2d oveqd vdwap0 eqtrd 0ss eqsstrdi ralrimiva sylancr
        r19.2z ralrimivw syl2an2r rexex 2thd cn0 wo elnn0 mpjaodan wal vdwapval
        sylib sylan imbi1d albidv dfss2 ralcom4 ovex eleq1 ceqsalv ralbii albii
        r19.23v 3bitr3i 3bitr4g 2rexbidva rexbidv 3bitrd ) AFEUAUBHUCZJUCZFUDUE
        ZUFZEUGIUCZUHZUIZUJZJPQZHPQZIUKZYPICQZYGDUCYHULUFZUMUFZYMRZDUNFUOUPUFUQ
        UFZURZJPQHPQZICQACEFGHIJKLMUSAFPRZYQYRUTFUNVAZAUUESZYQYKCRZYPSZIUKYRUUG
        YPUUIIUUGYPUUHUUGYNUUHHJPPUUGYGPRZYHPRZSZSZYNYMTVBZUUHUUMYJTVBZYNUUNVCU
        UEUULUUOAUUEUUJUUKUUOUUEUUJUUKVDYJYGYGYHFVEVGVFVHYNUUOUUNYJYMVIVJVKUUMU
        UHYMTUUHVLCYLVSTVAZUUMYMTVAZCYKVMUUGUUPUUQVCZUULUUGGCEVNZUURAUUSUUEMVOU
        USUUPUUQGCYLEVPVQVKVOVRVTWAWBWCWDYPICWIWEAUUFSZYQYRUUTYRYQACTVBUUFYPICU
        RYRACBEUEAGCBEMNWFVGUUTYPICUUTPTVBZYOHPURYPUOPWGWHZUUTYOHPUUTUUJSZUVAYN
        JPURYOUVBUVCYNJPUVCUUKSZYJTYMUVDYJYGYHUNUDUEZUFZTUVDYIUVEYGYHUVDFUNUDAU
        UFUUJUUKWJWKWLUUJUUKUVFTVAUUTYGYHWMVHWNYMWOWPWQYNJPWSWRWQYOHPWSWRWTYPIC
        WSXAZYPICXBVKUVGXCAFXDRZUUEUUFXELFXFXJXGAYPUUDICAYNUUCHJPPAUULSZOUCZYJR
        ZUVJYMRZVCZOXHUVJYTVAZDUUBQZUVLVCZOXHZYNUUCUVIUVMUVPOUVIUVKUVOUVLAUVHUU
        LUVKUVOUTZLUVHUUJUUKUVRYGYHDFUVJXIVFXKXLXMOYJYMXNUVNUVLVCZOXHZDUUBURUVS
        DUUBURZOXHUUCUVQUVSDOUUBXOUVTUUADUUBUVLUUAOYTYGYSUMXPUVJYTYMXQXRXSUWAUV
        POUVNUVLDUUBYAXTYBYCYDYEYF $.
    $}

    vdwpc.4 $e |- ( ph -> M e. NN ) $.
    vdwpc.5 $e |- J = ( 1 ... M ) $.
    $( The predicate " The coloring ` F ` contains a polychromatic ` M ` -tuple
       of AP's of length ` K ` ".  A polychromatic ` M ` -tuple of AP's is a
       set of AP's with the same base point but different step lengths, such
       that each individual AP is monochromatic, but the AP's all have mutually
       distinct colors.  (The common basepoint is not required to have the same
       color as any of the AP's.)  (Contributed by Mario Carneiro,
       18-Aug-2014.) $)
    vdwpc $p |- ( ph -> ( <. M , K >. PolyAP F <-> E. a e. NN
      E. d e. ( NN ^m J ) ( A. i e. J ( ( a + ( d ` i ) ) ( AP ` K )
          ( d ` i ) ) C_ ( `' F " { ( F ` ( a + ( d ` i ) ) ) } ) /\
      ( # ` ran ( i e. J |-> ( F ` ( a + ( d ` i ) ) ) ) ) = M ) ) ) $=
      ( cn wcel cv cfv co vk vf cn0 cvv cop cvdwp wbr caddc cvdwa ccnv csn cima
      vm wss wral cmpt crn chash wceq wa cmap wrex wb wf fex sylancl cfz coprab
      c1 w3a df-br df-vdwpc eleq2i bitri simp1 oveq2d eqtr4di simp2 oveqd simp3
      fveq2d cnveqd fveq1d imaeq12d sseq12d raleqbidv mpteq12dv eqeq12d anbi12d
      sneqd rneqd rexeqbidv rexbidv eloprabga syl5bb syl3anc ) AGPQZFUCQZDUDQZG
      FUEZDUFUGZIRCRJRSZUHTZXBFUISZTZDUJZXCDSZUKZULZUNZCEUOZCEXGUPZUQZURSZGUSZU
      TZJPEVATZVBZIPVBZVCNLAHBDVDHUDQWSMKHBUDDVEVFXAWTDUEZXCXBUARZUISZTZUBRZUJZ
      XCYDSZUKZULZUNZCVIUMRZVGTZUOZCYKYFUPZUQZURSZYJUSZUTZJPYKVATZVBZIPVBZUMUAU
      BVHZQZWQWRWSVJXSXAXTUFQUUBWTDUFVKUFUUAXTUBCUAUMIJVLVMVNYTXSUMUAUBGFDPUCUD
      YJGUSZYAFUSZYDDUSZVJZYSXRIPUUFYQXPJYRXQUUFYKEPVAUUFYKVIGVGTEUUFYJGVIVGUUC
      UUDUUEVOZVPOVQZVPUUFYLXKYPXOUUFYIXJCYKEUUHUUFYCXEYHXIUUFYBXDXCXBUUFYAFUIU
      UCUUDUUEVRWAVSUUFYEXFYGXHUUFYDDUUCUUDUUEVTZWBUUFYFXGUUFXCYDDUUIWCZWJWDWEW
      FUUFYOXNYJGUUFYNXMURUUFYMXLUUFCYKYFEXGUUHUUJWGWKWAUUGWHWIWLWMWNWOWP $.
  $}

  ${
    $d a c d i m A $.  $d d i m D $.  $d d i I $.  $d a c d i m K $.
    $d a c d i F $.  $d i M $.  $d c i ph $.  $d i R $.  $d i W $.
    vdwlem1.r $e |- ( ph -> R e. Fin ) $.
    vdwlem1.k $e |- ( ph -> K e. NN ) $.
    vdwlem1.w $e |- ( ph -> W e. NN ) $.
    vdwlem1.f $e |- ( ph -> F : ( 1 ... W ) --> R ) $.
    vdwlem1.a $e |- ( ph -> A e. NN ) $.
    vdwlem1.m $e |- ( ph -> M e. NN ) $.
    vdwlem1.d $e |- ( ph -> D : ( 1 ... M ) --> NN ) $.
    vdwlem1.s $e |- ( ph -> A. i e. ( 1 ... M )
      ( ( A + ( D ` i ) ) ( AP ` K ) ( D ` i ) ) C_
      ( `' F " { ( F ` ( A + ( D ` i ) ) ) } ) ) $.
    vdwlem1.i $e |- ( ph -> I e. ( 1 ... M ) ) $.
    vdwlem1.e $e |- ( ph ->
      ( F ` A ) = ( F ` ( A + ( D ` I ) ) ) ) $.
    $( Lemma for ~ vdw .  (Contributed by Mario Carneiro, 12-Sep-2014.) $)
    vdwlem1 $p |- ( ph -> ( K + 1 ) MonoAP F ) $=
      ( va vd vc vm c1 caddc co cvdwm wbr cv cvdwa cfv ccnv csn cima wss cn wex
      wrex wcel cfz ffvelrnd cun cn0 wceq nnnn0d vdwapun syl3anc cle nnred nnuz
      cuz eleqtrdi eluzfz1 nnaddcld nnrpd ltaddrpd ltled fveq2 oveq2d eleq1d wa
      syl r19.21bi cnvimass fssdm adantr sstrd cmul cc0 nnm1nn0 nn0uz ffvelrnda
      nncnd mul02d addid1d eqtr2d oveq1 rspceeqv syl2anc vdwapval mpbird sseldd
      cmin wb ralrimiva rspcdva elfzle2 letrd nnzd elfz5 eqidd wfn ffn fniniseg
      cz wf mpbir2and snssd oveq12d fveq2d sneqd imaeq2d sseq12d sseqtrrd unssd
      3syl eqsstrd sseq1d oveq2 rspc2ev fvex sneq 2rexbidv spcev ovex peano2nn0
      sseq2d vdwmc ) AHUEUFUGZFUHUIUAUJZUBUJZYTUKULZUGZFUMZUCUJZUNZUOZUPZUBUQUS
      UAUQUSZUCURZAUUDUUEBFULZUNZUOZUPZUBUQUSUAUQUSZUUKABUQUTZGCULZUQUTZBUURUUC
      UGZUUNUPZUUPOAUEIVAUGZUQGCQSVBZAUUTBUNZBUURUFUGZUURHUKULZUGZVCZUUNAHVDUTZ
      UUQUUSUUTUVHVEAHLVFZOUVCBUURHVGVHAUVDUVGUUNABUUNABUUNUTZBUEJVAUGZUTZUULUU
      LVEZAUVMBJVIUIZABBUECULZUFUGZJABOVJZAUVQABUVPOAUVBUQUECQAIUEVLULZUTUEUVBU
      TAIUQUVSPVKVMUEIVNWCZVBZVOVJZAJMVJABUVQUVRUWBABUVPUVRAUVPUWAVPVQVRAUVQUVL
      UTZUVQJVIUIABEUJZCULZUFUGZUVLUTZUWCEUVBUEUWDUEVEZUWFUVQUVLUWHUWEUVPBUFUWD
      UECVSVTWAAUWGEUVBAUWDUVBUTZWBZUWFUWEUVFUGZUVLUWFUWJUWKUUEUWFFULZUNZUOZUVL
      AUWKUWNUPZEUVBRWDAUWNUVLUPUWIAUVLDUWNFFUWMWENWFWGWHUWJUWFUWKUTZUWFUWFUDUJ
      ZUWEWIUGZUFUGZVEUDWJHUEXDUGZVAUGZUSZUWJWJUXAUTZUWFUWFWJUWEWIUGZUFUGZVEUXB
      AUXCUWIAUWTWJVLULZUTUXCAUWTVDUXFAHUQUTZUWTVDUTLHWKWCWLVMWJUWTVNWCWGUWJUXE
      UWFWJUFUGUWFUWJUXDWJUWFUFUWJUWEUWJUWEAUVBUQUWDCQWMZWNWOVTUWJUWFUWJUWFUWJB
      UWEAUUQUWIOWGUXHVOZWNWPWQUDWJUXAUWSUXEUWFUWQWJVEUWRUXDUWFUFUWQWJUWEWIWRVT
      WSWTUWJUVIUWFUQUTUWEUQUTUWPUXBXEUWJHAUXGUWILWGVFUXIUXHUWFUWEUDHUWFXAVHXBX
      CXFUVTXGUVQUEJXHWCXIABUVSUTJXPUTUVMUVOXEABUQUVSOVKVMAJMXJBUEJXKWTXBAUULXL
      AUVLDFXQFUVLXMUVKUVMUVNWBXENUVLDFXNUVLUULBFXOYGXRXSAUVGUUEUVEFULZUNZUOZUU
      NAUWOUVGUXLUPEUVBGUWDGVEZUWKUVGUWNUXLUXMUWFUVEUWEUURUVFUXMUWEUURBUFUWDGCV
      SZVTZUXNXTUXMUWMUXKUUEUXMUWLUXJUXMUWFUVEFUXOYAYBYCYDRSXGAUUMUXKUUEAUULUXJ
      TYBYCYEYFYHUUOUVABUUBUUCUGZUUNUPUAUBBUURUQUQUUABVEUUDUXPUUNUUABUUBUUCWRYI
      UUBUURVEUXPUUTUUNUUBUURBUUCYJYIYKVHUUJUUPUCUULBFYLUUFUULVEZUUIUUOUAUBUQUQ
      UXQUUHUUNUUDUXQUUGUUMUUEUUFUULYMYCYRYNYOWCADFYTUVLUAUCUBUEJVAYPAUVIYTVDUT
      UVJHYQWCNYSXB $.
  $}

  ${
    $d a b c d m x F $.  $d a b c d m n x K $.  $d m x M $.  $d a c d m x ph $.
    $d a c d m x G $.  $d b d m x N $.  $d x R $.  $d x W $.
    vdwlem2.r $e |- ( ph -> R e. Fin ) $.
    vdwlem2.k $e |- ( ph -> K e. NN0 ) $.
    vdwlem2.w $e |- ( ph -> W e. NN ) $.
    vdwlem2.n $e |- ( ph -> N e. NN ) $.
    vdwlem2.f $e |- ( ph -> F : ( 1 ... M ) --> R ) $.
    vdwlem2.m $e |- ( ph -> M e. ( ZZ>= ` ( W + N ) ) ) $.
    vdwlem2.g $e |- G = ( x e. ( 1 ... W ) |-> ( F ` ( x + N ) ) ) $.
    $( Lemma for ~ vdw .  (Contributed by Mario Carneiro, 12-Sep-2014.) $)
    vdwlem2 $p |- ( ph -> ( K MonoAP G -> K MonoAP F ) ) $=
      ( cfv co cn wcel va vd vc vb vm vn cvdwa ccnv csn cima wss wrex wex cvdwm
      cv wbr wa caddc id nnaddcl syl2anr cmul wceq cc0 c1 cfz simpllr ad3antrrr
      cmin nncnd cn0 elfznn0 adantl nn0cnd simplrl mulcld add32d oveq1 wral cuz
      eleq1d elfznn eleqtrdi cz elfzuz3 eluzadd uztrn syl2an2r elfzuzb sylanbrc
      nnuz nnzd ralrimiva simplrr eqid oveq2d rspceeqv mpan2 wb ad2antrr adantr
      vdwapval syl3anc mpbird sseldd ffvelrnda syldan fmptd ffnd fniniseg mpbid
      wfn syl simpld rspcdva eqeltrd fveq2d fvex fvmpt simprd 3eqtr2d jca eleq1
      fveqeq2 anbi12d syl5ibrcom rexlimdva simprl 3imtr4d ssrdv reximdva sseq1d
      expr rexbidv rspcev syl6an eximdv ovex vdwmc ) AUAUOZUBUOZFUGQZRZEUHUCUOZ
      UIZUJZUKZUBSULZUASULZUCUMUDUOZUUAUUBRZDUHUUEUJZUKZUBSULZUDSULZUCUMFEUNUPF
      DUNUPAUUIUUOUCAUUHUUOUASAYTSTZUQZYTHURRZSTZUUHUURUUAUUBRZUULUKZUBSULZUUOU
      UPUUPHSTZUUSAUUPUSMYTHUTVAZUUQUUGUVAUBSUUQUUASTZUUGUVAUUQUVEUUGUQZUQZBUUT
      UULUVGBUOZUURUEUOZUUAVBRZURRZVCZUEVDFVEVIRZVFRZULZUVHVEGVFRZTZUVHDQUUDVCZ
      UQZUVHUUTTZUVHUULTZUVGUVLUVSUEUVNUVGUVIUVNTZUQZUVSUVLUVKUVPTZUVKDQZUUDVCZ
      UQUWCUWDUWFUWCUVKYTUVJURRZHURRZUVPUWCYTHUVJUWCYTAUUPUVFUWBVGZVJUWCHAUVCUU
      PUVFUWBMVHVJUWCUVIUUAUWCUVIUWBUVIVKTUVGUVIUVMVLVMVNUWCUUAUUQUVEUUGUWBVOZV
      JVPVQZUWCUVHHURRZUVPTZUWHUVPTBVEIVFRZUWGUVHUWGVCZUWLUWHUVPUVHUWGHURVRZWAA
      UWMBUWNVSUUPUVFUWBAUWMBUWNAUVHUWNTZUQZUWLVEVTQZTGUWLVTQZTZUWMUWRUWLSUWSUW
      QUVHSTUVCUWLSTAUVHIWBMUVHHUTVAWKWCAGIHURRZVTQTUWQUXBUWTTZUXAOUWQIUVHVTQTH
      WDTUXCAUVHVEIWEAHMWLHUVHIWFVAUXBGUWLWGWHUWLVEGWIWJZWMVHUWCUWGUWNTZUWGEQZU
      UDVCZUWCUWGUUFTZUXEUXGUQZUWCUUCUUFUWGUUQUVEUUGUWBWNUWCUWGUUCTZUWGYTUFUOZU
      UAVBRZURRZVCUFUVNULZUWBUXNUVGUWBUWGUWGVCUXNUWGWOUFUVIUVNUXMUWGUWGUXKUVIVC
      UXLUVJYTURUXKUVIUUAVBVRWPWQWRVMUWCFVKTZUUPUVEUXJUXNWSUVGUXOUWBAUXOUUPUVFK
      WTZXAUWIUWJYTUUAUFFUWGXBXCXDXEUWCEUWNXLZUXHUXIWSAUXQUUPUVFUWBAUWNCEABUWNU
      WLDQZCEAUWQUWMUXRCTUXDAUVPCUWLDNXFXGPXHZXIVHUWNUUDUWGEXJXMXKZXNZXOXPUWCUW
      EUWHDQZUXFUUDUWCUVKUWHDUWKXQUWCUXEUXFUYBVCUYABUWGUXRUYBUWNEUWOUWLUWHDUWPX
      QPUWHDXRXSXMUWCUXEUXGUXTXTYAYBUVLUVQUWDUVRUWFUVHUVKUVPYCUVHUVKUUDDYDYEYFY
      GUVGUXOUUSUVEUVTUVOWSUXPUUQUUSUVFUVDXAUUQUVEUUGYHUURUUAUEFUVHXBXCUVGDUVPX
      LZUWAUVSWSAUYCUUPUVFAUVPCDNXIWTUVPUUDUVHDXJXMYIYJYMYKUUNUVBUDUURSUUJUURVC
      ZUUMUVAUBSUYDUUKUUTUULUUJUURUUAUUBVRYLYNYOYPYGYQACEFUWNUAUCUBVEIVFYRKUXSY
      SACDFUVPUDUCUBVEGVFYRKNYSYI $.
  $}

  ${
    $d k m n x y z A $.  $d a d i j k m x y z G $.  $d a d i j k m n x y z K $.
    $d i j m x J $.  $d d i x P $.  $d a d i j k m x y z ph $.  $d i k x y R $.
    $d i j m n x y z B $.  $d a d i k m x y z H $.  $d a d i j k m x y M $.
    $d j k m n x y z D $.  $d i j m n x y E $.  $d i j k m x y z W $.
    $d a d i x T $.  $d k m x y z V $.
    vdwlem3.v $e |- ( ph -> V e. NN ) $.
    vdwlem3.w $e |- ( ph -> W e. NN ) $.
    ${
      vdwlem3.a $e |- ( ph -> A e. ( 1 ... V ) ) $.
      vdwlem3.b $e |- ( ph -> B e. ( 1 ... W ) ) $.
      $( Lemma for ~ vdw .  (Contributed by Mario Carneiro, 13-Sep-2014.) $)
      vdwlem3 $p |- ( ph -> ( B + ( W x. ( ( A - 1 ) + V ) ) ) e.
        ( 1 ... ( W x. ( 2 x. V ) ) ) ) $=
        ( c1 co caddc cmul wcel cle wbr cn syl nnred cr cmin cfz elfznn nnm1nn0
        c2 cn0 nn0nnaddcl syl2anc nnmulcld nnaddcld 2nn nnmulcl sylancr elfzle2
        wb nnre leadd1 syl3an syl3anc mpbid nncnd 1cnd adddid nn0cnd addassd cc
        ax-1cn pncan3 oveq1d eqtr3d oveq2d mulid1d 3eqtr3d breqtrrd 2timesd cc0
        wceq leadd1dd clt nngt0d lemul2 syl112anc cuz cfv cz nnuz eleqtrdi nnzd
        letrd elfz5 mpbird ) ACEBJUAKZDLKZMKZLKZJEUEDMKZMKZUBKNZWOWQOPZAWOEBDLK
        ZMKZWQAWOACWNACJEUBKNZCQNZICEUCRZAEWMGAWLUFNZDQNZWMQNABQNZXEABJDUBKNZXG
        HBDUCRZBUDRZFWLDUGUHZUIZUJZSAXAAEWTGABDXIFUJZUISAWQAEWPGAUEQNXFWPQNUKFU
        EDULUMZUIZSAWOEWNLKZXAOACEOPZWOXQOPZAXBXRICJEUNRAXCEQNZWNQNZXRXSUOZXDGX
        LXCCTNXTETNZYAWNTNYBCUPEUPWNUPCEWNUQURUSUTAEJWMLKZMKEJMKZWNLKXAXQAEJWMA
        EGVAZAVBZAWMXKVAVCAYDWTEMAJWLLKZDLKYDWTAJWLDYGAWLXJVDADFVAZVEAYHBDLAJVF
        NBVFNYHBVQVGABXIVAJBVHUMVIVJVKAYEEWNLAEYFVLVIVMVNAWTWPOPZXAWQOPZAWTDDLK
        WPOABDDABXISADFSZYLAXHBDOPHBJDUNRVRADYIVOVNAWTTNWPTNYCVPEVSPYJYKUOAWTXN
        SAWPXOSAEGSAEGVTWTWPEWAWBUTWIAWOJWCWDZNWQWENWRWSUOAWOQYMXMWFWGAWQXPWHWO
        JWQWJUHWK $.
    $}

    vdwlem4.r $e |- ( ph -> R e. Fin ) $.
    vdwlem4.h $e |- ( ph -> H : ( 1 ... ( W x. ( 2 x. V ) ) ) --> R ) $.
    vdwlem4.f $e |- F = ( x e. ( 1 ... V ) |-> ( y e. ( 1 ... W ) |->
      ( H ` ( y + ( W x. ( ( x - 1 ) + V ) ) ) ) ) ) $.
    $( Lemma for ~ vdw .  (Contributed by Mario Carneiro, 12-Sep-2014.) $)
    vdwlem4 $p |- ( ph -> F : ( 1 ... V ) --> ( R ^m ( 1 ... W ) ) ) $=
      ( c1 cfz co cv cmul wcel ad2antrr cmin caddc cmpt cmap wa wf c2 cn simplr
      cfv simpr vdwlem3 ffvelrnd fmpttd cfn cvv wb adantr elmapg sylancl mpbird
      ovex fmptd ) ABNGOPZCNHOPZCQZHBQZNUAPGUBPRPUBPZFUJZUCZDVEUDPZEAVGVDSZUEZV
      JVKSZVEDVJUFZVMCVEVIDVMVFVESZUEZNHUGGRPRPOPZDVHFAVRDFUFVLVPLTVQVGVFGHAGUH
      SVLVPITAHUHSVLVPJTAVLVPUIVMVPUKULUMUNVMDUOSZVEUPSVNVOUQAVSVLKURNHOVBDVEVJ
      UOUPUSUTVAMVC $.

    vdwlem7.m $e |- ( ph -> M e. NN ) $.
    vdwlem7.g $e |- ( ph -> G : ( 1 ... W ) --> R ) $.
    vdwlem7.k $e |- ( ph -> K e. ( ZZ>= ` 2 ) ) $.
    vdwlem7.a $e |- ( ph -> A e. NN ) $.
    vdwlem7.d $e |- ( ph -> D e. NN ) $.
    vdwlem7.s $e |- ( ph -> ( A ( AP ` K ) D ) C_ ( `' F " { G } ) ) $.
    ${
      vdwlem6.b $e |- ( ph -> B e. NN ) $.
      vdwlem6.e $e |- ( ph -> E : ( 1 ... M ) --> NN ) $.
      vdwlem6.s $e |- ( ph -> A. i e. ( 1 ... M )
        ( ( B + ( E ` i ) ) ( AP ` K ) ( E ` i ) ) C_
          ( `' G " { ( G ` ( B + ( E ` i ) ) ) } ) ) $.
      vdwlem6.j $e |- J = ( i e. ( 1 ... M ) |->
        ( G ` ( B + ( E ` i ) ) ) ) $.
      vdwlem6.r $e |- ( ph -> ( # ` ran J ) = M ) $.
      vdwlem6.t $e |- T = ( B + ( W x. ( ( A + ( V - D ) ) - 1 ) ) ) $.
      vdwlem6.p $e |- P = ( j e. ( 1 ... ( M + 1 ) ) |->
        ( if ( j = ( M + 1 ) , 0 , ( E ` j ) ) + ( W x. D ) ) ) $.
      $( Lemma for ~ vdw .  (Contributed by Mario Carneiro, 12-Sep-2014.) $)
      vdwlem5 $p |- ( ph -> T e. NN ) $=
        ( cmin co caddc c1 cmul cn wcel cn0 nnnn0d nncnd subcld npcand subsub4d
        addcomd oveq2d eqtrd cuz cfv cfz ccnv csn cima cmap vdwlem4 fssdm cvdwa
        cnvimass cun ssun2 c2 uz2m1nn syl nnaddcld vdwapid1 syl3anc sselid wceq
        eluz2nn ax-1cn npcan sylancl fveq2d oveqd nnm1nn0 vdwapun eqtr3d sseldd
        eleqtrrd elfzuz3 uznn0sub eqeltrd nn0nnaddcl syl2anc eqeltrrd nn0mulcld
        cc nnnn0addcl eqeltrid ) AIETDSFUSUTZVAUTZVBUSUTZVCUTZVAUTZVDUQAEVDVEXT
        VFVEYAVDVEULATXSATUBVGAXRVDVEXSVFVEADXQUIAXQDUSUTZDVAUTZXQVDAXQDASFASUA
        VHZAFUJVHZVIADUIVHZVJAYBVFVEDVDVEZYCVDVEAYBSDFVAUTZUSUTZVFAYBSFDVAUTZUS
        UTYIASFDYDYEYFVKAYJYHSUSAFDYEYFVLVMVNASYHVOVPVEZYIVFVEAYHVBSVQUTZVEYKAM
        VRNVSZVTZYLYHAYLHVBTVQUTWAUTYNMMYMWEABCHMOSTUAUBUCUDUEWBWCADFQWDVPZUTZY
        NYHUKAYHDVSZYHFQVBUSUTZWDVPUTZWFZYPAYSYTYHYSYQWGAYRVDVEZYHVDVEFVDVEZYHY
        SVEAQWHVOVPVEZUUAUHQWIWJADFUIUJWKUJYHFYRWLWMWNADFYRVBVAUTZWDVPZUTZYPYTA
        UUEYODFAUUDQWDAQXNVEVBXNVEUUDQWOAQAUUCQVDVEZUHQWPWJZVHWQQVBWRWSWTXAAYRV
        FVEZYGUUBUUFYTWOAUUGUUIUUHQXBWJUIUJDFYRXCWMXDXFXEXEYHVBSXGWJYHSXHWJXIUI
        YBDXJXKXLWKXRXBWJXMEXTXOXKXP $.

      $( Lemma for ~ vdw .  (Contributed by Mario Carneiro, 13-Sep-2014.) $)
      vdwlem6 $p |- ( ph ->
        ( <. ( M + 1 ) , K >. PolyAP H \/ ( K + 1 ) MonoAP G ) ) $=
        ( vm va vd vn cfv crn wcel c1 caddc co wbr wo wa wceq cfz wrex wfn fvex
        cv wb cfn adantr cn cuz syl wf ccnv csn cima wss wral weq oveq2d fveq2d
        fveq2 fvmpt eqtr3d wn cmpt chash cc0 cmul biimpa ad2antrr nnnn0d syldan
        cn0 syl2anc ovex cmin nncnd nn0cnd adantlr mulcld adddid addsubd oveq1d
        eqtrd eqid oveq1 vdwapval syl3anc sseldd ffnd fniniseg nnaddcld fvoveq1
        cc simpld simprd mpteq2dv fveq1d jca anbi12d syl5ibrcom addassd oveq12d
        3eqtr4rd cle sneqd imaeq2d cab vz cop cvdwp cvdwm fvelrnb ax-mp eluz2nn
        fnmpti c2 simprl simprr vdwlem1 rexlimdvaa syl5bi imp olcd cmap vdwlem5
        cvdwa cif 0nn0 a1i nnuz eleqtrdi elfzp1 con1d ffvelrnda ifclda nnmulcld
        ord nn0nnaddcl fmptd nnex elmap sylibr addcld nnm1nn0 elfznn0 nn0mulcld
        adantl add4d 1cnd add32d mul12d 3eqtr4d rspceeqv biimpar sylan2 vdwlem4
        mpan2 vdwlem3 eqeltrd mptex eleq1 fveqeq2 rexlimdva 3imtr4d ssrdv ssun1
        r19.21bi cun fzsuc sseqtrrid sselda eqeq1 ifbieq2d nnred ltp1d peano2re
        clt ltnled mpbid breq1 notbid con2d elfzle2 impel iffalse add12d oveq1i
        cr subcld ax-1cn sylancl npcand 3eqtr3d eqtrid addcomd 3eqtr2d cnvimass
        subcl 3eqtrd fssdm vdwapid1 3sstr4d ex eqtr4d c0 wne eluzfz1 elfzuz3 cz
        ne0d nnzd uzid uzaddcl uztrn eluzle ralrimiva r19.2z rexlimiv mpbir2and
        fznn peano2nnd eluzfz2 iftrue 3syl addid2d sseq12d jaod sylbid ralrimiv
        idd rexeqdv rexun eqeq2d rexbidva rexsn syl5bb bitrd abbidv rnmpt df-sn
        orbi12d uneq12i unab eqtri 3eqtr4g fzfi dffn4 mpbi fofi mp2an hashunsng
        wfo cvv wi sylan ralbidv rneqd fveqeq2d fveq1 rspc2ev vdwpc mpbird orcd
        pm2.61dan ) AENVCZPVDZVEZRVFVGVHZQUUBOUUCVIZQVFVGVHNUUDVIZVJAVWTVKVXCVX
        BAVWTVXCVWTUSVQZPVCZVWRVLZUSVFRVMVHZVNZAVXCPVXGVOZVWTVXHVRJVXGEJVQZLVCZ
        VGVHZNVCZPVXLNVPUOUUHZUSVXGVWRPUUEUUFAVXFVXCUSVXGAVXDVXGVEZVXFVKZVKZELH
        JNVXDQRTAHVSVEVXPUCVTAQWAVEZVXPAQUUIWBVCVEVXRUHQUUGWCZVTATWAVEZVXPUBVTA
        VFTVMVHZHNWDVXPUGVTAEWAVEZVXPULVTARWAVEZVXPUFVTAVXGWALWDZVXPUMVTAVXLVXK
        QUUSVCZVHZNWEVXMWFZWGZWHZJVXGWIVXPUNVTAVXOVXFUUJZVXQVXEVWREVXDLVCZVGVHZ
        NVCZAVXOVXFUUKVXQVXOVXEVYMVLVYJJVXDVXMVYMVXGPJUSWJZVXLVYLNVYNVXKVYKEVGV
        XJVXDLWMWKWLUOVYLNVPWNWCWOUULUUMUUNUUOUUPAVWTWPZVKZVXBVXCVYPVXBUTVQZVXJ
        VAVQZVCZVGVHZVYSVYEVHZOWEZVYTOVCZWFZWGZWHZJVFVXAVMVHZWIZJWUGWUCWQZVDZWR
        VCVXAVLZVKZVAWAWUGUUQVHZVNUTWAVNZVYPIWAVEZGWUMVEZIVXJGVCZVGVHZWUQVYEVHZ
        WUBWUROVCZWFZWGZWHZJWUGWIZJWUGWUTWQZVDZWRVCZVXAVLZVKZWUNAWUOVYOABCDEFGH
        IJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUURZVTVYPWUGWAGWDWUPVYP
        KWUGKVQZVXAVLZWSWVKLVCZUUTZTFWTVHZVGVHZWAGVYPWVKWUGVEZVKZWVNXEVEWVOWAVE
        ZWVPWAVEWVRWVLWSWVMXEWSXEVEWVRWVLVKUVAUVBWVRWVLWPZWVKVXGVEZWVMXEVEWVRWV
        TWWAWVRWWAWVLWVRWWAWVLVYPWVQWWAWVLVJZVYPRVFWBVCZVEZWVQWWBVRAWWDVYOARWAW
        WCUFUVCUVDZVTWVKVFRUVEWCXAUVJUVFUUOWVRWWAVKWVMWVRVXGWAWVKLAVYDVYOWVQUMX
        BUVGXCXDUVHAWVSVYOWVQATFUBUJUVIZXBWVNWVOUVKXFURUVLWAWUGGUVMVFVXAVMXGUVN
        UVOVYPWVDWVHAWVDVYOAWVCJWUGAVXJWUGVEZVXJVXGVEZVXJVXAVLZVJZWVCAWWDWWGWWJ
        VRWWEVXJVFRUVEWCAWWHWVCWWIAWWHWVCAWWHVKZVXLTDVFXHVHZSVGVHZWTVHZVGVHZVXK
        WVOVGVHZVYEVHZWUBVYGWGZWUSWVBWWKBWWQWWRWWKBVQZWWOVXDWWPWTVHZVGVHZVLZUSW
        SQVFXHVHZVMVHZVNZWWSVFTUUISWTVHWTVHZVMVHZVEZWWSOVCVXMVLZVKZWWSWWQVEZWWS
        WWRVEZWWKWXBWXJUSWXDWWKVXDWXDVEZVKZWXJWXBWXAWXGVEZWXAOVCZVXMVLZVKWXNWXO
        WXQWXNWXAVXLVXDVXKWTVHZVGVHZTDVXDFWTVHZVGVHZVFXHVHZSVGVHZWTVHZVGVHZWXGW
        XNWWOWXRVXDWVOWTVHZVGVHZVGVHWXSWWNWYFVGVHZVGVHWXAWYEWXNVXLWWNWXRWYFWXNE
        VXKWWKEYFVEZWXMWWKEAVYBWWHULVTZXIZVTWWKVXKYFVEWXMWWKVXKAVXGWAVXJLUMUVGZ
        XIZVTZUVPAWWNYFVEZWWHWXMAWWNATWWMUBAWWLXEVEZSWAVEZWWMWAVEADWAVEZWYPUIDU
        VQWCZUAWWLSUVKXFZUVIZXIZXBWXNVXDVXKAWXMVXDYFVEWWHAWXMVKZVXDWXMVXDXEVEAV
        XDWXCUVRUVTZXJZXKZWYNXLAWXMWYFYFVEWWHXUCWYFXUCVXDWVOXUDAWVOXEVEWXMAWVOW
        WFXCVTUVSXJZXKUWAWXNWWTWYGWWOVGWXNVXDVXKWVOXUFWYNAWVOYFVEZWWHWXMAWVOWWF
        XIZXBXMWKWXNWYDWYHWXSVGAWXMWYDWYHVLWWHXUCTWWMWXTVGVHZWTVHWWNTWXTWTVHZVG
        VHWYDWYHXUCTWWMWXTATYFVEWXMATUBXIZVTZAWWMYFVEWXMAWWMWYTXIVTXUCVXDFXUEAF
        YFVEWXMAFUJXIZVTZXLZXMXUCWYCXUJTWTXUCWYCWWLWXTVGVHZSVGVHXUJXUCWYBXUQSVG
        XUCDWXTVFADYFVEWXMADUIXIZVTXUPXUCUWBXNXOXUCWWLWXTSAWWLYFVEWXMAWWLWYSXJV
        TXUPASYFVEWXMASUAXIZVTUWCXPWKXUCWYFXUKWWNVGXUCVXDTFXUEXUMXUOUWDWKUWEZXK
        WKUWEZWXNWYAWXSSTAWYQWWHWXMUAXBAVXTWWHWXMUBXBAWXMWYAVFSVMVHZVEZWWHXUCXV
        CWYAMVCZNVLZAWXMWYAMWENWFWGZVEZXVCXVEVKZXUCDFVYEVHZXVFWYAAXVIXVFWHWXMUK
        VTWXMAWYADVBVQZFWTVHZVGVHZVLVBWXDVNZWYAXVIVEZWXMWYAWYAVLXVMWYAXQVBVXDWX
        DXVLWYAWYAVBUSWJZXVKWXTDVGXVJVXDFWTXRWKUWFUWJAXVNXVMAQXEVEZWYRFWAVEZXVN
        XVMVRAQVXSXCZUIUJDFVBQWYAXSXTUWGUWHYAAXVGXVHAMXVBVOZXVGXVHVRAXVBHVYAUUQ
        VHMABCHMOSTUAUBUCUDUEUWIYBZXVBNWYAMYCWCXAXDZYGZXKWXNWXSVYAVEZWXSNVCZVXM
        VLZWWKWXMWXSVYHVEZXWCXWEVKZWXNVYFVYHWXSWWKVYIWXMAVYIJVXGUNUWTZVTWXMWWKW
        XSVXLXVJVXKWTVHZVGVHZVLVBWXDVNZWXSVYFVEZWXMWXSWXSVLXWKWXSXQVBVXDWXDXWJW
        XSWXSXVOXWIWXRVXLVGXVJVXDVXKWTXRWKUWFUWJWWKXWLXWKWWKXVPVXLWAVEZVXKWAVEZ
        XWLXWKVRWWKQAVXRWWHVXSVTZXCZWWKEVXKWYJWYLYDZWYLVXLVXKVBQWXSXSXTUWGUWHYA
        WWKXWFXWGWWKNVYAVOZXWFXWGVRAXWRWWHAVYAHNUGYBVTVYAVXMWXSNYCWCXAXDZYGZUWK
        UWLWXNWXSCVYACVQZWYDVGVHZOVCZWQZVCZWYEOVCZVXMWXPWXNXWCXXEXXFVLXWTCWXSXX
        CXXFVYAXXDXXAWXSWYDOVGYEXXDXQZWYEOVPWNWCWXNXWDVXMXXEWXNXWCXWEXWSYHWXNWX
        SNXXDAWXMNXXDVLWWHXUCXVDNXXDXUCXVCXVEXWAYHXUCXVCXVDXXDVLXWBBWYACVYAXXAT
        WWSVFXHVHZSVGVHZWTVHZVGVHZOVCZWQZXXDXVBMWWSWYAVLZCVYAXXLXXCXXNXXKXXBOXX
        NXXJWYDXXAVGXXNXXIWYCTWTXXNXXHWYBSVGWWSWYAVFXHXRXOWKWKWLYIUECVYAXXCVFTV
        MXGZUWMWNWCWOZXKYJWOWXNWXAWYEOXVAWLYPYKWXBWXHWXOWXIWXQWWSWXAWXGUWNWWSWX
        AVXMOUWOYLYMUWPWWKXVPWWOWAVEWWPWAVEWXKWXEVRXWPWWKVXLWWNXWQAWWNWAVEWWHXU
        AVTYDWWKVXKWVOWYLAWVSWWHWWFVTYDWWOWWPUSQWWSXSXTWWKOWXGVOZWXLWXJVRAXXQWW
        HAWXGHOUDYBZVTWXGVXMWWSOYCWCUWQUWRWWKWURWWOWUQWWPVYEWWKWURIWWPVGVHVXKIW
        VOVGVHZVGVHZWWOWWKWUQWWPIVGWWKWUQWWIWSVXKUUTZWVOVGVHZWWPWWKWWGWUQXYBVLA
        VXGWUGVXJAVXGVXAWFZUXAZVXGWUGVXGXYCUWSAWWDWUGXYDVLWWEVFRUXBWCZUXCUXDKVX
        JWVPXYBWUGGKJWJZWVNXYAWVOVGXYFWVLWWIWVMVXKWSWVKVXJVXAUXEWVKVXJLWMUXFXOU
        RXYAWVOVGXGWNWCWWKWWIWPZXYBWWPVLAVXJRYQVIZXYGWWHAWWIXYHAXYHWPWWIVXARYQV
        IZWPZARVXAUXJVIXYJARARUFUXGZUXHARVXAXYKARUYAVEVXAUYAVEXYKRUXIWCUXKUXLWW
        IXYHXYIVXJVXARYQUXMUXNYMUXOVXJVFRUXPUXQXYGXYAVXKWVOVGWWIWSVXKUXRXOWCXPZ
        WKWWKIVXKWVOAIYFVEWWHAIWVJXIVTWYMAXUHWWHXUIVTUXSWWKXXTVXKEWWNVGVHZVGVHZ
        VXKEVGVHZWWNVGVHWWOAXXTXYNVLWWHAXXSXYMVXKVGAXXSETDSFXHVHZVGVHZVFXHVHZWT
        VHZVGVHZWVOVGVHZXYMIXYTWVOVGUQUXTAYUAEXYSWVOVGVHZVGVHXYMAEXYSWVOAEULXIZ
        ATXYRXULAXYQYFVEVFYFVEXYRYFVEADXYPXURASFXUSXUNUYBZUVPZUYCXYQVFUYKUYDZXL
        XUIYNAYUBWWNEVGATXYRFVGVHZWTVHYUBWWNATXYRFXULYUFXUNXMAYUGWWMTWTAXYQFVGV
        HZVFXHVHDSVGVHZVFXHVHYUGWWMAYUHYUIVFXHAYUHDXYPFVGVHZVGVHYUIADXYPFXURYUD
        XUNYNAYUJSDVGASFXUSXUNUYEWKXPXOAXYQFVFYUEXUNAUWBZXNADSVFXURXUSYUKXNUYFW
        KWOWKXPUYGZWKVTWWKVXKEWWNWYMWYKAWYOWWHXUBVTYNWWKXYOVXLWWNVGWWKVXKEWYMWY
        KUYHXOUYIUYLZXYLYOWWKWVAVYGWUBWWKWUTVXMWWKVXLCVYAXXAWWNVGVHZOVCZWQZVCZW
        WOOVCZVXMWUTWWKVXLVYAVEZYUQYURVLWWKVYHVYAVXLAVYHVYAWHWWHAVYAHVYHNNVYGUY
        JUGUYMVTWWKVYFVYHVXLXWHWWKVXRXWMXWNVXLVYFVEXWOXWQWYLVXLVXKQUYNXTYAYAZCV
        XLYUOYURVYAYUPXXAVXLWWNOVGYEYUPXQZWWOOVPWNWCAVXMYUQVLWWHAVXLNYUPADMVCZN
        YUPADXVBVEZYVBNVLZADXVFVEZYVCYVDVKZAXVIXVFDUKAVXRWYRXVQDXVIVEVXSUIUJDFQ
        UYNXTYAAXVSYVEYVFVRXVTXVBNDMYCWCUXLZYHAYVCYVBYUPVLAYVCYVDYVGYGBDXXMYUPX
        VBMWWSDVLZCVYAXXLYUOYVHXXKYUNOYVHXXJWWNXXAVGYVHXXIWWMTWTYVHXXHWWLSVGWWS
        DVFXHXRXOWKWKWLYIUECVYAYUOXXOUWMWNWCWOZYJVTWWKWURWWOOYUMWLYPZYRYSUYOUYP
        AWVCWWIIVXAGVCZVGVHZYVKVYEVHZWUBYVLOVCZWFZWGZWHAXYMWVOVYEVHZWUBVWRWFZWG
        ZYVMYVPAUUAYVQYVSAUUAVQZXYMWYFVGVHZVLZUSWXDVNZYVTWXGVEZYVTOVCVWRVLZVKZY
        VTYVQVEZYVTYVSVEZAYWBYWFUSWXDXUCYWFYWBYWAWXGVEZYWAOVCZVWRVLZVKXUCYWIYWK
        XUCYWAEWYDVGVHZWXGXUCYWAEWYHVGVHYWLXUCEWWNWYFAWYIWXMYUCVTAWYOWXMXUBVTXU
        GYNXUCWYDWYHEVGXUTWKUYQZXUCWYAESTAWYQWXMUAVTAVXTWXMUBVTXWBAEVYAVEZWXMAY
        WNVYBETYQVIZULAYWOJVXGVNZYWOAVXGUYRUYSYWOJVXGWIYWPAVXGVFAWWDVFVXGVEWWEV
        FRUYTWCVUCAYWOJVXGWWKTEWBVCZVEZYWOWWKTVXLWBVCVEZVXLYWQVEZYWRWWKYUSYWSYU
        TVXLVFTVUAWCWWKEYWQVEZVXKXEVEYWTAYXAWWHAEVUBVEYXAAEULVUDEVUEWCVTWWKVXKW
        YLXCVXKEEVUFXFVXLTEVUGXFETVUHWCVUIYWOJVXGVUJXFYWOYWOJVXGWWHYWOVVCVUKWCA
        TVUBVEYWNVYBYWOVKVRATUBVUDETVUMWCVULZVTZUWKUWLXUCEXXDVCZYWLOVCZVWRYWJXU
        CYWNYXDYXEVLYXCCEXXCYXEVYAXXDXXAEWYDOVGYEXXGYWLOVPWNWCXUCENXXDXXPYJXUCY
        WAYWLOYWMWLYPYKYWBYWDYWIYWEYWKYVTYWAWXGUWNYVTYWAVWROUWOYLYMUWPAXVPXYMWA
        VEWVSYWGYWCVRXVRAEWWNULXUAYDWWFXYMWVOUSQYVTXSXTAXXQYWHYWFVRXXRWXGVWRYVT
        OYCWCUWQUWRAYVLXYMYVKWVOVYEAYVLXXSXYMAYVKWVOIVGAYVKWSWVOVGVHZWVOAVXAWWC
        VEVXAWUGVEYVKYXFVLAVXAWAWWCARUFVUNUVCUVDVFVXAVUOKVXAWVPYXFWUGGWVLWVNWSW
        VOVGWVLWSWVMVUPXOURWSWVOVGXGWNVUQAWVOXUIVURXPZWKYULXPZYXGYOAYVOYVRWUBAY
        VNVWRAEYUPVCZXYMOVCZVWRYVNAYWNYXIYXJVLYXBCEYUOYXJVYAYUPXXAEWWNOVGYEYVAX
        YMOVPWNWCAENYUPYVIYJAYVLXYMOYXHWLYPZYRYSUYOWWIWUSYVMWVBYVPWWIWURYVLWUQY
        VKVYEWWIWUQYVKIVGVXJVXAGWMZWKZYXLYOWWIWVAYVOWUBWWIWUTYVNWWIWURYVLOYXMWL
        ZYRYSVUSYMVUTVVAVVBVTVYPWVGVWSYVRUXAZWRVCZVWSWRVCZVFVGVHZVXAVYPWVFYXOWR
        VYPWWSWUTVLZJWUGVNZBYTWWSVXMVLZJVXGVNZWWSVWRVLZVJZBYTZWVFYXOVYPYXTYYDBA
        YXTYYDVRVYOAYXTYXSJXYDVNZYYDAYXSJWUGXYDXYEVVDYYFYXSJVXGVNZYXSJXYCVNZVJA
        YYDYXSJVXGXYCVVEAYYGYYBYYHYYCAYXSYYAJVXGWWKWUTVXMWWSYVJVVFVVGYYHWWSYVNV
        LZAYYCYXSYYIJVXARVFVGXGWWIWUTYVNWWSYXNVVFVVHAYVNVWRWWSYXKVVFVVIVVNVVIVV
        JVTVVKJBWUGWUTWVEWVEXQVVLYXOYYBBYTZYYCBYTZUXAYYEVWSYYJYVRYYKJBVXGVXMPUO
        VVLBVWRVVMVVOYYBYYCBVVPVVQVVRWLAVWSVSVEZVYOYXPYXRVLZYYLAVXGVSVEVXGVWSPV
        WEZYYLVFRVVSVXIYYNVXNVXGPVVTVWAVXGVWSPVWBVWCUVBVWRVWFVEYYLVYOVKYYMVWGEN
        VPVWSVWRVWFVWDUUFVWHVYPYXQRVFVGAYXQRVLVYOUPVTXOUYLYKWULWVIIVYSVGVHZVYSV
        YEVHZWUBYYOOVCZWFZWGZWHZJWUGWIZJWUGYYQWQZVDZWRVCVXAVLZVKUTVAIGWAWUMVYQI
        VLZWUHUUUAWUKUUUDUUUEWUFYYTJWUGUUUEWUAYYPWUEYYSUUUEVYTYYOVYSVYEVYQIVYSV
        GXRXOUUUEWUDYYRWUBUUUEWUCYYQVYQIVYSOVGYEZYRYSVUSVWIUUUEWUJUUUCVXAWRUUUE
        WUIUUUBUUUEJWUGWUCYYQUUUFYIVWJVWKYLVYRGVLZUUUAWVDUUUDWVHUUUGYYTWVCJWUGU
        UUGYYPWUSYYSWVBUUUGYYOWURVYSWUQVYEUUUGVYSWUQIVGVXJVYRGVWLZWKZUUUHYOUUUG
        YYRWVAWUBUUUGYYQWUTUUUGYYOWUROUUUIWLZYRYSVUSVWIUUUGUUUCWVFVXAWRUUUGUUUB
        WVEUUUGJWUGYYQWUTUUUJYIVWJVWKYLVWMXTVYPHJOWUGQVXAWXGUTVAVFWXFVMXGVYPQAV
        XRVYOVXSVTXCAWXGHOWDVYOUDVTVYPRAVYCVYOUFVTVUNWUGXQVWNVWOVWPVWQ $.
    $}

    $( Lemma for ~ vdw .  (Contributed by Mario Carneiro, 12-Sep-2014.) $)
    vdwlem7 $p |- ( ph -> ( <. M , K >. PolyAP G ->
      ( <. ( M + 1 ) , K >. PolyAP H \/ ( K + 1 ) MonoAP G ) ) ) $=
      ( va vi vd vj vk cop cvdwp wbr cv cfv caddc co cvdwa ccnv csn cima wss c1
      cfz wral cmpt crn chash wceq wa cn cmap wrex cvdwm ovex cn0 wcel cuz 2nn0
      wo c2 eluznn0 sylancr eqid cc0 cif cmul cmin ad2antrr cfn simplrl simplrr
      vdwpc nnex elmap sylib simprl fveq2 oveq2d oveq12d fveq2d imaeq2d sseq12d
      wf sneqd cbvralvw cbvmptv simprr vdwlem6 ex rexlimdvva sylbid ) AKJUJHUKU
      LUEUMZUFUMZUGUMZUNZUOUPZXOJUQUNZUPZHURZXPHUNZUSZUTZVAZUFVBKVCUPZVDZUFYDXT
      VEZVFVGUNKVHZVIZUGVJYDVKUPZVLUEVJVLKVBUOUPZJUJIUKULJVBUOUPHVMULVSZAFUFHYD
      JKVBMVCUPZUEUGVBMVCVNAVTVOVPJVTVQUNVPZJVOVPVRUAJVTWAWBTSYDWCWLAYHYKUEUGVJ
      YIAXLVJVPZXNYIVPZVIZVIZYHYKYQYHVIZBCDXLEUHVBYJVCUPUHUMZYJVHWDYSXNUNWEMEWF
      UPUOUPVEZFXLMDLEWGUPUOUPVBWGUPWFUPUOUPZUIUHXNGHIYFJKLMALVJVPYPYHNWHAMVJVP
      YPYHOWHAFWIVPYPYHPWHAVBMVTLWFUPWFUPVCUPFIXCYPYHQWHRAKVJVPYPYHSWHAYLFHXCYP
      YHTWHAYMYPYHUAWHADVJVPYPYHUBWHAEVJVPYPYHUCWHADEXQUPGURHUSUTVAYPYHUDWHAYNY
      OYHWJYRYOYDVJXNXCAYNYOYHWKVJYDXNWMVBKVCVNWNWOYRYEXLUIUMZXNUNZUOUPZUUCXQUP
      ZXSUUDHUNZUSZUTZVAZUIYDVDYQYEYGWPYCUUIUFUIYDXMUUBVHZXRUUEYBUUHUUJXPUUDXOU
      UCXQUUJXOUUCXLUOXMUUBXNWQZWRZUUKWSUUJYAUUGXSUUJXTUUFUUJXPUUDHUULWTZXDXAXB
      XEWOUFUIYDXTUUFUUMXFYQYEYGXGUUAWCYTWCXHXIXJXK $.
  $}

  ${
    $d a d i m n x A $.  $d a d i m n x D $.  $d a d i m x F $.  $d i m x ph $.
    $d i m x C $.  $d a d i m n x K $.  $d a d i m x W $.
    vdwlem8.r $e |- ( ph -> R e. Fin ) $.
    vdwlem8.k $e |- ( ph -> K e. ( ZZ>= ` 2 ) ) $.
    vdwlem8.w $e |- ( ph -> W e. NN ) $.
    vdwlem8.f $e |- ( ph -> F : ( 1 ... ( 2 x. W ) ) --> R ) $.
    vdwlem8.c $e |- C e. _V $.
    vdwlem8.a $e |- ( ph -> A e. NN ) $.
    vdwlem8.d $e |- ( ph -> D e. NN ) $.
    vdwlem8.s $e |- ( ph -> ( A ( AP ` K ) D ) C_ ( `' G " { C } ) ) $.
    vdwlem8.g $e |- G = ( x e. ( 1 ... W ) |-> ( F ` ( x + W ) ) ) $.
    $( Lemma for ~ vdw .  (Contributed by Mario Carneiro, 18-Aug-2014.) $)
    vdwlem8 $p |- ( ph -> <. 1 , K >. PolyAP F ) $=
      ( wcel va vi vd vm vn c1 cop cvdwp wbr cv cfv caddc co cvdwa ccnv csn wss
      cima cfz wral cmpt chash wceq wa cn cmap wrex cmin nncnd addcomd subsub4d
      crn oveq2d eqtr4d subcld ppncand eqtrd cn0 nnaddcld cuz cdm cnvimass fvex
      dmmpti sseqtri sstrdi cun ssun2 c2 uz2m1nn syl vdwapid1 syl3anc sselid cc
      eluz2nn ax-1cn npcan sylancl fveq2d nnnn0d vdwapun sseldd 3syl nnnn0addcl
      oveqd elfzuz3 syl2anc wf sylancr cz 1z ax-mp sylibr ovex cmul adantr eqid
      1nn oveq1 vdwapval wfn fniniseg sylib simpld fvoveq1 fvmpt simprd 3eqtr2d
      anbi12d oveq12d sneqd imaeq2d mpteq2dv rneqd eqtrdi cvv sseq12d fveqeq2d
      wb eqtr3d eleqtrrd uznn0sub eqeltrrd wf1o f1of snssd fssd fzsn feq2i nnex
      f1osng elmap cc0 elfznn0 nn0mulcl syl2anr eleqtrdi rspceeqv mpan2 biimpar
      sylan2 fnmpti eluzelz eluzadd mpdan 2timesd nn0cnd add32d 3eltr4d elfzuzb
      sylanbrc jca eleq1 fveqeq2 syl5ibrcom rexlimdva ffn 3imtr4d ssrdv addassd
      nnuz fvsng npcand 3eqtrd 3sstr4d ralrimivw cxp fconstmpt eqtr4di c0 elfz3
      wne ne0i mp2b rnxp hashsng oveq1d ralbidv fveq1 elfz1eq sylan9eq ralbidva
      mpteq2dva rspc2ev syl112anc a1i vdwpc mpbird ) AUFIUGGUHUIUAUJZUBUJZUCUJZ
      UKZULUMZUXMIUNUKZUMZGUOZUXNGUKZUPZURZUQZUBUFUFUSUMZUTZUBUYBUXRVAZVLZVBUKU
      FVCZVDZUCVEUYBVFUMZVGUAVEVGZACJEVHUMZULUMZVETUFEUGUPZUYHTZUYKUFUYLUKZULUM
      ZUYNUXOUMZUXQUYOGUKZUPZURZUQZUBUYBUTZUBUYBUYQVAZVLZVBUKZUFVCZUYIACCULUMZJ
      CEULUMZVHUMZULUMZUYKVEAVUIVUFUYJCVHUMZULUMUYKAVUHVUJVUFULAVUHJECULUMZVHUM
      VUJAVUGVUKJVHACEACPVIZAEQVIZVJVMAJECAJMVIZVUMVULVKVNVMACCUYJVULVULAJEVUNV
      UMVOZVPVQAVUFVETVUHVRTZVUIVETACCPPVSAVUGUFJUSUMZTJVUGVTUKTVUPACEUXOUMZVUQ
      VUGAVURHUODUPZURZVUQRVUTHWAVUQHVUSWBBVUQBUJZJULUMZGUKZHVVBGWCZSWDWEWFAVUG
      CUPZVUGEIUFVHUMZUNUKUMZWGZVURAVVGVVHVUGVVGVVEWHAVVFVETZVUGVETEVETZVUGVVGT
      AIWIVTUKTZVVILIWJWKZACEPQVSQVUGEVVFWLWMWNACEVVFUFULUMZUNUKZUMZVURVVHAVVNU
      XOCEAVVMIUNAIWOTUFWOTVVMIVCAIAVVKIVETZLIWPWKZVIWQIUFWRWSWTXFAVVFVRTCVETZV
      VJVVOVVHVCAVVFVVLXAPQCEVVFXBWMUUAUUBXCVUGUFJXGVUGJUUCXDVUFVUHXEXHUUDAUYBV
      EUYLXIZUYMAUFUPZVEUYLXIVVSAVVTEUPZVEUYLAVVTVWAUYLUUEZVVTVWAUYLXIAUFVETZVV
      JVWBXSQUFEVEVEUULXJVVTVWAUYLUUFWKAEVEQUUGUUHUYBVVTVEUYLUFXKTZUYBVVTVCXLUF
      UUIXMUUJXNVEUYBUYLUUKUFUFUSXOUUMXNAUYTUBUYBACJULUMZEUXOUMZUXQVUSURZUYPUYS
      ABVWFVWGAVVAVWEUDUJZEXPUMZULUMZVCZUDUUNVVFUSUMZVGZVVAUFWIJXPUMZUSUMZTZVVA
      GUKDVCZVDZVVAVWFTZVVAVWGTZAVWKVWRUDVWLAVWHVWLTZVDZVWRVWKVWJVWOTZVWJGUKZDV
      CZVDVXBVXCVXEVXBVWJUFVTUKZTVWNVWJVTUKZTVXCVXBVWJVEVXFVXBVWEVETZVWIVRTZVWJ
      VETAVXHVXAACJPMVSZXQVXAVWHVRTEVRTVXIAVWHVVFUUOAEQXAVWHEUUPUUQZVWEVWIXEXHU
      WBUURVXBJJULUMZCVWIULUMZJULUMZVTUKZVWNVXGVXBVXMVUQTZJVXMVTUKTZVXLVXOTZVXB
      VXPVXMHUKZDVCZVXBVXMVUTTZVXPVXTVDZVXBVURVUTVXMAVURVUTUQVXARXQVXAAVXMCUEUJ
      ZEXPUMZULUMZVCUEVWLVGZVXMVURTZVXAVXMVXMVCVYFVXMXRUEVWHVWLVYEVXMVXMVYCVWHV
      CVYDVWICULVYCVWHEXPXTVMUUSUUTAVYGVYFAIVRTZVVRVVJVYGVYFYTAIVVQXAZPQCEUEIVX
      MYAWMUVAUVBXCHVUQYBZVYAVYBYTBVUQVVCHVVDSUVCZVUQDVXMHYCXMYDZYEZVXMUFJXGVXQ
      JXKTVXRVXMJUVDJVXMJUVEUVFXDAVWNVXLVCVXAAJVUNUVGXQVXBVWJVXNVTVXBCJVWIACWOT
      VXAVULXQAJWOTVXAVUNXQVXBVWIVXKUVHUVIZWTUVJVWJUFVWNUVKUVLVXBVXDVXNGUKZVXSD
      VXBVWJVXNGVYNWTVXBVXPVXSVYOVCVYMBVXMVVCVYOVUQHVVAVXMJGULYFSVXNGWCYGWKVXBV
      XPVXTVYLYHYIUVMVWKVWPVXCVWQVXEVVAVWJVWOUVNVVAVWJDGUVOYJUVPUVQAVYHVXHVVJVW
      SVWMYTVYIVXJQVWEEUDIVVAYAWMAVWOFGXIGVWOYBVWTVWRYTNVWOFGUVRVWODVVAGYCXDUVS
      UVTAUYOVWEUYNEUXOAUYOUYKEULUMCUYJEULUMZULUMVWEAUYNEUYKULAVWCVVJUYNEVCXSQU
      FEVEVEUWCXJZVMACUYJEVULVUOVUMUWAAVYPJCULAJEVUNVUMUWDVMUWEZVYQYKAUYRVUSUXQ
      AUYQDAUYQVWEGUKZCHUKZDAUYOVWEGVYRWTACVUQTZVYTVYSVCAWUAVYTDVCZACVUTTZWUAWU
      BVDZAVURVUTCRAVVPVVRVVJCVURTVVQPQCEIWLWMXCVYJWUCWUDYTVYKVUQDCHYCXMYDZYEBC
      VVCVYSVUQHVVACJGULYFSVWEGWCYGWKAWUAWUBWUEYHYIZYLYMUWFUWGAVUDVUSVBUKZUFAVU
      CVUSVBAVUCUYBVUSUWHZVLZVUSAVUBWUHAVUBUBUYBDVAWUHAUBUYBUYQDWUFYNUBUYBDUWIU
      WJYOUYBUWKUWMZWUIVUSVCVWDUFUYBTWUJXLUFUWLUYBUFUWNUWOUYBVUSUWPXMYPWTDYQTWU
      GUFVCODYQUWQXMYPUYGVUAVUEVDUYKUXMULUMZUXMUXOUMZUXQWUKGUKZUPZURZUQZUBUYBUT
      ZUBUYBWUMVAZVLZVBUKUFVCZVDUAUCUYKUYLVEUYHUXJUYKVCZUYCWUQUYFWUTWVAUYAWUPUB
      UYBWVAUXPWULUXTWUOWVAUXNWUKUXMUXOUXJUYKUXMULXTUWRWVAUXSWUNUXQWVAUXRWUMUXJ
      UYKUXMGULYFZYLYMYRUWSWVAUYEWUSUFVBWVAUYDWURWVAUBUYBUXRWUMWVBYNYOYSYJUXLUY
      LVCZWUQVUAWUTVUEWVCWUPUYTUBUYBWVCUXKUYBTZVDZWULUYPWUOUYSWVEWUKUYOUXMUYNUX
      OWVEUXMUYNUYKULWVCWVDUXMUXKUYLUKUYNUXKUXLUYLUWTWVDUXKUFUYLUXKUFUXAWTUXBZV
      MZWVFYKWVEWUNUYRUXQWVEWUMUYQWVEWUKUYOGWVGWTZYLYMYRUXCWVCWUSVUCUFVBWVCWURV
      UBWVCUBUYBWUMUYQWVHUXDYOYSYJUXEUXFAFUBGUYBIUFVWOUAUCUFVWNUSXOVYINVWCAXSUX
      GUYBXRUXHUXI $.
  $}

  ${
    $d a c d g h i k m n u v w x y z ph $.  $d f x y z V $.  $d f x y z W $.
    $d a c d f g w x y z F $.  $d a c d f g h i k m n r s u v w x y z K $.
    $d a d f g n x y M $.  $d a c d f g h i k m n r s u v w x y z R $.
    $d a d g x y z H $.
    vdw.r $e |- ( ph -> R e. Fin ) $.
    ${
      vdwlem9.k $e |- ( ph -> K e. ( ZZ>= ` 2 ) ) $.
      vdwlem9.s $e |- ( ph -> A. s e. Fin E. n e. NN
        A. f e. ( s ^m ( 1 ... n ) ) K MonoAP f ) $.
      ${
        vdwlem9.m $e |- ( ph -> M e. NN ) $.
        vdwlem9.w $e |- ( ph -> W e. NN ) $.
        vdwlem9.g $e |- ( ph -> A. g e. ( R ^m ( 1 ... W ) )
          ( <. M , K >. PolyAP g \/ ( K + 1 ) MonoAP g ) ) $.
        vdwlem9.v $e |- ( ph -> V e. NN ) $.
        vdwlem9.a $e |- ( ph -> A. f e. ( ( R ^m ( 1 ... W ) ) ^m ( 1 ... V ) )
          K MonoAP f ) $.
        vdwlem9.h $e |- ( ph -> H : ( 1 ... ( W x. ( 2 x. V ) ) ) --> R ) $.
        vdwlem9.f $e |- F = ( x e. ( 1 ... V ) |-> ( y e. ( 1 ... W ) |->
          ( H ` ( y + ( W x. ( ( x - 1 ) + V ) ) ) ) ) ) $.
        $( Lemma for ~ vdw .  (Contributed by Mario Carneiro, 12-Sep-2014.) $)
        vdwlem9 $p |- ( ph ->
          ( <. ( M + 1 ) , K >. PolyAP H \/ ( K + 1 ) MonoAP H ) ) $=
          ( va vd vz cvdwm wbr c1 caddc co cop cvdwp wo cv cfz breq2 wf vdwlem4
          cmap wcel ovex elmap sylibr rspcdva cfv ccnv csn cima wss cn wrex wex
          cvdwa c2 cuz eluz2nn syl nnnn0d vdwmc wral adantr wceq simprr simprll
          wa simprlr vdwapid1 syl3anc sseldd wfn wb ffnd fniniseg simprd simpld
          ffvelrnd eqeltrrd rsp sylc cfn cmul cvv elmapg sylancl vdwlem7 wi olc
          mpbid a1i jaod cmin cmpt weq oveq1 oveq1d oveq2d mpteq2dv mptex fvmpt
          fveq2d eqtr3d breq2d peano2nn0 nnm1nn0 nn0nnaddcl syl2anc nnmulcld cz
          cn0 cle nnaddcld nnzd sylancr nnred nncnd cr cc mpd leadd1dd breqtrrd
          2nn nnmulcl elfzle2 2timesd cc0 clt nngt0d lemul2 syl112anc syl3anbrc
          eluz2 1cnd nn0cnd addcld adddid addassd ax-1cn pncan3 mulid1d 3eqtr3d
          eleqtrd fvoveq1 cbvmptv vdwlem2 sylbird orim2d syld rexlimdvva sylbid
          expr exlimdv ) AJHUHUIZKUJUKULJUMIUNUIZJUJUKULZIUHUIZUOZAJEUPZUHUIUVN
          EDUJMUQULZVAULZUJLUQULZVAULZHUVSHJUHURUBAUWBUWAHUSZHUWCVBABCDHILMUASO
          UCUDUTZUWAUWBHDUVTVAVCUJLUQVCZVDVEVFAUVNUEUPZUFUPZJVOVGULZHVHFUPZVIVJ
          ZVKZUFVLVMUEVLVMZFVNUVRAUWAHJUWBUEFUFUWFAJAJVPVQVGVBZJVLVBZPJVRVSZVTZ
          UWEWAAUWMUVRFAUWLUVRUEUFVLVLAUWGVLVBZUWHVLVBZWGZUWLUVRAUWTUWLWGZWGZKJ
          UMUWJUNUIZUVPUWJUHUIZUOZUVRUXBUXEFUWAWBZUWJUWAVBZUXEAUXFUXATWCUXBUWGH
          VGZUWJUWAUXBUWGUWBVBZUXHUWJWDZUXBUWGUWKVBZUXIUXJWGZUXBUWIUWKUWGAUWTUW
          LWEZUXBUWOUWRUWSUWGUWIVBAUWOUXAUWPWCAUWRUWSUWLWFZAUWRUWSUWLWHZUWGUWHJ
          WIWJWKUXBHUWBWLZUXKUXLWMAUXPUXAAUWBUWAHUWEWNWCUWBUWJUWGHWOVSXJZWPZUXB
          UWBUWAUWGHAUWDUXAUWEWCUXBUXIUXJUXQWQZWRWSZUXEFUWAWTXAUXBUXEUVOUXDUOZU
          VRUXBUXCUYAUXDUXBBCUWGUWHDHUWJIJKLMALVLVBZUXAUAWCZAMVLVBUXASWCZADXBVB
          ZUXAOWCZAUJMVPLXCULZXCULZUQULDIUSUXAUCWCZUDAKVLVBUXARWCUXBUXGUVTDUWJU
          SZUXTUXBUYEUVTXDVBUXGUYJWMUYFUJMUQVCZDUVTUWJXBXDXEXFXJAUWNUXAPWCUXNUX
          OUXMXGUXDUYAXHUXBUXDUVOXIXKXLUXBUXDUVQUVOUXBUXDUVPCUVTCUPZMUWGUJXMULZ
          LUKULZXCULZUKULZIVGZXNZUHUIUVQUXBUYRUWJUVPUHUXBUXHUYRUWJUXBUXIUXHUYRW
          DUXSBUWGCUVTUYLMBUPZUJXMULZLUKULZXCULZUKULZIVGZXNUYRUWBHBUEXOZCUVTVUD
          UYQVUEVUCUYPIVUEVUBUYOUYLUKVUEVUAUYNMXCVUEUYTUYMLUKUYSUWGUJXMXPXQXRXR
          YBXSUDCUVTUYQUYKXTYAVSUXRYCYDUXBUGDIUYRUVPUYHUYOMUYFUXBJYKVBZUVPYKVBA
          VUFUXAUWQWCJYEVSUYDUXBMUYNUYDUXBUYMYKVBZUYBUYNVLVBUXBUWRVUGUXNUWGYFVS
          ZUYCUYMLYGYHYIUYIUXBUYHMUWGLUKULZXCULZVQVGZMUYOUKULZVQVGUXBVUJYJVBUYH
          YJVBZVUJUYHYLUIZUYHVUKVBUXBVUJUXBMVUIUYDUXBUWGLUXNUYCYMZYIYNAVUMUXAAU
          YHAMUYGSAVPVLVBUYBUYGVLVBUUCUAVPLUUDYOZYIYNWCUXBVUIUYGYLUIZVUNUXBVUIL
          LUKULUYGYLUXBUWGLLUXBUWGUXNYPUXBLUYCYPZVURUXBUXIUWGLYLUIUXSUWGUJLUUEV
          SUUAUXBLUXBLUYCYQZUUFUUBUXBVUIYRVBUYGYRVBZMYRVBUUGMUUHUIVUQVUNWMUXBVU
          IVUOYPAVUTUXAAUYGVUPYPWCUXBMUYDYPUXBMUYDUUIVUIUYGMUUJUUKXJVUJUYHUUMUU
          LUXBVUJVULVQUXBMUJUYNUKULZXCULMUJXCULZUYOUKULVUJVULUXBMUJUYNUXBMUYDYQ
          ZUXBUUNZUXBUYMLUXBUYMVUHUUOZVUSUUPUUQUXBVVAVUIMXCUXBUJUYMUKULZLUKULVV
          AVUIUXBUJUYMLVVDVVEVUSUURUXBVVFUWGLUKUXBUJYSVBUWGYSVBVVFUWGWDUUSUXBUW
          GUXNYQUJUWGUUTYOXQYCXRUXBVVBMUYOUKUXBMVVCUVAXQUVBYBUVCCUGUVTUYQUGUPZU
          YOUKULIVGUYLVVGUYOIUKUVDUVEUVFUVGUVHUVIYTUVLUVJUVMUVKYT $.
      $}

      $d f ph $.
      ${
        vdwlem10.m $e |- ( ph -> M e. NN ) $.
        $( Lemma for ~ vdw .  Set up secondary induction on ` M ` .
           (Contributed by Mario Carneiro, 18-Aug-2014.) $)
        vdwlem10 $p |- ( ph -> E. n e. NN A. f e. ( R ^m ( 1 ... n ) )
          ( <. M , K >. PolyAP f \/ ( K + 1 ) MonoAP f ) ) $=
          ( cn wcel cv cvdwp wbr c1 caddc co wral vx vm vw vg vy va vd vc vv vh
          vz vu vk cop cvdwm wo cfz cmap wrex wi opeq1 breq1d orbi1d rexralbidv
          wceq imbi2d weq cfn oveq1 raleqdv rexbidv oveq2 oveq2d cbvrexvw sylib
          rspcdva wa breq2 cbvralvw c2 cmul 2nn simpr nnmulcl sylancr wf cvv wb
          adantr ovex elmapg sylancl biimpa cfv cmpt simplr elfznn adantl nnred
          cle simpllr elfzle2 leadd1dd nncnd 2timesd breqtrrd cuz nnaddcld nnuz
          cz eleqtrdi ad2antrr nnzd elfz5 syl2anc mpbird ffvelrnd fvoveq1 fmptd
          cbvmptv biimpar syldan rspcv syl cvdwa ccnv csn cima wss wex cn0 2nn0
          eluznn0 vdwmc simprll rspcev syl5bi orbi12d syl5bb cmin vex orcd expr
          simprlr simprr vdwlem8 exlimdv sylbid syld ralrimdva syl6an rexlimdva
          rexlimdvva mpd fzfi simprrl mpan sylan2 simp1l simp1r simp2ll simp2lr
          mapfi w3a simp2rl simp2rr simp3 oveq1d fveq2d mpteq2dv eqtrid vdwlem9
          mpbid 3expia ralrimiv bitrdi anassrs rexlimddv rexlimdvaa nnind mpcom
          expcom a2d ) FLMAFEUNZCNZOPZEQRSZUWEUOPZUPZCBQDNZUQSZURSZTDLUSZKAUANZ
          EUNZUWEOPZUWHUPZCUWLTDLUSZUTAQEUNZUWEOPZUWHUPZCUWLTZDLUSZUTAUBNZEUNZU
          WEOPZUWHUPZCUWLTZDLUSZUTAUXDQRSZEUNZUWEOPZUWHUPZCUWLTZDLUSZUTAUWMUTUA
          UBFUWNQVEZUWRUXCAUXPUWQUXADCLUWLUXPUWPUWTUWHUXPUWOUWSUWEOUWNQEVAVBVCV
          DVFUAUBVGZUWRUXIAUXQUWQUXGDCLUWLUXQUWPUXFUWHUXQUWOUXEUWEOUWNUXDEVAVBV
          CVDVFUWNUXJVEZUWRUXOAUXRUWQUXMDCLUWLUXRUWPUXLUWHUXRUWOUXKUWEOUWNUXJEV
          AVBVCVDVFUWNFVEZUWRUWMAUXSUWQUWIDCLUWLUXSUWPUWFUWHUXSUWOUWDUWEOUWNFEV
          AVBVCVDVFAEUWEUOPZCBQUCNZUQSZURSZTZUCLUSZUXCAUXTCUWLTZDLUSZUYEAUXTCGN
          ZUWKURSZTZDLUSZUYGGVHBUYHBVEZUYJUYFDLUYLUXTCUYIUWLUYHBUWKURVIVJVKJHVP
          UYFUYDDUCLDUCVGZUXTCUWLUYCUYMUWKUYBBURUWJUYAQUQVLVMZVJVNVOAUYDUXCUCLU
          YDEUDNZUOPZUDUYCTZAUYALMZVQZUXCUXTUYPCUDUYCUWEUYOEUOVRVSUYSVTUYAWASZL
          MZUYQUXACBQUYTUQSZURSZTZUXCUYSVTLMZUYRVUAWBAUYRWCVTUYAWDWEZUYSUYQUXAC
          VUCUYSUWEVUCMZVUBBUWEWFZUYQUXAUTUYSVUGVUHUYSBVHMZVUBWGMVUGVUHWHAVUIUY
          RHWIZQUYTUQWJBVUBUWEVHWGWKWLWMUYSVUHVQZUYQEUAUYBUWNUYARSUWEWNZWOZUOPZ
          UXAVUKVUMUYCMZUYQVUNUTUYSVUHUYBBVUMWFZVUOVUKUEUYBUENZUYARSZUWEWNZBVUM
          VUKVUQUYBMZVQZVUBBVURUWEUYSVUHVUTWPVVAVURVUBMZVURUYTWTPZVVAVURUYAUYAR
          SUYTWTVVAVUQUYAUYAVVAVUQVUTVUQLMVUKVUQUYAWQWRZWSVVAUYAAUYRVUHVUTXAZWS
          ZVVFVUTVUQUYAWTPVUKVUQQUYAXBWRXCVVAUYAVVAUYAVVEXDXEXFVVAVURQXGWNZMUYT
          XJMVVBVVCWHVVAVURLVVGVVAVUQUYAVVDVVEXHXIXKVVAUYTUYSVUAVUHVUTVUFXLXMVU
          RQUYTXNXOXPXQUAUEUYBVULVUSUWNVUQUYAUWERXRXTZXSZUYSVUOVUPUYSVUIUYBWGMV
          UOVUPWHVUJQUYAUQWJZBUYBVUMVHWGWKWLYAYBUYPVUNUDVUMUYCUYOVUMEUOVRYCYDVU
          KVUNUFNZUGNZEYEWNSVUMYFUHNZYGYHYIZUGLUSUFLUSZUHYJUXAVUKBVUMEUYBUFUHUG
          VVJVUKVTYKMEVTXGWNMZEYKMYLAVVPUYRVUHIXLZEVTYMWEVVIYNVUKVVOUXAUHVUKVVN
          UXAUFUGLLVUKVVKLMZVVLLMZVQZVVNUXAVUKVVTVVNVQZVQZUWTUWHVWBUEVVKVVMVVLB
          UWEVUMEUYAUYSVUIVUHVWAVUJXLVUKVVPVWAVVQWIAUYRVUHVWAXAUYSVUHVWAWPUHUUA
          VUKVVRVVSVVNYOVUKVVRVVSVVNUUDVUKVVTVVNUUEVVHUUFUUBUUCUUMUUGUUHUUIYBUU
          JUXBVUDDUYTLUWJUYTVEZUXACUWLVUCVWCUWKVUBBURUWJUYTQUQVLVMVJYPUUKYQUULU
          UNUXDLMZAUXIUXOAVWDUXIUXOUTUXIUXEUYOOPZUWGUYOUOPZUPZUDUYCTZUCLUSAVWDV
          QZUXOUXHVWHDUCLUXHVWGUDUWLTUYMVWHUXGVWGCUDUWLCUDVGUXFVWEUWHVWFUWEUYOU
          XEOVRUWEUYOUWGUOVRYRVSUYMVWGUDUWLUYCUYNVJYSVNVWIVWHUXOUCLVWIUYRVWHVQZ
          VQZUXTCUYCQUINZUQSZURSZTZUXOUILVWKUYKVWOUILUSZGVHUYCUYKUXTCUYHVWMURSZ
          TZUILUSUYHUYCVEZVWPUYJVWRDUILDUIVGZUXTCUYIVWQVWTUWKVWMUYHURUWJVWLQUQV
          LVMVJVNVWSVWRVWOUILVWSUXTCVWQVWNUYHUYCVWMURVIVJVKYSAUYKGVHTZVWDVWJJXL
          VWKVUIUYBVHMUYCVHMAVUIVWDVWJHXLQUYAUUOBUYBUVCWLVPVWIVWJVWLLMZVWOVQZUX
          OVWIVWJVXCVQZVQZUYAVTVWLWASZWASZLMZUXKUJNZOPZUWGVXIUOPZUPZUJBQVXGUQSZ
          URSZTZUXOVXEUYRVXBVXHVWIUYRVWHVXCYOVWIVWJVXBVWOUUPVXBUYRVXFLMZVXHVUEV
          XBVXPWBVTVWLWDUUQUYAVXFWDUURXOVXEVXLUJVXNVWIVXDVXIVXNMZVXLVWIVXDVXQUV
          DZUKULBCUMDUAVWMUEUYBVUQUYAUWNQYTSZVWLRSZWASZRSVXIWNZWOZWOVXIEUXDVWLU
          YAGVXRAVUIAVWDVXDVXQUUSZHYDZVXRAVVPVYDIYDVXRAVXAVYDJYDAVWDVXDVXQUUTUY
          RVWHVXCVWIVXQUVAVXRVWHUXEUMNZOPZUWGVYFUOPZUPZUMUYCTUYRVWHVXCVWIVXQUVB
          VWGVYIUDUMUYCUDUMVGVWEVYGVWFVYHUYOVYFUXEOVRUYOVYFUWGUOVRYRVSVOVXBVWOV
          WJVWIVXQUVEVXBVWOVWJVWIVXQUVFVXRVXQVXMBVXIWFZVWIVXDVXQUVGVXRVUIVXMWGM
          VXQVYJWHVYEQVXGUQWJBVXMVXIVHWGWKWLUVMUAUKVWMVYCULUYBULNZUYAUKNZQYTSZV
          WLRSZWASZRSZVXIWNZWOZUAUKVGZVYCULUYBVYKVYARSZVXIWNZWOVYRUEULUYBVYBWUA
          VUQVYKVYAVXIRXRXTVYSULUYBWUAVYQVYSVYTVYPVXIVYSVYAVYOVYKRVYSVXTVYNUYAW
          AVYSVXSVYMVWLRUWNVYLQYTVIUVHVMVMUVIUVJUVKXTUVLUVNUVOUXNVXODVXGLUWJVXG
          VEZUXNUXMCVXNTVXOWUBUXMCUWLVXNWUBUWKVXMBURUWJVXGQUQVLVMVJUXMVXLCUJVXN
          CUJVGUXLVXJUWHVXKUWEVXIUXKOVRUWEVXIUWGUOVRYRVSUVPYPXOUVQUVRUVSYQUWBUW
          CUVTUWA $.
      $}

      $( Lemma for ~ vdw .  (Contributed by Mario Carneiro, 18-Aug-2014.) $)
      vdwlem11 $p |- ( ph -> E. n e. NN
        A. f e. ( R ^m ( 1 ... n ) ) ( K + 1 ) MonoAP f ) $=
        ( vi c1 co cv wbr cn cfv wcel cfn syl wa va vd caddc cfz cmap wral wrex
        cvdwm chash cop cvdwp wo cn0 hashcl nn0p1nn vdwlem10 wf cvv adantr ovex
        wb elmapg sylancl biimpa wn nn0red ltp1d cr peano2re ltnled mpbid cvdwa
        cle clt ccnv csn cima wss cmpt crn wceq cuz eluz2nn nnnn0d simprr vdwpc
        c2 eqid cdom ad3antrrr ad2antrr cdm cnvimass sstrdi fssdmd simplrl nnex
        simpr elmap sylib ffvelrnda nnaddcld vdwapid1 syl3anc sseldd ex ffvelrn
        syl6an ralimdva imp fmpt frnd ssdomg ssfid hashdom syl2anc mpbird breq1
        sylc syl5ibcom expimpd rexlimdvva sylbid mtod anassrs ralbidva rexbidva
        biorf syldan ) AEKUCLCMZUHNZCBKDMZUDLZUELZUFZDOUGBUIPZKUCLZEUJYJUKNZYKU
        LZCYNUFZDOUGABCDEYQFGHIAYPUMQZYQOQZABRQZUUAGBUNSZYPUOSZUPAYOYTDOAYLOQZT
        ZYKYSCYNUUGYJYNQZYMBYJUQZYKYSVAZUUGUUHUUIUUGUUCYMURQUUHUUIVAAUUCUUFGUSK
        YLUDUTZBYMYJRURVBVCVDAUUFUUIUUJAUUFUUITZTZYRVEUUJUUMYRYQYPVMNZAUUNVEZUU
        LAYPYQVNNUUOAYPAYPUUDVFZVGAYPYQUUPAYPVHQYQVHQUUPYPVISVJVKUSUUMYRUAMZJMZ
        UBMZPZUCLZUUTEVLPLZYJVOUVAYJPZVPZVQZVRZJKYQUDLZUFZJUVGUVCVSZVTZUIPZYQWA
        ZTZUBOUVGUELZUGUAOUGUUNUUMBJYJUVGEYQYMUAUBUUKUUMEAEOQZUULAEWGWBPQUVOHEW
        CSZUSWDAUUFUUIWEZAUUBUULUUEUSUVGWHWFUUMUVMUUNUAUBOUVNUUMUUQOQZUUSUVNQZT
        ZTZUVHUVLUUNUWAUVHTZUVKYPVMNZUVLUUNUWBUWCUVJBWINZUWBUUCUVJBVRUWDAUUCUUL
        UVTUVHGWJZUWBUVGBUVIUWBUVCBQZJUVGUFZUVGBUVIUQUWAUVHUWGUWAUVFUWFJUVGUWAU
        URUVGQZTZUUIUVFUVAYMQZUWFUUMUUIUVTUWHUVQWKUWIUVFUWJUWIUVFTZUVBYMUVAUWKY
        MBUVBYJUUMUUIUVTUWHUVFUVQWJUWKUVBUVEYJWLUWIUVFWRYJUVDWMWNWOUWIUVAUVBQZU
        VFUWIUVOUVAOQUUTOQUWLAUVOUULUVTUWHUVPWJUWIUUQUUTUUMUVRUVSUWHWPUWAUVGOUU
        RUUSUWAUVSUVGOUUSUQUUMUVRUVSWEOUVGUUSWQKYQUDUTWSWTXAZXBUWMUVAUUTEXCXDUS
        XEXFYMBUVAYJXGXHXIXJJUVGBUVCUVIUVIWHXKWTXLZUVJBRXMXSUWBUVJRQUUCUWCUWDVA
        UWBBUVJUWEUWNXNUWEUVJBRXOXPXQUVKYQYPVMXRXTYAYBYCYDYRYKYHSYEYIYFYGXQ $.
    $}

    ${
      vdwlem12.f $e |- ( ph -> F : ( 1 ... ( ( # ` R ) + 1 ) ) --> R ) $.
      vdwlem12.2 $e |- ( ph -> -. 2 MonoAP F ) $.
      $( Lemma for ~ vdw . ` K = 2 ` base case of induction.  (Contributed by
         Mario Carneiro, 18-Aug-2014.) $)
      vdwlem12 $p |- -. ph $=
        ( vx vy va vd c1 cfv co wcel syl wceq cn cv weq wa vz vw vc chash caddc
        cfz wbr clt cfn cn0 hashcl nn0red ltp1d nn0p1nn nnnn0d hashfz1 breqtrrd
        csdm wb fzfi hashsdom sylancl mpbid cdom wn wf1 wf wral fveq2 eqeqan12d
        wi eqeq12 imbi12d eqcom bitrdi wss elfznn nnred ssriv a1i biidd cle w3a
        cr simplr3 c2 cvdwm ad2antrr 3simpa ccnv csn cima wrex wex cmin simplrl
        cvdwa simprr simplrr nnsub syl2anc cun df-2 fveq2i 1nn0 vdwapun mp3an2i
        oveqi eqtrid simprl ffnd fniniseg mpbir2and snssd pncan3d oveq1d vdwap1
        nncnd eqtrd eqidd eqsstrd unssd oveq1 sseq1d oveq2 rspc2ev syl3anc fvex
        sneq imaeq2d sseq2d 2rexbidv spcev ovex 2nn0 vdwmc mpbird sylanl2 expr
        wfn simplr1 simplr2 sselid eqleltd ex wlogle ralrimivva sylanbrc f1domg
        mtod dff13 sylc domnsym pm2.65i ) ABKBUDLZKUEMZUFMZURUGZAUUOUUQUDLZUHUG
        ZUURAUUOUUPUUSUHAUUOAUUOABUINZUUOUJNZDBUKOZULUMAUUPUJNUUSUUPPAUUPAUVBUU
        PQNUVCUUOUNOUOUUPUPOUQAUVAUUQUINUUTUURUSDKUUPUTBUUQVAVBVCAUUQBVDUGZUURV
        EAUVAUUQBCVFZUVDDAUUQBCVGZGRZCLZHRZCLZPZGHSZVKZHUUQVHGUUQVHUVEEAUVMGHUU
        QUUQAUARZCLZUBRZCLZPZUAUBSZVKUVMUVMGHUAUBUUQUAGSZUBHSZTUVRUVKUVSUVLUVTU
        WAUVOUVHUVQUVJUVNUVGCVIUVPUVICVIVJUVNUVGUVPUVIVLVMUAHSZUBGSZTZUVRUVKUVS
        UVLUWDUVRUVJUVHPUVKUWBUWCUVOUVJUVQUVHUVNUVICVIUVPUVGCVIVJUVJUVHVNVOUWDU
        VSHGSUVLUVNUVIUVPUVGVLUVIUVGVNVOVMUUQWDVPAGUUQWDUVGUUQNZUVGUVGUUPVQZVRZ
        VSZVTAUWEUVIUUQNZTZTZUVMWAAUWEUWIUVGUVIWBUGZWCZTZUVKUVLUWNUVKTZUVLUWLUV
        GUVIUHUGZVEUWEUWIUWLAUVKWEUWOUWPWFCWGUGZAUWQVEUWMUVKFWHUWNUVKUWPUWQUWMA
        UWJUVKUWPTZUWQUWEUWIUWLWIUWKUWRTZUWQIRZJRZWFWQLZMZCWJZUCRZWKZWLZVPZJQWM
        IQWMZUCWNZUWSUXCUXDUVJWKZWLZVPZJQWMIQWMZUXJUWSUVGQNZUVIUVGWOMZQNZUVGUXP
        UXBMZUXLVPZUXNUWSUWEUXOAUWEUWIUWRWPZUWFOZUWSUWPUXQUWKUVKUWPWRUWSUXOUVIQ
        NZUWPUXQUSUYAUWSUWIUYBAUWEUWIUWRWSZUVIUUPVQOZUVGUVIWTXAVCZUWSUXRUVGWKZU
        VGUXPUEMZUXPKWQLZMZXBZUXLUWSUXRUVGUXPKKUEMZWQLZMZUYJUXBUYLUVGUXPWFUYKWQ
        XCXDXHKUJNUWSUXOUXQUYMUYJPXEUYAUYEUVGUXPKXFXGXIUWSUYFUYIUXLUWSUVGUXLUWS
        UVGUXLNZUWEUVKUXTUWKUVKUWPXJUWSCUUQYTZUYNUWEUVKTUSUWSUUQBCAUVFUWJUWREWH
        ZXKZUUQUVJUVGCXLOXMXNUWSUYIUVIWKZUXLUWSUYIUVIUXPUYHMZUYRUWSUYGUVIUXPUYH
        UWSUVGUVIUWSUVGUYAXRUWSUVIUYDXRXOXPUWSUYBUXQUYSUYRPUYDUYEUVIUXPXQXAXSUW
        SUVIUXLUWSUVIUXLNZUWIUVJUVJPZUYCUWSUVJXTUWSUYOUYTUWIVUATUSUYQUUQUVJUVIC
        XLOXMXNYAYBYAUXMUXSUVGUXAUXBMZUXLVPIJUVGUXPQQIGSUXCVUBUXLUWTUVGUXAUXBYC
        YDUXAUXPPVUBUXRUXLUXAUXPUVGUXBYEYDYFYGUXIUXNUCUVJUVICYHUXEUVJPZUXHUXMIJ
        QQVUCUXGUXLUXCVUCUXFUXKUXDUXEUVJYIYJYKYLYMOUWSBCWFUUQIUCJKUUPUFYNWFUJNU
        WSYOVTUYPYPYQYRYSUUJUWOUVGUVIUWOUWEUVGWDNUWEUWIUWLAUVKUUAUWGOUWOUUQWDUV
        IUWHUWEUWIUWLAUVKUUBUUCUUDXMUUEUUFUUGGHUUQBCUUKUUHUUQBUICUUIUULUUQBUUMO
        UUN $.
    $}

    $d f ph $.
    vdw.k $e |- ( ph -> K e. NN0 ) $.
    $( Lemma for ~ vdw .  Main induction on ` K ` ; ` K = 0 ` , ` K = 1 ` base
       cases.  (Contributed by Mario Carneiro, 18-Aug-2014.) $)
    vdwlem13 $p |- ( ph -> E. n e. NN
      A. f e. ( R ^m ( 1 ... n ) ) K MonoAP f ) $=
      ( vr cn wcel cv cvdwm c1 cfz co cmap wral wrex wceq cfn va vd vc vx vk vg
      vs vm wbr cc0 c2 cuz cfv wo elnn1uz2 cvdwa ccnv csn cima wss wf wb elmapg
      cvv ovex sylancl biimpa wa 1nn vdwap1 mp2an cz 1z elfz3 mp1i eqidd adantl
      wfn fniniseg mpbir2and snssd eqsstrid syldan ralrimiva fveq2 oveqd sseq1d
      ffn syl ralbidv syl5ibrcom wex oveq1 oveq2 rspc2ev mp3an12 imaeq2d sseq2d
      fvex sneq 2rexbidv spcev cn0 adantr vdwmc syl5ibr ralimdva oveq2d raleqdv
      rspcev mpan syl6 syld caddc breq1 rexralbidv weq hashcl nn0p1nn wi simpll
      chash wn simplr vex elmap sylib simpr vdwlem12 iman mpbir syl2anc rexbidv
      rgen breq2 cbvralvw bitrdi cbvrexvw syl5bi c0 ralbii ex ralrimdva uzind4i
      sylibr vdwlem11 rspcv syl2im jaod vdwap0 eqtrdi eqsstrdi ralrimivw mpjaod
      0ss syl5 elnn0 ) AEIJZECKZLUIZCBMDKZNOZPOZQZDIRZEUJSZUUREMSZEUKULUMZJZUNA
      UVEEUOAUVGUVEUVIAUVGMMEUPUMZOZUUSUQZMUUSUMZURZUSZUTZCBMMNOZPOZQZUVEAUVSUV
      GMMMUPUMZOZUVOUTZCUVRQAUWBCUVRAUUSUVRJZUVQBUUSVAZUWBAUWCUWDABTJZUVQVDJUWC
      UWDVBFMMNVEZBUVQUUSTVDVCVFVGZAUWDVHZUWAMURZUVOMIJZUWJUWAUWISVIVIMMVJVKUWH
      MUVOUWHMUVOJZMUVQJZUVMUVMSZMVLJUWLUWHVMMVNVOUWHUVMVPUWHUUSUVQVRZUWKUWLUWM
      VHVBUWDUWNAUVQBUUSWHVQUVQUVMMUUSVSWIVTWAWBWCWDUVGUVPUWBCUVRUVGUVKUWAUVOUV
      GUVJUVTMMEMUPWEWFWGWJWKAUVSUUTCUVRQZUVEAUVPUUTCUVRUVPUUTAUWCVHZUAKZUBKZUV
      JOZUVLUCKZURZUSZUTZUBIRUAIRZUCWLZUVPUWSUVOUTZUBIRUAIRZUXEUWJUWJUVPUXGVIVI
      UXFUVPMUWRUVJOZUVOUTUAUBMMIIUWQMSUWSUXHUVOUWQMUWRUVJWMWGUWRMSUXHUVKUVOUWR
      MMUVJWNWGWOWPUXDUXGUCUVMMUUSWSUWTUVMSZUXCUXFUAUBIIUXIUXBUVOUWSUXIUXAUVNUV
      LUWTUVMWTWQWRXAXBWIUWPBUUSEUVQUAUCUBUWFAEXCJZUWCGXDUWGXEXFXGUWJUWOUVEVIUV
      DUWODMIUVAMSZUUTCUVCUVRUXKUVBUVQBPUVAMMNWNXHXIXJXKXLZXMAUWEUVIUUTCHKZUVBP
      OZQZDIRZHTQZUVEFUDKZUUSLUIZCUXNQDIRZHTQUKUUSLUIZCUXNQZDIRZHTQUEKZUUSLUIZC
      UXNQZDIRZHTQZUYDMXNOZUUSLUIZCUXNQDIRZHTQZUXQUDUEUKEUXRUKSZUXTUYCHTUYMUXSU
      YADCIUXNUXRUKUUSLXOXPWJUDUEXQZUXTUYGHTUYNUXSUYEDCIUXNUXRUYDUUSLXOXPWJUXRU
      YISZUXTUYKHTUYOUXSUYJDCIUXNUXRUYIUUSLXOXPWJUXRESZUXTUXPHTUYPUXSUUTDCIUXNU
      XREUUSLXOXPWJUYCHTUXMTJZUXMYBUMZMXNOZIJZUYACUXMMUYSNOZPOZQZUYCUYQUYRXCJUY
      TUXMXRUYRXSWIUYQUYACVUBUYQUUSVUBJZVHZUYAXTVUEUYAYCZVHZYCVUGUXMUUSUYQVUDVU
      FYAVUGVUDVUAUXMUUSVAUYQVUDVUFYDUXMVUAUUSHYEMUYSNVEYFYGVUEVUFYHYIVUEUYAYJY
      KWDUYBVUCDUYSIUVAUYSSZUYACUXNVUBVUHUVBVUAUXMPUVAUYSMNWNXHXIXJYLYNUYHUYDUF
      KZLUIZUFUGKZMUHKZNOZPOZQZUHIRZUGTQZUYDUVHJZUYLUYGVUPHUGTHUGXQZUYGUYECVUKU
      VBPOZQZDIRZVUPVUSUYFVVADIVUSUYECUXNVUTUXMVUKUVBPWMXIYMVVAVUODUHIDUHXQZVVA
      UYECVUNQVUOVVCUYECVUTVUNVVCUVBVUMVUKPUVAVULMNWNXHXIUYEVUJCUFVUNUUSVUIUYDL
      YOYPYQYRZYQYPVURVUQUYKHTVURUYQVHZVUQUYKVVEVUQVHZUXMCDUYDUGVURUYQVUQYDVURU
      YQVUQYAVVFVUQVVBUGTQVVEVUQYHVVBVUPUGTVVDUUAUUEUUFUUBUUCYSUUDUXPUVEHBTUXMB
      SZUXOUVDDIVVGUUTCUXNUVCUXMBUVBPWMXIYMUUGUUHUUIYSUVFUVSAUVEUVFUVPCUVRUVFUV
      KYTUVOUVFUVKMMUJUPUMZOZYTUVFUVJVVHMMEUJUPWEWFUWJUWJVVIYTSVIVIMMUUJVKUUKUV
      OUUOUULUUMUXLUUPAUXJUURUVFUNGEUUQYGUUN $.
  $}

  ${
    $d a c d f m n K $.  $d a c d f n R $.
    $( Van der Waerden's theorem.  For any finite coloring ` R ` and integer
       ` K ` , there is an ` N ` such that every coloring function from
       ` 1 ... N ` to ` R ` contains a monochromatic arithmetic progression
       (which written out in full means that there is a color ` c ` and base,
       increment values ` a , d ` such that all the numbers
       ` a , a + d , ... , a + ( k - 1 ) d ` lie in the preimage of ` { c } ` ,
       i.e. they are all in ` 1 ... N ` and ` f ` evaluated at each one yields
       ` c ` ).  (Contributed by Mario Carneiro, 13-Sep-2014.) $)
    vdw $p |- ( ( R e. Fin /\ K e. NN0 ) -> E. n e. NN
      A. f e. ( R ^m ( 1 ... n ) ) E. c e. R E. a e. NN E. d e. NN
      A. m e. ( 0 ... ( K - 1 ) ) ( a + ( m x. d ) ) e. ( `' f " { c } ) ) $=
      ( cfn wcel cn0 wa cv c1 cfz co wral cn wrex cvv cvdwm wbr cmap cmul caddc
      ccnv csn cima cc0 cmin simpl simpr vdwlem13 ovex simpllr wf simpll elmapg
      sylancl biimpa cuz cfv simplr nnuz eleqtrdi eluzfz1 syl ralbidva rexbidva
      wb vdwmc2 mpbid ) AIJZEKJZLZEBMZUAUBZBANDMZOPZUCPZQZDRSFMCMHMUDPUEPVPUFGM
      UGUHJCUIENUJPOPQHRSFRSGASZBVTQZDRSVOABDEVMVNUKVMVNULUMVOWAWCDRVOVRRJZLZVQ
      WBBVTWEVPVTJZLZNACVPEVSFGHNVROUNZVMVNWDWFUOWEWFVSAVPUPZWEVMVSTJWFWIVJVMVN
      WDUQWHAVSVPITURUSUTWGVRNVAVBZJNVSJWGVRRWJVOWDWFVCVDVENVRVFVGVKVHVIVL $.
  $}

  ${
    $d a d k m A $.  $d a c d f m n K $.  $d a c d x ph $.  $d a c d f n x R $.
    $d a d k m B $.  $d a c d f k m n F $.  $d a d k m x S $.
    $( Corollary of ~ vdw , and lemma for ~ vdwnn .  If ` F ` is a coloring of
       the integers, then there are arbitrarily long monochromatic APs in
       ` F ` .  (Contributed by Mario Carneiro, 13-Sep-2014.) $)
    vdwnnlem1 $p |- ( ( R e. Fin /\ F : NN --> R /\ K e. NN0 ) ->
      E. c e. R E. a e. NN E. d e. NN A. m e. ( 0 ... ( K - 1 ) )
        ( a + ( m x. d ) ) e. ( `' F " { c } ) ) $=
      ( vf vn wcel cn cv co ccnv cima c1 cfz wral wrex wss cfn wf cn0 w3a caddc
      cmul csn cc0 cmin cmap vdw 3adant2 cres simpl2 fz1ssnn fssres sylancl cvv
      wa wi simpl1 ovex elmapg mpbird wceq cnveq imaeq1d eleq2d ralbidv rexbidv
      wb 2rexbidv rspcv syl resss cnvss imass1 mp2b sseli ralimi syl6 rexlimdva
      reximi mpd ) AUAJZKACUBZDUCJZUDZELBLGLUFMUEMZHLZNZFLUGZOZJZBUHDPUIMQMZRZG
      KSEKSZFASZHAPILZQMZUJMZRZIKSZWICNZWLOZJZBWORZGKSZEKSZFASZWEWGXCWFAHBIDEFG
      UKULWHXBXJIKWHWSKJZUSZXBWICWTUMZNZWLOZJZBWORZGKSZEKSZFASZXJXLXMXAJZXBXTUT
      XLYAWTAXMUBZXLWFWTKTYBWEWFWGXKUNWSUOKAWTCUPUQXLWEWTURJYAYBVKWEWFWGXKVAPWS
      QVBAWTXMUAURVCUQVDWRXTHXMXAWJXMVEZWQXSFAYCWPXQEGKKYCWNXPBWOYCWMXOWIYCWKXN
      WLWJXMVFVGVHVIVLVJVMVNXSXIFAXRXHEKXQXGGKXPXFBWOXOXEWIXMCTXNXDTXOXETCWTVOX
      MCVPXNXDWLVQVRVSVTWCWCWCWAWBWD $.

    vdwnn.1 $e |- ( ph -> R e. Fin ) $.
    vdwnn.2 $e |- ( ph -> F : NN --> R ) $.
    vdwnn.3 $e |- S = { k e. NN | -. E. a e. NN E. d e. NN
      A. m e. ( 0 ... ( k - 1 ) ) ( a + ( m x. d ) ) e. ( `' F " { c } ) } $.
    $( Lemma for ~ vdwnn .  The set of all "bad" ` k ` for the theorem is
       upwards-closed, because a long AP implies a short AP. (Contributed by
       Mario Carneiro, 13-Sep-2014.) $)
    vdwnnlem2 $p |- ( ( ph /\ B e. ( ZZ>= ` A ) ) -> ( A e. S -> B e. S ) ) $=
      ( wcel cn co cc0 c1 wrex cuz cfv wa cv cmul caddc ccnv csn cima cmin wral
      cfz wn wss wi cz eluzel2 peano2zm syl id cc wceq zcnd ax-1cn npcan fveq2d
      sylancl eleqtrrd eluzp1m1 syl2anc ad2antlr fzss2 3syl reximdv con3d simpr
      ssralv eluznn syl2anr jctild expimpd oveq1 oveq2d raleqdv 2rexbidv notbid
      elrab2 3imtr4g ) ACBUAUBZOZUCZBPOZIUDGUDKUDUEQUFQHUGJUDUHUIOZGRBSUJQZULQZ
      UKZKPTZIPTZUMZUCCPOZWMGRCSUJQZULQZUKZKPTZIPTZUMZUCZBEOCEOWKWLWSXGWKWLUCZW
      SXFWTXHXEWRXHXDWQIPXHXCWPKPXHXAWNUAUBOZWOXBUNXCWPUOWJXIAWLWJWNUPOZCWNSUFQ
      ZUAUBZOXIWJBUPOXJBCUQZBURUSWJCWIXLWJUTWJXKBUAWJBVAOSVAOXKBVBWJBXMVCVDBSVE
      VGVFVHWNCVIVJVKWNRXAVLWMGWOXBVQVMVNVNVOWLWLWJWTWKWLUTAWJVPCBVRVSVTWAWMGRF
      UDZSUJQZULQZUKZKPTIPTZUMZWSFBPEXNBVBZXRWRXTXQWPIKPPXTWMGXPWOXTXOWNRULXNBS
      UJWBWCWDWEWFNWGXSXFFCPEXNCVBZXRXEYAXQXCIKPPYAWMGXPXBYAXOXARULXNCSUJWBWCWD
      WEWFNWGWH $.

    vdwnn.4 $e |- ( ph -> A. c e. R S =/= (/) ) $.
    $( Lemma for ~ vdwnn .  (Contributed by Mario Carneiro, 13-Sep-2014.)
       (Proof shortened by AV, 27-Sep-2020.) $)
    vdwnnlem3 $p |- -. ph $=
      ( cr cv wrex wcel cn co c1 vx clt cinf cle wbr wral cfn wa cmul caddc csn
      ccnv cima cc0 cmin cfz wn ssrab3 cuz cfv wss c0 wne nnuz sseqtri r19.21bi
      infssuzcl sylancr sselid nnred ralrimiva fimaxre3 syl2anc cfl cn0 ffvelrn
      wi wf 1nn sylancl ne0d adantr r19.2z ex syl simplr adantlr flcld peano2zd
      fllep1 zred letr syl3anc mpan2d cz wb nnzd eluz simpll vdwnnlem2 impancom
      sylbird syld sseli nnnn0d syl6 rexlimdva simpr vdwnnlem1 3syld wceq oveq1
      oveq2d raleqdv notbid elrab2 simprbi ralnex syl6ib pm2.65d nrexdv pm2.65i
      2rexbidv ralimdva ) ACNUBUCZUAOZUDUEZHBUFZUANPZABUGQZYENQZHBUFYIJAYKHBAHO
      ZBQZUHZYEYNCRYEGOEOIOUISUJSFULYLUKUMQZEUNDOZTUOSZUPSZUFZIRPGRPZUQZDRCLURZ
      YNCTUSUTZVACVBVCZYECQZCRUUCUUBVDVEAUUDHBMVFCTVGVHZVIZVJZVKUAHBYEVLVMAYHUA
      NAYFNQZUHZYHYOEUNYFVNUTZTUJSZTUOSZUPSZUFZIRPGRPZHBPZUUJYHYGHBPZUULVOQZUUQ
      UUJBVBVCZYHUURVQAUUTUUIABTFUTZARBFVRZTRQUVABQKVSRBTFVPVTWAWBUUTYHUURYGHBW
      CWDWEUUJYGUUSHBUUJYMUHZYGUULCQZUUSUVCYGYEUULUDUEZUVDUVCYGYFUULUDUEZUVEUVC
      UUIUVFAUUIYMWFZYFWJWEUVCYKUUIUULNQYGUVFUHUVEVQAYMYKUUIUUHWGUVGUVCUULUVCUU
      KUVCYFUVGWHWIZWKYEYFUULWLWMWNUVCUVEUULYEUSUTQZUVDUVCYEWOQUULWOQUVIUVEWPUV
      CYEAYMYERQUUIUUGWGWQUVHYEUULWRVMUVCAUUEUVIUVDVQAUUIYMWSAYMUUEUUIUUFWGAUVI
      UUEUVDAYEUULBCDEFGHIJKLWTXAVMXBXCZUVDUULCRUULUUBXDXEXFXGAUUSUUQVQUUIAUUSU
      UQAUUSUHYJUVBUUSUUQAYJUUSJWBAUVBUUSKWBAUUSXHBEFUULGHIXIWMWDWBXJUUJYHUUPUQ
      ZHBUFUUQUQUUJYGUVKHBUVCYGUVDUVKUVJUVDUULRQUVKUUAUVKDUULRCYPUULXKZYTUUPUVL
      YSUUOGIRRUVLYOEYRUUNUVLYQUUMUNUPYPUULTUOXLXMXNYCXOLXPXQXFYDUUPHBXRXSXTYAY
      B $.
  $}

  ${
    $d a c d k m u w x y z F $.  $d c u y z R $.
    $( Van der Waerden's theorem, infinitary version.  For any finite coloring
       ` F ` of the positive integers, there is a color ` c ` that contains
       arbitrarily long arithmetic progressions.  (Contributed by Mario
       Carneiro, 13-Sep-2014.) $)
    vdwnn $p |- ( ( R e. Fin /\ F : NN --> R ) ->
      E. c e. R A. k e. NN E. a e. NN E. d e. NN A. m e. ( 0 ... ( k - 1 ) )
      ( a + ( m x. d ) ) e. ( `' F " { c } ) ) $=
      ( vu vw vy vz wcel cn cv cmul co caddc wral wrex wn vx cfn wf wa ccnv csn
      cima cc0 c1 cmin cfz crab simpll simplr weq oveq1 oveq2d cbvralvw ralbidv
      wi eleq1d syl5bb oveq2 cbvrex2vw raleqdv 2rexbidv notbid cbvrabv c0 simpr
      wne sneq imaeq2d eleq2d cbvrexvw sylnib rabn0 rexnal ralbii ralnex sylibr
      bitri vdwnnlem3 iman mpbir ) AUBLZMADUCZUDZENZCNZGNZOPZQPZDUEZFNZUFZUGZLZ
      CUHBNZUIUJPZUKPZRZGMSEMSZBMRZFASZUTWHXETZUDZTXGAWMWNHNZUFZUGZLZCXARZGMSEM
      SZTZBMULZUAIDJHKWFWGXFUMWFWGXFUNXNJNZINZKNZOPZQPZXJLZIUHUANZUIUJPZUKPZRZK
      MSJMSZTBUAMBUAUOZXMYFXMYAIXARZKMSJMSYGYFXLYHXPXQWKOPZQPZXJLZIXARZEGJKMMXL
      WIYIQPZXJLZIXAREJUOZYLXKYNCIXACIUOZWMYMXJYPWLYIWIQWJXQWKOUPUQVAURYOYNYKIX
      AYOYMYJXJWIXPYIQUPVAUSVBGKUOZYKYAIXAYQYJXTXJYQYIXSXPQWKXRXQOVCUQVAUSVDYGY
      HYEJKMMYGYAIXAYDYGWTYCUHUKWSYBUIUJUPUQVEVFVBVGVHXGXMBMRZHASZTZXOVIVKZHARZ
      XGXEYSWHXFVJXDYRFHAFHUOZXCXMBMUUCXBXLEGMMUUCWRXKCXAUUCWQXJWMUUCWPXIWNWOXH
      VLVMVNUSVFUSVOVPUUBYRTZHARYTUUAUUDHAUUAXNBMSUUDXNBMVQXMBMVRWBVSYRHAVTWBWA
      WCWHXEWDWE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ramsey's theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Ramsey $.

  $( Extend class notation with the Ramsey number function. $)
  cram $a class Ramsey $.

  ${
    $d n s M $.  $d n ph $.  $d n s T $.
    ramtlecl.t $e |- T = { n e. NN0 | A. s ( n <_ ( # ` s ) -> ph ) } $.
    $( The set ` T ` of numbers with the Ramsey number property is
       upward-closed.  (Contributed by Mario Carneiro, 21-Apr-2015.) $)
    ramtlecl $p |- ( M e. T -> ( ZZ>= ` M ) C_ T ) $=
      ( wcel cfv cv cle wbr wi wal cn0 wss wral wa cxr sselid cvv cuz crab wceq
      chash breq1 imbi1d albidv elrab2 simplbi eluznn0 ssrdv syl simprbi eluzle
      ex adantl cr nn0ssre ressxr sstri adantr vex hashxrcl mp1i xrletr syl3anc
      sylan mpand imim1d ralrimdva alimdv mpd ralcom4 sylibr sylanbrc sseqtrrdi
      ssrab ) DBGZDUAHZCIZEIZUDHZJKZALZEMZCNUBZBVRVSNOZWECVSPZVSWFOVRDNGZWGVRWI
      DWBJKZALZEMZWEWLCDNBVTDUCZWDWKEWMWCWJAVTDWBJUEUFUGFUHZUIZWICVSNWIVTVSGZVT
      NGZVTDUJZUOUKULVRWDCVSPZEMZWHVRWLWTVRWIWLWNUMVRWKWSEVRWKWDCVSVRWPQZWCWJAX
      ADVTJKZWCWJWPXBVRDVTUNUPXADRGVTRGWBRGZXBWCQWJLXANRDNUQRURUSUTZVRWIWPWOVAS
      XANRVTXDVRWIWPWQWOWRVGSWATGXCXAEVBWATVCVDDVTWBVEVFVHVIVJVKVLWDCEVSVMVNWEC
      NVSVQVOFVP $.
  $}

  ${
    $d c f x y C $.  $d c f m n r s x y z F $.  $d a b c f i m n r s x y z M $.
    $d a i x A $.  $d a i x B $.  $d c f m n r s x y z R $.  $d m r y z T $.
    $d a i x N $.  $d c f m n r s x y z V $.
    $( Define the Ramsey number function.  The input is a number ` m ` for the
       size of the edges of the hypergraph, and a tuple ` r ` from the finite
       color set to lower bounds for each color.  The Ramsey number
       ` ( M Ramsey R ) ` is the smallest number such that for any set ` S `
       with ` ( M Ramsey R ) <_ # S ` and any coloring ` F ` of the set of
       ` M ` -element subsets of ` S ` (with color set ` dom R ` ), there is a
       color ` c e. dom R ` and a subset ` x C_ S ` such that
       ` R ( c ) <_ # x ` and all the hyperedges of ` x ` (that is, subsets of
       ` x ` of size ` M ` ) have color ` c ` .  (Contributed by Mario
       Carneiro, 20-Apr-2015.)  (Revised by AV, 14-Sep-2020.) $)
    df-ram $a |- Ramsey = ( m e. NN0 , r e. _V |-> inf ( { n e. NN0 | A. s
      ( n <_ ( # ` s ) -> A. f e. ( dom r ^m { y e. ~P s | ( # ` y ) = m } )
        E. c e. dom r E. x e. ~P s ( ( r ` c ) <_ ( # ` x ) /\
        A. y e. ~P x ( ( # ` y ) = m -> ( f ` y ) = c ) ) ) } , RR* , < ) ) $.

    ramval.c $e |- C = ( a e. _V , i e. NN0 |->
      { b e. ~P a | ( # ` b ) = i } ) $.
    $( Value of the "binomial set", the set of all ` N ` -element subsets of
       ` A ` .  (Contributed by Mario Carneiro, 20-Apr-2015.) $)
    hashbcval $p |- ( ( A e. V /\ N e. NN0 ) ->
      ( A C N ) = { x e. ~P A | ( # ` x ) = N } ) $=
      ( wcel cvv cn0 co cv chash cfv wceq cpw crab wa elex pwexg adantr fveqeq2
      rabexg cbvrabv simpl pweqd simpr eqeq2d rabeqbidv eqtrid ovmpoga mpd3an3
      syl sylan ) BFJBKJZELJZBECMANZOPZEQZABRZSZQZBFUAUQURVCKJZVDUQURTVBKJZVEUQ
      VFURBKUBUCVAAVBKUEUOGDBEKLHNZOPDNZQZHGNZRZSZVCCKVJBQZVHEQZTZVLUTVHQZAVKSV
      CVIVPHAVKVGUSVHOUDUFVOVPVAAVKVBVOVJBVMVNUGUHVOVHEUTVMVNUIUJUKULIUMUNUP $.

    $( The binomial set is a finite set.  (Contributed by Mario Carneiro,
       20-Apr-2015.) $)
    hashbccl $p |- ( ( A e. Fin /\ N e. NN0 ) -> ( A C N ) e. Fin ) $=
      ( vx cfn wcel cn0 wa co cv chash cfv wceq cpw crab hashbcval simpl ssrab2
      wss pwfi sylib ssfi sylancl eqeltrd ) AIJZDKJZLZADBMHNOPDQZHARZSZIHABCDIE
      FGTUKUMIJZUNUMUCUNIJUKUIUOUIUJUAAUDUEULHUMUBUMUNUFUGUH $.

    $( Subset relation for the binomial set.  (Contributed by Mario Carneiro,
       20-Apr-2015.) $)
    hashbcss $p |- ( ( A e. V /\ B C_ A /\ N e. NN0 ) ->
      ( B C N ) C_ ( A C N ) ) $=
      ( vx wcel wss cn0 w3a wceq cpw crab co cvv hashbcval cv chash simp2 sspwd
      cfv rabss2 syl simp1 ssexd simp3 syl2anc 3adant2 3sstr4d ) AFKZBALZEMKZNZ
      JUAUBUEEOZJBPZQZURJAPZQZBECRZAECRZUQUSVALUTVBLUQBAUNUOUPUCZUDURJUSVAUFUGU
      QBSKUPVCUTOUQBAFUNUOUPUHVEUIUNUOUPUJJBCDESGHITUKUNUPVDVBOUOJACDEFGHITULUM
      $.

    $( The set of subsets of size zero is the singleton of the empty set.
       (Contributed by Mario Carneiro, 22-Apr-2015.) $)
    hashbc0 $p |- ( A e. V -> ( A C 0 ) = { (/) } ) $=
      ( vx wcel cc0 co cv chash cfv wceq cpw crab c0 wa cab csn hashbcval mpan2
      cn0 wb cvv hasheq0 elv anbi2i 0elpw eqeltrdi pm4.71ri bitr4i abbii df-rab
      0nn0 id df-sn 3eqtr4i eqtrdi ) ADIZAJBKZHLZMNJOZHAPZQZRUAZVAJUDIVBVFOUPHA
      BCJDEFGUBUCVCVEIZVDSZHTVCROZHTVFVGVIVJHVIVHVJSVJVDVJVHVDVJUEHVCUFUGUHUIVJ
      VHVJVCRVEVJUQAUJUKULUMUNVDHVEUOHRURUSUT $.

    $( The size of the binomial set is the binomial coefficient.  (Contributed
       by Mario Carneiro, 20-Apr-2015.) $)
    hashbc2 $p |- ( ( A e. Fin /\ N e. NN0 ) ->
      ( # ` ( A C N ) ) = ( ( # ` A ) _C N ) ) $=
      ( vx cfn wcel cn0 wa co chash cfv cv wceq cpw crab cbc fveq2d nn0z hashbc
      hashbcval cz sylan2 eqtr4d ) AIJZDKJZLZADBMZNOHPNODQHARSZNOZANODTMZUJUKUL
      NHABCDIEFGUDUAUIUHDUEJUNUMQDUBHADUCUFUG $.

    $( There are no subsets of the empty set with size greater than zero.
       (Contributed by Mario Carneiro, 22-Apr-2015.) $)
    0hashbc $p |- ( N e. NN -> ( (/) C N ) = (/) ) $=
      ( cn wcel c0 co chash cfv cc0 wceq cbc cfn cn0 0fin nnnn0 cvv oveq1i bc0k
      hashbc2 sylancr hash0 eqtrid eqtrd wb ovex hasheq0 ax-mp sylib ) CGHZICAJ
      ZKLZMNZUNINZUMUOIKLZCOJZMUMIPHCQHUOUSNRCSIABCDEFUCUDUMUSMCOJMURMCOUEUACUB
      UFUGUNTHUPUQUHICAUIUNTUJUKUL $.

    ramval.t $e |- T = { n e. NN0 | A. s ( n <_ ( # ` s ) ->
       A. f e. ( R ^m ( s C M ) ) E. c e. R E. x e. ~P s
        ( ( F ` c ) <_ ( # ` x ) /\ ( x C M ) C_ ( `' f " { c } ) ) ) } $.
    $( The value of the Ramsey number function.  (Contributed by Mario
       Carneiro, 21-Apr-2015.)  (Revised by AV, 14-Sep-2020.) $)
    ramval $p |- ( ( M e. NN0 /\ R e. V /\ F : R --> NN0 )
                   -> ( M Ramsey F ) = inf ( T , RR* , < ) ) $=
      ( vy cn0 wcel wa vm vr wf w3a cvv cv chash cfv cle wbr wceq cpw wral wrex
      cdm crab cmap wal cxr clt cinf cram cmpo df-ram a1i ccnv csn cima simplrr
      wi co wss dmeqd simpll3 fdmd simplrl eqeq2d rabbidv vex simpll1 hashbcval
      eqtrd sylancr eqtr4d oveq12d simpr fdm 3ad2ant3 sylan9eqr ad2antrr fveq1d
      raleqdv breq1d oveq2d eqeltrd eqtr3d sseq1d rabss wb eleq2d rabid biimpar
      bitrdi adantl hashbcss mp3an2i sselda syldan wfn elmapi ad3antlr fniniseg
      elpwi ffn 3syl mpbirand anassrs pm5.74da ralbidva syl5bb anbi12d rexbidva
      bitr2d rexeqbidv bitrd imbi2d albidv rabbidva eqtr4di infeq1d simp1 simp3
      simp2 fexd xrltso infex ovmpod ) IRSZCJSZCRHUCZUDZUAUBIHRUEGUFZKUFZUGUHUI
      UJZNUFZUBUFZUHZAUFZUGUHZUIUJZQUFZUGUHZUAUFZUKZUUKEUFZUHUUEUKZVJZQUUHULZUM
      ZTZAUUCULZUNZNUUFUOZUNZEUVCUUNQUVAUPZUQVKZUMZVJZKURZGRUPZUSUTVAZDUSUTVAZV
      BUEVBUAUBRUEUVKVCUKUUAAQEUAGKUBNVDVEUUAUUMIUKZUUFHUKZTZTZUSUVJDUTUVPUVJUU
      DUUEHUHZUUIUIUJZUUHIBVKZUUOVFUUEVGVHZVLZTZAUVAUNZNCUNZECUUCIBVKZUQVKZUMZV
      JZKURZGRUPDUVPUVIUWIGRUVPUUBRSZTZUVHUWHKUWKUVGUWGUUDUWKUVGUVDEUWFUMUWGUWK
      UVDEUVFUWFUWKUVCCUVEUWEUQUWKUVCHUOZCUWKUUFHUUAUVMUVNUWJVIZVMUWKCRHYRYSYTU
      VOUWJVNVOWBUWKUVEUULIUKZQUVAUPZUWEUWKUUNUWNQUVAUWKUUMIUULUUAUVMUVNUWJVPZV
      QVRUWKUUCUESZYRUWEUWOUKKVSZYRYSYTUVOUWJVTZQUUCBFIUELMOWAWCWDWEWLUWKUVDUWD
      EUWFUWKUUOUWFSZTZUVBUWCNUVCCUVPUVCCUKUWJUWTUVOUUAUVCUWLCUVOUUFHUVMUVNWFVM
      YTYRUWLCUKYSCRHWGWHWIWJUXAUUTUWBAUVAUXAUUHUVASZTZUUJUVRUUSUWAUXCUUGUVQUUI
      UIUXCUUEUUFHUWKUVNUWTUXBUWMWJWKWMUXCUWAUUNQUURUPZUVTVLZUUSUXCUVSUXDUVTUXC
      UUHUUMBVKZUVSUXDUXCUUMIUUHBUWKUVMUWTUXBUWPWJZWNUXCUUHUESUUMRSUXFUXDUKAVSU
      XCUUMIRUXGUWKYRUWTUXBUWSWJZWOQUUHBFUUMUELMOWAWCWPZWQUXEUUNUUKUVTSZVJZQUUR
      UMUXCUUSUUNQUURUVTWRUXCUXKUUQQUURUXCUUKUURSZTUUNUXJUUPUXCUXLUUNUXJUUPWSUX
      CUXLUUNTZTZUXJUUKUWESZUUPUXCUXMUUKUVSSZUXOUXCUXPUXMUXCUXPUUKUXDSUXMUXCUVS
      UXDUUKUXIWTUUNQUURXAXCXBUXCUVSUWEUUKUWQUXCUUHUUCVLZYRUVSUWEVLUWRUXBUXQUXA
      UUHUUCXMXDUXHUUCUUHBFIUELMOXEXFXGXHUXNUWECUUOUCZUUOUWEXIUXJUXOUUPTWSUWTUX
      RUWKUXBUXMUUOCUWEXJXKUWECUUOXNUWEUUEUUKUUOXLXOXPXQXRXSXTYCYAYBYDXSYEYFYGY
      HPYIYJYRYSYTYKUUACRJHYRYSYTYLYRYSYTYMYNUVLUESUUAUSDUTYOYPVEYQ $.

    $( Lemma for extended real closure of the Ramsey number function.
       (Contributed by Mario Carneiro, 20-Apr-2015.)  (Revised by AV,
       14-Sep-2020.) $)
    ramcl2lem $p |- ( ( M e. NN0 /\ R e. V /\ F : R --> NN0 )
             -> ( M Ramsey F ) = if ( T = (/) , +oo , inf ( T , RR , < ) ) ) $=
      ( cpnf cr clt cv vz c0 wceq cram co cinf cif cn0 wcel wf w3a eqeq2 ramval
      cxr infeq1 xrinf0 eqtrdi sylan9eq wn wne df-ne wa adantr wor xrltso chash
      a1i cfv cle wbr ccnv csn cima wss cpw wrex cmap wral wi wal nn0ssre sstri
      ssrab3 cc0 cuz nn0uz sseqtri infssuzcl sylan sselid rexrd simpr infssuzle
      sselda sylancr lensymd infmin eqtrd sylan2br ifbothda ) DUBUCZIHUDUEZQUCX
      BDRSUFZUCZXBXAQXCUGZUCIUHUICJUICUHHUJUKZQXCQXEXBULXCXEXBULXFXAXBDUNSUFZQA
      BCDEFGHIJKLMNOPUMZXAXGUBUNSUFQUNDUBSUOUPUQURXAUSXFDUBUTZXDDUBVAXFXIVBZXBX
      GXCXFXBXGUCXIXHVCXJUAUNDXCSUNSVDXJVEVGXJXCXJDRXCDUHRGTKTZVFVHVIVJNTZHVHAT
      ZVFVHVIVJXMIBUEETVKXLVLVMVNVBAXKVOVPNCVPECXKIBUEVQUEVRVSKVTGUHDPWCZWAWBZX
      FDWDWEVHZVNZXIXCDUIXQXFDUHXPXNWFWGZVGDWDWHWIZWJZWKXSXJUATZDUIZVBZXCYAXJXC
      RUIYBXTVCXJDRYADRVNXJXOVGWNYCXQYBXCYAVIVJXRXJYBWLYADWDWMWOWPWQWRWSWT $.

    $( The Ramsey number has the Ramsey number property if any number does.
       (Contributed by Mario Carneiro, 20-Apr-2015.)  (Revised by AV,
       14-Sep-2020.) $)
    ramtcl $p |- ( ( M e. NN0 /\ R e. V /\ F : R --> NN0 ) ->
      ( ( M Ramsey F ) e. T <-> T =/= (/) ) ) $=
      ( cn0 wcel co cv wf w3a cram c0 wne ne0i clt cinf wceq cpnf cif ramcl2lem
      wa cr ifnefalse sylan9eq cc0 cuz cfv wss chash cle wbr ccnv csn cima wrex
      cpw cmap wral wi wal ssrab3 nn0uz sseqtri infssuzcl sylan eqeltrd impbid2
      a1i ex ) IQRCJRCQHUAUBZIHUCSZDRZDUDUEZDWCUFWBWEWDWBWEUMWCDUNUGUHZDWBWEWCD
      UDUIUJWFUKWFABCDEFGHIJKLMNOPULDUDUJWFUOUPWBDUQURUSZUTZWEWFDRWHWBDQWGGTKTZ
      VAUSVBVCNTZHUSATZVAUSVBVCWKIBSETVDWJVEVFUTUMAWIVHVGNCVGECWIIBSVISVJVKKVLG
      QDPVMVNVOVTDUQVPVQVRWAVS $.

    $( The Ramsey number is an integer iff there is a number with the Ramsey
       number property.  (Contributed by Mario Carneiro, 20-Apr-2015.)
       (Revised by AV, 14-Sep-2020.) $)
    ramtcl2 $p |- ( ( M e. NN0 /\ R e. V /\ F : R --> NN0 ) ->
      ( ( M Ramsey F ) e. NN0 <-> T =/= (/) ) ) $=
      ( cn0 wcel cpnf cv wf w3a cram co c0 wne wceq cr clt cif ramcl2lem eleq1d
      cinf pnfnre neli iftrue nn0re syl6bi mtoi necon2ai chash cfv cle wbr ccnv
      ramtcl csn cima wss wa cpw wrex cmap wral wal ssrab3 sseli syl6bir impbid
      wi ) IQRCJRCQHUAUBZIHUCUDZQRZDUEUFZWAWCDUEUGZSDUHUIUMZUJZQRZWDWAWBWGQABCD
      EFGHIJKLMNOPUKULWHDUEWEWHSUHRZSUHUNUOWEWHSQRWIWEWGSQWESWFUPULSUQURUSUTURW
      AWDWBDRWCABCDEFGHIJKLMNOPVFDQWBGTKTZVAVBVCVDNTZHVBATZVAVBVCVDWLIBUDETVEWK
      VGVHVIVJAWJVKVLNCVLECWJIBUDVMUDVNVTKVOGQDPVPVQVRVS $.

    $( The Ramsey number is a lower bound on the set of all numbers with the
       Ramsey number property.  (Contributed by Mario Carneiro, 20-Apr-2015.)
       (Revised by AV, 14-Sep-2020.) $)
    ramtub $p |- ( ( ( M e. NN0 /\ R e. V /\ F : R --> NN0 ) /\ A e. T ) ->
      ( M Ramsey F ) <_ A ) $=
      ( cn0 co cv wcel wf w3a wa cram cr clt cinf cle c0 wceq cif ramcl2lem n0i
      cpnf iffalsed sylan9eq cc0 cuz cfv wss wbr chash ccnv cima wrex cmap wral
      csn cpw wi wal ssrab3 nn0uz sseqtri a1i infssuzle sylan eqbrtrd ) JRUADKU
      ADRIUBUCZBEUAZUDJIUESZEUFUGUHZBUIVTWAWBEUJUKZUOWCULWCACDEFGHIJKLMNOPQUMWA
      WDUOWCEBUNUPUQVTEURUSUTZVAZWAWCBUIVBWFVTERWEHTLTZVCUTUIVBOTZIUTATZVCUTUIV
      BWIJCSFTVDWHVIVEVAUDAWGVJVFODVFFDWGJCSVGSVHVKLVLHREQVMVNVOVPBEURVQVRVS $.
  $}

  ${
    $d c f g n s t x C $.  $d c f x G $.  $d c f g s t x ph $.  $d c f s x S $.
    $d c f g n s t x F $.  $d a b c f g i n s t x M $.  $d c f g n s t x R $.
    $d a c f g i n s t x N $.  $d c f g n s t x V $.
    rami.c $e |- C = ( a e. _V , i e. NN0 |->
      { b e. ~P a | ( # ` b ) = i } ) $.
    rami.m $e |- ( ph -> M e. NN0 ) $.
    rami.r $e |- ( ph -> R e. V ) $.
    rami.f $e |- ( ph -> F : R --> NN0 ) $.
    ${
      ramub.n $e |- ( ph -> N e. NN0 ) $.
      ramub.i $e |- ( ( ph /\ ( N <_ ( # ` s ) /\ f : ( s C M ) --> R ) ) ->
        E. c e. R E. x e. ~P s ( ( F ` c ) <_ ( # ` x ) /\
          ( x C M ) C_ ( `' f " { c } ) ) ) $.
      $( The Ramsey number is a lower bound on the set of all numbers with the
         Ramsey number property.  (Contributed by Mario Carneiro,
         22-Apr-2015.) $)
      ramub $p |- ( ph -> ( M Ramsey F ) <_ N ) $=
        ( vn cn0 wcel wf cv chash cfv cle wbr co ccnv csn cima wss wa wrex cmap
        cpw wral wi wal crab cram wceq imbi1d albidv elmapi ancom2s expr sylan2
        breq1 ralrimdva alrimiv elrabd eqid ramtub syl31anc ) AHUBUCDJUCDUBGUDI
        UAUEZKUEZUFUGZUHUIZNUEZGUGBUEZUFUGUHUIWCHCUJEUEZUKWBULUMUNUOBVSURUPNDUP
        ZEDVSHCUJZUQUJZUSZUTZKVAZUAUBVBZUCHGVCUJIUHUIPQRAWJIVTUHUIZWHUTZKVAUAIU
        BVRIVDZWIWMKWNWAWLWHVRIVTUHVKVEVFSAWMKAWLWEEWGWDWGUCAWFDWDUDZWLWEUTWDDW
        FVGAWOWLWEAWLWOWETVHVIVJVLVMVNBICDWKEFUAGHJKLMNOWKVOVPVQ $.
    $}

    ${
      ramub2.n $e |- ( ph -> N e. NN0 ) $.
      ramub2.i $e |- ( ( ph /\ ( ( # ` s ) = N /\
        f : ( s C M ) --> R ) ) -> E. c e. R E. x e. ~P s
          ( ( F ` c ) <_ ( # ` x ) /\ ( x C M ) C_ ( `' f " { c } ) ) ) $.
      $( It is sufficient to check the Ramsey property on finite sets of size
         equal to the upper bound.  (Contributed by Mario Carneiro,
         23-Apr-2015.) $)
      ramub2 $p |- ( ph -> ( M Ramsey F ) <_ N ) $=
        ( vg vt cv chash cfv cle wbr co wf wa c1 cfz cen wss ccnv csn cima wrex
        cpw cdom wex cn0 wcel wceq adantr hashfz1 syl simprl eqbrtrd cfn cvv wb
        fzfid vex hashdom sylancl mpbid domen sylib cin simpll ad2antrl hasheni
        cres ensym ad2antrr eqtrd simplrr simprr hashbcss mp3an2i fssresd resex
        wi feq1 anbi2d cnveq imaeq1d cnvresima eqtrdi 2rexbidv imbi12d syl12anc
        sseq2d vtocl sstr expcom ad2antll velpw 3imtr4g inss1 sstrdi a1i anim2d
        id anim12d reximdv2 reximdv mpd exlimddv ramub ) ABCDUAFGHIJUBLMNOPQRSA
        IUBUCZUDUEZUFUGZYBHCUHZDUAUCZUIZUJZUJZUKIULUHZKUCZUMUGZYKYBUNZUJZNUCZGU
        EBUCZUDUEUFUGZYPHCUHZYFUOYOUPZUQZUNZUJZBYBUSZURZNDURZKYIYJYBUTUGZYNKVAY
        IYJUDUEZYCUFUGZUUFYIUUGIYCUFYIIVBVCZUUGIVDZAUUIYHSVEIVFZVGAYDYGVHVIYIYJ
        VJVCYBVKVCZUUHUUFVLYIUKIVMUBVNZYJYBVKVOVPVQKYJYBUUMVRVSYIYNUJZYQYRYTYKH
        CUHZVTZUNZUJZBYKUSZURZNDURZUUEUUNAYKUDUEZIVDZUUODYFUUOWDZUIZUVAAYHYNWAU
        UNUVBUUGIUUNYKYJUMUGZUVBUUGVDYLUVFYIYMYJYKWEWBYKYJWCVGUUNUUIUUJAUUIYHYN
        SWFUUKVGWGUUNYEDUUOYFAYDYGYNWHUULUUNYMHVBVCZUUOYEUNUUMYIYLYMWIAUVGYHYNP
        WFYBYKCFHVKLMOWJWKWLAUVCUUODEUCZUIZUJZUJZYQYRUVHUOZYSUQZUNZUJZBUUSURNDU
        RZWNAUVCUVEUJZUJZUVAWNEUVDYFUUOUAVNWMUVHUVDVDZUVKUVRUVPUVAUVSUVJUVQAUVS
        UVIUVEUVCUUODUVHUVDWOWPWPUVSUVOUURNBDUUSUVSUVNUUQYQUVSUVMUUPYRUVSUVMUVD
        UOZYSUQUUPUVSUVLUVTYSUVHUVDWQWRUUOYSYFWSWTXDWPXAXBTXEXCUUNUUTUUDNDUUNUU
        RUUBBUUSUUCUUNYPUUSVCZYPUUCVCZUURUUBUUNYPYKUNZYPYBUNZUWAUWBYMUWCUWDWNYI
        YLUWCYMUWDYPYKYBXFXGXHBYKXIBYBXIXJUUNUUQUUAYQUUQUUAWNUUNUUQYRUUPYTUUQXO
        YTUUOXKXLXMXNXPXQXRXSXTYA $.
    $}

    rami.x $e |- ( ph -> ( M Ramsey F ) e. NN0 ) $.
    rami.s $e |- ( ph -> S e. W ) $.
    rami.l $e |- ( ph -> ( M Ramsey F ) <_ ( # ` S ) ) $.
    rami.g $e |- ( ph -> G : ( S C M ) --> R ) $.
    $( The defining property of a Ramsey number.  (Contributed by Mario
       Carneiro, 22-Apr-2015.) $)
    rami $p |- ( ph -> E. c e. R E. x e. ~P S
        ( ( F ` c ) <_ ( # ` x ) /\ ( x C M ) C_ ( `' G " { c } ) ) ) $=
      ( vf vs vn cv cfv chash cle wbr co ccnv csn cima wss wrex cmap wceq cnveq
      wa cpw imaeq1d sseq2d anbi2d 2rexbidv wcel cram wral wi wal cn0 wf wb w3a
      crab c0 wne ramtcl2 ramtcl bitr4d syl3anc mpbid breq1 imbi1d albidv elrab
      eqid simprbi syl fveq2 breq2d oveq1 oveq2d pweq rexeqdv rexbidv raleqbidv
      imbi12d spcgv syl3c cvv ovex elmapg sylancl mpbird rspcdva ) ANUFZGUGBUFZ
      UHUGUIUJZXHICUKZUCUFZULZXGUMZUNZUOZUTZBEVAZUPZNDUPZXIXJHULZXMUNZUOZUTZBXQ
      UPNDUPUCDEICUKZUQUKZHXKHURZXPYCNBDXQYFXOYBXIYFXNYAXJYFXLXTXMXKHUSVBVCVDVE
      AEKVFIGVGUKZUDUFZUHUGZUIUJZXPBYHVAZUPZNDUPZUCDYHICUKZUQUKZVHZVIZUDVJZYGEU
      HUGZUIUJZXSUCYEVHZTAYGUEUFZYIUIUJZYPVIZUDVJZUEVKVOZVFZYRAYGVKVFZUUGSAIVKV
      FZDJVFZDVKGVLZUUHUUGVMPQRUUIUUJUUKVNUUHUUFVPVQUUGBCDUUFUCFUEGIJUDLMNOUUFW
      GZVRBCDUUFUCFUEGIJUDLMNOUULVSVTWAWBUUGUUHYRUUEYRUEYGVKUUBYGURZUUDYQUDUUMU
      UCYJYPUUBYGYIUIWCWDWEWFWHWIUAYQYTUUAVIUDEKYHEURZYJYTYPUUAUUNYIYSYGUIYHEUH
      WJWKUUNYMXSUCYOYEUUNYNYDDUQYHEICWLWMUUNYLXRNDUUNXPBYKXQYHEWNWOWPWQWRWSWTA
      HYEVFZYDDHVLZUBAUUJYDXAVFUUOUUPVMQEICXBDYDHJXAXCXDXEXF $.
  $}

  ${
    $d c f n s x F $.  $d a b c f i n s x M $.  $d c f n s x R $.
    $d c f n s x V $.
    $( The Ramsey number is either a nonnegative integer or plus infinity.
       (Contributed by Mario Carneiro, 20-Apr-2015.)  (Revised by AV,
       14-Sep-2020.) $)
    ramcl2 $p |- ( ( M e. NN0 /\ R e. V /\ F : R --> NN0 ) ->
      ( M Ramsey F ) e. ( NN0 u. { +oo } ) ) $=
      ( vn vs vc vx va vi vb vf cn0 wcel co cpnf cv chash cfv wa wf w3a csn cun
      cram cle wbr cvv wceq cpw crab cmpo ccnv cima wss wrex cmap wral wi c0 cr
      wal clt cinf cif eqid ramcl2lem iftrue sylan9eq ssun2 pnfex snss eqeltrdi
      mpbir wne ssun1 ramtcl2 biimpar sselid pm2.61dane ) CMNADNAMBUAUBZCBUEOZM
      PUCZUDZNEQFQZRSUFUGGQZBSHQZRSUFUGWGCIJUHMKQRSJQUIKIQUJUKULZOLQUMWFUCUNUOT
      HWEUJUPGAUPLAWECWHOUQOURUSFVBEMUKZUTWAWIUTUIZTWBPWDWAWJWBWJPWIVAVCVDZVEPH
      WHAWILJEBCDFIKGWHVFZWIVFZVGWJPWKVHVIPWDNWCWDUOWCMVJPWDVKVLVNVMWAWIUTVOZTM
      WDWBMWCVPWAWBMNWNHWHAWILJEBCDFIKGWLWMVQVRVSVT $.
  $}

  $( The Ramsey number is an extended real number.  (This theorem does not
     imply Ramsey's theorem, unlike ~ ramcl .)  (Contributed by Mario Carneiro,
     20-Apr-2015.) $)
  ramxrcl $p |- ( ( M e. NN0 /\ R e. V /\ F : R --> NN0 ) ->
    ( M Ramsey F ) e. RR* ) $=
    ( cn0 wcel wf w3a cpnf csn cun cxr cram co nn0ssre ressxr sstri wss pnfxr
    cr snssi ax-mp unssi ramcl2 sselid ) CEFADFAEBGHEIJZKLCBMNEUFLETLOPQILFUFLR
    SILUAUBUCABCDUDUE $.

  $( If the Ramsey number is upper bounded, then it is an integer.
     (Contributed by Mario Carneiro, 20-Apr-2015.) $)
  ramubcl $p |- ( ( ( M e. NN0 /\ R e. V /\ F : R --> NN0 ) /\
    ( A e. NN0 /\ ( M Ramsey F ) <_ A ) ) -> ( M Ramsey F ) e. NN0 ) $=
    ( cn0 wcel wf w3a cram co cle wbr wa cpnf csn wceq wn cr cxr nn0re ltpnf wb
    rexr pnfxr xrltnle sylancl mpbid ad2antrl simprr breq1 syl5ibcom mtod elsni
    clt syl nsyl cun wo ramcl2 adantr elun sylib ord mt3d ) DFGBEGBFCHIZAFGZDCJ
    KZALMZNZNZVHFGZVHOPZGZVKVHOQZVNVKVOOALMZVGVPRZVFVIVGASGZVQAUAVRAOUOMZVQAUBV
    RATGOTGVSVQUCAUDUEAOUFUGUHUPUIVKVIVOVPVFVGVIUJVHOALUKULUMVHOUNUQVKVLVNVKVHF
    VMURGZVLVNUSVFVTVJBCDEUTVAVHFVMVBVCVDVE $.

  ${
    $d c x C $.  $d c x F $.  $d c x G $.  $d a b c i x M $.  $d c x ph $.
    $d c x N $.  $d c x R $.  $d c x V $.
    ramlb.c $e |- C = ( a e. _V , i e. NN0 |->
      { b e. ~P a | ( # ` b ) = i } ) $.
    ramlb.m $e |- ( ph -> M e. NN0 ) $.
    ramlb.r $e |- ( ph -> R e. V ) $.
    ramlb.f $e |- ( ph -> F : R --> NN0 ) $.
    ramlb.s $e |- ( ph -> N e. NN0 ) $.
    ramlb.g $e |- ( ph -> G : ( ( 1 ... N ) C M ) --> R ) $.
    ramlb.i $e |- ( ( ph /\ ( c e. R /\ x C_ ( 1 ... N ) ) ) ->
      ( ( x C M ) C_ ( `' G " { c } ) -> ( # ` x ) < ( F ` c ) ) ) $.
    $( Establish a lower bound on a Ramsey number.  (Contributed by Mario
       Carneiro, 22-Apr-2015.) $)
    ramlb $p |- ( ph -> N < ( M Ramsey F ) ) $=
      ( cram co clt wbr cle wn wa cv cfv chash ccnv csn cima wss c1 cfz cpw cfn
      wrex cn0 wcel adantr simpr ramubcl syl32anc fzfid wceq hashfz1 syl breq2d
      wf biimpar rami wi elpwi adantlr simprr ssfid hashcl nn0red simpl ffvelrn
      syl2an ltnled sylibd sylanr2 con2d imnan sylib pm2.21d rexlimdvva mpd cxr
      pm2.01da wb rexrd ramxrcl syl3anc xrltnle syl2anc mpbird ) AIHFUAUBZUCUDZ
      XBIUEUDZUFZAXDAXDUGZMUHZFUIZBUHZUJUIZUEUDZXIHCUBGUKXGULUMUNZUGZBUOIUPUBZU
      QZUSMDUSXEXFBCDXNEFGHJURKLMNAHUTVAZXDOVBZADJVAZXDPVBZADUTFVKZXDQVBZXFXPXR
      XTIUTVAZXDXBUTVAXQXSYAAYBXDRVBAXDVCIDFHJVDVEXFUOIVFAXBXNUJUIZUEUDXDAYCIXB
      UEAYBYCIVGRIVHVIVJVLAXNHCUBDGVKXDSVBVMXFXMXEMBDXOXFXGDVAZXIXOVAZUGUGZXMXE
      YFXKXLUFVNXMUFYFXLXKYEXFYDXIXNUNZXLXKUFZVNXIXNVOXFYDYGUGZUGZXLXJXHUCUDZYH
      AYIXLYKVNXDTVPYJXJXHYJXJYJXIURVAXJUTVAYJXNXIYJUOIVFXFYDYGVQVRXIVSVIVTYJXH
      XFXTYDXHUTVAYIYAYDYGWADUTXGFWBWCVTWDWEWFWGXKXLWHWIWJWKWLWNAIWMVAXBWMVAZXC
      XEWOAIAIRVTWPAXPXRXTYLOPQDFHJWQWRIXBWSWTXA $.
  $}

  ${
    $d b d z $.  $d c f s x C $.  $d a b c f i s x M $.  $d c d f s x y z R $.
    $d a c d f i s x y z F $.  $d c d f s x z V $.
    $( The Ramsey number when ` M = 0 ` .  (Contributed by Mario Carneiro,
       22-Apr-2015.) $)
    0ram $p |- ( ( ( R e. V /\ R =/= (/) /\ F : R --> NN0 ) /\ E. x e. ZZ
      A. y e. ran F y <_ x ) -> ( 0 Ramsey F ) = sup ( ran F , RR , < ) ) $=
      ( va vi vb vc wcel c0 cn0 cv cle wbr wa cc0 wceq cfv adantr vz vf wne w3a
      vs vd wf crn wral cz wrex cram co cr clt csup cvv cpw crab cmpo eqid 0nn0
      chash a1i simpl1 simpl3 frnd wss nn0ssz sstrdi fdmd simpl2 eqnetrd dm0rn0
      cdm necon3bii sylib simpr suprzcl2 syl3anc sseldd ccnv cima hashbc0 feq2i
      csn elv biimpi simprr 0ex snid ffvelrn sylancl pwid ffvelrnd nn0red rexrd
      vex cxr hashxrcl mp1i wfn ffnd fnfvelrn syl2anc suprzub simprl xrletrd wb
      fvex elpreima 3syl mpbir2and fveq2 breq1d sseq1i snss bitr4i sneq imaeq2d
      ffn eleq2d syl5bb anbi12d breq2d anbi1d rspc2ev syl112anc sylanr2 fvelrnb
      ramub mpbid c1 cfz ax-mp cfn mpbird syl syl5ibcom breq1 cmin cop ad2antll
      cn simpll1 simpll3 nnm1nn0 wf1o f1osn f1of snssd sylancr ovex sylibr cdom
      fss fzfid ssdomg ssfid hashdom hashfz1 breqtrd hashcl ffvelrnda nn0ltlem1
      sylc adantrr fvsn f1ofn mp2b simprbi eqeltrrid elsni fveq2d ramlb ramubcl
      syl5bi syl32anc nn0lem1lt expr nn0ge0d syl5ibrcom wo mpjaod rexlimdva mpd
      elnn0 letri3d ) CEJZCKUCZCLDUGZUDZBMAMNOBDUHZUIAUJUKZPZQDULUMZUWMUNUOUPZR
      UWPUWQNOZUWQUWPNOZUWOUAFGUQLHMVCSGMRHFMURUSUTZCUBGDQUWQEUEFHIUWTVAZQLJZUW
      OVBVDZUWIUWJUWKUWNVEZUWIUWJUWKUWNVFZUWOUWMLUWQUWOCLDUXEVGZUWOUWMUJVHZUWMK
      UCZUWNUWQUWMJZUWOUWMLUJUXFVIVJZUWODVOZKUCUXHUWOUXKCKUWOCLDUXEVKUWIUWJUWKU
      WNVLVMUXKKUWMKDVNVPVQUWLUWNVRZABUWMVSVTZWAZUEMZQUWTUMZCUBMZUGZUWOUWQUXOVC
      SZNOZKWFZCUXQUGZIMZDSZUAMZVCSZNOZUYEQUWTUMZUXQWBZUYCWFZWCZVHZPZUAUXOURZUK
      ICUKZUXRUYBUXPUYACUXQUXPUYARUEUXOUWTGUQFHUXAWDWGWEWHUWOUXTUYBPZPZKUXQSZCJ
      ZUXOUYNJZUYRDSZUXSNOZKUYIUYRWFZWCZJZUYOUYQUYBKUYAJZUYSUWOUXTUYBWIZKWJWKZU
      YACKUXQWLWMZUYTUYQUXOUEWRZWNVDUYQVUAUWQUXSUYQVUAUYQVUAUYQCLUYRDUWOUWKUYPU
      XETZVUIWOWPWQUWOUWQWSJUYPUWOUWQUWOUWQUXNWPZWQTUXOUQJUXSWSJUYQVUJUXOUQWTXA
      UYQUXGUWNVUAUWMJZVUAUWQNOUWOUXGUYPUXJTUWOUWNUYPUXLTUYQDCXBZUYSVUMUYQCLDVU
      KXCVUICUYRDXDXEABUWMVUAXFVTUWOUXTUYBXGXHUYQVUEVUFUYRVUCJZVUFUYQVUHVDVUOUY
      QUYRKUXQXJWKVDUYQUYBUXQUYAXBVUEVUFVUOPXIVUGUYACUXQYAUYAKVUCUXQXKXLXMUYMVU
      BVUEPVUAUYFNOZVUEPIUAUYRUXOCUYNUYCUYRRZUYGVUPUYLVUEVUQUYDVUAUYFNUYCUYRDXN
      XOUYLKUYKJZVUQVUEUYLUYAUYKVHVURUYHUYAUYKUYHUYARUAUYEUWTGUQFHUXAWDWGZXPKUY
      KWJXQXRVUQUYKVUDKVUQUYJVUCUYIUYCUYRXSXTYBYCYDUYEUXORZVUPVUBVUEVUTUYFUXSVU
      ANUYEUXOVCXNYEYFYGYHYIYKZUWOUYDUWQRZICUKZUWSUWOUXIVVCUXMUWOUWKVUNUXIVVCXI
      UXECLDYAICUWQDYJXLYLUWOVVBUWSICUWOUYCCJZPZUYDUWPNOZVVBUWSVVEUYDUUDJZVVFUY
      DQRZUWOVVDVVGVVFUWOVVDVVGPZPZVVFUYDYMUUAUMZUWPUOOZVVJUAUWTCGDKUYCUUBWFZQV
      VKEFHUFUXAUXBVVJVBVDUWIUWJUWKUWNVVIUUEUWIUWJUWKUWNVVIUUFVVGVVKLJZUWOVVDUY
      DUUGUUCZVVJUYACVVMUGZYMVVKYNUMZQUWTUMZCVVMUGVVJUYAUYJVVMUGZUYJCVHVVPUYAUY
      JVVMUUHZVVSKUYCWJIWRZUUIZUYAUYJVVMUUJYOVVJUYCCUWOVVDVVGXGUUKUYAUYJCVVMUUP
      UULVVRUYACVVMVVQUQJVVRUYARYMVVKYNUUMVVQUWTGUQFHUXAWDYOWEUUNUYHVVMWBUFMZWF
      ZWCZVHZKVWEJZVVJVWCCJZUYEVVQVHZPZPZUYFVWCDSZUOOZVWFUYAVWEVHVWGUYHUYAVWEVU
      SXPKVWEWJXQXRVWKUYFUYDUOOZVWGVWMVWKVWNUYFVVKNOZVWKUYFVVQVCSZVVKNVWKUYFVWP
      NOZUYEVVQUUOOZVWKVVQYPJZVWIVWRVWKYMVVKUUQZVVJVWHVWIWIZUYEVVQYPUURUVFVWKUY
      EYPJZVWSVWQVWRXIVWKVVQUYEVWTVXAUUSZVWTUYEVVQYPUUTXEYQVWKVVNVWPVVKRVVJVVNV
      WJVVOTVVKUVAYRUVBVWKUYFLJZUYDLJZVWNVWOXIVWKVXBVXDVXCUYEUVCYRVVJVXEVWJUWOV
      VDVXEVVGUWOCLUYCDUXEUVDZUVGZTUYFUYDUVEXEYQVWGUYDVWLUYFUOVWGUYCVWCDVWGUYCV
      WDJUYCVWCRVWGUYCKVVMSZVWDKUYCWJVWAUVHVWGVUFVXHVWDJZVVTVVMUYAXBVWGVUFVXIPX
      IVWBUYAUYJVVMUVIUYAKVWDVVMXKUVJUVKUVLUYCVWCUVMYRUVNYEYSUVQUVOVVJVXEUWPLJZ
      VVFVVLXIVXGUWOVXJVVIUWOUXBUWIUWKUWQLJUWRVXJUXCUXDUXEUXNVVAUWQCDQEUVPUVRZT
      UYDUWPUVSXEYQUVTVVEVVFVVHQUWPNOVVEUWPUWOVXJVVDVXKTUWAUYDQUWPNYTUWBVVEVXEV
      VGVVHUWCVXFUYDUWGVQUWDUYDUWQUWPNYTYSUWEUWFUWOUWPUWQUWOUWPVXKWPVULUWHXM $.

    $( The Ramsey number when ` M = 0 ` .  (Contributed by Mario Carneiro,
       22-Apr-2015.) $)
    0ram2 $p |- ( ( R e. Fin /\ R =/= (/) /\ F : R --> NN0 ) ->
      ( 0 Ramsey F ) = sup ( ran F , RR , < ) ) $=
      ( vy vx cfn wcel c0 wne cn0 wf w3a cv cz wrex cr wceq wss 3ad2ant3 sstrdi
      sylib cle wbr crn wral cc0 cram clt csup frn nn0ssz nn0ssre wfo simp1 wfn
      co ffn dffn4 fofi syl2anc cdm fdm simp2 eqnetrd necon3bii fimaxre syl3anc
      dm0rn0 ssrexv sylc 0ram mpdan ) AEFZAGHZAIBJZKZCLDLUAUBCBUCZUDZDMNZUEBUFU
      OVPOUGUHPVOVPMQVQDVPNZVRVOVPIMVNVLVPIQVMAIBUIRZUJSVOVPOQVPEFZVPGHZVSVOVPI
      OVTUKSVOVLAVPBULZWAVLVMVNUMVOBAUNZWCVNVLWDVMAIBUPRABUQTAVPBURUSVOBUTZGHWB
      VOWEAGVNVLWEAPVMAIBVARVLVMVNVBVCWEGVPGBVGVDTDCVPVEVFVQDVPMVHVIDCABEVJVK
      $.

    $( The Ramsey number when ` R = (/) ` .  (Contributed by Mario Carneiro,
       22-Apr-2015.) $)
    ram0 $p |- ( M e. NN0 -> ( M Ramsey (/) ) = M ) $=
      ( vx va vi vb cn0 wcel c0 co wceq cle wbr cvv cv chash cfv a1i wa c1 cc0
      vf vs vc cram cpw crab cmpo eqid id 0ex wf ccnv csn cima wss wrex f00 vex
      f0 simpl hashbcval sylancr wne wex cfz cen cdom hashfz1 breq1d biimpar wb
      cfn fzfid hashdom sylancl mpbid domen sylib simprr velpw hasheni ad2antrl
      sylibr ad2antrr eqtr3d jca eximdv mpd df-rex rabn0 eqnetrd neneqd pm2.21d
      ex adantld syl5bi impr ramub cn wi cmin clt nnnn0 nnm1nn0 hashbc2 syl2anc
      cbc syl oveq1d cz wo nnz nnre ltm1d olcd bcval4 syl3anc 3eqtrd ovex ax-mp
      hasheq0 feq2d mpbiri noel pm2.21i ramlb ramubcl syl32anc nn0lem1lt mpbird
      syl2anc2 nn0ge0d breq1 syl5ibrcom elnn0 biimpi mpjaod nn0red letri3d
      nn0re mpbir2and ) AFGZAHUDIZAJUUCAKLZAUUCKLZUUBBCDMFENOPDNJECNUEUFUGZHUAD
      HAAMUBCEUCUUFUHZUUBUIZHMGZUUBUJQZHFHUKZUUBFUSZQZUUHUUBAUBNZOPZKLZUUNAUUFI
      ZHUANZUKZUCNZHPZBNZOPZKLUVBAUUFIZUURULUUTUMZUNUORBUUNUEZUPUCHUPZUUSUURHJZ
      UUQHJZRUUBUUPRZUVGUUQUURUQUVJUVIUVGUVHUVJUVIUVGUVJUUQHUVJUUQUVCAJZBUVFUFZ
      HUVJUUNMGZUUBUUQUVLJUBURZUUBUUPUTBUUNUUFDAMCEUUGVAVBUVJUVKBUVFUPZUVLHVCUV
      JUVBUVFGZUVKRZBVDZUVOUVJSAVEIZUVBVFLZUVBUUNUOZRZBVDZUVRUVJUVSUUNVGLZUWCUV
      JUVSOPZUUOKLZUWDUUBUWFUUPUUBUWEAUUOKAVHZVIVJUVJUVSVLGUVMUWFUWDVKUVJSAVMUV
      NUVSUUNMVNVOVPBUVSUUNUVNVQVRUVJUWBUVQBUVJUWBUVQUVJUWBRZUVPUVKUWHUWAUVPUVJ
      UVTUWAVSBUUNVTWCUWHUWEUVCAUVTUWEUVCJUVJUWAUVSUVBWAWBUUBUWEAJUUPUWBUWGWDWE
      WFWNWGWHUVKBUVFWIWCUVKBUVFWJWCWKWLWMWOWPWQWRZUUBAWSGZUUEATJZUWJUUEWTUUBUW
      JUUEASXAIZUUCXBLZUWJBUUFHDHHAUWLMCEUCUUGAXCZUUIUWJUJQUUKUWJUULQAXDZUWJSUW
      LVEIZAUUFIZHHUKHHHUKHUSUWJUWQHHHUWJUWQOPZTJZUWQHJZUWJUWRUWPOPZAXGIZUWLAXG
      IZTUWJUWPVLGUUBUWRUXBJUWJSUWLVMUWNUWPUUFDACEUUGXEXFUWJUXAUWLAXGUWJUWLFGZU
      XAUWLJUWOUWLVHXHXIUWJUXDAXJGATXBLZUWLAXBLZXKUXCTJUWOAXLUWJUXFUXEUWJAAXMXN
      XOAUWLXPXQXRUWQMGUWSUWTVKUWPAUUFXSUWQMYAXTVRYBYCUUTHGZUVDHULUVEUNUOUVCUVA
      XBLWTZUWJUVBUWPUOUXGUXHUUTYDYEWBYFUWJUUBUUCFGZUUEUWMVKUWNUUBUUBUUIUUKUUBU
      UDUXIUUHUUJUUMUUHUWIAHHAMYGYHZAUUCYIYKYJQUUBUUEUWKTUUCKLUUBUUCUXJYLATUUCK
      YMYNUUBUWJUWKXKAYOYPYQUUBUUCAUUBUUCUXJYRAYTYSUUA $.

    $( Lemma for ~ ramcl :  Existence of the Ramsey number when ` M = 0 ` .
       (Contributed by Mario Carneiro, 23-Apr-2015.) $)
    0ramcl $p |- ( ( R e. Fin /\ F : R --> NN0 ) -> ( 0 Ramsey F ) e. NN0 ) $=
      ( vy vx cfn wcel cn0 wa cc0 cram co c0 wceq wfo sylib wne cr wss 3ad2ant3
      cz wf crn wfn ffn dffn4 ad2antlr wb foeq2 adantl mpbid simplbi syl oveq2d
      fo00 0nn0 ram0 ax-mp eqeltri eqeltrdi w3a clt csup 0ram2 frn cle wbr wral
      cv wrex nn0ssz sstrdi cdm fdm simp2 eqnetrd dm0rn0 necon3bii nn0ssre fofi
      simp1 syl2anc fimaxre syl3anc ssrexv sylc sseldd eqeltrd 3expa pm2.61dane
      suprzcl2 an32s ) AEFZAGBUAZHZIBJKZGFZALWNALMZHZWOILJKZGWRBLIJWRLBUBZBNZBL
      MZWRAWTBNZXAWMXCWLWQWMBAUCXCAGBUDABUEOZUFWQXCXAUGWNALWTBUHUIUJXAXBWTLMWTB
      UNUKULUMWSIGIGFWSIMUOIUPUQUOURUSWLALPZWMWPWLXEWMWPWLXEWMUTZWOWTQVAVBZGABV
      CXFWTGXGWMWLWTGRXEAGBVDSZXFWTTRZWTLPZCVHDVHVEVFCWTVGZDTVIZXGWTFXFWTGTXHVJ
      VKZXFBVLZLPXJXFXNALWMWLXNAMXEAGBVMSWLXEWMVNVOXNLWTLBVPVQOZXFXIXKDWTVIZXLX
      MXFWTQRWTEFZXJXPXFWTGQXHVRVKXFWLXCXQWLXEWMVTWMWLXCXEXDSAWTBVSWAXODCWTWBWC
      XKDWTTWDWEDCWTWJWCWFWGWHWKWI $.

    $( The Ramsey number when ` F ` has value zero for some color ` C ` .
       (Contributed by Mario Carneiro, 22-Apr-2015.) $)
    ramz2 $p |- ( ( ( M e. NN /\ R e. V /\ F : R --> NN0 ) /\
      ( C e. R /\ ( F ` C ) = 0 ) ) -> ( M Ramsey F ) = 0 ) $=
      ( vx va vi vb wcel cn0 cfv cc0 wceq wa cle wbr cv chash c0 vf vs vc cn wf
      w3a cram cvv cpw crab cmpo eqid simpl1 nnnn0d simpl2 simpl3 0nn0 a1i ccnv
      csn cima wss wrex simplrl 0elpw simplrr 0le0 eqbrtrdi simpll1 0hashbc syl
      0ss eqsstrdi fveq2 breq1d sneq imaeq2d sseq2d anbi12d hash0 eqtrdi breq2d
      co oveq1 sseq1d rspc2ev syl112anc ramub ramubcl syl32anc nn0le0eq0 mpbid
      wb ) DUDJZBEJZBKCUEZUFZABJZACLZMNZOZOZDCUGWCZMPQZXCMNZXBFGHUHKIRSLHRNIGRU
      IUJUKZBUAHCDMEUBGIUCXFULZXBDWNWOWPXAUMUNZWNWOWPXAUOZWNWOWPXAUPZMKJZXBUQUR
      ZXBMUBRZSLPQXMDXFWCBUARZUEOZOZWRTXMUIZJZWSMPQZTDXFWCZXNUSZAUTZVAZVBZUCRZC
      LZFRZSLZPQZYGDXFWCZYAYEUTZVAZVBZOZFXQVCUCBVCWQWRWTXOVDXRXPXMVEURXPWSMMPWQ
      WRWTXOVFVGVHXPXTTYCXPWNXTTNWNWOWPXAXOVIXFHDGIXGVJVKYCVLVMYNXSYDOWSYHPQZYJ
      YCVBZOUCFATBXQYEANZYIYOYMYPYQYFWSYHPYEACVNVOYQYLYCYJYQYKYBYAYEAVPVQVRVSYG
      TNZYOXSYPYDYRYHMWSPYRYHTSLMYGTSVNVTWAWBYRYJXTYCYGTDXFWDWEVSWFWGWHZXBXCKJZ
      XDXEWMXBDKJWOWPXKXDYTXHXIXJXLYSMBCDEWIWJXCWKVKWL $.

    $( The Ramsey number when ` F ` is the zero function.  (Contributed by
       Mario Carneiro, 22-Apr-2015.) $)
    ramz $p |- ( ( M e. NN0 /\ R e. V /\ R =/= (/) ) ->
      ( M Ramsey ( R X. { 0 } ) ) = 0 ) $=
      ( vc vy vx cn0 wcel cc0 cram co wceq wa cv a1i cr clt cle wral cz wne csn
      c0 cxp cn wo wi elnn0 wex n0 wf cfv simpll simplr fconst6 simpr fvconst2g
      0nn0 sylancr ramz2 syl32anc ex exlimdv syl5bi expimpd crn csup wrex simpl
      wbr 0z 0le0 eqbrtrdi rgen rnxp adantl raleqdv mpbiri brralrspcev syl31anc
      elsni 0ram supeq1d wor ltso supsn mp2an 3eqtrd oveq1 eqeq1d syl5ibr sylbi
      0re jaoi 3impib ) BGHZACHZAUCUAZBAIUBZUDZJKZILZWPBUEHZBILZUFWQWRMZXBUGZBU
      HXCXFXDXCWQWRXBWRDNZAHZDUIXCWQMZXBDAUJXIXHXBDXIXHXBXIXHMZXCWQAGWTUKZXHXGW
      TULILZXBXCWQXHUMXCWQXHUNXKXJAIGURUOZOXIXHUPZXJIGHXHXLURXNAIXGGUQUSXGAWTBC
      UTVAVBVCVDVEXEXBXDIWTJKZILXEXOWTVFZPQVGZWSPQVGZIXEWQWRXKENZFNRVJEXPSFTVHZ
      XOXQLWQWRVIWQWRUPXKXEXMOXEITHXSIRVJZEXPSZXTVKXEYBYAEWSSYAEWSXSWSHXSIIRXSI
      WAVLVMVNXEYAEXPWSWRXPWSLWQAWSVOVPZVQVRFEXSIRTXPVSUSFEAWTCWBVTXEPXPWSQYCWC
      XRILZXEPQWDIPHYDWEWMPIQWFWGOWHXDXAXOIBIWTJWIWJWKWNWLWO $.
  $}

  ${
    $d u x D $.  $d c d f s u v w x y z F $.  $d a b c d f i s u v w x y z M $.
    $d a c d f i s u v w x y z G $.  $d c d f s u v w x y z R $.  $d a i u W $.
    $d c d f s u v w x y z ph $.  $d a c d i u v w x y z S $.  $d a i x z V $.
    $d c d u v w x y z C $.  $d c d u v w x y z H $.  $d c d u v w x y z K $.
    $d x z E $.  $d a c d i u v w x y z X $.
    ramub1.m $e |- ( ph -> M e. NN ) $.
    ramub1.r $e |- ( ph -> R e. Fin ) $.
    ramub1.f $e |- ( ph -> F : R --> NN ) $.
    ramub1.g $e |- G = ( x e. R |-> ( M Ramsey ( y e. R |->
      if ( y = x , ( ( F ` x ) - 1 ) , ( F ` y ) ) ) ) ) $.
    ramub1.1 $e |- ( ph -> G : R --> NN0 ) $.
    ramub1.2 $e |- ( ph -> ( ( M - 1 ) Ramsey G ) e. NN0 ) $.
    ${
      ramub1.3 $e |- C = ( a e. _V , i e. NN0 |->
        { b e. ~P a | ( # ` b ) = i } ) $.
      ramub1.4 $e |- ( ph -> S e. Fin ) $.
      ramub1.5 $e |- ( ph -> ( # ` S ) = ( ( ( M - 1 ) Ramsey G ) + 1 ) ) $.
      ramub1.6 $e |- ( ph -> K : ( S C M ) --> R ) $.
      ramub1.x $e |- ( ph -> X e. S ) $.
      ramub1.h $e |- H = ( u e. ( ( S \ { X } ) C ( M - 1 ) ) |->
        ( K ` ( u u. { X } ) ) ) $.
      ${
        ramub1.d $e |- ( ph -> D e. R ) $.
        ramub1.w $e |- ( ph -> W C_ ( S \ { X } ) ) $.
        ramub1.7 $e |- ( ph -> ( G ` D ) <_ ( # ` W ) ) $.
        ramub1.8 $e |- ( ph -> ( W C ( M - 1 ) ) C_ ( `' H " { D } ) ) $.
        ramub1.e $e |- ( ph -> E e. R ) $.
        ramub1.v $e |- ( ph -> V C_ W ) $.
        ramub1.9 $e |- ( ph ->
          if ( E = D , ( ( F ` D ) - 1 ) , ( F ` E ) ) <_ ( # ` V ) ) $.
        ramub1.s $e |- ( ph -> ( V C M ) C_ ( `' K " { E } ) ) $.
        $( Lemma for ~ ramub1 .  (Contributed by Mario Carneiro,
           23-Apr-2015.) $)
        ramub1lem1 $p |- ( ph -> E. z e. ~P S
          ( ( F ` E ) <_ ( # ` z ) /\ ( z C M ) C_ ( `' K " { E } ) ) ) $=
          ( cfv cv chash cle wbr co ccnv csn cima wss wa cpw wrex wceq cun wcel
          cfn cdif sstrd difss2d snssd unssd sselpwd adantr c1 caddc cif iftrue
          cmin adantl eqbrtrrd cn ffvelrnd nnred 1red cr cn0 ssfid hashcl nn0re
          3syl lesubaddd mpbid fveq2 snidg syl sseld eldifn syl6 mt2d hashunsng
          wn wi mp2and breqan12rd mpbird crab sylancl hashbcval syl2anc simpl1l
          eqsstrrd simpr simpl3 rabid sylanbrc sseldd elpw sylibr fveq2d eqtr3d
          sylib cc breq2d oveq1 sseq1d anbi12d rspcev syl12anc snfi unfi nnnn0d
          w3a simpl2 elpwid vex eleqtrrd nnm1nn0 fveqeq2 uncom sseqtrdi ssundif
          difexi diffi nn0cn ax-1cn pncan undif1 eldifd elpwunsn ssequn2 oveq1d
          neldifsnd eqtr2id elrabd eleqtrd uneq1 fveqeq2d elrab simprbi simpl1r
          mptiniseg 3eqtr4d wfn wb fniniseg mpbir2and pm2.61dan rabssdv eqsstrd
          ffnd wne ifnefalse pm2.61dane ) AKLVBZDVCZVDVBZVEVFZUWGPFVGZOVHKVIVJZ
          VKZVLZDIVMZVNZKGAKGVOZVLZQSVIZVPZUWNVQZUWFUWSVDVBZVEVFZUWSPFVGZUWKVKZ
          UWOAUWTUWPAUWSIVRUIAQUWRIAQIUWRAQRIUWRVSZUSUOVTZWAZASIULWBWCZWDWEUWQU
          XBGLVBZQVDVBZWFWGVGZVEVFZUWQUXIWFWJVGZUXJVEVFUXLUWQUWPUXMUWFWHZUXMUXJ
          VEUWPUXNUXMVOAUWPUXMUWFWIWKAUXNUXJVEVFZUWPUTWEWLUWQUXIWFUXJUWQUXIAUXI
          WMVQUWPAHWMGLUDUNWNWEWOUWQWPAUXJWQVQZUWPAQVRVQZUXJWRVQUXPAIQUIUXGWSZQ
          WTUXJXAXBWEXCXDUWPAUWFUXIUXAUXKVEKGLXEAUXQSQVQZXMZUXAUXKVOZUXRAUXSSUW
          RVQZASIVQZUYBULSIXFXGAUXSSUXEVQUYBXMAQUXESUXFXHSIUWRXIXJXKAUYCUXQUXTV
          LUYAXNULQSIXLXGXOXPXQUWQUXCBVCZVDVBZPVOZBUWSVMZXRZUWKAUXCUYHVOZUWPAUW
          SVRVQZPWRVQZUYIAUXQUWRVRVQUYJUXRSUUAQUWRUUBXSAPUBUUCZBUWSFJPVRTUAUHXT
          YAWEUWQUYFBUYGUWKUWQUYDUYGVQZUYFUUDZUYDQVMZVQZUYDUWKVQZUYNUYPVLZUYFBU
          YOXRZUWKUYDUYRAUYSUWKVKAUWPUYMUYFUYPYBAUYSQPFVGZUWKAUXQUYKUYTUYSVOUXR
          UYLBQFJPVRTUAUHXTYAVAYCXGUYRUYPUYFUYDUYSVQUYNUYPYDUWQUYMUYFUYPYEUYFBU
          YOYFYGYHUYNUYPXMZVLZUYQUYDIPFVGZVQZUYDOVBZKVOZVUBUYDUYFBUWNXRZVUCVUBU
          YDUWNVQZUYFUYDVUGVQVUBUYDIVKVUHVUBUYDUWSIVUBUYDUWSUWQUYMUYFVUAUUEZUUF
          ZVUBAUWSIVKAUWPUYMUYFVUAYBZUXHXGVTZUYDIBUUGZYIYJUWQUYMUYFVUAYEZUYFBUW
          NYFYGVUBAVUCVUGVOZVUKAIVRVQZUYKVUOUIUYLBIFJPVRTUAUHXTYAXGUUHVUBUYDUWR
          VSZUWRVPZOVBZGVUEKVUBVUQEVCZUWRVPZOVBZGVOZEUXEPWFWJVGZFVGZXRZVQZVUSGV
          OZVUBVUQNVHGVIVJZVVFVUBVUTVDVBVVDVOZERVMZXRZVVIVUQVUBAVVLVVIVKVUKAVVL
          RVVDFVGZVVIARVRVQVVDWRVQZVVMVVLVOAIRUIARIUWRUOWAWSAPWMVQVVNUBPUUIXGER
          FJVVDVRTUAUHXTYAUQYCXGVUBVVJVUQVDVBZVVDVOEVUQVVKVUTVUQVVDVDUUJVUBVUQR
          VKVUQVVKVQVUBVUQQRVUBUYDUWRQVPZVKVUQQVKVUBUYDUWSVVPVUJQUWRUUKUULUYDUW
          RQUUMYMVUBAQRVKVUKUSXGVTVUQRUYDUWRVUMUUNYIYJVUBVVOWFWGVGZWFWJVGZVVOVV
          DVUBVVOYNVQZWFYNVQVVRVVOVOVUBVUQVRVQZVVOWRVQVVSVUBUYDVRVQVVTVUBIUYDVU
          BAVUPVUKUIXGVULWSUYDUWRUUOXGZVUQWTVVOUUPXBUUQVVOWFUURXSVUBVVQPWFWJVUB
          VURVDVBZVVQPVUBVVTSVUQVQXMZVWBVVQVOZVWAVUBSUYDUVDVUBAUYCVVTVWCVLVWDXN
          VUKULVUQSIXLXBXOVUBUYEVWBPVUBUYDVURVDVUBVURUYDUWRVPZUYDUYDUWRUUSVUBUW
          RUYDVKVWEUYDVOVUBSUYDVUBUYDUYGUYOVSVQSUYDVQVUBUYDUYGUYOVUIUYNVUAYDUUT
          UYDQSUVAXGWBUWRUYDUVBYMUVEZYKVUNYLYLUVCYLUVFYHVUBAGHVQVVIVVFVOVUKUNEV
          VEVVBGNHUMUVMXBUVGVVGVUQVVEVQVVHVVCVVHEVUQVVEVUTVUQVOVVAVURGOVUTVUQUW
          RUVHUVIUVJUVKXGVUBUYDVUROVWFYKAUWPUYMUYFVUAUVLUVNVUBAOVUCUVOUYQVUDVUF
          VLUVPVUKAVUCHOUKUWBVUCKUYDOUVQXBUVRUVSUVTUWAUWMUXBUXDVLDUWSUWNUWGUWSV
          OZUWIUXBUWLUXDVWGUWHUXAUWFVEUWGUWSVDXEYOVWGUWJUXCUWKUWGUWSPFYPYQYRYSY
          TAKGUWCZVLZQUWNVQZUWFUXJVEVFZUYTUWKVKZUWOAVWJVWHAQIVRUIUXGWDWEVWIUXNU
          WFUXJVEVWHUXNUWFVOAKGUXMUWFUWDWKAUXOVWHUTWEWLAVWLVWHVAWEUWMVWKVWLVLDQ
          UWNUWGQVOZUWIVWKUWLVWLVWMUWHUXJUWFVEUWGQVDXEYOVWMUWJUYTUWKUWGQPFYPYQY
          RYSYTUWE $.
      $}

      $( Lemma for ~ ramub1 .  (Contributed by Mario Carneiro, 23-Apr-2015.) $)
      ramub1lem2 $p |- ( ph -> E. c e. R E. z e. ~P S
        ( ( F ` c ) <_ ( # ` z ) /\ ( z C M ) C_ ( `' K " { c } ) ) ) $=
        ( vd vw vv cv cfv chash cle wbr c1 cmin ccnv csn cima wss cdif cpw wrex
        co wa cfn cn wcel cn0 nnm1nn0 syl diffi cram nn0red leidd hashcl nn0cnd
        1cnd cun caddc undif1 snssd ssequn2 sylib eqtrid fveq2d wn neldifsnd wi
        wceq hashunsng mp2and 3eqtr3d addcan2ad breqtrrd wf adantr crab fveqeq2
        hashbcval syl2anc eleq2d elrab bitrdi simprbda elpwid difss2d unssd vex
        snex unex sylibr ssfid ssneldd simplbda oveq1d cc nncnd nnnn0d ffvelrnd
        elpw fmptd rami weq cif cmpt simprll fveq2 ovex simprlr simprrl simprrr
        fvmpt ad2antrr expr mpd ax-1cn sylancl 3eqtrd elrabd eleqtrrd ffvelrnda
        npcan ifcld equequ2 ifbieq1d mpteq2dv oveq2d eqeltrrd eqbrtrrd hashbcss
        cres eqid syl3anc fssresd ifbieq2d fvex ifex ad2antrl breq1d anbi1d cin
        equequ1 cnvresima eqsstri sstrdi ramub1lem1 sylbid rexlimdva rexlimdvva
        inss1 anassrs reximdva ) AUKUNZKUOZULUNZUPUOZUQURZUVTNUSUTVHZFVHLVAUVRV
        BVCVDZVIZULHOVBZVEZVFZVGUKGVGRUNZJUOZDUNZUPUOUQURUWKNFVHMVAUWIVBZVCZVDV
        IDHVFZVGZRGVGZAULFGUWGIKLUWCVJVJPQUKUEANVKVLZUWCVMVLZSNVNVOZTUCUDAHVJVL
        ZUWGVJVLZUFHUWFVPVOZAUWCKVQVHZUXCUWGUPUOZUQAUXCAUXCUDVRVSAUXDUXCUSAUXDA
        UXAUXDVMVLUXBUWGVTVOWAAUXCUDWAAWBAUWGUWFWCZUPUOZHUPUOZUXDUSWDVHZUXCUSWD
        VHZAUXEHUPAUXEHUWFWCZHHUWFWEAUWFHVDZUXJHWNAOHUIWFZUWFHWGWHWIWJAUXAOUWGV
        LWKZUXFUXHWNZUXBAOHWLAOHVLZUXAUXMVIUXNWMUIUWGOHWOVOWPUGWQWRWSAEUWGUWCFV
        HZEUNZUWFWCZMUOGLAUXQUXPVLZVIZHNFVHZGUXRMAUYAGMWTZUXSUHXAUXTUXRBUNZUPUO
        ZNWNZBUWNXBZUYAUXTUYEUXRUPUOZNWNBUXRUWNUYCUXRNUPXCUXTUXRHVDUXRUWNVLUXTU
        XQUWFHUXTUXQHUWFUXTUXQUWGAUXSUXQUWHVLZUXQUPUOZUWCWNZAUXSUXQUYDUWCWNZBUW
        HXBZVLUYHUYJVIAUXPUYLUXQAUXAUWRUXPUYLWNUXBUWSBUWGFIUWCVJPQUEXDXEXFUYKUY
        JBUXQUWHUYCUXQUWCUPXCXGXHZXIXJZXKAUXKUXSUXLXAXLUXRHUXQUWFEXMOXNXOYEXPUX
        TUYGUYIUSWDVHZUWCUSWDVHZNUXTUXQVJVLZOUXQVLWKZUYGUYOWNZUXTUWGUXQAUXAUXSU
        XBXAUYNXQUXTUXQUWGOUYNUXTOHWLXRUXTUXOUYQUYRVIUYSWMAUXOUXSUIXAUXQOHWOVOW
        PUXTUYIUWCUSWDAUXSUYHUYJUYMXSXTAUYPNWNZUXSANYAVLUSYAVLUYTANSYBUUANUSUUG
        UUBXAUUCUUDAUYAUYFWNZUXSAUWTNVMVLZVUAUFANSYCZBHFINVJPQUEXDXEXAUUEYDUJYF
        YGAUWEUWPUKULGUWHAUVRGVLZUVTUWHVLZVIZUWEUWPAVUFUWEVIZVIZUWICGCUKYHZUVRJ
        UOZUSUTVHZCUNZJUOZYIZYJZUOZUMUNZUPUOZUQURZVUQNFVHZMUVTNFVHZUUPZVAUWLVCZ
        VDZVIZUMUVTVFZVGZRGVGUWPVUHUMFGUVTIVUOVVBNVJUWHPQRUEAVUBVUGVUCXAZAGVJVL
        ZVUGTXAVUHCGVUNVMVUOVUHVULGVLZVIZVUIVUKVUMVMVUHVUKVMVLZVVJVUHVUJVKVLVVL
        VUHGVKUVRJAGVKJWTZVUGUAXAZAVUDVUEUWEYKZYDVUJVNVOXAVVKVUMVUHGVKVULJVVNUU
        FYCUUHVUOUUQZYFVUHUVSNVUOVQVHZVMVUHVUDUVSVVQWNVVOBUVRNCGCBYHZUYCJUOZUSU
        TVHZVUMYIZYJZVQVHVVQGKBUKYHZVWBVUONVQVWCCGVWAVUNVWCVVRVUIVVTVUKVUMBUKCU
        UIVWCVVSVUJUSUTUYCUVRJYLXTUUJUUKUULUBNVUOVQYMYQVOZVUHGVMUVRKAGVMKWTZVUG
        UCXAVVOYDUUMAVUDVUEUWEYNZVUHUVSVVQUWAUQVWDAVUFUWBUWDYOZUUNVUHUYAGVVAMAU
        YBVUGUHXAVUHUWTUVTHVDVUBVVAUYAVDAUWTVUGUFXAVUHUVTHUWFVUHUVTUWGVWFXJZXKV
        VHHUVTFINVJPQUEUUOUURUUSYGVUHVVGUWORGVUHUWIGVLZVIVVEUWOUMVVFVUHVWIVUQVV
        FVLZVVEUWOWMVUHVWIVWJVIZVIZVVERUKYHZVUKUWJYIZVURUQURZVVDVIZUWOVWLVUSVWO
        VVDVWLVUPVWNVURUQVWIVUPVWNWNVUHVWJCUWIVUNVWNGVUOCRYHVUIVWMVUMUWJVUKCRUK
        UVGVULUWIJYLUUTVVPVWMVUKUWJVUJUSUTYMUWIJUVAUVBYQUVCUVDUVEVUHVWKVWPUWOVU
        HVWKVWPVIZVIZBCDEFUVRGHIUWIJKLMNVUQUVTOPQAUWQVUGVWQSYRAVVIVUGVWQTYRAVVM
        VUGVWQUAYRUBAVWEVUGVWQUCYRAUXCVMVLVUGVWQUDYRUEAUWTVUGVWQUFYRAUXGUXIWNVU
        GVWQUGYRAUYBVUGVWQUHYRAUXOVUGVWQUIYRUJVUHVUDVWQVVOXAVUHUVTUWGVDVWQVWHXA
        VUHUWBVWQVWGXAVUHUWDVWQAVUFUWBUWDYPXAVUHVWIVWJVWPYKVWRVUQUVTVUHVWIVWJVW
        PYNXJVUHVWKVWOVVDYOVWRVUTVVCUWMVUHVWKVWOVVDYPVVCUWMVVAUVFUWMVVAUWLMUVHU
        WMVVAUVOUVIUVJUVKYSUVLUVPUVMUVQYTYSUVNYT $.
    $}

    $( Inductive step for Ramsey's theorem, in the form of an explicit upper
       bound.  (Contributed by Mario Carneiro, 23-Apr-2015.) $)
    ramub1 $p |- ( ph -> ( M Ramsey F ) <_ ( ( ( M - 1 ) Ramsey G ) + 1 ) ) $=
      ( cn0 cv cfv co cn wcel adantr vz va vi vb vf vs vc vw vu vv cvv wceq cpw
      chash crab cmpo c1 cmin cram caddc cfn eqid nnnn0d wf wss nnssnn0 sylancl
      fss peano2nn0 syl wa wex cle wbr ccnv csn cima wrex c0 wne simprl nn0p1nn
      eqeltrd wb hashclb elv sylibr hashnncl mpbid n0 sylib cun adantrr simprll
      cdif cmpt simprlr simprr uneq1 fveq2d cbvmptv ramub1lem2 expr exlimdv mpd
      ramub2 ) AUAUBUCUKNUDOUNPUCOULUDUBOUMUOUPZDUEUCEGGUQURQZFUSQZUQUTQZVAUFUB
      UDUGXGVBZAGHVCIADREVDZRNVEDNEVDJVFDRNEVHVGAXINSZXJNSMXIVIVJAUFOZUNPZXJULZ
      XNGXGQDUEOZVDZVKZVKZUHOZXNSZUHVLZUGOZEPUAOZUNPVMVNYEGXGQXQVOYDVPVQVEVKUAX
      NUMVRUGDVRZXTXNVSVTZYCXTXORSZYGXTXOXJRAXPXRWAXTXMXJRSAXMXSMTXIWBVJWCZXTXN
      VASZYHYGWDXTXONSZYJXTXOYIVCYJYKWDUFXNUKWEWFWGZXNWHVJWIUHXNWJWKXTYBYFUHAXS
      YBYFAXSYBVKZVKBCUAUIXGDXNUCEFUJXNYAVPZWOXHXGQZUJOZYNWLZXQPZWPXQGYAUBUDUGA
      GRSYMHTADVASYMITAXLYMJTKADNFVDYMLTAXMYMMTXKAXSYJYBYLWMAXPXRYBWNAXPXRYBWQA
      XSYBWRUJUIYOYRUIOZYNWLZXQPYPYSULYQYTXQYPYSYNWSWTXAXBXCXDXEXF $.
  $}

  ${
    $d f F $.  $d f x M $.  $d f g h k m n w x y z R $.
    $( Ramsey's theorem: the Ramsey number is an integer for every finite
       coloring and set of upper bounds.  (Contributed by Mario Carneiro,
       23-Apr-2015.) $)
    ramcl $p |- ( ( M e. NN0 /\ R e. Fin /\ F : R --> NN0 ) ->
      ( M Ramsey F ) e. NN0 ) $=
      ( vf vx vh vk vy vw cn0 wcel cram co wa wi cc0 c1 wceq weq cmin vm vg cfn
      vn vz wf cmap cvv wb nn0ex simpr elmapg sylancr wral caddc eleq1d ralbidv
      cv oveq1 imbi2d elmapi 0ramcl sylan2 ralrimiva oveq2 cbvralvw cfv csu wal
      simpll ad2antrl ffvelrnda fsumnn0cl anbi2d imbi1d albidv csn cmpt simplll
      eqeq2 cxp ffvelrn adantll nn0red nn0ge0d fsum00 fvex rgenw mpteqb bitr4di
      ax-mp feqmptd fconstmpt a1i eqeq12d bitr4d xpeq1 oveq2d simpllr peano2nn0
      syl adantr eqeltrd simp-4l syl3anc 0nn0 eqeltrdi cif ad2antrr wss sylancl
      c0 cn nn0cnd ax-1cn pncan oveq1d simprl fmpttd simplrr w3a fveq2 sumeq2dv
      cc 3eqtrd feq1 fveq1 equequ1 ifbieq2d eqeq1d anbi12d imbi12d cbvmptv expr
      adantrl sylbird wn expcom a2d nn0ind 0xp eqtrdi ram0 sylan9eqr pm2.61dane
      wne ramz syl5ibrcom sylbid expimpd alrimiv wfn ffn baib cle simplr simprr
      ffnfv wbr nnssnn0 fss mptexd nnm1nn0 ifcld 3ad2antl2 nncnd subid1d ifeq2d
      adantl ifeq1da eqtr2d ovif2 eqtr4di simp1 0cn ifcli fsumsub elsng sumeq2i
      ifbid chash simp3 snssd sumhash syl2anc hashsng eqtrd eqtr3id simplrl jca
      eqid ovex ifex fvmpt sylan9eq spcgv syl3c mpbird rspcdva nn0p1nn ifbieq1d
      mpteq2dv eqtrid ramub1 ramubcl syl32anc wrex rexnal elnn0 sylib ord ramz2
      3jca sylan syld rexlimdva syl5bir pm2.61d exp31 alrimdv sumeq2sdv cbvalvw
      wo syl6ibr anassrs com12 mpd biantrud bitr3d spvv ralrimdva syl5bi rspccv
      sylc imp 3impia ) CJKZAUCKZAJBUFZCBLMZJKZUYQUYRNZUYSBJAUGMZKZVUAVUBJUHKZU
      YRVUDUYSUIUJUYQUYRUKJABUHUCULUMVUBCDURZLMZJKZDVUCUNZVUDVUAOUYQUYRVUIUYREU
      RZVUFLMZJKZDVUCUNZOUYRPVUFLMZJKZDVUCUNZOUYRUAURZVUFLMZJKZDVUCUNZOUYRVUQQU
      OMZVUFLMZJKZDVUCUNZOUYRVUIOEUACVUJPRZVUMVUPUYRVVEVULVUODVUCVVEVUKVUNJVUJP
      VUFLUSUPUQUTEUASZVUMVUTUYRVVFVULVUSDVUCVVFVUKVURJVUJVUQVUFLUSUPUQUTVUJVVA
      RZVUMVVDUYRVVGVULVVCDVUCVVGVUKVVBJVUJVVAVUFLUSUPUQUTVUJCRZVUMVUIUYRVVHVUL
      VUHDVUCVVHVUKVUGJVUJCVUFLUSUPUQUTUYRVUODVUCVUFVUCKZUYRAJVUFUFZVUOVUFJAVAZ
      AVUFVBVCVDVUQJKZUYRVUTVVDUYRVVLVUTVVDOVUTVUQUBURZLMZJKZUBVUCUNZUYRVVLNZVV
      DVUSVVODUBVUCDUBSVURVVNJVUFVVMVUQLVEUPVFVVQVVPVVCDVUCVVQVVIVVPVVCVVQVVIVV
      PNZNZAJFURZUFZAGURZVVTVGZGVHZAVWBVUFVGZGVHZRZNZVVAVVTLMZJKZOZFVIZVVJVVCVV
      SVWFJKZVWLVVSAVWEGUYRVVLVVRVJVVSAJVWBVUFVVIVVJVVQVVPVVKVKZVLVMVVQVVPVWMVW
      LOVVIVWMVVQVVPNZVWLVWOVWAVWDVUJRZNZVWJOZFVIZOVWOVWAVWDPRZNZVWJOZFVIZOVWOV
      WAVWDUDURZRZNZVWJOZFVIZOVWOVWAVWDVXDQUOMZRZNZVWJOZFVIZOVWOVWLOEUDVWFVVEVW
      SVXCVWOVVEVWRVXBFVVEVWQVXAVWJVVEVWPVWTVWAVUJPVWDVTVNVOVPUTEUDSZVWSVXHVWOV
      XNVWRVXGFVXNVWQVXFVWJVXNVWPVXEVWAVUJVXDVWDVTVNVOVPUTVUJVXIRZVWSVXMVWOVXOV
      WRVXLFVXOVWQVXKVWJVXOVWPVXJVWAVUJVXIVWDVTVNVOVPUTVUJVWFRZVWSVWLVWOVXPVWRV
      WKFVXPVWQVWHVWJVXPVWPVWGVWAVUJVWFVWDVTVNVOVPUTVWOVXBFVWOVWAVWTVWJVWOVWANZ
      VWTVVTAPVQZWAZRZVWJVXQVWTGAVWCVRZGAPVRZRZVXTVXQVWTVWCPRGAUNZVYCVXQAVWCGUY
      RVVLVVPVWAVSVXQVWBAKZNZVWCVWAVYEVWCJKVWOAJVWBVVTWBWCZWDVYFVWCVYGWEWFVWCUH
      KZGAUNVYCVYDUIVYHGAVWBVVTWGWHGAVWCPUHWIWKWJVXQVVTVYAVXSVYBVXQGAJVVTVWOVWA
      UKWLVXSVYBRVXQGAPWMWNWOWPVXQVWJVXTVVAVXSLMZJKZVXQVYJAXLVXQAXLRZNVYIVVAJVY
      KVXQVYIVVAXLLMZVVAVYKVXSXLVVALVYKVXSXLVXRWAXLAXLVXRWQVXRUUAUUBWRVXQVVAJKZ
      VYLVVARVXQVVLVYMUYRVVLVVPVWAWSVUQWTZXAZVVAUUCXAUUDVXQVYMVYKVYOXBXCVXQAXLU
      UFZNZVYIPJVYQVYMUYRVYPVYIPRVXQVYMVYPVYOXBUYRVVLVVPVWAVYPXDVXQVYPUKAVVAUCU
      UGXEXFXGUUEVXTVWIVYIJVVTVXSVVALVEUPUUHUUIUUJUUKVXDJKZVWOVXHVXMVWOVYRVXHVX
      MOZVVQVVPVYRVYSVVQVVPVYRNZNZVXHVVJVWFVXIRZNZVVCOZDVIVXMWUAVXHWUDDWUAVXHWU
      CVVCWUAVXHNZWUCNZVUJVUFVGZXMKZEAUNZVVCWUFWUIAXMVUFUFZVVCWUFVUFAUULZWUJWUI
      UIVVJWUKWUEWUBAJVUFUUMVKWUJWUKWUIEAXMVUFUURUUNXAWUEWUBWUJVVCOVVJWUEWUBWUJ
      VVCWUEWUBWUJNZNZVYMUYRVVJVVAQTMZEAVVAHAHESZWUGQTMZHURZVUFVGZXHZVRZLMZVRZL
      MZQUOMZJKZVVBWVDUUOUUSVVCWUMVVLVYMWUAVVLVXHWULUYRVVLVYTUUPZXIZVYNXAUYRVVL
      VYTVXHWULXDZWUMWUJXMJXJVVJWUEWUBWUJUUQZUUTAXMJVUFUVAXKZWUMWVCJKWVEWUMWVCV
      UQWVBLMZJWUMWUNVUQWVBLWUMVUQYDKQYDKZWUNVUQRWUMVUQWVGXNXOVUQQXPXKXQWUMVVOW
      VKJKUBVUCWVBVVMWVBRVVNWVKJVVMWVBVUQLVEUPWUAVVPVXHWULVVQVVPVYRXRXIWUMWVBVU
      CKZAJWVBUFZWUMEAWVAJWUMVUJAKZNZWUTUHKVXHAJWUTUFZAGESZWUPVWEXHZGVHZVXDRZNZ
      WVAJKZWVPHAWUSUCWUMUYRWVOWVHXBZUVBWUAVXHWULWVOWSWVPWVQWWAWVPHAWUSJWVPWUQA
      KZNWUOWUPWURJWVPWUPJKZWWEWVPWUHWWFWUMAXMVUJVUFWVIVLWUGUVCXAXBWVPAJWUQVUFW
      UMVVJWVOWVJXBVLUVDXSWVPWVTVWFQTMZVXIQTMZVXDWVPUYRWUJWVOWVTWWGRWWDWUEWUBWU
      JWVOXTWUMWVOUKUYRWUJWVOYAZWVTAVWEWVRQPXHZTMZGVHVWFAWWJGVHZTMWWGWWIAWVSWWK
      GWWIVYENZWVSWVRVWEQTMZVWEPTMZXHZWWKWWMWWPWVRWWNVWEXHWVSWWMWVRWWOVWEWWNWWM
      VWEWWMVWEWUJUYRVYEVWEXMKWVOAXMVWBVUFWBUVEUVFZUVGUVHWWMWVRWWNWUPVWEWWMWVRN
      VWEWUGQTWVRVWEWUGRWWMVWBVUJVUFYBUVIXQUVJUVKWVRVWEQPTUVLUVMYCWWIAVWEWWJGUY
      RWUJWVOUVNZWWQWWJYDKWWMWVRQPYDXOUVOUVPWNUVQWWIWWLQVWFTWWIWWLAVWBVUJVQZKZQ
      PXHZGVHZQAWXAWWJGVYEWWTWVRQPVWBVUJAUVRUVTUVSWWIWXBWWSUWAVGZQWWIUYRWWSAXJW
      XBWXCRWWRWWIVUJAUYRWUJWVOUWBZUWCWWSAGUWDUWEWWIWVOWXCQRWXDVUJAUWFXAUWGUWHW
      RYEXEWVPVWFVXIQTWUEWUBWUJWVOUWIXQWVPVXDYDKWVLWWHVXDRWVPVXDWUEVYRWULWVOVVQ
      VVPVYRVXHXTXIXNXOVXDQXPXKYEUWJVXGWWBWWCOFWUTUHVVTWUTRZVXFWWBVWJWWCWXEVWAW
      VQVXEWWAAJVVTWUTYFWXEVWDWVTVXDWXEAVWCWVSGWXEVYEVWCVWBWUTVGWVSVWBVVTWUTYGH
      VWBWUSWVSAWUTHGSWUOWVRWURVWEWUPHGEYHWUQVWBVUFYBYIWUTUWKWVRWUPVWEWUGQTUWLV
      WBVUFWGUWMUWNUWOYCYJYKWXEVWIWVAJVVTWUTVVALVEUPYLUWPUWQXSZWUMVUEUYRWVMWVNU
      IUJWVHJAWVBUHUCULUMUWRUWSXCZWVCWTXAWUMUEIAVUFWVBVVAWUAVVAXMKZVXHWULWUAVVL
      WXHWVFVUQUWTXAZXIWVHWVIEUEAWVAVVAIAIUESZUEURZVUFVGZQTMZIURZVUFVGZXHZVRZLM
      EUESZWUTWXQVVALWXRWUTIAIESZWUPWXOXHZVRWXQHIAWUSWXTHISWUOWXSWURWXOWUPHIEYH
      WUQWXNVUFYBYIYMWXRIAWXTWXPWXRWXSWXJWUPWXMWXOVUJWXKWXNVTWXRWUGWXLQTVUJWXKV
      UFYBXQUXAUXBUXCWRYMWXFWXGUXDWVDAVUFVVAUCUXEUXFYNYOYPWUIYQWUHYQZEAUXGWUFVV
      CWUHEAUXHWUFWYAVVCEAWUFWVONZWYAWUGPRZVVCWYBWUHWYCWYBWUGJKWUHWYCUYCWUFAJVU
      JVUFWUEVVJWUBXRZVLWUGUXIUXJUXKWUFWVOWYCVVCWUFWVOWYCNZNVVBPJWUFWXHUYRVVJYA
      WYEVVBPRWUFWXHUYRVVJWUAWXHVXHWUCWXIXIUYRVVLVYTVXHWUCXDWYDUXMVUJAVUFVVAUCU
      XLUXNXFXGYNUXOUXPUXQUXRUXSUXTVXLWUDFDFDSZVXKWUCVWJVVCWYFVWAVVJVXJWUBAJVVT
      VUFYFZWYFVWDVWFVXIWYFAVWCVWEGVWBVVTVUFYGUYAZYJYKWYFVWIVVBJVVTVUFVVALVEUPZ
      YLUYBUYDUYEYRYSYTUYFYOUYGVWNVWKVVJVVCOFDWYFVWHVVJVWJVVCWYFVWAVWHVVJWYFVWG
      VWAWYHUYHWYGUYIWYIYLUYJUYNYNUYKUYLYRYSYTUYOVUHVUADBVUCVUFBRVUGUYTJVUFBCLV
      EUPUYMXAYPUYP $.
  $}

  ${
    $d c f n s x F $.  $d a b c f i n s x M $.  $d c f n s x R $.
    $d c f x C $.
    ramsey.c $e |- C = ( a e. _V , i e. NN0 |->
      { b e. ~P a | ( # ` b ) = i } ) $.
    $( Ramsey's theorem with the definition of ` Ramsey ` ( ~ df-ram )
       eliminated.  If ` M ` is an integer, ` R ` is a specified finite set of
       colors, and ` F : R --> NN0 ` is a set of lower bounds for each color,
       then there is an ` n ` such that for every set ` s ` of size greater
       than ` n ` and every coloring ` f ` of the set ` ( s C M ) ` of all
       ` M ` -element subsets of ` s ` , there is a color ` c ` and a subset
       ` x C_ s ` such that ` x ` is larger than ` F ( c ) ` and the ` M `
       -element subsets of ` x ` are monochromatic with color ` c ` .  This is
       the hypergraph version of Ramsey's theorem; the version for simple
       graphs is the case ` M = 2 ` .  This is Metamath 100 proof #31.
       (Contributed by Mario Carneiro, 23-Apr-2015.) $)
    ramsey $p |- ( ( M e. NN0 /\ R e. Fin /\ F : R --> NN0 ) -> E. n e. NN0
     A. s ( n <_ ( # ` s ) -> A. f e. ( R ^m ( s C M ) ) E. c e. R E. x e. ~P s
      ( ( F ` c ) <_ ( # ` x ) /\ ( x C M ) C_ ( `' f " { c } ) ) ) ) $=
      ( cn0 wcel cfn cv cfv co wrex wf w3a chash cle wbr ccnv csn cima wss cmap
      wa cpw wral wi wal crab c0 wne cram ramcl eqid ramtcl2 mpbid rabn0 sylib
      ) HNOCPOCNGUAUBZFQIQZUCRUDUELQZGRAQZUCRUDUEVIHBSDQUFVHUGUHUIUKAVGULTLCTDC
      VGHBSUJSUMUNIUOZFNUPZUQURZVJFNTVFHGUSSNOVLCGHUTABCVKDEFGHPIJKLMVKVAVBVCVJ
      FNVDVE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Primorial function
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  According to Wikipedia "Primorial", ~ https://en.wikipedia.org/wiki/Primorial
  (28-Aug-2020): "In mathematics, and more particularly in number theory,
  _primorial_, denoted by "#", is a function from natural numbers to natural
  numbers similar to the factorial function, but rather than successively
  multiplying [[all] positive integers [less than or equal to a given number],
  the function only multiplies [[the] prime numbers [less than or equal to the
  given number].  The name "primorial", coined by Harvey Dubner, draws an
  analogy to primes similar to the way the name "factorial" relates to
  factors."

$)

  $c #p $. $( Primorial. $)

  $( Extend class notation to include the primorial of nonnegative integers. $)
  cprmo $a class #p $.

  ${
    $d k n $.
    $( Define the primorial function on nonnegative integers as the product of
       all prime numbers less than or equal to the integer.  For example,
       ` ( #p `` 1 0 ) = 2 x. 3 x. 5 x. 7 = 2 1 0 ` (see ~ ex-prmo ).

       In the literature, the primorial function is written as a postscript
       hash: 6# = 30.  In contrast to ~ prmorcht , where the primorial function
       is defined by using the sequence builder ( ` P = seq 1 ( x. , F ) ` ),
       the more specialized definition of a product of a series is used here.
       (Contributed by AV, 28-Aug-2020.) $)
    df-prmo $a |- #p = ( n e. NN0 |-> prod_ k e. ( 1 ... n )
                                            if ( k e. Prime , k , 1 ) ) $.

    $d N k n $.
    $( Value of the primorial function for nonnegative integers.  (Contributed
       by AV, 28-Aug-2020.) $)
    prmoval $p |- ( N e. NN0 -> ( #p ` N ) = prod_ k e. ( 1 ... N )
                                             if ( k e. Prime , k , 1 ) ) $=
      ( vn c1 cv cfz co cprime wcel cif cprod cprmo wceq oveq2 prodeq1d df-prmo
      cn0 prodex fvmpt ) CBDCEZFGZAEZHIUBDJZAKDBFGZUCAKQLTBMUAUDUCATBDFNOACPUDU
      CARS $.

    $( Closure of the primorial function.  (Contributed by AV, 28-Aug-2020.) $)
    prmocl $p |- ( N e. NN0 -> ( #p ` N ) e. NN ) $=
      ( vk cn0 wcel cprmo cfv c1 cfz co cv cprime cif cprod cn prmoval fzfid wa
      elfznn adantl 1nn a1i ifcld fprodnncl eqeltrd ) ACDZAEFGAHIZBJZKDZUGGLZBM
      NBAOUEUFUIBUEGAPUEUGUFDZQZUHUGGNUJUGNDUEUGARSGNDUKTUAUBUCUD $.
  $}

  $( The primorial function is nonzero.  (Contributed by AV, 28-Aug-2020.) $)
  prmone0 $p |- ( N e. NN0 -> ( #p ` N ) =/= 0 ) $=
    ( cn0 wcel cprmo cfv prmocl nnne0d ) ABCADEAFG $.

  $( The primorial of 0.  (Contributed by AV, 28-Aug-2020.) $)
  prmo0 $p |- ( #p ` 0 ) = 1 $=
    ( vk cc0 cprmo cfv c1 cfz co cv cprime wcel cif cprod cn0 wceq 0nn0 prmoval
    c0 ax-mp fz10 prodeq1i prod0 3eqtri ) BCDZEBFGZAHZIJUEEKZALZQUFALEBMJUCUGNO
    ABPRUDQUFASTUFAUAUB $.

  $( The primorial of 1.  (Contributed by AV, 28-Aug-2020.) $)
  prmo1 $p |- ( #p ` 1 ) = 1 $=
    ( vk c1 cprmo cfv cfz co cv cprime wcel cif cprod cn0 wceq prmoval ax-mp cz
    1nn0 cc 1z ax-1cn 1nprm eleq1 mtbiri iffalsed fprod1 mp2an eqtri ) BCDZBBEF
    AGZHIZUIBJZAKZBBLIUHULMQABNOBPIBRIULBMSTUKBABUIBMZUJUIBUMUJBHIUAUIBHUBUCUDU
    EUFUG $.

  ${
    $d N k $.
    $( The primorial of a successor.  (Contributed by AV, 28-Aug-2020.) $)
    prmop1 $p |- ( N e. NN0 -> ( #p ` ( N + 1 ) )
                         = if ( ( N + 1 ) e. Prime ,
                                ( ( #p ` N ) x. ( N + 1 ) ) , ( #p ` N ) ) ) $=
      ( vk cn0 wcel c1 co cprmo cfv cfz cprime cprod cmul wceq prmoval cn wa cc
      cif adantl oveq2d caddc cv peano2nn0 syl cuz nn0p1nn elnnuz sylib elfzelz
      cmin zcnd 1cnd ifcld eleq1 id ifbieq1d fprodm1 nn0cn pncan1 oveq1d eqcomd
      prodeq1d wb iftrue eqeq12d adantr mpbird fzfid elfznn 1nn fprodnncl nncnd
      wn a1i mulid1d eqtr4d iffalse pm2.61ian eqtrd 3eqtrd ) ACDZAEUAFZGHZEWBIF
      ZBUBZJDZWEERZBKZEWBEUJFZIFZWGBKZWBJDZWBERZLFZWLAGHZWBLFZWORZWAWBCDWCWHMAU
      CBWBNUDWAWGWMBEWBWAWBODWBEUEHDAUFWBUGUHWAWEWDDZPZWFWEEQWRWEQDWAWRWEWEEWBU
      IUKSWSULUMWEWBMZWFWLWEWBEWEWBJUNWTUOUPUQWAWNEAIFZWGBKZWMLFZWQWAWKXBWMLWAW
      JXAWGBWAWIAEIWAAQDWIAMAURAUSUDTVBUTWLWAXCWQMZWLWAPZXDXBWBLFZWPMZXEXBWOWBL
      WAXBWOMWLWAWOXBBANZVASUTWLXDXGVCWAWLXCXFWQWPWLWMWBXBLWLWBEVDTWLWPWOVDVEVF
      VGWLVMZWAPZXDXBELFZWOMZXJXKXBWOXJXBWAXBQDXIWAXBWAXAWGBWAEAVHWEXADZWGODWAX
      MWFWEEOWEAVIEODXMVJVNUMSVKVLSVOWAWOXBMXIXHSVPXIXDXLVCWAXIXCXKWQWOXIWMEXBL
      WLWBEVQTWLWPWOVQVEVFVGVRVSVT $.
  $}

  $( Value of the primorial function expressed recursively.  (Contributed by
     AV, 28-Aug-2020.) $)
  prmonn2 $p |- ( N e. NN -> ( #p ` N ) = if ( N e. Prime ,
                                               ( ( #p ` ( N - 1 ) ) x. N ) ,
                                               ( #p ` ( N - 1 ) ) ) ) $=
    ( cn wcel cprmo cfv c1 cmin co caddc cprime cmul cc wceq nncn npcan1 eqcomd
    cif syl fveq2d cn0 nnm1nn0 prmop1 eleq1d oveq2d ifbieq1d 3eqtrd ) ABCZADEAF
    GHZFIHZDEZUIJCZUHDEZUIKHZULQZAJCZULAKHZULQUGAUIDUGUIAUGALCUIAMANAORZPSUGUHT
    CUJUNMAUAUHUBRUGUKUOUMUPULUGUIAJUQUCUGUIAULKUQUDUEUF $.

  $( The primorial of 2.  (Contributed by AV, 28-Aug-2020.) $)
  prmo2 $p |- ( #p ` 2 ) = 2 $=
    ( c2 cprmo cfv cprime wcel c1 cmin co cmul cif cn 2nn prmonn2 ax-mp iftruei
    wceq 2prm 2m1e1 fveq2i eqtri prmo1 oveq1i 2cn mulid2i ) ABCZADEZAFGHZBCZAIH
    ZUHJZAAKEUEUJPLAMNUJUIAUFUIUHQOUIFAIHAUHFAIUHFBCFUGFBRSUATUBAUCUDTTT $.

  $( The primorial of 3.  (Contributed by AV, 28-Aug-2020.) $)
  prmo3 $p |- ( #p ` 3 ) = 6 $=
    ( c3 cprmo cfv cprime wcel c1 cmin co cmul cif c6 cn wceq 3nn prmonn2 ax-mp
    3prm iftruei c2 eqtri 3m1e2 fveq2i prmo2 oveq1i 3cn 2cn 3t2e6 mulcomli ) AB
    CZADEZAFGHZBCZAIHZULJZKALEUIUNMNAOPUNUMKUJUMULQRUMSAIHKULSAIULSBCSUKSBUAUBU
    CTUDASKUEUFUGUHTTT $.

  ${
    $d N k p $.
    $( The primorial of a number is divisible by each prime less then or equal
       to the number.  (Contributed by AV, 15-Aug-2020.)  (Revised by AV,
       28-Aug-2020.) $)
    prmdvdsprmo $p |- ( N e. NN
                         -> A. p e. Prime ( p <_ N -> p || ( #p ` N ) ) ) $=
      ( vk cn wcel wbr cdvds cprime wa c1 co cprod cmul syl ifcld adantl adantr
      cz wceq cc cv cle cprmo cfv wi cfz csn cdif cif fzfi diffi eldifi elfzelz
      cfn mp1i 1zzd fprodzcl dvdsmul2 syl2anc cn0 nnnn0 prmoval ad2antrr breq2d
      prmz wn cin c0 neldifsnd disjsn sylibr cun prmnn anim1i wb mpbird difsnid
      nnz fznn eqcomd fzfid zcnd fprodsplit simplr nncnd eleq1w ifbieq1d prodsn
      1cnd id simpr iftrued eqtrd oveq2d bitrd ex ralrimiva ) ADEZBUAZAUBFZWSAU
      CUDZGFZUEBHWRWSHEZIZWTXBXDWTIZXBWSJAUFKZWSUGZUHZCUAZHEZXIJUIZCLZWSMKZGFZX
      EXLREWSREZXNXEXHXKCXFUNEXHUNEXEJAUJXFXGUKUOXIXHEZXKREXEXPXJXIJRXPXIXFEZXI
      REXIXFXGULXIJAUMZNXPUPOPUQXDXOWTXCXOWRWSVEPQXLWSURUSXEXBWSXFXKCLZGFXNXEXA
      XSWSGWRXAXSSZXCWTWRAUTEXTAVACAVBNVCVDXEXSXMWSGXEXSXLXGXKCLZMKXMXEXHXGXKXF
      CXEWSXHEVFXHXGVGVHSXEWSXFVIXHWSVJVKXEWSXFEZXFXHXGVLZSXEYBWSDEZWTIZXDYDWTX
      CYDWRWSVMPZVNWRYBYEVOZXCWTWRAREYGAVRWSAVSNVCVPYBYCXFXFWSVQVTNXEJAWAXQXKTE
      XEXQXKXQXJXIJRXRXQUPOWBPWCXEYAWSXLMXEYAXCWSJUIZWSXEXCYHTEYAYHSWRXCWTWDXEX
      CWSJTXEWSXDYDWTYFQWEXEWIOXKYHCWSHXIWSSZXJXCXIWSJCBHWFYIWJWGWHUSXDYHWSSWTX
      DXCWSJWRXCWKWLQWMWNWMVDWOVPWPWQ $.
  $}

  ${
    $d I p $.  $d N p q $.
    $( The primorial of a number plus an integer greater than 1 and less then
       or equal to the number is divisible by a prime less then or equal to the
       number.  (Contributed by AV, 15-Aug-2020.)  (Revised by AV,
       28-Aug-2020.) $)
    prmdvdsprmop $p |- ( ( N e. NN /\ I e. ( 2 ... N ) )
                          -> E. p e. Prime ( p <_ N /\ p || I
                                             /\ p || ( ( #p ` N ) + I ) ) ) $=
      ( vq cn wcel c2 co wa cv cle wbr cdvds cprime cz ad2antlr adantr wi breq1
      wrex cfz cprmo cfv caddc w3a prmdvdsfz simprl simprr cn0 nnnn0 prmocl syl
      prmz nnzd elfzelz prmdvdsprmo weq imbi12d rspcv syl5com adantrd dvds2addd
      wral imp 3jca ex reximdva mpd ) BEFZAGBUAHFZIZCJZBKLZVLAMLZIZCNTVMVNVLBUB
      UCZAUDHMLZUEZCNTABCUFVKVOVRCNVKVLNFZIZVOVRVTVOIZVMVNVQVTVMVNUGVTVMVNUHZWA
      VLVPAVSVLOFVKVOVLUMPVTVPOFZVOVKWCVSVIWCVJVIVPVIBUIFVPEFBUJBUKULUNQQQVTAOF
      ZVOVJWDVIVSAGBUOPQVTVOVLVPMLZVTVMWEVNVKVSVMWERZVIVSWFRVJVIDJZBKLZWGVPMLZR
      ZDNVCVSWFBDUPWJWFDVLNDCUQWHVMWIWEWGVLBKSWGVLVPMSURUSUTQVDVAVDWBVBVEVFVGVH
      $.
  $}

  ${
    $d N m $.  $d X m $.
    fvprmselelfz.f $e |- F = ( m e. NN |-> if ( m e. Prime , m , 1 ) ) $.
    $( The value of the prime selection function is in a finite sequence of
       integers if the argument is in this finite sequence of integers.
       (Contributed by AV, 19-Aug-2020.) $)
    fvprmselelfz $p |- ( ( N e. NN /\ X e. ( 1 ... N ) )
                         -> ( F ` X ) e. ( 1 ... N ) ) $=
      ( cprime wcel cn c1 cfz co wa cfv adantr sylan9eqr adantl fvmptd2 eqeltrd
      cif wceq cv eleq1 id ifbieq1d iftrue elfznn simprr wn iffalse 1nn a1i cuz
      elnnuz eluzfz1 sylbi pm2.61ian ) DFGZCHGZDICJKZGZLZDBMZUSGUQVALZVBDUSVCAD
      AUAZFGZVDISZDHBHEVDDTZVCVFUQDISZDVGVEUQVDDIVDDFUBVGUCUDZUQVHDTVAUQDIUENOV
      ADHGZUQUTVJURDCUFPZPZVLQUQURUTUGRUQUHZVALZVBIUSVNADVFIHBHEVGVNVFVHIVIVMVH
      ITVAUQDIUINOVAVJVMVKPIHGVNUJUKQVAIUSGZVMURVOUTURCIULMGVOCUMICUNUONPRUP $.

    $d Y m $.
    $( The greatest common divisor of two values of the prime selection
       function for different arguments is 1.  (Contributed by AV,
       19-Aug-2020.) $)
    fvprmselgcd1 $p |- ( ( X e. ( 1 ... N ) /\ Y e. ( 1 ... N ) /\ X =/= Y )
                         -> ( ( F ` X ) gcd ( F ` Y ) ) = 1 ) $=
      ( cprime wcel c1 co cgcd wa cn ad2antrr sylan9eqr adantl fvmptd2 ad2antlr
      wceq oveq12d cfz wne w3a cfv wi cif eleq1 ifbieq1d iftrue elfznn 3ad2ant1
      cv id 3ad2ant2 prmrp biimprcd 3ad2ant3 impcom eqtrd ex wn iffalse 1nn a1i
      cz prmz gcd1 syl 1gcd 1z mp1i 4cases ) DGHZEGHZDICUAJZHZEVOHZDEUBZUCZDBUD
      ZEBUDZKJZISZUEVMVNLZVSWCWDVSLZWBDEKJZIWEVTDWAEKWEADAULZGHZWGIUFZDMBMFWGDS
      ZWEWIVMDIUFZDWJWHVMWGDIWGDGUGWJUMUHZVMWKDSZVNVSVMDIUIZNOVSDMHZWDVPVQWOVRD
      CUJUKZPZWQQWEAEWIEMBMFWGESZWEWIVNEIUFZEWRWHVNWGEIWGEGUGWRUMUHZVNWSESZVMVS
      VNEIUIZROVSEMHZWDVQVPXCVRECUJUNZPZXEQTVSWDWFISZVRVPWDXFUEVQWDXFVRDEUOUPUQ
      URUSUTVMVNVAZLZVSWCXHVSLZWBDIKJZIXIVTDWAIKXIADWIDMBMFWJXIWIWKDWLVMWMXGVSW
      NNOVSWOXHWPPZXKQXIAEWIIMBMFWRXIWIWSIWTXGWSISZVMVSVNEIVBZROVSXCXHXDPIMHZXI
      VCVDQTVMXJISZXGVSVMDVEHXODVFDVGVHNUSUTVMVAZVNLZVSWCXQVSLZWBIEKJZIXRVTIWAE
      KXRADWIIMBMFWJXRWIWKIWLXPWKISZVNVSVMDIVBZNOVSWOXQWPPXNXRVCVDQXRAEWIEMBMFW
      RXRWIWSEWTVNXAXPVSXBROVSXCXQXDPZYBQTVNXSISZXPVSVNEVEHYCEVFEVIVHRUSUTXPXGL
      ZVSWCYDVSLZWBIIKJZIYEVTIWAIKYEADWIIMBMFWJYEWIWKIWLXPXTXGVSYANOVSWOYDWPPXN
      YEVCVDZQYEAEWIIMBMFWRYEWIWSIWTXGXLXPVSXMROVSXCYDXDPYGQTIVEHYFISYEVJIVIVKU
      SUTVL $.
  $}

  ${
    $d N k $.
    $( The primorial of a positive integer is less than or equal to the
       factorial of the integer.  (Contributed by AV, 15-Aug-2020.)  (Revised
       by AV, 29-Aug-2020.) $)
    prmolefac $p |- ( N e. NN0 -> ( #p ` N ) <_ ( ! ` N ) ) $=
      ( vk wcel c1 cprod cfv cle wa cn adantl nnred wceq cc0 breq2 syl5ibr jaoi
      wbr wi ax-mp breq1 cn0 cfz co cprime cif cprmo cfa nfv fzfid elfznn ifcld
      cv 1nn a1i wo ifeqor nnnn0 nn0ge0d syl 0le1 wb adantr mpbiri leidd nnge1d
      ex fprodle prmoval fprodfac 3brtr4d ) AUACZDAUBUCZBULZUDCZVMDUEZBEVLVMBEA
      UFFAUGFGVKVLVOVMBVKBUHVKDAUIVKVMVLCZHZVOVQVNVMDIVPVMICZVKVMAUJZJZDICVQUMU
      NUKKVOVMLZVODLZUOZVQMVOGQZRZVNVMDUPZWAWEWBVQWDWAMVMGQZVPWGVKVPVRWGVSVRVMV
      MUQURUSJVOVMMGNOWBVQWDWBVQHWDMDGQZUTWBWDWHVAVQVODMGNVBVCVFPSVQVMVTKZWCVQV
      OVMGQZRZWFWAWKWBVQWJWAVMVMGQVQVMWIVDVOVMVMGTOVQWJWBDVMGQVQVMVTVEVODVMGTOP
      SVGBAVHABVIVJ $.

    $d N k m x $.
    $( The primorial of a nonnegative integer divides the least common multiple
       of all positive integers less than or equal to the integer.
       (Contributed by AV, 19-Aug-2020.)  (Revised by AV, 29-Aug-2020.) $)
    prmodvdslcmf $p |- ( N e. NN0 -> ( #p ` N ) || ( _lcm ` ( 1 ... N ) ) ) $=
      ( vk vm vx wcel cfv c1 cv cn cprime cdvds wceq wa simpr a1i ifcld wral cz
      wbr adantl cn0 cprmo cfz co cif cprod clcmf prmoval eqidd eleq1d ifbieq1d
      cmpt elfznn 1nn fvmptd eqcomd prodeq2i eqtrdi wss cfn cgcd csn cdif fzfid
      wf fz1ssnn jctil cc0 wnel fzssz 0nelfz1 lcmfn0cl syl3anc id fmpttd adantr
      wne eldifi wn eldif velsn biimpri equcoms necon3bi simplbiim fvprmselgcd1
      eqid ralrimiva sselid 1zzd breq1 2a1i imdistanri dvdslcmf elfzuz2 eluzfz1
      3syl cuz syl rspcdva eqbrtrd coprmproddvds syl122anc ) AUAEZAUBFZGAUCUDZB
      HZCICHZJEZXHGUEZULZFZBUFZXFUGFZKXDXEXFXGJEZXGGUEZBUFXMBAUHXFXPXLBXGXFEZXL
      XPXQCXGXJXPIXKIXQXKUIXQXHXGLZMZXIXOXHXGGXSXHXGJXQXRNZUJXTUKXGAUMZXQXOXGGI
      YAGIEZXQUNOPUOUPUQURXDXFIUSZXFUTEZMZXNIEZIIXKVEXLDHZXKFVAUDGLZDXFXGVBZVCZ
      QZBXFQXLXNKSZBXFQXMXNKSXDYDYCXDGAVDZAVFZVGZXDXFRUSZYDVHXFVIZYFYPXDGAVJZOY
      MYQXDAVKOXFVLVMXDCIXJIXHIEZXJIEXDYSXIXHGIYSVNYBYSUNOPTVOXDYKBXFXDXQMZYHDY
      JYTYGYJEZMXQYGXFEZXGYGVQZYHYTXQUUAXDXQNZVPUUAUUBYTYGXFYIVRTUUAUUCYTUUAUUB
      YGYIEZVSUUCYGXFYIVTUUEXGYGUUEDBUUEYGXGLDXGWAWBWCWDWETCXKAXGYGXKWGWFVMWHWH
      XDYLBXFYTXLXPXNKYTCXGXJXPIXKRYTXKUIYTXRMZXIXOXHXGGUUFXHXGJYTXRNZUJUUGUKYT
      XFIXGYNUUDWIYTXOXGGRYTXFRXGYRUUDWIYTWJPUOYTYGXNKSZXPXNKSDXFXPYGXPXNKWKYTY
      EYPYDMUUHDXFQXDYEXQYOVPYDYCYPYPYDYCYRWLWMDXFWNWQYTXOXGGXFUUDYTAGWRFEZGXFE
      XQUUIXDXGGAWOTGAWPWSPWTXAWHBDXKXNXFXBXCXA $.

    $( The primorial of a positive integer is less than or equal to the least
       common multiple of all positive integers less than or equal to the
       integer.  (Contributed by AV, 19-Aug-2020.)  (Revised by AV,
       29-Aug-2020.) $)
    prmolelcmf $p |- ( N e. NN0 -> ( #p ` N ) <_ ( _lcm ` ( 1 ... N ) ) ) $=
      ( cn0 wcel cprmo cfv cz c1 cfz co clcmf cn wa wbr cle prmocl nnzd wss cfn
      cdvds cc0 wnel fzssz 0nelfz1 a1i lcmfn0cl mp3an2i jca prmodvdslcmf dvdsle
      fzfid sylc ) ABCZADEZFCZGAHIZJEZKCZLUMUPSMUMUPNMULUNUQULUMAOPUOFQULUORCTU
      OUAZUQGAUBULGAUJURULAUCUDUOUEUFUGAUHUMUPUIUK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Prime gaps
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
According to Wikipedia "Prime gap", ~ https://en.wikipedia.org/wiki/Prime_gap
(16-Aug-2020): "A _prime gap_ is the difference between two successive prime
numbers.  The n-th prime gap, denoted g_n or g(p_n) is the difference between
the (n+1)-th and the n-th prime numbers, i.e. g_n = p_n+1 - p_n .  We have
g_1 = 1, g_2 = g_3 = 2, and g_4 = 4."

It can be proven that there are arbitrary large gaps, usually by showing that
"in the sequence n!+2, n!+3, ..., n!+n the first term is divisible by 2, the
second term is divisible by 3, and so on. Thus, this is a sequence of n-1
consecutive composite integers, and it must belong to a gap between primes
having length at least n.", see ~ prmgap .

Instead of using the factorial of n (see ~ df-fac ), any function can be chosen
for which f(n) is not relatively prime to the integers 2, 3, ..., n.  For
example, the least common multiple of the integers 2, 3, ..., n, see
~ prmgaplcm , or the primorial n# (the product of all prime numbers less than
or equal to n), see ~ prmgapprmo , are such functions, which provide smaller
values than the factorial function (see ~ lcmflefac and ~ prmolefac resp.
~ prmolelcmf ):  "For instance, the first prime gap of size larger than 14
occurs between the primes 523 and 541, while 15! is the vastly larger number
1307674368000."  But the least common multiple of the integers 2, 3, ..., 15 is
360360, and 15# is 30030 (p_3248 = 30029 and P_3249 = 30047, so g_3248 = 18).
$)

  $( Lemma for ~ prmgap :  The factorial of a number plus an integer greater
     than 1 and less then or equal to the number is divisible by that integer.
     (Contributed by AV, 13-Aug-2020.) $)
  prmgaplem1 $p |- ( ( N e. NN /\ I e. ( 2 ... N ) )
                     -> I || ( ( ! ` N ) + I ) ) $=
    ( cn wcel c2 cfz co wa cfa cfv cz elfzelz adantl nnnn0 faccld cuz cdvds wbr
    nnzd syl adantr elfzuz eluz2nn elfzuz3 jca dvdsfac iddvds dvds2addd ) BCDZA
    EBFGDZHZABIJZAUJAKDZUIAEBLZMZUIULKDUJUIULUIBBNOSUAUOUKACDZBAPJDZHZAULQRUJUR
    UIUJUPUQUJAEPJDUPAEBUBAUCTAEBUDUEMABUFTUJAAQRZUIUJUMUSUNAUGTMUH $.

  ${
    $d I i $.  $d N i $.
    $( Lemma for ~ prmgap :  The factorial of a number plus an integer greater
       than 1 and less then or equal to the number are not coprime.
       (Contributed by AV, 13-Aug-2020.) $)
    prmgaplem2 $p |- ( ( N e. NN /\ I e. ( 2 ... N ) )
                       -> 1 < ( ( ( ! ` N ) + I ) gcd I ) ) $=
      ( vi cn wcel c2 cfz co wa cv cfa cfv caddc cdvds wbr cuz adantl breq1 syl
      wb wrex c1 cgcd elfzuz wceq anbi12d prmgaplem1 cz elfzelz iddvds rspcedvd
      clt jca nnnn0 faccld adantr eluz2nn nnaddcld ncoprmgcdgt1b syl2anc mpbid
      ) BDEZAFBGHEZIZCJZBKLZAMHZNOZVEANOZIZCFPLZUAZUBVGAUCHULOZVDVJAVGNOZAANOZI
      ZCAVKVCAVKEZVBAFBUDZQVEAUEZVJVPTVDVSVHVNVIVOVEAVGNRVEAANRUFQVDVNVOABUGVCV
      OVBVCAUHEVOAFBUIAUJSQUMUKVDVGDEADEZVLVMTVDVFAVBVFDEVCVBBBUNUOUPVCVTVBVCVQ
      VTVRAUQSQZURWAVGACUSUTVA $.
  $}

  ${
    $d I x $.  $d N x $.
    $( Lemma for ~ prmgaplcm :  The least common multiple of all positive
       integers less than or equal to a number plus an integer greater than 1
       and less then or equal to the number is divisible by that integer.
       (Contributed by AV, 14-Aug-2020.)  (Revised by AV, 27-Aug-2020.) $)
    prmgaplcmlem1 $p |- ( ( N e. NN /\ I e. ( 2 ... N ) )
                          -> I || ( ( _lcm ` ( 1 ... N ) ) + I ) ) $=
      ( vx cn wcel c2 cfz co wa c1 clcmf cfv cz elfzelz adantl wss cfn mp1i wbr
      cdvds fzssz fzfi pm3.2i lcmfcl nn0zd cv breq1 dvdslcmf cuz 2eluzge1 fzss1
      wral sselda rspcdva iddvds syl dvds2addd ) BDEZAFBGHZEZIZAJBGHZKLZAUTAMEZ
      URAFBNZOZVBMPZVBQEZIZVCMEVAVGVHJBUAJBUBUCZVIVCVBUDUERVFVACUFZVCTSZAVCTSCV
      BAVKAVCTUGVIVLCVBULVAVJCVBUHRURUSVBAFJUILEUSVBPURUJFJBUKRUMUNUTAATSZURUTV
      DVMVEAUOUPOUQ $.

    $d I i $.  $d N i $.
    $( Lemma for ~ prmgaplcm :  The least common multiple of all positive
       integers less than or equal to a number plus an integer greater than 1
       and less then or equal to the number are not coprime.  (Contributed by
       AV, 14-Aug-2020.)  (Revised by AV, 27-Aug-2020.) $)
    prmgaplcmlem2 $p |- ( ( N e. NN /\ I e. ( 2 ... N ) )
                          -> 1 < ( ( ( _lcm ` ( 1 ... N ) ) + I ) gcd I ) ) $=
      ( vi cn wcel c2 cfz co wa cv c1 clcmf cfv cdvds wbr adantl wb breq1 syl
      cz cuz wrex cgcd clt elfzuz wceq anbi12d prmgaplcmlem1 elfzelz iddvds jca
      caddc rspcedvd wss cfn cc0 wnel fzssz 0nelfz1 a1i lcmfn0cl mp3an2i adantr
      fzfid eluz2nn nnaddcld ncoprmgcdgt1b syl2anc mpbid ) BDEZAFBGHEZIZCJZKBGH
      ZLMZAULHZNOZVMANOZIZCFUAMZUBZKVPAUCHUDOZVLVSAVPNOZAANOZIZCAVTVKAVTEZVJAFB
      UEZPVMAUFZVSWEQVLWHVQWCVRWDVMAVPNRVMAANRUGPVLWCWDABUHVKWDVJVKATEWDAFBUIAU
      JSPUKUMVLVPDEADEZWAWBQVLVOAVJVODEZVKVNTUNVJVNUOEUPVNUQZWJKBURVJKBVDWKVJBU
      SUTVNVAVBVCVKWIVJVKWFWIWGAVESPZVFWLVPACVGVHVI $.
  $}

  ${
    $d A x y $.  $d N i p $.
    prmgaplem3.a $e |- A = { p e. Prime | p < N } $.
    $( Lemma for ~ prmgap .  (Contributed by AV, 9-Aug-2020.) $)
    prmgaplem3 $p |- ( N e. ( ZZ>= ` 3 ) -> E. x e. A A. y e. A y <_ x ) $=
      ( c3 wcel cr wss cfn c0 w3a cv cle wbr clt cprime c2 cz cuz cfv wral wrex
      vi wne crab ssrab2 a1i cn prmssnn nnssre sstri sstrdi cfzo co fzofi breq1
      cc0 wa elrab cn0 nnnn0d ad2antrl eluzge3nn adantr simprr elfzo0 syl3anbrc
      prmnn ex syl5bi ssrdv ssfi sylancr 2prm eluz2 c1 caddc df-3 wb 2z zltp1le
      breq1i mpan biimprd 3adant1 sylbi elrabd ne0d sseq1 eleq1 neeq1 3anbi123d
      imp wceq ax-mp fimaxre syl ) DGUAUBHZCIJZCKHZCLUFZMZBNANOPBCUCACUDWTENZDQ
      PZERUGZIJZXGKHZXGLUFZXDWTXGRIXGRJWTXFERUHUIRUJIUKULUMUNWTUSDUOUPZKHXGXKJX
      IUSDUQWTUEXGXKUENZXGHXLRHZXLDQPZUTZWTXLXKHZXFXNEXLRXEXLDQURVAWTXOXPWTXOUT
      XLVBHZDUJHZXNXPXMXQWTXNXMXLXLVJVCVDWTXRXODVEVFWTXMXNVGXLDVHVIVKVLVMXKXGVN
      VOWTXGSWTXFSDQPZESRXESDQURSRHWTVPUIWTGTHZDTHZGDOPZMXSGDVQYAYBXSXTYAYBXSYB
      SVRVSUPZDOPZYAXSGYCDOVTWDYAXSYDSTHYAXSYDWAWBSDWCWEWFVLWOWGWHWIWJCXGWPZXDX
      HXIXJMWAFYEXAXHXBXIXCXJCXGIWKCXGKWLCXGLWMWNWQVIABCWRWS $.
  $}

  ${
    $d A x y $.  $d N i p $.  $d P i p $.
    prmgaplem4.a $e |- A = { p e. Prime | ( N < p /\ p <_ P ) } $.
    $( Lemma for ~ prmgap .  (Contributed by AV, 10-Aug-2020.) $)
    prmgaplem4 $p |- ( ( N e. NN /\ P e. Prime /\ N < P )
                       -> E. x e. A A. y e. A x <_ y ) $=
      ( wcel cprime clt wbr w3a cr wss cfn c0 cv cle wa wceq wne wral wrex crab
      vi cn ssrab2 a1i prmssnn nnssre sstri sstrdi co fzfid breq2 breq1 anbi12d
      cfz elrab cz prmz anim12i 3adant3 adantr df-3an sylibr wi nnre sseli ltle
      syl2an anim1d ex imp32 elfz2 sylanbrc ssrdv ssfid simp2 prmnn nnred leidd
      nnz syl5bi anim1ci 3adant1 elrabd ne0d wb sseq1 eleq1 3anbi123d syl3anbrc
      neeq1 ax-mp fiminre syl ) EUFHZDIHZEDJKZLZCMNZCOHZCPUAZLZAQBQRKBCUBACUCXA
      EFQZJKZXFDRKZSZFIUDZMNZXJOHZXJPUAZXEXAXJIMXJINXAXIFIUGUHIUFMUIUJUKZULXAED
      URUMZXJXAEDUNXAUEXJXOUEQZXJHXPIHZEXPJKZXPDRKZSZSZXAXPXOHZXIXTFXPIXFXPTXGX
      RXHXSXFXPEJUOXFXPDRUPUQUSXAYAYBXAYASZEUTHZDUTHZXPUTHZLZEXPRKZXSSZYBYCYDYE
      SZYFSYGXAYJYAYFWRWSYJWTWRYDWSYEEWCDVAVBVCXQYFXTXPVAVDVBYDYEYFVEVFXAXQXTYI
      WRWSXQXTYIVGZVGWTWRWSSZXQYKYLXQSXRYHXSYLEMHZXPMHXRYHVGXQWRYMWSEVHVDIMXPXN
      VIEXPVJVKVLVMVCVNXPEDVOVPVMWDVQVRXAXJDXAXIWTDDRKZSZFDIXFDTXGWTXHYNXFDEJUO
      XFDDRUPUQWRWSWTVSWSWTYOWRWSYNWTWSDWSDDVTWAWBWEWFWGWHCXJTZXEXKXLXMLWIGYPXB
      XKXCXLXDXMCXJMWJCXJOWKCXJPWNWLWOWMABCWPWQ $.
  $}

  ${
    $d N n p q r z $.
    $( Lemma for ~ prmgap : for each integer greater than 2 there is a smaller
       prime closest to this integer, i.e. there is a smaller prime and no
       other prime is between this prime and the integer.  (Contributed by AV,
       9-Aug-2020.) $)
    prmgaplem5 $p |- ( N e. ( ZZ>= ` 3 ) -> E. p e. Prime ( p < N
                             /\ A. z e. ( ( p + 1 ) ..^ N ) z e/ Prime ) ) $=
      ( vr vq wcel cv wbr clt cprime wral c1 caddc co cfzo wa breq1 adantl wi
      cz c3 cuz cfv cle crab wnel wrex elrabi ad2antlr weq oveq1 oveq1d raleqdv
      wb anbi12d elrab simprbi elfzo2 simpl simpr3 elrabd adantrl eluz2 zltp1le
      w3a prmz sylan wn prmnn nnred zre ltnle biimpd syl2an pm2.21 syl6 sylbird
      cr expcom com23 a1i 3imp sylbi 3ad2ant1 syl5com imp embantd ex df-nel 2a1
      sylbir pm2.61i impancom syl5bi ralimdv2 rspcedvd eqid prmgaplem3 r19.29a
      jca ) BUAUBUCFZAGZDGZUDHZAEGZBIHZEJUEZKZCGZBIHZXBJUFZAXILMNZBONZKZPZCJUGD
      XGXAXCXGFZPZXHPZXOXCBIHZXKAXCLMNZBONZKZPZCXCJXPXCJFZXAXHXFEXCJUHZUICDUJZX
      OYCUNXRYFXJXSXNYBXIXCBIQYFXKAXMYAYFXLXTBOXIXCLMUKULUMUORXRXSYBXPXSXAXHXPY
      DXSXFXSEXCJXEXCBIQUPUQUIXQXHYBXQXDXKAXGYAXQXBXGFZXDSZXBYAFZXKSYIXBXTUBUCF
      ZBTFZXBBIHZVEZXQYHPXKXBXTBURXQYMYHXKXBJFZXQYMPZYHXKSZSZYNYOYPYNYOPYGXDXKY
      NYMYGXQYNYMPXFYLEXBJXEXBBIQYNYMUSYNYJYKYLUTVAVBYOXDXKSZYNXQYMYRXPYMYRSXAX
      PYDYMYRYEYJYKYDYRSZYLYJXTTFZXBTFZXTXBUDHZVEYSXTXBVCYTUUAUUBYSUUAUUBYSSSYT
      UUAYDUUBYRYDUUAUUBYRSYDUUAPZUUBXCXBIHZYRYDXCTFUUAUUDUUBUNXCVFXCXBVDVGUUCU
      UDXDVHZYRYDXCVRFZXBVRFZUUDUUESUUAYDXCXCVIVJXBVKUUFUUGPUUDUUEXCXBVLVMVNXDX
      KVOVPVQVSVTWAWBWCWDWERWFRWGWHYNVHXKYQXBJWIXKYOYHWJWKWLWMWNWHWOWFWTWPDAXGB
      EXGWQWRWS $.

    $( Lemma for ~ prmgap : for each positive integer there is a greater prime
       closest to this integer, i.e. there is a greater prime and no other
       prime is between this prime and the integer.  (Contributed by AV,
       10-Aug-2020.) $)
    prmgaplem6 $p |- ( N e. NN -> E. p e. Prime ( N < p
                             /\ A. z e. ( ( N + 1 ) ..^ p ) z e/ Prime ) ) $=
      ( vn vq wcel cv clt wbr cprime wrex wa w3a cle wi adantr cz impcom imp cr
      cn wnel c1 caddc co cfzo wral prmunb crab eqid prmgaplem4 weq breq2 breq1
      anbi12d elrab simplrl simprrl simpll cuz cfv elfzo2 eluz2 wb prmz zltp1le
      syl2an exbiri 3ad2ant1 com12 prmnn nnred ad2antrl adantl ltleletr syl3anc
      nnz exp4b 3ad2ant2 expdcom com45 com14 adantld exp41 3ad2ant3 3imp elrabd
      jca sylbi elfzolt2 wn ltnle biimpd pm2.21d sylan2 embantd ex com23 df-nel
      2a1 a1d sylbir pm2.61i ralimdv2 jca32 syl5bi impd reximdv2 mpd rexlimdv3a
      exp31 ) BUAFZBDGZHIZDJKBCGZHIZAGZJUBZABUCUDUEZXOUFUEZUGZLZCJKZBDUHXLXNYCD
      JXLXMJFZXNMZXOXQNIZABEGZHIZYGXMNIZLZEJUIZUGZCYKKYCCAYKXMBEYKUJUKYEYLYBCYK
      JYEXOYKFZYLXOJFZYBLZYMYNXPXOXMNIZLZLZYEYLYOOYJYQEXOJECULYHXPYIYPYGXOBHUMY
      GXOXMNUNUOUPYEYRYLYOYEYRLZYLLYNXPYAYEYNYQYLUQYSXPYLYEYNXPYPURPYSYLYAYSYFX
      RAYKXTXQJFZYSXQYKFZYFOZXQXTFZXROOZOZYTYSUUDYTYSLZUUCUUBXRUUFUUCUUBXROUUFU
      UCLZUUAYFXRUUGYJBXQHIZXQXMNIZLZEXQJEAULYHUUHYIUUIYGXQBHUMYGXQXMNUNUOYTYSU
      UCUSUUCUUFUUJUUCXQXSUTVAFZXOQFZXQXOHIZMUUFUUJOZXQXSXOVBUUKUULUUMUUNUUKXSQ
      FZXQQFZXSXQNIZMUULUUMUUNOOZXSXQVCUUQUUOUURUUPUUQUULUUMUUFUUJUUQUULLZUUMLZ
      UUFLUUHUUIUUTUUFUUHUUSUUFUUHOZUUMUUQUVAUULUUFUUQUUHYSYTUUQUUHOZYEYTUVBOZY
      RXLYDUVCXNXLYTUUHUUQXLBQFUUPUUHUUQVDYTBVQXQVEBXQVFVGVHVIPRVJPPSUUFUUTUUIU
      UFUUMUUIUUSYSYTUUMUUIOZYRYEYTUVDOZYQYNYEUVEOZYPYNUVFOXPYTYNYEYPUVDYTYNYEU
      UMYPUUIYEYTYNUUMYPUUIOOZYDXLYTYNLZUVGOXNYDUVHUUMYPUUIYDUVHLXQTFZXOTFZXMTF
      ZUUMYPLUUIOYTUVIYDYNYTXQXQVKVLZVMUVHUVJYDYNUVJYTYNXOXOVKVLZVNVNYDUVKUVHYD
      XMXMVKVLPXQXOXMVOVPVRVSVTWAWBVNRRRWCRWHWDWEWIWFWIRWGUUCUUFUUMYFXROXQXSXOW
      JUUFUUMLYFXRUUFUUMYFWKZYTUVIUVJUUMUVNOYSUVLYNUVJYEYQUVMVMUVIUVJLUUMUVNXQX
      OWLWMVGSWNWOWPWQWRWQYTWKXRUUEXQJWSXRUUDYSXRUUBUUCWTXAXBXCXDSXEXKXFXGXHXIX
      JXI $.
  $}

  ${
    $d F p q r s z $.  $d F i j $.  $d N p q r s z $.  $d N i j $.
    $d ph p q j z $.
    prmgaplem7.n $e |- ( ph -> N e. NN ) $.
    prmgaplem7.f $e |- ( ph -> F e. ( NN ^m NN ) ) $.
    prmgaplem7.i $e |- ( ph -> A. i e. ( 2 ... N )
                               1 < ( ( ( F ` N ) + i ) gcd i ) ) $.
    $( Lemma for ~ prmgap .  (Contributed by AV, 12-Aug-2020.)  (Proof
       shortened by AV, 10-Jul-2022.) $)
    prmgaplem7 $p |- ( ph -> E. p e. Prime E. q e. Prime
                             ( p < ( ( F ` N ) + 2 ) /\ ( ( F ` N ) + N ) < q
                               /\ A. z e. ( ( p + 1 ) ..^ q ) z e/ Prime ) ) $=
      ( cn wcel c2 caddc co clt wbr cprime c1 wa vr vs vj cfv cv wnel cfzo wral
      w3a wrex cmap wf elmapi syl ffvelrnd c3 simpr elnnuz sylib 1z 2z eluzaddi
      cuz eqcomi fveq2i eleqtrrdi prmgaplem5 anim1ci nnaddcl prmgaplem6 simprll
      1p2e3 reeanv simprrl wo wi cz nnz adantl a1i ad2antrr fzospliti ex neleq1
      zaddcld adantld adantrd a1d nnzd peano2zd cgcd cfz cmin wsbc wb fzshftral
      rspcv mp3an3an cc wceq 2cnd nncn addcom syl2an nncnd oveq12d csb cvv ovex
      sbcbr2g mp1i csbov12g csbov2g csbvarg oveq2d eqtrd breq2d cc0 cr ad2antll
      bitrd 2re adantr ltletr syl3anc mpand impancom 3adant1 sylbi impcom mpbid
      3ad2ant1 elnnz sylanbrc sylbid syld com23 jaoi com12 reximdva fzval3 zcnd
      raleqbidv eqcomd eleq2d biimpa oveq1 pncan3 oveq1d zsubcl syl2anr gcdcomd
      elfzoelz elfzo2 cle eluz2 nnre crp 2rp ltaddrpd readdcld zre posdif nngt0
      zred 2pos addgt0d 0red ltsubpos ncoprmlnprm mpid imp syldc ralrimiva 3jca
      imp31 syl5bir mp2and mpdan ) AEDUDZKLZGUEZUVTMNOZPQZUVTENOZFUEZPQZBUEZRUF
      ZBUWBSNOZUWFUGOZUHZUIZFRUJZGRUJZAKKEDADKKUKOLKKDULIDKKUMUNHUOAUWATZUWDUAU
      EZRUFZUAUWJUWCUGOZUHZTZGRUJZUWGUBUEZRUFZUBUWESNOZUWFUGOZUHZTZFRUJZUWOUWPU
      WCUPVCUDZLUXBUWPUWCSMNOZVCUDZUXJUWPUVTSVCUDLZUWCUXLLUWPUWAUXMAUWAUQUVTURU
      SMSUVTUTVAVBUNUPUXKVCUXKUPVLVDVEVFUAUWCGVGUNUWPUWEKLZUXIUWPUWAEKLZTUXNAUX
      OUWAHVHUVTEVIUNZUBUWEFVJUNUXBUXITUXAUXHTZFRUJZGRUJUWPUWOUXAUXHGFRRVMUWPUX
      RUWNGRUWPUWBRLZTZUXQUWMFRUXTUWFRLZTZUXQUWMUYBUXQTZUWDUWGUWLUYBUWDUWTUXHVK
      UYBUXAUWGUXGVNUYCUWIBUWKUYBUXQUWHUWKLZUWIUYBUYDUXQUWIUYBUYDUWHUWSLZUWHUWC
      UWFUGOLZVOZUXQUWIVPZUYBUYDUYGUYBUYDTUYDUWCVQLZTUYGUYBUYIUYDUWPUYIUXSUYAUW
      PUVTMUWAUVTVQLZAUVTVRZVSZMVQLZUWPVAVTWEWAVHUWHUWJUWFUWCWBUNWCUYGUYBUYHUYE
      UYBUYHVPZUYFUYEUYHUYBUYEUXAUWIUXHUYEUWTUWIUWDUWRUWIUAUWHUWSUWQUWHRWDWQWFW
      GWHUYBUYFUWHUWCUXEUGOZLZUWHUXFLZVOZUYHUYBUYFUYRUYBUYFTUYFUXEVQLZTUYRUYBUY
      SUYFUWPUYSUXSUYAUWPUWEUWPUWEUXPWIZWJWAVHUWHUWCUWFUXEWBUNWCUYRUYBUYHUYPUYN
      UYQUYPUYBUYHUYPUYBTUWIUXQUYBUYPUWIUWPUYPUWIVPZUXSUYAAUWAVUAAUWASUVTCUEZNO
      ZVUBWKOZPQZCMEWLOUHZVUAJAUWAVUFVUAVPUWPVUFVUECUCUEZUVTWMOZWNZUCMUVTNOZEUV
      TNOZWLOZUHZVUAUYMAEVQLUWAUYJVUFVUMWOVAAEHWIUYKVUECUCUVTMEWPWRUWPVUMSUVTVU
      HNOZVUHWKOZPQZUCUWCUWEWLOZUHZVUAUWPVUIVUPUCVULVUQUWPVUJUWCVUKUWEWLAMWSLUV
      TWSLZVUJUWCWTUWAAXAUVTXBZMUVTXCXDAEWSLVUSVUKUWEWTUWAAEHXEVUTEUVTXCXDXFUWP
      VUISCVUHVUDXGZPQZVUPVUHXHLZVUIVVBWOUWPVUGUVTWMXIZCVUHSVUDPXHXJXKUWPVVAVUO
      SPUWPVVACVUHVUCXGZCVUHVUBXGZWKOZVUOVVCVVAVVGWTUWPVVDCVUHVUCVUBWKXHXLXKUWP
      VVEVUNVVFVUHWKUWPVVEUVTVVFNOZVUNVVCVVEVVHWTUWPVVDCVUHUVTVUBNXHXMXKVVCVVHV
      UNWTUWPVVDVVCVVFVUHUVTNCVUHXHXNZXOXKXPVVCVVFVUHWTUWPVVDVVIXKXFXPXQYAUUCUW
      PUYPVURUWIUWPUYPVURUWIVPUWPUYPTZVURSUVTUWHUVTWMOZNOZVVKWKOZPQZUWIVVJUWHVU
      QLZVURVVNVPUWPUYPVVOUWPUYOVUQUWHUWPUWEVQLZUYOVUQWTUYTVVPVUQUYOUWCUWEUUAUU
      DUNUUEUUFVUPVVNUCUWHVUQVUGUWHWTZVUOVVMSPVVQVUNVVLVUHVVKWKVVQVUHVVKUVTNVUG
      UWHUVTWMUUGZXOVVRXFXQWQUNVVJVVNSVVKUWHWKOZPQZUWIVVJVVMVVSSPVVJVVMUWHVVKWK
      OVVSVVJVVLUWHVVKWKUWPVUSUWHWSLVVLUWHWTUYPUWAVUSAVUTVSUYPUWHUWHUWCUXEUUMZU
      UBUVTUWHUUHXDUUIVVJUWHVVKUYPUWHVQLZUWPVWAVSZUYPVWBUYJVVKVQLZUWPVWAUYLUWHU
      VTUUJUUKZUULXPXQVVJVVKKLZUWHKLZVVKUWHPQZVVTUWIVPVVJVWDXRVVKPQZVWFVWEVVJUV
      TUWHPQZVWIUYPUWPVWJUYPUWHUWCVCUDLZUYSUWHUXEPQZUIZUWPVWJVPZUWHUWCUXEUUNZVW
      KUYSVWNVWLVWKUYIVWBUWCUWHUUOQZUIZVWNUWCUWHUUPZVWBVWPVWNUYIVWBUWPVWPVWJVWB
      UWPTZUVTUWCPQZVWPVWJVWSUVTMUWAUVTXSLZVWBAUVTUUQZXTZMUURLVWSUUSVTUUTVWSVXA
      UWCXSLZUWHXSLZVWTVWPTVWJVPVXCUWAVXDVWBAUWAUVTMVXBMXSLZUWAYBVTUVAXTZVWBVXE
      UWPUWHUVBYCZUVTUWCUWHYDYEYFYGYHYIYLYIYJUWPVXAVXEVWJVWIWOUYPUWAVXAAVXBVSZU
      YPUWHVWAUVEZUVTUWHUVCXDYKVVKYMYNVVJVWBXRUWHPQZVWGVWCUYPUWPVXKUYPVWMUWPVXK
      VPZVWOVWKUYSVXLVWLVWKVWQVXLVWRVWBVWPVXLUYIVWBUWPVWPVXKVWSXRUWCPQZVWPVXKVW
      SUVTMVXCVXFVWSYBVTUWAXRUVTPQZVWBAUVTUVDZXTXRMPQVWSUVFVTUVGVWSXRXSLVXDVXEV
      XMVWPTVXKVPVWSUVHVXGVXHXRUWCUWHYDYEYFYGYHYIYLYIYJUWHYMYNVVJVXNVWHUWPVXNUY
      PUWAVXNAVXOVSYCUWPVXAVXEVXNVWHWOUYPVXIVXJUVTUWHUVIXDYKVVKUWHUVJYEYOYPWCYQ
      YOYOWCUVKUVLWAYJWHWCUYQUYHUYBUYQUXHUWIUXAUYQUXGUWIUWGUXDUWIUBUWHUXFUXCUWH
      RWDWQWFWFWHYRYSUVMYRYSYPYQUVPUVNUVOWCYTYTUVQUVRUVS $.

    $d ph p q $.
    $( Lemma for ~ prmgap .  (Contributed by AV, 13-Aug-2020.) $)
    prmgaplem8 $p |- ( ph -> E. p e. Prime E. q e. Prime ( N <_ ( q - p )
                               /\ A. z e. ( ( p + 1 ) ..^ q ) z e/ Prime ) ) $=
      ( caddc co wbr cprime c1 wa wcel cn adantr cz cv cfv c2 clt wnel cfzo w3a
      wral cmin cle wi cr prmnn nnred ad2antll ad2antlr adantl ad2antrr cmap wf
      elmapi ffvelrn 3syl mpd 1red readdcld wceq nncnd 1cnd add32d nnzd zaddcld
      ex wb prmz zltp1le syl2an biimpa eqbrtrd expcom imp oveq2d addassd eqtr4d
      df-2 breq2d peano2zd zleltp1 syl2anr biimprd sylbid com12 lesub3d 3adant3
      a1i impcom simpr3 jca prmgaplem7 reximddv2 ) AGUAZEDUBZUCKLZUDMZXBEKLZFUA
      ZUDMZBUANUEBXAOKLXFUFLUHZUGZEXFXAUILUJMZXHPGFNNAXANQZPZXFNQZPZXIPXJXHXIXN
      XJXDXGXNXJUKXHXDXGPZXNXJXOXNPZXFXAEXBOKLZXMXFULQXOXLXMXFXFUMUNUOXNXAULQZX
      OXKXRAXMXKXAXAUMUNUPUQXNEULQZXOAXSXKXMAEHUNURUQXPXBOXNXBULQZXOAXTXKXMAXBA
      ERQZXBRQZHADRRUSLQRRDUTZYAYBUKIDRRVAYCYAYBRREDVBVMVCVDZUNURUQXPVEVFXOXNXQ
      EKLZXFUJMZXGXNYFUKXDXNXGYFXNXGPYEXEOKLZXFUJXLYEYGVGZXMXGAYHXKAXBOEAXBYDVH
      ZAVIZAEHVHVJSURXNXGYGXFUJMZXLXETQXFTQXGYKVNXMXLXBEAXBTQXKAXBYDVKZSAETQXKA
      EHVKSVLXFVOXEXFVPVQVRVSVTUQWAXOXNXAXQUJMZXDXNYMUKXGXNXDYMXLXDYMUKXMXLXDXA
      XQOKLZUDMZYMXLXCYNXAUDAXCYNVGXKAXCXBOOKLZKLYNAUCYPXBKUCYPVGAWEWOWBAXBOOYI
      YJYJWCWDSWFXLYMYOXKXATQXQTQYMYOVNAXAVOAXBYLWGXAXQWHWIWJWKSWLSWAWMVMWNWPXN
      XDXGXHWQWRABCDEFGHIJWSWT $.
  $}

  ${
    $d i n p q x z $.
    $( The prime gap theorem: for each positive integer there are (at least)
       two successive primes with a difference ("gap") at least as big as the
       given integer.  (Contributed by AV, 13-Aug-2020.) $)
    prmgap $p |- A. n e. NN E. p e. Prime E. q e. Prime
               ( n <_ ( q - p ) /\ A. z e. ( ( p + 1 ) ..^ q ) z e/ Prime ) $=
      ( vi vx cv co wbr cprime c1 caddc wa wrex cn wcel cfa cfv cgcd clt cle id
      cmin wnel cfzo wral cmpt cmap facmapnn a1i cfz prmgaplem2 cvv eqidd fveq2
      wceq adantl simpl fvexd fvmptd oveq1d breqtrrd ralrimiva prmgaplem8 rgen
      c2 ) BGZCGZDGZUCHUAIAGJUDAVIKLHVHUEHUFMCJNDJNBOVGOPZAEFOFGZQRZUGZVGCDVJUB
      VMOOUHHPVJFUIUJVJKVGVMRZEGZLHZVOSHZTIEVFVGUKHZVJVOVRPZMZKVGQRZVOLHZVOSHVQ
      TVOVGULVTVPWBVOSVTVNWAVOLVTFVGVLWAOVMUMVTVMUNVKVGUPVLWAUPVTVKVGQUOUQVJVSU
      RVTVGQUSUTVAVAVBVCVDVE $.
  $}

  ${
    $d i n p q x z $.
    $( Alternate proof of ~ prmgap : in contrast to ~ prmgap , where the gap
       starts at n! , the factorial of n, the gap starts at the least common
       multiple of all positive integers less than or equal to n.  (Contributed
       by AV, 13-Aug-2020.)  (Revised by AV, 27-Aug-2020.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    prmgaplcm $p |- A. n e. NN E. p e. Prime E. q e. Prime
               ( n <_ ( q - p ) /\ A. z e. ( ( p + 1 ) ..^ q ) z e/ Prime ) $=
      ( vi vx cv co cprime c1 caddc wa cn wcel cfz clcmf cfv a1i cvv cgcd id wf
      cmin cle wbr wnel cfzo wral wrex cmpt cmap wss cfn cc0 fzssz fzfi 0nelfz1
      cz lcmfn0cl syl3anc adantl eqid fmptd wb nnex pm3.2i elmapg mpbird clt c2
      mp1i prmgaplcmlem2 cn0 eqidd wceq oveq2 fveq2d simpl lcmfcl fvmptd oveq1d
      weq breqtrrd ralrimiva prmgaplem8 rgen ) BGZCGZDGZUCHUDUEAGIUFAWIJKHWHUGH
      UHLCIUIDIUIBMWGMNZAEFMJFGZOHZPQZUJZWGCDWJUAWJWNMMUKHNZMMWNUBZWJFMWMMWNWKM
      NZWMMNZWJWQWLURULZWLUMNZUNWLUFZWRWSWQJWKUORWTWQJWKUPRXAWQWKUQRWLUSUTVAWNV
      BVCMSNZXBLWOWPVDWJXBXBVEVEVFMMWNSSVGVKVHWJJWGWNQZEGZKHZXDTHZVIUEEVJWGOHZW
      JXDXGNZLZJJWGOHZPQZXDKHZXDTHXFVIXDWGVLXIXEXLXDTXIXCXKXDKXIFWGWMXKMWNVMXIW
      NVNFBWBZWMXKVOXIXMWLXJPWKWGJOVPVQVAWJXHVRXJURULZXJUMNZLXKVMNXIXNXOJWGUOJW
      GUPVFXJVSVKVTWAWAWCWDWEWF $.
  $}

  ${
    $d I p q $.  $d N p q $.
    $( Lemma for ~ prmgapprmo :  The primorial of a number plus an integer
       greater than 1 and less then or equal to the number are not coprime.
       (Contributed by AV, 15-Aug-2020.)  (Revised by AV, 29-Aug-2020.) $)
    prmgapprmolem $p |- ( ( N e. NN /\ I e. ( 2 ... N ) )
                           -> 1 < ( ( ( #p ` N ) + I ) gcd I ) ) $=
      ( vq vp cn c2 cfz co wa cv cprmo cfv cdvds wbr cprime wb breq1 adantl syl
      wcel caddc cuz wrex c1 clt cle w3a prmuz2 ad2antlr anbi12d pm3.22 3adant1
      weq rspcedvd prmdvdsprmop r19.29a cn0 nnnn0 prmocl elfzuz eluz2nn nnaddcl
      cgcd syl2an ncoprmgcdgt1b syl2anc mpbid ) BETZAFBGHTZIZCJZBKLZAUAHZMNZVKA
      MNZIZCFUBLZUCZUDVMAVCHUENZVJDJZBUFNZVTAMNZVTVMMNZUGZVRDOVJVTOTZIZWDIZVPWC
      WBIZCVTVQWEVTVQTVJWDVTUHUICDUMZVPWHPWGWIVNWCVOWBVKVTVMMQVKVTAMQUJRWDWHWFW
      BWCWHWAWBWCUKULRUNABDUOUPVJVMETZAETZVRVSPVHVLETZWKWJVIVHBUQTWLBURBUSSVIAV
      QTWKAFBUTAVASZVLAVBVDVIWKVHWMRVMACVEVFVG $.
  $}

  ${
    $d i j k m n $.  $d j k m n p q z $.
    $( Alternate proof of ~ prmgap : in contrast to ~ prmgap , where the gap
       starts at n! , the factorial of n, the gap starts at n#, the primorial
       of n.  (Contributed by AV, 15-Aug-2020.)  (Revised by AV, 29-Aug-2020.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    prmgapprmo $p |- A. n e. NN E. p e. Prime E. q e. Prime
               ( n <_ ( q - p ) /\ A. z e. ( ( p + 1 ) ..^ q ) z e/ Prime ) $=
      ( vi vj vk vm cv co cprime c1 caddc wa cn wcel cfz cfv wceq adantl cle id
      cmin wbr wnel cfzo wral wrex cmpt cprod cmap wf eqid fzfid eqidd ifbieq1d
      cif eleq1 elfznn 1nn a1i ifcld fvmptd eqeltrd fprodnncl fmpti elmap mpbir
      nnex cgcd clt c2 cprmo prmgapprmolem cz elfzelz prodeq2dv mpteq2dva oveq2
      1zzd prodeq1d simpl cn0 nnnn0 prmoval eqcomd adantr eqtrd oveq1d breqtrrd
      syl ralrimiva prmgaplem8 rgen ) BIZCIZDIZUCJUAUDAIKUEAWQLMJWPUFJUGNCKUHDK
      UHBOWOOPZAEFOLFIZQJZGIZHOHIZKPZXBLUQZUIZRZGUJZUIZWOCDWRUBXHOOUKJPZWRXIOOX
      HULFOOXGXHXHUMWSOPZWTXFGXJLWSUNXJXAWTPZNZXFXAKPZXALUQZOXLHXAXDXNOXEOXLXEU
      OXBXASZXDXNSZXLXOXCXMXBXALXBXAKURXOUBUPZTXKXAOPZXJXAWSUSZTXKXNOPZXJXKXMXA
      LOXSLOPZXKUTVAVBTZVCYBVDVEVFOOXHVIVIVGVHVAWRLWOXHRZEIZMJZYDVJJZVKUDEVLWOQ
      JZWRYDYGPZNZLWOVMRZYDMJZYDVJJYFVKYDWOVNYIYEYKYDVJYIYCYJYDMYIYCLWOQJZXNGUJ
      ZYJYIFWOWTXNGUJZYMOXHOYIFOXGYNYIXJNZWTXFXNGYOXKNZHXAXDXNOXEVOYPXEUOXOXPYP
      XQTXKXRYOXSTXKXNVOPYOXKXMXALVOXALWSVPXKVTVBTVCVQVRWSWOSZYNYMSYIYQWTYLXNGW
      SWOLQVSWATWRYHWBYIYLXNGYILWOUNXAYLPZXTYIYRXMXALOXAWOUSYAYRUTVAVBTVEVCWRYM
      YJSYHWRYJYMWRWOWCPYJYMSWOWDGWOWEWKWFWGWHWIWIWJWLWMWN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Decimal arithmetic (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    dec2dvds.1 $e |- A e. NN0 $.
    dec2dvds.2 $e |- B e. NN0 $.
    dec2dvds.3 $e |- ( B x. 2 ) = C $.
    dec2dvds.4 $e |- D = ( C + 1 ) $.
    $( Divisibility by two is obvious in base 10.  (Contributed by Mario
       Carneiro, 19-Apr-2015.) $)
    dec2dvds $p |- -. 2 || ; A D $=
      ( c2 cdc c1 caddc co cdvds wbr c5 cz wcel nn0zi 2z cc0 cmul 5nn0 dvdsmul2
      wn mp2an 5t2e10 breqtri wi 10nn0 dvdsmultr1 mp3an ax-mp wa nn0mulcli 2nn0
      cn0 eqeltrri dvds2add dfdec10 breqtrri cn clt deccl 2nn 1lt2 ndvdsp1 eqid
      eqcomi decsuc breq2i mtbi ) IACJZKLMZNOZIADJZNOIVMNOZVOUEZIKUAJZAUBMZCLMZ
      VMNIVTNOZICNOZIWANOZIVSNOZWBIPIUBMZVSNPQRIQRZIWFNOPUCSTPIUDUFUGUHWGVSQRAQ
      RWEWBUITVSUJSAESIVSAUKULUMIBIUBMZCNBQRWGIWHNOBFSTBIUDUFGUHWGVTQRCQRWBWCUN
      WDUITVTVSAUJEUOSCWHCUQGBIFUPUOURZSIVTCUSULUFACUTVAVMQRIVBRKIVCOVQVRUIVMAC
      EWIVDSVEVFIVMVGULUMVNVPINACDVMEWIDCKLMHVIVMVHVJVKVL $.
  $}

  ${
    dec5dvds.1 $e |- A e. NN0 $.
    dec5dvds.2 $e |- B e. NN $.
    dec5dvds.3 $e |- B < 5 $.
    $( Divisibility by five is obvious in base 10.  (Contributed by Mario
       Carneiro, 19-Apr-2015.) $)
    dec5dvds $p |- -. 5 || ; A B $=
      ( c5 cdc c2 cmul co 5nn 2nn0 nn0mulcli caddc c1 cc0 5cn 2cn nn0cni oveq1i
      mulassi 5t2e10 eqtr3i dfdec10 eqtr4i ndvdsi ) FABGZHAIJZBKHALCMDFUHIJZBNJ
      OPGZAIJZBNJUGUIUKBNFHIJZAIJUIUKFHAQRACSUAULUJAIUBTUCTABUDUEEUF $.

    dec5dvds2.4 $e |- ( 5 + B ) = C $.
    $( Divisibility by five is obvious in base 10.  (Contributed by Mario
       Carneiro, 19-Apr-2015.) $)
    dec5dvds2 $p |- -. 5 || ; A C $=
      ( c5 cdc cdvds wbr dec5dvds caddc co cz wcel wb 5nn0 nn0zi nnnn0i dvdsadd
      deccl mp2an cc0 0nn0 dec0h eqid nn0cni addid2i decadd breq2i bitri mtbi )
      HABIZJKZHACIZJKZABDEFLUOHHUNMNZJKZUQHOPUNOPUOUSQHRSUNABDBETZUBSHUNUAUCURU
      PHJUDHABACHUNUERDUTHRUFUNUGAADUHUIGUJUKULUM $.
  $}

  ${
    dec5nprm.1 $e |- A e. NN $.
    $( Divisibility by five is obvious in base 10.  (Contributed by Mario
       Carneiro, 19-Apr-2015.) $)
    dec5nprm $p |- -. ; A 5 e. Prime $=
      ( c2 cmul co c1 caddc c5 cdc cn wcel 2nn nnmulcli peano2nn ax-mp 5nn 1nn0
      1lt2 nncni 5cn numlti 1lt5 cc0 mul32i 5t2e10 oveq1i eqtri mulid2i oveq12i
      mulcomli ax-1cn adddiri dfdec10 3eqtr4i nprmi ) CADEZFGEZHAHIZUPJKUQJKCAL
      BMZUPNOPAFFCLBQQRUAUBUPHDEZFHDEZGEFUCIZADEZHGEUQHDEURUTVCVAHGUTCHDEZADEVC
      CAHCLSZABSTUDVDVBADHCVBTVEUEUJUFUGHTUHUIUPFHUPUSSUKTULAHUMUNUO $.

    dec2nprm.2 $e |- B e. NN0 $.
    dec2nprm.3 $e |- ( B x. 2 ) = C $.
    $( Divisibility by two is obvious in base 10.  (Contributed by Mario
       Carneiro, 19-Apr-2015.) $)
    dec2nprm $p |- -. ; A C e. Prime $=
      ( c5 cmul co caddc c2 cdc cn wcel cn0 5nn nnmulcli c1 nncni 2cn mp2an 2nn
      nnnn0addcl 1nn0 1lt5 numlti cc0 mul32i 5t2e10 oveq1i eqtri oveq12i nn0cni
      1lt2 adddiri dfdec10 3eqtr4i nprmi ) GAHIZBJIZKACLZUSMNBONUTMNGAPDQZEUSBU
      CUAUBABRGPDEUDUEUFUNUSKHIZBKHIZJIRUGLZAHIZCJIUTKHIVAVCVFVDCJVCGKHIZAHIVFG
      AKGPSADSTUHVGVEAHUIUJUKFULUSBKUSVBSBEUMTUOACUPUQUR $.
  $}

  ${
    modxai.1 $e |- N e. NN $.
    modxai.2 $e |- A e. NN $.
    modxai.3 $e |- B e. NN0 $.
    modxai.4 $e |- D e. ZZ $.
    modxai.5 $e |- K e. NN0 $.
    modxai.6 $e |- M e. NN0 $.
    ${
      modxai.7 $e |- C e. NN0 $.
      modxai.8 $e |- L e. NN0 $.
      modxai.11 $e |- ( ( A ^ B ) mod N ) = ( K mod N ) $.
      modxai.12 $e |- ( ( A ^ C ) mod N ) = ( L mod N ) $.
      modxai.9 $e |- ( B + C ) = E $.
      modxai.10 $e |- ( ( D x. N ) + M ) = ( K x. L ) $.
      $( Add exponents in a power mod calculation.  (Contributed by Mario
         Carneiro, 21-Feb-2014.)  (Revised by Mario Carneiro, 5-Feb-2015.) $)
      modxai $p |- ( ( A ^ E ) mod N ) = ( M mod N ) $=
        ( cexp co cmo cmul caddc oveq2i wcel cn0 wceq nncni expadd mp3an eqtr3i
        cc oveq1i wtru cz nnexpcl mp2an nnzi a1i nn0zi crp nnrp ax-mp modmul12d
        cn mptru zcn mulcli nn0cni addcomi eqtri cr nn0rei modcyc ) AEUBUCZIUDU
        CABUBUCZACUBUCZUEUCZIUDUCZHIUDUCZVRWAIUDABCUFUCZUBUCZVRWAWDEAUBTUGAUOUH
        BUIUHZCUIUHZWEWAUJAKUKLPABCULUMUNUPWBHDIUEUCZUFUCZIUDUCZWCWBFGUEUCZIUDU
        CZWJWBWLUJUQVSFVTGIVSURUHUQVSAVHUHZWFVSVHUHKLABUSUTVAVBFURUHUQFNVCVBVTU
        RUHUQVTWMWGVTVHUHKPACUSUTVAVBGURUHUQGQVCVBIVDUHZUQIVHUHWNJIVEVFZVBVSIUD
        UCFIUDUCUJUQRVBVTIUDUCGIUDUCUJUQSVBVGVIWKWIIUDWHHUFUCWKWIUAWHHDIDURUHZD
        UOUHMDVJVFIJUKVKHOVLVMUNUPVNHVOUHWNWPWJWCUJHOVPWOMHIDVQUMVNVN $.
    $}

    ${
      mod2xi.9 $e |- ( ( A ^ B ) mod N ) = ( K mod N ) $.
      mod2xi.7 $e |- ( 2 x. B ) = E $.
      mod2xi.8 $e |- ( ( D x. N ) + M ) = ( K x. K ) $.
      $( Double exponents in a power mod calculation.  (Contributed by Mario
         Carneiro, 21-Feb-2014.) $)
      mod2xi $p |- ( ( A ^ E ) mod N ) = ( M mod N ) $=
        ( c2 cmul co caddc nn0cni 2timesi eqtr3i modxai ) ABBCDEEFGHIJKLMJLNNQB
        RSBBTSDBBJUAUBOUCPUD $.
    $}

    ${
      modxp1i.9 $e |- ( ( A ^ B ) mod N ) = ( K mod N ) $.
      modxp1i.7 $e |- ( B + 1 ) = E $.
      modxp1i.8 $e |- ( ( D x. N ) + M ) = ( K x. A ) $.
      $( Add one to an exponent in a power mod calculation.  (Contributed by
         Mario Carneiro, 21-Feb-2014.) $)
      modxp1i $p |- ( ( A ^ E ) mod N ) = ( M mod N ) $=
        ( c1 1nn0 nnnn0i cexp co cmo wcel wceq nncni exp1 ax-mp oveq1i modxai
        cc ) ABQCDEAFGHIJKLMRAISNAQTUAZAGUBAUJUCUKAUDAIUEAUFUGUHOPUI $.
    $}
  $}

  ${
    mod2xnegi.1 $e |- A e. NN $.
    mod2xnegi.2 $e |- B e. NN0 $.
    mod2xnegi.3 $e |- D e. ZZ $.
    mod2xnegi.4 $e |- K e. NN $.
    mod2xnegi.5 $e |- M e. NN0 $.
    mod2xnegi.6 $e |- L e. NN0 $.
    mod2xnegi.10 $e |- ( ( A ^ B ) mod N ) = ( L mod N ) $.
    mod2xnegi.7 $e |- ( 2 x. B ) = E $.
    mod2xnegi.8 $e |- ( L + K ) = N $.
    mod2xnegi.9 $e |- ( ( D x. N ) + M ) = ( K x. K ) $.
    $( Version of ~ mod2xi with a negative mod value.  (Contributed by Mario
       Carneiro, 21-Feb-2014.) $)
    mod2xnegi $p |- ( ( A ^ E ) mod N ) = ( M mod N ) $=
      ( caddc co cmin cn cn0 wcel nn0nnaddcl mp2an eqeltrri cz zaddcl nn0addcli
      nnzi nnnn0i nn0zi zsubcl cmul nncni cc ax-mp addcli subdiri oveq1i mulcli
      nn0cni addsubi oveq2i adddii oveq12i adddiri addassi eqtr2i eqtr3i mulsub
      zcn mulcomi wceq mp4an subadd2i mpbir 3eqtr2i mod2xi ) ABHCSTZEESTZUATZDF
      GHFESTZHUBQFUCUDEUBUDWDUBUDNLFEUEUFUGZIJWAUHUDZWBUHUDWCUHUDHUHUDCUHUDZWFH
      WEUKKHCUIUFWBEEELULZWHUJUMWAWBUNUFNMOPWCHUOTZGSTWAHUOTZWBHUOTZUATZGSTWJGS
      TZWKUATZFFUOTZWIWLGSWAWBHHCHWEUPZWGCUQUDKCVMURZUSZEEELUPZWSUSZWPUTVAWJGWK
      WAHWRWPVBGMVCZWBHWTWPVBVDHHUOTZEEUOTZSTZHEUOTZXESTZUATZWNWOXBCHUOTZGSTZST
      ZHWBUOTZUATXGWNXJXDXKXFUAXIXCXBSRVEHEEWPWSWSVFVGXJWMXKWKUAWMXBXHSTZGSTXJW
      JXLGSHCHWPWQWPVHVAXBXHGHHWPWPVBCHWQWPVBXAVIVJHWBWPWTVNVGVKHEUATZXMUOTZXGW
      OHUQUDZEUQUDZXOXPXNXGVOWPWSWPWSHEHEVLVPXMFXMFUOXMFVOWDHVOQHEFWPWSFNVCVQVR
      ZXQVGVKVKVSVT $.
  $}

  ${
    modsubi.1 $e |- N e. NN $.
    modsubi.2 $e |- A e. NN $.
    modsubi.3 $e |- B e. NN0 $.
    modsubi.4 $e |- M e. NN0 $.
    modsubi.6 $e |- ( A mod N ) = ( K mod N ) $.
    modsubi.5 $e |- ( M + B ) = K $.
    $( Subtract from within a mod calculation.  (Contributed by Mario Carneiro,
       18-Feb-2014.) $)
    modsubi $p |- ( ( A - B ) mod N ) = ( M mod N ) $=
      ( caddc co cmo cmin cr wcel wa wceq nn0rei cneg crp nnrei eqeltrri pm3.2i
      nn0addcli renegcli cn nnrp ax-mp modadd1 mp3an nncni nn0cni negsubi recni
      oveq1i subadd2i mpbir eqtri 3eqtr3i ) ABUAZLMZENMZCVBLMZENMZABOMZENMDENMA
      PQZCPQZRVBPQZEUBQZRAENMCENMSVDVFSVHVIAGUCDBLMZCPKVLDBIHUFTUDZUEVJVKBBHTUG
      EUHQVKFEUIUJUEJACVBEUKULVCVGENABAGUMBHUNZUOUQVEDENVECBOMZDCBCVMUPZVNUOVOD
      SVLCSKCBDVPVNDIUNURUSUTUQVA $.
  $}

  ${
    gcdi.1 $e |- K e. NN0 $.
    gcdi.2 $e |- R e. NN0 $.
    ${
      gcdi.3 $e |- N e. NN0 $.
      gcdi.5 $e |- ( N gcd R ) = G $.
      gcdi.4 $e |- ( ( K x. N ) + R ) = M $.
      $( Calculate a GCD via Euclid's algorithm.  (Contributed by Mario
         Carneiro, 19-Feb-2014.) $)
      gcdi $p |- ( M gcd N ) = G $=
        ( cgcd co cmul caddc nn0mulcli nn0cni cz wcel wceq nn0zi oveq2i gcdaddm
        addcomli mp3an cn0 numcl eqeltrri gcdcom mp2an 3eqtr4i eqtr3i ) EAKLZDE
        KLZBEACEMLZNLZKLZEDKLZULUMUODEKUNADUNCEFHOPAGPJUCUACQREQRZAQRULUPSCFTEH
        TZAGTCEAUBUDDQRURUMUQSDUNANLDUEJEACFHGUFUGTUSDEUHUIUJIUK $.
    $}

    ${
      gcdmodi.3 $e |- N e. NN $.
      gcdmodi.4 $e |- ( K mod N ) = ( R mod N ) $.
      gcdmodi.5 $e |- ( N gcd R ) = G $.
      $( Calculate a GCD via Euclid's algorithm.  Theorem 5.6 in [ApostolNT]
         p. 109.  (Contributed by Mario Carneiro, 19-Feb-2014.) $)
      gcdmodi $p |- ( K gcd N ) = G $=
        ( cgcd co cmo oveq1i cz wcel cn wceq nn0zi modgcd mp2an 3eqtr3i gcdcom
        nnzi 3eqtri ) CDJKZADJKZDAJKZBCDLKZDJKZADLKZDJKZUEUFUHUJDJHMCNODPOZUIUE
        QCERGCDSTANOZULUKUFQAFRZGADSTUAUMDNOUFUGQUNDGUCADUBTIUD $.
    $}
  $}

  ${
    decexp2.1 $e |- M e. NN0 $.
    decexp2.2 $e |- ( M + 2 ) = N $.
    $( Calculate a power of two.  (Contributed by Mario Carneiro,
       19-Feb-2014.) $)
    decexp2 $p |- ( ( 4 x. ( 2 ^ M ) ) + 0 ) = ( 2 ^ N ) $=
      ( c4 c2 cexp co cmul c1 caddc 2cn nn0cni wcel cn0 wceq expp1 mp2an ax-1cn
      3eqtr4i 2nn0 nn0expcli mulcli cc mulcomi eqtr2i oveq1i mulcomli peano2nn0
      cc0 decbin0 ax-mp 4nn0 nn0mulcli addid1i addassi df-2 oveq2i 3eqtr2ri ) E
      FAGHZIHZFAJKHZJKHZGHZVAUJKHFBGHFFUTIHZIHFVBGHZFIHZVAVDVEFVGFUTLUTFAUACUBZ
      MZUCLVEVFFIVFUTFIHZVEFUDNZAONZVFVJPLCFAQRUTFVILUEUFUGUHUTVHUKVKVBONZVDVGP
      LVLVMCAUIULFVBQRTVAVAEUTUMVHUNMUOBVCFGVCAJJKHZKHAFKHBAJJACMSSUPFVNAKUQURD
      USURT $.
  $}

  ${
    numexp.1 $e |- A e. NN0 $.
    $( Calculate an integer power.  (Contributed by Mario Carneiro,
       17-Apr-2015.) $)
    numexp0 $p |- ( A ^ 0 ) = 1 $=
      ( cc wcel cc0 cexp co c1 wceq nn0cni exp0 ax-mp ) ACDAEFGHIABJAKL $.

    $( Calculate an integer power.  (Contributed by Mario Carneiro,
       17-Apr-2015.) $)
    numexp1 $p |- ( A ^ 1 ) = A $=
      ( cc wcel c1 cexp co wceq nn0cni exp1 ax-mp ) ACDAEFGAHABIAJK $.

    numexpp1.2 $e |- M e. NN0 $.
    ${
      numexpp1.3 $e |- ( M + 1 ) = N $.
      numexpp1.4 $e |- ( ( A ^ M ) x. A ) = C $.
      $( Calculate an integer power.  (Contributed by Mario Carneiro,
         17-Apr-2015.) $)
      numexpp1 $p |- ( A ^ N ) = C $=
        ( c1 caddc co cexp cmul cc wcel cn0 wceq nn0cni expp1 mp2an 3eqtr3i
        oveq2i ) ACIJKZLKZACLKAMKZADLKBANOCPOUDUEQAERFACSTUCDALGUBHUA $.
    $}

    ${
      numexp2x.3 $e |- ( 2 x. M ) = N $.
      numexp2x.4 $e |- ( A ^ M ) = D $.
      numexp2x.5 $e |- ( D x. D ) = C $.
      $( Double an integer power.  (Contributed by Mario Carneiro,
         17-Apr-2015.) $)
      numexp2x $p |- ( A ^ N ) = C $=
        ( cexp co cmul caddc c2 nn0cni 2timesi eqtr3i wcel eqtri oveq2i cc wceq
        cn0 expadd mp3an oveq12i ) AEKLZADKLZUIMLZBUHADDNLZKLZUJEUKAKODMLEUKHDD
        GPQRUAAUBSDUDSZUMULUJUCAFPGGADDUEUFTUJCCMLBUICUICMIIUGJTT $.
    $}
  $}

  ${
    decsplit0.1 $e |- A e. NN0 $.
    $( Split a decimal number into two parts.  Base case: ` N = 0 ` .
       (Contributed by Mario Carneiro, 16-Jul-2015.)  (Revised by AV,
       8-Sep-2021.) $)
    decsplit0b $p |- ( ( A x. ( ; 1 0 ^ 0 ) ) + B ) = ( A + B ) $=
      ( c1 cc0 cdc cexp co cmul caddc 10nn0 numexp0 oveq2i nn0cni mulid1i eqtri
      oveq1i ) ADEFZEGHZIHZABJTADIHASDAIRKLMAACNOPQ $.

    $( Split a decimal number into two parts.  Base case: ` N = 0 ` .
       (Contributed by Mario Carneiro, 16-Jul-2015.)  (Revised by AV,
       8-Sep-2021.) $)
    decsplit0 $p |- ( ( A x. ( ; 1 0 ^ 0 ) ) + 0 ) = A $=
      ( c1 cc0 cdc cexp co cmul caddc decsplit0b nn0cni addid1i eqtri ) ACDEDFG
      HGDIGADIGAADBJAABKLM $.

    $( Split a decimal number into two parts.  Base case: ` N = 1 ` .
       (Contributed by Mario Carneiro, 16-Jul-2015.)  (Revised by AV,
       8-Sep-2021.) $)
    decsplit1 $p |- ( ( A x. ( ; 1 0 ^ 1 ) ) + B ) = ; A B $=
      ( c1 cc0 cdc cexp co cmul caddc 10nn0 numexp1 oveq2i nn0cni eqtr4i oveq1i
      mulcomi dfdec10 ) ADEFZDGHZIHZBJHSAIHZBJHABFUAUBBJUAASIHUBTSAISKLMSASKNAC
      NQOPABRO $.

    decsplit.2 $e |- B e. NN0 $.
    decsplit.3 $e |- D e. NN0 $.
    decsplit.4 $e |- M e. NN0 $.
    decsplit.5 $e |- ( M + 1 ) = N $.
    decsplit.6 $e |- ( ( A x. ( ; 1 0 ^ M ) ) + B ) = C $.
    $( Split a decimal number into two parts.  Inductive step.  (Contributed by
       Mario Carneiro, 16-Jul-2015.)  (Revised by AV, 8-Sep-2021.) $)
    decsplit $p |- ( ( A x. ( ; 1 0 ^ N ) ) + ; B D ) = ; C D $=
      ( cdc cexp co cmul caddc 10nn0 nn0mulcli nn0cni cc0 addassi adddii oveq2i
      c1 nn0expcli eqtr3i oveq1i mulcomi numexpp1 eqtri dfdec10 oveq12i 3eqtr4i
      mul12i ) UEUAMZAUPENOZPOZPOZUPBPOZDQOZQOZUPCPOZDQOZAUPFNOZPOZBDMZQOCDMUSU
      TQOZDQOVBVDUSUTDUSUPURRAUQGUPERJUFZSZSTUTUPBRHSTDITUBVHVCDQUPURBQOZPOVHVC
      UPURBUPRTZURVJTBHTUCVKCUPPLUDUGUHUGVFUSVGVAQVFAUPUQPOZPOUSVEVMAPUPVMEFRJK
      UQUPUQVITZVLUIUJUDAUPUQAGTVLVNUOUKBDULUMCDULUN $.
  $}

  ${
    karatsuba.a $e |- A e. NN0 $.
    karatsuba.b $e |- B e. NN0 $.
    karatsuba.c $e |- C e. NN0 $.
    karatsuba.d $e |- D e. NN0 $.
    karatsuba.s $e |- S e. NN0 $.
    karatsuba.m $e |- M e. NN0 $.
    karatsuba.r $e |- ( A x. C ) = R $.
    karatsuba.t $e |- ( B x. D ) = T $.
    karatsuba.e $e |- ( ( A + B ) x. ( C + D ) ) = ( ( R + S ) + T ) $.
    karatsuba.x $e |- ( ( A x. ( ; 1 0 ^ M ) ) + B ) = X $.
    karatsuba.y $e |- ( ( C x. ( ; 1 0 ^ M ) ) + D ) = Y $.
    karatsuba.w $e |- ( ( R x. ( ; 1 0 ^ M ) ) + S ) = W $.
    karatsuba.z $e |- ( ( W x. ( ; 1 0 ^ M ) ) + T ) = Z $.
    $( The Karatsuba multiplication algorithm.  If ` X ` and ` Y ` are
       decomposed into two groups of digits of length ` M ` (only the lower
       group is known to be this size but the algorithm is most efficient when
       the partition is chosen near the middle of the digit string), then
       ` X Y ` can be written in three groups of digits, where each group needs
       only one multiplication.  Thus, we can halve both inputs with only three
       multiplications on the smaller operands, yielding an asymptotic
       improvement of n^(log_2 3) instead of n^2 for the "naive" algorithm
       ~ decmul1c .  (Contributed by Mario Carneiro, 16-Jul-2015.)  (Revised by
       AV, 9-Sep-2021.) $)
    karatsuba $p |- ( X x. Y ) = Z $=
      ( c1 cc0 cdc cexp co cmul caddc nn0cni wcel cn0 10nn0 expcl mp2an muladdi
      cc mulcli addcli add32i adddiri mul32i oveq1i eqtri mulassi wceq mulcomli
      oveq12i 3eqtr2i addcani mpbi 3eqtri 3eqtr3ri 3eqtr3i ) AUFUGUHZHUIUJZUKUJ
      ZBULUJZCVSUKUJZDULUJZUKUJZIVSUKUJZGULUJZJKUKUJLWDVTWBUKUJZDBUKUJZULUJVTDU
      KUJZWBBUKUJZULUJZULUJWGWKULUJZWHULUJWFVTBWBDAVSAMUMZVRUTUNHUOUNVSUTUNVRUP
      UMRVRHUQURZVAZBNUMZCVSCOUMZWNVAZDPUMZUSWGWHWKVTWBWOWRVADBWSWPVAZWIWJVTDWO
      WSVAWBBWRWPVAVBVCWLWEWHGULVTCUKUJZFULUJZVSUKUJXAVSUKUJZFVSUKUJZULUJWEWLXA
      FVSVTCWOWQVAFQUMZWNVDXBIVSUKXBEVSUKUJZFULUJIXAXFFULXAACUKUJZVSUKUJXFAVSCW
      MWNWQVEXGEVSUKSVFVGVFUDVGVFXCWGXDWKULVTCVSWOWQWNVHXDADUKUJZCBUKUJZULUJZVS
      UKUJXHVSUKUJZXIVSUKUJZULUJWKFXJVSUKXGWHULUJZFULUJZXMXJULUJZVIFXJVIXNEFULU
      JZGULUJZABULUJCDULUJUKUJXOXNXGFULUJZWHULUJXQXGWHFACWMWQVAZWTXEVCXRXPWHGUL
      XGEFULSVFBDGWPWSTVJZVKVGUAABCDWMWPWQWSUSVLXMFXJXGWHXSWTVBXEXHXIADWMWSVAZC
      BWQWPVAZVBVMVNVFXHXIVSYAYBWNVDXKWIXLWJULADVSWMWSWNVECBVSWQWPWNVEVKVOVKVPX
      TVKVOWAJWCKUKUBUCVKUEVQ $.
  $}

  $( Two to the fourth power is 16.  (Contributed by Mario Carneiro,
     20-Apr-2015.) $)
  2exp4 $p |- ( 2 ^ 4 ) = ; 1 6 $=
    ( c2 c1 c6 cdc c4 2nn0 2t2e4 sq2 4t4e16 numexp2x ) ABCDEAEFFGHIJ $.

  $( Two to the fifth power is 32.  (Contributed by AV, 16-Aug-2021.) $)
  2exp5 $p |- ( 2 ^ 5 ) = ; 3 2 $=
    ( c2 c5 cexp co c8 c4 cmul c3 cdc caddc 3p2e5 eqcomi oveq2i cc wcel cn0 2cn
    wceq 3nn0 eqtri 2nn0 expadd mp3an cu2 sq2 oveq12i 8t4e32 ) ABCDZEFGDZHAIUHA
    HAJDZCDZUIBUJACUJBKLMUKAHCDZAACDZGDZUIANOHPOAPOUKUNRQSUAAHAUBUCULEUMFGUDUEU
    FTTUGT $.

  $( Two to the sixth power is 64.  (Contributed by Mario Carneiro,
     20-Apr-2015.)  (Proof shortened by OpenAI, 25-Mar-2020.) $)
  2exp6 $p |- ( 2 ^ 6 ) = ; 6 4 $=
    ( c2 c6 c4 cdc c8 c3 2nn0 3nn0 3cn 2cn 3t2e6 mulcomli cu2 8t8e64 numexp2x )
    ABCDEFBGHFABIJKLMNO $.

  $( Two to the seventh power is 128.  (Contributed by AV, 16-Aug-2021.) $)
  2exp7 $p |- ( 2 ^ 7 ) = ; ; 1 2 8 $=
    ( c2 c7 cexp co c6 c4 cdc cmul c1 c8 caddc df-7 oveq2i cc wcel cn0 wceq 2cn
    6nn0 eqtri expp1 mp2an 2exp6 oveq1i 2nn0 4nn0 eqid 6t2e12 4t2e8 decmul1 ) A
    BCDZEFGZAHDZIAGZJGUKAEIKDZCDZUMBUOACLMUPAECDZAHDZUMANOEPOUPURQRSAEUAUBUQULA
    HUCUDTTEFUNJAULUESUFULUGUHUIUJT $.

  $( Two to the eighth power is 256.  (Contributed by Mario Carneiro,
     20-Apr-2015.) $)
  2exp8 $p |- ( 2 ^ 8 ) = ; ; 2 5 6 $=
    ( c2 c5 cdc c6 c1 c4 c8 2nn0 4nn0 nn0cni 2cn c9 1nn0 6nn0 9nn0 co 6cn caddc
    cmul c3 4t2e8 mulcomli 2exp4 deccl eqid mulid1i 1p1e2 9cn addcomli decaddci
    5nn0 9p6e15 mulid2i oveq1i 6p3e9 eqtri 6t6e36 decmul1c decmul2c numexp2x
    3nn0 ) AABCZDCEDCZFGHIFAGFIJKUAUBUCEDVBDVCLVCEDMNUDZMNVCUEZNOEDBAVCESPLMNOV
    CVCVDJUFUGUKLDEBCUHQULUIUJEDLDDTVCNMNVENVAEDSPZTRPDTRPLVFDTRDQUMUNUOUPUQURU
    SUT $.

  $( Two to the eleventh power is 2048.  (Contributed by AV, 16-Aug-2021.) $)
  2exp11 $p |- ( 2 ^ ; 1 1 ) = ; ; ; 2 0 4 8 $=
    ( c2 c1 cdc cexp co c8 c3 cmul cc0 c4 wcel 8nn0 eqtri c5 2nn0 4nn0 0nn0 8cn
    c6 mulcomli caddc 8p3e11 eqcomi oveq2i cn0 wceq 2cn 3nn0 expadd mp3an 2exp8
    cc cu2 oveq12i 5nn0 deccl 6nn0 eqid 8t2e16 1p1e2 6p4e10 decaddci 5cn 8t5e40
    1nn0 decmul1c 4cn addid2i decaddi 6cn 8t6e48 ) ABBCZDEZAFDEZAGDEZHEZAICZJCZ
    FCZVMAFGUAEZDEZVPVLVTADVTVLUBUCUDAULKFUEKGUEKWAVPUFUGLUHAFGUIUJMVPANCZSCZFH
    EVSVNWCVOFHUKUMUNWBSVRFFJWCLANOUOUPUQWCURLPVQIJWBFHEJAIOQUPQPANVQIFJWBLOUOW
    BURQPBSIAAFHEJVEUQPFABSCRUGUSTUTQVAVBFNJICRVCVDTVFJVGVHVIFSJFCRVJVKTVFMM $.

  $( Two to the sixteenth power is 65536.  (Contributed by Mario Carneiro,
     20-Apr-2015.) $)
  2exp16 $p |- ( 2 ^ ; 1 6 ) = ; ; ; ; 6 5 5 3 6 $=
    ( c2 c6 c5 cdc c3 c8 c1 2nn0 5nn0 deccl 6nn0 eqid 1nn0 caddc co cc0 decaddi
    3nn0 0nn0 cmul 8nn0 8cn 2cn 8t2e16 mulcomli 2exp8 c4 4nn0 dec0h 0p1e1 1p2e3
    decadd 3p1e4 8p5e13 addcomli decaddc 4p1e5 2t2e4 1p1e2 oveq12i 4p2e6 5t2e10
    5cn eqtri addid2i decmac 6t2e12 3cn 3p2e5 oveq2i 5t5e25 decma2c 6cn decrmac
    5p3e8 6t5e30 6t6e36 decmul1c decmul2c numexp2x ) ABCDZCDZEDZBDACDZBDZFGBDZH
    UAFAWFUBUCUDUEUFWDBWCBWEGCDZEDZWEWDBACHIJZKJZWIKWELZKWGEGCMIJZRJACWGEWEWBEG
    ADZFDZWDWHHIWLRWDLZWHLWJRWMFGAMHJZUAJWDBGUGDZEAWACGWEWGWNNOWIKGUGMUHJRWKGCW
    MFWQEWGWNMIWPUAWGLWNLGEUGGWMNOGMRMPGGAGEGWMSMMHGMUIWMLUJUKULUMQRFCGEDUBVCUN
    UOUPHIMACGCABCGWDWQGNOHIMIWOGUGCWQGMUHMWQLUQQHIMAATOZGGNOZNOUGANOBWRUGWSANU
    RUSUTVAVDGPCCATOCMSIVBCVCVEQVFGACBATOEMHRVGEACVHUCVIUOZQVFWDBPECWNEEWEEWIKS
    RWKERUIZIRRACPECWMFAWDPENOZHISRWOXBEPEDEVHVEZXAVDIUAHACTOZPANOZNOXDANOWMXEA
    XDNAUCVEZVJGPAXDAMSHCAGPDVCUCVBUEXFQVDACFCCTOEHIRVKVOQVFEPEBCTOERSRVPXCQVFV
    LWDBWHBBEWEKWIKWKKRACBWGEEWDEHIRWOKRRGACABTOEMHRBAWMVMUCVGUEWTQEPECBTOERSRB
    CEPDVMVCVPUEXCQVNVQVRVSVT $.

  $( Three to the third power is 27.  (Contributed by Mario Carneiro,
     20-Apr-2015.) $)
  3exp3 $p |- ( 3 ^ 3 ) = ; 2 7 $=
    ( c3 c2 c7 cdc 3nn0 2nn0 2p1e3 cexp co cmul c9 oveq1i 9t3e27 eqtri numexpp1
    sq3 ) ABCDZBAEFGABHIZAJIKAJIQRKAJPLMNO $.

  ${
    $d n x $.  $d x N $.
    $( The factorial grows faster than two to the power ` N ` .  (Contributed
       by Mario Carneiro, 15-Sep-2016.) $)
    2expltfac $p |- ( N e. ( ZZ>= ` 4 ) -> ( 2 ^ N ) < ( ! ` N ) ) $=
      ( c2 cexp co cfa cfv clt wbr c1 c4 wceq oveq2 fveq2 breq12d wcel cmul a1i
      cn nnred remulcld vx vn cv c6 caddc 2exp4 eqtrdi fac4 1nn0 2nn0 6nn0 4nn0
      cdc 6lt10 1lt2 decltc cuz wa 2nn 4nn simpl eluznn sylancr nnnn0d nnexpcld
      2re faccld 1red readdcld crp 2rp simpr ltmul1dd nn0ge0d cle df-2 leadd1dd
      cr nnge1d eqbrtrid lemul2ad ltletrd 2cnd expp1d cn0 facp1 3brtr4d uzind4i
      syl ex ) BUAUCZCDZWKEFZGHIUDUMZBJUMZGHBUBUCZCDZWPEFZGHZBWPIUEDZCDZWTEFZGH
      ZBACDZAEFZGHUAUBJAWKJKZWLWNWMWOGXFWLBJCDWNWKJBCLUFUGXFWMJEFWOWKJEMUHUGNWK
      WPKWLWQWMWRGWKWPBCLWKWPEMNWKWTKWLXAWMXBGWKWTBCLWKWTEMNWKAKWLXDWMXEGWKABCL
      WKAEMNIBUDJUIUJUKULUNUOUPWPJUQFOZWSXCXGWSURZWQBPDZWRWTPDZXAXBGXHXIWRBPDXJ
      XHWQBXHWQXHBWPBROXHUSQXHWPXHJROXGWPROUTXGWSVAWPJVBVCZVDZVESZBVROXHVFQZTXH
      WRBXHWRXHWPXLVGZSZXNTXHWRWTXPXHWPIXHWPXKSZXHVHZVIZTXHWQWRBXMXPBVJOXHVKQXG
      WSVLVMXHBWTWRXNXSXPXHWRXHWRXOVDVNXHBIIUEDWTVOVPXHIWPIXRXQXRXHWPXKVSVQVTWA
      WBXHBWPXHWCXLWDXHWPWEOXBXJKXLWPWFWIWGWJWH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cyclical shifts of words (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d L i j k $.  $d V i j k $.  $d W i j k $.
    $( If cyclically shifting a word of length being a prime number by a number
       of positions which is not divisible by the prime number results in the
       word itself, the word is a "repeated symbol word".  (Contributed by AV,
       18-May-2018.)  (Revised by AV, 10-Nov-2018.) $)
    cshwsidrepsw $p |- ( ( W e. Word V /\ ( # ` W ) e. Prime )
         -> ( ( L e. ZZ /\ ( L mod ( # ` W ) ) =/= 0 /\ ( W cyclShift L ) = W )
                          -> W = ( ( W ` 0 ) repeatS ( # ` W ) ) ) ) $=
      ( vi vj vk wcel cfv wa cmo co cc0 wceq w3a cmul caddc adantr adantl cn0
      cv cword chash cprime cz wne ccsh creps cfzo wral wrex simpr simp1 simpr2
      3jca modprmn0modprm0 sylc weq oveq1 oveq2d fvoveq1d eqeq2d anim12i simpr3
      wi simpl anim1i cshweqrep elfzonn0 ad2antrr rspcdva fveq2 eqtrd rexlimiva
      ex mpcom ralrimiva wb repswsymballbi mpbird ) CBUAGZCUBHZUCGZIZAUDGZAWAJK
      LUEZCAUFKCMZNZCLCHZWAUGKMZWCWGIZWIDTZCHZWHMZDLWAUHKZUIZWJWMDWNWKETZAOKZPK
      ZWAJKZLMZEWNUJZWJWKWNGZIZWMXCWBWDWENZXBXAWJXDXBWJWBWDWEWCWBWGVTWBUKQWGWDW
      CWDWEWFULZRWCWDWEWFUMUNQWJXBUKWAEWKAUOUPWTXCWMVDEWNWPWNGZWTIZXCWMXGXCIZWL
      WSCHZWHXHWLWKFTZAOKZPKZWAJKCHZMZWLXIMFSWPFEUQZXMXIWLXOXLWRWACJXOXKWQWKPXJ
      WPAOURUSUTVAXHVTWDIZWFXBIZXNFSUIXCXPXGWJXPXBWCVTWGWDVTWBVEXEVBQRXCXQXGWJW
      FXBWCWDWEWFVCVFRFWKABCVGUPXFWPSGWTXCWPWAVHVIVJXGXIWHMZXCWTXRXFWSLCVKRQVLV
      NVMVOVPVTWIWOVQWBWGDBCVRVIVSVN $.
  $}

  $( If cyclically shifting a word of length being a prime number results in
     the word itself, the shift must be either by 0 (modulo the length of the
     word) or the word must be a "repeated symbol word".  (Contributed by AV,
     18-May-2018.)  (Revised by AV, 10-Nov-2018.) $)
  cshwsidrepswmod0 $p |- ( ( W e. Word V /\ ( # ` W ) e. Prime /\ L e. ZZ )
                        -> ( ( W cyclShift L ) = W -> ( ( L mod ( # ` W ) ) = 0
                                \/ W = ( ( W ` 0 ) repeatS ( # ` W ) ) ) ) ) $=
    ( cword wcel chash cfv cprime cz w3a ccsh co wceq cmo cc0 creps wo wi orc
    wa 2a1d wne 3simpa ad2antlr simplr3 simpll simpr cshwsidrepsw syl13anc olcd
    imp exp31 pm2.61ine ) CBDEZCFGZHEZAIEZJZCAKLCMZAUONLZOMZCOCGUOPLMZQZRRUTOVA
    VCURUSVAVBSUAUTOUBZURUSVCVDURTZUSTZVBVAVFUNUPTZUQVDUSVBURVGVDUSUNUPUQUCUDUN
    UPUQVDUSUEVDURUSUFVEUSUGVGUQVDUSJVBABCUHUKUIUJULUM $.

  ${
    $d L i j $.  $d V i j $.  $d W i j $.  $d ph i j $.
    cshwshash.0 $e |- ( ph -> ( W e. Word V /\ ( # ` W ) e. Prime ) ) $.
    $( If cyclically shifting a word of length being a prime number not
       consisting of identical symbols by at least one position (and not by as
       many positions as the length of the word), the result will not be the
       word itself.  (Contributed by AV, 19-May-2018.)  (Revised by AV,
       8-Jun-2018.)  (Revised by AV, 10-Nov-2018.) $)
    cshwshashlem1 $p |- ( ( ph /\ E. i e. ( 0 ..^ ( # ` W ) )
                          ( W ` i ) =/= ( W ` 0 ) /\ L e. ( 1 ..^ ( # ` W ) ) )
                           -> ( W cyclShift L ) =/= W ) $=
      ( cfv cc0 wne co wcel w3a wi wceq wn wa ex a1d syl sylbi cv chash cfzo c1
      wrex ccsh wral df-ne rexbii rexnal bitri w3o simpll fzo0ss1 fzossfz sstri
      cfz sseli ad2antlr simpr creps cword cprime wo cz adantr cshwsidrepswmod0
      cmo elfzelz adantl syl3anc fzofzim zmodidfzoimp eqtr2 expcom com24 impcom
      3imp 3adant3 orcd pm2.61ine df-3or sylibr 3mix3 mpcom syl3an1 3mix1 3mix2
      olc jaoi wb repswsymballbi 3ad2ant1 biimpa 3mix3d 3jaoi cn clt wbr elfzo1
      nnne0 pm2.21 com12 cr nnre sylan eqcom syl5bi 3adant2 pm2.24d exp31 com34
      ltne ax-1 com23 ) ABUAEGZHEGZIZBHEUBGZUCJZUEZCUDXSUCJZKZLZECUFJZEIZMYEEYD
      YEENZYFAYAYCYGYFMZYAXPXQNZBXTUGZOZAYCYHMYAYIOZBXTUEYKXRYLBXTXPXQUHUIYIBXT
      UJUKAYCYKYHAYCYGYKYFAYCYGYKYFMAYCPZYGPZYJYFCHNZCXSNZYJULZYNYJYNACHXSUQJZK
      ZYGYQAYCYGUMYCYSAYGYBYRCYBXTYRXSUNHXSUOUPURUSYMYGUTYOYPEXQXSVAJNZULZAYSYG
      LZYQAEDVBKZXSVCKZPZYSYGUUAFCXSVHJZHNZYTVDZUUEYSYGLZUUAUUEYSYGUUHUUEYSYGUU
      HMZUUEYSPUUCUUDCVEKZUUJUUCUUDYSUMUUEUUDYSUUCUUDUTVFYSUUKUUECHXSVIVJCDEVGV
      KQVRUUGUUIUUAMYTUUGUUIUUAUUGUUIPZYOYPVDZYTVDUUAUULUUMYTUULUUMMCXSYPUUMUUL
      YPYOWIRCXSIZUULUUMUUNUULPYOYPUULUUNYOUUIUUGUUNYOMZUUEYSUUGUUOMZYGYSUUEUUP
      YSUUNUUGUUEYOUUNYSUUGUUEYOMZMZUUNYSPCXTKZUURCXSVLUUSUUFCNZUURCXSVMUUTUUGU
      UQUUTUUGPYOUUEUUFCHVNRQSSVOVPVQVSVQVQVTQWAVTYOYPYTWBWCQYTUUAUUIYTYOYPWDRW
      JWEWFYOUUBYQMYPYTYOYQUUBYOYPYJWGRYPYQUUBYPYOYJWHRUUBYTYQUUBYTPYJYOYPUUBYT
      YJAYSYTYJWKZYGAUUEUVAFUUCUVAUUDBDEWLVFSWMWNWOVOWPWEVKYOYNYJMYPYJYNYOYJYCY
      OYJMZAYGYCCWQKZXSWQKZCXSWRWSZLZUVBXSCWTZUVCUVDUVBUVEUVCCHIZUVBCXAUVHYOOUV
      BCHUHYOYJXBTSWMTUSXCYNYPYJYCYPYJMZAYGYCUVFUVIUVGUVCUVEUVIUVDUVCUVEPXSCIZU
      VIUVCCXDKUVEUVJCXECXSXMXFUVJXSCNZOZUVIXSCUHYPUVKUVLYJCXSXGUVKYJXBXHTSXITU
      SXCYJYNXNWPWEXJXKXLXOXHVRXCYFYDXNWA $.

    $d K i $.
    $( If cyclically shifting a word of length being a prime number and not of
       identical symbols by different numbers of positions, the resulting words
       are different.  (Contributed by Alexander van der Vekens, 19-May-2018.)
       (Revised by Alexander van der Vekens, 8-Jun-2018.) $)
    cshwshashlem2 $p |- ( ( ph /\ E. i e. ( 0 ..^ ( # ` W ) )
         ( W ` i ) =/= ( W ` 0 ) ) -> ( ( L e. ( 0 ..^ ( # ` W ) )
                                       /\ K e. ( 0 ..^ ( # ` W ) ) /\ K < L )
                              -> ( W cyclShift L ) =/= ( W cyclShift K ) ) ) $=
      ( cc0 co wa wcel clt wbr ccsh wi adantl 3ad2ant1 cr cz 3adant3 cv cfv wne
      chash cfzo wrex w3a wceq caddc oveq1 eqcomd ad2antrr cword cfz cle cprime
      cmin simpld adantr elfzofz 3ad2ant2 fznn0sub2 syl cn0 cn elfzo0 zre nn0re
      nnre resubcl syl2anr readdcld jca ex elfzoelz syl11 sylbi imp fzonmapblen
      ltle sylc simpl elfzelz syl3anc syl13anc 2cshwid sylan2 syl2an 3eqtr3d c1
      2cshw simplrl simplrr 3simpa nnz nn0z zsubcl anim1ci zaddcl elnn0z simplr
      wb posdif biimp3a addgegt0d com12 elnnz sylanbrc simp2bi elfzo1 syl3anbrc
      cshwshashlem1 pm2.21ddne exp31 2a1 pm2.61ine ) ABUAFUBHFUBUCBHFUDUBZUEIZU
      FZJZDXRKZCXRKZCDLMZUGZFDNIZFCNIZUCZOOYEYFYEYFUHZXTYDYGYHXTJZYDJZYGFCXQDUQ
      IZUIIZNIZFYJYFYKNIZYEYKNIZYMFYHYNYOUHXTYDYHYOYNYEYFYKNUJUKULYJFEUMKZCHXQU
      NIZKZYKYQKZYLXQUOMZYNYMUHZYIYPYDXTYPYHAYPXSAYPXQUPKGURUSPZUSYDYRYIYBYAYRY
      CCHXQUTVAPYDYSYIYAYBYSYCYADYQKZYSDHXQUTZDXQVBVCQPYDYTYIYDYLRKZXQRKZJZYLXQ
      LMZYTYAYBUUGYCYAYBUUGYADVDKZXQVEKZDXQLMZUGZYBUUGOZDXQVFZUUIUUJUUMUUKCSKZU
      UIUUJJZUUGYBUUOUUPUUGUUOUUPJZUUEUUFUUQCYKUUOCRKZUUPCVGZUSUUPYKRKZUUOUUJUU
      FDRKZUUTUUIXQVIZDVHZXQDVJVKZPVLUUPUUFUUOUUJUUFUUIUVBPPVMVNCHXQVOZVPTVQVRT
      DCXQVSZYLXQVTWAPYPYRYSYTUGZJYPUUOYKSKZUUAYPUVGWBUVGUUOYPYRYSUUOYTCHXQWCQP
      UVGUVHYPYSYRUVHYTYKHXQWCVAPCYKEFWKWDWEYIYPUUCYOFUHZYDUUBYAYBUUCYCUUDQUUCY
      PDSKZUVIDHXQWCDEFWFWGWHWIYJAXSYLWJXQUEIKZYMFUCYHAXSYDWLYHAXSYDWMYDUVKYIYD
      YLVEKZUUJUUHUVKYDYLSKZHYLLMZUVLYAYBUVMYCYAUUPUUOUVMYBYAUULUUPUUNUUIUUJUUK
      WNVQUVEUUPUUOJUUOUVHJUVMUUPUVHUUOUUJXQSKUVJUVHUUIXQWODWPXQDWQVKWRCYKWSVCW
      HTYAYBUVNYCYAYBUVNYAUULYBUVNOUUNYBUULUVNYBCVDKZUUJCXQLMZUGUULUVNOZCXQVFUV
      OUUJUVQUVPUVOUUOHCUOMZJZUVQCWTUVSUULUVNUVSUULJCYKUUOUURUVRUULUUSULUULUUTU
      VSUUIUUJUUTUUKUVDTPUUOUVRUULXAUULHYKLMZUVSUUIUUJUUKUVTUUIUVAUUFUUKUVTXBUU
      JUVCUVBDXQXCWHXDPXEVNVQQVQXFVQVRTYLXGXHYAYBUUJYCYAUUIUUJUUKUUNXIQUVFXQYLX
      JXKPABYLEFGXLWDXMXNYGXTYDXOXP $.

    $( If cyclically shifting a word of length being a prime number and not of
       identical symbols by different numbers of positions, the resulting words
       are different.  (Contributed by Alexander van der Vekens, 19-May-2018.)
       (Revised by Alexander van der Vekens, 8-Jun-2018.) $)
    cshwshashlem3 $p |- ( ( ph /\ E. i e. ( 0 ..^ ( # ` W ) )
         ( W ` i ) =/= ( W ` 0 ) ) -> ( ( L e. ( 0 ..^ ( # ` W ) )
                                       /\ K e. ( 0 ..^ ( # ` W ) ) /\ K =/= L )
                              -> ( W cyclShift L ) =/= ( W cyclShift K ) ) ) $=
      ( cc0 cfv co wcel wne w3a wa ccsh wi clt wbr cr elfzoelz chash cfzo cv wo
      wrex wb zred lttri2 syl2anr cshwshashlem2 3expia imp necomd expcom ancoms
      com12 jaod sylbid 3impia ) DHFUAIZUBJZKZCVAKZCDLZMABUCFIHFILBVAUENZFDOJZF
      COJZLZVBVCVDVEVHPZVBVCNZVDCDQRZDCQRZUDZVIVCCSKDSKVDVMUFVBVCCCHUTTUGVBDDHU
      TTUGCDUHUIVJVKVIVLVBVCVKVIVEVBVCVKMVHABCDEFGUJUPUKVCVBVLVIPVCVBVLVIVEVCVB
      VLMZVHVEVNNVGVFVEVNVGVFLABDCEFGUJULUMUNUKUOUQURUSUP $.

    $d i n $.  $d j n $.  $d ph n $.  $d W n $.
    $( The singletons resulting by cyclically shifting a given word of length
       being a prime number and not consisting of identical symbols is a
       disjoint collection.  (Contributed by Alexander van der Vekens,
       19-May-2018.)  (Revised by Alexander van der Vekens, 8-Jun-2018.) $)
    cshwsdisj $p |- ( ( ph /\ E. i e. ( 0 ..^ ( # ` W ) )
                              ( W ` i ) =/= ( W ` 0 ) )
                   -> Disj_ n e. ( 0 ..^ ( # ` W ) ) { ( W cyclShift n ) } ) $=
      ( vj cv cfv cc0 wne chash cfzo co wrex wa ccsh csn wral wcel weq cin wceq
      c0 wo wdisj wi orc a1d simprl simprrl simprrr biimpi adantr cshwshashlem3
      necom w3a imp syl13anc disjsn2 syl olcd pm2.61ine ralrimivva oveq2 disjor
      ex sneqd sylibr ) ABHEIJEIKBJELIMNZOPZCGUAZECHZQNZRZEGHZQNZRZUBUDUCZUEZGV
      JSCVJSCVJVOUFVKVTCGVJVJVKVMVJTZVPVJTZPZPZVTUGVMVPVLVTWDVLVSUHUIVMVPKZWDVT
      WEWDPZVSVLWFVNVQKZVSWFVKWAWBVPVMKZWGWEVKWCUJWEVKWAWBUKWEVKWAWBULWEWHWDWEW
      HVMVPUPUMUNVKWAWBWHUQWGABVPVMDEFUOURUSVNVQUTVAVBVGVCVDVJVOVRCGVLVNVQVMVPE
      QVEVHVFVI $.
  $}

  ${
    $d V n w $.  $d W n w $.
    cshwrepswhash1.m $e |- M = { w e. Word V | E. n e. ( 0 ..^ ( # ` W ) )
                                               ( W cyclShift n ) = w } $.
    $( The set of (different!) words resulting by cyclically shifting a given
       word is an indexed union.  (Contributed by AV, 19-May-2018.)  (Revised
       by AV, 8-Jun-2018.)  (Proof shortened by AV, 8-Nov-2018.) $)
    cshwsiun $p |- ( W e. Word V
                  -> M = U_ n e. ( 0 ..^ ( # ` W ) ) { ( W cyclShift n ) } ) $=
      ( cword wcel cv ccsh co wceq cc0 chash wrex cab wa eqcom biimpi reximi wb
      cfv cfzo crab ciun df-rab adantl cshwcl adantr eleq1 syl5ibrcom rexlimdva
      csn jca2 impbid2 velsn bicomi rexbidv bitrd abbidv eqtrid df-iun 3eqtr4g
      a1i ) EDGZHZEBIZJKZAIZLZBMENUBUCKZOZAVEUDZVIVHUMZHZBVKOZAPZCBVKVNUEVFVMVI
      VEHZVLQZAPVQVLAVEUFVFVSVPAVFVSVIVHLZBVKOZVPVFVSWAVLWAVRVJVTBVKVJVTVHVIRST
      UGVFWAVRVLVFVTVRBVKVFVGVKHZQVRVTVHVEHZVFWCWBVGDEUHUIVIVHVEUJUKULVTVJBVKVT
      VJVIVHRSTUNUOVFVTVOBVKVTVOUAVFVOVTAVHUPUQVDURUSUTVAFBAVKVNVBVC $.

    $( The class of (different!) words resulting by cyclically shifting a given
       word is a set.  (Contributed by AV, 8-Jun-2018.)  (Revised by AV,
       8-Nov-2018.) $)
    cshwsex $p |- ( W e. Word V -> M e. _V ) $=
      ( cword wcel cc0 chash cfv cfzo co cv ccsh csn ciun cvv cshwsiun wral a1i
      ovex snex ralrimivw iunexg sylancr eqeltrd ) EDGHZCBIEJKZLMZEBNOMZPZQZRAB
      CDEFSUHUJRHULRHZBUJTUMRHIUILUBUHUNBUJUNUHUKUCUAUDBUJULRRUEUFUG $.

    $( The size of the set of (different!) words resulting by cyclically
       shifting an empty word is 0.  (Contributed by AV, 8-Nov-2018.) $)
    cshws0 $p |- ( W = (/) -> ( # ` M ) = 0 ) $=
      ( c0 wceq chash cfv cc0 cv ccsh co cfzo wrex crab cvv wcel eqtrdi hasheq0
      cword wb 0ex eleq1 mpbiri bicomd syl ibi oveq2d fzo0 rexeqdv rabbidv wral
      wn rex0 a1i ralrimivw rabeq0 sylibr eqtrd eqtrid fveq2d hash0 ) EGHZCIJGI
      JKVECGIVECEBLMNALHZBKEIJZONZPZADUBZQZGFVEVKVFBGPZAVJQZGVEVIVLAVJVEVFBVHGV
      EVHKKONGVEVGKKOVEVGKHZVEERSZVEVNUCVEVOGRSUDEGRUEUFVOVNVEERUAUGUHUIUJKUKTU
      LUMVEVLUOZAVJUNVMGHVEVPAVJVPVEVFBUPUQURVLAVJUSUTVAVBVCVDT $.

    $d A i n u w $.  $d M r $.  $d N i n u w $.  $d V n r u w $.  $d W i r u $.
    $( The size of the set of (different!) words resulting by cyclically
       shifting a nonempty "repeated symbol word" is 1.  (Contributed by AV,
       18-May-2018.)  (Revised by AV, 8-Nov-2018.) $)
    cshwrepswhash1 $p |- ( ( A e. V /\ N e. NN /\ W = ( A repeatS N ) )
                           -> ( # ` M ) = 1 ) $=
      ( vr vu vi wcel co wceq cv ccsh cc0 wrex wi wa cn creps w3a chash cfv csn
      c1 wex cfzo cword crab wreu weq wral wb nnnn0 repsdf2 sylan2 simp1 adantl
      cn0 eleq1 eqcoms lbfzo0 biimpri syl6bi 3ad2ant2 com12 imp cshw0 syl oveq2
      eqeq1d rspcev syl2anc eqeq2 rexbidv ex sylbid 3impia repsw 3adant3 oveq1d
      simpll3 cz ad2antrr elfzoelz repswcshw syl3anc biimpd rexlimdva ralrimiva
      eqtrd eqeq1 imbi2d ralbidv reu7 sylanbrc reusn sylib eqeq1i exbii cshwsex
      sylibr cvv 3ad2ant1 hash1snb mpbird ) BFLZEUALZGBEUBMZNZUCZDUDUEUGNZDIOUF
      ZNZIUHZXMGCOZPMZAOZNZCQGUDUEZUIMZRZAFUJZUKZXONZIUHZXQXMYDAYEULZYHXMYDAYER
      ZXSJOZNZCYCRZAJUMZSZJYEUNZAYERZYIXIXJXLYJXIXJTZXLGYELZYBENZKOGUEBNKQEUIMU
      NZUCZYJXJXIEVALZXLUUBUOEUPZBKEFGUQURZYRUUBYJYRUUBTZYSXSGNZCYCRZYJUUBYSYRY
      SYTUUAUSUTZUUFQYCLZGQPMZGNZUUHYRUUBUUJXJUUBUUJSXIUUBXJUUJYTYSXJUUJSUUAYTX
      JYBUALZUUJXJUUMUOEYBEYBUAVBVCUUJUUMYBVDVEVFVGVHUTVIUUFYSUULUUIFGVJVKUUGUU
      LCQYCXRQNXSUUKGXRQGPVLVMVNVOYDUUHAGYEXTGNYAUUGCYCXTGXSVPVQVNVOVRVSVTXMXKY
      ELZYMXKYKNZSZJYEUNZYQXIXJUUNXLXJXIUUCUUNUUDBEFWAURWBXMUUPJYEXMYKYELZTZYLU
      UOCYCUUSXRYCLZTZYLUUOUVAXSXKYKUVAXSXKXRPMZXKUVAGXKXRPXIXJXLUURUUTWDWCUVAX
      IUUCXRWELZUVBXKNXMXIUURUUTXIXJXLUSWFXMUUCUURUUTXJXIUUCXLUUDVGWFUUTUVCUUSX
      RQYBWGUTBXREFWHWIWMVMWJWKWLYPUUQAXKYEXTXKNZYOUUPJYEUVDYNUUOYMXTXKYKWNWOWP
      VNVOYDYMAJYEYNYAYLCYCXTYKXSVPVQWQWRYDAIYEWSWTXPYGIDYFXOHXAXBXDXMDXELZXNXQ
      UOXIXJXLUVEYRXLUUBUVEUUEYSYTUVEUUAACDFGHXCXFVFVTDXEIXGVKXH $.

    $d V i $.
    $( If a word (not consisting of identical symbols) has a length being a
       prime number, the size of the set of (different!) words resulting by
       cyclically shifting the original word equals the length of the original
       word.  (Contributed by AV, 19-May-2018.)  (Revised by AV,
       10-Nov-2018.) $)
    cshwshashnsame $p |- ( ( W e. Word V /\ ( # ` W ) e. Prime )
                       -> ( E. i e. ( 0 ..^ ( # ` W ) ) ( W ` i ) =/= ( W ` 0 )
                            -> ( # ` M ) = ( # ` W ) ) ) $=
      ( wcel chash cfv wa cv cc0 co wceq ccsh csu cfn c1 cmul cword cprime cfzo
      wne wrex csn ciun cshwsiun ad2antrr fveq2d fzofi a1i id cshwsdisj hashiun
      snfi cvv ovex hashsng mp1i sumeq2sdv cc 1cnd fsumconst sylancr cn0 adantr
      lencl hashfzo0 syl oveq1d cr prmnn nnred adantl ax-1rid 3eqtrd eqtrd ex )
      FEUAHZFIJZUBHZKZBLFJMFJUDBMWAUCNZUEZDIJZWAOWCWEKZWFCWDFCLZPNZUFZUGZIJWDWJ
      IJZCQZWAWGDWKIVTDWKOWBWEACDEFGUHUIUJWGCWDWJWDRHZWGMWAUKZULWJRHWGWHWDHKWIU
      PULWCBCEFWCUMUNUOWGWMWDSCQZWAWGWDWLSCWIUQHWLSOWGFWHPURWIUQUSUTVAWCWPWAOWE
      WCWPWDIJZSTNZWASTNZWAWCWNSVBHWPWROWOWCVCWDSCVDVEWCWQWASTWCWAVFHZWQWAOVTWT
      WBEFVHVGWAVIVJVKWCWAVLHZWSWAOWBXAVTWBWAWAVMVNVOWAVPVJVQVGVRVQVS $.

    $( If a word has a length being a prime number, the size of the set of
       (different!) words resulting by cyclically shifting the original word
       equals the length of the original word or 1.  (Contributed by AV,
       19-May-2018.)  (Revised by AV, 10-Nov-2018.) $)
    cshwshash $p |- ( ( W e. Word V /\ ( # ` W ) e. Prime )
                      -> ( ( # ` M ) = ( # ` W ) \/ ( # ` M ) = 1 ) ) $=
      ( vi cv cfv cc0 wceq chash co wcel wa c1 adantr syl6com wn wrex cfzo wral
      cword cprime wo wi creps wb repswsymballbi cn cle wbr prmnn nnge1d sylan2
      wrdsymb1 ad2antlr cshwrepswhash1 syl3anc ex sylbird olc wne rexnal bicomi
      simpr df-ne rexbii bitr3i cshwshashnsame orc sylbi pm2.61i ) GHEIZJEIZKZG
      JELIZUAMZUBZEDUCNZVQUDNZOZCLIZVQKZWCPKZUEZUFZWBVSWEWFWBVSEVOVQUGMKZWEVTWH
      VSUHWAGDEUIQWBWHWEWBWHOVODNZVQUJNZWHWEWBWIWHWAVTPVQUKULWIWAVQVQUMZUNDEUPU
      OQWAWJVTWHWKUQWBWHVFAVOBCVQDEFURUSUTVAWEWDVBRVSSZVNVOVCZGVRTZWGWLVPSZGVRT
      WNVPGVRVDWOWMGVRWMWOVNVOVGVEVHVIWBWNWDWFAGBCDEFVJWDWEVKRVLVM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Specific prime numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d N x $.
    prmlem0.1 $e |- ( ( -. 2 || M /\ x e. ( ZZ>= ` M ) ) ->
            ( ( x e. ( Prime \ { 2 } ) /\ ( x ^ 2 ) <_ N ) -> -. x || N ) ) $.
    prmlem0.2 $e |- ( K e. Prime -> -. K || N ) $.
    prmlem0.3 $e |- ( K + 2 ) = M $.
    $( Lemma for ~ prmlem1 and ~ prmlem2 .  (Contributed by Mario Carneiro,
       18-Feb-2014.) $)
    prmlem0 $p |- ( ( -. 2 || K /\ x e. ( ZZ>= ` K ) ) ->
            ( ( x e. ( Prime \ { 2 } ) /\ ( x ^ 2 ) <_ N ) -> -. x || N ) ) $=
      ( c2 cdvds wbr wn cuz cfv wcel wa cprime co wi c1 caddc cv wceq cdif cexp
      csn cle eldifi eleq1 breq1 notbid imbi12d mpbiri syl5 adantrd a1i wo uzp1
      wb adantl eldifsn cz eluzel2 simpl 1z n2dvds1 opoe mpanr12 syl2anc adantr
      wne 2z uzid dvdsprm sylan mpbid eqcomd a1d necon3ad expimpd syl5bi sylbid
      mp1i ex cc zcnd ax-1cn addass syl 1p1e2 oveq2i eqtri eqtrdi fveq2d eleq2d
      mp3an23 dvdsaddr sylancr breq2i bitrdi mtbid jaod mpjaod ) HBIJZKZAUAZBLM
      NZOZXEBUBZXEPHUEZUCZNZXEHUDQDUFJZOXEDIJZKZRZXEBSTQZLMNZXHXORXGXHXKXNXLXKX
      EPNZXHXNXEPXIUGXHXRXNRBPNZBDIJZKZRFXHXRXSXNYAXEBPUHXHXMXTXEBDIUIUJUKULUMU
      NUOXQXEXPUBZXEXPSTQZLMZNZUPXGXOXPXEUQXGYBXOYEXGYBXOXGYBOZXKXNXLYFXKXPXJNZ
      XNYBXKYGURXGXEXPXJUHUSXGYGXNRYBYGXPPNZXPHVJZOXGXNXPPHUTXGYHYIXNXGYHOZXMXP
      HYJXPHUBXMYJHXPYJHXPIJZHXPUBZXGYKYHXGBVANZXDYKXFYMXDBXEVBUSZXDXFVCZYMXDOS
      VANHSIJKYKVDVEBSVFVGVHVIXGHHLMNZYHYKYLURHVANZYPXGVKHVLWBXPHVMVNVOVPVQVRVS
      VTVIWAUNWCXGYEXECLMZNZXOXGYDYRXEXGYCCLXGYCBSSTQZTQZCXGBWDNZYCUUAUBZXGBYNW
      EUUBSWDNZUUDUUCWFWFBSSWGWOWHUUABHTQZCYTHBTWIWJGWKWLWMWNXGHCIJZKZYSXORXGXC
      UUFYOXGXCHUUEIJZUUFXGYQYMXCUUHURVKYNHBWPWQUUECHIGWRWSWTUUGYSXOEWCWHWAXAUM
      XFXHXQUPXDBXEUQUSXB $.
  $}

  ${
    $d N x $.
    prmlem1.n $e |- N e. NN $.
    prmlem1.gt $e |- 1 < N $.
    prmlem1.2 $e |- -. 2 || N $.
    prmlem1.3 $e |- -. 3 || N $.
    ${
      prmlem1a.x $e |- ( ( -. 2 || 5 /\ x e. ( ZZ>= ` 5 ) ) ->
        ( ( x e. ( Prime \ { 2 } ) /\ ( x ^ 2 ) <_ N ) -> -. x || N ) ) $.
      $( A quick proof skeleton to show that the numbers less than 25 are
         prime, by trial division.  (Contributed by Mario Carneiro,
         18-Feb-2014.) $)
      prmlem1a $p |- N e. Prime $=
        ( cprime wcel c2 cuz cfv wbr cdvds wn wi cn c1 mpbir2an c3 cv cexp wral
        co cle clt eluz2b2 wceq breq1 notbid imbi2d wne wa prmnn adantr eldifsn
        csn cdif n2dvds1 a1i 3p2e5 prmlem0 1nprm pm2.21i 1p2e3 mpan nnuz eleq2s
        c5 expd syl5bir mpcom 2a1i pm2.61ne rgen isprm5 ) BHIBJKLIZAUAZJUBUDBUE
        MZVRBNMZOZPZAHUCVQBQIRBUFMCDBUGSWBAHVRHIZWBVSJBNMZOZPVRJVRJUHZWAWEVSWFV
        TWDVRJBNUIUJUKVRQIZWCVRJULZUMZWBWCWGWHVRUNUOWIVRHJUQURIZWGWBVRHJUPWGWJV
        SWAWJVSUMWAPZVRRKLZQJRNMOVRWLIWKUSARTBATVIBGTBNMOTHIFUTVAVBRHIRBNMOVCVD
        VEVBVFVGVHVJVKVLWEWCVSEVMVNVOABVPS $.
    $}

    prmlem1.lt $e |- N < ; 2 5 $.
    $( A quick proof skeleton to show that the numbers less than 25 are prime,
       by trial division.  (Contributed by Mario Carneiro, 18-Feb-2014.) $)
    prmlem1 $p |- N e. Prime $=
      ( vx c5 wcel c2 cexp co cle wbr wa cdvds wn wi clt cr cuz cfv cprime cdif
      cv csn eluzelre resqcld eluzle cc0 5re 5nn0 nn0ge0i mpanl12 syl2anc nnrei
      le2sq2 resqcli w3a cdc cmul 5cn sqvali 5t5e25 eqtri breqtrri ltletr mpani
      mp3an12 sylc wb ltnle sylancr mpbid pm2.21d adantld adantl prmlem1a ) GAB
      CDEGUEZHUAUBIZVSUCJUFUDIZVSJKLZAMNZOVSAPNQZRJHPNQVTWCWDWAVTWCWDVTAWBSNZWC
      QZVTWBTIZHJKLZWBMNZWEVTVSHVSUGZUHZVTVSTIZHVSMNZWIWJHVSUIHTIUJHMNWLWMOWIUK
      HULUMHVSUQUNUOATIZWHTIZWGWIWERABUPZHUKURWNWOWGUSAWHSNWIWEAJHUTZWHSFWHHHVA
      LWQHVBVCVDVEVFAWHWBVGVHVIVJVTWNWGWEWFVKWPWKAWBVLVMVNVOVPVQVR $.
  $}

  $( 5 is a prime number.  (Contributed by Mario Carneiro, 18-Feb-2014.)
     (Revised by Mario Carneiro, 20-Apr-2015.) $)
  5prm $p |- 5 e. Prime $=
    ( c5 5nn 1lt5 c2 c1 2nn 2nn0 cmul co caddc c4 2t2e4 oveq1i df-5 eqtr4i 1lt2
    1nn ndvdsi c3 5nn0 3nn 1nn0 3t1e3 3p2e5 eqtri 2lt3 5lt10 declti prmlem1 ) A
    BCDADEFGQDDHIZEJIKEJIAUJKEJLMNOPRSAEDUAUBFSEHIZDJISDJIAUKSDJUCMUDUEUFRDAAFT
    TUGUHUI $.

  $( 6 is not a prime number.  (Contributed by Mario Carneiro, 18-Feb-2014.) $)
  6nprm $p |- -. 6 e. Prime $=
    ( c3 c2 c6 3nn 2nn 1lt3 1lt2 3t2e6 nprmi ) ABCDEFGHI $.

  $( 7 is a prime number.  (Contributed by Mario Carneiro, 18-Feb-2014.)
     (Revised by Mario Carneiro, 20-Apr-2015.) $)
  7prm $p |- 7 e. Prime $=
    ( c7 7nn 1lt7 c2 c3 c1 2nn 3nn0 1nn cmul co caddc 3cn 2cn 3t2e6 oveq1i df-7
    c6 eqtr4i ndvdsi mulcomli 1lt2 3nn 2nn0 1lt3 5nn0 7nn0 7lt10 declti prmlem1
    c5 ) ABCDAEFGHIDEJKZFLKRFLKZAULRFLEDRMNOUAPQSUBTEADFUCUDIEDJKZFLKUMAUNRFLOP
    QSUETDUKAGUFUGUHUIUJ $.

  $( 8 is not a prime number.  (Contributed by Mario Carneiro, 18-Feb-2014.) $)
  8nprm $p |- -. 8 e. Prime $=
    ( c4 c2 c8 4nn 2nn 1lt4 1lt2 4t2e8 nprmi ) ABCDEFGHI $.

  $( 9 is not a prime number.  (Contributed by Mario Carneiro, 18-Feb-2014.) $)
  9nprm $p |- -. 9 e. Prime $=
    ( c3 c9 3nn 1lt3 3t3e9 nprmi ) AABCCDDEF $.

  $( 10 is not a prime number.  (Contributed by Mario Carneiro, 18-Feb-2014.)
     (Revised by AV, 6-Sep-2021.) $)
  10nprm $p |- -. ; 1 0 e. Prime $=
    ( c5 c2 c1 cc0 cdc 5nn 2nn 1lt5 1lt2 5t2e10 nprmi ) ABCDEFGHIJK $.

  $( 11 is a prime number.  (Contributed by Mario Carneiro, 18-Feb-2014.)
     (Revised by Mario Carneiro, 20-Apr-2015.) $)
  11prm $p |- ; 1 1 e. Prime $=
    ( c1 cdc 1nn0 1nn decnncl 1lt10 declti cc0 0nn0 c2 mul02i 1e0p1 dec2dvds c3
    2cn 3nn 3nn0 co caddc c9 cmul 3t3e9 oveq1i 9p2e11 eqtri 2lt3 ndvdsi c5 2nn0
    2nn 5nn0 1lt2 decltc prmlem1 ) AABZAACDEAAADCCFGAHHACIJOKLMNUONJPQUJNNUARZJ
    SRTJSRUOUPTJSUBUCUDUEUFUGAJAUHCUICUKFULUMUN $.

  $( 13 is a prime number.  (Contributed by Mario Carneiro, 18-Feb-2014.)
     (Revised by Mario Carneiro, 20-Apr-2015.) $)
  13prm $p |- ; 1 3 e. Prime $=
    ( c1 c3 cdc 1nn0 3nn decnncl 1nn 3nn0 1lt10 declti c2 mulid2i df-3 dec2dvds
    2cn c4 4nn0 cmul co 2nn0 4cn 3cn 4t3e12 mulcomli decsuc 1lt3 ndvdsi c5 5nn0
    2p1e3 3lt10 1lt2 decltc prmlem1 ) ABCZABDEFABAGHDIJAAKBDDKOLMNBUOPAEQGAKBBP
    RSDTUJPBAKCUAUBUCUDUEUFUGAKBUHDTHUIUKULUMUN $.

  $( 17 is a prime number.  (Contributed by Mario Carneiro, 18-Feb-2014.)
     (Revised by Mario Carneiro, 20-Apr-2015.) $)
  17prm $p |- ; 1 7 e. Prime $=
    ( c1 c7 cdc 1nn0 7nn decnncl 1nn 7nn0 1lt10 declti c3 c6 3nn0 df-7 dec2dvds
    3t2e6 c5 c2 5nn0 2nn0 3nn 2nn cmul co 5cn 3cn 5t3e15 mulcomli 5p2e7 decaddi
    2lt3 ndvdsi 7lt10 1lt2 decltc prmlem1 ) ABCZABDEFABAGHDIJAKLBDMPNOKUQQRUASU
    BAQBKQUCUDRDSTQKAQCUEUFUGUHUIUJUKULARBQDTHSUMUNUOUP $.

  $( 19 is a prime number.  (Contributed by Mario Carneiro, 18-Feb-2014.)
     (Revised by Mario Carneiro, 20-Apr-2015.) $)
  19prm $p |- ; 1 9 e. Prime $=
    ( c1 c9 cdc 1nn0 9nn decnncl 1nn 9nn0 1lt10 declti c4 c8 4nn0 df-9 dec2dvds
    4t2e8 c3 c6 3nn 6nn0 cmul co 8nn0 8p1e9 6cn 3cn 6t3e18 mulcomli decsuc 1lt3
    ndvdsi c2 c5 2nn0 5nn0 9lt10 1lt2 decltc prmlem1 ) ABCZABDEFABAGHDIJAKLBDMP
    NOQUTRASTGALBQRUAUBDUCUDRQALCUEUFUGUHUIUJUKAULBUMDUNHUOUPUQURUS $.

  $( 23 is a prime number.  (Contributed by Mario Carneiro, 18-Feb-2014.)
     (Revised by Mario Carneiro, 20-Apr-2015.) $)
  23prm $p |- ; 2 3 e. Prime $=
    ( c2 c3 cdc 2nn0 3nn decnncl c1 2nn 3nn0 1nn0 1lt10 declti mulid2i dec2dvds
    nncni df-3 c7 7nn0 cmul co 7cn 7t3e21 mulcomli 1p2e3 decaddi 2lt3 ndvdsi c5
    5nn 3lt5 declt prmlem1 ) ABCZABDEFABGHIJKLAGABDJAAHOMPNBUMQAERHAGBBQSTADJDQ
    BAGCUABEOUBUCUDUEUFUGABUHDIUIUJUKUL $.

  ${
    $d x N $.
    prmlem2.n $e |- N e. NN $.
    prmlem2.lt $e |- N < ; ; 8 4 1 $.
    prmlem2.gt $e |- 1 < N $.
    prmlem2.2 $e |- -. 2 || N $.
    prmlem2.3 $e |- -. 3 || N $.
    prmlem2.5 $e |- -. 5 || N $.
    prmlem2.7 $e |- -. 7 || N $.
    prmlem2.11 $e |- -. ; 1 1 || N $.
    prmlem2.13 $e |- -. ; 1 3 || N $.
    prmlem2.17 $e |- -. ; 1 7 || N $.
    prmlem2.19 $e |- -. ; 1 9 || N $.
    prmlem2.23 $e |- -. ; 2 3 || N $.
    $( Our last proving session got as far as 25 because we started with the
       two "bootstrap" primes 2 and 3, and the next prime is 5, so knowing that
       2 and 3 are prime and 4 is not allows us to cover the numbers less than
       ` 5 ^ 2 = 2 5 ` .  Additionally, nonprimes are "easy", so we can extend
       this range of known prime/nonprimes all the way until 29, which is the
       first prime larger than 25.  Thus, in this lemma we extend another
       blanket out to ` 2 9 ^ 2 = 8 4 1 ` , from which we can prove even more
       primes.  If we wanted, we could keep doing this, but the goal is
       Bertrand's postulate, and for that we only need a few large primes - we
       don't need to find them all, as we have been doing thus far.  So after
       this blanket runs out, we'll have to switch to another method (see
       ~ 1259prm ).

       As a side note, you can see the pattern of the primes in the indentation
       pattern of this lemma!  (Contributed by Mario Carneiro, 18-Feb-2014.)
       (Proof shortened by Mario Carneiro, 20-Apr-2015.) $)
    prmlem2 $p |- N e. Prime $=
      ( c5 c9 c1 c2 wcel wbr 2nn0 vx c7 cdc c3 cuz cfv cprime csn cdif cexp cle
      cv co wa cdvds wn wi clt cr eluzelre resqcld eluzle cc0 9nn0 deccl nn0rei
      nn0ge0i le2sq2 mpanl12 syl2anc nnrei resqcli w3a c8 c4 cmul nn0cni sqvali
      c6 eqid 1nn0 6nn0 5nn0 8nn0 caddc 2timesi 2p2e4 oveq1i 4p1e5 eqtri 9p9e18
      decaddc 5p2e7 7p1e8 8p6e14 9t2e18 1p1e2 8p8e16 decaddci decmul2c decmul1c
      4nn0 9t9e81 breqtrri ltletr mpani mp3an12 sylc wb sylancr pm2.21d adantld
      ltnle mpbid adantl 9nn 3nn 1lt9 1lt3 9t3e27 nprmi pm2.21i decaddi prmlem0
      7nn0 7p2e9 5nn 1lt5 5t5e25 a1i 3nn0 3p2e5 1lt7 7t3e21 1p2e3 9p2e11 5t3e15
      7nn 9nprm prmlem1a ) UAABDEFUANUBAUAUBOAUAOPPUCZAUAUUAPUDUCZAUAUUBPNUCZAU
      AUUCPUBUCZAUAUUDPOUCZAUAUUEQPUCZAUAUUFQUDUCZAUAUUGQNUCZAUAUUHQUBUCZAUAUUI
      QOUCZAUAULZUUJUEUFRZUUKUGQUHUIRZUUKQUJUMZAUKSZUNUUKAUOSUPZUQQUUJUOSUPUULU
      UOUUPUUMUULUUOUUPUULAUUNURSZUUOUPZUULUUNUSRZUUJQUJUMZUUNUKSZUUQUULUUKUUJU
      UKUTZVAZUULUUKUSRZUUJUUKUKSZUVAUVBUUJUUKVBUUJUSRVCUUJUKSUVDUVEUNUVAUUJQOT
      VDVEZVFZUUJUVFVGUUJUUKVHVIVJAUSRZUUTUSRZUUSUVAUUQUQABVKZUUJUVGVLUVHUVIUUS
      VMAUUTURSUVAUUQAVNVOUCZPUCZUUTURCUUTUUJUUJVPUMUVLUUJUUJUVFVQZVRQOUVKPUUJQ
      VSUCZUUJUVFTVDUUJVTZWAQVSTWBVENVNQVSVNVOQUUJVPUMZUVNWCWDTWBUVPUUJUUJWEUMN
      VNUCUUJUVMWFQOQONVNUUJUUJTVDTVDUVOUVOQQWEUMZPWEUMVOPWEUMNUVQVOPWEWGWHWIWJ
      WDWKWLWJUVNVTNQWEUMZPWEUMUBPWEUMVNUVRUBPWEWMWHWNWJXBWOWLQOUVNPOVNUUJVDTVD
      UVOWAWDPVNVSQOQVPUMVNWAWDWDWPWQWBWRWSXCWTXAWJXDAUUTUUNXEXFXGXHUULUVHUUSUU
      QUURXIUVJUVCAUUNXMXJXNXKXLXOUUIUGRUUIAUOSUPOUDUUIXPXQXRXSXTYAYBQUBOUUIQTY
      ETUUIVTYFYCYDUUHUGRUUHAUOSUPNNUUHYGYGYHYHYIYAYBQNUBUUHQTWCTUUHVTWMYCYDUUG
      AUOSUPUUGUGRMYJQUDNUUGQTYKTUUGVTYLYCYDUUFUGRUUFAUOSUPUBUDUUFYRXQYMXSYNYAY
      BQPUDUUFQTWATUUFVTYOYCYDUUEAUOSUPUUEUGRLYJPOPQUUEQWAVDTUUEVTWQWAYPWSYDUUD
      AUOSUPUUDUGRKYJPUBOUUDQWAYETUUDVTYFYCYDUUCUGRUUCAUOSUPNUDUUCYGXQYHXSYQYAY
      BPNUBUUCQWAWCTUUCVTWMYCYDUUBAUOSUPUUBUGRJYJPUDNUUBQWAYKTUUBVTYLYCYDUUAAUO
      SUPUUAUGRIYJPPUDUUAQWAWATUUAVTYOYCYDOUGROAUOSUPYSYBYPYDUBAUOSUPUBUGRHYJYF
      YDNAUOSUPNUGRGYJWMYDYT $.
  $}

  $( 37 is a prime number.  (Contributed by Mario Carneiro, 18-Feb-2014.)
     (Proof shortened by Mario Carneiro, 20-Apr-2015.) $)
  37prm $p |- ; 3 7 e. Prime $=
    ( c3 c7 cdc 3nn0 decnncl c8 c4 c1 4nn0 7nn0 1nn0 3nn c6 c2 2nn0 cmul co cc0
    caddc ndvdsi 8nn0 deccl 7lt10 3lt10 declti decltc 1lt10 3t2e6 df-7 dec2dvds
    7nn 8nn 1nn 6nn0 6p1e7 eqid 3cn mulid1i oveq1i addid1i eqtri dec0h decmul2c
    0nn0 decsuc 1lt3 2nn 2lt5 dec5dvds2 c5 5nn0 7t5e35 decaddi 2lt7 4nn mulid2i
    5p2e7 nncni 4p3e7 addcomli decrmanc 4lt10 decmul1 2p1e3 declt 0p1e1 oveq12i
    2cn decadd 7t2e14 decmac c9 9nn 9nn0 1p1e2 9p8e17 decaddc 8lt9 1lt2 prmlem2
    ) ABCZABDUKEAFGCBHDFGUAIUBJKUCFGAULIDUDUEUFABHLJKUGUEAAMBDDUHUIUJAXAHNCZHLH
    NKOUBUMAMBAXBPQDUNUOHNAMARXBDKOXBUPUNVDAHPQZRSQARSQAXCARSAUQURUSAUQUTVAANPQ
    MRMCUHMUNVBVAVCVEVFTANBDVGVHVQVIBXAVJNUKVKVGAVJBBVJPQNDVKOVLVQVMVNTHHCZXAAG
    HHKUMEZDVOHHAABXDGKKIXDUPZDAUQVPZHAPQZGSQAGSQBXHAGSXGUSGABGVOVRUQVSVTZVAWAH
    HGUMKIWBUETHACZXANXDHAKLEOXENMHHABXJNPQXDOUNKKHANMNXJOKDXJUPNWHVPZUHWCXFWDU
    OWIHHAKKLVFWETHBCZXANAHBKUKEOLHBRANABHXLAKJVDDXLUPADVBOJKHNPQZRHSQZSQNHSQZA
    XMNXNHSXKWFWGWDVAHGBBNPQAKIDWJVSVMWKHBAUMJDUDUETHWLCZXAHHFCZHWLKWMEZKHFKULE
    HWLHFABXPHPQXQKWNKUAXPXPXRVRURXQUPHHSQZHSQXOAXSNHSWOUSWDVAJWPWQHFWLKUAWMWRW
    ETNACZXAHHGCZNAOLEZKHGKVOENAHGABXTHPQYAODKIXTXTYBVRURYAUPWDXIWIHNGAKOIDWBWS
    UFTWT $.

  $( 43 is a prime number.  (Contributed by Mario Carneiro, 18-Feb-2014.)
     (Proof shortened by Mario Carneiro, 20-Apr-2015.) $)
  43prm $p |- ; 4 3 e. Prime $=
    ( c4 c3 cdc 4nn0 c1 3nn0 1nn0 c2 1nn 0nn0 eqid cmul co caddc 2nn0 ndvdsi c7
    cc0 c9 c5 3nn decnncl c8 8nn0 deccl 3lt10 8nn 4lt10 declti decltc 4nn 1lt10
    2cn mulid2i dec2dvds dec0h mulid1i ax-1cn addid2i oveq12i 3p1e4 eqtri 2p1e3
    df-3 3cn 4cn 4t3e12 mulcomli decsuc decma2c 1lt3 3lt5 dec5dvds c6 6nn0 1lt7
    7t6e42 decnncl2 addid1i oveq1i 3eqtri decmac 0lt1 declt 3t3e9 9p4e13 nnnn0i
    7nn 9nn 2p2e4 7t2e14 1p1e2 nncni addcomli 9lt10 5nn 9t2e18 8p5e13 5lt10 2nn
    decaddci decadd 3pos prmlem2 ) ABCZABDUAUBAUCACBEDUCAUDDUEFGUFUCAAUGDDUHUIU
    JABEUKFGULUIAEHBDGHUMUNZVDUOBXEEACZEUAEAGDUEIEAREBABEXGEGDJGXGKEGUPFFGBELMZ
    RENMZNMBENMZAXHBXIENBVEUQEURUSZUTVAVBEHBBALMGOVCABEHCVFVEVGVHVIVJVKPABDUAVL
    VMQXEVNEWHVOIAHBQVNLMDOVCVQVIVPPEECZXEBERCZEEGIUBFEIVREEERBABRXLXMGGGJXLKXM
    KFFJEBLMZERNMZNMXJAXNBXOENBVEUNZEURVSUTVAVBXNRNMBRNMBRBCXNBRNXPVTBVEVSZBFUP
    WAWBEREGJIWCWDPEBCZXEBAEBGUAUBFUKEBRABABEXRAGFJDXRKADUPFFGXNXINMXJAXNBXIENX
    PXKUTVAVBBBLMZANMSANMXRXSSANWEVTWFVBWBEBAIFDUHUIPEQCZXEHSEQGWHUBOWIEQRSHABH
    XTSGQWHWGZJSWIWGZXTKSYBUPOFOEHLMZRHNMZNMHHNMAYCHYDHNXFHUMUSUTWJVBZEABHQHLMS
    GDYBWKWLFSAXRSWIWMVFWFWNXAWBEQSIYAYBWOUIPESCZXEHTESGWIUBOWPESRTHABHYFTGYBJT
    WPWGZYFKTYGUPOFOYEEUCBHSHLMTGUDYGWQWLFWRXAWBESTIYBYGWSUIPHBCZXEEHRCZHBOUAUB
    ZGHWTVRHBHRABYHELMYIOFOJYHYHYJWMUQYIKWJXQXBHRBOJUAXCWDPXD $.

  $( 83 is a prime number.  (Contributed by Mario Carneiro, 18-Feb-2014.)
     (Proof shortened by Mario Carneiro, 20-Apr-2015.) $)
  83prm $p |- ; 8 3 e. Prime $=
    ( c8 c3 cdc 8nn0 decnncl c4 c1 4nn0 3nn0 1nn0 c2 c7 2nn0 7nn0 cmul co caddc
    c6 eqtri c5 3nn deccl 3lt10 8nn 8lt10 declti decltc 1lt10 2cn df-3 dec2dvds
    mulid2i 2nn cc0 0nn0 eqid dec0h 3t2e6 addid2i oveq12i 6p2e8 nn0cni mulcomli
    3cn 7t3e21 decaddi decma2c 2lt3 ndvdsi 3lt5 dec5dvds 7nn 6nn nnnn0i mulid1i
    1p2e3 ax-1cn 7p1e8 oveq1i 7p6e13 6lt7 1nn nncni mulcomi 6lt10 5nn 6cn 1p1e2
    6t3e18 8p5e13 decaddci decmac 5lt10 3p1e4 addcomli 4p4e8 7t4e28 2p1e3 declt
    5lt7 c9 9nn 9nn0 9t4e36 7lt10 4nn 3t3e9 9p4e13 4lt10 1lt2 prmlem2 ) ABCZABD
    UAEAAFCBGDAFDHUBIJUCAFAUDHDUEUFUGABGUDIJUHUFAGKBDJKUIULUJUKBXLKLCZKUAKLMNUB
    UMKLUNKBABKXMKMNUOMXMUPKMUQIIMBKOPZUNKQPZQPRKQPZAXNRXOKQURKUIUSZUTVASKGBBLO
    PKMJMLBKGCLNVBZVDVEVCVPVFVGVHVIABDUAVJVKLXLGGCZRVLGGJJUBVMGGUNRLABGXSRJJUOR
    VMVNZXSUPRXTUQNIJLGOPZUNGQPZQPLGQPAYALYBGQLXRVOZGVQUSUTVRSYARQPLRQPGBCZYALR
    QYCVSVTSVGZWAVIXSXLLRGGJWBEZNVMXSLOPZRQPLXSOPZRQPXLYGYHRQXSLXSYFWCXRWDVSYES
    GGRWBJXTWEUFVIYDXLRTGBJUAEXTWFGBUNTRABKYDTJIUOTWFVNZYDUPTYIUQXTIMGROPZXOQPX
    PAYJRXOKQRWGULXQUTVASGABKBROPTJDYIRBGACWGVDWIVCWHIWJWKWLGBTWBIYIWMUFVIGLCZX
    LFGTCZGLJVLEHGTJWFEGLGTFABBYKYLJNJYIYKUPYLUPHIIGFOPZGBQPZQPFFQPZAYMFYNFQFFH
    VBZULZBGFVDVQWNWOUTWPSKABBLFOPTMDYIWQWRIWJWKWLGTLJYIVLWTWSVIGXACZXLFLGXAJXB
    EHVLGXAUNLFABFYRLJXCUONYRUPLNUQHIHYMUNFQPZQPYOAYMFYSFQYQFYPUSUTWPSBRBFXAFOP
    LIXTNXDWNILRYDXRWGVTWOWKWLGXALWBXCNXEUFVIKBCZXLBGFCZKBMUAEIGFJXFEKBGFBABGYT
    UUAMIJHYTUPUUAUPIIJKBOPZGGQPZQPXPAUUBRUUCKQBKRVDUIURVCWHUTVASBBOPZFQPXAFQPY
    DUUDXAFQXGVSXHSWLGKFBJMHIXIXJUGVIXK $.

  $( 139 is a prime number.  (Contributed by Mario Carneiro, 19-Feb-2014.)
     (Proof shortened by Mario Carneiro, 20-Apr-2015.) $)
  139prm $p |- ; ; 1 3 9 e. Prime $=
    ( c1 c3 cdc c9 1nn0 3nn0 c8 c4 9nn0 c6 6nn0 0nn0 cmul co caddc c2 2nn0 7nn0
    cc0 c7 deccl 9nn decnncl 8nn0 4nn0 1lt8 3lt10 9lt10 3decltc 3nn 1lt10 4t2e8
    declti df-9 dec2dvds 1nn eqid dec0h ax-1cn addid2i oveq2i nn0cni 3cn 4t3e12
    2p1e3 mulcomli decsuc eqtri 8p1e9 6t3e18 decma2c 1lt3 ndvdsi 4nn 4lt5 5p4e9
    dec5dvds2 7nn 6nn 7cn mulid1i oveq12i 7p6e13 9cn 9t7e63 6p3e9 addcomli 6lt7
    decaddi 2cn nncni 1p2e3 mulid2i 00id oveq1i 7p2e9 3eqtri decmac 7lt10 10nn0
    addid1i mul01i 5nn0 8cn 5cn 8p5e13 8t7e56 6lt10 6t2e12 decrmac 2nn prmlem2
    c5 ) ABCZDCZXNDABEFUAZUBUCAGBHDAEUDFUEIEUFUGUHUIXNDAABEUJUCZIEUKUMXNHGDXPUE
    ULUNUOBXOHJCZAUJHJUEKUAUPHJSABXNDAXRAUEKLEXRUQAEURFIEBHMNZSAONZONXSAONXNXTA
    XSOAUSUTVAAPBXSEQVEHBAPCZHUEVBVCVDVFVGVHAGDBJMNEUDVIJBAGCJKVBZVCVJVFVGZVKVL
    VMXNHDXPVNVOVPVQTXOADCZJVRADEIUAVSADSJTXNDJYDJEILKYDUQZJKURZRIKTAMNZSJONZON
    TJONZXNYGTYHJOTVTWAJYBUTZWBWCVHJBDTDMNJKFKDTJBCWDVTWEVFJBDYBVCWFWGZWIVKWHVM
    AACZXOYATAAEUPUCZAPEQUAVRAPSTYLXNDPYATEQLRYAUQTRURZAAEEUAIQYLAMNZSPONZONYOP
    ONXNYPPYOOPWJUTVAAABYOPEEQYLYLYMWKWAWLWIVHAASTPPDSYLTEELRYLUQYNQILAPMNZSSON
    ZONPSONPYQPYRSOPWJWMZWNWBPWJXAVHYQTONPTONDSDCZYQPTOYSWOTPDVTWJWPWGDIURZWQWR
    VKAATUPERWSUMVMXNXOASCZDXQWTUBASSDXNXNDSUUBDELLIUUBUQUUAXPILABSSAABSXNYREFL
    LXNUQYRSSSCWNSLURVHEFLAAMNZYRONASONAUUCAYRSOAUSWAWNWBAUSXAVHBAMNZSONBSONBSB
    CUUDBSOBVCWAWOBVCXABFURZWQWRXNSMNZDONSDONDYTUUFSDOXNXNXPVBXBWODWDUTUUAWQVKA
    BDUPFIUHUMVMATCZXOGBATEVRUCUDUJATSBGXNDXMUUGBERLFUUGUQUUEUDIXCAGMNZSXMONZON
    GXMONXNUUHGUUIXMOGXDWMXMXEUTWBXFVHXMJDTGMNBXCKFGTXMJCXDVTXGVFWFWIWRATBUPRFU
    GUMVMYDXOTJADEUBUCRVSADSJTXNDJYDJEILKYEYFRIKATMNZYHONYIXNUUJTYHJOTVTWMYJWBW
    CVHJBDDTMNJKFKWEYKWIWRADJUPIKXHUMVMPBCZXOJAPBQUJUCKUPPBJXNDAUUKAQFEUUKUQKIE
    APBPJMNEQVEJPYAYBWJXIVFVGYCXJPBAXKFEUKUMVMXL $.

  $( 163 is a prime number.  (Contributed by Mario Carneiro, 19-Feb-2014.)
     (Proof shortened by Mario Carneiro, 20-Apr-2015.) $)
  163prm $p |- ; ; 1 6 3 e. Prime $=
    ( c1 c6 cdc c3 1nn0 c8 c4 3nn0 c2 c5 cc0 0nn0 cmul co caddc eqtri 2nn0 7nn0
    c7 c9 6nn0 deccl 3nn decnncl 8nn0 4nn0 6lt10 3lt10 3decltc 6nn 1lt10 declti
    1lt8 2cn mulid2i df-3 dec2dvds 5nn0 1nn eqid dec0h ax-1cn addid2i 5p1e6 5cn
    oveq2i 3cn 5t3e15 mulcomli decsuc 2p1e3 4cn 4t3e12 decma2c 1lt3 ndvdsi 3lt5
    dec5dvds 7nn 2nn 7t2e14 4p2e6 decaddi 7t3e21 1p2e3 2lt7 9nn0 nncni addcomli
    9nn mulid1i oveq12i 4p1e5 oveq1i 9cn 9p4e13 decmac 9lt10 00id addid1i 3p3e6
    3t2e6 7cn 6cn 7p6e13 7lt10 10nn 6p1e7 9p7e16 9t7e63 nn0cni 7pos declt 7p1e8
    8cn 8p8e16 9t8e72 1lt9 decrmac 2lt10 prmlem2 ) ABCZDCZYBDABEUAUBZUCUDAFBGDA
    EUEUAUFHEUMUGUHUIYBDAABEUJUDHEUKULYBAIDYDEIUNUOZUPUQDYCJGCZAUCJGURUFUBUSJGK
    ADYBDAYFAURUFLEYFUTAEVAHHEDJMNZKAONZONYGAONYBYHAYGOAVBVCZVFAJBYGEURVDJDAJCV
    EVGVHVIVJPAIDDGMNEQVKGDAICZVLVGVMVIVJVNVOVPYBDYDUCVQVRSYCIDCZIVSIDQHUBVTIDK
    ISYBDIYKIQHLQYKUTZIQVARHQSIMNZKIONZONYMIONYBYNIYMOIUNVCVFAGBYMIEUFQWAWBWCPI
    ADSDMNIQEQWDWEWCVNWFVPAACZYCAGCZTAAEUSUDZAGEUFUBWJAGKTYOYBDJYPTEUFLWGYPUTTW
    GVAZAAEEUBHURYOAMNZKJONZONYSJONYBYTJYSOJVEVCVFAABYSJEEURYOYOYQWHWKJABVEVBVD
    WIWCPAAKTGJDAYOTEELWGYOUTZYRUFHEAGMNZYHONGAONJUUBGYHAOGVLUOZYIWLWMPUUBTONGT
    ONADCZUUBGTOUUCWNTGUUDWOVLWPWIPWQVNAATUSEWGWRULVPUUDYCYJSADEUCUDAIEQUBVSAIK
    SUUDYBDDYJSEQLRYJUTSRVAZADEHUBHHADKDAABKUUDKDONZEHLHUUDUTZUUFDKDCDVGVCDHVAP
    EUALAAMNZKKONZONAKONAUUHAUUIKOAVBWKWSWLAVBWTPDAMNZDONZBKBCUUKDDONBUUJDDODVG
    WKWNXAPBUAVAPWQADKSIDDAUUDSEHLRUUGUUEQHEAIMNZYHONIAONDUULIYHAOYEYIWLVKPDIMN
    ZSONBSONUUDUUMBSOXBWNSBUUDXCXDXEWIPWQVNADSUSHRXFULVPASCZYCTAKCZASEVSUDWGXGA
    SAKTYBDBUUNUUOERELUUNUTUUOUTWGHUAATMNZABONZONTSONYBUUPTUUQSOTWOUOBASXDVBXHW
    IWLXIPSTMNZKONBDCZKONUUSUURUUSKOTSUUSWOXCXJVIWNUUSUUSBDUAHUBXKWTPWQAKSELVSX
    LXMVPATCZYCFYOATEWJUDUEYQATAAFYBDSUUTYOEWGEEUUTUTUUAUEHRAFMNZASONZONFFONYBU
    VAFUVBFOFXOUOSAFXCVBXNWIWLXPPSIDTFMNRQVKXQVJWQAATEEWJXRXMVPYKYCSIIDQUCUDRVT
    IDSYBDIYKIQHQYLRHQAGBISMNIEUFQSIYPXCUNWAVIWBWCIADDSMNIQEQSDIACXCVGWDVIWEWCX
    SIDIVTHQXTULVPYA $.

  $( 317 is a prime number.  (Contributed by Mario Carneiro, 19-Feb-2014.)
     (Proof shortened by Mario Carneiro, 20-Apr-2015.) $)
  317prm $p |- ; ; 3 1 7 e. Prime $=
    ( c3 c1 cdc c7 3nn0 1nn0 c8 c4 7nn0 cc0 c5 c2 5nn0 0nn0 2nn0 caddc co eqtri
    cmul c9 deccl 7nn decnncl 8nn0 4nn0 1lt10 7lt10 3decltc 1nn declti c6 3t2e6
    3lt8 df-7 dec2dvds 3nn 10nn0 2nn eqid dec0h ax-1cn addid2i 3cn mulid1i 00id
    oveq12i addid1i mul01i oveq1i decma2c 5cn 5t3e15 mulcomli 5p2e7 2lt3 ndvdsi
    decaddi 2lt5 dec5dvds2 oveq2i 7t4e28 2p1e3 8p3e11 decaddci 7t5e35 2lt7 9nn0
    9nn 9cn 2cn mulid2i 9p2e11 addcomli decmac 8cn 8p1e9 9p8e17 9lt10 5nn 4p1e5
    6p5e11 4cn 4t3e12 5lt10 3p1e4 decadd 1p1e2 1p2e3 7p4e11 8p5e13 6p1e7 8t7e56
    7cn 6nn0 decsuc 1lt7 declt 6cn 9t6e54 4p3e7 3lt9 8nn 7p1e8 3t3e9 8lt10 1lt2
    nnnn0i decltc prmlem2 ) ABCZDCZYJDABEFUAZUBUCAGBHDBEUDFUEIFUMUFUGUHYJDBABEU
    IUCIFUFUJYJAUKDYLEULUNUOAYKBJCZKCZLUPYMKUQMUAURYMKJLAYJDBYNLUQMNOYNUSLOUTZE
    IFBJJBAABJYMJBPQZFNNFYMUSYPBJBCZBVAVBZBFUTZREFNABSQZJJPQZPQAJPQAYTAUUAJPAVC
    VDZVEVFAVCVGRAJSQZBPQZBYQUUDYPBUUCJBPAVCVHVIYRRYSRVJBKDAKSQLFMOKABKCVKVCVLV
    MVNVQVJVOVPYJLDYLURVRVNVSDYKHKCZLUBHKUEMUAURHKJLDYJDAUUELUEMNOUUEUSYOIIEDHS
    QZJAPQZPQUUFAPQYJUUGAUUFPAVCVBVTLGBAUUFAOUDEWAWBFWCWDRAKDDKSQLEMOWEVNVQVJWF
    VPBBCZYKLGCZTBBFUIUCZLGOUDUAWHLGJTUUHYJDTUUITOUDNWGUUIUSTWGUTZBBFFUAZIWGBBJ
    TLABBUUHJTPQZFFNWGUUHUSZUUMTJTCTWIVBUUKROFFBLSQZYPPQLBPQZAUUOLYPBPLWJWKZYRV
    FWBRZUUOTPQLTPQUUHUUOLTPUUQVITLUUHWIWJWLWMRWNBBJTGTDBUUHTFFNWGUUNUUKUDIFBGS
    QZYPPQGBPQTUUSGYPBPGWOWKZYRVFWPRUUSTPQGTPQBDCZUUSGTPUUTVITGUVAWIWOWQWMRWNVJ
    BBTUIFWGWRUJVPBACZYKLHCZKBAFUPUCZLHOUEUAWSLHJKUVBYJDKUVCKOUENMUVCUSKMUTZBAF
    EUAZIMBAJKLABBUVBJKPQZFENMUVBUSZUVGKJKCKVKVBZUVEROFFUURALSQZKPQUKKPQZUUHUVJ
    UKKPULVIXARWNBAJKHKDBUVBKFENMUVHUVEUEIFBHSQZYPPQHBPQKUVLHYPBPHXBWKYRVFWTRBL
    DAHSQKFOMHABLCXBVCXCVMKLDVKWJVNWMVQWNVJBAKUIEMXDUJVPUVAYKBGCZUUHBDFUBUCBGFU
    DUAUUJBGBBUVAYJDUVBUVMUUHFUDFFUVMUSZUUNBDFIUAIUVFBDBHBABBUVABUVBPQFIFUEUVAU
    SZJBBABHBUVBNFFEYSUVHYRABHVCVAXEWMXFFFFBBSQZBBPQZPQBLPQAUVPBUVQLPBVAVDXGVFX
    HRZDBSQZHPQDHPQUUHUVSDHPDXMVDVIXIRWNBDJBGUVBDKUVABFINFUVOYSUDIMUUSUVGPQGKPQ
    UVBUUSGUVGKPUUTUVIVFXJRKUKDDGSQMXNXKGDKUKCWOXMXLVMXOWNVJBBDFFUBXPXQVPBTCZYK
    BUKCZUVBBTFWHUCBUKFXNUAUVDBUKBAUVTYJDUUHUWAUVBFXNFEUWAUSUVHBTFWGUAIUULBTBLB
    ABBUVTBUUHPQFWGFOUVTUSZJBBBBLBUUHNFFFYSUUNYRXGXFFFFUVRTBSQZLPQTLPQUUHUWCTLP
    TWIVDVIWLRWNBTJAUKUUHDKUVTAFWGNEUWBAEUTXNIMBUKSQZUVGPQUVKUUHUWDUKUVGKPUKXRW
    KUVIVFXARKHDTUKSQAMUEEXSXTVQWNVJBATFEWHYAXQVPLACZYKUVBUVMLAOUPUCUVBUVDYGBGF
    YBUCBABGUWEYJDDUVBUVMFEFUDUVHUVNLAOEUAIILAJGBABBUWEBDPQZOENUDUWEUSZUWFGJGCD
    BGXMVAYCWMGUDUTZRFFFLBSQZYPPQUUPAUWILYPBPLWJVDYRVFWBRYTGPQAGPQUUHYTAGPUUBVI
    GAUUHWOVCWCWMRWNLAJGADDBUWEGOENUDUWGUWHEIFLASQZYPPQUKBPQDUWJUKYPBPALUKVCWJU
    LVMYRVFXKRAASQZGPQTGPQUVAUWKTGPYDVIWQRWNVJBLGAFOUDEYEYFYHVPYI $.

  $( 631 is a prime number.  (Contributed by Mario Carneiro, 1-Mar-2014.)
     (Proof shortened by Mario Carneiro, 20-Apr-2015.) $)
  631prm $p |- ; ; 6 3 1 e. Prime $=
    ( c6 c3 cdc c1 3nn0 deccl c8 c4 1nn0 cc0 0nn0 c2 2nn0 caddc eqtri cmul 7nn0
    co c7 c5 6nn0 1nn decnncl 8nn0 4nn0 6lt8 3lt10 1lt10 3decltc 3nn declti 2cn
    mul02i 1e0p1 dec2dvds eqid dec0h 3t2e6 oveq12i 6cn addid1i 3t1e3 oveq1i 3cn
    00id 3eqtri decma2c mul01i 1lt3 ndvdsi 1lt5 dec5dvds c9 7nn 9nn0 oveq2i 9cn
    0p1e1 7cn 9t7e63 mulcomli nn0cni 1lt7 5nn0 4nn 8cn addid2i 5cn 5p1e6 8p5e13
    mulid2i addcomli decmac 7p1e8 7p4e11 4lt10 1p1e2 4p2e6 4t3e12 2p1e3 decaddi
    4cn 8p3e11 8t3e24 decaddci 7lt10 2nn 1p2e3 3p3e6 7t3e21 7p5e12 7t7e49 4p1e5
    9p2e11 2lt10 9nn 9t3e27 7p6e13 10nn ax-1cn 6p1e7 decadd 2t2e4 decmul1c 1lt2
    7t2e14 10pos decltc prmlem2 ) ABCZDCZYJDABUAEFZUBUCAGBHDDUAUDEUEIIUFUGUHUIY
    JDDABUAUJUCIIUHUKYJJJDYLKLULUMUNUOBYKLDCZJCZDUJYMJLDMIFZKFUBYMJJDBYJDJYNDYO
    KKIYNUPDIUQZEIKLDJJBABJYMJJNRZMIKKYMUPYQJJJCVEJKUQOEEKBLPRZYQNRAJNRAYRAYQJN
    URVEUSAUTVAOBDPRZJNRBJNRBJBCYSBJNVBVCBVDVABEUQVFVGBJPRZDNRJDNRZDJDCZYTJDNBV
    DVHVCVRYPVFVGVIVJYJDYLUBVKVLSYKVMJCZDVNVMJVOKFUBVMJJDSYJDJUUCDVOKKIUUCUPYPQ
    IKSVMPRZYQNRUUDJNRYJJNRYJYQJUUDNVEVPUUDYJJNVMSYJVQVSVTWAVCYJYJYLWBVAVFSJPRZ
    DNRUUADUUBUUEJDNSVSVHVCVRYPVFVGWCVJDDCZYKTSCZHDDIUBUCTSWDQFWETSJHUUFYJDGUUG
    HWDQKUEUUGUPHUEUQZDDIIFZIUDDDJGTABDUUFJGNRZIIKUDUUFUPZUUJGJGCGWFWGGUDUQOWDE
    IDTPRZUUANRTDNRAUULTUUADNTWHWKZVRUSWIOUULGNRTGNRDBCZUULTGNUUMVCGTUUNWFWHWJW
    LOWMDDJHSGDDUUFHIIKUEUUKUUHQIIDSPRZUUANRSDNRGUUOSUUADNSVSWKZVRUSWNOUUOHNRSH
    NRUUFUUOSHNUUPVCWOOWMVGDDHUBIUEWPUKVJUUNYKHGCZSDBIUJUCHGUEUDFVNHGJSUUNYJDUU
    FUUQSUEUDKQUUQUPSQUQZDBIEFIUUIDBDDHABDUUNJUUFNRIEIIUUNUPZUUFUUFUUIWBWGUEEID
    HPRZDDNRZNRHLNRZAUUTHUVALNHXBWKWQUSWRODLBBHPRDIMIHBDLCZXBVDWSWAWTXAWMDBJSGU
    UFDBUUNSIEKQUUSUURUDIEDGPRZJBNRZNRGBNRUUFUVDGUVEBNGWFWKBVDWGZUSXCOLHDBBGPRS
    MUEQGBLHCWFVDXDWAWTISHUUFVSXBWOWLXEWMVGDBSUBEQXFUKVJDSCZYKBSCZLDSIVNUCBSEQF
    XGBSJLUVGYJDUVCUVHLEQKMUVHUPLMUQZDSIQFIDLIMFZDSDLBABLUVGJUVCNRIQIMUVGUPZUVC
    UVCUVJWBWGEEMDBPRZDLNRZNRBBNRZAUVLBUVMBNBVDWKZXHUSXIOLDBSBPRLMIMXJXHXAWMDSJ
    LSUVCDTUVGLIQKMUVKUVIQIWDUUOJTNRZNRSTNRUVCUUOSUVPTNUUPTWHWGUSXKOHVMDTSSPRLU
    EVOMXLXMIXNXEWMVGDSLUBQMXOUKVJDVMCZYKBBCZHDVMIXPUCBBEEFWEBBJHUVQYJDAUVRHEEK
    UEUVRUPUUHDVMIVOFIUADVMJABABBUVQJANRZIVOKUAUVQUPZUVSAJACAUTWGAUAUQOEEEUVLUV
    ENRUVNAUVLBUVEBNUVOUVFUSXIOZLSBBVMBPRZAMQUAXQWTEXRXEWMDVMJHBADBUVQHIVOKUEUV
    TUUHEIEUWALSDBUWBHMQUEXQWTIWOXEWMVGDVMHUBVOUEWPUKVJLBCZYKLSCZDJCZLBMUJUCLSM
    QFXSLSDJUWCYJDDACZUWDUWEMQIKUWDUPUWEUPLBMEFIDAIUAFZLBDSLABDUWCDUWFNRMEIQUWC
    UPZJDDADSDUWFKIIUAYPUWFUPVRADSUTXTYAWLYBMEILLPRZUVANRUVBAUWIHUVALNYCWQUSWRO
    YRSNRASNRUUNYRASNURVCSAUUNVSUTXRWLOWMUWCSPRZJNRUWFDCZJNRUWKUWJUWKJNLBUWFDSL
    UWCQMEUWHIMDHALSPRLIUEMSLDHCVSULYFWAWRXASBYMVSVDXJWAYDVCUWKUWKUWFDUWGIFWBVA
    OVGDLJBIMKEYGYEYHVJYI $.

  $( The primorial of 4.  (Contributed by AV, 28-Aug-2020.) $)
  prmo4 $p |- ( #p ` 4 ) = 6 $=
    ( c4 cprmo cfv c1 cmin co c6 cprime wcel cmul cif cn wceq 4nn prmonn2 ax-mp
    4nprm iffalsei eqtri c3 4m1e3 fveq2i prmo3 ) ABCZADEFZBCZGUDAHIZUFAJFZUFKZU
    FALIUDUIMNAOPUGUHUFQRSUFTBCGUETBUAUBUCSS $.

  $( The primorial of 5.  (Contributed by AV, 28-Aug-2020.) $)
  prmo5 $p |- ( #p ` 5 ) = ; 3 0 $=
    ( c5 cprmo cfv cprime wcel c1 cmin co cmul cif c3 cc0 cdc cn 5nn prmonn2 c6
    wceq c4 eqtri ax-mp 5prm iftruei 5m1e4 fveq2i prmo4 oveq1i 6t5e30 ) ABCZADE
    ZAFGHZBCZAIHZULJZKLMZANEUIUNROAPUAUNUMUOUJUMULUBUCUMQAIHUOULQAIULSBCQUKSBUD
    UEUFTUGUHTTT $.

  $( The primorial of 6.  (Contributed by AV, 28-Aug-2020.) $)
  prmo6 $p |- ( #p ` 6 ) = ; 3 0 $=
    ( c6 cprmo cfv c1 cmin co c3 cc0 cdc cprime wcel cmul cif cn wceq 6nn ax-mp
    prmonn2 eqtri c5 6nprm iffalsei 6m1e5 fveq2i prmo5 ) ABCZADEFZBCZGHIZUFAJKZ
    UHALFZUHMZUHANKUFULOPARQUJUKUHUAUBSUHTBCUIUGTBUCUDUESS $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Very large primes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    1259prm.1 $e |- N = ; ; ; 1 2 5 9 $.
    $( Lemma for ~ 1259prm .  Calculate a power mod.  In decimal, we calculate
       ` 2 ^ 1 6 = 5 2 N + 6 8 == 6 8 ` and ` 2 ^ 1 7 == 6 8 x. 2 = 1 3 6 ` in
       this lemma.  (Contributed by Mario Carneiro, 22-Feb-2014.)  (Revised by
       Mario Carneiro, 20-Apr-2015.)  (Proof shortened by AV, 16-Sep-2021.) $)
    1259lem1 $p |- ( ( 2 ^ ; 1 7 ) mod N ) = ( ; ; 1 3 6 mod N ) $=
      ( c2 c1 c6 cdc cc0 c8 c3 c5 1nn0 2nn0 5nn0 6nn0 8nn0 co eqid cmul caddc
      c4 c7 c9 cn deccl 9nn decnncl eqeltri 0z 3nn0 cexp nn0zi nn0expcli nn0cni
      2nn cmo 2cn 8t2e16 mulcomli 9nn0 4nn0 7nn0 dec0h 4cn addid2i oveq1i 4p1e5
      0nn0 eqtri 7cn 6cn 7p6e13 addcomli decaddc 2p1e3 5cn 6p5e11 10nn0 mulid1i
      dec10p 1p0e1 oveq12i 5p1e6 3p2e5 3eqtri decmac 5t2e10 00id decma2c 5t5e25
      3cn 2t2e4 decsuc decaddi decrmac 9cn 9t5e45 9t2e18 8p8e16 decaddci 2exp16
      5p2e7 1p1e2 numexp2x 3eqtr2i mod2xi 6p1e7 mul02i decmul1c 3eqtr4i modxp1i
      nncni 6t2e12 ) CDEFZGDUAFEHFZDIFZEFZAADCFZJFZUBFUCBXRUBXQJDCKLUDZMUDZUEUF
      UGZUNDEKNUDUHEHNOUDZXOEDIKUIUDNUDZCHJCFZXMCHUJPZXNAYAUNOYDJCMLUDZUKCHLOUL
      YBYEAUOPQHCXMHOUMUPUQURZYDARPXNSPEJFZJFZIFZEFCXMUJPYEYERPZXRUBEHYDYJETUAF
      ZAXNXTUSNOBXNQZYFNTUAUTVAUDXQJJIYDYIICEFZXREYLSPXSMMUIXRQGETUAJIEYLVGNUTV
      AENVBYLQGTSPZDSPTDSPZJYOTDSTVCVDVEVFVHUIUAEXOVIVJVKVLVMYFUICELNUDDCIDYDYH
      JDGFZXQJYNSPKLUIKXQQGJCEIDJYNVGMLNJMVBZYNQGCSPZDSPCDSPIYSCDSCUPVDVEVNVHKE
      JDDFVJVOVPVLVMYFMVQJCDIDEJGYDIYQSPMLKUIYDQZYQIXOYQVQUMWJIVSVLKMVGJDRPZDGS
      PZSPJDSPEUUAJUUBDSJVOVRVTWAWBVHCDRPZISPCISPJGJFZUUCCISCUPVRVEICJWJUPWCVLY
      RWDWEJCGDCYQJGYDDMLVGKYTDKVBLMVGJCRPZGGSPZSPYQGSPYQUUEYQUUFGSWFWGWAGVSVHC
      CRPZDSPYPJUUDUUGTDSWKVEVFYRWDWEWHJCJYNIDYDIMLUIYTMUIKCJEJJRPLMWBWIWLDGICJ
      RPIKVGUIJCYQVOUPWFURIWJVDWMWNWHJCUBYLECYDHMLOYTUSNLTJUAJUBRPCUTMLUBJTJFWO
      VOWPURXAWMDHECCUBRPHKOOUBCDHFWOUPWQURXBNWRWSWNWHWTCYKYEHXMLOYGYEQYKQXCXDX
      EDEUAXMKNXFXMQWLGXPSPXPGARPZXPSPXNCRPXPXPYCUMVDUUHGXPSAAYAXKXGVEEHXOECDXN
      LNOYMNKDCIECRPKLVNXLWLUQXHXIXJ $.

    $( Lemma for ~ 1259prm .  Calculate a power mod.  In decimal, we calculate
       ` 2 ^ 3 4 = ( 2 ^ 1 7 ) ^ 2 == 1 3 6 ^ 2 == 1 4 N + 8 7 0 ` .
       (Contributed by Mario Carneiro, 22-Feb-2014.)  (Revised by Mario
       Carneiro, 20-Apr-2015.)  (Proof shortened by AV, 15-Sep-2021.) $)
    1259lem2 $p |- ( ( 2 ^ ; 3 4 ) mod N ) = ( ; ; 8 7 0 mod N ) $=
      ( c2 c1 cdc c4 c3 c6 c8 cc0 c5 c9 1nn0 4nn0 6nn0 0nn0 cmul co caddc eqtri
      c7 2nn0 deccl 5nn0 9nn decnncl eqeltri 7nn0 nn0zi 3nn0 8nn0 1259lem1 eqid
      cn 2nn 2cn mulid1i oveq1i 2p1e3 7t2e14 mulcomli decmul2c 9nn0 8p1e9 7p2e9
      7cn decadd 9p7e16 3cn 3p1e4 addcomli dec0h 00id oveq12i addid1i 4cn 4p4e8
      ax-1cn 3eqtri decmac mulid2i addid2i 4t2e8 8p6e14 decma2c 5cn 9cn decaddi
      5p2e7 5t4e20 9p3e12 9t4e36 nn0cni 8cn 4p1e5 5p3e8 6cn 3t3e9 9p1e10 6t3e18
      decmul1c 6p2e8 1p1e2 8p3e11 decaddci 6t6e36 eqtr4i mod2xi ) CDUAEZDFEZGFE
      DGEZHEZIUAEZJEZAADCEZKEZLEUNBXPLXOKDCMUBUCZUDUCZUEUFUGUODUAMUHUCXJDFMNUCZ
      UIXKHDGMUJUCZOUCZXMJIUAUKUHUCZPUCABULDUAGFCDXIUBMUHXIUMNMCDQRZDSRCDSRZGYC
      CDSCUPUQURUSTUACXJVFUPUTVAVBXJAQRXNSRDIEZFEZLEZHEXLXLQRXPLXMJXJYGHXOAXNXR
      VCYBPBXNUMXSOXQXOKLLXJYFLUAXPXMXOSRXQUDVCVCXPUMIUADCLLXMXOUKUHMUBXMUMXOUM
      ZVDVEVGXSVCUHDCDHXJYEFGXOLUASRMUBMOYHVHXSNUJDFJFDDIJXJDGSRZMNPNXJUMZYIFJF
      EGDFVIVRVJVKFNVLTMUKPDDQRZJJSRZSRDJSRDYKDYLJSDVRUQVMVNDVRVOTZFDQRZFSRFFSR
      IJIEZYNFFSFVPUQURVQIUKVLZVSVTDFJHCGFDXJHMNPOYJHOVLUBNMDCQRZJDSRZSRYDGYQCY
      RDSCUPWADVRWBZVNUSTFCQRZHSRIHSRXJYTIHSWCURWDTVTWEDFJLKUALCXJLMNPVCYJLVCVL
      UDVCUBDKQRZJCSRZSRKCSRUAUUAKUUBCSKWFWACUPWBZVNWITCJLFKQRLUBPVCKFCJEWFVPWJ
      VALWGWBWHVTWEXJLQRZJSRXOHEZJSRUUEUUDUUEJSDFXOHLGXJVCMNYJOUJDLQRZGSRLGSRXO
      UUFLGSLWGWAURWKTLFGHEWGVPWLVAXAURUUEUUEXOHXQOUCWMVOTWEXKHYGHXLIDEZXLYAXTO
      XLUMZOIDUKMUCDGIDXLYFLFJEZXKUUGMUJUKMXKUMZUUGUMYAVCFJNPUCXKHFIDYEFDXLIUUI
      SRXTONUKUUHJIFJFIIUUIPUKNPYPUUIUMFVPWBIWNVOVGMNMDGJKDDIJXKFDSRZMUJPUDUUJU
      UKKJKEWOKUDVLTMUKPYMGDQRZKSRGKSRIYOUULGKSGVIUQURKGIWFVIWPVKYPVSVTHDQRZISR
      HISRXJUUMHISHWQUQURIHXJWNWQWDVKTVTXKHJDGUUILDXLDXTOPMUUHDMVLZUJVCMDGJDGFJ
      DXKYRMUJPMUUJYRDJDEYSUUNTUJPMDGQRZYRSRGDSRFUUOGYRDSGVIWAYSVNVJTGGQRZDSRLD
      SRDJEUUPLDSWRURWSTVTDILHGQRDMUKMWTVDWHVTWEXKHUUGHHGXLOXTOUUHOUJDGJGHIDCXK
      GMUJPUJUUJGUJVLOMUBDHQRZUUBSRHCSRIUUQHUUBCSHWQWAUUCVNXBTDIDCGHQRGMUKUJHGY
      EWQVIWTVAXCMXDXEVTXFXAVBXGXH $.

    $( Lemma for ~ 1259prm .  Calculate a power mod.  In decimal, we calculate
       ` 2 ^ 3 8 = 2 ^ 3 4 x. 2 ^ 4 == 8 7 0 x. 1 6 = 1 1 N + 7 1 ` and
       ` 2 ^ 7 6 = ( 2 ^ 3 4 ) ^ 2 == 7 1 ^ 2 = 4 N + 5 == 5 ` .  (Contributed
       by Mario Carneiro, 22-Feb-2014.)  (Revised by Mario Carneiro,
       20-Apr-2015.)  (Proof shortened by AV, 16-Sep-2021.) $)
    1259lem3 $p |- ( ( 2 ^ ; 7 6 ) mod N ) = ( 5 mod N ) $=
      ( c2 c3 c8 cdc c4 c7 c6 c1 c5 c9 1nn0 2nn0 cc0 4nn0 0nn0 co cmul caddc cn
      deccl 5nn0 9nn decnncl eqeltri 3nn0 8nn0 4z 7nn0 nn0zi 6nn0 1259lem2 cexp
      2nn cmo 2exp4 oveq1i eqid 4p4e8 decaddi 9nn0 10nn0 nn0cni dec10p addcomli
      7cn mulid2i dec0h 0p1e1 3cn ax-1cn 3p1e4 decadd 2p1e3 decsuc 5p4e9 7p5e12
      5cn decaddci 9cn 9t11e99 mulcomli decsucc decma2c addid1i mulid1i oveq12i
      decmac 9p1e10 8cn 8p5e13 eqtri 3eqtri mul02i addid2i 8t6e48 8p4e12 7t6e42
      7p2e9 2cn 4p1e5 decmul1c 6cn decmul1 eqtr4i modxai 3t2e6 6p1e7 8t2e16 4cn
      decmul2c 4t2e8 8p2e10 5t4e20 9t4e36 6p5e11 7t7e49 7p7e14 decrmac mod2xi )
      CDEFZGHIFHJFZKAAJCFZKFZLFUABYELYDKJCMNUBZUCUBZUDUEUFZUODEUGUHUBUIHJUJMUBZ
      UCCDGFZGJJFZYBEHFZOFZJIFZYCAYHUODGUGPUBYKJJMMUBZUKYLOEHUHUJUBZQUBZYIPJIMU
      LUBABUMCGUNRYNAUPUQURDGEYJGUGPPYJUSUTVAYKASRYCTRJDFZLFZCFZOFYMYNSRYELHJYK
      YTOJOFZAYCYGVBUJMBYCUSZYOQVCJJJHYEYSCYRYKHUUATRMMMUJYKUSUUAHJHFUUAVCVDVGH
      VEVFYGNJDMUGUBYDKJGYRLJYESRZJYRTRYFUCMPYEYEYGVDVHZOJJDJGJYRQMMUGJMVIYRUSV
      JDJGVKVLVMVFVNJCDYDMNVOYDUSZVPZVQVNYDKCYRUUCHYFUCUJUUDUUFNHKYDVGVSVRVFVTW
      ILUUAYKLSRVBWJLYKLLFWAYKYOVDWBWCWDWEJIYTOYMKCFZCFZYNYQMULYNUSQUUGCKCUCNUB
      ZNUBYLOUUGCJYSCOYMUUHYPQUUINYMUSZUUHUSMNQEHKCJYRLOYLUUGOTRUHUJUCNYLUSZUUG
      UUGUUIVDWFMVBQEJSRZKOTRZTREKTRYRUULEUUMKTEWKWGKVSWFWHWLWMHJSRZCTRHCTRLOLF
      UUNHCTHVGWGURWTLVBVIWNWIOJSRZCTROCTRZCOCFZUUOOCTJVLWOURCXAWPZCNVIZWNWIYLO
      UUHOIYMULYPQUUJEHUUGCIGYLULUHUJUUKNPGECKEISRGPUHPWQXBNWRVTWSXCIXDWOXEXLXF
      XGDEHICJYBNUGUHYBUSULMCDSRZJTRIJTRHUUTIJTDCIVKXAXHWCURXIWMECYNWKXAXJWCXLG
      ASRKTRKOFZGFZJFYCYCSRYELOKGUVBJGAKYGVBQUCBKUCVIPMPYDKOGGUVAGCYEOGTRZYFUCQ
      PYEUSUVCGOGFGXKWPZGPVIWMPPNJCOCGKOJYDUUPMNQNUUEUUPCUUQUURUUSWMPQMGJSRZOJT
      RZTRGJTRKUVEGUVFJTGXKWGVJWHXBWMGCSRZCTRECTRUUAUVGECTXMURXNWMWECOGGKSRGNQP
      KGCOFVSXKXOWCUVDVAWEDIJGGLSRKUGULUCLGDIFWAXKXPWCVMMXQVTWEHJUVBJYCHYCYIUJM
      UUBMUJHJHUVAGJYCHUJMUJUUBUJPMGKHHSRPXBXRWDJHSRZHTRHHTRJGFUVHHHTHVGVHURXSW
      MXTYCYCYIVDWGXLXFYA $.

    $( Lemma for ~ 1259prm .  Calculate a power mod.  In decimal, we calculate
       ` 2 ^ 3 0 6 = ( 2 ^ 7 6 ) ^ 4 x. 4 == 5 ^ 4 x. 4 = 2 N - 1 8 ` ,
       ` 2 ^ 6 1 2 = ( 2 ^ 3 0 6 ) ^ 2 == 1 8 ^ 2 = 3 2 4 ` ,
       ` 2 ^ 6 2 9 = 2 ^ 6 1 2 x. 2 ^ 1 7 == 3 2 4 x. 1 3 6 = 3 5 N - 1 ` and
       finally ` 2 ^ ( N - 1 ) = ( 2 ^ 6 2 9 ) ^ 2 == 1 ^ 2 = 1 ` .
       (Contributed by Mario Carneiro, 22-Feb-2014.)  (Revised by Mario
       Carneiro, 20-Apr-2015.)  (Proof shortened by AV, 16-Sep-2021.) $)
    1259lem4 $p |- ( ( 2 ^ ( N - 1 ) ) mod N ) = ( 1 mod N ) $=
      ( c2 c6 cdc c9 cc0 c1 co 2nn0 deccl 1nn0 c5 c8 caddc eqid c3 c4 4nn0 cmul
      cmin 2nn 6nn0 9nn0 0z 1nn cn0 5nn0 8nn0 nn0cni ax-1cn 8p1e9 decsuc eqtr4i
      mvrraddi eqeltri c7 cn 9nn decnncl 3nn0 nn0zi 7nn0 0nn0 1z 1259lem3 4p1e5
      8nn 7cn 2cn 7t2e14 mulcomli 6cn 6t2e12 addid2i nncni mul02i oveq1i 5t5e25
      decmul2c 3eqtr4i mod2xi 2p1e3 2t2e4 eqtri 5t2e10 decmul1c modxp1i mulid1i
      5cn addid1i 3t2e6 dec0h mulid2i 1p1e2 2p2e4 decadd 5p4e9 decsucc decaddc2
      3cn 9p1e10 decmul1 mul01i oveq12i 0p1e1 3eqtri decma2c 8cn addcomli 1p2e3
      8p4e12 decmac 8p6e14 8t8e64 mod2xnegi 1259lem1 7p2e9 3p2e5 decaddi 7p5e12
      5p1e6 decaddc 7p3e10 3p1e4 6p1e7 4t2e8 8p2e10 5t3e15 5p2e7 5t4e20 decrmac
      00id 4cn 9cn 9t3e27 7p4e11 decaddci cc wcel 9t4e36 3t3e9 4p2e6 wceq npcan
      9p7e16 6p4e10 4t3e12 6t3e18 6t4e24 modxai oveq2i 9t2e18 mp2an ) CDCEZFEZG
      AHUAIZHUUQHAUBUUOFDCUCJKZUDKUEUFLUUQHCEZMEZNEZUGAUVAHUVAUUTNUUSMHCLJKZUHK
      ZUIKZUJUKAUUTFEZUVAHOIBUUTNFUVAUVCUIULUVAPUMUNUOZUVDUPZCDHEZCEZHUQEZQREZU
      UPQCEZREZHQEZDEZUUQAAUVEURBUUTFUVCUSUTUPZUBUVHCDHUCLKZJKUVKQRVASKZVBUVLRQ
      CVAJKZSKZUVGHUQLVCKZUVNDHQLVAKZUCKCQGEZDEZGUVIHNEZUUSREZHEZUVMAUBUWCDQGVA
      VDKZUCKUEHNLVHUTUVTUWFHUUSRUVBSKZLKZCHMEZQEZHUWDMGEZUWGAUVPUBUWKQHMLUHKZV
      AKVEMGUHVDKZUWJCUWKCEZGUWLCMEZUWMAUVPUBUWKCUWNJKUECMJUHKZUWOCUQDEZGUWPMUW
      QAUVPUBUQDVCUCKUEUHUWRABVFUQDUWKCCHUWSJVCUCUWSPJLHRMCUQTILSVGUQCHREZVIVJV
      KVLUMDCUUSVMVJVNVLZVTGUWQOIUWQGATIZUWQOIMMTIUWQUWQUWRUJVOUXBGUWQOAAUVPVPZ
      VQZVRVSWAWBUWKCQUWPUWNJWCUWPPUMGUWMOIUWMUXBUWMOIUWQCTIUWMUWMUWOUJZVOUXBGU
      WMOUXDVRCMMGCHUWQJJUHUWQPVDLCCTIZHOIZRHOIZMUXFRHOWDVRZVGWEWFWGWAWHUWKQUWC
      DCGUWLJUWNVAUWLPUCVDCUWKTIZGOIUWCGOIUWCUXJUWCGOHMQGCHUWKJLUHUWKPZVDLCHTIZ
      HOICHOIZQUXLCHOCVJWIZVRWCWEMCHGEZWJVJWFVLVTVRUWCUWCUWHUJWKWECQTIZDGDEQCDX
      AVJWLVLZDUCWMWEVTHATIZUWGOIUWQGEZGEUWMUWMTIUUTFUWFHUXSUXRUWGUVCUDUWILUXRA
      UVEAUXCWNBWEUWGPZCREZUWQUUTUWFOICRJSKCRMUYAJSVGUYAPUMUUSMUUSRUYAFUUTUWFUV
      BUHUVBSUUTPZUWFPZHCHCCRUUSUUSLJLJUUSPZUYDWOWPWQWRWQWSXBWTMGUXSGUWMGUWMUWO
      UHVDUWMPZVDVDUWMMTIZGOIUXSGOIUXSUYFUXSGOMGUWQGMUWMUHUHVDUYEVSMWJVQXCVRUXS
      UXSUWQGUWRVDKUJWKWEUWMGTIGGGEUWMUXEXDGVDWMWEVTUNWBUWCDUVHCCHUWDJUWHUCUWDP
      JLQGGHCDHGUWCHVAVDVDLUWCPHLWMZJLVDUXPGGOIZOIDGOIDUXPDUYHGOUXQYMXEDVMWKWEC
      GTIZHOIGHOIZHGHEZUYIGHOCVJXDVRXFUYGXGXHUXAVTUWGUWEOIUVEAUWFHHNUUTFUWGUWEU
      WILLUIUXTUWEPZUUSRMUWFUVBSVGUYCUMNHFXIUKULXJWQBUNGUVMOIUVMUXBUVMOIUWEUWET
      IUVMUVMUVTUJVOUXBGUVMOUXDVRHNUVLRUWEUWTUWEHNLUIKLUIUYLSHRLSKHNHRHQCHUWEUW
      TLUILSUYLUWTPLJLHHTIZHHOIZOIHCOIQUYMHUYNCOHUKWIZWOXEXKWENHTIZROINROIUUSUY
      PNRONXIWIVRXLWEXMHNUWTRNDUWEUILUIUYLSUCHNTIZDOINDOIUWTUYQNDONXIWNVRXNWEXO
      WGVTWAXPABXQUVHCHUQUUOFUVIUVJUVQJLVCUVIPUVJPZDHCUVHUCLWOUVHPUMUQCFVIVJXRX
      JWQUVKATIUUQOIRREZGEZDEZREUVMUVOTIUUTFUUTNUVKVUARQHEZAUUQUVCUDUVCUIBUVFUV
      RSQHVALKUUSMUWKDUVKUYTDUVJUUTUUTVUBOIUVBUHUWNUCUYBUUSMQHUWKDUUTVUBUVBUHVA
      LUYBVUBPHCMUUSQLJVAUYDQCMXAVJXSXJXTYBWQUVRUCUWAHCQCUVKUYSGUQUUSUWKUVJOILJ
      VAJUYDHMHUQQCUWKUVJLUHLVCUXKUYRUYNHOIUXMQUYNCHOWOVRWCWEJUQMUUSVIWJYAXJYCU
      VRVDVCQRHGHRRGUVKQUQOIVASLVDUVKPZUQQUXOVIXAYDXJLSVDQHTIZHGOIZOIQHOIRVUDQV
      UEHOQXAWIHUKWKXEYEWEZRHTIZGOIRGOIRGREZVUGRGORYNWIZVRRYNWKRSWMZXGXMQRGCCUQ
      GHUVKCVASVDJVUCCJWMJVDLQCTIZUYJOIDHOIZUQVUKDUYJHOWLXFXEYFWERCTIZCOINCOIUX
      OVUMNCOYGVRYHWEXMXHQRMUVJDCUVKDVASUCVUCUHUCJHMUQQMTICLUHJMQUWKWJXAYIVLYJX
      TCGDRMTIDJVDUCMRCGEWJYNYKVLDVMVOXTYLXHQRFVUBRRUVKNVASUIVUCUDSSCUQHQQFTIRJ
      VCSFQCUQEYOXAYPVLWCLYQYRQDRRRFTINVAUCUIFRQDEYOYNUUAVLYESNDUWTXIVMXNXJYRYL
      XHUVNDVUARUVMHFEZREZUVOUVTUWBUCUVOPSVUNRHFLUDKZSKHQVUNRUVMUYTDFUQEZUVNVUO
      LVAVUPSUVNPVUOPUVTUCFUQUDVCKUVLRHHEZDHUYSGHUVMVUNVUQOIUVSSHHLLKUCUVMPZHFF
      UQVURDVUNVUQLUDUDVCVUNPVUQPHGHHFOILVDXFFHUXOYOUKXBXJUMUCUUFYCLVDLQCHCHRRG
      UVLVURHOIVAJLJUVLPZHHCVURLLWOVURPUMLSVDVUFUXLCOICCOIRVUHUXLCCOUXNVRWPVUJX
      GXMVUGDOIRDOIUXOVUGRDOVUIVRDRUXOVMYNUUGXJWEXMUVLRGRQVUQDHUVMRUVSSVDSVUSVU
      JVAUCLQCGHQFUQGUVLUYJVAJVDLVUTUYJHUYKXFUYGWEVAVCVDQQTIZUYHOIFGOIFVVAFUYHG
      OUUBYMXEFYOWKWEUXPHOIVULUQGUQEUXPDHOUXQVRYFUQVCWMXGXMHCDRQTIRLJSUUHRCDYNV
      JUUCXJXTXMXHUVLRVUORDCUVMUCUVSSVUSSJQCDVUNRHUVLCVAJJVUTUCSLHNFQDTILUIULDQ
      UWEVMXAUUIVLUMHCRCDTIZCLJJUXAWPXTYLDRUYAVMYNUUJVLWGVTUNUUKCUUPTIUVAUUQUUO
      FUUTNCHUUPJUURUDUUPPUILDCGHCUUSMGUUOHUCJVDLUUOPUYGJUHVDVVBUYHOIVVBGOIUUSG
      OIUUSUYHGVVBOYMUULVVBUUSGOUXAVRUUSUUSUVBUJWKXGUXGUXHMGMEUXIVGMUHWMXGXHFCU
      WEYOVJUUMVLVTUVFUNAYSYTHYSYTUUQHOIAUUDUXCUKAHUUEUUNUYJHUXBHOIUYMXFUXBGHOU
      XDVRUYOWAXP $.

    $( Lemma for ~ 1259prm .  Calculate the GCD of ` 2 ^ 3 4 - 1 == 8 6 9 `
       with ` N = 1 2 5 9 ` .  (Contributed by Mario Carneiro, 22-Feb-2014.)
       (Revised by Mario Carneiro, 20-Apr-2015.) $)
    1259lem5 $p |- ( ( ( 2 ^ ; 3 4 ) - 1 ) gcd N ) = 1 $=
      ( c8 c6 cdc c9 c1 c2 c3 c4 3nn0 deccl 8nn0 9nn0 1nn0 2nn0 cc0 cmul caddc
      co cexp cmin cn wcel cn0 2nn 4nn0 nnexpcl mp2an nnm1nn0 ax-mp 6nn0 c5 9nn
      5nn0 decnncl eqeltri 1259lem2 6p1e7 eqid decsuc decsucc modsubi 0nn0 cgcd
      c7 cz wceq nn0zi gcdcom cdvds wbr wn 3nn 8nn dec0h ax-1cn mulid1i addid2i
      oveq12i 1p1e2 eqtri 3cn oveq1i 8p3e11 addcomli decmac 8lt10 declti ndvdsi
      8cn 1nn cprime wb 13prm coprm mpbi 2cn mulid2i addid1i 2p1e3 3p1e4 3eqtri
      decma2c gcdi 3t2e6 mulcomli 6p2e8 4cn 4t2e8 8p1e9 4p3e7 oveq2i 8t4e32 7cn
      7nn0 7p2e9 decaddi 9cn 9t4e36 6p4e10 decaddci2 9t2e18 8p8e16 2t0e0 nn0cni
      decaddci 8p4e12 6cn 9p6e15 eqtr4i gcdmodi ) CDEZFEZGHIJEZUATZGUBTZAYPUCUD
      ZYQUEUDHUCUDYOUEUDYRUFIJKUGLZHYOUHUIZYPUJUKYMFCDMULLZNLZAGHEZUMEZFEZUCBUU
      DFUUCUMGHOPLUOLUNUPUQZYPGCVFEZQEYNAUUFYTOUUBABURYMUUGYNUUACDVFYMMULUSYMUT
      ZVAYNUTZVBVCIFEZQEZGGAYNOUUJQIFKNLZVDLZUUBCFEZGHYNUUKPCFMNLZUUMYOGJUUKUUN
      UGYSUUOHGEZGHUUNYOPHGPOLZYSGIEZGGYOUUPOGIOKLZUUQUUPUURVETZUURUUPVETZGUUPV
      GUDZUURVGUDUUTUVAVHUUPUUQVIZUURUUSVIUUPUURVJUIUURUUPVKVLVMZUVAGVHZUURUUPG
      CGIOVNUPOVOGIQCGHGGUURCOKVDMUURUTZCMVPZOOOGGRTZQGSTZSTGGSTHUVHGUVIGSGVQVR
      ZGVQVSVTWAWBIGRTZCSTICSTGGEZUVKICSIWCVRWDCIUVLWKWCWEWFWBWGGICWLKMWHWIWJUU
      RWMUDUVBUVDUVEWNWOUVCUURUUPWPUIWQWBHGGIGIJQUUPUURPOOKUUPUTZUVFOUGVDGHRTZG
      QSTZSTHGSTIUVNHUVOGSHWRWSGVQWTVTXAWBUVHISTGISTJQJEUVHGISUVJWDIGJWCVQXBWFJ
      UGVPXCXDXEIJHGHCFQYOUUPKUGPOYOUTZUVMPNVDHIRTZHQSTZSTDHSTZCUVQDUVRHSIHDWCW
      RXFXGZHWRWTVTXHWBHJRTZGSTCGSTFQFEZUWACGSJHCXIWRXJXGWDXKFNVPZXCXDXECFIJJUU
      JQJUUNYOMNKUGUUNUTZUVPUGVDUGJCRTZIJSTZSTUWEVFSTUUJUWFVFUWESJIVFXIWCXLWFXM
      IHFUWEVFKPXPCJIHEWKXIXNXGVFHFXOWRXQWFXRWBIDJJFRTJKULUGFJIDEXSXIXTXGXBYAYB
      XDXEUUJQCFHYMFQUUKUUNUULVDMNUUKUTZUWDPNVDIFQCHCDHUUJCQSTZKNVDMUUJUTUWHCQC
      ECWKWTUVGWBPULPUVQQHSTZSTUVSCUVQDUWIHSUVTHWRVSVTXHWBGCDHHFRTCOMMFHGCEXSWR
      YCXGWAULYDYGXDHQRTZFSTQFSTFUWBUWJQFSYEWDFXSVSUWCXCXDXEGYNRTUUKSTUUEAYMFUU
      JQGUUDFQYNUUKUUANUULVDUUIUWGONVDCDIFGUUCUMGYMUUJQSTMULKNUUHUUJUUJUULYFWTO
      UOOGCRTZIGSTZSTCJSTUUCUWKCUWLJSCWKWSXBVTYHWBGDRTZFSTDFSTGUMEZUWMDFSDYIWSW
      DFDUWNXSYIYJWFWBXDGFRTZQSTFQSTFUWBUWOFQSFXSWSWDFXSWTUWCXCXDBYKXEYL $.

    $( 1259 is a prime number.  (Contributed by Mario Carneiro, 22-Feb-2014.)
       (Proof shortened by Mario Carneiro, 20-Apr-2015.) $)
    1259prm $p |- N e. Prime $=
      ( c2 c3 c4 cdc c7 c1 co 3nn0 c5 c8 cmul 1nn0 2nn0 deccl 8nn0 caddc eqid
      c9 cmin 37prm 4nn decnncl 5nn0 nn0cni ax-1cn decaddi eqtr4i mvrraddi 4nn0
      8p1e9 7nn0 3t3e9 2p1e3 oveq12i 9p3e12 eqtri 4t3e12 3cn 2cn 3p2e5 addcomli
      decmac 7cn 7t3e21 mulcomli 1p2e3 4cn 7t4e28 decmul1c decmul2c cc wcel cn0
      wceq 9nn0 eqeltri npcan mp2an eqcomi 1nn 2nn cexp numexp1 oveq2i clt 4lt7
      7nn declt breqtrri 1259lem4 1259lem5 pockthi ) CDEFZDGFZHWOAHUAIZAUBDEJUC
      UDZWQHCFZKFZLFZWOWPMIZAXAHXAWTLWSKHCNOPUEPZQPUFUGAWTTFZXAHRIBWTLTXAHXCQNX
      ASULUHUIUJDGWTLWOCDFZWPDEJUKPJUMWPSQCDOJPDECDDWSKHWOXEJUKOJWOSZXESJUENDDM
      IZCHRIZRITDRIWSXGTXHDRUNUOUPUQURHCKEDMIDNOJUSDCKUTVAVBVCUHVDDEXELGCWOUMJU
      KXFQOCHDDGMICONOGDCHFVEUTVFVGVHUHGECLFVEVIVJVGVKVLUIZWQHRIZAAVMVNHVMVNXJA
      VPAAXDVOBWTTXCVQPVRUFUGAHVSVTWAWRWBWCWQXBWOWPHWDIZMIXIXKWPWOMWPDGJUMPWEZW
      FUIWOWPXKWGDEGJUKWIWHWJXLWKABWLABWMWN $.
  $}

  ${
    2503prm.1 $e |- N = ; ; ; 2 5 0 3 $.
    $( Lemma for ~ 2503prm .  Calculate a power mod.  In decimal, we calculate
       ` 2 ^ 1 8 = 5 1 2 ^ 2 = 1 0 4 N + 1 8 3 2 == 1 8 3 2 ` .  (Contributed
       by Mario Carneiro, 3-Mar-2014.)  (Revised by Mario Carneiro,
       20-Apr-2015.)  (Proof shortened by AV, 16-Sep-2021.) $)
    2503lem1 $p |- ( ( 2 ^ ; 1 8 ) mod N ) = ( ; ; ; 1 8 3 2 mod N ) $=
      ( c2 c1 cc0 c4 c5 c3 2nn0 5nn0 deccl 0nn0 4nn0 1nn0 co c6 eqid cmul caddc
      cdc c9 c8 cn 3nn decnncl eqeltri 2nn 9nn0 10nn0 nn0zi 8nn0 3nn0 cmo 8p1e9
      2exp8 dec0h 2t2e4 ax-1cn addid2i oveq12i 4p1e5 eqtri 5t2e10 decsuc decmac
      cexp 6t2e12 decmul1c numexpp1 oveq1i 9cn 2cn 9t2e18 mulcomli 1p1e2 8p3e11
      6nn0 decaddci 3p1e4 decadd addid1i 2p2e4 decaddi addcomli dec0u 5p1e6 6cn
      nn0cni 4t2e8 8p4e12 5cn 4cn 5t4e20 decma2c mul01i 3eqtri 3cn mulid2i 00id
      mul02i 4t3e12 decrmac c7 7nn0 6p1e7 oveq2i 5t5e25 7p5e12 mulid1i decrmanc
      7cn decmul1 decmul2c eqtr4i mod2xi ) CUADETZFTZDUBTZGDTZCTZXRHTZCTZAACGTZ
      ETZHTUCBYDHYCECGIJKZLKZUDUEUFUGUHXQXPFUIMKZUJXSCGDJNKZIKZYACXRHDUBNUKKZUL
      KZIKCUAVFOXTAUMCXTUBUAIUKUNYCPXSCCDCUBVFOIYEVQUOINCGEDCGDDYCDIJLNYCQZDNUP
      ZINNCCROZEDSOZSOFDSOGYNFYODSUQDURUSZUTVAVBDEDGCRONLYPVCVDVEVGVHVIVJUACXRV
      KVLVMVNXQAROYBSOCPTZCTZDTZFTZFTXTXTROYDHYACXQYTFHDTZAYBYFULYKIBYBQYGMHDUL
      NKYCECDTZFXQYSFEYDYAUUASOYELCDINKZMYDQXRHHDUUBFYAUUAYJULULNYAQUUAQDUBDCXR
      HNUKULXRQVONVPVRVSVTYGMLCGCDXQYRDGCTZYCUUBESOIJINYLUUBUUBUUCWHWAYGNGCJIKZ
      XPFGFCYQCDXQCUUDSOUIMJMXQQZUUDCGFTUUDUUEWHVLGCFUUDCJIIUUDQWBWCWDIINXPCROZ
      GDSOZSOCETZPSOYQUUGUUIUUHPSCIWEWFUTCEPUUIPILVQUUIQPWGUSWCVBFCROZFSOUBFSOD
      CTZUUJUBFSWIVJWJVBVEXPFEDGUUDDCXQDUIMLNUUFYMJNIXPGROZECSOZSOGETZCSOUUDUUL
      UUNUUMCSGJWECVLUSZUTGECUUNCJLIUUNQUUOWCVBCEDFGROILYPGFUUIWKWLWMVNVDVEWNXQ
      EROZFSOEFSOFEFTUUPEFSXQXQYGWHWOVJFWLUSFMUPWPWNXPFHUUAFDXQCUIMIUUFULMNDEED
      HHDEXPDNLLNXPQZYMULNLDHROZEESOZSOHESOHUURHUUSESHWQWRWSUTHWQWAVBEHROZDSOYO
      DEDTUUTEDSHWQWTVJYPYMWPVEDCFFHROCNIIXAWBWCXBWNXSCYTFXTXPCTZXTYIYHIXTQZMXP
      CUIIKGDXPCXTYSFXSXSUVAJNUIIXSQZUVAQYIMYHXSCPDGYRDDXTXPXSSOYHIVQNUVBDEGDPD
      XPXSNLJNUUQUVCGDPWKURWFWDYPVTJNNGDEXCGYQCDXSPDSOZJNLXDUVCUVDXCEXCTXEXCXDU
      PVBJINGGROZYOSOUVEDSOYQYODUVESYPXFCGPUVEIJWFXGVDVBDGROZXCSOGXCSOUUKUVFGXC
      SGWKWRVJXCGUUKXKWKXHWDVBVEDEDCGRONLYPGCXPWKVLVCVNVDVEXSCDXSFXTCYHIIUVBNXS
      XSYHWHXICDROZCSOCCSOFUVGCCSCVLXIVJWBVBXJWNXSCUVAFCXTIYHIUVBGDXPCCXSIJNUVC
      VCCVLWRXLUQXLXMXNXO $.

    $( Lemma for ~ 2503prm .  Calculate a power mod.  We calculate
       ` 2 ^ 1 9 = 2 ^ 1 8 x. 2 == 1 8 3 2 x. 2 = N + 1 1 6 1 ` ,
       ` 2 ^ 3 8 = ( 2 ^ 1 9 ) ^ 2 == 1 1 6 1 ^ 2 = 5 3 8 N + 1 3 0 7 ` ,
       ` 2 ^ 3 9 = 2 ^ 3 8 x. 2 == 1 3 0 7 x. 2 = N + 1 1 1 ` ,
       ` 2 ^ 7 8 = ( 2 ^ 3 9 ) ^ 2 == 1 1 1 ^ 2 = 5 N - 1 9 4 ` ,
       ` 2 ^ 1 5 6 = ( 2 ^ 7 8 ) ^ 2 == 1 9 4 ^ 2 = 1 5 N + 9 1 ` ,
       ` 2 ^ 3 1 2 = ( 2 ^ 1 5 6 ) ^ 2 == 9 1 ^ 2 = 3 N + 7 7 2 ` ,
       ` 2 ^ 6 2 4 = ( 2 ^ 3 1 2 ) ^ 2 == 7 7 2 ^ 2 = 2 3 8 N + 2 7 0 ` ,
       ` 2 ^ 1 2 4 8 = ( 2 ^ 6 2 4 ) ^ 2 == 2 7 0 ^ 2 = 2 9 N + 3 1 3 ` ,
       ` 2 ^ 1 2 5 1 = 2 ^ 1 2 4 8 x. 8 == 3 1 3 x. 8 = N + 1 ` and finally
       ` 2 ^ ( N - 1 ) = ( 2 ^ 1 2 5 1 ) ^ 2 == 1 ^ 2 = 1 ` .  (Contributed by
       Mario Carneiro, 3-Mar-2014.)  (Revised by Mario Carneiro, 20-Apr-2015.)
       (Proof shortened by AV, 16-Sep-2021.) $)
    2503lem2 $p |- ( ( 2 ^ ( N - 1 ) ) mod N ) = ( 1 mod N ) $=
      ( c2 c1 cdc c5 cc0 co c3 2nn0 0nn0 1nn0 c4 c8 4nn0 c6 c9 c7 cmul caddc cn
      cmin 5nn0 deccl 3nn decnncl eqeltri 2nn 0z 8nn0 3nn0 6nn0 9nn0 nn0zi 7nn0
      4nn 2503lem1 8p1e9 eqid decsuc nn0cni addid1i mulid2i 1p0e1 oveq12i 2p1e3
      2cn eqtri 5cn oveq1i 5p1e6 dec0h 3eqtri decma2c ax-1cn mul01i 6cn addid2i
      1z 3cn 3p1e4 8t2e16 decmul1c 3t2e6 decmul1 2t2e4 eqtr4i modxp1i 2t1e2 9cn
      9t2e18 mulcomli decmul2c 1p1e2 6p3e9 addcomli decadd 6p1e7 9p2e11 decaddc
      7p1e8 oveq2i 5t2e10 decaddi 8p6e14 decmac 0p1e1 5t5e25 5t3e15 5p4e9 3t3e9
      8cn 4cn 8t5e40 9p3e12 8t3e24 7cn 7p4e11 decaddci 1t1e1 00id 1p2e3 mulid1i
      mod2xi mul02i 7t2e14 4t2e8 8p4e12 4p1e5 9p4e13 7p5e12 9p8e17 9t9e81 4p3e7
      decsucc 9t4e36 decrmac 9p6e15 7t7e49 decaddci2 9p1e10 decma 6t6e36 6p6e12
      decaddc2 2p2e4 5t4e20 4t3e12 5p2e7 4p2e6 7p6e13 4t4e16 6t2e12 6p2e8 7p2e9
      mod2xnegi 9p9e18 5p5e10 9p5e14 4p4e8 9t5e45 9t3e27 7p3e10 cexp cmo 8p3e11
      cu2 nncni 8p2e10 modxai mvrraddi ) CDCEZFEZDEZGADUBHZDDAACFEZGEZIEZUABUVQ
      IUVPGCFJUCUDZKUDZUEUFUGZUHUVMDUVLFDCLJUDZUCUDZLUDUILLCUVLMEZNEZIDUVNIDEZI
      EZNDAUWAUHUWDNUVLMUWBOUDZUJUDVSUWFIIDUKLUDZUKUDZLUKUJCPCEZMEZCQEZUWECREZG
      EZUWGAUWAUHUWKMPCULJUDZOUDUWMCQJUMUDZUNUWNGCRJUOUDZKUDZUWJCUWFCEZCIEZNEZU
      WLRREZCEZUWOAUWAUHUWFCUWIJUDUXBUXANCIJUKUDZUJUDZUNUXCCRRUOUOUDZJUDZUWSCDF
      EZPEZIUWTQDEZUXDAUWAUHUXIPDFLUCUDZULUDIUKUNQDUMLUDZUXHCRNEZUXIUXJDQEZMEZU
      XAGEZQEZUXKAUHRNUOUJUDUXIUXLUNUXOMDQLUMUDZUPUFUXMUXQQUXAGUXEKUDZUMUDZCIQE
      ZMUXNDDEZDEZUXRAUWAUHIQUKUMUDMOUNUYCDDDLLUDZLUDZUYACINEZDUYBDIEZGEZREZUYD
      AUWAUHINUKUJUDVSUYIRUYHGDILUKUDZKUDZUOUDZUYFCUXOFIEZNEZUYGUYCPEZDEZUYJAUW
      AUHUXSUYOUYNNFIUCUKUDZUJUDZUNUYPDUYCPUYEULUDZLUDZUYMCDNEZDUXOVUBIEZCEZUYQ
      AUWAUHDNLUJUDZVSVUCCVUBIVUEUKUDZJUDVUAABUQDNQVUBLUJURVUBUSZUTDASHZUYQTHIP
      EZPEZMEVUDCSHUVQIUYPDDVUJMGAUYQUVTUKUYTLBUYQUSZLOKUVPGUYCPDVUIPGUVQUYPGTH
      UVSKUYEULUVQUSZUYPUYPUYTVAVBLULKCFDDDIPGUVPUYCGTHZJUCLLUVPUSZUYCUYCUYEVAV
      BZLULKDCSHZDGTHZTHCDTHZIVUPCVUQDTCVGVCZVDVEVFVHDFSHZDTHFDTHPGPEZVUTFDTFVI
      VCZVJVKPULVLZVMZVNDGSHZPTHGPTHZPVVAVVEGPTDVOVPZVJPVQVRZVVCVMVNDISHZDTHIDT
      HZMGMEZVVIIDTIVTVCZVJWAMOVLZVMZVNVUCCVUJMCVUDJVUFJVUDUSVUBIVUIPCVUCJVUEUK
      VUCUSDNIPCDVUBJLUJVUGULLVUPDTHVURIVUPCDTVUSVJVFVHWBWCWDWEWFWEWGWHDQINCDUX
      OJLUMUXOUSZUJLCDSHZDTHVURIVVPCDTWIVJVFVHQCVUBWJVGWKWLZWMUYOASHUYJTHUYHMEZ
      REZQEZCEZDEUYQUYQSHUVQIUYIRUYOVWADDPEZCEZAUYJUVTUKUYLUOBUYJUSZUYSLVWBCDPL
      ULUDZJUDUVPGUWMCUYOVVTCGUVQUYIVWCTHUVSKUWQJVULUYHGVWBCUWMCUYIVWCUYKKVWEJU
      YIUSZVWCUSDIDPCQUYHVWBLUKLULUYHUSZVWBUSWNPIQVQVTWOWPWQCVGVRZWQUYSJKCFCQUY
      OVVSQCPEZQEZUVPUWMGTHJUCJUMVUNUWMUWMUWQVAZVBUYSUMVWIQCPJULUDZUMUDUYNNUWND
      CVVRRDUYOCVWJTHUYRUJUWRLUYOUSZGCVWIQUWNDCVWJKJVWLUMCJVLZVWJUSCPRGVWITHJUL
      WRVWIVWIVWLVAVRUTLQCUYCWJVGWSWPZWTJUOLFICNCUYHMDUYNUWNDTHUCUKJUJUYNUSZCRN
      UWNJUOXAUWNUSZUTJOLFCSHZVURTHVWRITHUYHVURIVWRTVFXBDGIVWRILKUKXCIVTVRZXDVH
      ICSHZNTHPNTHZDMEZVWTPNTWDVJNPVXBXLVQXEWPZVHXFDPRNCSHZLULWRWBUTXFUYNNGQFVW
      JQMUYOQUYRUJKUMVWMQUMVLZUCUMOFIGMFVWIQDUYNGMTHZUCUKKOVWPVXFMVVKMXMVRZVVMV
      HZUCUMLFFSHZGDTHZTHVXIDTHVWIVXJDVXITXGXBCFPVXIJUCVKXHUTZVHDFQIFSHZMLUCOFI
      UXIVIVTXIWLZXJXDZXFMGQNFSHQOKUMXNQWJVRZXDZXFVNUYOGSHZCTHGCTHZCGCEZVXQGCTU
      YOUYOUYSVAVPVJVWHVWNVMVNUYNNGRIVWCDIUYORUYRUJKUOVWMRUOVLZUKLUKFIGIIVWBCDU
      YNGITHZUCUKKUKVWPVYAIGIEZVWSIUKVLZVHZUKJLFISHZVXJTHVYEDTHVWBVXJDVYETXGXBD
      FPVYELUCVKXIUTZVHIISHZITHQITHUVLVYGQITXKVJXOVHXFCMDINISHRJOUOXPVFLRMUYCXQ
      XMXRWPXSXFVNUYPDVWADUYQUYPUYQVUAUYTLVUKLUYTUYCPUYCPUYQVVTCPQEZREZUYPUYPUY
      EULUYEULUYPUSZVYJVUAJVYHRPQULUMUDZUOUDDDRGEZNUYQVVSQUYPUYCUYCVYITHLLRGUOK
      UDUJUYCUSZDDVYHRVYLNUYCVYILLVYKUOVYMVYIUSGDPQRDVYHKLULUMDLVLZVYHUSVVFDTHP
      DTHZRVVFPDTVVHVJWRVHQDDGEZWJVOUUAWPZUUERDNXQVOXAWPWQVUAUMUYTUYPDVUBPDVVRR
      GUYQVYLUYPTHUYTLVUEULVUKRGUYCPVUBPVYLUYPUOKUYEULVYLUSVYJGRDDDNRUYCKUOLLVX
      TVYMXGXAWQVVHWQLUOKUYCPDNDUYHMDUYPVUBGTHZUYEULLUJVYJVUBVUBVUEVAVBZLOLDDGC
      DDIGUYCDDTHZLLKJVYMVYTCVXSWNVWNVHLUKKDDSHZGGTHZTHVUQDWUADWUBGTXTYAVEVDVHZ
      WUACTHDCTHZIVYBWUADCTXTVJYBVYCVMZXFPDSHZNTHVXAVXBWUFPNTPVQYCZVJVXCVHXFWUA
      PTHDPTHRGREZWUADPTXTVJPDRVQVOWRWPVXTVMXFUYPDGNDUYPQGUYQNUYTLKUJVUKNUJVLZL
      UMKUYCPGGDUYCPGUYPWUBUYEULKKVYJWUBGGGEZYAGKVLZVHZLULKDDGGDDDUYCWUBLLKKVYM
      WULLWUAGTHVUQDWUADGTXTVJVDVHZWUMUUBZWUFGTHPGTHZPVVAWUFPGTWUGVJPVQVBZVVCVM
      XFWUANTHDNTHQGQEZWUADNTXTVJNDQXLVOURWPVXEVMXFVNUYPDGPPVYICDUYQPUYTLKULVUK
      VVCULJLUYCPGDPVYHRIUYPVXJUYEULKLVYJVXJDGDEZXGVYNVHZULUOUKDDGIPPQGUYCVYALL
      KUKVYMVYDULUMKDPSHZWUBTHWUOPWUTPWUBGTPVQVCZYAVEWUPVHWUTITHPITHZQWUQWUTPIT
      WVAVJWOVXEVMXFIPRPPSHUKULWRUUCUTXFWUTPTHPPTHUVLWUTPPTWVAVJUUDVHXFVNUYQUYQ
      VUAVAYCWMWGYDINQUYGUKUJURUYGUSUTVUHUYDTHVWIDEZMEUYJCSHUVQIUYCDDWVCMGAUYDU
      VTUKUYELBUYDUSZLOKUVPGDDDVWIDGUVQVUMUVSKLLVULVUOLLKCFGDDCPGUVPVUQJUCKLVUN
      VUQDWURVDVYNVHZLULKVUPWUBTHCGTHZCVUPCWUBGTVUSYAVECVGVBZVHZVVDVNVVEDTHVXJD
      WURVVEGDTVVGVJXGVYNVMVNVVNVNUYIRWVCMCDUYJJUYLUOVWDOLUYHGGDCVWIDGUYIDUYKKK
      LVWFVYNJLKDIGGCCPGUYHWUBLUKKKVWGWULJULKWVHVWTGTHWUOPVVAVWTPGTWDVJWUPVVCVM
      XFGCSHZDTHVXJDWURWVIGDTCVGYEZVJXGVYNVMXFYFWCWGWHIQRNCDUYBJUKUMUYBUSUJLCIS
      HZDTHVYORWVKPDTICPVTVGWDWLZVJWRVHVVQWMMASHUXRTHUVLIEZCEZDEUYDUYDSHUVQIUXQ
      QMWVNDCAUXRUVTUKUXTUMBUXRUSZOLJUVPGUXACMWVMCGUVQUXQCTHUVSKUXEJVULUXAGCUXQ
      CUXEKJUXQUSZVWHXDOJKCFCIMUVLICUVPUXAGTHJUCJUKVUNUXAUXAUXEVAVBOUKJMCSHZCCT
      HZTHNMTHUVLWVQNWVRMTYGUUFVEYHVHCGIMFSHIJKUKFMCGEVIXMUUGWLVWSXDVNMGSHZCTHV
      XRCVXSWVSGCTMXMVPVJVWHVWNVMVNDCDCMISHQLJUMUUHWNLVWOXSVNUYCDWVNDUYDUYCUYDU
      YFUYELWVDLUYEDDDDUYDWVMCUYCUYCUYCLLLLVYMVYMUYFJUYEUYCDDCDUVLIGUYDDUYCTHUY
      ELLJWVDGDDDDCDUYCKLLLVYNVYMXGWNWQLUKKDDGDDDCGUYCVUQLLKLVYMWVELJKWUCWUADTH
      VYTCVXSWUADDTXTVJWNVWNVMZXFWUEXFUYCDGDDUYCCGUYDDUYELKLWVDVYNLJKWUNWVTXFVN
      UYDUYDUYFVAYCWMWGYDRNUXIPCDUXNJUOUJUXNUSULLDMFCRSHZLOYIRCVXBXQVGYFWLZUTNC
      VWBXLVGWBWLWMUXRUXPTHUVRAUXQQUXOMUVQIUXRUXPUXTUMUXSOWVOUXPUSZCMEZUVPUXQUX
      OTHCMJOUDCMFWWDJOYIWWDUSUTUXAGDQWWDQUXQUXOUXEKLUMWVPVVOCIMUXAJUKWAUXAUSZU
      TVXOWQYOUKYJWTBWGUXIASHUXKTHIREZPEZIEZPEUXPUXPSHUVQIQDUXIWWHPMAUXKUVTUKUM
      LBUXKUSZUXLULOUVPGDIUXIWWGIGUVQQMTHUVSKLUKVULYJUXLUKKCFGDUXIWWFPRUVPVUQJU
      CKLVUNWVEUXLULUODFGRCIRDUXIGRTHZLUCKUOUXIUSZWWJRWUHRXQVRZVXTVHJUOLVUPVXJT
      HVURIVUPCVXJDTVUSXGVEVFVHDGRVWRRLKUOXCWWLXDXFDFGDFRPCUXIDLUCKLWWKVYNUCULJ
      VUTVXRTHFCTHRVUTFVXRCTVVBVWHVEUUIVHVXKXFVNUXIGSHZITHVYAIVYBWWMGITUXIUXIUX
      LVAVPVJVWSVYCVMVNDFGDIMPDUXIDLUCKLWWKVYNUKULLVVIVXJTHVVJMVVIIVXJDTVVLXGVE
      WAVHVYFXFVNUXOMWWHPUXPUXCUXPUXOMUXSOUDZUXSOWWCULUXGDQRRUXPWWGIDREZFEZUXOU
      XCLUMUOUOVVOUXCUSZWWNUKWWOFDRLUOUDZUCUDUXOMVUBCDWWFPGUXPRWWPTHUXSOVUEJWWC
      GRWWOFVUBCRWWPKUOWWRUCVXTWWPUSDRNGWWOTHLUOXAWWOWWOWWRVAVRUTJYKWTLULKDQDND
      IRDUXOVYRLUMLUJVVOVYSLUOLWUAVYTTHWUDIWUADVYTCTXTWNVEYBVHQDSHZNTHQNTHZWWOW
      WSQNTQWJYCVJYLVHXFMDSHZCTHMCTHPVVAWXAMCTMXMYCVJUUJVVCVMXFUXOMGRQWWPIMUXPR
      UXSOKUOWWCVXTUMUKODQGMQWWOFNUXOVXFLUMKOVVOVXHUMUCUJDQSHZGNTHZTHWWTWWOWXBQ
      WXCNTQWJVCZNXLVRZVEYLVHNDFQQSHZMUJLOYMMDFXMVOYIWPZXDXFIPIMMQSHRUKULUOQMVU
      IWJXMYPWLWAUKRPUYHXQVQUUKWPXSXFVNUXOMUXCPMDUXPOUXSOWWCULLDQGDMRRIUXODLUMK
      LVVOVYNOUOUKDMSHZVYATHMITHZRWXHMVYAITMXMVCVWSVEYNVHIPRQMSHUKULWRYPUTXFUUL
      WCWMWGUUPUXIPUWFCCDUXJJUXLULUXJUSJLDFGDCIDDUXIDLUCKLWWKVYNJLLVVPVXJTHVURI
      VVPCVXJDTWIXGVEVFVHDGDCFSHZLKXGFCVYPVIVGXCWLZUTZVNPCUVLVQVGUUMWLZWMIASHUX
      DTHNCEZNEZDEUXKUXKSHUVQIUXCCIWXODDAUXDUVTUKUXGJBUXDUSZUKLLUVPGRNIWXNNGUVQ
      UXCDTHUVSKUOUJVULRRNUXCUOUOXAWWQUTUKUJKCFGRINCCUVPRGTHZJUCKUOVUNWXQRWUHRX
      QVBVXTVHUKJJVWTVXRTHPCTHNVWTPVXRCTWDVWHVEUUNVHDFCCVXLRLUCUOVXMWNJRFUVLXQV
      IYKWPXSVNIGSHZNTHWXCNGNEZWXRGNTIVTVPVJWXEWUIVMVNVYGCTHQCTHUYCVYGQCTXKVJWS
      VHZVNQDWXODUXKQUXKUXMUMLWWILUMQDQWXNNDUXKQUMLUMWWIUMUJLNDCWXFUJLWNYMUTWXB
      QTHQQTHVUBWXBQQTWXDVJUUQVHYQUXKUXKUXMVAYCWMWGYDUWFCUWKMCGUWTJUWIJUWTUSOKC
      UWFSHZGTHUWKGTHUWKWYAUWKGTIDPCCGUWFJUKLUWFUSZJKWVKGTHWUOPWVKPGTWVLVJWUPVH
      VVPCVXSWIVWNVHZWMVJUWKUWKUWPVAVBVHCCSHZMVVKWFVVMVHZWMUXBASHUWOTHFQEZFEZQE
      ZNEZMEUXDUXDSHUVQIUWNGUXBWYIMRDEZAUWOUVTUKUWRKBUWOUSZUXFORDUOLUDZUVPGQNUX
      BWYHNGUVQUWNWYJTHUVSKUMUJVULCRRDQNUWNWYJJUOUOLVWQWYJUSRCQXQVGUUOWPXAWQUXF
      UJKCFGQUXBWYGQUYCQEZUVPQGTHZJUCKUMVUNWYNQWUQQWJVBZVXEVHUXFUMUYCQUYEUMUDZU
      XANUYCQCWYFFCUXBGWYMTHUXEUJUYEUMUXBUSZWYMWYMWYPVAVRJUCJCIDICFQGUXAUYCCTHJ
      UKLUKWWEDDIUYCCLLJVYMYBXDJUMKWYDVUQTHMDTHZFWYDMVUQDTWFVDVEYIVHVWTITHWVBQW
      UQVWTPITWDVJWOVXEVMXFDPFCVXDQLULUMWBWNUCQPUXIWJVQYRWPXSXFUXANGQFWYMQMUXBQ
      UXEUJKUMWYQVXEUCUMOCIGMFUYCQDUXAVXFJUKKOWWEVXHUCUMLWXJVXJTHWXJDTHUYCVXJDW
      XJTXGXBWXLVHVXNXFVXPXFVNUXBGSHZNTHWXCNWXSWYSGNTUXBUXBUXFVAVPVJWXEWUIVMVNU
      XBISHZGTHWYJMEZGTHXUAWYTXUAGTUXANWYJMICUXBUKUXEUJWYQOJCIGCIRDDUXACJUKKJWW
      EVWNUKLLWVKVXJTHVYORWVKPVXJDTWVLXGVEWRVHWXTXFXPWCVJXUAXUAWYJMWYLOUDVAVBVH
      VNUXCCWYIMUXDUXIMEZUXDUXHUXGJWXPOUXIMUXLOUDRRUXIMUXDWYHNFMEZGEZUXCXUBUOUO
      UXLOWWQXUBUSUXHUJXUCGFMUCOUDZKUDUXCCFFEZFRWYGQDUXDUXIXUDTHUXGJFFUCUCUDUCW
      XPDFXUCGXUFFUXIXUDLUCXUEKWWKXUDUSGDFMFFDXUCKLUCOVYNXUCUSFVIVRZWXGWQFVIVBW
      QUOUMLRRFPRWYFFFUXCXUFDTHUOUOUCULWWQFFPXUFUCUCVKXUFUSUTUOUCUCMQDGFQRRSHZF
      FTHOUMLKYSUURYIWYOWQMQFFXUHPOUMULYSYIUCYRXSXFDMQWWAFLOUCWWBFMQVIXMXJWPXDX
      FUXCCGMRXUDNDUXDMUXGJKOWXPVVMUOUJLRRGDRXUCGFUXCVXJUOUOKLWWQWUSUOKUCXUHGFT
      HZTHXUHFTHXUCXUIFXUHTXUGXBMQMFXUHFOUMUCYSYIOUUSXSVHMFXUHOYIYSYOXFDMNWWAML
      OOWWBUUTXDZXFVNUXCCXUBMCUXDJUXGJWXPRRUXIMCDUXCJUOUOWWQOLDMFRCSHZLOYIYFUTY
      FWCWFWEWMWGYDUWKMUWDNCGUWLJUWPOUWLUSUJKCUWKSHZGTHUWDGTHUWDXULUWDGTPCUVLMC
      GUWKJULJUWKUSOKCPSHZGTHUVLGTHUVLXUMUVLGTWXMVJUVLUVLUWBVAVBVHWYEWMVJUWDUWD
      UWHVAVBVHCMSHNWXSMCNXMVGYGWLWUIVHWMUWMASHUWGTHRCEZQEZGEZGEUWOUWOSHUVQIUWF
      IUWMXUPGQAUWGUVTUKUWIUKBUWGUSZUWQKUMUVPGMGUWMXUOGGUVQUWFQTHUVSKOKVULIDMUW
      FQUKLUMWYBWAVYQYTUWQKKCFGMUWMXUNQVXBUVPMGTHZJUCKOVUNXURMVVKMXMVBVVMVHUWQU
      MDMLOUDZCQDMCRCCUWMGVXBTHJUMLOUWMUSZVXBVXBXUSVAVRJJJWYDWUDTHWXIRWYDMWUDIT
      WFYBVEYNVHZDNCCQCSHMLUJOWKWNJYHXSXFCQFVXBQMUWMMJUMOXUTUCUMODGMWXJMLKOWXKV
      XGXDMFQQFSHMOUCOUVAXJXDYQVNUWMGSHZGTHWUBGWUJXVBGGTUWMVWKVPVJYAWUKVMVNCQGI
      IQGIUWMIJUMKUKXUTVYCUKKUKWVKVYATHWVBQWVKPVYAITWVLVWSVEWOVHCRIQISHIJUOUKUV
      BVFUVCYTXFVNUWNGXUPGUWOGUWOUWSUWRKWYKKKUWOUWNSHZGTHXUPGTHXUPXVCXUPGTCRXUO
      GUWOVUBQEZUWNUWSJUOVWQKVUBQVUEUMUDUWNGVUBQCXUNQGUWOXVDUWRKVUEUMWYKXVDUSJU
      MKCRDNCRCCUWNVYRJUOLUJVWQVYSJJJXVADMCCXUKNLOUJYFWNJNMUVLXLXMYHWPXSXFWVIQT
      HGQTHQWUQWVIGQTWVJVJVXOVXEVMXFUWNGXVDGRUWOUOUWRKWYKCRVUBQRMUWNUOJUOVWQUMO
      XUJYSWCRXQYEWEWMVJXUPXUPXUOGXUNQRCUOJUDUMUDKUDVAVBVHUWOGSHGWUJUWOUWOUWSVA
      VPWUKVHWMWGYDCIUVDHNAUVEUVGVJUWDNDUVMUWEIUWHUJUKUWEUSUVLMFUWDUWBOYIUWDUSU
      TLUVFXSVUHDTHUVQMEUWGNSHUVQIMVUHUVTUKWAVUHAUVRAAUWAUVHZVCBVHUTUWFIUVQMNCU
      WGUJUWIUKXUQOJIDNUVPGDUWFCUKLJWYBUJKLCMFINSHJOYINIWWDXLVTXPWLZUTDNSHZCTHN
      CTHVYPXVGNCTNXLVCVJUVIVHYQXVFWCWGUVJCUVNSHUVQCEZUVOUVMDUVQCCGUVNJUWCLUVNU
      SJKUVPGGCUVMSHGUVSKKUVLFUVPGCDUVMJUWBUCUVMUSKLDCGDCCFGUVLDLJKLUVLUSVYNJUC
      KVVPWUBTHWVFCVVPCWUBGTWIYAVEWVGVHWYDDTHWYRFGFEWYDMDTWFVJYIFUCVLVMVNWXKWMY
      AXDWYCWMAXVHDXVHUVQCUVTJUDVAVOAUVRXVHDTHBUVQCIXVHUVTJVFXVHUSUTWGUVKWGGASH
      ZDTHVXJWUAXVIGDTAXVEYEVJWUADVXJXTXGWGWGYD $.

    $( Lemma for ~ 2503prm .  Calculate the GCD of ` 2 ^ 1 8 - 1 == 1 8 3 1 `
       with ` N = 2 5 0 3 ` .  (Contributed by Mario Carneiro, 3-Mar-2014.)
       (Revised by Mario Carneiro, 20-Apr-2015.)  (Proof shortened by AV,
       15-Sep-2021.) $)
    2503lem3 $p |- ( ( ( 2 ^ ; 1 8 ) - 1 ) gcd N ) = 1 $=
      ( c1 c8 cdc c3 c2 co 1nn0 c5 cc0 2nn0 c6 c7 7nn0 c4 c9 cmul caddc eqtri
      cexp cmin cn wcel cn0 2nn 8nn0 deccl nnexpcl mp2an nnm1nn0 3nn0 5nn0 0nn0
      ax-mp 3nn decnncl eqeltri 2503lem1 1p1e2 eqid modsubi 6nn0 4nn0 9nn0 cgcd
      decsuc cz wceq nn0zi gcdcom cdvds wbr 9nn 1nn mulid2i oveq12i 2p2e4 8p1e9
      wn 2cn 9t2e18 decmac 1lt9 declt ndvdsi cprime wb 19prm coprm mpbi 4cn 9cn
      4p2e6 oveq1i 9p9e18 decma2c gcdi 4p1e5 6p5e11 9p8e17 addcomli 6p1e7 dec0h
      6cn 8cn 1t1e1 00id ax-1cn addid1i 7cn 7p1e8 3eqtri 8p7e15 8t2e16 mulcomli
      2t1e2 6p2e8 decaddi 5cn 5t2e10 addid2i 7p5e12 oveq2i 6t2e12 7t2e14 9p4e13
      decaddci 2t2e4 7p4e11 nn0cni 3cn 7p3e10 1p2e3 eqtr4i gcdmodi ) CDEZFEZCEZ
      CGYQUAHZCUBHZAYTUCUDZUUAUEUDGUCUDYQUEUDUUBUFCDIUGUHZGYQUIUJZYTUKUOYRCYQFU
      UCULUHZIUHZAGJEZKEZFEZUCBUUHFUUGKGJLUMUHUNUHUPUQURZYTCYRGEYSAUUJUUDIUUFAB
      USYRCGYSUUEIUTYSVAZVGVBMNEZGEZCCAYSIUULGMNVCOUHZLUHZUUFPDEZNEZCGYSUUMLUUP
      NPDVDUGUHZOUHZUUOYQJEZCCUUMUUQIYQJUUCUMUHZUUSCCEZNEZCGUUQUUTLUVBNCCIIUHZO
      UHZUVAMDEZCCUUTUVCIMDVCUGUHZUVEPQEZCCUVCUVFIPQVDVEUHZUVGCQEZCCUVFUVHICQIV
      EUHZUVIUVHUVJVFHZUVJUVHVFHZCUVHVHUDZUVJVHUDUVLUVMVIUVHUVIVJZUVJUVKVJUVHUV
      JVKUJUVJUVHVLVMVTZUVMCVIZUVJUVHGUVBCQIVNUQLCCIVOUQCQCCGPQCUVJUVBIVEIIUVJV
      AZUVBVAZLVEICGRHZCCSHZSHGGSHZPUVTGUWAGSGWAVPUTVQVRTCDQQGRHIUGVSWBVGWCCCQI
      IVNWDWEWFUVJWGUDUVNUVPUVQWHWIUVOUVJUVHWJUJWKTPQCQCMDCUVHUVJVDVEIVEUVHVAZU
      VRIUGICPRHZUWASHPGSHZMUWDPUWAGSPWLVPUTVQWNTZCQRHZQSHQQSHYQUWGQQSQWMVPWOWP
      TWQWRMDPQCUVBNCUVFUVHVCUGVDVEUVFVAZUWCIOICMRHZPCSHZSHMJSHUVBUWIMUWJJSMXEV
      PWSVQWTTCDRHZQSHDQSHCNEZUWKDQSDXFVPZWOQDUWLWMXFXAXBTZWQWRUVBNMDCYQJCUVCUV
      FUVDOVCUGUVCVAZUWHIUMICCKNCCDKUVBMCSHZIIUNOUVSUWPNKNEXCNOXDTZIUGUNCCRHZKK
      SHZSHCKSHCUWRCUWSKSXGXHVQCXIXJTUWRNSHCNSHDKDEUWRCNSXGWONCDXKXIXLXBDUGXDXM
      WQCNRHZDSHNDSHCJEZUWTNDSNXKVPZWODNUXAXFXKXNXBTWQWRYQJUVBNGUUPNCUUTUVCUUCU
      MUVDOUUTVAZUWOLOICDCGGPDCYQUVBCSHIUGILYQVAZCCGUVBIIUTUVSVGLUGIGCRHZUWASHU
      WBPUXEGUWAGSXQUTVQVRTCMDGDRHGIVCLDGCMEXFWAXOXPXRXSWQCKNGJRHNIUNOJGCKEZXTW
      AYAXPNXKYBXSWQWRUUPNYQJCUULGCUUQUUTUUROUUCUMUUQVAZUXCILIPDCQCMNCUUPYQCSHV
      DUGIVEUUPVAZCDQYQIUGVSUXDVGIOIUWFUWNWQUWTJSHNJSHCGEZUWTNJSUXBWOYCTWQWRUUL
      GUUPNGYRCCUUMUUQUUNLUUROUUMVAZUXGLIIMNPQGYQFGUULUUPCSHVCOVDVEUULVAPDQUUPV
      DUGVSUXHVGLULLGMRHZUWESHUXKMSHYQUWEMUXKSWNYDCGDUXKMILVCMGUXIXEWAYEXPMGDXE
      WAXRXBXSTCPFGGNRHQIVDVENGCPEXKWAYFXPUTULQPCFEWMWLYGXBYHWQGGRHZNSHPNSHUVBU
      XLPNSYIWONPUVBXKWLYJXBTWQWRCYSRHUUMSHUUIAYRCUULGCUUHFKYSUUMUUEIUUNLUUKUXJ
      IULUNYQFMNCUUGKCYRUULKSHUUCULVCOYRVAUULUULUUNYKXJIUNICDKNCGJCYQUWPIUGUNOU
      XDUWQIUMIUWRKCSHZSHUWAGUWRCUXMCSXGCXIYBVQUTTUWKNSHDNSHUXAUWKDNSUWMWOXNTWQ
      CFRHZNSHFNSHUXFUXNFNSFYLVPWONFUXFXKYLYMXBTWQUWRGSHCGSHFKFEUWRCGSXGWOYNFUL
      XDXMWQBYOWRYP $.

    $( 2503 is a prime number.  (Contributed by Mario Carneiro, 3-Mar-2014.)
       (Proof shortened by Mario Carneiro, 20-Apr-2015.) $)
    2503prm $p |- N e. Prime $=
      ( c2 c1 c8 cdc c3 c9 co 1nn0 cc0 caddc cmul 2nn0 deccl 0nn0 c6 3nn0 6nn0
      c7 cmin 139prm 8nn decnncl 5nn0 2p1e3 eqid decsuc eqtr4i oveq1i 8nn0 9nn0
      c5 7nn0 6cn ax-1cn 6p1e7 addcomli dec0h eqtri mulid1i addid2i oveq12i 8cn
      1p1e2 8p7e15 decmac 3cn mulid2i 3p3e6 c4 4nn0 8t3e24 4cn 6p4e10 decaddci2
      decma2c 9cn 9p7e16 9t8e72 mulcomli decmul1c decmul2c nn0cni pncan3oi wcel
      wceq cn0 eqeltri npcan mp2an eqcomi 1nn 2nn cexp numexp1 oveq2i clt 8lt10
      cc 1lt10 declti decltc breqtrri 2503lem2 2503lem3 pockthi ) CDEFZDGFZHFZD
      XHADUAIZAUBDEJUCUDZXKCUMFZKFZCFZDLIZDUAIZXHXJMIZAXPDUAAXNGFZXPBXNCGXOXMKC
      UMNUEOPOZNUFXOUGUHUIUJXRXOXQXIHXNCXHDQFZXJDEJUKOZDGJROZULXJUGNDQJSODGDQXH
      XMKQXIYAJRJSXIUGYAUGYBPSDEKTDCUMDXHDQLIZJUKPUNXHUGZYDTKTFQDTUOUPUQURTUNUS
      UTJUEJDDMIZKDLIZLIDDLICYFDYGDLDUPVADUPVBVCVEUTEDMIZTLIETLIDUMFYHETLEVDVAU
      JVFUTVGDEKQGQKGXHQJUKPSYEQSUSRPRDGMIZKGLIZLIGGLIQYIGYJGLGVHVIGVHVBVCVJUTC
      VKGEGMIQNVLSVMUFQVKDKFUOVNVOURVPVGVQDEYACHTXHULJUKYENUNDHMIZTLIHTLIYAYKHT
      LHVRVIUJVSUTHETCFVRVDVTWAWBWCXODXOXNCXTNOWDUPWEUIUIZXKDLIZAAWTWFDWTWFYMAW
      GAAXSWHBXNGXTROWIWDUPADWJWKWLXLWMWNXKXRXHXJDWOIZMIYLYNXJXHMXJXIHYCULOWPZW
      QUIXHXJYNWRDXIEHJYCUKULWSDGDWMRJXAXBXCYOXDABXEABXFXG $.
  $}

  ${
    4001prm.1 $e |- N = ; ; ; 4 0 0 1 $.
    $( Lemma for ~ 4001prm .  Calculate a power mod.  In decimal, we calculate
       ` 2 ^ 1 2 = 4 0 9 6 = N + 9 5 ` ,
       ` 2 ^ 2 4 = ( 2 ^ 1 2 ) ^ 2 == 9 5 ^ 2 = 2 N + 1 0 2 3 ` ,
       ` 2 ^ 2 5 = 2 ^ 2 4 x. 2 == 1 0 2 3 x. 2 = 2 0 4 6 ` ,
       ` 2 ^ 5 0 = ( 2 ^ 2 5 ) ^ 2 == 2 0 4 6 ^ 2 = 1 0 4 6 N + 1 0 7 0 ` ,
       ` 2 ^ 1 0 0 = ( 2 ^ 5 0 ) ^ 2 == 1 0 7 0 ^ 2 = 2 8 6 N + 6 1 4 ` and
       ` 2 ^ 2 0 0 = ( 2 ^ 1 0 0 ) ^ 2 == 6 1 4 ^ 2 = 9 4 N + 9 0 2 `
       ` == 9 0 2 ` .  (Contributed by Mario Carneiro, 3-Mar-2014.)  (Revised
       by Mario Carneiro, 20-Apr-2015.)  (Proof shortened by AV,
       16-Sep-2021.) $)
    4001lem1 $p |- ( ( 2 ^ ; ; 2 0 0 ) mod N ) = ( ; ; 9 0 2 mod N ) $=
      ( c2 c1 cc0 c9 c4 c6 4nn0 0nn0 deccl 9nn0 6nn0 1nn0 2nn0 c5 co cmul caddc
      cdc cn 1nn decnncl eqeltri 10nn0 nn0zi c8 c7 5nn0 8nn0 7nn0 c3 0z 3nn0 2z
      2nn 1z cexp cmo 2exp6 oveq1i 6cn 2cn 6t2e12 mulcomli eqid 9cn dec0h eqtri
      addid1i 00id mulid2i oveq12i ax-1cn mul01i 3eqtri decma2c addid2i mulid1i
      4cn 5cn 5p1e6 addcomli 2p2e4 oveq2i 6t6e36 3p1e4 6p4e10 decaddci2 decaddi
      6t4e24 decmac decsuc 4t4e16 decmul1c decmul2c eqtr4i mod2xi nn0cni dec10p
      5p4e9 4p1e5 2t2e4 4t2e8 8p1e9 3cn 3p2e5 9t9e81 9p1e10 9t5e45 7cn decaddci
      7p5e12 5p2e7 5t5e25 nncni mul02i dec0u decmul1 3t2e6 3eqtr4i 5t2e10 0p1e1
      modxp1i 10p10e20 7p4e11 decaddc cn0 dfdec10 6p2e8 decrmac 4p2e6 8cn 2p1e3
      eqcomi decadd 9p2e11 decrmanc 6p3e9 6p1e7 decaddc2 8p3e11 8t4e32 7p7e14
      4p3e7 7t7e49 9t4e36 8p2e10 decma ) CDETZETZFGTZCETZETZHDTZGTZFETZCTZAAGET
      ZETZDTUABUUTDUUSEGEIJKZJKZUBUCUDZUPUUJEUEJKZUULFGLIKZUFUUOGHDMNKZIKZUUQCF
      ELJKZOKCPETZCUGTZHTZUUKUUJUHTZETZUUPAUVCUPPEUIJKZUVKUVJHCUGOUJKZMKZUFUVLE
      UUJUHUEUKKZJKZUVGCCPTZUUJGTZHTZUVIUUMGTZHTZUVMAUVCUPCPOUIKZUWAUVTHUUJGUEI
      KZMKZUFUWBHUUMGCEOJKZIKZMKZUVRCCGTZEUVSUUJCTZULTZUWCAUVCUPCGOIKZUMUWKULUU
      JCUEOKZUNKZUWICDCTZCUWJFPTZUWLAUVCUPDCNOKZUOFPLUIKZUWOCHDUWPHGTZUWQAUVCUP
      MUQHGMIKZUWSCHURQUWTAUSUTVAHCUWPVBVCVDVEZDARQUWQSQUUSFTZHTUWTUWTRQUUTDFPD
      UXCHEAUWQUVBNLUIBUWQVFZNMJUUSEEFDUUSFEUUTFESQZUVAJJLUUTVFZUXEFEFTZFVGVJFL
      VHZVIZNLJGEEEDGEEUUSEESQZIJJJUUSVFZUXJEEETZVKEJVHZVINJJDGRQZUXJSQGESQGUXN
      GUXJESGVTVLZVKVMGVTVJVIDERQZESQUXJEUXLUXPEESDVNVOZVAVKUXMVPVQUXPFSQEFSQZF
      UXGUXPEFSUXQVAFVGVRZUXHVPVQDDRQZPSQDPSQHEHTUXTDPSDVNVSZVAPDHWAVNWBWCHMVHV
      PVQHGUXCHUWTUVSUWTUXAMIUWTVFZMUWDHGCPHUUSFCUWTUVSMIOUIUYBUVSVFZMLOHHRQZCC
      SQZSQUYDGSQUUSUYEGUYDSWDWEULHGUYDGUNMIWFWGWHWIVICGFGHRQZPOIUIHGUWJVBVTWKV
      EZPGFWAVTXAWCZWJZWLHGUVSHGDUWTIMIUYBMNCGPHGRQZOIXBWKWMWNWOWPWQWRDCCGCEUWP
      ONOUWPVFZIJCDRQZESQCESQZCUYLCESCVCVSZVACVCVJZVICCRQZGEGTZXCGIVHZVIWPCARQU
      WLSQUURPTUWQUWQRQUUTDUWKULCUURPEAUWLUVBNUWNUNBUWLVFZOUIJUUSEUUJCCUUQCEUUT
      UWKESQUVAJUEOUXFUWKUWKUWNWSVJOOJGEDECFEEUUSUUJESQIJNJUXKEWTOJJCGRQZDESQZS
      QUGDSQZFUYTUGVUADSGCUGVTVCXDVEZDVNVJZVMXEVICERQZESQUXJEUXLVUEEESCVCVOZVAV
      KUXMVPVQVUECSQECSQZCECTVUEECSVUFVACVCVRZCOVHVPVQUYLULSQCULSQPEPTUYLCULSUY
      NVAULCPXFVCXGWCPUIVHVPVQFPUURPUWQGUHTZUWQUWSLUIUXDUIGUHIUKKFPGUHFUUQCPUWQ
      VUILUIIUKUXDVUIVFLOUIFFRQZGPSQZSQVUJFSQUUQVUKFVUJSUYHWEUGDFVUJFUJNLXHXEFD
      UUJVGVNXIWCZWIVIGPCPPFRQUHIUIUKFPGPTVGWAXJVEXBOUHPUWPXKWAXMWCXLWLFPVUIPPC
      UWQUILUIUXDUIOGPUHFPRQCIUIOXJXNWJXOWOWPWQWRCGPUWJOIXBUWJVFZWMEUWCSQUWCEAR
      QZUWCSQUWLCRQUWCUWCUWIWSZVRVUNEUWCSAAUVCXPXQVAUWKULUWBHCUWLOUWNUNUYSUUJCU
      UMGCUWKOUEOUWKVFCOXRZXCXSXTXSYAYDCPPECDUVSOOUIUYCJNUYPDSQGDSQZPUYPGDSXCVA
      XBVIPCUUJWAVCYBVEWPUWAARQUVMSQGDTZUGTZHTZDTZDTZHTUWCUWCRQUUTDUVLEUWAVVBHU
      VTAUVMUVBNUVQJBUVMVFZUWFMUWEUUSECDTZDUWAVVADEUUTUVLUVTSQUVAJCDONKZNUXFUUJ
      UHUUJGVVDDUVLUVTUEUKUEIUVLVFZUVTVFZCEDUUJUUJSQOJYCYEWMNYFYGUWFNJGECDUWAVU
      TDEUUSVVDESQIJONUXKVVDVVDVVEWSVJUWFNJUVTHGVUSHCUWAUYMUWEMUYMCYHUYOOUDUWAV
      FIMOUUJGGVURUGDUVTCUEIOVVGIUJNVURUUJGRQDSQGDYIYODHUGGGRQZCNMOWNYJWJYKUYJU
      YMSQUWJCSQCHTUYJUWJUYMCSWKUYOVMCGHUWJCOIOVUMYLWJVIYKUWAERQZDSQEDSQZDEDTZV
      VIEDSUWAUWAUWFWSZVOVAYCDNVHZVPZVQVVNVQUWADRQZESQUWAESQUWAVVOUWAESUWAVVLVS
      VAUWAVVLVJVIVQUWBHVVBHUWCUWPCTZUHTZUWCUWIUWHMUWCVFZMVVPUHUWPCUWROKZUKKUUM
      GVVPUHUWCVVADUGDTZFTZUWBVVQUWGIVVSUKUWBVFZVVQVFUWINVVTFUGDUJNKZLKCEUULDUW
      CVUTDEUUMVVPVWASQOJUVENUUMVFZUWPCVVTFUULDVVPVWAUWROVWCLVVPVFVWAVFFULGUWPV
      VTSQLUNWGDCUGDFULUWPVVTNOUJNUYKVVTVFUGDFYMVNXEWCYNYPWMNFCDDTZVGVCYQWCYGUW
      INJUWBHFGCVUSHDUWCUULESQUWHMLIVVRUULUULUVEWSZVJOMNUUMGDECVURUGEUWBFDSQUWG
      INJVWBXIOUJJCECGDUUMVUAOJVUADYHVUDNUDVWDOXCECRQZVUASQVVJDVWGEVUADSCVCXQZV
      UDVMYCVIYRGCRQZESQUGESQUGEUGTVWIUGESXDVAUGYMVJUGUJVHVPWLDCHHCRQGNOIVDGCHV
      TVCYLWCWJWLUWCERQZDSQVVJDVVKVWJEDSUWCVUOVOVAYCVVMVPVQUWBHGVWADULUWCUHUWHM
      UKVVRINUNUUMGEULGVVTFDUWBULUWGIJUNVWBULUNVHILNCEGUGDUUMVVJOJVVJDYHYCNUDVW
      DIVUCEGRQZVVJSQVVJDVWKEVVJDSGVTXQYCVMYCVIYRDHFVVHULNMUNWNYSWJWLCGDULUYJUH
      OIUKWKYNNUHGVWEXKVTYFWCXLYKVQUWBHVVQHHULUWCMUWHMVVRMUNUUMGHVVPUHCUWBULUWG
      IUNVWBMUKOCEHUWPCUUMCOJOVWDMUXBEHRQZCSQVUGCVWLECSHVBXQVAVUHVIYRCGUHUYFULO
      IUNUYGUUEWJYKWFWOWPWQWRUVICUUKUVIUVNWSVCPEUUJECUVIOUIJUVIVFYBVWHXSVEUVKAR
      QUUPSQVWEGTZGTZFTZETZETUVMUVMRQUUTDUUOGUVKVWPECFTZAUUPUVBNUVFIBUUPVFZUVPJ
      CFOLKUUSEFEUVKVWOEEUUTUUOVWQSQUVAJLJUXFHDCFFUUOVWQMNOLUUOVFZVWQVFHCSQZDSQ
      VUBFVWTUGDSYJVAXEVIVULUUAUVPJJGEEFUVKVWNFEUUSUXEIJJLUXKUXIUVPLJUVJHGVWMGC
      UVKUXJUVOMUXJEYHVKJUDZUVKVFZIIOCUGGVWEGULUVJCOUJOUVJVFZIIUNUYTULSQUGULSQV
      WEUYTUGULSVUCVAUUBVIULCGUGGRQCUNOOUUCWDWJYKUYJUXJSQUWJESQUWJUYJUWJUXJESWK
      VKVMUWJUWJUWMWSVJVIYKUVKERQZFSQUXRFUXGVXDEFSUVKUVKUVPWSVOZVAUXSUXHVPVQVXD
      ESQUXJEUXLVXDEESVXEVAVKUXMVPVQUVJHDVWQEDUVKGUVOMIVXBNJNCUGFUVJDRQOUJXECUG
      CUGDUVJNOUJVXCUYNUGYMVSXSWMHDRQZGSQHGSQUUJVXFHGSHVBVSZVAWHVIYKVQUVLEVWPEU
      VMEUVMUVRUVQJVVCJJVWOEEUVMUVLRQEVWNFVWMGVWEGDDNNKIKIKLKJJUUJUHVWOEUVMUHGT
      ZFTZUVLUVRUEUKVVFJVXHFUHGUKIKZLKDEVXHFUVMVWNFEUUJVXINJVXJLUUJVFVXIVFUVRLJ
      UVLEUHGDVWMGEUVMVXHESQUVQJUKIVVCVXHVXHVXJWSVJNIJUUJUHDVWEGDUVLUHESQZUEUKV
      XKUHYHUHXKVJZUKUDVVFNINDEDUUJDRQNJYCUUJUUJUEWSVSWMUHDRQZVXKSQUHUHSQDGTVXM
      UHVXKUHSUHXKVSVXLVMUUDVIYKEDRQZGSQEGSQGUYQVXNEGSDVNXQVAGVTVRUYRVPWLUVMERQ
      ZFSQUXRFUXGVXOEFSUVMUVMUVRWSVOZVAUXSUXHVPVQUVLEVXIEUHUVMUKUVQJVVCUUJUHVXH
      FUHGUVLUKUEUKVVFLIVXHUUJUHRQGSQUHGYIYOUUFWOUHXKXQXSWPVKWJVXOEUXLVXPUXMVIW
      PWQWRUUKCUUNUUKUVDWSVCUUJEUUMECUUKOUEJUUKVFVUPVWHXSVEUULARQUURSQULUHTZHTZ
      FTZFTZHTUUPUUPRQUUTDUUQCUULVXTHFAUURUVBNUVHOBUURVFUVEMLUUSEFFUULVXSFEUUTU
      UQFSQUVAJLLUXFFEFUUQFLJLUUQVFUXSWJUVELJGEEFUULVXRFEUUSUXEIJJLUXKUXIUVELJF
      GGVXQHDUULUXJLIVXAUULVFZIMNULHUHFGRQUNMYTUUGWMVVHUXJSQDHTZESQVYBVVHVYBUXJ
      ESWNVKVMVYBVYBDHNMKWSVJVIYKUULERQZFSQUXRFUXGVYCEFSUULVWFVOVAUXSUXHVPZVQVY
      DVQFGDFHUULCLIOVYANFVGVSGDRQZCSQGCSQHVYEGCSGVTVSZVAYLVIYRVQUUOGVXTHUUPUWJ
      PTZUUPUVGUVFIVWRMUWJPUWMUIKHDUWJPUUPVXSFUUOUUOVYGMNUWMUIVWSVYGVFUVGLUVFUU
      OGUGPHVXRFCUUPUWJUUOSQUVFIUJUIVWRCGHDUGPUWJUUOOIMNVUMVWSHCUGVBVCYJWCXBYPM
      LOHDDEHVXQHUUOUGCSQMNNJVWSUUHMULHUHUYDUNMYTWFWMDHRQZESQHESQHVYHHESHVBVLVA
      HVBVJVIUUIUYIWLUUOGDUUOFUUPPUVFIUIVWRNHDHDDUUONMNVWSVXGUYAXSVYEPSQVUKFVYE
      GPSVYFVAUYHVIYRVQUUOGVYGHGDUUPIUVFIVWRMNHDGUWJPUUODMNNVWSIWKUXNDSQVUQPUXN
      GDSUXOVAXBVIYRWNWOWPWQWR $.

    $( Lemma for ~ 4001prm .  Calculate a power mod.  In decimal, we calculate
       ` 2 ^ 4 0 0 = ( 2 ^ 2 0 0 ) ^ 2 == 9 0 2 ^ 2 = 2 0 3 N + 1 4 0 1 ` and
       ` 2 ^ 8 0 0 = ( 2 ^ 4 0 0 ) ^ 2 == 1 4 0 1 ^ 2 = 4 9 0 N + 2 3 1 1 `
       ` == 2 3 1 1 ` .  (Contributed by Mario Carneiro, 3-Mar-2014.)  (Revised
       by Mario Carneiro, 20-Apr-2015.)  (Proof shortened by AV,
       16-Sep-2021.) $)
    4001lem2 $p |- ( ( 2 ^ ; ; 8 0 0 ) mod N ) = ( ; ; ; 2 3 1 1 mod N ) $=
      ( c2 c4 cc0 cdc c9 c8 c1 c3 4nn0 0nn0 deccl 1nn0 2nn0 eqid cmul co caddc
      c6 cn 1nn decnncl eqeltri 2nn 9nn0 nn0zi 4001lem1 nn0cni 2cn 2t2e4 mul02i
      3nn0 decmul1 mulcomli 6nn0 4p2e6 decaddi 00id decadd addid1i ax-1cn dec0h
      eqtri cn0 addid2i 4cn 4t2e8 oveq12i 2p1e3 3cn 4t3e12 decsuc decmac mul01i
      decrmanc oveq1i 6cn 3eqtri decma2c mulid1i 3p1e4 8nn0 1p2e3 9t9e81 9t2e18
      1p1e2 8p8e16 decaddci decmul2c eqtr4i mod2xi c7 7nn0 7p1e8 4p3e7 addcomli
      9cn 9p1e10 decaddc2 4t4e16 6p3e9 9t4e36 decmul1c 8cn c5 5cn 5p4e9 mulid2i
      5nn0 4p1e5 0cn 4p4e8 ) CDEFZEFZDGFZEFZHEFZEFZIDFZEFZIFZCJFZIFZIFZAAXOIFUA
      BXOIXNEDEKLMZLMZUBUCUDZUEYGXQXPEDGKUFMZLMZUGYAIXTEIDNKMZLMZNMZYDIYCICJOUM
      MZNMZNMCCEFZEFZYPJFZXOGEFZCFZYBAYHUEYPECEOLMZLMZYRYPJUUAUMMZUGYSCGEUFLMZO
      MZYMABUHYQCXOYQUUBUIUJYPEXNECYQOUUALYQPCEDECYPOOLYPPZUKCUJULZUNUUGUNUOYRA
      QRYBSRHIFZJFZTFZEFZDFYTYTQRXOIYAIYRUUKDYPAYBYGNYLNBYBPZUUCKUUAXNEITFZEYRU
      UJEEXOYAYPSRYFLITNUPMZLXOPZXTECEUUMEYAYPYKLOLYAPZUUFIDTXTCNKOXTPZUQURUSUT
      UUCLLDEITYRUUITEXNUUMESRKLNUPXNPZUUMUUMUUNUIVAUUCUPLYPJEIDUUHJIYRIESRZUUA
      UMLNYRPZUUSIEIFIVBVAZINVCZVDKUMNCEDHIYPEISRZOLUVCIVEIVBVFZNUDUUFKDCHVGUJV
      HUOEDQRZUVCSRUVCIUVEEUVCISDVGULZUVDVIUVDVDVPICJJDQRNOVJDJICFVGVKVLUOVMVNY
      REQRZTSRETSRZTETFZUVGETSYRYRUUCUIVOZVQTVRVFZTUPVCZVSVTUVGESREESRZEEEFZUVG
      EESUVJVQUSELVCZVSVTYPJIYPDYRIUUAUMNUUTNCECEIYPNOLUUFCUJWAIVBULZUNJIQRZISR
      JISRDUVQJISJVKWAVQWBVDVPVTYSCUUKDYTIHFZEFZYTUUEUUDOYTPZKUVREIHNWCMZLMGEUV
      REYTUUJEEYSUVSUFLUWALYSPZUVSPUUELLYSCIHGUUITCYTUVRESRUUDONWCUVTUVRUVRUWAU
      IVAUFUPOGEGUUHJYSICSRZUFLUWCJVEWDUMUDUWBUFWEEGQRZUWCSREJSRJUWDEUWCJSGWRUL
      WDVIJVKVFVDVPIHTCCGQRHNWCWCGCUVRWRUJWFUOWGUPWHWIVNYTEQRZESRUVMEUVNUWEEESY
      TYTUUEUIVOVQUSUVOVSVTYSCUVSDCYTOUUDOUVTGEUVRECYSOUFLUWBWFUUGUNUKUNWJWKWLX
      OCXSXOYGUIUJXNEXRECXOOYFLUUODEHECXNOKLUURVHUUGUNUUGUNUOXQAQRYESRIGFZTFZCF
      ZHFZEFZIFYBYBQRXOIYDIXQUWJIXPAYEYGNYONBYEPYJNYIXNECHFZEXQUWIEEXOYDXPSRYFL
      CHOWCMZLUUOYCIDGUWKYDXPYNNKUFYDPXPPZCWMHYCDSROWNWOCJWMYCDOUMKYCPDJWMVGVKW
      PWQURVMGIIEFWRVBWSWQWTYJLLDECHXQUWHHEXNUWKESRKLOWCUURUWKUWKUWLUIVAYJWCLXP
      EDUWGCXQCESRZYILUWNCVECUJVAZOUDXQPZKDGUWFTDJXPKKUFUWMUPUMITGDDQRJNUPUMXAX
      BURXCXDUVEUWNSRECSRCUVEEUWNCSUVFUWOVICUJVFVDVPXQEQRZHSREHSRHEHFUWQEHSXQXQ
      YJUIVOZVQHXEVFHWCVCVSVTUWQESRUVMEUVNUWQEESUWRVQUSUVOVSVTXPEIXPIXQIYILNUWP
      NDGDGIXPNKUFUWMDVGWAZGWRWAUNEIQRZISRUVCIUWTEISUVPVQUVDVDVPVTYAIUWJIYBYAYB
      YMYLNUULNYLXTEXTEYBUWIEEYAYAYKLYKLUUPUUPYMLLIDIDYBUWHHXFTFZEFZXTXTESRNKNK
      UUQXTXTYKUIVAYMWCUXAEXFTXJUPMZLMYAIUXAIIUWGCEYBIUXBSRYLNUXCNUULEIUXAEUXAI
      IUXBLNUXCLUVBUXBPUXAUXAUXCUIZVFUVAUTNOLXTEXFTIUWFTEYAUXAESRYKLXJUPUUPUXAU
      XDVANUPLIDIIGXTXFESRZNKUXEXFVEXFXGVAZXJUDUUQNIVBWAZDIQRZUXESRDXFSRGUXHDUX
      EXFSUWSUXFVIXFDGXGVGXHWQVDVPUWTTSRUVHTUVIUWTETSUVPVQUVKUVLVSVNIIQRZISRIIS
      RCECFUXIIISUXGVQWGCOVCVSVNYAIDUXBHYBDYLNKUULKXTEUXAEDEYAKYKLUUPLLXFTTXTDQ
      REXJUPLIDXFTDIXTKNKUUQUPNIDQRZISRDISRXFUXJDISDVGXIZVQXKVDXAXDTVRVAURDEUVN
      VGXLDEQREUVNDVGVOUVOVDUOXDUXJDSRDDSRHUXJDDSUXKVQXMVDVPVTYBEQRZESRUVMEUVNU
      XLEESYBYBYMUIZVOVQUSUVOVSVTYBUXMWAWJWKWL $.

    $( Lemma for ~ 4001prm .  Calculate a power mod.  In decimal, we calculate
       ` 2 ^ 1 0 0 0 = 2 ^ 8 0 0 x. 2 ^ 2 0 0 == 2 3 1 1 x. 9 0 2 `
       ` = 5 2 1 N + 1 ` and finally
       ` 2 ^ ( N - 1 ) = ( 2 ^ 1 0 0 0 ) ^ 4 == 1 ^ 4 = 1 ` .  (Contributed by
       Mario Carneiro, 3-Mar-2014.)  (Revised by Mario Carneiro, 20-Apr-2015.)
       (Proof shortened by AV, 16-Sep-2021.) $)
    4001lem3 $p |- ( ( 2 ^ ( N - 1 ) ) mod N ) = ( 1 mod N ) $=
      ( c2 cc0 c1 co c4 0nn0 deccl 2nn0 1nn0 c8 c5 5nn0 eqid cmul caddc decmul1
      cdc c9 cmin cn 4nn0 1nn decnncl eqeltri 2nn 0z 10nn0 8nn0 nn0zi 3nn0 9nn0
      c3 4001lem2 4001lem1 8p2e10 decadd dec0h nn0cni addid2i 5cn addid1i eqtri
      00id cn0 5t4e20 4cn 4t2e8 mulcomli mulid2i oveq12i decrmanc mul01i oveq1i
      2cn 3eqtri decma2c mulid1i ax-1cn 1p1e2 c6 6nn0 4p1e5 9t2e18 decaddci2 c7
      9cn 7nn0 7p1e8 3cn 9t3e27 decsuc decrmac 9p5e14 9p6e15 decmac 2t2e4 3t2e6
      decmul2c eqtr4i modxai dec0u mul02i nncni mod2xi mvrraddi ) CCDSZDSZDSZDA
      EUAFZEEAAGDSZDSZESZUBBXMEXLDGDUCHIZHIZUDUEUFZUGXIDXHDCDJHIZHIZHIZUHKKCEDS
      ZDSZDSZDXJEEAXQUGYBDYADUIHIZHIZUHKKCLDSZDSZXIMCSZESZYCCUNSZESZESZTDSZCSZE
      AXQUGYFDLDUJHIZHIYIYHEMCNJIZKIZUKYKEYJECUNJULIZKIZKIZKXSYMCTDUMHIZJIABUOA
      BUPYFDXHDYBDYGXIYOHXRHYGOXIOZLDCDYADYFXHUJHJHYFOXHOZUQVEURVEURYIAPFEQFXHL
      SZGSZMSZCSZCSYLYNPFXMEDEYIUUGCYHAEXPKHKBEKUSYQJYPXLDMCYIUUFCDXMDYHQFXOHNJ
      XMOYHYHYPUTZVAYQJHGDDMYIUUEMDXLMDQFZUCHHNXLOUUIMDMSZMVBVCMNUSZVDYQNHYHEGU
      UDGYIDDQFZYPKUULDVFVEHUFYIOZUCMCXHLGYHUCNJYHOVGGCLVHVPVIVJREGPFZUULQFGDQF
      GUUNGUULDQGVHVKVEVLGVHVCVDVMYIDPFZMQFDMQFMUUJUUODMQYIYIYQUTVNZVOMVBVAUUKV
      QVRUUOCQFDCQFZCDCSZUUODCQUUPVOCVPVAZCJUSZVQVRYHEEYHCYIEYPKKUUMKYHUUHVSEEP
      FZEQFEEQFCUVAEEQEVTVKZVOWAVDVMVRYMCUUGCYLGWBSZCSZYNYTUUAJYNOJUVCCGWBUCWCI
      ZJITDUVCCYLUUFCDYMUVDUMHUVEJYMOUVDOYTJHYKEGWBTUUEMEYLUVCDQFYSKUCWCYLOZUVC
      UVCUVEUTVCUMNKYJETUUDGEYKGEQFZYRKUVGMVFWDNUFYKOZUMUCKCUNTXHLCYJEJULKYJOZU
      MUJJELCCTPFCKUJJTCELSWHVPWEVJWAUQWFCWGLUNTPFJWIWJTUNCWGSWHWKWLVJWMWNETPFZ
      UVGQFTMQFEGSUVJTUVGMQTWHVKZWDVLWOVDWNUVJWBQFTWBQFEMSUVJTWBQUVKVOWPVDWQYLD
      PFZCQFUUQCUURUVLDCQYLYLYTUTVNVOUUSUUTVQVRYKEUVDCCYLJYSKUVFYJEUVCCCYKJYRKU
      VHCUNGWBCYJJJULUVIWRWSRCVPVKZRUVMRWTXAXBYCCXJYCYEUTVPYBDXIDCYCJYDHYCOYADX
      HDCYBJUIHYBOCJXCCVPXDZRUVNRVJDAPFZEQFDEQFZUVAUVODEQAAXQXEXDVOUVAEUVPUVBEV
      TVAZXAXAZXFCXJPFXMDSZXKXJCUVSXJXTUTVPXIDXMDCXJJXSHXJOXHDXLDCXIJXRHUUBCDGD
      CXHJJHUUCWRUVNRUVNRUVNRVJAUVSEUVSXMDXPHIUTVTAXNUVSEQFBXMDEUVSXPHUVQUVSOWM
      XAXGXAUVRXF $.

    $( Lemma for ~ 4001prm .  Calculate the GCD of ` 2 ^ 8 0 0 - 1 == 2 3 1 0 `
       with ` N = 4 0 0 1 ` .  (Contributed by Mario Carneiro, 3-Mar-2014.)
       (Revised by Mario Carneiro, 20-Apr-2015.)  (Proof shortened by AV,
       16-Sep-2021.) $)
    4001lem4 $p |- ( ( ( 2 ^ ; ; 8 0 0 ) - 1 ) gcd N ) = 1 $=
      ( c2 c3 cdc c1 cc0 co 0nn0 deccl 2nn0 3nn0 1nn0 c4 c6 c9 c5 eqtri caddc
      c7 c8 cexp cmin cn wcel cn0 2nn 8nn0 nnexpcl mp2an nnm1nn0 ax-mp 4nn0 1nn
      decnncl eqeltri 4001lem2 0p1e1 eqid decsuc modsubi 6nn0 9nn0 5nn0 cgcd cz
      wceq nn0zi gcdcom cdvds wbr wn 3nn cmul 4cn 4t3e12 mulcomli 2p2e4 decaddi
      3cn 2lt3 ndvdsi cprime wb 3prm coprm mpbi dec0h 2t1e2 oveq12i 2p1e3 4t2e8
      2cn oveq1i 8p3e11 decma2c gcdi mulid2i addid1i 3p1e4 1t1e1 4p1e5 addcomli
      ax-1cn 3eqtri 8p4e12 5cn 5t2e10 4p2e6 5p1e6 1p1e2 6cn 6t2e12 3p2e5 nn0cni
      00id 6p5e11 6p3e9 5p2e7 oveq2i 7cn 7p2e9 9cn 9t2e18 decaddci 6p1e7 7p6e13
      7nn0 9p2e11 9p1e10 7p3e10 mul01i eqtr4i gcdmodi ) CDEZFEZGEZFCUAGEZGEZUBH
      ZFUCHZAYTUDUEZUUAUFUECUDUEYSUFUEUUBUGYRGUAGUHIJIJCYSUIUJZYTUKULYPGYOFCDKL
      JZMJZIJZANGEZGEZFEZUDBUUHFUUGGNGUMIJIJUNUOUPZYTFYPFEYQAUUJUUCMUUFABUQYPGF
      YQUUEIURYQUSZUTVAFOEZPEZFEZFFAYQMUUMFUULPFOMVBJZVCJZMJZUUFOFEZPEZFFYQUUNM
      UURPOFVBMJZVCJZUUQNQEZDEZFCUUNUUSKUVBDNQUMVDJZLJZUVAUULOEZFFUUSUVCMUULOUU
      OVBJZUVEFCEZFEZFCUVCUVFKUVHFFCMKJZMJZUVGUVBFFUVFUVIMUVDUVKDFEZFCUVIUVBKDF
      LMJZUVDFNEZFFUVBUVLMFNMUMJZUVMDFCUVLUVNKLUVOUVNDVEHZDUVNVEHZFUVNVFUEZDVFU
      EUVPUVQVGUVNUVOVHZDLVHUVNDVIUJDUVNVJVKVLZUVQFVGZDUVNNCVMUMUGFCNDNVNHCMKKN
      DUVHVOVTVPVQVRVSWAWBDWCUEUVRUVTUWAWDWEUVSDUVNWFUJWGRFNGDCDFFUVNDMUMILUVNU
      SZDLWHKMMCFVNHZGFSHZSHCFSHDUWCCUWDFSWIURWJWKRCNVNHZDSHUADSHFFEZUWEUADSNCU
      AVOWMWLVQZWNWORWPWQDFFNFNQGUVLUVNLMMUMUVLUSZUWBMVDIFDVNHZFGSHZSHDFSHZNUWI
      DUWJFSDVTWRZFXDWSZWJWTRFFVNHZNSHFNSHQGQEUWNFNSXAWNNFQVOXDXBXCQVDWHXEWPWQN
      QDFCUVHFFUVBUVLUMVDLMUVBUSZUWHKMMUWEUWKSHUANSHUVHUWEUAUWKNSUWGWTWJXFRFGFC
      QVNHMIURQCFGEZXGWMXHVQUTWPWQUVHFNQFUULOGUVIUVBUVJMUMVDUVIUSZUWOMVBIFCGNFF
      OGUVHNGSHZMKIUMUVHUSZUWRNGNENVOWSZNUMWHRMVBIUWNGGSHZSHUWJFUWNFUXAGSXAXPWJ
      UWMRFCVNHZNSHCNSHOGOEZUXBCNSCWMWRZWNNCOVOWMXIXCZOVBWHZXEWPUWNQSHFQSHOUXCU
      WNFQSXAWNQFOXGXDXJXCUXFXEWPWQUULOUVHFCUVBDFUVFUVIUUOVBUVJMUVFUSZUWQKLMFOF
      DCNQFUULUVHFSHMVBMLUULUSZFCDUVHMKWKUWSUTKVDMUWCFFSHZSHCCSHZNUWCCUXICSWIXK
      WJVRRFCQCOVNHZDMKLOCUVHXLWMXMVQZDCQVTWMXNXCVSWPFCDUXKMKWKUXLUTWPWQUVBDUUL
      OFUURPGUVCUVFUVDLUUOVBUVCUSZUXGMVCINQFOFOFFUVBUULGSHUMVDMVBUWOUULUULUUOXO
      WSMMMFNVNHZUXISHNCSHOUXNNUXICSNVOWRXKWJXIRFQVNHZOSHQOSHUWFUXOQOSQXGWRWNOQ
      UWFXLXGXQXCRWPUWIOSHDOSHPGPEZUWIDOSUWLWNODPXLVTXRXCPVCWHZXEWPWQUURPUVBDCU
      UMFCUUSUVCUUTVCUVDLUUSUSZUXMKMKOFNTCUULPGUURUVBCSHVBMUMYHUURUSZNQTUVBCUMV
      DKUWOXSVSKVCIUXKUWRSHUXKNSHUULUWRNUXKSUWTXTFCOUXKNMKUMUXLUXEVSRUWCTSHCTSH
      PUXPUWCCTSWIWNTCPYAWMYBXCUXQXEWPFUAFCCPVNHDMUHLPCFUAEYCWMYDVQXKMWOYEWPWQU
      UMFUURPFYPGFUUNUUSUUPMUUTVCUUNUSZUXRMIMUULPOCFYOFFUUMUURFSHUUOVCVBKUUMUSO
      FCUURVBMXKUXSUTMMMFOGTFCDFUULOFSHZMVBIYHUXHUYATGTEYFTYHWHRMLMUWNUWDSHUXIC
      UWNFUWDFSXAURWJXKRFOVNHZTSHOTSHFDEZUYBOTSOXLWRWNTOUYCYAXLYGXCRWPFPVNHZCSH
      PCSHUWFUYDPCSPYCWRWNYIRWPUWNPSHFPSHUWPUWNFPSXAWNPFUWPYCXDYJXCRZWPWQFYQVNH
      UUNSHUUIAYPGUUMFFUUHFGYQUUNUUEIUUPMUUKUXTMMIYOFUULPFUUGGFYPUUMGSHUUDMUUOV
      CYPUSUUMUUMUUPXOWSMIMCDFTFNGFYOUULFSHKLMYHYOUSFOTUULMVBYFUXHUTMIMUXBUXISH
      UXJNUXBCUXICSUXDXKWJVRRUWITSHDTSHUWPUWIDTSUWLWNTDUWPYAVTYKXCRWPUYEWPFGVNH
      ZFSHUWDFGFEUYFGFSFXDYLWNURFMWHXEWPBYMWQYN $.

    $( 4001 is a prime number.  (Contributed by Mario Carneiro, 3-Mar-2014.)
       (Proof shortened by Mario Carneiro, 20-Apr-2015.)  (Proof shortened by
       AV, 16-Sep-2021.) $)
    4001prm $p |- N e. Prime $=
      ( c2 c3 cdc c5 c8 cc0 c1 co c4 cmul 0nn0 deccl caddc 5nn0 1nn0 3nn0 2nn0
      c6 cmin 5prm 8nn decnncl2 4nn0 nn0cni ax-1cn addid2i eqid decsuc mvrraddi
      eqtr4i 8nn0 8t5e40 5cn mul02i decmul1 cc wcel wceq cn0 npcan mp2an eqcomi
      eqeltri 2nn decnncl 3nn cexp 2p1e3 sqvali 5t5e25 eqtri 2cn 5t2e10 decaddi
      mulcomli decmul1c numexpp1 6nn0 c7 7nn0 7p1e8 addcomli 3t1e3 oveq1i 3p1e4
      7cn 2t1e2 oveq12i 8cn 8p2e10 decrmac 3t2e6 6p1e7 2t2e4 6cn 6p4e10 decma2c
      4cn 5p1e6 3cn 5t3e15 decmul2c 2lt10 3lt10 declti decltc breqtrri 4001lem3
      clt 1nn 4001lem4 pockthi ) CDCEZFDGHEZHEZAIUAJZAUBXPGUCUDUDXRKHEZHEZHEZXQ
      FLJAYAIYAXTHXSHKHUEMNMNZMNUFUGAXTIEZYAIOJBXTHIYAYBMIUGUHYAUIUJULUKZXPHXTH
      FXQPGHUMMNMXQUIGHXSHFXPPUMMXPUIUNFUOUPZUQYEUQULXRIOJZAAURUSIURUSYFAUTAAYC
      VABXTIYBQNVEUFUGAIVBVCVDDCRVFVGVHVFXRYAXOFDVIJZLJYDICEZFXTHXOITEZYGDCRSNZ
      ICQSNZPFYHFEZCDPSVJCFYHFFCFCVIJZPSPYMFFLJCFEFUOVKVLVMPSIHCCFLJCQMSFCIHEZU
      OVNVOVQZCVNUHVPVLVRVSZMITQVTNICITXOXSHWAYHYIQSQVTYHUIYIUIYJMWBDCIKHIXOIWA
      OJZRSYQGVAWAIGWHUGWCWDZUMVEXOUIZQMQDILJZIOJDIOJKYTDIOWEWFWGVMCILJZYQOJCGO
      JYNUUACYQGOWIYRWJGCYNWKVNWLWDVMWMDCCWAHIXOTRSVTYSSMQDCLJZIOJTIOJWAUUBTIOW
      NWFWOVMCCLJZTOJKTOJYNUUCKTOWPWFTKYNWQWTWRWDVMWMWSDCYIHFIXOPRSYSMQIFTDFLJQ
      PXAFDIFEUOXBXCVQUJYOVRXDULXOYLYGXKDYHCFRYKSPXEICDXLSRXFXGXHYPXIABXJABXMXN
      $.
  $}

$( End $[ set-numth.mm $] $)


$( Begin $[ set-struct.mm $] $)
$(
###############################################################################
  BASIC STRUCTURES
###############################################################################
$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Extensible structures
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Basic definitions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  An "extensible structure" (or "structure" in short, at least in this section)
  is used to define a specific group, ring, poset, and so on.  An extensible
  structure can contain many components.  For example, a group will have at
  least two components (base set and operation), although it can be further
  specialized by adding other components such as a multiplicative operation for
  rings (and still remain a group per our definition).  Thus, every ring is
  also a group.  This extensible structure approach allows theorems from more
  general structures (such as groups) to be reused for more specialized
  structures (such as rings) without having to reprove anything.  Structures
  are common in mathematics, but in informal (natural language) proofs the
  details are assumed in ways that we must make explicit.

  An extensible structure is implemented as a function (a set of ordered pairs)
  on a finite (and not necessarily sequential) subset of ` NN ` .  The
  function's argument is the index of a structure component (such as ` 1 ` for
  the base set of a group), and its value is the component (such as the base
  set).  By convention, we normally avoid direct reference to the hard-coded
  numeric index and instead use structure component extractors such as ~ ndxid
  and ~ strfv .  Using extractors makes it easier to change numeric indices and
  also makes the components' purpose clearer.  For example, as noted in
  ~ ndxid , we can refer to a specific poset with base set ` B ` and order
  relation ` L ` using the extensible structure
  ` { <. ( Base `` ndx ) , B >. , <. ( le `` ndx ) , L >. } ` rather than
  ` { <. 1 , B >. , <. ; 1 0 , L >. } ` .  See the comment of ~ basendx for
  more details on numeric indices versus the structure component extractors.

  There are many other possible ways to handle structures.  We chose this
  extensible structure approach because this approach (1) results in simpler
  notation than other approaches we are aware of, and (2) is easier to do
  proofs with.  We cannot use an approach that uses "hidden" arguments;
  Metamath does not support hidden arguments, and in any case we want nothing
  hidden.  It would be possible to use a categorical approach (e.g., something
  vaguely similar to Lean's mathlib).  However, instances (the chain of proofs
  that an ` X ` is a ` Y ` via a bunch of forgetful functors) can cause serious
  performance problems for automated tooling, and the resulting proofs would be
  painful to look at directly (in the case of Lean, they are long past the
  level where people would find it acceptable to look at them directly).
  Metamath is working under much stricter conditions than this, and it has
  still managed to achieve about the same level of flexibility through this
  "extensible structure" approach.

  To create a substructure of a given extensible structure, you can simply use
  the multifunction restriction operator for extensible structures ` |``s ` as
  defined in ~ df-ress .  This can be used to turn statements about rings into
  statements about subrings, modules into submodules, etc.  This definition
  knows nothing about individual structures and merely truncates the ` Base `
  set while leaving operators alone.  Individual kinds of structures will need
  to handle this behavior by ignoring operators' values outside the range (like
  ` Ring ` ), defining a function using the base set and applying that (like
  ` TopGrp ` ), or explicitly truncating the slot before use (like ` MetSp ` ).
  For example, the unital ring of integers ` ZZring ` is defined in ~ df-zring
  as simply ` ZZring = ( CCfld |``s ZZ ) ` .  This can be similarly done for
  all other subsets of ` CC ` , which has all the structure we can show applies
  to it, and this all comes "for free".  Should we come up with some new
  structure in the future that we wish ` CC ` to inherit, then we change the
  definition of ` CCfld ` , reprove all the slot extraction theorems, add a new
  one, and that's it.  None of the other downstream theorems have to change.

  Note that the construct of ~ df-prds addresses a different situation.  It is
  not possible to have SubGroup and SubRing be the same thing because they
  produce different outputs on the same input.  The subgroups of an extensible
  structure treated as a group are not the same as the subrings of that same
  structure.  With ~ df-prds it can actually reasonably perform the task, that
  is, being the product group given a family of groups, while also being the
  product ring given a family of rings.  There is no contradiction here because
  the group part of a product ring is a product group.

  There is also a general theory of "substructure algebras", in the form of
  ~ df-mre and ~ df-acs .  SubGroup is a Moore collection, as is SubRing,
  SubRng and many other substructure collections.  But it is not useful for
  picking out a particular collection of interest; SubRing and SubGroup still
  need to be defined and they are distinct --- nothing is going to select these
  definitions for us.

  Extensible structures only work well when they represent concrete categories,
  where there is a "base set", morphisms are functions, and subobjects are
  subsets with induced operations.  In short, they primarily work well for
  "sets with (some) extra structure".  Extensible structures may not suffice
  for more complicated situations.  For example, in manifolds, ` |``s ` would
  not work.  That said, extensible structures are sufficient for many of the
  structures that set.mm currently considers, and offer a good compromise for a
  goal-oriented formalization.

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Extensible structures as structures with components
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c Struct $.

  $( Extend class notation with the class of structures with components
     numbered below ` A ` . $)
  cstr $a class Struct $.

  ${
    $d f x $.
    $( Define a structure with components in ` M ... N ` .  This is not a
       requirement for groups, posets, etc., but it is a useful assumption for
       component extraction theorems.

       As mentioned in the section header, an "extensible structure should be
       implemented as a function (a set of ordered pairs)".  The current
       definition, however, is less restrictive: it allows for classes which
       contain the empty set ` (/) ` to be extensible structures.  Because of
       ~ 0nelfun , such classes cannot be functions.  Without the empty set,
       however, a structure must be a function, see ~ structn0fun :
       ` F Struct X -> Fun ( F \ { (/) } ) ` .

       Allowing an extensible structure to contain the empty set ensures that
       expressions like ` { <. A , B >. , <. C , D >. } ` are structures
       without asserting or implying that ` A ` , ` B ` , ` C ` and ` D ` are
       sets (if ` A ` or ` B ` is a proper class, then ` <. A , B >. = (/) ` ,
       see ~ opprc ).  This is used critically in ~ strle1 , ~ strle2 ,
       ~ strle3 and ~ strleun to avoid sethood hypotheses on the "payload"
       sets: without this, ~ ipsstr and theorems like it will have many sethood
       assumptions, and may not even be usable in the empty context.  Instead,
       the sethood assumption is deferred until it is actually needed, e.g.,
       ~ ipsbase , which requires that the base set be a set but not any of the
       other components.  Usually, a concrete structure like ` CCfld ` does not
       contain the empty set, and therefore is a function, see ~ cnfldfun .
       (Contributed by Mario Carneiro, 29-Aug-2015.) $)
    df-struct $a |- Struct = { <. f , x >. | ( x e. ( <_ i^i ( NN X. NN ) ) /\
       Fun ( f \ { (/) } ) /\ dom f C_ ( ... ` x ) ) } $.
  $}

  ${
    $d f x $.
    $( The structure relation is a relation.  (Contributed by Mario Carneiro,
       29-Aug-2015.) $)
    brstruct $p |- Rel Struct $=
      ( vx vf cv cle cn cxp cin wcel c0 csn cdif wfun cdm cfz cfv wss df-struct
      w3a cstr relopabiv ) ACZDEEFGHBCZIJKLUBMUANOPRBASABQT $.
  $}

  ${
    $d f x F $.  $d f x X $.
    $( The property of being a structure with components in
       ` ( 1st `` X ) ... ( 2nd `` X ) ` .  (Contributed by Mario Carneiro,
       29-Aug-2015.) $)
    isstruct2 $p |- ( F Struct X <-> ( X e. ( <_ i^i ( NN X. NN ) ) /\
        Fun ( F \ { (/) } ) /\ dom F C_ ( ... ` X ) ) ) $=
      ( vx vf cstr cvv wcel wa cle cdif wfun cdm cfz cfv wss w3a cun cfn wceq
      cn wbr cxp cin c0 csn brstruct brrelex12i ssun1 undif1 sseqtrri wfn simp2
      funfnd c1st c2nd cop elinel2 1st2nd2 syl 3ad2ant1 fveq2d co fzfi eqeltrri
      df-ov difss dmss ax-mp simp3 sstrid ssfid fnfi syl2anc p0ex unexg sylancl
      eqeltrdi ssexg sylancr elex jca simpr eleq1d simpl difeq1d funeqd sseq12d
      cv dmeqd 3anbi123d df-struct brabga pm5.21nii ) ABEUAAFGZBFGZHBITTUBZUCZG
      ZAUDUEZJZKZALZBMNZOZPZABEUFUGXEWNWOXEAWTWSQZOXFFGZWNAAWSQXFAWSUHAWSUIUJXE
      WTRGZWSFGXGXEWTWTLZUKXIRGXHXEWTWRXAXDULUMXEXCXIXEXCBUNNZBUONZUPZMNZRXEBXL
      MWRXABXLSZXDWRBWPGXNBIWPUQBTTURUSUTVAXJXKMVBXMRXJXKMVEXJXKVCVDVQXEXIXBXCW
      TAOXIXBOAWSVFWTAVGVHWRXAXDVIVJVKXIWTVLVMVNWTWSRFVOVPAXFFVRVSWRXAWOXDBWQVT
      UTWACWHZWQGZDWHZWSJZKZXQLZXOMNZOZPXEDCABEFFXQASZXOBSZHZXPWRXSXAYBXDYEXOBW
      QYCYDWBZWCYEXRWTYEXQAWSYCYDWDZWEWFYEXTXBYAXCYEXQAYGWIYEXOBMYFVAWGWJCDWKWL
      WM $.
  $}

  $( A structure is a set.  (Contributed by AV, 10-Nov-2021.) $)
  structex $p |- ( G Struct X -> G e. _V ) $=
    ( cstr brstruct brrelex1i ) ABCDE $.

  $( A structure without the empty set is a function.  (Contributed by AV,
     13-Nov-2021.) $)
  structn0fun $p |- ( F Struct X -> Fun ( F \ { (/) } ) ) $=
    ( cstr wbr cle cxp cin wcel csn cdif wfun cdm cfz cfv wss isstruct2 simp2bi
    cn c0 ) ABCDBERRFGHASIJKALBMNOABPQ $.

  $( The property of being a structure with components in ` M ... N ` .
     (Contributed by Mario Carneiro, 29-Aug-2015.) $)
  isstruct $p |- ( F Struct <. M , N >. <->
    ( ( M e. NN /\ N e. NN /\ M <_ N ) /\
      Fun ( F \ { (/) } ) /\ dom F C_ ( M ... N ) ) ) $=
    ( cop cstr wbr cle cn cxp cin wcel c0 csn cdif wfun cdm cfz wss w3a wa biid
    cfv co isstruct2 df-3an brinxp2 df-br 3bitr2i df-ov sseq2i 3anbi123i bitr4i
    ) ABCDZEFUMGHHIJZKZALMNOZAPZUMQUBZRZSBHKZCHKZBCGFZSZUPUQBCQUCZRZSAUMUDVCUOU
    PUPVEUSVCUTVATVBTBCUNFUOUTVAVBUEHHBCGUFBCUNUGUHUPUAVDURUQBCQUIUJUKUL $.

  $( Two ways to express the relational part of a structure.  (Contributed by
     Mario Carneiro, 29-Aug-2015.) $)
  structcnvcnv $p |- ( F Struct X -> `' `' F = ( F \ { (/) } ) ) $=
    ( cstr wbr ccnv c0 csn cdif wss cin wceq wcel cvv cxp 0nelxp cnvcnv eqsstri
    wn inss2 cnvss sseli mto disjsn mpbir cnvcnvss reldisj ax-mp mpbi wrel wfun
    wb a1i structn0fun funrel syl dfrel2 sylib difss mp2b eqsstrrdi eqssd ) ABC
    DZAEZEZAFGZHZVDVFIZVBVDVEJFKZVGVHFVDLZRVIFMMNZLMMOVDVJFVDAVJJVJAPAVJSQUAUBV
    DFUCUDVDAIVHVGUKAUEVDVEAUFUGUHULVBVFVFEZEZVDVBVFUIZVLVFKVBVFUJVMABUMVFUNUOV
    FUPUQVFAIVKVCIVLVDIAVEURVFATVKVCTUSUTVA $.

  $( The converse of the converse of a structure is a function.  Closed form of
     ~ structfun .  (Contributed by AV, 12-Nov-2021.) $)
  structfung $p |- ( F Struct X -> Fun `' `' F ) $=
    ( cstr wbr ccnv wfun c0 csn cdif structn0fun structcnvcnv funeqd mpbird ) A
    BCDZAEEZFAGHIZFABJNOPABKLM $.

  ${
    structfun.1 $e |- F Struct X $.
    $( Convert between two kinds of structure closure.  (Contributed by Mario
       Carneiro, 29-Aug-2015.)  (Proof shortened by AV, 12-Nov-2021.) $)
    structfun $p |- Fun `' `' F $=
      ( cstr wbr ccnv wfun structfung ax-mp ) ABDEAFFGCABHI $.
  $}

  ${
    structfn.1 $e |- F Struct <. M , N >. $.
    $( Convert between two kinds of structure closure.  (Contributed by Mario
       Carneiro, 29-Aug-2015.) $)
    structfn $p |- ( Fun `' `' F /\ dom F C_ ( 1 ... N ) ) $=
      ( ccnv wfun cdm c1 cfz co wss cop structfun wcel cle wbr w3a mpbi simp1i
      cn csn cdif cstr isstruct simp3i cuz cfv elnnuz fzss1 ax-mp sstri pm3.2i
      c0 ) AEEFAGZHCIJZKABCLZDMUNBCIJZUOBTNZCTNZBCOPZQZAUMUAUBFZUNUQKZAUPUCPVAV
      BVCQDABCUDRZUEBHUFUGNZUQUOKURVEURUSUTVAVBVCVDSSBUHRBHCUIUJUKUL $.
  $}

  ${
    strleun.f $e |- F Struct <. A , B >. $.
    strleun.g $e |- G Struct <. C , D >. $.
    strleun.l $e |- B < C $.
    $( Combine two structures into one.  (Contributed by Mario Carneiro,
       29-Aug-2015.) $)
    strleun $p |- ( F u. G ) Struct <. A , D >. $=
      ( wbr cn wcel cle w3a wfun cdm wss simp1i mp2an ax-mp cun cop cstr c0 csn
      cdif cfz co isstruct mpbi simp2i simp3i nnrei ltleii letri 3pm3.2i wa cin
      wceq pm3.2i difss dmss sstri ss2in clt fzdisj sseq0 funun difundir funeqi
      mpbir dmun cuz cfv cz nnzi eluz2 mpbir3an fzss2 fzss1 unssi eqsstri ) EFU
      AZADUBUCJAKLZDKLZADMJZNWCUDUEZUFZOZWCPZADUGUHZQWDWEWFWDBKLZABMJZWDWLWMNZE
      WGUFZOZEPZABUGUHZQZEABUBUCJWNWPWSNGEABUIUJZRZRZCKLZWECDMJZXCWEXDNZFWGUFZO
      ZFPZCDUGUHZQZFCDUBUCJXEXGXJNHFCDUIUJZRZUKZACMJZXDWFWMBCMJZXNWDWLWMXAULBCB
      WDWLWMXAUKZUMZCXCWEXDXLRZUMZIUNZABCAXBUMZXQXSUOSZXCWEXDXLULZACDYAXSDXMUMZ
      UOSUPWIWOXFUAZOZWPXGUQWOPZXFPZURZUDUSZYFWPXGWNWPWSWTUKXEXGXJXKUKUTYIWRXIU
      RZQZYKUDUSZYJYGWRQYHXIQYLYGWQWRWOEQYGWQQEWGVAWOEVBTWNWPWSWTULZVCYHXHXIXFF
      QYHXHQFWGVAXFFVBTXEXGXJXKULZVCYGWRYHXIVDSBCVEJYMIABCDVFTYIYKVGSWOXFVHSWHY
      EEFWGVIVJVKWJWQXHUAWKEFVLWQXHWKWQWRWKYNDBVMVNLZWRWKQYPBVOLDVOLBDMJZBXPVPD
      XMVPXOXDYQXTYCBCDXQXSYDUOSBDVQVRBADVSTVCXHXIWKYOCAVMVNLZXIWKQYRAVOLCVOLXN
      AXBVPCXRVPYBACVQVRCADVTTVCWAWBWCADUIVR $.
  $}

  ${
    strle1.i $e |- I e. NN $.
    strle1.a $e |- A = I $.
    $( Make a structure from a singleton.  (Contributed by Mario Carneiro,
       29-Aug-2015.) $)
    strle1 $p |- { <. A , X >. } Struct <. I , I >. $=
      ( cop csn cstr wbr cn wcel cle w3a c0 cdif wfun cdm cfz wss cvv co funsng
      nnrei leidi 3pm3.2i difss eqeltri mpan funss mpsyl wn fun0 opprc2 difeq1d
      sneqd difid eqtrdi funeqd mpbiri pm2.61i dmsnopss sneqi cz wceq nnzi fzsn
      ax-mp eqtr4i sseqtri isstruct mpbir3an ) ACFZGZBBFHIBJKZVNBBLIZMVMNGZOZPZ
      VMQZBBRUAZSVNVNVODDBBDUCUDUECTKZVRVQVMSWAVMPZVRVMVPUFAJKWAWBABJEDUGACJTUB
      UHVQVMUIUJWAUKZVRNPULWCVQNWCVQVPVPONWCVMVPVPWCVLNACUMUOUNVPUPUQURUSUTVSAG
      ZVTACVAWDBGZVTABEVBBVCKVTWEVDBDVEBVFVGVHVIVMBBVJVK $.

    strle2.j $e |- I < J $.
    strle2.k $e |- J e. NN $.
    strle2.b $e |- B = J $.
    $( Make a structure from a pair.  (Contributed by Mario Carneiro,
       29-Aug-2015.) $)
    strle2 $p |- { <. A , X >. , <. B , Y >. } Struct <. I , J >. $=
      ( cop cpr csn cun cstr df-pr strle1 strleun eqbrtri ) AELZBFLZMUANZUBNZOC
      DLPUAUBQCCDDUCUDACEGHRBDFJKRIST $.

    strle3.k $e |- J < K $.
    strle3.l $e |- K e. NN $.
    strle3.c $e |- C = K $.
    $( Make a structure from a triple.  (Contributed by Mario Carneiro,
       29-Aug-2015.) $)
    strle3 $p |- { <. A , X >. , <. B , Y >. , <. C , Z >. }
        Struct <. I , K >. $=
      ( cop ctp cpr csn cun cstr df-tp strle2 strle1 strleun eqbrtri ) AGRZBHRZ
      CIRZSUIUJTZUKUAZUBDFRUCUIUJUKUDDEFFULUMABDEGHJKLMNUECFIPQUFOUGUH $.
  $}

  ${
    $d a b w $.  $d a b E $.  $d b F $.  $d a b W $.  $d a b ph $.
    sbcie2s.a $e |- A = ( E ` W ) $.
    sbcie2s.b $e |- B = ( F ` W ) $.
    sbcie2s.1 $e |- ( ( a = A /\ b = B ) -> ( ph <-> ps ) ) $.
    $( A special version of class substitution commonly used for structures.
       (Contributed by Thierry Arnoux, 14-Mar-2019.) $)
    sbcie2s $p |- ( w = W
      -> ( [. ( E ` w ) / a ]. [. ( F ` w ) / b ]. ps <-> ph ) ) $=
      ( cv wceq cfv fvex wa wb fveq2 simprl eqtr4di adantr eqtrd simprr syl2anc
      bicomd ex sbc2iedv ) CNZHOZBAIJUJFPZUJGPZUJFQUJGQUKINZULOZJNZUMOZRZBASUKU
      RRZABUSUNDOUPEOABSUSUNULDUKUOUQUAUKULDOURUKULHFPDUJHFTKUBUCUDUSUPUMEUKUOU
      QUEUKUMEOURUKUMHGPEUJHGTLUBUCUDMUFUGUHUI $.
  $}

  ${
    $d a b c w $.  $d a b c E $.  $d b c F $.  $d c G $.  $d a b c W $.
    $d a b c ph $.
    sbcie3s.a $e |- A = ( E ` W ) $.
    sbcie3s.b $e |- B = ( F ` W ) $.
    sbcie3s.c $e |- C = ( G ` W ) $.
    sbcie3s.1 $e |- ( ( a = A /\ b = B /\ c = C ) -> ( ph <-> ps ) ) $.
    $( A special version of class substitution commonly used for structures.
       (Contributed by Thierry Arnoux, 15-Mar-2019.) $)
    sbcie3s $p |- ( w = W -> ( [. ( E ` w ) / a ]. [. ( F ` w ) / b ].
      [. ( G ` w ) / c ]. ps <-> ph ) ) $=
      ( cv wceq cfv wsbc cvv fvexd wa wb simpllr fveq2 ad3antrrr eqtr4di simplr
      eqtrd simpr syl3anc bicomd sbcied ) CRZJSZBMUPITZUAZLUPHTZUAAKUPGTZUBUQUP
      GUCUQKRZVASZUDZUSALUTUBVDUPHUCVDLRZUTSZUDZBAMURUBVGUPIUCVGMRZURSZUDZABVJV
      BDSVEESVHFSABUEVJVBJGTZDVJVBVAVKUQVCVFVIUFUQVAVKSVCVFVIUPJGUGUHUKNUIVJVEJ
      HTZEVJVEUTVLVDVFVIUJUQUTVLSVCVFVIUPJHUGUHUKOUIVJVHJITZFVJVHURVMVGVIULUQUR
      VMSVCVFVIUPJIUGUHUKPUIQUMUNUOUOUO $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Substitution of components
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c sSet $.

  $( Set components of a structure. $)
  csts $a class sSet $.

  ${
    $d e s w x $.
    $( Set a component of an extensible structure.  This function is useful for
       taking an existing structure and "overriding" one of its components.
       For example, ~ df-ress adjusts the base set to match its second
       argument, which has the effect of making subgroups, subspaces, subrings
       etc. from the original structures.  Or ~ df-mgp , which takes a ring and
       overrides its addition operation with the multiplicative operation, so
       that we can consider the "multiplicative group" using group and monoid
       theorems, which expect the operation to be in the ` +g ` slot instead of
       the ` .r ` slot.  (Contributed by Mario Carneiro, 1-Dec-2014.) $)
    df-sets $a |- sSet = ( s e. _V , e e. _V |->
      ( ( s |` ( _V \ dom { e } ) ) u. { e } ) ) $.
  $}

  ${
    $d e s A $.  $d e s B $.  $d e s S $.
    $( The structure override operator is a proper operator.  (Contributed by
       Stefan O'Rear, 29-Jan-2015.) $)
    reldmsets $p |- Rel dom sSet $=
      ( vs ve cvv cv csn cdm cdif cres cun csts df-sets reldmmpo ) ABCCADCBDEZF
      GHMIJBAKL $.

    $( Value of the structure replacement function.  (Contributed by Mario
       Carneiro, 30-Apr-2015.) $)
    setsvalg $p |- ( ( S e. V /\ A e. W ) -> ( S sSet A ) =
      ( ( S |` ( _V \ dom { A } ) ) u. { A } ) ) $=
      ( vs ve wcel cvv csts co csn cdm cdif cres cun wceq elex wa resexg cv
      adantr snex unexg sylancl simpl simpr sneqd dmeqd difeq2d uneq12d df-sets
      reseq12d ovmpoga mpd3an3 syl2an ) BCGBHGZAHGZBAIJBHAKZLZMZNZUROZPZADGBCQA
      DQUPUQVBHGZVCUPUQRVAHGZURHGVDUPVEUQBUTHSUAAUBVAURHHUCUDEFBAHHETZHFTZKZLZM
      ZNZVHOVBIHVFBPZVGAPZRZVKVAVHURVNVFBVJUTVLVMUEVNVIUSHVNVHURVNVGAVLVMUFUGZU
      HUIULVOUJFEUKUMUNUO $.

    $( Value of the structure replacement function.  (Contributed by Mario
       Carneiro, 1-Dec-2014.)  (Revised by Mario Carneiro, 30-Apr-2015.) $)
    setsval $p |- ( ( S e. V /\ B e. W ) -> ( S sSet <. A , B >. ) =
      ( ( S |` ( _V \ { A } ) ) u. { <. A , B >. } ) ) $=
      ( wcel cop csts co cvv csn cdm cdif cres wceq opex setsvalg mpan2 dmsnopg
      cun difeq2d reseq2d uneq1d sylan9eq ) CDFZBEFZCABGZHIZCJUGKZLZMZNZUITZCJA
      KZMZNZUITUEUGJFUHUMOABPUGCDJQRUFULUPUIUFUKUOCUFUJUNJABESUAUBUCUD $.
  $}

  $( The value of the structure replacement function for its first argument is
     its second argument.  (Contributed by SO, 12-Jul-2018.) $)
  fvsetsid $p |- ( ( F e. V /\ X e. W /\ Y e. U ) ->
      ( ( F sSet <. X , Y >. ) ` X ) = Y ) $=
    ( wcel w3a cop csts co cfv cvv csn cdif cres cun wceq setsval cdm fveq1d wn
    3adant2 simp2 simp3 cin dmres inss1 eqsstri sseli mto fsnunfv syl3anc eqtrd
    neldifsn a1i ) BCGZEDGZFAGZHZEBEFIZJKZLEBMENOZPZVANQZLZFUTEVBVEUQUSVBVERURE
    FBCASUCUAUTURUSEVDTZGZUBZVFFRUQURUSUDUQURUSUEVIUTVHEVCGEMUOVGVCEVGVCBTZUFVC
    BVCUGVCVJUHUIUJUKUPVDDAEFULUMUN $.

  $( The structure replacement function is a function.  (Contributed by SO,
     12-Jul-2018.) $)
  fsets $p |- ( ( ( F e. V /\ F : A --> B ) /\ X e. A /\ Y e. B ) ->
      ( F sSet <. X , Y >. ) : A --> B ) $=
    ( wcel wf wa w3a cop csts co cvv csn cdif cres cun feq1d mpbird difss mpan2
    wss fssres wfn wceq ffn fnresdm syl reseq1d cin resres invdif reseq2i eqtri
    eqtr3di adantl fsnunf2 syl3an1 wb simp1l simp3 setsval syl2anc ) CDGZABCHZI
    ZEAGZFBGZJZABCEFKZLMZHZABCNEOZPZQZVKORZHZVGAVNPZBVPHZVHVIVRVFVTVEVFVTVSBCVS
    QZHZVFVSAUCWBAVNUAABVSCUDUBVFVSBVPWAVFCAQZVOQZVPWAVFWCCVOVFCAUEWCCUFABCUGAC
    UHUIUJWDCAVOUKZQWACAVOULWEVSCAVNUMUNUOUPSTUQABVPEFURUSVJVEVIVMVRUTVEVFVHVIV
    AVGVHVIVBVEVIIABVLVQEFCDBVCSVDT $.

  $( The domain of a structure with replacement is the domain of the original
     structure extended by the index of the replacement.  (Contributed by AV,
     7-Jun-2021.) $)
  setsdm $p |- ( ( G e. V /\ E e. W )
                 -> dom ( G sSet <. I , E >. ) = ( dom G u. { I } ) ) $=
    ( wcel wa cop csts co cdm cvv csn cdif cres cun wceq a1i cin eqtrid dmsnopg
    setsvalg sylan2 dmeqd dmres adantl difeq2d ineq1d incom invdif eqtri eqtrdi
    opex dmun uneq12d undif1 3eqtrd ) BDFZAEFZGZBCAHZIJZKBLVAMZKZNZOZVCPZKZBKZC
    MZNZVJPZVIVJPZUTVBVGUSURVALFZVBVGQVNUSCAUMRVABDLUBUCUDUTVHVFKZVDPVLVFVCUNUT
    VOVKVDVJUTVOVEVISZVKBVEUEUTVPLVJNZVISZVKUTVEVQVIUTVDVJLUSVDVJQURCAEUAUFZUGU
    HVRVIVQSVKVQVIUIVIVJUJUKULTVSUOTVLVMQUTVIVJUPRUQ $.

  $( A structure with replacement is a function if the original structure is a
     function.  (Contributed by AV, 7-Jun-2021.) $)
  setsfun $p |- ( ( ( G e. V /\ Fun G ) /\ ( I e. U /\ E e. W ) )
                  -> Fun ( G sSet <. I , E >. ) ) $=
    ( wcel wfun wa cop csts cvv cdm cin c0 wceq adantl adantr ineq1i a1i co csn
    cdif cres cun funres funsng dmres in32 disjdifr 3eqtri eqtri funun syl21anc
    0in wb opex setsvalg sylan2 funeqd mpbird ) CEGZCHZIZDAGBFGIZIZCDBJZKUAZHZC
    LVGUBZMZUCZUDZVJUEZHZVFVMHZVJHZVMMZVKNZOPZVOVDVPVEVCVPVBVLCUFQRVEVQVDDBAFUG
    QVTVFVSVLCMZNZVKNZOVRWBVKCVLUHSWCVLVKNZWANOWANOVLWAVKUIWDOWAVKLUJSWAUOUKULT
    VMVJUMUNVDVIVOUPVEVDVHVNVCVBVGLGZVHVNPWEVCDBUQTVGCELURUSUTRVA $.

  $( A structure with replacement without the empty set is a function if the
     original structure without the empty set is a function.  This variant of
     ~ setsfun is useful for proofs based on ~ isstruct2 which requires
     ` Fun ( F \ { (/) } ) ` for ` F ` to be an extensible structure.
     (Contributed by AV, 7-Jun-2021.) $)
  setsfun0 $p |- ( ( ( G e. V /\ Fun ( G \ { (/) } ) )
                     /\ ( I e. U /\ E e. W ) )
                  -> Fun ( ( G sSet <. I , E >. ) \ { (/) } ) ) $=
    ( wcel c0 csn cdif wfun wa cvv cdm cres cun cin wceq adantl a1i cop csts co
    funres adantr funsng dmres ineq1i in32 disjdifr 3eqtri eqtri funun syl21anc
    0in difundir resdifcom wne elex anim12i opnz sylibr disjsn2 disjdif2 eqtrid
    3syl uneq12d funeqd mpbird wb opex setsvalg sylan2 difeq1d ) CEGZCHIZJZKZLZ
    DAGZBFGZLZLZCDBUAZUBUCZVPJZKZCMWDIZNZJZOZWHPZVPJZKZWCWNVQWJOZWHPZKZWCWOKZWH
    KZWONZWIQZHRZWQVSWRWBVRWRVOWJVQUDSUEWBWSVSDBAFUFSXBWCXAWJVQNZQZWIQZHWTXDWIV
    QWJUGUHXEWJWIQZXCQHXCQHWJXCWIUIXFHXCWIMUJUHXCUOUKULTWOWHUMUNWCWMWPWCWMWKVPJ
    ZWHVPJZPWPWKWHVPUPWCXGWOXHWHXGWORWCCWJVPUQTWCWDHURZWHVPQHRXHWHRWBXIVSWBDMGZ
    BMGZLXIVTXJWAXKDAUSBFUSUTDBVAVBSWDHVCWHVPVDVFVGVEVHVIVSWGWNVJWBVSWFWMVSWEWL
    VPVRVOWDMGZWEWLRXLVRDBVKTWDCEMVLVMVNVHUEVI $.

  ${
    setsn0fun.s $e |- ( ph -> S Struct X ) $.
    setsn0fun.i $e |- ( ph -> I e. U ) $.
    setsn0fun.e $e |- ( ph -> E e. W ) $.
    $( The value of the structure replacement function (without the empty set)
       is a function if the structure (without the empty set) is a function.
       (Contributed by AV, 7-Jun-2021.)  (Revised by AV, 16-Nov-2021.) $)
    setsn0fun $p |- ( ph -> Fun ( ( S sSet <. I , E >. ) \ { (/) } ) ) $=
      ( cstr wbr cop csts cdif wfun wi wa wcel cvv structn0fun structex sylanl1
      co c0 csn setsfun0 expcom syl2anc com12 mpdan mpcom ) BGKLZABEDMNUDUEUFZO
      PZHUMBUNOPZAUOQBGUAAUMUPRZUOAECSZDFSZUQUOQIJUQURUSRZUOUMBTSUPUTUOBGUBCDBE
      TFUGUCUHUIUJUKUL $.
  $}

  $( An extensible structure with a replaced slot is an extensible structure.
     (Contributed by AV, 14-Nov-2021.) $)
  setsstruct2 $p |- ( ( ( G Struct X /\ E e. V /\ I e. NN )
                       /\ Y = <. if ( I <_ ( 1st ` X ) , I , ( 1st ` X ) ) ,
                                 if ( I <_ ( 2nd ` X ) , ( 2nd ` X ) , I ) >. )
                      -> ( G sSet <. I , E >. ) Struct Y ) $=
    ( cstr wbr wcel cn w3a cfv cle wa cfz wss wi 3adant2 adantl sylbi c1st c2nd
    cif cop wceq csts co cxp cin c0 csn cdif wfun isstruct2 elin elxp6 wb eleq1
    cdm adantr simp3 simp1l ifcld nnred simp1r cr nnre anim12i ancomd min1 max1
    syl letrd df-br sylib opelxpd elind sylbid impcom 3ad2ant1 imp cvv structex
    3exp structn0fun jca simp2 setsfun0 syl12anc cun setsdm syl2anc fveq2 df-ov
    eqtr4di sseq2d df-3an cz 3anim123i ssfzunsnext sseqtrdi sylan2 syl5bir expd
    nnz ex com12 eqsstrd syl3anbrc breq2 mpbird ) BEGHZADIZCJIZKZFCEUALZMHZCXPU
    CZCEUBLZMHZXSCUCZUDZUEZNBCAUDUFUGZFGHZYDYBGHZXOYFYCXOYBMJJUHZUIZIZYDUJUKZUL
    UMZYDUSZYBOLZPYFXLXNYIXMXLXNYIXLEYHIZBYJULUMZBUSZEOLZPZKZXNYIQZBEUNZYNYOYTY
    RYNEMIZEYGIZNZYTEMYGUOZUUCUUBYTUUCEXPXSUDZUEZXPJIZXSJIZNZNZUUBYTQEJJUPZUUKU
    UBUUFMIZYTUUGUUBUUMUQUUJEUUFMURUTUUJUUMYTQUUGUUJUUMXNYIUUJUUMXNKZMYGYBUUNXR
    YAMHYBMIUUNXRCYAUUNXRUUNXQCXPJUUJUUMXNVAZUUHUUIUUMXNVBVCZVDUUNCUUOVDUUNYAUU
    NXTXSCJUUHUUIUUMXNVEUUOVCZVDUUNCVFIZXPVFIZNXRCMHUUNUUSUURUUJXNUUSUURNUUMUUJ
    UUSXNUURUUHUUSUUIXPVGUTCVGZVHRVICXPVJVLUUNUURXSVFIZNCYAMHUUNUVAUURUUJXNUVAU
    URNUUMUUJUVAXNUURUUIUVAUUHXSVGSUUTVHRVICXSVKVLVMXRYAMVNVOUUNXRYAJJUUPUUQVPV
    QWDSVRTVSTVTTWARXOBWBIZYONZXNXMYKXLXMUVCXNXLUVBYOBEWCZBEWEWFVTXLXMXNVAXLXMX
    NWGZJABCWBDWHWIXOYLYPCUKWJZYMXOUVBXMYLUVFUEXLXMUVBXNUVDVTUVEABCWBDWKWLXLXNU
    VFYMPZXMXLXNUVGXLYSXNUVGQZUUAYNYRUVHYOYNYRUVHYNUUDYRUVHQZUUEUUCUVIUUBUUCUUK
    UVIUULUUKYRYPXPXSOUGZPZUVHUUGYRUVKUQUUJUUGYQUVJYPUUGYQUUFOLUVJEUUFOWMXPXSOW
    NWOWPUTUUJUVKUVHQUUGUVKUUJUVHUVKUUJXNUVGUUJXNNUUHUUIXNKZUVKUVGUUHUUIXNWQUVK
    UVLUVGUVLUVKXPWRIZXSWRIZCWRIZKZUVGUUHUVMUUIUVNXNUVOXPXEXSXECXEWSUVKUVPNUVFX
    RYAOUGYMYPCXPXSWTXRYAOWNXAXBXFXCXDXGSVRTSTWARTWARXHYDYBUNXIUTYCYEYFUQXOFYBY
    DGXJSXK $.

  ${
    $d E y $.  $d G y $.  $d I y $.  $d X y $.
    $( An extensible structure with a replaced slot is an extensible structure.
       (Contributed by AV, 14-Nov-2021.) $)
    setsexstruct2 $p |- ( ( G Struct X /\ E e. V /\ I e. NN )
                          -> E. y ( G sSet <. I , E >. ) Struct y ) $=
      ( cstr wbr wcel cn w3a cop csts co cv c1st cfv cle cif cvv c2nd opex wceq
      a1i eqidd setsstruct2 mpdan breq2 spcedv ) CFGHBEIDJIKZCDBLMNZAOZGHUKDFPQ
      ZRHDUMSZDFUAQZRHUODSZLZGHZATUQUQTIUJUNUPUBUDUJUQUQUCURUJUQUEBCDEFUQUFUGUL
      UQUKGUHUI $.
  $}

  $( An extensible structure with a replaced slot is an extensible structure.
     (Contributed by AV, 9-Jun-2021.)  (Revised by AV, 14-Nov-2021.) $)
  setsstruct $p |- ( ( E e. V /\ I e. ( ZZ>= ` M ) /\ G Struct <. M , N >. )
          -> ( G sSet <. I , E >. ) Struct <. M , if ( I <_ N , N , I ) >. ) $=
    ( wcel cfv cop wbr w3a cn cle cif wceq wa wi c1 cz 3ad2ant1 cstr c1st co c0
    cuz c2nd csts csn cdif wfun cdm cfz isstruct simp2 simp3l 1z nnge1 eluzuzle
    wss sylancr elnnuz syl6ibr adantld a1d 3imp op1stg breq2d ifbieq12d 3adant3
    eqidd adantr cxr eluz2 zre rexrd 3ad2ant2 simp3 sylbi adantl impcom xrmineq
    3jca syl eqtr2d 3adant2 op2ndg opeq12d jca 3exp pm2.43i expdcom setsstruct2
    eqcomd ) AFGZCDUEHGZBDEIZUAJZKWQWNCLGZKZDCEMJZECNZIZCWPUBHZMJZCXCNZCWPUFHZM
    JZXFCNZIOZPZBCAIUGUCXBUAJWNWOWQXJWQWNWOXJWQWNWOPZXJQZWQDLGZELGZDEMJZKZBUDUH
    UIUJZBUKDEULUCUSZKWQXLQZBDEUMXPXQXSXRXPWQXKXJXPWQXKKZWSXIXTWQWNWRXPWQXKUNXP
    WQWNWOUOXPWQXKWRXPXKWRQZWQXMXNYAXOXMWOWRWNXMWOCRUEHGZWRXMRSGRDMJWOYBQUPDUQD
    RCURUTCVAVBVCTVDVEWBXTDXEXAXHXPXKDXEOWQXPXKPZXECDMJZCDNZDXPXEYEOZXKXMXNYFXO
    XMXNPZXDYDCXCCDYGXCDCMDELLVFZVGYGCVJZYHVHVIVKYCCVLGZDVLGZDCMJZKZYEDOXKXPYMW
    OXPYMQZWNWODSGZCSGZYLKZYNDCVMYQYMXPYQYJYKYLYPYOYJYLYPCCVNVOVPYOYPYKYLYODDVN
    VOTYOYPYLVQWBVDVRVSVTCDWAWCWDWEXPWQXAXHOZXKXMXNYRXOYGWTXGECXFCYGEXFCMYGXFED
    ELLWFWMZVGYSYIVHVITWGWHWITVRWJWKVEABCFWPXBWLWC $.

  ${
    wunsets.1 $e |- ( ph -> U e. WUni ) $.
    wunsets.2 $e |- ( ph -> S e. U ) $.
    wunsets.3 $e |- ( ph -> A e. U ) $.
    $( Closure of structure replacement in a weak universe.  (Contributed by
       Mario Carneiro, 12-Jan-2017.) $)
    wunsets $p |- ( ph -> ( S sSet A ) e. U ) $=
      ( csts co cvv csn cdm cdif cres cun wcel wceq setsvalg syl2anc wunres
      wunsn wunun eqeltrd ) ACBHIZCJBKZLMZNZUEOZDACDPBDPUDUHQFGBCDDRSAUGUEDEACU
      FDEFTABDEGUAUBUC $.
  $}

  $( The structure replacement function does not affect the value of ` S ` away
     from ` A ` .  (Contributed by Mario Carneiro, 1-Dec-2014.)  (Revised by
     Mario Carneiro, 30-Apr-2015.) $)
  setsres $p |- ( S e. V ->
    ( ( S sSet <. A , B >. ) |` ( _V \ { A } ) ) = ( S |` ( _V \ { A } ) ) ) $=
    ( wcel cop csts co cvv csn cdif cres cdm cun wceq c0 wss ax-mp mpbir eqtri
    opex setsvalg mpan2 reseq1d resundir dmsnopss sscon resabs1 cin dmres disj2
    wrel wb relres reldm0 uneq12i un0 eqtrdi ) CDEZCABFZGHZIAJZKZLCIUTJZMZKZLZV
    DNZVCLZCVCLZUSVAVHVCUSUTIEVAVHOABUAUTCDIUBUCUDVIVGVCLZVDVCLZNZVJVGVDVCUEVMV
    JPNVJVKVJVLPVCVFQZVKVJOVEVBQVNABUFVEVBIUGRZCVCVFUHRVLPOZVLMZPOZVQVCVEUIZPVD
    VCUJVSPOVNVOVCVEUKSTVLULVPVRUMVDVCUNVLUORSUPVJUQTTUR $.

  $( Replacing the same components twice yields the same as the second setting
     only.  (Contributed by Mario Carneiro, 2-Dec-2014.) $)
  setsabs $p |- ( ( S e. V /\ C e. W ) ->
    ( ( S sSet <. A , B >. ) sSet <. A , C >. ) = ( S sSet <. A , C >. ) ) $=
    ( wcel wa cop csts co cvv csn cdif cres cun wceq setsres adantr setsval
    uneq1d ovexd sylan 3eqtr4d ) DEGZCFGZHZDABIZJKZLAMNZOZACIZMZPZDUJOZUMPUIULJ
    KZDULJKUGUKUOUMUEUKUOQUFABDERSUAUEUILGUFUPUNQUEDUHJUBACUILFTUCACDEFTUD $.

  ${
    setscom.1 $e |- A e. _V $.
    setscom.2 $e |- B e. _V $.
    $( Component-setting is commutative when the x-values are different.
       (Contributed by Mario Carneiro, 5-Dec-2014.)  (Revised by Mario
       Carneiro, 30-Apr-2015.) $)
    setscom $p |- ( ( ( S e. V /\ A =/= B ) /\ ( C e. W /\ D e. X ) ) ->
       ( ( S sSet <. A , C >. ) sSet <. B , D >. ) =
       ( ( S sSet <. B , D >. ) sSet <. A , C >. ) ) $=
      ( wcel wa csts co cvv csn cres cun wceq wss cdif rescom uneq1i un23 eqtri
      wne cop setsval ad2ant2r reseq1d resundir wrel cdm cxp elex ad2antrl opex
      opelxpi sylancr relsn sylibr dmsnopss cin c0 disjsn2 ad2antlr disj2 sylib
      sstrid relssres syl2anc uneq2d eqtrid eqtrd uneq1d ad2ant2rl ad2antll ssv
      wb ssconb mp2an 3eqtr4a ovex simprr simprl 3eqtr4d ) EFKZABUFZLZCGKZDHKZL
      ZLZEACUGZMNZOBPZUAZQZBDUGZPZRZEWSMNZOAPZUAZQZWNPZRZWOWSMNZXBWNMNZWMEXDQZW
      QQZXFRZWTRZEWQQZXDQZWTRZXFRZXAXGXMXOXFRZWTRXQXLXRWTXKXOXFEXDWQUBUCUCXOXFW
      TUDUEWMWRXLWTWMWRXJXFRZWQQZXLWMWOXSWQWGWJWOXSSWHWKACEFGUHUIUJWMXTXKXFWQQZ
      RXLXJXFWQUKWMYAXFXKWMXFULZXFUMZWQTYAXFSWMWNOOUNZKZYBWMAOKCOKZYEIWJYFWIWKC
      GUOUPACOOURUSWNACUQUTVAWMYCXCWQACVBWMXCWPVCVDSZXCWQTZWHYGWGWLABVEVFXCWPVG
      VHZVIXFWQVJVKVLVMVNVOWMXEXPXFWMXEXNWTRZXDQZXPWGWKXEYKSWHWJWGWKLXBYJXDBDEF
      HUHUJVPWMYKXOWTXDQZRXPXNWTXDUKWMYLWTXOWMWTULZWTUMZXDTYLWTSWMWSYDKZYMWMBOK
      DOKZYOJWKYPWIWJDHUOVQBDOOURUSWSBDUQUTVAWMYNWPXDBDVBWMYHWPXDTZYIXCOTWPOTYH
      YQVSXCVRWPVRXCWPOVTWAVHVIWTXDVJVKVLVMVNVOWBWMWOOKWKXHXASEWNMWCWIWJWKWDBDW
      OOHUHUSWMXBOKWJXIXGSEWSMWCWIWJWKWEACXBOGUHUSWF $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Slots
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c Slot $.

  $( Extend class notation with the slot function. $)
  cslot $a class Slot A $.

  ${
    $d x A $.
    $( Define the slot extractor for extensible structures.  The class
       ` Slot A ` is a function whose argument can be any set, although it is
       meaningful only if that set is a member of an extensible structure (such
       as a partially ordered set ( ~ df-poset ) or a group ( ~ df-grp )).

       Note that ` Slot A ` is implemented as "evaluation at ` A ` ".  That is,
       ` ( Slot A `` S ) ` is defined to be ` ( S `` A ) ` , where ` A ` will
       typically be a small nonzero natural number.  Each extensible structure
       ` S ` is a function defined on specific natural number "slots", and this
       function extracts the value at a particular slot.

       The special "structure" ` ndx ` , defined as the identity function
       restricted to ` NN ` , can be used to extract the number ` A ` from a
       slot, since ` ( Slot A `` ndx ) = A ` (see ~ ndxarg ).  This is
       typically used to refer to the number of a slot when defining structures
       without having to expose the detail of what that number is (for
       instance, we use the expression ` ( Base `` ndx ) ` in theorems and
       proofs instead of its value 1).

       The class ` Slot ` cannot be defined as
       ` ( x e. _V |-> ( f e. _V |-> ( f `` x ) ) ) ` because each ` Slot A `
       is a function on the proper class ` _V ` so is itself a proper class,
       and the values of functions are sets ( ~ fvex ).  It is necessary to
       allow proper classes as values of ` Slot A ` since for instance the
       class of all (base sets of) groups is proper.  (Contributed by Mario
       Carneiro, 22-Sep-2015.) $)
    df-slot $a |- Slot A = ( x e. _V |-> ( x ` A ) ) $.
  $}

  ${
    $d A f $.  $d B f $.
    $( Equality theorem for the ` Slot ` construction.  The converse holds if
       ` A ` (or ` B ` ) is a set.  (Contributed by BJ, 27-Dec-2021.) $)
    sloteq $p |- ( A = B -> Slot A = Slot B ) $=
      ( vf wceq cvv cv cfv cmpt cslot fveq2 mpteq2dv df-slot 3eqtr4g ) ABDZCEAC
      FZGZHCEBOGZHAIBINCEPQABOJKCALCBLM $.
  $}

  ${
    $d x N $.  $d x S $.
    strfvnd.c $e |- E = Slot N $.
    $( A slot is a function on sets, treated as structures.  (Contributed by
       Mario Carneiro, 22-Sep-2015.) $)
    slotfn $p |- E Fn _V $=
      ( vx cvv cv cfv fvex cslot cmpt df-slot eqtri fnmpti ) DEBDFZGZABNHABIDEO
      JCDBKLM $.

    strfvnd.f $e |- ( ph -> S e. V ) $.
    $( Deduction version of ~ strfvn .  (Contributed by Mario Carneiro,
       15-Nov-2014.) $)
    strfvnd $p |- ( ph -> ( E ` S ) = ( S ` N ) ) $=
      ( vx wcel cvv cfv wceq elex cv fveq1 cslot cmpt df-slot eqtri fvex fvmpt
      3syl ) ABEIBJIBCKDBKZLGBEMHBDHNZKZUCJCDUDBOCDPHJUEQFHDRSDBTUAUB $.
  $}

  ${
    strfvn.f $e |- S e. _V $.
    strfvn.c $e |- E = Slot N $.
    $( Value of a structure component extractor ` E ` .  Normally, ` E ` is a
       defined constant symbol such as ` Base ` ( ~ df-base ) and ` N ` is the
       index of the component. ` S ` is a structure, i.e. a specific member of
       a class of structures such as ` Poset ` ( ~ df-poset ) where
       ` S e. Poset ` .

       Hint:  Do not substitute ` N ` by a specific (positive) integer to be
       independent of a hard-coded index value.  Often, ` ( E `` ndx ) ` can be
       used instead of ` N ` .  Alternatively, use ~ strfv instead of
       ~ strfvn .  (Contributed by NM, 9-Sep-2011.)  (Revised by Mario
       Carneiro, 6-Oct-2013.)  (New usage is discouraged.) $)
    strfvn $p |- ( E ` S ) = ( S ` N ) $=
      ( cfv wceq wtru cvv wcel a1i strfvnd mptru ) ABFCAFGHABCIEAIJHDKLM $.
  $}

  ${
    strfvss.e $e |- E = Slot N $.
    $( A structure component extractor produces a value which is contained in a
       set dependent on ` S ` , but not ` E ` .  This is sometimes useful for
       showing sethood.  (Contributed by Mario Carneiro, 15-Aug-2015.) $)
    strfvss $p |- ( E ` S ) C_ U. ran S $=
      ( cvv wcel cfv crn cuni wss id strfvnd fvssunirn eqsstrdi wn c0 fvprc 0ss
      pm2.61i ) AEFZABGZAHIZJTUACAGUBTABCEDTKLACMNTOUAPUBABQUBRNS $.

    ${
      wunstr.u $e |- ( ph -> U e. WUni ) $.
      wunstr.s $e |- ( ph -> S e. U ) $.
      $( Closure of a structure index in a weak universe.  (Contributed by
         Mario Carneiro, 12-Jan-2017.) $)
      wunstr $p |- ( ph -> ( E ` S ) e. U ) $=
        ( crn cuni cfv wunrn wununi wss strfvss a1i wunss ) ABIZJZBDKZCGARCGABC
        GHLMTSNABDEFOPQ $.
    $}
  $}

  ${
    str0.a $e |- F = Slot I $.
    $( All components of the empty set are empty sets.  (Contributed by Stefan
       O'Rear, 27-Nov-2014.)  (Revised by Mario Carneiro, 7-Dec-2014.) $)
    str0 $p |- (/) = ( F ` (/) ) $=
      ( c0 cfv 0ex strfvn 0fv eqtr2i ) DAEBDEDDABFCGBHI $.
  $}

  ${
    strfvi.e $e |- E = Slot N $.
    strfvi.x $e |- X = ( E ` S ) $.
    $( Structure slot extractors cannot distinguish between proper classes and
       ` (/) ` , so they can be protected using the identity function.
       (Contributed by Stefan O'Rear, 21-Mar-2015.) $)
    strfvi $p |- X = ( E ` ( _I ` S ) ) $=
      ( cfv cid cvv wcel wceq fvi eqcomd fveq2d wn str0 fvprc 3eqtr4a pm2.61i
      c0 eqtri ) DABGZAHGZBGZFAIJZUBUDKUEAUCBUEUCAAILMNUEOZTTBGUBUDBCEPABQUFUCT
      BAHQNRSUA $.
  $}

  ${
    fveqprc.e $e |- ( E ` (/) ) = (/) $.
    fveqprc.y $e |- Y = ( F ` X ) $.
    $( Lemma for showing the equality of values for functions like slot
       extractors ` E ` at a proper class.  Extracted from several former
       proofs of lemmas like ~ zlmlem .  (Contributed by AV, 31-Oct-2024.) $)
    fveqprc $p |- ( -. X e. _V -> ( E ` X ) = ( E ` Y ) ) $=
      ( cvv wcel wn c0 cfv eqcomi fvprc eqtrid fveq2d 3eqtr4a ) CGHIZJJAKZCAKDA
      KRJELCAMQDJAQDCBKJFCBMNOP $.
  $}

  ${
    oveqprc.e $e |- ( E ` (/) ) = (/) $.
    oveqprc.z $e |- Z = ( X O Y ) $.
    oveqprc.r $e |- Rel dom O $.
    $( Lemma for showing the equality of values for functions like slot
       extractors ` E ` at a proper class.  Extracted from several former
       proofs of lemmas like ~ resvlem .  (Contributed by AV, 31-Oct-2024.) $)
    oveqprc $p |- ( -. X e. _V -> ( E ` X ) = ( E ` Z ) ) $=
      ( cvv wcel wn c0 cfv eqcomi fvprc co ovprc1 eqtrid fveq2d 3eqtr4a ) CIJKZ
      LLAMZCAMEAMUBLFNCAOUAELAUAECDBPLGCDBHQRST $.
  $}

$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Structure component indices
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c ndx $.

  $( Extend class notation with the structure component index extractor. $)
  cnx $a class ndx $.

  $( Define the structure component index extractor.  See Theorem ~ ndxarg to
     understand its purpose.  The restriction to ` NN ` ensures that ` ndx ` is
     a set.  The restriction to some set is necessary since ` _I ` is a proper
     class.  In principle, we could have chosen ` CC ` or (if we revise all
     structure component definitions such as ~ df-base ) another set such as
     the set of finite ordinals ` _om ` ( ~ df-om ).  (Contributed by NM,
     4-Sep-2011.) $)
  df-ndx $a |- ndx = ( _I |` NN ) $.

  ${
    wunndx.1 $e |- ( ph -> U e. WUni ) $.
    wunndx.2 $e |- ( ph -> _om e. U ) $.
    $( Closure of the index extractor in an infinite weak universe.
       (Contributed by Mario Carneiro, 12-Jan-2017.) $)
    wunndx $p |- ( ph -> ndx e. U ) $=
      ( cnx cid cn cres df-ndx cc wuncn wss nnsscn wunss wf1o wf f1oi f1of mp1i
      a1i wunf eqeltrid ) AEFGHZBIAGGBUCCAJGBCABCDKGJLAMTNZUDGGUCOGGUCPAGQGGUCR
      SUAUB $.
  $}

  ${
    ndxarg.e $e |- E = Slot N $.
    ndxarg.n $e |- N e. NN $.
    $( Get the numeric argument from a defined structure component extractor
       such as ~ df-base .  (Contributed by Mario Carneiro, 6-Oct-2013.) $)
    ndxarg $p |- ( E ` ndx ) = N $=
      ( cnx cfv cid cn cres cvv df-ndx wcel resiexg ax-mp eqeltri strfvn fveq1i
      nnex wceq fvresi 3eqtri ) EAFBEFBGHIZFZBEABEUBJKHJLUBJLRHJMNOCPBEUBKQBHLU
      CBSDHBTNUA $.

    $( A structure component extractor is defined by its own index.  This
       theorem, together with ~ strfv below, is useful for avoiding direct
       reference to the hard-coded numeric index in component extractor
       definitions, such as the ` 1 ` in ~ df-base and the ` ; 1 0 ` in
       ~ df-ple , making it easier to change should the need arise.

       For example, we can refer to a specific poset with base set ` B ` and
       order relation ` L ` using ` { <. ( Base `` ndx ) , B >. , `
       ` <. ( le `` ndx ) , L >. } ` rather than ` { <. 1 , B >. , `
       ` <. ; 1 0 , L >. } ` .  The latter, while shorter to state, requires
       revision if we later change ` ; 1 0 ` to some other number, and it may
       also be harder to remember.  (Contributed by NM, 19-Oct-2012.)  (Revised
       by Mario Carneiro, 6-Oct-2013.)  (Proof shortened by BJ,
       27-Dec-2021.) $)
    ndxid $p |- E = Slot ( E ` ndx ) $=
      ( cnx cfv wceq cslot ndxarg eqcomi sloteq eqtrid ax-mp ) BEAFZGZANHZGNBAB
      CDIJOABHPCBNKLM $.
  $}

  ${
    strndxid.s $e |- ( ph -> S e. V ) $.
    strndxid.e $e |- E = Slot N $.
    strndxid.n $e |- N e. NN $.
    $( The value of a structure component extractor is the value of the
       corresponding slot of the structure.  (Contributed by AV, 13-Mar-2020.)
       (New usage is discouraged.)  Use ~ strfvnd directly with ` N ` set to
       ` ( E `` ndx ) ` if possible. $)
    strndxid $p |- ( ph -> ( S ` ( E ` ndx ) ) = ( E ` S ) ) $=
      ( cfv cnx ndxid strfvnd eqcomd ) ABCIJCIZBIABCNECDGHKFLM $.
  $}

  ${
    setsidvald.e $e |- E = Slot N $.
    setsidvald.s $e |- ( ph -> S e. V ) $.
    setsidvald.f $e |- ( ph -> Fun S ) $.
    setsidvald.d $e |- ( ph -> N e. dom S ) $.
    $( Value of the structure replacement function, deduction version.

       Hint:  Do not substitute ` N ` by a specific (positive) integer to be
       independent of a hard-coded index value.  Often, ` ( E `` ndx ) ` can be
       used instead of ` N ` .  (Contributed by AV, 14-Mar-2020.)  (Revised by
       AV, 17-Oct-2024.) $)
    setsidvald $p |- ( ph -> S = ( S sSet <. N , ( E ` S ) >. ) ) $=
      ( cfv cop csts co cvv csn cdif cres cun wcel wceq setsval sylancl strfvnd
      fvex opeq2d sneqd uneq2d wfun cdm funresdfunsn syl2anc 3eqtrrd ) ABDBCJZK
      ZLMZBNDOPQZUNOZRZUPDDBJZKZOZRZBABESUMNSUOURTGBCUDDUMBENUAUBAUQVAUPAUNUTAU
      MUSDABCDEFGUCUEUFUGABUHDBUISVBBTHIBDUJUKUL $.
  $}

  ${
    setsidvaldOLD.e $e |- E = Slot N $.
    setsidvaldOLD.n $e |- N e. NN $.
    setsidvaldOLD.s $e |- ( ph -> S e. V ) $.
    setsidvaldOLD.f $e |- ( ph -> Fun S ) $.
    setsidvaldOLD.d $e |- ( ph -> ( E ` ndx ) e. dom S ) $.
    $( Obsolete version of ~ setsidvald as of 17-Oct-2024.  (Contributed by AV,
       14-Mar-2020.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    setsidvaldOLD $p |- ( ph
                           -> S = ( S sSet <. ( E ` ndx ) , ( E ` S ) >. ) ) $=
      ( cnx cfv cop csts co cvv csn cun wcel wceq setsval sylancl ndxid strfvnd
      cdif cres fvex opeq2d sneqd uneq2d wfun cdm funresdfunsn syl2anc 3eqtrrd
      ) ABKCLZBCLZMZNOZBPUPQUEUFZURQZRZUTUPUPBLZMZQZRZBABESUQPSUSVBTHBCUGUPUQBE
      PUAUBAVAVEUTAURVDAUQVCUPABCUPECDFGUCHUDUHUIUJABUKUPBULSVFBTIJBUPUMUNUO $.
  $}

  ${
    strfvd.e $e |- E = Slot ( E ` ndx ) $.
    strfvd.s $e |- ( ph -> S e. V ) $.
    strfvd.f $e |- ( ph -> Fun S ) $.
    strfvd.n $e |- ( ph -> <. ( E ` ndx ) , C >. e. S ) $.
    $( Deduction version of ~ strfv .  (Contributed by Mario Carneiro,
       15-Nov-2014.) $)
    strfvd $p |- ( ph -> C = ( E ` S ) ) $=
      ( cfv cnx strfvnd wfun cop wcel wceq funopfv sylc eqtr2d ) ACDJKDJZCJZBAC
      DTEFGLACMTBNCOUABPHITBCQRS $.
  $}

  ${
    strfv2d.e $e |- E = Slot ( E ` ndx ) $.
    strfv2d.s $e |- ( ph -> S e. V ) $.
    strfv2d.f $e |- ( ph -> Fun `' `' S ) $.
    strfv2d.n $e |- ( ph -> <. ( E ` ndx ) , C >. e. S ) $.
    strfv2d.c $e |- ( ph -> C e. W ) $.
    $( Deduction version of ~ strfv2 .  (Contributed by Mario Carneiro,
       30-Apr-2015.) $)
    strfv2d $p |- ( ph -> C = ( E ` S ) ) $=
      ( cfv cnx strfvnd ccnv cvv cres cnvcnv2 wcel wceq fveq1i fvex fvres ax-mp
      eqtri wfun cop cxp cin elexd opelxpi sylancr elind eleqtrrdi funopfv sylc
      cnvcnv eqtr3id eqtr2d ) ACDLMDLZCLZBACDUTEGHNAVAUTCOOZLZBVCUTCPQZLZVAUTVB
      VDCRUAUTPSZVEVATMDUBZUTPCUCUDUEAVBUFUTBUGZVBSVCBTIAVHCPPUHZUIVBACVIVHJAVF
      BPSVHVISVGABFKUJUTBPPUKULUMCUQUNUTBVBUOUPURUS $.
  $}

  ${
    strfv2.s $e |- S e. _V $.
    strfv2.f $e |- Fun `' `' S $.
    strfv2.e $e |- E = Slot ( E ` ndx ) $.
    strfv2.n $e |- <. ( E ` ndx ) , C >. e. S $.
    $( A variation on ~ strfv to avoid asserting that ` S ` itself is a
       function, which involves sethood of all the ordered pair components of
       ` S ` .  (Contributed by Mario Carneiro, 30-Apr-2015.) $)
    strfv2 $p |- ( C e. V -> C = ( E ` S ) ) $=
      ( wcel cvv a1i ccnv wfun cnx cfv cop id strfv2d ) ADIZABCJDGBJISEKBLLMSFK
      NCOAPBISHKSQR $.
  $}

  ${
    strfv.s $e |- S Struct X $.
    strfv.e $e |- E = Slot ( E ` ndx ) $.
    strfv.n $e |- { <. ( E ` ndx ) , C >. } C_ S $.
    $( Extract a structure component ` C ` (such as the base set) from a
       structure ` S ` (such as a member of ` Poset ` , ~ df-poset ) with a
       component extractor ` E ` (such as the base set extractor ~ df-base ).
       By virtue of ~ ndxid , this can be done without having to refer to the
       hard-coded numeric index of ` E ` .  (Contributed by Mario Carneiro,
       6-Oct-2013.)  (Revised by Mario Carneiro, 29-Aug-2015.) $)
    strfv $p |- ( C e. V -> C = ( E ` S ) ) $=
      ( cstr wbr cvv wcel structex ax-mp structfun cnx cfv cop csn wss strfv2
      opex snss mpbir ) ABCDBEIJBKLFBEMNBEFOGPCQZARZBLUFSBTHUFBUEAUBUCUDUA $.
  $}

  ${
    strfv3.u $e |- ( ph -> U = S ) $.
    strfv3.s $e |- S Struct X $.
    strfv3.e $e |- E = Slot ( E ` ndx ) $.
    strfv3.n $e |- { <. ( E ` ndx ) , C >. } C_ S $.
    strfv3.c $e |- ( ph -> C e. V ) $.
    strfv3.a $e |- A = ( E ` U ) $.
    $( Variant on ~ strfv for large structures.  (Contributed by Mario
       Carneiro, 10-Jan-2017.) $)
    strfv3 $p |- ( ph -> A = C ) $=
      ( cfv wcel wceq strfv syl fveq2d eqtr4d eqtr4id ) ABEFOZCNACDFOZUCACGPCUD
      QMCDFGHJKLRSAEDFITUAUB $.
  $}

  ${
    strssd.e $e |- E = Slot ( E ` ndx ) $.
    strssd.t $e |- ( ph -> T e. V ) $.
    strssd.f $e |- ( ph -> Fun T ) $.
    strssd.s $e |- ( ph -> S C_ T ) $.
    strssd.n $e |- ( ph -> <. ( E ` ndx ) , C >. e. S ) $.
    $( Deduction version of ~ strss .  (Contributed by Mario Carneiro,
       15-Nov-2014.)  (Revised by Mario Carneiro, 30-Apr-2015.) $)
    strssd $p |- ( ph -> ( E ` T ) = ( E ` S ) ) $=
      ( cfv cnx cop sseldd strfvd cvv ssexd wss wfun funss sylc eqtr3d ) ABDELC
      ELABDEFGHIACDMELBNJKOPABCEQGACDFHJRACDSDTCTJICDUAUBKPUC $.
  $}

  ${
    strss.t $e |- T e. _V $.
    strss.f $e |- Fun T $.
    strss.s $e |- S C_ T $.
    strss.e $e |- E = Slot ( E ` ndx ) $.
    strss.n $e |- <. ( E ` ndx ) , C >. e. S $.
    $( Propagate component extraction to a structure ` T ` from a subset
       structure ` S ` .  (Contributed by Mario Carneiro, 11-Oct-2013.)
       (Revised by Mario Carneiro, 15-Jan-2014.) $)
    strss $p |- ( E ` T ) = ( E ` S ) $=
      ( cfv wceq wtru cvv wcel a1i wfun wss cnx cop strssd mptru ) CDJBDJKLABCD
      MHCMNLEOCPLFOBCQLGORDJASBNLIOTUA $.
  $}

  ${
    setsid.e $e |- E = Slot ( E ` ndx ) $.
    $( Value of the structure replacement function at a replaced index.
       (Contributed by Mario Carneiro, 1-Dec-2014.)  (Revised by Mario
       Carneiro, 30-Apr-2015.) $)
    setsid $p |- ( ( W e. A /\ C e. V ) ->
      C = ( E ` ( W sSet <. ( E ` ndx ) , C >. ) ) ) $=
      ( wcel wa cnx cfv cop cvv csn cres cun sylancl wceq c0 eqtri a1i co unexg
      csts cdif setsval fveq2d resexg adantr snex strfvnd fvex snid fvres ax-mp
      cin resres disjdifr reseq2i res0 wrel cdm wss elex adantl opelxpi sylancr
      cxp opex relsn sylibr dmsnopss relssres uneq12d resundir un0 uncom eqtr3i
      3eqtr4g fveq1d eqtr3id fvsng sylancom eqtrd 3eqtrrd ) EAGZBDGZHZEICJZBKZU
      CUAZCJELWHMZUDZNZWIMZOZCJWHWOJZBWGWJWOCWHBEADUEUFWGWOCWHLFWGWMLGZWNLGWOLG
      WEWQWFEWLAUGUHWIUIWMWNLLUBPUJWGWPWHWNJZBWGWPWHWOWKNZJZWRWHWKGWTWPQWHICUKZ
      ULWHWKWOUMUNWGWHWSWNWGWMWKNZWNWKNZORWNOZWSWNWGXBRXCWNXBRQWGXBEWLWKUOZNZRE
      WLWKUPXFERNRXEREWKLUQUREUSSSTWGWNUTZWNVAWKVBXCWNQWGWILLVGGZXGWGWHLGZBLGZX
      HXAWFXJWEBDVCVDWHBLLVEVFWIWHBVHVIVJWHBVKWNWKVLPVMWMWNWKVNWNROWNXDWNVOWNRV
      PVQVRVSVTWEWFXIWRBQXIWGXATWHBLDWAWBWCWD $.

    setsnid.n $e |- ( E ` ndx ) =/= D $.
    $( Value of the structure replacement function at an untouched index.
       (Contributed by Mario Carneiro, 1-Dec-2014.)  (Revised by Mario
       Carneiro, 30-Apr-2015.)  (Proof shortened by AV, 7-Nov-2024.) $)
    setsnid $p |- ( E ` W ) = ( E ` ( W sSet <. D , C >. ) ) $=
      ( cvv wcel cfv cop csts co wceq cnx id strfvnd cres fvres ax-mp c0 strfvn
      ovex csn cdif setsres fveq1d wne fvex eldifsn mpbir2an eqtrid eqtr4d str0
      3eqtr3g eqcomi eqid reldmsets oveqprc pm2.61i ) DGHZDCIZDBAJZKLZCIZMUTVAN
      CIZDIZVDUTDCVEGEUTOPUTVDVEVCIZVFVCCVEDVBKUBEUAUTVEVCGBUCUDZQZIZVEDVHQZIZV
      GVFUTVEVIVKBADGUEUFVEVHHZVJVGMVMVEGHVEBUGNCUHFVEGBUIUJZVEVHVCRSVMVLVFMVNV
      EVHDRSUNUKULCKDVBVCTTCICVEEUMUOVCUPUQURUS $.

    $( Obsolete proof of ~ setsnid as of 7-Nov-2024.  Value of the structure
       replacement function at an untouched index.  (Contributed by Mario
       Carneiro, 1-Dec-2014.)  (Revised by Mario Carneiro, 30-Apr-2015.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    setsnidOLD $p |- ( E ` W ) = ( E ` ( W sSet <. D , C >. ) ) $=
      ( cvv wcel cfv cop csts co wceq cnx id strfvnd cres fvres ax-mp c0 strfvn
      ovex csn cdif setsres fveq1d wne fvex eldifsn mpbir2an eqtrid eqtr4d str0
      3eqtr3g wn fvprc reldmsets ovprc1 fveq2d 3eqtr4a pm2.61i ) DGHZDCIZDBAJZK
      LZCIZMVBVCNCIZDIZVFVBDCVGGEVBOPVBVFVGVEIZVHVECVGDVDKUBEUAVBVGVEGBUCUDZQZI
      ZVGDVJQZIZVIVHVBVGVKVMBADGUEUFVGVJHZVLVIMVOVGGHVGBUGNCUHFVGGBUIUJZVGVJVER
      SVOVNVHMVPVGVJDRSUNUKULVBUOZTTCIVCVFCVGEUMDCUPVQVETCDVDKUQURUSUTVA $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Base sets
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c Base $.

  $( Extend class notation with the class of all base set extractors. $)
  cbs $a class Base $.

  $( Define the base set (also called underlying set, ground set, carrier set,
     or carrier) extractor for extensible structures.  (Contributed by NM,
     4-Sep-2011.)  (Revised by Mario Carneiro, 14-Aug-2015.)  Use its
     index-independent form ~ baseid instead.  (New usage is discouraged.) $)
  df-base $a |- Base = Slot 1 $.

  ${
    baseval.k $e |- K e. _V $.
    $( Value of the base set extractor.  (Normally it is preferred to work with
       ` ( Base `` ndx ) ` rather than the hard-coded ` 1 ` in order to make
       structure theorems portable.  This is an example of how to obtain it
       when needed.)  (New usage is discouraged.)  (Contributed by NM,
       4-Sep-2011.) $)
    baseval $p |- ( Base ` K ) = ( K ` 1 ) $=
      ( cbs c1 df-base strfvn ) ACDBEF $.
  $}

  $( Utility theorem: index-independent form of ~ df-base .  (Contributed by
     NM, 20-Oct-2012.) $)
  baseid $p |- Base = Slot ( Base ` ndx ) $=
    ( cbs c1 df-base 1nn ndxid ) ABCDE $.

  $( The base set extractor is a function on ` _V ` .  (Contributed by Stefan
     O'Rear, 8-Jul-2015.) $)
  basfn $p |- Base Fn _V $=
    ( cbs cnx cfv baseid slotfn ) ABACDE $.

  $( The base set of the empty structure.  (Contributed by David A. Wheeler,
     7-Jul-2016.) $)
  base0 $p |- (/) = ( Base ` (/) ) $=
    ( cbs cnx cfv baseid str0 ) ABACDE $.

  ${
    elbasfv.s $e |- S = ( F ` Z ) $.
    elbasfv.b $e |- B = ( Base ` S ) $.
    $( Utility theorem: reverse closure for any structure defined as a
       function.  (Contributed by Stefan O'Rear, 24-Aug-2015.) $)
    elbasfv $p |- ( X e. B -> Z e. _V ) $=
      ( wcel c0 wceq cvv n0i wn cbs cfv fvprc eqtrid fveq2d base0 3eqtr4g nsyl2
      ) DAHAIJEKHZADLUBMZBNOINOAIUCBINUCBECOIFECPQRGSTUA $.
  $}

  ${
    elbasov.o $e |- Rel dom O $.
    elbasov.s $e |- S = ( X O Y ) $.
    elbasov.b $e |- B = ( Base ` S ) $.
    $( Utility theorem: reverse closure for any structure defined as a
       two-argument function.  (Contributed by Mario Carneiro, 3-Oct-2015.) $)
    elbasov $p |- ( A e. B -> ( X e. _V /\ Y e. _V ) ) $=
      ( wcel c0 wceq cvv wa n0i wn cbs cfv co ovprc eqtrid fveq2d base0 3eqtr4g
      nsyl2 ) ABJBKLEMJFMJNZBAOUFPZCQRKQRBKUGCKQUGCEFDSKHEFDGTUAUBIUCUDUE $.
  $}

  ${
    strov2rcl.s $e |- S = ( I F R ) $.
    strov2rcl.b $e |- B = ( Base ` S ) $.
    strov2rcl.f $e |- Rel dom F $.
    $( Partial reverse closure for any structure defined as a two-argument
       function.  (Contributed by Stefan O'Rear, 27-Mar-2015.)  (Proof
       shortened by AV, 2-Dec-2019.) $)
    strov2rcl $p |- ( X e. B -> I e. _V ) $=
      ( wcel cvv elbasov simpld ) FAJEKJBKJFACDEBIGHLM $.
  $}

  $( Index value of the base set extractor.

     Use of this theorem is discouraged since the particular value ` 1 ` for
     the index is an implementation detail.  It is generally sufficient to work
     with ` ( Base `` ndx ) ` and use theorems such as ~ baseid and
     ~ basendxnn .

     The main circumstance in which it is necessary to look at indices directly
     is when showing that a set of indices are disjoint, in proofs such as
     ~ lmodstr .  Although we have a few theorems such as ~ basendxnplusgndx ,
     we do not intend to add such theorems for every pair of indices (which
     would be quadradically many in the number of indices).

     (New usage is discouraged.)  (Contributed by Mario Carneiro,
     2-Aug-2013.) $)
  basendx $p |- ( Base ` ndx ) = 1 $=
    ( cbs c1 df-base 1nn ndxarg ) ABCDE $.

  $( The index value of the base set extractor is a positive integer.  This
     property should be ensured for every concrete coding because otherwise it
     could not be used in an extensible structure (slots must be positive
     integers).  (Contributed by AV, 23-Sep-2020.)  (Proof shortened by AV,
     13-Oct-2024.) $)
  basendxnn $p |- ( Base ` ndx ) e. NN $=
    ( cnx cbs cfv c1 cn basendx 1nn eqeltri ) ABCDEFGH $.

  $( Obsolete proof of ~ basendxnn as of 13-Oct-2024.  (Contributed by AV,
     23-Sep-2020.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  basendxnnOLD $p |- ( Base ` ndx ) e. NN $=
    ( cnx cbs cfv c1 cn df-base 1nn ndxarg eqeltri ) ABCDEBDFGHGI $.

  ${
    basndxelwund.u $e |- ( ph -> U e. WUni ) $.
    basndxelwund.o $e |- ( ph -> _om e. U ) $.
    $( The index of the base set is an element in a weak universe containing
       the natural numbers.  Formerly part of proof for ~ 1strwun .
       (Contributed by AV, 27-Mar-2020.)  (Revised by AV, 17-Oct-2024.) $)
    basndxelwund $p |- ( ph -> ( Base ` ndx ) e. U ) $=
      ( cnx cbs cfv baseid wunndx wunstr ) AEBFEFGHCABCDIJ $.
  $}

  ${
    basprssdmsets.s $e |- ( ph -> S Struct X ) $.
    basprssdmsets.i $e |- ( ph -> I e. U ) $.
    basprssdmsets.w $e |- ( ph -> E e. W ) $.
    basprssdmsets.b $e |- ( ph -> ( Base ` ndx ) e. dom S ) $.
    $( The pair of the base index and another index is a subset of the domain
       of the structure obtained by replacing/adding a slot at the other index
       in a structure having a base slot.  (Contributed by AV, 7-Jun-2021.)
       (Revised by AV, 16-Nov-2021.) $)
    basprssdmsets $p |- ( ph -> { ( Base ` ndx ) , I }
                                C_ dom ( S sSet <. I , E >. ) ) $=
      ( cnx cbs cdm wcel wo elun sylibr syl cvv cfv cpr csn cun csts orcd snidg
      cop co olcd prssd wceq cstr wbr structex setsdm syl2anc sseqtrrd ) ALMUAZ
      EUBBNZEUCZUDZBEDUHUEUINZAUSEVBAUSUTOZUSVAOZPUSVBOAVDVEKUFUSUTVAQRAEUTOZEV
      AOZPEVBOAVGVFAECOVGIECUGSUJEUTVAQRUKABTOZDFOVCVBULABGUMUNVHHBGUOSJDBETFUP
      UQUR $.
  $}

  ${
    opelstrbas.s $e |- ( ph -> S Struct X ) $.
    opelstrbas.v $e |- ( ph -> V e. Y ) $.
    opelstrbas.b $e |- ( ph -> <. ( Base ` ndx ) , V >. e. S ) $.
    $( The base set of a structure with a base set.  (Contributed by AV,
       10-Nov-2021.) $)
    opelstrbas $p |- ( ph -> V = ( Base ` S ) ) $=
      ( cbs cvv baseid cstr wbr wcel structex syl ccnv wfun structfung strfv2d
      ) ACBIJEKABDLMZBJNFBDOPAUABQQRFBDSPHGT $.
  $}

  ${
    1str.g $e |- G = { <. ( Base ` ndx ) , B >. } $.
    $( A constructed one-slot structure.  (Contributed by AV, 27-Mar-2020.) $)
    1strstr $p |- G Struct <. 1 , 1 >. $=
      ( cnx cbs cfv cop csn c1 cstr 1nn basendx strle1 eqbrtri ) BDEFZAGHIIGJCO
      IAKLMN $.

    $( The base set of a constructed one-slot structure.  (Contributed by AV,
       27-Mar-2020.) $)
    1strbas $p |- ( B e. V -> B = ( Base ` G ) ) $=
      ( cbs c1 cop 1strstr baseid cnx cfv csn eqimss2i strfv ) ABECFFGABDHIBJEK
      AGLDMN $.

    1strwun.u $e |- ( ph -> U e. WUni ) $.
    ${
      1strwunbndx.b $e |- ( ph -> ( Base ` ndx ) e. U ) $.
      $( A constructed one-slot structure in a weak universe containing the
         index of the base set extractor.  (Contributed by AV, 27-Mar-2020.) $)
      1strwunbndx $p |- ( ( ph /\ B e. U ) -> G e. U ) $=
        ( wcel wa cnx cbs cfv cop csn cwun adantr simpr wunop wunsn eqeltrid )
        ABCHZIZDJKLZBMZNCEUBUDCACOHUAFPZUBUCBCUEAUCCHUAGPAUAQRST $.
    $}

    1strwun.o $e |- ( ph -> _om e. U ) $.
    $( A constructed one-slot structure in a weak universe.  (Contributed by
       AV, 27-Mar-2020.)  (Proof shortened by AV, 17-Oct-2024.) $)
    1strwun $p |- ( ( ph /\ B e. U ) -> G e. U ) $=
      ( basndxelwund 1strwunbndx ) ABCDEFACFGHI $.

    $( Obsolete version of ~ 1strwun as of 17-Oct-2024.  A constructed one-slot
       structure in a weak universe.  (Contributed by AV, 27-Mar-2020.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    1strwunOLD $p |- ( ( ph /\ B e. U ) -> G e. U ) $=
      ( cnx cbs c1 df-base wunndx wunstr 1strwunbndx ) ABCDEFAHCIJKFACFGLMN $.
  $}

  ${
    2str.g $e |- G = { <. ( Base ` ndx ) , B >. , <. ( E ` ndx ) , .+ >. } $.
    2str.e $e |- E = Slot N $.
    2str.l $e |- 1 < N $.
    2str.n $e |- N e. NN $.
    $( A constructed two-slot structure.  Depending on hard-coded indices.  Use
       ~ 2strstr1 instead.  (Contributed by Mario Carneiro, 29-Aug-2015.)
       (New usage is discouraged.) $)
    2strstr $p |- G Struct <. 1 , N >. $=
      ( cnx cbs cfv cop cpr c1 cstr 1nn basendx ndxarg strle2 eqbrtri ) DJKLZAM
      JCLZBMNOEMPFUBUCOEABQRHICEGISTUA $.

    $( The base set of a constructed two-slot structure.  (Contributed by Mario
       Carneiro, 29-Aug-2015.)  Use the index-independent version ~ 2strbas1
       instead.  (New usage is discouraged.) $)
    2strbas $p |- ( B e. V -> B = ( Base ` G ) ) $=
      ( cbs c1 cop 2strstr baseid cnx cfv csn cpr snsspr1 sseqtrri strfv ) ADKF
      LEMABCDEGHIJNOPKQAMZRUCPCQBMZSDUCUDTGUAUB $.

    $( The other slot of a constructed two-slot structure.  (Contributed by
       Mario Carneiro, 29-Aug-2015.)  Use the index-independent version
       ~ 2strop1 instead.  (New usage is discouraged.) $)
    2strop $p |- ( .+ e. V -> .+ = ( E ` G ) ) $=
      ( c1 cop 2strstr ndxid cnx cfv csn cbs cpr snsspr2 sseqtrri strfv ) BDCFK
      ELABCDEGHIJMCEHJNOCPBLZQORPALZUCSDUDUCTGUAUB $.
  $}

  ${
    2str1.g $e |- G = { <. ( Base ` ndx ) , B >. , <. N , .+ >. } $.
    2str1.b $e |- ( Base ` ndx ) < N $.
    2str1.n $e |- N e. NN $.
    $( A constructed two-slot structure.  Version of ~ 2strstr not depending on
       the hard-coded index value of the base set.  (Contributed by AV,
       22-Sep-2020.)  (Proof shortened by AV, 17-Oct-2024.) $)
    2strstr1 $p |- G Struct <. ( Base ` ndx ) , N >. $=
      ( cnx cbs cfv cop cpr cstr basendxnn eqid strle2 eqbrtri ) CHIJZAKDBKLRDK
      MERDRDABNROFGDOPQ $.

    $( Obsolete version of ~ 2strstr1 as of 27-Oct-2024.  A constructed
       two-slot structure.  Version of ~ 2strstr not depending on the
       hard-coded index value of the base set.  (Contributed by AV,
       22-Sep-2020.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    2strstr1OLD $p |- G Struct <. ( Base ` ndx ) , N >. $=
      ( c1 cop cnx cbs cfv cstr cslot cpr eqid ndxarg eqcomi opeq1i basendx clt
      preq2i eqtri eqbrtrri 2strstr breqtrri ) CHDIJKLZDIMABDNZCDCUGAIZDBIZOUIJ
      UHLZBIZOEUJULUIDUKBUKDUHDUHPZGQRSUBUCUMUGHDUATFUDGUEUGHDTSUF $.

    $( The base set of a constructed two-slot structure.  Version of ~ 2strbas
       not depending on the hard-coded index value of the base set.
       (Contributed by AV, 22-Sep-2020.) $)
    2strbas1 $p |- ( B e. V -> B = ( Base ` G ) ) $=
      ( cbs cnx cfv cop 2strstr1 baseid csn cpr snsspr1 sseqtrri strfv ) ACIEJI
      KZDLABCDFGHMNTALZOUADBLZPCUAUBQFRS $.

    2str1.e $e |- E = Slot N $.
    $( The other slot of a constructed two-slot structure.  Version of ~ 2strop
       not depending on the hard-coded index value of the base set.
       (Contributed by AV, 22-Sep-2020.) $)
    2strop1 $p |- ( .+ e. V -> .+ = ( E ` G ) ) $=
      ( cnx cbs cfv cop 2strstr1 ndxid csn cpr snsspr2 ndxarg opeq1i 3sstr4i
      sneqi strfv ) BDCFKLMZENABDEGHIOCEJIPEBNZQUEANZUFRKCMZBNZQDUGUFSUIUFUHEBC
      EJITUAUCGUBUD $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Base set restrictions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c |`s $.

  $( Extend class notation with the extensible structure builder restriction
     operator. $)
  cress $a class |`s $.

  ${
    $d w x $.
    $( Define a multifunction restriction operator for extensible structures,
       which can be used to turn statements about rings into statements about
       subrings, modules into submodules, etc.  This definition knows nothing
       about individual structures and merely truncates the ` Base ` set while
       leaving operators alone; individual kinds of structures will need to
       handle this behavior, by ignoring operators' values outside the range
       (like ` Ring ` ), defining a function using the base set and applying
       that (like ` TopGrp ` ), or explicitly truncating the slot before use
       (like ` MetSp ` ).

       (Credit for this operator goes to Mario Carneiro.)

       See ~ ressbas for the altered base set, and ~ resseqnbas ( ~ subrg0 ,
       ~ ressplusg , ~ subrg1 , ~ ressmulr ) for the (un)altered other
       operations.  (Contributed by Stefan O'Rear, 29-Nov-2014.) $)
    df-ress $a |- |`s = ( w e. _V , x e. _V |-> if ( ( Base ` w ) C_ x , w ,
        ( w sSet <. ( Base ` ndx ) , ( x i^i ( Base ` w ) ) >. ) ) ) $.
  $}

  ${
    $d a w $.
    $( The structure restriction is a proper operator, so it can be used with
       ~ ovprc1 .  (Contributed by Stefan O'Rear, 29-Nov-2014.) $)
    reldmress $p |- Rel dom |`s $=
      ( vw va cvv cv cbs cfv wss cnx cin cop csts co cif cress df-ress reldmmpo
      ) ABCCADZEFZBDZGQQHEFSRIJKLMNBAOP $.
  $}

  ${
    $d a w A $.  $d a w B $.  $d a w W $.
    ressbas.r $e |- R = ( W |`s A ) $.
    ressbas.b $e |- B = ( Base ` W ) $.
    $( Value of structure restriction.  (Contributed by Stefan O'Rear,
       29-Nov-2014.) $)
    ressval $p |- ( ( W e. X /\ A e. Y ) -> R = if ( B C_ A , W ,
            ( W sSet <. ( Base ` ndx ) , ( A i^i B ) >. ) ) ) $=
      ( vw va wcel wa cress co wss cbs cfv csts cvv wceq cnx cin cop elex simpl
      cif ovex ifcl sylancl fveq2d eqtr4di simpr sseq12d ineq12d opeq2d oveq12d
      cv ifbieq12d df-ress ovmpoga mpd3an3 syl2an eqtrid ) DEKZAFKZLCDAMNZBAOZD
      DUAPQZABUBZUCZRNZUFZGVDDSKZASKZVFVLTZVEDEUDAFUDVMVNVLSKZVOVMVNLVMVKSKVPVM
      VNUEDVJRUGVGDVKSUHUIIJDASSIUQZPQZJUQZOZVQVQVHVSVRUBZUCZRNZUFVLMSVQDTZVSAT
      ZLZVTVGVQWCDVKWFVRBVSAWFVRDPQBWFVQDPWDWEUEZUJHUKZWDWEULZUMWGWFVQDWBVJRWGW
      FWAVIVHWFVSAVRBWIWHUNUOUPURJIUSUTVAVBVC $.

    $( General behavior of trivial restriction.  (Contributed by Stefan O'Rear,
       29-Nov-2014.) $)
    ressid2 $p |- ( ( B C_ A /\ W e. X /\ A e. Y ) -> R = W ) $=
      ( wss wcel wceq wa cnx cbs cfv cin cop csts co cif iftrue sylan9eqr 3impb
      ressval ) BAIZDEJZAFJZCDKUFUGLUECUEDDMNOABPQRSZTDABCDEFGHUDUEDUHUAUBUC $.

    $( Value of nontrivial structure restriction.  (Contributed by Stefan
       O'Rear, 29-Nov-2014.) $)
    ressval2 $p |- ( ( -. B C_ A /\ W e. X /\ A e. Y ) -> R = ( W sSet
        <. ( Base ` ndx ) , ( A i^i B ) >. ) ) $=
      ( wss wn wcel cnx cbs cfv cin cop csts co wceq wa ressval sylan9eqr 3impb
      cif iffalse ) BAIZJZDEKZAFKZCDLMNABOPQRZSUHUITUGCUFDUJUDUJABCDEFGHUAUFDUJ
      UEUBUC $.

    $( Base set of a structure restriction.  (Contributed by Stefan O'Rear,
       26-Nov-2014.)  (Proof shortened by AV, 7-Nov-2024.) $)
    ressbas $p |- ( A e. V -> ( A i^i B ) = ( Base ` R ) ) $=
      ( cvv wcel cin cbs cfv wceq wss w3a fveq2d 3eqtr4a 3expib wn c0 wa wi cnx
      simp1 sseqin2 sylib ressid2 cop csts co simp2 fvexi baseid setsid sylancl
      inex2 eqtr4d pm2.61i in0 fvprc eqtrid ineq2d cress base0 eqcomi reldmress
      ressval2 oveqprc eqtrd adantr pm2.61ian ) EHIZADIZABJZCKLZMZBANZVLVMUAVPU
      BVQVLVMVPVQVLVMOZBEKLZVNVOGVRVQVNBMVQVLVMUDBAUEUFVRCEKABCEHDFGUGPQRVQSZVL
      VMVPVTVLVMOZVNEUCKLVNUHUIUJZKLZVOWAVLVNHIVNWCMVTVLVMUKBABEKGULUPHVNKHEUMU
      NUOWACWBKABCEHDFGVGPUQRURVLSZVPVMWDVNVSVOWDATJTVNVSAUSWDBTAWDBVSTGEKUTZVA
      VBWEQKVCEACTTKLVDVEFVFVHVIVJVK $.

    $( Obsolete proof of ~ ressbas as of 7-Nov-2024.  Base set of a structure
       restriction.  (Contributed by Stefan O'Rear, 26-Nov-2014.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    ressbasOLD $p |- ( A e. V -> ( A i^i B ) = ( Base ` R ) ) $=
      ( cvv wcel cin cbs cfv wceq w3a fveq2d 3eqtr4a 3expib wn co c0 wa sseqin2
      wss wi simp1 sylib ressid2 cnx cop csts simp2 fvexi baseid setsid sylancl
      inex2 ressval2 eqtr4d pm2.61i 0fv 0ex strfvn 3eqtr4ri fvprc eqtrid ineq2d
      in0 cress reldmress ovprc1 adantr pm2.61ian ) EHIZADIZABJZCKLZMZBAUCZVMVN
      UAVQUDVRVMVNVQVRVMVNNZBEKLZVOVPGVSVRVOBMVRVMVNUEBAUBUFVSCEKABCEHDFGUGOPQV
      RRZVMVNVQWAVMVNNZVOEUHKLZVOUIUJSZKLZVPWBVMVOHIVOWEMWAVMVNUKBABEKGULUPHVOK
      HEUMUNUOWBCWDKABCEHDFGUQOURQUSVMRZVQVNWFATJZTKLZVOVPWCTLTWHWGWCUTTKWCVAUM
      VBAVGVCWFBTAWFBVTTGEKVDVEVFWFCTKWFCEAVHSTFEAVHVIVJVEOPVKVL $.

    $( Base set of a structure restriction.  (Contributed by Mario Carneiro,
       2-Dec-2014.) $)
    ressbas2 $p |- ( A C_ B -> A = ( Base ` R ) ) $=
      ( wss cin cbs cfv wceq df-ss biimpi cvv wcel fvexi ssex ressbas eqtr3d
      syl ) ABGZABHZACIJZUAUBAKABLMUAANOUBUCKABBDIFPQABCNDEFRTS $.

    $( The base set of a restriction is a subset of the base set of the
       original structure.  (Contributed by Stefan O'Rear, 27-Nov-2014.)
       (Revised by Mario Carneiro, 30-Apr-2015.) $)
    ressbasss $p |- ( Base ` R ) C_ B $=
      ( cvv wcel cbs cfv wss cin ressbas inss2 eqsstrrdi wn c0 cress reldmress
      co ovprc2 eqtrid fveq2d base0 0ss eqsstrri eqsstrdi pm2.61i ) AGHZCIJZBKU
      IUJABLBABCGDEFMABNOUIPZUJQIJZBUKCQIUKCDARTQEDARSUAUBUCULQBUDBUEUFUGUH $.
  $}

  ${
    resseqnbas.r $e |- R = ( W |`s A ) $.
    resseqnbas.e $e |- C = ( E ` W ) $.
    resseqnbas.f $e |- E = Slot ( E ` ndx ) $.
    resseqnbas.n $e |- ( E ` ndx ) =/= ( Base ` ndx ) $.
    $( The components of an extensible structure except the base set remain
       unchanged on a structure restriction.  (Contributed by Mario Carneiro,
       26-Nov-2014.)  (Revised by Mario Carneiro, 2-Dec-2014.)  (Revised by AV,
       19-Oct-2024.) $)
    resseqnbas $p |- ( A e. V -> C = ( E ` R ) ) $=
      ( wcel cfv cvv cbs w3a fveq2d 3expib wn cnx c0 wceq wss wa wi ressid2 cin
      eqid csts co ressval2 setsnid eqtr4di pm2.61i cress str0 eqcomi reldmress
      cop oveqprc eqcomd adantr pm2.61ian eqtr4id ) AEKZBFDLZCDLZHFMKZVDVFVEUAZ
      FNLZAUBZVGVDUCVHUDVJVGVDVHVJVGVDOCFDAVICFMEGVIUGZUEPQVJRZVGVDVHVLVGVDOZVF
      FSNLZAVIUFZURUHUIZDLVEVMCVPDAVICFMEGVKUJPVOVNDFIJUKULQUMVGRZVHVDVQVEVFDUN
      FACTTDLDSDLIUOUPGUQUSUTVAVBVC $.
  $}

  ${
    resslemOLD.r $e |- R = ( W |`s A ) $.
    resslemOLD.e $e |- C = ( E ` W ) $.
    resslemOLD.f $e |- E = Slot N $.
    resslemOLD.n $e |- N e. NN $.
    resslemOLD.b $e |- 1 < N $.
    $( Obsolete version of ~ resseqnbas as of 21-Oct-2024.  (Contributed by
       Mario Carneiro, 26-Nov-2014.)  (Revised by Mario Carneiro, 2-Dec-2014.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    resslemOLD $p |- ( A e. V -> C = ( E ` R ) ) $=
      ( wcel cfv cvv cbs w3a fveq2d c1 c0 wceq wss wa wi eqid ressid2 3expib wn
      cnx cin cop csts co ressval2 ndxid ndxarg gtneii eqnetri basendx neeqtrri
      setsnid eqtr4di pm2.61i cress reldmress ovprc1 eqtrid fvprc eqtr4d adantr
      1re str0 pm2.61ian eqtr4id ) AFMZBGDNZCDNZIGOMZVOVQVPUAZGPNZAUBZVRVOUCVSU
      DWAVRVOVSWAVRVOQCGDAVTCGOFHVTUEZUFRUGWAUHZVRVOVSWCVRVOQZVQGUIPNZAVTUJZUKU
      LUMZDNVPWDCWGDAVTCGOFHWBUNRWFWEDGDEJKUOUIDNZSWEWHESDEJKUPSEVKLUQURUSUTVAV
      BUGVCVRUHZVSVOWIVQTVPWIVQTDNTWICTDWICGAVDUMTHGAVDVEVFVGRDEJVLVBGDVHVIVJVM
      VN $.
  $}

  $( All restrictions of the null set are trivial.  (Contributed by Stefan
     O'Rear, 29-Nov-2014.)  (Revised by Mario Carneiro, 30-Apr-2015.) $)
  ress0 $p |- ( (/) |`s A ) = (/) $=
    ( cvv wcel c0 cress co wceq wss 0ss 0ex eqid base0 ressid2 reldmress ovprc2
    mp3an12 pm2.61i ) ABCZDAEFZDGZDAHDBCRTAIJADSDBBSKLMPDAENOQ $.

  ${
    ressid.1 $e |- B = ( Base ` W ) $.
    $( Behavior of trivial restriction.  (Contributed by Stefan O'Rear,
       29-Nov-2014.) $)
    ressid $p |- ( W e. X -> ( W |`s B ) = W ) $=
      ( wss wcel cvv cress co wceq ssid cbs fvexi eqid ressid2 mp3an13 ) AAEBCF
      AGFBAHIZBJAKABLDMAAQBCGQNDOP $.

    $( Restriction only cares about the part of the second set which intersects
       the base of the first.  (Contributed by Stefan O'Rear, 29-Nov-2014.) $)
    ressinbas $p |- ( A e. X -> ( W |`s A ) = ( W |`s ( A i^i B ) ) ) $=
      ( wcel cvv cress co cin wceq elex wss w3a eqid ressid2 syl3an eqtr4d csts
      wn wa ssid incom df-ss biimpi eqtrid sseqtrrid inex1g 3expb cnx cbs inass
      cfv cop inidm ineq2i eqtr2i opeq2i oveq2i ressval2 inss1 sstr mpan2 con3i
      3eqtr4a pm2.61ian c0 reldmress ovprc1 adantr syl ) ADFAGFZCAHIZCABJZHIZKZ
      ADLCGFZVLVPBAMZVQVLUAVPVRVQVLVPVRVQVLNVMCVOABVMCGGVMOZEPVRBVNMZVQVQVLVNGF
      ZVOCKVRBBVNBUBVRVNBAJZBABUCVRWBBKBAUDUEUFUGCGLZABGUHZVNBVOCGGVOOZEPQRUIVR
      TZVQVLVPWFVQVLNCUJUKUMZVNUNZSICWGVNBJZUNZSIZVMVOWHWJCSVNWIWGWIABBJZJVNABB
      ULWLBABUOUPUQURUSABVMCGGVSEUTWFVTTVQVQVLWAVOWKKVTVRVTVNAMVRABVABVNAVBVCVD
      WCWDVNBVOCGGWEEUTQVEUIVFVQTZVPVLWMVMVGVOCAHVHVICVNHVHVIRVJVFVK $.
  $}

  ${
    ressval3d.r $e |- R = ( S |`s A ) $.
    ressval3d.b $e |- B = ( Base ` S ) $.
    ressval3d.e $e |- E = ( Base ` ndx ) $.
    ressval3d.s $e |- ( ph -> S e. V ) $.
    ressval3d.f $e |- ( ph -> Fun S ) $.
    ressval3d.d $e |- ( ph -> E e. dom S ) $.
    ressval3d.u $e |- ( ph -> A C_ B ) $.
    $( Value of structure restriction, deduction version.  (Contributed by AV,
       14-Mar-2020.)  (Revised by AV, 3-Jul-2022.)  (Proof shortened by AV,
       17-Oct-2024.) $)
    ressval3d $p |- ( ph -> R = ( S sSet <. E , A >. ) ) $=
      ( csts co wceq cbs cvv a1i wss wn wa wo wi wpss sspss dfpss3 orbi1i bitri
      cop cnx cfv cin wcel simplr adantl simpl fvexi ssexg syl2an syl3anc df-ss
      ressval2 biimpi eqcomd adantr opeq12d oveq2d eqtrd cress oveq2 ressid syl
      ex 3eqtrd baseid cdm eqeltrrid setsidvald eqtrdi jaoi sylbi mpcom ) BCUAZ
      ADEFBUKZOPZQZNWEWECBUAUBZUCZBCQZUDZAWHUEZWEBCUFZWKUDWLBCUGWNWJWKBCUHUIUJW
      JWMWKWJAWHWJAUCZDEULRUMZBCUNZUKZOPZWGWOWIEGUOZBSUOZDWSQWEWIAUPAWTWJKUQWJW
      ECSUOZXAAWEWIURXBACERIUSTBCSUTVABCDEGSHIVDVBWOWRWFEOWOWFWRWOFWPBWQFWPQZWO
      JTWJBWQQZAWEXDWIWEWQBWEWQBQBCVCVEVFVGVGVHVFVIVJVOWKAWHWKAUCZDEEWPERUMZUKZ
      OPZWGXEDEBVKPZECVKPZEDXIQXEHTWKXIXJQABCEVKVLVGXEWTXJEQAWTWKKUQCEGIVMVNVPA
      EXHQWKAERWPGVQKLAWPFEVRJMVSVTUQXEXGWFEOXEWFXGXEFWPBXFXCXEJTXEBCXFWKAURIWA
      VHVFVIVPVOWBWCWD $.

    $( Obsolete version of ~ ressval3d as of 17-Oct-2024.  Value of structure
       restriction, deduction version.  (Contributed by AV, 14-Mar-2020.)
       (Revised by AV, 3-Jul-2022.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    ressval3dOLD $p |- ( ph -> R = ( S sSet <. E , A >. ) ) $=
      ( csts co wceq cbs cvv a1i wss wn wa wo wi wpss sspss dfpss3 orbi1i bitri
      cop cnx cfv cin wcel simplr adantl simpl fvexi ssexg syl2an syl3anc df-ss
      ressval2 biimpi eqcomd adantr opeq12d oveq2d eqtrd cress oveq2 ressid syl
      ex 3eqtrd df-base 1nn cdm eqeltrrid setsidvaldOLD eqtrdi jaoi sylbi mpcom
      c1 ) BCUAZADEFBUKZOPZQZNWGWGCBUAUBZUCZBCQZUDZAWJUEZWGBCUFZWMUDWNBCUGWPWLW
      MBCUHUIUJWLWOWMWLAWJWLAUCZDEULRUMZBCUNZUKZOPZWIWQWKEGUOZBSUOZDXAQWGWKAUPA
      XBWLKUQWLWGCSUOZXCAWGWKURXDACERIUSTBCSUTVABCDEGSHIVDVBWQWTWHEOWQWHWTWQFWR
      BWSFWRQZWQJTWLBWSQZAWGXFWKWGWSBWGWSBQBCVCVEVFVGVGVHVFVIVJVOWMAWJWMAUCZDEE
      WRERUMZUKZOPZWIXGDEBVKPZECVKPZEDXKQXGHTWMXKXLQABCEVKVLVGXGXBXLEQAXBWMKUQC
      EGIVMVNVPAEXJQWMAERWFGVQVRKLAWRFEVSJMVTWAUQXGXIWHEOXGWHXIXGFWRBXHXEXGJTXG
      BCXHWMAURIWBVHVFVIVPVOWCWDWE $.
  $}

  $( Restriction composition law.  (Contributed by Stefan O'Rear, 29-Nov-2014.)
     (Proof shortened by Mario Carneiro, 2-Dec-2014.) $)
  ressress $p |- ( ( A e. X /\ B e. Y ) ->
    ( ( W |`s A ) |`s B ) = ( W |`s ( A i^i B ) ) ) $=
    ( cvv wcel wa cress co cin wceq cbs cfv wss wn cop csts eqid syl wi w3a cnx
    simplr simpr1 simpr2 syl3anc inass in12 eqtri ressbas ineq2d eqtr2id opeq2d
    ressval2 oveq12d fvex inex2 setsabs sylancl eqtrd simpll ovexd simpr3 inss1
    sstr mpan2 nsyl inex1g 3eqtr4d exp31 ressid2 mp3an2 3ad2antr3 simpl eqsstrd
    ovex in32 df-ss sylib oveq2d ressinbas 3syl 3adant3r3 oveq1d sstrid sseqin2
    ex inss2 pm2.61ii 3expib c0 ress0 reldmress ovprc1 3eqtr4a a1d pm2.61i ) CF
    GZADGZBEGZHZCAIJZBIJZCABKZIJZLZUAWSWTXAXGXCMNZBOZCMNZAOZWSWTXAUBZXGUAXIPZXK
    PZXLXGXMXNHZXLHZXCUCMNZBXHKZQZRJZCXQXEXJKZQZRJZXDXFXPXTCXQAXJKZQRJZYBRJZYCX
    PXCYEXSYBRXPXNWSWTXCYELXMXNXLUDZXOWSWTXAUEZXOWSWTXAUFZAXJXCCFDXCSZXJSZUOUGX
    PXRYAXQXPYABYDKZXRYAABXJKZKZYLABXJUHZABXJUIUJXPYDXHBXPWTYDXHLZYIAXJXCDCYJYK
    UKZTULUMUNUPXPWSYAFGYFYCLYHXJXECMUQURXQYDYACFFUSUTVAXPXMXCFGZXAXDXTLXMXNXLV
    BXPCAIVCXOWSWTXAVDBXHXDXCFEXDSZXHSZUOUGXPXJXEOZPWSXEFGZXFYCLXPXKUUAYGUUAXEA
    OXKABVEXJXEAVFVGVHYHXPWTUUBYIABDVIZTXEXJXFCFFXFSYKUOUGVJVKXIXLXGXIXLHZXDXCX
    FXIWSXAXDXCLZWTXIYRXAUUECAIVQBXHXDXCFEYSYTVLVMVNUUDCYDIJZCYAIJZXCXFUUDYDYAC
    IUUDYAYDBKZYDABXJVRUUDYDBOUUHYDLUUDYDXHBUUDWTYPXIWSWTXAUFZYQTXIXLVOVPYDBVSV
    TUMWAUUDWTXCUUFLUUIAXJCDYKWBTUUDWTUUBXFUUGLZUUIUUCXEXJCFYKWBZWCVJVAWHXKXLXG
    XKXLHZXDCBIJZXFUULXCCBIXKWSWTXCCLXAAXJXCCFDYJYKVLWDWEUULCYMIJZUUGUUMXFUULYM
    YACIUULYAYNYMYOUULYMAOYNYMLUULYMXJABXJWIXKXLVOWFYMAWGVTUMWAUULXAUUMUUNLXKWS
    WTXAVDBXJCEYKWBTUULWTUUBUUJXKWSWTXAUFUUCUUKWCVJVAWHWJWKWSPZXGXBUUOWLBIJWLXD
    XFBWMUUOXCWLBICAIWNWOWECXEIWNWOWPWQWR $.

  $( Restriction absorption law.  (Contributed by Mario Carneiro,
     12-Jun-2015.) $)
  ressabs $p |- ( ( A e. X /\ B C_ A ) ->
    ( ( W |`s A ) |`s B ) = ( W |`s B ) ) $=
    ( wcel wss wa cress cin cvv wceq ssexg ancoms ressress syldan simpr sseqin2
    co sylib oveq2d eqtrd ) ADEZBAFZGZCAHRBHRZCABIZHRZCBHRUBUCBJEZUEUGKUCUBUHBA
    DLMABCDJNOUDUFBCHUDUCUFBKUBUCPBAQSTUA $.

  ${
    wunress.1 $e |- ( ph -> U e. WUni ) $.
    wunress.2 $e |- ( ph -> _om e. U ) $.
    wunress.3 $e |- ( ph -> W e. U ) $.
    $( Closure of structure restriction in a weak universe.  (Contributed by
       Mario Carneiro, 12-Jan-2017.)  (Proof shortened by AV, 28-Oct-2024.) $)
    wunress $p |- ( ph -> ( W |`s A ) e. U ) $=
      ( cvv wcel cress co wa cbs cfv wss cnx cin cop eqid c0 csts ressval sylan
      wceq basndxelwund incom baseid wunstr wunin eqeltrid wunop wunsets adantr
      cif ifcld eqeltrd ex wn wun0 reldmress ovprc2 eleq1d syl5ibrcom pm2.61d )
      ABHIZDBJKZCIZAVEVGAVELVFDMNZBOZDDPMNZBVHQZRZUAKZUNZCADCIVEVFVNUDGBVHVFDCH
      VFSVHSUBUCAVNCIVEAVIDVMCGAVLDCEGAVJVKCEACEFUEAVKVHBQCBVHUFAVHBCEADCMVJUGE
      GUHUIUJUKULUOUMUPUQAVGVEURZTCIACEUSVOVFTCDBJUTVAVBVCVD $.

    $( Obsolete proof of ~ wunress as of 28-Oct-2024.  Closure of structure
       restriction in a weak universe.  (Contributed by Mario Carneiro,
       12-Jan-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    wunressOLD $p |- ( ph -> ( W |`s A ) e. U ) $=
      ( cvv wcel cress co wa cbs cfv wss cnx cin eqid wunstr c0 cop cif ressval
      csts wceq sylan c1 df-base wunndx incom baseid wunin eqeltrid wunop ifcld
      wunsets adantr eqeltrd ex wun0 reldmress ovprc2 eleq1d syl5ibrcom pm2.61d
      wn ) ABHIZDBJKZCIZAVGVIAVGLVHDMNZBOZDDPMNZBVJQZUAZUDKZUBZCADCIVGVHVPUEGBV
      JVHDCHVHRVJRUCUFAVPCIVGAVKDVOCGAVNDCEGAVLVMCEAPCMUGUHEACEFUISAVMVJBQCBVJU
      JAVJBCEADCMVLUKEGSULUMUNUPUOUQURUSAVIVGVFZTCIACEUTVQVHTCDBJVAVBVCVDVE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Slot definitions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c +g $.
  $c .r $.
  $c *r $.
  $c Scalar $.
  $c .s $.
  $c .i $.
  $c TopSet $.
  $c le $.
  $c oc $.
  $c dist $.
  $c UnifSet $.
  $c Hom $.
  $c comp $.

  $( Extend class notation with group (addition) operation. $)
  cplusg $a class +g $.

  $( Extend class notation with ring multiplication. $)
  cmulr $a class .r $.

  $( Extend class notation with involution. $)
  cstv $a class *r $.

  $( Extend class notation with scalar field. $)
  csca $a class Scalar $.

  $( Extend class notation with scalar product. $)
  cvsca $a class .s $.

  $( Extend class notation with Hermitian form (inner product). $)
  cip $a class .i $.

  $( Extend class notation with the topology component of a topological
     space. $)
  cts $a class TopSet $.

  $( Extend class notation with "less than or equal to" for posets. $)
  cple $a class le $.

  $( Extend class notation with the class of orthocomplementation
     extractors. $)
  coc $a class oc $.

  $( Extend class notation with the metric space distance function. $)
  cds $a class dist $.

  $( Extend class notation with the uniform structure. $)
  cunif $a class UnifSet $.

  $( Extend class notation with the hom-set structure. $)
  chom $a class Hom $.

  $( Extend class notation with the composition operation. $)
  cco $a class comp $.

  $( Define group operation.  (Contributed by NM, 4-Sep-2011.)  (Revised by
     Mario Carneiro, 14-Aug-2015.)  Use its index-independent form ~ plusgid
     instead.  (New usage is discouraged.) $)
  df-plusg $a |- +g = Slot 2 $.

  $( Define ring multiplication.  (Contributed by NM, 4-Sep-2011.)  (Revised by
     Mario Carneiro, 14-Aug-2015.)  Use its index-independent form ~ mulrid
     instead.  (New usage is discouraged.) $)
  df-mulr $a |- .r = Slot 3 $.

  $( Define the involution function of a *-ring.  (Contributed by NM,
     4-Sep-2011.)  (Revised by Mario Carneiro, 14-Aug-2015.)  Use its
     index-independent form ~ starvid instead.  (New usage is discouraged.) $)
  df-starv $a |- *r = Slot 4 $.

  $( Define scalar field component of a vector space ` v ` .  (Contributed by
     NM, 4-Sep-2011.)  (Revised by Mario Carneiro, 14-Aug-2015.)  Use its
     index-independent form ~ scaid instead.  (New usage is discouraged.) $)
  df-sca $a |- Scalar = Slot 5 $.

  $( Define scalar product.  (Contributed by NM, 4-Sep-2011.)  (Revised by
     Mario Carneiro, 14-Aug-2015.)  Use its index-independent form ~ vscaid
     instead.  (New usage is discouraged.) $)
  df-vsca $a |- .s = Slot 6 $.

  $( Define Hermitian form (inner product).  (Contributed by NM, 4-Sep-2011.)
     (Revised by Mario Carneiro, 14-Aug-2015.)  Use its index-independent form
     ~ ipid instead.  (New usage is discouraged.) $)
  df-ip $a |- .i = Slot 8 $.

  $( Define the topology component of a topological space (structure).
     (Contributed by NM, 4-Sep-2011.)  (Revised by Mario Carneiro,
     14-Aug-2015.)  Use its index-independent form ~ tsetid instead.
     (New usage is discouraged.) $)
  df-tset $a |- TopSet = Slot 9 $.

  $( Define "less than or equal to" ordering extractor for posets and related
     structures.  (Contributed by NM, 4-Sep-2011.)  (Revised by Mario Carneiro,
     14-Aug-2015.)  (Revised by AV, 9-Sep-2021.)  Use its index-independent
     form ~ pleid instead.  (New usage is discouraged.) $)
  df-ple $a |- le = Slot ; 1 0 $.

  $( Define the orthocomplementation extractor for posets and related
     structures.  (Contributed by NM, 4-Sep-2011.)  (Revised by Mario Carneiro,
     14-Aug-2015.)  Use its index-independent form ~ ocid instead.
     (New usage is discouraged.) $)
  df-ocomp $a |- oc = Slot ; 1 1 $.

  $( Define the distance function component of a metric space (structure).
     (Contributed by NM, 4-Sep-2011.)  (Revised by Mario Carneiro,
     14-Aug-2015.)  Use its index-independent form ~ dsid instead.
     (New usage is discouraged.) $)
  df-ds $a |- dist = Slot ; 1 2 $.

  $( Define the uniform structure component of a uniform space.  (Contributed
     by Mario Carneiro, 14-Aug-2015.)  Use its index-independent form ~ unifid
     instead.  (New usage is discouraged.) $)
  df-unif $a |- UnifSet = Slot ; 1 3 $.

  $( Define the hom-set component of a category.  (Contributed by Mario
     Carneiro, 2-Jan-2017.)  Use its index-independent form ~ homid instead.
     (New usage is discouraged.) $)
  df-hom $a |- Hom = Slot ; 1 4 $.

  $( Define the composition operation of a category.  (Contributed by Mario
     Carneiro, 2-Jan-2017.)  Use its index-independent form ~ ccoid instead.
     (New usage is discouraged.) $)
  df-cco $a |- comp = Slot ; 1 5 $.

  $( Index value of the ~ df-plusg slot.  (Contributed by Mario Carneiro,
     14-Aug-2015.) $)
  plusgndx $p |- ( +g ` ndx ) = 2 $=
    ( cplusg c2 df-plusg 2nn ndxarg ) ABCDE $.

  $( Utility theorem: index-independent form of ~ df-plusg .  (Contributed by
     NM, 20-Oct-2012.) $)
  plusgid $p |- +g = Slot ( +g ` ndx ) $=
    ( cplusg c2 df-plusg 2nn ndxid ) ABCDE $.

  $( The index of the slot for the group operation in an extensible structure
     is a positive integer.  (Contributed by AV, 17-Oct-2024.) $)
  plusgndxnn $p |- ( +g ` ndx ) e. NN $=
    ( cnx cplusg cfv c2 cn plusgndx 2nn eqeltri ) ABCDEFGH $.

  $( The index of the slot for the base set is less then the index of the slot
     for the group operation in an extensible structure.  (Contributed by AV,
     17-Oct-2024.) $)
  basendxltplusgndx $p |- ( Base ` ndx ) < ( +g ` ndx ) $=
    ( c1 c2 cnx cbs cfv cplusg clt 1lt2 basendx plusgndx 3brtr4i ) ABCDECFEGHIJ
    K $.

  $( The slot for the base set is not the slot for the group operation in an
     extensible structure.  (Contributed by AV, 14-Nov-2021.)  (Proof shortened
     by AV, 17-Oct-2024.) $)
  basendxnplusgndx $p |- ( Base ` ndx ) =/= ( +g ` ndx ) $=
    ( cnx cbs cfv cplusg basendxnn nnrei basendxltplusgndx ltneii ) ABCZADCIEFG
    H $.

  $( Obsolete version of ~ basendxnplusgndx as of 17-Oct-2024.  The slot for
     the base set is not the slot for the group operation in an extensible
     structure.  (Contributed by AV, 14-Nov-2021.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  basendxnplusgndxOLD $p |- ( Base ` ndx ) =/= ( +g ` ndx ) $=
    ( cnx cbs cfv c1 cplusg df-base 1nn ndxarg 1ne2 plusgndx neeqtrri eqnetri
    c2 ) ABCDAECZBDFGHDMNIJKL $.

  ${
    grpfn.g $e |- G = { <. ( Base ` ndx ) , B >. , <. ( +g ` ndx ) , .+ >. } $.
    $( A constructed group is a structure on ` 1 ... 2 ` .  Depending on
       hard-coded index values.  Use ~ grpstrndx instead.  (Contributed by
       Mario Carneiro, 28-Sep-2013.)  (Revised by Mario Carneiro, 30-Apr-2015.)
       (New usage is discouraged.) $)
    grpstr $p |- G Struct <. 1 , 2 >. $=
      ( cplusg c2 df-plusg 1lt2 2nn 2strstr ) ABECFDGHIJ $.

    $( A constructed group is a structure.  Version not depending on the
       implementation of the indices.  (Contributed by AV, 27-Oct-2024.) $)
    grpstrndx $p |- G Struct <. ( Base ` ndx ) , ( +g ` ndx ) >. $=
      ( cnx cplusg cfv basendxltplusgndx plusgndxnn 2strstr1 ) ABCEFGDHIJ $.

    $( The base set of a constructed group.  (Contributed by Mario Carneiro,
       2-Aug-2013.)  (Revised by Mario Carneiro, 30-Apr-2015.)  (Revised by AV,
       27-Oct-2024.) $)
    grpbase $p |- ( B e. V -> B = ( Base ` G ) ) $=
      ( cnx cplusg cfv basendxltplusgndx plusgndxnn 2strbas1 ) ABCFGHDEIJK $.

    $( Obsolete version of ~ grpbase as of 27-Oct-2024.  The base set of a
       constructed group.  (Contributed by Mario Carneiro, 2-Aug-2013.)
       (Revised by Mario Carneiro, 30-Apr-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    grpbaseOLD $p |- ( B e. V -> B = ( Base ` G ) ) $=
      ( cplusg c2 df-plusg 1lt2 2nn 2strbas ) ABFCGDEHIJK $.

    $( The operation of a constructed group.  (Contributed by Mario Carneiro,
       2-Aug-2013.)  (Revised by Mario Carneiro, 30-Apr-2015.)  (Revised by AV,
       27-Oct-2024.) $)
    grpplusg $p |- ( .+ e. V -> .+ = ( +g ` G ) ) $=
      ( cplusg cnx cfv basendxltplusgndx plusgndxnn plusgid 2strop1 ) ABFCGFHDE
      IJKL $.

    $( Obsolete version of ~ grpplusg as of 27-Oct-2024.  The operation of a
       constructed group.  (Contributed by Mario Carneiro, 2-Aug-2013.)
       (Revised by Mario Carneiro, 30-Apr-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    grpplusgOLD $p |- ( .+ e. V -> .+ = ( +g ` G ) ) $=
      ( cplusg c2 df-plusg 1lt2 2nn 2strop ) ABFCGDEHIJK $.
  $}

  ${
    ressplusg.1 $e |- H = ( G |`s A ) $.
    ressplusg.2 $e |- .+ = ( +g ` G ) $.
    $( ` +g ` is unaffected by restriction.  (Contributed by Stefan O'Rear,
       27-Nov-2014.) $)
    ressplusg $p |- ( A e. V -> .+ = ( +g ` H ) ) $=
      ( cplusg plusgid cnx cbs cfv basendxnplusgndx necomi resseqnbas ) ABDHECF
      GIJKLJHLMNO $.
  $}

  ${
    grpstrx.b $e |- B e. _V $.
    grpstrx.p $e |- .+ e. _V $.
    grpstrx.g $e |- G = { <. 1 , B >. , <. 2 , .+ >. } $.
    $( The base of an explicitly given group.  Note:  This theorem has
       hard-coded structure indices for demonstration purposes.  It is not
       intended for general use; use ~ grpbase instead.
       (New usage is discouraged.)  (Contributed by NM, 17-Oct-2012.) $)
    grpbasex $p |- B = ( Base ` G ) $=
      ( cvv wcel cbs cfv wceq c1 cop c2 cpr cnx cplusg basendx opeq1i plusgndx
      preq12i eqtr4i grpbase ax-mp ) AGHACIJKDABCGCLAMZNBMZOPIJZAMZPQJZBMZOFUHU
      EUJUFUGLARSUINBTSUAUBUCUD $.

    $( The operation of an explicitly given group.  Note:  This theorem has
       hard-coded structure indices for demonstration purposes.  It is not
       intended for general use; use ~ grpplusg instead.
       (New usage is discouraged.)  (Contributed by NM, 17-Oct-2012.) $)
    grpplusgx $p |- .+ = ( +g ` G ) $=
      ( cvv wcel cplusg cfv wceq c1 cop c2 cpr cnx cbs basendx opeq1i plusgndx
      preq12i eqtr4i grpplusg ax-mp ) BGHBCIJKEABCGCLAMZNBMZOPQJZAMZPIJZBMZOFUH
      UEUJUFUGLARSUINBTSUAUBUCUD $.
  $}

  $( Index value of the ~ df-mulr slot.  (Contributed by Mario Carneiro,
     14-Aug-2015.) $)
  mulrndx $p |- ( .r ` ndx ) = 3 $=
    ( cmulr c3 df-mulr 3nn ndxarg ) ABCDE $.

  $( Utility theorem: index-independent form of ~ df-mulr .  (Contributed by
     Mario Carneiro, 8-Jun-2013.) $)
  mulrid $p |- .r = Slot ( .r ` ndx ) $=
    ( cmulr c3 df-mulr 3nn ndxid ) ABCDE $.

  $( The slot for the base set is not the slot for the ring (multiplication)
     operation in an extensible structure.  (Contributed by AV, 16-Feb-2020.)
     (Proof shortened by AV, 28-Oct-2024.) $)
  basendxnmulrndx $p |- ( Base ` ndx ) =/= ( .r ` ndx ) $=
    ( cnx cbs cfv c1 cmulr basendx c3 1re 1lt3 ltneii mulrndx neeqtrri eqnetri
    ) ABCDAECZFDGNDGHIJKLM $.

  $( Obsolete proof of ~ basendxnmulrndx as of 28-Oct-2024.  The slot for the
     base set is not the slot for the ring (multiplication) operation in an
     extensible structure.  (Contributed by AV, 16-Feb-2020.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  basendxnmulrndxOLD $p |- ( Base ` ndx ) =/= ( .r ` ndx ) $=
    ( cnx cbs cfv c1 cmulr df-base 1nn ndxarg 1re 1lt3 mulrndx neeqtrri eqnetri
    c3 ltneii ) ABCDAECZBDFGHDNPDNIJOKLM $.

  $( The slot for the group (addition) operation is not the slot for the ring
     (multiplication) operation in an extensible structure.  (Contributed by
     AV, 16-Feb-2020.) $)
  plusgndxnmulrndx $p |- ( +g ` ndx ) =/= ( .r ` ndx ) $=
    ( cnx cplusg cfv c2 cmulr plusgndx 2re 2lt3 ltneii mulrndx neeqtrri eqnetri
    c3 ) ABCDAECZFDMNDMGHIJKL $.

  ${
    rngfn.r $e |- R
               = { <. ( Base ` ndx ) , B >. , <. ( +g ` ndx ) , .+ >. ,
                   <. ( .r ` ndx ) , .x. >. } $.
    $( A constructed ring is a structure.  (Contributed by Mario Carneiro,
       28-Sep-2013.)  (Revised by Mario Carneiro, 29-Aug-2015.) $)
    rngstr $p |- R Struct <. 1 , 3 >. $=
      ( cnx cbs cfv cop cplusg cmulr ctp c1 c3 cstr c2 1nn basendx 1lt2 2nn 3nn
      plusgndx 2lt3 mulrndx strle3 eqbrtri ) CFGHZAIFJHZBIFKHZDILMNIOEUGUHUIMPN
      ABDQRSTUBUCUAUDUEUF $.

    $( The base set of a constructed ring.  (Contributed by Mario Carneiro,
       2-Oct-2013.)  (Revised by Mario Carneiro, 30-Apr-2015.) $)
    rngbase $p |- ( B e. V -> B = ( Base ` R ) ) $=
      ( cbs c1 cop rngstr baseid cnx cfv csn cplusg cmulr ctp snsstp1 sseqtrri
      c3 strfv ) ACGEHTIABCDFJKLGMAIZNUBLOMBIZLPMDIZQCUBUCUDRFSUA $.

    $( The additive operation of a constructed ring.  (Contributed by Mario
       Carneiro, 2-Oct-2013.)  (Revised by Mario Carneiro, 30-Apr-2015.) $)
    rngplusg $p |- ( .+ e. V -> .+ = ( +g ` R ) ) $=
      ( cplusg c1 cop rngstr plusgid cnx cfv csn cbs cmulr ctp snsstp2 sseqtrri
      c3 strfv ) BCGEHTIABCDFJKLGMBIZNLOMAIZUBLPMDIZQCUCUBUDRFSUA $.

    $( The multiplicative operation of a constructed ring.  (Contributed by
       Mario Carneiro, 2-Oct-2013.)  (Revised by Mario Carneiro,
       30-Apr-2015.) $)
    rngmulr $p |- ( .x. e. V -> .x. = ( .r ` R ) ) $=
      ( cmulr c1 cop rngstr mulrid cnx cfv csn cbs cplusg ctp snsstp3 sseqtrri
      c3 strfv ) DCGEHTIABCDFJKLGMDIZNLOMAIZLPMBIZUBQCUCUDUBRFSUA $.
  $}

  $( Index value of the ~ df-starv slot.  (Contributed by Mario Carneiro,
     14-Aug-2015.) $)
  starvndx $p |- ( *r ` ndx ) = 4 $=
    ( cstv c4 df-starv 4nn ndxarg ) ABCDE $.

  $( Utility theorem: index-independent form of ~ df-starv .  (Contributed by
     Mario Carneiro, 6-Oct-2013.) $)
  starvid $p |- *r = Slot ( *r ` ndx ) $=
    ( cstv c4 df-starv 4nn ndxid ) ABCDE $.

  $( The slot for the involution function is not the slot for the base set in
     an extensible structure.  Formerly part of proof for ~ ressstarv .
     (Contributed by AV, 18-Oct-2024.) $)
  starvndxnbasendx $p |- ( *r ` ndx ) =/= ( Base ` ndx ) $=
    ( cnx cstv cfv cbs wne c4 c1 1re 1lt4 gtneii starvndx basendx neeq12i mpbir
    ) ABCZADCZEFGEGFHIJOFPGKLMN $.

  $( The slot for the involution function is not the slot for the base set in
     an extensible structure.  Formerly part of proof for ~ ressstarv .
     (Contributed by AV, 18-Oct-2024.) $)
  starvndxnplusgndx $p |- ( *r ` ndx ) =/= ( +g ` ndx ) $=
    ( cnx cstv cfv cplusg wne c4 c2 2lt4 gtneii starvndx plusgndx neeq12i mpbir
    2re ) ABCZADCZEFGEGFNHIOFPGJKLM $.

  $( The slot for the involution function is not the slot for the base set in
     an extensible structure.  Formerly part of proof for ~ ressstarv .
     (Contributed by AV, 18-Oct-2024.) $)
  starvndxnmulrndx $p |- ( *r ` ndx ) =/= ( .r ` ndx ) $=
    ( cnx cstv cfv cmulr wne c4 3re 3lt4 gtneii starvndx mulrndx neeq12i mpbir
    c3 ) ABCZADCZEFNENFGHIOFPNJKLM $.

  ${
    ressmulr.1 $e |- S = ( R |`s A ) $.
    ${
      ressmulr.2 $e |- .x. = ( .r ` R ) $.
      $( ` .r ` is unaffected by restriction.  (Contributed by Stefan O'Rear,
         27-Nov-2014.) $)
      ressmulr $p |- ( A e. V -> .x. = ( .r ` S ) ) $=
        ( cmulr mulrid cnx cbs cfv basendxnmulrndx necomi resseqnbas ) ADCHEBFG
        IJKLJHLMNO $.
    $}

    ${
      ressstarv.2 $e |- .* = ( *r ` R ) $.
      $( ` *r ` is unaffected by restriction.  (Contributed by Mario Carneiro,
         9-Oct-2015.) $)
      ressstarv $p |- ( A e. V -> .* = ( *r ` S ) ) $=
        ( cstv starvid starvndxnbasendx resseqnbas ) ADCHEBFGIJK $.
    $}
  $}

  ${
    srngstr.r $e |- R = ( {
      <. ( Base ` ndx ) , B >. , <. ( +g ` ndx ) , .+ >. ,
      <. ( .r ` ndx ) , .x. >. } u. { <. ( *r ` ndx ) , .* >. } ) $.
    $( A constructed star ring is a structure.  (Contributed by Mario Carneiro,
       18-Nov-2013.)  (Revised by Mario Carneiro, 14-Aug-2015.) $)
    srngstr $p |- R Struct <. 1 , 4 >. $=
      ( cnx cbs cfv cop cplusg cmulr ctp cstv csn cun c1 c4 cstr c3 eqid rngstr
      4nn starvndx strle1 3lt4 strleun eqbrtri ) CGHIAJGKIBJGLIDJMZGNIZEJOZPQRJ
      SFQTRRUIUKABUIDUIUAUBUJREUCUDUEUFUGUH $.

    $( The base set of a constructed star ring.  (Contributed by Mario
       Carneiro, 18-Nov-2013.)  (Revised by Mario Carneiro, 6-May-2015.) $)
    srngbase $p |- ( B e. X -> B = ( Base ` R ) ) $=
      ( cbs c1 c4 cop srngstr baseid cnx cfv csn cplusg cmulr ctp snsstp1 ssun1
      cstv cun sseqtrri sstri strfv ) ACHFIJKABCDEGLMNHOAKZPUGNQOBKZNRODKZSZCUG
      UHUITUJUJNUBOEKPZUCCUJUKUAGUDUEUF $.

    $( The addition operation of a constructed star ring.  (Contributed by
       Mario Carneiro, 20-Jun-2015.) $)
    srngplusg $p |- ( .+ e. X -> .+ = ( +g ` R ) ) $=
      ( cplusg c1 c4 cop srngstr plusgid cnx cfv csn cbs cmulr ctp snsstp2 cstv
      cun ssun1 sseqtrri sstri strfv ) BCHFIJKABCDEGLMNHOBKZPNQOAKZUGNRODKZSZCU
      HUGUITUJUJNUAOEKPZUBCUJUKUCGUDUEUF $.

    $( The multiplication operation of a constructed star ring.  (Contributed
       by Mario Carneiro, 20-Jun-2015.) $)
    srngmulr $p |- ( .x. e. X -> .x. = ( .r ` R ) ) $=
      ( cmulr c1 c4 cop srngstr mulrid cnx cfv csn cbs cplusg ctp snsstp3 ssun1
      cstv cun sseqtrri sstri strfv ) DCHFIJKABCDEGLMNHODKZPNQOAKZNROBKZUGSZCUH
      UIUGTUJUJNUBOEKPZUCCUJUKUAGUDUEUF $.

    $( The involution function of a constructed star ring.  (Contributed by
       Mario Carneiro, 20-Jun-2015.) $)
    srnginvl $p |- ( .* e. X -> .* = ( *r ` R ) ) $=
      ( cstv c1 c4 cop srngstr starvid cnx cfv csn cbs cplusg cmulr ctp ssun2
      cun sseqtrri strfv ) ECHFIJKABCDEGLMNHOEKPZNQOAKNROBKNSODKTZUEUBCUEUFUAGU
      CUD $.
  $}

  $( Index value of the ~ df-sca slot.  (Contributed by Mario Carneiro,
     14-Aug-2015.) $)
  scandx $p |- ( Scalar ` ndx ) = 5 $=
    ( csca c5 df-sca 5nn ndxarg ) ABCDE $.

  $( Utility theorem: index-independent form of scalar ~ df-sca .  (Contributed
     by Mario Carneiro, 19-Jun-2014.) $)
  scaid $p |- Scalar = Slot ( Scalar ` ndx ) $=
    ( csca c5 df-sca 5nn ndxid ) ABCDE $.

  $( The slot for the scalar is not the slot for the base set in an extensible
     structure.  (Contributed by AV, 21-Oct-2024.) $)
  scandxnbasendx $p |- ( Scalar ` ndx ) =/= ( Base ` ndx ) $=
    ( cnx csca cfv cbs wne c5 c1 1re 1lt5 gtneii scandx basendx neeq12i mpbir )
    ABCZADCZEFGEGFHIJOFPGKLMN $.

  $( The slot for the scalar field is not the slot for the group operation in
     an extensible structure.  Formerly part of proof for ~ mgpsca .
     (Contributed by AV, 18-Oct-2024.) $)
  scandxnplusgndx $p |- ( Scalar ` ndx ) =/= ( +g ` ndx ) $=
    ( cnx csca cfv cplusg wne c5 2re 2lt5 gtneii scandx plusgndx neeq12i mpbir
    c2 ) ABCZADCZEFNENFGHIOFPNJKLM $.

  $( The slot for the scalar field is not the slot for the ring
     (multiplication) operation in an extensible structure.  Formerly part of
     proof for ~ mgpsca .  (Contributed by AV, 29-Oct-2024.) $)
  scandxnmulrndx $p |- ( Scalar ` ndx ) =/= ( .r ` ndx ) $=
    ( cnx csca cfv cmulr wne c5 c3 3re 3lt5 gtneii scandx mulrndx neeq12i mpbir
    ) ABCZADCZEFGEGFHIJOFPGKLMN $.

  $( Index value of the ~ df-vsca slot.  (Contributed by Mario Carneiro,
     14-Aug-2015.) $)
  vscandx $p |- ( .s ` ndx ) = 6 $=
    ( cvsca c6 df-vsca 6nn ndxarg ) ABCDE $.

  $( Utility theorem: index-independent form of scalar product ~ df-vsca .
     (Contributed by Mario Carneiro, 2-Oct-2013.)  (Revised by Mario Carneiro,
     19-Jun-2014.) $)
  vscaid $p |- .s = Slot ( .s ` ndx ) $=
    ( cvsca c6 df-vsca 6nn ndxid ) ABCDE $.

  $( The slot for the scalar product is not the slot for the base set in an
     extensible structure.  Formerly part of proof for ~ rmodislmod .
     (Contributed by AV, 18-Oct-2024.) $)
  vscandxnbasendx $p |- ( .s ` ndx ) =/= ( Base ` ndx ) $=
    ( cnx cvsca cfv cbs wne c6 c1 1re 1lt6 gtneii vscandx basendx neeq12i mpbir
    ) ABCZADCZEFGEGFHIJOFPGKLMN $.

  $( The slot for the scalar product is not the slot for the group operation in
     an extensible structure.  Formerly part of proof for ~ rmodislmod .
     (Contributed by AV, 18-Oct-2024.) $)
  vscandxnplusgndx $p |- ( .s ` ndx ) =/= ( +g ` ndx ) $=
    ( cnx cvsca cfv cplusg wne c6 c2 2lt6 gtneii vscandx plusgndx neeq12i mpbir
    2re ) ABCZADCZEFGEGFNHIOFPGJKLM $.

  $( The slot for the scalar product is not the slot for the ring
     (multiplication) operation in an extensible structure.  Formerly part of
     proof for ~ rmodislmod .  (Contributed by AV, 29-Oct-2024.) $)
  vscandxnmulrndx $p |- ( .s ` ndx ) =/= ( .r ` ndx ) $=
    ( cnx cvsca cfv cmulr wne c6 3re 3lt6 gtneii vscandx mulrndx neeq12i mpbir
    c3 ) ABCZADCZEFNENFGHIOFPNJKLM $.

  $( The slot for the scalar product is not the slot for the scalar field in an
     extensible structure.  Formerly part of proof for ~ rmodislmod .
     (Contributed by AV, 18-Oct-2024.) $)
  vscandxnscandx $p |- ( .s ` ndx ) =/= ( Scalar ` ndx ) $=
    ( cnx cvsca cfv csca wne c6 c5 5re 5lt6 gtneii vscandx scandx neeq12i mpbir
    ) ABCZADCZEFGEGFHIJOFPGKLMN $.

  ${
    lmodstr.w $e |- W = ( { <. ( Base ` ndx ) , B >. ,
                            <. ( +g ` ndx ) , .+ >. ,
                            <. ( Scalar ` ndx ) , F >. }
                       u. { <. ( .s ` ndx ) , .x. >. } ) $.
    $( A constructed left module or left vector space is a structure.
       (Contributed by Mario Carneiro, 1-Oct-2013.)  (Revised by Mario
       Carneiro, 29-Aug-2015.) $)
    lmodstr $p |- W Struct <. 1 , 6 >. $=
      ( cnx cbs cfv cop cplusg csca ctp cvsca csn cun c1 c6 cstr c5 1nn basendx
      c2 1lt2 2nn plusgndx 5nn scandx strle3 6nn vscandx strle1 strleun eqbrtri
      2lt5 5lt6 ) EGHIZAJGKIZBJGLIZDJMZGNIZCJOZPQRJSFQTRRUTVBUQURUSQUCTABDUAUBU
      DUEUFUOUGUHUIVARCUJUKULUPUMUN $.

    $( The base set of a constructed left vector space.  (Contributed by Mario
       Carneiro, 2-Oct-2013.)  (Revised by Mario Carneiro, 29-Aug-2015.) $)
    lmodbase $p |- ( B e. X -> B = ( Base ` W ) ) $=
      ( cbs c1 c6 cop lmodstr baseid cnx cfv csn cplusg csca ctp snsstp1 cvsca
      cun ssun1 sseqtrri sstri strfv ) AEHFIJKABCDEGLMNHOAKZPUGNQOBKZNRODKZSZEU
      GUHUITUJUJNUAOCKPZUBEUJUKUCGUDUEUF $.

    $( The additive operation of a constructed left vector space.  (Contributed
       by Mario Carneiro, 2-Oct-2013.)  (Revised by Mario Carneiro,
       29-Aug-2015.) $)
    lmodplusg $p |- ( .+ e. X -> .+ = ( +g ` W ) ) $=
      ( cplusg c1 c6 cop lmodstr plusgid cnx cfv csn cbs csca ctp snsstp2 cvsca
      cun ssun1 sseqtrri sstri strfv ) BEHFIJKABCDEGLMNHOBKZPNQOAKZUGNRODKZSZEU
      HUGUITUJUJNUAOCKPZUBEUJUKUCGUDUEUF $.

    $( The set of scalars of a constructed left vector space.  (Contributed by
       Mario Carneiro, 2-Oct-2013.)  (Revised by Mario Carneiro,
       29-Aug-2015.) $)
    lmodsca $p |- ( F e. X -> F = ( Scalar ` W ) ) $=
      ( csca c1 c6 cop lmodstr scaid cnx cfv csn cbs cplusg ctp snsstp3 cvsca
      cun ssun1 sseqtrri sstri strfv ) DEHFIJKABCDEGLMNHODKZPNQOAKZNROBKZUGSZEU
      HUIUGTUJUJNUAOCKPZUBEUJUKUCGUDUEUF $.

    $( The scalar product operation of a constructed left vector space.
       (Contributed by Mario Carneiro, 2-Oct-2013.)  (Revised by Mario
       Carneiro, 29-Aug-2015.) $)
    lmodvsca $p |- ( .x. e. X -> .x. = ( .s ` W ) ) $=
      ( cvsca c1 c6 cop lmodstr vscaid cnx cfv csn cbs cplusg csca ctp sseqtrri
      cun ssun2 strfv ) CEHFIJKABCDEGLMNHOCKPZNQOAKNROBKNSODKTZUEUBEUEUFUCGUAUD
      $.
  $}

  $( Index value of the ~ df-ip slot.  (Contributed by Mario Carneiro,
     14-Aug-2015.) $)
  ipndx $p |- ( .i ` ndx ) = 8 $=
    ( cip c8 df-ip 8nn ndxarg ) ABCDE $.

  $( Utility theorem: index-independent form of ~ df-ip .  (Contributed by
     Mario Carneiro, 6-Oct-2013.) $)
  ipid $p |- .i = Slot ( .i ` ndx ) $=
    ( cip c8 df-ip 8nn ndxid ) ABCDE $.

  $( The slot for the inner product is not the slot for the base set in an
     extensible structure.  (Contributed by AV, 21-Oct-2024.) $)
  ipndxnbasendx $p |- ( .i ` ndx ) =/= ( Base ` ndx ) $=
    ( cnx cip cfv cbs wne c8 c1 1re 1lt8 gtneii ipndx basendx neeq12i mpbir ) A
    BCZADCZEFGEGFHIJOFPGKLMN $.

  $( The slot for the inner product is not the slot for the group operation in
     an extensible structure.  (Contributed by AV, 29-Oct-2024.) $)
  ipndxnplusgndx $p |- ( .i ` ndx ) =/= ( +g ` ndx ) $=
    ( cnx cip cfv cplusg wne c8 c2 2re 2lt8 gtneii ipndx plusgndx neeq12i mpbir
    ) ABCZADCZEFGEGFHIJOFPGKLMN $.

  $( The slot for the inner product is not the slot for the ring
     (multiplication) operation in an extensible structure.  Formerly part of
     proof for ~ mgpsca .  (Contributed by AV, 29-Oct-2024.) $)
  ipndxnmulrndx $p |- ( .i ` ndx ) =/= ( .r ` ndx ) $=
    ( cnx cip cfv cmulr wne c8 c3 3re 3lt8 gtneii ipndx mulrndx neeq12i mpbir )
    ABCZADCZEFGEGFHIJOFPGKLMN $.

  ${
    ipspart.a $e |- A = ( { <. ( Base ` ndx ) , B >. ,
       <. ( +g ` ndx ) , .+ >. , <. ( .r ` ndx ) , .X. >. } u.
     { <. ( Scalar ` ndx ) , S >. , <. ( .s ` ndx ) , .x. >. ,
       <. ( .i ` ndx ) , I >. } ) $.
    $( Lemma to shorten proofs of ~ ipsbase through ~ ipsvsca .  (Contributed
       by Stefan O'Rear, 27-Nov-2014.)  (Revised by Mario Carneiro,
       29-Aug-2015.)  (Revised by Thierry Arnoux, 16-Jun-2019.) $)
    ipsstr $p |- A Struct <. 1 , 8 >. $=
      ( cnx cbs cfv cop cplusg cmulr ctp csca cvsca c1 c8 c5 cip cstr c3 rngstr
      cun eqid c6 5nn scandx 5lt6 6nn vscandx 6lt8 ipndx strle3 strleun eqbrtri
      8nn 3lt5 ) AIJKBLIMKCLINKFLOZIPKZDLIQKZELIUAKZGLOZUERSLUBHRUCTSUTVDBCUTFU
      TUFUDVAVBVCTUGSDEGUHUIUJUKULUMURUNUOUSUPUQ $.

    $( The base set of a constructed inner product space.  (Contributed by
       Stefan O'Rear, 27-Nov-2014.)  (Revised by Mario Carneiro, 29-Aug-2015.)
       (Revised by Thierry Arnoux, 16-Jun-2019.) $)
    ipsbase $p |- ( B e. V -> B = ( Base ` A ) ) $=
      ( cbs c1 c8 cop ipsstr baseid cnx cfv csn cplusg ctp cmulr csca cvsca cip
      snsstp1 cun ssun1 sseqtrri sstri strfv ) BAJHKLMABCDEFGINOPJQBMZRUKPSQCMZ
      PUAQFMZTZAUKULUMUEUNUNPUBQDMPUCQEMPUDQGMTZUFAUNUOUGIUHUIUJ $.

    $( The additive operation of a constructed inner product space.
       (Contributed by Stefan O'Rear, 27-Nov-2014.)  (Revised by Mario
       Carneiro, 29-Aug-2015.)  (Revised by Thierry Arnoux, 16-Jun-2019.) $)
    ipsaddg $p |- ( .+ e. V -> .+ = ( +g ` A ) ) $=
      ( cplusg c1 c8 cop ipsstr plusgid cnx cfv csn cbs ctp cmulr snsstp2 cvsca
      csca cip cun ssun1 sseqtrri sstri strfv ) CAJHKLMABCDEFGINOPJQCMZRPSQBMZU
      KPUAQFMZTZAULUKUMUBUNUNPUDQDMPUCQEMPUEQGMTZUFAUNUOUGIUHUIUJ $.

    $( The multiplicative operation of a constructed inner product space.
       (Contributed by Stefan O'Rear, 27-Nov-2014.)  (Revised by Mario
       Carneiro, 29-Aug-2015.)  (Revised by Thierry Arnoux, 16-Jun-2019.) $)
    ipsmulr $p |- ( .X. e. V -> .X. = ( .r ` A ) ) $=
      ( cmulr c1 c8 cop ipsstr mulrid cnx cfv csn cbs ctp cplusg csca cvsca cip
      snsstp3 cun ssun1 sseqtrri sstri strfv ) FAJHKLMABCDEFGINOPJQFMZRPSQBMZPU
      AQCMZUKTZAULUMUKUEUNUNPUBQDMPUCQEMPUDQGMTZUFAUNUOUGIUHUIUJ $.

    $( The set of scalars of a constructed inner product space.  (Contributed
       by Stefan O'Rear, 27-Nov-2014.)  (Revised by Mario Carneiro,
       29-Aug-2015.)  (Revised by Thierry Arnoux, 16-Jun-2019.) $)
    ipssca $p |- ( S e. V -> S = ( Scalar ` A ) ) $=
      ( csca c1 c8 cop ipsstr scaid cnx cfv csn cvsca ctp cip snsstp1 cbs cmulr
      cplusg cun ssun2 sseqtrri sstri strfv ) DAJHKLMABCDEFGINOPJQDMZRUKPSQEMZP
      UAQGMZTZAUKULUMUBUNPUCQBMPUEQCMPUDQFMTZUNUFAUNUOUGIUHUIUJ $.

    $( The scalar product operation of a constructed inner product space.
       (Contributed by Stefan O'Rear, 27-Nov-2014.)  (Revised by Mario
       Carneiro, 29-Aug-2015.)  (Revised by Thierry Arnoux, 16-Jun-2019.) $)
    ipsvsca $p |- ( .x. e. V -> .x. = ( .s ` A ) ) $=
      ( cvsca c1 c8 cop ipsstr vscaid cnx cfv csn csca ctp snsstp2 cplusg cmulr
      cip cbs cun ssun2 sseqtrri sstri strfv ) EAJHKLMABCDEFGINOPJQEMZRPSQDMZUK
      PUDQGMZTZAULUKUMUAUNPUEQBMPUBQCMPUCQFMTZUNUFAUNUOUGIUHUIUJ $.

    $( The multiplicative operation of a constructed inner product space.
       (Contributed by Stefan O'Rear, 27-Nov-2014.)  (Revised by Mario
       Carneiro, 29-Aug-2015.)  (Revised by Thierry Arnoux, 16-Jun-2019.) $)
    ipsip $p |- ( I e. V -> I = ( .i ` A ) ) $=
      ( cip c1 c8 cop ipsstr ipid cnx cfv csn csca ctp cvsca snsstp3 cbs cplusg
      cmulr cun ssun2 sseqtrri sstri strfv ) GAJHKLMABCDEFGINOPJQGMZRPSQDMZPUAQ
      EMZUKTZAULUMUKUBUNPUCQBMPUDQCMPUEQFMTZUNUFAUNUOUGIUHUIUJ $.
  $}

  ${
    resssca.1 $e |- H = ( G |`s A ) $.
    ${
      resssca.2 $e |- F = ( Scalar ` G ) $.
      $( ` Scalar ` is unaffected by restriction.  (Contributed by Mario
         Carneiro, 7-Dec-2014.) $)
      resssca $p |- ( A e. V -> F = ( Scalar ` H ) ) $=
        ( csca scaid scandxnbasendx resseqnbas ) ABDHECFGIJK $.
    $}

    ${
      ressvsca.2 $e |- .x. = ( .s ` G ) $.
      $( ` .s ` is unaffected by restriction.  (Contributed by Mario Carneiro,
         7-Dec-2014.) $)
      ressvsca $p |- ( A e. V -> .x. = ( .s ` H ) ) $=
        ( cvsca vscaid vscandxnbasendx resseqnbas ) ABDHECFGIJK $.
    $}

    ${
      ressip.2 $e |- ., = ( .i ` G ) $.
      $( The inner product is unaffected by restriction.  (Contributed by
         Thierry Arnoux, 16-Jun-2019.) $)
      ressip $p |- ( A e. V -> ., = ( .i ` H ) ) $=
        ( cip ipid ipndxnbasendx resseqnbas ) ADCHEBFGIJK $.
    $}
  $}

  ${
    phlfn.h $e |- H = ( { <. ( Base ` ndx ) , B >. , <. ( +g ` ndx ) , .+ >. ,
               <. ( Scalar ` ndx ) , T >. }
            u. { <. ( .s ` ndx ) , .x. >. , <. ( .i ` ndx ) , ., >. } ) $.
    $( A constructed pre-Hilbert space is a structure.  Starting from ~ lmodstr
       (which has 4 members), we chain ~ strleun once more, adding an ordered
       pair to the function, to get all 5 members.  (Contributed by Mario
       Carneiro, 1-Oct-2013.)  (Revised by Mario Carneiro, 29-Aug-2015.) $)
    phlstr $p |- H Struct <. 1 , 8 >. $=
      ( cnx cbs cfv cop cplusg csca ctp cvsca csn cun cip c1 c8 cstr cpr uneq2i
      df-pr unass 3eqtr4i c6 eqid lmodstr 8nn ipndx strle1 6lt8 strleun eqbrtri
      ) EHIJAKHLJBKHMJCKNZHOJDKZPZQZHRJZFKZPZQZSTKUAUPUQVAUBZQUPURVBQZQEVCVDVEU
      PUQVAUDUCGUPURVBUEUFSUGTTUSVBABDCUSUSUHUIUTTFUJUKULUMUNUO $.

    $( The base set of a constructed pre-Hilbert space.  (Contributed by Mario
       Carneiro, 6-Oct-2013.)  (Revised by Mario Carneiro, 29-Aug-2015.) $)
    phlbase $p |- ( B e. X -> B = ( Base ` H ) ) $=
      ( cbs c1 c8 cop phlstr baseid cnx cfv csn cplusg csca ctp snsstp1 cip cpr
      cvsca cun ssun1 sseqtrri sstri strfv ) AEIGJKLABCDEFHMNOIPALZQUJORPBLZOSP
      CLZTZEUJUKULUAUMUMOUDPDLOUBPFLUCZUEEUMUNUFHUGUHUI $.

    $( The additive operation of a constructed pre-Hilbert space.  (Contributed
       by Mario Carneiro, 6-Oct-2013.)  (Revised by Mario Carneiro,
       29-Aug-2015.) $)
    phlplusg $p |- ( .+ e. X -> .+ = ( +g ` H ) ) $=
      ( cplusg c1 c8 cop phlstr plusgid cnx cfv csn cbs csca ctp cvsca sseqtrri
      snsstp2 cip cpr cun ssun1 sstri strfv ) BEIGJKLABCDEFHMNOIPBLZQORPALZUJOS
      PCLZTZEUKUJULUCUMUMOUAPDLOUDPFLUEZUFEUMUNUGHUBUHUI $.

    $( The ring of scalars of a constructed pre-Hilbert space.  (Contributed by
       Mario Carneiro, 6-Oct-2013.)  (Revised by Mario Carneiro,
       29-Aug-2015.) $)
    phlsca $p |- ( T e. X -> T = ( Scalar ` H ) ) $=
      ( csca c1 c8 cop phlstr scaid cnx cfv csn cbs cplusg ctp snsstp3 sseqtrri
      cvsca cip cpr cun ssun1 sstri strfv ) CEIGJKLABCDEFHMNOIPCLZQORPALZOSPBLZ
      UJTZEUKULUJUAUMUMOUCPDLOUDPFLUEZUFEUMUNUGHUBUHUI $.

    $( The scalar product operation of a constructed pre-Hilbert space.
       (Contributed by Mario Carneiro, 6-Oct-2013.)  (Revised by Mario
       Carneiro, 29-Aug-2015.) $)
    phlvsca $p |- ( .x. e. X -> .x. = ( .s ` H ) ) $=
      ( cvsca c1 c8 cop phlstr vscaid cnx cfv csn cip cpr snsspr1 cbs ctp ssun2
      cplusg csca cun sseqtrri sstri strfv ) DEIGJKLABCDEFHMNOIPDLZQUJORPFLZSZE
      UJUKTULOUAPALOUDPBLOUEPCLUBZULUFEULUMUCHUGUHUI $.

    $( The inner product (Hermitian form) operation of a constructed
       pre-Hilbert space.  (Contributed by Mario Carneiro, 6-Oct-2013.)
       (Revised by Mario Carneiro, 29-Aug-2015.) $)
    phlip $p |- ( ., e. X -> ., = ( .i ` H ) ) $=
      ( cip c1 c8 cop phlstr ipid cnx cfv csn cvsca cpr snsspr2 cbs cplusg csca
      ctp cun ssun2 sseqtrri sstri strfv ) FEIGJKLABCDEFHMNOIPFLZQORPDLZUJSZEUK
      UJTULOUAPALOUBPBLOUCPCLUDZULUEEULUMUFHUGUHUI $.
  $}

  $( Index value of the ~ df-tset slot.  (Contributed by Mario Carneiro,
     14-Aug-2015.) $)
  tsetndx $p |- ( TopSet ` ndx ) = 9 $=
    ( cts c9 df-tset 9nn ndxarg ) ABCDE $.

  $( Utility theorem: index-independent form of ~ df-tset .  (Contributed by
     NM, 20-Oct-2012.) $)
  tsetid $p |- TopSet = Slot ( TopSet ` ndx ) $=
    ( cts c9 df-tset 9nn ndxid ) ABCDE $.

  $( The index of the slot for the group operation in an extensible structure
     is a positive integer.  (Contributed by AV, 31-Oct-2024.) $)
  tsetndxnn $p |- ( TopSet ` ndx ) e. NN $=
    ( cnx cts cfv c9 cn tsetndx 9nn eqeltri ) ABCDEFGH $.

  $( The index of the slot for the base set is less then the index of the slot
     for the topology in an extensible structure.  (Contributed by AV,
     31-Oct-2024.) $)
  basendxlttsetndx $p |- ( Base ` ndx ) < ( TopSet ` ndx ) $=
    ( c1 c9 cnx cbs cfv cts clt 1lt9 basendx tsetndx 3brtr4i ) ABCDECFEGHIJK $.

  $( The slot for the topology is not the slot for the base set in an
     extensible structure.  (Contributed by AV, 21-Oct-2024.)  (Proof shortened
     by AV, 31-Oct-2024.) $)
  tsetndxnbasendx $p |- ( TopSet ` ndx ) =/= ( Base ` ndx ) $=
    ( cnx cbs cfv cts basendxnn nnrei basendxlttsetndx gtneii ) ABCZADCIEFGH $.

  $( The slot for the topology is not the slot for the group operation in an
     extensible structure.  Formerly part of proof for ~ oppgtset .
     (Contributed by AV, 18-Oct-2024.) $)
  tsetndxnplusgndx $p |- ( TopSet ` ndx ) =/= ( +g ` ndx ) $=
    ( cnx cts cfv cplusg wne c9 2re 2lt9 gtneii tsetndx plusgndx neeq12i mpbir
    c2 ) ABCZADCZEFNENFGHIOFPNJKLM $.

  $( The slot for the topology is not the slot for the ring multiplication
     operation in an extensible structure.  (Contributed by AV,
     31-Oct-2024.) $)
  tsetndxnmulrndx $p |- ( TopSet ` ndx ) =/= ( .r ` ndx ) $=
    ( cnx cts cfv cmulr wne c9 c3 3re 3lt9 gtneii tsetndx mulrndx neeq12i mpbir
    ) ABCZADCZEFGEGFHIJOFPGKLMN $.

  $( The slots ` Scalar ` , ` .s ` and ` .i ` are different from the slot
     ` TopSet ` .  Formerly part of ~ sralem and proofs using it.  (Contributed
     by AV, 29-Oct-2024.) $)
  slotstnscsi $p |- ( ( TopSet ` ndx ) =/= ( Scalar ` ndx )
                   /\ ( TopSet ` ndx ) =/= ( .s ` ndx )
                   /\ ( TopSet ` ndx ) =/= ( .i ` ndx ) ) $=
    ( cnx cts cfv csca wne cvsca cip c9 c5 5re 5lt9 gtneii tsetndx scandx mpbir
    neeq12i c6 6re 6lt9 c8 vscandx 8re 8lt9 ipndx 3pm3.2i ) ABCZADCZEZUFAFCZEZU
    FAGCZEZUHHIEIHJKLUFHUGIMNPOUJHQEQHRSLUFHUIQMUAPOULHTETHUBUCLUFHUKTMUDPOUE
    $.

  ${
    topgrpfn.w $e |- W = { <. ( Base ` ndx ) , B >. ,
       <. ( +g ` ndx ) , .+ >. , <. ( TopSet ` ndx ) , J >. } $.
    $( A constructed topological group is a structure.  (Contributed by Mario
       Carneiro, 29-Aug-2015.) $)
    topgrpstr $p |- W Struct <. 1 , 9 >. $=
      ( cnx cbs cfv cop cplusg cts ctp c1 c9 cstr c2 1nn basendx 1lt2 2nn 2lt9
      plusgndx 9nn tsetndx strle3 eqbrtri ) DFGHZAIFJHZBIFKHZCILMNIOEUGUHUIMPNA
      BCQRSTUBUAUCUDUEUF $.

    $( The base set of a constructed topological group.  (Contributed by Mario
       Carneiro, 29-Aug-2015.) $)
    topgrpbas $p |- ( B e. X -> B = ( Base ` W ) ) $=
      ( cbs c1 cop topgrpstr baseid cnx cfv csn cplusg cts ctp snsstp1 sseqtrri
      c9 strfv ) ADGEHTIABCDFJKLGMAIZNUBLOMBIZLPMCIZQDUBUCUDRFSUA $.

    $( The additive operation of a constructed topological group.  (Contributed
       by Mario Carneiro, 29-Aug-2015.) $)
    topgrpplusg $p |- ( .+ e. X -> .+ = ( +g ` W ) ) $=
      ( cplusg c1 c9 cop topgrpstr plusgid cnx cfv csn cbs cts snsstp2 sseqtrri
      ctp strfv ) BDGEHIJABCDFKLMGNBJZOMPNAJZUBMQNCJZTDUCUBUDRFSUA $.

    $( The topology of a constructed topological group.  (Contributed by Mario
       Carneiro, 29-Aug-2015.) $)
    topgrptset $p |- ( J e. X -> J = ( TopSet ` W ) ) $=
      ( cts c1 cop topgrpstr tsetid cnx cfv csn cbs cplusg ctp snsstp3 sseqtrri
      c9 strfv ) CDGEHTIABCDFJKLGMCIZNLOMAIZLPMBIZUBQDUCUDUBRFSUA $.
  $}

  ${
    resstset.1 $e |- H = ( G |`s A ) $.
    resstset.2 $e |- J = ( TopSet ` G ) $.
    $( ` TopSet ` is unaffected by restriction.  (Contributed by Mario
       Carneiro, 13-Aug-2015.) $)
    resstset $p |- ( A e. V -> J = ( TopSet ` H ) ) $=
      ( cts tsetid tsetndxnbasendx resseqnbas ) ADCHEBFGIJK $.
  $}

  $( Index value of the ~ df-ple slot.  (Contributed by Mario Carneiro,
     14-Aug-2015.)  (Revised by AV, 9-Sep-2021.) $)
  plendx $p |- ( le ` ndx ) = ; 1 0 $=
    ( cple c1 cc0 cdc df-ple 10nn ndxarg ) ABCDEFG $.

  $( Utility theorem: self-referencing, index-independent form of ~ df-ple .
     (Contributed by NM, 9-Nov-2012.)  (Revised by AV, 9-Sep-2021.) $)
  pleid $p |- le = Slot ( le ` ndx ) $=
    ( cple c1 cc0 cdc df-ple 10nn ndxid ) ABCDEFG $.

  $( The index value of the order slot is a positive integer.  This property
     should be ensured for every concrete coding because otherwise it could not
     be used in an extensible structure (slots must be positive integers).
     (Contributed by AV, 30-Oct-2024.) $)
  plendxnn $p |- ( le ` ndx ) e. NN $=
    ( cnx cple cfv c1 cc0 cdc cn plendx 10nn eqeltri ) ABCDEFGHIJ $.

  $( The index value of the ` Base ` slot is less than the index value of the
     ` le ` slot.  (Contributed by AV, 30-Oct-2024.) $)
  basendxltplendx $p |- ( Base ` ndx ) < ( le ` ndx ) $=
    ( c1 cc0 cdc cnx cbs cfv cple clt 1lt10 basendx plendx 3brtr4i ) AABCDEFDGF
    HIJKL $.

  $( The slot for the order is not the slot for the base set in an extensible
     structure.  (Contributed by AV, 21-Oct-2024.)  (Proof shortened by AV,
     30-Oct-2024.) $)
  plendxnbasendx $p |- ( le ` ndx ) =/= ( Base ` ndx ) $=
    ( cnx cbs cfv cple basendxnn nnrei basendxltplendx gtneii ) ABCZADCIEFGH $.

  $( The slot for the "less than or equal to" ordering is not the slot for the
     group operation in an extensible structure.  Formerly part of proof for
     ~ oppgle .  (Contributed by AV, 18-Oct-2024.) $)
  plendxnplusgndx $p |- ( le ` ndx ) =/= ( +g ` ndx ) $=
    ( cnx cfv cplusg wne c1 cc0 cdc c2 2re 2lt10 gtneii plendx plusgndx neeq12i
    cple mpbir ) AOBZACBZDEFGZHDHSIJKQSRHLMNP $.

  $( The slot for the "less than or equal to" ordering is not the slot for the
     ring multiplication operation in an extensible structure.  Formerly part
     of proof for ~ opsrmulr .  (Contributed by AV, 1-Nov-2024.) $)
  plendxnmulrndx $p |- ( le ` ndx ) =/= ( .r ` ndx ) $=
    ( cnx cple cfv cmulr wne c1 cc0 cdc 3re 3lt10 gtneii plendx mulrndx neeq12i
    c3 mpbir ) ABCZADCZEFGHZOEOSIJKQSROLMNP $.

  $( The slot for the "less than or equal to" ordering is not the slot for the
     scalar in an extensible structure.  Formerly part of proof for ~ opsrsca .
     (Contributed by AV, 1-Nov-2024.) $)
  plendxnscandx $p |- ( le ` ndx ) =/= ( Scalar ` ndx ) $=
    ( cnx cple cfv csca wne c1 cc0 cdc c5 5re 5lt10 gtneii plendx neeq12i mpbir
    scandx ) ABCZADCZEFGHZIEISJKLQSRIMPNO $.

  $( The slot for the "less than or equal to" ordering is not the slot for the
     scalar product in an extensible structure.  Formerly part of proof for
     ~ opsrvsca .  (Contributed by AV, 1-Nov-2024.) $)
  plendxnvscandx $p |- ( le ` ndx ) =/= ( .s ` ndx ) $=
    ( cnx cple cfv cvsca wne c1 cc0 cdc 6re 6lt10 gtneii plendx vscandx neeq12i
    c6 mpbir ) ABCZADCZEFGHZOEOSIJKQSROLMNP $.

  ${
    otpsstr.w $e |- K = { <. ( Base ` ndx ) , B >. ,
      <. ( TopSet ` ndx ) , J >. , <. ( le ` ndx ) , .<_ >. } $.
    $( Functionality of a topological ordered space.  (Contributed by Mario
       Carneiro, 12-Nov-2015.)  (Revised by AV, 9-Sep-2021.) $)
    otpsstr $p |- K Struct <. 1 , ; 1 0 >. $=
      ( cnx cbs cfv cop cts cple ctp c1 cc0 cdc cstr c9 1nn basendx 1lt9 plendx
      9nn tsetndx 9lt10 10nn strle3 eqbrtri ) CFGHZAIFJHZBIFKHZDILMMNOZIPEUHUIU
      JMQUKABDRSTUBUCUDUEUAUFUG $.

    $( The base set of a topological ordered space.  (Contributed by Mario
       Carneiro, 12-Nov-2015.)  (Revised by AV, 9-Sep-2021.) $)
    otpsbas $p |- ( B e. V -> B = ( Base ` K ) ) $=
      ( cbs c1 cc0 cdc cop otpsstr baseid cnx cfv csn cts cple ctp snsstp1
      sseqtrri strfv ) ACGEHHIJKABCDFLMNGOAKZPUCNQOBKZNRODKZSCUCUDUETFUAUB $.

    $( The open sets of a topological ordered space.  (Contributed by Mario
       Carneiro, 12-Nov-2015.)  (Revised by AV, 9-Sep-2021.) $)
    otpstset $p |- ( J e. V -> J = ( TopSet ` K ) ) $=
      ( cts c1 cc0 cdc cop otpsstr tsetid cnx cfv csn cbs cple ctp snsstp2
      sseqtrri strfv ) BCGEHHIJKABCDFLMNGOBKZPNQOAKZUCNRODKZSCUDUCUETFUAUB $.

    $( The order of a topological ordered space.  (Contributed by Mario
       Carneiro, 12-Nov-2015.)  (Revised by AV, 9-Sep-2021.) $)
    otpsle $p |- ( .<_ e. V -> .<_ = ( le ` K ) ) $=
      ( cple c1 cc0 cdc cop otpsstr pleid cnx cfv csn cbs cts ctp snsstp3 strfv
      sseqtrri ) DCGEHHIJKABCDFLMNGODKZPNQOAKZNROBKZUCSCUDUEUCTFUBUA $.
  $}

  ${
    ressle.1 $e |- W = ( K |`s A ) $.
    ressle.2 $e |- .<_ = ( le ` K ) $.
    $( ` le ` is unaffected by restriction.  (Contributed by Mario Carneiro,
       3-Nov-2015.) $)
    ressle $p |- ( A e. V -> .<_ = ( le ` W ) ) $=
      ( cple pleid plendxnbasendx resseqnbas ) ACEHDBFGIJK $.
  $}

  $( Index value of the ~ df-ocomp slot.  (Contributed by Mario Carneiro,
     25-Oct-2015.) $)
  ocndx $p |- ( oc ` ndx ) = ; 1 1 $=
    ( coc c1 cdc df-ocomp 1nn0 1nn decnncl ndxarg ) ABBCDBBEFGH $.

  $( Utility theorem: index-independent form of ~ df-ocomp .  (Contributed by
     Mario Carneiro, 25-Oct-2015.) $)
  ocid $p |- oc = Slot ( oc ` ndx ) $=
    ( coc c1 cdc df-ocomp 1nn0 1nn decnncl ndxid ) ABBCDBBEFGH $.

  $( Index value of the ~ df-ds slot.  (Contributed by Mario Carneiro,
     14-Aug-2015.) $)
  dsndx $p |- ( dist ` ndx ) = ; 1 2 $=
    ( cds c1 c2 cdc df-ds 1nn0 2nn decnncl ndxarg ) ABCDEBCFGHI $.

  $( Utility theorem: index-independent form of ~ df-ds .  (Contributed by
     Mario Carneiro, 23-Dec-2013.) $)
  dsid $p |- dist = Slot ( dist ` ndx ) $=
    ( cds c1 c2 cdc df-ds 1nn0 2nn decnncl ndxid ) ABCDEBCFGHI $.

  $( The index of the slot for the distance in an extensible structure is a
     positive integer.  Formerly part of proof for ~ tmslem .  (Contributed by
     AV, 28-Oct-2024.) $)
  dsndxnn $p |- ( dist ` ndx ) e. NN $=
    ( cnx cds cfv c1 c2 cdc cn dsndx 1nn0 2nn decnncl eqeltri ) ABCDEFGHDEIJKL
    $.

  $( The index of the slot for the base set is less then the index of the slot
     for the distance in an extensible structure.  Formerly part of proof for
     ~ tmslem .  (Contributed by AV, 28-Oct-2024.) $)
  basendxltdsndx $p |- ( Base ` ndx ) < ( dist ` ndx ) $=
    ( c1 c2 cdc cnx cbs cfv cds clt 1nn 2nn0 1lt10 declti basendx dsndx 3brtr4i
    1nn0 ) AABCDEFDGFHABAIJPKLMNO $.

  $( The slot for the distance is not the slot for the base set in an
     extensible structure.  (Contributed by AV, 21-Oct-2024.)  (Proof shortened
     by AV, 28-Oct-2024.) $)
  dsndxnbasendx $p |- ( dist ` ndx ) =/= ( Base ` ndx ) $=
    ( cnx cbs cfv cds basendxnn nnrei basendxltdsndx gtneii ) ABCZADCIEFGH $.

  $( The slot for the distance function is not the slot for the group operation
     in an extensible structure.  Formerly part of proof for ~ mgpds .
     (Contributed by AV, 18-Oct-2024.) $)
  dsndxnplusgndx $p |- ( dist ` ndx ) =/= ( +g ` ndx ) $=
    ( cnx cds cfv cplusg wne c1 c2 cdc 2re 1nn 2nn0 2lt10 declti dsndx plusgndx
    gtneii neeq12i mpbir ) ABCZADCZEFGHZGEGUAIFGGJKKLMPSUATGNOQR $.

  $( The slot for the distance function is not the slot for the ring
     multiplication operation in an extensible structure.  (Contributed by AV,
     31-Oct-2024.) $)
  dsndxnmulrndx $p |- ( dist ` ndx ) =/= ( .r ` ndx ) $=
    ( cnx cds cfv cmulr wne c1 c2 cdc c3 3re 1nn 2nn0 3lt10 declti gtneii dsndx
    3nn0 mulrndx neeq12i mpbir ) ABCZADCZEFGHZIEIUCJFGIKLQMNOUAUCUBIPRST $.

  $( The slots ` Scalar ` , ` .s ` and ` .i ` are different from the slot
     ` dist ` .  Formerly part of ~ sralem and proofs using it.  (Contributed
     by AV, 29-Oct-2024.) $)
  slotsdnscsi $p |- ( ( dist ` ndx ) =/= ( Scalar ` ndx )
                   /\ ( dist ` ndx ) =/= ( .s ` ndx )
                   /\ ( dist ` ndx ) =/= ( .i ` ndx ) ) $=
    ( cnx cds cfv csca wne cvsca cip c1 c2 cdc c5 1nn 2nn0 declti dsndx neeq12i
    gtneii mpbir c6 c8 5re 5nn0 5lt10 scandx 6re 6nn0 6lt10 vscandx 8lt10 ipndx
    8re 8nn0 3pm3.2i ) ABCZADCZEZUNAFCZEZUNAGCZEZUPHIJZKEKVAUAHIKLMUBUCNQUNVAUO
    KOUDPRURVASESVAUEHISLMUFUGNQUNVAUQSOUHPRUTVATETVAUKHITLMULUINQUNVAUSTOUJPRU
    M $.

  $( The slot for the distance function is not the slot for the topology in an
     extensible structure.  Formerly part of proof for ~ tngds .  (Contributed
     by AV, 29-Oct-2024.) $)
  dsndxntsetndx $p |- ( dist ` ndx ) =/= ( TopSet ` ndx ) $=
    ( cnx cds cfv cts wne c1 c2 cdc 9re 1nn 2nn0 9nn0 9lt10 declti gtneii dsndx
    c9 tsetndx neeq12i mpbir ) ABCZADCZEFGHZQEQUCIFGQJKLMNOUAUCUBQPRST $.

  $( Index value of the ~ df-unif slot.  (Contributed by Thierry Arnoux,
     17-Dec-2017.) $)
  unifndx $p |- ( UnifSet ` ndx ) = ; 1 3 $=
    ( cunif c1 c3 cdc df-unif 1nn0 3nn decnncl ndxarg ) ABCDEBCFGHI $.

  $( Utility theorem: index-independent form of ~ df-unif .  (Contributed by
     Thierry Arnoux, 17-Dec-2017.) $)
  unifid $p |- UnifSet = Slot ( UnifSet ` ndx ) $=
    ( cunif c1 c3 cdc df-unif 1nn0 3nn decnncl ndxid ) ABCDEBCFGHI $.

  $( The index of the slot for the uniform set in an extensible structure is a
     positive integer.  Formerly part of proof for ~ tuslem .  (Contributed by
     AV, 28-Oct-2024.) $)
  unifndxnn $p |- ( UnifSet ` ndx ) e. NN $=
    ( cnx cunif cfv c1 c3 cdc cn unifndx 1nn0 3nn decnncl eqeltri ) ABCDEFGHDEI
    JKL $.

  $( The index of the slot for the base set is less then the index of the slot
     for the uniform set in an extensible structure.  Formerly part of proof
     for ~ tuslem .  (Contributed by AV, 28-Oct-2024.) $)
  basendxltunifndx $p |- ( Base ` ndx ) < ( UnifSet ` ndx ) $=
    ( c1 cdc cnx cbs cfv cunif clt 1nn 3nn0 1nn0 declti basendx unifndx 3brtr4i
    c3 1lt10 ) AAOBCDECFEGAOAHIJPKLMN $.

  $( The slot for the uniform set is not the slot for the base set in an
     extensible structure.  (Contributed by AV, 21-Oct-2024.) $)
  unifndxnbasendx $p |- ( UnifSet ` ndx ) =/= ( Base ` ndx ) $=
    ( cnx cbs cfv cunif basendxnn nnrei basendxltunifndx gtneii ) ABCZADCIEFGH
    $.

  $( The slot for the uniform set is not the slot for the topology in an
     extensible structure.  Formerly part of proof for ~ tuslem .  (Contributed
     by AV, 28-Oct-2024.) $)
  unifndxntsetndx $p |- ( UnifSet ` ndx ) =/= ( TopSet ` ndx ) $=
    ( cnx cunif cfv cts wne c1 c3 cdc c9 9re 1nn 3nn0 9nn0 9lt10 declti unifndx
    gtneii tsetndx neeq12i mpbir ) ABCZADCZEFGHZIEIUCJFGIKLMNOQUAUCUBIPRST $.

  ${
    ressunif.1 $e |- H = ( G |`s A ) $.
    ressunif.2 $e |- U = ( UnifSet ` G ) $.
    $( ` UnifSet ` is unaffected by restriction.  (Contributed by Thierry
       Arnoux, 7-Dec-2017.) $)
    ressunif $p |- ( A e. V -> U = ( UnifSet ` H ) ) $=
      ( cunif unifid unifndxnbasendx resseqnbas ) ABDHECFGIJK $.
  $}

  ${
    odrngstr.w $e |- W = ( { <. ( Base ` ndx ) , B >. ,
       <. ( +g ` ndx ) , .+ >. , <. ( .r ` ndx ) , .x. >. } u.
     { <. ( TopSet ` ndx ) , J >. , <. ( le ` ndx ) , .<_ >. ,
       <. ( dist ` ndx ) , D >. } ) $.
    $( Functionality of an ordered metric ring.  (Contributed by Mario
       Carneiro, 20-Aug-2015.)  (Proof shortened by AV, 15-Sep-2021.) $)
    odrngstr $p |- W Struct <. 1 , ; 1 2 >. $=
      ( cnx cbs cfv cop ctp c1 c2 cdc c9 cc0 1nn0 2nn cplusg cmulr cts cple cds
      cun cstr c3 eqid rngstr tsetndx 9lt10 10nn plendx 0nn0 2pos declt decnncl
      9nn dsndx strle3 3lt9 strleun eqbrtri ) GIJKALIUAKCLIUBKDLMZIUCKZELIUDKZF
      LIUEKZBLMZUFNNOPZLUGHNUHQVJVEVIACVEDVEUIUJVFVGVHQNRPVJEFBUSUKULUMUNNROSUO
      TUPUQNOSTURUTVAVBVCVD $.

    $( The base set of an ordered metric ring.  (Contributed by Mario Carneiro,
       20-Aug-2015.) $)
    odrngbas $p |- ( B e. V -> B = ( Base ` W ) ) $=
      ( cbs c1 c2 cdc cop odrngstr baseid cnx cfv csn ctp cplusg cmulr cts cple
      snsstp1 cds cun ssun1 sseqtrri sstri strfv ) AHJGKKLMNABCDEFHIOPQJRANZSUL
      QUARCNZQUBRDNZTZHULUMUNUEUOUOQUCRENQUDRFNQUFRBNTZUGHUOUPUHIUIUJUK $.

    $( The addition operation of an ordered metric ring.  (Contributed by Mario
       Carneiro, 20-Aug-2015.) $)
    odrngplusg $p |- ( .+ e. V -> .+ = ( +g ` W ) ) $=
      ( cplusg c1 c2 cdc cop odrngstr plusgid cnx cfv csn ctp cbs cmulr snsstp2
      cts cple cds cun ssun1 sseqtrri sstri strfv ) CHJGKKLMNABCDEFHIOPQJRCNZSQ
      UARANZULQUBRDNZTZHUMULUNUCUOUOQUDRENQUERFNQUFRBNTZUGHUOUPUHIUIUJUK $.

    $( The multiplication operation of an ordered metric ring.  (Contributed by
       Mario Carneiro, 20-Aug-2015.) $)
    odrngmulr $p |- ( .x. e. V -> .x. = ( .r ` W ) ) $=
      ( cmulr c1 c2 cdc cop odrngstr mulrid cnx cfv csn ctp cplusg snsstp3 cple
      cbs cts cds cun ssun1 sseqtrri sstri strfv ) DHJGKKLMNABCDEFHIOPQJRDNZSQU
      DRANZQUARCNZULTZHUMUNULUBUOUOQUERENQUCRFNQUFRBNTZUGHUOUPUHIUIUJUK $.

    $( The open sets of an ordered metric ring.  (Contributed by Mario
       Carneiro, 20-Aug-2015.) $)
    odrngtset $p |- ( J e. V -> J = ( TopSet ` W ) ) $=
      ( cts c1 c2 cdc cop odrngstr tsetid cnx cfv csn ctp cds snsstp1 cbs cmulr
      cple cplusg cun ssun2 sseqtrri sstri strfv ) EHJGKKLMNABCDEFHIOPQJRENZSUL
      QUERFNZQUARBNZTZHULUMUNUBUOQUCRANQUFRCNQUDRDNTZUOUGHUOUPUHIUIUJUK $.

    $( The order of an ordered metric ring.  (Contributed by Mario Carneiro,
       20-Aug-2015.) $)
    odrngle $p |- ( .<_ e. V -> .<_ = ( le ` W ) ) $=
      ( cple c1 c2 cdc cop odrngstr pleid cnx cfv csn ctp cts cds snsstp2 cmulr
      cbs cplusg cun ssun2 sseqtrri sstri strfv ) FHJGKKLMNABCDEFHIOPQJRFNZSQUA
      RENZULQUBRBNZTZHUMULUNUCUOQUERANQUFRCNQUDRDNTZUOUGHUOUPUHIUIUJUK $.

    $( The metric of an ordered metric ring.  (Contributed by Mario Carneiro,
       20-Aug-2015.) $)
    odrngds $p |- ( D e. V -> D = ( dist ` W ) ) $=
      ( cds c1 c2 cdc cop odrngstr dsid cnx cfv csn ctp cts cple snsstp3 cplusg
      cbs cmulr cun ssun2 sseqtrri sstri strfv ) BHJGKKLMNABCDEFHIOPQJRBNZSQUAR
      ENZQUBRFNZULTZHUMUNULUCUOQUERANQUDRCNQUFRDNTZUOUGHUOUPUHIUIUJUK $.
  $}

  ${
    ressds.1 $e |- H = ( G |`s A ) $.
    ressds.2 $e |- D = ( dist ` G ) $.
    $( ` dist ` is unaffected by restriction.  (Contributed by Mario Carneiro,
       26-Aug-2015.) $)
    ressds $p |- ( A e. V -> D = ( dist ` H ) ) $=
      ( cds dsid dsndxnbasendx resseqnbas ) ABDHECFGIJK $.
  $}

  $( Index value of the ~ df-hom slot.  (Contributed by Mario Carneiro,
     7-Jan-2017.) $)
  homndx $p |- ( Hom ` ndx ) = ; 1 4 $=
    ( chom c1 c4 cdc df-hom 1nn0 4nn decnncl ndxarg ) ABCDEBCFGHI $.

  $( Utility theorem: index-independent form of ~ df-hom .  (Contributed by
     Mario Carneiro, 7-Jan-2017.) $)
  homid $p |- Hom = Slot ( Hom ` ndx ) $=
    ( chom c1 c4 cdc df-hom 1nn0 4nn decnncl ndxid ) ABCDEBCFGHI $.

  $( Index value of the ~ df-cco slot.  (Contributed by Mario Carneiro,
     7-Jan-2017.) $)
  ccondx $p |- ( comp ` ndx ) = ; 1 5 $=
    ( cco c1 c5 cdc df-cco 1nn0 5nn decnncl ndxarg ) ABCDEBCFGHI $.

  $( Utility theorem: index-independent form of ~ df-cco .  (Contributed by
     Mario Carneiro, 7-Jan-2017.) $)
  ccoid $p |- comp = Slot ( comp ` ndx ) $=
    ( cco c1 c5 cdc df-cco 1nn0 5nn decnncl ndxid ) ABCDEBCFGHI $.

  $( The slots ` Base ` , ` Hom ` and ` comp ` are different.  (Contributed by
     AV, 5-Mar-2020.)  (Proof shortened by AV, 28-Oct-2024.) $)
  slotsbhcdif $p |- ( ( Base ` ndx ) =/= ( Hom ` ndx )
                   /\ ( Base ` ndx ) =/= ( comp ` ndx )
                   /\ ( Hom ` ndx ) =/= ( comp ` ndx ) ) $=
    ( cnx cbs cfv wne c1 basendx c4 cdc 1re 1nn 4nn0 1lt10 declti ltneii homndx
    1nn0 neeqtrri eqnetri c5 ccondx chom cco 5nn0 deccl nn0rei 5nn 4lt5 3pm3.2i
    declt ) ABCZAUACZDUJAUBCZDUKULDUJEUKFEEGHZUKEUMIEGEJKPLMNOQRUJEULFEESHZULEU
    NIESEJUCPLMNTQRUKUMULOUMUNULUMUNUMEGPKUDUEEGSPKUFUGUINTQRUH $.

  $( Obsolete proof of ~ slotsbhcdif as of 28-Oct-2024.  The slots ` Base ` ,
     ` Hom ` and ` comp ` are different.  (Contributed by AV, 5-Mar-2020.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  slotsbhcdifOLD $p |- ( ( Base ` ndx ) =/= ( Hom ` ndx )
                   /\ ( Base ` ndx ) =/= ( comp ` ndx )
                   /\ ( Hom ` ndx ) =/= ( comp ` ndx ) ) $=
    ( cnx cbs cfv chom wne c1 1nn c4 cdc 4nn0 1nn0 1lt10 declti ltneii neeqtrri
    1re homndx eqnetri c5 ccondx cco df-base ndxarg 5nn0 deccl nn0rei 5nn declt
    4lt5 3pm3.2i ) ABCZADCZEUKAUACZEULUMEUKFULBFUBGUCZFFHIZULFUOPFHFGJKLMNQORUK
    FUMUNFFSIZUMFUPPFSFGUDKLMNTORULUOUMQUOUPUMUOUPUOFHKJUEUFFHSKJUGUIUHNTORUJ
    $.

  ${
    resshom.1 $e |- D = ( C |`s A ) $.
    ${
      resshom.2 $e |- H = ( Hom ` C ) $.
      $( ` Hom ` is unaffected by restriction.  (Contributed by Mario Carneiro,
         5-Jan-2017.) $)
      resshom $p |- ( A e. V -> H = ( Hom ` D ) ) $=
        ( chom homid cnx cbs cfv wne cco w3a slotsbhcdif simp1 ax-mp resseqnbas
        necomd ) ADCHEBFGIJKLZJHLZMZUAJNLZMZUBUDMZOZUBUAMPUGUAUBUCUEUFQTRS $.
    $}

    ${
      ressco.2 $e |- .x. = ( comp ` C ) $.
      $( ` comp ` is unaffected by restriction.  (Contributed by Mario
         Carneiro, 5-Jan-2017.) $)
      ressco $p |- ( A e. V -> .x. = ( comp ` D ) ) $=
        ( cco ccoid cnx cbs cfv chom wne w3a slotsbhcdif simp2 ax-mp resseqnbas
        necomd ) ADCHEBFGIJKLZJMLZNZUAJHLZNZUBUDNZOZUDUANPUGUAUDUCUEUFQTRS $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition of the structure product
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c |`t $. $( Function returning a subspace topology. $)
  $c TopOpen $.

  $( Extend class notation with the function returning a subspace topology. $)
  crest $a class |`t $.

  $( Extend class notation with the topology extractor function. $)
  ctopn $a class TopOpen $.

  ${
    $d j x y $.
    $( Function returning the subspace topology induced by the topology ` y `
       and the set ` x ` .  (Contributed by FL, 20-Sep-2010.)  (Revised by
       Mario Carneiro, 1-May-2015.) $)
    df-rest $a |- |`t = ( j e. _V , x e. _V |->
      ran ( y e. j |-> ( y i^i x ) ) ) $.

    $( Define the topology extractor function.  This differs from ~ df-tset
       when a structure has been restricted using ~ df-ress ; in this case the
       ` TopSet ` component will still have a topology over the larger set, and
       this function fixes this by restricting the topology as well.
       (Contributed by Mario Carneiro, 13-Aug-2015.) $)
    df-topn $a |- TopOpen = ( w e. _V |->
      ( ( TopSet ` w ) |`t ( Base ` w ) ) ) $.

    $( The subspace topology operator is a function on pairs.  (Contributed by
       Mario Carneiro, 1-May-2015.) $)
    restfn $p |- |`t Fn ( _V X. _V ) $=
      ( vj vx vy cvv cv cin cmpt crn crest df-rest vex mptex rnex fnmpoi ) ABDD
      CAEZCEBEFZGZHIBCAJQCOPAKLMN $.

    $( The topology extractor function is a function on the universe.
       (Contributed by Mario Carneiro, 13-Aug-2015.) $)
    topnfn $p |- TopOpen Fn _V $=
      ( vw cvv cv cts cfv cbs crest co ctopn ovex df-topn fnmpti ) ABACZDEZMFEZ
      GHINOGJAKL $.
  $}

  ${
    $d j x y A $.  $d x B $.  $d j x y J $.  $d x S $.
    $( The subspace topology induced by the topology ` J ` on the set ` A ` .
       (Contributed by FL, 20-Sep-2010.)  (Revised by Mario Carneiro,
       1-May-2015.) $)
    restval $p |- ( ( J e. V /\ A e. W )
       -> ( J |`t A ) = ran ( x e. J |-> ( x i^i A ) ) ) $=
      ( vj vy wcel cvv crest co cv cin cmpt crn wceq elex mptexg rnexg syl wa
      adantr simpl simpr ineq2d mpteq12dv rneqd df-rest ovmpoga mpd3an3 syl2an
      ) CDHCIHZBIHZCBJKACALZBMZNZOZPZBEHCDQBEQULUMUQIHZURULUSUMULUPIHUSACUOIRUP
      ISTUBFGCBIIAFLZUNGLZMZNZOUQJIUTCPZVABPZUAZVCUPVFAUTVBCUOVDVEUCVFVABUNVDVE
      UDUEUFUGGAFUHUIUJUK $.

    $( The predicate "is an open set of a subspace topology".  (Contributed by
       FL, 5-Jan-2009.)  (Revised by Mario Carneiro, 15-Dec-2013.) $)
    elrest $p |- ( ( J e. V /\ B e. W ) ->
      ( A e. ( J |`t B ) <-> E. x e. J A = ( x i^i B ) ) ) $=
      ( wcel wa crest co cv cin cmpt crn wceq wrex restval eleq2d eqid vex
      inex1 elrnmpti bitrdi ) DEGCFGHZBDCIJZGBADAKZCLZMZNZGBUGOADPUDUEUIBACDEFQ
      RADUGBUHUHSUFCATUAUBUC $.

    $( Sufficient condition for being an open set in a subspace.  (Contributed
       by Jeff Hankins, 11-Jul-2009.)  (Revised by Mario Carneiro,
       15-Dec-2013.) $)
    elrestr $p |- ( ( J e. V /\ S e. W /\ A e. J ) ->
                  ( A i^i S ) e. ( J |`t S ) ) $=
      ( vx wcel cin crest co wa cv wceq wrex eqid ineq1 rspceeqv elrest syl5ibr
      mpan2 3impia ) CDGZBEGZACGZABHZCBIJGZUDUFUBUCKUEFLZBHZMFCNZUDUEUEMUIUEOFA
      CUHUEUEUGABPQTFUEBCDERSUA $.

    $( Value of the structure restriction when the topology input is empty.
       (Contributed by Mario Carneiro, 13-Aug-2015.) $)
    0rest $p |- ( (/) |`t A ) = (/) $=
      ( vx cvv wcel c0 crest co wceq cv cin cmpt crn 0ex restval mpan rneqi rn0
      mpt0 eqtri wrel eqtrdi cdm relxp restfn fndmi releqi mpbir ovprc2 pm2.61i
      cxp ) ACDZEAFGZEHUKULBEBIAJZKZLZEECDUKULUOHMBAECCNOUOELEUNEBUMRPQSUAEAFFU
      BZTCCUJZTCCUCUPUQUQFUDUEUFUGUHUI $.
  $}

  ${
    $d f x y z A $.  $d f x y z J $.  $d x V $.
    $( The subspace topology over a subset of the base set is the original
       topology.  (Contributed by Mario Carneiro, 13-Aug-2015.) $)
    restid2 $p |- ( ( A e. V /\ J C_ ~P A ) -> ( J |`t A ) = J ) $=
      ( vx wcel cpw wss wa crest co cv cin cmpt crn cvv wceq pwexg adantr simpr
      ssexd simpl restval cid cres sselda elpwid df-ss sylib mpteq2dva mptresid
      syl2anc eqtr4di rneqd rnresi eqtrdi eqtrd ) ACEZBAFZGZHZBAIJZDBDKZALZMZNZ
      BUTBOEUQVAVEPUTBUROUQUROEUSACQRUQUSSZTUQUSUADABOCUBUKUTVEUCBUDZNBUTVDVGUT
      VDDBVBMVGUTDBVCVBUTVBBEHZVBAGVCVBPVHVBAUTBURVBVFUEUFVBAUGUHUIDBUJULUMBUNU
      OUP $.

    $( The subspace topology is a collection of subsets of the restriction set.
       (Contributed by Mario Carneiro, 13-Aug-2015.) $)
    restsspw $p |- ( J |`t A ) C_ ~P A $=
      ( vx vy crest co cpw cv wcel wss cin wceq wrex cvv wa wb c0 n0i cxp syl
      wfn cdm restfn fndm ax-mp ndmov nsyl2 elrest inss2 sseq1 mpbiri rexlimivw
      ibi velpw sylibr ssriv ) CBAEFZAGZCHZUQIZUSAJZUSURIUTUSDHZAKZLZDBMZVAUTVE
      UTBNIANIOZUTVEPUTUQQLVFUQUSRBANEENNSZUAEUBVGLUCVGEUDUEUFUGDUSABNNUHTUMVDV
      ADBVDVAVCAJVBAUIUSVCAUJUKULTCAUNUOUP $.

    $( The finite intersections operator commutes with restriction.
       (Contributed by Mario Carneiro, 30-Aug-2015.) $)
    firest $p |- ( fi ` ( J |`t A ) ) = ( ( fi ` J ) |`t A ) $=
      ( vy vf vz cvv wcel wa crest cfi cfv wceq cv cfn cin c0 wrex wb wral syl
      vx co cint cpw csn cdif elfi2 ax-mp wf wex eldifi adantl elin2d wss elfpw
      ovex simplbi sseld elrest adantr sylibd ralrimiv ineq1 eqeq2d ac6sfi ciin
      syl2anc wne eldifsni ad2antlr iinin1 fvex simpllr crn wfn fniinfv simplll
      ffn simpr intrnfi eqeltrd elrestr mp3an2i intiin iineq2 eqtrid syl5ibrcom
      syl13anc eleq1d expimpd exlimdv mpd eleq1 rexlimdva syl5bi sylancr ineq1i
      wi eqtr4di ovexd 3expa ralrimiva ssralv sylc iinfi eqeltrrd imbi1d sylbid
      rexlimdv impbid eqrdv wn fi0 cdm wrel cxp relxp restfn fndmi releqi mpbir
      ovprc fveq2d wo ianor fvprc oveq1d 0rest eqtrdi ovprc2 jaoi sylbi 3eqtr4a
      pm2.61i ) BFGZAFGZHZBAIUBZJKZBJKZAIUBZLYQUAYSUUAYQUAMZYSGZUUBUUAGZUUCUUBC
      MZUCZLZCYRUDZNOZPUEZUFZQZYQUUDYRFGZUUCUULRBAIUPCUUBYRFUGUHYQUUGUUDCUUKYQU
      UEUUKGZHZUUDUUGUUFUUAGZUUOUUEBDMZUIZEMZUUSUUQKZAOZLZEUUESZHZDUJZUUPUUOUUE
      NGZUUSUUEAOZLZCBQZEUUESUVEUUOUUHNUUEUUNUUEUUIGZYQUUEUUIUUJUKULZUMZUUOUVIE
      UUEUUOUUSUUEGUUSYRGZUVIUUOUUEYRUUSUUOUVJUUEYRUNZUVKUVJUVNUVFUUEYRUOUQTURY
      QUVMUVIRUUNCUUSABFFUSUTVAVBUVHUVBECUUEBDUUEUUTLUVGUVAUUSUUEUUTAVCVDVEVGUU
      OUVDUUPDUUOUURUVCUUPUUOUURHZUUPUVCEUUEUVAVFZUUAGUVOUVPEUUEUUTVFZAOZUUAUVO
      UUEPVHZUVPUVRLUUNUVSYQUURUUEUUIPVIVJZEUUEAUUTVKTYTFGZUVOYPUVQYTGUVRUUAGBJ
      VLZYOYPUUNUURVMUVOUVQUUQVNUCZYTUVOUUQUUEVOZUVQUWCLUURUWDUUOUUEBUUQVRULEUU
      EUUQVPTUVOYOUURUVSUVFUWCYTGYOYPUUNUURVQUUOUURVSUVTUUOUVFUURUVLUTUUEBUUQFV
      TWHWAUVQAYTFFWBWCWAUVCUUFUVPUUAUVCUUFEUUEUUSVFZUVPEUUEWDZEUUEUUSUVAWEWFWI
      WGWJWKWLUUBUUFUUAWMWGWNWOYQUUDUUBUUSAOZLZEYTQZUUCYQUWAYPUUDUWIRUWBYOYPVSE
      UUBAYTFFUSWPYQUWHUUCEYTYQUUSYTGZUUSUUFLZCBUDZNOZUUJUFZQZUWHUUCWRZYOUWJUWO
      RYPCUUSBFUGUTYQUWKUWPCUWNYQUUEUWNGZHZUWPUWKUUBUUFAOZLZUUCWRUWRUUCUWTUWSYS
      GUWREUUEUWGVFZUWSYSUWRUXAUWEAOZUWSUWRUVSUXAUXBLUWQUVSYQUUEUWMPVIULZEUUEAU
      USVKTUUFUWEAUWFWQWSUWRUUMUWGYRGZEUUESZUVSUVFUXAYSGUWRBAIWTUWRUUEBUNZUXDEB
      SZUXEUWRUUEUWMGZUXFUWQUXHYQUUEUWMUUJUKULZUXHUXFUVFUUEBUOUQTYQUXGUWQYQUXDE
      BYOYPUUSBGUXDUUSABFFWBXAXBUTUXDEUUEBXCXDUXCUWRUWLNUUEUXIUMEUUEUWGYRFXEWHX
      FUUBUWSYSWMWGUWKUWHUWTUUCUWKUWGUWSUUBUUSUUFAVCVDXGWGWNXHXIXHXJXKYQXLZPJKP
      YSUUAXMUXJYRPJBAIIXNZXOFFXPZXOFFXQUXKUXLUXLIXRXSXTYAZYBYCUXJYOXLZYPXLZYDU
      UAPLZYOYPYEUXNUXPUXOUXNUUAPAIUBPUXNYTPAIBJYFYGAYHYIYTAIUXMYJYKYLYMYN $.

    restid.1 $e |- X = U. J $.
    $( The subspace topology of the base set is the original topology.
       (Contributed by Jeff Hankins, 9-Jul-2009.)  (Revised by Mario Carneiro,
       13-Aug-2015.) $)
    restid $p |- ( J e. V -> ( J |`t X ) = J ) $=
      ( wcel cvv cpw wss crest wceq cuni uniexg eqeltrid eqimss2i sspwuni mpbir
      co restid2 sylancl ) ABEZCFEACGHZACIQAJTCAKZFDABLMUAUBCHCUBDNACOPCAFRS $.
  $}

  ${
    $d w B $.  $d w J $.  $d w W $.
    topnval.1 $e |- B = ( Base ` W ) $.
    topnval.2 $e |- J = ( TopSet ` W ) $.
    $( Value of the topology extractor function.  (Contributed by Mario
       Carneiro, 13-Aug-2015.) $)
    topnval $p |- ( J |`t B ) = ( TopOpen ` W ) $=
      ( vw cvv wcel crest co ctopn cfv wceq cv cts cbs fveq2 eqtr4di c0 fvprc
      oveq12d df-topn ovex fvmpt eqcomd wn 0rest eqtrid oveq1d 3eqtr4a pm2.61i
      ) CGHZBAIJZCKLZMULUNUMFCFNZOLZUOPLZIJUMGKUOCMZUPBUQAIURUPCOLZBUOCOQERURUQ
      CPLAUOCPQDRUAFUBBAIUCUDUEULUFZSAIJSUMUNAUGUTBSAIUTBUSSECOTUHUICKTUJUK $.

    $( Value of the topology extractor function when the topology is defined
       over the same set as the base.  (Contributed by Mario Carneiro,
       13-Aug-2015.) $)
    topnid $p |- ( J C_ ~P B -> J = ( TopOpen ` W ) ) $=
      ( cpw wss crest co ctopn cfv cvv wcel wceq cbs fvexi restid2 mpan topnval
      eqtr3di ) BAFGZBAHIZBCJKALMUAUBBNACODPABLQRABCDEST $.
  $}

  ${
    topnpropd.1 $e |- ( ph -> ( Base ` K ) = ( Base ` L ) ) $.
    topnpropd.2 $e |- ( ph -> ( TopSet ` K ) = ( TopSet ` L ) ) $.
    $( The topology extractor function depends only on the base and topology
       components.  (Contributed by NM, 18-Jul-2006.) $)
    topnpropd $p |- ( ph -> ( TopOpen ` K ) = ( TopOpen ` L ) ) $=
      ( cts cfv cbs crest co ctopn oveq12d eqid topnval 3eqtr3g ) ABFGZBHGZIJCF
      GZCHGZIJBKGCKGAPRQSIEDLQPBQMPMNSRCSMRMNO $.
  $}

  $c topGen $.
  $c Xt_ $.
  $c 0g $.
  $c gsum $.

  $( Extend class notation with a function that converts a basis to its
     corresponding topology. $)
  ctg $a class topGen $.

  $( Extend class notation with a function whose value is a product
     topology. $)
  cpt $a class Xt_ $.

  $( Extend class notation with group identity element. $)
  c0g $a class 0g $.

  $( Extend class notation to include finitely supported group sums. $)
  cgsu $a class gsum $.

  ${
    $d e f g m n o w x y $.
    $( Define group identity element.  Remark: this definition is required here
       because the symbol ` 0g ` is already used in ~ df-gsum .  The related
       theorems are provided later, see ~ grpidval .  (Contributed by NM,
       20-Aug-2011.) $)
    df-0g $a |- 0g = ( g e. _V |-> ( iota e ( e e. ( Base ` g ) /\
                  A. x e. ( Base ` g )
                  ( ( e ( +g ` g ) x ) = x /\ ( x ( +g ` g ) e ) = x ) ) ) ) $.

    $( Define the group sum (also called "iterated sum") for the structure
       ` G ` of a finite sequence of elements whose values are defined by the
       expression ` B ` and whose set of indices is ` A ` .  It may be viewed
       as a product (if ` G ` is a multiplication), a sum (if ` G ` is an
       addition) or any other operation.  The variable ` k ` is normally a free
       variable in ` B ` (i.e., ` B ` can be thought of as ` B ( k ) ` ).  The
       definition is meaningful in different contexts, depending on the size of
       the index set ` A ` and each demanding different properties of ` G ` .

       1.  If ` A = (/) ` and ` G ` has an identity element, then the sum
       equals this identity.  See ~ gsum0 .

       2.  If ` A = ( M ... N ) ` and ` G ` is any magma, then the sum is the
       sum of the elements, evaluated left-to-right, i.e.,
       ` ( B ( 1 ) + B ( 2 ) ) + B ( 3 ) ` , etc.  See ~ gsumval2 and
       ~ gsumnunsn .

       3.  If ` A ` is a finite set (or is nonzero for finitely many indices)
       and ` G ` is a commutative monoid, then the sum adds up these elements
       in some order, which is then uniquely defined.  See ~ gsumval3 .

       4.  If ` A ` is an infinite set and ` G ` is a Hausdorff topological
       group, then there is a meaningful sum, but ` gsum ` cannot handle this
       case.  See ~ df-tsms .

       Remark: this definition is required here because the symbol ` gsum ` is
       already used in ~ df-prds and ~ df-imas .  The related theorems are
       provided later, see ~ gsumvalx .  (Contributed by FL, 5-Sep-2010.)
       (Revised by FL, 17-Oct-2011.)  (Revised by Mario Carneiro,
       7-Dec-2014.) $)
    df-gsum $a |- gsum = ( w e. _V , f e. _V |-> [_ { x e. ( Base ` w ) |
            A. y e. ( Base ` w )
            ( ( x ( +g ` w ) y ) = y /\ ( y ( +g ` w ) x ) = y ) } / o ]_
            if ( ran f C_ o , ( 0g ` w ) , if ( dom f e. ran ... ,
               ( iota x E. m E. n e. ( ZZ>= ` m ) ( dom f = ( m ... n ) /\
                 x = ( seq m ( ( +g ` w ) , f ) ` n ) ) ) , ( iota x E. g
     [. ( `' f " ( _V \ o ) ) / y ]. ( g : ( 1 ... ( # ` y ) ) -1-1-onto-> y /\
             x = ( seq 1 ( ( +g ` w ) , ( f o. g ) ) ` ( # ` y ) ) ) ) ) ) ) $.
  $}

  ${
    $d f g x y z $.
    $( Define a function that converts a basis to its corresponding topology.
       Equivalent to the definition of a topology generated by a basis in
       [Munkres] p. 78 (see ~ tgval2 ).  The first use of this definition is
       ~ tgval but the token is used in ~ df-pt .  See ~ tgval3 for an
       alternate expression for the value.  (Contributed by NM,
       16-Jul-2006.) $)
    df-topgen $a |- topGen = ( x e. _V |-> { y | y C_ U. ( x i^i ~P y ) } ) $.

    $( Define the product topology on a collection of topologies.  For
       convenience, it is defined on arbitrary collections of sets, expressed
       as a function from some index set to the subbases of each factor space.
       (Contributed by Mario Carneiro, 3-Feb-2015.) $)
    df-pt $a |- Xt_ = ( f e. _V |-> ( topGen ` { x | E. g ( ( g Fn dom f /\
      A. y e. dom f ( g ` y ) e. ( f ` y ) /\ E. z e. Fin A. y e. ( dom f \ z )
           ( g ` y ) = U. ( f ` y ) ) /\ x = X_ y e. dom f ( g ` y ) ) } ) ) $.
  $}

  $c Xs_ ^s $.

  $( The function constructing structure products. $)
  cprds $a class Xs_ $.

  $( The function constructing structure powers. $)
  cpws $a class ^s $.

  ${
    $d a c d e f g h s r x v $.
    $( Define a structure product.  This can be a product of groups, rings,
       modules, or ordered topological fields; any unused components will have
       garbage in them but this is usually not relevant for the purpose of
       inheriting the structures present in the factors.  (Contributed by
       Stefan O'Rear, 3-Jan-2015.)  (Revised by Thierry Arnoux, 15-Jun-2019.)
       (Revised by Zhi Wang, 18-Aug-2024.) $)
    df-prds $a |- Xs_ = ( s e. _V , r e. _V |->
      [_ X_ x e. dom r ( Base ` ( r ` x ) ) / v ]_
      [_ ( f e. v , g e. v |-> X_ x e. dom r
           ( ( f ` x ) ( Hom ` ( r ` x ) ) ( g ` x ) ) ) / h ]_
  ( ( { <. ( Base ` ndx ) , v >. ,
        <. ( +g ` ndx ) , ( f e. v , g e. v |-> ( x e. dom r |->
          ( ( f ` x ) ( +g ` ( r ` x ) ) ( g ` x ) ) ) ) >. ,
        <. ( .r ` ndx ) , ( f e. v , g e. v |-> ( x e. dom r |->
          ( ( f ` x ) ( .r ` ( r ` x ) ) ( g ` x ) ) ) ) >. } u.
      { <. ( Scalar ` ndx ) , s >. ,
        <. ( .s ` ndx ) , ( f e. ( Base ` s ) , g e. v |->
          ( x e. dom r |-> ( f ( .s ` ( r ` x ) ) ( g ` x ) ) ) ) >. ,
        <. ( .i ` ndx ) , ( f e. v , g e. v |-> ( s gsum ( x e. dom r |->
          ( ( f ` x ) ( .i ` ( r ` x ) ) ( g ` x ) ) ) ) ) >. } ) u.
    ( { <. ( TopSet ` ndx ) , ( Xt_ ` ( TopOpen o. r ) ) >. ,
        <. ( le ` ndx ) , { <. f , g >. | ( { f , g } C_ v /\
        A. x e. dom r ( f ` x ) ( le ` ( r ` x ) ) ( g ` x ) ) } >. ,
        <. ( dist ` ndx ) , ( f e. v , g e. v |-> sup (
         ( ran ( x e. dom r |-> ( ( f ` x ) ( dist ` ( r ` x ) ) ( g ` x ) ) )
           u. { 0 } ) , RR* , < ) ) >. } u.
      { <. ( Hom ` ndx ) , h >. ,
        <. ( comp ` ndx ) , ( a e. ( v X. v ) , c e. v |->
           ( d e. ( ( 2nd ` a ) h c ) , e e. ( h ` a ) |-> ( x e. dom r |->
             ( ( d ` x ) ( <. ( ( 1st ` a ) ` x ) , ( ( 2nd ` a ) ` x ) >.
               ( comp ` ( r ` x ) ) ( c ` x ) ) ( e ` x ) ) ) ) ) >. } ) ) ) $.

    $( The structure product is a well-behaved binary operator.  (Contributed
       by Stefan O'Rear, 7-Jan-2015.)  (Revised by Thierry Arnoux,
       15-Jun-2019.)  (Revised by Zhi Wang, 18-Aug-2024.) $)
    reldmprds $p |- Rel dom Xs_ $=
      ( vs vr vv vx vh vf vg va vc vd ve cv cfv cbs co cmpo cnx cop cmpt cun wa
      cvv cdm cixp chom cplusg cmulr ctp csca cvsca cip cgsu cts ctopn ccom cpt
      cple cpr wss wbr wral copab cds crn cc0 csn cxr clt csup cco cxp c2nd csb
      c1st cprds df-prds reldmmpo ) ABUBUBCDBLZUCZDLZVRMZNMUDEFGCLZWBDVSVTFLZMZ
      VTGLZMZWAUEMOUDPQNMWBRQUFMFGWBWBDVSWDWFWAUFMOSPRQUGMFGWBWBDVSWDWFWAUGMOSP
      RUHQUIMALZRQUJMFGWGNMWBDVSWCWFWAUJMOSPRQUKMFGWBWBWGDVSWDWFWAUKMOSULOPRUHT
      QUMMUNVRUOUPMRQUQMWCWEURWBUSWDWFWAUQMUTDVSVAUAFGVBRQVCMFGWBWBDVSWDWFWAVCM
      OSVDVEVFTVGVHVIPRUHQUEMELZRQVJMHIWBWBVKWBJKHLZVLMZILZWHOWIWHMDVSVTJLMVTKL
      MVTWIVNMMVTWJMRVTWKMWAVJMOOSPPRURTTVMVMVODCKFGEABHIJVPVQ $.
  $}

  ${
    $d r i $.
    $( Define a structure power, which is just a structure product where all
       the factors are the same.  (Contributed by Mario Carneiro,
       11-Jan-2015.) $)
    df-pws $a |-
        ^s = ( r e. _V , i e. _V |-> ( ( Scalar ` r ) Xs_ ( i X. { r } ) ) ) $.
  $}

  ${
    $d x R $.
    prdsbasex.b $e |- B = X_ x e. dom R ( Base ` ( R ` x ) ) $.
    $( Lemma for structure products.  (Contributed by Mario Carneiro,
       3-Jan-2015.) $)
    prdsbasex $p |- B e. _V $=
      ( cdm cv cfv cbs cixp cvv wcel ixpexg fvexd mprg eqeltri ) BACEZAFZCGZHGZ
      IZJDSJKTJKAPAPSJLQPKRHMNO $.
  $}

  ${
    imasvalstr.u $e |- U = ( ( { <. ( Base ` ndx ) , B >. ,
        <. ( +g ` ndx ) , .+ >. , <. ( .r ` ndx ) , .X. >. } u.
        { <. ( Scalar ` ndx ) , S >. , <. ( .s ` ndx ) , .x. >. ,
          <. ( .i ` ndx ) , ., >. } ) u.
        { <. ( TopSet ` ndx ) , O >. , <. ( le ` ndx ) , L >. ,
        <. ( dist ` ndx ) , D >. } ) $.
    $( An image structure value is a structure.  (Contributed by Stefan O'Rear,
       3-Jan-2015.)  (Revised by Mario Carneiro, 30-Apr-2015.)  (Revised by
       Thierry Arnoux, 16-Jun-2019.) $)
    imasvalstr $p |- U Struct <. 1 , ; 1 2 >. $=
      ( cnx cfv cop ctp cun c1 c2 cdc c9 cbs cplusg cmulr csca cip cts cple cds
      cvsca cstr c8 eqid ipsstr cc0 9nn tsetndx 9lt10 10nn plendx 1nn0 0nn0 2nn
      2pos declt decnncl dsndx strle3 8lt9 strleun eqbrtri ) GLUAMANLUBMCNLUCMF
      NOLUDMDNLUIMENLUEMHNOPZLUFMZJNLUGMZINLUHMZBNOZPQQRSZNUJKQUKTVPVKVOVKACDEF
      HVKULUMVLVMVNTQUNSVPJIBUOUPUQURUSQUNRUTVAVBVCVDQRUTVBVEVFVGVHVIVJ $.
  $}

  $( Structure product value is a structure.  (Contributed by Stefan O'Rear,
     3-Jan-2015.)  (Revised by Mario Carneiro, 30-Apr-2015.)  (Revised by
     Thierry Arnoux, 16-Jun-2019.) $)
  prdsvalstr $p |- ( ( { <. ( Base ` ndx ) , B >. ,
      <. ( +g ` ndx ) , .+ >. , <. ( .r ` ndx ) , .X. >. } u.
      { <. ( Scalar ` ndx ) , S >. , <. ( .s ` ndx ) , .x. >. ,
        <. ( .i ` ndx ) , ., >. } ) u.
    ( { <. ( TopSet ` ndx ) , O >. , <. ( le ` ndx ) , L >. ,
        <. ( dist ` ndx ) , D >. } u.
      { <. ( Hom ` ndx ) , H >. , <. ( comp ` ndx ) , .xb >. } ) )
      Struct <. 1 , ; 1 5 >. $=
    ( cnx cfv cop ctp cun c1 c5 c4 1nn0 cbs cplusg cmulr csca cvsca cip cts cds
    cple chom cco cpr cdc cstr unass c2 eqid imasvalstr 4nn decnncl homndx 4nn0
    5nn 4lt5 declt ccondx strle2 2nn0 2lt4 strleun eqbrtrri ) LUAMANLUBMCNLUCMG
    NOLUDMDNLUEMFNLUFMINOPZLUGMKNLUIMJNLUHMBNOZPZLUJMZHNLUKMZENULZPVLVMVQPPQQRU
    MZNUNVLVMVQUOQQUPUMQSUMZVRVNVQABCDFGVNIJKVNUQURVOVPVSVRHEQSTUSUTVAQSRTVBVCV
    DVEQRTVCUTVFVGQUPSTVHUSVIVEVJVK $.

  ${
    prdsbaslem.u $e |- ( ph -> U = ( ( { <. ( Base ` ndx ) , B >. ,
        <. ( +g ` ndx ) , .+ >. , <. ( .r ` ndx ) , .X. >. } u.
        { <. ( Scalar ` ndx ) , S >. , <. ( .s ` ndx ) , .x. >. ,
          <. ( .i ` ndx ) , ., >. } ) u.
      ( { <. ( TopSet ` ndx ) , O >. , <. ( le ` ndx ) , L >. ,
          <. ( dist ` ndx ) , D >. } u.
        { <. ( Hom ` ndx ) , H >. , <. ( comp ` ndx ) , .xb >. } ) ) ) $.
    prdsbaslem.1 $e |- A = ( E ` U ) $.
    prdsbaslem.2 $e |- E = Slot ( E ` ndx ) $.
    prdsbaslem.3 $e |- ( ph -> T e. V ) $.
    prdsbaslem.4 $e |- { <. ( E ` ndx ) , T >. } C_
      ( ( { <. ( Base ` ndx ) , B >. ,
        <. ( +g ` ndx ) , .+ >. , <. ( .r ` ndx ) , .X. >. } u.
        { <. ( Scalar ` ndx ) , S >. , <. ( .s ` ndx ) , .x. >. ,
          <. ( .i ` ndx ) , ., >. } ) u.
      ( { <. ( TopSet ` ndx ) , O >. , <. ( le ` ndx ) , L >. ,
          <. ( dist ` ndx ) , D >. } u.
        { <. ( Hom ` ndx ) , H >. , <. ( comp ` ndx ) , .xb >. } ) ) $.
    $( Lemma for ~ prdsbas and similar theorems.  (Contributed by Mario
       Carneiro, 7-Jan-2017.)  (Revised by Thierry Arnoux, 16-Jun-2019.)
       (Revised by AV, 12-Jul-2024.) $)
    prdsbaslem $p |- ( ph -> A = T ) $=
      ( cnx cbs cfv cop cplusg cmulr ctp csca cip cun cts cple cds chom cco cpr
      cvsca c1 c5 cdc prdsvalstr strfv3 ) ABHUCUDUECUFUCUGUEEUFUCUHUEJUFUIUCUJU
      EFUFUCUSUEIUFUCUKUENUFUIULUCUMUEPUFUCUNUEOUFUCUOUEDUFUIUCUPUEMUFUCUQUEGUF
      URULULKLQUTUTVAVBUFRCDEFGIJMNOPVCTUBUASVD $.
  $}

  ${
    $d r x $.  $d f g r $.  $d f g v $.
    $( Lemma for ~ prdsval .  (Contributed by Stefan O'Rear, 3-Jan-2015.)
       Extracted from the former proof of ~ prdsval , dependency on ~ df-hom
       removed.  (Revised by AV, 13-Oct-2024.) $)
    prdsvallem $p |- ( f e. v , g e. v |-> X_ x e. dom r ( ( f ` x )
                                     ( Hom ` ( r ` x ) ) ( g ` x ) ) ) e. _V $=
      ( cv cfv chom co cixp crn cuni cmap vex wss rnss uniss mp2b rnex uniex
      cdm cpw ovex pwex wcel cvv wral ovssunirn cnx homid fvssunirn sstri rgenw
      strfvss ss2ixp ax-mp dmex ixpconst sseqtri elpwi2 rgen2w mpoexw ) CDBFZVC
      AEFZUAZAFZCFGZVFDFGZVFVDGZHGZIZJZVDKZLZKZLZKZLZVEMIZUBZBNZWAVSVRVEMUCZUDV
      LVTUECDVCVCVLVSUFWBVLAVEVRJZVSVKVROZAVEUGVLWCOWDAVEVKVJKZLZVRVJVGVHUHVJVP
      OWEVQOWFVROVJVIKZLZVPVIHUIHGUJUNVIVNOWGVOOWHVPOVDVFUKVIVNPWGVOQRULVJVPPWE
      VQQRULUMAVEVKVRUOUPAVEVRVDENZUQVQVPVOVNVMVDWISTSTSTURUSUTVAVB $.
  $}

  ${
    $d h r s v .+ $.  $d h r s v .<_ $.  $d a c d e f g h r s v B $.
    $d a c d e h r s v H $.  $d a c d e f g h r s v x ph $.  $d h r s v D $.
    $d h r s v O $.  $d h r s v .X. $.  $d h r s v .xb $.  $d x I $.
    $d a c d e f g h r s v x R $.  $d a c d e f g h r s v x S $.
    $d h r s v .x. $.  $d h r s v ., $.
    prdsval.p $e |- P = ( S Xs_ R ) $.
    prdsval.k $e |- K = ( Base ` S ) $.
    prdsval.i $e |- ( ph -> dom R = I ) $.
    prdsval.b $e |- ( ph -> B = X_ x e. I ( Base ` ( R ` x ) ) ) $.
    prdsval.a $e |- ( ph -> .+ = ( f e. B , g e. B |-> ( x e. I |->
        ( ( f ` x ) ( +g ` ( R ` x ) ) ( g ` x ) ) ) ) ) $.
    prdsval.t $e |- ( ph -> .X. = ( f e. B , g e. B |-> ( x e. I |->
        ( ( f ` x ) ( .r ` ( R ` x ) ) ( g ` x ) ) ) ) ) $.
    prdsval.m $e |- ( ph -> .x. = ( f e. K , g e. B |-> ( x e. I |->
        ( f ( .s ` ( R ` x ) ) ( g ` x ) ) ) ) ) $.
    prdsval.j $e |- ( ph -> ., = ( f e. B , g e. B |-> ( S gsum
        ( x e. I |-> ( ( f ` x ) ( .i ` ( R ` x ) ) ( g ` x ) ) ) ) ) ) $.
    prdsval.o $e |- ( ph -> O = ( Xt_ ` ( TopOpen o. R ) ) ) $.
    prdsval.l $e |- ( ph -> .<_ = { <. f , g >. | ( { f , g } C_ B /\
        A. x e. I ( f ` x ) ( le ` ( R ` x ) ) ( g ` x ) ) } ) $.
    prdsval.d $e |- ( ph -> D = ( f e. B , g e. B |-> sup ( ( ran ( x e. I |->
   ( ( f ` x ) ( dist ` ( R ` x ) ) ( g ` x ) ) ) u. { 0 } ) , RR* , < ) ) ) $.
    prdsval.h $e |- ( ph -> H = ( f e. B , g e. B |-> X_ x e. I
           ( ( f ` x ) ( Hom ` ( R ` x ) ) ( g ` x ) ) ) ) $.
    prdsval.x $e |- ( ph -> .xb = ( a e. ( B X. B ) , c e. B |->
        ( d e. ( ( 2nd ` a ) H c ) , e e. ( H ` a ) |-> ( x e. I |->
          ( ( d ` x ) ( <. ( ( 1st ` a ) ` x ) , ( ( 2nd ` a ) ` x ) >.
            ( comp ` ( R ` x ) ) ( c ` x ) ) ( e ` x ) ) ) ) ) ) $.
    prdsval.s $e |- ( ph -> S e. W ) $.
    prdsval.r $e |- ( ph -> R e. Z ) $.
    $( Value of the structure product.  (Contributed by Stefan O'Rear,
       3-Jan-2015.)  (Revised by Mario Carneiro, 7-Jan-2017.)  (Revised by
       Thierry Arnoux, 16-Jun-2019.)  (Revised by Zhi Wang, 18-Aug-2024.) $)
    prdsval $p |- ( ph -> P = ( ( { <. ( Base ` ndx ) , B >. ,
        <. ( +g ` ndx ) , .+ >. , <. ( .r ` ndx ) , .X. >. } u.
        { <. ( Scalar ` ndx ) , S >. , <. ( .s ` ndx ) , .x. >. ,
          <. ( .i ` ndx ) , ., >. } ) u.
      ( { <. ( TopSet ` ndx ) , O >. , <. ( le ` ndx ) , .<_ >. ,
          <. ( dist ` ndx ) , D >. } u.
        { <. ( Hom ` ndx ) , H >. , <. ( comp ` ndx ) , .xb >. } ) ) ) $=
      ( vs vr vv vh cprds co cnx cbs cfv cop cplusg cmulr ctp cvsca cip cun cts
      csca cple cds chom cco cpr cvv cdm cixp cmpo cmpt cgsu ctopn ccom cpt wss
      cv wbr wral copab crn cc0 csn cxr clt csup cxp c2nd c1st csb wceq df-prds
      wa a1i ciun cmap wcel cuni rnex uniex baseid simpr fveq1d fveq2d ixpeq2dv
      vex eqtrd ixpeq1d adantr oveqd mpoeq123dv eqtr4d opeq2d mpteq12dv ad4antr
      ad2antrr tpeq123d simpllr uneq12d csbied2 elexd tpex unex fvssunirn uniss
      strfvss rnss mp2b sstri rgenw iunss mpbir ssexi ixpssmap2g ovex ssex mp1i
      3eqtr4d prdsvallem ad3antrrr simplr simp-4r eqtr4di oveq12d coeq2d sseq2d
      ax-mp dmeqd breqd raleqbidv anbi12d opabbidv rneqd uneq1d supeq1d sqxpeqd
      wb preq12d anasss prex ovmpod eqtrid ) AEHGVEVFVGVHVIZCVJZVGVKVIZFVJZVGVL
      VIZKVJZVMZVGVRVIZHVJZVGVNVIZJVJZVGVOVIZPVJZVMZVPZVGVQVIZTVJZVGVSVIZSVJZVG
      VTVIZDVJZVMZVGWAVIZOVJZVGWBVIZIVJZWCZVPZVPZUFAVAVBHGWDWDVCBVBWNZWEZBWNZUX
      IVIZVHVIZWFZVDMNVCWNZUXOBUXJUXKMWNZVIZUXKNWNZVIZUXLWAVIZVFZWFZWGZUVTUXOVJ
      ZUWBMNUXOUXOBUXJUXQUXSUXLVKVIZVFZWHZWGZVJZUWDMNUXOUXOBUXJUXQUXSUXLVLVIZVF
      ZWHZWGZVJZVMZUWGVAWNZVJZUWIMNUYPVHVIZUXOBUXJUXPUXSUXLVNVIZVFZWHZWGZVJZUWK
      MNUXOUXOUYPBUXJUXQUXSUXLVOVIZVFZWHZWIVFZWGZVJZVMZVPZUWOWJUXIWKZWLVIZVJZUW
      QUXPUXRWCZUXOWMZUXQUXSUXLVSVIZWOZBUXJWPZXJZMNWQZVJZUWSMNUXOUXOBUXJUXQUXSU
      XLVTVIZVFZWHZWRZWSWTZVPZXAXBXCZWGZVJZVMZUXBVDWNZVJZUXDUCUDUXOUXOXDZUXOUEL
      UCWNZXEVIZUDWNZVVMVFZVVPVVMVIZBUXJUXKUEWNVIZUXKLWNVIZUXKVVPXFVIVIUXKVVQVI
      VJZUXKVVRVIZUXLWBVIZVFZVFZWHZWGZWGZVJZWCZVPZVPZXGZXGZUXHVEWDVEVAVBWDWDVWP
      WGXHABVCLMNVDVAVBUCUDUEXIXKAUYPHXHZUXIGXHZVWPUXHXHAVWQXJZVWRXJZVCUXNCVWOU
      XHWDUXNBUXJUXMXLZUXJXMVFZWMZUXNWDXNVWTVXAWDXNVXCVXAUXIWRZXOZWRZXOZVXFVXEV
      XDUXIVBYCXPXQXPXQVXAVXGWMUXMVXGWMZBUXJWPVXHBUXJUXMUXLWRZXOZVXGUXLVHUVTXRU
      UCUXLVXEWMVXIVXFWMVXJVXGWMUXIUXKUUAUXLVXEUUDVXIVXFUUBUUEUUFUUGBUXJUXMVXGU
      UHUUIUUJBUXJUXMWDUUKUVDUXNVXBVXAUXJXMUULUUMUUNVWTBQUXMWFBQUXKGVIZVHVIZWFZ
      UXNCVWTBQUXMVXLVWTUXLVXKVHVWTUXKUXIGVWSVWRXSZXTZYAYBVWTBUXJQUXMVWTUXJGWEZ
      QVWTUXIGVXNUVEAVXPQXHVWQVWRUHYMYDZYEACVXMXHVWQVWRUIYMUUOVWTUXOCXHZXJZVDUY
      COVWNUXHWDUYCWDXNVXSBVCMNVBUUPXKVXSUYCMNCCBQUXQUXSVXKWAVIZVFZWFZWGZOVXSMN
      UXOUXOUYBCCVYBVWTVXRXSZVYDVXSUYBBQUYAWFZVYBVXSBUXJQUYAVWTUXJQXHVXRVXQYFYE
      VWTVYEVYBXHVXRVWTBQUYAVYAVWTUXTVXTUXQUXSVWTUXLVXKWAVXOYAYGYBYFYDYHAOVYCXH
      VWQVWRVXRUQUUQYIVXSVVMOXHZXJZVUKUWNVWMUXGVYGUYOUWFVUJUWMVYGUYDUWAUYIUWCUY
      NUWEVYGUXOCUVTVWTVXRVYFUURZYJVYGUYHFUWBVYGUYHMNCCBQUXQUXSVXKVKVIZVFZWHZWG
      ZFVXSUYHVYLXHVYFVXSMNUXOUXOUYGCCVYKVYDVYDVWTUYGVYKXHVXRVWTBUXJUYFQVYJVXQV
      WTUYEVYIUXQUXSVWTUXLVXKVKVXOYAYGYKYFYHYFAFVYLXHVWQVWRVXRVYFUJYLYIYJVYGUYM
      KUWDVYGUYMMNCCBQUXQUXSVXKVLVIZVFZWHZWGZKVXSUYMVYPXHVYFVXSMNUXOUXOUYLCCVYO
      VYDVYDVWTUYLVYOXHVXRVWTBUXJUYKQVYNVXQVWTUYJVYMUXQUXSVWTUXLVXKVLVXOYAYGYKY
      FYHYFAKVYPXHVWQVWRVXRVYFUKYLYIYJYNVYGUYQUWHVUCUWJVUIUWLVYGUYPHUWGAVWQVWRV
      XRVYFUUSYJVYGVUBJUWIVYGVUBMNRCBQUXPUXSVXKVNVIZVFZWHZWGZJVXSVUBVYTXHVYFVXS
      MNUYRUXOVUARCVYSVXSUYRHVHVIRVXSUYPHVHAVWQVWRVXRYOZYAUGUUTVYDVWTVUAVYSXHVX
      RVWTBUXJUYTQVYRVXQVWTUYSVYQUXPUXSVWTUXLVXKVNVXOYAYGYKYFYHYFAJVYTXHVWQVWRV
      XRVYFULYLYIYJVYGVUHPUWKVYGVUHMNCCHBQUXQUXSVXKVOVIZVFZWHZWIVFZWGZPVXSVUHWU
      FXHVYFVXSMNUXOUXOVUGCCWUEVYDVYDVXSUYPHVUFWUDWIWUAVWTVUFWUDXHVXRVWTBUXJVUE
      QWUCVXQVWTVUDWUBUXQUXSVWTUXLVXKVOVXOYAYGYKYFUVAYHYFAPWUFXHVWQVWRVXRVYFUMY
      LYIYJYNYPVYGVVLUXAVWLUXFVYGVUNUWPVVBUWRVVKUWTVYGVUMTUWOVYGVUMWJGWKZWLVIZT
      VYGVULWUGWLVYGUXIGWJVWSVWRVXRVYFYOUVBYAATWUHXHVWQVWRVXRVYFUNYLYIYJVYGVVAS
      UWQVYGVVAVUOCWMZUXQUXSVXKVSVIZWOZBQWPZXJZMNWQZSVXSVVAWUNXHVYFVXSVUTWUMMNV
      XSVUPWUIVUSWULVXSUXOCVUOVYDUVCVWTVUSWULUVNVXRVWTVURWUKBUXJQVXQVWTVUQWUJUX
      QUXSVWTUXLVXKVSVXOYAUVFUVGYFUVHUVIYFASWUNXHVWQVWRVXRVYFUOYLYIYJVYGVVJDUWS
      VYGVVJMNCCBQUXQUXSVXKVTVIZVFZWHZWRZVVGVPZXAXBXCZWGZDVXSVVJWVAXHVYFVXSMNUX
      OUXOVVICCWUTVYDVYDVXSXAVVHWUSXBVXSVVFWURVVGVXSVVEWUQVWTVVEWUQXHVXRVWTBUXJ
      VVDQWUPVXQVWTVVCWUOUXQUXSVWTUXLVXKVTVXOYAYGYKYFUVJUVKUVLYHYFADWVAXHVWQVWR
      VXRVYFUPYLYIYJYNVYGVVNUXCVWKUXEVYGVVMOUXBVXSVYFXSZYJVYGVWJIUXDVYGVWJUCUDC
      CXDZCUELVVQVVROVFZVVPOVIZBQVWAVWBVWCVWDVXKWBVIZVFZVFZWHZWGZWGZIVYGUCUDVVO
      UXOVWIWVCCWVJVYGUXOCVYHUVMVYHVYGUELVVSVVTVWHWVDWVEWVIVYGVVMOVVQVVRWVBYGVY
      GVVPVVMOWVBXTVWTVWHWVIXHVXRVYFVWTBUXJVWGQWVHVXQVWTVWFWVGVWAVWBVWTVWEWVFVW
      CVWDVWTUXLVXKWBVXOYAYGYGYKYMYHYHAIWVKXHVWQVWRVXRVYFURYLYIYJUVOYPYPYQYQUVP
      AHUAUSYRAGUBUTYRUXHWDXNAUWNUXGUWFUWMUWAUWCUWEYSUWHUWJUWLYSYTUXAUXFUWPUWRU
      WTYSUXCUXEUVQYTYTXKUVRUVS $.
  $}

  ${
    $d a c d e f g x B $.  $d a c d e H $.  $d f g K $.  $d a c d e f g x ph $.
    $d a c d e f g w x y z I $.  $d f g x P $.  $d a c d e f g w x y z R $.
    $d a c d e f g x S $.
    prdsbas.p $e |- P = ( S Xs_ R ) $.
    prdsbas.s $e |- ( ph -> S e. V ) $.
    prdsbas.r $e |- ( ph -> R e. W ) $.
    $( Scalar ring of a structure product.  (Contributed by Stefan O'Rear,
       5-Jan-2015.)  (Revised by Mario Carneiro, 15-Aug-2015.)  (Revised by
       Thierry Arnoux, 16-Jun-2019.)  (Revised by Zhi Wang, 18-Aug-2024.) $)
    prdssca $p |- ( ph -> S = ( Scalar ` P ) ) $=
      ( vx vf vg cfv cv co cmpt cmpo cop eqidd cnx va vc vd ve csca cdm cbs cds
      cixp crn cc0 csn cun cxr clt csup cplusg cxp c2nd chom c1st cco cvsca cip
      cmulr cgsu cpr wss cple wbr wral wa copab ctopn ccom cpt eqid prdsval ctp
      scaid cts snsstp1 ssun2 sstri ssun1 prdsbaslem eqcomd ) ABUEMZDAWHJCUFZJN
      ZCMZUGMUIZKLWLWLJWIWJKNZMZWJLNZMZWKUHMOPUJUKULUMUNUOUPQZKLWLWLJWIWNWPWKUQ
      MOPQZDUAUBWLWLURWLUCUDUANZUSMZUBNZKLWLWLJWIWNWPWKUTMOUIQZOWSXBMJWIWJUCNMW
      JUDNMWJWSVAMMWJWTMRWJXAMWKVBMOOPQQZDKLDUGMZWLJWIWMWPWKVCMOPQZKLWLWLJWIWNW
      PWKVEMOPQZBUEXBKLWLWLDJWIWNWPWKVDMOPVFOQZWMWOVGWLVHWNWPWKVIMVJJWIVKVLKLVM
      ZVNCVOVPMZEAJWLWQBWRCDXCXEXFUDKLXBXGWIXDXHXIEFUAUBUCGXDVQAWISAWLSAWRSAXFS
      AXESAXGSAXISAXHSAWQSAXBSAXCSHIVRWHVQVTHTUEMDRZULZTUGMWLRTUQMWRRTVEMXFRVSZ
      XJTVCMXERZTVDMXGRZVSZUMZXPTWAMXIRTVIMXHRTUHMWQRVSTUTMXBRTVBMXCRVGUMZUMXKX
      OXPXJXMXNWBXOXLWCWDXPXQWEWDWFWG $.

    prdsbas.b $e |- B = ( Base ` P ) $.
    prdsbas.i $e |- ( ph -> dom R = I ) $.
    $( Base set of a structure product.  (Contributed by Stefan O'Rear,
       3-Jan-2015.)  (Revised by Mario Carneiro, 15-Aug-2015.)  (Revised by
       Thierry Arnoux, 16-Jun-2019.)  (Revised by Zhi Wang, 18-Aug-2024.) $)
    prdsbas $p |- ( ph -> B = X_ x e. I ( Base ` ( R ` x ) ) ) $=
      ( cfv co cop cvv eqidd cnx vf vg va vc vd ve cv cbs cixp cds cmpt crn cc0
      csn cun cxr clt csup cmpo cxp c2nd chom c1st cco cvsca cmulr cip cgsu cpr
      cplusg wss cple wbr wral wa copab ctopn ccom cpt eqid prdsval baseid ciun
      wcel cmap cuni strfvss fvssunirn rnss uniss sstri rgenw iunss mpbir rnexg
      mp2b uniexg 3syl ssexg sylancr ixpssmap2g ovex ssex ctp cts snsstp1 ssun1
      csca prdsbaslem ) ACBGBUGZEOZUHOZUIZUAUBXMXMBGXJUAUGZOZXJUBUGZOZXKUJOPUKU
      LUMUNUOUPUQURUSZUAUBXMXMBGXOXQXKVJOPUKUSZFUCUDXMXMUTXMUEUFUCUGZVAOZUDUGZU
      AUBXMXMBGXOXQXKVBOPUIUSZPXTYCOBGXJUEUGOXJUFUGOXJXTVCOOXJYAOQXJYBOXKVDOPPU
      KUSUSZXMUAUBFUHOZXMBGXNXQXKVEOPUKUSZUAUBXMXMBGXOXQXKVFOPUKUSZDUHYCUAUBXMX
      MFBGXOXQXKVGOPUKVHPUSZXNXPVIXMVKXOXQXKVLOVMBGVNVOUAUBVPZVQEVRVSOZRABXMXRD
      XSEFYDYFYGUFUAUBYCYHGYEYIYJHIUCUDUEJYEVTNAXMSAXSSAYGSAYFSAYHSAYJSAYISAXRS
      AYCSAYDSKLWAMWBABGXLWCZRWDZXMYKGWEPZVKXMRWDAYKEULZWFZULZWFZVKZYQRWDZYLYRX
      LYQVKZBGVNYTBGXLXKULZWFZYQXKUHTUHOZWBWGXKYOVKUUAYPVKUUBYQVKEXJWHXKYOWIUUA
      YPWJWPWKWLBGXLYQWMWNAYORWDZYPRWDYSAEIWDYNRWDUUDLEIWOYNRWQWRYORWOYPRWQWRYK
      YQRWSWTBGXLRXAXMYMYKGWEXBXCWRUUCXMQZUNZUUETVJOXSQZTVFOYGQZXDZTXHOFQTVEOYF
      QTVGOYHQXDZUOZUUKTXEOYJQTVLOYIQTUJOXRQXDTVBOYCQTVDOYDQVIUOZUOUUFUUIUUKUUE
      UUGUUHXFUUIUUJXGWKUUKUULXGWKXI $.

    ${
      prdsplusg.b $e |- .+ = ( +g ` P ) $.
      $( Addition in a structure product.  (Contributed by Stefan O'Rear,
         3-Jan-2015.)  (Revised by Mario Carneiro, 15-Aug-2015.)  (Revised by
         Thierry Arnoux, 16-Jun-2019.)  (Revised by Zhi Wang, 18-Aug-2024.) $)
      prdsplusg $p |- ( ph -> .+ = ( f e. B , g e. B |-> ( x e. I |->
            ( ( f ` x ) ( +g ` ( R ` x ) ) ( g ` x ) ) ) ) ) $=
        ( cfv cvv va vc vd ve cds cmpt crn cc0 csn cun cxr clt csup cmpo cplusg
        cv co cxp c2nd chom cixp c1st cop cco cbs cvsca cmulr cip cgsu cpr cple
        wss wbr wral wa copab ctopn ccom cpt eqid prdsbas eqidd prdsval plusgid
        cuni cpw cmap wf wcel ovssunirn strfvss fvssunirn rnss uniss mp2b sstri
        cnx ovex elpw mpbir a1i fmpttd rnexg 3syl pwexg 4syl cdm dmexd eqeltrrd
        uniexg elmapd ralrimivw fmpo sylib fvexi xpex fex2 mp3an23 syl ctp csca
        mpbird cts snsstp2 ssun1 prdsbaslem ) AECHICCBJBUPZHUPZSZYGIUPZSZYGFSZU
        ESUQUFUGUHUIUJUKULUMUNZHICCBJYIYKYLUOSZUQZUFZUNZGUAUBCCURZCUCUDUAUPZUSS
        ZUBUPZHICCBJYIYKYLUTSUQVAUNZUQYSUUBSBJYGUCUPSYGUDUPSYGYSVBSSYGYTSVCYGUU
        ASYLVDSUQUQUFUNUNZYQHIGVESZCBJYHYKYLVFSUQUFUNZHICCBJYIYKYLVGSUQUFUNZDUO
        UUBHICCGBJYIYKYLVHSUQUFVIUQUNZYHYJVJCVLYIYKYLVKSVMBJVNVOHIVPZVQFVRVSSZT
        ABCYMDYQFGUUCUUEUUFUDHIUUBUUGJUUDUUHUUIKLUAUBUCMUUDVTQABCDFGJKLMNOPQWAA
        YQWBAUUFWBAUUEWBAUUGWBAUUIWBAUUHWBAYMWBAUUBWBAUUCWBNOWCRWDAYRFUGZWEZUGZ
        WEZUGZWEZWFZJWGUQZYQWHZYQTWIZAYPUUQWIZICVNZHCVNUURAUVAHCAUUTICAUUTJUUPY
        PWHABJYOUUPYOUUPWIZAYGJWIVOUVBYOUUOVLYOYNUGZWEZUUOYNYIYKWJYNUUMVLUVCUUN
        VLUVDUUOVLYNYLUGZWEZUUMYLUOWQUOSZWDWKYLUUKVLUVEUULVLUVFUUMVLFYGWLYLUUKW
        MUVEUULWNWOWPYNUUMWMUVCUUNWNWOWPYOUUOYIYKYNWRWSWTXAXBAUUPJYPTTAUUMTWIZU
        UNTWIUUOTWIUUPTWIAUUKTWIZUULTWIUVHAFLWIUUJTWIUVIOFLXCUUJTXJXDUUKTXCUULT
        XJXDUUMTXCUUNTXJUUOTXEXFAFXGJTQAFLOXHXIXKYBXLXLHICCYPUUQYQYQVTXMXNUURYR
        TWIUUQTWIUUSCCCDVEPXOZUVJXPUUPJWGWRYRUUQYQTTXQXRXSUVGYQVCZUIZWQVESCVCZU
        VKWQVGSUUFVCZXTZWQYASGVCWQVFSUUEVCWQVHSUUGVCXTZUJZUVQWQYCSUUIVCWQVKSUUH
        VCWQUESYMVCXTWQUTSUUBVCWQVDSUUCVCVJUJZUJUVLUVOUVQUVMUVKUVNYDUVOUVPYEWPU
        VQUVRYEWPYF $.
    $}

    ${
      prdsmulr.t $e |- .x. = ( .r ` P ) $.
      $( Multiplication in a structure product.  (Contributed by Mario
         Carneiro, 11-Jan-2015.)  (Revised by Mario Carneiro, 15-Aug-2015.)
         (Revised by Thierry Arnoux, 16-Jun-2019.)  (Revised by Zhi Wang,
         18-Aug-2024.) $)
      prdsmulr $p |- ( ph -> .x. = ( f e. B , g e. B |-> ( x e. I |->
            ( ( f ` x ) ( .r ` ( R ` x ) ) ( g ` x ) ) ) ) ) $=
        ( cfv cvv va vc vd ve cds cmpt crn cc0 csn cun cxr clt csup cmpo cplusg
        cv co cxp c2nd chom cixp c1st cop cco cmulr cbs cvsca cip cgsu cpr cple
        wss wbr wral copab ctopn ccom cpt eqid prdsbas prdsplusg prdsval mulrid
        wa eqidd cuni cpw cmap wcel ovssunirn strfvss fvssunirn rnss uniss mp2b
        wf cnx sstri ovex elpw mpbir a1i fmpttd rnexg uniexg pwexd cdm eqeltrrd
        3syl dmexd elmapd mpbird ralrimivw fmpo sylib xpex fex2 mp3an23 syl ctp
        fvexi csca cts snsstp3 ssun1 prdsbaslem ) AGCHICCBJBUPZHUPZSZYGIUPZSZYG
        ESZUESUQUFUGUHUIUJUKULUMUNZDUOSZFUAUBCCURZCUCUDUAUPZUSSZUBUPZHICCBJYIYK
        YLUTSUQVAUNZUQYPYSSBJYGUCUPSYGUDUPSYGYPVBSSYGYQSVCYGYRSYLVDSUQUQUFUNUNZ
        HICCBJYIYKYLVESZUQZUFZUNZHIFVFSZCBJYHYKYLVGSUQUFUNZUUDDVEYSHICCFBJYIYKY
        LVHSUQUFVIUQUNZYHYJVJCVLYIYKYLVKSVMBJVNWDHIVOZVPEVQVRSZTABCYMDYNEFYTUUF
        UUDUDHIYSUUGJUUEUUHUUIKLUAUBUCMUUEVSQABCDEFJKLMNOPQVTABCDYNEFHIJKLMNOPQ
        YNVSWAAUUDWEAUUFWEAUUGWEAUUIWEAUUHWEAYMWEAYSWEAYTWENOWBRWCAYOEUGZWFZUGZ
        WFZUGZWFZWGZJWHUQZUUDWPZUUDTWIZAUUCUUQWIZICVNZHCVNUURAUVAHCAUUTICAUUTJU
        UPUUCWPABJUUBUUPUUBUUPWIZAYGJWIWDUVBUUBUUOVLUUBUUAUGZWFZUUOUUAYIYKWJUUA
        UUMVLUVCUUNVLUVDUUOVLUUAYLUGZWFZUUMYLVEWQVESZWCWKYLUUKVLUVEUULVLUVFUUMV
        LEYGWLYLUUKWMUVEUULWNWOWRUUAUUMWMUVCUUNWNWOWRUUBUUOYIYKUUAWSWTXAXBXCAUU
        PJUUCTTAUUOTAUUMTWIZUUNTWIUUOTWIAUUKTWIZUULTWIUVHAELWIUUJTWIUVIOELXDUUJ
        TXEXIUUKTXDUULTXEXIUUMTXDUUNTXEXIXFAEXGJTQAELOXJXHXKXLXMXMHICCUUCUUQUUD
        UUDVSXNXOUURYOTWIUUQTWIUUSCCCDVFPYAZUVJXPUUPJWHWSYOUUQUUDTTXQXRXSUVGUUD
        VCZUIZWQVFSCVCZWQUOSYNVCZUVKXTZWQYBSFVCWQVGSUUFVCWQVHSUUGVCXTZUJZUVQWQY
        CSUUIVCWQVKSUUHVCWQUESYMVCXTWQUTSYSVCWQVDSYTVCVJUJZUJUVLUVOUVQUVMUVNUVK
        YDUVOUVPYEWRUVQUVRYEWRYF $.
    $}

    ${
      prdsvsca.k $e |- K = ( Base ` S ) $.
      prdsvsca.m $e |- .x. = ( .s ` P ) $.
      $( Scalar multiplication in a structure product.  (Contributed by Stefan
         O'Rear, 5-Jan-2015.)  (Revised by Mario Carneiro, 15-Aug-2015.)
         (Revised by Thierry Arnoux, 16-Jun-2019.)  (Revised by Zhi Wang,
         18-Aug-2024.) $)
      prdsvsca $p |- ( ph -> .x. = ( f e. K , g e. B |-> ( x e. I |->
            ( f ( .s ` ( R ` x ) ) ( g ` x ) ) ) ) ) $=
        ( va vc vd ve cfv cds cmpt crn cc0 csn cun cxr clt csup cmpo cplusg cxp
        cv co c2nd chom cixp c1st cop cco cvsca cmulr cip cgsu cpr wss cple wbr
        wral copab ctopn ccom cpt prdsbas eqid prdsplusg prdsmulr eqidd prdsval
        wa cvv vscaid cuni cpw cmap wcel ovssunirn strfvss fvssunirn rnss uniss
        wf cnx mp2b sstri ovex elpw mpbir a1i fmpttd rnexg uniexg 3syl 4syl cdm
        pwexg dmexd eqeltrrd elmapd mpbird ralrimivw fmpo sylib fvexi xpex fex2
        cbs mp3an23 syl ctp csca cts snsstp2 ssun2 ssun1 prdsbaslem ) AGCHICCBJ
        BURZHURZUEZYLIURZUEZYLEUEZUFUEUSUGUHUIUJUKULUMUNUOZDUPUEZFUAUBCCUQCUCUD
        UAURZUTUEZUBURZHICCBJYNYPYQVAUEUSVBUOZUSYTUUCUEBJYLUCURUEYLUDURUEYLYTVC
        UEUEYLUUAUEVDYLUUBUEYQVEUEUSUSUGUOUOZHIKCBJYMYPYQVFUEZUSZUGZUOZUUHDVGUE
        ZDVFUUCHICCFBJYNYPYQVHUEUSUGVIUSUOZYMYOVJCVKYNYPYQVLUEVMBJVNWEHIVOZVPEV
        QVRUEZWFABCYRDYSEFUUDUUHUUIUDHIUUCUUJJKUUKUULLMUAUBUCNSRABCDEFJLMNOPQRV
        SABCDYSEFHIJLMNOPQRYSVTWAABCDEFUUIHIJLMNOPQRUUIVTWBAUUHWCAUUJWCAUULWCAU
        UKWCAYRWCAUUCWCAUUDWCOPWDTWGAKCUQZEUHZWHZUHZWHZUHZWHZWIZJWJUSZUUHWQZUUH
        WFWKZAUUGUVAWKZICVNZHKVNUVBAUVEHKAUVDICAUVDJUUTUUGWQABJUUFUUTUUFUUTWKZA
        YLJWKWEUVFUUFUUSVKUUFUUEUHZWHZUUSUUEYMYPWLUUEUUQVKUVGUURVKUVHUUSVKUUEYQ
        UHZWHZUUQYQVFWRVFUEZWGWMYQUUOVKUVIUUPVKUVJUUQVKEYLWNYQUUOWOUVIUUPWPWSWT
        UUEUUQWOUVGUURWPWSWTUUFUUSYMYPUUEXAXBXCXDXEAUUTJUUGWFWFAUUQWFWKZUURWFWK
        UUSWFWKUUTWFWKAUUOWFWKZUUPWFWKUVLAEMWKUUNWFWKUVMPEMXFUUNWFXGXHUUOWFXFUU
        PWFXGXHUUQWFXFUURWFXGUUSWFXKXIAEXJJWFRAEMPXLXMXNXOXPXPHIKCUUGUVAUUHUUHV
        TXQXRUVBUUMWFWKUVAWFWKUVCKCKFYBSXSCDYBQXSXTUUTJWJXAUUMUVAUUHWFWFYAYCYDU
        VKUUHVDZUJZWRYBUECVDWRUPUEYSVDWRVGUEUUIVDYEZWRYFUEFVDZUVNWRVHUEUUJVDZYE
        ZUKZUVTWRYGUEUULVDWRVLUEUUKVDWRUFUEYRVDYEWRVAUEUUCVDWRVEUEUUDVDVJUKZUKU
        VOUVSUVTUVQUVNUVRYHUVSUVPYIWTUVTUWAYJWTYK $.
    $}

    ${
      prdsip.m $e |- ., = ( .i ` P ) $.
      $( Inner product in a structure product.  (Contributed by Thierry Arnoux,
         16-Jun-2019.)  (Revised by Zhi Wang, 18-Aug-2024.) $)
      prdsip $p |- ( ph -> ., = ( f e. B , g e. B |-> ( S gsum
        ( x e. I |-> ( ( f ` x ) ( .i ` ( R ` x ) ) ( g ` x ) ) ) ) ) ) $=
        ( cfv cop va vc vd ve cds cmpt crn cc0 csn cun cxr clt csup cmpo cplusg
        cv co cxp c2nd chom cixp c1st cco cip cgsu cbs cvsca cmulr cpr wss cple
        wbr wral copab ctopn ccom cpt eqid prdsbas prdsplusg eqidd prdsval ipid
        cvv wcel fvexi a1i mpoexga sylancl cnx ctp csca cts snsstp3 ssun2 sstri
        wa ssun1 prdsbaslem ) AICGHCCBJBUPZGUPZSZWTHUPZSZWTESZUESUQUFUGUHUIUJUK
        ULUMUNZDUOSZFUAUBCCURCUCUDUAUPZUSSZUBUPZGHCCBJXBXDXEUTSUQVAUNZUQXHXKSBJ
        WTUCUPSWTUDUPSWTXHVBSSWTXISTWTXJSXEVCSUQUQUFUNUNZGHCCFBJXBXDXEVDSUQUFVE
        UQZUNZGHFVFSZCBJXAXDXEVGSUQUFUNZGHCCBJXBXDXEVHSUQUFUNZDVDXKXNXAXCVICVJX
        BXDXEVKSVLBJVMWQGHVNZVOEVPVQSZWDABCXFDXGEFXLXPXQUDGHXKXNJXOXRXSKLUAUBUC
        MXOVRQABCDEFJKLMNOPQVSABCDXGEFGHJKLMNOPQXGVRVTAXQWAAXPWAAXNWAAXSWAAXRWA
        AXFWAAXKWAAXLWANOWBRWCACWDWEZXTXNWDWEXTACDVFPWFZWGYAGHCCXMWDWDWHWIWJVDS
        XNTZUIZWJVFSCTWJUOSXGTWJVHSXQTWKZWJWLSFTZWJVGSXPTZYBWKZUJZYHWJWMSXSTWJV
        KSXRTWJUESXFTWKWJUTSXKTWJVCSXLTVIUJZUJYCYGYHYEYFYBWNYGYDWOWPYHYIWRWPWS
        $.
    $}

    ${
      prdsle.l $e |- .<_ = ( le ` P ) $.
      $( Structure product weak ordering.  (Contributed by Mario Carneiro,
         15-Aug-2015.)  (Revised by Thierry Arnoux, 16-Jun-2019.)  (Revised by
         Zhi Wang, 18-Aug-2024.) $)
      prdsle $p |- ( ph -> .<_ = { <. f , g >. | ( { f , g } C_ B /\
        A. x e. I ( f ` x ) ( le ` ( R ` x ) ) ( g ` x ) ) } ) $=
        ( cfv cop va vc vd ve cds cmpt crn cc0 csn cun cxr clt csup cmpo cplusg
        cv co cxp c2nd chom cixp c1st cco cpr wss cple wbr wa copab cvsca cmulr
        wral cip cgsu ccom cpt cvv cbs eqid prdsbas prdsplusg prdsmulr prdsvsca
        ctopn eqidd prdsval pleid wcel fvexi xpex prss anbi1i opabssxp eqsstrri
        vex opabbii ssexi a1i cnx cts csca snsstp2 ssun1 sstri ssun2 prdsbaslem
        ctp ) AJCGHCCBIBUPZGUPZSZXHHUPZSZXHESZUESUQUFUGUHUIUJUKULUMUNZDUOSZFUAU
        BCCURZCUCUDUAUPZUSSZUBUPZGHCCBIXJXLXMUTSUQVAUNZUQXQXTSBIXHUCUPSXHUDUPSX
        HXQVBSSXHXRSTXHXSSXMVCSUQUQUFUNUNZXIXKVDCVEZXJXLXMVFSVGBIVLZVHZGHVIZDVJ
        SZDVKSZDVFXTGHCCFBIXJXLXMVMSUQUFVNUQUNZYEWDEVOVPSZVQABCXNDXOEFYAYFYGUDG
        HXTYHIFVRSZYEYIKLUAUBUCMYJVSZQABCDEFIKLMNOPQVTABCDXOEFGHIKLMNOPQXOVSWAA
        BCDEFYGGHIKLMNOPQYGVSWBABCDEFYFGHIYJKLMNOPQYKYFVSWCAYHWEAYIWEAYEWEAXNWE
        AXTWEAYAWENOWFRWGYEVQWHAYEXPCCCDVRPWIZYLWJYEXICWHXKCWHVHZYCVHZGHVIXPYNY
        DGHYMYBYCXIXKCGWOHWOWKWLWPYCGHCCWMWNWQWRWSVFSYETZUIZWSWTSYITZYOWSUESXNT
        ZXGZWSUTSXTTWSVCSYATVDZUJZWSVRSCTWSUOSXOTWSVKSYGTXGWSXASFTWSVJSYFTWSVMS
        YHTXGUJZUUAUJYPYSUUAYQYOYRXBYSYTXCXDUUAUUBXEXDXF $.

      $( Closure of the order relation on a structure product.  (Contributed by
         Mario Carneiro, 16-Aug-2015.) $)
      prdsless $p |- ( ph -> .<_ C_ ( B X. B ) ) $=
        ( vf vg vx cv cfv cpr wss cple wbr wral wa copab cxp prdsle wcel anbi1i
        vex prss opabbii opabssxp eqsstrri eqsstrdi ) AGPSZQSZUABUBZRSZURTVAUST
        VADTUCTUDRFUEZUFZPQUGZBBUHZARBCDEPQFGHIJKLMNOUIVDURBUJUSBUJUFZVBUFZPQUG
        VEVGVCPQVFUTVBURUSBPULQULUMUKUNVBPQBBUOUPUQ $.
    $}

    ${
      prdsds.l $e |- D = ( dist ` P ) $.
      $( Structure product distance function.  (Contributed by Mario Carneiro,
         15-Aug-2015.)  (Revised by Thierry Arnoux, 16-Jun-2019.)  (Revised by
         Zhi Wang, 18-Aug-2024.) $)
      prdsds $p |- ( ph -> D = ( f e. B , g e. B |-> sup ( ( ran ( x e. I |->
   ( ( f ` x ) ( dist ` ( R ` x ) ) ( g ` x ) ) ) u. { 0 } ) , RR* , < ) ) ) $=
        ( cfv cop va vc vd ve vy vz vw cv cds cmpt crn cc0 csn cun cxr clt csup
        cmpo cplusg cxp c2nd chom cixp c1st cco cvsca cmulr cip cgsu cple ctopn
        ccom cpt cvv cbs eqid prdsbas prdsplusg prdsmulr prdsvsca eqidd prdsval
        co prdsle dsid wcel cuni cpw fvexi xrex uniex pwex wn wral wrex wi crab
        wbr df-sup ssrab2 unissi elpwi2 eqeltri rgen2w a1i cnx cts ctp cpr csca
        wa mpoexw snsstp3 ssun1 sstri ssun2 prdsbaslem ) ADCHICCBJBUHZHUHSZXRIU
        HSZXRFSZUISWCUJUKULUMUNZUOUPUQZURZEUSSZGUAUBCCUTCUCUDUAUHZVASZUBUHZHICC
        BJXSXTYAVBSWCVCURZWCYFYISBJXRUCUHSXRUDUHSXRYFVDSSXRYGSTXRYHSYAVESWCWCUJ
        URURZYDEVFSZEVGSZEUIYIHICCGBJXSXTYAVHSWCUJVIWCURZEVJSZVKFVLVMSZVNABCYDE
        YEFGYJYKYLUDHIYIYMJGVOSZYNYOKLUAUBUCMYPVPZQABCEFGJKLMNOPQVQABCEYEFGHIJK
        LMNOPQYEVPVRABCEFGYLHIJKLMNOPQYLVPVSABCEFGYKHIJYPKLMNOPQYQYKVPVTAYMWAAY
        OWAABCEFGHIJYNKLMNOPQYNVPWDAYDWAAYIWAAYJWANOWBRWEYDVNWFAHICCYCUOWGZWHZC
        EVOPWIZYTYRUOWJWKZWLYCYSWFHICCYCUEUHZUFUHZUPWRWMUFYBWNUUCUUBUPWRUUCUGUH
        UPWRUGYBWOWPUFUOWNXKZUEUOWQZWGZYSUEUFUGYBUOUPWSUUFYRVNUUAUUEUOUUDUEUOWT
        XAXBXCXDXLXEXFUISYDTZUMZXFXGSYOTZXFVJSYNTZUUGXHZXFVBSYITXFVESYJTXIZUNZX
        FVOSCTXFUSSYETXFVGSYLTXHXFXJSGTXFVFSYKTXFVHSYMTXHUNZUUMUNUUHUUKUUMUUIUU
        JUUGXMUUKUULXNXOUUMUUNXPXOXQ $.

      $( Structure product distance function.  (Contributed by Mario Carneiro,
         15-Sep-2015.) $)
      prdsdsfn $p |- ( ph -> D Fn ( B X. B ) ) $=
        ( vf vg vx cv cfv cxp wfn cds co cmpt crn cc0 csn cun cxr clt csup cmpo
        eqid xrltso supex fnmpoi prdsds fneq1d mpbiri ) ACBBUAZUBPQBBRGRSZPSTVB
        QSTVBETUCTUDUEUFUGUHUIZUJUKULZUMZVAUBPQBBVDVEVEUNUJVCUKUOUPUQAVACVEARBC
        DEFPQGHIJKLMNOURUSUT $.
    $}

    ${
      prdstset.l $e |- O = ( TopSet ` P ) $.
      $( Structure product topology.  (Contributed by Mario Carneiro,
         15-Aug-2015.)  (Revised by Thierry Arnoux, 16-Jun-2019.)  (Revised by
         Zhi Wang, 18-Aug-2024.) $)
      prdstset $p |- ( ph -> O = ( Xt_ ` ( TopOpen o. R ) ) ) $=
        ( vf vx cfv cop cnx va vc vd ve vg cds cplusg cv c2nd chom co cixp cmpo
        cxp c1st cco cmpt ctopn ccom cpt cvsca cmulr cts cip cgsu cple cvv eqid
        cbs prdsbas prdsplusg prdsmulr eqidd prdsle prdsds prdsval tsetid fvexd
        prdsvsca csn ctp cpr cun csca snsstp1 ssun1 sstri ssun2 prdsbaslem ) AG
        BCUFRZCUGRZEUAUBBBUNBUCUDUAUHZUIRZUBUHZPUEBBQFQUHZPUHRZWOUEUHRZWODRZUJR
        UKULUMZUKWLWSRQFWOUCUHRWOUDUHRWOWLUORRWOWMRSWOWNRWRUPRUKUKUQUMUMZURDUSZ
        UTRZCVARZCVBRZCVCWSPUEBBEQFWPWQWRVDRUKUQVEUKUMZCVFRZXBVGAQBWJCWKDEWTXCX
        DUDPUEWSXEFEVIRZXFXBHIUAUBUCJXGVHZNAQBCDEFHIJKLMNVJAQBCWKDEPUEFHIJKLMNW
        KVHVKAQBCDEXDPUEFHIJKLMNXDVHVLAQBCDEXCPUEFXGHIJKLMNXHXCVHVSAXEVMAXBVMAQ
        BCDEPUEFXFHIJKLMNXFVHVNAQBWJCDEPUEFHIJKLMNWJVHVOAWSVMAWTVMKLVPOVQAXAUTV
        RTVCRXBSZVTZXITVFRXFSZTUFRWJSZWAZTUJRWSSTUPRWTSWBZWCZTVIRBSTUGRWKSTVBRX
        DSWATWDRESTVARXCSTVDRXESWAWCZXOWCXJXMXOXIXKXLWEXMXNWFWGXOXPWHWGWI $.
    $}

    ${
      prdshom.h $e |- H = ( Hom ` P ) $.
      $( Structure product hom-sets.  (Contributed by Mario Carneiro,
         7-Jan-2017.)  (Revised by Thierry Arnoux, 16-Jun-2019.)  (Revised by
         Zhi Wang, 18-Aug-2024.) $)
      prdshom $p |- ( ph -> H = ( f e. B , g e. B |->
          X_ x e. I ( ( f ` x ) ( Hom ` ( R ` x ) ) ( g ` x ) ) ) ) $=
        ( cfv cvv va vc vd ve cds cplusg cxp cv c2nd chom co cixp cmpo c1st cop
        cco cmpt cvsca cmulr cip cgsu cple cts eqid prdsplusg prdsmulr prdsvsca
        cbs prdsbas eqidd prdstset prdsle prdsds prdsval homid crn cuni cmap wf
        cpw wcel wral wss ovssunirn cnx strfvss fvssunirn rnss uniss mp2b sstri
        rgenw ss2ixp ax-mp wceq cdm dmexd eqeltrrd rnexg 3syl ixpconstg syl2anc
        uniexg sseqtrid ovex elpw2 sylibr ralrimivw fmpo sylib xpex a1i syl3anc
        fvexi pwex fex2 csn ctp cpr cun csca snsspr1 ssun2 prdsbaslem ) AICDUES
        ZDUFSZFUAUBCCUGZCUCUDUAUHZUISZUBUHZGHCCBJBUHZGUHSZYKHUHSZYKESZUJSZUKZUL
        ZUMZUKYHYRSBJYKUCUHSYKUDUHSYKYHUNSSYKYISUOYKYJSYNUPSUKUKUQUMUMZYRDURSZD
        USSZDUJYRGHCCFBJYLYMYNUTSUKUQVAUKUMZDVBSZDVCSZTABCYEDYFEFYSYTUUAUDGHYRU
        UBJFVHSZUUCUUDKLUAUBUCMUUEVDZQABCDEFJKLMNOPQVIABCDYFEFGHJKLMNOPQYFVDVEA
        BCDEFUUAGHJKLMNOPQUUAVDVFABCDEFYTGHJUUEKLMNOPQUUFYTVDVGAUUBVJACDEFJUUDK
        LMNOPQUUDVDVKABCDEFGHJUUCKLMNOPQUUCVDVLABCYEDEFGHJKLMNOPQYEVDVMAYRVJAYS
        VJNOVNRVOAYGEVPZVQZVPZVQZVPZVQZJVRUKZVTZYRVSZYGTWAZUUNTWAZYRTWAAYQUUNWA
        ZHCWBZGCWBUUOAUUSGCAUURHCAYQUUMWCUURABJUULULZYQUUMYPUULWCZBJWBYQUUTWCUV
        ABJYPYOVPZVQZUULYOYLYMWDYOUUJWCUVBUUKWCUVCUULWCYOYNVPZVQZUUJYNUJWEUJSZV
        OWFYNUUHWCUVDUUIWCUVEUUJWCEYKWGYNUUHWHUVDUUIWIWJWKYOUUJWHUVBUUKWIWJWKWL
        BJYPUULWMWNAJTWAUULTWAZUUTUUMWOAEWPJTQAELOWQWRAUUJTWAZUUKTWAUVGAUUHTWAZ
        UUITWAUVHAELWAUUGTWAUVIOELWSUUGTXCWTUUHTWSUUITXCWTUUJTWSUUKTXCWTBJUULTT
        XAXBXDYQUUMUULJVRXEZXFXGXHXHGHCCYQUUNYRYRVDXIXJUUPACCCDVHPXNZUVKXKXLUUQ
        AUUMUVJXOXLYGUUNYRTTXPXMUVFYRUOZXQZWEVCSUUDUOWEVBSUUCUOWEUESYEUOXRZUVLW
        EUPSYSUOZXSZXTZWEVHSCUOWEUFSYFUOWEUSSUUAUOXRWEYASFUOWEURSYTUOWEUTSUUBUO
        XRXTZUVQXTUVMUVPUVQUVLUVOYBUVPUVNYCWKUVQUVRYCWKYD $.

      prdsco.o $e |- .xb = ( comp ` P ) $.
      $( Structure product composition operation.  (Contributed by Mario
         Carneiro, 7-Jan-2017.)  (Revised by Thierry Arnoux, 16-Jun-2019.)
         (Revised by Zhi Wang, 18-Aug-2024.) $)
      prdsco $p |- ( ph -> .xb = ( a e. ( B X. B ) , c e. B |->
        ( d e. ( ( 2nd ` a ) H c ) , e e. ( H ` a ) |-> ( x e. I |->
          ( ( d ` x ) ( <. ( ( 1st ` a ) ` x ) , ( ( 2nd ` a ) ` x ) >.
            ( comp ` ( R ` x ) ) ( c ` x ) ) ( e ` x ) ) ) ) ) ) $=
        ( vf vg cds cfv cplusg cxp cv c2nd co c1st cop cco cmpt cvsca cmulr cip
        cmpo cgsu cple cts cvv cbs prdsbas prdsplusg prdsmulr prdsvsca prdstset
        eqid eqidd prdsle prdsds prdshom prdsval ccoid wcel fvexi mpoex a1i cnx
        xpex csn ctp chom cpr cun csca snsspr2 ssun2 sstri prdsbaslem ) AGCDUEU
        FZDUGUFZFMNCCUHZCOHMUIZUJUFZNUIZIUKWPIUFBJBUIZOUIUFWSHUIUFWSWPULUFUFWSW
        QUFUMWSWRUFWSEUFZUNUFUKUKUOUSZUSZXBDUPUFZDUQUFZDUNIUCUDCCFBJWSUCUIUFWSU
        DUIUFWTURUFUKUOUTUKUSZDVAUFZDVBUFZVCABCWMDWNEFXBXCXDHUCUDIXEJFVDUFZXFXG
        KLMNOPXHVJZTABCDEFJKLPQRSTVEABCDWNEFUCUDJKLPQRSTWNVJVFABCDEFXDUCUDJKLPQ
        RSTXDVJVGABCDEFXCUCUDJXHKLPQRSTXIXCVJVHAXEVKACDEFJXGKLPQRSTXGVJVIABCDEF
        UCUDJXFKLPQRSTXFVJVLABCWMDEFUCUDJKLPQRSTWMVJVMABCDEFUCUDIJKLPQRSTUAVNAX
        BVKQRVOUBVPXBVCVQAMNWOCXACCCDVDSVRZXJWBXJVSVTWAUNUFXBUMZWCZWAVBUFXGUMWA
        VAUFXFUMWAUEUFWMUMWDZWAWEUFIUMZXKWFZWGZWAVDUFCUMWAUGUFWNUMWAUQUFXDUMWDW
        AWHUFFUMWAUPUFXCUMWAURUFXEUMWDWGZXPWGXLXOXPXNXKWIXOXMWJWKXPXQWJWKWL $.
    $}
  $}

  ${
    $d f g x y z B $.  $d f g x y z F $.  $d f g x y z G $.  $d f g x y z ph $.
    $d f g x y z I $.  $d x J $.  $d y z K $.  $d x T $.  $d x V $.
    $d f g x y z R $.  $d f g x y z S $.  $d x W $.  $d f g x y z Y $.
    prdsbasmpt.y $e |- Y = ( S Xs_ R ) $.
    prdsbasmpt.b $e |- B = ( Base ` Y ) $.
    ${
      prdsbasmpt.s $e |- ( ph -> S e. V ) $.
      prdsbasmpt.i $e |- ( ph -> I e. W ) $.
      prdsbasmpt.r $e |- ( ph -> R Fn I ) $.
      $( The base set of a structure product is an indexed set product.
         (Contributed by Stefan O'Rear, 10-Jan-2015.)  (Revised by Mario
         Carneiro, 15-Aug-2015.) $)
      prdsbas2 $p |- ( ph -> B = X_ x e. I ( Base ` ( R ` x ) ) ) $=
        ( cvv wfn wcel fnex syl2anc fndmd prdsbas ) ABCIDEFGOJLADFPFHQDOQNMFHDR
        SKAFDNTUA $.

      $( A constructed tuple is a point in a structure product iff each
         coordinate is in the proper base set.  (Contributed by Stefan O'Rear,
         10-Jan-2015.) $)
      prdsbasmpt $p |- ( ph -> ( ( x e. I |-> U ) e. B <->
          A. x e. I U e. ( Base ` ( R ` x ) ) ) ) $=
        ( cmpt wcel cv cfv cbs cixp wral prdsbas2 eleq2d wb mptelixpg syl bitrd
        ) ABGFPZCQUIBGBRDSTSZUAZQZFUJQBGUBZACUKUIABCDEGHIJKLMNOUCUDAGIQULUMUENB
        GFUJIUFUGUH $.

      ${
        prdsbasmpt.t $e |- ( ph -> T e. B ) $.
        $( Points in the structure product are functions; use this with ~ dffn5
           to establish equalities.  (Contributed by Stefan O'Rear,
           10-Jan-2015.) $)
        prdsbasfn $p |- ( ph -> T Fn I ) $=
          ( vx cv cfv cbs cixp wcel wfn prdsbas2 eleqtrd ixpfn syl ) AEPFPQCRSR
          ZTZUAEFUBAEBUHOAPBCDFGHIJKLMNUCUDPFUGEUEUF $.

        prdsbasprj.j $e |- ( ph -> J e. I ) $.
        $( Each point in a structure product restricts on each coordinate to
           the relevant base set.  (Contributed by Stefan O'Rear,
           10-Jan-2015.) $)
        prdsbasprj $p |- ( ph -> ( T ` J ) e. ( Base ` ( R ` J ) ) ) $=
          ( vx cfv wcel cv wceq fveq2 2fveq3 eleq12d cixp wral prdsbas2 eleqtrd
          cbs cvv wfn elixp2 simp3bi syl rspcdva ) ARUAZESZUQCSUJSZTZGESZGCSUJS
          ZTRFGUQGUBURVAUSVBUQGEUCUQGUJCUDUEAERFUSUFZTZUTRFUGZAEBVCPARBCDFHIJKL
          MNOUHUIVDEUKTEFULVERFUSEUMUNUOQUP $.
      $}

      prdsplusgval.f $e |- ( ph -> F e. B ) $.
      prdsplusgval.g $e |- ( ph -> G e. B ) $.
      ${
        prdsplusgval.p $e |- .+ = ( +g ` Y ) $.
        $( Value of a componentwise sum in a structure product.  (Contributed
           by Stefan O'Rear, 10-Jan-2015.)  (Revised by Mario Carneiro,
           15-Aug-2015.) $)
        prdsplusgval $p |- ( ph -> ( F .+ G ) = ( x e. I |-> ( ( F ` x )
            ( +g ` ( R ` x ) ) ( G ` x ) ) ) ) $=
          ( vy vz cv cfv cplusg cmpt cvv wcel fnex syl2anc fndmd prdsplusg wceq
          co wfn wa fveq1 oveqan12d adantl mpteq2dv mptexd ovmpod ) AUAUBGHCCBI
          BUCZUAUCZUDZVCUBUCZUDZVCEUDUEUDZUNZUFBIVCGUDZVCHUDZVHUNZUFDUGABCLDEFU
          AUBIJUGMOAEIUOIKUHEUGUHQPIKEUIUJNAIEQUKTULAVDGUMZVFHUMZUPZUPBIVIVLVOV
          IVLUMAVMVNVEVJVGVKVHVCVDGUQVCVFHUQURUSUTRSABIVLKPVAVB $.

        prdsplusgfval.j $e |- ( ph -> J e. I ) $.
        $( Value of a structure product sum at a single coordinate.
           (Contributed by Stefan O'Rear, 10-Jan-2015.) $)
        prdsplusgfval $p |- ( ph -> ( ( F .+ G ) ` J ) = ( ( F ` J )
            ( +g ` ( R ` J ) ) ( G ` J ) ) ) $=
          ( vx co cfv cv cplusg cmpt prdsplusgval fveq1d wcel wceq 2fveq3 fveq2
          oveq123d eqid ovex fvmpt syl eqtrd ) AIFGCUCZUDIUBHUBUEZFUDZVAGUDZVAD
          UDUFUDZUCZUGZUDZIFUDZIGUDZIDUDUFUDZUCZAIUTVFAUBBCDEFGHJKLMNOPQRSTUHUI
          AIHUJVGVKUKUAUBIVEVKHVFVAIUKVBVHVCVIVDVJVAIUFDULVAIFUMVAIGUMUNVFUOVHV
          IVJUPUQURUS $.
      $}

      ${
        prdsmulrval.t $e |- .x. = ( .r ` Y ) $.
        $( Value of a componentwise ring product in a structure product.
           (Contributed by Mario Carneiro, 11-Jan-2015.) $)
        prdsmulrval $p |- ( ph -> ( F .x. G ) = ( x e. I |-> ( ( F ` x )
            ( .r ` ( R ` x ) ) ( G ` x ) ) ) ) $=
          ( vy vz cv cfv cmulr co cmpt cvv wfn wcel fnex syl2anc fndmd prdsmulr
          wceq wa fveq1 oveqan12d adantl mpteq2dv mptexd ovmpod ) AUAUBGHCCBIBU
          CZUAUCZUDZVCUBUCZUDZVCDUDUEUDZUFZUGBIVCGUDZVCHUDZVHUFZUGFUHABCLDEFUAU
          BIJUHMOADIUIIKUJDUHUJQPIKDUKULNAIDQUMTUNAVDGUOZVFHUOZUPZUPBIVIVLVOVIV
          LUOAVMVNVEVJVGVKVHVCVDGUQVCVFHUQURUSUTRSABIVLKPVAVB $.

        prdsmulrfval.j $e |- ( ph -> J e. I ) $.
        $( Value of a structure product's ring product at a single coordinate.
           (Contributed by Mario Carneiro, 11-Jan-2015.) $)
        prdsmulrfval $p |- ( ph -> ( ( F .x. G ) ` J ) = ( ( F ` J )
            ( .r ` ( R ` J ) ) ( G ` J ) ) ) $=
          ( vx co cfv cv cmulr cmpt prdsmulrval fveq1d wcel wceq fveq2 oveq123d
          2fveq3 eqid ovex fvmpt syl eqtrd ) AIFGEUCZUDIUBHUBUEZFUDZVAGUDZVACUD
          UFUDZUCZUGZUDZIFUDZIGUDZICUDUFUDZUCZAIUTVFAUBBCDEFGHJKLMNOPQRSTUHUIAI
          HUJVGVKUKUAUBIVEVKHVFVAIUKVBVHVCVIVDVJVAIUFCUNVAIFULVAIGULUMVFUOVHVIV
          JUPUQURUS $.
      $}

      ${
        prdsleval.l $e |- .<_ = ( le ` Y ) $.
        $( Value of the product ordering in a structure product.  (Contributed
           by Mario Carneiro, 15-Aug-2015.) $)
        prdsleval $p |- ( ph -> ( F .<_ G <->
          A. x e. I ( F ` x ) ( le ` ( R ` x ) ) ( G ` x ) ) ) $=
          ( vf vg wbr cop cv wcel wa cfv cple wral copab df-br cpr wss cvv fnex
          wfn syl2anc fndmd prdsle prss anbi1i opabbii eqtr4di eleq2d syl5bb wb
          vex wceq fveq1 breqan12d ralbidv opelopab2a bitrd ) AFGIUCZFGUDZUAUEZ
          CUFUBUEZCUFUGZBUEZVQUHZVTVRUHZVTDUHUIUHZUCZBHUJZUGZUAUBUKZUFZVTFUHZVT
          GUHZWCUCZBHUJZVOVPIUFAWHFGIULAIWGVPAIVQVRUMCUNZWEUGZUAUBUKWGABCLDEUAU
          BHIJUOMOADHUQHKUFDUOUFQPHKDUPURNAHDQUSTUTWFWNUAUBVSWMWEVQVRCUAVHUBVHV
          AVBVCVDVEVFAFCUFGCUFWHWLVGRSWEWLUAUBFGCCVQFVIZVRGVIZUGWDWKBHWOWPWAWIW
          BWJWCVTVQFVJVTVRGVJVKVLVMURVN $.
      $}

      ${
        prdsdsval.d $e |- D = ( dist ` Y ) $.
        $( Value of the metric in a structure product.  (Contributed by Mario
           Carneiro, 20-Aug-2015.) $)
        prdsdsval $p |- ( ph -> ( F D G ) = sup ( ( ran ( x e. I |->
     ( ( F ` x ) ( dist ` ( R ` x ) ) ( G ` x ) ) ) u. { 0 } ) , RR* , < ) ) $=
          ( vf vg cv cfv cds co cmpt crn cc0 csn cun cxr clt csup cvv wcel fnex
          wfn syl2anc cdm wceq syl prdsds fveq1 oveqan12d adantl mpteq2dv rneqd
          fndm wa uneq1d supeq1d xrltso supex a1i ovmpod ) AUAUBGHCCBIBUCZUAUCZ
          UDZVQUBUCZUDZVQEUDUEUDZUFZUGZUHZUIUJZUKZULUMUNBIVQGUDZVQHUDZWBUFZUGZU
          HZWFUKZULUMUNZDUOABCDLEFUAUBIJUOMOAEIURZIKUPEUOUPQPIKEUQUSNAWOEUTIVAQ
          IEVIVBTVCAVRGVAZVTHVAZVJZVJZULWGWMUMWSWEWLWFWSWDWKWSBIWCWJWRWCWJVAAWP
          WQVSWHWAWIWBVQVRGVDVQVTHVDVEVFVGVHVKVLRSWNUOUPAULWMUMVMVNVOVP $.
      $}
    $}

    prdsvscaval.t $e |- .x. = ( .s ` Y ) $.
    prdsvscaval.k $e |- K = ( Base ` S ) $.
    prdsvscaval.s $e |- ( ph -> S e. V ) $.
    prdsvscaval.i $e |- ( ph -> I e. W ) $.
    prdsvscaval.r $e |- ( ph -> R Fn I ) $.
    prdsvscaval.f $e |- ( ph -> F e. K ) $.
    prdsvscaval.g $e |- ( ph -> G e. B ) $.
    $( Scalar multiplication in a structure product is pointwise.  (Contributed
       by Stefan O'Rear, 10-Jan-2015.) $)
    prdsvscaval $p |- ( ph -> ( F .x. G ) = ( x e. I |->
        ( F ( .s ` ( R ` x ) ) ( G ` x ) ) ) ) $=
      ( vy vz cv cfv cvsca co cmpt cvv wcel fnex syl2anc fndmd prdsvsca wceq wa
      wfn id fveq1 oveqan12d adantl mpteq2dv mptexd ovmpod ) AUCUDGHJCBIUCUEZBU
      EZUDUEZUFZVGDUFUGUFZUHZUIBIGVGHUFZVJUHZUIFUJABCMDEFUCUDIJKUJNRADIURILUKDU
      JUKTSILDULUMOAIDTUNQPUOAVFGUPZVHHUPZUQZUQBIVKVMVPVKVMUPAVNVOVFGVIVLVJVNUS
      VGVHHUTVAVBVCUAUBABIVMLSVDVE $.

    prdsvscafval.j $e |- ( ph -> J e. I ) $.
    $( Scalar multiplication of a single coordinate in a structure product.
       (Contributed by Stefan O'Rear, 10-Jan-2015.) $)
    prdsvscafval $p |- ( ph -> ( ( F .x. G ) ` J ) =
        ( F ( .s ` ( R ` J ) ) ( G ` J ) ) ) $=
      ( vx cv cfv cvsca cvv prdsvscaval wceq 2fveq3 eqidd fveq2 oveq123d adantl
      co ovexd fvmptd ) AUDIFUDUEZGUFZUSCUFUGUFZUPZFIGUFZICUFUGUFZUPZHFGEUPUHAU
      DBCDEFGHJKLMNOPQRSTUAUBUIUSIUJZVBVEUJAVFFFUTVCVAVDUSIUGCUKVFFULUSIGUMUNUO
      UCAFVCVDUQUR $.
  $}

  ${
    $d y B $.  $d x y F $.  $d x y G $.  $d y ph $.  $d y S $.  $d y V $.
    $d x y I $.  $d y R $.  $d y W $.  $d y Y $.
    prdsbasmpt2.y $e |- Y = ( S Xs_ ( x e. I |-> R ) ) $.
    prdsbasmpt2.b $e |- B = ( Base ` Y ) $.
    prdsbasmpt2.s $e |- ( ph -> S e. V ) $.
    prdsbasmpt2.i $e |- ( ph -> I e. W ) $.
    prdsbasmpt2.r $e |- ( ph -> A. x e. I R e. X ) $.
    ${
      prdsbasmpt2.k $e |- K = ( Base ` R ) $.
      $( The base set of an indexed structure product.  (Contributed by Mario
         Carneiro, 13-Sep-2015.) $)
      prdsbas3 $p |- ( ph -> B = X_ x e. I K ) $=
        ( vy cfv cbs cv cmpt cixp wcel wral wfn eqid syl prdsbas2 nfcv nffvmpt1
        nffv 2fveq3 cbvixp eqtrdi wceq wa fvmpt2 fveq2d eqtr4di ralimiaa ixpeq2
        fnmpt 3syl eqtrd ) ACBFBUAZBFDUBZSZTSZUCZBFGUCZACRFRUAZVGSZTSZUCVJARCVG
        EFHIKLMNOADJUDZBFUEZVGFUFPBFDVGJVGUGZVCUHUIRBFVNVIBVMTBTUJBFDVLUKULRVIU
        JVLVFTVGUMUNUOAVPVIGUPZBFUEVJVKUPPVOVRBFVFFUDVOUQZVIDTSGVSVHDTBFDJVGVQU
        RUSQUTVABFVIGVBVDVE $.

      $( A constructed tuple is a point in a structure product iff each
         coordinate is in the proper base set.  (Contributed by Mario Carneiro,
         3-Jul-2015.)  (Revised by Mario Carneiro, 13-Sep-2015.) $)
      prdsbasmpt2 $p |- ( ph ->
          ( ( x e. I |-> U ) e. B <-> A. x e. I U e. K ) ) $=
        ( cmpt wcel cixp wral prdsbas3 eleq2d wb mptelixpg syl bitrd ) ABGFSZCT
        UIBGHUAZTZFHTBGUBZACUJUIABCDEGHIJKLMNOPQRUCUDAGJTUKULUEPBGFHJUFUGUH $.

      prdsbascl.f $e |- ( ph -> F e. B ) $.
      $( An element of the base has projections closed in the factors.
         (Contributed by Mario Carneiro, 27-Aug-2015.) $)
      prdsbascl $p |- ( ph -> A. x e. I ( F ` x ) e. K ) $=
        ( wcel cfv cmpt wral wfn wceq eqid fnmpt prdsbasfn dffn5 sylib eqeltrrd
        cv syl prdsbasmpt2 mpbid ) ABGBULFUAZUBZCTUPHTBGUCAFUQCAFGUDFUQUEACBGDU
        BZEFGIJLMNOPADKTBGUCURGUDQBGDURKURUFUGUMSUHBGFUIUJSUKABCDEUPGHIJKLMNOPQ
        RUNUO $.
    $}

    prdsdsval2.f $e |- ( ph -> F e. B ) $.
    prdsdsval2.g $e |- ( ph -> G e. B ) $.
    ${
      prdsdsval2.e $e |- E = ( dist ` R ) $.
      prdsdsval2.d $e |- D = ( dist ` Y ) $.
      $( Value of the metric in a structure product.  (Contributed by Mario
         Carneiro, 20-Aug-2015.) $)
      prdsdsval2 $p |- ( ph -> ( F D G ) = sup ( ( ran ( x e. I |->
        ( ( F ` x ) E ( G ` x ) ) ) u. { 0 } ) , RR* , < ) ) $=
        ( vy co cv cfv cmpt cds crn cc0 csn cun cxr clt csup wcel wral wfn eqid
        fnmpt syl prdsdsval nfcv nffvmpt1 nffv nfov wceq 2fveq3 oveq123d cbvmpt
        fveq2 eqidd fvmpt2 fveq2d eqtr4di oveqd ralimiaa mpteq12 syl2anc eqtrid
        wa rneqd uneq1d supeq1d eqtrd ) AHIDUEUDJUDUFZHUGZWGIUGZWGBJEUHZUGZUIUG
        ZUEZUHZUJZUKULZUMZUNUOUPBJBUFZHUGZWRIUGZGUEZUHZUJZWPUMZUNUOUPAUDCDWJFHI
        JKLNOPQRAEMUQZBJURZWJJUSSBJEWJMWJUTZVAVBTUAUCVCAUNWQXDUOAWOXCWPAWNXBAWN
        BJWSWTWRWJUGZUIUGZUEZUHZXBUDBJWMXJBWHWIWLBWHVDBWKUIBUIVDBJEWGVEVFBWIVDV
        GUDXJVDWGWRVHWHWSWIWTWLXIWGWRUIWJVIWGWRHVLWGWRIVLVJVKAJJVHXJXAVHZBJURZX
        KXBVHAJVMAXFXMSXEXLBJWRJUQXEWBZXIGWSWTXNXIEUIUGGXNXHEUIBJEMWJXGVNVOUBVP
        VQVRVBBJXJJXAVSVTWAWCWDWEWF $.
    $}

    ${
      prdsdsval3.k $e |- K = ( Base ` R ) $.
      prdsdsval3.e $e |- E = ( ( dist ` R ) |` ( K X. K ) ) $.
      prdsdsval3.d $e |- D = ( dist ` Y ) $.
      $( Value of the metric in a structure product.  (Contributed by Mario
         Carneiro, 27-Aug-2015.) $)
      prdsdsval3 $p |- ( ph -> ( F D G ) = sup ( ( ran ( x e. I |->
        ( ( F ` x ) E ( G ` x ) ) ) u. { 0 } ) , RR* , < ) ) $=
        ( co cv cfv cds cmpt crn cc0 csn cun cxr csup eqid prdsdsval2 wceq wral
        clt eqidd wcel prdsbascl wa cxp cres oveqi ovres eqtrid ex ral2imi sylc
        mpteq12 syl2anc rneqd uneq1d supeq1d eqtr4d ) AHIDUFBJBUGZHUHZVTIUHZEUI
        UHZUFZUJZUKZULUMZUNZUOVAUPBJWAWBGUFZUJZUKZWGUNZUOVAUPABCDEFWCHIJLMNOPQR
        STUAUBWCUQUEURAUOWLWHVAAWKWFWGAWJWEAJJUSWIWDUSZBJUTZWJWEUSAJVBAWAKVCZBJ
        UTWBKVCZBJUTWNABCEFHJKLMNOPQRSTUCUAVDABCEFIJKLMNOPQRSTUCUBVDWOWPWMBJWOW
        PWMWOWPVEWIWAWBWCKKVFVGZUFWDGWQWAWBUDVHWAWBKKWCVIVJVKVLVMBJWIJWDVNVOVPV
        QVRVS $.
    $}
  $}

  ${
    $d i r F $.  $d i r I $.  $d i r R $.
    pwsval.y $e |- Y = ( R ^s I ) $.
    pwsval.f $e |- F = ( Scalar ` R ) $.
    $( Value of a structure power.  (Contributed by Mario Carneiro,
       11-Jan-2015.) $)
    pwsval $p |- ( ( R e. V /\ I e. W ) -> Y = ( F Xs_ ( I X. { R } ) ) ) $=
      ( vr vi wcel wa cpws co csn cxp cprds cvv wceq csca elex cfv simpl fveq2d
      cv eqtr4di sneq xpeq12 syl2anr oveq12d df-pws ovex ovmpoa syl2an eqtrid
      id ) ADKZCEKZLFACMNZBCAOZPZQNZGUQARKCRKUSVBSURADUACEUAIJACRRIUEZTUBZJUEZV
      COZPZQNVBMVCASZVECSZLZVDBVGVAQVJVDATUBBVJVCATVHVIUCUDHUFVIVIVFUTSVGVASVHV
      IUPVCAUGVECVFUTUHUIUJJIUKBVAQULUMUNUO $.
  $}

  ${
    $d x I $.  $d x R $.  $d x V $.  $d x W $.
    pwsbas.y $e |- Y = ( R ^s I ) $.
    pwsbas.f $e |- B = ( Base ` R ) $.
    $( Base set of a structure power.  (Contributed by Mario Carneiro,
       11-Jan-2015.) $)
    pwsbas $p |- ( ( R e. V /\ I e. W ) -> ( B ^m I ) = ( Base ` Y ) ) $=
      ( vx wcel wa cbs cfv csca co cixp cmap eqid cvv wceq csn cxp cprds pwsval
      fveq2d cv fvexd simpr snex xpexg sylancl c0 wne cdm snnzg adantr dmxp syl
      prdsbas wral fvconst2g ralrimiva ixpeq2 eqtrd fvex oveq1i eqtr4di 3eqtrrd
      ixpconstg ) BDJZCEJZKZFLMBNMZCBUAZUBZUCOZLMZICBLMZPZACQOZVLFVPLBVMCDEFGVM
      RUDUEVLVQICIUFZVOMZLMZPZVSVLIVQVPVOVMCSSVPRVLBNUGVLVKVNSJVOSJVJVKUHZBUICV
      NESUJUKVQRVLVNULUMZVOUNCTVJWFVKBDUOUPCVNUQURUSVLWCVRTZICUTZWDVSTVJWHVKVJW
      GICVJWACJKWBBLCBWADVAUEVBUPICWCVRVCURVDVLVSVRCQOZVTVLVKVRSJVSWITWEBLVEICV
      RESVIUKAVRCQHVFVGVH $.

    pwselbas.v $e |- V = ( Base ` Y ) $.
    $( Membership in the base set of a structure product.  (Contributed by
       Stefan O'Rear, 24-Jan-2015.) $)
    pwselbasb $p |- ( ( R e. W /\ I e. Z ) -> ( X e. V <-> X : I --> B ) ) $=
      ( wcel wa cmap co wf cbs cfv pwsbas cvv eqtr4di eleq2d elmapg mpan adantl
      wb fvexi bitr3d ) BELZCHLZMZFACNOZLZFDLCAFPZUKULDFUKULGQRDABCEHGIJSKUAUBU
      JUMUNUFZUIATLUJUOABQJUGACFTHUCUDUEUH $.

    pwselbas.r $e |- ( ph -> R e. W ) $.
    pwselbas.i $e |- ( ph -> I e. Z ) $.
    pwselbas.x $e |- ( ph -> X e. V ) $.
    $( An element of a structure power is a function from the index set to the
       base set of the structure.  (Contributed by Mario Carneiro,
       11-Jan-2015.)  (Revised by Mario Carneiro, 5-Jun-2015.) $)
    pwselbas $p |- ( ph -> X : I --> B ) $=
      ( wcel wf wb pwselbasb syl2anc mpbid ) AGEPZDBGQZOACFPDIPUBUCRMNBCDEFGHIJ
      KLSTUA $.
  $}

  ${
    $d x .+ $.  $d x F $.  $d x G $.  $d x I $.  $d x ph $.  $d x .x. $.
    $d x R $.  $d x W $.
    pwsplusgval.y $e |- Y = ( R ^s I ) $.
    pwsplusgval.b $e |- B = ( Base ` Y ) $.
    pwsplusgval.r $e |- ( ph -> R e. V ) $.
    pwsplusgval.i $e |- ( ph -> I e. W ) $.
    pwsplusgval.f $e |- ( ph -> F e. B ) $.
    pwsplusgval.g $e |- ( ph -> G e. B ) $.
    ${
      pwsplusgval.a $e |- .+ = ( +g ` R ) $.
      pwsplusgval.p $e |- .+b = ( +g ` Y ) $.
      $( Value of addition in a structure power.  (Contributed by Mario
         Carneiro, 11-Jan-2015.) $)
      pwsplusgval $p |- ( ph -> ( F .+b G ) = ( F oF .+ G ) ) $=
        ( cfv vx csca csn cxp cprds co cplusg cv cmpt cof cbs cvv eqid wcel wfn
        fvexd fnconstg syl pwsval syl2anc fveq2d eqtrid eleqtrd prdsplusgval wa
        wceq fvconst2g sylan eqtr4di mpteq2dva pwselbas feqmptd offval2 3eqtr4d
        oveqd eqtrd ) AFGEUBTZHEUCUDZUEUFZUGTZUFZUAHUAUHZFTZWBGTZCUFZUIZFGDUFFG
        CUJUFAWAUAHWCWDWBVRTZUGTZUFZUIWFAUAVSUKTZVTVRVQFGHULJVSVSUMWJUMAEUBUPOA
        EIUNZVRHUONHEIUQURAFBWJPABKUKTWJMAKVSUKAWKHJUNKVSVFNOEVQHIJKLVQUMUSUTZV
        AVBZVCAGBWJQWMVCVTUMVDAUAHWIWEAWBHUNZVEZWHCWCWDWOWHEUGTCWOWGEUGAWKWNWGE
        VFNHEWBIVGVHVARVIVOVJVPADVTFGADKUGTVTSAKVSUGWLVAVBVOAUAHWCWDCFGJULULOWO
        WBFUPWOWBGUPAUAHEUKTZFAWPEHBIFKJLWPUMZMNOPVKVLAUAHWPGAWPEHBIGKJLWQMNOQV
        KVLVMVN $.
    $}

    ${
      pwsmulrval.a $e |- .x. = ( .r ` R ) $.
      pwsmulrval.p $e |- .xb = ( .r ` Y ) $.
      $( Value of multiplication in a structure power.  (Contributed by Mario
         Carneiro, 11-Jan-2015.) $)
      pwsmulrval $p |- ( ph -> ( F .xb G ) = ( F oF .x. G ) ) $=
        ( cfv vx csca csn cxp cprds co cmulr cv cmpt cof cbs cvv eqid fvexd wfn
        wcel fnconstg syl wceq pwsval syl2anc fveq2d eqtrid eleqtrd prdsmulrval
        wa fvconst2g sylan eqtr4di oveqd eqtrd pwselbas feqmptd offval2 3eqtr4d
        mpteq2dva ) AFGCUBTZHCUCUDZUEUFZUGTZUFZUAHUAUHZFTZWBGTZEUFZUIZFGDUFFGEU
        JUFAWAUAHWCWDWBVRTZUGTZUFZUIWFAUAVSUKTZVRVQVTFGHULJVSVSUMWJUMACUBUNOACI
        UPZVRHUONHCIUQURAFBWJPABKUKTWJMAKVSUKAWKHJUPKVSUSNOCVQHIJKLVQUMUTVAZVBV
        CZVDAGBWJQWMVDVTUMVEAUAHWIWEAWBHUPZVFZWHEWCWDWOWHCUGTEWOWGCUGAWKWNWGCUS
        NHCWBIVGVHVBRVIVJVPVKADVTFGADKUGTVTSAKVSUGWLVBVCVJAUAHWCWDEFGJULULOWOWB
        FUNWOWBGUNAUAHCUKTZFAWPCHBIFKJLWPUMZMNOPVLVMAUAHWPGAWPCHBIGKJLWQMNOQVLV
        MVNVO $.
    $}
  $}

  ${
    $d f g x B $.  $d f g x I $.  $d f g x O $.  $d f g x R $.  $d f g x V $.
    $d x F $.  $d x G $.  $d x ph $.  $d f g x W $.
    pwsle.y $e |- Y = ( R ^s I ) $.
    pwsle.v $e |- B = ( Base ` Y ) $.
    pwsle.o $e |- O = ( le ` R ) $.
    pwsle.l $e |- .<_ = ( le ` Y ) $.
    $( Ordering in a structure power.  (Contributed by Mario Carneiro,
       16-Aug-2015.) $)
    pwsle $p |- ( ( R e. V /\ I e. W ) -> .<_ = ( oR O i^i ( B X. B ) ) ) $=
      ( vf vg vx wcel wa cfv cple eqid cv cpr csca csn cxp cprds co cbs wss wbr
      wral copab cofr cin vex prss pwsval fveq2d eqtrid sseq2d syl5bb fvconst2g
      anbi1d wceq ad4ant14 eqtr4di breqd ralbidva simpll simplr simprl pwselbas
      ffnd simprr inidm eqidd ofrfvalg bitr4d pm5.32da brinxp2 bitr4di opabbidv
      bitr3d cvv fvexd simpr snex xpexg sylancl c0 wne snnzg adantr dmxp prdsle
      cdm syl eqtrd wrel relinxp a1i dfrel4v sylib 3eqtr4d ) BFPZCGPZQZMUAZNUAZ
      UBZBUCRZCBUDZUEZUFUGZUHRZUIZOUAZXHRZXQXIRZXQXMRZSRZUJZOCUKZQZMNULZXHXIEUM
      ZAAUEUNZUJZMNULZDYGXGYDYHMNXGXHAPZXIAPZQZYCQZYDYHXGYLXPYCYLXJAUIXGXPXHXIA
      MUONUOUPXGAXOXJXGAHUHRXOJXGHXNUHBXKCFGHIXKTUQZURUSUTVAVCXGYMYLXHXIYFUJZQY
      HXGYLYCYOXGYLQZYCXRXSEUJZOCUKYOYPYBYQOCYPXQCPZQZYAEXRXSYSYABSREYSXTBSXEYR
      XTBVDXFYLCBXQFVBVEURKVFVGVHYPOCCXRXSECXHXIAAYPCBUHRZXHYPYTBCAFXHHGIYTTZJX
      EXFYLVIZXEXFYLVJZXGYJYKVKZVLVMYPCYTXIYPYTBCAFXIHGIUUAJUUBUUCXGYJYKVNZVLVM
      UUDUUECVOYSXRVPYSXSVPVQVRVSAAXHXIYFVTWAWCWBXGDXNSRZYEXGDHSRUUFLXGHXNSYNUR
      USXGOXOXNXMXKMNCUUFWDWDXNTXGBUCWEXGXFXLWDPXMWDPXEXFWFBWGCXLGWDWHWIXOTXGXL
      WJWKZXMWPCVDXEUUGXFBFWLWMCXLWNWQUUFTWOWRXGYGWSZYGYIVDUUHXGAAYFWTXAMNYGXBX
      CXD $.
    $( $j usage 'pwsle' avoids 'ax-rep'; $)

    pwsleval.r $e |- ( ph -> R e. V ) $.
    pwsleval.i $e |- ( ph -> I e. W ) $.
    pwsleval.a $e |- ( ph -> F e. B ) $.
    pwsleval.b $e |- ( ph -> G e. B ) $.
    $( Ordering in a structure power.  (Contributed by Mario Carneiro,
       16-Aug-2015.) $)
    pwsleval $p |- ( ph -> ( F .<_ G <-> A. x e. I ( F ` x ) O ( G ` x ) ) ) $=
      ( wbr cofr cxp cin cfv wral wcel wceq pwsle syl2anc breqd brinxp cbs eqid
      cv wb pwselbas ffnd inidm wa eqidd ofrfvalg 3bitr2d ) AEFHUAEFIUBZCCUCUDZ
      UAZEFVDUAZBUOZEUEZVHFUEZIUABGUFAHVEEFADJUGGKUGHVEUHQRCDGHIJKLMNOPUIUJUKAE
      CUGFCUGVGVFUPSTEFCCVDULUJABGGVIVJIGEFCCAGDUMUEZEAVKDGCJELKMVKUNZNQRSUQURA
      GVKFAVKDGCJFLKMVLNQRTUQURSTGUSAVHGUGUTZVIVAVMVJVAVBVC $.
    $( $j usage 'pwsleval' avoids 'ax-rep'; $)
  $}

  ${
    $d x A $.  $d x F $.  $d x I $.  $d x K $.  $d x R $.  $d x W $.  $d x X $.
    $d x ph $.  $d x .x. $.
    pwsvscaval.y $e |- Y = ( R ^s I ) $.
    pwsvscaval.b $e |- B = ( Base ` Y ) $.
    pwsvscaval.s $e |- .x. = ( .s ` R ) $.
    pwsvscaval.t $e |- .xb = ( .s ` Y ) $.
    pwsvscaval.f $e |- F = ( Scalar ` R ) $.
    pwsvscaval.k $e |- K = ( Base ` F ) $.
    pwsvscaval.r $e |- ( ph -> R e. V ) $.
    pwsvscaval.i $e |- ( ph -> I e. W ) $.
    pwsvscaval.a $e |- ( ph -> A e. K ) $.
    pwsvscaval.x $e |- ( ph -> X e. B ) $.
    $( Scalar multiplication in a structure power is pointwise.  (Contributed
       by Mario Carneiro, 11-Jan-2015.) $)
    pwsvscafval $p |- ( ph -> ( A .xb X ) = ( ( I X. { A } ) oF .x. X ) ) $=
      ( vx co csn cxp cprds cvsca cfv cv cmpt wcel pwsval syl2anc fveq2d eqtrid
      cof wceq oveqd cbs cvv eqid csca a1i wfn fnconstg syl eleqtrd prdsvscaval
      fvexi wa fvconst2g sylan eqtr4di mpteq2dva adantr fvexd fconstmpt feqmptd
      pwselbas offval2 eqtr4d 3eqtrd ) ABLEUEBLGHDUFUGZUHUEZUIUJZUEUDHBUDUKZLUJ
      ZWHWEUJZUIUJZUEZULZHBUFUGZLFURUEZAEWGBLAEMUIUJWGQAMWFUIADJUMZHKUMMWFUSTUA
      DGHJKMNRUNUOZUPUQUTAUDWFVAUJZWEGWGBLHIVBKWFWFVCWRVCWGVCSGVBUMAGDVDRVKVEUA
      AWPWEHVFTHDJVGVHUBALCWRUCACMVAUJWROAMWFVAWQUPUQVIVJAWMUDHBWIFUEZULWOAUDHW
      LWSAWHHUMZVLZWKFBWIXAWKDUIUJFXAWJDUIAWPWTWJDUSTHDWHJVMVNUPPVOUTVPAUDHBWIF
      WNLKIVBUAABIUMWTUBVQXAWHLVRWNUDHBULUSAUDHBVSVEAUDHDVAUJZLAXBDHCJLMKNXBVCO
      TUAUCWAVTWBWCWD $.

    pwsvscaval.j $e |- ( ph -> J e. I ) $.
    $( Scalar multiplication of a single coordinate in a structure power.
       (Contributed by Mario Carneiro, 11-Jan-2015.) $)
    pwsvscaval $p |- ( ph -> ( ( A .xb X ) ` J ) = ( A .x. ( X ` J ) ) ) $=
      ( co cfv csn cxp cof pwsvscafval fveq1d wcel wceq cbs eqid pwselbas eqidd
      ffnd wa ofc1 mpdan eqtrd ) AIBMEUFZUGIHBUHUIMFUJUFZUGZBIMUGZFUFZAIVDVEABC
      DEFGHJKLMNOPQRSTUAUBUCUDUKULAIHUMZVFVHUNUEAHBVGFMLJIUBUCAHDUOUGZMAVJDHCKM
      NLOVJUPPUAUBUDUQUSAVIUTVGURVAVBVC $.
  $}

  ${
    pwssca.y $e |- Y = ( R ^s I ) $.
    pwssca.s $e |- S = ( Scalar ` R ) $.
    $( The ring of scalars of a structure power.  (Contributed by Stefan
       O'Rear, 24-Jan-2015.) $)
    pwssca $p |- ( ( R e. V /\ I e. W ) -> S = ( Scalar ` Y ) ) $=
      ( wcel wa csn cxp cprds co csca cfv cvv eqid fvexi a1i simpr snex sylancl
      xpexg prdssca pwsval fveq2d eqtr4d ) ADIZCEIZJZBBCAKZLZMNZOPFOPUKUNUMBQQU
      NRBQIUKBAOHSTUKUJULQIUMQIUIUJUAAUBCULEQUDUCUEUKFUNOABCDEFGHUFUGUH $.
  $}

  ${
    pwsdiagel.y $e |- Y = ( R ^s I ) $.
    pwsdiagel.b $e |- B = ( Base ` R ) $.
    pwsdiagel.c $e |- C = ( Base ` Y ) $.
    $( Membership of diagonal elements in the structure power base set.
       (Contributed by Stefan O'Rear, 24-Jan-2015.) $)
    pwsdiagel $p |- ( ( ( R e. V /\ I e. W ) /\ A e. B ) ->
        ( I X. { A } ) e. C ) $=
      ( wcel wa csn cxp wf fconst6g adantl wb pwselbasb adantr mpbird ) DFLEGLM
      ZABLZMEANOZCLZEBUEPZUDUGUCEABQRUCUFUGSUDBDECFUEHGIJKTUAUB $.
  $}

  ${
    $d Y x $.  $d R x $.  $d I x $.  $d B x $.  $d C x $.  $d W x $.
    pwssnf1o.y $e |- Y = ( R ^s { I } ) $.
    pwssnf1o.b $e |- B = ( Base ` R ) $.
    pwssnf1o.f $e |- F = ( x e. B |-> ( { I } X. { x } ) ) $.
    pwssnf1o.c $e |- C = ( Base ` Y ) $.
    $( Triviality of singleton powers: set equipollence.  (Contributed by
       Stefan O'Rear, 24-Jan-2015.) $)
    pwssnf1o $p |- ( ( R e. V /\ I e. W ) -> F : B -1-1-onto-> C ) $=
      ( wcel wa wf1o csn cmap cvv cbs co fvexi simpr mapsnf1o sylancr wceq snex
      cfv pwsbas mpan2 adantr eqtr4id f1oeq3d mpbird ) DGNZFHNZOZBCEPBBFQZRUAZE
      PZUQBSNUPUTBDTKUBUOUPUCABEFSHLUDUEUQCUSBEUQCITUHZUSMUOUSVAUFZUPUOURSNVBFU
      GBDURGSIJKUIUJUKULUMUN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition of the structure quotient
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ordTop $.
  $c RR*s $.

  $( Extend class notation with the order topology. $)
  cordt $a class ordTop $.

  $( Extend class notation with the extended real number structure. $)
  cxrs $a class RR*s $.

  ${
    $d r x y $.
    $( Define the order topology, given an order ` <_ ` , written as ` r `
       below.  A closed subbasis for the order topology is given by the closed
       rays ` [ y , +oo ) = { z e. X | y <_ z } ` and
       ` ( -oo , y ] = { z e. X | z <_ y } ` , along with ` ( -oo , +oo ) = X `
       itself.  (Contributed by Mario Carneiro, 3-Sep-2015.) $)
    df-ordt $a |- ordTop = ( r e. _V |-> ( topGen ` ( fi ` ( { dom r } u. ran
       ( ( x e. dom r |-> { y e. dom r | -. y r x } ) u.
         ( x e. dom r |-> { y e. dom r | -. x r y } ) ) ) ) ) ) $.

    $( The extended real number structure.  Unlike ~ df-cnfld , the extended
       real numbers do not have good algebraic properties, so this is not
       actually a group or anything higher, even though it has just as many
       operations as ~ df-cnfld .  The main interest in this structure is in
       its ordering, which is complete and compact.  The metric described here
       is an extension of the absolute value metric, but it is not itself a
       metric because ` +oo ` is infinitely far from all other points.  The
       topology is based on the order and not the extended metric (which would
       make ` +oo ` an isolated point since there is nothing else in the ` 1 `
       -ball around it).  All components of this structure agree with ` CCfld `
       when restricted to ` RR ` .  (Contributed by Mario Carneiro,
       20-Aug-2015.) $)
    df-xrs $a |- RR*s = ( { <. ( Base ` ndx ) , RR* >. ,
        <. ( +g ` ndx ) , +e >. , <. ( .r ` ndx ) , *e >. } u.
        { <. ( TopSet ` ndx ) , ( ordTop ` <_ ) >. ,
          <. ( le ` ndx ) , <_ >. ,
          <. ( dist ` ndx ) , ( x e. RR* , y e. RR* |->
            if ( x <_ y , ( y +e -e x ) , ( x +e -e y ) ) ) >. } ) $.
  $}

  $c "s $. $( Image structure $)
  $c /s $. $( Quotient structure $)
  $c qTop $. $( Quotient topology $)
  $c Xs. $. $( Binary structure $)

  $( Extend class notation with the quotient topology function. $)
  cqtop $a class qTop $.

  $( Image structure function. $)
  cimas $a class "s $.

  $( Quotient structure function. $)
  cqus $a class /s $.

  $( Binary product structure function. $)
  cxps $a class Xs. $.

  ${
    $d e f g h i j n p q r s v x y $.
    $( Define the quotient topology given a function ` f ` and topology ` j `
       on the domain of ` f ` .  (Contributed by Mario Carneiro,
       23-Mar-2015.) $)
    df-qtop $a |- qTop = ( j e. _V , f e. _V |->
       { s e. ~P ( f " U. j ) | ( ( `' f " s ) i^i U. j ) e. j } ) $.

    $( Define an image structure, which takes a structure and a function on the
       base set, and maps all the operations via the function.  For this to
       work properly ` f ` must either be injective or satisfy the
       well-definedness condition ` f ( a ) = f ( c ) /\ f ( b ) = f ( d ) -> `
       ` f ( a + b ) = f ( c + d ) ` for each relevant operation.

       Note that although we call this an "image" by association to ~ df-ima ,
       in order to keep the definition simple we consider only the case when
       the domain of ` F ` is equal to the base set of ` R ` .  Other cases can
       be achieved by restricting ` F ` (with ~ df-res ) and/or ` R ` ( with
       ~ df-ress ) to their common domain.  (Contributed by Mario Carneiro,
       23-Feb-2015.)  (Revised by AV, 6-Oct-2020.) $)
    df-imas $a |- "s = ( f e. _V , r e. _V |-> [_ ( Base ` r ) / v ]_
  ( ( { <. ( Base ` ndx ) , ran f >. ,
        <. ( +g ` ndx ) , U_ p e. v U_ q e. v
     { <. <. ( f ` p ) , ( f ` q ) >. , ( f ` ( p ( +g ` r ) q ) ) >. } >. ,
        <. ( .r ` ndx ) , U_ p e. v U_ q e. v
     { <. <. ( f ` p ) , ( f ` q ) >. , ( f ` ( p ( .r ` r ) q ) ) >. } >. } u.
      { <. ( Scalar ` ndx ) , ( Scalar ` r ) >. ,
        <. ( .s ` ndx ) , U_ q e. v ( p e. ( Base ` ( Scalar ` r ) ) ,
           x e. { ( f ` q ) } |-> ( f ` ( p ( .s ` r ) q ) ) ) >. ,
        <. ( .i ` ndx ) , U_ p e. v U_ q e. v
     { <. <. ( f ` p ) , ( f ` q ) >. , ( p ( .i ` r ) q ) >. } >. } ) u.
      { <. ( TopSet ` ndx ) , ( ( TopOpen ` r ) qTop f ) >. ,
        <. ( le ` ndx ) , ( ( f o. ( le ` r ) ) o. `' f ) >. ,
        <. ( dist ` ndx ) , ( x e. ran f , y e. ran f |-> inf ( U_ n e. NN
         ran ( g e. { h e. ( ( v X. v ) ^m ( 1 ... n ) ) |
        ( ( f ` ( 1st ` ( h ` 1 ) ) ) = x /\ ( f ` ( 2nd ` ( h ` n ) ) ) = y /\
         A. i e. ( 1 ... ( n - 1 ) ) ( f ` ( 2nd ` ( h ` i ) ) ) =
           ( f ` ( 1st ` ( h ` ( i + 1 ) ) ) ) ) } |->
           ( RR*s gsum ( ( dist ` r ) o. g ) ) ) , RR* , < ) ) >. } ) ) $.

    $( Define a quotient ring (or quotient group), which is a special case of
       an image structure ~ df-imas where the image function is
       ` x |-> [ x ] e ` .  (Contributed by Mario Carneiro, 23-Feb-2015.) $)
    df-qus $a |- /s = ( r e. _V , e e. _V |->
      ( ( x e. ( Base ` r ) |-> [ x ] e ) "s r ) ) $.

    $( Define a binary product on structures.  (Contributed by Mario Carneiro,
       14-Aug-2015.)  (Revised by Jim Kingdon, 25-Sep-2023.) $)
    df-xps $a |- Xs. = ( r e. _V , s e. _V |->
        ( `' ( x e. ( Base ` r ) , y e. ( Base ` s )
        |-> { <. (/) , x >. , <. 1o , y >. } )
        "s ( ( Scalar ` r ) Xs_ { <. (/) , r >. , <. 1o , s >. } ) ) ) $.
  $}

  ${
    $d f r v .<_ $.  $d f r v B $.  $d f r v D $.  $d f r v G $.  $d f r v O $.
    $d f g h i n p q r v x y F $.  $d f g h i n p q r v x y R $.  $d h p q V $.
    $d f r v I $.  $d f r v .+b $.  $d f g h i n p q r v x y ph $.
    $d f r v .(x) $.  $d f r v .xb $.
    imasval.u $e |- ( ph -> U = ( F "s R ) ) $.
    imasval.v $e |- ( ph -> V = ( Base ` R ) ) $.
    imasval.p $e |- .+ = ( +g ` R ) $.
    imasval.m $e |- .X. = ( .r ` R ) $.
    imasval.g $e |- G = ( Scalar ` R ) $.
    imasval.k $e |- K = ( Base ` G ) $.
    imasval.q $e |- .x. = ( .s ` R ) $.
    imasval.i $e |- ., = ( .i ` R ) $.
    imasval.j $e |- J = ( TopOpen ` R ) $.
    imasval.e $e |- E = ( dist ` R ) $.
    imasval.n $e |- N = ( le ` R ) $.
    imasval.a $e |- ( ph -> .+b = U_ p e. V U_ q e. V
     { <. <. ( F ` p ) , ( F ` q ) >. , ( F ` ( p .+ q ) ) >. } ) $.
    imasval.t $e |- ( ph -> .xb = U_ p e. V U_ q e. V
     { <. <. ( F ` p ) , ( F ` q ) >. , ( F ` ( p .X. q ) ) >. } ) $.
    imasval.s $e |- ( ph -> .(x) = U_ q e. V ( p e. K ,
           x e. { ( F ` q ) } |-> ( F ` ( p .x. q ) ) ) ) $.
    imasval.w $e |- ( ph -> I = U_ p e. V U_ q e. V
     { <. <. ( F ` p ) , ( F ` q ) >. , ( p ., q ) >. } ) $.
    imasval.o $e |- ( ph -> O = ( J qTop F ) ) $.
    imasval.d $e |- ( ph -> D = ( x e. B , y e. B |-> inf ( U_ n e. NN
         ran ( g e. { h e. ( ( V X. V ) ^m ( 1 ... n ) ) |
        ( ( F ` ( 1st ` ( h ` 1 ) ) ) = x /\ ( F ` ( 2nd ` ( h ` n ) ) ) = y /\
         A. i e. ( 1 ... ( n - 1 ) ) ( F ` ( 2nd ` ( h ` i ) ) ) =
           ( F ` ( 1st ` ( h ` ( i + 1 ) ) ) ) ) } |->
         ( RR*s gsum ( E o. g ) ) ) , RR* , < ) ) ) $.
    imasval.l $e |- ( ph -> .<_ = ( ( F o. N ) o. `' F ) ) $.
    imasval.f $e |- ( ph -> F : V -onto-> B ) $.
    imasval.r $e |- ( ph -> R e. Z ) $.
    $( Value of an image structure.  (Contributed by Mario Carneiro,
       23-Feb-2015.)  (Revised by Mario Carneiro, 11-Jul-2015.)  (Revised by
       Thierry Arnoux, 16-Jun-2019.)  (Revised by AV, 6-Oct-2020.) $)
    imasval $p |- ( ph -> U = ( ( { <. ( Base ` ndx ) , B >. ,
        <. ( +g ` ndx ) , .+b >. , <. ( .r ` ndx ) , .xb >. } u.
        { <. ( Scalar ` ndx ) , G >. , <. ( .s ` ndx ) , .(x) >. ,
          <. ( .i ` ndx ) , I >. } ) u.
        { <. ( TopSet ` ndx ) , O >. , <. ( le ` ndx ) , .<_ >. ,
        <. ( dist ` ndx ) , D >. } ) ) $=
      ( vf vr vv cimas cnx cbs cfv cop cplusg cmulr ctp csca cvsca cip cun cple
      co cds cvv cv crn csn ciun cmpo ctopn cqtop ccom ccnv cn c1 c1st wceq cfz
      c2nd wral w3a cxp cmap crab cxrs cgsu cmpt cxr clt cinf wa rneqd ad2antrr
      a1i syl eqtrd opeq2d fveq2d 3eqtr4d fveq1d opeq12d eqtr4di oveqd iuneq12d
      fveq12d sneqd eqtr4d tpeq123d mpoeq123dv iuneq2d uneq12d coeq12d eqeq1d
      tpex cts caddc cmin csb df-imas fvexd simplrl wfo simplrr iuneq1d oveq12d
      simpr cnveqd sqxpeqd oveq1d eqeq12d ralbidv 3anbi123d rabeqbidv mpteq12dv
      forn coeq1d oveq2d infeq1d csbied wf fvex eqeltrdi fexd elexd wcel ovmpod
      fof unex ) AMSHVOWHVPVQVRZDVSZVPVTVRZGVSZVPWAVRZIVSZWBZVPWCVRZTVSZVPWDVRZ
      LVSZVPWEVRZUBVSZWBZWFZVPUUAVRZUGVSZVPWGVRZUEVSZVPWIVRZEVSZWBZWFZULAVLVMSH
      WJWJVNVMWKZVQVRZUVOVLWKZWLZVSZUVQUKVNWKZUJUXCUKWKZUWTVRZUJWKZUWTVRZVSZUXD
      UXFUWRVTVRZWHZUWTVRZVSZWMZWNZWNZVSZUVSUKUXCUJUXCUXHUXDUXFUWRWAVRZWHZUWTVR
      ZVSZWMZWNZWNZVSZWBZUWBUWRWCVRZVSZUWDUJUXCUKBUYFVQVRZUXGWMZUXDUXFUWRWDVRZW
      HZUWTVRZWOZWNZVSZUWFUKUXCUJUXCUXHUXDUXFUWRWEVRZWHZVSZWMZWNZWNZVSZWBZWFZUW
      JUWRWPVRZUWTWQWHZVSZUWLUWTUWRWGVRZWRZUWTWSZWRZVSZUWNBCUXAUXAQWTNXAOWKZVRX
      BVRZUWTVRZBWKZXCZQWKZVUMVRXEVRZUWTVRZCWKZXCZPWKZVUMVRXEVRZUWTVRZVVCXAUUBW
      HVUMVRXBVRZUWTVRZXCZPXAVURXAUUCWHXDWHZXFZXGZOUXCUXCXHZXAVURXDWHZXIWHZXJZX
      KUWRWIVRZNWKZWRZXLWHZXMZWLZWNZXNXOXPZWOZVSZWBZWFZUUDZUWQVOWJVOVLVMWJWJVWH
      WOXCABCVNVLNOPQVMUJUKUUEXTAUWTSXCZUWRHXCZXQZXQZVNUWSVWGUWQWJVWLUWRVQUUFVW
      LUXCUWSXCZXQZVUDUWIVWFUWPVWNUYEUWAVUCUWHVWNUXBUVPUXPUVRUYDUVTVWNUXADUVOVW
      NUXASWLZDVWNUWTSAVWIVWJVWMUUGZXRAVWODXCZVWKVWMAUHDSUUHZVWQVJUHDSUVAYAXSYB
      ZYCVWNUXOGUVQVWNUXOUKUHUJUHUXDSVRZUXFSVRZVSZUXDUXFFWHZSVRZVSZWMZWNZWNZGVW
      NUKUXCUHUXNVXGVWNUWSHVQVRZUXCUHVWNUWRHVQAVWIVWJVWMUUIZYDVWLVWMUULAUHVXIXC
      VWKVWMUMXSYEZVWNUJUXCUHUXMVXFVXKVWNUXLVXEVWNUXHVXBUXKVXDVWNUXEVWTUXGVXAVW
      NUXDUWTSVWPYFVWNUXFUWTSVWPYFZYGZVWNUXJVXCUWTSVWPVWNUXIFUXDUXFVWNUXIHVTVRF
      VWNUWRHVTVXJYDUNYHYIYKYGYLYJYJAGVXHXCVWKVWMVCXSYMYCVWNUYCIUVSVWNUYCUKUHUJ
      UHVXBUXDUXFKWHZSVRZVSZWMZWNZWNZIVWNUKUXCUHUYBVXRVXKVWNUJUXCUHUYAVXQVXKVWN
      UXTVXPVWNUXHVXBUXSVXOVXMVWNUXRVXNUWTSVWPVWNUXQKUXDUXFVWNUXQHWAVRKVWNUWRHW
      AVXJYDUOYHYIYKYGYLYJYJAIVXSXCVWKVWMVDXSYMYCYNVWNUYGUWCUYOUWEVUBUWGVWNUYFT
      UWBVWNUYFHWCVRTVWNUWRHWCVXJYDUPYHZYCVWNUYNLUWDVWNUJUHUYMWNUJUHUKBUDVXAWMZ
      UXDUXFJWHZSVRZWOZWNZUYNLVWNUJUHUYMVYDVWNUKBUYHUYIUYLUDVYAVYCVWNUYHTVQVRUD
      VWNUYFTVQVXTYDUQYHVWNUXGVXAVXLYLVWNUYKVYBUWTSVWPVWNUYJJUXDUXFVWNUYJHWDVRJ
      VWNUWRHWDVXJYDURYHYIYKYOYPVWNUJUXCUHUYMVXKUUJALVYEXCVWKVWMVEXSYEYCVWNVUAU
      BUWFVWNVUAUKUHUJUHVXBUXDUXFUAWHZVSZWMZWNZWNZUBVWNUKUXCUHUYTVYIVXKVWNUJUXC
      UHUYSVYHVXKVWNUYRVYGVWNUXHVXBUYQVYFVXMVWNUYPUAUXDUXFVWNUYPHWEVRUAVWNUWRHW
      EVXJYDUSYHYIYGYLYJYJAUBVYJXCVWKVWMVFXSYMYCYNYQVWNVUGUWKVULUWMVWEUWOVWNVUF
      UGUWJVWNVUFUCSWQWHZUGVWNVUEUCUWTSWQVWNVUEHWPVRUCVWNUWRHWPVXJYDUTYHVWPUUKA
      UGVYKXCVWKVWMVGXSYMYCVWNVUKUEUWLVWNVUKSUFWRZSWSZWRZUEVWNVUIVYLVUJVYMVWNUW
      TSVUHUFVWPVWNVUHHWGVRUFVWNUWRHWGVXJYDVBYHYRVWNUWTSVWPUUMYRAUEVYNXCVWKVWMV
      IXSYMYCVWNVWDEUWNVWNVWDBCDDQWTNVUNSVRZVUPXCZVUSSVRZVVAXCZVVDSVRZVVFSVRZXC
      ZPVVIXFZXGZOUHUHXHZVVMXIWHZXJZXKRVVQWRZXLWHZXMZWLZWNZXNXOXPZWOZEVWNBCUXAU
      XAVWCDDWULVWSVWSVWNXNVWBWUKXOVWNQWTVWAWUJVWNVVTWUIVWNNVVOVVSWUFWUHVWNVVKW
      UCOVVNWUEVWNVVLWUDVVMXIVWNUXCUHVXKUUNUUOVWNVUQVYPVVBVYRVVJWUBVWNVUOVYOVUP
      VWNVUNUWTSVWPYFYSVWNVUTVYQVVAVWNVUSUWTSVWPYFYSVWNVVHWUAPVVIVWNVVEVYSVVGVY
      TVWNVVDUWTSVWPYFVWNVVFUWTSVWPYFUUPUUQUURUUSVWNVVRWUGXKXLVWNVVPRVVQVWNVVPH
      WIVRRVWNUWRHWIVXJYDVAYHUVBUVCUUTXRYPUVDYOAEWUMXCVWKVWMVHXSYMYCYNYQUVEAUHD
      WJSAVWRUHDSUVFVJUHDSUVMYAAUHVXIWJUMHVQUVGUVHUVIAHUIVKUVJUWQWJUVKAUWIUWPUW
      AUWHUVPUVRUVTYTUWCUWEUWGYTUVNUWKUWMUWOYTUVNXTUVLYB $.
  $}

  ${
    $d g h i n p q u v w x y z F $.  $d g h i n p q u v w x y z R $.  $d x U $.
    $d x y B $.  $d x y E $.  $d g h i n p q u v w x y z ph $.  $d h n x y X $.
    $d p x K $.  $d g x y S $.  $d g h p q w z V $.  $d h n x y Y $.
    imasbas.u $e |- ( ph -> U = ( F "s R ) ) $.
    imasbas.v $e |- ( ph -> V = ( Base ` R ) ) $.
    imasbas.f $e |- ( ph -> F : V -onto-> B ) $.
    imasbas.r $e |- ( ph -> R e. Z ) $.
    $( The base set of an image structure.  (Contributed by Mario Carneiro,
       23-Feb-2015.)  (Revised by Mario Carneiro, 11-Jul-2015.)  (Revised by
       Thierry Arnoux, 16-Jun-2019.)  (Revised by AV, 6-Oct-2020.) $)
    imasbas $p |- ( ph -> B = ( Base ` U ) ) $=
      ( cfv cnx cop cv co ciun c1 eqid eqidd vp vq vx vy vn vg vh vi cbs cplusg
      csn cmulr ctp csca cvsca cmpo cip cun cts ctopn cqtop cple ccom ccnv c1st
      cds cn wceq c2nd caddc cmin cfz wral w3a cxp cmap crab cxrs cgsu cmpt crn
      cxr clt cinf cvv c2 cdc imasval imasvalstr baseid snsstp1 ssun1 sstri wfo
      wcel fvex eqeltrdi fornex sylc strfv3 eqcomd ) ADUILZBAXBBMUILBNZMUJLUAFU
      BFUAOZELUBOZELZNZXDXECUJLZPELNUKQQZNZMULLUAFUBFXGXDXECULLZPELNUKQQZNZUMZM
      UNLCUNLZNMUOLUBFUAUCXOUILZXFUKXDXECUOLZPELUPQZNMUQLUAFUBFXGXDXECUQLZPNUKQ
      QZNUMZURZMUSLCUTLZEVAPZNMVBLECVBLZVCEVDVCZNMVFLUCUDBBUEVGUFRUGOZLVELELUCO
      VHUEOZYGLVILELUDOVHUHOZYGLVILELYIRVJPYGLVELELVHUHRYHRVKPVLPVMVNUGFFVORYHV
      LPVPPVQVRCVFLZUFOVCVSPVTWAQWBWCWDUPZNUMZURZDUIWERRWFWGNAUCUDBYKXHXICXLXQX
      KXRDUFUGUHUEYJEXOXSXTYCXPYFYEYDFGUBUAHIXHSXKSXOSXPSXQSXSSYCSYJSYESAXITAXL
      TAXRTAXTTAYDTAYKTAYFTJKWHBYKXIXOXRXLYMXTYFYDYMSWIWJXCUKZYBYMYNXNYBXCXJXMW
      KXNYAWLWMYBYLWLWMAFWEWOFBEWNBWEWOAFCUILWEICUIWPWQJFBWEEWRWSXBSWTXA $.

    ${
      imasds.e $e |- E = ( dist ` R ) $.
      imasds.d $e |- D = ( dist ` U ) $.
      $( The distance function of an image structure.  (Contributed by Mario
         Carneiro, 23-Feb-2015.)  (Revised by Mario Carneiro, 11-Jul-2015.)
         (Revised by Thierry Arnoux, 16-Jun-2019.)  (Revised by AV,
         6-Oct-2020.) $)
      imasds $p |- ( ph -> D = ( x e. B , y e. B |-> inf ( U_ n e. NN
         ran ( g e. { h e. ( ( V X. V ) ^m ( 1 ... n ) ) |
        ( ( F ` ( 1st ` ( h ` 1 ) ) ) = x /\ ( F ` ( 2nd ` ( h ` n ) ) ) = y /\
         A. i e. ( 1 ... ( n - 1 ) ) ( F ` ( 2nd ` ( h ` i ) ) ) =
           ( F ` ( 1st ` ( h ` ( i + 1 ) ) ) ) ) } |->
         ( RR*s gsum ( E o. g ) ) ) , RR* , < ) ) ) $=
        ( vp vq cn c1 cv cfv c1st wceq c2nd caddc co cmin cfz wral w3a cxp cmap
        crab cxrs ccom cgsu cmpt crn ciun cxr clt cinf cnx cbs cop cplusg cmulr
        cmpo csn ctp csca cvsca cip cun cts ctopn cple ccnv cds cvv c2 cdc eqid
        cqtop eqidd imasval imasvalstr dsid snsstp3 ssun2 sstri wcel wfo fornex
        fvex eqeltrdi sylc mpoexga syl2anc strfv3 ) AEBCDDKUDHUEIUFZUGUHUGMUGBU
        FUIKUFZXGUGUJUGMUGCUFUIJUFZXGUGUJUGMUGXIUEUKULXGUGUHUGMUGUIJUEXHUEUMULU
        NULUOUPINNUQUEXHUNULURULUSUTLHUFVAVBULVCVDVEVFVGVHZVNZVIVJUGDVKVIVLUGUB
        NUCNUBUFZMUGUCUFZMUGZVKZXLXMFVLUGZULMUGVKVOVEVEZVKVIVMUGUBNUCNXOXLXMFVM
        UGZULMUGVKVOVEVEZVKVPVIVQUGFVQUGZVKVIVRUGUCNUBBXTVJUGZXNVOXLXMFVRUGZULM
        UGVNVEZVKVIVSUGUBNUCNXOXLXMFVSUGZULVKVOVEVEZVKVPVTZVIWAUGFWBUGZMWJULZVK
        ZVIWCUGMFWCUGZVAMWDVAZVKZVIWEUGXKVKZVPZVTZGWEWFUEUEWGWHVKABCDXKXPXQFXSY
        BXRYCGHIJKLMXTYDYEYGYAYKYJYHNOUCUBPQXPWIXRWIXTWIYAWIYBWIYDWIYGWITYJWIAX
        QWKAXSWKAYCWKAYEWKAYHWKAXKWKAYKWKRSWLDXKXQXTYCXSYOYEYKYHYOWIWMWNYMVOYNY
        OYIYLYMWOYNYFWPWQADWFWRZYPXKWFWRANWFWRNDMWSYPANFVJUGWFQFVJXAXBRNDWFMWTX
        CZYQBCDDXJWFWFXDXEUAXF $.

      $( The distance function is a function on the base set.  (Contributed by
         Mario Carneiro, 20-Aug-2015.)  (Proof shortened by AV, 6-Oct-2020.) $)
      imasdsfn $p |- ( ph -> D Fn ( B X. B ) ) $=
        ( vx c1 cv cfv co vy vn vg vh vi cxp wfn c1st wceq c2nd caddc cmin wral
        cfz w3a cmap crab cxrs ccom cgsu cmpt crn ciun cxr clt cinf cmpo xrltso
        cn eqid infex fnmpoi imasds fneq1d mpbiri ) ACBBUFZUGPUABBUBVIUCQUDRZSU
        HSGSPRUIUBRZVQSUJSGSUARUIUERZVQSUJSGSVSQUKTVQSUHSGSUIUEQVRQULTUNTUMUOUD
        HHUFQVRUNTUPTUQURFUCRUSUTTVAVBVCZVDVEVFZVGZVPUGPUABBWAWBWBVJVDVTVEVHVKV
        LAVPCWBAPUABCDEUCUDUEUBFGHIJKLMNOVMVNVO $.

      imasdsval.x $e |- ( ph -> X e. B ) $.
      imasdsval.y $e |- ( ph -> Y e. B ) $.
      imasdsval.s $e |- S = { h e. ( ( V X. V ) ^m ( 1 ... n ) ) |
        ( ( F ` ( 1st ` ( h ` 1 ) ) ) = X /\ ( F ` ( 2nd ` ( h ` n ) ) ) = Y /\
         A. i e. ( 1 ... ( n - 1 ) ) ( F ` ( 2nd ` ( h ` i ) ) ) =
           ( F ` ( 1st ` ( h ` ( i + 1 ) ) ) ) ) } $.
      $( The distance function of an image structure.  (Contributed by Mario
         Carneiro, 20-Aug-2015.)  (Revised by AV, 6-Oct-2020.) $)
      imasdsval $p |- ( ph -> ( X D Y ) = inf ( U_ n e. NN
        ran ( g e. S |-> ( RR*s gsum ( E o. g ) ) ) , RR* , < ) ) $=
        ( vx vy cn c1 cv cfv c1st wceq c2nd caddc co cmin cfz wral w3a cxp cmap
        crab cxrs ccom cgsu cmpt crn ciun cxr clt cinf imasds wa simplrl eqeq2d
        cvv wcel simplrr 3anbi12d rabbidv eqtr4di mpteq1d rneqd iuneq2dv xrltso
        infeq1d infex a1i ovmpod ) AUFUGNOBBJUHGUIHUJZUKULUKLUKZUFUJZUMZJUJZWKU
        KUNUKLUKZUGUJZUMZIUJZWKUKUNUKLUKWSUIUOUPWKUKULUKLUKUMIUIWOUIUQUPURUPUSZ
        UTZHMMVAUIWOURUPVBUPZVCZVDKGUJVEVFUPZVGZVHZVIZVJVKVLJUHGEXDVGZVHZVIZVJV
        KVLZCVQAUFUGBCDFGHIJKLMPQRSTUAUBVMAWMNUMZWQOUMZVNVNZVJXGXJVKXNJUHXFXIXN
        WOUHVRZVNZXEXHXPGXCEXDXPXCWLNUMZWPOUMZWTUTZHXBVCEXPXAXSHXBXPWNXQWRXRWTX
        PWMNWLAXLXMXOVOVPXPWQOWPAXLXMXOVSVPVTWAUEWBWCWDWEWGUCUDXKVQVRAVJXJVKWFW
        HWIWJ $.

      imasds.u $e |- T = ( E |` ( V X. V ) ) $.
      $( The distance function of an image structure.  (Contributed by Mario
         Carneiro, 20-Aug-2015.)  (Revised by AV, 6-Oct-2020.) $)
      imasdsval2 $p |- ( ph -> ( X D Y ) = inf ( U_ n e. NN
        ran ( g e. S |-> ( RR*s gsum ( T o. g ) ) ) , RR* , < ) ) $=
        ( co cn cxrs cv ccom cgsu cmpt crn ciun cxr clt cinf imasdsval wceq cxp
        wcel cres coeq1i c1 cfz cmap wf wss cfv c1st c2nd caddc cmin w3a ssrab3
        wral sseli elmapi frn cores 4syl eqtrid oveq2d mpteq2ia iuneq2i infeq1i
        rneqi a1i eqtr4di ) AOPCUHKUIHEUJLHUKZULZUMUHZUNZUOZUPZUQURUSKUIHEUJFWL
        ULZUMUHZUNZUOZUPZUQURUSABCDEGHIJKLMNOPQRSTUAUBUCUDUEUFUTUQXBWQURKUIXAWP
        XAWPVAKUKZUIVCWTWOHEWSWNWLEVCZWRWMUJUMXDWRLNNVBZVDZWLULZWMFXFWLUGVEXDWL
        XEVFXCVGUHZVHUHZVCXHXEWLVIWLUOXEVJXGWMVAEXIWLVFIUKZVKVLVKMVKOVAXCXJVKVM
        VKMVKPVAJUKZXJVKVMVKMVKXKVFVNUHXJVKVLVKMVKVAJVFXCVFVOUHVGUHVRVPIXIEUFVQ
        VSWLXEXHVTXHXEWLWALWLXEWBWCWDWEWFWIWJWGWHWK $.
    $}

    ${
      imasplusg.p $e |- .+ = ( +g ` R ) $.
      imasplusg.a $e |- .+b = ( +g ` U ) $.
      $( The group operation in an image structure.  (Contributed by Mario
         Carneiro, 23-Feb-2015.)  (Revised by Mario Carneiro, 11-Jul-2015.)
         (Revised by Thierry Arnoux, 16-Jun-2019.) $)
      imasplusg $p |- ( ph -> .+b = U_ p e. V U_ q e. V
        { <. <. ( F ` p ) , ( F ` q ) >. , ( F ` ( p .+ q ) ) >. } ) $=
        ( cfv cop cvv vx vy vg vh vi vn cv co csn ciun cnx cbs cplusg cmulr ctp
        csca cvsca cmpo cip cun cts ctopn cqtop cple ccom ccnv cds c1 cdc eqidd
        c2 eqid imasds imasval imasvalstr plusgid snsstp2 ssun1 sstri wcel wral
        fvex eqeltrdi snex rgenw iunexg sylancl ralrimivw syl2anc strfv3 ) ADKH
        JHKUGZGRJUGZGRZSZWKWLCUHGRSZUIZUJZUJZUKULRBSZUKUMRWRSZUKUNRKHJHWNWKWLEU
        NRZUHGRSUIUJUJZSZUOZUKUPREUPRZSUKUQRJHKUAXEULRZWMUIWKWLEUQRZUHGRURUJZSU
        KUSRKHJHWNWKWLEUSRZUHSUIUJUJZSUOZUTZUKVAREVBRZGVCUHZSUKVDRGEVDRZVEGVFVE
        ZSUKVGRFVGRZSUOZUTZFUMTVHVHVKVISAUAUBBXQCWREXBXGXAXHFUCUDUEUFEVGRZGXEXI
        XJXMXFXPXOXNHIJKLMPXAVLXEVLXFVLXGVLXIVLXMVLXTVLZXOVLAWRVJAXBVJAXHVJAXJV
        JAXNVJAUAUBBXQEFUCUDUEUFXTGHILMNOYAXQVLVMAXPVJNOVNBXQWRXEXHXBXSXJXPXNXS
        VLVOVPWTUIZXLXSYBXDXLWSWTXCVQXDXKVRVSXLXRVRVSAHTVTZWQTVTZKHWAWRTVTAHEUL
        RTMEULWBWCZAYDKHAYCWPTVTZJHWAYDYEYFJHWOWDWEJHWPTTWFWGWHKHWQTTWFWIQWJ $.
    $}

    ${
      imasmulr.p $e |- .x. = ( .r ` R ) $.
      imasmulr.t $e |- .xb = ( .r ` U ) $.
      $( The ring multiplication in an image structure.  (Contributed by Mario
         Carneiro, 23-Feb-2015.)  (Revised by Mario Carneiro, 11-Jul-2015.)
         (Revised by Thierry Arnoux, 16-Jun-2019.) $)
      imasmulr $p |- ( ph -> .xb = U_ p e. V U_ q e. V
        { <. <. ( F ` p ) , ( F ` q ) >. , ( F ` ( p .x. q ) ) >. } ) $=
        ( cfv cop eqid vx vy vg vh vi vn cv co csn ciun cnx cbs cplusg ctp csca
        cmulr cvsca cmpo cip cun cts ctopn cqtop cple ccom cds cvv c1 imasplusg
        ccnv c2 eqidd imasds imasval imasvalstr mulrid snsstp3 ssun1 sstri wcel
        wral fvex eqeltrdi snex rgenw iunexg sylancl ralrimivw syl2anc strfv3
        cdc ) ADKHJHKUGZGRJUGZGRZSZWLWMEUHGRSZUIZUJZUJZUKULRBSZUKUMRFUMRZSZUKUP
        RWSSZUNZUKUORCUORZSUKUQRJHKUAXEULRZWNUIWLWMCUQRZUHGRURUJZSUKUSRKHJHWOWL
        WMCUSRZUHSUIUJUJZSUNZUTZUKVARCVBRZGVCUHZSUKVDRGCVDRZVEGVJVEZSUKVFRFVFRZ
        SUNZUTZFUPVGVHVHVKWKSAUAUBBXQCUMRZXACWSXGEXHFUCUDUEUFCVFRZGXEXIXJXMXFXP
        XOXNHIJKLMXTTZPXETXFTXGTXITXMTYATZXOTABXTXACFGHIJKLMNOYBXATVIAWSVLAXHVL
        AXJVLAXNVLAUAUBBXQCFUCUDUEUFYAGHILMNOYCXQTVMAXPVLNOVNBXQXAXEXHWSXSXJXPX
        NXSTVOVPXCUIZXLXSYDXDXLWTXBXCVQXDXKVRVSXLXRVRVSAHVGVTZWRVGVTZKHWAWSVGVT
        AHCULRVGMCULWBWCZAYFKHAYEWQVGVTZJHWAYFYGYHJHWPWDWEJHWQVGVGWFWGWHKHWRVGV
        GWFWIQWJ $.
    $}

    ${
      imassca.g $e |- G = ( Scalar ` R ) $.
      $( The scalar field of an image structure.  (Contributed by Mario
         Carneiro, 23-Feb-2015.)  (Revised by Thierry Arnoux, 16-Jun-2019.) $)
      imassca $p |- ( ph -> G = ( Scalar ` U ) ) $=
        ( vq vp cnx cfv cop csca eqid vx vy vg vh vi cbs cplusg cmulr ctp cvsca
        vn cv csn cmpo ciun cip cun cts ctopn cqtop cple ccom ccnv cds cvv wcel
        co wceq fvexi c1 imasvalstr scaid snsstp1 ssun2 sstri ssun1 strfv ax-mp
        c2 cdc imasplusg imasmulr eqidd imasds imasval fveq2d eqtr4id ) AFPUFQB
        RPUGQDUGQZRPUHQDUHQZRUIZPSQFRZPUJQNGOUAFUFQZNULZEQZUMOULZWMCUJQZVGEQUNU
        OZRZPUPQOGNGWOEQWNRWOWMCUPQZVGRUMUOUOZRZUIZUQZPURQCUSQZEUTVGZRPVAQECVAQ
        ZVBEVCVBZRPVDQDVDQZRUIZUQZSQZDSQFVEVFFXKVHFCSMVIFXJSVEVJVJVSVTRBXHWHFWQ
        WIXJWTXGXEXJTVKVLWKUMZXCXJXLXBXCWKWRXAVMXBWJVNVOXCXIVPVOVQVRADXJSAUAUBB
        XHCUGQZWHCWIWPCUHQZWQDUCUDUEUKCVDQZEFWSWTXDWLXGXFXEGHNOIJXMTZXNTZMWLTWP
        TWSTXDTXOTZXFTABXMWHCDEGHNOIJKLXPWHTWAABCWIXNDEGHNOIJKLXQWITWBAWQWCAWTW
        CAXEWCAUAUBBXHCDUCUDUEUKXOEGHIJKLXRXHTWDAXGWCKLWEWFWG $.

      imasvsca.k $e |- K = ( Base ` G ) $.
      imasvsca.q $e |- .x. = ( .s ` R ) $.
      imasvsca.s $e |- .xb = ( .s ` U ) $.
      $( The scalar multiplication operation of an image structure.
         (Contributed by Mario Carneiro, 23-Feb-2015.)  (Revised by Thierry
         Arnoux, 16-Jun-2019.) $)
      imasvsca $p |- ( ph -> .xb = U_ q e. V ( p e. K ,
           x e. { ( F ` q ) } |-> ( F ` ( p .x. q ) ) ) ) $=
        ( vy vz vw vv vu cv cfv csn cmpo ciun cnx cbs cop cplusg cmulr ctp csca
        co cvsca cip cun cts ctopn cqtop cple ccom ccnv cds cvv cdc eqid fveq2i
        c1 c2 eqtri imasplusg imasmulr imasds imasval imasvalstr vscaid snsstp2
        eqidd ssun2 ssun1 sstri wcel wral fvex eqeltrdi fvexi snex mpoex iunexg
        rgenw sylancl strfv3 ) AEMKNBJMUHZHUIZUJZNUHZWTFUTHUIZUKZULZUMUNUICUOUM
        UPUIGUPUIZUOUMUQUIGUQUIZUOURZUMUSUIDUSUIZUOZUMVAUIXFUOZUMVBUINKMKXCHUIX
        AUOXCWTDVBUIZUTUOUJULULZUOZURZVCZUMVDUIDVEUIZHVFUTZUOUMVGUIHDVGUIZVHHVI
        VHZUOUMVJUIGVJUIZUOURZVCZGVAVKVOVOVPVLUOABUCCYBDUPUIZXGDXHFDUQUIZXFGUDU
        EUFUGDVJUIZHXJXMXNXRJYAXTXSKLMNOPYEVMZYFVMZXJVMJIUNUIXJUNUITIXJUNSVNVQU
        AXMVMXRVMYGVMZXTVMACYEXGDGHKLMNOPQRYHXGVMVRACDXHYFGHKLMNOPQRYIXHVMVSAXF
        WEAXNWEAXSWEABUCCYBDGUDUEUFUGYGHKLOPQRYJYBVMVTAYAWEQRWACYBXGXJXFXHYDXNY
        AXSYDVMWBWCXLUJXPYDXKXLXOWDXPXQYDXPXIWFXQYCWGWHWHAKVKWIXEVKWIZMKWJXFVKW
        IAKDUNUIVKPDUNWKWLYKMKNBJXBXDJIUNTWMXAWNWOWQMKXEVKVKWPWRUBWS $.
    $}

    ${
      imasip.i $e |- ., = ( .i ` R ) $.
      imasip.w $e |- I = ( .i ` U ) $.
      $( The inner product of an image structure.  (Contributed by Thierry
         Arnoux, 16-Jun-2019.) $)
      imasip $p |- ( ph -> I = U_ p e. V U_ q e. V
        { <. <. ( F ` p ) , ( F ` q ) >. , ( p ., q ) >. } ) $=
        ( cfv cop eqid vx vy vz vw vv vu cv co csn ciun cnx cbs cplusg ctp csca
        cmulr cvsca cip cun cts ctopn cqtop cple ccom ccnv cds cvv c1 imasplusg
        c2 imasmulr imasvsca eqidd imasds imasval imasvalstr ipid snsstp3 ssun2
        sstri ssun1 wcel wral fvex eqeltrdi snex rgenw iunexg sylancl ralrimivw
        cdc syl2anc strfv3 ) AGKHJHKUGZERJUGZERSWNWOFUHSZUIZUJZUJZUKULRBSUKUMRD
        UMRZSUKUPRDUPRZSUNZUKUORCUORZSZUKUQRDUQRZSZUKURRWSSZUNZUSZUKUTRCVARZEVB
        UHZSUKVCRECVCRZVDEVEVDZSUKVFRDVFRZSUNZUSZDURVGVHVHVJWKSAUAUBBXNCUMRZWTC
        XACUQRZCUPRZXEDUCUDUEUFCVFRZEXCFWSXJXCULRZXMXLXKHIJKLMXQTZXSTZXCTZYATZX
        RTZPXJTXTTZXLTABXQWTCDEHIJKLMNOYBWTTVIABCXAXSDEHIJKLMNOYCXATVKAUABCXEXR
        DEXCYAHIJKLMNOYDYEYFXETVLAWSVMAXKVMAUAUBBXNCDUCUDUEUFXTEHILMNOYGXNTVNAX
        MVMNOVOBXNWTXCXEXAXPWSXMXKXPTVPVQXGUIZXIXPYHXHXIXDXFXGVRXHXBVSVTXIXOWAV
        TAHVGWBZWRVGWBZKHWCWSVGWBAHCULRVGMCULWDWEZAYJKHAYIWQVGWBZJHWCYJYKYLJHWP
        WFWGJHWQVGVGWHWIWJKHWRVGVGWHWLQWM $.
    $}

    ${
      imastset.j $e |- J = ( TopOpen ` R ) $.
      imastset.o $e |- O = ( TopSet ` U ) $.
      $( The topology of an image structure.  (Contributed by Mario Carneiro,
         23-Feb-2015.) $)
      imastset $p |- ( ph -> O = ( J qTop F ) ) $=
        ( vp cfv cnx cop eqid vq vx vy vz vw vv cts cbs cplusg cmulr csca cvsca
        vu ctp cip cv csn ciun cqtop cple ccom ccnv imasplusg imasmulr imasvsca
        co cun cds eqidd imasds imasval fveq2d cvv wcel wceq ovex c1 imasvalstr
        c2 cdc tsetid snsstp1 ssun2 sstri strfv ax-mp 3eqtr4g ) ADUGQRUHQBSRUIQ
        DUIQZSRUJQDUJQZSUNRUKQCUKQZSRULQDULQZSRUOQPHUAHPUPZEQUAUPZEQSWLWMCUOQZV
        FSUQURURZSUNVGZRUGQFEUSVFZSZRUTQECUTQZVAEVBVAZSZRVHQDVHQZSZUNZVGZUGQZGW
        QADXEUGAUBUCBXBCUIQZWHCWICULQZCUJQZWKDUDUEUFUMCVHQZEWJWNWOFWJUHQZWTWSWQ
        HIUAPJKXGTZXITZWJTZXKTZXHTZWNTNXJTZWSTABXGWHCDEHIUAPJKLMXLWHTVCABCWIXID
        EHIUAPJKLMXMWITVDAUBBCWKXHDEWJXKHIUAPJKLMXNXOXPWKTVEAWOVIAWQVIAUBUCBXBC
        DUDUEUFUMXJEHIJKLMXQXBTVJAWTVILMVKVLOWQVMVNWQXFVOFEUSVPWQXEUGVMVQVQVSVT
        SBXBWHWJWKWIXEWOWTWQXETVRWAWRUQXDXEWRXAXCWBXDWPWCWDWEWFWG $.
    $}

    ${
      imasle.n $e |- N = ( le ` R ) $.
      imasle.l $e |- .<_ = ( le ` U ) $.
      $( The ordering of an image structure.  (Contributed by Mario Carneiro,
         23-Feb-2015.) $)
      imasle $p |- ( ph -> .<_ = ( ( F o. N ) o. `' F ) ) $=
        ( cnx cfv cop cvv eqid vp vq vx vy vz vw vv vu ccom ccnv cbs cplusg ctp
        cmulr csca cvsca cip cv co csn ciun cun cts cple cds c1 ctopn imasplusg
        c2 cdc imasmulr imasvsca eqidd imastset imasds imasval imasvalstr pleid
        snsstp2 ssun2 sstri wcel wfo fof fvex eqeltrdi fexd fvexi coexg sylancl
        wf syl cnvexg syl2anc strfv3 ) AFEGUIZEUJZUIZPUKQBRPULQDULQZRPUNQDUNQZR
        UMPUOQCUOQZRPUPQDUPQZRPUQQUAHUBHUAURZEQUBURZEQRXCXDCUQQZUSRUTVAVAZRUMVB
        ZPVCQDVCQZRZPVDQWRRZPVEQDVEQZRZUMZVBZDVDSVFVFVIVJRAUCUDBXKCULQZWSCWTCUP
        QZCUNQZXBDUEUFUGUHCVEQZEXAXEXFCVGQZXAUKQZWRGXHHIUBUAJKXOTZXQTZXATZXTTZX
        PTZXETXSTZXRTZNABXOWSCDEHIUBUAJKLMYAWSTVHABCWTXQDEHIUBUAJKLMYBWTTVKAUCB
        CXBXPDEXAXTHIUBUAJKLMYCYDYEXBTVLAXFVMABCDEXSXHHIJKLMYFXHTVNAUCUDBXKCDUE
        UFUGUHXREHIJKLMYGXKTVOAWRVMLMVPBXKWSXAXBWTXNXFWRXHXNTVQVRXJUTXMXNXIXJXL
        VSXMXGVTWAAWPSWBZWQSWBZWRSWBAESWBZGSWBYHAHBSEAHBEWCHBEWKLHBEWDWLAHCUKQS
        KCUKWEWFWGZGCVDNWHEGSSWIWJAYJYIYKESWMWLWPWQSSWIWNOWO $.
    $}
  $}

  ${
    f1ocpbl.f $e |- ( ph -> F : V -1-1-onto-> X ) $.
    $( Lemma for ~ f1ocpbl .  (Contributed by Mario Carneiro, 24-Feb-2015.) $)
    f1ocpbllem $p |- ( ( ph /\ ( A e. V /\ B e. V ) /\ ( C e. V /\ D e. V ) )
      -> ( ( ( F ` A ) = ( F ` C ) /\ ( F ` B ) = ( F ` D ) )
        <-> ( A = C /\ B = D ) ) ) $=
      ( wcel wa w3a cfv wceq wf1 wb wf1o f1of1 f1fveq syl12anc 3ad2ant1 anbi12d
      syl simp2l simp3l simp2r simp3r ) ABGJZCGJZKZDGJZEGJZKZLZBFMDFMNZBDNZCFME
      FMNZCENZUNGHFOZUHUKUOUPPAUJUSUMAGHFQUSIGHFRUCUAZAUHUIUMUDAUJUKULUEGHBDFST
      UNUSUIULUQURPUTAUHUIUMUFAUJUKULUGGHCEFSTUB $.

    $( An injection is compatible with any operations on the base set.
       (Contributed by Mario Carneiro, 24-Feb-2015.) $)
    f1ocpbl $p |- ( ( ph /\ ( A e. V /\ B e. V ) /\ ( C e. V /\ D e. V ) ) ->
      ( ( ( F ` A ) = ( F ` C ) /\ ( F ` B ) = ( F ` D ) ) ->
        ( F ` ( A .+ B ) ) = ( F ` ( C .+ D ) ) ) ) $=
      ( wcel wa w3a cfv wceq co f1ocpbllem oveq12 fveq2d syl6bi ) ABHKCHKLDHKEH
      KLMBGNDGNOCGNEGNOLBDOCEOLZBCFPZGNDEFPZGNOABCDEGHIJQUAUBUCGBDCEFRST $.

    $( An injection is compatible with any operations on the base set.
       (Contributed by Mario Carneiro, 15-Aug-2015.) $)
    f1ovscpbl $p |- ( ( ph /\ ( A e. K /\ B e. V /\ C e. V ) ) ->
      ( ( F ` B ) = ( F ` C ) -> ( F ` ( A .+ B ) ) = ( F ` ( A .+ C ) ) ) ) $=
      ( wcel w3a wa cfv wceq co wf1 wb wf1o f1of1 adantr simpr2 simpr3 syl12anc
      syl f1fveq oveq2 fveq2d syl6bi ) ABGKZCHKZDHKZLZMZCFNDFNOZCDOZBCEPZFNBDEP
      ZFNOUNHIFQZUKULUOUPRAUSUMAHIFSUSJHIFTUEUAAUJUKULUBAUJUKULUCHICDFUFUDUPUQU
      RFCDBEUGUHUI $.

    $( An injection is compatible with any relations on the base set.
       (Contributed by Mario Carneiro, 24-Feb-2015.) $)
    f1olecpbl $p |- ( ( ph /\ ( A e. V /\ B e. V ) /\ ( C e. V /\ D e. V ) ) ->
      ( ( ( F ` A ) = ( F ` C ) /\ ( F ` B ) = ( F ` D ) ) ->
        ( A N B <-> C N D ) ) ) $=
      ( wcel wa w3a cfv wceq wbr wb f1ocpbllem breq12 syl6bi ) ABHKCHKLDHKEHKLM
      BFNDFNOCFNEFNOLBDOCEOLBCGPDEGPQABCDEFHIJRBDCEGST $.
  $}

  ${
    $d p q B $.  $d p q R $.  $d a b p q w y z V $.  $d p q w .x. $.  $d p X $.
    $d a b p q w x y z F $.  $d a b p q w ph $.  $d a b p q w x y z .xb $.
    $d p q Y $.
    imasaddf.f $e |- ( ph -> F : V -onto-> B ) $.
    imasaddf.e $e |- ( ( ph /\ ( a e. V /\ b e. V ) /\ ( p e. V /\ q e. V ) )
      -> ( ( ( F ` a ) = ( F ` p ) /\ ( F ` b ) = ( F ` q ) )
        -> ( F ` ( a .x. b ) ) = ( F ` ( p .x. q ) ) ) ) $.
    ${
      imasaddflem.a $e |- ( ph -> .xb = U_ p e. V U_ q e. V
          { <. <. ( F ` p ) , ( F ` q ) >. , ( F ` ( p .x. q ) ) >. } ) $.
      $( The image structure operation is a function if the original operation
         is compatible with the function.  (Contributed by Mario Carneiro,
         23-Feb-2015.) $)
      imasaddfnlem $p |- ( ph -> .xb Fn ( B X. B ) ) $=
        ( vx vw vz wceq wral wcel syl vy wfun cdm cxp wfn cv wbr wmo cfv cop co
        wrel csn ciun opex relsnop rgenw reliun mpbir releqd mpbiri crn wss cvv
        fvex wa wf wfo fof ffvelrn anim12dan sylan opelxpi sylancl snssd iunssd
        anassrs eqsstrd dmss c0 wne vn0 dmxp ax-mp sseqtrdi sqxpeqd sseqtrrd wi
        forn wal wrex wb eleq2d adantr df-br rexbii bitr2i 3bitr4g w3a elsn vex
        eliun opth syl5bi eqeq2 biimprd syl6 3expa rexlimdvva sylbid ralrimivva
        impd alrimiv mo2icl fofn opeq2 breq1d mobidv ralrn ralbidv mpbird opeq1
        breq1 ralxp sylibr ssralv sylc dffun7 sylanbrc eqimss2 iunss sylib snss
        opeldm sylbir ralimi sylbi eleq1d eleq1 dfss3 eqsstrrd eqssd df-fn ) AC
        UBZCUCZBBUDZQCUUFUEACULZNUFZOUFZCUGZOUHZNUUERZUUDAUUGHFGFHUFZEUIZGUFZEU
        IZUJZUUMUUODUKZEUIZUJZUMZUNZUNZULZUVDUVBULZHFRUVEHFUVEUVAULZGFRUVFGFUUQ
        UUSUUNUUPUOZUUREVEZUPUQGFUVAURUSUQHFUVBURUSACUVCMUTVAAUUEEVBZUVIUDZVCUU
        KNUVJRZUULAUUEUUFUVJAUUEUUFVDUDZUCZUUFACUVLVCUUEUVMVCACUVCUVLMAHFUVBUVL
        AUUMFSZVFGFUVAUVLAUVNUUOFSZUVAUVLVCAUVNUVOVFZVFZUUTUVLUVQUUQUUFSZUUSVDS
        UUTUVLSUVQUUNBSZUUPBSZVFZUVRAFBEVGZUVPUWAAFBEVHZUWBKFBEVITUWBUVNUVSUVOU
        VTFBUUMEVJFBUUOEVJVKVLUUNUUPBBVMTUVHUUQUUSUUFVDVMVNVOVQVPVPVRCUVLVSTVDV
        TWAUVMUUFQWBUUFVDWCWDWEZAUVIBAUWCUVIBQKFBEWITWFZWGAUAUFZPUFZUJZUUICUGZO
        UHZPUVIRZUAUVIRZUVKAUWLIUFZEUIZUWGUJZUUICUGZOUHZPUVIRZIFRZAUWSUWNJUFZEU
        IZUJZUUICUGZOUHZJFRZIFRAUXDIJFFAUWMFSUWTFSVFZVFZUXCUUIUWMUWTDUKEUIZQZWH
        ZOWJUXDUXGUXJOUXGUXCUXBUUIUJZUVASZGFWKZHFWKZUXIUXGUXKCSZUXKUVCSZUXCUXNA
        UXOUXPWLUXFACUVCUXKMWMWNUXBUUICWOUXPUXKUVBSZHFWKUXNHUXKFUVBXBUXQUXMHFGU
        XKFUVAXBWPWQWRUXGUXLUXIHGFFAUXFUVPUXLUXIWHUXLUXKUUTQZAUXFUVPWSZUXIUXKUU
        TUXBUUIUOWTUXRUXBUUQQZUUIUUSQZVFUXSUXIUXBUUIUUQUUSUWNUXAUOOXAXCUXSUXTUY
        AUXIUXSUXTUXHUUSQZUYAUXIWHUXTUWNUUNQUXAUUPQVFUXSUYBUWNUXAUUNUUPUWMEVEUW
        TEVEXCLXDUYBUXIUYAUXHUUSUUIXEXFXGXLXDXDXHXIXJXMUXCOUXHXNTXKAUWRUXEIFAEF
        UEZUWRUXEWLAUWCUYCKFBEXOTZUWQUXDPJFEUWGUXAQZUWPUXCOUYEUWOUXBUUICUWGUXAU
        WNXPXQXRXSTXTYAAUYCUWLUWSWLUYDUWKUWRUAIFEUWFUWNQZUWJUWQPUVIUYFUWIUWPOUY
        FUWHUWOUUICUWFUWNUWGYBXQXRXTXSTYAUUKUWJNUAPUVIUVIUUHUWHQUUJUWIOUUHUWHUU
        ICYCXRYDYEUUKNUUEUVJYFYGNOCYHYIAUUEUUFUWDAUUFUVJUUEUWEAUUHUUESZNUVJRZUV
        JUUEVCAUWHUUESZPUVIRZUAUVIRZUYHAUYKUUNUWGUJZUUESZPUVIRZHFRZAUYOUUQUUESZ
        GFRZHFRZAUVBCVCZHFRZUYRAUVCCVCZUYTACUVCQVUAMUVCCYJTHFUVBCYKYLUYSUYQHFUY
        SUVACVCZGFRUYQGFUVACYKVUBUYPGFVUBUUTCSUYPUUTCUUQUUSUOYMUUQUUSCUVGUVHYNY
        OYPYQYPTAUYNUYQHFAUYCUYNUYQWLUYDUYMUYPPGFEUWGUUPQUYLUUQUUEUWGUUPUUNXPYR
        XSTXTYAAUYCUYKUYOWLUYDUYJUYNUAHFEUWFUUNQZUYIUYMPUVIVUCUWHUYLUUEUWFUUNUW
        GYBYRXTXSTYAUYGUYINUAPUVIUVIUUHUWHUUEYSYDYENUVJUUEYTYEUUAUUBCUUFUUCYI
        $.

      $( The operation of an image structure is defined to distribute over the
         mapping function.  (Contributed by Mario Carneiro, 23-Feb-2015.) $)
      imasaddvallem $p |- ( ( ph /\ X e. V /\ Y e. V ) ->
        ( ( F ` X ) .xb ( F ` Y ) ) = ( F ` ( X .x. Y ) ) ) $=
        ( cfv co cop wceq wss wcel w3a df-ov wfun cxp wfn imasaddfnlem 3ad2ant1
        fnfun syl csn cv ciun fveq2 fvoveq1 opeq12d sneqd ssiun2s 3ad2ant2 wral
        opeq1d opeq2d oveq2 fveq2d ralrimivw ss2iun 3ad2ant3 sseqtrrd opex snss
        sstrd sylibr funopfv sylc eqtrid ) AGFUAZHFUAZUBZGEPZHEPZCQVSVTRZCPZGHD
        QEPZVSVTCUCVRCUDZWAWCRZCUAZWBWCSAVPWDVQACBBUEZUFWDABCDEFIJKLMNOUGWGCUIU
        JUHVRWEUKZCTWFVRWHJFIFJULZEPZIULZEPZRZWIWKDQZEPZRZUKZUMZUMZCVRWHJFWJVTR
        ZWIHDQZEPZRZUKZUMZWSVPAWHXETVQJFXDGWHWIGSZXCWEXFWTWAXBWCXFWJVSVTWIGEUNV
        AWIGHEDUOUPUQURUSVQAXEWSTZVPVQXDWRTZJFUTXGVQXHJFIFWQHXDWKHSZWPXCXIWMWTW
        OXBXIWLVTWJWKHEUNVBXIWNXAEWKHWIDVCVDUPUQURVEJFXDWRVFUJVGVKAVPCWSSVQOUHV
        HWECWAWCVIVJVLWAWCCVMVNVO $.

      imasaddflem.c $e |- ( ( ph /\ ( p e. V /\ q e. V ) ) ->
        ( p .x. q ) e. V ) $.
      $( The image set operations are closed if the original operation is.
         (Contributed by Mario Carneiro, 23-Feb-2015.) $)
      imasaddflem $p |- ( ph -> .xb : ( B X. B ) --> B ) $=
        ( cxp wss cfv wcel wa ffvelrn wfn wf imasaddfnlem cv cop co csn wfo fof
        ciun syl anim12dan opelxpi sylan syl2an2r opelxpd snssd anassrs eqsstrd
        iunssd dff2 sylanbrc ) ACBBOZUACVCBOZPVCBCUBABCDEFGHIJKLMUCACHFGFHUDZEQ
        ZGUDZEQZUEZVEVGDUFZEQZUEZUGZUJZUJVDMAHFVNVDAVEFRZSGFVMVDAVOVGFRZVMVDPAV
        OVPSZSZVLVDVRVIVKVCBAFBEUBZVQVIVCRZAFBEUHVSKFBEUIUKZVSVQSVFBRZVHBRZSVTV
        SVOWBVPWCFBVEETFBVGETULVFVHBBUMUKUNAVSVQVJFRVKBRWANFBVJETUOUPUQURUTUTUS
        VCBCVAVB $.
    $}

    imasaddf.u $e |- ( ph -> U = ( F "s R ) ) $.
    imasaddf.v $e |- ( ph -> V = ( Base ` R ) ) $.
    imasaddf.r $e |- ( ph -> R e. Z ) $.
    ${
      imasaddf.p $e |- .x. = ( +g ` R ) $.
      imasaddf.a $e |- .xb = ( +g ` U ) $.
      $( The image structure's group operation is a function.  (Contributed by
         Mario Carneiro, 23-Feb-2015.)  (Revised by Mario Carneiro,
         10-Jul-2015.) $)
      imasaddfn $p |- ( ph -> .xb Fn ( B X. B ) ) $=
        ( imasplusg imasaddfnlem ) ABDEGHJKLMNOABEDCFGHIJKPQNRSTUAUB $.

      $( The value of an image structure's group operation.  (Contributed by
         Mario Carneiro, 23-Feb-2015.) $)
      imasaddval $p |- ( ( ph /\ X e. V /\ Y e. V ) ->
        ( ( F ` X ) .xb ( F ` Y ) ) = ( F ` ( X .x. Y ) ) ) $=
        ( imasplusg imasaddvallem ) ABDEGHIJLMNOPQABEDCFGHKLMRSPTUAUBUCUD $.

      imasaddf.c $e |- ( ( ph /\ ( p e. V /\ q e. V ) ) ->
        ( p .x. q ) e. V ) $.
      $( The image structure's group operation is closed in the base set.
         (Contributed by Mario Carneiro, 23-Feb-2015.) $)
      imasaddf $p |- ( ph -> .xb : ( B X. B ) --> B ) $=
        ( imasplusg imasaddflem ) ABDEGHJKLMNOABEDCFGHIJKPQNRSTUBUAUC $.
    $}

    ${
      imasmulf.p $e |- .x. = ( .r ` R ) $.
      imasmulf.a $e |- .xb = ( .r ` U ) $.
      $( The image structure's ring multiplication is a function.  (Contributed
         by Mario Carneiro, 23-Feb-2015.) $)
      imasmulfn $p |- ( ph -> .xb Fn ( B X. B ) ) $=
        ( imasmulr imasaddfnlem ) ABDEGHJKLMNOABCDEFGHIJKPQNRSTUAUB $.

      $( The value of an image structure's ring multiplication.  (Contributed
         by Mario Carneiro, 23-Feb-2015.) $)
      imasmulval $p |- ( ( ph /\ X e. V /\ Y e. V ) ->
        ( ( F ` X ) .xb ( F ` Y ) ) = ( F ` ( X .x. Y ) ) ) $=
        ( imasmulr imasaddvallem ) ABDEGHIJLMNOPQABCDEFGHKLMRSPTUAUBUCUD $.

      imasmulf.c $e |- ( ( ph /\ ( p e. V /\ q e. V ) ) ->
        ( p .x. q ) e. V ) $.
      $( The image structure's ring multiplication is closed in the base set.
         (Contributed by Mario Carneiro, 23-Feb-2015.) $)
      imasmulf $p |- ( ph -> .xb : ( B X. B ) --> B ) $=
        ( imasmulr imasaddflem ) ABDEGHJKLMNOABCDEFGHIJKPQNRSTUBUAUC $.
    $}
  $}

  ${
    $d a p q w x y z F $.  $d a p q w x y z K $.  $d a p q w x ph $.  $d x U $.
    $d p q x B $.  $d p q x R $.  $d p q w x y z .x. $.  $d a p q w x y .xb $.
    $d a p q w x y V $.  $d p x X $.  $d p q x Y $.
    imasvscaf.u $e |- ( ph -> U = ( F "s R ) ) $.
    imasvscaf.v $e |- ( ph -> V = ( Base ` R ) ) $.
    imasvscaf.f $e |- ( ph -> F : V -onto-> B ) $.
    imasvscaf.r $e |- ( ph -> R e. Z ) $.
    imasvscaf.g $e |- G = ( Scalar ` R ) $.
    imasvscaf.k $e |- K = ( Base ` G ) $.
    imasvscaf.q $e |- .x. = ( .s ` R ) $.
    imasvscaf.s $e |- .xb = ( .s ` U ) $.
    imasvscaf.e $e |- ( ( ph /\ ( p e. K /\ a e. V /\ q e. V ) ) ->
    ( ( F ` a ) = ( F ` q ) -> ( F ` ( p .x. a ) ) = ( F ` ( p .x. q ) ) ) ) $.
    $( The image structure's scalar multiplication is a function.  (Contributed
       by Mario Carneiro, 24-Feb-2015.) $)
    imasvscafn $p |- ( ph -> .xb Fn ( K X. B ) ) $=
      ( vx vw vy vz wfun cdm cxp wceq wfn wrel cv wbr wmo wral cfv co cmpo ciun
      csn eqid fnmpoi fnrel ax-mp rgenw reliun mpbir imasvsca releqd mpbiri crn
      fvex wss cvv wcel wa dffn2 mpbi fssxp wfo fof ffvelrnda snssd xpss2 xpss1
      syl 3syl sstrid ralrimiva iunss sylibr eqsstrd dmss wne vn0 dmxp sseqtrdi
      wf c0 forn xpeq2d sseqtrrd cop wi wal df-br wb eleq2d adantr eliun df-3an
      wrex w3a mpofun funopfv df-ov opex vex opeldm dmmpo eleqtrdi opelxp sylib
      fvoveq1 eqidd cbvmpov ovmpo eqtr3id syl5bi ralrimivva opeq2 ralrn ralbidv
      weq mobidv mpbird ralxp sylanbrc eqtr3d adantl elsni simpl2im ex sylan2br
      impel eqtr4d anassrs rexlimdva sylbid alrimiv mo2icl breq1d ssralv dffun7
      fofn breq1 sylc eqimss2 r19.21bi adantrl eqsstrrid simprl opelxpi sylancl
      snid sseldd eleq1d eleq1 dfss3 eqsstrrd eqssd df-fn ) ADUHZDUIZIBUJZUKDUV
      QULADUMZUDUNZUEUNZDUOZUEUPZUDUVPUQZUVOAUVRLJMUDILUNZGURZVBZMUNZUWDEUSZGUR
      ZUTZVAZUMZUWLUWJUMZLJUQUWMLJUWJIUWFUJZULZUWMMUDIUWFUWIUWJUWJVCZUWHGVNZVDZ
      UWNUWJVEVFVGLJUWJVHVIADUWKAUDBCDEFGHIJKLMOPQRSTUAUBVJZVKVLAUVPIGVMZUJZVOU
      WBUDUXAUQZUWCAUVPUVQUXAAUVPUVQVPUJZUIZUVQADUXCVOUVPUXDVOADUWKUXCUWSAUWJUX
      CVOZLJUQUWKUXCVOAUXELJAUWDJVQZVRZUWJUWNVPUJZUXCUWNVPUWJWTZUWJUXHVOUWOUXIU
      WRUWNUWJVSVTUWNVPUWJWAVFUXGUWFBVOUWNUVQVOUXHUXCVOUXGUWEBAJBUWDGAJBGWBZJBG
      WTQJBGWCWHWDWEUWFBIWFUWNUVQVPWGWIWJWKLJUWJUXCWLWMWNDUXCWOWHVPXAWPUXDUVQUK
      WQUVQVPWRVFWSZAUWTBIAUXJUWTBUKQJBGXBWHXCZXDAUWGUFUNZXEZUVTDUOZUEUPZUFUWTU
      QZMIUQZUXBAUXRUWGNUNZGURZXEZUVTDUOZUEUPZNJUQZMIUQAUYCMNIJAUWGIVQZUXSJVQZV
      RZVRZUYBUVTUWGUXSEUSGURZUKZXFZUEXGUYCUYHUYKUEUYBUYAUVTXEZDVQZUYHUYJUYAUVT
      DXHUYHUYMUYLUWKVQZUYJAUYMUYNXIUYGADUWKUYLUWSXJXKUYNUYLUWJVQZLJXNUYHUYJLUY
      LJUWJXLUYHUYOUYJLJAUYGUXFUYOUYJXFZUYGUXFVRAUYEUYFUXFXOZUYPUYEUYFUXFXMAUYQ
      VRZUYOUYJUYRUYOVRUVTUWIUYIUYOUVTUWIUKUYRUYOUYAUWJURZUVTUWIUWJUHUYOUYSUVTU
      KXFMUDIUWFUWIUWJUWPXPUYAUVTUWJXQVFUYOUYSUWGUXTUWJUSZUWIUWGUXTUWJXRUYOUYEU
      XTUWFVQZVRZUYTUWIUKUYOUYAUWNVQVUBUYOUYAUWJUIZUWNUYAUVTUWJUWGUXTXSUEXTYAMU
      DIUWFUWIUWJUWPUWQYBZYCUWGUXTIUWFYDYEZUGUFUWGUXTIUWFUGUNZUWDEUSGURZUWIUWJU
      WIVUFUWGUWDGEYFUXMUXTUKZUWIYGMUDUGUFIUWFUWIVUGVUGUWGVUFUWDGEYFUDUFYPVUGYG
      YHUWQYIWHYJUUAUUBUYRUXTUWEUKZUYIUWIUKUYOUCUYOUYEVUAVUIVUEUXTUWEUUCUUDUUGU
      UHUUEUUFUUIUUJYKUUKYKUULUYBUEUYIUUMWHYLAUXQUYDMIAUXJGJULZUXQUYDXIQJBGUUQZ
      UXPUYCUFNJGVUHUXOUYBUEVUHUXNUYAUVTDUXMUXTUWGYMUUNYQYNWIYOYRUWBUXPUDMUFIUW
      TUVSUXNUKUWAUXOUEUVSUXNUVTDUURYQYSWMUWBUDUVPUXAUUOUUSUDUEDUUPYTAUVPUVQUXK
      AUVQUXAUVPUXLAUVSUVPVQZUDUXAUQZUXAUVPVOAUXNUVPVQZUFUWTUQZMIUQZVUMAVUPUWGU
      WEXEZUVPVQZLJUQZMIUQAVURMLIJAUYEUXFVRVRZUWNUVPVUQVUTUWNVUCUVPVUDVUTUWJDVO
      ZVUCUVPVOAUXFVVAUYEAVVALJAUWKDVOZVVALJUQADUWKUKVVBUWSUWKDUUTWHLJUWJDWLYEU
      VAUVBUWJDWOWHUVCVUTUYEUWEUWFVQVUQUWNVQAUYEUXFUVDUWEUWDGVNUVGUWGUWEIUWFUVE
      UVFUVHYLAVUOVUSMIAUXJVUJVUOVUSXIQVUKVUNVURUFLJGUXMUWEUKUXNVUQUVPUXMUWEUWG
      YMUVIYNWIYOYRVULVUNUDMUFIUWTUVSUXNUVPUVJYSWMUDUXAUVPUVKWMUVLUVMDUVQUVNYT
      $.

    $( The value of an image structure's scalar multiplication.  (Contributed
       by Mario Carneiro, 24-Feb-2015.) $)
    imasvscaval $p |- ( ( ph /\ X e. K /\ Y e. V ) ->
      ( X .xb ( F ` Y ) ) = ( F ` ( X .x. Y ) ) ) $=
      ( vx wcel w3a cfv co csn cv cmpo cop wfun wss cdm wceq cxp wfn imasvscafn
      fnfun syl 3ad2ant1 ciun eqidd fveq2 sneqd oveq2 fveq2d mpoeq123dv ssiun2s
      3ad2ant3 imasvsca sseqtrrd simp2 fvex snid opelxpi sylancl eqid eleqtrrdi
      dmmpo funssfv syl3anc df-ov 3eqtr4g fvoveq1 ovmpo eqtrd ) AKIUGZLJUGZUHZK
      LGUIZDUJZKWNOUFIWNUKZOULZLEUJZGUIZUMZUJZKLEUJZGUIZWMKWNUNZDUIZXDWTUIZWOXA
      WMDUOZWTDUPXDWTUQZUGXEXFURAWKXGWLADIBUSZUTXGABCDEFGHIJMNOPQRSTUAUBUCUDUEV
      AXIDVBVCVDWMWTNJOUFINULZGUIZUKZWQXJEUJZGUIZUMZVEZDWLAWTXPUPWKNJXOLWTXJLUR
      ZOUFIXLXNIWPWSXQIVFXQXKWNXJLGVGVHXQXMWRGXJLWQEVIVJVKVLVMAWKDXPURWLAUFBCDE
      FGHIJMNOQRSTUAUBUCUDVNVDVOWMXDIWPUSZXHWMWKWNWPUGZXDXRUGAWKWLVPZWNLGVQVRZK
      WNIWPVSVTOUFIWPWSWTWTWAZWRGVQWCWBXDDWTWDWEKWNDWFKWNWTWFWGWMWKXSXAXCURXTYA
      OUFKWNIWPWSXCWTXCWQKLGEWHUFULWNURXCVFYBXBGVQWIVTWJ $.

    imasvscaf.c $e |- ( ( ph /\ ( p e. K /\ q e. V ) ) -> ( p .x. q ) e. V ) $.
    $( The image structure's scalar multiplication is closed in the base set.
       (Contributed by Mario Carneiro, 24-Feb-2015.) $)
    imasvscaf $p |- ( ph -> .xb : ( K X. B ) --> B ) $=
      ( vx cxp wfn wss wf imasvscafn cv cfv csn co cmpo ciun imasvsca wral wcel
      wfo fof syl ffvelrnda syldan ralrimivw anass1rs ralrimiva eqid fmpo sylib
      wa fssxp snssd xpss2 xpss1 3syl sstrd iunss sylibr eqsstrd dff2 sylanbrc
      ) ADIBUFZUGDWCBUFZUHWCBDUIABCDEFGHIJKLMNOPQRSTUAUBUCUJADLJMUEILUKZGULZUMZ
      MUKZWEEUNZGULZUOZUPZWDAUEBCDEFGHIJKLMOPQRSTUAUBUQAWKWDUHZLJURWLWDUHAWMLJA
      WEJUSZVKZWKIWGUFZBUFZWDWOWPBWKUIZWKWQUHWOWJBUSZUEWGURZMIURWRWOWTMIAWHIUSZ
      WNWTAXAWNVKZVKWSUEWGAXBWIJUSWSUDAJBWIGAJBGUTJBGUIQJBGVAVBZVCVDVEVFVGMUEIW
      GWJBWKWKVHVIVJWPBWKVLVBWOWGBUHWPWCUHWQWDUHWOWFBAJBWEGXCVCVMWGBIVNWPWCBVOV
      PVQVGLJWKWDVRVSVTWCBDWAWB $.
  $}

  ${
    imasless.u $e |- ( ph -> U = ( F "s R ) ) $.
    imasless.v $e |- ( ph -> V = ( Base ` R ) ) $.
    imasless.f $e |- ( ph -> F : V -onto-> B ) $.
    imasless.r $e |- ( ph -> R e. Z ) $.
    imasless.l $e |- .<_ = ( le ` U ) $.
    $( The order relation defined on an image set is a subset of the base set.
       (Contributed by Mario Carneiro, 24-Feb-2015.) $)
    imasless $p |- ( ph -> .<_ C_ ( B X. B ) ) $=
      ( ccom ccnv cxp cdm crn wss cima cple cfv eqid wrel relco relssdmrn ax-mp
      imasle dmco wceq wfo wf fof frel 3syl sylib imaeq1d imassrn forn sseqtrid
      dfrel2 syl eqsstrd eqsstrid rncoss rnco2 sstrid xpss12 syl2anc ) AFECUAUB
      ZNZEOZNZBBPZABCDEFVJGHIJKLVJUCMUHAVMVMQZVMRZPZVNVMUDVMVQSVKVLUEVMUFUGAVOB
      SVPBSVQVNSAVOVLOZVKQZTZBVKVLUIAVTEVSTZBAVREVSAEUDZVREUJAGBEUKZGBEULWBKGBE
      UMGBEUNUOEVAUPUQAERZWABEVSURAWCWDBUJKGBEUSVBZUTVCVDAVPVKRZBVKVLVEAWFEVJRZ
      TZBEVJVFAWDWHBEWGURWEUTVDVGVOBVPBVHVIVGVC $.

    $d c d .<_ $.  $d a b c d F $.  $d a b c d N $.  $d a b c d V $.  $d d Y $.
    $d a b c d ph $.  $d c d X $.
    imasleval.n $e |- N = ( le ` R ) $.
    imasleval.e $e |- ( ( ph /\ ( a e. V /\ b e. V ) /\ ( c e. V /\ d e. V ) )
      -> ( ( ( F ` a ) = ( F ` c ) /\ ( F ` b ) = ( F ` d ) )
        -> ( a N b <-> c N d ) ) ) $.
    $( The value of the image structure's ordering when the order is compatible
       with the mapping function.  (Contributed by Mario Carneiro,
       24-Feb-2015.) $)
    imasleval $p |- ( ( ph /\ X e. V /\ Y e. V ) ->
      ( ( F ` X ) .<_ ( F ` Y ) <-> X N Y ) ) $=
      ( wcel cfv wbr wb wa cv wi fveq2 breq1d breq1 bibi12d imbi2d breq2d breq2
      wceq ccom ccnv wrex cdm wfn wfo adantr fndmd rexeqdv fnbrfvb sylan anbi1d
      fofn syl wex ancom fvex breldm pm4.71ri bitri exbii brco 3bitr4i ad2antrr
      vex df-rex 3expa an32s anassrs impl pm5.32da bitr3d r19.41v bitrdi simprr
      rexbidva eqid fveqeq2 rspcev sylancl biantrurd 3bitr4d syl5bb bitrd brcnv
      anbi1i 3bitr4ri 3bitr3g imasle breqd simprl expcom vtocl2ga com12 3impib
      ) AIHUCZJHUCZIEUDZJEUDZFUEZIJGUEZUFZXMXNUGAXSANUHZEUDZOUHZEUDZFUEZXTYBGUE
      ZUFZUIAXOYCFUEZIYBGUEZUFZUIAXSUINOIJHHXTIUQZYFYIAYJYDYGYEYHYJYAXOYCFXTIEU
      JUKXTIYBGULUMUNYBJUQZYIXSAYKYGXQYHXRYKYCXPXOFYBJEUJUOYBJIGUPUMUNAXTHUCZYB
      HUCZUGZYFAYNUGZYAYCEGURZEUSZURZUEZLUHZEUDYAUQZLHUTZYEUGZYDYEYOYTYAEUEZYTY
      CYPUEZUGZLEVAZUTZUUAYEUGZLHUTZYSUUCYOUUHUUFLHUTUUJYOUUFLUUGHYOHEAEHVBZYNA
      HBEVCUUKRHBEVJVKVDZVEZVFYOUUFUUILHYOYTHUCZUGZUUAUUEUGUUFUUIUUOUUAUUDUUEYO
      UUKUUNUUAUUDUFUULHYTYAEVGVHVIUUOUUAUUEYEUUEMUHZYCEUEZYTUUPGUEZUGZMUUGUTZU
      UOUUAUGZYEUURUUQUGZMVLUUPUUGUCZUUSUGZMVLUUEUUTUVBUVDMUVBUUSUVDUURUUQVMUUS
      UVCUUQUVCUURUUPYCEMWBYBEVNZVOVDVPVQVRMYTYCEGLWBZUVEVSUUSMUUGWCVTUVAUUSMHU
      TZUUPEUDYCUQZMHUTZYEUGZUUTYEUVAUVGUVHYEUGZMHUTUVJUVAUUSUVKMHUVAUUPHUCZUGZ
      UVHUURUGZUUSUVKUVMUVHUUQUURUVAUUKUVLUVHUUQUFYOUUKUUNUUAUULWAHUUPYCEVGVHVI
      UUOUVLUUAUVNUVKUFUUOUVLUGZUUAUGUVHUURYEUVOUUAUVHUURYEUFZYOUUNUVLUUAUVHUGU
      VPUIZAUUNUVLUGZYNUVQAUVRYNUVQUBWDWEWFWGWHWEWIWMUVHYEMHWJWKYOUUTUVGUFUUNUU
      AYOUUSMUUGHUUMVFWAYOYEUVJUFUUNUUAYOUVIYEYOYMYCYCUQZUVIAYLYMWLYCWNUVHUVSMY
      BHUUPYBYCEWOWPWQWRWAWSWTWHWIWMXAYAYTYQUEZUUEUGZLVLYTUUGUCZUUFUGZLVLYSUUHU
      WAUWCLUWAUUFUWCUVTUUDUUEYAYTEXTEVNZUVFXBXCUUFUWBUUDUWBUUEYTYAEUVFUWDVOVDV
      PVQVRLYAYCYPYQUWDUVEVSUUFLUUGWCXDUUAYELHWJXEYOFYRYAYCAFYRUQYNABCDEFGHKPQR
      SUATXFVDXGYOUUBYEYOYLYAYAUQZUUBAYLYMXHYAWNUUAUWELXTHYTXTYAEWOWPWQWRWSXIXJ
      XKXL $.
  $}

  ${
    $d e r x y .~ $.  $d e r F $.  $d e r x ph $.  $d e r x R $.  $d x y V $.
    qusval.u $e |- ( ph -> U = ( R /s .~ ) ) $.
    qusval.v $e |- ( ph -> V = ( Base ` R ) ) $.
    qusval.f $e |- F = ( x e. V |-> [ x ] .~ ) $.
    qusval.e $e |- ( ph -> .~ e. W ) $.
    qusval.r $e |- ( ph -> R e. Z ) $.
    $( Value of a quotient structure.  (Contributed by Mario Carneiro,
       23-Feb-2015.) $)
    qusval $p |- ( ph -> U = ( F "s R ) ) $=
      ( vr ve cqus cimas cvv wceq co cv cbs cfv cec cmpt cmpo df-qus a1i simprl
      fveq2d adantr eqtr4d eceq2 ad2antll mpteq12dv eqtr4di oveq12d elexd ovexd
      wa ovmpod eqtrd ) AEDCQUAFDRUAZJAOPDCSSBOUBZUCUDZBUBZPUBZUEZUFZVERUAZVDQS
      QOPSSVKUGTABPOUHUIAVEDTZVHCTZVAZVAZVJFVEDRVOVJBGVGCUEZUFFVOBVFVIGVPVOVFDU
      CUDZGVOVEDUCAVLVMUJZUKAGVQTVNKULUMVMVIVPTAVLVHCVGUNUOUPLUQVRURADINUSACHMU
      SAFDRUTVBVC $.

    $( The function in ~ qusval is a surjection onto a quotient set.
       (Contributed by Mario Carneiro, 23-Feb-2015.) $)
    quslem $p |- ( ph -> F : V -onto-> ( V /. .~ ) ) $=
      ( vy wfo cv cvv wcel syl crn cqs wfn cec wral ecexg ralrimivw fnmpt dffn4
      sylib wceq wb wrex cab rnmpt df-qs eqtr4i foeq3 ax-mp ) AGFUAZFPZGGCUBZFP
      ZAFGUCZVAABQZCUDZRSZBGUEVDAVGBGACHSVGMVEHCUFTUGBGVFFRLUHTGFUIUJUTVBUKVAVC
      ULUTOQVFUKBGUMOUNVBBOGVFFLUOBOGCUPUQUTVBGFURUSUJ $.
  $}

  ${
    $d x .~ $.  $d x ph $.  $d x R $.  $d x V $.
    qusin.u $e |- ( ph -> U = ( R /s .~ ) ) $.
    qusin.v $e |- ( ph -> V = ( Base ` R ) ) $.
    qusin.e $e |- ( ph -> .~ e. W ) $.
    qusin.r $e |- ( ph -> R e. Z ) $.
    qusin.s $e |- ( ph -> ( .~ " V ) C_ V ) $.
    $( Restrict the equivalence relation in a quotient structure to the base
       set.  (Contributed by Mario Carneiro, 23-Feb-2015.) $)
    qusin $p |- ( ph -> U = ( R /s ( .~ i^i ( V X. V ) ) ) ) $=
      ( vx cec cmpt cimas co wcel eqid qusval cxp cin cqus cima wss wceq ecinxp
      cv sylan mpteq2dva oveq1d cvv eqidd inex1g syl 3eqtr4d ) AMEMUHZBNZOZCPQM
      EUQBEEUAZUBZNZOZCPQDCVAUCQZAUSVCCPAMEURVBABEUDEUEUQERURVBUFLEUQBUGUIUJUKA
      MBCDUSEFGHIUSSJKTAMVACVDVCEULGAVDUMIVCSABFRVAULRJBUTFUNUOKTUP $.
  $}

  ${
    $d x .~ $.  $d x ph $.  $d x R $.  $d x V $.
    qusbas.u $e |- ( ph -> U = ( R /s .~ ) ) $.
    qusbas.v $e |- ( ph -> V = ( Base ` R ) ) $.
    qusbas.e $e |- ( ph -> .~ e. W ) $.
    qusbas.r $e |- ( ph -> R e. Z ) $.
    $( Base set of a quotient structure.  (Contributed by Mario Carneiro,
       23-Feb-2015.) $)
    qusbas $p |- ( ph -> ( V /. .~ ) = ( Base ` U ) ) $=
      ( vx cqs cv cec cmpt eqid qusval quslem imasbas ) AEBMCDLELNBOPZEGALBCDUA
      EFGHIUAQZJKRIALBCDUAEFGHIUBJKSKT $.

    quss.k $e |- K = ( Scalar ` R ) $.
    $( The scalar field of a quotient structure.  (Contributed by Mario
       Carneiro, 24-Feb-2015.) $)
    quss $p |- ( ph -> K = ( Scalar ` U ) ) $=
      ( vx cqs cv cec cmpt eqid qusval quslem imassca ) AFBOCDNFNPBQRZEFHANBCDU
      CFGHIJUCSZKLTJANBCDUCFGHIJUDKLUALMUB $.
  $}

  ${
    $d x .~ $.  $d a b x A $.  $d b x B $.  $d x C $.  $d x D $.  $d a b x V $.
    $d a b x .+ $.  $d a b x ph $.
    ercpbl.r $e |- ( ph -> .~ Er V ) $.
    ercpbl.v $e |- ( ph -> V e. W ) $.
    ercpbl.f $e |- F = ( x e. V |-> [ x ] .~ ) $.
    $( Value of the function in ~ qusval .  (Contributed by Mario Carneiro,
       24-Feb-2015.)  (Revised by Mario Carneiro, 12-Aug-2015.)  (Revised by
       AV, 12-Jul-2024.) $)
    divsfval $p |- ( ph -> ( F ` A ) = [ A ] .~ ) $=
      ( wcel cec wceq cvv ecss ssexd wn c0 cdm syl cfv eceq1 fvmptg sylan2 cmpt
      cv expcom wa dmeqi wral ralrimivw dmmptg eqtrid eleq2d notbid syl6bir wne
      ndmfv ecdmn0 wer erdm biimpd syl5bir necon1bd jcad eqtr3 syl6 pm2.61d ) A
      CFKZCEUAZCDLZMZVIAVLAVIVKNKVLAVKFGIACDFHOPBCBUFZDLZVKFNEVMCDUBJUCUDUGAVIQ
      ZVJRMZVKRMZUHVLAVOVPVQAVOCESZKZQVPAVSVIAVRFCAVRBFVNUEZSZFEVTJUIAVNNKZBFUJ
      WAFMAWBBFAVNFGIAVMDFHOPUKBFVNNULTUMUNUOCEURUPAVIVKRVKRUQCDSZKZAVICDUSAWDV
      IAWCFCAFDUTWCFMHFDVATUNVBVCVDVEVJVKRVFVGVH $.

    ${
      ercpbllem.1 $e |- ( ph -> A e. V ) $.
      $( Lemma for ~ ercpbl .  (Contributed by Mario Carneiro, 24-Feb-2015.)
         (Revised by AV, 12-Jul-2024.) $)
      ercpbllem $p |- ( ph -> ( ( F ` A ) = ( F ` B ) <-> A .~ B ) ) $=
        ( cfv wceq cec wbr divsfval eqeq12d erth bitr4d ) ACFMZDFMZNCEOZDEOZNCD
        EPAUAUCUBUDABCEFGHIJKQABDEFGHIJKQRACDEGILST $.
    $}

    ${
      ercpbl.c $e |- ( ( ph /\ ( a e. V /\ b e. V ) ) -> ( a .+ b ) e. V ) $.
      ercpbl.e $e |- ( ph ->
        ( ( A .~ C /\ B .~ D ) -> ( A .+ B ) .~ ( C .+ D ) ) ) $.
      $( Translate the function compatibility relation to a quotient set.
         (Contributed by Mario Carneiro, 24-Feb-2015.)  (Revised by Mario
         Carneiro, 12-Aug-2015.)  (Revised by AV, 12-Jul-2024.) $)
      ercpbl $p |- ( ( ph /\ ( A e. V /\ B e. V ) /\ ( C e. V /\ D e. V ) ) ->
        ( ( ( F ` A ) = ( F ` C ) /\ ( F ` B ) = ( F ` D ) ) ->
          ( F ` ( A .+ B ) ) = ( F ` ( C .+ D ) ) ) ) $=
        ( wcel cfv wa w3a wbr wceq 3ad2ant1 wer simp2l ercpbllem simp2r anbi12d
        co wi caovclg 3adant3 3imtr4d ) ACJSZDJSZUAZEJSFJSUAZUBZCEHUCZDFHUCZUAZ
        CDGUKZEFGUKZHUCZCITEITUDZDITFITUDZUAVDITVEITUDAURVCVFULUSRUEUTVGVAVHVBU
        TBCEHIJKAURJHUFUSNUEZAURJKSUSOUEZPAUPUQUSUGUHUTBDFHIJKVIVJPAUPUQUSUIUHU
        JUTBVDVEHIJKVIVJPAURVDJSUSALMCDJJJGQUMUNUHUO $.
    $}

    erlecpbl.e $e |- ( ph ->
      ( ( A .~ C /\ B .~ D ) -> ( A N B <-> C N D ) ) ) $.
    $( Translate the relation compatibility relation to a quotient set.
       (Contributed by Mario Carneiro, 24-Feb-2015.)  (Revised by Mario
       Carneiro, 12-Aug-2015.)  (Revised by AV, 12-Jul-2024.) $)
    erlecpbl $p |- ( ( ph /\ ( A e. V /\ B e. V ) /\ ( C e. V /\ D e. V ) ) ->
      ( ( ( F ` A ) = ( F ` C ) /\ ( F ` B ) = ( F ` D ) ) ->
        ( A N B <-> C N D ) ) ) $=
      ( wcel wa cfv wbr 3ad2ant1 w3a wceq wb simp2l ercpbllem simp2r anbi12d wi
      wer sylbid ) ACJPZDJPZQZEJPFJPQZUAZCHREHRUBZDHRFHRUBZQCEGSZDFGSZQZCDISEFI
      SUCZUOUPURUQUSUOBCEGHJKAUMJGUIUNLTZAUMJKPUNMTZNAUKULUNUDUEUOBDFGHJKVBVCNA
      UKULUNUFUEUGAUMUTVAUHUNOTUJ $.
  $}

  ${
    $d a b p q x .~ $.  $d a b p q F $.  $d a b p q x ph $.  $d a b p q x V $.
    $d p q x R $.  $d p q x .x. $.  $d p q x X $.  $d a b p q .xb $.
    $d p q x Y $.
    qusaddf.u $e |- ( ph -> U = ( R /s .~ ) ) $.
    qusaddf.v $e |- ( ph -> V = ( Base ` R ) ) $.
    qusaddf.r $e |- ( ph -> .~ Er V ) $.
    qusaddf.z $e |- ( ph -> R e. Z ) $.
    qusaddf.e $e |- ( ph ->
      ( ( a .~ p /\ b .~ q ) -> ( a .x. b ) .~ ( p .x. q ) ) ) $.
    qusaddf.c $e |- ( ( ph /\ ( p e. V /\ q e. V ) ) ->
      ( p .x. q ) e. V ) $.
    ${
      qusaddflem.f $e |- F = ( x e. V |-> [ x ] .~ ) $.
      qusaddflem.g $e |- ( ph -> .xb = U_ p e. V U_ q e. V
          { <. <. ( F ` p ) , ( F ` q ) >. , ( F ` ( p .x. q ) ) >. } ) $.
      $( Value of an operation defined on a quotient structure.  (Contributed
         by Mario Carneiro, 24-Feb-2015.) $)
      qusaddvallem $p |- ( ( ph /\ X e. V /\ Y e. V ) ->
        ( [ X ] .~ .xb [ Y ] .~ ) = [ ( X .x. Y ) ] .~ ) $=
        ( wcel w3a cfv co cec cqs cvv wer cbs fvex eqeltrdi erex sylc quslem cv
        ercpbl imasaddvallem 3ad2ant1 divsfval oveq12d 3eqtr3d ) AJIUEZKIUEZUFZ
        JHUGZKHUGZEUHJKFUHZHUGJCUIZKCUIZEUHVKCUIAICUJEFHIJKMNOPABCDGHIUKLQRUCAI
        CULZIUKUEZCUKUESAIDUMUGUKRDUMUNUOZICUKUPUQTURABOUSPUSNUSMUSFCHIUKNMSVPU
        CUBUAUTUDVAVHVIVLVJVMEVHBJCHIUKAVFVNVGSVBZAVFVOVGVPVBZUCVCVHBKCHIUKVQVR
        UCVCVDVHBVKCHIUKVQVRUCVCVE $.

      $( The operation of a quotient structure is a function.  (Contributed by
         Mario Carneiro, 24-Feb-2015.) $)
      qusaddflem $p |- ( ph ->
        .xb : ( ( V /. .~ ) X. ( V /. .~ ) ) --> ( V /. .~ ) ) $=
        ( cqs cvv wer wcel cbs cfv fvex eqeltrdi erex quslem ercpbl imasaddflem
        sylc cv ) AICUCEFHIKLMNABCDGHIUDJOPUAAICUEIUDUFCUDUFQAIDUGUHUDPDUGUIUJZ
        ICUDUKUORULABMUPNUPLUPKUPFCHIUDLKQUQUATSUMUBTUN $.
    $}

    ${
      qusaddf.p $e |- .x. = ( +g ` R ) $.
      qusaddf.a $e |- .xb = ( +g ` U ) $.
      $( The base set of an image structure.  (Contributed by Mario Carneiro,
         24-Feb-2015.) $)
      qusaddval $p |- ( ( ph /\ X e. V /\ Y e. V ) ->
        ( [ X ] .~ .xb [ Y ] .~ ) = [ ( X .x. Y ) ] .~ ) $=
        ( cec cmpt eqid cqs cvv wer wcel cbs cfv fvex eqeltrdi erex sylc qusval
        vx cv quslem imasplusg qusaddvallem ) AUQBCDEFUQGUQURBUCUDZGHIJKLMNOPQR
        STVBUEZAGBUFEDCFVBGJKLAUQBCFVBGUGJOPVCAGBUHGUGUIBUGUIQAGCUJUKUGPCUJULUM
        GBUGUNUOZRUPPAUQBCFVBGUGJOPVCVDRUSRUAUBUTVA $.

      $( The base set of an image structure.  (Contributed by Mario Carneiro,
         24-Feb-2015.) $)
      qusaddf $p |- ( ph ->
        .xb : ( ( V /. .~ ) X. ( V /. .~ ) ) --> ( V /. .~ ) ) $=
        ( cec cmpt eqid cqs cvv wer wcel cbs cfv fvex eqeltrdi erex sylc qusval
        vx cv quslem imasplusg qusaddflem ) AUOBCDEFUOGUOUPBUAUBZGHIJKLMNOPQRUT
        UCZAGBUDEDCFUTGHIJAUOBCFUTGUEHMNVAAGBUFGUEUGBUEUGOAGCUHUIUENCUHUJUKGBUE
        ULUMZPUNNAUOBCFUTGUEHMNVAVBPUQPSTURUS $.
    $}

    ${
      qusmulf.p $e |- .x. = ( .r ` R ) $.
      qusmulf.a $e |- .xb = ( .r ` U ) $.
      $( The base set of an image structure.  (Contributed by Mario Carneiro,
         24-Feb-2015.) $)
      qusmulval $p |- ( ( ph /\ X e. V /\ Y e. V ) ->
        ( [ X ] .~ .xb [ Y ] .~ ) = [ ( X .x. Y ) ] .~ ) $=
        ( cec cmpt eqid cqs cvv wer wcel cbs cfv fvex eqeltrdi erex sylc qusval
        vx cv quslem imasmulr qusaddvallem ) AUQBCDEFUQGUQURBUCUDZGHIJKLMNOPQRS
        TVBUEZAGBUFCDEFVBGJKLAUQBCFVBGUGJOPVCAGBUHGUGUIBUGUIQAGCUJUKUGPCUJULUMG
        BUGUNUOZRUPPAUQBCFVBGUGJOPVCVDRUSRUAUBUTVA $.

      $( The base set of an image structure.  (Contributed by Mario Carneiro,
         24-Feb-2015.) $)
      qusmulf $p |- ( ph ->
        .xb : ( ( V /. .~ ) X. ( V /. .~ ) ) --> ( V /. .~ ) ) $=
        ( cec cmpt eqid cqs cvv wer wcel cbs cfv fvex eqeltrdi erex sylc qusval
        vx cv quslem imasmulr qusaddflem ) AUOBCDEFUOGUOUPBUAUBZGHIJKLMNOPQRUTU
        CZAGBUDCDEFUTGHIJAUOBCFUTGUEHMNVAAGBUFGUEUGBUEUGOAGCUHUIUENCUHUJUKGBUEU
        LUMZPUNNAUOBCFUTGUEHMNVAVBPUQPSTURUS $.
    $}
  $}

  $( Function with a domain of ` 2o ` .  (Contributed by Jim Kingdon,
     25-Sep-2023.) $)
  fnpr2o $p |- ( ( A e. V /\ B e. W )
      -> { <. (/) , A >. , <. 1o , B >. } Fn 2o ) $=
    ( wcel wa c0 cop c1o cpr wfn c2o com wne peano1 a1i 1onn simpl simpr 1n0
    necomi fnprg syl221anc df2o3 fneq2i sylibr ) ACEZBDEZFZGAHIBHJZGIJZKZUJLKUI
    GMEZIMEZUGUHGINZULUMUIOPUNUIQPUGUHRUGUHSUOUIIGTUAPGIABMMCDUBUCLUKUJUDUEUF
    $.

  ${
    $d A k $.  $d B k $.
    $( Biconditional version of ~ fnpr2o .  (Contributed by Jim Kingdon,
       27-Sep-2023.) $)
    fnpr2ob $p |- ( ( A e. _V /\ B e. _V )
        <-> { <. (/) , A >. , <. 1o , B >. } Fn 2o ) $=
      ( vk cvv wcel wa cop c1o cpr c2o wex df2o3 eleqtrri eleqtrrid eldm2 sylib
      c0 0ex wceq 1oex wfn fnpr2o cv cdm prid1 fndm wn 1n0 nesymi vex opth1 mto
      wo elpri orel2 mpsyl opth simprd eximi isset sylibr syl prid2 neii orcomd
      jca impbii ) ADEZBDEZFQAGZHBGZIZJUAZABDDUBVMVHVIVMQCUCZGZVLEZCKZVHVMQVLUD
      ZEVQVMQJVRQQHIZJQHRUELMJVLUFZNCQVLROPVQVNASZCKVHVPWACVPQQSZWAVPVOVJSZWBWA
      FVOVKSZUGVPWCWDUMWCWDQHSHQUHUIQVNHBRCUJZUKULVOVJVKUNWDWCUOUPQVNQARWEUQPUR
      USCAUTVAVBVMHVNGZVLEZCKZVIVMHVREWHVMHJVRHVSJQHTVCLMVTNCHVLTOPWHVNBSZCKVIW
      GWICWGHHSZWIWGWFVKSZWJWIFWFVJSZUGWGWKWLUMWKWLHQSHQUHVDHVNQATWEUKULWGWLWKW
      FVJVKUNVEWLWKUOUPHVNHBTWEUQPURUSCBUTVAVBVFVG $.
  $}

  $( The value of a function with a domain of (at most) two elements.
     (Contributed by Jim Kingdon, 25-Sep-2023.) $)
  fvpr0o $p |- ( A e. V -> ( { <. (/) , A >. , <. 1o , B >. } ` (/) ) = A ) $=
    ( c0 com wcel c1o wne cop cpr cfv wceq peano1 1n0 necomi fvpr1g mp3an13 ) D
    EFACFDGHDDAIGBIJKALMGDNODGABECPQ $.

  $( The value of a function with a domain of (at most) two elements.
     (Contributed by Jim Kingdon, 25-Sep-2023.) $)
  fvpr1o $p |- ( B e. V -> ( { <. (/) , A >. , <. 1o , B >. } ` 1o ) = B ) $=
    ( c1o com wcel c0 wne cop cpr cfv wceq 1onn 1n0 necomi fvpr2g mp3an13 ) DEF
    BCFGDHDGAIDBIJKBLMDGNOGDABECPQ $.

  $( The value of the pair function at an element of ` 2o ` .  (Contributed by
     Mario Carneiro, 14-Aug-2015.) $)
  fvprif $p |- ( ( A e. V /\ B e. W /\ C e. 2o )
      -> ( { <. (/) , A >. , <. 1o , B >. } ` C ) = if ( C = (/) , A , B ) ) $=
    ( wcel c2o w3a c0 wceq cop c1o cpr cfv cif wa adantr simpr fveq2d 3eqtr4d
    fvpr0o 3ad2ant1 iftrued fvpr1o 3ad2ant2 1n0 eqeq1d mtbiri iffalsed wo elpri
    neii df2o3 eleq2s 3ad2ant3 mpjaodan ) ADFZBEFZCGFZHZCIJZCIAKLBKMZNZVAABOZJC
    LJZUTVAPZIVBNZAVCVDUTVGAJZVAUQURVHUSABDUAUBQVFCIVBUTVARZSVFVAABVIUCTUTVEPZL
    VBNZBVCVDUTVKBJZVEURUQVLUSABEUDUEQVJCLVBUTVERZSVJVAABVJVALIJLIUFULVJCLIVMUG
    UHUITUSUQVAVEUJZURVNCILMGCILUKUMUNUOUP $.

  ${
    $d k A $.  $d k B $.  $d k G $.
    $( Elementhood in the target space of the function ` F ` appearing in
       ~ xpsval .  (Contributed by Mario Carneiro, 14-Aug-2015.) $)
    xpsfrnel $p |- ( G e. X_ k e. 2o if ( k = (/) , A , B ) <-> ( G Fn 2o /\
       ( G ` (/) ) e. A /\ ( G ` 1o ) e. B ) ) $=
      ( c2o cv c0 wceq wcel cfv wral w3a c1o cfn fveq2 eleq12d wne bitri 3anass
      wa cif cixp cvv elixp2 3ancoma 2onn nnfi ax-mp fnfi mpan2 elexd biantrurd
      wfn com cpr df2o3 raleqi 0ex 1oex iftrue 1n0 neeq1 mpbiri ifnefalse ralpr
      syl bitr3di pm5.32i 3bitr4i ) DCECFZGHZABUAZUBIDUCIZDEUMZVJDJZVLIZCEKZLZV
      NGDJZAIZMDJZBIZLZCEVLDUDVRVNVMVQLZWCVMVNVQUEVNVMVQTZTVNVTWBTZTWDWCVNWEWFV
      NVQWEWFVNVMVQVNDNVNENIZDNIEUNIWGUFEUGUHEDUIUJUKULVQVPCGMUOZKWFVPCEWHUPUQV
      PVTWBCGMURUSVKVOVSVLAVJGDOVKABUTPVJMHZVOWAVLBVJMDOWIVJGQZVLBHWIWJMGQVAVJM
      GVBVCVJGABVDVFPVERVGVHVNVMVQSVNVTWBSVIRR $.
  $}

  ${
    $d k A $.  $d k B $.  $d k G $.  $d k X $.  $d k Y $.
    $( A function on ` 2o ` is determined by its values at zero and one.
       (Contributed by Mario Carneiro, 27-Aug-2015.) $)
    xpsfeq $p |- ( G Fn 2o ->
       { <. (/) , ( G ` (/) ) >. , <. 1o , ( G ` 1o ) >. } = G ) $=
      ( vk c2o wfn c0 cfv cop c1o cpr cvv wcel fvex fnpr2o mp2an a1i wceq ax-mp
      id fveq2 3eqtr4a cv wo elpri eleq2s fvpr0o fvpr1o jaoi syl adantl eqfnfvd
      df2o3 ) ACDZBCEEAFZGHHAFZGIZAUOCDZULUMJKZUNJKZUPEALZHALZUMUNJJMNOULRBUAZC
      KZVAUOFZVAAFZPZULVBVAEPZVAHPZUBZVEVHVAEHICVAEHUCUKUDVFVEVGVFEUOFZUMVCVDUQ
      VIUMPUSUMUNJUEQVAEUOSVAEASTVGHUOFZUNVCVDURVJUNPUTUMUNJUFQVAHUOSVAHASTUGUH
      UIUJ $.

    $( Elementhood in the target space of the function ` F ` appearing in
       ~ xpsval .  (Contributed by Mario Carneiro, 15-Aug-2015.) $)
    xpsfrnel2 $p |- ( { <. (/) , X >. , <. 1o , Y >. } e.
        X_ k e. 2o if ( k = (/) , A , B ) <-> ( X e. A /\ Y e. B ) ) $=
      ( c0 cop c1o cpr c2o cv wceq cif cixp wcel cfv wa cvv elex eleq1d wfn w3a
      xpsfrnel fnpr2ob biimpri 3ad2ant1 3anass fnpr2o biantrurd fvpr0o bi2anan9
      anim12i fvpr1o bitr3d syl5bb pm5.21nii bitri ) FDGHEGIZCJCKFLABMNOURJUAZF
      URPZAOZHURPZBOZUBZDAOZEBOZQZABCURUCVDDROZEROZQZVGUSVAVJVCVJUSDEUDUEUFVEVH
      VFVIDASEBSULVDUSVAVCQZQZVJVGUSVAVCUGVJVKVLVGVJUSVKDERRUHUIVHVAVEVIVCVFVHU
      TDADERUJTVIVBEBDERUMTUKUNUOUPUQ $.

    $( Equivalent condition for the pair function to be a proper function on
       ` A ` .  (Contributed by Mario Carneiro, 20-Aug-2015.) $)
    xpscf $p |- ( { <. (/) , X >. , <. 1o , Y >. } : 2o --> A <->
        ( X e. A /\ Y e. A ) ) $=
      ( vk c2o c0 cop c1o cpr wf cv wceq cif cixp wcel wa wfn wral com 3bitr4i
      cfv ifid eleq2i ralbii anbi2i cvv df-3an elixp2 2onn fnex pm4.71ri anbi1i
      w3a mpan2 ffnfv xpsfrnel2 bitr3i ) EAFBGHCGIZJZURDEDKZFLZAAMZNOZBAOCAOPUR
      EQZUTURUAZVBOZDERZPZVDVEAOZDERZPVCUSVGVJVDVFVIDEVBAVEVAAUBUCUDUEURUFOZVDV
      GUMVKVDPZVGPVCVHVKVDVGUGDEVBURUHVDVLVGVDVKVDESOVKUIESURUJUNUKULTDEAURUOTA
      ADBCUPUQ $.
  $}

  ${
    $d A a b k x y z w $.  $d B a b k x y z w $.  $d F a b w z $.  $d X x y $.
    $d Y x y $.
    xpsff1o.f $e |- F = ( x e. A , y e. B
      |-> { <. (/) , x >. , <. 1o , y >. } ) $.
    $( The value of the function appearing in ~ xpsval .  (Contributed by Mario
       Carneiro, 15-Aug-2015.) $)
    xpsfval $p |- ( ( X e. A /\ Y e. B ) ->
        ( X F Y ) = { <. (/) , X >. , <. 1o , Y >. } ) $=
      ( c0 cv cop c1o cpr wceq wa simpl opeq2d simpr preq12d prex ovmpoa ) ABFG
      CDIAJZKZLBJZKZMIFKZLGKZMEUBFNZUDGNZOZUCUFUEUGUJUBFIUHUIPQUJUDGLUHUIRQSHUF
      UGTUA $.

    $( The function appearing in ~ xpsval is a bijection from the cartesian
       product to the indexed cartesian product indexed on the pair
       ` 2o = { (/) , 1o } ` .  (Contributed by Mario Carneiro,
       15-Aug-2015.) $)
    xpsff1o $p |- F : ( A X. B ) -1-1-onto->
        X_ k e. 2o if ( k = (/) , A , B ) $=
      ( vz vw va vb cv c0 wceq cfv wral cop c1o wcel cvv cxp c2o cif wf1 wfo wf
      cixp wf1o wi cpr wa xpsfrnel2 biimpri rgen2 fmpo mpbi c1st 1st2nd2 fveq2d
      c2nd df-ov xp1st xp2nd xpsfval syl2anc eqtr3id eqtrd eqeqan12d fveq1 fvex
      co fvpr0o ax-mp 3eqtr3g fvpr1o opeq12d syl5ibr sylbid dff13 mpbir2an wrex
      wfn xpsfrnel simp2bi simp3bi ixpfn xpsfeq syl eqtr2d rspceov syl3anc rgen
      foov df-f1o ) CDUAZEUBELMNCDUCZUGZFUHWOWQFUDZWOWQFUEZWRWOWQFUFZHLZFOZILZF
      OZNZXAXCNZUIZIWOPHWOPMALZQRBLZQUJZWQSZBDPACPWTXKABCDXKXHCSXIDSUKCDEXHXIUL
      UMUNABCDXJWQFGUOUPZXGHIWOWOXAWOSZXCWOSZUKZXEMXAUQOZQRXAUTOZQUJZMXCUQOZQRX
      CUTOZQUJZNZXFXMXNXBXRXDYAXMXBXPXQQZFOZXRXMXAYCFXACDURZUSXMYDXPXQFVKZXRXPX
      QFVAXMXPCSXQDSYFXRNXACDVBXACDVCABCDFXPXQGVDVEVFVGXNXDXSXTQZFOZYAXNXCYGFXC
      CDURZUSXNYHXSXTFVKZYAXSXTFVAXNXSCSXTDSYJYANXCCDVBXCCDVCABCDFXSXTGVDVEVFVG
      VHYBXFXOYCYGNYBXPXSXQXTYBMXROZMYAOZXPXSMXRYAVIXPTSYKXPNXAUQVJXPXQTVLVMXST
      SYLXSNXCUQVJXSXTTVLVMVNYBRXROZRYAOZXQXTRXRYAVIXQTSYMXQNXAUTVJXPXQTVOVMXTT
      SYNXTNXCUTVJXSXTTVOVMVNVPXMXNXAYCXCYGYEYIVHVQVRUNHIWOWQFVSVTWSWTXAJLKLFVK
      NKDWAJCWAZHWQPXLYOHWQXAWQSZMXAOZCSZRXAOZDSZXAYQYSFVKZNYOYPXAUBWBZYRYTCDEX
      AWCZWDZYPUUBYRYTUUCWEZYPUUAMYQQRYSQUJZXAYPYRYTUUAUUFNUUDUUEABCDFYQYSGVDVE
      YPUUBUUFXANEUBWPXAWFXAWGWHWIJKCDYQYSXAFWJWKWLJKHCDWQFWMVTWOWQFWNVT $.

    $( A short expression for the indexed cartesian product on two indices.
       (Contributed by Mario Carneiro, 15-Aug-2015.) $)
    xpsfrn $p |- ran F = X_ k e. 2o if ( k = (/) , A , B ) $=
      ( cxp c2o cv c0 wceq cif cixp wf1o wfo crn xpsff1o f1ofo forn mp2b ) CDHZ
      EIEJKLCDMNZFOUBUCFPFQUCLABCDEFGRUBUCFSUBUCFTUA $.

    $( The function appearing in ~ xpsval is a bijection from the cartesian
       product to the indexed cartesian product indexed on the pair
       ` 2o = { (/) , 1o } ` .  (Contributed by Mario Carneiro,
       24-Jan-2015.) $)
    xpsff1o2 $p |- F : ( A X. B ) -1-1-onto-> ran F $=
      ( vk cxp c2o cv c0 wceq cif cixp wf1o wf1 crn xpsff1o f1of1 f1f1orn mp2b
      ) CDHZGIGJKLCDMNZEOUBUCEPUBEQEOABCDGEFRUBUCESUBUCETUA $.
  $}

  ${
    $d r s y $.  $d c k x y A $.  $d c k x y B $.  $d c d k x y C $.  $d k G $.
    $d c d k x y D $.  $d r s F $.  $d c d k r s S $.  $d k r s U $.  $d x W $.
    $d a b c d k ph $.  $d k x y .x. $.  $d k x y .X. $.  $d a b c d k x y X $.
    $d c d k r s x R $.  $d a b c d .xb $.  $d a b c d k x y Y $.
    xpsval.t $e |- T = ( R Xs. S ) $.
    xpsval.x $e |- X = ( Base ` R ) $.
    xpsval.y $e |- Y = ( Base ` S ) $.
    xpsval.1 $e |- ( ph -> R e. V ) $.
    xpsval.2 $e |- ( ph -> S e. W ) $.

    ${
      xpsval.f $e |- F = ( x e. X , y e. Y
        |-> { <. (/) , x >. , <. 1o , y >. } ) $.
      xpsval.k $e |- G = ( Scalar ` R ) $.
      xpsval.u $e |- U = ( G Xs_ { <. (/) , R >. , <. 1o , S >. } ) $.
      $( Value of the binary structure product function.  (Contributed by Mario
         Carneiro, 14-Aug-2015.)  (Revised by Jim Kingdon, 25-Sep-2023.) $)
      xpsval $p |- ( ph -> T = ( `' F "s U ) ) $=
        ( vr vs cxps co ccnv cimas cvv wcel wceq elexd cbs cfv cop c1o cpr cmpo
        cv c0 csca cprds fveq2 eqtr4di mpoeq12 syl2an cnveqd adantr simpl simpr
        wa opeq2d preq12d oveq12d df-xps ovex ovmpoa syl2anc eqtrid ) AFDEUDUEZ
        HUFZGUGUEZNADUHUIEUHUIVSWAUJADJQUKAEKRUKUBUCDEUHUHBCUBURZULUMZUCURZULUM
        ZUSBURUNUOCURUNUPZUQZUFZWBUTUMZUSWBUNZUOWDUNZUPZVAUEZUGUEWAUDWBDUJZWDEU
        JZVJZWHVTWMGUGWPWGHWPWGBCLMWFUQZHWNWCLUJWEMUJWGWQUJWOWNWCDULUMLWBDULVBO
        VCWOWEEULUMMWDEULVBPVCBCWCWELMWFVDVESVCVFWPWMIUSDUNZUOEUNZUPZVAUEGWPWII
        WLWTVAWPWIDUTUMZIWNWIXAUJWOWBDUTVBVGTVCWPWJWRWKWSWPWBDUSWNWOVHVKWPWDEUO
        WNWOVIVKVLVMUAVCVMBCUCUBVNVTGUGVOVPVQVR $.

      $( The indexed structure product that appears in ~ xpsval has the same
         base as the target of the function ` F ` .  (Contributed by Mario
         Carneiro, 15-Aug-2015.)  (Revised by Jim Kingdon, 25-Sep-2023.) $)
      xpsrnbas $p |- ( ph -> ran F = ( Base ` U ) ) $=
        ( vk cbs cfv c2o cv c0 cop c1o cpr cixp crn cvv con0 eqid wcel csca a1i
        fvexi 2on wfn fnpr2o syl2anc prdsbas2 wceq cif fvprif 3expia imp fveq2d
        wa wi ifeq12 mp2an fvif eqtr4i eqtr4di ixpeq2dva xpsfrn eqtr2d ) AGUCUD
        ZUBUEUBUFZUGDUHUIEUHUJZUDZUCUDZUKZHULZAUBWAWCIUEUMUNGUAWAUOIUMUPAIDUQTU
        SURUEUNUPAUTURADJUPZEKUPZWCUEVAQRDEJKVBVCVDAWFUBUEWBUGVEZLMVFZUKWGAUBUE
        WEWKAWBUEUPZVKZWEWJDEVFZUCUDZWKWMWDWNUCAWLWDWNVEZAWHWIWLWPVLQRWHWIWLWPD
        EWBJKVGVHVCVIVJWKWJDUCUDZEUCUDZVFZWOLWQVEMWRVEWKWSVEOPWJLWQMWRVMVNWJDEU
        CVOVPVQVRBCLMUBHSVSVQVT $.
    $}

    $( The base set of the binary structure product.  (Contributed by Mario
       Carneiro, 15-Aug-2015.) $)
    xpsbas $p |- ( ph -> ( X X. Y ) = ( Base ` T ) ) $=
      ( vx vy c0 cop c1o cpr eqid cxp csca cfv cprds co cv cmpo ccnv crn xpsval
      cvv xpsrnbas wf1o wfo xpsff1o2 f1ocnv ax-mp f1ofo mp1i ovexd imasbas ) AG
      HUAZBUBUCZPBQRCQSZUDUEZDNOGHPNUFQROUFQSUGZUHZVFUIZUKANOBCDVEVFVCEFGHIJKLM
      VFTZVCTZVETZUJANOBCDVEVFVCEFGHIJKLMVIVJVKULVHVBVGUMZVHVBVGUNAVBVHVFUMVLNO
      GHVFVIUOVBVHVFUPUQVHVBVGURUSAVCVDUDUTVA $.

    xpsadd.3 $e |- ( ph -> A e. X ) $.
    xpsadd.4 $e |- ( ph -> B e. Y ) $.
    xpsadd.5 $e |- ( ph -> C e. X ) $.
    xpsadd.6 $e |- ( ph -> D e. Y ) $.
    xpsadd.7 $e |- ( ph -> ( A .x. C ) e. X ) $.
    xpsadd.8 $e |- ( ph -> ( B .X. D ) e. Y ) $.
    ${
      xpsaddlem.m $e |- .x. = ( E ` R ) $.
      xpsaddlem.n $e |- .X. = ( E ` S ) $.
      xpsaddlem.p $e |- .xb = ( E ` T ) $.
      xpsaddlem.f $e |- F = ( x e. X , y e. Y
        |-> { <. (/) , x >. , <. 1o , y >. } ) $.
      xpsaddlem.u $e |- U =
        ( ( Scalar ` R ) Xs_ { <. (/) , R >. , <. 1o , S >. } ) $.
      xpsaddlem.1 $e |- ( ( ph /\
        { <. (/) , A >. , <. 1o , B >. } e. ran F
        /\ { <. (/) , C >. , <. 1o , D >. } e. ran F ) ->
        ( ( `' F ` { <. (/) , A >. , <. 1o , B >. } )
          .xb ( `' F ` { <. (/) , C >. , <. 1o , D >. } ) ) =
        ( `' F ` ( { <. (/) , A >. , <. 1o , B >. }
          ( E ` U ) { <. (/) , C >. , <. 1o , D >. } ) ) ) $.
      xpsaddlem.2 $e |- ( ( { <. (/) , R >. , <. 1o , S >. } Fn 2o /\
        { <. (/) , A >. , <. 1o , B >. } e. ( Base ` U ) /\
        { <. (/) , C >. , <. 1o , D >. } e. ( Base ` U ) ) ->
        ( { <. (/) , A >. , <. 1o , B >. }
          ( E ` U ) { <. (/) , C >. , <. 1o , D >. } ) =
        ( k e. 2o |-> ( ( { <. (/) , A >. , <. 1o , B >. } ` k )
        ( E ` ( { <. (/) , R >. , <. 1o , S >. } ` k ) )
        ( { <. (/) , C >. , <. 1o , D >. } ` k ) ) ) ) $.
      $( Lemma for ~ xpsadd and ~ xpsmul .  (Contributed by Mario Carneiro,
         15-Aug-2015.) $)
      xpsaddlem $p |- ( ph ->
        ( <. A , B >. .xb <. C , D >. ) = <. ( A .x. C ) , ( B .X. D ) >. ) $=
        ( c0 cop c1o cpr ccnv cfv co crn wcel df-ov xpsfval syl2anc eqtr3id cxp
        wceq opelxpd wf1o wf xpsff1o2 f1of ax-mp ffvelrni syl eqeltrrd mpd3an23
        wi f1ocnvfv sylancr mpd oveq12d c2o cv cmpt cif iftrue eqtr4di oveq123d
        wa fveq2d eqtr4d wn iffalse pm2.61i adantr simpr fvprif syl3anc 3eqtr4a
        mpteq2dva wfn cbs fnpr2o csca eqid xpsrnbas eleqtrd dffn5 sylib 3eqtr4d
        eqtrd 3eqtr3d ) AUTDVAVBEVAVCZQVDZVEZUTFVAVBGVAVCZYBVEZJVFZYAYDNPVEVFZY
        BVEZDEVAZFGVAZJVFDFLVFZEGMVFZVAZAYAQVGZVHYDYNVHYFYHVNAYIQVEZYAYNAYODEQV
        FZYADEQVIADTVHZEUAVHZYPYAVNUGUHBCTUAQDEUPVJVKVLZAYITUAVMZVHZYOYNVHADETU
        AUGUHVOZYTYNYIQYTYNQVPZYTYNQVQBCTUAQUPVRZYTYNQVSVTZWAWBWCZAYJQVEZYDYNAU
        UGFGQVFZYDFGQVIAFTVHZGUAVHZUUHYDVNUIUJBCTUAQFGUPVJVKVLZAYJYTVHZUUGYNVHA
        FGTUAUIUJVOZYTYNYJQUUEWAWBWCZURWDAYCYIYEYJJAYOYAVNZYCYIVNZYSAUUCUUAUUOU
        UPWEUUDUUBYTYNYIYAQWFWGWHAUUGYDVNZYEYJVNZUUKAUUCUULUUQUURWEUUDUUMYTYNYJ
        YDQWFWGWHWIAYHUTYKVAVBYLVAVCZYBVEZYMAYGUUSYBAOWJOWKZYAVEZUVAYDVEZUVAUTH
        VAVBIVAVCZVEZPVEZVFZWLZOWJUVAUUSVEZWLZYGUUSAOWJUVGUVIAUVAWJVHZWQZUVAUTV
        NZDEWMZUVMFGWMZUVMHIWMZPVEZVFZUVMYKYLWMZUVGUVIUVMUVRUVSVNUVMUVRYKUVSUVM
        UVNDUVOFUVQLUVMUVQHPVELUVMUVPHPUVMHIWNWRUMWOUVMDEWNUVMFGWNWPUVMYKYLWNWS
        UVMWTZUVRYLUVSUVTUVNEUVOGUVQMUVTUVQIPVEMUVTUVPIPUVMHIXAWRUNWOUVMDEXAUVM
        FGXAWPUVMYKYLXAWSXBUVLUVBUVNUVCUVOUVFUVQUVLUVEUVPPUVLHRVHZISVHZUVKUVEUV
        PVNAUWAUVKUEXCAUWBUVKUFXCAUVKXDZHIUVARSXEXFWRUVLYQYRUVKUVBUVNVNAYQUVKUG
        XCAYRUVKUHXCUWCDEUVATUAXEXFUVLUUIUUJUVKUVCUVOVNAUUIUVKUIXCAUUJUVKUJXCUW
        CFGUVATUAXEXFWPUVLYKTVHZYLUAVHZUVKUVIUVSVNAUWDUVKUKXCAUWEUVKULXCUWCYKYL
        UVATUAXEXFXGXHAUVDWJXIZYANXJVEZVHYDUWGVHYGUVHVNAUWAUWBUWFUEUFHIRSXKVKAY
        AYNUWGUUFABCHIKNQHXLVEZRSTUAUBUCUDUEUFUPUWHXMUQXNZXOAYDYNUWGUUNUWIXOUSX
        FAUUSWJXIZUUSUVJVNAUWDUWEUWJUKULYKYLTUAXKVKOWJUUSXPXQXRWRAYMQVEZUUSVNZU
        UTYMVNZAUWKYKYLQVFZUUSYKYLQVIAUWDUWEUWNUUSVNUKULBCTUAQYKYLUPVJVKVLAUUCY
        MYTVHUWLUWMWEUUDAYKYLTUAUKULVOYTYNYMUUSQWFWGWHXSXT $.
    $}

    ${
      xpsadd.m $e |- .x. = ( +g ` R ) $.
      xpsadd.n $e |- .X. = ( +g ` S ) $.
      xpsadd.p $e |- .xb = ( +g ` T ) $.
      $( Value of the addition operation in a binary structure product.
         (Contributed by Mario Carneiro, 15-Aug-2015.) $)
      xpsadd $p |- ( ph ->
        ( <. A , B >. .xb <. C , D >. ) = <. ( A .x. C ) , ( B .X. D ) >. ) $=
        ( vx vy vk vd vc va vb csca cfv c0 cop c1o cprds co cplusg cv cmpo eqid
        cpr cxp ccnv crn cvv wf1o wfo xpsff1o2 f1ocnv mp1i f1ofo f1ocpbl xpsval
        syl xpsrnbas ovexd imasaddval c2o wfn cbs wcel w3a con0 fvexd 2on simp1
        a1i simp2 simp3 prdsplusgval xpsaddlem ) AUJUKBCDEFGHIJKFUQURZUSFUTVAGU
        TVHZVBVCZULVDUJUKNOUSUJVEUTVAUKVEUTVHVFZLMNOPQRSTUAUBUCUDUEUFUGUHUIXBVG
        ZXAVGZANOVIZXAHXAVDURZIXBVJZXBVKZUSBUTVACUTVHZUSDUTVAEUTVHZVLUMUNUOUPAX
        HXEXGVMZXHXEXGVNXEXHXBVMXKAUJUKNOXBXCVOXEXHXBVPVQZXHXEXGVRWAAUOVEUPVEUN
        VEUMVEXFXGXHXEXLVSAUJUKFGIXAXBWSLMNOPQRSTXCWSVGZXDVTAUJUKFGIXAXBWSLMNOP
        QRSTXCXMXDWBAWSWTVBWCXFVGZUIWDWTWEWFZXIXAWGURZWHZXJXPWHZWIZULXPXFWTWSXI
        XJWEVLWJXAXDXPVGXSFUQWKWEWJWHXSWLWNXOXQXRWMXOXQXRWOXOXQXRWPXNWQWR $.
    $}

    ${
      xpsmul.m $e |- .x. = ( .r ` R ) $.
      xpsmul.n $e |- .X. = ( .r ` S ) $.
      xpsmul.p $e |- .xb = ( .r ` T ) $.
      $( Value of the multiplication operation in a binary structure product.
         (Contributed by Mario Carneiro, 15-Aug-2015.) $)
      xpsmul $p |- ( ph ->
        ( <. A , B >. .xb <. C , D >. ) = <. ( A .x. C ) , ( B .X. D ) >. ) $=
        ( vx vy vk vd vc va vb csca cfv c0 cop c1o cpr cprds co cmulr cmpo eqid
        cxp ccnv crn cvv wf1o wfo xpsff1o2 f1ocnv mp1i f1ofo syl f1ocpbl xpsval
        xpsrnbas ovexd imasmulval c2o wfn cbs wcel w3a con0 fvexd 2on a1i simp1
        cv simp2 simp3 prdsmulrval xpsaddlem ) AUJUKBCDEFGHIJKFUQURZUSFUTVAGUTV
        BZVCVDZULVEUJUKNOUSUJWNUTVAUKWNUTVBVFZLMNOPQRSTUAUBUCUDUEUFUGUHUIXBVGZX
        AVGZANOVHZXAHXAVEURZIXBVIZXBVJZUSBUTVACUTVBZUSDUTVAEUTVBZVKUMUNUOUPAXHX
        EXGVLZXHXEXGVMXEXHXBVLXKAUJUKNOXBXCVNXEXHXBVOVPZXHXEXGVQVRAUOWNUPWNUNWN
        UMWNXFXGXHXEXLVSAUJUKFGIXAXBWSLMNOPQRSTXCWSVGZXDVTAUJUKFGIXAXBWSLMNOPQR
        STXCXMXDWAAWSWTVCWBXFVGZUIWCWTWDWEZXIXAWFURZWGZXJXPWGZWHZULXPWTWSXFXIXJ
        WDVKWIXAXDXPVGXSFUQWJWDWIWGXSWKWLXOXQXRWMXOXQXRWOXOXQXRWPXNWQWR $.
    $}
  $}

  ${
    $d a k x y A $.  $d a c k x y B $.  $d a c k G $.  $d a b c K $.  $d x W $.
    $d a c k x y C $.  $d a c k x y R $.  $d a c k x y S $.  $d a b c x y X $.
    $d a b c k ph $.  $d k x y .x. $.  $d k x y .X. $.  $d a b c x y Y $.
    $d a b c .xb $.
    xpssca.t $e |- T = ( R Xs. S ) $.
    xpssca.g $e |- G = ( Scalar ` R ) $.
    xpssca.1 $e |- ( ph -> R e. V ) $.
    xpssca.2 $e |- ( ph -> S e. W ) $.
    $( Value of the scalar field of a binary structure product.  For
       concreteness, we choose the scalar field to match the left argument, but
       in most cases where this slot is meaningful both factors will have the
       same scalar field, so that it doesn't matter which factor is chosen.
       (Contributed by Mario Carneiro, 15-Aug-2015.) $)
    xpssca $p |- ( ph -> G = ( Scalar ` T ) ) $=
      ( vx vy c0 cop c1o csca cfv cvv eqid cpr cprds co wcel fvexi prex prdssca
      a1i cbs cxp cv cmpo ccnv crn xpsval xpsrnbas wf1o wfo xpsff1o2 mp1i f1ofo
      f1ocnv syl ovexd imassca eqtrd ) AEENBOZPCOZUAZUBUCZQRZDQRAVJVIESSVJTZESU
      DAEBQIUEUHVISUDAVGVHUFUHUGABUIRZCUIRZUJZVJDLMVMVNNLUKOPMUKOUAULZUMZVKVPUN
      ZSALMBCDVJVPEFGVMVNHVMTZVNTZJKVPTZIVLUOALMBCDVJVPEFGVMVNHVSVTJKWAIVLUPAVR
      VOVQUQZVRVOVQURVOVRVPUQWBALMVMVNVPWAUSVOVRVPVBUTVRVOVQVAVCAEVIUBVDVKTVEVF
      $.

    xpsvsca.x $e |- X = ( Base ` R ) $.
    xpsvsca.y $e |- Y = ( Base ` S ) $.
    xpsvsca.k $e |- K = ( Base ` G ) $.
    xpsvsca.m $e |- .x. = ( .s ` R ) $.
    xpsvsca.n $e |- .X. = ( .s ` S ) $.
    xpsvsca.p $e |- .xb = ( .s ` T ) $.
    xpsvsca.3 $e |- ( ph -> A e. K ) $.
    xpsvsca.4 $e |- ( ph -> B e. X ) $.
    xpsvsca.5 $e |- ( ph -> C e. Y ) $.
    xpsvsca.6 $e |- ( ph -> ( A .x. B ) e. X ) $.
    xpsvsca.7 $e |- ( ph -> ( A .X. C ) e. Y ) $.
    $( Value of the scalar multiplication function in a binary structure
       product.  (Contributed by Mario Carneiro, 15-Aug-2015.) $)
    xpsvsca $p |- ( ph ->
        ( A .xb <. B , C >. ) = <. ( A .x. B ) , ( A .X. C ) >. ) $=
      ( vx vy vc va vb vk c0 cop c1o cpr cv cmpo ccnv cfv cprds cvsca wcel wceq
      co crn df-ov eqid xpsfval syl2anc eqtr3id cxp opelxpd wf1o xpsff1o2 ax-mp
      wf f1of ffvelrni syl eqeltrrd cvv xpsval xpsrnbas f1ocnv mp1i f1ofo ovexd
      wfo csca wtru fvexi a1i prex prdssca mptru f1ovscpbl imasvscaval mpd3an23
      wi f1ocnvfv sylancr mpd oveq2d c2o cmpt wa iftrue fveq2d eqtr4di oveq123d
      cif eqidd eqtr4d wn iffalse pm2.61i adantr simpr fvprif syl3anc mpteq2dva
      3eqtr4a cbs con0 2on fnpr2o eleqtrd prdsvscaval dffn5 sylib 3eqtr4d eqtrd
      wfn 3eqtr3d ) ABURCUSUTDUSVAZULUMOPURULVBUSUTUMVBUSVAVCZVDZVEZGVJZBUUAKUR
      EUSZUTFUSZVAZVFVJZVGVEZVJZUUCVEZBCDUSZGVJBCIVJZBDJVJZUSZABLVHUUAUUBVKZVHU
      UEUULVIUGAUUMUUBVEZUUAUUQAUURCDUUBVJZUUACDUUBVLACOVHZDPVHZUUSUUAVIUHUIULU
      MOPUUBCDUUBVMZVNVOVPZAUUMOPVQZVHZUURUUQVHACDOPUHUIVRZUVDUUQUUMUUBUVDUUQUU
      BVSZUVDUUQUUBWBULUMOPUUBUVBVTZUVDUUQUUBWCWAWDWEWFZAUVDUUIGUUJHUUCKLUUQBUU
      AWGUNUOUPAULUMEFHUUIUUBKMNOPQUAUBSTUVBRUUIVMZWHAULUMEFHUUIUUBKMNOPQUAUBST
      UVBRUVJWIZAUUQUVDUUCVSZUUQUVDUUCWNUVGUVLAUVHUVDUUQUUBWJWKZUUQUVDUUCWLWEAK
      UUHVFWMKUUIWOVEVIWPUUIUUHKWGWGUVJKWGVHZWPKEWORWQZWRUUHWGVHWPUUFUUGWSWRWTX
      AUCUUJVMZUFAUOVBUPVBUNVBUUJUUCLUUQUVDUVMXBXCXDAUUDUUMBGAUURUUAVIZUUDUUMVI
      ZUVCAUVGUVEUVQUVRXEUVHUVFUVDUUQUUMUUAUUBXFXGXHXIAUULURUUNUSUTUUOUSVAZUUCV
      EZUUPAUUKUVSUUCAUQXJBUQVBZUUAVEZUWAUUHVEZVGVEZVJZXKUQXJUWAUVSVEZXKZUUKUVS
      AUQXJUWEUWFAUWAXJVHZXLZBUWAURVIZCDXQZUWJEFXQZVGVEZVJZUWJUUNUUOXQZUWEUWFUW
      JUWNUWOVIUWJUWNUUNUWOUWJBBUWKCUWMIUWJUWMEVGVEIUWJUWLEVGUWJEFXMXNUDXOUWJBX
      RUWJCDXMXPUWJUUNUUOXMXSUWJXTZUWNUUOUWOUWPBBUWKDUWMJUWPUWMFVGVEJUWPUWLFVGU
      WJEFYAXNUEXOUWPBXRUWJCDYAXPUWJUUNUUOYAXSYBUWIBBUWBUWKUWDUWMUWIUWCUWLVGUWI
      EMVHZFNVHZUWHUWCUWLVIAUWQUWHSYCAUWRUWHTYCAUWHYDZEFUWAMNYEYFXNUWIBXRUWIUUT
      UVAUWHUWBUWKVIAUUTUWHUHYCAUVAUWHUIYCUWSCDUWAOPYEYFXPUWIUUNOVHZUUOPVHZUWHU
      WFUWOVIAUWTUWHUJYCAUXAUWHUKYCUWSUUNUUOUWAOPYEYFYHYGAUQUUIYIVEZUUHKUUJBUUA
      XJLWGYJUUIUVJUXBVMUVPUCUVNAUVOWRXJYJVHAYKWRAUWQUWRUUHXJYSSTEFMNYLVOUGAUUA
      UUQUXBUVIUVKYMYNAUVSXJYSZUVSUWGVIAUWTUXAUXCUJUKUUNUUOOPYLVOUQXJUVSYOYPYQX
      NAUUPUUBVEZUVSVIZUVTUUPVIZAUXDUUNUUOUUBVJZUVSUUNUUOUUBVLAUWTUXAUXGUVSVIUJ
      UKULUMOPUUBUUNUUOUVBVNVOVPAUVGUUPUVDVHUXEUXFXEUVHAUUNUUOOPUJUKVRUVDUUQUUP
      UVSUUBXFXGXHYRYT $.
  $}

  ${
    $d c d k x y A $.  $d d k x y C $.  $d a b c d k ph $.  $d a b c d k x R $.
    $d c d k x y B $.  $d d k x y D $.  $d a b c d k S $.  $d a b c d x y X $.
    $d c d .<_ $.  $d x W $.  $d a b c d x y Y $.
    xpsle.t $e |- T = ( R Xs. S ) $.
    xpsle.x $e |- X = ( Base ` R ) $.
    xpsle.y $e |- Y = ( Base ` S ) $.
    xpsle.1 $e |- ( ph -> R e. V ) $.
    xpsle.2 $e |- ( ph -> S e. W ) $.
    xpsle.p $e |- .<_ = ( le ` T ) $.
    $( Closure of the ordering in a binary structure product.  (Contributed by
       Mario Carneiro, 15-Aug-2015.) $)
    xpsless $p |- ( ph -> .<_ C_ ( ( X X. Y ) X. ( X X. Y ) ) ) $=
      ( vx vy c0 cop eqid cxp csca cfv c1o cpr cprds co cv cmpo ccnv crn xpsval
      cvv xpsrnbas wf1o wfo xpsff1o2 f1ocnv mp1i f1ofo syl ovexd imasless ) AHI
      UAZBUBUCZRBSUDCSUEZUFUGZDPQHIRPUHSUDQUHSUEUIZUJZEVHUKZUMAPQBCDVGVHVEFGHIJ
      KLMNVHTZVETZVGTZULAPQBCDVGVHVEFGHIJKLMNVKVLVMUNAVJVDVIUOZVJVDVIUPVDVJVHUO
      VNAPQHIVHVKUQVDVJVHURUSVJVDVIUTVAAVEVFUFVBOVC $.

    xpsle.m $e |- M = ( le ` R ) $.
    xpsle.n $e |- N = ( le ` S ) $.
    xpsle.3 $e |- ( ph -> A e. X ) $.
    xpsle.4 $e |- ( ph -> B e. Y ) $.
    xpsle.5 $e |- ( ph -> C e. X ) $.
    xpsle.6 $e |- ( ph -> D e. Y ) $.
    $( Value of the ordering in a binary structure product.  (Contributed by
       Mario Carneiro, 20-Aug-2015.) $)
    xpsle $p |- ( ph ->
        ( <. A , B >. .<_ <. C , D >. <-> ( A M C /\ B N D ) ) ) $=
      ( vx vy va vb vc vd vk c0 cop c1o cpr cv cmpo ccnv cfv csca cprds co cple
      wbr wa crn wcel wb df-ov wceq eqid xpsfval syl2anc eqtr3id cxp opelxpd wf
      wf1o xpsff1o2 f1of ax-mp ffvelrni syl eqeltrrd cvv xpsval xpsrnbas f1ocnv
      wfo mp1i f1ofo ovexd f1olecpbl imasleval mpd3an23 wi f1ocnvfv sylancr mpd
      breq12d c2o wral cbs con0 fvexd 2on a1i wfn fnpr2o prdsleval df2o3 raleqi
      eleqtrd 0ex 1oex fveq2 2fveq3 breq123d ralpr fvpr0o fveq2d eqtr4di fvpr1o
      bitri anbi12d syl5bb bitrd 3bitr3d ) AUOBUPUQCUPURZUHUINOUOUHUSUPUQUIUSUP
      URUTZVAZVBZUODUPUQEUPURZYNVBZIVGZYLYPFVCVBZUOFUPUQGUPURZVDVEZVFVBZVGZBCUP
      ZDEUPZIVGBDJVGZCEKVGZVHZAYLYMVIZVJYPUUIVJYRUUCVKAUUDYMVBZYLUUIAUUJBCYMVEZ
      YLBCYMVLABNVJZCOVJZUUKYLVMUDUEUHUINOYMBCYMVNZVOVPVQZAUUDNOVRZVJZUUJUUIVJA
      BCNOUDUEVSZUUPUUIUUDYMUUPUUIYMWAZUUPUUIYMVTUHUINOYMUUNWBZUUPUUIYMWCWDZWEW
      FWGZAUUEYMVBZYPUUIAUVCDEYMVEZYPDEYMVLADNVJZEOVJZUVDYPVMUFUGUHUINOYMDEUUNV
      OVPVQZAUUEUUPVJZUVCUUIVJADENOUFUGVSZUUPUUIUUEYMUVAWEWFWGZAUUPUUAHYNIUUBUU
      IYLYPWHUJUKULUMAUHUIFGHUUAYMYSLMNOPQRSTUUNYSVNZUUAVNZWIAUHUIFGHUUAYMYSLMN
      OPQRSTUUNUVKUVLWJZAUUIUUPYNWAZUUIUUPYNWLUUSUVNAUUTUUPUUIYMWKWMZUUIUUPYNWN
      WFAYSYTVDWOUAUUBVNZAUJUSUKUSULUSUMUSYNUUBUUIUUPUVOWPWQWRAYOUUDYQUUEIAUUJY
      LVMZYOUUDVMZUUOAUUSUUQUVQUVRWSUUTUURUUPUUIUUDYLYMWTXAXBAUVCYPVMZYQUUEVMZU
      VGAUUSUVHUVSUVTWSUUTUVIUUPUUIUUEYPYMWTXAXBXCAUUCUNUSZYLVBZUWAYPVBZUWAYTVB
      VFVBZVGZUNXDXEZUUHAUNUUAXFVBZYTYSYLYPXDUUBWHXGUUAUVLUWGVNAFVCXHXDXGVJAXIX
      JAFLVJZGMVJZYTXDXKSTFGLMXLVPAYLUUIUWGUVBUVMXPAYPUUIUWGUVJUVMXPUVPXMUWFUOY
      LVBZUOYPVBZUOYTVBZVFVBZVGZUQYLVBZUQYPVBZUQYTVBZVFVBZVGZVHZAUUHUWFUWEUNUOU
      QURZXEUWTUWEUNXDUXAXNXOUWEUWNUWSUNUOUQXQXRUWAUOVMUWBUWJUWCUWKUWDUWMUWAUOY
      LXSUWAUOVFYTXTUWAUOYPXSYAUWAUQVMUWBUWOUWCUWPUWDUWRUWAUQYLXSUWAUQVFYTXTUWA
      UQYPXSYAYBYGAUWNUUFUWSUUGAUWJBUWKDUWMJAUULUWJBVMUDBCNYCWFAUWMFVFVBJAUWLFV
      FAUWHUWLFVMSFGLYCWFYDUBYEAUVEUWKDVMUFDENYCWFYAAUWOCUWPEUWRKAUUMUWOCVMUEBC
      OYFWFAUWRGVFVBKAUWQGVFAUWIUWQGVMTFGMYFWFYDUCYEAUVFUWPEVMUGDEOYFWFYAYHYIYJ
      YK $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Moore spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $c Moore mrCls mrInd ACS $.

  $( The class of Moore systems. $)
  cmre $a class Moore $.

  $( The class function generating Moore closures. $)
  cmrc $a class mrCls $.

  $( ` mrInd ` is a class function which takes a Moore system to its set of
     independent sets. $)
  cmri $a class mrInd $.

  $( The class of algebraic closure (Moore) systems. $)
  cacs $a class ACS $.

  ${
    $d c f s x $.

    $( Define a _Moore collection_, which is a family of subsets of a base set
       which preserve arbitrary intersection.  Elements of a Moore collection
       are termed _closed_; Moore collections generalize the notion of
       closedness from topologies ( ~ cldmre ) and vector spaces ( ~ lssmre )
       to the most general setting in which such concepts make sense.
       Definition of Moore collection of sets in [Schechter] p. 78.  A Moore
       collection may also be called a _closure system_ (Section 0.6 in
       [Gratzer] p. 23.)  The name _Moore collection_ is after Eliakim Hastings
       Moore, who discussed these systems in Part I of [Moore] p. 53 to 76.

       See ~ ismre , ~ mresspw , ~ mre1cl and ~ mreintcl for the major
       properties of a Moore collection.  Note that a Moore collection uniquely
       determines its base set ( ~ mreuni ); as such the disjoint union of all
       Moore collections is sometimes considered as ` U. ran Moore ` ,
       justified by ~ mreunirn .  (Contributed by Stefan O'Rear, 30-Jan-2015.)
       (Revised by David Moews, 1-May-2017.) $)
    df-mre $a |- Moore = ( x e. _V |-> { c e. ~P ~P x | ( x e. c /\
        A. s e. ~P c ( s =/= (/) -> |^| s e. c ) ) } ) $.

    $( Define the _Moore closure_ of a generating set, which is the smallest
       closed set containing all generating elements.  Definition of Moore
       closure in [Schechter] p. 79.  This generalizes topological closure
       ( ~ mrccls ) and linear span ( ~ mrclsp ).

       A Moore closure operation ` N ` is (1) extensive, i.e.,
       ` x C_ ( N `` x ) ` for all subsets ` x ` of the base set ( ~ mrcssid ),
       (2) isotone, i.e., ` x C_ y ` implies that ` ( N `` x ) C_ ( N `` y ) `
       for all subsets ` x ` and ` y ` of the base set ( ~ mrcss ), and (3)
       idempotent, i.e., ` ( N `` ( N `` x ) ) = ( N `` x ) ` for all subsets
       ` x ` of the base set ( ~ mrcidm .)  Operators satisfying these three
       properties are in bijective correspondence with Moore collections, so
       these properties may be used to give an alternate characterization of a
       Moore collection by providing a closure operation ` N ` on the set of
       subsets of a given base set which satisfies (1), (2), and (3); the
       closed sets can be recovered as those sets which equal their closures
       (Section 4.5 in [Schechter] p. 82.)  (Contributed by Stefan O'Rear,
       31-Jan-2015.)  (Revised by David Moews, 1-May-2017.) $)
    df-mrc $a |- mrCls = ( c e. U. ran Moore |-> ( x e. ~P U. c |->
        |^| { s e. c | x C_ s } ) ) $.

    $( In a Moore system, a set is _independent_ if no element of the set is in
       the closure of the set with the element removed (Section 0.6 in
       [Gratzer] p. 27; Definition 4.1.1 in [FaureFrolicher] p. 83.) ` mrInd `
       is a class function which takes a Moore system to its set of independent
       sets.  (Contributed by David Moews, 1-May-2017.) $)
    df-mri $a |- mrInd = ( c e. U. ran Moore |->
                 { s e. ~P U. c |
                   A. x e. s -. x e. ( ( mrCls ` c ) ` ( s \ { x } ) ) } ) $.

    $( An important subclass of Moore systems are those which can be
       interpreted as closure under some collection of operators of finite
       arity (the collection itself is not required to be finite).  These are
       termed _algebraic closure systems_; similar to definition (A) of an
       algebraic closure system in [Schechter] p. 84, but to avoid the
       complexity of an arbitrary mixed collection of functions of various
       arities (especially if the axiom of infinity ~ omex is to be avoided),
       we consider a single function defined on finite sets instead.
       (Contributed by Stefan O'Rear, 2-Apr-2015.) $)
    df-acs $a |- ACS = ( x e. _V |-> { c e. ( Moore ` x ) |
            E. f ( f : ~P x --> ~P x /\ A. s e. ~P x ( s e. c <->
                    U. ( f " ( ~P s i^i Fin ) ) C_ s ) ) } ) $.
  $}

  ${
    $d C c s x $.  $d X c s x $.  $d S c s x $.
    $( Property of being a Moore collection on some base set.  (Contributed by
       Stefan O'Rear, 30-Jan-2015.) $)
    ismre $p |- ( C e. ( Moore ` X ) <-> ( C C_ ~P X /\ X e. C /\
        A. s e. ~P C ( s =/= (/) -> |^| s e. C ) ) ) $=
      ( vc vx cmre cfv wcel cvv cpw cv wi wral wa crab wceq pweq anbi1d eleq2
      wb wss wne cint w3a elfvex elex 3ad2ant2 wel pweqd eleq1 rabeqbidv df-mre
      vpwex pwex rabex fvmpt3i eleq2d imbi2d raleqbidv anbi12d elrab a1i elpw2g
      c0 pwexg syl 3anass bitr4di 3bitrd pm5.21nii ) ABFGZHZBIHZABJZUAZBAHZCKZV
      DUBZVQUCZAHZLZCAJZMZUDZABFUEVPVOVMWCBAUFUGVMVLABDKZHZVRVSWEHZLZCWEJZMZNZD
      VNJZOZHZAWLHZVPWCNZNZWDVMVKWMAEBEDUHZWJNZDEKZJZJZOWMIFWTBPZWSWKDXBWLXCXAV
      NWTBQUIXCWRWFWJWTBWEUJRUKECDULWSDXBXAEUMUNUOUPUQWNWQTVMWKWPDAWLWEAPZWFVPW
      JWCWEABSXDWHWACWIWBWEAQXDWGVTVRWEAVSSURUSUTVAVBVMWQVOWPNWDVMWOVOWPVMVNIHW
      OVOTBIVEAVNIVCVFRVOVPWCVGVHVIVJ $.

    $( The Moore collection generator is a well-behaved function.  Analogue for
       Moore collections of ~ fntopon for topologies.  (Contributed by Stefan
       O'Rear, 30-Jan-2015.) $)
    fnmre $p |- Moore Fn _V $=
      ( vx vc vs cvv wel cv c0 wne cint wcel wi wral crab cmre vpwex pwex rabex
      cpw wa df-mre fnmpti ) ADABECFZGHUBIBFZJKCUCRLSZBAFRZRZMNUDBUFUEAOPQACBTU
      A $.

    $( A Moore collection is a subset of the power of the base set; each closed
       subset of the system is actually a subset of the base.  (Contributed by
       Stefan O'Rear, 30-Jan-2015.) $)
    mresspw $p |- ( C e. ( Moore ` X ) -> C C_ ~P X ) $=
      ( vs cmre cfv wcel cpw wss cv c0 wne cint wi wral ismre simp1bi ) ABDEFAB
      GHBAFCIZJKQLAFMCAGNABCOP $.

    $( A Moore-closed subset is a subset.  (Contributed by Stefan O'Rear,
       31-Jan-2015.) $)
    mress $p |- ( ( C e. ( Moore ` X ) /\ S e. C ) -> S C_ X ) $=
      ( cmre cfv wcel wa cpw mresspw sselda elpwid ) ACDEFZBAFGBCLACHBACIJK $.

    $( In any Moore collection the base set is closed.  (Contributed by Stefan
       O'Rear, 30-Jan-2015.) $)
    mre1cl $p |- ( C e. ( Moore ` X ) -> X e. C ) $=
      ( vs cmre cfv wcel cpw wss cv c0 wne cint wi wral ismre simp2bi ) ABDEFAB
      GHBAFCIZJKQLAFMCAGNABCOP $.

    $( A nonempty collection of closed sets has a closed intersection.
       (Contributed by Stefan O'Rear, 30-Jan-2015.) $)
    mreintcl $p |- ( ( C e. ( Moore ` X ) /\ S C_ C /\ S =/= (/) ) ->
        |^| S e. C ) $=
      ( vs cmre cfv wcel wss c0 wne w3a cpw cv cint wral elpw2g biimpar 3adant3
      wi ismre simp3bi 3ad2ant1 simp3 neeq1 inteq eleq1d imbi12d rspcva syl3anc
      wceq 3impia ) ACEFZGZBAHZBIJZKBALZGZDMZIJZURNZAGZSZDUPOZUOBNZAGZUMUNUQUOU
      MUQUNBAULPQRUMUNVCUOUMACLHCAGVCACDTUAUBUMUNUOUCUQVCUOVEVBUOVESDBUPURBUJZU
      SUOVAVEURBIUDVFUTVDAURBUEUFUGUHUKUI $.

    $d I s y $.  $d X y $.  $d C y $.
    $( A nonempty indexed intersection of closed sets is closed.  (Contributed
       by Stefan O'Rear, 1-Feb-2015.) $)
    mreiincl $p |- ( ( C e. ( Moore ` X ) /\ I =/= (/) /\
          A. y e. I S e. C ) -> |^|_ y e. I S e. C ) $=
      ( vs cmre cfv wcel c0 wne wral w3a ciin cv wceq wrex cab 3ad2ant3 wex wss
      cint dfiin2g simp1 uniiunlem ibi wi nfra1 nfre1 nfab nfcv nfne nfim com12
      n0 rsp elisset rspe ex syl5 rexcom4 syl6ib syld abn0 syl6ibr exlimi sylbi
      imp 3adant1 mreintcl syl3anc eqeltrd ) BEGHIZDJKZCBIZADLZMZADCNZFOCPZADQZ
      FRZUBZBVPVMVRWBPVNAFDCBUCSVQVMWABUAZWAJKZWBBIVMVNVPUDVPVMWCVNVPWCAFDCBBUE
      UFSVNVPWDVMVNVPWDVNAODIZATVPWDUGZADUOWEWFAVPWDAVOADUHAWAJVTAFVSADUIUJAJUK
      ULUMWEVPVTFTZWDWEVPVOWGVPWEVOVOADUPUNWEVOVSFTZADQZWGVOWHWEWIFCBUQWEWHWIWH
      ADURUSUTVSAFDVAVBVCVTFVDVEVFVGVHVIBWAEVJVKVL $.

    $( The relative intersection of a set of closed sets is closed.
       (Contributed by Stefan O'Rear, 3-Apr-2015.) $)
    mrerintcl $p |- ( ( C e. ( Moore ` X ) /\ S C_ C ) ->
        ( X i^i |^| S ) e. C ) $=
      ( cmre cfv wcel wss wa cint cin wceq rint0 adantl mre1cl ad2antrr eqeltrd
      c0 wne w3a cpw simp2 mresspw 3ad2ant1 sstrd simp3 rintn0 syl2anc mreintcl
      3expa pm2.61dane ) ACDEFZBAGZHZCBIZJZAFZBQUMBQKZHUOCAUQUOCKUMCBLMUKCAFULU
      QACNOPUKULBQRZUPUKULURSZUOUNAUSBCTZGURUOUNKUSBAUTUKULURUAUKULAUTGURACUBUC
      UDUKULURUECBUFUGABCUHPUIUJ $.

    $( The relative intersection of a family of closed sets is closed.
       (Contributed by Stefan O'Rear, 3-Apr-2015.) $)
    mreriincl $p |- ( ( C e. ( Moore ` X ) /\ A. y e. I S e. C ) ->
        ( X i^i |^|_ y e. I S ) e. C ) $=
      ( cmre cfv wcel wral wa ciin c0 wceq riin0 adantl mre1cl ad2antrr eqeltrd
      cin wne wss mress ex ralimdv imp riinn0 sylan simpll simpr simplr syl3anc
      mreiincl pm2.61dane ) BEFGHZCBHZADIZJZEADCKZSZBHDLUQDLMZJUSEBUTUSEMUQAECD
      NOUNEBHUPUTBEPQRUQDLTZJZUSURBUQCEUAZADIZVAUSURMUNUPVDUNUOVCADUNUOVCBCEUBU
      CUDUEAECDUFUGVBUNVAUPURBHUNUPVAUHUQVAUIUNUPVAUJABCDEULUKRUM $.

    $( Two closed sets have a closed intersection.  (Contributed by Stefan
       O'Rear, 30-Jan-2015.) $)
    mreincl $p |- ( ( C e. ( Moore ` X ) /\ A e. C /\ B e. C ) ->
        ( A i^i B ) e. C ) $=
      ( cmre cfv wcel w3a cpr cint cin wceq intprg 3adant1 c0 simp1 prssi prnzg
      wss wne 3ad2ant2 mreintcl syl3anc eqeltrrd ) CDEFGZACGZBCGZHZABIZJZABKZCU
      FUGUJUKLUEABCCMNUHUEUICSZUIOTZUJCGUEUFUGPUFUGULUEABCQNUFUEUMUGABCRUACUIDU
      BUCUD $.

    $( Since the entire base set of a Moore collection is the greatest element
       of it, the base set can be recovered from a Moore collection by set
       union.  (Contributed by Stefan O'Rear, 30-Jan-2015.) $)
    mreuni $p |- ( C e. ( Moore ` X ) -> U. C = X ) $=
      ( cmre cfv wcel cpw wss cuni wceq mre1cl mresspw elpwuni biimpa syl2anc )
      ABCDEBAEZABFGZAHBIZABJABKOPQABLMN $.

    $( Two ways to express the notion of being a Moore collection on an
       unspecified base.  (Contributed by Stefan O'Rear, 30-Jan-2015.) $)
    mreunirn $p |- ( C e. U. ran Moore <-> C e. ( Moore ` U. C ) ) $=
      ( vx cmre crn cuni wcel cfv cv cvv wrex wfn wb fnmre fnunirn ax-mp mreuni
      fveq2d eleq2d ibir rexlimivw sylbi fvssunirn sseli impbii ) ACDEZFZAAEZCG
      ZFZUFABHZCGZFZBIJZUICIKUFUMLMBACINOULUIBIULUIULUHUKAULUGUJCAUJPQRSTUAUHUE
      ACUGUBUCUD $.
  $}

  ${
    $d ph s $.  $d C s $.  $d X s $.
    ismred.ss $e |- ( ph -> C C_ ~P X ) $.
    ismred.ba $e |- ( ph -> X e. C ) $.
    ismred.in $e |- ( ( ph /\ s C_ C /\ s =/= (/) ) -> |^| s e. C ) $.
    $( Properties that determine a Moore collection.  (Contributed by Stefan
       O'Rear, 30-Jan-2015.) $)
    ismred $p |- ( ph -> C e. ( Moore ` X ) ) $=
      ( cpw wss wcel cv c0 wne cint wi wral cmre cfv velpw 3expia sylan2b ismre
      ralrimiva syl3anbrc ) ABCHICBJDKZLMZUENBJZOZDBHZPBCQRJEFAUHDUIUEUIJAUEBIZ
      UHDBSAUJUFUGGTUAUCBCDUBUD $.
  $}

  ${
    $d ph s $.  $d C s $.  $d X s $.
    ismred2.ss $e |- ( ph -> C C_ ~P X ) $.
    ismred2.in $e |- ( ( ph /\ s C_ C ) -> ( X i^i |^| s ) e. C ) $.
    $( Properties that determine a Moore collection, using restricted
       intersection.  (Contributed by Stefan O'Rear, 3-Apr-2015.) $)
    ismred2 $p |- ( ph -> C e. ( Moore ` X ) ) $=
      ( c0 cint cin wceq eqid rint0 ax-mp wss wcel 0ss cv wa wi 0ex sseq1 inteq
      anbi2d ineq2d eleq1d imbi12d vtocl mpan2 eqeltrrid wne w3a simp2 3ad2ant1
      cpw sstrd simp3 rintn0 syl2anc 3adant3 eqeltrrd ismred ) ABCDEACCGHZIZBGG
      JVCCJGKCGLMAGBNZVCBOZBPADQZBNZRZCVFHZIZBOZSAVDRZVESDGTVFGJZVHVLVKVEVMVGVD
      AVFGBUAUCVMVJVCBVMVIVBCVFGUBUDUEUFFUGUHUIAVGVFGUJZUKZVJVIBVOVFCUNZNVNVJVI
      JVOVFBVPAVGVNULAVGBVPNVNEUMUOAVGVNUPCVFUQURAVGVKVNFUSUTVA $.
  $}

  ${
    $d V a b c $.  $d X a b c $.

    $( The Moore collections of subsets of a space, viewed as a kind of subset
       of the power set, form a Moore collection in their own right on the
       power set.  (Contributed by Stefan O'Rear, 30-Jan-2015.) $)
    mremre $p |- ( X e. V -> ( Moore ` X ) e. ( Moore ` ~P X ) ) $=
      ( va vb vc wcel cpw wss cv mresspw c0 wne w3a cint 3ad2ant1 mpbird ismred
      wb wa sselda cmre cfv velpw sylibr ssriv a1i ssidd cuni intssuni2 3adant1
      pwidg unipw sseqtrdi elpw2g wel wex intss1 adantl simpr syl sstrd exlimdv
      n0 ex syl5bi 3impia mre1cl ralrimiva elintg simp12 simpl2 simpl3 mreintcl
      wral simp2 syl3anc cvv intex sylbi 3ad2ant3 ) BAFZBUAUBZBGZCWBWCGZHWACWBW
      DCIZWBFWEWCHZWEWDFWEBJCWCUCUDUEUFWAWCBCWAWCUGBAUKWAWFWEKLZMZWENZWCFZWIBHZ
      WHWIWCUHZBWFWGWIWLHWAWEWCUIUJBULUMWAWFWJWKRWGWIBAUNOPQWAWEWBHZWGMZWIBDWAW
      MWGWIWCHZWGDCUOZDUPWAWMSZWODWEVCWQWPWODWQWPWOWQWPSZWIDIZWCWPWIWSHWQWSWEUQ
      URWRWSWBFZWSWCHWQWEWBWSWAWMUSTWSBJUTVAVDVBVEVFWNBWIFZBWSFZDWEVNZWNXBDWEWN
      WPSWTXBWNWEWBWSWAWMWGVOTWSBVGUTVHWAWMXAXCRWGDBWEAVIOPWNWSWIHZWSKLZMZWSNZW
      IFZXGEIZFZEWEVNZXFXJEWEXFECUOZSZXIWBFWSXIHXEXJXFWEWBXIWAWMWGXDXEVJTXMWSWI
      XIWNXDXEXLVKXLWIXIHXFXIWEUQURVAWNXDXEXLVLXIWSBVMVPVHXEWNXHXKRZXDXEXGVQFXN
      WSVREXGWEVQVIVSVTPQQ $.
  $}

  ${
    $d A x $.  $d C x $.  $d X x $.
    $( The subcollection of a closed set system below a given closed set is
       itself a closed set system.  (Contributed by Stefan O'Rear,
       9-Mar-2015.) $)
    submre $p |- ( ( C e. ( Moore ` X ) /\ A e. C ) ->
        ( C i^i ~P A ) e. ( Moore ` A ) ) $=
      ( vx cmre cfv wcel wa cpw cin wss inss2 a1i simpr pwidg adantl elind sstr
      mpan2 3ad2ant2 cv c0 wne w3a cint simp1l inss1 mreintcl syl3anc intssuni2
      simp3 cuni syl2anc unipw sseqtrdi wb elpw2g 3ad2ant1 mpbird ismred ) BCEF
      GZABGZHZBAIZJZADVEVDKZVCBVDLZMVCBVDAVAVBNVBAVDGVAABOPQVCDUAZVEKZVHUBUCZUD
      ZBVDVHUEZVKVAVHBKZVJVLBGVAVBVIVJUFVIVCVMVJVIVEBKVMBVDUGVHVEBRSTVCVIVJUKZB
      VHCUHUIVKVLVDGZVLAKZVKVLVDULZAVKVHVDKZVJVLVQKVIVCVRVJVIVFVRVGVHVEVDRSTVNV
      HVDUJUMAUNUOVCVIVOVPUPZVJVBVSVAVLABUQPURUSQUT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Moore closures
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d F c x s $.  $d C c x s $.  $d X c x s $.  $d U c x s $.  $d V c x s $.
    $( The domain and range of the function expression for Moore closures.
       (Contributed by Stefan O'Rear, 31-Jan-2015.) $)
    mrcflem $p |- ( C e. ( Moore ` X ) ->
        ( x e. ~P X |-> |^| { s e. C | x C_ s } ) : ~P X --> C ) $=
      ( cmre cfv wcel cpw cv wss crab cint wa wne simpl ssrab2 a1i sseq2 mre1cl
      c0 adantr elpwi adantl elrabd ne0d mreintcl syl3anc fmpttd ) BCEFGZACHZAI
      ZDIZJZDBKZLZBUIUKUJGZMZUIUNBJZUNTNUOBGUIUPOURUQUMDBPQUQUNCUQUMUKCJZDCBULC
      UKRUICBGUPBCSUAUPUSUIUKCUBUCUDUEBUNCUFUGUH $.

    $( Moore-closure is a well-behaved function.  (Contributed by Stefan
       O'Rear, 1-Feb-2015.) $)
    fnmrc $p |- mrCls Fn U. ran Moore $=
      ( vx vc vs cv cuni cpw wss crab cint cmpt cvv wcel cmrc cmre df-mrc fnmpt
      crn wfn cfv mreunirn cxp mrcflem fssxp syl vuniex pwex xpex ssexg sylancl
      wf vex sylbi mprg ) ABDZEZFZADCDGCUNHIJZKLZMNQEZRBUSBUSUQMKACBOPUNUSLUNUO
      NSLZURUNTUTUQUPUNUAZGZVAKLURUTUPUNUQUJVBAUNUOCUBUPUNUQUCUDUPUNUOBUEUFBUKU
      GUQVAKUHUIULUM $.

    mrcfval.f $e |- F = ( mrCls ` C ) $.
    $( Value of the function expression for the Moore closure.  (Contributed by
       Stefan O'Rear, 31-Jan-2015.) $)
    mrcfval $p |- ( C e. ( Moore ` X ) -> F =
        ( x e. ~P X |-> |^| { s e. C | x C_ s } ) ) $=
      ( vc cmre cfv wcel cmrc cpw cv wss crab cint cmpt cuni wceq cvv fvssunirn
      crn sseli unieq pweqd rabeq inteqd mpteq12dv df-mrc cxp wf mreunirn sylbi
      mrcflem fssxp syl vuniex pwex vex xpex ssexg sylancl fvmpt3 mpteq1d eqtrd
      mreuni eqtrid ) BDHIZJZCBKIZADLZAMEMNZEBOZPZQZFVIVJABRZLZVNQZVOVIBHUBRZJV
      JVRSVHVSBHDUAUCGBAGMZRZLZVLEVTOZPZQZVRVSKTVTBSZAWBWDVQVNWFWAVPVTBUDUEWFWC
      VMVLEVTBUFUGUHAEGUIVTVSJZWEWBVTUJZNZWHTJWETJWGWBVTWEUKZWIWGVTWAHIJWJVTULA
      VTWAEUNUMWBVTWEUOUPWBVTWAGUQURGUSUTWEWHTVAVBVCUPVIAVQVKVNVIVPDBDVFUEVDVEV
      G $.

    $( The Moore closure is a function mapping arbitrary subsets to closed
       sets.  (Contributed by Stefan O'Rear, 31-Jan-2015.) $)
    mrcf $p |- ( C e. ( Moore ` X ) -> F : ~P X --> C ) $=
      ( vx vs cmre cfv wcel cpw wf cv wss crab cint cmpt mrcflem mrcfval mpbird
      feq1d ) ACGHIZCJZABKUBAEUBELFLMFANOPZKEACFQUAUBABUCEABCFDRTS $.

    $( Evaluation of the Moore closure of a set.  (Contributed by Stefan
       O'Rear, 31-Jan-2015.)  (Proof shortened by Fan Zheng, 6-Jun-2016.) $)
    mrcval $p |- ( ( C e. ( Moore ` X ) /\ U C_ X ) -> ( F ` U ) =
        |^| { s e. C | U C_ s } ) $=
      ( vx cmre cfv wcel wss wa cv crab cint cpw cvv cmpt wceq adantr inteqd wb
      mrcfval sseq1 rabbidv adantl mre1cl elpw2g syl biimpar c0 wne sseq2 simpr
      elrabd ne0d intex sylib fvmptd ) ADHIJZBDKZLZGBGMZEMZKZEANZOZBVDKZEANZOZD
      PZCQUTCGVKVGRSVAGACDEFUCTVCBSZVGVJSVBVLVFVIVLVEVHEAVCBVDUDUEUAUFUTBVKJZVA
      UTDAJZVMVAUBADUGZBDAUHUIUJVBVIUKULVJQJVBVIDVBVHVAEDAVDDBUMUTVNVAVOTUTVAUN
      UOUPVIUQURUS $.

    $( The Moore closure of a set is a closed set.  (Contributed by Stefan
       O'Rear, 31-Jan-2015.) $)
    mrccl $p |- ( ( C e. ( Moore ` X ) /\ U C_ X ) -> ( F ` U ) e. C ) $=
      ( cmre cfv wcel wss wa cpw mrcf adantr mre1cl elpw2g syl biimpar ffvelrnd
      wf wb ) ADFGHZBDIZJDKZABCUAUCACSUBACDELMUABUCHZUBUADAHUDUBTADNBDAOPQR $.

    $( The Moore closure of a singleton is a closed set.  (Contributed by
       Stefan O'Rear, 31-Jan-2015.) $)
    mrcsncl $p |- ( ( C e. ( Moore ` X ) /\ U e. X ) -> ( F ` { U } ) e. C ) $=
      ( wcel cmre cfv csn wss snssi mrccl sylan2 ) BDFADGHFBIZDJNCHAFBDKANCDELM
      $.

    $( The closure of a closed set is itself.  (Contributed by Stefan O'Rear,
       31-Jan-2015.) $)
    mrcid $p |- ( ( C e. ( Moore ` X ) /\ U e. C ) -> ( F ` U ) = U ) $=
      ( vs cmre cfv wcel wa cv crab cint wceq mress mrcval syldan intmin adantl
      wss eqtrd ) ADGHIZBAIZJBCHZBFKTFALMZBUBUCBDTUDUENABDOABCDFEPQUCUEBNUBFBAR
      SUA $.

    $( The closure of a set is a subset of the base.  (Contributed by Stefan
       O'Rear, 31-Jan-2015.) $)
    mrcssv $p |- ( C e. ( Moore ` X ) -> ( F ` U ) C_ X ) $=
      ( cmre cfv wcel crn cuni fvssunirn cpw wf wss mrcf frn uniss 3syl sseqtrd
      mreuni sstrid ) ADFGHZBCGCIZJZDCBKUBUDAJZDUBDLZACMUCANUDUENACDEOUFACPUCAQ
      RADTSUA $.

    $( A set is closed iff it is equal to its closure.  (Contributed by Stefan
       O'Rear, 31-Jan-2015.) $)
    mrcidb $p |- ( C e. ( Moore ` X ) -> ( U e. C <-> ( F ` U ) = U ) ) $=
      ( cmre cfv wcel wceq mrcid wa simpr mrcssv adantr eqsstrrd mrccl eqeltrrd
      wss syldan impbida ) ADFGHZBAHBCGZBIZABCDEJUAUCKZUBBAUAUCLZUAUCBDRUBAHUDB
      UBDUEUAUBDRUCABCDEMNOABCDEPSQT $.

    $( Closure preserves subset ordering.  (Contributed by Stefan O'Rear,
       31-Jan-2015.) $)
    mrcss $p |- ( ( C e. ( Moore ` X ) /\ U C_ V /\ V C_ X ) ->
        ( F ` U ) C_ ( F ` V ) ) $=
      ( vs cmre cfv wcel wss w3a cv crab cint wi sstr2 adantr wceq mrcval intss
      ss2rabdv syl 3ad2ant2 simp1 sstr 3adant1 syl2anc 3adant2 3sstr4d ) AEHIJZ
      BDKZDEKZLZBGMZKZGANZOZDUOKZGANZOZBCIZDCIZULUKURVAKZUMULUTUQKVDULUSUPGAULU
      SUPPUOAJBDUOQRUBUTUQUAUCUDUNUKBEKZVBURSUKULUMUEULUMVEUKBDEUFUGABCEGFTUHUK
      UMVCVASULADCEGFTUIUJ $.

    $( The closure of a set is a superset.  (Contributed by Stefan O'Rear,
       31-Jan-2015.) $)
    mrcssid $p |- ( ( C e. ( Moore ` X ) /\ U C_ X ) -> U C_ ( F ` U ) ) $=
      ( vs cmre cfv wcel wss wa cv crab cint ssintub mrcval sseqtrrid ) ADGHIBD
      JKBFLJFAMNBBCHFBAOABCDFEPQ $.

    $( A set is closed iff it contains its closure.  (Contributed by Stefan
       O'Rear, 2-Apr-2015.) $)
    mrcidb2 $p |- ( ( C e. ( Moore ` X ) /\ U C_ X ) ->
        ( U e. C <-> ( F ` U ) C_ U ) ) $=
      ( cmre cfv wcel wss wa wceq wb mrcidb eqss mrcssid biantrud bitr4id bitrd
      adantr ) ADFGHZBDIZJZBAHZBCGZBKZUDBIZTUCUELUAABCDEMSUBUEUFBUDIZJUFUDBNUBU
      GUFABCDEOPQR $.

    $( The closure operation is idempotent.  (Contributed by Stefan O'Rear,
       31-Jan-2015.) $)
    mrcidm $p |- ( ( C e. ( Moore ` X ) /\ U C_ X ) ->
        ( F ` ( F ` U ) ) = ( F ` U ) ) $=
      ( cmre cfv wcel wss wceq mrccl mrcid syldan ) ADFGHBDIBCGZAHNCGNJABCDEKAN
      CDELM $.

    $( The closure is the minimal closed set; any closed set which contains the
       generators is a superset of the closure.  (Contributed by Stefan O'Rear,
       31-Jan-2015.) $)
    mrcsscl $p |- ( ( C e. ( Moore ` X ) /\ U C_ V /\ V e. C ) ->
        ( F ` U ) C_ V ) $=
      ( cmre cfv wcel wss w3a mress 3adant2 mrcss syld3an3 wceq mrcid sseqtrd )
      AEGHIZBDJZDAIZKBCHZDCHZDSTUADEJZUBUCJSUAUDTADELMABCDEFNOSUAUCDPTADCEFQMR
      $.

    $( Idempotence of closure under a general union.  (Contributed by Stefan
       O'Rear, 31-Jan-2015.) $)
    mrcuni $p |- ( ( C e. ( Moore ` X ) /\ U C_ ~P X ) ->
        ( F ` U. U ) = ( F ` U. ( F " U ) ) ) $=
      ( vs vx cfv wcel wss wa cuni cv wral syl2anc adantr unissb sylibr syl3anc
      mrcss cmre cpw cima simpl simpll ssel2 elpwid adantll mrcssid wfun cdm wi
      mrcf ffund fdmd sseq2d biimpar funfvima2 imp elssuni syl ralrimiva mrcssv
      sstrd ralrimivw wfn wb ffnd sseq1 ralima sylan mpbird adantl sspwuni wceq
      biimpi mrcidm sseqtrd eqssd ) ADUAHIZBDUBZJZKZBLZCHZCBUCZLZCHZWCVTWDWGJZW
      GDJZWEWHJVTWBUDZWCFMZWGJZFBNWIWCWMFBWCWLBIZKZWLWLCHZWGWOVTWLDJZWLWPJVTWBW
      NUEWBWNWQVTWBWNKWLDBWAWLUFUGUHAWLCDEUIOWOWPWFIZWPWGJWCWNWRWCCUJZBCUKZJZWN
      WRULVTWSWBVTWAACACDEUMZUNPVTXAWBVTWTWABVTWAACXBUOUPUQBWLCUROUSWPWFUTVAVDV
      BFBWGQRWCWQFWFNZWJWCXCGMZCHZDJZGBNZWCXFGBVTXFWBAXDCDEVCPVEVTCWAVFZWBXCXGV
      GVTWAACXBVHZWQXFFGWABCWLXEDVIVJVKVLFWFDQRAWDCWGDETSWCWHWECHZWEWCVTWGWEJZW
      EDJZWHXJJWKWCWLWEJZFWFNZXKWCXNXEWEJZGBNZWCXOGBWCXDBIZKVTXDWDJZWDDJZXOVTWB
      XQUEXQXRWCXDBUTVMWCXSXQWBXSVTWBXSBDVNVPVMZPAXDCWDDETSVBVTXHWBXNXPVGXIXMXO
      FGWABCWLXEWEVIVJVKVLFWFWEQRVTXLWBAWDCDEVCPAWGCWEDETSWCVTXSXJWEVOWKXTAWDCD
      EVQOVRVS $.

    $( Idempotence of closure under a pair union.  (Contributed by Stefan
       O'Rear, 31-Jan-2015.) $)
    mrcun $p |- ( ( C e. ( Moore ` X ) /\ U C_ X /\ V C_ X ) ->
        ( F ` ( U u. V ) ) = ( F ` ( ( F ` U ) u. ( F ` V ) ) ) ) $=
      ( cfv wcel wss cpr cuni cun wceq elpw2g syl biimpar syl2anc fveq2d fvex
      wb cmre w3a cima cpw simp1 mre1cl 3adant3 3adant2 prssd mrcuni uniprg wfn
      mrcf ffnd 3ad2ant1 fnimapr syl3anc unieqd unipr eqtrdi 3eqtr3d ) AEUAGHZB
      EIZDEIZUBZBDJZKZCGZCVFUCZKZCGZBDLZCGBCGZDCGZLZCGVEVBVFEUDZIVHVKMVBVCVDUEV
      EBDVPVBVCBVPHZVDVBVQVCVBEAHZVQVCTAEUFZBEANOPUGZVBVDDVPHZVCVBWAVDVBVRWAVDT
      VSDEANOPUHZUIAVFCEFUJQVEVGVLCVEVQWAVGVLMVTWBBDVPVPUKQRVEVJVOCVEVJVMVNJZKV
      OVEVIWCVECVPULZVQWAVIWCMVBVCWDVDVBVPACACEFUMUNUOVTWBVPBDCUPUQURVMVNBCSDCS
      USUTRVA $.
  $}

  ${
    mrcssd.1 $e |- ( ph -> A e. ( Moore ` X ) ) $.
    mrcssd.2 $e |- N = ( mrCls ` A ) $.
    $( The Moore closure of a set is a subset of the base.  Deduction form of
       ~ mrcssv .  (Contributed by David Moews, 1-May-2017.) $)
    mrcssvd $p |- ( ph -> ( N ` B ) C_ X ) $=
      ( cmre cfv wcel wss mrcssv syl ) ABEHIJCDIEKFBCDEGLM $.

    mrcssd.3 $e |- ( ph -> U C_ V ) $.
    mrcssd.4 $e |- ( ph -> V C_ X ) $.
    $( Moore closure preserves subset ordering.  Deduction form of ~ mrcss .
       (Contributed by David Moews, 1-May-2017.) $)
    mrcssd $p |- ( ph -> ( N ` U ) C_ ( N ` V ) ) $=
      ( cmre cfv wcel wss mrcss syl3anc ) ABFKLMCENEFNCDLEDLNGIJBCDEFHOP $.
  $}

  ${
    mrcssidd.1 $e |- ( ph -> A e. ( Moore ` X ) ) $.
    mrcssidd.2 $e |- N = ( mrCls ` A ) $.
    mrcssidd.3 $e |- ( ph -> U C_ X ) $.
    $( A set is contained in its Moore closure.  Deduction form of ~ mrcssid .
       (Contributed by David Moews, 1-May-2017.) $)
    mrcssidd $p |- ( ph -> U C_ ( N ` U ) ) $=
      ( cmre cfv wcel wss mrcssid syl2anc ) ABEIJKCELCCDJLFHBCDEGMN $.

    $( Moore closure is idempotent.  Deduction form of ~ mrcidm .  (Contributed
       by David Moews, 1-May-2017.) $)
    mrcidmd $p |- ( ph -> ( N ` ( N ` U ) ) = ( N ` U ) ) $=
      ( cmre cfv wcel wss wceq mrcidm syl2anc ) ABEIJKCELCDJZDJPMFHBCDEGNO $.
  $}

  ${
    mressmrcd.1 $e |- ( ph -> A e. ( Moore ` X ) ) $.
    mressmrcd.2 $e |- N = ( mrCls ` A ) $.
    mressmrcd.3 $e |- ( ph -> S C_ ( N ` T ) ) $.
    mressmrcd.4 $e |- ( ph -> T C_ S ) $.
    $( In a Moore system, if a set is between another set and its closure, the
       two sets have the same closure.  Deduction form.  (Contributed by David
       Moews, 1-May-2017.) $)
    mressmrcd $p |- ( ph -> ( N ` S ) = ( N ` T ) ) $=
      ( cfv mrcssvd mrcssd sstrd mrcidmd sseqtrd eqssd ) ACEKZDEKZARSEKSABCESFG
      HIABDEFGHLZMABDEFGHADCFJACSFITNZNOPABDECFGHJUAMQ $.
  $}

  ${
    submrc.f $e |- F = ( mrCls ` C ) $.
    submrc.g $e |- G = ( mrCls ` ( C i^i ~P D ) ) $.
    $( In a closure system which is cut off above some level, closures below
       that level act as normal.  (Contributed by Stefan O'Rear,
       9-Mar-2015.) $)
    submrc $p |- ( ( C e. ( Moore ` X ) /\ D e. C /\ U C_ D ) ->
        ( G ` U ) = ( F ` U ) ) $=
      ( cmre cfv wcel wss w3a 3adant3 mrcssidd mrccl syl2anc mrcsscl syl3anc
      cpw submre simp1 simp3 mress sstrd 3com23 fvex sylibr elind elin1d eqssd
      cin elpw ) AFIJKZBAKZCBLZMZCEJZCDJZUQABTZULZBIJKZCUSLUSVAKURUSLUNUOVBUPBA
      FUANZUQACDFUNUOUPUBZGUQCBFUNUOUPUCZUNUOBFLUPABFUDNUEZOUQAUTUSUQUNCFLUSAKV
      DVFACDFGPQUQUSBLZUSUTKUNUPUOVGACDBFGRUFUSBCDUGUMUHUIVACEUSBHRSUQUNCURLURA
      KUSURLVDUQVACEBVCHVEOUQAUTURUQVBUPURVAKVCVEVACEBHPQUJACDURFGRSUK $.
  $}

  ${
    mrieqvlemd.1 $e |- ( ph -> A e. ( Moore ` X ) ) $.
    mrieqvlemd.2 $e |- N = ( mrCls ` A ) $.
    mrieqvlemd.3 $e |- ( ph -> S C_ X ) $.
    mrieqvlemd.4 $e |- ( ph -> Y e. S ) $.
    $( In a Moore system, if ` Y ` is a member of ` S ` , ` ( S \ { Y } ) ` and
       ` S ` have the same closure if and only if ` Y ` is in the closure of
       ` ( S \ { Y } ) ` .  Used in the proof of ~ mrieqvd and ~ mrieqv2d .
       Deduction form.  (Contributed by David Moews, 1-May-2017.) $)
    mrieqvlemd $p |- ( ph -> ( Y e. ( N ` ( S \ { Y } ) ) <->
                               ( N ` ( S \ { Y } ) ) = ( N ` S ) ) ) $=
      ( csn cdif cfv wcel wceq wa adantr cun mrcssidd simpr undif1 wss ssdifssd
      cmre snssd unssd eqsstrrid unssad difssd mressmrcd eqcomd sseldd eleqtrrd
      impbida ) AFCFKZLZDMZNZUQCDMZOZAURPZUSUQVABCUPDEABEUDMNURGQZHVACUOUQVACUO
      RUPUORUQCUOUAVAUPUOUQVABUPDEVBHVACEUOACEUBURIQUCSVAFUQAURTUEUFUGUHVACUOUI
      UJUKAUTPFUSUQAFUSNUTACUSFABCDEGHISJULQAUTTUMUN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Independent sets in a Moore system
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A c s x $.  $d c N $.  $d s X $.
    mrisval.1 $e |- N = ( mrCls ` A ) $.
    mrisval.2 $e |- I = ( mrInd ` A ) $.
    $( Value of the set of independent sets of a Moore system.  (Contributed by
       David Moews, 1-May-2017.) $)
    mrisval $p |- ( A e. ( Moore ` X ) -> I = { s e. ~P X |
                    A. x e. s -. x e. ( N ` ( s \ { x } ) ) } ) $=
      ( vc cmre cfv wcel cv wn wral cuni cpw crab cmri cmrc cdif wceq fvssunirn
      csn sseli unieq pweqd fveq2 eqtr4di fveq1d eleq2d notbid rabeqbidv df-mri
      crn ralbidv vuniex pwex rabex fvmpt3i syl eqtrid mreuni rabeqdv eqtrd ) B
      EJKZLZCAMZFMZVHUDUAZDKZLZNZAVIOZFBPZQZRZVNFEQZRVGCBSKZVQHVGBJUOPZLVSVQUBV
      FVTBJEUCUEIBVHVJIMZTKZKZLZNZAVIOZFWAPZQZRVQVTSWABUBZWFVNFWHVPWIWGVOWABUFU
      GWIWEVMAVIWIWDVLWIWCVKVHWIVJWBDWIWBBTKDWABTUHGUIUJUKULUPUMAFIUNWFFWHWGIUQ
      URUSUTVAVBVGVNFVPVRVGVOEBEVCUGVDVE $.
  $}

  ${
    $d A s x $.  $d s S x $.  $d s X $.  $d s N $.
    ismri.1 $e |- N = ( mrCls ` A ) $.
    ismri.2 $e |- I = ( mrInd ` A ) $.
    $( Criterion for a set to be an independent set of a Moore system.
       (Contributed by David Moews, 1-May-2017.) $)
    ismri $p |- ( A e. ( Moore ` X ) -> ( S e. I <->
                  ( S C_ X /\ A. x e. S -. x e. ( N ` ( S \ { x } ) ) ) ) ) $=
      ( vs cmre cfv wcel cpw cv cdif wn wral wa eleq2d cvv csn wss crab mrisval
      wceq difeq1 fveq2d notbid raleqbi1dv elrab bitrdi wb elfvex elpw2g anbi1d
      syl bitrd ) BFJKLZCDLZCFMZLZANZCVBUAZOZEKZLZPZACQZRZCFUBZVHRURUSCVBINZVCO
      ZEKZLZPZAVKQZIUTUCZLVIURDVQCABDEFIGHUDSVPVHICUTVOVGAVKCVKCUEZVNVFVRVMVEVB
      VRVLVDEVKCVCUFUGSUHUIUJUKURVAVJVHURFTLVAVJULBFJUMCFTUNUPUOUQ $.
  $}

  ${
    $d A x $.  $d S x $.
    ismri2.1 $e |- N = ( mrCls ` A ) $.
    ismri2.2 $e |- I = ( mrInd ` A ) $.
    $( Criterion for a subset of the base set in a Moore system to be
       independent.  (Contributed by David Moews, 1-May-2017.) $)
    ismri2 $p |- ( ( A e. ( Moore ` X ) /\ S C_ X ) ->
                   ( S e. I <-> A. x e. S -. x e. ( N ` ( S \ { x } ) ) ) ) $=
      ( cmre cfv wcel wss cv csn cdif wn wral ismri baibd ) BFIJKCDKCFLAMZCTNOE
      JKPACQABCDEFGHRS $.

    ismri2d.3 $e |- ( ph -> A e. ( Moore ` X ) ) $.
    ismri2d.4 $e |- ( ph -> S C_ X ) $.
    $( Criterion for a subset of the base set in a Moore system to be
       independent.  Deduction form.  (Contributed by David Moews,
       1-May-2017.) $)
    ismri2d $p |- ( ph ->
                    ( S e. I <-> A. x e. S -. x e. ( N ` ( S \ { x } ) ) ) ) $=
      ( cmre cfv wcel wss cv csn cdif wn wral wb ismri2 syl2anc ) ACGLMNDGODENB
      PZDUDQRFMNSBDTUAJKBCDEFGHIUBUC $.

    ismri2dd.5 $e |- ( ph -> A. x e. S -. x e. ( N ` ( S \ { x } ) ) ) $.
    $( Definition of independence of a subset of the base set in a Moore
       system.  One-way deduction form.  (Contributed by David Moews,
       1-May-2017.) $)
    ismri2dd $p |- ( ph -> S e. I ) $=
      ( wcel cv csn cdif cfv wn wral ismri2d mpbird ) ADEMBNZDUBOPFQMRBDSLABCDE
      FGHIJKTUA $.
  $}

  ${
    $d A x $.  $d S x $.
    mriss.1 $e |- I = ( mrInd ` A ) $.
    $( An independent set of a Moore system is a subset of the base set.
       (Contributed by David Moews, 1-May-2017.) $)
    mriss $p |- ( ( A e. ( Moore ` X ) /\ S e. I ) -> S C_ X ) $=
      ( vx cmre cfv wcel wss cv csn cdif cmrc wn wral eqid ismri simprbda ) ADG
      HIBCIBDJFKZBTLMANHZHIOFBPFABCUADUAQERS $.

    mrissd.2 $e |- ( ph -> A e. ( Moore ` X ) ) $.
    mrissd.3 $e |- ( ph -> S e. I ) $.
    $( An independent set of a Moore system is a subset of the base set.
       Deduction form.  (Contributed by David Moews, 1-May-2017.) $)
    mrissd $p |- ( ph -> S C_ X ) $=
      ( cmre cfv wcel wss mriss syl2anc ) ABEIJKCDKCELGHBCDEFMN $.
  $}

  ${
    $d A x $.  $d S x $.  $d x ph $.  $d x Y $.  $d x N $.
    ismri2dad.1 $e |- N = ( mrCls ` A ) $.
    ismri2dad.2 $e |- I = ( mrInd ` A ) $.
    ismri2dad.3 $e |- ( ph -> A e. ( Moore ` X ) ) $.
    ismri2dad.4 $e |- ( ph -> S e. I ) $.
    ismri2dad.5 $e |- ( ph -> Y e. S ) $.
    $( Consequence of a set in a Moore system being independent.  Deduction
       form.  (Contributed by David Moews, 1-May-2017.) $)
    ismri2dad $p |- ( ph -> -. Y e. ( N ` ( S \ { Y } ) ) ) $=
      ( vx cv csn cdif cfv wcel wn wral mrissd ismri2d mpbid wceq simpr difeq2d
      wa sneqd fveq2d eleq12d notbid rspcdv mpd ) AMNZCUNOZPZEQZRZSZMCTZGCGOZPZ
      EQZRZSZACDRUTKAMBCDEFHIJABCDFIJKUAUBUCAUSVEMGCLAUNGUDZUGZURVDVGUNGUQVCAVF
      UEZVGUPVBEVGUOVACVGUNGVHUHUFUIUJUKULUM $.
  $}

  ${
    $d A x $.  $d S x $.  $d x ph $.
    mrieqvd.1 $e |- ( ph -> A e. ( Moore ` X ) ) $.
    mrieqvd.2 $e |- N = ( mrCls ` A ) $.
    mrieqvd.3 $e |- I = ( mrInd ` A ) $.
    mrieqvd.4 $e |- ( ph -> S C_ X ) $.
    $( In a Moore system, a set is independent if and only if, for all elements
       of the set, the closure of the set with the element removed is unequal
       to the closure of the original set.  Part of Proposition 4.1.3 in
       [FaureFrolicher] p. 83.  (Contributed by David Moews, 1-May-2017.) $)
    mrieqvd $p |- ( ph -> ( S e. I <->
                          A. x e. S ( N ` ( S \ { x } ) ) =/= ( N ` S ) ) ) $=
      ( wcel cv csn cdif cfv wn wral wne adantr ismri2d wa wss simpr mrieqvlemd
      cmre necon3bbid ralbidva bitrd ) ADELBMZDUJNOFPZLZQZBDRUKDFPZSZBDRABCDEFG
      IJHKUAAUMUOBDAUJDLZUBZULUKUNUQCDFGUJACGUFPLUPHTIADGUCUPKTAUPUDUEUGUHUI $.

    $d s S x $.  $d s x ph $.  $d s x I $.  $d s x N $.
    $( In a Moore system, a set is independent if and only if all its proper
       subsets have closure properly contained in the closure of the set.  Part
       of Proposition 4.1.3 in [FaureFrolicher] p. 83.  (Contributed by David
       Moews, 1-May-2017.) $)
    mrieqv2d $p |- ( ph -> ( S e. I <->
                             A. s ( s C. S -> ( N ` s ) C. ( N ` S ) ) ) ) $=
      ( vx wcel wpss cfv wa w3a 3ad2ant1 adantr 3expia cv wi wn pssnel 3ad2ant3
      wal wex cdif cmre wceq simprr difsnb simpl3 pssssd ssdifd eqsstrrd simpl2
      csn sylib mrissd ssdifssd mrcssd difssd simprl sseldd ismri2dad ssnelpssd
      mrcssidd sspsstrd exlimddv alrimiv wral wne cvv elfvexd wss difexd simp1r
      ssexd difsnpss simp2 psseq1d mpbird simp3 mpd fveq2d mpbid spcimdv 3impia
      ex pssned 3com23 mrieqvlemd necon3bbid ralrimiv ismri2d sylibrd impbid )
      ACDMZGUAZCNZWTEOZCEOZNZUBZGUFZAWSXFAWSPXEGAWSXAXDAWSXAQZLUAZCMZXHWTMUCZPZ
      XDLXAAXKLUGWSLWTCUDUEXGXKPZXBCXHURZUHZEOZXCXLBWTEXNFXGBFUIOMZXKAWSXPXAHRS
      ZIXLWTWTXMUHZXNXLXJXRWTUJXGXIXJUKXHWTULUSXLWTCXMXLWTCAWSXAXKUMUNUOUPXLCFX
      MXLBCDFJXQAWSXAXKUQZUTZVAVBXLXOXCXHXLBXNECFXQIXLCXMVCXTVBXLCXCXHXLBCEFXQI
      XTVHXGXIXJVDZVEXLBCDEFXHIJXQXSYAVFVGVIVJTVKWJAXFXHXOMZUCZLCVLZWSAXFYDAXFP
      YCLCAXFXIYCAXFXIQZYCXOXCVMZAXIXFYFAXIXFQXOXCAXIXFXOXCNZAXIPZXEYGGXNVNYHCX
      MVNYHCFVNYHBUIFAXPXIHSVOACFVPZXIKSVSVQYHWTXNUJZXEYGYHYJXEQZXDYGYKXAXDYKXA
      XNCNZYKXIYLAXIYJXEVRXHCVTUSYKWTXNCYHYJXEWAZWBWCYHYJXEWDWEYKXBXOXCYKWTXNEY
      MWFWBWGTWHWIWKWLYEYBXOXCYEBCEFXHAXFXPXIHRIAXFYIXIKRAXFXIWDWMWNWCTWOWJALBC
      DEFIJHKWPWQWR $.
  $}

  ${
    $d A s $.  $d s S $.  $d s T $.  $d s X $.  $d s ph $.  $d s I $.
    $d s N $.
    mrissmrcd.1 $e |- ( ph -> A e. ( Moore ` X ) ) $.
    mrissmrcd.2 $e |- N = ( mrCls ` A ) $.
    mrissmrcd.3 $e |- I = ( mrInd ` A ) $.
    mrissmrcd.4 $e |- ( ph -> S C_ ( N ` T ) ) $.
    mrissmrcd.5 $e |- ( ph -> T C_ S ) $.
    mrissmrcd.6 $e |- ( ph -> S e. I ) $.
    $( In a Moore system, if an independent set is between a set and its
       closure, the two sets are equal (since the two sets must have equal
       closures by ~ mressmrcd , and so are equal by ~ mrieqv2d .)
       (Contributed by David Moews, 1-May-2017.) $)
    mrissmrcd $p |- ( ph -> S = T ) $=
      ( vs wpss wn wceq cfv wi psseq1d mressmrcd pssne necomd necon2bi syl wcel
      cv wal mrissd mrieqv2d mpbid cvv ssexd wa simpr fveq2d imbi12d spcdv mtod
      mpd wss wo sspss sylib ord eqcomd ) ADCADCOZPDCQZAVGDFRZCFRZOZAVJVIQVKPAB
      CDFGHIKLUAVKVJVIVKVIVJVIVJUBUCUDUEANUGZCOZVLFRZVJOZSZNUHZVGVKSZACEUFVQMAB
      CEFGNHIJABCEGJHMUIUJUKAVPVRNDULADCEMLUMAVLDQZUNZVMVGVOVKVTVLDCAVSUOZTVTVN
      VIVJVTVLDFWAUPTUQURUTUSAVGVHADCVAVGVHVBLDCVCVDVEUTVF $.
  $}

  ${
    $d A x $.  $d S x $.  $d T x $.  $d x ph $.
    mrissmrid.1 $e |- ( ph -> A e. ( Moore ` X ) ) $.
    mrissmrid.2 $e |- N = ( mrCls ` A ) $.
    mrissmrid.3 $e |- I = ( mrInd ` A ) $.
    mrissmrid.4 $e |- ( ph -> S e. I ) $.
    mrissmrid.5 $e |- ( ph -> T C_ S ) $.
    $( In a Moore system, subsets of independent sets are independent.
       (Contributed by David Moews, 1-May-2017.) $)
    mrissmrid $p |- ( ph -> T e. I ) $=
      ( vx mrissd sstrd cdif cfv wcel wn wral cv csn ismri2d mpbid sseld ssdifd
      ssdifssd mrcssd ssneld imim12d ralimdv2 mpd ismri2dd ) AMBDEFGIJHADCGLABC
      EGJHKNZOAMUAZCUOUBZPZFQZRSZMCTZUODUPPZFQZRSZMDTACERUTKAMBCEFGIJHUNUCUDAUS
      VCMCDAUODRUOCRUSVCADCUOLUEAVBURUOABVAFUQGHIADCUPLUFACGUPUNUGUHUIUJUKULUM
      $.
  $}

  ${
    $d s X y $.  $d s S y z $.  $d s ph y z $.  $d s y Y z $.  $d s y z Z $.
    $d s y z N $.
    mreexd.1 $e |- ( ph -> X e. V ) $.
    mreexd.2 $e |- ( ph -> A. s e. ~P X A. y e. X
                     A. z e. ( ( N ` ( s u. { y } ) ) \ ( N ` s ) )
                     y e. ( N ` ( s u. { z } ) ) ) $.
    mreexd.3 $e |- ( ph -> S C_ X ) $.
    mreexd.4 $e |- ( ph -> Y e. X ) $.
    mreexd.5 $e |- ( ph -> Z e. ( N ` ( S u. { Y } ) ) ) $.
    mreexd.6 $e |- ( ph -> -. Z e. ( N ` S ) ) $.
    $( In a Moore system, the closure operator is said to have the _exchange
       property_ if, for all elements ` y ` and ` z ` of the base set and
       subsets ` S ` of the base set such that ` z ` is in the closure of
       ` ( S u. { y } ) ` but not in the closure of ` S ` , ` y ` is in the
       closure of ` ( S u. { z } ) ` (Definition 3.1.9 in [FaureFrolicher]
       p. 57 to 58.)  This theorem allows us to construct substitution
       instances of this definition.  (Contributed by David Moews,
       1-May-2017.) $)
    mreexd $p |- ( ph -> Y e. ( N ` ( S u. { Z } ) ) ) $=
      ( csn cun cfv wcel cv cdif wral cpw sselpwd wceq wa adantr ad2antrr simpr
      simplr uneq12d fveq2d eleqtrrd wn neleqtrrd eldifd simpllr eleq12d rspcdv
      sneqd rspcimdv mpd ) ABUAZJUAZCUAZQZRZESZTZCVEVDQZRZESZVEESZUBZUCZBGUCZJG
      UDZUCHDIQZRZESZTZLAVQWBJDVRADGFKMUEAVEDUFZUGZVPWBBHGAHGTWCNUHWDVDHUFZUGZV
      JWBCIVOWFIVMVNWFIDHQZRZESZVMAIWITWCWEOUIWFVLWHEWFVEDVKWGAWCWEUKZWFVDHWDWE
      UJVAULUMUNWFVNDESZIAIWKTUOWCWEPUIWFVEDEWJUMUPUQWFVFIUFZUGZVDHVIWAWDWEWLUK
      WMVHVTEWMVEDVGVSAWCWEWLURWMVFIWFWLUJVAULUMUSUTVBVBVC $.
  $}

  ${
    $d A x $.  $d s X y $.  $d s S x y z $.  $d s x ph y z $.  $d s x y Y z $.
    $d s y z N $.
    mreexmrid.1 $e |- ( ph -> A e. ( Moore ` X ) ) $.
    mreexmrid.2 $e |- N = ( mrCls ` A ) $.
    mreexmrid.3 $e |- I = ( mrInd ` A ) $.
    mreexmrid.4 $e |- ( ph -> A. s e. ~P X A. y e. X
                        A. z e. ( ( N ` ( s u. { y } ) ) \ ( N ` s ) )
                        y e. ( N ` ( s u. { z } ) ) ) $.
    mreexmrid.5 $e |- ( ph -> S e. I ) $.
    mreexmrid.6 $e |- ( ph -> Y e. X ) $.
    mreexmrid.7 $e |- ( ph -> -. Y e. ( N ` S ) ) $.
    $( In a Moore system whose closure operator has the exchange property, if a
       set is independent and an element is not in its closure, then adding the
       element to the set gives another independent set.  Lemma 4.1.5 in
       [FaureFrolicher] p. 84.  (Contributed by David Moews, 1-May-2017.) $)
    mreexmrid $p |- ( ph -> ( S u. { Y } ) e. I ) $=
      ( cun cfv wcel vx csn mrissd snssd unssd cv cdif wn w3a cvv cmre 3ad2ant1
      wa elfvexd wral cpw ssdifssd simp3 difundir simp2 mrcssidd ssneldd nelneq
      wceq syl2anc elsni nsyl difsnb uneq2d eqtrid fveq2d eleqtrd mreexd undif1
      ismri2dad wss ssequn2 neleqtrrd pm2.65i df-3an mtbi imnani adantlr adantl
      sylib ad2antrr eqneltrd sneqd difeq2d difun2 eqtrd wo simpr elun mpjaodan
      eqtrdi ralrimiva ismri2dd ) AUADEIUBZRZFGHLMKAEWSHADEFHMKOUCZAIHPUDUEAUAU
      FZWTXBUBZUGZGSZTZUHZUAWTAXBWTTZUMZXBETZXGXBWSTZAXJXGXHAXJUMZXFAXJXFUIZXLX
      FUMXMIEXCUGZXCRZGSZTXMBCXNGUJHIXBJXMDUKHAXJDHUKSTXFKULZUNAXJBUFZJUFZCUFUB
      RGSTCXSXRUBRGSXSGSUGUOBHUOJHUPUOXFNULXMEHXCXMDEFHMXQAXJEFTXFOULZUCUQAXJIH
      TXFPULXMXBXEXNWSRZGSAXJXFURXMXDYAGXMXDXNWSXCUGZRYAEWSXCUSXMYBWSXNXMXKUHYB
      WSVDXMXBIVDZXKXMXJIETUHZYCUHAXJXFUTZAXJYDXFAEEGSZIADEGHKLXAVAQVBZULXBIEVC
      VEXBIVFZVGXBWSVHWEVIVJVKVLXMDEFGHXBLMXQXTYEVOVMXMXPYFIAXJIYFTUHZXFQULXMXO
      EGXMXOEXCRZEEXCVNXMXCEVPYJEVDXMXBEYEUDXCEVQWEVJVKVRVSAXJXFVTWAWBWCXIXKUMZ
      XEYFXBYKXBIYFXKYCXIYHWDZAYIXHXKQWFWGYKXDEGYKXDEWSUGZEYKXDWTWSUGYMYKXCWSWT
      YKXBIYLWHWIEWSWJWPAYMEVDZXHXKAYDYNYGIEVHWEWFWKVKVRXIXHXJXKWLAXHWMXBEWSWNW
      EWOWQWR $.
  $}

  ${
    $d f F g h j $.  $d f g G h j $.  $d f g h H j $.  $d f g h ph j $.
    $d t u f v g h i I j $.  $d t u f v g h K $.  $d t u f v g h N $.
    $d t u f v g h X $.
    mreexexlemd.1 $e |- ( ph -> X e. J ) $.
    mreexexlemd.2 $e |- ( ph -> F C_ ( X \ H ) ) $.
    mreexexlemd.3 $e |- ( ph -> G C_ ( X \ H ) ) $.
    mreexexlemd.4 $e |- ( ph -> F C_ ( N ` ( G u. H ) ) ) $.
    mreexexlemd.5 $e |- ( ph -> ( F u. H ) e. I ) $.
    mreexexlemd.6 $e |- ( ph -> ( F ~~ K \/ G ~~ K ) ) $.
    mreexexlemd.7 $e |- ( ph -> A. t A. u e. ~P ( X \ t ) A. v e. ~P ( X \ t )
                                ( ( ( u ~~ K \/ v ~~ K ) /\
                                  u C_ ( N ` ( v u. t ) ) /\ ( u u. t ) e. I )
                           -> E. i e. ~P v ( u ~~ i /\ ( i u. t ) e. I ) ) ) $.
    $( This lemma is used to generate substitution instances of the induction
       hypothesis in ~ mreexexd .  (Contributed by David Moews, 1-May-2017.) $)
    mreexexlemd $p |- ( ph -> E. j e. ~P G ( F ~~ j /\ ( j u. H ) e. I ) ) $=
      ( vf vg vh cen wbr wo cun cfv wss wcel cv wa cpw wrex w3a wi cdif wal weq
      wral simplr breq1d orbi12d simpll uneq12d fveq2d sseq12d eleq1d 3anbi123d
      simpr simpllr breq12d simplll anbi12d pweqd cbvrexdva2 imbi12d wceq simpl
      difeq2d adantr cbvraldva2 cbvalvw sylib cvv ssun2 difexd sselpwd eleqtrrd
      a1i ssexd ad2antrr uneq2d rexeqbidv rspcdv rspcimdv spcimdv mpd mp3and )
      AGLUEUFZHLUEUFZUGZGHIUHZMUIZUJZGIUHZJUKZGFULZUEUFZXIIUHZJUKZUMZFHUNZUOZTR
      SAUBULZLUEUFZUCULZLUEUFZUGZXPXRUDULZUHZMUIZUJZXPYAUHZJUKZUPZXPXIUEUFZXIYA
      UHZJUKZUMZFXRUNZUOZUQZUCNYAURZUNZVAZUBYPVAZUDUSZXCXFXHUPZXOUQZACULZLUEUFZ
      BULZLUEUFZUGZUUBUUDDULZUHZMUIZUJZUUBUUGUHZJUKZUPZUUBEULZUEUFZUUNUUGUHZJUK
      ZUMZEUUDUNZUOZUQZBNUUGURZUNZVAZCUVCVAZDUSYSUAUVEYRDUDDUDUTZUVDYQCUBUVCYPU
      VFCUBUTZUMZUVAYNBUCUVCYPUVHBUCUTZUMZUUMYGUUTYMUVJUUFXTUUJYDUULYFUVJUUCXQU
      UEXSUVJUUBXPLUEUVFUVGUVIVBZVCUVJUUDXRLUEUVHUVIVKZVCVDUVJUUBXPUUIYCUVKUVJU
      UHYBMUVJUUDXRUUGYAUVLUVFUVGUVIVEZVFVGVHUVJUUKYEJUVJUUBXPUUGYAUVKUVMVFVIVJ
      UVJUURYKEFUUSYLUVJEFUTZUMZUUOYHUUQYJUVOUUBXPUUNXIUEUVFUVGUVIUVNVLUVJUVNVK
      ZVMUVOUUPYIJUVOUUNXIUUGYAUVPUVFUVGUVIUVNVNVFVIVOUVOUUDXRUVHUVIUVNVBVPVQVR
      UVHUVCYPVSUVIUVHUVBYOUVHUUGYANUVFUVGVTWAVPZWBWCUVQWCWDWEAYRUUAUDIWFAIXGJS
      IXGUJAIGWGWKWLAYAIVSZUMZYQUUAUBGYPUVSGNIURZUNZYPAGUWAUKUVRAGUVTWFANIKOWHZ
      PWIWBUVSYOUVTUVSYAINAUVRVKWAVPZWJUVSXPGVSZUMZYNUUAUCHYPUWEHUWAYPAHUWAUKUV
      RUWDAHUVTWFUWBQWIWMUVSYPUWAVSUWDUWCWBWJUWEXRHVSZUMZYGYTYMXOUWGXTXCYDXFYFX
      HUWGXQXAXSXBUWGXPGLUEUVSUWDUWFVBZVCUWGXRHLUEUWEUWFVKZVCVDUWGXPGYCXEUWHUWG
      YBXDMUWGXRHYAIUWIAUVRUWDUWFVLZVFVGVHUWGYEXGJUWGXPGYAIUWHUWJVFVIVJUWGYKXMF
      YLXNUWGXRHUWIVPUWGYHXJYJXLUWGXPGXIUEUWHVCUWGYIXKJUWGYAIXIUWJWNVIVOWOVRWPW
      QWRWSWT $.
  $}

  ${
    mreexexlem2d.1 $e |- ( ph -> A e. ( Moore ` X ) ) $.
    mreexexlem2d.2 $e |- N = ( mrCls ` A ) $.
    mreexexlem2d.3 $e |- I = ( mrInd ` A ) $.
    mreexexlem2d.4 $e |- ( ph -> A. s e. ~P X A. y e. X
                           A. z e. ( ( N ` ( s u. { y } ) ) \ ( N ` s ) )
                           y e. ( N ` ( s u. { z } ) ) ) $.
    mreexexlem2d.5 $e |- ( ph -> F C_ ( X \ H ) ) $.
    mreexexlem2d.6 $e |- ( ph -> G C_ ( X \ H ) ) $.
    mreexexlem2d.7 $e |- ( ph -> F C_ ( N ` ( G u. H ) ) ) $.
    mreexexlem2d.8 $e |- ( ph -> ( F u. H ) e. I ) $.
    ${
      $d s F g y z $.  $d s g G y z $.  $d s g H y z $.  $d s g ph y z $.
      $d s g y Y z $.  $d s g y z N $.  $d s X y $.
      mreexexlem2d.9 $e |- ( ph -> Y e. F ) $.
      $( Used in ~ mreexexlem4d to prove the induction step in ~ mreexexd .
         See the proof of Proposition 4.2.1 in [FaureFrolicher] p. 86 to 87.
         (Contributed by David Moews, 1-May-2017.) $)
      mreexexlem2d $p |- ( ph -> E. g e. G
                              ( -. g e. ( F \ { Y } ) /\
                                ( ( F \ { Y } ) u. ( H u. { g } ) ) e. I ) ) $=
        ( cv wcel csn cdif wn cun wa wex wrex cfv wss cmre simpr ssun2 difundir
        adantr wceq cin c0 incom ssdifin0 syl eqtr3id minel difsnb sylib uneq2d
        syl2anc eqtrid sseqtrrid mrissd ssdifssd mrcssidd sstrd mrcssvd mrcidmd
        unssd mrcssd sseqtrd sseldd sselid ismri2dad pm2.65da nss simprl simprr
        ssun1 ssneldd unass wral cpw difss unss1 mp1i mrissmrid fveq2d neleqtrd
        difss2d mreexmrid eqeltrrid jca32 ex eximdv mpd df-rex sylibr ) AEUCZGU
        DZXIFLUEZUFZUDUGZXLHXIUEZUHUHZIUDZUIZUIZEUJZXQEGUKAXJXIFHUHZXKUFZJULZUD
        UGZUIZEUJZXSAGYBUMZUGYEAYFLYBUDAYFUIZFYBLYGFGHUHZJULZYBAFYIUMYFTURYGYIY
        BJULYBYGDYHJYBKADKUNULUDZYFNURZOYGGHYBAYFUOAHYBUMYFAHYAYBAXLHUHZHYAHXLU
        PAYAXLHXKUFZUHYLFHXKUQAYMHXLALHUDUGZYMHUSALFUDZHFUTZVAUSYNUBAYPFHUTZVAF
        HVBAFKHUFZUMYQVAUSRFKHVCVDVELFHVFVJLHVGVHVIVKZVLADYAJKNOAXTKXKADXTIKPNU
        AVMVNZVOZVPURVSYGDYAJKYKOVQVTYGDYAJKYKOAYAKUMYFYTURVRWAVPAYOYFUBURZWBYG
        DXTIJKLOPYKAXTIUDZYFUAURYGFXTLFHWIUUBWCWDWEEGYBWFVHAYDXREAYDXRAYDUIZXJX
        MXPAXJYCWGZUUDXLYBXIAXLYBUMYDAXLYAYBAYLXLYAXLHWIYSVLUUAVPURAXJYCWHZWJUU
        DXOYLXNUHIXLHXNWKUUDBCDYLIJKXIMAYJYDNURZOPABUCZMUCZCUCUEUHJULUDCUUIUUHU
        EUHJULUUIJULUFWLBKWLMKWMWLYDQURUUDDXTYLIJKUUGOPAUUCYDUAURXLFUMYLXTUMUUD
        FXKWNXLFHWOWPWQUUDGKXIUUDGKHAGYRUMYDSURWTUUEWBUUDYBYLJULXIUUFUUDYAYLJAY
        AYLUSYDYSURWRWSXAXBXCXDXEXFXQEGXGXH $.
    $}

    ${
      $d F i $.  $d G i $.  $d H i $.  $d i I $.
      mreexexlem3d.9 $e |- ( ph -> ( F = (/) \/ G = (/) ) ) $.
      $( Base case of the induction in ~ mreexexd .  (Contributed by David
         Moews, 1-May-2017.) $)
      mreexexlem3d $p |- ( ph ->
                           E. i e. ~P G ( F ~~ i /\ ( i u. H ) e. I ) ) $=
        ( cpw wcel cen wbr cun cv wa wrex c0 wceq simpr wss cdif cin cfv adantr
        cmre uneq1d uncom un0 eqtr3i eqtrdi fveq2d mrissd unssbd mrcssidd unssd
        sseqtrd ssun2 a1i mrissmrcd ssequn1 sylibr ssind disjdif sseqtrdi sylib
        ss0b mpjaodan 0elpw eqeltrdi cvv elfvexd difss2d ssexd enrefg syl breq2
        uneq1 eleq1d anbi12d rspcev syl12anc ) AFGUBZUCFFUDUEZFHUFZIUCZFEUGZUDU
        EZWSHUFZIUCZUHZEWOUIAFUJWOAFUJUKZXDGUJUKZAXDULAXEUHZFUJUMXDXFFHKHUNZUOU
        JXFFHXGXFWQHUKFHUMXFDWQHIJKADKURUPUCXEMUQZNOXFFHHJUPZXFFGHUFZJUPZXIAFXK
        UMXESUQXFXJHJXFXJUJHUFZHXFGUJHAXEULUSHUJUFXLHHUJUTHVAVBVCVDVIXFDHJKXHNX
        FFHKXFDWQIKOXHAWRXETUQZVEVFVGVHHWQUMXFHFVJVKXMVLFHVMVNAFXGUMXEQUQVOHKVP
        VQFVSVRUAVTGWAWBAFWCUCWPAFKWCADURKMWDAFKHQWEWFFWCWGWHTXCWPWRUHEFWOWSFUK
        ZWTWPXBWRWSFFUDWIXNXAWQIWSFHWJWKWLWMWN $.
    $}

    ${
      $d f g h X $.  $d f g h I i j $.  $d f g h L $.  $d f g h N $.
      $d q s y z N $.  $d q r s F y z $.  $d q r s G y z $.  $d q r s H y z $.
      $d q r s ph y z $.  $d q r I i j $.  $d q r ph i $.  $d q r F i j $.
      $d q r G i j $.  $d q r H i j $.  $d s X y $.
      mreexexlem4d.9 $e |- ( ph -> L e. _om ) $.
      mreexexlem4d.A $e |- ( ph ->
                             A. h A. f e. ~P ( X \ h ) A. g e. ~P ( X \ h )
                             ( ( ( f ~~ L \/ g ~~ L ) /\
                               f C_ ( N ` ( g u. h ) ) /\ ( f u. h ) e. I ) ->
                              E. j e. ~P g ( f ~~ j /\ ( j u. h ) e. I ) ) ) $.
      mreexexlem4d.B $e |- ( ph -> ( F ~~ suc L \/ G ~~ suc L ) ) $.
      $( Induction step of the induction in ~ mreexexd .  (Contributed by David
         Moews, 1-May-2017.) $)
      mreexexlem4d $p |- ( ph ->
                           E. j e. ~P G ( F ~~ j /\ ( j u. H ) e. I ) ) $=
        ( vr vq vi cv cen wbr cun wcel wa cpw wrex c0 wceq cmre cfv adantr cdif
        csn wral wss animorrl mreexexlem3d wne n0 biimpi adantl wn mreexexlem2d
        wex simpr w3a 3anass cvv ad2antrr elfvexd simpr2 difsnb ssdifssd ssdifd
        sylib difun1 sseqtrrdi simpr1 uncom uneq2i unass difsnid uneq1d eqtr3id
        eqsstrrd eqtrid syl fveq2d sseqtrrd simpr3 csuc wo com wi simplr dif1en
        3anan12 sylbir expcom syl2anc orim12d mpd mreexexlemd ad3antrrr difss2d
        wal ssexd simprl simplr1 snssd unssd sselpwd ad3antlr cin simprrl en2sn
        elpwid el2v a1i disjdifr ssdifin0 unen syl22anc eqbrtrrd eqtr2i simprrr
        eqeltrrid rexlimddv breq2 uneq1 eleq1d anbi12d rspcev syl12anc sylan2br
        adantlr exlimddv pm2.61dane ) AIHUKZULUMZUUKKUNZLUOZUPZHJUQZURZIUSAIUSU
        TZUPBCDHIJKLNOPADOVAVBUOZUURQVCRSABUKZPUKZCUKVEUNNVBUOCUVAUUTVEUNNVBUVA
        NVBVDVFBOVFPOUQVFZUURTVCAIOKVDZVGZUURUAVCAJUVCVGZUURUBVCAIJKUNZNVBZVGZU
        URUCVCAIKUNLUOZUURUDVCAUURJUSUTVHVIAIUSVJZUPUHUKZIUOZUUQUHUVJUVLUHVPZAU
        VJUVMUHIVKVLVMAUVLUUQUVJAUVLUPZUIUKZIUVKVEZVDZUOVNZUVQKUVOVEZUNZUNLUOZU
        PZUUQUIJUVNBCDUIIJKLNOUVKPAUUSUVLQVCRSAUVBUVLTVCAUVDUVLUAVCAUVEUVLUBVCA
        UVHUVLUCVCAUVIUVLUDVCAUVLVQVOUVOJUOZUWBUPUVNUWCUVRUWAVRZUUQUWCUVRUWAVSU
        VNUWDUPZUVQUJUKZULUMZUWFUVTUNZLUOZUPZUUQUJJUVSVDZUQZUWEFEGHUJUVQUWKUVTL
        VTMNOUWEDVAOAUUSUVLUWDQWAWBZUWEUVQUVCUVSVDZOUVTVDZUWEUVQUVQUVSVDZUWNUWE
        UVRUWPUVQUTUVNUWCUVRUWAWCUVOUVQWDWGUWEUVQUVCUVSUWEIUVCUVPAUVDUVLUWDUAWA
        WEWFWQOKUVSWHZWIUWEUWKUWNUWOUWEJUVCUVSAUVEUVLUWDUBWAWFUWQWIUWEIUWKUVTUN
        ZNVBZUVPUWEIUVGUWSAUVHUVLUWDUCWAUWEUWRUVFNUWEUWCUWRUVFUTUVNUWCUVRUWAWJZ
        UWCUWRUWKUVSKUNZUNZUVFUVTUXAUWKKUVSWKWLUWCUXBUWKUVSUNZKUNUVFUWKUVSKWMUW
        CUXCJKJUVOWNWOWPWRWSWTXAWEUVNUWCUVRUWAXBUWEIMXCZULUMZJUXDULUMZXDZUVQMUL
        UMZUWKMULUMZXDAUXGUVLUWDUGWAUWEUXEUXHUXFUXIUWEMXEUOZUVLUXEUXHXFAUXJUVLU
        WDUEWAZAUVLUWDXGUXEUXJUVLUPZUXHUXEUXLUPUXJUXEUVLVRUXHUXJUXEUVLXIIMUVKXH
        XJXKXLUWEUXJUWCUXFUXIXFUXKUWTUXFUXJUWCUPZUXIUXFUXMUPUXJUXFUWCVRUXIUXJUX
        FUWCXIJMUVOXHXJXKXLXMXNAEUKZMULUMFUKZMULUMXDUXNUXOGUKZUNNVBVGUXNUXPUNLU
        OVRUXNUUKULUMUUKUXPUNLUOUPHUXOUQURXFFOUXPVDUQZVFEUXQVFGXRUVLUWDUFWAXOUW
        EUWFUWLUOZUWJUPZUPZUWFUVSUNZUUPUOIUYAULUMZUYAKUNZLUOZUUQUXTUYAJVTUXTJOV
        TUWEOVTUOUXSUWMVCUXTJOKAUVEUVLUWDUXSUBXPXQXSUXTUWFUVSJUXTUWFJUVSUXTUWFU
        WKUWEUXRUWJXTYIZXQUXTUVOJUWCUVRUWAUVNUXSYAYBYCYDUXTUVQUVPUNZIUYAULUVLUY
        FIUTAUWDUXSIUVKWNYEUXTUWGUVPUVSULUMZUVQUVPYFUSUTZUWFUVSYFUSUTZUYFUYAULU
        MUWEUXRUWGUWIYGUYGUXTUYGUHUIUVKUVOVTVTYHYJYKUYHUXTUVPIYLYKUXTUWFUWKVGUY
        IUYEUWFJUVSYMWSUVQUWFUVPUVSYNYOYPUXTUYCUWHLUYCUWFUXAUNUWHUWFUVSKWMUXAUV
        TUWFUVSKWKWLYQUWEUXRUWGUWIYRYSUUOUYBUYDUPHUYAUUPUUKUYAUTZUULUYBUUNUYDUU
        KUYAIULUUAUYJUUMUYCLUUKUYAKUUBUUCUUDUUEUUFYTUUGYTUUHUUIUUJ $.
    $}

    $d q f F g h $.  $d f F g h l $.  $d q f g G h $.  $d f g G h l $.
    $d s f g h X y z k $.  $d s f g h ph y z k $.  $d s f g h y I i z k $.
    $d s f g h y z k N $.  $d f g h X k l $.  $d f g h ph k l $.
    $d f g h I i k l $.  $d f g h k l N $.  $d q f g h ph $.  $d q f g h I i $.
    $d q H $.
    mreexexd.9 $e |- ( ph -> ( F e. Fin \/ G e. Fin ) ) $.
    $( Exchange-type theorem.  In a Moore system whose closure operator has the
       exchange property, if ` F ` and ` G ` are disjoint from ` H ` ,
       ` ( F u. H ) ` is independent, ` F ` is contained in the closure of
       ` ( G u. H ) ` , and either ` F ` or ` G ` is finite, then there is a
       subset ` q ` of ` G ` equinumerous to ` F ` such that ` ( q u. H ) ` is
       independent.  This implies the case of Proposition 4.2.1 in
       [FaureFrolicher] p. 86 where either ` ( A \ B ) ` or ` ( B \ A ) ` is
       finite.  The theorem is proven by induction using ~ mreexexlem3d for the
       base case and ~ mreexexlem4d for the induction step.  (Contributed by
       David Moews, 1-May-2017.)  Remove dependencies on ~ ax-rep and
       ~ ax-ac2 .  (Revised by Brendan Leahy, 2-Jun-2021.) $)
    mreexexd $p |- ( ph -> E. q e. ~P G ( F ~~ q /\ ( q u. H ) e. I ) ) $=
      ( vg vf vh vi vl vk cvv cfn wcel ccrd cfv cif elfvexd wn wo cen wbr exmid
      cmre wi ficardid ensymd iftrue breqtrrd a1i wa orcanai syl iffalse adantl
      wceq ex orim12d mpi com cv cun wss w3a cpw wrex cdif wral ficardom ifclda
      wal csuc breq2 orbi12d 3anbi1d imbi1d 2ralbidv albidv imbi2d weq ad2antrr
      c0 csn simplrl elpwid simplrr simpr2 simpr3 simpr1 en0 sylib mreexexlem3d
      orbi12i ralrimivva alrimiv nfv nfa1 nf3an nfra1 nfal nfra2w nfan 3ad2ant1
      simpll2 simpll3 mreexexlem4d expr alrimi 3exp com12 a2d finds mreexexlemd
      ralrimi mpcom ) AUBUCUDUELEFGHUHEUIUJZEUKULZFUKULZUMZIJADUTJMUNQRSTAYLYLU
      OZUPEYOUQURZFYOUQURZUPYLUSAYLYQYPYRYLYQVAAYLEYMYOUQYLYMEEVBVCYLYMYNVDVEVF
      AYPYRAYPVGZFYNYOUQYSFUIUJZFYNUQURAYLYTUAVHZYTYNFFVBVCVIYPYOYNVLAYLYMYNVJV
      KVEVMVNVOYOVPUJAUCVQZYOUQURZUBVQZYOUQURZUPZUUBUUDUDVQZVRIULVSZUUBUUGVRHUJ
      ZVTZUUBUEVQZUQURUUKUUGVRHUJVGUEUUDWAWBZVAZUBJUUGWCZWAZWDUCUUOWDZUDWGZAYLY
      MYNVPYLYMVPUJAEWEVKYSYTYNVPUJUUAFWEVIWFAUUBUFVQZUQURZUUDUURUQURZUPZUUHUUI
      VTZUULVAZUBUUOWDUCUUOWDZUDWGZVAAUUBWRUQURZUUDWRUQURZUPZUUHUUIVTZUULVAZUBU
      UOWDUCUUOWDZUDWGZVAAUUBUGVQZUQURZUUDUVMUQURZUPZUUHUUIVTZUULVAZUBUUOWDZUCU
      UOWDZUDWGZVAAUUBUVMWHZUQURZUUDUWBUQURZUPZUUHUUIVTZUULVAZUBUUOWDZUCUUOWDZU
      DWGZVAAUUQVAUFUGYOUURWRVLZUVEUVLAUWKUVDUVKUDUWKUVCUVJUCUBUUOUUOUWKUVBUVIU
      ULUWKUVAUVHUUHUUIUWKUUSUVFUUTUVGUURWRUUBUQWIUURWRUUDUQWIWJWKWLWMWNWOUFUGW
      PZUVEUWAAUWLUVDUVTUDUWLUVCUVRUCUBUUOUUOUWLUVBUVQUULUWLUVAUVPUUHUUIUWLUUSU
      VNUUTUVOUURUVMUUBUQWIUURUVMUUDUQWIWJWKWLWMWNWOUURUWBVLZUVEUWJAUWMUVDUWIUD
      UWMUVCUWGUCUBUUOUUOUWMUVBUWFUULUWMUVAUWEUUHUUIUWMUUSUWCUUTUWDUURUWBUUBUQW
      IUURUWBUUDUQWIWJWKWLWMWNWOUURYOVLZUVEUUQAUWNUVDUUPUDUWNUVCUUMUCUBUUOUUOUW
      NUVBUUJUULUWNUVAUUFUUHUUIUWNUUSUUCUUTUUEUURYOUUBUQWIUURYOUUDUQWIWJWKWLWMW
      NWOAUVKUDAUVJUCUBUUOUUOAUUBUUOUJZUUDUUOUJZVGZVGZUVIUULUWRUVIVGZBCDUEUUBUU
      DUUGHIJKADJUTULUJZUWQUVIMWQNOABVQZKVQZCVQWSVRIULUJCUXBUXAWSVRIULUXBIULWCW
      DBJWDKJWAWDZUWQUVIPWQUWSUUBUUNAUWOUWPUVIWTXAUWSUUDUUNAUWOUWPUVIXBXAUWRUVH
      UUHUUIXCUWRUVHUUHUUIXDUWSUVHUUBWRVLZUUDWRVLZUPUWRUVHUUHUUIXEUVFUXDUVGUXEU
      UBXFUUDXFXIXGXHVMXJXKUVMVPUJZAUWAUWJAUXFUWAUWJVAAUXFUWAUWJAUXFUWAVTZUWIUD
      AUXFUWAUDAUDXLUXFUDXLUVTUDXMXNUXGUWHUCUUOAUXFUWAUCAUCXLUXFUCXLUVTUCUDUVSU
      CUUOXOXPXNUXGUWOUWHUXGUWOVGUWGUBUUOUXGUWOUBAUXFUWAUBAUBXLUXFUBXLUVTUBUDUV
      RUCUBUUOUUOXQXPXNUWOUBXLXRUXGUWOUWPUWGUXGUWQVGZUWFUULUXHUWFVGZBCDUCUBUDUE
      UUBUUDUUGHUVMIJKUXGUWTUWQUWFAUXFUWTUWAMXSWQNOUXGUXCUWQUWFAUXFUXCUWAPXSWQU
      XIUUBUUNUXGUWOUWPUWFWTXAUXIUUDUUNUXGUWOUWPUWFXBXAUXHUWEUUHUUIXCUXHUWEUUHU
      UIXDAUXFUWAUWQUWFXTAUXFUWAUWQUWFYAUXHUWEUUHUUIXEYBVMYCYJVMYJYDYEYFYGYHYKY
      I $.
  $}

  ${
    $d s X y z $.  $d s ph y z $.  $d s y I z $.  $d s y z N $.  $d S i $.
    $d T i $.  $d ph i $.  $d i I $.
    mreexdomd.1 $e |- ( ph -> A e. ( Moore ` X ) ) $.
    mreexdomd.2 $e |- N = ( mrCls ` A ) $.
    mreexdomd.3 $e |- I = ( mrInd ` A ) $.
    mreexdomd.4 $e |- ( ph -> A. s e. ~P X A. y e. X
                        A. z e. ( ( N ` ( s u. { y } ) ) \ ( N ` s ) )
                        y e. ( N ` ( s u. { z } ) ) ) $.
    mreexdomd.5 $e |- ( ph -> S C_ ( N ` T ) ) $.
    mreexdomd.6 $e |- ( ph -> T C_ X ) $.
    mreexdomd.7 $e |- ( ph -> ( S e. Fin \/ T e. Fin ) ) $.
    mreexdomd.8 $e |- ( ph -> S e. I ) $.
    $( In a Moore system whose closure operator has the exchange property, if
       ` S ` is independent and contained in the closure of ` T ` , and either
       ` S ` or ` T ` is finite, then ` T ` dominates ` S ` .  This is an
       immediate consequence of ~ mreexexd .  (Contributed by David Moews,
       1-May-2017.) $)
    mreexdomd $p |- ( ph -> S ~<_ T ) $=
      ( vi c0 cv cen wbr cun wcel wa cdom cpw cdif mrissd dif0 sseqtrrdi fveq2i
      cfv un0 eqeltrid mreexexd simprrl wss simprl elpwid wi cmre elfvexd ssexd
      cvv ssdomg syl adantr mpd endomtr syl2anc rexlimddv ) AESUAZUBUCZVNTUDGUE
      ZUFZEFUGUCZSFUHZABCDEFTGHIJSKLMNAEIITUIZADEGIMKRUJIUKZULAFIVTPWAULAEFHUNF
      TUDZHUNOWBFHFUOUMULAETUDEGEUORUPQUQAVNVSUEZVQUFZUFZVOVNFUGUCZVRAWCVOVPURW
      EVNFUSZWFWEVNFAWCVQUTVAAWGWFVBZWDAFVFUEWHAFIVFADVCIKVDPVEVNFVFVGVHVIVJEVN
      FVKVLVM $.
  $}

  ${
    $d s X y z $.  $d s ph y z $.  $d s y I z $.  $d s y z N $.
    mreexfidimd.1 $e |- ( ph -> A e. ( Moore ` X ) ) $.
    mreexfidimd.2 $e |- N = ( mrCls ` A ) $.
    mreexfidimd.3 $e |- I = ( mrInd ` A ) $.
    mreexfidimd.4 $e |- ( ph -> A. s e. ~P X A. y e. X
                          A. z e. ( ( N ` ( s u. { y } ) ) \ ( N ` s ) )
                          y e. ( N ` ( s u. { z } ) ) ) $.
    mreexfidimd.5 $e |- ( ph -> S e. I ) $.
    mreexfidimd.6 $e |- ( ph -> T e. I ) $.
    mreexfidimd.7 $e |- ( ph -> S e. Fin ) $.
    mreexfidimd.8 $e |- ( ph -> ( N ` S ) = ( N ` T ) ) $.
    $( In a Moore system whose closure operator has the exchange property, if
       two independent sets have equal closure and one is finite, then they are
       equinumerous.  Proven by using ~ mreexdomd twice.  This implies a
       special case of Theorem 4.2.2 in [FaureFrolicher] p. 87.  (Contributed
       by David Moews, 1-May-2017.) $)
    mreexfidimd $p |- ( ph -> S ~~ T ) $=
      ( cdom wbr cen cfv mrcssidd sseqtrd cfn wcel orcd mreexdomd sseqtrrd olcd
      mrissd sbth syl2anc ) AEFSTFESTEFUATABCDEFGHIJKLMNAEEHUBZFHUBZADEHIKLADEG
      IMKOUKZUCRUDADFGIMKPUKZAEUEUFZFUEUFZQUGOUHABCDFEGHIJKLMNAFUOUNADFHIKLUQUC
      RUIUPAURUSQUJPUHEFULUM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Algebraic closure systems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d C c f s $.  $d C t y $.  $d F f s t y z $.  $d S s y $.  $d X c f s x $.
    $d X t y $.
    $( A set is an algebraic closure system iff it is specified by some
       function of the finite subsets, such that a set is closed iff it does
       not expand under the operation.  (Contributed by Stefan O'Rear,
       2-Apr-2015.) $)
    isacs $p |- ( C e. ( ACS ` X ) <-> ( C e. ( Moore ` X ) /\
          E. f ( f : ~P X --> ~P X /\ A. s e. ~P X ( s e. C <->
                  U. ( f " ( ~P s i^i Fin ) ) C_ s ) ) ) ) $=
      ( vc vx cacs cfv wcel cvv cmre cpw cv wf wb wral wa wex elfvex crab fveq2
      cfn cin cima cuni wss adantr wceq feq23d raleqdv anbi12d exbidv rabeqbidv
      wel pweq df-acs fvex rabex fvmpt eleq2d eleq2 bibi1d ralbidv anbi2d elrab
      bitrdi pm5.21nii ) ACGHZIZCJIZACKHZIZCLZVMBMZNZDMZAIZVNVPLUBUCUDUEVPUFZOZ
      DVMPZQZBRZQZACGSVLVJWBACKSUGVJVIAVODEUNZVROZDVMPZQZBRZEVKTZIWCVJVHWIAFCFM
      ZLZWKVNNZWEDWKPZQZBRZEWJKHZTWIJGWJCUHZWOWHEWPVKWJCKUAWQWNWGBWQWLVOWMWFWQW
      KWKVMVMVNWJCUOZWRUIWQWEDWKVMWRUJUKULUMFBDEUPWHEVKCKUQURUSUTWHWBEAVKEMZAUH
      ZWGWABWTWFVTVOWTWEVSDVMWTWDVQVRWSAVPVAVBVCVDULVEVFVG $.

    $( Algebraic closure systems are closure systems.  (Contributed by Stefan
       O'Rear, 2-Apr-2015.) $)
    acsmre $p |- ( C e. ( ACS ` X ) -> C e. ( Moore ` X ) ) $=
      ( vf vs cacs cfv wcel cmre cpw cv wf cfn cin cima cuni wss wb wral wa wex
      isacs simplbi ) ABEFGABHFGBIZUCCJZKDJZAGUDUEILMNOUEPQDUCRSCTACBDUAUB $.

    isacs2.f $e |- F = ( mrCls ` C ) $.
    $( In the definition of an algebraic closure system, we may always take the
       operation being closed over as the Moore closure.  (Contributed by
       Stefan O'Rear, 2-Apr-2015.) $)
    isacs2 $p |- ( C e. ( ACS ` X ) <-> ( C e. ( Moore ` X ) /\
          A. s e. ~P X ( s e. C <->
              A. y e. ( ~P s i^i Fin ) ( F ` y ) C_ s ) ) ) $=
      ( vf vt vz cfv wcel cpw cv cfn cin wss wb wral wa sseq1d cacs cmre wf wex
      cima cuni isacs ciun wfun wceq ffun funiunfv iunss bitr3di bibi2d ralbidv
      syl pm5.32i simpll elinel1 elpwid adantl simplr mrcsscl syl3anc ralrimiva
      exbii ad4ant14 weq fveq2 simplll elpwi ad2antlr sstrd mrccl syl2anc eleq1
      wi pweq ineq1d raleqbidv bibi12d simprr ad2antrr mresspw ad3antrrr sseldd
      sseq2 rspcdva mpbid mrcssidd vex elpw sylibr elinel2 elind sstr2 ralimdva
      imp cbvralvw sylib mpbird impbida exlimdv mrcf fssd cmrc fvexi feq1 fveq1
      ex bitrdi anbi12d spcev sylan impbid syl5bb bitri ) BDUAJKBDUBJKZDLZXTGMZ
      UCZHMZBKZYAYCLZNOZUEUFZYCPZQZHXTRZSZGUDZSXSEMZBKZAMZCJZYMPZAYMLZNOZRZQZEX
      TRZSBGDHUGXSYLUUBYLYBYDIMZYAJZYCPZIYFRZQZHXTRZSZGUDZXSUUBYKUUIGYBYJUUHYBY
      IUUGHXTYBYHUUFYDYBIYFUUDUHZYCPYHUUFYBUUKYGYCYBYAUIUUKYGUJXTXTYAUKIYFYAULU
      QTIYFUUDYCUMUNUOUPURVGXSUUJUUBXSUUIUUBGXSUUIUUBXSUUISZUUAEXTUULYMXTKZSZYN
      YTXSYNYTUUIUUMXSYNSZYQAYSUUOYOYSKZSXSYOYMPZYNYQXSYNUUPUSUUPUUQUUOUUPYOYMY
      OYRNUTVAZVBXSYNUUPVCBYOCYMDFVDVEVFVHUUNYTSZYNUUDYMPZIYSRZUUSYOYAJZYMPZAYS
      RZUVAUUNYTUVDUUNYQUVCAYSUUNUUPSZUVBYPPZYQUVCVRUVEUUDYPPZUVFIYPLZNOZYOIAVI
      ZUUDUVBYPUUCYOYAVJTUVEYPBKZUVGIUVIRZUVEXSYODPUVKXSUUIUUMUUPVKZUVEYOYMDUUP
      UUQUUNUURVBUUMYMDPUULUUPYMDVLVMVNZBYOCDFVOVPZUVEUUGUVKUVLQHXTYPYCYPUJZYDU
      VKUUFUVLYCYPBVQUVPUUEUVGIYFUVIUVPYEUVHNYCYPVSVTYCYPUUDWHWAWBUULUUHUUMUUPX
      SYBUUHWCZWDUVEBXTYPXSBXTPUUIUUMUUPBDWEZWFUVOWGWIWJUVEUVHNYOUVEYOYPPYOUVHK
      UVEBYOCDUVMFUVNWKYOYPAWLWMWNUUPYONKUUNYOYRNWOVBWPWIUVBYPYMWQUQWRWSUVCUUTA
      IYSAIVIUVBUUDYMYOUUCYAVJTWTXAUUSUUGYNUVAQHXTYMHEVIZYDYNUUFUVAYCYMBVQZUVSU
      UEUUTIYFYSUVSYEYRNYCYMVSVTZYCYMUUDWHWAWBUULUUHUUMYTUVQWDUULUUMYTVCWIXBXCV
      FXKXDXSUUBUUJXSXTXTCUCZUUBUUJXSXTBXTCBCDFXEUVRXFUUIUWBUUBSGCCBXGFXHYACUJZ
      YBUWBUUHUUBXTXTYACXIUWCUUHYDYPYCPZAYFRZQZHXTRUUBUWCUUGUWFHXTUWCUUFUWEYDUW
      CUUFUUCCJZYCPZIYFRUWEUWCUUEUWHIYFUWCUUDUWGYCUUCYACXJTUPUWHUWDIAYFUVJUWGYP
      YCUUCYOCVJTWTXLUOUPUWFUUAHEXTUVSYDYNUWEYTUVTUVSUWDYQAYFYSUWAYCYMYPWHWAWBW
      TXLXMXNXOXKXPXQURXR $.

    $( A set is closed in an algebraic closure system iff it contains all
       closures of finite subsets.  (Contributed by Stefan O'Rear,
       2-Apr-2015.) $)
    acsfiel $p |- ( C e. ( ACS ` X ) -> ( S e. C <->
          ( S C_ X /\ A. y e. ( ~P S i^i Fin ) ( F ` y ) C_ S ) ) ) $=
      ( vs cacs cfv wcel wss wa cv cpw cfn cin wral cmre acsmre wb ex wceq pweq
      mress sylan pm4.71rd eleq1 ineq1d raleqbidv bibi12d isacs2 simprbi adantr
      sseq2 cdm elfvdm elpw2g syl biimpar rspcdva pm5.32da bitrd ) BEHIJZCBJZCE
      KZVDLVEAMDIZCKZACNZOPZQZLVCVDVEVCVDVEVCBERIJZVDVEBESBCEUDUEUAUFVCVEVDVJVC
      VELGMZBJZVFVLKZAVLNZOPZQZTZVDVJTGENZCVLCUBZVMVDVQVJVLCBUGVTVNVGAVPVIVTVOV
      HOVLCUCUHVLCVFUNUIUJVCVRGVSQZVEVCVKWAABDEGFUKULUMVCCVSJZVEVCEHUOZJWBVETBE
      HUPCEWCUQURUSUTVAVB $.

    $( A set is closed in an algebraic closure system iff it contains all
       closures of finite subsets.  (Contributed by Stefan O'Rear,
       3-Apr-2015.) $)
    acsfiel2 $p |- ( ( C e. ( ACS ` X ) /\ S C_ X ) -> ( S e. C <->
          A. y e. ( ~P S i^i Fin ) ( F ` y ) C_ S ) ) $=
      ( cacs cfv wcel wss cv cpw cfn cin wral acsfiel baibd ) BEGHICBICEJAKDHCJ
      ACLMNOABCDEFPQ $.
  $}

  ${
    acsmred.1 $e |- ( ph -> A e. ( ACS ` X ) ) $.
    $( An algebraic closure system is also a Moore system.  Deduction form of
       ~ acsmre .  (Contributed by David Moews, 1-May-2017.) $)
    acsmred $p |- ( ph -> A e. ( Moore ` X ) ) $=
      ( cacs cfv wcel cmre acsmre syl ) ABCEFGBCHFGDBCIJ $.
  $}

  ${
    $d F a s t $.  $d F f $.  $d V a t $.  $d X a s t $.  $d X f $.
    $d f s t $.
    $( A closure system determined by a function is a closure system and
       algebraic.  (Contributed by Stefan O'Rear, 3-Apr-2015.) $)
    isacs1i $p |- ( ( X e. V /\ F : ~P X --> ~P X ) ->
        { s e. ~P X | U. ( F " ( ~P s i^i Fin ) ) C_ s } e. ( ACS ` X ) ) $=
      ( vf vt va wcel cpw wa cv cfn cin cima cuni wss wral pweq unieqd cvv crab
      wf cmre cfv wb wex cacs ssrab2 a1i cint wceq ineq1d imaeq2d sseq12d inss1
      id elpw2g mpbiri ad2antrr crn imassrn adantl sstrid unissd unipw sseqtrdi
      frn adantr wel inss2 intss1 sspwd ssrind imass2 syl ssel2 simprbi adantll
      elrab sstrd ralrimiva ssint sylibr ssind elrabd ismred2 fssxp pwexg xpexd
      weq cxp ssexg syl2anr simpr elrab3 rgen feq1 imaeq1 sseq1d bibi2d ralbidv
      jctir anbi12d spcedv isacs sylanbrc ) CBHZCIZXHAUBZJZADKZIZLMZNZOZXKPZDXH
      UAZCUCUDHXHXHEKZUBZFKZXQHZXRXTIZLMZNZOZXTPZUEZFXHQZJZEUFXQCUGUDHXJXQCFXQX
      HPXJXPDXHUHUIXJXTXQPZJZXPACXTUJZMZIZLMZNZOZYMPDYMXHXKYMUKZXOYQXKYMYRXNYPY
      RXMYOAYRXLYNLXKYMRULUMSYRUPUNXGYMXHHZXIYJXGYSYMCPCYLUOYMCBUQURUSYKYQCYLXJ
      YQCPYJXJYQXHOCXJYPXHXJYPAUTZXHAYOVAXIYTXHPXGXHXHAVGVBVCVDCVEVFVHYKYQGKZPZ
      GXTQYQYLPYKUUBGXTYKGFVIZJZYQAUUAIZLMZNZOZUUAUUDYPUUGUUDYOUUFPYPUUGPUUDYNU
      UELUUDYMUUAUUCYMUUAPYKUUCYMYLUUACYLVJUUAXTVKVCVBVLVMYOUUFAVNVOVDYJUUCUUHU
      UAPZXJYJUUCJUUAXQHZUUIXTXQUUAVPUUJUUAXHHUUIXPUUIDUUAXHDGWJZXOUUHXKUUAUUKX
      NUUGUUKXMUUFAUUKXLUUELXKUUARULUMSUUKUPUNVSVQVOVRVTWAGYQXTWBWCWDWEWFXJYIXI
      YAAYCNZOZXTPZUEZFXHQZJETAXIAXHXHWKZPUUQTHATHXGXHXHAWGXGXHXHTTCBWHZUURWIAU
      UQTWLWMXJXIUUPXGXIWNUUOFXHXPUUNDXTXHDFWJZXOUUMXKXTUUSXNUULUUSXMYCAUUSXLYB
      LXKXTRULUMSUUSUPUNWOWPXBXRAUKZXSXIYHUUPXHXHXRAWQUUTYGUUOFXHUUTYFUUNYAUUTY
      EUUMXTUUTYDUULXRAYCWRSWSWTXAXCXDXQECFXEXF $.
  $}

  ${
    $d K a b c $.  $d T a b c $.  $d V a b c $.  $d X a b c x $.  $d a d e $.
    $d a f $.  $d b d e $.  $d b f $.  $d c d e $.  $d c f $.  $d d f x $.
    $d e x $.
    $( Algebraicity is a composable property; combining several algebraic
       closure properties gives another.  (Contributed by Stefan O'Rear,
       3-Apr-2015.) $)
    mreacs $p |- ( X e. V -> ( ACS ` X ) e. ( Moore ` ~P X ) ) $=
      ( vx va vf vb vc vd ve cv cfv cpw cmre wcel wss wb wral wa cvv iunss cacs
      wceq fveq2 pweq fveq2d eleq12d wtru acsmre mresspw syl elpwd a1i cint cin
      ssriv cfn cima cuni wex vex mremre mp1i sstr mpan2 mrerintcl syl2anc cmrc
      wf ciun cmpt cxp ssel2 acsmred eqid mrcssvd ralrimiva adantr sylibr elpw2
      wel fmpttd fssxp vpwex xpex ssexg sylancl adantlr elpwi ad2antlr acsfiel2
      ralbidva ralbii ralcom bitri bitr4di elrint2 adantl funmpt funiunfv ax-mp
      wfun sseq1i weq iuneq2d inss1 sspwd sstrid sselda ad2antrr fvmptd3 sseq1d
      syl5bb bitr3id 3bitr4d jca feq1 imaeq1 unieqd bibi2d ralbidv spcedv isacs
      anbi12d sylanbrc ismred2 mptru vtoclg ) CJZUAKZYHLZMKZNZBUAKZBLZMKZNCBAYH
      BUBZYIYMYKYOYHBUAUCYPYJYNMYHBUDUEUFYLUGYIYJDYIYJLZOUGDYIYQDJZYINZYRYJYHMK
      ZYRYHUHZYSYRYTNYRYJOUUAYRYHUIUJUKUOULYRYIOZYJYRUMUNZYINZUGUUBUUCYTNZYJYJE
      JZVHZFJZUUCNZUUFUUHLZUPUNZUQZURZUUHOZPZFYJQZRZEUSUUDUUBYTYKNZYRYTOZUUEYHS
      NZUURUUBCUTZSYHVAVBUUBYIYTOUUSDYIYTUUAUOYRYIYTVCVDYTYRYJVEVFUUBUUQYJYJGYJ
      HYRGJZHJZVGKZKZVIZVJZVHZUUIUVGUUKUQZURZUUHOZPZFYJQZRESUVGUUBUVGYJYJVKZOZU
      VNSNUVGSNUUBUVHUVOUUBGYJUVFYJUUBUVBYJNZRZUVFYHOZUVFYJNUVQUVEYHOZHYRQZUVRU
      UBUVTUVPUUBUVSHYRUUBHDVTZRZUVCUVBUVDYHUWBUVCYHYRYIUVCVLZVMZUVDVNZVOVPVQHY
      RUVEYHTVRUVFYHUVAVSVRWAZYJYJUVGWBUJYJYJCWCZUWGWDUVGUVNSWEWFUUBUVHUVMUWFUU
      BUVLFYJUUBUUHYJNZRZFHVTZHYRQZHYRIJZUVDKZVIZUUHOZIUUKQZUUIUVKUWIUWKUWMUUHO
      ZIUUKQZHYRQZUWPUWIUWJUWRHYRUWIUWARUVCYINZUUHYHOZUWJUWRPUUBUWAUWTUWHUWCWGU
      WHUXAUUBUWAUUHYHWHZWIIUVCUUHUVDYHUWEWJVFWKUWPUWQHYRQZIUUKQUWSUWOUXCIUUKHY
      RUWMUUHTWLUWQIHUUKYRWMWNWOUWHUUIUWKPUUBHYJYRUUHWPWQUVKIUUKUWLUVGKZVIZUUHO
      ZUWIUWPUXEUVJUUHUVGXAUXEUVJUBGYJUVFWRIUUKUVGWSWTXBUXFUXDUUHOZIUUKQUWIUWPI
      UUKUXDUUHTUWIUXGUWOIUUKUWIUWLUUKNZRZUXDUWNUUHUXIGUWLUVFUWNYJUVGSUVGVNGIXC
      HYRUVEUWMUVBUWLUVDUCXDUWIUUKYJUWLUWIUUKUUJYJUUJUPXEUWHUUJYJOUUBUWHUUHYHUX
      BXFWQXGXHUXIUWNYHOZUUTUWNSNUXIUWMYHOZHYRQZUXJUUBUXLUWHUXHUUBUXKHYRUWBUVCU
      WLUVDYHUWDUWEVOVPXIHYRUWMYHTVRUVAUWNYHSWEWFXJXKWKXLXMXNVPXOUUFUVGUBZUUGUV
      HUUPUVMYJYJUUFUVGXPUXMUUOUVLFYJUXMUUNUVKUUIUXMUUMUVJUUHUXMUULUVIUUFUVGUUK
      XQXRXKXSXTYCYAUUCEYHFYBYDWQYEYFYG $.

    $( Algebraicity of a conditional point closure condition.  (Contributed by
       Stefan O'Rear, 3-Apr-2015.) $)
    acsfn $p |- ( ( ( X e. V /\ K e. X ) /\ ( T C_ X /\ T e. Fin ) ) ->
        { a e. ~P X | ( T C_ a -> K e. a ) } e. ( ACS ` X ) ) $=
      ( vb vc wcel wa wss cfn cv wi cpw wceq c0 wral syl wb adantl crab csn cif
      cmpt cin cima cuni cacs cfv ciun wfun funmpt funiunfv mp1i elinel1 elpwid
      elpwi sylan9ssr velpw sylibr adantll weq eqeq1 ifbid eqid snex ifex fvmpt
      0ex iuneq2dv eqtr3d sseq1d iunss sseq1 bibi1d snssg adantr bitr3d 0ss a1i
      biimt wn pm2.21 ifbothda ralbidv ad3antlr syl5bb inss1 sspwd sstrid ralss
      2thd bi2.04 ralbii elpwg biimparc ad2antlr eleq1 imbi1d ceqsralv biantrud
      simplrr elin bitr4di vex elpw2 bitr3di 3bitrd 3bitrrd rabbidva wf snelpwi
      simpll 0elpw ifcl sylancl fmpttd isacs1i syl2anc eqeltrd ) DCHZBDHZIZADJZ
      AKHZIZIZAELZJZBYHHZMZEDNZUAFYLFLZAOZBUBZPUCZUDZYHNZKUEZUFUGZYHJZEYLUAZDUH
      UIZYGYKUUAEYLYGYHYLHZIZUUAGYSGLZAOZYOPUCZUJZYHJZUUGYJMZGYSQZYKUUEYTUUIYHU
      UEGYSUUFYQUIZUJZYTUUIYQUKUUNYTOUUEFYLYPULGYSYQUMUNUUEGYSUUMUUHUUEUUFYSHZI
      UUFYLHZUUMUUHOUUDUUOUUPYGUUDUUOIUUFDJUUPUUOUUDUUFYHDUUOUUFYHUUFYRKUOUPYHD
      UQZURGDUSUTVAFUUFYPUUHYLYQFGVBYNUUGYOPYMUUFAVCVDYQVEUUGYOPBVFVIVGVHRVJVKV
      LUUJUUHYHJZGYSQZUUEUULGYSUUHYHVMYBUUSUULSYAYFUUDYBUURUUKGYSUUGYOYHJZUUKSP
      YHJZUUKSZUURUUKSYBYOPYOUUHOUUTUURUUKYOUUHYHVNVOPUUHOUVAUURUUKPUUHYHVNVOYB
      UUGIYJUUTUUKYBYJUUTSUUGBYHDVPVQUUGYJUUKSYBUUGYJWATVRUUGWBZUVBYBUVCUVAUUKU
      VAUVCYHVSVTUUGYJWCWLTWDWEWFWGUUEUULUUOUUKMZGYLQZAYSHZYJMZYKUUEYSYLJZUULUV
      ESUUDUVHYGUUDYSYRYLYRKWHUUDYHDUUQWIWJTUUKGYSYLWKRUVEUUGUUOYJMZMZGYLQZUUEU
      VGUVDUVJGYLUUOUUGYJWMWNUUEAYLHZUVKUVGSYFUVLYCUUDYEUVLYDADKWOWPWQUVIUVGGAY
      LUUGUUOUVFYJUUFAYSWRWSWTRWGUUEUVFYIYJUUEAYRHZUVFYIUUEUVMUVMYEIUVFUUEYEUVM
      YCYDYEUUDXBXAAYRKXCXDAYHEXEXFXGWSXHXIXJYGYAYLYLYQXKUUBUUCHYAYBYFXMYGFYLYP
      YLYGYPYLHZYMYLHYGYOYLHZPYLHUVNYBUVOYAYFBDXLWQDXNYNYOPYLXOXPVQXQYQCDEXRXSX
      T $.

    $( Algebraicity of a point closure condition.  (Contributed by Stefan
       O'Rear, 3-Apr-2015.) $)
    acsfn0 $p |- ( ( X e. V /\ K e. X ) ->
        { a e. ~P X | K e. a } e. ( ACS ` X ) ) $=
      ( wcel wa cv cpw crab c0 wss wi cacs cfv 0ss a1bi rabbii cfn 0fin acsfn
      mpanr12 eqeltrid ) CBEACEFZADGZEZDCHZIJUDKZUELZDUFIZCMNZUEUHDUFUGUEUDOPQU
      CJCKJREUIUJECOSJABCDTUAUB $.

    $d E a $.
    $( Algebraicity of a one-argument closure condition.  (Contributed by
       Stefan O'Rear, 3-Apr-2015.) $)
    acsfn1 $p |- ( ( X e. V /\ A. b e. X E e. X ) ->
        { a e. ~P X | A. b e. a E e. a } e. ( ACS ` X ) ) $=
      ( wcel wral wa cv cpw crab csn wss wi ciin cin cacs cfv wel wb elpwi snss
      ralss syl vex imbi1i ralbii bitrdi rabbiia riinrab eqtr4i cmre mreacs cfn
      simpll simpr snssi ad2antlr snfi a1i acsfn syl22anc ex ralimdva mreriincl
      imp syl2an2r eqeltrid ) CBFZACFZECGZHADIZFZEVLGZDCJZKZVOECEIZLZVLMZVMNZDV
      OKZOPZCQRZVPVTECGZDVOKWBVNWDDVOVLVOFZVNEDSZVMNZECGZWDWEVLCMVNWHTVLCUAVMEV
      LCUCUDWGVTECWFVSVMVQVLEUEUBUFUGUHUIVTEDVOCUJUKVIWCVOULRFVKWAWCFZECGZWBWCF
      BCUMVIVKWJVIVJWIECVIVQCFZHZVJWIWLVJHZVIVJVRCMZVRUNFZWIVIWKVJUOWLVJUPWKWNV
      IVJVQCUQURWOWMVQUSUTVRABCDVAVBVCVDVFEWCWACVOVEVGVH $.

    $( Algebraicity of a one-argument closure condition with additional
       constant.  (Contributed by Stefan O'Rear, 3-Apr-2015.) $)
    acsfn1c $p |- ( ( X e. V /\ A. b e. K A. c e. X E e. X ) ->
        { a e. ~P X | A. b e. K A. c e. a E e. a } e. ( ACS ` X ) ) $=
      ( wcel wral wa cv cpw crab ciin cin cacs cfv riinrab cmre mreacs syl2an2r
      acsfn1 ex ralimdv imp mreriincl eqeltrrid ) DCHZADHGDIZFBIZJAEKZHGUKIZFBI
      EDLZMUMFBULEUMMZNOZDPQZULFEUMBRUHUPUMSQHUJUNUPHZFBIZUOUPHCDTUHUJURUHUIUQF
      BUHUIUQACDEGUBUCUDUEFUPUNBUMUFUAUG $.

    $( Algebraicity of a two-argument closure condition.  (Contributed by
       Stefan O'Rear, 3-Apr-2015.) $)
    acsfn2 $p |- ( ( X e. V /\ A. b e. X A. c e. X E e. X ) ->
        { a e. ~P X | A. b e. a A. c e. a E e. a } e. ( ACS ` X ) ) $=
      ( wcel wral wa cv crab wss wi ciin cin cfv wel ralss vex riinrab cpw cacs
      cpr wb elpwi r19.21v impexp prss imbi1i bitr3i ralbii 3bitr3g ralbidv syl
      bitrd rabbiia eqtr4i mreacs ad2antrr simpll simprr prssi ancoms ad2ant2lr
      cmre cfn prfi a1i acsfn syl22anc ralimdva imp mreriincl syl2anc eqeltrrid
      expr ex syl2an2r eqeltrid ) CBGZACGZFCHZECHZIADJZGZFWDHZEWDHZDCUAZKZWHECF
      JZEJZUCZWDLZWEMZFCHZDWHKZNOZCUBPZWIWOECHZDWHKWQWGWSDWHWDWHGWDCLZWGWSUDWDC
      UEWTWGEDQZWFMZECHWSWFEWDCRWTXBWOECWTXAWEMZFWDHFDQZXCMZFCHXBWOXCFWDCRXAWEF
      WDUFXEWNFCXEXDXAIZWEMWNXDXAWEUGXFWMWEWJWKWDFSESUHUIUJUKULUMUOUNUPWOEDWHCT
      UQVTWRWHVEPGZWCWPWRGZECHZWQWRGBCURZVTWCXIVTWBXHECVTWKCGZIZWBXHXLWBIZWPWHF
      CWNDWHKZNOZWRWNFDWHCTXMXGXNWRGZFCHZXOWRGVTXGXKWBXJUSXLWBXQXLWAXPFCXLWJCGZ
      WAXPXLXRWAIZIZVTWAWLCLZWLVFGZXPVTXKXSUTXLXRWAVAXKXRYAVTWAXRXKYAWJWKCVBVCV
      DYBXTWJWKVGVHWLABCDVIVJVPVKVLFWRXNCWHVMVNVOVQVKVLEWRWPCWHVMVRVS $.
  $}

$( End $[ set-struct.mm $] $)


$( Begin $[ set-cat.mm $] $)
$(
###############################################################################
  BASIC CATEGORY THEORY
###############################################################################
$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Categories
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Categories
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Cat $. $( The class of all categories. $)
  $c Id $. $( The identity arrow in a category. $)
  $c Homf $. $( The functionalized hom-set operation. $)
  $c comf $. $( The functionalized composition operation. $)

  $( Extend class notation with the class of categories. $)
  ccat $a class Cat $.

  $( Extend class notation with the identity arrow of a category. $)
  ccid $a class Id $.

  $( Extend class notation to include functionalized Hom-set extractor. $)
  chomf $a class Homf $.

  $( Extend class notation to include functionalized composition operation. $)
  ccomf $a class comf $.

  ${
    $d b c f g h k o w x y z .x. $.  $d b c f g h k o w x y z B $.
    $d b c f g h k o w x y z C $.  $d b c f g h k o w x y z H $.
    $( A category is an abstraction of a structure (a group, a topology, an
       order...)  Category theory consists in finding new formulation of the
       concepts associated with those structures (product, substructure...)
       using morphisms instead of the belonging relation.  That trick has the
       interesting property that heterogeneous structures like topologies or
       groups for instance become comparable.  Definition in [Lang] p. 53,
       without the axiom CAT 1, i.e., pairwise disjointness of hom-sets
       ( ~ cat1 ).  See ~ setc2obas and ~ setc2ohom for a counterexample.  In
       contrast to definition 3.1 of [Adamek] p. 21, where "A category is a
       quadruple A = (O, hom, id, o)", a category is defined as an extensible
       structure consisting of three slots: the objects "O"
       ( ` ( Base `` c ) ` ), the morphisms "hom" ( ` ( Hom `` c ) ` ) and the
       composition law "o" ( ` ( comp `` c ) ` ).  The identities "id" are
       defined by their properties related to morphisms and their composition,
       see condition 3.1(b) in [Adamek] p. 21 and ~ df-cid .  (Note: in
       category theory morphisms are also called arrows.)  (Contributed by FL,
       24-Oct-2007.)  (Revised by Mario Carneiro, 2-Jan-2017.) $)
    df-cat $a |- Cat = { c | [. ( Base ` c ) / b ]. [. ( Hom ` c ) / h ].
      [. ( comp ` c ) / o ]. A. x e. b
      ( E. g e. ( x h x ) A. y e. b
        ( A. f e. ( y h x ) ( g ( <. y , x >. o x ) f ) = f /\
          A. f e. ( x h y ) ( f ( <. x , x >. o y ) g ) = f ) /\
        A. y e. b A. z e. b A. f e. ( x h y ) A. g e. ( y h z )
      ( ( g ( <. x , y >. o z ) f ) e. ( x h z ) /\ A. w e. b A. k e. ( z h w )
         ( ( k ( <. y , z >. o w ) g ) ( <. x , y >. o w ) f ) =
         ( k ( <. x , z >. o w ) ( g ( <. x , y >. o z ) f ) ) ) ) } $.

    $( Define the category identity arrow.  Since it is uniquely defined when
       it exists, we do not need to add it to the data of the category, and
       instead extract it by uniqueness.  (Contributed by Mario Carneiro,
       3-Jan-2017.) $)
    df-cid $a |- Id = ( c e. Cat |->
      [_ ( Base ` c ) / b ]_ [_ ( Hom ` c ) / h ]_ [_ ( comp ` c ) / o ]_
      ( x e. b |-> ( iota_ g e. ( x h x ) A. y e. b
        ( A. f e. ( y h x ) ( g ( <. y , x >. o x ) f ) = f /\
          A. f e. ( x h y ) ( f ( <. x , x >. o y ) g ) = f ) ) ) ) $.

    $( Define the functionalized Hom-set operator, which is exactly like
       ` Hom ` but is guaranteed to be a function on the base.  (Contributed by
       Mario Carneiro, 4-Jan-2017.) $)
    df-homf $a |- Homf = ( c e. _V |->
      ( x e. ( Base ` c ) , y e. ( Base ` c ) |-> ( x ( Hom ` c ) y ) ) ) $.

    $( Define the functionalized composition operator, which is exactly like
       ` comp ` but is guaranteed to be a function of the proper type.
       (Contributed by Mario Carneiro, 4-Jan-2017.) $)
    df-comf $a |- comf = ( c e. _V |->
      ( x e. ( ( Base ` c ) X. ( Base ` c ) ) , y e. ( Base ` c ) |->
      ( g e. ( ( 2nd ` x ) ( Hom ` c ) y ) , f e. ( ( Hom ` c ) ` x ) |->
        ( g ( x ( comp ` c ) y ) f ) ) ) ) $.

    iscat.b $e |- B = ( Base ` C ) $.
    iscat.h $e |- H = ( Hom ` C ) $.
    iscat.o $e |- .x. = ( comp ` C ) $.
    $( The predicate "is a category".  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    iscat $p |- ( C e. V -> ( C e. Cat <-> A. x e. B
      ( E. g e. ( x H x ) A. y e. B
          ( A. f e. ( y H x ) ( g ( <. y , x >. .x. x ) f ) = f /\
            A. f e. ( x H y ) ( f ( <. x , x >. .x. y ) g ) = f ) /\
        A. y e. B A. z e. B A. f e. ( x H y ) A. g e. ( y H z )
        ( ( g ( <. x , y >. .x. z ) f ) e. ( x H z ) /\
          A. w e. B A. k e. ( z H w )
         ( ( k ( <. y , z >. .x. w ) g ) ( <. x , y >. .x. w ) f ) =
         ( k ( <. x , z >. .x. w ) ( g ( <. x , y >. .x. z ) f ) ) ) ) ) ) $=
      ( cv co wceq wral oveqd vo vh vb cop wrex wcel cco cfv wsbc chom cbs ccat
      vc wa fvexd fveq2 eqtr4di simpl fveq2d simpll simpllr simplr simpr eqeq1d
      raleqbidv anbi12d rexeqbidv eleq12d eqidd oveq123d eqeq12d sbcied2 df-cat
      cvv elab2g ) IPZHPZBPZAPZUDZVSUAPZQZQZVQRZHVRVSUBPZQZSZVQVPVSVSUDZVRWAQZQ
      ZVQRZHVSVRWEQZSZUNZBUCPZSZIVSVSWEQZUEZVPVQVSVRUDZCPZWAQZQZVSWTWEQZUFZJPZV
      PVRWTUDZDPZWAQZQZVQWSXGWAQZQZXEXBVSWTUDZXGWAQZQZRZJWTXGWEQZSZDWOSZUNZIVRW
      TWEQZSZHWLSZCWOSZBWOSZUNZAWOSZUAUMPZUGUHZUIZUBYGUJUHZUIZUCYGUKUHZUIVPVQVT
      VSGQZQZVQRZHVRVSKQZSZVQVPWHVRGQZQZVQRZHVSVRKQZSZUNZBESZIVSVSKQZUEZVPVQWSW
      TGQZQZVSWTKQZUFZXEVPXFXGGQZQZVQWSXGGQZQZXEUUHXLXGGQZQZRZJWTXGKQZSZDESZUNZ
      IVRWTKQZSZHUUASZCESZBESZUNZAESZUMFULLYGFRZYKUVHUCYLEVNUVIYGUKUOUVIYLFUKUH
      EYGFUKUPMUQUVIWOERZUNZYIUVHUBYJKVNUVKYGUJUOUVKYJFUJUHKUVKYGFUJUVIUVJURUSN
      UQUVKWEKRZUNZYFUVHUAYHGVNUVMYGUGUOUVMYHFUGUHGUVMYGFUGUVIUVJUVLUTUSOUQUVMW
      AGRZUNZYEUVGAWOEUVIUVJUVLUVNVAZUVOWRUUFYDUVFUVOWPUUDIWQUUEUVOWEKVSVSUVKUV
      LUVNVBZTUVOWNUUCBWOEUVPUVOWGYQWMUUBUVOWDYOHWFYPUVOWEKVRVSUVQTUVOWCYNVQUVO
      WBYMVPVQUVOWAGVTVSUVMUVNVCZTTVDVEUVOWKYTHWLUUAUVOWEKVSVRUVQTZUVOWJYSVQUVO
      WIYRVQVPUVOWAGWHVRUVRTTVDVEVFVEVGUVOYCUVEBWOEUVPUVOYBUVDCWOEUVPUVOYAUVCHW
      LUUAUVSUVOXSUVAIXTUVBUVOWEKVRWTUVQTUVOXDUUJXRUUTUVOXBUUHXCUUIUVOXAUUGVPVQ
      UVOWAGWSWTUVRTTZUVOWEKVSWTUVQTVHUVOXQUUSDWOEUVPUVOXOUUQJXPUURUVOWEKWTXGUV
      QTUVOXKUUNXNUUPUVOXIUULVQVQXJUUMUVOWAGWSXGUVRTUVOXHUUKXEVPUVOWAGXFXGUVRTT
      UVOVQVIVJUVOXEXEXBUUHXMUUOUVOWAGXLXGUVRTUVOXEVIUVTVJVKVEVEVFVEVEVEVEVFVEV
      LVLVLABCDHIUBJUAUCUMVMVO $.
  $}

  ${
    $d f g y .1. $.  $d f g k w x y z B $.  $d f g k w x y z ph $.  $d g .x. $.
    $d f g k w x y z C $.  $d f g k w H $.
    iscatd.b $e |- ( ph -> B = ( Base ` C ) ) $.
    iscatd.h $e |- ( ph -> H = ( Hom ` C ) ) $.
    iscatd.o $e |- ( ph -> .x. = ( comp ` C ) ) $.
    iscatd.c $e |- ( ph -> C e. V ) $.
    iscatd.1 $e |- ( ( ph /\ x e. B ) -> .1. e. ( x H x ) ) $.
    iscatd.2 $e |- ( ( ph /\ ( x e. B /\ y e. B /\ f e. ( y H x ) ) ) ->
      ( .1. ( <. y , x >. .x. x ) f ) = f ) $.
    iscatd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B /\ f e. ( x H y ) ) ) ->
      ( f ( <. x , x >. .x. y ) .1. ) = f ) $.
    iscatd.4 $e |- ( ( ph /\ ( x e. B /\ y e. B /\ z e. B ) /\
      ( f e. ( x H y ) /\ g e. ( y H z ) ) ) ->
        ( g ( <. x , y >. .x. z ) f ) e. ( x H z ) ) $.
    iscatd.5 $e |- ( ( ph /\ ( ( x e. B /\ y e. B ) /\ ( z e. B /\ w e. B ) )
      /\ ( f e. ( x H y ) /\ g e. ( y H z ) /\ k e. ( z H w ) ) ) ->
       ( ( k ( <. y , z >. .x. w ) g ) ( <. x , y >. .x. w ) f ) =
         ( k ( <. x , z >. .x. w ) ( g ( <. x , y >. .x. z ) f ) ) ) $.
    $( Properties that determine a category.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    iscatd $p |- ( ph -> C e. Cat ) $=
      ( ccat wcel cv cop cco cfv co wceq chom wral wa wrex 3exp2 imp31 ralrimiv
      cbs wi ralrimiva oveq1 eqeq1d ralbidv oveq2 anbi12d rspcev syl2anc 3expia
      jca imp43 3expa imp32 expr expd imp42 ralrimdva jcad ralrimivv ralrimivva
      ex oveqd raleqbidv rexeqbidv eleq12d eqidd oveq123d eqeq12d mpbid wb eqid
      w3a iscat syl mpbird ) AGUDUEZKUFZJUFZCUFZBUFZUGZWTGUHUIZUJZUJZWRUKZJWSWT
      GULUIZUJZUMZWRWQWTWTUGZWSXBUJZUJZWRUKZJWTWSXFUJZUMZUNZCGUSUIZUMZKWTWTXFUJ
      ZUOZWQWRWTWSUGZDUFZXBUJZUJZWTYAXFUJZUEZLUFZWQWSYAUGZEUFZXBUJZUJZWRXTYHXBU
      JZUJZYFYCWTYAUGZYHXBUJZUJZUKZLYAYHXFUJZUMZEXPUMZUNZKWSYAXFUJZUMZJXMUMZDXP
      UMZCXPUMZUNZBXPUMZAWQWRXAWTHUJZUJZWRUKZJWSWTMUJZUMZWRWQXIWSHUJZUJZWRUKZJW
      TWSMUJZUMZUNZCFUMZKWTWTMUJZUOZWQWRXTYAHUJZUJZWTYAMUJZUEZYFWQYGYHHUJZUJZWR
      XTYHHUJZUJZYFUVCYMYHHUJZUJZUKZLYAYHMUJZUMZEFUMZUNZKWSYAMUJZUMZJUUPUMZDFUM
      ZCFUMZUNZBFUMUUGAUWBBFAWTFUEZUNZUVAUWAUWDIUUTUEIWRUUHUJZWRUKZJUUKUMZWRIUU
      MUJZWRUKZJUUPUMZUNZCFUMZUVASUWDUWKCFUWDWSFUEZUNZUWGUWJUWNUWFJUUKAUWCUWMWR
      UUKUEZUWFUTAUWCUWMUWOUWFTUPUQURUWNUWIJUUPAUWCUWMWRUUPUEZUWIUTAUWCUWMUWPUW
      IUAUPUQURVJVAUUSUWLKIUUTWQIUKZUURUWKCFUWQUULUWGUUQUWJUWQUUJUWFJUUKUWQUUIU
      WEWRWQIWRUUHVBVCVDUWQUUOUWIJUUPUWQUUNUWHWRWQIWRUUMVEVCVDVFVDVGVHUWDUVSCDF
      FUWDUWMYAFUEZUNUNZUVPJKUUPUVQUWSUWPWQUVQUEZUNZUVEUVOAUWCUWMUWRUXAUVEUTZAU
      WCUWMUWRUXBAUWCUWMUWRWLUXAUVEUBVIUPVKUWSUXAUVNEFUWDUWMUWRYHFUEZUXAUVNUTZA
      UWCUWMUWRUXCUXDUTUTAUWCUWMUNZUNUWRUXCUXDAUXEUWRUXCUNZUXDAUXEUXFUNZUNZUXAU
      VNUXHUXAUNUVLLUVMUXHUWPUWTYFUVMUEZUVLUTUXHUWPUWTUXIUVLAUXGUWPUWTUXIWLUVLU
      CVLUPVMURWAVNVOVNVPVQVRVSVTVJVAAUWBUUFBFXPOAUVAXSUWAUUEAUUSXQKUUTXRAMXFWT
      WTPWBAUURXOCFXPOAUULXHUUQXNAUUJXEJUUKXGAMXFWSWTPWBAUUIXDWRAUUHXCWQWRAHXBX
      AWTQWBWBVCWCAUUOXLJUUPXMAMXFWTWSPWBZAUUNXKWRAUUMXJWRWQAHXBXIWSQWBWBVCWCVF
      WCWDAUVTUUDCFXPOAUVSUUCDFXPOAUVRUUBJUUPXMUXJAUVPYTKUVQUUAAMXFWSYAPWBAUVEY
      EUVOYSAUVCYCUVDYDAUVBYBWQWRAHXBXTYAQWBWBZAMXFWTYAPWBWEAUVNYREFXPOAUVLYPLU
      VMYQAMXFYAYHPWBAUVIYLUVKYOAUVGYJWRWRUVHYKAHXBXTYHQWBAUVFYIYFWQAHXBYGYHQWB
      WBAWRWFWGAYFYFUVCYCUVJYNAHXBYMYHQWBAYFWFUXKWGWHWCWCVFWCWCWCWCVFWCWIAGNUEW
      PUUGWJRBCDEXPGXBJKLXFNXPWKXFWKXBWKWMWNWO $.
  $}

  ${
    $d f g k w x y z B $.  $d f g k w x y z C $.  $d g ph $.  $d f g h x y X $.
    $d f g h k w x y z H $.  $d f g h k w x y z .x. $.
    catidex.b $e |- B = ( Base ` C ) $.
    catidex.h $e |- H = ( Hom ` C ) $.
    catidex.o $e |- .x. = ( comp ` C ) $.
    catidex.c $e |- ( ph -> C e. Cat ) $.
    catidex.x $e |- ( ph -> X e. B ) $.
    $( Each object in a category has an associated identity arrow.
       (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    catidex $p |- ( ph -> E. g e. ( X H X ) A. y e. B
          ( A. f e. ( y H X ) ( g ( <. y , X >. .x. X ) f ) = f /\
            A. f e. ( X H y ) ( f ( <. X , X >. .x. y ) g ) = f ) ) $=
      ( vx cv cop co wceq wral vz vk vw wa wrex id oveq2 opeq2 eqeq1d raleqbidv
      oveq12d oveqd oveq1 opeq12d anbi12d ralbidv rexeqbidv ccat wcel iscat ibi
      oveq1d simpl ralimi 3syl rspcdva ) AGPZFPZBPZOPZQZVJERZRZVHSZFVIVJHRZTZVH
      VGVJVJQZVIERZRZVHSZFVJVIHRZTZUDZBCTZGVJVJHRZUEZVGVHVIIQZIERZRZVHSZFVIIHRZ
      TZVHVGIIQZVIERZRZVHSZFIVIHRZTZUDZBCTZGIIHRZUEOCIVJISZWDWTGWEXAXBVJIVJIHXB
      UFZXCUKXBWCWSBCXBVPWLWBWRXBVNWJFVOWKVJIVIHUGXBVMWIVHXBVLWHVGVHXBVKWGVJIEV
      JIVIUHXCUKULUIUJXBVTWPFWAWQVJIVIHUMXBVSWOVHXBVRWNVHVGXBVQWMVIEXBVJIVJIXCX
      CUNVBULUIUJUOUPUQADURUSZWFVGVHVJVIQZUAPZERRZVJXFHRUSUBPZVGVIXFQUCPZERRVHX
      EXIERRXHXGVJXFQXIERRSUBXFXIHRTUCCTUDGVIXFHRTFWATUACTBCTZUDZOCTZWFOCTMXDXL
      OBUAUCCDEFGUBHURJKLUTVAXKWFOCWFXJVCVDVENVF $.

    $( Each object in a category has a unique identity arrow.  (Contributed by
       Mario Carneiro, 2-Jan-2017.) $)
    catideu $p |- ( ph -> E! g e. ( X H X ) A. y e. B
          ( A. f e. ( y H X ) ( g ( <. y , X >. .x. X ) f ) = f /\
            A. f e. ( X H y ) ( f ( <. X , X >. .x. y ) g ) = f ) ) $=
      ( vh cv co wceq wral wa wrex wrmo wreu catidex wi wcel oveq1 opeq1 oveq1d
      cop oveqd eqeq1d raleqbidv oveq2 anbi12d syl ralrimivw weq an3 id eqeq12d
      rspcv im2anan9r eqtr2 equcomd syl56 rgen2 a1i rmo4 sylibr rmoim sylc reu5
      ralbidv sylanbrc ) AGPZFPZBPZIUJZIEQZQZVQRZFVRIHQZSZVQVPIIUJZVREQZQZVQRZF
      IVRHQZSZTZBCSZGIIHQZUAWLGWMUBZWLGWMUCABCDEFGHIJKLMNUDAWLVPVQWEIEQZQZVQRZF
      WMSZVQVPWOQZVQRZFWMSZTZUEZGWMSXBGWMUBZWNAXCGWMAICUFXCNWKXBBICVRIRZWDWRWJX
      AXEWBWQFWCWMVRIIHUGXEWAWPVQXEVTWOVPVQXEVSWEIEVRIIUHUIUKULUMXEWHWTFWIWMVRI
      IHUNXEWGWSVQXEWFWOVQVPVRIWEEUNUKULUMUOVBUPUQAXBOPZVQWOQZVQRZFWMSZVQXFWOQZ
      VQRZFWMSZTZTZGOURZUEZOWMSGWMSZXDXQAXPGOWMWMXNWRXLTVPWMUFZXFWMUFZTVPXFWOQZ
      XFRZXTVPRZTZXOWRXAXIXLUSXSWRYAXRXLYBWQYAFXFWMFOURZWPXTVQXFVQXFVPWOUNYDUTV
      AVBXKYBFVPWMFGURZXJXTVQVPVQVPXFWOUGYEUTVAVBVCYCOGXTXFVPVDVEVFVGVHXBXMGOWM
      XOWRXIXAXLXOWQXHFWMXOWPXGVQVPXFVQWOUGULVNXOWTXKFWMXOWSXJVQVPXFVQWOUNULVNU
      OVIVJWLXBGWMVKVLWLGWMVMVO $.
  $}

  ${
    $d b c f g h o x y B $.  $d b c f g h o x y C $.  $d b c f g h o x y .x. $.
    $d b c f g h o x y H $.  $d f g x y ph $.  $d f g x y X $.
    cidfval.b $e |- B = ( Base ` C ) $.
    cidfval.h $e |- H = ( Hom ` C ) $.
    cidfval.o $e |- .x. = ( comp ` C ) $.
    cidfval.c $e |- ( ph -> C e. Cat ) $.
    cidfval.i $e |- .1. = ( Id ` C ) $.
    $( Each object in a category has an associated identity arrow.
       (Contributed by Mario Carneiro, 3-Jan-2017.) $)
    cidfval $p |- ( ph -> .1. = ( x e. B |-> ( iota_ g e. ( x H x ) A. y e. B
      ( A. f e. ( y H x ) ( g ( <. y , x >. .x. x ) f ) = f /\
        A. f e. ( x H y ) ( f ( <. x , x >. .x. y ) g ) = f ) ) ) ) $=
      ( cfv cv co wceq oveqd vc vb vh vo ccid cop wral crio cmpt ccat wcel chom
      wa cbs cco csb cvv fvexd fveq2 eqtr4di simpl fveq2d simpll simpllr simplr
      simpr eqeq1d raleqbidv anbi12d riotaeqbidv mpteq12dv csbied2 mptfvmpt syl
      df-cid eqtrid ) AGEUEPZBDIQZHQZCQZBQZUFZWAFRZRZVSSZHVTWAJRZUGZVSVRWAWAUFZ
      VTFRZRZVSSZHWAVTJRZUGZUMZCDUGZIWAWAJRZUHZUIZOAEUJUKVQWRSNBUAWQUNUEUBUAQZU
      NPZUCWSULPZUDWSUOPZBUBQZVRVSWBWAUDQZRZRZVSSZHVTWAUCQZRZUGZVSVRWHVTXDRZRZV
      SSZHWAVTXHRZUGZUMZCXCUGZIWAWAXHRZUHZUIZUPZUPZUPDUJEEWSESZUBWTDYBWRUQYCWSU
      NURYCWTEUNPDWSEUNUSKUTYCXCDSZUMZUCXAJYAWRUQYEWSULURYEXAEULPJYEWSEULYCYDVA
      VBLUTYEXHJSZUMZUDXBFXTWRUQYGWSUOURYGXBEUOPFYGWSEUOYCYDYFVCVBMUTYGXDFSZUMZ
      BXCXSDWQYCYDYFYHVDZYIXQWOIXRWPYIXHJWAWAYEYFYHVEZTYIXPWNCXCDYJYIXJWGXOWMYI
      XGWEHXIWFYIXHJVTWAYKTYIXFWDVSYIXEWCVRVSYIXDFWBWAYGYHVFZTTVGVHYIXMWKHXNWLY
      IXHJWAVTYKTYIXLWJVSYIXKWIVSVRYIXDFWHVTYLTTVGVHVIVHVJVKVLVLVLBCHIUCUDUBUAV
      OKVMVNVP $.

    cidval.x $e |- ( ph -> X e. B ) $.
    $( Each object in a category has an associated identity arrow.
       (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    cidval $p |- ( ph -> ( .1. ` X ) = ( iota_ g e. ( X H X ) A. y e. B
      ( A. f e. ( y H X ) ( g ( <. y , X >. .x. X ) f ) = f /\
        A. f e. ( X H y ) ( f ( <. X , X >. .x. y ) g ) = f ) ) ) $=
      ( cv co wceq wral vx cop wa cvv cidfval simpr oveq12d oveq2d opeq2d oveqd
      crio eqeq1d raleqbidv oveq1d opeq12d anbi12d ralbidv riotaeqbidv wcel a1i
      riotaex fvmptd ) AUAJHQZGQZBQZUAQZUBZVFERZRZVDSZGVEVFIRZTZVDVCVFVFUBZVEER
      ZRZVDSZGVFVEIRZTZUCZBCTZHVFVFIRZUKVCVDVEJUBZJERZRZVDSZGVEJIRZTZVDVCJJUBZV
      EERZRZVDSZGJVEIRZTZUCZBCTZHJJIRZUKZCFUDAUABCDEFGHIKLMNOUEAVFJSZUCZVTWOHWA
      WPWSVFJVFJIAWRUFZWTUGWSVSWNBCWSVLWGVRWMWSVJWEGVKWFWSVFJVEIWTUHWSVIWDVDWSV
      HWCVCVDWSVGWBVFJEWSVFJVEWTUIWTUGUJULUMWSVPWKGVQWLWSVFJVEIWTUNWSVOWJVDWSVN
      WIVDVCWSVMWHVEEWSVFJVFJWTWTUOUNUJULUMUPUQURPWQUDUSAWOHWPVAUTVB $.
  $}

  ${
    $d b c f g h o x y B $.  $d b c f g h o x y C $.
    $( The identity arrow construction is a function on categories.
       (Contributed by Mario Carneiro, 17-Jan-2017.) $)
    cidffn $p |- Id Fn Cat $=
      ( vc vb vh vo vx vg vf vy ccat cv cbs cfv chom cco cop co wceq wral csbex
      csb wa crio cmpt ccid vex mptex df-cid fnmpti ) AIBAJZKLZCUIMLZDUINLZEBJZ
      FJZGJZHJZEJZOUQDJZPPUOQGUPUQCJZPRUOUNUQUQOUPURPPUOQGUQUPUSPRUAHUMRFUQUQUS
      PUBZUCZTZTZTUDBUJVCCUKVBDULVAEUMUTBUEUFSSSEHGFCDBAUGUH $.

    cidfn.b $e |- B = ( Base ` C ) $.
    cidfn.i $e |- .1. = ( Id ` C ) $.
    $( The identity arrow operator is a function from objects to arrows.
       (Contributed by Mario Carneiro, 4-Jan-2017.) $)
    cidfn $p |- ( C e. Cat -> .1. Fn B ) $=
      ( vx vg vf vy ccat wcel wfn cv cop cco cfv co wceq wral eqid chom wa crio
      cmpt riotaex fnmpti id cidfval fneq1d mpbiri ) BJKZCALFAGMZHMZIMZFMZNUOBO
      PZQQUMRHUNUOBUAPZQSUMULUOUONUNUPQQUMRHUOUNUQQSUBIASZGUOUOUQQZUCZUDZALFAUT
      VAURGUSUEVATUFUKACVAUKFIABUPCHGUQDUQTUPTUKUGEUHUIUJ $.
  $}

  ${
    $d f g y .1. $.  $d x B $.  $d f g x y C $.  $d f g x y ph $.
    catidd.b $e |- ( ph -> B = ( Base ` C ) ) $.
    catidd.h $e |- ( ph -> H = ( Hom ` C ) ) $.
    catidd.o $e |- ( ph -> .x. = ( comp ` C ) ) $.
    catidd.c $e |- ( ph -> C e. Cat ) $.
    catidd.1 $e |- ( ( ph /\ x e. B ) -> .1. e. ( x H x ) ) $.
    catidd.2 $e |- ( ( ph /\ ( x e. B /\ y e. B /\ f e. ( y H x ) ) ) ->
      ( .1. ( <. y , x >. .x. x ) f ) = f ) $.
    catidd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B /\ f e. ( x H y ) ) ) ->
      ( f ( <. x , x >. .x. y ) .1. ) = f ) $.
    $( Deduce the identity arrow in a category.  (Contributed by Mario
       Carneiro, 3-Jan-2017.) $)
    catidd $p |- ( ph -> ( Id ` C ) = ( x e. B |-> .1. ) ) $=
      ( co wceq wcel oveqd vg cbs cfv cv cop cco chom wral wa crio cmpt ccid ex
      w3a eleq2d 3anbi123d eqeq1d 3imtr3d 3expd imp41 ralrimiva jca wreu wb imp
      eqid ccat adantr simpr catideu oveq1 ralbidv oveq2 anbi12d riota2 syl2anc
      mpbid mpteq2dva cidfval mpteq1d 3eqtr4d ) ABEUBUCZUAUDZHUDZCUDZBUDZUEZWFE
      UFUCZQZQZWDRZHWEWFEUGUCZQZUHZWDWCWFWFUEZWEWHQZQZWDRZHWFWEWLQZUHZUIZCWBUHZ
      UAWFWFWLQZUJZUKBWBGUKEULUCZBDGUKABWBXDGAWFWBSZUIZGWDWIQZWDRZHWMUHZWDGWPQZ
      WDRZHWSUHZUIZCWBUHZXDGRZXGXNCWBXGWEWBSZUIZXJXMXRXIHWMAXFXQWDWMSZXIAXFXQXS
      XIAWFDSZWEDSZWDWEWFIQZSZUNZGWDWGWFFQZQZWDRZXFXQXSUNXIAYDYGOUMAXTXFYAXQYCX
      SADWBWFJUOZADWBWEJUOZAYBWMWDAIWLWEWFKTUOUPAYFXHWDAYEWIGWDAFWHWGWFLTTUQURU
      SUTVAXRXLHWSAXFXQWDWSSZXLAXFXQYJXLAXTYAWDWFWEIQZSZUNZWDGWOWEFQZQZWDRZXFXQ
      YJUNXLAYMYPPUMAXTXFYAXQYLYJYHYIAYKWSWDAIWLWFWEKTUOUPAYOXKWDAYNWPWDGAFWHWO
      WELTTUQURUSUTVAVBVAXGGXCSZXBUAXCVCXOXPVDAXFYQAXTGWFWFIQZSZXFYQAXTYSNUMYHA
      YRXCGAIWLWFWFKTUOURVEXGCWBEWHHUAWLWFWBVFZWLVFZWHVFZAEVGSXFMVHAXFVIVJXBXOU
      AXCGWCGRZXAXNCWBUUCWNXJWTXMUUCWKXIHWMUUCWJXHWDWCGWDWIVKUQVLUUCWRXLHWSUUCW
      QXKWDWCGWDWPVMUQVLVNVLVOVPVQVRABCWBEWHXEHUAWLYTUUAUUBMXEVFVSABDWBGJVTWA
      $.
  $}

  ${
    $d a f g k r w x z .1. $.  $d a f g k r w x y z B $.  $d a g k r w y z C $.
    $d f g k r w x y z H $.  $d a f g k r w x y z ph $.
    $d f g k w x y z .x. $.
    iscatd2.b $e |- ( ph -> B = ( Base ` C ) ) $.
    iscatd2.h $e |- ( ph -> H = ( Hom ` C ) ) $.
    iscatd2.o $e |- ( ph -> .x. = ( comp ` C ) ) $.
    iscatd2.c $e |- ( ph -> C e. V ) $.
    iscatd2.ps $e |- ( ps <-> ( ( x e. B /\ y e. B ) /\ ( z e. B /\ w e. B )
      /\ ( f e. ( x H y ) /\ g e. ( y H z ) /\ k e. ( z H w ) ) ) ) $.
    iscatd2.1 $e |- ( ( ph /\ y e. B ) -> .1. e. ( y H y ) ) $.
    iscatd2.2 $e |- ( ( ph /\ ps ) -> ( .1. ( <. x , y >. .x. y ) f ) = f ) $.
    iscatd2.3 $e |- ( ( ph /\ ps ) -> ( g ( <. y , y >. .x. z ) .1. ) = g ) $.
    iscatd2.4 $e |- ( ( ph /\ ps ) ->
       ( g ( <. x , y >. .x. z ) f ) e. ( x H z ) ) $.
    iscatd2.5 $e |- ( ( ph /\ ps ) ->
       ( ( k ( <. y , z >. .x. w ) g ) ( <. x , y >. .x. w ) f ) =
         ( k ( <. x , z >. .x. w ) ( g ( <. x , y >. .x. z ) f ) ) ) $.
    $( Version of ~ iscatd with a uniform assumption list, for increased proof
       sharing capabilities.  (Contributed by Mario Carneiro, 4-Jan-2017.) $)
    iscatd2 $p |- ( ph -> ( C e. Cat /\ ( Id ` C ) = ( y e. B |-> .1. ) ) ) $=
      ( va vr ccat wcel ccid cfv cmpt wceq cv co w3a wex cop wne ne0d 3ad2antr1
      wa c0 n0 sylib exdistrv simpll simplr2 simplr1 simplr3 simprl simprr 3jca
      jca wi wsb simplll eleq1d anbi1d simpllr simplr anidm bitrdi simpr oveq1d
      anbi12d eleq12d oveq2d eleq2d oveq12d syl5bb anbi2d opeq1d eqidd oveq123d
      3anbi123d eqeq12d imbi12d sbiedvw sbt chvarvv syl13anc ex exlimdvv mp2and
      syl5bir id neeq1d ralrimiva adantr simpr2 rspcdva 3ad2ant1 simp23 3anbi1d
      wral eleq1w oveq1 opeq1 oveqd df-3an bitri bitr4di exp45 3imp exlimdv mpd
      opeq2d 3anbi23d simpl 3anbi12d 3anbi13d 3anass iscatd catidd ) AHUHUIHUJU
      KDGJULUMADUFEFGHIJUGLMNOPQRSUAADUNZGUIZUFUNZGUIZUGUNZYRYPNUOZUIZUPZVBZLUN
      ZYPYPNUOZUIZLUQZMUNZUUFUIZMUQZJYTYRYPURZYPIUOZUOZYTUMZUUDUUFVCUSZUUHAYSYQ
      UUPUUBAYQVBUUFJUAUTZVAZLUUFVDVEUUDUUPUUKUURMUUFVDVEUUHUUKVBUUGUUJVBZMUQLU
      QUUDUUOUUGUUJLMVFUUDUUSUUOLMUUDUUSUUOUUDUUSVBZAYSYQVBZYQUUBUUGUUJUPZUUOAU
      UCUUSVGUUTYSYQYQYSUUBAUUSVHYQYSUUBAUUSVIZVNUVCUUTUUBUUGUUJYQYSUUBAUUSVJUU
      DUUGUUJVKUUDUUGUUJVLVMABVBZJKUNZCUNZYPURZYPIUOZUOZUVEUMZVOZKUGVPZFDVPZEDV
      PAUVAYQUVBUPZVBZUUOVOZCUFUVFYRUMZUVMUVPEDUVQEUNZYPUMZVBZUVLUVPFDUVTFUNZYP
      UMZVBZUVKUVPKUGUWCUVEYTUMZVBZUVDUVOUVJUUOUWEBUVNABUVFGUIZYQVBZUVRGUIZUWAG
      UIZVBZUVEUVFYPNUOZUIZUUEYPUVRNUOZUIZUUIUVRUWANUOZUIZUPZUPZUWEUVNTUWEUWGUV
      AUWJYQUWQUVBUWEUWFYSYQUWEUVFYRGUVQUVSUWBUWDVQZVRVSUWEUWJYQYQVBZYQUWEUWHYQ
      UWIYQUWEUVRYPGUVQUVSUWBUWDVTZVRUWEUWAYPGUVTUWBUWDWAZVRWFYQWBZWCUWEUWLUUBU
      WNUUGUWPUUJUWEUVEYTUWKUUAUWCUWDWDZUWEUVFYRYPNUWSWEWGUWEUWMUUFUUEUWEUVRYPY
      PNUXAWHWIUWEUWOUUFUUIUWEUVRYPUWAYPNUXAUXBWJWIWPWPWKWLUWEUVIUUNUVEYTUWEJJU
      VEYTUVHUUMUWEUVGUULYPIUWEUVFYRYPUWSWMWEUWEJWNUXDWOUXDWQWRWSWSWSUVMEDUVLFD
      UVKKUGUBWTWTWTXAXBXCXDXFXEZAYQYSYTYPYRNUOZUIZUPZVBZUVEUUFUIZKUQZUUIYRYRNU
      OZUIZMUQZYTJYPYPURZYRIUOZUOZYTUMZUXIUUPUXKAYSYQUUPUXGUUQVAKUUFVDVEUXIUXLV
      CUSZUXNUXIUUPUXSDGYRYPYRUMZUUFUXLVCUXTYPYRYPYRNUXTXGZUYAWJXHAUUPDGXPZUXHA
      UUPDGUUQXIZXJAYQYSUXGXKXLMUXLVDVEUXKUXNVBUXJUXMVBZMUQKUQUXIUXRUXJUXMKMVFU
      XIUYDUXRKMUXIUYDUXRUXIUYDVBZAYQYSUXJUXGUXMUPZUXRAUXHUYDVGYQYSUXGAUYDVIYQY
      SUXGAUYDVHUYEUXJUXGUXMUXIUXJUXMVKYQYSUXGAUYDVJUXIUXJUXMVLVMUVDUUEJUXOUVRI
      UOZUOZUUEUMZVOZLUGVPZFUFVPZEUFVPAYQYSUYFUPZVBZUXRVOZCDUVFYPUMZUYLUYOEUFUY
      PUVRYRUMZVBZUYKUYOFUFUYRUWAYRUMZVBZUYJUYOLUGUYTUUEYTUMZVBZUVDUYNUYIUXRVUB
      BUYMABUWRVUBUYMTVUBUWGYQUWJYSUWQUYFVUBUWGUWTYQVUBUWFYQYQVUBUVFYPGUYPUYQUY
      SVUAVQZVRVSUXCWCVUBUWJYSYSVBYSVUBUWHYSUWIYSVUBUVRYRGUYPUYQUYSVUAVTZVRVUBU
      WAYRGUYRUYSVUAWAZVRWFYSWBWCVUBUWLUXJUWNUXGUWPUXMVUBUWKUUFUVEVUBUVFYPYPNVU
      CWEWIVUBUUEYTUWMUXFUYTVUAWDZVUBUVRYRYPNVUDWHWGVUBUWOUXLUUIVUBUVRYRUWAYRNV
      UDVUEWJWIWPWPWKWLVUBUYHUXQUUEYTVUBUUEYTJJUYGUXPVUBUVRYRUXOIVUDWHVUFVUBJWN
      WOVUFWQWRWSWSWSUYLEUFUYKFUFUYJLUGUCWTWTWTXAXBXCXDXFXEZAYQYSUWHUPZUXGUUEYR
      UVRNUOZUIZVBZUPZUUIUVRUVRNUOZUIZMUQZUUEYTYPYRURZUVRIUOZUOZUWMUIZVULVUMVCU
      SZVUOVULUUPVUTDGUVRYPUVRUMZUUFVUMVCVVAYPUVRYPUVRNVVAXGZVVBWJXHAVUHUYBVUKU
      YCXMAYQYSUWHVUKXNXLMVUMVDVEVULVUNVUSMAVUHVUKVUNVUSVOAVUHVUKVUNVUSAUWFYSUW
      HUPZYTUVFYRNUOZUIZVUJVBZVUNVBZVBZVBZUUEYTUVFYRURZUVRIUOZUOZUVFUVRNUOZUIZV
      OZAVUHVUKVUNVBZVBZVBZVUSVOCDUYPVVIVVRVVNVUSUYPVVHVVQAUYPVVCVUHVVGVVPUYPUW
      FYQYSUWHCDGXQZXOUYPVVFVUKVUNUYPVVEUXGVUJUYPVVDUXFYTUVFYPYRNXRWIZVSVSWFWLU
      YPVVLVURVVMUWMUYPVVKVUQUUEYTUYPVVJVUPUVRIUVFYPYRXSZWEXTZUVFYPUVRNXRWGWRUV
      DUUEUVEUVGUVRIUOZUOZVVMUIZVOZKUGVPZFEVPVVODUFUXTVWGVVOFEUXTUWAUVRUMZVBZVW
      FVVOKUGVWIUWDVBZUVDVVIVWEVVNVWJBVVHABUWGUWJVBZUWQVBZVWJVVHBUWRVWLTUWGUWJU
      WQYAYBVWJVWKVVCUWQVVGVWJVWKUWFYSVBZUWHVBVVCVWJUWGVWMUWJUWHVWJYQYSUWFVWJYP
      YRGUXTVWHUWDVGZVRWLVWJUWJUWHUWHVBUWHVWJUWIUWHUWHVWJUWAUVRGUXTVWHUWDWAZVRW
      LUWHWBWCWFUWFYSUWHYAYCVWJUWQVVEVUJVUNUPVVGVWJUWLVVEUWNVUJUWPVUNVWJUVEYTUW
      KVVDVWIUWDWDZVWJYPYRUVFNVWNWHWGVWJUWMVUIUUEVWJYPYRUVRNVWNWEWIVWJUWOVUMUUI
      VWJUWAUVRUVRNVWOWHWIWPVVEVUJVUNYAWCWFWKWLVWJVWDVVLVVMVWJUUEUUEUVEYTVWCVVK
      VWJUVGVVJUVRIVWJYPYRUVFVWNYHWEVWJUUEWNVWPWOVRWRWSWSVWGFEVWFKUGUDWTWTXAXAY
      DYEYFYGAVWMUWJVBZVVEVUJUWPUPZUPZUUIUUEYRUVRURZUWAIUOZUOZYTVVJUWAIUOZUOZUU
      IVVLUVFUVRURZUWAIUOZUOZUMZVOZAYQYSVBZUWJVBZUXGVUJUWPUPZUPZVXBYTVUPUWAIUOZ
      UOZUUIVURYPUVRURZUWAIUOZUOZUMZVOCDUYPVWSVXMVXHVXSUYPVWQVXKVWRVXLAUYPVWMVX
      JUWJUYPUWFYQYSVVSVSVSUYPVVEUXGVUJUWPVVTXOYIUYPVXDVXOVXGVXRUYPVXCVXNVXBYTU
      YPVVJVUPUWAIVWAWEXTUYPUUIUUIVVLVURVXFVXQUYPVXEVXPUWAIUVFYPUVRXSWEUYPUUIWN
      VWBWOWQWRUVDUUIUUEVXQUOZUVEUVGUWAIUOZUOZUUIVWDVXFUOZUMZVOZKUGVPVXIDUFUXTV
      YEVXIKUGUXTUWDVBZUVDVWSVYDVXHVYFUVDAVWQVWRVBZVBVWSVYFBVYGAVYFBVWMUWJVWRUP
      ZVYGBUWRVYFVYHTVYFUWGVWMUWQVWRUWJVYFYQYSUWFVYFYPYRGUXTUWDYJZVRWLVYFUWLVVE
      UWNVUJUWPVYFUVEYTUWKVVDUXTUWDWDZVYFYPYRUVFNVYIWHWGVYFUWMVUIUUEVYFYPYRUVRN
      VYIWEWIYKYLWKVWMUWJVWRYAWCWLAVWQVWRYMYCVYFVYBVXDVYCVXGVYFVXTVXBUVEYTVYAVX
      CVYFUVGVVJUWAIVYFYPYRUVFVYIYHZWEVYFVXQVXAUUIUUEVYFVXPVWTUWAIVYFYPYRUVRVYI
      WMWEXTVYJWOVYFVWDVVLUUIVXFVYFUUEUUEUVEYTVWCVVKVYFUVGVVJUVRIVYKWEVYFUUEWNV
      YJWOWHWQWRWSVYEKUGUEWTXAXAYNZADUFGHIJUGNPQRVYLUAUXEVUGYOVN $.
  $}

  ${
    $d f g x y .1. $.  $d f g x y B $.  $d f g x y ph $.  $d f g x y .x. $.
    $d f g x y C $.  $d f g x y H $.  $d f g x y X $.  $d f g x y Y $.
    $d f F $.
    catidcl.b $e |- B = ( Base ` C ) $.
    catidcl.h $e |- H = ( Hom ` C ) $.
    catidcl.i $e |- .1. = ( Id ` C ) $.
    catidcl.c $e |- ( ph -> C e. Cat ) $.
    catidcl.x $e |- ( ph -> X e. B ) $.
    $( Each object in a category has an associated identity arrow.
       (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    catidcl $p |- ( ph -> ( .1. ` X ) e. ( X H X ) ) $=
      ( vg vf vy cfv cv cop co wceq wral cco crio eqid cidval wreu wcel catideu
      wa riotacl syl eqeltrd ) AFDOLPZMPZNPZFQFCUAOZRRUMSMUNFERTUMULFFQUNUORRUM
      SMFUNERTUHNBTZLFFERZUBZUQANBCUODMLEFGHUOUCZJIKUDAUPLUQUEURUQUFANBCUOMLEFG
      HUSJKUGUPLUQUIUJUK $.

    catlid.o $e |- .x. = ( comp ` C ) $.
    catlid.y $e |- ( ph -> Y e. B ) $.
    catlid.f $e |- ( ph -> F e. ( X H Y ) ) $.
    $( Left identity property of an identity arrow.  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    catlid $p |- ( ph -> ( ( .1. ` Y ) ( <. X , Y >. .x. Y ) F ) = F ) $=
      ( vf vg co vx cfv cv cop wceq oveq2 eqeq12d wral oveq1 opeq1 oveq1d oveqd
      id eqeq1d raleqbidv crab wcel wa wi simpl ralimi ss2rabi crio cidval wreu
      a1i catideu riotacl2 syl eqeltrd sselid 2ralbidv elrab simprbi rspcdva )
      AIEUBZRUCZHIUDZIDTZTZVQUEZVPFVSTZFUERHIGTZFVQFUEZVTWBVQFVQFVPVSUFWDUMUGAV
      PVQUAUCZIUDZIDTZTZVQUEZRWEIGTZUHZWARWCUHUABHWEHUEZWIWARWJWCWEHIGUIWLWHVTV
      QWLWGVSVPVQWLWFVRIDWEHIUJUKULUNUOAVPSUCZVQWGTZVQUEZRWJUHZUABUHZSIIGTZUPZU
      QZWKUABUHZAWPVQWMIIUDWEDTTVQUERIWEGTUHZURZUABUHZSWRUPZWSVPXDWQSWRXDWQUSWM
      WRUQXCWPUABWPXBUTVAVFVBAVPXDSWRVCZXEAUABCDERSGIJKOMLPVDAXDSWRVEXFXEUQAUAB
      CDRSGIJKOMPVGXDSWRVHVIVJVKWTVPWRUQXAWQXASVPWRWMVPUEZWOWIUARBWJXGWNWHVQWMV
      PVQWGUIUNVLVMVNVINVOQVO $.

    $( Right identity property of an identity arrow.  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    catrid $p |- ( ph -> ( F ( <. X , X >. .x. Y ) ( .1. ` X ) ) = F ) $=
      ( vf vg co vy cv cfv cop wceq oveq1 id eqeq12d wral oveq2 oveqd raleqbidv
      eqeq1d crab wcel wa wi simpr ralimi a1i ss2rabi crio cidval wreu riotacl2
      catideu syl eqeltrd sselid 2ralbidv elrab simprbi rspcdva ) ARUBZHEUCZHHU
      DZIDTZTZVNUEZFVOVQTZFUERHIGTZFVNFUEZVRVTVNFVNFVOVQUFWBUGUHAVNVOVPUAUBZDTZ
      TZVNUEZRHWCGTZUIZVSRWAUIUABIWCIUEZWFVSRWGWAWCIHGUJWIWEVRVNWIWDVQVNVOWCIVP
      DUJUKUMULAVOVNSUBZWDTZVNUEZRWGUIZUABUIZSHHGTZUNZUOZWHUABUIZAWJVNWCHUDHDTT
      VNUERWCHGTUIZWMUPZUABUIZSWOUNZWPVOXAWNSWOXAWNUQWJWOUOWTWMUABWSWMURUSUTVAA
      VOXASWOVBZXBAUABCDERSGHJKOMLNVCAXASWOVDXCXBUOAUABCDRSGHJKOMNVFXASWOVEVGVH
      VIWQVOWOUOWRWNWRSVOWOWJVOUEZWLWFUARBWGXDWKWEVNWJVOVNWDUJUMVJVKVLVGPVMQVM
      $.
  $}

  ${
    $d f g k v w x y z B $.  $d f g k v w x y z C $.  $d f g k v w x y z .x. $.
    $d f g k w x y z F $.  $d f g k v w x y z H $.  $d f g k w x y z ph $.
    $d f g k w x y z G $.  $d f g k w x y z K $.  $d f g k w x y z W $.
    $d f g k w x y z X $.  $d f g k w x y z Y $.  $d f g k w x y z Z $.
    catcocl.b $e |- B = ( Base ` C ) $.
    catcocl.h $e |- H = ( Hom ` C ) $.
    catcocl.o $e |- .x. = ( comp ` C ) $.
    catcocl.c $e |- ( ph -> C e. Cat ) $.
    catcocl.x $e |- ( ph -> X e. B ) $.
    catcocl.y $e |- ( ph -> Y e. B ) $.
    catcocl.z $e |- ( ph -> Z e. B ) $.
    ${
      catcocl.f $e |- ( ph -> F e. ( X H Y ) ) $.
      catcocl.g $e |- ( ph -> G e. ( Y H Z ) ) $.
      $( Closure of a composition arrow.  (Contributed by Mario Carneiro,
         2-Jan-2017.) $)
      catcocl $p |- ( ph -> ( G ( <. X , Y >. .x. Z ) F ) e. ( X H Z ) ) $=
        ( co vg vf vx vy vz vv vw cv cop wcel wral ccat wceq wa iscat ibi simpl
        wrex 2ralimi adantl ralimi 3syl adantr ad3antrrr simpllr simplr oveq12d
        ad2antrr eleqtrrd simpr simp-5r simp-4r opeq12d oveq123d eleq12d rspcdv
        rspcimdv mpd ) AUAUHZUBUHZUCUHZUDUHZUIZUEUHZDTZTZWAWDGTZUJZUAWBWDGTZUKZ
        UBWAWBGTZUKZUEBUKZUDBUKZUCBUKZFEHIUIZJDTZTZHJGTZUJZACULUJZVSVTWBWAUIWAD
        TTVTUMUBWBWAGTUKVTVSWAWAUIWBDTTVTUMUBWKUKUNUDBUKUAWAWAGTURZWHUFUHZVSWBW
        DUIUGUHZDTTVTWCXDDTTXCWFWAWDUIXDDTTUMUFWDXDGTUKUGBUKZUNZUAWIUKUBWKUKZUE
        BUKUDBUKZUNZUCBUKZWONXAXJUCUDUEUGBCDUBUAUFGULKLMUOUPXIWNUCBXHWNXBXGWLUD
        UEBBXFWHUBUAWKWIWHXEUQUSUSUTVAVBAWNWTUCHBOAWAHUMZUNZWMWTUDIBAIBUJXKPVCX
        LWBIUMZUNZWLWTUEJBAJBUJXKXMQVHXNWDJUMZUNZWJWTUBEWKXPEHIGTZWKAEXQUJXKXMX
        ORVDXPWAHWBIGAXKXMXOVEXLXMXOVFZVGVIXPVTEUMZUNZWHWTUAFWIXPFWIUJXSXPFIJGT
        ZWIAFYAUJXKXMXOSVDXPWBIWDJGXRXNXOVJVGVIVCXTVSFUMZUNZWFWRWGWSYCVSFVTEWEW
        QYCWCWPWDJDYCWAHWBIAXKXMXOXSYBVKZXLXMXOXSYBVLVMXNXOXSYBVEZVGXTYBVJXPXSY
        BVFVNYCWAHWDJGYDYEVGVOVPVQVQVQVQVR $.

      catass.w $e |- ( ph -> W e. B ) $.
      catass.g $e |- ( ph -> K e. ( Z H W ) ) $.
      $( Associativity of composition in a category.  (Contributed by Mario
         Carneiro, 2-Jan-2017.) $)
      catass $p |- ( ph ->
       ( ( K ( <. Y , Z >. .x. W ) G ) ( <. X , Y >. .x. W ) F ) =
         ( K ( <. X , Z >. .x. W ) ( G ( <. X , Y >. .x. Z ) F ) ) ) $=
        ( vg vf vy vx vz vk vw cv cop co wceq wral wrex wcel ccat iscat ibi syl
        adantr ad2antrr simpllr simplr oveq12d eleqtrrd ad4antr ad5antr ad6antr
        ad3antrrr simp-4r simpr simp-7r simp-6r opeq12d simp-5r oveq123d rspcdv
        wa eqeq12d rspcimdv adantld mpd ) AUDUKZUEUKZUFUKZUGUKZULWHDUMUMWFUNUEW
        GWHGUMUOWFWEWHWHULWGDUMUMWFUNUEWHWGGUMZUOVTUFBUOUDWHWHGUMUPZWEWFWHWGULZ
        UHUKZDUMZUMZWHWLGUMUQZUIUKZWEWGWLULZUJUKZDUMZUMZWFWKWRDUMZUMZWPWNWHWLUL
        ZWRDUMZUMZUNZUIWLWRGUMZUOZUJBUOZVTZUDWGWLGUMZUOZUEWIUOZUHBUOZUFBUOZVTZU
        GBUOZHFKLULZIDUMZUMZEJKULZIDUMZUMZHFEYALDUMZUMZJLULZIDUMZUMZUNZACURUQZX
        QPYJXQUGUFUHUJBCDUEUDUIGURMNOUSUTVAAXPYIUGJBQAWHJUNZVTZXOYIWJYLXNYIUFKB
        AKBUQYKRVBYLWGKUNZVTZXMYIUHLBALBUQYKYMSVCYNWLLUNZVTZXLYIUEEWIYPEJKGUMZW
        IAEYQUQYKYMYOTVKYPWHJWGKGAYKYMYOVDYLYMYOVEVFVGYPWFEUNZVTZXJYIUDFXKYSFKL
        GUMZXKAFYTUQYKYMYOYRUAVHYSWGKWLLGYLYMYOYRVDYNYOYRVEVFVGYSWEFUNZVTZXIYIW
        OUUBXHYIUJIBAIBUQYKYMYOYRUUAUBVIUUBWRIUNZVTZXFYIUIHXGUUDHLIGUMZXGAHUUEU
        QYKYMYOYRUUAUUCUCVJUUDWLLWRIGYNYOYRUUAUUCVLUUBUUCVMVFVGUUDWPHUNZVTZXBYC
        XEYHUUGWTXTWFEXAYBUUGWKYAWRIDUUGWHJWGKAYKYMYOYRUUAUUCUUFVNZYLYMYOYRUUAU
        UCUUFVOZVPZUUBUUCUUFVEZVFUUGWPHWEFWSXSUUGWQXRWRIDUUGWGKWLLUUIYNYOYRUUAU
        UCUUFVQZVPUUKVFUUDUUFVMZYSUUAUUCUUFVDZVRYPYRUUAUUCUUFVLZVRUUGWPHWNYEXDY
        GUUGXCYFWRIDUUGWHJWLLUUHUULVPUUKVFUUMUUGWEFWFEWMYDUUGWKYAWLLDUUJUULVFUU
        NUUOVRVRWAVSWBWCWBWBWBWBWCWBWD $.
    $}

    catcone0.f $e |- ( ph -> ( X H Y ) =/= (/) ) $.
    catcone0.g $e |- ( ph -> ( Y H Z ) =/= (/) ) $.
    $( Composition of non-empty hom-sets is non-empty.  (Contributed by Zhi
       Wang, 18-Sep-2024.) $)
    catcone0 $p |- ( ph -> ( X H Z ) =/= (/) ) $=
      ( vg vf wex cv cop co wcel c0 wa n0 anbi12i exdistrv sylbb2 syl2anc ancli
      wne 19.42vv biimpri ccat adantr simprl simprr catcocl 2eximi exlimivv syl
      3syl ne0i ) ARUAZSUAZFGUBHDUCUCZFHEUCZUDZRTSTZVIUEUMZAAVGFGEUCZUDZVFGHEUC
      ZUDZUFZRTSTZUFZAVQUFZRTSTZVKAVRAVMUEUMZVOUEUMZVRPQWBWCUFVNSTZVPRTZUFVRWBW
      DWCWESVMUGRVOUGUHVNVPSRUIUJUKULWAVSAVQSRUNUOVTVJSRVTBCDVGVFEFGHIJKACUPUDV
      QLUQAFBUDVQMUQAGBUDVQNUQAHBUDVQOUQAVNVPURAVNVPUSUTVAVDVJVLSRVIVHVEVBVC $.
  $}

  ${
    $d f g h w x y z C $.  $d f g h w x y z V $.
    $( Any structure with an empty set of objects is a category.  (Contributed
       by Mario Carneiro, 3-Jan-2017.) $)
    0catg $p |- ( ( C e. V /\ (/) = ( Base ` C ) ) -> C e. Cat ) $=
      ( vx vy vz vw vf vg vh wcel c0 cfv wceq wa cv co pm2.21i w3a cop syl chom
      cbs cco simpr eqidd simpl noel adantl simpr1 simp21 simp2ll iscatd ) ABJZ
      KAUBLMZNZCDEFKAAUCLZKGHIAUALZBUMUNUDUOUQUEUOUPUEUMUNUFCOZKJZKURURUQPJZUOU
      SUTURUGZQUHUOUSDOZKJZGOZVBURUQPJZRNUSKVDVBURSURUPPPVDMZUOUSVCVEUIUSVFVAQT
      UOUSVCVDURVBUQPJZRNUSVDKURURSVBUPPPVDMZUOUSVCVGUIUSVHVAQTUOUSVCEOZKJZRVGH
      OZVBVIUQPJZNZRUSVKVDURVBSZVIUPPPZURVIUQPJZUOUSVCVJVMUJUSVPVAQTUOUSVCNVJFO
      ZKJNZNVGVLIOZVIVQUQPJRZRUSVSVKVBVISVQUPPPVDVNVQUPPPVSVOURVISVQUPPPMZUSVCV
      RUOVTUKUSWAVAQTUL $.
  $}

  $( The empty set is a category, the _empty category_, see example 3.3(4.c) in
     [Adamek] p. 24.  (Contributed by Mario Carneiro, 3-Jan-2017.) $)
  0cat $p |- (/) e. Cat $=
    ( c0 cvv wcel cbs cfv wceq ccat 0ex base0 0catg mp2an ) ABCAADEFAGCHIABJK
    $.

  ${
    $d c x y B $.  $d c x y C $.  $d c x y H $.  $d x y ph $.  $d x y X $.
    $d x y Y $.
    homffval.f $e |- F = ( Homf ` C ) $.
    homffval.b $e |- B = ( Base ` C ) $.
    homffval.h $e |- H = ( Hom ` C ) $.
    $( Value of the functionalized Hom-set operation.  (Contributed by Mario
       Carneiro, 4-Jan-2017.)  (Proof shortened by AV, 1-Mar-2024.) $)
    homffval $p |- F = ( x e. B , y e. B |-> ( x H y ) ) $=
      ( vc chomf cfv cv co cmpo cvv wceq cbs chom c0 wcel fveq2 eqtr4di df-homf
      oveqd mpoeq123dv fvexi mpoex fvmpt wn fvprc eqtrid olcd 0mpo0 syl pm2.61i
      wo eqtr4d eqtri ) EDKLZABCCAMZBMZFNZOZGDPUAZUTVDQJDABJMZRLZVGVAVBVFSLZNZO
      VDPKVFDQZABVGVGVICCVCVJVGDRLZCVFDRUBHUCZVLVJVHFVAVBVJVHDSLFVFDSUBIUCUEUFA
      BJUDABCCVCCDRHUGZVMUHUIVEUJZUTTVDDKUKVNCTQZVOUQVDTQVNVOVOVNCVKTHDRUKULUMA
      BCCVCUNUOURUPUS $.

    $( If the Hom-set operation is a function it is equal to the corresponding
       functionalized Hom-set operation.  (Contributed by AV, 1-Mar-2020.) $)
    fnhomeqhomf $p |- ( H Fn ( B X. B ) -> F = H ) $=
      ( vx vy cxp wfn cv co cmpo wceq fnov homffval eqeq2 mpbiri sylbi ) DAAJKD
      HIAAHLILDMNZOZCDOZHIAADPUBUCCUAOHIABCDEFGQDUACRST $.

    homfval.x $e |- ( ph -> X e. B ) $.
    homfval.y $e |- ( ph -> Y e. B ) $.
    $( Value of the functionalized Hom-set operation.  (Contributed by Mario
       Carneiro, 4-Jan-2017.) $)
    homfval $p |- ( ph -> ( X F Y ) = ( X H Y ) ) $=
      ( vx vy cv co cvv cmpo wceq homffval a1i wa oveq12 adantl ovexd ovmpod )
      AMNFGBBMOZNOZEPZFGEPZDQDMNBBUIRSAMNBCDEHIJTUAUGFSUHGSUBUIUJSAUGFUHGEUCUDK
      LAFGEUEUF $.
  $}

  ${
    $d x y B $.  $d x y C $.
    homffn.f $e |- F = ( Homf ` C ) $.
    homffn.b $e |- B = ( Base ` C ) $.
    $( The functionalized Hom-set operation is a function.  (Contributed by
       Mario Carneiro, 4-Jan-2017.) $)
    homffn $p |- F Fn ( B X. B ) $=
      ( vx vy cv chom cfv co eqid homffval ovex fnmpoi ) FGAAFHZGHZBIJZKCFGABCR
      DERLMPQRNO $.
  $}

  ${
    $d x y B $.  $d x y C $.  $d x y D $.  $d x y H $.  $d x y ph $.
    $d x y J $.
    homfeq.h $e |- H = ( Hom ` C ) $.
    homfeq.j $e |- J = ( Hom ` D ) $.
    homfeq.1 $e |- ( ph -> B = ( Base ` C ) ) $.
    homfeq.2 $e |- ( ph -> B = ( Base ` D ) ) $.
    $( Condition for two categories with the same base to have the same
       hom-sets.  (Contributed by Mario Carneiro, 6-Jan-2017.) $)
    homfeq $p |- ( ph -> ( ( Homf ` C ) = ( Homf ` D ) <->
      A. x e. B A. y e. B ( x H y ) = ( x J y ) ) ) $=
      ( chomf cfv wceq cv co cmpo wral eqid homffval mpoeq123dv eqtr4id eqeq12d
      cbs eqidd cvv wcel wb ovex rgen2w mpo2eqb ax-mp bitrdi ) AEMNZFMNZOBCDDBP
      ZCPZGQZRZBCDDUQURHQZRZOZUSVAOCDSBDSZAUOUTUPVBAUOBCEUENZVEUSRUTBCVEEUOGUOT
      VETIUAABCDDUSVEVEUSKKAUSUFUBUCAUPBCFUENZVFVARVBBCVFFUPHUPTVFTJUAABCDDVAVF
      VFVALLAVAUFUBUCUDUSUGUHZCDSBDSVCVDUIVGBCDDUQURGUJUKBCDDUSVAUGULUMUN $.
  $}

  ${
    $d x y C $.  $d x y D $.  $d x y ph $.
    homfeqd.1 $e |- ( ph -> ( Base ` C ) = ( Base ` D ) ) $.
    homfeqd.2 $e |- ( ph -> ( Hom ` C ) = ( Hom ` D ) ) $.
    $( If two structures have the same ` Hom ` slot, they have the same
       Hom-sets.  (Contributed by Mario Carneiro, 4-Jan-2017.) $)
    homfeqd $p |- ( ph -> ( Homf ` C ) = ( Homf ` D ) ) $=
      ( vx vy chomf cfv wceq cv chom cbs wral oveqd ralrimivw eqid eqidd homfeq
      co mpbird ) ABHICHIJFKZGKZBLIZTUBUCCLIZTJZGBMIZNZFUGNAUHFUGAUFGUGAUDUEUBU
      CEOPPAFGUGBCUDUEUDQUEQAUGRDSUA $.
  $}

  ${
    homfeqbas.1 $e |- ( ph -> ( Homf ` C ) = ( Homf ` D ) ) $.
    $( Deduce equality of base sets from equality of Hom-sets.  (Contributed by
       Mario Carneiro, 4-Jan-2017.) $)
    homfeqbas $p |- ( ph -> ( Base ` C ) = ( Base ` D ) ) $=
      ( cbs cfv cxp cdm chomf dmeqd eqid homffn fndmi 3eqtr3g dmxpid ) ABEFZPGZ
      HCEFZRGZHPRAQSABIFZHCIFZHQSATUADJQTPBTTKPKLMSUARCUAUAKRKLMNJPORON $.
  $}

  ${
    homfeqval.b $e |- B = ( Base ` C ) $.
    homfeqval.h $e |- H = ( Hom ` C ) $.
    homfeqval.j $e |- J = ( Hom ` D ) $.
    homfeqval.1 $e |- ( ph -> ( Homf ` C ) = ( Homf ` D ) ) $.
    homfeqval.x $e |- ( ph -> X e. B ) $.
    homfeqval.y $e |- ( ph -> Y e. B ) $.
    $( Value of the functionalized Hom-set operation.  (Contributed by Mario
       Carneiro, 4-Jan-2017.) $)
    homfeqval $p |- ( ph -> ( X H Y ) = ( X J Y ) ) $=
      ( chomf cfv co eqid homfval cbs oveqd homfeqbas eqtrid eleqtrd 3eqtr3d )
      AGHCOPZQGHDOPZQGHEQGHFQAUFUGGHLUAABCUFEGHUFRIJMNSADTPZDUGFGHUGRUHRKAGBUHM
      ABCTPUHIACDLUBUCZUDAHBUHNUIUDSUE $.
  $}

  ${
    $d c x y z B $.  $d c f g x y z C $.  $d f g x z ph $.  $d c f g x z .x. $.
    $d f g F $.  $d f g G $.  $d f g x z X $.  $d f g x z Y $.  $d f g x z Z $.
    $d c f g x z H $.
    comfffval.o $e |- O = ( comf ` C ) $.
    comfffval.b $e |- B = ( Base ` C ) $.
    comfffval.h $e |- H = ( Hom ` C ) $.
    comfffval.x $e |- .x. = ( comp ` C ) $.
    $( Value of the functionalized composition operation.  (Contributed by
       Mario Carneiro, 4-Jan-2017.)  (Proof shortened by AV, 1-Mar-2024.) $)
    comfffval $p |- O = ( x e. ( B X. B ) , y e. B |->
     ( g e. ( ( 2nd ` x ) H y ) , f e. ( H ` x ) |-> ( g ( x .x. y ) f ) ) ) $=
      ( cfv cv co cmpo wceq cbs c0 vc ccomf cxp c2nd cvv wcel cco fveq2 eqtr4di
      chom sqxpeqd oveqd fveq1d mpoeq123dv df-comf fvexi xpex mpoex fvmpt fvprc
      wn wo eqtrid olcd 0mpo0 syl eqtr4d pm2.61i eqtri ) IDUBNZABCCUCZCGFAOZUDN
      ZBOZHPZVLHNZGOZFOZVLVNEPZPZQZQZJDUEUFZVJWBRUADABUAOZSNZWEUCZWEGFVMVNWDUJN
      ZPZVLWGNZVQVRVLVNWDUGNZPZPZQZQWBUEUBWDDRZABWFWEWMVKCWAWNWECWNWEDSNZCWDDSU
      HKUIZUKWPWNGFWHWIWLVOVPVTWNWGHVMVNWNWGDUJNHWDDUJUHLUIZULWNVLWGHWQUMWNWKVS
      VQVRWNWJEVLVNWNWJDUGNEWDDUGUHMUIULULUNUNABFGUAUOABVKCWACCCDSKUPZWRUQWRURU
      SWCVAZVJTWBDUBUTWSVKTRZCTRZVBWBTRWSXAWTWSCWOTKDSUTVCVDABVKCWAVEVFVGVHVI
      $.

    comffval.x $e |- ( ph -> X e. B ) $.
    comffval.y $e |- ( ph -> Y e. B ) $.
    comffval.z $e |- ( ph -> Z e. B ) $.
    $( Value of the functionalized composition operation.  (Contributed by
       Mario Carneiro, 4-Jan-2017.) $)
    comffval $p |- ( ph -> ( <. X , Y >. O Z ) =
     ( g e. ( Y H Z ) , f e. ( X H Y ) |-> ( g ( <. X , Y >. .x. Z ) f ) ) ) $=
      ( vx co vz cop cxp cv c2nd cfv cmpo cvv wceq comfffval a1i wa simprl wcel
      fveq2d op2ndg syl2anc adantr eqtrd oveq12d df-ov eqtr4di oveqd mpoeq123dv
      simprr opelxpd ovex mpoex ovmpod ) ASUAIJUBZKBBUCZBFESUDZUEUFZUAUDZGTZVLG
      UFZFUDZEUDZVLVNDTZTZUGZFEJKGTZIJGTZVQVRVJKDTZTZUGZHUHHSUAVKBWAUGUIASUABCD
      EFGHLMNOUJUKAVLVJUIZVNKUIZULZULZFEVOVPVTWBWCWEWJVMJVNKGWJVMVJUEUFZJWJVLVJ
      UEAWGWHUMZUOAWKJUIZWIAIBUNJBUNWMPQIJBBUPUQURUSAWGWHVEZUTWJVPVJGUFWCWJVLVJ
      GWLUOIJGVAVBWJVSWDVQVRWJVLVJVNKDWLWNUTVCVDAIJBBPQVFRWFUHUNAFEWBWCWEJKGVGI
      JGVGVHUKVI $.

    comfval.f $e |- ( ph -> F e. ( X H Y ) ) $.
    comfval.g $e |- ( ph -> G e. ( Y H Z ) ) $.
    $( Value of the functionalized composition operation.  (Contributed by
       Mario Carneiro, 4-Jan-2017.) $)
    comfval $p |- ( ph ->
      ( G ( <. X , Y >. O Z ) F ) = ( G ( <. X , Y >. .x. Z ) F ) ) $=
      ( vg vf co cv cop cvv comffval wceq wa oveq12 adantl ovexd ovmpod ) AUAUB
      FEJKGUCIJGUCUAUDZUBUDZIJUEZKDUCZUCZFEUQUCZUPKHUCUFABCDUBUAGHIJKLMNOPQRUGU
      NFUHUOEUHUIURUSUHAUNFUOEUQUJUKTSAFEUQULUM $.
  $}

  ${
    $d f g x y B $.  $d f g x y C $.  $d f g x .x. $.  $d f g X $.  $d f g Y $.
    $d f g ph $.  $d f g Z $.
    comfffval2.o $e |- O = ( comf ` C ) $.
    comfffval2.b $e |- B = ( Base ` C ) $.
    comfffval2.h $e |- H = ( Homf ` C ) $.
    comfffval2.x $e |- .x. = ( comp ` C ) $.
    $( Value of the functionalized composition operation.  (Contributed by
       Mario Carneiro, 4-Jan-2017.) $)
    comfffval2 $p |- O = ( x e. ( B X. B ) , y e. B |->
     ( g e. ( ( 2nd ` x ) H y ) , f e. ( H ` x ) |-> ( g ( x .x. y ) f ) ) ) $=
      ( cv cfv co cmpo wcel adantr homfval c2nd chom eqid comfffval xp2nd simpr
      cxp wa c1st cop xp1st df-ov 3eqtr3g wceq 1st2nd2 3eqtr4d eqidd mpoeq123dv
      fveq2d mpoeq3ia eqtr4i ) IABCCUGZCGFANZUAOZBNZDUBOZPZVCVFOZGNFNVCVEEPPZQZ
      QABVBCGFVDVEHPZVCHOZVIQZQABCDEFGVFIJKVFUCZMUDABVBCVMVJVCVBRZVECRZUHZGFVKV
      LVIVGVHVIVQCDHVFVDVELKVNVOVDCRVPVCCCUESZVOVPUFTVQVCUIOZVDUJZHOZVTVFOZVLVH
      VQVSVDHPVSVDVFPWAWBVQCDHVFVSVDLKVNVOVSCRVPVCCCUKSVRTVSVDHULVSVDVFULUMVQVC
      VTHVOVCVTUNVPVCCCUOSZUSVQVCVTVFWCUSUPVQVIUQURUTVA $.

    comffval2.x $e |- ( ph -> X e. B ) $.
    comffval2.y $e |- ( ph -> Y e. B ) $.
    comffval2.z $e |- ( ph -> Z e. B ) $.
    $( Value of the functionalized composition operation.  (Contributed by
       Mario Carneiro, 4-Jan-2017.) $)
    comffval2 $p |- ( ph -> ( <. X , Y >. O Z ) =
     ( g e. ( Y H Z ) , f e. ( X H Y ) |-> ( g ( <. X , Y >. .x. Z ) f ) ) ) $=
      ( co cv cop chom cfv cmpo eqid comffval homfval eqidd mpoeq123dv eqtr4d )
      AIJUAZKHSFEJKCUBUCZSZIJULSZFTETUKKDSSZUDFEJKGSZIJGSZUOUDABCDEFULHIJKLMULU
      EZOPQRUFAFEUPUQUOUMUNUOABCGULJKNMURQRUGABCGULIJNMURPQUGAUOUHUIUJ $.

    comfval2.f $e |- ( ph -> F e. ( X H Y ) ) $.
    comfval2.g $e |- ( ph -> G e. ( Y H Z ) ) $.
    $( Value of the functionalized composition operation.  (Contributed by
       Mario Carneiro, 4-Jan-2017.) $)
    comfval2 $p |- ( ph ->
      ( G ( <. X , Y >. O Z ) F ) = ( G ( <. X , Y >. .x. Z ) F ) ) $=
      ( chom cfv eqid co homfval eleqtrd comfval ) ABCDEFCUAUBZHIJKLMUHUCZOPQRA
      EIJGUDIJUHUDSABCGUHIJNMUIPQUEUFAFJKGUDJKUHUDTABCGUHJKNMUIQRUEUFUG $.
  $}

  ${
    $d x y B $.  $d f g x y C $.  $d f g H $.  $d f g ph $.  $d f g X $.
    $d f g Y $.  $d f g Z $.
    comfffn.o $e |- O = ( comf ` C ) $.
    comfffn.b $e |- B = ( Base ` C ) $.
    $( The functionalized composition operation is a function.  (Contributed by
       Mario Carneiro, 4-Jan-2017.) $)
    comfffn $p |- O Fn ( ( B X. B ) X. B ) $=
      ( vx vy vg vf cxp cv c2nd cfv chom co cco cmpo eqid comfffval ovex fnmpoi
      fvex mpoex ) FGAAJAHIFKZLMZGKZBNMZOZUDUGMZHKIKUDUFBPMZOOZQCFGABUJIHUGCDEU
      GRUJRSHIUHUIUKUEUFUGTUDUGUBUCUA $.

    comffn.h $e |- H = ( Hom ` C ) $.
    comffn.x $e |- ( ph -> X e. B ) $.
    comffn.y $e |- ( ph -> Y e. B ) $.
    comffn.z $e |- ( ph -> Z e. B ) $.
    $( The functionalized composition operation is a function.  (Contributed by
       Mario Carneiro, 4-Jan-2017.) $)
    comffn $p |- ( ph -> ( <. X , Y >. O Z ) Fn ( ( Y H Z ) X. ( X H Y ) ) ) $=
      ( vg vf co wfn cv eqid cop cxp cco cfv cmpo fnmpoi comffval fneq1d mpbiri
      ovex ) AFGUAZHEQZGHDQZFGDQZUBZROPUMUNOSZPSZUKHCUCUDZQZQZUEZUOROPUMUNUTVAV
      ATUPUQUSUJUFAUOULVAABCURPODEFGHIJKURTLMNUGUHUI $.
  $}

  ${
    $d f g u x y z B $.  $d f g u z C $.  $d f g u z ph $.  $d f g u x y .x. $.
    $d f g u z D $.  $d f g u x y H $.  $d f g u x y .xb $.
    comfeq.1 $e |- .x. = ( comp ` C ) $.
    comfeq.2 $e |- .xb = ( comp ` D ) $.
    comfeq.h $e |- H = ( Hom ` C ) $.
    comfeq.3 $e |- ( ph -> B = ( Base ` C ) ) $.
    comfeq.4 $e |- ( ph -> B = ( Base ` D ) ) $.
    comfeq.5 $e |- ( ph -> ( Homf ` C ) = ( Homf ` D ) ) $.
    $( Condition for two categories with the same hom-sets to have the same
       composition.  (Contributed by Mario Carneiro, 4-Jan-2017.) $)
    comfeq $p |- ( ph -> ( ( comf ` C ) = ( comf ` D ) <->
      A. x e. B A. y e. B A. z e. B A. f e. ( x H y ) A. g e. ( y H z )
      ( g ( <. x , y >. .x. z ) f ) = ( g ( <. x , y >. .xb z ) f ) ) ) $=
      ( vu wral cxp cv c2nd cfv co cmpo wceq ccomf cop sqxpeqd eqidd mpoeq123dv
      cbs eqid comfffval eqtr4di chom w3a chomf 3ad2ant1 xp2nd 3ad2ant2 eleqtrd
      wcel simp3 homfeqval xp1st df-ov 3eqtr3g 1st2nd2 fveq2d 3eqtr4d mpoeq3dva
      c1st eqtrd eqeq12d cvv wb ovex fvex mpoex rgen2w mpo2eqb ax-mp vex op2ndd
      oveq1d fveq2 oveq1 oveqd raleqbidv ralcom 3bitr4g ralbidv ralxp bitr3di
      bitri ) ASDEEUAZEKJSUBZUCUDZDUBZLUEZWSLUDZKUBZJUBZWSXAIUEZUEZUFZUFZSDWREK
      JXBXCXDXEWSXAHUEZUEZUFZUFZUGZFUHUDZGUHUDZUGXDXEBUBZCUBZUIZXAIUEZUEZXDXEXS
      XAHUEZUEZUGZKXRXALUEZTJXQXRLUEZTZDETZCETBETZAXIXOXMXPAXISDFUMUDZYJUAZYJXH
      UFXOASDWREXHYKYJXHAEYJPUJPAXHUKULSDYJFIJKLXOXOUNYJUNZOMUOUPAXMSDGUMUDZYMU
      AZYMKJWTXAGUQUDZUEZWSYOUDZXKUFZUFZXPAXMSDWREYRUFYSASDWREXLYRAWSWRVDZXAEVD
      ZURZKJXBXCXKYPYQXKUUBYJFGLYOWTXAYLOYOUNZAYTFUSUDGUSUDUGUUARUTZUUBWTEYJYTA
      WTEVDUUAWSEEVAVBAYTEYJUGUUAPUTZVCZUUBXAEYJAYTUUAVEUUEVCVFUUBWSVNUDZWTUIZL
      UDZUUHYOUDZXCYQUUBUUGWTLUEUUGWTYOUEUUIUUJUUBYJFGLYOUUGWTYLOUUCUUDUUBUUGEY
      JYTAUUGEVDUUAWSEEVGVBUUEVCUUFVFUUGWTLVHUUGWTYOVHVIUUBWSUUHLYTAWSUUHUGUUAW
      SEEVJVBZVKUUBWSUUHYOUUKVKVLUUBXKUKULVMASDWREYRYNYMYRAEYMQUJQAYRUKULVOSDYM
      GHJKYOXPXPUNYMUNUUCNUOUPVPXNXHXLUGZDETZSWRTZYIXHVQVDZDETSWRTXNUUNVRUUOSDW
      REKJXBXCXGWTXALVSWSLVTWAWBSDWREXHXLVQWCWDUUMYHSBCEEWSXSUGZUULYGDEUUPXGXKU
      GZJXCTZKXBTZYDJYFTZKYETUULYGUUPUURUUTKXBYEUUPWTXRXALXQXRWSBWECWEWFWGUUPUU
      QYDJXCYFUUPXCXSLUDYFWSXSLWHXQXRLVHUPUUPXGYAXKYCUUPXFXTXDXEWSXSXAIWIWJUUPX
      JYBXDXEWSXSXAHWIWJVPWKWKXGVQVDZJXCTKXBTUULUUSVRUVAKJXBXCXDXEXFVSWBKJXBXCX
      GXKVQWCWDYDJKYFYEWLWMWNWOWQWP $.
  $}

  ${
    $d f g x y z C $.  $d f g x y z D $.  $d f g x y z ph $.
    comfeqd.1 $e |- ( ph -> ( comp ` C ) = ( comp ` D ) ) $.
    comfeqd.2 $e |- ( ph -> ( Homf ` C ) = ( Homf ` D ) ) $.
    $( Condition for two categories with the same hom-sets to have the same
       composition.  (Contributed by Mario Carneiro, 4-Jan-2017.) $)
    comfeqd $p |- ( ph -> ( comf ` C ) = ( comf ` D ) ) $=
      ( vg vf vx vy vz ccomf cfv wceq cv cco co wral oveqd ralrimivw eqid eqidd
      cop chom cbs homfeqbas comfeq mpbird ) ABKLCKLMFNZGNZHNZINZUBZJNZBOLZPZPU
      HUIULUMCOLZPZPMZFUKUMBUCLZPZQZGUJUKUSPZQZJBUDLZQZIVDQZHVDQAVFHVDAVEIVDAVC
      JVDAVAGVBAURFUTAUOUQUHUIAUNUPULUMDRRSSSSSAHIJVDBCUPUNGFUSUNTUPTUSTAVDUAAB
      CEUEEUFUG $.
  $}

  ${
    comfeqval.b $e |- B = ( Base ` C ) $.
    comfeqval.h $e |- H = ( Hom ` C ) $.
    comfeqval.1 $e |- .x. = ( comp ` C ) $.
    comfeqval.2 $e |- .xb = ( comp ` D ) $.
    comfeqval.3 $e |- ( ph -> ( Homf ` C ) = ( Homf ` D ) ) $.
    comfeqval.4 $e |- ( ph -> ( comf ` C ) = ( comf ` D ) ) $.
    comfeqval.x $e |- ( ph -> X e. B ) $.
    comfeqval.y $e |- ( ph -> Y e. B ) $.
    comfeqval.z $e |- ( ph -> Z e. B ) $.
    comfeqval.f $e |- ( ph -> F e. ( X H Y ) ) $.
    comfeqval.g $e |- ( ph -> G e. ( Y H Z ) ) $.
    $( Equality of two compositions.  (Contributed by Mario Carneiro,
       4-Jan-2017.) $)
    comfeqval $p |- ( ph ->
      ( G ( <. X , Y >. .x. Z ) F ) = ( G ( <. X , Y >. .xb Z ) F ) ) $=
      ( cop ccomf cfv co oveqd eqid comfval cbs chom homfeqbas eqtrid homfeqval
      eleqtrd 3eqtr3d ) AHGJKUDZLCUEUFZUGZUGHGURLDUEUFZUGZUGHGURLFUGUGHGURLEUGU
      GAUTVBHGAUSVAURLRUHUHABCFGHIUSJKLUSUIMNOSTUAUBUCUJADUKUFZDEGHDULUFZVAJKLV
      AUIVCUIVDUIZPAJBVCSABCUKUFVCMACDQUMUNZUPAKBVCTVFUPALBVCUAVFUPAGJKIUGJKVDU
      GUBABCDIVDJKMNVEQSTUOUPAHKLIUGKLVDUGUCABCDIVDKLMNVEQTUAUOUPUJUQ $.
  $}

  ${
    $d f g h w x y z C $.  $d f g h w x y z D $.  $d f g h w x y z ph $.
    catpropd.1 $e |- ( ph -> ( Homf ` C ) = ( Homf ` D ) ) $.
    catpropd.2 $e |- ( ph -> ( comf ` C ) = ( comf ` D ) ) $.
    catpropd.3 $e |- ( ph -> C e. V ) $.
    catpropd.4 $e |- ( ph -> D e. W ) $.
    $( Two structures with the same base, hom-sets and composition operation
       are either both categories or neither.  (Contributed by Mario Carneiro,
       5-Jan-2017.) $)
    catpropd $p |- ( ph -> ( C e. Cat <-> D e. Cat ) ) $=
      ( vg vf vy vz vh vw co wceq wral wa wcel vx cv cop cco cfv chom wrex ccat
      cbs wi simpl 2ralimi adantl ralimi a1i wb nfra1 nfv oveq1 eleq1d cbvralvw
      oveq2 ralbidv syl5bb cbvralw oveqd eleq12d raleqbidv oveq1d ralcom bitrdi
      opeq2 opeq1 biimpi ancri r19.26 eqid chomf adantr ad4antr ad5antr simpllr
      ccomf ad2antrr simp-4r simplr simpr comfeqval eqeq12d ralimdva ralbi syl6
      ex impancom impr syl anbi2d syl5bir expdimp an32s expimpd an4s expr syl56
      pm5.21ndd homfeqbas homfeqval eqeq1d raleqbidva anbi12d rexeqbidva oveq2d
      imp ad7antr bitrd iscat 3bitr4d ) AJUBZKUBZLUBZUAUBZUCZYABUDUEZPPZXSQZKXT
      YABUFUEZPZRZXSXRYAYAUCZXTYCPPZXSQZKYAXTYFPZRZSZLBUIUEZRZJYAYAYFPZUGZXRXSY
      AXTUCZMUBZYCPZPZYAYTYFPZTZNUBZXRXTYTUCZOUBZYCPZPZXSYSUUGYCPZPZUUEUUBYAYTU
      CZUUGYCPZPZQZNYTUUGYFPZRZOYORZSZJXTYTYFPZRZKYLRZMYORZLYORZSZUAYORZXRXSYBY
      ACUDUEZPPZXSQZKXTYACUFUEZPZRZXSXRYIXTUVGPPZXSQZKYAXTUVJPZRZSZLCUIUEZRZJYA
      YAUVJPZUGZXRXSYSYTUVGPPZYAYTUVJPZTZUUEXRUUFUUGUVGPPZXSYSUUGUVGPZPZUUEUWBU
      ULUUGUVGPZPZQZNYTUUGUVJPZRZOUVRRZSZJXTYTUVJPZRZKUVORZMUVRRZLUVRRZSZUAUVRR
      ZBUHTZCUHTZAUVFYRUUDUUIXSUWFPZUUEUUBUWHPZQZNUUPRZOYORZSZJUUTRZKYLRZMYORZL
      YORZSZUAYORZUXAAUUDJUUTRZKYLRZMYORZLYORZUAYORZUVFUXOUVFUXTUJAUVEUXSUAYOUV
      DUXSYRUVBUXQLMYOYOUUSUUDKJYLUUTUUDUURUKULULUMUNUOUXOUXTUJAUXNUXSUAYOUXMUX
      SYRUXKUXQLMYOYOUXIUUDKJYLUUTUUDUXHUKULULUMUNUOUXTUUIXTUUGYFPZTZNUUPRZOYOR
      ZJUUTRZMYORZLYORZUXTSAUVEUXNUPZUAYORZUVFUXOUPUXTUYGUXTUYGUXSUYFUALYOUXRLY
      OUQUYFUAURUXSUUEXRUUMPZYAUUGYFPZTZNUUPRZJUUCRZOYORZMYORYAXTQZUYFUXRUYOLMY
      OUXQMYOUQUYOLURUXRUUEXRUUJPZUYKTZNUYARZJYLRZOYORXTYTQZUYOUXQUYTMOYOUXQUUE
      XRUUAPZUUCTZNUUTRZJYLRYTUUGQZUYTUXPVUDKJYLUUDJUUTUQVUDKURUXPUUEXSUUAPZUUC
      TZNUUTRXSXRQZVUDUUDVUGJNUUTXRUUEQUUBVUFUUCXRUUEXSUUAUSUTVAVUHVUGVUCNUUTVU
      HVUFVUBUUCXSXRUUEUUAVBUTVCVDVEVUEVUDUYSJYLVUEVUCUYRNUUTUYAYTUUGXTYFVBVUEV
      UBUYQUUCUYKVUEUUAUUJUUEXRYTUUGYSYCVBVFYTUUGYAYFVBVGVHVCVDVAVUAUYTUYNOYOVU
      AUYSUYMJYLUUCXTYTYAYFVBVUAUYRUYLNUYAUUPXTYTUUGYFUSVUAUYQUYJUYKVUAUUJUUMUU
      EXRVUAYSUULUUGYCXTYTYAVLVIVFUTVHVHVCVDVEUYPUYOUYEMYOUYPUYOUYCJUUTRZOYORUY
      EUYPUYNVUIOYOUYPUYMUYCJUUCUUTYAXTYTYFUSUYPUYLUYBNUUPUYPUYJUUIUYKUYAUYPUUM
      UUHUUEXRUYPUULUUFUUGYCYAXTYTVMVIVFYAXTUUGYFUSVGVCVHVCUYCOJYOUUTVJVKVCVDVE
      VNVOAUYGUXTUYIAUYGSZUXSUYHUAYOVUJYAYOTZUXSUYHVUJVUKUXSSSUVDUXMYRAVUKUYGUX
      SUVDUXMUPZAVUKSZUYGUXSSZVULVUNUYFUXRSZLYORZVUMVULUYFUXRLYOVPVUMVUPUVCUXLU
      PZLYORVULVUMVUOVUQLYOVUOUYEUXQSZMYORZVUMXTYOTZSZVUQUYEUXQMYOVPVVAVUSUVBUX
      KUPZMYORVUQVVAVURVVBMYOVVAYTYOTZSZUYEUXQVVBVVDUYESZUXQUVAUXJUPZKYLRVVBVVE
      UXPVVFKYLVVDXSYLTZUYEUXPVVFUJVVDVVGSZUYESUXPUUSUXIUPZJUUTRZVVFVVHUYEUXPVV
      JUYEUXPSUYDUUDSZJUUTRVVHVVJUYDUUDJUUTVPVVHVVKVVIJUUTVVHXRUUTTZSZVVKVVIVVM
      VVKSZUURUXHUUDVVNUUQUXGUPZOYORZUURUXHUPVVMUYDUUDVVPVVMUUDUYDVVPVVMUUDSZUY
      CVVOOYOVVQUUGYOTZSZUYCUUOUXFUPZNUUPRVVOVVSUYBVVTNUUPVVSUUEUUPTZSZUYBVVTVW
      BUYBSZUUKUXDUUNUXEVWCYOBCUVGYCXSUUIYFYAXTUUGYOVQZYFVQZYCVQZUVGVQZVVMBVRUE
      CVRUEQZUUDVVRVWAUYBVUMVWHVUTVVCVVGVVLAVWHVUKFVSZVTZVTZVVMBWCUECWCUEQZUUDV
      VRVWAUYBAVWLVUKVUTVVCVVGVVLGWAZVTZVVMVUKUUDVVRVWAUYBVVDVUKVVGVVLAVUKVUTVV
      CWBZWDZVTZVVMVUTUUDVVRVWAUYBVUMVUTVVCVVGVVLWEZVTVVQVVRVWAUYBWBZVVMVVGUUDV
      VRVWAUYBVVDVVGVVLWFZVTVWBUYBWGWHVWCYOBCUVGYCUUBUUEYFYAYTUUGVWDVWEVWFVWGVW
      KVWNVWQVVMVVCUUDVVRVWAUYBVVAVVCVVGVVLWBZVTVWSVVMUUDVVRVWAUYBWEVVSVWAUYBWF
      WHWIWMWJUUOUXFNUUPWKWLWJWNWOUUQUXGOYOWKWPWQWMWJWRWSUUSUXIJUUTWKWLWTWJUVAU
      XJKYLWKWLXAWJUVBUXKMYOWKWLWRWJUVCUXLLYOWKWLWRXMXBWQXCWJXAUVEUXNUAYOWKXDXE
      AUXNUWTUAYOUVRABCFXFZVUMYRUWAUXMUWSVUMYPUVSJYQUVTVUMYOBCYFUVJYAYAVWDVWEUV
      JVQZVWIAVUKWGZVXDXGVUMXRYQTZSZYNUVQLYOUVRAYOUVRQZVUKVXEVXBWDVXFVUTSZYHUVL
      YMUVPVXHYEUVIKYGUVKVXHYOBCYFUVJXTYAVWDVWEVXCVUMVWHVXEVUTVWIWDZVXFVUTWGZAV
      UKVXEVUTWBZXGVXHXSYGTZSZYDUVHXSVXMYOBCUVGYCXSXRYFXTYAYAVWDVWEVWFVWGAVWHVU
      KVXEVUTVXLFVTAVWLVUKVXEVUTVXLGVTVXFVUTVXLWFAVUKVXEVUTVXLWEZVXNVXHVXLWGVUM
      VXEVUTVXLWBWHXHXIVXHYKUVNKYLUVOVXHYOBCYFUVJYAXTVWDVWEVXCVXIVXKVXJXGVXHVVG
      SZYJUVMXSVXOYOBCUVGYCXRXSYFYAYAXTVWDVWEVWFVWGAVWHVUKVXEVUTVVGFVTAVWLVUKVX
      EVUTVVGGVTAVUKVXEVUTVVGWEZVXPVXFVUTVVGWFVUMVXEVUTVVGWBVXHVVGWGWHXHXIXJXIX
      KVUMUXLUWRLYOUVRAVXGVUKVXBVSZVVAUXKUWQMYOUVRVUMVXGVUTVXQVSVVDUXJUWPKYLUVO
      VVDYOBCYFUVJYAXTVWDVWEVXCVUMVWHVUTVVCVWIWDZVWOVUMVUTVVCWFZXGVVHUXIUWNJUUT
      UWOVVDUUTUWOQVVGVVDYOBCYFUVJXTYTVWDVWEVXCVXRVXSVVAVVCWGZXGVSVVMUUDUWDUXHU
      WMVVMUUBUWBUUCUWCVVMYOBCUVGYCXSXRYFYAXTYTVWDVWEVWFVWGVWJVWMVWPVWRVXAVWTVV
      HVVLWGWHVVDUUCUWCQVVGVVLVVDYOBCYFUVJYAYTVWDVWEVXCVXRVWOVXTXGWDVGVVMUXGUWL
      OYOUVRVUMVXGVUTVVCVVGVVLVXQVTVVMVVRSZUXFUWJNUUPUWKVYAYOBCYFUVJYTUUGVWDVWE
      VXCVVMVWHVVRVWJVSVVAVVCVVGVVLVVRWEVVMVVRWGXGVYAVWASZUXDUWGUXEUWIVYBUUIUWE
      XSUWFVYBYOBCUVGYCXRUUEYFXTYTUUGVWDVWEVWFVWGVVDVWHVVGVVLVVRVWAVXRVTZAVWLVU
      KVUTVVCVVGVVLVVRVWAGXNZVVDVUTVVGVVLVVRVWAVXSVTZVVDVVCVVGVVLVVRVWAVXTVTZVV
      MVVRVWAWFVVHVVLVVRVWAWBZVYAVWAWGWHVIVYBUUBUWBUUEUWHVYBYOBCUVGYCXSXRYFYAXT
      YTVWDVWEVWFVWGVYCVYDVVDVUKVVGVVLVVRVWAVWOVTVYEVYFVVDVVGVVLVVRVWAWEVYGWHXL
      WIXIXIXJXIXIXIXIXJXIXOABDTUXBUVFUPHUALMOYOBYCKJNYFDVWDVWEVWFXPWPACETUXCUX
      AUPIUALMOUVRCUVGKJNUVJEUVRVQVXCVWGXPWPXQ $.

    $( Two structures with the same base, hom-sets and composition operation
       have the same identity function.  (Contributed by Mario Carneiro,
       17-Jan-2017.) $)
    cidpropd $p |- ( ph -> ( Id ` C ) = ( Id ` D ) ) $=
      ( vx vg vf vy wcel cfv wceq wa co wral eqid ccat ccid cbs cv cop cco chom
      crio homfeqbas adantr chomf ad4antr simpr simpllr homfeqval ad5antr ccomf
      cmpt simplr simp-4r comfeqval eqeq1d raleqbidva anbi12d ralbidva ad2antrr
      riotabidva raleqdv riotaeqbidv mpteq12dva cidfval catpropd biimpa 3eqtr4d
      eqtrd wn c0 cdm cidffn fndmi eleq2i sylnibr ndmfv notbid eqtr4d pm2.61dan
      syl bitr4di ) ABUANZBUBOZCUBOZPAWIQZJBUCOZKUDZLUDZMUDZJUDZUEZWQBUFOZRRZWO
      PZLWPWQBUGOZRZSZWOWNWQWQUEZWPWSRRZWOPZLWQWPXBRZSZQZMWMSZKWQWQXBRZUHZURJCU
      COZWNWOWRWQCUFOZRRZWOPZLWPWQCUGOZRZSZWOWNXEWPXORRZWOPZLWQWPXRRZSZQZMXNSZK
      WQWQXRRZUHZURWJWKWLJWMXMXNYHAWMXNPZWIABCFUIZUJWLWQWMNZQZXMYEMWMSZKXLUHYHY
      LXKYMKXLYLWNXLNZQZXJYEMWMYOWPWMNZQZXDXTXIYDYQXAXQLXCXSYQWMBCXBXRWPWQWMTZX
      BTZXRTZABUKOCUKOPZWIYKYNYPFULZYOYPUMZWLYKYNYPUNZUOYQWOXCNZQZWTXPWOUUFWMBC
      XOWSWOWNXBWPWQWQYRYSWSTZXOTZAUUAWIYKYNYPUUEFUPABUQOCUQOPZWIYKYNYPUUEGUPYO
      YPUUEUSWLYKYNYPUUEUTZUUJYQUUEUMYLYNYPUUEUNVAVBVCYQXGYBLXHYCYQWMBCXBXRWQWP
      YRYSYTUUBUUDUUCUOYQWOXHNZQZXFYAWOUULWMBCXOWSWNWOXBWQWQWPYRYSUUGUUHYQUUAUU
      KUUBUJAUUIWIYKYNYPUUKGUPYQYKUUKUUDUJZUUMYOYPUUKUSYLYNYPUUKUNYQUUKUMVAVBVC
      VDVEVGYLYMYFKXLYGYLWMBCXBXRWQWQYRYSYTAUUAWIYKFVFWLYKUMZUUNUOYLYEMWMXNAYIW
      IYKYJVFVHVIVOVJWLJMWMBWSWJLKXBYRYSUUGAWIUMWJTVKWLJMXNCXOWKLKXRXNTYTUUHAWI
      CUANZABCDEFGHIVLZVMWKTVKVNAWIVPZQZWJVQWKUURBUBVRZNZVPWJVQPUURWIUUTAUUQUMU
      USUABUAUBVSVTZWAWBBUBWCWGUURCUUSNZVPZWKVQPAUUQUVCAWIUVBAWIUUOUVBUUPUUSUAC
      UVAWAWHWDVMCUBWCWGWEWF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Opposite category
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c oppCat $. $( Opposite category $)

  $( The opposite category operation. $)
  coppc $a class oppCat $.

  ${
    $d f u z $.
    $( Define an opposite category, which is the same as the original category
       but with the direction of arrows the other way around.  Definition 3.5
       of [Adamek] p. 25.  (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    df-oppc $a |- oppCat = ( f e. _V |-> ( ( f sSet
      <. ( Hom ` ndx ) , tpos ( Hom ` f ) >. ) sSet <. ( comp ` ndx ) ,
        ( u e. ( ( Base ` f ) X. ( Base ` f ) ) , z e. ( Base ` f ) |->
          tpos ( <. z , ( 2nd ` u ) >. ( comp ` f ) ( 1st ` u ) ) ) >. ) ) $.
  $}

  ${
    $d c B $.  $d c u z C $.  $d c H $.  $d c .x. $.
    oppcval.b $e |- B = ( Base ` C ) $.
    oppcval.h $e |- H = ( Hom ` C ) $.
    oppcval.x $e |- .x. = ( comp ` C ) $.
    oppcval.o $e |- O = ( oppCat ` C ) $.
    $( Value of the opposite category.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    oppcval $p |- ( C e. V -> O = ( ( C sSet <. ( Hom ` ndx ) , tpos H >. )
      sSet <. ( comp ` ndx ) , ( u e. ( B X. B ) , z e. B |->
        tpos ( <. z , ( 2nd ` u ) >. .x. ( 1st ` u ) ) ) >. ) ) $=
      ( vc cfv chom ctpos cop csts co cco wcel coppc cnx cxp c2nd c1st cmpo cvv
      cv wceq elex cbs id fveq2 eqtr4di tposeqd opeq2d oveq12d oveqd mpoeq123dv
      sqxpeqd df-oppc ovex fvmpt syl eqtrid ) DHUAZGDUBNZDUCONZFPZQZRSZUCTNZBAC
      CUDZCAUIBUIZUENQZVOUFNZESZPZUGZQZRSZLVGDUHUAVHWBUJDHUKMDMUIZVIWCONZPZQZRS
      ZVMBAWCULNZWHUDZWHVPVQWCTNZSZPZUGZQZRSWBUHUBWCDUJZWGVLWNWARWOWCDWFVKRWOUM
      WOWEVJVIWOWDFWOWDDONFWCDOUNJUOUPUQURWOWMVTVMWOBAWIWHWLVNCVSWOWHCWOWHDULNC
      WCDULUNIUOZVAWPWOWKVRWOWJEVPVQWOWJDTNEWCDTUNKUOUSUPUTUQURABMVBVLWARVCVDVE
      VF $.
  $}

  ${
    $d u z C $.
    oppchom.h $e |- H = ( Hom ` C ) $.
    oppchom.o $e |- O = ( oppCat ` C ) $.
    $( Hom-sets of the opposite category.  (Contributed by Mario Carneiro,
       2-Jan-2017.)  (Proof shortened by AV, 14-Oct-2024.) $)
    oppchomfval $p |- tpos H = ( Hom ` O ) $=
      ( vu vz cvv wcel ctpos chom cfv wceq cnx cop csts co homid wne c0 cco cbs
      cxp cv c2nd c1st cmpo slotsbhcdif simp3i setsnid fvexi tposex setsid eqid
      mpan2 oppcval fveq2d 3eqtr4a wn tpos0 fvprc tposeqd coppc eqtr4di pm2.61i
      eqtrid str0 ) AHIZBJZCKLZMVHANKLZVIOPQZKLZVLNUALZFGAUBLZVOUCVOGUDFUDZUELO
      VPUFLAUALZQJUGZOPQZKLVIVJVRVNKVLRNUBLZVKSVTVNSVKVNSUHUIUJVHVIHIVIVMMBBAKD
      UKULHVIKHARUMUOVHCVSKGFVOAVQBCHVOUNDVQUNEUPUQURVHUSZTJTVIVJUTWABTWABAKLTD
      AKVAVFVBWAVJTKLTWACTKWACAVCLTEAVCVAVFUQKVKRVGVDURVE $.

    $( Obsolete proof of ~ oppchomfval as of 14-Oct-2024.  (Contributed by
       Mario Carneiro, 2-Jan-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    oppchomfvalOLD $p |- tpos H = ( Hom ` O ) $=
      ( vu vz cvv wcel ctpos chom cfv wceq cnx cop csts co c1 c4 c0 cco cbs cxp
      cv c2nd c1st cmpo homid wne cdc c5 1nn0 4nn decnncl nnrei 4nn0 4lt5 declt
      ltneii homndx ccondx neeq12i mpbir setsnid fvexi tposex setsid mpan2 eqid
      oppcval fveq2d 3eqtr4a wn tpos0 fvprc eqtrid tposeqd coppc df-hom eqtr4di
      5nn str0 pm2.61i ) AHIZBJZCKLZMWDANKLZWEOPQZKLZWHNUALZFGAUBLZWKUCWKGUDFUD
      ZUELOWLUFLAUALZQJUGZOPQZKLWEWFWNWJKWHUHWGWJUIRSUJZRUKUJZUIWPWQWPRSULUMUNU
      ORSUKULUPWAUQURUSWGWPWJWQUTVAVBVCVDWDWEHIWEWIMBBAKDVEVFHWEKHAUHVGVHWDCWOK
      GFWKAWMBCHWKVIDWMVIEVJVKVLWDVMZTJTWEWFVNWRBTWRBAKLTDAKVOVPVQWRWFTKLTWRCTK
      WRCAVRLTEAVRVOVPVKKWPVSWBVTVLWC $.

    $( Hom-sets of the opposite category.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    oppchom $p |- ( X ( Hom ` O ) Y ) = ( Y H X ) $=
      ( ctpos co chom cfv oppchomfval oveqi ovtpos eqtr3i ) DEBHZIDECJKZIEDBIPQ
      DEABCFGLMDEBNO $.
  $}

  ${
    $d u z B $.  $d u z C $.  $d u z ph $.  $d u z .x. $.  $d u z X $.
    $d u z Y $.  $d u z Z $.
    oppcco.b $e |- B = ( Base ` C ) $.
    oppcco.c $e |- .x. = ( comp ` C ) $.
    oppcco.o $e |- O = ( oppCat ` C ) $.
    oppcco.x $e |- ( ph -> X e. B ) $.
    oppcco.y $e |- ( ph -> Y e. B ) $.
    oppcco.z $e |- ( ph -> Z e. B ) $.
    $( Composition in the opposite category.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    oppccofval $p |- ( ph ->
      ( <. X , Y >. ( comp ` O ) Z ) = tpos ( <. Z , Y >. .x. X ) ) $=
      ( vu vz cfv cvv wcel wceq cop cxp cv c2nd c1st co ctpos cco cnx chom csts
      cmpo elfvex eleq2s eqid oppcval 3syl fveq2d ovex fvexi mpoex ccoid setsid
      cbs xpex mp2an eqtr4di simprr simprl adantr op2ndg syl2an2r eqtrd opeq12d
      wa op1stg oveq12d tposeqd opelxpd tposex a1i ovmpod ) AOPFGUAZHBBUBZBPUCZ
      OUCZUDQZUAZWFUEQZDUFZUGZHGUAZFDUFZUGZEUHQZRAWOCUIUJQCUJQZUGUAZUKUFZUIUHQO
      PWDBWKULZUAUKUFZUHQZWSAEWTUHAFBSZCRSZEWTTLXCFCVDQBFCVDUMIUNPOBCDWPERIWPUO
      JKUPUQURWRRSWSRSWSXATCWQUKUSOPWDBWKBBBCVDIUTZXDVEXDVARWSUHRWRVBVCVFVGAWFW
      CTZWEHTZVOZVOZWJWMXHWHWLWIFDXHWEHWGGAXEXFVHXHWGWCUDQZGXHWFWCUDAXEXFVIZURA
      XBXGGBSZXIGTLAXKXGMVJZFGBBVKVLVMVNXHWIWCUEQZFXHWFWCUEXJURAXBXGXKXMFTLXLFG
      BBVPVLVMVQVRAFGBBLMVSNWNRSAWMWLFDUSVTWAWB $.

    $( Composition in the opposite category.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    oppcco $p |- ( ph ->
    ( G ( <. X , Y >. ( comp ` O ) Z ) F ) = ( F ( <. Z , Y >. .x. X ) G ) ) $=
      ( cop cco cfv co ctpos oppccofval oveqd ovtpos eqtrdi ) AFEHIQJGRSTZTFEJI
      QHDTZUAZTEFUGTAUFUHFEABCDGHIJKLMNOPUBUCFEUGUDUE $.
  $}

  ${
    $d f g h u w x y z C $.  $d f g h w x y z O $.
    oppcbas.1 $e |- O = ( oppCat ` C ) $.
    ${
      oppcbas.2 $e |- B = ( Base ` C ) $.
      $( Base set of an opposite category.  (Contributed by Mario Carneiro,
         2-Jan-2017.)  (Proof shortened by AV, 18-Oct-2024.) $)
      oppcbas $p |- B = ( Base ` O ) $=
        ( vu vz cbs cfv cvv cnx chom ctpos cop csts co cco cv wne eqid wcel cxp
        wceq c2nd baseid slotsbhcdif simp1i setsnid simp2i eqtri oppcval fveq2d
        c1st cmpo eqtr4id coppc c0 base0 eqcomi fveqprc pm2.61i ) ABHIZCHIZEBJU
        AZVBVCUCVDVBBKLIZBLIZMZNOPZKQIZFGVBVBUBVBGRFRZUDINVJUMIBQIZPMUNZNOPZHIZ
        VCVBVHHIVNVGVEHBUEKHIZVESZVOVISZVEVISZUFUGUHVLVIHVHUEVPVQVRUFUIUHUJVDCV
        MHGFVBBVKVFCJVBTVFTVKTDUKULUOHUPBCUQUQHIURUSDUTVAUJ $.

      $( Obsolete version of ~ oppcbas as of 18-Oct-2024.  Base set of an
         opposite category.  (Contributed by Mario Carneiro, 2-Jan-2017.)
         (Proof modification is discouraged.)  (New usage is discouraged.) $)
      oppcbasOLD $p |- B = ( Base ` O ) $=
        ( vu vz cbs cfv cnx cop co wne c1 c4 1re 1nn0 c5 clt c0 wcel wceq ctpos
        cvv chom csts cco cxp c2nd c1st cmpo baseid cdc 1nn 1lt10 declti ltneii
        cv 4nn0 basendx homndx neeq12i mpbir setsnid wbr 5nn 4lt5 declt decnncl
        4nn nnrei lttri mp2an ccondx eqtri eqid oppcval fveq2d eqtr4id wn base0
        fvprc coppc eqtrid 3eqtr4a pm2.61i ) ABHIZCHIZEBUDUAZWGWHUBWIWGBJUEIZBU
        EIZUCZKUFLZJUGIZFGWGWGUHWGGURFURZUIIKWOUJIBUGIZLUCUKZKUFLZHIZWHWGWMHIWS
        WLWJHBULJHIZWJMNNOUMZMNXAPNONUNUSQUOUPZUQWTNWJXAUTVAVBVCVDWQWNHWMULWTWN
        MNNRUMZMNXCPNXASVEXAXCSVENXCSVEXBNORQUSVFVGVHNXAXCPXANOQVJVIVKXCNRQVFVI
        VKVLVMUQWTNWNXCUTVNVBVCVDVOWICWRHGFWGBWPWKCUDWGVPWKVPWPVPDVQVRVSWIVTZTT
        HIWGWHWABHWBXDCTHXDCBWCITDBWCWBWDVRWEWFVO $.
    $}

    $( Lemma for ~ oppccat .  (Contributed by Mario Carneiro, 3-Jan-2017.) $)
    oppccatid $p |- ( C e. Cat -> ( O e. Cat /\ ( Id ` O ) = ( Id ` C ) ) ) $=
      ( vy vx vz vw vf vg wcel cfv wceq wa cv eqid oppchom cop oppcco eleqtrdi
      co ccat ccid cbs cmpt chom w3a cco cvv oppcbas a1i eqidd coppc fvexi biid
      vh simpl catidcl eleqtrrdi simpr1l simpr1r simpr31 catrid simpr2l simpr32
      simpr eqtrd catlid catcocl eqeltrd simpr2r simpr33 catass 3eqtr4rd oveq1d
      oveq2d 3eqtr4d iscatd2 wfn cidfn dffn5 sylib eqeq2d anbi2d mpbird ) AUAJZ
      BUAJZBUBKZAUBKZLZMWFWGDAUCKZDNZWHKZUDZLZMWEENZWJJZWKWJJZMZFNZWJJZGNZWJJZM
      ZHNZWOWKBUEKZTZJZINZWKWSXETZJZUONZWSXAXETZJZUFZUFZEDFGWJBBUGKZWLHIUOXEUHW
      JBUCKLWEWJABCWJOZUIUJWEXEUKWEXPUKBUHJWEBAULCUMUJXOUNWEWQMZWLWKWKAUEKZTWKW
      KXETXRWJAWHXSWKXQXSOZWHOZWEWQUPWEWQVEUQAXSBWKWKXTCPURWEXOMZWLXDWOWKQZWKXP
      TTXDWLWKWKQZWOAUGKZTTXDYBWJAYEXDWLBWOWKWKXQYEOZCWPWQXCXNWEUSZWPWQXCXNWEUT
      ZYHRYBWJAYEWHXDXSWKWOXQXTYAWEXOUPZYHYFYGYBXDXFWKWOXSTXGXJXMWRXCWEVAAXSBWO
      WKXTCPSZVBVFYBXHWLYDWSXPTTWLXHWSWKQZWKYETTXHYBWJAYEWLXHBWKWKWSXQYFCYHYHWT
      XBWRXNWEVCZRYBWJAYEWHXHXSWSWKXQXTYAYIYLYFYHYBXHXIWSWKXSTXGXJXMWRXCWEVDAXS
      BWKWSXTCPSZVGVFYBXHXDYCWSXPTTZWSWOXSTZWOWSXETYBYNXDXHYKWOYETTZYOYBWJAYEXD
      XHBWOWKWSXQYFCYGYHYLRZYBWJAYEXHXDXSWSWKWOXQXTYFYIYLYHYGYMYJVHVIAXSBWOWSXT
      CPURYBXHXKXAWSQZWKYETTZXDYCXAXPTZTZXKYPWOWSQXAXPTZTZXKXHWKWSQXAXPTTZXDYTT
      XKYNUUBTYBYPXKYRWOYETTXDYSXAWKQWOYETTUUCUUAYBWJAYEXKXHXSXDWOXAWSWKXQXTYFY
      IWTXBWRXNWEVJZYLYHYBXKXLXAWSXSTXGXJXMWRXCWEVKAXSBWSXAXTCPSYMYGYJVLYBWJAYE
      YPXKBWOWSXAXQYFCYGYLUUERYBWJAYEXDYSBWOWKXAXQYFCYGYHUUERVMYBUUDYSXDYTYBWJA
      YEXHXKBWKWSXAXQYFCYHYLUUERVNYBYNYPXKUUBYQVOVPVQWEWIWNWFWEWHWMWGWEWHWJVRWH
      WMLWJAWHXQYAVSDWJWHVTWAWBWCWD $.

    ${
      oppchomf.h $e |- H = ( Homf ` C ) $.
      $( Hom-sets of the opposite category.  (Contributed by Mario Carneiro,
         17-Jan-2017.) $)
      oppchomf $p |- tpos H = ( Homf ` O ) $=
        ( vy vx cbs cfv cv chom co cmpo chomf ctpos wceq wcel wa eqid homffval
        oppchom a1i mpoeq3ia oppcbas tposmpo 3eqtr4ri ) FGAHIZUGFJZGJZCKIZLZMFG
        UGUGUIUHAKIZLZMCNIZBOFGUGUGUKUMUKUMPUHUGQUIUGQRAULCUHUIULSZDUAUBUCFGUGC
        UNUJUNSUGACDUGSZUDUJSTGFUGUGUMBGFUGABULEUPUOTUEUF $.
    $}

    ${
      oppcid.2 $e |- B = ( Id ` C ) $.
      $( Identity function of an opposite category.  (Contributed by Mario
         Carneiro, 2-Jan-2017.) $)
      oppcid $p |- ( C e. Cat -> ( Id ` O ) = B ) $=
        ( ccat wcel ccid cfv wceq oppccatid simprd eqtr4di ) BFGZCHIZBHIZANCFGO
        PJBCDKLEM $.
    $}

    $( An opposite category is a category.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    oppccat $p |- ( C e. Cat -> O e. Cat ) $=
      ( ccat wcel ccid cfv wceq oppccatid simpld ) ADEBDEBFGAFGHABCIJ $.

    ${
      2oppcco.2 $e |- B = ( Base ` C ) $.
      $( The double opposite category has the same objects as the original
         category.  Intended for use with property lemmas such as ~ monpropd .
         (Contributed by Mario Carneiro, 3-Jan-2017.) $)
      2oppcbas $p |- B = ( Base ` ( oppCat ` O ) ) $=
        ( coppc cfv eqid oppcbas ) ACCFGZJHABCDEII $.
    $}

    $( The double opposite category has the same morphisms as the original
       category.  Intended for use with property lemmas such as ~ monpropd .
       (Contributed by Mario Carneiro, 3-Jan-2017.) $)
    2oppchomf $p |- ( Homf ` C ) = ( Homf ` ( oppCat ` O ) ) $=
      ( chomf cfv ctpos coppc wrel cdm wceq cbs cxp wfn eqid homffn fnrel ax-mp
      relxp fndmi oppchomf releqi mpbir tpostpos2 mp2an eqtr3i ) ADEZFZFZUFBGEZ
      DEUFHZUFIZHZUHUFJUFAKEZUMLZMUJUMAUFUFNZUMNOZUNUFPQULUNHUMUMRUKUNUNUFUPSUA
      UBUFUCUDBUGUIUINAUFBCUOTTUE $.

    $( The double opposite category has the same composition as the original
       category.  Intended for use with property lemmas such as ~ monpropd .
       (Contributed by Mario Carneiro, 3-Jan-2017.) $)
    2oppccomf $p |- ( comf ` C ) = ( comf ` ( oppCat ` O ) ) $=
      ( vg vf vx vy vz ccomf cfv wceq wtru cv cop cco co wral cbs wcel eqid w3a
      coppc wa oppcbas simpr1 simpr2 simpr3 oppcco eqtr2d ralrimivw ralrimivvva
      chom eqidd 2oppcbas a1i chomf 2oppchomf comfeq mpbird mptru ) AIJBUBJZIJK
      ZLVBDMZEMZFMZGMZNZHMZAOJZPPZVCVDVGVHVAOJZPPZKZDVFVHAULJZPZQZEVEVFVNPZQZHA
      RJZQGVSQFVSQLVRFGHVSVSVSLVEVSSZVFVSSZVHVSSZUAUCZVPEVQWCVMDVOWCVLVDVCVHVFN
      VEBOJZPPVJWCVSBWDVDVCVAVEVFVHVSABCVSTZUDWDTVATLVTWAWBUEZLVTWAWBUFZLVTWAWB
      UGZUHWCVSAVIVCVDBVHVFVEWEVITZCWHWGWFUHUIUJUJUKLFGHVSAVAVKVIEDVNWIVKTVNTLV
      SUMVSVARJKLVSABCWEUNUOAUPJVAUPJKLABCUQUOURUSUT $.
  $}

  ${
    $d f g x y z C $.  $d f g x y z D $.  $d f g x y z ph $.
    oppchomfpropd.1 $e |- ( ph -> ( Homf ` C ) = ( Homf ` D ) ) $.
    $( If two categories have the same hom-sets, so do their opposites.
       (Contributed by Mario Carneiro, 26-Jan-2017.) $)
    oppchomfpropd $p |- ( ph ->
      ( Homf ` ( oppCat ` C ) ) = ( Homf ` ( oppCat ` D ) ) ) $=
      ( chomf cfv ctpos coppc tposeqd eqid oppchomf 3eqtr3g ) ABEFZGCEFZGBHFZEF
      CHFZEFAMNDIBMOOJMJKCNPPJNJKL $.

    oppccomfpropd.1 $e |- ( ph -> ( comf ` C ) = ( comf ` D ) ) $.
    $( If two categories have the same hom-sets and composition, so do their
       opposites.  (Contributed by Mario Carneiro, 26-Jan-2017.) $)
    oppccomfpropd $p |- ( ph ->
      ( comf ` ( oppCat ` C ) ) = ( comf ` ( oppCat ` D ) ) ) $=
      ( vg vf vx vy vz cfv ccomf wceq cv cco co wral cbs wcel eqid cop chom w3a
      coppc wa chomf ad2antrr simplr3 simplr2 simplr1 simprr eleqtrdi comfeqval
      oppchom simprl oppcco homfeqbas eleqtrd 3eqtr4d ralrimivva oppcbas eqtrdi
      ralrimivvva a1i oppchomfpropd comfeq mpbird ) ABUDKZLKCUDKZLKMFNZGNZHNZIN
      ZUAZJNZVHOKZPPZVJVKVNVOVIOKZPPZMZFVMVOVHUBKZPZQGVLVMWAPZQZJBRKZQIWEQHWEQA
      WDHIJWEWEWEAVLWESZVMWESZVOWESZUCZUEZVTGFWCWBWJVKWCSZVJWBSZUEZUEZVKVJVOVMU
      AZVLBOKZPPVKVJWOVLCOKZPPVQVSWNWEBCWQWPVJVKBUBKZVOVMVLWETZWRTZWPTZWQTZABUF
      KCUFKMWIWMDUGABLKCLKMWIWMEUGWFWGWHAWMUHZWFWGWHAWMUIZWFWGWHAWMUJZWNVJWBVOV
      MWRPWJWKWLUKBWRVHVMVOWTVHTZUNULWNVKWCVMVLWRPWJWKWLUOBWRVHVLVMWTXFUNULUMWN
      WEBWPVKVJVHVLVMVOWSXAXFXEXDXCUPWNCRKZCWQVKVJVIVLVMVOXGTZXBVITZWNVLWEXGXEA
      WEXGMWIWMABCDUQZUGZURWNVMWEXGXDXKURWNVOWEXGXCXKURUPUSUTVCAHIJWEVHVIVRVPGF
      WAVPTVRTWATWEVHRKMAWEBVHXFWSVAVDAWEXGVIRKXJXGCVIXIXHVAVBABCDVEVFVG $.
  $}

  ${
    $d f u z $.
    $( ` oppCat ` restricted to ` Cat ` is a function from ` Cat ` to ` Cat ` .
       (Contributed by Zhi Wang, 29-Aug-2024.) $)
    oppccatf $p |- ( oppCat |` Cat ) : Cat --> Cat $=
      ( vc vf vu vz ccat coppc cres wf cdm wcel cfv cvv cnx chom ctpos cop csts
      cv co cco wa wfun wral wb cbs cxp c2nd c1st df-oppc funmpt2 ffvresb ax-mp
      cmpo elex ovex dmmpti eleqtrrdi eqid oppccat jca mprgbir ) EEFEGHZARZFIZJ
      ZVCFKZEJZUAZAEFUBVBVHAEUCUDBLBRZMNKVINKOPQSZMTKCDVIUEKZVKUFVKDRCRZUGKPVLU
      HKVITKSOUMPZQSZFDCBUIZUJAEEFUKULVCEJZVEVGVPVCLVDVCEUNBLVNFVJVMQUOVOUPUQVC
      VFVFURUSUTVA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Monomorphisms and epimorphisms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Mono $. $( The class of all monomorphisms. $)
  $c Epi $. $( The class of all epimorphisms. $)

  $( Extend class notation with the class of all monomorphisms. $)
  cmon $a class Mono $.

  $( Extend class notation with the class of all epimorphisms. $)
  cepi $a class Epi $.

  ${
    $d b c f g h x y z $.
    $( Function returning the monomorphisms of the category ` c ` .  JFM CAT_1
       def. 10.  (Contributed by FL, 5-Dec-2007.)  (Revised by Mario Carneiro,
       2-Jan-2017.) $)
    df-mon $a |- Mono = ( c e. Cat |->
      [_ ( Base ` c ) / b ]_ [_ ( Hom ` c ) / h ]_
      ( x e. b , y e. b |-> { f e. ( x h y ) | A. z e. b Fun `'
        ( g e. ( z h x ) |-> ( f ( <. z , x >. ( comp ` c ) y ) g ) ) } ) ) $.

    $( Function returning the epimorphisms of the category ` c ` .  JFM CAT_1
       def. 11.  (Contributed by FL, 8-Aug-2008.)  (Revised by Mario Carneiro,
       2-Jan-2017.) $)
    df-epi $a |- Epi = ( c e. Cat |-> tpos ( Mono ` ( oppCat ` c ) ) ) $.
  $}

  ${
    $d b c f g h x y z B $.  $d g h z G $.  $d g h z K $.  $d f g h x y z ph $.
    $d b c f g h x y z C $.  $d b c f g h x y z H $.  $d b c f g h x y z .x. $.
    $d f g h z F $.  $d f g h x y z X $.  $d f g h x y z Y $.  $d g h z Z $.
    $d f M $.
    ismon.b $e |- B = ( Base ` C ) $.
    ismon.h $e |- H = ( Hom ` C ) $.
    ismon.o $e |- .x. = ( comp ` C ) $.
    ismon.s $e |- M = ( Mono ` C ) $.
    ismon.c $e |- ( ph -> C e. Cat ) $.
    $( Definition of a monomorphism in a category.  (Contributed by Mario
       Carneiro, 3-Jan-2017.) $)
    monfval $p |- ( ph -> M = ( x e. B , y e. B |-> { f e. ( x H y ) |
 A. z e. B Fun `' ( g e. ( z H x ) |-> ( f ( <. z , x >. .x. y ) g ) ) } ) ) $=
      ( cfv cv co cbs vc vb vh cmon cop cmpt ccnv wfun wral crab cmpo ccat wcel
      wceq chom cco csb cvv fvexd fveq2 eqtr4di simpl fveq2d simplr simpr oveqd
      simpll mpteq12dv cnveqd funeqd raleqbidv rabeqbidv mpoeq123dv fvexi mpoex
      wa csbied2 df-mon fvmpt syl eqtrid ) AKFUDQZBCEEIDRZBRZJSZHRZIRZWCWDUEZCR
      ZGSZSZUFZUGZUHZDEUIZHWDWIJSZUJZUKZOAFULUMWBWRUNPUAFUBUARZTQZUCWSUOQZBCUBR
      ZXBIWCWDUCRZSZWFWGWHWIWSUPQZSZSZUFZUGZUHZDXBUIZHWDWIXCSZUJZUKZUQZUQWRULUD
      WSFUNZUBWTEXOWRURXPWSTUSXPWTFTQEWSFTUTLVAXPXBEUNZVPZUCXAJXNWRURXRWSUOUSXR
      XAFUOQJXRWSFUOXPXQVBVCMVAXRXCJUNZVPZBCXBXBXMEEWQXPXQXSVDZYAXTXKWOHXLWPXTX
      CJWDWIXRXSVEZVFXTXJWNDXBEYAXTXIWMXTXHWLXTIXDXGWEWKXTXCJWCWDYBVFXTXFWJWFWG
      XTXEGWHWIXTXEFUPQGXTWSFUPXPXQXSVGVCNVAVFVFVHVIVJVKVLVMVQVQBCDHIUCUBUAVRBC
      EEWQEFTLVNZYCVOVSVTWA $.

    ismon.x $e |- ( ph -> X e. B ) $.
    ismon.y $e |- ( ph -> Y e. B ) $.
    $( Definition of a monomorphism in a category.  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    ismon $p |- ( ph -> ( F e. ( X M Y ) <-> ( F e. ( X H Y ) /\ A. z e. B
      Fun `' ( g e. ( z H X ) |-> ( F ( <. z , X >. .x. Y ) g ) ) ) ) ) $=
      ( vf co vx vy wcel cv cop cmpt ccnv wfun wral crab wa monfval wceq simprl
      cvv simprr oveq12d oveq2d opeq2d oveqd mpteq12dv cnveqd ralbidv rabeqbidv
      funeqd ovex rabex a1i ovmpod eleq2d oveq1 mpteq2dv elrab bitrdi ) AGJKITZ
      UCGFBUDZJHTZSUDZFUDZVPJUEZKETZTZUFZUGZUHZBCUIZSJKHTZUJZUCGWGUCFVQGVSWATZU
      FZUGZUHZBCUIZUKAVOWHGAUAUBJKCCFVPUAUDZHTZVRVSVPWNUEZUBUDZETZTZUFZUGZUHZBC
      UIZSWNWQHTZUJWHIUOAUAUBBCDESFHILMNOPULAWNJUMZWQKUMZUKUKZXCWFSXDWGXGWNJWQK
      HAXEXFUNZAXEXFUPZUQXGXBWEBCXGXAWDXGWTWCXGFWOWSVQWBXGWNJVPHXHURXGWRWAVRVSX
      GWPVTWQKEXGWNJVPXHUSXIUQUTVAVBVEVCVDQRWHUOUCAWFSWGJKHVFVGVHVIVJWFWMSGWGVR
      GUMZWEWLBCXJWDWKXJWCWJXJFVQWBWIVRGVSWAVKVLVBVEVCVMVN $.

    $( Write out the monomorphism property directly.  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    ismon2 $p |- ( ph -> ( F e. ( X M Y ) <-> ( F e. ( X H Y ) /\ A. z e. B
      A. g e. ( z H X ) A. h e. ( z H X )
        ( ( F ( <. z , X >. .x. Y ) g ) =
          ( F ( <. z , X >. .x. Y ) h ) -> g = h ) ) ) ) $=
      ( wcel co cv cmpt ccnv wfun wral wa wceq wi ismon wb ccat ad2antrr simprl
      cop simprr simplr catcocl anassrs ralrimiva wf eqid fmpt df-f1 baib sylbi
      wf1 oveq2 f1mpt bitr3d syl ralbidva pm5.32da bitrd ) AHKLJUATHKLIUATZFBUB
      ZKIUAZHFUBZVPKUOLEUAZUAZUCZUDUEZBCUFZUGVOVTHGUBZVSUAZUHVRWDUHUIGVQUFFVQUF
      ZBCUFZUGABCDEFHIJKLMNOPQRSUJAVOWCWGAVOUGZWBWFBCWHVPCTZUGZVTVPLIUAZTZFVQUF
      ZWBWFUKWJWLFVQWHWIVRVQTZWLWHWIWNUGZUGCDEVRHIVPKLMNOADULTVOWOQUMWHWIWNUNAK
      CTVOWORUMALCTVOWOSUMWHWIWNUPAVOWOUQURUSUTWMVQWKWAVGZWBWFWMVQWKWAVAZWPWBUK
      FVQWKVTWAWAVBZVCWPWQWBVQWKWAVDVEVFWPWMWFFGVQWKVTWEWAWRVRWDHVSVHVIVEVJVKVL
      VMVN $.

    $( A monomorphism is a morphism.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    monhom $p |- ( ph -> ( X M Y ) C_ ( X H Y ) ) $=
      ( vf vg vz co cv wcel cop cmpt ccnv wfun wral wa ismon simpl syl6bi ssrdv
      ) APGHFSZGHESZAPTZULUAUNUMUAZQRTZGESUNQTUPGUBHDSSUCUDUERBUFZUGUOARBCDQUNE
      FGHIJKLMNOUHUOUQUIUJUK $.

    moni.z $e |- ( ph -> Z e. B ) $.
    moni.f $e |- ( ph -> F e. ( X M Y ) ) $.
    moni.g $e |- ( ph -> G e. ( Z H X ) ) $.
    moni.k $e |- ( ph -> K e. ( Z H X ) ) $.
    $( Property of a monomorphism.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    moni $p |- ( ph -> ( ( F ( <. Z , X >. .x. Y ) G ) =
                         ( F ( <. Z , X >. .x. Y ) K ) <-> G = K ) ) $=
      ( vg vz vh cop co wceq cv wi wral ismon2 mpbid simprd adantr simpr oveq1d
      wcel eleqtrrd simpllr opeq1d eqidd simplr oveq123d eqeq12d imbi12d rspcdv
      wa rspcimdv mpd oveq2 impbid1 ) AEFLJUGZKDUHZUHZEHVOUHZUIZFHUIZAEUDUJZUEU
      JZJUGZKDUHZUHZEUFUJZWCUHZUIZVTWEUIZUKZUFWAJGUHZULZUDWJULZUEBULZVRVSUKZAEJ
      KGUHUSZWMAEJKIUHUSWOWMVIUAAUEBCDUDUFEGIJKMNOPQRSUMUNUOAWLWNUELBTAWALUIZVI
      ZWKWNUDFWJWQFLJGUHZWJAFWRUSWPUBUPWQWALJGAWPUQURZUTWQVTFUIZVIZWIWNUFHWJWQH
      WJUSWTWQHWRWJAHWRUSWPUCUPWSUTUPXAWEHUIZVIZWGVRWHVSXCWDVPWFVQXCEEVTFWCVOXC
      WBVNKDXCWALJAWPWTXBVAVBURZXCEVCZWQWTXBVDZVEXCEEWEHWCVOXDXEXAXBUQZVEVFXCVT
      FWEHXFXGVFVGVHVJVJVKFHEVOVLVM $.
  $}

  ${
    $d a b c f g C $.  $d a b c f g D $.  $d a b c f g ph $.
    monpropd.3 $e |- ( ph -> ( Homf ` C ) = ( Homf ` D ) ) $.
    monpropd.4 $e |- ( ph -> ( comf ` C ) = ( comf ` D ) ) $.
    monpropd.c $e |- ( ph -> C e. Cat ) $.
    monpropd.d $e |- ( ph -> D e. Cat ) $.
    $( If two categories have the same set of objects, morphisms, and
       compositions, then they have the same monomorphisms.  (Contributed by
       Mario Carneiro, 3-Jan-2017.) $)
    monpropd $p |- ( ph -> ( Mono ` C ) = ( Mono ` D ) ) $=
      ( va vb vg vc vf cfv cv co wral wcel wceq wa eqid cbs chom cmpt ccnv wfun
      cop cco crab cmpo cmon chomf simpr simp-4r homfeqval ad5antr ccomf simplr
      ad2antrr simp-5r simpllr comfeqval mpteq12dva ralbidva rabbidva homfeqbas
      cnveqd funeqd raleqdv rabeqbidv mpoeq3dva mpoeq12 syl2anc monfval 3eqtr4d
      eqtrd 3impa ) AHIBUAMZVQJKNZHNZBUBMZOZLNZJNZVRVSUFZINZBUGMZOOZUCZUDZUEZKV
      QPZLVSWEVTOZUHZUIZHICUAMZWOJVRVSCUBMZOZWBWCWDWECUGMZOOZUCZUDZUEZKWOPZLVSW
      EWPOZUHZUIZBUJMZCUJMZAWNHIVQVQXEUIZXFAHIVQVQWMXEAVSVQQZWEVQQZWMXERAXJSZXK
      SZWMXBKVQPZLWLUHXEXMWKXNLWLXMWBWLQZSZWJXBKVQXPVRVQQZSZWIXAXRWHWTXRJWAWGWQ
      WSXRVQBCVTWPVRVSVQTZVTTZWPTZXMBUKMCUKMRZXOXQAYBXJXKDURZURXPXQULAXJXKXOXQU
      MUNXRWCWAQZSVQBCWRWFWCWBVTVRVSWEXSXTWFTZWRTZAYBXJXKXOXQYDDUOABUPMCUPMRXJX
      KXOXQYDEUOXPXQYDUQAXJXKXOXQYDUSXLXKXOXQYDUMXRYDULXMXOXQYDUTVAVBVFVGVCVDXM
      XNXCLWLXDXMVQBCVTWPVSWEXSXTYAYCAXJXKUQXLXKULUNXMXBKVQWOAVQWORZXJXKABCDVEZ
      URVHVIVOVPVJAYGYGXIXFRYHYHHIVQVQWOWOXEVKVLVOAHIKVQBWFLJVTXGXSXTYEXGTFVMAH
      IKWOCWRLJWPXHWOTYAYFXHTGVMVN $.
  $}

  ${
    $d c C $.  $d c M $.
    oppcmon.o $e |- O = ( oppCat ` C ) $.
    oppcmon.c $e |- ( ph -> C e. Cat ) $.
    ${
      oppcmon.m $e |- M = ( Mono ` O ) $.
      oppcmon.e $e |- E = ( Epi ` C ) $.
      $( A monomorphism in the opposite category is an epimorphism.
         (Contributed by Mario Carneiro, 3-Jan-2017.) $)
      oppcmon $p |- ( ph -> ( X M Y ) = ( Y E X ) ) $=
        ( vc co ctpos cepi cfv ccat wceq coppc cmon wcel eqtr4di fveq2d tposeqd
        cv fveq2 df-epi fvexi tposex fvmpt syl eqtrid oveqd ovtpos eqtr2di ) AG
        FCMGFDNZMFGDMACUPGFACBOPZUPKABQUAUQUPRILBLUEZSPZTPZNUPQOURBRZUTDVAUTETP
        DVAUSETVAUSBSPEURBSUFHUBUCJUBUDLUGDDETJUHUIUJUKULUMGFDUNUO $.
    $}

    ${
      oppcepi.e $e |- E = ( Epi ` O ) $.
      oppcepi.m $e |- M = ( Mono ` C ) $.
      $( An epimorphism in the opposite category is a monomorphism.
         (Contributed by Mario Carneiro, 3-Jan-2017.) $)
      oppcepi $p |- ( ph -> ( X E Y ) = ( Y M X ) ) $=
        ( co cfv cmon chomf wceq a1i ccomf ccat wcel 2oppchomf oppccat syl eqid
        coppc 2oppccomf monpropd eqtrid oveqd oppcmon eqtr2d ) AGFDLGFEUEMZNMZL
        FGCLADUMGFADBNMUMKABULBOMULOMPABEHUAQBRMULRMPABEHUFQIAESTZULSTABSTUNIBE
        HUBUCZEULULUDZUBUCUGUHUIAECUMULGFUPUOUMUDJUJUK $.
    $}
  $}

  ${
    $d g z B $.  $d g z C $.  $d f g h z H $.  $d g h z .x. $.  $d f g h z X $.
    $d f E $.  $d g h z F $.  $d f g z ph $.  $d f g h z Y $.
    isepi.b $e |- B = ( Base ` C ) $.
    isepi.h $e |- H = ( Hom ` C ) $.
    isepi.o $e |- .x. = ( comp ` C ) $.
    isepi.e $e |- E = ( Epi ` C ) $.
    isepi.c $e |- ( ph -> C e. Cat ) $.
    isepi.x $e |- ( ph -> X e. B ) $.
    isepi.y $e |- ( ph -> Y e. B ) $.
    $( Definition of an epimorphism in a category.  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    isepi $p |- ( ph -> ( F e. ( X E Y ) <-> ( F e. ( X H Y ) /\ A. z e. B
      Fun `' ( g e. ( Y H z ) |-> ( g ( <. X , Y >. .x. z ) F ) ) ) ) ) $=
      ( co wcel coppc cfv cmon chom cv cop cco cmpt ccnv wfun wral eqid oppcbas
      wa ccat oppccat syl ismon oppcmon eleq2d wceq oppchom simpr adantr oppcco
      a1i mpteq12dv cnveqd funeqd ralbidva anbi12d 3bitr3d ) AHKJDUAUBZUCUBZSZT
      HKJVMUDUBZSZTZFBUEZKVPSZHFUEZVSKUFJVMUGUBZSSZUHZUIZUJZBCUKZUNHJKGSZTHJKIS
      ZTZFKVSISZWAHJKUFVSESSZUHZUIZUJZBCUKZUNABCVMWBFHVPVNKJCDVMVMULZLUMVPULWBU
      LVNULZADUOTVMUOTPDVMWQUPUQRQURAVOWHHADGVNVMKJWQPWROUSUTAVRWJWGWPAVQWIHVQW
      IVAADIVMKJMWQVBVFUTAWFWOBCAVSCTZUNZWEWNWTWDWMWTFVTWCWKWLVTWKVAWTDIVMVSKMW
      QVBVFWTCDEWAHVMVSKJLNWQAWSVCAKCTWSRVDAJCTWSQVDVEVGVHVIVJVKVL $.

    $( Write out the epimorphism property directly.  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    isepi2 $p |- ( ph -> ( F e. ( X E Y ) <-> ( F e. ( X H Y ) /\ A. z e. B
      A. g e. ( Y H z ) A. h e. ( Y H z )
        ( ( g ( <. X , Y >. .x. z ) F ) =
          ( h ( <. X , Y >. .x. z ) F ) -> g = h ) ) ) ) $=
      ( wcel co cv cmpt ccnv wfun wral wa wceq wi isepi wb ccat ad2antrr simprl
      cop simplr simprr catcocl anassrs ralrimiva wf eqid fmpt df-f1 baib sylbi
      wf1 oveq1 f1mpt bitr3d syl ralbidva pm5.32da bitrd ) AIKLHUATIKLJUATZFLBU
      BZJUAZFUBZIKLUOVPEUAZUAZUCZUDUEZBCUFZUGVOVTGUBZIVSUAZUHVRWDUHUIGVQUFFVQUF
      ZBCUFZUGABCDEFHIJKLMNOPQRSUJAVOWCWGAVOUGZWBWFBCWHVPCTZUGZVTKVPJUAZTZFVQUF
      ZWBWFUKWJWLFVQWHWIVRVQTZWLWHWIWNUGZUGCDEIVRJKLVPMNOADULTVOWOQUMAKCTVOWORU
      MALCTVOWOSUMWHWIWNUNAVOWOUPWHWIWNUQURUSUTWMVQWKWAVGZWBWFWMVQWKWAVAZWPWBUK
      FVQWKVTWAWAVBZVCWPWQWBVQWKWAVDVEVFWPWMWFFGVQWKVTWEWAWRVRWDIVSVHVIVEVJVKVL
      VMVN $.

    $( An epimorphism is a morphism.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    epihom $p |- ( ph -> ( X E Y ) C_ ( X H Y ) ) $=
      ( vf vg vz co cv wcel cop cmpt ccnv wfun wral wa isepi simpl syl6bi ssrdv
      ) APGHESZGHFSZAPTZULUAUNUMUAZQHRTZFSQTUNGHUBUPDSSUCUDUERBUFZUGUOARBCDQEUN
      FGHIJKLMNOUHUOUQUIUJUK $.

    epii.z $e |- ( ph -> Z e. B ) $.
    epii.f $e |- ( ph -> F e. ( X E Y ) ) $.
    epii.g $e |- ( ph -> G e. ( Y H Z ) ) $.
    epii.k $e |- ( ph -> K e. ( Y H Z ) ) $.
    $( Property of an epimorphism.  (Contributed by Mario Carneiro,
       3-Jan-2017.) $)
    epii $p |- ( ph -> ( ( G ( <. X , Y >. .x. Z ) F ) =
                         ( K ( <. X , Y >. .x. Z ) F ) <-> G = K ) ) $=
      ( cop coppc cfv cco co wceq eqid oppcco eqeq12d chom cmon oppcbas oppccat
      ccat wcel syl oppcmon eleqtrrd oppchom eleqtrrdi moni bitr3d ) AFGLKUDJCU
      EUFZUGUFZUHZUHZFIVHUHZUIGFJKUDLDUHZUHZIFVKUHZUIGIUIAVIVLVJVMABCDGFVFLKJMO
      VFUJZTSRUKABCDIFVFLKJMOVNTSRUKULABVFVGFGVFUMUFZIVFUNUFZKJLBCVFVNMUOVOUJVG
      UJVPUJZACUQURVFUQURQCVFVNUPUSSRTAFJKEUHKJVPUHUAACEVPVFKJVNQVQPUTVAAGKLHUH
      ZLKVOUHZUBCHVFLKNVNVBZVCAIVRVSUCVTVCVDVE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Sections, inverses, isomorphisms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Sect $. $( Sections of a morphism. $)
  $c Inv $. $( The inverse of a morphism. $)
  $c Iso $. $( The class of all isomorphisms. $)

  $( Extend class notation with the sections of a morphism. $)
  csect $a class Sect $.

  $( Extend class notation with the inverses of a morphism. $)
  cinv $a class Inv $.

  $( Extend class notation with the class of all isomorphisms. $)
  ciso $a class Iso $.

  ${
    $d c f g h x y $.
    $( Function returning the section relation in a category.  Given arrows
       ` f : X --> Y ` and ` g : Y --> X ` , we say ` f Sect g ` , that is,
       ` f ` is a section of ` g ` , if ` g o. f = 1 `` X ` .  If there there
       is an arrow ` g ` with ` f Sect g ` , the arrow ` f ` is called a
       _section_, see definition 7.19 of [Adamek] p. 106.  (Contributed by
       Mario Carneiro, 2-Jan-2017.) $)
    df-sect $a |- Sect = ( c e. Cat |->
     ( x e. ( Base ` c ) , y e. ( Base ` c ) |-> { <. f , g >. |
       [. ( Hom ` c ) / h ]. ( ( f e. ( x h y ) /\ g e. ( y h x ) ) /\
         ( g ( <. x , y >. ( comp ` c ) x ) f ) = ( ( Id ` c ) ` x ) ) } ) ) $.

    $( The inverse relation in a category.  Given arrows ` f : X --> Y ` and
       ` g : Y --> X ` , we say ` g Inv f ` , that is, ` g ` is an inverse of
       ` f ` , if ` g ` is a section of ` f ` and ` f ` is a section of ` g ` .
       Definition 3.8 of [Adamek] p. 28.  (Contributed by FL, 22-Dec-2008.)
       (Revised by Mario Carneiro, 2-Jan-2017.) $)
    df-inv $a |- Inv = ( c e. Cat |-> ( x e. ( Base ` c ) , y e. ( Base ` c )
      |-> ( ( x ( Sect ` c ) y ) i^i `' ( y ( Sect ` c ) x ) ) ) ) $.

    $( Function returning the isomorphisms of the category ` c ` .  Definition
       3.8 of [Adamek] p. 28, and definition in [Lang] p. 54.  (Contributed by
       FL, 9-Jun-2014.)  (Revised by Mario Carneiro, 2-Jan-2017.) $)
    df-iso $a |- Iso = ( c e. Cat |->
      ( ( x e. _V |-> dom x ) o. ( Inv ` c ) ) ) $.
  $}

  ${
    $d c f g h x y .1. $.  $d c x y B $.  $d c f g h x y C $.  $d f g x y ph $.
    $d f g F $.  $d c f g h x y H $.  $d c f g h x y .x. $.  $d f g x y X $.
    $d f g G $.  $d f g x y Y $.
    issect.b $e |- B = ( Base ` C ) $.
    issect.h $e |- H = ( Hom ` C ) $.
    issect.o $e |- .x. = ( comp ` C ) $.
    issect.i $e |- .1. = ( Id ` C ) $.
    issect.s $e |- S = ( Sect ` C ) $.
    issect.c $e |- ( ph -> C e. Cat ) $.
    issect.x $e |- ( ph -> X e. B ) $.
    issect.y $e |- ( ph -> Y e. B ) $.
    $( Value of the section operation.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    sectffval $p |- ( ph -> S = ( x e. B , y e. B |-> { <. f , g >. |
      ( ( f e. ( x H y ) /\ g e. ( y H x ) ) /\
        ( g ( <. x , y >. .x. x ) f ) = ( .1. ` x ) ) } ) ) $=
      ( vc vh csect cfv cv co wcel wa cop wceq cmpo ccat cbs cco ccid chom wsbc
      copab fveq2 eqtr4di fvexd simpr oveqd eleq2d anbi12d simpl fveq2d eqeq12d
      cvv fveq1d sbcied2 opabbidv mpoeq123dv df-sect fvexi mpoex fvmpt eqtrid
      syl ) AFEUDUEZBCDDIUFZBUFZCUFZKUGZUHZJUFZWDWCKUGZUHZUIZWGWBWCWDUJZWCGUGZU
      GZWCHUEZUKZUIZIJUSZULZRAEUMUHWAWRUKSUBEBCUBUFZUNUEZWTWBWCWDUCUFZUGZUHZWGW
      DWCXAUGZUHZUIZWGWBWKWCWSUOUEZUGZUGZWCWSUPUEZUEZUKZUIZUCWSUQUEZURZIJUSZULW
      RUMUDWSEUKZBCWTWTXPDDWQXQWTEUNUEDWSEUNUTNVAZXRXQXOWPIJXQXMWPUCXNKVJXQWSUQ
      VBXQXNEUQUEKWSEUQUTOVAXQXAKUKZUIZXFWJXLWOXTXCWFXEWIXTXBWEWBXTXAKWCWDXQXSV
      CZVDVEXTXDWHWGXTXAKWDWCYAVDVEVFXTXIWMXKWNXTXHWLWGWBXTXGGWKWCXTXGEUOUEGXTW
      SEUOXQXSVGZVHPVAVDVDXTWCXJHXTXJEUPUEHXTWSEUPYBVHQVAVKVIVFVLVMVNBCIJUCUBVO
      BCDDWQDEUNNVPZYCVQVRVTVS $.

    $( Value of the section relation.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    sectfval $p |- ( ph -> ( X S Y ) = { <. f , g >. |
        ( ( f e. ( X H Y ) /\ g e. ( Y H X ) ) /\
          ( g ( <. X , Y >. .x. X ) f ) = ( .1. ` X ) ) } ) $=
      ( co vx vy cv wcel cop cfv wceq copab cvv sectffval simprl simprr oveq12d
      wa eleq2d anbi12d opeq12d oveqd fveq2d eqeq12d opabbidv cxp ovex opabssxp
      xpex ssexi a1i ovmpod ) AUAUBJKBBGUCZUAUCZUBUCZITZUDZHUCZVKVJITZUDZUNZVNV
      IVJVKUEZVJETZTZVJFUFZUGZUNZGHUHVIJKITZUDZVNKJITZUDZUNZVNVIJKUEZJETZTZJFUF
      ZUGZUNZGHUHZDUIAUAUBBCDEFGHIJJLMNOPQRRUJAVJJUGZVKKUGZUNUNZWCWNGHWRVQWHWBW
      MWRVMWEVPWGWRVLWDVIWRVJJVKKIAWPWQUKZAWPWQULZUMUOWRVOWFVNWRVKKVJJIWTWSUMUO
      UPWRVTWKWAWLWRVSWJVNVIWRVRWIVJJEWRVJJVKKWSWTUQWSUMURWRVJJFWSUSUTUPVARSWOU
      IUDAWOWDWFVBWDWFJKIVCKJIVCVEWMGHWDWFVDVFVGVH $.

    $( The section relation is a relation between morphisms from ` X ` to ` Y `
       and morphisms from ` Y ` to ` X ` .  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    sectss $p |- ( ph -> ( X S Y ) C_ ( ( X H Y ) X. ( Y H X ) ) ) $=
      ( vf vg co cv wcel wa cop cfv wceq copab cxp sectfval opabssxp eqsstrdi )
      AHIDTRUAZHIGTZUBSUAZIHGTZUBUCUNULHIUDHETTHFUEUFZUCRSUGUMUOUHABCDEFRSGHIJK
      LMNOPQUIUPRSUMUOUJUK $.

    $( The property " ` F ` is a section of ` G ` ".  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    issect $p |- ( ph -> ( F ( X S Y ) G <-> ( F e. ( X H Y ) /\
        G e. ( Y H X ) /\ ( G ( <. X , Y >. .x. X ) F ) = ( .1. ` X ) ) ) ) $=
      ( co vf vg wbr cv wcel wa cop cfv wceq copab sectfval breqd oveq12 ancoms
      w3a eqeq1d eqid brab2a df-3an bitr4i bitrdi ) AGHJKDTZUCGHUAUDZJKITZUEUBU
      DZKJITZUEUFVEVCJKUGJETZTZJFUHZUIZUFUAUBUJZUCZGVDUEZHVFUEZHGVGTZVIUIZUOZAV
      BVKGHABCDEFUAUBIJKLMNOPQRSUKULVLVMVNUFVPUFVQVJVPUAUBGHVDVFVKVCGUIZVEHUIZU
      FVHVOVIVSVRVHVOUIVEHVCGVGUMUNUPVKUQURVMVNVPUSUTVA $.

    issect.f $e |- ( ph -> F e. ( X H Y ) ) $.
    issect.g $e |- ( ph -> G e. ( Y H X ) ) $.
    $( Property of being a section.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    issect2 $p |- ( ph ->
      ( F ( X S Y ) G <-> ( G ( <. X , Y >. .x. X ) F ) = ( .1. ` X ) ) ) $=
      ( co wbr wcel wa cop cfv wceq jca w3a issect df-3an bitrdi mpbirand ) AGH
      JKDUBUCZGJKIUBUDZHKJIUBUDZUEZHGJKUFJEUBUBJFUGUHZAUPUQTUAUIAUOUPUQUSUJURUS
      UEABCDEFGHIJKLMNOPQRSUKUPUQUSULUMUN $.
  $}

  ${
    sectcan.b $e |- B = ( Base ` C ) $.
    sectcan.s $e |- S = ( Sect ` C ) $.
    sectcan.c $e |- ( ph -> C e. Cat ) $.
    sectcan.x $e |- ( ph -> X e. B ) $.
    sectcan.y $e |- ( ph -> Y e. B ) $.
    sectcan.1 $e |- ( ph -> G ( X S Y ) F ) $.
    sectcan.2 $e |- ( ph -> F ( Y S X ) H ) $.
    $( If ` G ` is a section of ` F ` and ` F ` is a section of ` H ` , then
       ` G = H ` .  Proposition 3.10 of [Adamek] p. 28.  (Contributed by Mario
       Carneiro, 2-Jan-2017.) $)
    sectcan $p |- ( ph -> G = H ) $=
      ( cfv cop co eqid ccid cco chom wcel wceq wbr issect simp1d simp2d catass
      w3a mpbid simp3d oveq1d oveq2d 3eqtr3d catlid catrid ) AICUAQZQZFHIRZICUB
      QZSZSZGHUSQZHHRIVBSZSZFGAGEIHRIVBSSZFVCSGEFVAHVBSSZVFSVDVGABCVBFECUCQZGIH
      IHJVJTZVBTZLMNMAFHIVJSZUDZEIHVJSUDZVIVEUEZAFEHIDSUFVNVOVPUKOABCDVBUSFEVJH
      IJVKVLUSTZKLMNUGULZUHZAVOGVMUDZVHUTUEZAEGIHDSUFVOVTWAUKPABCDVBUSEGVJIHJVK
      VLVQKLNMUGULZUHNAVOVTWAWBUIZUJAVHUTFVCAVOVTWAWBUMUNAVIVEGVFAVNVOVPVRUMUOU
      PABCVBUSFVJHIJVKVQLMVLNVSUQABCVBUSGVJHIJVKVQLMVLNWCURUP $.
  $}

  ${
    sectco.b $e |- B = ( Base ` C ) $.
    sectco.o $e |- .x. = ( comp ` C ) $.
    sectco.s $e |- S = ( Sect ` C ) $.
    sectco.c $e |- ( ph -> C e. Cat ) $.
    sectco.x $e |- ( ph -> X e. B ) $.
    sectco.y $e |- ( ph -> Y e. B ) $.
    sectco.z $e |- ( ph -> Z e. B ) $.
    sectco.1 $e |- ( ph -> F ( X S Y ) G ) $.
    sectco.2 $e |- ( ph -> H ( Y S Z ) K ) $.
    $( Composition of two sections.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    sectco $p |- ( ph ->
     ( H ( <. X , Y >. .x. Z ) F ) ( X S Z ) ( G ( <. Z , Y >. .x. X ) K ) ) $=
      ( cop co wbr ccid cfv wceq chom eqid wcel w3a issect mpbid simp1d catcocl
      simp2d catass simp3d oveq1d catlid 3eqtr3d oveq2d 3eqtrd issect2 mpbird )
      AHFJKUBZLEUCUCZGILKUBJEUCUCZJLDUCUDVHVGJLUBZJEUCUCZJCUEUFZUFZUGAVJGIVGVIK
      EUCUCZVFJEUCZUCGFVNUCZVLABCEVGICUHUFZGJJLKMVPUIZNPQSRABCEFHVPJKLMVQNPQRSA
      FJKVPUCUJZGKJVPUCUJZVOVLUGZAFGJKDUCUDVRVSVTUKTABCDEVKFGVPJKMVQNVKUIZOPQRU
      LUMZUNZAHKLVPUCUJZILKVPUCUJZIHKLUBKEUCUCZKVKUFZUGZAHIKLDUCUDWDWEWHUKUAABC
      DEVKHIVPKLMVQNWAOPRSULUMZUNZUOZAWDWEWHWIUPZQAVRVSVTWBUPZUQAVMFGVNAWFFVFKE
      UCZUCWGFWNUCVMFAWFWGFWNAWDWEWHWIURUSABCEFHVPIKJKLMVQNPQRSWCWJRWLUQABCEVKF
      VPJKMVQWAPQNRWCUTVAVBAVRVSVTWBURVCABCDEVKVGVHVPJLMVQNWAOPQSWKABCEIGVPLKJM
      VQNPSRQWLWMUOVDVE $.
  $}

  ${
    $d C c x $.
    $( Function value of the function returning the isomorphisms of a category.
       (Contributed by AV, 5-Apr-2017.) $)
    isofval $p |- ( C e. Cat -> ( Iso ` C ) = ( ( x e. _V |-> dom x )
                                                o. ( Inv ` C ) ) ) $=
      ( vc ccat wcel cvv cv cdm cmpt cinv ccom ciso df-iso wceq fveq2 coeq2d id
      cfv wfun funmpt fvexd cofunexg sylancr fvmptd3 ) BDEZCBAFAGHZIZCGZJRZKUGB
      JRZKZDLFACMUHBNUIUJUGUHBJOPUEQUEUGSUJFEUKFEAFUFTUEBJUAUGUJFUBUCUD $.
  $}

  ${
    $d c x y B $.  $d f g h x y ph $.  $d f g h x y z X $.  $d f g h x y z Y $.
    $d c x y C $.  $d c f g h z N $.  $d c x y S $.
    invfval.b $e |- B = ( Base ` C ) $.
    invfval.n $e |- N = ( Inv ` C ) $.
    invfval.c $e |- ( ph -> C e. Cat ) $.
    invfval.x $e |- ( ph -> X e. B ) $.
    invfval.y $e |- ( ph -> Y e. B ) $.
    ${
      invfval.s $e |- S = ( Sect ` C ) $.
      $( Value of the inverse relation.  (Contributed by Mario Carneiro,
         2-Jan-2017.) $)
      invffval $p |- ( ph -> N =
        ( x e. B , y e. B |-> ( ( x S y ) i^i `' ( y S x ) ) ) ) $=
        ( vc cfv cv co cbs cinv ccnv cin cmpo ccat wcel wceq csect fveq2 cnveqd
        eqtr4di oveqd ineq12d mpoeq123dv df-inv fvexi mpoex fvmpt syl eqtrid )
        AGEUAQZBCDDBRZCRZFSZVCVBFSZUBZUCZUDZKAEUEUFVAVHUGLPEBCPRZTQZVJVBVCVIUHQ
        ZSZVCVBVKSZUBZUCZUDVHUEUAVIEUGZBCVJVJVODDVGVPVJETQDVIETUIJUKZVQVPVLVDVN
        VFVPVKFVBVCVPVKEUHQFVIEUHUIOUKZULVPVMVEVPVKFVCVBVRULUJUMUNBCPUOBCDDVGDE
        TJUPZVSUQURUSUT $.

      $( Value of the inverse relation.  (Contributed by Mario Carneiro,
         2-Jan-2017.) $)
      invfval $p |- ( ph -> ( X N Y ) = ( ( X S Y ) i^i `' ( Y S X ) ) ) $=
        ( vx vy cv co ccnv cin cvv wceq wa simprl simprr oveq12d cnveqd ineq12d
        invffval wcel ovex inex1 a1i ovmpod ) ANOFGBBNPZOPZDQZUOUNDQZRZSFGDQZGF
        DQZRZSZETANOBCDEFFHIJKKMUHAUNFUAZUOGUAZUBUBZUPUSURVAVEUNFUOGDAVCVDUCZAV
        CVDUDZUEVEUQUTVEUOGUNFDVGVFUEUFUGKLVBTUIAUSVAFGDUJUKULUM $.

      $( Value of the inverse relation.  (Contributed by Mario Carneiro,
         2-Jan-2017.) $)
      isinv $p |- ( ph ->
        ( F ( X N Y ) G <-> ( F ( X S Y ) G /\ G ( Y S X ) F ) ) ) $=
        ( co wbr wa cfv eqid ccnv cin invfval breqd brin bitrdi wrel wb cxp wss
        chom cco ccid sectss relxp relss mpisyl relbrcnvg syl anbi2d bitrd ) AE
        FHIGPZQZEFHIDPZQZEFIHDPZUAZQZRZVEFEVFQZRAVCEFVDVGUBZQVIAVBVKEFABCDGHIJK
        LMNOUCUDEFVDVGUEUFAVHVJVEAVFUGZVHVJUHAVFIHCUKSZPZHIVMPZUIZUJVPUGVLABCDC
        ULSZCUMSZVMIHJVMTVQTVRTOLNMUNVNVOUOVFVPUPUQEFVFURUSUTVA $.
    $}

    ${
      invss.h $e |- H = ( Hom ` C ) $.
      $( The inverse relation is a relation between morphisms ` F : X --> Y `
         and their inverses ` G : Y --> X ` .  (Contributed by Mario Carneiro,
         2-Jan-2017.) $)
      invss $p |- ( ph -> ( X N Y ) C_ ( ( X H Y ) X. ( Y H X ) ) ) $=
        ( co csect cfv cxp ccnv cin eqid invfval inss1 eqsstrdi cco ccid sectss
        sstrd ) AFGENZFGCOPZNZFGDNGFDNQAUHUJGFUINRZSUJABCUIEFGHIJKLUITZUAUJUKUB
        UCABCUICUDPZCUEPZDFGHMUMTUNTULJKLUFUG $.
    $}

    $( The inverse relation is symmetric.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    invsym $p |- ( ph -> ( F ( X N Y ) G <-> G ( Y N X ) F ) ) $=
      ( co wbr csect cfv wa eqid isinv biancomd bitr4d ) ADEGHFNOZEDHGCPQZNOZDE
      GHUDNOZREDHGFNOAUCUEUFABCUDDEFGHIJKLMUDSZTUAABCUDEDFHGIJKMLUGTUB $.

    $( The inverse relation is symmetric.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    invsym2 $p |- ( ph -> `' ( X N Y ) = ( Y N X ) ) $=
      ( vg vf co wrel cv wbr wcel vex df-br ccnv wa wceq chom cfv cxp wss invss
      relxp relss mpisyl relcnv jctil cop invsym brcnv bitr3i 3bitr3g eqrelrdv2
      eqid mpancom ) EFDNZUAZOZFEDNZOZUBAVCVEUCAVFVDAVEFECUDUEZNZEFVGNZUFZUGVJO
      VFABCVGDFEGHIKJVGUTUHVHVIUIVEVJUJUKVBULUMALMVCVEAMPZLPZVBQZVLVKVEQVLVKUNZ
      VCRZVNVERABCVKVLDEFGHIJKUOVMVLVKVCQVOVLVKVBLSMSUPVLVKVCTUQVLVKVETURUSVA
      $.

    $( The inverse relation is a function, which is to say that every morphism
       has at most one inverse.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    invfun $p |- ( ph -> Fun ( X N Y ) ) $=
      ( vf vg vh co cv wbr wal wcel adantr wrel wa weq wi wfun chom cfv cxp wss
      eqid invss relxp relss csect ccat isinv simplbda adantrr simprbda adantrl
      mpisyl sectcan ex alrimiv alrimivv dffun2 sylanbrc ) AEFDOZUAZLPZMPZVHQZV
      JNPZVHQZUBZMNUCZUDZNRZMRLRVHUEAVHEFCUFUGZOZFEVSOZUHZUIWBUAVIABCVSDEFGHIJK
      VSUJUKVTWAULVHWBUMVAAVRLMAVQNAVOVPAVOUBBCCUNUGZVJVKVMFEGWCUJZACUOSVOITAFB
      SVOKTAEBSVOJTAVLVKVJFEWCOZQZVNAVLVJVKEFWCOZQWFABCWCVJVKDEFGHIJKWDUPUQURAV
      NVJVMWGQZVLAVNWHVMVJWEQABCWCVJVMDEFGHIJKWDUPUSUTVBVCVDVELMNVHVFVG $.

    $d z C $.
    isoval.n $e |- I = ( Iso ` C ) $.
    $( The isomorphisms are the domain of the inverse relation.  (Contributed
       by Mario Carneiro, 2-Jan-2017.)  (Proof shortened by AV,
       21-May-2020.) $)
    isoval $p |- ( ph -> ( X I Y ) = dom ( X N Y ) ) $=
      ( vz vx vy co cvv cv cfv cdm cmpt ccom ciso cinv ccat wcel isofval coeq2i
      wceq syl 3eqtr4g oveqd cop cxp wfn csect ccnv cmpo eqid ovex inex1 fnmpoi
      invffval fneq1d mpbiri opelxpd fvco2 syl2anc df-ov dmeq dmex fvmpt fveq2i
      cin ax-mp eqtr3i eqtrd ) AFGDQFGNRNSZUAZUBZEUCZQZFGEQZUAZADWBFGACUDTZWACU
      ETZUCZDWBACUFUGWFWHUJJNCUHUKMEWGWAIUIULUMAFGUNZWBTZWIETZWATZWCWEAEBBUOZUP
      ZWIWMUGWJWLUJAWNOPBBOSZPSZCUQTZQZWPWOWQQURZVOZUSZWMUPOPBBWTXAXAUTWRWSWOWP
      WQVAVBVCAWMEXAAOPBCWQEFGHIJKLWQUTVDVEVFAFGBBKLVGWMWAEWIVHVIFGWBVJWDWATZWE
      WLWDRUGXBWEUJFGEVAZNWDVTWERWAVSWDVKWAUTWDXCVLVMVPWDWKWAFGEVJVNVQULVR $.

    ${
      inviso1.1 $e |- ( ph -> F ( X N Y ) G ) $.
      $( If ` G ` is an inverse to ` F ` , then ` F ` is an isomorphism.
         (Contributed by Mario Carneiro, 3-Jan-2017.) $)
      inviso1 $p |- ( ph -> F e. ( X I Y ) ) $=
        ( co cdm wrel wbr wcel wfun invfun funrel syl releldm syl2anc eleqtrrd
        isoval ) ADHIGQZRZHIFQAUJSZDEUJTDUKUAAUJUBULABCGHIJKLMNUCUJUDUEPDEUJUFU
        GABCFGHIJKLMNOUIUH $.

      $( If ` G ` is an inverse to ` F ` , then ` G ` is an isomorphism.
         (Contributed by Mario Carneiro, 3-Jan-2017.) $)
      inviso2 $p |- ( ph -> G e. ( Y I X ) ) $=
        ( co wbr invsym mpbid inviso1 ) ABCEDFGIHJKLNMOADEHIGQREDIHGQRPABCDEGHI
        JKLMNSTUA $.
    $}

    $( The inverse relation is a function from isomorphisms to isomorphisms.
       (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    invf $p |- ( ph -> ( X N Y ) : ( X I Y ) --> ( Y I X ) ) $=
      ( co wfn crn wss wf cdm isoval invfun funfnd fneq2d wceq ccnv df-rn dmeqd
      mpbird invsym2 eqtr4d eqtrid eqimss syl df-f sylanbrc ) AFGENZFGDNZOZUPPZ
      GFDNZQZUQUTUPRAURUPUPSZOAUPABCEFGHIJKLUAUBAUQVBUPABCDEFGHIJKLMTUCUHAUSUTU
      DVAAUSUPUEZSZUTUPUFAVDGFENZSUTAVCVEABCEFGHIJKLUIUGABCDEGFHIJLKMTUJUKUSUTU
      LUMUQUTUPUNUO $.

    $( The inverse relation is a bijection from isomorphisms to isomorphisms.
       This means that every isomorphism ` F e. ( X I Y ) ` has a unique
       inverse, denoted by ` ( ( Inv `` C ) `` F ) ` .  Remark 3.12 of [Adamek]
       p. 28.  (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    invf1o $p |- ( ph -> ( X N Y ) : ( X I Y ) -1-1-onto-> ( Y I X ) ) $=
      ( co wfn ccnv wf1o invf ffnd invsym2 fneq1d mpbird dff1o4 sylanbrc ) AFGE
      NZFGDNZOUEPZGFDNZOZUFUHUEQAUFUHUEABCDEFGHIJKLMRSAUIGFENZUHOAUHUFUJABCDEGF
      HIJLKMRSAUHUGUJABCEFGHIJKLTUAUBUFUHUEUCUD $.

    invinv.f $e |- ( ph -> F e. ( X I Y ) ) $.
    $( The inverse of the inverse of an isomorphism is itself.  Proposition
       3.14(1) of [Adamek] p. 29.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    invinv $p |- ( ph -> ( ( Y N X ) ` ( ( X N Y ) ` F ) ) = F ) $=
      ( co cfv ccnv invsym2 fveq1d wf1o wcel invf1o f1ocnvfv1 syl2anc eqtr3d
      wceq ) ADGHFPZQZUHRZQZUIHGFPZQDAUIUJULABCFGHIJKLMSTAGHEPZHGEPZUHUADUMUBUK
      DUGABCEFGHIJKLMNUCOUMUNDUHUDUEUF $.

    invco.o $e |- .x. = ( comp ` C ) $.
    invco.z $e |- ( ph -> Z e. B ) $.
    invco.f $e |- ( ph -> G e. ( Y I Z ) ) $.
    $( The composition of two isomorphisms is an isomorphism, and the inverse
       is the composition of the individual inverses.  Proposition 3.14(2) of
       [Adamek] p. 29.  (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    invco $p |- ( ph -> ( G ( <. X , Y >. .x. Z ) F ) ( X N Z )
      ( ( ( X N Y ) ` F ) ( <. Z , Y >. .x. X ) ( ( Y N Z ) ` G ) ) ) $=
      ( cop co cfv wbr csect eqid wa cdm wcel isoval eleqtrd wb invfun funfvbrb
      wfun syl mpbid isinv simpld sectco simprd mpbir2and ) AFEIJUBKDUCUCZEIJHU
      CZUDZFJKHUCZUDZKJUBIDUCUCZIKHUCUEVDVIIKCUFUDZUCUEVIVDKIVJUCUEABCVJDEVFFVH
      IJKLSVJUGZNOPTAEVFIJVJUCUEZVFEJIVJUCUEZAEVFVEUEZVLVMUHAEVEUIZUJZVNAEIJGUC
      VORABCGHIJLMNOPQUKULAVEUPVPVNUMABCHIJLMNOPUNEVEUOUQURABCVJEVFHIJLMNOPVKUS
      URZUTAFVHJKVJUCUEZVHFKJVJUCUEZAFVHVGUEZVRVSUHAFVGUIZUJZVTAFJKGUCWAUAABCGH
      JKLMNPTQUKULAVGUPWBVTUMABCHJKLMNPTUNFVGUOUQURABCVJFVHHJKLMNPTVKUSURZUTVAA
      BCVJDVHFVFEKJILSVKNTPOAVRVSWCVBAVLVMVQVBVAABCVJVDVIHIKLMNOTVKUSVC $.
  $}

  ${
    $d C f g $.  $d F f g $.  $d H f g $.  $d I g $.  $d X f g $.  $d Y f g $.
    $d .o. g $.  $d .* g $.  $d .1. f g $.  $d ph f g $.
    dfiso2.b $e |- B = ( Base ` C ) $.
    dfiso2.h $e |- H = ( Hom ` C ) $.
    dfiso2.c $e |- ( ph -> C e. Cat ) $.
    dfiso2.i $e |- I = ( Iso ` C ) $.
    dfiso2.x $e |- ( ph -> X e. B ) $.
    dfiso2.y $e |- ( ph -> Y e. B ) $.
    dfiso2.f $e |- ( ph -> F e. ( X H Y ) ) $.
    dfiso2.1 $e |- .1. = ( Id ` C ) $.
    dfiso2.o $e |- .o. = ( <. X , Y >. ( comp ` C ) X ) $.
    dfiso2.p $e |- .* = ( <. Y , X >. ( comp ` C ) Y ) $.
    $( Alternate definition of an isomorphism of a category, according to
       definition 3.8 in [Adamek] p. 28.  (Contributed by AV, 10-Apr-2020.) $)
    dfiso2 $p |- ( ph -> ( F e. ( X I Y ) <-> E. g e. ( Y H X )
               ( ( g .o. F ) = ( .1. ` X ) /\ ( F .* g ) = ( .1. ` Y ) ) ) ) $=
      ( vf co wcel cinv cfv cdm csect ccnv cin cv wceq wrex eqid isoval invfval
      eleq2d dmeqd cop cco wex cab copab sectfval cnveqd cnvopab eqtrdi ineq12d
      wa inopab an4 an42 anidm bitri anbi1i opabbii eqtri dmopab wb eleq1 oveq2
      anbi1d eqeq1d oveq1 anbi12d exbidv syl biantrurd bicomd a1i eqcomd df-rex
      elabg oveqd bitr4di 3bitrd ) AFJKHUDZUEFJKCUFUGZUDZUHZUEFJKCUIUGZUDZKJXBU
      DZUJZUKZUHZUEZEULZFLUDZJDUGZUMZFXIIUDZKDUGZUMZVJZEKJGUDZUNZAWRXAFABCHWSJK
      MWSUOZOQRPUPURAXAXGFAWTXFABCXBWSJKMXSOQRXBUOZUQUSURAXHFUCULZJKGUDZUEZXIXQ
      UEZVJZXIYAJKUTJCVAUGZUDZUDZXKUMZYAXIKJUTKYFUDZUDZXNUMZVJZVJZEVBZUCVCZUEZF
      YBUEZYDVJZXIFYGUDZXKUMZFXIYJUDZXNUMZVJZVJZEVBZXRAXGYPFAXGYNUCEVDZUHYPAXFU
      UGAXFYEYIVJZUCEVDZYDYCVJZYLVJZUCEVDZUKZUUGAXCUUIXEUULABCXBYFDUCEGJKMNYFUO
      ZTXTOQRVEAXEUUKEUCVDZUJUULAXDUUOABCXBYFDEUCGKJMNUUNTXTORQVEVFUUKEUCVGVHVI
      UUMUUHUUKVJZUCEVDUUGUUHUUKUCEVKUUPYNUCEUUPYEUUJVJZYMVJYNYEYIUUJYLVLUUQYEY
      MUUQYEYEVJYEYCYDYDYCVMYEVNVOVPVOVQVRVHUSYNUCEVSVHURAYRYQUUFVTSYOUUFUCFYBY
      AFUMZYNUUEEUURYEYSYMUUDUURYCYRYDYAFYBWAWCUURYIUUAYLUUCUURYHYTXKYAFXIYGWBW
      DUURYKUUBXNYAFXIYJWEWDWFWFWGWNWHAUUFYDXPVJZEVBXRAUUEUUSEAYSYDUUDXPAYDYSAY
      RYDSWIWJAUUAXLUUCXOAYTXJXKAYGLXIFALYGLYGUMAUAWKWLWOWDAUUBXMXNAYJIFXIAIYJI
      YJUMAUBWKWLWOWDWFWFWGXPEXQWMWPWQWQ $.
  $}

  ${
    $d C g $.  $d F g $.  $d H g $.  $d I g $.  $d X g $.  $d Y g $.
    $d ph g $.
    dfiso3.b $e |- B = ( Base ` C ) $.
    dfiso3.h $e |- H = ( Hom ` C ) $.
    dfiso3.i $e |- I = ( Iso ` C ) $.
    dfiso3.s $e |- S = ( Sect ` C ) $.
    dfiso3.c $e |- ( ph -> C e. Cat ) $.
    dfiso3.x $e |- ( ph -> X e. B ) $.
    dfiso3.y $e |- ( ph -> Y e. B ) $.
    dfiso3.f $e |- ( ph -> F e. ( X H Y ) ) $.
    $( Alternate definition of an isomorphism of a category as a section in
       both directions.  (Contributed by AV, 11-Apr-2020.) $)
    dfiso3 $p |- ( ph -> ( F e. ( X I Y ) <-> E. g e. ( Y H X )
                                      ( g ( Y S X ) F /\ F ( X S Y ) g ) ) ) $=
      ( co wcel cv cop cco cfv ccid wceq wrex wbr eqid dfiso2 ccat adantr simpr
      wa issect2 anbi12d ancom bitr2di rexbidva bitrd ) AFIJHSTEUAZFIJUBICUCUDZ
      SZSICUEUDZUDUFZFVAJIUBJVBSZSJVDUDUFZUNZEJIGSZUGVAFJIDSUHZFVAIJDSUHZUNZEVI
      UGABCVDEFGHVFIJVCKLOMPQRVDUIZVCUIVFUIUJAVHVLEVIAVAVITZUNZVLVGVEUNVHVOVJVG
      VKVEVOBCDVBVDVAFGJIKLVBUIZVMNACUKTVNOULZAJBTVNQULZAIBTVNPULZAVNUMZAFIJGST
      VNRULZUOVOBCDVBVDFVAGIJKLVPVMNVQVSVRWAVTUOUPVGVEUQURUSUT $.
  $}

  ${
    inveq.b $e |- B = ( Base ` C ) $.
    inveq.n $e |- N = ( Inv ` C ) $.
    inveq.c $e |- ( ph -> C e. Cat ) $.
    inveq.x $e |- ( ph -> X e. B ) $.
    inveq.y $e |- ( ph -> Y e. B ) $.
    $( If there are two inverses of a morphism, these inverses are equal.
       Corollary 3.11 of [Adamek] p. 28.  (Contributed by AV, 10-Apr-2020.)
       (Revised by AV, 3-Jul-2022.) $)
    inveq $p |- ( ph -> ( ( F ( X N Y ) G /\ F ( X N Y ) K ) -> G = K ) ) $=
      ( co wbr wa wcel adantr isinv wceq csect cfv eqid ccat simpr syl6bi com12
      wi impcom simpl adantld imp sectcan ex ) ADEHIGOZPZDFUPPZQZEFUAAUSQBCCUBU
      CZDEFIHJUTUDZACUERUSLSAIBRUSNSAHBRUSMSUSAEDIHUTOZPZUQAVCUIURAUQVCAUQDEHIU
      TOZPZVCQVCABCUTDEGHIJKLMNVATVEVCUFUGUHSUJAUSDFVDPZAURVFUQAURVFFDVBPZQVFAB
      CUTDFGHIJKLMNVATVFVGUKUGULUMUNUO $.
  $}

  ${
    $d C c x y $.
    $( The function value of the function returning the isomorphisms of a
       category is a function over the square product of the base set of the
       category.  (Contributed by AV, 5-Apr-2020.) $)
    isofn $p |- ( C e. Cat
                  -> ( Iso ` C ) Fn ( ( Base ` C ) X. ( Base ` C ) ) ) $=
      ( vx vy vc ccat wcel cfv cbs wfn cvv cv cinv wral eqid syl csect ccnv cin
      co wa ciso cxp cdm cmpt ccom dmexg adantl ralrimiva fnmpt cmpo ovex inex1
      crn wss a1i ralrimivva fnmpo df-inv fveq2 oveqd cnveqd ineq12d mpoeq123dv
      wceq fvex pm3.2i mpoexga mp1i fvmptd3 fneq1d mpbird fnco syl3anc isofval
      id ssv ) AEFZAUAGZAHGZVSUBZIBJBKZUCZUDZALGZUEZVTIZVQWCJIZWDVTIZWDUMZJUNZW
      FVQWBJFZBJMWGVQWKBJWAJFWKVQWAJUFUGUHBJWBWCJWCNUIOVQWHBCVSVSWACKZAPGZSZWLW
      AWMSZQZRZUJZVTIZVQWQJFZCVSMBVSMWSVQWTBCVSVSWTVQWAVSFWLVSFTTWNWPWAWLWMUKUL
      UOUPBCVSVSWQWRJWRNUQOVQVTWDWRVQDABCDKZHGZXBWAWLXAPGZSZWLWAXCSZQZRZUJWRELJ
      BCDURXAAVDZBCXBXBXGVSVSWQXAAHUSZXIXHXDWNXFWPXHXCWMWAWLXAAPUSZUTXHXEWOXHXC
      WMWLWAXJUTVAVBVCVQVOVSJFZXKTWRJFVQXKXKAHVEZXLVFBCVSVSWQJJVGVHVIVJVKWJVQWI
      VPUOJVTWCWDVLVMVQVTVRWEBAVNVJVK $.
  $}

  ${
    isohom.b $e |- B = ( Base ` C ) $.
    isohom.h $e |- H = ( Hom ` C ) $.
    isohom.i $e |- I = ( Iso ` C ) $.
    isohom.c $e |- ( ph -> C e. Cat ) $.
    isohom.x $e |- ( ph -> X e. B ) $.
    isohom.y $e |- ( ph -> Y e. B ) $.
    $( An isomorphism is a homomorphism.  (Contributed by Mario Carneiro,
       27-Jan-2017.) $)
    isohom $p |- ( ph -> ( X I Y ) C_ ( X H Y ) ) $=
      ( co cxp cdm cinv cfv eqid wss isoval invss dmss eqsstrd dmxpss sstrdi
      syl ) AFGENZFGDNZGFDNZOZPZUIAUHFGCQRZNZPZULABCEUMFGHUMSZKLMJUAAUNUKTUOULT
      ABCDUMFGHUPKLMIUBUNUKUCUGUDUIUJUEUF $.
  $}

  ${
    isoco.b $e |- B = ( Base ` C ) $.
    isoco.o $e |- .x. = ( comp ` C ) $.
    isoco.n $e |- I = ( Iso ` C ) $.
    isoco.c $e |- ( ph -> C e. Cat ) $.
    isoco.x $e |- ( ph -> X e. B ) $.
    isoco.y $e |- ( ph -> Y e. B ) $.
    isoco.z $e |- ( ph -> Z e. B ) $.
    isoco.f $e |- ( ph -> F e. ( X I Y ) ) $.
    isoco.g $e |- ( ph -> G e. ( Y I Z ) ) $.
    $( The composition of two isomorphisms is an isomorphism.  Proposition
       3.14(2) of [Adamek] p. 29.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    isoco $p |- ( ph -> ( G ( <. X , Y >. .x. Z ) F ) e. ( X I Z ) ) $=
      ( co cop cinv cfv eqid invco inviso1 ) ABCFEHIUAJDTTEHICUBUCZTUCFIJUGTUCJ
      IUAHDTTGUGHJKUGUDZNOQMABCDEFGUGHIJKUHNOPMRLQSUEUF $.
  $}

  ${
    $d f g ph $.  $d f g S $.  $d f g T $.  $d f g X $.  $d f g Y $.
    oppcsect.b $e |- B = ( Base ` C ) $.
    oppcsect.o $e |- O = ( oppCat ` C ) $.
    oppcsect.c $e |- ( ph -> C e. Cat ) $.
    oppcsect.x $e |- ( ph -> X e. B ) $.
    oppcsect.y $e |- ( ph -> Y e. B ) $.
    ${
      oppcsect.s $e |- S = ( Sect ` C ) $.
      oppcsect.t $e |- T = ( Sect ` O ) $.
      $( A section in the opposite category.  (Contributed by Mario Carneiro,
         3-Jan-2017.) $)
      oppcsect $p |- ( ph -> ( F ( X T Y ) G <-> G ( X S Y ) F ) ) $=
        ( cfv co wcel chom cop cco ccid wceq w3a wbr wa eqid adantr oppcco ccat
        oppcid syl fveq1d eqeq12d pm5.32da df-3an oppchom eleq2i anbi12ci bitri
        anbi1i 3bitr4g oppcbas oppccat issect 3bitr4d ) AFIJHUARZSZTZGJIVISZTZG
        FIJUBZIHUCRZSSZIHUDRZRZUEZUFZGIJCUARZSZTZFJIWASZTZFGVNICUCRZSSZICUDRZRZ
        UEZUFZFGIJESUGGFIJDSUGAWCWEUHZVSUHZWLWJUHVTWKAWLVSWJAWLUHZVPWGVRWIWNBCW
        FFGHIJIKWFUIZLAIBTWLNUJZAJBTWLOUJWPUKWNIVQWHWNCULTZVQWHUEAWQWLMUJWHCHLW
        HUIZUMUNUOUPUQVTVKVMUHZVSUHWMVKVMVSURWSWLVSVKWEVMWCVJWDFCWAHIJWAUIZLUSU
        TVLWBGCWAHJIWTLUSUTVAVCVBWCWEWJURVDABHEVOVQFGVIIJBCHLKVEVIUIVOUIVQUIQAW
        QHULTMCHLVFUNNOVGABCDWFWHGFWAIJKWTWOWRPMNOVGVH $.

      $( A section in the opposite category.  (Contributed by Mario Carneiro,
         3-Jan-2017.) $)
      oppcsect2 $p |- ( ph -> ( X T Y ) = `' ( X S Y ) ) $=
        ( vf vg co cfv wrel ccnv chom cxp wss cco ccid oppcbas eqid oppccat syl
        ccat wcel sectss relxp relss mpisyl relcnv a1i wbr oppcsect vex bitr4di
        cv brcnv eqbrrdv ) APQGHERZGHDRZUAZAVFGHFUBSZRZHGVIRZUCZUDVLTVFTABFEFUE
        SZFUFSZVIGHBCFJIUGVIUHVMUHVNUHOACUKULFUKULKCFJUIUJLMUMVJVKUNVFVLUOUPVHT
        AVGUQURAPVCZQVCZVFUSVPVOVGUSVOVPVHUSABCDEVOVPFGHIJKLMNOUTVOVPVGPVAQVAVD
        VBVE $.
    $}

    ${
      oppcinv.s $e |- I = ( Inv ` C ) $.
      oppcinv.t $e |- J = ( Inv ` O ) $.
      $( An inverse in the opposite category.  (Contributed by Mario Carneiro,
         3-Jan-2017.) $)
      oppcinv $p |- ( ph -> ( X J Y ) = ( Y I X ) ) $=
        ( cfv co ccnv cin eqid csect incom oppcsect2 wrel wceq chom cxp wss cco
        cnveqd ccid sectss relxp relss mpisyl dfrel2 sylib eqtrd ineq12d eqtrid
        oppcbas ccat wcel oppccat syl invfval 3eqtr4d ) AGHFUAPZQZHGVHQZRZSZHGC
        UAPZQZGHVMQRZSZGHEQHGDQAVLVKVISVPVIVKUBAVKVNVIVOAVKVNRZRZVNAVJVQABCVMVH
        FHGIJKMLVMTZVHTZUCUJAVNUDZVRVNUEAVNHGCUFPZQZGHWBQZUGZUHWEUDWAABCVMCUIPZ
        CUKPZWBHGIWBTWFTWGTVSKMLULWCWDUMVNWEUNUOVNUPUQURABCVMVHFGHIJKLMVSVTUCUS
        UTABFVHEGHBCFJIVAOACVBVCFVBVCKCFJVDVELMVTVFABCVMDHGINKMLVSVFVG $.
    $}

    ${
      oppciso.s $e |- I = ( Iso ` C ) $.
      oppciso.t $e |- J = ( Iso ` O ) $.
      $( An isomorphism in the opposite category.  See also remark 3.9 in
         [Adamek] p. 28.  (Contributed by Mario Carneiro, 3-Jan-2017.) $)
      oppciso $p |- ( ph -> ( X J Y ) = ( Y I X ) ) $=
        ( cinv cfv co cdm eqid oppcinv oppcbas ccat wcel oppccat isoval 3eqtr4d
        dmeqd syl ) AGHFPQZRZSHGCPQZRZSGHERHGDRAUKUMABCULUJFGHIJKLMULTZUJTZUAUH
        ABFEUJGHBCFJIUBUOACUCUDFUCUDKCFJUEUILMOUFABCDULHGIUNKMLNUFUG $.
    $}
  $}

  ${
    $d g h x B $.  $d g h x C $.  $d g h x F $.  $d g h x ph $.  $d g h x X $.
    $d g h x Y $.
    sectmon.b $e |- B = ( Base ` C ) $.
    sectmon.m $e |- M = ( Mono ` C ) $.
    sectmon.s $e |- S = ( Sect ` C ) $.
    sectmon.c $e |- ( ph -> C e. Cat ) $.
    sectmon.x $e |- ( ph -> X e. B ) $.
    sectmon.y $e |- ( ph -> Y e. B ) $.
    ${
      sectmon.1 $e |- ( ph -> F ( X S Y ) G ) $.
      $( If ` F ` is a section of ` G ` , then ` F ` is a monomorphism.  A
         monomorphism that arises from a section is also known as a _split
         monomorphism_.  (Contributed by Mario Carneiro, 3-Jan-2017.) $)
      sectmon $p |- ( ph -> F e. ( X M Y ) ) $=
        ( vg co wcel ad2antrr vx vh chom cfv cv cop cco wceq wral ccid wbr eqid
        wi issect mpbid simp1d wa oveq2 simp3d oveq1d ccat simplr simprl simp2d
        catass catlid 3eqtr3d simprr eqeq12d syl5ib ralrimivva ralrimiva ismon2
        w3a mpbir2and ) AEHIGRSEHICUCUDZRSZEQUEZUAUEZHUFZICUGUDZRZRZEUBUEZWBRZU
        HZVRWDUHZUMZUBVSHVPRZUIQWIUIZUABUIAVQFIHVPRSZFEHIUFHWARRZHCUJUDZUDZUHZA
        EFHIDRUKVQWKWOVNPABCDWAWMEFVPHIJVPULZWAULZWMULZLMNOUNUOZUPZAWJUABAVSBSZ
        UQZWHQUBWIWIWFFWCVSIUFHWARZRZFWEXCRZUHXBVRWISZWDWISZUQZUQZWGWCWEFXCURXI
        XDVRXEWDXIWLVRVTHWARZRWNVRXJRXDVRXIWLWNVRXJAWOXAXHAVQWKWOWSUSTZUTXIBCWA
        VREVPFHVSHIJWPWQACVASXAXHMTZAXAXHVBZAHBSXAXHNTZAIBSXAXHOTZXBXFXGVCZAVQX
        AXHWTTZXNAWKXAXHAVQWKWOWSVDTZVEXIBCWAWMVRVPVSHJWPWRXLXMWQXNXPVFVGXIWLWD
        XJRWNWDXJRXEWDXIWLWNWDXJXKUTXIBCWAWDEVPFHVSHIJWPWQXLXMXNXOXBXFXGVHZXQXN
        XRVEXIBCWAWMWDVPVSHJWPWRXLXMWQXNXSVFVGVIVJVKVLAUABCWAQUBEVPGHIJWPWQKMNO
        VMVO $.
    $}

    monsect.n $e |- N = ( Inv ` C ) $.
    monsect.1 $e |- ( ph -> F e. ( X M Y ) ) $.
    monsect.2 $e |- ( ph -> G ( Y S X ) F ) $.
    $( If ` F ` is a monomorphism and ` G ` is a section of ` F ` , then ` G `
       is an inverse of ` F ` and they are both isomorphisms.  This is also
       stated as "a monomorphism which is also a split epimorphism is an
       isomorphism".  (Contributed by Mario Carneiro, 3-Jan-2017.) $)
    monsect $p |- ( ph -> F ( X N Y ) G ) $=
      ( co wbr cop cco cfv ccid wceq chom wcel eqid issect simp3d oveq1d simp2d
      w3a mpbid simp1d catass catlid catrid eqtr4d 3eqtr3d catcocl catidcl moni
      issect2 mpbird isinv mpbir2and ) AEFIJHTUAEFIJDTUAZFEJIDTUAZAVIFEIJUBZICU
      CUDZTTZICUEUDZUDZUFZAEVMIIUBJVLTZTZEVOVQTZUFVPAEFJIUBJVLTTZEVKJVLTZTJVNUD
      ZEWATZVRVSAVTWBEWAAFJICUGUDZTUHZEIJWDTUHZVTWBUFZAVJWEWFWGUNSABCDVLVNFEWDJ
      IKWDUIZVLUIZVNUIZMNPOUJUOZUKULABCVLEFWDEJIJIKWHWINOPOAWEWFWGWKUMZAWEWFWGW
      KUPZPWLUQAWCEVSABCVLVNEWDIJKWHWJNOWIPWLURABCVLVNEWDIJKWHWJNOWIPWLUSUTVAAB
      CVLEVMWDVOGIJIKWHWILNOPORABCVLEFWDIJIKWHWINOPOWLWMVBABCVNWDIKWHWJNOVCVDUO
      ABCDVLVNEFWDIJKWHWIWJMNOPWLWMVEVFSABCDEFHIJKQNOPMVGVH $.
  $}

  ${
    sectepi.b $e |- B = ( Base ` C ) $.
    sectepi.e $e |- E = ( Epi ` C ) $.
    sectepi.s $e |- S = ( Sect ` C ) $.
    sectepi.c $e |- ( ph -> C e. Cat ) $.
    sectepi.x $e |- ( ph -> X e. B ) $.
    sectepi.y $e |- ( ph -> Y e. B ) $.
    ${
      sectepi.1 $e |- ( ph -> F ( X S Y ) G ) $.
      $( If ` F ` is a section of ` G ` , then ` G ` is an epimorphism.  An
         epimorphism that arises from a section is also known as a _split
         epimorphism_.  (Contributed by Mario Carneiro, 3-Jan-2017.) $)
      sectepi $p |- ( ph -> G e. ( Y E X ) ) $=
        ( cfv co eqid ccat coppc cmon csect oppcbas wcel oppccat syl wbr mpbird
        oppcsect sectmon oppcmon eleqtrd ) AGHICUAQZUBQZRIHERABUNUNUCQZGFUOHIBC
        UNUNSZJUDUOSZUPSZACTUEUNTUEMCUNUQUFUGNOAGFHIUPRUHFGHIDRUHPABCDUPGFUNHIJ
        UQMNOLUSUJUIUKACEUOUNHIUQMURKULUM $.
    $}

    episect.n $e |- N = ( Inv ` C ) $.
    episect.1 $e |- ( ph -> F e. ( X E Y ) ) $.
    episect.2 $e |- ( ph -> F ( X S Y ) G ) $.
    $( If ` F ` is an epimorphism and ` F ` is a section of ` G ` , then ` G `
       is an inverse of ` F ` and they are both isomorphisms.  This is also
       stated as "an epimorphism which is also a split monomorphism is an
       isomorphism".  (Contributed by Mario Carneiro, 3-Jan-2017.) $)
    episect $p |- ( ph -> F ( X N Y ) G ) $=
      ( co coppc cfv cinv eqid oppcinv csect cmon oppcbas ccat wcel oppccat syl
      oppcmon eleqtrrd wbr oppcsect mpbird monsect breqdi ) AJICUAUBZUCUBZTIJHT
      FGABCHVAUTJIKUTUDZNPOQVAUDZUEABUTUTUFUBZFGUTUGUBZVAJIBCUTVBKUHVEUDZVDUDZA
      CUIUJUTUIUJNCUTVBUKULPOVCAFIJETJIVETRACEVEUTJIVBNVFLUMUNAGFIJVDTUOFGIJDTU
      OSABCDVDGFUTIJKVBNOPMVGUPUQURUS $.
  $}

  ${
    invid.b $e |- B = ( Base ` C ) $.
    invid.i $e |- I = ( Id ` C ) $.
    invid.c $e |- ( ph -> C e. Cat ) $.
    invid.x $e |- ( ph -> X e. B ) $.
    $( The identity is a section of itself.  (Contributed by AV,
       8-Apr-2020.) $)
    sectid $p |- ( ph -> ( I ` X ) ( X ( Sect ` C ) X ) ( I ` X ) ) $=
      ( cfv csect co wbr cop cco wceq chom eqid catidcl catlid issect2 mpbird )
      AEDJZUCEECKJZLMUCUCEENECOJZLLUCPABCUEDUCCQJZEEFUFRZGHIUERZIABCDUFEFUGGHIS
      ZTABCUDUEDUCUCUFEEFUGUHGUDRHIIUIUIUAUB $.

    $( The inverse of the identity is the identity.  (Contributed by AV,
       8-Apr-2020.) $)
    invid $p |- ( ph -> ( I ` X ) ( X ( Inv ` C ) X ) ( I ` X ) ) $=
      ( cfv cinv co wbr csect sectid eqid isinv mpbir2and ) AEDJZSEECKJZLMSSEEC
      NJZLMZUBABCDEFGHIOZUCABCUASSTEEFTPHIIUAPQR $.

    $( The identity is an isomorphism.  Example 3.13 of [Adamek] p. 28.
       (Contributed by AV, 8-Apr-2020.) $)
    idiso $p |- ( ph -> ( I ` X ) e. ( X ( Iso ` C ) X ) ) $=
      ( cfv ciso cinv eqid invid inviso1 ) ABCEDJZPCKJZCLJZEEFRMHIIQMABCDEFGHIN
      O $.

    $( The inverse of the identity is the identity.  Example 3.13 of [Adamek]
       p. 28.  (Contributed by AV, 9-Apr-2020.) $)
    idinv $p |- ( ph -> ( ( X ( Inv ` C ) X ) ` ( I ` X ) ) = ( I ` X ) ) $=
      ( cinv cfv co wfun wbr wceq eqid invfun invid funbrfv sylc ) AEECJKZLZMED
      KZUCUBNUCUBKUCOABCUAEEFUAPHIIQABCDEFGHIRUCUCUBST $.
  $}

  ${
    invisoinv.b $e |- B = ( Base ` C ) $.
    invisoinv.i $e |- I = ( Iso ` C ) $.
    invisoinv.n $e |- N = ( Inv ` C ) $.
    invisoinv.c $e |- ( ph -> C e. Cat ) $.
    invisoinv.x $e |- ( ph -> X e. B ) $.
    invisoinv.y $e |- ( ph -> Y e. B ) $.
    invisoinv.f $e |- ( ph -> F e. ( X I Y ) ) $.
    $( The inverse of an isomorphism ` F ` (which is unique because of ~ invf
       and is therefore denoted by ` ( ( X N Y ) `` F ) ` , see also remark
       3.12 in [Adamek] p. 28) is invers to the isomorphism.  (Contributed by
       AV, 9-Apr-2020.) $)
    invisoinvl $p |- ( ph -> ( ( X N Y ) ` F ) ( Y N X ) F ) $=
      ( co cfv wbr cop eqid ccid cco ciso idiso a1i oveqd eleqtrrd invco isohom
      wceq chom sseldd catlid fveq1d idinv eqtrd oveq2d ffvelrnd catrid 3brtr3d
      cinv invf invsym mpbird ) ADGHFPZQZDHGFPRDVFVERAHCUAQZQZDGHSHCUBQZPPVFVHH
      HFPZQZHHSGVIPZPZDVFVEABCVIDVHEFGHHIKLMNJOVITZNAVHHHCUCQZPHHEPABCVGHIVGTZL
      NUDAEVOHHEVOUJAJUEUFUGUHABCVIVGDCUKQZGHIVQTZVPLMVNNAGHEPZGHVQPDABCVQEGHIV
      RJLMNUIOULUMAVMVFVHVLPVFAVKVHVFVLAVKVHHHCVAQZPZQVHAVHVJWAAFVTHHFVTUJAKUEU
      FUNABCVGHIVPLNUOUPUQABCVIVGVFVQHGIVRVPLNVNMAHGEPZHGVQPVFABCVQEHGIVRJLNMUI
      AVSWBDVEABCEFGHIKLMNJVBOURULUSUPUTABCVFDFHGIKLNMVCVD $.

    $( The inverse of an isomorphism is invers to the isomorphism.
       (Contributed by AV, 9-Apr-2020.) $)
    invisoinvr $p |- ( ph -> F ( X N Y ) ( ( X N Y ) ` F ) ) $=
      ( co cfv wbr invisoinvl invsym mpbird ) ADDGHFPZQZUBRUCDHGFPRABCDEFGHIJKL
      MNOSABCDUCFGHIKLMNTUA $.

    invcoisoid.1 $e |- .1. = ( Id ` C ) $.
    ${
      invcoisoid.o $e |- .o. = ( <. X , Y >. ( comp ` C ) X ) $.
      $( The inverse of an isomorphism composed with the isomorphism is the
         identity.  (Contributed by AV, 5-Apr-2020.) $)
      invcoisoid $p |- ( ph -> ( ( ( X N Y ) ` F ) .o. F ) = ( .1. ` X ) ) $=
        ( co cfv csect wbr wceq invisoinvr eqid isinv simpl syl6bi mpd cop chom
        wa cco isohom sseldd invf ffvelrnd issect2 a1i eqcomd oveqd bitrd mpbid
        eqeq1d ) AEEHIGTZUAZHICUBUAZTUCZVGEJTZHDUAZUDZAEVGVFUCZVIABCEFGHIKLMNOP
        QUEAVMVIVGEIHVHTUCZUMVIABCVHEVGGHIKMNOPVHUFZUGVIVNUHUIUJAVIVGEHIUKHCUNU
        AZTZTZVKUDVLABCVHVPDEVGCULUAZHIKVSUFZVPUFRVONOPAHIFTZHIVSTEABCVSFHIKVTL
        NOPUOQUPAIHFTZIHVSTVGABCVSFIHKVTLNPOUOAWAWBEVFABCFGHIKMNOPLUQQURUPUSAVR
        VJVKAVQJVGEAJVQJVQUDASUTVAVBVEVCVD $.
    $}

    isocoinvid.o $e |- .o. = ( <. Y , X >. ( comp ` C ) Y ) $.
    $( The inverse of an isomorphism composed with the isomorphism is the
       identity.  (Contributed by AV, 10-Apr-2020.) $)
    isocoinvid $p |- ( ph -> ( F .o. ( ( X N Y ) ` F ) ) = ( .1. ` Y ) ) $=
      ( co cfv csect wbr wceq invisoinvl wa eqid isinv simpl syl6bi mpd cop cco
      chom isohom invf ffvelrnd sseldd issect2 eqcomd oveqd eqeq1d bitrd mpbid
      a1i ) AEHIGTZUAZEIHCUBUAZTUCZEVGJTZIDUAZUDZAVGEIHGTUCZVIABCEFGHIKLMNOPQUE
      AVMVIEVGHIVHTUCZUFVIABCVHVGEGIHKMNPOVHUGZUHVIVNUIUJUKAVIEVGIHULICUMUAZTZT
      ZVKUDVLABCVHVPDVGECUNUAZIHKVSUGZVPUGRVONPOAIHFTZIHVSTVGABCVSFIHKVTLNPOUOA
      HIFTZWAEVFABCFGHIKMNOPLUPQUQURAWBHIVSTEABCVSFHIKVTLNOPUOQURUSAVRVJVKAVQJE
      VGAJVQJVQUDASVEUTVAVBVCVD $.
  $}

  ${
    rcaninv.b $e |- B = ( Base ` C ) $.
    rcaninv.n $e |- N = ( Inv ` C ) $.
    rcaninv.c $e |- ( ph -> C e. Cat ) $.
    rcaninv.x $e |- ( ph -> X e. B ) $.
    rcaninv.y $e |- ( ph -> Y e. B ) $.
    rcaninv.z $e |- ( ph -> Z e. B ) $.
    rcaninv.f $e |- ( ph -> F e. ( Y ( Iso ` C ) X ) ) $.
    rcaninv.g $e |- ( ph -> G e. ( Y ( Hom ` C ) Z ) ) $.
    rcaninv.h $e |- ( ph -> H e. ( Y ( Hom ` C ) Z ) ) $.
    rcaninv.1 $e |- R = ( ( Y N X ) ` F ) $.
    rcaninv.o $e |- .o. = ( <. X , Y >. ( comp ` C ) Z ) $.
    $( Right cancellation of an inverse of an isomorphism.  (Contributed by AV,
       5-Apr-2020.) $)
    rcaninv $p |- ( ph -> ( ( G .o. R ) = ( H .o. R ) -> G = H ) ) $=
      ( wceq cfv cop cco ccid chom eqid ciso isohom sseldd invf ffvelrnd catass
      co wa invcoisoid eqcomd oveq2d catrid 3eqtr2rd adantr eqcomi a1i oveq123d
      eqidd simpr eqtrd oveq1d oveqi oveq1i eqeltrid oveq2i 3eqtrd ex ) AFDKUQZ
      GDKUQZUDZFGUDAVTURZFFEJIHUQZUEZIJUFLCUGUEZUQZUQZEJIUFZLWDUQZUQZVSEWHUQZGA
      FWIUDVTAWIFWCEWGJWDUQZUQZJJUFLWDUQZUQFJCUHUEZUEZWMUQFABCWDEWCCUIUEZFLJIJM
      WPUJZWDUJZOQPQAJICUKUEZUQZJIWPUQEABCWPWSJIMWQWSUJZOQPULSUMZAIJWSUQZIJWPUQ
      ZWCABCWPWSIJMWQXAOPQULAWTXCEWBABCWSHJIMNOQPXAUNSUOUMZRTUPAWOWLFWMAWLWOABC
      WNEWSHJIWKMXANOQPSWNUJZWKUJUSZUTVAABCWDWNFWPJLMWQXFOQWRRTVBVCVDWAWFVSEWHW
      AWFVRVSAWFVRUDVTAFFWCDWEKWEKUDAKWEUCVEVFAFVHWCDUDADWCUBVEVFVGVDAVTVIVJVKA
      WJGUDVTAWJGDWEUQZEWHUQZGWOWMUQZGWJXIUDAVSXHEWHKWEGDUCVLVMVFAXIGDEWKUQZWMU
      QZGWLWMUQZXJABCWDEDWPGLJIJMWQWROQPQXBADWCXDUBXEVNRUAUPXLXMUDAXKWLGWMDWCEW
      KUBVMVOVFAWLWOGWMXGVAVPABCWDWNGWPJLMWQXFOQWRRUAVBVPVDVPVQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Isomorphic objects
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  In this subsection, the "is isomorphic to" relation between objects of a
  category ` ~=c ` is defined (see ~ df-cic ).  It is shown that this relation
  is an equivalence relation, see ~ cicer .

$)

  $c ~=c $.

  $( Extend class notation to include the category isomorphism relation. $)
  ccic $a class ~=c $.

  $( Function returning the set of isomorphic objects for each category ` c ` .
     Definition 3.15 of [Adamek] p. 29.  Analogous to the definition of the
     group isomorphism relation ` ~=g ` , see ~ df-gic .  (Contributed by AV,
     4-Apr-2020.) $)
  df-cic $a |- ~=c = ( c e. Cat |-> ( ( Iso ` c ) supp (/) ) ) $.

  ${
    $d C c $.
    $( The set of isomorphic objects of the category ` c ` .  (Contributed by
       AV, 4-Apr-2020.) $)
    cicfval $p |- ( C e. Cat -> ( ~=c ` C ) = ( ( Iso ` C ) supp (/) ) ) $=
      ( vc ccat wcel cv ciso cfv c0 csupp co ccic cvv df-cic fveq2 oveq1d ovexd
      wceq id fvmptd3 ) ACDZBABEZFGZHIJAFGZHIJCKLBMUAAQUBUCHIUAAFNOTRTUCHIPS $.
  $}

  ${
    cic.i $e |- I = ( Iso ` C ) $.
    cic.b $e |- B = ( Base ` C ) $.
    cic.c $e |- ( ph -> C e. Cat ) $.
    cic.x $e |- ( ph -> X e. B ) $.
    cic.y $e |- ( ph -> Y e. B ) $.
    $( The relation "is isomorphic to" for categories.  (Contributed by AV,
       5-Apr-2020.) $)
    brcic $p |- ( ph -> ( X ( ~=c ` C ) Y <-> ( X I Y ) =/= (/) ) ) $=
      ( cfv wbr c0 co wcel wne wceq a1i cvv ccic ciso csupp cop ccat cicfval wb
      syl breqd df-br fveq1d neeq1d df-ov eqcomi cbs cxp fvexd eleqtrdi opelxpd
      wfn xpexd isofn fvn0elsuppb syl3anc 3bitr3rd 3bitrd ) AEFCUALZMEFCUBLZNUC
      OZMZEFUDZVIPZEFDOZNQZAVGVIEFACUEPZVGVIRICUFUHUIVJVLUGAEFVIUJSAVKDLZNQVKVH
      LZNQZVNVLAVPVQNAVKDVHDVHRAGSUKULAVPVMNVPVMRAVMVPEFDUMUNSULACUOLZVSUPZTPVK
      VTPVHVTUTZVRVLUGAVSVSTTACUOUQZWBVAAEFVSVSAEBVSJHURAFBVSKHURUSAVOWAICVBUHV
      TVHTVKVCVDVEVF $.

    $d I f $.  $d X f $.  $d Y f $.
    $( Objects ` X ` and ` Y ` in a category are isomorphic provided that there
       is an isomorphism ` f : X --> Y ` , see definition 3.15 of [Adamek]
       p. 29.  (Contributed by AV, 4-Apr-2020.) $)
    cic $p |- ( ph -> ( X ( ~=c ` C ) Y <-> E. f f e. ( X I Y ) ) ) $=
      ( ccic cfv wbr co c0 wne cv wcel wex brcic n0 bitrdi ) AFGCMNOFGEPZQRDSUE
      TDUAABCEFGHIJKLUBDUEUCUD $.

    $d F f $.
    cic.f $e |- ( ph -> F e. ( X I Y ) ) $.
    $( Prove that two objects are isomorphic by an explicit isomorphism.
       (Contributed by AV, 4-Apr-2020.) $)
    brcici $p |- ( ph -> X ( ~=c ` C ) Y ) $=
      ( vf ccic cfv wbr cv co wcel wex eleq1 spcegv sylc cic mpbird ) AFGCOPQNR
      ZFGESZTZNUAZADUHTZUKUJMMUIUKNDUHUGDUHUBUCUDABCNEFGHIJKLUEUF $.
  $}

  $( Isomorphism is reflexive.  (Contributed by AV, 5-Apr-2020.) $)
  cicref $p |- ( ( C e. Cat /\ O e. ( Base ` C ) ) -> O ( ~=c ` C ) O ) $=
    ( ccat wcel cbs cfv wa ccid ciso eqid simpl simpr idiso brcici ) ACDZBAEFZD
    ZGZPABAHFZFAIFZBBTJPJZOQKZOQLZUCRPASBUASJUBUCMN $.

  $( Isomorphism implies the left side is an object.  (Contributed by AV,
     5-Apr-2020.) $)
  ciclcl $p |- ( ( C e. Cat /\ R ( ~=c ` C ) S ) -> R e. ( Base ` C ) ) $=
    ( ccat wcel ccic cfv wbr cbs ciso c0 csupp co cicfval breqd cop cxp wne cvv
    wa wfn wb isofn fvexd 0ex a1i df-br elsuppfng syl5bb syl3anc opelxp1 adantr
    w3a syl6bi sylbid imp ) ADEZBCAFGZHZBAIGZEZUQUSBCAJGZKLMZHZVAUQURVCBCANOUQV
    DBCPZUTUTQZEZVEVBGKRZTZVAUQVBVFUAZVBSEZKSEZVDVIUBAUCUQAJUDVLUQUEUFVDVEVCEVJ
    VKVLUMVIBCVCUGVEVBSSVFKUHUIUJVGVAVHBCUTUTUKULUNUOUP $.

  $( Isomorphism implies the right side is an object.  (Contributed by AV,
     5-Apr-2020.) $)
  cicrcl $p |- ( ( C e. Cat /\ R ( ~=c ` C ) S ) -> S e. ( Base ` C ) ) $=
    ( ccat wcel ccic cfv wbr cbs ciso c0 csupp co cicfval breqd cop cxp wne cvv
    wa wfn wb isofn fvexd 0ex a1i df-br elsuppfng syl5bb syl3anc opelxp2 adantr
    w3a syl6bi sylbid imp ) ADEZBCAFGZHZCAIGZEZUQUSBCAJGZKLMZHZVAUQURVCBCANOUQV
    DBCPZUTUTQZEZVEVBGKRZTZVAUQVBVFUAZVBSEZKSEZVDVIUBAUCUQAJUDVLUQUEUFVDVEVCEVJ
    VKVLUMVIBCVCUGVEVBSSVFKUHUIUJVGVAVHBCUTUTUKULUNUOUP $.

  ${
    $d C f g $.  $d R f g $.  $d S f g $.
    $( Isomorphism is symmetric.  (Contributed by AV, 5-Apr-2020.) $)
    cicsym $p |- ( ( C e. Cat /\ R ( ~=c ` C ) S ) -> S ( ~=c ` C ) R ) $=
      ( vf vg wcel cfv wbr wa cv co wex simpl simpr adantl isoval adantr sylbid
      eqid cdm ccat ccic cbs cicrcl ciclcl ciso cic cinv crn ccnv invsym2 dmeqd
      eqcomd df-rn eqtr4di eqtrd eleq2d cvv wb vex elrng mp1i bitrd df-br exbii
      cop wi opeldm brcici syl5com exlimiv com12 syl5bi exlimdv impancom mp2and
      ex ) AUAFZBCAUBGZHZICAUCGZFZBWAFZCBVSHZABCUDABCUEVRWBWCIZVTWDVRWEIZVTDJZB
      CAUFGZKZFZDLWDWFWAADWHBCWHSZWASZVRWEMZWEWCVRWBWCNOZWEWBVRWBWCMOZUGWFWJWDD
      WFWJEJZWGCBAUHGZKZHZELZWDWFWJWGWRUIZFZWTWFWIXAWGWFWIBCWQKZTZXAWFWAAWHWQBC
      WLWQSZWMWNWOWKPWFXDWRUJZTXAWFXCXFWFXFXCWFWAAWQCBWLXEWMWOWNUKUMULWRUNUOUPU
      QWGURFXBWTUSWFDUTZEWGWRURVAVBVCWTWPWGVFWRFZELZWFWDWSXHEWPWGWRVDVEXIWFWDXH
      WFWDVGEXHWPWRTZFZWFWDWPWGWREUTXGVHWFXKWPCBWHKZFZWDWFXJXLWPWFXLXJWFWAAWHWQ
      CBWLXEWMWOWNWKPUMUQWFXMWDWFXMIWAAWPWHCBWKWLWFVRXMWMQWFWBXMWOQWFWCXMWNQWFX
      MNVIVQRVJVKVLVMRVNRVOVP $.

    $d T f g $.
    $( Isomorphism is transitive.  (Contributed by AV, 5-Apr-2020.) $)
    cictr $p |- ( ( C e. Cat /\ R ( ~=c ` C ) S /\ S ( ~=c ` C ) T )
                  -> R ( ~=c ` C ) T ) $=
      ( vf vg wcel cfv wbr wa cicrcl ex 3impib wi cv co wex eqid simpll adantl
      ccat ccic w3a cbs ciclcl jca anim12d ciso simpl simplr cic simprr anbi12d
      cop cco isoco brcici exlimiv com12 imp sylbid com23 mpd ) AUAGZBCAUBHZIZC
      DVEIZUCBAUDHZGZCVHGZJZDVHGZJZBDVEIZVDVFVGVMVDVFVKVGVLVDVFVKVDVFJVIVJABCUE
      ABCKUFLVDVGVLACDKLUGMVDVFVGVMVNNVDVMVFVGJZVNVDVMVOVNNVDVMJZVOEOZBCAUHHZPG
      ZEQZFOZCDVRPGZFQZJZVNVPVFVTVGWCVPVHAEVRBCVRRZVHRZVDVMUIZVMVIVDVIVJVLSTZVM
      VJVDVIVJVLUJTZUKVPVHAFVRCDWEWFWGWIVDVKVLULZUKUMWDVPVNVTWCVPVNNZVSWCWKNEWC
      VSWKWBVSWKNFWBVSWKWBVSJZVPVNWLVPJZVHAWAVQBCUNDAUOHZPPVRBDWEWFVPVDWLWGTZVP
      VIWLWHTZVPVLWLWJTZWMVHAWNVQWAVRBCDWFWNRWEWOWPVPVJWLWITWQWBVSVPUJWBVSVPSUP
      UQLLURUSURUTUSVALVBMVC $.

    $d C x y z $.  $d f x y $.
    $( Isomorphism is an equivalence relation on objects of a category.  Remark
       3.16 in [Adamek] p. 29.  (Contributed by AV, 5-Apr-2020.) $)
    cicer $p |- ( C e. Cat -> ( ~=c ` C ) Er ( Base ` C ) ) $=
      ( vx vy vz vf ccat wcel cbs cfv ccic wrel c0 cv wne a1i releqd mpbird cvv
      wceq wbr ciso csupp co cxp crab cop w3a copab relopabv fveq2 neeq1d rabxp
      wfn isofn fvex sqxpexg mp1i suppvalfn syl3anc cicfval cicsym cictr cicref
      0ex 3expb ciclcl impbida iserd ) AFGZBCDAHIZAJIZVIVKKAUAIZLUBUCZKZVIVNEMZ
      VLIZLNZEVJVJUDZUEZKZVIVTBMZVJGZCMZVJGWAWCUFZVLIZLNZUGZBCUHZKZWIVIWGBCUIOV
      IVSWHVSWHSVIVQWFEBCVJVJVOWDSVPWELVOWDVLUJUKULOPQVIVMVSVIVLVRUMVRRGZLRGZVM
      VSSAUNVJRGWJVIAHUOVJRUPUQWKVIVDOEVLRRVRLURUSPQVIVKVMAUTPQAWAWCVAVIWAWCVKT
      WCDMZVKTWAWLVKTAWAWCWLVBVEVIWBWAWAVKTAWAVCAWAWAVFVGVH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subcategories
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c C_cat $.
  $c |`cat $.
  $c Subcat $.

  $( Extend class notation to include the subset relation for subcategories. $)
  cssc $a class C_cat $.

  $( Extend class notation to include category restriction (which is like
     structure restriction but also allows limiting the collection of
     morphisms). $)
  cresc $a class |`cat $.

  $( Extend class notation to include the collection of subcategories of a
     category. $)
  csubc $a class Subcat $.

  ${
    $d c f g h j s t x y z $.  $d h j s t x H $.  $d h j s t x J $.
    $( Define the subset relation for subcategories.  Despite the name, this is
       not really a "category-aware" definition, which is to say it makes no
       explicit references to homsets or composition; instead this is a
       subset-like relation on the functions that are used as subcategory
       specifications in ~ df-subc , which makes it play an analogous role to
       the subset relation applied to the subgroups of a group.  (Contributed
       by Mario Carneiro, 6-Jan-2017.) $)
    df-ssc $a |- C_cat = { <. h , j >. | E. t ( j Fn ( t X. t ) /\
      E. s e. ~P t h e. X_ x e. ( s X. s ) ~P ( j ` x ) ) } $.

    $( Define the restriction of a category to a given set of arrows.
       (Contributed by Mario Carneiro, 4-Jan-2017.) $)
    df-resc $a |- |`cat = ( c e. _V , h e. _V |->
      ( ( c |`s dom dom h ) sSet <. ( Hom ` ndx ) , h >. ) ) $.

    $( ` ( Subcat `` C ) ` is the set of all the subcategory specifications of
       the category ` C ` .  Like ~ df-subg , this is not actually a collection
       of categories (as in definition 4.1(a) of [Adamek] p. 48), but only sets
       which when given operations from the base category (using ~ df-resc )
       form a category.  All the objects and all the morphisms of the
       subcategory belong to the supercategory.  The identity of an object, the
       domain and the codomain of a morphism are the same in the subcategory
       and the supercategory.  The composition of the subcategory is a
       restriction of the composition of the supercategory.  (Contributed by
       FL, 17-Sep-2009.)  (Revised by Mario Carneiro, 4-Jan-2017.) $)
    df-subc $a |- Subcat = ( c e. Cat |-> { h | ( h C_cat ( Homf ` c ) /\
      [. dom dom h / s ]. A. x e. s ( ( ( Id ` c ) ` x ) e. ( x h x ) /\
        A. y e. s A. z e. s A. f e. ( x h y ) A. g e. ( y h z )
          ( g ( <. x , y >. ( comp ` c ) z ) f ) e. ( x h z ) ) ) } ) $.

    $( The subcategory subset relation is a relation.  (Contributed by Mario
       Carneiro, 6-Jan-2017.) $)
    sscrel $p |- Rel C_cat $=
      ( vj vt vh vx vs cxp wfn cfv cpw cixp wcel wrex wex cssc df-ssc relopabiv
      cv wa ) AQZBQZTFGCQDEQZUAFDQSHIJKETILRBMCANDBCAEOP $.

    $( The subcategory subset relation is a relation.  (Contributed by Mario
       Carneiro, 6-Jan-2017.) $)
    brssc $p |- ( H C_cat J <-> E. t ( J Fn ( t X. t ) /\
        E. s e. ~P t H e. X_ x e. ( s X. s ) ~P ( J ` x ) ) ) $=
      ( vj vh cssc cvv wcel wa cv cxp wfn cfv cpw cixp wrex wex wceq wbr sscrel
      brrelex12i vex xpex fnex mpan2 elex rexlimivw anim12ci simpr fneq1d simpl
      exlimiv fveq1d ixpeq2dv eleq12d rexbidv anbi12d exbidv df-ssc pm5.21nii
      pweqd brabga ) CDHUACIJZDIJZKZDBLZVHMZNZCAELZVKMZALZDOZPZQZJZEVHPZRZKZBSZ
      CDHUBUCVTVGBVJVFVSVEVJVIIJVFVHVHBUDZWBUEVIIDUFUGVQVEEVRCVPUHUIUJUNFLZVINZ
      GLZAVLVMWCOZPZQZJZEVRRZKZBSWAGFCDHIIWECTZWCDTZKZWKVTBWNWDVJWJVSWNVIWCDWLW
      MUKZULWNWIVQEVRWNWECWHVPWLWMUMWNAVLWGVOWNWFVNWNVMWCDWOUOVCUPUQURUSUTABGFE
      VAVDVB $.

    $( An analogue of ~ pwex for the subcategory subset relation:  The
       collection of subcategory subsets of a given set ` J ` is a set.
       (Contributed by Mario Carneiro, 6-Jan-2017.) $)
    sscpwex $p |- { h | h C_cat J } e. _V $=
      ( vt vx vs cv cssc wbr cab crn cuni cpw cpm cxp cixp wcel wa cvv wss vex
      cdm co ovex wfn cfv wrex wex brssc wf simpl xpex fnex sylancl rnexg pwexg
      uniexg 4syl wceq adantr eqeltrdi ss2ixp fvssunirn sspwi a1i simprr sselid
      fndm mprg elixpconst sylib elpwi ad2antrl xpss12 sseqtrrd elpm2r syl22anc
      syl2anc rexlimdvaa imp exlimiv sylbi abssi ssexi ) AFZBGHZAIBJZKZLZBUAZMU
      BZWHWIMUCWEAWJWEBCFZWKNZUDZWDDEFZWNNZDFZBUEZLZOZPZEWKLZUFZQZCUGWDWJPZDCWD
      BEUHXCXDCWMXBXDWMWTXDEXAWMWNXAPZWTQZQZWHRPZWIRPWOWHWDUIZWOWISXDXGBRPZWFRP
      WGRPXHXGWMWLRPXJWMXFUJWKWKCTZXKUKZWLRBULUMBRUNWFRUPWGRUOUQXGWIWLRWMWIWLUR
      XFWLBVGUSZXLUTXGWDDWOWHOZPXIXGWSXNWDWRWHSZWSXNSDWODWOWRWHVAXOWPWOPWQWGBWP
      VBVCVDVHWMXEWTVEVFDWOWHWDATVIVJXGWOWLWIXGWNWKSZXPWOWLSXEXPWMWTWNWKVKVLZXQ
      WNWKWNWKVMVQXMVNWHWIWOWDRRVOVPVRVSVTWAWBWC $.

    $( Reverse closure for the subcategory predicate.  (Contributed by Mario
       Carneiro, 6-Jan-2017.) $)
    subcrcl $p |- ( H e. ( Subcat ` C ) -> C e. Cat ) $=
      ( vc vh vx vg vf vy vz vs ccat cv chomf cfv cssc co wcel wral wa cdm ccid
      wbr cop cco wsbc cab csubc df-subc mptrcl ) CKDLZCLZMNOUBELZUKUANNULULUJP
      QFLGLULHLZUCILZUKUDNPPULUNUJPQFUMUNUJPRGULUMUJPRIJLZRHUORSEUORJUJTTUESDUF
      UGBAEHIGFDJCUHUI $.
  $}

  ${
    $d s t x y H $.  $d s t x y J $.  $d s t ph $.  $d s t S $.  $d t T $.
    sscfn1.1 $e |- ( ph -> H C_cat J ) $.
    ${
      sscfn1.2 $e |- ( ph -> S = dom dom H ) $.
      $( The subcategory subset relation is defined on functions with square
         domain.  (Contributed by Mario Carneiro, 6-Jan-2017.) $)
      sscfn1 $p |- ( ph -> H Fn ( S X. S ) ) $=
        ( vt vx vs cv cxp wfn cfv cpw cixp wcel wrex wa cdm wceq wex cssc brssc
        sylib ixpfn simpr adantr fndm adantl dmeqd dmxpid eqtrdi eqtr2d sqxpeqd
        wbr fneq2d mpbid ex syl5 rexlimdvw adantld exlimdv mpd ) ADGJZVDKLZCHIJ
        ZVFKZHJDMNZOPZIVDNZQZRZGUAZCBBKZLZACDUBUOVMEHGCDIUCUDAVLVOGAVKVOVEAVIVO
        IVJVICVGLZAVOHVGVHCUEAVPVOAVPRZVPVOAVPUFVQVGVNCVQVFBVQBCSZSZVFABVSTVPFU
        GVQVSVGSVFVQVRVGVPVRVGTAVGCUHUIUJVFUKULUMUNUPUQURUSUTVAVBVC $.
    $}

    ${
      sscfn2.2 $e |- ( ph -> T = dom dom J ) $.
      $( The subcategory subset relation is defined on functions with square
         domain.  (Contributed by Mario Carneiro, 6-Jan-2017.) $)
      sscfn2 $p |- ( ph -> J Fn ( T X. T ) ) $=
        ( vt vx vy cv cxp wfn cfv cpw cixp wcel wrex wa cdm wceq wex cssc brssc
        wbr sylib simpr adantr adantl dmeqd dmxpid eqtrdi eqtr2d sqxpeqd fneq2d
        fndm mpbid ex adantrd exlimdv mpd ) ADGJZVAKZLZCHIJZVDKHJDMNOPIVANQZRZG
        UAZDBBKZLZACDUBUDVGEHGCDIUCUEAVFVIGAVCVIVEAVCVIAVCRZVCVIAVCUFVJVBVHDVJV
        ABVJBDSZSZVAABVLTVCFUGVJVLVBSVAVJVKVBVCVKVBTAVBDUOUHUIVAUJUKULUMUNUPUQU
        RUSUT $.
    $}
  $}

  ${
    $d s t x y z H $.  $d s t x y z J $.  $d s t ph $.  $d s x y z S $.
    $d s t T $.
    isssc.1 $e |- ( ph -> H Fn ( S X. S ) ) $.
    $( Lemma for ~ ssc1 and similar theorems.  (Contributed by Mario Carneiro,
       6-Jan-2017.) $)
    ssclem $p |- ( ph -> ( H e. _V <-> S e. _V ) ) $=
      ( cvv wcel wa cxp cdm dmxpid fndmd adantr dmexg adantl eqeltrrd eqeltrrid
      wceq dmexd wfn sqxpexg fnex syl2an impbida ) ACEFZBEFZAUDGZBBBHZIEBJUFUGE
      UFCIZUGEAUHUGQUDAUGCDKLUDUHEFACEMNORPACUGSUGEFUDUEDBETUGECUAUBUC $.

    isssc.2 $e |- ( ph -> J Fn ( T X. T ) ) $.
    ${
      isssc.3 $e |- ( ph -> T e. V ) $.
      $( Value of the subcategory subset relation when the arguments are known
         functions.  (Contributed by Mario Carneiro, 6-Jan-2017.) $)
      isssc $p |- ( ph -> ( H C_cat J <-> ( S C_ T /\
        A. x e. S A. y e. S ( x H y ) C_ ( x J y ) ) ) ) $=
        ( vz vs vt cv wcel wceq wa wex cdm cssc wbr cxp cfv cpw cixp wss co wfn
        wrex wral brssc fndm adantl adantr fndmd eqtr3d dmeqd dmxpid 3eqtr3g ex
        id sqxpeqd fneq2d syl5ibrcom impbid anbi1d exbidv pweq rexeqdv ceqsexgv
        syl5bb wb syl bitrd df-rex cvv w3a 3anass elixp2 vex xpex fnex pm4.71ri
        mpan2 3bitr4i anbi2d an12 bitrdi exsimpl isset sylibr a1i ssexg adantrd
        wi expcom elpw sseq1 raleqdv cop fvex fveq2 df-ov eqtr4di sseq12d ralxp
        anbi12d pm5.21ndd 3bitrd ) AFGUAUBZFLMOZXLUCZLOZGUDZUEZUFPZMEUEZUJZXLDQ
        ZXLXRPZXNFUDZXPPZLXMUKZRZRZMSZDEUGZBOZCOZFUHZYIYJGUHZUGZCDUKBDUKZRZAXKN
        OZEQZXQMYPUEZUJZRZNSZXSXKGYPYPUCZUIZYSRZNSAUUALNFGMULAUUDYTNAUUCYQYSAUU
        CYQAUUCYQAUUCRZUUBTEEUCZTYPEUUEUUBUUFUUEGTZUUBUUFUUCUUGUUBQAUUBGUMUNUUE
        UUFGAGUUFUIZUUCJUOUPUQURYPUSEUSUTVAAUUCYQUUHJYQUUBUUFGYQYPEYQVBVCVDVEVF
        VGVHVLAEHPZUUAXSVMKYSXSNEHYQXQMYRXRYPEVIVJVKVNVOXSYAXQRZMSAYGXQMXRVPAUU
        JYFMAUUJYAXTYDRZRYFAXQUUKYAXQFXMUIZYDRZAUUKFVQPZUULYDVRUUNUUMRXQUUMUUNU
        ULYDVSLXMXPFVTUUMUUNUULUUNYDUULXMVQPUUNXLXLMWAZUUOWBXMVQFWCWEUOWDWFAUUL
        XTYDAUULXTAUULXTAUULRZXMTDDUCZTXLDUUPXMUUQUUPFTZXMUUQUULUURXMQAXMFUMUNU
        UPUUQFAFUUQUIZUULIUOUPUQURXLUSDUSUTVAAUULXTUUSIXTXMUUQFXTXLDXTVBVCZVDVE
        VFVGVLWGYAXTYDWHWIVHVLADVQPZYGYOYGUVAWPAYGXTMSUVAXTYEMWJMDWKWLWMAYHUVAY
        NAUUIYHUVAWPKYHUUIUVADEHWNWQVNWOUVAYGYOVMWPAYEYOMDVQXTYAYHYDYNYAXLEUGXT
        YHXLEUUOWRXLDEWSVLXTYDYCLUUQUKYNXTYCLXMUUQUUTWTYCYMLBCDDYCYBXOUGXNYIYJX
        AZQZYMYBXOXNFXBWRUVCYBYKXOYLUVCYBUVBFUDYKXNUVBFXCYIYJFXDXEUVCXOUVBGUDYL
        XNUVBGXCYIYJGXDXEXFVLXGWIXHVKWMXIXJ $.
    $}

    ssc1.3 $e |- ( ph -> H C_cat J ) $.
    $( Infer subset relation on objects from the subcategory subset relation.
       (Contributed by Mario Carneiro, 6-Jan-2017.) $)
    ssc1 $p |- ( ph -> S C_ T ) $=
      ( vx vy wss cv co wral cssc wbr wa cvv wcel mpbid sscrel brrelex2i ssclem
      syl isssc simpld ) ABCKZILZJLZDMUHUIEMKJBNIBNZADEOPZUGUJQHAIJBCDERFGAERSZ
      CRSAUKULHDEOUAUBUDACEGUCTUETUF $.
  $}

  ${
    $d x y H $.  $d x y J $.  $d x y S $.  $d x y X $.  $d y Y $.
    ssc2.1 $e |- ( ph -> H Fn ( S X. S ) ) $.
    ssc2.2 $e |- ( ph -> H C_cat J ) $.
    ssc2.3 $e |- ( ph -> X e. S ) $.
    ssc2.4 $e |- ( ph -> Y e. S ) $.
    $( Infer subset relation on morphisms from the subcategory subset relation.
       (Contributed by Mario Carneiro, 6-Jan-2017.) $)
    ssc2 $p |- ( ph -> ( X H Y ) C_ ( X J Y ) ) $=
      ( vx vy wcel cv co wss wral cdm cssc cvv wa eqidd sscfn2 sscrel brrelex2i
      dmexg 4syl isssc mpbid simprd wceq oveq1 sseq12d oveq2 rspc2va syl21anc
      wbr ) AEBMFBMKNZLNZCOZURUSDOZPZLBQKBQZEFCOZEFDOZPZIJABDRZRZPZVCACDSUQZVIV
      CUAHAKLBVHCDTGAVHCDHAVHUBUCAVJDTMVGTMVHTMHCDSUDUEDTUFVGTUFUGUHUIUJVBVFEUS
      COZEUSDOZPKLEFBBUREUKUTVKVAVLUREUSCULUREUSDULUMUSFUKVKVDVLVEUSFECUNUSFEDU
      NUMUOUP $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y H $.  $d x y S $.
    $d x y T $.
    $( Any function restricted to a square domain is a subcategory subset of
       the original.  (Contributed by Mario Carneiro, 6-Jan-2017.) $)
    sscres $p |- ( ( H Fn ( S X. S ) /\ S e. V ) ->
      ( H |` ( T X. T ) ) C_cat H ) $=
      ( vx vy cxp wfn wcel wa cres cin wss cv co wral inss1 wceq simpl elin2d
      cssc wbr simpr ovresd eqimss pm3.2i fnssres sylancl resres fnresdm adantr
      syl rgen2 reseq1d eqtr3id inxp a1i fneq12d mpbid isssc mpbiri ) CAAGZHZAD
      IZJZCBBGZKZCUAUBABLZAMZENZFNZVGOZVJVKCOZMZFVHPEVHPZJVIVOABQVNEFVHVHVJVHIZ
      VKVHIZJZVLVMRVNVRVJVKCBVRABVJVPVQSTVRABVKVPVQUCTUDVLVMUEULUMUFVEEFVHAVGCD
      VECVBVFLZKZVSHZVGVHVHGZHVEVCVSVBMWAVCVDSZVBVFQVBVSCUGUHVEVSWBVTVGVEVTCVBK
      ZVFKVGCVBVFUIVEWDCVFVCWDCRVDVBCUJUKUNUOVSWBRVEAABBUPUQURUSWCVCVDUCUTVA $.

    $( The subcategory subset relation is reflexive.  (Contributed by Mario
       Carneiro, 6-Jan-2017.) $)
    sscid $p |- ( ( H Fn ( S X. S ) /\ S e. V ) -> H C_cat H ) $=
      ( cxp wfn wcel wa cres cssc wceq fnresdm adantr sscres eqbrtrrd ) BAADZEZ
      ACFZGBOHZBBIPRBJQOBKLAABCMN $.

    $( The subcategory subset relation is transitive.  (Contributed by Mario
       Carneiro, 6-Jan-2017.) $)
    ssctr $p |- ( ( A C_cat B /\ B C_cat C ) -> A C_cat C ) $=
      ( vx vy cssc wbr wa cdm wss cv co wral eqidd sscfn2 ssc1 sstrd adantr cvv
      wcel simpl sscfn1 simpr cxp wfn simprl simprr sseldd ralrimivva brrelex2i
      ssc2 sscrel adantl dmexg 3syl isssc mpbir2and ) ABFGZBCFGZHZACFGAIIZCIZIZ
      JDKZEKZALZVDVECLZJZEVAMDVAMUTVABIIZVCUTVAVIABUTVAABURUSUAZUTVANUBZUTVIABV
      JUTVINOZVJPZUTVIVCBCVLUTVCBCURUSUCZUTVCNOZVNPQUTVHDEVAVAUTVDVATZVEVATZHZH
      ZVFVDVEBLVGVSVAABVDVEUTAVAVAUDUEVRVKRUTURVRVJRUTVPVQUFZUTVPVQUGZUKVSVIBCV
      DVEUTBVIVIUDUEVRVLRUTUSVRVNRVSVAVIVDUTVAVIJVRVMRZVTUHVSVAVIVEWBWAUHUKQUIU
      TDEVAVCACSVKVOUTCSTZVBSTVCSTUSWCURBCFULUJUMCSUNVBSUNUOUPUQ $.

    $( The subcategory subset relation is antisymmetric.  (Contributed by Mario
       Carneiro, 6-Jan-2017.) $)
    ssceq $p |- ( ( A C_cat B /\ B C_cat A ) -> A = B ) $=
      ( vx vy cssc wbr wa wceq cdm cxp cv wral eqidd sscfn1 ssc1 eqssd wcel wfn
      co adantr simpl simpr sqxpeqd simprl simprr ssc2 wss sseldd ralrimivva wb
      eqfnov syl2anc mpbir2and ) ABEFZBAEFZGZABHZAIIZURJZBIIZUTJZHZCKZDKZASZVCV
      DBSZHZDURLCURLZUPURUTUPURUTUPURUTABUPURABUNUOUAZUPURMNZUPUTBAUNUOUBZUPUTM
      NZVIOZUPUTURBAVLVJVKOPUCUPVGCDURURUPVCURQZVDURQZGZGZVEVFVQURABVCVDUPAUSRZ
      VPVJTUPUNVPVITUPVNVOUDZUPVNVOUEZUFVQUTBAVCVDUPBVARZVPVLTUPUOVPVKTVQURUTVC
      UPURUTUGVPVMTZVSUHVQURUTVDWBVTUHUFPUIUPVRWAUQVBVHGUJVJVLCDURURUTUTABUKULU
      M $.
  $}

  ${
    $d c h C $.  $d c h H $.
    rescval.1 $e |- D = ( C |`cat H ) $.
    $( Value of the category restriction.  (Contributed by Mario Carneiro,
       4-Jan-2017.) $)
    rescval $p |- ( ( C e. V /\ H e. W ) -> D =
      ( ( C |`s dom dom H ) sSet <. ( Hom ` ndx ) , H >. ) ) $=
      ( vc vh wcel wa cresc co cdm cress cop csts cvv wceq elex cv cnx chom cfv
      simpl simpr dmeqd oveq12d opeq2d df-resc ovex ovmpoa syl2an eqtrid ) ADIZ
      CEIZJBACKLZACMZMZNLZUAUBUCZCOZPLZFUNAQICQIUPVBRUOADSCESGHACQQGTZHTZMZMZNL
      ZUTVDOZPLVBKVCARZVDCRZJZVGUSVHVAPVKVCAVFURNVIVJUDVKVEUQVKVDCVIVJUEZUFUFUG
      VKVDCUTVLUHUGHGUIUSVAPUJUKULUM $.

    rescval2.1 $e |- ( ph -> C e. V ) $.
    rescval2.2 $e |- ( ph -> S e. W ) $.
    rescval2.3 $e |- ( ph -> H Fn ( S X. S ) ) $.
    $( Value of the category restriction.  (Contributed by Mario Carneiro,
       4-Jan-2017.) $)
    rescval2 $p |- ( ph ->
      D = ( ( C |`s S ) sSet <. ( Hom ` ndx ) , H >. ) ) $=
      ( cdm cress co cnx chom csts wcel cvv syl2anc cfv cop wceq cxp xpexd fnex
      wfn rescval fndmd dmeqd dmxpid eqtrdi oveq2d oveq1d eqtrd ) ACBELZLZMNZOP
      UAEUBZQNZBDMNZUSQNABFRESRZCUTUCIAEDDUDZUGVCSRVBKADDGGJJUEVCSEUFTBCEFSHUHT
      AURVAUSQAUQDBMAUQVCLDAUPVCAVCEKUIUJDUKULUMUNUO $.
  $}

  ${
    $d x y D $.
    rescbas.d $e |- D = ( C |`cat H ) $.
    rescbas.b $e |- B = ( Base ` C ) $.
    rescbas.c $e |- ( ph -> C e. V ) $.
    rescbas.h $e |- ( ph -> H Fn ( S X. S ) ) $.
    rescbas.s $e |- ( ph -> S C_ B ) $.
    $( Base set of the category restriction.  (Contributed by Mario Carneiro,
       4-Jan-2017.)  (Proof shortened by AV, 18-Oct-2024.) $)
    rescbas $p |- ( ph -> S = ( Base ` D ) ) $=
      ( cress co cbs cfv cnx wne syl cvv chom cop baseid cco slotsbhcdif simp1i
      csts setsnid wceq eqid ressbas2 wcel fvexi ssex rescval2 fveq2d 3eqtr4a
      wss ) ACEMNZOPZUSQUAPZFUBUGNZOPEDOPFVAOUSUCQOPZVARVCQUDPZRVAVDRUEUFUHAEBU
      RZEUTUILEBUSCUSUJIUKSADVBOACDEFGTHJAVEETULLEBBCOIUMUNSKUOUPUQ $.

    $( Obsolete version of ~ rescbas as of 18-Oct-2024.  Base set of the
       category restriction.  (Contributed by Mario Carneiro, 4-Jan-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    rescbasOLD $p |- ( ph -> S = ( Base ` D ) ) $=
      ( co cbs cfv cnx wne c1 c4 syl chom cop csts baseid cdc 1re 1nn 4nn0 1nn0
      cress 1lt10 declti ltneii basendx neeq12i mpbir setsnid wss wceq ressbas2
      homndx eqid cvv wcel fvexi ssex rescval2 fveq2d 3eqtr4a ) ACEUJMZNOZVJPUA
      OZFUBUCMZNOEDNOFVLNVJUDPNOZVLQRRSUEZQRVOUFRSRUGUHUIUKULUMVNRVLVOUNVAUOUPU
      QAEBURZEVKUSLEBVJCVJVBIUTTADVMNACDEFGVCHJAVPEVCVDLEBBCNIVEVFTKVGVHVI $.

    $( Hom-sets of the category restriction.  (Contributed by Mario Carneiro,
       4-Jan-2017.) $)
    reschom $p |- ( ph -> H = ( Hom ` D ) ) $=
      ( cress co cnx chom cfv cop cvv wcel csts wceq ovex cxp wfn wss cbs fvexi
      ssex syl xpexd fnex syl2anc homid setsid sylancr rescval2 fveq2d eqtr4d )
      AFCEMNZOPQFRUANZPQZDPQAUTSTFSTZFVBUBCEMUCAFEEUDZUEVDSTVCKAEESSAEBUFESTLEB
      BCUGIUHUIUJZVEUKVDSFULUMSFPSUTUNUOUPADVAPACDEFGSHJVEKUQURUS $.

    $( Hom-sets of the category restriction.  (Contributed by Mario Carneiro,
       4-Jan-2017.) $)
    reschomf $p |- ( ph -> H = ( Homf ` D ) ) $=
      ( vx vy cbs cfv cv cxp wfn eqid chom co cmpo reschom wceq rescbas sqxpeqd
      chomf fneq12d mpbid fnov sylib eqtrd homffval eqtr4di ) AFMNDOPZUPMQNQDUA
      PZUBUCZDUHPZAFUQURABCDEFGHIJKLUDZAUQUPUPRZSZUQURUEAFEERZSVBKAVCVAFUQUTAEU
      PABCDEFGHIJKLUFUGUIUJMNUPUPUQUKULUMMNUPDUSUQUSTUPTUQTUNUO $.

    rescco.o $e |- .x. = ( comp ` C ) $.
    $( Composition in the category restriction.  (Contributed by Mario
       Carneiro, 4-Jan-2017.)  (Proof shortened by AV, 13-Oct-2024.) $)
    rescco $p |- ( ph -> .x. = ( comp ` D ) ) $=
      ( co cco cfv cnx wne cvv cress chom cop csts ccoid cbs slotsbhcdif necomd
      w3a simp3 ax-mp setsnid wcel wceq wss fvexi ssex syl eqid ressco rescval2
      fveq2d 3eqtr4a ) ACEUAOZPQZVDRUBQZGUCUDOZPQFDPQGVFPVDUERUFQZVFSZVHRPQZSZV
      FVJSZUIZVJVFSUGVMVFVJVIVKVLUJUHUKULAETUMZFVEUNAEBUOVNMEBBCUFJUPUQURZECVDF
      TVDUSNUTURADVGPACDEGHTIKVOLVAVBVC $.

    $( Obsolete proof of ~ rescco as of 14-Oct-2024.  (Contributed by Mario
       Carneiro, 4-Jan-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    resccoOLD $p |- ( ph -> .x. = ( comp ` D ) ) $=
      ( co cco cfv c1 c4 cvv cress cnx chom cop csts ccoid wne cdc 1nn0 decnncl
      c5 4nn nnrei 4nn0 5nn 4lt5 declt gtneii ccondx neeq12i mpbir setsnid wcel
      homndx wceq wss cbs fvexi ssex syl eqid ressco rescval2 fveq2d 3eqtr4a )
      ACEUAOZPQZVPUBUCQZGUDUEOZPQFDPQGVRPVPUFUBPQZVRUGRUKUHZRSUHZUGWBWAWBRSUIUL
      UJUMRSUKUIUNUOUPUQURVTWAVRWBUSVDUTVAVBAETVCZFVQVEAEBVFWCMEBBCVGJVHVIVJZEC
      VPFTVPVKNVLVJADVSPACDEGHTIKWDLVMVNVO $.
  $}

  ${
    rescabs.c $e |- ( ph -> C e. V ) $.
    rescabs.h $e |- ( ph -> H Fn ( S X. S ) ) $.
    rescabs.j $e |- ( ph -> J Fn ( T X. T ) ) $.
    rescabs.s $e |- ( ph -> S e. W ) $.
    rescabs.t $e |- ( ph -> T C_ S ) $.
    $( Restriction absorption law.  (Contributed by Mario Carneiro,
       6-Jan-2017.) $)
    rescabs $p |- ( ph -> ( ( C |`cat H ) |`cat J ) = ( C |`cat J ) ) $=
      ( cress co csts cvv wceq wcel adantr cnx chom cfv cop cresc eqid rescval2
      ovexd ssexd cbs wss wa simpr baseid wne c1 c4 cdc 1re 1nn 4nn0 1nn0 1lt10
      declti ltneii basendx homndx neeq12i mpbir setsnid ressid2 syl3anc oveq1d
      ovex cxp wfn xpexd syl2anc setsabs sylancr cin ressbas syl sseq1d biimpar
      fnex inss2 ssind ssrind eqssd oveq2d ressinbas 3eqtr4d 3eqtrd wn ressval2
      a1i necomi fvex inex2 setscom syl22anc ressabs eqtr3d eqtrd pm2.61dan ) A
      BCNOZUAUBUCZEUDZPOZFUEOZBDNOZXHFUDZPOZBEUEOZFUEOBFUEOZAXKXJDNOZXMPOZXNAXJ
      XKDFQQXKUFAXGXIPUHADCHLMUIZKUGAXGUJUCZDUKZXRXNRAYAULZXRXJXMPOZXGXMPOZXNYB
      XQXJXMPYBYAXJQSZDQSZXQXJRAYAUMYBXGXIPUHAYFYAXSTZDXTXQXJQQXQUFZEXHUJXGUNUA
      UJUCZXHUOUPUPUQURZUOUPYJUSUPUQUPUTVAVBVCVDVEYIUPXHYJVFVGVHVIZVJZVKVLVMYBX
      GQSZFQSZYCYDRBCNVNAYNYAAFDDVOZVPYOQSYNKADDQQXSXSVQYOQFWFVRZTXHEFXGQQVSVTY
      BXGXLXMPYBBCBUJUCZWAZNOZBDYQWAZNOZXGXLYBYRYTBNYBYRYTYBYRDYQAYRDUKYAAYRXTD
      ACHSZYRXTRLCYQXGHBXGUFYQUFZWBWCWDWEYRYQUKYBCYQWGWQWHYBDCYQADCUKZYAMTWIWJW
      KYBUUBXGYSRAUUBYALTCYQBHUUCWLWCYBYFXLUUARYGDYQBQUUCWLWCWMVMWNAYAWOZULZXRX
      LXIPOZXMPOZXNUUFXQUUGXMPUUFXQXJYIDXTWAZUDZPOZXGUUJPOZXIPOZUUGUUFUUEYEYFXQ
      UUKRAUUEUMZUUFXGXIPUHAYFUUEXSTZDXTXQXJQQYHYLWPVLUUFYMXHYIUOZEQSZUUIQSZUUK
      UUMRUUFBCNUHZUUPUUFYIXHYKWRWQAUUQUUEAECCVOZVPUUTQSUUQJACCHHLLVQUUTQEWFVRT
      UURUUFXTDXGUJWSWTWQXHYIEUUIXGQQQUAUBWSUAUJWSXAXBUUFUULXLXIPUUFXGDNOZUULXL
      UUFUUEYMYFUVAUULRUUNUUSUUODXTUVAXGQQUVAUFXTUFWPVLUUFUUBUUDUVAXLRAUUBUUELT
      AUUDUUEMTCDBHXCVRXDVMWNVMUUFXLQSYNUUHXNRBDNVNAYNUUEYPTXHEFXLQQVSVTXEXFXEA
      XOXJFUEABXOCEGHXOUFILJUGVMABXPDFGQXPUFIXSKUGWM $.
  $}

  ${
    rescabs2.c $e |- ( ph -> C e. V ) $.
    rescabs2.j $e |- ( ph -> J Fn ( T X. T ) ) $.
    rescabs2.s $e |- ( ph -> S e. W ) $.
    rescabs2.t $e |- ( ph -> T C_ S ) $.
    $( Restriction absorption law.  (Contributed by Mario Carneiro,
       6-Jan-2017.) $)
    rescabs2 $p |- ( ph -> ( ( C |`s S ) |`cat J ) = ( C |`cat J ) ) $=
      ( cress co cnx chom csts cresc cvv eqid rescval2 cfv cop wcel wss ressabs
      wceq syl2anc oveq1d ovexd ssexd 3eqtr4d ) ABCLMZDLMZNOUAEUBZPMBDLMZUNPMUL
      EQMZBEQMZAUMUOUNPACGUCDCUDUMUOUFJKCDBGUEUGUHAULUPDERRUPSABCLUIADCGJKUJZIT
      ABUQDEFRUQSHURITUK $.
  $}

  ${
    $d c f g j s x y z C $.  $d c f g j s x y z J $.  $d c f g j s x y z S $.
    $d c j s .1. $.  $d c j H $.  $d c j s .x. $.
    issubc.h $e |- H = ( Homf ` C ) $.
    issubc.i $e |- .1. = ( Id ` C ) $.
    issubc.o $e |- .x. = ( comp ` C ) $.
    issubc.c $e |- ( ph -> C e. Cat ) $.
    ${
      issubc.s $e |- ( ph -> S = dom dom J ) $.
      $( Elementhood in the set of subcategories.  (Contributed by Mario
         Carneiro, 4-Jan-2017.) $)
      issubc $p |- ( ph -> ( J e. ( Subcat ` C ) <-> ( J C_cat H /\
         A. x e. S ( ( .1. ` x ) e. ( x J x ) /\ A. y e. S A. z e. S
          A. f e. ( x J y ) A. g e. ( y J z )
            ( g ( <. x , y >. .x. z ) f ) e. ( x J z ) ) ) ) ) $=
        ( vj wcel co vc vs ccat cdm wceq csubc cfv cssc wbr cv wral wa wb chomf
        cop ccid cco wsbc cab csb cvv simpl sscpwex ss2abi ssexi df-subc fvmpts
        csbex a1i syl2anc eleq2d sbcel2 wi sscrel brrelex1i adantr df-sbc simpr
        elex fveq2d eqtr4di breq12d vex dmex dmeqd simpllr eqtr4d fveq1d simplr
        oveqd eleq12d raleqbidv anbi12d sbcied2 adantlr sbcied bitr3id 3bitr2d
        ex pm5.21ndd ) AEUCSZFLUDZUDZUEZLEUFUGZSZLKUHUIZBUJZHUGZXHXHLTZSZJUJZIU
        JZXHCUJZUOZDUJZGTZTZXHXPLTZSZJXNXPLTZUKZIXHXNLTZUKZDFUKZCFUKZULZBFUKZUL
        ZUMPQXAXDULZXFLUAERUJZUAUJZUNUGZUHUIZXHYLUPUGZUGZXHXHYKTZSZXLXMXOXPYLUQ
        UGZTZTZXHXPYKTZSZJXNXPYKTZUKZIXHXNYKTZUKZDUBUJZUKZCUUHUKZULZBUUHUKZUBYK
        UDZUDZURZULZRUSZUTZSZLUUQSZUAEURZYIYJXEUURLYJXAUURVASZXEUURUEXAXDVBZUVB
        YJUAEUUQUUQYNRUSRYMVCUUPYNRYNUUOVBVDVEVHVIUAEUUQUCUFVABCDIJRUBUAVFVGVJV
        KUVAUUSUMYJUAELUUQVLVIYJUUTYIUAEUCUVCYJYLEUEZULZLVASZUUTYIUUTUVFVMUVELU
        UQVSVIYIUVFVMUVEXGUVFYHLKUHVNVOVPVIUVEUVFUUTYIUMUUTUUPRLURUVEUVFULZYIUU
        PRLVQUVGUUPYIRLVAUVEUVFVRUVEYKLUEZUUPYIUMUVFUVEUVHULZYNXGUUOYHUVIYKLYMK
        UHUVEUVHVRZUVEYMKUEUVHUVEYMEUNUGKUVEYLEUNYJUVDVRVTMWAVPWBUVIUULYHUBUUNF
        VAUUNVASUVIUUMYKRWCWDWDVIUVIUUNXCFUVIUUMXBUVIYKLUVJWEWEXAXDUVDUVHWFWGUV
        IUUHFUEZULZUUKYGBUUHFUVIUVKVRZUVLYRXKUUJYFUVLYPXIYQXJUVLXHYOHUVLYOEUPUG
        HUVLYLEUPYJUVDUVHUVKWFZVTNWAWHUVLYKLXHXHUVEUVHUVKWIZWJWKUVLUUIYECUUHFUV
        MUVLUUGYDDUUHFUVMUVLUUEYBIUUFYCUVLYKLXHXNUVOWJUVLUUCXTJUUDYAUVLYKLXNXPU
        VOWJUVLUUAXRUUBXSUVLYTXQXLXMUVLYSGXOXPUVLYSEUQUGGUVLYLEUQUVNVTOWAWJWJUV
        LYKLXHXPUVOWJWKWLWLWLWLWMWLWNWMWOWPWQWSWTWPWRVJ $.
    $}

    issubc2.a $e |- ( ph -> J Fn ( S X. S ) ) $.
    $( Elementhood in the set of subcategories.  (Contributed by Mario
       Carneiro, 4-Jan-2017.) $)
    issubc2 $p |- ( ph -> ( J e. ( Subcat ` C ) <-> ( J C_cat H /\ A. x e. S
      ( ( .1. ` x ) e. ( x J x ) /\ A. y e. S A. z e. S A. f e. ( x J y )
        A. g e. ( y J z ) ( g ( <. x , y >. .x. z ) f ) e. ( x J z ) ) ) ) ) $=
      ( cdm cxp fndmd dmeqd dmxpid eqtr2di issubc ) ABCDEFGHIJKLMNOPALRZRFFSZRF
      AUEUFAUFLQTUAFUBUCUD $.
  $}

  ${
    $d f g x y z C $.
    $( For any category ` C ` , the empty set is a subcategory subset of
       ` C ` .  (Contributed by AV, 23-Apr-2020.) $)
    0ssc $p |- ( C e. Cat -> (/) C_cat ( Homf ` C ) ) $=
      ( vx vy ccat wcel c0 chomf cfv cssc wbr cbs wss wral 0ss a1i cxp wfn eqid
      cv co ral0 cvv wf ffn ax-mp xp0 fneq2i mpbir homffn fvexd isssc mpbir2and
      f0 ) ADEZFAGHZIJFAKHZLZBSZCSZFTURUSUOTLCFMZBFMZUQUNUPNOVAUNUTBUAOUNBCFUPF
      UOUBFFFPZQZUNVCFFQZFFFUCVDFUMFFFUDUEVBFFFUFUGUHOUOUPUPPQUNUPAUOUORUPRUIOU
      NAKUJUKUL $.

    $( For any category ` C ` , the empty set is a (full) subcategory of
       ` C ` , see example 4.3(1.a) in [Adamek] p. 48.  (Contributed by AV,
       23-Apr-2020.) $)
    0subcat $p |- ( C e. Cat -> (/) e. ( Subcat ` C ) ) $=
      ( vx vg vf vy vz ccat wcel c0 csubc cfv chomf cssc wbr cv co wral a1i wfn
      eqid ccid cop cco wa 0ssc id cxp wf f0 ffn ax-mp 0xp fneq2i mpbir issubc2
      ral0 mpbir2and ) AGHZIAJKHIALKZMNBOZAUAKZKUTUTIPHCODOUTEOZUBFOZAUCKZPPUTV
      CIPHCVBVCIPQDUTVBIPQFIQEIQUDZBIQZAUEVFURVEBUPRURBEFAIVDVADCUSIUSTVATVDTUR
      UFIIIUGZSZURVHIISZIIIUHVIIUIIIIUJUKVGIIIULUMUNRUOUQ $.

    $( For any category ` C ` , ` C ` itself is a (full) subcategory of ` C ` ,
       see example 4.3(1.b) in [Adamek] p. 48.  (Contributed by AV,
       23-Apr-2020.) $)
    catsubcat $p |- ( C e. Cat -> ( Homf ` C ) e. ( Subcat ` C ) ) $=
      ( vx vg vf vy vz wcel cfv cv co wral cbs wa wss ralrimivva eqid mpbir2and
      ssidd homfval adantr ccat chomf csubc cssc wbr cop cco cvv cxp wfn homffn
      ccid a1i fvexd isssc chom simpl catidcl eleqtrrd adantl wi eleq2d biimpcd
      simpr impcom biimpd adantld imp catcocl wceq jca ralrimiva id issubc2 ) A
      UAGZAUBHZAUCHGVPVPUDUEZBIZAULHZHZVRVRVPJZGZCIZDIZVREIZUFFIZAUGHZJJZVRWFVP
      JZGZCWEWFVPJZKDVRWEVPJZKZFALHZKEWNKZMZBWNKVOVQWNWNNWLWLNZEWNKBWNKVOWNRVOW
      QBEWNWNVOVRWNGZWEWNGZMMWLROVOBEWNWNVPVPUHVPWNWNUIUJVOWNAVPVPPZWNPZUKUMZXB
      VOALUNUOQVOWPBWNVOWRMZWBWOXCVTVRVRAUPHZJWAXCWNAVSXDVRXAXDPZVSPZVOWRUQZVOW
      RVDZURXCWNAVPXDVRVRWTXAXEXHXHSUSXCWMEFWNWNXCWSWFWNGZMZMZWJDCWLWKXKWDWLGZW
      CWKGZMZMZWHVRWFXDJZWIXOWNAWGWDWCXDVRWEWFXAXEWGPZXKVOXNXCVOXJXGTTXKWRXNXCW
      RXJXHTZTXKWSXNXJWSXCWSXIUQUTZTXKXIXNXJXIXCWSXIVDUTZTXNXKWDVRWEXDJZGZXLXKY
      BVAXMXKXLYBXKWLYAWDXKWNAVPXDVRWEWTXAXEXRXSSVBVCTVEXKXNWCWEWFXDJZGZXKXMYDX
      LXKXMYDXKWKYCWCXKWNAVPXDWEWFWTXAXEXSXTSVBVFVGVHVIXKWIXPVJXNXKWNAVPXDVRWFW
      TXAXEXRXTSTUSOOVKVLVOBEFAWNWGVSDCVPVPWTXFXQVOVMXBVNQ $.
  $}

  ${
    $d f g x y z C $.  $d f g x y z J $.  $d f g x y z ph $.
    subcixp.1 $e |- ( ph -> J e. ( Subcat ` C ) ) $.
    ${
      subcssc.h $e |- H = ( Homf ` C ) $.
      $( An element in the set of subcategories is a subset of the category.
         (Contributed by Mario Carneiro, 6-Jan-2017.) $)
      subcssc $p |- ( ph -> J C_cat H ) $=
        ( vx vg vf vy vz cssc cv cfv co wcel wral cdm wa eqid wbr cop cco csubc
        ccid ccat subcrcl syl eqidd issubc mpbid simpld ) ADCLUAZGMZBUENZNUNUND
        OPHMIMUNJMZUBKMZBUCNZOOUNUQDOPHUPUQDOQIUNUPDOQKDRRZQJUSQSGUSQZADBUDNPZU
        MUTSEAGJKBUSURUOIHCDFUOTURTAVABUFPEBDUGUHAUSUIUJUKUL $.
    $}

    subcfn.2 $e |- ( ph -> S = dom dom J ) $.
    $( An element in the set of subcategories is a binary function.
       (Contributed by Mario Carneiro, 4-Jan-2017.) $)
    subcfn $p |- ( ph -> J Fn ( S X. S ) ) $=
      ( chomf cfv eqid subcssc sscfn1 ) ACDBGHZABLDELIJFK $.
  $}

  ${
    subcss1.1 $e |- ( ph -> J e. ( Subcat ` C ) ) $.
    subcss1.2 $e |- ( ph -> J Fn ( S X. S ) ) $.
    ${
      subcss1.b $e |- B = ( Base ` C ) $.
      $( The objects of a subcategory are a subset of the objects of the
         original.  (Contributed by Mario Carneiro, 4-Jan-2017.) $)
      subcss1 $p |- ( ph -> S C_ B ) $=
        ( chomf cfv cxp wfn eqid homffn a1i subcssc ssc1 ) ADBECIJZGRBBKLABCRRM
        ZHNOACREFSPQ $.
    $}

    ${
      subcss2.h $e |- H = ( Hom ` C ) $.
      subcss2.x $e |- ( ph -> X e. S ) $.
      subcss2.y $e |- ( ph -> Y e. S ) $.
      $( The morphisms of a subcategory are a subset of the morphisms of the
         original.  (Contributed by Mario Carneiro, 4-Jan-2017.) $)
      subcss2 $p |- ( ph -> ( X J Y ) C_ ( X H Y ) ) $=
        ( co chomf cfv eqid subcssc ssc2 cbs sseldd subcss1 homfval sseqtrd ) A
        FGEMFGBNOZMFGDMACEUDFGIABUDEHUDPZQKLRABSOZBUDDFGUEUFPZJACUFFAUFBCEHIUGU
        AZKTACUFGUHLTUBUC $.
    $}
  $}

  ${
    $d f g x y z C $.  $d f g x y z F $.  $d f g x y z G $.  $d f g x y z ph $.
    $d f g x y z J $.  $d f g x y z S $.  $d f g x y z X $.  $d f g x y z Y $.
    $d x .1. $.  $d f g x y z .x. $.  $d f g x y z Z $.
    subcidcl.j $e |- ( ph -> J e. ( Subcat ` C ) ) $.
    subcidcl.2 $e |- ( ph -> J Fn ( S X. S ) ) $.
    subcidcl.x $e |- ( ph -> X e. S ) $.
    ${
      subcidcl.1 $e |- .1. = ( Id ` C ) $.
      $( The identity of the original category is contained in each
         subcategory.  (Contributed by Mario Carneiro, 4-Jan-2017.) $)
      subcidcl $p |- ( ph -> ( .1. ` X ) e. ( X J X ) ) $=
        ( vx vg vf vy vz cv cfv co wcel wral wceq fveq2 id oveq12d eleq12d cssc
        chomf wbr cop cco wa csubc eqid ccat subcrcl issubc2 mpbid simpl ralimi
        syl simpl2im rspcdva ) AKPZDQZVCVCERZSZFDQZFFERZSKCFVCFUAZVDVGVEVHVCFDU
        BVIVCFVCFEVIUCZVJUDUEAEBUGQZUFUHZVFLPMPVCNPZUIOPZBUJQZRRVCVNERSLVMVNERT
        MVCVMERTOCTNCTZUKZKCTZVFKCTAEBULQSZVLVRUKGAKNOBCVODMLVKEVKUMJVOUMAVSBUN
        SGBEUOUTHUPUQVQVFKCVFVPURUSVAIVB $.
    $}

    subccocl.o $e |- .x. = ( comp ` C ) $.
    subccocl.y $e |- ( ph -> Y e. S ) $.
    subccocl.z $e |- ( ph -> Z e. S ) $.
    subccocl.f $e |- ( ph -> F e. ( X J Y ) ) $.
    subccocl.g $e |- ( ph -> G e. ( Y J Z ) ) $.
    $( A subcategory is closed under composition.  (Contributed by Mario
       Carneiro, 4-Jan-2017.) $)
    subccocl $p |- ( ph -> ( G ( <. X , Y >. .x. Z ) F ) e. ( X J Z ) ) $=
      ( co wcel vx vg vf vy vz cv ccid cfv cop wral wa chomf cssc wbr eqid ccat
      csubc subcrcl issubc2 mpbid simprd wceq adantr ad2antrr ad3antrrr simpllr
      syl simplr oveq12d eleqtrrd ad4antr simp-5r simp-4r opeq12d simpr eleq12d
      oveq123d rspcdv rspcimdv adantld mpd ) AUAUFZBUGUHZUHWBWBGSTZUBUFZUCUFZWB
      UDUFZUIZUEUFZDSZSZWBWIGSZTZUBWGWIGSZUJZUCWBWGGSZUJZUECUJZUDCUJZUKZUACUJZF
      EHIUIZJDSZSZHJGSZTZAGBULUHZUMUNZXAAGBUQUHTZXHXAUKKAUAUDUEBCDWCUCUBXGGXGUO
      WCUONAXIBUPTKBGURVGLUSUTVAAWTXFUAHCMAWBHVBZUKZWSXFWDXKWRXFUDICAICTXJOVCXK
      WGIVBZUKZWQXFUEJCAJCTXJXLPVDXMWIJVBZUKZWOXFUCEWPXOEHIGSZWPAEXPTXJXLXNQVEX
      OWBHWGIGAXJXLXNVFXKXLXNVHVIVJXOWFEVBZUKZWMXFUBFWNXRFIJGSZWNAFXSTXJXLXNXQR
      VKXRWGIWIJGXKXLXNXQVFXMXNXQVHVIVJXRWEFVBZUKZWKXDWLXEYAWEFWFEWJXCYAWHXBWIJ
      DYAWBHWGIAXJXLXNXQXTVLZXKXLXNXQXTVMVNXMXNXQXTVFZVIXRXTVOXOXQXTVHVQYAWBHWI
      JGYBYCVIVPVRVSVSVSVTVSWA $.
  $}

  ${
    $d f g h w x y z C $.  $d g h x y z D $.  $d f g h w x y z ph $.  $d x X $.
    $d f g h w x y z .1. $.  $d f g h w x y z J $.  $d f g h w x y z S $.
    subccat.1 $e |- D = ( C |`cat J ) $.
    subccat.j $e |- ( ph -> J e. ( Subcat ` C ) ) $.
    ${
      subccatid.1 $e |- ( ph -> J Fn ( S X. S ) ) $.
      subccatid.2 $e |- .1. = ( Id ` C ) $.
      $( A subcategory is a category.  (Contributed by Mario Carneiro,
         4-Jan-2017.) $)
      subccatid $p |- ( ph ->
        ( D e. Cat /\ ( Id ` D ) = ( x e. S |-> ( .1. ` x ) ) ) ) $=
        ( cv wcel wa co cfv ccat eqid adantr sseldd vw vy vz vf w3a cco cvv cbs
        vg vh csubc subcrcl syl subcss1 rescbas reschom rescco cresc ovexi biid
        a1i cxp wfn simpr subcidcl chom simpr1l simpr1r subcss2 simpr31 simpr2l
        wss catlid simpr32 catrid subccocl simpr2r simpr33 catass iscatd2 ) AUA
        LZEMZBLZEMZNZUBLZEMZUCLZEMZNZUDLZWAWCGOZMZUILZWCWFGOZMZUJLZWFWHGOZMZUEZ
        UEZUABUBUCEDCUFPZWCFPUDUIUJGUGACUHPZCDEGQHXCRZAGCUKPMZCQMZICGULUMZJAXCC
        EGIJXDUNZUOAXCCDEGQHXDXGJXHUPAXCCDEXBGQHXDXGJXHXBRZUQDUGMADCGURHUSVAXAU
        TAWDNCEFGWCAXEWDISAGEEVBVCZWDJSAWDVDKVEAXANZXCCXBFWKCVFPZWAWCXDXLRZKAXF
        XAXGSZXKEXCWAAEXCVLXAXHSZWBWDWJWTAVGZTZXIXKEXCWCXOWBWDWJWTAVHZTZXKWLWAW
        CXLOWKXKCEXLGWAWCAXEXAISZAXJXAJSZXMXPXRVIWMWPWSWEWJAVJZTZVMXKXCCXBFWNXL
        WCWFXDXMKXNXSXIXKEXCWFXOWGWIWEWTAVKZTZXKWOWCWFXLOWNXKCEXLGWCWFXTYAXMXRY
        DVIWMWPWSWEWJAVNZTZVOXKCEXBWKWNGWAWCWFXTYAXPXIXRYDYBYFVPXKXCCXBWKWNXLWQ
        WHWAWCWFXDXMXIXNXQXSYEYCYGXKEXCWHXOWGWIWEWTAVQZTXKWRWFWHXLOWQXKCEXLGWFW
        HXTYAXMYDYHVIWMWPWSWEWJAVRTVSVT $.

      subcid.x $e |- ( ph -> X e. S ) $.
      $( The identity in a subcategory is the same as the original category.
         (Contributed by Mario Carneiro, 4-Jan-2017.) $)
      subcid $p |- ( ph -> ( .1. ` X ) = ( ( Id ` D ) ` X ) ) $=
        ( vx ccid cfv cv cvv ccat wcel wceq subccatid simprd simpr fveq2d fvexd
        cmpt wa fvmptd eqcomd ) AGCNOZOGEOZAMGMPZEOZUKDUJQACRSUJMDUMUFTAMBCDEFH
        IJKUAUBAULGTZUGULGEAUNUCUDLAGEUEUHUI $.
    $}

    $( A subcategory is a category.  (Contributed by Mario Carneiro,
       4-Jan-2017.) $)
    subccat $p |- ( ph -> D e. Cat ) $=
      ( vx ccat wcel ccid cfv cdm cmpt wceq eqidd subcfn eqid subccatid simpld
      cv ) ACHICJKGDLLZGTBJKZKMNAGBCUAUBDEFABUADFAUAOPUBQRS $.
  $}

  ${
    $d f g x y z C $.  $d f g x y z D $.  $d f g x y z H $.  $d f g x y z ph $.
    $d f g x y z J $.  $d f g x y z S $.
    issubc3.h $e |- H = ( Homf ` C ) $.
    issubc3.i $e |- .1. = ( Id ` C ) $.
    issubc3.1 $e |- D = ( C |`cat J ) $.
    issubc3.c $e |- ( ph -> C e. Cat ) $.
    issubc3.a $e |- ( ph -> J Fn ( S X. S ) ) $.
    $( Alternate definition of a subcategory, as a subset of the category which
       is itself a category.  The assumption that the identity be closed is
       necessary just as in the case of a monoid, ~ issubm2 , for the same
       reasons, since categories are a generalization of monoids.  (Contributed
       by Mario Carneiro, 6-Jan-2017.) $)
    issubc3 $p |- ( ph -> ( J e. ( Subcat ` C ) <-> ( J C_cat H /\
      A. x e. S ( .1. ` x ) e. ( x J x ) /\ D e. Cat ) ) ) $=
      ( cfv wcel cv co wral ccat wa vg vf vy vz csubc cssc wbr w3a simpr adantr
      subcssc cxp wfn ad2antrr subcidcl ralrimiva subccat cop cco simpr1 simpr2
      3jca chom cbs eqid simplrr simprl1 homffn simplrl rescbas eleqtrd simprl2
      ssc1 simprl3 simprrl reschom oveqd simprrr catcocl rescco 3eltr4d anassrs
      ralrimivva ralrimivvva 3adantr2 r19.26 sylanbrc issubc2 mpbir2and impbida
      a1i ) AHCUENOZHGUFUGZBPZFNWNWNHQOZBERZDSOZUHZAWLTZWMWPWQWSCGHAWLUIZIUKWSW
      OBEWSWNEOZTCEFHWNWSWLXAWTUJAHEEULUMZWLXAMUNWSXAUIJUOUPWSCDHKWTUQVBAWRTZWL
      WMWOUAPZUBPZWNUCPZURZUDPZCUSNZQZQZWNXHHQZOZUAXFXHHQZRUBWNXFHQZRZUDERUCERZ
      TBERZAWMWPWQUTXCWPXQBERZXRAWMWPWQVAAWMWQXSWPAWMWQTZTZXPBUCUDEEEYAXAXFEOZX
      HEOZUHZTXMUBUAXOXNYAYDXEXOOZXDXNOZTZXMYAYDYGTZTZXDXEXGXHDUSNZQZQWNXHDVCNZ
      QXKXLYIDVDNZDYJXEXDYLWNXFXHYMVEYLVEYJVEAWMWQYHVFYIWNEYMXAYBYCYGYAVGYICVDN
      ZCDEHSKYNVEZACSOZXTYHLUNZAXBXTYHMUNZYIEYNHGYRGYNYNULUMYIYNCGIYOVHWKAWMWQY
      HVIVMZVJZVKYIXFEYMXAYBYCYGYAVLYTVKYIXHEYMXAYBYCYGYAVNYTVKYIXEXOWNXFYLQYAY
      DYEYFVOYIHYLWNXFYIYNCDEHSKYOYQYRYSVPZVQVKYIXDXNXFXHYLQYAYDYEYFVRYIHYLXFXH
      UUAVQVKVSYIXJYKXDXEYIXIYJXGXHYIYNCDEXIHSKYOYQYRYSXIVEZVTVQVQYIHYLWNXHUUAV
      QWAWBWCWDWEWOXQBEWFWGXCBUCUDCEXIFUBUAGHIJUUBAYPWRLUJAXBWRMUJWHWIWJ $.
  $}

  ${
    $d f g x y z C $.  $d f g x y z H $.  $d f g x y z ph $.  $d f g x y z S $.
    $d x y D $.  $d x y E $.
    fullsubc.b $e |- B = ( Base ` C ) $.
    fullsubc.h $e |- H = ( Homf ` C ) $.
    fullsubc.c $e |- ( ph -> C e. Cat ) $.
    fullsubc.s $e |- ( ph -> S C_ B ) $.
    $( The full subcategory generated by a subset of objects is the category
       with these objects and the same morphisms as the original.  The result
       is always a subcategory (and it is full, meaning that all morphisms of
       the original category between objects in the subcategory is also in the
       subcategory), see definition 4.1(2) of [Adamek] p. 48.  (Contributed by
       Mario Carneiro, 4-Jan-2017.) $)
    fullsubc $p |- ( ph -> ( H |` ( S X. S ) ) e. ( Subcat ` C ) ) $=
      ( vx vg vf vy cfv wcel cv co wral wa adantr vz cxp cres cssc wbr ccid cop
      csubc cco wfn cvv homffn cbs fvexi sscres mp2an a1i chom eqid ccat sselda
      catidcl simpr ovresd homfval eleqtrrd ad3antrrr wss simprl simprr catcocl
      eqtrd simplr ralrimivva raleqdv raleqbidv mpbird ralrimiva xpss12 syl2anc
      wceq jca fnssres sylancr issubc2 mpbir2and ) AEDDUBZUCZCUHNOWHEUDUEZJPZCU
      FNZNZWJWJWHQZOZKPZLPZWJMPZUGUAPZCUINZQQZWJWRWHQZOZKWQWRWHQZRZLWJWQWHQZRZU
      ADRZMDRZSZJDRWIAEBBUBZUJZBUKOWIBCEGFULZBCUMFUNBDEUKUOUPUQAXIJDAWJDOZSZWNX
      HXNWLWJWJCURNZQZWMXNBCWKXOWJFXOUSZWKUSZACUTOZXMHTZADBWJIVAZVBXNWMWJWJEQXP
      XNWJWJEDAXMVCZYBVDXNBCEXOWJWJGFXQYAYAVEVLVFXNXGMDXNWQDOZSZXFUADYDWRDOZSZX
      FXBKWQWRXOQZRZLWJWQXOQZRYFXBLKYIYGYFWPYIOZWOYGOZSZSZWTWJWRXOQZXAYMBCWSWPW
      OXOWJWQWRFXQWSUSZXNXSYCYEYLXTVGXNWJBOZYCYEYLYAVGZYFWQBOZYLYDYRYEXNDBWQADB
      VHZXMITZVAZTZTYFWRBOYLYDDBWRXNYSYCYTTVAZTZYFYJYKVIYFYJYKVJVKYMXAWJWREQYNY
      MWJWREDXNXMYCYEYLYBVGYDYEYLVMVDYMBCEXOWJWRGFXQYQUUDVEVLVFVNYFXDYHLXEYIYDX
      EYIWAYEYDXEWJWQEQYIYDWJWQEDAXMYCVMXNYCVCVDYDBCEXOWJWQGFXQXNYPYCYATUUAVEVL
      TYFXBKXCYGYFXCWQWREQYGYFWQWREDXNYCYEVMYDYEVCVDYFBCEXOWQWRGFXQUUBUUCVEVLVO
      VPVQVRVRWBVRAJMUACDWSWKLKEWHGXRYOHAXKWGXJVHZWHWGUJXLAYSYSUUEIIDBDBVSVTXJW
      GEWCWDWEWF $.

    fullsubc.d $e |- D = ( C |`s S ) $.
    fullsubc.e $e |- E = ( C |`cat ( H |` ( S X. S ) ) ) $.
    $( The category formed by structure restriction is the same as the category
       restriction.  (Contributed by Mario Carneiro, 5-Jan-2017.) $)
    fullresc $p |- ( ph -> ( ( Homf ` D ) = ( Homf ` E ) /\
                             ( comf ` D ) = ( comf ` E ) ) ) $=
      ( vx vy cfv wceq co eqid cvv chomf ccomf chom wral wcel wss adantr simprl
      cv wa sseldd simprr homfval cxp cres ovresd homffn xpss12 syl2anc fnssres
      ccat wfn sylancr reschom oveqdr eqtr3d cbs ressbas2 fvex eqeltrdi resshom
      syl 3eqtr3rd ralrimivva rescbas homfeq mpbird cco ressco rescco comfeqd
      jca ) ADUAPFUAPQZDUBPFUBPQAWCNUIZOUIZDUCPZRZWDWEFUCPZRZQZOEUDNEUDAWJNOEEA
      WDEUEZWEEUEZUJZUJZWDWEGRZWDWECUCPZRWIWGWNBCGWPWDWEIHWPSZWNEBWDAEBUFZWMKUG
      ZAWKWLUHZUKWNEBWEWSAWKWLULZUKUMWNWDWEGEEUNZUOZRWOWIWNWDWEGEWTXAUPAWMNOXCW
      HABCFEXCVAMHJAGBBUNZVBXBXDUFZXCXBVBBCGIHUQAWRWRXEKKEBEBURUSXDXBGUTVCZKVDV
      EVFAWMNOWPWFAETUEZWPWFQAEDVGPZTAWREXHQKEBDCLHVHVLZDVGVIVJZECDWPTLWQVKVLVE
      VMVNANOEDFWFWHWFSWHSXIABCFEXCVAMHJXFKVOVPVQZADFACVRPZDVRPZFVRPAXGXLXMQXJE
      CDXLTLXLSZVSVLABCFEXLXCVAMHJXFKXNVTVFXKWAWB $.
  $}

  $( A category restricted to a smaller set of objects is a category.
     (Contributed by Mario Carneiro, 6-Jan-2017.) $)
  resscat $p |- ( ( C e. Cat /\ S e. V ) -> ( C |`s S ) e. Cat ) $=
    ( ccat wcel wa cress cbs cfv cin wceq eqid ressinbas adantl chomf cxp cresc
    co cres ccomf simpl wss inss2 fullsubc subccat fullresc simpld simprd ovexd
    a1i cvv catpropd mpbird eqeltrd ) ADEZBCEZFZABGRZABAHIZJZGRZDUPURVAKUOBUSAC
    USLZMNUQVADEAAOIZUTUTPSZQRZDEUQAVEVDVELZUQUSAUTVCVBVCLZUOUPUAZUTUSUBUQBUSUC
    UJZUDUEZUQVAVEUKDUQVAOIVEOIKZVATIVETIKZUQUSAVAUTVEVCVBVGVHVIVALVFUFZUGUQVKV
    LVMUHUQAUTGUIVJULUMUN $.

  ${
    $d x C $.  $d x D $.  $d x H $.  $d x J $.
    subsubc.d $e |- D = ( C |`cat H ) $.
    $( A subcategory of a subcategory is a subcategory.  (Contributed by Mario
       Carneiro, 6-Jan-2017.) $)
    subsubc $p |- ( H e. ( Subcat ` C ) -> ( J e. ( Subcat ` D ) <->
      ( J e. ( Subcat ` C ) /\ J C_cat H ) ) ) $=
      ( vx csubc cfv wcel cssc wbr wa chomf eqid cdm ccat co cresc adantr cvv
      subcssc cbs subcrcl eqidd subcfn subcss1 reschomf breq2d syl5ibr pm4.71rd
      id cv ccid wral w3a simpr simpl ssctr syl2anc biimpa 2thd cxp sscfn1 ssc1
      wfn sselda subcid eleq1d ralbidva dmexg rescabs eqtr2id 3anbi123d issubc3
      oveq1i dmexd subccat 3bitr4rd pm5.32da bitrd biancomd ) CAGHZIZDBGHIZDWBI
      ZDCJKZWCWDWFWDLWFWELWCWDWFWDWFWCDBMHZJKZWDBWGDWDUKWGNZUAWCCWGDJWCAUBHZABC
      OZOZCPEWJNZACUCZWCAWLCWCUKZWCWLUDUEZWCWJAWLCWOWPWMUFUGUHZUIUJWCWFWDWEWCWF
      LZDAMHZJKZFULZAUMHZHZXAXADQZIZFDOOZUNZADRQZPIZUOWHXABUMHZHZXDIZFXFUNZBDRQ
      ZPIZUOWEWDWRWTWHXGXMXIXOWRWTWHWRWFCWSJKWTWCWFUPZWRAWSCWCWFUQZWSNZUADCWSUR
      USWCWFWHWQUTVAWRXEXLFXFWRXAXFIZLZXCXKXDXTABWLXBCXAEWRWCXSXQSWRCWLWLVBVEZX
      SWCYAWFWPSZSXBNZWRXFWLXAWRXFWLDCWRXFDCXPWRXFUDVCZYBXPVDZVFVGVHVIWRXHXNPWR
      XNACRQZDRQXHBYFDREVOWRAWLXFCDPTWCAPIWFWNSZYBYDWCWLTIWFWCWKTCWBVJVPSYEVKVL
      VHVMWRFAXHXFXBWSDXRYCXHNYGYDVNWRFBXNXFXJWGDWIXJNXNNWCBPIWFWCABCEWOVQSYDVN
      VRVSVTWA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Functors
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Func $.  $( The class of all functors. $)
  $c idFunc $.  $( Identity functor. $)
  $c o.func $.  $( Functor composition. $)
  $c |`f $.  $( Functor restriction. $)

  $( Extend class notation with the class of all functors. $)
  cfunc $a class Func $.

  $( Extend class notation with identity functor. $)
  cidfu $a class idFunc $.

  $( Extend class notation with functor composition. $)
  ccofu $a class o.func $.

  $( Extend class notation to include restriction of a functor to a
     subcategory. $)
  cresf $a class |`f $.

  ${
    $d b f g h m n t u x y z $.
    $( Function returning all the functors from a category ` t ` to a category
       ` u ` .  Definition 3.17 of [Adamek] p. 29, and definition in [Lang]
       p. 62 ("covariant functor").  Intuitively a functor associates any
       morphism of ` t ` to a morphism of ` u ` , any object of ` t ` to an
       object of ` u ` , and respects the identity, the composition, the domain
       and the codomain.  Here to capture the idea that a functor associates
       any object of ` t ` to an object of ` u ` we write it associates any
       identity of ` t ` to an identity of ` u ` which simplifies the
       definition.  According to remark 3.19 in [Adamek] p. 30, "a functor F :
       A -> B is technically a family of functions; one from Ob(A) to Ob(B)
       [here: f, called "the object part" in the following], and for each pair
       (A,A') of A-objects, one from hom(A,A') to hom(FA, FA') [here: g, called
       "the morphism part" in the following]".  (Contributed by FL,
       10-Feb-2008.)  (Revised by Mario Carneiro, 2-Jan-2017.) $)
    df-func $a |- Func = ( t e. Cat , u e. Cat |-> { <. f , g >. |
     [. ( Base ` t ) / b ]. ( f : b --> ( Base ` u ) /\ g e. X_ z e. ( b X. b )
      ( ( ( f ` ( 1st ` z ) ) ( Hom ` u )
          ( f ` ( 2nd ` z ) ) ) ^m ( ( Hom ` t ) ` z ) ) /\ A. x e. b
      ( ( ( x g x ) ` ( ( Id ` t ) ` x ) ) = ( ( Id ` u ) ` ( f ` x ) ) /\
    A. y e. b A. z e. b A. m e. ( x ( Hom ` t ) y ) A. n e. ( y ( Hom ` t ) z )
      ( ( x g z ) ` ( n ( <. x , y >. ( comp ` t ) z ) m ) ) =
      ( ( ( y g z ) ` n ) ( <. ( f ` x ) , ( f ` y ) >.
          ( comp ` u ) ( f ` z ) ) ( ( x g y ) ` m ) ) ) ) } ) $.

    $( Define the identity functor.  (Contributed by Mario Carneiro,
       3-Jan-2017.) $)
    df-idfu $a |- idFunc = ( t e. Cat |-> [_ ( Base ` t ) / b ]_ <.
    ( _I |` b ) , ( z e. ( b X. b ) |-> ( _I |` ( ( Hom ` t ) ` z ) ) ) >. ) $.

    $( Define the composition of two functors.  (Contributed by Mario Carneiro,
       3-Jan-2017.) $)
    df-cofu $a |- o.func = ( g e. _V , f e. _V |->
      <. ( ( 1st ` g ) o. ( 1st ` f ) ) , ( x e. dom dom ( 2nd ` f ) ,
      y e. dom dom ( 2nd ` f ) |-> ( ( ( ( 1st ` f ) ` x ) ( 2nd ` g )
        ( ( 1st ` f ) ` y ) ) o. ( x ( 2nd ` f ) y ) ) ) >. ) $.

    $( Define the restriction of a functor to a subcategory (analogue of
       ~ df-res ).  (Contributed by Mario Carneiro, 6-Jan-2017.) $)
    df-resf $a |- |`f = ( f e. _V , h e. _V |->
      <. ( ( 1st ` f ) |` dom dom h ) , ( x e. dom h |->
        ( ( ( 2nd ` f ) ` x ) |` ( h ` x ) ) ) >. ) $.

    $( The set of functors is a relation.  (Contributed by Mario Carneiro,
       2-Jan-2017.) $)
    relfunc $p |- Rel ( D Func E ) $=
      ( vb vu vf vg vz vt vx vn vm vy cv cbs cfv chom co ccid wceq wral wf c1st
      cxp c2nd cmap cixp wcel cop cco wa w3a wsbc ccat cfunc df-func relmpoopab
      ) CMZDMZNOEMZUAFMZGUQUQUCGMZUBOUSOVAUDOUSOURPOQVAHMZPOZOUEQUFUGIMZVBROOVD
      VDUTQOVDUSOZURROOSJMZKMZVDLMZUHVAVBUIOQQVDVAUTQOVFVHVAUTQOVGVDVHUTQOVEVHU
      SOUHVAUSOURUIOQQSJVHVAVCQTKVDVHVCQTGUQTLUQTUJIUQTUKCVBNOULHDEFUMUMABUNILG
      DHEFKJCUOUP $.

    $( Reverse closure for a functor.  (Contributed by Mario Carneiro,
       6-Jan-2017.) $)
    funcrcl $p |- ( F e. ( D Func E ) -> ( D e. Cat /\ E e. Cat ) ) $=
      ( vt vu vb vf vg vz vx vn vm vy ccat cv cbs cfv chom co wral wf c1st c2nd
      cxp cmap cixp wcel ccid wceq cop cco w3a wsbc copab cfunc df-func elmpocl
      wa ) DENNFOZEOZPQGOZUAHOZIUSUSUDIOZUBQVAQVCUCQVAQUTRQSVCDOZRQZQUESUFUGJOZ
      VDUHQQVFVFVBSQVFVAQZUTUHQQUIKOZLOZVFMOZUJVCVDUKQSSVFVCVBSQVHVJVCVBSQVIVFV
      JVBSQVGVJVAQUJVCVAQUTUKQSSUIKVJVCVESTLVFVJVESTIUSTMUSTURJUSTULFVDPQUMGHUN
      ABUOCJMIEDGHLKFUPUQ $.
  $}

  ${
    $d b d e f g m n x y z B $.  $d b d e f g C $.  $d b d e f g m n x y z D $.
    $d b d e f g m n x y z E $.  $d b d e f g m n x y z H $.  $d b d e f g I $.
    $d f g m n x y z F $.  $d f g m n x y z G $.  $d b d e f g x y z J $.
    $d b d e f g .1. $.  $d m n x y z ph $.  $d b d e f g .x. $.
    $d b d e f g O $.
    isfunc.b $e |- B = ( Base ` D ) $.
    isfunc.c $e |- C = ( Base ` E ) $.
    isfunc.h $e |- H = ( Hom ` D ) $.
    isfunc.j $e |- J = ( Hom ` E ) $.
    isfunc.1 $e |- .1. = ( Id ` D ) $.
    isfunc.i $e |- I = ( Id ` E ) $.
    isfunc.x $e |- .x. = ( comp ` D ) $.
    isfunc.o $e |- O = ( comp ` E ) $.
    isfunc.d $e |- ( ph -> D e. Cat ) $.
    isfunc.e $e |- ( ph -> E e. Cat ) $.
    $( Value of the set of functors between two categories.  (Contributed by
       Mario Carneiro, 2-Jan-2017.) $)
    isfunc $p |- ( ph -> ( F ( D Func E ) G <-> ( F : B --> C /\
      G e. X_ z e. ( B X. B ) ( ( ( F ` ( 1st ` z ) ) J
                ( F ` ( 2nd ` z ) ) ) ^m ( H ` z ) ) /\ A. x e. B
      ( ( ( x G x ) ` ( .1. ` x ) ) = ( I ` ( F ` x ) ) /\
    A. y e. B A. z e. B A. m e. ( x H y ) A. n e. ( y H z )
      ( ( x G z ) ` ( n ( <. x , y >. .x. z ) m ) ) =
      ( ( ( y G z ) ` n ) ( <. ( F ` x ) , ( F ` y ) >.
          O ( F ` z ) ) ( ( x G y ) ` m ) ) ) ) ) ) $=
      ( vf vg vd ve vb cfunc co wbr cv cmap wcel cxp c1st cfv c2nd cixp wa wceq
      cop wral copab wf w3a ccat cbs chom ccid cco wsbc cvv fvexd simpl eqtr4di
      fveq2d simpr simplr feq23d bitr4di sqxpeqd ixpeq1d simpll fveq1d ixpeq2dv
      fvexi elmap oveqd oveq12d eqtrd eleq2d eqeq12d raleqbidv 3anbi123d df-3an
      anbi12d bitrdi sbcied2 opabbidv df-func ciun ovex snex rgenw ixpexg ax-mp
      csn iunex anim2i 2eximi elopab eliunxp 3imtr4i ssriv ssexi ovmpoa syl2anc
      xpex wex breqd brabv elex anim12i 3adant3 eleq1d eleq12d opeq12d oveq123d
      oveq1d 2ralbidv ralbidv bitr3id eqid brabga pm5.21nii 3anbi1i bitri ) AMN
      GLUNUOZUPMNUIUQZFEURUOZUSZUJUQZDEEUTZDUQZVAVBZUUEVBZUUJVCVBZUUEVBZQUOZUUJ
      OVBZURUOZVDZUSZVEZBUQZIVBZUVAUVAUUHUOZVBZUVAUUEVBZPVBZVFZKUQZJUQZUVACUQZV
      GZUUJHUOZUOZUVAUUJUUHUOZVBZUVHUVJUUJUUHUOZVBZUVIUVAUVJUUHUOZVBZUVEUVJUUEV
      BZVGZUUJUUEVBZRUOZUOZVFZKUVJUUJOUOZVHZJUVAUVJOUOZVHZDEVHZCEVHZVEZBEVHZVEZ
      UIUJVIZUPZEFMVJZNDUUIUUKMVBZUUMMVBZQUOZUUPURUOZVDZUSZUVBUVAUVANUOZVBZUVAM
      VBZPVBZVFZUVMUVAUUJNUOZVBZUVHUVJUUJNUOZVBZUVIUVAUVJNUOZVBZUXFUVJMVBZVGZUU
      JMVBZRUOZUOZVFZKUWFVHJUWHVHZDEVHCEVHZVEZBEVHZVKZAUUDUWOMNAGVLUSLVLUSUUDUW
      OVFUGUHUKULGLVLVLUMUQZULUQZVMVBZUUEVJZUUHDUYFUYFUTZUULUUNUYGVNVBZUOZUUJUK
      UQZVNVBZVBZURUOZVDZUSZUVAUYMVOVBZVBZUVCVBZUVEUYGVOVBZVBZVFZUVHUVIUVKUUJUY
      MVPVBZUOZUOZUVNVBZUVQUVSUWAUWBUYGVPVBZUOZUOZVFZKUVJUUJUYNUOZVHZJUVAUVJUYN
      UOZVHZDUYFVHZCUYFVHZVEZBUYFVHZVKZUMUYMVMVBZVQZUIUJVIUWOUNUYMGVFZUYGLVFZVE
      ZVVCUWNUIUJVVFVVAUWNUMVVBEVRVVFUYMVMVSVVFVVBGVMVBEVVFUYMGVMVVDVVEVTWBSWAV
      VFUYFEVFZVEZVVAUUGUUSUWMVKZUWNVVHUYIUUGUYRUUSVUTUWMVVHUYIEFUUEVJUUGVVHUYF
      UYHEFUUEVVFVVGWCZVVHUYHLVMVBFVVHUYGLVMVVDVVEVVGWDZWBTWAWEFEUUEFLVMTWLZEGV
      MSWLZWMWFVVHUYQUURUUHVVHUYQDUUIUYPVDUURVVHDUYJUUIUYPVVHUYFEVVJWGWHVVHDUUI
      UYPUUQVVHUYLUUOUYOUUPURVVHUYKQUULUUNVVHUYKLVNVBQVVHUYGLVNVVKWBUBWAWNVVHUU
      JUYNOVVHUYNGVNVBOVVHUYMGVNVVDVVEVVGWIZWBUAWAZWJWOWKWPWQVVHVUSUWLBUYFEVVJV
      VHVUDUVGVURUWKVVHVUAUVDVUCUVFVVHUYTUVBUVCVVHUVAUYSIVVHUYSGVOVBIVVHUYMGVOV
      VNWBUCWAWJWBVVHUVEVUBPVVHVUBLVOVBPVVHUYGLVOVVKWBUDWAWJWRVVHVUQUWJCUYFEVVJ
      VVHVUPUWIDUYFEVVJVVHVUNUWGJVUOUWHVVHUYNOUVAUVJVVOWNVVHVULUWEKVUMUWFVVHUYN
      OUVJUUJVVOWNVVHVUHUVOVUKUWDVVHVUGUVMUVNVVHVUFUVLUVHUVIVVHVUEHUVKUUJVVHVUE
      GVPVBHVVHUYMGVPVVNWBUEWAWNWNWBVVHVUJUWCUVQUVSVVHVUIRUWAUWBVVHVUILVPVBRVVH
      UYGLVPVVKWBUFWAWNWNWRWSWSWSWSXBWSWTUUGUUSUWMXAZXCXDXEBCDULUKUIUJJKUMXFUWO
      UIUUFUUEXMZUURUTZXGZUIUUFVVRFEURXHVVQUURUUEXIUUQVRUSZDUUIVHUURVRUSVVTDUUI
      UUOUUPURXHXJDUUIUUQVRXKXLYDXNUKUWOVVSUYMUUEUUHVGVFZUWNVEZUJYEUIYEVWAUUTVE
      ZUJYEUIYEUYMUWOUSUYMVVSUSVWBVWCUIUJUWNUUTVWAUUTUWMVTXOXPUWNUIUJUYMXQUIUJU
      UFUURUYMXRXSXTYAYBYCYFUWPMUUFUSZUXCUYDVKZUYEUWPMVRUSZNVRUSZVEZVWEUWNUIUJM
      NYGVWDUXCVWHUYDVWDVWFUXCVWGMUUFYHNUXBYHYIYJUWNVWEUIUJMNUWOVRVRUWNVVIUUEMV
      FZUUHNVFZVEZVWEVVPVWKUUGVWDUUSUXCUWMUYDVWKUUEMUUFVWIVWJVTZYKVWKUUHNUURUXB
      VWIVWJWCZVWKDUUIUUQUXAVWKUUOUWTUUPURVWKUULUWRUUNUWSQVWKUUKUUEMVWLWJVWKUUM
      UUEMVWLWJWOYOWKYLVWKUWLUYCBEVWKUVGUXHUWKUYBVWKUVDUXEUVFUXGVWKUVBUVCUXDVWK
      UUHNUVAUVAVWMWNWJVWKUVEUXFPVWKUVAUUEMVWLWJZWBWRVWKUWIUYACDEEVWKUWEUXTJKUW
      HUWFVWKUVOUXJUWDUXSVWKUVMUVNUXIVWKUUHNUVAUUJVWMWNWJVWKUVQUXLUVSUXNUWCUXRV
      WKUWAUXPUWBUXQRVWKUVEUXFUVTUXOVWNVWKUVJUUEMVWLWJYMVWKUUJUUEMVWLWJWOVWKUVH
      UVPUXKVWKUUHNUVJUUJVWMWNWJVWKUVIUVRUXMVWKUUHNUVAUVJVWMWNWJYNWRYPYPXBYQWTY
      RUWOYSYTUUAVWDUWQUXCUYDFEMVVLVVMWMUUBUUCXC $.

    isfuncd.1 $e |- ( ph -> F : B --> C ) $.
    isfuncd.2 $e |- ( ph -> G Fn ( B X. B ) ) $.
    isfuncd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x G y ) : ( x H y ) --> ( ( F ` x ) J ( F ` y ) ) ) $.
    isfuncd.4 $e |- ( ( ph /\ x e. B ) ->
      ( ( x G x ) ` ( .1. ` x ) ) = ( I ` ( F ` x ) ) ) $.
    isfuncd.5 $e |- ( ( ph /\ ( x e. B /\ y e. B /\ z e. B ) /\
      ( m e. ( x H y ) /\ n e. ( y H z ) ) ) ->
        ( ( x G z ) ` ( n ( <. x , y >. .x. z ) m ) ) =
        ( ( ( y G z ) ` n ) ( <. ( F ` x ) , ( F ` y ) >.
            O ( F ` z ) ) ( ( x G y ) ` m ) ) ) $.
    $( Deduce that an operation is a functor of categories.  (Contributed by
       Mario Carneiro, 4-Jan-2017.) $)
    isfuncd $p |- ( ph -> F ( D Func E ) G ) $=
      ( cfunc co wbr wf cxp cv c1st cfv c2nd cmap cixp wcel wceq cop wa cvv wfn
      wral cbs fvexi xpex fnex sylancl ovex elmap sylibr ralrimivva fveq2 df-ov
      eqtr4di vex op1std fveq2d op2ndd oveq12d ralxp elixp2 syl3anbrc wi 3expia
      eleq12d w3a 3exp2 imp43 ralrimivv jca ralrimiva isfunc mpbir3and ) AMNGLU
      NUOUPEFMUQNDEEURZDUSZUTVAZMVAZXDVBVAZMVAZQUOZXDOVAZVCUOZVDVEZBUSZIVAXMXMN
      UOVAXMMVAZPVAVFZKUSZJUSZXMCUSZVGZXDHUOUOXMXDNUOVAXPXRXDNUOVAXQXMXRNUOZVAX
      NXRMVAZVGXDMVARUOUOVFZKXRXDOUOZVKJXMXROUOZVKZDEVKCEVKZVHZBEVKUIANVIVEZNXC
      VJZXDNVAZXKVEZDXCVKZXLAYIXCVIVEYHUJEEEGVLSVMZYMVNXCVINVOVPUJAXTXNYAQUOZYD
      VCUOZVEZCEVKBEVKYLAYPBCEEAXMEVEZXREVEZVHVHYDYNXTUQYPUKYNYDXTXNYAQVQXMXROV
      QVRVSVTYKYPDBCEEXDXSVFZYJXTXKYOYSYJXSNVAXTXDXSNWAXMXRNWBWCYSXIYNXJYDVCYSX
      FXNXHYAQYSXEXMMXMXRXDBWDZCWDZWEWFYSXGXRMXMXRXDYTUUAWGWFWHYSXJXSOVAYDXDXSO
      WAXMXROWBWCWHWNWIVSDXCXKNWJWKAYGBEAYQVHZXOYFULUUBYECDEEUUBYRXDEVEZVHVHYBJ
      KYDYCAYQYRUUCXQYDVEXPYCVEVHZYBWLZAYQYRUUCUUEAYQYRUUCWOUUDYBUMWMWPWQWRVTWS
      WTABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHXAXB $.
  $}

  ${
    $d m n x y z B $.  $d m n x y z D $.  $d m n x y z E $.  $d m n x y z ph $.
    $d m n x y z F $.  $d m n x y z G $.
    funcf1.b $e |- B = ( Base ` D ) $.
    funcf1.c $e |- C = ( Base ` E ) $.
    funcf1.f $e |- ( ph -> F ( D Func E ) G ) $.
    $( The object part of a functor is a function on objects.  (Contributed by
       Mario Carneiro, 2-Jan-2017.) $)
    funcf1 $p |- ( ph -> F : B --> C ) $=
      ( vz vx vn vm cv cfv co wcel wral eqid vy wf cxp c1st c2nd chom cmap cixp
      ccid wceq cop cco wa cfunc wbr w3a ccat df-br sylib funcrcl simpld simprd
      syl isfunc mpbid simp1d ) ABCFUBZGKBBUCKOZUDPFPVHUEPFPEUFPZQVHDUFPZPUGQUH
      RZLOZDUIPZPVLVLGQPVLFPZEUIPZPUJMOZNOZVLUAOZUKVHDULPZQQVLVHGQPVPVRVHGQPVQV
      LVRGQPVNVRFPUKVHFPEULPZQQUJMVRVHVJQSNVLVRVJQSKBSUABSUMLBSZAFGDEUNQZUOZVGV
      KWAUPJALUAKBCDVSVMNMEFGVJVOVIVTHIVJTVITVMTVOTVSTVTTADUQRZEUQRZAFGUKZWBRZW
      DWEUMAWCWGJFGWBURUSDEWFUTVCZVAAWDWEWHVBVDVEVF $.
  $}

  ${
    $d m n x y z B $.  $d m n x y z D $.  $d m n x y z E $.  $d m n x y z ph $.
    $d m n x y z F $.  $d m n x y z G $.  $d x y z J $.  $d z X $.  $d z Y $.
    $d m n x y z H $.
    funcixp.b $e |- B = ( Base ` D ) $.
    funcixp.h $e |- H = ( Hom ` D ) $.
    funcixp.j $e |- J = ( Hom ` E ) $.
    funcixp.f $e |- ( ph -> F ( D Func E ) G ) $.
    $( The morphism part of a functor is a function on homsets.  (Contributed
       by Mario Carneiro, 2-Jan-2017.) $)
    funcixp $p |- ( ph -> G e. X_ z e. ( B X. B )
      ( ( ( F ` ( 1st ` z ) ) J ( F ` ( 2nd ` z ) ) ) ^m ( H ` z ) ) ) $=
      ( vx cfv cv co wcel wral eqid vn vm cbs cxp c1st c2nd cmap cixp ccid wceq
      vy wf cop cco wa cfunc wbr w3a ccat df-br sylib funcrcl syl simpld simprd
      isfunc mpbid simp2d ) ACEUCOZFULZGBCCUDBPZUEOFOVKUFOFOIQVKHOUGQUHRZNPZDUI
      OZOVMVMGQOVMFOZEUIOZOUJUAPZUBPZVMUKPZUMVKDUNOZQQVMVKGQOVQVSVKGQOVRVMVSGQO
      VOVSFOUMVKFOEUNOZQQUJUAVSVKHQSUBVMVSHQSBCSUKCSUONCSZAFGDEUPQZUQZVJVLWBURM
      ANUKBCVIDVTVNUBUAEFGHVPIWAJVITKLVNTVPTVTTWATADUSRZEUSRZAFGUMZWCRZWEWFUOAW
      DWHMFGWCUTVADEWGVBVCZVDAWEWFWIVEVFVGVH $.

    funcf2.x $e |- ( ph -> X e. B ) $.
    funcf2.y $e |- ( ph -> Y e. B ) $.
    $( The morphism part of a functor is a function on homsets.  (Contributed
       by Mario Carneiro, 2-Jan-2017.) $)
    funcf2 $p |- ( ph ->
      ( X G Y ) : ( X H Y ) --> ( ( F ` X ) J ( F ` Y ) ) ) $=
      ( co cfv cmap wcel vz wf cop c1st c2nd df-ov cv cixp funcixp opelxpd wceq
      cxp 2fveq3 oveq12d fveq2 eqtr4di syl2anc eqeltrid wa op1stg fveq2d op2ndg
      fvixp oveq1d eleqtrd elmapi syl ) AIJFQZIERZJERZHQZIJGQZSQZTVLVKVHUBAVHIJ
      UCZUDRZERZVNUERZERZHQZVLSQZVMAVHVNFRZVTIJFUFAFUABBULZUAUGZUDRERZWCUERERZH
      QZWCGRZSQZUHTVNWBTWAVTTAUABCDEFGHKLMNUIAIJBBOPUJUAWBWHVNVTFWCVNUKZWFVSWGV
      LSWIWDVPWEVRHWCVNEUDUMWCVNEUEUMUNWIWGVNGRVLWCVNGUOIJGUFUPUNVCUQURAVSVKVLS
      AIBTZJBTZVSVKUKOPWJWKUSZVPVIVRVJHWLVOIEIJBBUTVAWLVQJEIJBBVBVAUNUQVDVEVHVK
      VLVFVG $.
  $}

  ${
    $d x B $.  $d x D $.  $d x E $.  $d x F $.  $d x G $.  $d x ph $.
    funcfn2.b $e |- B = ( Base ` D ) $.
    funcfn2.f $e |- ( ph -> F ( D Func E ) G ) $.
    $( The morphism part of a functor is a function.  (Contributed by Mario
       Carneiro, 3-Jan-2017.) $)
    funcfn2 $p |- ( ph -> G Fn ( B X. B ) ) $=
      ( vx cxp cv c1st cfv c2nd chom co cmap cixp wcel eqid wfn funcixp ixpfn
      syl ) AFIBBJZIKZLMEMUFNMEMDOMZPUFCOMZMQPZRSFUEUAAIBCDEFUHUGGUHTUGTHUBIUEU
      IFUCUD $.
  $}

  ${
    $d m n x y z B $.  $d m n x y z D $.  $d m n x y z E $.  $d m n x y z ph $.
    $d x .1. $.  $d m n x y z F $.  $d m n x y z G $.  $d x I $.  $d x X $.
    funcid.b $e |- B = ( Base ` D ) $.
    funcid.1 $e |- .1. = ( Id ` D ) $.
    funcid.i $e |- I = ( Id ` E ) $.
    funcid.f $e |- ( ph -> F ( D Func E ) G ) $.
    funcid.x $e |- ( ph -> X e. B ) $.
    $( A functor maps each identity to the corresponding identity in the target
       category.  (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    funcid $p |- ( ph -> ( ( X G X ) ` ( .1. ` X ) ) = ( I ` ( F ` X ) ) ) $=
      ( vx cv cfv co wral eqid vn vm vy vz wceq id oveq12d fveq2 fveq12d 2fveq3
      eqeq12d cop cco chom wa cbs wf cxp c1st c2nd cmap cixp wcel cfunc wbr w3a
      ccat df-br sylib funcrcl simpld simprd isfunc mpbid simp3d ralimi rspcdva
      syl simpl ) AOPZDQZVTVTGRZQZVTFQZHQZUEZIDQZIIGRZQZIFQHQZUEOBIVTIUEZWCWIWE
      WJWKWAWGWBWHWKVTIVTIGWKUFZWLUGVTIDUHUIVTIHFUJUKAWFUAPZUBPZVTUCPZULUDPZCUM
      QZRRVTWPGRQWMWOWPGRQWNVTWOGRQWDWOFQULWPFQEUMQZRRUEUAWOWPCUNQZRSUBVTWOWSRS
      UDBSUCBSZUOZOBSZWFOBSABEUPQZFUQZGUDBBURWPUSQFQWPUTQFQEUNQZRWPWSQVARVBVCZX
      BAFGCEVDRZVEZXDXFXBVFMAOUCUDBXCCWQDUBUAEFGWSHXEWRJXCTWSTXETKLWQTWRTACVGVC
      ZEVGVCZAFGULZXGVCZXIXJUOAXHXLMFGXGVHVICEXKVJVRZVKAXIXJXMVLVMVNVOXAWFOBWFW
      TVSVPVRNVQ $.
  $}

  ${
    $d m n x y z B $.  $d m n x y z D $.  $d m n x y z E $.  $d m n x y z ph $.
    $d m n x y z F $.  $d m n x y z G $.  $d m n x y z H $.  $d m n x y z M $.
    $d m n x y z N $.  $d m n x y z O $.  $d m n x y z X $.  $d m n x y z Y $.
    $d m n x y z .x. $.  $d m n x y z Z $.
    funcco.b $e |- B = ( Base ` D ) $.
    funcco.h $e |- H = ( Hom ` D ) $.
    funcco.o $e |- .x. = ( comp ` D ) $.
    funcco.O $e |- O = ( comp ` E ) $.
    funcco.f $e |- ( ph -> F ( D Func E ) G ) $.
    funcco.x $e |- ( ph -> X e. B ) $.
    funcco.y $e |- ( ph -> Y e. B ) $.
    funcco.z $e |- ( ph -> Z e. B ) $.
    funcco.m $e |- ( ph -> M e. ( X H Y ) ) $.
    funcco.n $e |- ( ph -> N e. ( Y H Z ) ) $.
    $( A functor maps composition in the source category to composition in the
       target.  (Contributed by Mario Carneiro, 2-Jan-2017.) $)
    funcco $p |- ( ph -> ( ( X G Z ) ` ( N ( <. X , Y >. .x. Z ) M ) ) =
      ( ( ( Y G Z ) ` N ) ( <. ( F ` X ) , ( F ` Y ) >.
          O ( F ` Z ) ) ( ( X G Y ) ` M ) ) ) $=
      ( vx vn vm vy vz cv ccid cfv co wceq cop wral cbs cxp c1st c2nd chom cmap
      wa wf cixp wcel cfunc wbr w3a eqid ccat df-br sylib funcrcl simpld simprd
      syl isfunc mpbid simp3d adantr ad2antrr ad3antrrr simpllr simplr eleqtrrd
      oveq12d ad4antr simp-5r simp-4r opeq12d oveq123d fveq12d eqeq12d rspcimdv
      simpr fveq2d rspcdv adantld mpd ) AUEUJZCUKULZULXAXAGUMULXAFULZEUKULZULUN
      ZUFUJZUGUJZXAUHUJZUOZUIUJZDUMZUMZXAXJGUMZULZXFXHXJGUMZULZXGXAXHGUMZULZXCX
      HFULZUOZXJFULZKUMZUMZUNZUFXHXJHUMZUPZUGXAXHHUMZUPZUIBUPZUHBUPZVCZUEBUPZJI
      LMUOZNDUMZUMZLNGUMZULZJMNGUMZULZILMGUMZULZLFULZMFULZUOZNFULZKUMZUMZUNZABE
      UQULZFVDZGUIBBURXJUSULFULXJUTULFULEVAULZUMXJHULVBUMVEVFZYLAFGCEVGUMZVHZUU
      JUULYLVISAUEUHUIBUUICDXBUGUFEFGHXDUUKKOUUIVJPUUKVJXBVJXDVJQRACVKVFZEVKVFZ
      AFGUOZUUMVFZUUOUUPVCAUUNUURSFGUUMVLVMCEUUQVNVQZVOAUUOUUPUUSVPVRVSVTAYKUUH
      UELBTAXALUNZVCZYJUUHXEUVAYIUUHUHMBAMBVFUUTUAWAUVAXHMUNZVCZYHUUHUINBANBVFU
      UTUVBUBWBUVCXJNUNZVCZYFUUHUGIYGUVEILMHUMZYGAIUVFVFUUTUVBUVDUCWCUVEXALXHMH
      AUUTUVBUVDWDUVAUVBUVDWEWGWFUVEXGIUNZVCZYDUUHUFJYEUVHJMNHUMZYEAJUVIVFUUTUV
      BUVDUVGUDWHUVHXHMXJNHUVAUVBUVDUVGWDUVCUVDUVGWEWGWFUVHXFJUNZVCZXNYQYCUUGUV
      KXLYOXMYPUVKXALXJNGAUUTUVBUVDUVGUVJWIZUVCUVDUVGUVJWDZWGUVKXFJXGIXKYNUVKXI
      YMXJNDUVKXALXHMUVLUVAUVBUVDUVGUVJWJZWKUVMWGUVHUVJWPZUVEUVGUVJWEZWLWMUVKXP
      YSXRUUAYBUUFUVKXTUUDYAUUEKUVKXCUUBXSUUCUVKXALFUVLWQUVKXHMFUVNWQWKUVKXJNFU
      VMWQWGUVKXFJXOYRUVKXHMXJNGUVNUVMWGUVOWMUVKXGIXQYTUVKXALXHMGUVLUVNWGUVPWMW
      LWNWRWOWOWOWSWOWT $.
  $}

  ${
    funcsect.b $e |- B = ( Base ` D ) $.
    funcsect.s $e |- S = ( Sect ` D ) $.
    funcsect.t $e |- T = ( Sect ` E ) $.
    funcsect.f $e |- ( ph -> F ( D Func E ) G ) $.
    funcsect.x $e |- ( ph -> X e. B ) $.
    funcsect.y $e |- ( ph -> Y e. B ) $.
    funcsect.m $e |- ( ph -> M ( X S Y ) N ) $.
    $( The image of a section under a functor is a section.  (Contributed by
       Mario Carneiro, 2-Jan-2017.) $)
    funcsect $p |- ( ph ->
      ( ( X G Y ) ` M ) ( ( F ` X ) T ( F ` Y ) ) ( ( Y G X ) ` N ) ) $=
      ( cfv co wbr cop cco ccid wceq chom wcel eqid ccat cfunc wa df-br funcrcl
      w3a sylib simpld issect simp3d fveq2d simp1d simp2d funcco funcid 3eqtr3d
      syl mpbid cbs simprd funcf1 ffvelrnd funcf2 issect2 mpbird ) AIKLHUAZTZJL
      KHUAZTZKGTZLGTZEUAUBVRVPVSVTUCVSFUDTZUAUAZVSFUETZTZUFAJIKLUCKCUDTZUAUAZKK
      HUAZTKCUETZTZWGTWBWDAWFWIWGAIKLCUGTZUAZUHZJLKWJUAZUHZWFWIUFZAIJKLDUAUBWLW
      NWOUOSABCDWEWHIJWJKLMWJUIZWEUIZWHUIZNACUJUHZFUJUHZAGHUCZCFUKUAZUHZWSWTULA
      GHXBUBXCPGHXBUMUPCFXAUNVFZUQQRURVGZUSUTABCWEFGHWJIJWAKLKMWPWQWAUIZPQRQAWL
      WNWOXEVAZAWLWNWOXEVBZVCABCWHFGHWCKMWRWCUIZPQVDVEAFVHTZFEWAWCVPVRFUGTZVSVT
      XJUIZXKUIZXFXIOAWSWTXDVIABXJKGABXJCFGHMXLPVJZQVKABXJLGXNRVKAWKVSVTXKUAIVO
      ABCFGHWJXKKLMWPXMPQRVLXGVKAWMVTVSXKUAJVQABCFGHWJXKLKMWPXMPRQVLXHVKVMVN $.
  $}

  ${
    funcinv.b $e |- B = ( Base ` D ) $.
    funcinv.s $e |- I = ( Inv ` D ) $.
    funcinv.t $e |- J = ( Inv ` E ) $.
    funcinv.f $e |- ( ph -> F ( D Func E ) G ) $.
    funcinv.x $e |- ( ph -> X e. B ) $.
    funcinv.y $e |- ( ph -> Y e. B ) $.
    funcinv.m $e |- ( ph -> M ( X I Y ) N ) $.
    $( The image of an inverse under a functor is an inverse.  (Contributed by
       Mario Carneiro, 3-Jan-2017.) $)
    funcinv $p |- ( ph ->
      ( ( X G Y ) ` M ) ( ( F ` X ) J ( F ` Y ) ) ( ( Y G X ) ` N ) ) $=
      ( co cfv wbr csect eqid wa ccat wcel cop cfunc df-br sylib funcrcl simpld
      syl isinv mpbid funcsect simprd cbs funcf1 ffvelrnd mpbir2and ) AIKLFTUAZ
      JLKFTUAZKEUAZLEUAZHTUBVCVDVEVFDUCUAZTUBVDVCVFVEVGTUBABCCUCUAZVGDEFIJKLMVH
      UDZVGUDZPQRAIJKLVHTUBZJILKVHTUBZAIJKLGTUBVKVLUESABCVHIJGKLMNACUFUGZDUFUGZ
      AEFUHZCDUITZUGZVMVNUEAEFVPUBVQPEFVPUJUKCDVOULUNZUMQRVIUOUPZUMUQABCVHVGDEF
      JILKMVIVJPRQAVKVLVSURUQADUSUAZDVGVCVDHVEVFVTUDZOAVMVNVRURABVTKEABVTCDEFMW
      APUTZQVAABVTLEWBRVAVJUOVB $.
  $}

  ${
    funciso.b $e |- B = ( Base ` D ) $.
    funciso.s $e |- I = ( Iso ` D ) $.
    funciso.t $e |- J = ( Iso ` E ) $.
    funciso.f $e |- ( ph -> F ( D Func E ) G ) $.
    funciso.x $e |- ( ph -> X e. B ) $.
    funciso.y $e |- ( ph -> Y e. B ) $.
    funciso.m $e |- ( ph -> M e. ( X I Y ) ) $.
    $( The image of an isomorphism under a functor is an isomorphism.
       Proposition 3.21 of [Adamek] p. 32.  (Contributed by Mario Carneiro,
       3-Jan-2017.) $)
    funciso $p |- ( ph -> ( ( X G Y ) ` M ) e. ( ( F ` X ) J ( F ` Y ) ) ) $=
      ( cfv co cbs cinv eqid ccat wcel cop cfunc wa wbr df-br sylib funcrcl syl
      simprd funcf1 ffvelrnd simpld invisoinvr funcinv inviso1 ) ADUASZDIJKFTSI
      JKCUBSZTSZKJFTSHDUBSZJESKESVAUCZVDUCZACUDUEZDUDUEZAEFUFZCDUGTZUEZVGVHUHAE
      FVJUIVKOEFVJUJUKCDVIULUMZUNABVAJEABVACDEFLVEOUOZPUPABVAKEVMQUPNABCDEFVBVD
      IVCJKLVBUCZVFOPQABCIGVBJKLMVNAVGVHVLUQPQRURUSUT $.
  $}

  ${
    $d f g x y z C $.  $d f g x y z F $.  $d f g x y z G $.  $d f g x y z ph $.
    $d f g x y z O $.  $d f g x y z P $.
    funcoppc.o $e |- O = ( oppCat ` C ) $.
    funcoppc.p $e |- P = ( oppCat ` D ) $.
    funcoppc.f $e |- ( ph -> F ( C Func D ) G ) $.
    $( A functor on categories yields a functor on the opposite categories (in
       the same direction), see definition 3.41 of [Adamek] p. 39.
       (Contributed by Mario Carneiro, 4-Jan-2017.) $)
    funcoppc $p |- ( ph -> F ( O Func P ) tpos G ) $=
      ( cfv cco ccid chom eqid wcel cop co wa cv vx vy vz vf ctpos oppcbas ccat
      vg cbs cfunc wbr df-br funcrcl syl simpld oppccat simpl2im funcf1 cxp wfn
      sylib funcfn2 tposfn wf adantr simprr simprl funcf2 ovtpos oppchom feq23i
      feq1i bitri sylibr funcid wceq a1i oppcid fveq1d fveq12d 3eqtr4d 3ad2ant1
      simp23 simp22 simp21 simp3r eleqtrdi simp3l funcco oppcco fveq2d ffvelrnd
      simpr w3a fveq1i oveq12i 3eqtr4g isfuncd ) AUAUBUCBUIKZCUIKZGGLKZGMKZUDUH
      DEFUEZGNKZDMKZDNKZDLKZWSBGHWSOZUFWTCDIWTOZUFXDOXFOXBOXEOXAOXGOABUGPZGUGPA
      XJCUGPZAEFQZBCUJRZPZXJXKSAEFXMUKZXNJEFXMULVABCXLUMUNZUOZBGHUPUNAXJXKDUGPX
      PCDIUPUQAWSWTBCEFXHXIJURZAFWSWSUSZUTXCXSUTAWSBCEFXHJVBWSWSFVCUNAUATZWSPZU
      BTZWSPZSZSZYBXTBNKZRZYBEKZXTEKZCNKZRZYBXTFRZVDZXTYBXDRZYIYHXFRZXTYBXCRZVD
      ZYEWSBCEFYFYJYBXTXHYFOZYJOZAXOYDJVEAYAYCVFAYAYCVGVHYQYNYOYLVDYMYNYOYPYLXT
      YBFVIZVLYNYOYGYKYLBYFGXTYBYRHVJZCYJDYIYHYSIVJVKVMVNAYASZXTBMKZKZXTXTFRZKY
      ICMKZKXTXBKZXTXTXCRZKYIXEKUUBWSBUUCCEFUUFXTXHUUCOZUUFOZAXOYAJVEAYAWMVOUUB
      UUGUUDUUHUUEUUHUUEVPUUBXTXTFVIVQUUBXTXBUUCAXBUUCVPZYAAXJUUKXQUUCBGHUUIVRU
      NVEVSVTUUBYIXEUUFAXEUUFVPZYAAXJXKUULXPUUFCDIUUJVRUQVEVSWAAYAYCUCTZWSPZWNZ
      UDTZYNPZUHTZYBUUMXDRZPZSZWNZUURUUPXTYBQUUMXARRZUUMXTFRZKZUURUUMYBFRZKZUUP
      YLKZYIYHQUUMEKZXGRZRZUVCXTUUMXCRZKUURYBUUMXCRZKZUUPYPKZUVJRUVBUUPUURUUMYB
      QXTBLKZRRZUVDKUVHUVGUVIYHQYICLKZRRUVEUVKUVBWSBUVPCEFYFUURUUPUVRUUMYBXTXHY
      RUVPOZUVROZAUUOXOUVAJWBAYAYCUUNUVAWCZAYAYCUUNUVAWDZAYAYCUUNUVAWEZUVBUURUU
      SUUMYBYFRAUUOUUQUUTWFBYFGYBUUMYRHVJWGUVBUUPYNYGAUUOUUQUUTWHUUAWGWIUVBUVCU
      VQUVDUVBWSBUVPUUPUURGXTYBUUMXHUVSHUWCUWBUWAWJWKUVBWTCUVRUVHUVGDYIYHUVIXIU
      VTIUVBWSWTXTEAUUOWSWTEVDUVAXRWBZUWCWLUVBWSWTYBEUWDUWBWLUVBWSWTUUMEUWDUWAW
      LWJWAUVCUVLUVDXTUUMFVIWOUVNUVGUVOUVHUVJUURUVMUVFYBUUMFVIWOUUPYPYLYTWOWPWQ
      WR $.
  $}

  ${
    $d b c z B $.  $d b c z C $.  $d b c z H $.  $d z ph $.  $d z X $.
    $d z Y $.
    idfuval.i $e |- I = ( idFunc ` C ) $.
    idfuval.b $e |- B = ( Base ` C ) $.
    idfuval.c $e |- ( ph -> C e. Cat ) $.
    ${
      idfuval.h $e |- H = ( Hom ` C ) $.
      $( Value of the identity functor.  (Contributed by Mario Carneiro,
         3-Jan-2017.) $)
      idfuval $p |- ( ph -> I =
        <. ( _I |` B ) , ( z e. ( B X. B ) |-> ( _I |` ( H ` z ) ) ) >. ) $=
        ( vc vb cidfu cfv cid cres cv wceq cbs chom cxp cmpt cop ccat csb fvexd
        wcel cvv fveq2 eqtr4di wa simpr reseq2d sqxpeqd fveq2d fveq1d mpteq12dv
        simpl opeq12d csbied2 df-idfu opex fvmpt syl eqtrid ) AFDMNZOCPZBCCUAZO
        BQZENZPZUBZUCZGADUDUGVFVMRIKDLKQZSNZOLQZPZBVPVPUAZOVIVNTNZNZPZUBZUCZUEV
        MUDMVNDRZLVOCWCVMUHWDVNSUFWDVODSNCVNDSUIHUJWDVPCRZUKZVQVGWBVLWFVPCOWDWE
        ULZUMWFBVRWAVHVKWFVPCWGUNWFVTVJOWFVIVSEWFVSDTNEWFVNDTWDWEURUOJUJUPUMUQU
        SUTBKLVAVGVLVBVCVDVE $.

      idfu2nd.x $e |- ( ph -> X e. B ) $.
      idfu2nd.y $e |- ( ph -> Y e. B ) $.
      $( Value of the morphism part of the identity functor.  (Contributed by
         Mario Carneiro, 3-Jan-2017.) $)
      idfu2nd $p |- ( ph -> ( X ( 2nd ` I ) Y ) = ( _I |` ( X H Y ) ) ) $=
        ( vz c2nd cfv cid cres cvv wcel co cop df-ov cv cxp cmpt idfuval fveq2d
        cbs fvexi resiexg ax-mp xpex mptex op2nd eqtrdi wceq wa eqtr4di reseq2d
        simpr opelxpd ovex mp1i fvmptd eqtrid ) AFGEOPZUAFGUBZVGPQFGDUAZRZFGVGU
        CANVHQNUDZDPZRZVJBBUEZVGSAVGQBRZNVNVMUFZUBZOPVPAEVQOANBCDEHIJKUGUHVOVPB
        STVOSTBCUIIUJZBSUKULNVNVMBBVRVRUMUNUOUPAVKVHUQZURZVLVIQVTVLVHDPVIVTVKVH
        DAVSVAUHFGDUCUSUTAFGBBLMVBVISTVJSTAFGDVCVISUKVDVEVF $.

      idfu2.f $e |- ( ph -> F e. ( X H Y ) ) $.
      $( Value of the morphism part of the identity functor.  (Contributed by
         Mario Carneiro, 28-Jan-2017.) $)
      idfu2 $p |- ( ph -> ( ( X ( 2nd ` I ) Y ) ` F ) = F ) $=
        ( c2nd cfv co cid cres idfu2nd fveq1d wcel wceq fvresi syl eqtrd ) ADGH
        FPQRZQDSGHERZTZQZDADUHUJABCEFGHIJKLMNUAUBADUIUCUKDUDOUIDUEUFUG $.
    $}

    $( Value of the object part of the identity functor.  (Contributed by Mario
       Carneiro, 3-Jan-2017.) $)
    idfu1st $p |- ( ph -> ( 1st ` I ) = ( _I |` B ) ) $=
      ( vz c1st cfv cid cres cxp cv chom cmpt cop eqid cvv wcel idfuval resiexg
      fveq2d cbs fvexi ax-mp xpex mptex op1st eqtrdi ) ADIJKBLZHBBMZKHNCOJZJLZP
      ZQZIJUKADUPIAHBCUMDEFGUMRUAUCUKUOBSTUKSTBCUDFUEZBSUBUFHULUNBBUQUQUGUHUIUJ
      $.

    idfu1.x $e |- ( ph -> X e. B ) $.
    $( Value of the object part of the identity functor.  (Contributed by Mario
       Carneiro, 3-Jan-2017.) $)
    idfu1 $p |- ( ph -> ( ( 1st ` I ) ` X ) = X ) $=
      ( c1st cfv cid cres idfu1st fveq1d wcel wceq fvresi syl eqtrd ) AEDJKZKEL
      BMZKZEAEUAUBABCDFGHNOAEBPUCEQIBERST $.
  $}

  ${
    $d f g x y z C $.  $d f g x y z I $.
    idfucl.i $e |- I = ( idFunc ` C ) $.
    $( The identity functor is a functor.  Example 3.20(1) of [Adamek] p. 30.
       (Contributed by Mario Carneiro, 3-Jan-2017.) $)
    idfucl $p |- ( C e. Cat -> I e. ( C Func C ) ) $=
      ( vz vx vg vf vy wcel cid cfv cop co cv cvv wceq wral wa fvresi syl cfunc
      ccat cbs cres c2nd cxp chom cmpt eqid id idfuval fveq2d fvex resiexg xpex
      ax-mp mptex eqtrdi opeq2d eqtr4d wbr wf c1st cmap cixp ccid cco wf1o f1oi
      op2nd f1of elmap mpbir xp1st adantl xp2nd oveq12d df-ov 1st2nd2 eleqtrrid
      mp1i oveq1d ralrimiva mptelixpg sylibr eqeltrd simpl simpr catidcl fveq1d
      wb idfu2nd 3eqtr4d ad2antrr simplrl simplrr simprl simprr catcocl opeq12d
      idfu2 oveq123d ralrimivva jca isfunc mpbir3and df-br sylib ) AUBIZBJAUCKZ
      UDZBUEKZLZAAUAMZXIBXKDXJXJUFZJDNZAUGKZKZUDZUHZLZXMXIDXJAXQBCXJUIZXIUJZXQU
      IZUKZXIXLXTXKXIXLYAUEKXTXIBYAUEYEULXKXTXJOIXKOIAUCUMZXJOUNUPDXOXSXJXJYFYF
      UOZUQVJURZUSUTXIXKXLXNVAZXMXNIXIYIXJXJXKVBZXLDXOXPVCKZXKKZXPUEKZXKKZXQMZX
      RVDMZVEZIENZAVFKZKZYRYRXLMZKZYRXKKZYSKZPZFNZGNZYRHNZLZXPAVGKZMZMZYRXPXLMZ
      KZUUFUUHXPXLMKZUUGYRUUHXLMKZUUCUUHXKKZLZXPXKKZUUJMZMZPZFUUHXPXQMZQGYRUUHX
      QMZQZDXJQHXJQZRZEXJQXJXJXKVHYJXIXJVIXJXJXKVKWAXIXLXTYQYHXIXSYPIZDXOQZXTYQ
      IZXIUVHDXOXIXPXOIZRZXSXRXRVDMZYPXSUVMIXRXRXSVBZXRXRXSVHUVNXRVIXRXRXSVKUPX
      RXRXSXPXQUMZUVOVLVMUVLYOXRXRVDUVLYOYKYMLZXQKZXRUVLYOYKYMXQMUVQUVLYLYKYNYM
      XQUVLYKXJIZYLYKPUVKUVRXIXPXJXJVNVOXJYKSTUVLYMXJIZYNYMPUVKUVSXIXPXJXJVPVOX
      JYMSTVQYKYMXQVRURUVLXPUVPXQUVKXPUVPPXIXPXJXJVSVOULUTWBVTWCXOOIUVJUVIWKYGD
      XOXSYPOWDUPWEWFXIUVGEXJXIYRXJIZRZUUEUVFUWAYTJYRYRXQMZUDZKZYTUUBUUDUWAYTUW
      BIUWDYTPUWAXJAYSXQYRYBYDYSUIZXIUVTWGZXIUVTWHZWIUWBYTSTUWAYTUUAUWCUWAXJAXQ
      BYRYRCYBUWFYDUWGUWGWLWJUWAUUCYRYSUVTUUCYRPZXIXJYRSZVOULWMUWAUVEHDXJXJUWAU
      UHXJIZXPXJIZRZRZUVBGFUVDUVCUWMUUGUVDIZUUFUVCIZRZRZUULJYRXPXQMZUDZKZUULUUN
      UVAUWQUULUWRIUWTUULPUWQXJAUUJUUGUUFXQYRUUHXPYBYDUUJUIZUWAXIUWLUWPUWFWNZUW
      AUVTUWLUWPUWGWNZUWAUWJUWKUWPWOZUWAUWJUWKUWPWPZUWMUWNUWOWQZUWMUWNUWOWRZWSU
      WRUULSTUWQUULUUMUWSUWQXJAXQBYRXPCYBUXBYDUXCUXEWLWJUWQUUOUUFUUPUUGUUTUUKUW
      QUURUUIUUSXPUUJUWQUUCYRUUQUUHUWQUVTUWHUXCUWITUWQUWJUUQUUHPUXDXJUUHSTWTUWQ
      UWKUUSXPPUXEXJXPSTVQUWQXJAUUFXQBUUHXPCYBUXBYDUXDUXEUXGXAUWQXJAUUGXQBYRUUH
      CYBUXBYDUXCUXDUXFXAXBWMXCXCXDWCXIEHDXJXJAUUJYSGFAXKXLXQYSXQUUJYBYBYDYDUWE
      UWEUXAUXAYCYCXEXFXKXLXNXGXHWF $.
  $}

  ${
    $d f g x y B $.  $d f g x y F $.  $d f g x y G $.  $d f g x y ph $.
    $d x y X $.  $d x y Y $.
    cofuval.b $e |- B = ( Base ` C ) $.
    cofuval.f $e |- ( ph -> F e. ( C Func D ) ) $.
    cofuval.g $e |- ( ph -> G e. ( D Func E ) ) $.
    $( Value of the composition of two functors.  (Contributed by Mario
       Carneiro, 3-Jan-2017.) $)
    cofuval $p |- ( ph -> ( G o.func F ) =
      <. ( ( 1st ` G ) o. ( 1st ` F ) ) ,
         ( x e. B , y e. B |-> ( ( ( ( 1st ` F ) ` x ) ( 2nd ` G )
           ( ( 1st ` F ) ` y ) ) o. ( x ( 2nd ` F ) y ) ) ) >. ) $=
      ( vg vf cvv cv c1st cfv c2nd co ccom cdm cmpo cop wceq df-cofu a1i simprl
      ccofu wa fveq2d simprr coeq12d cxp dmeqd cfunc wrel wcel relfunc 1st2ndbr
      wbr sylancr funcfn2 fndmd adantr dmxpid eqtrdi fveq1d oveq123d mpoeq123dv
      eqtrd oveqd opeq12d elexd opex ovmpod ) AMNIHOOMPZQRZNPZQRZUAZBCVSSRZUBZU
      BZWDBPZVTRZCPZVTRZVQSRZTZWEWGWBTZUAZUCZUDZIQRZHQRZUAZBCDDWEWPRZWGWPRZISRZ
      TZWEWGHSRZTZUAZUCZUDZUIOUIMNOOWNUCUEABCNMUFUGAVQIUEZVSHUEZUJZUJZWAWQWMXEX
      JVRWOVTWPXJVQIQAXGXHUHZUKXJVSHQAXGXHULZUKZUMXJBCWDWDWLDDXDXJWDDDUNZUBDXJW
      CXNXJWCXBUBZXNXJWBXBXJVSHSXLUKZUOAXOXNUEXIAXNXBADEFWPXBJAEFUPTZUQHXQURWPX
      BXQVAEFUSKHXQUTVBVCVDVEVKUODVFVGZXRXJWJXAWKXCXJWFWRWHWSWIWTXJVQISXKUKXJWE
      VTWPXMVHXJWGVTWPXMVHVIXJWBXBWEWGXPVLUMVJVMAIFGUPTLVNAHXQKVNXFOURAWQXEVOUG
      VP $.

    $( Value of the object part of the functor composition.  (Contributed by
       Mario Carneiro, 3-Jan-2017.) $)
    cofu1st $p |- ( ph ->
      ( 1st ` ( G o.func F ) ) = ( ( 1st ` G ) o. ( 1st ` F ) ) ) $=
      ( vx vy ccofu co c1st cfv ccom cv c2nd fvex cmpo cop cofuval fveq2d fvexi
      coex cbs mpoex op1st eqtrdi ) AGFMNZOPGOPZFOPZQZKLBBKRZUMPLRZUMPGSPNUOUPF
      SPNQZUAZUBZOPUNAUKUSOAKLBCDEFGHIJUCUDUNURULUMGOTFOTUFKLBBUQBCUGHUEZUTUHUI
      UJ $.

    cofu2nd.x $e |- ( ph -> X e. B ) $.
    $( Value of the object part of the functor composition.  (Contributed by
       Mario Carneiro, 28-Jan-2017.) $)
    cofu1 $p |- ( ph -> ( ( 1st ` ( G o.func F ) ) ` X ) =
      ( ( 1st ` G ) ` ( ( 1st ` F ) ` X ) ) ) $=
      ( ccofu co c1st cfv ccom cofu1st fveq1d wcel wf wceq c2nd eqid cfunc wrel
      cbs wbr relfunc 1st2ndbr sylancr funcf1 fvco3 syl2anc eqtrd ) AHGFMNOPZPH
      GOPZFOPZQZPZHURPUQPZAHUPUSABCDEFGIJKRSABDUGPZURUAHBTUTVAUBABVBCDURFUCPZIV
      BUDACDUENZUFFVDTURVCVDUHCDUIJFVDUJUKULLBVBHUQURUMUNUO $.

    cofu2nd.y $e |- ( ph -> Y e. B ) $.
    $( Value of the morphism part of the functor composition.  (Contributed by
       Mario Carneiro, 3-Jan-2017.) $)
    cofu2nd $p |- ( ph ->
      ( X ( 2nd ` ( G o.func F ) ) Y ) = ( ( ( ( 1st ` F ) ` X ) ( 2nd ` G )
           ( ( 1st ` F ) ` Y ) ) o. ( X ( 2nd ` F ) Y ) ) ) $=
      ( vx vy c1st cfv c2nd co ccom ccofu cvv cmpo cop cofuval fveq2d fvex coex
      cbs fvexi mpoex op2nd eqtrdi wceq simprl simprr oveq12d coeq12d wcel ovex
      cv wa a1i ovmpod ) AOPHIBBOVBZFQRZRZPVBZVGRZGSRZTZVFVIFSRZTZUAZHVGRZIVGRZ
      VKTZHIVMTZUAZGFUBTZSRZUCAWBGQRZVGUAZOPBBVOUDZUEZSRWEAWAWFSAOPBCDEFGJKLUFU
      GWDWEWCVGGQUHFQUHUIOPBBVOBCUJJUKZWGULUMUNAVFHUOZVIIUOZVCVCZVLVRVNVSWJVHVP
      VJVQVKWJVFHVGAWHWIUPZUGWJVIIVGAWHWIUQZUGURWJVFHVIIVMWKWLURUSMNVTUCUTAVRVS
      VPVQVKVAHIVMVAUIVDVE $.

    cofu2.h $e |- H = ( Hom ` C ) $.
    cofu2.y $e |- ( ph -> R e. ( X H Y ) ) $.
    $( Value of the morphism part of the functor composition.  (Contributed by
       Mario Carneiro, 28-Jan-2017.) $)
    cofu2 $p |- ( ph -> ( ( X ( 2nd ` ( G o.func F ) ) Y ) ` R ) =
      ( ( ( ( 1st ` F ) ` X ) ( 2nd ` G ) ( ( 1st ` F ) ` Y ) ) `
        ( ( X ( 2nd ` F ) Y ) ` R ) ) ) $=
      ( co cfv ccofu c2nd c1st ccom cofu2nd fveq1d chom wf wcel wceq eqid cfunc
      wrel wbr relfunc 1st2ndbr sylancr funcf2 fvco3 syl2anc eqtrd ) AEJKHGUASU
      BTSZTEJGUCTZTZKVCTZHUBTSZJKGUBTZSZUDZTZEVHTVFTZAEVBVIABCDFGHJKLMNOPUEUFAJ
      KISZVDVEDUGTZSZVHUHEVLUIVJVKUJABCDVCVGIVMJKLQVMUKACDULSZUMGVOUIVCVGVOUNCD
      UOMGVOUPUQOPURRVLVNEVFVHUSUTVA $.
  $}

  ${
    $d x y B $.  $d x y F $.  $d x y G $.  $d x y H $.  $d x y ph $.
    $d x y K $.
    cofuval2.b $e |- B = ( Base ` C ) $.
    cofuval2.f $e |- ( ph -> F ( C Func D ) G ) $.
    cofuval2.x $e |- ( ph -> H ( D Func E ) K ) $.
    $( Value of the composition of two functors.  (Contributed by Mario
       Carneiro, 3-Jan-2017.) $)
    cofuval2 $p |- ( ph -> ( <. H , K >. o.func <. F , G >. ) = <. ( H o. F ) ,
     ( x e. B , y e. B |-> ( ( ( F ` x ) K ( F ` y ) ) o. ( x G y ) ) ) >. ) $=
      ( cop co cfv ccom wcel cvv ccofu c1st c2nd cmpo cfunc df-br sylib cofuval
      cv wbr wa wceq wrel relfunc brrelex12 sylancr op1stg syl coeq12d 3ad2ant1
      w3a op2ndg fveq1d oveq123d oveqd mpoeq3dva opeq12d eqtrd ) AJKOZHIOZUAPVI
      UBQZVJUBQZRZBCDDBUIZVLQZCUIZVLQZVIUCQZPZVNVPVJUCQZPZRZUDZOJHRZBCDDVNHQZVP
      HQZKPZVNVPIPZRZUDZOABCDEFGVJVILAHIEFUEPZUJZVJWKSMHIWKUFUGAJKFGUEPZUJZVIWM
      SNJKWMUFUGUHAVMWDWCWJAVKJVLHAJTSKTSUKZVKJULAWMUMWNWOFGUNNJKWMUOUPZJKTTUQU
      RAHTSITSUKZVLHULZAWKUMWLWQEFUNMHIWKUOUPZHITTUQURZUSABCDDWBWIAVNDSZVPDSZVA
      ZVSWGWAWHXCVOWEVQWFVRKAXAVRKULZXBAWOXDWPJKTTVBURUTXCVNVLHAXAWRXBWTUTZVCXC
      VPVLHXEVCVDXCVTIVNVPAXAVTIULZXBAWQXFWSHITTVBURUTVEUSVFVGVH $.
  $}

  ${
    $d f g x y z C $.  $d f g x y z E $.  $d f g x y z F $.  $d f g x y z ph $.
    $d f g x y z G $.
    cofucl.f $e |- ( ph -> F e. ( C Func D ) ) $.
    cofucl.g $e |- ( ph -> G e. ( D Func E ) ) $.
    $( The composition of two functors is a functor.  Proposition 3.23 of
       [Adamek] p. 33.  (Contributed by Mario Carneiro, 3-Jan-2017.) $)
    cofucl $p |- ( ph -> ( G o.func F ) e. ( C Func E ) ) $=
      ( vx vy vz co cfv c2nd eqid wcel wf wral wa adantr vg vf ccofu c1st cfunc
      cop ccom cbs cv cmpo cofuval cofu1st fveq2d fvex coex mpoex op2nd opeq12d
      eqtrdi wbr cxp chom cmap cixp ccid wceq cco wrel relfunc 1st2ndbr sylancr
      eqtr4d funcf1 fco syl2anc feq1d mpbird ovex fnmpoi fneq1d mpbiri ffvelrnd
      simprl simprr funcf2 elmap sylibr cofu2nd cofu1 oveq12d oveq1d ralrimivva
      wfn 3eltr4d fveq2 df-ov eqtr4di op1std eleq12d ralxp elixp sylanbrc simpr
      vex op2ndd funcid ffvelrnda eqtrd ccat funcrcl syl simpld catidcl 3eqtr4d
      cofu2 simplr simprlr simprll simprrl simprrr catcocl funcco 3eqtrd fveq1d
      fvco3 oveq123d anassrs jca ralrimiva simprd mpbir3and df-br sylib eqeltrd
      isfunc ) AFEUCLZYPUDMZYPNMZUFZBDUELZAYPFUDMZEUDMZUGZIJBUHMZUUDIUIZUUBMZJU
      IZUUBMZFNMZLZUUEUUGENMZLZUGZUJZUFZYSAIJUUDBCDEFUUDOZGHUKZAYQUUCYRUUNAUUDB
      CDEFUUPGHULZAYRUUONMUUNAYPUUONUUQUMUUCUUNUUAUUBFUDUNEUDUNUOIJUUDUUDUUMBUH
      UNZUUSUPUQUSZURVLAYQYRYTUTZYSYTPAUVAUUDDUHMZYQQZYRKUUDUUDVAZKUIZUDMZYQMZU
      VENMZYQMZDVBMZLZUVEBVBMZMZVCLZVDPZUUEBVEMZMZUUEUUEYRLMZUUEYQMZDVEMZMZVFZU
      AUIZUBUIZUUEUUGUFZUVEBVGMZLLZUUEUVEYRLZMZUWCUUGUVEYRLMZUWDUUEUUGYRLZMZUVS
      UUGYQMZUFZUVEYQMZDVGMZLZLZVFZUAUUGUVEUVLLZRUBUUEUUGUVLLZRZKUUDRJUUDRZSZIU
      UDRAUVCUUDUVBUUCQZACUHMZUVBUUAQUUDUXFUUBQZUXEAUXFUVBCDUUAUUIUXFOZUVBOZACD
      UELZVHFUXJPZUUAUUIUXJUTZCDVIHFUXJVJVKZVMAUUDUXFBCUUBUUKUUPUXHABCUELZVHEUX
      NPZUUBUUKUXNUTZBCVIGEUXNVJVKZVMZUUDUXFUVBUUAUUBVNVOAUUDUVBYQUUCUURVPVQAYR
      UVDWMZUVEYRMZUVNPZKUVDRZUVOAUXSUUNUVDWMIJUUDUUDUUMUUNUUNOUUJUULUUFUUHUUIV
      RUUEUUGUUKVRUOVSAUVDYRUUNUUTVTWAAUWKUVSUWMUVJLZUXAVCLZPZJUUDRIUUDRUYBAUYE
      IJUUDUUDAUUEUUDPZUUGUUDPZSZSZUUMUUFUUAMZUUHUUAMZUVJLZUXAVCLZUWKUYDUYIUXAU
      YLUUMQZUUMUYMPUYIUUFUUHCVBMZLZUYLUUJQUXAUYPUULQUYNUYIUXFCDUUAUUIUYOUVJUUF
      UUHUXHUYOOZUVJOZAUXLUYHUXMTUYIUUDUXFUUEUUBAUXGUYHUXRTZAUYFUYGWCZWBUYIUUDU
      XFUUGUUBUYSAUYFUYGWDZWBWEUYIUUDBCUUBUUKUVLUYOUUEUUGUUPUVLOZUYQAUXPUYHUXQT
      UYTVUAWEUXAUYPUYLUUJUULVNVOUYLUXAUUMUYJUYKUVJVRUUEUUGUVLVRWFWGUYIUUDBCDEF
      UUEUUGUUPAUXOUYHGTZAUXKUYHHTZUYTVUAWHUYIUYCUYLUXAVCUYIUVSUYJUWMUYKUVJUYIU
      UDBCDEFUUEUUPVUCVUDUYTWIUYIUUDBCDEFUUGUUPVUCVUDVUAWIWJWKWNWLUYAUYEKIJUUDU
      UDUVEUWEVFZUXTUWKUVNUYDVUEUXTUWEYRMUWKUVEUWEYRWOUUEUUGYRWPWQVUEUVKUYCUVMU
      XAVCVUEUVGUVSUVIUWMUVJVUEUVFUUEYQUUEUUGUVEIXDZJXDZWRUMVUEUVHUUGYQUUEUUGUV
      EVUFVUGXEUMWJVUEUVMUWEUVLMUXAUVEUWEUVLWOUUEUUGUVLWPWQWJWSWTWGKUVDUVNYRYPN
      UNXAXBAUXDIUUDAUYFSZUWBUXCVUHUVQUUEUUEUUKLMZUUFUUFUUILZMZUYJUVTMZUVRUWAVU
      HVUKUUFCVEMZMZVUJMVULVUHVUIVUNVUJVUHUUDBUVPCUUBUUKVUMUUEUUPUVPOZVUMOZAUXP
      UYFUXQTZAUYFXCZXFUMVUHUXFCVUMDUUAUUIUVTUUFUXHVUPUVTOZAUXLUYFUXMTZAUUDUXFU
      UEUUBUXRXGZXFXHVUHUUDBCUVQDEFUVLUUEUUEUUPAUXOUYFGTZAUXKUYFHTZVURVURVUBVUH
      UUDBUVPUVLUUEUUPVUBVUOABXIPZUYFAVVDCXIPZAUXOVVDVVESGBCEXJXKXLZTZVURXMXOVU
      HUVSUYJUVTVUHUUDBCDEFUUEUUPVVBVVCVURWIZUMXNVUHUXBJKUUDUUDVUHUYGUVEUUDPZSZ
      SUWSUBUAUXAUWTVUHVVJUWDUXAPZUWCUWTPZSZUWSVUHVVJVVMSZSZUWGUUFUVEUUBMZUUILZ
      UUEUVEUUKLZUGZMZUWCUUGUVEUUKLZMZUUHVVPUUILMZUWDUULMZUUJMZUYJUYKUFZVVPUUAM
      ZUWPLZLZUWIUWRVVOVVTUWGVVRMZVVQMZVWBVWDUUFUUHUFVVPCVGMZLLZVVQMVWIVVOUUEUV
      EUVLLZUUFVVPUYOLZVVRQUWGVWNPVVTVWKVFVVOUUDBCUUBUUKUVLUYOUUEUVEUUPVUBUYQVU
      HUXPVVNVUQTZAUYFVVNXPZVUHUYGVVIVVMXQZWEVVOUUDBUWFUWDUWCUVLUUEUUGUVEUUPVUB
      UWFOZVUHVVDVVNVVGTVWQVUHUYGVVIVVMXRZVWRVUHVVJVVKVVLXSZVUHVVJVVKVVLXTZYAVW
      NVWOUWGVVQVVRYEVOVVOVWJVWMVVQVVOUUDBUWFCUUBUUKUVLUWDUWCVWLUUEUUGUVEUUPVUB
      VWSVWLOZVWPVWQVWTVWRVXAVXBYBUMVVOUXFCVWLDUUAUUIUYOVWDVWBUWPUUFUUHVVPUXHUY
      QVXCUWPOZVUHUXLVVNVUTTVUHUUFUXFPVVNVVATVVOUUDUXFUUGUUBVUHUXGVVNAUXGUYFUXR
      TTZVWTWBVVOUUDUXFUVEUUBVXEVWRWBVVOUXAUYPUWDUULVVOUUDBCUUBUUKUVLUYOUUEUUGU
      UPVUBUYQVWPVWQVWTWEVXAWBVVOUWTUUHVVPUYOLUWCVWAVVOUUDBCUUBUUKUVLUYOUUGUVEU
      UPVUBUYQVWPVWTVWRWEVXBWBYBYCVVOUWGUWHVVSVVOUUDBCDEFUUEUVEUUPVUHUXOVVNVVBT
      ZVUHUXKVVNVVCTZVWQVWRWHYDVVOUWJVWCUWLVWEUWQVWHVVOUWNVWFUWOVWGUWPVVOUVSUYJ
      UWMUYKVUHUVSUYJVFVVNVVHTVVOUUDBCDEFUUGUUPVXFVXGVWTWIURVVOUUDBCDEFUVEUUPVX
      FVXGVWRWIWJVVOUUDBCUWCDEFUVLUUGUVEUUPVXFVXGVWTVWRVUBVXBXOVVOUUDBCUWDDEFUV
      LUUEUUGUUPVXFVXGVWQVWTVUBVXAXOYFXNYGWLWLYHYIAIJKUUDUVBBUWFUVPUBUADYQYRUVL
      UVTUVJUWPUUPUXIVUBUYRVUOVUSVWSVXDVVFAVVEDXIPZAUXKVVEVXHSHCDFXJXKYJYOYKYQY
      RYTYLYMYN $.
  $}

  ${
    $d x y C $.  $d x y G $.  $d x y H $.  $d x y K $.  $d x y ph $.
    cofuass.g $e |- ( ph -> G e. ( C Func D ) ) $.
    cofuass.h $e |- ( ph -> H e. ( D Func E ) ) $.
    cofuass.k $e |- ( ph -> K e. ( E Func F ) ) $.
    $( Functor composition is associative.  (Contributed by Mario Carneiro,
       3-Jan-2017.) $)
    cofuass $p |- ( ph ->
      ( ( K o.func H ) o.func G ) = ( K o.func ( H o.func G ) ) ) $=
      ( vx vy ccofu co c1st cfv ccom c2nd wcel cbs cv cmpo coass cofu1st coeq1d
      cop coeq2d 3eqtr4a w3a cfunc 3ad2ant1 wbr relfunc 1st2ndbr sylancr funcf1
      eqid simp2 ffvelrnd simp3 cofu2nd cofu1 oveq12d coeq12d mpoeq3dva opeq12d
      wrel cofucl cofuval 3eqtr4d ) AHGNOZPQZFPQZRZLMBUAQZVPLUBZVNQZMUBZVNQZVLS
      QOZVQVSFSQZOZRZUCZUGHPQZGFNOZPQZRZLMVPVPVQWHQZVSWHQZHSQZOZVQVSWGSQOZRZUCZ
      UGVLFNOHWGNOAVOWIWEWPAWFGPQZRZVNRWFWQVNRZRVOWIWFWQVNUDAVMWRVNACUAQZCDEGHW
      TURZJKUEUFAWHWSWFAVPBCDFGVPURZIJUEUHUIALMVPVPWDWOAVQVPTZVSVPTZUJZVRWQQZVT
      WQQZWLOZVRVTGSQOZRZWCRXHXIWCRZRWDWOXHXIWCUDXEWAXJWCXEWTCDEGHVRVTXAAXCGCDU
      KOTXDJULZAXCHDEUKOTXDKULXEVPWTVQVNXEVPWTBCVNWBXBXAAXCVNWBBCUKOZUMZXDAXMVH
      FXMTZXNBCUNIFXMUOUPULUQZAXCXDUSZUTXEVPWTVSVNXPAXCXDVAZUTVBUFXEWMXHWNXKXEW
      JXFWKXGWLXEVPBCDFGVQXBAXCXOXDIULZXLXQVCXEVPBCDFGVSXBXSXLXRVCVDXEVPBCDFGVQ
      VSXBXSXLXQXRVBVEUIVFVGALMVPBCEFVLXBIACDEGHJKVIVJALMVPBDEWGHXBABCDFGIJVIKV
      JVK $.
  $}

  ${
    $d x y C $.  $d x D $.  $d x y F $.  $d x y I $.  $d x y ph $.
    cofulid.g $e |- ( ph -> F e. ( C Func D ) ) $.
    ${
      cofulid.1 $e |- I = ( idFunc ` D ) $.
      $( The identity functor is a left identity for composition.  (Contributed
         by Mario Carneiro, 3-Jan-2017.) $)
      cofulid $p |- ( ph -> ( I o.func F ) = F ) $=
        ( vx vy c1st cfv ccom cbs cv c2nd co eqid wcel syl wceq cmpo ccofu cres
        cop cid ccat cfunc wa funcrcl simprd idfu1st coeq1d wf wrel wbr relfunc
        1st2ndbr sylancr funcf1 fcoi2 eqtrd w3a chom 3ad2ant1 ffvelrnda 3adant3
        3adant2 idfu2nd simp2 simp3 funcf2 mpoeq3dva cxp wfn funcfn2 fnov sylib
        eqtr4d opeq12d idfucl cofuval 1st2nd 3eqtr4d ) AEJKZDJKZLZHIBMKZWGHNZWE
        KZINZWEKZEOKPZWHWJDOKZPZLZUAZUDWEWMUDZEDUBPDAWFWEWPWMAWFUECMKZUCZWELZWE
        AWDWSWEAWRCEGWRQZABUFRZCUFRZADBCUGPZRZXBXCUHFBCDUISUJZUKULAWGWRWEUMWTWE
        TAWGWRBCWEWMWGQZXAAXDUNZXEWEWMXDUOZBCUPZFDXDUQURZUSZWGWRWEUTSVAAWPHIWGW
        GWNUAZWMAHIWGWGWOWNAWHWGRZWJWGRZVBZWOUEWIWKCVCKZPZUCZWNLZWNXPWLXSWNXPWR
        CXQEWIWKGXAAXNXCXOXFVDXQQZAXNWIWRRXOAWGWRWHWEXLVEVFAXOWKWRRXNAWGWRWJWEX
        LVEVGVHULXPWHWJBVCKZPZXRWNUMXTWNTXPWGBCWEWMYBXQWHWJXGYBQYAAXNXIXOXKVDAX
        NXOVIAXNXOVJVKYCXRWNUTSVAVLAWMWGWGVMVNWMXMTAWGBCWEWMXGXKVOHIWGWGWMVPVQV
        RVSAHIWGBCCDEXGFAXCECCUGPRXFCEGVTSWAAXHXEDWQTXJFDXDWBURWC $.
    $}

    ${
      cofurid.1 $e |- I = ( idFunc ` C ) $.
      $( The identity functor is a right identity for composition.
         (Contributed by Mario Carneiro, 3-Jan-2017.) $)
      cofurid $p |- ( ph -> ( F o.func I ) = F ) $=
        ( vx vy c1st cfv ccom cbs co eqid wcel syl wceq eqtrd 3ad2ant1 c2nd cop
        cv cmpo ccofu cid cres ccat cfunc wa funcrcl simpld idfu1st coeq2d wrel
        wf wbr relfunc 1st2ndbr sylancr funcf1 fcoi1 w3a fveq1d fvresi 3ad2ant2
        chom 3ad2ant3 oveq12d simp2 simp3 idfu2nd coeq12d mpoeq3dva cxp funcfn2
        funcf2 wfn fnov sylib eqtr4d opeq12d idfucl cofuval 1st2nd 3eqtr4d ) AD
        JKZEJKZLZHIBMKZWJHUCZWHKZIUCZWHKZDUAKZNZWKWMEUAKNZLZUDZUBWGWOUBZDEUENDA
        WIWGWSWOAWIWGUFWJUGZLZWGAWHXAWGAWJBEGWJOZABUHPZCUHPZADBCUINZPZXDXEUJFBC
        DUKQULZUMZUNAWJCMKZWGUPXBWGRAWJXJBCWGWOXCXJOAXFUOZXGWGWOXFUQZBCURZFDXFU
        SUTZVAWJXJWGVBQSAWSHIWJWJWKWMWONZUDZWOAHIWJWJWRXOAWKWJPZWMWJPZVCZWRXOUF
        WKWMBVGKZNZUGZLZXOXSWPXOWQYBXSWLWKWNWMWOXSWLWKXAKZWKXSWKWHXAAXQWHXARXRX
        ITZVDXQAYDWKRXRWJWKVEVFSXSWNWMXAKZWMXSWMWHXAYEVDXRAYFWMRXQWJWMVEVHSVIXS
        WJBXTEWKWMGXCAXQXDXRXHTXTOZAXQXRVJZAXQXRVKZVLVMXSYAWKWGKWMWGKCVGKZNZXOU
        PYCXORXSWJBCWGWOXTYJWKWMXCYGYJOAXQXLXRXNTYHYIVQYAYKXOVBQSVNAWOWJWJVOVRW
        OXPRAWJBCWGWOXCXNVPHIWJWJWOVSVTWAWBAHIWJBBCEDXCAXDEBBUINPXHBEGWCQFWDAXK
        XGDWTRXMFDXFWEUTWF $.
    $}
  $}

  ${
    $d f h x z F $.  $d x y z G $.  $d f h x y z H $.  $d f h x z ph $.
    $d x y z S $.
    resfval.c $e |- ( ph -> F e. V ) $.
    resfval.d $e |- ( ph -> H e. W ) $.
    $( Value of the functor restriction operator.  (Contributed by Mario
       Carneiro, 6-Jan-2017.) $)
    resfval $p |- ( ph -> ( F |`f H ) =
      <. ( ( 1st ` F ) |` dom dom H ) , ( x e. dom H |->
        ( ( ( 2nd ` F ) ` x ) |` ( H ` x ) ) ) >. ) $=
      ( vf vh cvv cv c1st cfv cdm cres c2nd cmpt cop wceq cresf cmpo df-resf wa
      a1i simprl fveq2d simprr dmeqd reseq12d mpteq12dv opeq12d elexd wcel opex
      fveq1d ovmpod ) AIJCDKKILZMNZJLZOZOZPZBVABLZURQNZNZVDUTNZPZRZSZCMNZDOZOZP
      ZBVLVDCQNZNZVDDNZPZRZSZUAKUAIJKKVJUBTABIJUCUEAURCTZUTDTZUDUDZVCVNVIVSWCUS
      VKVBVMWCURCMAWAWBUFZUGWCVAVLWCUTDAWAWBUHZUIZUIUJWCBVAVHVLVRWFWCVFVPVGVQWC
      VDVEVOWCURCQWDUGUPWCVDUTDWEUPUJUKULACEGUMADFHUMVTKUNAVNVSUOUEUQ $.

    resfval2.g $e |- ( ph -> G e. X ) $.
    resfval2.d $e |- ( ph -> H Fn ( S X. S ) ) $.
    $( Value of the functor restriction operator.  (Contributed by Mario
       Carneiro, 6-Jan-2017.) $)
    resfval2 $p |- ( ph -> ( <. F , G >. |`f H ) = <. ( F |` S ) ,
      ( x e. S , y e. S |-> ( ( x G y ) |` ( x H y ) ) ) >. ) $=
      ( vz cop co cfv cdm cres c1st cv c2nd cmpt cmpo cvv wcel opex a1i resfval
      cresf op1stg syl2anc cxp fndmd dmeqd dmxpid eqtrdi reseq12d op2ndg fveq1d
      wceq reseq1d mpteq12dv fveq2 df-ov eqtr4di mpompt opeq12d eqtrd ) AEFPZGU
      KQVKUARZGSZSZTZOVMOUBZVKUCRZRZVPGRZTZUDZPEDTZBCDDBUBZCUBZFQZWCWDGQZTZUEZP
      AOVKGUFIVKUFUGAEFUHUILUJAVOWBWAWHAVLEVNDAEHUGZFJUGZVLEVBKMEFHJULUMAVNDDUN
      ZSDAVMWKAWKGNUOZUPDUQURUSAWAOWKVPFRZVSTZUDWHAOVMVTWKWNWLAVRWMVSAVPVQFAWIW
      JVQFVBKMEFHJUTUMVAVCVDBCODDWNWGVPWCWDPZVBZWMWEVSWFWPWMWOFRWEVPWOFVEWCWDFV
      FVGWPVSWOGRWFVPWOGVEWCWDGVFVGUSVHURVIVJ $.
  $}

  ${
    $d z F $.  $d z H $.  $d z ph $.  $d z X $.  $d z Y $.
    resf1st.f $e |- ( ph -> F e. V ) $.
    resf1st.h $e |- ( ph -> H e. W ) $.
    resf1st.s $e |- ( ph -> H Fn ( S X. S ) ) $.
    $( Value of the functor restriction operator on objects.  (Contributed by
       Mario Carneiro, 6-Jan-2017.) $)
    resf1st $p |- ( ph -> ( 1st ` ( F |`f H ) ) = ( ( 1st ` F ) |` S ) ) $=
      ( vz cresf co c1st cfv cdm cres cv c2nd cvv wcel cmpt resfval fveq2d wceq
      cop fvex resex dmexg mptexg 3syl op1stg sylancr fndmd dmeqd dmxpid eqtrdi
      cxp reseq2d 3eqtrd ) ACDKLZMNCMNZDOZOZPZJVBJQZCRNNVEDNPZUAZUEZMNZVDVABPAU
      TVHMAJCDEFGHUBUCAVDSTVGSTZVIVDUDVAVCCMUFUGADFTVBSTVJHDFUHJVBVFSUIUJVDVGSS
      UKULAVCBVAAVCBBUQZOBAVBVKAVKDIUMUNBUOUPURUS $.

    resf2nd.x $e |- ( ph -> X e. S ) $.
    resf2nd.y $e |- ( ph -> Y e. S ) $.
    $( Value of the functor restriction operator on morphisms.  (Contributed by
       Mario Carneiro, 6-Jan-2017.) $)
    resf2nd $p |- ( ph ->
      ( X ( 2nd ` ( F |`f H ) ) Y ) = ( ( X ( 2nd ` F ) Y ) |` ( X H Y ) ) ) $=
      ( vz co c2nd cfv cres cvv wcel cresf cop df-ov cv cdm c1st resfval fveq2d
      cmpt wceq fvex resex dmexg mptexg 3syl op2ndg sylancr eqtrd simpr eqtr4di
      wa reseq12d cxp opelxpd fndmd eleqtrrd ovex a1i fvmptd eqtrid ) AGHCDUAOZ
      PQZOGHUBZVLQGHCPQZOZGHDOZRZGHVLUCANVMNUDZVNQZVRDQZRZVQDUEZVLSAVLCUFQZWBUE
      ZRZNWBWAUIZUBZPQZWFAVKWGPANCDEFIJUGUHAWESTWFSTZWHWFUJWCWDCUFUKULADFTWBSTW
      IJDFUMNWBWASUNUOWEWFSSUPUQURAVRVMUJZVAZVSVOVTVPWKVSVMVNQVOWKVRVMVNAWJUSZU
      HGHVNUCUTWKVTVMDQVPWKVRVMDWLUHGHDUCUTVBAVMBBVCZWBAGHBBLMVDAWMDKVEVFVQSTAV
      OVPGHVNVGULVHVIVJ $.
  $}

  ${
    $d f g x y z C $.  $d f g x y z D $.  $d f g x y z F $.  $d f g x y z ph $.
    $d f g x y z H $.
    funcres.f $e |- ( ph -> F e. ( C Func D ) ) $.
    funcres.h $e |- ( ph -> H e. ( Subcat ` C ) ) $.
    $( A functor restricted to a subcategory is a functor.  (Contributed by
       Mario Carneiro, 6-Jan-2017.) $)
    funcres $p |- ( ph -> ( F |`f H ) e. ( ( C |`cat H ) Func D ) ) $=
      ( vz cfv cres cvv wcel eqtrd eqid adantr eleqtrrd sseldd fvresd 3ad2ant1
      co vx vy vf vg cresf c1st cdm c2nd cop cresc cfunc cv cmpt resfval fveq2d
      csubc wceq fvex resex dmexg mptexg 3syl op2ndg sylancr opeq2d wbr cbs cco
      eqtr4d ccid chom subccat ccat wa funcrcl syl simprd wrel relfunc 1st2ndbr
      wf funcf1 eqidd subcfn subcss1 fssresd simpld rescbas feq2d mpbid wfn cxp
      fnmpti eqcomd fndm sqxpeqd fneq12d mpbii wss simprl simprr funcf2 subcss2
      resf2nd feq1d mpbird reschom oveq12d feq23d eleq2d biimpar subcid fveq12d
      oveqd eqsstrrd sselda funcid subcidcl 3eqtr4d simp21 simp22 simp23 simp3l
      simp3r subccocl funcco rescco opeq12d fveq1d oveq123d isfuncd df-br sylib
      w3a eqeltrd ) ADEUETZDUFIZEUGZUGZJZYPUHIZUIZBEUJTZCUKTZAYPYTHYRHULZDUHIZI
      ZUUEEIZJZUMZUIZUUBAHDEBCUKTZBUPIZFGUNZAUUAUUJYTAUUAUUKUHIZUUJAYPUUKUHUUNU
      OAYTKLUUJKLZUUOUUJUQYQYSDUFURUSAEUUMLZYRKLUUPGEUUMUTHYRUUIKVAVBYTUUJKKVCV
      DMZVEVIAYTUUAUUDVFUUBUUDLAUAUBHUUCVGIZCVGIZUUCUUCVHIZUUCVJIZUCUDCYTUUAUUC
      VKIZCVJIZCVKIZCVHIZUUSNUUTNZUVCNUVENZUVBNUVDNZUVANUVFNZABUUCEUUCNZGVLABVM
      LZCVMLZADUULLZUVLUVMVNFBCDVOVPZVQAYSUUTYTWAUUSUUTYTWAABVGIZUUTYSYQAUVPUUT
      BCYQUUFUVPNZUVGAUULVRUVNYQUUFUULVFZBCVSFDUULVTVDZWBAUVPBYSEGABYSEGAYSWCWD
      ZUVQWEZWFAYSUUSUUTYTAUVPBUUCYSEVMUVKUVQAUVLUVMUVOWGZUVTUWAWHZWIWJAUUJYRWK
      UUAUUSUUSWLZWKHYRUUIUUJUUGUUHUUEUUFURUSUUJNWMAYRUWDUUJUUAAUUAUUJUURWNAYRY
      SYSWLZUWDAEUWEWKZYRUWEUQUVTUWEEWOVPAYSUUSUWCWPMWQWRAUAULZUUSLZUBULZUUSLZV
      NZVNZUWGUWIETZUWGYQIZUWIYQIZUVETZUWGUWIUUATZWAZUWGUWIUVCTZUWGYTIZUWIYTIZU
      VETZUWQWAUWLUWRUWMUWPUWGUWIUUFTZUWMJZWAUWLUWGUWIBVKIZTZUWPUWMUXCUWLUVPBCY
      QUUFUXEUVEUWGUWIUVQUXENZUVHAUVRUWKUVSOUWLYSUVPUWGAYSUVPWSZUWKUWAOZUWLUWGU
      USYSAUWHUWJWTAYSUUSUQZUWKUWCOZPZQUWLYSUVPUWIUXIUWLUWIUUSYSAUWHUWJXAUXKPZQ
      XBUWLBYSUXEEUWGUWIAUUQUWKGOZAUWFUWKUVTOZUXGUXLUXMXCWFUWLUWMUWPUWQUXDUWLYS
      DEUULUUMUWGUWIAUVNUWKFOUXNUXOUXLUXMXDXEXFUWLUWMUWPUWSUXBUWQUWLEUVCUWGUWIA
      EUVCUQZUWKAUVPBUUCYSEVMUVKUVQUWBUVTUWAXGZOXNUWLUXBUWPUWLUWTUWNUXAUWOUVEUW
      LUWGYSYQUXLRUWLUWIYSYQUXMRXHWNXIWJAUWHVNZUWGUVBIZUWGUWGUUATZIUWGBVJIZIZUW
      GUWGUUFTZUWGUWGETZJZIZUWTUVDIZUXRUXSUYBUXTUYEUXRYSDEUULUUMUWGUWGAUVNUWHFO
      AUUQUWHGOZAUWFUWHUVTOZAUWGYSLUWHAYSUUSUWGUWCXJXKZUYJXDUXRUYBUXSUXRBUUCYSU
      YAEUWGUVKUYHUYIUYANZUYJXLWNXMUXRUYBUYCIUWNUVDIUYFUYGUXRUVPBUYACYQUUFUVDUW
      GUVQUYKUVIAUVRUWHUVSOAUUSUVPUWGAUUSYSUVPUWCUWAXOXPXQUXRUYBUYDUYCUXRBYSUYA
      EUWGUYHUYIUYJUYKXRRUXRUWTUWNUVDUXRUWGYSYQUYJRUOXSMAUWHUWJUUEUUSLZYNZUCULZ
      UWSLZUDULZUWIUUEUVCTZLZVNZYNZUYPUYNUWGUWIUIZUUEBVHIZTZTZUWGUUEUUFTZUWGUUE
      ETZJZIZUYPUWIUUEUUFTZIZUYNUXCIZUWNUWOUIZUUEYQIZUVFTZTZUYPUYNVUAUUEUVATZTZ
      UWGUUEUUATZIUYPUWIUUEUUATZIZUYNUWQIZUWTUXAUIZUUEYTIZUVFTZTUYTVUHVUDVUEIVU
      OUYTVUDVUFVUEUYTBYSVUBUYNUYPEUWGUWIUUEAUYMUUQUYSGSZAUYMUWFUYSUVTSZUYTUWGU
      USYSAUWHUWJUYLUYSXTAUYMUXJUYSUWCSZPZVUBNZUYTUWIUUSYSAUWHUWJUYLUYSYAVVGPZU
      YTUUEUUSYSAUWHUWJUYLUYSYBVVGPZUYTUYNUWSUWMAUYMUYOUYRYCUYTEUVCUWGUWIAUYMUX
      PUYSUXQSZXNPZUYTUYPUYQUWIUUEETZAUYMUYOUYRYDUYTEUVCUWIUUEVVLXNPZYERUYTUVPB
      VUBCYQUUFUXEUYNUYPUVFUWGUWIUUEUVQUXGVVIUVJAUYMUVRUYSUVSSUYTYSUVPUWGAUYMUX
      HUYSUWASZVVHQUYTYSUVPUWIVVPVVJQUYTYSUVPUUEVVPVVKQUYTUWMUXFUYNUYTBYSUXEEUW
      GUWIVVEVVFUXGVVHVVJXCVVMQUYTVVNUWIUUEUXETUYPUYTBYSUXEEUWIUUEVVEVVFUXGVVJV
      VKXCVVOQYFMUYTVUQVUDVURVUGUYTYSDEUULUUMUWGUUEAUYMUVNUYSFSZVVEVVFVVHVVKXDU
      YTVUPVUCUYPUYNUYTUVAVUBVUAUUEUYTVUBUVAAUYMVUBUVAUQUYSAUVPBUUCYSVUBEVMUVKU
      VQUWBUVTUWAVVIYGSWNXNXNXMUYTVUTVUJVVAVUKVVDVUNUYTVVBVULVVCVUMUVFUYTUWTUWN
      UXAUWOUYTUWGYSYQVVHRUYTUWIYSYQVVJRYHUYTUUEYSYQVVKRXHUYTVUTUYPVUIVVNJZIVUJ
      UYTUYPVUSVVRUYTYSDEUULUUMUWIUUEVVQVVEVVFVVJVVKXDYIUYTUYPVVNVUIVVORMUYTVVA
      UYNUXDIVUKUYTUYNUWQUXDUYTYSDEUULUUMUWGUWIVVQVVEVVFVVHVVJXDYIUYTUYNUWMUXCV
      VMRMYJXSYKYTUUAUUDYLYMYO $.
  $}

  ${
    $d f g x y z A $.  $d f g x y z C $.  $d f g x y z D $.  $d f g x y z ph $.
    $d f g x y z F $.  $d f g x y z G $.  $d f g x y z H $.  $d f g x y z R $.
    funcres2b.a $e |- A = ( Base ` C ) $.
    funcres2b.h $e |- H = ( Hom ` C ) $.
    funcres2b.r $e |- ( ph -> R e. ( Subcat ` D ) ) $.
    funcres2b.s $e |- ( ph -> R Fn ( S X. S ) ) $.
    funcres2b.1 $e |- ( ph -> F : A --> S ) $.
    funcres2b.2 $e |- ( ( ph /\ ( x e. A /\ y e. A ) ) ->
      ( x G y ) : Y --> ( ( F ` x ) R ( F ` y ) ) ) $.
    $( Condition for a functor to also be a functor into the restriction.
       (Contributed by Mario Carneiro, 6-Jan-2017.) $)
    funcres2b $p |- ( ph ->
      ( F ( C Func D ) G <-> F ( C Func ( D |`cat R ) ) G ) ) $=
      ( co cfv vz vg vf ccat wcel cfunc wbr cresc wi cop wa df-br funcrcl sylbi
      simpld a1i wb cbs wf cxp c1st c2nd chom cmap cixp ccid wceq cco wral eqid
      cv w3a subcss1 fssd csubc subcrcl syl rescbas feq3d mpbid 2thd adantr cvv
      wfn crn adantlr frnd ad2antrr simprl ffvelrnd simprr subcss2 sstrd anbi2d
      wss 3bitr4g reschom oveqd bitrd ralrimivva fveq2 df-ov eqtr4di vex op1std
      df-f fveq2d op2ndd oveq12d eleq12d ovex elmap bitrdi bibi12d ralxp sylibr
      3anbi3d elixp2 ffvelrnda subcid eqeq2d rescco 2ralbidv ralbidva 3anbi123d
      ralbi anbi12d simpr isfunc subccat 3bitr4d ex pm5.21ndd ) AEUDUEZIJEFUFSZ
      UGZIJEFGUHSZUFSZUGZYPYNUIAYPYNFUDUEZYPIJUJZYOUEYNYTUKIJYOULEFUUAUMUNUOUPY
      SYNUIAYSYNYQUDUEZYSUUAYRUEYNUUBUKIJYRULEYQUUAUMUNUOUPAYNYPYSUQAYNUKZDFURT
      ZIUSZJUADDUTZUAVKZVATZITZUUGVBTZITZFVCTZSZUUGKTZVDSZVEUEZBVKZEVFTZTUUQUUQ
      JSTZUUQITZFVFTZTZVGZUBVKZUCVKZUUQCVKZUJZUUGEVHTZSSUUQUUGJSTZUVDUVFUUGJSTZ
      UVEUUQUVFJSZTZUUTUVFITZUJZUUGITZFVHTZSZSZVGZUBUVFUUGKSZVIUCUUQUVFKSZVIZUA
      DVICDVIZUKZBDVIZVLDYQURTZIUSZJUAUUFUUIUUKYQVCTZSZUUNVDSZVEUEZUUSUUTYQVFTZ
      TZVGZUVIUVJUVLUVNUVOYQVHTZSZSZVGZUBUVTVIUCUWAVIZUADVICDVIZUKZBDVIZVLYPYSU
      UCUUEUWGUUPUWKUWEUXBAUUEUWGUQYNAUUEUWGADHUUDIQAUUDFHGOPUUDVJZVMZVNADHIUSZ
      UWGQAHUWFIDAUUDFYQHGUDYQVJZUXCAGFVOTUEZYTOFGVPVQZPUXDVRVSVTWAWBUUCJWCUEZJ
      UUFWDZUUGJTZUUOUEZUAUUFVIZVLUXIUXJUXKUWJUEZUAUUFVIZVLUUPUWKUUCUXMUXOUXIUX
      JUUCUXLUXNUQZUAUUFVIZUXMUXOUQUUCUWAUUTUVMUULSZUVKUSZUWAUUTUVMUWHSZUVKUSZU
      QZCDVIBDVIUXQUUCUYBBCDDUUCUUQDUEZUVFDUEZUKZUKZUXSUWAUUTUVMGSZUVKUSZUYAUYF
      UVKUWAWDZUVKWEZUXRWOZUKUYIUYJUYGWOZUKUXSUYHUYFUYKUYLUYIUYFUYKUYLUYFUYJUYG
      UXRUYFLUYGUVKAUYELUYGUVKUSYNRWFWGZUYFFHUULGUUTUVMAUXGYNUYEOWHAGHHUTWDZYNU
      YEPWHUULVJZUYFDHUUQIAUXEYNUYEQWHZUUCUYCUYDWIWJUYFDHUVFIUYPUUCUYCUYDWKWJWL
      WMUYMWAWNUWAUXRUVKXFUWAUYGUVKXFWPUYFUYGUXTUVKUWAUYFGUWHUUTUVMAGUWHVGYNUYE
      AUUDFYQHGUDUXFUXCUXHPUXDWQWHWRVSWSWTUXPUYBUABCDDUUGUVGVGZUXLUXSUXNUYAUYQU
      XLUVKUXRUWAVDSZUEUXSUYQUXKUVKUUOUYRUYQUXKUVGJTUVKUUGUVGJXAUUQUVFJXBXCZUYQ
      UUMUXRUUNUWAVDUYQUUIUUTUUKUVMUULUYQUUHUUQIUUQUVFUUGBXDZCXDZXEXGZUYQUUJUVF
      IUUQUVFUUGUYTVUAXHXGZXIUYQUUNUVGKTUWAUUGUVGKXAUUQUVFKXBXCZXIXJUXRUWAUVKUU
      TUVMUULXKUUQUVFKXKZXLXMUYQUXNUVKUXTUWAVDSZUEUYAUYQUXKUVKUWJVUFUYSUYQUWIUX
      TUUNUWAVDUYQUUIUUTUUKUVMUWHVUBVUCXIVUDXIXJUXTUWAUVKUUTUVMUWHXKVUEXLXMXNXO
      XPUXLUXNUAUUFYFVQXQUAUUFUUOJXRUAUUFUWJJXRWPUUCUWDUXABDUUCUYCUKZUVCUWNUWCU
      WTVUGUVBUWMUUSVUGFYQHUVAGUUTUXFAUXGYNUYCOWHAUYNYNUYCPWHUVAVJZUUCDHUUQIAUX
      EYNQWBXSXTYAVUGUWBUWSCUADDVUGUVSUWRUCUBUWAUVTVUGUVRUWQUVIVUGUVQUWPUVJUVLV
      UGUVPUWOUVNUVOAUVPUWOVGYNUYCAUUDFYQHUVPGUDUXFUXCUXHPUXDUVPVJZYBWHWRWRYAYC
      YCYGYDYEUUCBCUADUUDEUVHUURUCUBFIJKUVAUULUVPMUXCNUYOUURVJZVUHUVHVJZVUIAYNY
      HZAYTYNUXHWBYIUUCBCUADUWFEUVHUURUCUBYQIJKUWLUWHUWOMUWFVJNUWHVJVUJUWLVJVUK
      UWOVJVULAUUBYNAFYQGUXFOYJWBYIYKYLYM $.
  $}

  ${
    $d f g x y C $.  $d f g x y D $.  $d f g x y R $.
    $( A functor into a restricted category is also a functor into the whole
       category.  (Contributed by Mario Carneiro, 6-Jan-2017.) $)
    funcres2 $p |- ( R e. ( Subcat ` D ) ->
      ( C Func ( D |`cat R ) ) C_ ( C Func D ) ) $=
      ( vf vg vx vy cfv wcel co cfunc cv wbr wa cbs cdm eqid wf ccat mpbird a1i
      csubc cresc wrel relfunc cop simpr chom simpl eqidd subcfn funcf1 subcrcl
      adantr subcss1 rescbas simplr simprl simprr funcf2 wceq reschom funcres2b
      feq3d oveqd ex df-br 3imtr3g relssdv ) CBUBHIZDEABCUCJZKJZABKJZVLUDVJAVKU
      EUAVJDLZELZVLMZVNVOVMMZVNVOUFZVLIVRVMIVJVPVQVJVPNZVQVPVJVPUGZVSFGAOHZABCC
      PPZVNVOAUHHZFLZGLZWCJZWAQZWCQZVJVPUIZVSBWBCWIVSWBUJUKZVSWAWBVNRWAVKOHZVNR
      VSWAWKAVKVNVOWGWKQVTULVSWBWKVNWAVSBOHZBVKWBCSVKQZWLQZVJBSIVPBCUMUNZWJVSWL
      BWBCWIWJWNUOZUPVDTVSWDWAIZWEWAIZNZNZWFWDVNHZWEVNHZCJZWDWEVOJZRWFXAXBVKUHH
      ZJZXDRWTWAAVKVNVOWCXEWDWEWGWHXEQVJVPWSUQVSWQWRURVSWQWRUSUTWTXCXFXDWFWTCXE
      XAXBVSCXEVAWSVSWLBVKWBCSWMWNWOWJWPVBUNVEVDTVCTVFVNVOVLVGVNVOVMVGVHVI $.
  $}

  ${
    $d f g z C $.  $d f g z D $.  $d f g z ph $.
    wunfunc.1 $e |- ( ph -> U e. WUni ) $.
    wunfunc.2 $e |- ( ph -> C e. U ) $.
    wunfunc.3 $e |- ( ph -> D e. U ) $.
    $( A weak universe is closed under the functor set operation.  (Contributed
       by Mario Carneiro, 12-Jan-2017.)  (Proof shortened by AV,
       13-Oct-2024.) $)
    wunfunc $p |- ( ph -> ( C Func D ) e. U ) $=
      ( vz cbs cfv cmap co chom cxp wunstr wunxp cv eqid fvex wss vf vg crn cpw
      cuni cfunc cnx baseid wunmap homid wunrn wununi wrel relfunc a1i cop wcel
      wunpw df-br wa wf simpr funcf1 elmap sylibr c1st c2nd cixp wral fvssunirn
      wbr ovssunirn xpss12 mp2an sspwi sstri rgenw ss2ixp ax-mp xpex rnex uniex
      mapsspw ixpconst sseqtri funcixp sselid opelxpd ex syl5bir relssdv wunss
      pwex ) ACIJZBIJZKLZBMJZUCZUEZCMJZUCZUEZNZUDZWOWONZKLZNZBCUFLZDEAWPXFDEAWN
      WODEACDIUGIJZUHEGOABDIXIUHEFOZUIAXDXEDEAXCDEAWSXBDEAWRDEAWQDEABDMUGMJZUJE
      FOUKULAXADEAWTDEACDMXKUJEGOUKULPURAWOWODEXJXJPUIPAUAUBXHXGXHUMABCUNUOUAQZ
      UBQZUPZXHUQXLXMXHVKZAXNXGUQZXLXMXHUSAXOXPAXOUTZXLXMWPXFXQWOWNXLVAXLWPUQXQ
      WOWNBCXLXMWORZWNRAXOVBZVCWNWOXLCISBISZVDVEXQHXEHQZVFJXLJZYAVGJXLJZWTLZYAW
      QJZKLZVHZXFXMYGHXEXDVHZXFYFXDTZHXEVIYGYHTYIHXEYFYEYDNZUDXDYDYEWCYJXCYEWST
      YDXBTYJXCTWQYAVJWTYBYCVLYEWSYDXBVMVNVOVPVQHXEYFXDVRVSHXEXDWOWOXTXTVTXCWSX
      BWRWQBMSWAWBXAWTCMSWAWBVTWMWDWEXQHWOBCXLXMWQWTXRWQRWTRXSWFWGWHWIWJWKWL $.

    $( Obsolete proof of ~ wunfunc as of 13-Oct-2024.  (Contributed by Mario
       Carneiro, 12-Jan-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    wunfuncOLD $p |- ( ph -> ( C Func D ) e. U ) $=
      ( vz cbs cfv cmap co chom cxp c1 wunstr wunxp eqid fvex wss vf vg crn cpw
      cuni cfunc df-base wunmap c4 cdc df-hom wunrn wununi wunpw relfunc a1i cv
      wrel cop wcel wbr df-br wa wf simpr funcf1 elmap sylibr c1st c2nd mapsspw
      cixp wral fvssunirn ovssunirn xpss12 mp2an sspwi sstri rgenw ss2ixp ax-mp
      xpex rnex pwex ixpconst sseqtri funcixp sselid opelxpd ex syl5bir relssdv
      uniex wunss ) ACIJZBIJZKLZBMJZUCZUEZCMJZUCZUEZNZUDZWQWQNZKLZNZBCUFLZDEAWR
      XHDEAWPWQDEACDIOUGEGPABDIOUGEFPZUHAXFXGDEAXEDEAXAXDDEAWTDEAWSDEABDMOUIUJZ
      UKEFPULUMAXCDEAXBDEACDMXLUKEGPULUMQUNAWQWQDEXKXKQUHQAUAUBXJXIXJURABCUOUPU
      AUQZUBUQZUSZXJUTXMXNXJVAZAXOXIUTZXMXNXJVBAXPXQAXPVCZXMXNWRXHXRWQWPXMVDXMW
      RUTXRWQWPBCXMXNWQRZWPRAXPVEZVFWPWQXMCISBISZVGVHXRHXGHUQZVIJXMJZYBVJJXMJZX
      BLZYBWSJZKLZVLZXHXNYHHXGXFVLZXHYGXFTZHXGVMYHYITYJHXGYGYFYENZUDXFYEYFVKYKX
      EYFXATYEXDTYKXETWSYBVNXBYCYDVOYFXAYEXDVPVQVRVSVTHXGYGXFWAWBHXGXFWQWQYAYAW
      CXEXAXDWTWSBMSWDWNXCXBCMSWDWNWCWEWFWGXRHWQBCXMXNWSXBXSWSRXBRXTWHWIWJWKWLW
      MWO $.
  $}

  ${
    $d f g m n w x y z A $.  $d f g m n w x y z C $.  $d f g m n x y z ph $.
    $d f g m n x y z B $.  $d f g m n x y z D $.
    funcpropd.1 $e |- ( ph -> ( Homf ` A ) = ( Homf ` B ) ) $.
    funcpropd.2 $e |- ( ph -> ( comf ` A ) = ( comf ` B ) ) $.
    funcpropd.3 $e |- ( ph -> ( Homf ` C ) = ( Homf ` D ) ) $.
    funcpropd.4 $e |- ( ph -> ( comf ` C ) = ( comf ` D ) ) $.
    funcpropd.a $e |- ( ph -> A e. V ) $.
    funcpropd.b $e |- ( ph -> B e. V ) $.
    funcpropd.c $e |- ( ph -> C e. V ) $.
    funcpropd.d $e |- ( ph -> D e. V ) $.
    $( If two categories have the same set of objects, morphisms, and
       compositions, then they have the same functors.  (Contributed by Mario
       Carneiro, 17-Jan-2017.) $)
    funcpropd $p |- ( ph -> ( A Func C ) = ( B Func D ) ) $=
      ( vz co wcel wa cfv eqid vf vg vx vn vm vy vw cfunc relfunc cbs cv wf cxp
      ccat c1st c2nd chom cmap cixp ccid wceq cop cco wral w3a catpropd anbi12d
      wbr wb 2fveq3 oveq12d fveq2 cbvixpv eleq2i anbi2i chomf ad2antrr cidpropd
      ccomf fveq1d fveq2d eqeq12d ad6antr simp-5r simp-4r simpllr simplr simprl
      simpr comfeqval ad5antr ffvelrnd df-ov simprr ad5ant12 adantr opelxpi vex
      ad5ant23 op1std op2ndd eqtr4di fvixp syl2anc elmapi syl adantll ffvelrnda
      eqeltrid ralbidva homfeqval raleqdv raleqbidv bitrd pm5.32da xp1st adantl
      sylan2b xp2nd 3eqtr3g 1st2nd2 3eqtr4d ixpeq2dva homfeqbas sqxpeqd ixpeq1d
      eqtrd eleq2d feq23d anbi1d anbi2d raleqbidva df-3an 3bitr4g df-br funcrcl
      sylbi simpl isfunc biadanii eqbrrdiv ) AUAUBBDUHPZCEUHPZBDUICEUIABUNQZDUN
      QZRZBUJSZDUJSZUAUKZULZUBUKZOUUGUUGUMZOUKZUOSZUUISZUUMUPSZUUISZDUQSZPZUUMB
      UQSZSZURPZUSZQZUCUKZBUTSZSZUVEUVEUUKPZSZUVEUUISZDUTSZSZVAZUDUKZUEUKZUVEUF
      UKZVBZUUMBVCSZPPZUVEUUMUUKPZSZUVNUVPUUMUUKPZSZUVOUVEUVPUUKPZSZUVJUVPUUISZ
      VBZUUMUUISZDVCSZPPZVAZUDUVPUUMUUTPZVDZUEUVEUVPUUTPZVDZOUUGVDZUFUUGVDZRZUC
      UUGVDZVEZRCUNQZEUNQZRZCUJSZEUJSZUUIULZUUKOUXDUXDUMZUUOUUQEUQSZPZUUMCUQSZS
      ZURPZUSZQZUVECUTSZSZUVHSZUVJEUTSZSZVAZUVNUVOUVQUUMCVCSZPPZUVTSZUWCUWEUWGU
      WHEVCSZPPZVAZUDUVPUUMUXJPZVDZUEUVEUVPUXJPZVDZOUXDVDZUFUXDVDZRZUCUXDVDZVEZ
      RUUIUUKUUBVHZUUIUUKUUCVHZAUUFUXCUWTUYOAUUDUXAUUEUXBABCFFGHKLVFADEFFIJMNVF
      VGAUUJUVDRZUWSRZUXFUXNRZUYNRZUWTUYOAUYSUYRUXTUYJOUUGVDZUFUUGVDZRZUCUUGVDZ
      RVUAAUYRUWSVUEUYRAUUJUUKUGUULUGUKZUOSZUUISZVUFUPSZUUISZUURPZVUFUUTSZURPZU
      SZQZRZUWSVUEVIUVDVUOUUJUVCVUNUUKOUGUULUVBVUMUUMVUFVAZUUSVUKUVAVULURVUQUUO
      VUHUUQVUJUURUUMVUFUUIUOVJUUMVUFUUIUPVJVKUUMVUFUUTVLVKVMVNVOAVUPRZUWRVUDUC
      UUGVURUVEUUGQZRZUVMUXTUWQVUCVUTUVIUXQUVLUXSVUTUVGUXPUVHVUTUVEUVFUXOVUTBCF
      FABVPSCVPSVAZVUPVUSGVQZABVSSCVSSVAZVUPVUSHVQABFQVUPVUSKVQACFQVUPVUSLVQVRV
      TWAVUTUVJUVKUXRAUVKUXRVAVUPVUSADEFFIJMNVRVQVTWBVUTUWPVUBUFUUGVUTUVPUUGQZR
      ZUWOUYJOUUGVVEUUMUUGQZRZUWOUYFUDUWLVDZUEUWNVDUYJVVGUWMVVHUEUWNVVGUVOUWNQZ
      RZUWKUYFUDUWLVVJUVNUWLQZRZUWAUYCUWJUYEVVLUVSUYBUVTVVLUUGBCUYAUVRUVOUVNUUT
      UVEUVPUUMUUGTZUUTTZUVRTZUYATZAVVAVUPVUSVVDVVFVVIVVKGWCAVVCVUPVUSVVDVVFVVI
      VVKHWCVURVUSVVDVVFVVIVVKWDZVUTVVDVVFVVIVVKWEZVVEVVFVVIVVKWFZVVGVVIVVKWGZV
      VJVVKWIWJWAVVLUUHDEUYDUWIUWEUWCUURUVJUWFUWHUUHTZUURTZUWITZUYDTZADVPSEVPSV
      AZVUPVUSVVDVVFVVIVVKIWCADVSSEVSSVAVUPVUSVVDVVFVVIVVKJWCVVLUUGUUHUVEUUIVUR
      UUJVUSVVDVVFVVIVVKAUUJVUOWHWKZVVQWLVVLUUGUUHUVPUUIVWFVVRWLVVLUUGUUHUUMUUI
      VWFVVSWLVVLUWNUVJUWFUURPZUVOUWDVVJUWNVWGUWDULZVVKVVJUWDVWGUWNURPZQVWHVVJU
      WDUVQUUKSZVWIUVEUVPUUKWMVVJVUOUVQUULQZVWJVWIQVVGVUOVVIAVUPVUOVUSVVDVVFAUU
      JVUOWNWOZWPVUSVVDVWKVURVVFVVIUVEUVPUUGUUGWQWSUGUULVUMUVQVWIUUKVUFUVQVAZVU
      KVWGVULUWNURVWMVUHUVJVUJUWFUURVWMVUGUVEUUIUVEUVPVUFUCWRZUFWRZWTWAVWMVUIUV
      PUUIUVEUVPVUFVWNVWOXAWAVKVWMVULUVQUUTSUWNVUFUVQUUTVLUVEUVPUUTWMXBVKXCXDXI
      UWDVWGUWNXEXFWPVVTWLVVJUWLUWFUWHUURPZUVNUWBVVGUWLVWPUWBULZVVIVVGUWBVWPUWL
      URPZQVWQVVGUWBUVPUUMVBZUUKSZVWRUVPUUMUUKWMVVGVUOVWSUULQZVWTVWRQVWLVVDVVFV
      XAVUTUVPUUMUUGUUGWQXGUGUULVUMVWSVWRUUKVUFVWSVAZVUKVWPVULUWLURVXBVUHUWFVUJ
      UWHUURVXBVUGUVPUUIUVPUUMVUFVWOOWRZWTWAVXBVUIUUMUUIUVPUUMVUFVWOVXCXAWAVKVX
      BVULVWSUUTSUWLVUFVWSUUTVLUVPUUMUUTWMXBVKXCXDXIUWBVWPUWLXEXFWPXHWJWBXJXJVV
      GVVHUYHUEUWNUYIVVGUUGBCUUTUXJUVEUVPVVMVVNUXJTZVUTVVAVVDVVFVVBVQZVURVUSVVD
      VVFWFVUTVVDVVFWGZXKVVGUYFUDUWLUYGVVGUUGBCUUTUXJUVPUUMVVMVVNVXDVXEVXFVVEVV
      FWIXKXLXMXNXJXJVGXJXRXOAUYRUYTVUEUYNAUYRUUJUXNRUYTAUUJUVDUXNAUUJRZUVCUXMU
      UKVXGUVCOUULUXLUSUXMVXGOUULUVBUXLVXGUUMUULQZRZUUSUXIUVAUXKURVXIUUHDEUURUX
      HUUOUUQVWAVWBUXHTZAVWEUUJVXHIVQVXIUUGUUHUUNUUIAUUJVXHWGZVXHUUNUUGQVXGUUMU
      UGUUGXPXQZWLVXIUUGUUHUUPUUIVXKVXHUUPUUGQVXGUUMUUGUUGXSXQZWLXKVXIUUNUUPVBZ
      UUTSZVXNUXJSZUVAUXKVXIUUNUUPUUTPUUNUUPUXJPVXOVXPVXIUUGBCUUTUXJUUNUUPVVMVV
      NVXDAVVAUUJVXHGVQVXLVXMXKUUNUUPUUTWMUUNUUPUXJWMXTVXIUUMVXNUUTVXHUUMVXNVAV
      XGUUMUUGUUGYAXQZWAVXIUUMVXNUXJVXQWAYBVKYCVXGOUULUXGUXLAUULUXGVAUUJAUUGUXD
      ABCGYDZYEWPYFYGYHXOAUUJUXFUXNAUUGUUHUXDUXEUUIVXRADEIYDYIYJXNAVUDUYMUCUUGU
      XDVXRAVUSRZVUCUYLUXTVXSVUBUYKUFUUGUXDAUUGUXDVAVUSVXRWPZVXSUYJOUUGUXDVXTXL
      XMYKYLVGXNUUJUVDUWSYMUXFUXNUYNYMYNVGUYPUUFUWTUYPUUIUUKVBZUUBQUUFUUIUUKUUB
      YOBDVYAYPYQUUFUCUFOUUGUUHBUVRUVFUEUDDUUIUUKUUTUVKUURUWIVVMVWAVVNVWBUVFTUV
      KTVVOVWCUUDUUEYRUUDUUEWIYSYTUYQUXCUYOUYQVYAUUCQUXCUUIUUKUUCYOCEVYAYPYQUXC
      UCUFOUXDUXECUYAUXOUEUDEUUIUUKUXJUXRUXHUYDUXDTUXETVXDVXJUXOTUXRTVVPVWDUXAU
      XBYRUXAUXBWIYSYTYNUUA $.
  $}

  ${
    $d x y A $.  $d x y C $.  $d x y D $.  $d x y E $.  $d x y ph $.
    $d x y F $.  $d x y G $.  $d x y S $.
    funcres2c.a $e |- A = ( Base ` C ) $.
    funcres2c.e $e |- E = ( D |`s S ) $.
    funcres2c.d $e |- ( ph -> D e. Cat ) $.
    funcres2c.r $e |- ( ph -> S e. V ) $.
    funcres2c.1 $e |- ( ph -> F : A --> S ) $.
    $( Condition for a functor to also be a functor into the restriction.
       (Contributed by Mario Carneiro, 30-Jan-2017.) $)
    funcres2c $p |- ( ph -> ( F ( C Func D ) G <-> F ( C Func E ) G ) ) $=
      ( co wa chomf cfv eqid wcel vx vy cfunc wbr wo wi orc a1i olc cbs cin cxp
      wb cres cresc chom cv csubc wss inss2 fullsubc adantr homffn xpss12 mp2an
      wfn fnssres crn ffnd frnd simpr funcf1 ressbasss sstrdi jaodan ssind df-f
      wf sylanbrc simplrl simplrr funcf2 wceq resshom syl ad2antrr oveqd mpbird
      feq3d an32s simprl simprr ovresd elin2d homfval eqtrd funcres2b cvv eqidd
      ffvelrnd ccomf cress ressinbas eqtrid fveq2d fullresc simpld simprd df-br
      ccat cop funcrcl sylbi elexd adantl ovexi ovexd funcpropd breqd bitr4d ex
      jaoi pm5.21ndd ) AGHCDUCOZUDZGHCFUCOZUDZUEZYEYGYEYHUFAYEYGUGUHYGYHUFAYGYE
      UIUHAYHYEYGUMAYHPZYEGHCDDQRZEDUJRZUKZYLULZUNZUOOZUCOZUDYGYIUAUBBCDYNYLGHC
      UPRZUAUQZUBUQZYQOZJYQSZAYNDURRTYHAYKDYLYJYKSZYJSZLYLYKUSZAEYKUTZUHZVAVBYN
      YMVFZYIYJYKYKULZVFYMUUHUSZUUGYKDYJUUCUUBVCUUDUUDUUIUUEUUEYLYKYLYKVDVEUUHY
      MYJVGVEUHYIGBVFGVHZYLUSBYLGVRZYIBEGABEGVRYHNVBZVIYIUUJEYKYIBEGUULVJAYEUUJ
      YKUSYGAYEPZBYKGUUMBYKCDGHJUUBAYEVKVLVJAYGPZUUJFUJRZYKUUNBUUOGUUNBUUOCFGHJ
      UUOSAYGVKVLVJEYKFDKUUBVMVNVOVPBYLGVQVSZYIYRBTZYSBTZPZPZYTYRGRZYSGRZYNOZYR
      YSHOZVRYTUVAUVBDUPRZOZUVDVRZAUUSYHUVGAUUSPZYEUVGYGUVHYEPBCDGHYQUVEYRYSJUU
      AUVESZUVHYEVKAUUQUURYEVTAUUQUURYEWAWBUVHYGPZUVGYTUVAUVBFUPRZOZUVDVRUVJBCF
      GHYQUVKYRYSJUUAUVKSUVHYGVKAUUQUURYGVTAUUQUURYGWAWBUVJUVFUVLUVDYTUVJUVEUVK
      UVAUVBAUVEUVKWCZUUSYGAEITZUVMMEDFUVEIKUVIWDWEWFWGWIWHVOWJUUTUVCUVFUVDYTUU
      TUVCUVAUVBYJOUVFUUTUVAUVBYJYLUUTBYLYRGYIUUKUUSUUPVBZYIUUQUURWKWTZUUTBYLYS
      GUVOYIUUQUURWLWTZWMUUTYKDYJUVEUVAUVBUUCUUBUVIUUTEYKUVAUVPWNUUTEYKUVBUVQWN
      WOWPWIWHWQYIYFYPGHYICCFYOWRYICQRWSYICXARWSAFQRZYOQRZWCYHAUVRDYLXBOZQRZUVS
      AFUVTQAFDEXBOZUVTKAUVNUWBUVTWCMEYKDIUUBXCWEXDZXEAUWAUVSWCZUVTXARZYOXARZWC
      ZAYKDUVTYLYOYJUUBUUCLUUFUVTSYOSXFZXGWPVBAFXARZUWFWCYHAUWIUWEUWFAFUVTXAUWC
      XEAUWDUWGUWHXHWPVBYHCWRTAYHCXJYECXJTZYGYEUWJDXJTZYEGHXKZYDTUWJUWKPGHYDXIC
      DUWLXLXMXGYGUWJFXJTZYGUWLYFTUWJUWMPGHYFXICFUWLXLXMXGYBXNXOZUWNFWRTYIFDEXB
      KXPUHYIDYNUOXQXRXSXTYAYC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Full & faithful functors
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Full $.  $( The class of full functors. $)
  $c Faith $.  $( The class of faithful functors. $)

  $( Extend class notation with the class of all full functors. $)
  cful $a class Full $.

  $( Extend class notation with the class of all faithful functors. $)
  cfth $a class Faith $.

  ${
    $d c d f g x y $.  $d c d C $.  $d d D $.
    $( Function returning all the full functors from a category ` C ` to a
       category ` D ` .  A full functor is a functor in which all the morphism
       maps ` G ( X , Y ) ` between objects ` X , Y e. C ` are surjections.
       Definition 3.27(3) in [Adamek] p. 34.  (Contributed by Mario Carneiro,
       26-Jan-2017.) $)
    df-full $a |- Full = ( c e. Cat , d e. Cat |->
      { <. f , g >. | ( f ( c Func d ) g /\
        A. x e. ( Base ` c ) A. y e. ( Base ` c )
        ran ( x g y ) = ( ( f ` x ) ( Hom ` d ) ( f ` y ) ) ) } ) $.

    $( Function returning all the faithful functors from a category ` C ` to a
       category ` D ` .  A faithful functor is a functor in which all the
       morphism maps ` G ( X , Y ) ` between objects ` X , Y e. C ` are
       injections.  Definition 3.27(2) in [Adamek] p. 34.  (Contributed by
       Mario Carneiro, 26-Jan-2017.) $)
    df-fth $a |- Faith = ( c e. Cat , d e. Cat |->
      { <. f , g >. | ( f ( c Func d ) g /\
        A. x e. ( Base ` c ) A. y e. ( Base ` c ) Fun `' ( x g y ) ) } ) $.

    $( A full functor is a functor.  (Contributed by Mario Carneiro,
       26-Jan-2017.) $)
    fullfunc $p |- ( C Full D ) C_ ( C Func D ) $=
      ( vc vd vf vg vx vy ccat wcel wa cful co cfunc wss wceq oveq1 sseq12d cfv
      cv oveq2 wbr crn chom cbs wral copab cvv ovex simpl ssopab2i opabss sstri
      ssexi df-full ovmpt4g mp3an3 eqsstrdi vtocl2ga wn c0 mpondm0 0ss pm2.61i
      ) AIJBIJKZABLMZABNMZOZCTZDTZLMZVIVJNMZOAVJLMZAVJNMZOVHCDABIIVIAPVKVMVLVNV
      IAVJLQVIAVJNQRVJBPVMVFVNVGVJBALUAVJBANUARVIIJZVJIJZKVKETZFTZVLUBZGTZHTZVR
      MUCVTVQSWAVQSVJUDSMPHVIUESZUFGWBUFZKZEFUGZVLVOVPWEUHJVKWEPWEVLVIVJNUIWEVS
      EFUGVLWDVSEFVSWCUJUKEFVLULUMZUNCDIIWELUHGHEFCDUOZUPUQWFURUSVEUTVFVAVGCDWE
      LABIIWGVBVGVCURVD $.

    $( A faithful functor is a functor.  (Contributed by Mario Carneiro,
       26-Jan-2017.) $)
    fthfunc $p |- ( C Faith D ) C_ ( C Func D ) $=
      ( vc vd vf vg vx vy ccat wcel wa cfth co cfunc wss cv oveq1 sseq12d oveq2
      wceq wbr ccnv wfun cbs cfv wral copab cvv ovex simpl ssopab2i sstri ssexi
      opabss df-fth ovmpt4g mp3an3 eqsstrdi vtocl2ga wn c0 mpondm0 0ss pm2.61i
      ) AIJBIJKZABLMZABNMZOZCPZDPZLMZVIVJNMZOAVJLMZAVJNMZOVHCDABIIVIATVKVMVLVNV
      IAVJLQVIAVJNQRVJBTVMVFVNVGVJBALSVJBANSRVIIJZVJIJZKVKEPFPZVLUAZGPHPVQMUBUC
      HVIUDUEZUFGVSUFZKZEFUGZVLVOVPWBUHJVKWBTWBVLVIVJNUIWBVREFUGVLWAVREFVRVTUJU
      KEFVLUNULZUMCDIIWBLUHGHEFCDUOZUPUQWCURUSVEUTVFVAVGCDWBLABIIWDVBVGVCURVD
      $.
  $}

  $( The set of full functors is a relation.  (Contributed by Mario Carneiro,
     26-Jan-2017.) $)
  relfull $p |- Rel ( C Full D ) $=
    ( cful co cfunc wss wrel fullfunc relfunc relss mp2 ) ABCDZABEDZFMGLGABHABI
    LMJK $.

  $( The set of faithful functors is a relation.  (Contributed by Mario
     Carneiro, 26-Jan-2017.) $)
  relfth $p |- Rel ( C Faith D ) $=
    ( cfth co cfunc wss wrel fthfunc relfunc relss mp2 ) ABCDZABEDZFMGLGABHABIL
    MJK $.

  ${
    $d c d f g x y B $.  $d c d f g x y C $.  $d c d f g x y D $.  $d x y ph $.
    $d f x y H $.  $d c d f g x y J $.  $d f R $.  $d f x y X $.  $d f x y Y $.
    $d f g x y F $.  $d f g x y G $.
    isfull.b $e |- B = ( Base ` C ) $.
    isfull.j $e |- J = ( Hom ` D ) $.
    $( Value of the set of full functors between two categories.  (Contributed
       by Mario Carneiro, 27-Jan-2017.) $)
    isfull $p |- ( F ( C Full D ) G <-> ( F ( C Func D ) G /\
      A. x e. B A. y e. B ran ( x G y ) = ( ( F ` x ) J ( F ` y ) ) ) ) $=
      ( vf vg co wbr cv cfv wceq wral wa wcel vc cfunc crn fullfunc ssbri copab
      vd cful ccat cop df-br funcrcl sylbi chom cbs oveq12 breqd fveq2d eqtr4di
      simpl simpr oveqd eqeq2d raleqbidv anbi12d opabbidv df-full ovex ssopab2i
      opabss sstri ssexi ovmpoa syl cvv relfunc brrelex12i breq12 rneqd oveq12d
      wb fveq1d eqeq12d 2ralbidv eqid brabga bitrd bianabs biadanii ) FGDEUHMZN
      ZFGDEUBMZNZAOZBOZGMZUCZWNFPZWOFPZHMZQZBCRACRZWJWLFGDEUDUEWMWKXBWMWKFGKOZL
      OZWLNZWNWOXDMZUCZWNXCPZWOXCPZHMZQZBCRZACRZSZKLUFZNZWMXBSZWMWJXOFGWMDUITEU
      ITSZWJXOQWMFGUJZWLTXRFGWLUKDEXSULUMUAUGDEUIUIXCXDUAOZUGOZUBMZNZXGXHXIYAUN
      PZMZQZBXTUOPZRZAYGRZSZKLUFXOUHXTDQZYAEQZSZYJXNKLYMYCXEYIXMYMYBWLXCXDXTDYA
      EUBUPUQYMYHXLAYGCYMYGDUOPCYMXTDUOYKYLUTURIUSZYMYFXKBYGCYNYMYEXJXGYMYDHXHX
      IYMYDEUNPHYMYAEUNYKYLVAURJUSVBVCVDVDVEVFABKLUAUGVGXOWLDEUBVHXOXEKLUFWLXNX
      EKLXEXMUTVIKLWLVJVKVLVMVNUQWMFVOTGVOTSXPXQWAFGWLDEVPVQXNXQKLFGXOVOVOXCFQZ
      XDGQZSZXEWMXMXBXCFXDGWLVRYQXKXAABCCYQXGWQXJWTYQXFWPYQXDGWNWOYOYPVAVBVSYQX
      HWRXIWSHYQWNXCFYOYPUTZWBYQWOXCFYRWBVTWCWDVEXOWEWFVNWGWHWI $.

    isfull.h $e |- H = ( Hom ` C ) $.
    $( Equivalent condition for a full functor.  (Contributed by Mario
       Carneiro, 27-Jan-2017.) $)
    isfull2 $p |- ( F ( C Full D ) G <-> ( F ( C Func D ) G /\
      A. x e. B A. y e. B
        ( x G y ) : ( x H y ) -onto-> ( ( F ` x ) J ( F ` y ) ) ) ) $=
      ( co wbr cv cfv wral wa wcel ralbidva cful cfunc crn wfo isfull wf wfn wb
      wceq simpll simplr simpr funcf2 ffn df-fo baib 3syl pm5.32i bitr4i ) FGDE
      UAMNFGDEUBMNZAOZBOZGMZUCVAFPVBFPIMZUIZBCQZACQZRUTVAVBHMZVDVCUDZBCQZACQZRA
      BCDEFGIJKUEUTVKVGUTVJVFACUTVACSZRZVIVEBCVMVBCSZRZVHVDVCUFVCVHUGZVIVEUHVOC
      DEFGHIVAVBJLKUTVLVNUJUTVLVNUKVMVNULUMVHVDVCUNVIVPVEVHVDVCUOUPUQTTURUS $.

    fullfo.f $e |- ( ph -> F ( C Full D ) G ) $.
    fullfo.x $e |- ( ph -> X e. B ) $.
    fullfo.y $e |- ( ph -> Y e. B ) $.
    $( The morphism map of a full functor is a surjection.  (Contributed by
       Mario Carneiro, 27-Jan-2017.) $)
    fullfo $p |- ( ph ->
      ( X G Y ) : ( X H Y ) -onto-> ( ( F ` X ) J ( F ` Y ) ) ) $=
      ( vx vy co cfv cv wfo wral cful wbr cfunc isfull2 simprbi syl wceq adantr
      wa wcel simplr simpr oveq12d fveq2d foeq123d rspcdv rspcimdv mpd ) AQUAZR
      UAZGSZVBETZVCETZHSZVBVCFSZUBZRBUCZQBUCZIJGSZIETZJETZHSZIJFSZUBZAEFCDUDSUE
      ZVKNVREFCDUFSUEVKQRBCDEFGHKLMUGUHUIAVJVQQIBOAVBIUJZULZVIVQRJBAJBUMVSPUKVT
      VCJUJZULZVDVLVGVOVHVPWBVBIVCJFAVSWAUNZVTWAUOZUPWBVBIVCJGWCWDUPWBVEVMVFVNH
      WBVBIEWCUQWBVCJEWDUQUPURUSUTVA $.

    fulli.r $e |- ( ph -> R e. ( ( F ` X ) J ( F ` Y ) ) ) $.
    $( The morphism map of a full functor is a surjection.  (Contributed by
       Mario Carneiro, 27-Jan-2017.) $)
    fulli $p |- ( ph -> E. f e. ( X H Y ) R = ( ( X G Y ) ` f ) ) $=
      ( co cfv wfo wcel cv wceq wrex fullfo foelrn syl2anc ) AKLITZKGUALGUAJTZK
      LHTZUBEUKUCEFUDULUAUEFUJUFABCDGHIJKLMNOPQRUGSFUJUKEULUHUI $.
  $}

  ${
    $d c d f g x y B $.  $d c d f g x y C $.  $d c d f g x y D $.  $d x y ph $.
    $d f g x y F $.  $d f g x y G $.  $d x y H $.  $d x y J $.  $d x y X $.
    $d x y Y $.
    isfth.b $e |- B = ( Base ` C ) $.
    $( Value of the set of faithful functors between two categories.
       (Contributed by Mario Carneiro, 27-Jan-2017.) $)
    isfth $p |- ( F ( C Faith D ) G <-> ( F ( C Func D ) G /\
      A. x e. B A. y e. B Fun `' ( x G y ) ) ) $=
      ( vf vg co wbr cfunc cv wral wa ccat wcel wceq cvv cfth ccnv wfun fthfunc
      vc ssbri copab cop df-br funcrcl sylbi cbs cfv oveq12 breqd simpl eqtr4di
      vd fveq2d raleqdv raleqbidv anbi12d opabbidv df-fth ssopab2i opabss sstri
      ovex ssexi ovmpoa syl relfunc brrelex12i breq12 simpr oveqd cnveqd funeqd
      wb 2ralbidv eqid brabga bitrd bianabs biadanii ) FGDEUAKZLZFGDEMKZLZANZBN
      ZGKZUBZUCZBCOACOZWFWHFGDEUDUFWIWGWOWIWGFGINZJNZWHLZWJWKWQKZUBZUCZBCOZACOZ
      PZIJUGZLZWIWOPZWIWFXEFGWIDQREQRPZWFXESWIFGUHZWHRXHFGWHUIDEXIUJUKUEURDEQQW
      PWQUENZURNZMKZLZXABXJULUMZOZAXNOZPZIJUGXEUAXJDSZXKESZPZXQXDIJXTXMWRXPXCXT
      XLWHWPWQXJDXKEMUNUOXTXOXBAXNCXTXNDULUMCXTXJDULXRXSUPUSHUQZXTXABXNCYAUTVAV
      BVCABIJUEURVDXEWHDEMVHXEWRIJUGWHXDWRIJWRXCUPVEIJWHVFVGVIVJVKUOWIFTRGTRPXF
      XGVSFGWHDEVLVMXDXGIJFGXETTWPFSZWQGSZPZWRWIXCWOWPFWQGWHVNYDXAWNABCCYDWTWMY
      DWSWLYDWQGWJWKYBYCVOVPVQVRVTVBXEWAWBVKWCWDWE $.

    isfth.h $e |- H = ( Hom ` C ) $.
    isfth.j $e |- J = ( Hom ` D ) $.
    $( Equivalent condition for a faithful functor.  (Contributed by Mario
       Carneiro, 27-Jan-2017.) $)
    isfth2 $p |- ( F ( C Faith D ) G <-> ( F ( C Func D ) G /\
      A. x e. B A. y e. B
        ( x G y ) : ( x H y ) -1-1-> ( ( F ` x ) J ( F ` y ) ) ) ) $=
      ( co wbr cv wral wa cfv wcel ralbidva cfth cfunc ccnv wf1 isfth wf simpll
      wfun wb simplr simpr funcf2 df-f1 baib syl pm5.32i bitr4i ) FGDEUAMNFGDEU
      BMNZAOZBOZGMZUCUHZBCPZACPZQURUSUTHMZUSFRUTFRIMZVAUDZBCPZACPZQABCDEFGJUEUR
      VIVDURVHVCACURUSCSZQZVGVBBCVKUTCSZQZVEVFVAUFZVGVBUIVMCDEFGHIUSUTJKLURVJVL
      UGURVJVLUJVKVLUKULVGVNVBVEVFVAUMUNUOTTUPUQ $.

    $( A fully faithful functor is a functor which is bijective on hom-sets.
       (Contributed by Mario Carneiro, 27-Jan-2017.) $)
    isffth2 $p |- ( F ( ( C Full D ) i^i ( C Faith D ) ) G <->
      ( F ( C Func D ) G /\ A. x e. B A. y e. B
        ( x G y ) : ( x H y ) -1-1-onto-> ( ( F ` x ) J ( F ` y ) ) ) ) $=
      ( cful co wbr wa cv cfv wral bitri cfth cfunc wfo wf1 wf1o isfull2 isfth2
      cin anbi12i brin df-f1o biancomi 2ralbii r19.26-2 anbi2i anandi 3bitr4i )
      FGDEMNZOZFGDEUANZOZPFGDEUBNOZAQZBQZHNZVCFRVDFRINZVCVDGNZUCZBCSACSZPZVBVEV
      FVGUDZBCSACSZPZPZFGURUTUHOVBVEVFVGUEZBCSACSZPZUSVJVAVMABCDEFGHIJLKUFABCDE
      FGHIJKLUGUIFGURUTUJVQVBVIVLPZPVNVPVRVBVPVHVKPZBCSACSVRVOVSABCCVOVHVKVEVFV
      GUKULUMVHVKABCCUNTUOVBVIVLUPTUQ $.

    ${
      fthf1.f $e |- ( ph -> F ( C Faith D ) G ) $.
      fthf1.x $e |- ( ph -> X e. B ) $.
      fthf1.y $e |- ( ph -> Y e. B ) $.
      $( The morphism map of a faithful functor is an injection.  (Contributed
         by Mario Carneiro, 27-Jan-2017.) $)
      fthf1 $p |- ( ph ->
        ( X G Y ) : ( X H Y ) -1-1-> ( ( F ` X ) J ( F ` Y ) ) ) $=
        ( vx vy co cfv cv wf1 wral cfth wbr cfunc isfth2 simprbi wceq wa adantr
        syl wcel simplr simpr oveq12d fveq2d f1eq123d rspcdv rspcimdv mpd ) AQU
        AZRUAZGSZVBETZVCETZHSZVBVCFSZUBZRBUCZQBUCZIJGSZIETZJETZHSZIJFSZUBZAEFCD
        UDSUEZVKNVREFCDUFSUEVKQRBCDEFGHKLMUGUHULAVJVQQIBOAVBIUIZUJZVIVQRJBAJBUM
        VSPUKVTVCJUIZUJZVDVLVGVOVHVPWBVBIVCJFAVSWAUNZVTWAUOZUPWBVBIVCJGWCWDUPWB
        VEVMVFVNHWBVBIEWCUQWBVCJEWDUQUPURUSUTVA $.

      fthi.r $e |- ( ph -> R e. ( X H Y ) ) $.
      fthi.s $e |- ( ph -> S e. ( X H Y ) ) $.
      $( The morphism map of a faithful functor is an injection.  (Contributed
         by Mario Carneiro, 27-Jan-2017.) $)
      fthi $p |- ( ph ->
        ( ( ( X G Y ) ` R ) = ( ( X G Y ) ` S ) <-> R = S ) ) $=
        ( co cfv wf1 wcel wceq wb fthf1 f1fveq syl12anc ) AKLIUAZKGUBLGUBJUAZKL
        HUAZUCEUJUDFUJUDEULUBFULUBUEEFUEUFABCDGHIJKLMNOPQRUGSTUJUKEFULUHUI $.
    $}

    ffthf1o.f $e |- ( ph -> F ( ( C Full D ) i^i ( C Faith D ) ) G ) $.
    ffthf1o.x $e |- ( ph -> X e. B ) $.
    ffthf1o.y $e |- ( ph -> Y e. B ) $.
    $( The morphism map of a fully faithful functor is a bijection.
       (Contributed by Mario Carneiro, 29-Jan-2017.) $)
    ffthf1o $p |- ( ph ->
      ( X G Y ) : ( X H Y ) -1-1-onto-> ( ( F ` X ) J ( F ` Y ) ) ) $=
      ( co cfv wf1 wbr wfo wf1o cful cfth cin wa brin sylib simprd fthf1 simpld
      fullfo df-f1o sylanbrc ) AIJGQZIERJERHQZIJFQZSUOUPUQUAUOUPUQUBABCDEFGHIJK
      LMAEFCDUCQZTZEFCDUDQZTZAEFURUTUETUSVAUFNEFURUTUGUHZUIOPUJABCDEFGHIJKMLAUS
      VAVBUKOPULUOUPUQUMUN $.
  $}

  ${
    $d f g x y A $.  $d f g x y B $.  $d f g x y C $.  $d f g x y ph $.
    $d f g x y D $.
    fullpropd.1 $e |- ( ph -> ( Homf ` A ) = ( Homf ` B ) ) $.
    fullpropd.2 $e |- ( ph -> ( comf ` A ) = ( comf ` B ) ) $.
    fullpropd.3 $e |- ( ph -> ( Homf ` C ) = ( Homf ` D ) ) $.
    fullpropd.4 $e |- ( ph -> ( comf ` C ) = ( comf ` D ) ) $.
    fullpropd.a $e |- ( ph -> A e. V ) $.
    fullpropd.b $e |- ( ph -> B e. V ) $.
    fullpropd.c $e |- ( ph -> C e. V ) $.
    fullpropd.d $e |- ( ph -> D e. V ) $.
    $( If two categories have the same set of objects, morphisms, and
       compositions, then they have the same full functors.  (Contributed by
       Mario Carneiro, 27-Jan-2017.) $)
    fullpropd $p |- ( ph -> ( A Full C ) = ( B Full D ) ) $=
      ( vx vy co cfv wa eqid vf vg cful relfull cv cfunc wbr crn chom wceq wral
      cbs homfeqbas adantr chomf ad3antrrr simpllr funcf1 simplr ffvelrnd simpr
      homfeqval eqeq2d raleqbidva pm5.32da funcpropd breqd anbi1d bitrd 3bitr4g
      wcel isfull eqbrrdiv ) AUAUBBDUCQZCEUCQZBDUDCEUDAUAUEZUBUEZBDUFQZUGZOUEZP
      UEZVQQUHZVTVPRZWAVPRZDUIRZQZUJZPBULRZUKZOWHUKZSZVPVQCEUFQZUGZWBWCWDEUIRZQ
      ZUJZPCULRZUKZOWQUKZSZVPVQVNUGVPVQVOUGAWKVSWSSWTAVSWJWSAVSSZWIWROWHWQAWHWQ
      UJZVSABCGUMUNZXAVTWHVKZSZWGWPPWHWQXAXBXDXCUNXEWAWHVKZSZWFWOWBXGDULRZDEWEW
      NWCWDXHTZWETZWNTZADUOREUORUJVSXDXFIUPXGWHXHVTVPXGWHXHBDVPVQWHTZXIAVSXDXFU
      QURZXAXDXFUSUTXGWHXHWAVPXMXEXFVAUTVBVCVDVDVEAVSWMWSAVRWLVPVQABCDEFGHIJKLM
      NVFVGVHVIOPWHBDVPVQWEXLXJVLOPWQCEVPVQWNWQTXKVLVJVM $.

    $( If two categories have the same set of objects, morphisms, and
       compositions, then they have the same faithful functors.  (Contributed
       by Mario Carneiro, 27-Jan-2017.) $)
    fthpropd $p |- ( ph -> ( A Faith C ) = ( B Faith D ) ) $=
      ( vx vy co cv wbr wral vf vg cfth relfth cfunc ccnv wfun cbs wa funcpropd
      cfv breqd homfeqbas raleqdv raleqbidv anbi12d eqid isfth 3bitr4g eqbrrdiv
      ) AUAUBBDUCQZCEUCQZBDUDCEUDAUARZUBRZBDUEQZSZORPRVDQUFUGZPBUHUKZTZOVHTZUIV
      CVDCEUEQZSZVGPCUHUKZTZOVMTZUIVCVDVASVCVDVBSAVFVLVJVOAVEVKVCVDABCDEFGHIJKL
      MNUJULAVIVNOVHVMABCGUMZAVGPVHVMVPUNUOUPOPVHBDVCVDVHUQUROPVMCEVCVDVMUQURUS
      UT $.
  $}

  ${
    $d x y C $.  $d x y F $.  $d x y G $.  $d x y ph $.  $d x y O $.
    $d x y P $.
    fulloppc.o $e |- O = ( oppCat ` C ) $.
    fulloppc.p $e |- P = ( oppCat ` D ) $.
    ${
      fulloppc.f $e |- ( ph -> F ( C Full D ) G ) $.
      $( The opposite functor of a full functor is also full.  Proposition
         3.43(d) in [Adamek] p. 39.  (Contributed by Mario Carneiro,
         27-Jan-2017.) $)
      fulloppc $p |- ( ph -> F ( O Full P ) tpos G ) $=
        ( vx vy cfunc co wbr cv crn cfv chom eqid ctpos wceq wral cful fullfunc
        cbs ssbri syl funcoppc wcel wfo adantr simprr simprl fullfo forn ovtpos
        wa rneqi oppchom 3eqtr4g ralrimivva oppcbas isfull sylanbrc ) AEFUAZGDM
        NOKPZLPZVFNZQZVGERZVHERZDSRZNZUBZLBUFRZUCKVPUCEVFGDUDNOABCDEFGHIAEFBCUD
        NZOZEFBCMNZOJVQVSEFBCUEUGUHUIAVOKLVPVPAVGVPUJZVHVPUJZURZURZVHVGFNZQZVLV
        KCSRZNZVJVNWCVHVGBSRZNZWGWDUKWEWGUBWCVPBCEFWHWFVHVGVPTZWFTZWHTAVRWBJULA
        VTWAUMAVTWAUNUOWIWGWDUPUHVIWDVGVHFUQUSCWFDVKVLWKIUTVAVBKLVPGDEVFVMVPBGH
        WJVCVMTVDVE $.
    $}

    ${
      fthoppc.f $e |- ( ph -> F ( C Faith D ) G ) $.
      $( The opposite functor of a faithful functor is also faithful.
         Proposition 3.43(c) in [Adamek] p. 39.  (Contributed by Mario
         Carneiro, 27-Jan-2017.) $)
      fthoppc $p |- ( ph -> F ( O Faith P ) tpos G ) $=
        ( vx vy cfunc co wbr cv ccnv wfun cfv eqid ctpos cbs wral fthfunc ssbri
        cfth syl funcoppc wcel wa chom adantr simprr simprl fthf1 df-f1 simprbi
        wf1 wf ovtpos cnveqi funeqi sylibr ralrimivva oppcbas isfth sylanbrc )
        AEFUAZGDMNOKPZLPZVHNZQZRZLBUBSZUCKVNUCEVHGDUFNOABCDEFGHIAEFBCUFNZOZEFBC
        MNZOJVOVQEFBCUDUEUGUHAVMKLVNVNAVIVNUIZVJVNUIZUJZUJZVJVIFNZQZRZVMWAVJVIB
        UKSZNZVJESVIESCUKSZNZWBURZWDWAVNBCEFWEWGVJVIVNTZWETWGTAVPVTJULAVRVSUMAV
        RVSUNUOWIWFWHWBUSWDWFWHWBUPUQUGVLWCVKWBVIVJFUTVAVBVCVDKLVNGDEVHVNBGHWJV
        EVFVG $.
    $}

    ${
      ffthoppc.f $e |- ( ph -> F ( ( C Full D ) i^i ( C Faith D ) ) G ) $.
      $( The opposite functor of a fully faithful functor is also full and
         faithful.  (Contributed by Mario Carneiro, 27-Jan-2017.) $)
      ffthoppc $p |- ( ph -> F ( ( O Full P ) i^i ( O Faith P ) ) tpos G ) $=
        ( ctpos cful co wbr cfth cin wa brin sylib simpld fulloppc sylanbrc
        simprd fthoppc ) AEFKZGDLMZNEUEGDOMZNEUEUFUGPNABCDEFGHIAEFBCLMZNZEFBCOM
        ZNZAEFUHUJPNUIUKQJEFUHUJRSZTUAABCDEFGHIAUIUKULUCUDEUEUFUGRUB $.
    $}
  $}

  ${
    fthsect.b $e |- B = ( Base ` C ) $.
    fthsect.h $e |- H = ( Hom ` C ) $.
    fthsect.f $e |- ( ph -> F ( C Faith D ) G ) $.
    fthsect.x $e |- ( ph -> X e. B ) $.
    fthsect.y $e |- ( ph -> Y e. B ) $.
    fthsect.m $e |- ( ph -> M e. ( X H Y ) ) $.
    fthsect.n $e |- ( ph -> N e. ( Y H X ) ) $.
    ${
      fthsect.s $e |- S = ( Sect ` C ) $.
      fthsect.t $e |- T = ( Sect ` D ) $.
      $( A faithful functor reflects sections.  (Contributed by Mario Carneiro,
         27-Jan-2017.) $)
      fthsect $p |- ( ph -> ( M ( X S Y ) N <->
        ( ( X G Y ) ` M ) ( ( F ` X ) T ( F ` Y ) ) ( ( Y G X ) ` N ) ) ) $=
        ( cop cco cfv co ccid wceq chom eqid ccat wcel cfunc cfth fthfunc ssbri
        wbr wa df-br sylib funcrcl simpld catcocl catidcl funcco funcid eqeq12d
        syl fthi bitr3d issect2 cbs simprd funcf1 ffvelrnd funcf2 3bitr4d ) AKJ
        LMUCLCUDUEZUFUFZLCUGUEZUEZUHZKMLHUFZUEZJLMHUFZUEZLGUEZMGUEZUCWGDUDUEZUF
        UFZWGDUGUEZUEZUHZJKLMEUFUQWFWDWGWHFUFUQAVSLLHUFZUEZWAWNUEZUHWBWMABCDVSW
        AGHIDUIUEZLLNOWQUJZPQQABCVRJKILMLNOVRUJZACUKULZDUKULZAGHUCZCDUMUFZULZWT
        XAURAGHXCUQZXDAGHCDUNUFZUQXEPXFXCGHCDUOUPVHZGHXCUSUTCDXBVAVHZVBZQRQSTVC
        ABCVTILNOVTUJZXIQVDVIAWOWJWPWLABCVRDGHIJKWILMLNOWSWIUJZXGQRQSTVEABCVTDG
        HWKLNXJWKUJZXGQVFVGVJABCEVRVTJKILMNOWSXJUAXIQRSTVKADVLUEZDFWIWKWFWDWQWG
        WHXMUJZWRXKXLUBAWTXAXHVMABXMLGABXMCDGHNXNXGVNZQVOABXMMGXORVOALMIUFWGWHW
        QUFJWEABCDGHIWQLMNOWRXGQRVPSVOAMLIUFWHWGWQUFKWCABCDGHIWQMLNOWRXGRQVPTVO
        VKVQ $.
    $}

    ${
      fthinv.s $e |- I = ( Inv ` C ) $.
      fthinv.t $e |- J = ( Inv ` D ) $.
      $( A faithful functor reflects inverses.  (Contributed by Mario Carneiro,
         27-Jan-2017.) $)
      fthinv $p |- ( ph -> ( M ( X I Y ) N <->
        ( ( X G Y ) ` M ) ( ( F ` X ) J ( F ` Y ) ) ( ( Y G X ) ` N ) ) ) $=
        ( csect cfv co wbr wa eqid fthsect anbi12d ccat wcel cfunc cfth fthfunc
        cop ssbri syl df-br sylib funcrcl simpld simprd funcf1 ffvelrnd 3bitr4d
        isinv cbs ) AJKLMCUCUDZUEUFZKJMLVIUEUFZUGJLMFUEUDZKMLFUEUDZLEUDZMEUDZDU
        CUDZUEUFZVMVLVOVNVPUEUFZUGJKLMHUEUFVLVMVNVOIUEUFAVJVQVKVRABCDVIVPEFGJKL
        MNOPQRSTVIUHZVPUHZUIABCDVIVPEFGKJMLNOPRQTSVSVTUIUJABCVIJKHLMNUAACUKULZD
        UKULZAEFUPZCDUMUEZULZWAWBUGAEFWDUFZWEAEFCDUNUEZUFWFPWGWDEFCDUOUQURZEFWD
        USUTCDWCVAURZVBQRVSVGADVHUDZDVPVLVMIVNVOWJUHZUBAWAWBWIVCABWJLEABWJCDEFN
        WKWHVDZQVEABWJMEWLRVEVTVGVF $.
    $}
  $}

  ${
    $d f g z B $.  $d f g z C $.  $d f g z H $.  $d f g z ph $.  $d f g z R $.
    $d f D $.  $d f F $.  $d f G $.  $d f I $.  $d f g z X $.  $d f g z Y $.
    $d f J $.
    fthmon.b $e |- B = ( Base ` C ) $.
    fthmon.h $e |- H = ( Hom ` C ) $.
    fthmon.f $e |- ( ph -> F ( C Faith D ) G ) $.
    fthmon.x $e |- ( ph -> X e. B ) $.
    fthmon.y $e |- ( ph -> Y e. B ) $.
    fthmon.r $e |- ( ph -> R e. ( X H Y ) ) $.
    ${
      fthmon.m $e |- M = ( Mono ` C ) $.
      fthmon.n $e |- N = ( Mono ` D ) $.
      fthmon.1 $e |- ( ph ->
        ( ( X G Y ) ` R ) e. ( ( F ` X ) N ( F ` Y ) ) ) $.
      $( A faithful functor reflects monomorphisms.  (Contributed by Mario
         Carneiro, 27-Jan-2017.) $)
      fthmon $p |- ( ph -> R e. ( X M Y ) ) $=
        ( vf vz vg co wcel cv cop cco cfv wceq wi wral w3a chom eqid ccat cfunc
        cbs wbr cfth fthfunc ssbri syl df-br sylib funcrcl simprd adantr funcf1
        ffvelrnd simpr1 funcf2 simpr2 simpr3 moni funcco eqeq12d simpld catcocl
        wa fthi bitr3d 3bitr3d biimpd ralrimivvva ismon2 mpbir2and ) AEKLIUEUFE
        KLHUEUFZEUBUGZUCUGZKUHLCUIUJZUEZUEZEUDUGZWMUEZUKZWJWOUKZULZUDWKKHUEZUMU
        BWTUMUCBUMRAWSUCUBUDBWTWTAWKBUFZWJWTUFZWOWTUFZUNZWAZWQWRXEEKLGUEUJZWJWK
        KGUEZUJZWKFUJZKFUJZUHLFUJZDUIUJZUEZUEZXFWOXGUJZXMUEZUKZXHXOUKWQWRXEDUSU
        JZDXLXFXHDUOUJZXOJXJXKXIXRUPZXSUPZXLUPZTADUQUFZXDACUQUFZYCAFGUHZCDURUEZ
        UFZYDYCWAAFGYFUTZYGAFGCDVAUEZUTZYHOYIYFFGCDVBVCVDZFGYFVEVFCDYEVGVDZVHVI
        XEBXRKFXEBXRCDFGMXTAYHXDYKVIZVJZAKBUFXDPVIZVKXEBXRLFYNALBUFXDQVIZVKXEBX
        RWKFYNAXAXBXCVLZVKAXFXJXKJUEUFXDUAVIXEWTXIXJXSUEZWJXGXEBCDFGHXSWKKMNYAY
        MYQYOVMZAXAXBXCVNZVKXEWTYRWOXGYSAXAXBXCVOZVKVPXEWNWKLGUEZUJZWPUUBUJZUKX
        QWQXEUUCXNUUDXPXEBCWLDFGHWJEXLWKKLMNWLUPZYBYMYQYOYPYTAWIXDRVIZVQXEBCWLD
        FGHWOEXLWKKLMNUUEYBYMYQYOYPUUAUUFVQVRXEBCDWNWPFGHXSWKLMNYAAYJXDOVIZYQYP
        XEBCWLWJEHWKKLMNUUEAYDXDAYDYCYLVSZVIZYQYOYPYTUUFVTXEBCWLWOEHWKKLMNUUEUU
        IYQYOYPUUAUUFVTWBWCXEBCDWJWOFGHXSWKKMNYAUUGYQYOYTUUAWBWDWEWFAUCBCWLUBUD
        EHIKLMNUUESUUHPQWGWH $.
    $}

    ${
      fthepi.e $e |- E = ( Epi ` C ) $.
      fthepi.p $e |- P = ( Epi ` D ) $.
      fthepi.1 $e |- ( ph ->
        ( ( X G Y ) ` R ) e. ( ( F ` X ) P ( F ` Y ) ) ) $.
      $( A faithful functor reflects epimorphisms.  (Contributed by Mario
         Carneiro, 27-Jan-2017.) $)
      fthepi $p |- ( ph -> R e. ( X E Y ) ) $=
        ( coppc cfv cmon co ctpos chom oppcbas fthoppc oppchom eleqtrrdi ovtpos
        eqid fveq1i eqeltrid ccat wcel cop cfunc wa wbr fthfunc ssbri syl df-br
        cfth sylib funcrcl simprd oppcmon eleqtrrd fthmon simpld eleqtrd ) AFLK
        CUBUCZUDUCZUEKLGUEABVODUBUCZFHIUFZVOUGUCZVPVQUDUCZLKBCVOVOUMZMUHVSUMACD
        VQHIVOWAVQUMZOUIQPAFKLJUELKVSUERCJVOLKNWAUJUKVPUMZVTUMZAFLKVRUEZUCZKHUC
        ZLHUCZEUEZWHWGVTUEAWFFKLIUEZUCWIFWEWJLKIULUNUAUOADEVTVQWHWGWBACUPUQZDUP
        UQZAHIURZCDUSUEZUQZWKWLUTAHIWNVAZWOAHICDVFUEZVAWPOWQWNHICDVBVCVDHIWNVEV
        GCDWMVHVDZVIWDTVJVKVLACGVPVOLKWAAWKWLWRVMWCSVJVN $.
    $}

    ${
      ffthiso.f $e |- ( ph -> F ( C Full D ) G ) $.
      ffthiso.s $e |- I = ( Iso ` C ) $.
      ffthiso.t $e |- J = ( Iso ` D ) $.
      $( A fully faithful functor reflects isomorphisms.  Corollary 3.32 of
         [Adamek] p. 35.  (Contributed by Mario Carneiro, 27-Jan-2017.) $)
      ffthiso $p |- ( ph -> ( R e. ( X I Y ) <->
        ( ( X G Y ) ` R ) e. ( ( F ` X ) J ( F ` Y ) ) ) ) $=
        ( vf co wcel cfv wa cfunc wbr cfth fthfunc ssbri syl simpr funciso cinv
        adantr cv wceq eqid cop df-br sylib funcrcl simpld ad3antrrr cdm simprd
        ccat funcf1 ffvelrnd isoval eleq2d biimpa wfun wb invfun funfvbrb mpbid
        cbs ad2antrr breqtrd simplr fthinv mpbird inviso1 chom cful isohom invf
        wss ffvelrnda sseldd fulli r19.29a impbida ) AEKLIUCUDZEKLGUCUEZKFUEZLF
        UEZJUCZUDZAWPUFBCDFGIJEKLMTUAAFGCDUGUCZUHZWPAFGCDUIUCZUHZXCOXDXBFGCDUJU
        KULZUPAKBUDZWPPUPALBUDZWPQUPAWPUMUNAXAUFZWQWRWSDUOUEZUCZUEZUBUQZLKGUCUE
        ZURZWPUBLKHUCZXIXMXPUDZUFZXOUFZBCEXMICUOUEZKLMXTUSZACVHUDZXAXQXOAYBDVHU
        DZAFGUTZXBUDZYBYCUFAXCYEXFFGXBVAVBCDYDVCULZVDVEAXGXAXQXOPVEZAXHXAXQXOQV
        EZTXSEXMKLXTUCUHWQXNXKUHXSWQXLXNXKXIWQXLXKUHZXQXOXIWQXKVFZUDZYIAXAYKAWT
        YJWQADVSUEZDJXJWRWSYLUSZXJUSZAYBYCYFVGZABYLKFABYLCDFGMYMXFVIZPVJZABYLLF
        YPQVJZUAVKVLVMXIXKVNZYKYIVOAYSXAAYLDXJWRWSYMYNYOYQYRVPUPWQXKVQULVRVTXRX
        OUMWAXSBCDFGHXTXJEXMKLMNAXEXAXQXOOVEYGYHAEKLHUCUDXAXQXORVEXIXQXOWBYAYNW
        CWDWEXIBCDXLUBFGHDWFUEZLKMYTUSZNAFGCDWGUCUHXASUPAXHXAQUPAXGXAPUPXIWSWRJ
        UCZWSWRYTUCZXLAUUBUUCWJXAAYLDYTJWSWRYMUUAUAYOYRYQWHUPAWTUUBWQXKAYLDJXJW
        RWSYMYNYOYQYRUAWIWKWLWMWNWO $.
    $}
  $}

  ${
    $d x y A $.  $d x y C $.  $d x y D $.  $d x y ph $.  $d x y F $.
    $d x y G $.  $d x y H $.  $d x y R $.
    fthres2b.a $e |- A = ( Base ` C ) $.
    fthres2b.h $e |- H = ( Hom ` C ) $.
    fthres2b.r $e |- ( ph -> R e. ( Subcat ` D ) ) $.
    fthres2b.s $e |- ( ph -> R Fn ( S X. S ) ) $.
    fthres2b.1 $e |- ( ph -> F : A --> S ) $.
    fthres2b.2 $e |- ( ( ph /\ ( x e. A /\ y e. A ) ) ->
      ( x G y ) : Y --> ( ( F ` x ) R ( F ` y ) ) ) $.
    $( Condition for a faithful functor to also be a faithful functor into the
       restriction.  (Contributed by Mario Carneiro, 27-Jan-2017.) $)
    fthres2b $p |- ( ph ->
      ( F ( C Faith D ) G <-> F ( C Faith ( D |`cat R ) ) G ) ) $=
      ( co wbr cfunc cv ccnv wfun wral wa cresc funcres2b anbi1d isfth 3bitr4g
      cfth ) AIJEFUASTZBUBCUBJSUCUDCDUEBDUEZUFIJEFGUGSZUASTZUNUFIJEFULSTIJEUOUL
      STAUMUPUNABCDEFGHIJKLMNOPQRUHUIBCDEFIJMUJBCDEUOIJMUJUK $.
  $}

  ${
    $d x y A $.  $d x y C $.  $d x y D $.  $d x y E $.  $d x y F $.
    $d x y G $.
    fthres2c.a $e |- A = ( Base ` C ) $.
    fthres2c.e $e |- E = ( D |`s S ) $.
    fthres2c.d $e |- ( ph -> D e. Cat ) $.
    fthres2c.r $e |- ( ph -> S e. V ) $.
    fthres2c.1 $e |- ( ph -> F : A --> S ) $.
    $( Condition for a faithful functor to also be a faithful functor into the
       restriction.  (Contributed by Mario Carneiro, 30-Jan-2017.) $)
    fthres2c $p |- ( ph -> ( F ( C Faith D ) G <-> F ( C Faith E ) G ) ) $=
      ( vx vy cfunc co wbr cv ccnv wfun wral wa funcres2c anbi1d isfth 3bitr4g
      cfth ) AGHCDQRSZOTPTHRUAUBPBUCOBUCZUDGHCFQRSZUKUDGHCDUIRSGHCFUIRSAUJULUKA
      BCDEFGHIJKLMNUEUFOPBCDGHJUGOPBCFGHJUGUH $.
  $}

  ${
    $d f g x y C $.  $d f g x y D $.  $d f g x y R $.
    $( A faithful functor into a restricted category is also a faithful functor
       into the whole category.  (Contributed by Mario Carneiro,
       27-Jan-2017.) $)
    fthres2 $p |- ( R e. ( Subcat ` D ) ->
      ( C Faith ( D |`cat R ) ) C_ ( C Faith D ) ) $=
      ( vf vg vx vy csubc cfv wcel cresc co cfth cv wbr cfunc wral isfth df-br
      wa wrel relfth a1i cop ccnv wfun cbs funcres2 anim1d eqid 3imtr4g 3imtr3g
      ssbrd relssdv ) CBHIJZDEABCKLZMLZABMLZUQUAUOAUPUBUCUODNZENZUQOZUSUTUROZUS
      UTUDZUQJVCURJUOUSUTAUPPLZOZFNGNUTLUEUFGAUGIZQFVFQZTUSUTABPLZOZVGTVAVBUOVE
      VIVGUOVDVHUSUTABCUHUMUIFGVFAUPUSUTVFUJZRFGVFABUSUTVJRUKUSUTUQSUSUTURSULUN
      $.
  $}

  ${
    $d x y C $.  $d x y I $.
    idffth.i $e |- I = ( idFunc ` C ) $.
    $( The identity functor is a fully faithful functor.  (Contributed by Mario
       Carneiro, 27-Jan-2017.) $)
    idffth $p |- ( C e. Cat -> I e. ( ( C Full C ) i^i ( C Faith C ) ) ) $=
      ( vx vy ccat wcel c1st cfv c2nd cop co wbr cv wf1o wral df-br eqid idfu1
      wa cful cfth cin cfunc wrel wceq relfunc idfucl sylancr chom cbs eqeltrrd
      1st2nd sylibr cid cres f1oi simpl simprl simprr idfu2nd oveq12d f1oeq123d
      eqidd mpbiri ralrimivva isffth2 sylanbrc sylib eqeltrd ) AFGZBBHIZBJIZKZA
      AUALAAUBLUCZVKAAUDLZUEBVPGBVNUFAAUGABCUHZBVPUMUIZVKVLVMVOMZVNVOGVKVLVMVPM
      ZDNZENZAUJIZLZWAVLIZWBVLIZWCLZWAWBVMLZOZEAUKIZPDWJPVSVKVNVPGVTVKBVNVPVRVQ
      ULVLVMVPQUNVKWIDEWJWJVKWAWJGZWBWJGZTZTZWIWDWDUOWDUPZOWDUQWNWDWDWGWDWHWOWN
      WJAWCBWAWBCWJRZVKWMURZWCRZVKWKWLUSZVKWKWLUTZVAWNWDVDWNWEWAWFWBWCWNWJABWAC
      WPWQWSSWNWJABWBCWPWQWTSVBVCVEVFDEWJAAVLVMWCWCWPWRWRVGVHVLVMVOQVIVJ $.
  $}

  ${
    $d x y C $.  $d x y E $.  $d x y F $.  $d x y G $.  $d x y ph $.
    cofull.f $e |- ( ph -> F e. ( C Full D ) ) $.
    cofull.g $e |- ( ph -> G e. ( D Full E ) ) $.
    $( The composition of two full functors is full.  Proposition 3.30(d) in
       [Adamek] p. 35.  (Contributed by Mario Carneiro, 28-Jan-2017.) $)
    cofull $p |- ( ph -> ( G o.func F ) e. ( C Full E ) ) $=
      ( vx vy co cfv wrel wcel sylancr wbr wfo 1st2ndbr eqid adantr ccofu cfunc
      c1st c2nd cop cful wceq relfunc fullfunc sselid cofucl 1st2nd cv chom cbs
      wral wa ccom relfull funcf1 simprl ffvelrnd simprr fullfo syl2anc cofu2nd
      foco eqidd cofu1 oveq12d foeq123d ralrimivva isfull2 sylanbrc df-br sylib
      mpbird eqeltrd ) AFEUAKZVSUCLZVSUDLZUEZBDUFKZABDUBKZMZVSWDNZVSWBUGBDUHZAB
      CDEFABCUFKZBCUBKZEBCUIGUJZACDUFKZCDUBKZFCDUIHUJZUKZVSWDULOAVTWAWCPZWBWCNA
      VTWAWDPZIUMZJUMZBUNLZKZWQVTLZWRVTLZDUNLZKZWQWRWAKZQZJBUOLZUPIXGUPWOAWEWFW
      PWGWNVSWDROAXFIJXGXGAWQXGNZWRXGNZUQZUQZXFWTWQEUCLZLZFUCLZLZWRXLLZXNLZXCKZ
      XMXPFUDLZKZWQWREUDLZKZURZQZXKXMXPCUNLZKZXRXTQWTYFYBQYDXKCUOLZCDXNXSYEXCXM
      XPYGSZXCSZYESZXKWKMFWKNZXNXSWKPCDUSAYKXJHTFWKROXKXGYGWQXLXKXGYGBCXLYAXGSZ
      YHXKWIMEWINZXLYAWIPBCUHAYMXJWJTZEWIROUTZAXHXIVAZVBXKXGYGWRXLYOAXHXIVCZVBV
      DXKXGBCXLYAWSYEWQWRYLYJWSSZXKWHMEWHNZXLYAWHPBCUSAYSXJGTEWHROYPYQVDWTYFXRX
      TYBVGVEXKWTWTXDXRXEYCXKXGBCDEFWQWRYLYNAFWLNXJWMTZYPYQVFXKWTVHXKXAXOXBXQXC
      XKXGBCDEFWQYLYNYTYPVIXKXGBCDEFWRYLYNYTYQVIVJVKVQVLIJXGBDVTWAWSXCYLYIYRVMV
      NVTWAWCVOVPVR $.
  $}

  ${
    $d x y C $.  $d x y E $.  $d x y F $.  $d x y G $.  $d x y ph $.
    cofth.f $e |- ( ph -> F e. ( C Faith D ) ) $.
    cofth.g $e |- ( ph -> G e. ( D Faith E ) ) $.
    $( The composition of two faithful functors is faithful.  Proposition
       3.30(c) in [Adamek] p. 35.  (Contributed by Mario Carneiro,
       28-Jan-2017.) $)
    cofth $p |- ( ph -> ( G o.func F ) e. ( C Faith E ) ) $=
      ( vx vy co cfv wrel wcel sylancr wbr wf1 1st2ndbr eqid adantr ccofu cfunc
      c1st c2nd cop cfth wceq relfunc fthfunc sselid cofucl 1st2nd cv chom wral
      cbs wa ccom relfth funcf1 simprl ffvelrnd simprr fthf1 f1co syl2anc eqidd
      cofu2nd cofu1 oveq12d f1eq123d mpbird isfth2 sylanbrc df-br sylib eqeltrd
      ralrimivva ) AFEUAKZVSUCLZVSUDLZUEZBDUFKZABDUBKZMZVSWDNZVSWBUGBDUHZABCDEF
      ABCUFKZBCUBKZEBCUIGUJZACDUFKZCDUBKZFCDUIHUJZUKZVSWDULOAVTWAWCPZWBWCNAVTWA
      WDPZIUMZJUMZBUNLZKZWQVTLZWRVTLZDUNLZKZWQWRWAKZQZJBUPLZUOIXGUOWOAWEWFWPWGW
      NVSWDROAXFIJXGXGAWQXGNZWRXGNZUQZUQZXFWTWQEUCLZLZFUCLZLZWRXLLZXNLZXCKZXMXP
      FUDLZKZWQWREUDLZKZURZQZXKXMXPCUNLZKZXRXTQWTYFYBQYDXKCUPLZCDXNXSYEXCXMXPYG
      SZYESZXCSZXKWKMFWKNZXNXSWKPCDUSAYKXJHTFWKROXKXGYGWQXLXKXGYGBCXLYAXGSZYHXK
      WIMEWINZXLYAWIPBCUHAYMXJWJTZEWIROUTZAXHXIVAZVBXKXGYGWRXLYOAXHXIVCZVBVDXKX
      GBCXLYAWSYEWQWRYLWSSZYIXKWHMEWHNZXLYAWHPBCUSAYSXJGTEWHROYPYQVDWTYFXRXTYBV
      EVFXKWTWTXDXRXEYCXKXGBCDEFWQWRYLYNAFWLNXJWMTZYPYQVHXKWTVGXKXAXOXBXQXCXKXG
      BCDEFWQYLYNYTYPVIXKXGBCDEFWRYLYNYTYQVIVJVKVLVRIJXGBDVTWAWSXCYLYRYJVMVNVTW
      AWCVOVPVQ $.
  $}

  ${
    coffth.f $e |- ( ph -> F e. ( ( C Full D ) i^i ( C Faith D ) ) ) $.
    coffth.g $e |- ( ph -> G e. ( ( D Full E ) i^i ( D Faith E ) ) ) $.
    $( The composition of two fully faithful functors is fully faithful.
       (Contributed by Mario Carneiro, 28-Jan-2017.) $)
    coffth $p |- ( ph ->
      ( G o.func F ) e. ( ( C Full E ) i^i ( C Faith E ) ) ) $=
      ( cful co cfth ccofu elin1d cofull elin2d cofth elind ) ABDIJBDKJFELJABCD
      EFABCIJZBCKJZEGMACDIJZCDKJZFHMNABCDEFARSEGOATUAFHOPQ $.
  $}

  ${
    rescfth.d $e |- D = ( C |`cat J ) $.
    rescfth.i $e |- I = ( idFunc ` D ) $.
    $( The inclusion functor from a subcategory is a faithful functor.
       (Contributed by Mario Carneiro, 27-Jan-2017.) $)
    rescfth $p |- ( J e. ( Subcat ` C ) -> I e. ( D Faith C ) ) $=
      ( csubc cfv wcel cfth cresc oveq2i fthres2 eqsstrid cful ccat cin subccat
      co id idffth syl elin2d sseldd ) DAGHIZBBJSZBAJSZCUEUFBADKSZJSUGBUHBJELBA
      DMNUEBBOSZUFCUEBPICUIUFQIUEABDEUETRBCFUAUBUCUD $.
  $}

  ${
    $d x y C $.  $d x y D $.  $d x y I $.  $d x y S $.  $d x y V $.
    ressffth.d $e |- D = ( C |`s S ) $.
    ressffth.i $e |- I = ( idFunc ` D ) $.
    $( The inclusion functor from a full subcategory is a full and faithful
       functor, see also remark 4.4(2) in [Adamek] p. 49.  (Contributed by
       Mario Carneiro, 27-Jan-2017.) $)
    ressffth $p |- ( ( C e. Cat /\ S e. V ) ->
      I e. ( ( D Full C ) i^i ( D Faith C ) ) ) $=
      ( vx vy ccat wcel wa cfv co cfunc wceq cress chomf ccomf eqid cop relfunc
      c1st c2nd cful cfth cin resscat eqeltrid idfucl syl 1st2nd sylancr wbr cv
      wrel chom wf1o cbs wral cxp cres cresc cvv ressinbas adantl eqtrid fveq2d
      eqidd simpl wss inss2 a1i simpld eqtrd simprd ovexi ovexd funcpropd csubc
      fullresc fullsubc funcres2 eqsstrd sseldd eqeltrrd sylibr cid f1oi adantr
      df-br simprl idfu2nd resshom ad2antlr idfu1 oveq123d f1oeq123d ralrimivva
      simprr mpbiri isffth2 sylanbrc sylib eqeltrd ) AJKZCEKZLZDDUCMZDUDMZUAZBA
      UENBAUFNUGZXHBBONZUPDXMKZDXKPBBUBXHBJKZXNXHBACQNZJFACEUHUIZBDGUJUKZDXMULU
      MZXHXIXJXLUNZXKXLKXHXIXJBAONZUNZHUOZIUOZBUQMZNZYCXIMZYDXIMZAUQMZNZYCYDXJN
      ZURZIBUSMZUTHYMUTXTXHXKYAKYBXHDXKYAXSXHXMYADXHXMBAARMZCAUSMZUGZYPVAVBZVCN
      ZONZYAXHBBBYRVDXHBRMZVIXHBSMZVIXHYTAYPQNZRMZYRRMZXHBUUBRXHBXPUUBFXGXPUUBP
      XFCYOAEYOTZVEVFVGZVHXHUUCUUDPZUUBSMZYRSMZPZXHYOAUUBYPYRYNUUEYNTZXFXGVJZYP
      YOVKXHCYOVLVMZUUBTYRTWAZVNVOXHUUAUUHUUIXHBUUBSUUFVHXHUUGUUJUUNVPVOBVDKXHB
      ACQFVQVMZUUOUUOXHAYQVCVRVSXHYQAVTMKYSYAVKXHYOAYPYNUUEUUKUULUUMWBBAYQWCUKW
      DXRWEWFXIXJYAWKWGXHYLHIYMYMXHYCYMKZYDYMKZLZLZYLYFYFWHYFVBZURYFWIUUSYFYFYJ
      YFYKUUTUUSYMBYEDYCYDGYMTZXHXOUURXQWJZYETZXHUUPUUQWLZXHUUPUUQWTZWMUUSYFVIU
      USYGYCYHYDYIYEXGYIYEPXFUURCABYIEFYITZWNWOUUSYMBDYCGUVAUVBUVDWPUUSYMBDYDGU
      VAUVBUVEWPWQWRXAWSHIYMBAXIXJYEYIUVAUVCUVFXBXCXIXJXLWKXDXE $.
  $}

  ${
    $d x y A $.  $d x y C $.  $d x y D $.  $d x y E $.  $d x y ph $.
    $d x y F $.  $d x y G $.
    ffthres2c.a $e |- A = ( Base ` C ) $.
    ffthres2c.e $e |- E = ( D |`s S ) $.
    ffthres2c.d $e |- ( ph -> D e. Cat ) $.
    ffthres2c.r $e |- ( ph -> S e. V ) $.
    ffthres2c.1 $e |- ( ph -> F : A --> S ) $.
    $( Condition for a full functor to also be a full functor into the
       restriction.  (Contributed by Mario Carneiro, 30-Jan-2017.) $)
    fullres2c $p |- ( ph -> ( F ( C Full D ) G <-> F ( C Full E ) G ) ) $=
      ( vx vy co wbr cfv wral cfunc cv chom wceq wa cful funcres2c wcel resshom
      crn eqid syl oveqd eqeq2d 2ralbidv anbi12d isfull 3bitr4g ) AGHCDUAQRZOUB
      ZPUBZHQUJZUTGSZVAGSZDUCSZQZUDZPBTOBTZUEGHCFUAQRZVBVCVDFUCSZQZUDZPBTOBTZUE
      GHCDUFQRGHCFUFQRAUSVIVHVMABCDEFGHIJKLMNUGAVGVLOPBBAVFVKVBAVEVJVCVDAEIUHVE
      VJUDMEDFVEIKVEUKZUIULUMUNUOUPOPBCDGHVEJVNUQOPBCFGHVJJVJUKUQUR $.

    $( Condition for a fully faithful functor to also be a fully faithful
       functor into the restriction.  (Contributed by Mario Carneiro,
       27-Jan-2017.) $)
    ffthres2c $p |- ( ph -> ( F ( ( C Full D ) i^i ( C Faith D ) ) G <->
      F ( ( C Full E ) i^i ( C Faith E ) ) G ) ) $=
      ( cful co wbr cfth wa cin fullres2c fthres2c anbi12d brin 3bitr4g ) AGHCD
      OPZQZGHCDRPZQZSGHCFOPZQZGHCFRPZQZSGHUFUHTQGHUJULTQAUGUKUIUMABCDEFGHIJKLMN
      UAABCDEFGHIJKLMNUBUCGHUFUHUDGHUJULUDUE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Natural transformations and the functor category
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Nat $.
  $c FuncCat $.

  $( Extend class notation to include the collection of natural
     transformations. $)
  cnat $a class Nat $.

  $( Extend class notation to include the functor category. $)
  cfuc $a class FuncCat $.

  ${
    $d a b f g h r s t u v x y $.  $d a h x y A $.  $d a f g r s t u x y B $.
    $d a f g h r s t u x y C $.  $d a f g h r s x y F $.  $d a f g r s t u J $.
    $d a f g h r s x y G $.  $d a f g h r s t u H $.  $d a f g h r s x y ph $.
    $d a f g h r s x y K $.  $d a f g h r s x y L $.  $d a f g r s t u .x. $.
    $d a f g h r s t u x y D $.
    $( Definition of a natural transformation between two functors.  A natural
       transformation ` A : F --> G ` is a collection of arrows
       ` A ( x ) : F ( x ) --> G ( x ) ` , such that
       ` A ( y ) o. F ( h ) = G ( h ) o. A ( x ) ` for each morphism
       ` h : x --> y ` .  Definition 6.1 in [Adamek] p. 83, and definition in
       [Lang] p. 65.  (Contributed by Mario Carneiro, 6-Jan-2017.) $)
    df-nat $a |- Nat = ( t e. Cat , u e. Cat |->
      ( f e. ( t Func u ) , g e. ( t Func u ) |->
        [_ ( 1st ` f ) / r ]_ [_ ( 1st ` g ) / s ]_
          { a e. X_ x e. ( Base ` t ) ( ( r ` x ) ( Hom ` u ) ( s ` x ) ) |
        A. x e. ( Base ` t ) A. y e. ( Base ` t ) A. h e. ( x ( Hom ` t ) y )
      ( ( a ` y ) ( <. ( r ` x ) , ( r ` y ) >.
          ( comp ` u ) ( s ` y ) ) ( ( x ( 2nd ` f ) y ) ` h ) ) =
      ( ( ( x ( 2nd ` g ) y ) ` h ) ( <. ( r ` x ) , ( s ` x ) >.
          ( comp ` u ) ( s ` y ) ) ( a ` x ) ) } ) ) $.

    $( Definition of the category of functors between two fixed categories,
       with the objects being functors and the morphisms being natural
       transformations.  Definition 6.15 in [Adamek] p. 87.  (Contributed by
       Mario Carneiro, 6-Jan-2017.) $)
    df-fuc $a |- FuncCat = ( t e. Cat , u e. Cat |->
      { <. ( Base ` ndx ) , ( t Func u ) >. ,
        <. ( Hom ` ndx ) , ( t Nat u ) >. ,
        <. ( comp ` ndx ) ,
          ( v e. ( ( t Func u ) X. ( t Func u ) ) , h e. ( t Func u ) |->
            [_ ( 1st ` v ) / f ]_ [_ ( 2nd ` v ) / g ]_
          ( b e. ( g ( t Nat u ) h ) , a e. ( f ( t Nat u ) g ) |->
            ( x e. ( Base ` t ) |-> ( ( b ` x )
              ( <. ( ( 1st ` f ) ` x ) , ( ( 1st ` g ) ` x ) >. ( comp ` u )
                   ( ( 1st ` h ) ` x ) ) ( a ` x ) ) ) ) ) >. } ) $.

    $( The ` FuncCat ` operation is a well-defined function on categories.
       (Contributed by Mario Carneiro, 12-Jan-2017.) $)
    fnfuc $p |- FuncCat Fn ( Cat X. Cat ) $=
      ( vt vu vv vh vf vg vb va vx ccat cnx cbs cfv cv co cop cco c1st cmpo csb
      cfunc chom cnat cxp c2nd cmpt ctp cfuc df-fuc tpex fnmpoi ) ABJJKLMANZBNZ
      UAOZPZKUBMULUMUCOZPZKQMCDUNUNUDUNECNZRMFURUEMGHFNZDNZUPOENZUSUPOIULLMINZG
      NMVBHNMVBVARMMVBUSRMMPVBUTRMMUMQMOOUFSTTSPZUGUHICBAEFDHGUIUOUQVCUJUK $.

    natfval.1 $e |- N = ( C Nat D ) $.
    natfval.b $e |- B = ( Base ` C ) $.
    natfval.h $e |- H = ( Hom ` C ) $.
    natfval.j $e |- J = ( Hom ` D ) $.
    natfval.o $e |- .x. = ( comp ` D ) $.
    $( Value of the function giving natural transformations between two
       categories.  (Contributed by Mario Carneiro, 6-Jan-2017.)  (Proof
       shortened by AV, 1-Mar-2024.) $)
    natfval $p |- N = ( f e. ( C Func D ) , g e. ( C Func D ) |->
        [_ ( 1st ` f ) / r ]_ [_ ( 1st ` g ) / s ]_
          { a e. X_ x e. B ( ( r ` x ) J ( s ` x ) ) |
        A. x e. B A. y e. B A. h e. ( x H y )
      ( ( a ` y ) ( <. ( r ` x ) , ( r ` y ) >.
          .x. ( s ` y ) ) ( ( x ( 2nd ` f ) y ) ` h ) ) =
      ( ( ( x ( 2nd ` g ) y ) ` h ) ( <. ( r ` x ) , ( s ` x ) >.
          .x. ( s ` y ) ) ( a ` x ) ) } ) $=
      ( vt vu cnat co cfunc c1st cfv c2nd cop wceq wral cixp crab csb cmpo ccat
      cv wcel wa cco chom cbs oveq12 simpl eqtr4di ixpeq1d simpr oveqd ixpeq2dv
      fveq2d eqtrd eqeq12d raleqbidv rabeqbidv csbeq2dv mpoeq123dv df-nat mpoex
      ovex ovmpoa wn c0 mpondm0 wo funcrcl con3i eq0rdv olcd syl eqtr4d pm2.61i
      0mpo0 eqtri ) LDEUCUDZGHDEUEUDZWONGUQZUFUGZMHUQZUFUGZBUQZOUQZUGZIUQZAUQZW
      TWPUHUGUDUGZXDNUQZUGZWTXFUGUIZWTMUQZUGZFUDZUDZXCXDWTWRUHUGUDUGZXDXAUGZXGX
      DXIUGZUIZXJFUDZUDZUJZIXDWTJUDZUKZBCUKZACUKZOACXGXOKUDZULZUMZUNZUNZUOZPDUP
      UREUPURUSZWNYIUJUAUBDEUPUPGHUAUQZUBUQZUEUDZYMNWQMWSXBXEXHXJYLUTUGZUDZUDZX
      MXNXPXJYNUDZUDZUJZIXDWTYKVAUGZUDZUKZBYKVBUGZUKZAUUCUKZOAUUCXGXOYLVAUGZUDZ
      ULZUMZUNZUNZUOZYIUCYKDUJZYLEUJZUSZGHYMYMUUKWOWOYHYKDYLEUEVCZUUPUUONWQUUJY
      GUUOMWSUUIYFUUOUUEYCOUUHYEUUOUUHACUUGULYEUUOAUUCCUUGUUOUUCDVBUGCUUOYKDVBU
      UMUUNVDZVJQVEZVFUUOACUUGYDUUOUUFKXGXOUUOUUFEVAUGKUUOYLEVAUUMUUNVGZVJSVEVH
      VIVKUUOUUDYBAUUCCUURUUOUUBYABUUCCUURUUOYSXSIUUAXTUUOYTJXDWTUUOYTDVAUGJUUO
      YKDVAUUQVJRVEVHUUOYPXLYRXRUUOYOXKXBXEUUOYNFXHXJUUOYNEUTUGFUUOYLEUTUUSVJTV
      EZVHVHUUOYQXQXMXNUUOYNFXPXJUUTVHVHVLVMVMVMVNVOVOVPABUBUAGHIMNOVQZGHWOWOYH
      DEUEVSZUVBVRVTYJWAZWNWBYIUAUBUULUCDEUPUPUVAWCUVCWOWBUJZUVDWDYIWBUJUVCUVDU
      VDUVCGWOWPWOURYJDEWPWEWFWGWHGHWOWOYHWLWIWJWKWM $.

    ${
      isnat.f $e |- ( ph -> F ( C Func D ) G ) $.
      isnat.g $e |- ( ph -> K ( C Func D ) L ) $.
      $( Property of being a natural transformation.  (Contributed by Mario
         Carneiro, 6-Jan-2017.) $)
      isnat $p |- ( ph -> ( A e. ( <. F , G >. N <. K , L >. ) <->
            ( A e. X_ x e. B ( ( F ` x ) J ( K ` x ) ) /\
          A. x e. B A. y e. B A. h e. ( x H y )
        ( ( A ` y ) ( <. ( F ` x ) , ( F ` y ) >.
            .x. ( K ` y ) ) ( ( x G y ) ` h ) ) =
        ( ( ( x L y ) ` h ) ( <. ( F ` x ) , ( K ` x ) >.
            .x. ( K ` y ) ) ( A ` x ) ) ) ) ) $=
        ( va vf vg vr vs cop co wcel cv cfv wceq wral cixp crab cfunc c1st c2nd
        csb cvv cmpo natfval a1i fvexd simprl fveq2d wrel wbr relfunc brrelex12
        wa sylancr op1stg syl adantr eqtrd simplrr ad2antrr simplr fveq1d simpr
        oveq12d ixpeq2dv opeq12d eqidd ad3antrrr oveqd oveq123d eqeq12d ralbidv
        op2ndg 2ralbidv rabeqbidv csbied2 df-br sylib rgenw ixpexg ax-mp ovmpod
        ovex rabex eleq2d fveq1 oveq1d oveq2d elrab bitrdi ) ADJKUIZNOUIZPUJZUK
        DCULZUDULZUMZIULZBULZXNKUJZUMZXRJUMZXNJUMZUIZXNNUMZHUJZUJZXQXRXNOUJZUMZ
        XRXOUMZYAXRNUMZUIZYDHUJZUJZUNZIXRXNLUJZUOZCEUOBEUOZUDBEYAYJMUJZUPZUQZUK
        DYSUKXNDUMZXTYEUJZYHXRDUMZYLUJZUNZIYOUOZCEUOBEUOZVMAXMYTDAUEUFXKXLFGURU
        JZUUHUGUEULZUSUMZUHUFULZUSUMZXPXQXRXNUUIUTUMZUJZUMZXRUGULZUMZXNUUPUMZUI
        ZXNUHULZUMZHUJZUJZXQXRXNUUKUTUMZUJZUMZYIUUQXRUUTUMZUIZUVAHUJZUJZUNZIYOU
        OZCEUOBEUOZUDBEUUQUVGMUJZUPZUQZVAZVAZYTPVBPUEUFUUHUUHUVRVCUNABCEFGHUEUF
        ILMPUHUGUDQRSTUAVDVEAUUIXKUNZUUKXLUNZVMZVMZUGUUJJUVQYTVBUWBUUIUSVFUWBUU
        JXKUSUMZJUWBUUIXKUSAUVSUVTVGZVHAUWCJUNZUWAAJVBUKKVBUKVMZUWEAUUHVIZJKUUH
        VJZUWFFGVKZUBJKUUHVLVNZJKVBVBVOVPVQVRUWBUUPJUNZVMZUHUULNUVPYTVBUWLUUKUS
        VFUWLUULXLUSUMZNUWLUUKXLUSAUVSUVTUWKVSZVHAUWMNUNZUWAUWKANVBUKOVBUKVMZUW
        OAUWGNOUUHVJZUWPUWIUCNOUUHVLVNZNOVBVBVOVPVTVRUWLUUTNUNZVMZUVMYQUDUVOYSU
        WTBEUVNYRUWTUUQYAUVGYJMUWTXRUUPJUWBUWKUWSWAZWBZUWTXRUUTNUWLUWSWCZWBZWDW
        EUWTUVLYPBCEEUWTUVKYNIYOUWTUVCYFUVJYMUWTXPXPUUOXTUVBYEUWTUUSYCUVAYDHUWT
        UUQYAUURYBUXBUWTXNUUPJUXAWBWFUWTXNUUTNUXCWBZWDUWTXPWGUWTXQUUNXSUWTUUMKX
        RXNUWTUUMXKUTUMZKUWTUUIXKUTUWBUVSUWKUWSUWDVTVHAUXFKUNZUWAUWKUWSAUWFUXGU
        WJJKVBVBWMVPWHVRWIWBWJUWTUVFYHYIYIUVIYLUWTUVHYKUVAYDHUWTUUQYAUVGYJUXBUX
        DWFUXEWDUWTXQUVEYGUWTUVDOXRXNUWTUVDXLUTUMZOUWTUUKXLUTUWLUVTUWSUWNVQVHAU
        XHOUNZUWAUWKUWSAUWPUXIUWRNOVBVBWMVPWHVRWIWBUWTYIWGWJWKWLWNWOWPWPAUWHXKU
        UHUKUBJKUUHWQWRAUWQXLUUHUKUCNOUUHWQWRYTVBUKAYQUDYSYRVBUKZBEUOYSVBUKUXJB
        EYAYJMXCWSBEYRVBWTXAXDVEXBXEYQUUGUDDYSXODUNZYPUUFBCEEUXKYNUUEIYOUXKYFUU
        BYMUUDUXKXPUUAXTYEXNXODXFXGUXKYIUUCYHYLXRXODXFXHWKWLWNXIXJ $.
    $}

    isnat2.f $e |- ( ph -> F e. ( C Func D ) ) $.
    isnat2.g $e |- ( ph -> G e. ( C Func D ) ) $.
    $( Property of being a natural transformation.  (Contributed by Mario
       Carneiro, 6-Jan-2017.) $)
    isnat2 $p |- ( ph -> ( A e. ( F N G ) <->
          ( A e. X_ x e. B ( ( ( 1st ` F ) ` x ) J ( ( 1st ` G ) ` x ) ) /\
        A. x e. B A. y e. B A. h e. ( x H y )
      ( ( A ` y ) ( <. ( ( 1st ` F ) ` x ) , ( ( 1st ` F ) ` y ) >.
          .x. ( ( 1st ` G ) ` y ) ) ( ( x ( 2nd ` F ) y ) ` h ) ) =
      ( ( ( x ( 2nd ` G ) y ) ` h ) ( <. ( ( 1st ` F ) ` x ) ,
        ( ( 1st ` G ) ` x ) >. .x. ( ( 1st ` G ) ` y ) ) ( A ` x ) ) ) ) ) $=
      ( co wcel c1st cfv c2nd cv cixp wceq wral wa cfunc relfunc 1st2nd sylancr
      cop wrel oveq12d eleq2d wbr 1st2ndbr isnat bitrd ) ADJKNUBZUCDJUDUEZJUFUE
      ZUPZKUDUEZKUFUEZUPZNUBZUCDBEBUGZVEUEZVLVHUEZMUBUHUCCUGZDUEIUGZVLVOVFUBUEV
      MVOVEUEUPVOVHUEZHUBUBVPVLVOVIUBUEVLDUEVMVNUPVQHUBUBUIIVLVOLUBUJCEUJBEUJUK
      AVDVKDAJVGKVJNAFGULUBZUQZJVRUCZJVGUIFGUMZTJVRUNUOAVSKVRUCZKVJUIWAUAKVRUNU
      OURUSABCDEFGHIVEVFLMVHVINOPQRSAVSVTVEVFVRUTWATJVRVAUOAVSWBVHVIVRUTWAUAKVR
      VAUOVBVC $.
  $}

  ${
    $d f x y z A $.  $d f x y z F $.  $d f x y z G $.  $d f H $.  $d f x y R $.
    $d a f g h r s x y z C $.  $d f x y z K $.  $d f x y z ph $.  $d f x y X $.
    $d a f g h r s x y z D $.  $d f x y z L $.  $d f x y .x. $.  $d f x y Y $.
    $d x y B $.  $d x J $.
    natrcl.1 $e |- N = ( C Nat D ) $.
    $( The natural transformation set operation is a well-defined function.
       (Contributed by Mario Carneiro, 12-Jan-2017.) $)
    natffn $p |- N Fn ( ( C Func D ) X. ( C Func D ) ) $=
      ( vf vg vr vs vy va vh vx co cv c1st cfv c2nd wral eqid cvv cfunc cop cco
      wceq chom cbs cixp crab natfval wcel ovex rgenw ixpexg ax-mp rabex fnmpoi
      csb csbex ) EFABUAMZUSGENZOPZHFNZOPZINZJNZPKNZLNZVDUTQPMPVGGNZPZVDVHPUBVD
      HNZPZBUCPZMMVFVGVDVBQPMPVGVEPVIVGVJPZUBVKVLMMUDKVGVDAUEPZMRIAUFPZRLVORZJL
      VOVIVMBUEPZMZUGZUHZUQZUQCLIVOABVLEFKVNVQCHGJDVOSVNSVQSVLSUIGVAWAHVCVTVPJV
      SVRTUJZLVORVSTUJWBLVOVIVMVQUKULLVOVRTUMUNUOURURUP $.

    $( Reverse closure for a natural transformation.  (Contributed by Mario
       Carneiro, 6-Jan-2017.) $)
    natrcl $p |- ( A e. ( F N G ) ->
      ( F e. ( C Func D ) /\ G e. ( C Func D ) ) ) $=
      ( vf vg vr vs vy va vh vx co cv cfv wral eqid c1st c2nd cop cco wceq chom
      cfunc cbs cixp crab csb natfval elmpocl ) HIBCUGPZUNJHQZUARKIQZUARLQZMQZR
      NQZOQZUQUOUBRPRUTJQZRZUQVARUCUQKQZRZCUDRZPPUSUTUQUPUBRPRUTURRVBUTVCRZUCVD
      VEPPUENUTUQBUFRZPSLBUHRZSOVHSMOVHVBVFCUFRZPUIUJUKUKDEFAOLVHBCVEHINVGVIFKJ
      MGVHTVGTVITVETULUM $.

    ${
      nat1st2nd.2 $e |- ( ph -> A e. ( F N G ) ) $.
      $( Rewrite the natural transformation predicate with separated functor
         parts.  (Contributed by Mario Carneiro, 6-Jan-2017.) $)
      nat1st2nd $p |- ( ph -> A e. ( <. ( 1st ` F ) , ( 2nd ` F ) >. N
          <. ( 1st ` G ) , ( 2nd ` G ) >. ) ) $=
        ( co c1st cfv c2nd cop cfunc wrel wcel wceq 1st2nd sylancr relfunc syl
        wa natrcl simpld simprd oveq12d eleqtrd ) ABEFGJZEKLEMLNZFKLFMLNZGJIAEU
        JFUKGACDOJZPZEULQZEUJRCDUAZAUNFULQZABUIQUNUPUCIBCDEFGHUDUBZUEEULSTAUMUP
        FUKRUOAUNUPUQUFFULSTUGUH $.
    $}

    natixp.2 $e |- ( ph -> A e. ( <. F , G >. N <. K , L >. ) ) $.
    natixp.b $e |- B = ( Base ` C ) $.
    ${
      natixp.j $e |- J = ( Hom ` D ) $.
      $( A natural transformation is a function from the objects of ` C ` to
         homomorphisms from ` F ( x ) ` to ` G ( x ) ` .  (Contributed by Mario
         Carneiro, 6-Jan-2017.) $)
      natixp $p |- ( ph -> A e. X_ x e. B ( ( F ` x ) J ( K ` x ) ) ) $=
        ( cfv co wcel cop vy vz cv cixp cco wceq chom wral wa eqid cfunc natrcl
        wbr syl simpld df-br sylibr simprd isnat mpbid ) ACBDBUCZGQZVAJQZIRUDSZ
        UAUCZCQUBUCZVAVEHRQVBVEGQTVEJQZFUEQZRRVFVAVEKRQVACQVBVCTVGVHRRUFUBVAVEE
        UGQZRUHUADUHBDUHZACGHTZJKTZLRSZVDVJUINABUACDEFVHUBGHVIIJKLMOVIUJPVHUJAV
        KEFUKRZSZGHVNUMAVOVLVNSZAVMVOVPUINCEFVKVLLMULUNZUOGHVNUPUQAVPJKVNUMAVOV
        PVQURJKVNUPUQUSUTUO $.

      natcl.1 $e |- ( ph -> X e. B ) $.
      $( A component of a natural transformation is a morphism.  (Contributed
         by Mario Carneiro, 6-Jan-2017.) $)
      natcl $p |- ( ph -> ( A ` X ) e. ( ( F ` X ) J ( K ` X ) ) ) $=
        ( vx cfv wcel cv co cixp natixp wceq fveq2 oveq12d fvixp syl2anc ) ABRC
        RUAZFSZUJISZHUBZUCTLCTLBSLFSZLISZHUBZTARBCDEFGHIJKMNOPUDQRCUMLUPBUJLUEU
        KUNULUOHUJLFUFUJLIUFUGUHUI $.
    $}

    $( A natural transformation is a function on the objects of ` C ` .
       (Contributed by Mario Carneiro, 6-Jan-2017.) $)
    natfn $p |- ( ph -> A Fn B ) $=
      ( vx cv cfv chom co cixp wcel wfn eqid natixp ixpfn syl ) ABNCNOZFPUFHPEQ
      PZRZSTBCUAANBCDEFGUGHIJKLMUGUBUCNCUHBUDUE $.

    nati.h $e |- H = ( Hom ` C ) $.
    nati.o $e |- .x. = ( comp ` D ) $.
    nati.x $e |- ( ph -> X e. B ) $.
    nati.y $e |- ( ph -> Y e. B ) $.
    nati.r $e |- ( ph -> R e. ( X H Y ) ) $.
    $( Naturality property of a natural transformation.  (Contributed by Mario
       Carneiro, 6-Jan-2017.) $)
    nati $p |- ( ph ->
        ( ( A ` Y ) ( <. ( F ` X ) , ( F ` Y ) >.
            .x. ( K ` Y ) ) ( ( X G Y ) ` R ) ) =
        ( ( ( X L Y ) ` R ) ( <. ( F ` X ) , ( K ` X ) >.
            .x. ( K ` Y ) ) ( A ` X ) ) ) $=
      ( vy vf vx cv cfv co cop wceq wral chom cixp wcel wa cfunc wbr natrcl syl
      eqid simpld df-br sylibr simprd isnat mpbid adantr ad2antrr simpr oveq12d
      simplr eleqtrrd simpllr fveq2d opeq12d fveq12d oveq123d eqeq12d rspcimdv
      rspcdv mpd ) AUDUGZBUHZUEUGZUFUGZWCIUIZUHZWFHUHZWCHUHZUJZWCKUHZGUIZUIZWEW
      FWCLUIZUHZWFBUHZWIWFKUHZUJZWLGUIZUIZUKZUEWFWCJUIZULZUDCULZUFCULZOBUHZFNOI
      UIZUHZNHUHZOHUHZUJZOKUHZGUIZUIZFNOLUIZUHZNBUHZXJNKUHZUJZXMGUIZUIZUKZABUFC
      WIWREUMUHZUIUNUOZXFABHIUJZKLUJZMUIUOZYEXFUPQAUFUDBCDEGUEHIJYDKLMPRSYDVATA
      YFDEUQUIZUOZHIYIURAYJYGYIUOZAYHYJYKUPQBDEYFYGMPUSUTZVBHIYIVCVDAYKKLYIURAY
      JYKYLVEKLYIVCVDVFVGVEAXEYCUFNCUAAWFNUKZUPZXDYCUDOCAOCUOYMUBVHYNWCOUKZUPZX
      BYCUEFXCYPFNOJUIZXCAFYQUOYMYOUCVIYPWFNWCOJAYMYOVLYNYOVJVKVMYPWEFUKZUPZWNX
      OXAYBYSWDXGWHXIWMXNYSWKXLWLXMGYSWIXJWJXKYSWFNHAYMYOYRVNZVOZYSWCOHYNYOYRVL
      ZVOVPYSWCOKUUBVOZVKYSWCOBUUBVOYSWEFWGXHYSWFNWCOIYTUUBVKYPYRVJZVQVRYSWPXQW
      QXRWTYAYSWSXTWLXMGYSWIXJWRXSUUAYSWFNKYTVOVPUUCVKYSWEFWOXPYSWFNWCOLYTUUBVK
      UUDVQYSWFNBYTVOVRVSWAVTVTWB $.
  $}

  ${
    $d a f g r s x y z C $.  $d a f g r s x y z D $.
    wunnat.1 $e |- ( ph -> U e. WUni ) $.
    wunnat.2 $e |- ( ph -> C e. U ) $.
    wunnat.3 $e |- ( ph -> D e. U ) $.
    $( A weak universe is closed under the natural transformation operation.
       (Contributed by Mario Carneiro, 12-Jan-2017.)  (Proof shortened by AV,
       13-Oct-2024.) $)
    wunnat $p |- ( ph -> ( C Nat D ) e. U ) $=
      ( vr vf vs vg vx co chom cfv cv wral wcel cvv eqid vy va vz cfunc cxp crn
      cuni cbs cmap cpw cnat wunfunc wunxp cnx homid wunstr wunrn wununi baseid
      wunmap wunpw wf c1st c2nd cop cco wceq cixp crab csb fvex wsbc ssrab2 wss
      ovex ovssunirn rgenw ss2ixp ax-mp rnex uniex ixpconst sseqtri sstri sbcth
      elpwi2 sbcel1g mpbid rgen2w natfval fmpo mpbi a1i wunf ) ABCUDMZWOUEZCNOZ
      UFZUGZBUHOZUIMZUJZDBCUKMZEAWOWODEABCDEFGULZXDUMAXADEAWSWTDEAWRDEAWQDEACDN
      UNNOUOEGUPUQURABDUHUNUHOUSEFUPUTVAWPXBXCVBZAHIPZVCOZJKPZVCOZUAPZUBPZOUCPZ
      LPZXJXFVDOMOXMHPZOZXJXNOVEXJJPZOZCVFOZMMXLXMXJXHVDOMOXMXKOXOXMXPOZVEXQXRM
      MVGUCXMXJBNOZMQUAWTQLWTQZUBLWTXOXSWQMZVHZVIZVJZVJZXBRZKWOQIWOQXEYGIKWOWOX
      GSRZYGXFVCVKYHYEXBRZHXGVLYGYIHXGSXISRZYIXHVCVKYJYDXBRZJXIVLYIYKJXISYDXASW
      SWTUIVOYDYCXAYAUBYCVMYCLWTWSVHZXAYBWSVNZLWTQYCYLVNYMLWTWQXOXSVPVQLWTYBWSV
      RVSLWTWSBUHVKWRWQCNVKVTWAWBWCWDWFWEJXIYDXBSWGWHVSWEHXGYEXBSWGWHVSWIIKWOWO
      YFXBXCLUAWTBCXRIKUCXTWQXCJHUBXCTWTTXTTWQTXRTWJWKWLWMWN $.

    $( Obsolete proof of ~ wunnat as of 13-Oct-2024.  (Contributed by Mario
       Carneiro, 12-Jan-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    wunnatOLD $p |- ( ph -> ( C Nat D ) e. U ) $=
      ( vr vf vs vg va vx co cfv cv wral wcel cvv eqid vy vz cfunc cxp chom crn
      cuni cbs cmap cpw cnat wunfunc wunxp c1 c4 cdc df-hom wunstr wunrn wununi
      df-base wunmap wunpw wf c1st c2nd cop cco wceq cixp crab fvex wsbc ssrab2
      csb ovex wss ovssunirn rgenw ss2ixp ax-mp rnex uniex sseqtri sstri elpwi2
      ixpconst sbcth sbcel1g mpbid rgen2w natfval fmpo mpbi a1i wunf ) ABCUCNZW
      QUDZCUEOZUFZUGZBUHOZUINZUJZDBCUKNZEAWQWQDEABCDEFGULZXFUMAXCDEAXAXBDEAWTDE
      AWSDEACDUEUNUOUPUQEGURUSUTABDUHUNVAEFURVBVCWRXDXEVDZAHIPZVEOZJKPZVEOZUAPZ
      LPZOUBPZMPZXLXHVFONOXOHPZOZXLXPOVGXLJPZOZCVHOZNNXNXOXLXJVFONOXOXMOXQXOXRO
      ZVGXSXTNNVIUBXOXLBUEOZNQUAXBQMXBQZLMXBXQYAWSNZVJZVKZVOZVOZXDRZKWQQIWQQXGY
      IIKWQWQXISRZYIXHVEVLYJYGXDRZHXIVMYIYKHXISXKSRZYKXJVEVLYLYFXDRZJXKVMYKYMJX
      KSYFXCSXAXBUIVPYFYEXCYCLYEVNYEMXBXAVJZXCYDXAVQZMXBQYEYNVQYOMXBWSXQYAVRVSM
      XBYDXAVTWAMXBXABUHVLWTWSCUEVLWBWCWGWDWEWFWHJXKYFXDSWIWJWAWHHXIYGXDSWIWJWA
      WKIKWQWQYHXDXEMUAXBBCXTIKUBYBWSXEJHLXETXBTYBTWSTXTTWLWMWNWOWP $.
  $}

  $( A category structure is a structure.  (Contributed by Mario Carneiro,
     3-Jan-2017.) $)
  catstr $p |- { <. ( Base ` ndx ) , U >. ,
                 <. ( Hom ` ndx ) , H >. , <. ( comp ` ndx ) , .x. >. }
                Struct <. 1 , ; 1 5 >. $=
    ( cnx cbs cfv chom cco c1 c4 cdc 1nn basendx 4nn0 1nn0 1lt10 declti decnncl
    c5 5nn 4nn homndx 4lt5 declt ccondx strle3 ) DEFDGFDHFIIJKISKBCALMIJILNOPQI
    JOUARUBIJSONTUCUDISOTRUEUF $.

  ${
    $d h t u v B $.  $d t u N $.  $d a b f g h t u v x ph $.  $d t u .xb $.
    $d a b f g h t u v x C $.  $d a b f g h t u v x D $.
    fucval.q $e |- Q = ( C FuncCat D ) $.
    fucval.b $e |- B = ( C Func D ) $.
    fucval.n $e |- N = ( C Nat D ) $.
    fucval.a $e |- A = ( Base ` C ) $.
    fucval.o $e |- .x. = ( comp ` D ) $.
    fucval.c $e |- ( ph -> C e. Cat ) $.
    fucval.d $e |- ( ph -> D e. Cat ) $.
    ${
      fucval.x $e |- ( ph -> .xb = ( v e. ( B X. B ) , h e. B |->
              [_ ( 1st ` v ) / f ]_ [_ ( 2nd ` v ) / g ]_
            ( b e. ( g N h ) , a e. ( f N g ) |->
              ( x e. A |-> ( ( b ` x )
                ( <. ( ( 1st ` f ) ` x ) , ( ( 1st ` g ) ` x ) >. .x.
                     ( ( 1st ` h ) ` x ) ) ( a ` x ) ) ) ) ) ) $.
      $( Value of the functor category.  (Contributed by Mario Carneiro,
         6-Jan-2017.) $)
      fucval $p |- ( ph -> Q = { <. ( Base ` ndx ) , B >. ,
        <. ( Hom ` ndx ) , N >. , <. ( comp ` ndx ) , .xb >. } ) $=
        ( vt vu cfuc co cnx cbs cfv cop chom cco ctp ccat cv cnat cxp c1st c2nd
        cfunc cmpt cmpo csb cvv wceq df-fuc a1i wa simprl simprr oveq12d opeq2d
        eqtr4di sqxpeqd oveqd fveq2d mpoeq123dv csbeq2dv adantr eqtr4d tpeq123d
        mpteq12dv wcel tpex ovmpod eqtrid ) AHFGUGUHUIUJUKZEULZUIUMUKZNULZUIUNU
        KZIULZUOZQAUEUFFGUPUPWIUEUQZUFUQZVBUHZULZWKWPWQURUHZULZWMCMWRWRUSZWRKCU
        QZUTUKZLXCVAUKZPOLUQZMUQZWTUHZKUQZXFWTUHZBWPUJUKZBUQZPUQUKZXLOUQUKZXLXI
        UTUKUKXLXFUTUKUKULZXLXGUTUKUKZWQUNUKZUHZUHZVCZVDZVEZVEZVDZULZUOZWOUGVFU
        GUEUFUPUPYFVDVGABCUFUEKLMOPVHVIAWPFVGZWQGVGZVJZVJZWSWJXAWLYEWNYJWREWIYJ
        WRFGVBUHEYJWPFWQGVBAYGYHVKZAYGYHVLZVMRVOZVNYJWTNWKYJWTFGURUHNYJWPFWQGUR
        YKYLVMSVOZVNYJYDIWMYJYDCMEEUSZEKXDLXEPOXFXGNUHZXIXFNUHZBDXMXNXOXPJUHZUH
        ZVCZVDZVEZVEZVDZIYJCMXBWRYCYOEUUCYJWREYMVPYMYJKXDYBUUBYJLXEYAUUAYJPOXHX
        JXTYPYQYTYJWTNXFXGYNVQYJWTNXIXFYNVQYJBXKXSDYSYJXKFUJUKDYJWPFUJYKVRTVOYJ
        XRYRXMXNYJXQJXOXPYJXQGUNUKJYJWQGUNYLVRUAVOVQVQWDVSVTVTVSAIUUDVGYIUDWAWB
        VNWCUBUCWOVFWEAWJWLWNWFVIWGWH $.
    $}

    fuccofval.x $e |- .xb = ( comp ` Q ) $.
    $( Value of the functor category.  (Contributed by Mario Carneiro,
       6-Jan-2017.) $)
    fuccofval $p |- ( ph -> .xb = ( v e. ( B X. B ) , h e. B |->
            [_ ( 1st ` v ) / f ]_ [_ ( 2nd ` v ) / g ]_
          ( b e. ( g N h ) , a e. ( f N g ) |->
            ( x e. A |-> ( ( b ` x )
              ( <. ( ( 1st ` f ) ` x ) , ( ( 1st ` g ) ` x ) >. .x.
                   ( ( 1st ` h ) ` x ) ) ( a ` x ) ) ) ) ) ) $=
      ( cco cfv cnx cbs cop chom cxp cv c1st c2nd co cmpt cmpo csb eqidd fucval
      ctp fveq2d cvv wcel wceq cfunc ovexi mpoex c1 c5 cdc catstr ccoid snsstp3
      xpex strfv ax-mp 3eqtr4g ) AHUEUFUGUHUFEUIZUGUJUFNUIZUGUEUFCMEEUKZEKCULZU
      MUFLWBUNUFPOLULZMULZNUOKULZWCNUOBDBULZPULUFWFOULUFWFWEUMUFUFWFWCUMUFUFUIW
      FWDUMUFUFJUOUOUPUQURURZUQZUIZVAZUEUFZIWHAHWJUEABCDEFGHWHJKLMNOPQRSTUAUBUC
      AWHUSUTVBUDWHVCVDWHWKVECMWAEWGEEEFGVFRVGZWLVOWLVHWHWJUEVCVIVIVJVKUIWHENVL
      VMVSVTWIVNVPVQVR $.
  $}

  ${
    $d a b f g h v x C $.  $d a b f g h v x D $.
    fucbas.q $e |- Q = ( C FuncCat D ) $.
    $( The objects of the functor category are functors from ` C ` to ` D ` .
       (Contributed by Mario Carneiro, 6-Jan-2017.)  (Revised by Mario
       Carneiro, 12-Jan-2017.) $)
    fucbas $p |- ( C Func D ) = ( Base ` Q ) $=
      ( vx vv vf vg vh ccat wcel co cbs cfv cnx cop cco eqid c0 cfuc va vb wceq
      wa cfunc chom cnat ctp cvv c1 c5 cdc simpl fuccofval fucval catstr baseid
      simpr snsstp1 ovexd strfv3 eqcomd wn base0 funcrcl con3i eq0rdv cxp fnfuc
      cv fndmi ndmov eqtrid fveq2d 3eqtr4a pm2.61i ) AJKZBJKZUDZABUELZCMNZUCVSW
      AVTVSWAVTOMNVTPZOUFNABUGLZPZOQNCQNZPZUHCMUIUJUJUKULPVSEFAMNZVTABCWEBQNZGH
      IWCUAUBDVTRZWCRZWGRZWHRZVQVRUMZVQVRURZVSEFWGVTABCWEWHGHIWCUAUBDWIWJWKWLWM
      WNWERUNUOWEVTWCUPUQWBWDWFUSVSABUEUTWARVAVBVSVCZSSMNVTWAVDWOGVTGVJZVTKVSAB
      WPVEVFVGWOCSMWOCABTLSDABJTJJVHTVIVKVLVMVNVOVP $.

    fuchom.n $e |- N = ( C Nat D ) $.
    $( The morphisms in the functor category are natural transformations.
       (Contributed by Mario Carneiro, 6-Jan-2017.)  (Proof shortened by AV,
       14-Oct-2024.) $)
    fuchom $p |- N = ( Hom ` Q ) $=
      ( vx vv vf ccat wcel chom cfv cnx cop cco eqid c0 cxp cfuc vg vh va vb wa
      wceq cbs cfunc co ctp cvv c1 c5 simpl simpr fuccofval fucval catstr homid
      cdc snsstp2 cnat ovexi a1i strfv3 eqcomd wn str0 wfn natffn funcrcl con3i
      eq0rdv xpeq2d xp0 eqtrdi fneq2d mpbii fn0 sylib fnfuc fndmi eqtrid fveq2d
      cv ndmov 3eqtr4a pm2.61i ) AJKZBJKZUEZDCLMZUFWKWLDWKWLDNUGMABUHUIZOZNLMZD
      OZNPMCPMZOZUJCLUKULULUMUTOWKGHAUGMZWMABCWQBPMZIUAUBDUCUDEWMQZFWSQZWTQZWIW
      JUNZWIWJUOZWKGHWSWMABCWQWTIUAUBDUCUDEXAFXBXCXDXEWQQUPUQWQWMDURUSWNWPWRVAD
      UKKWKDABVBFVCVDWLQVEVFWKVGZRRLMDWLLWOUSVHXFDRVIZDRUFXFDWMWMSZVIXGABDFVJXF
      XHRDXFXHWMRSRXFWMRWMXFIWMIWEZWMKWKABXIVKVLVMVNWMVOVPVQVRDVSVTXFCRLXFCABTU
      IREABJTJJSTWAWBWFWCWDWGWH $.

    $( Obsolete proof of ~ fuchom as of 14-Oct-2024.  (Contributed by Mario
       Carneiro, 6-Jan-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    fuchomOLD $p |- N = ( Hom ` Q ) $=
      ( vx vf ccat wcel chom cfv cnx cop cco c1 eqid c0 cxp cfuc vv vg vh va vb
      wa wceq cbs cfunc co ctp cvv c5 simpl simpr fuccofval fucval catstr homid
      cdc snsstp2 cnat ovexi a1i strfv3 eqcomd wn c4 df-hom str0 natffn funcrcl
      wfn cv con3i eq0rdv xpeq2d xp0 eqtrdi fneq2d mpbii fn0 sylib fnfuc eqtrid
      fndmi ndmov fveq2d 3eqtr4a pm2.61i ) AIJZBIJZUFZDCKLZUGWMWNDWMWNDMUHLABUI
      UJZNZMKLDNZMOLCOLZNZUKCKULPPUMUTNWMGUAAUHLZWOABCWRBOLZHUBUCDUDUEEWOQZFWTQ
      ZXAQZWKWLUNZWKWLUOZWMGUAWTWOABCWRXAHUBUCDUDUEEXBFXCXDXEXFWRQUPUQWRWODURUS
      WPWQWSVADULJWMDABVBFVCVDWNQVEVFWMVGZRRKLDWNKPVHUTVIVJXGDRVMZDRUGXGDWOWOSZ
      VMXHABDFVKXGXIRDXGXIWORSRXGWORWOXGHWOHVNZWOJWMABXJVLVOVPVQWOVRVSVTWADWBWC
      XGCRKXGCABTUJREABITIISTWDWFWGWEWHWIWJ $.
  $}

  ${
    $d a b f g h v x A $.  $d a b f g h v x ph $.  $d a b x R $.  $d a b x S $.
    $d a b f g h v x C $.  $d a b f g h v x D $.  $d a b f g h v x .x. $.
    $d a b f g h v x F $.  $d a b f g h v x G $.  $d a b f g h v x H $.
    $d a b f g h v N $.  $d x X $.
    fucco.q $e |- Q = ( C FuncCat D ) $.
    fucco.n $e |- N = ( C Nat D ) $.
    fucco.a $e |- A = ( Base ` C ) $.
    fucco.o $e |- .x. = ( comp ` D ) $.
    fucco.x $e |- .xb = ( comp ` Q ) $.
    fucco.f $e |- ( ph -> R e. ( F N G ) ) $.
    fucco.g $e |- ( ph -> S e. ( G N H ) ) $.
    $( Value of the composition of natural transformations.  (Contributed by
       Mario Carneiro, 6-Jan-2017.) $)
    fucco $p |- ( ph -> ( S ( <. F , G >. .xb H ) R ) = ( x e. A |->
      ( ( S ` x ) ( <. ( ( 1st ` F ) ` x ) , ( ( 1st ` G ) ` x ) >. .x.
        ( ( 1st ` H ) ` x ) ) ( R ` x ) ) ) ) $=
      ( vb va vv vh vf vg co cfv c1st cop cmpt cvv cfunc cxp c2nd cmpo csb eqid
      cv ccat wcel natrcl syl simpld funcrcl simprd fuccofval wceq fvexd simprl
      wa fveq2d op1stg adantr eqtrd op2ndg ad2antrr simpr simprr oveq12d simplr
      fveq1d opeq12d oveqd mpteq2dv mpoeq123dv csbied2 opelxpi mpoex a1i ovmpod
      ovex cbs fvexi mptex ) AUBUCHGLMNUHZKLNUHZBCBUTZUBUTZUIZWSUCUTZUIZWSKUJUI
      ZUIZWSLUJUIZUIZUKZWSMUJUIZUIZJUHZUHZULZBCWSHUIZWSGUIZXKUHZULZKLUKZMIUHUMA
      UDUEXRMDEUNUHZXSUOZXSUFUDUTZUJUIZUGYAUPUIZUBUCUGUTZUEUTZNUHZUFUTZYDNUHZBC
      XAXCWSYGUJUIZUIZWSYDUJUIZUIZUKZWSYEUJUIZUIZJUHZUHZULZUQZURZURUBUCWQWRXMUQ
      ZIUMABUDCXSDEFIJUFUGUENUCUBOXSUSPQRADVAVBZEVAVBZAKXSVBZUUBUUCVLAUUDLXSVBZ
      AGWRVBUUDUUEVLZTGDEKLNPVCVDZVEDEKVFVDZVEAUUBUUCUUHVGSVHAYAXRVIZYEMVIZVLZV
      LZUFYBKYTUUAUMUULYAUJVJUULYBXRUJUIZKUULYAXRUJAUUIUUJVKZVMAUUMKVIZUUKAUUFU
      UOUUGKLXSXSVNVDVOVPUULYGKVIZVLZUGYCLYSUUAUMUUQYAUPVJUUQYCXRUPUIZLUUQYAXRU
      PUULUUIUUPUUNVOVMAUURLVIZUUKUUPAUUFUUSUUGKLXSXSVQVDVRVPUUQYDLVIZVLZUBUCYF
      YHYRWQWRXMUVAYDLYEMNUUQUUTVSZUULUUJUUPUUTAUUIUUJVTVRZWAUVAYGKYDLNUULUUPUU
      TWBZUVBWAUVABCYQXLUVAYPXKXAXCUVAYMXHYOXJJUVAYJXEYLXGUVAWSYIXDUVAYGKUJUVDV
      MWCUVAWSYKXFUVAYDLUJUVBVMWCWDUVAWSYNXIUVAYEMUJUVCVMWCWAWEWFWGWHWHAUUFXRXT
      VBUUGKLXSXSWIVDAUUEMXSVBZAHWQVBUUEUVEVLUAHDELMNPVCVDVGUUAUMVBAUBUCWQWRXML
      MNWMKLNWMWJWKWLAWTHVIZXBGVIZVLVLZBCXLXPUVHXAXNXCXOXKUVHWSWTHAUVFUVGVKWCUV
      HWSXBGAUVFUVGVTWCWAWFUATXQUMVBABCXPCDWNQWOWPWKWL $.

    fuccoval.f $e |- ( ph -> X e. A ) $.
    $( Value of the functor category.  (Contributed by Mario Carneiro,
       6-Jan-2017.) $)
    fuccoval $p |- ( ph -> ( ( S ( <. F , G >. .xb H ) R ) ` X ) =
      ( ( S ` X ) ( <. ( ( 1st ` F ) ` X ) , ( ( 1st ` G ) ` X ) >. .x.
        ( ( 1st ` H ) ` X ) ) ( R ` X ) ) ) $=
      ( vx cv cfv c1st cop co cvv fucco wceq wa fveq2d opeq12d oveq12d oveq123d
      simpr ovexd fvmptd ) AUCNUCUDZGUEZUTFUEZUTJUFUEZUEZUTKUFUEZUEZUGZUTLUFUEZ
      UEZIUHZUHNGUEZNFUEZNVCUEZNVEUEZUGZNVHUEZIUHZUHBGFJKUGLHUHUHUIAUCBCDEFGHIJ
      KLMOPQRSTUAUJAUTNUKZULZVAVKVBVLVJVQVSVGVOVIVPIVSVDVMVFVNVSUTNVCAVRUQZUMVS
      UTNVEVTUMUNVSUTNVHVTUMUOVSUTNGVTUMVSUTNFVTUMUPUBAVKVLVQURUS $.
  $}

  ${
    $d f x y C $.  $d f x y D $.  $d f x y F $.  $d f x y G $.  $d f x y .xb $.
    $d f x y H $.  $d f x y ph $.  $d f x y R $.  $d f x y S $.
    fuccocl.q $e |- Q = ( C FuncCat D ) $.
    fuccocl.n $e |- N = ( C Nat D ) $.
    fuccocl.x $e |- .xb = ( comp ` Q ) $.
    fuccocl.r $e |- ( ph -> R e. ( F N G ) ) $.
    fuccocl.s $e |- ( ph -> S e. ( G N H ) ) $.
    $( The composition of two natural transformations is a natural
       transformation.  Remark 6.14(a) in [Adamek] p. 87.  (Contributed by
       Mario Carneiro, 6-Jan-2017.) $)
    fuccocl $p |- ( ph -> ( S ( <. F , G >. .xb H ) R ) e. ( F N H ) ) $=
      ( co wcel cfv adantr vx vy cop cbs c1st chom cixp c2nd cco wceq wral cmpt
      vf cv eqid fucco ccat cfunc natrcl syl simpld funcrcl simprd wrel relfunc
      wa wbr 1st2ndbr sylancr ffvelrnda nat1st2nd simpr natcl catcocl ralrimiva
      funcf1 cvv fvex mptelixpg ax-mp sylibr eqeltrd w3a simpr1 ffvelrnd simpr2
      wb wf funcf2 simpr3 catass nati oveq2d oveq1d 3eqtrd fuccoval ralrimivvva
      3eqtr2d 3eqtr4d isnat2 mpbir2and ) AFEHIUCJGQQZHJKQRXBUABUDSZUAUNZHUESZSZ
      XDJUESZSZCUFSZQZUGZRUBUNZXBSZUMUNZXDXLHUHSZQZSZXFXLXESZUCZXLXGSZCUISZQZQZ
      XNXDXLJUHSZQZSZXDXBSZXFXHUCXTYAQZQZUJZUMXDXLBUFSZQZUKUBXCUKUAXCUKAXBUAXCX
      DFSZXDESZXFXDIUESZSZUCZXHYAQQZULZXKAUAXCBCDEFGYAHIJKLMXCUOZYAUOZNOPUPAYRX
      JRZUAXCUKZYSXKRZAUUBUAXCAXDXCRZVFZCUDSZCYAYNYMXIXFYPXHUUGUOZXIUOZUUAACUQR
      ZUUEABUQRZUUJAHBCURQZRZUUKUUJVFAUUMIUULRZAEHIKQRZUUMUUNVFOEBCHIKMUSUTVAZB
      CHVBUTVCZTAXCUUGXDXEAXCUUGBCXEXOYTUUHAUULVDZUUMXEXOUULVGZBCVEZUUPHUULVHVI
      ZVPZVJAXCUUGXDYOAXCUUGBCYOIUHSZYTUUHAUURUUNYOUVCUULVGZUUTAUUNJUULRZAFIJKQ
      RZUUNUVEVFPFBCIJKMUSUTZVAIUULVHVIZVPZVJAXCUUGXDXGAXCUUGBCXGYDYTUUHAUURUVE
      XGYDUULVGZUUTAUUNUVEUVGVCZJUULVHVIZVPZVJUUFEXCBCXEXOXIYOUVCKXDMAEXEXOUCYO
      UVCUCZKQRZUUEAEBCHIKMOVKZTYTUUIAUUEVLZVMUUFFXCBCYOUVCXIXGYDKXDMAFUVNXGYDU
      CKQRZUUEAFBCIJKMPVKZTYTUUIUVQVMVNVOXCVQRUUDUUCWGBUDVRUAXCYRXJVQVSVTWAWBAY
      JUAUBUMXCXCYLAUUEXLXCRZXNYLRZWCZVFZXLFSZXLESZXRXLYOSZUCXTYAQQZXQYBQZYFYRY
      HQZYCYIUWCUWHUWDUWEXQXSUWFYAQQZXFUWFUCXTYAQZQZYFYMYPXHUCXTYAQQZYNYQXTYAQZ
      QZUWIUWCUUGCYAXQUWEXIUWDXTXFXRUWFUUHUUIUUAAUUJUWBUUQTZUWCXCUUGXDXEAXCUUGX
      EWHUWBUVBTZAUUEUVTUWAWDZWEZUWCXCUUGXLXEUWQAUUEUVTUWAWFZWEUWCXCUUGXLYOAXCU
      UGYOWHUWBUVITZUWTWEZUWCYLXFXRXIQXNXPUWCXCBCXEXOYKXIXDXLYTYKUOZUUIAUUSUWBU
      VATUWRUWTWIAUUEUVTUWAWJZWEUWCEXCBCXEXOXIYOUVCKXLMAUVOUWBUVPTZYTUUIUWTVMUW
      CXCUUGXLXGAXCUUGXGWHUWBUVMTZUWTWEZUWCFXCBCYOUVCXIXGYDKXLMAUVRUWBUVSTZYTUU
      IUWTVMZWKUWCUWLUWDXNXDXLUVCQZSZYNYQUWFYAQQZUWKQUWDUXKYPUWFUCXTYAQQZYNUWNQ
      UWOUWCUWJUXLUWDUWKUWCEXCBCXNYAXEXOYKYOUVCKXDXLMUXEYTUXCUUAUWRUWTUXDWLWMUW
      CUUGCYAYNUXKXIUWDXTXFYPUWFUUHUUIUUAUWPUWSUWCXCUUGXDYOUXAUWRWEZUXBUWCEXCBC
      XEXOXIYOUVCKXDMUXEYTUUIUWRVMZUWCYLYPUWFXIQXNUXJUWCXCBCYOUVCYKXIXDXLYTUXCU
      UIAUVDUWBUVHTUWRUWTWIUXDWEUXGUXIWKUWCUXMUWMYNUWNUWCFXCBCXNYAYOUVCYKXGYDKX
      DXLMUXHYTUXCUUAUWRUWTUXDWLWNWRUWCUUGCYAYNYMXIYFXTXFYPXHUUHUUIUUAUWPUWSUXN
      UWCXCUUGXDXGUXFUWRWEUXOUWCFXCBCYOUVCXIXGYDKXDMUXHYTUUIUWRVMUXGUWCYLXHXTXI
      QXNYEUWCXCBCXGYDYKXIXDXLYTUXCUUIAUVJUWBUVLTUWRUWTWIUXDWEWKWOUWCXMUWGXQYBU
      WCXCBCDEFGYAHIJKXLLMYTUUANAUUOUWBOTZAUVFUWBPTZUWTWPWNUWCYGYRYFYHUWCXCBCDE
      FGYAHIJKXDLMYTUUANUXPUXQUWRWPWMWSWQAUAUBXBXCBCYAUMHJYKXIKMYTUXCUUIUUAUUPU
      VKWTXA $.
  $}

  ${
    $d f x y .1. $.  $d f x y C $.  $d f x y D $.  $d f x y ph $.
    $d f x y F $.
    fucidcl.q $e |- Q = ( C FuncCat D ) $.
    fucidcl.n $e |- N = ( C Nat D ) $.
    fucidcl.x $e |- .1. = ( Id ` D ) $.
    fucidcl.f $e |- ( ph -> F e. ( C Func D ) ) $.
    $( The identity natural transformation.  (Contributed by Mario Carneiro,
       6-Jan-2017.) $)
    fucidcl $p |- ( ph -> ( .1. o. ( 1st ` F ) ) e. ( F N F ) ) $=
      ( vx vy vf cfv co wcel wceq wral eqid c1st ccom cbs cv chom cixp c2nd cop
      cco cmpt cvv wf wfn ccat cfunc wa funcrcl syl simprd cidfn dffn2 wrel wbr
      relfunc 1st2ndbr sylancr funcf1 fcompt syl2anc adantr ffvelrnda ralrimiva
      sylib catidcl wb fvex mptelixpg ax-mp sylibr eqeltrd simpr1 syldan simpr2
      w3a ffvelrnd funcf2 simpr3 catlid catrid eqtr4d oveq1d oveq2d ralrimivvva
      fvco3 3eqtr4d isnat2 mpbir2and ) AEFUAOZUBZFFGPQWSLBUCOZLUDZWROZXBCUEOZPZ
      UFZQMUDZWSOZNUDZXAXFFUGOZPZOZXBXFWROZUHXLCUIOZPZPZXKXAWSOZXBXBUHXLXMPZPZR
      ZNXAXFBUEOZPZSMWTSLWTSAWSLWTXBEOZUJZXEACUCOZUKEULZWTYDWRULZWSYCRAEYDUMZYE
      ACUNQZYGABUNQZYHAFBCUOPZQZYIYHUPKBCFUQURUSZYDCEYDTZJUTURYDEVAVMAWTYDBCWRX
      IWTTZYMAYJVBYKWRXIYJVCZBCVDKFYJVEVFZVGZLEWRWTYDUKVHVIAYBXDQZLWTSZYCXEQZAY
      RLWTAXAWTQZUPYDCEXCXBYMXCTZJAYHUUAYLVJAWTYDXAWRYQVKZVNVLWTUKQYTYSVOBUCVPL
      WTYBXDUKVQVRVSVTAXSLMNWTWTYAAUUAXFWTQZXHYAQZWDZUPZXLEOZXKXNPZXKYBXQPZXOXR
      UUGUUIXKUUJUUGYDCXMEXKXCXBXLYMUUBJAYHUUFYLVJZAUUFUUAXBYDQAUUAUUDUUEWAZUUC
      WBZXMTZUUGWTYDXFWRAYFUUFYQVJZAUUAUUDUUEWCZWEZUUGYAXBXLXCPXHXJUUGWTBCWRXIX
      TXCXAXFYNXTTZUUBAYOUUFYPVJUULUUPWFAUUAUUDUUEWGWEZWHUUGYDCXMEXKXCXBXLYMUUB
      JUUKUUMUUNUUQUUSWIWJUUGXGUUHXKXNUUGYFUUDXGUUHRUUOUUPWTYDXFEWRWNVIWKUUGXPY
      BXKXQUUGYFUUAXPYBRUUOUULWTYDXAEWRWNVIWLWOWMALMWSWTBCXMNFFXTXCGIYNUURUUBUU
      NKKWPWQ $.
  $}

  ${
    $d x .1. $.  $d x C $.  $d x D $.  $d x F $.  $d x G $.  $d x ph $.
    $d x R $.
    fuclid.q $e |- Q = ( C FuncCat D ) $.
    fuclid.n $e |- N = ( C Nat D ) $.
    fuclid.x $e |- .xb = ( comp ` Q ) $.
    fuclid.1 $e |- .1. = ( Id ` D ) $.
    fuclid.r $e |- ( ph -> R e. ( F N G ) ) $.
    $( Left identity of natural transformations.  (Contributed by Mario
       Carneiro, 6-Jan-2017.) $)
    fuclid $p |- ( ph ->
      ( ( .1. o. ( 1st ` G ) ) ( <. F , G >. .xb G ) R ) = R ) $=
      ( vx cfv cop co wcel cbs cv c1st ccom cco cmpt wa wf wceq c2nd eqid cfunc
      wrel wbr relfunc natrcl simprd 1st2ndbr sylancr funcf1 fvco3 sylan oveq1d
      syl chom ccat simpld funcrcl adantr ffvelrnda nat1st2nd simpr natcl eqtrd
      catlid mpteq2dva fucidcl fucco wfn natfn dffn5 sylib 3eqtr4d ) APBUAQZPUB
      ZGIUCQZUDZQZWEEQZWEHUCQZQZWEWFQZRWLCUEQZSZSZUFPWDWIUFZWGEHIRIFSSEAPWDWOWI
      AWEWDTZUGZWOWLGQZWIWNSWIWRWHWSWIWNAWDCUAQZWFUHWQWHWSUIAWDWTBCWFIUJQZWDUKZ
      WTUKZABCULSZUMZIXDTZWFXAXDUNBCUOZAHXDTZXFAEHIJSTXHXFUGOEBCHIJLUPVDZUQZIXD
      URUSUTZWDWTWEGWFVAVBVCWRWTCWMGWICVEQZWKWLXCXLUKZNACVFTZWQABVFTZXNAXHXOXNU
      GAXHXFXIVGZBCHVHVDUQVIAWDWTWEWJAWDWTBCWJHUJQZXBXCAXEXHWJXQXDUNXGXPHXDURUS
      UTVJWMUKZAWDWTWEWFXKVJWREWDBCWJXQXLWFXAJWELAEWJXQRWFXARJSTWQAEBCHIJLOVKZV
      IXBXMAWQVLVMVOVNVPAPWDBCDEWGFWMHIIJKLXBXRMOABCDGIJKLNXJVQVRAEWDVSEWPUIAEW
      DBCWJXQWFXAJLXSXBVTPWDEWAWBWC $.

    $( Right identity of natural transformations.  (Contributed by Mario
       Carneiro, 6-Jan-2017.) $)
    fucrid $p |- ( ph ->
      ( R ( <. F , F >. .xb G ) ( .1. o. ( 1st ` F ) ) ) = R ) $=
      ( vx cfv cop co wcel cbs cv c1st ccom cco cmpt wa wf wceq c2nd eqid cfunc
      wrel wbr relfunc natrcl simpld 1st2ndbr sylancr funcf1 fvco3 sylan oveq2d
      syl chom ccat funcrcl simprd adantr ffvelrnda nat1st2nd simpr natcl eqtrd
      catrid mpteq2dva fucidcl fucco wfn natfn dffn5 sylib 3eqtr4d ) APBUAQZPUB
      ZEQZWEGHUCQZUDZQZWEWGQZWJRWEIUCQZQZCUEQZSZSZUFPWDWFUFZEWHHHRIFSSEAPWDWOWF
      AWEWDTZUGZWOWFWJGQZWNSWFWRWIWSWFWNAWDCUAQZWGUHWQWIWSUIAWDWTBCWGHUJQZWDUKZ
      WTUKZABCULSZUMZHXDTZWGXAXDUNBCUOZAXFIXDTZAEHIJSTXFXHUGOEBCHIJLUPVDZUQZHXD
      URUSUTZWDWTWEGWGVAVBVCWRWTCWMGWFCVEQZWJWLXCXLUKZNACVFTZWQABVFTZXNAXFXOXNU
      GXJBCHVGVDVHVIAWDWTWEWGXKVJWMUKZAWDWTWEWKAWDWTBCWKIUJQZXBXCAXEXHWKXQXDUNX
      GAXFXHXIVHIXDURUSUTVJWREWDBCWGXAXLWKXQJWELAEWGXARWKXQRJSTWQAEBCHIJLOVKZVI
      XBXMAWQVLVMVOVNVPAPWDBCDWHEFWMHHIJKLXBXPMABCDGHJKLNXJVQOVRAEWDVSEWPUIAEWD
      BCWGXAWKXQJLXRXBVTPWDEWAWBWC $.
  $}

  ${
    $d x C $.  $d x D $.  $d x F $.  $d x G $.  $d x H $.  $d x K $.  $d x R $.
    $d x ph $.  $d x S $.  $d x T $.  $d x .xb $.
    fucass.q $e |- Q = ( C FuncCat D ) $.
    fucass.n $e |- N = ( C Nat D ) $.
    fucass.x $e |- .xb = ( comp ` Q ) $.
    fucass.r $e |- ( ph -> R e. ( F N G ) ) $.
    fucass.s $e |- ( ph -> S e. ( G N H ) ) $.
    fucass.t $e |- ( ph -> T e. ( H N K ) ) $.
    $( Associativity of natural transformation composition.  Remark 6.14(b) in
       [Adamek] p. 87.  (Contributed by Mario Carneiro, 6-Jan-2017.) $)
    fucass $p |- ( ph ->
      ( ( T ( <. G , H >. .xb K ) S ) ( <. F , G >. .xb K ) R ) =
      ( T ( <. F , H >. .xb K ) ( S ( <. F , G >. .xb H ) R ) ) ) $=
      ( co vx cbs cfv cv cop c1st cco cmpt wcel chom eqid ccat cfunc natrcl syl
      wa simpld funcrcl simprd adantr c2nd wrel relfunc 1st2ndbr sylancr funcf1
      wbr ffvelrnda nat1st2nd simpr natcl catass fuccoval oveq1d oveq2d 3eqtr4d
      mpteq2dva fuccocl fucco ) AUABUBUCZUAUDZHFJKUELGTTZUCZWAEUCZWAIUFUCZUCZWA
      JUFUCZUCZUEZWALUFUCZUCZCUGUCZTZTZUHUAVTWAHUCZWAFEIJUEZKGTTZUCZWFWAKUFUCZU
      CZUEWKWLTZTZUHWBEWPLGTTHWQIKUELGTTAUAVTWNXBAWAVTUIZUPZWOWAFUCZWHWTUEWKWLT
      TZWDWMTWOXEWDWIWTWLTTZXATWNXBXDCUBUCZCWLWDXECUJUCZWOWKWFWHWTXHUKZXIUKZWLU
      KZACULUIZXCABULUIZXMAIBCUMTZUIZXNXMUPAXPJXOUIZAEIJMTUIZXPXQUPQEBCIJMOUNUO
      ZUQZBCIURUOUSUTAVTXHWAWEAVTXHBCWEIVAUCZVTUKZXJAXOVBZXPWEYAXOVGBCVCZXTIXOV
      DVEVFVHAVTXHWAWGAVTXHBCWGJVAUCZYBXJAYCXQWGYEXOVGYDAXPXQXSUSJXOVDVEVFVHAVT
      XHWAWSAVTXHBCWSKVAUCZYBXJAYCKXOUIZWSYFXOVGYDAYGLXOUIZAHKLMTUIZYGYHUPSHBCK
      LMOUNUOZUQKXOVDVEVFVHXDEVTBCWEYAXIWGYEMWAOAEWEYAUEWGYEUEZMTUIXCAEBCIJMOQV
      IUTYBXKAXCVJZVKXDFVTBCWGYEXIWSYFMWAOAFYKWSYFUEZMTUIXCAFBCJKMORVIUTYBXKYLV
      KAVTXHWAWJAVTXHBCWJLVAUCZYBXJAYCYHWJYNXOVGYDAYGYHYJUSLXOVDVEVFVHXDHVTBCWS
      YFXIWJYNMWAOAHYMWJYNUEMTUIXCAHBCKLMOSVIUTYBXKYLVKVLXDWCXFWDWMXDVTBCDFHGWL
      JKLMWANOYBXLPAFJKMTUIXCRUTZAYIXCSUTYLVMVNXDWRXGWOXAXDVTBCDEFGWLIJKMWANOYB
      XLPAXRXCQUTYOYLVMVOVPVQAUAVTBCDEWBGWLIJLMNOYBXLPQABCDFHGJKLMNOPRSVRVSAUAV
      TBCDWQHGWLIKLMNOYBXLPABCDEFGIJKMNOPQRVRSVSVP $.
  $}

  ${
    $d e g h r s t .1. $.  $d e f g h r s t C $.  $d e f g h r s t ph $.
    $d e f g h r s t D $.  $d e f g h r s t Q $.
    fuccat.q $e |- Q = ( C FuncCat D ) $.
    fuccat.r $e |- ( ph -> C e. Cat ) $.
    fuccat.s $e |- ( ph -> D e. Cat ) $.
    ${
      fuccatid.1 $e |- .1. = ( Id ` D ) $.
      $( The functor category is a category.  (Contributed by Mario Carneiro,
         6-Jan-2017.) $)
      fuccatid $p |- ( ph -> ( Q e. Cat /\ ( Id ` Q ) =
          ( f e. ( C Func D ) |-> ( .1. o. ( 1st ` f ) ) ) ) ) $=
        ( ve vg vh vr cv co wcel wa cfv a1i vs cfunc cnat w3a cco c1st ccom cvv
        vt cbs wceq fucbas chom eqid fuchom eqidd cfuc ovexi biid simpr fucidcl
        simpr31 fuclid simpr32 fucrid fuccocl simpr33 fucass iscatd2 ) AKOZBCUB
        PZQFOZVKQZRZLOZVKQMOZVKQRZNOZVJVLBCUCPZPQZUAOZVLVOVSPQZUIOZVOVPVSPQZUDU
        DZKFLMVKDDUESZEVLUFSUGNUAUIVSUHVKDUJSUKABCDGULTVSDUMSUKABCDVSGVSUNZUOTA
        WFUPDUHQADBCUQGURTWEUSAVMRBCDEVLVSGWGJAVMUTVAAWERZBCDVRWFEVJVLVSGWGWFUN
        ZJVTWBWDVNVQAVBZVCWHBCDWAWFEVLVOVSGWGWIJVTWBWDVNVQAVDZVEWHBCDVRWAWFVJVL
        VOVSGWGWIWJWKVFWHBCDVRWAWFWCVJVLVOVPVSGWGWIWJWKVTWBWDVNVQAVGVHVI $.
    $}

    $( The functor category is a category.  Remark 6.16 in [Adamek] p. 88.
       (Contributed by Mario Carneiro, 6-Jan-2017.) $)
    fuccat $p |- ( ph -> Q e. Cat ) $=
      ( vf ccat wcel ccid cfv cfunc co cv c1st ccom cmpt wceq eqid fuccatid
      simpld ) ADIJDKLHBCMNCKLZHOPLQRSABCDUCHEFGUCTUAUB $.
  $}

  ${
    $d f .1. $.  $d f C $.  $d f D $.  $d f F $.  $d f ph $.  $d f Q $.
    fucid.q $e |- Q = ( C FuncCat D ) $.
    fucid.i $e |- I = ( Id ` Q ) $.
    fucid.1 $e |- .1. = ( Id ` D ) $.
    fucid.f $e |- ( ph -> F e. ( C Func D ) ) $.
    $( The identity morphism in the functor category.  (Contributed by Mario
       Carneiro, 6-Jan-2017.) $)
    fucid $p |- ( ph -> ( I ` F ) = ( .1. o. ( 1st ` F ) ) ) $=
      ( vf c1st cfv ccom cvv ccid ccat wcel wceq cv cfunc co cmpt wa syl simpld
      funcrcl simprd fuccatid eqtrid simpr fveq2d coeq2d fvexi fvex coex fvmptd
      a1i ) ALFELUAZMNZOZEFMNZOZBCUBUCZGPAGDQNZLVEVBUDZIADRSVFVGTABCDELHABRSZCR
      SZAFVESVHVIUEKBCFUHUFZUGAVHVIVJUIJUJUIUKAUTFTZUEZVAVCEVLUTFMAVKULUMUNKVDP
      SAEVCECQJUOFMUPUQUSUR $.
  $}

  ${
    $d x y A $.  $d f x y z B $.  $d f x y z C $.  $d f x y z D $.  $d x y I $.
    $d f x y z F $.  $d f x y z G $.  $d x y J $.  $d x y N $.  $d f x y z V $.
    $d f x y z ph $.  $d x y Q $.  $d x y U $.  $d f y z X $.
    fuciso.q $e |- Q = ( C FuncCat D ) $.
    fuciso.b $e |- B = ( Base ` C ) $.
    fuciso.n $e |- N = ( C Nat D ) $.
    fuciso.f $e |- ( ph -> F e. ( C Func D ) ) $.
    fuciso.g $e |- ( ph -> G e. ( C Func D ) ) $.
    ${
      fucsect.s $e |- S = ( Sect ` Q ) $.
      fucsect.t $e |- T = ( Sect ` D ) $.
      $( Two natural transformations are in a section iff all the components
         are in a section relation.  (Contributed by Mario Carneiro,
         28-Jan-2017.) $)
      fucsect $p |- ( ph -> ( U ( F S G ) V <->
        ( U e. ( F N G ) /\ V e. ( G N F ) /\ A. x e. B
     ( U ` x ) ( ( ( 1st ` F ) ` x ) T ( ( 1st ` G ) ` x ) ) ( V ` x ) ) ) ) $=
        ( co wbr wcel cop cco cfv ccid wceq w3a cv c1st wral fucbas fuchom eqid
        cfunc ccat wa funcrcl syl simpld simprd fuccat issect cmpt cvv wb rgenw
        ovex mpteqb mp1i simprl simprr fucco ccom adantr fucid cbs wf wfn cidfn
        dffn2 sylib c2nd relfunc 1st2ndbr sylancr funcf1 fcompt syl2anc eqeq12d
        wrel eqtrd chom ffvelrnda simpr natcl issect2 ralbidva 3bitr4d pm5.32da
        nat1st2nd df-3an 3bitr4g bitrd ) AIMJKGUAUBIJKLUAUCZMKJLUAUCZMIJKUDJFUE
        UFZUAUAZJFUGUFZUFZUHZUIZXFXGBUJZIUFZXNMUFZXNJUKUFZUFZXNKUKUFZUFZHUAUBZB
        CULZUIZADEUPUAZFGXHXJIMLJKDEFNUMDEFLNPUNXHUOZXJUOZSADEFNADUQUCZEUQUCZAJ
        YDUCZYGYHURQDEJUSUTZVAAYGYHYJVBZVCQRVDAXFXGURZXLURYLYBURXMYCAYLXLYBAYLU
        RZBCXPXOXRXTUDXREUEUFZUAZUAZVEZBCXREUGUFZUFZVEZUHZYPYSUHZBCULZXLYBYPVFU
        CZBCULUUAUUCVGYMUUDBCXPXOYOVIVHBCYPYSVFVJVKYMXIYQXKYTYMBCDEFIMXHYNJKJLN
        POYNUOZYEAXFXGVLZAXFXGVMZVNYMXKYRXQVOZYTYMDEFYRJXJNYFYRUOZAYIYLQVPVQYME
        VRUFZVFYRVSZCUUJXQVSZUUHYTUHYMYRUUJVTZUUKYMYHUUMAYHYLYKVPZUUJEYRUUJUOZU
        UIWAUTUUJYRWBWCAUULYLACUUJDEXQJWDUFZOUUOAYDWLZYIXQUUPYDUBDEWEZQJYDWFWGW
        HVPZBYRXQCUUJVFWIWJWMWKYMYAUUBBCYMXNCUCZURZUUJEHYNYRXOXPEWNUFZXRXTUUOUV
        BUOZUUEUUITYMYHUUTUUNVPYMCUUJXNXQUUSWOYMCUUJXNXSACUUJXSVSYLACUUJDEXSKWD
        UFZOUUOAUUQKYDUCXSUVDYDUBUURRKYDWFWGWHVPWOUVAICDEXQUUPUVBXSUVDLXNPUVAID
        EJKLPYMXFUUTUUFVPXBOUVCYMUUTWPZWQUVAMCDEXSUVDUVBXQUUPLXNPUVAMDEKJLPYMXG
        UUTUUGVPXBOUVCUVEWQWRWSWTXAXFXGXLXCXFXGYBXCXDXE $.
    $}

    ${
      fucinv.i $e |- I = ( Inv ` Q ) $.
      fucinv.j $e |- J = ( Inv ` D ) $.
      $( Two natural transformations are inverses of each other iff all the
         components are inverse.  (Contributed by Mario Carneiro,
         28-Jan-2017.) $)
      fucinv $p |- ( ph -> ( U ( F I G ) V <->
        ( U e. ( F N G ) /\ V e. ( G N F ) /\ A. x e. B
     ( U ` x ) ( ( ( 1st ` F ) ` x ) J ( ( 1st ` G ) ` x ) ) ( V ` x ) ) ) ) $=
        ( csect cfv co wbr wa wcel cv c1st wral w3a eqid fucsect anbi12d fucbas
        cfunc ccat funcrcl syl simpld simprd fuccat isinv cbs c2nd wrel relfunc
        adantr 1st2ndbr sylancr funcf1 ffvelrnda ralbidva r19.26 bitrdi 3ancoma
        anbi2d df-3an bitri anbi12i anandi bitr4i 3bitr4g 3bitr4d ) AGMHIFUAUBZ
        UCUDZMGIHWDUCUDZUEGHILUCUFZMIHLUCUFZBUGZGUBZWIMUBZWIHUHUBZUBZWIIUHUBZUB
        ZEUAUBZUCUDZBCUIZUJZWHWGWKWJWOWMWPUCUDZBCUIZUJZUEZGMHIJUCUDWGWHWJWKWMWO
        KUCUDZBCUIZUJZAWEWSWFXBABCDEFWDWPGHILMNOPQRWDUKZWPUKZULABCDEFWDWPMIHLGN
        OPRQXGXHULUMADEUOUCZFWDGMJHIDEFNUNSADEFNADUPUFZEUPUFZAHXIUFZXJXKUEQDEHU
        QURZUSAXJXKXMUTZVAQRXGVBAWGWHUEZXEUEXOWRXAUEZUEZXFXCAXEXPXOAXEWQWTUEZBC
        UIXPAXDXRBCAWICUFZUEEVCUBZEWPWJWKKWMWOXTUKZTAXKXSXNVGACXTWIWLACXTDEWLHV
        DUBZOYAAXIVEZXLWLYBXIUDDEVFZQHXIVHVIVJVKACXTWIWNACXTDEWNIVDUBZOYAAYCIXI
        UFWNYEXIUDYDRIXIVHVIVJVKXHVBVLWQWTBCVMVNVPWGWHXEVQXCXOWRUEZXOXAUEZUEXQW
        SYFXBYGWGWHWRVQXBWGWHXAUJYGWHWGXAVOWGWHXAVQVRVSXOWRXAVTWAWBWC $.

      invfuc.u $e |- ( ph -> U e. ( F N G ) ) $.
      invfuc.v $e |- ( ( ph /\ x e. B ) ->
        ( U ` x ) ( ( ( 1st ` F ) ` x ) J ( ( 1st ` G ) ` x ) ) X ) $.
      $( If ` V ( x ) ` is an inverse to ` U ( x ) ` for each ` x ` , and ` U `
         is a natural transformation, then ` V ` is also a natural
         transformation, and they are inverse in the functor category.
         (Contributed by Mario Carneiro, 28-Jan-2017.) $)
      invfuc $p |- ( ph -> U ( F I G ) ( x e. B |-> X ) ) $=
        ( vy vz vf cmpt co wbr wcel cv cfv c1st wral chom cixp c2nd cop wceq wa
        cco cxp cbs eqid ccat cfunc funcrcl simprd adantr wrel relfunc 1st2ndbr
        syl sylancr funcf1 ffvelrnda invss ssbrd mpd brxp simprbi ralrimiva cvv
        wb fvexi mptelixpg ax-mp sylibr weq fveq2 oveq12d cbvixpv eleqtrdi ccid
        w3a csect simpr2 simpr fvmpt2 breqtrrd nfcv nffvmpt1 nfbr breq123d rspc
        syl2anc sylc wf ffvelrnd isinv mpbid simpld issect simp3d oveq1d simpr1
        funcf2 simpr3 catlid eqtr2d nat1st2nd natcl simp2d catass oveq2d 3eqtrd
        nati simp1d catcocl catrid 3eqtrrd ralrimivvva isnat2 mpbir2and cbvralw
        nfv sylib fucinv mpbir3and ) AGBCMUFZHIJUGUHGHILUGUIZYSIHLUGUIZUCUJZGUK
        ZUUBYSUKZUUBHULUKZUKZUUBIULUKZUKZKUGZUHZUCCUMZUAAUUAYSUCCUUHUUFEUNUKZUG
        ZUOZUIUDUJZYSUKZUEUJZUUBUUOIUPUKZUGZUKZUUHUUOUUGUKZUQUUOUUEUKZEUTUKZUGZ
        UGZUUQUUBUUOHUPUKZUGZUKZUUDUUHUUFUQZUVBUVCUGZUGZURZUEUUBUUODUNUKZUGZUMU
        DCUMUCCUMAYSBCBUJZUUGUKZUVOUUEUKZUULUGZUOZUUNAMUVRUIZBCUMZYSUVSUIZAUVTB
        CAUVOCUIZUSZUVOGUKZMUVQUVPUULUGZUVRVAZUHZUVTUWDUWEMUVQUVPKUGZUHUWHUBUWD
        UWIUWGUWEMUWDEVBUKZEUULKUVQUVPUWJVCZTAEVDUIZUWCADVDUIZUWLAHDEVEUGZUIZUW
        MUWLUSQDEHVFVLVGZVHACUWJUVOUUEACUWJDEUUEUVFOUWKAUWNVIZUWOUUEUVFUWNUHZDE
        VJZQHUWNVKVMZVNZVOACUWJUVOUUGACUWJDEUUGUUROUWKAUWQIUWNUIUUGUURUWNUHZUWS
        RIUWNVKVMZVNZVOUULVCZVPVQVRUWHUWEUWFUIUVTUWEMUWFUVRVSVTVLZWACWBUIUWBUWA
        WCCDVBOWDBCMUVRWBWEWFWGBUCCUVRUUMBUCWHZUVPUUHUVQUUFUULUVOUUBUUGWIZUVOUU
        BUUEWIZWJWKWLAUVLUCUDUECCUVNAUUBCUIZUUOCUIZUUQUVNUIZWNZUSZUVKUUPUUTUUCU
        UFUUHUQUVAUVCUGUGZUUFUVAUQUVBUVCUGZUGZUUDUVJUGUUPUXOUUDUVIUVAUVCUGUGZUV
        DUGUVEUXNUVHUXQUUDUVJUXNUVHUUPUUOGUKZUVBUVAUQUVBUVCUGUGZUVHUUFUVBUQZUVB
        UVCUGZUGZUUPUXSUVHUYAUVAUVCUGUGZUXPUGUXQUXNUYCUVBEWMUKZUKZUVHUYBUGUVHUX
        NUXTUYFUVHUYBUXNUXSUVBUVAUULUGUIZUUPUVAUVBUULUGUIZUXTUYFURZUXNUXSUUPUVB
        UVAEWOUKZUGUHZUYGUYHUYIWNUXNUYKUUPUXSUVAUVBUYJUGUHZUXNUXSUUPUVBUVAKUGZU
        HZUYKUYLUSUXNUXKUWEUVOYSUKZUWIUHZBCUMZUYNAUXJUXKUXLWPZAUYQUXMAUYPBCUWDU
        WEMUYOUWIUBUWDUWCUVTUYOMURAUWCWQUXFBCMUVRYSYSVCWRXEWSWAZVHZUYPUYNBUUOCB
        UXSUUPUYMBUXSWTBUYMWTBCMUUOXAXBBUDWHZUWEUXSUYOUUPUWIUYMUVOUUOGWIVUAUVQU
        VBUVPUVAKUVOUUOUUEWIUVOUUOUUGWIWJUVOUUOYSWIXCXDXFUXNUWJEUYJUXSUUPKUVBUV
        AUWKTAUWLUXMUWPVHZUXNCUWJUUOUUEACUWJUUEXGUXMUXAVHZUYRXHZUXNCUWJUUOUUGAC
        UWJUUGXGUXMUXDVHZUYRXHZUYJVCZXIXJXKUXNUWJEUYJUVCUYEUXSUUPUULUVBUVAUWKUX
        EUVCVCZUYEVCZVUGVUBVUDVUFXLXJZXMXNUXNUWJEUVCUYEUVHUULUUFUVBUWKUXEVUIVUB
        UXNCUWJUUBUUEVUCAUXJUXKUXLXOZXHZVUHVUDUXNUVNUUFUVBUULUGUUQUVGUXNCDEUUEU
        VFUVMUULUUBUUOOUVMVCZUXEAUWRUXMUWTVHVUKUYRXPAUXJUXKUXLXQZXHZXRXSUXNUWJE
        UVCUVHUXSUULUUPUVBUUFUVBUVAUWKUXEVUHVUBVULVUDVUFVUOUXNGCDEUUEUVFUULUUGU
        URLUUOPUXNGDEHILPAYTUXMUAVHXTZOUXEUYRYAVUDUXNUYGUYHUYIVUJYBZYCUXNUYDUXO
        UUPUXPUXNGCDEUUQUVCUUEUVFUVMUUGUURLUUBUUOPVUPOVUMVUHVUKUYRVUNYFYDYEXNUX
        NUWJEUVCUUDUXOUULUUPUVBUUHUUFUVAUWKUXEVUHVUBUXNCUWJUUBUUGVUEVUKXHZVULVU
        FUXNUUDUUMUIZUUCUUFUUHUULUGUIZUUCUUDUVIUUHUVCUGUGZUUHUYEUKZURZUXNUUDUUC
        UUHUUFUYJUGUHZVUSVUTVVCWNUXNUUCUUDUUFUUHUYJUGUHZVVDUXNUUJVVEVVDUSUXNUXJ
        UYQUUJVUKUYTUYPUUJBUUBCBUUCUUDUUIBUUCWTBUUIWTBCMUUBXAXBZUXGUWEUUCUYOUUD
        UWIUUIUVOUUBGWIUXGUVQUUFUVPUUHKUXIUXHWJUVOUUBYSWIXCZXDXFUXNUWJEUYJUUCUU
        DKUUFUUHUWKTVUBVULVURVUGXIXJVGUXNUWJEUYJUVCUYEUUDUUCUULUUHUUFUWKUXEVUHV
        UIVUGVUBVURVULXLXJZYGZUXNUWJEUVCUUCUUTUULUUFUUHUVAUWKUXEVUHVUBVULVURVUF
        UXNVUSVUTVVCVVHYBUXNUVNUUHUVAUULUGUUQUUSUXNCDEUUGUURUVMUULUUBUUOOVUMUXE
        AUXBUXMUXCVHVUKUYRXPVUNXHZYHVUDVUQYCUXNUXRUUTUUPUVDUXNUXRUUTVVAUUHUUHUQ
        UVAUVCUGZUGUUTVVBVVKUGUUTUXNUWJEUVCUUDUUCUULUUTUVAUUHUUFUUHUWKUXEVUHVUB
        VURVULVURVVIUXNGCDEUUEUVFUULUUGUURLUUBPVUPOUXEVUKYAVUFVVJYCUXNVVAVVBUUT
        VVKUXNVUSVUTVVCVVHXMYDUXNUWJEUVCUYEUUTUULUUHUVAUWKUXEVUIVUBVURVUHVUFVVJ
        YIYEYDYJYKAUCUDYSCDEUVCUEIHUVMUULLPOVUMUXEVUHRQYLYMAUYQUUKUYSUYPUUJBUCC
        UYPUCYOVVFVVGYNYPAUCCDEFGHIJKLYSNOPQRSTYQYR $.
    $}

    ${
      fuciso.i $e |- I = ( Iso ` Q ) $.
      fuciso.j $e |- J = ( Iso ` D ) $.
      $( A natural transformation is an isomorphism of functors iff all its
         components are isomorphisms.  (Contributed by Mario Carneiro,
         28-Jan-2017.) $)
      fuciso $p |- ( ph -> ( A e. ( F I G ) <-> ( A e. ( F N G ) /\
  A. x e. B ( A ` x ) e. ( ( ( 1st ` F ) ` x ) J ( ( 1st ` G ) ` x ) ) ) ) ) $=
        ( cfv vy co wcel cv c1st wral wa cfunc fucbas fuchom funcrcl syl simpld
        ccat simprd fuccat isohom sselda cbs cinv eqid ad2antrr wf c2nd relfunc
        wrel wbr 1st2ndbr sylancr funcf1 adantr ffvelrnda w3a cdm isoval eleq2d
        wfun invfun funfvbrb bitrd biimpa fucinv mpbid simp3d inviso1 ralrimiva
        r19.21bi jca cmpt simprl simprr weq fveq2 oveq12d eleq12d rspccva sylan
        wb invisoinvr invfuc impbida ) ACHIJUBZUCZCHILUBZUCZBUDZCTZXFHUETZTZXFI
        UETZTZKUBZUCZBDUFZUGZAXCUGZXEXNAXBXDCAEFUHUBZGLJHIEFGMUIZEFGLMOUJRAEFGM
        AEUNUCZFUNUCZAHXQUCZXSXTUGPEFHUKULZUMAXSXTYBUOZUPZPQUQURXPXMBDXPXFDUCZU
        GFUSTZFXGXFCHIGUTTZUBZTZTZKFUTTZXIXKYFVAZYKVAZAXTXCYEYCVBXPDYFXFXHADYFX
        HVCZXCADYFEFXHHVDTZNYLAXQVFZYAXHYOXQVGEFVEZPHXQVHVIVJZVKVLXPDYFXFXJADYF
        XJVCZXCADYFEFXJIVDTZNYLAYPIXQUCZXJYTXQVGYQQIXQVHVIVJZVKVLSXPXGYJXIXKYKU
        BVGZBDXPXEYIIHLUBUCZUUCBDUFZXPCYIYHVGZXEUUDUUEVMZAXCUUFAXCCYHVNZUCZUUFA
        XBUUHCAXQGJYGHIXRYGVAZYDPQRVOVPAYHVQUUIUUFWRAXQGYGHIXRUUJYDPQVRCYHVSULV
        TWAAUUFUUGWRXCABDEFGCHIYGYKLYIMNOPQUUJYMWBVKWCWDWGWEWFWHAXOUGZXQGCUADUA
        UDZCTZUULXHTZUULXJTZYKUBTZWIJYGHIXRUUJAGUNUCXOYDVKAYAXOPVKZAUUAXOQVKZRU
        UKUADEFGCHIYGYKLUUPMNOUUQUURUUJYMAXEXNWJUUKUULDUCZUGYFFUUMKYKUUNUUOYLSY
        MAXTXOUUSYCVBUUKDYFUULXHAYNXOYRVKVLUUKDYFUULXJAYSXOUUBVKVLUUKXNUUSUUMUU
        NUUOKUBZUCZAXEXNWKXMUVABUULDBUAWLZXGUUMXLUUTXFUULCWMUVBXIUUNXKUUOKXFUUL
        XHWMXFUULXJWMWNWOWPWQWSWTWEXA $.
    $}
  $}

  ${
    $d a b f g h r s v x y z A $.  $d a b f g h r s v x y z C $.
    $d a b f g h r s v x y B $.  $d a b f g h r s v x y ph $.
    $d a b f g h r s v x y D $.
    fucpropd.1 $e |- ( ph -> ( Homf ` A ) = ( Homf ` B ) ) $.
    fucpropd.2 $e |- ( ph -> ( comf ` A ) = ( comf ` B ) ) $.
    fucpropd.3 $e |- ( ph -> ( Homf ` C ) = ( Homf ` D ) ) $.
    fucpropd.4 $e |- ( ph -> ( comf ` C ) = ( comf ` D ) ) $.
    fucpropd.a $e |- ( ph -> A e. Cat ) $.
    fucpropd.b $e |- ( ph -> B e. Cat ) $.
    fucpropd.c $e |- ( ph -> C e. Cat ) $.
    fucpropd.d $e |- ( ph -> D e. Cat ) $.
    $( If two categories have the same set of objects, morphisms, and
       compositions, then they have the same natural transformations.
       (Contributed by Mario Carneiro, 26-Jan-2017.) $)
    natpropd $p |- ( ph -> ( A Nat C ) = ( B Nat D ) ) $=
      ( vr vx co cfv wceq wcel eqid vf vg vs vy va vh vz cfunc cv c1st c2nd cop
      cco chom wral cbs cixp crab csb cmpo cnat funcpropd adantr wa cvv nfcsb1v
      ccat nfv wnfc a1i fvexd chomf ad4antr simplr wbr relfunc simpllr 1st2ndbr
      wrel simpld sylancr eqbrtrd ffvelrnda simpr homfeqval ixpeq2dva homfeqbas
      funcf1 simprd ad3antrrr ixpeq1d wb oveq12d cbvixpv eleq2i ad6antr ad7antr
      eqtrd fveq2 ccomf ad5ant13 wf ad2antrr funcf2 ad5ant24 comfeqval ad5ant23
      eqeq12d raleqbidva sylan2b rabeqbidva csbeq1a csbiedf mpoeq123dva natfval
      fvixp adantl 3eqtr4g ) AUAUBBDUHPZXSNUAUIZUJQZUCUBUIZUJQZUDUIZUEUIZQZUFUI
      ZOUIZYDXTUKQZPZQZYHNUIZQZYDYLQZULZYDUCUIZQZDUMQZPPZYGYHYDYBUKQZPZQZYHYEQZ
      YMYHYPQZULZYQYRPPZRZUFYHYDBUNQZPZUOZUDBUPQZUOZOUUKUOZUEOUUKYMUUDDUNQZPZUQ
      ZURZUSZUSZUTUAUBCEUHPZUUTNYAUCYCYFYKYOYQEUMQZPPZUUBUUCUUEYQUVAPPZRZUFYHYD
      CUNQZPZUOZUDCUPQZUOZOUVHUOZUEOUVHYMUUDEUNQZPZUQZURZUSZUSZUTBDVAPZCEVAPZAU
      AUBXSXSUUSUUTUUTUVPABCDEVGFGHIJKLMVBZAXSUUTRXTXSSZUVSVCAUVTYBXSSZVDZVDZNY
      AUURUVPVEUWCNVHNUVPVIUWCNYAUVOVFVJUWCXTUJVKUWCYLYARZVDZUURUVOUVPUWEUCYCUU
      QUVOVEUWEUCVHUCUVOVIUWEUCYCUVNVFVJUWEYBUJVKUWEYPYCRZVDZUUQUVNUVOUWGUUMUVJ
      UEUUPUVMUWGUUPOUUKUVLUQUVMUWGOUUKUUOUVLUWGYHUUKSZVDDUPQZDEUUNUVKYMUUDUWIT
      ZUUNTZUVKTZADVLQEVLQRZUWBUWDUWFUWHHVMUWGUUKUWIYHYLUWGUUKUWIBDYLYIUUKTZUWJ
      UWGYLYAYIXSUWCUWDUWFVNUWGXSVSZUVTYAYIXSVOBDVPZUWGUVTUWAAUWBUWDUWFVQZVTXTX
      SVRWAWBZWHZWCZUWGUUKUWIYHYPUWGUUKUWIBDYPYTUWNUWJUWGYPYCYTXSUWEUWFWDUWGUWO
      UWAYCYTXSVOUWPUWGUVTUWAUWQWIYBXSVRWAWBZWHZWCZWEWFUWGOUUKUVHUVLAUUKUVHRZUW
      BUWDUWFABCFWGWJZWKWRYEUUPSUWGYEUGUUKUGUIZYLQZUXFYPQZUUNPZUQZSZUUMUVJWLUUP
      UXJYEOUGUUKUUOUXIYHUXFRYMUXGUUDUXHUUNYHUXFYLWSYHUXFYPWSWMWNWOUWGUXKVDZUUL
      UVIOUUKUVHUWGUXDUXKUXEVCZUXLUWHVDZUUJUVGUDUUKUVHUXLUXDUWHUXMVCUXNYDUUKSZV
      DZUUGUVDUFUUIUVFUXPUUKBCUUHUVEYHYDUWNUUHTZUVETZABVLQCVLQRUWBUWDUWFUXKUWHU
      XOFWPUXLUWHUXOVNZUXNUXOWDZWEUXPYGUUISZVDZYSUVBUUFUVCUYBUWIDEUVAYRYKYFUUNY
      MYNYQUWJUWKYRTZUVATZAUWMUWBUWDUWFUXKUWHUXOUYAHWQZADWTQEWTQRUWBUWDUWFUXKUW
      HUXOUYAIWQZUWGUWHYMUWISUXKUXOUYAUWTXAZUXPYNUWISUYAUXNUUKUWIYDYLUWGUUKUWIY
      LXBUXKUWHUWSXCWCVCUXPYQUWISUYAUXNUUKUWIYDYPUWGUUKUWIYPXBUXKUWHUXBXCWCVCZU
      XPUUIYMYNUUNPYGYJUXPUUKBDYLYIUUHUUNYHYDUWNUXQUWKUWGYLYIXSVOUXKUWHUXOUWRWJ
      UXSUXTXDWCUXKUXOYFYNYQUUNPZSUWGUWHUYAUGUUKUXIYDUYIYEUXFYDRUXGYNUXHYQUUNUX
      FYDYLWSUXFYDYPWSWMXPXEXFUYBUWIDEUVAYRUUCUUBUUNYMUUDYQUWJUWKUYCUYDUYEUYFUY
      GUWGUWHUUDUWISUXKUXOUYAUXCXAUYHUXKUWHUUCUUOSUWGUXOUYAUGUUKUXIYHUUOYEUXFYH
      RUXGYMUXHUUDUUNUXFYHYLWSUXFYHYPWSWMXPXGUXPUUIUUDYQUUNPYGUUAUXPUUKBDYPYTUU
      HUUNYHYDUWNUXQUWKUWGYPYTXSVOUXKUWHUXOUXAWJUXSUXTXDWCXFXHXIXIXIXJXKUWFUVNU
      VORUWEUCYCUVNXLXQWRXMUWDUVOUVPRUWCNYAUVOXLXQWRXMXNOUDUUKBDYRUAUBUFUUHUUNU
      VQUCNUEUVQTUWNUXQUWKUYCXOOUDUVHCEUVAUAUBUFUVEUVKUVRUCNUEUVRTUVHTUXRUWLUYD
      XOXR $.

    $( If two categories have the same set of objects, morphisms, and
       compositions, then they have the same functor categories.  (Contributed
       by Mario Carneiro, 26-Jan-2017.) $)
    fucpropd $p |- ( ph -> ( A FuncCat C ) = ( B FuncCat D ) ) $=
      ( vf vg cfv co wceq wcel eqid vv vh vb va cnx cbs cfunc cop chom cnat cco
      vx cxp cv c1st c2nd cmpt cmpo csb ctp cfuc ccat funcpropd opeq2d natpropd
      sqxpeqd adantr wa cvv wnfc nfcsb1v fvexd ad3antrrr oveqd oveqdr homfeqbas
      nfv a1i ad4antr chomf ad5antr ccomf wrel wbr relfunc simpllr simpld xp1st
      simp-4r syl eqeltrd 1st2ndbr sylancr funcf1 ffvelrnda simplr xp2nd simprd
      simplrr nat1st2nd simpr natcl simplrl comfeqval mpteq12dva csbeq1a adantl
      mpoeq123dva eqtrd csbiedf tpeq123d eqidd fucval 3eqtr4d ) AUEUFPZBDUGQZUH
      ZUEUIPZBDUJQZUHZUEUKPZUAUBXPXPUMZXPNUAUNZUOPZOYCUPPZUCUDOUNZUBUNZXSQZNUNZ
      YFXSQZULBUFPZULUNZUCUNZPZYLUDUNZPZYLYIUOPZPZYLYFUOPZPZUHZYLYGUOPZPZDUKPZQ
      QZUQZURZUSZUSZURZUHZUTXOCEUGQZUHZXRCEUJQZUHZYAUAUBUULUULUMZUULNYDOYEUCUDY
      FYGUUNQZYIYFUUNQZULCUFPZYNYPUUAUUCEUKPZQQZUQZURZUSZUSZURZUHZUTBDVAQZCEVAQ
      ZAXQUUMXTUUOUUKUVGAXPUULXOABCDEVBFGHIJKLMVCZVDAXSUUNXRABCDEFGHIJKLMVEZVDA
      UUJUVFYAAUAUBYBXPUUIUUPUULUVEAXPUULUVJVFAXPUULRYCYBSZUVJVGAUVLYGXPSZVHZVH
      ZNYDUUHUVEVIUVONVQNUVEVJUVONYDUVDVKVRUVOYCUOVLUVOYIYDRZVHZUUHUVDUVEUVQOYE
      UUGUVDVIUVQOVQOUVDVJUVQOYEUVCVKVRUVQYCUPVLUVQYFYERZVHZUUGUVCUVDUVSUCUDYHY
      JUUFUUQUURUVBUVSXSUUNYFYGAXSUUNRUVNUVPUVRUVKVMZVNUVSYMYHSZNOXSUUNUVTVOUVS
      UWAYOYJSZVHZVHZULYKUUEUUSUVAAYKUUSRUVNUVPUVRUWCABCFVPVSUWDYLYKSZVHZDUFPZD
      EUUTUUDYPYNDUIPZYRYTUUCUWGTZUWHTZUUDTZUUTTZADVTPEVTPRUVNUVPUVRUWCUWEHWAAD
      WBPEWBPRUVNUVPUVRUWCUWEIWAUWDYKUWGYLYQUWDYKUWGBDYQYIUPPZYKTZUWIUWDXPWCZYI
      XPSYQUWMXPWDBDWEZUWDYIYDXPUVOUVPUVRUWCWFUWDUVLYDXPSUWDUVLUVMAUVNUVPUVRUWC
      WIZWGZYCXPXPWHWJWKYIXPWLWMWNWOUWDYKUWGYLYSUWDYKUWGBDYSYFUPPZUWNUWIUWDUWOY
      FXPSYSUWSXPWDUWPUWDYFYEXPUVQUVRUWCWPUWDUVLYEXPSUWRYCXPXPWQWJWKYFXPWLWMWNW
      OUWDYKUWGYLUUBUWDYKUWGBDUUBYGUPPZUWNUWIUWDUWOUVMUUBUWTXPWDUWPUWDUVLUVMUWQ
      WRYGXPWLWMWNWOUWFYOYKBDYQUWMUWHYSUWSXSYLXSTZUWFYOBDYIYFXSUXAUVSUWAUWBUWEW
      SWTUWNUWJUWDUWEXAZXBUWFYMYKBDYSUWSUWHUUBUWTXSYLUXAUWFYMBDYFYGXSUXAUVSUWAU
      WBUWEXCWTUWNUWJUXBXBXDXEXHUVRUVCUVDRUVQOYEUVCXFXGXIXJUVPUVDUVERUVONYDUVDX
      FXGXIXJXHVDXKAULUAYKXPBDUVHUUJUUDNOUBXSUDUCUVHTXPTUXAUWNUWKJLAUUJXLXMAULU
      AUUSUULCEUVIUVFUUTNOUBUUNUDUCUVITUULTUUNTUUSTUWLKMAUVFXLXMXN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Initial, terminal and zero objects of a category
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c InitO $. $( The initial objects of a category. $)
  $c TermO $. $( The terminal objects of a category. $)
  $c ZeroO $. $( The zero objects of a category. $)

  $( Extend class notation with the class of initial objects of a category. $)
  cinito $a class InitO $.

  $( Extend class notation with the class of terminal objects of a category. $)
  ctermo $a class TermO $.

  $( Extend class notation with the class of zero objects of a category. $)
  czeroo $a class ZeroO $.

  ${
    $d a b c h $.
    $( An object A is said to be an initial object provided that for each
       object B there is exactly one morphism from A to B. Definition 7.1 in
       [Adamek] p. 101, or definition in [Lang] p. 57 (called "a universally
       repelling object" there).  See ~ dfinito2 and ~ dfinito3 for alternate
       definitions depending on ~ df-termo .  (Contributed by AV,
       3-Apr-2020.) $)
    df-inito $a |- InitO = ( c e. Cat |-> { a e. ( Base ` c ) |
                      A. b e. ( Base ` c ) E! h h e. ( a ( Hom ` c ) b ) } ) $.

    $( An object A is called a terminal object provided that for each object B
       there is exactly one morphism from B to A. Definition 7.4 in [Adamek]
       p. 102, or definition in [Lang] p. 57 (called "a universally attracting
       object" there).  See ~ dftermo2 and ~ dftermo3 for alternate definitions
       depending on ~ df-inito .  (Contributed by AV, 3-Apr-2020.) $)
    df-termo $a |- TermO = ( c e. Cat |-> { a e. ( Base ` c ) |
                      A. b e. ( Base ` c ) E! h h e. ( b ( Hom ` c ) a ) } ) $.

    $( An object A is called a zero object provided that it is both an initial
       object and a terminal object.  Definition 7.7 of [Adamek] p. 103.
       (Contributed by AV, 3-Apr-2020.) $)
    df-zeroo $a |- ZeroO = ( c e. Cat
                             |-> ( ( InitO ` c ) i^i ( TermO ` c ) ) ) $.

    $( ` InitO ` is a function on ` Cat ` .  (Contributed by Zhi Wang,
       29-Aug-2024.) $)
    initofn $p |- InitO Fn Cat $=
      ( vc vh va vb ccat cv chom cfv co wcel weu wral crab cinito fvex df-inito
      cbs rabex fnmpti ) AEBFCFDFAFZGHIJBKDTQHZLZCUAMNUBCUATQORBCDAPS $.

    $( ` TermO ` is a function on ` Cat ` .  (Contributed by Zhi Wang,
       29-Aug-2024.) $)
    termofn $p |- TermO Fn Cat $=
      ( vc vh vb va ccat cv chom cfv co wcel weu wral crab ctermo fvex df-termo
      cbs rabex fnmpti ) AEBFCFDFAFZGHIJBKCTQHZLZDUAMNUBDUATQORBDCAPS $.

    $( ` ZeroO ` is a function on ` Cat ` .  (Contributed by Zhi Wang,
       29-Aug-2024.) $)
    zeroofn $p |- ZeroO Fn Cat $=
      ( vc ccat cv cinito cfv ctermo cin czeroo fvex inex1 df-zeroo fnmpti ) AB
      ACZDEZMFEZGHNOMDIJAKL $.

    $( Reverse closure for an initial object:  If a class has an initial
       object, the class is a category.  (Contributed by AV, 4-Apr-2020.) $)
    initorcl $p |- ( I e. ( InitO ` C ) -> C e. Cat ) $=
      ( vc vh va vb ccat chom cfv wcel weu cbs wral crab cinito df-inito mptrcl
      cv co ) CGDRERFRCRZHISJDKFTLIZMEUANOBADEFCPQ $.

    $( Reverse closure for a terminal object:  If a class has a terminal
       object, the class is a category.  (Contributed by AV, 4-Apr-2020.) $)
    termorcl $p |- ( T e. ( TermO ` C ) -> C e. Cat ) $=
      ( vc vh vb va ccat chom cfv wcel weu cbs wral crab ctermo df-termo mptrcl
      cv co ) CGDRERFRCRZHISJDKETLIZMFUANOBADFECPQ $.

    $( Reverse closure for a zero object:  If a class has a zero object, the
       class is a category.  (Contributed by AV, 4-Apr-2020.) $)
    zeroorcl $p |- ( Z e. ( ZeroO ` C ) -> C e. Cat ) $=
      ( vc ccat cv cinito cfv ctermo cin czeroo df-zeroo mptrcl ) CDCEZFGMHGIJB
      ACKL $.

    $d B a b c $.  $d C a b c h $.  $d H c $.  $d ph c $.
    initoval.c $e |- ( ph -> C e. Cat ) $.
    initoval.b $e |- B = ( Base ` C ) $.
    initoval.h $e |- H = ( Hom ` C ) $.
    $( The value of the initial object function, i.e. the set of all initial
       objects of a category.  (Contributed by AV, 3-Apr-2020.) $)
    initoval $p |- ( ph -> ( InitO ` C )
                           = { a e. B | A. b e. B E! h h e. ( a H b ) } ) $=
      ( vc cv chom cfv co wcel weu cbs wral crab ccat cinito cvv df-inito fveq2
      wceq eqtr4di oveqd eleq2d eubidv raleqbidv rabeqbidv fvexi rabex fvmptd3
      a1i ) AKCDLZFLZGLZKLZMNZOZPZDQZGUTRNZSZFVETUQURUSEOZPZDQZGBSZFBTZUAUBUCDF
      GKUDUTCUFZVFVJFVEBVLVECRNBUTCRUEIUGZVLVDVIGVEBVMVLVCVHDVLVBVGUQVLVAEURUSV
      LVACMNEUTCMUEJUGUHUIUJUKULHVKUCPAVJFBBCRIUMUNUPUO $.

    $( The value of the terminal object function, i.e. the set of all terminal
       objects of a category.  (Contributed by AV, 3-Apr-2020.) $)
    termoval $p |- ( ph -> ( TermO ` C )
                           = { a e. B | A. b e. B E! h h e. ( b H a ) } ) $=
      ( vc cv chom cfv co wcel weu cbs wral crab ccat ctermo cvv df-termo fveq2
      wceq eqtr4di oveqd eleq2d eubidv raleqbidv rabeqbidv fvexi rabex fvmptd3
      a1i ) AKCDLZGLZFLZKLZMNZOZPZDQZGUTRNZSZFVETUQURUSEOZPZDQZGBSZFBTZUAUBUCDF
      GKUDUTCUFZVFVJFVEBVLVECRNBUTCRUEIUGZVLVDVIGVEBVMVLVCVHDVLVBVGUQVLVAEURUSV
      LVACMNEUTCMUEJUGUHUIUJUKULHVKUCPAVJFBBCRIUMUNUPUO $.

    $( The value of the zero object function, i.e. the set of all zero objects
       of a category.  (Contributed by AV, 3-Apr-2020.) $)
    zerooval $p |- ( ph -> ( ZeroO ` C )
                           = ( ( InitO ` C ) i^i ( TermO ` C ) ) ) $=
      ( vc cv cinito cfv ctermo cin ccat czeroo cvv df-zeroo wceq fveq2 ineq12d
      wcel fvex inex1 a1i fvmptd3 ) AHCHIZJKZUFLKZMCJKZCLKZMZNOPHQUFCRUGUIUHUJU
      FCJSUFCLSTEUKPUAAUIUJCJUBUCUDUE $.
  $}

  ${
    $d B b i $.  $d C b h i $.  $d H i $.  $d I b h i $.
    isinito.b $e |- B = ( Base ` C ) $.
    isinito.h $e |- H = ( Hom ` C ) $.
    isinito.c $e |- ( ph -> C e. Cat ) $.
    isinito.i $e |- ( ph -> I e. B ) $.
    $( The predicate "is an initial object" of a category.  (Contributed by AV,
       3-Apr-2020.) $)
    isinito $p |- ( ph -> ( I e. ( InitO ` C )
                            <-> A. b e. B E! h h e. ( I H b ) ) ) $=
      ( vi cinito cfv wcel cv co weu wral eleq2d crab initoval wb oveq1 ralbidv
      wceq eubidv elrab3 syl bitrd ) AFCMNZOFDPZLPZGPZEQZOZDRZGBSZLBUAZOZULFUNE
      QZOZDRZGBSZAUKUSFABCDELGJHIUBTAFBOUTVDUCKURVDLFBUMFUFZUQVCGBVEUPVBDVEUOVA
      ULUMFUNEUDTUGUEUHUIUJ $.

    $( The predicate "is a terminal object" of a category.  (Contributed by AV,
       3-Apr-2020.) $)
    istermo $p |- ( ph -> ( I e. ( TermO ` C )
                            <-> A. b e. B E! h h e. ( b H I ) ) ) $=
      ( vi ctermo cfv wcel cv co weu wral eleq2d crab termoval wb oveq2 ralbidv
      wceq eubidv elrab3 syl bitrd ) AFCMNZOFDPZGPZLPZEQZOZDRZGBSZLBUAZOZULUMFE
      QZOZDRZGBSZAUKUSFABCDELGJHIUBTAFBOUTVDUCKURVDLFBUNFUFZUQVCGBVEUPVBDVEUOVA
      ULUNFUMEUDTUGUEUHUIUJ $.

    $( The predicate "is a zero object" of a category.  (Contributed by AV,
       3-Apr-2020.) $)
    iszeroo $p |- ( ph -> ( I e. ( ZeroO ` C )
                        <-> ( I e. ( InitO ` C ) /\ I e. ( TermO ` C ) ) ) ) $=
      ( czeroo cfv wcel cinito ctermo cin wa zerooval eleq2d elin bitrdi ) AECJ
      KZLECMKZCNKZOZLEUBLEUCLPAUAUDEABCDHFGQREUBUCST $.
  $}

  ${
    $d B a b $.  $d C a b h $.  $d O a b h $.
    isinitoi.b $e |- B = ( Base ` C ) $.
    isinitoi.h $e |- H = ( Hom ` C ) $.
    isinitoi.c $e |- ( ph -> C e. Cat ) $.
    $( Implication of a class being an initial object.  (Contributed by AV,
       6-Apr-2020.) $)
    isinitoi $p |- ( ( ph /\ O e. ( InitO ` C ) )
                            -> ( O e. B /\ A. b e. B E! h h e. ( O H b ) ) ) $=
      ( va cinito cfv wcel wa cv co weu wral crab initoval eleq2d elrabi syl6bi
      imp ccat adantr simpr isinito biimpd impancom jcai ) AFCLMZNZOFBNZDPZFGPZ
      EQNDRGBSZAUNUOAUNFUPKPUQEQNDRGBSZKBTZNUOAUMUTFABCDEKGJHIUAUBUSKFBUCUDUEAU
      OUNURAUOOZUNURVABCDEFGHIACUFNUOJUGAUOUHUIUJUKUL $.

    $( Implication of a class being a terminal object.  (Contributed by AV,
       18-Apr-2020.) $)
    istermoi $p |- ( ( ph /\ O e. ( TermO ` C ) )
                            -> ( O e. B /\ A. b e. B E! h h e. ( b H O ) ) ) $=
      ( va ctermo cfv wcel wa cv co weu wral crab termoval eleq2d elrabi syl6bi
      imp ccat adantr simpr istermo biimpd impancom jcai ) AFCLMZNZOFBNZDPZGPZF
      EQNDRGBSZAUNUOAUNFUPUQKPEQNDRGBSZKBTZNUOAUMUTFABCDEKGJHIUAUBUSKFBUCUDUEAU
      OUNURAUOOZUNURVABCDEFGHIACUFNUOJUGAUOUHUIUJUKUL $.

    $d B h o $.  $d C o $.  $d H h o $.  $d O o $.  $d ph h $.
    $( For an initial object, the identity arrow is the one and only morphism
       of the object to the object itself.  (Contributed by AV, 6-Apr-2020.) $)
    initoid $p |- ( ( ph /\ O e. ( InitO ` C ) )
                            -> ( O H O ) = { ( ( Id ` C ) ` O ) } ) $=
      ( vh vo cfv wcel wa cv co weu csn wceq wi cvv cinito wral isinitoi eleq2d
      ccid oveq2 eubidv rspcv adantl eusn eqid ccat ad2antrr simpr catidcl fvex
      wex elsn eqcom wb sneqbg bicomd elv 3bitri biimpi a1i eleq2 eqeq1 3imtr4d
      syl5 exlimiv com12 syl5bi syld expimpd mpd ) AECUAKLZMZEBLZINZEJNZDOZLZIP
      ZJBUBZMEEDOZECUEKZKZQZRZABCIDEJFGHUCVRVSWEWJVRVSMZWEVTWFLZIPZWJVSWEWMSVRW
      DWMJEBWAERZWCWLIWNWBWFVTWAEEDUFUDUGUHUIWMWFVTQZRZIUQZWKWJIWFUJWQWKWJWPWKW
      JSIWKWHWFLZWPWJWKBCWGDEFGWGUKACULLVQVSHUMVRVSUNUOWPWHWOLZWOWIRZWRWJWSWTSW
      PWSWTWSWHVTRVTWHRZWTWHVTEWGUPURWHVTUSXAWTUTIVTTLWTXAVTWHTVAVBVCVDVEVFWFWO
      WHVGWFWOWIVHVIVJVKVLVMVNVOVP $.

    $( For a terminal object, the identity arrow is the one and only morphism
       of the object to the object itself.  (Contributed by AV,
       18-Apr-2020.) $)
    termoid $p |- ( ( ph /\ O e. ( TermO ` C ) )
                            -> ( O H O ) = { ( ( Id ` C ) ` O ) } ) $=
      ( vh vo cfv wcel wa cv co weu csn wceq wi cvv ctermo wral istermoi eleq2d
      ccid oveq1 eubidv rspcv adantl eusn eqid ccat ad2antrr simpr catidcl fvex
      wex elsn eqcom wb sneqbg bicomd elv 3bitri biimpi a1i eleq2 eqeq1 3imtr4d
      syl5 exlimiv com12 syl5bi syld expimpd mpd ) AECUAKLZMZEBLZINZJNZEDOZLZIP
      ZJBUBZMEEDOZECUEKZKZQZRZABCIDEJFGHUCVRVSWEWJVRVSMZWEVTWFLZIPZWJVSWEWMSVRW
      DWMJEBWAERZWCWLIWNWBWFVTWAEEDUFUDUGUHUIWMWFVTQZRZIUQZWKWJIWFUJWQWKWJWPWKW
      JSIWKWHWFLZWPWJWKBCWGDEFGWGUKACULLVQVSHUMVRVSUNUOWPWHWOLZWOWIRZWRWJWSWTSW
      PWSWTWSWHVTRVTWHRZWTWHVTEWGUPURWHVTUSXAWTUTIVTTLWTXAVTWHTVAVBVCVDVEVFWFWO
      WHVGWFWOWIVHVIVJVKVLVMVNVOVP $.
  $}

  ${
    $d a b c h $.
    $( An initial object is a terminal object in the opposite category.  An
       alternate definition of ~ df-inito depending on ~ df-termo .
       (Contributed by Zhi Wang, 29-Aug-2024.) $)
    dfinito2 $p  |- InitO = ( c e. Cat |-> ( TermO ` ( oppCat ` c ) ) ) $=
      ( vh va vb cinito ccat cv chom cfv co wcel weu cbs wral crab coppc ctermo
      cmpt df-inito eqid oppccat oppcbas termoval oppchom eleq2i eubii mpteq2ia
      ralbii rabbii eqtrdi eqtr4i ) EAFBGZCGZDGZAGZHIZJZKZBLZDUOMIZNZCUTOZRAFUO
      PIZQIZRBCDASAFVDVBUOFKZVDULUNUMVCHIZJZKZBLZDUTNZCUTOVBVEUTVCBVFCDUOVCVCTZ
      UAUTUOVCVKUTTUBVFTUCVJVACUTVIUSDUTVHURBVGUQULUOUPVCUNUMUPTVKUDUEUFUHUIUJU
      GUK $.

    $( A terminal object is an initial object in the opposite category.  An
       alternate definition of ~ df-termo depending on ~ df-inito .
       (Contributed by Zhi Wang, 29-Aug-2024.) $)
    dftermo2 $p |- TermO = ( c e. Cat |-> ( InitO ` ( oppCat ` c ) ) ) $=
      ( vh vb va ctermo ccat cv chom cfv co wcel weu cbs wral crab coppc cinito
      cmpt df-termo eqid oppccat oppcbas initoval oppchom eleq2i eubii mpteq2ia
      ralbii rabbii eqtrdi eqtr4i ) EAFBGZCGZDGZAGZHIZJZKZBLZCUOMIZNZDUTOZRAFUO
      PIZQIZRBDCASAFVDVBUOFKZVDULUNUMVCHIZJZKZBLZCUTNZDUTOVBVEUTVCBVFDCUOVCVCTZ
      UAUTUOVCVKUTTUBVFTUCVJVADUTVIUSCUTVHURBVGUQULUOUPVCUNUMUPTVKUDUEUFUHUIUJU
      GUK $.

    $( An alternate definition of ~ df-inito depending on ~ df-termo , without
       dummy variables.  (Contributed by Zhi Wang, 29-Aug-2024.) $)
    dfinito3 $p  |- InitO = ( TermO o. ( oppCat |` Cat ) ) $=
      ( vc ccat cv coppc cres cfv ctermo cmpt ccom cinito fvres fveq2d mpteq2ia
      wcel cvv wf wceq wfn termofn dffn2 mpbi oppccatf fcompt dfinito2 3eqtr4ri
      mp2an ) ABACZDBEZFZGFZHZABUGDFZGFZHGUHIZJABUJUMUGBNUIULGUGBDKLMBOGPZBBUHP
      UNUKQGBRUOSBGTUAUBAGUHBBOUCUFAUDUE $.

    $( An alternate definition of ~ df-termo depending on ~ df-inito , without
       dummy variables.  (Contributed by Zhi Wang, 29-Aug-2024.) $)
    dftermo3 $p  |- TermO = ( InitO o. ( oppCat |` Cat ) ) $=
      ( vc ccat cv coppc cres cfv cinito cmpt ccom ctermo fvres fveq2d mpteq2ia
      wcel cvv wf wceq wfn initofn dffn2 mpbi oppccatf fcompt dftermo2 3eqtr4ri
      mp2an ) ABACZDBEZFZGFZHZABUGDFZGFZHGUHIZJABUJUMUGBNUIULGUGBDKLMBOGPZBBUHP
      UNUKQGBRUOSBGTUAUBAGUHBBOUCUFAUDUE $.
  $}

  ${
    $d C b h $.  $d O b h $.
    $( An initial object is an object.  (Contributed by AV, 14-Apr-2020.) $)
    initoo $p |- ( C e. Cat -> ( O e. ( InitO ` C ) -> O e. ( Base ` C ) ) ) $=
      ( vh vb ccat wcel cinito cfv cbs wa cv chom weu wral eqid isinitoi simpld
      co id ex ) AEFZBAGHFZBAIHZFZUAUBJUDCKBDKALHZRFCMDUCNUAUCACUEBDUCOUEOUASPQ
      T $.

    $( A terminal object is an object.  (Contributed by AV, 18-Apr-2020.) $)
    termoo $p |- ( C e. Cat -> ( O e. ( TermO ` C ) -> O e. ( Base ` C ) ) ) $=
      ( vh vb ccat wcel ctermo cfv cbs wa cv chom weu wral eqid istermoi simpld
      co id ex ) AEFZBAGHFZBAIHZFZUAUBJUDCKDKBALHZRFCMDUCNUAUCACUEBDUCOUEOUASPQ
      T $.
  $}

  $( Implication of a class being a zero object.  (Contributed by AV,
     18-Apr-2020.) $)
  iszeroi $p |- ( ( C e. Cat /\ O e. ( ZeroO ` C ) ) -> ( O e. ( Base ` C )
                         /\ ( O e. ( InitO ` C ) /\ O e. ( TermO ` C ) ) ) ) $=
    ( ccat wcel czeroo cfv cbs cinito ctermo cin chom eqid zerooval eleq2d elin
    wa id initoo adantrd syl5bi sylbid simpl simpr iszeroo biimpd impancom jcai
    imp ) ACDZBAEFZDZPBAGFZDZBAHFZDZBAIFZDZPZUIUKUMUIUKBUNUPJZDZUMUIUJUSBUIULAA
    KFZUIQULLZVALZMNUTURUIUMBUNUPOUIUOUMUQABRSTUAUHUIUMUKURUIUMPZUKURVDULAVABVB
    VCUIUMUBUIUMUCUDUEUFUG $.

  ${
    $d A a g $.  $d A b f $.  $d B a g $.  $d B b f $.  $d C b f $.
    $d C a g $.  $d ph g f $.  $d a f $.
    initoeu1.c $e |- ( ph -> C e. Cat ) $.
    initoeu1.a $e |- ( ph -> A e. ( InitO ` C ) ) $.
    ${
      initoeu1.b $e |- ( ph -> B e. ( InitO ` C ) ) $.
      $( Morphisms between two initial objects are inverses.  (Contributed by
         AV, 14-Apr-2020.) $)
      2initoinv $p |- ( ( ph /\ G e. ( B ( Hom ` C ) A )
                             /\ F e. ( A ( Hom ` C ) B ) )
                        -> F ( A ( Inv ` C ) B ) G ) $=
        ( cfv co wcel wbr cop wceq eqid 3ad2ant1 initoo sylc catcocl chom csect
        w3a cinv cco ccid cbs cinito simp3 simp2 csn initoid mpdan eleq2d elsni
        ccat syl6bi mpd issect2 mpbird wa wb isinv mpbir2and ) AFCBDUAJZKLZEBCV
        EKLZUCZEFBCDUDJZKMZEFBCDUBJZKMZFECBVKKMZVHVLFEBCNBDUEJZKKZBDUFJZJZOZVHV
        OBBVEKZLZVRVHDUGJZDVNEFVEBCBWAPZVEPZVNPZAVFDUPLZVGGQZAVFBWALZVGAWEBDUHJ
        ZLZWGGHDBRSZQZAVFCWALZVGAWECWHLZWLGIDCRSZQZWKAVFVGUIZAVFVGUJZTVHVTVOVQU
        KZLVRVHVSWRVOAVFVSWROZVGAWIWSHAWADVEBWBWCGULUMQUNVOVQUOUQURVHWADVKVNVPE
        FVEBCWBWCWDVPPZVKPZWFWKWOWPWQUSUTVHVMEFCBNCVNKKZCVPJZOZVHXBCCVEKZLZXDVH
        WADVNFEVECBCWBWCWDWFWOWKWOWQWPTVHXFXBXCUKZLXDVHXEXGXBAVFXEXGOZVGAWMXHIA
        WADVECWBWCGULUMQUNXBXCUOUQURVHWADVKVNVPFEVECBWBWCWDWTXAWFWOWKWQWPUSUTAV
        FVJVLVMVAVBVGAWADVKEFVIBCWBVIPGWJWNXAVCQVD $.

      $( Initial objects are essentially unique (strong form), i.e. there is a
         _unique_ isomorphism between two initial objects, see statement in
         [Lang] p. 58 ("... if P, P' are two universal objects [[...] then
         there exists a unique isomorphism between them.".  (Proposed by BJ,
         14-Apr-2020.)  (Contributed by AV, 14-Apr-2020.) $)
      initoeu1 $p |- ( ph -> E! f f e. ( A ( Iso ` C ) B ) ) $=
        ( vb vg va cfv wcel cv co weu wa eqid wi wex cbs chom wral cinito mpdan
        ciso isinitoi oveq2 eleq2d eubidv rspcv wss adantr simprr simprl isohom
        wceq ccat euex a1i rspcva ex ad2antll cinv ad2antrr 2initoinv ad4ant134
        syl wbr inviso1 eximdv expcom exlimiv com3l impd syl2and euelss syl3anc
        imp exp42 com24 com14 expd syldc com15 mpd ) ABDUALZMZENZBINZDUBLZOZMZE
        PZIWGUCZQZWIBCDUFLZOZMZEPZABDUDLZMWPGAWGDEWKBIWGRZWKRZFUGUEAWHWOWTACWGM
        ZJNZCKNZWKOZMZJPZKWGUCZQZWHWOWTSSZACXAMXKHAWGDJWKCKXBXCFUGUEAXDXJXLWOXD
        XJWHAWTXDWOWIBCWKOZMZEPZXJWHAWTSSZSWNXOICWGWJCUQZWMXNEXQWLXMWIWJCBWKUHU
        IUJUKXDXOXJXPAXOXJQZWHXDWTAXDWHXRWTAXDWHXRWTAXDWHQZQZXRQWRXMULZWSETZXOW
        TXTYAXRXTWGDWKWQBCXBXCWQRZADURMZXSFUMZAXDWHUNZAXDWHUOZUPUMXTXRYBXTXOXNE
        TZXJXECBWKOZMZJTZYBXOYHSXTXNEUSUTWHXJYKSAXDWHXJYKWHXJQYJJPZYKXIYLKBWGXF
        BUQZXHYJJYMXGYIXEXFBCWKUHUIUJVAYJJUSVHVBVCXTYHYKYBYKXTYHYBYJXTYHYBSZSJX
        TYJYNXTYJQZXNWSEYOXNWSYOXNQWGDWIXEWQDVDLZBCXBYPRXTYDYJXNYEVEXTWHYJXNYFV
        EXTXDYJXNYGVEYCAYJXNWIXEBCYPOVIXSABCDWIXEFGHVFVGVJVBVKVLVMVNVOVPVSXTXOX
        JUOEWRXMVQVRVTWAWBWCWDWEVOWFVOWF $.

      $( Initial objects are essentially unique (weak form), i.e. if A and B
         are initial objects, then A and B are isomorphic.  Proposition 7.3 (1)
         of [Adamek] p. 102.  (Contributed by AV, 6-Apr-2020.) $)
      initoeu1w $p |- ( ph -> A ( ~=c ` C ) B ) $=
        ( vf ccic cfv wbr cv ciso co wcel wex weu eqid initoo sylc initoeu1 syl
        euex cbs ccat cinito cic mpbird ) ABCDIJKHLBCDMJZNOZHPZAUJHQUKABCDHEFGU
        AUJHUCUBADUDJZDHUIBCUIRULREADUEOZBDUFJZOBULOEFDBSTAUMCUNOCULOEGDCSTUGUH
        $.
    $}

    ${
      initoeu2lem.x $e |- X = ( Base ` C ) $.
      initoeu2lem.h $e |- H = ( Hom ` C ) $.
      initoeu2lem.i $e |- I = ( Iso ` C ) $.
      initoeu2lem.o $e |- .o. = ( comp ` C ) $.
      $( Lemma 0 for ~ initoeu2 .  (Contributed by AV, 9-Apr-2020.) $)
      initoeu2lem0 $p |- ( ( ( ph /\ ( A e. X /\ B e. X /\ D e. X ) )
                 /\ ( K e. ( B I A ) /\ F e. ( A H D ) /\ G e. ( B H D ) )
                 /\ ( ( F ( <. B , A >. .o. D ) K ) ( <. A , B >. .o. D )
                      ( ( B ( Inv ` C ) A ) ` K ) )
                    = ( G ( <. A , B >. .o. D ) ( ( B ( Inv ` C ) A ) ` K ) ) )
                           -> G = ( F ( <. B , A >. .o. D ) K ) ) $=
        ( wcel co w3a wa cop cinv cfv wceq 3simpa simp3 eqcomd eqid ccat adantr
        simpr1 simpr2 simplr3 ciso oveqi eleq2i biimpi 3ad2ant1 adantl 3ad2ant3
        chom wi isohom sseld com12 impcom 3ad2ant2 catcocl cco rcaninv sylc ) A
        BKSZCKSZEKSZUAZUBZJCBITZSZFBEHTZSZGCEHTZSZUAZFJCBUCELTTZJCBDUDUEZTUEZBC
        UCZELTZTZGWHWJTZUFZUAZVRWEUBZWLWKUFGWFUFVRWEWMUGWNWKWLVRWEWMUHUIWOKDWHJ
        GWFWGBCWJEOWGUJVRDUKSZWEAWPVQMULZULZVRVNWEAVNVOVPUMZULZVRVOWEAVNVOVPUNZ
        ULZVNVOVPAWEUOZWEJCBDUPUEZTZSZVRVTWBXFWDVTXFVSXEJIXDCBQUQURUSUTVAWEGCED
        VCUEZTZSZVRWDVTXIWBWDXIWCXHGHXGCEPUQURUSVBVAWOKDLJFXGCBEOXGUJZRWRXBWTXC
        WEVRJCBXGTZSZVTWBVRXLVDWDVRVTXLVRVSXKJVRKDXGICBOXJQWQXAWSVEVFVGUTVHWEFB
        EXGTZSZVRWBVTXNWDWBXNWAXMFHXGBEPUQURUSVIVAVJWHUJLDVKUEWIERUQVLVM $.

      $d D f $.  $d F f $.  $d G f $.  $d I f $.  $d K f $.  $d H f $.
      $d X f $.  $d .o. f $.
      $( Lemma 1 for ~ initoeu2 .  (Contributed by AV, 9-Apr-2020.) $)
      initoeu2lem1 $p |- ( ( ph /\ ( A e. X /\ B e. X /\ D e. X )
          /\ ( K e. ( B I A ) /\ ( F ( <. B , A >. .o. D ) K ) e. ( B H D ) ) )
               -> ( ( E! f f e. ( A H D ) /\ F e. ( A H D ) /\ G e. ( B H D ) )
                    -> G = ( F ( <. B , A >. .o. D ) K ) ) ) $=
        ( wi cv co wcel weu w3a cop wa wceq csn wex eusn cinv cfv eqid ad2antrr
        ccat simpr2 adantr simpr1 invf simpr ffvelrnd wss isohom sselda ad4antr
        simpr3 simplr catcocl exp31 imp eleq2 adantl cvv ovex elsng bitrd eqeq2
        mp1i eqcoms simp-4l simp-4r simprr simprl initoeu2lem0 syl131anc sylbid
        wb exp43 ex com23 com24 syld com25 mpd mpdan com15 impcom com13 expimpd
        3impia com12 exlimiv sylbi 3impib ) FUAZBEIUBZUCFUDZGXGUCZHCEIUBZUCZUEA
        BLUCZCLUCZELUCZUEZKCBJUBZUCZGKCBUFEMUBUBZXJUCZUGZUEZHXRUHZXHXIXKYAYBTZX
        HXGXFUIZUHZFUJXIXKUGZYCTZFXGUKYEYGFYEYFYCYAYEYFUGZYBAXOXTYHYBTZAXOUGZXQ
        XSYIYJXQUGZKCBDULUMZUBZUMZBCJUBZUCZXSYITYKXPYOKYMYKLDJYLCBPYLUNADUPUCZX
        OXQNUOYJXMXQAXLXMXNUQZURYJXLXQAXLXMXNUSZURRUTYJXQVAVBYHXSYKYPUGZYBYFYEX
        SYTYBTTZXIXKYEUUATYTXKYEXSXIYBYTYNBCIUBZUCZXKYEXSXIYBTZTTZTYKYOUUBYNYJY
        OUUBVCXQYJLDIJBCPQRAYQXONURZYSYRVDURVEYTUUCUGZXKUUEUUGXKUGZHYNBCUFEMUBZ
        UBZXGUCZUUEUUHLDMYNHIBCEPQSYJYQXQYPUUCXKUUFVFYJXLXQYPUUCXKYSVFYJXMXQYPU
        UCXKYRVFYJXNXQYPUUCXKAXLXMXNVGZVFYTUUCXKVHUUGXKVAVIUUGXKUUKUUETUUGXSUUK
        YEXKUUDUUGXSXRYNUUIUBZXGUCZUUKYEXKUUDTZTTZYTUUCXSUUNTZYJUUCUUQTXQYPYJUU
        CXSUUNYJUUCUGZXSUGLDMYNXRIBCEPQSYJYQUUCXSUUFUOYJXLUUCXSYSUOYJXMUUCXSYRU
        OYJXNUUCXSUULUOYJUUCXSVHUURXSVAVIVJUOVKYTUUNUUPTUUCYTYEUUKUUNUUOYTYEUUK
        UUNUUOTTYTYEUGZUUNUUKUUOUUSUUNUUMXFUHZUUKUUOTUUSUUNUUMYDUCZUUTYEUUNUVAW
        HYTXGYDUUMVLVMUUMVNUCUVAUUTWHUUSXRYNUUIVOUUMXFVNVPVSVQUUSUUKUUTUUOUUSUU
        KUUJXFUHZUUTUUOTZYEUUKUVBWHYTYEUUKUUJYDUCZUVBXGYDUUJVLUUJVNUCUVDUVBWHYE
        HYNUUIVOUUJXFVNVPVSVQVMYTUVBUVCTYEYTUVBUVCYTUVBUGUUTUUMUUJUHZUUOUVBUUTU
        VEWHZYTUVFXFUUJXFUUJUUMVRVTVMYTUVEUUOTUVBYTUVEXKXIYBYTUVEUGZXKXIUGZUGYJ
        XQXIXKUVEYBYJXQYPUVEUVHWAYJXQYPUVEUVHWBUVGXKXIWCUVGXKXIWDYTUVEUVHVHABCD
        EGHIJKLMNOPQRSWEWFWIURWGWJURWGWKWGWKWJWLURWMWNVKWOWJWPWQVKWRWSWPWTXAXBW
        JXCXDXEXB $.

      $d A f h $.  $d B h $.  $d D g h $.  $d F g h $.  $d H g h $.
      $d I g h $.  $d K g h $.  $d X g h $.  $d .o. g h $.  $d ph g h $.
      $( Lemma 2 for ~ initoeu2 .  (Contributed by AV, 10-Apr-2020.) $)
      initoeu2lem2 $p |- ( ( ph /\ ( A e. X /\ B e. X /\ D e. X )
                         /\ ( K e. ( B I A ) /\ F e. ( A H D )
                              /\ ( F ( <. B , A >. .o. D ) K ) e. ( B H D ) ) )
                         -> ( E! f f e. ( A H D ) -> E! g g e. ( B H D ) ) ) $=
        ( wcel vh w3a co cop cv weu wa wex wceq wal cvv ovex eleq1 spcegv com12
        wi mp1i 3ad2ant3 a1d adantr simpll1 simpll2 3simpb simplr simpl32 simpr
        3imp initoeu2lem1 imp syl33anc adantrr adantrl eqtr4d alrimivv sylanbrc
        ex eu4 ) ABLTCLTELTUBZKCBJUCTZHBEIUCZTZHKCBUDEMUCZUCZCEIUCZTZUBZUBZFUEV
        TTFUFZGUEZWDTZGUFZWGWHUGZWJGUHZWJUAUEZWDTZUGZWIWNUIZUPZUAUJGUJWKWGWMWHA
        VRWFWMAWFWMUPVRWFAWMWEVSAWMUPWAAWEWMWCUKTWEWMUPAHKWBULWJWEGWCUKWIWCWDUM
        UNUQUOURUOUSVGUTWLWRGUAWLWPWQWLWPUGWIWCWNWLWJWIWCUIZWOWLWJUGAVRVSWEUGZW
        HWAWJWSAVRWFWHWJVAAVRWFWHWJVBWLWTWJWGWTWHWFAWTVRVSWAWEVCURUTZUTWGWHWJVD
        WLWAWJVSWAWEAVRWHVEZUTWLWJVFAVRWTUBZWHWAWJUBWSABCDEFHWIIJKLMNOPQRSVHVIV
        JVKWLWOWNWCUIZWJWLWOUGAVRWTWHWAWOXDAVRWFWHWOVAAVRWFWHWOVBWLWTWOXAUTWGWH
        WOVDWLWAWOXBUTWLWOVFXCWHWAWOUBXDABCDEFHWNIJKLMNOPQRSVHVIVJVLVMVPVNWJWOG
        UAWIWNWDUMVQVOVP $.
    $}

    $d A f g h k $.  $d B f g h k $.  $d C h k $.  $d ph b f g h k $.
    $d a b $.
    initoeu2.i $e |- ( ph -> A ( ~=c ` C ) B ) $.
    $( Initial objects are essentially unique, if A is an initial object, then
       so is every object that is isomorphic to A. Proposition 7.3 (2) in
       [Adamek] p. 102.  (Contributed by AV, 10-Apr-2020.) $)
    initoeu2 $p |- ( ph -> B e. ( InitO ` C ) ) $=
      ( vb vf va vh cfv wcel wa cv co wi adantr ad2antrr ex ccic wbr cinito cbs
      vg vk ccat ciclcl cicrcl chom weu wral cicsym ciso wex eqid simprr simprl
      sylan cic isinitoi mpdan weq oveq2 eleq2d eubidv rspcva nfv eleq1w cbveuw
      euex simpr ad2antrl simprll isohom sselda cop cco catcocl simp-4l biimpri
      df-3an ad4antlr initoeu2lem2 syl113anc mpand com23 com15 expd com24 com12
      w3a exlimiv syl sylbi pm2.43i mpd adantld exlimdv sylbid ralrimiv isinito
      imp an32s mpbird mp2and ) ABCDUALZUBZCDUCLZMZGAXHNZBDUDLZMZCXLMZXJADUGMZX
      HXMEDBCUHUSAXOXHXNEDBCUIUSXKXMXNNZXJXKXPNZXJUEOCHOZDUJLZPZMUEUKZHXLULXQYA
      HXLAXPXHXRXLMZYAQZAXPNZXHNCBXGUBZYCYDXOXHYEAXOXPERZDBCUMUSYDYEYCQXHYDYEUF
      OZCBDUNLZPZMZUFUOYCYDXLDUFYHCBYHUPZXLUPZYFAXMXNUQAXMXNURUTYDYJYCUFAXPYJYC
      QZAXMIOZBJOZXSPZMZIUKZJXLULZNZXPYMQZABXIMYTFAXLDIXSBJYLXSUPZEVAVBAYSUUAXM
      YBYSXPYJAYAYBYSXPYJAYAQQZQZYBYSNYNBXRXSPZMZIUKZUUDYRUUGJXRXLJHVCZYQUUFIUU
      HYPUUEYNYOXRBXSVDVEVFVGYBUUGUUDQYSUUGYBUUDUUGYBUUDQZUUGKOZUUEMZKUKZUUGUUI
      QZUUFUUKIKUUFKVHUUKIVHIKUUEVIVJUULUUKKUOUUMUUKKVKUUKUUMKUUGUUKUUIUUGXPYBU
      UKUUCUUGXPYBUUKUUCQAXPYBNZUUKYJUUGYAAUUNUUKYJUUGYAQZQQAUUNNZYJUUKUUOUUPYJ
      UUKUUOQUUPYJNZYGCBXSPZMZUUKUUOUUPYIUURYGUUPXLDXSYHCBYLUUBYKAXOUUNERZXPXNA
      YBXMXNVLVMZAXMXNYBVNZVOVPUUQUUSUUKNZUUOUUQUVCNZUUJYGCBVQXRDVRLZPPXTMZUUOU
      VDXLDUVEYGUUJXSCBXRYLUUBUVEUPZUUPXOYJUVCUUTSUUPXNYJUVCUVASUUPXMYJUVCUVBSU
      UPYBYJUVCAXPYBUQSUUQUUSUUKURUUQUUSUUKUQZVSUVDUVFNAXMXNYBWLZYJUUKUVFUUOAUU
      NYJUVCUVFVTUUNUVIAYJUVCUVFUVIUUNXMXNYBWBWAWCUUQYJUVCUVFUUPYJVLSUVDUUKUVFU
      VHRUVDUVFVLABCDXRIUEUUJXSYHYGXLUVEEFYLUUBYKUVGWDWEVBTWFTWGTWHWIWJWKWMWNWO
      WPWKRWQTWHWRWQXCWSWTRWQXDXAXQXLDUEXSCHYLUUBAXOXHXPESXKXMXNUQXBXETXFVB $.
  $}

  ${
    $d A a g $.  $d A b f $.  $d B a g $.  $d B b f $.  $d C b f $.
    $d C a g $.  $d ph g f $.  $d a f $.  $d b g $.
    termoeu1.c $e |- ( ph -> C e. Cat ) $.
    termoeu1.a $e |- ( ph -> A e. ( TermO ` C ) ) $.
    ${
      termoeu1.b $e |- ( ph -> B e. ( TermO ` C ) ) $.
      $( Morphisms between two terminal objects are inverses.  (Contributed by
         AV, 18-Apr-2020.) $)
      2termoinv $p |- ( ( ph /\ G e. ( B ( Hom ` C ) A )
                             /\ F e. ( A ( Hom ` C ) B ) )
                        -> F ( A ( Inv ` C ) B ) G ) $=
        ( cfv co wcel wbr cop wceq eqid 3ad2ant1 termoo sylc catcocl chom csect
        w3a cinv cco ccid cbs ctermo simp3 simp2 csn termoid mpdan eleq2d elsni
        ccat syl6bi mpd issect2 mpbird wa wb isinv mpbir2and ) AFCBDUAJZKLZEBCV
        EKLZUCZEFBCDUDJZKMZEFBCDUBJZKMZFECBVKKMZVHVLFEBCNBDUEJZKKZBDUFJZJZOZVHV
        OBBVEKZLZVRVHDUGJZDVNEFVEBCBWAPZVEPZVNPZAVFDUPLZVGGQZAVFBWALZVGAWEBDUHJ
        ZLZWGGHDBRSZQZAVFCWALZVGAWECWHLZWLGIDCRSZQZWKAVFVGUIZAVFVGUJZTVHVTVOVQU
        KZLVRVHVSWRVOAVFVSWROZVGAWIWSHAWADVEBWBWCGULUMQUNVOVQUOUQURVHWADVKVNVPE
        FVEBCWBWCWDVPPZVKPZWFWKWOWPWQUSUTVHVMEFCBNCVNKKZCVPJZOZVHXBCCVEKZLZXDVH
        WADVNFEVECBCWBWCWDWFWOWKWOWQWPTVHXFXBXCUKZLXDVHXEXGXBAVFXEXGOZVGAWMXHIA
        WADVECWBWCGULUMQUNXBXCUOUQURVHWADVKVNVPFEVECBWBWCWDWTXAWFWOWKWQWPUSUTAV
        FVJVLVMVAVBVGAWADVKEFVIBCWBVIPGWJWNXAVCQVD $.

      $( Terminal objects are essentially unique (strong form), i.e. there is a
         _unique_ isomorphism between two terminal objects, see statement in
         [Lang] p. 58 ("... if P, P' are two universal objects [[...] then
         there exists a unique isomorphism between them.".  (Proposed by BJ,
         14-Apr-2020.)  (Contributed by AV, 18-Apr-2020.) $)
      termoeu1 $p |- ( ph -> E! f f e. ( A ( Iso ` C ) B ) ) $=
        ( va vg vb cfv wcel cv co weu wa eqid wi wex cbs chom wral ctermo mpdan
        ciso istermoi oveq1 eleq2d eubidv rspcv wss adantr simprl simprr isohom
        wceq ccat euex a1i rspcva ex ad2antll cinv ad2antrr 2termoinv ad4ant134
        syl wbr inviso1 eximdv expcom exlimiv com3l impd syl2and euelss syl3anc
        imp exp42 com24 com14 expd syldc com15 mpd ) ACDUALZMZENZINZCDUBLZOZMZE
        PZIWGUCZQZWIBCDUFLZOZMZEPZACDUDLZMWPHAWGDEWKCIWGRZWKRZFUGUEAWHWOWTABWGM
        ZJNZKNZBWKOZMZJPZKWGUCZQZWHWOWTSSZABXAMXKGAWGDJWKBKXBXCFUGUEAXDXJXLWOXD
        XJWHAWTXDWOWIBCWKOZMZEPZXJWHAWTSSZSWNXOIBWGWJBUQZWMXNEXQWLXMWIWJBCWKUHU
        IUJUKXDXOXJXPAXOXJQZWHXDWTAXDWHXRWTAXDWHXRWTAXDWHQZQZXRQWRXMULZWSETZXOW
        TXTYAXRXTWGDWKWQBCXBXCWQRZADURMZXSFUMZAXDWHUNZAXDWHUOZUPUMXTXRYBXTXOXNE
        TZXJXECBWKOZMZJTZYBXOYHSXTXNEUSUTWHXJYKSAXDWHXJYKWHXJQYJJPZYKXIYLKCWGXF
        CUQZXHYJJYMXGYIXEXFCBWKUHUIUJVAYJJUSVHVBVCXTYHYKYBYKXTYHYBYJXTYHYBSZSJX
        TYJYNXTYJQZXNWSEYOXNWSYOXNQWGDWIXEWQDVDLZBCXBYPRXTYDYJXNYEVEXTXDYJXNYFV
        EXTWHYJXNYGVEYCAYJXNWIXEBCYPOVIXSABCDWIXEFGHVFVGVJVBVKVLVMVNVOVPVSXTXOX
        JUNEWRXMVQVRVTWAWBWCWDWEVOWFVOWF $.

      $( Terminal objects are essentially unique (weak form), i.e. if A and B
         are terminal objects, then A and B are isomorphic.  Proposition 7.6 of
         [Adamek] p. 103.  (Contributed by AV, 18-Apr-2020.) $)
      termoeu1w $p |- ( ph -> A ( ~=c ` C ) B ) $=
        ( vf ccic cfv wbr cv ciso co wcel wex weu eqid termoo sylc termoeu1 syl
        euex cbs ccat ctermo cic mpbird ) ABCDIJKHLBCDMJZNOZHPZAUJHQUKABCDHEFGU
        AUJHUCUBADUDJZDHUIBCUIRULREADUEOZBDUFJZOBULOEFDBSTAUMCUNOCULOEGDCSTUGUH
        $.
    $}
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Arrows (disjointified hom-sets)
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $c domA $.
  $c codA $.
  $c Arrow $.
  $c HomA $.

  $( Extend class notation to include the domain extractor for an arrow. $)
  cdoma $a class domA $.

  $( Extend class notation to include the codomain extractor for an arrow. $)
  ccoda $a class codA $.

  $( Extend class notation to include the collection of all arrows of a
     category. $)
  carw $a class Arrow $.

  $( Extend class notation to include the set of all arrows with a specific
     domain and codomain. $)
  choma $a class HomA $.

  ${
    $d c x z B $.  $d c x z C $.  $d c z J $.  $d x z ph $.  $d z X $.
    $d z Y $.
    $( Definition of the domain extractor for an arrow.  (Contributed by FL,
       24-Oct-2007.)  (Revised by Mario Carneiro, 11-Jan-2017.) $)
    df-doma $a |- domA = ( 1st o. 1st ) $.

    $( Definition of the codomain extractor for an arrow.  (Contributed by FL,
       26-Oct-2007.)  (Revised by Mario Carneiro, 11-Jan-2017.) $)
    df-coda $a |- codA = ( 2nd o. 1st ) $.

    $( Definition of the hom-set extractor for arrows, which tags the morphisms
       of the underlying hom-set with domain and codomain, which can then be
       extracted using ~ df-doma and ~ df-coda .  (Contributed by FL,
       6-May-2007.)  (Revised by Mario Carneiro, 11-Jan-2017.) $)
    df-homa $a |- HomA = ( c e. Cat |-> ( x e. ( ( Base ` c ) X. ( Base ` c ) )
      |-> ( { x } X. ( ( Hom ` c ) ` x ) ) ) ) $.

    $( Definition of the set of arrows of a category.  We will use the term
       "arrow" to denote a morphism tagged with its domain and codomain, as
       opposed to ` Hom ` , which allows hom-sets for distinct objects to
       overlap.  (Contributed by Mario Carneiro, 11-Jan-2017.) $)
    df-arw $a |- Arrow = ( c e. Cat |-> U. ran ( HomA ` c ) ) $.

    homarcl.h $e |- H = ( HomA ` C ) $.
    $( Reverse closure for an arrow.  (Contributed by Mario Carneiro,
       11-Jan-2017.) $)
    homarcl $p |- ( F e. ( X H Y ) -> C e. Cat ) $=
      ( vc vx co wcel c0 wceq ccat n0i wn choma cfv cv cbs cxp csn chom df-homa
      cmpt fvmptndm eqtrid oveqd 0ov eqtrdi nsyl2 ) BDECIZJUKKLAMJZUKBNULOZUKDE
      KIKUMCKDEUMCAPQKFGMHGRZSQZUOTHRZUAUPUNUBQQTUDPAHGUCUEUFUGDEUHUIUJ $.

    homafval.b $e |- B = ( Base ` C ) $.
    homafval.c $e |- ( ph -> C e. Cat ) $.
    ${
      homafval.j $e |- J = ( Hom ` C ) $.
      $( Value of the disjointified hom-set function.  (Contributed by Mario
         Carneiro, 11-Jan-2017.) $)
      homafval $p |- ( ph -> H =
        ( x e. ( B X. B ) |-> ( { x } X. ( J ` x ) ) ) ) $=
        ( vc choma cfv cxp cv cmpt ccat wceq cbs chom csn fveq2 eqtr4di sqxpeqd
        wcel fveq1d xpeq2d mpteq12dv df-homa fvexi xpex mptex fvmpt syl eqtrid
        ) AEDLMZBCCNZBOZUAZURFMZNZPZGADQUEUPVBRIKDBKOZSMZVDNZUSURVCTMZMZNZPVBQL
        VCDRZBVEVHUQVAVIVDCVIVDDSMCVCDSUBHUCUDVIVGUTUSVIURVFFVIVFDTMFVCDTUBJUCU
        FUGUHBKUIBUQVACCCDSHUJZVJUKULUMUNUO $.
    $}

    $( Functionality of the disjointified hom-set function.  (Contributed by
       Mario Carneiro, 11-Jan-2017.) $)
    homaf $p |- ( ph -> H : ( B X. B ) --> ~P ( ( B X. B ) X. _V ) ) $=
      ( vx cxp cv csn chom cfv cvv cpw eqid homafval wcel wa wss adantl sylancl
      snssi ssv xpss12 snex fvex xpex elpw sylibr fmpt3d ) AHBBIZHJZKZUMCLMZMZI
      ZULNIZOZDAHBCDUOEFGUOPQAUMULRZSZUQURTZUQUSRVAUNULTZUPNTVBUTVCAUMULUCUAUPU
      DUNULUPNUEUBUQURUNUPUMUFUMUOUGUHUIUJUK $.

    homaval.j $e |- J = ( Hom ` C ) $.
    homaval.x $e |- ( ph -> X e. B ) $.
    homaval.y $e |- ( ph -> Y e. B ) $.
    $( Value of the disjointified hom-set function.  (Contributed by Mario
       Carneiro, 11-Jan-2017.) $)
    homaval $p |- ( ph -> ( X H Y ) = ( { <. X , Y >. } X. ( X J Y ) ) ) $=
      ( vz co cfv csn cxp df-ov cvv cop cv homafval wceq wa simpr sneqd eqtr4di
      fveq2d xpeq12d opelxpd wcel snex ovex xpex a1i fvmptd eqtrid ) AFGDOFGUAZ
      DPUSQZFGEOZRZFGDSANUSNUBZQZVCEPZRVBBBRDTANBCDEHIJKUCAVCUSUDZUEZVDUTVEVAVG
      VCUSAVFUFZUGVGVEUSEPVAVGVCUSEVHUIFGESUHUJAFGBBLMUKVBTULAUTVAUSUMFGEUNUOUP
      UQUR $.

    $( Value of the disjointified hom-set function.  (Contributed by Mario
       Carneiro, 11-Jan-2017.) $)
    elhoma $p |- ( ph -> ( Z ( X H Y ) F <->
      ( Z = <. X , Y >. /\ F e. ( X J Y ) ) ) ) $=
      ( co wbr cop wcel wa csn wceq homaval breqd brxp opex elsn2 anbi1i bitrdi
      cxp bitri ) AIDGHEPZQIDGHRZUAZGHFPZUJZQZIUMUBZDUOSZTZAULUPIDABCEFGHJKLMNO
      UCUDUQIUNSZUSTUTIDUNUOUEVAURUSIUMGHUFUGUHUKUI $.

    elhomai.f $e |- ( ph -> F e. ( X J Y ) ) $.
    $( Produce an arrow from a morphism.  (Contributed by Mario Carneiro,
       11-Jan-2017.) $)
    elhomai $p |- ( ph -> <. X , Y >. ( X H Y ) F ) $=
      ( cop co wbr wceq wcel eqidd elhoma mpbir2and ) AGHPZDGHEQRUDUDSDGHFQTAUD
      UAOABCDEFGHUDIJKLMNUBUC $.

    $( Produce an arrow from a morphism.  (Contributed by Mario Carneiro,
       11-Jan-2017.) $)
    elhomai2 $p |- ( ph -> <. X , Y , F >. e. ( X H Y ) ) $=
      ( cotp cop co df-ot wbr wcel elhomai df-br sylib eqeltrid ) AGHDPGHQZDQZG
      HERZGHDSAUFDUHTUGUHUAABCDEFGHIJKLMNOUBUFDUHUCUDUE $.
  $}

  ${
    $d f H $.  $d f X $.  $d f Y $.
    homahom.h $e |- H = ( HomA ` C ) $.
    ${
      homarcl2.b $e |- B = ( Base ` C ) $.
      $( Reverse closure for the domain and codomain of an arrow.  (Contributed
         by Mario Carneiro, 11-Jan-2017.) $)
      homarcl2 $p |- ( F e. ( X H Y ) -> ( X e. B /\ Y e. B ) ) $=
        ( co wcel cop cxp wa cdm cfv elfvdm df-ov eleq2s cvv cpw homarcl opelxp
        homaf fdmd eleqtrd sylib ) CEFDIZJZEFKZAALZJEAJFAJMUHUIDNZUJUIUKJCUIDOU
        GCUIDPEFDQRUHUJUJSLTDUHABDGHBCDEFGUAUCUDUEEFAAUBUF $.
    $}

    $( An arrow is an ordered pair.  (Contributed by Mario Carneiro,
       11-Jan-2017.) $)
    homarel $p |- Rel ( X H Y ) $=
      ( vf co wrel cvv cxp wss cv wcel cbs cfv xpss cpw eqid homarcl homaf
      homarcl2 simpld simprd fovrnd elelpwi mpdan sselid ssriv df-rel mpbir ) C
      DBGZHUKIIJZKFUKULFLZUKMZANOZUOJZIJZULUMUPIPUNUKUQQZMUMUQMUNCDURUOUOBUNUOA
      BEUORZAUMBCDESTUNCUOMZDUOMZUOAUMBCDEUSUAZUBUNUTVAVBUCUDUMUKUQUEUFUGUHUKUI
      UJ $.

    $( The first component of an arrow is the ordered pair of domain and
       codomain.  (Contributed by Mario Carneiro, 11-Jan-2017.) $)
    homa1 $p |- ( Z ( X H Y ) F -> Z = <. X , Y >. ) $=
      ( co wbr cop wceq chom cfv wcel wa wb df-br cbs eqid simpld simprd elhoma
      homarcl homarcl2 sylbi ibi ) FBDECHZIZFDEJKZBDEALMZHNZUHUIUKOZUHFBJZUGNZU
      HULPFBUGQUNARMZABCUJDEFGUOSZAUMCDEGUCUJSUNDUONZEUONZUOAUMCDEGUPUDZTUNUQUR
      USUAUBUEUFT $.

    ${
      homahom.j $e |- J = ( Hom ` C ) $.
      $( The second component of an arrow is the corresponding morphism
         (without the domain/codomain tag).  (Contributed by Mario Carneiro,
         11-Jan-2017.) $)
      homahom2 $p |- ( Z ( X H Y ) F -> F e. ( X J Y ) ) $=
        ( co wbr cop wceq wcel wa wb df-br cbs cfv simprd eqid homarcl homarcl2
        simpld elhoma sylbi ibi ) GBEFCJZKZGEFLMZBEFDJNZUIUJUKOZUIGBLZUHNZUIULP
        GBUHQUNARSZABCDEFGHUOUAZAUMCEFHUBIUNEUONZFUONZUOAUMCEFHUPUCZUDUNUQURUST
        UEUFUGT $.

      $( The second component of an arrow is the corresponding morphism
         (without the domain/codomain tag).  (Contributed by Mario Carneiro,
         11-Jan-2017.) $)
      homahom $p |- ( F e. ( X H Y ) -> ( 2nd ` F ) e. ( X J Y ) ) $=
        ( co wcel c1st cfv c2nd wbr wrel homarel 1st2ndbr mpan homahom2 syl ) B
        EFCIZJZBKLZBMLZUANZUDEFDIJUAOUBUEACEFGPBUAQRAUDCDEFUCGHST $.
    $}

    $( The domain of an arrow with known domain and codomain.  (Contributed by
       Mario Carneiro, 11-Jan-2017.) $)
    homadm $p |- ( F e. ( X H Y ) -> ( domA ` F ) = X ) $=
      ( co wcel cdoma cfv c1st cop ccom df-doma fveq1i cvv wf wceq wfo syl elex
      fo1st fof ax-mp fvco3 sylancr eqtrid c2nd wbr wrel homarel 1st2ndbr homa1
      mpan fveq2d cbs wa eqid homarcl2 op1stg 3eqtrd ) BDECGZHZBIJZBKJZKJZDELZK
      JZDVCVDBKKMZJZVFBIVINOVCPPKQZBPHVJVFRPPKSVKUBPPKUCUDBVBUAPPBKKUEUFUGVCVEV
      GKVCVEBUHJZVBUIZVEVGRVBUJVCVMACDEFUKBVBULUNAVLCDEVEFUMTUOVCDAUPJZHEVNHUQV
      HDRVNABCDEFVNURUSDEVNVNUTTVA $.

    $( The codomain of an arrow with known domain and codomain.  (Contributed
       by Mario Carneiro, 11-Jan-2017.) $)
    homacd $p |- ( F e. ( X H Y ) -> ( codA ` F ) = Y ) $=
      ( co wcel ccoda cfv c1st c2nd cop ccom df-coda fveq1i cvv wf wceq syl wfo
      fo1st fof ax-mp elex fvco3 sylancr eqtrid wbr wrel homarel 1st2ndbr homa1
      mpan fveq2d cbs wa eqid homarcl2 op2ndg 3eqtrd ) BDECGZHZBIJZBKJZLJZDEMZL
      JZEVCVDBLKNZJZVFBIVIOPVCQQKRZBQHVJVFSQQKUAVKUBQQKUCUDBVBUEQQBLKUFUGUHVCVE
      VGLVCVEBLJZVBUIZVEVGSVBUJVCVMACDEFUKBVBULUNAVLCDEVEFUMTUOVCDAUPJZHEVNHUQV
      HESVNABCDEFVNURUSDEVNVNUTTVA $.

    $( Decompose an arrow into domain, codomain, and morphism.  (Contributed by
       Mario Carneiro, 11-Jan-2017.) $)
    homadmcd $p |- ( F e. ( X H Y ) -> F = <. X , Y , ( 2nd ` F ) >. ) $=
      ( wcel cop c2nd cfv cotp c1st wrel wceq homarel 1st2nd mpan wbr 1st2ndbr
      co homa1 syl opeq1d eqtrd df-ot eqtr4di ) BDECTZGZBDEHZBIJZHZDEUJKUHBBLJZ
      UJHZUKUGMZUHBUMNACDEFOZBUGPQUHULUIUJUHULUJUGRZULUINUNUHUPUOBUGSQAUJCDEULF
      UAUBUCUDDEUJUEUF $.
  $}

  ${
    $d c x $.  $d c C $.  $d c H $.
    arwval.a $e |- A = ( Arrow ` C ) $.
    arwval.h $e |- H = ( HomA ` C ) $.
    $( The set of arrows is the union of all the disjointified hom-sets.
       (Contributed by Mario Carneiro, 11-Jan-2017.) $)
    arwval $p |- A = U. ran H $=
      ( vc vx carw cfv crn cuni ccat wceq cv choma rneqd unieqd c0 fvmptndm cxp
      wcel fveq2 eqtr4di df-arw fvexi rnex uniex fvmpt wn cbs chom cmpt df-homa
      csn eqtrid rn0 eqtrdi uni0 eqtr4d pm2.61i eqtri ) ABHIZCJZKZDBLUAZVBVDMFB
      FNZOIZJZKZVDLHVFBMZVHVCVJVGCVJVGBOIZCVFBOUBEUCPQFUDZVCCCBOEUEUFUGUHVEUIZV
      BRVDFLVIHBVLSVMVDRKRVMVCRVMVCRJRVMCRVMCVKREFLGVFUJIZVNTGNZUNVOVFUKIITULOB
      GFUMSUOPUPUQQURUQUSUTVA $.
  $}

  ${
    $d x A $.  $d x B $.  $d x y z C $.  $d x y z F $.  $d x y z H $.
    arwrcl.a $e |- A = ( Arrow ` C ) $.
    $( The first component of an arrow is the ordered pair of domain and
       codomain.  (Contributed by Mario Carneiro, 11-Jan-2017.) $)
    arwrcl $p |- ( F e. A -> C e. Cat ) $=
      ( vc wcel carw cdm ccat cv choma cfv crn cuni df-arw elfvdm eleq2s sselid
      dmmptss ) CAFGHZIBEIEJKLMNGEOSBTFCBGLACBGPDQR $.

    ${
      arwhoma.h $e |- H = ( HomA ` C ) $.
      $( An arrow is contained in the hom-set corresponding to its domain and
         codomain.  (Contributed by Mario Carneiro, 11-Jan-2017.) $)
      arwhoma $p |- ( F e. A -> F e. ( ( domA ` F ) H ( codA ` F ) ) ) $=
        ( vx vy vz wcel cv co cbs cfv wrex cdoma ccoda cxp crn rexlimivw arwval
        cuni eleq2i biimpi cvv cpw wf wfn wb eqid arwrcl homaf ffn fnunirn 3syl
        mpbid cop wceq fveq2 df-ov eqtr4di eleq2d rexxp sylib id homadm oveq12d
        homacd eleqtrrd syl ) CAJZCGKZHKZDLZJZHBMNZOZGVPOZCCPNZCQNZDLZJZVKCIKZD
        NZJZIVPVPRZOZVRVKCDSUBZJZWGVKWIAWHCABDEFUAUCUDVKWFWFUERUFZDUGDWFUHWIWGU
        IVKVPBDFVPUJABCEUKULWFWJDUMICDWFUNUOUPWEVOIGHVPVPWCVLVMUQZURZWDVNCWLWDW
        KDNVNWCWKDUSVLVMDUTVAVBVCVDVQWBGVPVOWBHVPVOCVNWAVOVEVOVSVLVTVMDBCDVLVMF
        VFBCDVLVMFVHVGVITTVJ $.

      $( A hom-set is a subset of the collection of all arrows.  (Contributed
         by Mario Carneiro, 11-Jan-2017.) $)
      homarw $p |- ( X H Y ) C_ A $=
        ( co crn cuni ovssunirn arwval sseqtrri ) DECHCIJACDEKABCFGLM $.
    $}

    ${
      arwdm.b $e |- B = ( Base ` C ) $.
      $( The domain of an arrow is an object.  (Contributed by Mario Carneiro,
         11-Jan-2017.) $)
      arwdm $p |- ( F e. A -> ( domA ` F ) e. B ) $=
        ( wcel cdoma cfv ccoda choma co wa eqid arwhoma homarcl2 syl simpld ) D
        AGZDHIZBGZDJIZBGZSDTUBCKIZLGUAUCMACDUDEUDNZOBCDUDTUBUEFPQR $.

      $( The codomain of an arrow is an object.  (Contributed by Mario
         Carneiro, 11-Jan-2017.) $)
      arwcd $p |- ( F e. A -> ( codA ` F ) e. B ) $=
        ( wcel cdoma cfv ccoda choma co wa eqid arwhoma homarcl2 syl simprd ) D
        AGZDHIZBGZDJIZBGZSDTUBCKIZLGUAUCMACDUDEUDNZOBCDUDTUBUEFPQR $.

      $( The domain function is a function from arrows to objects.
         (Contributed by Mario Carneiro, 11-Jan-2017.) $)
      dmaf $p |- ( domA |` A ) : A --> B $=
        ( vx cdoma cres wf wfn cv cfv wcel wral cvv wss c1st fo1st ax-mp mp2an
        ccom wfo fof fnfco df-doma fneq1i mpbir ssv fnssres fvres arwdm eqeltrd
        fofn rgen ffnfv mpbir2an ) ABGAHZIUQAJZFKZUQLZBMZFANGOJZAOPURVBQQUAZOJZ
        QOJZOOQIZVDOOQUBZVEROOQUMSVGVFROOQUCSOOQQUDTOGVCUEUFUGAUHOAGUITVAFAUSAM
        UTUSGLBUSAGUJABCUSDEUKULUNFABUQUOUP $.

      $( The codomain function is a function from arrows to objects.
         (Contributed by Mario Carneiro, 11-Jan-2017.) $)
      cdaf $p |- ( codA |` A ) : A --> B $=
        ( vx ccoda cres wf wfn cv cfv wcel wral cvv c2nd c1st wfo ax-mp mp2an
        wss ccom fo2nd fo1st fof fnfco df-coda fneq1i mpbir fnssres fvres arwcd
        fofn ssv eqeltrd rgen ffnfv mpbir2an ) ABGAHZIUSAJZFKZUSLZBMZFANGOJZAOU
        AUTVDPQUBZOJZPOJZOOQIZVFOOPRVGUCOOPUMSOOQRVHUDOOQUESOOPQUFTOGVEUGUHUIAU
        NOAGUJTVCFAVAAMVBVAGLBVAAGUKABCVADEULUOUPFABUSUQUR $.
    $}

    ${
      arwhom.j $e |- J = ( Hom ` C ) $.
      $( The second component of an arrow is the corresponding morphism
         (without the domain/codomain tag).  (Contributed by Mario Carneiro,
         11-Jan-2017.) $)
      arwhom $p |- ( F e. A ->
        ( 2nd ` F ) e. ( ( domA ` F ) J ( codA ` F ) ) ) $=
        ( wcel cdoma cfv ccoda choma co c2nd eqid arwhoma homahom syl ) CAGCCHI
        ZCJIZBKIZLGCMIRSDLGABCTETNZOBCTDRSUAFPQ $.
    $}

    $( Decompose an arrow into domain, codomain, and morphism.  (Contributed by
       Mario Carneiro, 11-Jan-2017.) $)
    arwdmcd $p |- ( F e. A -> F =
      <. ( domA ` F ) , ( codA ` F ) , ( 2nd ` F ) >. ) $=
      ( wcel cdoma cfv ccoda choma co c2nd cotp wceq eqid arwhoma homadmcd syl
      ) CAECCFGZCHGZBIGZJECRSCKGLMABCTDTNZOBCTRSUAPQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Identity and composition for arrows
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c IdA $.
  $c compA $.

  $( Extend class notation to include identity for arrows. $)
  cida $a class IdA $.

  $( Extend class notation to include composition for arrows. $)
  ccoa $a class compA $.

  ${
    $d c f g h x $.
    $( Definition of the identity arrow, which is just the identity morphism
       tagged with its domain and codomain.  (Contributed by FL, 26-Oct-2007.)
       (Revised by Mario Carneiro, 11-Jan-2017.) $)
    df-ida $a |- IdA = ( c e. Cat |-> ( x e. ( Base ` c ) |->
      <. x , x , ( ( Id ` c ) ` x ) >. ) ) $.

    $( Definition of the composition of arrows.  Since arrows are tagged with
       domain and codomain, this does not need to be a quinary operation like
       the regular composition in a category ` comp ` .  Instead, it is a
       partial binary operation on arrows, which is defined when the domain of
       the first arrow matches the codomain of the second.  (Contributed by
       Mario Carneiro, 11-Jan-2017.) $)
    df-coa $a |- compA = ( c e. Cat |-> ( g e. ( Arrow ` c ) , f e.
      { h e. ( Arrow ` c ) | ( codA ` h ) = ( domA ` g ) } |->
      <. ( domA ` f ) , ( codA ` g ) , ( ( 2nd ` g ) ( <. ( domA ` f ) ,
        ( domA ` g ) >. ( comp ` c ) ( codA ` g ) ) ( 2nd ` f ) ) >. ) ) $.
  $}

  ${
    $d c x .1. $.  $d x A $.  $d c x B $.  $d c x C $.  $d x I $.  $d x ph $.
    $d x X $.
    idafval.i $e |- I = ( IdA ` C ) $.
    idafval.b $e |- B = ( Base ` C ) $.
    idafval.c $e |- ( ph -> C e. Cat ) $.
    ${
      idafval.1 $e |- .1. = ( Id ` C ) $.
      $( Value of the identity arrow function.  (Contributed by Mario Carneiro,
         11-Jan-2017.) $)
      idafval $p |- ( ph -> I = ( x e. B |-> <. x , x , ( .1. ` x ) >. ) ) $=
        ( vc cida cfv cv cotp cmpt ccat wceq cbs ccid wcel fveq2 eqtr4di fveq1d
        oteq3d mpteq12dv df-ida mptfvmpt syl eqtrid ) AFDLMZBCBNZULULEMZOZPZGAD
        QUAUKUORIBKUNSLBKNZSMZULULULUPTMZMZOZPCQDDUPDRZBUQUTCUNVAUQDSMCUPDSUBHU
        CVAUSUMULULVAULUREVAURDTMEUPDTUBJUCUDUEUFBKUGHUHUIUJ $.

      idaval.x $e |- ( ph -> X e. B ) $.
      $( Value of the identity arrow function.  (Contributed by Mario Carneiro,
         11-Jan-2017.) $)
      idaval $p |- ( ph -> ( I ` X ) = <. X , X , ( .1. ` X ) >. ) $=
        ( vx cv cfv cotp cvv idafval wceq wa simpr fveq2d oteq123d wcel fvmptd
        otex a1i ) ALFLMZUGUGDNZOFFFDNZOZBEPALBCDEGHIJQAUGFRZSZUGFUGFUHUIAUKTZU
        MULUGFDUMUAUBKUJPUCAFFUIUEUFUD $.

      $( Morphism part of the identity arrow.  (Contributed by Mario Carneiro,
         11-Jan-2017.) $)
      ida2 $p |- ( ph -> ( 2nd ` ( I ` X ) ) = ( .1. ` X ) ) $=
        ( cfv c2nd cotp idaval fveq2d cvv wcel wceq fvex ot3rdg ax-mp eqtrdi )
        AFELZMLFFFDLZNZMLZUEAUDUFMABCDEFGHIJKOPUEQRUGUESFDTFFUEQUAUBUC $.
    $}

    ${
      idahom.x $e |- ( ph -> X e. B ) $.
      ${
        idahom.h $e |- H = ( HomA ` C ) $.
        $( Domain and codomain of the identity arrow.  (Contributed by Mario
           Carneiro, 11-Jan-2017.) $)
        idahom $p |- ( ph -> ( I ` X ) e. ( X H X ) ) $=
          ( cfv ccid cotp co eqid idaval chom catidcl elhomai2 eqeltrd ) AFELFF
          FCMLZLZNFFDOABCUBEFGHIUBPZJQABCUCDCRLZFFKHIUEPZJJABCUBUEFHUFUDIJSTUA
          $.
      $}

      $( Domain of the identity arrow.  (Contributed by Mario Carneiro,
         11-Jan-2017.) $)
      idadm $p |- ( ph -> ( domA ` ( I ` X ) ) = X ) $=
        ( cfv choma co wcel cdoma wceq eqid idahom homadm syl ) AEDJZEECKJZLMTN
        JEOABCUADEFGHIUAPZQCTUAEEUBRS $.

      $( Codomain of the identity arrow.  (Contributed by Mario Carneiro,
         11-Jan-2017.) $)
      idacd $p |- ( ph -> ( codA ` ( I ` X ) ) = X ) $=
        ( cfv choma co wcel ccoda wceq eqid idahom homacd syl ) AEDJZEECKJZLMTN
        JEOABCUADEFGHIUAPZQCTUAEEUBRS $.
    $}

    idaf.a $e |- A = ( Arrow ` C ) $.
    $( The identity arrow function is a function from objects to arrows.
       (Contributed by Mario Carneiro, 11-Jan-2017.) $)
    idaf $p |- ( ph -> I : B --> A ) $=
      ( vx cv ccid cfv cotp cvv wcel wa otex a1i eqid idafval choma homarw ccat
      co adantr simpr idahom sselid fmpt2d ) AJJCJKZUKUKDLMZMZNZBEOUNOPAUKCPZQZ
      UKUKUMRSAJCDULEFGHULTUAUPUKUKDUBMZUEBUKEMBDUQUKUKIUQTZUCUPCDUQEUKFGADUDPU
      OHUFAUOUGURUHUIUJ $.
  $}

  ${
    $d c f g h A $.  $d c f g h C $.  $d g h F $.  $d g h G $.  $d c .xb $.
    coafval.o $e |- .x. = ( compA ` C ) $.
    coafval.a $e |- A = ( Arrow ` C ) $.
    ${
      coafval.x $e |- .xb = ( comp ` C ) $.
      $( The value of the composition of arrows.  (Contributed by Mario
         Carneiro, 11-Jan-2017.) $)
      coafval $p |- .x. = ( g e. A , f e.
        { h e. A | ( codA ` h ) = ( domA ` g ) } |->
        <. ( domA ` f ) , ( codA ` g ) , ( ( 2nd ` g ) ( <. ( domA ` f ) ,
          ( domA ` g ) >. .xb ( codA ` g ) ) ( 2nd ` f ) ) >. ) $=
        ( vc ccoa cfv cv wceq co cmpo ccat carw c0 ccoda crab c2nd cop cotp cco
        cdoma fveq2 eqtr4di rabeqdv oveqd oteq3d df-coa fvexi rabex mpoex fvmpt
        wcel mpoeq123dv fvmptndm arwrcl con3i eq0rdv mpo0 eqtrdi eqtr4d pm2.61i
        wn eqidd eqtri ) DBLMZFEAGNUAMFNZUGMZOZGAUBZENZUGMZVLUAMZVLUCMZVPUCMZVQ
        VMUDZVRCPZPZUEZQZHBRURZVKWEOKBFEKNZSMZVNGWHUBZVQVRVSVTWAVRWGUFMZPZPZUEZ
        QZWERLWGBOZFEWHWIWMAVOWDWOWHBSMAWGBSUHIUIZWOVNGWHAWPUJWOWLWCVQVRWOWKWBV
        SVTWOWJCWAVRWOWJBUFMCWGBUFUHJUIUKUKULUSEFGKUMZFEAVOWDABSIUNZVNGAWRUOUPU
        QWFVHZVKTWEKRWNLBWQUTWSWEFETVOWDQTWSFEAVOWDTVOWDWSEAVPAURWFABVPIVAVBVCW
        SVOVIWSWDVIUSFEVOWDVDVEVFVGVJ $.
    $}

    $( A pair ` <. G , F >. ` is in the domain of the arrow composition, if the
       domain of ` G ` equals the codomain of ` F ` .  (In this case we say
       ` G ` and ` F ` are composable.)  (Contributed by Mario Carneiro,
       11-Jan-2017.) $)
    eldmcoa $p |- ( G dom .x. F <->
      ( F e. A /\ G e. A /\ ( codA ` F ) = ( domA ` G ) ) ) $=
      ( vg vh vf cop wcel cv ccoda cfv cdoma wceq crab cvv wa cdm wbr csn df-br
      cxp ciun w3a c2nd cco co cotp wral wf otex rgen2w eqid coafval fmpox mpbi
      eleq2i fveq2 eqeq2d rabbidv opeliunxp2 fveqeq2 elrab anbi2i 3anass bitr4i
      fdmi an12 3bitri ) EDCUAZUBEDKZVMLVNHAHMZUCIMZNOZVOPOZQZIARZUEUFZLZDALZEA
      LZDNOEPOZQZUGZEDVMUDVMWAVNWASCJMZPOZVONOZVOUHOWHUHOWIVRKWJBUIOZUJUJZUKZSL
      ZJVTULHAULWASCUMWNHJAVTWIWJWLUNUOHJAVTWMSCABWKCJHIFGWKUPUQURUSVJUTWBWDDVQ
      WEQZIARZLZTWDWCWFTZTZWGHAVTEDWPVOEQZVSWOIAWTVRWEVQVOEPVAVBVCVDWQWRWDWOWFI
      DAVPDWENVEVFVGWSWCWDWFTTWGWDWCWFVKWCWDWFVHVIVLVL $.

    $( The domain of composition is a collection of pairs of arrows.
       (Contributed by Mario Carneiro, 11-Jan-2017.) $)
    dmcoass $p |- dom .x. C_ ( A X. A ) $=
      ( vg vh vf cdm cv csn ccoda cfv cdoma wceq crab cxp c2nd co wss ciun cotp
      cop eqid coafval dmmpossx iunss snssi ssrab2 xpss12 sylancl mprgbir sstri
      cco wcel ) CIFAFJZKZGJLMUPNMZOZGAPZQZUAZAAQZFHAUTHJZNMZUPLMZUPRMVDRMVEURU
      CVFBUNMZSSUBCABVGCHFGDEVGUDUEUFVBVCTVAVCTZFAFAVAVCUGUPAUOUQATUTATVHUPAUHU
      SGAUIUQAUTAUJUKULUM $.
  $}

  ${
    $d f g G $.  $d f g ph $.  $d f g X $.  $d f g Y $.  $d f g h C $.
    $d f g h F $.  $d f g .xb $.  $d f g Z $.
    homdmcoa.o $e |- .x. = ( compA ` C ) $.
    homdmcoa.h $e |- H = ( HomA ` C ) $.
    homdmcoa.f $e |- ( ph -> F e. ( X H Y ) ) $.
    homdmcoa.g $e |- ( ph -> G e. ( Y H Z ) ) $.
    $( If ` F : X --> Y ` and ` G : Y --> Z ` , then ` G ` and ` F ` are
       composable.  (Contributed by Mario Carneiro, 11-Jan-2017.) $)
    homdmcoa $p |- ( ph -> G dom .x. F ) $=
      ( cfv wcel wceq co homarw sselid syl carw ccoda cdoma cdm wbr eqid homacd
      homadm eqtr4d eldmcoa syl3anbrc ) ADBUANZOEULODUBNZEUCNZPEDCUDUEAGHFQZULD
      ULBFGHULUFZKRLSAHIFQZULEULBFHIUPKRMSAUMHUNADUOOUMHPLBDFGHKUGTAEUQOUNHPMBE
      FHIKUHTUIULBCDEJUPUJUK $.

    ${
      coaval.x $e |- .xb = ( comp ` C ) $.
      $( Value of composition for composable arrows.  (Contributed by Mario
         Carneiro, 11-Jan-2017.) $)
      coaval $p |- ( ph -> ( G .x. F ) =
        <. X , Z , ( ( 2nd ` G ) ( <. X , Y >. .xb Z ) ( 2nd ` F ) ) >. ) $=
        ( cfv ccoda cdoma wceq co vg vf vh carw cv crab c2nd cop cotp cmpo eqid
        coafval homarw sselid wa fveqeq2 wcel adantr homacd simpr fveq2d homadm
        cvv syl eqtrd eqtr4d elrabd a1i simprr adantrr opeq12d oveq12d oveq123d
        otex simprl oteq123d ovmpodv2 mpi ) ADUAUBBUDPZUCUEZQPUAUEZRPZSZUCVSUFZ
        UBUEZRPZWAQPZWAUGPZWEUGPZWFWBUHZWGCTZTZUIZUJSFEDTHJFUGPZEUGPZHIUHZJCTZT
        ZUIZSVSBCDUBUAUCKVSUKZOULAUAUBFEVSWDWMWSDVCAIJGTZVSFVSBGIJWTLUMNUNAWAFS
        ZUOZWCEQPZWBSUCEVSVTEWBQUPXCHIGTZVSEVSBGHIWTLUMAEXEUQZXBMURZUNXCXDIWBXC
        XFXDISXGBEGHILUSVDXCWBFRPZIXCWAFRAXBUTZVAXCFXAUQZXHISAXJXBNURZBFGIJLVBV
        DVEZVFVGWMVCUQAXBWEESZUOUOZWFWGWLVNVHXNWFHWGJWLWRXNWFERPZHXNWEERAXBXMVI
        ZVAAXBXOHSZXMXCXFXQXGBEGHILVBVDVJVEZAXBWGJSXMXCWGFQPZJXCWAFQXIVAXCXJXSJ
        SXKBFGIJLUSVDVEVJZXNWHWNWIWOWKWQXNWJWPWGJCXNWFHWBIXRAXBWBISXMXLVJVKXTVL
        XNWAFUGAXBXMVOVAXNWEEUGXPVAVMVPVQVR $.

      $( The morphism part of arrow composition.  (Contributed by Mario
         Carneiro, 11-Jan-2017.) $)
      coa2 $p |- ( ph -> ( 2nd ` ( G .x. F ) ) =
        ( ( 2nd ` G ) ( <. X , Y >. .xb Z ) ( 2nd ` F ) ) ) $=
        ( co c2nd cfv cop cvv cotp coaval fveq2d wcel wceq ot3rdg ax-mp eqtrdi
        ovex ) AFEDPZQRHJFQRZEQRZHISJCPZPZUAZQRZUNAUJUOQABCDEFGHIJKLMNOUBUCUNTU
        DUPUNUEUKULUMUIHJUNTUFUGUH $.
    $}

    $( The composition of two composable arrows is an arrow.  (Contributed by
       Mario Carneiro, 11-Jan-2017.) $)
    coahom $p |- ( ph -> ( G .x. F ) e. ( X H Z ) ) $=
      ( co c2nd cfv eqid wcel syl wa cop cco cotp coaval cbs chom ccat homarcl2
      homarcl simpld simprd homahom catcocl elhomai2 eqeltrd ) AEDCNGIEOPZDOPZG
      HUAIBUBPZNNZUCGIFNABURCDEFGHIJKLMURQZUDABUEPZBUSFBUFPZGIKVAQZADGHFNRZBUGR
      LBDFGHKUISZVBQZAGVARZHVARZAVDVGVHTLVABDFGHKVCUHSZUJZAVHIVARZAEHIFNRZVHVKT
      MVABEFHIKVCUHSUKZAVABURUQUPVBGHIVCVFUTVEVJAVGVHVIUKVMAVDUQGHVBNRLBDFVBGHK
      VFULSAVLUPHIVBNRMBEFVBHIKVFULSUMUNUO $.
  $}

  ${
    $d f g h z A $.  $d f g h C $.  $d z .x. $.
    coapm.o $e |- .x. = ( compA ` C ) $.
    coapm.a $e |- A = ( Arrow ` C ) $.
    $( Composition of arrows is a partial binary operation on arrows.
       (Contributed by Mario Carneiro, 11-Jan-2017.) $)
    coapm $p |- .x. e. ( A ^pm ( A X. A ) ) $=
      ( vz vg vf vh co wcel cv cfv ccoda cdoma wceq c2nd cop eqid syl wral wfun
      cxp cpm cdm wf wss wfn crab cco cotp coafval mpofun funfn mpbi c1st sseli
      dmcoass 1st2nd2 fveq2d df-ov eqtr4di choma homarw wbr w3a eqeltrrd sylibr
      id df-br eldmcoa sylib simp1d arwhoma simp3d oveq2d eleqtrd simp2d coahom
      sselid eqeltrd rgen ffnfv mpbir2an carw fvexi xpex elpm2 ) CAAAUCZUDJKCUE
      ZACUFZWJWIUGWKCWJUHZFLZCMZAKZFWJUACUBWLGHAILNMGLZOMZPIAUIHLZOMZWPNMZWPQMW
      RQMWSWQRWTBUJMZJJUKCABXACHGIDEXASULUMCUNUOWOFWJWMWJKZWNWMUPMZWMQMZCJZAXBW
      NXCXDRZCMXEXBWMXFCXBWMWIKWMXFPWJWIWMABCDEURZUQWMAAUSTZUTXCXDCVAVBXBXDOMZX
      CNMZBVCMZJAXEABXKXIXJEXKSZVDXBBCXDXCXKXIXCOMZXJDXLXBXDXIXDNMZXKJZXIXMXKJX
      BXDAKZXDXOKXBXPXCAKZXNXMPZXBXCXDWJVEZXPXQXRVFXBXFWJKXSXBWMXFWJXHXBVIVGXCX
      DWJVJVHABCXDXCDEVKVLZVMABXDXKEXLVNTXBXNXMXIXKXBXPXQXRXTVOVPVQXBXQXCXMXJXK
      JKXBXPXQXRXTVRABXCXKEXLVNTVSVTWAWBFWJACWCWDXGAWICABWEEWFZAAYAYAWGWHWD $.
  $}

  ${
    arwlid.h $e |- H = ( HomA ` C ) $.
    arwlid.o $e |- .x. = ( compA ` C ) $.
    arwlid.a $e |- .1. = ( IdA ` C ) $.
    arwlid.f $e |- ( ph -> F e. ( X H Y ) ) $.
    $( Left identity of a category using arrow notation.  (Contributed by Mario
       Carneiro, 11-Jan-2017.) $)
    arwlid $p |- ( ph -> ( ( .1. ` Y ) .x. F ) = F ) $=
      ( cfv c2nd cop co cotp eqid wcel syl cco ccid cbs homarcl homarcl2 simprd
      ccat wa ida2 oveq1d chom simpld homahom catlid eqtrd oteq3d idahom coaval
      wceq homadmcd 3eqtr4d ) AGHHDMZNMZENMZGHOHBUAMZPZPZQGHVDQZVBECPEAVGVDGHAV
      GHBUBMZMZVDVFPVDAVCVJVDVFABUCMZBVIDHKVKRZAEGHFPSZBUGSLBEFGHIUDTZVIRZAGVKS
      ZHVKSZAVMVPVQUHLVKBEFGHIVLUETZUFZUIUJAVKBVEVIVDBUKMZGHVLVTRZVOVNAVPVQVRUL
      VERZVSAVMVDGHVTPSLBEFVTGHIWAUMTUNUOUPABVECEVBFGHHJILAVKBFDHKVLVNVSIUQWBUR
      AVMEVHUSLBEFGHIUTTVA $.

    $( Right identity of a category using arrow notation.  (Contributed by
       Mario Carneiro, 11-Jan-2017.) $)
    arwrid $p |- ( ph -> ( F .x. ( .1. ` X ) ) = F ) $=
      ( c2nd cfv cop co cotp eqid wcel syl cco ccid cbs homarcl homarcl2 simpld
      ccat wa ida2 oveq2d chom simprd homahom catrid eqtrd oteq3d idahom coaval
      wceq homadmcd 3eqtr4d ) AGHEMNZGDNZMNZGGOHBUANZPZPZQGHVBQZEVCCPEAVGVBGHAV
      GVBGBUBNZNZVFPVBAVDVJVBVFABUCNZBVIDGKVKRZAEGHFPSZBUGSLBEFGHIUDTZVIRZAGVKS
      ZHVKSZAVMVPVQUHLVKBEFGHIVLUETZUFZUIUJAVKBVEVIVBBUKNZGHVLVTRZVOVNVSVERZAVP
      VQVRULAVMVBGHVTPSLBEFVTGHIWAUMTUNUOUPABVECVCEFGGHJIAVKBFDGKVLVNVSIUQLWBUR
      AVMEVHUSLBEFGHIUTTVA $.

    arwass.g $e |- ( ph -> G e. ( Y H Z ) ) $.
    arwass.k $e |- ( ph -> K e. ( Z H W ) ) $.
    $( Associativity of composition in a category using arrow notation.
       (Contributed by Mario Carneiro, 11-Jan-2017.) $)
    arwass $p |- ( ph -> ( ( K .x. G ) .x. F ) = ( K .x. ( G .x. F ) ) ) $=
      ( co wcel c2nd cfv cop cco cotp cbs chom eqid homarcl syl homarcl2 simpld
      ccat wa simprd homahom catass oveq1d oveq2d 3eqtr4d oteq3d coahom coaval
      coa2 ) AJIHFCSZUAUBZEUAUBZJKUCZIBUDUBZSZSZUEJIHUAUBZFECSZUAUBZJLUCIVISZSZ
      UEVEECSHVMCSAVKVPJIAVLFUAUBZKLUCIVISSZVGVJSVLVQVGVHLVISSZVOSVKVPABUFUBZBV
      IVGVQBUGUBZVLIJKLVTUHZWAUHZVIUHZAEJKGSTZBUMTPBEGJKMUIUJAJVTTZKVTTZAWEWFWG
      UNPVTBEGJKMWBUKUJZULAWFWGWHUOALVTTZIVTTZAHLIGSTZWIWJUNRVTBHGLIMWBUKUJZULA
      WEVGJKWASTPBEGWAJKMWCUPUJAFKLGSTVQKLWASTQBFGWAKLMWCUPUJAWIWJWLUOAWKVLLIWA
      STRBHGWALIMWCUPUJUQAVFVRVGVJABVICFHGKLINMQRWDVDURAVNVSVLVOABVICEFGJKLNMPQ
      WDVDUSUTVAABVICEVEGJKINMPABCFHGKLINMQRVBWDVCABVICVMHGJLINMABCEFGJKLNMPQVB
      RWDVCUT $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Examples of categories
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The category of sets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c SetCat $.

  $( Extend class notation to include the category Set. $)
  csetc $a class SetCat $.

  ${
    $d f g u v x y z $.
    $( Definition of the category Set, relativized to a subset ` u ` .  Example
       3.3(1) of [Adamek] p. 22.  This is the category of all sets in ` u ` and
       functions between these sets.  Generally, we will take ` u ` to be a
       weak universe or Grothendieck universe, because these sets have closure
       properties as good as the real thing.  (Contributed by FL, 8-Nov-2013.)
       (Revised by Mario Carneiro, 3-Jan-2017.) $)
    df-setc $a |- SetCat = ( u e. _V |-> { <. ( Base ` ndx ) , u >. ,
     <. ( Hom ` ndx ) , ( x e. u , y e. u |-> ( y ^m x ) ) >. ,
     <. ( comp ` ndx ) , ( v e. ( u X. u ) , z e. u |->
      ( g e. ( z ^m ( 2nd ` v ) ) , f e. ( ( 2nd ` v ) ^m ( 1st ` v ) ) |->
        ( g o. f ) ) ) >. } ) $.
  $}

  ${
    $d f g u v x y z $.  $d u v x y z ph $.  $d u v x y z U $.  $d u .x. $.
    $d u H $.
    setcval.c $e |- C = ( SetCat ` U ) $.
    setcval.u $e |- ( ph -> U e. V ) $.
    setcval.h $e |- ( ph -> H = ( x e. U , y e. U |-> ( y ^m x ) ) ) $.
    setcval.o $e |- ( ph -> .x. = ( v e. ( U X. U ) , z e. U |->
      ( g e. ( z ^m ( 2nd ` v ) ) , f e. ( ( 2nd ` v ) ^m ( 1st ` v ) ) |->
        ( g o. f ) ) ) ) $.
    $( Value of the category of sets (in a universe).  (Contributed by Mario
       Carneiro, 3-Jan-2017.) $)
    setcval $p |- ( ph -> C = { <. ( Base ` ndx ) , U >. ,
      <. ( Hom ` ndx ) , H >. , <. ( comp ` ndx ) , .x. >. } ) $=
      ( cfv cop cv cmpo vu csetc cnx cbs chom cco ctp cmap co cxp c2nd c1st cvv
      ccom df-setc wceq wa simpr opeq2d eqidd mpoeq123dv adantr eqtr4d tpeq123d
      sqxpeqd elexd wcel tpex a1i fvmptd2 eqtrid ) AFHUBQUCUDQZHRZUCUEQZKRZUCUF
      QZGRZUGZMAUAHVLUASZRZVNBCVSVSCSBSUHUIZTZRZVPEDVSVSUJZVSJIDSESZUKQZUHUIWFW
      EULQUHUIJSISUNTZTZRZUGVRUMUBUMBCDEUAIJUOAVSHUPZUQZVTVMWCVOWIVQWKVSHVLAWJU
      RZUSWKWBKVNWKWBBCHHWATZKWKBCVSVSWAHHWAWLWLWKWAUTVAAKWMUPWJOVBVCUSWKWHGVPW
      KWHEDHHUJZHWGTZGWKEDWDVSWGWNHWGWKVSHWLVEWLWKWGUTVAAGWOUPWJPVBVCUSVDAHLNVF
      VRUMVGAVMVOVQVHVIVJVK $.
  $}

  ${
    $d f g F $.  $d f g v x y z ph $.  $d f g v x y z X $.  $d f g v x y z Y $.
    $d f g G $.  $d v x y z U $.  $d f g v z Z $.
    setcbas.c $e |- C = ( SetCat ` U ) $.
    setcbas.u $e |- ( ph -> U e. V ) $.
    $( Set of objects of the category of sets (in a universe).  (Contributed by
       Mario Carneiro, 3-Jan-2017.) $)
    setcbas $p |- ( ph -> U = ( Base ` C ) ) $=
      ( vx vy vv vz vg vf cnx cbs cfv cop cv cmap co cmpo chom cco cxp c2nd ctp
      c1st ccom wcel wceq c1 cdc catstr baseid snsstp1 strfv syl setcval fveq2d
      c5 eqidd eqtr4d ) ACMNOCPZMUAOGHCCHQGQRSTZPZMUBOIJCCUCCKLJQIQZUDOZRSVFVEU
      FORSKQLQUGTTZPZUEZNOZBNOACDUHCVJUIFCVINDUJUJUSUKPVGCVCULUMVBVDVHUNUOUPABV
      INAGHJIBVGCLKVCDEFAVCUTAVGUTUQURVA $.

    ${
      setchomfval.h $e |- H = ( Hom ` C ) $.
      $( Set of arrows of the category of sets (in a universe).  (Contributed
         by Mario Carneiro, 3-Jan-2017.) $)
      setchomfval $p |- ( ph -> H = ( x e. U , y e. U |-> ( y ^m x ) ) ) $=
        ( vv vz vg vf cv cmap co cmpo cfv cop cnx cbs chom cco cxp c2nd ctp cvv
        c1st ccom c1 c5 eqidd setcval catstr homid snsstp2 wcel mpoexga syl2anc
        cdc strfv3 ) AFBCEECOBOPQZRZUAUBSETZUAUCSVDTZUAUDSKLEEUEEMNLOKOZUFSZPQV
        HVGUISPQMONOUJRRZTZUGDUCUHUKUKULVATABCLKDVIENMVDGHIAVDUMAVIUMUNVIEVDUOU
        PVEVFVJUQAEGURZVKVDUHURIIBCEEVCGGUSUTJVB $.

      setchom.x $e |- ( ph -> X e. U ) $.
      setchom.y $e |- ( ph -> Y e. U ) $.
      $( Set of arrows of the category of sets (in a universe).  (Contributed
         by Mario Carneiro, 3-Jan-2017.) $)
      setchom $p |- ( ph -> ( X H Y ) = ( Y ^m X ) ) $=
        ( vx vy cv cmap co cvv wceq wa setchomfval simprr simprl oveq12d ovmpod
        ovexd ) AMNFGCCNOZMOZPQGFPQDRAMNBCDEHIJUAAUHFSZUGGSZTTUGGUHFPAUIUJUBAUI
        UJUCUDKLAGFPUFUE $.

      $( A morphism of sets is a function.  (Contributed by Mario Carneiro,
         3-Jan-2017.) $)
      elsetchom $p |- ( ph -> ( F e. ( X H Y ) <-> F : X --> Y ) ) $=
        ( co wcel cmap wf setchom eleq2d elmapd bitrd ) ADGHENZODHGPNZOGHDQAUBU
        CDABCEFGHIJKLMRSAHGDCCMLTUA $.
    $}

    ${
      setcco.o $e |- .x. = ( comp ` C ) $.
      $( Composition in the category of sets.  (Contributed by Mario Carneiro,
         3-Jan-2017.) $)
      setccofval $p |- ( ph -> .x. = ( v e. ( U X. U ) , z e. U |->
      ( g e. ( z ^m ( 2nd ` v ) ) , f e. ( ( 2nd ` v ) ^m ( 1st ` v ) ) |->
        ( g o. f ) ) ) ) $=
        ( vx vy cv cfv cnx cop cvv wcel cxp c2nd cmap co c1st ccom cmpo cbs cco
        chom ctp c1 c5 cdc setchomfval eqidd setcval catstr ccoid snsstp3 xpexd
        eqid mpoexga syl2anc strfv3 ) AECBFFUAZFHGBOCOZUBPZUCUDVHVGUEPUCUDHOGOU
        FUGZUGZQUHPFRZQUJPDUJPZRZQUIPVJRZUKDUISULULUMUNRAMNBCDVJFGHVLIJKAMNDFVL
        IJKVLVBUOAVJUPUQVJFVLURUSVKVMVNUTAVFSTFITVJSTAFFIIKKVAKCBVFFVISIVCVDLVE
        $.

      setcco.x $e |- ( ph -> X e. U ) $.
      setcco.y $e |- ( ph -> Y e. U ) $.
      setcco.z $e |- ( ph -> Z e. U ) $.
      setcco.f $e |- ( ph -> F : X --> Y ) $.
      setcco.g $e |- ( ph -> G : Y --> Z ) $.
      $( Composition in the category of sets.  (Contributed by Mario Carneiro,
         3-Jan-2017.) $)
      setcco $p |- ( ph -> ( G ( <. X , Y >. .x. Z ) F ) = ( G o. F ) ) $=
        ( vg cmap vf vv vz co cv ccom cop cvv cxp c2nd cfv c1st cmpo setccofval
        wceq wa simprr simprl fveq2d op2ndg syl2anc adantr eqtrd oveq12d op1stg
        wcel eqidd mpoeq123dv opelxpd mpoex a1i ovmpod coeq12d wf elmapd mpbird
        ovex coexg ) ASUAFEJITUDZIHTUDZSUEZUAUEZUFZFEUFZHIUGZJCUDUHAUBUCWEJDDUI
        DSUAUCUEZUBUEZUJUKZTUDZWHWGULUKZTUDZWCUMSUAVSVTWCUMZCUHAUCUBBCDUASGKLMU
        NAWGWEUOZWFJUOZUPZUPZSUAWIWKWCVSVTWCWPWFJWHITAWMWNUQWPWHWEUJUKZIWPWGWEU
        JAWMWNURZUSAWQIUOZWOAHDVFZIDVFZWSNOHIDDUTVAVBVCZVDWPWHIWJHTXBWPWJWEULUK
        ZHWPWGWEULWRUSAXCHUOZWOAWTXAXDNOHIDDVEVAVBVCVDWPWCVGVHAHIDDNOVIPWLUHVFA
        SUAVSVTWCJITVQIHTVQVJVKVLAWAFUOZWBEUOZUPUPWAFWBEAXEXFURAXEXFUQVMAFVSVFZ
        IJFVNRAJIFDDPOVOVPZAEVTVFZHIEVNQAIHEDDONVOVPZAXGXIWDUHVFXHXJFEVSVTVRVAV
        L $.
    $}
  $}

  ${
    $d f g h w x y z C $.  $d f g h w x y z U $.  $d f g h w x y z V $.
    $d x ph $.  $d x X $.
    setccat.c $e |- C = ( SetCat ` U ) $.
    $( Lemma for ~ setccat .  (Contributed by Mario Carneiro, 3-Jan-2017.) $)
    setccatid $p |- ( U e. V ->
      ( C e. Cat /\ ( Id ` C ) = ( x e. U |-> ( _I |` x ) ) ) ) $=
      ( vw vy vz vf vg wcel cv wa co wf elsetchom cop ccom mpbid setcco vh chom
      cfv w3a cco cid cres cvv id setcbas eqidd csetc fvexi biid wf1o f1oi f1of
      a1i mp1i simpl eqid simpr mpbird simpr1l simpr1r simpr31 wceq fcoi2 eqtrd
      syl simpr2l simpr32 fcoi1 fco syl2anc eqeltrd coass simpr2r oveq1d oveq2d
      simpr33 3eqtr4a 3eqtr4d iscatd2 ) CDKZFLZCKZALZCKZMZGLZCKZHLZCKZMZILZWFWH
      BUBUCZNKZJLZWHWKWQNKZUALZWKWMWQNKZUDZUDZFAGHCBBUEUCZUFWHUGZIJUAWQUHWEBCDE
      WEUIUJWEWQUKWEXEUKBUHKWEBCULEUMURXDUNWEWIMZXFWHWHWQNKWHWHXFOZWHWHXFUOZXHX
      GWHUPZWHWHXFUQZUSXGBCXFWQDWHWHEWEWIUTWQVAZWEWIVBZXMPVCWEXDMZXFWPWFWHQZWHX
      ENNXFWPRZWPXNBXECWPXFDWFWHWHEWEXDUTZXEVAZWGWIWOXCWEVDZWGWIWOXCWEVEZXTXNWR
      WFWHWPOZWRWTXBWJWOWEVFXNBCWPWQDWFWHEXQXLXSXTPSZXIXHXNXJXKUSZTXNYAXPWPVGYB
      WFWHWPVHVJVIXNWSXFWHWHQWKXENNWSXFRZWSXNBXECXFWSDWHWHWKEXQXRXTXTWLWNWJXCWE
      VKZYCXNWTWHWKWSOZWRWTXBWJWOWEVLXNBCWSWQDWHWKEXQXLXTYEPSZTXNYFYDWSVGYGWHWK
      WSVMVJVIXNWSWPXOWKXENNZWSWPRZWFWKWQNZXNBXECWPWSDWFWHWKEXQXRXSXTYEYBYGTZXN
      YIYJKWFWKYIOZXNYFYAYLYGYBWFWHWKWSWPVNVOZXNBCYIWQDWFWKEXQXLXSYEPVCVPXNXAWS
      RZWPXOWMXENZNZXAYIWFWKQWMXENZNZXAWSWHWKQWMXENNZWPYONXAYHYQNXNYNWPRXAYIRYP
      YRXAWSWPVQXNBXECWPYNDWFWHWMEXQXRXSXTWLWNWJXCWEVRZYBXNWKWMXAOZYFWHWMYNOXNX
      BUUAWRWTXBWJWOWEWAXNBCXAWQDWKWMEXQXLYEYTPSZYGWHWKWMXAWSVNVOTXNBXECYIXADWF
      WKWMEXQXRXSYEYTYMUUBTWBXNYSYNWPYOXNBXECWSXADWHWKWMEXQXRXTYEYTYGUUBTVSXNYH
      YIXAYQYKVTWCWD $.

    $( The category of sets is a category.  (Contributed by Mario Carneiro,
       3-Jan-2017.) $)
    setccat $p |- ( U e. V -> C e. Cat ) $=
      ( vx wcel ccat ccid cfv cid cv cres cmpt wceq setccatid simpld ) BCFAGFAH
      IEBJEKLMNEABCDOP $.

    setcid.o $e |- .1. = ( Id ` C ) $.
    setcid.u $e |- ( ph -> U e. V ) $.
    setcid.x $e |- ( ph -> X e. U ) $.
    $( The identity arrow in the category of sets is the identity function.
       (Contributed by Mario Carneiro, 3-Jan-2017.) $)
    setcid $p |- ( ph -> ( .1. ` X ) = ( _I |` X ) ) $=
      ( vx cid cv cres cvv ccid cfv wcel wceq wa cmpt ccat setccatid syl simprd
      eqtrid simpr reseq2d resiexd fvmptd ) AKFLKMZNZLFNCDOADBPQZKCULUAZHABUBRZ
      UMUNSZACERUOUPTIKBCEGUCUDUEUFAUKFSZTUKFLAUQUGUHJAFCJUIUJ $.
  $}

  ${
    $d x E $.  $d a g h x y z F $.  $d x y M $.  $d g h U $.  $d g h x y z X $.
    $d g h z C $.  $d g h x y z ph $.  $d a g h x y z Y $.
    setcmon.c $e |- C = ( SetCat ` U ) $.
    setcmon.u $e |- ( ph -> U e. V ) $.
    setcmon.x $e |- ( ph -> X e. U ) $.
    setcmon.y $e |- ( ph -> Y e. U ) $.
    ${
      setcmon.h $e |- M = ( Mono ` C ) $.
      $( A monomorphism of sets is an injection.  (Contributed by Mario
         Carneiro, 3-Jan-2017.) $)
      setcmon $p |- ( ph -> ( F e. ( X M Y ) <-> F : X -1-1-> Y ) ) $=
        ( vx co wcel wa cfv wceq ad2antrr vy vg vz vh wf1 wf cv wi wral cbs cco
        chom eqid setccat setcbas eleqtrd monhom sselda elsetchom biimpa syldan
        ccat syl csn cxp cop ccom simprr sneqd xpeq2d wfn ffnd simprll fcoconst
        adantr syl2anc simprlr 3eqtr4d fconst6g setcco simplr mpbird moni mpbid
        fveq1d vex fvconst2 3eqtr3d expr ralrimivva sylanbrc f1f biimpar sylan2
        eleq2d simprl simprrl ad2antlr simprrr eqeq12d wb cocan1 syl3anc biimpd
        dff13 sylbid anassrs ex sylbird ralrimiv ismon2 mpbir2and impbida ) ADG
        HEOZPZGHDUEZAXOQZGHDUFZNUGZDRZUAUGZDRZSZXSYASZUHZUAGUINGUIXPAXODGHBULRZ
        OZPZXRAXNYGDABUJRZBBUKRZYFEGHYIUMZYFUMZYJUMZMACFPZBVBPZJBCFIUNVCZAGCYIK
        ABCFIJUOZUPZAHCYILYQUPZUQURAYHXRABCDYFFGHIJYLKLUSZUTVAZXQYENUAGGXQXSGPZ
        YAGPZQZYCYDXQUUDYCQZQZXSGXSVDVEZRZXSGYAVDVEZRZXSYAUUFXSUUGUUIUUFDUUGGGV
        FHYJOZOZDUUIUUKOZSUUGUUISUUFDUUGVGZDUUIVGZUULUUMUUFGXTVDZVEZGYBVDZVEZUU
        NUUOUUFUUPUURGUUFXTYBXQUUDYCVHVIVJUUFDGVKZUUBUUNUUQSUUFGHDXQXRUUEUUAVOZ
        VLZXQUUBUUCYCVMZDGGXSVNVPUUFUUTUUCUUOUUSSUVBXQUUBUUCYCVQZDGGYAVNVPVRUUF
        BYJCUUGDFGGHIAYNXOUUEJTZYMAGCPZXOUUEKTZUVGAHCPZXOUUELTZUUFUUBGGUUGUFZUV
        CGXSGVSVCZUVAVTUUFBYJCUUIDFGGHIUVEYMUVGUVGUVIUUFUUCGGUUIUFZUVDGYAGVSVCZ
        UVAVTVRUUFYIBYJDUUGYFUUIEGHGYKYLYMMAYOXOUUEYPTAGYIPXOUUEYRTZAHYIPXOUUEY
        STUVNAXOUUEWAUUFUUGGGYFOZPUVJUVKUUFBCUUGYFFGGIUVEYLUVGUVGUSWBUUFUUIUVOP
        UVLUVMUUFBCUUIYFFGGIUVEYLUVGUVGUSWBWCWDWEUUFUUBUUHXSSUVCGXSXSNWFWGVCUUF
        UUBUUJYASUVCGYAXSUAWFWGVCWHWIWJNUAGHDXEWKAXPQZXOYHDUBUGZUCUGZGVFHYJOZOZ
        DUDUGZUVSOZSZUVQUWASZUHZUDUVRGYFOZUIUBUWFUIZUCYIUIZXPAXRYHGHDWLZAYHXRYT
        WMWNUVPUWGUCYIUVPUVRYIPUVRCPZUWGUVPCYIUVRACYISXPYQVOWOUVPUWJUWGUVPUWJQU
        WEUBUDUWFUWFUVPUWJUVQUWFPZUWAUWFPZQZUWEUVPUWJUWMQZQZUWCDUVQVGZDUWAVGZSZ
        UWDUWOUVTUWPUWBUWQUWOBYJCUVQDFUVRGHIAYNXPUWNJTZYMUVPUWJUWMWPZAUVFXPUWNK
        TZAUVHXPUWNLTZUWOUWKUVRGUVQUFZUVPUWJUWKUWLWQUWOBCUVQYFFUVRGIUWSYLUWTUXA
        USWDZXPXRAUWNUWIWRZVTUWOBYJCUWADFUVRGHIUWSYMUWTUXAUXBUWOUWLUVRGUWAUFZUV
        PUWJUWKUWLWSUWOBCUWAYFFUVRGIUWSYLUWTUXAUSWDZUXEVTWTUWOUWRUWDUWOXPUXCUXF
        UWRUWDXAAXPUWNWAUXDUXGUVRGHDUVQUWAXBXCXDXFXGWJXHXIXJAXOYHUWHQXAXPAUCYIB
        YJUBUDDYFEGHYKYLYMMYPYRYSXKVOXLXM $.
    $}

    ${
      setcepi.h $e |- E = ( Epi ` C ) $.
      setcepi.2 $e |- ( ph -> 2o e. U ) $.
      $( An epimorphism of sets is a surjection.  (Contributed by Mario
         Carneiro, 3-Jan-2017.) $)
      setcepi $p |- ( ph -> ( F e. ( X E Y ) <-> F : X -onto-> Y ) ) $=
        ( va wcel wceq c1o c0 c2o vx vg vz vh co wfo wa wf crn chom cfv cbs cco
        eqid ccat setccat setcbas eleqtrd epihom sselda elsetchom biimpa syldan
        syl frnd wral wss cif cmpt csn cxp cop ccom ffnd fnfvelrn sylan iftrued
        cv wfn mpteq2dva ffvelrnda feqmptd eqidd eleq1 fmptco fconstmpt 3eqtr4d
        ifbid a1i adantr cpr 1oex prid2 df2o3 eleqtrri prid1 ifcli fmpti setcco
        0ex fconst6g mp1i simpr mpbird mpbid eqtrdi wb rgenw mpteqb ax-mp sylib
        epii wn 1n0 nesymi iffalse eqeq1d mtbiri con4i ralimi dfss3 eqssd dffo2
        sylibr sylanbrc wi adantl biimpar eleq2d simprl simprrl simprrr eqeq12d
        fof ad2antrr simplr cocan2 syl3anc biimpd sylbid ralrimivva ex ralrimiv
        anassrs sylbird isepi2 mpbir2and impbida ) AEGHDUEZPZGHEUFZAUUJUGZGHEUH
        ZEUIZHQUUKAUUJEGHBUJUKZUEZPZUUMAUUIUUPEABULUKZBBUMUKZDUUOGHUURUNZUUOUNZ
        UUSUNZMACFPZBUOPZJBCFIUPVDZAGCUURKABCFIJUQZURZAHCUURLUVFURZUSUTAUUQUUMA
        BCEUUOFGHIJUVAKLVAZVBVCZUULUUNHUULGHEUVJVEUULOVRZUUNPZOHVFZHUUNVGUULUVL
        RSVHZRQZOHVFZUVMUULOHUVNVIZOHRVIZQZUVPUULUVQHRVJVKZUVRUULUVQEGHVLZTUUSU
        EZUEZUVTEUWBUEZQUVQUVTQUULUVQEVMZUVTEVMZUWCUWDUULUAGUAVRZEUKZUUNPZRSVHZ
        VIUAGRVIUWEUWFUULUAGUWJRUULUWGGPZUGUWIRSUULEGVSUWKUWIUULGHEUVJVNGUWGEVO
        VPVQVTUULUAOGHUWHUVNUWJEUVQUULGHUWGEUVJWAZUULUAGHEUVJWBZUULUVQWCUVKUWHQ
        ZUVLUWIRSUVKUWHUUNWDWHWEUULUAOGHUWHRREUVTUWLUWMUVTUVRQUULOHRWFZWIUWNRWC
        WEWGUULBUUSCEUVQFGHTIAUVCUUJJWJZUVBAGCPZUUJKWJZAHCPZUUJLWJZATCPUUJNWJZU
        VJHTUVQUHZUULOHTUVNUVQUVQUNUVNTPZUVKHPUVLRSTRSRWKZTSRWLWMWNWOZSUXDTSRWT
        WPWNWOWQZWIWRWIZWSUULBUUSCEUVTFGHTIUWPUVBUWRUWTUXAUVJRTPHTUVTUHZUULUXEH
        RTXAXBZWSWGUULUURBUUSDEUVQUUOUVTGHTUUTUVAUVBMAUVDUUJUVEWJAGUURPUUJUVGWJ
        AHUURPUUJUVHWJATUURPUUJATCUURNUVFURWJAUUJXCUULUVQHTUUOUEZPUXBUXGUULBCUV
        QUUOFHTIUWPUVAUWTUXAVAXDUULUVTUXJPUXHUXIUULBCUVTUUOFHTIUWPUVAUWTUXAVAXD
        XLXEUWOXFUXCOHVFUVSUVPXGUXCOHUXFXHOHUVNRTXIXJXKUVOUVLOHUVLUVOUVLXMZUVOS
        RQRSXNXOUXKUVNSRUVLRSXPXQXRXSXTVDOHUUNYAYDYBGHEYCYEAUUKUGZUUJUUQUBVRZEU
        WAUCVRZUUSUEZUEZUDVRZEUXOUEZQZUXMUXQQZYFZUDHUXNUUOUEZVFUBUYBVFZUCUURVFZ
        AUUKUUMUUQUUKUUMAGHEYNYGZAUUQUUMUVIYHVCUXLUYCUCUURUXLUXNUURPUXNCPZUYCUX
        LCUURUXNACUURQUUKUVFWJYIUXLUYFUYCUXLUYFUGUYAUBUDUYBUYBUXLUYFUXMUYBPZUXQ
        UYBPZUGZUYAUXLUYFUYIUGZUGZUXSUXMEVMZUXQEVMZQZUXTUYKUXPUYLUXRUYMUYKBUUSC
        EUXMFGHUXNIAUVCUUKUYJJYOZUVBAUWQUUKUYJKYOZAUWSUUKUYJLYOZUXLUYFUYIYJZUXL
        UUMUYJUYEWJZUYKUYGHUXNUXMUHUXLUYFUYGUYHYKUYKBCUXMUUOFHUXNIUYOUVAUYQUYRV
        AXEZWSUYKBUUSCEUXQFGHUXNIUYOUVBUYPUYQUYRUYSUYKUYHHUXNUXQUHUXLUYFUYGUYHY
        LUYKBCUXQUUOFHUXNIUYOUVAUYQUYRVAXEZWSYMUYKUYNUXTUYKUUKUXMHVSUXQHVSUYNUX
        TXGAUUKUYJYPUYKHUXNUXMUYTVNUYKHUXNUXQVUAVNGHEUXMUXQYQYRYSYTUUDUUAUUBUUE
        UUCAUUJUUQUYDUGXGUUKAUCUURBUUSUBUDDEUUOGHUUTUVAUVBMUVEUVGUVHUUFWJUUGUUH
        $.
    $}

    ${
      setcsect.n $e |- S = ( Sect ` C ) $.
      $( A section in the category of sets, written out.  (Contributed by Mario
         Carneiro, 3-Jan-2017.) $)
      setcsect $p |- ( ph -> ( F ( X S Y ) G <->
        ( F : X --> Y /\ G : Y --> X /\ ( G o. F ) = ( _I |` X ) ) ) ) $=
        ( co cfv wcel eqid wa adantr wbr chom cop cco ccid wceq w3a wf ccom cid
        cres cbs setccat setcbas eleqtrd issect elsetchom anbi12d anbi1d simprl
        ccat syl simprr setcco setcid eqeq12d pm5.32da bitrd df-3an 3bitr4g ) A
        EFHICOUAEHIBUBPZOQZFIHVKOQZFEHIUCHBUDPZOOZHBUEPZPZUFZUGZHIEUHZIHFUHZFEU
        IZUJHUKZUFZUGZABULPZBCVNVPEFVKHIWFRVKRZVNRZVPRZNADGQZBVAQKBDGJUMVBAHDWF
        LABDGJKUNZUOAIDWFMWKUOUPAVLVMSZVRSZVTWASZWDSZVSWEAWMWNVRSWOAWLWNVRAVLVT
        VMWAABDEVKGHIJKWGLMUQABDFVKGIHJKWGMLUQURUSAWNVRWDAWNSZVOWBVQWCWPBVNDEFG
        HIHJAWJWNKTWHAHDQWNLTZAIDQWNMTWQAVTWAUTAVTWAVCVDAVQWCUFWNABDVPGHJWIKLVE
        TVFVGVHVLVMVRVIVTWAWDVIVJVH $.
    $}

    ${
      setcinv.n $e |- N = ( Inv ` C ) $.
      $( An inverse in the category of sets is the converse operation.
         (Contributed by Mario Carneiro, 3-Jan-2017.) $)
      setcinv $p |- ( ph ->
        ( F ( X N Y ) G <-> ( F : X -1-1-onto-> Y /\ G = `' F ) ) ) $=
        ( co wbr wa ccom wceq ad2antrl csect cfv wf cid cres wf1o ccnv cbs eqid
        wcel ccat setccat syl setcbas eleqtrd isinv w3a setcsect df-3an 3ancoma
        bitrdi bitri anbi12d anandi bitr4di fcof1o anbi2i ancom2s adantl f1ocnv
        eqcom sylib f1oeq1 ad2antll mpbird simprr coeq1d f1ococnv1 eqtrd coeq2d
        f1of wb f1ococnv2 jca jca31 impbida 3bitrd ) ADEHIFOPDEHIBUAUBZOPZEDIHW
        HOPZQZHIDUCZIHEUCZQZEDRZUDHUEZSZDERZUDIUEZSZQZQZHIDUFZEDUGZSZQZABUHUBZB
        WHDEFHIXGUINACGUJBUKUJKBCGJULUMAHCXGLABCGJKUNZUOAICXGMXHUOWHUIZUPAWKWNW
        QQZWNWTQZQXBAWIXJWJXKAWIWLWMWQUQXJABWHCDEGHIJKLMXIURWLWMWQUSVAAWJWMWLWT
        UQZXKABWHCEDGIHJKMLXIURXLWLWMWTUQXKWMWLWTUTWLWMWTUSVBVAVCWNWQWTVDVEAXBX
        FXBXFAWNWTWQXFWNWTWQQQXCXDESZQXFHIDEVFXMXEXCXDEVKVGVLVHVIAXFQZWLWMXAXCW
        LAXEHIDWATXNIHEUFZWMXNXOIHXDUFZXCXPAXEHIDVJTXEXOXPWBAXCIHEXDVMVNVOIHEWA
        UMXNWQWTXNWOXDDRZWPXNEXDDAXCXEVPZVQXCXQWPSAXEHIDVRTVSXNWRDXDRZWSXNEXDDX
        RVTXCXSWSSAXEHIDWCTVSWDWEWFWG $.
    $}

    ${
      setciso.n $e |- I = ( Iso ` C ) $.
      $( An isomorphism in the category of sets is a bijection.  (Contributed
         by Mario Carneiro, 3-Jan-2017.) $)
      setciso $p |- ( ph -> ( F e. ( X I Y ) <-> F : X -1-1-onto-> Y ) ) $=
        ( co wcel cfv eqid syl eleqtrd wbr cinv cdm wf1o setccat setcbas isoval
        cbs ccat eleq2d wfun wb invfun funfvbrb ccnv wceq setcinv syl6bi sylbid
        wa simpl wrel wi funrel releldm ex sylbird mpan2i impbid bitrd ) ADGHEN
        ZODGHBUAPZNZUBZOZGHDUCZAVJVMDABUGPZBEVKGHVPQZVKQZACFOBUHOJBCFIUDRZAGCVP
        KABCFIJUEZSZAHCVPLVTSZMUFUIAVNVOAVNDDVLPZVLTZVOAVLUJZVNWDUKAVPBVKGHVQVR
        VSWAWBULZDVLUMRAWDVOWCDUNZUOZUSVOABCDWCVKFGHIJKLVRUPVOWHUTUQURAVOWGWGUO
        ZVNWGQAVOWIUSDWGVLTZVNABCDWGVKFGHIJKLVRUPAVLVAZWJVNVBAWEWKWFVLVCRWKWJVN
        DWGVLVDVERVFVGVHVI $.
    $}
  $}

  ${
    $d f g x y z C $.  $d f g x y z D $.  $d f g x y z ph $.  $d f g x y z V $.
    $d f E $.
    resssetc.c $e |- C = ( SetCat ` U ) $.
    resssetc.d $e |- D = ( SetCat ` V ) $.
    resssetc.1 $e |- ( ph -> U e. W ) $.
    resssetc.2 $e |- ( ph -> V C_ U ) $.
    $( The restriction of the category of sets to a subset is the category of
       sets in the subset.  Thus, the ` SetCat `` U ` categories for different
       ` U ` are full subcategories of each other.  (Contributed by Mario
       Carneiro, 6-Jan-2017.) $)
    resssetc $p |- ( ph -> ( ( Homf ` ( C |`s V ) ) = ( Homf ` D ) /\
                             ( comf ` ( C |`s V ) ) = ( comf ` D ) ) ) $=
      ( vx vy co cfv wceq cv wral wcel cvv eqid vg vf vz cress chomf ccomf chom
      wa cmap ssexd adantr simprl simprr setchom sseldd resshom oveqdr 3eqtr2rd
      wss syl ralrimivva cbs setcbas sseqtrd ressbas2 homfeq mpbird cop cco w3a
      ccom ad2antrr simplr1 simplr2 simplr3 elsetchom mpbid setcco ressco oveqd
      wf 3eqtr2d ralrimivvva eqcomd comfeq jca ) ABEUDMZUENZCUENZOZWGUFNZCUFNZO
      AWJKPZLPZWGUGNZMZWMWNCUGNZMZOZLEQKEQAWSKLEEAWMERZWNERZUHZUHZWRWNWMUIMWMWN
      BUGNZMWPXCCEWQSWMWNHAESRZXBAEDFIJUJZUKWQTZAWTXAULZAWTXAUMZUNXCBDXDFWMWNGA
      DFRZXBIUKXDTZXCEDWMAEDUSZXBJUKZXHUOXCEDWNXMXIUOUNAXBKLXDWOAXEXDWOOXFEBWGX
      DSWGTZXKUPUTUQURVAAKLEWGCWOWQWOTXGAEBVBNZUSEWGVBNOAEDXOJABDFGIVCVDEXOWGBX
      NXOTVEUTZACESHXFVCZVFVGZAWLWKAWLWKOUAPZUBPZWMWNVHZUCPZCVINZMMZXSXTYAYBWGV
      INZMZMZOZUAWNYBWQMZQUBWRQZUCEQLEQKEQAYJKLUCEEEAWTXAYBERZVJZUHZYHUBUAWRYIY
      MXTWRRZXSYIRZUHZUHZYDXSXTVKXSXTYAYBBVINZMZMYGYQCYCEXTXSSWMWNYBHAXEYLYPXFV
      LZYCTZWTXAYKAYPVMZWTXAYKAYPVNZWTXAYKAYPVOZYQYNWMWNXTWAYMYNYOULYQCEXTWQSWM
      WNHYTXGUUBUUCVPVQZYQYOWNYBXSWAYMYNYOUMYQCEXSWQSWNYBHYTXGUUCUUDVPVQZVRYQBY
      RDXTXSFWMWNYBGAXJYLYPIVLYRTZYQEDWMAXLYLYPJVLZUUBUOYQEDWNUUHUUCUOYQEDYBUUH
      UUDUOUUEUUFVRYQYSYFXSXTYQYRYEYAYBAYRYEOZYLYPAXEUUIXFEBWGYRSXNUUGVSUTVLVTV
      TWBVAWCAKLUCECWGYEYCUBUAWQUUAYETXGXQXPAWHWIXRWDWEVGWDWF $.

    $( A functor into a smaller category of sets is a functor into the larger
       category.  (Contributed by Mario Carneiro, 28-Jan-2017.) $)
    funcsetcres2 $p |- ( ph -> ( E Func D ) C_ ( E Func C ) ) $=
      ( cfunc co wcel chomf cfv ccat ccomf wceq eqid vf cv cxp cres cresc eqidd
      cress cbs setccat syl adantr wss setcbas sseqtrd fullresc simpld resssetc
      wa eqtr3d simprd funcrcl adantl fullsubc subccat funcpropd csubc funcres2
      eqsstrrd simpr sseldd ex ssrdv ) AUAECLMZEBLMZAUAUBZVMNZVOVNNAVPURZVMVNVO
      VQVMEBBOPZFFUCUDZUEMZLMZVNVQEEVTCQVQEOPUFVQERPUFVQBFUGMZOPZVTOPZCOPZVQWCW
      DSZWBRPZVTRPZSZVQBUHPZBWBFVTVRWJTZVRTZABQNZVPADGNWMJBDGHUIUJUKZAFWJULVPAF
      DWJKABDGHJUMUNUKZWBTVTTZUOZUPVQWCWESZWGCRPZSZAWRWTURVPABCDFGHIJKUQUKZUPUS
      VQWGWHWSVQWFWIWQUTVQWRWTXAUTUSVQEQNZCQNZVPXBXCURAECVOVAVBZUPZXEVQBVTVSWPV
      QWJBFVRWKWLWNWOVCZVDVQXBXCXDUTVEVQVSBVFPNWAVNULXFEBVSVGUJVHAVPVIVJVKVL $.
  $}

  ${
    setc2ohom.c $e |- C = ( SetCat ` 2o ) $.
    ${
      setc2obas.b $e |- B = ( Base ` C ) $.
      $( ` (/) ` and ` 1o ` are distinct objects in ` ( SetCat `` 2o ) ` .
         This combined with ~ setc2ohom demonstrates that the category does not
         have pairwise disjoint hom-sets.  See also ~ df-cat and ~ cat1 .
         (Contributed by Zhi Wang, 24-Sep-2024.) $)
      setc2obas $p |- ( (/) e. B /\ 1o e. B /\ 1o =/= (/) ) $=
        ( c0 wcel c1o wne cpr 0ex prid1 cbs cfv c2o wceq wtru cvv 2oex eleqtrri
        a1i setcbas mptru df2o3 3eqtr2i 1oex prid2 1n0 3pm3.2i ) EAFGAFGEHEEGIZ
        AEGJKABLMZNUIDNUJOPBNQCNQFPRTUAUBUCUDZSGUIAEGUEUFUKSUGUH $.
    $}

    setc2ohom.h $e |- H = ( Hom ` C ) $.
    $( ` ( SetCat `` 2o ) ` is a category (provable from ~ setccat and ~ 2oex )
       that does not have pairwise disjoint hom-sets, proved by this theorem
       combined with ~ setc2obas .  Notably, the empty set ` (/) ` is
       simultaneously an object ( ~ setc2obas ) , an identity morphism from
       ` (/) ` to ` (/) ` ( ~ setcid or ~ thincid ) , and a non-identity
       morphism from ` (/) ` to ` 1o ` .  See ~ cat1lem and ~ cat1 for a more
       general statement.  This category is also thin ( ~ setc2othin ), and
       therefore is "equivalent" to a preorder (actually a partial order).  See
       ~ prsthinc for more details on the "equivalence".  (Contributed by Zhi
       Wang, 24-Sep-2024.) $)
    setc2ohom $p |- (/) e. ( ( (/) H (/) ) i^i ( (/) H 1o ) ) $=
      ( c0 co c1o wcel wf f0 wb wtru c2o cvv a1i df2o3 eleqtrri elsetchom mptru
      mpbir 2oex cpr 0ex prid1 1oex prid2 elini ) EEEBFZEGBFZEUHHZEEEIZEJUJUKKL
      AMEBNEECMNHLUAOZDEMHLEEGUBZMEGUCUDPQOZUNRSTEUIHZEGEIZGJUOUPKLAMEBNEGCULDU
      NGMHLGUMMEGUEUFPQORSTUG $.
  $}

  ${
    $d B w x y z $.  $d H w x y z $.  $d Y w $.
    cat1lem.1 $e |- C = ( SetCat ` U ) $.
    cat1lem.2 $e |- ( ph -> U e. V ) $.
    cat1lem.3 $e |- B = ( Base ` C ) $.
    cat1lem.4 $e |- H = ( Hom ` C ) $.
    cat1lem.5 $e |- ( ph -> (/) e. U ) $.
    cat1lem.6 $e |- ( ph -> Y e. U ) $.
    cat1lem.7 $e |- ( ph -> (/) =/= Y ) $.
    $( The category of sets in a "universe" containing the empty set and
       another set does not have pairwise disjoint hom-sets as required in
       Axiom CAT 1 in [Lang] p. 53.  Lemma for ~ cat1 .  (Contributed by Zhi
       Wang, 15-Sep-2024.) $)
    cat1lem $p |- ( ph -> E. x e. B E. y e. B E. z e. B E. w e. B
        ( ( ( x H y ) i^i ( z H w ) ) =/= (/) /\ -. ( x = z /\ y = w ) ) ) $=
      ( c0 wa wcel co cv cin wne wceq wn weq cbs cfv setcbas eqtr4di eleqtrd wf
      wrex f0 elsetchom mpbiri inelcm syl2anc neneqd intnand oveq1 ineq2d eqeq2
      neeq1d anbi1d notbid anbi12d oveq2 anbi2d syl112anc ineq1d eqeq1 2rexbidv
      rspc2ev syl3anc ) ASFUAZVRSSIUBZDUCZEUCZIUBZUDZSUEZSVTUFZSWAUFZTZUGZTZEFU
      ODFUOZBUCZCUCZIUBZWBUDZSUEZBDUHZCEUHZTZUGZTZEFUODFUOZCFUOBFUOASHFPAHGUIUJ
      FAGHJLMUKNULZUMZXCAVRKFUAVSSKIUBZUDZSUEZSSUFZSKUFZTZUGZWJXCAKHFQXBUMASVSU
      AZSXDUAZXFAXKSSSUNSUPAGHSIJSSLMOPPUQURAXLSKSUNKUPAGHSIJSKLMOPQUQURSVSXDUS
      UTAXHXGASKRVAVBWIXFXJTVSSWAIUBZUDZSUEZXGWFTZUGZTDESKFFVTSUFZWDXOWHXQXRWCX
      NSXRWBXMVSVTSWAIVCVDVFXRWGXPXRWEXGWFVTSSVEVGVHVIWAKUFZXOXFXQXJXSXNXESXSXM
      XDVSWAKSIVJVDVFXSXPXIXSWFXHXGWAKSVEVKVHVIVPVLXAWJSWLIUBZWBUDZSUEZWEWQTZUG
      ZTZEFUODFUOBCSSFFWKSUFZWTYEDEFFYFWOYBWSYDYFWNYASYFWMXTWBWKSWLIVCVMVFYFWRY
      CYFWPWEWQWKSVTVNVGVHVIVOWLSUFZYEWIDEFFYGYBWDYDWHYGYAWCSYGXTVSWBWLSSIVJVMV
      FYGYCWGYGWQWFWEWLSWAVNVKVHVIVOVPVQ $.
  $}

  ${
    $d b c h w x y z $.
    $( The definition of category ~ df-cat does not impose pairwise disjoint
       hom-sets as required in Axiom CAT 1 in [Lang] p. 53.  See ~ setc2obas
       and ~ setc2ohom for a counterexample.  For a version with pairwise
       disjoint hom-sets, see ~ df-homa and its subsection.  (Contributed by
       Zhi Wang, 15-Sep-2024.) $)
    cat1 $p |- E. c e. Cat [. ( Base ` c ) / b ]. [. ( Hom ` c ) / h ].
               -. A. x e. b A. y e. b A. z e. b A. w e. b
               ( ( ( x h y ) i^i ( z h w ) ) =/= (/) -> ( x = z /\ y = w ) ) $=
      ( c2o cfv wcel cv chom co c0 wceq wa wn wrex wtru a1i ccat cin wne cbs wi
      csetc wral wsbc con0 2on eqid setccat ax-mp csn prid1 df2o2 eleqtrri p0ex
      cpr 0ex prid2 0nep0 cat1lem mptru cvv fvexd adantr wb oveq ineq12d neeq1d
      fveq2 anbi1d 2rexbidv adantl pm4.61 2rexbii bitr3i bitri rexeq rexeqbi1dv
      rexnal2 rexbidv 3bitrd ad2antlr 3bitr3d sbcied2 rspcev mp2an ) HUFIZUAJZA
      KZBKZWJLIZMZCKZDKZWNMZUBZNUCZWLWPOWMWQOPZQZPZDWJUDIZRZCXDRZBXDRZAXDRZWLWM
      EKZMZWPWQXIMZUBZNUCZXAUEZDFKZUGCXOUGZBXOUGAXOUGQZEGKZLIZUHZFXRUDIZUHZGUAR
      HUIJZWKUJWJHUIWJUKZULUMXHSABCDXDWJHWNUINUNZYDYCSUJTXDUKWNUKNHJSNNYEUSZHNY
      EUTUOUPUQTYEHJSYEYFHNYEURVAUPUQTNYEUCSVBTVCVDYBXHGWJUAXRWJOZXTXHFYAXDVEYG
      XRUDVFXRWJUDVLYGXOXDOZPZXQXHEXSWNVEYIXRLVFYGXSWNOYHXRWJLVLVGYIXIWNOZPZXMX
      BPZDXORCXORZBXORAXORZXCDXORZCXORZBXORZAXORZXQXHYJYNYRVHYIYJYMYPABXOXOYJYL
      XCCDXOXOYJXMWTXBYJXLWSNYJXJWOXKWRWLWMXIWNVIWPWQXIWNVIVJVKVMVNVNVOYNXQVHYK
      YNXPQZBXORAXORXQYMYSABXOXOYMXNQZDXORCXORYSYTYLCDXOXOXMXAVPVQXNCDXOXOWBVRV
      QXPABXOXOWBVSTYHYRXHVHYGYJYHYRXECXORZBXORZAXORXFBXORZAXORXHYHYQUUBAXOYHYO
      XEBCXOXOXCDXOXDVTVNWCYHUUAXFABXOXOXECXOXDVTVNUUCXGAXOXDXFBXOXDVTWAWDWEWFW
      GWGWHWI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The category of categories
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CatCat $.

  $( Extend class notation to include the category Cat. $)
  ccatc $a class CatCat $.

  ${
    $d b f g u v x y z $.
    $( Definition of the category Cat, which consists of all categories in the
       universe ` u ` (i.e., " ` u ` -small categories", see Definition 3.44.
       of [Adamek] p. 39), with functors as the morphisms.  Definition 3.47 of
       [Adamek] p. 40.  We do not introduce a specific definition for " ` u `
       -large categories", which can be expressed as ` ( Cat \ u ) ` .
       (Contributed by Mario Carneiro, 3-Jan-2017.) $)
    df-catc $a |- CatCat = ( u e. _V |-> [_ ( u i^i Cat ) / b ]_
      { <. ( Base ` ndx ) , b >. ,
        <. ( Hom ` ndx ) , ( x e. b , y e. b |-> ( x Func y ) ) >. ,
        <. ( comp ` ndx ) , ( v e. ( b X. b ) , z e. b |->
          ( g e. ( ( 2nd ` v ) Func z ) , f e. ( Func ` v ) |->
            ( g o.func f ) ) ) >. } ) $.
  $}

  ${
    $d b u v x y z B $.  $d b u H $.  $d b u v x y z ph $.  $d b u v x y z U $.
    $d b f g u v x y z $.  $d b u .x. $.
    catcval.c $e |- C = ( CatCat ` U ) $.
    catcval.u $e |- ( ph -> U e. V ) $.
    catcval.b $e |- ( ph -> B = ( U i^i Cat ) ) $.
    catcval.h $e |- ( ph -> H = ( x e. B , y e. B |-> ( x Func y ) ) ) $.
    catcval.o $e |- ( ph -> .x. = ( v e. ( B X. B ) , z e. B |->
      ( g e. ( ( 2nd ` v ) Func z ) , f e. ( Func ` v ) |->
            ( g o.func f ) ) ) ) $.
    $( Value of the category of categories (in a universe).  (Contributed by
       Mario Carneiro, 3-Jan-2017.) $)
    catcval $p |- ( ph -> C = { <. ( Base ` ndx ) , B >. ,
      <. ( Hom ` ndx ) , H >. , <. ( comp ` ndx ) , .x. >. } ) $=
      ( cfv cv vu vb ccatc cnx cbs cop chom cco ctp ccat cin cfunc co cmpo c2nd
      cxp ccofu csb cvv df-catc wceq wa wcel vex inex1 a1i ineq1d adantr eqtr4d
      simpr opeq2d eqidd mpoeq123dv ad2antrr sqxpeqd csbied2 elexd tpex fvmptd2
      tpeq123d eqtrid ) AGIUCSUDUESZFUFZUDUGSZLUFZUDUHSZHUFZUIZNAUAIUBUATZUJUKZ
      WBUBTZUFZWDBCWKWKBTCTULUMZUNZUFZWFEDWKWKUPZWKKJETZUOSDTULUMWQULSKTJTUQUMU
      NZUNZUFZUIZURWHUSUCUSBCDEUAJKUBUTAWIIVAZVBZUBWJFXAWHUSWJUSVCXCWIUJUAVDVEV
      FXCWJIUJUKZFXCWIIUJAXBVJVGAFXDVAXBPVHVIXCWKFVAZVBZWLWCWOWEWTWGXFWKFWBXCXE
      VJZVKXFWNLWDXFWNBCFFWMUNZLXFBCWKWKWMFFWMXGXGXFWMVLVMALXHVAXBXEQVNVIVKXFWS
      HWFXFWSEDFFUPZFWRUNZHXFEDWPWKWRXIFWRXFWKFXGVOXGXFWRVLVMAHXJVAXBXERVNVIVKV
      TVPAIMOVQWHUSVCAWCWEWGVRVFVSWA $.
  $}

  ${
    $d v x y z B $.  $d f g v x y z ph $.  $d v x y z U $.  $d f g v x y z X $.
    $d f g F $.  $d f g G $.  $d f g v x y z Y $.  $d f g v z Z $.
    catcbas.c $e |- C = ( CatCat ` U ) $.
    catcbas.b $e |- B = ( Base ` C ) $.
    catcbas.u $e |- ( ph -> U e. V ) $.
    $( Set of objects of the category of categories.  (Contributed by Mario
       Carneiro, 3-Jan-2017.) $)
    catcbas $p |- ( ph -> B = ( U i^i Cat ) ) $=
      ( vx vy vv vz vg vf cnx cfv cop cv cfunc co ccat cin chom cmpo c2nd ccofu
      cbs cco cxp ctp cvv c1 c5 eqidd catcval catstr baseid snsstp1 wcel inex1g
      cdc syl strfv3 ) ABDUAUBZOUGPVDQZOUCPIJVDVDIRJRSTUDZQZOUHPKLVDVDUIVDMNKRZ
      UEPLRSTVHSPMRNRUFTUDUDZQZUJCUGUKULULUMVAQAIJLKVDCVIDNMVFEFHAVDUNAVFUNAVIU
      NUOVIVDVFUPUQVEVGVJURADEUSVDUKUSHDUAEUTVBGVC $.

    ${
      catchomfval.h $e |- H = ( Hom ` C ) $.
      $( Set of arrows of the category of categories (in a universe).
         (Contributed by Mario Carneiro, 3-Jan-2017.) $)
      catchomfval $p |- ( ph -> H = ( x e. B , y e. B |-> ( x Func y ) ) ) $=
        ( vv vz vg vf cfv cop chom cv cnx cbs cfunc cmpo cco cxp c2nd ccofu ctp
        co catcbas eqidd catcval fveq2d eqtrid cvv wcel wceq fvexi mpoex c1 cdc
        c5 catstr homid snsstp2 strfv mp1i eqtr4d ) AGUAUBQDRZUASQBCDDBTCTUCUJZ
        UDZRZUAUEQMNDDUFDOPMTZUGQNTUCUJVNUCQOTPTUHUJUDUDZRZUIZSQZVLAGESQVRLAEVQ
        SABCNMDEVOFPOVLHIKADEFHIJKUKAVLULAVOULUMUNUOVLUPUQVLVRURABCDDVKDEUBJUSZ
        VSUTVLVQSUPVAVAVCVBRVODVLVDVEVJVMVPVFVGVHVI $.

      catchom.x $e |- ( ph -> X e. B ) $.
      catchom.y $e |- ( ph -> Y e. B ) $.
      $( Set of arrows of the category of categories (in a universe).
         (Contributed by Mario Carneiro, 3-Jan-2017.) $)
      catchom $p |- ( ph -> ( X H Y ) = ( X Func Y ) ) $=
        ( vx vy cv cfunc co wceq cvv catchomfval wa oveq12 adantl ovexd ovmpod
        ) AOPGHBBOQZPQZRSZGHRSZEUAAOPBCDEFIJKLUBUHGTUIHTUCUJUKTAUHGUIHRUDUEMNAG
        HRUFUG $.
    $}

    ${
      catcco.o $e |- .x. = ( comp ` C ) $.
      $( Composition in the category of categories.  (Contributed by Mario
         Carneiro, 3-Jan-2017.) $)
      catccofval $p |- ( ph -> .x. = ( v e. ( B X. B ) , z e. B |->
      ( g e. ( ( 2nd ` v ) Func z ) , f e. ( Func ` v ) |->
            ( g o.func f ) ) ) ) $=
        ( vx cco cfv cnx cop cv vy cbs chom cxp c2nd cfunc co ccofu ctp catcbas
        cmpo eqid catchomfval eqidd catcval fveq2d cvv wcel wceq fvexi mpoex c1
        xpex c5 cdc catstr ccoid snsstp3 strfv ax-mp 3eqtr4g ) AEPQRUBQDSZRUCQE
        UCQZSZRPQCBDDUDZDIHCTZUEQBTUFUGVPUFQITHTUHUGUKZUKZSZUIZPQZFVRAEVTPAOUAB
        CDEVRGHIVMJKMADEGJKLMUJAOUADEGVMJKLMVMULUMAVRUNUOUPNVRUQURVRWAUSCBVODVQ
        DDDEUBLUTZWBVCWBVAVRVTPUQVBVBVDVESVRDVMVFVGVLVNVSVHVIVJVK $.

      catcco.x $e |- ( ph -> X e. B ) $.
      catcco.y $e |- ( ph -> Y e. B ) $.
      catcco.z $e |- ( ph -> Z e. B ) $.
      catcco.f $e |- ( ph -> F e. ( X Func Y ) ) $.
      catcco.g $e |- ( ph -> G e. ( Y Func Z ) ) $.
      $( Composition in the category of categories.  (Contributed by Mario
         Carneiro, 3-Jan-2017.) $)
      catcco $p |- ( ph -> ( G ( <. X , Y >. .x. Z ) F ) = ( G o.func F ) ) $=
        ( vg vf vv vz cfunc co cv ccofu cop cvv cxp c2nd cfv cmpo catccofval wa
        wceq simprl fveq2d wcel op2ndg syl2anc adantr eqtrd oveq12d df-ov eqidd
        simprr eqtr4di mpoeq123dv opelxpd ovex mpoex ovmpod oveq12 adantl ovexd
        a1i ) AUAUBGFJKUEUFZIJUEUFZUAUGZUBUGZUHUFZGFUHUFZIJUIZKDUFUJAUCUDWEKBBU
        KBUAUBUCUGZULUMZUDUGZUEUFZWFUEUMZWCUNUAUBVSVTWCUNZDUJAUDUCBCDEUBUAHLMNO
        UOAWFWEUQZWHKUQZUPZUPZUAUBWIWJWCVSVTWCWOWGJWHKUEWOWGWEULUMZJWOWFWEULAWL
        WMURZUSAWPJUQZWNAIBUTJBUTWRPQIJBBVAVBVCVDAWLWMVHVEWOWJWEUEUMVTWOWFWEUEW
        QUSIJUEVFVIWOWCVGVJAIJBBPQVKRWKUJUTAUAUBVSVTWCJKUEVLIJUEVLVMVRVNWAGUQWB
        FUQUPWCWDUQAWAGWBFUHVOVPTSAGFUHVQVN $.
    $}
  $}

  ${
    $d f g h w x y z B $.  $d f g h w x y z C $.  $d f g h w x y z U $.
    $d x ph $.  $d f g h w x y z V $.  $d x X $.
    catccatid.c $e |- C = ( CatCat ` U ) $.
    catccatid.b $e |- B = ( Base ` C ) $.
    $( Lemma for ~ catccat .  (Contributed by Mario Carneiro, 3-Jan-2017.) $)
    catccatid $p |- ( U e. V ->
      ( C e. Cat /\ ( Id ` C ) = ( x e. B |-> ( idFunc ` x ) ) ) ) $=
      ( wcel cv wa cfv co cfunc ccat eqid catchom cop ccofu eleqtrd catcco chom
      vw vy vz vf vg vh w3a cco cidfu cvv cbs wceq a1i eqidd ccatc fvexi cin id
      biid catcbas inss2 eqsstrdi sselda idfucl syl simpl simpr simpr1l simpr1r
      simpr31 syldan cofulid eqtrd simpr2l simpr32 cofurid cofucl oveq1d oveq2d
      eleqtrrd 3eltr4d simpr33 simpr2r cofuass 3eqtr4d iscatd2 ) DEHZUBIZBHZAIZ
      BHZJZUCIZBHZUDIZBHZJZUEIZWIWKCUAKZLZHZUFIZWKWNWTLZHZUGIZWNWPWTLZHZUHZUHZU
      BAUCUDBCCUIKZWKUJKZUEUFUGWTUKBCULKUMWHGUNWHWTUOWHXKUOCUKHWHCDUPFUQUNXJUTW
      HWLJZXLWKWKMLZWKWKWTLXMWKNHXLXNHZWHBNWKWHBDNURNWHBCDEFGWHUSVADNVBVCVDWKXL
      XLOZVEVFZXMBCDWTEWKWKFGWHWLVGWTOZWHWLVHZXSPWAWHXJJZXLWSWIWKQZWKXKLLXLWSRL
      WSXTBCXKDWSXLEWIWKWKFGWHXJVGZXKOZWJWLWRXIWHVIZWJWLWRXIWHVJZYEXTWSXAWIWKML
      XBXEXHWMWRWHVKXTBCDWTEWIWKFGYBXRYDYEPSZWHXJWLXOYEXQVLZTXTWIWKWSXLYFXPVMVN
      XTXCXLWKWKQWNXKLLXCXLRLXCXTBCXKDXLXCEWKWKWNFGYBYCYEYEWOWQWMXIWHVOZYGXTXCX
      DWKWNMLXBXEXHWMWRWHVPXTBCDWTEWKWNFGYBXRYEYHPSZTXTWKWNXCXLYIXPVQVNXTXCWSRL
      ZWIWNMLXCWSYAWNXKLLZWIWNWTLXTWIWKWNWSXCYFYIVRZXTBCXKDWSXCEWIWKWNFGYBYCYDY
      EYHYFYITZXTBCDWTEWIWNFGYBXRYDYHPWBXTXFXCRLZWSYAWPXKLZLZXFYJWIWNQWPXKLZLZX
      FXCWKWNQWPXKLLZWSYOLXFYKYQLXTYNWSRLXFYJRLYPYRXTWIWKWNWPWSXCXFYFYIXTXFXGWN
      WPMLXBXEXHWMWRWHWCXTBCDWTEWNWPFGYBXRYHWOWQWMXIWHWDZPSZWEXTBCXKDWSYNEWIWKW
      PFGYBYCYDYEYTYFXTWKWNWPXCXFYIUUAVRTXTBCXKDYJXFEWIWNWPFGYBYCYDYHYTYLUUATWF
      XTYSYNWSYOXTBCXKDXCXFEWKWNWPFGYBYCYEYHYTYIUUATVSXTYKYJXFYQYMVTWFWG $.

    catcid.o $e |- .1. = ( Id ` C ) $.
    catcid.i $e |- I = ( idFunc ` X ) $.
    catcid.u $e |- ( ph -> U e. V ) $.
    catcid.x $e |- ( ph -> X e. B ) $.
    $( The identity arrow in the category of categories is the identity
       functor.  (Contributed by Mario Carneiro, 3-Jan-2017.) $)
    catcid $p |- ( ph -> ( .1. ` X ) = I ) $=
      ( vx cfv cidfu wcel wceq wa cv cvv ccid cmpt ccat catccatid simprd eqtrid
      syl simpr fveq2d fvexd fvmptd eqtr4di ) AHEPHQPZFAOHOUAZQPZUOBEUBAECUCPZO
      BUQUDZKACUERZURUSSZADGRUTVATMOBCDGIJUFUIUGUHAUPHSZTUPHQAVBUJUKNAHQULUMLUN
      $.
  $}

  ${
    $d x C $.  $d x U $.  $d x V $.
    catccat.c $e |- C = ( CatCat ` U ) $.
    $( The category of categories is a category, see remark 3.48 in [Adamek]
       p. 40.  (Clearly it cannot be an element of itself, hence it is " ` U `
       -large".)  (Contributed by Mario Carneiro, 3-Jan-2017.) $)
    catccat $p |- ( U e. V -> C e. Cat ) $=
      ( vx wcel ccat ccid cfv cbs cv cidfu cmpt wceq eqid catccatid simpld ) BC
      FAGFAHIEAJIZEKLIMNERABCDROPQ $.
  $}

  ${
    $d f g x y z C $.  $d f g x y z D $.  $d f g x y z ph $.  $d f g x y z V $.
    resscatc.c $e |- C = ( CatCat ` U ) $.
    resscatc.d $e |- D = ( CatCat ` V ) $.
    resscatc.1 $e |- ( ph -> U e. W ) $.
    resscatc.2 $e |- ( ph -> V C_ U ) $.
    $( The restriction of the category of categories to a subset is the
       category of categories in the subset.  Thus, the ` CatCat `` U `
       categories for different ` U ` are full subcategories of each other.
       (Contributed by Mario Carneiro, 6-Jan-2017.) $)
    resscatc $p |- ( ph -> ( ( Homf ` ( C |`s V ) ) = ( Homf ` D ) /\
                             ( comf ` ( C |`s V ) ) = ( comf ` D ) ) ) $=
      ( vx vy co cfv wceq cin wral wcel cvv eqid vg vf vz cress chomf chom ccat
      ccomf cv wa cfunc cbs ssexd adantr simprl catcbas eleqtrrd simprr catchom
      wss inass ineq2d eqtr4id df-ss sylib ineq1d ressbas syl 3eqtr3d ressbasss
      eqsstrdi sseldd oveqdr 3eqtr2rd ralrimivva eqcomd homfeq mpbird cop ccofu
      resshom cco ad2antrr simplr1 simplr2 simplr3 eleqtrd catcco oveqd 3eqtr2d
      w3a ressco ralrimivvva comfeq jca ) ABEUDMZUENZCUENZOZWPUHNZCUHNZOAWSKUIZ
      LUIZWPUFNZMZXBXCCUFNZMZOZLEUGPZQKXIQAXHKLXIXIAXBXIRZXCXIRZUJZUJZXGXBXCUKM
      ZXBXCBUFNZMXEXMCULNZCEXFSXBXCHXPTZAESRZXLAEDFIJUMZUNXFTZXMXBXIXPAXJXKUOZA
      XPXIOZXLAXPCESHXQXSUPZUNZUQXMXCXIXPAXJXKURZYDUQUSXMBULNZBDXOFXBXCGYFTZADF
      RZXLIUNXOTZXMXIYFXBAXIYFUTZXLAXIWPULNZYFAEDPZUGPZEYFPZXIYKAYMEDUGPZPYNEDU
      GVAAYFYOEAYFBDFGYGIUPVBVCAYLEUGAEDUTYLEOJEDVDVEVFAXRYNYKOXSEYFWPSBWPTZYGV
      GVHVIZEYFWPBYPYGVJVKZUNZYAVLXMXIYFXCYSYEVLUSAXLKLXOXDAXRXOXDOXSEBWPXOSYPY
      IWAVHVMVNVOAKLXIWPCXDXFXDTXTYQAXPXIYCVPZVQVRZAXAWTAXAWTOUAUIZUBUIZXBXCVSZ
      UCUIZCWBNZMMZUUBUUCUUDUUEWPWBNZMZMZOZUAXCUUEXFMZQUBXGQZUCXIQLXIQKXIQAUUMK
      LUCXIXIXIAXJXKUUEXIRZWKZUJZUUKUBUAXGUULUUPUUCXGRZUUBUULRZUJZUJZUUGUUBUUCV
      TMUUBUUCUUDUUEBWBNZMZMUUJUUTXPCUUFEUUCUUBSXBXCUUEHXQAXRUUOUUSXSWCZUUFTZUU
      TXBXIXPXJXKUUNAUUSWDZAYBUUOUUSYCWCZUQZUUTXCXIXPXJXKUUNAUUSWEZUVFUQZUUTUUE
      XIXPXJXKUUNAUUSWFZUVFUQZUUTUUCXGXNUUPUUQUURUOUUTXPCEXFSXBXCHXQUVCXTUVGUVI
      USWGZUUTUUBUULXCUUEUKMUUPUUQUURURUUTXPCEXFSXCUUEHXQUVCXTUVIUVKUSWGZWHUUTY
      FBUVADUUCUUBFXBXCUUEGYGAYHUUOUUSIWCUVATZUUTXIYFXBAYJUUOUUSYRWCZUVEVLUUTXI
      YFXCUVOUVHVLUUTXIYFUUEUVOUVJVLUVLUVMWHUUTUVBUUIUUBUUCUUTUVAUUHUUDUUEAUVAU
      UHOZUUOUUSAXRUVPXSEBWPUVASYPUVNWLVHWCWIWIWJVOWMAKLUCXICWPUUHUUFUBUAXFUVDU
      UHTXTYTYQAWQWRUUAVPWNVRVPWO $.
  $}

  ${
    $d x y C $.  $d f g u v x y z F $.  $d u v x y G $.  $d f g u v x y z ph $.
    $d f g u v z H $.  $d x y I $.  $d u v x y z R $.  $d f g u v x y z S $.
    $d f g u v x y z X $.  $d f g u v x y z Y $.
    catciso.c $e |- C = ( CatCat ` U ) $.
    catciso.b $e |- B = ( Base ` C ) $.
    catciso.r $e |- R = ( Base ` X ) $.
    catciso.s $e |- S = ( Base ` Y ) $.
    catciso.u $e |- ( ph -> U e. V ) $.
    catciso.x $e |- ( ph -> X e. B ) $.
    catciso.y $e |- ( ph -> Y e. B ) $.
    ${
      catcisolem.i $e |- I = ( Inv ` C ) $.
      catcisolem.g $e |- H = ( x e. S , y e. S |->
        `' ( ( `' F ` x ) G ( `' F ` y ) ) ) $.
      catcisolem.1 $e |- ( ph -> F ( ( X Full Y ) i^i ( X Faith Y ) ) G ) $.
      catcisolem.2 $e |- ( ph -> F : R -1-1-onto-> S ) $.
      $( Lemma for ~ catciso .  (Contributed by Mario Carneiro,
         29-Jan-2017.) $)
      catcisolem $p |- ( ph -> <. F , G >. ( X I Y ) <. `' F , H >. ) $=
        ( vu vv vz vf vg cop ccnv co wbr csect cfv cco ccid wceq ccofu cidfu cv
        ccom cmpo cid cres cxp chom cmpt wf1o f1ococnv1 syl wcel 3ad2ant1 simp2
        w3a wf f1of ffvelrnd simp3 simpl fveq2d simpr oveq12d cnveqd ovex cnvex
        wa ovmpoa syl2anc f1ocnvfv1 coeq1d eqid cful cfth cin ffthf1o mpoeq3dva
        eqtrd fveq2 df-ov eqtr4di reseq2d mpompt opeq12d cfunc inss1 sstri ccat
        fullfunc ssbri catcbas eqsstrdi sseldd f1ocnv 3syl adantr ffvelrnda weq
        inss2 f1ocnvfv2 mpbird fveq1d wi f1ocnvfv f1oeq3d mpbid 3eqtr4d idfuval
        cofuval2 df-br sylib catcco catcid catchom eleqtrrd issect2 f1ococnv2
        mpd wfn fnmpoi adantrr adantrl adantl simprl simprr eqcomd feq12d sylan
        a1i funcid catidcl simp21 simp22 simp23 simp3l oveq123d catcocl isfuncd
        simp3r funcco catccat 3adant1 coeq2d 3adant3 3adant2 3impb mpbir2and
        isinv ) AIJULZIUMZKULZNOLUNUOUVKUVMNOEUPUQZUNUOZUVMUVKONUVNUNUOZAUVOUVM
        UVKNOULNEURUQZUNUNZNEUSUQZUQZUTAUVMUVKVAUNZNVBUQZUVRUVTAUVLIVDZUGUHFFUG
        VCZIUQZUHVCZIUQZKUNZUWDUWFJUNZVDZVEZULVFFVGZUIFFVHVFUIVCZNVIUQZUQZVGZVJ
        ZULUWAUWBAUWCUWLUWKUWQAFGIVKZUWCUWLUTUFFGIVLVMAUWKUGUHFFVFUWDUWFUWNUNZV
        GZVEUWQAUGUHFFUWJUWTAUWDFVNZUWFFVNZVQZUWJUWIUMZUWIVDZUWTUXCUWHUXDUWIUXC
        UWHUWEUVLUQZUWGUVLUQZJUNZUMZUXDUXCUWEGVNUWGGVNUWHUXIUTUXCFGUWDIUXCUWRFG
        IVRAUXAUWRUXBUFVOZFGIVSVMZAUXAUXBVPZVTUXCFGUWFIUXKAUXAUXBWAZVTBCUWEUWGG
        GBVCZUVLUQZCVCZUVLUQZJUNZUMZUXIKUXNUWEUTZUXPUWGUTZWIZUXRUXHUYBUXOUXFUXQ
        UXGJUYBUXNUWEUVLUXTUYAWBWCUYBUXPUWGUVLUXTUYAWDWCWEWFUDUXHUXFUXGJWGWHWJW
        KUXCUXHUWIUXCUXFUWDUXGUWFJUXCUWRUXAUXFUWDUTUXJUXLFGUWDIWLWKUXCUWRUXBUXG
        UWFUTUXJUXMFGUWFIWLWKWEWFWTWMUXCUWSUWEUWGOVIUQZUNZUWIVKUXEUWTUTUXCFNOIJ
        UWNUYCUWDUWFRUWNWNZUYCWNZAUXAIJNOWOUNZNOWPUNZWQZUOZUXBUEVOUXLUXMWRUWSUY
        DUWIVLVMWTWSUGUHUIFFUWPUWTUWMUWDUWFULZUTZUWOUWSVFUYLUWOUYKUWNUQUWSUWMUY
        KUWNXAUWDUWFUWNXBXCXDXEXCXFAUGUHFNONIJUVLKRAUYJIJNOXGUNZUOZUEUYIUYMIJUY
        IUYGUYMUYGUYHXHNOXKXIXLVMZAUGUHUIGFOOURUQZOUSUQZUJUKNUVLKUYCNUSUQZUWNNU
        RUQZSRUYFUYEUYQWNZUYRWNZUYPWNZUYSWNZADXJOADHXJWQXJADEHMPQTXMHXJYAXNZUBX
        OZADXJNVUDUAXOZAUWRGFUVLVKGFUVLVRZUFFGIXPGFUVLVSXQZKGGVHZUUAABCGGUXSKUD
        UXRUXOUXQJWGWHUUBUUKAUWDGVNZUWFGVNZWIZWIZUWDUWFUYCUNZUWDUVLUQZUWFUVLUQZ
        UWNUNZUWDUWFKUNZVRVUOIUQZVUPIUQZUYCUNZVUQVUOVUPJUNZUMZVRZVUMVUQVVAVVBVK
        ZVVAVUQVVCVKVVDVUMFNOIJUWNUYCVUOVUPRUYEUYFAUYJVULUEXRAVUJVUOFVNZVUKAGFU
        WDUVLVUHXSZUUCAVUKVUPFVNZVUJAGFUWFUVLVUHXSZUUDWRVUQVVAVVBXPVVAVUQVVCVSX
        QVUMVUNVVAVUQVURVVCVULVURVVCUTZABCUWDUWFGGUXSVVCKBUGXTZCUHXTZWIZUXRVVBV
        VMUXOVUOUXQVUPJVVMUXNUWDUVLVVKVVLWBWCVVMUXPUWFUVLVVKVVLWDWCWEWFUDVVBVUO
        VUPJWGWHWJZUUEVUMVVAVUNVUMVUSUWDVUTUWFUYCVUMUWRVUJVUSUWDUTZAUWRVULUFXRZ
        AVUJVUKUUFFGUWDIYBZWKVUMUWRVUKVUTUWFUTZVVPAVUJVUKUUGFGUWFIYBZWKWEZUUHUU
        IYCAVUJWIZUWDUYQUQZUWDUWDKUNZUQVWBVUOVUOJUNZUMZUQZVUOUYRUQZVWAVWBVWCVWE
        VWAVUJVUJVWCVWEUTAVUJWDZVWHBCUWDUWDGGUXSVWEKVVKCUGXTZWIZUXRVWDVWJUXOVUO
        UXQVUOJVWJUXNUWDUVLVVKVWIWBWCVWJUXPUWDUVLVVKVWIWDWCWEWFUDVWDVUOVUOJWGWH
        WJWKYDVWAVWGVWDUQZVWBUTZVWFVWGUTZVWAVWKVUSUYQUQVWBVWAFNUYROIJUYQVUORVUA
        UYTAUYNVUJUYOXRVVGUULVWAVUSUWDUYQAUWRVUJVVOUFVVQUUJWCWTVWAVUOVUOUWNUNZV
        USVUSUYCUNZVWDVKVWGVWNVNVWLVWMYEVWAFNOIJUWNUYCVUOVUORUYEUYFAUYJVUJUEXRV
        VGVVGWRVWAFNUYRUWNVUORUYEVUAANXJVNZVUJVUFXRVVGUUMVWNVWOVWGVWBVWDYFWKYTW
        TAVUJVUKUWMGVNZVQZUJVCZVUNVNZUKVCZUWFUWMUYCUNZVNZWIZVQZVXAVWSUYKUWMUYPU
        NZUNZVUOUWMUVLUQZJUNZUMZUQZVXAVUPVXHJUNZUMZUQZVWSVVCUQZVUOVUPULVXHUYSUN
        ZUNZVXGUWDUWMKUNZUQVXAUWFUWMKUNZUQZVWSVURUQZVXPUNVXEVXQVXIUQZVXGUTZVXKV
        XQUTZVXEVYBVXNVXLUQZVXOVVBUQZVUSVUTULZVXHIUQZUYPUNZUNVXGVXEFNUYSOIJUWNV
        XOVXNUYPVUOVUPVXHRUYEVUCVUBAVWRUYNVXDUYOVOVXEGFUWDUVLAVWRVUGVXDVUHVOZAV
        UJVUKVWQVXDUUNZVTZVXEGFUWFUVLVYJAVUJVUKVWQVXDUUOZVTZVXEGFUWMUVLVYJAVUJV
        UKVWQVXDUUPZVTZVXEVUNVUQVWSVVCVXEVUQVUNVVBVKZVUNVUQVVCVKVUNVUQVVCVRVXEV
        VEVYQVXEFNOIJUWNUYCVUOVUPRUYEUYFAVWRUYJVXDUEVOZVYLVYNWRVXEVVAVUNVUQVVBV
        XEVUSUWDVUTUWFUYCVXEUWRVUJVVOAVWRUWRVXDUFVOZVYKVVQWKZVXEUWRVUKVVRVYSVYM
        VVSWKZWEYGYHZVUQVUNVVBXPVUNVUQVVCVSXQAVWRVWTVXCUUQZVTZVXEVXBVUPVXHUWNUN
        ZVXAVXMVXEWUEVXBVXLVKZVXBWUEVXMVKVXBWUEVXMVRVXEWUEVUTVYHUYCUNZVXLVKWUFV
        XEFNOIJUWNUYCVUPVXHRUYEUYFVYRVYNVYPWRVXEWUGVXBWUEVXLVXEVUTUWFVYHUWMUYCW
        UAVXEUWRVWQVYHUWMUTVYSVYOFGUWMIYBWKZWEYGYHZWUEVXBVXLXPVXBWUEVXMVSXQAVWR
        VWTVXCUVAZVTZUVBVXEVYEVXAVYFVWSVYIVXFVXEVYGUYKVYHUWMUYPVXEVUSUWDVUTUWFV
        YTWUAXFWUHWEVXEWUFVXCVYEVXAUTWUIWUJWUEVXBVXAVXLYBWKVXEVYQVWTVYFVWSUTWUB
        WUCVUQVUNVWSVVBYBWKUURWTVXEVUOVXHUWNUNZUWDUWMUYCUNZVXIVKZVXQWULVNVYCVYD
        YEVXEWULVUSVYHUYCUNZVXIVKWUNVXEFNOIJUWNUYCVUOVXHRUYEUYFVYRVYLVYPWRVXEWU
        OWUMWULVXIVXEVUSUWDVYHUWMUYCVYTWUHWEYGYHVXEFNUYSVXOVXNUWNVUOVUPVXHRUYEV
        UCAVWRVWPVXDVUFVOVYLVYNVYPWUDWUKUUSWULWUMVXQVXGVXIYFWKYTVXEVXGVXRVXJVXE
        VUJVWQVXRVXJUTVYKVYOBCUWDUWMGGUXSVXJKVVKCUIXTZWIZUXRVXIWUQUXOVUOUXQVXHJ
        WUQUXNUWDUVLVVKWUPWBWCWUQUXPUWMUVLVVKWUPWDWCWEWFUDVXIVUOVXHJWGWHWJWKYDV
        XEVXTVXNVYAVXOVXPVXEVXAVXSVXMVXEVUKVWQVXSVXMUTVYMVYOBCUWFUWMGGUXSVXMKBU
        HXTZWUPWIZUXRVXLWUSUXOVUPUXQVXHJWUSUXNUWFUVLWURWUPWBWCWUSUXPUWMUVLWURWU
        PWDWCWEWFUDVXLVUPVXHJWGWHWJWKYDVXEVWSVURVVCVXEVUJVUKVVJVYKVYMVVNWKYDWEY
        IUUTZYKAUIFNUWNUWBUWBWNZRVUFUYEYJYIADEUVQHUVKUVMMNONPQTUVQWNZUAUBUAAUYN
        UVKUYMVNUYOIJUYMYLYMZAUVLKONXGUNZUOUVMWVDVNWUTUVLKWVDYLYMZYNADEHUVSUWBM
        NPQUVSWNZWVATUAYOYIADEUVNUVQUVSUVKUVMEVIUQZNOQWVGWNZWVBWVFUVNWNZAHMVNEX
        JVNTEHMPUVCVMZUAUBAUVKUYMNOWVGUNWVCADEHWVGMNOPQTWVHUAUBYPYQZAUVMWVDONWV
        GUNWVEADEHWVGMONPQTWVHUBUAYPYQZYRYCAUVPUVKUVMONULOUVQUNUNZOUVSUQZUTAUVK
        UVMVAUNZOVBUQZWVMWVNAIUVLVDZUGUHGGVVBVURVDZVEZULVFGVGZUIVUIVFUWMUYCUQZV
        GZVJZULWVOWVPAWVQWVTWVSWWCAUWRWVQWVTUTUFFGIYSVMAWVSUGUHGGVFVUNVGZVEWWCA
        UGUHGGWVRWWDAVUJVUKVQZWVRVVBVVCVDZWWDWWEVURVVCVVBVUJVUKVVJAVVNUVDUVEWWE
        VYQWWFWWDUTWWEVVEVYQWWEFNOIJUWNUYCVUOVUPRUYEUYFAVUJUYJVUKUEVOAVUJVVFVUK
        VVGUVFAVUKVVHVUJVVIUVGWRWWEVVAVUNVUQVVBAVUJVUKVVAVUNUTVVTUVHYGYHVUQVUNV
        VBYSVMWTWSUGUHUIGGWWBWWDUYLWWAVUNVFUYLWWAUYKUYCUQVUNUWMUYKUYCXAUWDUWFUY
        CXBXCXDXEXCXFAUGUHGONOUVLKIJSWUTUYOYKAUIGOUYCWVPWVPWNZSVUEUYFYJYIADEUVQ
        HUVMUVKMONOPQTWVBUBUAUBWVEWVCYNADEHUVSWVPMOPQWVFWWGTUBYOYIADEUVNUVQUVSU
        VMUVKWVGONQWVHWVBWVFWVIWVJUBUAWVLWVKYRYCADEUVNUVKUVMLNOQUCWVJUAUBWVIUVJ
        UVI $.
    $}

    catciso.i $e |- I = ( Iso ` C ) $.
    $( A functor is an isomorphism of categories if and only if it is full and
       faithful, and is a bijection on the objects.  Remark 3.28(2) in [Adamek]
       p. 34.  (Contributed by Mario Carneiro, 29-Jan-2017.) $)
    catciso $p |- ( ph -> ( F e. ( X I Y ) <->
      ( F e. ( ( X Full Y ) i^i ( X Faith Y ) ) /\
        ( 1st ` F ) : R -1-1-onto-> S ) ) ) $=
      ( cfv vx vy co wcel cful cfth cin c1st wf1o wa c2nd cop wrel wceq relfunc
      cfunc chom cinv cco ccid csect wbr w3a cdm eqid catccat syl isoval eleq2d
      ccat biimpa wfun adantr invfun funfvbrb mpbid isinv simpld issect catchom
      wb simp1d eleqtrd 1st2nd sylancr cv wral 1st2ndbr simprl simprr funcf2 wf
      simp2d funcf1 ffvelrnd simp3d catcco catcid 3eqtr3d fveq2d fveq1d catcbas
      ccofu cidfu cofu1 inss2 eqsstrdi sseldd ad2antrr idfu1 oveq12d feq3d ccom
      cid cres oveqd cofu2nd idfu2nd simprd coeq1d eqtrd wss fcof1od ralrimivva
      isffth2 sylanbrc df-br sylib eqeltrd cofu1st jca ccnv cmpo inss1 fullfunc
      idfu1st sstri sselid eqeltrrd sylibr catcisolem eqbrtrd inviso1 impbida )
      AGJKHUCZUDZGJKUEUCZJKUFUCZUGZUDZDEGUHTZUIZUJZAUUFUJZUUJUULUUNGUUKGUKTZULZ
      UUIUUNJKUPUCZUMZGUUQUDZGUUPUNZJKUOZUUNGJKCUQTZUCZUUQUUNGUVCUDZGJKCURTZUCZ
      TZKJUVBUCZUDZUVGGJKULJCUSTZUCUCZJCUTTZTZUNZUUNGUVGJKCVATZUCVBZUVDUVIUVNVC
      UUNUVPUVGGKJUVOUCVBZUUNGUVGUVFVBZUVPUVQUJUUNGUVFVDZUDZUVRAUUFUVTAUUEUVSGA
      BCHUVEJKMUVEVEZAFIUDZCVJUDZPCFILVFVGZQRSVHVIVKUUNUVFVLUVTUVRWAUUNBCUVEJKM
      UWAAUWCUUFUWDVMZAJBUDZUUFQVMZAKBUDZUUFRVMZVNGUVFVOVGVPUUNBCUVOGUVGUVEJKMU
      WAUWEUWGUWIUVOVEZVQVPZVRUUNBCUVOUVJUVLGUVGUVBJKMUVBVEZUVJVEZUVLVEZUWJUWEU
      WGUWIVSVPZWBAUVCUUQUNUUFABCFUVBIJKLMPUWLQRVTVMWCZGUUQWDZWEUUNUUKUUOUUIVBZ
      UUPUUIUDZUUNUUKUUOUUQVBZUAWFZUBWFZJUQTZUCZUXAUUKTZUXBUUKTZKUQTZUCZUXAUXBU
      UOUCZUIZUBDWGUADWGUWRUUNUURUUSUWTUVAUWPGUUQWHWEZUUNUXJUAUBDDUUNUXADUDZUXB
      DUDZUJZUJZUXDUXHUXIUXEUXFUVGUKTZUCZUXODJKUUKUUOUXCUXGUXAUXBNUXCVEZUXGVEZU
      UNUWTUXNUXKVMZUUNUXLUXMWIZUUNUXLUXMWJZWKUXOUXHUXEUVGUHTZTZUXFUYCTZUXCUCZU
      XQWLUXHUXDUXQWLUXOEKJUYCUXPUXGUXCUXEUXFOUXSUXRUUNUYCUXPKJUPUCZVBZUXNUUNUY
      GUMUVGUYGUDZUYHKJUOUUNUVGUVHUYGUUNUVDUVIUVNUWOWMAUVHUYGUNUUFABCFUVBIKJLMP
      UWLRQVTVMWCZUVGUYGWHWEZVMUXODEUXAUUKUXODEJKUUKUUONOUXTWNZUYAWOZUXODEUXBUU
      KUYLUYBWOZWKUXOUYFUXDUXQUXHUXOUYDUXAUYEUXBUXCUXOUXAUVGGXCUCZUHTZTUXAJXDTZ
      UHTZTUYDUXAUXOUXAUYPUYRUXOUYOUYQUHUUNUYOUYQUNUXNUUNUVKUVMUYOUYQUUNUVDUVIU
      VNUWOWPUUNBCUVJFGUVGIJKJLMAUWBUUFPVMZUWMUWGUWIUWGUWPUYJWQAUVMUYQUNUUFABCF
      UVLUYQIJLMUWNUYQVEZPQWRVMWSZVMZWTZXAUXODJKJGUVGUXANUUNUUSUXNUWPVMZUUNUYIU
      XNUYJVMZUYAXEUXODJUYQUXAUYTNAJVJUDZUUFUXNABVJJABFVJUGVJABCFILMPXBFVJXFXGZ
      QXHZXIZUYAXJWSZUXOUXBUYPTUXBUYRTUYEUXBUXOUXBUYPUYRVUCXAUXODJKJGUVGUXBNVUD
      VUEUYBXEUXODJUYQUXBUYTNVUIUYBXJWSZXKXLVPUXOUXAUXBUYOUKTZUCUXAUXBUYQUKTZUC
      UXQUXIXMXNUXDXOUXOVULVUMUXAUXBUXOUYOUYQUKVUBWTXPUXODJKJGUVGUXAUXBNVUDVUEU
      YAUYBXQUXODJUXCUYQUXAUXBUYTNVUIUXRUYAUYBXRWSUXOUXEUXFGUVGXCUCZUKTZUCZUXEU
      XFKXDTZUKTZUCUXIUXQXMZXNUXHXOUXOVUOVURUXEUXFUXOVUNVUQUKUUNVUNVUQUNUXNUUNG
      UVGKJULKUVJUCUCZKUVLTZVUNVUQUUNUVIUVDVUTVVAUNZUUNUVQUVIUVDVVBVCUUNUVPUVQU
      WKXSUUNBCUVOUVJUVLUVGGUVBKJMUWLUWMUWNUWJUWEUWIUWGVSVPWPUUNBCUVJFUVGGIKJKL
      MUYSUWMUWIUWGUWIUYJUWPWQAVVAVUQUNUUFABCFUVLVUQIKLMUWNVUQVEZPRWRVMWSZVMWTX
      PUXOVUPUYDUYEUUOUCZUXQXMVUSUXOEKJKUVGGUXEUXFOVUEVUDUYMUYNXQUXOVVEUXIUXQUX
      OUYDUXAUYEUXBUUOVUJVUKXKXTYAUXOEKUXGVUQUXEUXFVVCOUXOBVJKABVJYBUUFUXNVUGXI
      AUWHUUFUXNRXIXHUXSUYMUYNXRWSYCYDUAUBDJKUUKUUOUXCUXGNUXRUXSYEYFUUKUUOUUIYG
      ZYHYIUUNDEUUKUYCUUNDEJKUUKUUONOUXKWNUUNEDKJUYCUXPONUYKWNUUNUYPUYRUYCUUKXM
      XNDXOUUNUYOUYQUHVUAWTUUNDJKJGUVGNUWPUYJYJUUNDJUYQUYTNAVUFUUFVUHVMYPWSUUNV
      UNUHTVUQUHTUUKUYCXMXNEXOUUNVUNVUQUHVVDWTUUNEKJKUVGGOUYJUWPYJUUNEKVUQVVCOA
      KVJUDUUFABVJKVUGRXHVMYPWSYCYKAUUMUJZBCGUUKYLZUAUBEEUXAVVHTUXBVVHTUUOUCYLY
      MZULZHUVEJKMUWAAUWCUUMUWDVMAUWFUUMQVMZAUWHUUMRVMZSVVGGUUPVVJUVFVVGUURUUSU
      UTUVAVVGUUIUUQGUUIUUGUUQUUGUUHYNJKYOYQAUUJUULWIZYRUWQWEZVVGUAUBBCDEFUUKUU
      OVVIUVEIJKLMNOAUWBUUMPVMVVKVVLUWAVVIVEVVGUWSUWRVVGGUUPUUIVVNVVMYSVVFYTAUU
      JUULWJUUAUUBUUCUUD $.
  $}

  ${
    catcbascl.c $e |- C = ( CatCat ` U ) $.
    catcbascl.b $e |- B = ( Base ` C ) $.
    catcbascl.u $e |- ( ph -> U e. WUni ) $.
    catcbascl.x $e |- ( ph -> X e. B ) $.
    $( An element of the base set of the category of categories for a weak
       universe belongs to the weak universe.  Formerly part of the proof for
       ~ catcoppccl .  (Contributed by AV, 14-Oct-2024.) $)
    catcbascl $p |- ( ph -> X e. U ) $=
      ( ccat cin cwun catcbas eleqtrd elin1d ) ADJEAEBDJKIABCDLFGHMNO $.

    ${
      catcslotelcl.e $e |- E = Slot ( E ` ndx ) $.
      $( A slot entry of an element of the base set of the category of
         categories for a weak universe belongs to the weak universe.  Formerly
         part of the proof for ~ catcoppccl .  (Contributed by AV,
         14-Oct-2024.) $)
      catcslotelcl $p |- ( ph -> ( E ` X ) e. U ) $=
        ( cnx cfv catcbascl wunstr ) AFDELEMKIABCDFGHIJNO $.
    $}

    $( The base set of an element of the base set of the category of categories
       for a weak universe belongs to the weak universe.  Formerly part of the
       proof for ~ catcoppccl .  (Contributed by AV, 14-Oct-2024.) $)
    catcbaselcl $p |- ( ph -> ( Base ` X ) e. U ) $=
      ( cbs baseid catcslotelcl ) ABCDJEFGHIKL $.

    $( The Hom-set of an element of the base set of the category of categories
       for a weak universe belongs to the weak universe.  Formerly part of the
       proof for ~ catcoppccl .  (Contributed by AV, 14-Oct-2024.) $)
    catchomcl $p |- ( ph -> ( Hom ` X ) e. U ) $=
      ( chom homid catcslotelcl ) ABCDJEFGHIKL $.

    $( The composition operation of an element of the base set of the category
       of categories for a weak universe belongs to the weak universe.
       Formerly part of the proof for ~ catcoppccl .  (Contributed by AV,
       14-Oct-2024.) $)
    catcccocl $p |- ( ph -> ( comp ` X ) e. U ) $=
      ( cco ccoid catcslotelcl ) ABCDJEFGHIKL $.
  $}

  ${
    $d x y ph $.  $d x y X $.
    catcoppccl.c $e |- C = ( CatCat ` U ) $.
    catcoppccl.b $e |- B = ( Base ` C ) $.
    catcoppccl.o $e |- O = ( oppCat ` X ) $.
    catcoppccl.1 $e |- ( ph -> U e. WUni ) $.
    catcoppccl.2 $e |- ( ph -> _om e. U ) $.
    catcoppccl.3 $e |- ( ph -> X e. B ) $.
    $( The category of categories for a weak universe is closed under taking
       opposites.  (Contributed by Mario Carneiro, 12-Jan-2017.)  (Proof
       shortened by AV, 13-Oct-2024.) $)
    catcoppccl $p |- ( ph -> O e. B ) $=
      ( vx vy ccat cnx cfv cxp wcel wss cin chom ctpos cop csts co cco cbs c2nd
      c1st cmpo wceq eqid oppcval syl catcbascl wunndx wunstr catchomcl wuntpos
      cv homid wunop wunsets ccoid crn cuni cdm ccnv c0 csn cun cpw catcbaselcl
      wunxp catcccocl wunrn wununi wundm wuncnv wun0 wunsn wunun wunpw tposssxp
      wral wf ovssunirn dmss ax-mp cnvss unss1 mp2b rnssi xpss12 mp2an sstri wb
      elpw2g mpbiri ralrimivw fmpo sylib eqeltrd catcbas eleqtrd elin2d oppccat
      wunf cwun elind eleqtrrd ) AEDOUAZBADOEAEFPUBQZFUBQZUCZUDZUEUFZPUGQZMNFUH
      QZXTRZXTNVAMVAZUIQUDZYBUJQZFUGQZUFZUCZUKZUDZUEUFZDAFBSEYJULLNMXTFYEXOEBXT
      UMXOUMYEUMIUNUOAYIXRDJAXQFDJABCDFGHJLUPAXNXPDJAPDUBXNVBJADJKUQZURAXODJABC
      DFGHJLUSUTVCVDAXSYHDJAPDUGXSVEJYKURAYAXTRZYEVFZVGZVHZVIZVJVKZVLZYNVFZRZVM
      ZDYHJAYAXTDJAXTXTDJABCDFGHJLVNZUUBVOUUBVOAYTDJAYRYSDJAYPYQDJAYODJAYNDJAYM
      DJAYEDJABCDFGHJLVPVQVRZVSVTAVJDJADJWAWBWCAYNDJUUCVQVOZWDAYGUUASZNXTWFZMYA
      WFYLUUAYHWGAUUFMYAAUUENXTAUUEYGYTTZYGYFVHZVIZYQVLZYFVFZRZYTYFWEUUJYRTZUUK
      YSTUULYTTUUHYOTZUUIYPTUUMYFYNTUUNYEYCYDWHZYFYNWIWJUUHYOWKUUIYPYQWLWMYFYNU
      UOWNUUJYRUUKYSWOWPWQAYTDSUUEUUGWRUUDYGYTDWSUOWTXAXAMNYAXTYGUUAYHYHUMXBXCX
      IVCVDXDAFOSEOSADOFAFBXMLABCDXJGHJXEZXFXGFEIXHUOXKUUPXL $.

    $( Obsolete proof of ~ catcoppccl as of 13-Oct-2024.  (Contributed by Mario
       Carneiro, 12-Jan-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    catcoppcclOLD $p |- ( ph -> O e. B ) $=
      ( vx vy ccat cnx cfv wcel wunstr wss cin chom ctpos cop co cco cbs cxp cv
      csts c2nd c1st cmpo wceq eqid oppcval syl cwun catcbas eleqtrd elin1d cdc
      c1 c4 df-hom wunndx wuntpos wunop wunsets c5 df-cco crn cuni cdm ccnv csn
      c0 cun cpw df-base wunxp wunrn wununi wundm wuncnv wun0 wunsn wunun wunpw
      wral wf tposssxp ovssunirn dmss ax-mp cnvss unss1 mp2b rnssi xpss12 mp2an
      sstri wb elpw2g mpbiri ralrimivw fmpo sylib wunf eqeltrd oppccat eleqtrrd
      elin2d elind ) AEDOUAZBADOEAEFPUBQZFUBQZUCZUDZUJUEZPUFQZMNFUGQZYBUHZYBNUI
      MUIZUKQUDZYDULQZFUFQZUEZUCZUMZUDZUJUEZDAFBREYLUNLNMYBFYGXQEBYBUOXQUOYGUOI
      UPUQAYKXTDJAXSFDJADOFAFBXOLABCDURGHJUSZUTZVAZAXPXRDJAPDUBVCVDVBZVEJADJKVF
      ZSAXQDJAFDUBYPVEJYOSVGVHVIAYAYJDJAPDUFVCVJVBZVKJYQSAYCYBUHZYGVLZVMZVNZVOZ
      VQVPZVRZUUAVLZUHZVSZDYJJAYCYBDJAYBYBDJAFDUGVCVTJYOSZUUIWAUUIWAAUUGDJAUUEU
      UFDJAUUCUUDDJAUUBDJAUUADJAYTDJAYGDJAFDUFYRVKJYOSWBWCZWDWEAVQDJADJWFWGWHAU
      UADJUUJWBWAZWIAYIUUHRZNYBWJZMYCWJYSUUHYJWKAUUMMYCAUULNYBAUULYIUUGTZYIYHVN
      ZVOZUUDVRZYHVLZUHZUUGYHWLUUQUUETZUURUUFTUUSUUGTUUOUUBTZUUPUUCTUUTYHUUATUV
      AYGYEYFWMZYHUUAWNWOUUOUUBWPUUPUUCUUDWQWRYHUUAUVBWSUUQUUEUURUUFWTXAXBAUUGD
      RUULUUNXCUUKYIUUGDXDUQXEXFXFMNYCYBYIUUHYJYJUOXGXHXIVHVIXJAFOREORADOFYNXMF
      EIXKUQXNYMXL $.
  $}

  ${
    $d a b f g h v x ph $.  $d a b f g h v x X $.  $d a b f g h v x Y $.
    catcfuccl.c $e |- C = ( CatCat ` U ) $.
    catcfuccl.b $e |- B = ( Base ` C ) $.
    catcfuccl.o $e |- Q = ( X FuncCat Y ) $.
    catcfuccl.u $e |- ( ph -> U e. WUni ) $.
    catcfuccl.1 $e |- ( ph -> _om e. U ) $.
    catcfuccl.x $e |- ( ph -> X e. B ) $.
    catcfuccl.y $e |- ( ph -> Y e. B ) $.
    $( The category of categories for a weak universe is closed under the
       functor category operation.  (Contributed by Mario Carneiro,
       12-Jan-2017.)  (Proof shortened by AV, 14-Oct-2024.) $)
    catcfuccl $p |- ( ph -> Q e. B ) $=
      ( cfv co cv eqid wcel cvv vv vh vf vg vb va vx ccat cin cnx cbs cfunc cop
      chom cnat cco cxp c1st c2nd cmpt cmpo csb ctp cwun catcbas eleqtrd elin2d
      eqidd fucval baseid wunndx wunstr catcbascl wunfunc wunop homid ccoid crn
      wunnat cuni cpw cpm wunxp catcccocl wunrn wununi wunpw catcbaselcl wunmap
      cmap wunpm wf wral fvex wsbc wss ovex rnex uniex xpex ovssunirn rnss mp2b
      uniss sstri elpw mpbir a1i fmpti pwex elmap rgen2w fmpo mpbi xpss12 mp2an
      elpm2r mp4an sbcth sbcel1g mpbid ax-mp wunf wuntp eqeltrd fuccat eleqtrrd
      elind ) ADEUHUIZBAEUHDADUJUKOZFGULPZUMZUJUNOZFGUOPZUMZUJUPOZUAUBYKYKUQZYK
      UCUAQZUROZUDYRUSOZUEUFUDQZUBQZYNPZUCQZUUAYNPZUGFUKOZUGQZUEQOZUUGUFQOZUUGU
      UDUROOUUGUUAUROOUMZUUGUUBUROOZGUPOZPZPZUTZVAZVBZVBZVAZUMZVCEAUGUAUUFYKFGD
      UUSUULUCUDUBYNUFUEJYKRYNRUUFRUULRAEUHFAFBYIMABCEVDHIKVEZVFVGZAEUHGAGBYINU
      VAVFVGZAUUSVHVIAYLYOUUTEKAYJYKEKAUJEUKYJVJKAEKLVKZVLAFGEKABCEFHIKMVMZABCE
      GHIKNVMZVNZVOAYMYNEKAUJEUNYMVPKUVDVLAFGEKUVEUVFVSZVOAYPUUSEKAUJEUPYPVQKUV
      DVLAYQYKUQZUULVRZVTZVRZVTZWAZUUFWJPZYNVRZVTZUVQUQZWBPZEUUSKAYQYKEKAYKYKEK
      UVGUVGWCUVGWCAUVOUVREKAUVNUUFEKAUVMEKAUVLEKAUVKEKAUVJEKAUULEKABCEGHIKNWDW
      EWFWEWFWGABCEFHIKMWHWIAUVQUVQEKAUVPEKAYNEKUVHWEWFZUVTWCWKUVIUVSUUSWLZAUUR
      UVSSZUBYKWMUAYQWMUWAUWBUAUBYQYKYSTSZUWBYRURWNUWCUUQUVSSZUCYSWOUWBUWDUCYST
      YTTSZUWDYRUSWNUWEUUPUVSSZUDYTWOUWDUWFUDYTTUVOTSUVRTSUUCUUEUQZUVOUUPWLZUWG
      UVRWPZUWFUVNUUFWJWQUVQUVQUVPYNFGUOWQWRWSZUWJWTUUOUVOSZUFUUEWMUEUUCWMUWHUW
      KUEUFUUCUUEUWKUUFUVNUUOWLUGUUFUVNUUNUUOUUORUUNUVNSZUUGUUFSUWLUUNUVMWPUUNU
      UMVRZVTZUVMUUMUUHUUIXAUUMUVKWPUWMUVLWPUWNUVMWPUULUUJUUKXAUUMUVKXBUWMUVLXD
      XCXEUUNUVMUUHUUIUUMWQXFXGXHXIUVNUUFUUOUVMUVLUVKUVJUULGUPWNWRWSWRWSXJFUKWN
      XKXGXLUEUFUUCUUEUUOUVOUUPUUPRXMXNUUCUVQWPUUEUVQWPUWIYNUUAUUBXAYNUUDUUAXAU
      UCUVQUUEUVQXOXPUVOUVRUWGUUPTTXQXRXSUDYTUUPUVSTXTYAYBXSUCYSUUQUVSTXTYAYBXL
      UAUBYQYKUURUVSUUSUUSRXMXNXHYCVOYDYEAFGDJUVBUVCYFYHUVAYG $.

    $( Obsolete proof of ~ catcfuccl as of 14-Oct-2024.  (Contributed by Mario
       Carneiro, 12-Jan-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    catcfucclOLD $p |- ( ph -> Q e. B ) $=
      ( cfv co cv eqid wcel cvv vv vh vf vg vb va vx ccat cin cnx cbs cfunc cop
      chom cnat cco cxp c1st c2nd cmpt cmpo csb ctp cwun catcbas eleqtrd elin2d
      eqidd fucval df-base wunndx wunstr elin1d wunfunc wunop cdc df-hom wunnat
      c1 c4 c5 df-cco crn cuni cpw cpm wunxp wunrn wununi wunpw wunmap wunpm wf
      cmap wral fvex wsbc ovex rnex uniex xpex ovssunirn rnss uniss sstri mpbir
      wss mp2b elpw fmpti pwex elmap rgen2w fmpo mpbi xpss12 mp2an elpm2r mp4an
      a1i sbcth sbcel1g mpbid ax-mp wunf wuntp eqeltrd fuccat elind eleqtrrd )
      ADEUHUIZBAEUHDADUJUKOZFGULPZUMZUJUNOZFGUOPZUMZUJUPOZUAUBYMYMUQZYMUCUAQZUR
      OZUDYTUSOZUEUFUDQZUBQZYPPZUCQZUUCYPPZUGFUKOZUGQZUEQOZUUIUFQOZUUIUUFUROOUU
      IUUCUROOUMZUUIUUDUROOZGUPOZPZPZUTZVAZVBZVBZVAZUMZVCEAUGUAUUHYMFGDUVAUUNUC
      UDUBYPUFUEJYMRYPRUUHRUUNRAEUHFAFBYKMABCEVDHIKVEZVFZVGZAEUHGAGBYKNUVCVFZVG
      ZAUVAVHVIAYNYQUVBEKAYLYMEKAUJEUKVSVJKAEKLVKZVLAFGEKAEUHFUVDVMZAEUHGUVFVMZ
      VNZVOAYOYPEKAUJEUNVSVTVPVQKUVHVLAFGEKUVIUVJVRZVOAYRUVAEKAUJEUPVSWAVPZWBKU
      VHVLAYSYMUQZUUNWCZWDZWCZWDZWEZUUHWNPZYPWCZWDZUWBUQZWFPZEUVAKAYSYMEKAYMYME
      KUVKUVKWGUVKWGAUVTUWCEKAUVSUUHEKAUVREKAUVQEKAUVPEKAUVOEKAUUNEKAGEUPUVMWBK
      UVJVLWHWIWHWIWJAFEUKVSVJKUVIVLWKAUWBUWBEKAUWAEKAYPEKUVLWHWIZUWEWGWLUVNUWD
      UVAWMZAUUTUWDSZUBYMWOUAYSWOUWFUWGUAUBYSYMUUATSZUWGYTURWPUWHUUSUWDSZUCUUAW
      QUWGUWIUCUUATUUBTSZUWIYTUSWPUWJUURUWDSZUDUUBWQUWIUWKUDUUBTUVTTSUWCTSUUEUU
      GUQZUVTUURWMZUWLUWCXGZUWKUVSUUHWNWRUWBUWBUWAYPFGUOWRWSWTZUWOXAUUQUVTSZUFU
      UGWOUEUUEWOUWMUWPUEUFUUEUUGUWPUUHUVSUUQWMUGUUHUVSUUPUUQUUQRUUPUVSSZUUIUUH
      SUWQUUPUVRXGUUPUUOWCZWDZUVRUUOUUJUUKXBUUOUVPXGUWRUVQXGUWSUVRXGUUNUULUUMXB
      UUOUVPXCUWRUVQXDXHXEUUPUVRUUJUUKUUOWRXIXFXTXJUVSUUHUUQUVRUVQUVPUVOUUNGUPW
      PWSWTWSWTXKFUKWPXLXFXMUEUFUUEUUGUUQUVTUURUURRXNXOUUEUWBXGUUGUWBXGUWNYPUUC
      UUDXBYPUUFUUCXBUUEUWBUUGUWBXPXQUVTUWCUWLUURTTXRXSYAUDUUBUURUWDTYBYCYDYAUC
      UUAUUSUWDTYBYCYDXMUAUBYSYMUUTUWDUVAUVARXNXOXTYEVOYFYGAFGDJUVEUVGYHYIUVCYJ
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The category of extensible structures
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
The "category of extensible structures" ` ExtStrCat ` is the category of all
sets in a universe regarded as extensible structures and the functions between
their base sets, see ~ df-estrc .

Since we consider only "small categories" (i.e. categories whose objects and
morphisms are actually sets and not proper classes), the objects of the
category (i.e. the base set of the category regarded as extensible structure)
are all sets in a universe ` u `, which can be an arbitrary set, see
~ estrcbas .  Generally, we will take ` u ` to be a weak universe or
Grothendieck universe, because these sets have closure properties as good as
the real thing.  If a set is not a real extensible structure, it is regarded as
extensible structure with an empty base set.  Because of ~ bascnvimaeqv we do
not need to restrict the universe to sets which "have a base".  The morphisms
(or arrows) between two objects, i.e. sets from the universe, are the mappings
between their base sets, see ~ estrchomfval , whereas the composition
is the ordinary composition of functions, see ~ estrccofval and ~ estrcco .

It is shown that the category of extensible structures ` ExtStrCat ` is
actually a category, see ~ estrccat with the identity function as identity
arrow, see ~ estrcid .

In the following, some background information about the category of extensible
structures is given, taken from the discussion in Github issue #1507
(see ~ https://github.com/metamath/set.mm/issues/1507 ):

At the beginning, the categories of non-unital rings ` RngCat ` and unital
rings ` RingCat ` were defined separately (as unordered triples of ordereds
pairs, see ~ dfrngc2 and ~ dfringc2 , but with special compositions).  With
this definitions, however, Theorem ~ rngcresringcat could not be proven,
because the compositions were not compatible.  Unfortunately, no precise
definition of the composition within the category of rings could be found in
the literature.  In section 3.3 EXAMPLES, paragraph (2) of [Adamek] p. 22,
however, a definition is given for "Grp", the category of groups:  "The
following constructs; i.e., categories of structured sets and
structure-preserving functions between them (o will always be the _composition
of functions_ and id_A will always be the identity function on A): ... (b) Grp
with objects all groups and morphisms all homomorphisms between them."
Therefore, the compositions should have been harmonized by using the
composition of the category of sets ` SetCat `, see ~ df-setc , which is the
ordinary composition of functions.  Analogously, categories of Rngs (and Rings)
could have been shown to be restrictions resp. subcategories of the category of
sets.

BJ and MC observed, however, that "... ` |``cat ` [cannot be used] to restrict
the category Set to Ring, because the homs are different.  Although Ring is a
concrete category, a hom between rings R and S is a function
(Base``R) --> (Base``S) with certain properties, unlike in Set where it is a
function R --> S.".  Therefore, MC suggested that "we could have an alternative
version of the Set category consisting of extensible structures (in U) together
with (A Hom B) := (Base``A) --> (Base``B).  This category is not isomorphic to
Set because different extensible structures can have the same base set, but it
is equivalent to Set; the relevant functors are (U``A) = (Base``A), the
forgetful functor, and (F``A) = { <. (Base``ndx), A >. }".  This led to the
current definition of ` ExtStrCat `, see ~ df-estrc .  The claimed equivalence
is proven by ~ equivestrcsetc .  Having a definition of a category of
extensible structures, the categories of non-unital and unital rings can be
defined as appropriate restrictions of the category of extensible structures,
see ~ df-rngc and ~ df-ringc .

In the same way, more subcategories could be provided, resulting in the
following "inclusion chain" by proving theorems like ~ rngcresringcat ,
although the morphisms of the shown categories are different ( "->" means "is
subcategory of"):

` RingCat ` -> ` RngCat ` -> GrpCat -> MndCat -> MgmCat -> ` ExtStrCat `

According to MC, "If we generalize from subcategories to embeddings, then we
can even fit ` SetCat ` into the chain, equivalent to ` ExtStrCat ` at the
end."  As mentioned before, the equivalence of ` SetCat ` and ` ExtStrCat ` is
proven by ~ equivestrcsetc .  Furthermore, it can be shown that ` SetCat ` is
_embedded_ into ` ExtStrCat `, see ~ embedsetcestrc .

Remark: ~ equivestrcsetc as well as ~ embedsetcestrc require that the index of
the base set extractor is contained within the considered universe.  This is
ensured by assuming that the natural numbers are contained within the
considered universe: ` _om e. U ` (see ~ wunndx ), but it would be currently
sufficient to assume that ` 1 e. U `, because the index value of the base set
extractor is hard-coded as ` 1 `, see ~ basendx .

Some people, however, feel uncomfortable to say that a ring "is a" group
(without mentioning the restriction to the addition, which is usually found in
the literature, e.g., the definition of a ring in [Herstein] p. 126: "... Note
that so far all we have said is that R is an abelian group under +.".  The main
argument against a ring being a group is the number of components/slots:
usually, a group consists of (exactly!) two components (a base set and an
operation), whereas a ring consists of (exactly!) three components (a base set
and two operations). According to this "definition", a ring cannot be a group.

This is also an (unfortunately informal) argument for the category of rings not
being a subcategory of the category of abelian groups in "Categories and
Functors", Bodo Pareigis, Academic Press, New York, London, 1970: "A category A
is called a subcategory of a category B if Ob(A) ` C_ ` Ob(B) and
Mor_A(X,Y) ` C_ ` Mor_B(X,Y) for all X,Y e. Ob(A), if the composition of
morphisms in A coincides with the composition of the same morphisms in B and if
the identity of an object in A is also the identity of the same object viewed
as an object in B. Then there is a forgetful functor from A to B.  We note that
Ri [the category of rings] _is not a subcategory_ of Ab [the category of
abelian groups]. In fact, Ob(Ri) ` C_ ` Ob(Ab) is not true, although every ring
can also be regarded as an abelian group.  The corresponding abelian groups of
two rings may coincide even if the rings do not coincide. The multiplication
may be defined differently.".

As long as we define Rings, Groups, etc. in a way that ` A e. Ring -> `
` A e. Grp ` is valid (see ~ ringgrp ) the corresponding categories are in a
subcategory relation. If we do not want Rings to be Groups (then the category
of rings would not be a subcategory of the category of groups, as observed by
Pareigis), we would have to change the definitions of Magmas, Monoids, Groups,
Rings etc. to restrict them to have exactly the required number of slots, so
that the following holds

` g e. Grp -> g Struct <. ( Base `` ndx ) , ( +g `` ndx ) >. `

` r e. Ring -> r Struct <. ( Base `` ndx ) , ( +g `` ndx ) , ( .r `` ndx ) >. `
$)

  ${
    $d F x y $.
    $( The inverse images of the universal class ` _V ` under functions on the
       universal class ` _V ` are the universal class ` _V ` itself.  (Proposed
       by Mario Carneiro, 7-Mar-2020.)  (Contributed by AV, 7-Mar-2020.) $)
    fncnvimaeqv $p |- ( F Fn _V -> ( `' F " _V ) = _V ) $=
      ( vy vx cvv wfn ccnv cima cv cfv wcel fncnvima2 wa weq fveq2 eleq1d elrab
      crab fvexd biantrud bitr4id eqrdv eqtrd ) ADEZAFDGBHZAIZDJZBDQZDBDDAKUCCU
      GDUCCHZUGJUHDJZUHAIZDJZLUIUFUKBUHDBCMUEUJDUDUHANOPUCUKUIUCUHARSTUAUB $.
  $}

  $( The inverse image of the universal class ` _V ` under the base function is
     the universal class ` _V ` itself.  (Proposed by Mario Carneiro,
     7-Mar-2020.)  (Contributed by AV, 7-Mar-2020.) $)
  bascnvimaeqv $p |- ( `' Base " _V ) = _V $=
    ( cbs cvv wfn ccnv cima wceq basfn fncnvimaeqv ax-mp ) ABCADBEBFGAHI $.

  $c ExtStrCat $.

  $( Extend class notation to include the category ExtStr. $)
  cestrc $a class ExtStrCat $.

  ${
    $d f g u v x y z $.
    $( Definition of the category ExtStr of extensible structures.  This is the
       category whose objects are all sets in a universe ` u ` regarded as
       extensible structures and whose morphisms are the functions between
       their base sets.  If a set is not a real extensible structure, it is
       regarded as extensible structure with an empty base set.  Because of
       ~ bascnvimaeqv we do not need to restrict the universe to sets which
       "have a base".  Generally, we will take ` u ` to be a weak universe or
       Grothendieck universe, because these sets have closure properties as
       good as the real thing.  (Proposed by Mario Carneiro, 5-Mar-2020.)
       (Contributed by AV, 7-Mar-2020.) $)
    df-estrc $a |- ExtStrCat = ( u e. _V |->
         { <. ( Base ` ndx ) , u >. ,
           <. ( Hom ` ndx ) ,
              ( x e. u , y e. u |-> ( ( Base ` y ) ^m ( Base ` x ) ) ) >. ,
           <. ( comp ` ndx ) , ( v e. ( u X. u ) , z e. u
                |-> ( g e. ( ( Base ` z ) ^m ( Base ` ( 2nd ` v ) ) ) ,
                      f e. ( ( Base ` ( 2nd ` v ) ) ^m ( Base ` ( 1st ` v ) ) )
                      |-> ( g o. f ) ) ) >. } ) $.

    $d u v x y z ph $.  $d u v x y z U $.  $d u .x. $.  $d u H $.
    estrcval.c $e |- C = ( ExtStrCat ` U ) $.
    estrcval.u $e |- ( ph -> U e. V ) $.
    estrcval.h $e |- ( ph -> H = ( x e. U , y e. U
                                   |-> ( ( Base ` y ) ^m ( Base ` x ) ) ) ) $.
    estrcval.o $e |- ( ph -> .x. = ( v e. ( U X. U ) , z e. U |->
                    ( g e. ( ( Base ` z ) ^m ( Base ` ( 2nd ` v ) ) ) ,
                      f e. ( ( Base ` ( 2nd ` v ) ) ^m ( Base ` ( 1st ` v ) ) )
                      |-> ( g o. f ) ) ) ) $.
    $( Value of the category of extensible structures (in a universe).
       (Contributed by AV, 7-Mar-2020.) $)
    estrcval $p |- ( ph -> C = { <. ( Base ` ndx ) , U >. ,
                                 <. ( Hom ` ndx ) , H >. ,
                                 <. ( comp ` ndx ) , .x. >. } ) $=
      ( cfv cbs cop cv cestrc cnx chom cco ctp cmap cmpo cxp c2nd c1st ccom cvv
      vu co df-estrc wceq simpr opeq2d eqidd mpoeq123dv adantr sqxpeqd tpeq123d
      wa eqtr4d elexd wcel tpex a1i fvmptd2 eqtrid ) AFHUAQUBRQZHSZUBUCQZKSZUBU
      DQZGSZUEZMAUMHVLUMTZSZVNBCVSVSCTRQBTRQUFUNZUGZSZVPEDVSVSUHZVSJIDTRQETZUIQ
      RQZUFUNWFWEUJQRQUFUNJTITUKUGZUGZSZUEVRULUAULBCDEUMIJUOAVSHUPZVDZVTVMWCVOW
      IVQWKVSHVLAWJUQZURWKWBKVNWKWBBCHHWAUGZKWKBCVSVSWAHHWAWLWLWKWAUSUTAKWMUPWJ
      OVAVEURWKWHGVPWKWHEDHHUHZHWGUGZGWKEDWDVSWGWNHWGWKVSHWLVBWLWKWGUSUTAGWOUPW
      JPVAVEURVCAHLNVFVRULVGAVMVOVQVHVIVJVK $.
  $}

  ${
    $d f g v x y z $.  $d v x y z ph $.  $d v x y z U $.
    estrcbas.c $e |- C = ( ExtStrCat ` U ) $.
    estrcbas.u $e |- ( ph -> U e. V ) $.
    $( Set of objects of the category of extensible structures (in a universe).
       (Contributed by AV, 7-Mar-2020.) $)
    estrcbas $p |- ( ph -> U = ( Base ` C ) ) $=
      ( vx vy vv vz vg vf cnx cbs cfv cop cv cmap co cmpo chom cco cxp c2nd ctp
      c1st ccom wcel wceq c1 cdc catstr baseid snsstp1 strfv syl eqidd estrcval
      c5 fveq2d eqtr4d ) ACMNOCPZMUAOGHCCHQNOGQNORSTZPZMUBOIJCCUCCKLJQNOIQZUDON
      OZRSVFVEUFONORSKQLQUGTTZPZUEZNOZBNOACDUHCVJUIFCVINDUJUJUSUKPVGCVCULUMVBVD
      VHUNUOUPABVINAGHJIBVGCLKVCDEFAVCUQAVGUQURUTVA $.

    ${
      estrchomfval.h $e |- H = ( Hom ` C ) $.
      $( Set of morphisms ("arrows") of the category of extensible structures
         (in a universe).  (Contributed by AV, 7-Mar-2020.) $)
      estrchomfval $p |- ( ph -> H = ( x e. U , y e. U
                                    |-> ( ( Base ` y ) ^m ( Base ` x ) ) ) ) $=
        ( vv vz vg vf cv cbs cfv cmap co cop cmpo cnx chom cco cxp c2nd ctp cvv
        c1st ccom c1 c5 cdc eqidd estrcval catstr homid snsstp2 mpoexga syl2anc
        wcel strfv3 ) AFBCEECOPQBOPQRSZUAZUBPQETZUBUCQVDTZUBUDQKLEEUEEMNLOPQKOZ
        UFQPQZRSVHVGUIQPQRSMONOUJUAUAZTZUGDUCUHUKUKULUMTABCLKDVIENMVDGHIAVDUNAV
        IUNUOVIEVDUPUQVEVFVJURAEGVAZVKVDUHVAIIBCEEVCGGUSUTJVB $.

      $d x y A $.  $d x y B $.  $d x y X $.  $d x y Y $.
      estrchom.x $e |- ( ph -> X e. U ) $.
      estrchom.y $e |- ( ph -> Y e. U ) $.
      estrchom.a $e |- A = ( Base ` X ) $.
      estrchom.b $e |- B = ( Base ` Y ) $.
      $( The morphisms between extensible structures are mappings between their
         base sets.  (Contributed by AV, 7-Mar-2020.) $)
      estrchom $p |- ( ph -> ( X H Y ) = ( B ^m A ) ) $=
        ( vx cbs cfv cmap vy cv co cvv estrchomfval wa fveq2 oveqan12rd oveq12i
        wceq eqtr4di adantl ovexd ovmpod ) AQUAHIEEUAUBZRSZQUBZRSZTUCZCBTUCZFUD
        AQUADEFGJKLUEUQHUJZUOIUJZUFZUSUTUJAVCUSIRSZHRSZTUCUTVBVAUPVDURVETUOIRUG
        UQHRUGUHCVDBVETPOUIUKULMNACBTUMUN $.

      $( A morphism between extensible structures is a function between their
         base sets.  (Contributed by AV, 7-Mar-2020.) $)
      elestrchom $p |- ( ph -> ( F e. ( X H Y ) <-> F : A --> B ) ) $=
        ( co wcel cvv cmap wf estrchom eleq2d cbs fvexi a1i elmapd bitrd ) AFIJ
        GRZSFCBUARZSBCFUBAUJUKFABCDEGHIJKLMNOPQUCUDACBFTTCTSACJUEQUFUGBTSABIUEP
        UFUGUHUI $.
    $}

    ${
      estrcco.o $e |- .x. = ( comp ` C ) $.
      $( Composition in the category of extensible structures.  (Contributed by
         AV, 7-Mar-2020.) $)
      estrccofval $p |- ( ph -> .x. = ( v e. ( U X. U ) , z e. U
          |-> ( g e. ( ( Base ` z ) ^m ( Base ` ( 2nd ` v ) ) ) ,
                f e. ( ( Base ` ( 2nd ` v ) ) ^m ( Base ` ( 1st ` v ) ) )
                |-> ( g o. f ) ) ) ) $=
        ( vx cv cbs cfv cnx cop cvv wcel vy cxp c2nd cmap co c1st ccom cmpo cco
        chom ctp c1 c5 cdc eqid estrchomfval eqidd estrcval ccoid snsstp3 xpexd
        catstr mpoexga syl2anc strfv3 ) AECBFFUBZFHGBNOPCNZUCPOPZUDUEVHVGUFPOPU
        DUEHNGNUGUHZUHZQOPFRZQUJPDUJPZRZQUIPVJRZUKDUISULULUMUNRAMUABCDVJFGHVLIJ
        KAMUADFVLIJKVLUOUPAVJUQURVJFVLVBUSVKVMVNUTAVFSTFITVJSTAFFIIKKVAKCBVFFVI
        SIVCVDLVE $.

      $d f g F $.  $d f g G $.  $d f g v z X $.  $d f g v z Y $.
      $d f g v z Z $.  $d f g ph $.
      estrcco.x $e |- ( ph -> X e. U ) $.
      estrcco.y $e |- ( ph -> Y e. U ) $.
      estrcco.z $e |- ( ph -> Z e. U ) $.
      estrcco.a $e |- A = ( Base ` X ) $.
      estrcco.b $e |- B = ( Base ` Y ) $.
      estrcco.d $e |- D = ( Base ` Z ) $.
      estrcco.f $e |- ( ph -> F : A --> B ) $.
      estrcco.g $e |- ( ph -> G : B --> D ) $.
      $( Composition in the category of extensible structures.  (Contributed by
         AV, 7-Mar-2020.) $)
      estrcco $p |- ( ph -> ( G ( <. X , Y >. .x. Z ) F ) = ( G o. F ) ) $=
        ( vg vf vv vz cbs cfv cmap co cv ccom cop cvv cxp c2nd c1st estrccofval
        cmpo wceq fveq2 adantl simprl fveq2d wcel op2ndg syl2anc adantr oveq12d
        eqtrd op1stg eqidd mpoeq123dv opelxpd ovex mpoex a1i ovmpod simpl simpr
        wa coeq12d wf eqcomd feq23d mpbird fvexd elmapd coexg ) AUEUFIHMUIUJZLU
        IUJZUKULZWMKUIUJZUKULZUEUMZUFUMZUNZIHUNZKLUOZMFULUPAUGUHXAMGGUQGUEUFUHU
        MZUIUJZUGUMZURUJZUIUJZUKULZXFXDUSUJZUIUJZUKULZWSVAUEUFWNWPWSVAZFUPAUHUG
        DFGUFUEJNOPUTAXDXAVBZXBMVBZWCZWCZUEUFXGXJWSWNWPWSXOXCWLXFWMUKXNXCWLVBZA
        XMXPXLXBMUIVCVDVDXOXELUIXOXEXAURUJZLXOXDXAURAXLXMVEZVFAXQLVBZXNAKGVGZLG
        VGZXSQRKLGGVHVIVJVLVFZVKXOXFWMXIWOUKYBXOXIXAUSUJZUIUJZWOXOXHYCUIXOXDXAU
        SXRVFVFAYDWOVBXNAYCKUIAXTYAYCKVBQRKLGGVMVIVFVJVLVKXOWSVNVOAKLGGQRVPSXKU
        PVGAUEUFWNWPWSWLWMUKVQWMWOUKVQVRVSVTWQIVBZWRHVBZWCZWSWTVBAYGWQIWRHYEYFW
        AYEYFWBWDVDAIWNVGZWMWLIWEZAYICEIWEUDAWMWLCEIACWMCWMVBAUAVSWFZAEWLEWLVBA
        UBVSWFWGWHAWLWMIUPUPAMUIWIALUIWIZWJWHZAHWPVGZWOWMHWEZAYNBCHWEUCAWOWMBCH
        ABWOBWOVBATVSWFYJWGWHAWMWOHUPUPYKAKUIWIWJWHZAYHYMWTUPVGYLYOIHWNWPWKVIVT
        $.
    $}
  $}

  ${
    estrcbasbas.c $e |- C = ( ExtStrCat ` U ) $.
    estrcbasbas.b $e |- B = ( Base ` C ) $.
    estrcbasbas.u $e |- ( ph -> U e. WUni ) $.
    $( An element of the base set of the base set of the category of extensible
       structures (i.e. the base set of an extensible structure) belongs to the
       considered weak universe.  (Contributed by AV, 22-Mar-2020.) $)
    estrcbasbas $p |- ( ( ph /\ E e. B ) -> ( Base ` E ) e. U ) $=
      ( wcel cbs cfv cwun estrcbas eqtr4id eleq2d wi wa cnx baseid simpl wunstr
      simpr ex syl sylbid imp ) AEBIZEJKDIZAUGEDIZUHABDEABCJKDGACDLFHMNOADLIZUI
      UHPHUJUIUHUJUIQEDJRJKSUJUITUJUIUBUAUCUDUEUF $.
  $}

  ${
    $d f g h w x y z C $.  $d f g h w x y z U $.  $d f g h w x y z V $.
    estrccat.c $e |- C = ( ExtStrCat ` U ) $.
    $( Lemma for ~ estrccat .  (Contributed by AV, 8-Mar-2020.) $)
    estrccatid $p |- ( U e. V -> ( C e. Cat
                   /\ ( Id ` C ) = ( x e. U |-> ( _I |` ( Base ` x ) ) ) ) ) $=
      ( vw vy wcel cv wa cfv co cbs wf eqid elestrchom cop ccom mpbid estrcco
      vz vf vg vh chom w3a cco cid cres cvv id estrcbas eqidd cestrc fvexi biid
      wf1o f1oi f1of mp1i simpl simpr mpbird simpr1l simpr1r simpr31 wceq fcoi2
      a1i syl eqtrd simpr2l simpr32 fcoi1 syl2anc eqeltrd coass simpr2r simpr33
      fco 3eqtr4a oveq1d oveq2d 3eqtr4d iscatd2 ) CDHZFIZCHZAIZCHZJZGIZCHZUAIZC
      HZJZUBIZWGWIBUEKZLHZUCIZWIWLWRLHZUDIZWLWNWRLHZUFZUFZFAGUACBBUGKZUHWIMKZUI
      ZUBUCUDWRUJWFBCDEWFUKULWFWRUMWFXFUMBUJHWFBCUNEUOVIXEUPWFWJJZXHWIWIWRLHXGX
      GXHNZXGXGXHUQZXJXIXGURZXGXGXHUSZUTXIXGXGBCXHWRDWIWIEWFWJVAWROZWFWJVBZXOXG
      OZXPPVCWFXEJZXHWQWGWIQZWIXFLLXHWQRZWQXQWGMKZXGBXGXFCWQXHDWGWIWIEWFXEVAZXF
      OZWHWJWPXDWFVDZWHWJWPXDWFVEZYDXTOZXPXPXQWSXTXGWQNZWSXAXCWKWPWFVFXQXTXGBCW
      QWRDWGWIEYAXNYCYDYEXPPSZXKXJXQXLXMUTZTXQYFXSWQVGYGXTXGWQVHVJVKXQWTXHWIWIQ
      WLXFLLWTXHRZWTXQXGXGBWLMKZXFCXHWTDWIWIWLEYAYBYDYDWMWOWKXDWFVLZXPXPYJOZYHX
      QXAXGYJWTNZWSXAXCWKWPWFVMXQXGYJBCWTWRDWIWLEYAXNYDYKXPYLPSZTXQYMYIWTVGYNXG
      YJWTVNVJVKXQWTWQXRWLXFLLZWTWQRZWGWLWRLZXQXTXGBYJXFCWQWTDWGWIWLEYAYBYCYDYK
      YEXPYLYGYNTZXQYPYQHXTYJYPNZXQYMYFYSYNYGXTXGYJWTWQVTVOZXQXTYJBCYPWRDWGWLEY
      AXNYCYKYEYLPVCVPXQXBWTRZWQXRWNXFLZLZXBYPWGWLQWNXFLZLZXBWTWIWLQWNXFLLZWQUU
      BLXBYOUUDLXQUUAWQRXBYPRUUCUUEXBWTWQVQXQXTXGBWNMKZXFCWQUUADWGWIWNEYAYBYCYD
      WMWOWKXDWFVRZYEXPUUGOZYGXQYJUUGXBNZYMXGUUGUUANXQXCUUJWSXAXCWKWPWFVSXQYJUU
      GBCXBWRDWLWNEYAXNYKUUHYLUUIPSZYNXGYJUUGXBWTVTVOTXQXTYJBUUGXFCYPXBDWGWLWNE
      YAYBYCYKUUHYEYLUUIYTUUKTWAXQUUFUUAWQUUBXQXGYJBUUGXFCWTXBDWIWLWNEYAYBYDYKU
      UHXPYLUUIYNUUKTWBXQYOYPXBUUDYRWCWDWE $.

    $( The category of extensible structures is a category.  (Contributed by
       AV, 8-Mar-2020.) $)
    estrccat $p |- ( U e. V -> C e. Cat ) $=
      ( vx wcel ccat ccid cfv cid cv cbs cres cmpt wceq estrccatid simpld ) BCF
      AGFAHIEBJEKLIMNOEABCDPQ $.

    $d x X $.  $d x ph $.
    estrcid.o $e |- .1. = ( Id ` C ) $.
    estrcid.u $e |- ( ph -> U e. V ) $.
    estrcid.x $e |- ( ph -> X e. U ) $.
    $( The identity arrow in the category of extensible structures is the
       identity function of base sets.  (Contributed by AV, 8-Mar-2020.) $)
    estrcid $p |- ( ph -> ( .1. ` X ) = ( _I |` ( Base ` X ) ) ) $=
      ( vx cid cv cbs cfv cres cvv ccid wcel wceq cmpt wa estrccatid syl simprd
      ccat eqtrid fveq2 reseq2d adantl fvexd resiexd fvmptd ) AKFLKMZNOZPZLFNOZ
      PZCDQADBROZKCUPUAZHABUFSZUSUTTZACESVAVBUBIKBCEGUCUDUEUGUNFTZUPURTAVCUOUQL
      UNFNUHUIUJJAUQQAFNUKULUM $.
  $}

  ${
    $d U x y $.  $d ph x y $.
    estrchomfn.c $e |- C = ( ExtStrCat ` U ) $.
    estrchomfn.u $e |- ( ph -> U e. V ) $.
    estrchomfn.h $e |- H = ( Hom ` C ) $.
    $( The Hom-set operation in the category of extensible structures (in a
       universe) is a function.  (Contributed by AV, 8-Mar-2020.) $)
    estrchomfn $p |- ( ph -> H Fn ( U X. U ) ) $=
      ( vx vy cxp wfn cv cbs cfv cmap co cmpo eqid ovex fnmpoi fneq1d mpbiri
      estrchomfval ) ADCCKZLIJCCJMNOZIMNOZPQZRZUELIJCCUHUIUISUFUGPTUAAUEDUIAIJB
      CDEFGHUDUBUC $.

    $( The functionalized Hom-set operation equals the Hom-set operation in the
       category of extensible structures (in a universe).  (Contributed by AV,
       8-Mar-2020.) $)
    estrchomfeqhom $p |- ( ph -> ( Homf ` C ) = H ) $=
      ( cbs cfv cxp chomf wceq estrchomfn estrcbas eqcomd sqxpeqd fneq2d eqid
      wfn mpbird fnhomeqhomf syl ) ADBIJZUDKZTZBLJZDMAUFDCCKZTABCDEFGHNAUEUHDAU
      DCACUDABCEFGOPQRUAUDBUGDUGSUDSHUBUC $.
  $}

  ${
    estrres.c $e |- ( ph -> C = { <. ( Base ` ndx ) , B >. ,
                                 <. ( Hom ` ndx ) , H >. ,
                                 <. ( comp ` ndx ) , .x. >. } ) $.
    estrres.b $e |- ( ph -> B e. V ) $.
    $( Lemma 1 for ~ estrres .  (Contributed by AV, 14-Mar-2020.)  (Proof
       shortened by AV, 28-Oct-2024.) $)
    estrreslem1 $p |- ( ph -> B = ( Base ` C ) ) $=
      ( cbs cfv cnx cop chom cco ctp fveq2d cvv baseid wcel wne tpex strfvnd wa
      a1i wceq fvexd w3a slotsbhcdif 3simpa mp1i fvtp1g syl21anc 3eqtrrd ) ACIJ
      KIJZBLZKMJZELZKNJZDLZOZIJUNUTJZBACUTIGPAUTIUNQRUTQSAUOUQUSUAUDUBAUNQSBFSU
      NUPTZUNURTZUCZVABUEAKIUFHVBVCUPURTZUGVDAUHVBVCVEUIUJUNUPURBEDQFUKULUM $.

    $( Obsolete version of ~ estrreslem1 as of 28-Oct-2024.  Lemma 1 for
       ~ estrres .  (Contributed by AV, 14-Mar-2020.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    estrreslem1OLD $p |- ( ph -> B = ( Base ` C ) ) $=
      ( cbs cfv cnx cop chom cco ctp fveq2d c1 cvv wcel wne tpex a1i df-base wa
      1nn strndxid wceq fvexd slotsbhcdif 3simpa mp1i fvtp1g syl21anc 3eqtr2rd
      w3a ) ACIJKIJZBLZKMJZELZKNJZDLZOZIJUPVBJZBACVBIGPAVBIQRVBRSAUQUSVAUAUBUCU
      EUFAUPRSBFSUPURTZUPUTTZUDZVCBUGAKIUHHVDVEURUTTZUOVFAUIVDVEVGUJUKUPURUTBED
      RFULUMUN $.

    estrres.h $e |- ( ph -> H e. X ) $.
    estrres.x $e |- ( ph -> .x. e. Y ) $.
    $( Lemma 2 for ~ estrres .  (Contributed by AV, 14-Mar-2020.) $)
    estrreslem2 $p |- ( ph -> ( Base ` ndx ) e. dom C ) $=
      ( cnx cfv cdm wcel wceq cop cun a1i cbs chom cco ctp w3o eqidd 3mix1d cvv
      wb fvex eltpg mp1i mpbird cpr csn df-tp dmeqd dmpropg syl2anc dmsnopg syl
      dmun uneq12d 3eqtrd 3eqtr4d eleqtrrd ) AMUANZVGMUBNZMUCNZUDZCOZAVGVJPZVGV
      GQZVGVHQZVGVIQZUEZAVMVNVOAVGUFUGVGUHPVLVPUIAMUAUJVGVGVHVIUHUKULUMAVGBRZVH
      ERZVIDRZUDZOZVGVHUNZVIUOZSZVKVJAWAVQVRUNZVSUOZSZOZWEOZWFOZSZWDAVTWGVTWGQA
      VQVRVSUPTUQWHWKQAWEWFVBTAWIWBWJWCABFPEGPWIWBQJKVGBVHEFGURUSADHPWJWCQLVIDH
      UTVAVCVDACVTIUQVJWDQAVGVHVIUPTVEVF $.

    estrres.g $e |- ( ph -> G e. W ) $.
    estrres.u $e |- ( ph -> A C_ B ) $.
    $( Any restriction of a category (as an extensible structure which is an
       unordered triple of ordered pairs) is an unordered triple of ordered
       pairs.  (Contributed by AV, 15-Mar-2020.)  (Revised by AV,
       3-Jul-2022.) $)
    estrres $p |- ( ph -> ( ( C |`s A ) sSet <. ( Hom ` ndx ) , G >. )
                             = { <. ( Base ` ndx ) , A >. ,
                                 <. ( Hom ` ndx ) , G >. ,
                                 <. ( comp ` ndx ) , .x. >. } ) $=
      ( cnx cvv wcel cress chom cfv cop csts csn cdif cres cun cbs cco ctp wceq
      ovex setsval sylancr eqid tpex eqeltrdi wfun w3a fvex 3pm3.2i slotsbhcdif
      co wne a1i funtpg syl131anc funeqd mpbird estrreslem2 estrreslem1 sseqtrd
      ressval3d reseq1d uneq1d cpr ssexd syl2anc fvexd elexd simp1 necomd simp2
      mp1i tpres df-tp eqtr4di simp3 eqtrd tprot eqtr3i eqtrdi 3eqtrd ) ADBUAVE
      ZRUBUCZFUDZUEVEZWPSWQUFUGZUHZWRUFZUIZDRUJUCZBUDZUEVEZWTUHZXBUIZXEWRRUKUCZ
      EUDZULZAWPSTFITWSXCUMDBUAUNPWQFWPSIUOUPAXAXGXBAWPXFWTABDUJUCZWPDXDSWPUQXL
      UQXDUQADXDCUDZWQGUDZXJULZSLXMXNXJURUSZADUTXOUTZAXDSTZWQSTZXISTZVAZCHTGJTE
      KTXDWQVFZXDXIVFZWQXIVFZVAZXQYAAXRXSXTRUJVBRUBVBRUKVBVCVGMNOYEAVDVGCGESHJK
      SSXDWQXIVHVIADXOLVJVKACDEGHJKLMNOVLABCXLQACDEGHLMVMVNVOVPVQAXHXJXEVRZXBUI
      ZXKAXGYFXBAXGDSXDUFUGUHZXEUFZUIZWTUHYFAXFYJWTADSTBSTXFYJUMXPABCHMQVSZXDBD
      SSUOVTVPAWQXIXDGYJEBSAYJXNXJVRZYIUIXNXJXEULAYHYLYIAXDWQXICDGESLARUBWAARUK
      WAZAGJNWBAEKOWBZYEWQXDVFAVDYEXDWQYBYCYDWCZWDWFYEXIXDVFAVDYEXDXIYBYCYDWEWD
      WFWGVQXNXJXEWHWIYMARUJWAYNYKYEXIWQVFAVDYEWQXIYBYCYDWJWDWFYEYBAVDYOWFWGWKV
      QXJXEWRULYGXKXJXEWRWHXJXEWRWLWMWNWO $.
  $}

  ${
    $d B x $.  $d X x $.  $d ph x $.
    funcestrcsetc.e $e |- E = ( ExtStrCat ` U ) $.
    funcestrcsetc.s $e |- S = ( SetCat ` U ) $.
    funcestrcsetc.b $e |- B = ( Base ` E ) $.
    funcestrcsetc.c $e |- C = ( Base ` S ) $.
    funcestrcsetc.u $e |- ( ph -> U e. WUni ) $.
    funcestrcsetc.f $e |- ( ph -> F = ( x e. B |-> ( Base ` x ) ) ) $.
    $( Lemma 1 for ~ funcestrcsetc .  (Contributed by AV, 22-Mar-2020.) $)
    funcestrcsetclem1 $p |- ( ( ph /\ X e. B ) -> ( F ` X ) = ( Base ` X ) ) $=
      ( wcel wa cbs cfv wceq cv cvv cmpt adantr fveq2 adantl simpr fvexd fvmptd
      ) AICPZQZBIBUAZRSZIRSZCHUBAHBCUMUCTUJOUDULITUMUNTUKULIRUEUFAUJUGUKIRUHUI
      $.

    $( Lemma 2 for ~ funcestrcsetc .  (Contributed by AV, 22-Mar-2020.) $)
    funcestrcsetclem2 $p |- ( ( ph /\ X e. B ) -> ( F ` X ) e. U ) $=
      ( wcel wa cfv cbs funcestrcsetclem1 estrcbasbas eqeltrd ) AICPQIHRISRFABC
      DEFGHIJKLMNOTACGFIJLNUAUB $.

    $d C x $.
    $( Lemma 3 for ~ funcestrcsetc .  (Contributed by AV, 22-Mar-2020.) $)
    funcestrcsetclem3 $p |- ( ph -> F : B --> C ) $=
      ( cv cbs cfv wcel wa estrcbasbas wceq cwun setcbas eqcomd adantr eleqtrrd
      eleqtrrdi fmpt3d ) ABCBOZPQZDHNAUICRZSZUJEPQZDULUJFUMACGFUIIKMTAUMFUAUKAF
      UMAEFUBJMUCUDUEUFLUGUH $.

    $d B x y $.
    funcestrcsetc.g $e |- ( ph -> G = ( x e. B , y e. B
                          |-> ( _I |` ( ( Base ` y ) ^m ( Base ` x ) ) ) ) ) $.
    $( Lemma 4 for ~ funcestrcsetc .  (Contributed by AV, 22-Mar-2020.) $)
    funcestrcsetclem4 $p |- ( ph -> G Fn ( B X. B ) ) $=
      ( wfn cv cvv cxp cid cbs cfv cmap cres cmpo eqid wcel ovex resiexg fnmpoi
      co ax-mp fneq1d mpbiri ) AJDDUAZRBCDDUBCSUCUDZBSUCUDZUEUMZUFZUGZUQRBCDDVA
      VBVBUHUTTUIVATUIURUSUEUJUTTUKUNULAUQJVBQUOUP $.

    $d X y $.  $d ph y $.
    ${
      $d M x y $.  $d N x y $.  $d Y x y $.
      funcestrcsetc.m $e |- M = ( Base ` X ) $.
      funcestrcsetc.n $e |- N = ( Base ` Y ) $.
      $( Lemma 5 for ~ funcestrcsetc .  (Contributed by AV, 23-Mar-2020.) $)
      funcestrcsetclem5 $p |- ( ( ph /\ ( X e. B /\ Y e. B ) )
                                -> ( X G Y ) = ( _I |` ( N ^m M ) ) ) $=
        ( wcel wa cid cv cbs cfv cmap co cres cmpo wceq adantr fveq2 oveqan12rd
        cvv oveq12i eqtr4di reseq2d adantl simprl simprr ovexd resiexd ovmpod )
        AMDUDZNDUDZUEZUEZBCMNDDUFCUGZUHUIZBUGZUHUIZUJUKZULZUFLKUJUKZULZJURAJBCD
        DVQUMUNVJUAUOVNMUNZVLNUNZUEZVQVSUNVKWBVPVRUFWBVPNUHUIZMUHUIZUJUKVRWAVTV
        MWCVOWDUJVLNUHUPVNMUHUPUQLWCKWDUJUCUBUSUTVAVBAVHVIVCAVHVIVDVKVRURVKLKUJ
        VEVFVG $.

      $( Lemma 6 for ~ funcestrcsetc .  (Contributed by AV, 23-Mar-2020.) $)
      funcestrcsetclem6 $p |- ( ( ph /\ ( X e. B /\ Y e. B )
                             /\ H e. ( N ^m M ) ) -> ( ( X G Y ) ` H ) = H ) $=
        ( wcel wa cmap co w3a cfv cid cres wceq funcestrcsetclem5 fveq1d fvresi
        3adant3 3ad2ant3 eqtrd ) ANDUEODUEUFZKMLUGUHZUEZUIZKNOJUHZUJKUKVAULZUJZ
        KVCKVDVEAUTVDVEUMVBABCDEFGHIJLMNOPQRSTUAUBUCUDUNUQUOVBAVFKUMUTVAKUPURUS
        $.
    $}

    $( Lemma 7 for ~ funcestrcsetc .  (Contributed by AV, 23-Mar-2020.) $)
    funcestrcsetclem7 $p |- ( ( ph /\ X e. B )
        -> ( ( X G X ) ` ( ( Id ` E ) ` X ) ) = ( ( Id ` S ) ` ( F ` X ) ) ) $=
      ( wcel cfv wa ccid cid cbs cres cmap wceq eqid funcestrcsetclem5 anabsan2
      co cwun adantr estrcbas eqtr4id eleq2d biimpa estrcid fveq12d fvex pm3.2i
      cvv wf wf1o f1oi f1of ax-mp elmapg mpbiri fvresi funcestrcsetclem1 fveq2d
      a1i 3syl estrcbasbas setcid eqtr2d 3eqtrd ) AKDSZUAZKHUBTZTZKKJUKZTUCKUDT
      ZUEZUCWDWDUFUKZUEZTZWEKITZFUBTZTZVTWBWEWCWGAVSWCWGUGABCDEFGHIJWDWDKKLMNOP
      QRWDUHZWLUIUJVTHGWAULKLWAUHAGULSVSPUMZAVSKGSADGKADHUDTGNAHGULLPUNUOUPUQUR
      USVTWDVBSZWNUAZWEWFSZWHWEUGWOVTWNWNKUDUTZWQVAVMWOWPWDWDWEVCZWDWDWEVDWRWDV
      EWDWDWEVFVGWDWDWEVBVBVHVIWFWEVJVNVTWKWDWJTWEVTWIWDWJABDEFGHIKLMNOPQVKVLVT
      FGWJULWDMWJUHWMADHGKLNPVOVPVQVR $.

    $d B f $.  $d F f $.  $d X f $.  $d Y f $.  $d Y x y $.  $d ph f $.
    $( Lemma 8 for ~ funcestrcsetc .  (Contributed by AV, 15-Feb-2020.) $)
    funcestrcsetclem8 $p |- ( ( ph /\ ( X e. B /\ Y e. B ) )
                    -> ( X G Y ) : ( X ( Hom ` E ) Y )
                                   --> ( ( F ` X ) ( Hom ` S ) ( F ` Y ) ) ) $=
      ( wcel vf wa chom cfv co cbs cmap cid cres wf1o f1oi f1of mp1i elmapi cvv
      wf cv wb fvex pm3.2i elmapg bicomd wceq funcestrcsetclem1 adantrl adantrr
      biimpa oveq12d eleqtrrd ex syl5 ssrdv fssd eqid funcestrcsetclem5 cwun wi
      adantr estrcbas eqtr4id eleq2d biimpcd impcom biimpd adantld imp estrchom
      funcestrcsetclem2 setchom feq123d mpbird ) AKDTZLDTZUBZUBZKLHUCUDZUEZKIUD
      ZLIUDZFUCUDZUEZKLJUEZUPLUFUDZKUFUDZUGUEZWSWRUGUEZUHXEUIZUPWOXEXEXFXGXEXEX
      GUJXEXEXGUPWOXEUKXEXEXGULUMWOUAXEXFUAUQZXETZXDXCXHUPZWOXHXFTZXHXCXDUNWOXJ
      XKWOXJUBXHXEXFWOXJXIXCUOTZXDUOTZUBZXJXIURWOXLXMLUFUSKUFUSUTXNXIXJXCXDXHUO
      UOVAVBUMVGWOXFXEVCXJWOWSXCWRXDUGAWMWSXCVCWLABDEFGHILMNOPQRVDVEAWLWRXDVCWM
      ABDEFGHIKMNOPQRVDVFVHVRVIVJVKVLVMWOWQXEXAXFXBXGABCDEFGHIJXDXCKLMNOPQRSXDV
      NZXCVNZVOWOXDXCHGWPVPKLMAGVPTWNQVRZWPVNWNAKGTZWLAXRVQWMAWLXRADGKADHUFUDGO
      AHGVPMQVSVTZWAWBVRWCAWNLGTZAWMXTWLAWMXTADGLXSWAWDWEWFXOXPWGWOFGWTVPWRWSNX
      QWTVNAWLWRGTWMABDEFGHIKMNOPQRWHVFAWMWSGTWLABDEFGHILMNOPQRWHVEWIWJWK $.

    $d Z x y $.
    $( Lemma 9 for ~ funcestrcsetc .  (Contributed by AV, 23-Mar-2020.) $)
    funcestrcsetclem9 $p |- ( ( ph /\ ( X e. B /\ Y e. B /\ Z e. B )
                  /\ ( H e. ( X ( Hom ` E ) Y ) /\ K e. ( Y ( Hom ` E ) Z ) ) )
                  -> ( ( X G Z ) ` ( K ( <. X , Y >. ( comp ` E ) Z ) H ) )
                     = ( ( ( Y G Z ) ` K )
                         ( <. ( F ` X ) , ( F ` Y ) >. ( comp ` S ) ( F ` Z ) )
                         ( ( X G Y ) ` H ) ) ) $=
      ( wcel w3a chom cfv co wa cop cco wceq cbs cmap cwun adantr eqid estrcbas
      eqtr4id eleq2d biimpcd 3ad2ant1 impcom 3ad2ant2 estrchom 3ad2ant3 anbi12d
      wi ccom cid cres elmapi fco syl2an fvex elmap sylibr ancoms adantl fvresi
      wf funcestrcsetclem5 3adantr2 ad2antrl ad2antll estrcco funcestrcsetclem2
      syl fveq12d 3ad2antr1 3ad2antr2 3ad2antr3 funcestrcsetclem1 feq23d mpbird
      simpll 3simpa simprl funcestrcsetclem6 syl3anc feq1d 3simpc simprr setcco
      wb ad2antlr coeq12d eqtrd 3eqtr4d ex sylbid 3impia ) AMDUCZNDUCZODUCZUDZK
      MNHUEUFZUGZUCZLNOXPUGZUCZUHZLKMNUIOHUJUFZUGUGZMOJUGZUFZLNOJUGUFZKMNJUGUFZ
      MIUFZNIUFZUIOIUFZFUJUFZUGUGZUKZAXOUHZYAKNULUFZMULUFZUMUGZUCZLOULUFZYOUMUG
      ZUCZUHZYMYNXRYRXTUUAYNXQYQKYNYPYOHGXPUNMNPAGUNUCZXOTUOZXPUPZXOAMGUCZXLXMA
      UUFVGXNAXLUUFADGMADHULUFGRAHGUNPTUQURZUSUTVAVBZXOANGUCZXMXLAUUIVGXNAXMUUI
      ADGNUUGUSUTVCVBZYPUPZYOUPZVDUSYNXSYTLYNYOYSHGXPUNNOPUUDUUEUUJXOAOGUCZXNXL
      AUUMVGXMAXNUUMADGOUUGUSUTVEVBZUULYSUPZVDUSVFYNUUBYMYNUUBUHZLKVHZVIYSYPUMU
      GZVJZUFZUUQYEYLUUPUUQUURUCZUUTUUQUKUUBUVAYNUUAYRUVAUUAYRUHYPYSUUQVTZUVAUU
      AYOYSLVTZYPYOKVTZUVBYRLYSYOVKZKYOYPVKZYPYOYSLKVLVMYSYPUUQOULVNMULVNVOVPVQ
      VRUURUUQVSWGUUPYCUUQYDUUSYNYDUUSUKZUUBAXLXNUVGXMABCDEFGHIJYPYSMOPQRSTUAUB
      UUKUUOWAWBUOUUPYPYOHYSYBGKLUNMNOPYNUUCUUBUUDUOZYBUPYNUUFUUBUUHUOYNUUIUUBU
      UJUOYNUUMUUBUUNUOUUKUULUUOYRUVDYNUUAUVFWCZUUAUVCYNYRUVEWDZWEWHUUPYLYFYGVH
      UUQUUPFYKGYGYFUNYHYIYJQUVHYKUPYNYHGUCZUUBAXMXLUVKXNABDEFGHIMPQRSTUAWFWIUO
      YNYIGUCZUUBAXLXMUVLXNABDEFGHINPQRSTUAWFWJUOYNYJGUCZUUBAXLXNUVMXMABDEFGHIO
      PQRSTUAWFWKUOUUPYHYIYGVTYHYIKVTZUUPUVNUVDUVIYNUVNUVDXDUUBYNYHYIYPYOKAXMXL
      YHYPUKXNABDEFGHIMPQRSTUAWLWIAXLXMYIYOUKXNABDEFGHINPQRSTUAWLWJZWMUOWNUUPYH
      YIYGKUUPAXLXMUHZYRYGKUKAXOUUBWOZXOUVPAUUBXLXMXNWPXEYNYRUUAWQABCDEFGHIJKYP
      YOMNPQRSTUAUBUUKUULWRWSZWTWNUUPYIYJYFVTYIYJLVTZUUPUVSUVCUVJYNUVSUVCXDUUBY
      NYIYJYOYSLUVOAXLXNYJYSUKXMABDEFGHIOPQRSTUAWLWKWMUOWNUUPYIYJYFLUUPAXMXNUHZ
      UUAYFLUKUVQXOUVTAUUBXLXMXNXAXEYNYRUUAXBABCDEFGHIJLYOYSNOPQRSTUAUBUULUUOWR
      WSZWTWNXCUUPYFLYGKUWAUVRXFXGXHXIXJXK $.

    $d a b c x y $.  $d B a b c h k $.  $d F a b c h k $.  $d G a b c h k $.
    $d E a b c h k $.  $d S a b c h k $.  $d ph a b c h k $.
    $( The "natural forgetful functor" from the category of extensible
       structures into the category of sets which sends each extensible
       structure to its base set, preserving the morphisms as mappings between
       the corresponding base sets.  (Contributed by AV, 23-Mar-2020.) $)
    funcestrcsetc $p |- ( ph -> F ( E Func S ) G ) $=
      ( cfv eqid cv va vb vc vh vk cco ccid chom cwun wcel estrccat syl setccat
      funcestrcsetclem3 funcestrcsetclem4 funcestrcsetclem8 funcestrcsetclem7
      ccat funcestrcsetclem9 isfuncd ) AUAUBUCDEHHUFRZHUGRZUDUEFIJHUHRZFUGRZFUH
      RZFUFRZMNVCSVESVBSVDSVASVFSAGUIUJZHURUJOHGUIKUKULAVGFURUJOFGUILUMULABDEFG
      HIKLMNOPUNABCDEFGHIJKLMNOPQUOABCDEFGHIJUATZUBTZKLMNOPQUPABCDEFGHIJVHKLMNO
      PQUQABCDEFGHIJUDTUETVHVIUCTKLMNOPQUSUT $.

    $( The "natural forgetful functor" from the category of extensible
       structures into the category of sets which sends each extensible
       structure to its base set is faithful.  (Contributed by AV,
       2-Apr-2020.) $)
    fthestrcsetc $p |- ( ph -> F ( E Faith S ) G ) $=
      ( co cfv wcel va vb vh vk cfunc wbr cv chom wral cfth funcestrcsetc wa wf
      wf1 wceq weq funcestrcsetclem8 cbs cmap cwun adantr eqid estrcbas eqtr4id
      wi eleq2d biimpcd impcom adantl estrchom funcestrcsetclem6 3expia eqeq12d
      sylbid com12 biimpd ralrimivva dff13 sylanbrc isfth2 ) AIJHFUERUFUAUGZUBU
      GZHUHSZRZWAISWBISFUHSZRZWAWBJRZUNZUBDUIUADUIIJHFUJRUFABCDEFGHIJKLMNOPQUKA
      WHUAUBDDAWADTZWBDTZULZULZWDWFWGUMUCUGZWGSZUDUGZWGSZUOZUCUDUPZVEZUDWDUIUCW
      DUIWHABCDEFGHIJWAWBKLMNOPQUQWLWSUCUDWDWDWLWMWDTZWOWDTZULZULZWQWRXCWNWMWPW
      OXBWLWNWMUOZWTWLXDVEXAWLWTXDWLWTWMWBURSZWAURSZUSRZTZXDWLWDXGWMWLXFXEHGWCU
      TWAWBKAGUTTWKOVAWCVBZWKAWAGTZWIAXJVEWJAWIXJADGWAADHURSGMAHGUTKOVCVDZVFVGV
      AVHWKAWBGTZWJAXLVEWIAWJXLADGWBXKVFVGVIVHXFVBZXEVBZVJZVFAWKXHXDABCDEFGHIJW
      MXFXEWAWBKLMNOPQXMXNVKVLVNVOVAVHXBWLWPWOUOZXAWLXPVEWTWLXAXPWLXAWOXGTZXPWL
      WDXGWOXOVFAWKXQXPABCDEFGHIJWOXFXEWAWBKLMNOPQXMXNVKVLVNVOVIVHVMVPVQUCUDWDW
      FWGVRVSVQUAUBDHFIJWCWEMXIWEVBVTVS $.

    $d F h k $.  $d S h k $.
    $( The "natural forgetful functor" from the category of extensible
       structures into the category of sets which sends each extensible
       structure to its base set is full.  (Contributed by AV, 2-Apr-2020.) $)
    fullestrcsetc $p |- ( ph -> F ( E Full S ) G ) $=
      ( vh vk wcel va vb cfunc co wbr cv chom cfv wral cful funcestrcsetc wa wf
      wfo wceq wrex funcestrcsetclem8 cbs cwun adantr funcestrcsetclem2 adantrr
      eqid adantrl elsetchom funcestrcsetclem1 feq23d bitrd cmap weq cvv pm3.2i
      wb fvex elmapg mp1i biimpar adantl eqidd rspcedvd funcestrcsetclem6 3expa
      equequ2 eqeq2d rexbidva mpbird wi estrcbas eqtr4id eleq2d impcom estrchom
      biimpcd rexeqdv ex sylbid ralrimiv dffo3 sylanbrc ralrimivva isfull2 ) AI
      JHFUCUDUEUAUFZUBUFZHUGUHZUDZXBIUHZXCIUHZFUGUHZUDZXBXCJUDZUNZUBDUIUADUIIJH
      FUJUDUEABCDEFGHIJKLMNOPQUKAXKUAUBDDAXBDTZXCDTZULZULZXEXIXJUMRUFZSUFZXJUHZ
      UOZSXEUPZRXIUIXKABCDEFGHIJXBXCKLMNOPQUQXOXTRXIXOXPXITZXBURUHZXCURUHZXPUMZ
      XTXOYAXFXGXPUMYDXOFGXPXHUSXFXGLAGUSTXNOUTZXHVCZAXLXFGTXMABDEFGHIXBKLMNOPV
      AVBAXMXGGTXLABDEFGHIXCKLMNOPVAVDVEXOXFXGYBYCXPAXLXFYBUOXMABDEFGHIXBKLMNOP
      VFVBAXMXGYCUOXLABDEFGHIXCKLMNOPVFVDVGVHXOYDXTXOYDULZXTXSSYCYBVIUDZUPZYGYI
      RSVJZSYHUPZYGYJRRVJZSXPYHXOXPYHTZYDYCVKTZYBVKTZULYMYDVMXOYNYOXCURVNXBURVN
      VLYCYBXPVKVKVOVPVQSRVJYJYLVMYGSRRWCVRYGXPVSVTXOYIYKVMYDXOXSYJSYHXOXQYHTZU
      LXRXQXPAXNYPXRXQUOABCDEFGHIJXQYBYCXBXCKLMNOPQYBVCZYCVCZWAWBWDWEUTWFXOXTYI
      VMYDXOXSSXEYHXOYBYCHGXDUSXBXCKYEXDVCZXNAXBGTZXLAYTWGXMAXLYTADGXBADHURUHGM
      AHGUSKOWHWIZWJWMUTWKXNAXCGTZXMAUUBWGXLAXMUUBADGXCUUAWJWMVRWKYQYRWLWNUTWFW
      OWPWQSRXEXIXJWRWSWTUAUBDHFIJXDXHMYFYSXAWS $.

    $d C a $.  $d F a b i $.
    equivestrcsetc.i $e |- ( ph -> ( Base ` ndx ) e. U ) $.
    $( The "natural forgetful functor" from the category of extensible
       structures into the category of sets which sends each extensible
       structure to its base set is an equivalence.  According to definition
       3.33 (1) of [Adamek] p. 36, "A functor F :  A -> B is called an
       _equivalence_ provided that it is full, faithful, and isomorphism-dense
       in the sense that for any B-object B' there exists some A-object A' such
       that F(A') is isomorphic to B'.".  Therefore, the category of sets and
       the category of extensible structures are equivalent, according to
       definition 3.33 (2) of [Adamek] p. 36, "Categories A and B are called
       _equivalent_ provided that there is an equivalence from A to B.".
       (Contributed by AV, 2-Apr-2020.) $)
    equivestrcsetc $p |- ( ph -> ( F ( E Faith S ) G /\ F ( E Full S ) G
                /\ A. b e. C E. a e. B E. i i : b -1-1-onto-> ( F ` a ) ) ) $=
      ( cfth co wbr cful cfv wf1o wex wrex wral fthestrcsetc fullestrcsetc wcel
      cv wa cnx cbs cop csn cwun setcbas eqtr4id eleq2d eqid 1strwunbndx sylbid
      ex imp wceq estrcbas adantr eleqtrrd fveq2 f1oeq3d exbidv adantl cid cres
      wb f1oi funcestrcsetclem1 syldan 1strbas eqtr4d mpbiri cvv resiexg f1oeq1
      elv spcev syl rspcedvd ralrimiva 3jca ) AJKIFUBUCUDJKIFUEUCUDMUNZLUNZJUFZ
      HUNZUGZHUHZLDUIZMEUJABCDEFGIJKNOPQRSTUKABCDEFGIJKNOPQRSTULAXAMEAWOEUMZUOZ
      WTWOUPUQUFWOURUSZJUFZWRUGZHUHZLXDDXCXDGDAXBXDGUMZAXBWOGUMZXHAEGWOAEFUQUFG
      QAFGUTORVAVBVCAXIXHAWOGXDXDVDZRUAVEVGVFVHXCDIUQUFZGPAGXKVIXBAIGUTNRVJVKVB
      VLZWPXDVIZWTXGVSXCXMWSXFHXMWQXEWOWRWPXDJVMVNVOVPXCWOXEVQWOVRZUGZXGXCXOWOW
      OXNUGWOVTXCXEWOWOXNXCXEXDUQUFZWOAXBXDDUMXEXPVIXLABDEFGIJXDNOPQRSWAWBXBWOX
      PVIAWOXDEXJWCVPWDVNWEXFXOHXNXNWFUMMWOWFWGWIWOXEWRXNWHWJWKWLWMWN $.
  $}

  ${
    setc1strwun.s $e |- S = ( SetCat ` U ) $.
    setc1strwun.c $e |- C = ( Base ` S ) $.
    setc1strwun.u $e |- ( ph -> U e. WUni ) $.
    setc1strwun.o $e |- ( ph -> _om e. U ) $.
    $( A constructed one-slot structure with the objects of the category of
       sets as base set in a weak universe.  (Contributed by AV,
       27-Mar-2020.) $)
    setc1strwun $p |- ( ( ph /\ X e. C )
                              -> { <. ( Base ` ndx ) , X >. } e. U ) $=
      ( wcel cnx cbs cfv cop csn cwun setcbas eqtr4id eleq2d biimpa eqid syldan
      1strwun ) AEBJZEDJZKLMENOZDJAUDUEABDEABCLMDGACDPFHQRSTAEDUFUFUAHIUCUB $.
  $}

  ${
    $d C x $.  $d X x $.  $d ph x $.
    funcsetcestrc.s $e |- S = ( SetCat ` U ) $.
    funcsetcestrc.c $e |- C = ( Base ` S ) $.
    funcsetcestrc.f $e |- ( ph
                        -> F = ( x e. C |-> { <. ( Base ` ndx ) , x >. } ) ) $.
    $( Lemma 1 for ~ funcsetcestrc .  (Contributed by AV, 27-Mar-2020.) $)
    funcsetcestrclem1 $p |- ( ( ph /\ X e. C )
                              -> ( F ` X ) = { <. ( Base ` ndx ) , X >. } ) $=
      ( wcel wa cnx cbs cfv cv cop csn cvv wceq adantr opeq2 sneqd adantl simpr
      cmpt snex a1i fvmptd ) AGCKZLZBGMNOZBPZQZRZULGQZRZCFSAFBCUOUFTUJJUAUMGTZU
      OUQTUKURUNUPUMGULUBUCUDAUJUEUQSKUKUPUGUHUI $.

    funcsetcestrc.u $e |- ( ph -> U e. WUni ) $.
    funcsetcestrc.o $e |- ( ph -> _om e. U ) $.
    $( Lemma 2 for ~ funcsetcestrc .  (Contributed by AV, 27-Mar-2020.) $)
    funcsetcestrclem2 $p |- ( ( ph /\ X e. C ) -> ( F ` X ) e. U ) $=
      ( wcel wa cfv cnx cbs cop csn funcsetcestrclem1 setc1strwun eqeltrd ) AGC
      MNGFOPQOGRSEABCDEFGHIJTACDEGHIKLUAUB $.

    ${
      $d B x $.  $d C x $.
      funcsetcestrclem3.e $e |- E = ( ExtStrCat ` U ) $.
      funcsetcestrclem3.b $e |- B = ( Base ` E ) $.
      $( Lemma 3 for ~ funcsetcestrc .  (Contributed by AV, 27-Mar-2020.) $)
      funcsetcestrclem3 $p |- ( ph -> F : C --> B ) $=
        ( cnx cbs cfv cv cop csn wcel setc1strwun wceq estrcbas eqcomd eleqtrrd
        wa cwun adantr eleqtrrdi fmpt3d ) ABDPQRBSZTUAZCHKAUMDUBZUHZUNGQRZCUPUN
        FUQADEFUMIJLMUCAUQFUDUOAFUQAGFUINLUEUFUJUGOUKUL $.

      $d C y z $.  $d F y z $.  $d ph x y z $.
      $( Lemma for ~ embedsetcestrc .  (Contributed by AV, 31-Mar-2020.) $)
      embedsetcestrclem $p |- ( ph -> F : C -1-1-> B ) $=
        ( vy vz wceq wcel cvv wf cv cfv weq wi wf1 funcsetcestrclem3 wa cnx cbs
        wral cop csn funcsetcestrclem1 adantrr adantrl eqeq12d opex sneqbg mp1i
        fvexd simpl opthg syl2an simpr syl6bi sylbid ralrimivva dff13 sylanbrc
        wb ) ADCHUAPUBZHUCZQUBZHUCZRZPQUDZUEZQDUKPDUKDCHUFABCDEFGHIJKLMNOUGAVRP
        QDDAVLDSZVNDSZUHZUHZVPUIUJUCZVLULZUMZWCVNULZUMZRZVQWBVMWEVOWGAVSVMWERVT
        ABDEFHVLIJKUNUOAVTVOWGRVSABDEFHVNIJKUNUPUQWBWHWDWFRZVQWDTSWHWIVKWBWCVLU
        RWDWFTUSUTWBWIWCWCRZVQUHZVQAWCTSVSWIWKVKWAAUIUJVAVSVTVBWCVLWCVNTDVCVDWJ
        VQVEVFVGVGVHPQDCHVIVJ $.
    $}

    $d C x y $.
    funcsetcestrc.g $e |- ( ph -> G = ( x e. C , y e. C
                                        |-> ( _I |` ( y ^m x ) ) ) ) $.
    $( Lemma 4 for ~ funcsetcestrc .  (Contributed by AV, 27-Mar-2020.) $)
    funcsetcestrclem4 $p |- ( ph -> G Fn ( C X. C ) ) $=
      ( cxp wfn cv cmap cvv wcel cid co cres cmpo eqid ovex ax-mp fnmpoi fneq1d
      resiexg mpbiri ) AHDDOZPBCDDUACQZBQZRUBZUCZUDZULPBCDDUPUQUQUEUOSTUPSTUMUN
      RUFUOSUJUGUHAULHUQNUIUK $.

    $d X y $.  $d Y x y $.  $d ph y $.
    $( Lemma 5 for ~ funcsetcestrc .  (Contributed by AV, 27-Mar-2020.) $)
    funcsetcestrclem5 $p |- ( ( ph /\ ( X e. C /\ Y e. C ) )
                              -> ( X G Y ) = ( _I |` ( Y ^m X ) ) ) $=
      ( wa cid cmap wceq wcel cres cvv cmpo adantr oveq12 ancoms reseq2d adantl
      cv co simprl simprr ovexd resiexd ovmpod ) AIDUAZJDUAZQZQZBCIJDDRCUJZBUJZ
      SUKZUBZRJISUKZUBZHUCAHBCDDVDUDTUSPUEVBITZVAJTZQZVDVFTUTVIVCVERVHVGVCVETVA
      JVBISUFUGUHUIAUQURULAUQURUMUTVEUCUTJISUNUOUP $.

    $( Lemma 6 for ~ funcsetcestrc .  (Contributed by AV, 27-Mar-2020.) $)
    funcsetcestrclem6 $p |- ( ( ph /\ ( X e. C /\ Y e. C )
                             /\ H e. ( Y ^m X ) ) -> ( ( X G Y ) ` H ) = H ) $=
      ( wcel co cfv wa cmap w3a cid cres wceq funcsetcestrclem5 fveq1d 3ad2ant3
      3adant3 fvresi eqtrd ) AJDRKDRUAZIKJUBSZRZUCZIJKHSZTIUDUNUEZTZIUPIUQURAUM
      UQURUFUOABCDEFGHJKLMNOPQUGUJUHUOAUSIUFUMUNIUKUIUL $.

    funcsetcestrc.e $e |- E = ( ExtStrCat ` U ) $.
    $( Lemma 7 for ~ funcsetcestrc .  (Contributed by AV, 27-Mar-2020.) $)
    funcsetcestrclem7 $p |- ( ( ph /\ X e. C )
        -> ( ( X G X ) ` ( ( Id ` S ) ` X ) ) = ( ( Id ` E ) ` ( F ` X ) ) ) $=
      ( wcel cfv cid wa ccid co cres cnx cbs cop csn funcsetcestrclem5 anabsan2
      cmap wceq cwun eqid adantr setcbas eqtr4id eleq2d biimpa setcid wf1o f1oi
      fveq12d wf ax-mp simpr elmapd mpbiri fvresi syl 1strbas funcsetcestrclem1
      f1of reseq2d eqtrd fveq2d setc1strwun estrcid eqtr2d 3eqtrd ) AJDRZUAZJEU
      BSZSZJJIUCZSTJUDZTJJUKUCZUDZSZTUEUFSJUGUHZUFSZUDZJHSZGUBSZSZWBWDWFWEWHAWA
      WEWHULABCDEFHIJJKLMNOPUIUJWBEFWCUMJKWCUNAFUMRWANUOZAWAJFRADFJADEUFSFLAEFU
      MKNUPUQURUSUTVCWBWIWFWLWBWFWGRZWIWFULWBWQJJWFVDZJJWFVAWRJVBJJWFVMVEWBJJWF
      DDAWAVFZWSVGVHWGWFVIVJWBJWKTWBWAJWKULWSJWJDWJUNVKVJVNVOWBWOWJWNSWLWBWMWJW
      NABDEFHJKLMVLVPWBGFWNUMWJQWNUNWPADEFJKLNOVQVRVSVT $.

    $d C f $.  $d F f $.  $d X f $.  $d Y f $.  $d ph f $.
    $( Lemma 8 for ~ funcsetcestrc .  (Contributed by AV, 28-Mar-2020.) $)
    funcsetcestrclem8 $p |- ( ( ph /\ ( X e. C /\ Y e. C ) )
                    -> ( X G Y ) : ( X ( Hom ` S ) Y )
                                   --> ( ( F ` X ) ( Hom ` E ) ( F ` Y ) ) ) $=
      ( wcel cfv vf wa chom co wf cmap cbs cid cres wf1o f1oi f1of cv elmapi wb
      mp1i simpr ancomd elmapg syl biimpar cnx cop csn funcsetcestrclem1 fveq2d
      wceq 1strbas eqcomd adantl adantrl eqtr4d adantrr oveq12d adantr eleqtrrd
      eqid eqtrd syl5 fssd funcsetcestrclem5 cwun setcbas eqtr4id eleq2d biimpd
      ex adantrd imp adantld setchom funcsetcestrclem2 estrchom feq123d mpbird
      ssrdv ) AJDSZKDSZUBZUBZJKEUCTZUDZJHTZKHTZGUCTZUDZJKIUDZUEKJUFUDZXDUGTZXCU
      GTZUFUDZUHXHUIZUEWTXHXHXKXLXHXHXLUJXHXHXLUEWTXHUKXHXHXLULUPWTUAXHXKUAUMZX
      HSZJKXMUEZWTXMXKSZXMKJUNWTXOXPWTXOUBXMXHXKWTXNXOWTWRWQUBXNXOUOWTWQWRAWSUQ
      URKJXMDDUSUTVAWTXKXHVGXOWTXIKXJJUFAWRXIKVGWQAWRUBZXIVBUGTZKVCVDZUGTZKXQXD
      XSUGABDEFHKLMNVEVFWRXTKVGAWRKXTKXSDXSVQVHVIVJVRVKAWQXJJVGWRAWQUBZXJXRJVCV
      DZUGTZJYAXCYBUGABDEFHJLMNVEVFWQJYCVGAJYBDYBVQVHVJVLVMVNVOVPWGVSWPVTWTXBXH
      XFXKXGXLABCDEFHIJKLMNOPQWAWTEFXAWBJKLAFWBSWSOVOZXAVQAWSJFSZAWQYEWRAWQYEAD
      FJADEUGTFMAEFWBLOWCWDZWEWFWHWIAWSKFSZAWRYGWQAWRYGADFKYFWEWFWJWIWKWTXJXIGF
      XEWBXCXDRYDXEVQAWQXCFSWRABDEFHJLMNOPWLVMAWRXDFSWQABDEFHKLMNOPWLVKXJVQXIVQ
      WMWNWO $.

    $d Z x y $.
    $( Lemma 9 for ~ funcsetcestrc .  (Contributed by AV, 28-Mar-2020.) $)
    funcsetcestrclem9 $p |- ( ( ph /\ ( X e. C /\ Y e. C /\ Z e. C )
                  /\ ( H e. ( X ( Hom ` S ) Y ) /\ K e. ( Y ( Hom ` S ) Z ) ) )
                  -> ( ( X G Z ) ` ( K ( <. X , Y >. ( comp ` S ) Z ) H ) )
                     = ( ( ( Y G Z ) ` K )
                         ( <. ( F ` X ) , ( F ` Y ) >. ( comp ` E ) ( F ` Z ) )
                         ( ( X G Y ) ` H ) ) ) $=
      ( wcel w3a chom cfv co cop cco wceq cmap cwun adantr eqid setcbas eqtr4id
      cbs eleq2d biimpcd 3ad2ant1 impcom 3ad2ant2 setchom 3ad2ant3 anbi12d ccom
      wa wi cid cres wf elmapi syl2anr adantl wb elmapg ancoms 3adant2 ad2antlr
      fco mpbird fvresi syl funcsetcestrclem5 3adantr2 ad2antrl ad2antll setcco
      fveq12d funcsetcestrclem2 3ad2antr1 3ad2antr2 3ad2antr3 funcsetcestrclem6
      simpll 3simpa simprl syl3anc cnx funcsetcestrclem1 fveq2d 1strbas feq123d
      csn eqcomd eqtrd 3simpc simprr estrcco coeq12d 3eqtr4d ex sylbid 3impia )
      ALDUBZMDUBZNDUBZUCZJLMEUDUEZUFZUBZKMNXRUFZUBZVFZKJLMUGNEUHUEZUFUFZLNIUFZU
      EZKMNIUFUEZJLMIUFUEZLHUEZMHUEZUGNHUEZGUHUEZUFUFZUIZAXQVFZYCJMLUJUFZUBZKNM
      UJUFZUBZVFZYOYPXTYRYBYTYPXSYQJYPEFXRUKLMOAFUKUBZXQRULZXRUMZXQALFUBZXNXOAU
      UEVGXPAXNUUEADFLADEUPUEFPAEFUKORUNUOZUQURUSUTZXQAMFUBZXOXNAUUHVGXPAXOUUHA
      DFMUUFUQURVAUTZVBUQYPYAYSKYPEFXRUKMNOUUCUUDUUIXQANFUBZXPXNAUUJVGXOAXPUUJA
      DFNUUFUQURVCUTZVBUQVDYPUUAYOYPUUAVFZKJVEZVHNLUJUFZVIZUEZUUMYGYNUULUUMUUNU
      BZUUPUUMUIUULUUQLNUUMVJZUUAUURYPYTMNKVJZLMJVJZUURYRKNMVKZJMLVKZLMNKJVSVLV
      MXQUUQUURVNZAUUAXNXPUVCXOXPXNUVCNLUUMDDVOVPVQVRVTUUNUUMWAWBUULYEUUMYFUUOY
      PYFUUOUIZUUAAXNXPUVDXOABCDEFHILNOPQRSTWCWDULUULEYDFJKUKLMNOYPUUBUUAUUCULZ
      YDUMYPUUEUUAUUGULYPUUHUUAUUIULYPUUJUUAUUKULYRUUTYPYTUVBWEZYTUUSYPYRUVAWFZ
      WGWHUULYNYHYIVEUUMUULYJUPUEZYKUPUEZGYLUPUEZYMFYIYHUKYJYKYLUAUVEYMUMYPYJFU
      BZUUAAXOXNUVKXPABDEFHLOPQRSWIWJULYPYKFUBZUUAAXNXOUVLXPABDEFHMOPQRSWIWKULY
      PYLFUBZUUAAXNXPUVMXOABDEFHNOPQRSWIWLULUVHUMUVIUMUVJUMUULUVHUVIYIVJUUTUVFU
      ULUVHLUVIMYIJUULAXNXOVFZYRYIJUIAXQUUAWNZXQUVNAUUAXNXOXPWOVRYPYRYTWPABCDEF
      HIJLMOPQRSTWMWQZYPUVHLUIUUAYPUVHWRUPUEZLUGXCZUPUEZLYPYJUVRUPAXOXNYJUVRUIX
      PABDEFHLOPQWSWJWTXQUVSLUIZAXNXOUVTXPXNLUVSLUVRDUVRUMXAXDUSVMXEULYPUVIMUIU
      UAYPUVIUVQMUGXCZUPUEZMYPYKUWAUPAXNXOYKUWAUIXPABDEFHMOPQWSWKWTXQUWBMUIZAXO
      XNUWCXPXOMUWBMUWADUWAUMXAXDVAVMXEULZXBVTUULUVIUVJYHVJUUSUVGUULUVIMUVJNYHK
      UULAXOXPVFZYTYHKUIUVOXQUWEAUUAXNXOXPXFVRYPYRYTXGABCDEFHIKMNOPQRSTWMWQZUWD
      YPUVJNUIUUAYPUVJUVQNUGXCZUPUEZNYPYLUWGUPAXNXPYLUWGUIXOABDEFHNOPQWSWLWTXQU
      WHNUIZAXPXNUWIXOXPNUWHNUWGDUWGUMXAXDVCVMXEULXBVTXHUULYHKYIJUWFUVPXIXEXJXK
      XLXM $.

    $d a b c x y $.  $d C a b c h k $.  $d E a b c h k x $.  $d F a b c h k $.
    $d G a b c h k $.  $d S a b c h k $.  $d ph a b c h k $.
    $( The "embedding functor" from the category of sets into the category of
       extensible structures which sends each set to an extensible structure
       consisting of the base set slot only, preserving the morphisms as
       mappings between the corresponding base sets.  (Contributed by AV,
       28-Mar-2020.) $)
    funcsetcestrc $p |- ( ph -> F ( S Func E ) G ) $=
      ( cfv eqid cwun cv va vb vc vh vk cbs cco ccid chom wcel ccat setccat syl
      funcsetcestrclem3 funcsetcestrclem4 funcsetcestrclem8 funcsetcestrclem7
      estrccat funcsetcestrclem9 isfuncd ) AUAUBUCDGUFQZEEUGQZEUHQZUDUEGHIEUIQZ
      GUHQZGUIQZGUGQZKVARZVDRVFRVCRVERVBRVGRAFSUJZEUKUJMEFSJULUMAVIGUKUJMGFSPUR
      UMABVADEFGHJKLMNPVHUNABCDEFHIJKLMNOUOABCDEFGHIUATZUBTZJKLMNOPUPABCDEFGHIV
      JJKLMNOPUQABCDEFGHIUDTUETVJVKUCTJKLMNOPUSUT $.

    $( The "embedding functor" from the category of sets into the category of
       extensible structures which sends each set to an extensible structure
       consisting of the base set slot only is faithful.  (Contributed by AV,
       31-Mar-2020.) $)
    fthsetcestrc $p |- ( ph -> F ( S Faith E ) G ) $=
      ( vh co cfv wcel va vb vk cfunc wbr cv chom wral cfth funcsetcestrc wa wf
      wf1 wceq weq wi funcsetcestrclem8 cmap cwun adantr setcbas eqtr4id eleq2d
      cbs biimpcd impcom adantl setchom funcsetcestrclem6 3expia sylbid eqeq12d
      eqid com12 biimpd ralrimivva dff13 sylanbrc isfth2 ) AHIEGUDRUEUAUFZUBUFZ
      EUGSZRZVTHSWAHSGUGSZRZVTWAIRZUMZUBDUHUADUHHIEGUIRUEABCDEFGHIJKLMNOPUJAWGU
      AUBDDAVTDTZWADTZUKZUKZWCWEWFULQUFZWFSZUCUFZWFSZUNZQUCUOZUPZUCWCUHQWCUHWGA
      BCDEFGHIVTWAJKLMNOPUQWKWRQUCWCWCWKWLWCTZWNWCTZUKZUKZWPWQXBWMWLWOWNXAWKWMW
      LUNZWSWKXCUPWTWKWSXCWKWSWLWAVTURRZTZXCWKWCXDWLWKEFWBUSVTWAJAFUSTWJMUTWBVM
      ZWJAVTFTZWHAXGUPWIAWHXGADFVTADEVDSFKAEFUSJMVAVBZVCVEUTVFWJAWAFTZWIAXIUPWH
      AWIXIADFWAXHVCVEVGVFVHZVCAWJXEXCABCDEFHIWLVTWAJKLMNOVIVJVKVNUTVFXAWKWOWNU
      NZWTWKXKUPWSWKWTXKWKWTWNXDTZXKWKWCXDWNXJVCAWJXLXKABCDEFHIWNVTWAJKLMNOVIVJ
      VKVNVGVFVLVOVPQUCWCWEWFVQVRVPUAUBDEGHIWBWDKXFWDVMVSVR $.

    $( The "embedding functor" from the category of sets into the category of
       extensible structures which sends each set to an extensible structure
       consisting of the base set slot only is full.  (Contributed by AV,
       1-Apr-2020.) $)
    fullsetcestrc $p |- ( ph -> F ( S Full E ) G ) $=
      ( vh vk cfv wcel va vb cfunc co wbr cv chom wral cful funcsetcestrc wa wf
      wfo wceq wrex funcsetcestrclem8 cbs cwun adantr funcsetcestrclem2 adantrr
      eqid adantrl elestrchom cnx cop funcsetcestrclem1 fveq2d 1strbas ad2antrl
      csn eqtr4d ad2antll feq23d weq wb simpr ancomd elmapg syl biimpar equequ2
      cmap adantl eqidd rspcedvd funcsetcestrclem6 3expa eqeq2d rexbidva mpbird
      wi setcbas eqtr4id eleq2d biimpcd impcom setchom ex sylbid ralrimiv dffo3
      rexeqdv sylanbrc ralrimivva isfull2 ) AHIEGUCUDUEUAUFZUBUFZEUGSZUDZXGHSZX
      HHSZGUGSZUDZXGXHIUDZUMZUBDUHUADUHHIEGUIUDUEABCDEFGHIJKLMNOPUJAXPUAUBDDAXG
      DTZXHDTZUKZUKZXJXNXOULQUFZRUFZXOSZUNZRXJUOZQXNUHXPABCDEFGHIXGXHJKLMNOPUPX
      TYEQXNXTYAXNTXKUQSZXLUQSZYAULZYEXTYFYGGFYAXMURXKXLPAFURTXSMUSZXMVBZAXQXKF
      TXRABDEFHXGJKLMNUTVAAXRXLFTXQABDEFHXHJKLMNUTVCYFVBYGVBVDXTYHXGXHYAULZYEXT
      YFYGXGXHYAXTYFVEUQSZXGVFVKZUQSZXGXTXKYMUQAXQXKYMUNXRABDEFHXGJKLVGVAVHXQXG
      YNUNAXRXGYMDYMVBVIVJVLXTYGYLXHVFVKZUQSZXHXTXLYOUQAXRXLYOUNXQABDEFHXHJKLVG
      VCVHXRXHYPUNAXQXHYODYOVBVIVMVLVNXTYKYEXTYKUKZYEYDRXHXGWCUDZUOZYQYSQRVOZRY
      RUOZYQYTQQVOZRYAYRXTYAYRTZYKXTXRXQUKUUCYKVPXTXQXRAXSVQVRXHXGYADDVSVTWARQV
      OYTUUBVPYQRQQWBWDYQYAWEWFXTYSUUAVPYKXTYDYTRYRXTYBYRTZUKYCYBYAAXSUUDYCYBUN
      ABCDEFHIYBXGXHJKLMNOWGWHWIWJUSWKXTYEYSVPYKXTYDRXJYRXTEFXIURXGXHJYIXIVBZXS
      AXGFTZXQAUUFWLXRAXQUUFADFXGADEUQSFKAEFURJMWMWNZWOWPUSWQXSAXHFTZXRAUUHWLXQ
      AXRUUHADFXHUUGWOWPWDWQWRXCUSWKWSWTWTXARQXJXNXOXBXDXEUAUBDEGHIXIXMKYJUUEXF
      XD $.

    $d B x $.
    embedsetcestrc.b $e |- B = ( Base ` E ) $.
    $( The "embedding functor" from the category of sets into the category of
       extensible structures which sends each set to an extensible structure
       consisting of the base set slot only is an embedding.  According to
       definition 3.27 (1) of [Adamek] p. 34, a functor "F is called an
       _embedding_ provided that F is injective on morphisms", or according to
       remark 3.28 (1) in [Adamek] p. 34, "a functor is an embedding if and
       only if it is faithful and injective on objects".  (Contributed by AV,
       31-Mar-2020.) $)
    embedsetcestrc $p |- ( ph -> ( F ( S Faith E ) G /\ F : C -1-1-> B ) ) $=
      ( cfth co wbr wf1 fthsetcestrc embedsetcestrclem jca ) AIJFHSTUAEDIUBABCE
      FGHIJKLMNOPQUCABDEFGHIKLMNOQRUDUE $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Categorical constructions
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Product of categories
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Xc. $.
  $c 1stF $.
  $c 2ndF $.
  $c pairF $.

  $( Extend class notation with the product of two categories. $)
  cxpc $a class Xc. $.

  $( Extend class notation with the first projection functor. $)
  c1stf $a class 1stF $.

  $( Extend class notation with the second projection functor. $)
  c2ndf $a class 2ndF $.

  $( Extend class notation with the functor pairing operation. $)
  cprf $a class pairF $.

  ${
    $d b f g h r s u v x y $.
    $( Define the binary product of categories, which has objects for each pair
       of objects of the factors, and morphisms for each pair of morphisms of
       the factors.  Composition is componentwise.  (Contributed by Mario
       Carneiro, 10-Jan-2017.) $)
    df-xpc $a |- Xc. = ( r e. _V , s e. _V |->
    [_ ( ( Base ` r ) X. ( Base ` s ) ) / b ]_
    [_ ( u e. b , v e. b |-> ( ( ( 1st ` u ) ( Hom ` r ) ( 1st ` v ) ) X.
        ( ( 2nd ` u ) ( Hom ` s ) ( 2nd ` v ) ) ) ) / h ]_
    { <. ( Base ` ndx ) , b >. ,
      <. ( Hom ` ndx ) , h >. ,
      <. ( comp ` ndx ) , ( x e. ( b X. b ) , y e. b |->
        ( g e. ( ( 2nd ` x ) h y ) , f e. ( h ` x ) |->
        <. ( ( 1st ` g ) ( <. ( 1st ` ( 1st ` x ) ) ,
          ( 1st ` ( 2nd ` x ) ) >. ( comp ` r ) ( 1st ` y ) ) ( 1st ` f ) ) ,
           ( ( 2nd ` g ) ( <. ( 2nd ` ( 1st ` x ) ) ,
          ( 2nd ` ( 2nd ` x ) ) >. ( comp ` s ) ( 2nd ` y ) ) ( 2nd ` f ) ) >.
          ) ) >. } ) $.

    $( Define the first projection functor out of the product of categories.
       (Contributed by Mario Carneiro, 11-Jan-2017.) $)
    df-1stf $a |- 1stF = ( r e. Cat , s e. Cat |->
    [_ ( ( Base ` r ) X. ( Base ` s ) ) / b ]_
      <. ( 1st |` b ) , ( x e. b , y e. b |->
        ( 1st |` ( x ( Hom ` ( r Xc. s ) ) y ) ) ) >. ) $.

    $( Define the second projection functor out of the product of categories.
       (Contributed by Mario Carneiro, 11-Jan-2017.) $)
    df-2ndf $a |- 2ndF = ( r e. Cat , s e. Cat |->
    [_ ( ( Base ` r ) X. ( Base ` s ) ) / b ]_
      <. ( 2nd |` b ) , ( x e. b , y e. b |->
        ( 2nd |` ( x ( Hom ` ( r Xc. s ) ) y ) ) ) >. ) $.

    $( Define the pairing operation for functors (which takes two functors
       ` F : C --> D ` and ` G : C --> E ` and produces
       ` ( F pairF G ) : C --> ( D Xc. E ) ` ).  (Contributed by Mario
       Carneiro, 11-Jan-2017.) $)
    df-prf $a |- pairF = ( f e. _V , g e. _V |-> [_ dom ( 1st ` f ) / b ]_
      <. ( x e. b |-> <. ( ( 1st ` f ) ` x ) , ( ( 1st ` g ) ` x ) >. ) ,
         ( x e. b , y e. b |-> ( h e. dom ( x ( 2nd ` f ) y ) |->
    <. ( ( x ( 2nd ` f ) y ) ` h ) , ( ( x ( 2nd ` g ) y ) ` h ) >. ) ) >. ) $.

    $( The binary product of categories is a two-argument function.
       (Contributed by Mario Carneiro, 10-Jan-2017.) $)
    fnxpc $p |- Xc. Fn ( _V X. _V ) $=
      ( vr vs vb vh vu vv vx vy vg vf cv cbs cfv cxp c1st chom co c2nd cmpo cop
      cvv cnx cco ctp csb cxpc df-xpc tpex csbex fnmpoi ) ABUAUACAKZLMBKZLMNZDE
      FCKZUNEKZOMFKZOMUKPMQUORMUPRMULPMQNSZUBLMUNTZUBPMDKZTZUBUCMGHUNUNNUNIJGKZ
      RMZHKZUSQVAUSMIKZOMJKZOMVAOMZOMVBOMTVCOMUKUCMQQVDRMVERMVFRMVBRMTVCRMULUCM
      QQTSSTZUDZUEZUEUFGHFEJIDBACUGCUMVIDUQVHURUTVGUHUIUIUJ $.
  $}

  ${
    $d b f g h r s u v x y B $.  $d b h r s O $.  $d b f g h r s u v x y ph $.
    $d b f g h r s u v x y C $.  $d b f g h r s u v x y D $.
    $d b f g h r s x y K $.
    xpcval.t $e |- T = ( C Xc. D ) $.
    xpcval.x $e |- X = ( Base ` C ) $.
    xpcval.y $e |- Y = ( Base ` D ) $.
    xpcval.h $e |- H = ( Hom ` C ) $.
    xpcval.j $e |- J = ( Hom ` D ) $.
    xpcval.o1 $e |- .x. = ( comp ` C ) $.
    xpcval.o2 $e |- .xb = ( comp ` D ) $.
    xpcval.c $e |- ( ph -> C e. V ) $.
    xpcval.d $e |- ( ph -> D e. W ) $.
    xpcval.b $e |- ( ph -> B = ( X X. Y ) ) $.
    xpcval.k $e |- ( ph -> K = ( u e. B , v e. B |->
      ( ( ( 1st ` u ) H ( 1st ` v ) ) X. ( ( 2nd ` u ) J ( 2nd ` v ) ) ) ) ) $.
    xpcval.o $e |- ( ph -> O =
      ( x e. ( B X. B ) , y e. B |->
        ( g e. ( ( 2nd ` x ) K y ) , f e. ( K ` x ) |->
        <. ( ( 1st ` g ) ( <. ( 1st ` ( 1st ` x ) ) ,
          ( 1st ` ( 2nd ` x ) ) >. .x. ( 1st ` y ) ) ( 1st ` f ) ) ,
           ( ( 2nd ` g ) ( <. ( 2nd ` ( 1st ` x ) ) ,
          ( 2nd ` ( 2nd ` x ) ) >. .xb ( 2nd ` y ) ) ( 2nd ` f ) ) >. ) ) ) $.
    $( Value of the binary product of categories.  (Contributed by Mario
       Carneiro, 10-Jan-2017.) $)
    xpcval $p |- ( ph -> T = { <. ( Base ` ndx ) , B >. ,
        <. ( Hom ` ndx ) , K >. , <. ( comp ` ndx ) , O >. } ) $=
      ( vr vs vb vh cxpc co cnx cbs cfv cop chom cco ctp cvv cxp c1st c2nd cmpo
      cv csb wceq df-xpc wa wcel fvex xpex simprl fveq2d eqtr4di simprr xpeq12d
      a1i adantr eqtr4d vex mpoex simpr simplrl oveqd simplrr mpoeq123dv simplr
      ad2antrr opeq2d fveq1d opeq12d ad3antrrr csbied2 elexd tpex ovmpod eqtrid
      tpeq123d ) AJGHURUSUTVAVBZFVCZUTVDVBZPVCZUTVEVBZQVCZVFZUBAUNUOGHVGVGUPUNV
      LZVAVBZUOVLZVAVBZVHZUQEDUPVLZXSEVLZVIVBZDVLZVIVBZXNVDVBZUSZXTVJVBZYBVJVBZ
      XPVDVBZUSZVHZVKZXGXSVCZXIUQVLZVCZXKBCXSXSVHZXSMLBVLZVJVBZCVLZYMUSZYPYMVBZ
      MVLZVIVBZLVLZVIVBZYPVIVBZVIVBYQVIVBVCZYRVIVBZXNVEVBZUSZUSZUUAVJVBZUUCVJVB
      ZUUEVJVBYQVJVBVCZYRVJVBZXPVEVBZUSZUSZVCZVKZVKZVCZVFZVMZVMZXMURVGURUNUOVGV
      GUVDVKVNABCDELMUQUOUNUPVOWEAXNGVNZXPHVNZVPZVPZUPXRFUVCXMVGXRVGVQUVHXOXQXN
      VAVRXPVAVRVSWEUVHXRTUAVHZFUVHXOTXQUAUVHXOGVAVBTUVHXNGVAAUVEUVFVTWAUCWBUVH
      XQHVAVBUAUVHXPHVAAUVEUVFWCWAUDWBWDAFUVIVNUVGUKWFWGUVHXSFVNZVPZUQYKPUVBXMV
      GYKVGVQUVKEDXSXSYJUPWHZUVLWIWEUVKYKEDFFYAYCNUSZYFYGOUSZVHZVKZPUVKEDXSXSYJ
      FFUVOUVHUVJWJZUVQUVKYEUVMYIUVNUVKYDNYAYCUVKYDGVDVBNUVKXNGVDAUVEUVFUVJWKZW
      AUEWBWLUVKYHOYFYGUVKYHHVDVBOUVKXPHVDAUVEUVFUVJWMZWAUFWBWLWDWNAPUVPVNUVGUV
      JULWPWGUVKYMPVNZVPZYLXHYNXJUVAXLUWAXSFXGUVHUVJUVTWOZWQUWAYMPXIUVKUVTWJZWQ
      UWAUUTQXKUWAUUTBCFFVHZFMLYQYRPUSZYPPVBZUUBUUDUUFUUGKUSZUSZUUKUULUUMUUNIUS
      ZUSZVCZVKZVKZQUWABCYOXSUUSUWDFUWLUWAXSFXSFUWBUWBWDUWBUWAMLYSYTUURUWEUWFUW
      KUWAYMPYQYRUWCWLUWAYPYMPUWCWRUWAUUJUWHUUQUWJUWAUUIUWGUUBUUDUWAUUHKUUFUUGU
      WAUUHGVEVBKUWAXNGVEUVKUVEUVTUVRWFWAUGWBWLWLUWAUUPUWIUUKUULUWAUUOIUUMUUNUW
      AUUOHVEVBIUWAXPHVEUVKUVFUVTUVSWFWAUHWBWLWLWSWNWNAQUWMVNUVGUVJUVTUMWTWGWQX
      FXAXAAGRUIXBAHSUJXBXMVGVQAXHXJXLXCWEXDXE $.
  $}

  ${
    $d f g u v x y C $.  $d f g u v x y D $.  $d f g u v x y X $.
    $d f g u v x y Y $.
    xpcbas.t $e |- T = ( C Xc. D ) $.
    xpcbas.x $e |- X = ( Base ` C ) $.
    xpcbas.y $e |- Y = ( Base ` D ) $.
    $( Set of objects of the binary product of categories.  (Contributed by
       Mario Carneiro, 10-Jan-2017.) $)
    xpcbas $p |- ( X X. Y ) = ( Base ` T ) $=
      ( cvv cxp cbs cfv wceq cv c2nd c1st co eqid c0 cxpc vx vy vg vf wcel chom
      vu vv wa cmpo cop cco simpl simpr eqidd xpcval fvexi xpex a1i estrreslem1
      wn base0 wo fvprc eqtrid orim12i ianor xpeq0 3imtr4i wfn fnxpc fndm ax-mp
      cdm ndmov fveq2d 3eqtr4a pm2.61i ) AIUEZBIUEZUIZDEJZCKLZMWAWBCUAUBWBWBJWB
      UCUDUANZOLZUBNZUGUHWBWBUGNZPLUHNZPLAUFLZQWGOLWHOLBUFLZQJUJZQWDWKLUCNZPLUD
      NZPLWDPLZPLWEPLUKWFPLAULLZQQWLOLWMOLWNOLWEOLUKWFOLBULLZQQUKUJUJZWKIWAUAUB
      UHUGWBABWPCWOUDUCWIWJWKWQIIDEFGHWIRWJRWORWPRVSVTUMVSVTUNWAWBUOWAWKUOWAWQU
      OUPWBIUEWADEDAKGUQEBKHUQURUSUTWAVAZSSKLWBWCVBVSVAZVTVAZVCDSMZESMZVCWRWBSM
      WSXAWTXBWSDAKLSGAKVDVEWTEBKLSHBKVDVEVFVSVTVGDEVHVIWRCSKWRCABTQSFABITTIIJZ
      VJTVNXCMVKXCTVLVMVOVEVPVQVR $.
  $}

  ${
    $d f g u v x y B $.  $d f g u v x y C $.  $d f g u v x y D $.  $d u v X $.
    $d f g u v x y H $.  $d f g u v x y J $.  $d u v Y $.
    xpchomfval.t $e |- T = ( C Xc. D ) $.
    xpchomfval.y $e |- B = ( Base ` T ) $.
    xpchomfval.h $e |- H = ( Hom ` C ) $.
    xpchomfval.j $e |- J = ( Hom ` D ) $.
    xpchomfval.k $e |- K = ( Hom ` T ) $.
    $( Set of morphisms of the binary product of categories.  (Contributed by
       Mario Carneiro, 11-Jan-2017.)  (Proof shortened by AV, 1-Mar-2024.) $)
    xpchomfval $p |- K = ( u e. B , v e. B |->
      ( ( ( 1st ` u ) H ( 1st ` v ) ) X. ( ( 2nd ` u ) J ( 2nd ` v ) ) ) ) $=
      ( cvv c1st cfv co c2nd c0 vx vy vg vf wcel cxp cmpo wceq cnx cbs cop chom
      wa cv cco ctp c1 c5 cdc simpl simpr xpcbas eqtr4i a1i eqidd xpcval catstr
      eqid homid snsstp2 fvexi mpoex strfv3 cxpc wfn cdm fnxpc fndm ax-mp ndmov
      wn eqtrid fveq2d str0 3eqtr4g wo base0 olcd 0mpo0 syl eqtr4d pm2.61i ) DO
      UEZEOUEZUMZIBACCBUNZPQAUNZPQGRWPSQWQSQHRUFZUGZUHWOIWSUIUJQCUKZUIULQZWSUKZ
      UIUOQUAUBCCUFCUCUDUAUNZSQZUBUNZWSRXCWSQUCUNZPQUDUNZPQXCPQZPQXDPQUKXEPQDUO
      QZRRXFSQXGSQXHSQXDSQUKXESQEUOQZRRUKUGUGZUKZUPFULOUQUQURUSUKWOUAUBABCDEXJF
      XIUDUCGHWSXKOODUJQZEUJQZJXMVHZXNVHZLMXIVHXJVHWMWNUTWMWNVACXMXNUFZUHWOCFUJ
      QZXQKDEFXMXNJXOXPVBVCVDWOWSVEWOXKVEVFXKCWSVGVIWTXBXLVJWSOUEWOBACCWRCFUJKV
      KZXSVLVDNVMWOWAZITWSXTFULQTULQITXTFTULXTFDEVNRTJDEOVNVNOOUFZVOVNVPYAUHVQY
      AVNVRVSVTWBZWCNULXAVIWDWEXTCTUHZYCWFWSTUHXTYCYCXTXRTUJQCTXTFTUJYBWCKWGWEW
      HBACCWRWIWJWKWL $.

    xpchom.x $e |- ( ph -> X e. B ) $.
    xpchom.y $e |- ( ph -> Y e. B ) $.
    $( Set of morphisms of the binary product of categories.  (Contributed by
       Mario Carneiro, 11-Jan-2017.) $)
    xpchom $p |- ( ph -> ( X K Y ) =
      ( ( ( 1st ` X ) H ( 1st ` Y ) ) X. ( ( 2nd ` X ) J ( 2nd ` Y ) ) ) ) $=
      ( c1st cfv c2nd vu vv wcel co cxp wceq cv wa simpl fveq2d oveq12d xpeq12d
      simpr xpchomfval ovex xpex ovmpoa syl2anc ) AIBUCJBUCIJHUDIRSZJRSZFUDZITS
      ZJTSZGUDZUEZUFPQUAUBIJBBUAUGZRSZUBUGZRSZFUDZVFTSZVHTSZGUDZUEVEHVFIUFZVHJU
      FZUHZVJVAVMVDVPVGUSVIUTFVPVFIRVNVOUIZUJVPVHJRVNVOUMZUJUKVPVKVBVLVCGVPVFIT
      VQUJVPVHJTVRUJUKULUBUABCDEFGHKLMNOUNVAVDUSUTFUOVBVCGUOUPUQUR $.
  $}

  ${
    $d u v C $.  $d u v D $.  $d u v T $.
    relxpchom.t $e |- T = ( C Xc. D ) $.
    relxpchom.k $e |- K = ( Hom ` T ) $.
    $( A hom-set in the binary product of categories is a relation.
       (Contributed by Mario Carneiro, 11-Jan-2017.) $)
    relxpchom $p |- Rel ( X K Y ) $=
      ( vu vv co cvv cxp wss cv c1st cfv chom c2nd eqid wrel cbs rgen2w ovmptss
      wral xpss xpchomfval ax-mp df-rel mpbir ) EFDKZUAUKLLMZNZIOZPQJOZPQARQZKZ
      UNSQUOSQBRQZKZMZULNZJCUBQZUEIVBUEUMVAIJVBVBUQUSUFUCIJVBVBUTEDFULJIVBABCUP
      URDGVBTUPTURTHUGUDUHUKUIUJ $.
  $}

  ${
    $d f g u v x y B $.  $d f g u v x y C $.  $d f g x y F $.  $d f g x y ph $.
    $d f g u v x y D $.  $d f g x y G $.  $d f g x y .x. $.  $d f g x y .xb $.
    $d f g x y K $.  $d f g x y X $.  $d f g x y Y $.  $d f g x y Z $.
    $d x y O $.
    xpccofval.t $e |- T = ( C Xc. D ) $.
    xpccofval.b $e |- B = ( Base ` T ) $.
    xpccofval.k $e |- K = ( Hom ` T ) $.
    xpccofval.o1 $e |- .x. = ( comp ` C ) $.
    xpccofval.o2 $e |- .xb = ( comp ` D ) $.
    xpccofval.o $e |- O = ( comp ` T ) $.
    $( Value of composition in the binary product of categories.  (Contributed
       by Mario Carneiro, 11-Jan-2017.)  (Proof shortened by AV,
       2-Mar-2024.) $)
    xpccofval $p |- O = ( x e. ( B X. B ) , y e. B |->
        ( g e. ( ( 2nd ` x ) K y ) , f e. ( K ` x ) |->
        <. ( ( 1st ` g ) ( <. ( 1st ` ( 1st ` x ) ) ,
          ( 1st ` ( 2nd ` x ) ) >. .x. ( 1st ` y ) ) ( 1st ` f ) ) ,
           ( ( 2nd ` g ) ( <. ( 2nd ` ( 1st ` x ) ) ,
          ( 2nd ` ( 2nd ` x ) ) >. .xb ( 2nd ` y ) ) ( 2nd ` f ) ) >. ) ) $=
      ( cfv c0 vv vu cvv wcel wa cxp cv c2nd co c1st cop cmpo wceq cnx cbs chom
      cco ctp c1 cdc eqid simpl simpr xpcbas eqtr4i a1i xpchomfval eqidd xpcval
      c5 catstr ccoid snsstp3 fvexi xpex mpoex strfv3 wn cxpc fnxpc fndmi ndmov
      eqtrid fveq2d str0 3eqtr4g wo base0 olcd 0mpo0 syl eqtr4d pm2.61i ) DUCUD
      ZEUCUDZUEZLABCCUFZCJIAUGZUHSZBUGZKUIWRKSJUGZUJSIUGZUJSWRUJSZUJSWSUJSUKWTU
      JSHUIUIXAUHSXBUHSXCUHSWSUHSUKWTUHSFUIUIUKULZULZUMWPLXEUNUOSCUKZUNUPSKUKZU
      NUQSZXEUKZURGUQUCUSUSVJUTUKWPABUAUBCDEFGHIJDUPSZEUPSZKXEUCUCDUOSZEUOSZMXL
      VAZXMVAZXJVAZXKVAZPQWNWOVBWNWOVCCXLXMUFZUMWPCGUOSZXRNDEGXLXMMXNXOVDVEVFKU
      BUACCUBUGZUJSUAUGZUJSXJUIXTUHSYAUHSXKUIUFULUMWPUAUBCDEGXJXKKMNXPXQOVGVFWP
      XEVHVIXECKVKVLXFXGXIVMXEUCUDWPABWQCXDCCCGUONVNZYBVOYBVPVFRVQWPVRZLTXEYCGU
      QSTUQSLTYCGTUQYCGDEVSUITMDEUCVSUCUCUFVSVTWAWBWCZWDRUQXHVLWEWFYCWQTUMZCTUM
      ZWGXETUMYCYFYEYCXSTUOSCTYCGTUOYDWDNWHWFWIABWQCXDWJWKWLWM $.

    xpcco.x $e |- ( ph -> X e. B ) $.
    xpcco.y $e |- ( ph -> Y e. B ) $.
    xpcco.z $e |- ( ph -> Z e. B ) $.
    xpcco.f $e |- ( ph -> F e. ( X K Y ) ) $.
    xpcco.g $e |- ( ph -> G e. ( Y K Z ) ) $.
    $( Value of composition in the binary product of categories.  (Contributed
       by Mario Carneiro, 11-Jan-2017.) $)
    xpcco $p |- ( ph -> ( G ( <. X , Y >. O Z ) F ) =
        <. ( ( 1st ` G ) ( <. ( 1st ` X ) ,
          ( 1st ` Y ) >. .x. ( 1st ` Z ) ) ( 1st ` F ) ) ,
           ( ( 2nd ` G ) ( <. ( 2nd ` X ) ,
          ( 2nd ` Y ) >. .xb ( 2nd ` Z ) ) ( 2nd ` F ) ) >. ) $=
      ( vx vy vg vf cxp cv c2nd cfv co c1st cop cmpo wceq xpccofval cvv opelxpd
      wcel adantr ovex fvex mpoex a1i simprl fveq2d op2ndg syl2anc eqtrd simprr
      wa oveq12d eleqtrrd eqtr4di opex op1stg opeq12d simplrr oveq123d ovmpodv2
      df-ov ovmpodv mpi ) AKUFUGBBUJZBUHUIUFUKZULUMZUGUKZJUNZWHJUMZUHUKZUOUMZUI
      UKZUOUMZWHUOUMZUOUMZWIUOUMZUPZWJUOUMZGUNZUNZWMULUMZWOULUMZWQULUMZWIULUMZU
      PZWJULUMZEUNZUNZUPZUQZUQURIHLMUPZNKUNZUNIUOUMZHUOUMZLUOUMZMUOUMZUPZNUOUMZ
      GUNZUNZIULUMZHULUMZLULUMZMULUMZUPZNULUMZEUNZUNZUPZURZUFUGBCDEFGUIUHJKOPQR
      STUSAYMUFUGXNNWGBXMKUTALMBBUAUBVAANBVBWHXNURZUCVCXMUTVBAYNWJNURZVNZVNZUHU
      IWKWLXLWIWJJVDWHJVEVFVGYQUHUIIHWKWLXLYLXOUTYQIMNJUNZWKAIYRVBYPUEVCYQWIMWJ
      NJYQWIXNULUMZMYQWHXNULAYNYOVHZVIAYSMURZYPALBVBZMBVBZUUAUAUBLMBBVJVKVCVLZA
      YNYOVMVOVPYQHWLVBWMIURZYQHLMJUNZWLAHUUFVBYPUDVCYQWLXNJUMUUFYQWHXNJYTVILMJ
      WDVQVPVCXLUTVBYQUUEWOHURZVNZVNZXCXKVRVGUUIXCYCXKYKUUIWNXPWPXQXBYBUUIWTXTX
      AYAGUUIWRXRWSXSUUIWQLUOYQWQLURUUHYQWQXNUOUMZLYQWHXNUOYTVIAUUJLURZYPAUUBUU
      CUUKUAUBLMBBVSVKVCVLVCZVIUUIWIMUOYQWIMURUUHUUDVCZVIVTUUIWJNUOAYNYOUUHWAZV
      IVOUUIWMIUOYQUUEUUGVHZVIUUIWOHUOYQUUEUUGVMZVIWBUUIXDYDXEYEXJYJUUIXHYHXIYI
      EUUIXFYFXGYGUUIWQLULUULVIUUIWIMULUUMVIVTUUIWJNULUUNVIVOUUIWMIULUUOVIUUIWO
      HULUUPVIWBVTWCWEWF $.
  $}

  ${
    xpcco1st.t $e |- T = ( C Xc. D ) $.
    xpcco1st.b $e |- B = ( Base ` T ) $.
    xpcco1st.k $e |- K = ( Hom ` T ) $.
    xpcco1st.o $e |- O = ( comp ` T ) $.
    xpcco1st.x $e |- ( ph -> X e. B ) $.
    xpcco1st.y $e |- ( ph -> Y e. B ) $.
    xpcco1st.z $e |- ( ph -> Z e. B ) $.
    xpcco1st.f $e |- ( ph -> F e. ( X K Y ) ) $.
    xpcco1st.g $e |- ( ph -> G e. ( Y K Z ) ) $.
    ${
      xpcco1st.1 $e |- .x. = ( comp ` C ) $.
      $( Value of composition in the binary product of categories.
         (Contributed by Mario Carneiro, 11-Jan-2017.) $)
      xpcco1st $p |- ( ph -> ( 1st ` ( G ( <. X , Y >. O Z ) F ) ) =
        ( ( 1st ` G ) ( <. ( 1st ` X ) ,
          ( 1st ` Y ) >. .x. ( 1st ` Z ) ) ( 1st ` F ) ) ) $=
        ( cop co c1st cfv c2nd cco wceq eqid xpcco ovex op1std syl ) AHGKLUDMJU
        EUEZHUFUGZGUFUGZKUFUGLUFUGUDMUFUGFUEZUEZHUHUGZGUHUGZKUHUGLUHUGUDMUHUGDU
        IUGZUEZUEZUDUJUPUFUGUTUJABCDVCEFGHIJKLMNOPUCVCUKQRSTUAUBULUTVEUPUQURUSU
        MVAVBVDUMUNUO $.
    $}

    ${
      xpcco2nd.1 $e |- .x. = ( comp ` D ) $.
      $( Value of composition in the binary product of categories.
         (Contributed by Mario Carneiro, 11-Jan-2017.) $)
      xpcco2nd $p |- ( ph -> ( 2nd ` ( G ( <. X , Y >. O Z ) F ) ) =
        ( ( 2nd ` G ) ( <. ( 2nd ` X ) ,
          ( 2nd ` Y ) >. .x. ( 2nd ` Z ) ) ( 2nd ` F ) ) ) $=
        ( cop co c1st cfv cco c2nd wceq eqid xpcco ovex op2ndd syl ) AHGKLUDMJU
        EUEZHUFUGZGUFUGZKUFUGLUFUGUDMUFUGCUHUGZUEZUEZHUIUGZGUIUGZKUIUGLUIUGUDMU
        IUGFUEZUEZUDUJUPUIUGVEUJABCDFEUSGHIJKLMNOPUSUKUCQRSTUAUBULVAVEUPUQURUTU
        MVBVCVDUMUNUO $.
    $}
  $}

  ${
    xpcco2.t $e |- T = ( C Xc. D ) $.
    xpcco2.x $e |- X = ( Base ` C ) $.
    xpcco2.y $e |- Y = ( Base ` D ) $.
    xpcco2.h $e |- H = ( Hom ` C ) $.
    xpcco2.j $e |- J = ( Hom ` D ) $.
    xpcco2.m $e |- ( ph -> M e. X ) $.
    xpcco2.n $e |- ( ph -> N e. Y ) $.
    xpcco2.p $e |- ( ph -> P e. X ) $.
    xpcco2.q $e |- ( ph -> Q e. Y ) $.
    ${
      xpchom2.k $e |- K = ( Hom ` T ) $.
      $( Value of the set of morphisms in the binary product of categories.
         (Contributed by Mario Carneiro, 11-Jan-2017.) $)
      xpchom2 $p |- ( ph ->
        ( <. M , N >. K <. P , Q >. ) = ( ( M H P ) X. ( N J Q ) ) ) $=
        ( cop c1st cfv c2nd cxp xpcbas opelxpd xpchom wcel wceq syl2anc oveq12d
        co op1stg op2ndg xpeq12d eqtrd ) AJKUDZDEUDZIUPVAUEUFZVBUEUFZGUPZVAUGUF
        ZVBUGUFZHUPZUHJDGUPZKEHUPZUHALMUHBCFGHIVAVBNBCFLMNOPUIQRUCAJKLMSTUJADEL
        MUAUBUJUKAVEVIVHVJAVCJVDDGAJLULZKMULZVCJUMSTJKLMUQUNADLULZEMULZVDDUMUAU
        BDELMUQUNUOAVFKVGEHAVKVLVFKUMSTJKLMURUNAVMVNVGEUMUAUBDELMURUNUOUSUT $.
    $}

    xpcco2.o1 $e |- .x. = ( comp ` C ) $.
    xpcco2.o2 $e |- .xb = ( comp ` D ) $.
    xpcco2.o $e |- O = ( comp ` T ) $.
    xpcco2.r $e |- ( ph -> R e. X ) $.
    xpcco2.s $e |- ( ph -> S e. Y ) $.
    xpcco2.f $e |- ( ph -> F e. ( M H P ) ) $.
    xpcco2.g $e |- ( ph -> G e. ( N J Q ) ) $.
    xpcco2.k $e |- ( ph -> K e. ( P H R ) ) $.
    xpcco2.l $e |- ( ph -> L e. ( Q J S ) ) $.
    $( Value of composition in the binary product of categories.  (Contributed
       by Mario Carneiro, 11-Jan-2017.) $)
    xpcco2 $p |- ( ph -> ( <. K , L >. ( <. <. M , N >. ,
      <. P , Q >. >. O <. R , S >. ) <. F , G >. ) =
        <. ( K ( <. M , P >. .x. R ) F ) ,
           ( L ( <. N , Q >. .xb S ) G ) >. ) $=
      ( cop co c1st cfv c2nd cxp chom xpcbas eqid opelxpd xpchom2 eleqtrrd wcel
      xpcco wceq op1stg syl2anc opeq12d oveq12d oveq123d op2ndg eqtrd ) AOPUTZK
      LUTZQRUTZDEUTZUTFGUTZSVAVAWBVBVCZWCVBVCZWDVBVCZWEVBVCZUTZWFVBVCZJVAZVAZWB
      VDVCZWCVDVCZWDVDVCZWEVDVCZUTZWFVDVCZHVAZVAZUTOKQDUTZFJVAZVAZPLREUTZGHVAZV
      AZUTATUAVEBCHIJWCWBIVFVCZSWDWEWFUBBCITUAUBUCUDVGXIVHZUKULUMAQRTUAUGUHVIAD
      ETUAUIUJVIAFGTUAUNUOVIAWCQDMVAZRENVAZVEWDWEXIVAAKLXKXLUPUQVIABCDEIMNXIQRT
      UAUBUCUDUEUFUGUHUIUJXJVJVKAWBDFMVAZEGNVAZVEWEWFXIVAAOPXMXNURUSVIABCFGIMNX
      IDETUAUBUCUDUEUFUIUJUNUOXJVJVKVMAWNXEXBXHAWGOWHKWMXDAWKXCWLFJAWIQWJDAQTVL
      ZRUAVLZWIQVNUGUHQRTUAVOVPADTVLZEUAVLZWJDVNUIUJDETUAVOVPVQAFTVLZGUAVLZWLFV
      NUNUOFGTUAVOVPVRAOXMVLZPXNVLZWGOVNURUSOPXMXNVOVPAKXKVLZLXLVLZWHKVNUPUQKLX
      KXLVOVPVSAWOPWPLXAXGAWSXFWTGHAWQRWREAXOXPWQRVNUGUHQRTUAVTVPAXQXRWREVNUIUJ
      DETUAVTVPVQAXSXTWTGVNUNUOFGTUAVTVPVRAYAYBWOPVNURUSOPXMXNVTVPAYCYDWPLVNUPU
      QKLXKXLVTVPVSVQWA $.
  $}

  ${
    $d f g h s t u v x y I $.  $d f g h s t u v x y J $.  $d f g h s t u v T $.
    $d x y C $.  $d f g h s t u v x y ph $.  $d f g h s t u v x y X $.
    $d x y D $.  $d x y R $.  $d x y S $.  $d f g h s t u v x y Y $.
    xpccat.t $e |- T = ( C Xc. D ) $.
    xpccat.c $e |- ( ph -> C e. Cat ) $.
    xpccat.d $e |- ( ph -> D e. Cat ) $.
    ${
      xpccat.x $e |- X = ( Base ` C ) $.
      xpccat.y $e |- Y = ( Base ` D ) $.
      xpccat.i $e |- I = ( Id ` C ) $.
      xpccat.j $e |- J = ( Id ` D ) $.
      $( The product of two categories is a category.  (Contributed by Mario
         Carneiro, 11-Jan-2017.) $)
      xpccatid $p |- ( ph -> ( T e. Cat /\ ( Id ` T ) = ( x e. X , y e. Y |->
        <. ( I ` x ) , ( J ` y ) >. ) ) ) $=
        ( wcel cfv co vt vs vu vv vf vg vh ccat ccid cxp cv c1st c2nd cmpt wceq
        cop wa cmpo chom w3a cco cvv cbs xpcbas a1i eqidd cxpc biid eqid adantr
        ovexi xp1st adantl catidcl xp2nd opelxpd simpr xpchom fvex op1st oveq1i
        eleqtrrd simpr1l syl simpr1r simpr31 eleqtrd catlid eqtrid op2nd syldan
        opeq12d 1st2nd2 3eqtr4d simpr2l simpr32 catcocl 3eltr4d simpr2r simpr33
        xpcco oveq2i catrid catass fveq2d ovex eqtrdi oveq1d oveq2d iscatd2 vex
        op1std op2ndd mpompt eqeq2i anbi2i sylib ) AFUHRZFUISZUAIJUJZUAUKZULSZG
        SZYAUMSZHSZUPZUNZUOZUQXRXSBCIJBUKZGSZCUKZHSZUPZURZUOZUQAUBUKZXTRZYAXTRZ
        UQZUCUKZXTRZUDUKZXTRZUQZUEUKZYPYAFUSSZTZRZUFUKZYAYTUUFTZRZUGUKZYTUUBUUF
        TZRZUTZUTZUBUAUCUDXTFFVASZYFUEUFUGUUFVBXTFVCSUOADEFIJKNOVDZVEAUUFVFAUUQ
        VFFVBRAFDEVGKVKVEUUPVHAYRUQZYFYBYBDUSSZTZYDYDEUSSZTZUJYAYAUUFTZUUSYCYEU
        VAUVCUUSIDGUUTYBNUUTVIZPADUHRZYRLVJYRYBIRZAYAIJVLZVMVNUUSJEHUVBYDOUVBVI
        ZQAEUHRZYRMVJYRYDJRZAYAIJVOZVMVNVPUUSXTDEFUUTUVBUUFYAYAKUURUVEUVIUUFVIZ
        AYRVQZUVNVRWBZAUUPUQZYFULSZUUEULSZYPULSZYBUPZYBDVASZTZTZYFUMSZUUEUMSZYP
        UMSZYDUPZYDEVASZTZTZUPUVRUWEUPZYFUUEYPYAUPZYAUUQTTUUEUVPUWCUVRUWJUWEUVP
        UWCYCUVRUWBTUVRUVQYCUVRUWBYCYEYBGVSZYDHVSZVTZWAUVPIDUWAGUVRUUTUVSYBNUVE
        PAUVFUUPLVJZUVPYQUVSIRYQYRUUDUUOAWCZYPIJVLWDZUWAVIZUVPYRUVGYQYRUUDUUOAW
        EZUVHWDZUVPUUEUVSYBUUTTZUWFYDUVBTZUJZRZUVRUXBRUVPUUEUUGUXDUUHUUKUUNYSUU
        DAWFZUVPXTDEFUUTUVBUUFYPYAKUURUVEUVIUVMUWQUWTVRWGZUUEUXBUXCVLWDZWHWIUVP
        UWJYEUWEUWITUWEUWDYEUWEUWIYCYEUWMUWNWJZWAUVPJEUWHHUWEUVBUWFYDOUVIQAUVJU
        UPMVJZUVPYQUWFJRUWQYPIJVOWDZUWHVIZUVPYRUVKUWTUVLWDZUVPUXEUWEUXCRUXGUUEU
        XBUXCVOWDZWHWIWLUVPXTDEUWHFUWAUUEYFUUFUUQYPYAYAKUURUVMUWSUXLUUQVIZUWQUW
        TUWTUXFAUUPYRYFUVDRUWTUVOWKZXAUVPUXEUUEUWKUOUXGUUEUXBUXCWMWDWNUVPUUIULS
        ZUVQYBYBUPYTULSZUWATZTZUUIUMSZUWDYDYDUPYTUMSZUWHTZTZUPUXQUYAUPZUUIYFYAY
        AUPYTUUQTTUUIUVPUXTUXQUYDUYAUVPUXTUXQYCUXSTUXQUVQYCUXQUXSUWOXBUVPIDUWAG
        UXQUUTYBUXRNUVEPUWPUXAUWSUVPUUAUXRIRUUAUUCYSUUOAWOZYTIJVLWDZUVPUUIYBUXR
        UUTTZYDUYBUVBTZUJZRZUXQUYHRUVPUUIUUJUYJUUHUUKUUNYSUUDAWPZUVPXTDEFUUTUVB
        UUFYAYTKUURUVEUVIUVMUWTUYFVRWGZUUIUYHUYIVLWDZXCWIUVPUYDUYAYEUYCTUYAUWDY
        EUYAUYCUXIXBUVPJEUWHHUYAUVBYDUYBOUVIQUXJUXMUXLUVPUUAUYBJRUYFYTIJVOWDZUV
        PUYKUYAUYIRUYMUUIUYHUYIVOWDZXCWIWLUVPXTDEUWHFUWAYFUUIUUFUUQYAYAYTKUURUV
        MUWSUXLUXOUWTUWTUYFUXPUYLXAUVPUYKUUIUYEUOUYMUUIUYHUYIWMWDWNUVPUXQUVRUVT
        UXRUWATZTZUYAUWEUWGUYBUWHTZTZUPZUVSUXRUUTTZUWFUYBUVBTZUJUUIUUEUWLYTUUQT
        TZYPYTUUFTUVPUYRUYTVUBVUCUVPIDUWAUVRUXQUUTUVSYBUXRNUVEUWSUWPUWRUXAUYGUX
        HUYNWQUVPJEUWHUWEUYAUVBUWFYDUYBOUVIUXLUXJUXKUXMUYOUXNUYPWQVPUVPXTDEUWHF
        UWAUUEUUIUUFUUQYPYAYTKUURUVMUWSUXLUXOUWQUWTUYFUXFUYLXAZUVPXTDEFUUTUVBUU
        FYPYTKUURUVEUVIUVMUWQUYFVRWRZUVPUULUUIYAYTUPUUBUUQTTZULSZUVRUVTUUBULSZU
        WATZTZVUGUMSZUWEUWGUUBUMSZUWHTZTZUPUULULSZVUDULSZUVSUXRUPVUIUWATZTZUULU
        MSZVUDUMSZUWFUYBUPVUMUWHTZTZUPVUGUUEUWLUUBUUQTTUULVUDYPYTUPUUBUUQTTUVPV
        UKVUSVUOVVCUVPVUPUXQYBUXRUPVUIUWATZTZUVRVUJTVUPUYRVURTVUKVUSUVPIDUWAUVR
        UXQUUTVUPVUIUVSYBUXRNUVEUWSUWPUWRUXAUYGUXHUYNUVPUUCVUIIRUUAUUCYSUUOAWSZ
        UUBIJVLWDZUVPUULUXRVUIUUTTZUYBVUMUVBTZUJZRZVUPVVHRUVPUULUUMVVJUUHUUKUUN
        YSUUDAWTZUVPXTDEFUUTUVBUUFYTUUBKUURUVEUVIUVMUYFVVFVRWGZUULVVHVVIVLWDZXD
        UVPVUHVVEUVRVUJUVPVUHVVEVUTUYAYDUYBUPVUMUWHTZTZUPZULSVVEUVPVUGVVQULUVPX
        TDEUWHFUWAUUIUULUUFUUQYAYTUUBKUURUVMUWSUXLUXOUWTUYFVVFUYLVVLXAZXEVVEVVP
        VUPUXQVVDXFZVUTUYAVVOXFZVTXGXHUVPVUQUYRVUPVURUVPVUQVUAULSUYRUVPVUDVUAUL
        VUEXEUYRUYTUXQUVRUYQXFZUYAUWEUYSXFZVTXGXIWNUVPVVPUWEVUNTVUTUYTVVBTVUOVV
        CUVPJEUWHUWEUYAUVBVUTVUMUWFYDUYBOUVIUXLUXJUXKUXMUYOUXNUYPUVPUUCVUMJRVVF
        UUBIJVOWDZUVPVVKVUTVVIRVVMUULVVHVVIVOWDZXDUVPVULVVPUWEVUNUVPVULVVQUMSVV
        PUVPVUGVVQUMVVRXEVVEVVPVVSVVTWJXGXHUVPVVAUYTVUTVVBUVPVVAVUAUMSUYTUVPVUD
        VUAUMVUEXEUYRUYTVWAVWBWJXGXIWNWLUVPXTDEUWHFUWAUUEVUGUUFUUQYPYAUUBKUURUV
        MUWSUXLUXOUWQUWTVVFUXFUVPVVQYBVUIUUTTZYDVUMUVBTZUJVUGYAUUBUUFTUVPVVEVVP
        VWEVWFUVPIDUWAUXQVUPUUTYBUXRVUINUVEUWSUWPUXAUYGVVGUYNVVNWQUVPJEUWHUYAVU
        TUVBYDUYBVUMOUVIUXLUXJUXMUYOVWCUYPVWDWQVPVVRUVPXTDEFUUTUVBUUFYAUUBKUURU
        VEUVIUVMUWTVVFVRWRXAUVPXTDEUWHFUWAVUDUULUUFUUQYPYTUUBKUURUVMUWSUXLUXOUW
        QUYFVVFVUFVVLXAWNXJYHYOXRYGYNXSBCUAIJYFYMYAYIYKUPUOZYCYJYEYLVWGYBYIGYIY
        KYABXKZCXKZXLXEVWGYDYKHYIYKYAVWHVWIXMXEWLXNXOXPXQ $.

      xpcid.1 $e |- .1. = ( Id ` T ) $.
      xpcid.r $e |- ( ph -> R e. X ) $.
      xpcid.s $e |- ( ph -> S e. Y ) $.
      $( The identity morphism in the product of categories.  (Contributed by
         Mario Carneiro, 11-Jan-2017.) $)
      xpcid $p |- ( ph ->
        ( .1. ` <. R , S >. ) = <. ( I ` R ) , ( J ` S ) >. ) $=
        ( vx vy cop cfv co df-ov cvv ccid cmpo ccat wcel xpccatid simprd eqtrid
        cv wceq wa simprl fveq2d simprr opeq12d opex a1i ovmpod eqtr3id ) ADEUD
        GUEDEGUFDHUEZEIUEZUDZDEGUGAUBUCDEJKUBUPZHUEZUCUPZIUEZUDZVIGUHAGFUIUEZUB
        UCJKVNUJZSAFUKULVOVPUQAUBUCBCFHIJKLMNOPQRUMUNUOAVJDUQZVLEUQZURURZVKVGVM
        VHVSVJDHAVQVRUSUTVSVLEIAVQVRVAUTVBTUAVIUHULAVGVHVCVDVEVF $.
    $}

    $( The product of two categories is a category.  (Contributed by Mario
       Carneiro, 11-Jan-2017.) $)
    xpccat $p |- ( ph -> T e. Cat ) $=
      ( vx vy ccat wcel ccid cfv cbs cv cop cmpo wceq eqid xpccatid simpld ) AD
      JKDLMHIBNMZCNMZHOBLMZMIOCLMZMPQRAHIBCDUDUEUBUCEFGUBSUCSUDSUESTUA $.
  $}

  ${
    $d b c d x y B $.  $d b c d x y C $.  $d b c d x y D $.  $d b c d x y H $.
    $d x y ph $.  $d x y R $.  $d x y S $.
    1stfval.t $e |- T = ( C Xc. D ) $.
    1stfval.b $e |- B = ( Base ` T ) $.
    1stfval.h $e |- H = ( Hom ` T ) $.
    1stfval.c $e |- ( ph -> C e. Cat ) $.
    1stfval.d $e |- ( ph -> D e. Cat ) $.
    ${
      1stfval.p $e |- P = ( C 1stF D ) $.
      $( Value of the first projection functor.  (Contributed by Mario
         Carneiro, 11-Jan-2017.) $)
      1stfval $p |- ( ph -> P = <. ( 1st |` B ) ,
        ( x e. B , y e. B |-> ( 1st |` ( x H y ) ) ) >. ) $=
        ( co c1st cv cbs cfv vc vd c1stf cres cmpo cop ccat wcel wceq cxpc chom
        vb cxp csb wa cvv fvex xpex a1i simpl fveq2d xpeq12d eqid xpcbas eqtr4i
        eqtrdi reseq2d simpll simplr oveq12d eqtr4di mpoeq123dv opeq12d csbied2
        simpr oveqd df-1stf opex ovmpoa syl2anc eqtrid ) AGEFUCPZQDUDZBCDDQBRZC
        RZIPZUDZUEZUFZOAEUGUHFUGUHWBWIUIMNUAUBEFUGUGULUARZSTZUBRZSTZUMZQULRZUDZ
        BCWOWOQWDWEWJWLUJPZUKTZPZUDZUEZUFZUNWIUCWJEUIZWLFUIZUOZULWNDXBWIUPWNUPU
        HXEWKWMWJSUQWLSUQURUSXEWNESTZFSTZUMZDXEWKXFWMXGXEWJESXCXDUTVAXEWLFSXCXD
        VOVAVBXHHSTDEFHXFXGJXFVCXGVCVDKVEVFXEWODUIZUOZWPWCXAWHXJWODQXEXIVOZVGXJ
        BCWOWOWTDDWGXKXKXJWSWFQXJWRIWDWEXJWRHUKTIXJWQHUKXJWQEFUJPHXJWJEWLFUJXCX
        DXIVHXCXDXIVIVJJVKVALVKVPVGVLVMVNBCUBUAULVQWCWHVRVSVTWA $.

      1stf1.p $e |- ( ph -> R e. B ) $.
      $( Value of the first projection on an object.  (Contributed by Mario
         Carneiro, 11-Jan-2017.) $)
      1stf1 $p |- ( ph -> ( ( 1st ` P ) ` R ) = ( 1st ` R ) ) $=
        ( vx vy c1st cfv cvv cres cv co cmpo wceq 1stfval wfun wcel fo1st fofun
        cop wfo ax-mp cbs fvexi resfunexg mp2an mpoex op1std syl fveq1d fvresd
        eqtrd ) AFERSZSFRBUAZSFRSAFVDVEAEVEPQBBRPUBQUBHUCUAZUDZUKUEVDVEUEAPQBCD
        EGHIJKLMNUFVEVGERUGZBTUHVETUHTTRULVHUITTRUJUMBGUNJUOZRBTUPUQPQBBVFVIVIU
        RUSUTVAAFBROVBVC $.

      1stf2.p $e |- ( ph -> S e. B ) $.
      $( Value of the first projection on a morphism.  (Contributed by Mario
         Carneiro, 11-Jan-2017.) $)
      1stf2 $p |- ( ph -> ( R ( 2nd ` P ) S ) = ( 1st |` ( R H S ) ) ) $=
        ( vx c1st cvv vy cv cres c2nd cfv cmpo cop wceq 1stfval wfun wcel fo1st
        co wfo fofun ax-mp cbs fvexi resfunexg mp2an mpoex op2ndd syl wa simprl
        simprr oveq12d reseq2d ovex a1i ovmpod ) ARUAFGBBSRUBZUAUBZIUMZUCZSFGIU
        MZUCZEUDUEZTAESBUCZRUABBVOUFZUGUHVRVTUHARUABCDEHIJKLMNOUIVSVTESUJZBTUKV
        STUKTTSUNWAULTTSUOUPZBHUQKURZSBTUSUTRUABBVOWCWCVAVBVCAVLFUHZVMGUHZVDVDZ
        VNVPSWFVLFVMGIAWDWEVEAWDWEVFVGVHPQVQTUKZAWAVPTUKWGWBFGIVISVPTUSUTVJVK
        $.
    $}

    ${
      2ndfval.p $e |- Q = ( C 2ndF D ) $.
      $( Value of the first projection functor.  (Contributed by Mario
         Carneiro, 11-Jan-2017.) $)
      2ndfval $p |- ( ph -> Q = <. ( 2nd |` B ) ,
        ( x e. B , y e. B |-> ( 2nd |` ( x H y ) ) ) >. ) $=
        ( co c2nd cv cbs cfv vc vd c2ndf cres cmpo cop ccat wcel wceq cxpc chom
        vb cxp csb wa cvv fvex xpex a1i simpl fveq2d xpeq12d eqid xpcbas eqtr4i
        eqtrdi reseq2d simpll simplr oveq12d eqtr4di mpoeq123dv opeq12d csbied2
        simpr oveqd df-2ndf opex ovmpoa syl2anc eqtrid ) AGEFUCPZQDUDZBCDDQBRZC
        RZIPZUDZUEZUFZOAEUGUHFUGUHWBWIUIMNUAUBEFUGUGULUARZSTZUBRZSTZUMZQULRZUDZ
        BCWOWOQWDWEWJWLUJPZUKTZPZUDZUEZUFZUNWIUCWJEUIZWLFUIZUOZULWNDXBWIUPWNUPU
        HXEWKWMWJSUQWLSUQURUSXEWNESTZFSTZUMZDXEWKXFWMXGXEWJESXCXDUTVAXEWLFSXCXD
        VOVAVBXHHSTDEFHXFXGJXFVCXGVCVDKVEVFXEWODUIZUOZWPWCXAWHXJWODQXEXIVOZVGXJ
        BCWOWOWTDDWGXKXKXJWSWFQXJWRIWDWEXJWRHUKTIXJWQHUKXJWQEFUJPHXJWJEWLFUJXCX
        DXIVHXCXDXIVIVJJVKVALVKVPVGVLVMVNBCUBUAULVQWCWHVRVSVTWA $.

      2ndf1.p $e |- ( ph -> R e. B ) $.
      $( Value of the first projection on an object.  (Contributed by Mario
         Carneiro, 11-Jan-2017.) $)
      2ndf1 $p |- ( ph -> ( ( 1st ` Q ) ` R ) = ( 2nd ` R ) ) $=
        ( vx vy cfv c2nd cvv c1st cres cv cmpo cop wceq 2ndfval wfun wcel fo2nd
        co wfo fofun ax-mp cbs fvexi resfunexg mp2an mpoex op1std fveq1d fvresd
        syl eqtrd ) AFEUARZRFSBUBZRFSRAFVEVFAEVFPQBBSPUCQUCHUKUBZUDZUEUFVEVFUFA
        PQBCDEGHIJKLMNUGVFVHESUHZBTUIVFTUITTSULVIUJTTSUMUNBGUOJUPZSBTUQURPQBBVG
        VJVJUSUTVCVAAFBSOVBVD $.

      2ndf2.p $e |- ( ph -> S e. B ) $.
      $( Value of the first projection on a morphism.  (Contributed by Mario
         Carneiro, 11-Jan-2017.) $)
      2ndf2 $p |- ( ph -> ( R ( 2nd ` Q ) S ) = ( 2nd |` ( R H S ) ) ) $=
        ( vx c2nd cvv vy cv co cres cfv cmpo wceq 2ndfval wfun wcel fo2nd fofun
        cop wfo ax-mp cbs fvexi resfunexg mp2an mpoex op2ndd syl simprl oveq12d
        wa simprr reseq2d ovex a1i ovmpod ) ARUAFGBBSRUBZUAUBZIUCZUDZSFGIUCZUDZ
        ESUEZTAESBUDZRUABBVNUFZUMUGVQVSUGARUABCDEHIJKLMNOUHVRVSESUIZBTUJVRTUJTT
        SUNVTUKTTSULUOZBHUPKUQZSBTURUSRUABBVNWBWBUTVAVBAVKFUGZVLGUGZVEVEZVMVOSW
        EVKFVLGIAWCWDVCAWCWDVFVDVGPQVPTUJZAVTVOTUJWFWAFGIVHSVOTURUSVIVJ $.
    $}
  $}

  ${
    $d f g x y z C $.  $d f g x y z D $.  $d f g x y z P $.  $d f g x y z ph $.
    $d f g x y z Q $.  $d f g x y z T $.
    1stfcl.t $e |- T = ( C Xc. D ) $.
    1stfcl.c $e |- ( ph -> C e. Cat ) $.
    1stfcl.d $e |- ( ph -> D e. Cat ) $.
    ${
      1stfcl.p $e |- P = ( C 1stF D ) $.
      $( The first projection functor is a functor onto the left argument.
         (Contributed by Mario Carneiro, 11-Jan-2017.) $)
      1stfcl $p |- ( ph -> P e. ( T Func C ) ) $=
        ( vx vy c1st cfv cop co eqid wceq cvv wcel fvresd vz vf vg cbs cxp cres
        c2nd cfunc cv chom cmpo xpcbas 1stfval wfun fo1st fofun ax-mp fvex xpex
        wfo resfunexg mp2an mpoex op2ndd syl opeq2d eqtr4d wbr cco ccid f1stres
        xpccat wf a1i wfn ovex fnmpoi fneq1d mpbiri wa ccat adantr simprl 1stf2
        simprr xpchom reseq2d eqtrd feq1d fvres ad2antrl ad2antll feq23d mpbird
        oveq12d simpr catidcl 1st2nd2 adantl fveq2d xp1st op1std fveq1d 3eqtr4d
        xp2nd xpcid 3ad2ant1 simp21 simp22 simp23 simp3l simp3r catcocl opeq12d
        w3a xpcco1st oveq123d isfuncd df-br sylib eqeltrd ) ADLBUDMZCUDMZUEZUFZ
        DUGMZNZEBUHOZADYEJKYDYDLJUIZKUIZEUJMZOZUFZUKZNZYGAJKYDBCDEYKFBCEYBYCFYB
        PZYCPZULZYKPZGHIUMZAYFYNYEADYOQYFYNQYTYEYNDLUNZYDRSYERSRRLUTUUAUORRLUPU
        QZYBYCBUDURCUDURUSZLYDRVAVBJKYDYDYMUUCUUCVCVDVEZVFVGAYEYFYHVHYGYHSAJKUA
        YDYBEEVIMZEVJMZUBUCBYEYFYKBVJMZBUJMZBVIMZYRYPYSUUHPZUUFPZUUGPZUUEPZUUIP
        ZABCEFGHVLZGYDYBYEVMAYBYCVKVNAYFYDYDUEZVOYNUUPVOJKYDYDYMYNYNPUUAYLRSYMR
        SUUBYIYJYKVPLYLRVAVBVQAUUPYFYNUUDVRVSAYIYDSZYJYDSZVTZVTZYLYIYEMZYJYEMZU
        UHOZYIYJYFOZVMYILMZYJLMZUUHOZYIUGMZYJUGMCUJMZOZUEZUVGUVDVMZUUTUVLUVKUVG
        LUVKUFZVMUVGUVJVKUUTUVKUVGUVDUVMUUTUVDYMUVMUUTYDBCDYIYJEYKFYRYSABWASZUU
        SGWBACWASZUUSHWBIAUUQUURWCZAUUQUURWEZWDUUTYLUVKLUUTYDBCEUUHUVIYKYIYJFYR
        UUJUVIPYSUVPUVQWFZWGWHWIVSUUTYLUVCUVKUVGUVDUVRUUTUVAUVEUVBUVFUUHUUQUVAU
        VEQZAUURYIYDLWJZWKUURUVBUVFQAUUQYJYDLWJWLWOWMWNAUUQVTZYIUUFMZLYIYIYKOZU
        FZMZUVEUUGMZUWBYIYIYFOZMUVAUUGMUWAUWEUWBLMZUWFUWAUWBUWCLUWAYDEUUFYKYIYR
        YSUUKAEWASZUUQUUOWBAUUQWPZWQTUWAUWBUWFUVHCVJMZMZNZQUWHUWFQUWAUWBUVEUVHN
        ZUUFMUWMUWAYIUWNUUFUUQYIUWNQAYIYBYCWRWSWTUWABCUVEUVHEUUFUUGUWKYBYCFAUVN
        UUQGWBZAUVOUUQHWBZYPYQUULUWKPUUKUUQUVEYBSAYIYBYCXAWSUUQUVHYCSAYIYBYCXEW
        SXFWHUWFUWLUWBUVEUUGURUVHUWKURXBVEWHUWAUWBUWGUWDUWAYDBCDYIYIEYKFYRYSUWO
        UWPIUWJUWJWDXCUWAUVAUVEUUGUUQUVSAUVTWSWTXDAUUQUURUAUIZYDSZXOZUBUIZYLSZU
        CUIZYJUWQYKOZSZVTZXOZUXBUWTYIYJNUWQUUEOOZLYIUWQYKOZUFZMZUXBLMZUWTLMZUVE
        UVFNZUWQLMZUUIOZOZUXGYIUWQYFOZMUXBYJUWQYFOZMZUWTUVDMZUVAUVBNZUWQYEMZUUI
        OZOUXFUXJUXGLMUXPUXFUXGUXHLUXFYDEUUEUWTUXBYKYIYJUWQYRYSUUMAUWSUWIUXEUUO
        XGAUUQUURUWRUXEXHZAUUQUURUWRUXEXIZAUUQUURUWRUXEXJZAUWSUXAUXDXKZAUWSUXAU
        XDXLZXMTUXFYDBCEUUIUWTUXBYKUUEYIYJUWQFYRYSUUMUYDUYEUYFUYGUYHUUNXPWHUXFU
        XGUXQUXIUXFYDBCDYIUWQEYKFYRYSAUWSUVNUXEGXGZAUWSUVOUXEHXGZIUYDUYFWDXCUXF
        UXSUXKUXTUXLUYCUXOUXFUYAUXMUYBUXNUUIUXFUVAUVEUVBUVFUXFYIYDLUYDTUXFYJYDL
        UYETXNUXFUWQYDLUYFTWOUXFUXSUXBLUXCUFZMUXKUXFUXBUXRUYKUXFYDBCDYJUWQEYKFY
        RYSUYIUYJIUYEUYFWDXCUXFUXBUXCLUYHTWHUXFUXTUWTYMMUXLUXFUWTUVDYMUXFYDBCDY
        IYJEYKFYRYSUYIUYJIUYDUYEWDXCUXFUWTYLLUYGTWHXQXDXRYEYFYHXSXTYA $.
    $}

    ${
      2ndfcl.p $e |- Q = ( C 2ndF D ) $.
      $( The second projection functor is a functor onto the right argument.
         (Contributed by Mario Carneiro, 11-Jan-2017.) $)
      2ndfcl $p |- ( ph -> Q e. ( T Func D ) ) $=
        ( vx vy c2nd cfv cop co eqid wceq cvv wcel fvresd vz vf vg cbs cxp cres
        cfunc cv chom cmpo xpcbas 2ndfval wfun fo2nd fofun ax-mp fvex resfunexg
        wfo xpex mp2an mpoex op2ndd syl opeq2d eqtr4d wbr cco xpccat wf f2ndres
        ccid a1i wfn ovex fnmpoi fneq1d mpbiri wa c1st ccat adantr simprl 2ndf2
        simprr xpchom reseq2d eqtrd feq1d fvres ad2antrl ad2antll feq23d mpbird
        oveq12d simpr catidcl 1st2nd2 adantl fveq2d xp1st xp2nd fveq1d 3ad2ant1
        3eqtr4d w3a simp21 simp22 simp23 simp3l simp3r catcocl xpcco2nd opeq12d
        xpcid oveq123d isfuncd df-br sylib eqeltrd ) ADLBUDMZCUDMZUEZUFZDLMZNZE
        CUGOZADYDJKYCYCLJUHZKUHZEUIMZOZUFZUJZNZYFAJKYCBCDEYJFBCEYAYBFYAPZYBPZUK
        ZYJPZGHIULZAYEYMYDADYNQYEYMQYSYDYMDLUMZYCRSYDRSRRLUSYTUNRRLUOUPZYAYBBUD
        UQCUDUQUTZLYCRURVAJKYCYCYLUUBUUBVBVCVDZVEVFAYDYEYGVGYFYGSAJKUAYCYBEEVHM
        ZEVLMZUBUCCYDYEYJCVLMZCUIMZCVHMZYQYPYRUUGPZUUEPZUUFPZUUDPZUUHPZABCEFGHV
        IZHYCYBYDVJAYAYBVKVMAYEYCYCUEZVNYMUUOVNJKYCYCYLYMYMPYTYKRSYLRSUUAYHYIYJ
        VOLYKRURVAVPAUUOYEYMUUCVQVRAYHYCSZYIYCSZVSZVSZYKYHYDMZYIYDMZUUGOZYHYIYE
        OZVJYHVTMZYIVTMBUIMZOZYHLMZYILMZUUGOZUEZUVIUVCVJZUUSUVKUVJUVILUVJUFZVJU
        VFUVIVKUUSUVJUVIUVCUVLUUSUVCYLUVLUUSYCBCDYHYIEYJFYQYRABWASZUURGWBACWASZ
        UURHWBIAUUPUUQWCZAUUPUUQWEZWDUUSYKUVJLUUSYCBCEUVEUUGYJYHYIFYQUVEPUUIYRU
        VOUVPWFZWGWHWIVRUUSYKUVBUVJUVIUVCUVQUUSUUTUVGUVAUVHUUGUUPUUTUVGQZAUUQYH
        YCLWJZWKUUQUVAUVHQAUUPYIYCLWJWLWOWMWNAUUPVSZYHUUEMZLYHYHYJOZUFZMZUVGUUF
        MZUWAYHYHYEOZMUUTUUFMUVTUWDUWALMZUWEUVTUWAUWBLUVTYCEUUEYJYHYQYRUUJAEWAS
        ZUUPUUNWBAUUPWPZWQTUVTUWAUVDBVLMZMZUWENZQUWGUWEQUVTUWAUVDUVGNZUUEMUWLUV
        TYHUWMUUEUUPYHUWMQAYHYAYBWRWSWTUVTBCUVDUVGEUUEUWJUUFYAYBFAUVMUUPGWBZAUV
        NUUPHWBZYOYPUWJPUUKUUJUUPUVDYASAYHYAYBXAWSUUPUVGYBSAYHYAYBXBWSXOWHUWKUW
        EUWAUVDUWJUQUVGUUFUQVCVDWHUVTUWAUWFUWCUVTYCBCDYHYHEYJFYQYRUWNUWOIUWIUWI
        WDXCUVTUUTUVGUUFUUPUVRAUVSWSWTXEAUUPUUQUAUHZYCSZXFZUBUHZYKSZUCUHZYIUWPY
        JOZSZVSZXFZUXAUWSYHYINUWPUUDOOZLYHUWPYJOZUFZMZUXALMZUWSLMZUVGUVHNZUWPLM
        ZUUHOZOZUXFYHUWPYEOZMUXAYIUWPYEOZMZUWSUVCMZUUTUVANZUWPYDMZUUHOZOUXEUXIU
        XFLMUXOUXEUXFUXGLUXEYCEUUDUWSUXAYJYHYIUWPYQYRUULAUWRUWHUXDUUNXDAUUPUUQU
        WQUXDXGZAUUPUUQUWQUXDXHZAUUPUUQUWQUXDXIZAUWRUWTUXCXJZAUWRUWTUXCXKZXLTUX
        EYCBCEUUHUWSUXAYJUUDYHYIUWPFYQYRUULUYCUYDUYEUYFUYGUUMXMWHUXEUXFUXPUXHUX
        EYCBCDYHUWPEYJFYQYRAUWRUVMUXDGXDZAUWRUVNUXDHXDZIUYCUYEWDXCUXEUXRUXJUXSU
        XKUYBUXNUXEUXTUXLUYAUXMUUHUXEUUTUVGUVAUVHUXEYHYCLUYCTUXEYIYCLUYDTXNUXEU
        WPYCLUYETWOUXEUXRUXALUXBUFZMUXJUXEUXAUXQUYJUXEYCBCDYIUWPEYJFYQYRUYHUYII
        UYDUYEWDXCUXEUXAUXBLUYGTWHUXEUXSUWSYLMUXKUXEUWSUVCYLUXEYCBCDYHYIEYJFYQY
        RUYHUYIIUYCUYDWDXCUXEUWSYKLUYFTWHXPXEXQYDYEYGXRXSXT $.
    $}
  $}

  ${
    $d b f g h x y B $.  $d x y C $.  $d b f g h x y F $.  $d b f g h x y ph $.
    $d x y D $.  $d b f g h x y G $.  $d h K $.  $d h x y X $.  $d h x y Y $.
    $d b f g h x y H $.
    prfval.k $e |- P = ( F pairF G ) $.
    prfval.b $e |- B = ( Base ` C ) $.
    prfval.h $e |- H = ( Hom ` C ) $.
    prfval.c $e |- ( ph -> F e. ( C Func D ) ) $.
    prfval.d $e |- ( ph -> G e. ( C Func E ) ) $.
    $( Value of the pairing functor.  (Contributed by Mario Carneiro,
       12-Jan-2017.) $)
    prfval $p |- ( ph -> P = <. ( x e. B |->
      <. ( ( 1st ` F ) ` x ) , ( ( 1st ` G ) ` x ) >. ) ,
       ( x e. B , y e. B |-> ( h e. ( x H y ) |->
    <. ( ( x ( 2nd ` F ) y ) ` h ) , ( ( x ( 2nd ` G ) y ) ` h ) >. ) ) >. ) $=
      ( co c1st cfv vf vg vb cprf cv cop cmpt c2nd cmpo cvv cdm csb wceq df-prf
      a1i wa wcel fvex dmex simprl fveq2d dmeqd cbs eqid cfunc wrel wbr relfunc
      1st2ndbr sylancr funcf1 adantr eqtrd simpr simplrl fveq1d simplrr opeq12d
      fdmd mpteq12dv eqidd mpoeq123dv ad2antrr oveqd chom ad4antr simplr funcf2
      3impa mpoeq3dva csbied2 elexd opex ovmpod eqtrid ) AGJKUDRBDBUEZJSTZTZWPK
      STZTZUFZUGZBCDDHWPCUEZLRZHUEZWPXCJUHTZRZTZXEWPXCKUHTZRZTZUFZUGZUIZUFZMAUA
      UBJKUJUJUCUAUEZSTZUKZBUCUEZWPXQTZWPUBUEZSTZTZUFZUGZBCXSXSHWPXCXPUHTZRZUKZ
      XEYGTZXEWPXCYAUHTZRZTZUFZUGZUIZUFZULZXOUDUJUDUAUBUJUJYQUIUMABCUAUBHUCUNUO
      AXPJUMZYAKUMZUPZUPZUCXRDYPXOUJXRUJUQUUAXQXPSURUSUOUUAXRWQUKZDUUAXQWQUUAXP
      JSAYRYSUTVAVBAUUBDUMYTADFVCTZWQADUUCEFWQXFNUUCVDAEFVERZVFJUUDUQWQXFUUDVGZ
      EFVHPJUUDVIVJZVKVSVLVMUUAXSDUMZUPZYEXBYOXNUUHBXSYDDXAUUAUUGVNZUUHXTWRYCWT
      UUHWPXQWQUUHXPJSAYRYSUUGVOZVAVPUUHWPYBWSUUHYAKSAYRYSUUGVQZVAVPVRVTUUHYOBC
      DDYNUIXNUUHBCXSXSYNDDYNUUIUUIUUHYNWAWBUUHBCDDYNXMUUHWPDUQZXCDUQZYNXMUMUUH
      UULUPZUUMUPZHYHYMXDXLUUOYHXGUKXDUUOYGXGUUOYFXFWPXCUUOXPJUHUUHYRUULUUMUUJW
      CVAWDZVBUUOXDWRXCWQTFWETZRXGUUODEFWQXFLUUQWPXCNOUUQVDAUUEYTUUGUULUUMUUFWF
      UUHUULUUMWGUUNUUMVNWHVSVMUUOYIXHYLXKUUOXEYGXGUUPVPUUOXEYKXJUUOYJXIWPXCUUO
      YAKUHUUHYSUULUUMUUKWCVAWDVPVRVTWIWJVMVRWKAJUUDPWLAKEIVERQWLXOUJUQAXBXNWMU
      OWNWO $.

    prf1.x $e |- ( ph -> X e. B ) $.
    $( Value of the pairing functor on objects.  (Contributed by Mario
       Carneiro, 12-Jan-2017.) $)
    prf1 $p |- ( ph -> ( ( 1st ` P ) ` X ) =
      <. ( ( 1st ` F ) ` X ) , ( ( 1st ` G ) ` X ) >. ) $=
      ( vx vy cfv cop vh cv c1st cvv cmpt c2nd cmpo wceq prfval cbs fvexi mptex
      co mpoex op1std syl wa simpr fveq2d opeq12d wcel opex a1i fvmptd ) AQJQUB
      ZGUCSZSZVEHUCSZSZTZJVFSZJVHSZTZBEUCSZUDAEQBVJUEZQRBBUAVERUBZIUMUAUBZVEVPG
      UFSUMSVQVEVPHUFSUMSTUEZUGZTUHVNVOUHAQRBCDEUAFGHIKLMNOUIVOVSEQBVJBCUJLUKZU
      LQRBBVRVTVTUNUOUPAVEJUHZUQZVGVKVIVLWBVEJVFAWAURZUSWBVEJVHWCUSUTPVMUDVAAVK
      VLVBVCVD $.

    prf2.y $e |- ( ph -> Y e. B ) $.
    $( Value of the pairing functor on morphisms.  (Contributed by Mario
       Carneiro, 12-Jan-2017.) $)
    prf2fval $p |- ( ph -> ( X ( 2nd ` P ) Y ) = ( h e. ( X H Y ) |->
    <. ( ( X ( 2nd ` F ) Y ) ` h ) , ( ( X ( 2nd ` G ) Y ) ` h ) >. ) ) $=
      ( cfv vx vy cv co c2nd cop cmpt cvv c1st cmpo wceq prfval cbs fvexi mptex
      mpoex op2ndd syl simprl simprr oveq12d fveq1d opeq12d mpteq12dv wcel ovex
      wa a1i ovmpod ) AUAUBKLBBFUAUCZUBUCZJUDZFUCZVJVKHUETZUDZTZVMVJVKIUETZUDZT
      ZUFZUGZFKLJUDZVMKLVNUDZTZVMKLVQUDZTZUFZUGZEUETZUHAEUABVJHUITTVJIUITTUFZUG
      ZUAUBBBWAUJZUFUKWIWLUKAUAUBBCDEFGHIJMNOPQULWKWLEUABWJBCUMNUNZUOUAUBBBWAWM
      WMUPUQURAVJKUKZVKLUKZVGVGZFVLVTWBWGWPVJKVKLJAWNWOUSZAWNWOUTZVAWPVPWDVSWFW
      PVMVOWCWPVJKVKLVNWQWRVAVBWPVMVRWEWPVJKVKLVQWQWRVAVBVCVDRSWHUHVEAFWBWGKLJV
      FUOVHVI $.

    prf2.k $e |- ( ph -> K e. ( X H Y ) ) $.
    $( Value of the pairing functor on morphisms.  (Contributed by Mario
       Carneiro, 12-Jan-2017.) $)
    prf2 $p |- ( ph -> ( ( X ( 2nd ` P ) Y ) ` K ) =
      <. ( ( X ( 2nd ` F ) Y ) ` K ) , ( ( X ( 2nd ` G ) Y ) ` K ) >. ) $=
      ( vh cv c2nd cfv co cop cvv prf2fval wceq wa fveq2d opeq12d wcel opex a1i
      simpr fvmptd ) AUAJUAUBZKLGUCUDUEZUDZURKLHUCUDUEZUDZUFJUSUDZJVAUDZUFZKLIU
      EKLEUCUDUEUGABCDEUAFGHIKLMNOPQRSUHAURJUIZUJZUTVCVBVDVGURJUSAVFUPZUKVGURJV
      AVHUKULTVEUGUMAVCVDUNUOUQ $.
  $}

  ${
    $d f g h x y z C $.  $d x y D $.  $d f g h x y z P $.  $d f g h x y z ph $.
    $d x E $.  $d h x y F $.  $d h x y G $.  $d f g h x y z T $.
    prfcl.p $e |- P = ( F pairF G ) $.
    prfcl.t $e |- T = ( D Xc. E ) $.
    prfcl.c $e |- ( ph -> F e. ( C Func D ) ) $.
    prfcl.d $e |- ( ph -> G e. ( C Func E ) ) $.
    $( The pairing of functors ` F : C --> D ` and ` G : C --> D ` is a functor
       ` <. F , G >. : C --> ( D X. E ) ` .  (Contributed by Mario Carneiro,
       12-Jan-2017.) $)
    prfcl $p |- ( ph -> P e. ( C Func T ) ) $=
      ( vx cfv cop co eqid wcel adantr ffvelrnd vy vh vz vf c1st c2nd cfunc cbs
      vg cv cmpt chom cmpo prfval wceq mptex mpoex op1std op2ndd opeq12d eqtr4d
      fvex syl wbr cxp ccid xpcbas ccat wa funcrcl simpld simprd xpccat relfunc
      cco wrel 1st2ndbr sylancr funcf1 ffvelrnda opelxpd fmpt3d wfn ovex fnmpoi
      fneq1d mpbiri oveqd cvv ovmpt4g mp3an3 sylan9eq simprl simprr funcf2 prf1
      oveq12d adantrr adantrl xpchom2 eqtrd eleqtrrd funcid catidcl prf2 fveq2d
      simpr xpcid 3eqtr4d w3a simp21 simp22 simp23 simp3l simp3r funcco catcocl
      3ad2ant1 oveq123d wf xpcco2 isfuncd df-br sylib eqeltrd ) ADDUENZDUFNZOZB
      EUGPZADMBUHNZMUJZGUENZNZYKHUENZNZOZUKZMUAYJYJUBYKUAUJZBULNZPZUBUJZYKYRGUF
      NZPZNZUUAYKYRHUFNZPZNZOZUKZUMZOZYHAMUAYJBCDUBFGHYSIYJQZYSQZKLUNZAYFYQYGUU
      JADUUKUOZYFYQUOUUNYQUUJDMYJYPBUHVBZUPZMUAYJYJUUIUUPUUPUQZURVCZAUUOYGUUJUO
      UUNYQUUJDUUQUURUSVCZUTVAAYFYGYIVDYHYIRAMUAUCYJCUHNZFUHNZVEZBBVONZBVFNZUDU
      IEYFYGYSEVFNZEULNZEVONZUULCFEUVAUVBJUVAQZUVBQZVGUUMUVGQZUVEQZUVFQZUVDQZUV
      HQZABVHRZCVHRZAGBCUGPZRZUVPUVQVIKBCGVJVCZVKZACFEJAUVPUVQUVTVLZAUVPFVHRZAH
      BFUGPZRZUVPUWCVILBFHVJVCVLZVMAMYJYPUVCYFUUSAYKYJRZVIZYMYOUVAUVBAYJUVAYKYL
      AYJUVABCYLUUBUULUVIAUVRVPUVSYLUUBUVRVDZBCVNKGUVRVQVRZVSZVTZAYJUVBYKYNAYJU
      VBBFYNUUEUULUVJAUWDVPZUWEYNUUEUWDVDZBFVNZLHUWDVQZVRZVSZVTZWAWBAYGYJYJVEZW
      CUUJUWTWCMUAYJYJUUIUUJUUJQZUBYTUUHYKYRYSWDUPZWEAUWTYGUUJUUTWFWGAUWGYRYJRZ
      VIZVIZUBYTUUHYKYFNZYRYFNZUVGPZYKYRYGPZAUXDUXIYKYRUUJPZUUIAYGUUJYKYRUUTWHU
      WGUXCUUIWIRUXJUUIUOUXBMUAYJYJUUIUUJWIUXAWJWKWLUXEUUAYTRZVIZUUHYMYRYLNZCUL
      NZPZYOYRYNNZFULNZPZVEZUXHUXLUUDUUGUXOUXRUXEYTUXOUUAUUCUXEYJBCYLUUBYSUXNYK
      YRUULUUMUXNQZAUWIUXDUWJSAUWGUXCWMZAUWGUXCWNZWOVTUXEYTUXRUUAUUFUXEYJBFYNUU
      EYSUXQYKYRUULUUMUXQQZAUWNUXDUWQSUYAUYBWOVTWAUXEUXHUXSUOUXKUXEUXHYPUXMUXPO
      ZUVGPUXSUXEUXFYPUXGUYDUVGUXEYJBCDFGHYSYKIUULUUMAUVSUXDKSZAUWEUXDLSZUYAWPU
      XEYJBCDFGHYSYRIUULUUMUYEUYFUYBWPWQUXECFUXMUXPEUXNUXQUVGYMYOUVAUVBJUVIUVJU
      XTUYCAUWGYMUVARUXCUWLWRAUWGYOUVBRUXCUWSWRAUXCUXMUVARUWGAYJUVAYRYLUWKVTWSA
      UXCUXPUVBRUWGAYJUVBYRYNUWRVTWSUVKWTXASXBWBUWHYKUVENZYKYKUUBPNZUYGYKYKUUEP
      NZOYMCVFNZNZYOFVFNZNZOZUYGYKYKYGPNUXFUVFNZUWHUYHUYKUYIUYMUWHYJBUVECYLUUBU
      YJYKUULUVLUYJQZAUWIUWGUWJSAUWGXGZXCUWHYJBUVEFYNUUEUYLYKUULUVLUYLQZAUWNUWG
      UWQSUYQXCUTUWHYJBCDFGHYSUYGYKYKIUULUUMAUVSUWGKSZAUWEUWGLSZUYQUYQUWHYJBUVE
      YSYKUULUUMUVLAUVPUWGUWASUYQXDXEUWHUYOYPUVFNUYNUWHUXFYPUVFUWHYJBCDFGHYSYKI
      UULUUMUYSUYTUYQWPXFUWHCFYMYOEUVFUYJUYLUVAUVBJAUVQUWGUWBSAUWCUWGUWFSUVIUVJ
      UYPUYRUVMUWLUWSXHXAXIAUWGUXCUCUJZYJRZXJZUDUJZYTRZUIUJZYRVUAYSPZRZVIZXJZVU
      FVUDYKYROVUAUVDPPZYKVUAUUBPNZVUKYKVUAUUEPNZOVUFYRVUAUUBPZNZVUDUUCNZYMUXMO
      VUAYLNZCVONZPPZVUFYRVUAUUEPZNZVUDUUFNZYOUXPOVUAYNNZFVONZPPZOZVUKYKVUAYGPN
      VUFYRVUAYGPNZVUDUXINZUXFUXGOZVUAYFNZUVHPZPZVUJVULVUSVUMVVEVUJYJBUVDCYLUUB
      YSVUDVUFVURYKYRVUAUULUUMUVNVURQZAVUCUWIVUIUWJXRZAUWGUXCVUBVUIXKZAUWGUXCVU
      BVUIXLZAUWGUXCVUBVUIXMZAVUCVUEVUHXNZAVUCVUEVUHXOZXPVUJYJBUVDFYNUUEYSVUDVU
      FVVDYKYRVUAUULUUMUVNVVDQZVUJUWMUWEUWNUWOAVUCUWEVUILXRZUWPVRZVVOVVPVVQVVRV
      VSXPUTVUJYJBCDFGHYSVUKYKVUAIUULUUMAVUCUVSVUIKXRZVWAVVOVVQVUJYJBUVDVUDVUFY
      SYKYRVUAUULUUMUVNAVUCUVPVUIUWAXRVVOVVPVVQVVRVVSXQXEVUJVVLVUOVVAOZVUPVVBOZ
      YPUYDOZVUQVVCOZUVHPZPVVFVUJVVGVWDVVHVWEVVKVWHVUJVVIVWFVVJVWGUVHVUJUXFYPUX
      GUYDVUJYJBCDFGHYSYKIUULUUMVWCVWAVVOWPVUJYJBCDFGHYSYRIUULUUMVWCVWAVVPWPUTV
      UJYJBCDFGHYSVUAIUULUUMVWCVWAVVQWPWQVUJYJBCDFGHYSVUFYRVUAIUULUUMVWCVWAVVPV
      VQVVSXEVUJYJBCDFGHYSVUDYKYRIUULUUMVWCVWAVVOVVPVVRXEXSVUJCFUXMUXPVUQVVCVVD
      EVURVUPVVBUXNUXQVUOVVAYMYOUVHUVAUVBJUVIUVJUXTUYCVUJYJUVAYKYLAVUCYJUVAYLXT
      VUIUWKXRZVVOTVUJYJUVBYKYNAVUCYJUVBYNXTVUIUWRXRZVVOTVUJYJUVAYRYLVWIVVPTVUJ
      YJUVBYRYNVWJVVPTVVMVVTUVOVUJYJUVAVUAYLVWIVVQTVUJYJUVBVUAYNVWJVVQTVUJYTUXO
      VUDUUCVUJYJBCYLUUBYSUXNYKYRUULUUMUXTVVNVVOVVPWOVVRTVUJYTUXRVUDUUFVUJYJBFY
      NUUEYSUXQYKYRUULUUMUYCVWBVVOVVPWOVVRTVUJVUGUXMVUQUXNPVUFVUNVUJYJBCYLUUBYS
      UXNYRVUAUULUUMUXTVVNVVPVVQWOVVSTVUJVUGUXPVVCUXQPVUFVUTVUJYJBFYNUUEYSUXQYR
      VUAUULUUMUYCVWBVVPVVQWOVVSTYAXAXIYBYFYGYIYCYDYE $.
  $}

  ${
    $d f h x y C $.  $d f h u x y F $.  $d f h u x y G $.  $d f h x y ph $.
    $d f u x y D $.  $d f u x y E $.  $d f x y P $.
    prf1st.p $e |- P = ( F pairF G ) $.
    prf1st.c $e |- ( ph -> F e. ( C Func D ) ) $.
    prf1st.d $e |- ( ph -> G e. ( C Func E ) ) $.
    $( Cancellation of pairing with first projection.  (Contributed by Mario
       Carneiro, 12-Jan-2017.) $)
    prf1st $p |- ( ph -> ( ( D 1stF E ) o.func P ) = F ) $=
      ( vx vy vf co c1st cfv cop wcel eqid adantr vu vh c1stf ccom cv c2nd cmpo
      cbs ccofu cmpt wa cxp cxpc chom xpcbas ccat cfunc funcrcl syl simprd wrel
      relfunc 1st2ndbr sylancr funcf1 ffvelrnda opelxpd 1stf1 fvex op1st eqtrdi
      wbr mpteq2dva wceq prfval mptex mpoex op1std 1stfcl feqmptd fveq2 3eqtr4d
      fmptco cres prfcl adantrr adantrl 1stf2 fveq1d simprl simprr funcf2 simpr
      ad2antrr fvresd prf2 fveq2d 3eqtrd fcompt syl2anc 3impb mpoeq3dva funcfn2
      wf wfn fnov sylib eqtr4d opeq12d cofuval 1st2nd ) ACEUCNZOPZDOPZUDZKLBUHP
      ZXPKUEZXNPZLUEZXNPZXLUFPZNZXQXSDUFPZNZUDZUGZQFOPZFUFPZQZXLDUINFAXOYGYFYHA
      KXPXQYGPZXQGOPZPZQZXMPZUJKXPYJUJXOYGAKXPYNYJAXQXPRZUKZYNYMOPYJYPCUHPZEUHP
      ZULZCEXLYMCEUMNZYTUNPZYTSZCEYTYQYRUUBYQSZYRSZUOZUUASZACUPRZYOABUPRZUUGAFB
      CUQNZRZUUHUUGUKIBCFURUSUTZTAEUPRZYOAUUHUULAGBEUQNZRZUUHUULUKJBEGURUSUTZTX
      LSZYPYJYLYQYRAXPYQXQYGAXPYQBCYGYHXPSZUUCAUUIVAZUUJYGYHUUIVLZBCVBZIFUUIVCV
      DZVEZVFAXPYRXQYKAXPYRBEYKGUFPZUUQUUDAUUMVAUUNYKUVCUUMVLBEVBJGUUMVCVDVEVFV
      GZVHYJYLXQYGVIXQYKVIVJVKVMAKUAXPYSYMUAUEZXMPYNXNXMUVDADKXPYMUJZKLXPXPUBXQ
      XSBUNPZNZUBUEZXQXSYHNZPUVIXQXSUVCNZPQUJZUGZQVNXNUVFVNAKLXPBCDUBEFGUVGHUUQ
      UVGSZIJVOUVFUVMDKXPYMBUHVIZVPKLXPXPUVLUVOUVOVQVRUSAUAYSYQXMAYSYQYTCXMYAUU
      EUUCAYTCUQNZVAXLUVPRXMYAUVPVLZYTCVBACEXLYTUUBUUKUUOUUPVSZXLUVPVCVDZVEVTUV
      EYMXMWAWCAKXPYQYGUVBVTWBAYFKLXPXPUVJUGZYHAKLXPXPYEUVJAYOXSXPRZYEUVJVNAYOU
      WAUKZUKZMUVHMUEZYDPZYBPZUJZMUVHUWDUVJPZUJYEUVJUWCMUVHUWFUWHUWCUWDUVHRZUKZ
      UWFUWEOXRXTUUANZWDZPUWEOPZUWHUWJUWEYBUWLUWJYSCEXLXRXTYTUUAUUBUUEUUFAUUGUW
      BUWIUUKWNAUULUWBUWIUUOWNUUPUWCXRYSRZUWIAYOUWNUWAAXPYSXQXNAXPYSBYTXNYCUUQU
      UEABYTUQNZVADUWORXNYCUWOVLZBYTVBABCDYTEFGHUUBIJWEZDUWOVCVDZVEZVFWFZTUWCXT
      YSRZUWIAUWAUXAYOAXPYSXSXNUWSVFWGZTWHWIUWJUWEUWKOUWCUVHUWKUWDYDUWCXPBYTXNY
      CUVGUUAXQXSUUQUVNUUFAUWPUWBUWRTAYOUWAWJZAYOUWAWKZWLZVFWOUWJUWMUWHUWDUVKPZ
      QZOPUWHUWJUWEUXGOUWJXPBCDEFGUVGUWDXQXSHUUQUVNAUUJUWBUWIIWNAUUNUWBUWIJWNUW
      CYOUWIUXCTUWCUWAUWIUXDTUWCUWIWMWPWQUWHUXFUWDUVJVIUWDUVKVIVJVKWRVMUWCUWKXR
      XMPXTXMPCUNPZNZYBXDUVHUWKYDXDYEUWGVNUWCYSYTCXMYAUUAUXHXRXTUUEUUFUXHSZAUVQ
      UWBUVSTUWTUXBWLUXEMYBYDUVHUWKUXIWSWTUWCMUVHYJXSYGPUXHNUVJUWCXPBCYGYHUVGUX
      HXQXSUUQUVNUXJAUUSUWBUVATUXCUXDWLVTWBXAXBAYHXPXPULXEYHUVTVNAXPBCYGYHUUQUV
      AXCKLXPXPYHXFXGXHXIAKLXPBYTCDXLUUQUWQUVRXJAUURUUJFYIVNUUTIFUUIXKVDWB $.

    $( Cancellation of pairing with second projection.  (Contributed by Mario
       Carneiro, 12-Jan-2017.) $)
    prf2nd $p |- ( ph -> ( ( D 2ndF E ) o.func P ) = G ) $=
      ( vx vy vf co cfv c2nd cop wcel eqid adantr vu vh c2ndf c1st ccom cv cmpo
      cbs ccofu cmpt wa cxp cxpc chom xpcbas ccat cfunc funcrcl syl simprd wrel
      relfunc 1st2ndbr sylancr funcf1 ffvelrnda opelxpd 2ndf1 fvex op2nd eqtrdi
      wbr mpteq2dva wceq prfval mptex mpoex op1std 2ndfcl feqmptd fveq2 3eqtr4d
      fmptco cres prfcl adantrr adantrl 2ndf2 fveq1d simprl simprr funcf2 simpr
      ad2antrr fvresd prf2 fveq2d 3eqtrd fcompt syl2anc 3impb mpoeq3dva funcfn2
      wf wfn fnov sylib eqtr4d opeq12d cofuval 1st2nd ) ACEUCNZUDOZDUDOZUEZKLBU
      HOZXPKUFZXNOZLUFZXNOZXLPOZNZXQXSDPOZNZUEZUGZQGUDOZGPOZQZXLDUINGAXOYGYFYHA
      KXPXQFUDOZOZXQYGOZQZXMOZUJKXPYLUJXOYGAKXPYNYLAXQXPRZUKZYNYMPOYLYPCUHOZEUH
      OZULZCEXLYMCEUMNZYTUNOZYTSZCEYTYQYRUUBYQSZYRSZUOZUUASZACUPRZYOABUPRZUUGAF
      BCUQNZRZUUHUUGUKIBCFURUSUTZTAEUPRZYOAUUHUULAGBEUQNZRZUUHUULUKJBEGURUSUTZT
      XLSZYPYKYLYQYRAXPYQXQYJAXPYQBCYJFPOZXPSZUUCAUUIVAUUJYJUUQUUIVLBCVBIFUUIVC
      VDVEVFAXPYRXQYGAXPYRBEYGYHUURUUDAUUMVAZUUNYGYHUUMVLZBEVBZJGUUMVCVDZVEZVFV
      GZVHYKYLXQYJVIXQYGVIVJVKVMAKUAXPYSYMUAUFZXMOYNXNXMUVDADKXPYMUJZKLXPXPUBXQ
      XSBUNOZNZUBUFZXQXSUUQNZOUVIXQXSYHNZOQUJZUGZQVNXNUVFVNAKLXPBCDUBEFGUVGHUUR
      UVGSZIJVOUVFUVMDKXPYMBUHVIZVPKLXPXPUVLUVOUVOVQVRUSAUAYSYRXMAYSYRYTEXMYAUU
      EUUDAYTEUQNZVAXLUVPRXMYAUVPVLZYTEVBACEXLYTUUBUUKUUOUUPVSZXLUVPVCVDZVEVTUV
      EYMXMWAWCAKXPYRYGUVCVTWBAYFKLXPXPUVKUGZYHAKLXPXPYEUVKAYOXSXPRZYEUVKVNAYOU
      WAUKZUKZMUVHMUFZYDOZYBOZUJZMUVHUWDUVKOZUJYEUVKUWCMUVHUWFUWHUWCUWDUVHRZUKZ
      UWFUWEPXRXTUUANZWDZOUWEPOZUWHUWJUWEYBUWLUWJYSCEXLXRXTYTUUAUUBUUEUUFAUUGUW
      BUWIUUKWNAUULUWBUWIUUOWNUUPUWCXRYSRZUWIAYOUWNUWAAXPYSXQXNAXPYSBYTXNYCUURU
      UEABYTUQNZVADUWORXNYCUWOVLZBYTVBABCDYTEFGHUUBIJWEZDUWOVCVDZVEZVFWFZTUWCXT
      YSRZUWIAUWAUXAYOAXPYSXSXNUWSVFWGZTWHWIUWJUWEUWKPUWCUVHUWKUWDYDUWCXPBYTXNY
      CUVGUUAXQXSUURUVNUUFAUWPUWBUWRTAYOUWAWJZAYOUWAWKZWLZVFWOUWJUWMUWDUVJOZUWH
      QZPOUWHUWJUWEUXGPUWJXPBCDEFGUVGUWDXQXSHUURUVNAUUJUWBUWIIWNAUUNUWBUWIJWNUW
      CYOUWIUXCTUWCUWAUWIUXDTUWCUWIWMWPWQUXFUWHUWDUVJVIUWDUVKVIVJVKWRVMUWCUWKXR
      XMOXTXMOEUNOZNZYBXDUVHUWKYDXDYEUWGVNUWCYSYTEXMYAUUAUXHXRXTUUEUUFUXHSZAUVQ
      UWBUVSTUWTUXBWLUXEMYBYDUVHUWKUXIWSWTUWCMUVHYLXSYGOUXHNUVKUWCXPBEYGYHUVGUX
      HXQXSUURUVNUXJAUUTUWBUVBTUXCUXDWLVTWBXAXBAYHXPXPULXEYHUVTVNAXPBEYGYHUURUV
      BXCKLXPXPYHXFXGXHXIAKLXPBYTEDXLUURUWQUVRXJAUUSUUNGYIVNUVAJGUUMXKVDWB $.
  $}

  ${
    $d f x y C $.  $d f x y D $.  $d f x y E $.  $d f x y F $.  $d f x y ph $.
    1st2ndprf.t $e |- T = ( D Xc. E ) $.
    1st2ndprf.f $e |- ( ph -> F e. ( C Func T ) ) $.
    1st2ndprf.d $e |- ( ph -> D e. Cat ) $.
    1st2ndprf.e $e |- ( ph -> E e. Cat ) $.
    $( Break a functor into a product category into first and second
       projections.  (Contributed by Mario Carneiro, 12-Jan-2017.) $)
    1st2ndprf $p |- ( ph -> F =
      ( ( ( D 1stF E ) o.func F ) pairF ( ( D 2ndF E ) o.func F ) ) ) $=
      ( vx vy c1st cfv c2nd co eqid wcel wceq adantr vf cop cv c1stf ccofu cmpt
      cbs c2ndf chom cmpo cprf cxp xpcbas cfunc wrel wbr relfunc sylancr funcf1
      1st2ndbr feqmptd wa ffvelrnda 1st2nd2 1stfcl simpr cofu1 ccat 1stf1 eqtrd
      syl 2ndfcl 2ndf1 opeq12d eqtr4d mpteq2dva wfn funcfn2 sylib simprl simprr
      fnov funcf2 relxpchom 1st2nd ad2antrr cofu2 adantrr adantrl fveq1d fvresd
      cres 1stf2 3eqtrd 2ndf2 3impb mpoeq3dva cofucl prfval 3eqtr4d ) AFMNZFONZ
      UBZKBUGNZKUCZCEUDPZFUEPZMNNZXECEUHPZFUEPZMNNZUBZUFZKLXDXDUAXELUCZBUINZPZU
      AUCZXEXNXGONPNZXQXEXNXJONPNZUBZUFZUJZUBFXGXJUKPZAXAXMXBYBAXAKXDXEXANZUFXM
      AKXDCUGNZEUGNZULZXAAXDYGBDXAXBXDQZCEDYEYFGYEQYFQUMZABDUNPZUOZFYJRZXAXBYJU
      PZBDUQZHFYJUTURZUSZVAAKXDYDXLAXEXDRZVBZYDYDMNZYDONZUBZXLYRYDYGRZYDUUASAXD
      YGXEXAYPVCZYDYEYFVDVKYRXHYSXKYTYRXHYDXFMNNYSYRXDBDCFXFXEYHAYLYQHTZAXFDCUN
      PRZYQACEXFDGIJXFQZVEZTAYQVFZVGYRYGCEXFYDDDUINZGYIUUIQZACVHRZYQITZAEVHRZYQ
      JTZUUFUUCVIVJYRXKYDXIMNNYTYRXDBDEFXIXEYHUUDAXIDEUNPRZYQACEXIDGIJXIQZVLZTU
      UHVGYRYGCEXIYDDUUIGYIUUJUULUUNUUPUUCVMVJVNVOVPVJAXBKLXDXDXEXNXBPZUJZYBAXB
      XDXDULVQXBUUSSAXDBDXAXBYHYOVRKLXDXDXBWBVSAKLXDXDUURYAAYQXNXDRZUURYASAYQUU
      TVBZVBZUURUAXPXQUURNZUFYAUVBUAXPYDXNXANZUUIPZUURUVBXDBDXAXBXOUUIXEXNYHXOQ
      ZUUJAYMUVAYOTAYQUUTVTZAYQUUTWAZWCZVAUVBUAXPUVCXTUVBXQXPRZVBZUVCUVCMNZUVCO
      NZUBZXTUVKUVEUOUVCUVERUVCUVNSCEDUUIYDUVDGUUJWDUVBXPUVEXQUURUVIVCZUVCUVEWE
      URUVKXRUVLXSUVMUVKXRUVCYDUVDXFONPZNUVCMUVEWLZNUVLUVKXDBDXQCFXFXOXEXNYHAYL
      UVAUVJHWFZAUUEUVAUVJUUGWFUVBYQUVJUVGTZUVBUUTUVJUVHTZUVFUVBUVJVFZWGUVKUVCU
      VPUVQUVBUVPUVQSUVJUVBYGCEXFYDUVDDUUIGYIUUJAUUKUVAITZAUUMUVAJTZUUFAYQUUBUU
      TUUCWHZAUUTUVDYGRYQAXDYGXNXAYPVCWIZWMTWJUVKUVCUVEMUVOWKWNUVKXSUVCYDUVDXIO
      NPZNUVCOUVEWLZNUVMUVKXDBDXQEFXIXOXEXNYHUVRAUUOUVAUVJUUQWFUVSUVTUVFUWAWGUV
      KUVCUWFUWGUVBUWFUWGSUVJUVBYGCEXIYDUVDDUUIGYIUUJUWBUWCUUPUWDUWEWOTWJUVKUVC
      UVEOUVOWKWNVNVOVPVJWPWQVJVNAYKYLFXCSYNHFYJWEURAKLXDBCYCUAEXGXJXOYCQYHUVFA
      BDCFXFHUUGWRABDEFXIHUUQWRWSWT $.
  $}

  ${
    $d f g u v x y ph $.  $d f g u v x y X $.  $d f g u v x y Y $.
    $d f g x y T $.
    catcxpccl.c $e |- C = ( CatCat ` U ) $.
    catcxpccl.b $e |- B = ( Base ` C ) $.
    catcxpccl.o $e |- T = ( X Xc. Y ) $.
    catcxpccl.u $e |- ( ph -> U e. WUni ) $.
    catcxpccl.1 $e |- ( ph -> _om e. U ) $.
    catcxpccl.x $e |- ( ph -> X e. B ) $.
    catcxpccl.y $e |- ( ph -> Y e. B ) $.
    $( The category of categories for a weak universe is closed under the
       product category operation.  (Contributed by Mario Carneiro,
       12-Jan-2017.)  (Proof shortened by AV, 14-Oct-2024.) $)
    catcxpccl $p |- ( ph -> T e. B ) $=
      ( cfv cxp eqid crn cuni wss vx vy vg vf vv vu ccat cin cnx cbs cop cco cv
      chom c2nd co c1st cmpo ctp eqidd wceq xpcbas xpchomfval a1i xpcval baseid
      wunndx wunstr catcbaselcl wunxp wunop homid cpw catchomcl wunrn wununi wf
      wunpw wcel wral ovssunirn xpss12 mp2an ovex xpex elpw mpbir fmpo eqeltrid
      rgen2w mpbi wunf ccoid cpm catcccocl wunpm cvv fvex rnex uniex pwex uniss
      rnss mp2b sstri opelxpi fvssunirn elpm2r mp4an wuntp eqeltrd cwun catcbas
      eleqtrd elin2d xpccat elind eleqtrrd ) ADEUGUHZBAEUGDADUIUJOZFUJOZGUJOZPZ
      UKZUIUNOZDUNOZUKZUIULOZUAUBYCYCPZYCUCUDUAUMZUOOZUBUMZYFUPZYJYFOZUCUMZUQOZ
      UDUMZUQOZYJUQOZUQOYKUQOUKZYLUQOZFULOZUPZUPZYOUOOZYQUOOZYSUOOYKUOOUKZYLUOO
      ZGULOZUPZUPZUKZURZURZUKZUSEAUAUBUEUFYCFGUUIDUUBUDUCFUNOZGUNOZYFUUNBBYAYBJ
      YAQZYBQZUUPQZUUQQZUUBQUUIQMNAYCUTYFUFUEYCYCUFUMZUQOZUEUMZUQOZUUPUPZUVBUOO
      ZUVDUOOZUUQUPZPZURZVAAUEUFYCFGDUUPUUQYFJFGDYAYBJUURUUSVBUUTUVAYFQVCZVDAUU
      NUTVEAYDYGUUOEKAXTYCEKAUIEUJXTVFKAEKLVGZVHAYAYBEKABCEFHIKMVIABCEGHIKNVIVJ
      ZVKAYEYFEKAUIEUNYEVLKUVMVHAYFUVKEUVLAYIUUPRZSZUUQRZSZPZVMZEUVKKAYCYCEKUVN
      UVNVJZAUVSEKAUVPUVREKAUVOEKAUUPEKABCEFHIKMVNVOVPAUVQEKAUUQEKABCEGHIKNVNVO
      VPVJVRYIUVTUVKVQZAUVJUVTVSZUEYCVTUFYCVTUWBUWCUFUEYCYCUWCUVJUVSTZUVFUVPTUV
      IUVRTUWDUUPUVCUVEWAUUQUVGUVHWAUVFUVPUVIUVRWBWCUVJUVSUVFUVIUVCUVEUUPWDUVGU
      VHUUQWDWEWFWGWJUFUEYCYCUVJUVTUVKUVKQWHWKVDWLWIZVKAYHUUNEKAUIEULYHWMKUVMVH
      AYIYCPZUUBRZSZRZSZVMZUUIRZSZRZSZVMZPZYFRZSZUWSPZWNUPZEUUNKAYIYCEKUWAUVNVJ
      AUWQUWTEKAUWKUWPEKAUWJEKAUWIEKAUWHEKAUWGEKAUUBEKABCEFHIKMWOVOVPVOVPVRAUWO
      EKAUWNEKAUWMEKAUWLEKAUUIEKABCEGHIKNWOVOVPVOVPVRVJAUWSUWSEKAUWREKAYFEKUWEV
      OVPZUXBVJWPUWFUXAUUNVQZAUUMUXAVSZUBYCVTUAYIVTUXCUXDUAUBYIYCUWQWQVSUWTWQVS
      YMYNPZUWQUUMVQZUXEUWTTZUXDUWKUWPUWJUWIUWHUWGUUBFULWRWSWTWSWTXAUWOUWNUWMUW
      LUUIGULWRWSWTWSWTXAWEUWSUWSUWRYFDUNWRWSWTZUXHWEUULUWQVSZUDYNVTUCYMVTUXFUX
      IUCUDYMYNUUDUWKVSZUUKUWPVSZUXIUXJUUDUWJTUUDUUCRZSZUWJUUCYPYRWAUUCUWHTUXLU
      WITUXMUWJTUUBYTUUAWAUUCUWHXCUXLUWIXBXDXEUUDUWJYPYRUUCWDWFWGUXKUUKUWOTUUKU
      UJRZSZUWOUUJUUEUUFWAUUJUWMTUXNUWNTUXOUWOTUUIUUGUUHWAUUJUWMXCUXNUWNXBXDXEU
      UKUWOUUEUUFUUJWDWFWGUUDUUKUWKUWPXFWCWJUCUDYMYNUULUWQUUMUUMQWHWKYMUWSTYNUW
      STUXGYFYKYLWAYFYJXGYMUWSYNUWSWBWCUWQUWTUXEUUMWQWQXHXIWJUAUBYIYCUUMUXAUUNU
      UNQWHWKVDWLVKXJXKAFGDJAEUGFAFBXSMABCEXLHIKXMZXNXOAEUGGAGBXSNUXPXNXOXPXQUX
      PXR $.

    $( Obsolete proof of ~ catcxpccl as of 14-Oct-2024.  (Contributed by Mario
       Carneiro, 12-Jan-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    catcxpcclOLD $p |- ( ph -> T e. B ) $=
      ( cfv eqid wunstr crn cuni wss vx vy vg vf vv vu ccat cin cnx cbs cxp cop
      chom cco cv c2nd co c1st cmpo ctp eqidd wceq xpcbas xpchomfval a1i xpcval
      c1 df-base wunndx cwun catcbas eleqtrd elin1d wunxp wunop c4 df-hom wunrn
      cdc wununi wunpw wf wcel wral ovssunirn xpss12 mp2an ovex xpex elpw mpbir
      cpw rgen2w fmpo mpbi wunf eqeltrid c5 df-cco cpm wunpm cvv fvex rnex pwex
      uniex rnss uniss mp2b sstri opelxpi fvssunirn elpm2r mp4an eqeltrd elin2d
      wuntp xpccat elind eleqtrrd ) ADEUGUHZBAEUGDADUIUJOZFUJOZGUJOZUKZULZUIUMO
      ZDUMOZULZUIUNOZUAUBYEYEUKZYEUCUDUAUOZUPOZUBUOZYHUQZYLYHOZUCUOZUROZUDUOZUR
      OZYLUROZUROYMUROULZYNUROZFUNOZUQZUQZYQUPOZYSUPOZUUAUPOYMUPOULZYNUPOZGUNOZ
      UQZUQZULZUSZUSZULZUTEAUAUBUEUFYEFGUUKDUUDUDUCFUMOZGUMOZYHUUPBBYCYDJYCPZYD
      PZUURPZUUSPZUUDPUUKPMNAYEVAYHUFUEYEYEUFUOZUROZUEUOZUROZUURUQZUVDUPOZUVFUP
      OZUUSUQZUKZUSZVBAUEUFYEFGDUURUUSYHJFGDYCYDJUUTUVAVCUVBUVCYHPVDZVEAUUPVAVF
      AYFYIUUQEKAYBYEEKAUIEUJVGVHKAEKLVIZQAYCYDEKAFEUJVGVHKAEUGFAFBYAMABCEVJHIK
      VKZVLZVMZQAGEUJVGVHKAEUGGAGBYANUVPVLZVMZQVNZVOAYGYHEKAUIEUMVGVPVSZVQKUVOQ
      AYHUVMEUVNAYKUURRZSZUUSRZSZUKZWLZEUVMKAYEYEEKUWAUWAVNZAUWGEKAUWDUWFEKAUWC
      EKAUUREKAFEUMUWBVQKUVRQVRVTAUWEEKAUUSEKAGEUMUWBVQKUVTQVRVTVNWAYKUWHUVMWBZ
      AUVLUWHWCZUEYEWDUFYEWDUWJUWKUFUEYEYEUWKUVLUWGTZUVHUWDTUVKUWFTUWLUURUVEUVG
      WEUUSUVIUVJWEUVHUWDUVKUWFWFWGUVLUWGUVHUVKUVEUVGUURWHUVIUVJUUSWHWIWJWKWMUF
      UEYEYEUVLUWHUVMUVMPWNWOVEWPWQZVOAYJUUPEKAUIEUNVGWRVSZWSKUVOQAYKYEUKZUUDRZ
      SZRZSZWLZUUKRZSZRZSZWLZUKZYHRZSZUXHUKZWTUQZEUUPKAYKYEEKUWIUWAVNAUXFUXIEKA
      UWTUXEEKAUWSEKAUWREKAUWQEKAUWPEKAUUDEKAFEUNUWNWSKUVRQVRVTVRVTWAAUXDEKAUXC
      EKAUXBEKAUXAEKAUUKEKAGEUNUWNWSKUVTQVRVTVRVTWAVNAUXHUXHEKAUXGEKAYHEKUWMVRV
      TZUXKVNXAUWOUXJUUPWBZAUUOUXJWCZUBYEWDUAYKWDUXLUXMUAUBYKYEUXFXBWCUXIXBWCYO
      YPUKZUXFUUOWBZUXNUXITZUXMUWTUXEUWSUWRUWQUWPUUDFUNXCXDXFXDXFXEUXDUXCUXBUXA
      UUKGUNXCXDXFXDXFXEWIUXHUXHUXGYHDUMXCXDXFZUXQWIUUNUXFWCZUDYPWDUCYOWDUXOUXR
      UCUDYOYPUUFUWTWCZUUMUXEWCZUXRUXSUUFUWSTUUFUUERZSZUWSUUEYRYTWEUUEUWQTUYAUW
      RTUYBUWSTUUDUUBUUCWEUUEUWQXGUYAUWRXHXIXJUUFUWSYRYTUUEWHWJWKUXTUUMUXDTUUMU
      ULRZSZUXDUULUUGUUHWEUULUXBTUYCUXCTUYDUXDTUUKUUIUUJWEUULUXBXGUYCUXCXHXIXJU
      UMUXDUUGUUHUULWHWJWKUUFUUMUWTUXEXKWGWMUCUDYOYPUUNUXFUUOUUOPWNWOYOUXHTYPUX
      HTUXPYHYMYNWEYHYLXLYOUXHYPUXHWFWGUXFUXIUXNUUOXBXBXMXNWMUAUBYKYEUUOUXJUUPU
      UPPWNWOVEWPVOXQXOAFGDJAEUGFUVQXPAEUGGUVSXPXRXSUVPXT $.
  $}

  ${
    $d f g u v x y A $.  $d f g u v x y B $.  $d f g u v x y ph $.
    $d f g u v x y C $.  $d f g u v x y D $.
    xpcpropd.1 $e |- ( ph -> ( Homf ` A ) = ( Homf ` B ) ) $.
    xpcpropd.2 $e |- ( ph -> ( comf ` A ) = ( comf ` B ) ) $.
    xpcpropd.3 $e |- ( ph -> ( Homf ` C ) = ( Homf ` D ) ) $.
    xpcpropd.4 $e |- ( ph -> ( comf ` C ) = ( comf ` D ) ) $.
    xpcpropd.a $e |- ( ph -> A e. V ) $.
    xpcpropd.b $e |- ( ph -> B e. V ) $.
    xpcpropd.c $e |- ( ph -> C e. V ) $.
    xpcpropd.d $e |- ( ph -> D e. V ) $.
    $( If two categories have the same set of objects, morphisms, and
       compositions, then they have the same product category.  (Contributed by
       Mario Carneiro, 17-Jan-2017.) $)
    xpcpropd $p |- ( ph -> ( A Xc. C ) = ( B Xc. D ) ) $=
      ( co cfv cop eqid wcel syl vx vy vg vf vv vu cxpc cnx cbs cxp chom cco cv
      c2nd c1st cmpo ctp eqidd wceq xpcbas xpchomfval a1i homfeqbas xpeq12d w3a
      xpcval chomf 3ad2ant1 xp1st 3ad2ant2 3ad2ant3 homfeqval mpoeq3dva ad4antr
      xp2nd eqtrid wa ccomf simp-4r simpllr simpr 1st2nd2 fveq2d eqtr4di xpchom
      df-ov eqtrd eleqtrd simplr comfeqval opeq12d 3impa eqtr4d ) ABDUGOZUHUIPB
      UIPZDUIPZUJZQUHUKPWNUKPZQUHULPUAUBWQWQUJZWQUCUDUAUMZUNPZUBUMZWROZWTWRPZUC
      UMZUOPZUDUMZUOPZWTUOPZUOPZXAUOPZQZXBUOPZBULPZOOZXEUNPZXGUNPZXIUNPZXAUNPZQ
      ZXBUNPZDULPZOOZQZUPZUPZQUQCEUGOZAUAUBUEUFWQBDYBWNXNUDUCBUKPZDUKPZWRYFFFWO
      WPWNRZWORZWPRZYHRZYIRZXNRZYBRZKMAWQURWRUFUEWQWQUFUMZUOPZUEUMZUOPZYHOZYQUN
      PZYSUNPZYIOZUJZUPZUSAUEUFWQBDWNYHYIWRYJBDWNWOWPYJYKYLUTZYMYNWRRZVAZVBAYFU
      RVFAUAUBUEUFWQCEEULPZYGCULPZUDUCCUKPZEUKPZWRYFFFCUIPZEUIPZYGRUUNRUUORUULR
      ZUUMRZUUKRZUUJRZLNAWOUUNWPUUOABCGVCADEIVCVDAWRUUFUFUEWQWQYRYTUULOZUUBUUCU
      UMOZUJZUPUUIAUFUEWQWQUUEUVBAYQWQSZYSWQSZVEZUUAUUTUUDUVAUVEWOBCYHUULYRYTYK
      YMUUPAUVCBVGPCVGPUSZUVDGVHUVCAYRWOSUVDYQWOWPVIVJUVDAYTWOSUVCYSWOWPVIVKVLU
      VEWPDEYIUUMUUBUUCYLYNUUQAUVCDVGPEVGPUSZUVDIVHUVCAUUBWPSUVDYQWOWPVOVJUVDAU
      UCWPSUVCYSWOWPVOVKVLVDVMVPAUAUBWSWQYEUCUDXCXDXFXHXLXMUUKOOZXPXQXTYAUUJOOZ
      QZUPZAWTWSSZXBWQSZYEUVKUSAUVLVQZUVMVQZUCUDXCXDYDUVJUVOXEXCSZXGXDSZYDUVJUS
      UVOUVPVQZUVQVQZXOUVHYCUVIUVSWOBCUUKXNXHXFYHXJXKXMYKYMYOUURAUVFUVLUVMUVPUV
      QGVNABVRPCVRPUSUVLUVMUVPUVQHVNUVSXIWQSZXJWOSUVSUVLUVTAUVLUVMUVPUVQVSZWTWQ
      WQVITZXIWOWPVITUVSXAWQSZXKWOSUVSUVLUWCUWAWTWQWQVOTZXAWOWPVITUVSUVMXMWOSUV
      NUVMUVPUVQVTZXBWOWPVITUVSXGXJXKYHOZXRXSYIOZUJZSZXHUWFSUVSXGXDUWHUVRUVQWAU
      VSXDXIXAWROZUWHUVSXDXIXAQZWRPUWJUVSWTUWKWRUVSUVLWTUWKUSUWAWTWQWQWBTWCXIXA
      WRWFWDUVSWQBDWNYHYIWRXIXAYJUUGYMYNUUHUWBUWDWEWGWHZXGUWFUWGVITUVSXEXKXMYHO
      ZXSYAYIOZUJZSZXFUWMSUVSXEXCUWOUVOUVPUVQWIUVSWQBDWNYHYIWRXAXBYJUUGYMYNUUHU
      WDUWEWEWHZXEUWMUWNVITWJUVSWPDEUUJYBXQXPYIXRXSYAYLYNYPUUSAUVGUVLUVMUVPUVQI
      VNADVRPEVRPUSUVLUVMUVPUVQJVNUVSUVTXRWPSUWBXIWOWPVOTUVSUWCXSWPSUWDXAWOWPVO
      TUVSUVMYAWPSUWEXBWOWPVOTUVSUWIXQUWGSUWLXGUWFUWGVOTUVSUWPXPUWNSUWQXEUWMUWN
      VOTWJWKWLVMWLVMVFWM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Functor evaluation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c evalF $.
  $c curryF $.
  $c uncurryF $.
  $c DiagFunc $.

  $( Extend class notation with the evaluation functor. $)
  cevlf $a class evalF $.

  $( Extend class notation with the currying of a functor. $)
  ccurf $a class curryF $.

  $( Extend class notation with the uncurrying of a functor. $)
  cuncf $a class uncurryF $.

  $( Extend class notation to include the diagonal functor. $)
  cdiag $a class DiagFunc $.

  ${
    $d a c d f g m n x y C $.  $d a c d f g m n x y D $.  $d c d g m n x y H $.
    $d a c d e f g m n x y z $.  $d a g m n x y F $.  $d a c d g m n x y N $.
    $d a g m n x y G $.  $d a c d f g m n x y ph $.  $d a c d g m n x y .x. $.
    $d a g A $.  $d c d x y B $.  $d a g m n x y X $.  $d a g m n x y Y $.
    $d a g K $.
    $( Define the evaluation functor, which is the extension of the evaluation
       map ` f , x |-> ( f `` x ) ` of functors, to a functor
       ` ( C --> D ) X. C --> D ` .  (Contributed by Mario Carneiro,
       11-Jan-2017.) $)
    df-evlf $a |- evalF = ( c e. Cat , d e. Cat |->
      <. ( f e. ( c Func d ) , x e. ( Base ` c ) |-> ( ( 1st ` f ) ` x ) ) ,
         ( x e. ( ( c Func d ) X. ( Base ` c ) ) ,
           y e. ( ( c Func d ) X. ( Base ` c ) ) |->
           [_ ( 1st ` x ) / m ]_ [_ ( 1st ` y ) / n ]_
           ( a e. ( m ( c Nat d ) n ) ,
             g e. ( ( 2nd ` x ) ( Hom ` c ) ( 2nd ` y ) ) |->
       ( ( a ` ( 2nd ` y ) )
          ( <. ( ( 1st ` m ) ` ( 2nd ` x ) ) ,
               ( ( 1st ` m ) ` ( 2nd ` y ) ) >. ( comp ` d )
               ( ( 1st ` n ) ` ( 2nd ` y ) ) )
         ( ( ( 2nd ` x ) ( 2nd ` m ) ( 2nd ` y ) ) ` g ) ) ) ) >. ) $.

    $( Define the curry functor, which maps a functor ` F : C X. D --> E ` to
       ` curryF ( F ) : C --> ( D --> E ) ` .  (Contributed by Mario Carneiro,
       11-Jan-2017.) $)
    df-curf $a |- curryF = ( e e. _V , f e. _V |-> [_ ( 1st ` e ) / c ]_
      [_ ( 2nd ` e ) / d ]_ <. ( x e. ( Base ` c ) |->
        <. ( y e. ( Base ` d ) |-> ( x ( 1st ` f ) y ) ) ,
           ( y e. ( Base ` d ) , z e. ( Base ` d ) |->
             ( g e. ( y ( Hom ` d ) z ) |-> ( ( ( Id ` c ) ` x )
               ( <. x , y >. ( 2nd ` f ) <. x , z >. ) g ) ) ) >. ) ,
        ( x e. ( Base ` c ) , y e. ( Base ` c ) |->
          ( g e. ( x ( Hom ` c ) y ) |-> ( z e. ( Base ` d ) |->
            ( g ( <. x , z >. ( 2nd ` f ) <. y , z >. )
              ( ( Id ` d ) ` z ) ) ) ) ) >. ) $.

    $( Define the uncurry functor, which can be defined equationally using
       ` evalF ` .  Strictly speaking, the third category argument is not
       needed, since the resulting functor is extensionally equal regardless,
       but it is used in the equational definition and is too much work to
       remove.  (Contributed by Mario Carneiro, 13-Jan-2017.) $)
    df-uncf $a |- uncurryF = ( c e. _V , f e. _V |->
      ( ( ( c ` 1 ) evalF ( c ` 2 ) ) o.func
        ( ( f o.func ( ( c ` 0 ) 1stF ( c ` 1 ) ) )
          pairF ( ( c ` 0 ) 2ndF ( c ` 1 ) ) ) ) ) $.

    $( Define the diagonal functor, which is the functor ` C --> ( D Func C ) `
       whose object part is ` x e. C |-> ( y e. D |-> x ) ` .  The value of the
       functor at an object ` x ` is the constant functor which maps all
       objects in ` D ` to ` x ` and all morphisms to ` 1 ( x ) ` .  The
       morphism part is a natural transformation between these functors, which
       takes ` f : x --> y ` to the natural transformation with every component
       equal to ` f ` .  (Contributed by Mario Carneiro, 6-Jan-2017.) $)
    df-diag $a |- DiagFunc = ( c e. Cat , d e. Cat |->
      ( <. c , d >. curryF ( c 1stF d ) ) ) $.

    evlfval.e $e |- E = ( C evalF D ) $.
    evlfval.c $e |- ( ph -> C e. Cat ) $.
    evlfval.d $e |- ( ph -> D e. Cat ) $.
    evlfval.b $e |- B = ( Base ` C ) $.
    evlfval.h $e |- H = ( Hom ` C ) $.
    evlfval.o $e |- .x. = ( comp ` D ) $.
    evlfval.n $e |- N = ( C Nat D ) $.
    $( Value of the evaluation functor.  (Contributed by Mario Carneiro,
       12-Jan-2017.) $)
    evlfval $p |- ( ph -> E =
      <. ( f e. ( C Func D ) , x e. B |-> ( ( 1st ` f ) ` x ) ) ,
         ( x e. ( ( C Func D ) X. B ) , y e. ( ( C Func D ) X. B ) |->
           [_ ( 1st ` x ) / m ]_ [_ ( 1st ` y ) / n ]_
           ( a e. ( m N n ) , g e. ( ( 2nd ` x ) H ( 2nd ` y ) ) |->
       ( ( a ` ( 2nd ` y ) )
          ( <. ( ( 1st ` m ) ` ( 2nd ` x ) ) ,
               ( ( 1st ` m ) ` ( 2nd ` y ) ) >. .x.
               ( ( 1st ` n ) ` ( 2nd ` y ) ) )
         ( ( ( 2nd ` x ) ( 2nd ` m ) ( 2nd ` y ) ) ` g ) ) ) ) >. ) $=
      ( vc vd cevlf cfunc c1st cfv cmpo cxp c2nd cop csb ccat cbs cnat chom cco
      co cv cvv wceq df-evlf wa simprl simprr oveq12d fveq2d eqtr4di mpoeq123dv
      a1i eqidd xpeq12d oveqd csbeq2dv opeq12d wcel opex ovmpod eqtrid ) ALEFUE
      USHBEFUFUSZDBUTZHUTUGUHUHZUIZBCWADUJZWEJWBUGUHZKCUTZUGUHZOIJUTZKUTZNUSZWB
      UKUHZWGUKUHZMUSZWMOUTUHZIUTWLWMWIUKUHUSUHZWLWIUGUHZUHWMWQUHULZWMWJUGUHUHZ
      GUSZUSZUIZUMZUMZUIZULZPAUCUDEFUNUNHBUCUTZUDUTZUFUSZXGUOUHZWCUIZBCXIXJUJZX
      LJWFKWHOIWIWJXGXHUPUSZUSZWLWMXGUQUHZUSZWOWPWRWSXHURUHZUSZUSZUIZUMZUMZUIZU
      LZXFUEVAUEUCUDUNUNYDUIVBABCHIJKOUCUDVCVKAXGEVBZXHFVBZVDVDZXKWDYCXEYGHBXIX
      JWCWADWCYGXGEXHFUFAYEYFVEZAYEYFVFZVGZYGXJEUOUHDYGXGEUOYHVHSVIZYGWCVLVJYGB
      CXLXLYBWEWEXDYGXIWAXJDYJYKVMZYLYGJWFYAXCYGKWHXTXBYGOIXNXPXSWKWNXAYGXMNWIW
      JYGXMEFUPUSNYGXGEXHFUPYHYIVGUBVIVNYGXOMWLWMYGXOEUQUHMYGXGEUQYHVHTVIVNYGXR
      WTWOWPYGXQGWRWSYGXQFURUHGYGXHFURYIVHUAVIVNVNVJVOVOVJVPQRXFVAVQAWDXEVRVKVS
      VT $.

    evlf2.f $e |- ( ph -> F e. ( C Func D ) ) $.
    evlf2.g $e |- ( ph -> G e. ( C Func D ) ) $.
    evlf2.x $e |- ( ph -> X e. B ) $.
    evlf2.y $e |- ( ph -> Y e. B ) $.
    evlf2.l $e |- L = ( <. F , X >. ( 2nd ` E ) <. G , Y >. ) $.
    $( Value of the evaluation functor at a morphism.  (Contributed by Mario
       Carneiro, 12-Jan-2017.) $)
    evlf2 $p |- ( ph -> L = ( a e. ( F N G ) , g e. ( X H Y ) |->
      ( ( a ` Y ) ( <. ( ( 1st ` F ) ` X ) , ( ( 1st ` F ) ` Y ) >. .x.
        ( ( 1st ` G ) ` Y ) ) ( ( X ( 2nd ` F ) Y ) ` g ) ) ) ) $=
      ( vx vy vm vn vf cop c2nd cfv co c1st cmpo cfunc cxp csb cvv wceq evlfval
      cv ovex cbs fvexi mpoex xpex op2ndd wa fvexd simprl fveq2d op1stg syl2anc
      wcel adantr eqtrd simplrr ad2antrr simplr simpr oveq12d ad3antrrr fveq12d
      syl op2ndg opeq12d oveq123d fveq1d mpoeq123dv csbied2 opelxpd a1i ovmpod
      eqtrid ) AKHMUMZINUMZGUNUOZUPOFHILUPZMNJUPZNOVEZUOZFVEZMNHUNUOZUPZUOZMHUQ
      UOZUOZNXJUOZUMZNIUQUOZUOZEUPZUPZURZUGAUHUIWSWTCDUSUPZBUTZXTUJUHVEZUQUOZUK
      UIVEZUQUOZOFUJVEZUKVEZLUPZYAUNUOZYCUNUOZJUPZYIXDUOZXFYHYIYEUNUOZUPZUOZYHY
      EUQUOZUOZYIYOUOZUMZYIYFUQUOZUOZEUPZUPZURZVAZVAZXRXAVBAGULUHXSBYAULVEUQUOU
      OZURZUHUIXTXTUUEURZUMVCXAUUHVCAUHUIBCDEULFUJUKGJLOPQRSTUAUBVDUUGUUHGULUHX
      SBUUFCDUSVFZBCVGSVHZVIUHUIXTXTUUEXSBUUIUUJVJZUUKVIVKWHAYAWSVCZYCWTVCZVLZV
      LZUJYBHUUDXRVBUUOYAUQVMUUOYBWSUQUOZHUUOYAWSUQAUULUUMVNZVOAUUPHVCZUUNAHXSV
      RZMBVRZUURUCUEHMXSBVPVQVSVTUUOYEHVCZVLZUKYDIUUCXRVBUVBYCUQVMUVBYDWTUQUOZI
      UVBYCWTUQAUULUUMUVAWAZVOAUVCIVCZUUNUVAAIXSVRZNBVRZUVEUDUFINXSBVPVQWBVTUVB
      YFIVCZVLZOFYGYJUUBXBXCXQUVIYEHYFILUUOUVAUVHWCZUVBUVHWDZWEUVIYHMYINJUVIYHW
      SUNUOZMUVIYAWSUNUUOUULUVAUVHUUQWBVOAUVLMVCZUUNUVAUVHAUUSUUTUVMUCUEHMXSBWI
      VQWFVTZUVIYIWTUNUOZNUVIYCWTUNUVBUUMUVHUVDVSVOAUVONVCZUUNUVAUVHAUVFUVGUVPU
      DUFINXSBWIVQWFVTZWEUVIYKXEYNXIUUAXPUVIYRXMYTXOEUVIYPXKYQXLUVIYHMYOXJUVIYE
      HUQUVJVOZUVNWGUVIYINYOXJUVRUVQWGWJUVIYINYSXNUVIYFIUQUVKVOUVQWGWEUVIYINXDU
      VQVOUVIXFYMXHUVIYHMYINYLXGUVIYEHUNUVJVOUVNUVQWKWLWKWMWNWNAHMXSBUCUEWOAINX
      SBUDUFWOXRVBVRAOFXBXCXQHILVFMNJVFVIWPWQWR $.

    evlf2val.a $e |- ( ph -> A e. ( F N G ) ) $.
    evlf2val.k $e |- ( ph -> K e. ( X H Y ) ) $.
    $( Value of the evaluation natural transformation at an object.
       (Contributed by Mario Carneiro, 12-Jan-2017.) $)
    evlf2val $p |- ( ph -> ( A L K ) =
      ( ( A ` Y ) ( <. ( ( 1st ` F ) ` X ) , ( ( 1st ` F ) ` Y ) >. .x.
        ( ( 1st ` G ) ` Y ) ) ( ( X ( 2nd ` F ) Y ) ` K ) ) ) $=
      ( va vg co cv cfv c2nd c1st cop evlf2 wceq wa simprl fveq1d simprr fveq2d
      cvv oveq12d ovexd ovmpod ) AUJUKBKHIMULNOJULOUJUMZUNZUKUMZNOHUOUNULZUNZNH
      UPUNZUNOVNUNUQOIUPUNUNFULZULOBUNZKVLUNZVOULLVEACDEFUKGHIJLMNOUJPQRSTUAUBU
      CUDUEUFUGURAVIBUSZVKKUSZUTUTZVJVPVMVQVOVTOVIBAVRVSVAVBVTVKKVLAVRVSVCVDVFU
      HUIAVPVQVOVGVH $.
  $}

  ${
    $d x y B $.  $d a f g m n x y C $.  $d f x F $.  $d a f g m n x y ph $.
    $d a f g m n x y D $.  $d f x X $.
    evlf1.e $e |- E = ( C evalF D ) $.
    evlf1.c $e |- ( ph -> C e. Cat ) $.
    evlf1.d $e |- ( ph -> D e. Cat ) $.
    evlf1.b $e |- B = ( Base ` C ) $.
    evlf1.f $e |- ( ph -> F e. ( C Func D ) ) $.
    evlf1.x $e |- ( ph -> X e. B ) $.
    $( Value of the evaluation functor at an object.  (Contributed by Mario
       Carneiro, 12-Jan-2017.) $)
    evlf1 $p |- ( ph -> ( F ( 1st ` E ) X ) = ( ( 1st ` F ) ` X ) ) $=
      ( vf vx vy co cv c1st cfv vm vn va vg cvv cmpo cxp cnat c2nd chom cop cco
      cfunc csb wceq eqid evlfval ovex cbs fvexi mpoex op1std syl simprl fveq2d
      xpex wa simprr fveq12d fvexd ovmpod ) ANOFGCDUMQZBORZNRZSTZTZGFSTZTESTZUE
      AENOVLBVPUFZOPVLBUGZVTUAVMSTUBPRZSTUCUDUARZUBRZCDUHQZQVMUITZWAUITZCUJTZQW
      FUCRTUDRWEWFWBUITQTWEWBSTZTWFWHTUKWFWCSTTDULTZQQUFUNUNZUFZUKUOVRVSUOAOPBC
      DWINUDUAUBEWGWDUCHIJKWGUPWIUPWDUPUQVSWKENOVLBVPCDUMURZBCUSKUTZVAOPVTVTWJV
      LBWLWMVFZWNVAVBVCAVNFUOZVMGUOZVGVGZVMGVOVQWQVNFSAWOWPVDVEAWOWPVHVILMAGVQV
      JVK $.
  $}

  ${
    $d a f g h m n u v x y z C $.  $d f g u v x y z E $.  $d f g u v x y z Q $.
    $d a f g h m n u v x y z D $.  $d a f g h m n u v x y z ph $.
    evlfcl.e $e |- E = ( C evalF D ) $.
    evlfcl.q $e |- Q = ( C FuncCat D ) $.
    evlfcl.c $e |- ( ph -> C e. Cat ) $.
    evlfcl.d $e |- ( ph -> D e. Cat ) $.
    ${
      evlfcl.n $e |- N = ( C Nat D ) $.
      evlfcl.f $e |- ( ph -> ( F e. ( C Func D ) /\ X e. ( Base ` C ) ) ) $.
      evlfcl.g $e |- ( ph -> ( G e. ( C Func D ) /\ Y e. ( Base ` C ) ) ) $.
      evlfcl.h $e |- ( ph -> ( H e. ( C Func D ) /\ Z e. ( Base ` C ) ) ) $.
      evlfcl.a $e |- ( ph ->
        ( A e. ( F N G ) /\ K e. ( X ( Hom ` C ) Y ) ) ) $.
      evlfcl.b $e |- ( ph ->
        ( B e. ( G N H ) /\ L e. ( Y ( Hom ` C ) Z ) ) ) $.
      $( Lemma for ~ evlfcl .  (Contributed by Mario Carneiro, 12-Jan-2017.) $)
      evlfcllem $p |- ( ph ->
      ( ( <. F , X >. ( 2nd ` E ) <. H , Z >. ) `
        ( <. B , L >. ( <. <. F , X >. , <. G , Y >. >.
          ( comp ` ( Q Xc. C ) ) <. H , Z >. ) <. A , K >. ) ) =
      ( ( ( <. G , Y >. ( 2nd ` E ) <. H , Z >. ) ` <. B , L >. )
        ( <. ( ( 1st ` E ) ` <. F , X >. ) , ( ( 1st ` E ) ` <. G , Y >. ) >.
          ( comp ` D ) ( ( 1st ` E ) ` <. H , Z >. ) )
        ( ( <. F , X >. ( 2nd ` E ) <. G , Y >. ) ` <. A , K >. ) ) ) $=
        ( cop cco cfv co c2nd c1st cxpc cbs chom eqid cfunc wcel simpld fuccocl
        simprd catcocl evlf2val fuccoval oveq1d wrel wbr relfunc sylancr funcco
        1st2ndbr oveq2d nat1st2nd funcf1 ffvelrnd funcf2 catass 3eqtr4d 3eqtr3d
        nati natcl eqtrd 3eqtrd fucbas fuchom xpcco2 fveq2d df-ov eqtr4di evlf1
        eqtr3id opeq12d oveq12d oveq123d ) ACBHIUGJFUHUIZUJUJZLKNOUGPDUHUIZUJUJ
        ZHNUGZJPUGZGUKUIZUJZUJZPCUIZLOPIUKUIZUJZUIZOIULUIZUIZPXHUIZUGPJULUIZUIZ
        EUHUIZUJUJZOBUIZKNOHUKUIZUJZUIZNHULUIZUIZOXSUIZUGZXIXMUJUJZXTXIUGZXLXMU
        JZUJZCLUGZBKUGZWSIOUGZUGWTFDUMUJZUHUIZUJUJZXBUIZYGYIWTXAUJZUIZYHWSYIXAU
        JZUIZWSGULUIZUIZYIYRUIZUGZWTYRUIZXMUJZUJAXCPWPUIZWRNPXPUJUIZXTPXSUIZUGX
        LXMUJZUJXDPBUIZUUFXJUGXLXMUJUJZUUEUUGUJZYFAWPDUNUIZDEXMGHJDUOUIZWRXBMNP
        QSTUUKUPZUULUPZXMUPZUAAHDEUQUJZURZNUUKURZUBUSZAJUUPURZPUUKURZUDUSZAUUQU
        URUBVAZAUUTUVAUDVAZXBUPADEFBCWOHIJMRUAWOUPZABHIMUJURZKNOUULUJZURZUEUSZA
        CIJMUJURZLOPUULUJZURZUFUSZUTAUUKDWQKLUULNOPUUMUUNWQUPZSUVCAIUUPURZOUUKU
        RZUCVAZUVDAUVFUVHUEVAZAUVJUVLUFVAZVBVCAUUDUUIUUEUUGAUUKDEFBCWOXMHIJMPRU
        AUUMUUOUVEUVIUVMUVDVDVEAUUJUUILOPXPUJZUIZXRYBUUFXMUJUJZUUGUJZYFAUUEUWBU
        UIUUGAUUKDWQEXSXPUULKLXMNOPUUMUUNUVNUUOAUUPVFZUUQXSXPUUPVGDEVHZUUSHUUPV
        KVIZUVCUVQUVDUVRUVSVJVLAUUIUWAYAUUFUGZXLXMUJUJZXRYBXLXMUJZUJXNXOYAXIUGZ
        XLXMUJUJZXRUWIUJUWCYFAUWHUWKXRUWIAXDUUHUWAUWGXJXMUJUJZYAXJUGXLXMUJZUJXD
        XGXOUWJXJXMUJUJZUWMUJUWHUWKAUWLUWNXDUWMABUUKDELXMXSXPUULXHXEMOPUAABDEHI
        MUAUVIVMZUUMUUNUUOUVQUVDUVSVTVLAEUNUIZEXMUWAUUHEUOUIZXDXLYAUUFXJUWPUPZU
        WQUPZUUOTAUUKUWPOXSAUUKUWPDEXSXPUUMUWRUWFVNZUVQVOZAUUKUWPPXSUWTUVDVOZAU
        UKUWPPXHAUUKUWPDEXHXEUUMUWRAUWDUVOXHXEUUPVGUWEAUVOUVPUCUSZIUUPVKVIZVNZU
        VDVOZAUVKYAUUFUWQUJLUVTAUUKDEXSXPUULUWQOPUUMUUNUWSUWFUVQUVDVPUVSVOZABUU
        KDEXSXPUWQXHXEMPUAUWOUUMUWSUVDWAZAUUKUWPPXKAUUKUWPDEXKJUKUIZUUMUWRAUWDU
        UTXKUXIUUPVGUWEUVBJUUPVKVIVNUVDVOZACUUKDEXHXEUWQXKUXIMPUAACDEIJMUAUVMVM
        UUMUWSUVDWAZVQAUWPEXMXOXGUWQXDXLYAXIXJUWRUWSUUOTUXAAUUKUWPOXHUXEUVQVOZU
        XFABUUKDEXSXPUWQXHXEMOUAUWOUUMUWSUVQWAZAUVKXIXJUWQUJLXFAUUKDEXHXEUULUWQ
        OPUUMUUNUWSUXDUVQUVDVPUVSVOZUXJUXKVQVRVEAUWPEXMXRUWAUWQUUIXLXTYAUUFUWRU
        WSUUOTAUUKUWPNXSUWTUVCVOZUXAUXBAUVGXTYAUWQUJKXQAUUKDEXSXPUULUWQNOUUMUUN
        UWSUWFUVCUVQVPUVRVOZUXGUXJAUWPEXMUUHXDUWQUUFXJXLUWRUWSUUOTUXBUXFUXJUXHU
        XKVBVQAUWPEXMXRXOUWQXNXLXTYAXIUWRUWSUUOTUXOUXAUXLUXPUXMUXJAUWPEXMXGXDUW
        QXIXJXLUWRUWSUUOTUXLUXFUXJUXNUXKVBVQVSWBWCAYMWPWRUGZXBUIXCAYLUXQXBAFDIO
        JPWQYJWOBKMUULCLHNYKUUPUUKYJUPDEFRWDUUMDEFMRUAWEUUNUUSUVCUXCUVQUVEUVNYK
        UPUVBUVDUVIUVRUVMUVSWFWGWPWRXBWHWIAYOXNYQYCUUCYEAUUAYDUUBXLXMAYSXTYTXIA
        YSHNYRUJXTHNYRWHAUUKDEGHNQSTUUMUUSUVCWJWKAYTIOYRUJXIIOYRWHAUUKDEGIOQSTU
        UMUXCUVQWJWKWLAUUBJPYRUJXLJPYRWHAUUKDEGJPQSTUUMUVBUVDWJWKWMAYOCLYNUJXNC
        LYNWHACUUKDEXMGIJUULLYNMOPQSTUUMUUNUUOUAUXCUVBUVQUVDYNUPUVMUVSVCWKAYQBK
        YPUJYCBKYPWHABUUKDEXMGHIUULKYPMNOQSTUUMUUNUUOUAUUSUXCUVCUVQYPUPUVIUVRVC
        WKWNVR $.
    $}

    $( The evaluation functor is a bifunctor (a two-argument functor) with the
       first parameter taking values in the set of functors ` C --> D ` , and
       the second parameter in ` D ` .  (Contributed by Mario Carneiro,
       12-Jan-2017.) $)
    evlfcl $p |- ( ph -> E e. ( ( Q Xc. C ) Func D ) ) $=
      ( vf vx cfv cop co wcel wceq cv eqid wral wa vy vm vn va vg vz vu vv c1st
      vh c2nd cxpc cfunc cvv cxp cbs cmpo cnat chom cco evlfval ovex fvex mpoex
      csb xpex opelvv eqeltrdi 1st2nd2 syl wbr ccid fucbas xpcbas fuccat xpccat
      wrel relfunc simpr 1st2ndbr sylancr funcf1 ffvelrnda ralrimiva fmpo sylib
      op1std feq1d mpbird wfn csbex fnmpoi op2ndd fneq1d mpbiri ad2antrr adantr
      wf ccat simplrl simplrr ffvelrnd simprl simprr nat1st2nd natcl ralrimivva
      funcf2 catcocl evlf2 fuchom xpchom2 evlf1 feq23d oveq2 fveq2 df-ov oveq2d
      oveq12d eqtr4di ralxp oveq1 oveq1d 2ralbidv syl5bb sylibr r19.21bi fveq2d
      feq123d catidcl 3eqtr4d fveq12d 3ad2ant1 eqeltrrd opelxp eleqtrd oveq123d
      w3a xpchom opeq12d anasss xpcid evlf2val catlid ccom fucid fveq1d syl2anc
      fvco3 eqtrd funcid 3eqtrd id simp21 simp22 simp23 simp3l simp3r evlfcllem
      eqeq12d isfuncd df-br eqeltrd ) AEEUILZEUKLZMZDBULNZCUMNZAEUNUNUOZOEUVFPA
      EJKBCUMNZBUPLZKQZJQZUILZLZUQZKUAUVJUVKUOZUVQUBUVLUILZUCUAQZUILZUDUEUBQZUC
      QZBCURNZNZUVLUKLZUVSUKLZBUSLZNZUWFUDQZLUEQZUWEUWFUWAUKLNLUWEUWAUILZLUWFUW
      KLMUWFUWBUILLCUTLZNNZUQZVEZVEZUQZMZUVIAKUAUVKBCUWLJUEUBUCEUWGUWCUDFHIUVKR
      ZUWGRZUWLRZUWCRZVAZUVPUWQJKUVJUVKUVOBCUMVBZBUPVCZVDZKUAUVQUVQUWPUVJUVKUXD
      UXEVFZUXGVDZVGVHEUNUNVIVJAUVDUVEUVHVKUVFUVHOAKUAUFUVQCUPLZUVGUVGUTLZUVGVL
      LZJUECUVDUVEUVGUSLZCVLLZCUSLZUWLDBUVGUVJUVKUVGRZBCDGVMZUWSVNZUXIRZUXLRZUX
      NRZUXKRZUXMRZUXJRUXAADBUVGUXOABCDGHIVOZHVPIAUVQUXIUVDWRUVQUXIUVPWRZAUVOUX
      IOZKUVKSZJUVJSUYDAUYFJUVJAUVMUVJOZTZUYEKUVKUYHUVKUXIUVLUVNUYHUVKUXIBCUVNU
      VMUKLZUWSUXRUYHUVJVQZUYGUVNUYIUVJVKZBCVRZAUYGVSUVMUVJVTZWAWBWCWDWDJKUVJUV
      KUVOUXIUVPUVPRWEWFAUVQUXIUVDUVPAEUWRPZUVDUVPPUXCUVPUWQEUXFUXHWGVJWHWIAUVE
      UVQUVQUOZWJUWQUYOWJKUAUVQUVQUWPUWQUWQRUBUVRUWOUCUVTUWNUDUEUWDUWHUWMUWAUWB
      UWCVBUWEUWFUWGVBVDWKWKWLAUYOUVEUWQAUYNUVEUWQPUXCUVPUWQEUXFUXHWMVJWNWOAUVL
      UVQOZUVSUVQOZUVLUVSUXLNZUVLUVDLZUVSUVDLZUXNNZUVLUVSUVENZWRZAUYPTVUCUAUVQA
      VUCUAUVQSZKUVQAUVMUGQZMZUWJUHQZMZUXLNZUVMVUEUVDNZUWJVUGUVDNZUXNNZVUFVUHUV
      ENZWRZUHUVKSUEUVJSZUGUVKSJUVJSVUDKUVQSAVUOJUGUVJUVKAUYGVUEUVKOZTZTZVUNUEU
      HUVJUVKVURUWJUVJOZVUGUVKOZTZTZVUNUVMUWJUWCNZVUEVUGUWGNZUOZVUEUVNLZVUGUWJU
      ILZLZUXNNZVUMWRZVVBVVJVVEVVIUDUJVVCVVDVUGUWILZUJQZVUEVUGUYINZLZVVFVUGUVNL
      ZMVVHUWLNNZUQZWRZVVBVVPVVIOZUJVVDSUDVVCSVVRVVBVVSUDUJVVCVVDVVBUWIVVCOZVVL
      VVDOZTZTZUXICUWLVVNVVKUXNVVFVVOVVHUXRUXTUXAVVBCWSOZVWBAVWDVUQVVAIWPZWQVWC
      UVKUXIVUEUVNVVBUVKUXIUVNWRZVWBVVBUVKUXIBCUVNUYIUWSUXRVVBUYJUYGUYKUYLAUYGV
      UPVVAWTZUYMWAZWBWQZVVBVUPVWBAUYGVUPVVAXAZWQXBVWCUVKUXIVUGUVNVWIVURVUSVUTV
      WBXAZXBVWCUVKUXIVUGVVGVVBUVKUXIVVGWRVWBVVBUVKUXIBCVVGUWJUKLZUWSUXRVVBUYJV
      USVVGVWLUVJVKUYLVURVUSVUTXCZUWJUVJVTWAWBWQVWKXBVWCVVDVVFVVOUXNNZVVLVVMVVB
      VVDVWNVVMWRVWBVVBUVKBCUVNUYIUWGUXNVUEVUGUWSUWTUXTVWHVWJVURVUSVUTXDZXHWQVV
      BVVTVWAXDXBVWCUWIUVKBCUVNUYIUXNVVGVWLUWCVUGUXBVWCUWIBCUVMUWJUWCUXBVVBVVTV
      WAXCXEUWSUXTVWKXFXIXGUDUJVVCVVDVVPVVIVVQVVQRWEWFVVBVVEVVIVUMVVQVVBUVKBCUW
      LUJEUVMUWJUWGVUMUWCVUEVUGUDFABWSOZVUQVVAHWPZVWEUWSUWTUXAUXBVWGVWMVWJVWOVU
      MRXJWHWIVVBVUIVULVVEVVIVUMVVBDBUWJVUGUVGUWCUWGUXLUVMVUEUVJUVKUXOUXPUWSBCD
      UWCGUXBXKZUWTVWGVWJVWMVWOUXSXLVVBVUJVVFVUKVVHUXNVVBUVKBCEUVMVUEFVWQVWEUWS
      VWGVWJXMVVBUVKBCEUWJVUGFVWQVWEUWSVWMVWOXMXSXNWIXGXGVUDVUOKJUGUVJUVKVUDUVL
      VUHUXLNZUYSVUKUXNNZUVLVUHUVENZWRZUHUVKSUEUVJSUVLVUFPZVUOVUCVXBUAUEUHUVJUV
      KUVSVUHPZUYRVWSVUAVWTVUBVXAUVSVUHUVLUVEXOUVSVUHUVLUXLXOVXDUYTVUKUYSUXNVXD
      UYTVUHUVDLVUKUVSVUHUVDXPUWJVUGUVDXQXTXRYIYAVXCVXBVUNUEUHUVJUVKVXCVWSVUIVW
      TVULVXAVUMUVLVUFVUHUVEYBUVLVUFVUHUXLYBVXCUYSVUJVUKUXNVXCUYSVUFUVDLVUJUVLV
      UFUVDXPUVMVUEUVDXQXTZYCYIYDYEYAYFYGYGUUAAUVLUXKLZUVLUVLUVENZLZUYSUXMLZPZK
      UVQAVUFUXKLZVUFVUFUVENZLZVUJUXMLZPZUGUVKSJUVJSVXJKUVQSAVXOJUGUVJUVKVURVXM
      UVMDVLLZLZVUEBVLLZLZVXLNZVUEVXQLZVXSVUEVUEUYINLZVVFVVFMVVFUWLNZNZVXNVURVX
      MVXQVXSMZVXLLVXTVURVXKVYEVXLVURDBUVMVUEUVGUXKVXPVXRUVJUVKUXOADWSOVUQUYCWQ
      ZAVWPVUQHWQZUXPUWSVXPRZVXRRZUYAAUYGVUPXCZAUYGVUPXDZUUBYHVXQVXSVXLXQXTVURV
      XQUVKBCUWLEUVMUVMUWGVXSVXLUWCVUEVUEFVYGAVWDVUQIWQZUWSUWTUXAUXBVYJVYJVYKVY
      KVXLRVURUVJDVXPUWCUVMUXPVWRVYHVYFVYJYJVURUVKBVXRUWGVUEUWSUWTVYIVYGVYKYJUU
      CVURVVFUXMLZVYMVYCNVYMVYDVXNVURUXICUWLUXMVYMUXNVVFVVFUXRUXTUYBVYLVURUVKUX
      IVUEUVNVURUVKUXIBCUVNUYIUWSUXRVURUYJUYGUYKUYLVYJUYMWAZWBZVYKXBZUXAVYPVURU
      XICUXMUXNVVFUXRUXTUYBVYLVYPYJUUDVURVYAVYMVYBVYMVYCVURVYAVUEUXMUVNUUEZLZVY
      MVURVUEVXQVYQVURBCDUXMUVMVXPGVYHUYBVYJUUFUUGVURVWFVUPVYRVYMPVYOVYKUVKUXIV
      UEUXMUVNUUIUUHUUJVURUVKBVXRCUVNUYIUXMVUEUWSVYIUYBVYNVYKUUKXSVURVUJVVFUXMV
      URUVKBCEUVMVUEFVYGVYLUWSVYJVYKXMYHYKUULXGVXJVXOKJUGUVJUVKVXCVXHVXMVXIVXNV
      XCVXFVXKVXGVXLVXCUVLVUFUVLVUFUVEVXCUUMZVYSXSUVLVUFUXKXPYLVXCUYSVUJUXMVXEY
      HUUTYAYFYGAUYPUYQUFQZUVQOZYRZUVMUYROZUWJUVSVYTUXLNZOZTZYRZVVGVWLMZUVNUYIM
      ZUVRUWEMZUVTUWFMZMZVYTUILZVYTUKLZMZUXJNZNZWUJWUOUVENZLWUHWUKWUOUVENZLZWUI
      WUJWUKUVENZLZWUJUVDLZWUKUVDLZMZWUOUVDLZUWLNZNUWJUVMUVLUVSMZVYTUXJNZNZUVLV
      YTUVENZLUWJUVSVYTUVENZLZUVMVUBLZUYSUYTMZVYTUVDLZUWLNZNWUGUVNVVGBCDEUVRUVT
      WUMUYIVWLUWCUWEUWFWUNFGAWUBVWPWUFHYMAWUBVWDWUFIYMUXBWUGWUJUVQOUVRUVJOUWEU
      VKOTWUGUVLWUJUVQWUGUYPUVLWUJPAUYPUYQWUAWUFUUNZUVLUVJUVKVIVJZWVRYNUVRUWEUV
      JUVKYOWFWUGWUKUVQOUVTUVJOUWFUVKOTWUGUVSWUKUVQWUGUYQUVSWUKPAUYPUYQWUAWUFUU
      OZUVSUVJUVKVIVJZWVTYNUVTUWFUVJUVKYOWFWUGWUOUVQOWUMUVJOWUNUVKOTWUGVYTWUOUV
      QWUGWUAVYTWUOPAUYPUYQWUAWUFUUPZVYTUVJUVKVIVJZWWBYNWUMWUNUVJUVKYOWFWUGWUIU
      VRUVTUWCNZUWHUOZOUVNWWDOUYIUWHOTWUGUVMWUIWWEWUGUVMWWEOUVMWUIPWUGUVMUYRWWE
      AWUBWUCWUEUUQWUGUVQDBUVGUWCUWGUXLUVLUVSUXOUXQVWRUWTUXSWVRWVTYSYPZUVMWWDUW
      HVIVJZWWFYNUVNUYIWWDUWHYOWFWUGWUHUVTWUMUWCNZUWFWUNUWGNZUOZOVVGWWHOVWLWWIO
      TWUGUWJWUHWWJWUGUWJWWJOUWJWUHPWUGUWJWUDWWJAWUBWUCWUEUURWUGUVQDBUVGUWCUWGU
      XLUVSVYTUXOUXQVWRUWTUXSWVTWWBYSYPZUWJWWHWWIVIVJZWWKYNVVGVWLWWHWWIYOWFUUSW
      UGWVJWUQWVKWURWUGUVLWUJVYTWUOUVEWVSWWCXSWUGUWJWUHUVMWUIWVIWUPWUGWVHWULVYT
      WUOUXJWUGUVLWUJUVSWUKWVSWWAYTWWCXSWWLWWGYQYLWUGWVMWUTWVNWVBWVQWVGWUGWVOWV
      EWVPWVFUWLWUGUYSWVCUYTWVDWUGUVLWUJUVDWVSYHWUGUVSWUKUVDWWAYHYTWUGVYTWUOUVD
      WWCYHXSWUGUWJWUHWVLWUSWUGUVSWUKVYTWUOUVEWWAWWCXSWWLYLWUGUVMWUIVUBWVAWUGUV
      LWUJUVSWUKUVEWVSWWAXSWWGYLYQYKUVAUVDUVEUVHUVBWFUVC $.
  $}

  ${
    $d c d e f g x y z .1. $.  $d c d e f x y A $.  $d c d e f g h w x y z B $.
    $d c d e f g x y z C $.  $d c d e f g h w x y z D $.  $d c d e f g y z H $.
    $d c d e f I $.  $d c d e f g h w x y z ph $.  $d g y z Y $.  $d g y z Z $.
    $d g h w y z E $.  $d c d e f g x J $.  $d g h w y z K $.  $d g x y z X $.
    $d c d e f g x y z F $.
    curfval.g $e |- G = ( <. C , D >. curryF F ) $.
    curfval.a $e |- A = ( Base ` C ) $.
    curfval.c $e |- ( ph -> C e. Cat ) $.
    curfval.d $e |- ( ph -> D e. Cat ) $.
    curfval.f $e |- ( ph -> F e. ( ( C Xc. D ) Func E ) ) $.
    curfval.b $e |- B = ( Base ` D ) $.
    ${
      curfval.j $e |- J = ( Hom ` D ) $.
      curfval.1 $e |- .1. = ( Id ` C ) $.
      ${
        curfval.h $e |- H = ( Hom ` C ) $.
        curfval.i $e |- I = ( Id ` D ) $.
        $( Value of the curry functor.  (Contributed by Mario Carneiro,
           12-Jan-2017.) $)
        curfval $p |- ( ph -> G = <. ( x e. A |->
     <. ( y e. B |-> ( x ( 1st ` F ) y ) ) ,
        ( y e. B , z e. B |-> ( g e. ( y J z ) |->
          ( ( .1. ` x ) ( <. x , y >. ( 2nd ` F ) <. x , z >. ) g ) ) ) >. ) ,
        ( x e. A , y e. A |-> ( g e. ( x H y ) |-> ( z e. B |->
          ( g ( <. x , z >. ( 2nd ` F ) <. y , z >. ) ( I ` z ) ) ) ) ) >. ) $=
          ( ve vf vc vd cop ccurf c1st cfv cmpt c2nd cmpo cvv cbs chom ccid csb
          co cv wceq df-curf a1i wa fvexd simprl fveq2d ccat wcel op1stg adantr
          syl2anc eqtrd op2ndg ad2antrr simplr eqtr4di simpr simprr oveqd eqidd
          mpteq12dv fveq1d oveq123d mpoeq123dv opeq12d csbied2 opex cfunc elexd
          cxpc ovmpod eqtrid ) AMGHUKZLULVCBECFBVDZCVDZLUMUNZVCZUOZCDFFJWTDVDZP
          VCZWSIUNZJVDZWSWTUKZWSXDUKZLUPUNZVCZVCZUOZUQZUKZUOZBCEEJWSWTNVCZDFXGX
          DOUNZXIWTXDUKZXJVCZVCZUOZUOZUQZUKZQAUGUHWRLURURUIUGVDZUMUNZUJYFUPUNZB
          UIVDZUSUNZCUJVDZUSUNZWSWTUHVDZUMUNZVCZUOZCDYLYLJWTXDYKUTUNZVCZWSYIVAU
          NZUNZXGXHXIYMUPUNZVCZVCZUOZUQZUKZUOZBCYJYJJWSWTYIUTUNZVCZDYLXGXDYKVAU
          NZUNZXIXSUUAVCZVCZUOZUOZUQZUKZVBZVBZYEULURULUGUHURURUUSUQVEABCDUGUHJU
          IUJVFVGAYFWRVEZYMLVEZVHZVHZUIYGGUURYEURUVCYFUMVIUVCYGWRUMUNZGUVCYFWRU
          MAUUTUVAVJZVKAUVDGVEZUVBAGVLVMZHVLVMZUVFSTGHVLVLVNVPVOVQUVCYIGVEZVHZU
          JYHHUUQYEURUVJYFUPVIUVJYHWRUPUNZHUVJYFWRUPUVCUUTUVIUVEVOVKAUVKHVEZUVB
          UVIAUVGUVHUVLSTGHVLVLVRVPVSVQUVJYKHVEZVHZUUGXPUUPYDUVNBYJUUFEXOUVNYJG
          USUNEUVNYIGUSUVCUVIUVMVTZVKRWAZUVNYPXCUUEXNUVNCYLYOFXBUVNYLHUSUNFUVNY
          KHUSUVJUVMWBZVKUBWAZUVNYNXAWSWTUVNYMLUMUVCUVAUVIUVMAUUTUVAWCVSZVKWDWF
          UVNCDYLYLUUDFFXMUVRUVRUVNJYRUUCXEXLUVNYQPWTXDUVNYQHUTUNPUVNYKHUTUVQVK
          UCWAWDUVNYTXFXGXGUUBXKUVNUUAXJXHXIUVNYMLUPUVSVKZWDUVNWSYSIUVNYSGVAUNI
          UVNYIGVAUVOVKUDWAWGUVNXGWEZWHWFWIWJWFUVNBCYJYJUUOEEYCUVPUVPUVNJUUIUUN
          XQYBUVNUUHNWSWTUVNUUHGUTUNNUVNYIGUTUVOVKUEWAWDUVNDYLUUMFYAUVRUVNXGXGU
          UKXRUULXTUVNUUAXJXIXSUVTWDUWAUVNXDUUJOUVNUUJHVAUNOUVNYKHVAUVQVKUFWAWG
          WHWFWFWIWJWKWKWRURVMAGHWLVGALGHWOVCKWMVCUAWNYEURVMAXPYDWLVGWPWQ $.
      $}

      $( Value of the object part of the curry functor.  (Contributed by Mario
         Carneiro, 12-Jan-2017.) $)
      curf1fval $p |- ( ph -> ( 1st ` G ) = ( x e. A |->
   <. ( y e. B |-> ( x ( 1st ` F ) y ) ) ,
      ( y e. B , z e. B |-> ( g e. ( y J z ) |->
        ( ( .1. ` x ) ( <. x , y >. ( 2nd ` F ) <. x , z >. ) g ) ) ) >. ) ) $=
        ( cv c1st cfv co cmpt c2nd cmpo chom ccid wceq eqid curfval fvexi mptex
        cop cbs mpoex op1std syl ) AMBECFBUCZCUCZLUDUEUFUGCDFFJVCDUCZNUFVBIUEJU
        CZVBVCUQVBVDUQZLUHUEZUFUFUGUIUQZUGZBCEEJVBVCGUJUEZUFDFVEVDHUKUEZUEVFVCV
        DUQVGUFUFUGUGZUIZUQULMUDUEVIULABCDEFGHIJKLMVJVKNOPQRSTUAUBVJUMVKUMUNVIV
        MMBEVHEGURPUOZUPBCEEVLVNVNUSUTVA $.
    $}

    curf1.x $e |- ( ph -> X e. A ) $.
    curf1.k $e |- K = ( ( 1st ` G ) ` X ) $.
    ${
      curf1.j $e |- J = ( Hom ` D ) $.
      curf1.1 $e |- .1. = ( Id ` C ) $.
      $( Value of the object part of the curry functor.  (Contributed by Mario
         Carneiro, 12-Jan-2017.) $)
      curf1 $p |- ( ph -> K = <. ( y e. B |-> ( X ( 1st ` F ) y ) ) ,
       ( y e. B , z e. B |-> ( g e. ( y J z ) |->
         ( ( .1. ` X ) ( <. X , y >. ( 2nd ` F ) <. X , z >. ) g ) ) ) >. ) $=
        ( vx c1st cfv cv co cmpt cop c2nd cmpo curf1fval wceq wa simpr mpteq2dv
        cvv oveq1d wcel w3a simp1r opeq1d oveq12d fveq2d eqidd oveq123d opeq12d
        mpoeq3dva opex a1i fvmptd eqtrid ) ANOLUGUHZUHBEOBUIZKUGUHZUJZUKZBCEEIV
        QCUIZMUJZOHUHZIUIZOVQULZOWAULZKUMUHZUJZUJZUKZUNZULZUCAUFOBEUFUIZVQVRUJZ
        UKZBCEEIWBWMHUHZWDWMVQULZWMWAULZWGUJZUJZUKZUNZULWLDVPUTAUFBCDEFGHIJKLMP
        QRSTUAUDUEUOAWMOUPZUQZWOVTXBWKXDBEWNVSXDWMOVQVRAXCURVAUSXDBCEEXAWJXDVQE
        VBZWAEVBZVCZIWBWTWIXGWPWCWDWDWSWHXGWQWEWRWFWGXGWMOVQAXCXEXFVDZVEXGWMOWA
        XHVEVFXGWMOHXHVGXGWDVHVIUSVKVJUBWLUTVBAVTWKVLVMVNVO $.
    $}

    ${
      curf11.y $e |- ( ph -> Y e. B ) $.
      $( Value of the double evaluated curry functor.  (Contributed by Mario
         Carneiro, 12-Jan-2017.) $)
      curf11 $p |- ( ph -> ( ( 1st ` K ) ` Y ) = ( X ( 1st ` F ) Y ) ) $=
        ( vy vz vg cv c1st cfv cvv cmpt chom ccid cop c2nd cmpo wceq eqid curf1
        co cbs fvexi mptex mpoex op1std syl wa simpr oveq2d ovexd fvmptd ) AUAK
        JUAUDZGUEUFZUQZJKVJUQCIUEUFZUGAIUACVKUHZUAUBCCUCVIUBUDZEUIUFZUQJDUJUFZU
        FUCUDJVIUKJVNUKGULUFUQUQUHZUMZUKUNVLVMUNAUAUBBCDEVPUCFGHVOIJLMNOPQRSVOU
        OVPUOUPVMVRIUACVKCEURQUSZUTUAUBCCVQVSVSVAVBVCAVIKUNZVDVIKJVJAVTVEVFTAJK
        VJVGVH $.

      curf12.j $e |- J = ( Hom ` D ) $.
      curf12.1 $e |- .1. = ( Id ` C ) $.
      curf12.y $e |- ( ph -> Z e. B ) $.
      curf12.g $e |- ( ph -> H e. ( Y J Z ) ) $.
      $( The partially evaluated curry functor at a morphism.  (Contributed by
         Mario Carneiro, 12-Jan-2017.) $)
      curf12 $p |- ( ph -> ( ( Y ( 2nd ` K ) Z ) ` H ) =
        ( ( .1. ` X ) ( <. X , Y >. ( 2nd ` F ) <. X , Z >. ) H ) ) $=
        ( vy vz vg c2nd cfv cv co cop cmpt cmpo wceq c1st curf1 cbs fvexi mptex
        mpoex op2ndd syl cvv wcel adantr wa ovex simprl simprr oveq12d eleqtrrd
        a1i ovexd simplrl opeq2d simplrr eqidd simpr oveq123d fvmptdv2 ovmpodv
        mpd ) ALULUMZUIUJCCUKUIUNZUJUNZKUOZMFUMZUKUNZMWIUPZMWJUPZHULUMZUOZUOZUQ
        ZURZUSZJNOWHUOZUMWLJMNUPZMOUPZWPUOZUOZUSZALUICMWIHUTUMUOZUQZWTUPUSXAAUI
        UJBCDEFUKGHIKLMPQRSTUAUBUCUEUFVAXIWTLUICXHCEVBUAVCZVDUIUJCCWSXJXJVEVFVG
        AXGUIUJNOCCWSWHVHUDAOCVIWINUSZUGVJWSVHVIAXKWJOUSZVKZVKZUKWKWRWIWJKVLVDV
        QXNUKJWRXFWKXBVHXNJNOKUOZWKAJXOVIXMUHVJXNWINWJOKAXKXLVMAXKXLVNVOVPXNWMJ
        USZVKZWLWMWQVRXQWLWLWMJWQXEXQWNXCWOXDWPXQWINMAXKXLXPVSVTXQWJOMAXKXLXPWA
        VTVOXQWLWBXNXPWCWDWEWFWG $.
    $}

    $( The partially evaluated curry functor is a functor.  (Contributed by
       Mario Carneiro, 13-Jan-2017.) $)
    curf1cl $p |- ( ph -> K e. ( D Func E ) ) $=
      ( cfv co vy vz vg vw vh c1st c2nd cfunc cv cmpt chom ccid cmpo eqid curf1
      cop wceq cbs fvexi mptex mpoex op1std syl op2ndd opeq12d eqtr4d wcel cxpc
      wbr cco ccat wa funcrcl simprd cxp wf xpcbas wrel relfunc 1st2ndbr funcf1
      sylancr adantr simpr fovrnd fmpt3d wfn fnmpoi fneq1d mpbiri oveqd ovmpt4g
      cvv mp3an3 sylan9eq ad2antrr simplrl opelxpd simplrr funcf2 xpchom curf11
      df-ov eqtr2di oveq12d feq23d mpbid catidcl op1stg syl2anc eleqtrrd op2ndg
      ovex xpcid fveq2d eqtr4di opelxpi funcid eqtr3d curf12 eqtrdi 3eqtr4d w3a
      3ad2ant1 simp21 simp22 simp23 simp3l simp3r xpcco2 catlid xpchom2 catcocl
      sylan opeq1d eqtrd funcco oveq123d isfuncd df-br sylib eqeltrd ) AIIUFSZI
      UGSZUPZEFUHTZAIUACJUAUIZGUFSZTZUJZUAUBCCUCUUGUBUIZEUKSZTZJDULSZSZUCUIZJUU
      GUPZJUUKUPZGUGSZTZTZUJZUMZUPZUUEAUAUBBCDEUUNUCFGHUULIJKLMNOPQRUULUNZUUNUN
      ZUOZAUUCUUJUUDUVCAIUVDUQZUUCUUJUQUVGUUJUVCIUACUUICEURPUSZUTZUAUBCCUVBUVIU
      VIVAZVBVCZAUVHUUDUVCUQUVGUUJUVCIUVJUVKVDVCZVEVFAUUCUUDUUFVIUUEUUFVGAUAUBU
      DCFURSZEEVJSZEULSZUCUEFUUCUUDUULFULSZFUKSZFVJSZPUVNUNZUVEUVRUNZUVPUNZUVQU
      NZUVOUNZUVSUNZNADEVHTZVKVGZFVKVGZAGUWFFUHTZVGZUWGUWHVLOUWFFGVMVCVNAUACUUI
      UVNUUCUVLAUUGCVGZVLZJUUGUVNBCUUHABCVOZUVNUUHVPUWKAUWMUVNUWFFUUHUUSDEUWFBC
      UWFUNZLPVQZUVTAUWIVRUWJUUHUUSUWIVIZUWFFVSOGUWIVTWBZWAWCAJBVGZUWKQWCZAUWKW
      DZWEWFAUUDCCVOZWGUVCUXAWGUAUBCCUVBUVCUVCUNZUCUUMUVAUUGUUKUULXMUTZWHAUXAUU
      DUVCUVMWIWJAUWKUUKCVGZVLZVLZUCUUMUVAUUGUUCSZUUKUUCSZUVRTZUUGUUKUUDTZAUXEU
      XJUUGUUKUVCTZUVBAUUDUVCUUGUUKUVMWKUWKUXDUVBWMVGUXKUVBUQUXCUAUBCCUVBUVCWMU
      XBWLWNWOUXFUUPUUMVGZVLZUUOUUPUXIUUQUFSZUURUFSZDUKSZTZUUQUGSZUURUGSZUULTZU
      UTUXMUUQUURUWFUKSZTZUUQUUHSZUURUUHSZUVRTZUUTVPUXQUXTVOZUXIUUTVPUXMUWMUWFF
      UUHUUSUYAUVRUUQUURUWOUYAUNZUWAAUWPUXEUXLUWQWPUXMJUUGBCAUWRUXEUXLQWPZAUWKU
      XDUXLWQZWRZUXMJUUKBCUYHAUWKUXDUXLWSZWRZWTUXMUYBUYEUYFUXIUUTUXMUWMDEUWFUXP
      UULUYAUUQUURUWNUWOUXPUNZUVEUYGUYJUYLXAUXMUYCUXGUYDUXHUVRUXMUXGUUIUYCUXMBC
      DEFGHIJUUGKLADVKVGZUXEUXLMWPZAEVKVGZUXEUXLNWPZAUWJUXEUXLOWPZPUYHRUYIXBJUU
      GUUHXCZXDUXMUXHJUUKUUHTZUYDUXMBCDEFGHIJUUKKLUYOUYQUYRPUYHRUYKXBJUUKUUHXCZ
      XDXEXFXGUXMUUOJJUXPTZUXQUXMBDUUNUXPJLUYMUVFUYOUYHXHUXMUXNJUXOJUXPUXMUWRUW
      KUXNJUQUYHUYIJUUGBCXIXJUXMUWRUXDUXOJUQUYHUYKJUUKBCXIXJXEXKUXMUUPUUMUXTUXF
      UXLWDUXMUXRUUGUXSUUKUULUXMUWRUWKUXRUUGUQUYHUYIJUUGBCXLXJUXMUWRUXDUXSUUKUQ
      UYHUYKJUUKBCXLXJXEXKWEWFUWLUUOUUGUVPSZUUQUUQUUSTZTZUYCUVQSZVUCUUGUUGUUDTS
      UXGUVQSUWLUUQUWFULSZSZVUDSZVUEVUFUWLVUIUUOVUCUPZVUDSVUEUWLVUHVUJVUDUWLDEJ
      UUGUWFVUGUUNUVPBCUWNAUYNUWKMWCZAUYPUWKNWCZLPUVFUWBVUGUNZUWSUWTXNXOUUOVUCV
      UDXCXPUWLUWMUWFVUGFUUHUUSUVQUUQUWOVUMUWCAUWPUWKUWQWCAUWRUWKUUQUWMVGQJUUGB
      CXQYNXRXSUWLBCDEUUNFGHVUCUULIJUUGUUGKLVUKVULAUWJUWKOWCZPUWSRUWTUVEUVFUWTU
      WLCEUVPUULUUGPUVEUWBVULUWTXHXTUWLUXGUYCUVQUWLUXGUUIUYCUWLBCDEFGHIJUUGKLVU
      KVULVUNPUWSRUWTXBUYSYAXOYBAUWKUXDUDUIZCVGZYCZUXLUEUIZUUKVUOUULTZVGZVLZYCZ
      UUOVURUUPUUGUUKUPVUOUVOTTZUUQJVUOUPZUUSTZTZUUOVURUPZUURVVDUUSTZSZUUOUUPUP
      ZUUTSZUYCUYDUPZVVDUUHSZUVSTZTZVVCUUGVUOUUDTSVURUUKVUOUUDTSZUUPUXJSZUXGUXH
      UPZVUOUUCSZUVSTZTVVBVVGVVJUUQUURUPVVDUWFVJSZTTZVVESZVVFVVOVVBVWCUUOVVCUPZ
      VVESVVFVVBVWBVWDVVEVVBVWBUUOUUOJJUPJDVJSZTTZVVCUPVWDVVBDEJUUKJVUOUVOUWFVW
      EUUOUUPUXPUULUUOVURJUUGVWABCUWNLPUYMUVEAVUQUWRVVAQYDZAUWKUXDVUPVVAYEZVWGA
      UWKUXDVUPVVAYFZVWEUNZUWDVWAUNZVWGAUWKUXDVUPVVAYGZVVBBDUUNUXPJLUYMUVFAVUQU
      YNVVAMYDZVWGXHZAVUQUXLVUTYHZVWNAVUQUXLVUTYIZYJVVBVWFUUOVVCVVBBDVWEUUNUUOU
      XPJJLUYMUVFVWMVWGVWJVWGVWNYKYOYPXOUUOVVCVVEXCXPVVBUWMUWFVWAFUUHUUSUYAVVJV
      VGUVSUUQUURVVDUWOUYGVWKUWEAVUQUWPVVAUWQYDVVBJUUGBCVWGVWHWRVVBJUUKBCVWGVWI
      WRVVBJVUOBCVWGVWLWRVVBVVJVUBUUMVOUYBVVBUUOUUPVUBUUMVWNVWOWRVVBDEJUUKUWFUX
      PUULUYAJUUGBCUWNLPUYMUVEVWGVWHVWGVWIUYGYLXKVVBVVGVUBVUSVOUURVVDUYATVVBUUO
      VURVUBVUSVWNVWPWRVVBDEJVUOUWFUXPUULUYAJUUKBCUWNLPUYMUVEVWGVWIVWGVWLUYGYLX
      KYQXSVVBBCDEUUNFGHVVCUULIJUUGVUOKLVWMAVUQUYPVVANYDZAVUQUWJVVAOYDZPVWGRVWH
      UVEUVFVWLVVBCEUVOUUPVURUULUUGUUKVUOPUVEUWDVWQVWHVWIVWLVWOVWPYMXTVVBVVPVVI
      VVQVVKVVTVVNVVBVVRVVLVVSVVMUVSVVBUXGUYCUXHUYDVVBUXGUUIUYCVVBBCDEFGHIJUUGK
      LVWMVWQVWRPVWGRVWHXBUYSYAVVBUXHUYTUYDVVBBCDEFGHIJUUKKLVWMVWQVWRPVWGRVWIXB
      VUAYAVEVVBVVSJVUOUUHTVVMVVBBCDEFGHIJVUOKLVWMVWQVWRPVWGRVWLXBJVUOUUHXCYAXE
      VVBVVPUUOVURVVHTVVIVVBBCDEUUNFGHVURUULIJUUKVUOKLVWMVWQVWRPVWGRVWIUVEUVFVW
      LVWPXTUUOVURVVHXCYAVVBVVQUVAVVKVVBBCDEUUNFGHUUPUULIJUUGUUKKLVWMVWQVWRPVWG
      RVWHUVEUVFVWIVWOXTUUOUUPUUTXCYAYRYBYSUUCUUDUUFYTUUAUUB $.
  $}

  ${
    $d x y A $.  $d g x y z C $.  $d g x y z F $.  $d g y z H $.  $d f w z L $.
    $d f g w y z E $.  $d f w x y z G $.  $d g x y z I $.  $d f g w x y z ph $.
    $d f g w x y z B $.  $d f g w x y z D $.  $d f g w x y z X $.  $d z Z $.
    $d g x y z K $.  $d f g w x y z Y $.
    curf2.g $e |- G = ( <. C , D >. curryF F ) $.
    curf2.a $e |- A = ( Base ` C ) $.
    curf2.c $e |- ( ph -> C e. Cat ) $.
    curf2.d $e |- ( ph -> D e. Cat ) $.
    curf2.f $e |- ( ph -> F e. ( ( C Xc. D ) Func E ) ) $.
    curf2.b $e |- B = ( Base ` D ) $.
    curf2.h $e |- H = ( Hom ` C ) $.
    curf2.i $e |- I = ( Id ` D ) $.
    curf2.x $e |- ( ph -> X e. A ) $.
    curf2.y $e |- ( ph -> Y e. A ) $.
    curf2.k $e |- ( ph -> K e. ( X H Y ) ) $.
    curf2.l $e |- L = ( ( X ( 2nd ` G ) Y ) ` K ) $.
    $( Value of the curry functor at a morphism.  (Contributed by Mario
       Carneiro, 13-Jan-2017.) $)
    curf2 $p |- ( ph -> L = ( z e. B |->
      ( K ( <. X , z >. ( 2nd ` F ) <. Y , z >. ) ( I ` z ) ) ) ) $=
      ( vx vy vg c2nd cfv co cop cmpt cmpo wceq c1st chom ccid eqid curfval cbs
      cv fvexi mptex mpoex op2ndd syl cvv wcel adantr wa ovex a1i simprl simprr
      oveq12d eleqtrrd simplrl simplrr simpr oveq123d mpteq2dv fvmptdv2 ovmpodv
      opeq1d eqidd mpd eqtrid ) AMLNOIUKULZUMZULZBDLBVDZKULZNWNUNZOWNUNZHUKULZU
      MZUMZUOZUGAWKUHUICCUJUHVDZUIVDZJUMZBDUJVDZWOXBWNUNZXCWNUNZWRUMZUMZUOZUOZU
      PZUQZWMXAUQZAIUHCUIDXBXCHURULUMUOUIBDDUJXCWNFUSULZUMXBEUTULZULXEXBXCUNXFW
      RUMUMUOUPUNZUOZXLUNUQXMAUHUIBCDEFXPUJGHIJKXOPQRSTUAXOVAXPVAUBUCVBXRXLIUHC
      XQCEVCQVEZVFUHUICCXKXSXSVGVHVIAXNUHUINOCCXKWKVJUDAOCVKXBNUQZUEVLXKVJVKAXT
      XCOUQZVMZVMZUJXDXJXBXCJVNVFVOYCUJLXJXAXDWLVJYCLNOJUMZXDALYDVKYBUFVLYCXBNX
      COJAXTYAVPAXTYAVQVRVSXJVJVKYCXELUQZVMZBDXIDFVCUAVEVFVOYFBDXIWTYFXELWOWOXH
      WSYFXFWPXGWQWRYFXBNWNAXTYAYEVTWGYFXCOWNAXTYAYEWAWGVRYCYEWBYFWOWHWCWDWEWFW
      IWJ $.

    ${
      curf2.z $e |- ( ph -> Z e. B ) $.
      $( Value of a component of the curry functor natural transformation.
         (Contributed by Mario Carneiro, 13-Jan-2017.) $)
      curf2val $p |- ( ph -> ( L ` Z ) =
        ( K ( <. X , Z >. ( 2nd ` F ) <. Y , Z >. ) ( I ` Z ) ) ) $=
        ( vz cv cfv cop c2nd co curf2 wceq wa simpr opeq2d oveq12d eqidd fveq2d
        cvv oveq123d ovexd fvmptd ) AUIOKUIUJZJUKZMVGULZNVGULZGUMUKZUNZUNKOJUKZ
        MOULZNOULZVKUNZUNCLVCAUIBCDEFGHIJKLMNPQRSTUAUBUCUDUEUFUGUOAVGOUPZUQZKKV
        HVMVLVPVRVIVNVJVOVKVRVGOMAVQURZUSVRVGONVSUSUTVRKVAVRVGOJVSVBVDUHAKVMVPV
        EVF $.
    $}

    curf2.n $e |- N = ( D Nat E ) $.
    $( The curry functor at a morphism is a natural transformation.
       (Contributed by Mario Carneiro, 13-Jan-2017.) $)
    curf2cl $p |- ( ph ->
      L e. ( ( ( 1st ` G ) ` X ) N ( ( 1st ` G ) ` Y ) ) ) $=
      ( vz vw vf c1st cfv co wcel cv chom cixp c2nd cop wceq wral cmpt curf2 wa
      cco cxpc wf cxp eqid xpcbas cfunc wbr wrel relfunc sylancr adantr opelxpi
      1st2ndbr sylan funcf2 simpr xpchom2 feq2d mpbid ccat catidcl fovrnd df-ov
      curf11 eqtrdi oveq12d eleqtrrd ralrimiva cvv wb cbs fvexi mptelixpg ax-mp
      sylibr eqeltrd w3a ccid catrid catlid eqtr4d simpr1 simpr2 simpr3 opeq12d
      xpcco2 3ad2antr1 3eqtr4d fveq2d opelxpd funcco 3eqtr3d curf12 ralrimivvva
      curf2val oveq123d curf1cl isnat2 mpbir2and ) ALNHULUMZUMZOYFUMZMUNUOLUICU
      IUPZYGULUMZUMZYIYHULUMZUMZFUQUMZUNZURZUOUJUPZLUMZUKUPZYIYQYGUSUMUNUMZYKYQ
      YJUMZUTZYQYLUMZFVFUMZUNZUNZYSYIYQYHUSUMUNUMZYILUMZYKYMUTZUUCUUDUNZUNZVAZU
      KYIYQEUQUMZUNZVBUJCVBUICVBALUICKYIJUMZNYIUTZOYIUTZGUSUMZUNZUNZVCZYPAUIBCD
      EFGHIJKLNOPQRSTUAUBUCUDUEUFUGVDAUUTYOUOZUICVBZUVAYPUOZAUVBUICAYICUOZVEZUU
      TUUPGULUMZUMZUUQUVGUMZYNUNZYOUVFKUUOUVJNOIUNZYIYIUUMUNZUUSUVFUUPUUQDEVGUN
      ZUQUMZUNZUVJUUSVHUVKUVLVIZUVJUUSVHUVFBCVIZUVMFUVGUURUVNYNUUPUUQDEUVMBCUVM
      VJZQUAVKZUVNVJZYNVJZAUVGUURUVMFVLUNZVMZUVEAUWBVNGUWBUOZUWCUVMFVOTGUWBVSVP
      ZVQANBUOZUVEUUPUVQUOZUDNYIBCVRVTZAOBUOZUVEUUQUVQUOZUEOYIBCVRVTZWAUVFUVOUV
      PUVJUUSUVFDEOYIUVMIUUMUVNNYIBCUVRQUAUBUUMVJZAUWFUVEUDVQZAUVEWBZAUWIUVEUEV
      QZUWNUVTWCWDWEAKUVKUOZUVEUFVQUVFCEJUUMYIUAUWLUCAEWFUOZUVESVQZUWNWGZWHUVFY
      KUVHYMUVIYNUVFYKNYIUVGUNZUVHUVFBCDEFGHYGNYIPQADWFUOZUVERVQZUWRAUWDUVETVQZ
      UAUWMYGVJZUWNWJNYIUVGWIZWKUVFYMOYIUVGUNZUVIUVFBCDEFGHYHOYIPQUXBUWRUXCUAUW
      OYHVJZUWNWJOYIUVGWIZWKWLWMWNCWOUOUVDUVCWPCEWQUAWRUICUUTYOWOWSWTXAXBAUULUI
      UJUKCCUUNAUVEYQCUOZYSUUNUOZXCZVEZKYQJUMZUTZNYQUTZOYQUTZUURUNZUMZNDXDUMZUM
      ZYSUTZUUPUXOUURUNZUMZUVHUXOUVGUMZUTZUXPUVGUMZUUDUNZUNZOUXSUMZYSUTZUUQUXPU
      URUNZUMZKUUOUTZUUSUMZUVHUVIUTZUYFUUDUNZUNZUUFUUKUXLUXNUYAUUPUXOUTUXPUVMVF
      UMZUNUNZUUPUXPUURUNZUMUYJUYMUUPUUQUTUXPUYRUNUNZUYTUMUYHUYQUXLUYSVUAUYTUXL
      KUXTNNUTODVFUMZUNUNZUXMYSYIYQUTYQEVFUMZUNUNZUTUYIKNOUTOVUBUNUNZYSUUOYIYIU
      TYQVUDUNUNZUTUYSVUAUXLVUCVUFVUEVUGUXLVUCKVUFUXLBDVUBUXSKINOQUBUXSVJZAUXAU
      XKRVQZAUWFUXKUDVQZVUBVJZAUWIUXKUEVQZAUWPUXKUFVQZXEUXLBDVUBUXSKINOQUBVUHVU
      IVUJVUKVULVUMXFXGUXLVUEYSVUGUXLCEVUDJYSUUMYIYQUAUWLUCAUWQUXKSVQZAUVEUXIUX
      JXHZVUDVJZAUVEUXIUXJXIZAUVEUXIUXJXJZXFUXLCEVUDJYSUUMYIYQUAUWLUCVUNVUOVUPV
      UQVURXEXGXKUXLDENYQOYQVUDUVMVUBUXTYSIUUMKUXMNYIUYRBCUVRQUAUBUWLVUJVUOVUJV
      UQVUKVUPUYRVJZVULVUQUXLBDUXSINQUBVUHVUIVUJWGZVURVUMUXLCEJUUMYQUAUWLUCVUNV
      UQWGZXLUXLDEOYIOYQVUDUVMVUBKUUOIUUMUYIYSNYIUYRBCUVRQUAUBUWLVUJVUOVULVUOVU
      KVUPVUSVULVUQVUMAUXIUVEUUOUVLUOUXJUWSXMZUXLBDUXSIOQUBVUHVUIVULWGZVURXLXNX
      OUXLUVQUVMUYRFUVGUURUVNUYAUXNUUDUUPUXOUXPUVSUVTVUSUUDVJZAUWCUXKUWEVQZAUXI
      UVEUWGUXJUWHXMZUXLNYQBCVUJVUQXPUXLOYQBCVULVUQXPZUXLUYANNIUNZUUNVIUUPUXOUV
      NUNUXLUXTYSVVHUUNVUTVURXPUXLDENYQUVMIUUMUVNNYIBCUVRQUAUBUWLVUJVUOVUJVUQUV
      TWCWMUXLUXNUVKYQYQUUMUNZVIUXOUXPUVNUNUXLKUXMUVKVVIVUMVVAXPUXLDEOYQUVMIUUM
      UVNNYQBCUVRQUAUBUWLVUJVUQVULVUQUVTWCWMXQUXLUVQUVMUYRFUVGUURUVNUYMUYJUUDUU
      PUUQUXPUVSUVTVUSVVDVVEVVFAUXIUVEUWJUXJUWKXMVVGUXLUYMUVPUVOUXLKUUOUVKUVLVU
      MVVBXPUXLDEOYIUVMIUUMUVNNYIBCUVRQUAUBUWLVUJVUOVULVUOUVTWCWMUXLUYJOOIUNZUU
      NVIUUQUXPUVNUNUXLUYIYSVVJUUNVVCVURXPUXLDEOYQUVMIUUMUVNOYIBCUVRQUAUBUWLVUL
      VUOVULVUQUVTWCWMXQXRUXLYRUXRYTUYCUUEUYGUXLUUBUYEUUCUYFUUDUXLYKUVHUUAUYDUX
      LYKUWTUVHUXLBCDEFGHYGNYIPQVUIVUNAUWDUXKTVQZUAVUJUXDVUOWJUXEWKZUXLUUANYQUV
      GUNUYDUXLBCDEFGHYGNYQPQVUIVUNVVKUAVUJUXDVUQWJNYQUVGWIWKXKUXLUUCOYQUVGUNUY
      FUXLBCDEFGHYHOYQPQVUIVUNVVKUAVULUXGVUQWJOYQUVGWIWKZWLUXLYRKUXMUXQUNUXRUXL
      BCDEFGHIJKLNOYQPQVUIVUNVVKUAUBUCVUJVULVUMUGVUQYAKUXMUXQWIWKUXLYTUXTYSUYBU
      NUYCUXLBCDEUXSFGHYSUUMYGNYIYQPQVUIVUNVVKUAVUJUXDVUOUWLVUHVUQVURXSUXTYSUYB
      WIWKYBUXLUUGUYLUUHUYNUUJUYPUXLUUIUYOUUCUYFUUDUXLYKUVHYMUVIVVLUXLYMUXFUVIU
      XLBCDEFGHYHOYIPQVUIVUNVVKUAVULUXGVUOWJUXHWKXKVVMWLUXLUUGUYIYSUYKUNUYLUXLB
      CDEUXSFGHYSUUMYHOYIYQPQVUIVUNVVKUAVULUXGVUOUWLVUHVUQVURXSUYIYSUYKWIWKUXLU
      UHUUTUYNUXLBCDEFGHIJKLNOYIPQVUIVUNVVKUAUBUCVUJVULVUMUGVUOYAKUUOUUSWIWKYBX
      NXTAUIUJLCEFUUDUKYGYHUUMYNMUHUAUWLUWAVVDABCDEFGHYGNPQRSTUAUDUXDYCABCDEFGH
      YHOPQRSTUAUEUXGYCYDYE $.
  $}

  ${
    $d g w x y z D $.  $d g w x y z E $.  $d g w x y z F $.  $d f g x y z Q $.
    $d f g w x y z C $.  $d f g w x y z G $.  $d f g w x y z ph $.
    curfcl.g $e |- G = ( <. C , D >. curryF F ) $.
    curfcl.q $e |- Q = ( D FuncCat E ) $.
    curfcl.c $e |- ( ph -> C e. Cat ) $.
    curfcl.d $e |- ( ph -> D e. Cat ) $.
    curfcl.f $e |- ( ph -> F e. ( ( C Xc. D ) Func E ) ) $.
    $( The curry functor of a functor ` F : C X. D --> E ` is a functor
       ` curryF ( F ) : C --> ( D --> E ) ` .  (Contributed by Mario Carneiro,
       13-Jan-2017.) $)
    curfcl $p |- ( ph -> G e. ( C Func Q ) ) $=
      ( vx vy cfv cop co eqid wcel adantr vz vg vf vw c1st c2nd cfunc cmpt chom
      cbs cv ccid cmpo curfval wceq fvex mptex op1std syl op2ndd opeq12d eqtr4d
      mpoex wbr cco cnat fucbas fuchom cxpc ccat funcrcl simprd fuccat cvv opex
      a1i simpr curf1cl fmpt2d cxp wfn ovex fnmpoi fneq1d mpbiri ovmpt4g mp3an3
      oveqd sylan9eq ad2antrr simplrl simplrr curf2cl ccom xpcbas wrel 1st2ndbr
      relfunc sylancr opelxpi adantll funcid xpcid fveq2d df-ov eqtr4di eqtr2di
      wa curf11 3eqtr3d mpteq2dva cidfn dffn2 sylib funcf1 fcompt syl2anc curf2
      wf catidcl fucid 3eqtr4d w3a 3ad2ant1 simp21 eqtrdi simp22 simp23 oveq12d
      simp3r curf2val simp3l oveq123d opelxpd xpchom2 eleqtrrd funcco xpcco2
      sylan catlid opeq2d eqtrd 3eqtr2rd catcocl fucco isfuncd df-br eqeltrd )
      AGGUEOZGUFOZPZBDUGQZAGMBUJOZNCUJOZMUKZNUKZFUEOZQZUHZNUAUUNUUNUBUUPUAUKZCU
      IOZQUUOBULOZOZUBUKZUUOUUPPZUUOUUTPZFUFOZQQUHUMZPZUHZMNUUMUUMUBUUOUUPBUIOZ
      QZUAUUNUVDUUTCULOZOUVFUUPUUTPUVGQQZUHZUHZUMZPZUUKAMNUAUUMUUNBCUVBUBEFGUVK
      UVMUVAHUUMRZJKLUUNRZUVARZUVBRZUVKRZUVMRZUNZAUUIUVJUUJUVQAGUVRUOZUUIUVJUOU
      WEUVJUVQGMUUMUVIBUJUPZUQZMNUUMUUMUVPUWGUWGVCZURUSZAUWFUUJUVQUOUWEUVJUVQGU
      WHUWIUTUSZVAVBAUUIUUJUULVDUUKUULSAMNUAUUMCEUGQZBBVEOZUVBUCUBDUUIUUJUVKDUL
      OZCEVFQZDVEOZUVSCEDIVGUWCCEDUWOIUWORZVHUWBUWNRZUWMRZUWPRZJACEDIKABCVIQZVJ
      SZEVJSZAFUXAEUGQZSZUXBUXCXHLUXAEFVKUSVLZVMAMMUUMUVIUWLUUIVNUVIVNSAUUOUUMS
      ZXHZUUSUVHVOVPUWJUXHUUMUUNBCEFGUUOUUIOZUUOHUVSABVJSZUXGJTZACVJSZUXGKTZAUX
      EUXGLTZUVTAUXGVQZUXIRZVRZVSAUUJUUMUUMVTZWAUVQUXRWAMNUUMUUMUVPUVQUVQRZUBUV
      LUVOUUOUUPUVKWBUQZWCAUXRUUJUVQUWKWDWEAUXGUUPUUMSZXHZXHZUBUBUVLUVOUXIUUPUU
      IOZUWOQUUOUUPUUJQZVNUVOVNSUYCUVDUVLSZXHZUAUUNUVNCUJUPUQVPAUYBUYEUUOUUPUVQ
      QZUVPAUUJUVQUUOUUPUWKWHUXGUYAUVPVNSUYHUVPUOUXTMNUUMUUMUVPUVQVNUXSWFWGWIUY
      GUUMUUNBCEFGUVKUVMUVDUVDUYEOZUWOUUOUUPHUVSAUXJUYBUYFJWJAUXLUYBUYFKWJAUXEU
      YBUYFLWJUVTUWCUWDAUXGUYAUYFWKAUXGUYAUYFWLUYCUYFVQUYIRUWQWMVSUXHNUUNUVCUUP
      UVMOZUVEUVEUVGQZQZUHZEULOZUXIUEOZWNZUVCUUOUUOUUJQOZUXIUWNOUXHUYMNUUNUUPUY
      OOZUYNOZUHZUYPUXHNUUNUYLUYSUXHUUPUUNSZXHZUVEUXAULOZOZUYKOZUVEUUQOZUYNOUYL
      UYSVUBUUMUUNVTZUXAVUCEUUQUVGUYNUVEBCUXAUUMUUNUXARZUVSUVTWOZVUCRZUYNRZAUUQ
      UVGUXDVDZUXGVUAAUXDWPZUXEVULUXAEWRZLFUXDWQZWSWJUXGVUAUVEVUGSAUUOUUPUUMUUN
      WTXAXBVUBVUEUVCUYJPZUYKOUYLVUBVUDVUPUYKVUBBCUUOUUPUXAVUCUVBUVMUUMUUNVUHAU
      XJUXGVUAJWJZAUXLUXGVUAKWJZUVSUVTUWBUWDVUJUXHUXGVUAUXOTZUXHVUAVQZXCXDUVCUY
      JUYKXEXFVUBVUFUYRUYNVUBUYRUURVUFVUBUUMUUNBCEFGUXIUUOUUPHUVSVUQVURAUXEUXGV
      UALWJUVTVUSUXPVUTXIUUOUUPUUQXEXGXDXJXKUXHEUJOZVNUYNXSZUUNVVAUYOXSUYPUYTUO
      UXHUYNVVAWAZVVBUXHUXCVVCAUXCUXGUXFTVVAEUYNVVARZVUKXLUSVVAUYNXMXNUXHUUNVVA
      CEUYOUXIUFOZUVTVVDUXHUWLWPUXIUWLSUYOVVEUWLVDCEWRUXQUXIUWLWQWSXONUYNUYOUUN
      VVAVNXPXQVBUXHNUUMUUNBCEFGUVKUVMUVCUYQUUOUUOHUVSUXKUXMUXNUVTUWCUWDUXOUXOU
      XHUUMBUVBUVKUUOUVSUWCUWBUXKUXOXTUYQRXRUXHCEDUYNUXIUWNIUWRVUKUXQYAYBAUXGUY
      AUUTUUMSZYCZUCUKZUVLSZUVDUUPUUTUVKQZSZXHZYCZUDUUNUVDVVHUVEUUTUWMQQZUDUKZU
      VMOZUUOVVOPZUUTVVOPZUVGQZQZUHUDUUNVVOUVDUUPUUTUUJQOZOZVVOVVHUYEOZOZVVOUYO
      OZVVOUYDUEOOZPZVVOUUTUUIOZUEOOZEVEOZQZQZUHVVNUUOUUTUUJQOZVWAVWCUXIUYDPVWH
      UWPQQVVMUDUUNVVTVWLVVMVVOUUNSZXHZVWLUVDVVPPZUUPVVOPZVVRUVGQZOZVVHVVPPZVVQ
      VWQUVGQZOZVVQUUQOZVWQUUQOZPZVVRUUQOZVWJQZQVWPVWTVVQVWQPVVRUXAVEOZQQZVVSOZ
      VVTVWOVWBVWSVWDVXBVWKVXGVWOVWGVXEVWIVXFVWJVWOVWEVXCVWFVXDVWOVWEUUOVVOUUQQ
      VXCVWOUUMUUNBCEFGUXIUUOVVOHUVSVVMUXJVWNAVVGUXJVVLJYDZTZVVMUXLVWNAVVGUXLVV
      LKYDZTZVVMUXEVWNAVVGUXEVVLLYDZTZUVTVVMUXGVWNAUXGUYAVVFVVLYEZTZUXPVVMVWNVQ
      ZXIUUOVVOUUQXEYFVWOVWFUUPVVOUUQQVXDVWOUUMUUNBCEFGUYDUUPVVOHUVSVXLVXNVXPUV
      TVVMUYAVWNAUXGUYAVVFVVLYGZTZUYDRVXSXIUUPVVOUUQXEYFVAVWOVWIUUTVVOUUQQVXFVW
      OUUMUUNBCEFGVWHUUTVVOHUVSVXLVXNVXPUVTVVMVVFVWNAUXGUYAVVFVVLYHZTZVWHRVXSXI
      UUTVVOUUQXEYFYIVWOVWBUVDVVPVWRQVWSVWOUUMUUNBCEFGUVKUVMUVDVWAUUPUUTVVOHUVS
      VXLVXNVXPUVTUWCUWDVYAVYCVVMVVKVWNAVVGVVIVVKYJZTZVWARZVXSYKUVDVVPVWRXEYFVW
      OVWDVVHVVPVXAQVXBVWOUUMUUNBCEFGUVKUVMVVHVWCUUOUUPVVOHUVSVXLVXNVXPUVTUWCUW
      DVXRVYAVVMVVIVWNAVVGVVIVVKYLZTZVWCRZVXSYKVVHVVPVXAXEYFYMVWOVUGUXAVXHEUUQU
      VGUXAUIOZVWTVWPVWJVVQVWQVVRVUIVYJRZVXHRZVWJRZVWOVUMUXEVULVUNVXPVUOWSVVMUX
      GVWNVVQVUGSVXQUUOVVOUUMUUNWTYSVVMUYAVWNVWQVUGSVXTUUPVVOUUMUUNWTYSVVMVVFVW
      NVVRVUGSVYBUUTVVOUUMUUNWTYSVWOVWTUVLVVOVVOUVAQZVTVVQVWQVYJQVWOVVHVVPUVLVY
      NVYHVWOUUNCUVMUVAVVOUVTUWAUWDVXNVXSXTZYNVWOBCUUPVVOUXAUVKUVAVYJUUOVVOUUMU
      UNVUHUVSUVTUWCUWAVXRVXSVYAVXSVYKYOYPVWOVWPVVJVYNVTVWQVVRVYJQVWOUVDVVPVVJV
      YNVYEVYOYNVWOBCUUTVVOUXAUVKUVAVYJUUPVVOUUMUUNVUHUVSUVTUWCUWAVYAVXSVYCVXSV
      YKYOYPYQVWOVXJVVNVVPPZVVSOVVTVWOVXIVYPVVSVWOVXIVVNVVPVVPVVOVVOPVVOCVEOZQQ
      ZPVYPVWOBCUUPVVOUUTVVOVYQUXAUWMVVHVVPUVKUVAUVDVVPUUOVVOVXHUUMUUNVUHUVSUVT
      UWCUWAVXRVXSVYAVXSUWSVYQRZVYLVYCVXSVYHVYOVYEVYOYRVWOVYRVVPVVNVWOUUNCVYQUV
      MVVPUVAVVOVVOUVTUWAUWDVXNVXSVYSVXSVYOYTUUAUUBXDVVNVVPVVSXEXFUUCXKVVMUDUUM
      UUNBCEFGUVKUVMVVNVWMUUOUUTHUVSVXKVXMVXOUVTUWCUWDVXQVYBVVMUUMBUWMVVHUVDUVK
      UUOUUPUUTUVSUWCUWSVXKVXQVXTVYBVYGVYDUUDVWMRXRVVMUDUUNCEDVWCVWAUWPVWJUXIUY
      DVWHUWOIUWQUVTVYMUWTVVMUUMUUNBCEFGUVKUVMVVHVWCUWOUUOUUPHUVSVXKVXMVXOUVTUW
      CUWDVXQVXTVYGVYIUWQWMVVMUUMUUNBCEFGUVKUVMUVDVWAUWOUUPUUTHUVSVXKVXMVXOUVTU
      WCUWDVXTVYBVYDVYFUWQWMUUEYBUUFUUIUUJUULUUGXNUUH $.
  $}

  ${
    $d g x y z A $.  $d g x y z B $.  $d g x y z C $.  $d g x y z ph $.
    $d g x y z D $.  $d g y z E $.  $d g x y z F $.
    curfpropd.1 $e |- ( ph -> ( Homf ` A ) = ( Homf ` B ) ) $.
    curfpropd.2 $e |- ( ph -> ( comf ` A ) = ( comf ` B ) ) $.
    curfpropd.3 $e |- ( ph -> ( Homf ` C ) = ( Homf ` D ) ) $.
    curfpropd.4 $e |- ( ph -> ( comf ` C ) = ( comf ` D ) ) $.
    curfpropd.a $e |- ( ph -> A e. Cat ) $.
    curfpropd.b $e |- ( ph -> B e. Cat ) $.
    curfpropd.c $e |- ( ph -> C e. Cat ) $.
    curfpropd.d $e |- ( ph -> D e. Cat ) $.
    curfpropd.f $e |- ( ph -> F e. ( ( A Xc. C ) Func E ) ) $.
    $( If two categories have the same set of objects, morphisms, and
       compositions, then they curry the same functor to the same result.
       (Contributed by Mario Carneiro, 26-Jan-2017.) $)
    curfpropd $p |- ( ph ->
      ( <. A , C >. curryF F ) = ( <. B , D >. curryF F ) ) $=
      ( vy cfv co eqid vx vz vg cbs c1st cmpt chom ccid cop c2nd cmpo homfeqbas
      cv ccurf wcel wa wceq adantr mpteq1d chomf ad2antrr simprl homfeqval ccat
      simprr cidpropd fveq1d mpteq12dv mpoeq123dva opeq12d mpteq12dva ad3antrrr
      oveq1d oveq2d curfval cxpc cfunc xpcpropd eleqtrd 3eqtr4d ) AUABUDRZQDUDR
      ZUAUMZQUMZGUERSZUFZQUBWBWBUCWDUBUMZDUGRZSZWCBUHRZRZUCUMZWCWDUIWCWGUIZGUJR
      ZSZSZUFZUKZUIZUFZUAQWAWAUCWCWDBUGRZSZUBWBWLWGDUHRZRZWMWDWGUIWNSZSZUFZUFZU
      KZUIUACUDRZQEUDRZWEUFZQUBXKXKUCWDWGEUGRZSZWCCUHRZRZWLWOSZUFZUKZUIZUFZUAQX
      JXJUCWCWDCUGRZSZUBXKWLWGEUHRZRZXESZUFZUFZUKZUIBDUIGUNSZCEUIGUNSZAWTYAXIYI
      AUAWAWSXJXTABCHULZAWCWAUOZUPZWFXLWRXSYNQWBXKWEAWBXKUQZYMADEJULZURZUSYNQUB
      WBWBWQXKXKXRYQYNYOWDWBUOZYQURYNYRWGWBUOZUPZUPZUCWIWPXNXQUUAWBDEWHXMWDWGWB
      TZWHTZXMTZADUTREUTRUQYMYTJVAYNYRYSVBYNYRYSVEVCUUAWKXPWLWOUUAWCWJXOAWJXOUQ
      YMYTABCVDVDHILMVFVAVGVMVHVIVJVKAUAQWAWAXHXJXJYHYLAWAXJUQYMYLURAYMWDWAUOZU
      PZUPZUCXBXGYCYGUUGWABCXAYBWCWDWATZXATZYBTZABUTRCUTRUQUUFHURAYMUUEVBAYMUUE
      VEVCUUGWLXBUOZUPZUBWBXFXKYFAYOUUFUUKYPVAUULYSUPZXDYEWLXEUUMWGXCYDAXCYDUQU
      UFUUKYSADEVDVDJKNOVFVLVGVNVKVKVIVJAUAQUBWAWBBDWJUCFGYJXAXCWHYJTUUHLNPUUBU
      UCWJTUUIXCTVOAUAQUBXJXKCEXOUCFGYKYBYDXMYKTXJTMOAGBDVPSZFVQSCEVPSZFVQSPAUU
      NUUOFVQABCDEVDHIJKLMNOVRVMVSXKTUUDXOTUUJYDTVOVT $.
  $}

  ${
    $d c f g x y z C $.  $d c f g x y z D $.  $d c f g x y z ph $.
    $d c f g y z E $.  $d g x y z F $.  $d c f g x y z G $.
    uncfval.g $e |- F = ( <" C D E "> uncurryF G ) $.
    uncfval.c $e |- ( ph -> D e. Cat ) $.
    uncfval.d $e |- ( ph -> E e. Cat ) $.
    uncfval.f $e |- ( ph -> G e. ( C Func ( D FuncCat E ) ) ) $.
    $( Value of the uncurry functor, which is the reverse of the curry functor,
       taking ` G : C --> ( D --> E ) ` to ` uncurryF ( G ) : C X. D --> E ` .
       (Contributed by Mario Carneiro, 13-Jan-2017.) $)
    uncfval $p |- ( ph -> F = ( ( D evalF E ) o.func
        ( ( G o.func ( C 1stF D ) ) pairF ( C 2ndF D ) ) ) ) $=
      ( vc vf co ccofu cvv cfv wceq ccat wcel oveq12d cuncf cevlf c1stf cprf c1
      cs3 c2ndf cv c2 cc0 cmpo df-uncf a1i simprl fveq1d s3fv1 syl adantr eqtrd
      s3fv2 simprr cfuc cfunc funcrcl simpld s3fv0 cword s3cli elex elexd ovexd
      wa mp1i ovmpod eqtrid ) AEBCDUFZFUAMCDUBMZFBCUCMZNMZBCUGMZUDMZNMZGAKLVPFO
      OUEKUHZPZUIWCPZUBMZLUHZUJWCPZWDUCMZNMZWHWDUGMZUDMZNMZWBUAOUAKLOOWMUKQALKU
      LUMAWCVPQZWGFQZVLZVLZWFVQWLWANWQWDCWEDUBWQWDUEVPPZCWQUEWCVPAWNWOUNZUOAWRC
      QZWPACRSWTHBCDRUPUQURUSZWQWEUIVPPZDWQUIWCVPWSUOAXBDQZWPADRSXCIBCDRUTUQURU
      STWQWJVSWKVTUDWQWGFWIVRNAWNWOVAWQWHBWDCUCWQWHUJVPPZBWQUJWCVPWSUOAXDBQZWPA
      BRSZXEAXFCDVBMZRSZAFBXGVCMZSXFXHVLJBXGFVDUQVEBCDRVFUQURUSZXATTWQWHBWDCUGX
      JXATTTVPOVGZSVPOSABCDVHVPXKVIVMAFXIJVJAVQWANVKVNVO $.

    $( The uncurry operation takes a functor ` F : C --> ( D --> E ) ` to a
       functor ` uncurryF ( F ) : C X. D --> E ` .  (Contributed by Mario
       Carneiro, 13-Jan-2017.) $)
    uncfcl $p |- ( ph -> F e. ( ( C Xc. D ) Func E ) ) $=
      ( cevlf co c1stf ccofu cxpc cfunc eqid ccat wcel cofucl cprf uncfval cfuc
      c2ndf wa funcrcl syl simpld 1stfcl 2ndfcl prfcl evlfcl eqeltrd ) AECDKLZF
      BCMLZNLZBCUDLZUALZNLBCOLZDPLABCDEFGHIJUBAUSCDUCLZCOLZDURUNAUSUTURVACUPUQU
      RQVAQAUSBUTUOFABCUOUSUSQZABRSZUTRSZAFBUTPLSVCVDUEJBUTFUFUGUHZHUOQUIJTABCU
      QUSVBVEHUQQUJUKACDUTUNUNQUTQHIULTUM $.

    ${
      uncf1.a $e |- A = ( Base ` C ) $.
      uncf1.b $e |- B = ( Base ` D ) $.
      uncf1.x $e |- ( ph -> X e. A ) $.
      uncf1.y $e |- ( ph -> Y e. B ) $.
      $( Value of the uncurry functor on an object.  (Contributed by Mario
         Carneiro, 13-Jan-2017.) $)
      uncf1 $p |- ( ph -> ( X ( 1st ` F ) Y ) =
        ( ( 1st ` ( ( 1st ` G ) ` X ) ) ` Y ) ) $=
        ( cfv co c1st cevlf c1stf ccofu c2ndf cprf cop uncfval fveq2d oveqd cxp
        df-ov cxpc cfuc eqid xpcbas ccat wcel cfunc wa syl simpld 1stfcl cofucl
        funcrcl 2ndfcl prfcl evlfcl opelxpd cofu1 eqtrid chom prf1 1stf1 op1stg
        wceq syl2anc eqtrd c2nd 2ndf1 op2ndg opeq12d eqtr4di fucbas wbr relfunc
        wrel 1st2ndbr sylancr funcf1 ffvelrnd evlf1 3eqtrd ) AIJGUASZTIJEFUBTZH
        DEUCTZUDTZDEUETZUFTZUDTZUASZTZIJUGZWSUASSZWOUASZSZJIHUASZSZUASSZAWNXAIJ
        AGWTUAADEFGHKLMNUHUIUJAXBXCXASXFIJXAULABCUKZDEUMTZEFUNTZEUMTZFWSWOXCDEX
        KBCXKUOZOPUPZAXKXLWSXMEWQWRWSUOZXMUOAXKDXLWPHADEWPXKXNADUQURZXLUQURZAHD
        XLUSTZURZXQXRUTNDXLHVEVAVBZLWPUOZVCZNVDZADEWRXKXNYALWRUOZVFZVGAEFXLWOWO
        UOZXLUOZLMVHAIJBCQRVIZVJVKAXFXHJXETZXIAXFXHJUGZXESYJAXDYKXEAXDXCWQUASSZ
        XCWRUASSZUGYKAXJXKXLWSEWQWRXKVLSZXCXPXOYNUOZYDYFYIVMAYLXHYMJAYLXCWPUASS
        ZXGSXHAXJXKDXLWPHXCXOYCNYIVJAYPIXGAYPXCUASZIAXJDEWPXCXKYNXNXOYOYALYBYIV
        NAIBURZJCURZYQIVPQRIJBCVOVQVRUIVRAYMXCVSSZJAXJDEWRXCXKYNXNXOYOYALYEYIVT
        AYRYSYTJVPQRIJBCWAVQVRWBVRUIXHJXEULWCACEFWOXHJYGLMPABEFUSTZIXGABUUADXLX
        GHVSSZOEFXLYHWDAXSWGXTXGUUBXSWEDXLWFNHXSWHWIWJQWKRWLVRWM $.

      uncf2.h $e |- H = ( Hom ` C ) $.
      uncf2.j $e |- J = ( Hom ` D ) $.
      uncf2.z $e |- ( ph -> Z e. A ) $.
      uncf2.w $e |- ( ph -> W e. B ) $.
      uncf2.r $e |- ( ph -> R e. ( X H Z ) ) $.
      uncf2.s $e |- ( ph -> S e. ( Y J W ) ) $.
      $( Value of the uncurry functor on a morphism.  (Contributed by Mario
         Carneiro, 13-Jan-2017.) $)
      uncf2 $p |- ( ph -> ( R ( <. X , Y >. ( 2nd ` F ) <. Z , W >. ) S ) =
        ( ( ( ( X ( 2nd ` G ) Z ) ` R ) ` W )
          ( <. ( ( 1st ` ( ( 1st ` G ) ` X ) ) ` Y ) ,
               ( ( 1st ` ( ( 1st ` G ) ` X ) ) ` W ) >. ( comp ` E )
               ( ( 1st ` ( ( 1st ` G ) ` Z ) ) ` W ) )
          ( ( Y ( 2nd ` ( ( 1st ` G ) ` X ) ) W ) ` S ) ) ) $=
        ( cop c2nd cfv co c1stf ccofu c2ndf cprf cevlf cco uncfval fveq2d oveqd
        c1st df-ov cxpc cfuc chom eqid xpcbas ccat wcel cfunc wa funcrcl simpld
        cxp syl 1stfcl cofucl 2ndfcl prfcl evlfcl opelxpd eleqtrrd cofu2 eqtrid
        xpchom2 eqtrd prf1 cofu1 1stf1 wceq op1stg syl2anc 2ndf1 op2ndg opeq12d
        oveq12d prf2 cres 1stf2 fveq1d fvresd 3eqtrd fveq12d 2ndf2 eqtr4di cnat
        fucbas wrel wbr relfunc 1st2ndbr funcf1 ffvelrnd fuchom funcf2 evlf2val
        sylancr ) AFGNOUKZPMUKZIULUMZUNZUNZFGUKZYAYBJDEUOUNZUPUNZDEUQUNZURUNZUL
        UMUNUMZYAYJVDUMZUMZYBYLUMZEHUSUNZULUMZUNZUMZFNPJULUMZUNZUMZGNJVDUMZUMZO
        UKZPUUBUMZMUKZYPUNZUNZMUUAUMGOMUUCULUMUNUMOUUCVDUMZUMMUUIUMUKMUUEVDUMUM
        HUTUMZUNUNAYEFGYAYBYOYJUPUNZULUMZUNZUNZYRAYDUUMFGAYCUULYAYBAIUUKULADEHI
        JQRSTVAVBVCVCAUUNYFUUMUMYRFGUUMVEABCVQZDEVFUNZEHVGUNZEVFUNZYFHYJYOUUPVH
        UMZYAYBDEUUPBCUUPVIZUAUBVJZAUUPUUQYJUUREYHYIYJVIZUURVIAUUPDUUQYGJADEYGU
        UPUUTADVKVLZUUQVKVLZAJDUUQVMUNZVLZUVCUVDVNTDUUQJVOVRVPZRYGVIZVSZTVTZADE
        YIUUPUUTUVGRYIVIZWAZWBAEHUUQYOYOVIZUUQVIZRSWCANOBCUCUDWDZAPMBCUGUHWDZUU
        SVIZAYFNPKUNZOMLUNZVQYAYBUUSUNZAFGUVRUVSUIUJWDADEPMUUPKLUUSNOBCUUTUAUBU
        EUFUCUDUGUHUVQWHWEZWFWGWIAYRUUAGUKZUUGUMUUHAYKUWBYQUUGAYMUUDYNUUFYPAYMY
        AYHVDUMZUMZYAYIVDUMZUMZUKUUDAUUOUUPUUQYJEYHYIUUSYAUVBUVAUVQUVJUVLUVOWJA
        UWDUUCUWFOAUWDYAYGVDUMZUMZUUBUMUUCAUUOUUPDUUQYGJYAUVAUVITUVOWKAUWHNUUBA
        UWHYAVDUMZNAUUODEYGYAUUPUUSUUTUVAUVQUVGRUVHUVOWLANBVLZOCVLZUWINWMUCUDNO
        BCWNWOWIZVBWIAUWFYAULUMZOAUUODEYIYAUUPUUSUUTUVAUVQUVGRUVKUVOWPAUWJUWKUW
        MOWMUCUDNOBCWQWOWIWRWIAYNYBUWCUMZYBUWEUMZUKUUFAUUOUUPUUQYJEYHYIUUSYBUVB
        UVAUVQUVJUVLUVPWJAUWNUUEUWOMAUWNYBUWGUMZUUBUMUUEAUUOUUPDUUQYGJYBUVAUVIT
        UVPWKAUWPPUUBAUWPYBVDUMZPAUUODEYGYBUUPUUSUUTUVAUVQUVGRUVHUVPWLAPBVLZMCV
        LZUWQPWMUGUHPMBCWNWOWIZVBWIAUWOYBULUMZMAUUODEYIYBUUPUUSUUTUVAUVQUVGRUVK
        UVPWPAUWRUWSUXAMWMUGUHPMBCWQWOWIWRWIWSAYKYFYAYBYHULUMUNUMZYFYAYBYIULUMU
        NZUMZUKUWBAUUOUUPUUQYJEYHYIUUSYFYAYBUVBUVAUVQUVJUVLUVOUVPUWAWTAUXBUUAUX
        DGAUXBYFYAYBYGULUMUNZUMZUWHUWPYSUNZUMUUAAUUOUUPDYFUUQYGJUUSYAYBUVAUVITU
        VOUVPUVQUWAWFAUXFFUXGYTAUWHNUWPPYSUWLUWTWSAUXFYFVDUVTXAZUMYFVDUMZFAYFUX
        EUXHAUUODEYGYAYBUUPUUSUUTUVAUVQUVGRUVHUVOUVPXBXCAYFUVTVDUWAXDAFUVRVLZGU
        VSVLZUXIFWMUIUJFGUVRUVSWNWOXEXFWIAUXDYFULUVTXAZUMYFULUMZGAYFUXCUXLAUUOD
        EYIYAYBUUPUUSUUTUVAUVQUVGRUVKUVOUVPXGXCAYFUVTULUWAXDAUXJUXKUXMGWMUIUJFG
        UVRUVSWQWOXEWRWIXFUUAGUUGVEXHAUUACEHUUJYOUUCUUELGUUGEHXIUNZOMUVMRSUBUFU
        UJVIUXNVIZABEHVMUNZNUUBABUXPDUUQUUBYSUAEHUUQUVNXJAUVEXKUVFUUBYSUVEXLDUU
        QXMTJUVEXNXTZXOZUCXPABUXPPUUBUXRUGXPUDUHUUGVIAUVRUUCUUEUXNUNFYTABDUUQUU
        BYSKUXNNPUAUEEHUUQUXNUVNUXOXQUXQUCUGXRUIXPUJXSXE $.
    $}

    $( Cancellation of curry with uncurry.  (Contributed by Mario Carneiro,
       13-Jan-2017.) $)
    curfuncf $p |- ( ph -> ( <. C , D >. curryF F ) = G ) $=
      ( vx vy vz vg cfv co cmpt cop wcel eqid cv c1st chom ccid c2nd cmpo ccurf
      cbs wa ccat ad2antrr cfuc cfunc simplr simpr uncf1 mpteq2dva wrel relfunc
      wbr fucbas 1st2ndbr sylancr funcf1 ffvelrnda feqmptd eqtr4d cco ad3antrrr
      wceq simpllr simplrl simprr adantr funcrcl syl simpld catidcl ccom funcid
      uncf2 fucid eqtrd fveq1d fvco3 syl2anc oveq1d simprl funcf2 catlid 3eqtrd
      wf ffvelrnd 3impb mpoeq3dva cxp funcfn2 fnov sylib opeq12d 1st2nd adantrr
      wfn oveq2d adantrl cnat fuchom nat1st2nd natcl catrid natfn dffn5 curfval
      uncfcl 3eqtr4d ) AKBUHOZLCUHOZKUAZLUAZEUBOPZQZLMXQXQNXSMUAZCUCOZPZXRBUDOZ
      OZNUAZXRXSRXRYBRZEUEOZPPZQZUFZRZQZKLXPXPNXRXSBUCOZPZMXQYGYBCUDOZOZYHXSYBR
      YIPPZQZQZUFZRFUBOZFUEOZRZBCREUGPZFAYNUUCUUBUUDAYNKXPXRUUCOZQUUCAKXPYMUUGA
      XRXPSZUIZYMUUGUBOZUUGUEOZRZUUGUUIYAUUJYLUUKUUIYALXQXSUUJOZQUUJUUILXQXTUUM
      UUIXSXQSZUIXPXQBCDEFXRXSGACUJSZUUHUUNHUKADUJSZUUHUUNIUKAFBCDULPZUMPZSZUUH
      UUNJUKXPTZXQTZAUUHUUNUNUUIUUNUOUPUQUUILXQDUHOZUUJUUIXQUVBCDUUJUUKUVAUVBTZ
      UUICDUMPZURZUUGUVDSZUUJUUKUVDUTZCDUSZAXPUVDXRUUCAXPUVDBUUQUUCUUDUUTCDUUQU
      UQTZVAAUURURZUUSUUCUUDUURUTZBUUQUSZJFUURVBVCZVDZVEZUUGUVDVBZVCZVDZVFVGUUI
      YLLMXQXQXSYBUUKPZUFZUUKUUILMXQXQYKUVSUUIUUNYBXQSZYKUVSVJUUIUUNUWAUIZUIZYK
      NYDYGUVSOZQUVSUWCNYDYJUWDUWCYGYDSZUIZYJYBYFXRXRUUDPOZOZUWDUUMYBUUJOZRUWID
      VHOZPZPUWIDUDOZOZUWDUWKPUWDUWFXPXQBCYFYGDEFYOYCYBXRXSXRGAUUOUUHUWBUWEHVIA
      UUPUUHUWBUWEIVIZAUUSUUHUWBUWEJVIUUTUVAAUUHUWBUWEVKZUUIUUNUWAUWEVLZYOTZYCT
      ZUWOUWCUWAUWEUUIUUNUWAVMZVNZUWFXPBYEYOXRUUTUWQYETZABUJSZUUHUWBUWEAUXBUUQU
      JSZAUUSUXBUXCUIJBUUQFVOVPVQZVIUWOVRUWCUWEUOWAUWFUWHUWMUWDUWKUWFUWHYBUWLUU
      JVSZOZUWMUWFYBUWGUXEUWFUWGUUGUUQUDOZOUXEUWFXPBYEUUQUUCUUDUXGXRUUTUXAUXGTZ
      AUVKUUHUWBUWEUVMVIUWOVTUWFCDUUQUWLUUGUXGUVIUXHUWLTZUUIUVFUWBUWEUVOUKWBWCW
      DUWFXQUVBUUJWLZUWAUXFUWMVJUUIUXJUWBUWEUVRUKZUWTXQUVBYBUWLUUJWEWFWCWGUWFUV
      BDUWJUWLUWDDUCOZUUMUWIUVCUXLTZUXIUWNUWFXQUVBXSUUJUXKUWPWMUWJTZUWFXQUVBYBU
      UJUXKUWTWMUWCYDUUMUWIUXLPZYGUVSUWCXQCDUUJUUKYCUXLXSYBUVAUWRUXMUUIUVGUWBUV
      QVNUUIUUNUWAWHUWSWIZVEWJWKUQUWCNYDUXOUVSUXPVFVGWNWOUUIUUKXQXQWPXCUUKUVTVJ
      UUIXQCDUUJUUKUVAUVQWQLMXQXQUUKWRWSVGWTUUIUVEUVFUUGUULVJUVHUVOUUGUVDXAVCVG
      UQAKXPUVDUUCUVNVFVGAUUBKLXPXPXRXSUUDPZUFZUUDAKLXPXPUUAUXQAUUHXSXPSZUUAUXQ
      VJAUUHUXSUIZUIZUUANYPYGUXQOZQUXQUYANYPYTUYBUYAYGYPSZUIZYTMXQYBUYBOZQZUYBU
      YDMXQYSUYEUYDUWAUIZYSUYEYRYBYBUUKPOZUWIUWIRYBXSUUCOZUBOZOZUWJPZPUYEUWMUYL
      PUYEUYGXPXQBCYGYRDEFYOYCYBXRYBXSGAUUOUXTUYCUWAHVIZAUUPUXTUYCUWAIVIZAUUSUX
      TUYCUWAJVIUUTUVAUYAUUHUYCUWAAUUHUXSWHZUKZUYDUWAUOZUWQUWRUYAUXSUYCUWAAUUHU
      XSVMZUKZUYQUYAUYCUWAUNZUYGXQCYQYCYBUVAUWRYQTZUYMUYQVRWAUYGUYHUWMUYEUYLUYG
      XQCYQDUUJUUKUWLYBUVAVUAUXIUYDUVGUWAUYDUVEUVFUVGUVHUYAUVFUYCAUUHUVFUXSUVOX
      BVNUVPVCZVNUYQVTXDUYGUVBDUWJUWLUYEUXLUWIUYKUVCUXMUXIUYNUYDXQUVBYBUUJUYDXQ
      UVBCDUUJUUKUVAUVCVUBVDVEUXNUYDXQUVBYBUYJUYDXQUVBCDUYJUYIUEOZUVAUVCUYDUVEU
      YIUVDSZUYJVUCUVDUTUVHUYAVUDUYCAUXSVUDUUHAXPUVDXSUUCUVNVEXEVNUYIUVDVBVCVDV
      EUYGUYBXQCDUUJUUKUXLUYJVUCCDXFPZYBVUETZUYGUYBCDUUGUYIVUEVUFUYGYPUUGUYIVUE
      PZYGUXQUYGXPBUUQUUCUUDYOVUEXRXSUUTUWQCDUUQVUEUVIVUFXGZAUVKUXTUYCUWAUVMVIU
      YPUYSWIUYTWMXHUVAUXMUYQXIXJWKUQUYDUYBXQXCUYBUYFVJUYDUYBXQCDUUJUUKUYJVUCVU
      EVUFUYDUYBCDUUGUYIVUEVUFUYAYPVUGYGUXQUYAXPBUUQUUCUUDYOVUEXRXSUUTUWQVUHAUV
      KUXTUVMVNUYOUYRWIZVEXHUVAXKMXQUYBXLWSVGUQUYANYPVUGUXQVUIVFVGWNWOAUUDXPXPW
      PXCUUDUXRVJAXPBUUQUUCUUDUUTUVMWQKLXPXPUUDWRWSVGWTAKLMXPXQBCYENDEUUFYOYQYC
      UUFTUUTUXDHABCDEFGHIJXNUVAUWRUXAUWQVUAXMAUVJUUSFUUEVJUVLJFUURXAVCXO $.
  $}

  ${
    $d f g u v w x y z C $.  $d f g u v w x y z D $.  $d f g u v w x y z E $.
    $d f g u v w x y z F $.  $d f g u v w x y z G $.  $d f g w x y z ph $.
    uncfcurf.g $e |- G = ( <. C , D >. curryF F ) $.
    uncfcurf.c $e |- ( ph -> C e. Cat ) $.
    uncfcurf.d $e |- ( ph -> D e. Cat ) $.
    uncfcurf.f $e |- ( ph -> F e. ( ( C Xc. D ) Func E ) ) $.
    $( Cancellation of uncurry with curry.  (Contributed by Mario Carneiro,
       13-Jan-2017.) $)
    uncfcurf $p |- ( ph -> ( <" C D E "> uncurryF G ) = F ) $=
      ( vx co cfv cop wceq cv wral wcel eqid adantr vy vu vv vz vw vf cs3 cuncf
      vg c1st c2nd cbs wa ccat cxpc cfunc funcrcl syl simprd cfuc curfcl simprl
      simprr uncf1 curf11 eqtrd ralrimivva cxp wfn wb xpcbas wbr relfunc uncfcl
      wrel 1st2ndbr sylancr funcf1 ffnd eqfnov2 mpbird chom cco ad3antrrr uncf2
      syl2anc eqtrdi opeq12d oveq12d curf2val curf12 oveq123d ad2antrr ad2antlr
      ccid opelxpi opelxpd adantl catidcl xpchom2 eleqtrrd funcco xpcco2 fveq2d
      df-ov eqtr4di catrid catlid 3eqtr2d feq2d mpbid oveq2 eqeq12d ralxp oveq1
      wf funcf2 2ralbidv syl5bb sylibr funcfn2 1st2nd 3eqtr4d ) ABCDUGFUHLZUJMZ
      YDUKMZNZEUJMZEUKMZNZYDEAYEYHYFYIAYEYHOZKPZUAPZYELZYLYMYHLZOZUACULMZQKBULM
      ZQZAYPKUAYRYQAYLYRRZYMYQRZUMZUMZYNYMYLFUJMZMZUJMZMZYOUUCYRYQBCDYDFYLYMYDS
      ZACUNRZUUBITZADUNRZUUBABCUOLZUNRZUUKAEUULDUPLZRZUUMUUKUMJUULDEUQURUSZTAFB
      CDUTLZUPLRZUUBABCUUQDEFGUUQSHIJVAZTYRSZYQSZAYTUUAVBZAYTUUAVCZVDUUCYRYQBCD
      EFUUEYLYMGUUTABUNRZUUBHTUUJAUUOUUBJTUVAUVBUUESZUVCVEVFVGAYEYRYQVHZVIYHUVF
      VIYKYSVJAUVFDULMZYEAUVFUVGUULDYEYFBCUULYRYQUULSZUUTUVAVKZUVGSZAUUNVOZYDUU
      NRZYEYFUUNVLZUULDVMZABCDYDFUUHIUUPUUSVNZYDUUNVPVQZVRVSAUVFUVGYHAUVFUVGUUL
      DYHYIUVIUVJAUVKUUOYHYIUUNVLZUVNJEUUNVPVQZVRVSKUAYRYQYEYHVTWFWAAYFYIOZUBPZ
      UCPZYFLZUVTUWAYILZOZUCUVFQZUBUVFQZAYLYMNZUDPZUEPZNZYFLZUWGUWJYILZOZUEYQQU
      DYRQZUAYQQKYRQUWFAUWNKUAYRYQUUCUWMUDUEYRYQUUCUWHYRRZUWIYQRZUMZUMZUWMUFPZU
      IPZUWKLZUWSUWTUWLLZOZUIYMUWICWBMZLZQUFYLUWHBWBMZLZQZUWRUXCUFUIUXGUXEUWRUW
      SUXGRZUWTUXERZUMZUMZUXAUWIUWSYLUWHFUKMLMZMZUWTYMUWIUUEUKMLMZUUGUWIUUFMZNZ
      UWIUWHUUDMZUJMMZDWCMZLZLZUXBUXLYRYQBCUWSUWTDYDFUXFUXDUWIYLYMUWHUUHAUUIUUB
      UWQUXKIWDZAUUKUUBUWQUXKUUPWDAUURUUBUWQUXKUUSWDUUTUVAUWRYTUXKUUCYTUWQUVBTZ
      TZUWRUUAUXKUUCUUAUWQUVCTZTZUXFSZUXDSZUWRUWOUXKUUCUWOUWPVBZTZUWRUWPUXKUUCU
      WOUWPVCZTZUWRUXIUXJVBZUWRUXIUXJVCZWEUXLUYBUWSUWICWOMZMZNZYLUWINZUWJYILZMZ
      YLBWOMZMZUWTNZUWGUYSYILZMZUWGYHMZUYSYHMZNZUWJYHMZUXTLZLUYRVUDUWGUYSNUWJUU
      LWCMZLLZUWLMZUXBUXLUXNVUAUXOVUFUYAVUKUXLUXQVUIUXSVUJUXTUXLUUGVUGUXPVUHUXL
      UUGYOVUGUXLYRYQBCDEFUUEYLYMGUUTAUVDUUBUWQUXKHWDZUYCAUUOUUBUWQUXKJWDZUVAUY
      EUVEUYGVEYLYMYHXEWGUXLUXPYLUWIYHLVUHUXLYRYQBCDEFUUEYLUWIGUUTVUOUYCVUPUVAU
      YEUVEUYMVEYLUWIYHXEWGWHUXLUXSUWHUWIYHLVUJUXLYRYQBCDEFUXRUWHUWIGUUTVUOUYCV
      UPUVAUYKUXRSUYMVEUWHUWIYHXEWGWIUXLUXNUWSUYQUYTLVUAUXLYRYQBCDEFUXFUYPUWSUX
      MYLUWHUWIGUUTVUOUYCVUPUVAUYHUYPSZUYEUYKUYNUXMSUYMWJUWSUYQUYTXEWGUXLUXOVUC
      UWTVUELVUFUXLYRYQBCVUBDEFUWTUXDUUEYLYMUWIGUUTVUOUYCVUPUVAUYEUVEUYGUYIVUBS
      ZUYMUYOWKVUCUWTVUEXEWGWLUXLUVFUULVULDYHYIUULWBMZVUDUYRUXTUWGUYSUWJUVIVUSS
      ZVULSZUXTSUWRUVQUXKAUVQUUBUWQUVRWMZTUWRUWGUVFRZUXKUUBVVCAUWQYLYMYRYQWPWNZ
      TUXLYLUWIYRYQUYEUYMWQUWRUWJUVFRZUXKUWQVVEUUCUWHUWIYRYQWPWRZTUXLVUDYLYLUXF
      LZUXEVHUWGUYSVUSLUXLVUCUWTVVGUXEUXLYRBVUBUXFYLUUTUYHVURVUOUYEWSZUYOWQUXLB
      CYLUWIUULUXFUXDVUSYLYMYRYQUVHUUTUVAUYHUYIUYEUYGUYEUYMVUTWTXAUXLUYRUXGUWIU
      WIUXDLZVHUYSUWJVUSLUXLUWSUYQUXGVVIUYNUXLYQCUYPUXDUWIUVAUYIVUQUYCUYMWSZWQU
      XLBCUWHUWIUULUXFUXDVUSYLUWIYRYQUVHUUTUVAUYHUYIUYEUYMUYKUYMVUTWTXAXBUXLVUN
      UWSVUCYLYLNUWHBWCMZLLZUYQUWTYMUWINUWICWCMZLLZUWLLZUXBUXLVUNVVLVVNNZUWLMVV
      OUXLVUMVVPUWLUXLBCYLUWIUWHUWIVVMUULVVKVUCUWTUXFUXDUWSUYQYLYMVULYRYQUVHUUT
      UVAUYHUYIUYEUYGUYEUYMVVKSZVVMSZVVAUYKUYMVVHUYOUYNVVJXCXDVVLVVNUWLXEXFUXLV
      VLUWSVVNUWTUWLUXLYRBVVKVUBUWSUXFYLUWHUUTUYHVURVUOUYEVVQUYKUYNXGUXLYQCVVMU
      YPUWTUXDYMUWIUVAUYIVUQUYCUYGVVRUYMUYOXHWIVFXIVFVGUWRUWKUXGUXEVHZVIUWLVVSV
      IUWMUXHVJUWRVVSUWGYEMUWJYEMDWBMZLZUWKUWRUWGUWJVUSLZVWAUWKXPVVSVWAUWKXPUWR
      UVFUULDYEYFVUSVVTUWGUWJUVIVUTVVTSZAUVMUUBUWQUVPWMVVDVVFXQUWRVWBVVSVWAUWKU
      WRBCUWHUWIUULUXFUXDVUSYLYMYRYQUVHUUTUVAUYHUYIUYDUYFUYJUYLVUTWTZXJXKVSUWRV
      VSVUGVUJVVTLZUWLUWRVWBVWEUWLXPVVSVWEUWLXPUWRUVFUULDYHYIVUSVVTUWGUWJUVIVUT
      VWCVVBVVDVVFXQUWRVWBVVSVWEUWLVWDXJXKVSUFUIUXGUXEUWKUWLVTWFWAVGVGUWEUWNUBK
      UAYRYQUWEUVTUWJYFLZUVTUWJYILZOZUEYQQUDYRQUVTUWGOZUWNUWDVWHUCUDUEYRYQUWAUW
      JOUWBVWFUWCVWGUWAUWJUVTYFXLUWAUWJUVTYIXLXMXNVWIVWHUWMUDUEYRYQVWIVWFUWKVWG
      UWLUVTUWGUWJYFXOUVTUWGUWJYIXOXMXRXSXNXTAYFUVFUVFVHZVIYIVWJVIUVSUWFVJAUVFU
      ULDYEYFUVIUVPYAAUVFUULDYHYIUVIUVRYAUBUCUVFUVFYFYIVTWFWAWHAUVKUVLYDYGOUVNU
      VOYDUUNYBVQAUVKUUOEYJOUVNJEUUNYBVQYC $.
  $}

  ${
    $d c d C $.  $d c d D $.  $d c d ph $.
    diagval.l $e |- L = ( C DiagFunc D ) $.
    diagval.c $e |- ( ph -> C e. Cat ) $.
    diagval.d $e |- ( ph -> D e. Cat ) $.
    $( Define the diagonal functor, which is the functor ` C --> ( D Func C ) `
       whose object part is ` x e. C |-> ( y e. D |-> x ) ` .  We can define
       this equationally as the currying of the first projection functor, and
       by expressing it this way we get a quick proof of functoriality.
       (Contributed by Mario Carneiro, 6-Jan-2017.)  (Revised by Mario
       Carneiro, 15-Jan-2017.) $)
    diagval $p |- ( ph -> L = ( <. C , D >. curryF ( C 1stF D ) ) ) $=
      ( vc vd cdiag co cop c1stf ccurf ccat cv cvv wceq wa oveq12d cmpo df-diag
      a1i simprl simprr opeq12d ovexd ovmpod eqtrid ) ADBCJKBCLZBCMKZNKZEAHIBCO
      OHPZIPZLZUMUNMKZNKZULJQJHIOOUQUARAHIUBUCAUMBRZUNCRZSSZUOUJUPUKNUTUMBUNCAU
      RUSUDZAURUSUEZUFUTUMBUNCMVAVBTTFGAUJUKNUGUHUI $.

    ${
      diagcl.q $e |- Q = ( D FuncCat C ) $.
      $( The diagonal functor is a functor from the base category to the
         functor category.  Another way of saying this is that the constant
         functor ` ( y e. D |-> X ) ` is a construction that is natural in
         ` X ` (and covariant).  (Contributed by Mario Carneiro, 7-Jan-2017.)
         (Revised by Mario Carneiro, 15-Jan-2017.) $)
      diagcl $p |- ( ph -> L e. ( C Func Q ) ) $=
        ( cop c1stf co ccurf cfunc diagval eqid cxpc 1stfcl curfcl eqeltrd ) AE
        BCJBCKLZMLZBDNLABCEFGHOABCDBUAUBUBPIGHABCUABCQLZUCPGHUAPRST $.
    $}

    diag11.a $e |- A = ( Base ` C ) $.
    diag11.c $e |- ( ph -> X e. A ) $.
    diag11.k $e |- K = ( ( 1st ` L ) ` X ) $.
    $( The constant functor of ` X ` is a functor.  (Contributed by Mario
       Carneiro, 6-Jan-2017.)  (Revised by Mario Carneiro, 15-Jan-2017.) $)
    diag1cl $p |- ( ph -> K e. ( D Func C ) ) $=
      ( c1st cfv cfunc co cfuc c2nd eqid fucbas wrel wbr relfunc diagcl sylancr
      wcel 1st2ndbr funcf1 ffvelrnd eqeltrid ) AEGFNOZODCPQZMABUMGULABUMCDCRQZU
      LFSOZKDCUNUNTZUAACUNPQZUBFUQUGULUOUQUCCUNUDACDUNFHIJUPUEFUQUHUFUILUJUK $.

    diag11.b $e |- B = ( Base ` D ) $.
    diag11.y $e |- ( ph -> Y e. B ) $.
    $( Value of the constant functor at an object.  (Contributed by Mario
       Carneiro, 7-Jan-2017.)  (Revised by Mario Carneiro, 15-Jan-2017.) $)
    diag11 $p |- ( ph -> ( ( 1st ` K ) ` Y ) = X ) $=
      ( c1st cfv eqid c1stf co ccurf diagval fveq2d fveq1d eqtrid 1stfcl curf11
      cop cxpc df-ov chom xpcbas opelxpd 1stf1 wcel op1stg syl2anc eqtrd 3eqtrd
      cxp wceq ) AIFRSZSIHDEUJDEUAUBZUCUBZRSZSZRSZSHIVERSZUBZHAIVDVIAFVHRAFHGRS
      ZSVHOAHVLVGAGVFRADEGJKLUDUEUFUGUEUFABCDEDVEVFVHHIVFTMKLADEVEDEUKUBZVMTZKL
      VETZUHPNVHTQUIAVKHIUJZRSZHAVKVPVJSVQHIVJULABCVBDEVEVPVMVMUMSZVNDEVMBCVNMP
      UNVRTKLVOAHIBCNQUOUPUGAHBUQICUQVQHVCNQHIBCURUSUTVA $.

    diag12.j $e |- J = ( Hom ` D ) $.
    diag12.i $e |- .1. = ( Id ` C ) $.
    diag12.z $e |- ( ph -> Z e. B ) $.
    diag12.f $e |- ( ph -> F e. ( Y J Z ) ) $.
    $( Value of the constant functor at a morphism.  (Contributed by Mario
       Carneiro, 6-Jan-2017.)  (Revised by Mario Carneiro, 15-Jan-2017.) $)
    diag12 $p |- ( ph -> ( ( Y ( 2nd ` K ) Z ) ` F ) = ( .1. ` X ) ) $=
      ( c2nd cfv co cop c1stf ccurf c1st diagval fveq2d fveq1d eqtrid eqid cxpc
      oveqd 1stfcl curf12 chom cres df-ov xpcbas opelxpd 1stf2 catidcl eleqtrrd
      cxp xpchom2 fvresd wcel wceq op1stg syl2anc 3eqtrd ) AGLMIUFUGZUHZUGGLMKD
      EUIDEUJUHZUKUHZULUGZUGZUFUGZUHZUGKFUGZGKLUIZKMUIZVTUFUGUHZUHZWFAGVSWEAVRW
      DLMAIWCUFAIKJULUGZUGWCSAKWKWBAJWAULADEJNOPUMUNUOUPUNUSUOABCDEFDVTWAGHWCKL
      MWAUQQOPADEVTDEURUHZWLUQZOPVTUQZUTTRWCUQUAUBUCUDUEVAAWJWFGUIZULWGWHWLVBUG
      ZUHZVCZUGZWOULUGZWFAWJWOWIUGWSWFGWIVDAWOWIWRABCVJDEVTWGWHWLWPWMDEWLBCWMQT
      VEWPUQZOPWNAKLBCRUAVFAKMBCRUDVFVGUOUPAWOWQULAWOKKDVBUGZUHZLMHUHZVJWQAWFGX
      CXDABDFXBKQXBUQZUCORVHZUEVFADEKMWLXBHWPKLBCWMQTXEUBRUARUDXAVKVIVLAWFXCVMG
      XDVMWTWFVNXFUEWFGXCXDVOVPVQVQ $.
  $}

  ${
    $d x B $.  $d x C $.  $d x D $.  $d x F $.  $d x H $.  $d x X $.  $d x Y $.
    $d x ph $.
    diag2.l $e |- L = ( C DiagFunc D ) $.
    diag2.a $e |- A = ( Base ` C ) $.
    diag2.b $e |- B = ( Base ` D ) $.
    diag2.h $e |- H = ( Hom ` C ) $.
    diag2.c $e |- ( ph -> C e. Cat ) $.
    diag2.d $e |- ( ph -> D e. Cat ) $.
    diag2.x $e |- ( ph -> X e. A ) $.
    diag2.y $e |- ( ph -> Y e. A ) $.
    diag2.f $e |- ( ph -> F e. ( X H Y ) ) $.
    $( Value of the diagonal functor at a morphism.  (Contributed by Mario
       Carneiro, 7-Jan-2017.) $)
    diag2 $p |- ( ph -> ( ( X ( 2nd ` L ) Y ) ` F ) = ( B X. { F } ) ) $=
      ( cfv vx c2nd co cop c1stf ccurf cv ccid cmpt csn cxp fveq2d oveqd fveq1d
      diagval eqid cxpc 1stfcl curf2 wcel wa c1st chom cres xpcbas ccat opelxpi
      adantr sylan 1stf2 df-ov simpr catidcl opelxpd xpchom2 fvresd eqtrid wceq
      eleqtrrd op1stg syl2an2r 3eqtrd mpteq2dva fconstmpt eqtr4di ) AFIJHUBTZUC
      ZTFIJDEUDDEUEUCZUFUCZUBTZUCZTZUACFUAUGZEUHTZTZIWMUDZJWMUDZWHUBTUCZUCZUIZC
      FUJUKZAFWGWKAWFWJIJAHWIUBADEHKOPUOULUMUNAUABCDEDWHWIGWNFWLIJWIUPLOPADEWHD
      EUQUCZXBUPZOPWHUPZURMNWNUPZQRSWLUPUSAWTUACFUIXAAUACWSFAWMCUTZVAZWSFWOVBWP
      WQXBVCTZUCZVDZUCZFWOUDZVBTZFXGWRXJFWOXGBCUKZDEWHWPWQXBXHXCDEXBBCXCLMVEXHU
      PZADVFUTXFOVHAEVFUTXFPVHZXDAIBUTZXFWPXNUTQIWMBCVGVIAJBUTZXFWQXNUTRJWMBCVG
      VIVJUMXGXKXLXJTXMFWOXJVKXGXLXIVBXGXLIJGUCZWMWMEVCTZUCZUKXIXGFWOXSYAAFXSUT
      ZXFSVHXGCEWNXTWMMXTUPZXEXPAXFVLZVMZVNXGDEJWMXBGXTXHIWMBCXCLMNYCAXQXFQVHYD
      AXRXFRVHYDXOVOVSVPVQAYBXFWOYAUTXMFVRSYEFWOXSYAVTWAWBWCUACFWDWEWB $.

    diag2cl.h $e |- N = ( D Nat C ) $.
    $( The diagonal functor at a morphism is a natural transformation between
       constant functors.  (Contributed by Mario Carneiro, 7-Jan-2017.) $)
    diag2cl $p |- ( ph ->
      ( B X. { F } ) e. ( ( ( 1st ` L ) ` X ) N ( ( 1st ` L ) ` Y ) ) ) $=
      ( c2nd cfv co csn cxp c1st diag2 cfuc eqid fuchom cfunc wrel wcel relfunc
      wbr diagcl 1st2ndbr sylancr funcf2 ffvelrnd eqeltrrd ) AFJKHUBUCZUDZUCCFU
      EUFJHUGUCZUCKVEUCIUDZABCDEFGHJKLMNOPQRSTUHAJKGUDVFFVDABDEDUIUDZVEVCGIJKMO
      EDVGIVGUJZUAUKADVGULUDZUMHVIUNVEVCVIUPDVGUOADEVGHLPQVHUQHVIURUSRSUTTVAVB
      $.
  $}

  ${
    $d f u x y z C $.  $d f u x y z D $.  $d f u x y z ph $.  $d f x y Q $.
    curf2ndf.q $e |- Q = ( D FuncCat D ) $.
    curf2ndf.c $e |- ( ph -> C e. Cat ) $.
    curf2ndf.d $e |- ( ph -> D e. Cat ) $.
    $( As shown in ~ diagval , the currying of the first projection is the
       diagonal functor.  On the other hand, the currying of the second
       projection is ` x e. C |-> ( y e. D |-> y ) ` , which is a constant
       functor of the identity functor at ` D ` .  (Contributed by Mario
       Carneiro, 15-Jan-2017.) $)
    curf2ndf $p |- ( ph -> ( <. C , D >. curryF ( C 2ndF D ) ) =
      ( ( 1st ` ( Q DiagFunc C ) ) ` ( idFunc ` D ) ) ) $=
      ( vx vy vz vf cop co cfv c2nd cmpt wcel eqid ad2antrr adantr vu c2ndf cbs
      ccurf c1st cidfu cdiag cv wa chom ccid cmpo cid cres cxp cxpc xpcbas ccat
      df-ov opelxpi adantll 2ndf1 vex op2nd eqtrdi eqtrid mptresid eqtr4di wceq
      mpteq2dva simp-4r simplr opelxpd fveq1d catidcl ad5ant12 simpllr eleqtrrd
      2ndf2 simpr xpchom2 fvresd fvex eqtrd 3impa mpoeq3dva fveq2 reseq2d cfunc
      mpompt opeq12d 2ndfcl curf1 idfuval 3eqtr4d fuccat fucbas idfucl syl wrel
      diag11 eqtr4d relfunc curfcl 1st2ndbr sylancr funcf1 feqmptd diag1cl ccom
      wbr idfu1st coeq2d fucid cvv wfn wf cidfn dffn2 sylib fcoi1 simplrl sylan
      simplrr oveqd curf2 diag12 cnat fuchom simprl simprr funcf2 3impb funcfn2
      3eqtr4rd fnov 1st2nd ) ABCLBCUBMZUDMZUENZYSONZLZCUFNZDBUGMZUENNZUENZUUEON
      ZLZYSUUEAYTUUFUUAUUGAHBUCNZHUHZYTNZPHUUIUUJUUFNZPYTUUFAHUUIUUKUULAUUJUUIQ
      ZUIZUUKUUCUULUUNICUCNZUUJIUHZYRUENZMZPZIJUUOUUOKUUPJUHZCUJNZMZUUJBUKNZNZK
      UHZUUJUUPLZUUJUUTLZYRONZMZMZPZULZLUMUUOUNZUAUUOUUOUOUMUAUHZUVANZUNZPZLUUK
      UUCUUNUUSUVMUVLUVQUUNUUSIUUOUUPPUVMUUNIUUOUURUUPUUNUUPUUOQZUIZUURUVFUUQNZ
      UUPUUJUUPUUQUSUVSUVTUVFONUUPUVSUUIUUOUOZBCYRUVFBCUPMZUWBUJNZUWBRZBCUWBUUI
      UUOUWDUUIRZUUORZUQZUWCRZABURQZUUMUVRFSZACURQZUUMUVRGSZYRRZUUMUVRUVFUWAQZA
      UUJUUPUUIUUOUTVAZVBUUJUUPHVCIVCVDVEVFVJIUUOVGVHUUNUVLIJUUOUUOUMUVBUNZULUV
      QUUNIJUUOUUOUVKUWPUUNUVRUUTUUOQZUVKUWPVIUVSUWQUIZUVKKUVBUVEPUWPUWRKUVBUVJ
      UVEUWRUVEUVBQZUIZUVJUVDUVELZOUVFUVGUWCMZUNZNZUVEUWTUVJUXAUVINUXDUVDUVEUVI
      USUWTUXAUVIUXCUWTUWABCYRUVFUVGUWBUWCUWDUWGUWHUVSUWIUWQUWSUWJSUVSUWKUWQUWS
      UWLSUWMUVSUWNUWQUWSUWOSUWTUUJUUTUUIUUOAUUMUVRUWQUWSVKZUVSUWQUWSVLZVMVSVNV
      FUWTUXDUXAONUVEUWTUXAUXBOUWTUXAUUJUUJBUJNZMZUVBUOUXBUWTUVDUVEUXHUVBAUUMUV
      DUXHQUVRUWQUWSUUNUUIBUVCUXGUUJUWEUXGRZUVCRZAUWIUUMFTZAUUMVTZVOVPUWRUWSVTV
      MUWTBCUUJUUTUWBUXGUVAUWCUUJUUPUUIUUOUWDUWEUWFUXIUVARZUXEUUNUVRUWQUWSVQUXE
      UXFUWHWAVRWBUVDUVEUUJUVCWCKVCZVDVEWDVJKUVBVGVHWEWFIJUAUUOUUOUVPUWPUVNUUPU
      UTLZVIZUVOUVBUMUXPUVOUXOUVANUVBUVNUXOUVAWGUUPUUTUVAUSVHWHWJVHWKUUNIJUUIUU
      OBCUVCKCYRYSUVAUUKUUJYSRZUWEUXKAUWKUUMGTZAYRUWBCWIMQZUUMABCYRUWBUWDFGUWMW
      LZTUWFUXLUUKRUXMUXJWMUUNUAUUOCUVAUUCUUCRZUWFUXRUXMWNWOUUNCCWIMZUUIDBUUEUU
      DUUCUUJUUDRZADURQZUUMACCDEGGWPZTUXKCCDEWQZAUUCUYBQZUUMAUWKUYGGCUUCUYAWRWS
      ZTUUERZUWEUXLXAXBVJAHUUIUYBYTAUUIUYBBDYTUUAUWEUYFABDWIMZWTZYSUYJQZYTUUAUY
      JXKZBDXCZABCDCYRYSUXQEFGUXTXDZYSUYJXEXFZXGXHAHUUIUYBUUFAUUIUYBBDUUFUUGUWE
      UYFAUYKUUEUYJQZUUFUUGUYJXKZUYNAUYBDBUUEUUDUUCUYCUYEFUYFUYHUYIXIZUUEUYJXEX
      FZXGXHWOAHIUUIUUIUUJUUPUUAMZULZHIUUIUUIUUJUUPUUGMZULZUUAUUGAHIUUIUUIVUAVU
      CAUUMUUPUUIQZVUAVUCVIAUUMVUEUIZUIZKUUJUUPUXGMZUVEVUANZPKVUHUVEVUCNZPVUAVU
      CVUGKVUHVUIVUJVUGUVEVUHQZUIZJUUOUVEUUTCUKNZNZUVGUXOUVHMZMZPZUUCDUKNZNZVUI
      VUJVULVUMUUCUENZXJVUMUVMXJZVUSVUQVULVUTUVMVUMVULUUOCUUCUYAUWFAUWKVUFVUKGS
      ZXLXMVULCCDVUMUUCVUREVURRZVUMRZAUYGVUFVUKUYHSZXNVULVUMJUUOVUNPVVAVUQVULJU
      UOXOVUMVULVUMUUOXPZUUOXOVUMXQZVULUWKVVFVVBUUOCVUMUWFVVDXRWSUUOVUMXSXTZXHV
      ULVVGVVAVUMVIVVHUUOXOVUMYAWSVULJUUOVUPVUNVULUWQUIZVUPUVEVUNOUVGUXOUWCMZUN
      ZMZVUNVVIVUOVVKUVEVUNVVIUWABCYRUVGUXOUWBUWCUWDUWGUWHVULUWIUWQAUWIVUFVUKFS
      ZTVULUWKUWQVVBTZUWMVULUUMUWQUVGUWAQAUUMVUEVUKYBZUUJUUTUUIUUOUTYCVULVUEUWQ
      UXOUWAQAUUMVUEVUKYDZUUPUUTUUIUUOUTYCVSYEVVIVVLUVEVUNLZONZVUNVVIVVLVVQVVKN
      VVRUVEVUNVVKUSVVIVVQVVJOVVIVVQVUHUUTUUTUVAMZUOVVJVVIUVEVUNVUHVVSVUGVUKUWQ
      VLVVIUUOCVUMUVAUUTUWFUXMVVDVVNVULUWQVTZVOVMVVIBCUUPUUTUWBUXGUVAUWCUUJUUTU
      UIUUOUWDUWEUWFUXIUXMVULUUMUWQVVOTVVTVULVUEUWQVVPTVVTUWHWAVRWBVFUVEVUNUXNU
      UTVUMWCVDVEWDVJYOYOVULJUUIUUOBCCYRYSUXGVUMUVEVUIUUJUUPUXQUWEVVMVVBAUXSVUF
      VUKUXTSUWFUXIVVDVVOVVPVUGVUKVTZVUIRYFVULUYBUUIDBVURUVEUXGUUEUUDUUCUUJUUPU
      YCAUYDVUFVUKUYESVVMUYFVVEUYIUWEVVOUXIVVCVVPVWAYGWOVJVUGKVUHUUKUUPYTNCCYHM
      ZMVUAVUGUUIBDYTUUAUXGVWBUUJUUPUWEUXICCDVWBEVWBRYIZAUYMVUFUYPTAUUMVUEYJZAU
      UMVUEYKZYLXHVUGKVUHUULUUPUUFNVWBMVUCVUGUUIBDUUFUUGUXGVWBUUJUUPUWEUXIVWCAU
      YRVUFUYTTVWDVWEYLXHWOYMWFAUUAUUIUUIUOZXPUUAVUBVIAUUIBDYTUUAUWEUYPYNHIUUIU
      UIUUAYPXTAUUGVWFXPUUGVUDVIAUUIBDUUFUUGUWEUYTYNHIUUIUUIUUGYPXTWOWKAUYKUYLY
      SUUBVIUYNUYOYSUYJYQXFAUYKUYQUUEUUHVIUYNUYSUUEUYJYQXFWO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Hom functor
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c HomF $.
  $c Yon $.

  $( Extend class notation with the Hom functor. $)
  chof $a class HomF $.

  $( Extend class notation with the Yoneda embedding. $)
  cyon $a class Yon $.

  ${
    $d b c f g h x y B $.  $d f g h F $.  $d f g h G $.  $d b c f g h x y ph $.
    $d b c f g h x y C $.  $d b c f g h x y H $.  $d h K $.  $d f g h x y W $.
    $d b c f g h x y .x. $.  $d f g h x y X $.  $d f g h x y Y $.
    $d f g h x y Z $.
    $( Define the Hom functor, which is a bifunctor (a functor of two
       arguments), contravariant in the first argument and covariant in the
       second, from ` ( oppCat `` C ) X. C ` to ` SetCat ` , whose object part
       is the hom-function ` Hom ` , and with morphism part given by pre- and
       post-composition.  (Contributed by Mario Carneiro, 11-Jan-2017.) $)
    df-hof $a |- HomF = ( c e. Cat |-> <. ( Homf ` c ) , [_ ( Base ` c ) / b ]_
       ( x e. ( b X. b ) , y e. ( b X. b ) |->
         ( f e. ( ( 1st ` y ) ( Hom ` c ) ( 1st ` x ) ) ,
           g e. ( ( 2nd ` x ) ( Hom ` c ) ( 2nd ` y ) ) |->
           ( h e. ( ( Hom ` c ) ` x ) |->
             ( ( g ( x ( comp ` c ) ( 2nd ` y ) ) h ) ( <. ( 1st ` y ) ,
               ( 1st ` x ) >. ( comp ` c ) ( 2nd ` y ) ) f ) ) ) ) >. ) $.

    $( Define the Yoneda embedding, which is the currying of the (opposite) Hom
       functor.  (Contributed by Mario Carneiro, 11-Jan-2017.) $)
    df-yon $a |- Yon = ( c e. Cat |->
      ( <. c , ( oppCat ` c ) >. curryF ( HomF ` ( oppCat ` c ) ) ) ) $.

    hofval.m $e |- M = ( HomF ` C ) $.
    hofval.c $e |- ( ph -> C e. Cat ) $.
    ${
      hofval.b $e |- B = ( Base ` C ) $.
      hofval.h $e |- H = ( Hom ` C ) $.
      hofval.o $e |- .x. = ( comp ` C ) $.
      $( Value of the Hom functor, which is a bifunctor (a functor of two
         arguments), contravariant in the first argument and covariant in the
         second, from ` ( oppCat `` C ) X. C ` to ` SetCat ` , whose object
         part is the hom-function ` Hom ` , and with morphism part given by
         pre- and post-composition.  (Contributed by Mario Carneiro,
         15-Jan-2017.) $)
      hofval $p |- ( ph -> M = <. ( Homf ` C ) ,
         ( x e. ( B X. B ) , y e. ( B X. B ) |->
           ( f e. ( ( 1st ` y ) H ( 1st ` x ) ) ,
             g e. ( ( 2nd ` x ) H ( 2nd ` y ) ) |->
             ( h e. ( H ` x ) |->
               ( ( g ( x .x. ( 2nd ` y ) ) h ) ( <. ( 1st ` y ) ,
                 ( 1st ` x ) >. .x. ( 2nd ` y ) ) f ) ) ) ) >. ) $=
        ( cfv cv co oveqd vc vb chof chomf cxp c1st c2nd cop cmpt cmpo cbs chom
        cco csb ccat cvv df-hof wceq simpr fveq2d eqtr4di sqxpeqd simplr fveq1d
        fvexd eqidd oveq123d mpteq12dv mpoeq123dv csbied2 opeq12d wcel opex a1i
        wa fvmptd2 eqtrid ) AKEUCQEUDQZBCDDUEZVSGHCRZUFQZBRZUFQZJSZWBUGQZVTUGQZ
        JSZIWBJQZHRZIRZWBWFFSZSZGRZWAWCUHZWFFSZSZUIZUJZUJZUHZLAUAEUARZUDQZUBXAU
        KQZBCUBRZXDUEZXEGHWAWCXAULQZSZWEWFXFSZIWBXFQZWIWJWBWFXAUMQZSZSZWMWNWFXJ
        SZSZUIZUJZUJZUNZUHWTUOUCUPBCGHIUBUAUQAXAEURZVOZXBVRXRWSXTXAEUDAXSUSZUTX
        TUBXCDXQWSUPXTXAUKVEXTXCEUKQDXTXAEUKYAUTNVAXTXDDURZVOZBCXEXEXPVSVSWRYCX
        DDXTYBUSVBZYDYCGHXGXHXOWDWGWQYCXFJWAWCYCXFEULQJYCXAEULAXSYBVCZUTOVAZTYC
        XFJWEWFYFTYCIXIXNWHWPYCWBXFJYFVDYCXLWLWMWMXMWOYCXJFWNWFYCXJEUMQFYCXAEUM
        YEUTPVAZTYCXKWKWIWJYCXJFWBWFYGTTYCWMVFVGVHVIVIVJVKMWTUPVLAVRWSVMVNVPVQ
        $.
    $}

    $( The object part of the Hom functor is the ` Homf ` operation, which is
       just a functionalized version of ` Hom ` .  That is, it is a two
       argument function, which maps ` X , Y ` to the set of morphisms from
       ` X ` to ` Y ` .  (Contributed by Mario Carneiro, 15-Jan-2017.) $)
    hof1fval $p |- ( ph -> ( 1st ` M ) = ( Homf ` C ) ) $=
      ( vx vy vf vg vh chomf cfv cbs cv c1st co c2nd cop cmpo eqid cxp chom cco
      cmpt wceq hofval fvex xpex mpoex op1std syl ) ACBKLZFGBMLZUMUAZUNHIGNZOLZ
      FNZOLZBUBLZPUQQLUOQLZUSPJUQUSLINJNUQUTBUCLZPPHNUPURRUTVAPPUDSZSZRUECOLULU
      EAFGUMBVAHIJUSCDEUMTUSTVATUFULVCCBKUGFGUNUNVBUMUMBMUGZVDUHZVEUIUJUK $.

    hof1.b $e |- B = ( Base ` C ) $.
    hof1.h $e |- H = ( Hom ` C ) $.
    hof1.x $e |- ( ph -> X e. B ) $.
    hof1.y $e |- ( ph -> Y e. B ) $.
    $( The object part of the Hom functor maps ` X , Y ` to the set of
       morphisms from ` X ` to ` Y ` .  (Contributed by Mario Carneiro,
       15-Jan-2017.) $)
    hof1 $p |- ( ph -> ( X ( 1st ` M ) Y ) = ( X H Y ) ) $=
      ( c1st cfv co chomf hof1fval oveqd eqid homfval eqtrd ) AFGENOZPFGCQOZPFG
      DPAUCUDFGACEHIRSABCUDDFGUDTJKLMUAUB $.

    hof2.z $e |- ( ph -> Z e. B ) $.
    hof2.w $e |- ( ph -> W e. B ) $.
    hof2.o $e |- .x. = ( comp ` C ) $.
    $( The morphism part of the Hom functor, for morphisms
       ` <. f , g >. : <. X , Y >. --> <. Z , W >. ` (which since the first
       argument is contravariant means morphisms ` f : Z --> X ` and
       ` g : Y --> W ` ), yields a function (a morphism of ` SetCat ` ) mapping
       ` h : X --> Y ` to ` g o. h o. f : Z --> W ` .  (Contributed by Mario
       Carneiro, 15-Jan-2017.) $)
    hof2fval $p |- ( ph -> ( <. X , Y >. ( 2nd ` M ) <. Z , W >. ) =
      ( f e. ( Z H X ) , g e. ( Y H W ) |-> ( h e. ( X H Y ) |->
        ( ( g ( <. X , Y >. .x. W ) h ) ( <. Z , X >. .x. W ) f ) ) ) ) $=
      ( vx vy cop cxp cv c1st cfv c2nd cmpt cmpo cvv chomf wceq hofval fvex cbs
      co fvexi xpex mpoex op2ndd syl wa simprr fveq2d wcel op1stg syl2anc eqtrd
      adantr simprl oveq12d op2ndg df-ov eqtr4di oveqd eqidd oveq123d mpteq12dv
      opeq12d mpoeq123dv opelxpd ovex a1i ovmpod ) AUCUDKLUEZMJUEZBBUFZWJEFUDUG
      ZUHUIZUCUGZUHUIZHUSZWMUJUIZWKUJUIZHUSZGWMHUIZFUGZGUGZWMWQDUSZUSZEUGZWLWNU
      EZWQDUSZUSZUKZULZEFMKHUSZLJHUSZGKLHUSZWTXAWHJDUSZUSZXDMKUEZJDUSZUSZUKZULZ
      IUJUIZUMAICUNUIZUCUDWJWJXIULZUEUOXTYBUOAUCUDBCDEFGHINOPQUBUPYAYBICUNUQUCU
      DWJWJXIBBBCURPUTZYCVAZYDVBVCVDAWMWHUOZWKWIUOZVEZVEZEFWOWRXHXJXKXRYHWLMWNK
      HYHWLWIUHUIZMYHWKWIUHAYEYFVFZVGAYIMUOZYGAMBVHZJBVHZYKTUAMJBBVIVJVLVKZYHWN
      WHUHUIZKYHWMWHUHAYEYFVMZVGAYOKUOZYGAKBVHZLBVHZYQRSKLBBVIVJVLVKZVNYHWPLWQJ
      HYHWPWHUJUIZLYHWMWHUJYPVGAUUALUOZYGAYRYSUUBRSKLBBVOVJVLVKYHWQWIUJUIZJYHWK
      WIUJYJVGAUUCJUOZYGAYLYMUUDTUAMJBBVOVJVLVKZVNYHGWSXGXLXQYHWSWHHUIXLYHWMWHH
      YPVGKLHVPVQYHXCXNXDXDXFXPYHXEXOWQJDYHWLMWNKYNYTWBUUEVNYHXBXMWTXAYHWMWHWQJ
      DYPUUEVNVRYHXDVSVTWAWCAKLBBRSWDAMJBBTUAWDXSUMVHAEFXJXKXRMKHWELJHWEVBWFWG
      $.

    hof2.f $e |- ( ph -> F e. ( Z H X ) ) $.
    hof2.g $e |- ( ph -> G e. ( Y H W ) ) $.
    $( The morphism part of the Hom functor, for morphisms
       ` <. f , g >. : <. X , Y >. --> <. Z , W >. ` (which since the first
       argument is contravariant means morphisms ` f : Z --> X ` and
       ` g : Y --> W ` ), yields a function (a morphism of ` SetCat ` ) mapping
       ` h : X --> Y ` to ` g o. h o. f : Z --> W ` .  (Contributed by Mario
       Carneiro, 15-Jan-2017.) $)
    hof2val $p |- ( ph -> ( F ( <. X , Y >. ( 2nd ` M ) <. Z , W >. ) G ) =
      ( h e. ( X H Y ) |->
        ( ( G ( <. X , Y >. .x. W ) h ) ( <. Z , X >. .x. W ) F ) ) ) $=
      ( vf vg co cv cop cmpt c2nd cfv cvv hof2fval wceq wa wcel simplrr simplrl
      oveq1d oveq12d mpteq2dva ovex mptex a1i ovmpod ) AUEUFFGMKHUGLJHUGEKLHUGZ
      UFUHZEUHZKLUIZJDUGZUGZUEUHZMKUIJDUGZUGZUJEVGGVIVKUGZFVNUGZUJZVJMJUIIUKULU
      GUMABCDUEUFEHIJKLMNOPQRSTUAUBUNAVMFUOZVHGUOZUPUPZEVGVOVQWAVIVGUQZUPZVLVPV
      MFVNWCVHGVIVKAVSVTWBURUTAVSVTWBUSVAVBUCUDVRUMUQAEVGVQKLHVCVDVEVF $.

    hof2.k $e |- ( ph -> K e. ( X H Y ) ) $.
    $( The morphism part of the Hom functor, for morphisms
       ` <. f , g >. : <. X , Y >. --> <. Z , W >. ` (which since the first
       argument is contravariant means morphisms ` f : Z --> X ` and
       ` g : Y --> W ` ), yields a function (a morphism of ` SetCat ` ) mapping
       ` h : X --> Y ` to ` g o. h o. f : Z --> W ` .  (Contributed by Mario
       Carneiro, 15-Jan-2017.) $)
    hof2 $p |- ( ph ->
      ( ( F ( <. X , Y >. ( 2nd ` M ) <. Z , W >. ) G ) ` K ) =
        ( ( G ( <. X , Y >. .x. W ) K ) ( <. Z , X >. .x. W ) F ) ) $=
      ( vh cv cop co c2nd cfv cvv hof2val wceq simpr oveq2d oveq1d ovexd fvmptd
      wa ) AUFHFUFUGZKLUHZJDUIZUIZEMKUHJDUIZUIFHVCUIZEVEUIKLGUIEFVBMJUHIUJUKUIU
      IULABCDUFEFGIJKLMNOPQRSTUAUBUCUDUMAVAHUNZUTZVDVFEVEVHVAHFVCAVGUOUPUQUEAVF
      EVEURUS $.
  $}

  ${
    $d f g B $.  $d f g x y z D $.  $d f g H $.  $d f g K $.  $d f g x y z M $.
    $d f g h x y z C $.  $d f g L $.  $d f g x y z O $.  $d f g h x y z ph $.
    $d f g P $.  $d f g Q $.  $d f g S $.  $d f g T $.  $d f g W $.
    $d f g X $.  $d f g Y $.  $d f g Z $.
    hofcl.m $e |- M = ( HomF ` C ) $.
    hofcl.o $e |- O = ( oppCat ` C ) $.
    hofcl.d $e |- D = ( SetCat ` U ) $.
    hofcl.c $e |- ( ph -> C e. Cat ) $.
    hofcl.u $e |- ( ph -> U e. V ) $.
    hofcl.h $e |- ( ph -> ran ( Homf ` C ) C_ U ) $.
    ${
      hofcllem.b $e |- B = ( Base ` C ) $.
      hofcllem.h $e |- H = ( Hom ` C ) $.
      hofcllem.x $e |- ( ph -> X e. B ) $.
      hofcllem.y $e |- ( ph -> Y e. B ) $.
      hofcllem.z $e |- ( ph -> Z e. B ) $.
      hofcllem.w $e |- ( ph -> W e. B ) $.
      hofcllem.s $e |- ( ph -> S e. B ) $.
      hofcllem.t $e |- ( ph -> T e. B ) $.
      hofcllem.m $e |- ( ph -> K e. ( Z H X ) ) $.
      hofcllem.n $e |- ( ph -> L e. ( Y H W ) ) $.
      hofcllem.p $e |- ( ph -> P e. ( S H Z ) ) $.
      hofcllem.q $e |- ( ph -> Q e. ( W H T ) ) $.
      $( Lemma for ~ hofcl .  (Contributed by Mario Carneiro, 15-Jan-2017.) $)
      hofcllem $p |- ( ph ->
        ( ( K ( <. S , Z >. ( comp ` C ) X ) P )
          ( <. X , Y >. ( 2nd ` M ) <. S , T >. )
          ( Q ( <. Y , W >. ( comp ` C ) T ) L ) ) =
        ( ( P ( <. Z , W >. ( 2nd ` M ) <. S , T >. ) Q )
          ( <. ( X H Y ) , ( Z H W ) >. ( comp ` D ) ( S H T ) )
          ( K ( <. X , Y >. ( 2nd ` M ) <. Z , W >. ) L ) ) ) $=
        ( vf vg co cop cco cfv cv cmpt c2nd wcel eqid ccat adantr simpr catcocl
        catass oveq1d eqtrd eqtr3d mpteq2dva hof2val ccom oveq12d chomf homfval
        wa cxp wfn crn wss wf homffn a1i sylanbrc fovrnd eqeltrrd fmpttd setcco
        df-f eqidd wceq oveq2 fmptco 3eqtrd 3eqtr4d ) AURQRJUTZFLRPVAHCVBVCZUTU
        TZURVDZQRVAZHXDUTUTZKEGSVAZQXDUTUTZGQVAHXDUTUTZVEURXCFLXFXGPXDUTUTZKSQV
        AZPXDUTUTZSPVAZHXDUTZUTZEXIHXDUTZUTZVEZXJXEXGGHVAZMVFVCZUTUTEFXOYAYBUTU
        TZKLXGXOYBUTUTZXCSPJUTZVAGHJUTZDVBVCZUTZUTZAURXCXKXSAXFXCVGZWCZXHKXMHXD
        UTZUTZEXRUTXKXSYKBCXDEKJXHHGSQUFUGXDVHZACVIVGZYJUCVJZAGBVGZYJULVJASBVGZ
        YJUJVJZAQBVGYJUHVJZAEGSJUTVGZYJUPVJAKSQJUTVGYJUNVJZAHBVGZYJUMVJZYKBCXDX
        FXEJQRHUFUGYNYPYTARBVGYJUIVJZUUDAYJVKZAXERHJUTVGYJABCXDLFJRPHUFUGYNUCUI
        UKUMUOUQVLZVJVLVMYKYMXQEXRYKYMFXLQPVAHXDUTUTZKYLUTXQYKXHUUHKYLYKBCXDXFL
        JFHQRPUFUGYNYPYTUUEAPBVGZYJUKVJZUUFALRPJUTVGYJUOVJZUUDAFPHJUTVGZYJUQVJZ
        VMVNYKBCXDKXLJFHSQPUFUGYNYPYSYTUUJUUBYKBCXDXFLJQRPUFUGYNYPYTUUEUUJUUFUU
        KVLZUUDUUMVMVOVNVPVQABCXDURXJXEJMHQRGTUCUFUGUHUIULUMYNABCXDEKJGSQUFUGYN
        UCULUJUHUPUNVLUUGVRAYIUSYEFUSVDZXPUTZEXRUTZVEZURXCXNVEZYHUTUURUUSVSXTAY
        CUURYDUUSYHABCXDUSEFJMHSPGTUCUFUGUJUKULUMYNUPUQVRABCXDURKLJMPQRSTUCUFUG
        UHUIUJUKYNUNUOVRVTADYGIUUSUUROXCYEYFUBUDYGVHAQRCWAVCZUTXCIABCUUTJQRUUTV
        HZUFUGUHUIWBAQRIBBUUTAUUTBBWDZWEZUUTWFIWGUVBIUUTWHUVCABCUUTUVAUFWIWJUEU
        VBIUUTWPWKZUHUIWLWMASPUUTUTYEIABCUUTJSPUVAUFUGUJUKWBASPIBBUUTUVDUJUKWLW
        MAGHUUTUTYFIABCUUTJGHUVAUFUGULUMWBAGHIBBUUTUVDULUMWLWMAURXCXNYEYKBCXDKX
        LJSQPUFUGYNYPYSYTUUJUUBUUNVLZWNAUSYEUUQYFAUUOYEVGZWCZBCXDEUUPJGSHUFUGYN
        AYOUVFUCVJZAYQUVFULVJAYRUVFUJVJZAUUCUVFUMVJZAUUAUVFUPVJUVGBCXDUUOFJSPHU
        FUGYNUVHUVIAUUIUVFUKVJUVJAUVFVKAUULUVFUQVJVLVLWNWOAURUSXCYEXNUUQXSUUSUU
        RUVEAUUSWQAUURWQUUOXNWRUUPXQEXRUUOXNFXPWSVNWTXAXB $.
    $}

    $( Closure of the Hom functor.  Note that the codomain is the category
       ` SetCat `` U ` for any universe ` U ` which contains each Hom-set.
       This corresponds to the assertion that ` C ` be locally small (with
       respect to ` U ` ).  (Contributed by Mario Carneiro, 15-Jan-2017.) $)
    hofcl $p |- ( ph -> M e. ( ( O Xc. C ) Func D ) ) $=
      ( vf cfv cop co eqid syl wcel vx vy vg vh vz chomf c2nd cxpc cfunc cbs cv
      cxp c1st chom cco cmpt cmpo hofval wceq fvex xpex mpoex op2ndd opeq2d wbr
      eqtr4d ccid oppcbas xpcbas ccat oppccat xpccat setccat wfn crn wss homffn
      a1i df-f sylanbrc setcbas feq3d mpbid ovex fnmpoi fneq1d mpbiri ad3antrrr
      wf wa wral simplrr xp1st adantr simplrl xp2nd 1st2nd2 oveq1d oveqd fveq2d
      eqtr4di eleq2d catcocl eqeltrd eleqtrrd ad2antrr homfval 3eqtr4d ffvelrnd
      df-ov biimpa fmpttd eqeltrrd elsetchom mpbird oveq12d ralrimivva fmpo cvv
      sylib ovmpt4g mp3an3 sylan9eq xpchom oppchom eqtrdi cid cres adantl eqtrd
      catidcl opeq1d 3eqtrd fveq12d 3ad2ant1 eleqtrd eleqtrdi opeq12d oveq123d
      w3a simprl simprr xpeq1i feq12d catlid mpteq2dva hof2val eqtr3id mptresid
      catrid reseq2d oppcid fveq1d ffvelrnda setcid simp21 simp22 simp23 simp3l
      simpr xpcid simp3r hofcllem xpcco2 oppcco isfuncd df-br ) AEBUFOZEUGOZPZF
      BUHQZCUIQZAEUVHUAUBBUJOZUVMULZUVNNUCUBUKZUMOZUAUKZUMOZBUNOZQZUVQUGOZUVOUG
      OZUVSQZUDUVQUVSOZUCUKZUDUKZUVQUWBBUOOZQZQZNUKZUVPUVRPUWBUWGQQZUPZUQZUQZPZ
      UVJAUAUBUVMBUWGNUCUDUVSEHKUVMRZUVSRZUWGRZURZAUVIUWNUVHAEUWOUSUVIUWNUSUWSU
      VHUWNEBUFUTUAUBUVNUVNUWMUVMUVMBUJUTZUWTVAZUXAVBVCSZVDVFAUVHUVIUVLVEUVJUVL
      TAUAUBUEUVNCUJOZUVKUVKUOOZUVKVGOZNUCCUVHUVIUVKUNOZCVGOZCUNOZCUOOZFBUVKUVM
      UVMUVKRZUVMBFIUWPVHZUWPVIZUXCRUXFRZUXHRZUXERZUXGRZUXDRZUXIRAFBUVKUXJABVJT
      ZFVJTZKBFIVKSZKVLADGTZCVJTLCDGJVMSAUVNDUVHWIZUVNUXCUVHWIAUVHUVNVNZUVHVODV
      PZUYBUYCAUVMBUVHUVHRZUWPVQVRMUVNDUVHVSVTZADUXCUVHUVNACDGJLWAWBWCAUVIUVNUV
      NULZVNUWNUYGVNUAUBUVNUVNUWMUWNUWNRZNUCUVTUWCUWLUVPUVRUVSWDUWAUWBUVSWDVBZW
      EAUYGUVIUWNUXBWFWGAUVQUVNTZUVOUVNTZWJZWJZUVQUVOUXFQZUVQUVHOZUVOUVHOZUXHQZ
      UVQUVOUVIQZWIUVTUWCULZUYQUWMWIZUYMUWLUYQTZUCUWCWKNUVTWKUYTUYMVUANUCUVTUWC
      UYMUWJUVTTZUWEUWCTZWJZWJZUWLUWDUVOUVSOZUXHQZUYQVUEUWLVUGTUWDVUFUWLWIVUEUD
      UWDUWKVUFVUEUWFUWDTZWJZUWKUVPUWBUVSQZVUFVUIUVMBUWGUWJUWIUVSUVPUVRUWBUWPUW
      QUWRAUXRUYLVUDVUHKWHZVUEUVPUVMTZVUHVUEUYKVULAUYJUYKVUDWLZUVOUVMUVMWMZSZWN
      VUEUVRUVMTZVUHVUEUYJVUPAUYJUYKVUDWOZUVQUVMUVMWMZSZWNZVUEUWBUVMTZVUHVUEUYK
      VVAVUMUVOUVMUVMWPZSZWNZUYMVUBVUCVUHWOVUIUWIUWEUWFUVRUWAPZUWBUWGQZQUVRUWBU
      VSQVUIUWHVVFUWEUWFVUIUVQVVEUWBUWGVUEUVQVVEUSZVUHVUEUYJVVGVUQUVQUVMUVMWQZS
      ZWNWRWSVUIUVMBUWGUWFUWEUVSUVRUWAUWBUWPUWQUWRVUKVUTVUEUWAUVMTZVUHVUEUYJVVJ
      VUQUVQUVMUVMWPZSZWNVVDVUEVUHUWFUVRUWAUVSQZTVUEUWDVVMUWFVUEUWDVVEUVSOVVMVU
      EUVQVVEUVSVVIWTUVRUWAUVSXJXAZXBXKUYMVUBVUCVUHWLXCXDXCVUEVUFVUJUSVUHVUEVUF
      UVPUWBPZUVSOVUJVUEUVOVVOUVSVUEUYKUVOVVOUSZVUMUVOUVMUVMWQZSZWTUVPUWBUVSXJX
      AZWNXEXLVUECDUWLUXHGUWDVUFJAUYAUYLVUDLXFUXNVUEUYOUWDDVUEUVRUWAUVHQZVVMUYO
      UWDVUEUVMBUVHUVSUVRUWAUYEUWPUWQVUSVVLXGVUEUYOVVEUVHOZVVTVUEUVQVVEUVHVVIWT
      UVRUWAUVHXJZXAVVNXHZVUEUVNDUVQUVHAUYBUYLVUDUYFXFZVUQXIXMVUEUYPVUFDVUEUVPU
      WBUVHQZVUJUYPVUFVUEUVMBUVHUVSUVPUWBUYEUWPUWQVUOVVCXGVUEUYPVVOUVHOZVWEVUEU
      VOVVOUVHVVRWTUVPUWBUVHXJZXAVVSXHZVUEUVNDUVOUVHVWDVUMXIXMXNXOVUEUYOUWDUYPV
      UFUXHVWCVWHXPXEXQNUCUVTUWCUWLUYQUWMUWMRXRXTUYMUYNUYSUYQUYRUWMAUYLUYRUVQUV
      OUWNQZUWMAUVIUWNUVQUVOUXBWSUYJUYKUWMXSTVWIUWMUSUYIUAUBUVNUVNUWMUWNXSUYHYA
      YBYCUYMUYNUVRUVPFUNOZQZUWCULZUYSUYMUVNFBUVKVWJUVSUXFUVQUVOUXJUXLVWJRZUWQU
      XMAUYJUYKUUAAUYJUYKUUBYDVWKUVTUWCBUVSFUVRUVPUWQIYEZUUCYFUUDXOAUYJWJZUVRBV
      GOZOZUWAVWPOZPZVVEVVEUVIQZOZYGUYOYHZUVQUXEOZUVQUVQUVIQZOUYOUXGOVWONVVMVWR
      UWJVVEUWAUWGQQZVWQUVRUVRPUWAUWGQZQZUPZNVVMUWJUPZVXAVXBVWONVVMVXGUWJVWOUWJ
      VVMTZWJZVXGUWJVWQVXFQUWJVXKVXEUWJVWQVXFVXKUVMBUWGVWPUWJUVSUVRUWAUWPUWQVWP
      RZAUXRUYJVXJKXFZVWOVUPVXJUYJVUPAVURYIZWNZUWRVWOVVJVXJUYJVVJAVVKYIZWNZVWOV
      XJUUTZUUEWRVXKUVMBUWGVWPUWJUVSUVRUWAUWPUWQVXLVXMVXOUWRVXQVXRUUJYJUUFVWOVX
      AVWQVWRVWTQVXHVWQVWRVWTXJVWOUVMBUWGNVWQVWRUVSEUWAUVRUWAUVRHAUXRUYJKWNZUWP
      UWQVXNVXPVXNVXPUWRVWOUVMBVWPUVSUVRUWPUWQVXLVXSVXNYKVWOUVMBVWPUVSUWAUWPUWQ
      VXLVXSVXPYKUUGUUHVWOVXBYGVVMYHVXIVWOUYOVVMYGVWOUYOVVTVVMVWOUYOVWAVVTVWOUV
      QVVEUVHUYJVVGAVVHYIZWTVWBXAVWOUVMBUVHUVSUVRUWAUYEUWPUWQVXNVXPXGYJUUKNVVMU
      UIYFXHVWOVXCVWSVXDVWTVWOUVQVVEUVQVVEUVIVXTVXTXPVWOVXCVVEUXEOUVRFVGOZOZVWR
      PVWSVWOUVQVVEUXEVXTWTVWOFBUVRUWAUVKUXEVYAVWPUVMUVMUXJAUXSUYJUXTWNVXSUXKUW
      PVYARVXLUXOVXNVXPUVAVWOVYBVWQVWRVWOUVRVYAVWPVWOUXRVYAVWPUSVXSVWPBFIVXLUUL
      SUUMYLYMYNVWOCDUXGGUYOJUXPAUYAUYJLWNAUVNDUVQUVHUYFUUNUUOXHAUYJUYKUEUKZUVN
      TZYTZUWJUYNTZUWEUVOVYCUXFQZTZWJZYTZUWJUMOZUWEUMOZVYCUMOZUVPPUVRUWGQQZUWEU
      GOZUWJUGOZUWAUWBPVYCUGOZUWGQQZVVEVYMVYQPZUVIQZQZVYLVYOVVOVYSUVIQZQZVYKVYP
      VVEVVOUVIQZQZVVMVUJPZVYMVYQUVSQZUXIQZQUWEUWJUVQUVOPZVYCUXDQZQZUVQVYCUVIQZ
      OZUWEUVOVYCUVIQZOZUWJUYROZUYOUYPPZVYCUVHOZUXIQZQVYJUVMBCVYLVYOVYMVYQDUVSV
      YKVYPEFGUWBUVRUWAUVPHIJAVYEUXRVYIKYOAVYEUYAVYILYOAVYEUYDVYIMYOUWPUWQVYJUY
      JVUPAUYJUYKVYDVYIUUPZVURSZVYJUYJVVJWUTVVKSZVYJUYKVULAUYJUYKVYDVYIUUQZVUNS
      ZVYJUYKVVAWVCVVBSZVYJVYDVYMUVMTAUYJUYKVYDVYIUURZVYCUVMUVMWMSZVYJVYDVYQUVM
      TWVFVYCUVMUVMWPSZVYJVYKVWKUVTVYJUWJVWLTZVYKVWKTVYJUWJUYNVWLAVYEVYFVYHUUSV
      YJUVNFBUVKVWJUVSUXFUVQUVOUXJUXLVWMUWQUXMWUTWVCYDYPZUWJVWKUWCWMSZVWNYQVYJW
      VIVYPUWCTWVJUWJVWKUWCWPSZVYJVYLUVPVYMVWJQZVYMUVPUVSQVYJUWEWVMUWBVYQUVSQZU
      LZTZVYLWVMTVYJUWEVYGWVOAVYEVYFVYHUVBVYJUVNFBUVKVWJUVSUXFUVOVYCUXJUXLVWMUW
      QUXMWVCWVFYDYPZUWEWVMWVNWMSZBUVSFUVPVYMUWQIYEYQVYJWVPVYOWVNTWVQUWEWVMWVNW
      PSZUVCVYJWUMVYNVYRPZVYTOWUAVYJWUKWVTWULVYTVYJUVQVVEVYCVYSUVIVYJUYJVVGWUTV
      VHSZVYJVYDVYCVYSUSWVFVYCUVMUVMWQSZXPVYJWUKVYLVYOPZVYKVYPPZVVEVVOPZVYSUXDQ
      ZQVYLVYKUVRUVPPVYMFUOOZQQZVYRPWVTVYJUWEWWCUWJWWDWUJWWFVYJWUIWWEVYCVYSUXDV
      YJUVQVVEUVOVVOWWAVYJUYKVVPWVCVVQSZYRWWBXPVYJWVPUWEWWCUSWVQUWEWVMWVNWQSZVY
      JWVIUWJWWDUSWVJUWJVWKUWCWQSZYSVYJFBUVPUWBVYMVYQUWGUVKWWGVYKVYPVWJUVSVYLVY
      OUVRUWAUXDUVMUVMUXJUXKUWPVWMUWQWVAWVBWVDWVEWWGRUWRUXQWVGWVHWVKWVLWVRWVSUV
      DVYJWWHVYNVYRVYJUVMBUWGVYKVYLFUVRUVPVYMUWPUWRIWVAWVDWVGUVEYLYMYNVYNVYRVYT
      XJXAVYJWUOWUCWUPWUEWUSWUHVYJWUQWUFWURWUGUXIVYJUYOVVMUYPVUJVYJUYOVVTVVMVYJ
      UYOVWAVVTVYJUVQVVEUVHWWAWTVWBXAVYJUVMBUVHUVSUVRUWAUYEUWPUWQWVAWVBXGYJVYJU
      YPVWEVUJVYJUYPVWFVWEVYJUVOVVOUVHWWIWTVWGXAVYJUVMBUVHUVSUVPUWBUYEUWPUWQWVD
      WVEXGYJYRVYJWURVYMVYQUVHQZWUGVYJWURVYSUVHOWWLVYJVYCVYSUVHWWBWTVYMVYQUVHXJ
      XAVYJUVMBUVHUVSVYMVYQUYEUWPUWQWVGWVHXGYJXPVYJWUOWWCWUBOWUCVYJUWEWWCWUNWUB
      VYJUVOVVOVYCVYSUVIWWIWWBXPWWJYNVYLVYOWUBXJXAVYJWUPWWDWUDOWUEVYJUWJWWDUYRW
      UDVYJUVQVVEUVOVVOUVIWWAWWIXPWWKYNVYKVYPWUDXJXAYSXHUVFUVHUVIUVLUVGXTXD $.
  $}

  ${
    oppchofcl.o $e |- O = ( oppCat ` C ) $.
    oppchofcl.m $e |- M = ( HomF ` O ) $.
    oppchofcl.d $e |- D = ( SetCat ` U ) $.
    oppchofcl.c $e |- ( ph -> C e. Cat ) $.
    oppchofcl.u $e |- ( ph -> U e. V ) $.
    oppchofcl.h $e |- ( ph -> ran ( Homf ` C ) C_ U ) $.
    $( Closure of the opposite Hom functor.  (Contributed by Mario Carneiro,
       17-Jan-2017.) $)
    oppchofcl $p |- ( ph -> M e. ( ( C Xc. O ) Func D ) ) $=
      ( cfv co cfunc eqid ccat wcel chomf coppc cxpc oppccat syl ctpos oppchomf
      crn rneqi cdm wrel wceq cbs relxp homffn fndmi releqi mpbir rntpos eqtr3i
      cxp ax-mp eqsstrid hofcl 2oppchomf a1i 2oppccomf xpcpropd oveq1d eleqtrrd
      ccomf eqidd ) AEFUANZFUBOZCPOBFUBOZCPOAFCDEVLGIVLQZJABRSFRSZKBFHUCUDZLAFT
      NZUGZBTNZUGZDVTUEZUGZVSWAWBVRBVTFHVTQZUFUHVTUIZUJZWCWAUKWFBULNZWGUTZUJWGW
      GUMWEWHWHVTWGBVTWDWGQUNUOUPUQVTURVAUSMVBVCAVNVMCPABVLFFRVTVLTNUKABFHVDVEB
      VJNVLVJNUKABFHVFVEAVRVKAFVJNVKKAVPVLRSVQFVLVOUCUDVQVQVGVHVI $.
  $}

  ${
    $d c C $.  $d c M $.  $d c O $.  $d c ph $.
    yonval.y $e |- Y = ( Yon ` C ) $.
    yonval.c $e |- ( ph -> C e. Cat ) $.
    yonval.o $e |- O = ( oppCat ` C ) $.
    ${
      yonval.m $e |- M = ( HomF ` O ) $.
      $( Value of the Yoneda embedding.  (Contributed by Mario Carneiro,
         17-Jan-2017.) $)
      yonval $p |- ( ph -> Y = ( <. C , O >. curryF M ) ) $=
        ( vc cyon cfv cop ccurf co cv coppc chof fveq2d eqtr4di ccat cvv df-yon
        wceq wa simpr opeq12d oveq12d ovexd fvmptd2 eqtrid ) AEBKLBDMZCNOZFAJBJ
        PZUNQLZMZUORLZNOUMUAKUBJUCAUNBUDZUEZUPULUQCNUSUNBUODAURUFZUSUOBQLDUSUNB
        QUTSHTZUGUSUQDRLCUSUODRVASITUHGAULCNUIUJUK $.
    $}

    yoncl.s $e |- S = ( SetCat ` U ) $.
    yoncl.q $e |- Q = ( O FuncCat S ) $.
    yoncl.u $e |- ( ph -> U e. V ) $.
    yoncl.h $e |- ( ph -> ran ( Homf ` C ) C_ U ) $.
    $( The Yoneda embedding is a functor from the category to the category
       ` Q ` of presheaves on ` C ` .  (Contributed by Mario Carneiro,
       17-Jan-2017.) $)
    yoncl $p |- ( ph -> Y e. ( C Func Q ) ) $=
      ( cop co eqid ccat wcel chof cfv ccurf cfunc yonval oppccat syl oppchofcl
      curfcl eqeltrd ) AHBFPFUAUBZUCQZBCUDQABUKFHIJKUKRZUEABFCDUKULULRMJABSTFST
      JBFKUFUGABDEUKFGKUMLJNOUHUIUJ $.
  $}

  ${
    yon11.y $e |- Y = ( Yon ` C ) $.
    yon11.b $e |- B = ( Base ` C ) $.
    yon11.c $e |- ( ph -> C e. Cat ) $.
    yon11.p $e |- ( ph -> X e. B ) $.
    ${
      yon1cl.o $e |- O = ( oppCat ` C ) $.
      yon1cl.s $e |- S = ( SetCat ` U ) $.
      yon1cl.u $e |- ( ph -> U e. V ) $.
      yon1cl.h $e |- ( ph -> ran ( Homf ` C ) C_ U ) $.
      $( The Yoneda embedding at an object of ` C ` is a presheaf on ` C ` ,
         also known as the contravariant Hom functor.  (Contributed by Mario
         Carneiro, 17-Jan-2017.) $)
      yon1cl $p |- ( ph -> ( ( 1st ` Y ) ` X ) e. ( O Func S ) ) $=
        ( cfunc co cfv c1st cfuc c2nd eqid wrel wcel wbr relfunc yoncl 1st2ndbr
        fucbas sylancr funcf1 ffvelrnd ) ABFDRSZHIUATZABUOCFDUBSZUPIUCTZKFDUQUQ
        UDZUKACUQRSZUEIUTUFUPURUTUGCUQUHACUQDEFGIJLNOUSPQUIIUTUJULUMMUN $.
    $}

    yon11.h $e |- H = ( Hom ` C ) $.
    yon11.z $e |- ( ph -> Z e. B ) $.
    $( Value of the Yoneda embedding at an object.  The partially evaluated
       Yoneda embedding is also the contravariant Hom functor.  (Contributed by
       Mario Carneiro, 17-Jan-2017.) $)
    yon11 $p |- ( ph ->
      ( ( 1st ` ( ( 1st ` Y ) ` X ) ) ` Z ) = ( Z H X ) ) $=
      ( c1st cfv co eqid fveq2d fveq1d wcel coppc chof ccurf yonval chomf csetc
      cop crn ccat oppccat syl cvv fvex rnex a1i ssidd oppchofcl oppcbas curf11
      chom hof1 oppchom eqtrdi 3eqtrd ) AGEFNOZOZNOZOGECCUAOZUGVHUBOZUCPZNOZOZN
      OZOEGVINOPZGEDPZAGVGVMAVFVLNAEVEVKAFVJNACVIVHFHJVHQZVIQZUDRSRSABBCVHCUEOZ
      UHZUFOZVIVJVLEGVJQIJACUITVHUITJCVHVPUJUKZACVTVSVIVHULVPVQVTQJVSULTAVRCUEU
      MUNUOAVSUPUQBCVHVPIURZKVLQMUSAVNEGVHUTOZPVOABVHWCVIEGVQWAWBWCQKMVACDVHEGL
      VPVBVCVD $.

    yon12.x $e |- .x. = ( comp ` C ) $.
    yon12.w $e |- ( ph -> W e. B ) $.
    ${
      yon12.f $e |- ( ph -> F e. ( W H Z ) ) $.
      yon12.g $e |- ( ph -> G e. ( Z H X ) ) $.
      $( Value of the Yoneda embedding at a morphism.  The partially evaluated
         Yoneda embedding is also the contravariant Hom functor.  (Contributed
         by Mario Carneiro, 17-Jan-2017.) $)
      yon12 $p |- ( ph -> ( ( ( Z ( 2nd ` ( ( 1st ` Y ) ` X ) ) W ) ` F ) ` G )
        = ( G ( <. W , Z >. .x. X ) F ) ) $=
        ( c1st cfv c2nd ccid cop coppc chof cco ccurf eqid yonval fveq2d fveq1d
        co oveqd chomf crn csetc chom ccat wcel oppccat syl cvv fvex rnex ssidd
        a1i oppchofcl oppcbas oppchom eleqtrrdi curf12 eqtrd hof2 oppcco oveq1d
        catidcl catcocl catlid 3eqtrd ) AFEKHIJUBUCZUCZUDUCZUOZUCZUCFICUEUCZUCZ
        EIKUFZIHUFCUGUCZUHUCZUDUCUOUOZUCEFWJHWKUIUCZUOUOZWIIIUFHWNUOZUOZFEHKUFI
        DUOUOZAFWGWMAWGEKHICWKUFWLUJUOZUBUCZUCZUDUCZUOZUCWMAEWFXCAWEXBKHAWDXAUD
        AIWCWTAJWSUBACWLWKJLNWKUKZWLUKZULUMUNUMUPUNABBCWKWHCUQUCZURZUSUCZWLWSEW
        KUTUCZXAIKHWSUKMNACVAVBWKVAVBNCWKXDVCVDZACXHXGWLWKVEXDXEXHUKNXGVEVBAXFC
        UQVFVGVIAXGVHVJBCWKXDMVKZOXAUKQXIUKZWHUKZSAEHKGUOKHXIUOTCGWKKHPXDVLVMZV
        NVOUNABWKWNWIEXIFWLHIKIXEXJXKXLOQOSWNUKAWIIIGUOIIXIUOABCWHGIMPXMNOVSCGW
        KIIPXDVLVMXNAFKIGUOIKXIUOUACGWKIKPXDVLVMVPAWQWRWIWPUOWIWRHIUFIDUOUOWRAW
        OWRWIWPABCDFEWKIKHMRXDOQSVQVRABCDWIWRWKIIHMRXDOOSVQABCDWHWRGHIMPXMNSROA
        BCDEFGHKIMPRNSQOTUAVTWAWBWB $.
    $}

    yon2.f $e |- ( ph -> F e. ( X H Z ) ) $.
    yon2.g $e |- ( ph -> G e. ( W H X ) ) $.
    $( Value of the Yoneda embedding at a morphism.  (Contributed by Mario
       Carneiro, 17-Jan-2017.) $)
    yon2 $p |- ( ph -> ( ( ( ( X ( 2nd ` Y ) Z ) ` F ) ` W ) ` G )
      = ( F ( <. W , X >. .x. Z ) G ) ) $=
      ( c2nd cfv coppc ccid cop chof cco ccurf yonval fveq2d oveqd fveq1d chomf
      co eqid crn csetc ccat wcel oppccat syl cvv fvex rnex a1i ssidd oppchofcl
      oppcbas curf2val chom oppchom eleqtrrdi catidcl hof2 catlid oveq1d oppcco
      eqtrd 3eqtrd ) AFHEIKJUBUCZUOZUCZUCZUCFEHCUDUCZUEUCZUCZIHUFZKHUFWEUGUCZUB
      UCUOUOZUCWGFWHHWEUHUCZUOUOZEKIUFHWKUOZUOZEFHIUFKDUOUOZAFWDWJAWDHEIKCWEUFW
      IUIUOZUBUCZUOZUCZUCWJAHWCWSAEWBWRAWAWQIKAJWPUBACWIWEJLNWEUPZWIUPZUJUKULUM
      UMABBCWECUNUCZUQZURUCZWIWPGWFEWSIKHWPUPMNACUSUTWEUSUTNCWEWTVAVBZACXDXCWIW
      EVCWTXAXDUPNXCVCUTAXBCUNVDVEVFAXCVGVHBCWEWTMVIZPWFUPZOQTWSUPSVJVSUMABWEWK
      EWGWEVKUCZFWIHIHKXAXEXFXHUPZOSQSWKUPZAEIKGUOKIXHUOTCGWEKIPWTVLVMABWEWFXHH
      XFXIXGXESVNAFHIGUOIHXHUOUACGWEIHPWTVLVMZVOAWNFEWMUOWOAWLFEWMABWEWKWFFXHIH
      XFXIXGXEOXJSXKVPVQABCDEFWEKIHMRWTQOSVRVSVT $.
  $}

  ${
    $d f g h x y C $.  $d f g h x y D $.  $d f g h x y ph $.
    hofpropd.1 $e |- ( ph -> ( Homf ` C ) = ( Homf ` D ) ) $.
    hofpropd.2 $e |- ( ph -> ( comf ` C ) = ( comf ` D ) ) $.
    hofpropd.c $e |- ( ph -> C e. Cat ) $.
    hofpropd.d $e |- ( ph -> D e. Cat ) $.
    $( If two categories have the same set of objects, morphisms, and
       compositions, then they have the same Hom functor.  (Contributed by
       Mario Carneiro, 26-Jan-2017.) $)
    hofpropd $p |- ( ph -> ( HomF ` C ) = ( HomF ` D ) ) $=
      ( vx vy vf vg vh cfv cv co wceq wcel adantr eqid ad2antrr chomf c1st chom
      cbs cxp c2nd cco cmpt cmpo chof homfeqbas sqxpeqd xp1st ad2antll ad2antrl
      cop wa homfeqval xp2nd df-ov 3eqtr3g 1st2nd2 fveq2d 3eqtr4d ccomf simplrl
      ad3antrrr oveq1d oveqd ccat eqtr4di eleq2d biimpa simplrr catcocl eqeltrd
      comfeqval eqtrd mpteq12dva mpoeq123dva opeq12d hofval ) ABUAMZHIBUDMZWDUE
      ZWEJKINZUBMZHNZUBMZBUCMZOZWHUFMZWFUFMZWJOZLWHWJMZKNZLNZWHWMBUGMZOZOZJNZWG
      WIUPZWMWROOZUHZUIZUIZUPCUAMZHICUDMZXHUEZXIJKWGWICUCMZOZWLWMXJOZLWHXJMZWPW
      QWHWMCUGMZOZOZXAXBWMXNOZOZUHZUIZUIZUPBUJMZCUJMZAWCXGXFYADAHIWEWEXEXIXIXTA
      WDXHABCDUKULZAWEXIPWHWEQZYDRAYEWFWEQZUQZUQZJKWKWNXDXKXLXSYHWDBCWJXJWGWIWD
      SZWJSZXJSZAWCXGPZYGDRZYFWGWDQZAYEWFWDWDUMUNZYEWIWDQZAYFWHWDWDUMUOZURYHWNX
      LPXAWKQZYHWDBCWJXJWLWMYIYJYKYMYEWLWDQZAYFWHWDWDUSUOZYFWMWDQZAYEWFWDWDUSUN
      ZURRYHYRWPWNQZUQZUQZLWOXCXMXRYHWOXMPUUDYHWIWLUPZWJMZUUFXJMZWOXMYHWIWLWJOZ
      WIWLXJOUUGUUHYHWDBCWJXJWIWLYIYJYKYMYQYTURWIWLWJUTZWIWLXJUTVAYHWHUUFWJYEWH
      UUFPZAYFWHWDWDVBUOZVCZYHWHUUFXJUULVCVDRUUEWQWOQZUQZXCWTXAXQOXRUUOWDBCXNWR
      XAWTWJWGWIWMYIYJWRSZXNSZYHYLUUDUUNYMTZABVEMCVEMPYGUUDUUNEVGZYHYNUUDUUNYOT
      YHYPUUDUUNYQTZYHUUAUUDUUNUUBTZYHYRUUCUUNVFUUOWTWPWQUUFWMWROZOZWIWMWJOUUOW
      SUVBWPWQUUOWHUUFWMWRYHUUKUUDUUNUULTZVHVIZUUOWDBWRWQWPWJWIWLWMYIYJUUPABVJQ
      YGUUDUUNFVGUUTYHYSUUDUUNYTTZUVAUUEUUNWQUUIQUUEWOUUIWQUUEWOUUGUUIYHWOUUGPU
      UDUUMRUUJVKVLVMZYHYRUUCUUNVNZVOVPVQUUOWTXPXAXQUUOUVCWPWQUUFWMXNOZOWTXPUUO
      WDBCXNWRWQWPWJWIWLWMYIYJUUPUUQUURUUSUUTUVFUVAUVGUVHVQUVEUUOXOUVIWPWQUUOWH
      UUFWMXNUVDVHVIVDVHVRVSVTVTWAAHIWDBWRJKLWJYBYBSFYIYJUUPWBAHIXHCXNJKLXJYCYC
      SGXHSYKUUQWBVD $.

    $( If two categories have the same set of objects, morphisms, and
       compositions, then they have the same Yoneda functor.  (Contributed by
       Mario Carneiro, 26-Jan-2017.) $)
    yonpropd $p |- ( ph -> ( Yon ` C ) = ( Yon ` D ) ) $=
      ( coppc cfv cop chof ccurf co cyon chomf ccat wcel eqid oppccat syl csetc
      crn oppchomfpropd oppccomfpropd cvv fvex a1i oppchofcl curfpropd hofpropd
      rnex ssidd oveq2d eqtrd yonval 3eqtr4d ) ABBHIZJUQKIZLMZCCHIZJZUTKIZLMZBN
      IZCNIZAUSVAURLMVCABCUQUTBOIZUBZUAIZURDEABCDUCZABCDEUDZFGABPQUQPQFBUQUQRZS
      TZACPQUTPQGCUTUTRZSTZABVHVGURUQUEVKURRZVHRFVGUEQAVFBOUFUKUGAVGULUHUIAURVB
      VALAUQUTVIVJVLVNUJUMUNABURUQVDVDRFVKVOUOACVBUTVEVERGVMVBRUOUP $.
  $}

  ${
    oppcyon.o $e |- O = ( oppCat ` C ) $.
    oppcyon.y $e |- Y = ( Yon ` O ) $.
    oppcyon.m $e |- M = ( HomF ` C ) $.
    oppcyon.c $e |- ( ph -> C e. Cat ) $.
    $( Value of the opposite Yoneda embedding.  (Contributed by Mario Carneiro,
       26-Jan-2017.) $)
    oppcyon $p |- ( ph -> Y = ( <. O , C >. curryF M ) ) $=
      ( cfv cop ccurf co chof chomf a1i ccomf ccat wcel eqid coppc wceq oppccat
      2oppchomf 2oppccomf syl hofpropd eqtrid oveq2d crn csetc eqidd fvex ssidd
      cvv rnex hofcl curfpropd yonval 3eqtr4rd ) ADDUAJZKZCLMVBVANJZLMDBKCLMEAC
      VCVBLACBNJVCHABVABOJZVAOJUBABDFUDPZBQJVAQJUBABDFUEPZIADRSZVARSABRSVGIBDFU
      CUFZDVAVATZUCUFZUGUHUIADDBVAVDUJZUKJZCADOJULADQJULVEVFVHVHIVJABVLVKCDUOHF
      VLTIVKUOSAVDBOUMUPPAVKUNUQURADVCVAEGVHVIVCTUSUT $.
  $}

  ${
    oyoncl.o $e |- O = ( oppCat ` C ) $.
    oyoncl.y $e |- Y = ( Yon ` O ) $.
    oyoncl.c $e |- ( ph -> C e. Cat ) $.
    oyoncl.s $e |- S = ( SetCat ` U ) $.
    oyoncl.u $e |- ( ph -> U e. V ) $.
    oyoncl.h $e |- ( ph -> ran ( Homf ` C ) C_ U ) $.
    ${
      oyoncl.q $e |- Q = ( C FuncCat S ) $.
      $( The opposite Yoneda embedding is a functor from ` oppCat `` C ` to the
         functor category ` C -> SetCat ` .  (Contributed by Mario Carneiro,
         26-Jan-2017.) $)
      oyoncl $p |- ( ph -> Y e. ( O Func Q ) ) $=
        ( cfv co ccat wcel eqid coppc cfuc cfunc oppccat syl chomf crn oppchomf
        ctpos rneqi cdm wrel wceq cbs cxp relxp homffn fndmi releqi mpbir ax-mp
        rntpos eqtr3i eqsstrid yoncl 2oppchomf ccomf 2oppccomf setccat fucpropd
        a1i eqidd eqtrid oveq2d eleqtrrd ) AHFFUAPZDUBQZUCQFCUCQAFVQDEVPGHJABRS
        FRSZKBFIUDUEZVPTZLVQTMAFUFPZUGZBUFPZUGZEWCUIZUGZWBWDWEWABWCFIWCTZUHUJWC
        UKZULZWFWDUMWIBUNPZWJUOZULWJWJUPWHWKWKWCWJBWCWGWJTUQURUSUTWCVBVAVCNVDVE
        ACVQFUCACBDUBQVQOABVPDDWCVPUFPUMABFIVFVKBVGPVPVGPUMABFIVHVKADUFPVLADVGP
        VLKAVRVPRSVSFVPVTUDUEAEGSDRSMDEGLVIUEZWLVJVMVNVO $.
    $}

    oyon1cl.b $e |- B = ( Base ` C ) $.
    oyon1cl.p $e |- ( ph -> X e. B ) $.
    $( The opposite Yoneda embedding at an object of ` C ` is a functor from
       ` C ` to Set, also known as the covariant Hom functor.  (Contributed by
       Mario Carneiro, 17-Jan-2017.) $)
    oyon1cl $p |- ( ph -> ( ( 1st ` Y ) ` X ) e. ( C Func S ) ) $=
      ( cfunc co cfv c1st cfuc c2nd oppcbas eqid fucbas wrel wbr relfunc oyoncl
      wcel 1st2ndbr sylancr funcf1 ffvelrnd ) ABCDRSZHIUATZABUPFCDUBSZUQIUCTZBC
      FJPUDCDURURUEZUFAFURRSZUGIVAUKUQUSVAUHFURUIACURDEFGIJKLMNOUTUJIVAULUMUNQU
      O $.
  $}

  ${
    $d a b f g x y .1. $.  $d a b g h k u w y z A $.  $d a f g h u w x y z C $.
    $d a b f g h k u v w y z E $.  $d a b f g h k u w x y z F $.  $d a b y K $.
    $d a b f g h k u v w x y z B $.  $d a b f g x y G $.  $d a b h k v w z N $.
    $d z I $.  $d a b f g h k u v w x y z O $.  $d a b f g h k u v w x y z S $.
    $d b g h k u w y z M $.  $d a b f g u v w x z Q $.  $d f g h u v w y z T $.
    $d a b f g x y P $.  $d a b f g h k u v w x y z ph $.  $d u v z R $.
    $d a b f g h k u v w x y z Y $.  $d a b f g h k u v w x y z Z $.
    $d a b f g h k u w x y z X $.
    yoneda.y $e |- Y = ( Yon ` C ) $.
    yoneda.b $e |- B = ( Base ` C ) $.
    yoneda.1 $e |- .1. = ( Id ` C ) $.
    yoneda.o $e |- O = ( oppCat ` C ) $.
    yoneda.s $e |- S = ( SetCat ` U ) $.
    yoneda.t $e |- T = ( SetCat ` V ) $.
    yoneda.q $e |- Q = ( O FuncCat S ) $.
    yoneda.h $e |- H = ( HomF ` Q ) $.
    yoneda.r $e |- R = ( ( Q Xc. O ) FuncCat T ) $.
    yoneda.e $e |- E = ( O evalF S ) $.
    yoneda.z $e |- Z = ( H o.func ( ( <. ( 1st ` Y ) , tpos ( 2nd ` Y ) >.
      o.func ( Q 2ndF O ) ) pairF ( Q 1stF O ) ) ) $.
    yoneda.c $e |- ( ph -> C e. Cat ) $.
    yoneda.w $e |- ( ph -> V e. W ) $.
    yoneda.u $e |- ( ph -> ran ( Homf ` C ) C_ U ) $.
    yoneda.v $e |- ( ph -> ( ran ( Homf ` Q ) u. U ) C_ V ) $.
    $( Lemma for ~ yoneda .  (Contributed by Mario Carneiro, 28-Jan-2017.) $)
    yonedalem1 $p |- ( ph ->
      ( Z e. ( ( Q Xc. O ) Func T ) /\ E e. ( ( Q Xc. O ) Func T ) ) ) $=
      ( cxpc co cfunc wcel c1st cfv c2nd ctpos cop c2ndf ccofu c1stf cprf coppc
      eqid ccat oppccat syl cvv chomf crn unssbd setccat fuccat 2ndfcl wbr wrel
      ssexd relfunc yoncl 1st2ndbr df-br sylib cofucl 1stfcl prfcl unssad hofcl
      sylancr funcoppc eqeltrid funcsetcres2 evlfcl sseldd jca ) APDLULUMZGUNUM
      ZUOJWRUOAPKOUPUQZOURUQZUSZUTZDLVAUMZVBUMZDLVCUMZVDUMZVBUMWRUGAWQDVEUQZDUL
      UMZGXFKAWQXGXFXHDXDXEXFVFXHVFAWQLXGXCXBADLXCWQWQVFZALFDUCACVGUOLVGUOUHCLT
      VHVIZAHVJUOFVGUOAHMNUIADVKUQVLZHMUKVMZVSZFHVJUAVNVIZVOZXJXCVFVPAWSXALXGUN
      UMZVQXBXPUOACDXGWSWTLTXGVFZACDUNUMZVROXRUOWSWTXRVQCDVTACDFHLVJOQUHTUAUCXM
      UJWAOXRWBWJWKWSXAXPWCWDWEADLXEWQXIXOXJXEVFWFWGADGMKXGNUDXQUBXOUIAXKHMUKWH
      WIWEWLAWQFUNUMWRJAGFMWQHNUBUAUIXLWMALFDJUFUCXJXNWNWOWP $.

    ${
      yonedalem21.f $e |- ( ph -> F e. ( O Func S ) ) $.
      yonedalem21.x $e |- ( ph -> X e. B ) $.
      $( Lemma for ~ yoneda .  (Contributed by Mario Carneiro, 28-Jan-2017.) $)
      yonedalem21 $p |- ( ph -> ( F ( 1st ` Z ) X ) =
        ( ( ( 1st ` Y ) ` X ) ( O Nat S ) F ) ) $=
        ( c1st cfv co c2nd ctpos c2ndf ccofu c1stf cprf cnat fveq2i oveqi df-ov
        cop eqtri cfunc cxpc coppc eqid fucbas oppcbas xpcbas ccat wcel oppccat
        cxp syl cvv chomf crn unssbd ssexd setccat fuccat 2ndfcl wbr wrel yoncl
        relfunc 1st2ndbr sylancr funcoppc df-br sylib cofucl 1stfcl prfcl hofcl
        unssad opelxpd cofu1 eqtrid chom prf1 wceq fvex tposex op1st a1i op2ndg
        2ndf1 syl2anc eqtrd fveq12d op1stg opeq12d fveq2d eqtr4di fuchom yon1cl
        1stf1 hof1 3eqtrd ) AKPRUPUQZURZKPVIZQUPUQZQUSUQZUTZVIZDMVAURZVBURZDMVC
        URZVDURZUPUQUQZLUPUQZUQZPYLUQZKUUAURZUUCKMFVEURZURAYJYKLYSVBURZUPUQZUQZ
        UUBYJKPUUGURUUHYIUUGKPRUUFUPUIVFVGKPUUGVHVJAMFVKURZBWAZDMVLURZDVMUQZDVL
        URZGYSLYKDMUUKUUIBUUKVNZMFDUEVOZBCMUBTVPVQZAUUKUULYSUUMDYQYRYSVNZUUMVNA
        UUKMUULYPYOADMYPUUKUUNAMFDUEACVRVSMVRVSUJCMUBVTWBZAHWCVSFVRVSAHNOUKADWD
        UQWEZHNUMWFWGZFHWCUCWHWBWIZUURYPVNZWJZAYLYNMUULVKURZWKYOUVDVSACDUULYLYM
        MUBUULVNZACDVKURZWLQUVFVSYLYMUVFWKCDWNACDFHMWCQSUJUBUCUEUUTULWMQUVFWOWP
        WQYLYNUVDWRWSZWTZADMYRUUKUUNUVAUURYRVNZXAZXBADGNLUULOUFUVEUDUVAUKAUUSHN
        UMXDXCAKPUUIBUNUOXEZXFXGAUUBUUCKVIZUUAUQUUDAYTUVLUUAAYTYKYQUPUQUQZYKYRU
        PUQUQZVIUVLAUUJUUKUULYSDYQYRUUKXHUQZYKUUQUUPUVOVNZUVHUVJUVKXIAUVMUUCUVN
        KAUVMYKYPUPUQUQZYOUPUQZUQUUCAUUJUUKMUULYPYOYKUUPUVCUVGUVKXFAUVQPUVRYLUV
        RYLXJAYLYNQUPXKYMQUSXKXLXMXNAUVQYKUSUQZPAUUJDMYPYKUUKUVOUUNUUPUVPUVAUUR
        UVBUVKXPAKUUIVSZPBVSZUVSPXJUNUOKPUUIBXOXQXRXSXRAUVNYKUPUQZKAUUJDMYRYKUU
        KUVOUUNUUPUVPUVAUURUVIUVKYFAUVTUWAUWBKXJUNUOKPUUIBXTXQXRYAXRYBUUCKUUAVH
        YCAUUIDUUELUUCKUFUVAUUOMFDUUEUEUUEVNYDABCFHMWCPQSTUJUOUBUCUUTULYEUNYGYH
        $.

      ${
        yonedalem3a.m $e |- M = ( f e. ( O Func S ) , x e. B |->
          ( a e. ( ( ( 1st ` Y ) ` x ) ( O Nat S ) f ) |->
            ( ( a ` x ) ` ( .1. ` x ) ) ) ) $.
        $( Lemma for ~ yoneda .  (Contributed by Mario Carneiro,
           29-Jan-2017.) $)
        yonedalem3a $p |- ( ph -> ( ( F M X ) =
          ( a e. ( ( ( 1st ` Y ) ` X ) ( O Nat S ) F ) |->
            ( ( a ` X ) ` ( .1. ` X ) ) ) /\
            ( F M X ) : ( F ( 1st ` Z ) X ) --> ( F ( 1st ` E ) X ) ) ) $=
          ( co c1st cfv cnat cv cmpt wceq wf cfunc wcel wa simpr fveq2d oveq12d
          simpl fveq12d mpteq12dv ovex mptex ovmpoa syl2anc chom c2nd nat1st2nd
          eqid oppcbas adantr natcl cvv chomf crn unssbd ssexd cbs wrel relfunc
          wbr yon1cl 1st2ndbr sylancr ffvelrnd setcbas eleqtrrd elsetchom mpbid
          funcf1 catidcl yon11 fmpttd yonedalem21 oppccat setccat evlf1 feq123d
          ccat syl mpbird jca ) AMSOVAZUBSTVBVCZVCZMPGVDVAZVAZSJVCZSUBVEZVCZVCZ
          VFZVGZMSUAVBVCVAZMSLVBVCVAZXSVHZAMPGVIVAZVJZSCVJZYIURUSKBMSYMCUBBVEZX
          TVCZKVEZYBVAZYPJVCZYPYEVCZVCZVFYHOYRMVGZYPSVGZVKZUBYSUUBYCYGUUEYQYAYR
          MYBUUEYPSXTUUCUUDVLZVMUUCUUDVOVNUUEYTYDUUAYFUUEYPSYEUUFVMUUEYPSJUUFVM
          VPVQUTUBYCYGYAMYBVRVSVTWAZAYLYCSMVBVCZVCZYHVHAUBYCYGUUIAYEYCVJZVKZSYA
          VBVCZVCZUUIYDYFUUKYFUUMUUIGWBVCZVAVJUUMUUIYFVHUUKYECPGUULYAWCVCZUUNUU
          HMWCVCZYBSYBWEZUUKYEPGYAMYBUUQAUUJVLWDCDPUFUDWFZUUNWEZAYOUUJUSWGWHUUK
          GIYFUUNWIUUMUUIUGAIWIVJZUUJAIQRUOAEWJVCWKIQUQWLWMZWGUUSAUUMIVJUUJAUUM
          GWNVCZIACUVBSUULACUVBPGUULUUOUURUVBWEZAYMWOZYAYMVJUULUUOYMWQPGWPZACDG
          IPWISTUCUDUNUSUFUGUVAUPWRYAYMWSWTXFUSXAAGIWIUGUVAXBZXCWGAUUIIVJUUJAUU
          IUVBIACUVBSUUHACUVBPGUUHUUPUURUVCAUVDYNUUHUUPYMWQUVEURMYMWSWTXFUSXAUV
          FXCWGXDXEAYDUUMVJUUJAYDSSDWBVCZVAUUMACDJUVGSUDUVGWEZUEUNUSXGACDUVGSTS
          UCUDUNUSUVHUSXHXCWGXAXIAYJYCYKUUIXSYHUUGACDEFGHIJLMNPQRSTUAUCUDUEUFUG
          UHUIUJUKULUMUNUOUPUQURUSXJACPGLMSULADXOVJPXOVJUNDPUFXKXPAUUTGXOVJUVAG
          IWIUGXLXPUURURUSXMXNXQXR $.
      $}

      ${
        yonedalem4.n $e |- N =
          ( f e. ( O Func S ) , x e. B |-> ( u e. ( ( 1st ` f ) ` x ) |->
            ( y e. B |-> ( g e. ( y ( Hom ` C ) x ) |->
              ( ( ( x ( 2nd ` f ) y ) ` g ) ` u ) ) ) ) ) $.
        yonedalem4.p $e |- ( ph -> A e. ( ( 1st ` F ) ` X ) ) $.
        $( Lemma for ~ yoneda .  (Contributed by Mario Carneiro,
           29-Jan-2017.) $)
        yonedalem4a $p |- ( ph -> ( ( F N X ) ` A ) =
          ( y e. B |-> ( g e. ( y ( Hom ` C ) X ) |->
              ( ( ( X ( 2nd ` F ) y ) ` g ) ` A ) ) ) ) $=
          ( cv chom cfv co c2nd cmpt c1st cvv cfunc cmpo wceq a1i simprl fveq2d
          wa simprr fveq12d wcel simplrr oveq2d eqidd oveq123d fveq1d mpteq12dv
          simplrl mpteq2dva fvex mptex ovmpod simpr mpteq2dv cbs fvexi fvmptd )
          ADECFOCVEZUCGVFVGZVHZDVEZOVEZUCWSQVIVGZVHZVGZVGZVJZVJZCFOXAEXFVGZVJZV
          JZUCQVKVGZVGZQUCSVHVLANBQUCTJVMVHZFDBVEZNVEZVKVGZVGZCFOWSXPWTVHZXBXCX
          PWSXQVIVGZVHZVGZVGZVJZVJZVJZDXNXIVJZSVLSNBXOFYGVNVOAVCVPAXQQVOZXPUCVO
          ZVSVSZDXSYFXNXIYKXPUCXRXMYKXQQVKAYIYJVQVRAYIYJVTWAYKCFYEXHYKWSFWBZVSZ
          OXTYDXAXGYMXPUCWSWTAYIYJYLWCZWDYMXBYCXFYMXCYBXEYMXPUCWSWSYAXDYMXQQVIA
          YIYJYLWIVRYNYMWSWEWFWGWGWHWJWHVAVBYHVLWBADXNXIUCXMWKWLVPWMAXBEVOZVSZC
          FXHXKYPOXAXGXJYPXBEXFAYOWNVRWOWOVDXLVLWBACFXKFGWPUGWQWLVPWR $.

        ${
          yonedalem4b.p $e |- ( ph -> P e. B ) $.
          yonedalem4b.g $e |- ( ph -> G e. ( P ( Hom ` C ) X ) ) $.
          $( Lemma for ~ yoneda .  (Contributed by Mario Carneiro,
             29-Jan-2017.) $)
          yonedalem4b $p |- ( ph -> ( ( ( ( F N X ) ` A ) ` P ) ` G ) =
            ( ( ( X ( 2nd ` F ) P ) ` G ) ` A ) ) $=
            ( co cfv chom c2nd cmpt yonedalem4a fveq1d wceq eqidd cvv wcel ovex
            cv wa mptex a1i adantr simpr oveq1d eleqtrrd simplr oveq2d fvmptdv2
            fvexd fveq12d nfmpt1 nffvmpt1 nfcv nffv nfeq1 fvmptd2f mpd eqtrd )
            ASHERUEUAVIVJZVJZVJSHCFPCWAZUEGVKVJZVIZEPWAZUEXDRVLVJZVIZVJZVJZVMZV
            MZVJZVJZESUEHXHVIZVJZVJZASXCXNAHXBXMABCDEFGIJKLMNOPQRTUAUBUCUDUEUFU
            GUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVNVOVOAXMXMVPXOXRVPZAXMVQAXS
            CHXLFXMVRVGXLVRVSAXDHVPZWBZPXFXKXDUEXEVTWCWDYAPSXKXRXFXNVRYASHUEXEV
            IZXFASYBVSXTVHWEYAXDHUEXEAXTWFWGWHYAXGSVPZWBZEXJWLYDEXJXQYDXGSXIXPY
            DXDHUEXHAXTYCWIWJYAYCWFWMVOWKCFXLWNCXOXRCSXNCFXLHWOCSWPWQWRWSWTXA
            $.
        $}

        $( Lemma for ~ yoneda .  (Contributed by Mario Carneiro,
           29-Jan-2017.) $)
        yonedalem4c $p |- ( ph ->
          ( ( F N X ) ` A ) e. ( ( ( 1st ` Y ) ` X ) ( O Nat S ) F ) ) $=
          ( vz vw vh vk co cfv c1st cnat wcel chom cixp c2nd cop wceq wral cmpt
          cv cco yonedalem4a weq oveq1 oveq2 fveq1d mpteq12dv cbvmptv eqtrdi wa
          wf oppcbas eqid cfunc wbr wrel relfunc 1st2ndbr sylancr adantr funcf2
          simpr oppchom eleqtrrdi cvv chomf crn unssbd ssexd cbs funcf1 setcbas
          ffvelrnd feq3d mpbird ad2antrr ffvelrnda elsetchom mpbid fmpttd yon11
          ccat feq2d yon1cl ralrimiva wb mptelixpg ccom fveq2d 3ad2antr1 setcco
          fvexi syl2anc eqtrd wss yonedalem4b 3eqtr4d fveq2 fcompt ax-mp sylibr
          eqeltrd w3a simpr1 eleq2d biimpa simpr2 simplr3 funcco oppcco 3eqtr3d
          simpr3 fvco3 eleqtrdi yon12 cun catcocl syldan mpteq2dva feq123d ovex
          mptex fvmpt2 mpan2 sylan9eq rspcdva ralrimivvva isnat2 mpbir2and
          feq1d ) AEQUCSVIVJZUCUDVKVJVJZQTJVLVIZVIVMUVLVEFVEWAZUVMVKVJZVJZUVOQV
          KVJZVJZJVNVJZVIZVOZVMVFWAZUVLVJZVGWAZUVOUWCUVMVPVJZVIZVJZUVQUWCUVPVJZ
          VQUWCUVRVJZJWBVJZVIVIZUWEUVOUWCQVPVJZVIZVJZUVOUVLVJZUVQUVSVQUWJUWKVIV
          IZVRZVGUVOUWCTVNVJZVIZVSVFFVSVEFVSAUVLVEFOUVOUCGVNVJZVIZEOWAZUCUVOUWM
          VIZVJZVJZVTZVTZUWBAUVLCFOCWAZUCUXAVIZEUXCUCUXIUWMVIZVJZVJZVTZVTUXHABC
          DEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDWCCV
          EFUXNUXGCVEWDZOUXJUXMUXBUXFUXIUVOUCUXAWEUXOEUXLUXEUXOUXCUXKUXDUXIUVOU
          CUWMWFWGWGWHWIWJZAUXGUWAVMZVEFVSZUXHUWBVMZAUXQVEFAUVOFVMZWKZUXQUVQUVS
          UXGWLZUYAUYBUXBUVSUXGWLUYAOUXBUXFUVSUYAUXCUXBVMZWKZUCUVRVJZUVSEUXEUYD
          UXEUYEUVSUVTVIZVMUYEUVSUXEWLUYDUCUVOUWSVIZUYFUXCUXDUYAUYGUYFUXDWLZUYC
          UYAFTJUVRUWMUWSUVTUCUVOFGTUIUGWMZUWSWNZUVTWNZAUVRUWMTJWOVIZWPZUXTAUYL
          WQZQUYLVMZUYMTJWRZVAQUYLWSWTZXAAUCFVMZUXTVBXAZAUXTXCZXBXAUYDUXCUXBUYG
          UYAUYCXCGUXATUCUVOUXAWNZUIXDZXEXNUYDJLUXEUVTXFUYEUVSUJUYALXFVMZUYCAVU
          CUXTALUAUBURAHXGVJXHZLUAUTXIXJZXAZXAUYKAUYELVMZUXTUYCAFLUCUVRAFLUVRWL
          ZFJXKVJZUVRWLAFVUITJUVRUWMUYIVUIWNZUYQXLALVUIUVRFAJLXFUJVUEXMZXOXPZVB
          XNZXQUYAUVSLVMZUYCAFLUVOUVRVULXRZXAXSXTAEUYEVMZUXTUYCVDXQXNYAUYAUVQUX
          BUVSUXGUYAFGUXAUCUDUVOUFUGAGYCVMZUXTUQXAUYSVUAUYTYBYDXPZUYAJLUXGUVTXF
          UVQUVSUJVUFUYKAFLUVOUVPAFLUVPWLZFVUIUVPWLAFVUITJUVPUWFUYIVUJAUYNUVMUY
          LVMUVPUWFUYLWPZUYPAFGJLTXFUCUDUFUGUQVBUIUJVUEUSYEZUVMUYLWSWTZXLALVUIU
          VPFVUKXOXPZXRZVUOXSXPYFFXFVMUXSUXRYGFGXKUGYMVEFUXGUWAXFYHUUAUUBUUCAUW
          RVEVFVGFFUWTAUXTUWCFVMZUWEUWTVMZUUDZWKZUWDUWHYIZUWOUWPYIZUWLUWQVVHVHU
          VQVHWAZUWHVJZUWDVJZVTZVHUVQVVKUWPVJZUWOVJZVTZVVIVVJVVHVHUVQVVMVVPVVHV
          VKUVQVMZVVKUXBVMZVVMVVPVRVVHVVRVVSVVHUVQUXBVVKVVHFGUXAUCUDUVOUFUGAVUQ
          VVGUQXAZAUYRVVGVBXAZVUAAUXTVVEVVFUUEZYBUUFUUGVVHVVSWKZEVVKUWEUWCUVOVQ
          UCGWBVJZVIVIZUCUWCUWMVIZVJZVJZEVVKUXDVJZVJZUWOVJZVVMVVPVWCVWHEUWOVWIY
          IZVJZVWKVWCEVWGVWLVWCUWEVVKUCUVOVQUWCTWBVJZVIVIZVWFVJUWOVWIUYEUVSVQUW
          JUWKVIVIVWGVWLVWCFTVWNJUVRUWMUWSVVKUWEUWKUCUVOUWCUYIUYJVWNWNUWKWNZVVH
          UYMVVSAUYMVVGUYQXAZXAVVHUYRVVSVWAXAZVVHUXTVVSVWBXAZVVHVVEVVSAUXTVVEVV
          FUUHZXAZVWCVVKUXBUYGVVHVVSXCZVUBXEZUXTVVEVVFAVVSUUIZUUJVWCVWOVWEVWFVW
          CFGVWDVVKUWETUCUVOUWCUGVWDWNZUIVWRVWSVXAUUKYJVWCJUWKLVWIUWOXFUYEUVSUW
          JUJVVHVUCVVSAVUCVVGVUEXAZXAZVWPAVUGVVGVVSVUMXQZVVHVUNVVSAVVEUXTVUNVVF
          VUOYKZXAZVVHUWJLVMVVSVVHFLUWCUVRAVUHVVGVULXAVWTXNZXAVWCVWIUYFVMUYEUVS
          VWIWLZVWCUYGUYFVVKUXDVVHUYHVVSVVHFTJUVRUWMUWSUVTUCUVOUYIUYJUYKVWQVWAV
          WBXBXAVXCXNVWCJLVWIUVTXFUYEUVSUJVXGUYKVXHVXJXSXTZVVHUVSUWJUWOWLZVVSVV
          HUWOUVSUWJUVTVIZVMVXNVVHUWTVXOUWEUWNVVHFTJUVRUWMUWSUVTUVOUWCUYIUYJUYK
          VWQVWBVWTXBAUXTVVEVVFUUMZXNVVHJLUWOUVTXFUVSUWJUJVXFUYKVXIVXKXSXTZXAYL
          UULWGVWCVXLVUPVWMVWKVRVXMAVUPVVGVVSVDXQZUYEUVSEUWOVWIUUNYNYOVWCVVMVWE
          UWDVJVWHVWCVVLVWEUWDVWCFGVWDUWEVVKUXAUWCUCUDUVOUFUGVVHVUQVVSVVTXAZVWR
          VUAVWSVXEVXAVWCUWEUWTUWCUVOUXAVIVXDGUXATUVOUWCVUAUIXDUUOZVXBUUPYJVWCB
          CDEFGUWCHIJKLMNOPQVWERSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPVXSAUAUBVMVVG
          VVSURXQZAGXGVJXHLYPVVGVVSUSXQZAVUDLUUQUAYPVVGVVSUTXQZAUYOVVGVVSVAXQZV
          WRVCVXRVXAVWCFGVWDUWEVVKUXAUWCUVOUCUGVUAVXEVXSVXAVWSVWRVXTVXBUURYQYOV
          WCVVOVWJUWOVWCBCDEFGUVOHIJKLMNOPQVVKRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUO
          UPVXSVYAVYBVYCVYDVWRVCVXRVWSVXBYQYJYRUUSUUTVVHUWIUWJUWDWLZUVQUWIUWHWL
          ZVVIVVNVRVVHUVQUVSUWPWLZVYEVEFUWCVEVFWDUVQUWIUVSUWJUWPUWDUVOUWCUVLYSU
          VOUWCUVPYSUVOUWCUVRYSUVAAVYGVEFVSVVGAVYGVEFUYAVYGUYBVURUYAUVQUVSUWPUX
          GAUXTUWPUVOUXHVJZUXGAUVOUVLUXHUXPWGUXTUXGXFVMVYHUXGVROUXBUXFUVOUCUXAU
          VBUVCVEFUXGXFUXHUXHWNUVDUVEUVFUVKXPZYFXAVWTUVGZVVHUWHUVQUWIUVTVIZVMVY
          FVVHUWTVYKUWEUWGVVHFTJUVPUWFUWSUVTUVOUWCUYIUYJUYKAVUTVVGVVBXAVWBVWTXB
          VXPXNVVHJLUWHUVTXFUVQUWIUJVXFUYKAVVEUXTUVQLVMVVFVVDYKZVVHFLUWCUVPAVUS
          VVGVVCXAVWTXNZXSXTZVHUWDUWHUVQUWIUWJYTYNVVHVXNVYGVVJVVQVRVXQAVVEUXTVY
          GVVFVYIYKZVHUWOUWPUVQUVSUWJYTYNYRVVHJUWKLUWHUWDXFUVQUWIUWJUJVXFVWPVYL
          VYMVXKVYNVYJYLVVHJUWKLUWPUWOXFUVQUVSUWJUJVXFVWPVYLVXIVXKVYOVXQYLYRUVH
          AVEVFUVLFTJUWKVGUVMQUWSUVTUVNUVNWNUYIUYJUYKVWPVVAVAUVIUVJ $.
      $}

      yonedalem22.g $e |- ( ph -> G e. ( O Func S ) ) $.
      yonedalem22.p $e |- ( ph -> P e. B ) $.
      yonedalem22.a $e |- ( ph -> A e. ( F ( O Nat S ) G ) ) $.
      yonedalem22.k $e |- ( ph -> K e. ( P ( Hom ` C ) X ) ) $.
      $( Lemma for ~ yoneda .  (Contributed by Mario Carneiro, 29-Jan-2017.) $)
      yonedalem22 $p |- ( ph ->
        ( A ( <. F , X >. ( 2nd ` Z ) <. G , P >. ) K ) =
        ( ( ( P ( 2nd ` Y ) X ) ` K ) ( <. ( ( 1st ` Y ) ` X ) , F >.
          ( 2nd ` H ) <. ( ( 1st ` Y ) ` P ) , G >. ) A ) ) $=
        ( cop c2nd cfv co c1st ctpos c2ndf ccofu c1stf fveq2i oveqi df-ov eqtri
        cprf cfunc cxpc coppc chom eqid fucbas oppcbas xpcbas ccat wcel oppccat
        cxp syl cvv chomf crn unssbd ssexd setccat fuccat 2ndfcl wbr wrel yoncl
        relfunc 1st2ndbr sylancr funcoppc df-br sylib cofucl 1stfcl prfcl hofcl
        unssad opelxpd cnat oppchom eleqtrrdi fuchom eleqtrrd cofu2 eqtrid prf1
        xpchom2 cofu1 wceq fvex tposex op1st 2ndf1 op2ndg syl2anc eqtrd fveq12d
        1stf1 op1stg opeq12d oveq12d cres fveq1d fvresd 3eqtrd a1i op2nd ovtpos
        prf2 2ndf2 1stf2 eqtr4di ) ABPMTVDZNEVDZUBVEVFZVGZVGZBPVDZUUHUUIUAVHVFZ
        UAVEVFZVIZVDZFQVJVGZVKVGZFQVLVGZVQVGZVEVFVGVFZUUHUVAVHVFZVFZUUIUVCVFZOV
        EVFZVGZVFZPETUUOVGZVFZBTUUNVFZMVDZEUUNVFZNVDZUVFVGZVGZAUULUUMUUHUUIOUVA
        VKVGZVEVFZVGZVFZUVHUULBPUVSVGUVTUUKUVSBPUUJUVRUUHUUIUBUVQVEUMVMVNVNBPUV
        SVOVPAQHVRVGZCWIZFQVSVGZFVTVFZFVSVGZUUMIUVAOUWCWAVFZUUHUUIFQUWCUWACUWCW
        BZQHFUIWCZCDQUFUDWDZWEZAUWCUWDUVAUWEFUUSUUTUVAWBZUWEWBAUWCQUWDUURUUQAFQ
        UURUWCUWGAQHFUIADWFWGQWFWGUNDQUFWHWJZAJWKWGHWFWGAJRSUOAFWLVFWMZJRUQWNWO
        ZHJWKUGWPWJWQZUWLUURWBZWRZAUUNUUPQUWDVRVGZWSUUQUWRWGADFUWDUUNUUOQUFUWDW
        BZADFVRVGZWTUAUWTWGUUNUUOUWTWSDFXBADFHJQWKUAUCUNUFUGUIUWNUPXAUAUWTXCXDX
        EUUNUUPUWRXFXGZXHZAFQUUTUWCUWGUWOUWLUUTWBZXIZXJAFIROUWDSUJUWSUHUWOUOAUW
        MJRUQXLXKAMTUWACURUSXMZANEUWACUTVAXMZUWFWBZAUUMMNQHXNVGZVGZTEQWAVFZVGZW
        IUUHUUIUWFVGZABPUXIUXKVBAPETDWAVFZVGZUXKVCDUXMQTEUXMWBUFXOXPXMAFQNEUWCU
        XHUXJUWFMTUWACUWGUWHUWIQHFUXHUIUXHWBXQUXJWBURUSUTVAUXGYBXRZXSXTAUVHUVJB
        VDZUVOVFUVPAUVBUXPUVGUVOAUVDUVLUVEUVNUVFAUVDUUHUUSVHVFZVFZUUHUUTVHVFZVF
        ZVDUVLAUWBUWCUWDUVAFUUSUUTUWFUUHUWKUWJUXGUXBUXDUXEYAAUXRUVKUXTMAUXRUUHU
        URVHVFZVFZUUQVHVFZVFUVKAUWBUWCQUWDUURUUQUUHUWJUWQUXAUXEYCAUYBTUYCUUNUYC
        UUNYDAUUNUUPUAVHYEZUUOUAVEYEYFZYGUUAZAUYBUUHVEVFZTAUWBFQUURUUHUWCUWFUWG
        UWJUXGUWOUWLUWPUXEYHAMUWAWGZTCWGZUYGTYDURUSMTUWACYIYJYKZYLYKAUXTUUHVHVF
        ZMAUWBFQUUTUUHUWCUWFUWGUWJUXGUWOUWLUXCUXEYMAUYHUYIUYKMYDURUSMTUWACYNYJY
        KYOYKAUVEUUIUXQVFZUUIUXSVFZVDUVNAUWBUWCUWDUVAFUUSUUTUWFUUIUWKUWJUXGUXBU
        XDUXFYAAUYLUVMUYMNAUYLUUIUYAVFZUYCVFUVMAUWBUWCQUWDUURUUQUUIUWJUWQUXAUXF
        YCAUYNEUYCUUNUYFAUYNUUIVEVFZEAUWBFQUURUUIUWCUWFUWGUWJUXGUWOUWLUWPUXFYHA
        NUWAWGZECWGZUYOEYDUTVANEUWACYIYJYKZYLYKAUYMUUIVHVFZNAUWBFQUUTUUIUWCUWFU
        WGUWJUXGUWOUWLUXCUXFYMAUYPUYQUYSNYDUTVANEUWACYNYJYKYOYKYPAUVBUUMUUHUUIU
        USVEVFVGVFZUUMUUHUUIUUTVEVFVGZVFZVDUXPAUWBUWCUWDUVAFUUSUUTUWFUUMUUHUUIU
        WKUWJUXGUXBUXDUXEUXFUXOUUDAUYTUVJVUBBAUYTUUMUUHUUIUURVEVFVGZVFZUYBUYNUU
        QVEVFZVGZVFUVJAUWBUWCQUUMUWDUURUUQUWFUUHUUIUWJUWQUXAUXEUXFUXGUXOXSAVUDP
        VUFUVIAVUFUYNUYBUUOVGZUVIVUFUYBUYNUUPVGVUGVUEUUPUYBUYNUUNUUPUYDUYEUUBVN
        UYBUYNUUOUUCVPAUYNEUYBTUUOUYRUYJYPXTAVUDUUMVEUXLYQZVFUUMVEVFZPAUUMVUCVU
        HAUWBFQUURUUHUUIUWCUWFUWGUWJUXGUWOUWLUWPUXEUXFUUEYRAUUMUXLVEUXOYSABUXIW
        GZPUXNWGZVUIPYDVBVCBPUXIUXNYIYJYTYLYKAVUBUUMVHUXLYQZVFUUMVHVFZBAUUMVUAV
        ULAUWBFQUUTUUHUUIUWCUWFUWGUWJUXGUWOUWLUXCUXEUXFUUFYRAUUMUXLVHUXOYSAVUJV
        UKVUMBYDVBVCBPUXIUXNYNYJYTYOYKYLUVJBUVOVOUUGYK $.

      yonedalem3.m $e |- M = ( f e. ( O Func S ) , x e. B |->
        ( a e. ( ( ( 1st ` Y ) ` x ) ( O Nat S ) f ) |->
          ( ( a ` x ) ` ( .1. ` x ) ) ) ) $.
      $( Lemma for ~ yoneda .  (Contributed by Mario Carneiro, 29-Jan-2017.) $)
      yonedalem3b $p |- ( ph -> ( ( G M P )
         ( <. ( F ( 1st ` Z ) X ) , ( G ( 1st ` Z ) P ) >.
              ( comp ` T ) ( G ( 1st ` E ) P ) )
         ( A ( <. F , X >. ( 2nd ` Z ) <. G , P >. ) K ) ) =
       ( ( A ( <. F , X >. ( 2nd ` E ) <. G , P >. ) K )
          ( <. ( F ( 1st ` Z ) X ) , ( F ( 1st ` E ) X ) >.
              ( comp ` T ) ( G ( 1st ` E ) P ) ) ( F M X ) ) ) $=
        ( vb vy co cop c2nd cfv ccom c1st cnat cv cmpt wceq oveq2 oveq1d fveq1d
        cco cbvmptv wcel wa eqid chom cfunc wrel wbr relfunc cvv sylancr funcf2
        1st2ndbr ffvelrnd adantr fuccoval wf cbs funcf1 setcbas mpbird eleqtrrd
        feq3d nat1st2nd natcl elsetchom mpbid setcco eqtrd syl2anc 3eqtrd yon11
        catidcl fvco3 ccat fveq2d 3eqtr3d wral cxp simpld opelxpd df-ov oveq12i
        eqcomi a1i feq23d fovrnd yonedalem21 feq123d sylibr yonedalem3a fmptcof
        syl fmpt simprd 3eqtr4d oppcbas fuchom chomf unssbd ssexd yoncl fuccocl
        crn simpr fucbas fco yon2 catrid oppchom eleqtrrdi yon12 catlid 3eqtr2d
        nati mpteq2dva eqtrid cxpc xpcbas yonedalem1 xpchom2 xpeq2i yonedalem22
        eqtrdi oppccat setccat fuccat fveq1 evlf2val coeq1d evlf1 fcompt 2fveq3
        hof2val ) APFSVKZCROUCVLZPFVLZUEVMVNZVKZVKZVOZCRUVTUWANVMVNZVKZVKZOUCSV
        KZVOZUVSUWDOUCUEVPVNZVKZPFUWKVKZVLPFNVPVNZVKZJWDVNZVKVKUWHUWIUWLOUCUWNV
        KZVLUWOUWPVKVKAVIUCUDVPVNZVNZOTIVQVKZVKZFLVNZFCVIVRZUWSOVLZPGWDVNZVKZVK
        ZRFUCUDVMVNZVKZVNZFUWRVNZUWSVLPUXEVKZVKZVNZVNZVSZUFUXAUCLVNZUCUFVRZVNZV
        NZRUCFOVMVNZVKZVNZVNZFCVNZVNZVSZUWEUWJAUXPUFUXAUXBFCUXRUXFVKZUXJUXLVKZV
        NZVNZVSUYGVIUFUXAUXOUYKUXCUXRVTZUXBUXNUYJUYLFUXMUYIUYLUXGUYHUXJUXLUXCUX
        RCUXFWAWBWCWCWEAUFUXAUYKUYFAUXRUXAWFZWGZUYKUXBUYEFUXRVNZVOZFUXJVNZVOZVN
        ZUXBUYQVNZUYPVNZUYFUYNUXBUYJUYRUYNUYJFUYHVNZUYQFUXKVPVNZVNZFUWSVPVNZVNZ
        VLFPVPVNZVNZIWDVNZVKZVKUYPUYQVUJVKUYRUYNDTIGUXJUYHUXEVUIUXKUWSPUWTFUMUW
        TWHZDETUJUHUUAZVUIWHZUXEWHZAUXJUXKUWSUWTVKZWFUYMAFUCEWIVNZVKZVUORUXIADE
        GUWRUXHVUPUWTFUCUHVUPWHZTIGUWTUMVUKUUBZAEGWJVKZWKUDVUTWFUWRUXHVUTWLEGWM
        AEGIKTWNUDUGURUJUKUMAKUAUBUSAGUUCVNUUHKUAVAUUDUUEZUTUUFUDVUTWQWOZVEVCWP
        VGWRZWSUYNTIGUXRCUXEUWSOPUWTUMVUKVUNAUYMUUIZACOPUWTVKZWFUYMVFWSZUUGAFDW
        FUYMVEWSZWTUYNVUBUYPUYQVUJUYNVUBUYEUYOVUFFOVPVNZVNZVLVUHVUIVKVKUYPUYNDT
        IGUXRCUXEVUIUWSOPUWTFUMVUKVULVUMVUNVVDVVFVVGWTUYNIVUIKUYOUYEWNVUFVVIVUH
        UKAKWNWFZUYMVVAWSZVUMAVUFKWFUYMADKFVUEADKVUEXADIXBVNZVUEXAADVVLTIVUEUWS
        VMVNZVULVVLWHZATIWJVKZWKZUWSVVOWFVUEVVMVVOWLTIWMZADVVOUCUWRADVVOEGUWRUX
        HUHTIGUMUUJZVVBXCZVCWRZUWSVVOWQWOZXCAKVVLVUEDAIKWNUKVVAXDZXGXEZVEWRZWSZ
        AVVIKWFUYMADKFVVHADKVVHXADVVLVVHXAADVVLTIVVHUYAVULVVNAVVPOVVOWFVVHUYAVV
        OWLVVQVBOVVOWQWOZXCAKVVLVVHDVWBXGXEZVEWRZWSZAVUHKWFUYMAVUHVVLKADVVLFVUG
        ADVVLTIVUGPVMVNZVULVVNAVVPPVVOWFVUGVWJVVOWLVVQVDPVVOWQWOXCVEWRVWBXFZWSZ
        UYNUYOVUFVVIIWIVNZVKWFVUFVVIUYOXAZUYNUXRDTIVUEVVMVWMVVHUYAUWTFVUKUYNUXR
        TIUWSOUWTVUKVVDXHZVULVWMWHZVVGXIUYNIKUYOVWMWNVUFVVIUKVVKVWPVWEVWIXJXKZA
        VVIVUHUYEXAZUYMAUYEVVIVUHVWMVKWFVWRACDTIVVHUYAVWMVUGVWJUWTFVUKACTIOPUWT
        VUKVFXHVULVWPVEXIAIKUYEVWMWNVVIVUHUKVVAVWPVWHVWKXJXKZWSZXLXMWBUYNIVUIKU
        YQUYPWNVUDVUFVUHUKVVKVUMAVUDKWFUYMAVUDVVLKADVVLFVUCADVVLTIVUCUXKVMVNZVU
        LVVNAVVPUXKVVOWFVUCVXAVVOWLVVQADVVOFUWRVVSVEWRZUXKVVOWQWOXCVEWRVWBXFZWS
        VWEVWLAVUDVUFUYQXAZUYMAUYQVUDVUFVWMVKWFVXDAUXJDTIVUCVXAVWMVUEVVMUWTFVUK
        AUXJTIUXKUWSUWTVUKVVCXHVULVWPVEXIAIKUYQVWMWNVUDVUFUKVVAVWPVXCVWDXJXKWSZ
        UYNVWRVWNVUFVUHUYPXAVWTVWQVUFVVIVUHUYEUYOUUKXNXLXOWCUYNVXDUXBVUDWFZUYSV
        UAVTVXEAVXFUYMAUXBFFVUPVKZVUDADELVUPFUHVURUIURVEXQZADEVUPFUDFUGUHURVEVU
        RVEXPXFWSZVUDVUFUXBUYPUYQXRXNUYNVUAUYTUYOVNZUYEVNZUYFUYNVWNUYTVUFWFVUAV
        XKVTVWQUYNVUDVUFUXBUYQVXEVXIWRVUFVVIUYTUYEUYOXRXNUYNVXJUYDUYEUYNVXJRUYO
        VNZUXQUYCUXSVOZVNZUYDUYNUYTRUYOUYNUYTRUXBFFVLUCEWDVNZVKVKRUYNDEVXORUXBV
        UPFFUDUCUGUHAEXSWFZUYMURWSZVVGVURAUCDWFUYMVCWSZVXOWHZVVGARVUQWFUYMVGWSZ
        AUXBVXGWFUYMVXHWSUULUYNDEVXOLRVUPFUCUHVURUIVXQVVGVXSVXRVXTUUMXMXTUYNUXQ
        UYORUCFVVMVKZVNZVOZVNZUXQVYBVNZUYOVNZVXNVXLUYNUCVUEVNZVUFVYBXAZUXQVYGWF
        ZVYDVYFVTAVYHUYMAVYBVYGVUFVWMVKZWFVYHAUCFTWIVNZVKZVYJRVYAADTIVUEVVMVYKV
        WMUCFVULVYKWHZVWPVWAVCVEWPARVUQVYLVGEVUPTUCFVURUJUUNZUUOZWRAIKVYBVWMWNV
        YGVUFUKVVAVWPADKUCVUEVWCVCWRZVWDXJXKWSZAVYIUYMAUXQUCUCVUPVKZVYGADELVUPU
        CUHVURUIURVCXQZADEVUPUCUDUCUGUHURVCVURVCXPXFWSZVYGVUFUXQUYOVYBXRXNUYNUX
        QVYCVXMUYNUYOVYBVYGVUFVLVVIVUIVKVKUYCUXSVYGUCVVHVNZVLVVIVUIVKVKVYCVXMUY
        NUXRDTIRVUIVUEVVMVYKVVHUYAUWTUCFVUKVWOVULVYMVUMVXRVVGARVYLWFUYMVYOWSUUS
        UYNIVUIKVYBUYOWNVYGVUFVVIUKVVKVUMAVYGKWFUYMVYPWSZVWEVWIVYQVWQXLUYNIVUIK
        UXSUYCWNVYGWUAVVIUKVVKVUMWUBAWUAKWFUYMADKUCVVHVWGVCWRZWSZVWIUYNUXSVYGWU
        AVWMVKWFVYGWUAUXSXAZUYNUXRDTIVUEVVMVWMVVHUYAUWTUCVUKVWOVULVWPVXRXIUYNIK
        UXSVWMWNVYGWUAUKVVKVWPWUBWUDXJXKZAWUAVVIUYCXAZUYMAUYCWUAVVIVWMVKZWFWUGA
        VYLWUHRUYBADTIVVHUYAVYKVWMUCFVULVYMVWPVWFVCVEWPVYOWRAIKUYCVWMWNWUAVVIUK
        VVAVWPWUCVWHXJXKZWSXLYAWCUYNVYERUYOUYNVYEUXQRFUCVLUCVXOVKVKRUYNDEVXORUX
        QVUPFUCUDUCUGUHVXQVXRVURVXRVXSVVGVXTAUXQVYRWFUYMVYSWSUUPUYNDEVXOLRVUPFU
        CUHVURUIVXQVVGVXSVXRVXTUUQXMXTYAUYNWUEVYIVXNUYDVTWUFVYTVYGWUAUXQUYCUXSX
        RXNUURXTXMXOUUTUVAAVIUFUXAUXKPUWTVKZUXMUXBUYOVNZUXOUWDUVSAUXAWUJVIUXAUX
        MVSZXAZUXMWUJWFVIUXAYBAUWLUWMUWDXAZWUMAUWDUWLUWMJWIVNZVKZWFWUNACRWUPVVE
        VUQUWCAUVTUWAGTUVBVKZWIVNZVKZUVTUWKVNZUWAUWKVNZWUOVKZUWCXAVVEVUQYCZWUPU
        WCXAAVVODYCZWUQJUWKUWBWURWUOUVTUWAGTWUQVVODWUQWHZVVRVULUVCZWURWHZWUOWHZ
        AWUQJWJVKZWKZUEWVIWFZUWKUWBWVIWLWUQJWMZAWVKNWVIWFZADEGHIJKLNQTUAUBUDUEU
        GUHUIUJUKULUMUNUOUPUQURUSUTVAUVDZYDUEWVIWQWOZAOUCVVODVBVCYEZAPFVVODVDVE
        YEZWPAWUSWVBWVCWUPUWCAWUSVVEVYLYCWVCAGTPFWUQUWTVYKWUROUCVVODWVEVVRVULVU
        SVYMVBVCVDVEWVGUVEVYLVUQVVEVYNUVFUVHZWVBWUPVTAWUPWVBUWLWUTUWMWVAWUOOUCU
        WKYFPFUWKYFYGYHYIYJXKVFVGYKAJUAUWDWUOUBUWLUWMULUSWVHAUWLJXBVNZUAAOUCWVS
        VVODUWKAWVDWVSWUQJUWKUWBWVFWVSWHZWVOXCZVBVCYKAJUAUBULUSXDZXFZAUWMWVSUAA
        PFWVSVVODUWKWWAVDVEYKWWBXFZXJXKZAUWLUXAUWMWUJUWDWULAUWDUXJCUXDUXKPVLQVM
        VNVKVKWULACDEFGHIJKLNOPQRTUAUBUCUDUEUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCV
        DVEVFVGUVGAVVOGUXEVIUXJCUWTQPUWSOUXKUNATIGUMAVXPTXSWFURETUJUVIYQZAVVJIX
        SWFVVAIKWNUKUVJYQZUVKVVRVUSVVTVBVXBVDVUNVVCVFUVRXMZADEGHIJKLNOQTUAUBUCU
        DUEUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCYLZADEGHIJKLNPQTUAUBFUDUEUGUHUIUJU
        KULUMUNUOUPUQURUSUTVAVDVEYLYMXKVIUXAWUJUXMWULWULWHYRYNWWHAUVSUFWUJWUKVS
        VTZUWMUWOUVSXAZABDEGHIJKLMNPQSTUAUBFUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTV
        AVDVEVHYOZYDUXRUXMVTUXBUYOUXNFUXRUXMUVLWCYPAUWJUYEUYCVOZUWIVOUYGAUWHWWM
        UWIAUWHUYEUYCWUAVVIVLVUHVUIVKVKWWMACDTIVUINOPVYKRUWGUWTUCFUPWWFWWGVULVY
        MVUMVUKVBVDVCVEUWGWHVFVYOUVMAIVUIKUYCUYEWNWUAVVIVUHUKVVAVUMWUCVWHVWKWUI
        VWSXLXMUVNAUFVJUXAWUAUXTVJVRZUYCVNUYEVNZUYFUWIWWMAUXAWUAUFUXAUXTVSZXAZU
        XTWUAWFUFUXAYBAUWLUWQUWIXAZWWQAUWIWWPVTZWWRABDEGHIJKLMNOQSTUAUBUCUDUEUF
        UGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVHYOZYSZAUWLUXAUWQWUAUWIWWPAWWSWWRWWT
        YDZWWIADTINOUCUPWWFWWGVULVBVCUVOYMXKUFUXAWUAUXTWWPWWPWHYRYNWXBAVWRWUGWW
        MVJWUAWWOVSVTVWSWUIVJUYEUYCWUAVVIVUHUVPXNWWNUXTUYEUYCUVQYPXMYTAJUWPUAUW
        DUVSUBUWLUWMUWOULUSUWPWHZWWCWWDAUWOWVSUAAPFWVSVVODUWNAWVDWVSWUQJUWNUWFW
        VFWVTAWVJWVMUWNUWFWVIWLWVLAWVKWVMWVNYSNWVIWQWOZXCZVDVEYKWWBXFZWWEAWWJWW
        KWWLYSXLAJUWPUAUWIUWHUBUWLUWQUWOULUSWXCWWCAUWQWVSUAAOUCWVSVVODUWNWXEVBV
        CYKWWBXFZWXFWXAAUWHUWQUWOWUOVKZWFUWQUWOUWHXAACRWXHVVEVUQUWGAWUSUVTUWNVN
        ZUWAUWNVNZWUOVKZUWGXAWVCWXHUWGXAAWVDWUQJUWNUWFWURWUOUVTUWAWVFWVGWVHWXDW
        VPWVQWPAWUSWXKWVCWXHUWGWVRWXKWXHVTAWXHWXKUWQWXIUWOWXJWUOOUCUWNYFPFUWNYF
        YGYHYIYJXKVFVGYKAJUAUWHWUOUBUWQUWOULUSWVHWXGWXFXJXKXLYT $.
    $}

    yoneda.m $e |- M = ( f e. ( O Func S ) , x e. B |->
      ( a e. ( ( ( 1st ` Y ) ` x ) ( O Nat S ) f ) |->
        ( ( a ` x ) ` ( .1. ` x ) ) ) ) $.
    $( Lemma for ~ yoneda .  (Contributed by Mario Carneiro, 28-Jan-2017.) $)
    yonedalem3 $p |- ( ph -> M e. ( Z ( ( Q Xc. O ) Nat T ) E ) ) $=
      ( vz vw vg vy cxpc co cnat wcel cfunc cxp c1st cfv chom cixp c2nd cop cco
      cv wceq wral wfn cmpt ovex mptex fnmpoi a1i wa wf ccat adantr crn wss cun
      chomf simprl simprr yonedalem3a simprd eqid cbs fucbas oppcbas xpcbas wbr
      wrel relfunc yonedalem1 simpld 1st2ndbr sylancr fovrnda setcbas elsetchom
      funcf1 mpbird ralrimivva fveq2 df-ov eqtr4di oveq12d eleq12d ralxp sylibr
      eleqtrrd cmpo cvv fvexi mpoex eqeltri elixp sylanbrc w3a simpr1 xp1st syl
      xp2nd simpr2 simpr3 fuchom 1st2nd2 fveq2d opeq12d fveq12d oveq123d xpchom
      oppchom xpeq2i eqtrdi eleqtrd yonedalem3b 3eqtr4d ralrimivvva mpbir2and
      isnat2 ) ANSLEOVAVBZHVCVBZVBVDNUQOGVEVBZCVFZUQVNZSVGVHZVHZUUOLVGVHZVHZHVI
      VHZVBZVJVDZURVNZNVHZUSVNZUUOUVCSVKVHZVBZVHZUUQUVCUUPVHZVLZUVCUURVHZHVMVHZ
      VBZVBZUVEUUOUVCLVKVHZVBZVHZUUONVHZUUQUUSVLZUVKUVLVBZVBZVOZUSUUOUVCUUKVIVH
      ZVBZVPURUUNVPUQUUNVPANUUNVQZUVRUVAVDZUQUUNVPZUVBUWEAKBUUMCTBVNZRVGVHZVHZK
      VNZOGVCVBZVBZUWHJVHUWHTVNZVHVHZVRZNUPTUWMUWOUWJUWKUWLVSVTWAWBAUVEUTVNZNVB
      ZUVEUWQUUPVBZUVEUWQUURVBZUUTVBZVDZUTCVPUSUUMVPUWGAUXBUSUTUUMCAUVEUUMVDZUW
      QCVDZWCZWCZUXBUWSUWTUWRWDZUXFUWRTUWQUWIVHUVEUWLVBUWQJVHUWQUWNVHVHVRVOUXGU
      XFBCDEFGHIJKLUVEMNOPQUWQRSTUAUBUCUDUEUFUGUHUIUJUKADWEVDZUXEULWFAPQVDZUXEU
      MWFZADWJVHWGIWHZUXEUNWFAEWJVHWGIWIPWHZUXEUOWFAUXCUXDWKAUXCUXDWLUPWMWNUXFH
      PUWRUUTQUWSUWTUFUXJUUTWOZUXFUWSHWPVHZPAUVEUWQUXNUUMCUUPAUUNUXNUUKHUUPUVFE
      OUUKUUMCUUKWOZOGEUGWQCDOUDUBWRWSZUXNWOZAUUKHVEVBZXAZSUXRVDZUUPUVFUXRWTUUK
      HXBZAUXTLUXRVDZACDEFGHIJLMOPQRSUAUBUCUDUEUFUGUHUIUJUKULUMUNUOXCZXDZSUXRXE
      XFXJXGUXFHPQUFUXJXHZXTUXFUWTUXNPAUVEUWQUXNUUMCUURAUUNUXNUUKHUURUVOUXPUXQA
      UXSUYBUURUVOUXRWTUYAAUXTUYBUYCWNZLUXRXEXFXJXGUYEXTXIXKXLUWFUXBUQUSUTUUMCU
      UOUVEUWQVLZVOZUVRUWRUVAUXAUYHUVRUYGNVHUWRUUOUYGNXMUVEUWQNXNXOUYHUUQUWSUUS
      UWTUUTUYHUUQUYGUUPVHUWSUUOUYGUUPXMUVEUWQUUPXNXOUYHUUSUYGUURVHUWTUUOUYGUUR
      XMUVEUWQUURXNXOXPXQXRXSUQUUNUVANNKBUUMCUWPYAYBUPKBUUMCUWPOGVEVSCDWPUBYCYD
      YEYFYGAUWBUQURUSUUNUUNUWDAUUOUUNVDZUVCUUNVDZUVEUWDVDZYHZWCZUVCVGVHZUVCVKV
      HZNVBZUVEVGVHZUVEVKVHZUUOVGVHZUUOVKVHZVLZUYNUYOVLZUVFVBZVBZUYSUYTUUPVBZUY
      NUYOUUPVBZVLZUYNUYOUURVBZUVLVBZVBUYQUYRVUAVUBUVOVBZVBZUYSUYTNVBZVUEUYSUYT
      UURVBZVLZVUHUVLVBZVBUVNUWAUYMBUYQCDUYOEFGHIJKLUYSUYNMUYRNOPQUYTRSTUAUBUCU
      DUEUFUGUHUIUJUKAUXHUYLULWFAUXIUYLUMWFAUXKUYLUNWFAUXLUYLUOWFUYMUYIUYSUUMVD
      AUYIUYJUYKYIZUUOUUMCYJYKUYMUYIUYTCVDVUPUUOUUMCYLYKUYMUYJUYNUUMVDAUYIUYJUY
      KYMZUVCUUMCYJYKUYMUYJUYOCVDVUQUVCUUMCYLYKUYMUVEUYSUYNUWLVBZUYOUYTDVIVHZVB
      ZVFZVDZUYQVURVDUYMUVEUWDVVAAUYIUYJUYKYNUYMUWDVURUYTUYOOVIVHZVBZVFVVAUYMUU
      NEOUUKUWLVVCUWCUUOUVCUXOUXPOGEUWLUGUWLWOYOVVCWOUWCWOZVUPVUQUUAVVDVUTVURDV
      USOUYTUYOVUSWOUDUUBUUCUUDUUEZUVEVURVUTYJYKUYMVVBUYRVUTVDVVFUVEVURVUTYLYKU
      PUUFUYMUVDUYPUVHVUDUVMVUIUYMUVJVUGUVKVUHUVLUYMUUQVUEUVIVUFUYMUUQVUAUUPVHV
      UEUYMUUOVUAUUPUYMUYIUUOVUAVOVUPUUOUUMCYPYKZYQUYSUYTUUPXNXOZUYMUVIVUBUUPVH
      VUFUYMUVCVUBUUPUYMUYJUVCVUBVOVUQUVCUUMCYPYKZYQUYNUYOUUPXNXOYRUYMUVKVUBUUR
      VHVUHUYMUVCVUBUURVVIYQUYNUYOUURXNXOZXPUYMUVDVUBNVHUYPUYMUVCVUBNVVIYQUYNUY
      ONXNXOUYMUVHUYQUYRVLZVUCVHVUDUYMUVEVVKUVGVUCUYMUUOVUAUVCVUBUVFVVGVVIXPUYM
      VVBUVEVVKVOVVFUVEVURVUTYPYKZYSUYQUYRVUCXNXOYTUYMUVQVUKUVRVULUVTVUOUYMUVSV
      UNUVKVUHUVLUYMUUQVUEUUSVUMVVHUYMUUSVUAUURVHVUMUYMUUOVUAUURVVGYQUYSUYTUURX
      NXOYRVVJXPUYMUVQVVKVUJVHVUKUYMUVEVVKUVPVUJUYMUUOVUAUVCVUBUVOVVGVVIXPVVLYS
      UYQUYRVUJXNXOUYMUVRVUANVHVULUYMUUOVUANVVGYQUYSUYTNXNXOYTUUGUUHAUQURNUUNUU
      KHUVLUSSLUWCUUTUULUULWOUXPVVEUXMUVLWOUYDUYFUUJUUI $.

    ${
      yonedainv.i $e |- I = ( Inv ` R ) $.
      yonedainv.n $e |- N =
        ( f e. ( O Func S ) , x e. B |-> ( u e. ( ( 1st ` f ) ` x ) |->
          ( y e. B |-> ( g e. ( y ( Hom ` C ) x ) |->
            ( ( ( x ( 2nd ` f ) y ) ` g ) ` u ) ) ) ) ) $.
      $( The Yoneda Lemma with explicit inverse.  (Contributed by Mario
         Carneiro, 29-Jan-2017.) $)
      yonedainv $p |- ( ph -> M ( Z I E ) N ) $=
        ( vz vh vw vb vk cfunc co cv cfv cmpt cnat eqid wcel simpld simprd c1st
        wbr wral wa wceq wf ccom cid cres ccat adantr chomf crn wss yonedalem3a
        simplrl simplrr simpr yonedalem4c wfn chom c2nd cbs mptex fveq2d simplr
        weq fveq1d mpteq12dv mpteq2dva adantl dffn5 sylib syl cvv mpbird fcompt
        syl2anc eleq2d biimpa ffvelrnda fveq1 relfunc 1st2ndbr sylancr ad2antrr
        fvex wrel funcf1 setcbas feq3d ffvelrnd 3eqtr3d eqtr4di eqtrd mpbid cop
        3eqtrd elsetchom natcl fveq2 df-ov cxp fucbas oppcbas xpcbas yonedalem1
        cxpc cinv yonedalem3 wf1o cun simprl simprr fmpttd fvexi fnmpti fveq12d
        simpl oveq2d simpll eqidd oveq123d ovmpoa fneq1d mpbiri oppccat setccat
        unssbd ssexd evlf1 yonedalem21 feq123d fmpt3d fvmpt catidcl yonedalem4b
        ccnv ccid funcid oppcid setcid fvresi syldan mptresid nat1st2nd oppchom
        natfn yon11 cco eleqtrrdi nati yoncl funcf2 setcco fvco3d catlid eqtr3d
        eleqtrrd feqmptd 3eqtr4d eqfnfvd fcof1o syl22anc anbi2i fovrnda setcinv
        yon12 eqcom ralrimivva oveq12d breq123d ralxp sylibr invfuc fnmpoi mpbi
        r19.21bi breqtrrdi ) ARVDTIVIVJZEUUAZVDVKZSVLZVMZSUDOQVJAVDUXSGTUUFVJZJ
        HRUDOQJUUGVLZUYCJVNVJZUYAUNGTUYCUXREUYCVOTIGULUUBZEFTUIUGUUCZUUDZUYEVOA
        UDUYCJVIVJZVPZOUYIVPZAEFGHIJKLOPTUAUBUCUDUFUGUHUIUJUKULUMUNUOUPUQURUSUT
        UUEZVQZAUYJUYKUYLVRZVBUYDVOZABEFGHIJKLMOPRTUAUBUCUDUEUFUGUHUIUJUKULUMUN
        UOUPUQURUSUTVAUUHAUXTRVLZUYAUXTUDVSVLZVLZUXTOVSVLZVLZUYDVJZVTZVDUXSAVEV
        KZVFVKZRVJZVUCVUDSVJZVUCVUDUYQVJZVUCVUDUYSVJZUYDVJZVTZVFEWAVEUXRWAVUBVD
        UXSWAAVUJVEVFUXREAVUCUXRVPZVUDEVPZWBZWBZVUJVUGVUHVUEUUIZVUFVUEUVPZWCZWB
        ZVUNVUOVUPVUFWCZWBZVURVUNVUGVUHVUEWDZVUHVUGVUFWDZVUEVUFWEZWFVUHWGZWCVUF
        VUEWEZWFVUGWGZWCVUTVUNVUEUEVUDUCVSVLZVLZVUCTIVNVJZVJZVUDLVLZVUDUEVKZVLZ
        VLZVMZWCZVVAVUNBEFGHIJKLMOVUCPRTUAUBVUDUCUDUEUFUGUHUIUJUKULUMUNUOUPAFWH
        VPZVUMUQWIZAUAUBVPZVUMURWIZAFWJVLWKKWLZVUMUSWIZAGWJVLWKZKUUJUAWLZVUMUTW
        IZAVUKVULUUKZAVUKVULUULZVAWMVRZVUNVVBVUDVUCVSVLZVLZVVJVGVWJVGVKZVUFVLZV
        MZWDVUNVGVWJVWLVVJVUNVWKVWJVPZWBBCDVWKEFGHIJKLMNOVUCPSTUAUBVUDUCUDUFUGU
        HUIUJUKULUMUNUOUPVUNVVQVWNVVRWIVUNVVSVWNVVTWIVUNVWAVWNVWBWIVUNVWDVWNVWE
        WIAVUKVULVWNWNAVUKVULVWNWOVCVUNVWNWPWQZUUMVUNVUHVWJVUGVVJVUFVWMVUNVUFVW
        JWRZVUFVWMWCVUNVWPDVWJCENCVKZVUDFWSVLZVJZDVKZNVKZVUDVWQVUCWTVLZVJZVLZVL
        ZVMZVMZVMZVWJWRDVWJVXGVXHCEVXFEFXAUGUUNXBVXHVOUUOVUNVWJVUFVXHVUMVUFVXHW
        CAMBVUCVUDUXREDBVKZMVKZVSVLZVLZCENVWQVXIVWRVJZVWTVXAVXIVWQVXJWTVLZVJZVL
        ZVLZVMZVMZVMZVXHSMVEXEZBVFXEZWBZDVXLVXSVWJVXGVYCVXIVUDVXKVWIVYCVXJVUCVS
        VYAVYBUUQXCVYAVYBWPUUPVYCCEVXRVXFVYCVWQEVPZWBZNVXMVXQVWSVXEVYEVXIVUDVWQ
        VWRVYAVYBVYDXDZUURVYEVWTVXPVXDVYEVXAVXOVXCVYEVXIVUDVWQVWQVXNVXBVYEVXJVU
        CWTVYAVYBVYDUUSXCVYFVYEVWQUUTUVAXFXFXGXHXGVCDVWJVXGVUDVWIYEXBUVBXIUVCUV
        DVGVWJVUFXJXKZVUNETIOVUCVUDUOATWHVPZVUMAVVQVYHUQFTUIUVEXLWIAIWHVPZVUMAK
        XMVPZVYIAKUAUBURAVWCKUAUTUVGUVHZIKXMUJUVFXLWIUYGVWFVWGUVIZVUNEFGHIJKLOV
        UCPTUAUBVUDUCUDUFUGUHUIUJUKULUMUNUOUPVVRVVTVWBVWEVWFVWGUVJZUVKXNZVUNVVC
        VHVUHVHVKZVUFVLZVUEVLZVMZVVDVUNVVAVVBVVCVYRWCVWHVYNVHVUEVUFVUHVUGVUHXOX
        PVUNVYRVHVUHVYOVMVVDVUNVHVUHVYQVYOVUNVYOVUHVPZVYOVWJVPZVYQVYOWCVUNVYSVY
        TVUNVUHVWJVYOVYLXQXRVUNVYTWBZVYQVYPVVOVLZVVKVUDVYPVLZVLZVYOWUAVYPVUEVVO
        WUAVVPVVAWUABEFGHIJKLMOVUCPRTUAUBVUDUCUDUEUFUGUHUIUJUKULUMUNUOUPVUNVVQV
        YTVVRWIZVUNVVSVYTVVTWIZVUNVWAVYTVWBWIZVUNVWDVYTVWEWIZAVUKVULVYTWNZAVUKV
        ULVYTWOZVAWMVQXFWUAVYPVVJVPWUBWUDWCVUNVWJVVJVYOVUFVUNVGVWJVWLVVJVUFVYGV
        WOUVLXSUEVYPVVNWUDVVJVVOVVLVYPWCVVKVVMWUCVUDVVLVYPXTXFVVOVOZVVKWUCYEUVM
        XLWUAWUDVYOVVKVUDVUDVXBVJZVLZVLVYOWFVWJWGZVLZVYOWUABCDVYOEFVUDGHIJKLMNO
        VUCVVKPSTUAUBVUDUCUDUFUGUHUIUJUKULUMUNUOUPWUEWUFWUGWUHWUIWUJVCVUNVYTWPW
        UJWUAEFLVWRVUDUGVWRVOZUHWUEWUJUVNUVOWUAVYOWUMWUNWUAVUDTUVQVLZVLZWULVLVW
        JIUVQVLZVLWUMWUNWUAETWUQIVWIVXBWUSVUDUYGWUQVOWUSVOZWUAUXRYFZVUKVWIVXBUX
        RVTZTIYAZWUIVUCUXRYBZYCZWUJUVRWUAWURVVKWULWUAVUDWUQLWUAVVQWUQLWCWUELFTU
        IUHUVSXLXFXCWUAIKWUSXMVWJUJWUTAVYJVUMVYTVYKYDZWUAEKVUDVWIWUAEKVWIWDZEIX
        AVLZVWIWDZWUAEWVHTIVWIVXBUYGWVHVOZWVEYGWUAKWVHVWIEWUAIKXMUJWVFYHYIXNWUJ
        YJUVTYKXFVYTWUOVYOWCVUNVWJVYOUWAXIYPYPUWBXHVHVUHUWCYLYMVUNVVEVGVUGVWKVU
        EVLZVUFVLZVMZVVFVUNVVBVVAVVEWVMWCVYNVWHVGVUFVUEVUGVUHVUGXOXPVUNWVMVGVUG
        VWKVMVVFVUNVGVUGWVLVWKVUNVWKVUGVPZWBZVDEWVLVWKWVOWVLETIVVHVSVLZVVHWTVLZ
        VWIVXBVVIVVIVOZWVOWVLTIVVHVUCVVIWVRWVOBCDWVKEFGHIJKLMNOVUCPSTUAUBVUDUCU
        DUFUGUHUIUJUKULUMUNUOUPVUNVVQWVNVVRWIZVUNVVSWVNVVTWIZVUNVWAWVNVWBWIZVUN
        VWDWVNVWEWIZAVUKVULWVNWNZAVUKVULWVNWOZVCVUNVUGVWJVWKVUEVUNVVAVUGVWJVUEW
        DVWHVUNVUHVWJVUEVUGVYLYIYNXSZWQUWDZUYGUWFWVOVWKETIWVPWVQVWIVXBVVIWVRWVO
        VWKTIVVHVUCVVIWVRVUNWVNVWKVVJVPZVUNVUGVVJVWKVYMXQXRZUWDZUYGUWFWVOUXTEVP
        ZWBZVHUXTWVPVLZVYOUXTWVLVLZVLZVMVHWWLVYOUXTVWKVLZVLZVMWWMWWOWWKVHWWLWWN
        WWPWWKVYOWWLVPZVYOUXTVUDVWRVJZVPZWWNWWPWCWWKWWQWWSWWKWWLWWRVYOWWKEFVWRV
        UDUCUXTUFUGWVOVVQWWJWVSWIZWVOVULWWJWWDWIZWUPWVOWWJWPZUWGXQXRWWKWWSWBZWW
        NWVKVYOVUDUXTVXBVJZVLZVLVVKVUDVWKVLZVLZWXEVLZWWPWXCBCDWVKEFUXTGHIJKLMNO
        VUCVYOPSTUAUBVUDUCUDUFUGUHUIUJUKULUMUNUOUPWWKVVQWWSWWTWIZWVOVVSWWJWWSWV
        TYDZWVOVWAWWJWWSWWAYDZWVOVWDWWJWWSWWBYDZWVOVUKWWJWWSWWCYDZWWKVULWWSWXAW
        IZVCWVOWVKVWJVPWWJWWSWWEYDWVOWWJWWSXDZWWKWWSWPZUVOWXCWVKWXGWXEWXCWVKVWK
        VVOVLZWXGWXCVWKVUEVVOWXCVVPVVAWXCBEFGHIJKLMOVUCPRTUAUBVUDUCUDUEUFUGUHUI
        UJUKULUMUNUOUPWXIWXJWXKWXLWXMWXNVAWMVQXFWXCWWGWXQWXGWCWVOWWGWWJWWSWWHYD
        UEVWKVVNWXGVVJVVOUEVGXEVVKVVMWXFVUDVVLVWKXTXFWUKVVKWXFYEUVMXLYMXCWXCVVK
        VYOVUDUXTWVQVJZVLZVLZWWOVLZWXHWWPWXCVVKWWOWXSWEZVLVVKWXEWXFWEZVLZWYAWXH
        WXCVVKWYBWYCWXCWWOWXSVUDWVPVLZWWLYOUXTVWIVLZIUWHVLZVJVJWXEWXFWYEVWJYOWY
        FWYGVJVJWYBWYCWXCVWKETIVYOWYGWVPWVQTWSVLZVWIVXBVVIVUDUXTWVRWVOVWKWVPWVQ
        YOVWIVXBYOVVIVJZVPZWWJWWSWWIYDUYGWYHVOZWYGVOZWXNWXOWXCVYOWWRVUDUXTWYHVJ
        ZWXPFVWRTVUDUXTWUPUIUWEUWIZUWJWXCIWYGKWXSWWOXMWYEWWLWYFUJWWKVYJWWSWVOVY
        JWWJAVYJVUMWVNVYKYDZWIZWIZWYLWVOWYEKVPWWJWWSWVOEKVUDWVPWVOEKWVPWDEWVHWV
        PWDWVOEWVHTIWVPWVQUYGWVJWVOWVAVVHUXRVPWVPWVQUXRVTZWVCWVOEUXRVUDVVGAEUXR
        VVGWDVUMWVNAEUXRFGVVGUCWTVLZUGUYFAFGVIVJZYFUCWYTVPVVGWYSWYTVTFGYAAFGIKT
        XMUCUFUQUIUJULVYKUSUWKUCWYTYBYCYGYDWWDYJVVHUXRYBYCZYGWVOKWVHWVPEWVOIKXM
        UJWYOYHZYIXNZWWDYJZYDZWWKWWLKVPWWSWVOEKUXTWVPXUCXSZWIZWWKWYFKVPWWSWVOEK
        UXTVWIWVOWVGWVIWVOEWVHTIVWIVXBUYGWVJWVOWVAVUKWVBWVCWWCWVDYCYGWVOKWVHVWI
        EXUBYIXNZXSZWIZWXCWXSWYEWWLIWSVLZVJZVPWYEWWLWXSWDWXCWYMXULVYOWXRWXCETIW
        VPWVQWYHXUKVUDUXTUYGWYKXUKVOZWVOWYRWWJWWSXUAYDWXNWXOUWLWYNYJWXCIKWXSXUK
        XMWYEWWLUJWYQXUMXUEXUGYQYNZWWKWWLWYFWWOWDZWWSWWKWWOWWLWYFXUKVJZVPXUOWWK
        VWKETIWVPWVQXUKVWIVXBVVIUXTWVRWVOWYJWWJWWIWIUYGXUMWXBYRWWKIKWWOXUKXMWWL
        WYFUJWYPXUMXUFXUIYQYNZWIUWMWXCIWYGKWXFWXEXMWYEVWJWYFUJWYQWYLXUEWVOVWJKV
        PWWJWWSWVOEKVUDVWIXUHWWDYJZYDZXUJWVOWYEVWJWXFWDZWWJWWSWVOWXFWYEVWJXUKVJ
        VPXUTWVOVWKETIWVPWVQXUKVWIVXBVVIVUDWVRWWIUYGXUMWWDYRWVOIKWXFXUKXMWYEVWJ
        UJWYOXUMXUDXURYQYNZYDWXCWXEVWJWYFXUKVJZVPVWJWYFWXEWDWXCWYMXVBVYOWXDWXCE
        TIVWIVXBWYHXUKVUDUXTUYGWYKXUMWXCWVAVUKWVBWVCWXMWVDYCWXNWXOUWLWYNYJWXCIK
        WXEXUKXMVWJWYFUJWYQXUMXUSXUJYQYNUWMYKXFWXCWYEWWLVVKWWOWXSXUNWVOVVKWYEVP
        WWJWWSWVOVVKVUDVUDVWRVJZWYEWVOEFLVWRVUDUGWUPUHWVSWWDUVNZWVOEFVWRVUDUCVU
        DUFUGWVSWWDWUPWWDUWGUWQZYDUWNWVOWYDWXHWCWWJWWSWVOWYEVWJVVKWXEWXFXVAXVEU
        WNYDYKWXCWXTVYOWWOWXCWXTVVKVYOUXTVUDYOVUDFUWHVLZVJVJVYOWXCEFXVFVYOVVKVW
        RUXTVUDUCVUDUFUGWXIWXNWUPWXNXVFVOZWXOWXPWVOVVKXVCVPWWJWWSXVDYDUXFWXCEFX
        VFLVYOVWRUXTVUDUGWUPUHWXIWXOXVGWXNWXPUWOYMXCUWPYPUWBXHWWKVHWWLWYFWWMWWK
        WWMXUPVPWWLWYFWWMWDWWKWVLETIWVPWVQXUKVWIVXBVVIUXTWVRWVOWVLWYIVPWWJWWFWI
        UYGXUMWXBYRWWKIKWWMXUKXMWWLWYFUJWYPXUMXUFXUIYQYNUWRWWKVHWWLWYFWWOXUQUWR
        UWSUWTXHVGVUGUWCYLYMVUGVUHVUEVUFUXAUXBVUSVUQVUOVUPVUFUXGUXCXKVUNJUAVUEV
        UFUYDUBVUGVUHUKVVTAVUCVUDUAUXREUYQAUXSUAUYQWDUXSJXAVLZUYQWDAUXSXVHUYCJU
        YQUDWTVLZUYHXVHVOZAUYIYFZUYJUYQXVIUYIVTUYCJYAZUYMUDUYIYBYCYGAUAXVHUYQUX
        SAJUAUBUKURYHZYIXNUXDAVUCVUDUAUXREUYSAUXSUAUYSWDUXSXVHUYSWDAUXSXVHUYCJU
        YSOWTVLZUYHXVJAXVKUYKUYSXVNUYIVTXVLUYNOUYIYBYCYGAUAXVHUYSUXSXVMYIXNUXDU
        YOUXEXNUXHVUBVUJVDVEVFUXREUXTVUCVUDYOZWCZUYPVUEUYAVUFVUAVUIXVPUYPXVORVL
        VUEUXTXVORYSVUCVUDRYTYLXVPUYRVUGUYTVUHUYDXVPUYRXVOUYQVLVUGUXTXVOUYQYSVU
        CVUDUYQYTYLXVPUYTXVOUYSVLVUHUXTXVOUYSYSVUCVUDUYSYTYLUXIXVPUYAXVOSVLVUFU
        XTXVOSYSVUCVUDSYTYLUXJUXKUXLUXPUXMSUXSWRSUYBWCMBUXREVXTSVCDVXLVXSVXIVXK
        YEXBUXNVDUXSSXJUXOUXQ $.

      $( Lemma for ~ yonffth .  (Contributed by Mario Carneiro,
         29-Jan-2017.) $)
      yonffthlem $p |- ( ph -> Y e. ( ( C Full Q ) i^i ( C Faith Q ) ) ) $=
        ( vz vw vv vh c1st cfv c2nd cop cful co cfth cin wrel wcel wceq relfunc
        cfunc cvv chomf crn unssbd ssexd yoncl 1st2nd sylancr cv chom cnat wf1o
        wbr wral 1st2ndbr wa ciso cxp fveq2 eqtr4di oveq12d eleq12d cxpc fucbas
        ccat yonedalem1 simpld funcrcl syl simprd fuccat eqid yonedainv inviso2
        df-ov xpcbas fuciso mpbid adantr wf funcf1 simprr ffvelrnd simprl yon11
        oppcbas wss eleqtrrd eqeltrrd sseldd wfn cmpt eqtr4d ffvelrnda ad2antrr
        simpr feqmptd mpteq2dva sylib 3eqtr4d opelxpd rspcdva oppccat evlf1 cun
        setccat yonedalem21 eleqtrd setcbas fuchom homfval unssad homffn fnovrn
        eqtrd cbs mp3an2i setciso eqcomd cco ad3antrrr simpllr yon12 mpteq12dva
        funcf2 nat1st2nd natcl elsetchom eleq2d biimpar yonedalem4a natfn dffn5
        yon2 f1of f1oeq1d ralrimivva isffth2 sylanbrc df-br eqeltrd ) AUCUCVHVI
        ZUCVJVIZVKZFGVLVMFGVNVMVOZAFGVTVMZVPZUCUWFVQZUCUWDVRFGVSZAFGIKTWAUCUFUQ
        UIUJULAKUAUBURAGWBVIZWCZKUAUTWDZWEZUSWFZUCUWFWGWHAUWBUWCUWEWMZUWDUWEVQA
        UWBUWCUWFWMZVDWIZVEWIZFWJVIZVMZUWQUWBVIZUWRUWBVIZTIWKVMZVMZUWQUWRUWCVMZ
        WLZVEEWNVDEWNUWOAUWGUWHUWPUWIUWNUCUWFWOWHZAUXFVDVEEEAUWQEVQZUWREVQZWPZW
        PZUWTUXDUXBUWQSVMZWLZUXFUXKUXLUWTUXDJWQVIZVMZVQUXMUXKUXLUXBUWQOVHVIZVMZ
        UXBUWQUDVHVIZVMZUXNVMZUXOUXKVFWIZSVIZUYAUXPVIZUYAUXRVIZUXNVMZVQZUXLUXTV
        QVFTIVTVMZEWRZUXBUWQVKZUYAUYIVRZUYBUXLUYEUXTUYJUYBUYISVIUXLUYAUYISWSUXB
        UWQSXOWTUYJUYCUXQUYDUXSUXNUYJUYCUYIUXPVIUXQUYAUYIUXPWSUXBUWQUXPXOWTUYJU
        YDUYIUXRVIUXSUYAUYIUXRWSUXBUWQUXRXOWTXAXBAUYFVFUYHWNZUXJASOUDGTXCVMZJWK
        VMZVMVQZUYKASOUDHWQVIZVMVQUYNUYKWPAUYLJVTVMZHRSUYOQUDOUYLJHUNXDVBAUYLJH
        UNAUYLXEVQZJXEVQZAUDUYPVQZUYQUYRWPAUYSOUYPVQZAEFGHIJKLOPTUAUBUCUDUFUGUH
        UIUJUKULUMUNUOUPUQURUSUTXFZXGZUYLJUDXHXIZXGAUYQUYRVUCXJXKVUBAUYSUYTVUAX
        JZUYOXLZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAV
        BVCXMXNAVFSUYHUYLJHOUDUYOUXNUYMUNGTUYLUYGEUYLXLTIGULXDZEFTUIUGYFZXPUYMX
        LVUDVUBVUEUXNXLZXQXRXJXSUXKUXBUWQUYGEUXKEUYGUWRUWBAEUYGUWBXTZUXJAEUYGFG
        UWBUWCUGVUFUXGYAZXSZAUXHUXIYBZYCZAUXHUXIYDZUUAUUBUXKUXQUWTUXSUXDUXNUXKU
        XQUWQUXBVHVIZVIZUWTUXKETIOUXBUWQUOATXEVQZUXJAFXEVQZVUQUQFTUIUUCXIXSAIXE
        VQZUXJAKWAVQZVUSUWMIKWAUJUUFXIXSVUGVUMVUNUUDUXKEFUWSUWRUCUWQUFUGAVURUXJ
        UQXSZVULUWSXLZVUNYEZUUOUXKEFGHIJKLOUXBPTUAUBUWQUCUDUFUGUHUIUJUKULUMUNUO
        UPVVAAUAUBVQZUXJURXSZAFWBVIWCKYGZUXJUSXSZAUWKKUUEUAYGZUXJUTXSZVUMVUNUUG
        XAUUHUXKJUAUXLUXNUBUWTUXDUKVVEUXKKUAUWTAKUAYGUXJUWLXSUXKVUPUWTKVVCUXKVU
        PIUUPVIZKUXKEVVJUWQVUOUXKEVVJTIVUOUXBVJVIZVUGVVJXLZUXKUYGVPZUXBUYGVQZVU
        OVVKUYGWMTIVSZVUMUXBUYGWOWHYAZVUNYCAKVVJVRZUXJAIKWAUJUWMUUIXSZYHYIYJUXK
        UXAUXBUWJVMZUXDUAUXKUYGGUWJUXCUXAUXBUWJXLZVUFTIGUXCULUXCXLZUUJZUXKEUYGU
        WQUWBVUKVUNYCZVUMUUKUXKUWKUAVVSAUWKUAYGUXJAUWKKUAUTUULXSUWJUYGUYGWRYKUX
        KUXAUYGVQZVVNVVSUWKVQUYGGUWJVVTVUFUUMVWCVUMUYGUYGUXAUXBUWJUUNUUQYJYIVUH
        UURXRZUXKUWTUXDUXLUXEUXKVGUWTVGWIZUXLVIZYLVGUWTVWFUXEVIZYLUXLUXEUXKVGUW
        TVWGVWHUXKVWFUWTVQZWPZCENCWIZUWQUWSVMZVWFNWIZUWQVWKVVKVMVIVIZYLZYLCEVWK
        VWHVIZYLZVWGVWHVWJCEVWOVWPVWJVWKEVQZWPZVWONVWKUXAVHVIZVIZVWMVWPVIZYLVWP
        VWSNVWLVWNVXAVXBVWSVXAVWLVWSEFUWSUWQUCVWKUFUGVWJVURVWRUXKVURVWIVVAXSZXS
        ZVWJUXHVWRUXKUXHVWIVUNXSZXSZVVBVWJVWRYPZYEUUSVWSVWMVWLVQZWPZVWNVWFVWMVW
        KUWQVKUWRFUUTVIZVMVMVXBVXIEFVXJVWMVWFUWSVWKUWRUCUWQUFUGVWSVURVXHVXDXSZU
        XKUXIVWIVWRVXHVULUVAZVVBVWSUXHVXHVXFXSZVXJXLZVWSVWRVXHVXGXSZVWSVXHYPZUX
        KVWIVWRVXHUVBZUVCVXIEFVXJVWFVWMUWSVWKUWQUCUWRUFUGVXKVXMVVBVXLVXNVXOVXQV
        XPUVNYMUVDVWSNVXAVWKVUOVIZVWPVWSVWPVXAVXRIWJVIZVMVQVXAVXRVWPXTVWSVWHETI
        VWTUXAVJVIZVXSVUOVVKUXCVWKVWAVWJVWHVWTVXTVKVUOVVKVKUXCVMVQVWRVWJVWHTIUX
        AUXBUXCVWAUXKUWTUXDVWFUXEUXKEFGUWBUWCUWSUXCUWQUWRUGVVBVWBAUWPUXJUXGXSVU
        NVULUVEZYNUVFZXSVUGVXSXLZVXGUVGVWSIKVWPVXSWAVXAVXRUJUXKVUTVWIVWRAVUTUXJ
        UWMXSYOVYCVWSVXAVVJKVWJEVVJVWKVWTVWJEVVJTIVWTVXTVUGVVLVWJVVMVWDVWTVXTUY
        GWMVVOVWJEUYGUWQUWBAVUIUXJVWIVUJYOVXEYCUXAUYGWOWHYAYNUXKVVQVWIVWRVVRYOZ
        YHVWSVXRVVJKVWJEVVJVWKVUOUXKEVVJVUOXTVWIVVPXSYNVYDYHUVHXRYQYMYRVWJBCDVW
        FEFGHIJKLMNOUXBPSTUAUBUWQUCUDUFUGUHUIUJUKULUMUNUOUPVXCUXKVVDVWIVVEXSUXK
        VVFVWIVVGXSUXKVVHVWIVVIXSUXKVVNVWIVUMXSVXEVCUXKVWFVUPVQVWIUXKVUPUWTVWFV
        VCUVIUVJUVKVWJVWHEYKVWHVWQVRVWJVWHETIVWTVXTVUOVVKUXCVWAVYBVUGUVLCEVWHUV
        MYSYTYRUXKVGUWTUXDUXLUXKUXMUWTUXDUXLXTVWEUWTUXDUXLUVOXIYQUXKVGUWTUXDUXE
        VYAYQYTUVPXRUVQVDVEEFGUWBUWCUWSUXCUGVVBVWBUVRUVSUWBUWCUWEUVTYSUWA $.
    $}

    yoneda.i $e |- I = ( Iso ` R ) $.
    $( The Yoneda Lemma.  There is a natural isomorphism between the functors
       ` Z ` and ` E ` , where ` Z ( F , X ) ` is the natural transformations
       from ` Yon ( X ) = Hom ( - , X ) ` to ` F ` , and
       ` E ( F , X ) = F ( X ) ` is the evaluation functor.  Here we need two
       universes to state the claim: the smaller universe ` U ` is used for
       forming the functor category
       ` Q = C ` <HTML><sup>op</sup></HTML> ` -> SetCat ( U ) ` , which itself
       does not (necessarily) live in ` U ` but instead is an element of the
       larger universe ` V ` . (If ` U ` is a Grothendieck universe, then it
       will be closed under this "presheaf" operation, and so we can set
       ` U = V ` in this case.)
       (Contributed by Mario Carneiro, 29-Jan-2017.) $)
    yoneda $p |- ( ph -> M e. ( Z I E ) ) $=
      ( vu vy vg cxpc co cfunc cv c1st cfv chom c2nd cmpt cmpo cinv fucbas eqid
      ccat wcel yonedalem1 simpld funcrcl syl simprd fuccat yonedainv inviso1
      wa ) AEPVBVCZHVDVCZFOKBPGVDVCCUSBVEZKVEZVFVGVGUTCVAUTVEZWHDVHVGVCUSVEVAVE
      WHWJWIVIVGVCVGVGVJVJVJVKZNFVLVGZTLWFHFUJVMWLVNZAWFHFUJAWFVOVPZHVOVPZATWGV
      PZWNWOWEAWPLWGVPZACDEFGHIJLMPQRSTUBUCUDUEUFUGUHUIUJUKULUMUNUOUPVQZVRZWFHT
      VSVTZVRAWNWOWTWAWBWSAWPWQWRWAURABUTUSCDEFGHIJKVALMWLOWKPQRSTUAUBUCUDUEUFU
      GUHUIUJUKULUMUNUOUPUQWMWKVNWCWD $.
  $}

  ${
    $d a f g u x y C $.  $d a f g u x y O $.  $d a f g u x y ph $.
    $d a f g u x y Q $.  $d a f g u x y S $.  $d a f g u x y Y $.
    $d f g u y U $.
    yonffth.y $e |- Y = ( Yon ` C ) $.
    yonffth.o $e |- O = ( oppCat ` C ) $.
    yonffth.s $e |- S = ( SetCat ` U ) $.
    yonffth.q $e |- Q = ( O FuncCat S ) $.
    yonffth.c $e |- ( ph -> C e. Cat ) $.
    yonffth.u $e |- ( ph -> U e. V ) $.
    yonffth.h $e |- ( ph -> ran ( Homf ` C ) C_ U ) $.
    $( The Yoneda Lemma.  The Yoneda embedding, the curried Hom functor, is
       full and faithful, and hence is a representation of the category ` C `
       as a full subcategory of the category ` Q ` of presheaves on ` C ` .
       (Contributed by Mario Carneiro, 29-Jan-2017.) $)
    yonffth $p |- ( ph -> Y e. ( ( C Full Q ) i^i ( C Faith Q ) ) ) $=
      ( vx cfv co cv eqid vy vu vf vg va cbs cxpc chomf crn cun csetc cfuc ccid
      cevlf chof cinv cfunc c1st cnat cmpt cmpo chom c2nd cvv ctpos c2ndf ccofu
      cop c1stf cprf wcel fvex rnex unexg sylancr ssidd yonffthlem ) APUAUBBUFQ
      ZBCCFUGRCUHQZUIZEUJZUKQZULRZDWBEBUMQZUCUDFDUNRZCUOQZWCUPQZUCPFDUQRZVRUEPS
      ZHURQZQUCSZFDUSRRWIWDQWIUESQQUTVAZUCPWHVRUBWIWKURQQUAVRUDUASZWIBVBQRUBSUD
      SWIWMWKVCQRQQUTUTUTVAZFWAVDHWFWJHVCQVEVHCFVFRVGRCFVIRVJRVGRZUEIVRTWDTJKWB
      TLWFTWCTWETWOTMAVTVDVKEGVKWAVDVKVSCUHVLVMNVTEVDGVNVOOAWAVPWLTWGTWNTVQ $.
  $}

  ${
    $d x y C $.  $d y F $.  $d x y ph $.  $d x y Y $.
    yoniso.y $e |- Y = ( Yon ` C ) $.
    yoniso.o $e |- O = ( oppCat ` C ) $.
    yoniso.s $e |- S = ( SetCat ` U ) $.
    yoniso.d $e |- D = ( CatCat ` V ) $.
    yoniso.b $e |- B = ( Base ` D ) $.
    yoniso.i $e |- I = ( Iso ` D ) $.
    yoniso.q $e |- Q = ( O FuncCat S ) $.
    yoniso.e $e |- E = ( Q |`s ran ( 1st ` Y ) ) $.
    yoniso.v $e |- ( ph -> V e. X ) $.
    yoniso.c $e |- ( ph -> C e. B ) $.
    yoniso.u $e |- ( ph -> U e. W ) $.
    yoniso.h $e |- ( ph -> ran ( Homf ` C ) C_ U ) $.
    yoniso.eb $e |- ( ph -> E e. B ) $.
    yoniso.1 $e |- ( ( ph /\ ( x e. ( Base ` C ) /\ y e. ( Base ` C ) ) ) ->
      ( F ` ( x ( Hom ` C ) y ) ) = y ) $.
    $( If the codomain is recoverable from a hom-set, then the Yoneda embedding
       is injective on objects, and hence is an isomorphism from ` C ` into a
       full subcategory of a presheaf category.  (Contributed by Mario
       Carneiro, 30-Jan-2017.) $)
    yoniso $p |- ( ph -> Y e. ( C I E ) ) $=
      ( co wcel cful cfth cin cbs cfv c1st wf1o c2nd cop wrel wceq relfunc ccat
      cfunc catcbas inss2 eqsstrdi sseldd yoncl 1st2nd sylancr yonffth eqeltrrd
      wbr crn cvv eqid oppccat syl setccat fuccat fvex rnex a1i wfn wf 1st2ndbr
      fucbas funcf1 ffnd dffn3 sylib ffthres2c df-br 3bitr3g eqeltrd wf1 cv weq
      mpbid wi wa fveq2 fveq1d fveq2d simpl jca eleq1w anbi2d 2fveq3 id eqeq12d
      imbi12d adantr simprr simprl yon11 eqtrd chvarvv sylan2 syl5ib ralrimivva
      wral chom dff13 sylanbrc f1f1orn frnd ressbas2 f1oeq3d catciso mpbir2and
      wss ) AQEJLULUMQEJUNULEJUOULUPZUMEUQURZJUQURZQUSURZUTZAQYTQVAURZVBZYQAEGV
      GULZVCZQUUDUMZQUUCVDEGVEZAEGHIMOQRADVFEADNVFUPVFADFNPUAUBUFVHNVFVIVJUGVKZ
      STUDUHUIVLZQUUDVMVNZAUUCEGUNULEGUOULUPZUMZUUCYQUMZAQUUCUUKUUJAEGHIMOQRSTU
      DUUHUHUIVOVPAYTUUBUUKVQYTUUBYQVQUULUUMAYREGYTVRZJYTUUBVSYRVTZUEAMHGUDAEVF
      UMZMVFUMUUHEMSWAWBAIOUMHVFUMUHHIOTWCWBWDUUNVSUMAYTQUSWEWFWGAYTYRWHYRUUNYT
      WIAYRMHVGULZYTAYRUUQEGYTUUBUUOMHGUDWKZAUUEUUFYTUUBUUDVQUUGUUIQUUDWJVNWLZW
      MYRYTWNWOWPYTUUBUUKWQYTUUBYQWQWRXCWSAYRUUNYTUTZUUAAYRUUQYTWTZUUTAYRUUQYTW
      IBXAZYTURZCXAZYTURZVDZBCXBZXDZCYRYFBYRYFUVAUUSAUVHBCYRYRUVFUVBUVCUSURZURZ
      KURZUVBUVEUSURZURZKURZVDAUVBYRUMZUVDYRUMZXEZXEZUVGUVFUVJUVMKUVFUVBUVIUVLU
      VCUVEUSXFXGXHUVRUVKUVBUVNUVDUVQAUVOUVOXEZUVKUVBVDZUVQUVOUVOUVOUVPXIZUWAXJ
      UVRUVNUVDVDZXDAUVSXEZUVTXDCBCBXBZUVRUWCUWBUVTUWDUVQUVSAUWDUVPUVOUVOCBYRXK
      XLXLUWDUVNUVKUVDUVBUWDUVMUVJKUWDUVBUVLUVIUVDUVBUSYTXMXGXHUWDXNXOXPUVRUVNU
      VBUVDEYGURZULZKURUVDUVRUVMUWFKUVRYREUWEUVDQUVBRUUOAUUPUVQUUHXQAUVOUVPXRUW
      EVTAUVOUVPXSXTXHUKYAZYBYCUWGXOYDYEBCYRUUQYTYHYIYRUUQYTYJWBAUUNYSYRYTAUUNU
      UQYPUUNYSVDAYRUUQYTUUSYKUUNUUQJGUEUURYLWBYMXCADFYRYSNQLPEJUAUBUUOYSVTUFUG
      UJUCYNYO $.
  $}

$( End $[ set-cat.mm $] $)


$( Begin $[ set-order.mm $] $)
$(
###############################################################################
  BASIC ORDER THEORY
###############################################################################
$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Dual of an order structure
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $c ODual $.

  $( Class function defining dual orders. $)
  codu $a class ODual $.

  $( Define the dual of an ordered structure, which replaces the order
     component of the structure with its reverse.  See ~ odubas , ~ oduleval ,
     and ~ oduleg for its principal properties.

     _EDITORIAL_: likely usable to simplify many lattice proofs, as it allows
     for duality arguments to be formalized; for instance ~ latmass .
     (Contributed by Stefan O'Rear, 29-Jan-2015.) $)
  df-odu $a |- ODual = ( w e. _V |->
      ( w sSet <. ( le ` ndx ) , `' ( le ` w ) >. ) ) $.

  ${
    $d D a $.  $d .<_ a $.  $d O a $.  $d G a $.  $d A a $.  $d B a $.
    oduval.d $e |- D = ( ODual ` O ) $.

    ${
      oduval.l $e |- .<_ = ( le ` O ) $.
      $( Value of an order dual structure.  (Contributed by Stefan O'Rear,
         29-Jan-2015.) $)
      oduval $p |- D = ( O sSet <. ( le ` ndx ) , `' .<_ >. ) $=
        ( va codu cfv cnx cple ccnv cop csts co cvv wcel wceq cv id fveq2 fvmpt
        cnveqd opeq2d oveq12d df-odu ovex wn c0 reldmsets ovprc1 eqtr4d pm2.61i
        fvprc cnveqi opeq2i oveq2i 3eqtr4i ) CGHZCIJHZCJHZKZLZMNZACUSBKZLZMNCOP
        ZURVCQFCFRZUSVGJHZKZLZMNVCOGVGCQZVGCVJVBMVKSVKVIVAUSVKVHUTVGCJTUBUCUDFU
        ECVBMUFUAVFUGURUHVCCGUMCVBMUIUJUKULDVEVBCMVDVAUSBUTEUNUOUPUQ $.

      $( Value of the less-equal relation in an order dual structure.
         (Contributed by Stefan O'Rear, 29-Jan-2015.) $)
      oduleval $p |- `' .<_ = ( le ` D ) $=
        ( cple cfv ccnv cnx cop csts co cvv wcel wceq fvex cnvex pleid setsid
        c0 mpan2 str0 fvprc cnveqd cnv0 eqtrdi reldmsets ovprc1 3eqtr4a pm2.61i
        wn fveq2d cnveqi eqid oduval fveq2i 3eqtr4i ) CFGZHZCIFGZUSJZKLZFGZBHAF
        GCMNZUSVCOZVDUSMNVEURCFPQMUSFMCRSUAVDUKZTTFGUSVCFUTRUBVFUSTHTVFURTCFUCU
        DUEUFVFVBTFCVAKUGUHULUIUJBUREUMAVBFAURCDURUNUOUPUQ $.

      oduleg.g $e |- G = ( le ` D ) $.
      $( Truth of the less-equal relation in an order dual structure.
         (Contributed by Stefan O'Rear, 29-Jan-2015.) $)
      oduleg $p |- ( ( A e. V /\ B e. W ) -> ( A G B <-> B .<_ A ) ) $=
        ( wbr ccnv wcel wa cple cfv oduleval eqtr4i breqi brcnvg syl5bb ) ABDLA
        BEMZLAGNBHNOBAELABDUCDCPQUCKCEFIJRSTABGHEUAUB $.
    $}

    odubas.b $e |- B = ( Base ` O ) $.
    $( Base set of an order dual structure.  (Contributed by Stefan O'Rear,
       29-Jan-2015.) $)
    odubas $p |- B = ( Base ` D ) $=
      ( cbs cfv cnx cple ccnv cop csts co baseid wne c1 cc0 cdc 1re 1lt10 mpbir
      ltneii basendx plendx neeq12i setsnid eqid oduval fveq2i 3eqtr4i ) CFGCHI
      GZCIGZJZKLMZFGABFGUMUKFCNHFGZUKOPPQRZOPUPSTUBUOPUKUPUCUDUEUAUFEBUNFBULCDU
      LUGUHUIUJ $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Preordered sets and directed sets
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $c Proset Dirset $.

  $( Extend class notation with the class of all prosets. $)
  cproset $a class Proset $.

  $( Extend class notation with the class of all directed sets. $)
  cdrs $a class Dirset $.

  ${
    $d f b r x y z $.
    $( Define the class of preordered sets, or prosets.  A proset is a set
       equipped with a preorder, that is, a transitive and reflexive relation.

       Preorders are a natural generalization of partial orders which need not
       be antisymmetric: there may be pairs of elements such that each is "less
       than or equal to" the other, so that both elements have the same
       order-theoretic properties (in some sense, there is a "tie" among them).

       If a preorder is required to be antisymmetric, that is, there is no such
       "tie", then one obtains a partial order.  If a preorder is required to
       be symmetric, that is, all comparable elements are tied, then one
       obtains an equivalence relation.

       Every preorder naturally factors into these two notions: the "tie"
       relation on a proset is an equivalence relation, and the quotient under
       that equivalence relation is a partial order.  (Contributed by FL,
       17-Nov-2014.)  (Revised by Stefan O'Rear, 31-Jan-2015.) $)
    df-proset $a |- Proset = { f | [. ( Base ` f ) / b ].
          [. ( le ` f ) / r ].
                A. x e. b A. y e. b A. z e. b ( x r x
                 /\ ( ( x r y /\ y r z ) -> x r z ) ) } $.

    $( Define the class of directed sets.  A directed set is a nonempty
       preordered set where every pair of elements have some upper bound.  Note
       that it is not required that there exist a _least_ upper bound.

       There is no consensus in the literature over whether directed sets are
       allowed to be empty.  It is slightly more convenient for us if they are
       not.  (Contributed by Stefan O'Rear, 1-Feb-2015.) $)
    df-drs $a |- Dirset = { f e. Proset | [. ( Base ` f ) / b ].
        [. ( le ` f ) / r ]. ( b =/= (/) /\ A. x e. b A. y e. b E. z e. b
            ( x r z /\ y r z ) ) } $.
  $}

  ${
    $d K f b r x y z $.  $d B f b r x y z $.  $d .<_ f b r x y z $.
    $d X x y z $.  $d Y x y z $.  $d Z x y z $.
    isprs.b $e |- B = ( Base ` K ) $.
    isprs.l $e |- .<_ = ( le ` K ) $.
    $( Property of being a preordered set.  (Contributed by Stefan O'Rear,
       31-Jan-2015.) $)
    isprs $p |- ( K e. Proset <-> ( K e. _V /\ A. x e. B A. y e. B A. z e. B
          ( x .<_ x /\ ( ( x .<_ y /\ y .<_ z ) -> x .<_ z ) ) ) ) $=
      ( vr vb cv wbr wa wral cple cfv wsbc cbs wceq breq vf wi cproset sbceqbid
      fveq2 sbceq1d wb eqtr3 mpan2 raleq raleqbi1dv syl anbi12d imbi12d ralbidv
      fvex 2ralbidv sylan9bb sbc2ie bitrdi df-proset elab4g ) AKZVCIKZLZVCBKZVD
      LZVFCKZVDLZMZVCVHVDLZUBZMZCJKZNZBVNNZAVNNZIUAKZOPZQZJVRRPZQZVCVCFLZVCVFFL
      ZVFVHFLZMZVCVHFLZUBZMZCDNZBDNADNZUAEUCVRESZWBVQIEOPZQZJERPZQWKWLVTWNJWAWO
      VRERUEWLVQIVSWMVREOUEUFUDVQWKJIWOWMERUPEOUPVNWOSZVQVMCDNZBDNZADNZVDWMSZWK
      WPVNDSZVQWSUGWPDWOSXAGVNDWOUHUIVPWRAVNDVOWQBVNDVMCVNDUJUKUKULWTVDFSZWSWKU
      GWTFWMSXBHVDFWMUHUIXBWQWJABDDXBVMWICDXBVEWCVLWHVCVCVDFTXBVJWFVKWGXBVGWDVI
      WEVCVFVDFTVFVHVDFTUMVCVHVDFTUNUMUOUQULURUSUTABCUAIJVAVB $.

    $( Lemma for ~ prsref and ~ prstr .  (Contributed by Mario Carneiro,
       1-Feb-2015.) $)
    prslem $p |- ( ( K e. Proset /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
        ( X .<_ X /\ ( ( X .<_ Y /\ Y .<_ Z ) -> X .<_ Z ) ) ) $=
      ( vx vy vz wcel cv wbr wa wi wral wceq breq1 breq2 cproset w3a simprbi wb
      cvv isprs breq12 anidms anbi1d imbi12d anbi12d imbi1d anbi2d rspc3v mpan9
      ) BUALZIMZUQCNZUQJMZCNZUSKMZCNZOZUQVACNZPZOZKAQJAQIAQZDALEALFALUBDDCNZDEC
      NZEFCNZOZDFCNZPZOZUPBUELVGIJKABCGHUFUCVFVNVHDUSCNZVBOZDVACNZPZOVHVIEVACNZ
      OZVQPZOIJKDEFAAAUQDRZURVHVEVRWBURVHUDUQDUQDCUGUHWBVCVPVDVQWBUTVOVBUQDUSCS
      UIUQDVACSUJUKUSERZVRWAVHWCVPVTVQWCVOVIVBVSUSEDCTUSEVACSUKULUMVAFRZWAVMVHW
      DVTVKVQVLWDVSVJVIVAFECTUMVAFDCTUJUMUNUO $.

    $( "Less than or equal to" is reflexive in a proset.  (Contributed by
       Stefan O'Rear, 1-Feb-2015.) $)
    prsref $p |- ( ( K e. Proset /\ X e. B ) -> X .<_ X ) $=
      ( cproset wcel wa wbr wi w3a id 3jca prslem sylan2 simpld ) BGHZDAHZIDDCJ
      ZTTITKZSRSSSLTUAISSSSSMZUBUBNABCDDDEFOPQ $.

    $( "Less than or equal to" is transitive in a proset.  (Contributed by
       Stefan O'Rear, 1-Feb-2015.) $)
    prstr $p |- ( ( K e. Proset /\ ( X e. B /\ Y e. B /\ Z e. B ) /\
          ( X .<_ Y /\ Y .<_ Z ) ) -> X .<_ Z ) $=
      ( cproset wcel w3a wbr wa wi prslem simprd 3impia ) BIJZDAJEAJFAJKZDECLEF
      CLMZDFCLZRSMDDCLTUANABCDEFGHOPQ $.
  $}

  ${
    $d K f b r x y z $.  $d B f b r x y z $.  $d .<_ f b r x y z $.
    $d X x y z $.  $d Y x y z $.
    isdrs.b $e |- B = ( Base ` K ) $.
    isdrs.l $e |- .<_ = ( le ` K ) $.
    $( Property of being a directed set.  (Contributed by Stefan O'Rear,
       1-Feb-2015.) $)
    isdrs $p |- ( K e. Dirset <-> ( K e. Proset /\ B =/= (/) /\
          A. x e. B A. y e. B E. z e. B ( x .<_ z /\ y .<_ z ) ) ) $=
      ( vb vr vf c0 cv wbr wa wral cple cfv wsbc cbs cdrs wcel cproset wne wrex
      w3a fveq2 eqtr4di sbceq1d sbceqbid fvexi wb neeq1 adantr rexeq raleqbi1dv
      wceq anbi12d rexbidv 2ralbidv sylan9bb sbc2ie bitrdi df-drs elrab2 3anass
      breq bitr4i ) EUAUBEUCUBZDLUDZAMZCMZFNZBMZVLFNZOZCDUEZBDPADPZOZOVIVJVRUFI
      MZLUDZVKVLJMZNZVNVLWBNZOZCVTUEZBVTPZAVTPZOZJKMZQRZSZIWJTRZSZVSKEUCUAWJEUQ
      ZWNWIJFSZIDSVSWOWLWPIWMDWOWMETRDWJETUGGUHWOWIJWKFWOWKEQRFWJEQUGHUHUIUJWIV
      SIJDFDETGUKFEQHUKVTDUQZWBFUQZOWAVJWHVRWQWAVJULWRVTDLUMUNWQWHWECDUEZBDPZAD
      PWRVRWGWTAVTDWFWSBVTDWECVTDUOUPUPWRWSVQABDDWRWEVPCDWRWCVMWDVOVKVLWBFVGVNV
      LWBFVGURUSUTVAURVBVCABCKJIVDVEVIVJVRVFVH $.

    $( Direction of a directed set.  (Contributed by Stefan O'Rear,
       1-Feb-2015.) $)
    drsdir $p |- ( ( K e. Dirset /\ X e. B /\ Y e. B ) ->
        E. z e. B ( X .<_ z /\ Y .<_ z ) ) $=
      ( vx vy cdrs wcel cv wbr wa wrex wral wceq breq1 rexbidv cproset c0 isdrs
      wne simp3bi anbi1d anbi2d rspc2v syl5com 3impib ) CKLZEBLZFBLZEAMZDNZFUND
      NZOZABPZUKIMZUNDNZJMZUNDNZOZABPZJBQIBQZULUMOURUKCUALBUBUDVEIJABCDGHUCUEVD
      URUOVBOZABPIJEFBBUSERZVCVFABVGUTUOVBUSEUNDSUFTVAFRZVFUQABVHVBUPUOVAFUNDSU
      GTUHUIUJ $.
  $}

  ${
    $d K x y z $.  $d B x y z $.

    $( A directed set is a proset.  (Contributed by Stefan O'Rear,
       1-Feb-2015.) $)
    drsprs $p |- ( K e. Dirset -> K e. Proset ) $=
      ( vx vz vy cdrs wcel cproset cbs cfv c0 wne cv cple wbr wa wrex wral eqid
      isdrs simp1bi ) AEFAGFAHIZJKBLCLZAMIZNDLUBUCNOCUAPDUAQBUAQBDCUAAUCUARUCRS
      T $.

    drsbn0.b $e |- B = ( Base ` K ) $.
    $( The base of a directed set is not empty.  (Contributed by Stefan O'Rear,
       1-Feb-2015.) $)
    drsbn0 $p |- ( K e. Dirset -> B =/= (/) ) $=
      ( vx vz vy cdrs wcel cproset c0 wne cv cple cfv wbr wrex wral eqid isdrs
      wa simp2bi ) BGHBIHAJKDLELZBMNZOFLUBUCOTEAPFAQDAQDFEABUCCUCRSUA $.

    drsdirfi.l $e |- .<_ = ( le ` K ) $.
    $d K a b c x y z $.  $d .<_ a b c x y z $.  $d B a b c x y z $.
    $d X a b c x y z $.
    $( Any _finite_ number of elements in a directed set have a common upper
       bound.  Here is where the nonemptiness constraint in ~ df-drs first
       comes into play; without it we would need an additional constraint that
       ` X ` not be empty.  (Contributed by Stefan O'Rear, 1-Feb-2015.) $)
    drsdirfi $p |- ( ( K e. Dirset /\ X C_ B /\ X e. Fin ) ->
        E. y e. B A. z e. X z .<_ y ) $=
      ( va wcel wss cv wbr wral wrex wa wi c0 wceq sseq1 vb vc cdrs cfn csn cun
      anbi2d raleq rexbidv imbi12d wne drsbn0 ral0 jctr eximi n0 df-rex 3imtr4i
      wex adantr ssun1 sstr mpan anim2i ralbidv cbvrexvw simplrr cproset drsprs
      breq2 ad5antr ad2antlr sselda simp-4r simprl ad2antrr simpr simprrl prstr
      syl syl132anc ex ralimdva adantlrr mpd simprrr breq1 ralsn sylibr syl2anc
      ralun simpll ssun2 snss drsdir syl3anc reximddv rexlimdvaa syl5bi embantd
      vex com12 a1i findcard2 3impia ) DUCJZFCKZFUDJZBLZALZEMZBFNZACOZXHXFXGPZX
      MXFILZCKZPZXKBXONZACOZQXFRCKZPZXKBRNZACOZQXFUALZCKZPZXKBYDNZACOZQZXFYDUBL
      ZUEZUFZCKZPZXKBYLNZACOZQZXNXMQIUAUBFXORSZXQYAXSYCYRXPXTXFXORCTUGYRXRYBACX
      KBXORUHUIUJXOYDSZXQYFXSYHYSXPYEXFXOYDCTUGYSXRYGACXKBXOYDUHUIUJXOYLSZXQYNX
      SYPYTXPYMXFXOYLCTUGYTXRYOACXKBXOYLUHUIUJXOFSZXQXNXSXMUUAXPXGXFXOFCTUGUUAX
      RXLACXKBXOFUHUIUJXFYCXTXFCRUKZYCCDGULXJCJZAUSUUCYBPZAUSUUBYCUUCUUDAUUCYBX
      KBUMUNUOACUPYBACUQURVTUTYIYQQYDUDJYNYIYPYNYFYHYPYMYEXFYDYLKYMYEYDYKVAYDYL
      CVBVCZVDYHXIXOEMZBYDNZICOYNYPYGUUGAICXJXOSXKUUFBYDXJXOXIEVJVEVFYNUUGYPICY
      NXOCJZUUGPZPZXOXJEMZYJXJEMZPZYOACUUJUUCUUMPZPZYGXKBYKNZYOUUOUUGYGYNUUHUUG
      UUNVGYNUUHUUNUUGYGQUUGYNUUHPZUUNPZUUFXKBYDUURXIYDJZPZUUFXKUUTUUFPDVHJZXIC
      JZUUHUUCUUFUUKXKXFUVAYMUUHUUNUUSUUFDVIVKUUTUVBUUFUURYDCXIUUQYEUUNYMYEXFUU
      HUUEVLUTVMUTYNUUHUUNUUSUUFVNUURUUCUUSUUFUUQUUCUUMVOVPUUTUUFVQUURUUKUUSUUF
      UUQUUCUUKUULVRVPCDEXIXOXJGHVSWAWBWCWDWEUUOUULUUPUUJUUCUUKUULWFXKUULBYJUBX
      AZXIYJXJEWGWHWIXKBYDYKWKWJUUJXFUUHYJCJZUUMACOXFYMUUIWLYNUUHUUGVOYMUVDXFUU
      IYMYKCKZUVDYKYLKYMUVEYKYDWMYKYLCVBVCYJCUVCWNWIVLACDEXOYJGHWOWPWQWRWSWTXBX
      CXDXBXE $.

    $( Directed sets may be defined in terms of finite subsets.  Again, without
       nonemptiness we would need to restrict to nonempty subsets here.
       (Contributed by Stefan O'Rear, 1-Feb-2015.) $)
    isdrs2 $p |- ( K e. Dirset <-> ( K e. Proset /\
          A. x e. ( ~P B i^i Fin ) E. y e. B A. z e. x z .<_ y ) ) $=
      ( va vb wcel cv wbr wral wrex cfn wa simpl adantl c0 cdrs cproset cpw cin
      drsprs wss elinel1 elpwid elinel2 drsdirfi syl3anc ralrimiva jca wi 0elpw
      wne 0fin elini wceq raleq rexbidv rspcv ax-mp syl cpr simplr prelpwi prfi
      rexn0 a1i elind rspcdva vex breq1 ralpr rexbii sylib ralrimivva syl3anbrc
      isdrs impbii ) EUAKZEUBKZCLZBLZFMZCALZNZBDOZADUCZPUDZNZQZWBWCWLEUEWBWIAWK
      WBWGWKKZQWBWGDUFZWGPKZWIWBWNRWNWOWBWNWGDWGWJPUGUHSWNWPWBWGWJPUISBCDEFWGGH
      UJUKULUMWMWCDTUPZILZWEFMZJLZWEFMZQZBDOZJDNIDNWBWCWLRWLWQWCWLWFCTNZBDOZWQT
      WKKWLXEUNTWJPDUOUQURWIXEATWKWGTUSWHXDBDWFCWGTUTVAVBVCXDBDVIVDSWMXCIJDDWMW
      RDKWTDKQZQZWFCWRWTVEZNZBDOZXCXGWIXJAWKXHWGXHUSWHXIBDWFCWGXHUTVAWCWLXFVFXF
      XHWKKWMXFWJPXHWRWTDVGXHPKXFWRWTVHVJVKSVLXIXBBDWFWSXACWRWTIVMJVMWDWRWEFVNW
      DWTWEFVNVOVPVQVRIJBDEFGHVTVSWA $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Partially ordered sets (posets)
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $c Poset $.
  $c lt $.
  $c lub $.
  $c glb $.
  $c join $.
  $c meet $.

  $( Extend class notation with the class of posets. $)
  cpo $a class Poset $.

  $( Extend class notation with less-than for posets. $)
  cplt $a class lt $.

  $( Extend class notation with poset least upper bound. $)
  club $a class lub $.

  $( Extend class notation with poset greatest lower bound. $)
  cglb $a class glb $.

  $( Extend class notation with poset join. $)
  cjn $a class join $.

  $( Extend class notation with poset meet. $)
  cmee $a class meet $.

  ${
    $d f b r x y z $.
    $( Define the class of partially ordered sets (posets).  A poset is a set
       equipped with a partial order, that is, a binary relation which is
       reflexive, antisymmetric, and transitive.  Unlike a total order, in a
       partial order there may be pairs of elements where neither precedes the
       other.  Definition of poset in [Crawley] p. 1.  Note that
       Crawley-Dilworth require that a poset base set be nonempty, but we
       follow the convention of most authors who don't make this a requirement.

       In our formalism of extensible structures, the base set of a poset ` f `
       is denoted by ` ( Base `` f ) ` and its partial order by ` ( le `` f ) `
       (for "less than or equal to").  The quantifiers ` E. b E. r ` provide a
       notational shorthand to allow us to refer to the base and ordering
       relation as ` b ` and ` r ` in the definition rather than having to
       repeat ` ( Base `` f ) ` and ` ( le `` f ) ` throughout.  These
       quantifiers can be eliminated with ~ ceqsex2v and related theorems.
       (Contributed by NM, 18-Oct-2012.) $)
    df-poset $a |- Poset = { f | E. b E. r
              ( b = ( Base ` f )
               /\ r = ( le ` f )
               /\ A. x e. b A. y e. b A. z e. b ( x r x
                 /\ ( ( x r y /\ y r x ) -> x = y )
                 /\ ( ( x r y /\ y r z ) -> x r z ) ) ) } $.
  $}

  ${
    $d b p r x y z B $.  $d b p r K $.  $d b p r x y z .<_ $.
    ispos.b $e |- B = ( Base ` K ) $.
    ispos.l $e |- .<_ = ( le ` K ) $.
    $( The predicate "is a poset".  (Contributed by NM, 18-Oct-2012.)  (Revised
       by Mario Carneiro, 4-Nov-2013.) $)
    ispos $p |- ( K e. Poset <-> ( K e. _V
            /\ A. x e. B A. y e. B A. z e. B ( x .<_ x
                 /\ ( ( x .<_ y /\ y .<_ x ) -> x = y )
                 /\ ( ( x .<_ y /\ y .<_ z ) -> x .<_ z ) ) ) ) $=
      ( vb vr cv wceq wbr wa wi w3a wral wex cbs breq vp cpo wcel cvv cfv fveq2
      cple eqtr4di eqeq2d 3anbi12d 2exbidv elab4g fvexi raleq raleqbi1dv imbi1d
      df-poset anbi12d imbi12d 3anbi123d ralbidv 2ralbidv ceqsex2v anbi2i bitri
      ) EUBUCEUDUCZIKZDLZJKZFLZAKZVKVIMZVKBKZVIMZVMVKVIMZNZVKVMLZOZVNVMCKZVIMZN
      ZVKVSVIMZOZPZCVGQZBVGQZAVGQZPZJRIRZNVFVKVKFMZVKVMFMZVMVKFMZNZVQOZWKVMVSFM
      ZNZVKVSFMZOZPZCDQZBDQADQZNVGUAKZSUEZLZVIXBUGUEZLZWGPZJRIRWIUAEUBXBELZXGWH
      IJXHXDVHXFVJWGXHXCDVGXHXCESUEDXBESUFGUHUIXHXEFVIXHXEEUGUEFXBEUGUFHUHUIUJU
      KABCUAJIUQULWIXAVFWGWDCDQZBDQZADQXAIJDFDESGUMFEUGHUMWFXJAVGDWEXIBVGDWDCVG
      DUNUOUOVJXIWTABDDVJWDWSCDVJVLWJVRWNWCWRVKVKVIFTVJVPWMVQVJVNWKVOWLVKVMVIFT
      ZVMVKVIFTURUPVJWAWPWBWQVJVNWKVTWOXKVMVSVIFTURVKVSVIFTUSUTVAVBVCVDVE $.
  $}

  ${
    $d K x y z $.  $d B x y z $.  $d .<_ x y z $.
    ispos2.b $e |- B = ( Base ` K ) $.
    ispos2.l $e |- .<_ = ( le ` K ) $.
    $( A poset is an antisymmetric proset.

       _EDITORIAL_: could become the definition of poset.  (Contributed by
       Stefan O'Rear, 1-Feb-2015.) $)
    ispos2 $p |- ( K e. Poset <-> ( K e. Proset /\ A. x e. B A. y e. B
          ( ( x .<_ y /\ y .<_ x ) -> x = y ) ) ) $=
      ( vz cvv wcel cv wbr wa weq wi w3a wral ralbii bitri anbi2i cproset ispos
      cpo 3anan32 r19.26 2ralbii r19.26-2 rr19.3v isprs anbi1i anass 3bitr4i )
      DIJZAKZUNELZUNBKZELZUPUNELMABNOZUQUPHKZELMUNUSELOZPZHCQZBCQACQZMUMUOUTMZH
      CQZBCQACQZURBCQZACQZMZMZDUCJDUAJZVHMZVCVIUMVCVEURHCQZMZBCQACQZVIVBVNABCCV
      BVDURMZHCQVNVAVPHCUOURUTUDRVDURHCUESUFVOVFVMBCQZACQZMVIVEVMABCCUGVRVHVFVQ
      VGACURBHCUHRTSSTABHCDEFGUBVLUMVFMZVHMVJVKVSVHABHCDEFGUIUJUMVFVHUKSUL $.
  $}

  ${
    $d K x y $.
    $( A poset is a proset.  (Contributed by Stefan O'Rear, 1-Feb-2015.) $)
    posprs $p |- ( K e. Poset -> K e. Proset ) $=
      ( vx vy cpo wcel cproset cv cple cfv wbr weq cbs wral eqid ispos2 simplbi
      wa wi ) ADEAFEBGZCGZAHIZJTSUAJQBCKRCALIZMBUBMBCUBAUAUBNUANOP $.
  $}

  ${
    $d x y z B $.  $d x y z .<_ $.  $d x y z X $.  $d y z Y $.  $d z Z $.
    posi.b $e |- B = ( Base ` K ) $.
    posi.l $e |- .<_ = ( le ` K ) $.
    $( Lemma for poset properties.  (Contributed by NM, 11-Sep-2011.) $)
    posi $p |- ( ( K e. Poset /\ ( X e. B /\ Y e. B /\ Z e. B ) )
                -> ( X .<_ X
                 /\ ( ( X .<_ Y /\ Y .<_ X ) -> X = Y )
                 /\ ( ( X .<_ Y /\ Y .<_ Z ) -> X .<_ Z ) ) ) $=
      ( vx vy vz wcel wbr wa wceq wi w3a breq1 breq2 imbi12d cpo wral cvv ispos
      simprbi bitrd anbi12d eqeq1 anbi1d 3anbi123d eqeq2 imbi1d 3anbi23d anbi2d
      cv 3anbi3d rspc3v mpan9 ) BUALZIUOZUTCMZUTJUOZCMZVBUTCMZNZUTVBOZPZVCVBKUO
      ZCMZNZUTVHCMZPZQZKAUBJAUBIAUBZDALEALFALQDDCMZDECMZEDCMZNZDEOZPZVPEFCMZNZD
      FCMZPZQZUSBUCLVNIJKABCGHUDUEVMWEVODVBCMZVBDCMZNZDVBOZPZWFVINZDVHCMZPZQVOV
      TVPEVHCMZNZWLPZQIJKDEFAAAUTDOZVAVOVGWJVLWMWQVADUTCMVOUTDUTCRUTDDCSUFWQVEW
      HVFWIWQVCWFVDWGUTDVBCRZUTDVBCSUGUTDVBUHTWQVJWKVKWLWQVCWFVIWRUIUTDVHCRTUJV
      BEOZWJVTWMWPVOWSWHVRWIVSWSWFVPWGVQVBEDCSZVBEDCRUGVBEDUKTWSWKWOWLWSWFVPVIW
      NWTVBEVHCRUGULUMVHFOZWPWDVOVTXAWOWBWLWCXAWNWAVPVHFECSUNVHFDCSTUPUQUR $.

    $( A poset ordering is reflexive.  (Contributed by NM, 11-Sep-2011.)
       (Proof shortened by OpenAI, 25-Mar-2020.) $)
    posref $p |- ( ( K e. Poset /\ X e. B ) -> X .<_ X ) $=
      ( cpo wcel cproset wbr posprs prsref sylan ) BGHBIHDAHDDCJBKABCDEFLM $.

    $( A poset ordering is asymmetric.  (Contributed by NM, 21-Oct-2011.) $)
    posasymb $p |- ( ( K e. Poset /\ X e. B /\ Y e. B )
                -> ( ( X .<_ Y /\ Y .<_ X ) <-> X = Y ) ) $=
      ( cpo wcel w3a wbr wa wceq wi simp1 simp2 simp3 posi syl13anc syl5ibcom
      simp2d posref breq2 breq1 jcad 3adant3 impbid ) BHIZDAIZEAIZJZDECKZEDCKZL
      ZDEMZUKDDCKZUNUONZULEECKLULNZUKUHUIUJUJUPUQURJUHUIUJOUHUIUJPUHUIUJQZUSABC
      DEEFGRSUAUHUIUOUNNUJUHUILZUOULUMUTUPUOULABCDFGUBZDEDCUCTUTUPUOUMVADEDCUDT
      UEUFUG $.

    $( A poset ordering is transitive.  (Contributed by NM, 11-Sep-2011.) $)
    postr $p |- ( ( K e. Poset /\ ( X e. B /\ Y e. B /\ Z e. B ) )
                -> ( ( X .<_ Y /\ Y .<_ Z ) -> X .<_ Z ) ) $=
      ( cpo wcel w3a wa wbr wceq wi posi simp3d ) BIJDAJEAJFAJKLDDCMDECMZEDCMLD
      ENOREFCMLDFCMOABCDEFGHPQ $.
  $}

  ${
    $d a b c $.
    $( Technical lemma to simplify the statement of ~ ipopos .  The empty set
       is (rather pathologically) a poset under our definitions, since it has
       an empty base set ( ~ str0 ) and any relation partially orders an empty
       set.  (Contributed by Stefan O'Rear, 30-Jan-2015.)  (Proof shortened by
       AV, 13-Oct-2024.) $)
    0pos $p |- (/) e. Poset $=
      ( va vb vc c0 cpo wcel cvv cv wbr wa weq w3a wral 0ex ral0 base0 cple cnx
      wi cfv pleid str0 ispos mpbir2an ) DEFDGFAHZUEDIUEBHZDIZUFUEDIJABKSUGUFCH
      ZDIJUEUHDISLCDMBDMZADMNUIAOABCDDDPQRQTUAUBUCUD $.

    $( Obsolete proof of ~ 0pos as of 13-Oct-2024.  (Contributed by Stefan
       O'Rear, 30-Jan-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    0posOLD $p |- (/) e. Poset $=
      ( va vb vc c0 cpo wcel cvv cv wbr wa weq w3a wral 0ex ral0 base0 cple cc0
      wi c1 cdc df-ple str0 ispos mpbir2an ) DEFDGFAHZUFDIUFBHZDIZUGUFDIJABKSUH
      UGCHZDIJUFUIDISLCDMBDMZADMNUJAOABCDDDPQTRUAUBUCUDUE $.
  $}

  ${
    $d x y z B $.  $d x y z K $.  $d x y z ph $.
    isposd.k $e |- ( ph -> K e. V ) $.
    isposd.b $e |- ( ph -> B = ( Base ` K ) ) $.
    isposd.l $e |- ( ph -> .<_ = ( le ` K ) ) $.
    isposd.1 $e |- ( ( ph /\ x e. B ) -> x .<_ x ) $.
    isposd.2 $e |- ( ( ph /\ x e. B /\ y e. B ) ->
                   ( ( x .<_ y /\ y .<_ x ) -> x = y ) ) $.
    isposd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B /\ z e. B ) ) ->
                   ( ( x .<_ y /\ y .<_ z ) -> x .<_ z ) ) $.
    $( Properties that determine a poset (implicit structure version).
       (Contributed by Mario Carneiro, 29-Apr-2014.)  (Revised by AV,
       26-Apr-2024.) $)
    isposd $p |- ( ph -> K e. Poset ) $=
      ( wcel wbr wa wi wral breqd cvv cv cple cfv wceq w3a cbs cpo elexd adantr
      adantrr 3expb 3exp2 imp42 3jca ralrimiva anbi12d imbi1d imbi12d 3anbi123d
      ralrimivva raleqbidv anbi2d mpbi2and eqid ispos sylibr ) AFUAOZBUBZVIFUCU
      DZPZVICUBZVJPZVLVIVJPZQZVIVLUEZRZVMVLDUBZVJPZQZVIVRVJPZRZUFZDFUGUDZSZCWDS
      ZBWDSZQZFUHOAVHVIVIGPZVIVLGPZVLVIGPZQZVPRZWJVLVRGPZQZVIVRGPZRZUFZDESZCESZ
      BESZWHAFHIUIAWSBCEEAVIEOZVLEOZQQZWRDEXDVREOZQWIWMWQXDWIXEAXBWIXCLUKUJXDWM
      XEAXBXCWMMULUJAXBXCXEWQAXBXCXEWQNUMUNUOUPVAAXAWGVHAWTWFBEWDJAWSWECEWDJAWR
      WCDEWDJAWIVKWMVQWQWBAGVJVIVIKTAWLVOVPAWJVMWKVNAGVJVIVLKTZAGVJVLVIKTUQURAW
      OVTWPWAAWJVMWNVSXFAGVJVLVRKTUQAGVJVIVRKTUSUTVBVBVBVCVDBCDWDFVJWDVEVJVEVFV
      G $.
  $}

  ${
    $d x y z B $.  $d x y z .<_ $.
    isposi.k $e |- K e. _V $.
    isposi.b $e |- B = ( Base ` K ) $.
    isposi.l $e |- .<_ = ( le ` K ) $.
    isposi.1 $e |- ( x e. B -> x .<_ x ) $.
    isposi.2 $e |- ( ( x e. B /\ y e. B ) ->
                   ( ( x .<_ y /\ y .<_ x ) -> x = y ) ) $.
    isposi.3 $e |- ( ( x e. B /\ y e. B /\ z e. B ) ->
                   ( ( x .<_ y /\ y .<_ z ) -> x .<_ z ) ) $.
    $( Properties that determine a poset (implicit structure version).
       (Contributed by NM, 11-Sep-2011.) $)
    isposi $p |- K e. Poset $=
      ( cpo wcel cv wbr wa wi w3a wral cvv 3ad2ant1 3adant3 3jca rgen3 mpbir2an
      weq ispos ) EMNEUANAOZUIFPZUIBOZFPZUKUIFPQABUGRZULUKCOZFPQUIUNFPRZSZCDTBD
      TADTGUPABCDDDUIDNZUKDNZUNDNZSUJUMUOUQURUJUSJUBUQURUMUSKUCLUDUEABCDEFHIUHU
      F $.
  $}

  ${
    $d x y z B $.  $d x y z .<_ $.
    isposix.a $e |- B e. _V $.
    isposix.b $e |- .<_ e. _V $.
    isposix.k $e |- K = { <. ( Base ` ndx ) , B >. ,
         <. ( le ` ndx ) , .<_ >. } $.
    isposix.1 $e |- ( x e. B -> x .<_ x ) $.
    isposix.2 $e |- ( ( x e. B /\ y e. B ) ->
                   ( ( x .<_ y /\ y .<_ x ) -> x = y ) ) $.
    isposix.3 $e |- ( ( x e. B /\ y e. B /\ z e. B ) ->
                   ( ( x .<_ y /\ y .<_ z ) -> x .<_ z ) ) $.
    $( Properties that determine a poset (explicit structure version).  Note
       that the numeric indices of the structure components are not mentioned
       explicitly in either the theorem or its proof.  (Contributed by NM,
       9-Nov-2012.)  (Proof shortened by AV, 30-Oct-2024.) $)
    isposix $p |- K e. Poset $=
      ( cnx cbs cfv cop cple cvv wcel wceq cpr eqeltri basendxltplendx plendxnn
      prex 2strbas1 ax-mp pleid 2strop1 isposi ) ABCDEFEMNODPZMQOZFPZUARIUKUMUE
      UBDRSDENOTGDFEULRIUCUDUFUGFRSFEQOTHDFQEULRIUCUDUHUIUGJKLUJ $.

    $( Obsolete proof of ~ isposix as of 30-Oct-2024.  Properties that
       determine a poset (explicit structure version).  Note that the numeric
       indices of the structure components are not mentioned explicitly in
       either the theorem or its proof (Remark:  That is not true - it becomes
       true with the new proof!).  (Contributed by NM, 9-Nov-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    isposixOLD $p |- K e. Poset $=
      ( cnx cbs cfv cop cple cvv wcel wceq cpr prex eqeltri c1 cc0 df-ple 1lt10
      cdc 10nn 2strbas ax-mp 2strop isposi ) ABCDEFEMNODPZMQOFPZUARIUNUOUBUCDRS
      DENOTGDFQEUDUEUHZRIUFUGUIUJUKFRSFEQOTHDFQEUPRIUFUGUIULUKJKLUM $.
  $}

  ${
    $d B x y a b c $.  $d ph x y a b c $.  $d K x y a b c $.  $d L x y a b c $.
    pospropd.kv $e |- ( ph -> K e. V ) $.
    pospropd.lv $e |- ( ph -> L e. W ) $.
    pospropd.kb $e |- ( ph -> B = ( Base ` K ) ) $.
    pospropd.lb $e |- ( ph -> B = ( Base ` L ) ) $.
    pospropd.xy $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( x ( le ` K ) y <-> x ( le ` L ) y ) ) $.
    $( Posethood is determined only by structure components and only by the
       value of the relation within the base set.  (Contributed by Stefan
       O'Rear, 29-Jan-2015.) $)
    pospropd $p |- ( ph -> ( K e. Poset <-> L e. Poset ) ) $=
      ( va vb vc wbr wa wral wb cvv wcel cv cple cfv weq w3a cbs cpo ralrimivva
      simp1 jca breq1 bibi12d breq2 rspc2va sylan 3adantl3 3simpb 3comr anbi12d
      wi imbi1d 3adantl1 3anbi123d sylan2 ancoms 3exp2 imp42 ralbidva 2ralbidva
      imbi12d wceq raleq raleqbi1dv 3bitr3d elexd biantrurd eqid ispos 3bitr4g
      syl ) AEUAUBZNUCZWDEUDUEZQZWDOUCZWEQZWGWDWEQZRZNOUFZVBZWHWGPUCZWEQZRZWDWM
      WEQZVBZUGZPEUHUEZSZOWSSZNWSSZRZFUAUBZWDWDFUDUEZQZWDWGXEQZWGWDXEQZRZWKVBZX
      GWGWMXEQZRZWDWMXEQZVBZUGZPFUHUEZSZOXPSZNXPSZRZEUIUBFUIUBAXBXSXCXTAWRPDSZO
      DSZNDSZXOPDSZODSZNDSZXBXSAYAYDNODDAWDDUBZWGDUBZRRWRXOPDAYGYHWMDUBZWRXOTZA
      YGYHYIYJYGYHYIUGZAYJAYKBUCZCUCZWEQZYLYMXEQZTZCDSBDSZYJAYPBCDDMUJYKYQRZWFX
      FWLXJWQXNYKYGYGRYQWFXFTZYKYGYGYGYHYIUKZYTULYPYSWDYMWEQZWDYMXEQZTZBCWDWDDD
      BNUFYNUUAYOUUBYLWDYMWEUMYLWDYMXEUMUNZCNUFZUUAWFUUBXFYMWDWDWEUOYMWDWDXEUOU
      NUPUQYRWJXIWKYRWHXGWIXHYGYHYQWHXGTZYIYPUUFUUCBCWDWGDDUUDCOUFUUAWHUUBXGYMW
      GWDWEUOYMWGWDXEUOUNUPURZYKYHYGRZYQWIXHTZYHYIYGUUHYHYIYGUSUTYPUUIWGYMWEQZW
      GYMXEQZTZBCWGWDDDBOUFYNUUJYOUUKYLWGYMWEUMYLWGYMXEUMUNZUUEUUJWIUUKXHYMWDWG
      WEUOYMWDWGXEUOUNUPUQVAVCYRWOXLWPXMYRWHXGWNXKUUGYHYIYQWNXKTZYGYPUUNUULBCWG
      WMDDUUMCPUFZUUJWNUUKXKYMWMWGWEUOYMWMWGXEUOUNUPVDVAYKYGYIRYQWPXMTZYGYHYIUS
      YPUUPUUCBCWDWMDDUUDUUOUUAWPUUBXMYMWMWDWEUOYMWMWDXEUOUNUPUQVLVEVFVGVHVIVJV
      KADWSVMYCXBTKYBXANDWSYAWTODWSWRPDWSVNVOVOWBADXPVMYFXSTLYEXRNDXPYDXQODXPXO
      PDXPVNVOVOWBVPAWCXBAEGIVQVRAXDXSAFHJVQVRVPNOPWSEWEWSVSWEVSVTNOPXPFXEXPVSX
      EVSVTWA $.
  $}

  ${
    $d D a b c $.  $d O a b c $.  $d V a b c $.
    odupos.d $e |- D = ( ODual ` O ) $.
    $( Being a poset is a self-dual property.  (Contributed by Stefan O'Rear,
       29-Jan-2015.) $)
    odupos $p |- ( O e. Poset -> D e. Poset ) $=
      ( va vb vc wcel cbs cfv cple cvv a1i wceq eqid cv wa wbr vex brcnv w3a wi
      cpo ccnv fvexi odubas oduleval posref sylibr weq anbi12ci posasymb biimpd
      codu syl5bi 3anrev postr sylan2b 3imtr4g isposd ) BUBGZDEFBHIZABJIZUCZKAK
      GUTABUMCUDLVAAHIMUTVAABCVANZUELVCAJIMUTAVBBCVBNZUFLUTDOZVAGZPVFVFVBQVFVFV
      CQVABVBVFVDVEUGVFVFVBDRZVHSUHVFEOZVCQZVIVFVCQZPVFVIVBQZVIVFVBQZPZUTVGVIVA
      GZTZDEUIZVJVMVKVLVFVIVBVHERZSZVIVFVBVRVHSUJVPVNVQVABVBVFVIVDVEUKULUNUTVGV
      OFOZVAGZTZPVTVIVBQZVMPZVTVFVBQZVJVIVTVCQZPVFVTVCQWBUTWAVOVGTWDWEUAVGVOWAU
      OVABVBVTVIVFVDVEUPUQVJVMWFWCVSVIVTVBVRFRZSUJVFVTVBVHWGSURUS $.

    $( Being a poset is a self-dual property.  (Contributed by Stefan O'Rear,
       29-Jan-2015.) $)
    oduposb $p |- ( O e. V -> ( O e. Poset <-> D e. Poset ) ) $=
      ( va vb wcel cpo odupos codu cfv eqid cbs odubas a1i cv cple wbr wa ccnv
      fvexd id wceq eqidd wb oduleval eqcomi breqi brcnv 3bitri pospropd syl5ib
      cvv vex impbid2 ) BCGZBHGZAHGZABDIURAJKZHGUPUQUSAUSLZIUPEFBMKZUSBUMCUPAJU
      AUPUBVAUSMKUCUPVAUSAUTVAABDVALNNOUPVAUDEPZFPZUSQKZRZVBVCBQKZRZUEUPVBVAGVC
      VAGSSVEVBVCVFTZTZRVCVBVHRVGVBVCVDVIVIVDUSVHAUTAVFBDVFLUFUFUGUHVBVCVHEUNZF
      UNZUIVCVBVFVKVJUIUJOUKULUO $.
  $}

  $( Define less-than ordering for posets and related structures.  Unlike
     ~ df-base and ~ df-ple , this is a derived component extractor and not an
     extensible structure component extractor that defines the poset.
     (Contributed by NM, 12-Oct-2011.)  (Revised by Mario Carneiro,
     8-Feb-2015.) $)
  df-plt $a |- lt = ( p e. _V |-> ( ( le ` p ) \ _I ) ) $.

  ${
    $d p K $.  $d p .<_ $.
    pltval.l $e |- .<_ = ( le ` K ) $.
    pltval.s $e |- .< = ( lt ` K ) $.
    $( Value of the less-than relation.  (Contributed by Mario Carneiro,
       8-Feb-2015.) $)
    pltfval $p |- ( K e. A -> .< = ( .<_ \ _I ) ) $=
      ( vp wcel cplt cfv cid cdif cvv wceq elex cv cple fveq2 eqtr4di difeq1d
      df-plt fvexi difexi fvmpt syl eqtrid ) CAHZBCIJZDKLZFUGCMHUHUINCAOGCGPZQJ
      ZKLUIMIUJCNZUKDKULUKCQJDUJCQRESTGUADKDCQEUBUCUDUEUF $.

    $( Less-than relation.  ( ~ df-pss analog.)  (Contributed by NM,
       12-Oct-2011.) $)
    pltval $p |- ( ( K e. A /\ X e. B /\ Y e. C )
        -> ( X .< Y <-> ( X .<_ Y /\ X =/= Y ) ) ) $=
      ( wcel wbr wne wa wb cid cdif pltfval breqd wn brdif adantl anbi2d syl5bb
      ideqg necon3bbid sylan9bb 3impb ) EAKZGBKZHCKZGHDLZGHFLZGHMZNZOUIULGHFPQZ
      LZUJUKNZUOUIDUPGHADEFIJRSUQUMGHPLZTZNURUOGHFPUAURUTUNUMUKUTUNOUJUKUSGHGHC
      UEUFUBUCUDUGUH $.

    $( "Less than" implies "less than or equal to".  ( ~ pssss analog.)
       (Contributed by NM, 4-Dec-2011.) $)
    pltle $p |- ( ( K e. A /\ X e. B /\ Y e. C ) -> ( X .< Y -> X .<_ Y ) ) $=
      ( wcel w3a wbr wne pltval simprbda ex ) EAKGBKHCKLZGHDMZGHFMZRSTGHNABCDEF
      GHIJOPQ $.
  $}

  ${
    pltne.s $e |- .< = ( lt ` K ) $.
    $( The "less than" relation is not reflexive.  ( ~ df-pss analog.)
       (Contributed by NM, 2-Dec-2011.) $)
    pltne $p |- ( ( K e. A /\ X e. B /\ Y e. C )
        -> ( X .< Y -> X =/= Y ) ) $=
      ( wcel w3a wbr wne cple cfv eqid pltval simplbda ex ) EAIFBIGCIJZFGDKZFGL
      ZSTFGEMNZKUAABCDEUBFGUBOHPQR $.

    $( The "less than" relation is not reflexive.  ( ~ pssirr analog.)
       (Contributed by NM, 7-Feb-2012.) $)
    pltirr $p |- ( ( K e. A /\ X e. B ) -> -. X .< X ) $=
      ( wcel wa wceq wbr wn eqid wne wi pltne 3anidm23 necon2bd mpi ) DAGZEBGZH
      ZEEIEECJZKELUAUBEESTUBEEMNABBCDEEFOPQR $.
  $}

  ${
    pleval2.b $e |- B = ( Base ` K ) $.
    pleval2.l $e |- .<_ = ( le ` K ) $.
    pleval2.s $e |- .< = ( lt ` K ) $.
    $( One direction of ~ pleval2 .  (Contributed by Mario Carneiro,
       8-Feb-2015.) $)
    pleval2i $p |- ( ( X e. B /\ Y e. B ) ->
      ( X .<_ Y -> ( X .< Y \/ X = Y ) ) ) $=
      ( wcel wa wbr wceq wo wne cbs cdm wb cfv elfvdm eleq2s adantr pltval expr
      3expb mpancom biimpar necon1bd orrd ex ) EAJZFAJZKZEFDLZEFBLZEFMZNUMUNKZU
      OUPUQUOEFUMUNEFOZUOUMUOUNURKZCPQZJZUMUOUSRZUKVAULVAECPSAECPTGUAUBVAUKULVB
      UTAABCDEFHIUCUEUFUGUDUHUIUJ $.

    $( "Less than or equal to" in terms of "less than".  ( ~ sspss analog.)
       (Contributed by NM, 17-Oct-2011.)  (Revised by Mario Carneiro,
       8-Feb-2015.) $)
    pleval2 $p |- ( ( K e. Poset /\ X e. B /\ Y e. B )
        -> ( X .<_ Y <-> ( X .< Y \/ X = Y ) ) ) $=
      ( cpo wcel w3a wbr wceq wo wi pleval2i 3adant1 pltle posref 3adant3 breq2
      syl5ibcom jaod impbid ) CJKZEAKZFAKZLZEFDMZEFBMZEFNZOZUGUHUJUMPUFABCDEFGH
      IQRUIUKUJULJAABCDEFHISUIEEDMZULUJUFUGUNUHACDEGHTUAEFEDUBUCUDUE $.

    $( "Less than" implies not converse "less than or equal to".  (Contributed
       by NM, 18-Oct-2011.) $)
    pltnle $p |- ( ( ( K e. Poset /\ X e. B /\ Y e. B ) /\ X .< Y )
                    -> -. Y .<_ X ) $=
      ( cpo wcel w3a wbr wn wne wa pltval wceq posasymb biimpd expdimp necon3ad
      expimpd sylbid imp ) CJKEAKFAKLZEFBMZFEDMZNZUFUGEFDMZEFOZPUIJAABCDEFHIQUF
      UJUKUIUFUJPUHEFUFUJUHEFRZUFUJUHPULACDEFGHSTUAUBUCUDUE $.

    $( Alternate expression for the "less than" relation.  ( ~ dfpss3 analog.)
       (Contributed by NM, 4-Nov-2011.) $)
    pltval3 $p |- ( ( K e. Poset /\ X e. B /\ Y e. B )
        -> ( X .< Y <-> ( X .<_ Y /\ -. Y .<_ X ) ) ) $=
      ( cpo wcel w3a wbr wne wa wn pltval wceq wi posref breq1 syl5ibcom adantr
      3adant3 posasymb biimpd expdimp impbid necon3abid pm5.32da bitrd ) CJKZEA
      KZFAKZLZEFBMEFDMZEFNZOUPFEDMZPZOJAABCDEFHIQUOUPUQUSUOUPOZUREFUTEFRZURUOVA
      URSUPUOEEDMZVAURULUMVBUNACDEGHTUDEFEDUAUBUCUOUPURVAUOUPUROVAACDEFGHUEUFUG
      UHUIUJUK $.
  $}

  ${
    pltnlt.b $e |- B = ( Base ` K ) $.
    pltnlt.s $e |- .< = ( lt ` K ) $.
    $( The less-than relation implies the negation of its inverse.
       (Contributed by NM, 18-Oct-2011.) $)
    pltnlt $p |- ( ( ( K e. Poset /\ X e. B /\ Y e. B ) /\ X .< Y )
                  -> -. Y .< X ) $=
      ( cpo wcel w3a wbr wa cple cfv eqid pltnle wi pltle 3com23 adantr mtod )
      CHIZDAIZEAIZJZDEBKZLEDBKZEDCMNZKZABCUHDEFUHOZGPUEUGUIQZUFUBUDUCUKHAABCUHE
      DUJGRSTUA $.

    $( The less-than relation has no 2-cycle loops.  ( ~ pssn2lp analog.)
       (Contributed by NM, 2-Dec-2011.) $)
    pltn2lp $p |- ( ( K e. Poset /\ X e. B /\ Y e. B )
        -> -. ( X .< Y /\ Y .< X ) ) $=
      ( cpo wcel w3a wbr wn wi wa cple cfv eqid pltnle ex pltle 3com23 nsyld
      imnan sylib ) CHIZDAIZEAIZJZDEBKZEDBKZLMUIUJNLUHUIEDCOPZKZUJUHUIULLABCUKD
      EFUKQZGRSUEUGUFUJULMHAABCUKEDUMGTUAUBUIUJUCUD $.

    $( The less-than relation is transitive.  ( ~ psstr analog.)  (Contributed
       by NM, 2-Dec-2011.) $)
    plttr $p |- ( ( K e. Poset /\ ( X e. B /\ Y e. B /\ Z e. B ) )
        -> ( ( X .< Y /\ Y .< Z ) -> X .< Z ) ) $=
      ( cpo wcel w3a wa wbr cple cfv wne wi pltle 3adant3r3 wn eqid postr breq2
      3adant3r1 syl2and wceq pltn2lp anbi2d notbid syl5ibcom necon2ad wb pltval
      jcad 3adant3r2 sylibrd ) CIJZDAJZEAJZFAJZKLZDEBMZEFBMZLZDFCNOZMZDFPZLZDFB
      MZVAVDVFVGVAVBDEVEMZVCEFVEMZVFUQURUSVBVJQUTIAABCVEDEVEUAZHRSUQUSUTVCVKQUR
      IAABCVEEFVLHRUDACVEDEFGVLUBUEVAVDDFVAVBEDBMZLZTZDFUFZVDTUQURUSVOUTABCDEGH
      UGSVPVNVDVPVMVCVBDFEBUCUHUIUJUKUNUQURUTVIVHULUSIAABCVEDFVLHUMUOUP $.
  $}

  ${
    pltletr.b $e |- B = ( Base ` K ) $.
    pltletr.l $e |- .<_ = ( le ` K ) $.
    pltletr.s $e |- .< = ( lt ` K ) $.
    $( Transitive law for chained "less than" and "less than or equal to".
       ( ~ psssstr analog.)  (Contributed by NM, 2-Dec-2011.) $)
    pltletr $p |- ( ( K e. Poset /\ ( X e. B /\ Y e. B /\ Z e. B ) )
        -> ( ( X .< Y /\ Y .<_ Z ) -> X .< Z ) ) $=
      ( cpo wcel w3a wa wbr wceq wo wb pleval2 3adant3r1 plttr expdimp wi breq2
      adantr biimpcd adantl jaod sylbid expimpd ) CKLZEALZFALZGALZMNZEFBOZFGDOZ
      EGBOZUOUPNZUQFGBOZFGPZQZURUOUQVBRZUPUKUMUNVCULABCDFGHIJSTUEUSUTURVAUOUPUT
      URABCEFGHJUAUBUPVAURUCUOVAUPURFGEBUDUFUGUHUIUJ $.

    $( Transitive law for chained "less than or equal to" and "less than".
       ( ~ sspsstr analog.)  (Contributed by NM, 2-May-2012.) $)
    plelttr $p |- ( ( K e. Poset /\ ( X e. B /\ Y e. B /\ Z e. B ) )
        -> ( ( X .<_ Y /\ Y .< Z ) -> X .< Z ) ) $=
      ( cpo wcel w3a wa wbr wceq wo wi wb pleval2 3adant3r3 plttr breq1 biimprd
      expd a1i jaod sylbid impd ) CKLZEALZFALZGALZMNZEFDOZFGBOZEGBOZUNUOEFBOZEF
      PZQZUPUQRZUJUKULUOUTSUMABCDEFHIJTUAUNURVAUSUNURUPUQABCEFGHJUBUEUSVARUNUSU
      QUPEFGBUCUDUFUGUHUI $.
  $}

  ${
    $d x y z .< $.  $d x y z .<_ $.  $d x y z B $.  $d x y z K $.
    $d x y z V $.
    pospo.b $e |- B = ( Base ` K ) $.
    pospo.l $e |- .<_ = ( le ` K ) $.
    pospo.s $e |- .< = ( lt ` K ) $.
    $( Write a poset structure in terms of the proper-class poset predicate
       (strict less than version).  (Contributed by Mario Carneiro,
       8-Feb-2015.) $)
    pospo $p |- ( K e. V ->
      ( K e. Poset <-> ( .< Po B /\ ( _I |` B ) C_ .<_ ) ) ) $=
      ( vx vy vz wcel wa cv a1i wceq wbr simpl syl2anc wi cpo wpo cid wss plttr
      cres pltirr ispod relres cop copab opabresid eqcomi eleq2i opabidw bitr3i
      wrel posref df-br breq2 bitr3id syl5ibrcom expimpd syl5bi relssdv jca cbs
      cfv cple equid simpr resieq mpbiri simplrr ssbrd mpd w3a pleval2i 3adant1
      wb wo ancoms wn simprl po2nr 3impb syl3an1 pm2.21d equcomd ccased syl2and
      simpr1 simpr2 simpr3 potr sylan simpll pltle syl3anc syld biimpar biimpac
      breq1 syl5 syldan eqtr breq2d syl5ibcom isposd ex impbid2 ) CELZCUALZABUB
      ZUCAUFZDUDZMZXMXNXPXMIJKABUAABCINZHUGABCXRJNZKNZFHUEUHXMIJXODXOUQXMUCAUIO
      XRXSUJZXOLZXRALZXSXRPZMZXMYADLZYBYAYEIJUKZLYEYGXOYAXOYGIJAULUMUNYEIJUOUPX
      MYCYDYFXMYCMYFYDXRXRDQZACDXRFGURYFXRXSDQZYDYHXRXSDUSXSXRXRDUTVAVBVCVDVEVF
      XLXQXMXLXQMZIJKACDEXLXQRACVGVHPYJFODCVIVHPYJGOYJYCMZXRXRXOQZYHYKYLXRXRPZI
      VJYKYCYCYLYMVTYJYCVKZYNAXRXRVLSVMYKXODXRXRXLXNXPYCVNVOVPZYJYCXSALZVQZYIXR
      XSBQZXRXSPZWAZXSXRDQZXSXRBQZYDWAZYSYCYPYIYTTZYJABCDXRXSFGHVRZVSYCYPUUAUUC
      TZYJYPYCUUFABCDXSXRFGHVRWBVSYQYRUUBYSYDYSYQYRUUBMZYSYJXNYCYPUUGWCZXLXNXPW
      DZXNYCYPUUHAXRXSBWEWFWGWHYSUUBMYSTYQYSUUBROYRYDMZYSTYQUUJJIYRYDVKWIOYSYDM
      YSTYQYSYDROWJWKYJYCYPXTALZVQZMZYIYTXSXTDQZXSXTBQZXSXTPZWAZXRXTDQZUUMYCYPU
      UDYJYCYPUUKWLZYJYCYPUUKWMZUUESUUMYPUUKUUNUUQTUUTYJYCYPUUKWNZABCDXSXTFGHVR
      SUUMYRUUOYSUUPUURUUMYRUUOMZXRXTBQZUURYJXNUULUVBUVCTUUIAXRXSXTBWOWPUUMXLYC
      UUKUVCUURTXLXQUULWQUUSUVAEAABCDXRXTGHWRWSZWTYSUUOMUVCUUMUURYSUVCUUOXRXSXT
      BXCXAUVDXDYRUUPMUVCUUMUURUUPYRUVCXSXTXRBUTXBUVDXDUUMYHYSUUPMZUURYJUULYCYH
      UUSYOXEUVEXRXTXRDXRXSXTXFXGXHWJWKXIXJXK $.
  $}

  ${
    $d p s x y z $.
    $( Define the least upper bound (LUB) of a set of (poset) elements.  The
       domain is restricted to exclude sets ` s ` for which the LUB doesn't
       exist uniquely.  (Contributed by NM, 12-Sep-2011.)  (Revised by NM,
       6-Sep-2018.) $)
    df-lub $a |- lub = ( p e. _V |-> ( ( s e. ~P ( Base ` p )
        |-> ( iota_ x e. ( Base ` p ) ( A. y e. s y ( le ` p ) x
                /\ A. z e. ( Base ` p )
                  ( A. y e. s y ( le ` p ) z -> x ( le ` p ) z ) ) ) )
        |` { s | E! x e. ( Base ` p ) ( A. y e. s y ( le ` p ) x
                /\ A. z e. ( Base ` p )
                  ( A. y e. s y ( le ` p ) z -> x ( le ` p ) z ) ) } ) ) $.

    $( Define the greatest lower bound (GLB) of a set of (poset) elements.  The
       domain is restricted to exclude sets ` s ` for which the GLB doesn't
       exist uniquely.  (Contributed by NM, 12-Sep-2011.)  (Revised by NM,
       6-Sep-2018.) $)
    df-glb $a |- glb = ( p e. _V |-> ( ( s e. ~P ( Base ` p )
        |-> ( iota_ x e. ( Base ` p ) ( A. y e. s x ( le ` p ) y
                /\ A. z e. ( Base ` p )
                  ( A. y e. s z ( le ` p ) y -> z ( le ` p ) x ) ) ) )
        |` { s | E! x e. ( Base ` p ) ( A. y e. s x ( le ` p ) y
                /\ A. z e. ( Base ` p )
                  ( A. y e. s z ( le ` p ) y -> z ( le ` p ) x ) ) } ) ) $.

    $( Define poset join.  (Contributed by NM, 12-Sep-2011.)  (Revised by Mario
       Carneiro, 3-Nov-2015.) $)
    df-join $a |- join = ( p e. _V
       |-> { <. <. x , y >. , z >. | { x , y } ( lub ` p ) z } ) $.

    $( Define poset meet.  (Contributed by NM, 12-Sep-2011.)  (Revised by NM,
       8-Sep-2018.) $)
    df-meet $a |- meet = ( p e. _V
       |-> { <. <. x , y >. , z >. | { x , y } ( glb ` p ) z } ) $.
  $}

  ${
    $d p s x z B $.  $d p s x y z K $.  $d p .<_ $.
    lubfval.b $e |- B = ( Base ` K ) $.
    lubfval.l $e |- .<_ = ( le ` K ) $.
    lubfval.u $e |- U = ( lub ` K ) $.
    lubfval.p $e |- ( ps
   <-> ( A. y e. s y .<_ x /\ A. z e. B ( A. y e. s y .<_ z -> x .<_ z ) ) ) $.
    lubfval.k $e |- ( ph -> K e. V ) $.
    $( Value of the least upper bound function of a poset.  (Contributed by NM,
       12-Sep-2011.)  (Revised by NM, 6-Sep-2018.) $)
    lubfval $p |- ( ph -> U = ( ( s e. ~P B
        |-> ( iota_ x e. B ps ) ) |` { s | E! x e. B ps } ) ) $=
      ( cfv cv wbr wral vp wcel cvv cpw crio cmpt wreu cab cres wceq elex wi wa
      club cbs cple fveq2 eqtr4di pweqd breqd ralbidv imbi12d raleqbidv anbi12d
      riotaeqbidv mpteq12dv reubidv wb reueq1 bitrd abbidv reseq12d df-lub pwex
      syl fvexi mptex resex fvmpt a1i riotabiia mpteq2i reubii reseq12i 3eqtr4g
      abbii 3syl ) AHJUBHUCUBZGKFUDZBCFUEZUFZBCFUGZKUHZUIZUJPHJUKWHHUNQKWIDRZCR
      ZISZDKRZTZWOERZISZDWRTZWPWTISZULZEFTZUMZCFUEZUFZXFCFUGZKUHZUIZGWNUAHKUARZ
      UOQZUDZWOWPXLUPQZSZDWRTZWOWTXOSZDWRTZWPWTXOSZULZEXMTZUMZCXMUEZUFZYCCXMUGZ
      KUHZUIXKUCUNXLHUJZYEXHYGXJYHKXNYDWIXGYHXMFYHXMHUOQFXLHUOUQLURZUSYHYCXFCXM
      FYIYHXQWSYBXEYHXPWQDWRYHXOIWOWPYHXOHUPQIXLHUPUQMURZUTVAYHYAXDEXMFYIYHXSXB
      XTXCYHXRXADWRYHXOIWOWTYJUTVAYHXOIWPWTYJUTVBVCVDZVEVFYHYFXIKYHYFXFCXMUGZXI
      YHYCXFCXMYKVGYHXMFUJYLXIVHYIXFCXMFVIVOVJVKVLCDEKUAVMXHXJKWIXGFFHUOLVPVNVQ
      VRVSNWKXHWMXJKWIWJXGBXFCFBXFVHWPFUBOVTWAWBWLXIKBXFCFOWCWFWDWEWG $.

    $( Domain of the least upper bound function of a poset.  (Contributed by
       NM, 6-Sep-2018.) $)
    lubdm $p |- ( ph -> dom U = { s e. ~P B | E! x e. B ps } ) $=
      ( cdm cpw crio cin cmpt wreu cab cres lubfval dmeqd riotaex dmmpti ineq2i
      crab eqid dmres dfrab2 3eqtr4i eqtrdi ) AGQKFRZBCFSZUAZBCFUBZKUCZUDZQZUSK
      UPUJZAGVAABCDEFGHIJKLMNOPUEUFUTURQZTUTUPTVBVCVDUPUTKUPUQURBCFUGURUKUHUIUR
      UTULUSKUPUMUNUO $.
  $}

  ${
    $d s x y z K $.
    lubfun.u $e |- U = ( lub ` K ) $.
    $( The LUB is a function.  (Contributed by NM, 9-Sep-2018.) $)
    lubfun $p |- Fun U $=
      ( vs vy vx vz cvv wcel wfun cbs cfv cv wbr wral eqid funeqd mpbiri club
      c0 cpw cple wi wa crio cmpt wreu cres funmpt funres ax-mp biid id lubfval
      cab wn fun0 fvprc eqtrid pm2.61i ) BHIZAJZVAVBDBKLZUAZEMZFMZBUBLZNEDMZOVE
      GMZVGNEVHOVFVIVGNUCGVCOUDZFVCUEZUFZVJFVCUGDUOZUHZJZVLJVODVDVKUIVMVLUJUKVA
      AVNVAVJFEGVCABVGHDVCPVGPCVJULVAUMUNQRVAUPZVBTJUQVPATVPABSLTCBSURUSQRUT $.
  $}

  ${
    $d s x z B $.  $d s x y z K $.  $d s x y z S $.  $d s ps $.
    lubeldm.b $e |- B = ( Base ` K ) $.
    lubeldm.l $e |- .<_ = ( le ` K ) $.
    lubeldm.u $e |- U = ( lub ` K ) $.
    lubeldm.p $e |- ( ps
   <-> ( A. y e. S y .<_ x /\ A. z e. B ( A. y e. S y .<_ z -> x .<_ z ) ) ) $.
    lubeldm.k $e |- ( ph -> K e. V ) $.
    $( Member of the domain of the least upper bound function of a poset.
       (Contributed by NM, 7-Sep-2018.) $)
    lubeldm $p |- ( ph -> ( S e. dom U <-> ( S C_ B /\ E! x e. B ps ) ) ) $=
      ( vs cv wral wa cdm wcel wbr wi wreu cpw crab wss biid lubdm eleq2d raleq
      wceq imbi1d ralbidv anbi12d reubidv reubii bitr4di elrab cbs fvexi anbi1i
      elpw2 bitri bitrdi ) AGHUAZUBGDRZCRZJUCZDQRZSZVHERZJUCZDVKSZVIVMJUCZUDZEF
      SZTZCFUEZQFUFZUGZUBZGFUHZBCFUEZTZAVGWBGAVSCDEFHIJKQLMNVSUIPUJUKWCGWAUBZWE
      TWFVTWEQGWAVKGUMZVTVJDGSZVNDGSZVPUDZEFSZTZCFUEWEWHVSWMCFWHVLWIVRWLVJDVKGU
      LWHVQWKEFWHVOWJVPVNDVKGULUNUOUPUQBWMCFOURUSUTWGWDWEGFFIVALVBVDVCVEVF $.
  $}

  ${
    $d x z B $.  $d x y z K $.  $d x y z S $.
    lubs.b $e |- B = ( Base ` K ) $.
    lubs.l $e |- .<_ = ( le ` K ) $.
    lubs.u $e |- U = ( lub ` K ) $.
    lubs.k $e |- ( ph -> K e. V ) $.
    lubs.s $e |- ( ph -> S e. dom U ) $.
    $( A member of the domain of the least upper bound function is a subset of
       the base set.  (Contributed by NM, 7-Sep-2018.) $)
    lubelss $p |- ( ph -> S C_ B ) $=
      ( vy vx vz wss cv wbr wral wa wi wreu cdm wcel biid lubeldm mpbid simpld
      ) ACBPZMQZNQZFRMCSUJOQZFRMCSUKULFRUAOBSTZNBUBZACDUCUDUIUNTLAUMNMOBCDEFGHI
      JUMUEKUFUGUH $.
  $}

  ${
    $d s x z B $.  $d s x y z K $.  $d s x y z S $.  $d s ps $.
    lubval.b $e |- B = ( Base ` K ) $.
    lubval.l $e |- .<_ = ( le ` K ) $.
    lubval.u $e |- U = ( lub ` K ) $.
    lubval.p $e |- ( ps <->
       ( A. y e. S y .<_ x /\ A. z e. B ( A. y e. S y .<_ z -> x .<_ z ) ) ) $.
    lubval.k $e |- ( ph -> K e. V ) $.

    ${
      lubeleu.s $e |- ( ph -> S e. dom U ) $.
      $( Unique existence proper of a member of the domain of the least upper
         bound function of a poset.  (Contributed by NM, 7-Sep-2018.) $)
      lubeu $p |- ( ph -> E! x e. B ps ) $=
        ( wss wreu cdm wcel wa lubeldm mpbid simprd ) AGFRZBCFSZAGHTUAUFUGUBQAB
        CDEFGHIJKLMNOPUCUDUE $.
    $}

    lubval.s $e |- ( ph -> S C_ B ) $.
    $( Value of the least upper bound function of a poset.  Out-of-domain
       arguments (those not satisfying ` S e. dom U ` ) are allowed for
       convenience, evaluating to the empty set.  (Contributed by NM,
       12-Sep-2011.)  (Revised by NM, 9-Sep-2018.) $)
    lubval $p |- ( ph -> ( U ` S ) = ( iota_ x e. B ps ) ) $=
      ( vs wceq wral cdm wcel cfv crio wa cpw cv wbr wi cmpt wreu cab cres biid
      adantr lubfval fveq1d simpr imbi1d ralbidv anbi12d bitr4di reubidv fvresd
      lubeu raleq elabd wss cbs fvexi elpw2 sylibr riotabidv eqid riotaex fvmpt
      syl 3eqtrd wn ndmfv adantl lubeldm biimprd mpand con3dimp riotaund eqtr4d
      c0 pm2.61dan ) AGHUAZUBZGHUCZBCFUDZSAWKUEZWLGRFUFZDUGZCUGZJUHZDRUGZTZWPEU
      GZJUHZDWSTZWQXAJUHZUIZEFTZUEZCFUDZUJZXGCFUKZRULZUMZUCGXIUCZWMWNGHXLWNXGCD
      EFHIJKRLMNXGUNAIKUBWKPUOZUPUQWNGXKXIWNXJBCFUKZRGWJAWKURZWNBCDEFGHIJKLMNOX
      NXPVEWSGSZXGBCFXQXGWRDGTZXBDGTZXDUIZEFTZUEBXQWTXRXFYAWRDWSGVFXQXEXTEFXQXC
      XSXDXBDWSGVFUSUTVAOVBZVCVGVDWNGWOUBZXMWMSWNGFVHZYCAYDWKQUOGFFIVILVJVKVLRG
      XHWMWOXIXQXGBCFYBVMXIVNBCFVOVPVQVRAWKVSZUEZWLWHWMYEWLWHSAGHVTWAYFXOVSWMWH
      SAXOWKAYDXOWKQAWKYDXOUEABCDEFGHIJKLMNOPWBWCWDWEBCFWFVQWGWI $.
  $}

  ${
    $d x z B $.  $d x y z K $.  $d x y z S $.
    lubcl.b $e |- B = ( Base ` K ) $.
    lubcl.u $e |- U = ( lub ` K ) $.
    lubcl.k $e |- ( ph -> K e. V ) $.
    lubcl.s $e |- ( ph -> S e. dom U ) $.
    $( The least upper bound function value belongs to the base set.
       (Contributed by NM, 7-Sep-2018.) $)
    lubcl $p |- ( ph -> ( U ` S ) e. B ) $=
      ( vy vx vz cfv cv cple wbr wral wi wa crio eqid biid lubelss lubval lubeu
      wreu wcel riotacl syl eqeltrd ) ACDNKOZLOZEPNZQKCRULMOZUNQKCRUMUOUNQSMBRT
      ZLBUAZBAUPLKMBCDEUNFGUNUBZHUPUCZIABCDEUNFGURHIJUDUEAUPLBUGUQBUHAUPLKMBCDE
      UNFGURHUSIJUFUPLBUIUJUK $.
  $}

  ${
    $d x z B $.  $d x y z K $.  $d x y z S $.  $d x y .<_ $.  $d x y z U $.
    $d y X $.
    lubprop.b $e |- B = ( Base ` K ) $.
    lubprop.l $e |- .<_ = ( le ` K ) $.
    lubprop.u $e |- U = ( lub ` K ) $.
    lubprop.k $e |- ( ph -> K e. V ) $.
    lubprop.s $e |- ( ph -> S e. dom U ) $.
    $( Properties of greatest lower bound of a poset.  (Contributed by NM,
       22-Oct-2011.)  (Revised by NM, 7-Sep-2018.) $)
    lubprop $p |- ( ph -> ( A. y e. S y .<_ ( U ` S )
          /\ A. z e. B ( A. y e. S y .<_ z -> ( U ` S ) .<_ z ) ) ) $=
      ( vx cv wbr wral wi wa cfv crio wceq biid lubelss lubval eqcomd wcel wreu
      wb lubcl lubeu breq2 ralbidv breq1 imbi2d anbi12d riota2 syl2anc mpbird )
      ABPZEFUAZHQZBERZVACPZHQBERZVBVEHQZSZCDRZTZVAOPZHQZBERZVFVKVEHQZSZCDRZTZOD
      UBZVBUCZAVBVRAVQOBCDEFGHIJKLVQUDZMADEFGHIJKLMNUEUFUGAVBDUHVQODUIVJVSUJADE
      FGIJLMNUKAVQOBCDEFGHIJKLVTMNULVQVJODVBVKVBUCZVMVDVPVIWAVLVCBEVKVBVAHUMUNW
      AVOVHCDWAVNVGVFVKVBVEHUOUPUNUQURUSUT $.

    luble.x $e |- ( ph -> X e. S ) $.
    $( The greatest lower bound is the least element.  (Contributed by NM,
       22-Oct-2011.)  (Revised by NM, 7-Sep-2018.) $)
    luble $p |- ( ph -> X .<_ ( U ` S ) ) $=
      ( vy vz cv cfv wbr wral breq1 wi lubprop simpld rspcdva ) AOQZCDRZFSZHUGF
      SOCHUFHUGFUAAUHOCTUFPQZFSOCTUGUIFSUBPBTAOPBCDEFGIJKLMUCUDNUE $.
  $}

  ${
    $d w x y z .<_ $.  $d w x y z B $.  $d w x z K $.  $d w x y z X $.
    $d w x ph $.
    lublecl.b $e |- B = ( Base ` K ) $.
    lublecl.l $e |- .<_ = ( le ` K ) $.
    lublecl.u $e |- U = ( lub ` K ) $.
    lublecl.k $e |- ( ph -> K e. Poset ) $.
    lublecl.x $e |- ( ph -> X e. B ) $.
    $( Lemma for ~ lublecl and ~ lubid .  (Contributed by NM, 8-Sep-2018.) $)
    lublecllem $p |- ( ( ph /\ x e. B )
    -> ( ( A. z e. { y e. B | y .<_ X } z .<_ x
       /\ A. w e. B ( A. z e. { y e. B | y .<_ X } z .<_ w -> x .<_ w ) )
          <-> x = X ) ) $=
      ( wbr wral wi wa breq1 cv crab wcel wceq ralrab imbi1i ralbii anbi12i cpo
      posref syl2anc imbi12d rspcva syl5com mpand adantr idd rgen breq2 ralbidv
      imbi2d rspcv syl wb simpr posasymb syl3anc biimpd ancomsd syl2and biimprd
      mpii ralrimivw adantl bicomd sylan9bb syl5ib adantlr jca ex impbid syl5bb
      pm5.5 ) DUAZBUAZIPZDCUAZJIPZCFUBZQZWDEUAZIPZDWIQZWEWKIPZRZEFQZSWDJIPZWFRZ
      DFQZWQWLRZDFQZWNRZEFQZSZAWEFUCZSZWEJUDZWJWSWPXCWHWQWFDCFWGWDJITZUEWOXBEFW
      MXAWNWHWQWLDCFXHUEUFUGUHXFXDXGXFWSJWEIPZXCWEJIPZXGAWSXIRXEAJFUCZWSXIOAJJI
      PZXKWSSXIAHUIUCZXKXLNOFHIJKLUJUKZWRXLXIRDJFWDJUDZWQXLWFXIWDJJITZWDJWEITUL
      UMUNUOUPAXCXJRXEAXCWQWQRZDFQZXJXQDFWDFUCWQUQURAXKXCXRXJRZROXBXSEJFWKJUDZX
      AXRWNXJXTWTXQDFXTWLWQWQWKJWDIUSVAUTWKJWEIUSULVBVCVLUPXFXJXIXGXFXJXISZXGXF
      XMXEXKYAXGVDAXMXENUPAXEVEAXKXEOUPFHIWEJKLVFVGVHVIVJXFXGXDXFXGSWSXCXGWSXFX
      GWRDFXGWFWQWEJWDIUSVKVMVNAXGXCXEAXGSZXBEFYBXKXAWNAXKXGOUPXKXASXLJWKIPZRZY
      BWNWTYDDJFXOWQXLWLYCXPWDJWKITULUMAYDYCXGWNAXLYDYCVDXNXLYCWCVCXGWNYCWEJWKI
      TVOVPVQUOVMVRVSVTWAWB $.

    $( The set of all elements less than a given element has an LUB.
       (Contributed by NM, 8-Sep-2018.) $)
    lublecl $p |- ( ph -> { y e. B | y .<_ X } e. dom U ) $=
      ( vz vx vw cv wbr crab wcel wral cdm wss wi wa wreu ssrab2 a1i lublecllem
      wceq wb ralrimiva reu6i syl2anc cpo biid lubeldm mpbir2and ) ABPGFQZBCRZD
      UASUSCUBZMPZNPZFQMUSTVAOPZFQMUSTVBVCFQUCOCTUDZNCUEZUTAURBCUFUGAGCSVDVBGUI
      UJZNCTVELAVFNCANBMOCDEFGHIJKLUHUKVDNCGULUMAVDNMOCUSDEFUNHIJVDUOKUPUQ $.
  $}

  ${
    $d w x y z .<_ $.  $d w x y z B $.  $d w x z K $.  $d w x y z X $.
    $d w x ph $.
    lubid.b $e |- B = ( Base ` K ) $.
    lubid.l $e |- .<_ = ( le ` K ) $.
    lubid.u $e |- U = ( lub ` K ) $.
    lubid.k $e |- ( ph -> K e. Poset ) $.
    lubid.x $e |- ( ph -> X e. B ) $.
    $( The LUB of elements less than or equal to a fixed value equals that
       value.  (Contributed by NM, 19-Oct-2011.)  (Revised by NM,
       7-Sep-2018.) $)
    lubid $p |- ( ph -> ( U ` { y e. B | y .<_ X } ) = X ) $=
      ( vz vx vw cv wbr crab cfv wral wi wa crio cpo biid wss ssrab2 a1i lubval
      lublecllem riota5 eqtrd ) ABPGFQZBCRZDSMPZNPZFQMUNTUOOPZFQMUNTUPUQFQUAOCT
      UBZNCUCGAURNMOCUNDEFUDHIJURUEKUNCUFAUMBCUGUHUIAURNCGLANBMOCDEFGHIJKLUJUKU
      L $.
  $}

  ${
    $d p s x z B $.  $d p s x y z K $.  $d p .<_ $.
    glbfval.b $e |- B = ( Base ` K ) $.
    glbfval.l $e |- .<_ = ( le ` K ) $.
    glbfval.g $e |- G = ( glb ` K ) $.
    glbfval.p $e |- ( ps
   <-> ( A. y e. s x .<_ y /\ A. z e. B ( A. y e. s z .<_ y -> z .<_ x ) ) ) $.
    glbfval.k $e |- ( ph -> K e. V ) $.
    $( Value of the greatest lower function of a poset.  (Contributed by NM,
       12-Sep-2011.)  (Revised by NM, 6-Sep-2018.) $)
    glbfval $p |- ( ph -> G = ( ( s e. ~P B
        |-> ( iota_ x e. B ps ) ) |` { s | E! x e. B ps } ) ) $=
      ( cfv cv wbr wral vp wcel cvv cpw crio cmpt wreu cab cres wceq elex wi wa
      cglb cbs cple fveq2 eqtr4di pweqd breqd ralbidv imbi12d raleqbidv anbi12d
      riotaeqbidv mpteq12dv reubidv wb reueq1 bitrd abbidv reseq12d df-glb pwex
      syl fvexi mptex resex fvmpt a1i riotabiia mpteq2i reubii reseq12i 3eqtr4g
      abbii 3syl ) AHJUBHUCUBZGKFUDZBCFUEZUFZBCFUGZKUHZUIZUJPHJUKWHHUNQKWICRZDR
      ZISZDKRZTZERZWPISZDWRTZWTWOISZULZEFTZUMZCFUEZUFZXFCFUGZKUHZUIZGWNUAHKUARZ
      UOQZUDZWOWPXLUPQZSZDWRTZWTWPXOSZDWRTZWTWOXOSZULZEXMTZUMZCXMUEZUFZYCCXMUGZ
      KUHZUIXKUCUNXLHUJZYEXHYGXJYHKXNYDWIXGYHXMFYHXMHUOQFXLHUOUQLURZUSYHYCXFCXM
      FYIYHXQWSYBXEYHXPWQDWRYHXOIWOWPYHXOHUPQIXLHUPUQMURZUTVAYHYAXDEXMFYIYHXSXB
      XTXCYHXRXADWRYHXOIWTWPYJUTVAYHXOIWTWOYJUTVBVCVDZVEVFYHYFXIKYHYFXFCXMUGZXI
      YHYCXFCXMYKVGYHXMFUJYLXIVHYIXFCXMFVIVOVJVKVLCDEKUAVMXHXJKWIXGFFHUOLVPVNVQ
      VRVSNWKXHWMXJKWIWJXGBXFCFBXFVHWOFUBOVTWAWBWLXIKBXFCFOWCWFWDWEWG $.

    $( Domain of the greatest lower bound function of a poset.  (Contributed by
       NM, 6-Sep-2018.) $)
    glbdm $p |- ( ph -> dom G = { s e. ~P B | E! x e. B ps } ) $=
      ( cdm cpw crio cin cmpt wreu cab cres glbfval dmeqd riotaex dmmpti ineq2i
      crab eqid dmres dfrab2 3eqtr4i eqtrdi ) AGQKFRZBCFSZUAZBCFUBZKUCZUDZQZUSK
      UPUJZAGVAABCDEFGHIJKLMNOPUEUFUTURQZTUTUPTVBVCVDUPUTKUPUQURBCFUGURUKUHUIUR
      UTULUSKUPUMUNUO $.
  $}

  ${
    $d s x y z K $.
    glbfun.g $e |- G = ( glb ` K ) $.
    $( The GLB is a function.  (Contributed by NM, 9-Sep-2018.) $)
    glbfun $p |- Fun G $=
      ( vs vx vy vz cvv wcel wfun cbs cfv cv wbr wral eqid funeqd mpbiri cglb
      c0 cpw cple wi wa crio cmpt wreu cres funmpt funres ax-mp biid id glbfval
      cab wn fun0 fvprc eqtrid pm2.61i ) BHIZAJZVAVBDBKLZUAZEMZFMZBUBLZNFDMZOGM
      ZVFVGNFVHOVIVEVGNUCGVCOUDZEVCUEZUFZVJEVCUGDUOZUHZJZVLJVODVDVKUIVMVLUJUKVA
      AVNVAVJEFGVCABVGHDVCPVGPCVJULVAUMUNQRVAUPZVBTJUQVPATVPABSLTCBSURUSQRUT $.
  $}

  ${
    $d s x z B $.  $d s x y z K $.  $d s x y z S $.  $d s ps $.
    glbeldm.b $e |- B = ( Base ` K ) $.
    glbeldm.l $e |- .<_ = ( le ` K ) $.
    glbeldm.g $e |- G = ( glb ` K ) $.
    glbeldm.p $e |- ( ps
   <-> ( A. y e. S x .<_ y /\ A. z e. B ( A. y e. S z .<_ y -> z .<_ x ) ) ) $.
    glbeldm.k $e |- ( ph -> K e. V ) $.
    $( Member of the domain of the greatest lower bound function of a poset.
       (Contributed by NM, 7-Sep-2018.) $)
    glbeldm $p |- ( ph -> ( S e. dom G <-> ( S C_ B /\ E! x e. B ps ) ) ) $=
      ( vs cv wral wa cdm wcel wbr wi wreu cpw crab wss biid glbdm eleq2d raleq
      wceq imbi1d ralbidv anbi12d reubidv reubii bitr4di elrab cbs fvexi anbi1i
      elpw2 bitri bitrdi ) AGHUAZUBGCRZDRZJUCZDQRZSZERZVIJUCZDVKSZVMVHJUCZUDZEF
      SZTZCFUEZQFUFZUGZUBZGFUHZBCFUEZTZAVGWBGAVSCDEFHIJKQLMNVSUIPUJUKWCGWAUBZWE
      TWFVTWEQGWAVKGUMZVTVJDGSZVNDGSZVPUDZEFSZTZCFUEWEWHVSWMCFWHVLWIVRWLVJDVKGU
      LWHVQWKEFWHVOWJVPVNDVKGULUNUOUPUQBWMCFOURUSUTWGWDWEGFFIVALVBVDVCVEVF $.
  $}

  ${
    $d x z B $.  $d x y z K $.  $d x y z S $.
    glbs.b $e |- B = ( Base ` K ) $.
    glbs.l $e |- .<_ = ( le ` K ) $.
    glbs.g $e |- G = ( glb ` K ) $.
    glbs.k $e |- ( ph -> K e. V ) $.
    glbs.s $e |- ( ph -> S e. dom G ) $.
    $( A member of the domain of the greatest lower bound function is a subset
       of the base set.  (Contributed by NM, 7-Sep-2018.) $)
    glbelss $p |- ( ph -> S C_ B ) $=
      ( vx vy vz wss cv wbr wral wa wi wreu cdm wcel biid glbeldm mpbid simpld
      ) ACBPZMQZNQZFRNCSOQZUKFRNCSULUJFRUAOBSTZMBUBZACDUCUDUIUNTLAUMMNOBCDEFGHI
      JUMUEKUFUGUH $.
  $}

  ${
    $d s x z B $.  $d s x y z K $.  $d s x y z S $.  $d s ps $.
    glbval.b $e |- B = ( Base ` K ) $.
    glbval.l $e |- .<_ = ( le ` K ) $.
    glbval.g $e |- G = ( glb ` K ) $.
    glbval.p $e |- ( ps
   <-> ( A. y e. S x .<_ y /\ A. z e. B ( A. y e. S z .<_ y -> z .<_ x ) ) ) $.
    glbva.k $e |- ( ph -> K e. V ) $.
    ${
      glbval.s $e |- ( ph -> S e. dom G ) $.
      $( Unique existence proper of a member of the domain of the greatest
         lower bound function of a poset.  (Contributed by NM, 7-Sep-2018.) $)
      glbeu $p |- ( ph -> E! x e. B ps ) $=
        ( wss wreu cdm wcel wa glbeldm mpbid simprd ) AGFRZBCFSZAGHTUAUFUGUBQAB
        CDEFGHIJKLMNOPUCUDUE $.
    $}

    glbval.ss $e |- ( ph -> S C_ B ) $.
    $( Value of the greatest lower bound function of a poset.  Out-of-domain
       arguments (those not satisfying ` S e. dom U ` ) are allowed for
       convenience, evaluating to the empty set on both sides of the equality.
       (Contributed by NM, 12-Sep-2011.)  (Revised by NM, 9-Sep-2018.) $)
    glbval $p |- ( ph -> ( G ` S ) = ( iota_ x e. B ps ) ) $=
      ( vs wceq wral cdm wcel cfv crio wa cpw cv wbr wi cmpt wreu cab cres biid
      adantr glbfval fveq1d simpr imbi1d ralbidv anbi12d bitr4di reubidv fvresd
      glbeu raleq elabd wss cbs fvexi elpw2 sylibr riotabidv eqid riotaex fvmpt
      syl 3eqtrd wn ndmfv adantl glbeldm biimprd mpand con3dimp riotaund eqtr4d
      c0 pm2.61dan ) AGHUAZUBZGHUCZBCFUDZSAWKUEZWLGRFUFZCUGZDUGZJUHZDRUGZTZEUGZ
      WQJUHZDWSTZXAWPJUHZUIZEFTZUEZCFUDZUJZXGCFUKZRULZUMZUCGXIUCZWMWNGHXLWNXGCD
      EFHIJKRLMNXGUNAIKUBWKPUOZUPUQWNGXKXIWNXJBCFUKZRGWJAWKURZWNBCDEFGHIJKLMNOX
      NXPVEWSGSZXGBCFXQXGWRDGTZXBDGTZXDUIZEFTZUEBXQWTXRXFYAWRDWSGVFXQXEXTEFXQXC
      XSXDXBDWSGVFUSUTVAOVBZVCVGVDWNGWOUBZXMWMSWNGFVHZYCAYDWKQUOGFFIVILVJVKVLRG
      XHWMWOXIXQXGBCFYBVMXIVNBCFVOVPVQVRAWKVSZUEZWLWHWMYEWLWHSAGHVTWAYFXOVSWMWH
      SAXOWKAYDXOWKQAWKYDXOUEABCDEFGHIJKLMNOPWBWCWDWEBCFWFVQWGWI $.
  $}

  ${
    $d x z B $.  $d x y z K $.  $d x y z S $.
    glbc.b $e |- B = ( Base ` K ) $.
    glbc.g $e |- G = ( glb ` K ) $.
    glbc.k $e |- ( ph -> K e. V ) $.
    glbc.s $e |- ( ph -> S e. dom G ) $.
    $( The least upper bound function value belongs to the base set.
       (Contributed by NM, 7-Sep-2018.) $)
    glbcl $p |- ( ph -> ( G ` S ) e. B ) $=
      ( vx vy vz cfv cv cple wbr wral wi wa crio eqid biid glbelss glbval glbeu
      wreu wcel riotacl syl eqeltrd ) ACDNKOZLOZEPNZQLCRMOZUMUNQLCRUOULUNQSMBRT
      ZKBUAZBAUPKLMBCDEUNFGUNUBZHUPUCZIABCDEUNFGURHIJUDUEAUPKBUGUQBUHAUPKLMBCDE
      UNFGURHUSIJUFUPKBUIUJUK $.
  $}

  ${
    $d x z B $.  $d x y z K $.  $d x y z S $.  $d x y .<_ $.  $d x y z U $.
    $d y X $.
    glbprop.b $e |- B = ( Base ` K ) $.
    glbprop.l $e |- .<_ = ( le ` K ) $.
    glbprop.u $e |- U = ( glb ` K ) $.
    glbprop.k $e |- ( ph -> K e. V ) $.
    glbprop.s $e |- ( ph -> S e. dom U ) $.
    $( Properties of greatest lower bound of a poset.  (Contributed by NM,
       7-Sep-2018.) $)
    glbprop $p |- ( ph -> ( A. y e. S ( U ` S ) .<_ y
          /\ A. z e. B ( A. y e. S z .<_ y -> z .<_ ( U ` S ) ) ) ) $=
      ( vx cv wbr wral wi wa cfv crio wceq biid glbelss glbval eqcomd wcel wreu
      wb glbcl glbeu breq1 ralbidv breq2 imbi2d anbi12d riota2 syl2anc mpbird )
      AEFUAZBPZHQZBERZCPZVBHQBERZVEVAHQZSZCDRZTZOPZVBHQZBERZVFVEVKHQZSZCDRZTZOD
      UBZVAUCZAVAVRAVQOBCDEFGHIJKLVQUDZMADEFGHIJKLMNUEUFUGAVADUHVQODUIVJVSUJADE
      FGIJLMNUKAVQOBCDEFGHIJKLVTMNULVQVJODVAVKVAUCZVMVDVPVIWAVLVCBEVKVAVBHUMUNW
      AVOVHCDWAVNVGVFVKVAVEHUOUPUNUQURUSUT $.

    glble.x $e |- ( ph -> X e. S ) $.
    $( The greatest lower bound is the least element.  (Contributed by NM,
       22-Oct-2011.)  (Revised by NM, 7-Sep-2018.) $)
    glble $p |- ( ph -> ( U ` S ) .<_ X ) $=
      ( vy vz cfv cv wbr wral breq2 wi glbprop simpld rspcdva ) ACDQZORZFSZUFHF
      SOCHUGHUFFUAAUHOCTPRZUGFSOCTUIUFFSUBPBTAOPBCDEFGIJKLMUCUDNUE $.
  $}

  ${
    $d p x y z K $.  $d p z U $.
    joinfval.u $e |- U = ( lub ` K ) $.
    joinfval.j $e |- .\/ = ( join ` K ) $.
    $( Value of join function for a poset.  (Contributed by NM, 12-Sep-2011.)
       (Revised by NM, 9-Sep-2018.)  TODO: prove ~ joinfval2 first to reduce
       net proof size (existence part)? $)
    joinfval $p |- ( K e. V
             -> .\/ = { <. <. x , y >. , z >. | { x , y } U z } ) $=
      ( vp wcel cvv cv coprab wceq cfv wa eqid wal alrimiv cpr wbr elex cjn cbs
      fvex wmo moeq a1i oprabex wi wss cdm wfun wb lubfun funbrfv2b ax-mp simpl
      cple simpr lubelss vex prss syl6ibr eqcom biimpi anim12d1 syl5bi ssoprab2
      syl ssexd club fveq2 eqtr4di breqd oprabbidv df-join fvmptg mpdan eqtrid
      ex ) FGKFLKZEAMZBMZUAZCMZDUBZABCNZOFGUCWCEFUDPZWIIWCWILKWJWIOWCWIWDFUEPZK
      WEWKKQZWGWFDPZOZQZABCNZLWPLKWCWNABCWKWKWPFUEUFZWQWNCUGWLCWMUHUIWPRUJUIWCW
      HWOUKZCSZBSZASWIWPULWCWTAWCWSBWCWRCWHWFDUMKZWMWGOZQZWCWODUNWHXCUODFHUPWFW
      GDUQURWCXAWLXBWNWCXAWFWKULZWLWCXAXDWCXAQWKWFDFFUTPZLWKRXERHWCXAUSWCXAVAVB
      WBWDWEWKAVCBVCVDVEXBWNWMWGVFVGVHVITTTWHWOABCVJVKVLJFWFWGJMZVMPZUBZABCNWIL
      LUDXFFOZXHWHABCXIXGDWFWGXIXGFVMPDXFFVMVNHVOVPVQABCJVRVSVTWAVK $.

    $( Value of join function for a poset-type structure.  (Contributed by NM,
       12-Sep-2011.)  (Revised by NM, 9-Sep-2018.) $)
    joinfval2 $p |- ( K e. V
           -> .\/ = { <. <. x , y >. , z >. | ( { x , y } e. dom U
               /\ z = ( U ` { x , y } ) ) } ) $=
      ( wcel cv cpr wbr coprab cdm cfv wceq wa joinfval wfun wb funbrfv2b ax-mp
      lubfun eqcom anbi2i bitri oprabbii eqtrdi ) FGJEAKBKLZCKZDMZABCNUJDOJZUKU
      JDPZQZRZABCNABCDEFGHISULUPABCULUMUNUKQZRZUPDTULURUADFHUDUJUKDUBUCUQUOUMUN
      UKUEUFUGUHUI $.

    $( Domain of join function for a poset-type structure.  (Contributed by NM,
       16-Sep-2018.) $)
    joindm $p |- ( K e. V
            -> dom .\/ = { <. x , y >. | { x , y } e. dom U } ) $=
      ( vz wcel cdm cv cpr cfv wceq wa coprab copab joinfval2 wex dmeqd dmoprab
      fvex isseti 19.42v mpbiran2 opabbii eqtri eqtrdi ) EFJZDKALBLMZCKJZILUKCN
      ZOZPZABIQZKZULABRZUJDUPABICDEFGHSUAUQUOITZABRURUOABIUBUSULABUSULUNITIUMUK
      CUCUDULUNIUEUFUGUHUI $.
  $}

  ${
    $d x y z K $.  $d x y z U $.  $d x y z X $.  $d x y z Y $.
    joindef.u $e |- U = ( lub ` K ) $.
    joindef.j $e |- .\/ = ( join ` K ) $.
    joindef.k $e |- ( ph -> K e. V ) $.
    joindef.x $e |- ( ph -> X e. W ) $.
    joindef.y $e |- ( ph -> Y e. Z ) $.
    $( Two ways to say that a join is defined.  (Contributed by NM,
       9-Sep-2018.) $)
    joindef $p |- ( ph
       -> ( <. X , Y >. e. dom .\/ <-> { X , Y } e. dom U ) ) $=
      ( vx vy cdm wcel cv cpr cop copab wb joindm eleq2d syl preq1 eleq1d preq2
      wceq opelopabg syl2anc bitrd ) AGHUAZCQZRZUNOSZPSZTZBQZRZOPUBZRZGHTZUTRZA
      DERZUPVCUCLVFUOVBUNOPBCDEJKUDUEUFAGFRHIRVCVEUCMNVAGURTZUTRVEOPGHFIUQGUJUS
      VGUTUQGURUGUHURHUJVGVDUTURHGUIUHUKULUM $.

    $( Join value.  Since both sides evaluate to ` (/) ` when they don't exist,
       for convenience we drop the ` { X , Y } e. dom U ` requirement.
       (Contributed by NM, 9-Sep-2018.) $)
    joinval $p |- ( ph -> ( X .\/ Y ) = ( U ` { X , Y } ) ) $=
      ( vx vy vz wcel wceq wa cpr cdm co cv coprab joinfval2 oveqd adantr simpr
      cfv syl eqidd wi cvv fvexd w3a preq12 eleq1d 3adant3 simp3 fveq2d eqeq12d
      wb anbi12d moeq moani ovigg syl3anc mp2and eqtrd wn c0 cop joindef notbid
      eqid df-ov ndmfv eqtrid syl6bir imp adantl eqtr4d pm2.61dan ) AGHUAZBUBZR
      ZGHCUCZWEBUJZSAWGTZWHGHOUDZPUDZUAZWFRZQUDZWMBUJZSZTZOPQUEZUCZWIAWHWTSWGAC
      WSGHADERCWSSLOPQBCDEJKUFUKUGUHWJWGWIWISZWTWISZAWGUIWJWIULAWGXATZXBUMZWGAG
      FRHIRWIUNRXDMNAWEBUOWRXCOPQGHWIWSFIUNWKGSZWLHSZWOWISZUPZWNWGWQXAXEXFWNWGV
      CXGXEXFTZWMWEWFWKWLGHUQZURUSXHWOWIWPWIXEXFXGUTXEXFWPWISXGXIWMWEBXJVAUSVBV
      DWQWNQQWPVEVFWSVPVGVHUHVIVJAWGVKZTWHVLWIAXKWHVLSZAXKGHVMZCUBRZVKZXLAXNWGA
      BCDEFGHIJKLMNVNVOXOWHXMCUJVLGHCVQXMCVRVSVTWAXKWIVLSAWEBVRWBWCWD $.
  $}

  ${
    joincl.b $e |- B = ( Base ` K ) $.
    joincl.j $e |- .\/ = ( join ` K ) $.
    joincl.k $e |- ( ph -> K e. V ) $.
    joincl.x $e |- ( ph -> X e. B ) $.
    joincl.y $e |- ( ph -> Y e. B ) $.
    joincl.e $e |- ( ph -> <. X , Y >. e. dom .\/ ) $.
    $( Closure of join of elements in the domain.  (Contributed by NM,
       12-Sep-2018.) $)
    joincl $p |- ( ph -> ( X .\/ Y ) e. B ) $=
      ( co cpr club cfv eqid cdm wcel joinval cop joindef mpbid lubcl eqeltrd )
      AFGCNFGOZDPQZQBAUHCDEBFGBUHRZIJKLUAABUGUHDEHUIJAFGUBCSTUGUHSTMAUHCDEBFGBU
      IIJKLUCUDUEUF $.
  $}

  ${
    $d x y .\/ $.  $d x y B $.  $d x y K $.  $d x y ph $.
    joindmss.b $e |- B = ( Base ` K ) $.
    joindmss.j $e |- .\/ = ( join ` K ) $.
    joindmss.k $e |- ( ph -> K e. V ) $.
    $( Subset property of domain of join.  (Contributed by NM, 12-Sep-2018.) $)
    joindmss $p |- ( ph -> dom .\/ C_ ( B X. B ) ) $=
      ( vx vy cdm wrel cv cfv wcel eqid cvv vex a1i wa club copab relopabv wceq
      cxp cpr joindm syl releqd mpbiri cop joindef cple adantr simpr lubelss ex
      wss prss opelxpi sylbir syl6 sylbid relssdv ) AIJCKZBBUEZAVELIMZJMZUFZDUA
      NZKOZIJUBZLVKIJUCAVEVLADEOZVEVLUDHIJVJCDEVJPZGUGUHUIUJAVGVHUKZVEOVKVOVFOZ
      AVJCDEQVGVHQVNGHVGQOAIRZSVHQOAJRZSULAVKVIBURZVPAVKVSAVKTBVIVJDDUMNZEFVTPV
      NAVMVKHUNAVKUOUPUQVSVGBOVHBOTVPVGVHBVQVRUSVGVHBBUTVAVBVCVD $.
  $}

  ${
    $d x z B $.  $d x z .\/ $.  $d x y z K $.  $d y .<_ $.  $d x y z X $.
    $d x y z Y $.
    joinval2.b $e |- B = ( Base ` K ) $.
    joinval2.l $e |- .<_ = ( le ` K ) $.
    joinval2.j $e |- .\/ = ( join ` K ) $.
    joinval2.k $e |- ( ph -> K e. V ) $.
    joinval2.x $e |- ( ph -> X e. B ) $.
    joinval2.y $e |- ( ph -> Y e. B ) $.
    $( Lemma for ~ joinval2 and ~ joineu .  (Contributed by NM, 12-Sep-2018.)
       TODO: combine this through ~ joineu into ~ joinlem ? $)
    joinval2lem $p |- ( ( X e. B /\ Y e. B )
  -> ( ( A. y e. { X , Y } y .<_ x
        /\ A. z e. B ( A. y e. { X , Y } y .<_ z -> x .<_ z ) )
  <-> ( ( X .<_ x /\ Y .<_ x )
        /\ A. z e. B ( ( X .<_ z /\ Y .<_ z ) -> x .<_ z ) ) ) ) $=
      ( wbr wral breq1 wcel wa cv cpr wi ralprg imbi1d ralbidv anbi12d ) JEUAKE
      UAUBZCUCZBUCZHRZCJKUDZSJULHRZKULHRZUBUKDUCZHRZCUNSZULUQHRZUEZDESJUQHRZKUQ
      HRZUBZUTUEZDESUMUOUPCJKEEUKJULHTUKKULHTUFUJVAVEDEUJUSVDUTURVBVCCJKEEUKJUQ
      HTUKKUQHTUFUGUHUI $.

    $( Value of join for a poset with LUB expanded.  (Contributed by NM,
       16-Sep-2011.)  (Revised by NM, 11-Sep-2018.) $)
    joinval2 $p |- ( ph ->
      ( X .\/ Y ) = ( iota_ x e. B ( ( X .<_ x /\ Y .<_ x )
              /\ A. z e. B ( ( X .<_ z /\ Y .<_ z ) -> x .<_ z ) ) ) ) $=
      ( vy wbr wral wa co cpr club cfv cv wi crio eqid joinval biid lubval wcel
      prssd wceq joinval2lem riotabidv syl2anc 3eqtrd ) AIJEUAIJUBZFUCUDZUDQUEZ
      BUEZGRQUSSVACUEZGRQUSSVBVCGRZUFCDSTZBDUGZIVBGRJVBGRTIVCGRJVCGRTVDUFCDSTZB
      DUGZAUTEFHDIJDUTUHZMNOPUIAVEBQCDUSUTFGHKLVIVEUJNAIJDOPUMUKAIDULZJDULZVFVH
      UNOPVJVKTVEVGBDABQCDEFGHIJKLMNOPUOUPUQUR $.

    $d x ph $.
    joinlem.e $e |- ( ph -> <. X , Y >. e. dom .\/ ) $.
    $( Uniqueness of join of elements in the domain.  (Contributed by NM,
       12-Sep-2018.) $)
    joineu $p |- ( ph -> E! x e. B ( ( X .<_ x /\ Y .<_ x )
              /\ A. z e. B ( ( X .<_ z /\ Y .<_ z ) -> x .<_ z ) ) ) $=
      ( vy wcel wbr cop cdm cv wa wi wral wreu cpr club cfv eqid joindef adantr
      biid simpr lubeu ex wb joinval2lem syl2anc reubidv sylibd sylbid mpd ) AI
      JUAEUBSZIBUCZGTJVFGTUDICUCZGTJVGGTUDVFVGGTZUECDUFUDZBDUGZQAVEIJUHZFUIUJZU
      BSZVJAVLEFHDIJDVLUKZMNOPULAVMRUCZVFGTRVKUFVOVGGTRVKUFVHUECDUFUDZBDUGZVJAV
      MVQAVMUDVPBRCDVKVLFGHKLVNVPUNAFHSVMNUMAVMUOUPUQAVPVIBDAIDSJDSVPVIUROPABRC
      DEFGHIJKLMNOPUSUTVAVBVCVD $.

    $d x .<_ $.
    $( Lemma for join properties.  (Contributed by NM, 16-Sep-2011.)  (Revised
       by NM, 12-Sep-2018.) $)
    joinlem $p |- ( ph -> ( ( X .<_ ( X .\/ Y ) /\ Y .<_ ( X .\/ Y ) )
            /\ A. z e. B ( ( X .<_ z /\ Y .<_ z ) -> ( X .\/ Y ) .<_ z ) ) ) $=
      ( vx cv wbr wa wi wral co wsbc crio wreu joineu riotasbc joinval2 sbceq1d
      syl mpbird ovex wceq breq2 anbi12d breq1 imbi2d ralbidv sbcie sylib ) AHQ
      RZFSZIVBFSZTZHBRZFSIVFFSTZVBVFFSZUAZBCUBZTZQHIDUCZUDZHVLFSZIVLFSZTZVGVLVF
      FSZUAZBCUBZTZAVMVKQVKQCUEZUDZAVKQCUFWBAQBCDEFGHIJKLMNOPUGVKQCUHUKAVKQVLWA
      AQBCDEFGHIJKLMNOUIUJULVKVTQVLHIDUMVBVLUNZVEVPVJVSWCVCVNVDVOVBVLHFUOVBVLIF
      UOUPWCVIVRBCWCVHVQVGVBVLVFFUQURUSUPUTVA $.

    $( A join's first argument is less than or equal to the join.  (Contributed
       by NM, 16-Sep-2011.) $)
    lejoin1 $p |- ( ph -> X .<_ ( X .\/ Y ) ) $=
      ( vz co wbr cv wa wi wral joinlem simplld ) AGGHCQZERHUEERGPSZERHUFERTUEU
      FERUAPBUBAPBCDEFGHIJKLMNOUCUD $.

    $( A join's second argument is less than or equal to the join.
       (Contributed by NM, 16-Sep-2011.) $)
    lejoin2 $p |- ( ph -> Y .<_ ( X .\/ Y ) ) $=
      ( vz co wbr cv wa wi wral joinlem simplrd ) AGGHCQZERHUEERGPSZERHUFERTUEU
      FERUAPBUBAPBCDEFGHIJKLMNOUCUD $.
  $}

  ${
    $d z B $.  $d z .\/ $.  $d z K $.  $d z .<_ $.  $d z X $.  $d z Y $.
    $d z Z $.
    joinle.b $e |- B = ( Base ` K ) $.
    joinle.l $e |- .<_ = ( le ` K ) $.
    joinle.j $e |- .\/ = ( join ` K ) $.
    joinle.k $e |- ( ph -> K e. Poset ) $.
    joinle.x $e |- ( ph -> X e. B ) $.
    joinle.y $e |- ( ph -> Y e. B ) $.
    joinle.z $e |- ( ph -> Z e. B ) $.
    joinle.e $e |- ( ph -> <. X , Y >. e. dom .\/ ) $.
    $( A join is less than or equal to a third value iff each argument is less
       than or equal to the third value.  (Contributed by NM, 16-Sep-2011.) $)
    joinle $p |- ( ph -> ( ( X .<_ Z /\ Y .<_ Z ) <-> ( X .\/ Y ) .<_ Z ) ) $=
      ( wbr wa cpo wcel vz co cv wceq breq2 anbi12d imbi12d wral joinlem simprd
      wi rspcdva lejoin1 joincl postr syl13anc mpand lejoin2 jcad impbid ) AFHE
      QZGHEQZRZFGCUBZHEQZAFUAUCZEQZGVFEQZRZVDVFEQZUKZVCVEUKUABHVFHUDZVIVCVJVEVL
      VGVAVHVBVFHFEUEVFHGEUEUFVFHVDEUEUGAFVDEQZGVDEQZRVKUABUHAUABCDESFGIJKLMNPU
      IUJOULAVEVAVBAVMVEVAABCDESFGIJKLMNPUMADSTZFBTVDBTZHBTZVMVERVAUKLMABCDSFGI
      KLMNPUNZOBDEFVDHIJUOUPUQAVNVEVBABCDESFGIJKLMNPURAVOGBTVPVQVNVERVBUKLNVROB
      DEGVDHIJUOUPUQUSUT $.
  $}

  ${
    $d p x y z K $.  $d p z G $.
    meetfval.u $e |- G = ( glb ` K ) $.
    meetfval.m $e |- ./\ = ( meet ` K ) $.
    $( Value of meet function for a poset.  (Contributed by NM, 12-Sep-2011.)
       (Revised by NM, 9-Sep-2018.)  TODO: prove ~ meetfval2 first to reduce
       net proof size (existence part)? $)
    meetfval $p |- ( K e. V
             -> ./\ = { <. <. x , y >. , z >. | { x , y } G z } ) $=
      ( vp wcel cvv cv coprab wceq cfv wa eqid wal alrimiv cpr wbr elex cbs wmo
      cmee fvex moeq a1i oprabex wi wss cdm wfun wb glbfun funbrfv2b ax-mp cple
      simpl simpr glbelss ex prss syl6ibr eqcom biimpi anim12d1 syl5bi ssoprab2
      vex ssexd cglb fveq2 eqtr4di breqd oprabbidv df-meet fvmptg mpdan eqtrid
      syl ) EGKELKZFAMZBMZUAZCMZDUBZABCNZOEGUCWCFEUFPZWIIWCWILKWJWIOWCWIWDEUDPZ
      KWEWKKQZWGWFDPZOZQZABCNZLWPLKWCWNABCWKWKWPEUDUGZWQWNCUEWLCWMUHUIWPRUJUIWC
      WHWOUKZCSZBSZASWIWPULWCWTAWCWSBWCWRCWHWFDUMKZWMWGOZQZWCWODUNWHXCUODEHUPWF
      WGDUQURWCXAWLXBWNWCXAWFWKULZWLWCXAXDWCXAQWKWFDEEUSPZLWKRXERHWCXAUTWCXAVAV
      BVCWDWEWKAVKBVKVDVEXBWNWMWGVFVGVHVITTTWHWOABCVJWBVLJEWFWGJMZVMPZUBZABCNWI
      LLUFXFEOZXHWHABCXIXGDWFWGXIXGEVMPDXFEVMVNHVOVPVQABCJVRVSVTWAWB $.

    $( Value of meet function for a poset.  (Contributed by NM, 12-Sep-2011.)
       (Revised by NM, 9-Sep-2018.) $)
    meetfval2 $p |- ( K e. V
           -> ./\ = { <. <. x , y >. , z >. | ( { x , y } e. dom G
               /\ z = ( G ` { x , y } ) ) } ) $=
      ( wcel cv cpr wbr coprab cdm cfv wceq wa meetfval wfun wb funbrfv2b ax-mp
      glbfun eqcom anbi2i bitri oprabbii eqtrdi ) EGJFAKBKLZCKZDMZABCNUJDOJZUKU
      JDPZQZRZABCNABCDEFGHISULUPABCULUMUNUKQZRZUPDTULURUADEHUDUJUKDUBUCUQUOUMUN
      UKUEUFUGUHUI $.

    $( Domain of meet function for a poset-type structure.  (Contributed by NM,
       16-Sep-2018.) $)
    meetdm $p |- ( K e. V
            -> dom ./\ = { <. x , y >. | { x , y } e. dom G } ) $=
      ( vz wcel cdm cv cpr cfv wceq wa coprab copab meetfval2 wex dmeqd dmoprab
      fvex isseti 19.42v mpbiran2 opabbii eqtri eqtrdi ) DFJZEKALBLMZCKJZILUKCN
      ZOZPZABIQZKZULABRZUJEUPABICDEFGHSUAUQUOITZABRURUOABIUBUSULABUSULUNITIUMUK
      CUCUDULUNIUEUFUGUHUI $.
  $}

  ${
    $d x y z K $.  $d x y z G $.  $d x y z X $.  $d x y z Y $.
    meetdef.u $e |- G = ( glb ` K ) $.
    meetdef.m $e |- ./\ = ( meet ` K ) $.
    meetdef.k $e |- ( ph -> K e. V ) $.
    meetdef.x $e |- ( ph -> X e. W ) $.
    meetdef.y $e |- ( ph -> Y e. Z ) $.
    $( Two ways to say that a meet is defined.  (Contributed by NM,
       9-Sep-2018.) $)
    meetdef $p |- ( ph
       -> ( <. X , Y >. e. dom ./\ <-> { X , Y } e. dom G ) ) $=
      ( vx vy cdm wcel cv cpr cop copab wb meetdm eleq2d syl preq1 eleq1d preq2
      wceq opelopabg syl2anc bitrd ) AGHUAZDQZRZUNOSZPSZTZBQZRZOPUBZRZGHTZUTRZA
      CERZUPVCUCLVFUOVBUNOPBCDEJKUDUEUFAGFRHIRVCVEUCMNVAGURTZUTRVEOPGHFIUQGUJUS
      VGUTUQGURUGUHURHUJVGVDUTURHGUIUHUKULUM $.

    $( Meet value.  Since both sides evaluate to ` (/) ` when they don't exist,
       for convenience we drop the ` { X , Y } e. dom G ` requirement.
       (Contributed by NM, 9-Sep-2018.) $)
    meetval $p |- ( ph -> ( X ./\ Y ) = ( G ` { X , Y } ) ) $=
      ( vx vy vz wcel wceq wa cpr cdm co cv coprab meetfval2 oveqd adantr simpr
      cfv syl eqidd wi cvv fvexd w3a preq12 eleq1d 3adant3 simp3 fveq2d eqeq12d
      wb anbi12d moeq moani ovigg syl3anc mp2and eqtrd wn c0 cop meetdef notbid
      eqid df-ov ndmfv eqtrid syl6bir imp adantl eqtr4d pm2.61dan ) AGHUAZBUBZR
      ZGHDUCZWEBUJZSAWGTZWHGHOUDZPUDZUAZWFRZQUDZWMBUJZSZTZOPQUEZUCZWIAWHWTSWGAD
      WSGHACERDWSSLOPQBCDEJKUFUKUGUHWJWGWIWISZWTWISZAWGUIWJWIULAWGXATZXBUMZWGAG
      FRHIRWIUNRXDMNAWEBUOWRXCOPQGHWIWSFIUNWKGSZWLHSZWOWISZUPZWNWGWQXAXEXFWNWGV
      CXGXEXFTZWMWEWFWKWLGHUQZURUSXHWOWIWPWIXEXFXGUTXEXFWPWISXGXIWMWEBXJVAUSVBV
      DWQWNQQWPVEVFWSVPVGVHUHVIVJAWGVKZTWHVLWIAXKWHVLSZAXKGHVMZDUBRZVKZXLAXNWGA
      BCDEFGHIJKLMNVNVOXOWHXMDUJVLGHDVQXMDVRVSVTWAXKWIVLSAWEBVRWBWCWD $.
  $}

  ${
    meetcl.b $e |- B = ( Base ` K ) $.
    meetcl.m $e |- ./\ = ( meet ` K ) $.
    meetcl.k $e |- ( ph -> K e. V ) $.
    meetcl.x $e |- ( ph -> X e. B ) $.
    meetcl.y $e |- ( ph -> Y e. B ) $.
    meetcl.e $e |- ( ph -> <. X , Y >. e. dom ./\ ) $.
    $( Closure of meet of elements in the domain.  (Contributed by NM,
       12-Sep-2018.) $)
    meetcl $p |- ( ph -> ( X ./\ Y ) e. B ) $=
      ( co cpr cglb cfv eqid cdm wcel meetval cop meetdef mpbid glbcl eqeltrd )
      AFGDNFGOZCPQZQBAUHCDEBFGBUHRZIJKLUAABUGUHCEHUIJAFGUBDSTUGUHSTMAUHCDEBFGBU
      IIJKLUCUDUEUF $.
  $}

  ${
    $d x y ./\ $.  $d x y B $.  $d x y K $.  $d x y ph $.
    meetdmss.b $e |- B = ( Base ` K ) $.
    meetdmss.j $e |- ./\ = ( meet ` K ) $.
    meetdmss.k $e |- ( ph -> K e. V ) $.
    $( Subset property of domain of meet.  (Contributed by NM, 12-Sep-2018.) $)
    meetdmss $p |- ( ph -> dom ./\ C_ ( B X. B ) ) $=
      ( vx vy cdm wrel cv cfv wcel eqid cvv vex a1i wa cglb copab relopabv wceq
      cxp cpr meetdm syl releqd mpbiri cop meetdef cple adantr simpr glbelss ex
      wss prss opelxpi sylbir syl6 sylbid relssdv ) AIJDKZBBUEZAVELIMZJMZUFZCUA
      NZKOZIJUBZLVKIJUCAVEVLACEOZVEVLUDHIJVJCDEVJPZGUGUHUIUJAVGVHUKZVEOVKVOVFOZ
      AVJCDEQVGVHQVNGHVGQOAIRZSVHQOAJRZSULAVKVIBURZVPAVKVSAVKTBVIVJCCUMNZEFVTPV
      NAVMVKHUNAVKUOUPUQVSVGBOVHBOTVPVGVHBVQVRUSVGVHBBUTVAVBVCVD $.
  $}

  ${
    $d x z B $.  $d x z ./\ $.  $d x y z K $.  $d y .<_ $.  $d x y z X $.
    $d x y z Y $.
    meetval2.b $e |- B = ( Base ` K ) $.
    meetval2.l $e |- .<_ = ( le ` K ) $.
    meetval2.m $e |- ./\ = ( meet ` K ) $.
    meetval2.k $e |- ( ph -> K e. V ) $.
    meetval2.x $e |- ( ph -> X e. B ) $.
    meetval2.y $e |- ( ph -> Y e. B ) $.
    $( Lemma for ~ meetval2 and ~ meeteu .  (Contributed by NM, 12-Sep-2018.)
       TODO: combine this through ~ meeteu into ~ meetlem ? $)
    meetval2lem $p |- ( ( X e. B /\ Y e. B )
  -> ( ( A. y e. { X , Y } x .<_ y
        /\ A. z e. B ( A. y e. { X , Y } z .<_ y -> z .<_ x ) )
  <-> ( ( x .<_ X /\ x .<_ Y )
        /\ A. z e. B ( ( z .<_ X /\ z .<_ Y ) -> z .<_ x ) ) ) ) $=
      ( wbr wral breq2 wcel wa cv cpr wi ralprg imbi1d ralbidv anbi12d ) JEUAKE
      UAUBZBUCZCUCZGRZCJKUDZSUKJGRZUKKGRZUBDUCZULGRZCUNSZUQUKGRZUEZDESUQJGRZUQK
      GRZUBZUTUEZDESUMUOUPCJKEEULJUKGTULKUKGTUFUJVAVEDEUJUSVDUTURVBVCCJKEEULJUQ
      GTULKUQGTUFUGUHUI $.

    $( Value of meet for a poset with LUB expanded.  (Contributed by NM,
       16-Sep-2011.)  (Revised by NM, 11-Sep-2018.) $)
    meetval2 $p |- ( ph ->
      ( X ./\ Y ) = ( iota_ x e. B ( ( x .<_ X /\ x .<_ Y )
              /\ A. z e. B ( ( z .<_ X /\ z .<_ Y ) -> z .<_ x ) ) ) ) $=
      ( vy wbr wral wa co cpr cglb cfv cv wi crio eqid meetval biid glbval wcel
      prssd wceq meetval2lem riotabidv syl2anc 3eqtrd ) AIJGUAIJUBZEUCUDZUDBUEZ
      QUEZFRQUSSCUEZVBFRQUSSVCVAFRZUFCDSTZBDUGZVAIFRVAJFRTVCIFRVCJFRTVDUFCDSTZB
      DUGZAUTEGHDIJDUTUHZMNOPUIAVEBQCDUSUTEFHKLVIVEUJNAIJDOPUMUKAIDULZJDULZVFVH
      UNOPVJVKTVEVGBDABQCDEFGHIJKLMNOPUOUPUQUR $.

    $d x ph $.
    meetlem.e $e |- ( ph -> <. X , Y >. e. dom ./\ ) $.
    $( Uniqueness of meet of elements in the domain.  (Contributed by NM,
       12-Sep-2018.) $)
    meeteu $p |- ( ph -> E! x e. B ( ( x .<_ X /\ x .<_ Y )
              /\ A. z e. B ( ( z .<_ X /\ z .<_ Y ) -> z .<_ x ) ) ) $=
      ( vy wcel wbr cop cdm cv wa wi wral wreu cpr cglb cfv eqid meetdef adantr
      biid simpr glbeu ex wb meetval2lem syl2anc reubidv sylibd sylbid mpd ) AI
      JUAGUBSZBUCZIFTVFJFTUDCUCZIFTVGJFTUDVGVFFTZUECDUFUDZBDUGZQAVEIJUHZEUIUJZU
      BSZVJAVLEGHDIJDVLUKZMNOPULAVMVFRUCZFTRVKUFVGVOFTRVKUFVHUECDUFUDZBDUGZVJAV
      MVQAVMUDVPBRCDVKVLEFHKLVNVPUNAEHSVMNUMAVMUOUPUQAVPVIBDAIDSJDSVPVIUROPABRC
      DEFGHIJKLMNOPUSUTVAVBVCVD $.

    $d x .<_ $.
    $( Lemma for meet properties.  (Contributed by NM, 16-Sep-2011.)  (Revised
       by NM, 12-Sep-2018.) $)
    meetlem $p |- ( ph -> ( ( ( X ./\ Y ) .<_ X /\ ( X ./\ Y ) .<_ Y )
            /\ A. z e. B ( ( z .<_ X /\ z .<_ Y ) -> z .<_ ( X ./\ Y ) ) ) ) $=
      ( vx cv wbr wa wi wral co wsbc crio wreu meeteu riotasbc meetval2 sbceq1d
      syl mpbird ovex wceq breq1 anbi12d breq2 imbi2d ralbidv sbcie sylib ) AQR
      ZHESZVBIESZTZBRZHESVFIESTZVFVBESZUAZBCUBZTZQHIFUCZUDZVLHESZVLIESZTZVGVFVL
      ESZUAZBCUBZTZAVMVKQVKQCUEZUDZAVKQCUFWBAQBCDEFGHIJKLMNOPUGVKQCUHUKAVKQVLWA
      AQBCDEFGHIJKLMNOUIUJULVKVTQVLHIFUMVBVLUNZVEVPVJVSWCVCVNVDVOVBVLHEUOVBVLIE
      UOUPWCVIVRBCWCVHVQVGVBVLVFEUQURUSUPUTVA $.

    $( A meet's first argument is less than or equal to the meet.  (Contributed
       by NM, 16-Sep-2011.)  (Revised by NM, 12-Sep-2018.) $)
    lemeet1 $p |- ( ph -> ( X ./\ Y ) .<_ X ) $=
      ( vz co wbr cv wa wi wral meetlem simplld ) AGHEQZGDRUEHDRPSZGDRUFHDRTUFU
      EDRUAPBUBAPBCDEFGHIJKLMNOUCUD $.

    $( A meet's second argument is less than or equal to the meet.
       (Contributed by NM, 16-Sep-2011.)  (Revised by NM, 12-Sep-2018.) $)
    lemeet2 $p |- ( ph -> ( X ./\ Y ) .<_ Y ) $=
      ( vz co wbr cv wa wi wral meetlem simplrd ) AGHEQZGDRUEHDRPSZGDRUFHDRTUFU
      EDRUAPBUBAPBCDEFGHIJKLMNOUCUD $.
  $}

  ${
    $d z B $.  $d z ./\ $.  $d z K $.  $d z .<_ $.  $d z X $.  $d z Y $.
    $d z Z $.
    meetle.b $e |- B = ( Base ` K ) $.
    meetle.l $e |- .<_ = ( le ` K ) $.
    meetle.m $e |- ./\ = ( meet ` K ) $.
    meetle.k $e |- ( ph -> K e. Poset ) $.
    meetle.x $e |- ( ph -> X e. B ) $.
    meetle.y $e |- ( ph -> Y e. B ) $.
    meetle.z $e |- ( ph -> Z e. B ) $.
    meetle.e $e |- ( ph -> <. X , Y >. e. dom ./\ ) $.
    $( A meet is less than or equal to a third value iff each argument is less
       than or equal to the third value.  (Contributed by NM, 16-Sep-2011.)
       (Revised by NM, 12-Sep-2018.) $)
    meetle $p |- ( ph -> ( ( Z .<_ X /\ Z .<_ Y ) <-> Z .<_ ( X ./\ Y ) ) ) $=
      ( wbr wa cpo wcel vz co cv wceq breq1 anbi12d imbi12d wral meetlem simprd
      wi rspcdva lemeet1 meetcl postr syl13anc mpan2d lemeet2 jcad impbid ) AHF
      DQZHGDQZRZHFGEUBZDQZAUAUCZFDQZVFGDQZRZVFVDDQZUKZVCVEUKUABHVFHUDZVIVCVJVEV
      LVGVAVHVBVFHFDUEVFHGDUEUFVFHVDDUEUGAVDFDQZVDGDQZRVKUABUHAUABCDESFGIJKLMNP
      UIUJOULAVEVAVBAVEVMVAABCDESFGIJKLMNPUMACSTZHBTZVDBTZFBTVEVMRVAUKLOABCESFG
      IKLMNPUNZMBCDHVDFIJUOUPUQAVEVNVBABCDESFGIJKLMNPURAVOVPVQGBTVEVNRVBUKLOVRN
      BCDHVDGIJUOUPUQUSUT $.
  $}

  ${
    joincom.b $e |- B = ( Base ` K ) $.
    joincom.j $e |- .\/ = ( join ` K ) $.
    $( The join of a poset is commutative.  (This may not be a theorem under
       other definitions of meet.)  (Contributed by NM, 16-Sep-2011.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    joincomALT $p |- ( ( K e. V /\ X e. B /\ Y e. B ) -> ( X .\/ Y ) =
              ( Y .\/ X ) ) $=
      ( wcel w3a cpr club cfv co wceq prcom fveq2i a1i eqid joinval simp1 simp3
      simp2 3eqtr4rd ) CDIZEAIZFAIZJZFEKZCLMZMZEFKZUJMZFEBNEFBNUKUMOUHUIULUJFEP
      QRUHUJBCDAFEAUJSZHUEUFUGUAZUEUFUGUBZUEUFUGUCZTUHUJBCDAEFAUNHUOUQUPTUD $.

    $( The join of a poset is commutative.  (The antecedent
       ` <. X , Y >. e. dom .\/ /\ <. Y , X >. e. dom .\/ ` i.e., "the joins
       exist" could be omitted as an artifact of our particular join
       definition, but other definitions may require it.)  (Contributed by NM,
       16-Sep-2011.)  (Revised by NM, 12-Sep-2018.) $)
    joincom $p |- ( ( ( K e. Poset /\ X e. B /\ Y e. B ) /\
   ( <. X , Y >. e. dom .\/ /\ <. Y , X >. e. dom .\/ ) )
           -> ( X .\/ Y ) = ( Y .\/ X ) ) $=
      ( cpo wcel w3a co wceq cop cdm wa joincomALT adantr ) CHIDAIEAIJDEBKEDBKL
      DEMBNZIEDMRIOABCHDEFGPQ $.
  $}

  ${
    meetcom.b $e |- B = ( Base ` K ) $.
    meetcom.m $e |- ./\ = ( meet ` K ) $.
    $( The meet of a poset is commutative.  (This may not be a theorem under
       other definitions of meet.)  (Contributed by NM, 17-Sep-2011.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    meetcomALT $p |- ( ( K e. V /\ X e. B /\ Y e. B ) -> ( X ./\ Y ) =
              ( Y ./\ X ) ) $=
      ( wcel w3a cpr cglb cfv co wceq prcom fveq2i a1i eqid meetval simp1 simp3
      simp2 3eqtr4rd ) BDIZEAIZFAIZJZFEKZBLMZMZEFKZUJMZFECNEFCNUKUMOUHUIULUJFEP
      QRUHUJBCDAFEAUJSZHUEUFUGUAZUEUFUGUBZUEUFUGUCZTUHUJBCDAEFAUNHUOUQUPTUD $.

    $( The meet of a poset is commutative.  (The antecedent
       ` <. X , Y >. e. dom ./\ /\ <. Y , X >. e. dom ./\ ` i.e., "the meets
       exist" could be omitted as an artifact of our particular join
       definition, but other definitions may require it.)  (Contributed by NM,
       17-Sep-2011.)  (Revised by NM, 12-Sep-2018.) $)
    meetcom $p |- ( ( ( K e. Poset /\ X e. B /\ Y e. B ) /\
   ( <. X , Y >. e. dom ./\ /\ <. Y , X >. e. dom ./\ ) )
           -> ( X ./\ Y ) = ( Y ./\ X ) ) $=
      ( cpo wcel w3a co wceq cop cdm wa meetcomALT adantr ) BHIDAIEAIJDECKEDCKL
      DEMCNZIEDMRIOABCHDEFGPQ $.
  $}

  ${
    $d x y z w $.
    $( Lemma for ~ odumeet .  (Contributed by Stefan O'Rear, 29-Jan-2015.) $)
    join0 $p |- ( join ` (/) ) = (/) $=
      ( vx vy vz vw c0 cfv cv wbr cvv wceq 0ex eqid ax-mp cop wa wex wral eqtri
      cab nex cjn cpr club coprab wcel joinfval df-oprab br0 cpw cple crio cmpt
      wi wreu cres base0 biid lubfval reu0 abf reseq2i res0 breqi mtbir intnan
      id ) EUAFZAGZBGZUBZCGZEUCFZHZABCUDZEEIUEZVGVNJKABCVLVGEIVLLZVGLUFMVNDGZVH
      VINVKNJZVMOZCPZBPZAPZDSEVMABCDUGWBDWAAVTBVSCVMVRVMVJVKEHVJVKUHVJVKVLEVLDE
      UIVHVKEUJFZHAVQQVHVIWCHAVQQVKVIWCHUMBEQOZCEUKULZWDCEUNZDSZUOZEVOVLWHJKVOW
      DCABEVLEWCIDUPWCLVPWDUQVOVFURMWHWEEUOEWGEWEWFDWDCUSUTVAWEVBRRVCVDVETTTUTR
      R $.

    $( Lemma for ~ odujoin .  (Contributed by Stefan O'Rear, 29-Jan-2015.)
       TODO ( ~ df-riota update):  This proof increased from 152 bytes to 547
       bytes after the ~ df-riota change.  Any way to shorten it? ~ join0
       also. $)
    meet0 $p |- ( meet ` (/) ) = (/) $=
      ( vx vy vz vw c0 cfv cv wbr cvv wceq 0ex eqid ax-mp cop wa wex wral eqtri
      cab nex cmee cpr cglb coprab wcel meetfval df-oprab br0 cple wi crio cmpt
      cpw wreu cres base0 biid glbfval reu0 abf reseq2i res0 breqi mtbir intnan
      id ) EUAFZAGZBGZUBZCGZEUCFZHZABCUDZEEIUEZVGVNJKABCVLEVGIVLLZVGLUFMVNDGZVH
      VINVKNJZVMOZCPZBPZAPZDSEVMABCDUGWBDWAAVTBVSCVMVRVMVJVKEHVJVKUHVJVKVLEVLAE
      UMVIVKEUIFZHCVHQVQVKWCHCVHQVQVIWCHUJDEQOZBEUKULZWDBEUNZASZUOZEVOVLWHJKVOW
      DBCDEVLEWCIAUPWCLVPWDUQVOVFURMWHWEEUOEWGEWEWFAWDBUSUTVAWEVBRRVCVDVETTTUTR
      R $.
  $}

  ${
    $d D a b c d $.  $d L a b c d $.  $d U a b c d $.  $d O a b c d $.
    $d V a b c d $.  $d .\/ a b $.  $d ./\ a b $.
    oduglb.d $e |- D = ( ODual ` O ) $.

    ${
      odulub.l $e |- L = ( glb ` O ) $.
      $( Least upper bounds in a dual order are greatest lower bounds in the
         original order.  (Contributed by Stefan O'Rear, 29-Jan-2015.) $)
      odulub $p |- ( O e. V -> L = ( lub ` D ) ) $=
        ( va vb vc vd wcel cfv cv wbr wral wi vex brcnv ralbii eqid cglb cbs wa
        club cpw cple crio cmpt wreu cab cres ccnv wb imbi12i anbi12i riotabiia
        a1i mpteq2i reubii abbii reseq12i eqcomi biid id glbfval cvv wceq fvexi
        codu odubas oduleval lubfval mp1i 3eqtr4a eqtrid ) CDKZBCUALZAUDLZFVPGC
        UBLZUEZHMZIMZCUFLZNZIGMZOZJMZWBWCNZIWEOZWGWAWCNZPZJVSOZUCZHVSUGZUHZWMHV
        SUIZGUJZUKZGVTWBWAWCULZNZIWEOZWBWGWSNZIWEOZWAWGWSNZPZJVSOZUCZHVSUGZUHZX
        GHVSUIZGUJZUKZVQVRXLWRXIWOXKWQGVTXHWNXGWMHVSXGWMUMWAVSKXAWFXFWLWTWDIWEW
        BWAWCIQZHQZRSXEWKJVSXCWIXDWJXBWHIWEWBWGWCXMJQZRSWAWGWCXNXORUNSUOZUQUPUR
        XJWPGXGWMHVSXPUSUTVAVBVPWMHIJVSVQCWCDGVSTZWCTZVQTWMVCVPVDVEAVFKZVRXLVGV
        PACVIEVHXSXGHIJVSVRAWSVFGVSACEXQVJAWCCEXRVKVRTXGVCXSVDVLVMVNVO $.
    $}

    ${
      odujoin.m $e |- ./\ = ( meet ` O ) $.
      $( Joins in a dual order are meets in the original.  (Contributed by
         Stefan O'Rear, 29-Jan-2015.) $)
      odujoin $p |- ./\ = ( join ` D ) $=
        ( va vb vc cmee cfv cjn cvv wcel wceq cv wbr coprab eqid codu c0 odulub
        cglb club breqd oprabbidv meetfval fvexi joinfval mp1i 3eqtr4d wn fvprc
        cpr eqtrid fveq2d join0 eqtrdi eqtr4d pm2.61i eqtri ) BCIJZAKJZECLMZVAV
        BNVCFOGOUMZHOZCUBJZPZFGHQVDVEAUCJZPZFGHQZVAVBVCVGVIFGHVCVFVHVDVEAVFCLDV
        FRZUAUDUEFGHVFCVALVKVARUFALMVBVJNVCACSDUGFGHVHVBALVHRVBRUHUIUJVCUKZVATV
        BCIULVLVBTKJTVLATKVLACSJTDCSULUNUOUPUQURUSUT $.
    $}

    ${
      oduglb.l $e |- U = ( lub ` O ) $.
      $( Greatest lower bounds in a dual order are least upper bounds in the
         original order.  (Contributed by Stefan O'Rear, 29-Jan-2015.) $)
      oduglb $p |- ( O e. V -> U = ( glb ` D ) ) $=
        ( va vc vb vd wcel cfv cv wbr wral wi vex brcnv ralbii eqid club cbs wa
        cglb cpw cple crio cmpt wreu cab cres ccnv wb imbi12i anbi12i riotabiia
        a1i mpteq2i reubii abbii reseq12i eqcomi biid id lubfval cvv wceq fvexi
        codu odubas oduleval glbfval mp1i 3eqtr4a eqtrid ) CDKZBCUALZAUDLZFVPGC
        UBLZUEZHMZIMZCUFLZNZHGMZOZWAJMZWCNZHWEOZWBWGWCNZPZJVSOZUCZIVSUGZUHZWMIV
        SUIZGUJZUKZGVTWBWAWCULZNZHWEOZWGWAWSNZHWEOZWGWBWSNZPZJVSOZUCZIVSUGZUHZX
        GIVSUIZGUJZUKZVQVRXLWRXIWOXKWQGVTXHWNXGWMIVSXGWMUMWBVSKXAWFXFWLWTWDHWEW
        BWAWCIQZHQZRSXEWKJVSXCWIXDWJXBWHHWEWGWAWCJQZXNRSWGWBWCXOXMRUNSUOZUQUPUR
        XJWPGXGWMIVSXPUSUTVAVBVPWMIHJVSVQCWCDGVSTZWCTZVQTWMVCVPVDVEAVFKZVRXLVGV
        PACVIEVHXSXGIHJVSVRAWSVFGVSACEXQVJAWCCEXRVKVRTXGVCXSVDVLVMVNVO $.
    $}

    ${
      odumeet.j $e |- .\/ = ( join ` O ) $.
      $( Meets in a dual order are joins in the original.  (Contributed by
         Stefan O'Rear, 29-Jan-2015.) $)
      odumeet $p |- .\/ = ( meet ` D ) $=
        ( va vb vc cjn cfv cmee cvv wcel wceq cv wbr coprab eqid codu c0 oduglb
        club cglb breqd oprabbidv joinfval fvexi meetfval mp1i 3eqtr4d wn fvprc
        cpr eqtrid fveq2d meet0 eqtrdi eqtr4d pm2.61i eqtri ) BCIJZAKJZECLMZVAV
        BNVCFOGOUMZHOZCUBJZPZFGHQVDVEAUCJZPZFGHQZVAVBVCVGVIFGHVCVFVHVDVEAVFCLDV
        FRZUAUDUEFGHVFVACLVKVARUFALMVBVJNVCACSDUGFGHVHAVBLVHRVBRUHUIUJVCUKZVATV
        BCIULVLVBTKJTVLATKVLACSJTDCSULUNUOUPUQURUSUT $.
    $}
  $}

  ${
    $d .<_ x y z w $.  $d B x y z w $.  $d K x y z w $.  $d S x y z w $.
    poslubmo.l $e |- .<_ = ( le ` K ) $.
    poslubmo.b $e |- B = ( Base ` K ) $.
    $( Least upper bounds in a poset are unique if they exist.  (Contributed by
       Stefan O'Rear, 31-Jan-2015.)  (Revised by NM, 16-Jun-2017.) $)
    poslubmo $p |- ( ( K e. Poset /\ S C_ B ) -> E* x e. B
  ( A. y e. S y .<_ x /\ A. z e. B ( A. y e. S y .<_ z -> x .<_ z ) ) ) $=
      ( vw wcel wa cv wbr wral wi weq breq2 ralbidv imbi12d cpo simprrl simprlr
      wss wrmo simplrr rspcdva mpd simprll simprrr simplrl wb posasymb ad4ant13
      3expb mpbi2and ex ralrimivva breq1 imbi2d anbi12d rmo4 sylibr ) FUAKZEDUD
      ZLZBMZAMZGNZBEOZVGCMZGNZBEOZVHVKGNZPZCDOZLZVGJMZGNZBEOZVMVRVKGNZPZCDOZLZL
      ZAJQZPZJDOADOVQADUEVFWGAJDDVFVHDKZVRDKZLZLZWEWFWKWELZVHVRGNZVRVHGNZWFWLVT
      WMWKVQVTWCUBWLVOVTWMPCDVRCJQZVMVTVNWMWOVLVSBEVKVRVGGRSVKVRVHGRTWKVJVPWDUC
      VFWHWIWEUFUGUHWLVJWNWKVJVPWDUIWLWBVJWNPCDVHCAQZVMVJWAWNWPVLVIBEVKVHVGGRSV
      KVHVRGRTWKVQVTWCUJVFWHWIWEUKUGUHVDWJWMWNLWFULZVEWEVDWHWIWQDFGVHVRIHUMUOUN
      UPUQURVQWDAJDWFVJVTVPWCWFVIVSBEVHVRVGGRSWFVOWBCDWFVNWAVMVHVRVKGUSUTSVAVBV
      C $.

    $( Greatest lower bounds in a poset are unique if they exist.  (Contributed
       by NM, 20-Sep-2018.) $)
    posglbmo $p |- ( ( K e. Poset /\ S C_ B ) -> E* x e. B
  ( A. y e. S x .<_ y /\ A. z e. B ( A. y e. S z .<_ y -> z .<_ x ) ) ) $=
      ( vw wcel wa cv wbr wral wi weq breq1 ralbidv imbi12d cpo simprrl simprlr
      wss wrmo simplrr rspcdva simprll simprrr simplrl wb ancom posasymb syl5bb
      mpd w3a 3expb ad4ant13 mpbi2and ex ralrimivva breq2 imbi2d anbi12d sylibr
      rmo4 ) FUAKZEDUDZLZAMZBMZGNZBEOZCMZVKGNZBEOZVNVJGNZPZCDOZLZJMZVKGNZBEOZVP
      VNWAGNZPZCDOZLZLZAJQZPZJDOADOVTADUEVIWJAJDDVIVJDKZWADKZLZLZWHWIWNWHLZWAVJ
      GNZVJWAGNZWIWOWCWPWNVTWCWFUBWOVRWCWPPCDWACJQZVPWCVQWPWRVOWBBEVNWAVKGRSVNW
      AVJGRTWNVMVSWGUCVIWKWLWHUFUGUOWOVMWQWNVMVSWGUHWOWEVMWQPCDVJCAQZVPVMWDWQWS
      VOVLBEVNVJVKGRSVNVJWAGRTWNVTWCWFUIVIWKWLWHUJUGUOVGWMWPWQLZWIUKZVHWHVGWKWL
      XAWTWQWPLVGWKWLUPWIWPWQULDFGVJWAIHUMUNUQURUSUTVAVTWGAJDWIVMWCVSWFWIVLWBBE
      VJWAVKGRSWIVRWECDWIVQWDVPVJWAVNGVBVCSVDVFVE $.
  $}

  ${
    $d .<_ x y z $.  $d B x y z $.  $d K x y z $.  $d S x y z $.  $d U x y z $.
    $d T x y z $.  $d ph x y z $.
    poslubd.l $e |- .<_ = ( le ` K ) $.
    poslubd.b $e |- B = ( Base ` K ) $.
    poslubd.u $e |- U = ( lub ` K ) $.
    poslubd.k $e |- ( ph -> K e. Poset ) $.
    poslubd.s $e |- ( ph -> S C_ B ) $.
    poslubd.t $e |- ( ph -> T e. B ) $.
    poslubd.ub $e |- ( ( ph /\ x e. S ) -> x .<_ T ) $.
    poslubd.le $e |- ( ( ph /\ y e. B /\ A. x e. S x .<_ y ) -> T .<_ y ) $.
    $( Properties which determine the least upper bound in a poset.
       (Contributed by Stefan O'Rear, 31-Jan-2015.) $)
    poslubd $p |- ( ph -> ( U ` S ) = T ) $=
      ( vz wbr wral cfv cv wi wa crio cpo biid lubval wceq ralrimiva 3expia jca
      wcel wreu wrex wrmo breq2 ralbidv breq1 imbi2d anbi12d rspcev syl2anc wss
      wb poslubmo reu5 sylanbrc riota2 mpbid eqtrd ) AEGUABUBZRUBZISZBETZVLCUBZ
      ISBETZVMVPISZUCZCDTZUDZRDUEZFAWARBCDEGHIUFKJLWAUGMNUHAVLFISZBETZVQFVPISZU
      CZCDTZUDZWBFUIZAWDWGAWCBEPUJAWFCDAVPDUMVQWEQUKUJULZAFDUMZWARDUNZWHWIVEOAW
      ARDUOZWARDUPZWLAWKWHWMOWJWAWHRFDVMFUIZVOWDVTWGWOVNWCBEVMFVLIUQURWOVSWFCDW
      OVRWEVQVMFVPIUSUTURVAZVBVCAHUFUMEDVDWNMNRBCDEHIJKVFVCWARDVGVHWAWHRDFWPVIV
      CVJVK $.
  $}

  ${
    $d .<_ x y $.  $d B x y $.  $d K x y $.  $d S x y $.  $d U x y $.
    $d T x y $.  $d ph x y $.
    poslubdg.l $e |- .<_ = ( le ` K ) $.
    poslubdg.b $e |- ( ph -> B = ( Base ` K ) ) $.
    poslubdg.u $e |- ( ph -> U = ( lub ` K ) ) $.
    poslubdg.k $e |- ( ph -> K e. Poset ) $.
    poslubdg.s $e |- ( ph -> S C_ B ) $.
    poslubdg.t $e |- ( ph -> T e. B ) $.
    poslubdg.ub $e |- ( ( ph /\ x e. S ) -> x .<_ T ) $.
    poslubdg.le $e |- ( ( ph /\ y e. B /\ A. x e. S x .<_ y ) -> T .<_ y ) $.
    $( Properties which determine the least upper bound in a poset.
       (Contributed by Stefan O'Rear, 31-Jan-2015.) $)
    poslubdg $p |- ( ph -> ( U ` S ) = T ) $=
      ( cfv eqid cv club fveq1d cbs sseqtrd eleqtrd wcel eleq2d biimpar 3adant3
      wbr wral syld3an2 poslubd eqtrd ) AEGREHUARZRFAEGUOLUBABCHUCRZEFUOHIJUPSU
      OSMAEDUPNKUDAFDUPOKUEPACTZDUFZUQUPUFZBTUQIUJBEUKZFUQIUJAUSURUTAURUSADUPUQ
      KUGUHUIQULUMUN $.
  $}

  ${
    $d .<_ x y $.  $d B x y $.  $d K x y $.  $d S x y $.  $d G x y $.
    $d T x y $.  $d ph x y $.
    posglbdg.l $e |- .<_ = ( le ` K ) $.
    posglbdg.b $e |- ( ph -> B = ( Base ` K ) ) $.
    posglbdg.g $e |- ( ph -> G = ( glb ` K ) ) $.
    posglbdg.k $e |- ( ph -> K e. Poset ) $.
    posglbdg.s $e |- ( ph -> S C_ B ) $.
    posglbdg.t $e |- ( ph -> T e. B ) $.
    posglbdg.lb $e |- ( ( ph /\ x e. S ) -> T .<_ x ) $.
    posglbdg.gt $e |- ( ( ph /\ y e. B /\ A. x e. S y .<_ x ) -> y .<_ T ) $.
    $( Properties which determine the greatest lower bound in a poset.
       (Contributed by Stefan O'Rear, 31-Jan-2015.) $)
    posglbdg $p |- ( ph -> ( G ` S ) = T ) $=
      ( cfv wcel wbr codu ccnv eqid oduleval cbs odubas eqtrdi cglb club odulub
      cpo wceq syl eqtrd odupos cv wa cvv vex brcnvg sylancr adantr mpbird wral
      wb w3a brcnv ralbii syl3an3b sylancl 3ad2ant1 poslubdg ) ABCDEFGHUARZIUBZ
      VMIHVMUCZJUDADHUERZVMUERKVPVMHVOVPUCUFUGAGHUHRZVMUIRZLAHUKSZVQVRULMVMVQHU
      KVOVQUCUJUMUNAVSVMUKSMVMHVOUOUMNOABUPZESZUQVTFVNTZFVTITZPAWBWCVEZWAAVTURS
      FDSZWDBUSZOVTFURDIUTVAVBVCACUPZDSZVTWGVNTZBEVDZVFFWGVNTZWGFITZWJAWHWGVTIT
      ZBEVDWLWIWMBEVTWGIWFCUSZVGVHQVIAWHWKWLVEZWJAWEWGURSWOOWNFWGDURIUTVJVKVCVL
      $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Totally ordered sets (tosets)
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $c Toset $.

  $( Extend class notation with the class of all tosets. $)
  ctos $a class Toset $.

  ${
    $d f b r x y $.
    $( Define the class of totally ordered sets (tosets).  (Contributed by FL,
       17-Nov-2014.) $)
    df-toset $a |- Toset = { f e. Poset | [. ( Base ` f ) / b ].
      [. ( le ` f ) / r ]. A. x e. b A. y e. b ( x r y \/ y r x ) } $.
  $}

  ${
    $d b f r x y B $.  $d b f r K $.  $d b f r x y .<_ $.
    istos.b $e |- B = ( Base ` K ) $.
    istos.l $e |- .<_ = ( le ` K ) $.
    $( The predicate "is a toset".  (Contributed by FL, 17-Nov-2014.) $)
    istos $p |- ( K e. Toset <-> ( K e. Poset
               /\ A. x e. B A. y e. B ( x .<_ y \/ y .<_ x ) ) ) $=
      ( vr vb vf cv wbr wo wral cple cfv wsbc cbs wceq wi ctos sbceq1d sbceqbid
      cpo fveq2 fvex wb wa eqtr breq orbi12d 2ralbidv raleq raleqbi1dv sylan9bb
      ex syl expcom eqcoms ax-mp syl5com imp sbc2ie bitrdi df-toset elrab2 ) AK
      ZBKZHKZLZVHVGVILZMZBIKZNAVMNZHJKZOPZQZIVORPZQZVGVHELZVHVGELZMZBCNZACNZJDU
      DUAVODSZVSVNHDOPZQZIDRPZQWDWEVQWGIVRWHVODRUEWEVNHVPWFVODOUEUBUCVNWDIHWHWF
      DRUFDOUFVMWHSZVIWFSZVNWDUGZCWHSWIWJWKTZTZFWMWHCWIWHCSZWLWIWNUHVMCSZWJWKVM
      WHCUIEWFSWJWOWKTZTZGWQWFEWJWFESZWPWJWRUHVIESZWPVIWFEUIWSWOWKWSVNWBBVMNZAV
      MNWOWDWSVLWBABVMVMWSVJVTVKWAVGVHVIEUJVHVGVIEUJUKULWTWCAVMCWBBVMCUMUNUOUPU
      QURUSUTVAURUSUTVBVCVDABJHIVEVF $.
  $}

  ${
    $d x y B $.  $d x y K $.  $d x y .<_ $.  $d x y .< $.
    tosso.b $e |- B = ( Base ` K ) $.
    tosso.l $e |- .<_ = ( le ` K ) $.
    tosso.s $e |- .< = ( lt ` K ) $.
    $( Write the totally ordered set structure predicate in terms of the proper
       class strict order predicate.  (Contributed by Mario Carneiro,
       8-Feb-2015.) $)
    tosso $p |- ( K e. V ->
      ( K e. Toset <-> ( .< Or B /\ ( _I |` B ) C_ .<_ ) ) ) $=
      ( vx vy wcel cv wbr wo wral wa weq wb pleval2 bitri cpo wpo cid cres ctos
      wss w3o wor 3expb equcom orbi2i bitrdi 3com23 orbi12d df-3or or32 orordir
      w3a bitr4di 2ralbidva pm5.32i pospo anbi1d syl5bb istos df-so anbi1i an32
      3bitr4g ) CEKZCUAKZILZJLZDMZVMVLDMZNZJAOIAOZPZABUBZUCAUDDUFZPZVLVMBMZIJQZ
      VMVLBMZUGZJAOIAOZPZCUEKABUHZVTPZVRVKWFPVJWGVKVQWFVKVPWEIJAAVKVLAKZVMAKZPP
      ZVPWBWCNZWDWCNZNZWEWLVNWMVOWNVKWJWKVNWMRABCDVLVMFGHSUIVKWJWKVOWNRZVKWKWJW
      PVKWKWJURVOWDJIQZNWNABCDVMVLFGHSWQWCWDJIUJUKULUMUIUNWEWMWDNZWOWBWCWDUOWRW
      BWDNWCNWOWBWCWDUPWBWDWCUQTTUSUTVAVJVKWAWFABCDEFGHVBVCVDIJACDFGVEWIVSWFPZV
      TPWGWHWSVTIJABVFVGVSWFVTVHTVI $.
  $}

  ${
    $d x y F $.
    $( A Toset is a Poset.  (Contributed by Thierry Arnoux, 20-Jan-2018.) $)
    tospos $p |- ( F e. Toset -> F e. Poset ) $=
      ( vx vy ctos wcel cpo cv cple cfv wbr wo cbs wral eqid istos simplbi ) AD
      EAFEBGZCGZAHIZJRQSJKCALIZMBTMBCTASTNSNOP $.
  $}

  ${
    $d x y B $.  $d x y X $.  $d y Y $.  $d x y .<_ $.
    tleile.b $e |- B = ( Base ` K ) $.
    tleile.l $e |- .<_ = ( le ` K ) $.
    $( In a Toset, any two elements are comparable.  (Contributed by Thierry
       Arnoux, 11-Feb-2018.) $)
    tleile $p |- ( ( K e. Toset /\ X e. B /\ Y e. B )
      -> ( X .<_ Y \/ Y .<_ X ) ) $=
      ( vx vy ctos wcel w3a cv wbr wo wral wceq breq1 breq2 orbi12d simp2 simp3
      cpo istos simprbi 3ad2ant1 rspc2va syl21anc ) BJKZDAKZEAKZLUJUKHMZIMZCNZU
      MULCNZOZIAPHAPZDECNZEDCNZOZUIUJUKUAUIUJUKUBUIUJUQUKUIBUCKUQHIABCFGUDUEUFU
      PUTDUMCNZUMDCNZOHIDEAAULDQUNVAUOVBULDUMCRULDUMCSTUMEQVAURVBUSUMEDCSUMEDCR
      TUGUH $.

    tltnle.s $e |- .< = ( lt ` K ) $.
    $( In a Toset, "less than" is equivalent to the negation of the converse of
       "less than or equal to", see ~ pltnle .  (Contributed by Thierry Arnoux,
       11-Feb-2018.) $)
    tltnle $p |- ( ( K e. Toset /\ X e. B /\ Y e. B )
      -> ( X .< Y <-> -. Y .<_ X ) ) $=
      ( ctos wcel w3a wbr wn wa cpo wb tospos pltval3 syl3an1 wo tleile bitr2di
      ibar pm5.61 syl bitrd ) CJKZEAKZFAKZLZEFBMZEFDMZFEDMZNZOZUOUHCPKUIUJULUPQ
      CRABCDEFGHISTUKUMUNUAZUPUOQACDEFGHUBUQUOUQUOOUPUQUOUDUMUNUEUCUFUG $.
  $}

  $c 1. $.
  $c 0. $.
  $c Lat $.

  $( Extend class notation with poset zero. $)
  cp0 $a class 0. $.

  $( Extend class notation with poset unit. $)
  cp1 $a class 1. $.

  $( Define poset zero.  (Contributed by NM, 12-Oct-2011.) $)
  df-p0 $a |- 0. = ( p e. _V |-> ( ( glb ` p ) ` ( Base ` p ) ) ) $.

  $( Define poset unit.  (Contributed by NM, 22-Oct-2011.) $)
  df-p1 $a |- 1. = ( p e. _V |-> ( ( lub ` p ) ` ( Base ` p ) ) ) $.

  ${
    $d p B $.  $d p G $.  $d p K $.
    p0val.b $e |- B = ( Base ` K ) $.
    p0val.g $e |- G = ( glb ` K ) $.
    p0val.z $e |- .0. = ( 0. ` K ) $.
    $( Value of poset zero.  (Contributed by NM, 12-Oct-2011.) $)
    p0val $p |- ( K e. V -> .0. = ( G ` B ) ) $=
      ( vp wcel cvv cfv wceq elex cp0 cv cbs cglb fveq2 eqtr4di df-p0 fvmpt syl
      fveq12d fvex eqtrid ) CDJCKJZEABLZMCDNUGECOLUHHICIPZQLZUIRLZLUHKOUICMZUJA
      UKBULUKCRLBUICRSGTULUJCQLAUICQSFTUDIUAABUEUBUFUC $.
  $}

  ${
    $d k B $.  $d k K $.  $d k U $.
    p1val.b $e |- B = ( Base ` K ) $.
    p1val.u $e |- U = ( lub ` K ) $.
    p1val.t $e |- .1. = ( 1. ` K ) $.
    $( Value of poset zero.  (Contributed by NM, 22-Oct-2011.) $)
    p1val $p |- ( K e. V -> .1. = ( U ` B ) ) $=
      ( vk wcel cvv cfv wceq elex cp1 cv cbs club fveq2 eqtr4di df-p1 fvmpt syl
      fveq12d fvex eqtrid ) DEJDKJZCABLZMDENUGCDOLUHHIDIPZQLZUIRLZLUHKOUIDMZUJA
      UKBULUKDRLBUIDRSGTULUJDQLAUIDQSFTUDIUAABUEUBUFUC $.
  $}

  ${
    p0le.b $e |- B = ( Base ` K ) $.
    p0le.g $e |- G = ( glb ` K ) $.
    p0le.l $e |- .<_ = ( le ` K ) $.
    p0le.0 $e |- .0. = ( 0. ` K ) $.
    p0le.k $e |- ( ph -> K e. V ) $.
    p0le.x $e |- ( ph -> X e. B ) $.
    p0le.d $e |- ( ph -> B e. dom G ) $.
    $( Any element is less than or equal to a poset's upper bound (if defined).
       (Contributed by NM, 22-Oct-2011.)  (Revised by NM, 13-Sep-2018.) $)
    p0le $p |- ( ph -> .0. .<_ X ) $=
      ( cfv wcel wceq p0val syl glble eqbrtrd ) AHBCPZGEADFQHUCRMBCDFHIJLSTABBC
      DEFGIKJMONUAUB $.
  $}

  ${
    ple1.b $e |- B = ( Base ` K ) $.
    ple1.u $e |- U = ( lub ` K ) $.
    ple1.l $e |- .<_ = ( le ` K ) $.
    ple1.1 $e |- .1. = ( 1. ` K ) $.
    ple1.k $e |- ( ph -> K e. V ) $.
    ple1.x $e |- ( ph -> X e. B ) $.
    ple1.d $e |- ( ph -> B e. dom U ) $.
    $( Any element is less than or equal to a poset's upper bound (if defined).
       (Contributed by NM, 22-Oct-2011.)  (Revised by NM, 13-Sep-2018.) $)
    ple1 $p |- ( ph -> X .<_ .1. ) $=
      ( cfv luble wcel wceq p1val syl breqtrrd ) AHBCPZDFABBCEFGHIKJMONQAEGRDUC
      SMBCDEGIJLTUAUB $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Lattices
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Lattices
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Extend class notation with the class of all lattices. $)
  clat $a class Lat $.

  $( Define the class of all lattices.  A lattice is a poset in which the join
     and meet of any two elements always exists.  (Contributed by NM,
     18-Oct-2012.)  (Revised by NM, 12-Sep-2018.) $)
  df-lat $a |- Lat = { p e. Poset |
       ( dom ( join ` p ) = ( ( Base ` p ) X. ( Base ` p ) )
      /\ dom ( meet ` p ) = ( ( Base ` p ) X. ( Base ` p ) ) ) } $.

  ${
    $d l B $.  $d l .\/ $.  $d l K $.  $d l ./\ $.
    islat.b $e |- B = ( Base ` K ) $.
    islat.j $e |- .\/ = ( join ` K ) $.
    islat.m $e |- ./\ = ( meet ` K ) $.
    $( The predicate "is a lattice".  (Contributed by NM, 18-Oct-2012.)
       (Revised by NM, 12-Sep-2018.) $)
    islat $p |- ( K e. Lat <-> ( K e. Poset /\
          ( dom .\/ = ( B X. B ) /\ dom ./\ = ( B X. B ) ) ) ) $=
      ( vl cjn cfv cdm cbs cxp wceq cmee wa fveq2 eqtr4di dmeqd eqeq12d cv clat
      cpo sqxpeqd anbi12d df-lat elrab2 ) HUAZIJZKZUHLJZUKMZNZUHOJZKZULNZPBKZAA
      MZNZDKZURNZPHCUCUBUHCNZUMUSUPVAVBUJUQULURVBUIBVBUICIJBUHCIQFRSVBUKAVBUKCL
      JAUHCLQERUDZTVBUOUTULURVBUNDVBUNCOJDUHCOQGRSVCTUEHUFUG $.
  $}

  ${
    odulat.d $e |- D = ( ODual ` O ) $.
    $( Being a lattice is self-dual.  (Contributed by Stefan O'Rear,
       29-Jan-2015.) $)
    odulatb $p |- ( O e. V -> ( O e. Lat <-> D e. Lat ) ) $=
      ( wcel cpo cjn cfv cdm cbs cxp wceq cmee wa clat oduposb ancom eqid islat
      wb a1i anbi12d odubas odujoin odumeet 3bitr4g ) BCEZBFEZBGHZIBJHZUJKZLZBM
      HZIUKLZNZNAFEZUNULNZNBOEAOEUGUHUPUOUQABCDPUOUQTUGULUNQUAUBUJUIBUMUJRZUIRZ
      UMRZSUJUMAUIUJABDURUCAUMBDUTUDAUIBDUSUESUF $.

    $( Being a lattice is self-dual.  (Contributed by Stefan O'Rear,
       29-Jan-2015.) $)
    odulat $p |- ( O e. Lat -> D e. Lat ) $=
      ( clat wcel odulatb ibi ) BDEADEABDCFG $.
  $}

  ${
    latcl2.b $e |- B = ( Base ` K ) $.
    latcl2.j $e |- .\/ = ( join ` K ) $.
    latcl2.m $e |- ./\ = ( meet ` K ) $.
    latcl2.k $e |- ( ph -> K e. Lat ) $.
    latcl2.x $e |- ( ph -> X e. B ) $.
    latcl2.y $e |- ( ph -> Y e. B ) $.
    $( The join and meet of any two elements exist.  (Contributed by NM,
       14-Sep-2018.) $)
    latcl2 $p |- ( ph ->
        ( <. X , Y >. e. dom .\/ /\ <. X , Y >. e. dom ./\ ) ) $=
      ( cop cdm wcel cxp wceq wa eleqtrrd opelxpd cpo islat simprld simprrd jca
      clat sylib ) AFGNZCOZPUIEOZPAUIBBQZUJAFGBBLMUAZADUBPZUJULRZUKULRZADUGPUNU
      OUPSSKBCDEHIJUCUHZUDTAUIULUKUMAUNUOUPUQUETUF $.
  $}

  ${
    latlem.b $e |- B = ( Base ` K ) $.
    latlem.j $e |- .\/ = ( join ` K ) $.
    latlem.m $e |- ./\ = ( meet ` K ) $.
    $( Lemma for lattice properties.  (Contributed by NM, 14-Sep-2011.) $)
    latlem $p |- ( ( K e. Lat /\ X e. B /\ Y e. B ) ->
           ( ( X .\/ Y ) e. B /\ ( X ./\ Y ) e. B ) ) $=
      ( clat wcel w3a co simp1 cdm wceq wa sylbi 3ad2ant1 eleqtrrd simp2 simprl
      simp3 cop cxp opelxpi 3adant1 cpo islat joincl simprr meetcl jca ) CJKZEA
      KZFAKZLZEFBMAKEFDMAKUQABCJEFGHUNUOUPNZUNUOUPUAZUNUOUPUCZUQEFUDZAAUEZBOZUO
      UPVAVBKUNEFAAUFUGZUNUOVCVBPZUPUNCUHKZVEDOZVBPZQQZVEABCDGHIUIZVFVEVHUBRSTU
      JUQACDJEFGIURUSUTUQVAVBVGVDUNUOVHUPUNVIVHVJVFVEVHUKRSTULUM $.
  $}

  $( A lattice is a poset.  (Contributed by NM, 17-Sep-2011.) $)
  latpos $p |- ( K e. Lat -> K e. Poset ) $=
    ( clat wcel cpo cjn cfv cdm cbs cxp wceq cmee wa eqid islat simplbi ) ABCAD
    CAEFZGAHFZQIZJAKFZGRJLQPASQMPMSMNO $.

  ${
    latjcl.b $e |- B = ( Base ` K ) $.
    latjcl.j $e |- .\/ = ( join ` K ) $.
    $( Closure of join operation in a lattice.  ( ~ chjcom analog.)
       (Contributed by NM, 14-Sep-2011.) $)
    latjcl $p |- ( ( K e. Lat /\ X e. B /\ Y e. B ) -> ( X .\/ Y ) e. B ) $=
      ( clat wcel w3a co cmee cfv eqid latlem simpld ) CHIDAIEAIJDEBKAIDECLMZKA
      IABCQDEFGQNOP $.
  $}

  ${
    latmcl.b $e |- B = ( Base ` K ) $.
    latmcl.m $e |- ./\ = ( meet ` K ) $.
    $( Closure of meet operation in a lattice.  ( ~ incom analog.)
       (Contributed by NM, 14-Sep-2011.) $)
    latmcl $p |- ( ( K e. Lat /\ X e. B /\ Y e. B ) -> ( X ./\ Y ) e. B ) $=
      ( clat wcel w3a cjn cfv co eqid latlem simprd ) BHIDAIEAIJDEBKLZMAIDECMAI
      AQBCDEFQNGOP $.
  $}

  ${
    latref.b $e |- B = ( Base ` K ) $.
    latref.l $e |- .<_ = ( le ` K ) $.
    $( A lattice ordering is reflexive.  ( ~ ssid analog.)  (Contributed by NM,
       8-Oct-2011.) $)
    latref $p |- ( ( K e. Lat /\ X e. B ) -> X .<_ X ) $=
      ( clat wcel cpo wbr latpos posref sylan ) BGHBIHDAHDDCJBKABCDEFLM $.

    $( A lattice ordering is asymmetric.  ( ~ eqss analog.)  (Contributed by
       NM, 22-Oct-2011.) $)
    latasymb $p |- ( ( K e. Lat /\ X e. B /\ Y e. B )
                -> ( ( X .<_ Y /\ Y .<_ X ) <-> X = Y ) ) $=
      ( clat wcel cpo wbr wa wceq wb latpos posasymb syl3an1 ) BHIBJIDAIEAIDECK
      EDCKLDEMNBOABCDEFGPQ $.

    $( A lattice ordering is asymmetric.  ( ~ eqss analog.)  (Contributed by
       NM, 8-Oct-2011.) $)
    latasym $p |- ( ( K e. Lat /\ X e. B /\ Y e. B )
                -> ( ( X .<_ Y /\ Y .<_ X ) -> X = Y ) ) $=
      ( clat wcel w3a wbr wa wceq latasymb biimpd ) BHIDAIEAIJDECKEDCKLDEMABCDE
      FGNO $.

    $( A lattice ordering is transitive.  ( ~ sstr analog.)  (Contributed by
       NM, 17-Nov-2011.) $)
    lattr $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) )
                -> ( ( X .<_ Y /\ Y .<_ Z ) -> X .<_ Z ) ) $=
      ( clat wcel cpo w3a wbr wa wi latpos postr sylan ) BIJBKJDAJEAJFAJLDECMEF
      CMNDFCMOBPABCDEFGHQR $.
  $}

  ${
    latasymd.b $e |- B = ( Base ` K ) $.
    latasymd.l $e |- .<_ = ( le ` K ) $.
    latasymd.3 $e |- ( ph -> K e. Lat ) $.
    latasymd.4 $e |- ( ph -> X e. B ) $.
    latasymd.5 $e |- ( ph -> Y e. B ) $.
    latasymd.6 $e |- ( ph -> X .<_ Y ) $.
    latasymd.7 $e |- ( ph -> Y .<_ X ) $.
    $( Deduce equality from lattice ordering.  ( ~ eqssd analog.)  (Contributed
       by NM, 18-Nov-2011.) $)
    latasymd $p |- ( ph -> X = Y ) $=
      ( wbr wceq clat wcel wa wb latasymb syl3anc mpbi2and ) AEFDNZFEDNZEFOZLMA
      CPQEBQFBQUCUDRUESIJKBCDEFGHTUAUB $.
  $}

  ${
    lattrd.b $e |- B = ( Base ` K ) $.
    lattrd.l $e |- .<_ = ( le ` K ) $.
    lattrd.1 $e |- ( ph -> K e. Lat ) $.
    lattrd.2 $e |- ( ph -> X e. B ) $.
    lattrd.3 $e |- ( ph -> Y e. B ) $.
    lattrd.4 $e |- ( ph -> Z e. B ) $.
    lattrd.5 $e |- ( ph -> X .<_ Y ) $.
    lattrd.6 $e |- ( ph -> Y .<_ Z ) $.
    $( A lattice ordering is transitive.  Deduction version of ~ lattr .
       (Contributed by NM, 3-Sep-2012.) $)
    lattrd $p |- ( ph -> X .<_ Z ) $=
      ( wbr clat wcel wa wi lattr syl13anc mp2and ) AEFDPZFGDPZEGDPZNOACQREBRFB
      RGBRUDUESUFTJKLMBCDEFGHIUAUBUC $.
  $}

  ${
    latjcom.b $e |- B = ( Base ` K ) $.
    latjcom.j $e |- .\/ = ( join ` K ) $.
    $( The join of a lattice commutes.  ( ~ chjcom analog.)  (Contributed by
       NM, 16-Sep-2011.) $)
    latjcom $p |- ( ( K e. Lat /\ X e. B /\ Y e. B ) -> ( X .\/ Y ) =
              ( Y .\/ X ) ) $=
      ( clat wcel w3a cop cdm wa co wceq cxp opelxpi 3adant1 cpo eleqtrrd islat
      cmee cfv eqid simprl sylbi 3ad2ant1 ancoms latpos joincom syl3anl1 mpdan
      jca ) CHIZDAIZEAIZJZDEKZBLZIZEDKZUSIZMZDEBNEDBNOZUQUTVBUQURAAPZUSUOUPURVE
      IUNDEAAQRUNUOUSVEOZUPUNCSIZVFCUBUCZLVEOZMMVFABCVHFGVHUDUAVGVFVIUEUFUGZTUQ
      VAVEUSUOUPVAVEIZUNUPUOVKEDAAQUHRVJTUMUNVGUOUPVCVDCUIABCDEFGUJUKUL $.
  $}

  ${
    latlej.b $e |- B = ( Base ` K ) $.
    latlej.l $e |- .<_ = ( le ` K ) $.
    latlej.j $e |- .\/ = ( join ` K ) $.
    $( A join's first argument is less than or equal to the join.  ( ~ chub1
       analog.)  (Contributed by NM, 17-Sep-2011.) $)
    latlej1 $p |- ( ( K e. Lat /\ X e. B /\ Y e. B )
            -> X .<_ ( X .\/ Y ) ) $=
      ( clat wcel w3a simp1 simp2 simp3 cop cdm cmee cfv eqid latcl2 lejoin1
      simpld ) CJKZEAKZFAKZLZABCDJEFGHIUDUEUFMZUDUEUFNZUDUEUFOZUGEFPZBQKUKCRSZQ
      KUGABCULEFGIULTUHUIUJUAUCUB $.

    $( A join's second argument is less than or equal to the join.  ( ~ chub2
       analog.)  (Contributed by NM, 17-Sep-2011.) $)
    latlej2 $p |- ( ( K e. Lat /\ X e. B /\ Y e. B )
            -> Y .<_ ( X .\/ Y ) ) $=
      ( clat wcel w3a simp1 simp2 simp3 cop cdm cmee cfv eqid latcl2 lejoin2
      simpld ) CJKZEAKZFAKZLZABCDJEFGHIUDUEUFMZUDUEUFNZUDUEUFOZUGEFPZBQKUKCRSZQ
      KUGABCULEFGIULTUHUIUJUAUCUB $.

    $( A join is less than or equal to a third value iff each argument is less
       than or equal to the third value.  ( ~ chlub analog.)  (Contributed by
       NM, 17-Sep-2011.) $)
    latjle12 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) )
                      -> ( ( X .<_ Z /\ Y .<_ Z ) <-> ( X .\/ Y ) .<_ Z ) ) $=
      ( clat wcel w3a wa cpo latpos adantr simpr1 simpr2 cdm cop cmee cfv simpl
      simpr3 eqid latcl2 simpld joinle ) CKLZEALZFALZGALZMZNZABCDEFGHIJUJCOLUNC
      PQUJUKULUMRZUJUKULUMSZUJUKULUMUEUOEFUAZBTLURCUBUCZTLUOABCUSEFHJUSUFUJUNUD
      UPUQUGUHUI $.

    $( "Less than or equal to" in terms of join.  ( ~ chlejb1 analog.)
       (Contributed by NM, 21-Oct-2011.) $)
    latleeqj1 $p |- ( ( K e. Lat /\ X e. B /\ Y e. B )
            -> ( X .<_ Y <-> ( X .\/ Y ) = Y ) ) $=
      ( clat wcel w3a wbr co wa wceq latref biantrud wb bitrd simp1 simp2 simp3
      3adant2 latjle12 syl13anc latlej2 latpos 3ad2ant1 latjcl posasymb syl3anc
      cpo ) CJKZEAKZFAKZLZEFDMZEFBNZFDMZFUSDMZOZUSFPZUQURUTVBUQURURFFDMZOZUTUQV
      DURUNUPVDUOACDFGHQUDRUQUNUOUPUPVEUTSUNUOUPUAUNUOUPUBUNUOUPUCZVFABCDEFFGHI
      UEUFTUQVAUTABCDEFGHIUGRTUQCUMKZUSAKUPVBVCSUNUOVGUPCUHUIABCEFGIUJVFACDUSFG
      HUKULT $.

    $( "Less than or equal to" in terms of join.  ( ~ chlejb2 analog.)
       (Contributed by NM, 14-Nov-2011.) $)
    latleeqj2 $p |- ( ( K e. Lat /\ X e. B /\ Y e. B )
            -> ( X .<_ Y <-> ( Y .\/ X ) = Y ) ) $=
      ( clat wcel w3a wbr co wceq latleeqj1 latjcom eqeq1d bitrd ) CJKEAKFAKLZE
      FDMEFBNZFOFEBNZFOABCDEFGHIPTUAUBFABCEFGIQRS $.

    $( Add join to both sides of a lattice ordering.  ( ~ chlej1i analog.)
       (Contributed by NM, 8-Nov-2011.) $)
    latjlej1 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) )
       -> ( X .<_ Y -> ( X .\/ Z ) .<_ ( Y .\/ Z ) ) ) $=
      ( clat wcel w3a wa wbr co latlej1 3adant3r1 wi simpl simpr1 simpr2 latjcl
      lattr syl13anc mpan2d latlej2 jctird simpr3 3jca latjle12 syldan sylibd
      wb ) CKLZEALZFALZGALZMZNZEFDOZEFGBPZDOZGVBDOZNZEGBPVBDOZUTVAVCVDUTVAFVBDO
      ZVCUOUQURVGUPABCDFGHIJQRUTUOUPUQVBALZVAVGNVCSUOUSTUOUPUQURUAZUOUPUQURUBUO
      UQURVHUPABCFGHJUCRZACDEFVBHIUDUEUFUOUQURVDUPABCDFGHIJUGRUHUOUSUPURVHMVEVF
      UNUTUPURVHVIUOUPUQURUIVJUJABCDEGVBHIJUKULUM $.

    $( Add join to both sides of a lattice ordering.  ( ~ chlej2i analog.)
       (Contributed by NM, 8-Nov-2011.) $)
    latjlej2 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) )
       -> ( X .<_ Y -> ( Z .\/ X ) .<_ ( Z .\/ Y ) ) ) $=
      ( clat wcel w3a wa wbr co latjlej1 wceq latjcom 3adant3r2 breq12d sylibd
      3adant3r1 ) CKLZEALZFALZGALZMNZEFDOEGBPZFGBPZDOGEBPZGFBPZDOABCDEFGHIJQUHU
      IUKUJULDUDUEUGUIUKRUFABCEGHJSTUDUFUGUJULRUEABCFGHJSUCUAUB $.

    $( Add join to both sides of a lattice ordering.  ( ~ chlej12i analog.)
       (Contributed by NM, 8-Nov-2011.) $)
    latjlej12 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B )
          /\ ( Z e. B /\ W e. B ) ) -> ( ( X .<_ Y /\ Z .<_ W )
             -> ( X .\/ Z ) .<_ ( Y .\/ W ) ) ) $=
      ( clat wcel wa wbr co wi syl13anc latjcl syl3anc w3a simp2l simp2r simp3l
      simp1 latjlej1 simp3r latjlej2 lattr syl2and ) CLMZFAMZGAMZNZHAMZEAMZNZUA
      ZFGDOZFHBPZGHBPZDOZHEDOZVAGEBPZDOZUTVDDOZURUKULUMUOUSVBQUKUNUQUEZUKULUMUQ
      UBZUKULUMUQUCZUKUNUOUPUDZABCDFGHIJKUFRURUKUOUPUMVCVEQVGVJUKUNUOUPUGZVIABC
      DHEGIJKUHRURUKUTAMZVAAMZVDAMZVBVENVFQVGURUKULUOVLVGVHVJABCFHIKSTURUKUMUOV
      MVGVIVJABCGHIKSTURUKUMUPVNVGVIVKABCGEIKSTACDUTVAVDIJUIRUJ $.

    $( An idiom to express that a lattice element differs from two others.
       (Contributed by NM, 28-May-2012.) $)
    latnlej $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B )
         /\ -. X .<_ ( Y .\/ Z ) ) -> ( X =/= Y /\ X =/= Z ) ) $=
      ( clat wcel wbr wne wa wceq 3adant3r1 breq1 syl5ibrcom necon3bd w3a co wn
      latlej1 latlej2 jcad 3impia ) CKLZEALZFALZGALZUAZEFGBUBZDMZUCZEFNZEGNZOUH
      ULOZUOUPUQURUNEFURUNEFPFUMDMZUHUJUKUSUIABCDFGHIJUDQEFUMDRSTURUNEGURUNEGPG
      UMDMZUHUJUKUTUIABCDFGHIJUEQEGUMDRSTUFUG $.

    $( An idiom to express that a lattice element differs from two others.
       (Contributed by NM, 19-Jul-2012.) $)
    latnlej1l $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B )
         /\ -. X .<_ ( Y .\/ Z ) ) -> X =/= Y ) $=
      ( clat wcel w3a co wbr wn wne latnlej simpld ) CKLEALFALGALMEFGBNDOPMEFQE
      GQABCDEFGHIJRS $.

    $( An idiom to express that a lattice element differs from two others.
       (Contributed by NM, 19-Jul-2012.) $)
    latnlej1r $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B )
         /\ -. X .<_ ( Y .\/ Z ) ) -> X =/= Z ) $=
      ( clat wcel w3a co wbr wn wne latnlej simprd ) CKLEALFALGALMEFGBNDOPMEFQE
      GQABCDEFGHIJRS $.

    $( An idiom to express that a lattice element differs from two others.
       (Contributed by NM, 10-Jul-2012.) $)
    latnlej2 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B )
         /\ -. X .<_ ( Y .\/ Z ) ) -> ( -. X .<_ Y /\ -. X .<_ Z ) ) $=
      ( wcel wbr wn wa 3adant3r1 wi lattr syl13anc mpan2d con3d clat co latlej1
      w3a simpl simpr1 simpr2 latjcl latlej2 simpr3 jcad 3impia ) CUAKZEAKZFAKZ
      GAKZUDZEFGBUBZDLZMZEFDLZMZEGDLZMZNUMUQNZUTVBVDVEVAUSVEVAFURDLZUSUMUOUPVFU
      NABCDFGHIJUCOVEUMUNUOURAKZVAVFNUSPUMUQUEZUMUNUOUPUFZUMUNUOUPUGUMUOUPVGUNA
      BCFGHJUHOZACDEFURHIQRSTVEVCUSVEVCGURDLZUSUMUOUPVKUNABCDFGHIJUIOVEUMUNUPVG
      VCVKNUSPVHVIUMUNUOUPUJVJACDEGURHIQRSTUKUL $.

    $( An idiom to express that a lattice element differs from two others.
       (Contributed by NM, 19-Jul-2012.) $)
    latnlej2l $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B )
         /\ -. X .<_ ( Y .\/ Z ) ) -> -. X .<_ Y ) $=
      ( clat wcel w3a co wbr wn latnlej2 simpld ) CKLEALFALGALMEFGBNDOPMEFDOPEG
      DOPABCDEFGHIJQR $.

    $( An idiom to express that a lattice element differs from two others.
       (Contributed by NM, 19-Jul-2012.) $)
    latnlej2r $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B )
         /\ -. X .<_ ( Y .\/ Z ) ) -> -. X .<_ Z ) $=
      ( clat wcel w3a co wbr wn latnlej2 simprd ) CKLEALFALGALMEFGBNDOPMEFDOPEG
      DOPABCDEFGHIJQR $.
  $}

  ${
    latjidm.b $e |- B = ( Base ` K ) $.
    latjidm.j $e |- .\/ = ( join ` K ) $.
    $( Lattice join is idempotent.  Analogue of ~ unidm .  (Contributed by NM,
       8-Oct-2011.) $)
    latjidm $p |- ( ( K e. Lat /\ X e. B ) -> ( X .\/ X ) = X ) $=
      ( clat wcel wa cple cfv co eqid simpl latjcl 3anidm23 simpr wbr latref wb
      latjle12 syl13anc mpbi2and latlej1 latasymd ) CGHZDAHZIZACCJKZDDBLZDEUIMZ
      UFUGNZUFUGUJAHABCDDEFOPUFUGQZUHDDUIRZUNUJDUIRZACUIDEUKSZUPUHUFUGUGUGUNUNI
      UOTULUMUMUMABCUIDDDEUKFUAUBUCUFUGDUJUIRABCUIDDEUKFUDPUE $.
  $}

  ${
    latmcom.b $e |- B = ( Base ` K ) $.
    latmcom.m $e |- ./\ = ( meet ` K ) $.
    $( The join of a lattice commutes.  (Contributed by NM, 6-Nov-2011.) $)
    latmcom $p |- ( ( K e. Lat /\ X e. B /\ Y e. B ) -> ( X ./\ Y ) =
              ( Y ./\ X ) ) $=
      ( clat wcel w3a cop cdm wa co wceq cxp opelxpi 3adant1 cpo eleqtrrd islat
      cjn cfv eqid simprr sylbi 3ad2ant1 ancoms latpos meetcom syl3anl1 mpdan
      jca ) BHIZDAIZEAIZJZDEKZCLZIZEDKZUSIZMZDECNEDCNOZUQUTVBUQURAAPZUSUOUPURVE
      IUNDEAAQRUNUOUSVEOZUPUNBSIZBUBUCZLVEOZVFMMVFAVHBCFVHUDGUAVGVIVFUEUFUGZTUQ
      VAVEUSUOUPVAVEIZUNUPUOVKEDAAQUHRVJTUMUNVGUOUPVCVDBUIABCDEFGUJUKUL $.
  $}

  ${
    latmle.b $e |- B = ( Base ` K ) $.
    latmle.l $e |- .<_ = ( le ` K ) $.
    latmle.m $e |- ./\ = ( meet ` K ) $.
    $( A meet is less than or equal to its first argument.  (Contributed by NM,
       21-Oct-2011.) $)
    latmle1 $p |- ( ( K e. Lat /\ X e. B /\ Y e. B )
            -> ( X ./\ Y ) .<_ X ) $=
      ( clat wcel w3a simp1 simp2 simp3 cop cjn cfv cdm eqid latcl2 lemeet1
      simprd ) BJKZEAKZFAKZLZABCDJEFGHIUDUEUFMZUDUEUFNZUDUEUFOZUGEFPZBQRZSKUKDS
      KUGAULBDEFGULTIUHUIUJUAUCUB $.

    $( A meet is less than or equal to its second argument.  (Contributed by
       NM, 21-Oct-2011.) $)
    latmle2 $p |- ( ( K e. Lat /\ X e. B /\ Y e. B )
            -> ( X ./\ Y ) .<_ Y ) $=
      ( clat wcel w3a simp1 simp2 simp3 cop cjn cfv cdm eqid latcl2 lemeet2
      simprd ) BJKZEAKZFAKZLZABCDJEFGHIUDUEUFMZUDUEUFNZUDUEUFOZUGEFPZBQRZSKUKDS
      KUGAULBDEFGULTIUHUIUJUAUCUB $.

    $( An element is less than or equal to a meet iff the element is less than
       or equal to each argument of the meet.  (Contributed by NM,
       21-Oct-2011.) $)
    latlem12 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) )
                      -> ( ( X .<_ Y /\ X .<_ Z ) <-> X .<_ ( Y ./\ Z ) ) ) $=
      ( clat wcel w3a wa cpo latpos adantr simpr2 simpr3 cdm simpr1 cop cjn cfv
      eqid simpl latcl2 simprd meetle ) BKLZEALZFALZGALZMZNZABCDFGEHIJUJBOLUNBP
      QUJUKULUMRZUJUKULUMSZUJUKULUMUAUOFGUBZBUCUDZTLURDTLUOAUSBDFGHUSUEJUJUNUFU
      PUQUGUHUI $.

    $( "Less than or equal to" in terms of meet.  (Contributed by NM,
       7-Nov-2011.) $)
    latleeqm1 $p |- ( ( K e. Lat /\ X e. B /\ Y e. B )
            -> ( X .<_ Y <-> ( X ./\ Y ) = X ) ) $=
      ( clat wcel w3a wbr co wa wceq latref biantrurd wb bitrd 3adant3 latlem12
      simp1 simp2 syl13anc latmle1 cpo latpos 3ad2ant1 latmcl posasymb syl3anc
      simp3 ) BJKZEAKZFAKZLZEFCMZEFDNZECMZEUSCMZOZUSEPZUQURVAVBUQUREECMZUROZVAU
      QVDURUNUOVDUPABCEGHQUARUQUNUOUOUPVEVASUNUOUPUCUNUOUPUDZVFUNUOUPUMABCDEEFG
      HIUBUETUQUTVAABCDEFGHIUFRTUQBUGKZUSAKUOVBVCSUNUOVGUPBUHUIABDEFGIUJVFABCUS
      EGHUKULT $.

    $( "Less than or equal to" in terms of meet.  (Contributed by NM,
       7-Nov-2011.) $)
    latleeqm2 $p |- ( ( K e. Lat /\ X e. B /\ Y e. B )
            -> ( X .<_ Y <-> ( Y ./\ X ) = X ) ) $=
      ( clat wcel w3a wbr co wceq latleeqm1 latmcom eqeq1d bitrd ) BJKEAKFAKLZE
      FCMEFDNZEOFEDNZEOABCDEFGHIPTUAUBEABDEFGIQRS $.

    $( Add meet to both sides of a lattice ordering.  (Contributed by NM,
       10-Nov-2011.) $)
    latmlem1 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) )
       -> ( X .<_ Y -> ( X ./\ Z ) .<_ ( Y ./\ Z ) ) ) $=
      ( clat wcel w3a wa wbr co latmle1 3adant3r2 wi simpl latmcl simpr1 simpr2
      lattr syl13anc mpand latmle2 jctird wb simpr3 3jca latlem12 syldan sylibd
      ) BKLZEALZFALZGALZMZNZEFCOZEGDPZFCOZVBGCOZNZVBFGDPCOZUTVAVCVDUTVBECOZVAVC
      UOUPURVGUQABCDEGHIJQRUTUOVBALZUPUQVGVANVCSUOUSTUOUPURVHUQABDEGHJUARZUOUPU
      QURUBUOUPUQURUCZABCVBEFHIUDUEUFUOUPURVDUQABCDEGHIJUGRUHUOUSVHUQURMVEVFUIU
      TVHUQURVIVJUOUPUQURUJUKABCDVBFGHIJULUMUN $.

    $( Add meet to both sides of a lattice ordering.  ( ~ sslin analog.)
       (Contributed by NM, 10-Nov-2011.) $)
    latmlem2 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) )
       -> ( X .<_ Y -> ( Z ./\ X ) .<_ ( Z ./\ Y ) ) ) $=
      ( clat wcel w3a wa wbr co latmlem1 wceq latmcom 3adant3r2 breq12d sylibd
      3adant3r1 ) BKLZEALZFALZGALZMNZEFCOEGDPZFGDPZCOGEDPZGFDPZCOABCDEFGHIJQUHU
      IUKUJULCUDUEUGUIUKRUFABDEGHJSTUDUFUGUJULRUEABDFGHJSUCUAUB $.

    $( Add join to both sides of a lattice ordering.  ( ~ ss2in analog.)
       (Contributed by NM, 10-Nov-2011.) $)
    latmlem12 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B )
          /\ ( Z e. B /\ W e. B ) ) -> ( ( X .<_ Y /\ Z .<_ W )
             -> ( X ./\ Z ) .<_ ( Y ./\ W ) ) ) $=
      ( clat wcel wa wbr co wi syl13anc latmcl syl3anc w3a simp2l simp2r simp3l
      simp1 latmlem1 simp3r latmlem2 lattr syl2and ) BLMZFAMZGAMZNZHAMZEAMZNZUA
      ZFGCOZFHDPZGHDPZCOZHECOZVAGEDPZCOZUTVDCOZURUKULUMUOUSVBQUKUNUQUEZUKULUMUQ
      UBZUKULUMUQUCZUKUNUOUPUDZABCDFGHIJKUFRURUKUOUPUMVCVEQVGVJUKUNUOUPUGZVIABC
      DHEGIJKUHRURUKUTAMZVAAMZVDAMZVBVENVFQVGURUKULUOVLVGVHVJABDFHIKSTURUKUMUOV
      MVGVIVJABDGHIKSTURUKUMUPVNVGVIVKABDGEIKSTABCUTVAVDIJUIRUJ $.
  $}

  ${
    latnlemlt.b $e |- B = ( Base ` K ) $.
    latnlemlt.l $e |- .<_ = ( le ` K ) $.
    latnlemlt.s $e |- .< = ( lt ` K ) $.
    latnlemlt.m $e |- ./\ = ( meet ` K ) $.
    $( Negation of "less than or equal to" expressed in terms of meet and
       less-than.  ( ~ nssinpss analog.)  (Contributed by NM, 5-Feb-2012.) $)
    latnlemlt $p |- ( ( K e. Lat /\ X e. B /\ Y e. B )
            -> ( -. X .<_ Y <-> ( X ./\ Y ) .< X ) ) $=
      ( clat wcel w3a co wne wbr wa wn latmle1 biantrurd latleeqm1 simp1 latmcl
      necon3bbid wb simp2 pltval syl3anc 3bitr4d ) CLMZFAMZGAMZNZFGEOZFPZUOFDQZ
      UPRZFGDQZSUOFBQZUNUQUPACDEFGHIKTUAUNUSUOFACDEFGHIKUBUEUNUKUOAMULUTURUFUKU
      LUMUCACEFGHKUDUKULUMUGLAABCDUOFIJUHUIUJ $.
  $}

  ${
    latnle.b $e |- B = ( Base ` K ) $.
    latnle.l $e |- .<_ = ( le ` K ) $.
    latnle.s $e |- .< = ( lt ` K ) $.
    latnle.j $e |- .\/ = ( join ` K ) $.
    $( Equivalent expressions for "not less than" in a lattice.  ( ~ chnle
       analog.)  (Contributed by NM, 16-Nov-2011.) $)
    latnle $p |- ( ( K e. Lat /\ X e. B /\ Y e. B )
       -> ( -. Y .<_ X <-> X .< ( X .\/ Y ) ) ) $=
      ( clat wcel w3a co wne wbr wa wceq wb wn biantrurd latleeqj1 3com23 eqcom
      latlej1 bitrdi latjcom eqeq2d bitr4d necon3bbid latjcl syld3an3 3bitr4d
      pltval ) DLMZFAMZGAMZNZFFGCOZPZFUTEQZVARZGFEQZUAFUTBQZUSVBVAACDEFGHIKUFUB
      USVDFUTUSVDFGFCOZSZFUTSUSVDVFFSZVGUPURUQVDVHTACDEGFHIKUCUDVFFUEUGUSUTVFFA
      CDFGHKUHUIUJUKUPUQURUTAMVEVCTACDFGHKULLAABDEFUTIJUOUMUN $.
  $}

  ${
    latmidm.b $e |- B = ( Base ` K ) $.
    latmidm.m $e |- ./\ = ( meet ` K ) $.
    $( Lattice meet is idempotent.  Analogue of ~ inidm .  (Contributed by NM,
       8-Nov-2011.) $)
    latmidm $p |- ( ( K e. Lat /\ X e. B ) -> ( X ./\ X ) = X ) $=
      ( clat wcel wa cple cfv co simpl latmcl 3anidm23 simpr wbr latmle1 latref
      eqid wb latlem12 syl13anc mpbi2and latasymd ) BGHZDAHZIZABBJKZDDCLZDEUITZ
      UFUGMZUFUGUJAHABCDDEFNOUFUGPZUFUGUJDUIQABUICDDEUKFROUHDDUIQZUNDUJUIQZABUI
      DEUKSZUPUHUFUGUGUGUNUNIUOUAULUMUMUMABUICDDDEUKFUBUCUDUE $.
  $}

  ${
    latabs1.b $e |- B = ( Base ` K ) $.
    latabs1.j $e |- .\/ = ( join ` K ) $.
    latabs1.m $e |- ./\ = ( meet ` K ) $.
    $( Lattice absorption law.  From definition of lattice in [Kalmbach] p. 14.
       ( ~ chabs1 analog.)  (Contributed by NM, 8-Nov-2011.) $)
    latabs1 $p |- ( ( K e. Lat /\ X e. B /\ Y e. B )
              -> ( X .\/ ( X ./\ Y ) ) = X ) $=
      ( clat wcel w3a co cple cfv wbr wceq eqid latmle1 wb latmcl 3com23 mpbid
      latleeqj2 syld3an3 ) CJKZEAKZFAKZLEFDMZECNOZPZEUIBMEQZACUJDEFGUJRZISUFUGU
      HUIAKZUKULTZACDEFGIUAUFUNUGUOABCUJUIEGUMHUDUBUEUC $.

    $( Lattice absorption law.  From definition of lattice in [Kalmbach] p. 14.
       ( ~ chabs2 analog.)  (Contributed by NM, 8-Nov-2011.) $)
    latabs2 $p |- ( ( K e. Lat /\ X e. B /\ Y e. B )
              -> ( X ./\ ( X .\/ Y ) ) = X ) $=
      ( clat wcel w3a co cple cfv wbr wceq eqid latlej1 wb latleeqm1 syld3an3
      latjcl mpbid ) CJKZEAKZFAKZLEEFBMZCNOZPZEUHDMEQZABCUIEFGUIRZHSUEUFUGUHAKU
      JUKTABCEFGHUCACUIDEUHGULIUAUBUD $.
  $}

  ${
    latledi.b $e |- B = ( Base ` K ) $.
    latledi.l $e |- .<_ = ( le ` K ) $.
    latledi.j $e |- .\/ = ( join ` K ) $.
    latledi.m $e |- ./\ = ( meet ` K ) $.
    $( An ortholattice is distributive in one ordering direction.  ( ~ ledi
       analog.)  (Contributed by NM, 7-Nov-2011.) $)
    latledi $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
                 ( ( X ./\ Y ) .\/ ( X ./\ Z ) ) .<_ ( X ./\ ( Y .\/ Z ) ) ) $=
      ( wcel w3a wa co wbr latmle1 3adant3r3 3adant3r2 latmcl latjle12 mpbi2and
      clat wb simpr1 syldan latmle2 wi simpr2 simpr3 latjlej12 syl122anc mp2and
      3jca simpl latjcl syl3anc 3adant3r1 latlem12 syl13anc ) CUDMZFAMZGAMZHAMZ
      NZOZFGEPZFHEPZBPZFDQZVJGHBPZDQZVJFVLEPDQZVGVHFDQZVIFDQZVKVBVCVDVOVEACDEFG
      IJLRSVBVCVEVPVDACDEFHIJLRTVBVFVHAMZVIAMZVCNVOVPOVKUEVGVQVRVCVBVCVDVQVEACE
      FGILUASZVBVCVEVRVDACEFHILUATZVBVCVDVEUFZUOABCDVHVIFIJKUBUGUCVGVHGDQZVIHDQ
      ZVMVBVCVDWBVEACDEFGIJLUHSVBVCVEWCVDACDEFHIJLUHTVGVBVQVDVRVEWBWCOVMUIVBVFU
      PZVSVBVCVDVEUJVTVBVCVDVEUKABCDHVHGVIIJKULUMUNVGVBVJAMZVCVLAMZVKVMOVNUEWDV
      GVBVQVRWEWDVSVTABCVHVIIKUQURWAVBVDVEWFVCABCGHIKUQUSACDEVJFVLIJLUTVAUC $.

    $( Ordering of a meet and join with a common variable.  (Contributed by NM,
       4-Oct-2012.) $)
    latmlej11 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
      ( X ./\ Y ) .<_ ( X .\/ Z ) ) $=
      ( clat wcel w3a wa co 3adant3r3 3adant3r2 wbr simpl latmcl simpr1 latmle1
      latjcl latlej1 lattrd ) CMNZFANZGANZHANZOZPACDFGEQZFFHBQZIJUHULUAUHUIUJUM
      ANUKACEFGILUBRUHUIUJUKUCUHUIUKUNANUJABCFHIKUESUHUIUJUMFDTUKACDEFGIJLUDRUH
      UIUKFUNDTUJABCDFHIJKUFSUG $.

    $( Ordering of a meet and join with a common variable.  (Contributed by NM,
       4-Oct-2012.) $)
    latmlej12 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
      ( X ./\ Y ) .<_ ( Z .\/ X ) ) $=
      ( clat wcel w3a wa co latmlej11 wceq latjcom 3adant3r2 breqtrd ) CMNZFANZ
      GANZHANZOPFGEQFHBQZHFBQZDABCDEFGHIJKLRUCUDUFUGUHSUEABCFHIKTUAUB $.

    $( Ordering of a meet and join with a common variable.  (Contributed by NM,
       4-Oct-2012.) $)
    latmlej21 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
      ( Y ./\ X ) .<_ ( X .\/ Z ) ) $=
      ( clat wcel w3a wa co wceq latmcom 3adant3r3 latmlej11 eqbrtrrd ) CMNZFAN
      ZGANZHANZOPFGEQZGFEQZFHBQDUCUDUEUGUHRUFACEFGILSTABCDEFGHIJKLUAUB $.

    $( Ordering of a meet and join with a common variable.  (Contributed by NM,
       4-Oct-2012.) $)
    latmlej22 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
      ( Y ./\ X ) .<_ ( Z .\/ X ) ) $=
      ( clat wcel w3a wa co wceq latmcom 3adant3r3 latmlej12 eqbrtrrd ) CMNZFAN
      ZGANZHANZOPFGEQZGFEQZHFBQDUCUDUEUGUHRUFACEFGILSTABCDEFGHIJKLUAUB $.
  $}

  ${
    lubsn.b $e |- B = ( Base ` K ) $.
    lubsn.u $e |- U = ( lub ` K ) $.
    $( The least upper bound of a singleton.  ( ~ chsupsn analog.)
       (Contributed by NM, 20-Oct-2011.) $)
    lubsn $p |- ( ( K e. Lat /\ X e. B ) -> ( U ` { X } ) = X ) $=
      ( clat wcel wa csn cfv cjn co cpr dfsn2 fveq2i eqid simpl simpr joinval
      eqtr4id latjidm eqtrd ) CGHZDAHZIZDJZBKZDDCLKZMZDUFUHDDNZBKUJUGUKBDOPUFBU
      ICGADDAFUIQZUDUERUDUESZUMTUAAUICDEULUBUC $.
  $}

  ${
    latjass.b $e |- B = ( Base ` K ) $.
    latjass.j $e |- .\/ = ( join ` K ) $.
    $( Lattice join is associative.  Lemma 2.2 in [MegPav2002] p. 362.
       ( ~ chjass analog.)  (Contributed by NM, 17-Sep-2011.) $)
    latjass $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
             ( ( X .\/ Y ) .\/ Z ) = ( X .\/ ( Y .\/ Z ) ) ) $=
      ( wcel wa co latjcl syl3anc wbr latlej1 latlej2 lattrd latjle12 syl13anc
      wb clat cple eqid simpl 3adant3r3 simpr3 simpr1 3adant3r1 simpr2 mpbi2and
      w3a cfv latasymd ) CUAIZDAIZEAIZFAIZUKZJZACCUBULZDEBKZFBKZDEFBKZBKZGUTUCZ
      UNURUDZUSUNVAAIZUQVBAIZVFUNUOUPVGUQABCDEGHLUEZUNUOUPUQUFZABCVAFGHLMZUSUNU
      OVCAIZVDAIZVFUNUOUPUQUGZUNUPUQVLUOABCEFGHLUHZABCDVCGHLMZUSVAVDUTNZFVDUTNZ
      VBVDUTNZUSDVDUTNZEVDUTNZVQUSUNUOVLVTVFVNVOABCUTDVCGVEHOMUSACUTEVCVDGVEVFU
      NUOUPUQUIZVOVPUNUPUQEVCUTNUOABCUTEFGVEHOUHUSUNUOVLVCVDUTNVFVNVOABCUTDVCGV
      EHPMZQUSUNUOUPVMVTWAJVQTVFVNWBVPABCUTDEVDGVEHRSUJUSACUTFVCVDGVEVFVJVOVPUN
      UPUQFVCUTNUOABCUTEFGVEHPUHWCQUSUNVGUQVMVQVRJVSTVFVIVJVPABCUTVAFVDGVEHRSUJ
      USDVBUTNZVCVBUTNZVDVBUTNZUSACUTDVAVBGVEVFVNVIVKUNUOUPDVAUTNUQABCUTDEGVEHO
      UEUSUNVGUQVAVBUTNVFVIVJABCUTVAFGVEHOMZQUSEVBUTNZFVBUTNZWEUSACUTEVAVBGVEVF
      WBVIVKUNUOUPEVAUTNUQABCUTDEGVEHPUEWGQUSUNVGUQWIVFVIVJABCUTVAFGVEHPMUSUNUP
      UQVHWHWIJWETVFWBVJVKABCUTEFVBGVEHRSUJUSUNUOVLVHWDWEJWFTVFVNVOVKABCUTDVCVB
      GVEHRSUJUM $.

    $( Swap 1st and 2nd members of lattice join.  ( ~ chj12 analog.)
       (Contributed by NM, 4-Jun-2012.) $)
    latj12 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
             ( X .\/ ( Y .\/ Z ) ) = ( Y .\/ ( X .\/ Z ) ) ) $=
      ( clat wcel w3a wa co wceq latjcom 3adant3r3 oveq1d latjass simpl simpr2
      simpr1 simpr3 syl13anc 3eqtr3d ) CIJZDAJZEAJZFAJZKZLZDEBMZFBMEDBMZFBMZDEF
      BMBMEDFBMBMZUJUKULFBUEUFUGUKULNUHABCDEGHOPQABCDEFGHRUJUEUGUFUHUMUNNUEUISU
      EUFUGUHTUEUFUGUHUAUEUFUGUHUBABCEDFGHRUCUD $.

    $( Swap 2nd and 3rd members of lattice join.  Lemma 2.2 in [MegPav2002]
       p. 362.  (Contributed by NM, 2-Dec-2011.) $)
    latj32 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
             ( ( X .\/ Y ) .\/ Z ) = ( ( X .\/ Z ) .\/ Y ) ) $=
      ( clat wcel w3a wa co wceq latjcom 3adant3r1 oveq2d latjass simpr1 simpr3
      simpr2 3jca syldan 3eqtr4d ) CIJZDAJZEAJZFAJZKZLZDEFBMZBMDFEBMZBMZDEBMFBM
      DFBMEBMZUJUKULDBUEUGUHUKULNUFABCEFGHOPQABCDEFGHRUEUIUFUHUGKUNUMNUJUFUHUGU
      EUFUGUHSUEUFUGUHTUEUFUGUHUAUBABCDFEGHRUCUD $.

    $( Swap 1st and 3rd members of lattice join.  (Contributed by NM,
       4-Jun-2012.) $)
    latj13 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
             ( X .\/ ( Y .\/ Z ) ) = ( Z .\/ ( Y .\/ X ) ) ) $=
      ( clat wcel w3a wa co wceq simpl simpr2 simpr3 latjcl latjcom syl3anc
      simpr1 latj32 syl13anc 3adant3r1 3eqtr4d ) CIJZDAJZEAJZFAJZKZLZEFBMZDBMZE
      DBMZFBMZDULBMZFUNBMZUKUFUHUIUGUMUONUFUJOZUFUGUHUIPZUFUGUHUIQZUFUGUHUIUAZA
      BCEFDGHUBUCUKUFUGULAJZUPUMNURVAUFUHUIVBUGABCEFGHRUDABCDULGHSTUKUFUIUNAJZU
      QUONURUTUKUFUHUGVCURUSVAABCEDGHRTABCFUNGHSTUE $.

    $( Swap 2nd and 3rd members of lattice join.  Lemma 2.2 in [MegPav2002]
       p. 362.  (Contributed by NM, 23-Jun-2012.) $)
    latj31 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
             ( ( X .\/ Y ) .\/ Z ) = ( ( Z .\/ Y ) .\/ X ) ) $=
      ( clat wcel w3a wa co wceq simpl simpr3 simpr1 latjcl latjcom syl3anc
      simpr2 latj12 syl13anc 3adant3r3 3eqtr4d ) CIJZDAJZEAJZFAJZKZLZFDEBMZBMZD
      FEBMZBMZULFBMZUNDBMZUKUFUIUGUHUMUONUFUJOZUFUGUHUIPZUFUGUHUIQZUFUGUHUIUAZA
      BCFDEGHUBUCUKUFULAJZUIUPUMNURUFUGUHVBUIABCDEGHRUDUSABCULFGHSTUKUFUNAJZUGU
      QUONURUKUFUIUHVCURUSVAABCFEGHRTUTABCUNDGHSTUE $.

    $( Rotate lattice join of 3 classes.  (Contributed by NM, 23-Jul-2012.) $)
    latjrot $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
             ( ( X .\/ Y ) .\/ Z ) = ( ( Z .\/ X ) .\/ Y ) ) $=
      ( clat wcel w3a wa co latj31 wceq simpl simpr3 simpr2 simpr1 latj32 eqtrd
      syl13anc ) CIJZDAJZEAJZFAJZKZLZDEBMFBMFEBMDBMZFDBMEBMZABCDEFGHNUHUCUFUEUD
      UIUJOUCUGPUCUDUEUFQUCUDUEUFRUCUDUEUFSABCFEDGHTUBUA $.

    $( Rearrangement of lattice join of 4 classes.  ( ~ chj4 analog.)
       (Contributed by NM, 14-Jun-2012.) $)
    latj4 $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B )
               /\ ( Z e. B /\ W e. B ) )
      -> ( ( X .\/ Y ) .\/ ( Z .\/ W ) ) = ( ( X .\/ Z ) .\/ ( Y .\/ W ) ) ) $=
      ( clat wcel wa w3a co wceq simp1 syl13anc latjcl syl3anc latjass 3eqtr4d
      simp2r simp3l simp3r latj12 oveq2d simp2l ) CJKZEAKZFAKZLZGAKZDAKZLZMZEFG
      DBNZBNZBNZEGFDBNZBNZBNZEFBNUPBNZEGBNUSBNZUOUQUTEBUOUHUJULUMUQUTOUHUKUNPZU
      HUIUJUNUBZUHUKULUMUCZUHUKULUMUDZABCFGDHIUEQUFUOUHUIUJUPAKZVBUROVDUHUIUJUN
      UGZVEUOUHULUMVHVDVFVGABCGDHIRSABCEFUPHITQUOUHUIULUSAKZVCVAOVDVIVFUOUHUJUM
      VJVDVEVGABCFDHIRSABCEGUSHITQUA $.

    $( Rotate lattice join of 4 classes.  (Contributed by NM, 11-Jul-2012.) $)
    latj4rot $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B )
               /\ ( Z e. B /\ W e. B ) )
      -> ( ( X .\/ Y ) .\/ ( Z .\/ W ) ) = ( ( W .\/ X ) .\/ ( Y .\/ Z ) ) ) $=
      ( clat wcel wa w3a co wceq simp1 simp3l simp3r latjcom syl3anc oveq2d jca
      latj4 syld3an3 simp2l oveq1d 3eqtrd ) CJKZEAKZFAKZLZGAKZDAKZLZMZEFBNZGDBN
      ZBNUPDGBNZBNZEDBNZFGBNZBNZDEBNZVABNUOUQURUPBUOUHULUMUQUROUHUKUNPZUHUKULUM
      QZUHUKULUMRZABCGDHISTUAUHUKUNUMULLUSVBOUOUMULVFVEUBABCGEFDHIUCUDUOUTVCVAB
      UOUHUIUMUTVCOVDUHUIUJUNUEVFABCEDHISTUFUG $.

    $( Lattice join distributes over itself.  (Contributed by NM,
       30-Jul-2012.) $)
    latjjdi $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
             ( X .\/ ( Y .\/ Z ) ) = ( ( X .\/ Y ) .\/ ( X .\/ Z ) ) ) $=
      ( clat wcel w3a wa co wceq simpr1 latjidm syldan oveq1d simpl simpr2
      simpr3 latj4 syl122anc eqtr3d ) CIJZDAJZEAJZFAJZKZLZDDBMZEFBMZBMZDULBMDEB
      MDFBMBMZUJUKDULBUEUIUFUKDNUEUFUGUHOZABCDGHPQRUJUEUFUFUGUHUMUNNUEUISUOUOUE
      UFUGUHTUEUFUGUHUAABCFDDEGHUBUCUD $.

    $( Lattice join distributes over itself.  (Contributed by NM,
       2-Aug-2012.) $)
    latjjdir $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
             ( ( X .\/ Y ) .\/ Z ) = ( ( X .\/ Z ) .\/ ( Y .\/ Z ) ) ) $=
      ( clat wcel w3a wa co wceq latjidm 3ad2antr3 oveq2d simpl simpr1 simpr2
      simpr3 latj4 syl122anc eqtr3d ) CIJZDAJZEAJZFAJZKZLZDEBMZFFBMZBMZUKFBMDFB
      MEFBMBMZUJULFUKBUEUFUHULFNUGABCFGHOPQUJUEUFUGUHUHUMUNNUEUIRUEUFUGUHSUEUFU
      GUHTUEUFUGUHUAZUOABCFDEFGHUBUCUD $.
  $}

  ${
    modle.b $e |- B = ( Base ` K ) $.
    modle.l $e |- .<_ = ( le ` K ) $.
    modle.j $e |- .\/ = ( join ` K ) $.
    modle.m $e |- ./\ = ( meet ` K ) $.
    $( The weak direction of the modular law (e.g., ~ pmod1i , ~ atmod1i1 )
       that holds in any lattice.  (Contributed by NM, 11-May-2012.) $)
    mod1ile $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
        ( X .<_ Z -> ( X .\/ ( Y ./\ Z ) ) .<_ ( ( X .\/ Y ) ./\ Z ) ) ) $=
      ( wcel wa wbr co syl3anc wb syl13anc mpbi2and clat simpll simplr1 simplr2
      w3a latlej1 latjcl simplr3 latlem12 latmlej12 latmle2 latmcl latjle12 ex
      simpr ) CUAMZFAMZGAMZHAMZUEZNZFHDOZFGHEPZBPFGBPZHEPZDOZVAVBNZFVEDOZVCVEDO
      ZVFVGFVDDOZVBVHVGUPUQURVJUPUTVBUBZUQURUSUPVBUCZUQURUSUPVBUDZABCDFGIJKUFQV
      AVBUOVGUPUQVDAMZUSVJVBNVHRVKVLVGUPUQURVNVKVLVMABCFGIKUGQZUQURUSUPVBUHZACD
      EFVDHIJLUISTVGVCVDDOZVCHDOZVIVGUPURUSUQVQVKVMVPVLABCDEGHFIJKLUJSVGUPURUSV
      RVKVMVPACDEGHIJLUKQVGUPVCAMZVNUSVQVRNVIRVKVGUPURUSVSVKVMVPACEGHILULQZVOVP
      ACDEVCVDHIJLUISTVGUPUQVSVEAMZVHVINVFRVKVLVTVGUPVNUSWAVKVOVPACEVDHILULQABC
      DFVCVEIJKUMSTUN $.

    $( The weak direction of the modular law (e.g., ~ pmod2iN ) that holds in
       any lattice.  (Contributed by NM, 11-May-2012.) $)
    mod2ile $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
        ( Z .<_ X -> ( ( X ./\ Y ) .\/ Z ) .<_ ( X ./\ ( Y .\/ Z ) ) ) ) $=
      ( wcel w3a wa wbr co wceq latmcom syl3anc clat simpll simplr3 simplr2 jca
      simplr1 3jca simpr mod1ile sylc oveq1d latmcl latjcom eqtrd oveq2d latjcl
      3brtr4d ex ) CUAMZFAMZGAMZHAMZNZOZHFDPZFGEQZHBQZFGHBQZEQZDPVDVEOZHGFEQZBQ
      ZHGBQZFEQZVGVIDVJUSVBVAUTNZOVEVLVNDPVJUSVOUSVCVEUBZVJVBVAUTUTVAVBUSVEUCZU
      TVAVBUSVEUDZUTVAVBUSVEUFZUGUEVDVEUHABCDEHGFIJKLUIUJVJVGVKHBQZVLVJVFVKHBVJ
      USUTVAVFVKRVPVSVRACEFGILSTUKVJUSVKAMZVBVTVLRVPVJUSVAUTWAVPVRVSACEGFILULTV
      QABCVKHIKUMTUNVJVIFVMEQZVNVJVHVMFEVJUSVAVBVHVMRVPVRVQABCGHIKUMTUOVJUSUTVM
      AMZWBVNRVPVSVJUSVBVAWCVPVQVRABCHGIKUPTACEFVMILSTUNUQUR $.
  $}

  ${
    latmass.b $e |- B = ( Base ` K ) $.
    latmass.m $e |- ./\ = ( meet ` K ) $.
    $( Lattice meet is associative.  (Contributed by Stefan O'Rear,
       30-Jan-2015.) $)
    latmass $p |- ( ( K e. Lat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
        ( ( X ./\ Y ) ./\ Z ) = ( X ./\ ( Y ./\ Z ) ) ) $=
      ( clat wcel codu cfv w3a co wceq eqid odulat odubas odujoin latjass sylan
      ) BIJBKLZIJDAJEAJFAJMDECNFCNDEFCNCNOUBBUBPZQACUBDEFAUBBUCGRUBCBUCHSTUA $.
  $}

  ${
    $d u v w x y z K $.  $d u v w x y z B $.  $d u v w x y z .\/ $.
    $d u v w x y z ./\ $.
    latdisd.b $e |- B = ( Base ` K ) $.
    latdisd.j $e |- .\/ = ( join ` K ) $.
    latdisd.m $e |- ./\ = ( meet ` K ) $.
    $( Lemma for ~ latdisd .  (Contributed by Stefan O'Rear, 30-Jan-2015.) $)
    latdisdlem $p |- ( K e. Lat ->
        ( A. u e. B A. v e. B A. w e. B ( u .\/ ( v ./\ w ) ) =
          ( ( u .\/ v ) ./\ ( u .\/ w ) ) ->
        A. x e. B A. y e. B A. z e. B ( x ./\ ( y .\/ z ) ) =
          ( ( x ./\ y ) .\/ ( x ./\ z ) ) ) ) $=
      ( wcel cv co wceq oveq1 oveq2d syl3anc clat wa wi latmcl 3adant3r3 simpr1
      wral w3a simpr3 oveq12d eqeq12d weq oveq2 oveq1d rspc3v imp simpl latjcom
      latabs1 eqtrd adantr simpr2 latjcl latmass syl13anc latabs2 3eqtrrd an32s
      eqtr3d ralrimivvva ex ) IUANZFOZEOZDOZJPZHPZVMVNHPZVMVOHPZJPZQZDGUGEGUGFG
      UGZAOZBOZCOZHPZJPZWCWDJPZWCWEJPZHPZQZCGUGBGUGAGUGVLWBUBWKABCGGGVLWCGNZWDG
      NZWEGNZUHZWBWKVLWOUBZWBUBZWJWHWCHPZWHWEHPZJPZWCWEWHHPZJPZWGWPWBWJWTQZWPWH
      GNZWLWNWBXCUCVLWLWMXDWNGIJWCWDKMUDUEZVLWLWMWNUFZVLWLWMWNUIZWAXCWHVPHPZWHV
      NHPZWHVOHPZJPZQWHWCVOJPZHPZWRXJJPZQFEDWHWCWEGGGVMWHQZVQXHVTXKVMWHVPHRXOVR
      XIVSXJJVMWHVNHRVMWHVOHRUJUKEAULZXHXMXKXNXPVPXLWHHVNWCVOJRZSXPXIWRXJJVNWCW
      HHUMUNUKDCULZXMWJXNWTXRXLWIWHHVOWEWCJUMSXRXJWSWRJVOWEWHHUMSUKUOTUPWPWTXBQ
      WBWPWRWCWSXAJWPWRWCWHHPZWCWPVLXDWLWRXSQVLWOUQZXEXFGHIWHWCKLURTVLWLWMXSWCQ
      WNGHIJWCWDKLMUSUEUTWPVLXDWNWSXAQXTXEXGGHIWHWEKLURTUJVAWQXBWCWEWCHPZWEWDHP
      ZJPZJPZWGWQXAYCWCJWPWBXAYCQZWPWNWLWMWBYEUCXGXFVLWLWMWNVBZWAYEWEVPHPZWEVNH
      PZWEVOHPZJPZQWEXLHPZYAYIJPZQFEDWEWCWDGGGFCULZVQYGVTYJVMWEVPHRYMVRYHVSYIJV
      MWEVNHRVMWEVOHRUJUKXPYGYKYJYLXPVPXLWEHXQSXPYHYAYIJVNWCWEHUMUNUKDBULZYKXAY
      LYCYNXLWHWEHVOWDWCJUMSYNYIYBYAJVOWDWEHUMSUKUOTUPSWPYDWGQWBWPWCYAJPZYBJPZY
      DWGWPVLWLYAGNZYBGNZYPYDQXTXFWPVLWNWLYQXTXGXFGHIWEWCKLVCTWPVLWNWMYRXTXGYFG
      HIWEWDKLVCTGIJWCYAYBKMVDVEWPYOWCYBWFJWPYOWCWCWEHPZJPZWCWPYAYSWCJWPVLWNWLY
      AYSQXTXGXFGHIWEWCKLURTSWPVLWLWNYTWCQXTXFXGGHIJWCWEKLMVFTUTWPVLWNWMYBWFQXT
      XGYFGHIWEWDKLURTUJVIVAUTVGVHVJVK $.

    $( In a lattice, joins distribute over meets if and only if meets
       distribute over joins; the distributive property is self-dual.
       (Contributed by Stefan O'Rear, 29-Jan-2015.) $)
    latdisd $p |- ( K e. Lat ->
        ( A. x e. B A. y e. B A. z e. B ( x .\/ ( y ./\ z ) ) =
          ( ( x .\/ y ) ./\ ( x .\/ z ) ) <->
        A. x e. B A. y e. B A. z e. B ( x ./\ ( y .\/ z ) ) =
          ( ( x ./\ y ) .\/ ( x ./\ z ) ) ) ) $=
      ( vu vv vw cv co wceq wral weq oveq1 eqeq12d clat wcel latdisdlem codu wi
      cfv eqid odulat odubas odujoin odumeet impbid oveq12d oveq2d oveq2 oveq1d
      syl cbvral3vw bitrdi ) FUAUBZANZBNZCNZGOEOVAVBEOVAVCEOGOPCDQBDQADQZKNZLNZ
      MNZEOZGOZVEVFGOZVEVGGOZEOZPZMDQLDQKDQZVAVBVCEOZGOZVAVBGOZVAVCGOZEOZPZCDQB
      DQADQUTVDVNKLMCBADEFGHIJUCUTFUDUFZUAUBVNVDUEWAFWAUGZUHABCMLKDGWAEDWAFWBHU
      IWAGFWBJUJWAEFWBIUKUCUQULVMVTVAVHGOZVAVFGOZVAVGGOZEOZPVAVBVGEOZGOZVQWEEOZ
      PKLMABCDDDKARZVIWCVLWFVEVAVHGSWJVJWDVKWEEVEVAVFGSVEVAVGGSUMTLBRZWCWHWFWIW
      KVHWGVAGVFVBVGESUNWKWDVQWEEVFVBVAGUOUPTMCRZWHVPWIVSWLWGVOVAGVGVCVBEUOUNWL
      WEVRVQEVGVCVAGUOUNTURUS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Complete lattices
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CLat $.

  $( Extend class notation with complete lattices. $)
  ccla $a class CLat $.

  $( Define the class of all complete lattices, where every subset of the base
     set has an LUB and a GLB. (Contributed by NM, 18-Oct-2012.)  (Revised by
     NM, 12-Sep-2018.) $)
  df-clat $a |- CLat = { p e. Poset | ( dom ( lub ` p ) = ~P ( Base ` p )
             /\ dom ( glb ` p ) = ~P ( Base ` p ) ) } $.

  ${
    $d l B $.  $d l G $.  $d l K $.  $d l U $.
    isclat.b $e |- B = ( Base ` K ) $.
    isclat.u $e |- U = ( lub ` K ) $.
    isclat.g $e |- G = ( glb ` K ) $.
    $( The predicate "is a complete lattice".  (Contributed by NM,
       18-Oct-2012.)  (Revised by NM, 12-Sep-2018.) $)
    isclat $p |- ( K e. CLat
             <-> ( K e. Poset /\ ( dom U = ~P B /\ dom G = ~P B ) ) ) $=
      ( vl club cfv cdm cbs cpw wceq cglb wa fveq2 eqtr4di dmeqd eqeq12d cv cpo
      ccla pweqd anbi12d df-clat elrab2 ) HUAZIJZKZUHLJZMZNZUHOJZKZULNZPBKZAMZN
      ZCKZURNZPHDUBUCUHDNZUMUSUPVAVBUJUQULURVBUIBVBUIDIJBUHDIQFRSVBUKAVBUKDLJAU
      HDLQERUDZTVBUOUTULURVBUNCVBUNDOJCUHDOQGRSVCTUEHUFUG $.
  $}

  $( A complete lattice is a poset.  (Contributed by NM, 8-Sep-2018.) $)
  clatpos $p |- ( K e. CLat -> K e. Poset ) $=
    ( ccla wcel cpo club cfv cdm cbs cpw wceq cglb wa eqid isclat simplbi ) ABC
    ADCAEFZGAHFZIZJAKFZGRJLQPSAQMPMSMNO $.

  ${
    clatlem.b $e |- B = ( Base ` K ) $.
    clatlem.u $e |- U = ( lub ` K ) $.
    clatlem.g $e |- G = ( glb ` K ) $.
    $( Lemma for properties of a complete lattice.  (Contributed by NM,
       14-Sep-2011.) $)
    clatlem $p |- ( ( K e. CLat /\ S C_ B ) ->
           ( ( U ` S ) e. B /\ ( G ` S ) e. B ) ) $=
      ( ccla wcel wss wa cfv simpl cpw cdm cbs fvexi wceq eleqtrrd elpw2 adantl
      biimpri cpo isclat biimpi adantr simprld lubcl simprrd glbcl jca ) EIJZBA
      KZLZBCMAJBDMAJUOABCEIFGUMUNNZUOBAOZCPZUNBUQJZUMUSUNBAAEQFRUAUCUBZUOEUDJZU
      RUQSZDPZUQSZUMVAVBVDLLZUNUMVEACDEFGHUEUFUGZUHTUIUOABDEIFHUPUOBUQVCUTUOVAV
      BVDVFUJTUKUL $.
  $}

  ${
    clatlubcl.b $e |- B = ( Base ` K ) $.
    clatlubcl.u $e |- U = ( lub ` K ) $.
    $( Any subset of the base set has an LUB in a complete lattice.
       (Contributed by NM, 14-Sep-2011.) $)
    clatlubcl $p |- ( ( K e. CLat /\ S C_ B ) -> ( U ` S ) e. B ) $=
      ( ccla wcel wss wa cfv cglb eqid clatlem simpld ) DGHBAIJBCKAHBDLKZKAHABC
      PDEFPMNO $.
    $( Any subset of the base set has an LUB in a complete lattice.
       (Contributed by NM, 13-Sep-2018.) $)
    clatlubcl2 $p |- ( ( K e. CLat /\ S C_ B ) -> S e. dom U ) $=
      ( ccla wcel wss wa cpw cdm cbs fvexi elpw2 biimpri adantl wceq cpo cglb
      cfv eqid isclat simprl sylbi adantr eleqtrrd ) DGHZBAIZJBAKZCLZUIBUJHZUHU
      LUIBAADMENOPQUHUKUJRZUIUHDSHZUMDTUAZLUJRZJJUMACUODEFUOUBUCUNUMUPUDUEUFUG
      $.
  $}

  ${
    clatglbcl.b $e |- B = ( Base ` K ) $.
    clatglbcl.g $e |- G = ( glb ` K ) $.
    $( Any subset of the base set has a GLB in a complete lattice.
       (Contributed by NM, 14-Sep-2011.) $)
    clatglbcl $p |- ( ( K e. CLat /\ S C_ B ) -> ( G ` S ) e. B ) $=
      ( ccla wcel wss wa club cfv eqid clatlem simprd ) DGHBAIJBDKLZLAHBCLAHABP
      CDEPMFNO $.
    $( Any subset of the base set has a GLB in a complete lattice.
       (Contributed by NM, 13-Sep-2018.) $)
    clatglbcl2 $p |- ( ( K e. CLat /\ S C_ B ) -> S e. dom G ) $=
      ( ccla wcel wss wa cpw cdm cbs fvexi elpw2 biimpri adantl wceq cpo club
      cfv eqid isclat simprr sylbi adantr eleqtrrd ) DGHZBAIZJBAKZCLZUIBUJHZUHU
      LUIBAADMENOPQUHUKUJRZUIUHDSHZDTUAZLUJRZUMJJUMAUOCDEUOUBFUCUNUPUMUDUEUFUG
      $.
  $}

  ${
    oduclatb.d $e |- D = ( ODual ` O ) $.
    $( Being a complete lattice is self-dual.  (Contributed by Stefan O'Rear,
       29-Jan-2015.) $)
    oduclatb $p |- ( O e. CLat <-> D e. CLat ) $=
      ( ccla wcel cvv c0 club cfv eqid codu cpo cdm wceq cglb wa eqeq1d anbi12d
      dmeqd isclat elex wn noel wss ssid base0 clatlubcl mpan2 mto fvprc eqtrid
      eleq1d mtbiri con4i cbs oduposb ancom odulub oduglb syl5bb odubas 3bitr4g
      cpw pm5.21nii ) BDEZBFEZADEZBDUAVFVGVFUBZVGGDEZVIGGHIZIZGEZVKUCVIGGUDVLGU
      EGGVJGUFVJJUGUHUIVHAGDVHABKIGCBKUJUKULUMUNVFBLEZBHIZMZBUOIZVCZNZBOIZMZVQN
      ZPZPALEZAHIZMZVQNZAOIZMZVQNZPZPVEVGVFVMWCWBWJABFCUPWBWAVRPVFWJVRWAUQVFWAW
      FVRWIVFVTWEVQVFVSWDAVSBFCVSJZURSQVFVOWHVQVFVNWGAVNBFCVNJZUSSQRUTRVPVNVSBV
      PJZWLWKTVPWDWGAVPABCWMVAWDJWGJTVBVD $.
  $}

  ${
    $d x y K $.
    $( A complete lattice is a lattice.  (Contributed by NM, 18-Sep-2011.)
       TODO: use ~ eqrelrdv2 to shorten proof and eliminate ~ joindmss and
       ~ meetdmss ? $)
    clatl $p |- ( K e. CLat -> K e. Lat ) $=
      ( vx vy cpo wcel cfv cdm wceq wa simpl a1i cv wi vex eleq2 syl5ibr adantl
      eqid cvv sylibrd club cbs cpw cglb cjn cmee ccla clat joindmss wrel relxp
      cxp cop cpr wss opelxp prss sylbb prex elpw sylibr joindef eqssd meetdmss
      relssdv ex meetdef anim12d imdistani isclat islat 3imtr4i ) ADEZAUAFZGZAU
      BFZUCZHZAUDFZGZVQHZIZIVMAUEFZGZVPVPULZHZAUFFZGZWEHZIZIAUGEAUHEVMWBWJVMVRW
      FWAWIVMVRWFVMVRIZWDWEWKVPWCADVPRZWCRZVMVRJZUIWKBCWEWDWEUJZWKVPVPUKZKWKBLZ
      CLZUMZWEEZWQWRUNZVOEZWSWDEVRWTXBMVMWTXBVRXAVQEZWTXAVPUOZXCWTWQVPEWRVPEIXD
      WQWRVPVPUPWQWRVPBNZCNZUQURXAVPWQWRUSUTVAZVOVQXAOPQWKVNWCADSWQWRSVNRZWMWNW
      QSEZWKXEKWRSEZWKXFKVBTVEVCVFVMWAWIVMWAIZWHWEXKVPAWGDWLWGRZVMWAJZVDXKBCWEW
      HWOXKWPKXKWTXAVTEZWSWHEWAWTXNMVMWTXNWAXCXGVTVQXAOPQXKVSAWGDSWQWRSVSRZXLXM
      XIXKXEKXJXKXFKVGTVEVCVFVHVIVPVNVSAWLXHXOVJVPWCAWGWLWMXLVKVL $.
  $}

  ${
    $d h .<_ $.  $d h x B $.  $d h x y H $.  $d h x y K $.  $d x y ph $.
    $d h x y S $.
    isglbd.b $e |- B = ( Base ` K ) $.
    isglbd.l $e |- .<_ = ( le ` K ) $.
    isglbd.g $e |- G = ( glb ` K ) $.
    isglbd.1 $e |- ( ( ph /\ y e. S ) -> H .<_ y ) $.
    isglbd.2 $e |- ( ( ph /\ x e. B /\ A. y e. S x .<_ y ) -> x .<_ H ) $.
    isglbd.3 $e |- ( ph -> K e. CLat ) $.
    isglbd.4 $e |- ( ph -> S C_ B ) $.
    isglbd.5 $e |- ( ph -> H e. B ) $.
    $( Properties that determine the greatest lower bound of a complete
       lattice.  (Contributed by Mario Carneiro, 19-Mar-2014.) $)
    isglbd $p |- ( ph -> ( G ` S ) = H ) $=
      ( vh wbr wral cfv cv wi wa crio ccla biid glbval wceq ralrimiva wcel 3exp
      ralrimiv wreu wss cdm clatglbcl2 syl2anc glbeu breq1 ralbidv breq2 imbi2d
      wb anbi12d riota2 mpbi2and eqtrd ) AEFUARUBZCUBZISZCETZBUBZVJISCETZVMVIIS
      ZUCZBDTZUDZRDUEZGAVRRCBDEFHIUFJKLVRUGZOPUHAGVJISZCETZVNVMGISZUCZBDTZVSGUI
      ZAWACEMUJAWDBDAVMDUKVNWCNULUMAGDUKVRRDUNWBWEUDZWFVDQAVRRCBDEFHIUFJKLVTOAH
      UFUKEDUOEFUPUKOPDEFHJLUQURUSVRWGRDGVIGUIZVLWBVQWEWHVKWACEVIGVJIUTVAWHVPWD
      BDWHVOWCVNVIGVMIVBVCVAVEVFURVGVH $.
  $}

  ${
    $d z B $.  $d y z K $.  $d y z S $.  $d y z U $.  $d y z .<_ $.
    lublem.b $e |- B = ( Base ` K ) $.
    lublem.l $e |- .<_ = ( le ` K ) $.
    lublem.u $e |- U = ( lub ` K ) $.
    $( Lemma for the least upper bound properties in a complete lattice.
       (Contributed by NM, 19-Oct-2011.) $)
    lublem $p |- ( ( K e. CLat /\ S C_ B ) -> ( A. y e. S y .<_ ( U ` S )
                  /\ A. z e. B ( A. y e. S y .<_ z -> ( U ` S ) .<_ z ) ) ) $=
      ( ccla wcel wss wa simpl clatlubcl2 lubprop ) FKLZDCMZNABCDEFGKHIJRSOCDEF
      HJPQ $.

    $d y z X $.
    $( The LUB of a complete lattice subset is an upper bound.  (Contributed by
       NM, 19-Oct-2011.) $)
    lubub $p |- ( ( K e. CLat /\ S C_ B /\ X e. S ) -> X .<_ ( U ` S ) ) $=
      ( vy vz ccla wcel wss cv cfv wbr wral wa wi lublem simpld rspccva stoic3
      breq1 ) DLMZBANZJOZBCPZEQZJBRZFBMFUIEQZUFUGSUKUHKOZEQJBRUIUMEQTKARJKABCDE
      GHIUAUBUJULJFBUHFUIEUEUCUD $.

    $( The LUB of a complete lattice subset is the least bound.  (Contributed
       by NM, 19-Oct-2011.) $)
    lubl $p |- ( ( K e. CLat /\ S C_ B /\ X e. B )
          -> ( A. y e. S y .<_ X -> ( U ` S ) .<_ X ) ) $=
      ( vz ccla wcel wss cv wbr wral cfv wi breq2 wa lublem simprd wceq ralbidv
      imbi12d rspccva stoic3 ) ELMZCBNZAOZKOZFPZACQZCDRZULFPZSZKBQZGBMUKGFPZACQ
      ZUOGFPZSZUIUJUAUKUOFPACQURAKBCDEFHIJUBUCUQVBKGBULGUDZUNUTUPVAVCUMUSACULGU
      KFTUEULGUOFTUFUGUH $.

    $d y B $.  $d y T $.
    $( Subset law for least upper bounds.  ( ~ chsupss analog.)  (Contributed
       by NM, 20-Oct-2011.) $)
    lubss $p |- ( ( K e. CLat /\ T C_ B /\ S C_ T )
          -> ( U ` S ) .<_ ( U ` T ) ) $=
      ( vy ccla wcel wss w3a cfv cv wbr wral simp1 sstr2 impcom 3adant1 3adant3
      clatlubcl 3jca simpl1 simpl2 ssel2 3ad2antl3 lubub syl3anc ralrimiva lubl
      wa sylc ) EKLZCAMZBCMZNZUPBAMZCDOZALZNJPZVAFQZJBRBDOVAFQUSUPUTVBUPUQURSUQ
      URUTUPURUQUTBCATUAUBUPUQVBURACDEGIUDUCUEUSVDJBUSVCBLZUNUPUQVCCLZVDUPUQURV
      EUFUPUQURVEUGURUPVEVFUQBCVCUHUIACDEFVCGHIUJUKULJABDEFVAGHIUMUO $.

    $( An element of a set is less than or equal to the least upper bound of
       the set.  (Contributed by NM, 21-Oct-2011.) $)
    lubel $p |- ( ( K e. CLat /\ X e. S /\ S C_ B ) -> X .<_ ( U ` S ) ) $=
      ( ccla wcel wss w3a csn cfv wceq clat wa clatl ssel lubsn 3impb wbr snssi
      impcom syl2an lubss syl3an3 3com23 eqbrtrrd ) DJKZFBKZBALZMFNZCOZFBCOZEUK
      ULUMUOFPZUKDQKFAKZUQULUMRDSUMULURBAFTUEACDFGIUAUFUBUKUMULUOUPEUCZULUKUMUN
      BLUSFBUDAUNBCDEGHIUGUHUIUJ $.
  $}

  ${
    $d x y z B $.  $d x y z .\/ $.  $d x y z K $.  $d x y z S $.  $d x y z T $.
    $d x y z U $.
    lubun.b $e |- B = ( Base ` K ) $.
    lubun.j $e |- .\/ = ( join ` K ) $.
    lubun.u $e |- U = ( lub ` K ) $.
    $( The LUB of a union.  (Contributed by NM, 5-Mar-2012.) $)
    lubun $p |- ( ( K e. CLat /\ S C_ B /\ T C_ B )
                      -> ( U ` ( S u. T ) ) = ( ( U ` S ) .\/ ( U ` T ) ) ) $=
      ( vy vx vz wcel wbr wral wi wa syl3anc syl2anc adantr ccla wss w3a cun cv
      cfv cple crio co eqid biid simp1 unss biimpi 3adant1 lubval clat 3ad2ant1
      clatl clatlubcl 3adant3 latjcl wceq simpl1 syl simpl2 simpr sseldd simpl3
      3adant2 lubel latlej1 lattrd ralrimiva latlej2 ralunb breq2 ralbidv rspcv
      sylanbrc imbi12d mpid imp ad2ant2rl lubl anim12d latjle12 syl13anc sylibd
      wb syl5bi adantrr latasymb mpbi2and ex elun jaodan sylan2b imbi2d anbi12d
      wo breq1 biimprcd impbid riota5 eqtrd ) FUAMZBAUBZCAUBZUCZBCUDZDUFJUEZKUE
      ZFUGUFZNZJXKOZXLLUEZXNNZJXKOZXMXQXNNZPZLAOZQZKAUHBDUFZCDUFZEUIZXJYCKJLAXK
      DFXNUAGXNUJZIYCUKXGXHXIULXHXIXKAUBZXGXHXIQYHBCAUMUNUOUPXJYCKAYFXJFUQMZYDA
      MZYEAMZYFAMZXGXHYIXIFUSZURZXGXHYJXIABDFGIUTZVAZXGXIYKXHACDFGIUTZVJZAEFYDY
      EGHVBZRZXJXMAMZQZYCXMYFVCZUUBYCUUCUUBYCQXMYFXNNZYFXMXNNZUUCXJYBUUDUUAXPXJ
      YBUUDXJYBXLYFXNNZJXKOZUUDXJUUFJBOUUFJCOUUGXJUUFJBXJXLBMZQZAFXNXLYDYFGYGUU
      IXGYIXGXHXIUUHVDZYMVEZUUIBAXLXGXHXIUUHVFZXJUUHVGZVHUUIXGXHYJUUJUULYOSZUUI
      YIYJYKYLUUKUUNUUIXGXIYKUUJXGXHXIUUHVIYQSZYSRUUIXGUUHXHXLYDXNNUUJUUMUULABD
      FXNXLGYGIVKRUUIYIYJYKYDYFXNNUUKUUNUUOAEFXNYDYEGYGHVLRVMZVNXJUUFJCXJXLCMZQ
      ZAFXNXLYEYFGYGXJYIUUQYNTZUURCAXLXGXHXIUUQVIZXJUUQVGZVHUURXGXIYKXGXHXIUUQV
      DZUUTYQSZXJYLUUQYTTUURXGUUQXIXLYEXNNUVBUVAUUTACDFXNXLGYGIVKRUURYIYJYKYEYF
      XNNUUSUURXGXHYJUVBXGXHXIUUQVFYOSUVCAEFXNYDYEGYGHVORVMZVNUUFJBCVPVTXJYLYBU
      UGUUDPZPYTYAUVELYFAXQYFVCZXSUUGXTUUDUVFXRUUFJXKXQYFXLXNVQVRXQYFXMXNVQWAVS
      VEWBWCWDUUBXPUUEYBUUBXPUUEXPXOJBOZXOJCOZQZUUBUUEXOJBCVPUUBUVIYDXMXNNZYEXM
      XNNZQZUUEUUBUVGUVJUVHUVKUUBXGXHUUAUVGUVJPXGXHXIUUAVDZXGXHXIUUAVFXJUUAVGZJ
      ABDFXNXMGYGIWERUUBXGXIUUAUVHUVKPUVMXGXHXIUUAVIUVNJACDFXNXMGYGIWERWFUUBYIY
      JYKUUAUVLUUEWJUUBXGYIUVMYMVEZXJYJUUAYPTXJYKUUAYRTUVNAEFXNYDYEXMGYGHWGWHWI
      WKWCWLUUBUUDUUEQUUCWJZYCUUBYIUUAYLUVPUVOUVNXJYLUUAYTTAFXNXMYFGYGWMRTWNWOX
      JUUCYCPZUUAXJUUGXSYFXQXNNZPZLAOZUVQXJUUFJXKXLXKMXJUUHUUQXAUUFXLBCWPXJUUHU
      UFUUQUUPUVDWQWRVNXJUVSLAXJXQAMZQZXSYDXQXNNZYEXQXNNZQZUVRXSXRJBOZXRJCOZQUW
      BUWEXRJBCVPUWBUWFUWCUWGUWDUWBXGXHUWAUWFUWCPXGXHXIUWAVDZXGXHXIUWAVFZXJUWAV
      GZJABDFXNXQGYGIWERUWBXGXIUWAUWGUWDPUWHXGXHXIUWAVIZUWJJACDFXNXQGYGIWERWFWK
      UWBYIYJYKUWAUWEUVRWJUWBXGYIUWHYMVEUWBXGXHYJUWHUWIYOSUWBXGXIYKUWHUWKYQSUWJ
      AEFXNYDYEXQGYGHWGWHWIVNUUCYCUUGUVTQUUCXPUUGYBUVTUUCXOUUFJXKXMYFXLXNVQVRUU
      CYAUVSLAUUCXTUVRXSXMYFXQXNXBWSVRWTXCSTXDXEXF $.
  $}

  ${
    $d y z B $.  $d y z G $.  $d y z K $.  $d y z .<_ $.  $d y z S $.
    clatglb.b $e |- B = ( Base ` K ) $.
    clatglb.l $e |- .<_ = ( le ` K ) $.
    clatglb.g $e |- G = ( glb ` K ) $.
    $( Properties of greatest lower bound of a complete lattice.  (Contributed
       by NM, 5-Dec-2011.) $)
    clatglb $p |- ( ( K e. CLat /\ S C_ B ) -> ( A. y e. S ( G ` S ) .<_ y
               /\ A. z e. B ( A. y e. S z .<_ y -> z .<_ ( G ` S ) ) ) ) $=
      ( ccla wcel wss wa simpl clatglbcl2 glbprop ) FKLZDCMZNABCDEFGKHIJRSOCDEF
      HJPQ $.

    $d y z X $.
    $( The greatest lower bound is the least element.  (Contributed by NM,
       5-Dec-2011.) $)
    clatglble $p |- ( ( K e. CLat /\ S C_ B /\ X e. S )
          -> ( G ` S ) .<_ X ) $=
      ( ccla wcel wss w3a simp1 cdm clatglbcl2 3adant3 simp3 glble ) DJKZBALZFB
      KZMABCDEJFGHITUAUBNTUABCOKUBABCDGIPQTUAUBRS $.

    $( Two ways of expressing "less than or equal to the greatest lower bound."
       (Contributed by NM, 5-Dec-2011.) $)
    clatleglb $p |- ( ( K e. CLat /\ X e. B /\ S C_ B )
     -> ( X .<_ ( G ` S ) <-> A. y e. S X .<_ y ) ) $=
      ( vz ccla wcel wss wbr cv wral wa wi breq1 w3a cfv clatglble 3expa simpl1
      3adantl2 clat clatl syl simpl2 clatglbcl 3adant2 adantr ssel 3ad2ant3 imp
      syl13anc mpan2d ralrimdva clatglb wceq ralbidv imbi12d rspccv simpl2im ex
      lattr com23 3imp impbid ) ELMZGBMZCBNZUAZGCDUBZFOZGAPZFOZACQZVNVPVRACVNVQ
      CMZRZVPVOVQFOZVRVKVMVTWBVLVKVMVTWBBCDEFVQHIJUCUDUFWAEUGMZVLVOBMZVQBMZVPWB
      RVRSWAVKWCVKVLVMVTUEEUHUIVKVLVMVTUJVNWDVTVKVMWDVLBCDEHJUKULUMVNVTWEVMVKVT
      WESVLCBVQUNUOUPBEFGVOVQHIVGUQURUSVKVLVMVSVPSZVKVMVLWFVKVMVLWFSZVKVMRWBACQ
      KPZVQFOZACQZWHVOFOZSZKBQWGAKBCDEFHIJUTWLWFKGBWHGVAZWJVSWKVPWMWIVRACWHGVQF
      TVBWHGVOFTVCVDVEVFVHVIVJ $.

    $d y T $.
    $( Subset law for greatest lower bound.  (Contributed by Mario Carneiro,
       16-Apr-2014.) $)
    clatglbss $p |- ( ( K e. CLat /\ T C_ B /\ S C_ T )
          -> ( G ` T ) .<_ ( G ` S ) ) $=
      ( vy ccla wcel wss w3a cfv wbr cv wral wa syl3anc simpl1 simpl2 clatglble
      simp3 sselda ralrimiva wb clatglbcl 3adant3 sstr ancoms 3adant1 clatleglb
      simp1 mpbird ) EKLZCAMZBCMZNZCDOZBDOFPZUTJQZFPZJBRZUSVCJBUSVBBLZSUPUQVBCL
      VCUPUQURVEUAUPUQURVEUBUSBCVBUPUQURUDUEACDEFVBGHIUCTUFUSUPUTALZBAMZVAVDUGU
      PUQURUNUPUQVFURACDEGIUHUIUQURVGUPURUQVGBCAUJUKULJABDEFUTGHIUMTUO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Distributive lattices
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c DLat $.

  $( The class of distributive lattices. $)
  cdlat $a class DLat $.

  ${
    $d k b j m x y z $.
    $( A _distributive lattice_ is a lattice in which meets distribute over
       joins, or equivalently ( ~ latdisd ) joins distribute over meets.
       (Contributed by Stefan O'Rear, 30-Jan-2015.) $)
    df-dlat $a |- DLat = { k e. Lat | [. ( Base ` k ) / b ].
        [. ( join ` k ) / j ]. [. ( meet ` k ) / m ]. A. x e. b A. y e. b
          A. z e. b ( x m ( y j z ) ) = ( ( x m y ) j ( x m z ) ) } $.
  $}

  ${
    $d k b j m x y z K $.  $d k b j m x y z B $.  $d k b j m x y z .\/ $.
    $d k b j m x y z ./\ $.
    isdlat.b $e |- B = ( Base ` K ) $.
    isdlat.j $e |- .\/ = ( join ` K ) $.
    isdlat.m $e |- ./\ = ( meet ` K ) $.
    $( Property of being a distributive lattice.  (Contributed by Stefan
       O'Rear, 30-Jan-2015.) $)
    isdlat $p |- ( K e. DLat <-> ( K e. Lat /\ A. x e. B A. y e. B A. z e. B
        ( x ./\ ( y .\/ z ) ) = ( ( x ./\ y ) .\/ ( x ./\ z ) ) ) ) $=
      ( vj vm vb cv co wceq wral cmee cfv wsbc cjn cbs clat cdlat fveq2 eqtr4di
      vk sbceqbid fvexi wb wa raleq raleqbi1dv simpr eqidd simpl oveqd oveq123d
      sbceq1d eqeq12d ralbidv 2ralbidv sylan9bb sbc3ie bitrdi df-dlat elrab2
      3impb ) ANZBNZCNZKNZOZLNZOZVIVJVNOZVIVKVNOZVLOZPZCMNZQZBVTQZAVTQZLUGNZRSZ
      TZKWDUASZTZMWDUBSZTZVIVJVKEOZGOZVIVJGOZVIVKGOZEOZPZCDQZBDQADQZUGFUCUDWDFP
      ZWJWCLGTZKETZMDTWRWSWHXAMWIDWSWIFUBSDWDFUBUEHUFWSWFWTKWGEWSWGFUASEWDFUAUE
      IUFWSWCLWEGWSWEFRSGWDFRUEJUFUSUHUHWCWRMKLDEGDFUBHUIEFUAIUIGFRJUIVTDPZVLEP
      ZVNGPZWCWRUJXBWCVSCDQZBDQZADQXCXDUKZWRWBXFAVTDWAXEBVTDVSCVTDULUMUMXGXEWQA
      BDDXGVSWPCDXGVOWLVRWOXGVIVIVMWKVNGXCXDUNZXGVIUOXGVLEVJVKXCXDUPZUQURXGVPWM
      VQWNVLEXIXGVNGVIVJXHUQXGVNGVIVKXHUQURUTVAVBVCVHVDVEABCKUGLMVFVG $.

    $d X x y z $.  $d Y x y z $.  $d Z x y z $.

    $( In a distributive lattice, meets distribute over joins.  (Contributed by
       Stefan O'Rear, 30-Jan-2015.) $)
    dlatmjdi $p |- ( ( K e. DLat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
        ( X ./\ ( Y .\/ Z ) ) = ( ( X ./\ Y ) .\/ ( X ./\ Z ) ) ) $=
      ( vx vy vz wcel cv co wceq wral oveq1 eqeq12d clat isdlat simprbi oveq12d
      cdlat w3a oveq2d oveq2 oveq1d rspc3v mpan9 ) CUENZKOZLOZMOZBPZDPZUMUNDPZU
      MUODPZBPZQZMARLARKARZEANFANGANUFEFGBPZDPZEFDPZEGDPZBPZQZULCUANVBKLMABCDHI
      JUBUCVAVHEUPDPZEUNDPZEUODPZBPZQEFUOBPZDPZVEVKBPZQKLMEFGAAAUMEQZUQVIUTVLUM
      EUPDSVPURVJUSVKBUMEUNDSUMEUODSUDTUNFQZVIVNVLVOVQUPVMEDUNFUOBSUGVQVJVEVKBU
      NFEDUHUITUOGQZVNVDVOVGVRVMVCEDUOGFBUHUGVRVKVFVEBUOGEDUHUGTUJUK $.
  $}

  ${
    $d K x y z $.
    $( A distributive lattice is a lattice.  (Contributed by Stefan O'Rear,
       30-Jan-2015.) $)
    dlatl $p |- ( K e. DLat -> K e. Lat ) $=
      ( vx vy vz cdlat wcel clat cjn cfv cmee wceq cbs wral eqid isdlat simplbi
      cv co ) AEFAGFBQZCQZDQZAHIZRAJIZRSTUCRSUAUCRUBRKDALIZMCUDMBUDMBCDUDUBAUCU
      DNUBNUCNOP $.
  $}

  ${
    $d K x y z $.  $d D x y z $.  $d V x y z $.
    odudlat.d $e |- D = ( ODual ` K ) $.
    $( The dual of a distributive lattice is a distributive lattice and
       conversely.  (Contributed by Stefan O'Rear, 30-Jan-2015.) $)
    odudlatb $p |- ( K e. V -> ( K e. DLat <-> D e. DLat ) ) $=
      ( vx vy vz wcel clat cv cjn cfv co cmee wceq wral wa cdlat eqid isdlat
      cbs latdisd bicomd pm5.32i odulatb anbi1d syl5bb odujoin odumeet 3bitr4g
      odubas ) BCHZBIHZEJZFJZGJZBKLZMBNLZMUNUOURMUNUPURMUQMOGBUALZPFUSPEUSPZQZA
      IHZUNUOUPURMUQMUNUOUQMUNUPUQMURMOGUSPFUSPEUSPZQZBRHARHVAUMVCQULVDUMUTVCUM
      VCUTEFGUSUQBURUSSZUQSZURSZUBUCUDULUMVBVCABCDUEUFUGEFGUSUQBURVEVFVGTEFGUSU
      RAUQUSABDVEUKAURBDVGUHAUQBDVFUITUJ $.
  $}

  ${
    dlatjmdi.b $e |- B = ( Base ` K ) $.
    dlatjmdi.j $e |- .\/ = ( join ` K ) $.
    dlatjmdi.m $e |- ./\ = ( meet ` K ) $.
    $( In a distributive lattice, joins distribute over meets.  (Contributed by
       Stefan O'Rear, 30-Jan-2015.) $)
    dlatjmdi $p |- ( ( K e. DLat /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
        ( X .\/ ( Y ./\ Z ) ) = ( ( X .\/ Y ) ./\ ( X .\/ Z ) ) ) $=
      ( cdlat wcel codu cfv w3a co wceq eqid odudlatb ibi odujoin odumeet sylan
      odubas dlatmjdi ) CKLZCMNZKLZEALFALGALOEFGDPBPEFBPEGBPDPQUFUHUGCKUGRZSTAD
      UGBEFGAUGCUIHUDUGDCUIJUAUGBCUIIUBUEUC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subset order structures
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c toInc $.

  $( Class function defining inclusion posets. $)
  cipo $a class toInc $.

  ${
    $d f o x y $.
    $( For any family of sets, define the poset of that family ordered by
       inclusion.  See ~ ipobas , ~ ipolerval , and ~ ipole for its contract.

       _EDITORIAL_:  I'm not thrilled with the name.  Any suggestions?
       (Contributed by Stefan O'Rear, 30-Jan-2015.)
       (New usage is discouraged.) $)
    df-ipo $a |- toInc = ( f e. _V |-> [_ { <. x , y >. |
            ( { x , y } C_ f /\ x C_ y ) } / o ]_
    ( { <. ( Base ` ndx ) , f >. , <. ( TopSet ` ndx ) , ( ordTop ` o ) >. } u.
      { <. ( le ` ndx ) , o >. , <. ( oc ` ndx ) , ( x e. f |->
           U. { y e. f | ( y i^i x ) = (/) } ) >. } ) ) $.
  $}

  $( The structure of ~ df-ipo is a structure defining indices up to 11.
     (Contributed by Mario Carneiro, 25-Oct-2015.) $)
  ipostr $p |- ( { <. ( Base ` ndx ) , B >. , <. ( TopSet ` ndx ) , J >. } u.
                 { <. ( le ` ndx ) , .<_ >. , <. ( oc ` ndx ) , ._|_ >. } )
               Struct <. 1 , ; 1 1 >. $=
    ( c1 c9 cc0 cdc cnx cbs cfv cop cts cpr cple coc 1nn basendx strle2 1nn0
    1lt9 9nn tsetndx 10nn plendx 0nn0 0lt1 declt decnncl ocndx 9lt10 strleun )
    EFEGHZEEHZIJKZALIMKZBLNIOKZCLIPKZDLNUOUPEFABQRUAUBUCSUQURUMUNCDUDUEEGETUFQU
    GUHEETQUIUJSUKUL $.

  ${
    $d f o x y F $.  $d x y I $.  $d f o .<_ $.  $d x y V $.  $d x y X $.
    $d x y Y $.
    ipoval.i $e |- I = ( toInc ` F ) $.
    ${
      ipoval.l $e |- .<_ = { <. x , y >. | ( { x , y } C_ F /\ x C_ y ) } $.
      $( Value of the inclusion poset.  (Contributed by Stefan O'Rear,
         30-Jan-2015.) $)
      ipoval $p |- ( F e. V -> I = ( { <. ( Base ` ndx ) , F >. ,
          <. ( TopSet ` ndx ) , ( ordTop ` .<_ ) >. } u.
        { <. ( le ` ndx ) , .<_ >. , <. ( oc ` ndx ) , ( x e. F |->
           U. { y e. F | ( y i^i x ) = (/) } ) >. } ) ) $=
        ( vf vo wcel cvv cnx cfv cop cpr cv wceq wa opeq2d cbs cts cple coc cin
        cordt c0 crab cuni cmpt cun elex cipo wss copab csb cxp xpex simpl prss
        vex sylibr ssopab2i df-xp sseqtrri ssexi a1i sseq2 anbi1d eqtr4di simpr
        opabbidv fveq2d preq12d id rabeq unieqd mpteq12dv adantr uneq12d df-ipo
        csbied2 prex unex fvmpt eqtrid syl ) CFKCLKZDMUANZCOZMUBNZEUFNZOZPZMUCN
        ZEOZMUDNZACBQZAQZUEUGRZBCUHZUIZUJZOZPZUKZRCFULWHDCUMNXFGICJWSWRPZIQZUNZ
        WSWRUNZSZABUOZWIXHOZWKJQZUFNZOZPZWOXNOZWQAXHWTBXHUHZUIZUJZOZPZUKZUPXFLU
        MXHCRZJXLEYDXFLXLLKYEXLXHXHUQZXHXHIVAZYGURXLWSXHKWRXHKSZABUOYFXKYHABXKX
        IYHXIXJUSWSWRXHAVABVAUTVBVCABXHXHVDVEVFVGYEXLXGCUNZXJSZABUOEYEXKYJABYEX
        IYIXJXHCXGVHVIVLHVJYEXNERZSZXQWNYCXEYLXMWJXPWMYLXHCWIYEYKUSTYLXOWLWKYLX
        NEUFYEYKVKZVMTVNYLXRWPYBXDYLXNEWOYMTYLYAXCWQYEYAXCRYKYEAXHXTCXBYEVOYEXS
        XAWTBXHCVPVQVRVSTVNVTWBABIJWAWNXEWJWMWCWPXDWCWDWEWFWG $.
    $}

    $( Base set of the inclusion poset.  (Contributed by Stefan O'Rear,
       30-Jan-2015.)  (Revised by Mario Carneiro, 25-Oct-2015.) $)
    ipobas $p |- ( F e. V -> F = ( Base ` I ) ) $=
      ( vx vy wcel cnx cbs cfv cop cts cv cpr wss wa copab cordt cple c1 coc c0
      cin wceq crab cuni cmpt cun cdc ipostr csn snsspr1 ssun1 sstri strfv eqid
      baseid ipoval fveq2d eqtr4d ) ACGZAHIJAKZHLJEMZFMZNAOVCVDOPEFQZRJZKZNZHSJ
      VEKHUAJEAVDVCUCUBUDFAUEUFUGZKNZUHZIJBIJAVKICTTTUIKAVFVEVIUJUQVBUKVHVKVBVG
      ULVHVJUMUNUOVABVKIEFABVECDVEUPURUSUT $.

    $( Relation of the inclusion poset.  (Contributed by Stefan O'Rear,
       30-Jan-2015.) $)
    ipolerval $p |- ( F e. V ->
          { <. x , y >. | ( { x , y } C_ F /\ x C_ y ) } = ( le ` I ) ) $=
      ( wcel cv cpr wss wa copab cnx cfv cop cple wceq cvv vex c1 cbs cts cordt
      coc cin c0 crab cuni cmpt cun simpl prss sylibr ssopab2i sseqtrri sqxpexg
      cxp df-xp ssexg sylancr cdc ipostr pleid csn snsspr1 ssun2 sstri syl eqid
      strfv ipoval fveq2d eqtr4d ) CEGZAHZBHZICJZVOVPJZKZABLZMUANCOMUBNVTUCNZOI
      ZMPNVTOZMUDNACVPVOUEUFQBCUGUHUIZOZIZUJZPNZDPNVNVTRGZVTWHQVNVTCCUQZJWJRGWI
      VTVOCGVPCGKZABLWJVSWKABVSVQWKVQVRUKVOVPCASBSULUMUNABCCURUOCEUPVTWJRUSUTVT
      WGPRTTTVAOCWAVTWDVBVCWCVDWFWGWCWEVEWFWBVFVGVJVHVNDWGPABCDVTEFVTVIVKVLVM
      $.

    ipole.l $e |- .<_ = ( le ` I ) $.
    $( Topology of the inclusion poset.  (Contributed by Mario Carneiro,
       24-Oct-2015.) $)
    ipotset $p |- ( F e. V -> ( ordTop ` .<_ ) = ( TopSet ` I ) ) $=
      ( vx vy wcel cv cpr wss cordt cfv cnx cop cts cple wceq c1 wa cbs coc cin
      copab c0 crab cuni cmpt cun cvv cdc ipostr tsetid csn snsspr2 ssun1 sstri
      fvex strfv ax-mp ipolerval eqtr4id fveq2d eqid ipoval 3eqtr4a ) ADIZGJZHJ
      ZKALVIVJLUAGHUEZMNZOUBNAPZOQNVLPZKZORNVKPOUCNGAVJVIUDUFSHAUGUHUIZPKZUJZQN
      ZCMNBQNVLUKIVLVSSVKMUSVLVRQUKTTTULPAVLVKVPUMUNVNUOVOVRVMVNUPVOVQUQURUTVAV
      HCVKMVHCBRNVKFGHABDEVBVCVDVHBVRQGHABVKDEVKVEVFVDVG $.

    $d .<_ x y $.  $d X x y $.  $d Y x y $.
    $( Weak order condition of the inclusion poset.  (Contributed by Stefan
       O'Rear, 30-Jan-2015.) $)
    ipole $p |- ( ( F e. V /\ X e. F /\ Y e. F ) -> ( X .<_ Y <-> X C_ Y ) ) $=
      ( vx vy wcel w3a cv cpr wss wa wbr wb wceq 3adant1 copab preq12 eqid cple
      sseq1d sseq12 anbi12d brabga cfv ipolerval breqd 3ad2ant1 prssi biantrurd
      eqtr4id 3bitr4d ) ADKZEAKZFAKZLZEFIMZJMZNZAOZVAVBOZPZIJUAZQZEFNZAOZEFOZPZ
      EFCQZVKURUSVHVLRUQVFVLIJEFVGAAVAESVBFSPZVDVJVEVKVNVCVIAVAVBEFUBUEVAEVBFUF
      UGVGUCUHTUQURVMVHRUSUQCVGEFUQCBUDUIVGHIJABDGUJUOUKULUTVJVKURUSVJUQEFAUMTU
      NUP $.
  $}

  ${
    ipolt.i $e |- I = ( toInc ` F ) $.
    ipolt.l $e |- .< = ( lt ` I ) $.
    $( Strict order condition of the inclusion poset.  (Contributed by Stefan
       O'Rear, 30-Jan-2015.) $)
    ipolt $p |- ( ( F e. V /\ X e. F /\ Y e. F ) -> ( X .< Y <-> X C. Y ) ) $=
      ( wcel w3a cple cfv wbr wne wa wss wpss eqid wb cvv anbi1d pltval 3adant1
      ipole cipo fvexi mp3an1 df-pss a1i 3bitr4d ) BDIZEBIZFBIZJZEFCKLZMZEFNZOZ
      EFPZUQOZEFAMZEFQZUNUPUSUQBCUODEFGUORZUDUAULUMVAURSZUKCTIULUMVDCBUEGUFTBBA
      CUOEFVCHUBUGUCVBUTSUNEFUHUIUJ $.
  $}

  ${
    $d F a b c $.  $d I a b c $.
    ipopos.i $e |- I = ( toInc ` F ) $.
    $( The inclusion poset on a family of sets is actually a poset.
       (Contributed by Stefan O'Rear, 30-Jan-2015.) $)
    ipopos $p |- I e. Poset $=
      ( va vb vc cvv wcel cpo cfv cipo a1i cv wa wbr wss wb ipole w3a anbi12d
      cple fvexi ipobas eqidd ssid 3anidm23 mpbiri weq 3com23 simpl simpr eqssd
      eqid syl6bi wi sstr 3adant3r3 3adant3r1 3adant3r2 3imtr4d isposd wn fvprc
      c0 eqtrid 0pos eqeltrdi pm2.61i ) AGHZBIHVIDEFABBUAJZGBGHVIBAKCUBLABGCUCV
      IVJUDVIDMZAHZNVKVKVJOZVKVKPZVKUEVIVLVMVNQABVJGVKVKCVJUMZRUFUGVIVLEMZAHZSZ
      VKVPVJOZVPVKVJOZNVKVPPZVPVKPZNZDEUHVRVSWAVTWBABVJGVKVPCVORZVIVQVLVTWBQABV
      JGVPVKCVORUITWCVKVPWAWBUJWAWBUKULUNVIVLVQFMZAHZSNZWAVPWEPZNZVKWEPZVSVPWEV
      JOZNVKWEVJOZWIWJUOWGVKVPWEUPLWGVSWAWKWHVIVLVQVSWAQWFWDUQVIVQWFWKWHQVLABVJ
      GVPWECVORURTVIVLWFWLWJQVQABVJGVKWECVORUSUTVAVIVBZBVDIWMBAKJVDCAKVCVEVFVGV
      H $.
  $}

  ${
    $d A w z $.  $d A x y $.  $d X w z $.  $d x z $.  $d y z $.
    $( Condition for a family of sets to be directed by inclusion.
       (Contributed by Stefan O'Rear, 2-Apr-2015.) $)
    isipodrs $p |- ( ( toInc ` A ) e. Dirset <-> ( A e. _V /\ A =/= (/) /\
            A. x e. A A. y e. A E. z e. A ( x u. y ) C_ z ) ) $=
      ( cipo cfv wcel cvv c0 wne cv wss wrex wral w3a cbs eqid wa wb anbi12d wn
      cdrs cun wceq drsbn0 neneqd fvprc fveq2d base0 eqtr4di nsyl2 cproset cple
      simp1 wbr isdrs cpo ipopos posprs mp1i 2thd ipobas neeq1 rexeq raleqbi1dv
      id syl simpll simplrl simpr ipole syl3anc simplrr unss rexbidva 2ralbidva
      bitrdi anbi2d bitr3d 3anass 3bitr4g syl5bb pm5.21nii ) DEFZUBGZDHGZWFDIJZ
      AKZBKZUCCKZLZCDMZBDNADNZOZWEWDPFZIUDWFWEWOIWOWDWOQZUEUFWFUAZWOIPFIWQWDIPD
      EUGUHUIUJUKWFWGWMUNWEWDULGZWOIJZWHWJWDUMFZUOZWIWJWTUOZRZCWOMZBWONZAWONZOZ
      WFWNABCWOWDWTWPWTQZUPWFWRWSXFRZRWFWGWMRZRXGWNWFWRWFXIXJWFWRWFWDUQGWRWFDWD
      WDQZURWDUSUTWFVFVAWFWGXCCDMZBDNZADNZRZXIXJWFDWOUDZXOXISDWDHXKVBXPWGWSXNXF
      DWOIVCXMXEADWOXLXDBDWOXCCDWOVDVEVETVGWFXNWMWGWFXLWLABDDWFWHDGZWIDGZRZRZXC
      WKCDXTWJDGZRZXCWHWJLZWIWJLZRWKYBXAYCXBYDYBWFXQYAXAYCSWFXSYAVHZWFXQXRYAVIX
      TYAVJZDWDWTHWHWJXKXHVKVLYBWFXRYAXBYDSYEWFXQXRYAVMYFDWDWTHWIWJXKXHVKVLTWHW
      IWJVNVQVOVPVRVSTWRWSXFVTWFWGWMVTWAWBWC $.

    $( Direction by inclusion as used here implies sethood.  (Contributed by
       Stefan O'Rear, 2-Apr-2015.) $)
    ipodrscl $p |- ( ( toInc ` A ) e. Dirset -> A e. _V ) $=
      ( vx vy vz cipo cfv cdrs wcel cvv c0 wne cv cun wss wrex isipodrs simp1bi
      wral ) AEFGHAIHAJKBLCLMDLNDAOCARBARBCDAPQ $.

    $( Finite upper bound property for directed collections of sets.
       (Contributed by Stefan O'Rear, 2-Apr-2015.) $)
    ipodrsfi $p |- ( ( ( toInc ` A ) e. Dirset /\ X C_ A /\ X e. Fin ) ->
        E. z e. A U. X C_ z ) $=
      ( vw cipo cfv cdrs wcel wss cfn w3a cv cple wbr wral wrex cvv 3ad2ant1 wa
      eqid cbs cuni simp2 ipodrscl ipobas syl sseqtrd drsdirfi syld3an2 rexeqdv
      wceq wb adantr sselda adantrl simprl ipole syl3anc anassrs unissb bitr4di
      ralbidva rexbidva bitr3d mpbid ) BEFZGHZCBIZCJHZKZDLZALZVFMFZNZDCOZAVFUAF
      ZPZCUBVLIZABPZVGCVPIVHVIVQVJCBVPVGVHVIUCZVGVHBVPUKZVIVGBQHZWABUDZBVFQVFTZ
      UEUFRZUGADVPVFVMCVPTVMTZUHUIVJVOABPVQVSVJVOABVPWEUJVJVOVRABVJVLBHZSZVOVKV
      LIZDCOVRWHVNWIDCVJWGVKCHZVNWIULZVJWGWJSZSWBVKBHZWGWKVJWBWLVGVHWBVIWCRUMVJ
      WJWMWGVJCBVKVTUNUOVJWGWJUPBVFVMQVKVLWDWFUQURUSVBDCVLUTVAVCVDVE $.

    $( The finite subsets of any set are directed by inclusion.  (Contributed
       by Stefan O'Rear, 2-Apr-2015.) $)
    fpwipodrs $p |- ( A e. V -> ( toInc ` ( ~P A i^i Fin ) ) e. Dirset ) $=
      ( vx vy vz wcel cpw cfn cin cvv c0 wne cv cun wss wrex wral cipo wa elin
      cfv cdrs pwexg inex1g syl 0elpw 0fin elini ne0i mp1i pwuncl ad2ant2r unfi
      ad2ant2l elind syl2anb ssid sseq2 rspcev sylancl rgen2 isipodrs syl3anbrc
      a1i ) ABFZAGZHIZJFZVGKLZCMZDMZNZEMZOZEVGPZDVGQCVGQZVGRUAUBFVEVFJFVHABUCVF
      HJUDUEKVGFVIVEKVFHAUFUGUHVGKUIUJVPVEVOCDVGVGVJVGFZVKVGFZSVLVGFZVLVLOZVOVQ
      VJVFFZVJHFZSZVKVFFZVKHFZSZVSVRVJVFHTVKVFHTWCWFSVFHVLWAWDVLVFFWBWEVJVKAUKU
      LWBWEVLHFWAWDVJVKUMUNUOUPVLUQVNVTEVLVGVMVLVLURUSUTVAVDCDEVGVBVC $.
  $}

  ${
    $d ph a b c u v $.  $d A a b c u v $.  $d A x y z $.  $d B a b c z $.
    $d B x y $.  $d F a b c u v $.  $d F x y z $.  $d a x y $.  $d b y $.
    ipodrsima.f $e |- ( ph -> F Fn ~P A ) $.
    ipodrsima.m $e |- ( ( ph /\ ( u C_ v /\ v C_ A ) ) ->
        ( F ` u ) C_ ( F ` v ) ) $.
    ipodrsima.d $e |- ( ph -> ( toInc ` B ) e. Dirset ) $.
    ipodrsima.s $e |- ( ph -> B C_ ~P A ) $.
    ipodrsima.a $e |- ( ph -> ( F " B ) e. V ) $.
    $( The monotone image of a directed set.  (Contributed by Stefan O'Rear,
       2-Apr-2015.) $)
    ipodrsima $p |- ( ph -> ( toInc ` ( F " B ) ) e. Dirset ) $=
      ( vz va vb vc cv wss wral wa vx vy cima cvv wcel c0 wne cun wrex cipo cfv
      cdrs elexd w3a isipodrs simp2d cpw wfn wceq wb fnimaeq0 syl2anc necon3bid
      sylib mpbird simp3d wi simplll simpr ad2antrr simprr sseldd elpwid adantr
      vex weq sseq12 sseq1 adantl anbi12d anbi2d syl2an imbi12d vtocl2 syl12anc
      fveq2 ex anim12d unss 3imtr3g anassrs reximdva ralimdva mpd uneq1 rexbidv
      sseq1d ralbidv ralima uneq2 sseq2 rexima bitrd syl3anbrc ) AFEUCZUDUEXEUF
      UGZUAQZUBQZUHZMQZRZMXEUIZUBXESZUAXESZXEUJUKULUEAXEGLUMAXFEUFUGZAEUDUEZXON
      QZOQZUHPQZRZPEUIZOESZNESZAEUJUKULUEXPXOYCUNJNOPEUOVDZUPAXEUFEUFAFDUQZURZE
      YERZXEUFUSEUFUSUTHKYEEFVAVBVCVEAXNXQFUKZXRFUKZUHZXSFUKZRZPEUIZOESZNESZAYC
      YOAXPXOYCYDVFAYBYNNEAXQEUEZTZYAYMOEYQXREUEZTXTYLPEYQYRXSEUEZXTYLVGYQYRYST
      ZTZXQXSRZXRXSRZTYHYKRZYIYKRZTXTYLUUAUUBUUDUUCUUEUUAUUBUUDUUAUUBTAUUBXSDRZ
      UUDAYPYTUUBVHUUAUUBVIUUAUUFUUBUUAXSDUUAEYEXSAYGYPYTKVJYQYRYSVKVLVMZVNACQZ
      BQZRZUUIDRZTZTZUUHFUKZUUIFUKZRZVGZAUUBUUFTZTZUUDVGCBXQXSNVOPVOZCNVPZBPVPZ
      TZUUMUUSUUPUUDUVCUULUURAUVCUUJUUBUUKUUFUUHXQUUIXSVQUVBUUKUUFUTZUVAUUIXSDV
      RZVSVTWAUVAUUNYHUSUUOYKUSZUUPUUDUTUVBUUHXQFWFUUIXSFWFZUUNYHUUOYKVQWBWCIWD
      WEWGUUAUUCUUEUUAUUCTAUUCUUFUUEAYPYTUUCVHUUAUUCVIUUAUUFUUCUUGVNUUQAUUCUUFT
      ZTZUUEVGCBXRXSOVOUUTCOVPZUVBTZUUMUVIUUPUUEUVKUULUVHAUVKUUJUUCUUKUUFUUHXRU
      UIXSVQUVBUVDUVJUVEVSVTWAUVJUUNYIUSUVFUUPUUEUTUVBUUHXRFWFUVGUUNYIUUOYKVQWB
      WCIWDWEWGWHXQXRXSWIYHYIYKWIWJWKWLWMWMWNAXNYHXHUHZXJRZMXEUIZUBXESZNESZYOAY
      FYGXNUVPUTHKXMUVOUANYEEFXGYHUSZXLUVNUBXEUVQXKUVMMXEUVQXIUVLXJXGYHXHWOWQWP
      WRWSVBAUVOYNNEAUVOYJXJRZMXEUIZOESZYNAYFYGUVOUVTUTHKUVNUVSUBOYEEFXHYIUSZUV
      MUVRMXEUWAUVLYJXJXHYIYHWTWQWPWSVBAUVSYMOEAYFYGUVSYMUTHKUVRYLMPYEEFXJYKYJX
      AXBVBWRXCWRXCVEUAUBMXEUOXD $.
  $}

  ${
    $d C s t x y $.  $d F s t x y $.  $d X s t x y $.  $d Y s t $.  $d S s $.
    $( An algebraic closure system satisfies ~ isacs3 .  (Contributed by Stefan
       O'Rear, 2-Apr-2015.) $)
    isacs3lem $p |- ( C e. ( ACS ` X ) -> ( C e. ( Moore ` X ) /\
          A. s e. ~P C ( ( toInc ` s ) e. Dirset -> U. s e. C ) ) ) $=
      ( vx vy cfv wcel cv cuni cpw wral wss cfn cin elpwid wrex ad2antrr adantl
      wa sstrd cacs cmre cipo cdrs acsmre cmrc mresspw syl sspwd sselda sspwuni
      wi sylib adantr elinel1 elinel2 fissuni syl2anc ad2antll ad3antrrr simprr
      unissd ad2antrl mrcssd simpl ipodrsfi syl3anc elpwi simprl sseldd mrcsscl
      eqid wel elssuni rexlimddv anassrs adantrr ralrimiva wb acsfiel mpbir2and
      adantlrr ex jca ) ABUAFGZABUBFGZCHZUCFUDGZWGIZAGZULZCAJZKABUEZWEWKCWLWEWG
      WLGZSZWHWJWOWHSZWJWIBLZDHZAUFFZFZWILZDWIJZMNZKZWOWQWHWOWGBJZLWQWOWGXEWEWL
      XEJWGWEAXEWEWFAXELWMABUGUHUIUJOWGBUKUMZUNWPXADXCWOWHWRXCGZXAWOWHXGSZSZWRE
      HZIZLZXAEWGJZMNZXGXLEXNPZWOWHXGWRWILZWRMGXOXGWRWIWRXBMUOOWRXBMUPWRWGEUQUR
      USXIXJXNGZXLSZSZWTXKWSFZWIXSAWRWSXKBWEWFWNXHXRWMUTWSVLZXIXQXLVAXSXKWIBXQX
      KWILXIXLXQXJWGXQXJWGXJXMMUOOZVBVCWOWQXHXRXFQTVDWOWHXRXTWILZXGWPXQYCXLWOWH
      XQYCWOWHXQSZSZXKWRLZYCDWGYDYFDWGPZWOYDWHXJWGLZXJMGZYGWHXQVEXQYHWHYBRXQYIW
      HXJXMMUPRDWGXJVFVGRYEDCVMZYFSZSZXTWRWIYLWFYFWRAGXTWRLWEWFWNYDYKWMUTYEYJYF
      VAYLWGAWRWOWGALZYDYKWNYMWEWGAVHRQYEYJYFVIVJAXKWSWRBYAVKVGYJXPYEYFWRWGVNVC
      TVOVPVQWBTVOVPVRWEWJWQXDSVSWNWHDAWIWSBYAVTQWAWCVRWD $.

    $( An algebraic closure system contains all directed unions of closed sets.
       (Contributed by Stefan O'Rear, 2-Apr-2015.) $)
    acsdrsel $p |- ( ( C e. ( ACS ` X ) /\ Y C_ C /\
          ( toInc ` Y ) e. Dirset ) -> U. Y e. C ) $=
      ( vs cacs cfv wcel wss cipo cdrs cuni wa cv cpw wceq fveq2 eleq1d imbi12d
      wi unieq wral cmre isacs3lem simprd adantr elpw2g biimpar rspcdva 3impia
      ) ABEFZGZCAHZCIFZJGZCKZAGZUKULLDMZIFZJGZUQKZAGZSZUNUPSDANZCUQCOZUSUNVAUPV
      DURUMJUQCIPQVDUTUOAUQCTQRUKVBDVCUAZULUKABUBFGVEABDUCUDUEUKCVCGULCAUJUFUGU
      HUI $.

    acsdrscl.f $e |- F = ( mrCls ` C ) $.
    $( In a closure system in which directed unions of closed sets are closed,
       closure commutes with directed unions.  (Contributed by Stefan O'Rear,
       2-Apr-2015.) $)
    isacs4lem $p |- ( ( C e. ( Moore ` X ) /\
          A. s e. ~P C ( ( toInc ` s ) e. Dirset -> U. s e. C ) ) ->
        ( C e. ( Moore ` X ) /\ A. t e. ~P ~P X ( ( toInc ` t ) e. Dirset ->
              ( F ` U. t ) = U. ( F " t ) ) ) ) $=
      ( vy vx cfv wcel cv cipo cdrs cuni wi cpw wral wceq wa wss elpwi ad2antrl
      cmre cima simpll mrcuni syl2anc cvv mrcf ffnd adantr simprl simprr mrcssd
      wfn cmrc fvexi imaex a1i ipodrsima adantlr fveq2 eleq1d unieq imbi12d crn
      simplr imassrn frnd sstrid elpw sylibr ad2antrr rspcdva mrcid eqtrd exp32
      mpd ralrimiv ex imdistani ) BDUCIJZEKZLIZMJZWCNZBJZOZEBPZQZAKZLIMJZWKNCIZ
      CWKUDZNZRZOZADPZPZQZWBWJWTWBWJSZWQAWSXAWKWSJZWLWPXAXBWLSZSZWMWOCIZWOXDWBW
      KWRTZWMXERWBWJXCUEZXBXFXAWLWKWRUAZUBBWKCDFUFUGXDWBWOBJZXEWORXGXDWNLIZMJZX
      IWBXCXKWJWBXCSZGHDWKCUHWBCWRUOXCWBWRBCBCDFUIZUJUKXLHKZGKZTZXODTZSZSBXNCXO
      DWBXCXRUEFXLXPXQULXLXPXQUMUNWBXBWLUMXBXFWBWLXHUBWNUHJXLCWKCBUPFUQURZUSUTV
      AXDWHXKXIOEWIWNWCWNRZWEXKWGXIXTWDXJMWCWNLVBVCXTWFWOBWCWNVDVCVEWBWJXCVGWBW
      NWIJZWJXCWBWNBTYAWBWNCVFBCWKVHWBWRBCXMVIVJWNBXSVKVLVMVNVRBWOCDFVOUGVPVQVS
      VTWA $.

    $( If closure commutes with directed unions, then the closure of a set is
       the closure of its finite subsets.  (Contributed by Stefan O'Rear,
       2-Apr-2015.) $)
    isacs5lem $p |- ( ( C e. ( Moore ` X ) /\
          A. t e. ~P ~P X ( ( toInc ` t ) e. Dirset ->
              ( F ` U. t ) = U. ( F " t ) ) ) -> ( C e. ( Moore ` X ) /\
          A. s e. ~P X ( F ` s ) = U. ( F " ( ~P s i^i Fin ) ) ) ) $=
      ( cfv wcel cv cipo cdrs cuni cima wceq wi cpw wral cfn wa cvv cmre unifpw
      cin fveq2i fpwipodrs mp1i fveq2 eleq1d unieq fveq2d imaeq2 unieqd eqeq12d
      vex imbi12d simplr wss inss1 elpwi sspwd adantl sstrid vpwex inex1 sylibr
      elpw adantlr rspcdva mpd eqtr3id ralrimiva ex imdistani ) BDUAGHZAIZJGZKH
      ZVOLZCGZCVOMZLZNZOZADPZPZQZEIZCGZCWGPZRUCZMZLZNZEWDQZVNWFWNVNWFSZWMEWDWOW
      GWDHZSZWHWJLZCGZWLWRWGCWGUBUDWQWJJGZKHZWSWLNZWGTHXAWQEUNWGTUEUFWQWCXAXBOA
      WEWJVOWJNZVQXAWBXBXCVPWTKVOWJJUGUHXCVSWSWAWLXCVRWRCVOWJUIUJXCVTWKVOWJCUKU
      LUMUOVNWFWPUPVNWPWJWEHZWFVNWPSZWJWDUQXDXEWJWIWDWIRURWPWIWDUQVNWPWGDWGDUSU
      TVAVBWJWDWIREVCVDVFVEVGVHVIVJVKVLVM $.

    $( In an algebraic closure system, closure commutes with directed unions.
       (Contributed by Stefan O'Rear, 2-Apr-2015.) $)
    acsdrscl $p |- ( ( C e. ( ACS ` X ) /\ Y C_ ~P X /\
          ( toInc ` Y ) e. Dirset ) -> ( F ` U. Y ) = U. ( F " Y ) ) $=
      ( vt vs cacs cfv wcel cpw cipo cdrs cuni cima wceq wa cv wi wral wss cmre
      fveq2 eleq1d fveq2d imaeq2 unieqd eqeq12d imbi12d isacs3lem isacs4lem syl
      unieq simprd adantr cdm cvv wb elfvdm pwexg elpw2g biimpar rspcdva 3impia
      3syl ) ACHIJZDCKZUAZDLIZMJZDNZBIZBDOZNZPZVFVHQFRZLIZMJZVPNZBIZBVPOZNZPZSZ
      VJVOSFVGKZDVPDPZVRVJWCVOWFVQVIMVPDLUCUDWFVTVLWBVNWFVSVKBVPDUMUEWFWAVMVPDB
      UFUGUHUIVFWDFWETZVHVFACUBIJZWGVFWHGRZLIMJWINAJSGAKTQWHWGQACGUJFABCGEUKULU
      NUOVFDWEJZVHVFCHUPZJVGUQJWJVHURACHUSCWKUTDVGUQVAVEVBVCVD $.

    $( A closure in an algebraic closure system is the union of the closures of
       finite subsets.  (Contributed by Stefan O'Rear, 2-Apr-2015.) $)
    acsficl $p |- ( ( C e. ( ACS ` X ) /\ S C_ X ) ->
        ( F ` S ) = U. ( F " ( ~P S i^i Fin ) ) ) $=
      ( vs vt cacs cfv wcel wa cv cpw cfn cin cima cuni wceq wral cipo wss pweq
      fveq2 ineq1d imaeq2d unieqd eqeq12d cmre wi isacs3lem isacs4lem isacs5lem
      cdrs 3syl simprd adantr cdm wb elfvdm elpw2g syl biimpar rspcdva ) ADHIJZ
      BDUAZKFLZCIZCVFMZNOZPZQZRZBCIZCBMZNOZPZQZRFDMZBVFBRZVGVMVKVQVFBCUCVSVJVPV
      SVIVOCVSVHVNNVFBUBUDUEUFUGVDVLFVRSZVEVDADUHIJZVTVDWAVFTIUMJVFQAJUIFAMSKWA
      GLZTIUMJWBQCICWBPQRUIGVRMSKWAVTKADFUJGACDFEUKGACDFEULUNUOUPVDBVRJZVEVDDHU
      QZJWCVEURADHUSBDWDUTVAVBVC $.

    $( A closure system is algebraic iff the closure of a generating set is the
       union of the closures of its finite subsets.  (Contributed by Stefan
       O'Rear, 2-Apr-2015.) $)
    isacs5 $p |- ( C e. ( ACS ` X ) <-> ( C e. ( Moore ` X ) /\
          A. s e. ~P X ( F ` s ) = U. ( F " ( ~P s i^i Fin ) ) ) ) $=
      ( vt cfv wcel cv cpw cima cuni wceq wral wa cipo cdrs wi 3syl wss cfn cin
      cacs cmre isacs3lem isacs4lem isacs5lem simpl elpwi mrcidb2 sylan2 adantr
      wb ciun simpr wfun mrcf ffun funiunfv ad2antrr eqtr4d sseq1d iunss bitrdi
      wf bitrd ex ralimdva imp isacs2 sylanbrc impbii ) ACUCGHZACUDGHZDIZBGZBVO
      JUAUBZKLZMZDCJZNZOZVMVNVOPGQHVOLAHRDAJNOVNFIZPGQHWCLBGBWCKLMRFVTJNOWBACDU
      EFABCDEUFFABCDEUGSWBVNVOAHZWCBGZVOTFVQNZUMZDVTNZVMVNWAUHVNWAWHVNVSWGDVTVN
      VOVTHZOZVSWGWJVSOZWDVPVOTZWFWJWDWLUMZVSWIVNVOCTWMVOCUIAVOBCEUJUKULWKWLFVQ
      WEUNZVOTWFWKVPWNVOWKVPVRWNWJVSUOVNWNVRMZWIVSVNVTABVEBUPWOABCEUQVTABURFVQB
      USSUTVAVBFVQWEVOVCVDVFVGVHVIFABCDEVJVKVL $.

    $( A closure system is algebraic iff closure commutes with directed unions.
       (Contributed by Stefan O'Rear, 2-Apr-2015.) $)
    isacs4 $p |- ( C e. ( ACS ` X ) <-> ( C e. ( Moore ` X ) /\
          A. s e. ~P ~P X ( ( toInc ` s ) e. Dirset ->
              ( F ` U. s ) = U. ( F " s ) ) ) ) $=
      ( vt cacs cfv wcel cmre cv cipo cdrs cuni cima wceq wi cpw wral wa isacs5
      isacs3lem isacs4lem syl cfn cin isacs5lem sylibr impbii ) ACGHIZACJHIZDKZ
      LHMIULNBHBULONPQDCRZRSTZUJUKFKZLHMIUONAIQFARSTUNACFUBDABCFEUCUDUNUKUOBHBU
      ORUEUFONPFUMSTUJDABCFEUGABCFEUAUHUI $.
  $}

  ${
    $d C s t $.  $d X s t $.
    $( A closure system is algebraic iff directed unions of closed sets are
       closed.  (Contributed by Stefan O'Rear, 2-Apr-2015.) $)
    isacs3 $p |- ( C e. ( ACS ` X ) <-> ( C e. ( Moore ` X ) /\
          A. s e. ~P C ( ( toInc ` s ) e. Dirset -> U. s e. C ) ) ) $=
      ( vt cacs cfv wcel cmre cv cipo cdrs cuni wi cpw wral isacs3lem cmrc cima
      wa wceq eqid isacs4lem isacs4 sylibr impbii ) ABEFGZABHFGZCIZJFKGUHLAGMCA
      NOSZABCPUIUGDIZJFKGUJLAQFZFUKUJRLTMDBNNOSUFDAUKBCUKUAZUBAUKBDULUCUDUE $.
  $}

  ${
    acsficld.1 $e |- ( ph -> A e. ( ACS ` X ) ) $.
    acsficld.2 $e |- N = ( mrCls ` A ) $.
    acsficld.3 $e |- ( ph -> S C_ X ) $.
    $( In an algebraic closure system, the closure of a set is the union of the
       closures of its finite subsets.  Deduction form of ~ acsficl .
       (Contributed by David Moews, 1-May-2017.) $)
    acsficld $p |- ( ph -> ( N ` S ) = U. ( N " ( ~P S i^i Fin ) ) ) $=
      ( cacs cfv wcel wss cpw cfn cin cima cuni wceq acsficl syl2anc ) ABEIJKCE
      LCDJDCMNOPQRFHBCDEGST $.

    $d S x $.  $d A w z $.  $d w X z $.  $d w z N $.  $d x Y $.  $d x N $.
    $( In an algebraic closure system, an element is in the closure of a set if
       and only if it is in the closure of a finite subset.  Alternate form of
       ~ acsficl .  Deduction form.  (Contributed by David Moews,
       1-May-2017.) $)
    acsficl2d $p |- ( ph -> ( Y e. ( N ` S ) <->
                              E. x e. ( ~P S i^i Fin ) Y e. ( N ` x ) ) ) $=
      ( vz vw cfv wcel cpw cfn cin cima cv wfun cuni wrex acsficld cmre acsmred
      eleq2d wb crab cint cmpt funmpt mrcfval funeqd mpbiri eluniima 3syl bitrd
      wss ) AGDEMZNGEDOPQZRUAZNZGBSEMNBUTUBZAUSVAGACDEFHIJUCUFACFUDMNZETZVBVCUG
      ACFHUEVDVEKFOZKSLSURLCUHUIZUJZTKVFVGUKVDEVHKCEFLIULUMUNBUTGEUOUPUQ $.
  $}

  ${
    $d A x $.  $d s S t x $.  $d s t x ph $.  $d s t x I $.  $d s t N $.
    acsfiindd.1 $e |- ( ph -> A e. ( ACS ` X ) ) $.
    acsfiindd.2 $e |- N = ( mrCls ` A ) $.
    acsfiindd.3 $e |- I = ( mrInd ` A ) $.
    acsfiindd.4 $e |- ( ph -> S C_ X ) $.
    $( In an algebraic closure system, a set is independent if and only if all
       its finite subsets are independent.  Part of Proposition 4.1.3 in
       [FaureFrolicher] p. 83.  (Contributed by David Moews, 1-May-2017.) $)
    acsfiindd $p |- ( ph -> ( S e. I <-> ( ~P S i^i Fin ) C_ I ) ) $=
      ( vs vt wcel cfn wss wa cfv simpr adantr wn vx cpw cin wral cmre ad2antrr
      cv acsmred simplr elin1d elpwid mrissmrid ralrimiva dfss3 sylibr csn cdif
      cun elfpw sylib simpld difss2d snssd unssd simprd snfi unfi sylanbrc wceq
      sylancl ad4antr simpllr snidg 3syl eleqtrrd ismri2dad ad3antrrr neldifsnd
      elun2 ssneldd difsnb ssun1 sseqtrrid ssdifd eqsstrrd sstrd eqsstrd mrcssd
      wi ssdifssd sseld mtod rspcimdv syl5bi impancom ralrimiv acsficl2d notbid
      ex wb wrex ralnex bitr4di mpbird an32s ismri2dd impbida ) ACDMZCUBZNUCZDO
      ZAXHPZKUGZDMZKXJUDZXKXLXNKXJXLXMXJMZPZBCXMDEFABFUEQMZXHXPABFGUHZUFHIAXHXP
      UIXQXMCXQXINXMXLXPRUJUKULUMKXJDUNZUOAXKPZUABCDEFHIAXRXKXSSACFOZXKJSYAUAUG
      ZCYCUPZUQZEQMZTZUACAYCCMZXKYGAYHPZXKPZYGYCLUGZEQZMZTZLYEUBNUCZUDZYJYNLYOY
      IYKYOMZXKYNXKXOYIYQPZYNXTYRXNYNKYKYDURZXJYRYSCOZYSNMZYSXJMYRYKYDCYRYKCYDY
      RYKYEOZYKNMZYRYQUUBUUCPYIYQRYKYEUSUTZVAZVBYRYCCAYHYQUIVCVDZYRUUCYDNMUUAYR
      UUBUUCUUDVEYCVFYKYDVGVJYSCUSVHYRXMYSVIZPZXNYNUUHXNPZYMYCXMYDUQZEQZMZUUIBX
      MDEFYCHIAXRYHYQUUGXNXSVKUUHXNRUUHYCXMMXNUUHYCYSXMUUHYHYCYDMYCYSMAYHYQUUGV
      LYCCVMYCYDYKVSVNYRUUGRZVOSVPUUHYMUULWIXNUUHYLUUKYCUUHBYKEUUJFAXRYHYQUUGXS
      VQHUUHYKYKYDUQZUUJUUHYCYKMTUUNYKVIUUHYKYEYCYRUUBUUGUUESUUHYCCVRVTYCYKWAUT
      UUHYKXMYDUUHYSYKXMYKYDWBUUMWCWDWEUUHXMFYDUUHXMYSFUUMUUHYSCFYRYTUUGUUFSAYB
      YHYQUUGJVQWFWGWJWHWKSWLWSWMWNWOWPAYGYPWTYHXKAYGYMLYOXAZTYPAYFUUOALBYEEFYC
      GHACFYDJWJWQWRYMLYOXBXCUFXDXEUMXFXG $.
  $}

  ${
    $d T f x $.  $d f x ph $.  $d S f x y $.  $d f x y N $.
    acsmapd.1 $e |- ( ph -> A e. ( ACS ` X ) ) $.
    acsmapd.2 $e |- N = ( mrCls ` A ) $.
    acsmapd.3 $e |- ( ph -> S C_ X ) $.
    acsmapd.4 $e |- ( ph -> T C_ ( N ` S ) ) $.
    $( In an algebraic closure system, if ` T ` is contained in the closure of
       ` S ` , there is a map ` f ` from ` T ` into the set of finite subsets
       of ` S ` such that the closure of ` U. ran f ` contains ` T ` .  This is
       proven by applying ~ acsficl2d to each element of ` T ` .  See Section
       II.5 in [Cohn] p. 81 to 82.  (Contributed by David Moews,
       1-May-2017.) $)
    acsmapd $p |- ( ph -> E. f
                   ( f : T --> ( ~P S i^i Fin ) /\ T C_ ( N ` U. ran f ) ) ) $=
      ( vx vy cv cfv wcel wral wa cuni wss cpw cfn cin wf wex crn cvv wrex fvex
      ssex syl sseld acsficl2d sylibd ralrimiv wceq fveq2 eleq2d sylc simprl wi
      ac6sg wal nfv nfra1 nfan csn cacs ad2antrr acsmred ffnd fnfvelrn sylancom
      wfn simplrl snssd unissd frn unifpw sseqtrdi sstrd mrcssd simprr r19.21bi
      unisn fveq2i eleqtrrdi sseldd ex alrimi dfss2 sylibr jca eximdv mpd ) ADC
      UAUBUCZENZUDZLNZWSWQOZFOZPZLDQZRZEUEZWRDWQUFZSZFOZTZRZEUEADUGPZWSMNZFOZPZ
      MWPUHZLDQXEADCFOZTXKKDXPCFUIUJUKAXOLDAWSDPZWSXPPXOADXPWSKULAMBCFGWSHIJUMU
      NUOXNXBLMDWPEUGXLWTUPXMXAWSXLWTFUQURVBUSAXDXJEAXDXJAXDRZWRXIAWRXCUTXRXQWS
      XHPZVAZLVCXIXRXTLAXDLALVDWRXCLWRLVDXBLDVEVFVFXRXQXSXRXQRZWTVGZSZFOZXHWSYA
      BYCFXGGYABGABGVHOPXDXQHVIVJIYAYBXFYAWTXFXRXQWQDVNWTXFPYADWPWQAWRXCXQVOZVK
      DWSWQVLVMVPVQYAXGCGYAWRXGCTYEWRXGWPSCWRXFWPDWPWQVRVQCVSVTUKACGTXDXQJVIWAW
      BYAWSXAYDXRXBLDAWRXCWCWDYCWTFWTWSWQUIWEWFWGWHWIWJLDXHWKWLWMWIWNWO $.
  $}

  ${
    $d S f $.  $d T f $.  $d f ph $.  $d f N $.
    acsmap2d.1 $e |- ( ph -> A e. ( ACS ` X ) ) $.
    acsmap2d.2 $e |- N = ( mrCls ` A ) $.
    acsmap2d.3 $e |- I = ( mrInd ` A ) $.
    acsmap2d.4 $e |- ( ph -> S e. I ) $.
    acsmap2d.5 $e |- ( ph -> T C_ X ) $.
    acsmap2d.6 $e |- ( ph -> ( N ` S ) = ( N ` T ) ) $.
    $( In an algebraic closure system, if ` S ` and ` T ` have the same closure
       and ` S ` is independent, then there is a map ` f ` from ` T ` into the
       set of finite subsets of ` S ` such that ` S ` equals the union of
       ` ran f ` .  This is proven by taking the map ` f ` from ~ acsmapd and
       observing that, since ` S ` and ` T ` have the same closure, the closure
       of ` U. ran f ` must contain ` S ` .  Since ` S ` is independent, by
       ~ mrissmrcd , ` U. ran f ` must equal ` S ` .  See Section II.5 in
       [Cohn] p. 81 to 82.  (Contributed by David Moews, 1-May-2017.) $)
    acsmap2d $p |- ( ph -> E. f
                     ( f : T --> ( ~P S i^i Fin ) /\ S = U. ran f ) ) $=
      ( cuni cfv wss wa wex adantr cpw cfn cin crn wceq acsmred mrissd mrcssidd
      sseqtrrd acsmapd simprl cmre wcel simprr mrcssvd mrcssd frn unissd unifpw
      cv wf sseqtrdi ad2antrl sstrd mrcidmd sseqtrd eqsstrd mrissmrcd ex eximdv
      jca mpd ) ADCUAUBUCZEUTZVAZDVNUDZOZGPZQZRZESVOCVQUEZRZESABCDEGHIJABCFHKAB
      HIUFZLUGADDGPZCGPZABDGHWCJMUHNUIUJAVTWBEAVTWBAVTRZVOWAAVOVSUKWFBCVQFGHABH
      ULPUMVTWCTZJKWFCWEVRWFBCGHWGJWFBCFHKWGACFUMVTLTZUGZUHWFWEWDVRAWEWDUEVTNTW
      FWDVRGPVRWFBDGVRHWGJAVOVSUNWFBVQGHWGJUOUPWFBVQGHWGJWFVQCHVOVQCQAVSVOVQVMO
      CVOVPVMDVMVNUQURCUSVBVCZWIVDVEVFVGVDWJWHVHVKVIVJVL $.

    acsinfd.7 $e |- ( ph -> -. S e. Fin ) $.
    $( In an algebraic closure system, if ` S ` and ` T ` have the same closure
       and ` S ` is infinite independent, then ` T ` is infinite.  This follows
       from applying ~ unirnffid to the map given in ~ acsmap2d .  See Section
       II.5 in [Cohn] p. 81 to 82.  (Contributed by David Moews,
       1-May-2017.) $)
    acsinfd $p |- ( ph -> -. T e. Fin ) $=
      ( vf cfn wf wa wcel wn cpw cin crn cuni wceq acsmap2d simplrr wss simplrl
      cv inss2 fss sylancl simpr unirnffid eqeltrd ad2antrr pm2.65da exlimddv )
      ADCUAZPUBZOUJZQZCVBUCUDZUEZRZDPSZTOABCDOEFGHIJKLMUFAVFRZVGCPSZVHVGRZCVDPA
      VCVEVGUGVJDVBVJVCVAPUHDPVBQAVCVEVGUIUTPUKDVAPVBULUMVHVGUNUOUPAVITVFVGNUQU
      RUS $.

    $( In an algebraic closure system, if ` S ` and ` T ` have the same closure
       and ` S ` is infinite independent, then ` T ` dominates ` S ` .  This
       follows from applying ~ acsinfd and then applying ~ unirnfdomd to the
       map given in ~ acsmap2d .  See Section II.5 in [Cohn] p. 81 to 82.
       (Contributed by David Moews, 1-May-2017.) $)
    acsdomd $p |- ( ph -> S ~<_ T ) $=
      ( vf cfn wf wa cdom adantr cpw cin cv crn cuni wbr acsmap2d simprr simprl
      wceq cvv wss inss2 fss sylancl wcel acsinfd cacs elfvexd ssexd unirnfdomd
      wn cfv eqbrtrd exlimddv ) ADCUAZPUBZOUCZQZCVHUDUEZUJZRZCDSUFOABCDOEFGHIJK
      LMUGAVLRZCVJDSAVIVKUHVMDVHUKVMVIVGPULDPVHQAVIVKUIVFPUMDVGPVHUNUOADPUPVBVL
      ABCDEFGHIJKLMNUQTVMDGUKVMBURGABGURVCUPVLHTUSADGULVLLTUTVAVDVE $.
  $}

  ${
    acsinfdimd.1 $e |- ( ph -> A e. ( ACS ` X ) ) $.
    acsinfdimd.2 $e |- N = ( mrCls ` A ) $.
    acsinfdimd.3 $e |- I = ( mrInd ` A ) $.
    acsinfdimd.4 $e |- ( ph -> S e. I ) $.
    acsinfdimd.5 $e |- ( ph -> T e. I ) $.
    acsinfdimd.6 $e |- ( ph -> ( N ` S ) = ( N ` T ) ) $.
    acsinfdimd.7 $e |- ( ph -> -. S e. Fin ) $.
    $( In an algebraic closure system, if two independent sets have equal
       closure and one is infinite, then they are equinumerous.  This is proven
       by using ~ acsdomd twice with ~ acsinfd .  See Section II.5 in [Cohn]
       p. 81 to 82.  (Contributed by David Moews, 1-May-2017.) $)
    acsinfdimd $p |- ( ph -> S ~~ T ) $=
      ( cdom wbr cen mrissd acsdomd cfv acsmred eqcomd acsinfd sbth syl2anc ) A
      CDOPDCOPCDQPABCDEFGHIJKABDEGJABGHUAZLRZMNSABDCEFGHIJLABCEGJUFKRACFTDFTMUB
      ABCDEFGHIJKUGMNUCSCDUDUE $.
  $}

  ${
    $d s S y z $.  $d s X y z $.  $d s ph y z $.  $d s y I z $.  $d s y z N $.
    acsexdimd.1 $e |- ( ph -> A e. ( ACS ` X ) ) $.
    acsexdimd.2 $e |- N = ( mrCls ` A ) $.
    acsexdimd.3 $e |- I = ( mrInd ` A ) $.
    acsexdimd.4 $e |- ( ph -> A. s e. ~P X A. y e. X
                        A. z e. ( ( N ` ( s u. { y } ) ) \ ( N ` s ) )
                        y e. ( N ` ( s u. { z } ) ) ) $.
    acsexdimd.5 $e |- ( ph -> S e. I ) $.
    acsexdimd.6 $e |- ( ph -> T e. I ) $.
    acsexdimd.7 $e |- ( ph -> ( N ` S ) = ( N ` T ) ) $.
    $( In an algebraic closure system whose closure operator has the exchange
       property, if two independent sets have equal closure, they are
       equinumerous.  See ~ mreexfidimd for the finite case and ~ acsinfdimd
       for the infinite case.  This is a special case of Theorem 4.2.2 in
       [FaureFrolicher] p. 87.  (Contributed by David Moews, 1-May-2017.) $)
    acsexdimd $p |- ( ph -> S ~~ T ) $=
      ( wcel cfv adantr cfn cen wbr wa cmre acsmred csn cun cdif wral cpw simpr
      cv wceq mreexfidimd wn cacs acsinfdimd pm2.61dan ) AEUARZEFUBUCAUTUDBCDEF
      GHIJADIUESRUTADIKUFTLMABUMZJUMZCUMUGUHHSRCVBVAUGUHHSVBHSUIUJBIUJJIUKUJUTN
      TAEGRZUTOTAFGRZUTPTAUTULAEHSFHSUNZUTQTUOAUTUPZUDDEFGHIADIUQSRVFKTLMAVCVFO
      TAVDVFPTAVEVFQTAVFULURUS $.
  $}

  ${
    $d I x y $.  $d C x y $.  $d G x y $.  $d L x y $.  $d U x y $.
    $d F x y $.  $d X x y $.
    mreclat.i $e |- I = ( toInc ` C ) $.

    ${
      mrelatglb.g $e |- G = ( glb ` I ) $.
      $( Greatest lower bounds in a Moore space are realized by intersections.
         (Contributed by Stefan O'Rear, 31-Jan-2015.)  See ~ mrelatglbALT for
         an alternate proof. $)
      mrelatglb $p |- ( ( C e. ( Moore ` X ) /\ U C_ C /\ U =/= (/) ) ->
          ( G ` U ) = |^| U ) $=
        ( vx vy cfv wcel wss w3a wceq 3ad2ant1 wa wbr wb ipole syl3anc cmre wne
        c0 cint cple eqid cbs ipobas cglb a1i cpo ipopos mreintcl intss1 adantl
        simp2 cv simpl1 adantr sselda mpbird wral simplr simpl2 biimpd ralimdva
        simpll1 3impia ssint sylibr simp11 posglbdg ) AEUAJZKZBALZBUCUBZMZHIABB
        UDZCDDUEJZVSUFZVNVOADUGJNVPADVMFUHOCDUIJNVQGUJDUKKVQADFULUJVNVOVPUPZABE
        UMZVQHUQZBKZPZVRWCVSQZVRWCLZWDWGVQWCBUNUOWEVNVRAKZWCAKZWFWGRVNVOVPWDURV
        QWHWDWBUSVQBAWCWAUTADVSVMVRWCFVTSTVAVQIUQZAKZWJWCVSQZHBVBZMZWJVRVSQZWJV
        RLZWNWJWCLZHBVBZWPVQWKWMWRVQWKPZWLWQHBWSWDPZWLWQWTVNWKWIWLWQRVNVOVPWKWD
        VGVQWKWDVCWSBAWCVNVOVPWKVDUTADVSVMWJWCFVTSTVEVFVHHWJBVIVJWNVNWKWHWOWPRV
        NVOVPWKWMVKVQWKWMUPVQWKWHWMWBOADVSVMWJVRFVTSTVAVL $.

      $( The empty intersection in a Moore space is realized by the base set.
         (Contributed by Stefan O'Rear, 31-Jan-2015.) $)
      mrelatglb0 $p |- ( C e. ( Moore ` X ) -> ( G ` (/) ) = X ) $=
        ( vx vy cmre cfv wcel c0 cple eqid ipobas cglb a1i wss cv wbr wceq ral0
        cpo ipopos 0ss mre1cl rspec adantl wral wa mress wb adantr ipole mpbird
        mpd3an3 3adant3 posglbdg ) ADIJZKZGHALDBCCMJZVANZACUSEOBCPJUAUTFQCUCKUT
        ACEUDQLARUTAUEQADUFZGSZLKDVDVATZUTVEGLVEGUBUGUHUTHSZAKZVFDVATZVFVDVATGL
        UIUTVGUJVHVFDRZAVFDUKUTVGDAKZVHVIULUTVJVGVCUMACVAUSVFDEVBUNUPUOUQUR $.
    $}

    ${
      mrelatlub.f $e |- F = ( mrCls ` C ) $.
      mrelatlub.l $e |- L = ( lub ` I ) $.
      $( Least upper bounds in a Moore space are realized by the closure of the
         union.  (Contributed by Stefan O'Rear, 31-Jan-2015.)  See
         ~ mrelatlubALT for an alternate proof. $)
      mrelatlub $p |- ( ( C e. ( Moore ` X ) /\ U C_ C ) ->
          ( L ` U ) = ( F ` U. U ) ) $=
        ( vx cfv wcel wss wa wceq adantr wbr wb ipole syl3anc vy cmre cuni cple
        eqid cbs ipobas club a1i ipopos simpr uniss adantl mreuni sseqtrd mrccl
        cpo syldan cv elssuni mrcssid sylan9ssr simpll sselda mpbird w3a simp1l
        wral simplll simplr biimpd ralimdva 3impia unissb sylibr simp2 3ad2ant1
        mrcsscl poslubdg ) AFUBKZLZBAMZNZJUAABBUCZCKZEDDUDKZWFUEZWAADUFKOWBADVT
        GUGPEDUHKOWCIUIDUQLWCADGUJUIWAWBUKZWAWBWDFMZWEALZWCWDAUCZFWBWDWKMWABAUL
        UMWAWKFOWBAFUNPUOZAWDCFHUPURZWCJUSZBLZNZWNWEWFQZWNWEMZWOWCWNWDWEWNBUTWA
        WBWIWDWEMWLAWDCFHVAURVBWPWAWNALZWJWQWRRWAWBWOVCWCBAWNWHVDWCWJWOWMPADWFV
        TWNWEGWGSTVEWCUAUSZALZWNWTWFQZJBVHZVFZWEWTWFQZWEWTMZXDWAWDWTMZXAXFWAWBX
        AXCVGZXDWNWTMZJBVHZXGWCXAXCXJWCXANZXBXIJBXKWONZXBXIXLWAWSXAXBXIRWAWBXAW
        OVIXKBAWNWAWBXAVJVDWCXAWOVJADWFVTWNWTGWGSTVKVLVMJBWTVNVOWCXAXCVPZAWDCWT
        FHVRTXDWAWJXAXEXFRXHWCXAWJXCWMVQXMADWFVTWEWTGWGSTVEVS $.
    $}

    $( A Moore space is a complete lattice under inclusion.  (Contributed by
       Stefan O'Rear, 31-Jan-2015.)  TODO ( ~ df-riota update): Finish this
       proof using the new ~ isclat then use it to replace ~ mreclatBAD
       below. $)
$(
    mreclat $p |- ( C e. ( Moore ` X ) -> I e. CLat ) $=
      ( vy vx vs vz cfv wcel cpo cdm wceq wa cv wbr wral eqid jca sylibr ipopos
      cmre club cbs cpw cglb ccla a1i cple wi wreu crab biid lubdm wss vex elpw
      wrex wrmo adantr simpr poslubmo syl sylan2b ralrimiva rabid2 eqtr4d glbdm
      reu5 posglbmo isclat ) ACUBIJZBKJZBUCIZLZBUDIZUEZMZBUFIZLZVQMZNZNBUGJVLVM
      WBVMVLABDUAUHZVLVRWAVLVOEOZFOZBUIIZPEGOZQWDHOZWFPEWGQWEWHWFPUJHVPQNZFVPUK
      ZGVQULZVQVLWIFEHVPVNBWFKGVPRZWFRZVNRZWIUMWCUNVLWJGVQQVQWKMVLWJGVQWGVQJZVL
      WGVPUOZWJWGVPGUPUQZVLWPNZWIFVPURZWIFVPUSZNWJWRWSWT?WRVMWPNZWTWRVMWPVLVMWP
      WCUTVLWPVASZFEHVPWGBWFWMWLVBVCSWIFVPVITVDVEWJGVQVFTVGVLVTWEWDWFPEWGQWHWDW
      FPEWGQWHWEWFPUJHVPQNZFVPUKZGVQULZVQVLXCFEHVPVSBWFKGWLWMVSRZXCUMWCVHVLXDGV
      QQVQXEMVLXDGVQWOVLWPXDWQWRXCFVPURZXCFVPUSZNXDWRXGXH?WRXAXHXBFEHVPWGBWFWMW
      LVJVCSXCFVPVITVDVEXDGVQVFTVGSSVPVNVSBWLWNXFVKT $.
$)

    $( This hypothesis is the instance of the old ~ isclat that is needed.
       Remove it and ~ mreclatBAD when mreclat above is finished. $)
    isclatBAD. $e |- ( I e. CLat
       <-> ( I e. Poset /\ A. x ( x C_ ( Base ` I )
      -> ( ( ( lub ` I ) ` x ) e. ( Base ` I )
           /\ ( ( glb ` I ) ` x ) e. ( Base ` I ) ) ) ) ) $.
    $( A Moore space is a complete lattice under inclusion.  (Contributed by
       Stefan O'Rear, 31-Jan-2015.)  TODO ( ~ df-riota update):  Reprove using
       ~ isclat instead of the isclatBAD. hypothesis.  See commented-out
       mreclat above.  See ~ mreclat for a good version. $)
    mreclatBAD $p |- ( C e. ( Moore ` X ) -> I e. CLat ) $=
      ( cmre cfv wcel wss wa wi cuni eqid adantl wceq eqeltrd c0 ad2antrr eleq2
      cpo cbs club cglb wal ccla ipopos a1i cmrc mrelatlub uniss mreuni sseqtrd
      cv adantr mrccl syldan fveq2 mrelatglb0 mre1cl wne w3a mrelatglb mreintcl
      eqtrd cint 3expa pm2.61dane jca ex ipobas sseq2 anbi12d imbi12d syl mpbid
      wb alrimiv sylanbrc ) BDGHZIZCUAIZAUNZCUBHZJZWCCUCHZHZWDIZWCCUDHZHZWDIZKZ
      LZAUECUFIWBWABCEUGUHWAWMAWAWCBJZWGBIZWJBIZKZLZWMWAWNWQWAWNKZWOWPWSWGWCMZB
      UIHZHZBBWCXACWFDEXANZWFNUJWAWNWTDJXBBIWSWTBMZDWNWTXDJWAWCBUKOWAXDDPWNBDUL
      UOUMBWTXADXCUPUQQWSWPWCRWSWCRPZKZWJDBXFWJRWIHZDXEWJXGPWSWCRWIUROWAXGDPWNX
      EBWICDEWINZUSSVEWADBIWNXEBDUTSQWAWNWCRVAZWPWAWNXIVBWJWCVFBBWCWICDEXHVCBWC
      DVDQVGVHVIVJWABWDPZWRWMVQBCVTEVKXJWNWEWQWLBWDWCVLXJWOWHWPWKBWDWGTBWDWJTVM
      VNVOVPVRFVS $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Posets, directed sets, and lattices as relations
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Posets and lattices as relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  See commented-out notes for lattices as relations.

$)

  $c PosetRel $.
  $c TosetRel $.

  $( Extend class notation with the class of all posets. $)
  cps $a class PosetRel $.

  $( Extend class notation with the class of all totally ordered sets. $)
  ctsr $a class TosetRel $.

  $( Define the class of all posets (partially ordered sets) with weak ordering
     (e.g., "less than or equal to" instead of "less than").  A poset is a
     relation which is transitive, reflexive, and antisymmetric.  (Contributed
     by NM, 11-May-2008.) $)
  df-ps $a |- PosetRel = { r | ( Rel r /\ ( r o. r ) C_ r /\
              ( r i^i `' r ) = ( _I |` U. U. r ) ) } $.

  $( Define the class of all totally ordered sets.  (Contributed by FL,
     1-Nov-2009.) $)
  df-tsr $a |- TosetRel = { r e. PosetRel |
                ( dom r X. dom r ) C_ ( r u. `' r ) } $.

  ${
    $d r R $.
    $( The predicate "is a poset" i.e. a transitive, reflexive, antisymmetric
       relation.  (Contributed by NM, 11-May-2008.) $)
    isps $p |- ( R e. A -> ( R e. PosetRel <-> ( Rel R /\ ( R o. R ) C_ R /\
                ( R i^i `' R ) = ( _I |` U. U. R ) ) ) ) $=
      ( vr cv wrel ccom wss ccnv cin cid cuni cres wceq releq coeq1 coeq2 eqtrd
      w3a cps id sseq12d cnveq ineq12d unieqd reseq2d eqeq12d 3anbi123d elab2g
      unieq df-ps ) CDZEZUKUKFZUKGZUKUKHZIZJUKKZKZLZMZRBEZBBFZBGZBBHZIZJBKZKZLZ
      MZRCBSAUKBMZULVAUNVCUTVIUKBNVJUMVBUKBVJUMBUKFVBUKBUKOUKBBPQVJTZUAVJUPVEUS
      VHVJUKBUOVDVKUKBUBUCVJURVGJVJUQVFUKBUIUDUEUFUGCUJUH $.
  $}

  $( A poset is a relation.  (Contributed by NM, 12-May-2008.) $)
  psrel $p |- ( A e. PosetRel -> Rel A ) $=
    ( cps wcel wrel ccom wss ccnv cin cid cuni cres wceq w3a isps ibi simp1d )
    ABCZADZAAEAFZAAGHIAJJKLZQRSTMBANOP $.

  $( A poset is antisymmetric and reflexive.  (Contributed by FL,
     3-Aug-2009.) $)
  psref2 $p |- ( R e. PosetRel -> ( R i^i `' R ) = ( _I |` U. U. R ) ) $=
    ( cps wcel wrel ccom wss ccnv cin cid cuni cres wceq w3a isps ibi simp3d )
    ABCZADZAAEAFZAAGHIAJJKLZQRSTMBANOP $.

  $( A poset is transitive.  (Contributed by FL, 3-Aug-2009.) $)
  pstr2 $p |- ( R e. PosetRel -> ( R o. R ) C_ R ) $=
    ( cps wcel wrel ccom wss ccnv cin cid cuni cres wceq w3a isps ibi simp2d )
    ABCZADZAAEAFZAAGHIAJJKLZQRSTMBANOP $.

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.
    $( Lemma for ~ psref and others.  (Contributed by NM, 12-May-2008.)
       (Revised by Mario Carneiro, 30-Apr-2015.) $)
    pslem $p |- ( R e. PosetRel -> ( ( ( A R B /\ B R C ) -> A R C ) /\
      ( A e. U. U. R -> A R A ) /\ ( ( A R B /\ B R A ) -> A = B ) ) ) $=
      ( vx vy vz wcel wbr wa wi cuni wceq cvv cv wal sylan adantr wb breq12 cps
      wrel psrel brrelex12 brrelex2 anim12dan ccom wss pstr2 cotr sylib 3adant3
      simpr w3a 3adant1 anbi12d 3adant2 imbi12d spc3gv 3expa syl3c ccnv cin cid
      ex cres wral psref2 asymref2 simplbi anidms rspccv adantrr simprbi ancoms
      3syl syl eqeq12 spc2gv 3jca ) DUAHZABDIZBCDIZJZACDIZKZADLLZHAADIZKZWBBADI
      ZJZABMZKZWAWDWEWAWDJANHZBNHZJZCNHZJEOZFOZDIZWSGOZDIZJZWRXADIZKZGPFPEPZWDW
      EWAWBWPWCWQWADUBZWBWPDUCZABDUDQZWAXGWCWQXHBCDUEQUFWAXFWDWADDUGDUHXFDUIEFG
      DUJUKRWAWDUMWNWOWQXFWFKXEWFEFGABCNNNWRAMZWSBMZXACMZUNZXCWDXDWEXMWTWBXBWCX
      JXKWTWBSXLWRAWSBDTZULXKXLXBWCSXJWSBXACDTUOUPXJXLXDWESXKWRAXACDTUQURUSUTVA
      VEWADDVBVCVDWGVFMZWRWRDIZEWGVGZWIDVHZXOXQWTWSWRDIZJZWRWSMZKZFPEPZEFDVIZVJ
      XPWHEAWGXJXPWHSWRAWRADTVKVLVPWAWKWLWAWKJWPYCWKWLWAWBWPWJXIVMWAYCWKWAXOYCX
      RXOXQYCYDVNVQRWAWKUMYBWMEFABNNXJXKJZXTWKYAWLYEWTWBXSWJXNXKXJXSWJSWSBWRADT
      VOUPWRAWSBVRURVSVAVEVT $.

    $( The domain and range of a poset equal its field.  (Contributed by NM,
       13-May-2008.) $)
    psdmrn $p |- ( R e. PosetRel -> ( dom R = U. U. R /\ ran R = U. U. R ) ) $=
      ( vx cps wcel cdm cuni wceq crn wss cun ssun1 dmrnssfld sstri a1i cv syl6
      wbr wi ssrdv eqssd wa pslem simp2d vex breldm ssun2 brelrn jca ) ACDZAEZA
      FFZGAHZUKGUIUJUKUJUKIUIUJUJULJZUKUJULKALZMNUIBUKUJUIBOZUKDZUOUOAQZUOUJDUI
      UQUQUAZUQRUPUQRURUOUOGRUOUOUOAUBUCZUOUOABUDZUTUEPSTUIULUKULUKIUIULUMUKULU
      JUFUNMNUIBUKULUIUPUQUOULDUSUOUOAUTUTUGPSTUH $.
  $}

  ${
    psref.1 $e |- X = dom R $.
    $( A poset is reflexive.  (Contributed by NM, 13-May-2008.) $)
    psref $p |- ( ( R e. PosetRel /\ A e. X ) -> A R A ) $=
      ( cps wcel wbr cuni cdm wceq crn psdmrn simpld eqtrid eleq2d wa wi simp2d
      pslem sylbid imp ) BEFZACFZAABGZUBUCABHHZFZUDUBCUEAUBCBIZUEDUBUGUEJBKUEJB
      LMNOUBUDUDPZUDQUFUDQUHAAJQAAABSRTUA $.

    $( The range of a poset equals it domain.  (Contributed by NM,
       7-Jul-2008.) $)
    psrn $p |- ( R e. PosetRel -> X = ran R ) $=
      ( cps wcel cdm crn cuni wceq wa psdmrn eqtr3 syl eqtrid ) ADEZBAFZAGZCOPA
      HHZIQRIJPQIAKPQRLMN $.
  $}

  $( A poset is antisymmetric.  (Contributed by NM, 12-May-2008.) $)
  psasym $p |- ( ( R e. PosetRel /\ A R B /\ B R A ) -> A = B ) $=
    ( cps wcel wbr wceq wa wi cuni pslem simp3d 3impib ) CDEZABCFZBACFZABGZNOPH
    ZAACFZIACJJESIRQIABACKLM $.

  $( A poset is transitive.  (Contributed by NM, 12-May-2008.)  (Revised by
     Mario Carneiro, 30-Apr-2015.) $)
  pstr $p |- ( ( R e. PosetRel /\ A R B /\ B R C ) -> A R C ) $=
    ( cps wcel wbr wa wi cuni wceq pslem simp1d 3impib ) DEFZABDGZBCDGZACDGZOPQ
    HRIADJJFAADGIPBADGHABKIABCDLMN $.

  $( The converse of a poset is a poset.  In the general case
     ` ( ``' R e. PosetRel -> R e. PosetRel ) ` is not true.  See ~ cnvpsb for
     a special case where the property holds.  (Contributed by FL, 5-Jan-2009.)
     (Proof shortened by Mario Carneiro, 3-Sep-2015.) $)
  cnvps $p |- ( R e. PosetRel -> `' R e. PosetRel ) $=
    ( cps wcel ccnv wrel ccom wss cin cid cuni cres wceq relcnv a1i cnvco pstr2
    cnvss syl eqsstrrid cvv psrel dfrel2 ineq2d eqtrdi psref2 relcnvfld reseq2d
    sylib incom 3eqtrd w3a wb cnvexg isps mpbir3and ) ABCZADZBCZUQEZUQUQFZUQGZU
    QUQDZHZIUQJJZKZLZUSUPAMNUPUTAAFZDZUQAAOUPVGAGVHUQGAPVGAQRSUPVCAUQHZIAJJZKVE
    UPVCUQAHVIUPVBAUQUPAEZVBALAUAZAUBUHUCUQAUIUDAUEUPVJVDIUPVKVJVDLVLAUFRUGUJUP
    UQTCURUSVAVFUKULABUMTUQUNRUO $.

  $( The converse of a poset is a poset.  (Contributed by FL, 5-Jan-2009.) $)
  cnvpsb $p |- ( Rel R -> ( R e. PosetRel <-> `' R e. PosetRel ) ) $=
    ( wrel cps wcel ccnv cnvps wceq wi dfrel2 eleq1 biimpd sylbi syl5 impbid2 )
    ABZACDZAEZCDZAFRQEZCDZOPQFOSAGZTPHAIUATPSACJKLMN $.

  ${
    $d A x y $.  $d R x y $.
    $( Any subset of a partially ordered set is partially ordered.
       (Contributed by FL, 24-Jan-2010.) $)
    psss $p |- ( R e. PosetRel -> ( R i^i ( A X. A ) ) e. PosetRel ) $=
      ( vx vy cps wcel cin wrel ccom wss cuni wceq mpsyl syl cv wbr wral wa wal
      uniin cxp ccnv cid inss1 psrel relss pstr2 trinxp wi unissi sstri unixpid
      cres elin eleq2i simprr cdm crn psdmrn simpld eleq2d biimpar psref syldan
      eqid adantrr brinxp2 syl21anbrc expr syl5bi expimpd ralrimiv ssralv ssbri
      psasym 3expib syl2ani alrimivv asymref2 sylanbrc cvv w3a inex1g mpbir3and
      wb isps ) BEFZBAAUAZGZEFZWIHZWIWIIWIJZWIWIUBGUCWIKZKZUMLZWIBJWGBHWKBWHUDZ
      BUEWIBUFMWGBBIBJWLBUGABUHNWGCOZWQWIPZCWNQZWQDOZWIPZWTWQWIPZRWQWTLZUIZDSCS
      WOWNBKZKZWHKZKZGZJWGWRCXIQWSWNXEXGGZKXIWMXJBWHTUJXEXGTUKWGWRCXIWQXIFWQXFF
      ZWQXHFZRWGWRWQXFXHUNWGXKXLWRXLWQAFZWGXKRWRXHAWQAULUOWGXKXMWRWGXKXMRRXMXMW
      QWQBPZWRWGXKXMUPZXOWGXKXNXMWGXKWQBUQZFZXNWGXQXKWGXPXFWQWGXPXFLBURXFLBUSUT
      VAVBWQBXPXPVEVCVDVFAAWQWQBVGVHVIVJVKVJVLWRCWNXIVMMWGXDCDXAWGWQWTBPZWTWQBP
      ZXCXBWIBWQWTWPVNWIBWTWQWPVNWGXRXSXCWQWTBVOVPVQVRCDWIVSVTWGWIWAFWJWKWLWOWB
      WEBWHEWCWAWIWFNWD $.
  $}

  ${
    $d A x $.  $d R x $.  $d X x $.
    psssdm.1 $e |- X = dom R $.
    $( Field of a subposet.  (Contributed by Mario Carneiro, 9-Sep-2015.) $)
    psssdm2 $p |- ( R e. PosetRel ->
      dom ( R i^i ( A X. A ) ) = ( X i^i A ) ) $=
      ( vx cps wcel cxp cin cdm wss eqcomi dmxpid ineq12i sseqtri a1i cv wa wbr
      dmin simpr elin2d elinel1 psref sylan2 brinxp2 syl21anbrc vex syl eqelssd
      breldm ) BFGZEBAAHZIZJZCAIZUOUPKULUOBJZUMJZIUPBUMTUQCURACUQDLAMNOPULEQZUP
      GZRZUSUSUNSZUSUOGVAUSAGZVCUSUSBSZVBVACAUSULUTUAUBZVEUTULUSCGVDUSCAUCUSBCD
      UDUEAAUSUSBUFUGUSUSUNEUHZVFUKUIUJ $.

    $( Field of a subposet.  (Contributed by FL, 19-Sep-2011.)  (Revised by
       Mario Carneiro, 9-Sep-2015.) $)
    psssdm $p |- ( ( R e. PosetRel /\ A C_ X )
      -> dom ( R i^i ( A X. A ) ) = A ) $=
      ( cps wcel wss cxp cin cdm psssdm2 wceq sseqin2 biimpi sylan9eq ) BEFACGZ
      BAAHIJCAIZAABCDKPQALACMNO $.
  $}

  ${
    $d x y A $.  $d y B $.  $d r x y R $.  $d r x y X $.
    istsr.1 $e |- X = dom R $.
    $( The predicate is a toset.  (Contributed by FL, 1-Nov-2009.)  (Revised by
       Mario Carneiro, 22-Nov-2013.) $)
    istsr $p |- ( R e. TosetRel <->
        ( R e. PosetRel /\ ( X X. X ) C_ ( R u. `' R ) ) ) $=
      ( vr cv cdm cxp ccnv cun wss ctsr wceq dmeq eqtr4di sqxpeqd cnveq uneq12d
      cps id sseq12d df-tsr elrab2 ) DEZFZUDGZUCUCHZIZJBBGZAAHZIZJDARKUCALZUEUH
      UGUJUKUDBUKUDAFBUCAMCNOUKUCAUFUIUKSUCAPQTDUAUB $.

    $( The predicate is a toset.  (Contributed by FL, 1-Nov-2009.)  (Revised by
       Mario Carneiro, 22-Nov-2013.) $)
    istsr2 $p |- ( R e. TosetRel <->
        ( R e. PosetRel /\ A. x e. X A. y e. X ( x R y \/ y R x ) ) ) $=
      ( ctsr wcel cps cxp ccnv cun wss wa cv wbr wo wral istsr qfto anbi2i
      bitri ) CFGCHGZDDICCJKLZMUBANZBNZCOUEUDCOPBDQADQZMCDERUCUFUBABDDCSTUA $.

    $( A toset is a linear order.  (Contributed by Mario Carneiro,
       9-Sep-2015.) $)
    tsrlin $p |- ( ( R e. TosetRel /\ A e. X /\ B e. X ) ->
      ( A R B \/ B R A ) ) $=
      ( vx vy ctsr wcel wbr wo cv wral wa cps istsr2 wceq breq1 breq2 orbi12d
      simprbi rspc2v syl5com 3impib ) CHIZADIZBDIZABCJZBACJZKZUEFLZGLZCJZULUKCJ
      ZKZGDMFDMZUFUGNUJUECOIUPFGCDEPUAUOUJAULCJZULACJZKFGABDDUKAQUMUQUNURUKAULC
      RUKAULCSTULBQUQUHURUIULBACSULBACRTUBUCUD $.

    $( Two ways of saying a number is less than or equal to the maximum of two
       others.  (Contributed by Mario Carneiro, 9-Sep-2015.) $)
    tsrlemax $p |- ( ( R e. TosetRel /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
        ( A R if ( B R C , C , B ) <-> ( A R B \/ A R C ) ) ) $=
      ( wbr wo wb wcel wa wceq breq2 bibi1d wi pstr 3expib syl adantr expdimp
      cif ctsr w3a olc cps cdm cxp ccnv cun wss eqid istsr simplbi impancom idd
      jaod impbid2 wn orc tsrlin 3adant3r1 orcanai syldan ifbothda ) BCDGZACDGZ
      ABDGZVFHZIVGVHIAVECBUAZDGZVHIDUBJZAEJZBEJZCEJZUCZKZCBCVILVFVJVHCVIADMNBVI
      LVGVJVHBVIADMNVPVEKZVFVHVFVGUDVQVGVFVFVPVGVEVFVPVGVEVFVKVGVEKVFOZVOVKDUEJ
      ZVRVKVSDUFZVTUGDDUHUIUJDVTVTUKULUMZVSVGVEVFABCDPQRSTUNVQVFUOUPUQVPVEURZKZ
      VGVHVGVFUSWCVGVGVFWCVGUOVPWBCBDGZVFVGOVPVEWDVKVMVNVEWDHVLBCDEFUTVAVBVPVFW
      DVGVPVFWDVGVKVFWDKVGOZVOVKVSWEWAVSVFWDVGACBDPQRSTUNVCUPUQVD $.
  $}

  $( A toset is a poset.  (Contributed by Mario Carneiro, 9-Sep-2015.) $)
  tsrps $p |- ( R e. TosetRel -> R e. PosetRel ) $=
    ( ctsr wcel cps cdm cxp ccnv cun wss eqid istsr simplbi ) ABCADCAEZMFAAGHIA
    MMJKL $.

  $( The converse of a toset is a toset.  (Contributed by Mario Carneiro,
     3-Sep-2015.) $)
  cnvtsr $p |- ( R e. TosetRel -> `' R e. TosetRel ) $=
    ( ctsr wcel ccnv cps crn cxp cun wss tsrps cnvps syl cdm eqid istsr simprbi
    wceq psrn sqxpeqd wrel psrel dfrel2 sylib uneq2d eqtr2di 3sstr3d sylanbrc
    uncom df-rn ) ABCZADZECZAFZUMGZUKUKDZHZIUKBCUJAECZULAJZAKLUJAMZUSGZAUKHZUNU
    PUJUQUTVAIAUSUSNZOPUJUSUMUJUQUSUMQURAUSVBRLSUJUPUKAHVAUJUOAUKUJATZUOAQUJUQV
    CURAUALAUBUCUDUKAUHUEUFUKUMAUIOUG $.

  ${
    $d A x y $.  $d R x y $.
    $( Any subset of a totally ordered set is totally ordered.  (Contributed by
       FL, 24-Jan-2010.)  (Proof shortened by Mario Carneiro, 21-Nov-2013.) $)
    tsrss $p |- ( R e. TosetRel -> ( R i^i ( A X. A ) ) e. TosetRel ) $=
      ( vx vy cps wcel cv wbr wo cdm wral wa ctsr wss wi dmss ssralv mp2b sseli
      wb cxp cin psss inss1 ralimi syl inss2 ax-mp dmxpid sseqtri brinxp ancoms
      orbi12d syl2an ralbidva ralbiia sylib anim12i eqid istsr2 3imtr4i ) BEFZC
      GZDGZBHZVDVCBHZIZDBJZKZCVHKZLBAAUAZUBZEFZVCVDVLHZVDVCVLHZIZDVLJZKZCVQKZLB
      MFVLMFVBVMVJVSABUCVJVGDVQKZCVQKZVSVJVICVQKZWAVLBNZVQVHNZVJWBOBVKUDZVLBPZV
      ICVQVHQRVIVTCVQWCWDVIVTOWEWFVGDVQVHQRUEUFVTVRCVQVCVQFZVGVPDVQWGVCAFZVDAFZ
      VGVPTVDVQFVQAVCVQVKJZAVLVKNVQWJNBVKUGVLVKPUHAUIUJZSVQAVDWKSWHWILVEVNVFVOV
      CVDAABUKWIWHVFVOTVDVCAABUKULUMUNUOUPUQURCDBVHVHUSUTCDVLVQVQUSUTVA $.
  $}

$(
  @{
    @d r w x y z R @.  @d r w x y z X @.  @d r w x y z A @.
    spwval2.1 @e |- X = U. U. R @.
    @( Value of supremum under a weak ordering.  Read ` R supw A ` as "the
       ` R ` -supremum of ` A ` ".  ` U. U. R ` is the field of a relation
       ` R ` by ~ relfld .  Unlike ~ df-sup for strong orderings, the supremum
       exists iff ` R supw A ` belongs to the field.  (Contributed by NM,
       13-May-2008.)  (Revised by Mario Carneiro, 20-Nov-2013.) @)
    spwval2 @p |- ( ( R e. PosetRel /\ A e. V ) -> ( R supw A ) =
                    ( iota_ x e. X ( A. y e. A y R x /\
                      A. y e. X ( A. z e. A z R y -> x R y ) ) ) ) @=
      ( vr vw wcel cv wbr wral wi wa crio wceq cuni breq cps cspw co elex unieq
      unieqd eqtr4di ralbidv imbi12d raleqbidv anbi12d riotaeqbidv raleq imbi1d
      cvv riotabidv df-spw riotaex ovmpo sylan2 ) DFKEUAKDUOKEDUBUCBLZALZEMZBD
      NZCLZVAEMZCDNZVBVAEMZOZBGNZPZAGQZRDFUDIJEDUAUOVAVBILZMZBJLZNZVEVAVMMZCVON
      ZVBVAVMMZOZBVMSZSZNZPZAWBQVLUBVCBVONZVFCVONZVHOZBGNZPZAGQVMERZWDWIAWBGWJW
      BESZSGWJWAWKVMEUEUFHUGZWJVPWEWCWHWJVNVCBVOVAVBVMETUHWJVTWGBWBGWLWJVRWFVSV
      HWJVQVFCVOVEVAVMETUHVBVAVMETUIUJUKULVODRZWIVKAGWMWEVDWHVJVCBVODUMWMWGVIBG
      WMWFVGVHVFCVODUMUNUHUKUPJABCIUQVKAGURUSUT @.
  @}

  @{
    @d r w x y z R @.  @d r w x y X @.  @d w x y z A @.
    spwval.1 @e |- X = dom R @.
    @( Value of supremum under a weak ordering.  Read ` R supw A ` as "the
       ` R ` -supremum of ` A ` ".  ` U. U. R ` is the field of a relation
       ` R ` by ~ relfld .  Unlike ~ df-sup for strong orderings, the supremum
       exists iff ` R supw A ` belongs to the field.  (Contributed by NM,
       13-May-2008.)  (Revised by Mario Carneiro, 20-Nov-2013.) @)
    spwval @p |- ( ( R e. PosetRel /\ A e. V ) -> ( R supw A ) =
                    ( iota_ x e. X ( A. y e. A y R x /\
                      A. y e. X ( A. z e. A z R y -> x R y ) ) ) ) @=
      ( cps wcel wa cspw co cv wbr wral wi cuni crio wceq spwval2 psdmrn simpld
      eqid cdm crn eqtrid raleqdv anbi2d riotaeqbidv adantr eqtr4d ) EIJZDFJZKE
      DLMBNZANZEOBDPZCNUOEOCDPUPUOEOQZBERRZPZKZAUSSZUQURBGPZKZAGSZABCDEFUSUSUDU
      AUMVEVBTUNUMVDVAAGUSUMGEUEZUSHUMVFUSTEUFUSTEUBUCUGZUMVCUTUQUMURBGUSVGUHUI
      UJUKUL @.
  @}

  @{
    @d w x y z A @.  @d y z B @.  @d y z C @.  @d w x y z R @.  @d w x y X @.
    @d y U @.  @d y W @.
    spwmo.1 @e |- ( ph
         <-> ( A. y e. A y R x /\ A. y e. X ( A. z e. A z R y -> x R y ) ) ) @.
    @( A poset has at most one supremum.  (Contributed by NM, 13-May-2008.)
       (Revised by NM, 16-Jun-2017.) @)
    spwmo @p |- ( R e. PosetRel -> E* x e. X ph ) @=
      ( vw wcel cv wa wmo wbr wral wi weq breq1 breq2 ralbidv cps cbvralv rspcv
      wrmo wal impd im2anan9r psasym 3expib syl9 com13 exp43 com4r sylbi imp43
      imbi12d com3r imp com12 alrimivv anbi2i mobii eleq1 bitrdi imbi2d anbi12d
      an4s mo4 bitri sylibr df-rmo ) FUAJZBKZGJZALZBMZABGUDVLVNCKZVMFNZCEOZDKZV
      QFNZDEOZVMVQFNZPZCGOZLZLZIKZGJZVTWHFNZDEOZWBWHVQFNZPZCGOZLZLZLZBIQZPZIUEB
      UEZVPVLWSBIWQVLWRVNWIWFWOVLWRPZVNWILZWFWOLZXAXCVLXBWRVSWEWKWNVLXBWRPPZVSV
      TVMFNZDEOZWEWKWNXDPPPVRXECDEVQVTVMFRUBWEWKWNXFXDWEWKWNXFXDXBVLWEWKLZWNXFL
      ZLZWRXBXIVMWHFNZWHVMFNZLVLWRWIXGXJVNXHXKWIWEWKXJWDWKXJPCWHGCIQZWBWKWCXJXL
      WAWJDEVQWHVTFSTVQWHVMFSUPUCUFVNWNXFXKWMXFXKPCVMGCBQZWBXFWLXKXMWAXEDEVQVMV
      TFSTVQVMWHFSUPUCUFUGVLXJXKWRVMWHFUHUIUJUKULUMUNUOUQURVGUSUTVPWGBMWTVOWGBA
      WFVNHVAVBWGWPBIWRVNWIWFWOVMWHGVCWRVSWKWEWNWRVSVQWHFNZCEOWKWRVRXNCEVMWHVQF
      STXNWJCDEVQVTWHFRUBVDWRWDWMCGWRWCWLWBVMWHVQFRVETVFVFVHVIVJABGVKVJ @.

    @( A supremum is unique.  (Contributed by NM, 15-May-2008.) @)
    spweu @p |- ( ( R e. PosetRel /\ E. x e. X ph ) -> E! x e. X ph ) @=
      ( wrex cps wcel wreu wa wrmo spwmo anim2i reu5 sylibr ancoms ) ABGIZFJKZA
      BGLZTUAMTABGNZMUBUAUCTABCDEFGHOPABGQRS @.

    @( Property of supremum defining condition for an unordered pair.
       (Contributed by NM, 24-Jun-2008.) @)
    spwpr2 @p |- ( ( ( R e. T /\ A = { B , C } ) /\ ( B e. U /\ C e. W ) )
       -> ( ph <->
     ( ( B R x /\ C R x ) /\ A. y e. X ( ( B R y /\ C R y ) -> x R y ) ) ) ) @=
      ( cv wbr wral wi wa wcel breq1 cpr wceq wb ralprg sylan9bb imbi1d ralbidv
      raleq anbi12d adantll syl5bb ) ACNZBNZHOZCEPZDNZULHOZDEPZUMULHOZQZCLPZRZH
      ISZEFGUAZUBZRFJSGKSRZRFUMHOZGUMHOZRZFULHOZGULHOZRZUSQZCLPZRZMVEVFVBVOUCVC
      VEVFRZUOVIVAVNVEUOUNCVDPVFVIUNCEVDUHUNVGVHCFGJKULFUMHTULGUMHTUDUEVPUTVMCL
      VPURVLUSVEURUQDVDPVFVLUQDEVDUHUQVJVKDFGJKUPFULHTUPGULHTUDUEUFUGUIUJUK @.
  @}

  @{
    @d x y z A @.  @d x y z R @.  @d x y X @.
    spwex.1 @e |- X = dom R @.
    spwex.2 @e |- ( ph <->
         ( A. y e. A y R x /\ A. y e. X ( A. z e. A z R y -> x R y ) ) ) @.
    @( A supremum exists iff ` R supw A ` belongs to the domain of ` R ` .
       (Contributed by NM, 15-May-2008.)  (Revised by Mario Carneiro,
       20-Nov-2013.) @)
    spwex @p |- ( ( R e. PosetRel /\ A e. V )
               -> ( E. x e. X ph <-> ( R supw A ) e. X ) ) @=
      ( cps wcel wa wreu cv wbr wral wb cvv adantr wi crio wrex cspw reubii cdm
      co dmexg eqeltrid riotaclbgBAD syl syl5bb spweu reurex impbid1 spwval
      eleq1d
      ex 3bitr4d ) FKLZEGLZMZABHNZCOZBOZFPCEQDOVDFPDEQVEVDFPUACHQMZBHUBZHLZABHU
      CZFEUDUGZHLUTVCVHRVAVCVFBHNZUTVHAVFBHJUEUTHSLVKVHRUTHFUFSIFKUHUIVFBHSUJUK
      ULTUTVIVCRVAUTVIVCUTVIVCABCDEFHJUMURABHUNUOTVBVJVGHBCDEFGHIUPUQUS @.

    @( Closure of a supremum.  (Contributed by NM, 15-May-2008.)  (Revised by
       Mario Carneiro, 20-Nov-2013.) @)
    spwcl @p |- ( ( R e. PosetRel /\ A e. V /\ E. x e. X ph )
           -> ( R supw A ) e. X ) @=
      ( cps wcel wrex cspw co spwex biimp3a ) FKLEGLABHMFENOHLABCDEFGHIJPQ @.
  @}

  @{
    @d x y z A @.  @d x y z B @.  @d x y z C @.  @d x y z R @.  @d x y z X @.
    spwpr4.1 @e |- X = dom R @.
    @( Supremum of an unordered pair.  (Contributed by NM, 7-Jul-2008.)
       (Revised by Mario Carneiro, 20-Nov-2013.) @)
    spwpr4 @p |- ( ( R e. PosetRel /\ ( A R C /\ B R C ) /\
   A. x e. X ( ( A R x /\ B R x ) -> C R x ) ) -> ( R supw { A , B } ) = C ) @=
      ( vy vz wcel wa wbr cv wi wral wceq 3adant3 cvv wb syl2anc cps cspw simpl
      cpr co crn wrel psrel relelrn sylan psrn adantr eleqtrrd adantrr jca crio
     w3a simp1l prex spwval sylancl simpll brrelex1 ex anim12d syl adantlr eqid
      biid spwpr2 mpanl2 riotabidv 3simpc wreu simp1r wrex breq2 anbi12d imbi2d
      imp breq1 ralbidv rspcev 3impb 3adant1l rexbidv mpbird spweu mpbid riota2
      reubidv 3eqtrd syld3an1 ) EUAJZDFJZKZBDELZCDELZKZWNBAMZELCWTELKZDWTELZNZA
      FOZEBCUDZUBUEZDPWNWSWPXDWNWSKWNWOWNWSUCWNWQWOWRWNWQKDEUFZFWNEUGZWQDXGJEUH
      ZBDEUIUJWNFXGPWQEFGUKULUMUNUOQWPWSXDUQZXFWTHMZELAXEOIMWTELIXEOXKWTELZNAFO
      KZHFUPZBXKELZCXKELZKZXAXLNZAFOZKZHFUPZDXJWNXERJXFXNPWNWOWSXDURZBCUSHAIXEE
      RFGUTVAWPWSXNYAPXDWPWSKZXMXTHFYCWNBRJZCRJZKZXMXTSZWNWOWSVBWNWSYFWOWNWSYFW
      NXHWSYFNXIXHWQYDWRYEXHWQYDBDEVCVDXHWRYECDEVCVDVEVFVTVGWNXEXEPYFYGXEVHXMHA
      IXEBCEUARRFXMVIZVJVKTZVLQXJWSXDKZYADPZWPWSXDVMXJWOXTHFVNZYJYKSWNWOWSXDVOX
      JXMHFVNZYLXJWNXMHFVPZYMYBXJYNXTHFVPZWOWSXDYOWNWOWSXDYOXTYJHDFXKDPZXQWSXSX
      DYPXOWQXPWRXKDBEVQXKDCEVQVRYPXRXCAFYPXLXBXAXKDWTEWAVSWBVRZWCWDWEWPWSYNYOS
      XDYCXMXTHFYIWFQWGXMHAIXEEFYHWHTWPWSYMYLSXDYCXMXTHFYIWKQWIXTYJHFDYQWJTWIWL
      WM @.
  @}

  @{
    @d x A @.  @d x B @.  @d x R @.
    @( Supremum of an unordered pair of comparable elements.  (Contributed by
       NM, 7-Jul-2008.) @)
    spwpr4c @p |- ( ( R e. PosetRel /\ A R B ) -> ( R supw { A , B } ) = B ) @=
      ( vx cps wcel wbr wa cv wi cdm wral cpr cspw co wceq simpl simpr crn wrel
      psrel relelrn sylan eqid adantr eleqtrrd psref syldan rgenw a1i syl121anc
      psrn spwpr4 ) CEFZABCGZHZUNUOBBCGZADIZCGZBURCGZHUTJZDCKZLZCABMNOBPUNUOQUN
      UORUNUOBVBFUQUPBCSZVBUNCTUOBVDFCUAABCUBUCUNVBVDPUOCVBVBUDZULUEUFBCVBVEUGU
      HVCUPVADVBUSUTRUIUJDABBCVBVEUMUK @.
  @}

  @{
    @d x y A @.  @d y B @.  @d r x y R @.  @d r x y X @.
    isla.1 @e |- X = dom R @.
    @( The predicate "is a lattice" i.e. a poset in which any two elements have
       upper and lower bounds.  (Contributed by NM, 12-Jun-2008.) @)
    isla @p |- ( R e. LatRel <-> ( R e. PosetRel /\ A. x e. X A. y e. X
      ( ( R supw { x , y } ) e. X /\ ( R infw { x , y } ) e. X ) ) ) @=
      ( vr cv cpr cspw co cdm wcel cinf wa wral cps cla oveq1 eleq12d raleqbidv
      wceq dmeq eqtr4di anbi12d df-lar elrab2 ) FGZAGBGHZIJZUGKZLZUGUHMJZUJLZNZ
      BUJOZAUJOCUHIJZDLZCUHMJZDLZNZBDOZADOFCPQUGCUAZUOVAAUJDVBUJCKDUGCUBEUCZVBU
      NUTBUJDVCVBUKUQUMUSVBUIUPUJDUGCUHIRVCSVBULURUJDUGCUHMRVCSUDTTABFUEUF @.

    @( Closure of the supremum (join) of two lattice elements.  (Contributed by
       NM, 12-Jun-2008.) @)
    laspwcl @p |- ( ( R e. LatRel /\ A e. X /\ B e. X )
                -> ( R supw { A , B } ) e. X ) @=
      ( vx vy cla wcel cpr cspw co cv wral wa cps ralimi wceq oveq2d eleq1d
      cinf isla simpl adantl sylbi preq1 preq2 rspc2v mpan9 3impb ) CHIZADIZBDI
      ZCABJZKLZDIZUKCFMZGMZJZKLZDIZGDNZFDNZULUMOUPUKCPIZVACUSUALDIZOZGDNZFDNZOV
      CFGCDEUBVHVCVDVGVBFDVFVAGDVAVEUCQQUDUEVAUPCAURJZKLZDIFGABDDUQARZUTVJDVKUS
      VICKUQAURUFSTURBRZVJUODVLVIUNCKURBAUGSTUHUIUJ @.

    @( Closure of the infimum (meet) of two lattice elements.  (Contributed by
       NM, 20-Jun-2008.) @)
    lanfwcl @p |- ( ( R e. LatRel /\ A e. X /\ B e. X )
                -> ( R infw { A , B } ) e. X ) @=
      ( vx vy cla wcel cpr cinf co cv wral wa cps ralimi wceq oveq2d eleq1d
      cspw isla simpr adantl sylbi preq1 preq2 rspc2v mpan9 3impb ) CHIZADIZBDI
      ZCABJZKLZDIZUKCFMZGMZJZKLZDIZGDNZFDNZULUMOUPUKCPIZCUSUALDIZVAOZGDNZFDNZOV
      CFGCDEUBVHVCVDVGVBFDVFVAGDVEVAUCQQUDUEVAUPCAURJZKLZDIFGABDDUQARZUTVJDVKUS
      VICKUQAURUFSTURBRZVJUODVLVIUNCKURBAUGSTUHUIUJ @.
  @}

  @{
    @d x y R @.
    @( A lattice is a poset.  (Contributed by NM, 12-Jun-2008.) @)
    laps @p |- ( R e. LatRel -> R e. PosetRel ) @=
      ( vx vy cla wcel cps cv cpr cspw co cdm cinf wa wral eqid isla simplbi )
      ADEAFEABGCGHZIJAKZEARLJSEMCSNBSNBCASSOPQ @.
  @}
$)

  $( The domain of ` <_ ` is ` RR* ` .  (Contributed by FL, 2-Aug-2009.)
     (Revised by Mario Carneiro, 4-May-2015.) $)
  ledm $p |- RR* = dom <_ $=
    ( vx cxr cle cdm cv wcel wbr xrleid lerel releldmi syl cxp wss lerelxr dmss
    ssriv ax-mp dmxpss sstri eqssi ) BCDZABUAAEZBFUBUBCGUBUAFUBHUBUBCIJKPUABBLZ
    DZBCUCMUAUDMNCUCOQBBRST $.

  $( The range of ` <_ ` is ` RR* ` .  (Contributed by FL, 2-Aug-2009.)
     (Revised by Mario Carneiro, 3-Sep-2015.) $)
  lern $p |- RR* = ran <_ $=
    ( vx cxr cle crn wcel wbr xrleid lerel relelrni syl ssriv cxp lerelxr rnssi
    cv rnxpss sstri eqssi ) BCDZABSAOZBETTCFTSETGTTCHIJKSBBLZDBCUAMNBBPQR $.

  $( The field of the 'less or equal to' relationship on the extended real.
     (Contributed by FL, 2-Aug-2009.)  (Revised by Mario Carneiro,
     4-May-2015.) $)
  lefld $p |- RR* = U. U. <_ $=
    ( cle cuni cdm crn cun wrel wceq lerel relfld ax-mp ledm lern uneq12i unidm
    cxr 3eqtr2ri ) ABBZACZADZEZOOEOAFQTGHAIJOROSKLMONP $.

  ${
    $d x y z $.
    $( The "less than or equal to" relationship on the extended reals is a
       toset.  (Contributed by FL, 2-Aug-2009.)  (Revised by Mario Carneiro,
       3-Sep-2015.) $)
    letsr $p |- <_ e. TosetRel $=
      ( vx vy vz cle wcel cxr wss cuni wceq cv wbr wa wal lerelxr simpld simprd
      w3a brel adantl wb ctsr cps cxp ccnv cun wrel ccom cin cid cres wi adantr
      lerel 3jca xrletr mpcom ax-gen mpbir asymref simpr xrletri3 sylan2 mpbird
      gen2 cotr ex xrleid jca breq2 breq1 anbi12d syl5ibcom impbid lefld eqcomi
      alrimiv eleq2s mprgbir cvv xrex xpex ssexi isps ax-mp mpbir3an wo xrletri
      wral rgen2 qfto ledm istsr mpbir2an ) DUAEDUBEZFFUCZDDUDZUEGZWNDUFZDDUGDG
      ZDWPUHUIDHHZUJIZUMWSAJZBJZDKZXCCJZDKZLZXBXEDKZUKZCMZBMAMXJABXICXBFEZXCFEZ
      XEFEZQXGXHXGXKXLXMXGXKXLXDXKXLLXFXBXCFFDNRULZOXGXKXLXNPXFXMXDXFXLXMXCXEFF
      DNRPSUNXBXCXEUOUPUQVDABCDVEURXAXDXCXBDKZLZXBXCIZTZBMZAWTABDUSXSXBFWTXKXRB
      XKXPXQXKXPXQXKXPLXQXPXKXPUTXPXKXLXQXPTXOXLXDXOXLXKXCXBFFDNROSXBXCVAVBVCVF
      XKXBXBDKZXTLXQXPXKXTXTXBVGZYAVHXQXTXDXTXOXBXCXBDVIXBXCXBDVJVKVLVMVPFWTVNV
      OVQVRDVSEWNWRWSXAQTDWOFFVTVTWANWBVSDWCWDWEWQXDXOWFZBFWHAFWHYBABFFXBXCWGWI
      ABFFDWJURDFWKWLWM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Directed sets, nets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c DirRel $.
  $( Extend class notation with the class of directed sets. $)
  cdir $a class DirRel $.

  $c tail $.
  $( Extend class notation with the tail function for directed sets. $)
  ctail $a class tail $.

  $( Define the class of directed sets (the order relation itself is sometimes
     called a direction, and a directed set is a set equipped with a
     direction).  (Contributed by Jeff Hankins, 25-Nov-2009.) $)
  df-dir $a |- DirRel = { r | ( ( Rel r /\ ( _I |` U. U. r ) C_ r ) /\
     ( ( r o. r ) C_ r /\ ( U. U. r X. U. U. r ) C_ ( `' r o. r ) ) ) } $.

  ${
    $d r x $.
    $( Define the tail function for directed sets.  (Contributed by Jeff
       Hankins, 25-Nov-2009.) $)
    df-tail $a |- tail = ( r e. DirRel |->
                  ( x e. U. U. r |-> ( r " { x } ) ) ) $.
  $}

  ${
    $d r A $.  $d r R $.
    isdir.1 $e |- A = U. U. R $.
    $( A condition for a relation to be a direction.  (Contributed by Jeff
       Hankins, 25-Nov-2009.)  (Revised by Mario Carneiro, 22-Nov-2013.) $)
    isdir $p |- ( R e. V -> ( R e. DirRel <-> ( ( Rel R /\ ( _I |` A ) C_ R )
                 /\ ( ( R o. R ) C_ R /\ ( A X. A ) C_ ( `' R o. R ) ) ) ) ) $=
      ( vr cv wrel cid cuni cres wss wa ccom cxp ccnv cdir wceq sseq12d anbi12d
      coeq12d releq unieq unieqd eqtr4di reseq2d id sqxpeqd cnveq df-dir elab2g
      ) EFZGZHUKIZIZJZUKKZLZUKUKMZUKKZUNUNNZUKOZUKMZKZLZLBGZHAJZBKZLZBBMZBKZAAN
      ZBOZBMZKZLZLEBPCUKBQZUQVHVDVOVPULVEUPVGUKBUAVPUOVFUKBVPUNAHVPUNBIZIAVPUMV
      QUKBUBUCDUDZUEVPUFZRSVPUSVJVCVNVPURVIUKBVPUKBUKBVSVSTVSRVPUTVKVBVMVPUNAVR
      UGVPVAVLUKBUKBUHVSTRSSEUIUJ $.
  $}

  $( A direction is a relation.  (Contributed by Jeff Hankins, 25-Nov-2009.)
     (Revised by Mario Carneiro, 22-Nov-2013.) $)
  reldir $p |- ( R e. DirRel -> Rel R ) $=
    ( cdir wcel wrel cid cuni cres wss ccom cxp ccnv wa eqid isdir ibi simplld
    ) ABCZADZEAFFZGAHZAAIAHSSJAKAIHLZQRTLUALSABSMNOP $.

  $( A direction's domain is equal to its field.  (Contributed by Jeff Hankins,
     25-Nov-2009.)  (Revised by Mario Carneiro, 22-Nov-2013.) $)
  dirdm $p |- ( R e. DirRel -> dom R = U. U. R ) $=
    ( cdir wcel cdm cuni wss crn cun ssun1 dmrnssfld sstri a1i cres dmresi wrel
    cid ccom cxp ccnv wa eqid isdir ibi simplrd dmss syl eqsstrrid eqssd ) ABCZ
    ADZAEEZUJUKFUIUJUJAGZHUKUJULIAJKLUIUKPUKMZDZUJUKNUIUMAFZUNUJFUIAOZUOAAQAFUK
    UKRASAQFTZUIUPUOTUQTUKABUKUAUBUCUDUMAUEUFUGUH $.

  ${
    dirref.1 $e |- X = dom R $.
    $( A direction is reflexive.  (Contributed by Jeff Hankins, 25-Nov-2009.)
       (Revised by Mario Carneiro, 22-Nov-2013.) $)
    dirref $p |- ( ( R e. DirRel /\ A e. X ) -> A R A ) $=
      ( cdir wcel cid cres wbr cuni cdm dirdm eqtrid reseq2d wrel wss ccom eqid
      cxp wa ccnv isdir ibi simplrd eqsstrd ssbrd wb resieq anidms mpbiri impel
      wceq ) BEFZAAGCHZIZAABIACFZUMUNBAAUMUNGBJJZHZBUMCUQGUMCBKUQDBLMNUMBOZURBP
      ZBBQBPUQUQSBUABQPTZUMUSUTTVATUQBEUQRUBUCUDUEUFUPUOAAULZARUPUOVBUGCAAUHUIU
      JUK $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.
    $( A direction is transitive.  (Contributed by Jeff Hankins, 25-Nov-2009.)
       (Revised by Mario Carneiro, 22-Nov-2013.) $)
    dirtr $p |- ( ( ( R e. DirRel /\ C e. V ) /\ ( A R B /\ B R C ) )
               -> A R C ) $=
      ( vx vy vz cdir wcel wbr wa cvv wi cv wal wss wceq wb breq12 wrel anim12d
      reldir brrelex1 ex syl w3a ccom cid cuni cres cxp ccnv eqid isdir simprld
      ibi cotr sylib 3adant3 3adant1 anbi12d 3adant2 imbi12d spc3gv syl5 3expia
      com4t mpdd imp31 an32s ) DIJZABDKZBCDKZLZCEJZACDKZVLVOVPVQVLVOAMJZBMJZLZV
      PVQNVLDUAZVOVTNDUCWAVMVRVNVSWAVMVRABDUDUEWAVNVSBCDUDUEUBUFVTVPVLVOVQVRVSV
      PVLVOVQNZNVLFOZGOZDKZWDHOZDKZLZWCWFDKZNZHPGPFPZVRVSVPUGWBVLDDUHDQZWKVLWAU
      IDUJUJZUKDQLZWLWMWMULDUMDUHQZVLWNWLWOLLWMDIWMUNUOUQUPFGHDURUSWJWBFGHABCMM
      EWCARZWDBRZWFCRZUGZWHVOWIVQWSWEVMWGVNWPWQWEVMSWRWCAWDBDTUTWQWRWGVNSWPWDBW
      FCDTVAVBWPWRWIVQSWQWCAWFCDTVCVDVEVFVGVHVIVJVK $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z R $.  $d x y z X $.
    dirge.1 $e |- X = dom R $.
    $( For any two elements of a directed set, there exists a third element
       greater than or equal to both.  Note that this does not say that the two
       elements have a _least_ upper bound.  (Contributed by Jeff Hankins,
       25-Nov-2009.)  (Revised by Mario Carneiro, 22-Nov-2013.) $)
    dirge $p |- ( ( R e. DirRel /\ A e. X /\ B e. X )
              -> E. x e. X ( A R x /\ B R x ) ) $=
      ( vy vz cdir wcel cv wbr wa wex cuni eleq2d wral ccom wss wceq wrex dirdm
      cdm eqtrid anbi12d cxp ccnv wrel cid cres isdir simprrd codir sylib breq1
      eqid ibi anbi1d exbidv anbi2d rspc2v syl5com sylbid crn reldir relelrn ex
      sylan cun ssun2 dmrnssfld sstri sseqtrrid sseld syld adantrd ancrd eximdv
      df-rex syl6ibr 3impib ) DIJZBEJZCEJZBAKZDLZCWEDLZMZAEUAZWBWCWDMZWHANZWIWB
      WJBDOOZJZCWLJZMZWKWBWCWMWDWNWBEWLBWBEDUCZWLFDUBUDZPWBEWLCWQPUEWBGKZWEDLZH
      KZWEDLZMZANZHWLQGWLQZWOWKWBWLWLUFDUGDRSZXDWBDUHZUIWLUJDSMZDDRDSZXEWBXGXHX
      EMMWLDIWLUPUKUQULGHAWLWLDUMUNXCWKWFXAMZANGHBCWLWLWRBTZXBXIAXJWSWFXAWRBWED
      UOURUSWTCTZXIWHAXKXAWGWFWTCWEDUOUTUSVAVBVCWBWKWEEJZWHMZANWIWBWHXMAWBWHXLW
      BWFXLWGWBWFWEDVDZJZXLWBWFXOWBXFWFXODVEBWEDVFVHVGWBXNEWEWBWLXNEXNWPXNVIWLX
      NWPVJDVKVLWQVMVNVOVPVQVRWHAEVSVTVOWA $.
  $}

  $( A totally ordered set is a directed set.  (Contributed by Jeff Hankins,
     25-Nov-2009.)  (Revised by Mario Carneiro, 22-Nov-2013.) $)
  tsrdir $p |- ( A e. TosetRel -> A e. DirRel ) $=
    ( ctsr wcel cdir wrel cid cuni cres wss ccom cxp ccnv cps syl jca wceq eqid
    wa eqsstrrid eqsstrrd tsrps psrel cin psref2 inss1 eqsstrrdi cdm crn psdmrn
    pstr2 simpld sqxpeqd cun istsr simprbi relcoi2 cnvresid cnvss coss1 relcoi1
    relcnv ax-mp relcnvfld reseq2d coss2 unssd sstrd isdir mpbir2and ) ABCZADCA
    EZFAGGZHZAIZRAAJAIZVLVLKZALZAJZIZRVJVKVNVJAMCZVKAUAZAUBNZVJVTVNWAVTVMAVQUCA
    AUDAVQUEUFNZOVJVOVSVJVTVOWAAUJNVJVPAUGZWDKZVRVJWDVLVJWDVLPZAUHVLPZVJVTWFWGR
    WAAUINUKULVJWEAVQUMZVRVJVTWEWHIAWDWDQUNUOVJAVQVRVJAVMAJZVRVJVKWIAPWBAUPNVJV
    MVQIWIVRIVJVMVMLZVQVLUQVJVNWJVQIWCVMAURNSVMVQAUSNTVJVQVQFVQGGZHZJZVRVQEWMVQ
    PAVAVQUTVBVJWLAIWMVRIVJWLVMAVJVLWKFVJVKVLWKPWBAVCNVDWCTWLAVQVENSVFVGTOVLABV
    LQVHVI $.

$( End $[ set-order.mm $] $)


$( Begin $[ set-algstr.mm $] $)
$(
###############################################################################
  BASIC ALGEBRAIC STRUCTURES
###############################################################################
$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Monoids
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Magmas
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  According to Wikipedia ("Magma (algebra)", 08-Jan-2020,
  ~ https://en.wikipedia.org/wiki/magma_(algebra) ) "In abstract algebra, a
  _magma_ [[...] is a basic kind of algebraic structure.  Specifically, a magma
  consists of a set equipped with a single binary operation.  The binary
  operation must be closed by definition but no other properties are imposed.".

  Since the concept of a "binary operation" is used in different variants,
  these differences are explained in more detail in the following:

  With ~ df-mpo , binary operations are defined by a rule, and with ~ df-ov ,
  the value of a binary operation applied to two operands can be expressed.
  In both cases, the two operands can belong to different sets, and the result
  can be an element of a third set.  However, according to Wikipedia "Binary
  operation", see ~ https://en.wikipedia.org/wiki/Binary_operation
  (19-Jan-2020), "... a binary operation on a set ` S ` is a mapping of the
  elements of the Cartesian product ` S X. S ` to S: ` f : S X. S --> S `.
  Because the result of performing the operation on a pair of elements of S is
  again an element of S, the operation is called a _closed_ binary operation on
  S (or sometimes expressed as having the property of closure).".  To
  distinguish this more restrictive definition (in Wikipedia and most of the
  literature) from the general case, binary operations mapping the elements of
  the Cartesian product ` S X. S ` are more precisely called _internal binary
  operations_.  If, in addition, the result is also contained in the set ` S `,
  the operation should be called _closed internal binary operation_.
  Therefore, a "binary operation on a set ` S `" according to Wikipedia is a
  "closed internal binary operation" in a more precise terminology.  If the
  sets are different, the operation is explicitly called _external binary
  operation_ (see Wikipedia ~
  https://en.wikipedia.org/wiki/Binary_operation#External_binary_operations ).

  The definition of magmas (` Mgm `, see ~ df-mgm ) concentrates on the closure
  property of the associated operation, and poses no additional restrictions on
  it.  In this way, it is most general and flexible.

$)

  $c +f $.
  $c Mgm $.

  $( Extend class notation with group addition as a function. $)
  cplusf $a class +f $.

  $( Extend class notation with class of all magmas. $)
  cmgm $a class Mgm $.

  ${
    $d g x y $.
    $( Define group addition function.  Usually we will use ` +g ` directly
       instead of ` +f ` , and they have the same behavior in most cases.  The
       main advantage of ` +f ` for any magma is that it is a guaranteed
       function ( ~ mgmplusf ), while ` +g ` only has closure ( ~ mgmcl ).
       (Contributed by Mario Carneiro, 14-Aug-2015.) $)
    df-plusf $a |- +f = ( g e. _V |->
      ( x e. ( Base ` g ) , y e. ( Base ` g ) |-> ( x ( +g ` g ) y ) ) ) $.
  $}

  ${
    $d b g o x y $.
    $( A _magma_ is a set equipped with an everywhere defined internal
       operation.  Definition 1 in [BourbakiAlg1] p. 1, or definition of a
       groupoid in section I.1 of [Bruck] p. 1.  Note:  The term "groupoid" is
       now widely used to refer to other objects:  (small) categories all of
       whose morphisms are invertible, or groups with a partial function
       replacing the binary operation.  Therefore, we will only use the term
       "magma" for the present notion in set.mm.  (Contributed by FL,
       2-Nov-2009.)  (Revised by AV, 6-Jan-2020.) $)
    df-mgm $a |- Mgm = { g | [. ( Base ` g ) / b ]. [. ( +g ` g ) / o ].
                                A. x e. b A. y e. b ( x o y ) e. b } $.
  $}

  ${
    $d B b m o x y $.  $d M b m o x y $.  $d .o. b m o x y $.
    ismgm.b $e |- B = ( Base ` M ) $.
    ismgm.o $e |- .o. = ( +g ` M ) $.
    $( The predicate "is a magma".  (Contributed by FL, 2-Nov-2009.)  (Revised
       by AV, 6-Jan-2020.) $)
    ismgm $p |- ( M e. V -> ( M e. Mgm
                                <-> A. x e. B A. y e. B ( x .o. y ) e. B ) ) $=
      ( vo vb vm cv co wcel wral cplusg cfv wsbc cbs wceq cmgm fvexd eqtr4di wa
      fveq2 adantr simplr oveq adantl eleq12d raleqbidv sbcied2 df-mgm elab2g
      cvv ) ALZBLZILZMZJLZNZBUTOZAUTOZIKLZPQZRZJVDSQZRUPUQFMZCNZBCOZACOZKDUAEVD
      DTZVFVKJVGCUOVLVDSUBVLVGDSQCVDDSUEGUCVLUTCTZUDZVCVKIVEFUOVNVDPUBVNVEDPQZF
      VLVEVOTVMVDDPUEUFHUCVNURFTZUDZVBVJAUTCVLVMVPUGZVQVAVIBUTCVRVQUSVHUTCVPUSV
      HTVNUPUQURFUHUIVRUJUKUKULULABKIJUMUN $.
  $}

  ${
    $d B x y $.  $d M x y $.  $d .o. x y $.
    ismgmn0.b $e |- B = ( Base ` M ) $.
    ismgmn0.o $e |- .o. = ( +g ` M ) $.
    $( The predicate "is a magma" for a structure with a nonempty base set.
       (Contributed by AV, 29-Jan-2020.) $)
    ismgmn0 $p |- ( A e. B -> ( M e. Mgm
                                <-> A. x e. B A. y e. B ( x .o. y ) e. B ) ) $=
      ( wcel cvv cmgm cv co wral wb cbs cfv eleq2i biimpi elfvexd ismgm syl ) C
      DIZEJIEKIALBLFMDIBDNADNOUCCPEUCCEPQZIDUDCGRSTABDEJFGHUAUB $.
  $}

  ${
    $d B x y $.  $d M x y $.  $d .o. x y $.  $d X x y $.  $d Y y $.
    mgmcl.b $e |- B = ( Base ` M ) $.
    mgmcl.o $e |- .o. = ( +g ` M ) $.
    $( Closure of the operation of a magma.  (Contributed by FL, 14-Sep-2010.)
       (Revised by AV, 13-Jan-2020.) $)
    mgmcl $p |- ( ( M e. Mgm /\ X e. B /\ Y e. B ) -> ( X .o. Y ) e. B ) $=
      ( vx vy cmgm wcel co cv wral wa wi ismgm ibi ovrspc2v expcom syl 3impib )
      BJKZCAKZDAKZCDELAKZUCHMIMELAKIANHANZUDUEOZUFPUCUGHIABJEFGQRUHUGUFHIAAAECD
      STUAUB $.

    $( A condition for a structure not to be a magma.  (Contributed by AV,
       30-Jan-2020.)  (Proof shortened by NM, 5-Feb-2020.) $)
    isnmgm $p |- ( ( X e. B /\ Y e. B /\ ( X .o. Y ) e/ B ) -> M e/ Mgm ) $=
      ( wcel co wnel cmgm wa mgmcl 3expib com12 nelcon3d 3impia ) CAHZDAHZCDEIZ
      AJBKJRSLZBKTABKHZUATAHZUBRSUCABCDEFGMNOPQ $.
  $}

  ${
    mgmsscl.b $e |- B = ( Base ` G ) $.
    mgmsscl.s $e |- S = ( Base ` H ) $.
    $( If the base set of a magma is contained in the base set of another
       magma, and the group operation of the magma is the restriction of the
       group operation of the other magma to its base set, then the base set of
       the magma is closed under the group operation of the other magma.
       Formerly part of proof of ~ grpissubg .  (Contributed by AV,
       17-Feb-2024.) $)
    mgmsscl $p |- ( ( ( G e. Mgm /\ H e. Mgm )
                     /\ ( S C_ B /\ ( +g ` H ) = ( ( +g ` G ) |` ( S X. S ) ) )
                     /\ ( X e. S /\ Y e. S ) ) -> ( X ( +g ` G ) Y ) e. S ) $=
      ( cmgm wcel wa wss cplusg cfv cxp cres wceq w3a co ovres simp3 eqid mgmcl
      3ad2ant3 simp1r 3anass sylanbrc syl wb oveq eleq1d eqcoms adantl 3ad2ant2
      mpbird eqeltrrd ) CIJZDIJZKZBALZDMNZCMNZBBOPZQZKZEBJZFBJZKZRZEFVCSZEFVBSZ
      BVHUSVJVKQVEEFBBVBTUDVIVJBJZEFVASZBJZVIURVFVGRZVNVIURVHVOUQURVEVHUEUSVEVH
      UAURVFVGUFUGBDEFVAHVAUBUCUHVEUSVLVNUIZVHVDVPUTVPVCVAVCVAQVJVMBEFVCVAUJUKU
      LUMUNUOUP $.
  $}

  ${
    $d g x y B $.  $d g x y G $.  $d g x y .+ $.  $d x y X $.  $d x y Y $.
    plusffval.1 $e |- B = ( Base ` G ) $.
    plusffval.2 $e |- .+ = ( +g ` G ) $.
    plusffval.3 $e |- .+^ = ( +f ` G ) $.
    $( The group addition operation as a function.  (Contributed by Mario
       Carneiro, 14-Aug-2015.)  (Proof shortened by AV, 2-Mar-2024.) $)
    plusffval $p |- .+^ = ( x e. B , y e. B |-> ( x .+ y ) ) $=
      ( vg cplusf cfv cv co cmpo cvv wceq cbs cplusg c0 wcel eqtr4di mpoeq123dv
      fveq2 oveqd df-plusf crn csn cun fvexi rnex p0ex unex df-ov fvrn0 eqeltri
      cop rgen2w mpoexw fvmpt wn fvprc wo eqtrid 0mpo0 syl eqtr4d pm2.61i eqtri
      olcd ) EFKLZABCCAMZBMZDNZOZIFPUAZVKVOQJFABJMZRLZVRVLVMVQSLZNZOVOPKVQFQZAB
      VRVRVTCCVNWAVRFRLZCVQFRUDGUBZWCWAVSDVLVMWAVSFSLDVQFSUDHUBUEUCABJUFABCCVND
      UGZTUHZUIZCFRGUJZWGWDWEDDFSHUJUKULUMVNWFUAABCCVNVLVMUQZDLWFVLVMDUNDWHUOUP
      URUSUTVPVAZVKTVOFKVBWICTQZWJVCVOTQWIWJWJWICWBTGFRVBVDVJABCCVNVEVFVGVHVI
      $.

    $( The group addition operation as a function.  (Contributed by Mario
       Carneiro, 14-Aug-2015.) $)
    plusfval $p |- ( ( X e. B /\ Y e. B ) -> ( X .+^ Y ) = ( X .+ Y ) ) $=
      ( vx vy cv co oveq12 plusffval ovex ovmpoa ) JKEFAAJLZKLZBMEFBMCRESFBNJKA
      BCDGHIOEFBPQ $.

    $( If the addition operation is already a function, the functionalization
       of it is equal to the original operation.  (Contributed by Mario
       Carneiro, 14-Aug-2015.) $)
    plusfeq $p |- ( .+ Fn ( B X. B ) -> .+^ = .+ ) $=
      ( vx vy cxp wfn cv co cmpo plusffval wceq fnov biimpi eqtr4id ) BAAJKZCHI
      AAHLILBMNZBHIABCDEFGOTBUAPHIAABQRS $.
  $}

  ${
    $d x y B $.  $d x y G $.
    plusffn.1 $e |- B = ( Base ` G ) $.
    plusffn.2 $e |- .+^ = ( +f ` G ) $.
    $( The group addition operation is a function.  (Contributed by Mario
       Carneiro, 20-Sep-2015.) $)
    plusffn $p |- .+^ Fn ( B X. B ) $=
      ( vx vy cv cplusg cfv co eqid plusffval ovex fnmpoi ) FGAAFHZGHZCIJZKBFGA
      RBCDRLEMPQRNO $.
  $}

  ${
    $d B x y $.  $d M x y $.
    mgmplusf.1 $e |- B = ( Base ` M ) $.
    mgmplusf.2 $e |- .+^ = ( +f ` M ) $.
    $( The group addition function of a magma is a function into its base set.
       (Contributed by Mario Carneiro, 14-Aug-2015.)  (Revisd by AV,
       28-Jan-2020.) $)
    mgmplusf $p |- ( M e. Mgm -> .+^ : ( B X. B ) --> B ) $=
      ( vx vy cmgm wcel cv cplusg cfv co wral cxp eqid mgmcl 3expb ralrimivva
      wf plusffval fmpo sylib ) CHIZFJZGJZCKLZMZAIZGANFANAAOABTUDUIFGAAUDUEAIUF
      AIUIACUEUFUGDUGPZQRSFGAAUHABFGAUGBCDUJEUAUBUC $.
  $}

  ${
    $d B x y $.  $d H x y $.  $d S x y $.  $d V x y $.
    issstrmgm.b $e |- B = ( Base ` G ) $.
    issstrmgm.p $e |- .+ = ( +g ` G ) $.
    issstrmgm.h $e |- H = ( G |`s S ) $.
    $( Characterize a substructure as submagma by closure properties.
       (Contributed by AV, 30-Aug-2021.) $)
    issstrmgm $p |- ( ( H e. V /\ S C_ B ) -> ( H e. Mgm
                                 <-> A. x e. S A. y e. S ( x .+ y ) e. S ) ) $=
      ( wcel wa cv co wral cfv cbs adantr adantl wss cmgm cplusg simplr wi wceq
      ressbas2 syl eleq2d biimpcd impcom eqid mgmcl syl3anc cvv fvexi ressplusg
      ssex oveqdr 3eltr4d ralrimivva oveqd eleq12d raleqbidv biimpa wb ad2antrr
      ismgm mpbird impbida ) GHLZECUAZMZGUBLZANZBNZDOZELZBEPZAEPZVMVNMZVRABEEWA
      VOELZVPELZMZMZVOVPGUCQZOZGRQZVQEWEVNVOWHLZVPWHLZWGWHLZVMVNWDUDWDWAWIWBWAW
      IUEWCWAWBWIWAEWHVOWAVLEWHUFZVKVLVNUDECGFKIUGZUHZUIUJSUKWDWAWJWCWAWJUEWBWA
      WCWJWAEWHVPWNUIUJTUKWHGVOVPWFWHULZWFULZUMUNWAWDABDWFVMDWFUFZVNVMEUOLZWQVL
      WRVKECCFRIUPURTEDFGUOKJUQUHZSUSWAWLWDWNSUTVAVMVTMVNWKBWHPZAWHPZVMVTXAVMVS
      WTAEWHVLWLVKWMTZVMVRWKBEWHXBVMVQWGEWHVMDWFVOVPWSVBXBVCVDVDVEVKVNXAVFVLVTA
      BWHGHWFWOWPVHVGVIVJ $.
  $}

  $( The internal operation for a set is the trivial operation iff the set is a
     singleton.  Formerly part of proof of ~ ring1zr .  (Contributed by FL,
     13-Feb-2010.)  (Revised by AV, 23-Jan-2020.) $)
  intopsn $p |- ( ( .o. : ( B X. B ) --> B /\ Z e. B )
                  -> ( B = { Z } <-> .o. = { <. <. Z , Z >. , Z >. } ) ) $=
    ( cxp wf wcel wa csn wceq cop simpl sqxpeqd feq23d syl5ibcom cdm fdm eqcomd
    id adantr cvv eqeq2d xpid11 syl6ib impbid simpr xpsng sylancom wb opex fsng
    feq2d mpan adantl 3bitrd ) AADZABEZCAFZGZACHZIZUSUSDZUSBEZCCJZHZUSBEZBVCCJH
    IZURUTVBURUPUTVBUPUQKUTUOAVAUSBUTAUSUTRZLVGMNURVBUOVAIZUTURUOBOZIZVBVHUPVJU
    QUPVIUOUOABPQSVBVIVAUOVAUSBPUANAUSUBUCUDURVAVDUSBUPUQUQVAVDIUPUQUECCAAUFUGU
    KUQVEVFUHZUPVCTFUQVKCCUIVCCTABUJULUMUN $.

  ${
    mgmb1mgm1.b $e |- B = ( Base ` M ) $.
    mgmb1mgm1.p $e |- .+ = ( +g ` M ) $.
    $( The only magma with a base set consisting of one element is the trivial
       magma (at least if its operation is an internal binary operation).
       (Contributed by AV, 23-Jan-2020.)  (Revised by AV, 7-Feb-2020.) $)
    mgmb1mgm1 $p |- ( ( M e. Mgm /\ Z e. B /\ .+ Fn ( B X. B ) )
                      -> ( B = { Z } <-> .+ = { <. <. Z , Z >. , Z >. } ) ) $=
      ( cmgm wcel cxp wfn w3a wf csn wceq cop wb cplusf cfv wi eqid feq1 syl5ib
      plusfeq mgmplusf syl impcom 3adant2 simp2 intopsn syl2anc ) CGHZDAHZBAAIZ
      JZKUMABLZULADMNBDDODOMNPUKUNUOULUNUKUOUNCQRZBNZUKUOSABUPCEFUPTZUCUKUMAUPL
      UQUOAUPCEURUDUMAUPBUAUBUEUFUGUKULUNUHABDUIUJ $.
  $}

  ${
    $d M x y $.
    $( Any set with an empty base set and any group operation is a magma.
       (Contributed by AV, 28-Aug-2021.) $)
    mgm0 $p |- ( ( M e. V /\ ( Base ` M ) = (/) ) -> M e. Mgm ) $=
      ( vx vy wcel cbs c0 wceq wa cmgm cv cplusg co wral rzal adantl eqid ismgm
      cfv wb adantr mpbird ) ABEZAFSZGHZIAJEZCKDKALSZMUDEDUDNZCUDNZUEUIUCUHCUDO
      PUCUFUITUECDUDABUGUDQUGQRUAUB $.
  $}

  $( The structure with an empty base set and any group operation is a magma.
     (Contributed by AV, 28-Aug-2021.) $)
  mgm0b $p |- { <. ( Base ` ndx ) , (/) >. , <. ( +g ` ndx ) , O >. } e. Mgm $=
    ( cnx cbs cfv c0 cop cplusg cpr cvv wcel wceq cmgm prex eqid grpbase eqcomd
    0ex ax-mp mgm0 mp2an ) BCDEFZBGDAFZHZIJUCCDZEKZUCLJUAUBMEIJZUEQUFEUDEAUCIUC
    NOPRUCIST $.

  ${
    $d I x y $.  $d M x y $.
    mgm1.m $e |- M = { <. ( Base ` ndx ) , { I } >. ,
                       <. ( +g ` ndx ) , { <. <. I , I >. , I >. } >. } $.
    $( The structure with one element and the only closed internal operation
       for a singleton is a magma.  (Contributed by AV, 10-Feb-2020.) $)
    mgm1 $p |- ( I e. V -> M e. Mgm ) $=
      ( vx vy wcel cv cop csn wral cfv cvv wceq eleq1d ralsng mpbird snex ax-mp
      co cmgm df-ov opex fvsng mpan eqtrid snidg eqeltrd oveq1 ralbidv oveq2 wb
      bitrd cbs grpbase cplusg grpplusg ismgmn0 syl ) ACGZBUAGZEHZFHZAAIZAIZJZT
      ZAJZGZFVHKZEVHKZUTVKAAVFTZVHGZUTVLAVHUTVLVDVFLZAAAVFUBVDMGUTVNANAAUCVDAMC
      UDUEUFACUGZUHUTVKAVCVFTZVHGZFVHKZVMVJVREACVBANZVIVQFVHVSVGVPVHVBAVCVFUIOU
      JPVQVMFACVCANVPVLVHVCAAVFUKOPUMQUTAVHGVAVKULVOEFAVHBVFVHMGVHBUNLNARVHVFBM
      DUOSVFMGVFBUPLNVERVHVFBMDUQSURUSQ $.
  $}

  ${
    $d B x y $.  $d B a b $.  $d M x a b $.  $d ph a b $.  $d ph x y $.
    opifismgm.b $e |- B = ( Base ` M ) $.
    opifismgm.p $e |- ( +g ` M ) = ( x e. B , y e. B
                                     |-> if ( ps , C , D ) ) $.
    opifismgm.n $e |- ( ph -> B =/= (/) ) $.
    opifismgm.c $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) -> C e. B ) $.
    opifismgm.d $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) -> D e. B ) $.
    $( A structure with a group addition operation expressed by a conditional
       operator is a magma if both values of the conditional operator are
       contained in the base set.  (Contributed by AV, 9-Feb-2020.) $)
    opifismgm $p |- ( ph -> M e. Mgm ) $=
      ( va vb wcel cv wral wa ralrimivva cmgm cplusg cfv co ifcld adantr simprl
      cif simprr ovmpoelrn syl3anc c0 wne wb wex eqid ismgmn0 exlimiv sylbi syl
      n0 mpbird ) AHUAPZNQZOQZHUBUCZUDEPZOERNERZAVGNOEEAVDEPZVEEPZSZSBFGUHZEPZD
      ERCERZVIVJVGAVNVKAVMCDEEACQZEPZDQEPSSBFGELMUETUFAVIVJUGAVIVJUICDEEVLEVFVD
      VEJUJUKTAEULUMZVCVHUNZKVQVPCUOVRCEVAVPVRCNOVOEHVFIVFUPUQURUSUTVB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Identity elements
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  According to Wikipedia ("Identity element", 7-Feb-2020,
  ~ https://en.wikipedia.org/wiki/Identity_element ): "In mathematics, an
  _identity element_, or _neutral element_, is a special type of element of a
  set with respect to a binary operation on that set, which leaves any element
  of the set unchanged when combined with it.". Or in more detail "... an
  element e of S is called a _left identity_ if e * a = a for all a in S, and a
  _right identity_ if a * e = a for all a in S.  If e is both a left identity
  and a right identity, then it is called a _two-sided identity_, or simply an
  _identity_."  We concentrate on two-sided identities in the following.  The
  existence of an identity (an identity is unique if it exists, see ~ mgmidmo )
  is an important property of monoids (see ~ mndid ), and therefore also for
  groups (see ~ grpid ), but also for magmas not required to be associative.
  Magmas with an identity element are called "unital magmas" (see Definition 2
  in [BourbakiAlg1] p. 12) or, if the magmas are cancellative, "loops" (see
  definition in [Bruck] p. 15).

  In the context of extensible structures, the identity element (of any magma
  ` M `) is defined as "group identity element" ` ( 0g `` M ) `, see ~ df-0g .
  Related theorems which are already valid for magmas are provided in the
  following.

$)

  ${
    $d u w x B $.  $d u w x .+ $.
    $( A two-sided identity element is unique (if it exists) in any magma.
       (Contributed by Mario Carneiro, 7-Dec-2014.)  (Revised by NM,
       17-Jun-2017.) $)
    mgmidmo $p |- E* u e. B A. x e. B ( ( u .+ x ) = x /\ ( x .+ u ) = x ) $=
      ( vw cv co wceq wa wral wrmo wi wcel simpl ralimi oveq1 id eqeq12d rspcva
      weq simpr oveq2 sylan9req an42s ex syl2ani rgen2 eqeq1d ovanraleqv mpbir
      rmo4 ) BFZAFZDGZUMHZUMULDGUMHZIZACJZBCKUREFZUMDGZUMHZUMUSDGZUMHZIZACJZIBE
      TZLZECJBCJVGBECCURULCMZUSCMZIZUOACJZVCACJZVFVEUQUOACUOUPNOVDVCACVAVCUAOVJ
      VKVLIVFVHVLVIVKVFVHVLIVIVKIULULUSDGZUSVCVMULHAULCABTZVBVMUMULUMULUSDPVNQR
      SUOVMUSHAUSCAETZUNVMUMUSUMUSULDUBVOQRSUCUDUEUFUGURVEBECUOVAAUMULUMDCUSVFU
      NUTUMULUSUMDPUHUIUKUJ $.
  $}

  ${
    $d e g x B $.  $d e g x G $.  $d g .+ $.
    grpidval.b $e |- B = ( Base ` G ) $.
    grpidval.p $e |- .+ = ( +g ` G ) $.
    grpidval.o $e |- .0. = ( 0g ` G ) $.
    $( The value of the identity element of a group.  (Contributed by NM,
       20-Aug-2011.)  (Revised by Mario Carneiro, 2-Oct-2015.) $)
    grpidval $p |- .0. =
     ( iota e ( e e. B /\ A. x e. B ( ( e .+ x ) = x /\ ( x .+ e ) = x ) ) ) $=
      ( vg c0g cfv cv wcel co wceq wa cbs cplusg c0 wral cio cvv eqtr4di eleq2d
      fveq2 oveqd eqeq1d anbi12d raleqbidv iotabidv df-0g iotaex fvmpt wn fvprc
      weu wex euex n0i eqtrid nsyl2 adantr exlimiv iotanul nsyl5 eqtr4d pm2.61i
      syl eqtri ) FEKLZDMZBNZVLAMZCOZVNPZVNVLCOZVNPZQZABUAZQZDUBZIEUCNZVKWBPJEV
      LJMZRLZNZVLVNWDSLZOZVNPZVNVLWGOZVNPZQZAWEUAZQZDUBWBUCKWDEPZWNWADWOWFVMWMV
      TWOWEBVLWOWEERLZBWDERUFGUDZUEWOWLVSAWEBWQWOWIVPWKVRWOWHVOVNWOWGCVLVNWOWGE
      SLCWDESUFHUDZUGUHWOWJVQVNWOWGCVNVLWRUGUHUIUJUIUKADJULWADUMUNWCUOZVKTWBEKU
      PWADUQZWCWBTPWTWADURWCWADUSWAWCDVMWCVTVMBTPWCBVLUTWSBWPTGERUPVAVBVCVDVIWA
      DVEVFVGVHVJ $.
  $}

  ${
    $d w x y z B $.  $d w x y z K $.  $d w x y z ph $.  $d w x y z L $.
    grpidpropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    grpidpropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    grpidpropd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    $( If two structures have the same base set, and the values of their group
       (addition) operations are equal for all pairs of elements of the base
       set, they have the same identity element.  (Contributed by Mario
       Carneiro, 27-Nov-2014.) $)
    grpidpropd $p |- ( ph -> ( 0g ` K ) = ( 0g ` L ) ) $=
      ( vz vw cv cfv wcel co wceq wa wral anbi12d eqid cbs cplusg cio wb eqeq1d
      c0g oveqrspc2v ancom2s anassrs ralbidva pm5.32da raleqdv 3bitr3d iotabidv
      eleq2d grpidval 3eqtr4g ) ABLZEUAMZNZURCLZEUBMZOZVAPZVAURVBOZVAPZQZCUSRZQ
      ZBUCURFUAMZNZURVAFUBMZOZVAPZVAURVLOZVAPZQZCVJRZQZBUCEUFMZFUFMZAVIVSBAURDN
      ZVGCDRZQWBVQCDRZQVIVSAWBWCWDAWBQVGVQCDAWBVADNZVGVQUDAWBWEQQZVDVNVFVPWFVCV
      MVAIUEWFVEVOVAAWEWBVEVOPAJKDDVBVLVAURABCDDVBVLJLKLIUGUGUHUESUIUJUKAWBUTWC
      VHADUSURGUOAVGCDUSGULSAWBVKWDVRADVJURHUOAVQCDVJHULSUMUNCUSVBBEVTUSTVBTVTT
      UPCVJVLBFWAVJTVLTWATUPUQ $.
  $}

  ${
    $d e g x $.
    $( The group zero extractor is a function.  (Contributed by Stefan O'Rear,
       10-Jan-2015.) $)
    fn0g $p |- 0g Fn _V $=
      ( vg ve vx cvv cv cbs cfv wcel cplusg co wceq wa wral iotaex df-0g fnmpti
      cio c0g ) ADBEZAEZFGZHSCEZTIGZJUBKUBSUCJUBKLCUAMLZBQRUDBNCBAOP $.

    $( The identity element function evaluates to the empty set on an empty
       structure.  (Contributed by Stefan O'Rear, 2-Oct-2015.) $)
    0g0 $p |- (/) = ( 0g ` (/) ) $=
      ( ve vx c0 c0g cfv cv wcel cplusg co wceq wa wral cio base0 eqid grpidval
      weu wn wex noel intnanr nex euex mto iotanul ax-mp eqtr2i ) CDEZAFZCGZUIB
      FZCHEZIUKJUKUIULIUKJKBCLZKZAMZCBCULACUHNULOUHOPUNAQZRUOCJUPUNASUNAUJUMUIT
      UAUBUNAUCUDUNAUEUFUG $.
  $}

  ${
    $d e x .+ $.  $d e x .0. $.  $d e x B $.  $d e x G $.  $d x X $.
    $d e x U $.
    ismgmid.b $e |- B = ( Base ` G ) $.
    ismgmid.o $e |- .0. = ( 0g ` G ) $.
    ismgmid.p $e |- .+ = ( +g ` G ) $.
    ${
      mgmidcl.e $e |- ( ph ->
        E. e e. B A. x e. B ( ( e .+ x ) = x /\ ( x .+ e ) = x ) ) $.
      $( The identity element of a magma, if it exists, belongs to the base
         set.  (Contributed by Mario Carneiro, 27-Dec-2014.) $)
      ismgmid $p |- ( ph -> ( ( U e. B /\
        A. x e. B ( ( U .+ x ) = x /\ ( x .+ U ) = x ) ) <-> .0. = U ) ) $=
        ( wcel cv co wceq wa wral crio wb wreu wrex wrmo mgmidmo reu5 sylanblrc
        oveq1 eqeq1d ovanraleqv riota2 syl2anr pm5.32da riotacl eleq1 syl5ibcom
        id syl pm4.71rd cio df-riota grpidval eqtr4i eqeq1i a1i 3bitr2d ) AECMZ
        EBNZDOZVGPZVGEDOVGPQBCRZQVFFNZVGDOZVGPZVGVKDOVGPQBCRZFCSZEPZQVPHEPZAVFV
        JVPVFVFVNFCUAZVJVPTAVFUPAVNFCUBVNFCUCVRLBFCDUDVNFCUEUFZVNVJFCEVMVIBVGVK
        VGDCEVKEPVLVHVGVKEVGDUGUHUIUJUKULAVPVFAVOCMZVPVFAVRVTVSVNFCUMUQVOECUNUO
        URVPVQTAVOHEVOVKCMVNQFUSHVNFCUTBCDFGHIKJVAVBVCVDVE $.

      $( The identity element of a magma, if it exists, belongs to the base
         set.  (Contributed by Mario Carneiro, 27-Dec-2014.) $)
      mgmidcl $p |- ( ph -> .0. e. B ) $=
        ( wcel cv co wceq wa wral eqid ismgmid mpbiri simpld ) AGCLZGBMZDNUCOUC
        GDNUCOPBCQZAUBUDPGGOGRABCDGEFGHIJKSTUA $.

      $( The identity element of a magma, if it exists, is a left and right
         identity.  (Contributed by Mario Carneiro, 27-Dec-2014.) $)
      mgmlrid $p |- ( ( ph /\ X e. B ) ->
        ( ( .0. .+ X ) = X /\ ( X .+ .0. ) = X ) ) $=
        ( cv co wceq wa wral wcel eqid eqeq12d ismgmid mpbiri simprd id anbi12d
        oveq2 oveq1 rspccva sylan ) AHBMZDNZUJOZUJHDNZUJOZPZBCQZGCRHGDNZGOZGHDN
        ZGOZPZAHCRZUPAVBUPPHHOHSABCDHEFHIJKLUAUBUCUOVABGCUJGOZULURUNUTVCUKUQUJG
        UJGHDUFVCUDZTVCUMUSUJGUJGHDUGVDTUEUHUI $.
    $}

    $d x ph $.
    ismgmid2.u $e |- ( ph -> U e. B ) $.
    ismgmid2.l $e |- ( ( ph /\ x e. B ) -> ( U .+ x ) = x ) $.
    ismgmid2.r $e |- ( ( ph /\ x e. B ) -> ( x .+ U ) = x ) $.
    $( Show that a given element is the identity element of a magma.
       (Contributed by Mario Carneiro, 27-Dec-2014.) $)
    ismgmid2 $p |- ( ph -> U = .0. ) $=
      ( ve wcel cv co wceq wa wral jca ralrimiva oveq1 eqeq1d ovanraleqv rspcev
      wrex syl2anc ismgmid mpbi2and eqcomd ) AGEAECOZEBPZDQZUMRZUMEDQUMRZSZBCTZ
      GERKAUQBCAUMCOSUOUPLMUAUBZABCDENFGHIJAULURNPZUMDQZUMRZUMUTDQUMRSBCTZNCUGK
      USVCURNECVBUOBUMUTUMDCEUTERVAUNUMUTEUMDUCUDUEUFUHUIUJUK $.
  $}

  ${
    $d B x $.  $d L x $.  $d R x $.  $d .+ x $.
    lidrideqd.l $e |- ( ph -> L e. B ) $.
    lidrideqd.r $e |- ( ph -> R e. B ) $.
    lidrideqd.li $e |- ( ph -> A. x e. B ( L .+ x ) = x ) $.
    lidrideqd.ri $e |- ( ph -> A. x e. B ( x .+ R ) = x ) $.
    $( If there is a left and right identity element for any binary operation
       (group operation) ` .+ ` , both identity elements are equal.
       Generalization of statement in [Lang] p. 3: it is sufficient that "e" is
       a left identity element and "e``" is a right identity element instead of
       both being (two-sided) identity elements.  (Contributed by AV,
       26-Dec-2023.) $)
    lidrideqd $p |- ( ph -> L = R ) $=
      ( co cv wceq oveq1 id eqeq12d rspcdva oveq2 eqtr3d ) AFEDKZFEABLZEDKZUAMT
      FMBCFUAFMZUBTUAFUAFEDNUCOPJGQAFUADKZUAMTEMBCEUAEMZUDTUAEUAEFDRUEOPIHQS $.

    $d B x y $.  $d L y $.  $d R y $.  $d G y $.  $d .+ y $.  $d .0. y $.
    $d ph y $.
    lidrideqd.b $e |- B = ( Base ` G ) $.
    lidrideqd.p $e |- .+ = ( +g ` G ) $.
    lidrididd.o $e |- .0. = ( 0g ` G ) $.
    $( If there is a left and right identity element for any binary operation
       (group operation) ` .+ ` , the left identity element (and therefore also
       the right identity element according to ~ lidrideqd ) is equal to the
       two-sided identity element.  (Contributed by AV, 26-Dec-2023.) $)
    lidrididd $p |- ( ph -> L = .0. ) $=
      ( vy cv co wceq wral wcel oveq2 id eqeq12d rspcv mpan9 wi lidrideqd oveq1
      weq wa adantl simpl eqtrd ex syl6com com23 sylc imp ismgmid2 ) APCDGFHMON
      IAGBQZDRZVASZBCTPQZCUAZGVDDRZVDSZKVCVGBVDCBPUJZVBVFVAVDVAVDGDUBVHUCZUDUEU
      FAVEVDGDRZVDSZAVAEDRZVASZBCTZGESZVEVKUGLABCDEGIJKLUHVNVEVOVKVEVNVDEDRZVDS
      ZVOVKUGVMVQBVDCVHVLVPVAVDVAVDEDUIVIUDUEVQVOVKVQVOUKVJVPVDVOVJVPSVQGEVDDUB
      ULVQVOUMUNUOUPUQURUSUT $.
  $}

  ${
    $d x G $.  $d x ph $.  $d x .0. $.
    grpidd.b $e |- ( ph -> B = ( Base ` G ) ) $.
    grpidd.p $e |- ( ph -> .+ = ( +g ` G ) ) $.
    grpidd.z $e |- ( ph -> .0. e. B ) $.
    grpidd.i $e |- ( ( ph /\ x e. B ) -> ( .0. .+ x ) = x ) $.
    grpidd.j $e |- ( ( ph /\ x e. B ) -> ( x .+ .0. ) = x ) $.
    $( Deduce the identity element of a magma from its properties.
       (Contributed by Mario Carneiro, 6-Jan-2015.) $)
    grpidd $p |- ( ph -> .0. = ( 0g ` G ) ) $=
      ( cbs cfv eqid wcel co wceq oveqd eqtr3d syldan cplusg c0g eleqtrd eleq2d
      cv biimpar wa adantr ismgmid2 ) ABELMZEUAMZFEEUBMZUJNULNUKNAFCUJIGUCABUEZ
      UJOZUMCOZFUMUKPZUMQAUOUNACUJUMGUDUFZAUOUGZFUMDPUPUMURDUKFUMADUKQUOHUHZRJS
      TAUNUOUMFUKPZUMQUQURUMFDPUTUMURDUKUMFUSRKSTUI $.
  $}

  ${
    $d x y z B $.  $d x y z G $.  $d x y z .+ $.  $d x V $.  $d x y z .0. $.
    mgmidsssn0.b $e |- B = ( Base ` G ) $.
    mgmidsssn0.z $e |- .0. = ( 0g ` G ) $.
    mgmidsssn0.p $e |- .+ = ( +g ` G ) $.
    mgmidsssn0.o $e |- O = { x e. B |
      A. y e. B ( ( x .+ y ) = y /\ ( y .+ x ) = y ) } $.
    $( Property of the set of identities of ` G ` .  Either ` G ` has no
       identities, and ` O = (/) ` , or it has one and this identity is unique
       and identified by the ` 0g ` function.  (Contributed by Mario Carneiro,
       7-Dec-2014.) $)
    mgmidsssn0 $p |- ( G e. V -> O C_ { .0. } ) $=
      ( vz wcel cv co wceq wa wral sylibr crab csn wi wss simpr wrex ovanraleqv
      oveq1 eqeq1d rspcev adantl ismgmid mpbid eqcomd velsn expr rabss eqsstrid
      ralrimiva ) EGNZFAOZBOZDPZVBQZVBVADPVBQRBCSZACUAZHUBZLUTVEVAVGNZUCZACSVFV
      GUDUTVIACUTVACNZVEVHUTVJVERZRZVAHQVHVLHVAVLVKHVAQUTVKUEVLBCDVAMEHIJKVKMOZ
      VBDPZVBQZVBVMDPVBQRBCSZMCUFUTVPVEMVACVOVDBVBVMVBDCVAVMVAQVNVCVBVMVAVBDUHU
      IUGUJUKULUMUNAHUOTUPUSVEACVGUQTUR $.
  $}

  ${
    $d n u v w x y z B $.  $d n u v w x y z O $.  $d n u v w x y z ph $.
    $d u v w y z N $.  $d n u v w x y z .+ $.  $d u v w y z X $.
    $d u v w y ps $.
    grprinvlem.c $e |- ( ( ph /\ x e. B /\ y e. B ) -> ( x .+ y ) e. B ) $.
    grprinvlem.o $e |- ( ph -> O e. B ) $.
    grprinvlem.i $e |- ( ( ph /\ x e. B ) -> ( O .+ x ) = x ) $.
    grprinvlem.a $e |- ( ( ph /\ ( x e. B /\ y e. B /\ z e. B ) )
          -> ( ( x .+ y ) .+ z ) = ( x .+ ( y .+ z ) ) ) $.
    grprinvlem.n $e |- ( ( ph /\ x e. B ) -> E. y e. B ( y .+ x ) = O ) $.
    ${
      grprinvlem.x $e |- ( ( ph /\ ps ) -> X e. B ) $.
      grprinvlem.e $e |- ( ( ph /\ ps ) -> ( X .+ X ) = X ) $.
      $( Lemma for ~ grprinvd .  (Contributed by NM, 9-Aug-2013.) $)
      grprinvlem $p |- ( ( ph /\ ps ) -> X = O ) $=
        ( cv co wceq wcel vu vv vw wa wrex wral ralrimiva oveq2 eqeq1d cbvralvw
        rexbidv sylib rspccva syl2an2r oveq2d adantr simprr oveq1d w3a caovassg
        ad4ant14 simprl caovassd id eqeq12d rspcdva 3eqtr3d rexlimddv ) ABUDZDQ
        ZIGRZHSZIHSDFAVJEQZGRZHSZDFUEZEFUFZBIFTZVLDFUEZAVJCQZGRZHSZDFUEZCFUFVQA
        WCCFNUGWCVPCEFVTVMSZWBVODFWDWAVNHVTVMVJGUHUIUKUJULOVPVSEIFVMISZVOVLDFWE
        VNVKHVMIVJGUHUIUKUMUNVIVJFTZVLUDZUDZVJIIGRZGRZVKIHVIWJVKSWGVIWIIVJGPUOU
        PWHVKIGRHIGRZWJIWHVKHIGVIWFVLUQZURWHUAUBUCVJIIFGAUAQZFTUBQZFTUCQZFTUSWM
        WNGRWOGRWMWNWOGRGRSBWGACDEWMWNWOFGMUTVAVIWFVLVBVIVRWGOUPZWPVCVIWKISZWGV
        IHVJGRZVJSZWQDFIVJISZWRWKVJIVJIHGUHWTVDVEAWSDFUFZBAHVTGRZVTSZCFUFXAAXCC
        FLUGXCWSCDFVTVJSZXBWRVTVJVTVJHGUHXDVDVEUJULUPOVFUPVGWLVGVH $.
    $}

    ${
      grprinvd.x $e |- ( ( ph /\ ps ) -> X e. B ) $.
      grprinvd.n $e |- ( ( ph /\ ps ) -> N e. B ) $.
      grprinvd.e $e |- ( ( ph /\ ps ) -> ( N .+ X ) = O ) $.
      $( Deduce right inverse from left inverse and left identity in an
         associative structure (such as a group).  (Contributed by NM,
         10-Aug-2013.)  (Proof shortened by Mario Carneiro, 6-Jan-2015.) $)
      grprinvd $p |- ( ( ph /\ ps ) -> ( X .+ N ) = O ) $=
        ( co wcel vu vv vw wa cv caovclg adantlr caovcld wceq caovassg caovassd
        3expb w3a oveq1d oveq2 id eqeq12d wral ralrimiva cbvralvw sylib rspcdva
        adantr 3eqtr3d oveq2d eqtrd grprinvlem ) ABCDEFGIJHGSZKLMNOABUDZUAUBJHF
        FFGAUAUEZFTZUBUEZFTZUDVJVLGSZFTBACDVJVLFFFGACUEZFTDUEZFTVOVPGSFTKULUFUG
        PQUHZVIVHVHGSJHVHGSZGSVHVIUAUBUCJHVHFGAVKVMUCUEZFTUMVNVSGSVJVLVSGSGSUIB
        ACDEVJVLVSFGNUJUGZPQVQUKVIVRHJGVIHJGSZHGSIHGSZVRHVIWAIHGRUNVIUAUBUCHJHF
        GVTQPQUKVIIVPGSZVPUIZWBHUIDFHVPHUIZWCWBVPHVPHIGUOWEUPUQAWDDFURZBAIVOGSZ
        VOUIZCFURWFAWHCFMUSWHWDCDFVOVPUIZWGWCVOVPVOVPIGUOWIUPUQUTVAVCQVBVDVEVFV
        G $.
    $}

    $( Deduce right identity from left inverse and left identity in an
       associative structure (such as a group).  (Contributed by NM,
       10-Aug-2013.)  (Proof shortened by Mario Carneiro, 6-Jan-2015.) $)
    grpridd $p |- ( ( ph /\ x e. B ) -> ( x .+ O ) = x ) $=
      ( vn vu vv cv wcel wa co wceq vw oveq1 eqeq1d cbvrexvw sylib w3a caovassg
      adantlr simprl simprrl caovassd simprrr grprinvd oveq1d 3eqtr3d rexlimddv
      wrex oveq2d anassrs eqtr3d ) ABPZEQZRZGVAFSZVAGFSZVAVCMPZVAFSZGTZVDVETZME
      VCCPZVAFSZGTZCEUQVHMEUQLVLVHCMEVJVFTVKVGGVJVFVAFUBUCUDUEAVBVFEQZVHRZVIAVB
      VNRZRZVAVFFSZVAFSVAVGFSVDVEVPNOUAVAVFVAEFANPZEQOPZEQUAPZEQUFVRVSFSVTFSVRV
      SVTFSFSTVOABCDVRVSVTEFKUGUHAVBVNUIZAVBVMVHUJZWAUKVPVQGVAFAVOBCDEFVFGVAHIJ
      KLWAWBAVBVMVHULZUMUNVPVGGVAFWCURUOUSUPJUT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Iterated sums in a magma
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The symbol ` gsum ` is mostly used in the context of abelian groups.
  Therefore, it is usually called "group sum".  It can be defined, however, in
  arbitrary magmas (then it should be called "iterated sum").  If the magma is
  not required to be commutative or associative, then the order of the summands
  and the order in which summations are done become important.  If the magma is
  not unital, then one cannot define a meaningful empty sum.  See Remark 2. in
  the comment for ~ df-gsum .

$)

  ${
    $d g o w .0. $.  $d s t x y B $.  $d f g m n o w x y ph $.
    $d f g m n o w x y F $.  $d f g m n o w x y G $.  $d g o w y W $.
    $d g o s t w x y .+ $.  $d g o w A $.  $d f g m n o w x y O $.
    gsumval.b $e |- B = ( Base ` G ) $.
    gsumval.z $e |- .0. = ( 0g ` G ) $.
    gsumval.p $e |- .+ = ( +g ` G ) $.
    gsumval.o $e |- O = { s e. B |
      A. t e. B ( ( s .+ t ) = t /\ ( t .+ s ) = t ) } $.
    gsumval.w $e |- ( ph -> W = ( `' F " ( _V \ O ) ) ) $.
    gsumval.g $e |- ( ph -> G e. V ) $.
    ${
      gsumvalx.f $e |- ( ph -> F e. X ) $.
      gsumvalx.a $e |- ( ph -> dom F = A ) $.
      $( Expand out the substitutions in ~ df-gsum .  (Contributed by Mario
         Carneiro, 18-Sep-2015.) $)
      gsumvalx $p |- ( ph -> ( G gsum F ) = if ( ran F C_ O , .0. ,
        if ( A e. ran ... , ( iota x E. m E. n e. ( ZZ>= ` m )
          ( A = ( m ... n ) /\ x = ( seq m ( .+ , F ) ` n ) ) ) ,
        ( iota x E. f ( f : ( 1 ... ( # ` W ) ) -1-1-onto-> W /\
            x = ( seq 1 ( .+ , ( F o. f ) ) ` ( # ` W ) ) ) ) ) ) ) $=
        ( vw vg vo vy cvv cv cplusg cfv co wceq wa cbs wral crn wss c0g cdm cfz
        crab wcel cseq cuz wrex wex cio chash wf1o ccom ccnv cdif cima wsbc cif
        c1 csb cgsu cmpo df-gsum a1i simprl fveq2d eqtr4di oveqd eqeq1d anbi12d
        raleqbidv rabeqbidv weq oveq2 eqeq12d oveq1 cbvralvw ovanraleqv cbvrabv
        id syl5bb eqtri csbeq1d fvexi rabex2 simplrr rneqd simpr sseq12d adantr
        dmeqd eqtrd eleq1d seqeq2d seqeq3d fveq1d eqeq2d rexbidv exbidv difeq2d
        ad2antrr iotabidv imaeq2d cnveqd imaeq1d 3eqtr4d sbceq1d cnvexg eqeltrd
        imaexg 3syl fveq2 adantl oveq2d f1oeq2d bitrd ifbieq12d elexd iotaex
        ifex wb f1oeq3 coeq1d fveq12d sbcied csbied ovmpod ) AUFUGKJUJUJUHBUKZU
        IUKZUFUKZULUMZUNZUUIUOZUUIUUHUUKUNZUUIUOZUPZUIUUJUQUMZURZBUUQVDZUGUKZUS
        ZUHUKZUTZUUJVAUMZUUTVBZVCUSZVEZUVEHUKZIUKZVCUNZUOZUUHUVIUUKUUTUVHVFZUMZ
        UOZUPZIUVHVGUMZVHZHVIZBVJZVSUUIVKUMZVCUNZUUIGUKZVLZUUHUVTUUKUUTUWBVMZVS
        VFZUMZUOZUPZUIUUTVNZUJUVBVOZVPZVQZGVIZBVJZVRZVRZVTZJUSZLUTZPDUVFVEZDUVJ
        UOZUUHUVIFJUVHVFZUMZUOZUPZIUVPVHZHVIZBVJZVSNVKUMZVCUNZNUWBVLZUUHUXIFJUW
        BVMZVSVFZUMZUOZUPZGVIZBVJZVRZVRZWAUJWAUFUGUJUJUWQWBUOABUIUFUGGHIUHWCWDA
        UUJKUOZUUTJUOZUPZUPZUWQUHLUWPVTUXTUYDUHUUSLUWPUYDUUSUUHUUIFUNZUUIUOZUUI
        UUHFUNZUUIUOZUPZUIEURZBEVDZLUYDUURUYJBUUQEUYDUUQKUQUMEUYDUUJKUQAUYAUYBW
        EZWFRWGZUYDUUPUYIUIUUQEUYMUYDUUMUYFUUOUYHUYDUULUYEUUIUYDUUKFUUHUUIUYDUU
        KKULUMFUYDUUJKULUYLWFTWGZWHWIUYDUUNUYGUUIUYDUUKFUUIUUHUYNWHWIWJWKWLLQUK
        ZCUKZFUNZUYPUOZUYPUYOFUNZUYPUOZUPZCEURZQEVDUYKUAVUBUYJQBEVUBUYOUUIFUNZU
        UIUOZUUIUYOFUNZUUIUOZUPZUIEURQBWMZUYJVUAVUGCUIECUIWMZUYRVUDUYTVUFVUIUYQ
        VUCUYPUUIUYPUUIUYOFWNVUIWTZWOVUIUYSVUEUYPUUIUYPUUIUYOFWPVUJWOWJWQVUDUYF
        UIUUIUYOUUIFEUUHVUHVUCUYEUUIUYOUUHUUIFWPWIWRXAWSXBWGXCUYDUHLUWPUXTUJLUJ
        VEUYDVUBQELUAEKUQRXDXEWDUYDUVBLUOZUPZUVCUWSUVDUWOPUXSVULUVAUWRUVBLVULUU
        TJAUYAUYBVUKXFZXGUYDVUKXHZXIVULUVDKVAUMPVULUUJKVAUYDUYAVUKUYLXJWFSWGVUL
        UVGUWTUVSUWNUXHUXRVULUVEDUVFVULUVEJVBZDVULUUTJVUMXKAVUODUOUYCVUKUEYAXLZ
        XMVULUVRUXGBVULUVQUXFHVULUVOUXEIUVPVULUVKUXAUVNUXDVULUVEDUVJVUPWIVULUVM
        UXCUUHVULUVIUVLUXBVULUVLFUUTUVHVFUXBVULUUKFUUTUVHUYDUUKFUOVUKUYNXJZXNVU
        LUUTJFUVHVUMXOXLXPXQWJXRXSYBVULUWMUXQBVULUWLUXPGVULUWLUWHUINVQUXPVULUWH
        UIUWKNVULJVNZUWJVPVURUJLVOZVPZUWKNVULUWJVUSVURVULUVBLUJVUNXTYCVULUWIVUR
        UWJVULUUTJVUMYDYEANVUTUOUYCVUKUBYAYFYGVULUWHUXPUINUJANUJVEUYCVUKANVUTUJ
        UBAJOVEVURUJVEVUTUJVEUDJOYHVURVUSUJYJYKYIYAVULUUINUOZUPZUWCUXKUWGUXOVVB
        UWCUXJUUIUWBVLZUXKVVBUWAUXJUUIUWBVVBUVTUXIVSVCVVAUVTUXIUOVULUUINVKYLYMZ
        YNYOVVAVVCUXKUUAVULUUINUXJUWBUUBYMYPVVBUWFUXNUUHVVBUVTUXIUWEUXMVULUWEUX
        MUOVVAVULUWEFUWDVSVFUXMVULUUKFUWDVSVUQXNVULUWDUXLFVSVULUUTJUWBVUMUUCXOX
        LXJVVDUUDXQWJUUEYPXSYBYQYQUUFXLAKMUCYRAJOUDYRUXTUJVEAUWSPUXSPKVASXDUWTU
        XHUXRUXGBYSUXQBYSYTYTWDUUG $.
    $}

    gsumval.a $e |- ( ph -> A e. X ) $.
    gsumval.f $e |- ( ph -> F : A --> B ) $.
    $( Expand out the substitutions in ~ df-gsum .  (Contributed by Mario
       Carneiro, 7-Dec-2014.) $)
    gsumval $p |- ( ph -> ( G gsum F ) = if ( ran F C_ O , .0. ,
      if ( A e. ran ... , ( iota x E. m E. n e. ( ZZ>= ` m )
        ( A = ( m ... n ) /\ x = ( seq m ( .+ , F ) ` n ) ) ) ,
      ( iota x E. f ( f : ( 1 ... ( # ` W ) ) -1-1-onto-> W /\
          x = ( seq 1 ( .+ , ( F o. f ) ) ` ( # ` W ) ) ) ) ) ) ) $=
      ( cvv wf wcel cbs fvexi a1i fex2 syl3anc fdmd gsumvalx ) ABCDEFGHIJKLMNUF
      PQRSTUAUBUCADEJUGDOUHEUFUHZJUFUHUEUDUPAEKUIRUJUKDEJOUFULUMADEJUEUNUO $.
  $}

  ${
    $d a b f m n s t x G $.  $d a b f m n s t x H $.  $d a b f m n s t x ph $.
    $d f m n x F $.
    gsumpropd.f $e |- ( ph -> F e. V ) $.
    gsumpropd.g $e |- ( ph -> G e. W ) $.
    gsumpropd.h $e |- ( ph -> H e. X ) $.
    gsumpropd.b $e |- ( ph -> ( Base ` G ) = ( Base ` H ) ) $.
    gsumpropd.p $e |- ( ph -> ( +g ` G ) = ( +g ` H ) ) $.
    $( The group sum depends only on the base set and additive operation.  Note
       that for entirely unrestricted functions, there can be dependency on
       out-of-domain values of the operation, so this is somewhat weaker than
       ~ mndpropd etc.  (Contributed by Stefan O'Rear, 1-Feb-2015.)  (Proof
       shortened by Mario Carneiro, 18-Sep-2015.) $)
    gsumpropd $p |- ( ph -> ( G gsum F ) = ( H gsum F ) ) $=
      ( vs vx cv cfv co wceq wa eqid vt vm vn vf va vb crn cplusg cbs wral crab
      wss c0g cdm cfz wcel cseq cuz wrex wex cio ccnv cdif cima chash wf1o ccom
      cvv cif cgsu oveqd eqeq1d anbi12d raleqbidv rabeqbidv sseq2d eqidd oveqdr
      c1 grpidpropd seqeq2d fveq1d eqeq2d anbi2d rexbidv exbidv difeq2d imaeq2d
      iotabidv fveq2d oveq2d f1oeq2d f1oeq3d fveq12d ifeq12d ifbieq12d gsumvalx
      bitrd 3eqtr4d ) ABUGZMOZUAOZCUHPZQZXBRZXBXAXCQZXBRZSZUACUIPZUJZMXIUKZULZC
      UMPZBUNZUOUGUPZXNUBOZUCOZUOQRZNOZXQXCBXPUQZPZRZSZUCXPURPZUSZUBUTZNVAZVSBV
      BZVHXKVCZVDZVEPZUOQZYJUDOZVFZXSYKXCBYMVGZVSUQZPZRZSZUDUTZNVAZVIZVIWTXAXBD
      UHPZQZXBRZXBXAUUCQZXBRZSZUADUIPZUJZMUUIUKZULZDUMPZXOXRXSXQUUCBXPUQZPZRZSZ
      UCYDUSZUBUTZNVAZVSYHVHUUKVCZVDZVEPZUOQZUVBYMVFZXSUVCUUCYOVSUQZPZRZSZUDUTZ
      NVAZVIZVICBVJQDBVJQAXLUULXMUUBUUMUVLAXKUUKWTAXJUUJMXIUUIKAXHUUHUAXIUUIKAX
      EUUEXGUUGAXDUUDXBAXCUUCXAXBLVKVLAXFUUFXBAXCUUCXBXALVKVLVMVNVOZVPAUEUFXICD
      AXIVQKAUEOXIUPUFOXIUPSUEUFXCUUCLVRVTAXOYGUUTUUAUVKAYFUUSNAYEUURUBAYCUUQUC
      YDAYBUUPXRAYAUUOXSAXQXTUUNAXCUUCBXPLWAWBWCWDWEWFWIAYTUVJNAYSUVIUDAYNUVEYR
      UVHAYNUVDYJYMVFUVEAYLUVDYJYMAYKUVCVSUOAYJUVBVEAYIUVAYHAXKUUKVHUVMWGWHZWJZ
      WKWLAYJUVBUVDYMUVNWMWRAYQUVGXSAYKUVCYPUVFAXCUUCYOVSLWAUVOWNWCVMWFWIWOWPAN
      UAXNXIXCUDUBUCBCXKFYJEXMMXITXMTXCTXKTAYJVQIHAXNVQZWQANUAXNUUIUUCUDUBUCBDU
      UKGUVBEUUMMUUITUUMTUUCTUUKTAUVBVQJHUVPWQWS $.
  $}

  ${
    $d a b A $.  $d a b B $.  $d a b f m n s t x F $.  $d a b f m n s t x G $.
    $d a b f m n s t x H $.  $d a b f m n s t x ph $.
    gsumpropd2.f $e |- ( ph -> F e. V ) $.
    gsumpropd2.g $e |- ( ph -> G e. W ) $.
    gsumpropd2.h $e |- ( ph -> H e. X ) $.
    gsumpropd2.b $e |- ( ph -> ( Base ` G ) = ( Base ` H ) ) $.
    gsumpropd2.c $e |- ( ( ph /\ ( s e. ( Base ` G ) /\ t e. ( Base ` G ) ) )
                                -> ( s ( +g ` G ) t ) e. ( Base ` G ) ) $.
    gsumpropd2.e $e |- ( ( ph /\ ( s e. ( Base ` G ) /\ t e. ( Base ` G ) ) )
                                -> ( s ( +g ` G ) t ) = ( s ( +g ` H ) t ) ) $.
    gsumpropd2.n $e |- ( ph -> Fun F ) $.
    gsumpropd2.r $e |- ( ph -> ran F C_ ( Base ` G ) ) $.
    ${
      gsumprop2dlem.1 $e |- A = ( `' F " ( _V \ { s e. ( Base ` G ) | A. t e. (
       Base ` G ) ( ( s ( +g ` G ) t ) = t /\ ( t ( +g ` G ) s ) = t ) } ) ) $.
      gsumprop2dlem.2 $e |- B = ( `' F " ( _V \ { s e. ( Base ` H ) | A. t e. (
       Base ` H ) ( ( s ( +g ` H ) t ) = t /\ ( t ( +g ` H ) s ) = t ) } ) ) $.
      $( Lemma for ~ gsumpropd2 .  (Contributed by Thierry Arnoux,
         28-Jun-2017.) $)
      gsumpropd2lem $p |- ( ph -> ( G gsum F ) = ( H gsum F ) ) $=
        ( vm vn vx vf va vb crn cv cplusg cfv co wceq cbs wral crab wss c0g cdm
        wa cfz wcel cseq cuz wrex wex cio c1 chash wf1o ccom cif cgsu adantr wb
        eqeq1d oveqrspc2v ancom2s raleqbidva rabeqbidva sseq2d eqidd grpidpropd
        anbi12d anassrs simprl ad2antrr simplrr eleqtrrd fvelrn syl2anc adantlr
        wfun simpr sseldd seqfeq4 eqeq2d pm5.32da rexbidva exbidv iotabidv ccnv
        cvv cdif difeq2d imaeq2d 3eqtr4g fveq2d ad3antrrr f1ofun ad3antlr f1odm
        cima oveq2d eqtrd difpreima syl eqtrid difss eqsstrdi dfdm4 dfrn4 eqtri
        fvco sseqtrrdi ad4ant14 wn c0 wfn 1z seqfn fndm mp2b eleq2i ndmfv bitrd
        sylnibr eqid a1i gsumvalx wf f1of ffvelrnd eqeltrd caovclg cz pm2.61dan
        eqtr4d f1oeq2d f1oeq3d anbi1d ifeq12d ifbieq12d 3eqtr4d ) AEUHZKUIZBUIZ
        FUJUKZULZUUQUMZUUQUUPUURULZUUQUMZUTZBFUNUKZUOZKUVDUPZUQZFURUKZEUSZVAUHV
        BZUVIUBUIZUCUIZVAULZUMZUDUIZUVLUUREUVKVCUKZUMZUTZUCUVKVDUKZVEZUBVFZUDVG
        ZVHCVIUKZVAULZCUEUIZVJZUVOUWCUUREUWEVKZVHVCZUKZUMZUTZUEVFZUDVGZVLZVLUUO
        UUPUUQGUJUKZULZUUQUMZUUQUUPUWOULZUUQUMZUTZBGUNUKZUOZKUXAUPZUQZGURUKZUVJ
        UVNUVOUVLUWOEUVKVCUKZUMZUTZUCUVSVEZUBVFZUDVGZVHDVIUKZVAULZDUWEVJZUVOUXL
        UWOUWGVHVCZUKZUMZUTZUEVFZUDVGZVLZVLFEVMULGEVMULAUVGUXDUVHUWNUXEUYAAUVFU
        XCUUOAUVEUXBKUVDUXAOAUUPUVDVBZUTUVCUWTBUVDUXAAUVDUXAUMUYBOVNAUYBUUQUVDV
        BZUVCUWTVOAUYBUYCUTZUTZUUTUWQUVBUWSUYEUUSUWPUUQQVPUYEUVAUWRUUQAUYCUYBUV
        AUWRUMAUFUGUVDUVDUURUWOUUQUUPAKBUVDUVDUURUWOUFUIZUGUIZQVQZVQVRVPWDWEVSV
        TZWAAKBUVDFGAUVDWBOQWCAUVJUWBUXKUWMUXTAUWAUXJUDAUVTUXIUBAUVRUXHUCUVSAUV
        LUVSVBZUTUVNUVQUXGAUYJUVNUVQUXGVOAUYJUVNUTZUTZUVPUXFUVOUYLKBUURUWOUVDEU
        VKUVLAUYJUVNWFUYLUUPUVMVBZUTZUUOUVDUUPEUKZAUUOUVDUQZUYKUYMSWGUYNEWMZUUP
        UVIVBUYOUUOVBAUYQUYKUYMRWGUYNUUPUVMUVIUYLUYMWNAUYJUVNUYMWHWIUUPEWJWKWOA
        UYDUUSUVDVBUYKPWLAUYDUUSUWPUMUYKQWLWPWQWEWRWSWTXAAUWLUXSUDAUWKUXRUEAUWK
        UWFUXQUTUXRAUWFUWJUXQAUWFUTZUWIUXPUVOUYRUWIUXLUWHUKZUXPAUWIUYSUMUWFAUWC
        UXLUWHACDVIAEXBZXCUVFXDZXMZUYTXCUXCXDZXMZCDAVUAVUCUYTAUVFUXCXCUYIXEXFTU
        AXGZXHZXHVNUYRUXLVHVDUKZVBZUYSUXPUMZUYRVUHUTZUFUGUURUWOUVDUWGVHUXLUYRVU
        HWNVUJUYFUXMVBZUTZUUOUVDUYFUWGUKZAUYPUWFVUHVUKSXIVULVUMUYFUWEUKZEUKZUUO
        VULUWEWMZUYFUWEUSZVBVUMVUOUMUWFVUPAVUHVUKUWDCUWEXJXKVULUYFUXMVUQVUJVUKW
        NZVULVUQUWDUXMUWFVUQUWDUMAVUHVUKUWDCUWEXLXKAUWDUXMUMUWFVUHVUKAUWCUXLVHV
        AVUFXNZXIZXOWIUYFEUWEYDWKVULUYQVUNUVIVBVUOUUOVBAUYQUWFVUHVUKRXIVULCUVIV
        UNACUVIUQUWFVUHVUKACUYTXCXMZUVIACVVAUYTUVFXMZXDZVVAACVUBVVCTAUYQVUBVVCU
        MRXCUVFEXPXQXRVVAVVBXSXTUVIUYTUHVVAEYAUYTYBYCYEXIVULUWDCUYFUWEUWFUWDCUW
        EUUAAVUHVUKUWDCUWEUUBXKVULUYFUXMUWDVURVUTWIUUCWOVUNEWJWKUUDWOAUYFUVDVBU
        YGUVDVBUTZUYFUYGUURULZUVDVBUWFVUHAKBUYFUYGUVDUVDUVDUURPUUEYFAVVDVVEUYFU
        YGUWOULUMUWFVUHUYHYFWPAVUHYGZVUIUWFAVVFUTZUYSYHUXPVVGUXLUWHUSZVBZYGUYSY
        HUMVVGVUHVVIAVVFWNZVVHVUGUXLVHUUFVBZUWHVUGYIVVHVUGUMYJUURUWGVHYKVUGUWHY
        LYMYNYQUXLUWHYOXQVVGUXLUXOUSZVBZYGUXPYHUMVVGVUHVVMVVJVVLVUGUXLVVKUXOVUG
        YIVVLVUGUMYJUWOUWGVHYKVUGUXOYLYMYNYQUXLUXOYOXQUUHWLUUGXOWQWRAUWFUXNUXQA
        UWFUXMCUWEVJUXNAUWDUXMCUWEVUSUUIACDUXMUWEVUEUUJYPUUKYPWTXAUULUUMAUDBUVI
        UVDUURUEUBUCEFUVFICHUVHKUVDYRUVHYRUURYRUVFYRCVUBUMATYSMLAUVIWBZYTAUDBUV
        IUXAUWOUEUBUCEGUXCJDHUXEKUXAYRUXEYRUWOYRUXCYRDVUDUMAUAYSNLVVNYTUUN $.
    $}

    $( A stronger version of ~ gsumpropd , working for magma, where only the
       closure of the addition operation on a common base is required, see
       ~ gsummgmpropd .  (Contributed by Thierry Arnoux, 28-Jun-2017.) $)
    gsumpropd2 $p |- ( ph -> ( G gsum F ) = ( H gsum F ) ) $=
      ( cfv co wceq ccnv cvv cv cplusg wa cbs wral crab cdif cima gsumpropd2lem
      eqid ) ABCUAZUBIUCZBUCZDUDRZSUOTUOUNUPSUOTUEBDUFRZUGIUQUHUIUJZUMUBUNUOEUD
      RZSUOTUOUNUSSUOTUEBEUFRZUGIUTUHUIUJZCDEFGHIJKLMNOPQURULVAULUK $.
  $}

  ${
    $d F s t $.  $d G s t $.  $d H s t $.  $d ph s t $.
    gsummgmpropd.f $e |- ( ph -> F e. V ) $.
    gsummgmpropd.g $e |- ( ph -> G e. W ) $.
    gsummgmpropd.h $e |- ( ph -> H e. X ) $.
    gsummgmpropd.b $e |- ( ph -> ( Base ` G ) = ( Base ` H ) ) $.
    gsummgmpropd.m $e |- ( ph -> G e. Mgm ) $.
    gsummgmpropd.e $e |- ( ( ph /\ ( s e. ( Base ` G ) /\ t e. ( Base ` G ) ) )
                                -> ( s ( +g ` G ) t ) = ( s ( +g ` H ) t ) ) $.
    gsummgmpropd.n $e |- ( ph -> Fun F ) $.
    gsummgmpropd.r $e |- ( ph -> ran F C_ ( Base ` G ) ) $.
    $( A stronger version of ~ gsumpropd if at least one of the involved
       structures is a magma, see ~ gsumpropd2 .  (Contributed by AV,
       31-Jan-2020.) $)
    gsummgmpropd $p |- ( ph -> ( G gsum F ) = ( H gsum F ) ) $=
      ( cv cfv wcel cbs wa cplusg co cmgm eqid mgmcl 3expib syl imp gsumpropd2
      wi ) ABCDEFGHIJKLMAIRZDUASZTZBRZUNTZUBZUMUPDUCSZUDUNTZADUETZURUTULNVAUOUQ
      UTUNDUMUPUSUNUFUSUFUGUHUIUJOPQUK $.
  $}

  ${
    $d f m n x y z B $.  $d f m n x y z G $.  $d f m n x y z ph $.  $d x y S $.
    $d f m n z F $.  $d f m n x y z H $.  $d f m n x y z .+ $.  $d x y .0. $.
    $d y V $.
    gsumress.b $e |- B = ( Base ` G ) $.
    gsumress.o $e |- .+ = ( +g ` G ) $.
    gsumress.h $e |- H = ( G |`s S ) $.
    gsumress.g $e |- ( ph -> G e. V ) $.
    gsumress.a $e |- ( ph -> A e. X ) $.
    gsumress.s $e |- ( ph -> S C_ B ) $.
    gsumress.f $e |- ( ph -> F : A --> S ) $.
    gsumress.z $e |- ( ph -> .0. e. S ) $.
    gsumress.c $e |- ( ( ph /\ x e. B ) ->
      ( ( .0. .+ x ) = x /\ ( x .+ .0. ) = x ) ) $.
    $( The group sum in a substructure is the same as the group sum in the
       original structure.  The only requirement on the substructure is that it
       contain the identity element; neither ` G ` nor ` H ` need be groups.
       (Contributed by Mario Carneiro, 19-Dec-2014.)  (Revised by Mario
       Carneiro, 30-Apr-2015.) $)
    gsumress $p |- ( ph -> ( G gsum F ) = ( H gsum F ) ) $=
      ( vy vm vn vz vf crn cv wceq wral crab wss c0g cfv cfz wcel cseq cuz wrex
      co wa wex cio ccnv cvv csn cdif cima chash wf1o ccom cif cplusg cbs oveq1
      cgsu eqeq1d ovanraleqv sseldd ralrimiva elrabd snssd mgmidsssn0 syl elsni
      eqid sneqd sseqtrrd eqssd sselda syldan ressbas2 eqeltrdi ressplusg oveqd
      c1 fvex anbi12d raleqbidv rabeqbidv eleqtrd cress ovexi a1i eqtr3d sseq2d
      seqeq2d fveq1d eqeq2d anbi2d rexbidv exbidv iotabidv ifeq12d difeq2d fssd
      ifbieq12d imaeq2d gsumval wf feq3d mpbid 3eqtr4d ) AGUGZUBUHZBUHZEUTZYFUI
      ZYFYEEUTZYFUIZVAZBDUJZUBDUKZULZHUMUNZCUOUGUPZCUCUHZUDUHZUOUTUIZUEUHZYREGY
      QUQZUNZUIZVAZUDYQURUNZUSZUCVBZUEVCZWPGVDZVELVFZVGZVHZVIUNZUOUTUULUFUHZVJZ
      YTUUMEGUUNVKZWPUQZUNZUIZVAZUFVBZUEVCZVLZVLYDYEYFIVMUNZUTZYFUIZYFYEUVDUTZY
      FUIZVAZBIVNUNZUJZUBUVJUKZULZIUMUNZYPYSYTYRUVDGYQUQZUNZUIZVAZUDUUEUSZUCVBZ
      UEVCZUUOYTUUMUVDUUPWPUQZUNZUIZVAZUFVBZUEVCZVLZVLHGVPUTIGVPUTAYNUVMYOUVCUV
      NUWHAYMUVLYDAUUJYMUVLAUUJYMALYMAYLLYFEUTZYFUIZYFLEUTYFUIVAZBDUJUBLDYHUWJB
      YFYEYFEDLYELUIYGUWIYFYELYFEVOVQZVRAFDLRTVSAUWKBDUAVTWAZWBAYMYOVFZUUJAHJUP
      YMUWNULPUBBDEHYMJYOMYOWFZNYMWFZWCWDZALYOALUWNUPLYOUIAYMUWNLUWQUWMVSLYOWEW
      DZWGWHWIZAUUJUVLALUVLALYKBFUJZUBFUKUVLAUWTUWKBFUJUBLFYHUWJBYFYEYFEFLUWLVR
      TAUWKBFAYFFUPYFDUPUWKAFDYFRWJUAWKVTWAAUWTUVKUBFUVJAFDULFUVJUIRFDIHOMWLWDZ
      AYKUVIBFUVJUXAAYHUVFYJUVHAYGUVEYFAEUVDYEYFAFVEUPEUVDUIAFUVJVEUXAIVNWQWMFE
      HIVEONWNWDZWOVQAYIUVGYFAEUVDYFYEUXBWOVQWRWSWTXAZWBAUVLUVNVFZUUJAIVEUPZUVL
      UXDULUXEAIHFXBOXCXDZUBBUVJUVDIUVLVEUVNUVJWFZUVNWFZUVDWFZUVLWFZWCWDZALUVNA
      LUXDUPLUVNUIAUVLUXDLUXKUXCVSLUVNWEWDZWGWHWIZXEXFALYOUVNUWRUXLXEAYPUUHUWAU
      VBUWGAUUGUVTUEAUUFUVSUCAUUDUVRUDUUEAUUCUVQYSAUUBUVPYTAYRUUAUVOAEUVDGYQUXB
      XGXHXIXJXKXLXMAUVAUWFUEAUUTUWEUFAUUSUWDUUOAUURUWCYTAUUMUUQUWBAEUVDUUPWPUX
      BXGXHXIXJXLXMXNXQAUEBCDEUFUCUDGHYMJUULKYOUBMUWONUWPAUUKVEYMVGUUIAUUJYMVEU
      WSXOXRPQACFDGSRXPXSAUEBCUVJUVDUFUCUDGIUVLVEUULKUVNUBUXGUXHUXIUXJAUUKVEUVL
      VGUUIAUUJUVLVEUXMXOXRUXFQACFGXTCUVJGXTSAFUVJGCUXAYAYBXSYC $.
  $}

  ${
    $d f m n z F $.  $d f m n z G $.  $d f m n z O $.  $d f m n z ph $.
    $d x y z B $.  $d x y z .+ $.
    gsumval1.b $e |- B = ( Base ` G ) $.
    gsumval1.z $e |- .0. = ( 0g ` G ) $.
    gsumval1.p $e |- .+ = ( +g ` G ) $.
    gsumval1.o $e |- O = { x e. B |
      A. y e. B ( ( x .+ y ) = y /\ ( y .+ x ) = y ) } $.
    gsumval1.g $e |- ( ph -> G e. V ) $.
    gsumval1.a $e |- ( ph -> A e. W ) $.
    gsumval1.f $e |- ( ph -> F : A --> O ) $.
    $( Value of the group sum operation when every element being summed is an
       identity of ` G ` .  (Contributed by Mario Carneiro, 7-Dec-2014.) $)
    gsumval1 $p |- ( ph -> ( G gsum F ) = .0. ) $=
      ( cv vm vn vz vf cgsu co crn wss cfz wcel wceq cseq cfv wa cuz wex cio c1
      wrex ccnv cvv cdif cima chash wf1o ccom cif eqidd wral ssrab3 fss sylancl
      wf gsumval frn iftrue 3syl eqtrd ) AHGUEUFGUGIUHZLDUIUGUJDUATZUBTZUIUFUKU
      CTZWAFGVTULUMUKUNUBVTUOUMUSUAUPUCUQURGUTVAIVBVCZVDUMZUIUFWCUDTZVEWBWDFGWE
      VFURULUMUKUNUDUPUCUQVGZVGZLAUCCDEFUDUAUBGHIJWCKLBMNOPAWCVHQRADIGVMZIEUHDE
      GVMSBTZCTZFUFWJUKWJWIFUFWJUKUNCEVIBEIPVJDIEGVKVLVNAWHVSWGLUKSDIGVOVSLWFVP
      VQVR $.
  $}

  ${
    $d f g m n o w x y $.  $d x y G $.  $d x y .0. $.
    gsum0.z $e |- .0. = ( 0g ` G ) $.
    $( Value of the empty group sum.  (Contributed by Mario Carneiro,
       7-Dec-2014.) $)
    gsum0 $p |- ( G gsum (/) ) = .0. $=
      ( vx vy vw vf vo vm vn vg cvv wcel c0 cgsu co wceq cfv cv wa wral crab id
      cbs cplusg eqid 0ex a1i wf gsumval1 crn wss c0g cdm cfz cseq cuz wrex wex
      f0 wn cio c1 chash wf1o ccom ccnv cdif cima wsbc cif csb df-gsum reldmmpo
      ovprc1 fvprc eqtrid eqtr4d pm2.61i ) ALMZANOPZBQVTDENAUDRZAUERZNADSZESZWC
      PWEQWEWDWCPWEQTEWBUADWBUBZLLBWBUFCWCUFWFUFVTUCNLMVTUGUHNWFNUIVTWFUTUHUJVT
      VAZWANBANOFGLLHWDWEFSZUERZPWEQWEWDWIPWEQTEWHUDRZUADWJUBGSZUKHSZULWHUMRWKU
      NZUOUKMWMISZJSZUOPQWDWOWIWKWNUPRQTJWNUQRURIUSDVBVCWEVDRZUOPWEKSZVEWDWPWIW
      KWQVFVCUPRQTEWKVGLWLVHVIVJKUSDVBVKVKVLODEFGKIJHVMVNVOWGBAUMRNCAUMVPVQVRVS
      $.
  $}

  ${
    $d x y z B $.  $d f m n x y z G $.  $d m n z M $.  $d m n z N $.  $d x V $.
    $d f m n z F $.  $d f m n z O $.  $d m n x y z .+ $.  $d f m n z ph $.
    gsumval2.b $e |- B = ( Base ` G ) $.
    gsumval2.p $e |- .+ = ( +g ` G ) $.
    gsumval2.g $e |- ( ph -> G e. V ) $.
    gsumval2.n $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    gsumval2.f $e |- ( ph -> F : ( M ... N ) --> B ) $.
    ${
      gsumval2a.o $e |- O = { x e. B |
        A. y e. B ( ( x .+ y ) = y /\ ( y .+ x ) = y ) } $.
      gsumval2a.f $e |- ( ph -> -. ran F C_ O ) $.
      $( Value of the group sum operation over a finite set of sequential
         integers.  (Contributed by Mario Carneiro, 7-Dec-2014.) $)
      gsumval2a $p |- ( ph -> ( G gsum F ) = ( seq M ( .+ , F ) ` N ) ) $=
        ( cfz wceq vm vn vz vf cgsu co cv cseq cfv cuz wrex wex cio crn wss c0g
        wa wcel ccnv cvv cdif cima chash wf1o ccom cif eqid eqidd ovexd gsumval
        c1 iffalsed cz cxp wfn cpw wf fzf ffn ax-mp eluzel2 syl eluzelz mp3an2i
        fnovrn iftrued eqtrd fvex wb wi fzopth simpl seqeq1d simpr eqcomd eqeq1
        fveq12d syl5ibrcom syl6bi impd rexlimdvw exlimdv adantr oveq2 biantrurd
        fveq2 eqeq2d bitr3d rspcev sylan seqeq1 fveq1d anbi12d rexeqbidv spcegv
        oveq1 sylc ex impbid iota5 mpan2 ) AGFUEUFZHISUFZUAUGZUBUGZSUFZTZUCUGZY
        EEFYDUHZUIZTZUQZUBYDUJUIZUKZUAULZUCUMZIEFHUHZUIZAYBFUNJUOZGUPUIZYCSUNUR
        ZYPVKFUSUTJVAVBZVCUIZSUFUUBUDUGZVDYHUUCEFUUDVEVKUHUITUQUDULUCUMZVFZVFZY
        PAUCCYCDEUDUAUBFGJKUUBUTYTBLYTVGMQAUUBVHNAHISVIPVJAUUGUUFYPAYSYTUUFRVLA
        UUAYPUUESVMVMVNZVOZAHVMURZIVMURZUUAUUHVMVPZSVQUUIVRUUHUULSVSVTAIHUJUIZU
        RZUUJOHIWAWBZAUUNUUKOHIWCWBVMVMHISWEWDWFWGWGAYRUTURZYPYRTIYQWHAYOUCYRUT
        AYOYHYRTZWIUUPAYOUUQAYNUUQUAAYLUUQUBYMAYGYKUUQAYGHYDTZIYETZUQZYKUUQWJAU
        UNYGUUTWIOYDYEHIWKWBUUTUUQYKYJYRTUUTYRYJUUTIYEYQYIUUTHYDEFUURUUSWLWMUUR
        UUSWNWQWOYHYJYRWPWRWSWTXAXBAUUQYOAUUQUQUUJYCHYESUFZTZYHYEYQUIZTZUQZUBUU
        MUKZYOAUUJUUQUUOXCAUUNUUQUVFOUVEUUQUBIUUMYEITZUVDUVEUUQUVGUVBUVDUVGUVAY
        CYEIHSXDWOXEUVGUVCYRYHYEIYQXFXGXHXIXJYNUVFUAHVMYDHTZYLUVEUBYMUUMYDHUJXF
        UVHYGUVBYKUVDUVHYFUVAYCYDHYESXPXGUVHYJUVCYHUVHYEYIYQEFYDHXKXLXGXMXNXOXQ
        XRXSXCXTYAWG $.
    $}

    $( Value of the group sum operation over a finite set of sequential
       integers.  (Contributed by Mario Carneiro, 7-Dec-2014.) $)
    gsumval2 $p |- ( ph -> ( G gsum F ) = ( seq M ( .+ , F ) ` N ) ) $=
      ( vx vy co wceq wcel adantr c0 vz crn wral crab wss cgsu cseq cfv c0g cfz
      cv wa cvv eqid ovexd wf ffnd simpr df-f sylanbrc gsumval1 wi simpl ralimi
      wfn a1i ss2rabi csn fvex snid wn wne cdm fdmd eluzfz1 ne0i eqnetrd dm0rn0
      cuz 3syl necon3bii sylib ssn0 syl2anc neneqd wo mgmidsssn0 orcanai syldan
      syl sssn eleqtrrid sselid oveq1 eqeq1d ralbidv elrab oveq2 eqeq12d rspcva
      sylbi ad2antrr ffvelrnda sseldd elsni seqid3 eqtr4d gsumval2a pm2.61dan
      id ) ADUBZNUKZOUKZCPZXMQZXMXLCPXMQZULZOBUCZNBUDZUEZEDUFPZGCDFUGUHZQAXTULZ
      YAEUIUHZYBYCNOFGUJPZBCDEXSHUMYDIYDUNZJXSUNZAEHRZXTKSYCFGUJUOYCDYEVEZXTYEX
      SDUPAYIXTAYEBDMUQSAXTURZYEXSDUSUTZVAYCUACDFGYDYCYDXOOBUCZNBUDZRZYDYDCPZYD
      QZYCXSYMYDXRYLNBXRYLVBXLBRXQXOOBXOXPVCVDVFVGYCYDYDVHZXSYDEUIVIVJAXTXSTQZV
      KXSYQQZYCXSTYCXTXKTVLZXSTVLYJAYTXTADVMZTVLYTAUUAYETAYEBDMVNAGFVSUHRZFYERY
      ETVLLFGVOYEFVPVTVQUUATXKTDVRWAWBSXKXSWCWDWEAYRYSAXSYQUEZYRYSWFAYHUUCKNOBC
      EXSHYDIYFJYGWGWJZXSYDWKWBWHWIWLWMYNYDBRYDXMCPZXMQZOBUCZULYPYLUUGNYDBXLYDQ
      ZXOUUFOBUUHXNUUEXMXLYDXMCWNWOWPWQUUFYPOYDBXMYDQZUUEYOXMYDXMYDYDCWRUUIXJWS
      WTXAWJAUUBXTLSYCUAUKZYERZULZUUJDUHZYQRUUMYDQUULXSYQUUMAUUCXTUUKUUDXBYCYEX
      SUUJDYKXCXDUUMYDXEWJXFXGAXTVKZULNOBCDEFGXSHIJAYHUUNKSAUUBUUNLSAYEBDUPUUNM
      SYGAUUNURXHXI $.
  $}

  ${
    $d F x $.  $d M x $.  $d N x $.  $d ph x $.
    gsumsplit1r.b $e |- B = ( Base ` G ) $.
    gsumsplit1r.p $e |- .+ = ( +g ` G ) $.
    gsumsplit1r.g $e |- ( ph -> G e. V ) $.
    gsumsplit1r.m $e |- ( ph -> M e. ZZ ) $.
    gsumsplit1r.n $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    gsumsplit1r.f $e |- ( ph -> F : ( M ... ( N + 1 ) ) --> B ) $.
    $( Splitting off the rightmost summand of a group sum.  This corresponds to
       the (inductive) definition of a (finite) product in [Lang] p. 4, first
       formula.  (Contributed by AV, 26-Dec-2023.) $)
    gsumsplit1r $p |- ( ph -> ( G gsum F ) = ( ( G gsum ( F |` ( M ... N ) ) )
                                             .+ ( F ` ( N + 1 ) ) ) ) $=
      ( vx co cfv cfz wcel syl cgsu caddc cseq cres cuz peano2uz gsumval2 seqp1
      c1 wceq wss fzssp1 a1i fssresd uzidd cz eluzfz1 fvresd eqtrd cv wa fzp1ss
      seq1 sselda seqfveq2 eqtr2d oveq1d 3eqtrd ) AEDUAPGUIUBPZCDFUCZQZGVJQZVID
      QZCPZEDFGRPZUDZUAPZVMCPABCDEFVIHIJKAGFUEQZSZVIVRSMFGUFTNUGAVSVKVNUJMCDFGU
      HTAVLVQVMCAVQGCVPFUCZQVLABCVPEFGHIJKMAFVIRPZBVODNVOWAUKAFGULUMUNUGACOVPDF
      FGAFLUOAFVTQZFVPQZFDQAFUPSZWBWCUJLCVPFVCTAFVODAVSFVOSMFGUQTURUSMAOUTZFUIU
      BPGRPZSVAWEVODAWFVOWEAWDWFVOUKLFGVBTVDURVEVFVGVH $.
  $}

  ${
    gsumprval.b $e |- B = ( Base ` G ) $.
    gsumprval.p $e |- .+ = ( +g ` G ) $.
    gsumprval.g $e |- ( ph -> G e. V ) $.
    gsumprval.m $e |- ( ph -> M e. ZZ ) $.
    gsumprval.n $e |- ( ph -> N = ( M + 1 ) ) $.
    gsumprval.f $e |- ( ph -> F : { M , N } --> B ) $.
    $( Value of the group sum operation over a pair of sequential integers.
       (Contributed by AV, 14-Dec-2018.) $)
    gsumprval $p |- ( ph -> ( G gsum F ) = ( ( F ` M ) .+ ( F ` N ) ) ) $=
      ( co cfv wcel syl wf wceq cgsu c1 caddc cseq cuz cz uzid peano2uz cfz cpr
      fzpr eqcomd preq2d eqtrd feq2d mpbird gsumval2 seq1 fveq2d oveq12d 3eqtrd
      seqp1 ) AEDUAOFUBUCOZCDFUDZPZFVDPZVCDPZCOZFDPZGDPZCOABCDEFVCHIJKAFFUEPZQZ
      VCVKQAFUFQZVLLFUGRZFFUHRAFVCUIOZBDSFGUJZBDSNAVOVPBDAVOFVCUJZVPAVMVOVQTLFU
      KRAVCGFAGVCMULZUMUNUOUPUQAVLVEVHTVNCDFFVBRAVFVIVGVJCAVMVFVITLCDFURRAVCGDV
      RUSUTVA $.
  $}

  ${
    gsumpr12val.b $e |- B = ( Base ` G ) $.
    gsumpr12val.p $e |- .+ = ( +g ` G ) $.
    gsumpr12val.g $e |- ( ph -> G e. V ) $.
    gsumpr12val.f $e |- ( ph -> F : { 1 , 2 } --> B ) $.
    $( Value of the group sum operation over the pair ` { 1 , 2 } ` .
       (Contributed by AV, 14-Dec-2018.) $)
    gsumpr12val $p |- ( ph -> ( G gsum F ) = ( ( F ` 1 ) .+ ( F ` 2 ) ) ) $=
      ( c1 c2 1zzd caddc co wceq df-2 a1i gsumprval ) ABCDEKLFGHIAMLKKNOPAQRJS
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Semigroups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  A semigroup (` Smgrp `, see ~ df-sgrp ) is a set together with an associative
  binary operation (see Wikipedia, Semigroup, 8-Jan-2020,
  ~ https://en.wikipedia.org/wiki/Semigroup ).  In other words, a semigroup is
  an associative magma.  The notion of semigroup is a generalization of that of
  group where the existence of an identity or inverses is not required.

$)

  $c Smgrp $.

  $( Extend class notation with class of all semigroups. $)
  csgrp $a class Smgrp $.

  ${
    $d b g o x y z $.
    $( A _semigroup_ is a set equipped with an everywhere defined internal
       operation (so, a magma, see ~ df-mgm ), whose operation is associative.
       Definition in section II.1 of [Bruck] p. 23, or of an "associative
       magma" in definition 5 of [BourbakiAlg1] p. 4 .  (Contributed by FL,
       2-Nov-2009.)  (Revised by AV, 6-Jan-2020.) $)
    df-sgrp $a |- Smgrp = { g e. Mgm |
                            [. ( Base ` g ) / b ]. [. ( +g ` g ) / o ].
                            A. x e. b A. y e. b A. z e. b
                            ( ( x o y ) o z ) = ( x o ( y o z ) ) } $.
  $}

  ${
    $d B b g o x y z $.  $d M b g o x y z $.  $d .o. b g o x y z $.
    issgrp.b $e |- B = ( Base ` M ) $.
    issgrp.o $e |- .o. = ( +g ` M ) $.
    $( The predicate "is a semigroup".  (Contributed by FL, 2-Nov-2009.)
       (Revised by AV, 6-Jan-2020.) $)
    issgrp $p |- ( M e. Smgrp <-> ( M e. Mgm /\ A. x e. B A. y e. B A. z e. B
                           ( ( x .o. y ) .o. z ) = ( x .o. ( y .o. z ) ) ) ) $=
      ( vo vb vg cv co wceq wral cplusg cfv wsbc cbs raleqbidv cmgm csgrp fvexd
      cvv fveq2 eqtr4di wa adantr simplr wb oveq eqidd oveq123d eqeq12d sbcied2
      id adantl df-sgrp elrab2 ) ALZBLZILZMZCLZVBMZUTVAVDVBMZVBMZNZCJLZOZBVIOZA
      VIOZIKLZPQZRZJVMSQZRUTVAFMZVDFMZUTVAVDFMZFMZNZCDOZBDOZADOZKEUAUBVMENZVOWD
      JVPDUDWEVMSUCWEVPESQDVMESUEGUFWEVIDNZUGZVLWDIVNFUDWGVMPUCWGVNEPQZFWEVNWHN
      WFVMEPUEUHHUFWGVBFNZUGZVKWCAVIDWEWFWIUIZWJVJWBBVIDWKWJVHWACVIDWKWIVHWAUJW
      GWIVEVRVGVTWIVCVQVDVDVBFWIUPZUTVAVBFUKWIVDULUMWIUTUTVFVSVBFWLWIUTULVAVDVB
      FUKUMUNUQTTTUOUOABCKIJURUS $.
  $}

  ${
    $d B x y z $.  $d M x y z $.  $d .o. x y z $.
    issgrpn0.b $e |- B = ( Base ` M ) $.
    issgrpn0.o $e |- .o. = ( +g ` M ) $.
    $( The predicate "is a semigroup" for a structure which is a set.
       (Contributed by AV, 1-Feb-2020.) $)
    issgrpv $p |- ( M e. V -> ( M e. Smgrp
                                <-> A. x e. B A. y e. B ( ( x .o. y ) e. B
                                    /\ A. z e. B ( ( x .o. y ) .o. z )
                                               = ( x .o. ( y .o. z ) ) ) ) ) $=
      ( wcel cmgm cv co wceq wral wa csgrp ismgm anbi1d issgrp r19.26-2 3bitr4g
      ) EFJZEKJZALZBLZGMZCLZGMUEUFUHGMGMNCDOZBDOADOZPUGDJZBDOADOZUJPEQJUKUIPBDO
      ADOUCUDULUJABDEFGHIRSABCDEGHITUKUIABDDUAUB $.

    $( The predicate "is a semigroup" for a structure with a nonempty base set.
       (Contributed by AV, 1-Feb-2020.) $)
    issgrpn0 $p |- ( A e. B -> ( M e. Smgrp
                                <-> A. x e. B A. y e. B ( ( x .o. y ) e. B
                                    /\ A. z e. B ( ( x .o. y ) .o. z )
                                               = ( x .o. ( y .o. z ) ) ) ) ) $=
      ( wcel cmgm cv co wceq wral wa csgrp ismgmn0 anbi1d issgrp r19.26-2
      3bitr4g ) DEJZFKJZALZBLZGMZCLZGMUEUFUHGMGMNCEOZBEOAEOZPUGEJZBEOAEOZUJPFQJ
      UKUIPBEOAEOUCUDULUJABDEFGHIRSABCEFGHITUKUIABEEUAUB $.

    $d X x y z $.  $d Y x y z $.  $d Z x y z $.
    $( A condition for a structure not to be a semigroup.  (Contributed by AV,
       30-Jan-2020.) $)
    isnsgrp $p |- ( ( X e. B /\ Y e. B /\ Z e. B )
                    -> ( ( ( X .o. Y ) .o. Z ) =/= ( X .o. ( Y .o. Z ) )
                         -> M e/ Smgrp ) ) $=
      ( vx vy vz wcel co csgrp wa wn cv wceq wrex adantl w3a wne wnel cmgm wral
      simpl1 wb oveq1 oveq1d eqeq12d notbid simpl2 oveq2 oveq2d simpl3 rspcedvd
      rexbidv neneq rexnal 2rexbii rexnal2 bitr2i sylibr intnand issgrp sylnibr
      df-nel ex ) CALZDALZFALZUAZCDEMZFEMZCDFEMZEMZUBZBNUCZVLVQOZBNLZPVRVSBUDLZ
      IQZJQZEMZKQZEMZWBWCWEEMZEMZRZKAUEZJAUEIAUEZOVTVSWKWAVSWIPZKASZJASZIASZWKP
      ZVSWNCWCEMZWEEMZCWGEMZRZPZKASZJASZICAVIVJVKVQUFWBCRZWNXCUGVSXDWMXBJAXDWLX
      AKAXDWIWTXDWFWRWHWSXDWDWQWEEWBCWCEUHUIWBCWGEUHUJUKUQUQTVSXBVMWEEMZCDWEEMZ
      EMZRZPZKASJDAVIVJVKVQULVSWCDRZOXAXIKAXJXAXIUGVSXJWTXHXJWRXEWSXGXJWQVMWEEW
      CDCEUMUIXJWGXFCEWCDWEEUHUNUJUKTUQVSXIVNVPRZPZKFAVIVJVKVQUOWEFRZXIXLUGVSXM
      XHXKXMXEVNXGVPWEFVMEUMXMXFVOCEWEFDEUMUNUJUKTVQXLVLVNVPURTUPUPUPWOWJPZJASI
      ASWPWMXNIJAAWIKAUSUTWJIJAAVAVBVCVDIJKABEGHVEVFBNVGVCVH $.
  $}

  ${
    $d M x y z $.
    $( A semigroup is a magma.  (Contributed by FL, 2-Nov-2009.)  (Revised by
       AV, 6-Jan-2020.) $)
    sgrpmgm $p |- ( M e. Smgrp -> M e. Mgm ) $=
      ( vx vy vz csgrp wcel cmgm cv cplusg cfv co wceq wral eqid issgrp simplbi
      cbs ) AEFAGFBHZCHZAIJZKDHZTKRSUATKTKLDAQJZMCUBMBUBMBCDUBATUBNTNOP $.
  $}

  ${
    $d B x y z $.  $d G x y z $.  $d X x y z $.  $d Y x y z $.  $d Z x y z $.
    $d .o. x y z $.
    sgrpass.b $e |- B = ( Base ` G ) $.
    sgrpass.o $e |- .o. = ( +g ` G ) $.
    $( A semigroup operation is associative.  (Contributed by FL, 2-Nov-2009.)
       (Revised by AV, 30-Jan-2020.) $)
    sgrpass $p |- ( ( G e. Smgrp /\ ( X e. B /\ Y e. B /\ Z e. B ) )
                    -> ( ( X .o. Y ) .o. Z ) = ( X .o. ( Y .o. Z ) ) ) $=
      ( vx vy vz wcel co wceq cv wral oveq1 oveq1d eqeq12d oveq2 csgrp w3a cmgm
      wi issgrp oveq2d rspc3v com12 simplbiim imp ) BUALZCALDALFALUBZCDEMZFEMZC
      DFEMZEMZNZUKBUCLIOZJOZEMZKOZEMZURUSVAEMZEMZNZKAPJAPIAPZULUQUDIJKABEGHUEUL
      VFUQVEUQCUSEMZVAEMZCVCEMZNUMVAEMZCDVAEMZEMZNIJKCDFAAAURCNZVBVHVDVIVMUTVGV
      AEURCUSEQRURCVCEQSUSDNZVHVJVIVLVNVGUMVAEUSDCETRVNVCVKCEUSDVAEQUFSVAFNZVJU
      NVLUPVAFUMETVOVKUOCEVAFDETUFSUGUHUIUJ $.
  $}

  ${
    $d M x y z $.
    $( Any set with an empty base set and any group operation is a semigroup.
       (Contributed by AV, 28-Aug-2021.) $)
    sgrp0 $p |- ( ( M e. V /\ ( Base ` M ) = (/) ) -> M e. Smgrp ) $=
      ( vx vy vz wcel cbs cfv c0 wceq wa cmgm cv cplusg co wral csgrp mgm0 rzal
      eqid adantl issgrp sylanbrc ) ABFZAGHZIJZKALFCMZDMZANHZOEMZUIOUGUHUJUIOUI
      OJEUEPDUEPZCUEPZAQFABRUFULUDUKCUESUACDEUEAUIUETUITUBUC $.
  $}

  ${
    $d O x y z $.
    $( The structure with an empty base set and any group operation is a
       semigroup.  (Contributed by AV, 28-Aug-2021.) $)
    sgrp0b $p |- { <. ( Base ` ndx ) , (/) >. ,
                     <. ( +g ` ndx ) , O >. } e. Smgrp $=
      ( vx vy vz cnx cbs cfv c0 cop cplusg cpr csgrp wcel cmgm cv wceq wral cvv
      co eqid mgm0b ral0 0ex grpbase ax-mp issgrp mpbir2an ) EFGHIEJGAIKZLMUHNM
      BOZCOZUHJGZSDOZUKSUIUJULUKSUKSPDHQCHQZBHQAUAUMBUBBCDHUHUKHRMHUHFGPUCHAUHR
      UHTUDUEUKTUFUG $.
  $}

  ${
    $d I x y z $.  $d M x y z $.
    sgrp1.m $e |- M = { <. ( Base ` ndx ) , { I } >. ,
                        <. ( +g ` ndx ) , { <. <. I , I >. , I >. } >. } $.
    $( The structure with one element and the only closed internal operation
       for a singleton is a semigroup.  (Contributed by AV, 10-Feb-2020.) $)
    sgrp1 $p |- ( I e. V -> M e. Smgrp ) $=
      ( vx vy vz wcel cv co wceq wral cfv cvv oveq1d oveq2d oveq1 eqeq12d oveq2
      ralsng cmgm cop csn csgrp mgm1 df-ov fvsng eqtrid eqtr4d 2ralbidv ralbidv
      opex mpan 3bitrd mpbird cbs grpbase ax-mp cplusg grpplusg issgrp sylanbrc
      snex ) ACHZBUAHEIZFIZAAUBZAUBZUCZJZGIZVIJZVEVFVKVIJZVIJZKZGAUCZLFVPLZEVPL
      ZBUDHABCDUEVDVRAAVIJZAVIJZAVSVIJZKZVDVTVSWAVDVSAAVIVDVSVGVIMZAAAVIUFVGNHV
      DWCAKAAULVGANCUGUMUHZOVDVSAAVIWDPUIVDVRAVFVIJZVKVIJZAVMVIJZKZGVPLZFVPLZVS
      VKVIJZAAVKVIJZVIJZKZGVPLZWBVQWJEACVEAKZVOWHFGVPVPWPVLWFVNWGWPVJWEVKVIVEAV
      FVIQOVEAVMVIQRUJTWIWOFACVFAKZWHWNGVPWQWFWKWGWMWQWEVSVKVIVFAAVISOWQVMWLAVI
      VFAVKVIQPRUKTWNWBGACVKAKZWKVTWMWAVKAVSVISWRWLVSAVIVKAAVISPRTUNUOEFGVPBVIV
      PNHVPBUPMKAVCVPVIBNDUQURVINHVIBUSMKVHVCVPVIBNDUTURVAVB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition and basic properties of monoids
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  According to Wikipedia ("Monoid", ~ https://en.wikipedia.org/wiki/Monoid ,
  6-Feb-2020,) "In abstract algebra [[...] a _monoid_ is an algebraic structure
  with a single associative binary operation and an identity element.  Monoids
  are semigroups with identity.".  In the following, monoids are defined in the
  second way (as semigroups with identity), see ~ df-mnd , whereas many authors
  define magmas in the first way (as algebraic structure with a single
  associative binary operation and an identity element, i.e. without the need
  of a definition for/knowledge about semigroups), see ~ ismnd .  See, for
  example, the definition in [Lang] p. 3: "A _monoid_ is a set G, with a law of
  composition which is associative, and having a unit element".

$)

  $c Mnd $.

  $( Extend class notation with class of all monoids. $)
  cmnd $a class Mnd $.

  ${
    $d b e g p x $.
    $( A _monoid_ is a semigroup, which has a two-sided neutral element.
       Definition 2 in [BourbakiAlg1] p. 12.  In other words (according to the
       definition in [Lang] p. 3), a monoid is a set equipped with an
       everywhere defined internal operation (see ~ mndcl ), whose operation is
       associative (see ~ mndass ) and has a two-sided neutral element (see
       ~ mndid ), see also ~ ismnd .  (Contributed by Mario Carneiro,
       6-Jan-2015.)  (Revised by AV, 1-Feb-2020.) $)
    df-mnd $a |- Mnd = { g e. Smgrp |
                    [. ( Base ` g ) / b ]. [. ( +g ` g ) / p ].
                    E. e e. b A. x e. b ( ( e p x ) = x /\ ( x p e ) = x ) } $.
  $}

  ${
    $d B a b e g p $.  $d G b g p $.  $d .+ a b e g p $.
    ismnddef.b $e |- B = ( Base ` G ) $.
    ismnddef.p $e |- .+ = ( +g ` G ) $.
    $( The predicate "is a monoid", corresponding 1-to-1 to the definition.
       (Contributed by FL, 2-Nov-2009.)  (Revised by AV, 1-Feb-2020.) $)
    ismnddef $p |- ( G e. Mnd <-> ( G e. Smgrp /\ E. e e. B A. a e. B
                                    ( ( e .+ a ) = a /\ ( a .+ e ) = a ) ) ) $=
      ( vp vb vg cv co wceq wa wral wrex cplusg cfv wsbc cbs csgrp cmnd fvex wb
      fveq2 eqtr4di eqeq2d anbi12d simpl oveq eqeq1d adantl raleqbidv rexeqbidv
      syl6bi sbc2iedv df-mnd elrab2 ) CKZEKZHKZLZUTMZUTUSVALZUTMZNZEIKZOZCVGPZH
      JKZQRZSIVJTRZSUSUTBLZUTMZUTUSBLZUTMZNZEAOZCAPZJDUAUBVJDMZVIVSIHVLVKVJTUCV
      JQUCVTVGVLMZVAVKMZNVGAMZVABMZNZVIVSUDVTWAWCWBWDVTVLAVGVTVLDTRAVJDTUEFUFUG
      VTVKBVAVTVKDQRBVJDQUEGUFUGUHWEVHVRCVGAWCWDUIZWEVFVQEVGAWFWDVFVQUDWCWDVCVN
      VEVPWDVBVMUTUSUTVABUJUKWDVDVOUTUTUSVABUJUKUHULUMUNUOUPECJHIUQUR $.
  $}

  ${
    $d B a b c $.  $d B a e $.  $d G a b c $.  $d .+ a e $.  $d .+ b c $.
    ismnd.b $e |- B = ( Base ` G ) $.
    ismnd.p $e |- .+ = ( +g ` G ) $.
    $( The predicate "is a monoid".  This is the definig theorem of a monoid by
       showing that a set is a monoid if and only if it is a set equipped with
       a closed, everywhere defined internal operation (so, a magma, see
       ~ mndcl ), whose operation is associative (so, a semigroup, see also
       ~ mndass ) and has a two-sided neutral element (see ~ mndid ).
       (Contributed by Mario Carneiro, 6-Jan-2015.)  (Revised by AV,
       1-Feb-2020.) $)
    ismnd $p |- ( G e. Mnd <-> ( A. a e. B A. b e. B ( ( a .+ b ) e. B
                       /\ A. c e. B ( ( a .+ b ) .+ c ) = ( a .+ ( b .+ c ) ) )
             /\ E. e e. B A. a e. B ( ( e .+ a ) = a /\ ( a .+ e ) = a ) ) ) $=
      ( cmnd wcel csgrp cv co wceq wa wral c0 cvv cbs wrex ismnddef wb rexn0 wn
      wne cfv fvprc eqtrid necon1ai issgrpv 3syl pm5.32ri bitri ) DJKDLKZCMZEMZ
      BNUQOUQUPBNUQOPEAQZCAUAZPUQFMZBNZAKVAGMZBNUQUTVBBNBNOGAQPFAQEAQZUSPABCDEH
      IUBUSUOVCUSARUFDSKZUOVCUCURCAUDVDARVDUEADTUGRHDTUHUIUJEFGADSBHIUKULUMUN
      $.
  $}

  ${
    $d B x z $.  $d M x z $.  $d .o. x z $.
    isnmnd.b $e |- B = ( Base ` M ) $.
    isnmnd.o $e |- .o. = ( +g ` M ) $.
    $( A condition for a structure not to be a monoid: every element of the
       base set is not a left identity for at least one element of the base
       set.  (Contributed by AV, 4-Feb-2020.) $)
    isnmnd $p |- ( A. z e. B E. x e. B ( z .o. x ) =/= x -> M e/ Mnd ) $=
      ( cv co wne wrex wral cmnd wcel wn wnel csgrp wceq wa neneq reximi ralimi
      intnanrd rexnal ralbii ralnex bitri sylib intnand ismnddef sylnibr df-nel
      sylibr ) BHZAHZEIZUOJZACKZBCLZDMNZODMPUSDQNZUPUORZUOUNEIUORZSZACLZBCKZSUT
      USVFVAUSVDOZACKZBCLZVFOZURVHBCUQVGACUQVBVCUPUOTUCUAUBVIVEOZBCLVJVHVKBCVDA
      CUDUEVEBCUFUGUHUICEBDAFGUJUKDMULUM $.
  $}

  ${
    $d B e x y $.  $d G e x y $.  $d .0. x y $.
    sgrpidmnd.b $e |- B = ( Base ` G ) $.
    sgrpidmnd.0 $e |- .0. = ( 0g ` G ) $.
    $( A semigroup with an identity element which is not the empty set is a
       monoid.  Of course there could be monoids with the empty set as identity
       element (see, for example, the monoid of the power set of a class under
       union, ~ pwmnd and ~ pwmndid ), but these cannot be proven to be monoids
       with this theorem.  (Contributed by AV, 29-Jan-2024.) $)
    sgrpidmnd $p |- ( ( G e. Smgrp /\ E. e e. B ( e =/= (/) /\ e = .0. ) )
                       -> G e. Mnd ) $=
      ( vx vy csgrp wcel cv c0 wne wceq wa wrex cplusg co wral wi cfv cmnd eqid
      cio grpidval eqeq2i w3a weq eleq1w oveq1 eqeq1d ovanraleqv anbi12d iotan0
      rsp simpl2im 3expb expcom sylan2b impcom ralrimiv reximia anim2i ismnddef
      ex sylibr ) CIJZBKZLMZVHDNZOZBAPZOVGVHGKZCQUAZRZVMNZVMVHVNRVMNOZGASZBAPZO
      CUBJVLVSVGVKVRBAVHAJZVKVRVTVKOVQGAVKVTVMAJVQTZVJVIVHHKZAJZWBVMVNRZVMNZVMW
      BVNRVMNOGASZOZHUDZNZVTWATDWHVHGAVNHCDEVNUCZFUEUFVTVIWIOWAVTVIWIWAVTVIWIUG
      VTVRWAWGVTVROHVHAHBUHZWCVTWFVRHBAUIWEVPGVMWBVMVNAVHWKWDVOVMWBVHVMVNUJUKUL
      UMUNVQGAUOUPUQURUSUTVAVEVBVCAVNBCGEWJVDVF $.
  $}

  ${
    $d G e x $.
    $( A monoid is a semigroup.  (Contributed by FL, 2-Nov-2009.)  (Revised by
       AV, 6-Jan-2020.)  (Proof shortened by AV, 6-Feb-2020.) $)
    mndsgrp $p |- ( G e. Mnd -> G e. Smgrp ) $=
      ( ve vx cmnd wcel csgrp cv cplusg cfv co wceq cbs wral wrex eqid ismnddef
      wa simplbi ) ADEAFEBGZCGZAHIZJTKTSUAJTKQCALIZMBUBNUBUABACUBOUAOPR $.
  $}

  $( A monoid is a magma.  (Contributed by FL, 2-Nov-2009.)  (Revised by AV,
     6-Jan-2020.)  (Proof shortened by AV, 6-Feb-2020.) $)
  mndmgm $p |- ( M e. Mnd -> M e. Mgm ) $=
    ( cmnd wcel csgrp cmgm mndsgrp sgrpmgm syl ) ABCADCAECAFAGH $.

  ${
    $d x y z B $.  $d x y z G $.  $d x y z X $.  $d y z Y $.  $d z Z $.
    $d x y z .+ $.
    mndcl.b $e |- B = ( Base ` G ) $.
    mndcl.p $e |- .+ = ( +g ` G ) $.
    $( Closure of the operation of a monoid.  (Contributed by NM, 14-Aug-2011.)
       (Revised by Mario Carneiro, 6-Jan-2015.)  (Proof shortened by AV,
       8-Feb-2020.) $)
    mndcl $p |- ( ( G e. Mnd /\ X e. B /\ Y e. B ) -> ( X .+ Y ) e. B ) $=
      ( cmnd wcel cmgm co mndmgm mgmcl syl3an1 ) CHICJIDAIEAIDEBKAICLACDEBFGMN
      $.

    $( A monoid operation is associative.  (Contributed by NM, 14-Aug-2011.)
       (Proof shortened by AV, 8-Feb-2020.) $)
    mndass $p |- ( ( G e. Mnd /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
              ( ( X .+ Y ) .+ Z ) = ( X .+ ( Y .+ Z ) ) ) $=
      ( cmnd wcel csgrp w3a co wceq mndsgrp sgrpass sylan ) CIJCKJDAJEAJFAJLDEB
      MFBMDEFBMBMNCOACDEBFGHPQ $.

    $d u x y z B $.  $d u G $.  $d u .+ $.
    $( A monoid has a two-sided identity element.  (Contributed by NM,
       16-Aug-2011.) $)
    mndid $p |- ( G e. Mnd ->
         E. u e. B A. x e. B ( ( u .+ x ) = x /\ ( x .+ u ) = x ) ) $=
      ( vy vz cmnd wcel cv co wceq wral wa wrex ismnd simprbi ) EJKALZHLZDMZCKU
      BILZDMTUAUCDMDMNICOPHCOACOBLZTDMTNTUDDMTNPACOBCQCDBEAHIFGRS $.

    $( The two-sided identity element of a monoid is unique.  Lemma 2.2.1(a) of
       [Herstein] p. 55.  (Contributed by Mario Carneiro, 8-Dec-2014.) $)
    mndideu $p |- ( G e. Mnd ->
      E! u e. B A. x e. B ( ( u .+ x ) = x /\ ( x .+ u ) = x ) ) $=
      ( cmnd wcel cv co wceq wa wral wrex wrmo wreu mndid mgmidmo reu5
      sylanblrc ) EHIBJZAJZDKUCLUCUBDKUCLMACNZBCOUDBCPUDBCQABCDEFGRABCDSUDBCTUA
      $.

    mnd4g.1 $e |- ( ph -> G e. Mnd ) $.
    mnd4g.2 $e |- ( ph -> X e. B ) $.
    mnd4g.3 $e |- ( ph -> Y e. B ) $.
    mnd4g.4 $e |- ( ph -> Z e. B ) $.
    ${
      mnd32g.5 $e |- ( ph -> ( Y .+ Z ) = ( Z .+ Y ) ) $.
      $( Commutative/associative law for monoids, with an explicit
         commutativity hypothesis.  (Contributed by Mario Carneiro,
         21-Apr-2016.) $)
      mnd32g $p |- ( ph -> ( ( X .+ Y ) .+ Z ) = ( ( X .+ Z ) .+ Y ) ) $=
        ( co oveq2d wcel wceq mndass syl13anc cmnd 3eqtr4d ) AEFGCOZCOZEGFCOZCO
        ZEFCOGCOZEGCOFCOZAUCUEECNPADUAQZEBQZFBQZGBQZUGUDRJKLMBCDEFGHISTAUIUJULU
        KUHUFRJKMLBCDEGFHISTUB $.
    $}

    ${
      mnd12g.5 $e |- ( ph -> ( X .+ Y ) = ( Y .+ X ) ) $.
      $( Commutative/associative law for monoids, with an explicit
         commutativity hypothesis.  (Contributed by Mario Carneiro,
         21-Apr-2016.) $)
      mnd12g $p |- ( ph -> ( X .+ ( Y .+ Z ) ) = ( Y .+ ( X .+ Z ) ) ) $=
        ( co oveq1d wcel wceq mndass syl13anc cmnd 3eqtr3d ) AEFCOZGCOZFECOZGCO
        ZEFGCOCOZFEGCOCOZAUCUEGCNPADUAQZEBQZFBQZGBQZUDUGRJKLMBCDEFGHISTAUIUKUJU
        LUFUHRJLKMBCDFEGHISTUB $.
    $}

    mnd4g.5 $e |- ( ph -> W e. B ) $.
    mnd4g.6 $e |- ( ph -> ( Y .+ Z ) = ( Z .+ Y ) ) $.
    $( Commutative/associative law for commutative monoids, with an explicit
       commutativity hypothesis.  (Contributed by Mario Carneiro,
       21-Apr-2016.) $)
    mnd4g $p |- ( ph ->
      ( ( X .+ Y ) .+ ( Z .+ W ) ) = ( ( X .+ Z ) .+ ( Y .+ W ) ) ) $=
      ( co wcel wceq mndcl mnd12g oveq2d cmnd syl3anc mndass syl13anc 3eqtr4d )
      AFGHECQZCQZCQZFHGECQZCQZCQZFGCQUHCQZFHCQUKCQZAUIULFCABCDGHEIJKMNOPUAUBADU
      CRZFBRZGBRZUHBRZUNUJSKLMAUPHBRZEBRZUSKNOBCDHEIJTUDBCDFGUHIJUEUFAUPUQUTUKB
      RZUOUMSKLNAUPURVAVBKMOBCDGEIJTUDBCDFHUKIJUEUFUG $.
  $}

  ${
    $d x y B $.  $d x y G $.  $d x y .0. $.
    mndidcl.b $e |- B = ( Base ` G ) $.
    mndidcl.o $e |- .0. = ( 0g ` G ) $.
    $( The identity element of a monoid belongs to the monoid.  (Contributed by
       NM, 27-Aug-2011.)  (Revised by Mario Carneiro, 27-Dec-2014.) $)
    mndidcl $p |- ( G e. Mnd -> .0. e. B ) $=
      ( vy vx cmnd wcel cplusg cfv eqid mndid mgmidcl ) BHIFABJKZGBCDEOLZFGAOBD
      PMN $.
  $}

  ${
    mndbn0.b $e |- B = ( Base ` G ) $.
    $( The base set of a monoid is not empty.  Statement in [Lang] p. 3.
       (Contributed by AV, 29-Dec-2023.) $)
    mndbn0 $p |- ( G e. Mnd -> B =/= (/) ) $=
      ( cmnd wcel c0g cfv eqid mndidcl ne0d ) BDEABFGZABKCKHIJ $.
  $}

  ${
    hashfinmndnn.1 $e |- B = ( Base ` G ) $.
    hashfinmndnn.2 $e |- ( ph -> G e. Mnd ) $.
    hashfinmndnn.3 $e |- ( ph -> B e. Fin ) $.
    $( A finite monoid has positive integer size.  (Contributed by Rohan
       Ridenour, 3-Aug-2023.) $)
    hashfinmndnn $p |- ( ph -> ( # ` B ) e. NN ) $=
      ( chash cfv cn0 wcel cc0 wne cn cfn hashcl syl c0g cmnd eqid mndidcl
      hashelne0d neqned elnnne0 sylanbrc ) ABGHZIJZUEKLUEMJABNJUFFBOPAUEKABCQHZ
      NACRJUGBJEBCUGDUGSTPFUAUBUEUCUD $.
  $}

  ${
    mndplusf.1 $e |- B = ( Base ` G ) $.
    mndplusf.2 $e |- .+^ = ( +f ` G ) $.
    $( The group addition operation is a function.  (Contributed by Mario
       Carneiro, 14-Aug-2015.)  (Proof shortened by AV, 3-Feb-2020.) $)
    mndplusf $p |- ( G e. Mnd -> .+^ : ( B X. B ) --> B ) $=
      ( cmnd wcel cmgm cxp wf mndmgm mgmplusf syl ) CFGCHGAAIABJCKABCDELM $.
  $}

  ${
    $d x y B $.  $d x y G $.  $d x y .0. $.  $d x y .+ $.  $d x X $.
    mndlrid.b $e |- B = ( Base ` G ) $.
    mndlrid.p $e |- .+ = ( +g ` G ) $.
    mndlrid.o $e |- .0. = ( 0g ` G ) $.
    $( A monoid's identity element is a two-sided identity.  (Contributed by
       NM, 18-Aug-2011.) $)
    mndlrid $p |- ( ( G e. Mnd /\ X e. B ) -> ( ( .0. .+ X ) = X /\
         ( X .+ .0. ) = X ) ) $=
      ( vx vy cmnd wcel mndid mgmlrid ) CKLIABJCDEFHGIJABCFGMN $.

    $( The identity element of a monoid is a left identity.  (Contributed by
       NM, 18-Aug-2011.) $)
    mndlid $p |- ( ( G e. Mnd /\ X e. B ) -> ( .0. .+ X ) = X ) $=
      ( cmnd wcel wa co wceq mndlrid simpld ) CIJDAJKEDBLDMDEBLDMABCDEFGHNO $.

    $( The identity element of a monoid is a right identity.  (Contributed by
       NM, 18-Aug-2011.) $)
    mndrid $p |- ( ( G e. Mnd /\ X e. B ) -> ( X .+ .0. ) = X ) $=
      ( cmnd wcel wa co wceq mndlrid simprd ) CIJDAJKEDBLDMDEBLDMABCDEFGHNO $.
  $}

  ${
    $d x y z B $.  $d u x y z G $.  $d x y z ph $.  $d u x .0. $.
    ismndd.b $e |- ( ph -> B = ( Base ` G ) ) $.
    ismndd.p $e |- ( ph -> .+ = ( +g ` G ) ) $.
    ismndd.c $e |- ( ( ph /\ x e. B /\ y e. B ) -> ( x .+ y ) e. B ) $.
    ismndd.a $e |- ( ( ph /\ ( x e. B /\ y e. B /\ z e. B ) ) ->
                   ( ( x .+ y ) .+ z ) = ( x .+ ( y .+ z ) ) ) $.
    ismndd.z $e |- ( ph -> .0. e. B ) $.
    ismndd.i $e |- ( ( ph /\ x e. B ) -> ( .0. .+ x ) = x ) $.
    ismndd.j $e |- ( ( ph /\ x e. B ) -> ( x .+ .0. ) = x ) $.
    $( Deduce a monoid from its properties.  (Contributed by Mario Carneiro,
       6-Jan-2015.) $)
    ismndd $p |- ( ph -> G e. Mnd ) $=
      ( co wcel wceq wral wa vu cplusg cfv cbs wrex cmnd simpll simplrl simplrr
      cv 3expb simpr syl13anc ralrimiva ralrimivva oveqd eleq12d eqidd oveq123d
      jca eqeq12d raleqbidv anbi12d eleqtrd eleq2d biimpar adantr eqtr3d syldan
      mpbid oveq1 eqeq1d ovanraleqv rspcev syl2anc eqid ismnd sylanbrc ) ABUJZC
      UJZGUBUCZPZGUDUCZQZWBDUJZWAPZVSVTWEWAPZWAPZRZDWCSZTZCWCSZBWCSZUAUJZVSWAPZ
      VSRZVSWNWAPVSRTBWCSZUAWCUEZGUFQAVSVTFPZEQZWSWEFPZVSVTWEFPZFPZRZDESZTZCESZ
      BESWMAXFBCEEAVSEQZVTEQZTZTZWTXEAXHXIWTKUKXKXDDEXKWEEQZTAXHXIXLXDAXJXLUGAX
      HXIXLUHAXHXIXLUIXKXLULLUMUNUTUOAXGWLBEWCIAXFWKCEWCIAWTWDXEWJAWSWBEWCAFWAV
      SVTJUPZIUQAXDWIDEWCIAXAWFXCWHAWSWBWEWEFWAJXMAWEURUSAVSVSXBWGFWAJAVSURAFWA
      VTWEJUPUSVAVBVCVBVBVJAHWCQHVSWAPZVSRZVSHWAPZVSRZTZBWCSZWRAHEWCMIVDAXRBWCA
      VSWCQZXHXRAXHXTAEWCVSIVEVFAXHTZXOXQYAHVSFPXNVSYAFWAHVSAFWARXHJVGZUPNVHYAV
      SHFPXPVSYAFWAVSHYBUPOVHUTVIUNWQXSUAHWCWPXOBVSWNVSWAWCHWNHRWOXNVSWNHVSWAVK
      VLVMVNVOWCWAUAGBCDWCVPWAVPVQVR $.
  $}

  ${
    $d x y z B $.  $d x y z G $.  $d x y z .+^ $.
    mndpf.b $e |- B = ( Base ` G ) $.
    mndpf.p $e |- .+^ = ( +f ` G ) $.
    $( The addition operation of a monoid as a function is an onto function.
       (Contributed by FL, 2-Nov-2009.)  (Revised by Mario Carneiro,
       11-Oct-2013.)  (Revised by AV, 23-Jan-2020.) $)
    mndpfo $p |- ( G e. Mnd -> .+^ : ( B X. B ) -onto-> B ) $=
      ( vx vy vz cmnd wcel cxp wf cv co wceq wrex wral wa cfv eqid wfo mndplusf
      cplusg simpr mndidcl adantr mndrid eqcomd rspceov syl3anc plusfval eqeq2d
      c0g 2rexbiia sylibr ralrimiva foov sylanbrc ) CIJZAAKZABLFMZGMZHMZBNZOZHA
      PGAPZFAQUTABUAABCDEUBUSVFFAUSVAAJZRZVAVBVCCUCSZNZOZHAPGAPZVFVHVGCUMSZAJZV
      AVAVMVINZOVLUSVGUDUSVNVGACVMDVMTZUEUFVHVOVAAVICVAVMDVITZVPUGUHGHAAVAVMVAV
      IUIUJVEVKGHAAVBAJVCAJRVDVJVAAVIBCVBVCDVQEUKULUNUOUPGHFAAABUQUR $.
  $}

  ${
    mndfo.b $e |- B = ( Base ` G ) $.
    mndfo.p $e |- .+ = ( +g ` G ) $.
    $( The addition operation of a monoid is an onto function (assuming it is a
       function).  (Contributed by Mario Carneiro, 11-Oct-2013.)  (Proof
       shortened by AV, 23-Jan-2020.) $)
    mndfo $p |- ( ( G e. Mnd /\ .+ Fn ( B X. B ) ) ->
      .+ : ( B X. B ) -onto-> B ) $=
      ( cmnd wcel cxp wfn wfo cplusf cfv eqid mndpfo adantr wceq plusfeq eqcomd
      wa wb adantl foeq1 syl mpbird ) CFGZBAAHZIZSZUFABJZUFACKLZJZUEUKUGAUJCDUJ
      MZNOUHBUJPZUIUKTUGUMUEUGUJBABUJCDEULQRUAUFABUJUBUCUD $.
  $}

  ${
    $d s u v w x y B $.  $d s u v w x y K $.  $d s u v w x y ph $.
    $d s u v w x y L $.
    mndpropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    mndpropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    mndpropd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    $( If two structures have the same base set, and the values of their group
       (addition) operations are equal for all pairs of elements of the base
       set, one is a monoid iff the other one is.  (Contributed by Mario
       Carneiro, 6-Jan-2015.) $)
    mndpropd $p |- ( ph -> ( K e. Mnd <-> L e. Mnd ) ) $=
      ( vu vv vw vs cv co wcel wral wa wceq oveqrspc2v cplusg cfv simplr simprl
      cmnd cbs ad2antrr eleqtrd simprr eqid syl3anc eleqtrrd ralrimivva adantlr
      mndcl ex 3eltr4d wb wrex eleq1d simplll simplrl simplrr ovrspc2v syl21anc
      simpllr simpr syl12anc oveq1d eqtrd oveq2d eqeq12d ralbidva adantr eleq2d
      anbi12d 2ralbidva raleqdv raleqbidv 3bitr3d eqeq1d rexbidva ismnd 3bitr4g
      rexeqbidv pm5.21ndd ) ABNZCNZEUAUBZOZDPZCDQBDQZEUEPZFUEPZAWMWLAWMRZWKBCDD
      WOWGDPZWHDPZRZRZWJEUFUBZDWSWMWGWTPWHWTPWJWTPAWMWRUCWSWGDWTWOWPWQUDADWTSZW
      MWRGUGZUHWSWHDWTWOWPWQUIXBUHWTWIEWGWHWTUJZWIUJZUOUKXBULUMUPAWNWLAWNRZWKBC
      DDXEWRRZWGWHFUAUBZOZFUFUBZWJDXFWNWGXIPWHXIPXHXIPAWNWRUCXFWGDXIXEWPWQUDADX
      ISZWNWRHUGZUHXFWHDXIXEWPWQUIXKUHXIXGFWGWHXIUJZXGUJZUOUKAWRWJXHSWNIUNXKUQU
      MUPAWLWMWNURAWLRZJNZKNZWIOZWTPZXQLNZWIOZXOXPXSWIOZWIOZSZLWTQZRZKWTQZJWTQZ
      MNZXOWIOZXOSZXOYHWIOZXOSZRZJWTQZMWTUSZRXOXPXGOZXIPZYPXSXGOZXOXPXSXGOZXGOZ
      SZLXIQZRZKXIQZJXIQZYHXOXGOZXOSZXOYHXGOZXOSZRZJXIQZMXIUSZRWMWNXNYGUUEYOUUL
      XNXQDPZYCLDQZRZKDQZJDQYPDPZUUALDQZRZKDQZJDQYGUUEXNUUOUUSJKDDXNXODPZXPDPZR
      ZRZUUMUUQUUNUURUVDXQYPDAUVCXQYPSZWLABCDDWIXGXOXPITZUNUTUVDYCUUALDUVDXSDPZ
      RZXTYRYBYTUVHXTXQXSXGOZYRUVHAUUMUVGXTUVISAWLUVCUVGVAZUVHUVAUVBWLUUMXNUVAU
      VBUVGVBZXNUVAUVBUVGVCZAWLUVCUVGVFZBCDDDWIXOXPVDVEUVDUVGVGZABCDDWIXGXQXSIT
      VHUVHXQYPXSXGUVHAUVAUVBUVEUVJUVKUVLUVFVHVIVJUVHYBXOYAXGOZYTUVHAUVAYADPZYB
      UVOSUVJUVKUVHUVBUVGWLUVPUVLUVNUVMBCDDDWIXPXSVDVEABCDDWIXGXOYAITVHUVHYAYSX
      OXGUVHAUVBUVGYAYSSUVJUVLUVNABCDDWIXGXPXSITVHVKVJVLVMVPVQXNUUPYFJDWTAXAWLG
      VNZXNUUOYEKDWTUVQXNUUMXRUUNYDXNDWTXQUVQVOXNYCLDWTUVQVRVPVSVSXNUUTUUDJDXIA
      XJWLHVNZXNUUSUUCKDXIUVRXNUUQYQUURUUBXNDXIYPUVRVOXNUUALDXIUVRVRVPVSVSVTXNY
      MJDQZMDUSUUJJDQZMDUSYOUULXNUVSUVTMDXNYHDPZRZYMUUJJDUWBUVARZYJUUGYLUUIUWCY
      IUUFXOUWCAUWAUVAYIUUFSAWLUWAUVAVAZXNUWAUVAUCZUWBUVAVGZABCDDWIXGYHXOITVHWA
      UWCYKUUHXOUWCAUVAUWAYKUUHSUWDUWFUWEABCDDWIXGXOYHITVHWAVPVMWBXNUVSYNMDWTUV
      QXNYMJDWTUVQVRWEXNUVTUUKMDXIUVRXNUUJJDXIUVRVRWEVTVPWTWIMEJKLXCXDWCXIXGMFJ
      KLXLXMWCWDUPWF $.
  $}

  ${
    $d x y K $.  $d x y L $.
    mndprop.b $e |- ( Base ` K ) = ( Base ` L ) $.
    mndprop.p $e |- ( +g ` K ) = ( +g ` L ) $.
    $( If two structures have the same group components (properties), one is a
       monoid iff the other one is.  (Contributed by Mario Carneiro,
       11-Oct-2013.) $)
    mndprop $p |- ( K e. Mnd <-> L e. Mnd ) $=
      ( vx vy cmnd wcel wb wtru cbs cfv eqidd wceq a1i cv cplusg co wa oveqi
      mndpropd mptru ) AGHBGHIJEFAKLZABJUCMUCBKLNJCOEPZFPZAQLZRUDUEBQLZRNJUDUCH
      UEUCHSSUFUGUDUEDTOUAUB $.
  $}

  ${
    $d u v w x y B $.  $d u v w x y G $.  $d u v w x y H $.  $d u v w x y .+ $.
    $d u v w x y S $.  $d u v w x y .0. $.
    issubmnd.b $e |- B = ( Base ` G ) $.
    issubmnd.p $e |- .+ = ( +g ` G ) $.
    issubmnd.z $e |- .0. = ( 0g ` G ) $.
    issubmnd.h $e |- H = ( G |`s S ) $.
    $( Characterize a submonoid by closure properties.  (Contributed by Mario
       Carneiro, 10-Jan-2015.) $)
    issubmnd $p |- ( ( G e. Mnd /\ S C_ B /\ .0. e. S ) ->
      ( H e. Mnd <-> A. x e. S A. y e. S ( x .+ y ) e. S ) ) $=
      ( wcel w3a cv co wa wceq syl sseld vu cmnd wss wral cplusg cfv cbs simplr
      vv vw simprl simpll2 ressbas2 eleqtrd simprr eqid mndcl syl3anc cvv fvexi
      ssex 3ad2ant2 ressplusg ad2antrr oveqd 3eltr4d ralrimivva simpl2 ovrspc2v
      adantr ancoms 3adant1l simpl1 3anim123d imp mndass syl2an2r simpl3 sselda
      3impb mndlid mndrid ismndd impbida ) FUBMZECUCZHEMZNZGUBMZAOZBOZDPZEMZBEU
      DAEUDZWHWIQZWMABEEWOWJEMZWKEMZQZQZWJWKGUEUFZPZGUGUFZWLEWSWIWJXBMWKXBMXAXB
      MWHWIWRUHWSWJEXBWOWPWQUKWSWFEXBRZWEWFWGWIWRULECGFLIUMZSZUNWSWKEXBWOWPWQUO
      XEUNXBWTGWJWKXBUPWTUPUQURWSDWTWJWKWHDWTRZWIWRWHEUSMZXFWFWEXGWGECCFUGIUTVA
      VBEDFGUSLJVCSZVDVEXEVFVGWHWNQZUAUIUJEDGHXIWFXCWEWFWGWNVHZXDSWHXFWNXHVJWNU
      AOZEMZUIOZEMZXKXMDPZEMZWHWNXLXNXPXLXNQWNXPABEEEDXKXMVIVKVTVLXIWEXLXNUJOZE
      MZNZXKCMZXMCMZXQCMZNZXOXQDPXKXMXQDPDPRWEWFWGWNVMZXIXSYCXIXLXTXNYAXRYBXIEC
      XKXJTXIECXMXJTXIECXQXJTVNVOCDFXKXMXQIJVPVQWEWFWGWNVRXIWEXLXTHXKDPXKRYDXIE
      CXKXJVSZCDFXKHIJKWAVQXIWEXLXTXKHDPXKRYDYECDFXKHIJKWBVQWCWD $.
  $}

  ${
    $d x .0. $.  $d x A $.  $d x B $.  $d x R $.  $d x S $.
    ress0g.s $e |- S = ( R |`s A ) $.
    ress0g.b $e |- B = ( Base ` R ) $.
    ress0g.0 $e |- .0. = ( 0g ` R ) $.
    $( ` 0g ` is unaffected by restriction.  This is a bit more generic than
       ~ submnd0 .  (Contributed by Thierry Arnoux, 23-Oct-2017.) $)
    ress0g $p |- ( ( R e. Mnd /\ .0. e. A /\ A C_ B ) -> .0. = ( 0g ` S ) ) $=
      ( vx cmnd wcel wss w3a cplusg cfv cbs wceq cvv co syl2anc simp3 ressplusg
      ressbas2 3ad2ant3 fvexi ssexg sylancl eqid syl simp2 simpl1 sselda mndlid
      cv wa mndrid grpidd ) CJKZEAKZABLZMZIACNOZDEUTURADPOQUSABDCFGUCUDVAARKZVB
      DNOQVAUTBRKVCURUSUTUAZBCPGUEABRUFUGAVBCDRFVBUHZUBUIURUSUTUJVAIUNZAKZUOZUR
      VFBKZEVFVBSVFQURUSUTVGUKZVAABVFVDULZBVBCVFEGVEHUMTVHURVIVFEVBSVFQVJVKBVBC
      VFEGVEHUPTUQ $.
  $}

  ${
    $d x B $.  $d x G $.  $d x H $.  $d x S $.  $d x .0. $.
    submnd0.b $e |- B = ( Base ` G ) $.
    submnd0.z $e |- .0. = ( 0g ` G ) $.
    submnd0.h $e |- H = ( G |`s S ) $.
    $( The zero of a submonoid is the same as the zero in the parent monoid.
       (Note that we must add the condition that the zero of the parent monoid
       is actually contained in the submonoid, because it is possible to have
       "subsets that are monoids" which are not submonoids because they have a
       different identity element.  See, for example, ~ smndex1mnd and
       ~ smndex1n0mnd ).  (Contributed by Mario Carneiro, 10-Jan-2015.) $)
    submnd0 $p |- ( ( ( G e. Mnd /\ H e. Mnd ) /\ ( S C_ B /\ .0. e. S ) ) ->
      .0. = ( 0g ` H ) ) $=
      ( vx cmnd wcel wa cbs cfv cplusg eqid wceq co cvv oveqd ressbas2 ad2antrl
      wss c0g simprr eleqtrd cv fvex eqeltrdi adantr ressplusg simpll ressbasss
      syl sseli mndlid syl2an eqtr3d mndrid ismgmid2 ) CJKZDJKZLZBAUCZEBKZLZLZI
      DMNZDONZEDDUDNZVHPVJPVIPVGEBVHVCVDVEUEVDBVHQVCVEBADCHFUAUBZUFVGIUGZVHKZLZ
      EVLCONZRZEVLVIRVLVNVOVIEVLVNBSKZVOVIQVGVQVMVGBVHSVKDMUHUIUJBVOCDSHVOPZUKU
      NZTVGVAVLAKZVPVLQVMVAVBVFULZVHAVLBADCHFUMUOZAVOCVLEFVRGUPUQURVNVLEVORZVLE
      VIRVLVNVOVIVLEVSTVGVAVTWCVLQVMWAWBAVOCVLEFVRGUSUQURUT $.
  $}

  ${
    $d A v w $.  $d B v w $.  $d .0. v w $.  $d .+ v w $.  $d ph v w $.
    mndinvmod.b $e |- B = ( Base ` G ) $.
    mndinvmod.0 $e |- .0. = ( 0g ` G ) $.
    mndinvmod.p $e |- .+ = ( +g ` G ) $.
    mndinvmod.m $e |- ( ph -> G e. Mnd ) $.
    mndinvmod.a $e |- ( ph -> A e. B ) $.
    $( Uniqueness of an inverse element in a monoid, if it exists.
       (Contributed by AV, 20-Jan-2024.) $)
    mndinvmod $p |- ( ph -> E* w e. B
                         ( ( w .+ A ) = .0. /\ ( A .+ w ) = .0. ) ) $=
      ( vv cv co wceq wa wcel adantr adantl weq wi wral wrmo cmnd mndrid syl2an
      simpl eqcomd oveq2 eqcoms simpr w3a mndass oveq1 mndlid 3eqtrd ralrimivva
      syl13anc ex eqeq1d anbi12d rmo4 sylibr ) ABNZCEOZGPZCVEEOZGPZQZMNZCEOZGPZ
      CVKEOZGPZQZQZBMUAZUBZMDUCBDUCVJBDUDAVSBMDDAVEDRZVKDRZQZQZVQVRWCVQQZVEVEGE
      OZVEVNEOZVKWCVEWEPVQWCWEVEAFUERZVTWEVEPWBKVTWAUHZDEFVEGHJIUFUGUISVQWEWFPZ
      WCVPWIVJVOWIVMWIGVNGVNVEEUJUKTTTWDWFVFVKEOZGVKEOZVKWCWFWJPZVQWCWGVTCDRZWA
      WLAWGWBKSWBVTAWHTAWMWBLSWBWAAVTWAULZTWGVTWMWAUMQWJWFDEFVECVKHJUNUIUSSVQWJ
      WKPZWCVJWOVPVGWOVIVFGVKEUOSSTWCWKVKPZVQAWGWAWPWBKWNDEFVKGHJIUPUGSUQUQUTUR
      VJVPBMDVRVGVMVIVOVRVFVLGVEVKCEUOVAVRVHVNGVEVKCEUJVAVBVCVD $.
  $}

  ${
    $d x y .+ $.  $d y .0. $.  $d x y B $.  $d x F $.  $d x y I $.  $d x y R $.
    $d x G $.  $d x y ph $.  $d x y S $.  $d x y V $.  $d x y W $.  $d x y Y $.
    prdsplusgcl.y $e |- Y = ( S Xs_ R ) $.
    prdsplusgcl.b $e |- B = ( Base ` Y ) $.
    prdsplusgcl.p $e |- .+ = ( +g ` Y ) $.
    prdsplusgcl.s $e |- ( ph -> S e. V ) $.
    prdsplusgcl.i $e |- ( ph -> I e. W ) $.
    prdsplusgcl.r $e |- ( ph -> R : I --> Mnd ) $.
    ${
      prdsplusgcl.f $e |- ( ph -> F e. B ) $.
      prdsplusgcl.g $e |- ( ph -> G e. B ) $.
      $( Structure product pointwise sums are closed when the factors are
         monoids.  (Contributed by Stefan O'Rear, 10-Jan-2015.) $)
      prdsplusgcl $p |- ( ph -> ( F .+ G ) e. B ) $=
        ( wcel vx co cv cfv cplusg cmpt cmnd ffnd prdsplusgval cbs wa ffvelrnda
        wral adantr wfn simpr prdsbasprj eqid mndcl ralrimiva prdsbasmpt mpbird
        syl3anc eqeltrd ) AFGCUBUAHUAUCZFUDZVEGUDZVEDUDZUEUDZUBZUFZBAUABCDEFGHI
        JKLMOPAHUGDQUHZRSNUIAVKBTVJVHUJUDZTZUAHUMAVNUAHAVEHTZUKZVHUGTVFVMTVGVMT
        VNAHUGVEDQULVPBDEFHVEIJKLMAEITVOOUNZAHJTVOPUNZADHUOVOVLUNZAFBTVORUNAVOU
        PZUQVPBDEGHVEIJKLMVQVRVSAGBTVOSUNVTUQVMVIVHVFVGVMURVIURUSVCUTAUABDEVJHI
        JKLMOPVLVAVBVD $.
    $}

    prdsidlem.z $e |- .0. = ( 0g o. R ) $.
    $( Characterization of identity in a structure product.  (Contributed by
       Mario Carneiro, 10-Jan-2015.) $)
    prdsidlem $p |- ( ph -> ( .0. e. B /\ A. x e. B ( ( .0. .+ x ) = x /\
        ( x .+ .0. ) = x ) ) ) $=
      ( vy wcel cv co wceq wa wral cfv c0g cmpt ccom cvv fvexd cmnd feqmptd wfn
      fn0g a1i dffn5 sylib fveq2 fmptco eqtrid ffvelrnda eqid mndidcl ralrimiva
      cbs syl ffnd prdsbasmpt mpbird eqeltrd cplusg fveq1i fvco2 adantlr oveq1d
      sylan wf adantr ad2antrr simplr simpr prdsbasprj mndlid syl2anc mpteq2dva
      eqtrd prdsplusgval prdsbasfn 3eqtr4d oveq2d mndrid jca ) AKCTZKBUAZDUBZWO
      UCZWOKDUBZWOUCZUDZBCUEAKSGSUAZEUFZUGUFZUHZCAKUGEUIZXDRASBGUJXBWOUGUFZXCEU
      GAXAGTZUDZXAEUKASGULEQUMAUGUJUNZUGBUJXFUHUCXIAUOUPBUJUGUQURWOXBUGUSUTVAAX
      DCTXCXBVFUFZTZSGUEAXKSGXHXBULTZXKAGULXAEQVBXJXBXCXJVCZXCVCZVDVGVEASCEFXCG
      HIJLMOPAGULEQVHZVIVJVKZAWTBCAWOCTZUDZWQWSXRSGXAKUFZXAWOUFZXBVLUFZUBZUHSGX
      TUHZWPWOXRSGYBXTXRXGUDZYBXCXTYAUBZXTYDXSXCXTYAAXGXSXCUCXQXHXSXAXEUFZXCXAK
      XERVMAEGUNZXGYFXCUCXOGUGEXAVNVQVAVOZVPYDXLXTXJTZYEXTUCXRGULXAEAGULEVRXQQV
      SVBZYDCEFWOGXAHIJLMAFHTZXQXGOVTAGITZXQXGPVTAYGXQXGXOVTAXQXGWAXRXGWBWCZXJY
      AXBXTXCXMYAVCZXNWDWEWGWFXRSCDEFKWOGHIJLMAYKXQOVSZAYLXQPVSZAYGXQXOVSZAWNXQ
      XPVSZAXQWBZNWHXRWOGUNWOYCUCXRCEFWOGHIJLMYOYPYQYSWISGWOUQURZWJXRSGXTXSYAUB
      ZUHYCWRWOXRSGUUAXTYDUUAXTXCYAUBZXTYDXSXCXTYAYHWKYDXLYIUUBXTUCYJYMXJYAXBXT
      XCXMYNXNWLWEWGWFXRSCDEFWOKGHIJLMYOYPYQYSYRNWHYTWJWMVEWM $.
  $}

  ${
    $d a b y I $.  $d a b c y ph $.  $d a b y R $.  $d a b c y Y $.
    $d a b y S $.
    prdsmndd.y $e |- Y = ( S Xs_ R ) $.
    prdsmndd.i $e |- ( ph -> I e. W ) $.
    prdsmndd.s $e |- ( ph -> S e. V ) $.
    prdsmndd.r $e |- ( ph -> R : I --> Mnd ) $.
    $( The product of a family of monoids is a monoid.  (Contributed by Stefan
       O'Rear, 10-Jan-2015.) $)
    prdsmndd $p |- ( ph -> Y e. Mnd ) $=
      ( va vy cfv wcel co wa cvv eqid adantr vb vc cbs cplusg c0g ccom eqidd cv
      elexd cmnd wf simprl simprr prdsplusgcl 3impb cmpt wceq ffvelrnda adantlr
      w3a ad2antrr wfn simplr1 simpr prdsbasprj simplr2 simplr3 mndass syl13anc
      ffnd prdsplusgfval oveq1d oveq2d 3eqtr4d mpteq2dva 3adantr3 simpr3 simpr1
      prdsplusgval simpr2 wral prdsidlem simpld simprd r19.21bi ismndd ) ALUAUB
      GUCNZGUDNZGUEBUFZAWGUGAWHUGALUHZWGOZUAUHZWGOZWJWLWHPZWGOZAWKWMQZQWGWHBCWJ
      WLDRRGHWGSZWHSZACROZWPACEJUIZTADROZWPADFIUIZTADUJBUKZWPKTAWKWMULAWKWMUMUN
      ZUOAWKWMUBUHZWGOZUTZQZMDMUHZWNNZXIXENZXIBNZUDNZPZUPMDXIWJNZXIWLXEWHPZNZXM
      PZUPWNXEWHPWJXPWHPXHMDXNXRXHXIDOZQZXOXIWLNZXMPZXKXMPZXOYAXKXMPZXMPZXNXRXT
      XLUJOZXOXLUCNZOYAYGOXKYGOYCYEUQAXSYFXGADUJXIBKURUSXTWGBCWJDXIRRGHWQAWSXGX
      SWTVAZAXAXGXSXBVAZABDVBZXGXSADUJBKVJZVAZWKWMXFAXSVCZXHXSVDZVEXTWGBCWLDXIR
      RGHWQYHYIYLWKWMXFAXSVFZYNVEXTWGBCXEDXIRRGHWQYHYIYLWKWMXFAXSVGZYNVEYGXMXLX
      OYAXKYGSXMSVHVIXTXJYBXKXMXTWGWHBCWJWLDXIRRGHWQYHYIYLYMYOWRYNVKVLXTXQYDXOX
      MXTWGWHBCWLXEDXIRRGHWQYHYIYLYOYPWRYNVKVMVNVOXHMWGWHBCWNXEDRRGHWQAWSXGWTTZ
      AXAXGXBTZAYJXGYKTZAWKWMWOXFXDVPAWKWMXFVQZWRVSXHMWGWHBCWJXPDRRGHWQYQYRYSAW
      KWMXFVRXHWGWHBCWLXEDRRGHWQWRYQYRAXCXGKTAWKWMXFVTYTUNWRVSVNAWIWGOZWIWJWHPW
      JUQZWJWIWHPWJUQZQZLWGWAZALWGWHBCDRRGWIHWQWRWTXBKWISWBZWCAWKQZUUBUUCAUUDLW
      GAUUAUUEUUFWDWEZWCUUGUUBUUCUUHWDWF $.

    $( Zero in a product of monoids.  (Contributed by Stefan O'Rear,
       10-Jan-2015.) $)
    prds0g $p |- ( ph -> ( 0g o. R ) = ( 0g ` Y ) ) $=
      ( vb va c0g cfv wcel co wceq wa eqid ccom cbs cplusg wral elexd prdsidlem
      cv cvv cmnd wrex prdsmndd mndid syl ismgmid mpbid eqcomd ) AGNOZNBUAZAURG
      UBOZPURLUGZGUCOZQUTRUTURVAQUTRSLUSUDSUQURRALUSVABCDUHUHGURHUSTZVATZACEJUE
      ADFIUEKURTUFALUSVAURMGUQVBUQTVCAGUIPMUGZUTVAQUTRUTVDVAQUTRSLUSUDMUSUJABCD
      EFGHIJKUKLMUSVAGVBVCULUMUNUOUP $.
  $}

  ${
    $d x I $.  $d r x R $.  $d x V $.  $d r x .0. $.
    pwsmnd.y $e |- Y = ( R ^s I ) $.
    $( The structure power of a monoid is a monoid.  (Contributed by Mario
       Carneiro, 11-Jan-2015.) $)
    pwsmnd $p |- ( ( R e. Mnd /\ I e. V ) -> Y e. Mnd ) $=
      ( cmnd wcel wa csca cfv csn cxp cprds co eqid pwsval cvv simpr fvexd wf
      fconst6g adantr prdsmndd eqeltrd ) AFGZBCGZHZDAIJZBAKLZMNZFAUHBFCDEUHOPUG
      UIUHBQCUJUJOUEUFRUGAISUEBFUITUFBAFUAUBUCUD $.

    pws0g.z $e |- .0. = ( 0g ` R ) $.
    $( Zero in a structure power of a monoid.  (Contributed by Mario Carneiro,
       11-Jan-2015.) $)
    pws0g $p |- ( ( R e. Mnd /\ I e. V ) -> ( I X. { .0. } ) = ( 0g ` Y ) ) $=
      ( vx vr cmnd wcel c0g csn cxp csca cfv cvv eqid cmpt wceq wa cprds adantr
      ccom co simpr fvexd wf fconst6g prds0g fconstmpt cv elex ad2antrr a1i wfn
      fn0g dffn5 sylib fveq2 eqtr4di fmptco eqtr4id pwsval fveq2d 3eqtr4d ) AJK
      ZBCKZUAZLBAMNZUDZAOPZVJUBUEZLPBEMNZDLPVIVJVLBQCVMVMRVGVHUFVIAOUGVGBJVJUHV
      HBAJUIUCUJVIVNHBESVKHBEUKVIHIBQAIULZLPZEVJLVGAQKVHHULBKAJUMUNVJHBASTVIHBA
      UKUOVILQUPZLIQVPSTVQVIUQUOIQLURUSVOATVPALPEVOALUTGVAVBVCVIDVMLAVLBJCDFVLR
      VDVEVF $.
  $}

  ${
    $d p q x y .+ $.  $d a b p q u v w x y z ph $.  $d a b p q u v w x y z U $.
    $d p q u x .0. $.  $d p q u v w B $.  $d a b p q u x y z F $.  $d p q R $.
    $d a b p q x y z V $.
    imasmnd.u $e |- ( ph -> U = ( F "s R ) ) $.
    imasmnd.v $e |- ( ph -> V = ( Base ` R ) ) $.
    imasmnd.p $e |- .+ = ( +g ` R ) $.
    imasmnd.f $e |- ( ph -> F : V -onto-> B ) $.
    imasmnd.e $e |- ( ( ph /\ ( a e. V /\ b e. V ) /\ ( p e. V /\ q e. V ) )
      -> ( ( ( F ` a ) = ( F ` p ) /\ ( F ` b ) = ( F ` q ) )
        -> ( F ` ( a .+ b ) ) = ( F ` ( p .+ q ) ) ) ) $.
    ${
      imasmnd2.r $e |- ( ph -> R e. W ) $.
      imasmnd2.1 $e |- ( ( ph /\ x e. V /\ y e. V ) -> ( x .+ y ) e. V ) $.
      imasmnd2.2 $e |- ( ( ph /\ ( x e. V /\ y e. V /\ z e. V ) ) ->
        ( F ` ( ( x .+ y ) .+ z ) ) = ( F ` ( x .+ ( y .+ z ) ) ) ) $.
      imasmnd2.3 $e |- ( ph -> .0. e. V ) $.
      imasmnd2.4 $e |- ( ( ph /\ x e. V ) ->
        ( F ` ( .0. .+ x ) ) = ( F ` x ) ) $.
      imasmnd2.5 $e |- ( ( ph /\ x e. V ) ->
        ( F ` ( x .+ .0. ) ) = ( F ` x ) ) $.
      $( The image structure of a monoid is a monoid.  (Contributed by Mario
         Carneiro, 24-Feb-2015.) $)
      imasmnd2 $p |- ( ph -> ( U e. Mnd /\ ( F ` .0. ) = ( 0g ` U ) ) ) $=
        ( vu vv vw cmnd wcel cfv c0g wceq cplusg imasbas eqidd wf cv eqid 3expb
        cxp co caovclg imasaddf fovrn syl3an1 w3a wrex crn wfo eleq2d 3anbi123d
        forn syl wfn wb fofn fvelrnb bitr3d 3reeanv bitr4di wa 3adant3r3 simpr3
        simpl imasaddval syl3anc simpr1 3adantr1 3eqtr4d oveq1d 3adant3r1 simp1
        wi oveq2d simp2 oveq12d simp3 syl5ibcom 3exp2 imp32 rexlimdv rexlimdvva
        eqeq12d sylbid imp fof ffvelrnd adantr simpr eqtrd id rexlimdva mpd3an3
        oveq2 oveq1 ismndd grpidd jca ) AHUKULLIUMZHUNUMUOAUHUIUJEHUPUMZHYBAEGH
        IJKQRTUBUQZAYCURZAEEVCEYCUSUHUTZEULZUIUTZEULZYFYHYCVDZEULAEGYCFHIJKMNOP
        TUAQRUBSYCVAZABCNUTMUTJJJFABUTZJULZCUTZJULZYLYNFVDZJULZUCVBVEZVFYFYHEEE
        YCVGVHAYGYIUJUTZEULZVIZYJYSYCVDZYFYHYSYCVDZYCVDZUOZAUUAYLIUMZYFUOZYNIUM
        ZYHUOZDUTZIUMZYSUOZVIZDJVJZCJVJBJVJZUUEAUUAUUGBJVJZUUICJVJZUULDJVJZVIZU
        UOAYFIVKZULZYHUUTULZYSUUTULZVIZUUAUUSAUVAYGUVBYIUVCYTAUUTEYFAJEIVLZUUTE
        UOTJEIVOVPZVMZAUUTEYHUVFVMAUUTEYSUVFVMVNAIJVQZUVDUUSVRAUVEUVHTJEIVSVPZU
        VHUVAUUPUVBUUQUVCUURBJYFIVTZCJYHIVTDJYSIVTVNVPWAUUGUUIUULBCDJJJWBWCAUUN
        UUEBCJJAYMYOWDWDUUMUUEDJAYMYOUUJJULZUUMUUEWPZWPAYMYOUVKUVLAYMYOUVKVIZWD
        ZUUFUUHYCVDZUUKYCVDZUUFUUHUUKYCVDZYCVDZUOUUMUUEUVNYPIUMZUUKYCVDZUUFYNUU
        JFVDZIUMZYCVDZUVPUVRUVNYPUUJFVDIUMZYLUWAFVDIUMZUVTUWCUDUVNAYQUVKUVTUWDU
        OAUVMWGZAYMYOYQUVKUCWEAYMYOUVKWFAEGYCFHIJYPUUJKMNOPTUAQRUBSYKWHWIUVNAYM
        UWAJULZUWCUWEUOUWFAYMYOUVKWJAYOUVKUWGYMANMYNUUJJJJFYRVEWKAEGYCFHIJYLUWA
        KMNOPTUAQRUBSYKWHWIWLUVNUVOUVSUUKYCAYMYOUVOUVSUOUVKAEGYCFHIJYLYNKMNOPTU
        AQRUBSYKWHWEWMUVNUVQUWBUUFYCAYOUVKUVQUWBUOYMAEGYCFHIJYNUUJKMNOPTUAQRUBS
        YKWHWNWQWLUUMUVPUUBUVRUUDUUMUVOYJUUKYSYCUUMUUFYFUUHYHYCUUGUUIUULWOZUUGU
        UIUULWRZWSUUGUUIUULWTZWSUUMUUFYFUVQUUCYCUWHUUMUUHYHUUKYSYCUWIUWJWSWSXFX
        AXBXCXDXEXGXHAJELIAUVEJEIUSTJEIXIVPUEXJZAYGYBYFYCVDZYFUOZAYGUUPUWMAUVAY
        GUUPUVGAUVHUVAUUPVRUVIUVJVPWAZAUUGUWMBJAYMWDZYBUUFYCVDZUUFUOUUGUWMUWOUW
        PLYLFVDIUMZUUFUWOALJULZYMUWPUWQUOAYMWGAUWRYMUEXKZAYMXLAEGYCFHIJLYLKMNOP
        TUAQRUBSYKWHWIUFXMUUGUWPUWLUUFYFUUFYFYBYCXQUUGXNZXFXAXOXGXHZAYGYFYBYCVD
        ZYFUOZAYGUUPUXCUWNAUUGUXCBJUWOUUFYBYCVDZUUFUOUUGUXCUWOUXDYLLFVDIUMZUUFA
        YMUWRUXDUXEUOUWSAEGYCFHIJYLLKMNOPTUAQRUBSYKWHXPUGXMUUGUXDUXBUUFYFUUFYFY
        BYCXRUWTXFXAXOXGXHZXSAUHEYCHYBYDYEUWKUXAUXFXTYA $.
    $}

    ${
      imasmnd.r $e |- ( ph -> R e. Mnd ) $.
      imasmnd.z $e |- .0. = ( 0g ` R ) $.
      $( The image structure of a monoid is a monoid.  (Contributed by Mario
         Carneiro, 24-Feb-2015.) $)
      imasmnd $p |- ( ph -> ( U e. Mnd /\ ( F ` .0. ) = ( 0g ` U ) ) ) $=
        ( wcel vx vy vz cmnd cv w3a co cbs cfv 3ad2ant1 simp2 wceq eleqtrd eqid
        simp3 mndcl syl3anc eleqtrrd wa adantr 3adant3r3 simpr3 mndass syl13anc
        fveq2d mndidcl syl eleq2d biimpa mndlid syl2an2r mndrid imasmnd2 ) AUAU
        BUCBCDEFGUDHIJKLMNOPQRAUAUEZGTZUBUEZGTZUFZVNVPCUGZDUHUIZGVRDUDTZVNVTTZV
        PVTTZVSVTTAVOWAVQRUJVRVNGVTAVOVQUKAVOGVTULZVQNUJZUMZVRVPGVTAVOVQUOWEUMZ
        VTCDVNVPVTUNZOUPUQWEURAVOVQUCUEZGTZUFZUSZVSWICUGZVNVPWICUGCUGZFWLWAWBWC
        WIVTTWMWNULAWAWKRUTAVOVQWBWJWFVAAVOVQWCWJWGVAWLWIGVTAVOVQWJVBAWDWKNUTUM
        VTCDVNVPWIWHOVCVDVEAHVTGAWAHVTTRVTDHWHSVFVGNURAVOUSZHVNCUGZVNFAWAVOWBWP
        VNULRAVOWBAGVTVNNVHVIZVTCDVNHWHOSVJVKVEWOVNHCUGZVNFAWAVOWBWRVNULRWQVTCD
        VNHWHOSVLVKVEVM $.
    $}
  $}

  ${
    $d a b p q B $.  $d a b p q F $.  $d a b p q R $.  $d a b p q U $.
    $d a b p q V $.
    imasmndf1.u $e |- U = ( F "s R ) $.
    imasmndf1.v $e |- V = ( Base ` R ) $.
    $( The image of a monoid under an injection is a monoid.  (Contributed by
       Mario Carneiro, 24-Feb-2015.) $)
    imasmndf1 $p |- ( ( F : V -1-1-> B /\ R e. Mnd ) -> U e. Mnd ) $=
      ( vq vp va vb wf1 cmnd wcel c0g cfv wceq a1i eqid cv crn cplusg cimas cbs
      wa co wf1o wfo f1f1orn adantr f1ofo syl f1ocpbl simpr imasmnd simpld ) EA
      DLZBMNZUEZCMNBOPZDPCOPQUSDUAZBUBPZBCDEUTHIJKCDBUCUFQUSFREBUDPQUSGRVBSUSEV
      ADUGZEVADUHUQVCUREADUIUJZEVADUKULUSJTKTITHTVBDEVAVDUMUQURUNUTSUOUP $.
  $}

  ${
    $d x y R $.  $d x y S $.
    xpsmnd.t $e |- T = ( R Xs. S ) $.
    $( The binary product of monoids is a monoid.  (Contributed by Mario
       Carneiro, 20-Aug-2015.) $)
    xpsmnd $p |- ( ( R e. Mnd /\ S e. Mnd ) -> T e. Mnd ) $=
      ( vx vy cmnd wcel cbs cfv c0 cv cop c1o cpr csca co eqid wf1o c2o wa cmpo
      ccnv cprds cimas simpl simpr xpsval cxp wf1 crn xpsff1o2 xpsrnbas f1oeq3d
      mpbii f1ocnv f1of1 3syl cvv con0 2on a1i fvexd wf xpscf biimpri imasmndf1
      prdsmndd syl2anc eqeltrd ) AGHZBGHZUAZCEFAIJZBIJZKELMNFLMOUBZUCZAPJZKAMNB
      MOZUDQZUEQZGVMEFABCVTVPVRGGVNVODVNRZVORZVKVLUFZVKVLUGZVPRZVRRZVTRZUHVMVTI
      JZVNVOUIZVQUJZVTGHWAGHVMWJWIVPSZWIWJVQSWKVMWJVPUKZVPSWLEFVNVOVPWFULVMWMWI
      WJVPVMEFABCVTVPVRGGVNVODWBWCWDWEWFWGWHUMUNUOWJWIVPUPWIWJVQUQURVMVSVRTUSUT
      VTWHTUTHVMVAVBVMAPVCTGVSVDVMGABVEVFVHWJVTWAVQWIWARWIRVGVIVJ $.
  $}

  ${
    $d I x y $.
    mnd1.m $e |- M = { <. ( Base ` ndx ) , { I } >. ,
                       <. ( +g ` ndx ) , { <. <. I , I >. , I >. } >. } $.
    $( The (smallest) structure representing a _trivial monoid_ consists of one
       element.  (Contributed by AV, 28-Apr-2019.)  (Proof shortened by AV,
       11-Feb-2020.) $)
    mnd1 $p |- ( I e. V -> M e. Mnd ) $=
      ( vx vy wcel cv cop csn co wceq wa wral cfv cvv eqeq12d oveq1 snex ax-mp
      csgrp wrex cmnd sgrp1 df-ov opex fvsng mpan eqtrid oveq2 ralsng mpbir2and
      id anbi12d eqeq1d ovanraleqv rexsng mpbird cbs grpplusg ismnddef sylanbrc
      grpbase cplusg ) ACGZBUAGEHZFHZAAIZAIZJZKZVGLZVGVFVJKVGLMFAJZNZEVMUBZBUCG
      ABCDUDVEVOAVGVJKZVGLZVGAVJKZVGLZMZFVMNZVEWAAAVJKZALZWCVEWBVHVJOZAAAVJUEVH
      PGVEWDALAAUFVHAPCUGUHUIZWEVTWCWCMFACVGALZVQWCVSWCWFVPWBVGAVGAAVJUJWFUMZQW
      FVRWBVGAVGAAVJRWGQUNUKULVNWAEACVLVQFVGVFVGVJVMAVFALVKVPVGVFAVGVJRUOUPUQUR
      VMVJEBFVMPGVMBUSOLASVMVJBPDVCTVJPGVJBVDOLVISVMVJBPDUTTVAVB $.

    $d I a $.  $d M a $.  $d V a $.
    $( The singleton element of a _trivial monoid_ is its identity element.
       (Contributed by AV, 23-Jan-2020.) $)
    mnd1id $p |- ( I e. V -> ( 0g ` M ) = I ) $=
      ( va wcel c0g cfv csn cop cvv cbs wceq ax-mp co eqeq12d syl5ibrcom syl5bi
      snex imp grpbase eqid cplusg grpplusg snidg velsn df-ov opex fvsng eqtrid
      cv mpan oveq2 id oveq1 ismgmid2 eqcomd ) ACFZABGHZUREAIZAAJZAJZIZABUSUTKF
      UTBLHMASUTVCBKDUANUSUBVCKFVCBUCHMVBSUTVCBKDUDNACUEUREUKZUTFZAVDVCOZVDMZVE
      VDAMZURVGEAUFZURVGVHAAVCOZAMZURVJVAVCHZAAAVCUGVAKFURVLAMAAUHVAAKCUIULUJZV
      HVFVJVDAVDAAVCUMVHUNZPQRTURVEVDAVCOZVDMZVEVHURVPVIURVPVHVKVMVHVOVJVDAVDAA
      VCUOVNPQRTUPUQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Monoid homomorphisms and submonoids
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c MndHom $.
  $c SubMnd $.

  $( Hom-set generator class for monoids. $)
  cmhm $a class MndHom $.

  $( Class function taking a monoid to its lattice of submonoids. $)
  csubmnd $a class SubMnd $.

  ${
    $d s t f x y $.
    $( A monoid homomorphism is a function on the base sets which preserves the
       binary operation and the identity.  (Contributed by Mario Carneiro,
       7-Mar-2015.) $)
    df-mhm $a |- MndHom = ( s e. Mnd , t e. Mnd |->
          { f e. ( ( Base ` t ) ^m ( Base ` s ) ) |
            ( A. x e. ( Base ` s ) A. y e. ( Base ` s )
                  ( f ` ( x ( +g ` s ) y ) ) =
                    ( ( f ` x ) ( +g ` t ) ( f ` y ) ) /\
              ( f ` ( 0g ` s ) ) = ( 0g ` t ) ) } ) $.

    $( A submonoid is a subset of a monoid which contains the identity and is
       closed under the operation.  Such subsets are themselves monoids with
       the same identity.  (Contributed by Mario Carneiro, 7-Mar-2015.) $)
    df-submnd $a |- SubMnd = ( s e. Mnd |-> { t e. ~P ( Base ` s ) |
            ( ( 0g ` s ) e. t /\
              A. x e. t A. y e. t ( x ( +g ` s ) y ) e. t ) } ) $.
  $}

  ${
    $d f s t .+^ $.  $d f s t x y B $.  $d f s t x y S $.  $d f s t x y T $.
    $d f s t .+ $.  $d f s t .0. $.  $d f s t C $.  $d f x y F $.
    $d f s t Y $.
    ismhm.b $e |- B = ( Base ` S ) $.
    ismhm.c $e |- C = ( Base ` T ) $.
    ismhm.p $e |- .+ = ( +g ` S ) $.
    ismhm.q $e |- .+^ = ( +g ` T ) $.
    ismhm.z $e |- .0. = ( 0g ` S ) $.
    ismhm.y $e |- Y = ( 0g ` T ) $.
    $( Property of a monoid homomorphism.  (Contributed by Mario Carneiro,
       7-Mar-2015.) $)
    ismhm $p |- ( F e. ( S MndHom T ) <-> ( ( S e. Mnd /\ T e. Mnd ) /\
          ( F : B --> C /\ A. x e. B A. y e. B ( F ` ( x .+ y ) ) =
                  ( ( F ` x ) .+^ ( F ` y ) ) /\ ( F ` .0. ) = Y ) ) ) $=
      ( co cfv wceq vs vt vf cmhm wcel cmnd wa wf wral w3a cplusg cbs cmap crab
      c0g df-mhm elmpocl fveq2 eqtr4di oveqan12rd adantr oveqd fveq2d eqeqan12d
      cv raleqbidv anbi12d rabeqbidv ovex rabex ovmpoa eleq2d fvexi elmap fveq1
      anbi1i oveq12d eqeq12d 2ralbidv eqeq1d 3anass 3bitr4i bitrdi biadanii
      elrab ) IGHUDRZUEZGUFUEHUFUEUGZCDIUHZAVEZBVEZERZISZWJISZWKISZFRZTZBCUIACU
      IZKISZJTZUJZUAUBUFUFWJWKUAVEZUKSZRZUCVEZSZWJXESZWKXESZUBVEZUKSZRZTZBXBULS
      ZUIZAXMUIZXBUOSZXESZXIUOSZTZUGZUCXIULSZXMUMRZUNZGHUDIABUBUCUAUPZUQWHWGIWL
      XESZXGXHFRZTZBCUIZACUIZKXESZJTZUGZUCDCUMRZUNZUEZXAWHWFYNIUAUBGHUFUFYCYNUD
      XBGTZXIHTZUGZXTYLUCYBYMYQYPYADXMCUMYQYAHULSDXIHULURMUSYPXMGULSCXBGULURLUS
      ZUTYRXOYIXSYKYRXNYHAXMCYPXMCTYQYSVAZYRXLYGBXMCYTYPYQXFYEXKYFYPXDWLXEYPXCE
      WJWKYPXCGUKSEXBGUKURNUSVBVCYQXJFXGXHYQXJHUKSFXIHUKUROUSVBVDVFVFYPYQXQYJXR
      JYPXPKXEYPXPGUOSKXBGUOURPUSVCYQXRHUOSJXIHUOURQUSVDVGVHYDYLUCYMDCUMVIVJVKV
      LIYMUEZWRWTUGZUGWIUUBUGYOXAUUAWIUUBDCIDHULMVMCGULLVMVNVPYLUUBUCIYMXEITZYI
      WRYKWTUUCYGWQABCCUUCYEWMYFWPWLXEIVOUUCXGWNXHWOFWJXEIVOWKXEIVOVQVRVSUUCYJW
      SJKXEIVOVTVGWEWIWRWTWAWBWCWD $.
  $}

  ${
    $d f s t x y B $.  $d x y F $.  $d x y S $.  $d x y T $.
    $( Reverse closure of a monoid homomorphism.  (Contributed by Mario
       Carneiro, 7-Mar-2015.) $)
    mhmrcl1 $p |- ( F e. ( S MndHom T ) -> S e. Mnd ) $=
      ( vs vt vx vy vf cmnd cv cplusg cfv co wceq cbs wral c0g wa cmap crab
      cmhm df-mhm elmpocl1 ) DEIIFJZGJZDJZKLMHJZLUDUGLUEUGLEJZKLMNGUFOLZPFUIPUF
      QLUGLUHQLNRHUHOLUISMTABUACFGEHDUBUC $.

    $( Reverse closure of a monoid homomorphism.  (Contributed by Mario
       Carneiro, 7-Mar-2015.) $)
    mhmrcl2 $p |- ( F e. ( S MndHom T ) -> T e. Mnd ) $=
      ( vs vt vx vy vf cmnd cv cplusg cfv co wceq cbs wral c0g wa cmap crab
      cmhm df-mhm elmpocl2 ) DEIIFJZGJZDJZKLMHJZLUDUGLUEUGLEJZKLMNGUFOLZPFUIPUF
      QLUGLUHQLNRHUHOLUISMTABUACFGEHDUBUC $.

    mhmf.b $e |- B = ( Base ` S ) $.
    mhmf.c $e |- C = ( Base ` T ) $.
    $( A monoid homomorphism is a function.  (Contributed by Mario Carneiro,
       7-Mar-2015.) $)
    mhmf $p |- ( F e. ( S MndHom T ) -> F : B --> C ) $=
      ( vx vy cmhm co wcel cv cplusg cfv wceq wral c0g cmnd eqid wf w3a simprbi
      wa ismhm simp1d ) ECDJKLZABEUAZHMZIMZCNOZKEOUIEOUJEODNOZKPIAQHAQZCROZEODR
      OZPZUGCSLDSLUDUHUMUPUBHIABUKULCDEUOUNFGUKTULTUNTUOTUEUCUF $.
  $}

  ${
    $d x y B $.  $d w x y z C $.  $d f x y J $.  $d f x y L $.  $d f x y ph $.
    $d f w x y z K $.  $d f w x y z M $.
    mhmpropd.a $e |- ( ph -> B = ( Base ` J ) ) $.
    mhmpropd.b $e |- ( ph -> C = ( Base ` K ) ) $.
    mhmpropd.c $e |- ( ph -> B = ( Base ` L ) ) $.
    mhmpropd.d $e |- ( ph -> C = ( Base ` M ) ) $.
    mhmpropd.e $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( x ( +g ` J ) y ) = ( x ( +g ` L ) y ) ) $.
    mhmpropd.f $e |- ( ( ph /\ ( x e. C /\ y e. C ) ) ->
        ( x ( +g ` K ) y ) = ( x ( +g ` M ) y ) ) $.
    $( Monoid homomorphism depends only on the monoidal attributes of
       structures.  (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by
       Mario Carneiro, 7-Nov-2015.) $)
    mhmpropd $p |- ( ph -> ( J MndHom K ) = ( L MndHom M ) ) $=
      ( co wcel wa cfv wceq vf vw vz cmhm cmnd cbs cv wf cplusg wral c0g w3a wb
      fveq2d adantlr ffvelrn anim12dan ralrimivva oveq1 eqeq12d oveq2 cbvral2vw
      sylib rspc2va syl2anr anassrs 2ralbidva adantrl raleqbi1dv adantr 3bitr3d
      raleq syl grpidpropd anbi12d pm5.32da feq23d anbi1d 3anass mndpropd bitrd
      3bitr4g eqid ismhm eqrdv ) AUAFGUDPZHIUDPZAFUEQZGUEQZRZFUFSZGUFSZUAUGZUHZ
      BUGZCUGZFUISZPZWMSZWOWMSZWPWMSZGUISZPZTZCWKUJZBWKUJZFUKSZWMSZGUKSZTZULZRZ
      HUEQZIUEQZRZHUFSZIUFSZWMUHZWOWPHUISZPZWMSZWTXAIUISZPZTZCXPUJZBXPUJZHUKSZW
      MSZIUKSZTZULZRZWMWFQWMWGQAXLWJYKRYLAWJXKYKAWJRZWNXFXJRZRZXRYFYJRZRZXKYKYM
      DEWMUHZYNRYRYPRYOYQYMYRYNYPAWJYRYNYPUMAWJYRRZRZXFYFXJYJYTXDCDUJZBDUJZYDCD
      UJZBDUJZXFYFAYRUUBUUDUMWJAYRRZXDYDBCDDUUEWODQZWPDQZRZRWSYAXCYCAUUHWSYATYR
      AUUHRWRXTWMNUNUOAYRUUHXCYCTZYRUUHRWTEQZXAEQZRUBUGZUCUGZXBPZUULUUMYBPZTZUC
      EUJUBEUJZUUIAYRUUFUUJUUGUUKDEWOWMUPDEWPWMUPUQAWOWPXBPZWOWPYBPZTZCEUJBEUJU
      UQAUUTBCEEOURUUTUUPUULWPXBPZUULWPYBPZTBCUBUCEEWOUULTUURUVAUUSUVBWOUULWPXB
      USWOUULWPYBUSUTWPUUMTUVAUUNUVBUUOWPUUMUULXBVAWPUUMUULYBVAUTVBVCUUPUUIWTUU
      MXBPZWTUUMYBPZTUBUCWTXAEEUULWTTUUNUVCUUOUVDUULWTUUMXBUSUULWTUUMYBUSUTUUMX
      ATUVCXCUVDYCUUMXAWTXBVAUUMXAWTYBVAUTVDVEVFUTVGVHAUUBXFUMZYSADWKTZUVEJUUAX
      EBDWKXDCDWKVLVIVMVJAUUDYFUMZYSADXPTZUVGLUUCYEBDXPYDCDXPVLVIVMVJVKYTXHYHXI
      YIYTXGYGWMYTBCDFHAUVFYSJVJAUVHYSLVJAUUHWRXTTYSNUOVNUNYTBCEGIAEWLTYSKVJAEX
      QTYSMVJAWOEQWPEQRUUTYSOUOVNUTVOVFVPYMYRWNYNAYRWNUMWJADEWKWLWMJKVQVJVRYMYR
      XRYPAYRXRUMWJADEXPXQWMLMVQVJVRVKWNXFXJVSXRYFYJVSWBVPAWJXOYKAWHXMWIXNABCDF
      HJLNVTABCEGIKMOVTVOVRWABCWKWLWQXBFGWMXIXGWKWCWLWCWQWCXBWCXGWCXIWCWDBCXPXQ
      XSYBHIWMYIYGXPWCXQWCXSWCYBWCYGWCYIWCWDWBWE $.
  $}

  ${
    $d B x y $.  $d F x y $.  $d .+ x y $.  $d .+^ x y $.  $d S x y $.
    $d T x y $.  $d X x y $.  $d Y x y $.
    mhmlin.b $e |- B = ( Base ` S ) $.
    mhmlin.p $e |- .+ = ( +g ` S ) $.
    mhmlin.q $e |- .+^ = ( +g ` T ) $.
    $( A monoid homomorphism commutes with composition.  (Contributed by Mario
       Carneiro, 7-Mar-2015.) $)
    mhmlin $p |- ( ( F e. ( S MndHom T ) /\ X e. B /\ Y e. B ) ->
        ( F ` ( X .+ Y ) ) = ( ( F ` X ) .+^ ( F ` Y ) ) ) $=
      ( vx vy co wcel cfv wceq cv wral eqid cmhm wa cbs wf c0g cmnd w3a simprbi
      ismhm simp2d fvoveq1 oveq1d eqeq12d fveq2d oveq2d rspc2v syl5com 3impib
      fveq2 oveq2 ) FDEUANOZGAOZHAOZGHBNZFPZGFPZHFPZCNZQZVALRZMRZBNFPZVJFPZVKFP
      ZCNZQZMASLASZVBVCUBVIVAAEUCPZFUDZVQDUEPZFPEUEPZQZVADUFOEUFOUBVSVQWBUGLMAV
      RBCDEFWAVTIVRTJKVTTWATUIUHUJVPVIGVKBNZFPZVFVNCNZQLMGHAAVJGQZVLWDVOWEVJGVK
      FBUKWFVMVFVNCVJGFUSULUMVKHQZWDVEWEVHWGWCVDFVKHGBUTUNWGVNVGVFCVKHFUSUOUMUP
      UQUR $.
  $}

  ${
    $d F x y $.  $d S x y $.  $d T x y $.
    mhm0.z $e |- .0. = ( 0g ` S ) $.
    mhm0.y $e |- Y = ( 0g ` T ) $.
    $( A monoid homomorphism preserves zero.  (Contributed by Mario Carneiro,
       7-Mar-2015.) $)
    mhm0 $p |- ( F e. ( S MndHom T ) -> ( F ` .0. ) = Y ) $=
      ( vx vy cmhm co wcel cbs cfv cv cplusg wceq wral cmnd eqid wf w3a simprbi
      wa ismhm simp3d ) CABJKLZAMNZBMNZCUAZHOZIOZAPNZKCNUKCNULCNBPNZKQIUHRHUHRZ
      ECNDQZUGASLBSLUDUJUOUPUBHIUHUIUMUNABCDEUHTUITUMTUNTFGUEUCUF $.
  $}

  ${
    $d B a b $.  $d M a b $.
    idmhm.b $e |- B = ( Base ` M ) $.
    $( The identity homomorphism on a monoid.  (Contributed by AV,
       14-Feb-2020.) $)
    idmhm $p |- ( M e. Mnd -> ( _I |` B ) e. ( M MndHom M ) ) $=
      ( va vb cmnd wcel cid cres wf cv cplusg cfv co wceq wral eqid fvresi syl
      wa c0g w3a cmhm id wf1o f1oi f1of mndcl 3expb oveqan12d adantl ralrimivva
      mp1i eqtr4d mndidcl 3jca ismhm syl21anbrc ) BFGZUSUSAAHAIZJZDKZEKZBLMZNZU
      TMZVBUTMZVCUTMZVDNZOZEAPDAPZBUAMZUTMVLOZUBUTBBUCNGUSUDZVNUSVAVKVMAAUTUEVA
      USAUFAAUTUGUMUSVJDEAAUSVBAGZVCAGZTZTZVFVEVIVRVEAGZVFVEOUSVOVPVSAVDBVBVCCV
      DQZUHUIAVERSVQVIVEOUSVOVPVGVBVHVCVDAVBRAVCRUJUKUNULUSVLAGVMABVLCVLQZUOAVL
      RSUPDEAAVDVDBBUTVLVLCCVTVTWAWAUQUR $.
  $}

  ${
    $d B x y $.  $d C x y $.  $d F x y $.  $d R x y $.  $d S x y $.
    mhmf1o.b $e |- B = ( Base ` R ) $.
    mhmf1o.c $e |- C = ( Base ` S ) $.
    $( A monoid homomorphism is bijective iff its converse is also a monoid
       homomorphism.  (Contributed by AV, 22-Oct-2019.) $)
    mhmf1o $p |- ( F e. ( R MndHom S )
                   -> ( F : B -1-1-onto-> C <-> `' F e. ( S MndHom R ) ) ) $=
      ( vx vy cmhm co wcel wf1o wa cmnd cfv wceq adantr eqid syl2anc ccnv wf cv
      cplusg wral c0g w3a mhmrcl2 mhmrcl1 jca f1ocnv adantl syl simpll ffvelrnd
      simprl simprr mhmlin syl3anc simpr f1ocnvfv2 oveq12d eqtrd mndcl f1ocnvfv
      f1of wi mpd ralrimivva mhm0 eqcomd fveq2d mndidcl f1ocnvfv1 3jca sylanbrc
      ismhm wfn mhmf ffnd dff1o4 impbida ) ECDJKLZABEMZEUAZDCJKLZWCWDNZDOLZCOLZ
      NZBAWEUBZHUCZIUCZDUDPZKZWEPWLWEPZWMWEPZCUDPZKZQZIBUEHBUEZDUFPZWEPZCUFPZQZ
      UGWFWCWJWDWCWHWICDEUHCDEUIZUJRWGWKXAXEWGBAWEMZWKWDXGWCABEUKULBAWEVFUMZWGW
      THIBBWGWLBLZWMBLZNZNZWSEPZWOQZWTXLXMWPEPZWQEPZWNKZWOXLWCWPALZWQALZXMXQQWC
      WDXKUNXLBAWLWEWGWKXKXHRZWGXIXJUPZUOZXLBAWMWEXTWGXIXJUQZUOZAWRWNCDEWPWQFWR
      SZWNSZURUSXLXOWLXPWMWNXLWDXIXOWLQWGWDXKWCWDUTZRZYAABWLEVATXLWDXJXPWMQYHYC
      ABWMEVATVBVCXLWDWSALZXNWTVGYHXLWIXRXSYIWGWIXKWCWIWDXFRRYBYDAWRCWPWQFYEVDU
      SABWSWOEVETVHVIWGXCXDEPZWEPZXDWGXBYJWEWGYJXBWCYJXBQWDCDEXBXDXDSZXBSZVJRVK
      VLWGWDXDALZYKXDQYGWCYNWDWCWIYNXFACXDFYLVMUMRABXDEVNTVCVOHIBAWNWRDCWEXDXBG
      FYFYEYMYLVQVPWCWFNZEAVRWEBVRWDYOABEWCABEUBWFABCDEFGVSRVTYOBAWEWFWKWCBADCW
      EGFVSULVTABEWAVPWB $.
  $}

  ${
    $d M m t x y $.  $d S t x y $.  $d s t x y $.
    $( Reverse closure for submonoids.  (Contributed by Mario Carneiro,
       7-Mar-2015.) $)
    submrcl $p |- ( S e. ( SubMnd ` M ) -> M e. Mnd ) $=
      ( vs vt vx vy cmnd cv c0g cfv wcel cplusg co wral wa cbs cpw crab csubmnd
      df-submnd mptrcl ) CGCHZIJDHZKEHFHUBLJMUCKFUCNEUCNODUBPJQRSABEFDCTUA $.

    issubm.b $e |- B = ( Base ` M ) $.
    issubm.z $e |- .0. = ( 0g ` M ) $.
    issubm.p $e |- .+ = ( +g ` M ) $.
    $( Expand definition of a submonoid.  (Contributed by Mario Carneiro,
       7-Mar-2015.) $)
    issubm $p |- ( M e. Mnd -> ( S e. ( SubMnd ` M ) <->
          ( S C_ B /\ .0. e. S /\ A. x e. S A. y e. S ( x .+ y ) e. S ) ) ) $=
      ( vt vm wcel cfv c0g cv cplusg wral wa cbs cmnd csubmnd cpw crab wss wceq
      co w3a fveq2 pweqd eleq1d oveqd 2ralbidv anbi12d rabeqbidv df-submnd fvex
      pwex rabex fvmpt eleq2d eleq2 raleqbi1dv elrab sseq2i eleq1i oveqi 3anass
      2ralbii anbi12i elpw2 anbi1i 3bitr4ri bitri bitrdi ) FUAMZEFUBNZMEFONZKPZ
      MZAPZBPZFQNZUGZVSMZBVSRZAVSRZSZKFTNZUCZUDZMZECUEZGEMZWAWBDUGZEMZBERAERZUH
      ZVPVQWKELFLPZONZVSMZWAWBWSQNZUGZVSMZBVSRAVSRZSZKWSTNZUCZUDWKUAUBWSFUFZXFW
      HKXHWJXIXGWIWSFTUIUJXIXAVTXEWGXIWTVRVSWSFOUIUKXIXDWEABVSVSXIXCWDVSXIXBWCW
      AWBWSFQUIULUKUMUNUOABKLUPWHKWJWIFTUQZURUSUTVAWLEWJMZVREMZWDEMZBERZAERZSZS
      ZWRWHXPKEWJVSEUFVTXLWGXOVSEVRVBWFXNAVSEWEXMBVSEVSEWDVBVCVCUNVDWMWNWQSZSEW
      IUEZXPSWRXQWMXSXRXPCWIEHVEWNXLWQXOGVREIVFWPXMABEEWOWDEDWCWAWBJVGVFVIVJVJW
      MWNWQVHXKXSXPEWIXJVKVLVMVNVO $.
  $}

  ${
    $d B x y $.  $d H x y $.  $d M x y $.  $d S x y $.  $d .0. x y $.
    issubm2.b $e |- B = ( Base ` M ) $.
    issubm2.z $e |- .0. = ( 0g ` M ) $.
    issubm2.h $e |- H = ( M |`s S ) $.
    $( Submonoids are subsets that are also monoids with the same zero.
       (Contributed by Mario Carneiro, 7-Mar-2015.) $)
    issubm2 $p |- ( M e. Mnd -> ( S e. ( SubMnd ` M ) <->
          ( S C_ B /\ .0. e. S /\ H e. Mnd ) ) ) $=
      ( vx vy cmnd wcel csubmnd cfv wss cv wral w3a wa df-3an cplusg co eqid wb
      issubm issubmnd bicomd 3expb pm5.32da 3bitr4g bitrd ) DKLZBDMNLBAOZEBLZIP
      JPDUANZUBBLJBQIBQZRZUMUNCKLZRZIJAUOBDEFGUOUCZUEULUMUNSZUPSVAURSUQUSULVAUP
      URULUMUNUPURUDULUMUNRURUPIJAUOBDCEFUTGHUFUGUHUIUMUNUPTUMUNURTUJUK $.
  $}

  ${
    issubmndb.b $e |- B = ( Base ` G ) $.
    issubmndb.z $e |- .0. = ( 0g ` G ) $.
    $( The submonoid predicate.  Analogous to ~ issubg .  (Contributed by AV,
       1-Feb-2024.) $)
    issubmndb $p |- ( S e. ( SubMnd ` G )
                      <-> ( ( G e. Mnd /\ ( G |`s S ) e. Mnd )
                            /\ ( S C_ B /\ .0. e. S ) ) ) $=
      ( cmnd wcel csubmnd cfv wa cress co wss eqid issubm2 3anrot 3anass bitr3i
      w3a bitrdi pm5.32i submrcl pm4.71ri anass 3bitr4i ) CGHZBCIJHZKUGCBLMZGHZ
      BANZDBHZKZKZKUHUGUJKUMKUGUHUNUGUHUKULUJTZUNABUICDEFUIOPUOUJUKULTUNUJUKULQ
      UJUKULRSUAUBUHUGBCUCUDUGUJUMUEUF $.
  $}

  ${
    $d x y z B $.  $d x y M $.  $d x y ph $.  $d x y ps $.  $d z .+ $.
    $d z .0. $.  $d z ch $.  $d z et $.  $d z ta $.  $d z th $.
    issubmd.b $e |- B = ( Base ` M ) $.
    issubmd.p $e |- .+ = ( +g ` M ) $.
    issubmd.z $e |- .0. = ( 0g ` M ) $.
    issubmd.m $e |- ( ph -> M e. Mnd ) $.
    issubmd.cz $e |- ( ph -> ch ) $.
    issubmd.cp $e |- ( ( ph /\ ( ( x e. B /\ y e. B ) /\
          ( th /\ ta ) ) ) -> et ) $.
    issubmd.ch $e |- ( z = .0. -> ( ps <-> ch ) ) $.
    issubmd.th $e |- ( z = x -> ( ps <-> th ) ) $.
    issubmd.ta $e |- ( z = y -> ( ps <-> ta ) ) $.
    issubmd.et $e |- ( z = ( x .+ y ) -> ( ps <-> et ) ) $.
    $( Deduction for proving a submonoid.  (Contributed by Stefan O'Rear,
       23-Aug-2015.)  (Revised by Stefan O'Rear, 5-Sep-2015.) $)
    issubmd $p |- ( ph -> { z e. B | ps } e. ( SubMnd ` M ) ) $=
      ( crab csubmnd cfv wcel wss cv co wral ssrab2 a1i cmnd mndidcl syl elrabd
      elrab anbi12i adantr simprll simprrl mndcl syl3anc an4 sylan2b ralrimivva
      wa w3a wb issubm mpbir3and ) ABIJUDZLUEUFUGZVMJUHZMVMUGZGUIZHUIZKUJZVMUGZ
      HVMUKGVMUKZVOABIJULUMABCIMJTALUNUGZMJUGQJLMNPUOUPRUQAVTGHVMVMVQVMUGZVRVMU
      GZVHAVQJUGZDVHZVRJUGZEVHZVHZVTWCWFWDWHBDIVQJUAURBEIVRJUBURUSAWIVHZBFIVSJU
      CWJWBWEWGVSJUGAWBWIQUTAWEDWHVAAWFWGEVBJKLVQVRNOVCVDWIAWEWGVHDEVHVHFWEDWGE
      VESVFUQVFVGAWBVNVOVPWAVIVJQGHJKVMLMNPOVKUPVL $.
  $}

  ${
    $d B a b $.  $d G a b $.  $d H a b $.  $d S a b $.  $d .0. a b $.
    mndissubm.b $e |- B = ( Base ` G ) $.
    mndissubm.s $e |- S = ( Base ` H ) $.
    mndissubm.z $e |- .0. = ( 0g ` G ) $.
    $( If the base set of a monoid is contained in the base set of another
       monoid, and the group operation of the monoid is the restriction of the
       group operation of the other monoid to its base set, and the identity
       element of the the other monoid is contained in the base set of the
       monoid, then the (base set of the) monoid is a submonoid of the other
       monoid.  Analogous to ~ grpissubg .  (Contributed by AV,
       17-Feb-2024.) $)
    mndissubm $p |- ( ( G e. Mnd /\ H e. Mnd )
                     -> ( ( S C_ B /\ .0. e. S
                            /\ ( +g ` H ) = ( ( +g ` G ) |` ( S X. S ) ) )
                          -> S e. ( SubMnd ` G ) ) ) $=
      ( va vb cmnd wcel wa cplusg cfv w3a cv wral cmgm mndmgm wss cxp cres wceq
      csubmnd co simpr1 simpr2 anim12i ad2antrr 3simpb ad2antlr mgmsscl syl3anc
      simpr ralrimivva wb eqid issubm mpbir3and ex ) CKLZDKLZMZBAUAZEBLZDNOCNOZ
      BBUBUCUDZPZBCUEOLZVDVIMZVJVEVFIQZJQZVGUFBLZJBRIBRZVDVEVFVHUGVDVEVFVHUHVKV
      NIJBBVKVLBLVMBLMZMCSLZDSLZMZVEVHMZVPVNVDVSVIVPVBVQVCVRCTDTUIUJVIVTVDVPVEV
      FVHUKULVKVPUOABCDVLVMFGUMUNUPVBVJVEVFVOPUQVCVIIJAVGBCEFHVGURUSUJUTVA $.

    $( If the base set of a monoid is contained in the base set of another
       monoid, and the group operation of the monoid is the restriction of the
       group operation of the other monoid to its base set, and the identity
       element of the the other monoid is contained in the base set of the
       monoid, then the other monoid restricted to the base set of the monoid
       is a monoid.  Analogous to ~ resgrpisgrp .  (Contributed by AV,
       17-Feb-2024.) $)
    resmndismnd $p |- ( ( G e. Mnd /\ H e. Mnd )
                        -> ( ( S C_ B /\ .0. e. S
                               /\ ( +g ` H ) = ( ( +g ` G ) |` ( S X. S ) ) )
                             -> ( G |`s S ) e. Mnd ) ) $=
      ( cmnd wcel wa wss cplusg cfv cxp cres wceq w3a cress bitr4di csubmnd imp
      co mndissubm simpl 3simpa anim12i biantrud an21 issubmndb mpbird ex ) CIJ
      ZDIJZKZBALZEBJZDMNCMNBBOPQZRZCBSUCIJZUOUSKZUTBCUANJZUOUSVBABCDEFGHUDUBVAU
      TUMUTKUPUQKZKZVBVAUTUTUMVCKZKVDVAVEUTUOUMUSVCUMUNUEUPUQURUFUGUHUMUTVCUITA
      BCEFHUJTUKUL $.
  $}

  ${
    submss.b $e |- B = ( Base ` M ) $.
    $( Submonoids are subsets of the base set.  (Contributed by Mario Carneiro,
       7-Mar-2015.) $)
    submss $p |- ( S e. ( SubMnd ` M ) -> S C_ B ) $=
      ( csubmnd cfv wcel wss c0g cress co cmnd w3a submrcl eqid issubm2 syl ibi
      wb simp1d ) BCEFGZBAHZCIFZBGZCBJKZLGZUAUBUDUFMZUACLGUAUGSBCNABUECUCDUCOUE
      OPQRT $.

    $( Every monoid is trivially a submonoid of itself.  (Contributed by Stefan
       O'Rear, 15-Aug-2015.) $)
    submid $p |- ( M e. Mnd -> B e. ( SubMnd ` M ) ) $=
      ( cmnd wcel csubmnd cfv wss cress co ssidd eqid mndidcl ressid id eqeltrd
      c0g issubm2 mpbir3and ) BDEZABFGEAAHBQGZAEBAIJZDETAKABUACUALZMTUBBDABDCNT
      OPAAUBBUACUCUBLRS $.
  $}

  ${
    subm0cl.z $e |- .0. = ( 0g ` M ) $.
    $( Submonoids contain zero.  (Contributed by Mario Carneiro,
       7-Mar-2015.) $)
    subm0cl $p |- ( S e. ( SubMnd ` M ) -> .0. e. S ) $=
      ( csubmnd cfv wcel cbs wss cress co cmnd w3a submrcl eqid issubm2 syl ibi
      wb simp2d ) ABEFGZABHFZIZCAGZBAJKZLGZUAUCUDUFMZUABLGUAUGSABNUBAUEBCUBODUE
      OPQRT $.
  $}

  ${
    $d M x y $.  $d .+ x y $.  $d S x y $.  $d X x y $.  $d Y y $.
    submcl.p $e |- .+ = ( +g ` M ) $.
    $( Submonoids are closed under the monoid operation.  (Contributed by Mario
       Carneiro, 10-Mar-2015.) $)
    submcl $p |- ( ( S e. ( SubMnd ` M ) /\ X e. S /\ Y e. S ) ->
        ( X .+ Y ) e. S ) $=
      ( vx vy csubmnd cfv wcel co wa cv wral cbs wss c0g w3a eqid wb issubm syl
      cmnd submrcl ibi simp3d ovrspc2v sylan2 ancoms 3impb ) BCIJKZDBKZEBKZDEAL
      BKZUMUNMZULUOULUPGNHNALBKHBOGBOZUOULBCPJZQZCRJZBKZUQULUSVAUQSZULCUDKULVBU
      ABCUEGHURABCUTURTUTTFUBUCUFUGGHBBBADEUHUIUJUK $.
  $}

  ${
    submmnd.h $e |- H = ( M |`s S ) $.
    $( Submonoids are themselves monoids under the given operation.
       (Contributed by Mario Carneiro, 7-Mar-2015.) $)
    submmnd $p |- ( S e. ( SubMnd ` M ) -> H e. Mnd ) $=
      ( csubmnd cfv wcel cbs wss c0g cmnd w3a wb submrcl issubm2 syl ibi simp3d
      eqid ) ACEFGZACHFZIZCJFZAGZBKGZTUBUDUELZTCKGTUFMACNUAABCUCUASUCSDOPQR $.

    $( The base set of a submonoid.  (Contributed by Stefan O'Rear,
       15-Jun-2015.) $)
    submbas $p |- ( S e. ( SubMnd ` M ) -> S = ( Base ` H ) ) $=
      ( csubmnd cfv wcel cbs wss wceq eqid submss ressbas2 syl ) ACEFGACHFZIABH
      FJOACOKZLAOBCDPMN $.

    subm0.z $e |- .0. = ( 0g ` M ) $.
    $( Submonoids have the same identity.  (Contributed by Mario Carneiro,
       7-Mar-2015.) $)
    subm0 $p |- ( S e. ( SubMnd ` M ) -> .0. = ( 0g ` H ) ) $=
      ( csubmnd cfv wcel cmnd cbs wss wceq submrcl submmnd eqid subm0cl submnd0
      c0g submss syl22anc ) ACGHICJIBJIACKHZLDAIDBSHMACNABCEOUBACUBPZTACDFQUBAC
      BDUCFERUA $.
  $}

  ${
    subsubm.h $e |- H = ( G |`s S ) $.
    $( A submonoid of a submonoid is a submonoid.  (Contributed by Mario
       Carneiro, 21-Jun-2015.) $)
    subsubm $p |- ( S e. ( SubMnd ` G ) -> ( A e. ( SubMnd ` H ) <->
      ( A e. ( SubMnd ` G ) /\ A C_ S ) ) ) $=
      ( csubmnd cfv wcel wss cbs c0g cress cmnd eqid adantl wceq adantr submmnd
      wa co submss submbas sseqtrrd sstrd subm0cl eqeltrd oveq1i ressabs eqtrid
      subm0 syldan eqeltrrd w3a wb submrcl issubm2 syl mpbir3and simprr sseqtrd
      jca ad2antrl adantrl impbida ) BCFGZHZADFGHZAVEHZABIZSZVFVGSZVHVIVKVHACJG
      ZIZCKGZAHZCALTZMHZVKABVLVKADJGZBVGAVRIZVFVRADVRNZUAOVFBVRPZVGBDCEUBZQUCZV
      FBVLIVGVLBCVLNZUAQUDVKVNDKGZAVFVNWEPZVGBDCVNEVNNZUJZQVGWEAHZVFADWEWENZUEO
      UFVKDALTZVPMVFVGVIWKVPPZWCVFVISWKCBLTZALTVPDWMALEUGBACVEUHUIZUKVGWKMHZVFA
      WKDWKNZROULVKCMHZVHVMVOVQUMUNVFWQVGBCUOQVLAVPCVNWDWGVPNZUPUQURWCVAVFVJSZV
      GVSWIWOWSABVRVFVHVIUSVFWAVJWBQUTWSVNWEAVFWFVJWHQVHVOVFVIACVNWGUEVBULWSWKV
      PMVFVIWLVHWNVCVHVQVFVIAVPCWRRVBUFWSDMHZVGVSWIWOUMUNVFWTVJBDCERQVRAWKDWEVT
      WJWPUPUQURVD $.
  $}

  ${
    $d G a b $.  $d .0. a b $.
    0subm.z $e |- .0. = ( 0g ` G ) $.
    $( The zero submonoid of an arbitrary monoid.  (Contributed by AV,
       17-Feb-2024.) $)
    0subm $p |- ( G e. Mnd -> { .0. } e. ( SubMnd ` G ) ) $=
      ( va vb cmnd wcel csn csubmnd cfv cbs wss cv cplusg co wral eqid wa velsn
      wceq mndidcl snssd c0g fvexi snid anbi12i mndlid mpdan ovex sylibr oveq12
      a1i elsn eleq1d syl5ibrcom syl5bi ralrimivv issubm mpbir3and ) AFGZBHZAIJ
      GVAAKJZLBVAGZDMZEMZANJZOZVAGZEVAPDVAPUTBVBVBABVBQZCUAZUBVCUTBBAUCCUDUEULU
      TVHDEVAVAVDVAGZVEVAGZRVDBTZVEBTZRZUTVHVKVMVLVNDBSEBSUFUTVHVOBBVFOZVAGZUTV
      PBTZVQUTBVBGVRVJVBVFABBVIVFQZCUGUHVPBBBVFUIUMUJVOVGVPVAVDBVEBVFUKUNUOUPUQ
      DEVBVFVAABVICVSURUS $.
  $}

  ${
    $d A a b x y $.  $d B a b x y $.  $d M a b x y $.
    $( The intersection of two submonoids is a submonoid.  (Contributed by AV,
       25-Feb-2024.) $)
    insubm $p |- ( ( A e. ( SubMnd ` M ) /\ B e. ( SubMnd ` M ) )
                   -> ( A i^i B ) e. ( SubMnd ` M ) ) $=
      ( va vb vx vy cfv wcel wi wss cv co wral w3a wa elin imp adantl eleq1d ex
      csubmnd cin cmnd submrcl cbs cplusg ssinss1 3ad2ant1 ad2antrl simplbi2com
      c0g 3ad2ant2 com12 anbi12i oveq1 oveq2 simpl eqidd rspc2vd 3ad2ant3 simpr
      adantr elind syl5bi ralrimivv 3jca eqid issubm anbi12d 3imtr4d expd mpcom
      weq ) ACUBHZIZBVOIZABUCZVOIZCUDIZVPVQVSJACUEVTVPVQVSVTACUFHZKZCULHZAIZDLZ
      ELZCUGHZMZAIZEANDANZOZBWAKZWCBIZWHBIZEBNDBNZOZPZVRWAKZWCVRIZFLZGLZWGMZVRI
      ZGVRNFVRNZOZVPVQPVSVTWQXEVTWQPZWRWSXDWKWRVTWPWBWDWRWJABWAUHUIUJWQWSVTWKWP
      WSWDWBWPWSJWJWPWDWSWMWLWDWSJWOWSWDWMWCABQUKUMUNUMRSXFXCFGVRVRWTVRIZXAVRIZ
      PWTAIZWTBIZPZXAAIZXABIZPZPZXFXCXGXKXHXNWTABQXAABQUOXFXOXCXFXOPABXBXFXOXBA
      IZWKXOXPJZVTWPWJWBXQWDXOWJXPXOXPWTWFWGMZAIWIDEWTXAAAADFVNZWHXRAWEWTWFWGUP
      ZTEGVNZXRXBAWFXAWTWGUQZTXKXIXNXIXJURVCXOXSPZAUSXNXLXKXLXMURSUTUNVAUJRXFXO
      XBBIZWQXOYDJZVTWPYEWKWOWLYEWMXOWOYDXOYDXRBIWNDEWTXABBBXSWHXRBXTTYAXRXBBYB
      TXKXJXNXIXJVBVCYCBUSXNXMXKXLXMVBSUTUNVASSRVDUAVEVFVGUAVTVPWKVQWPDEWAWGACW
      CWAVHZWCVHZWGVHZVIDEWAWGBCWCYFYGYHVIVJFGWAWGVRCWCYFYGYHVIVKVLVMR $.
  $}

  ${
    $d x y B $.  $d x y M $.  $d x y N $.  $d x y .0. $.
    0mhm.z $e |- .0. = ( 0g ` N ) $.
    0mhm.b $e |- B = ( Base ` M ) $.
    $( The constant zero linear function between two monoids.  (Contributed by
       Stefan O'Rear, 5-Sep-2015.) $)
    0mhm $p |- ( ( M e. Mnd /\ N e. Mnd ) ->
        ( B X. { .0. } ) e. ( M MndHom N ) ) $=
      ( vx vy cmnd wcel wa cfv cv cplusg co wceq wral eqid syl fvconst2 cbs csn
      cxp wf c0g w3a cmhm id mndidcl adantl fconst6g simpr mndlid eqcomd adantr
      syl2anc2 mndcl 3expb adantlr fvexi 3eqtr4d ralrimivva 3jca ismhm sylanbrc
      oveqan12d ) BIJZCIJZKZVIACUALZADUBUCZUDZGMZHMZBNLZOZVKLZVMVKLZVNVKLZCNLZO
      ZPZHAQGAQZBUELZVKLDPZUFVKBCUGOJVIUHVIVLWCWEVIDVJJZVLVHWFVGVJCDVJRZEUIZUJA
      DVJUKSVIWBGHAAVIVMAJZVNAJZKZKZDDDVTOZVQWAVIDWMPZWKVIVHWFWNVGVHULWHVHWFKWM
      DVJVTCDDWGVTRZEUMUNUPUOWLVPAJZVQDPVGWKWPVHVGWIWJWPAVOBVMVNFVORZUQURUSADVP
      DCUEEUTZTSWKWAWMPVIWIWJVRDVSDVTADVMWRTADVNWRTVFUJVAVBVIWDAJZWEVGWSVHABWDF
      WDRZUIUOADWDWRTSVCGHAVJVOVTBCVKDWDFWGWQWOWTEVDVE $.
  $}

  ${
    $d F x y $.  $d S x y $.  $d T x y $.  $d U x y $.  $d X x y $.
    resmhm.u $e |- U = ( S |`s X ) $.
    $( Restriction of a monoid homomorphism to a submonoid is a homomorphism.
       (Contributed by Mario Carneiro, 12-Mar-2015.) $)
    resmhm $p |- ( ( F e. ( S MndHom T ) /\ X e. ( SubMnd ` S ) ) ->
        ( F |` X ) e. ( U MndHom T ) ) $=
      ( vx vy co wcel cfv wa cbs wf cplusg wceq wral c0g eqid adantl csubmnd cv
      cmhm cmnd cres w3a mhmrcl2 submmnd anim12ci wss mhmf submss fssres syl2an
      ressbas2 feq2d simpll ad2antlr simprl sseldd simprr mhmlin syl3anc submcl
      syl mpbid 3expb adantll fvresd fvres oveqan12d ralrimivva ressplusg oveqd
      3eqtr4d fveqeq2d raleqbidv subm0cl subm0 fveq2d mhm0 adantr 3eqtr3d ismhm
      3jca sylanbrc ) DABUCIJZEAUAKZJZLZCUDJZBUDJZLCMKZBMKZDEUEZNZGUBZHUBZCOKZI
      ZWOKWQWOKZWRWOKZBOKZIZPZHWMQZGWMQZCRKZWOKZBRKZPZUFWOCBUCIJWGWLWIWKABDUGEC
      AFUHUIWJWPXGXKWJEWNWONZWPWGAMKZWNDNEXMUJZXLWIXMWNABDXMSZWNSZUKXMEAXOULZXM
      WNEDUMUNWJEWMWNWOWJXNEWMPWIXNWGXQTEXMCAFXOUOVEZUPVFWJWQWRAOKZIZWOKZXDPZHE
      QZGEQXGWJYBGHEEWJWQEJZWREJZLZLZXTDKZWQDKZWRDKZXCIZYAXDYGWGWQXMJWRXMJYHYKP
      WGWIYFUQYGEXMWQWIXNWGYFXQURZWJYDYEUSUTYGEXMWRYLWJYDYEVAUTXMXSXCABDWQWRXOX
      SSZXCSZVBVCYGXTEDWIYFXTEJZWGWIYDYEYOXSEAWQWRYMVDVGVHVIYFXDYKPWJYDYEXAYIXB
      YJXCWQEDVJWREDVJVKTVOVLWJYCXFGEWMXRWJYBXEHEWMXRWJXTWTXDWOWJXSWSWQWRWIXSWS
      PWGEXSACWHFYMVMTVNVPVQVQVFWJARKZWOKYPDKZXIXJWJYPEDWIYPEJWGEAYPYPSZVRTVIWJ
      YPXHWOWIYPXHPWGECAYPFYRVSTVTWGYQXJPWIABDXJYPYRXJSZWAWBWCWEGHWMWNWSXCCBWOX
      JXHWMSXPWSSYNXHSYSWDWF $.
  $}

  ${
    $d x y F $.  $d x y S $.  $d x y T $.  $d x y U $.  $d x y X $.
    resmhm2.u $e |- U = ( T |`s X ) $.
    $( One direction of ~ resmhm2b .  (Contributed by Mario Carneiro,
       18-Jun-2015.) $)
    resmhm2 $p |- ( ( F e. ( S MndHom U ) /\ X e. ( SubMnd ` T ) ) ->
      F e. ( S MndHom T ) ) $=
      ( vx vy cmhm co wcel cfv wa cmnd cbs wf cplusg wceq c0g eqid csubmnd wral
      cv w3a mhmrcl1 submrcl anim12i mhmf submbas submss eqsstrrd syl2an mhmlin
      wss 3expb adantlr ressplusg ad2antlr oveqd eqtr4d ralrimivva adantr subm0
      fss mhm0 adantl 3jca ismhm sylanbrc ) DACIJKZEBUALZKZMZANKZBNKZMAOLZBOLZD
      PZGUCZHUCZAQLZJDLZVSDLZVTDLZBQLZJZRZHVPUBGVPUBZASLZDLZBSLZRZUDDABIJKVJVNV
      LVOACDUEEBUFUGVMVRWHWLVJVPCOLZDPWMVQUNVRVLVPWMACDVPTZWMTUHVLWMEVQECBFUIVQ
      EBVQTZUJUKVPWMVQDVDULVMWGGHVPVPVMVSVPKZVTVPKZMZMZWBWCWDCQLZJZWFVJWRWBXARZ
      VLVJWPWQXBVPWAWTACDVSVTWNWATZWTTUMUOUPWSWEWTWCWDVLWEWTRVJWREWEBCVKFWETZUQ
      URUSUTVAVMWJCSLZWKVJWJXERVLACDXEWIWITZXETVEVBVLWKXERVJECBWKFWKTZVCVFUTVGG
      HVPVQWAWEABDWKWIWNWOXCXDXFXGVHVI $.

    $( Restriction of the codomain of a homomorphism.  (Contributed by Mario
       Carneiro, 18-Jun-2015.) $)
    resmhm2b $p |- ( ( X e. ( SubMnd ` T ) /\ ran F C_ X ) ->
      ( F e. ( S MndHom T ) <-> F e. ( S MndHom U ) ) ) $=
      ( vx vy cfv wcel wa co cbs wf cplusg wceq c0g adantl ad2antrr eqid crn cv
      csubmnd wss cmhm cmnd wral mhmrcl1 submmnd mhmf ffnd simplr df-f sylanbrc
      w3a wfn submbas feq3d mpbid 3expb adantll ressplusg ad3antrrr oveqd eqtrd
      mhmlin ralrimivva mhm0 subm0 3jca ismhm syl21anbrc resmhm2 ancoms adantlr
      impbida ) EBUCIZJZDUAEUDZKZDABUELJZDACUELJZVTWAKZAUFJZCUFJZAMIZCMIZDNZGUB
      ZHUBZAOIZLDIZWIDIZWJDIZCOIZLZPZHWFUGGWFUGZAQIZDIZCQIZPZUOWBWAWDVTABDUHRVR
      WEVSWAECBFUISWCWHWRXBWCWFEDNZWHWCDWFUPVSXCWCWFBMIZDWAWFXDDNVTWFXDABDWFTZX
      DTUJRUKVRVSWAULWFEDUMUNWCEWGDWFVREWGPVSWAECBFUQSURUSWCWQGHWFWFWCWIWFJZWJW
      FJZKZKZWLWMWNBOIZLZWPWAXHWLXKPZVTWAXFXGXLWFWKXJABDWIWJXEWKTZXJTZVFUTVAXIX
      JWOWMWNVRXJWOPVSWAXHEXJBCVQFXNVBVCVDVEVGWCWTBQIZXAWAWTXOPVTABDXOWSWSTZXOT
      ZVHRVRXOXAPVSWAECBXOFXQVISVEVJGHWFWGWKWOACDXAWSXEWGTXMWOTXPXATVKVLVRWBWAV
      SWBVRWAABCDEFVMVNVOVP $.
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y S $.  $d x y T $.  $d x y U $.
    $( The composition of monoid homomorphisms is a homomorphism.  (Contributed
       by Mario Carneiro, 12-Jun-2015.) $)
    mhmco $p |- ( ( F e. ( T MndHom U ) /\ G e. ( S MndHom T ) ) ->
        ( F o. G ) e. ( S MndHom U ) ) $=
      ( vx vy cmhm co wcel wa cbs cfv wf cplusg wceq c0g eqid fvco3 syl2anc w3a
      cmnd ccom cv wral mhmrcl2 mhmrcl1 anim12ci mhmf fco syl2an mhmlin adantll
      3expb fveq2d simpll ad2antlr simprl ffvelrnd simprr syl3anc eqtrd oveq12d
      adantl mndcl sylan 3eqtr4d ralrimivva mndidcl syl mhm0 adantr 3eqtrd 3jca
      ismhm sylanbrc ) DBCHIJZEABHIJZKZAUBJZCUBJZKALMZCLMZDEUCZNZFUDZGUDZAOMZIZ
      WDMZWFWDMZWGWDMZCOMZIZPZGWBUEFWBUEZAQMZWDMZCQMZPZUAWDACHIJVQWAVRVTBCDUFAB
      EUGZUHVSWEWPWTVQBLMZWCDNWBXBENZWEVRXBWCBCDXBRZWCRZUIWBXBABEWBRZXDUIZWBXBW
      CDEUJUKVSWOFGWBWBVSWFWBJZWGWBJZKZKZWIEMZDMZWFEMZDMZWGEMZDMZWMIZWJWNXKXMXN
      XPBOMZIZDMZXRXKXLXTDVRXJXLXTPZVQVRXHXIYBWBWHXSABEWFWGXFWHRZXSRZULUNUMUOXK
      VQXNXBJXPXBJYAXRPVQVRXJUPXKWBXBWFEVRXCVQXJXGUQZVSXHXIURZUSXKWBXBWGEYEVSXH
      XIUTZUSXBXSWMBCDXNXPXDYDWMRZULVAVBXKXCWIWBJZWJXMPYEVSVTXJYIVRVTVQXAVDZVTX
      HXIYIWBWHAWFWGXFYCVEUNVFWBXBWIDESTXKWKXOWLXQWMXKXCXHWKXOPYEYFWBXBWFDESTXK
      XCXIWLXQPYEYGWBXBWGDESTVCVGVHVSWRWQEMZDMZBQMZDMZWSVSXCWQWBJZWRYLPVRXCVQXG
      VDVSVTYOYJWBAWQXFWQRZVIVJWBXBWQDESTVSYKYMDVRYKYMPVQABEYMWQYPYMRZVKVDUOVQY
      NWSPVRBCDWSYMYQWSRZVKVLVMVNFGWBWCWHWMACWDWSWQXFXEYCYHYPYRVOVP $.
  $}

  ${
    $d F x y z $.  $d M x y z $.  $d N x y z $.  $d X x y z $.
    $( The homomorphic image of a submonoid is a submonoid.  (Contributed by
       Mario Carneiro, 10-Mar-2015.) $)
    mhmima $p |- ( ( F e. ( M MndHom N ) /\ X e. ( SubMnd ` M ) ) ->
      ( F " X ) e. ( SubMnd ` N ) ) $=
      ( vx vy vz co wcel csubmnd cfv wa cbs cv wral eqid adantr wceq syl3anc wb
      cmhm cima wss c0g cplusg crn imassrn wf mhmf frnd sstrid mhm0 ffnd submss
      adantl subm0cl fnfvima eqeltrrd simpll simprl sseldd simprr mhmlin submcl
      3expb adantll anassrs ralrimiva oveq2 eleq1d ralima syl2anc oveq1 ralbidv
      wfn mpbird cmnd w3a mhmrcl2 issubm syl mpbir3and ) ABCUAHIZDBJKIZLZADUBZC
      JKIZWFCMKZUCZCUDKZWFIZENZFNZCUEKZHZWFIZFWFOZEWFOZWEWFAUFWHADUGWEBMKZWHAWC
      WSWHAUHWDWSWHBCAWSPZWHPZUIQZUJUKWEBUDKZAKZWJWFWCXDWJRWDBCAWJXCXCPZWJPZULQ
      WEAWSVOZDWSUCZXCDIZXDWFIWEWSWHAXBUMZWDXHWCWSDBWTUNUOZWDXIWCDBXCXEUPUOWSDA
      XCUQSURWEWRGNZAKZWMWNHZWFIZFWFOZGDOZWEXPGDWEXLDIZLZXPXMWLAKZWNHZWFIZEDOZX
      SYBEDWEXRWLDIZYBWEXRYDLZLZXLWLBUEKZHZAKZYAWFYFWCXLWSIWLWSIYIYARWCWDYEUSYF
      DWSXLWEXHYEXKQZWEXRYDUTVAYFDWSWLYJWEXRYDVBVAWSYGWNBCAXLWLWTYGPZWNPZVCSYFX
      GXHYHDIZYIWFIWEXGYEXJQYJWDYEYMWCWDXRYDYMYGDBXLWLYKVDVEVFWSDAYHUQSURVGVHWE
      XPYCTZXRWEXGXHYNXJXKXOYBFEWSDAWMXTRXNYAWFWMXTXMWNVIVJVKVLQVPVHWEXGXHWRXQT
      XJXKWQXPEGWSDAWLXMRZWPXOFWFYOWOXNWFWLXMWMWNVMVJVNVKVLVPWECVQIZWGWIWKWRVRT
      WCYPWDBCAVSQEFWHWNWFCWJXAXFYLVTWAWB $.
  $}

  ${
    $d F x y z $.  $d G x y z $.  $d S x y z $.  $d T x y $.
    $( The equalizer of two monoid homomorphisms is a submonoid.  (Contributed
       by Stefan O'Rear, 7-Mar-2015.)  (Revised by Mario Carneiro,
       6-May-2015.) $)
    mhmeql $p |- ( ( F e. ( S MndHom T ) /\ G e. ( S MndHom T ) ) ->
        dom ( F i^i G ) e. ( SubMnd ` S ) ) $=
      ( vz vx vy co wcel wa cv cfv wceq eqid adantr wral eqeq12d eqtr4d syl3anc
      fveq2 cmhm cin cdm cbs crab csubmnd wfn wf mhmf adantl fndmin syl2anc wss
      ffnd c0g cplusg ssrab2 a1i cmnd mhmrcl1 mndidcl syl mhm0 ad2antrr simplrl
      elrabd wi simprl mndcl simplll mhmlin simpllr simplrr simprr oveq12d expr
      ralrimiva ralrab sylibr w3a wb issubm mpbir3and eqeltrd ) CABUAHZIZDWEIZJ
      ZCDUBUCZEKZCLZWJDLZMZEAUDLZUEZAUFLZWHCWNUGDWNUGWIWOMWHWNBUDLZCWFWNWQCUHWG
      WNWQABCWNNZWQNZUIOUNWHWNWQDWGWNWQDUHWFWNWQABDWRWSUIUJUNEWNCDUKULWHWOWPIZW
      OWNUMZAUOLZWOIZFKZGKZAUPLZHZWOIZGWOPZFWOPZXAWHWMEWNUQURWHWMXBCLZXBDLZMEXB
      WNWJXBMWKXKWLXLWJXBCTWJXBDTQWHAUSIZXBWNIWFXMWGABCUTOZWNAXBWRXBNZVAVBWHXKB
      UOLZXLWFXKXPMWGABCXPXBXOXPNZVCOWGXLXPMWFABDXPXBXOXQVCUJRVFWHXDCLZXDDLZMZX
      IVGZFWNPXJWHYAFWNWHXDWNIZXTXIWHYBXTJZJZXECLZXEDLZMZXHVGZGWNPXIYDYHGWNYDXE
      WNIZYGXHYDYIYGJZJZWMXGCLZXGDLZMEXGWNWJXGMWKYLWLYMWJXGCTWJXGDTQYKXMYBYIXGW
      NIWHXMYCYJXNVDWHYBXTYJVEZYDYIYGVHZWNXFAXDXEWRXFNZVISYKYLXRYEBUPLZHZYMYKWF
      YBYIYLYRMWFWGYCYJVJYNYOWNXFYQABCXDXEWRYPYQNZVKSYKYMXSYFYQHZYRYKWGYBYIYMYT
      MWFWGYCYJVLYNYOWNXFYQABDXDXEWRYPYSVKSYKXRXSYEYFYQWHYBXTYJVMYDYIYGVNVORRVF
      VPVQWMYGXHGEWNWJXEMWKYEWLYFWJXECTWJXEDTQVRVSVPVQWMXTXIFEWNWJXDMWKXRWLXSWJ
      XDCTWJXDDTQVRVSWHXMWTXAXCXJVTWAXNFGWNXFWOAXBWRXOYPWBVBWCWD $.
  $}

  ${
    $d B s x y $.  $d G s x y $.
    submacs.b $e |- B = ( Base ` G ) $.
    $( Submonoids are an algebraic closure system.  (Contributed by Stefan
       O'Rear, 22-Aug-2015.) $)
    submacs $p |- ( G e. Mnd -> ( SubMnd ` G ) e. ( ACS ` B ) ) $=
      ( vs vx vy cmnd wcel csubmnd cfv c0g cv cplusg wral crab eqid cvv sylancr
      co wa cpw cacs cab wss issubm anbi1i 3anass bitr4i bitr4di abbi2dv df-rab
      w3a velpw eqtr4di cin inrab cmre cbs fvexi mreacs mp1i acsfn0 mndcl 3expb
      mndidcl ralrimivva acsfn2 mreincl syl3anc eqeltrrid eqeltrd ) BGHZBIJZBKJ
      ZDLZHZELZFLZBMJZSZVOHFVONEVONZTZDAUAZOZAUBJZVLVMVOWCHZWBTZDUCWDVLWGDVMVLV
      OVMHVOAUDZVPWAULZWGEFAVSVOBVNCVNPZVSPZUEWGWHWBTWIWFWHWBDAUMUFWHVPWAUGUHUI
      UJWBDWCUKUNVLWDVPDWCOZWADWCOZUOZWEVPWADWCUPVLWEWCUQJHZWLWEHZWMWEHZWNWEHAQ
      HZWOVLABURCUSZQAUTVAVLWRVNAHWPWSABVNCWJVEVNQADVBRVLWRVTAHZFANEANWQWSVLWTE
      FAAVLVQAHVRAHWTAVSBVQVRCWKVCVDVFVTQADEFVGRWLWMWEWCVHVIVJVK $.
  $}

  ${
    $d ph x y z a b c d $.  $d ps a b c d y z $.  $d ch x z $.  $d th x $.
    $d .0. a b x $.  $d A a b x $.  $d ta x $.  $d et x $.  $d G a b y z $.
    $d B a b c d y z $.  $d .+ a b c d x y z $.  $d M c d $.
    mndind.ch $e |- ( x = y -> ( ps <-> ch ) ) $.
    mndind.th $e |- ( x = ( y .+ z ) -> ( ps <-> th ) ) $.
    mndind.ta $e |- ( x = .0. -> ( ps <-> ta ) ) $.
    mndind.et $e |- ( x = A -> ( ps <-> et ) ) $.
    mndind.0g $e |- .0. = ( 0g ` M ) $.
    mndind.pg $e |- .+ = ( +g ` M ) $.
    mndind.b $e |- B = ( Base ` M ) $.
    mndind.m $e |- ( ph -> M e. Mnd ) $.
    mndind.g $e |- ( ph -> G C_ B ) $.
    mndind.k $e |- ( ph -> B = ( ( mrCls ` ( SubMnd ` M ) ) ` G ) ) $.
    mndind.i1 $e |- ( ph -> ta ) $.
    mndind.i2 $e |- ( ( ( ph /\ y e. B /\ z e. G ) /\ ch ) -> th ) $.
    mndind.a $e |- ( ph -> A e. B ) $.
    $( Induction in a monoid.  In this theorem, ` ps ( x ) ` is the "generic"
       proposition to be be proved (the first four hypotheses tell its values
       at y, y+z, 0, A respectively).  The two induction hypotheses mndind.i1
       and mndind.i2 tell that it is true at 0, that if it is true at y then it
       is true at y+z (provided z is in ` G ` ).  The hypothesis mndind.k tells
       that ` G ` is generating.  (Contributed by SO, 14-Jul-2018.) $)
    mndind $p |- ( ph -> et ) $=
      ( va vb vc vd co wsbc wcel wb cmnd mndidcl syl sbcieg mpbird cv wi dfsbcq
      wceq oveq1 sbceq1d imbi12d wral crab csubmnd cfv cmrc wss submacs acsmred
      cmre cacs wa weq eleq1w anbi2d vex sbcie bitr3id anbi1d ovex oveq2 imbi2d
      w3a ex 3expa an32s chvarvv ralrimiva ssrabdv mndrid sylan biimprd simprrl
      ad2antrr simpr simplrl mndcl syl3anc simplrr syl13anc sylan9eqr ralrimdva
      mndass rspcdv impr cbvralvw sylib imim1 ral2imi sylc ralbidv issubmd eqid
      adantrrl mrcsscl eqsstrd sseldd elrab simprbi rspcdva syl2anc bitrd mpbid
      mpd mndlid ) ABGOJLUMZUNZFABGOUNZYNAYOEUFAOKUOZYOEUPANUQUOZYPUCKNOUBTURUS
      ZBEGOKRUTUSVAABGUIVBZUNZBGYSJLUMZUNZVCZYOYNVCUIKOYSOVEZYTYOUUBYNBGYSOVDUU
      DBGUUAYMYSOJLVFVGVHAJYTBGYSUJVBZLUMZUNZVCZUIKVIZUJKVJZUOZUUCUIKVIZAKUUJJA
      KMNVKVLZVMVLZVLZUUJUEAUUMKVQVLUOMUUJVNUUJUUMUOUUOUUJVNAUUMKAYQUUMKVRVLUOU
      CKNUBVOUSVPAUUIUJKMUDAUUEMUOZVSZUUHUIKUUQHVBZKUOZVSZCBGUURUUELUMZUNZVCZVC
      ZUUQYSKUOZVSZUUHVCHUIHUIVTZUUTUVFUVCUUHUVGUUSUVEUUQHUIKWAWBUVGCYTUVBUUGCB
      GUURUNUVGYTBCGUURHWCPWDBGUURYSVDWEUVGBGUVAUUFUURYSUUELVFVGVHVHAIVBZMUOZVS
      ZUUSVSZCDVCZVCUVDIUJIUJVTZUVKUUTUVLUVCUVMUVJUUQUUSUVMUVIUUPAIUJMWAWBWFUVM
      DUVBCDBGUURUVHLUMZUNUVMUVBBDGUVNUURUVHLWGQWDUVMBGUVNUVAUVHUUEUURLWHVGWEWI
      VHAUUSUVIUVLAUUSUVIUVLAUUSUVIWJCDUGWKWLWMWNWNWOWPAUUIYTBGYSOLUMZUNZVCZUIK
      VIYTBGYSUKVBZLUMZUNZVCZUIKVIZYTBGYSULVBZLUMZUNZVCZUIKVIZYTBGYSUVRUWCLUMZL
      UMZUNZVCZUIKVIZUKULUJKLNOUBUATUCAUVQUIKAUVEVSZUVPYTUWMBGUVOYSAYQUVEUVOYSV
      EUCKLNYSOUBUATWQWRVGWSWOAUVRKUOZUWCKUOZVSZUWBUWGVSVSVSUWBUVTUWJVCZUIKVIZU
      WLAUWPUWBUWGWTAUWPUWGUWRUWBAUWPUWGVSVSBGUUEUVRLUMZUNZBGUUEUWHLUMZUNZVCZUJ
      KVIZUWRAUWPUWGUXDAUWPVSZUWGUXCUJKUXEUUEKUOZVSZUWFUXCUIUWSKUXGYQUXFUWNUWSK
      UOAYQUWPUXFUCXAZUXEUXFXBZAUWNUWOUXFXCZKLNUUEUVRUBUAXDXEUXGYSUWSVEZVSZYTUW
      TUWEUXBUXLBGYSUWSUXGUXKXBVGUXLBGUWDUXAUXKUXGUWDUWSUWCLUMZUXAYSUWSUWCLVFUX
      GYQUXFUWNUWOUXMUXAVEUXHUXIUXJAUWNUWOUXFXFKLNUUEUVRUWCUBUAXJXGXHVGVHXKXIXL
      UXCUWQUJUIKUJUIVTZUWTUVTUXBUWJUXNBGUWSUVSUUEYSUVRLVFVGUXNBGUXAUWIUUEYSUWH
      LVFVGVHXMXNYAUWAUWQUWKUIKYTUVTUWJXOXPXQUUEOVEZUUHUVQUIKUXOUUGUVPYTUXOBGUU
      FUVOUUEOYSLWHVGWIXRUJUKVTZUUHUWAUIKUXPUUGUVTYTUXPBGUUFUVSUUEUVRYSLWHVGWIX
      RUJULVTZUUHUWFUIKUXQUUGUWEYTUXQBGUUFUWDUUEUWCYSLWHVGWIXRUUEUWHVEZUUHUWKUI
      KUXRUUGUWJYTUXRBGUUFUWIUUEUWHYSLWHVGWIXRXSUUMMUUNUUJKUUNXTYBXEYCUHYDUUKJK
      UOZUULUUIUULUJJKUUEJVEZUUHUUCUIKUXTUUGUUBYTUXTBGUUFUUAUUEJYSLWHVGWIXRYEYF
      USYRYGYKAYNBGJUNZFABGYMJAYQUXSYMJVEUCUHKLNJOUBUATYLYHVGAUXSUYAFUPUHBFGJKS
      UTUSYIYJ $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z ph $.  $d x y z R $.  $d x y z Y $.
    prdspjmhm.y $e |- Y = ( S Xs_ R ) $.
    prdspjmhm.b $e |- B = ( Base ` Y ) $.
    prdspjmhm.i $e |- ( ph -> I e. V ) $.
    prdspjmhm.s $e |- ( ph -> S e. X ) $.
    prdspjmhm.r $e |- ( ph -> R : I --> Mnd ) $.
    prdspjmhm.a $e |- ( ph -> A e. I ) $.
    $( A projection from a product of monoids to one of the factors is a monoid
       homomorphism.  (Contributed by Mario Carneiro, 6-May-2015.) $)
    prdspjmhm $p |- ( ph ->
      ( x e. B |-> ( x ` A ) ) e. ( Y MndHom ( R ` A ) ) ) $=
      ( cmnd wcel cfv adantr vy vz cbs cv cmpt wf cplusg wceq wral c0g w3a cmhm
      co prdsmndd ffvelrnd wa ffnd simpr prdsbasprj fmpttd simprl prdsplusgfval
      wfn simprr eqid mndcl 3expb sylan fveq1 fvex syl oveqan12d adantl 3eqtr4d
      fvmpt ralrimivva ccom mndidcl 3syl prds0g fveq1d fvco3 syl2anc 3jca ismhm
      3eqtr2d syl21anbrc ) AJQRZCESZQRDWIUCSZBDCBUDZSZUEZUFZUAUDZUBUDZJUGSZUMZW
      MSZWOWMSZWPWMSZWIUGSZUMZUHZUBDUIUADUIZJUJSZWMSZWIUJSZUHZUKWMJWIULUMRAEFGI
      HJKMNOUNZAGQCEOPUOAWNXEXIABDWLWJAWKDRZUPDEFWKGCIHJKLAFIRZXKNTAGHRZXKMTAEG
      VCZXKAGQEOUQZTAXKURACGRZXKPTUSUTAXDUAUBDDAWODRZWPDRZUPZUPZCWRSZCWOSZCWPSZ
      XBUMZWSXCXTDWQEFWOWPGCIHJKLAXLXSNTAXMXSMTAXNXSXOTAXQXRVAAXQXRVDWQVEZAXPXS
      PTVBXTWRDRZWSYAUHAWHXSYFXJWHXQXRYFDWQJWOWPLYEVFVGVHBWRWLYADWMCWKWRVIWMVEZ
      CWRVJVOVKXSXCYDUHAXQXRWTYBXAYCXBBWOWLYBDWMCWKWOVIYGCWOVJVOBWPWLYCDWMCWKWP
      VIYGCWPVJVOVLVMVNVPAXGCXFSZCUJEVQZSZXHAWHXFDRXGYHUHXJDJXFLXFVEZVRBXFWLYHD
      WMCWKXFVIYGCXFVJVOVSACYIXFAEFGIHJKMNOVTWAAGQEUFXPYJXHUHOPGQCUJEWBWCWFWDUA
      UBDWJWQXBJWIWMXHXFLWJVEYEXBVEYKXHVEWEWG $.
  $}

  ${
    $d x A $.  $d x B $.  $d x I $.  $d x R $.  $d x V $.
    pwspjmhm.y $e |- Y = ( R ^s I ) $.
    pwspjmhm.b $e |- B = ( Base ` Y ) $.
    $( A projection from a structure power of a monoid to the monoid itself is
       a monoid homomorphism.  (Contributed by Mario Carneiro, 15-Jun-2015.) $)
    pwspjmhm $p |- ( ( R e. Mnd /\ I e. V /\ A e. I ) ->
        ( x e. B |-> ( x ` A ) ) e. ( Y MndHom R ) ) $=
      ( cmnd wcel w3a csca cfv co cbs cmpt cmhm eqid wceq csn cprds simp2 fvexd
      cxp cv cvv fconst6g 3ad2ant1 simp3 prdspjmhm pwsval 3adant3 fveq2d eqtrid
      wf mpteq1d fvconst2g 3adant2 eqcomd oveq12d 3eltr4d ) DJKZEFKZBEKZLZADMNZ
      EDUAUEZUBOZPNZBAUFNZQVIBVHNZROACVKQGDROVFABVJVHVGEFUGVIVISVJSVCVDVEUCVFDM
      UDVCVDEJVHUPVEEDJUHUIVCVDVEUJUKVFACVJVKVFCGPNVJIVFGVIPVCVDGVITVEDVGEJFGHV
      GSULUMZUNUOUQVFGVIDVLRVMVFVLDVCVEVLDTVDEDBJURUSUTVAVB $.
  $}

  ${
    $d Y x a b $.  $d R x a b $.  $d I x a b $.  $d B x a b $.  $d F a b $.
    $d W x a b $.
    pwsdiagmhm.y $e |- Y = ( R ^s I ) $.
    pwsdiagmhm.b $e |- B = ( Base ` R ) $.
    pwsdiagmhm.f $e |- F = ( x e. B |-> ( I X. { x } ) ) $.
    $( Diagonal monoid homomorphism into a structure power.  (Contributed by
       Stefan O'Rear, 12-Mar-2015.) $)
    pwsdiagmhm $p |- ( ( R e. Mnd /\ I e. W ) -> F e. ( R MndHom Y ) ) $=
      ( va vb cmnd wcel wa cfv co wceq cvv eqid cbs wf cplusg wral c0g w3a cmhm
      cv simpl pwsmnd cmap fvexi fdiagfn mpan adantl pwsbas feq3d mpbid csn cxp
      simplr mndcl 3expb adantlr fvdiagfn syl2anc cof oveqan12d anandis adantll
      simpll pwsdiagel adantrr adantrl pwsplusgval id vex ofc12 ad2antlr 3eqtrd
      eqtr4d ralrimivva simpr mndidcl adantr pws0g eqtrd 3jca ismhm syl21anbrc
      a1i ) CMNZEFNZOZWLGMNBGUAPZDUBZKUHZLUHZCUCPZQZDPZWQDPZWRDPZGUCPZQZRZLBUDK
      BUDZCUEPZDPZGUEPZRZUFDCGUGQNWLWMUICEFGHUJWNWPXGXKWNBBEUKQZDUBZWPWMXMWLBSN
      WMXMBCUAIULABDESFJUMUNUOWNXLWODBBCEMFGHIUPUQURWNXFKLBBWNWQBNZWRBNZOZOZXAE
      WTUSUTZXEXQWMWTBNZXAXRRWLWMXPVAZWLXPXSWMWLXNXOXSBWSCWQWRIWSTZVBVCVDABDEFW
      TJVEVFXQXEEWQUSUTZEWRUSUTZXDQZYBYCWSVGQZXRWMXPXEYDRZWLWMXNXOYFWMXNOWMXOOX
      BYBXCYCXDABDEFWQJVEABDEFWRJVEVHVIVJXQWOWSXDCYBYCEMFGHWOTZWLWMXPVKXTWNXNYB
      WONXOWQBWOCEMFGHIYGVLVMWNXOYCWONXNWRBWOCEMFGHIYGVLVNYAXDTZVOWMYEXRRWLXPWM
      EWQWRWSFSSWMVPWQSNWMKVQWKWRSNWMLVQWKVRVSVTWAWBWNXIEXHUSUTZXJWNWMXHBNZXIYI
      RWLWMWCWLYJWMBCXHIXHTZWDWEABDEFXHJVEVFCEFGXHHYKWFWGWHKLBWOWSXDCGDXJXHIYGY
      AYHYKXJTWIWJ $.
  $}

  ${
    $d x z A $.  $d g w x y z C $.  $d w x z R $.  $d g x y Y $.  $d g x y Z $.
    $d w z B $.  $d g w x y z F $.  $d g w x y z ph $.
    pwsco1mhm.y $e |- Y = ( R ^s A ) $.
    pwsco1mhm.z $e |- Z = ( R ^s B ) $.
    pwsco1mhm.c $e |- C = ( Base ` Z ) $.
    pwsco1mhm.r $e |- ( ph -> R e. Mnd ) $.
    pwsco1mhm.a $e |- ( ph -> A e. V ) $.
    pwsco1mhm.b $e |- ( ph -> B e. W ) $.
    pwsco1mhm.f $e |- ( ph -> F : A --> B ) $.
    $( Right composition with a function on the index sets yields a monoid
       homomorphism of structure powers.  (Contributed by Mario Carneiro,
       12-Jun-2015.) $)
    pwsco1mhm $p |- ( ph -> ( g e. C |-> ( g o. F ) ) e. ( Z MndHom Y ) ) $=
      ( wcel cvv vx vy vz vw cmnd cbs cfv cv ccom cmpt cplusg wceq wral c0g w3a
      wf co cmhm pwsmnd syl2anc wa wb pwselbasb biimpa adantr fco mpbird fmpttd
      eqid cof fvexd ffvelrnda feqmptd simprl pwselbas fveq2 fmptco pwsplusgval
      simprr offval2 eqtrd oveq12d 3eqtr4rd coeq1 mndcl 3expb ovex fexd sylancr
      sylan coexg fvmptd3 3eqtr4d ralrimivva csn cxp mndidcl syl ffnd wfn pws0g
      fnconstg fveq1d fvex fvconst2g eqtr3d fvco3 eqfnfvd 3jca ismhm syl21anbrc
      3eqtrd ) AKUESZJUESZDJUFUGZFDFUHZGUIZUJZUPZUAUHZUBUHZKUKUGZUQZXRUGZXTXRUG
      ZYAXRUGZJUKUGZUQZULZUBDUMUADUMZKUNUGZXRUGZJUNUGZULZUOXRKJURUQSAEUESZCISZX
      MOQECIKMUSUTZAYOBHSZXNOPEBHJLUSUTAXSYJYNAFDXQXOAXPDSZVAZXQXOSZBEUFUGZXQUP
      ZYTCUUBXPUPZBCGUPZUUCAYSUUDAYOYPYSUUDVBOQUUBECDUEXPKIMUUBVIZNVCUTVDAUUEYS
      RVEBCUUBXPGVFUTAUUAUUCVBZYSAYOYRUUGOPUUBEBXOUEXQJHLUUFXOVIZVCUTVEVGVHAYIU
      AUBDDAXTDSZYADSZVAZVAZYCGUIZXTGUIZYAGUIZYGUQZYDYHUULUUNUUOEUKUGZVJZUQUCBU
      CUHZGUGZXTUGZUUTYAUGZUUQUQZUJUUPUUMUULUCBUVAUVBUUQUUNUUOHTTAYRUUKPVEZUULU
      USBSVAZUUTXTVKUVEUUTYAVKUULUCUDBCUUTUDUHZXTUGZUVAGXTUULBCUUSGAUUEUUKRVEZV
      LZUULUCBCGUVHVMZUULUDCUUBXTUULUUBECDUEXTKIMUUFNAYOUUKOVEZAYPUUKQVEZAUUIUU
      JVNZVOZVMZUVFUUTXTVPZVQUULUCUDBCUUTUVFYAUGZUVBGYAUVIUVJUULUDCUUBYAUULUUBE
      CDUEYAKIMUUFNUVKUVLAUUIUUJVSZVOZVMZUVFUUTYAVPZVQVTUULXOUUQYGEUUNUUOBUEHJL
      UUHUVKUVDUULUUNXOSZBUUBUUNUPZUULCUUBXTUPUUEUWCUVNUVHBCUUBXTGVFUTUULYOYRUW
      BUWCVBUVKUVDUUBEBXOUEUUNJHLUUFUUHVCUTVGUULUUOXOSZBUUBUUOUPZUULCUUBYAUPUUE
      UWEUVSUVHBCUUBYAGVFUTUULYOYRUWDUWEVBUVKUVDUUBEBXOUEUUOJHLUUFUUHVCUTVGUUQV
      IZYGVIZVRUULUCUDBCUUTUVGUVQUUQUQZUVCGYCUVIUVJUULYCXTYAUURUQUDCUWHUJUULDUU
      QYBEXTYACUEIKMNUVKUVLUVMUVRUWFYBVIZVRUULUDCUVGUVQUUQXTYAITTUVLUULUVFCSVAZ
      UVFXTVKUWJUVFYAVKUVOUVTVTWAUVFUUTULUVGUVAUVQUVBUUQUVPUWAWBVQWCUULFYCXQUUM
      DXRTXRVIZXPYCGWDAXMUUKYCDSZYQXMUUIUUJUWLDYBKXTYANUWIWEWFWJUULYCTSGTSZUUMT
      SXTYAYBWGAUWMUUKABCHGRPWHZVEZYCGTTWKWIWLUULYEUUNYFUUOYGUULFXTXQUUNDXRTUWK
      XPXTGWDUVMUULUUIUWMUUNTSUVMUWOXTGDTWKUTWLUULFYAXQUUODXRTUWKXPYAGWDUVRUULU
      UJUWMUUOTSUVRUWOYAGDTWKUTWLWBWMWNAYLYKGUIZBEUNUGZWOZWPZYMAFYKXQUWPDXRTUWK
      XPYKGWDAXMYKDSZYQDKYKNYKVIZWQWRZAUWTUWMUWPTSUXBUWNYKGDTWKUTWLAUABUWPUWSAB
      UUBUWPACUUBYKUPUUEBUUBUWPUPAUUBECDUEYKKIMUUFNOQUXBVORBCUUBYKGVFUTWSAUWQTS
      ZUWSBWTAEUNVKZBUWQTXBWRAXTBSZVAZXTGUGZYKUGZUWQXTUWPUGZXTUWSUGZUXFUXGCUWRW
      PZUGZUXHUWQAUXLUXHULUXEAUXGUXKYKAYOYPUXKYKULOQECIKUWQMUWQVIZXAUTXCVEUXFUX
      CUXGCSUXLUWQULEUNXDABCXTGRVLCUWQUXGTXEWIXFAUUEUXEUXIUXHULRBCXTYKGXGWJAUXC
      UXEUXJUWQULUXDBUWQXTTXEWJWMXHAYOYRUWSYMULOPEBHJUWQLUXMXAUTXLXIUAUBDXOYBYG
      KJXRYMYKNUUHUWIUWGUXAYMVIXJXK $.
  $}

  ${
    $d w A $.  $d g w x y B $.  $d g w x y z F $.  $d g x y Y $.  $d g x y Z $.
    $d g w x y ph $.  $d w z R $.  $d w S $.
    pwsco2mhm.y $e |- Y = ( R ^s A ) $.
    pwsco2mhm.z $e |- Z = ( S ^s A ) $.
    pwsco2mhm.b $e |- B = ( Base ` Y ) $.
    pwsco2mhm.a $e |- ( ph -> A e. V ) $.
    pwsco2mhm.f $e |- ( ph -> F e. ( R MndHom S ) ) $.
    $( Left composition with a monoid homomorphism yields a monoid homomorphism
       of structure powers.  (Contributed by Mario Carneiro, 12-Jun-2015.) $)
    pwsco2mhm $p |- ( ph -> ( g e. B |-> ( F o. g ) ) e. ( Y MndHom Z ) ) $=
      ( vw cmnd wcel cfv eqid vx vy vz cbs cv ccom cmpt wf cplusg wceq wral c0g
      co w3a cmhm mhmrcl1 syl pwsmnd syl2anc mhmrcl2 mhmf adantr simpr pwselbas
      wa fco syl2an2r wb pwselbasb mpbird fmpttd simprl ffvelrnda simprr mhmlin
      cof syl3anc mpteq2dva cvv fvexd feqmptd fveq2 fmptco offval2 eqtr4d mndcl
      pwsplusgval eqtrd 3eqtr4d coeq2 3expb sylan coexg fvmptd3 oveq12d csn cxp
      ralrimivva mndidcl ffnd fcoconst pws0g coeq2d sneqd xpeq2d 3eqtr3d 3eqtrd
      wfn mhm0 3jca ismhm syl21anbrc ) AIQRZJQRZCJUDSZFCGFUEZUFZUGZUHZUAUEZUBUE
      ZIUISZUMZXRSZXTXRSZYAXRSZJUISZUMZUJZUBCUKUACUKZIULSZXRSZJULSZUJZUNXRIJUOU
      MRADQRZBHRZXMAGDEUOUMZRZYOODEGUPZUQZNDBHIKURUSZAEQRZYPXNAYRUUBODEGUTZUQZN
      EBHJLURUSAXSYJYNAFCXQXOAXPCRZVEZXQXORZBEUDSZXQUHZADUDSZUUHGUHZUUEBUUJXPUH
      UUIAYRUUKOUUJUUHDEGUUJTZUUHTZVAZUQZUUFUUJDBCQXPIHKUULMAYOUUEYTVBAYPUUENVB
      ZAUUEVCVDBUUJUUHGXPVFVGAUUBUUEYPUUGUUIVHUUDUUPUUHEBXOQXQJHLUUMXOTZVIVGVJV
      KAYIUAUBCCAXTCRZYACRZVEZVEZGYCUFZGXTUFZGYAUFZYGUMZYDYHUVAPBPUEZXTSZUVFYAS
      ZDUISZUMZGSZUGZUVCUVDEUISZVPUMZUVBUVEUVAUVLPBUVGGSZUVHGSZUVMUMZUGUVNUVAPB
      UVKUVQUVAUVFBRZVEZYRUVGUUJRZUVHUUJRZUVKUVQUJUVAYRUVRAYRUUTOVBZVBUVABUUJUV
      FXTUVAUUJDBCQXTIHKUULMUVAYRYOUWBYSUQZAYPUUTNVBZAUURUUSVLZVDZVMZUVABUUJUVF
      YAUVAUUJDBCQYAIHKUULMUWCUWDAUURUUSVNZVDZVMZUUJUVIUVMDEGUVGUVHUULUVITZUVMT
      ZVOVQVRUVAPBUVOUVPUVMUVCUVDHVSVSUWDUVSUVGGVTUVSUVHGVTUVAPUCBUUJUVGUCUEZGS
      ZUVOXTGUWGUVAPBUUJXTUWFWAZUVAUCUUJUUHGUVAYRUUKUWBUUNUQZWAZUWMUVGGWBWCUVAP
      UCBUUJUVHUWNUVPYAGUWJUVAPBUUJYAUWIWAZUWQUWMUVHGWBWCWDWEUVAPUCBUUJUVJUWNUV
      KYCGUVSYOUVTUWAUVJUUJRUVAYOUVRUWCVBUWGUWJUUJUVIDUVGUVHUULUWKWFVQUVAYCXTYA
      UVIVPUMPBUVJUGUVACUVIYBDXTYABQHIKMUWCUWDUWEUWHUWKYBTZWGUVAPBUVGUVHUVIXTYA
      HVSVSUWDUVSUVFXTVTUVSUVFYAVTUWOUWRWDWHUWQUWMUVJGWBWCUVAXOUVMYGEUVCUVDBQHJ
      LUUQUVAYRUUBUWBUUCUQZUWDUVAUVCXORZBUUHUVCUHZUVAUUKBUUJXTUHUXBUWPUWFBUUJUU
      HGXTVFUSUVAUUBYPUXAUXBVHUWTUWDUUHEBXOQUVCJHLUUMUUQVIUSVJZUVAUVDXORZBUUHUV
      DUHZUVAUUKBUUJYAUHUXEUWPUWIBUUJUUHGYAVFUSUVAUUBYPUXDUXEVHUWTUWDUUHEBXOQUV
      DJHLUUMUUQVIUSVJZUWLYGTZWGWIUVAFYCXQUVBCXRVSXRTZXPYCGWJAXMUUTYCCRZUUAXMUU
      RUUSUXICYBIXTYAMUWSWFWKWLZAYRUUTUXIUVBVSROUXJGYCYQCWMVGWNUVAYEUVCYFUVDYGU
      VAFXTXQUVCCXRXOUXHXPXTGWJUWEUXCWNUVAFYAXQUVDCXRXOUXHXPYAGWJUWHUXFWNWOWIWR
      AYLGYKUFZBEULSZWPZWQZYMAFYKXQUXKCXRVSUXHXPYKGWJAXMYKCRZUUACIYKMYKTZWSUQZA
      YRUXOUXKVSROUXQGYKYQCWMUSWNAGBDULSZWPWQZUFZBUXRGSZWPZWQZUXKUXNAGUUJXHUXRU
      UJRZUXTUYCUJAUUJUUHGUUOWTAYOUYDYTUUJDUXRUULUXRTZWSUQGBUUJUXRXAUSAUXSYKGAY
      OYPUXSYKUJYTNDBHIUXRKUYEXBUSXCAUYBUXMBAUYAUXLAYRUYAUXLUJODEGUXLUXRUYEUXLT
      ZXIUQXDXEXFAUUBYPUXNYMUJUUDNEBHJUXLLUYFXBUSXGXJUAUBCXOYBYGIJXRYMYKMUUQUWS
      UXGUXPYMTXKXL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Iterated sums in a monoid
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  One important use of words is as formal composites in cases where order is
  significant, using the general sum operator ~ df-gsum .  If order is not
  significant, it is simpler to use families instead.

$)

  ${
    $d x y B $.  $d x y G $.  $d x y .+ $.  $d x y .0. $.
    gsumvallem2.b $e |- B = ( Base ` G ) $.
    gsumvallem2.z $e |- .0. = ( 0g ` G ) $.
    gsumvallem2.p $e |- .+ = ( +g ` G ) $.
    gsumvallem2.o $e |- O = { x e. B |
      A. y e. B ( ( x .+ y ) = y /\ ( y .+ x ) = y ) } $.
    $( Lemma for properties of the set of identities of ` G ` .  The set of
       identities of a monoid is exactly the unique identity element.
       (Contributed by Mario Carneiro, 7-Dec-2014.) $)
    gsumvallem2 $p |- ( G e. Mnd -> O = { .0. } ) $=
      ( cmnd wcel csn mgmidsssn0 cv co wceq wa wral ralrimiva eqeq1d ovanraleqv
      mndidcl mndlrid oveq1 elrab2 sylanbrc snssd eqssd ) ELMZFGNABCDEFLGHIJKOU
      KGFUKGCMGBPZDQZULRZULGDQULRSZBCTZGFMCEGHIUDUKUOBCCDEULGHJIUEUAAPZULDQZULR
      ZULUQDQULRSBCTUPAGCFUSUNBULUQULDCGUQGRURUMULUQGULDUFUBUCKUGUHUIUJ $.
  $}

  ${
    $d x G $.  $d x H $.  $d x ph $.  $d x S $.
    gsumsubm.a $e |- ( ph -> A e. V ) $.
    gsumsubm.s $e |- ( ph -> S e. ( SubMnd ` G ) ) $.
    gsumsubm.f $e |- ( ph -> F : A --> S ) $.
    gsumsubm.h $e |- H = ( G |`s S ) $.
    $( Evaluate a group sum in a submonoid.  (Contributed by Mario Carneiro,
       19-Dec-2014.) $)
    gsumsubm $p |- ( ph -> ( G gsum F ) = ( H gsum F ) ) $=
      ( vx cbs cfv cmnd eqid wcel syl co wceq cplusg c0g csubmnd submrcl submss
      wss subm0cl cv wa mndlrid sylan gsumress ) ALBEMNZEUANZCDEFOGEUBNZUMPZUNP
      ZKACEUCNQZEOQZICEUDRZHAURCUMUFIUMCEUPUERJAURUOCQICEUOUOPZUGRAUSLUHZUMQUOV
      BUNSVBTVBUOUNSVBTUIUTUMUNEVBUOUPUQVAUJUKUL $.
  $}

  ${
    $d k A $.  $d k x y G $.  $d k V $.  $d x y .0. $.
    gsumz.z $e |- .0. = ( 0g ` G ) $.
    $( Value of a group sum over the zero element.  (Contributed by Mario
       Carneiro, 7-Dec-2014.) $)
    gsumz $p |- ( ( G e. Mnd /\ A e. V ) ->
      ( G gsum ( k e. A |-> .0. ) ) = .0. ) $=
      ( vx vy cmnd wcel wa cbs cfv cplusg cmpt cv co wceq wral eqid simpl simpr
      crab csn c0g fvexi snid gsumvallem2 eleqtrrid ad2antrr fmpttd gsumval1 )
      CIJZADJZKZGHACLMZCNMZBAEOCGPZHPZUQQUSRUSURUQQUSRKHUPSGUPUCZIDEUPTZFUQTZUT
      TZUMUNUAUMUNUBUOBAEUTUMEUTJUNBPAJUMEEUDUTEECUEFUFUGGHUPUQCUTEVAFVBVCUHUIU
      JUKUL $.
  $}

  ${
    $d x y S $.  $d x y G $.  $d x y W $.
    $( Closure of the composite in any submonoid.  (Contributed by Stefan
       O'Rear, 15-Aug-2015.)  (Revised by Mario Carneiro, 1-Oct-2015.) $)
    gsumwsubmcl $p |- ( ( S e. ( SubMnd ` G ) /\ W e. Word S ) ->
        ( G gsum W ) e. S ) $=
      ( vx vy cfv wcel wa cgsu co c0 wceq eqid cc0 cmnd ad2antrr cn0 syl wf cv
      csubmnd cword c0g oveq2 gsum0 eqtrdi eleq1d wne chash c1 cmin cplusg cseq
      cbs submrcl cuz lennncl adantll nnm1nn0 nn0uz eleqtrdi cfzo wrdf ad2antlr
      cn cfz nnzd fzoval feq2d mpbid wss submss gsumval2 ffvelrnda submcl 3expb
      cz fssd ad4ant14 seqcl eqeltrd subm0cl adantr pm2.61ne ) ABUAFGZCAUBGZHZB
      CIJZAGBUCFZAGZCKCKLZWHWIAWKWHBKIJWICKBIUDBWIWIMZUEUFUGWGCKUHZHZWHCUIFZUJU
      KJZBULFZCNUMFAWNBUNFZWQCBNWPOWRMZWQMZWEBOGWFWMABUOPWNWPQNUPFWNWOVEGZWPQGW
      FWMXAWEACUQURZWOUSRUTVAZWNNWPVFJZAWRCWNNWOVBJZACSZXDACSWFXFWEWMACVCVDWNXE
      XDACWNWOVQGXEXDLWNWOXBVGNWOVHRVIVJZWEAWRVKWFWMWRABWSVLPVRVMWNDEWQACNWPXCW
      NXDADTZCXGVNWEXHAGZETZAGZHXHXJWQJAGZWFWMWEXIXKXLWQABXHXJWTVOVPVSVTWAWEWJW
      FABWIWLWBWCWD $.
  $}

  ${
    $d x y z B $.  $d x y z G $.  $d x y z .+ $.  $d x y z W $.  $d x y z X $.
    gsumwcl.b $e |- B = ( Base ` G ) $.
    $( A singleton composite recovers the initial symbol.  (Contributed by
       Stefan O'Rear, 16-Aug-2015.) $)
    gsumws1 $p |- ( S e. B -> ( G gsum <" S "> ) = S ) $=
      ( wcel cs1 cgsu co cc0 cop csn cplusg cfv cseq s1val cbs wf cz 0z mpan
      oveq2d cdm eqid elfvdm eleq2s cuz cn0 0nn0 nn0uz eleqtri wf1o f1osng f1of
      a1i cfz snssi fssd fz0sn feq2i sylibr gsumval2 wceq fvsng seq1i 3eqtrd
      syl ) BAEZCBFZGHCIBJKZGHICLMZVIINMBVGVHVICGBAOUAVGAVJVICIIPUBZDVJUCCVKEBC
      PMABCPUDDUEIIUFMZEVGIUGVLUHUIUJUNVGIKZAVIQIIUOHZAVIQVGVMBKZAVIVGVMVOVIUKZ
      VMVOVIQIREZVGVPSIBRAULTVMVOVIUMVFBAUPUQVNVMAVIURUSUTVAVGBVJVIISVQVGIVIMBV
      BSIBRAVCTVDVE $.

    $( Closure of the composite of a word in a structure ` G ` .  (Contributed
       by Stefan O'Rear, 15-Aug-2015.) $)
    gsumwcl $p |- ( ( G e. Mnd /\ W e. Word B ) -> ( G gsum W ) e. B ) $=
      ( cmnd wcel csubmnd cfv cword cgsu co submid gsumwsubmcl sylan ) BEFABGHF
      CAIFBCJKAFABDLABCMN $.

    gsumsgrpccat.p $e |- .+ = ( +g ` G ) $.
    $( Homomorphic property of not empty composites of a group sum over a
       semigroup.  Formerly part of proof for ~ gsumccat .  (Contributed by AV,
       26-Dec-2023.) $)
    gsumsgrpccat $p |- ( ( G e. Smgrp /\ ( W e. Word B /\ X e. Word B )
                                      /\ ( W =/= (/) /\ X =/= (/) ) )
               -> ( G gsum ( W ++ X ) ) = ( ( G gsum W ) .+ ( G gsum X ) ) ) $=
      ( wcel wa cfv caddc co c1 cmin cc0 cseq wceq cn0 syl wf vx vy csgrp cword
      vz c0 wne chash cconcat cgsu simp1 cmgm sgrpmgm mgmcl syl3an1 3expb sylan
      w3a cv sgrpass cuz cn lennncl ad2ant2r 3adant1 nnzd uzidd nnm1nn0 uzaddcl
      ad2ant2l syl2anc nncnd 1cnd addsubassd ax-1cn npcan sylancl 3eltr4d nn0uz
      cc fveq2d eleqtrdi cfz cfzo ccatcl 3ad2ant2 wrdf ccatlen oveq2d cz fzoval
      zaddcld eqtrd feq2d mpbid seqsplit simpl2l simpl2r eleq2d biimpar syl3anc
      ffvelrnda ccatval1 seqfveq addid2d eqtr4d seqeq1d addcomd addsubd fveq12d
      oveq1d ccatval3 eqcomd seqshft2 oveq12d nnaddcld gsumval2 simp2l 3eqtr4d
      simp2r ) CUCHZDAUDZHZEYBHZIZDUFUGZEUFUGZIZURZDUHJZEUHJZKLZMNLZBDEUILZOPZJ
      ZYJMNLZBDOPJZYKMNLZBEOPJZBLZCYNUJLCDUJLZCEUJLZBLYIYPYQYOJZYMBYNYQMKLZPZJZ
      BLUUAYIUAUBUEBAYNOYQYMYIYAUAUSZAHZUBUSZAHZIUUHUUJBLZAHZYAYEYHUKZYAUUIUUKU
      UMYACULHUUIUUKUUMCUMACUUHUUJBFGUNUOUPUQYIYAUUIUUKUEUSZAHURUULUUOBLUUHUUJU
      UOBLBLQUUNACUUHUUJBUUOFGUTUQYIYJYSKLZYJVAJZYMUUEVAJYIYJUUQHYSRHZUUPUUQHYI
      YJYIYJYEYHYJVBHZYAYCYFUUSYDYGADVCVDVEZVFZVGYIYKVBHZUURYEYHUVBYAYDYGUVBYCY
      FAEVCVJVEZYKVHSZYSYJYJVIVKYIYJYKMYIYJUUTVLZYIYKUVCVLZYIVMZVNYIUUEYJVAYIYJ
      VTHMVTHUUEYJQUVEVOYJMVPVQZWAVRYIYQROVAJZYIUUSYQRHUUTYJVHSVSWBZYIOYMWCLZAU
      UHYNYIOYNUHJZWDLZAYNTZUVKAYNTYIYNYBHZUVNYEYAUVOYHADEWEWFAYNWGSYIUVMUVKAYN
      YIUVMOYLWDLZUVKYIUVLYLOWDYEYAUVLYLQYHAADEWHWFWIYIYLWJHUVPUVKQYIYJYKUVAYIY
      KUVCVFZWLOYLWKSWMWNWOZXBWPYIUUDYRUUGYTBYIBUAYNDOYQUVJYIUUHOYQWCLZHZIYCYDU
      UHOYJWDLZHZUUHYNJUUHDJQYCYDYAYHUVTWQYCYDYAYHUVTWRYIUWBUVTYIUWAUVSUUHYIYJW
      JHUWAUVSQUVAOYJWKSZWSWTAADEUUHXCXAXDYIUUGYSYJKLZBYNOYJKLZPZJYTYIYMUWDUUFU
      WFYIUUEUWEBYNYIUUEYJUWEUVHYIYJUVEXEXFXGYIYMYKYJKLZMNLUWDYIYLUWGMNYIYJYKUV
      EUVFXHXKYIYKYJMUVFUVEUVGXIWMXJYIBUAEYNYJOYSYIYSRUVIUVDVSWBZUVAYIUUHOYSWCL
      ZHZIZUUHYJKLYNJZUUHEJZUWKYCYDUUHOYKWDLZHZUWLUWMQYCYDYAYHUWJWQYCYDYAYHUWJW
      RYIUWOUWJYIUWNUWIUUHYIYKWJHUWNUWIQUVQOYKWKSZWSWTADEUUHXLXAXMXNXFXOWMYIABY
      NCOYMUCFGUUNYIYMRUVIYIYLVBHYMRHYIYJYKUUTUVCXPYLVHSVSWBUVRXQYIUUBYRUUCYTBY
      IABDCOYQUCFGUUNUVJYIUWAADTZUVSADTYIYCUWQYAYCYDYHXRADWGSYIUWAUVSADUWCWNWOX
      QYIABECOYSUCFGUUNUWHYIUWNAETZUWIAETYIYDUWRYAYCYDYHXTAEWGSYIUWNUWIAEUWPWNW
      OXQXOXS $.

    $( Obsolete version of ~ gsumccat as of 13-Jan-2024.  Homomorphic property
       of composites.  (Contributed by Stefan O'Rear, 16-Aug-2015.)  (Revised
       by Mario Carneiro, 1-Oct-2015.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    gsumccatOLD $p |- ( ( G e. Mnd /\ W e. Word B /\ X e. Word B ) ->
        ( G gsum ( W ++ X ) ) = ( ( G gsum W ) .+ ( G gsum X ) ) ) $=
      ( wcel co cgsu wceq c0 cfv oveq2d wa caddc c1 cc0 cn0 syl vx vy cword w3a
      vz cmnd cconcat c0g oveq1 oveq2 eqid gsum0 eqtrdi oveq1d eqeq12d wne cmin
      chash cseq simpl1 cn lennncl 3ad2antl2 adantrr 3ad2antl3 adantrl nnaddcld
      cuz nnm1nn0 nn0uz eleqtrdi cfzo wf cfz simpl2 simpl3 syl2anc wrdf ccatlen
      ccatcl cz nnzd zaddcld fzoval eqtrd feq2d mpbid gsumval2 oveq12d cv mndcl
      3expb sylan mndass uzid uzaddcl nncnd 1cnd addsubassd ax-1cn npcan fveq2d
      sylancl 3eltr4d ffvelrnda seqsplit simpll2 simpll3 eleq2d biimpar syl3anc
      cc ccatval1 seqfveq addid2d eqtr4d seqeq1d addcomd addsubd fveq12d eqcomd
      ccatval3 seqshft2 anassrs ccatrid gsumwcl 3adant3 adantr pm2.61ne ccatlid
      mndrid 3ad2ant3 simp1 mndlid 3imp3i2an ) CUFHZDAUCZHZEYQHZUDZCDEUGIZJIZCD
      JIZCEJIZBIZKZCLEUGIZJIZCUHMZUUDBIZKDLDLKZUUBUUHUUEUUJUUKUUAUUGCJDLEUGUINU
      UKUUCUUIUUDBUUKUUCCLJIZUUIDLCJUJCUUIUUIUKZULZUMUNUOYTDLUPZOZUUFCDLUGIZJIZ
      UUCUUIBIZKELELKZUUBUURUUEUUSUUTUUAUUQCJELDUGUJNUUTUUDUUIUUCBUUTUUDUULUUIE
      LCJUJUUNUMNUOYTUUOELUPZUUFYTUUOUVAOZOZUUBDURMZEURMZPIZQUQIZBUUARUSZMZUUEU
      VCABUUACRUVGUFFGYPYRYSUVBUTZUVCUVGSRVHMZUVCUVFVAHUVGSHUVCUVDUVEYTUUOUVDVA
      HZUVAYRYPUUOUVLYSADVBVCVDZYTUVAUVEVAHZUUOYSYPUVAUVNYRAEVBVEVFZVGUVFVITVJV
      KUVCRUUAURMZVLIZAUUAVMZRUVGVNIZAUUAVMUVCUUAYQHZUVRUVCYRYSUVTYPYRYSUVBVOZY
      PYRYSUVBVPZADEVTVQAUUAVRTUVCUVQUVSAUUAUVCUVQRUVFVLIZUVSUVCUVPUVFRVLUVCYRY
      SUVPUVFKUWAUWBAADEVSVQNUVCUVFWAHUWCUVSKUVCUVDUVEUVCUVDUVMWBZUVCUVEUVOWBZW
      CRUVFWDTWEWFWGZWHUVCUUEUVDQUQIZBDRUSMZUVEQUQIZBERUSMZBIZUVIUVCUUCUWHUUDUW
      JBUVCABDCRUWGUFFGUVJUVCUWGSUVKUVCUVLUWGSHUVMUVDVITVJVKZUVCRUVDVLIZADVMZRU
      WGVNIZADVMUVCYRUWNUWAADVRTUVCUWMUWOADUVCUVDWAHZUWMUWOKUWDRUVDWDTZWFWGWHUV
      CABECRUWIUFFGUVJUVCUWISUVKUVCUVNUWISHZUVOUVEVITZVJVKZUVCRUVEVLIZAEVMZRUWI
      VNIZAEVMUVCYSUXBUWBAEVRTUVCUXAUXCAEUVCUVEWAHUXAUXCKUWERUVEWDTZWFWGWHWIUVC
      UVIUWGUVHMZUVGBUUAUWGQPIZUSZMZBIUWKUVCUAUBUEBAUUARUWGUVGUVCYPUAWJZAHZUBWJ
      ZAHZOUXIUXKBIZAHZUVJYPUXJUXLUXNABCUXIUXKFGWKWLWMUVCYPUXJUXLUEWJZAHUDUXMUX
      OBIUXIUXKUXOBIBIKUVJABCUXIUXKUXOFGWNWMUVCUVDUWIPIZUVDVHMZUVGUXFVHMUVCUVDU
      XQHZUWRUXPUXQHUVCUWPUXRUWDUVDWOTUWSUWIUVDUVDWPVQUVCUVDUVEQUVCUVDUVMWQZUVC
      UVEUVOWQZUVCWRZWSUVCUXFUVDVHUVCUVDXLHQXLHUXFUVDKUXSWTUVDQXAXCZXBXDUWLUVCU
      VSAUXIUUAUWFXEXFUVCUXEUWHUXHUWJBUVCBUAUUADRUWGUWLUVCUXIUWOHZOYRYSUXIUWMHZ
      UXIUUAMUXIDMKYPYRYSUVBUYCXGYPYRYSUVBUYCXHUVCUYDUYCUVCUWMUWOUXIUWQXIXJAADE
      UXIXMXKXNUVCUXHUWIUVDPIZBUUARUVDPIZUSZMUWJUVCUVGUYEUXGUYGUVCUXFUYFBUUAUVC
      UXFUVDUYFUYBUVCUVDUXSXOXPXQUVCUVGUVEUVDPIZQUQIUYEUVCUVFUYHQUQUVCUVDUVEUXS
      UXTXRUNUVCUVEUVDQUXTUXSUYAXSWEXTUVCBUAEUUAUVDRUWIUWTUWDUVCUXIUXCHZOZUXIUV
      DPIUUAMZUXIEMZUYJYRYSUXIUXAHZUYKUYLKYPYRYSUVBUYIXGYPYRYSUVBUYIXHUVCUYMUYI
      UVCUXAUXCUXIUXDXIXJADEUXIYBXKYAYCXPWIWEXPXPYDUUPUURUUCUUSUUPUUQDCJUUPYRUU
      QDKYPYRYSUUOVOADYETNUUPYPUUCAHZUUSUUCKYPYRYSUUOUTYTUYNUUOYPYRUYNYSACDFYFY
      GYHABCUUCUUIFGUUMYKVQXPYIYTUUHUUDUUJYTUUGECJYSYPUUGEKYRAEYJYLNYPYRYSYPUUD
      AHUUJUUDKYPYRYSYMACEFYFABCUUDUUIFGUUMYNYOXPYI $.
  $}

  ${
    gsumccat.b $e |- B = ( Base ` G ) $.
    gsumccat.p $e |- .+ = ( +g ` G ) $.
    $( Homomorphic property of composites.  Second formula in [Lang] p. 4.
       (Contributed by Stefan O'Rear, 16-Aug-2015.)  (Revised by Mario
       Carneiro, 1-Oct-2015.)  (Proof shortened by AV, 26-Dec-2023.) $)
    gsumccat $p |- ( ( G e. Mnd /\ W e. Word B /\ X e. Word B ) ->
        ( G gsum ( W ++ X ) ) = ( ( G gsum W ) .+ ( G gsum X ) ) ) $=
      ( wcel cconcat co cgsu wceq c0 oveq2d oveq2 eqtrdi eqeq12d wne ad2antrr
      wa cmnd cword w3a c0g cfv oveq1 eqid gsum0 oveq1d mndsgrp 3ad2ant1 3simpc
      csgrp simpr anim1i gsumsgrpccat syl3anc simpl2 ccatrid syl simpl1 gsumwcl
      3adant3 adantr mndrid syl2anc eqtr4d pm2.61ne ccatlid 3ad2ant3 3imp3i2an
      simp1 mndlid ) CUAHZDAUBZHZEVOHZUCZCDEIJZKJZCDKJZCEKJZBJZLZCMEIJZKJZCUDUE
      ZWBBJZLDMDMLZVTWFWCWHWIVSWECKDMEIUFNWIWAWGWBBWIWACMKJZWGDMCKOCWGWGUGZUHZP
      UIQVRDMRZTZWDCDMIJZKJZWAWGBJZLEMEMLZVTWPWCWQWRVSWOCKEMDIONWRWBWGWABWRWBWJ
      WGEMCKOWLPNQWNEMRZTCUMHZVPVQTZWMWSTWDVRWTWMWSVNVPWTVQCUJUKSVRXAWMWSVNVPVQ
      ULSWNWMWSVRWMUNUOABCDEFGUPUQWNWPWAWQWNWODCKWNVPWODLVNVPVQWMURADUSUTNWNVNW
      AAHZWQWALVNVPVQWMVAVRXBWMVNVPXBVQACDFVBVCVDABCWAWGFGWKVEVFVGVHVRWFWBWHVRW
      EECKVQVNWEELVPAEVIVJNVNVPVQVNWBAHWHWBLVNVPVQVLACEFVBABCWBWGFGWKVMVKVGVH
      $.

    $( Valuation of a pair in a monoid.  (Contributed by Stefan O'Rear,
       23-Aug-2015.)  (Revised by Mario Carneiro, 27-Feb-2016.) $)
    gsumws2 $p |- ( ( G e. Mnd /\ S e. B /\ T e. B ) ->
        ( G gsum <" S T "> ) = ( S .+ T ) ) $=
      ( cmnd wcel w3a cs2 cgsu co cs1 cconcat wceq df-s2 a1i s1cl gsumws1 cword
      oveq2d id gsumccat syl3an oveqan12d 3adant1 3eqtrd ) EHIZCAIZDAIZJZECDKZL
      MECNZDNZOMZLMZEUNLMZEUOLMZBMZCDBMZULUMUPELUMUPPULCDQRUBUIUIUJUNAUAZIUKUOV
      BIUQUTPUIUCCASDASABEUNUOFGUDUEUJUKUTVAPUIUJUKURCUSDBACEFTADEFTUFUGUH $.

    $( Homomorphic property of composites with a singleton.  (Contributed by
       AV, 20-Jan-2019.) $)
    gsumccatsn $p |- ( ( G e. Mnd /\ W e. Word B /\ Z e. B ) ->
        ( G gsum ( W ++ <" Z "> ) ) = ( ( G gsum W ) .+ Z ) ) $=
      ( cmnd wcel cword w3a cs1 cconcat cgsu wceq s1cl gsumccat syl3an3 gsumws1
      co 3ad2ant3 oveq2d eqtrd ) CHIZDAJZIZEAIZKZCDELZMTNTZCDNTZCUINTZBTZUKEBTU
      GUDUFUIUEIUJUMOEAPABCDUIFGQRUHULEUKBUGUDULEOUFAECFSUAUBUC $.
  $}

  ${
    gsumspl.b $e |- B = ( Base ` M ) $.
    gsumspl.m $e |- ( ph -> M e. Mnd ) $.
    gsumspl.s $e |- ( ph -> S e. Word B ) $.
    gsumspl.f $e |- ( ph -> F e. ( 0 ... T ) ) $.
    gsumspl.t $e |- ( ph -> T e. ( 0 ... ( # ` S ) ) ) $.
    gsumspl.x $e |- ( ph -> X e. Word B ) $.
    gsumspl.y $e |- ( ph -> Y e. Word B ) $.
    gsumspl.eq $e |- ( ph -> ( M gsum X ) = ( M gsum Y ) ) $.
    $( The primary purpose of the splice construction is to enable local
       rewrites.  Thus, in any monoidal valuation, if a splice does not cause a
       local change it does not cause a global change.  (Contributed by Stefan
       O'Rear, 23-Aug-2015.) $)
    gsumspl $p |- ( ph -> ( M gsum ( S splice <. F , T , X >. ) ) =
          ( M gsum ( S splice <. F , T , Y >. ) ) ) $=
      ( co cgsu wcel wceq cpfx cplusg cfv chash cop csubstr cotp csplice oveq2d
      oveq1d cconcat cword cc0 cfz splval syl13anc cmnd pfxcl syl ccatcl swrdcl
      syl2anc eqid gsumccat syl3anc 3eqtrd 3eqtr4d ) AFCEUAQZRQZFGRQZFUBUCZQZFC
      DCUDUCZUEUFQZRQZVKQZVIFHRQZVKQZVOVKQZFCEDGUGUHQZRQZFCEDHUGUHQZRQZAVLVRVOV
      KAVJVQVIVKPUIUJAWAFVHGUKQZVNUKQZRQZFWDRQZVOVKQZVPAVTWEFRACBULZSZEUMDUNQZS
      ZDUMVMUNQZSZGWISZVTWETKLMNGCDEWIWKWMWIUOUPUIAFUQSZWDWISZVNWISZWFWHTJAVHWI
      SZWOWQAWJWSKBCEURUSZNBVHGUTVBAWJWRKBCDVMVAUSZBVKFWDVNIVKVCZVDVEAWGVLVOVKA
      WPWSWOWGVLTJWTNBVKFVHGIXBVDVEUJVFAWCFVHHUKQZVNUKQZRQZFXCRQZVOVKQZVSAWBXDF
      RAWJWLWNHWISZWBXDTKLMOHCDEWIWKWMWIUOUPUIAWPXCWISZWRXEXGTJAWSXHXIWTOBVHHUT
      VBXABVKFXCVNIXBVDVEAXFVRVOVKAWPWSXHXFVRTJWTOBVKFVHHIXBVDVEUJVFVG $.
  $}

  ${
    $d x y B $.  $d x y H $.  $d x y M $.  $d x y N $.  $d x y W $.
    gsumwmhm.b $e |- B = ( Base ` M ) $.
    $( Behavior of homomorphisms on finite monoidal sums.  (Contributed by
       Stefan O'Rear, 27-Aug-2015.) $)
    gsumwmhm $p |- ( ( H e. ( M MndHom N ) /\ W e. Word B ) ->
        ( H ` ( M gsum W ) ) = ( N gsum ( H o. W ) ) ) $=
      ( co wcel wa cgsu cfv wceq c0 eqid eqtrdi cc0 cmnd ad2antrr wf syl vx c0g
      vy cmhm cword ccom oveq2 gsum0 fveq2d coeq2 co02 oveq2d eqeq12d wne chash
      c1 cmin cplusg cseq cv mhmrcl1 mndcl 3expb sylan cfzo wrdf ad2antlr cz cn
      cfz cfn wb wrdfin adantl hashnncl biimpar nnzd fzoval feq2d ffvelrnda cn0
      mpbid cuz nnm1nn0 nn0uz eleqtrdi mhmlin ad4ant14 wfn fvco2 eqcomd seqhomo
      ffnd gsumval2 cbs mhmrcl2 mhmf fco syl2anc 3eqtr4d mhm0 adantr pm2.61ne )
      BCDUDGHZEAUEHZIZCEJGZBKZDBEUFZJGZLCUBKZBKZDUBKZLZEMEMLZXHXLXJXMXOXGXKBXOX
      GCMJGXKEMCJUGCXKXKNZUHOUIXOXJDMJGXMXOXIMDJXOXIBMUFMEMBUJBUKOULDXMXMNZUHOU
      MXFEMUNZIZEUOKZUPUQGZCURKZEPUSKZBKYADURKZXIPUSKXHXJXSUAUCYBYDAEXIBPYAXSCQ
      HZUAUTZAHZUCUTZAHZIZYFYHYBGZAHZXDYEXEXRCDBVARZYEYGYIYLAYBCYFYHFYBNZVBVCVD
      XSPYAVJGZAYFEXSPXTVEGZAESZYOAESZXEYQXDXRAEVFVGXSYPYOAEXSXTVHHYPYOLXSXTXFX
      TVIHZXRXFEVKHZYSXRVLXEYTXDAEVMVNEVOTVPZVQPXTVRTVSWBZVTXSYAWAPWCKXSYSYAWAH
      UUAXTWDTWEWFZXDYJYKBKYFBKYHBKYDGLZXEXRXDYGYIUUDAYBYDCDBYFYHFYNYDNZWGVCWHX
      SYFYOHZIYFXIKZYFEKBKZXSEYOWIUUFUUGUUHLXSYOAEUUBWMYOBEYFWJVDWKWLXSXGYCBXSA
      YBECPYAQFYNYMUUCUUBWNUIXSDWOKZYDXIDPYAQUUINZUUEXDDQHXEXRCDBWPRUUCXSAUUIBS
      ZYRYOUUIXISXDUUKXEXRAUUICDBFUUJWQRUUBYOAUUIBEWRWSWNWTXDXNXECDBXMXKXPXQXAX
      BXC $.
  $}

  ${
    $d v w x y G $.  $d v w x z B $.  $d v w x y M $.  $d w K $.  $d z G $.
    $d z M $.
    gsumwspan.b $e |- B = ( Base ` M ) $.
    gsumwspan.k $e |- K = ( mrCls ` ( SubMnd ` M ) ) $.
    $( The submonoid generated by a set of elements is precisely the set of
       elements which can be expressed as finite products of the generator.
       (Contributed by Stefan O'Rear, 22-Aug-2015.) $)
    gsumwspan $p |- ( ( M e. Mnd /\ G C_ B ) -> ( K ` G ) =
          ran ( w e. Word G |-> ( M gsum w ) ) ) $=
      ( vx vy vz vv wcel wss cgsu co wceq oveq2 wb cvv wral cmnd cfv cword cmpt
      wa crn csubmnd cmre submacs acsmred adantr wrex simpr s1cld ssel2 adantll
      cv cs1 gsumws1 syl eqcomd rspceeqv syl2anc eqid elrnmpt elv sylibr ex c0g
      ssrdv cplusg mrccl sylan mrcssid sswrd sselda gsumwsubmcl syl2an2r fmpttd
      frnd mrcssvd sstrd c0 wrd0 gsum0 eqcomi sylancr fvex ax-mp cconcat ccatcl
      a1i simpll ad2antlr simprl sseldd simprr gsumccat syl3anc ovex ralrimivva
      syl2an2 cbvmptv rneqi raleqi eleq1d ovexd mprg bitri ralbii oveq1 ralbidv
      ralrnmptw 3bitri w3a issubm mpbir3and mrcsscl eqssd ) EUALZCBMZUEZCDUBZAC
      UCZEAUQZNOZUDZUFZYBEUGUBZBUHUBLZCYHMYHYILZYCYHMXTYJYAXTYIBBEFUIUJZUKYBHCY
      HYBHUQZCLZYMYHLZYBYNUEZYMYFPAYDULZYOYPYMURZYDLYMEYRNOZPYQYPYMCYBYNUMUNYPY
      SYMYPYMBLZYSYMPYAYNYTXTCBYMUOUPBYMEFUSUTVAAYRYDYFYSYMYEYRENQVBVCYOYQRHAYD
      YFYMYGSYGVDZVEVFVGVHVJYBYKYHBMZEVIUBZYHLZYMIUQZEVKUBZOZYHLZIYHTZHYHTZYBYH
      YCBYBYDYCYGYBAYDYFYCYBYCYILZYEYDLYEYCUCZLYFYCLXTYJYAUUKYLYICDBGVLVMYBYDUU
      LYEYBCYCMZYDUULMXTYJYAUUMYLYICDBGVNVMCYCVOUTVPYCEYEVQVRVSVTZXTYCBMYAXTYIC
      DBYLGWAUKWBYBUUCYFPAYDULZUUDYBWCYDLUUCEWCNOZPZUUOCWDUUQYBUUPUUCEUUCUUCVDZ
      WEWFWLAWCYDYFUUPUUCYEWCENQVBWGUUCSLUUDUUOREVIWHAYDYFUUCYGSUUAVEWIVGYBEJUQ
      ZNOZEKUQZNOZUUFOZYHLZKYDTZJYDTZUUJYBUVDJKYDYDYBUUSYDLZUVAYDLZUEZUEZUVCYFP
      AYDULZUVDUVIUUSUVAWJOZYDLYBUVCEUVLNOZPUVKCUUSUVAWKUVJUVMUVCUVJXTUUSBUCZLU
      VAUVNLUVMUVCPXTYAUVIWMUVJYDUVNUUSYAYDUVNMXTUVICBVOWNZYBUVGUVHWOWPUVJYDUVN
      UVAUVOYBUVGUVHWQWPBUUFEUUSUVAFUUFVDZWRWSVAAUVLYDYFUVMUVCYEUVLENQVBXBUVCSL
      UVDUVKRUUTUVBUUFWTAYDYFUVCYGSUUAVEWIVGXAUUJUUIHJYDUUTUDZUFZTYMUVBUUFOZYHL
      ZKYDTZHUVRTZUVFUUIHYHUVRYGUVQAJYDYFUUTYEUUSENQXCXDXEUUIUWAHUVRUUIUUHIKYDU
      VBUDZUFZTZUWAUUHIYHUWDYGUWCAKYDYFUVBYEUVAENQXCXDXEUVBSLUWEUWARKYDUUHUVTKI
      YDUVBUWCSUWCVDUUEUVBPUUGUVSYHUUEUVBYMUUFQXFXMUVHEUVANXGXHXIXJUUTSLUWBUVFR
      JYDUWAUVEJHYDUUTUVQSUVQVDYMUUTPZUVTUVDKYDUWFUVSUVCYHYMUUTUVBUUFXKXFXLXMUV
      GEUUSNXGXHXNVGXTYKUUBUUDUUJXORYAHIBUUFYHEUUCFUURUVPXPUKXQYICDYHBGXRWSUUNX
      S $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Free monoids
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c freeMnd $.
  $c varFMnd $.

  $( Extend class definition with the free monoid construction. $)
  cfrmd $a class freeMnd $.

  $( Extend class notation with free monoid injection. $)
  cvrmd $a class varFMnd $.

  $( Define a free monoid over a set ` i ` of generators, defined as the set of
     finite strings on ` I ` with the operation of concatenation.  (Contributed
     by Mario Carneiro, 27-Sep-2015.) $)
  df-frmd $a |- freeMnd = ( i e. _V |->
   { <. ( Base ` ndx ) , Word i >. ,
     <. ( +g ` ndx ) , ( ++ |` ( Word i X. Word i ) ) >. } ) $.
  ${
    $d i j $.
    $( Define a free monoid over a set ` i ` of generators, defined as the set
       of finite strings on ` I ` with the operation of concatenation.
       (Contributed by Mario Carneiro, 27-Sep-2015.) $)
    df-vrmd $a |- varFMnd = ( i e. _V |-> ( j e. i |-> <" j "> ) ) $.
  $}

  ${
    $d i B $.  $d i I $.  $d i .+ $.  $d i V $.
    frmdval.m $e |- M = ( freeMnd ` I ) $.
    frmdval.b $e |- ( I e. V -> B = Word I ) $.
    frmdval.p $e |- .+ = ( ++ |` ( B X. B ) ) $.
    $( Value of the free monoid construction.  (Contributed by Mario Carneiro,
       27-Sep-2015.) $)
    frmdval $p |- ( I e. V ->
      M = { <. ( Base ` ndx ) , B >. , <. ( +g ` ndx ) , .+ >. } ) $=
      ( vi wcel cfrmd cfv cnx cop cpr cword cconcat cxp cres cvv cplusg df-frmd
      cbs cv wceq wrdeq eqcomd sylan9eqr opeq2d sqxpeqd reseq2d eqtr4di preq12d
      wa elex prex a1i fvmptd2 eqtrid ) CEJZDCKLMUCLZANZMUALZBNZOZFUTICVAIUDZPZ
      NZVCQVGVGRZSZNZOVETKTIUBUTVFCUEZUNZVHVBVKVDVMVGAVAVLUTVGCPZAVFCUFUTAVNGUG
      UHZUIVMVJBVCVMVJQAARZSBVMVIVPQVMVGAVOUJUKHULUIUMCEUOVETJUTVBVDUPUQURUS $.
  $}

  ${
    $d x y B $.  $d x y I $.
    frmdbas.m $e |- M = ( freeMnd ` I ) $.
    frmdbas.b $e |- B = ( Base ` M ) $.
    $( The base set of a free monoid.  (Contributed by Mario Carneiro,
       27-Sep-2015.)  (Revised by Mario Carneiro, 27-Feb-2016.) $)
    frmdbas $p |- ( I e. V -> B = Word I ) $=
      ( wcel cbs cfv cword cnx cop cplusg cconcat cxp cres cpr eqidd eqid cvv
      frmdval fveq2d wceq wrdexg grpbase syl eqtr4d eqtrid ) BDGZACHIZBJZFUIUJK
      HIUKLKMINUKUKOPZLQZHIZUKUICUMHUKULBCDEUIUKRULSUAUBUIUKTGUKUNUCBDUDUKULUMT
      UMSUEUFUGUH $.

    $( An element of the base set of a free monoid is a string on the
       generators.  (Contributed by Mario Carneiro, 27-Feb-2016.) $)
    frmdelbas $p |- ( X e. B -> X e. Word I ) $=
      ( wcel cword id cvv wceq cfrmd elbasfv frmdbas syl eleqtrd ) DAGZDABHZQIQ
      BJGARKACLDBEFMABCJEFNOP $.

    frmdplusg.p $e |- .+ = ( +g ` M ) $.
    $( The monoid operation of a free monoid.  (Contributed by Mario Carneiro,
       27-Sep-2015.)  (Revised by Mario Carneiro, 27-Feb-2016.)  (Proof
       shortened by AV, 6-Nov-2024.) $)
    frmdplusg $p |- .+ = ( ++ |` ( B X. B ) ) $=
      ( vx vy cvv wcel cconcat cxp cres cbs cfv cplusg fveq2d eqtrid c0 cnx cop
      wceq cpr frmdbas eqid frmdval cword wrdexg wf wfn cv wral wss ccatfn xpss
      co fnssres mp2an ovres frmdelbas ccatcl syl2an rgen2 ffnov mpbir2an fvexi
      wa eqeltrd xpex fex2 mp3an12 grpplusg 3syl eqtr4d cfrmd res0 plusgid str0
      wn fvprc eqtr2i eqtrdi base0 3eqtr4g xpeq2d xp0 reseq2d pm2.61i ) CJKZBLA
      AMZNZUCWJBUAOPAUBUAQPZWLUBUDZQPZWLWJBDQPZWOGWJDWNQAWLCDJEACDJEFUEWLUFUGRS
      WJCUHZJKZWLJKZWLWOUCCJUIWKWQWLUJZWKJKWRWSWTWLWKUKZHULZIULZWLUQZWQKZIAUMHA
      UMLJJMZUKWKXFUNXAUOAAUPXFWKLURUSXEHIAAXBAKZXCAKZVHXDXBXCLUQZWQXBXCAALUTXG
      XBWQKXCWQKXIWQKXHACDXBEFVAACDXCEFVACXBXCVBVCVIVDHIAAWQWLVEVFAAADOFVGZXJVJ
      WKWQWLJJVKVLAWLWNJWNUFVMVNVOWJVTZBLTNZWLXKBTQPZXLXKBWPXMGXKDTQXKDCVPPTECV
      PWASZRSXLTXMLVQQWMVRVSWBWCXKWKTLXKWKATMTXKATAXKDOPTOPATXKDTOXNRFWDWEWFAWG
      WCWHVOWI $.

    $( Value of the monoid operation of the free monoid construction.
       (Contributed by Mario Carneiro, 27-Sep-2015.) $)
    frmdadd $p |- ( ( X e. B /\ Y e. B ) -> ( X .+ Y ) = ( X ++ Y ) ) $=
      ( wcel wa co cconcat cxp cres frmdplusg oveqi ovres eqtrid ) EAJFAJKEFBLE
      FMAANOZLEFMLBTEFABCDGHIPQEFAAMRS $.
  $}

  ${
    $d j A $.  $d i j I $.  $d j V $.
    vrmdfval.u $e |- U = ( varFMnd ` I ) $.
    $( The canonical injection from the generating set ` I ` to the base set of
       the free monoid.  (Contributed by Mario Carneiro, 27-Feb-2016.) $)
    vrmdfval $p |- ( I e. V -> U = ( j e. I |-> <" j "> ) ) $=
      ( vi wcel cvrmd cfv cv cs1 cmpt df-vrmd mpteq1 elex mptexg fvmptd3 eqtrid
      cvv ) CDGZACHIBCBJKZLZETFCBFJZUALUBSHSFBMBUCCUANCDOBCUADPQR $.

    $( The value of the generating elements of a free monoid.  (Contributed by
       Mario Carneiro, 27-Feb-2016.) $)
    vrmdval $p |- ( ( I e. V /\ A e. I ) -> ( U ` A ) = <" A "> ) $=
      ( vj wcel wa cs1 cword cmpt wceq vrmdfval adantr s1eq adantl simpr fvmptd
      cv s1cl ) CDGZACGZHZFAFSZIZAIZCBCJZUABFCUEKLUBBFCDEMNUDALUEUFLUCUDAOPUAUB
      QUBUFUGGUAACTPR $.

    $( The mapping from the index set to the generators is a function into the
       free monoid.  (Contributed by Mario Carneiro, 27-Feb-2016.) $)
    vrmdf $p |- ( I e. V -> U : I --> Word I ) $=
      ( vj wcel cv cs1 cword vrmdfval s1cl adantl fmpt3d ) BCFZEBEGZHZBIZAAEBCD
      JOBFPQFNOBKLM $.
  $}

  ${
    $d x A $.  $d x y z I $.  $d x y J $.  $d x y z M $.  $d x y z U $.
    $d x y z V $.  $d x W $.
    frmdmnd.m $e |- M = ( freeMnd ` I ) $.
    $( A free monoid is a monoid.  (Contributed by Mario Carneiro,
       27-Sep-2015.)  (Revised by Mario Carneiro, 27-Feb-2016.) $)
    frmdmnd $p |- ( I e. V -> M e. Mnd ) $=
      ( vx vy vz wcel cfv c0 cv cconcat frmdadd frmdelbas wceq eleqtrrd syl2anc
      co wa syl cbs cplusg eqidd w3a eqid ccatcl syl2an eqeltrd 3adant1 frmdbas
      cword 3ad2ant1 simpr1 simpr2 simpr3 ccatass syl3anc adantr 3eqtr4d oveq1d
      oveq2d wrd0 eleqtrrid sylan adantl ccatlid eqtrd ancoms ccatrid ismndd )
      ACHZEFGBUAIZBUBIZBJVKVLUCVKVMUCVKEKZVLHZFKZVLHZUDVNVPVMRZAUKZVLVOVQVRVSHV
      KVOVQSVRVNVPLRZVSVLVMABVNVPDVLUEZVMUEZMZVOVNVSHZVPVSHZVTVSHZVQVLABVNDWANZ
      VLABVPDWANZAVNVPUFUGZUHUIVKVOVLVSOZVQVLABCDWAUJZULPVKVOVQGKZVLHZUDZSZVTWL
      VMRZVNVPWLLRZVMRZVRWLVMRVNVPWLVMRZVMRWOVTWLLRZVNWQLRZWPWRWOWDWEWLVSHZWTXA
      OWOVOWDVKVOVQWMUMZWGTWOVQWEVKVOVQWMUNZWHTZWOWMXBVKVOVQWMUOZVLABWLDWANTZAV
      NVPWLUPUQWOVTVLHWMWPWTOWOVTVSVLWOVOVQWFXCXDWIQVKWJWNWKURZPXFVLVMABVTWLDWA
      WBMQWOVOWQVLHWRXAOXCWOWQVSVLWOWEXBWQVSHXEXGAVPWLUFQXHPVLVMABVNWQDWAWBMQUS
      WOVRVTWLVMWOVOVQVRVTOXCXDWCQUTWOWSWQVNVMWOVQWMWSWQOXDXFVLVMABVPWLDWAWBMQV
      AUSVKJVSVLAVBWKVCZVKVOSZJVNVMRZJVNLRZVNVKJVLHZVOXKXLOXIVLVMABJVNDWAWBMVDX
      JWDXLVNOVOWDVKWGVEZAVNVFTVGXJVNJVMRZVNJLRZVNVKXMVOXOXPOZXIVOXMXQVLVMABVNJ
      DWAWBMVHVDXJWDXPVNOXNAVNVITVGVJ $.

    $( The identity of the free monoid is the empty word.  (Contributed by
       Mario Carneiro, 27-Sep-2015.) $)
    frmd0 $p |- (/) = ( 0g ` M ) $=
      ( vx cvv wcel c0 c0g cfv wceq cbs cplusg eqid cconcat frmdadd sylan eqtrd
      co syl cfrmd cword wrd0 frmdbas eleqtrrid frmdelbas adantl ccatlid ancoms
      cv wa ccatrid ismgmid2 wn 0g0 fvprc eqtrid fveq2d eqtr4id pm2.61i ) AEFZG
      BHIZJUTDBKIZBLIZGBVAVBMZVAMVCMZUTGAUAZVBAUBVBABECVDUCUDZUTDUIZVBFZUJZGVHV
      CRZGVHNRZVHUTGVBFZVIVKVLJVGVBVCABGVHCVDVEOPVJVHVFFZVLVHJVIVNUTVBABVHCVDUE
      UFZAVHUGSQVJVHGVCRZVHGNRZVHUTVMVIVPVQJZVGVIVMVRVBVCABVHGCVDVEOUHPVJVNVQVH
      JVOAVHUKSQULUTUMZGGHIVAUNVSBGHVSBATIGCATUOUPUQURUS $.

    $( The set of words taking values in a subset is a (free) submonoid of the
       free monoid.  (Contributed by Mario Carneiro, 27-Sep-2015.)  (Revised by
       Mario Carneiro, 27-Feb-2016.) $)
    frmdsssubm $p |- ( ( I e. V /\ J C_ I ) ->
        Word J e. ( SubMnd ` M ) ) $=
      ( vx vy wcel wss wa cword cfv c0 cv co wral adantl wceq eqid adantr sswrd
      csubmnd cbs cplusg frmdbas sseqtrrd wrd0 cconcat sselda anim12dan frmdadd
      a1i syl ccatcl eqeltrd ralrimivva cmnd w3a frmdmnd frmd0 issubm mpbir3and
      wb ) ADHZBAIZJZBKZCUBLHZVGCUCLZIZMVGHZFNZGNZCUDLZOZVGHZGVGPFVGPZVFVGAKZVI
      VEVGVRIVDBAUAQVDVIVRRVEVIACDEVISZUETUFZVKVFBUGULVFVPFGVGVGVFVLVGHZVMVGHZJ
      ZJZVOVLVMUHOZVGWDVLVIHZVMVIHZJVOWERVFWAWFWBWGVFVGVIVLVTUIVFVGVIVMVTUIUJVI
      VNACVLVMEVSVNSZUKUMWCWEVGHVFBVLVMUNQUOUPVFCUQHZVHVJVKVQURVCVDWIVEACDEUSTF
      GVIVNVGCMVSACEUTWHVAUMVB $.

    frmdgsum.u $e |- U = ( varFMnd ` I ) $.
    $( Any word in a free monoid can be expressed as the sum of the singletons
       composing it.  (Contributed by Mario Carneiro, 27-Sep-2015.) $)
    frmdgsum $p |- ( ( I e. V /\ W e. Word I ) ->
      ( M gsum ( U o. W ) ) = W ) $=
      ( wcel ccom cgsu co wceq wi c0 cconcat coeq2 oveq2d id eqeq12d eqtrd co02
      vx vy vz cword cv cs1 eqtrdi imbi2d frmd0 gsum0 wa oveq1 wf simprl simprr
      a1i s1cld vrmdf adantr ccatco syl3anc s1co syl2anc vrmdval adantrl cplusg
      cfv s1eqd cmnd cbs frmdmnd wrdco eqid frmdbas wrdeq syl eleqtrrd gsumccat
      gsumws1 gsumwcl frmdadd eqeq1d syl5ibr expcom a2d wrdind impcom ) EBUEZHB
      DHZCAEIZJKZELZWJCAUBUFZIZJKZWNLZMWJCNJKZNLZMWJCAUCUFZIZJKZWTLZMWJCAWTUDUF
      ZUGZOKZIZJKZXFLZMWJWMMUBUCUDEBWNNLZWQWSWJXJWPWRWNNXJWONCJXJWOANINWNNAPAUA
      UHQXJRSUIWNWTLZWQXCWJXKWPXBWNWTXKWOXACJWNWTAPQXKRSUIWNXFLZWQXIWJXLWPXHWNX
      FXLWOXGCJWNXFAPQXLRSUIWNELZWQWMWJXMWPWLWNEXMWOWKCJWNEAPQXMRSUIWSWJCNBCFUJ
      UKUQWTWIHZXDBHZULZWJXCXIWJXPXCXIMXCXIWJXPULZXBXEOKZXFLXBWTXEOUMXQXHXRXFXQ
      XHCXAXEUGZOKZJKZXRXQXGXTCJXQXGXAAXEIZOKZXTXQXNXEWIHBWIAUNZXGYCLWJXNXOUOZX
      QXDBWJXNXOUPZURZWJYDXPABDGUSUTZBWIWTXEAVAVBXQYBXSXAOXQYBXDAVHZUGZXSXQXOYD
      YBYJLYFYHBWIXDAVCVDXQYIXEWJXOYIXELXNXDABDGVEVFVITQTQXQYAXBCXSJKZCVGVHZKZX
      RXQCVJHZXACVKVHZUEZHZXSYPHYAYMLWJYNXPBCDFVLUTZXQXAWIUEZYPXQXNYDXAYSHYEYHB
      WIAWTVMVDXQYOWILZYPYSLWJYTXPYOBCDFYOVNZVOUTZYOWIVPVQVRZXQXEYOXQXEWIYOYGUU
      BVRZURYOYLCXAXSUUAYLVNZVSVBXQYMXBXEYLKZXRXQYKXEXBYLXQXEYOHZYKXELUUDYOXECU
      UAVTVQQXQXBYOHZUUGUUFXRLXQYNYQUUHYRUUCYOCXAUUAWAVDUUDYOYLBCXBXEFUUAUUEWBV
      DTTTWCWDWEWFWGWH $.

    $( A subset of generators is contained in a submonoid iff the set of words
       on the generators is in the submonoid.  This can be viewed as an
       elementary way of saying "the monoidal closure of ` J ` is ` Word J ` ".
       (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    frmdss2 $p |- ( ( I e. V /\ J C_ I /\ A e. ( SubMnd ` M ) ) ->
      ( ( U " J ) C_ A <-> Word J C_ A ) ) $=
      ( vx wcel wss cfv cword wa ccom co wceq syl syl2anc wf csubmnd w3a simpl1
      cima cv cgsu simpl2 sswrd simprr sseldd frmdgsum simpl3 cres crn cc0 cfzo
      chash wrdf ad2antll frnd cores wfn vrmdf 3ad2ant1 fnssres syl2an2r df-ima
      ffnd simprl eqsstrrid df-f sylanbrc wrdco eqeltrrd gsumwsubmcl expr ssrdv
      ex wi wral cs1 simp2 sselda vrmdval simpr s1cld eqeltrd ralrimiva wfun wb
      cdm ffund fdmd sseqtrrd funimass4 mpbird sstr2 impbid ) CFJZDCKZAEUALJZUB
      ZBDUDZAKZDMZAKZXBXDXFXBXDNIXEAXBXDIUEZXEJZXGAJXBXDXHNZNZEBXGOZUFPZXGAXJWS
      XGCMZJXLXGQWSWTXAXIUCXJXEXMXGXJWTXEXMKWSWTXAXIUGZDCUHRXBXDXHUIZUJBCEFXGGH
      UKSXJXAXKAMZJXLAJWSWTXAXIULXJBDUMZXGOZXKXPXJXGUNDKXRXKQXJUOXGUQLUPPZDXGXH
      XSDXGTXBXDDXGURUSUTBXGDVARXJXHDAXQTZXRXPJXOXJXQDVBZXQUNZAKXTXBBCVBXIWTYAX
      BCXMBWSWTCXMBTXABCFHVCVDZVHXNCDBVEVFXJYBXCABDVGXBXDXHVIVJDAXQVKVLDAXQXGVM
      SVNAEXKVOSVNVPVQVRXBXCXEKZXFXDVSXBYDXGBLZXEJZIDVTZXBYFIDXBXGDJZNZYEXGWAZX
      EYIWSXGCJYEYJQWSWTXAYHUCXBDCXGWSWTXAWBZWCXGBCFHWDSYIXGDXBYHWEWFWGWHXBBWID
      BWKZKYDYGWJXBCXMBYCWLXBDCYLYKXBCXMBYCWMWNIDXEBWOSWPXCXEAWQRWR $.
  $}

  ${
    $d x A $.  $d x B $.  $d y z E $.  $d x y z G $.  $d x y z ph $.  $d x Y $.
    $d x y z I $.  $d y z M $.
    frmdup.m $e |- M = ( freeMnd ` I ) $.
    frmdup.b $e |- B = ( Base ` G ) $.
    frmdup.e $e |- E = ( x e. Word I |-> ( G gsum ( A o. x ) ) ) $.
    frmdup.g $e |- ( ph -> G e. Mnd ) $.
    frmdup.i $e |- ( ph -> I e. X ) $.
    frmdup.a $e |- ( ph -> A : I --> B ) $.
    $( Any assignment of the generators to target elements can be extended
       (uniquely) to a homomorphism from a free monoid to an arbitrary other
       monoid.  (Contributed by Mario Carneiro, 27-Sep-2015.) $)
    frmdup1 $p |- ( ph -> E e. ( M MndHom G ) ) $=
      ( wcel co wceq c0 cgsu vy vz cmnd cbs cfv wf cplusg wral c0g cmhm frmdmnd
      cv w3a syl cword ccom wa adantr simpr wrdco syl2anc gsumwcl fmptd frmdbas
      mpbird cconcat frmdelbas ad2antrl ad2antll ccatco syl3anc oveq2d gsumccat
      eqid feq2d eqtrd frmdadd adantl fveq2d coeq2 fvmpt3i oveqan12d ralrimivva
      ccatcl ovex 3eqtr4d wrd0 co02 eqtrdi gsum0 mp1i frmd0 ismhm syl21anbrc
      3jca ) AHUCPZFUCPZHUDUEZDEUFZUAULZUBULZHUGUEZQZEUEZWTEUEZXAEUEZFUGUEZQZRZ
      UBWRUHUAWRUHZSEUEFUIUEZRZUMEHFUJQPAGIPZWPNGHIJUKUNMAWSXJXLAWSGUOZDEUFABXN
      FCBULZUPZTQZDEAXOXNPZUQZWQXPDUOZPZXQDPAWQXRMURXSXRGDCUFZYAAXRUSAYBXROURGD
      CXOUTVADFXPKVBVALVCAWRXNDEAXMWRXNRNWRGHIJWRVNZVDUNVOVEAXIUAUBWRWRAWTWRPZX
      AWRPZUQZUQZFCWTXAVFQZUPZTQZFCWTUPZTQZFCXAUPZTQZXGQZXDXHYGYJFYKYMVFQZTQZYO
      YGYIYPFTYGWTXNPZXAXNPZYBYIYPRYDYRAYEWRGHWTJYCVGVHZYEYSAYDWRGHXAJYCVGVIZAY
      BYFOURZGDWTXACVJVKVLYGWQYKXTPZYMXTPZYQYORAWQYFMURYGYRYBUUCYTUUBGDCWTUTVAY
      GYSYBUUDUUAUUBGDCXAUTVADXGFYKYMKXGVNZVMVKVPYGXDYHEUEZYJYGXCYHEYFXCYHRAWRX
      BGHWTXAJYCXBVNZVQVRVSYGYHXNPZUUFYJRYGYRYSUUHYTUUAGWTXAWDVABYHXQYJXNEXOYHR
      XPYIFTXOYHCVTVLLFXPTWEZWAUNVPYGYRYSXHYORYTUUAYRYSXEYLXFYNXGBWTXQYLXNEXOWT
      RXPYKFTXOWTCVTVLLUUIWABXAXQYNXNEXOXARXPYMFTXOXACVTVLLUUIWAWBVAWFWCSXNPXLA
      GWGBSXQXKXNEXOSRZXQFSTQXKUUJXPSFTUUJXPCSUPSXOSCVTCWHWIVLFXKXKVNZWJWILUUIW
      AWKWOUAUBWRDXBXGHFEXKSYCKUUGUUEGHJWLUUKWMWN $.

    frmdup2.u $e |- U = ( varFMnd ` I ) $.
    frmdup2.y $e |- ( ph -> Y e. I ) $.
    $( The evaluation map has the intended behavior on the generators.
       (Contributed by Mario Carneiro, 27-Sep-2015.) $)
    frmdup2 $p |- ( ph -> ( E ` ( U ` Y ) ) = ( A ` Y ) ) $=
      ( cgsu cfv cs1 wcel wceq vrmdval syl2anc fveq2d ccom co cword s1cld coeq2
      cv oveq2d ovex fvmpt3i syl wf s1co ffvelrnd gsumws1 3eqtrd eqtrd ) AKEUAZ
      FUAKUBZFUAZKCUAZAVDVEFAHJUCKHUCZVDVEUDPSKEHJRUEUFUGAVFGCVEUHZTUIZGVGUBZTU
      IZVGAVEHUJZUCVFVJUDAKHSUKBVEGCBUMZUHZTUIVJVMFVNVEUDVOVIGTVNVECULUNNGVOTUO
      UPUQAVIVKGTAVHHDCURVIVKUDSQHDKCUSUFUNAVGDUCVLVGUDAHDKCQSUTDVGGMVAUQVBVC
      $.
  $}

  ${
    $d m x y A $.  $d m x y B $.  $d m x y G $.  $d m x y I $.  $d m x y M $.
    $d x F $.  $d m x y U $.  $d m x y V $.
    frmdup3.m $e |- M = ( freeMnd ` I ) $.
    frmdup3.b $e |- B = ( Base ` G ) $.
    frmdup3.u $e |- U = ( varFMnd ` I ) $.
    $( Lemma for ~ frmdup3 .  (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    frmdup3lem $p |- ( ( ( G e. Mnd /\ I e. V /\ A : I --> B ) /\
                         ( F e. ( M MndHom G ) /\ ( F o. U ) = A ) ) ->
                       F = ( x e. Word I |-> ( G gsum ( A o. x ) ) ) ) $=
      ( wcel wf co ccom wceq wa cfv cgsu cmnd w3a cmhm cword cmpt cbs eqid mhmf
      cv ad2antrl frmdbas 3ad2ant2 adantr feq2d mpbid feqmptd simpr vrmdf feq3d
      simplrl mpbird ad2antrr wrdco syl2anc simpll2 fveq2d coass simplrr coeq1d
      gsumwmhm frmdgsum eqtr3id oveq2d 3eqtr3d mpteq2dva eqtrd ) FUAMZGIMZGCBNZ
      UBZEHFUCOMZEDPZBQZRZRZEAGUDZAUIZESZUEAWFFBWGPZTOZUEWEAWFCEWEHUFSZCENZWFCE
      NWAWLVTWCWKCHFEWKUGZKUHUJWEWKWFCEVTWKWFQZWDVRVQWNVSWKGHIJWMUKULZUMUNUOUPW
      EAWFWHWJWEWGWFMZRZHDWGPZTOZESZFEWRPZTOZWHWJWQWAWRWKUDMZWTXBQVTWAWCWPUTWQW
      PGWKDNZXCWEWPUQZVTXDWDWPVTXDGWFDNZVRVQXFVSDGILURULVTWKWFDGWOUSVAVBGWKDWGV
      CVDWKEHFWRWMVJVDWQWSWGEWQVRWPWSWGQVQVRVSWDWPVEXEDGHIWGJLVKVDVFWQXAWIFTWQX
      AWBWGPWIEDWGVGWQWBBWGVTWAWCWPVHVIVLVMVNVOVP $.

    $( Universal property of the free monoid by existential uniqueness.
       (Contributed by Mario Carneiro, 2-Oct-2015.)  (Revised by Mario
       Carneiro, 18-Jul-2016.) $)
    frmdup3 $p |- ( ( G e. Mnd /\ I e. V /\ A : I --> B ) ->
      E! m e. ( M MndHom G ) ( m o. U ) = A ) $=
      ( vx vy wcel wf cv ccom cmpt wceq cfv cmnd w3a cword cgsu co cmhm wi wral
      wreu eqid simp1 simp2 simp3 frmdup1 wa adantr simpr frmdup2 mpteq2dva cbs
      syl vrmdf 3ad2ant2 frmdbas feq3d mpbird fcompt syl2anc feqmptd frmdup3lem
      mhmf 3eqtr4d expr ralrimiva coeq1 eqeq1d eqreu syl3anc ) EUANZFHNZFBAOZUB
      ZLFUCZEALPQUDUERZGEUFUEZNZWDCQZASZDPZCQZASZWIWDSZUGZDWEUHWKDWEUIWBLABWDEF
      GHIJWDUJZVSVTWAUKZVSVTWAULZVSVTWAUMZUNZWBMFMPZCTWDTZRZMFWSATZRWGAWBMFWTXB
      WBWSFNZUOLABCWDEFGHWSIJWNWBVSXCWOUPWBVTXCWPUPWBWAXCWQUPKWBXCUQURUSWBGUTTZ
      BWDOZFXDCOZWGXASWBWFXEWRXDBGEWDXDUJZJVKVAWBXFFWCCOZVTVSXHWACFHKVBVCWBXDWC
      CFVTVSXDWCSWAXDFGHIXGVDVCVEVFMWDCFXDBVGVHWBMFBAWQVIVLWBWMDWEWBWIWENWKWLLA
      BCWIEFGHIJKVJVMVNWKWHDWEWDWLWJWGAWIWDCVOVPVQVR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Monoid of endofunctions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  <HTML>
  According to Wikipedia ("Endomorphism", 25-Jan-2024,
  ~ https://en.wikipedia.org/wiki/Endomorphism ) "An endofunction is a function
  whose domain is equal to its codomain.".  An endofunction is sometimes also
  called "self-mapping" (see ~ https://www.wikidata.org/wiki/Q1691962 ) or
  "self-map" (see ~ https://mathworld.wolfram.com/Self-Map.html), in German
  "Selbstabbildung" (see ~ https://de.wikipedia.org/wiki/Selbstabbildung ).
  </HTML>

$)

  $c EndoFMnd $.

  $( Extend class notation to include the class of monoids of endofunctions. $)
  cefmnd $a class EndoFMnd $.

  ${
    $d b f g x $.
    $( Define the monoid of endofunctions on set ` x ` .  We represent the
       monoid as the set of functions from ` x ` to itself ( ` ( x ^m x ) ` )
       under function composition, and topologize it as a function space
       assuming the set is discrete.  Analogous to the former definition of
       ` SymGrp ` , see ~ df-symg and ~ symgvalstruct .  (Contributed by AV,
       25-Jan-2024.) $)
    df-efmnd $a |- EndoFMnd = ( x e. _V |-> [_ ( x ^m x ) / b ]_
      { <. ( Base ` ndx ) , b >. ,
        <. ( +g ` ndx ) , ( f e. b , g e. b |-> ( f o. g ) ) >. ,
        <. ( TopSet ` ndx ) , ( Xt_ ` ( x X. { ~P x } ) ) >. } ) $.
  $}

  ${
    $d a b f g A $.  $d a b B $.  $d a b J $.  $d a b .+ $.
    efmnd.1 $e |- G = ( EndoFMnd ` A ) $.
    efmnd.2 $e |- B = ( A ^m A ) $.
    efmnd.3 $e |- .+ = ( f e. B , g e. B |-> ( f o. g ) ) $.
    efmnd.4 $e |- J = ( Xt_ ` ( A X. { ~P A } ) ) $.
    $( The monoid of endofunctions on set ` A ` .  (Contributed by AV,
       25-Jan-2024.) $)
    efmnd $p |- ( A e. V -> G = { <. ( Base ` ndx ) , B >. ,
                    <. ( +g ` ndx ) , .+ >. , <. ( TopSet ` ndx ) , J >. } ) $=
      ( va vb cfv cnx cop wceq cv cmap wcel cefmnd cbs cplusg cts ctp elex ccom
      cvv co cmpo cpw csn cxp cpt csb ovexd wa oveq12d eqtr4di sylan9eqr opeq2d
      eqidd mpoeq123dv simpl pweq sneqd adantr xpeq12d fveq2d tpeq123d df-efmnd
      id csbied tpex fvmpt syl eqtrid ) AHUAZFAUBOZPUCOZBQZPUDOZCQZPUEOZGQZUFZI
      VSAUIUAVTWGRAHUGMANMSZWHTUJZWANSZQZWCDEWJWJDSESUHZUKZQZWEWHWHULZUMZUNZUOO
      ZQZUFZUPWGUIUBWHARZNWIWTWGUIXAWHWHTUQXAWJWIRZURZWKWBWNWDWSWFXCWJBWAXBXAWJ
      WIBXBVMXAWIAATUJBXAWHAWHATXAVMZXDUSJUTVAZVBXCWMCWCXCWMDEBBWLUKCXCDEWJWJWL
      BBWLXEXEXCWLVCVDKUTVBXCWRGWEXCWRAAULZUMZUNZUOOGXCWQXHUOXCWHAWPXGXAXBVEXAW
      PXGRXBXAWOXFWHAVFVGVHVIVJLUTVBVKVNMDENVLWBWDWFVOVPVQVR $.
  $}

  ${
    $d A f g $.
    efmndbas.g $e |- G = ( EndoFMnd ` A ) $.
    efmndbas.b $e |- B = ( Base ` G ) $.
    $( The base set of the monoid of endofunctions on class ` A ` .
       (Contributed by AV, 25-Jan-2024.) $)
    efmndbas $p |- B = ( A ^m A ) $=
      ( vf vg cbs cfv cmap cvv wcel wceq cnx cop cv eqid fveq2d c0 cefmnd efmnd
      co cplusg ccom cmpo cts cpw csn cxp cpt ctp ovex topgrpbas mp1i eqtr4d wn
      base0 reldmmap ovprc1 fvprc eqtrid 3eqtr4a pm2.61i eqtr4i ) BCHIZAAJUBZEA
      KLZVFVEMVGVFNHIVFONUCIFGVFVFFPGPUDUEZONUFIAAUGUHUIUJIZOUKZHIZVEVFKLVFVKMV
      GAAJULVFVHVIVJKVJQUMUNVGCVJHAVFVHFGCVIKDVFQVHQVIQUARUOVGUPZSSHIVFVEUQAAJU
      RUSVLCSHVLCATISDATUTVARVBVCVD $.

    $( The base set of the monoid of endofunctions on class ` A ` is the set of
       functions from ` A ` into itself.  (Contributed by AV, 29-Mar-2024.) $)
    efmndbasabf $p |- B = { f | f : A --> A } $=
      ( cvv wcel cv wf cab wceq cmap co efmndbas eqtrid c0 cbs cfv cefmnd base0
      mapvalg anidms wn eqcomi fvprc fveq2d mapprc 3eqtr4a pm2.61i ) AGHZBAACIJ
      CKZLUKBAAMNZULABDEFOUKUMULLAAGGCUBUCPUKUDZQRSZQBULQUOUAUEUNBDRSUOFUNDQRUN
      DATSQEATUFPUGPAACUHUIUJ $.

    $( Two ways of saying a function is a mapping of ` A ` to itself.
       (Contributed by AV, 27-Jan-2024.) $)
    elefmndbas $p |- ( A e. V -> ( F e. B <-> F : A --> A ) ) $=
      ( wcel cmap co wf efmndbas eleq2i id elmapd syl5bb ) CBHCAAIJZHAEHZAACKBQ
      CABDFGLMRAACEERNZSOP $.

    $d F f $.
    $( Two ways of saying a function is a mapping of ` A ` to itself.
       (Contributed by AV, 27-Jan-2024.)  (Proof shortened by AV,
       29-Mar-2024.) $)
    elefmndbas2 $p |- ( F e. V -> ( F e. B <-> F : A --> A ) ) $=
      ( vf wcel cv wf cab wceq efmndbasabf a1i eleq2d feq1 eqid elab2g bitrd )
      CEIZCBICAAHJZKZHLZIAACKZUABUDCBUDMUAABHDFGNOPUCUEHCUDEAAUBCQUDRST $.

    $( Elements in the monoid of endofunctions on ` A ` are functions from
       ` A ` into itself.  (Contributed by AV, 27-Jan-2024.) $)
    efmndbasf $p |- ( F e. B -> F : A --> A ) $=
      ( wcel wf elefmndbas2 ibi ) CBGAACHABCDBEFIJ $.

    $( The monoid of endofunctions on ` n ` objects has cardinality ` n ^ n ` .
       (Contributed by AV, 27-Jan-2024.) $)
    efmndhash $p |- ( A e. Fin -> ( # ` B ) = ( ( # ` A ) ^ ( # ` A ) ) ) $=
      ( cfn wcel chash cfv cmap co cexp wceq efmndbas a1i fveq2d hashmap anidms
      eqtrd ) AFGZBHIAAJKZHIZAHIZUCLKZTBUAHBUAMTABCDENOPTUBUDMAAQRS $.

    $( The monoid of endofunctions on a finite set ` A ` is finite.
       (Contributed by AV, 27-Jan-2024.) $)
    efmndbasfi $p |- ( A e. Fin -> B e. Fin ) $=
      ( cfn wcel cmap co efmndbas mapfi anidms eqeltrid ) AFGZBAAHIZFABCDEJNOFG
      AAKLM $.

    $( The function value of an endofunction.  (Contributed by AV,
       27-Jan-2024.) $)
    efmndfv $p |- ( ( F e. B /\ X e. A ) -> ( F ` X ) e. A ) $=
      ( wcel efmndbasf ffvelrnda ) CBHAAECABCDFGIJ $.
  $}

  ${
    $d A f g $.
    efmndtset.g $e |- G = ( EndoFMnd ` A ) $.
    $( The topology of the monoid of endofunctions on ` A ` .  This component
       is defined on a larger set than the true base - the product topology is
       defined on the set of all functions, not just endofunctions - but the
       definition of ` TopOpen ` ensures that it is trimmed down before it gets
       use.  (Contributed by AV, 25-Jan-2024.) $)
    efmndtset $p |- ( A e. V -> ( Xt_ ` ( A X. { ~P A } ) )
                                = ( TopSet ` G ) ) $=
      ( vf vg wcel cpw csn cxp cpt cfv cnx cbs cmap cop cv cts cvv eqid co ccom
      cplusg cmpo ctp wceq fvex topgrptset ax-mp efmnd fveq2d eqtr4id ) ACGZAAH
      IJZKLZMNLAAOUAZPMUCLEFUPUPEQFQUBUDZPMRLUOPUEZRLZBRLUOSGUOUSUFUNKUGUPUQUOU
      RSURTUHUIUMBURRAUPUQEFBUOCDUPTUQTUOTUJUKUL $.

    $d B f g $.
    efmndplusg.b $e |- B = ( Base ` G ) $.
    efmndplusg.p $e |- .+ = ( +g ` G ) $.
    $( The group operation of a monoid of endofunctions is the function
       composition.  (Contributed by AV, 27-Jan-2024.) $)
    efmndplusg $p |- .+ = ( f e. B , g e. B |-> ( f o. g ) ) $=
      ( cvv wceq cplusg cfv cnx cbs cop eqid fveq2d 3eqtr4g c0 wcel cv ccom cts
      cmpo cpw csn cxp cpt ctp efmndbas efmnd fvexi mpoex topgrpplusg wn cefmnd
      ax-mp fvprc eqtrid plusgid str0 wo base0 olcd 0mpo0 syl eqtr4d pm2.61i )
      AJUAZCDEBBDUBEUBUCZUEZKVJFLMZNOMBPNLMZVLPNUDMAAUFUGUHUIMZPUJZLMZCVLVJFVPL
      ABVLDEFVOJGABFGHUKVLQVOQULRIVLJUAVLVQKDEBBVKBFOHUMZVRUNBVLVOVPJVPQUOURSVJ
      UPZCTVLVSVMTLMCTVSFTLVSFAUQMTGAUQUSUTZRILVNVAVBSVSBTKZWAVCVLTKVSWAWAVSFOM
      TOMBTVSFTOVTRHVDSVEDEBBVKVFVGVHVI $.

    $d X f g $.  $d Y f g $.
    $( The value of the group operation of the monoid of endofunctions on
       ` A ` .  (Contributed by AV, 27-Jan-2024.) $)
    efmndov $p |- ( ( X e. B /\ Y e. B ) -> ( X .+ Y ) = ( X o. Y ) ) $=
      ( vf vg wcel ccom cvv co wceq coexg cv coeq1 coeq2 efmndplusg mpd3an3
      ovmpog ) EBLFBLEFMZNLEFCOUDPEFBBQJKEFBBJRZKRZMUDCEUFMNUEEUFSUFFETABCJKDGH
      IUAUCUB $.

    $( The group operation of the monoid of endofunctions on ` A ` is closed.
       (Contributed by AV, 27-Jan-2024.) $)
    efmndcl $p |- ( ( X e. B /\ Y e. B ) -> ( X .+ Y ) e. B ) $=
      ( wcel wa co ccom efmndov wf efmndbasf fco syl2an cvv wb coexg syl mpbird
      elefmndbas2 eqeltrd ) EBJZFBJZKZEFCLEFMZBABCDEFGHINUHUIBJZAAUIOZUFAAEOAAF
      OUKUGABEDGHPABFDGHPAAAEFQRUHUISJUJUKTEFBBUAABUIDSGHUDUBUCUE $.
  $}

  ${
    efmndtopn.g $e |- G = ( EndoFMnd ` X ) $.
    efmndtopn.b $e |- B = ( Base ` G ) $.
    $( The topology of the monoid of endofunctions on ` A ` .  (Contributed by
       AV, 31-Jan-2024.) $)
    efmndtopn $p |- ( X e. V -> ( ( Xt_ ` ( X X. { ~P X } ) ) |`t B )
                                = ( TopOpen ` G ) ) $=
      ( wcel cpw csn cxp cpt cfv crest cts ctopn efmndtset oveq1d eqid topnval
      co eqtrdi ) DCGZDDHIJKLZAMTBNLZAMTBOLUBUCUDAMDBCEPQAUDBFUDRSUA $.
  $}

  ${
    $d B x y $.  $d X x y $.  $d Y x y $.  $d Z y $.  $d .+ x y $.
    symggrplem.c $e |- ( ( x e. B /\ y e. B ) -> ( x .+ y ) e. B ) $.
    symggrplem.p $e |- ( ( x e. B /\ y e. B ) -> ( x .+ y ) = ( x o. y ) ) $.
    $( Lemma for ~ symggrp and ~ efmndsgrp .  Conditions for an operation to be
       associative.  Formerly part of proof for ~ symggrp .  (Contributed by
       AV, 28-Jan-2024.) $)
    symggrplem $p |- ( ( X e. B /\ Y e. B /\ Z e. B )
                         -> ( ( X .+ Y ) .+ Z ) = ( X .+ ( Y .+ Z ) ) ) $=
      ( wcel ccom co wceq oveq1 eleq1d oveq2 vtocl2ga coeq1 eqeq12d coeq2 coass
      w3a cv stoic3 3adant3 coeq1d eqtrd simp1 3adant1 syl2anc coeq2d 3eqtr4a )
      ECJZFCJZGCJZUBZEFKZGKZEFGKZKZEFDLZGDLZEFGDLZDLZEFGUAUPVBVAGKZURUMUNVACJZU
      OVBVEMZAUCZBUCZDLZCJZEVIDLZCJVFABEFCCVHEMZVJVLCVHEVIDNZOVIFMZVLVACVIFEDPZ
      OHQVJVHVIKZMZVAVIDLZVAVIKZMVGABVAGCCVHVAMVJVSVQVTVHVAVIDNVHVAVIRSVIGMZVSV
      BVTVEVIGVADPVIGVATSIQUDUPVAUQGUMUNVAUQMZUOVRVLEVIKZMZWBABEFCCVMVJVLVQWCVN
      VHEVIRSZVOVLVAWCUQVPVIFETSIQUEUFUGUPVDEVCKZUTUPUMVCCJZVDWFMZUMUNUOUHUNUOW
      GUMVKFVIDLZCJWGABFGCCVHFMZVJWICVHFVIDNZOWAWIVCCVIGFDPZOHQUIVRWDWHABEVCCCW
      EVIVCMVLVDWCWFVIVCEDPVIVCETSIQUJUPVCUSEUNUOVCUSMZUMVRWIFVIKZMWMABFGCCWJVJ
      WIVQWNWKVHFVIRSWAWIVCWNUSWLVIGFTSIQUIUKUGUL $.
  $}

  ${
    $d G f g $.
    efmndmgm.g $e |- G = ( EndoFMnd ` A ) $.
    $( The monoid of endofunctions on a class ` A ` is a magma.  (Contributed
       by AV, 28-Jan-2024.) $)
    efmndmgm $p |- G e. Mgm $=
      ( vf vg cmgm wcel cv cplusg cfv co cbs wral eqid efmndcl rgen2 cvv cefmnd
      wb fvexi ismgm ax-mp mpbir ) BFGZDHZEHZBIJZKBLJZGZEUHMDUHMZUIDEUHUHAUHUGB
      UEUFCUHNZUGNZOPBQGUDUJSBARCTDEUHBQUGUKULUAUBUC $.

    $d G f g h x y $.
    $( The monoid of endofunctions on a class ` A ` is a semigroup.
       (Contributed by AV, 28-Jan-2024.) $)
    efmndsgrp $p |- G e. Smgrp $=
      ( vf vg vh vx vy csgrp wcel cmgm cv cplusg cfv co wceq wral efmndmgm eqid
      cbs efmndcl efmndov symggrplem rgen3 issgrp mpbir2an ) BIJBKJDLZELZBMNZOF
      LZUIOUGUHUJUIOUIOPZFBTNZQEULQDULQABCRUKDEFULULULGHULUIUGUHUJAULUIBGLZHLZC
      ULSZUISZUAAULUIBUMUNCUOUPUBUCUDDEFULBUIUOUPUEUF $.
  $}

  ${
    ielefmnd.g $e |- G = ( EndoFMnd ` A ) $.
    $( The identity function restricted to a set ` A ` is an element of the
       base set of the monoid of endofunctions on ` A ` .  (Contributed by AV,
       27-Jan-2024.) $)
    ielefmnd $p |- ( A e. V -> ( _I |` A ) e. ( Base ` G ) ) $=
      ( wcel cid cres cbs cfv wf wf1o f1oi f1of ax-mp eqid elefmndbas mpbiri )
      ACEFAGZBHIZEAARJZAARKTALAARMNASRBCDSOPQ $.

    $d A f $.  $d G f $.  $d V f $.
    $( The identity function restricted to a set ` A ` is the identity element
       of the monoid of endofunctions on ` A ` .  (Contributed by AV,
       25-Jan-2024.) $)
    efmndid $p |- ( A e. V -> ( _I |` A ) = ( 0g ` G ) ) $=
      ( vf wcel cbs cfv cplusg cid cres c0g eqid wa ccom wceq efmndov syl eqtrd
      co ielefmnd cv sylan wf efmndbasf adantl fcoi2 anim1ci fcoi1 ismgmid2 ) A
      CFZEBGHZBIHZJAKZBBLHZULMZUOMUMMZABCDUAZUKEUBZULFZNZUNUSUMTZUNUSOZUSUKUNUL
      FZUTVBVCPURAULUMBUNUSDUPUQQUCVAAAUSUDZVCUSPUTVEUKAULUSBDUPUEUFZAAUSUGRSVA
      USUNUMTZUSUNOZUSVAUTVDNVGVHPUKVDUTURUHAULUMBUSUNDUPUQQRVAVEVHUSPVFAAUSUIR
      SUJ $.

    $d A i $.  $d G i $.  $d V i $.  $d f i $.
    $( The monoid of endofunctions on a set ` A ` is actually a monoid.
       (Contributed by AV, 31-Jan-2024.) $)
    efmndmnd $p |- ( A e. V -> G e. Mnd ) $=
      ( vi vf wcel cv cfv wceq wral eqeq1d anbi12d adantl ccom eqid syl efmndov
      co wa csgrp cplusg cbs wrex cmnd efmndsgrp a1i cid cres ielefmnd wb oveq1
      oveq2 ralbidv wf efmndbasf fcoi2 fcoi1 jca sylan anim1ci mpbird ralrimiva
      rspcedvd ismnddef sylanbrc ) ACGZBUAGZEHZFHZBUBIZSZVJJZVJVIVKSZVJJZTZFBUC
      IZKZEVQUDBUEGVHVGABDUFUGVGVRUHAUIZVJVKSZVJJZVJVSVKSZVJJZTZFVQKZEVSVQABCDU
      JZVIVSJZVRWEUKVGWGVPWDFVQWGVMWAVOWCWGVLVTVJVIVSVJVKULLWGVNWBVJVIVSVJVKUML
      MUNNVGWDFVQVGVJVQGZTZWDVSVJOZVJJZVJVSOZVJJZTZWIAAVJUOZWNWHWOVGAVQVJBDVQPZ
      UPNWOWKWMAAVJUQAAVJURUSQWIWAWKWCWMWIVTWJVJVGVSVQGZWHVTWJJWFAVQVKBVSVJDWPV
      KPZRUTLWIWBWLVJWIWHWQTWBWLJVGWQWHWFVAAVQVKBVJVSDWPWRRQLMVBVCVDVQVKEBFWPWR
      VEVF $.
  $}

  $( Even the monoid of endofunctions on the empty set is actually a monoid.
     (Contributed by AV, 31-Jan-2024.) $)
  efmnd0nmnd $p |- ( EndoFMnd ` (/) ) e. Mnd $=
    ( c0 cvv wcel cefmnd cfv cmnd 0ex eqid efmndmnd ax-mp ) ABCADEZFCGAKBKHIJ
    $.

  $( The base set of the monoid of endofunctions on the empty set is the
     singleton containing the empty set.  (Contributed by AV, 27-Jan-2024.)
     (Proof shortened by AV, 31-Mar-2024.) $)
  efmndbas0 $p |- ( Base ` ( EndoFMnd ` (/) ) ) = { (/) } $=
    ( c0 cefmnd cfv cbs cmap co csn eqid efmndbas 0map0sn0 eqtri ) ABCZDCZAAEFA
    GAMLLHMHIJK $.

  ${
    efmnd1bas.1 $e |- G = ( EndoFMnd ` A ) $.
    efmnd1bas.2 $e |- B = ( Base ` G ) $.
    ${
      efmnd1bas.0 $e |- A = { I } $.
      $( The monoid of endofunctions on a singleton has cardinality ` 1 ` .
         (Contributed by AV, 27-Jan-2024.) $)
      efmnd1hash $p |- ( I e. V -> ( # ` B ) = 1 ) $=
        ( wcel chash cfv cexp co c1 cfn wceq csn snfi ax-mp eqtrid efmndhash cz
        eqeltri fveq2i hashsng oveq12d 1z 1exp eqtrdi ) DEIZBJKZAJKZULLMZNAOIUK
        UMPADQZOHDRUCABCFGUASUJUMNNLMZNUJULNULNLUJULUNJKNAUNJHUDDEUETZUPUFNUBIU
        ONPUGNUHSUIT $.

      $d A p $.  $d I p $.  $d V p $.
      $( The monoid of endofunctions on a singleton consists of the identity
         only.  (Contributed by AV, 31-Jan-2024.) $)
      efmnd1bas $p |- ( I e. V -> B = { { <. I , I >. } } ) $=
        ( vp wcel csn cmap co cop cefmnd cfv fveq2i eqtri efmndbas cv wceq fsng
        wf wb anidms snex elmap velsn 3bitr4g eqrdv eqtrid ) DEJZBDKZUMLMZDDNKZ
        KZUMBCCAOPUMOPFAUMOHQRGSULIUNUPULUMUMITZUCZUQUOUAZUQUNJUQUPJULURUSUDDDE
        EUQUBUEUMUMUQDUFZUTUGIUOUHUIUJUK $.
    $}

    ${
      efmnd2bas.0 $e |- A = { I , J } $.
      $( The monoid of endofunctions on a (proper) pair has cardinality ` 4 ` .
         (Contributed by AV, 18-Feb-2024.) $)
      efmnd2hash $p |- ( ( I e. V /\ J e. W /\ I =/= J ) -> ( # ` B ) = 4 ) $=
        ( wcel w3a chash cfv cexp co c4 cfn wceq c2 wne eqeltri efmndhash ax-mp
        cpr prfi fveq2i cvv elex id 3anim123i hashprb eqtrid oveq12d sq2 eqtrdi
        sylib ) DFKZEGKZDEUAZLZBMNZAMNZVCOPZQARKVBVDSADEUEZRJDEUFUBABCHIUCUDVAV
        DTTOPQVAVCTVCTOVAVCVEMNZTAVEMJUGVADUHKZEUHKZUTLVFTSURVGUSVHUTUTDFUIEGUI
        UTUJUKDEULUQUMZVIUNUOUPUM $.
$(
      @( The monoid of endofunctions on a pair consists of the identity, the
         transposition and two mappings to the same element.  (Contributed by
         AV, 18-Feb-2024.) @)
      efmnd2bas @p |- ( ( I e. V /\ J e. W )
                       -> B = ( { { <. I , I >. , <. J , J >. } ,
                                { <. I , J >. , <. J , I >. } } u.
                                { { <. I , I >. , <. J , I >. } ,
                                { <. I , J >. , <. J , J >. } } ) ) @=
        ? @.
$)
    $}
  $}

  ${
    $d A f g $.  $d B f g $.  $d F f g $.
    submefmnd.g $e |- M = ( EndoFMnd ` A ) $.
    submefmnd.b $e |- B = ( Base ` M ) $.
    submefmnd.0 $e |- .0. = ( 0g ` M ) $.
    submefmnd.c $e |- F = ( Base ` S ) $.
    $( If the base set of a monoid is contained in the base set of the monoid
       of endofunctions on a set ` A ` , contains the identity function and has
       the function composition as group operation, then its base set is a
       submonoid of the monoid of endofunctions on set ` A ` .  Analogous to
       ~ pgrpsubgsymg .  (Contributed by AV, 17-Feb-2024.) $)
    submefmnd $p |- ( A e. V -> ( ( ( S e. Mnd /\ F C_ B /\ .0. e. F )
                           /\ ( +g ` S ) = ( f e. F , g e. F |-> ( f o. g ) ) )
                                                  -> F e. ( SubMnd ` M ) ) ) $=
      ( wcel cmnd w3a cplusg cfv wceq wa wss cv ccom cmpo csubmnd cres efmndmnd
      simpl1 anim12i simpl2 simpl3 resmpo anidms eqid efmndplusg eqcomi reseq1i
      cxp simpr eqtr3di 3ad2ant2 adantr eqtrd 3jca adantl mndissubm sylc ex ) A
      HNZCONZFBUAZIFNZPZCQRZDEFFDUBEUBUCZUDZSZTZFGUERNZVIVRTGONZVJTVKVLVNGQRZFF
      URZUFZSZPZVSVIVTVRVJAGHJUGVJVKVLVQUHUIVRWEVIVRVKVLWDVJVKVLVQUJVJVKVLVQUKV
      RVNVPWCVMVQUSVMVPWCSZVQVKVJWFVLVKDEBBVOUDZWBUFZVPWCVKWHVPSDEBBFFVOULUMWGW
      AWBWAWGABWADEGJKWAUNUOUPUQUTVAVBVCVDVEBFGCIKMLVFVGVH $.
  $}

  ${
    $d A h x y $.  $d M x y $.  $d V x y $.
    sursubmefmnd.m $e |- M = ( EndoFMnd ` A ) $.
    $( The set of surjective endofunctions on a set ` A ` is a submonoid of the
       monoid of endofunctions on ` A ` .  (Contributed by AV, 25-Feb-2024.) $)
    sursubmefmnd $p |- ( A e. V
                         -> { h | h : A -onto-> A } e. ( SubMnd ` M ) ) $=
      ( vx vy wcel cv wfo cfv wral vex foeq1 elab wf fof eqid elefmndbas wa cab
      csubmnd cbs wss c0g cplusg co syl5ibr syl5bi cid cres efmndid cvv resiexg
      ssrdv wf1o f1oi f1ofo mp1i eqeltrrd anbi12i ccom foco adantl wceq anim12i
      elabd anbi12d imp efmndov syl eleq1d coex bitrdi mpbird ex ralrimivv cmnd
      w3a wb efmndmnd issubm mpbir3and ) ADHZAABIZJZBUAZCUBKHZWGCUCKZUDZCUEKZWG
      HZFIZGIZCUFKZUGZWGHZGWGLFWGLZWDFWGWIWMWGHZAAWMJZWDWMWIHZWFWTBWMFMZAAWEWMN
      OZWTXAWDAAWMPZAAWMQZAWIWMCDEWIRZSZUHUIUOWDUJAUKZWKWGACDEULWDWFAAXHJZBXHUM
      ADUNAAXHUPXIWDAUQAAXHURUSAAWEXHNVGUTWDWQFGWGWGWSWNWGHZTWTAAWNJZTZWDWQWSWT
      XJXKXCWFXKBWNGMZAAWEWNNOVAWDXLWQWDXLTZWQAAWMWNVBZJZXLXPWDAAAWMWNVCVDXNWQX
      OWGHXPXNWPXOWGXNXAWNWIHZTZWPXOVEWDXLXRXLXRWDXDAAWNPZTWTXDXKXSXEAAWNQVFWDX
      AXDXQXSXGAWIWNCDEXFSVHUHVIAWIWOCWMWNEXFWORZVJVKVLWFXPBXOWMWNXBXMVMAAWEXON
      OVNVOVPUIVQWDCVRHWHWJWLWRVSVTACDEWAFGWIWOWGCWKXFWKRXTWBVKWC $.

    $( The set of injective endofunctions on a set ` A ` is a submonoid of the
       monoid of endofunctions on ` A ` .  (Contributed by AV, 25-Feb-2024.) $)
    injsubmefmnd $p |- ( A e. V
                         -> { h | h : A -1-1-> A } e. ( SubMnd ` M ) ) $=
      ( vx vy wcel cv wf1 cfv wral vex f1eq1 elab wf f1f eqid elefmndbas wa cab
      csubmnd cbs wss c0g cplusg co syl5ibr syl5bi cid cres efmndid cvv resiexg
      ssrdv wf1o f1oi f1of1 mp1i eqeltrrd anbi12i ccom f1co adantl wceq anim12i
      elabd anbi12d imp efmndov syl eleq1d coex bitrdi mpbird ex ralrimivv cmnd
      w3a wb efmndmnd issubm mpbir3and ) ADHZAABIZJZBUAZCUBKHZWGCUCKZUDZCUEKZWG
      HZFIZGIZCUFKZUGZWGHZGWGLFWGLZWDFWGWIWMWGHZAAWMJZWDWMWIHZWFWTBWMFMZAAWEWMN
      OZWTXAWDAAWMPZAAWMQZAWIWMCDEWIRZSZUHUIUOWDUJAUKZWKWGACDEULWDWFAAXHJZBXHUM
      ADUNAAXHUPXIWDAUQAAXHURUSAAWEXHNVGUTWDWQFGWGWGWSWNWGHZTWTAAWNJZTZWDWQWSWT
      XJXKXCWFXKBWNGMZAAWEWNNOVAWDXLWQWDXLTZWQAAWMWNVBZJZXLXPWDAAAWMWNVCVDXNWQX
      OWGHXPXNWPXOWGXNXAWNWIHZTZWPXOVEWDXLXRXLXRWDXDAAWNPZTWTXDXKXSXEAAWNQVFWDX
      AXDXQXSXGAWIWNCDEXFSVHUHVIAWIWOCWMWNEXFWORZVJVKVLWFXPBXOWMWNXBXMVMAAWEXON
      OVNVOVPUIVQWDCVRHWHWJWLWRVSVTACDEWAFGWIWOWGCWKXFWKRXTWBVKWC $.
  $}

  ${
    idressubmefmnd.g $e |- G = ( EndoFMnd ` A ) $.
    $( The singleton containing only the identity function restricted to a set
       is a submonoid of the monoid of endofunctions on this set.  (Contributed
       by AV, 17-Feb-2024.) $)
    idressubmefmnd $p |- ( A e. V -> { ( _I |` A ) } e. ( SubMnd ` G ) ) $=
      ( wcel cid cres csn c0g cfv csubmnd efmndid sneqd cmnd efmndmnd 0subm syl
      eqid eqeltrd ) ACEZFAGZHBIJZHZBKJZTUAUBABCDLMTBNEUCUDEABCDOBUBUBRPQS $.

    idresefmnd.e $e |- E = ( G |`s { ( _I |` A ) } ) $.
    $( The structure with the singleton containing only the identity function
       restricted to a set ` A ` as base set and the function composition as
       group operation, constructed by (structure) restricting the monoid of
       endofunctions on ` A ` to that singleton, is a monoid whose base set is
       a subset of the base set of the monoid of endofunctions on ` A ` .
       (Contributed by AV, 17-Feb-2024.) $)
    idresefmnd $p |- ( A e. V
                       -> ( E e. Mnd /\ ( Base ` E ) C_ ( Base ` G ) ) ) $=
      ( wcel cid cres csn csubmnd cfv cmnd cbs wss idressubmefmnd c0g eqid cvv
      wa cress co w3a efmndmnd issubm2 syl cin wceq snex ressbas mp1i eqsstrrdi
      wb inss2 eqcomi eleq1i biimpi 3ad2ant3 anim12ci ex sylbid mpd ) ADGZHAIZJ
      ZCKLGZBMGZBNLZCNLZOZTZACDEPVCVFVEVIOZCQLZVEGZCVEUAUBZMGZUCZVKVCCMGVFVQUMA
      CDEUDVIVEVOCVMVIRZVMRVORUEUFVCVQVKVCVJVQVGVCVHVEVIUGZVIVESGVSVHUHVCVDUIVE
      VIBSCFVRUJUKVEVIUNULVPVLVGVNVPVGVOBMBVOFUOUPUQURUSUTVAVB $.
  $}

  ${
    smndex1ibas.m $e |- M = ( EndoFMnd ` NN0 ) $.
    smndex1ibas.n $e |- N e. NN $.
    smndex1ibas.i $e |- I = ( x e. NN0 |-> ( x mod N ) ) $.
    $( The modulo function ` I ` is an endofunction on ` NN0 ` .  (Contributed
       by AV, 12-Feb-2024.) $)
    smndex1ibas $p |- I e. ( Base ` M ) $=
      ( cn0 cv cmo co cmpt cmap cbs cfv wcel wf eqid nn0z nn0ex a1i fmpti elmap
      cn zmodcld mpbir efmndbas 3eltr4i ) AHAIZDJKZLZHHMKZBCNOZUKULPHHUKQAHHUJU
      KUKRUIHPZUIDUISDUDPUNFUAUEUBHHUKTTUCUFGHUMCEUMRUGUH $.

    $d N x y $.
    $( The modulo function ` I ` is idempotent.  (Contributed by AV,
       12-Feb-2024.) $)
    smndex1iidm $p |- ( I o. I ) = I $=
      ( vy cn0 cv cmo co cmpt ccom wcel wceq ax-mp oveq1 wa a1i cr crp nn0re cn
      nnrp modabs2 sylancl eqcomd mpteq2ia cbvmptv cz nn0z anim2i ancomd zmodcl
      eqtri syl fmptco 3eqtr4ri ) HIHJZDKLZMZHIVADKLZMZBBBNZHIVAVCUTIOZVCVAVFUT
      UAODUBOZVCVAPUTUCDUDOZVGFDUEQUTDUFUGUHUIBAIAJZDKLZMZVBGAHIVJVAVIUTDKRUJUP
      ZVHVEVDPFVHHAIIVAVJVCBBVHVFSZUTUKOZVHSVAIOVMVHVNVFVNVHUTULUMUNUTDUOUQBVBP
      VHVLTBVKPVHGTVIVADKRURQUS $.

    $d K n x $.  $d N n $.
    smndex1ibas.g $e |- G = ( n e. ( 0 ..^ N ) |-> ( x e. NN0 |-> n ) ) $.
    $( The constant functions ` ( G `` K ) ` are endofunctions on ` NN0 ` .
       (Contributed by AV, 12-Feb-2024.) $)
    smndex1gbas $p |- ( K e. ( 0 ..^ N ) -> ( G ` K ) e. ( Base ` M ) ) $=
      ( co wcel cn0 cmpt cfv cv nn0ex wceq a1i cc0 cfzo cmap cbs wf wral adantr
      elfzonn0 ralrimiva eqid fmpt sylib elmap sylibr cvv mpteq2dv adantl mptex
      id fvmptd efmndbas 3eltr4d ) EUAGUBLZMZANEOZNNUCLZECPFUDPZVDNNVEUEZVEVFMV
      DENMZANUFVHVDVIANVDVIAQNMEGUHUGUIANNEVEVEUJUKULNNVERRUMUNVDBEANBQZOZVEVCC
      UOCBVCVKOSVDKTVJESZVKVESVDVLANVJEVLUSUPUQVDUSVEUOMVDANERURTUTVGVFSVDNVGFH
      VGUJVATVB $.

    $d F x y $.  $d G y $.  $d K n y $.  $d M x y $.
    $( The composition of a constant function ` ( G `` K ) ` with another
       endofunction on ` NN0 ` results in ` ( G `` K ) ` itself.  (Contributed
       by AV, 14-Feb-2024.) $)
    smndex1gid $p |- ( ( F e. ( Base ` M ) /\ K e. ( 0 ..^ N ) )
                       -> ( ( G ` K ) o. F ) = ( G ` K ) ) $=
      ( vy cfv wcel cn0 cmpt wceq cvv adantl cbs cc0 cfzo co wa cv a1i mpteq2dv
      ccom id nn0ex mptex fvmptd adantr eqidd wi eqid efmndbasf ffvelrn syl imp
      wf simplr mpteq2dva smndex1gbas fcompt syl2anr weq cbvmptv eqtrdi 3eqtr4d
      ex ) CGUANZOZFUBHUCUDZOZUEZMPMUFZCNZFDNZNZQZMPFQZVTCUIZVTVQMPWAFVQVRPOZUE
      ZAVSFFPVTVOVQVTAPFQZRZWEVPWHVNVPBFAPBUFZQZWGVODSDBVOWJQRVPLUGZWIFRZWJWGRV
      PWLAPWIFWLUJUHZTVPUJZWGSOVPAPFUKULUGUMTUNWFAUFVSRUEFUOVQWEVSPOZVNWEWOUPZV
      PVNPPCVBZWPPVMCGIVMUQZURZWQWEWOPPVRCUSVLUTUNVAVNVPWEVCUMVDVPPPVTVBZWQWDWB
      RVNVPVTVMOWTABDEFGHIJKLVEPVMVTGIWRURUTWSMVTCPPPVFVGVPVTWCRVNVPBFWJWCVODSW
      KWLWJWCRVPWLWJWGWCWMAMPFFAMVHFUOVIVJTWNWCSOVPMPFUKULUGUMTVK $.

    $( The composition of the modulo function ` I ` and a constant function
       ` ( G `` K ) ` results in ` ( G `` K ) ` itself.  (Contributed by AV,
       14-Feb-2024.) $)
    smndex1igid $p |- ( K e. ( 0 ..^ N ) -> ( I o. ( G ` K ) ) = ( G ` K ) ) $=
      ( co wcel cn0 cmpt ccom csn cxp wceq cmo cc0 cfzo fconstmpt eqcomi coeq2d
      cfv a1i cv simpl mpteq2dva nn0ex mptex fvmpt oveq1 zmodidfzoimp sylan9eqr
      elfzonn0 fvmptd2 eqcomd sneqd xpeq2d eqtrdi ovex fcoconst sylancr 3eqtr4d
      wfn fnmpti ) EUAGUBLZMZDANEOZPDNEQZRZPZDECUFZPVOVJVKVMDVKVMSVJVMVKANEUCUD
      ZUGUEVJVOVKDBEANBUHZOVKVICVQESZANVQEVRAUHZNMUIUJKANEUKULUMZUEVJVMNEDUFZQZ
      RZVOVNVJVLWBNVJEWAVJWAEVJAEVSGTLZENDNJVSESVJWDEGTLEVSEGTUNEGUOUPEGUQZWEUR
      USUTVAVJVOVKVMVTVPVBVJDNVGENMVNWCSANWDDVSGTVCJVHWEDNNEVDVEVFVF $.

    $d B b $.  $d G k n $.  $d M b k n $.  $d N k x $.
    smndex1mgm.b $e |- B = ( { I } u. U_ n e. ( 0 ..^ N ) { ( G ` n ) } ) $.
    $( The modulo function ` I ` and the constant functions ` ( G `` K ) ` are
       endofunctions on ` NN0 ` .  (Contributed by AV, 12-Feb-2024.) $)
    smndex1basss $p |- B C_ ( Base ` M ) $=
      ( vb vk cfv cv wcel wceq csn wo cbs cc0 cfzo co wrex ciun cun fveq2 sneqd
      eleq2i cbviunv uneq2i bitri velsn eliun orbi12i 3bitri smndex1ibas mpbiri
      eleq1 wa smndex1gbas adantr wb elsni eleq1d adantl mpbird rexlimiva sylbi
      elun jaoi ssriv ) MBFUAOZMPZBQZVOERZVONPZDOZSZQZNUBGUCUDZUEZTZVOVNQZVPVOE
      SZNWBVTUFZUGZQZVOWFQZVOWGQZTWDVPVOWFCWBCPZDOZSZUFZUGZQWIBWPVOLUJWPWHVOWOW
      GWFCNWBWNVTWLVRRWMVSWLVRDUHUIUKULUJUMVOWFWGVKWJVQWKWCMEUNNVOWBVTUOUPUQVQW
      EWCVQWEEVNQAEFGHIJURVOEVNUTUSWAWENWBVRWBQZWAVAWEVSVNQZWQWRWAACDEVRFGHIJKV
      BVCWAWEWRVDWQWAVOVSVNVOVSVEVFVGVHVIVLVJVM $.

    smndex1mgm.s $e |- S = ( M |`s B ) $.
    $( The base set of the monoid of endofunctions on ` NN0 ` restricted to the
       modulo function ` I ` and the constant functions ` ( G `` K ) ` .
       (Contributed by AV, 12-Feb-2024.) $)
    smndex1bas $p |- ( Base ` S ) = B $=
      ( cbs cfv wceq cvv csn cc0 cin wss smndex1basss dfss mpbi wcel cfzo co cv
      ciun cun snex ovex iunex unex eqeltri eqid ressbas ax-mp eqtr2i ) BBGOPZU
      AZCOPZBVAUBBVBQABDEFGHIJKLMUCBVAUDUEBRUFVBVCQBFSZDTHUGUHZDUIEPZSZUJZUKRMV
      DVHFULDVEVGTHUGUMVFULUNUOUPBVACRGNVAUQURUSUT $.

    $d a b m n $.  $d B a $.  $d G m n x $.  $d I k n x $.  $d M a k $.
    $d N k m $.  $d S a b $.
    $( The monoid of endofunctions on ` NN0 ` restricted to the modulo function
       ` I ` and the constant functions ` ( G `` K ) ` is a magma.
       (Contributed by AV, 14-Feb-2024.) $)
    smndex1mgm $p |- S e. Mgm $=
      ( va vb vk wcel wa wceq vm cmgm cplusg cfv wral ccom cbs wss smndex1basss
      cv co wi ssel anim12d ax-mp cn0 eqid efmndov syl cfzo wrex wo simpl simpr
      cc0 coeq12d smndex1iidm eqtrdi simpll smndex1igid ad2antlr eqtrd reximdva
      orcd ex imp olcd jaod smndex1ibas smndex1gid expcom fveq2 eqeq2d cbvrexvw
      mpan simpllr smndex1gbas sylan ad4ant13 rexlimiva syl5bi jaoi ciun eleq2i
      csn cun sneqd cbviunv uneq2i bitri elun velsn eliun rexbii orbi12i 3bitri
      anbi12i vex coex elsn 3imtr4i eqeltrd rgen2 cvv wb cress ovexi smndex1bas
      eqcomi fvexi ressplusg ismgm mpbir ) CUBRZOUJZPUJZGUCUDZUKZBRZPBUEOBUEZYI
      OPBBYEBRZYFBRZSZYHYEYFUFZBYMYEGUGUDZRZYFYORZSZYHYNTBYOUHZYMYRULABDEFGHIJK
      LMUIYSYKYPYLYQBYOYEUMBYOYFUMUNUOUPYOYGGYEYFIYOUQYGUQZURUSYEFTZYEQUJZEUDZT
      ZQVEHUTUKZVAZVBZYFFTZYFUUCTZQUUEVAZVBZSYNFTZYNUUCTZQUUEVAZVBZYMYNBRZUUGUU
      KUUOUUAUUKUUOULUUFUUAUUHUUOUUJUUAUUHUUOUUAUUHSZUULUUNUUQYNFFUFFUUQYEFYFFU
      UAUUHVCUUAUUHVDVFAFGHIJKVGVHVNVOUUAUUJUUOUUAUUJSUUNUULUUAUUJUUNUUAUUIUUMQ
      UUEUUAUUBUUERZSZUUIUUMUUSUUISZYNFUUCUFZUUCUUTYEFYFUUCUUAUURUUIVIUUSUUIVDV
      FUURUVAUUCTUUAUUIADEFUUBGHIJKLVJVKVLVOVMVPVQVOVRUUFUUHUUOUUJUUHUUFUUOUUHU
      UFSUUNUULUUHUUFUUNUUHUUDUUMQUUEUUHUURSZUUDUUMUVBUUDSZYNUUCFUFZUUCUVCYEUUC
      YFFUVBUUDVDUUHUURUUDVIVFUURUVDUUCTZUUHUUDFYORUURUVEAFGHIJKVSADFEFUUBGHIJK
      LVTWEVKVLVOVMVPVQWAUUJYFUAUJZEUDZTZUAUUEVAZUUFUUOUUIUVHQUAUUEUUBUVFTUUCUV
      GYFUUBUVFEWBWCWDUVIUUFUUOUVIUUFSUUNUULUVIUUFUUNUVHUUFUUNULUAUUEUVFUUERZUV
      HSZUUDUUMQUUEUVKUURSZUUDUUMUVLUUDSZYNUUCUVGUFZUUCUVMYEUUCYFUVGUVLUUDVDUVJ
      UVHUURUUDWFVFUVJUURUVNUUCTZUVHUUDUVJUVGYORUURUVOADEFUVFGHIJKLWGADUVGEFUUB
      GHIJKLVTWHWIVLVOVMWJVPVQWAWKVRWLVPYKUUGYLUUKYKYEFWOZQUUEUUCWOZWMZWPZRZYEU
      VPRZYEUVRRZVBUUGYKYEUVPDUUEDUJZEUDZWOZWMZWPZRUVTBUWGYEMWNUWGUVSYEUWFUVRUV
      PDQUUEUWEUVQUWCUUBTUWDUUCUWCUUBEWBWQWRWSZWNWTYEUVPUVRXAUWAUUAUWBUUFOFXBUW
      BYEUVQRZQUUEVAUUFQYEUUEUVQXCUWIUUDQUUEOUUCXBXDWTXEXFYLYFUVSRZYFUVPRZYFUVR
      RZVBUUKYLYFUWGRUWJBUWGYFMWNUWGUVSYFUWHWNWTYFUVPUVRXAUWKUUHUWLUUJPFXBUWLYF
      UVQRZQUUEVAUUJQYFUUEUVQXCUWMUUIQUUEPUUCXBXDWTXEXFXGUUPYNUVSRZYNUVPRZYNUVR
      RZVBUUOUUPYNUWGRUWNBUWGYNMWNUWGUVSYNUWHWNWTYNUVPUVRXAUWOUULUWPUUNYNFYEYFO
      XHPXHXIZXJUWPYNUVQRZQUUEVAUUNQYNUUEUVQXCUWRUUMQUUEYNUUCUWQXJXDWTXEXFXKXLX
      MCXNRYDYJXOCGBXPNXQOPBCXNYGCUGUDBABCDEFGHIJKLMNXRXSZBXNRYGCUCUDTBCUGUWSXT
      BYGGCXNNYTYAUOYBUOYC $.

    $d S a b c x y $.
    $( The monoid of endofunctions on ` NN0 ` restricted to the modulo function
       ` I ` and the constant functions ` ( G `` K ) ` is a semigroup.
       (Contributed by AV, 14-Feb-2024.) $)
    smndex1sgrp $p |- S e. Smgrp $=
      ( va vb wcel cv cfv co vc csgrp cmgm cplusg wceq cbs wral smndex1mgm eqid
      vy mgmcl mp3an1 wa ccom cvv csn cc0 cfzo ciun cun snex ovex iunex eqeltri
      unex ressplusg ax-mp eqcomi oveqi wi smndex1bas smndex1basss eqsstri ssel
      wss anim12d cn0 efmndov syl eqtrid symggrplem rgen3 issgrp mpbir2an ) CUB
      QCUCQZORZPRZCUDSZTUARZWHTWFWGWIWHTWHTUEZUACUFSZUGPWKUGOWKUGABCDEFGHIJKLMN
      UHZWJOPUAWKWKWKAUJWKWHWFWGWIWEARZWKQZUJRZWKQZWMWOWHTZWKQWLWKCWMWOWHWKUIZW
      HUIZUKULWNWPUMZWQWMWOGUDSZTZWMWOUNZWHXAWMWOXAWHBUOQXAWHUEBFUPZDUQHURTZDRE
      SZUPZUSZUTUOMXDXHFVADXEXGUQHURVBXFVAVCVEVDBXAGCUONXAUIZVFVGVHVIWTWMGUFSZQ
      ZWOXJQZUMZXBXCUEWKXJVOZWTXMVJWKBXJABCDEFGHIJKLMNVKABDEFGHIJKLMVLVMXNWNXKW
      PXLWKXJWMVNWKXJWOVNVPVGVQXJXAGWMWOIXJUIXIVRVSVTWAWBOPUAWKCWHWRWSWCWD $.

    $d X n k $.
    $( Lemma for ~ smndex1mnd and ~ smndex1id .  (Contributed by AV,
       16-Feb-2024.) $)
    smndex1mndlem $p |- ( X e. B -> ( ( I o. X ) = X /\ ( X o. I ) = X ) ) $=
      ( vk ccom wceq csn wcel wa cc0 cfzo co cv cfv ciun elun elsni smndex1iidm
      cun wo coeq2 3eqtr4a coeq1 jca syl wrex eliun fveq2 sneqd eleq2d cbvrexvw
      id wi smndex1igid cbs smndex1ibas smndex1gid mpan eqeq12d anbi12d syl5ibr
      impcom rexlimiva sylbi jaoi eleq2s ) FIQZIRZIFQZIRZUAZIFSZDUBHUCUDZDUEZEU
      FZSZUGZUKZBIWJTIWDTZIWITZULWCIWDWIUHWKWCWLWKIFRZWCIFUIWMVTWBWMFFQZFVSIAFG
      HJKLUJZIFFUMWMVDZUNWMWNFWAIWOIFFUOWPUNUPUQWLIWHTZDWEURZWCDIWEWHUSWRIPUEZE
      UFZSZTZPWEURWCWQXBDPWEWFWSRZWHXAIXCWGWTWFWSEUTVAVBVCXBWCPWEXBWSWETZWCXBIW
      TRZXDWCVEIWTUIXDWCXEFWTQZWTRZWTFQZWTRZUAXDXGXIADEFWSGHJKLMVFFGVGUFTXDXIAF
      GHJKLVHADFEFWSGHJKLMVIVJUPXEVTXGWBXIXEVSXFIWTIWTFUMXEVDZVKXEWAXHIWTIWTFUO
      XJVKVLVMUQVNVOVPVPVQVPNVR $.

    $d I a b $.
    $( The monoid of endofunctions on ` NN0 ` restricted to the modulo function
       ` I ` and the constant functions ` ( G `` K ) ` is a monoid.
       (Contributed by AV, 16-Feb-2024.) $)
    smndex1mnd $p |- S e. Mnd $=
      ( va vb wcel cfv co wceq cmnd csgrp cplusg wral wrex smndex1sgrp ccom csn
      cv wa cc0 cfzo ciun cun cn0 cmo cmpt nn0ex mptex eqeltri snid elun1 ax-mp
      cvv eleqtrri id wb coeq1 eqeq1d anbi12d ralbidv adantl smndex1mndlem rgen
      coeq2 a1i rspcedvd cbs wss smndex1basss ssel anim12d eqid snex ovex iunex
      wi unex ressplusg eqcomi efmndov oveqi ancoms eqtrid syl ralbidva rexbiia
      mpbir smndex1bas ismnddef mpbir2an ) CUAQCUBQOUIZPUIZCUCRZSZXCTZXCXBXDSZX
      CTZUJZPBUDZOBUEZABCDEFGHIJKLMNUFXKXBXCUGZXCTZXCXBUGZXCTZUJZPBUDZOBUEZFBQZ
      XRFFUHZDUKHULSZDUIERZUHZUMZUNZBFXTQFYEQFFAUOAUIHUPSZUQVDKAUOYFURUSUTVAFXT
      YDVBVCMVEXSXQFXCUGZXCTZXCFUGZXCTZUJZPBUDZOFBXSVFXBFTZXQYLVGXSYMXPYKPBYMXM
      YHXOYJYMXLYGXCXBFXCVHVIYMXNYIXCXBFXCVOVIVJVKVLYLXSYKPBABCDEFGHXCIJKLMNVMV
      NVPVQVCXJXQOBXBBQZXIXPPBYNXCBQZUJZXBGVRRZQZXCYQQZUJZXIXPVGBYQVSZYPYTWGABD
      EFGHIJKLMVTUUAYNYRYOYSBYQXBWABYQXCWAWBVCYTXFXMXHXOYTXEXLXCUOYQXDGXBXCIYQW
      CZGUCRZXDBVDQUUCXDTBYEVDMXTYDFWDDYAYCUKHULWEYBWDWFWHUTBUUCGCVDNUUCWCZWIVC
      WJZWKVIYTXGXNXCYTXGXCXBUUCSZXNXDUUCXCXBUUEWLYSYRUUFXNTUOYQUUCGXCXBIUUBUUD
      WKWMWNVIVJWOWPWQWRBXDOCPCVRRBABCDEFGHIJKLMNWSWJXDWCWTXA $.

    $( The modulo function ` I ` is the identity of the monoid of endofunctions
       on ` NN0 ` restricted to the modulo function ` I ` and the constant
       functions ` ( G `` K ) ` .  (Contributed by AV, 16-Feb-2024.) $)
    smndex1id $p |- I = ( 0g ` S ) $=
      ( wcel cfv wceq co cn0 cvv va c0g csn cc0 cfzo cv ciun cun cmo cmpt nn0ex
      mptex eqeltri snid elun1 ax-mp eleqtrri cplusg cbs smndex1bas eqcomi snex
      a1i ovex iunex unex eqid ressplusg mp1i id smndex1ibas smndex1basss sseli
      wa efmndov syl2an smndex1mndlem simpld adantl eqtrd syl2anr simprd grpidd
      ccom ) FBOZFCUBPQFFUCZDUDHUERZDUFEPZUCZUGZUHZBFWFOFWKOFFASAUFHUIRZUJTKASW
      LUKULUMUNFWFWJUOUPMUQWEUABGURPZCFBCUSPZQWEWNBABCDEFGHIJKLMNUTVAVCBTOWMCUR
      PQWEBWKTMWFWJFVBDWGWIUDHUEVDWHVBVEVFUMBWMGCTNWMVGZVHVIWEVJWEUAUFZBOZVNZFW
      PWMRZFWPWDZWPWEFGUSPZOZWPXAOZWSWTQWQXBWEAFGHIJKVKVCZBXAWPABDEFGHIJKLMVLVM
      ZSXAWMGFWPIXAVGZWOVOVPWQWTWPQZWEWQXGWPFWDZWPQZABCDEFGHWPIJKLMNVQZVRVSVTWR
      WPFWMRZXHWPWQXCXBXKXHQWEXEXDSXAWMGWPFIXFWOVOWAWQXIWEWQXGXIXJWBVSVTWCUP $.

    $( The identity of the monoid ` M ` of endofunctions on set ` NN0 ` is not
       contained in the base set of the constructed monoid ` S ` .
       (Contributed by AV, 17-Feb-2024.) $)
    smndex1n0mnd $p |- ( 0g ` M ) e/ B $=
      ( cfv wcel cn0 wceq cc0 cvv c0g cid cres cv cfzo co wrex wo wral wn nnnn0
      cn fveq2 ax-mp fvresi eqtrdi eqeq12d notbid adantl nnne0 neneqd cmo oveq1
      wb crp nnrp modid0 syl sylan9eqr c0ex fvmptd2 eqeq2d mtbird rspcedvd mpbi
      a1i rexnal wfn fnresi ovex fnmpti eqfnfv mp2an mtbir fzonel eqcoms mtbiri
      eleq1 con2i cmpt nn0ex mptex fvmpt2 mpan2 wa eqidd id fvmptd sylib fneq1d
      vex eqid mpbiri sylancr nrex pm3.2ni csn ciun efmndid eqcomi eleq12i elun
      cun resiexg elsn eliun rexbii bitri orbi12i nelir ) GUAOZBYABPZUBQUCZFRZY
      CDUDZEOZRZDSHUEUFZUGZUHZYDYIYDAUDZYCOZYKFOZRZAQUIZYNUJZAQUGZYOUJHULPZYQJY
      RYPHHFOZRZUJZAHQHUKZYKHRZYPUUAVDYRUUCYNYTUUCYLHYMYSUUCYLHYCOZHYKHYCUMHQPZ
      UUDHRYRUUEJUUBUNZQHUOUNUPZYKHFUMUQURUSYRYTHSRYRHSHUTVAYRYSSHYRAHYKHVBUFZS
      QFTKUUCYRUUHHHVBUFZSYKHHVBVCYRHVEPUUISRHVFHVGVHVIUUBSTPYRVJVPVKVLVMVNUNYN
      AQVQVOYCQVRZFQVRYDYOVDQVSZAQUUHFYKHVBVTKWAAQYCFWBWCWDYGDYHYEYHPZYGYLYKYFO
      ZRZAQUIZUULUUNUJZAQUGUUOUJUULUUPHHYFOZRZUJZAHQUUEUULUUFVPZUUCUUPUUSVDUULU
      UCUUNUURUUCYLHUUMUUQUUGYKHYFUMUQURUSUULUURHYERZUVAUULUVAUULHYHPZSHWEUULUV
      BVDYEHYEHYHWHWFWGWIUULUUQYEHUULAHYEYEQYFYHUULAQYEWJZTPYFUVCRAQYEWKWLDYHUV
      CTELWMWNZUULUUCWOYEWPUUTUULWQWRVLVMVNUUNAQVQWSUULUUJYFQVRZYGUUOVDUUKUULUV
      EUVCQVRAQYEUVCDXAUVCXBWAUULQYFUVCUVDWTXCAQYCYFWBXDVMXEXFYBYCFXGZDYHYFXGZX
      HZXMZPZYJYAYCBUVIYCYAQTPZYCYARWKQGTIXIUNXJMXKUVJYCUVFPZYCUVHPZUHYJYCUVFUV
      HXLUVLYDUVMYIYCFUVKYCTPWKQTXNUNZXOUVMYCUVGPZDYHUGYIDYCYHUVGXPUVOYGDYHYCYF
      UVNXOXQXRXSXRXRWDXT $.

    $( The base set ` B ` of the constructed monoid ` S ` is not a submonoid of
       the monoid ` M ` of endofunctions on set ` NN0 ` , although ` M e. Mnd `
       and ` S e. Mnd ` and ` B C_ ( Base `` M ) ` hold.  (Contributed by AV,
       17-Feb-2024.) $)
    nsmndex1 $p |- B e/ ( SubMnd ` M ) $=
      ( cfv wcel cmnd wa intnan eqid csubmnd cress co cbs wss smndex1n0mnd neli
      c0g issubmndb mtbir nelir ) BGUAOZBULPGQPGBUBUCQPRZBGUDOZUEZGUHOZBPZRZRUR
      UMUQUOUPBABCDEFGHIJKLMNUFUGSSUNBGUPUNTUPTUIUJUK $.
  $}

  ${
    smndex2dbas.m $e |- M = ( EndoFMnd ` NN0 ) $.
    smndex2dbas.b $e |- B = ( Base ` M ) $.
    smndex2dbas.0 $e |- .0. = ( 0g ` M ) $.
    smndex2dbas.d $e |- D = ( x e. NN0 |-> ( 2 x. x ) ) $.
    $( The doubling function ` D ` is an endofunction on ` NN0 ` .
       (Contributed by AV, 18-Feb-2024.) $)
    smndex2dbas $p |- D e. B $=
      ( wcel cn0 wf c2 cv cmul co 2nn0 a1i id cvv nn0mulcld fmpti wb cmpt nn0ex
      mptex eqeltri elefmndbas2 ax-mp mpbir ) CBJZKKCLZAKKMANZOPZCIUMKJZMUMMKJU
      OQRUOSUAUBCTJUKULUCCAKUNUDTIAKUNUEUFUGKBCDTFGUHUIUJ $.

    $d x y $.
    $( The doubling function ` D ` has no right inverse in the monoid of
       endofunctions on ` NN0 ` .  (Contributed by AV, 18-Feb-2024.) $)
    smndex2dnrinv $p |- A. f e. B ( D o. f ) =/= .0. $=
      ( vy cv wceq wn wcel cn0 co wa c1 cc0 ccom wral df-ne ralbii wf efmndbasf
      wne wfo wfn crn wo c2 cmul wrex cab wss 1nn0 caddc cz nn0z 0zd zneo 2t0e0
      syl2anc oveq1i 0p1e1 eqtri a1i neeqtrd necomd nrex 1ex eqeq1 rexbidv elab
      neneqd mtbir nelss mp2an intnan eqss rnmpt eqeq1i ianor df-fo xchnxbir wi
      olci mpbir smndex2dbas cid cres simpl adantl c0g cfv nn0ex efmndid eqtr4i
      cvv ax-mp eqeq2i biimpi fcofo syl3anc ex mp2b mtand syl mprgbir ) CDLZUAZ
      FUGZDBUBXLFMZNZDBXMXODBXLFUCUDXKBOPPXKUEZXOPBXKEGHUFXPXNPPCUHZXQNZXPXRCPU
      IZNZCUJZPMZNZUKZYCXTYBKLZULALZUMQZMZAPUNZKUOZPMZYKYJPUPZPYJUPZRYMYLSPOSYJ
      OZNYMNUQYNSYGMZAPUNZYOAPYFPOZSYGYQYGSYQYGULTUMQZSURQZSYQYFUSOTUSOYGYSUGYF
      UTYQVAYFTVBVDYSSMYQYSTSURQSYRTSURVCVEVFVGVHVIVJVPVKYIYPKSVLYESMYHYOAPYESY
      GVMVNVOVQSPYJVRVSVTYJPWAVQYAYJPAKPYGCJWBWCVQWHXSYBRYDXQXSYBWDPPCWEWFWIVHC
      BOPPCUEZXPXNRZXQWGABCEFGHIJWJPBCEGHUFYTUUAXQYTUUARYTXPXLWKPWLZMZXQYTUUAWM
      UUAXPYTXPXNWMWNUUAUUCYTXNUUCXPXNUUCFUUBXLFEWOWPZUUBIPWTOUUBUUDMWQPEWTGWRX
      AWSXBXCWNWNPPXKCXDXEXFXGXHXIXJ $.

    smndex2hbas.n $e |- N e. NN0 $.
    smndex2hbas.h $e |- H = ( x e. NN0 |-> if ( 2 || x , ( x / 2 ) , N ) ) $.
    $( The halving functions ` H ` are endofunctions on ` NN0 ` .  (Contributed
       by AV, 18-Feb-2024.) $)
    smndex2hbas $p |- H e. B $=
      ( wcel cn0 wf c2 cv cdvds cvv wbr cdiv co cif nn0ehalf wn wa ifclda fmpti
      a1i wb cmpt nn0ex mptex eqeltri elefmndbas2 ax-mp mpbir ) DBNZOODPZAOOQAR
      ZSUAZVAQUBUCZFUDZDMVAONZVBVCFOVAUEFONVEVBUFUGLUJUHUIDTNUSUTUKDAOVDULTMAOV
      DUMUNUOOBDETHIUPUQUR $.

    $d N x y $.
    $( The halving functions ` H ` are left inverses of the doubling function
       ` D ` .  (Contributed by AV, 18-Feb-2024.) $)
    smndex2dlinvh $p |- ( H o. D ) = .0. $=
      ( vy cn0 c2 co cmpt wcel wceq ccom cmul cdvds wbr cdiv cif nn0mulcl oveq2
      cv 2nn0 cbvmptv eqtri a1i breq2 oveq1 ifbieq1d fmptco ax-mp cz nn0z eqidd
      2teven syl2anc iftrued mpteq2ia nn0cn 2cnd cc0 wne 2ne0 divcan3d c0g cres
      cfv cid cvv nn0ex efmndid mptresid 3eqtr2ri ) DCUAZNOPPNUIZUBQZUCUDZWCPUE
      QZFUFZRZGPOSZWAWGTUJWHNAOOWCPAUIZUCUDZWIPUEQZFUFZWFCDPWBUGCNOWCRZTWHCAOPW
      IUBQZRWMKANOWNWCWIWBPUBUHUKULUMDAOWLRTWHMUMWIWCTWJWDWKWEFWIWCPUCUNWIWCPUE
      UOUPUQURWGNOWERZGNOWFWEWBOSZWDWEFWPWBUSSWCWCTWDWBUTWPWCVAWBWCVBVCVDVEWONO
      WBRZGNOWEWBWPWBPWBVFWPVGPVHVIWPVJUMVKVEGEVLVNZVOOVMZWQJOVPSWSWRTVQOEVPHVR
      URNOVSVTULULUL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Examples and counterexamples for magmas, semigroups and monoids
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d M a b $.  $d S a b x y $.
    mgm2nsgrp.s $e |- S = { A , B } $.
    mgm2nsgrp.b $e |- ( Base ` M ) = S $.

    ${
      $d A x y $.  $d B x y $.  $d M x $.
      mgm2nsgrp.o $e |- ( +g ` M ) = ( x e. S , y e. S
                                     |-> if ( ( x = A /\ y = A ) , B , A ) ) $.
      $( Lemma 1 for ~ mgm2nsgrp : ` M ` is a magma, even if ` A = B ` ( ` M `
         is the trivial magma in this case, see ~ mgmb1mgm1 ).  (Contributed by
         AV, 27-Jan-2020.) $)
      mgm2nsgrplem1 $p |- ( ( A e. V /\ B e. W ) -> M e. Mgm ) $=
        ( wcel cmgm cpr prid1g eleqtrrdi prid2g wa cv wceq cbs eqcomi c0 adantr
        cfv wne ne0i simplr simpll opifismgm syl2an ) CGLZCELZDELZFMLDHLZULCCDN
        ZECDGOIPUODUPECDHQIPUMUNRASZCTBSZCTRABEDCFFUAUEEJUBKUMEUCUFUNECUGUDUMUN
        UQELURELRZUHUMUNUSUIUJUK $.

      ${
        $d .o. x y $.
        mgm2nsgrp.p $e |- .o. = ( +g ` M ) $.
        $( Lemma 2 for ~ mgm2nsgrp .  (Contributed by AV, 27-Jan-2020.) $)
        mgm2nsgrplem2 $p |- ( ( A e. V /\ B e. W )
                              -> ( ( A .o. A ) .o. B ) = A ) $=
          ( wcel co wceq eleqtrrdi wa cv cif cpr prid1g prid2g cplusg cfv eqtri
          cmpo a1i wi ifeq1 ifid eqtrdi a1d eqeq1 bicomd notbid biimpac intnand
          wn iffalsed pm2.61i ad2antll iftrue adantl simpl simpr ovmpod eqeltrd
          ex syl2an ) CGNZCENZDENZCCIOZDIOCPDHNZVKCCDUAZECDGUBJQVODVPECDHUCJQVL
          VMRZABVNDEEASZCPZBSZCPZRZDCTZCIEIABEEWCUGZPVQIFUDUEWDMLUFUHZVTDPZWCCP
          ZVQVRVNPDCPZWFWGUIWHWGWFWHWCWBCCTCWBDCCUJWBCUKULUMWHUSZWFWGWIWFRZWBDC
          WJWAVSWFWIWAUSWFWHWAWFWAWHVTDCUNUOUPUQURUTVIVAVBVQVNDEVQABCCEEWCDIEWE
          WBWCDPVQWBDCVCVDVLVMVEZWKVLVMVFZVGWLVHWLWKVGVJ $.

        $( Lemma 3 for ~ mgm2nsgrp .  (Contributed by AV, 28-Jan-2020.) $)
        mgm2nsgrplem3 $p |- ( ( A e. V /\ B e. W )
                              -> ( A .o. ( A .o. B ) ) = B ) $=
          ( wcel co wceq eleqtrrdi wa wi adantl cpr prid1g prid2g cv cif cplusg
          cmpo cfv eqtri a1i simprl simpr ifeq1 ifid eqtrdi eqeq1 biimpcd com12
          a1d wn con3d impcom iffalsed pm2.61i ovmpod sylan9eqr iftrued eqeltrd
          ex simpl jca syl2an ) CGNZCENZDENZCCDIOZIODPDHNZVMCCDUAZECDGUBJQVQDVR
          ECDHUCJQVNVORZABCVPEEAUDCPZBUDZCPZRZDCUEZDIEIABEEWDUGZPVSIFUFUHWEMLUI
          UJZVSVTWAVPPZRZRZWCDCWIVTWBVSVTWGUKWHVSWAVPCVTWGULVSABCDEEWDCIEWFVTWA
          DPZRZWDCPZVSDCPZWKWLSWMWLWKWMWDWCCCUECWCDCCUMWCCUNUOUSWMUTZWKWLWNWKRW
          CDCWKWNWCUTWKWCWMWJWCWMSVTWCWJWMWBWJWMSVTWJWBWMWADCUPUQTURTVAVBVCVIVD
          TVNVOVJZVNVOULZWOVEZVFVKVGWOVSVPCEWQWOVHWPVEVL $.
      $}

      $d M x y $.
      $( Lemma 4 for ~ mgm2nsgrp :  M is not a semigroup.  (Contributed by AV,
         28-Jan-2020.)  (Proof shortened by AV, 31-Jan-2020.) $)
      mgm2nsgrplem4 $p |- ( ( # ` S ) = 2 -> M e/ Smgrp ) $=
        ( chash cfv c2 wceq wcel w3a cplusg co wne syl 3adant3 wnel hashprdifel
        csgrp simp1 simp2 3jca simp3 mgm2nsgrplem2 mgm2nsgrplem3 3netr4d eqcomi
        eqid cbs isnsgrp sylc ) EJKLMZCENZUQDENZOZCCFPKZQDUTQZCCDUTQUTQZRZFUCUA
        UPUQURCDRZOZUSCDEGUBZVEUQUQURUQURVDUDZVGUQURVDUEUFSUPVEVCVFVECDVAVBUQUR
        VDUGUQURVACMVDABCDEFEEUTGHIUTULZUHTUQURVBDMVDABCDEFEEUTGHIVHUITUJSEFCCU
        TDFUMKEHUKVHUNUO $.

      $( A small magma (with two elements) which is not a semigroup.
         (Contributed by AV, 28-Jan-2020.) $)
      mgm2nsgrp $p |- ( ( # ` S ) = 2 -> ( M e. Mgm /\ M e/ Smgrp ) ) $=
        ( chash cfv c2 wceq cmgm wcel csgrp wnel wne w3a hashprdifel 3adant3
        mgm2nsgrplem1 syl mgm2nsgrplem4 jca ) EJKLMZFNOZFPQUFCEOZDEOZCDRZSUGCDE
        GTUHUIUGUJABCDEFEEGHIUBUAUCABCDEFGHIUDUE $.
    $}

    $d A x y $.  $d B x y $.  $d M x $.
    sgrp2nmnd.o $e |- ( +g ` M ) = ( x e. S , y e. S
                                     |-> if ( x = A , A , B ) ) $.
    $( Lemma 1 for ~ sgrp2nmnd : ` M ` is a magma, even if ` A = B ` ( ` M ` is
       the trivial magma in this case, see ~ mgmb1mgm1 ).  (Contributed by AV,
       29-Jan-2020.) $)
    sgrp2nmndlem1 $p |- ( ( A e. V /\ B e. W ) -> M e. Mgm ) $=
      ( wcel cmgm cpr prid1g eleqtrrdi prid2g wa cv wceq cbs cfv eqcomi c0 ne0i
      wne adantr simpll simplr opifismgm syl2an ) CGLZCELZDELZFMLDHLZULCCDNZECD
      GOIPUODUPECDHQIPUMUNRASZCTABECDFFUAUBEJUCKUMEUDUFUNECUEUGUMUNUQELBSELRZUH
      UMUNURUIUJUK $.

    ${
      $d C x y $.
      sgrp2nmnd.p $e |- .o. = ( +g ` M ) $.
      $( Lemma 2 for ~ sgrp2nmnd .  (Contributed by AV, 29-Jan-2020.) $)
      sgrp2nmndlem2 $p |- ( ( A e. S /\ C e. S ) -> ( A .o. C ) = A ) $=
        ( wcel wa cv wceq cif cmpo cplusg cfv eqtri iftrue ad2antrl simpl simpr
        a1i ovmpod ) CFMZEFMZNZABCEFFAOCPZCDQZCHFHABFFULRZPUJHGSTUMLKUAUFUKULCP
        UJBOEPUKCDUBUCUHUIUDZUHUIUEUNUG $.

      $( Lemma 3 for ~ sgrp2nmnd .  (Contributed by AV, 29-Jan-2020.) $)
      sgrp2nmndlem3 $p |- ( ( C e. S /\ B e. S /\ A =/= B )
                            -> ( B .o. C ) = B ) $=
        ( wcel wne w3a cv wceq cif wa wn cplusg cfv eqtri a1i wi df-ne wb eqeq2
        cmpo adantr eqcom bitr3di notbid biimpcd sylbi 3ad2ant3 imp simp2 simp1
        iffalsed ovmpod ) EFMZDFMZCDNZOZABDEFFAPZCQZCDRZDHFHABFFVHUIZQVEHGUAUBV
        ILKUCUDVEVFDQZBPEQZSZSVGCDVEVLVGTZVDVBVLVMUEZVCVDCDQZTZVNCDUFVLVPVMVLVO
        VGVLCVFQZVOVGVJVQVOUGVKVFDCUHUJCVFUKULUMUNUOUPUQUTVBVCVDURZVBVCVDUSVRVA
        $.

      $d V x $.  $d W x $.  $d .o. x y $.
      $( A small semigroup (with two elements) with two right identities which
         are different if ` A =/= B ` .  (Contributed by AV, 10-Feb-2020.) $)
      sgrp2rid2 $p |- ( ( A e. V /\ B e. W )
                        -> A. x e. S A. y e. S ( y .o. x ) = y ) $=
        ( wcel wa co wceq wral eqeq12d oveq2 cpr prid1g eleqtrrdi sgrp2nmndlem2
        cv prid2g simpl syldan wi oveq1 id syl5ib wn simprl simprr neqne adantr
        wne sgrp2nmndlem3 syl3anc ex pm2.61i oveq12d jca31 syl2an raleqi ralprg
        jca syl5bb ralbidv eqeq1d anbi12d bitrd mpbird ) CGNZDHNZOZBUEZAUEZIPZV
        RQZBERZAERZCCIPZCQZDCIPZDQZOZCDIPZCQZDDIPZDQZOZOZVOCENZDENZWNVPVOCCDUAZ
        ECDGUBJUCVPDWQECDHUFJUCWOWPOZWEWGWMWOWPWOWEWOWPUGABCDCEFIJKLMUDUHZCDQZW
        RWGUIWRWEWTWGWSWTWDWFCDCDCIUJWTUKZSULWTUMZWRWGXBWROZWOWPCDURZWGXBWOWPUN
        XBWOWPUOZXBXDWRCDUPUQZABCDCEFIJKLMUSUTVAVBWRWJWLABCDDEFIJKLMUDWTWRWLUIW
        RWEWTWLWSWTWDWKCDWTCDCDIXAXAVCXASULXBWRWLXCWPWPXDWLXEXEXFABCDDEFIJKLMUS
        UTVAVBVHVDVEVQWCCVSIPZCQZDVSIPZDQZOZAERZWNVQWBXKAEWBWABWQRVQXKWABEWQJVF
        WAXHXJBCDGHVRCQZVTXGVRCVRCVSIUJXMUKSVRDQZVTXIVRDVRDVSIUJXNUKSVGVIVJXLXK
        AWQRVQWNXKAEWQJVFXKWHWMACDGHVSCQZXHWEXJWGXOXGWDCVSCCITVKXOXIWFDVSCDITVK
        VLVSDQZXHWJXJWLXPXGWICVSDCITVKXPXIWKDVSDDITVKVLVGVIVMVN $.

      $d A z $.  $d B z $.  $d S z $.  $d .o. x y z $.
      $( A small semigroup (with two elements) with two right identities which
         are different.  (Contributed by AV, 10-Feb-2020.) $)
      sgrp2rid2ex $p |- ( ( # ` S ) = 2 -> E. x e. S E. z e. S A. y e. S
                         ( x =/= z /\ ( y .o. x ) = y /\ ( y .o. z ) = y ) ) $=
        ( wceq wcel wne w3a cv co wral ralbidv chash cfv wrex hashprdifel simp1
        c2 simp2 simpl3 ralrimiva wa sgrp2rid2 wi oveq2 eqeq1d rspcv adantr mpd
        3adant3 adantl r19.26-3 syl3anbrc 3jca neeq1 biidd 3anbi123d neeq2 3syl
        rspc2ev ) FUAUBUFMDFNZEFNZDEOZPZVIVJVKBQZDHRZVMMZVMEHRZVMMZPZBFSZPAQZCQ
        ZOZVMVTHRZVMMZVMWAHRZVMMZPZBFSZCFUCAFUCDEFIUDVLVIVJVSVIVJVKUEVIVJVKUGVL
        VKBFSVOBFSZVQBFSZVSVLVKBFVIVJVKVMFNUHUIVIVJWIVKVIVJUJZWDBFSZAFSZWIABDEF
        GFFHIJKLUKZVIWMWIULVJWLWIADFVTDMZWDVOBFWOWCVNVMVTDVMHUMUNZTUOUPUQURVIVJ
        WJVKWKWMWJWNVJWMWJULVIWLWJAEFVTEMZWDVQBFWQWCVPVMVTEVMHUMUNTUOUSUQURVKVO
        VQBFUTVAVBWHVSDWAOZVOWFPZBFSACDEFFWOWGWSBFWOWBWRWDVOWFWFVTDWAVCWPWOWFVD
        VETWAEMZWSVRBFWTWRVKVOVOWFVQWAEDVFWTVOVDWTWEVPVMWAEVMHUMUNVETVHVG $.
    $}

    $d A a b c $.  $d B a b c $.  $d M c $.
    $( Lemma 4 for ~ sgrp2nmnd :  M is a semigroup.  (Contributed by AV,
       29-Jan-2020.) $)
    sgrp2nmndlem4 $p |- ( ( # ` S ) = 2 -> M e. Smgrp ) $=
      ( vb vc wceq co wral wa oveq1d oveq2d eqeq12d ralprg oveq2 chash cfv cmgm
      va c2 wcel cplusg cpr csgrp wne w3a hashprdifel 3simpa sgrp2nmndlem1 3syl
      cv sgrp2nmndlem2 eqtr4d anidms 3ad2ant1 adantr 3eqtr4rd eqtrd 3adant3 jca
      eqid sgrp2nmndlem3 simp2 syld3an1 jca32 wb oveq1 2ralbidv ralbidv anbi12d
      3bitrd mpbir2and syl cbs eqtr2i issgrp sylanbrc ) EUAUBUELZFUCUFZUDUPZJUP
      ZFUGUBZMZKUPZWGMZWEWFWIWGMZWGMZLZKCDUHZNJWNNZUDWNNZFUIUFWCCEUFZDEUFZCDUJZ
      UKZWQWROZWDCDEGULZWQWRWSUMABCDEFEEGHIUNUOWCWTWPXBWTWPCCWGMZCWGMZCXCWGMZLZ
      XCDWGMZCCDWGMZWGMZLZOZXHCWGMZCDCWGMZWGMZLZXHDWGMZCDDWGMZWGMZLZOZOZXMCWGMZ
      DXCWGMZLZXMDWGMZDXHWGMZLZOZXQCWGMZDXMWGMZLZXQDWGMZDXQWGMZLZOZOZWTXKXOXSWT
      XFXJWQWRXFWSWQXFWQWQOZXDXCXEYQXCCCWGABCDCEFWGGHIWGVFZUQZPYQXCCCWGYSQURUSU
      TWQWRXJWSXAXGXHXIXAXCCDWGWQXCCLZWRWQYTYSUSZVAZPXAXCCXIXHUUBXAXHCCWGABCDDE
      FWGGHIYRUQZQUUCVBVCVDVEWTXHCXNXLWQWRXHCLWSUUCVDZWTXMDCWGABCDCEFWGGHIYRVGZ
      QWTXLXCCWTXHCCWGUUDPWQWRYTWSUUAUTZVCVBWTXHCXRXPUUDWTXQDCWGWRWRWQWSXQDLWQW
      RWSVHZABCDDEFWGGHIYRVGZVIZQWQWRXPCLWSXAXPXHCXAXHCDWGUUCPUUCVCVDVBVJWTYHYK
      YNWTYDYGWTYBXMYCWTXMDCWGUUEPWTXCCDWGUUFQURWTXMDYFYEUUEWTXHCDWGUUDQWTYEXQD
      WTXMDDWGUUEPUUIVCVBVEWTXQDYJYIUUIWTXMDDWGUUEQWTYIXMDWTXQDCWGUUIPUUEVCVBWR
      WRWQWSYNUUGWRWRWSUKZYLXQYMUUJXQDDWGUUHPUUJXQDDWGUUHQURVIVJWQWRWPYAYPOZVKW
      SXAWPCWFWGMZWIWGMZCWKWGMZLZKWNNZJWNNZDWFWGMZWIWGMZDWKWGMZLZKWNNZJWNNZOXCW
      IWGMZCCWIWGMZWGMZLZKWNNZXHWIWGMZCDWIWGMZWGMZLZKWNNZOZXMWIWGMZDUVEWGMZLZKW
      NNZXQWIWGMZDUVJWGMZLZKWNNZOZOUUKWOUUQUVCUDCDEEWECLZWMUUOJKWNWNUWDWJUUMWLU
      UNUWDWHUULWIWGWECWFWGVLPWECWKWGVLRVMWEDLZWMUVAJKWNWNUWEWJUUSWLUUTUWEWHUUR
      WIWGWEDWFWGVLPWEDWKWGVLRVMSXAUUQUVNUVCUWCUUPUVHUVMJCDEEWFCLZUUOUVGKWNUWFU
      UMUVDUUNUVFUWFUULXCWIWGWFCCWGTPUWFWKUVECWGWFCWIWGVLZQRVNWFDLZUUOUVLKWNUWH
      UUMUVIUUNUVKUWHUULXHWIWGWFDCWGTPUWHWKUVJCWGWFDWIWGVLZQRVNSUVBUVRUWBJCDEEU
      WFUVAUVQKWNUWFUUSUVOUUTUVPUWFUURXMWIWGWFCDWGTPUWFWKUVEDWGUWGQRVNUWHUVAUWA
      KWNUWHUUSUVSUUTUVTUWHUURXQWIWGWFDDWGTPUWHWKUVJDWGUWIQRVNSVOXAUVNYAUWCYPXA
      UVHXKUVMXTUVGXFXJKCDEEWICLZUVDXDUVFXEWICXCWGTUWJUVEXCCWGWICCWGTZQRWIDLZUV
      DXGUVFXIWIDXCWGTUWLUVEXHCWGWIDCWGTZQRSUVLXOXSKCDEEUWJUVIXLUVKXNWICXHWGTUW
      JUVJXMCWGWICDWGTZQRUWLUVIXPUVKXRWIDXHWGTUWLUVJXQCWGWIDDWGTZQRSVOXAUVRYHUW
      BYOUVQYDYGKCDEEUWJUVOYBUVPYCWICXMWGTUWJUVEXCDWGUWKQRUWLUVOYEUVPYFWIDXMWGT
      UWLUVEXHDWGUWMQRSUWAYKYNKCDEEUWJUVSYIUVTYJWICXQWGTUWJUVJXMDWGUWNQRUWLUVSY
      LUVTYMWIDXQWGTUWLUVJXQDWGUWOQRSVOVOVPVDVQVRUDJKWNFWGFVSUBEWNHGVTYRWAWB $.

    $d M x y $.
    $( Lemma 5 for ~ sgrp2nmnd :  M is not a monoid.  (Contributed by AV,
       29-Jan-2020.) $)
    sgrp2nmndlem5 $p |- ( ( # ` S ) = 2 -> M e/ Mnd ) $=
      ( cfv wceq wcel wne cv co wrex 3adant3 wb oveq2 neeq12d c2 w3a cplusg cpr
      chash wral cmnd wnel hashprdifel wo eqid sgrp2nmndlem2 simp3 eqnetrd olcd
      id rexprg mpbird wn sgrp2nmndlem3 necom df-ne sylbb 3ad2ant3 adantr eqeq1
      adantl mtbird mpdan neqned orcd oveq1 neeq1d rexbidv ralprg mpbir2and cbs
      wa eqtr2i isnmnd 3syl ) EUEJUAKCELZDELZCDMZUBZANZBNZFUCJZOZWGMZBCDUDZPZAW
      KUFZFUGUHCDEGUIWEWMCWGWHOZWGMZBWKPZDWGWHOZWGMZBWKPZWEWPCCWHOZCMZCDWHOZDMZ
      UJZWEXCXAWEXBCDWBWCXBCKWDABCDDEFWHGHIWHUKZULQWBWCWDUMUNUOWBWCWPXDRWDWOXAX
      CBCDEEWGCKZWNWTWGCWGCCWHSXFUPZTWGDKZWNXBWGDWGDCWHSXHUPZTUQQURWEWSDCWHOZCM
      ZDDWHOZDMZUJZWEXKXMWEXJCWEXJDKZXJCKZUSABCDCEFWHGHIXEUTWEXOVRXPDCKZWEXQUSZ
      XOWDWBXRWCWDDCMXRCDVADCVBVCVDVEXOXPXQRWEXJDCVFVGVHVIVJVKWBWCWSXNRWDWRXKXM
      BCDEEXFWQXJWGCWGCDWHSXGTXHWQXLWGDWGDDWHSXITUQQURWBWCWMWPWSVRRWDWLWPWSACDE
      EWFCKZWJWOBWKXSWIWNWGWFCWGWHVLVMVNWFDKZWJWRBWKXTWIWQWGWFDWGWHVLVMVNVOQVPB
      AWKFWHFVQJEWKHGVSXEVTWA $.

    $( A small semigroup (with two elements) which is not a monoid.
       (Contributed by AV, 26-Jan-2020.) $)
    sgrp2nmnd $p |- ( ( # ` S ) = 2 -> ( M e. Smgrp /\ M e/ Mnd ) ) $=
      ( chash cfv c2 wceq csgrp wcel cmnd wnel sgrp2nmndlem4 sgrp2nmndlem5 jca
      ) EJKLMFNOFPQABCDEFGHIRABCDEFGHIST $.
  $}

  ${
    $d m x y $.  $d u v x y $.
    $( There is a magma which is not a semigroup.  (Contributed by AV,
       29-Jan-2020.) $)
    mgmnsgrpex $p |- E. m e. Mgm m e/ Smgrp $=
      ( vx vy vu vv cc0 c1 cpr cfv wceq cv csgrp wnel cmgm cop wa cif cvv ax-mp
      wcel chash c2 wrex prhash2ex cnx cbs cplusg cmpo c0ex 1ex eqid prex eqeq1
      pm3.2i anbi1d anbi2d cbvmpov opeq2i preq2i grpbase grpplusg mgm2nsgrplem1
      ifbid eqcomi mpoex mp1i wb neleq1 adantl mgm2nsgrplem4 rspcedvd ) FGHZUAI
      UBJZAKZLMZANUCUDVMVOUEUFIVLOZUEUGIZBCVLVLBKZFJZCKZFJZPZGFQZUHZOZHZLMZAWFN
      FRTZGRTZPWFNTVMWHWIUIUJUNDEFGVLWFRRVLUKZVLWFUFIZVLRTVLWKJFGULZVLDEVLVLDKZ
      FJZEKZFJZPZGFQZUHZWFRWEVQWSOVPWDWSVQBCDEVLVLWCWRWNWAPZGFQVRWMJZWBWTGFXAVS
      WNWAVRWMFUMUOVCVTWOJZWTWQGFXBWAWPWNVTWOFUMUPVCUQURUSZUTSVDZWSWFUGIZWSRTWS
      XEJDEVLVLWRWLWLVEVLWSWFRXCVASVDZVBVFVNWFJVOWGVGVMVNWFLVHVIDEFGVLWFWJXDXFV
      JVKS $.

    $( There is a semigroup which is not a monoid.  (Contributed by AV,
       29-Jan-2020.) $)
    sgrpnmndex $p |- E. m e. Smgrp m e/ Mnd $=
      ( vx vy vu vv cc0 c1 cpr cfv wceq cv cmnd wnel csgrp cnx cbs cplusg ax-mp
      cop cvv chash c2 wrex prhash2ex cif cmpo eqid wcel prex eqeq1 ifbid eqidd
      cbvmpov opeq2i preq2i grpbase eqcomi grpplusg sgrp2nmndlem4 neleq1 adantl
      mpoex wb sgrp2nmndlem5 rspcedvd ) FGHZUAIUBJZAKZLMZANUCUDVGVIOPIVFSZOQIZB
      CVFVFBKZFJZFGUEZUFZSZHZLMZAVQNDEFGVFVQVFUGZVFVQPIZVFTUHVFVTJFGUIZVFDEVFVF
      DKZFJZFGUEZUFZVQTVPVKWESVJVOWEVKBCDEVFVFVNWDWDVLWBJVMWCFGVLWBFUJUKCKEKJWD
      ULUMUNUOZUPRUQZWEVQQIZWETUHWEWHJDEVFVFWDWAWAVBVFWEVQTWFURRUQZUSVHVQJVIVRV
      CVGVHVQLUTVADEFGVFVQVSWGWIVDVER $.
  $}

  $( The class of all semigroups is a proper subclass of the class of all
     magmas.  (Contributed by AV, 29-Jan-2020.) $)
  sgrpssmgm $p |- Smgrp C. Mgm $=
    ( vx csgrp cmgm cv wnel wrex wpss sgrpmgm ssriv mgmnsgrpex ssexnelpss mp2an
    wss ) BCMADZBEACFBCGABCNHIAJABCKL $.

  $( The class of all monoids is a proper subclass of the class of all
     semigroups.  (Contributed by AV, 29-Jan-2020.) $)
  mndsssgrp $p |- Mnd C. Smgrp $=
    ( vx cmnd csgrp cv wnel wrex wpss mndsgrp ssriv sgrpnmndex ssexnelpss mp2an
    wss ) BCMADZBEACFBCGABCNHIAJABCKL $.

  ${
    $d A x y $.  $d X x y $.  $d Y x y $.
    pwmnd.b $e |- ( Base ` M ) = ~P A $.
    pwmnd.p $e |- ( +g ` M ) = ( x e. ~P A , y e. ~P A |-> ( x u. y ) ) $.
    $( The operation of the monoid of the power set of a class ` A ` under
       union.  (Contributed by AV, 27-Feb-2024.) $)
    pwmndgplus $p |- ( ( X e. ~P A /\ Y e. ~P A )
                       -> ( X ( +g ` M ) Y ) = ( X u. Y ) ) $=
      ( cpw wcel wa cv cun cplusg cfv cvv cmpo wceq a1i uneq12 adantl ovmpod
      simpl simpr unexg ) ECIZJZFUFJZKZABEFUFUFALZBLZMZEFMZDNOZPUNABUFUFULQRUIH
      SUJERUKFRKULUMRUIUJEUKFTUAUGUHUCUGUHUDEFUFUFUEUB $.

    $d A x y z $.  $d M z $.
    $( The identity of the monoid of the power set of a class ` A ` under union
       is the empty set.  (Contributed by AV, 27-Feb-2024.) $)
    pwmndid $p |- ( 0g ` M ) = (/) $=
      ( vz c0 cpw wcel c0g cfv wceq 0elpw cplusg eqid co cun pwmndgplus eqtrdi
      cbs eqcomi id cv wa 0un ancoms un0 ismgmid2 eqcomd ax-mp ) HCIZJZDKLZHMCN
      UMHUNUMGULDOLZHDUNDUALULEUBUNPUOPUMUCUMGUDZULJZUEZHUPUOQHUPRUPABCDHUPEFSU
      PUFTURUPHUOQZUPHRZUPUQUMUSUTMABCDUPHEFSUGUPUHTUIUJUK $.

    $d A a b c x y $.  $d M a b e $.  $d M c $.
    $( The power set of a class ` A ` is a monoid under union.  (Contributed by
       AV, 27-Feb-2024.) $)
    pwmnd $p |- M e. Mnd $=
      ( va vb vc ve wcel cv co wceq wral wa eleq2i cun pwmndgplus c0 cplusg cfv
      cmnd cbs wrex cpw pwuncl 3eltr4d unass adantr oveq1d sylan adantll oveq2d
      a1i eqtrd simpll jca syl 3eqtr4a ex syl5bi ralrimiv syl2anb rgen2 wex 0ex
      eleq1 oveq1 eqeq1d oveq2 anbi12d ralbidv 0elpw eleqtrri 0un eqtrdi ancoms
      un0 mpan sylbi rgen pm3.2i ceqsexv2d df-rex mpbir eqid ismnd ) DUCKGLZHLZ
      DUAUBZMZDUDUBZKZWLILZWKMZWIWJWOWKMZWKMZNZIWMOZPZHWMOGWMOZJLZWIWKMZWINZWIX
      CWKMZWINZPZGWMOZJWMUEZPXBXJXAGHWMWMWIWMKZWICUFZKZWJXLKZXAWJWMKWMXLWIEQZWM
      XLWJEQXMXNPZWNWTXPWIWJRZXLWLWMWIWJCUGZABCDWIWJEFSZWMXLNXPEUOUHXPWSIWMWOWM
      KWOXLKZXPWSWMXLWOEQXPXTWSXPXTPZXQWORZWIWJWORZRZWPWRWIWJWOUIYAWPXQWOWKMZYB
      YAWLXQWOWKXPWLXQNXTXSUJUKXPXQXLKXTYEYBNXRABCDXQWOEFSULUPYAWRWIYCWKMZYDYAW
      QYCWIWKXNXTWQYCNXMABCDWJWOEFSUMUNYAXMYCXLKZPYFYDNYAXMYGXMXNXTUQXNXTYGXMWJ
      WOCUGUMURABCDWIYCEFSUSUPUTVAVBVCURVDVEXJXCWMKZXIPZJVFYITWMKZTWIWKMZWINZWI
      TWKMZWINZPZGWMOZPJTVGXCTNZYHYJXIYPXCTWMVHYQXHYOGWMYQXEYLXGYNYQXDYKWIXCTWI
      WKVIVJYQXFYMWIXCTWIWKVKVJVLVMVLYJYPTXLWMCVNZEVOYOGWMXKXMYOXOTXLKZXMYOYRYS
      XMPZYLYNYTYKTWIRWIABCDTWIEFSWIVPVQYTYMWITRZWIXMYSYMUUANABCDWITEFSVRWIVSVQ
      URVTWAWBWCWDXIJWMWEWFWCWMWKJDGHIWMWGWKWGWHWF $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Groups
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Grp $.
  $c invg $.
  $c -g $.

  $( Extend class notation with class of all groups. $)
  cgrp $a class Grp $.

  $( Extend class notation with inverse of group element. $)
  cminusg $a class invg $.

  $( Extend class notation with group subtraction (or division) operation. $)
  csg $a class -g $.

  ${
    $d a g m w x y $.
    $( Define class of all groups.  A group is a monoid ( ~ df-mnd ) whose
       internal operation is such that every element admits a left inverse
       (which can be proven to be a two-sided inverse).  Thus, a group ` G ` is
       an algebraic structure formed from a base set of elements (notated
       ` ( Base `` G ) ` per ~ df-base ) and an internal group operation
       (notated ` ( +g `` G ) ` per ~ df-plusg ).  The operation combines any
       two elements of the group base set and must satisfy the 4 group axioms:
       closure (the result of the group operation must always be a member of
       the base set, see ~ grpcl ), associativity (so
       ` ( ( a +g b ) +g c ) = ( a +g ( b +g c ) ) ` for any a, b, c, see
       ~ grpass ), identity (there must be an element ` e = ( 0g `` G ) ` such
       that ` e +g a = a +g e = a ` for any a), and inverse (for each element a
       in the base set, there must be an element ` b = invg a ` in the base set
       such that ` a +g b = b +g a = e ` ).  It can be proven that the identity
       element is unique ( ~ grpideu ).  Groups need not be commutative; a
       commutative group is an Abelian group (see ~ df-abl ).  Subgroups can
       often be formed from groups, see ~ df-subg .  An example of an (Abelian)
       group is the set of complex numbers ` CC ` over the group operation
       ` + ` (addition), as proven in ~ cnaddablx ; an Abelian group is a group
       as proven in ~ ablgrp .  Other structures include groups, including
       unital rings ( ~ df-ring ) and fields ( ~ df-field ).  (Contributed by
       NM, 17-Oct-2012.)  (Revised by Mario Carneiro, 6-Jan-2015.) $)
    df-grp $a |- Grp = { g e. Mnd | A. a e. ( Base ` g ) E. m e. ( Base ` g )
      ( m ( +g ` g ) a ) = ( 0g ` g ) } $.

    $( Define inverse of group element.  (Contributed by NM, 24-Aug-2011.) $)
    df-minusg $a |- invg = ( g e. _V |-> ( x e. ( Base ` g )
  |-> ( iota_ w e. ( Base ` g ) ( w ( +g ` g ) x ) = ( 0g ` g ) ) ) ) $.

    $( Define group subtraction (also called division for multiplicative
       groups).  (Contributed by NM, 31-Mar-2014.) $)
    df-sbg $a |- -g = ( g e. _V |-> ( x e. ( Base ` g ) , y e. ( Base ` g )
  |-> ( x ( +g ` g ) ( ( invg ` g ) ` y ) ) ) ) $.
  $}

  ${
    $d a g m B $.  $d a g m G $.  $d g .+ $.  $d g .0. $.
    isgrp.b $e |- B = ( Base ` G ) $.
    isgrp.p $e |- .+ = ( +g ` G ) $.
    isgrp.z $e |- .0. = ( 0g ` G ) $.
    $( The predicate "is a group".  (This theorem demonstrates the use of
       symbols as variable names, first proposed by FL in 2010.)  (Contributed
       by NM, 17-Oct-2012.)  (Revised by Mario Carneiro, 6-Jan-2015.) $)
    isgrp $p |- ( G e. Grp <->
      ( G e. Mnd /\ A. a e. B E. m e. B ( m .+ a ) = .0. ) ) $=
      ( vg cv cplusg cfv co c0g wceq cbs wrex fveq2 eqtr4di wral cmnd rexeqbidv
      cgrp oveqd eqeq12d raleqbidv df-grp elrab2 ) CKZFKZJKZLMZNZULOMZPZCULQMZR
      ZFUQUAUJUKBNZEPZCARZFAUAJDUBUDULDPZURVAFUQAVBUQDQMAULDQSGTZVBUPUTCUQAVCVB
      UNUSUOEVBUMBUJUKVBUMDLMBULDLSHTUEVBUODOMEULDOSITUFUCUGJCFUHUI $.
  $}

  ${
    $d u x y B $.  $d a m u x y G $.  $d u x .+ $.  $d x y X $.  $d x .0. $.
    $( A group is a monoid.  (Contributed by Mario Carneiro, 6-Jan-2015.) $)
    grpmnd $p |- ( G e. Grp -> G e. Mnd ) $=
      ( vm va cgrp wcel cmnd cv cplusg cfv co c0g wceq cbs wrex wral eqid isgrp
      simplbi ) ADEAFEBGCGAHIZJAKIZLBAMIZNCUAOUASBATCUAPSPTPQR $.

    grpcl.b $e |- B = ( Base ` G ) $.
    grpcl.p $e |- .+ = ( +g ` G ) $.
    $( Closure of the operation of a group.  (Contributed by NM,
       14-Aug-2011.) $)
    grpcl $p |- ( ( G e. Grp /\ X e. B /\ Y e. B ) -> ( X .+ Y ) e. B ) $=
      ( cgrp wcel cmnd co grpmnd mndcl syl3an1 ) CHICJIDAIEAIDEBKAICLABCDEFGMN
      $.

    $( A group operation is associative.  (Contributed by NM, 14-Aug-2011.) $)
    grpass $p |- ( ( G e. Grp /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
              ( ( X .+ Y ) .+ Z ) = ( X .+ ( Y .+ Z ) ) ) $=
      ( cgrp wcel cmnd w3a co wceq grpmnd mndass sylan ) CIJCKJDAJEAJFAJLDEBMFB
      MDEFBMBMNCOABCDEFGHPQ $.

    grpinvex.p $e |- .0. = ( 0g ` G ) $.
    $( Every member of a group has a left inverse.  (Contributed by NM,
       16-Aug-2011.)  (Revised by Mario Carneiro, 6-Jan-2015.) $)
    grpinvex $p |- ( ( G e. Grp /\ X e. B ) -> E. y e. B ( y .+ X ) = .0. ) $=
      ( vx cgrp wcel cv co wceq wrex wral cmnd isgrp simprbi oveq2 eqeq1d sylan
      rexbidv rspccva ) DKLZAMZJMZCNZFOZABPZJBQZEBLUGECNZFOZABPZUFDRLULBCADFJGH
      ISTUKUOJEBUHEOZUJUNABUPUIUMFUHEUGCUAUBUDUEUC $.

    $( The two-sided identity element of a group is unique.  Lemma 2.2.1(a) of
       [Herstein] p. 55.  (Contributed by NM, 16-Aug-2011.)  (Revised by Mario
       Carneiro, 8-Dec-2014.) $)
    grpideu $p |- ( G e. Grp ->
      E! u e. B A. x e. B ( ( u .+ x ) = x /\ ( x .+ u ) = x ) ) $=
      ( cgrp wcel cmnd cv co wceq wa wral wreu grpmnd mndideu syl ) EJKELKBMZAM
      ZDNUCOUCUBDNUCOPACQBCRESABCDEGHTUA $.
  $}

  ${
    grpmndd.1 $e |- ( ph -> G e. Grp ) $.
    $( A group is a monoid.  (Contributed by SN, 1-Jun-2024.) $)
    grpmndd $p |- ( ph -> G e. Mnd ) $=
      ( cgrp wcel cmnd grpmnd syl ) ABDEBFECBGH $.
  $}

  ${
    grpcld.b $e |- B = ( Base ` G ) $.
    grpcld.p $e |- .+ = ( +g ` G ) $.
    grpcld.r $e |- ( ph -> G e. Grp ) $.
    grpcld.x $e |- ( ph -> X e. B ) $.
    grpcld.y $e |- ( ph -> Y e. B ) $.
    $( Closure of the operation of a group.  (Contributed by SN,
       29-Jul-2024.) $)
    grpcld $p |- ( ph -> ( X .+ Y ) e. B ) $=
      ( cgrp wcel co grpcl syl3anc ) ADLMEBMFBMEFCNBMIJKBCDEFGHOP $.
  $}

  ${
    grpplusf.1 $e |- B = ( Base ` G ) $.
    grpplusf.2 $e |- F = ( +f ` G ) $.
    $( The group addition operation is a function.  (Contributed by Mario
       Carneiro, 14-Aug-2015.) $)
    grpplusf $p |- ( G e. Grp -> F : ( B X. B ) --> B ) $=
      ( cgrp wcel cmnd cxp wf grpmnd mndplusf syl ) CFGCHGAAIABJCKABCDELM $.

    $( The group addition operation is a function onto the base set/set of
       group elements.  (Contributed by NM, 30-Oct-2006.)  (Revised by AV,
       30-Aug-2021.) $)
    grpplusfo $p |- ( G e. Grp -> F : ( B X. B ) -onto-> B ) $=
      ( cgrp wcel cmnd cxp wfo grpmnd mndpfo syl ) CFGCHGAAIABJCKABCDELM $.
  $}

  ${
    resgrpplusfrn.b $e |- B = ( Base ` G ) $.
    resgrpplusfrn.h $e |- H = ( G |`s S ) $.
    resgrpplusfrn.o $e |- F = ( +f ` H ) $.
    $( The underlying set of a group operation which is a restriction of a
       structure.  (Contributed by Paul Chapman, 25-Mar-2008.)  (Revised by AV,
       30-Aug-2021.) $)
    resgrpplusfrn $p |- ( ( H e. Grp /\ S C_ B ) -> S = ran F ) $=
      ( cgrp wcel wss wa cxp wfo crn wceq cbs cfv eqid grpplusfo eqidd ressbas2
      adantr adantl sqxpeqd foeq123d mpbird forn eqcomd syl ) EIJZBAKZLZBBMZBCN
      ZBCOZPUMUOEQRZUQMZUQCNZUKUSULUQCEUQSHTUCUMUNURBUQCCUMCUAUMBUQULBUQPUKBAED
      GFUBUDZUEUTUFUGUOUPBUNBCUHUIUJ $.
  $}

  ${
    $d x y B $.  $d x y K $.  $d x y L $.  $d x y ph $.
    grppropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    grppropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    grppropd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    $( If two structures have the same group components (properties), one is a
       group iff the other one is.  (Contributed by Stefan O'Rear,
       27-Nov-2014.)  (Revised by Mario Carneiro, 2-Oct-2015.) $)
    grppropd $p |- ( ph -> ( K e. Grp <-> L e. Grp ) ) $=
      ( cmnd wcel cv cplusg cfv co wceq wrex wral wa eqid c0g cbs cgrp mndpropd
      wb grpidpropd adantr eqeq12d anass1rs rexbidva ralbidva rexeqdv raleqbidv
      3bitr3d anbi12d isgrp 3bitr4g ) AEJKZBLZCLZEMNZOZEUANZPZBEUBNZQZCVERZSFJK
      ZUSUTFMNZOZFUANZPZBFUBNZQZCVMRZSEUCKFUCKAURVHVGVOABCDEFGHIUDAVDBDQZCDRVLB
      DQZCDRVGVOAVPVQCDAUTDKZSVDVLBDAUSDKZVRVDVLUEAVSVRSZSVBVJVCVKIAVCVKPVTABCD
      EFGHIUFUGUHUIUJUKAVPVFCDVEGAVDBDVEGULUMAVQVNCDVMHAVLBDVMHULUMUNUOVEVABEVC
      CVETVATVCTUPVMVIBFVKCVMTVITVKTUPUQ $.
  $}

  ${
    $d x y K $.  $d x y L $.
    grpprop.b $e |- ( Base ` K ) = ( Base ` L ) $.
    grpprop.p $e |- ( +g ` K ) = ( +g ` L ) $.
    $( If two structures have the same group components (properties), one is a
       group iff the other one is.  (Contributed by NM, 11-Oct-2013.) $)
    grpprop $p |- ( K e. Grp <-> L e. Grp ) $=
      ( vx vy cgrp wcel wb wtru cbs cfv eqidd wceq a1i cv cplusg co wa oveqi
      grppropd mptru ) AGHBGHIJEFAKLZABJUCMUCBKLNJCOEPZFPZAQLZRUDUEBQLZRNJUDUCH
      UEUCHSSUFUGUDUEDTOUAUB $.
  $}

  ${
    grppropstr.b $e |- ( Base ` K ) = B $.
    grppropstr.p $e |- ( +g ` K ) = .+ $.
    grppropstr.l $e |- L
          = { <. ( Base ` ndx ) , B >. , <. ( +g ` ndx ) , .+ >. } $.
    $( Generalize a specific 2-element group ` L ` to show that any set ` K `
       with the same (relevant) properties is also a group.  (Contributed by
       NM, 28-Oct-2012.)  (Revised by Mario Carneiro, 6-Jan-2015.) $)
    grppropstr $p |- ( K e. Grp <-> L e. Grp ) $=
      ( cbs cfv cvv wcel wceq fvex eqeltrri grpbase ax-mp eqtri cplusg grpplusg
      grpprop ) CDCHIZADHIZEAJKAUBLUAAJECHMNABDJGOPQCRIZBDRIZFBJKBUDLUCBJFCRMNA
      BDJGSPQT $.
  $}

  ${
    grpss.g $e |- G = { <. ( Base ` ndx ) , B >. , <. ( +g ` ndx ) , .+ >. } $.
    grpss.r $e |- R e. _V $.
    grpss.s $e |- G C_ R $.
    grpss.f $e |- Fun R $.
    $( Show that a structure extending a constructed group (e.g., a ring) is
       also a group.  This allows us to prove that a constructed potential ring
       ` R ` is a group before we know that it is also a ring.  (Theorem
       ~ ringgrp , on the other hand, requires that we know in advance that
       ` R ` is a ring.)  (Contributed by NM, 11-Oct-2013.) $)
    grpss $p |- ( G e. Grp <-> R e. Grp ) $=
      ( cgrp wcel cbs baseid cnx cfv cop cplusg cpr opex eleqtrri strss plusgid
      prid1 prid2 grpprop bicomi ) CIJDIJCDADCKFHGLMKNZAOZUGMPNZBOZQZDUGUIUFARU
      BESTBDCPFHGUAUIUJDUGUIUHBRUCESTUDUE $.
  $}

  ${
    $d x y .+ $.  $d y .0. $.  $d x y B $.  $d x y G $.  $d x y ph $.
    $d y N $.
    isgrpd2.b $e |- ( ph -> B = ( Base ` G ) ) $.
    isgrpd2.p $e |- ( ph -> .+ = ( +g ` G ) ) $.
    isgrpd2.z $e |- ( ph -> .0. = ( 0g ` G ) ) $.
    isgrpd2.g $e |- ( ph -> G e. Mnd ) $.
    ${
      isgrpd2e.n $e |- ( ( ph /\ x e. B ) -> E. y e. B ( y .+ x ) = .0. ) $.
      $( Deduce a group from its properties.  In this version of ~ isgrpd2 , we
         don't assume there is an expression for the inverse of ` x ` .
         (Contributed by NM, 10-Aug-2013.) $)
      isgrpd2e $p |- ( ph -> G e. Grp ) $=
        ( wcel cv cfv co wceq wrex wral eqid cmnd cplusg c0g cbs cgrp ralrimiva
        oveqd eqeq12d rexeqbidv raleqbidv mpbid isgrp sylanbrc ) AFUAMCNZBNZFUB
        OZPZFUCOZQZCFUDOZRZBUTSZFUEMKAUNUOEPZGQZCDRZBDSVBAVEBDLUFAVEVABDUTHAVDU
        SCDUTHAVCUQGURAEUPUNUOIUGJUHUIUJUKUTUPCFURBUTTUPTURTULUM $.
    $}

    isgrpd2.n $e |- ( ( ph /\ x e. B ) -> N e. B ) $.
    isgrpd2.j $e |- ( ( ph /\ x e. B ) -> ( N .+ x ) = .0. ) $.
    $( Deduce a group from its properties. ` N ` (negative) is normally
       dependent on ` x ` i.e. read it as ` N ( x ) ` .  Note: normally we
       don't use a ` ph ` antecedent on hypotheses that name structure
       components, since they can be eliminated with ~ eqid , but we make an
       exception for theorems such as ~ isgrpd2 , ~ ismndd , and ~ islmodd
       since theorems using them often rewrite the structure components.
       (Contributed by NM, 10-Aug-2013.) $)
    isgrpd2 $p |- ( ph -> G e. Grp ) $=
      ( vy cv wcel wa co wceq wrex oveq1 eqeq1d rspcev syl2anc isgrpd2e ) ABNCD
      EGHIJKABOZCPQFCPFUFDRZGSZNOZUFDRZGSZNCTLMUKUHNFCUIFSUJUGGUIFUFDUAUBUCUDUE
      $.
  $}

  ${
    $d x y z .+ $.  $d x y z .0. $.  $d x y z B $.  $d y N $.  $d x y z ph $.
    $d x y z G $.
    isgrpd.b $e |- ( ph -> B = ( Base ` G ) ) $.
    isgrpd.p $e |- ( ph -> .+ = ( +g ` G ) ) $.
    isgrpd.c $e |- ( ( ph /\ x e. B /\ y e. B ) -> ( x .+ y ) e. B ) $.
    isgrpd.a $e |- ( ( ph /\ ( x e. B /\ y e. B /\ z e. B ) ) ->
                   ( ( x .+ y ) .+ z ) = ( x .+ ( y .+ z ) ) ) $.
    isgrpd.z $e |- ( ph -> .0. e. B ) $.
    isgrpd.i $e |- ( ( ph /\ x e. B ) -> ( .0. .+ x ) = x ) $.
    ${
      isgrpde.n $e |- ( ( ph /\ x e. B ) -> E. y e. B ( y .+ x ) = .0. ) $.
      $( Deduce a group from its properties.  In this version of ~ isgrpd , we
         don't assume there is an expression for the inverse of ` x ` .
         (Contributed by NM, 6-Jan-2015.) $)
      isgrpde $p |- ( ph -> G e. Grp ) $=
        ( grpridd grpidd ismndd isgrpd2e ) ABCEFGHIJABEFGHIJMNABCDEFHKMNLOPZQAB
        CDEFGHIJKLMNTROS $.
    $}

    isgrpd.n $e |- ( ( ph /\ x e. B ) -> N e. B ) $.
    isgrpd.j $e |- ( ( ph /\ x e. B ) -> ( N .+ x ) = .0. ) $.
    $( Deduce a group from its properties.  Unlike ~ isgrpd2 , this one goes
       straight from the base properties rather than going through ` Mnd ` .
       ` N ` (negative) is normally dependent on ` x ` i.e. read it as
       ` N ( x ) ` .  (Contributed by NM, 6-Jun-2013.)  (Revised by Mario
       Carneiro, 6-Jan-2015.) $)
    isgrpd $p |- ( ph -> G e. Grp ) $=
      ( cv wcel wceq wa co wrex oveq1 eqeq1d rspcev syl2anc isgrpde ) ABCDEFGIJ
      KLMNOABRZESUAHESHUIFUBZITZCRZUIFUBZITZCEUCPQUNUKCHEULHTUMUJIULHUIFUDUEUFU
      GUH $.
  $}

  ${
    $d x y z B $.  $d x y z G $.  $d y N $.  $d x y z .+ $.  $d x y z .0. $.
    isgrpi.b $e |- B = ( Base ` G ) $.
    isgrpi.p $e |- .+ = ( +g ` G ) $.
    isgrpi.c $e |- ( ( x e. B /\ y e. B ) -> ( x .+ y ) e. B ) $.
    isgrpi.a $e |- ( ( x e. B /\ y e. B /\ z e. B ) ->
                   ( ( x .+ y ) .+ z ) = ( x .+ ( y .+ z ) ) ) $.
    isgrpi.z $e |- .0. e. B $.
    isgrpi.i $e |- ( x e. B -> ( .0. .+ x ) = x ) $.
    isgrpi.n $e |- ( x e. B -> N e. B ) $.
    isgrpi.j $e |- ( x e. B -> ( N .+ x ) = .0. ) $.
    $( Properties that determine a group. ` N ` (negative) is normally
       dependent on ` x ` i.e. read it as ` N ( x ) ` .  (Contributed by NM,
       3-Sep-2011.) $)
    isgrpi $p |- G e. Grp $=
      ( wcel wtru wceq co cbs cfv a1i cplusg cv 3adant1 w3a adantl isgrpd mptru
      cgrp ) FUKQRABCDEFGHDFUAUBSRIUCEFUDUBSRJUCAUEZDQZBUEZDQZULUNETZDQRKUFUMUO
      CUEZDQUGUPUQETULUNUQETETSRLUHHDQRMUCUMHULETULSRNUHUMGDQROUHUMGULETHSRPUHU
      IUJ $.
  $}

  $( A group is a semigroup.  (Contributed by AV, 28-Aug-2021.) $)
  grpsgrp $p |- ( G e. Grp -> G e. Smgrp ) $=
    ( cgrp wcel cmnd csgrp grpmnd mndsgrp syl ) ABCADCAECAFAGH $.

  ${
    $d B a b c i n x $.  $d G a b c i n x $.  $d .+ a b c i n x $.
    dfgrp2.b $e |- B = ( Base ` G ) $.
    dfgrp2.p $e |- .+ = ( +g ` G ) $.
    $( Alternate definition of a group as semigroup with a left identity and a
       left inverse for each element.  This "definition" is weaker than
       ~ df-grp , based on the definition of a monoid which provides a left and
       a right identity.  (Contributed by AV, 28-Aug-2021.) $)
    dfgrp2 $p |- ( G e. Grp <-> ( G e. Smgrp /\ E. n e. B A. x e. B
                          ( ( n .+ x ) = x /\ E. i e. B ( i .+ x ) = n ) ) ) $=
      ( va vb wcel cv co wceq wrex wa cfv eqeq1d adantl wi vc cgrp wral grpsgrp
      csgrp c0g cmnd grpmnd eqid mndidcl wb oveq1 eqeq2 rexbidv anbi12d ralbidv
      syl mndlid sylan grpinvex jca ralrimiva rspcedvd cbs cplusg sgrpmgm mgmcl
      a1i cmgm syl3an1 sgrpass adantll simpll oveq2 eqeq12d rspcv simpl syl6com
      w3a id ad2antlr imp cbvrexvw biimpi isgrpde ex rexlimiva impcom impbii )
      FUBKZFUEKZELZALZCMZWMNZDLZWMCMZWLNZDBOZPZABUCZEBOZPWJWKXBFUDWJXAFUFQZWMCM
      ZWMNZWQXCNZDBOZPZABUCZEXCBWJFUGKZXCBKFUHZBFXCGXCUIZUJUQWLXCNZXAXIUKWJXMWT
      XHABXMWOXEWSXGXMWNXDWMWLXCWMCULRXMWRXFDBWLXCWQUMUNUOUPSWJXHABWJWMBKZPXEXG
      WJXJXNXEXKBCFWMXCGHXLURUSDBCFWMXCGHXLUTVAVBVCVAXBWKWJXAWKWJTEBWLBKZXAPZWK
      WJXPWKPZIJUABCFWLBFVDQNXQGVHCFVEQNXQHVHXQFVIKZILZBKZJLZBKZXSYACMZBKWKXRXP
      FVFSBFXSYACGHVGVJWKXTYBUALZBKVSYCYDCMXSYAYDCMCMNXPBFXSYACYDGHVKVLXOXAWKVM
      XQXTWLXSCMZXSNZXAXTYFTXOWKXTXAYFWPXSCMZWLNZDBOZPZYFWTYJAXSBWMXSNZWOYFWSYI
      YKWNYEWMXSWMXSWLCVNYKVTVOYKWRYHDBYKWQYGWLWMXSWPCVNRUNUOVPZYFYIVQVRWAWBXQX
      TYAXSCMZWLNZJBOZXAXTYOTXOWKXTXAYJYOYLYIYOYFYIYOYHYNDJBWPYANYGYMWLWPYAXSCU
      LRWCWDSVRWAWBWEWFWGWHWI $.

    $d B x y z $.  $d G y z $.  $d .+ y z $.
    $( Alternate definition of a group as a set with a closed, associative
       operation, a left identity and a left inverse for each element.
       Alternate definition in [Lang] p. 7.  (Contributed by NM, 10-Oct-2006.)
       (Revised by AV, 28-Aug-2021.) $)
    dfgrp2e $p |- ( G e. Grp <-> ( A. x e. B A. y e. B ( ( x .+ y ) e. B
                /\ A. z e. B ( ( x .+ y ) .+ z ) = ( x .+ ( y .+ z ) ) )
                       /\ E. n e. B A. x e. B
                          ( ( n .+ x ) = x /\ E. i e. B ( i .+ x ) = n ) ) ) $=
      ( wcel cv co wceq wrex wa wral cvv cbs c0 cgrp csgrp dfgrp2 wb wi ax-1 wn
      cfv fvprc eleq2i eleq2 noel pm2.21i syl6bi syl5bi syl pm2.61i a1d issgrpv
      rexlimiv pm5.32ri bitri ) HUAKHUBKZGLZALZEMVENFLVEEMVDNFDOPADQZGDOZPVEBLZ
      EMZDKVICLZEMVEVHVJEMEMNCDQPBDQADQZVGPADEFGHIJUCVGVCVKVGHRKZVCVKUDVFVLGDVD
      DKZVLVFVLVMVLUEZVLVMUFVLUGHSUHZTNZVNHSUIVMVDVOKZVPVLDVOVDIUJVPVQVDTKZVLVO
      TVDUKVRVLVDULUMUNUOUPUQURUTABCDHREIJUSUPVAVB $.
  $}

  ${
    $d x y z B $.  $d x y z G $.  $d y N $.  $d x y z .+ $.  $d x y z .0. $.
    isgrpix.a $e |- B e. _V $.
    isgrpix.b $e |- .+ e. _V $.
    isgrpix.g $e |- G = { <. 1 , B >. , <. 2 , .+ >. } $.
    isgrpix.2 $e |- ( ( x e. B /\ y e. B ) -> ( x .+ y ) e. B ) $.
    isgrpix.3 $e |- ( ( x e. B /\ y e. B /\ z e. B ) ->
                   ( ( x .+ y ) .+ z ) = ( x .+ ( y .+ z ) ) ) $.
    isgrpix.z $e |- .0. e. B $.
    isgrpix.5 $e |- ( x e. B -> ( .0. .+ x ) = x ) $.
    isgrpix.6 $e |- ( x e. B -> N e. B ) $.
    isgrpix.7 $e |- ( x e. B -> ( N .+ x ) = .0. ) $.
    $( Properties that determine a group.  Read ` N ` as ` N ( x ) ` .  Note:
       This theorem has hard-coded structure indices for demonstration
       purposes.  It is not intended for general use.
       (New usage is discouraged.)  (Contributed by NM, 4-Sep-2011.) $)
    isgrpix $p |- G e. Grp $=
      ( grpbasex grpplusgx isgrpi ) ABCDEFGHDEFIJKRDEFIJKSLMNOPQT $.
  $}

  ${
    grpidcl.b $e |- B = ( Base ` G ) $.
    grpidcl.o $e |- .0. = ( 0g ` G ) $.
    $( The identity element of a group belongs to the group.  (Contributed by
       NM, 27-Aug-2011.)  (Revised by Mario Carneiro, 27-Dec-2014.) $)
    grpidcl $p |- ( G e. Grp -> .0. e. B ) $=
      ( cgrp wcel cmnd grpmnd mndidcl syl ) BFGBHGCAGBIABCDEJK $.
  $}

  ${
    grpbn0.b $e |- B = ( Base ` G ) $.
    $( The base set of a group is not empty.  (Contributed by Szymon
       Jaroszewicz, 3-Apr-2007.) $)
    grpbn0 $p |- ( G e. Grp -> B =/= (/) ) $=
      ( cgrp wcel c0g cfv eqid grpidcl ne0d ) BDEABFGZABKCKHIJ $.

    grplid.p $e |- .+ = ( +g ` G ) $.
    grplid.o $e |- .0. = ( 0g ` G ) $.
    $( The identity element of a group is a left identity.  (Contributed by NM,
       18-Aug-2011.) $)
    grplid $p |- ( ( G e. Grp /\ X e. B ) -> ( .0. .+ X ) = X ) $=
      ( cgrp wcel cmnd co wceq grpmnd mndlid sylan ) CIJCKJDAJEDBLDMCNABCDEFGHO
      P $.

    $( The identity element of a group is a right identity.  (Contributed by
       NM, 18-Aug-2011.) $)
    grprid $p |- ( ( G e. Grp /\ X e. B ) -> ( X .+ .0. ) = X ) $=
      ( cgrp wcel cmnd co wceq grpmnd mndrid sylan ) CIJCKJDAJDEBLDMCNABCDEFGHO
      P $.
  $}

  $( A group is not empty.  (Contributed by Szymon Jaroszewicz, 3-Apr-2007.)
     (Revised by Mario Carneiro, 2-Dec-2014.) $)
  grpn0 $p |- ( G e. Grp -> G =/= (/) ) $=
    ( cgrp wcel cbs cfv c0 wne eqid grpbn0 wceq fveq2 base0 eqtr4di necon3i syl
    ) ABCADEZFGAFGPAPHIAFPFAFJPFDEFAFDKLMNO $.

  ${
    hashfingrpnn.1 $e |- B = ( Base ` G ) $.
    hashfingrpnn.2 $e |- ( ph -> G e. Grp ) $.
    hashfingrpnn.3 $e |- ( ph -> B e. Fin ) $.
    $( A finite group has positive integer size.  (Contributed by Rohan
       Ridenour, 3-Aug-2023.) $)
    hashfingrpnn $p |- ( ph -> ( # ` B ) e. NN ) $=
      ( grpmndd hashfinmndnn ) ABCDACEGFH $.
  $}

  ${
    $d u v w y B $.  $d u v w y G $.  $d u v w y .+ $.  $d u v w y X $.
    $d u v w y Y $.  $d u v w y Z $.
    grprcan.b $e |- B = ( Base ` G ) $.
    grprcan.p $e |- .+ = ( +g ` G ) $.
    $( Right cancellation law for groups.  (Contributed by NM, 24-Aug-2011.)
       (Proof shortened by Mario Carneiro, 6-Jan-2015.) $)
    grprcan $p |- ( ( G e. Grp /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
                  ( ( X .+ Z ) = ( Y .+ Z ) <-> X = Y ) ) $=
      ( vy vu vv vw wcel w3a wa co wceq cv sylan 3eqtr3d cgrp c0g cfv wrex eqid
      wi grpinvex 3ad2antr3 simprr oveq1d simpll grpass simplr1 simplr3 simprll
      caovassd simplr2 grpcl syl3an1 grpidcl syl grplid adantr simprlr grprinvd
      simpr mpdan oveq2d grprid syl2anc expr rexlimddv oveq1 impbid1 ) CUAMZDAM
      ZEAMZFAMZNZOZDFBPZEFBPZQZDEQZVTIRZFBPCUBUCZQZWCWDUFIAVOVPVRWGIAUDVQIABCFW
      FGHWFUEZUGUHVTWEAMZWGOZWCWDVTWJWCOZOZDWFBPZEWFBPZDEWLDFWEBPZBPZEWOBPZWMWN
      WLWAWEBPWBWEBPWPWQWLWAWBWEBVTWJWCUIUJWLJKLDFWEABWLVOJRZAMZKRZAMZLRZAMNWRW
      TBPZXBBPWRWTXBBPBPQVOVSWKUKZABCWRWTXBGHULSZVPVQVRVOWKUMZVPVQVRVOWKUNZVTWI
      WGWCUOZUPWLJKLEFWEABXEVPVQVRVOWKUQZXGXHUPTWLWOWFDBWLVRWOWFQXGWLVRJKLABWEW
      FFWLVOWSXAXCAMXDABCWRWTGHURUSWLVOWFAMXDACWFGWHUTVAWLVOWSWFWRBPWRQXDABCWRW
      FGHWHVBSXEWLVOWSWTWRBPWFQKAUDXDKABCWRWFGHWHUGSWLVRVFWLWIVRXHVCWLWGVRVTWIW
      GWCVDVCVEVGZVHWLWOWFEBXJVHTWLVOVPWMDQXDXFABCDWFGHWHVIVJWLVOVQWNEQXDXIABCE
      WFGHWHVIVJTVKVLDEFBVMVN $.
  $}

  ${
    $d y z B $.  $d y z G $.  $d y z .+ $.  $d y z .0. $.  $d y z X $.
    grpinveu.b $e |- B = ( Base ` G ) $.
    grpinveu.p $e |- .+ = ( +g ` G ) $.
    grpinveu.o $e |- .0. = ( 0g ` G ) $.
    $( The left inverse element of a group is unique.  Lemma 2.2.1(b) of
       [Herstein] p. 55.  (Contributed by NM, 24-Aug-2011.) $)
    grpinveu $p |- ( ( G e. Grp /\ X e. B )
           -> E! y e. B ( y .+ X ) = .0. ) $=
      ( vz cgrp wcel wa cv co wceq wi wral wrex wreu grpinvex w3a eqtr3 grprcan
      syl5ib 3exp2 com24 imp41 an32s expd ralrimdva ancld reximdva oveq1 eqeq1d
      mpd reu8 sylibr ) DKLZEBLZMZANZECOZFPZJNZECOZFPZVBVEPZQZJBRZMZABSZVDABTVA
      VDABSVLABCDEFGHIUAVAVDVKABVAVBBLZMZVDVJVNVDVIJBVNVEBLZMVDVGVHVAVOVMVDVGMZ
      VHQZUSUTVOVMVQUSVMVOUTVQUSVMVOUTVQVPVCVFPUSVMVOUTUBMVHVCVFFUCBCDVBVEEGHUD
      UEUFUGUHUIUJUKULUMUPVDVGAJBVHVCVFFVBVEECUNUOUQUR $.

    $( Two ways of saying that an element of a group is the identity element.
       Provides a convenient way to compute the value of the identity element.
       (Contributed by NM, 24-Aug-2011.) $)
    grpid $p |- ( ( G e. Grp /\ X e. B ) ->
                  ( ( X .+ X ) = X <-> .0. = X ) ) $=
      ( wceq cgrp wcel wa co eqcom wb wi grpidcl grprcan 3exp2 mpid pm2.43d imp
      grplid eqeq2d bitr3d bitr2id ) EDIDEIZCJKZDAKZLZDDBMZDIZEDNUJUKEDBMZIZUGU
      LUHUIUNUGOZUHUIUOUHUIEAKZUIUOPACEFHQUHUIUPUIUOABCDEDFGRSTUAUBUJUMDUKABCDE
      FGHUCUDUEUF $.

    $( Properties showing that an element ` Z ` is the identity element of a
       group.  (Contributed by NM, 7-Aug-2013.) $)
    isgrpid2 $p |- ( G e. Grp
  -> ( ( Z e. B /\ ( Z .+ Z ) = Z ) <-> .0. = Z ) ) $=
      ( cgrp wcel co wceq wa grpid biimpd expimpd grpidcl grplid mpdan jca id
      eleq1 oveq12d eqeq12d anbi12d syl5ibcom impbid ) CIJZEAJZEEBKZELZMZDELZUH
      UIUKUMUHUIMUKUMABCEDFGHNOPUHDAJZDDBKZDLZMUMULUHUNUPACDFHQZUHUNUPUQABCDDFG
      HRSTUMUNUIUPUKDEAUBUMUOUJDEUMDEDEBUMUAZURUCURUDUEUFUG $.
  $}

  ${
    $d x B $.  $d x .+ $.  $d x ph $.  $d x .0. $.
    grpidd2.b $e |- ( ph -> B = ( Base ` G ) ) $.
    grpidd2.p $e |- ( ph -> .+ = ( +g ` G ) ) $.
    grpidd2.z $e |- ( ph -> .0. e. B ) $.
    grpidd2.i $e |- ( ( ph /\ x e. B ) -> ( .0. .+ x ) = x ) $.
    grpidd2.j $e |- ( ph -> G e. Grp ) $.
    $( Deduce the identity element of a group from its properties.  Useful in
       conjunction with ~ isgrpd .  (Contributed by Mario Carneiro,
       14-Jun-2015.) $)
    grpidd2 $p |- ( ph -> .0. = ( 0g ` G ) ) $=
      ( c0g cfv cplusg co wceq oveqd cv wcel eqid oveq2 id eqeq12d rspcdva cgrp
      ralrimiva eqtr3d cbs wb eleqtrd grpid syl2anc mpbid eqcomd ) AELMZFAFFENM
      ZOZFPZUOFPZAFFDOZUQFADUPFFHQAFBRZDOZVAPZUTFPBCFVAFPZVBUTVAFVAFFDUAVDUBUCA
      VCBCJUFIUDUGAEUESFEUHMZSURUSUIKAFCVEIGUJVEUPEFUOVETUPTUOTUKULUMUN $.
  $}

  ${
    $d g x y B $.  $d g x y G $.  $d g x .0. $.  $d g x .+ $.  $d x y X $.
    grpinvval.b $e |- B = ( Base ` G ) $.
    grpinvval.p $e |- .+ = ( +g ` G ) $.
    grpinvval.o $e |- .0. = ( 0g ` G ) $.
    grpinvval.n $e |- N = ( invg ` G ) $.
    $( The inverse function of a group.  For a shorter proof using ~ ax-rep ,
       see ~ grpinvfvalALT .  (Contributed by NM, 24-Aug-2011.)  (Revised by
       Mario Carneiro, 7-Aug-2013.)  Remove dependency on ~ ax-rep .  (Revised
       by Rohan Ridenour, 13-Aug-2023.) $)
    grpinvfval $p |- N = ( x e. B |-> ( iota_ y e. B ( y .+ x ) = .0. ) ) $=
      ( vg cminusg cfv cv wceq cmpt cbs eqtr4di c0 co crio cvv cplusg c0g fveq2
      wcel oveqd eqeq12d riotaeqbidv mpteq12dv df-minusg csn cun p0ex unex wreu
      fvexi ssun2 riotacl sselid wn ssun1 riotaund riotaex sylibr pm2.61i rgenw
      elsn mptexw fvmpt fvprc mpt0 eqtrid mpteq1d eqtr4d eqtri ) FEMNZACBOZAOZD
      UAZGPZBCUBZQZKEUCUGZVRWDPLEALOZRNZVSVTWFUDNZUAZWFUENZPZBWGUBZQWDUCMWFEPZA
      WGWLCWCWMWGERNZCWFERUFHSZWMWKWBBWGCWOWMWIWAWJGWMWHDVSVTWMWHEUDNDWFEUDUFIS
      UHWMWJEUENGWFEUEUFJSUIUJUKABLULACWCTUMZCUNZCERHURZWPCUOWRUPWCWQUGZACWBBCU
      QZWSWTCWQWCCWPUSWBBCUTVAWTVBZWPWQWCWPCVCXAWCTPWCWPUGWBBCVDWCTWBBCVEVIVFVA
      VGVHVJVKWEVBZVRATWCQZWDXBVRTXCEMVLAWCVMSXBACTWCXBCWNTHERVLVNVOVPVGVQ $.

    $( Shorter proof of ~ grpinvfval using ~ ax-rep .  (Contributed by NM,
       24-Aug-2011.)  (Revised by Mario Carneiro, 7-Aug-2013.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    grpinvfvalALT $p |- N = ( x e. B |-> ( iota_ y e. B ( y .+ x ) = .0. ) ) $=
      ( vg cminusg cfv cv wceq cmpt cbs eqtr4di c0 co crio cvv cplusg c0g fveq2
      wcel oveqd eqeq12d riotaeqbidv mpteq12dv df-minusg mptfvmpt wn fvprc mpt0
      eqtrid mpteq1d eqtr4d pm2.61i eqtri ) FEMNZACBOZAOZDUAZGPZBCUBZQZKEUCUGZV
      BVHPALVGRMALOZRNZVCVDVJUDNZUAZVJUENZPZBVKUBZQCUCEEVJEPZAVKVPCVGVQVKERNZCV
      JERUFHSZVQVOVFBVKCVSVQVMVEVNGVQVLDVCVDVQVLEUDNDVJEUDUFISUHVQVNEUENGVJEUEU
      FJSUIUJUKABLULHUMVIUNZVBATVGQZVHVTVBTWAEMUOAVGUPSVTACTVGVTCVRTHERUOUQURUS
      UTVA $.

    $( The inverse of a group element.  (Contributed by NM, 24-Aug-2011.)
       (Revised by Mario Carneiro, 7-Aug-2013.) $)
    grpinvval $p |- ( X e. B ->
                    ( N ` X ) = ( iota_ y e. B ( y .+ X ) = .0. ) ) $=
      ( vx cv co wceq crio oveq2 eqeq1d riotabidv grpinvfval riotaex fvmpt ) LF
      AMZLMZCNZGOZABPUCFCNZGOZABPBEUDFOZUFUHABUIUEUGGUDFUCCQRSLABCDEGHIJKTUHABU
      AUB $.
  $}

  ${
    $d B x y $.  $d G x y $.
    grpinvfn.b $e |- B = ( Base ` G ) $.
    grpinvfn.n $e |- N = ( invg ` G ) $.
    $( Functionality of the group inverse function.  (Contributed by Stefan
       O'Rear, 21-Mar-2015.) $)
    grpinvfn $p |- N Fn B $=
      ( vx vy cv cplusg cfv co c0g wceq crio riotaex eqid grpinvfval fnmpti ) F
      AGHFHBIJZKBLJZMZGANCUAGAOFGASBCTDSPTPEQR $.
  $}

  ${
    grpinvfvi.t $e |- N = ( invg ` G ) $.
    $( The group inverse function is compatible with identity-function
       protection.  (Contributed by Stefan O'Rear, 21-Mar-2015.) $)
    grpinvfvi $p |- N = ( invg ` ( _I ` G ) ) $=
      ( cminusg cfv cid cvv wcel wceq fvi fveq2d wn wfn base0 eqid grpinvfn fn0
      c0 mpbi fvprc 3eqtr4a pm2.61i eqtr4i ) BADEZAFEZDEZCAGHZUFUDIUGUEADAGJKUG
      LZRDEZRUFUDUIRMUIRIRRUINUIOPUIQSUHUERDAFTKADTUAUBUC $.
  $}

  ${
    $d g x y B $.  $d g x y G $.  $d g x y I $.  $d g x y .+ $.  $d x y X $.
    $d x y Y $.
    grpsubval.b $e |- B = ( Base ` G ) $.
    grpsubval.p $e |- .+ = ( +g ` G ) $.
    grpsubval.i $e |- I = ( invg ` G ) $.
    grpsubval.m $e |- .- = ( -g ` G ) $.
    $( Group subtraction (division) operation.  For a shorter proof using
       ~ ax-rep , see ~ grpsubfvalALT .  (Contributed by NM, 31-Mar-2014.)
       (Revised by Stefan O'Rear, 27-Mar-2015.)  Remove dependency on
       ~ ax-rep .  (Revised by Rohan Ridenour, 17-Aug-2023.)  (Proof shortened
       by AV, 19-Feb-2024.) $)
    grpsubfval $p |- .- = ( x e. B , y e. B |-> ( x .+ ( I ` y ) ) ) $=
      ( vg cv cfv wceq csg cbs cminusg cplusg c0 cvv wcel co cmpo fveq2 eqtr4di
      eqidd fveq1d oveq123d mpoeq123dv df-sbg crn csn cun fvexi rnex p0ex df-ov
      unex cop fvrn0 eqeltri rgen2w mpoexw fvmpt eqtrid wn fvprc olcd 0mpo0 syl
      wo eqtr4d pm2.61i ) EUAUBZGABCCAMZBMZFNZDUCZUDZOVOGEPNZVTKLEABLMZQNZWCVPV
      QWBRNZNZWBSNZUCZUDVTUAPWBEOZABWCWCWGCCVSWHWCEQNZCWBEQUEHUFZWJWHVPVPWEVRWF
      DWHWFESNDWBESUEIUFWHVPUGWHVQWDFWHWDERNFWBERUEJUFUHUIUJABLUKABCCVSDULZTUMZ
      UNZCEQHUOZWNWKWLDDESIUOUPUQUSVSWMUBABCCVSVPVRUTZDNWMVPVRDURDWOVAVBVCVDVEV
      FVOVGZGTVTWPGWATKEPVHVFWPCTOZWQVLVTTOWPWQWQWPCWITHEQVHVFVIABCCVSVJVKVMVN
      $.

    $( Shorter proof of ~ grpsubfval using ~ ax-rep .  (Contributed by NM,
       31-Mar-2014.)  (Revised by Stefan O'Rear, 27-Mar-2015.)  (Proof
       shortened by AV, 19-Feb-2024.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    grpsubfvalALT $p |- .- = ( x e. B , y e. B |-> ( x .+ ( I ` y ) ) ) $=
      ( vg cv cfv wceq csg cbs cminusg cplusg c0 cvv wcel co cmpo fveq2 eqtr4di
      eqidd fveq1d oveq123d mpoeq123dv df-sbg fvexi mpoex fvmpt eqtrid wn fvprc
      wo olcd 0mpo0 syl eqtr4d pm2.61i ) EUAUBZGABCCAMZBMZFNZDUCZUDZOVDGEPNZVIK
      LEABLMZQNZVLVEVFVKRNZNZVKSNZUCZUDVIUAPVKEOZABVLVLVPCCVHVQVLEQNZCVKEQUEHUF
      ZVSVQVEVEVNVGVODVQVOESNDVKESUEIUFVQVEUGVQVFVMFVQVMERNFVKERUEJUFUHUIUJABLU
      KABCCVHCEQHULZVTUMUNUOVDUPZGTVIWAGVJTKEPUQUOWACTOZWBURVITOWAWBWBWACVRTHEQ
      UQUOUSABCCVHUTVAVBVC $.

    $( Group subtraction (division) operation.  (Contributed by NM,
       31-Mar-2014.)  (Revised by Mario Carneiro, 13-Dec-2014.) $)
    grpsubval $p |- ( ( X e. B /\ Y e. B ) ->
                    ( X .- Y ) = ( X .+ ( I ` Y ) ) ) $=
      ( vx vy cv cfv co oveq1 wceq fveq2 oveq2d grpsubfval ovex ovmpo ) LMFGAAL
      NZMNZDOZBPFGDOZBPEFUFBPUDFUFBQUEGRUFUGFBUEGDSTLMABCDEHIJKUAFUGBUBUC $.
  $}

  ${
    $d x y B $.  $d x y G $.
    grpinvcl.b $e |- B = ( Base ` G ) $.
    grpinvcl.n $e |- N = ( invg ` G ) $.
    $( The group inversion operation is a function on the base set.
       (Contributed by Mario Carneiro, 4-May-2015.) $)
    grpinvf $p |- ( G e. Grp -> N : B --> B ) $=
      ( vx vy cgrp wcel cv cplusg cfv co c0g wceq crio wa wreu eqid grpinveu
      riotacl syl grpinvfval fmptd ) BHIZFAGJFJZBKLZMBNLZOZGAPZACUEUFAIQUIGARUJ
      AIGAUGBUFUHDUGSZUHSZTUIGAUAUBFGAUGBCUHDUKULEUCUD $.

    $( A group element's inverse is a group element.  (Contributed by NM,
       24-Aug-2011.)  (Revised by Mario Carneiro, 4-May-2015.) $)
    grpinvcl $p |- ( ( G e. Grp /\ X e. B ) -> ( N ` X ) e. B ) $=
      ( cgrp wcel grpinvf ffvelrnda ) BGHAADCABCEFIJ $.
  $}

  ${
    $d e x y z B $.  $d e x y z G $.  $d e x y z .0. $.  $d e x y z .+ $.
    $d e x M $.  $d x y z N $.  $d y z X $.
    grpinv.b $e |- B = ( Base ` G ) $.
    grpinv.p $e |- .+ = ( +g ` G ) $.
    grpinv.u $e |- .0. = ( 0g ` G ) $.
    grpinv.n $e |- N = ( invg ` G ) $.
    $( The left inverse of a group element.  (Contributed by NM, 24-Aug-2011.)
       (Revised by Mario Carneiro, 6-Jan-2015.) $)
    grplinv $p |- ( ( G e. Grp /\ X e. B ) -> ( ( N ` X ) .+ X ) = .0. ) $=
      ( vy cgrp wcel wa cfv cv co wceq crab syl crio grpinvval grpinveu eqeltrd
      adantl wreu riotacl2 oveq1 eqeq1d elrab simprbi ) CLMZEAMZNZEDOZKPZEBQZFR
      ZKASZMZUOEBQZFRZUNUOURKAUAZUSUMUOVCRULKABCDEFGHIJUBUEUNURKAUFVCUSMKABCEFG
      HIUCURKAUGTUDUTUOAMVBURVBKUOAUPUORUQVAFUPUOEBUHUIUJUKT $.

    $( The right inverse of a group element.  (Contributed by NM, 24-Aug-2011.)
       (Revised by Mario Carneiro, 6-Jan-2015.) $)
    grprinv $p |- ( ( G e. Grp /\ X e. B ) -> ( X .+ ( N ` X ) ) = .0. ) $=
      ( vx vy vz cgrp wcel cfv cv grpcl grpidcl grplid grpass grpinvex grpinvcl
      simpr grplinv grprinvd ) CNOZEAOZKLMABEDPFEABCKQZLQZGHRACFGISABCUIFGHITAB
      CUIUJMQGHUALABCUIFGHIUBUGUHUDACDEGJUCABCDEFGHIJUEUF $.

    $( The inverse of a group element expressed in terms of the identity
       element.  (Contributed by NM, 24-Aug-2011.) $)
    grpinvid1 $p |- ( ( G e. Grp /\ X e. B /\ Y e. B ) ->
                    ( ( N ` X ) = Y <-> ( X .+ Y ) = .0. ) ) $=
      ( wcel w3a wceq co wa oveq2 3adant3 adantr eqtr3d cgrp cfv adantl grprinv
      grplinv oveq1d grpinvcl adantrr simprl simprr grpass syldan 3impb 3adant2
      3jca grplid grprid 3eqtr3rd impbida ) CUALZEALZFALZMZEDUBZFNZEFBOZGNZVCVE
      PEVDBOZVFGVEVHVFNVCVDFEBQUCVCVHGNZVEUTVAVIVBABCDEGHIJKUDRSTVCVGPVDVFBOZVD
      GBOZFVDVGVJVKNVCVFGVDBQUCVCVJFNVGVCGFBOZVJFVCVDEBOZFBOZVLVJUTVAVNVLNVBUTV
      APVMGFBABCDEGHIJKUEUFRUTVAVBVNVJNZUTVAVBPZVDALZVAVBMVOUTVPPVQVAVBUTVAVQVB
      ACDEHKUGZUHUTVAVBUIUTVAVBUJUOABCVDEFHIUKULUMTUTVBVLFNVAABCFGHIJUPUNTSVCVK
      VDNZVGUTVAVSVBUTVAVQVSVRABCVDGHIJUQULRSURUS $.

    $( The inverse of a group element expressed in terms of the identity
       element.  (Contributed by NM, 24-Aug-2011.) $)
    grpinvid2 $p |- ( ( G e. Grp /\ X e. B /\ Y e. B ) ->
                    ( ( N ` X ) = Y <-> ( Y .+ X ) = .0. ) ) $=
      ( wcel w3a wceq co wa oveq1 adantl 3adant3 adantr cgrp cfv grplinv eqtr3d
      grpinvcl grplid syldan eqcomd simprr simprl adantrr grpass grprinv oveq2d
      3jca 3impb grprid 3adant2 3eqtrd 3eqtr2d impbida ) CUALZEALZFALZMZEDUBZFN
      ZFEBOZGNZVEVGPVFEBOZVHGVGVJVHNVEVFFEBQRVEVJGNZVGVBVCVKVDABCDEGHIJKUCSTUDV
      EVIPVFGVFBOZVHVFBOZFVEVFVLNVIVEVLVFVBVCVLVFNZVDVBVCVFALZVNACDEHKUEZABCVFG
      HIJUFUGSUHTVIVMVLNVEVHGVFBQRVEVMFNVIVEVMFEVFBOZBOZFGBOZFVBVCVDVMVRNZVBVCV
      DPZVDVCVOMVTVBWAPVDVCVOVBVCVDUIVBVCVDUJVBVCVOVDVPUKUOABCFEVFHIULUGUPVBVCV
      RVSNVDVBVCPVQGFBABCDEGHIJKUMUNSVBVDVSFNVCABCFGHIJUQURUSTUTVA $.

    $( Properties showing that a function ` M ` is the inverse function of a
       group.  (Contributed by NM, 7-Aug-2013.)  (Revised by Mario Carneiro,
       2-Oct-2015.) $)
    isgrpinv $p |- ( G e. Grp
  -> ( ( M : B --> B /\ A. x e. B ( ( M ` x ) .+ x ) = .0. ) <-> N = M ) ) $=
      ( ve wcel wf cv cfv co wceq wral wa cgrp crio grpinvval ad2antlr simpr wb
      wreu simpllr simplr ffvelrnd grpinveu ad4ant13 oveq1 eqeq1d syl2anc mpbid
      riota2 eqtrd ex ralimdva impr wfn grpinvfn ad2antrl eqfnfv sylancr mpbird
      ffn grpinvf grplinv ralrimiva feq1 fveq1 oveq1d ralbidv anbi12d syl5ibcom
      jca impbid ) DUAMZBBENZAOZEPZWBCQZGRZABSZTZFERZVTWGWHVTWGTZWHWBFPZWCRZABS
      ZVTWAWFWLVTWATZWEWKABWMWBBMZTZWEWKWOWETZWJLOZWBCQZGRZLBUBZWCWNWJWTRWMWELB
      CDFWBGHIJKUCUDWPWEWTWCRZWOWEUEWPWCBMWSLBUGZWEXAUFWPBBWBEVTWAWNWEUHWMWNWEU
      IUJVTWNXBWAWELBCDWBGHIJUKULWSWELBWCWQWCRWRWDGWQWCWBCUMUNUQUOUPURUSUTVAWIF
      BVBEBVBZWHWLUFBDFHKVCWAXCVTWFBBEVHVDABFEVEVFVGUSVTBBFNZWJWBCQZGRZABSZTWHW
      GVTXDXGBDFHKVIVTXFABBCDFWBGHIJKVJVKVRWHXDWAXGWFBBFEVLWHXFWEABWHXEWDGWHWJW
      CWBCWBFEVMVNUNVOVPVQVS $.
  $}

  ${
    $d B y $.  $d G x y $.  $d .+ y $.  $d .0. y $.
    grplrinv.b $e |- B = ( Base ` G ) $.
    grplrinv.p $e |- .+ = ( +g ` G ) $.
    grplrinv.i $e |- .0. = ( 0g ` G ) $.
    $( In a group, every member has a left and right inverse.  (Contributed by
       AV, 1-Sep-2021.) $)
    grplrinv $p |- ( G e. Grp
           -> A. x e. B E. y e. B ( ( y .+ x ) = .0. /\ ( x .+ y ) = .0. ) ) $=
      ( cgrp wcel cv co wceq wa wrex cminusg cfv eqid eqeq1d grpinvcl wb adantl
      oveq1 oveq2 anbi12d grplinv grprinv jca rspcedvd ralrimiva ) EJKZBLZALZDM
      ZFNZUNUMDMZFNZOZBCPACULUNCKOZUSUNEQRZRZUNDMZFNZUNVBDMZFNZOZBVBCCEVAUNGVAS
      ZUAUMVBNZUSVGUBUTVIUPVDURVFVIUOVCFUMVBUNDUDTVIUQVEFUMVBUNDUETUFUCUTVDVFCD
      EVAUNFGHIVHUGCDEVAUNFGHIVHUHUIUJUK $.

    $d A y z $.  $d B z $.  $d G z $.  $d .+ z $.  $d .0. z $.
    $( A group's properties using the explicit identity element.  (Contributed
       by NM, 5-Feb-2010.)  (Revised by AV, 1-Sep-2021.) $)
    grpidinv2 $p |- ( ( G e. Grp /\ A e. B )
              -> ( ( ( .0. .+ A ) = A /\ ( A .+ .0. ) = A )
                   /\ E. y e. B ( ( y .+ A ) = .0. /\ ( A .+ y ) = .0. ) ) ) $=
      ( vz cgrp wcel wa co wceq cv wrex grplid grprid eqeq1d wral oveq2 anbi12d
      grplrinv oveq1 rexbidv rspcv mpan9 jca31 ) EKLZBCLZMFBDNBOBFDNBOAPZBDNZFO
      ZBULDNZFOZMZACQZCDEBFGHIRCDEBFGHISUJULJPZDNZFOZUSULDNZFOZMZACQZJCUAUKURJA
      CDEFGHIUDVEURJBCUSBOZVDUQACVFVAUNVCUPVFUTUMFUSBULDUBTVFVBUOFUSBULDUETUCUF
      UGUHUI $.
  $}

  ${
    $d G u x y $.  $d B u y $.  $d .+ u y $.
    grpidinv.b $e |- B = ( Base ` G ) $.
    grpidinv.p $e |- .+ = ( +g ` G ) $.
    $( A group has a left and right identity element, and every member has a
       left and right inverse.  (Contributed by NM, 14-Oct-2006.)  (Revised by
       AV, 1-Sep-2021.) $)
    grpidinv $p |- ( G e. Grp -> E. u e. B A. x e. B
                     ( ( ( u .+ x ) = x /\ ( x .+ u ) = x )
                       /\ E. y e. B ( ( y .+ x ) = u /\ ( x .+ y ) = u ) ) ) $=
      ( cgrp wcel cv co wceq wa wrex wral c0g eqeq1d anbi12d eqeq2 eqid grpidcl
      cfv wb oveq1 oveq2 rexbidv ralbidv adantl grpidinv2 ralrimiva rspcedvd )
      FIJZCKZAKZELZUOMZUOUNELZUOMZNZBKZUOELZUNMZUOVAELZUNMZNZBDOZNZADPZFQUCZUOE
      LZUOMZUOVJELZUOMZNZVBVJMZVDVJMZNZBDOZNZADPZCVJDDFVJGVJUAZUBUNVJMZVIWAUDUM
      WCVHVTADWCUTVOVGVSWCUQVLUSVNWCUPVKUOUNVJUOEUERWCURVMUOUNVJUOEUFRSWCVFVRBD
      WCVCVPVEVQUNVJVBTUNVJVDTSUGSUHUIUMVTADBUODEFVJGHWBUJUKUL $.
  $}

  ${
    grpinvid.u $e |- .0. = ( 0g ` G ) $.
    grpinvid.n $e |- N = ( invg ` G ) $.
    $( The inverse of the identity element of a group.  (Contributed by NM,
       24-Aug-2011.) $)
    grpinvid $p |- ( G e. Grp -> ( N ` .0. ) = .0. ) $=
      ( cgrp wcel cfv wceq cplusg co cbs eqid grpidcl grplid mpdan wb grpinvid1
      mpd3an23 mpbird ) AFGZCBHCIZCCAJHZKCIZUACALHZGZUDUEACUEMZDNZUEUCACCUGUCMZ
      DOPUAUFUFUBUDQUHUHUEUCABCCCUGUIDERST $.
  $}

  ${
    grplcan.b $e |- B = ( Base ` G ) $.
    grplcan.p $e |- .+ = ( +g ` G ) $.
    $( Left cancellation law for groups.  (Contributed by NM, 25-Aug-2011.) $)
    grplcan $p |- ( ( G e. Grp /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
                  ( ( Z .+ X ) = ( Z .+ Y ) <-> X = Y ) ) $=
      ( wcel w3a wa co wceq cfv oveq2 eqid adantlr adantrl adantr 3eqtr3d exp53
      cgrp cminusg adantl c0g grplinv oveq1d grpinvcl simprr simprl 3jca grpass
      wi syldan anassrs grplid adantrr 3imp2 impbid1 ) CUBIZDAIZEAIZFAIZJKFDBLZ
      FEBLZMZDEMZUTVAVBVCVFVGUMUTVAVBVCVFVGUTVAKZVBVCKZKZVFKFCUCNZNZVDBLZVLVEBL
      ZDEVFVMVNMVJVDVEVLBOUDVJVMDMZVFVHVCVOVBVHVCKZVLFBLZDBLZCUENZDBLZVMDVPVQVS
      DBUTVCVQVSMZVAABCVKFVSGHVSPZVKPZUFZQUGUTVAVCVRVMMZUTVAVCKZVLAIZVCVAJWEUTW
      FKWGVCVAUTVCWGVAACVKFGWCUHZRUTVAVCUIUTVAVCUJUKABCVLFDGHULUNUOVHVTDMVCABCD
      VSGHWBUPSTRSVJVNEMZVFUTVIWIVAUTVIKZVQEBLZVSEBLZVNEWJVQVSEBUTVCWAVBWDRUGUT
      VIWGVCVBJWKVNMWJWGVCVBUTVCWGVBWHRUTVBVCUIUTVBVCUJUKABCVLFEGHULUNUTVBWLEMV
      CABCEVSGHWBUPUQTQSTUAURDEFBOUS $.

    grpasscan1.n $e |- N = ( invg ` G ) $.
    $( An associative cancellation law for groups.  (Contributed by Paul
       Chapman, 25-Feb-2008.)  (Revised by AV, 30-Aug-2021.) $)
    grpasscan1 $p |- ( ( G e. Grp /\ X e. B /\ Y e. B ) ->
                          ( X .+ ( ( N ` X ) .+ Y ) ) = Y ) $=
      ( cgrp wcel w3a cfv co c0g wceq eqid grprinv 3adant3 wi wa grpinvcl 3exp2
      oveq1d grpass imp mpd 3impia grplid 3adant2 3eqtr3d ) CJKZEAKZFAKZLZEEDMZ
      BNZFBNZCOMZFBNZEUPFBNBNZFUOUQUSFBULUMUQUSPUNABCDEUSGHUSQZIRSUDULUMUNURVAP
      ZULUMUAUPAKZUNVCTZACDEGIUBULUMVDVETULUMVDUNVCABCEUPFGHUEUCUFUGUHULUNUTFPU
      MABCFUSGHVBUIUJUK $.

    $( An associative cancellation law for groups.  (Contributed by Paul
       Chapman, 17-Apr-2009.)  (Revised by AV, 30-Aug-2021.) $)
    grpasscan2 $p |- ( ( G e. Grp /\ X e. B /\ Y e. B ) ->
                       ( ( X .+ ( N ` Y ) ) .+ Y ) = X ) $=
      ( cgrp wcel w3a cfv co c0g wceq simp1 simp2 grpinvcl 3adant2 simp3 grpass
      syl13anc eqid grplinv oveq2d grprid 3adant3 3eqtrd ) CJKZEAKZFAKZLZEFDMZB
      NFBNZEUNFBNZBNZECOMZBNZEUMUJUKUNAKZULUOUQPUJUKULQUJUKULRUJULUTUKACDFGISTU
      JUKULUAABCEUNFGHUBUCUMUPUREBUJULUPURPUKABCDFURGHURUDZIUETUFUJUKUSEPULABCE
      URGHVAUGUHUI $.
  $}

  ${
    grpidrcan.b $e |- B = ( Base ` G ) $.
    grpidrcan.p $e |- .+ = ( +g ` G ) $.
    grpidrcan.o $e |- .0. = ( 0g ` G ) $.
    $( If right adding an element of a group to an arbitrary element of the
       group results in this element, the added element is the identity element
       and vice versa.  (Contributed by AV, 15-Mar-2019.) $)
    grpidrcan $p |- ( ( G e. Grp /\ X e. B /\ Z e. B ) ->
                  ( ( X .+ Z ) = X <-> Z = .0. ) ) $=
      ( cgrp wcel w3a co wceq grprid 3adant3 eqeq2d wb simp1 simp3 simp2 bitr3d
      grpidcl 3ad2ant1 grplcan syl13anc ) CJKZDAKZFAKZLZDFBMZDEBMZNZUKDNFENZUJU
      LDUKUGUHULDNUIABCDEGHIOPQUJUGUIEAKZUHUMUNRUGUHUISUGUHUITUGUHUOUIACEGIUCUD
      UGUHUIUAABCFEDGHUEUFUB $.

    $( If left adding an element of a group to an arbitrary element of the
       group results in this element, the added element is the identity element
       and vice versa.  (Contributed by AV, 15-Mar-2019.) $)
    grpidlcan $p |- ( ( G e. Grp /\ X e. B /\ Z e. B ) ->
                  ( ( Z .+ X ) = X <-> Z = .0. ) ) $=
      ( cgrp wcel w3a co wceq grplid 3adant3 eqeq2d wb simp1 simp3 simp2 bitr3d
      grpidcl 3ad2ant1 grprcan syl13anc ) CJKZDAKZFAKZLZFDBMZEDBMZNZUKDNFENZUJU
      LDUKUGUHULDNUIABCDEGHIOPQUJUGUIEAKZUHUMUNRUGUHUISUGUHUITUGUHUOUIACEGIUCUD
      UGUHUIUAABCFEDGHUEUFUB $.
  $}

  ${
    $d x y B $.  $d x y G $.  $d x y N $.
    grpinvinv.b $e |- B = ( Base ` G ) $.
    grpinvinv.n $e |- N = ( invg ` G ) $.
    $( Double inverse law for groups.  Lemma 2.2.1(c) of [Herstein] p. 55.
       (Contributed by NM, 31-Mar-2014.) $)
    grpinvinv $p |- ( ( G e. Grp /\ X e. B ) -> ( N ` ( N ` X ) ) = X ) $=
      ( cgrp wcel wa cfv cplusg co wceq c0g grpinvcl eqid grprinv syldan eqtr4d
      grplinv wb simpl simpr grplcan syl13anc mpbid ) BGHZDAHZIZDCJZUJCJZBKJZLZ
      UJDULLZMZUKDMZUIUMBNJZUNUGUHUJAHZUMUQMABCDEFOZAULBCUJUQEULPZUQPZFQRAULBCD
      UQEUTVAFTSUIUGUKAHZUHURUOUPUAUGUHUBUGUHURVBUSABCUJEFORUGUHUCUSAULBUKDUJEU
      TUDUEUF $.

    $( The group inverse is its own inverse function.  (Contributed by Mario
       Carneiro, 14-Aug-2015.) $)
    grpinvcnv $p |- ( G e. Grp -> `' N = N ) $=
      ( vx vy cgrp wcel cv cfv cmpt ccnv wceq eqid grpinvcl wa wb eqcom feqmptd
      wf1o w3a cplusg co c0g grpinvid1 3com23 grpinvid2 bitr4d 3bitr4g f1ocnv2d
      3expb simprd grpinvf cnveqd 3eqtr4d ) BHIZFAFJZCKZLZMZGAGJZCKZLZCMCUQAAUT
      UAVAVDNUQFGAAUSVCUTUTOABCURDEPABCVBDEPUQURAIZVBAIZQQVCURNZUSVBNZURVCNVBUS
      NUQVEVFVGVHRUQVEVFUBVGVBURBUCKZUDBUEKZNZVHUQVFVEVGVKRAVIBCVBURVJDVIOZVJOZ
      EUFUGAVIBCURVBVJDVLVMEUHUIULURVCSVBUSSUJUKUMUQCUTUQFAACABCDEUNZTUOUQGAACV
      NTUP $.

    grpinv11.g $e |- ( ph -> G e. Grp ) $.
    ${
      grpinv11.x $e |- ( ph -> X e. B ) $.
      grpinv11.y $e |- ( ph -> Y e. B ) $.
      $( The group inverse is one-to-one.  (Contributed by NM, 22-Mar-2015.) $)
      grpinv11 $p |- ( ph -> ( ( N ` X ) = ( N ` Y ) <-> X = Y ) ) $=
        ( cfv wceq wa fveq2 adantl wcel grpinvinv syl2anc adantr cgrp 3eqtr3d
        ex impbid1 ) AEDLZFDLZMZEFMZAUGUHAUGNUEDLZUFDLZEFUGUIUJMAUEUFDOPAUIEMZU
        GACUAQZEBQUKIJBCDEGHRSTAUJFMZUGAULFBQUMIKBCDFGHRSTUBUCEFDOUD $.
    $}

    $( The group inverse is a one-to-one onto function.  (Contributed by NM,
       22-Oct-2014.)  (Proof shortened by Mario Carneiro, 14-Aug-2015.) $)
    grpinvf1o $p |- ( ph -> N : B -1-1-onto-> B ) $=
      ( wfn ccnv wf1o cgrp wcel grpinvf syl ffnd wceq grpinvcnv fneq1d mpbird
      wf dff1o4 sylanbrc ) ADBHZDIZBHZBBDJABBDACKLZBBDTGBCDEFMNOZAUEUCUGABUDDAU
      FUDDPGBCDEFQNRSBBDUAUB $.
  $}

  ${
    grpinvnzcl.b $e |- B = ( Base ` G ) $.
    grpinvnzcl.z $e |- .0. = ( 0g ` G ) $.
    grpinvnzcl.n $e |- N = ( invg ` G ) $.
    $( The inverse of a nonzero group element is not zero.  (Contributed by
       Stefan O'Rear, 27-Feb-2015.) $)
    grpinvnz $p |- ( ( G e. Grp /\ X e. B /\ X =/= .0. ) ->
        ( N ` X ) =/= .0. ) $=
      ( cgrp wcel wne cfv wceq fveq2 adantl grpinvinv adantr grpinvid ad2antrr
      wa 3eqtr3d ex necon3d 3impia ) BIJZDAJZDEKDCLZEKUEUFTZUGEDEUHUGEMZDEMUHUI
      TUGCLZECLZDEUIUJUKMUHUGECNOUHUJDMUIABCDFHPQUEUKEMUFUIBCEGHRSUAUBUCUD $.

    $( The inverse of a nonzero group element is a nonzero group element.
       (Contributed by Stefan O'Rear, 27-Feb-2015.) $)
    grpinvnzcl $p |- ( ( G e. Grp /\ X e. ( B \ { .0. } ) ) ->
        ( N ` X ) e. ( B \ { .0. } ) ) $=
      ( cgrp wcel csn cdif wa cfv wne eldifi grpinvcl sylan2 eldifsn grpinvnz
      3expb sylan2b sylanbrc ) BIJZDAEKZLZJZMDCNZAJZUHEOZUHUFJUGUDDAJZUIDAUEPAB
      CDFHQRUGUDUKDEOZMUJDAESUDUKULUJABCDEFGHTUAUBUHAESUC $.
  $}

  ${
    grpsubinv.b $e |- B = ( Base ` G ) $.
    grpsubinv.p $e |- .+ = ( +g ` G ) $.
    grpsubinv.m $e |- .- = ( -g ` G ) $.
    grpsubinv.n $e |- N = ( invg ` G ) $.
    grpsubinv.g $e |- ( ph -> G e. Grp ) $.
    grpsubinv.x $e |- ( ph -> X e. B ) $.
    grpsubinv.y $e |- ( ph -> Y e. B ) $.
    $( Subtraction of an inverse.  (Contributed by NM, 7-Apr-2015.) $)
    grpsubinv $p |- ( ph -> ( X .- ( N ` Y ) ) = ( X .+ Y ) ) $=
      ( cfv co wcel wceq syl2anc cgrp grpinvcl grpsubval grpinvinv oveq2d eqtrd
      ) AGHFPZEQZGUGFPZCQZGHCQAGBRUGBRZUHUJSNADUARZHBRZUKMOBDFHILUBTBCDFEGUGIJL
      KUCTAUIHGCAULUMUIHSMOBDFHILUDTUEUF $.
  $}

  ${
    $d x y B $.  $d x y G $.  $d x y .+ $.  $d x y X $.
    grplmulf1o.b $e |- B = ( Base ` G ) $.
    grplmulf1o.p $e |- .+ = ( +g ` G ) $.
    grplmulf1o.n $e |- F = ( x e. B |-> ( X .+ x ) ) $.
    $( Left multiplication by a group element is a bijection on any group.
       (Contributed by Mario Carneiro, 17-Jan-2015.) $)
    grplmulf1o $p |- ( ( G e. Grp /\ X e. B ) -> F : B -1-1-onto-> B ) $=
      ( vy wcel wa cv co cfv grpcl 3expa eqid wceq syl13anc cgrp grpinvcl eqcom
      cminusg syldanl wb simpll adantrl simprl simplr grplcan c0g adantr oveq1d
      grprinv simprr grpass grplid ad2ant2rl 3eqtr3d eqeq1d bitr3d syl5bb f1o2d
      ) EUAKZFBKZLZAJBBFAMZCNZFEUDOZOZJMZCNZDIVEVFVHBKZVIBKBCEFVHGHPQVEVFVKBKZV
      LBKZVMBKZBEVJFGVJRZUBZVEVOVPVQBCEVKVLGHPQUEZVHVMSVMVHSZVGVNVPLZLZVLVISZVH
      VMUCWCFVMCNZVISZWAWDWCVEVQVNVFWFWAUFVEVFWBUGZVGVPVQVNVTUHVGVNVPUIVEVFWBUJ
      ZBCEVMVHFGHUKTWCWEVLVIWCFVKCNZVLCNZEULOZVLCNZWEVLWCWIWKVLCVGWIWKSWBBCEVJF
      WKGHWKRZVRUOUMUNWCVEVFVOVPWJWESWGWHVGVOWBVSUMVGVNVPUPBCEFVKVLGHUQTVEVPWLV
      LSVFVNBCEVLWKGHWMURUSUTVAVBVCVD $.
  $}

  ${
    $d x y B $.  $d x y K $.  $d x y L $.  $d x y ph $.
    grpinvpropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    grpinvpropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    grpinvpropd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    $( If two structures have the same group components (properties), they have
       the same group inversion function.  (Contributed by Mario Carneiro,
       27-Nov-2014.)  (Revised by Stefan O'Rear, 21-Mar-2015.) $)
    grpinvpropd $p |- ( ph -> ( invg ` K ) = ( invg ` L ) ) $=
      ( cbs cfv cv cplusg co c0g wceq crio cmpt wa eqid cminusg wcel grpidpropd
      adantr eqeq12d anass1rs riotabidva mpteq2dva riotaeqdv 3eqtr3d grpinvfval
      wb mpteq12dv 3eqtr4g ) ACEJKZBLZCLZEMKZNZEOKZPZBUOQZRZCFJKZUPUQFMKZNZFOKZ
      PZBVDQZRZEUAKZFUAKZACDVABDQZRCDVHBDQZRVCVJACDVMVNAUQDUBZSVAVHBDAUPDUBZVOV
      AVHULAVPVOSZSUSVFUTVGIAUTVGPVQABCDEFGHIUCUDUEUFUGUHACDVMUOVBGAVABDUOGUIUM
      ACDVNVDVIHAVHBDVDHUIUMUJCBUOUREVKUTUOTURTUTTVKTUKCBVDVEFVLVGVDTVETVGTVLTU
      KUN $.
  $}

  ${
    $d B x y $.  $d M x y $.  $d S x y $.
    grpidssd.m $e |- ( ph -> M e. Grp ) $.
    grpidssd.s $e |- ( ph -> S e. Grp ) $.
    grpidssd.b $e |- B = ( Base ` S ) $.
    grpidssd.c $e |- ( ph -> B C_ ( Base ` M ) ) $.
    grpidssd.o $e |- ( ph -> A. x e. B A. y e. B
                             ( x ( +g ` M ) y ) = ( x ( +g ` S ) y ) ) $.
    $( If the base set of a group is contained in the base set of another
       group, and the group operation of the group is the restriction of the
       group operation of the other group to its base set, then both groups
       have the same identity element.  (Contributed by AV, 15-Mar-2019.) $)
    grpidssd $p |- ( ph -> ( 0g ` M ) = ( 0g ` S ) ) $=
      ( c0g cfv cplusg co wceq wcel cv wral eqid cgrp grpidcl syl oveq1 eqeq12d
      oveq2 rspc2va syl21anc grplid syl2anc2 eqtrd cbs sseldd grpidlcan syl3anc
      wb mpbid eqcomd ) AELMZFLMZAUSUSFNMZOZUSPZUSUTPZAVBUSUSENMZOZUSAUSDQZVGBR
      ZCRZVAOZVHVIVEOZPZCDSBDSVBVFPZAEUAQZVGHDEUSIUSTZUBZUCZVQKVLVMUSVIVAOZUSVI
      VEOZPBCUSUSDDVHUSPVJVRVKVSVHUSVIVAUDVHUSVIVEUDUEVIUSPVRVBVSVFVIUSUSVAUFVI
      USUSVEUFUEUGUHAVNVGVFUSPHVPDVEEUSUSIVETVOUIUJUKAFUAQUSFULMZQZWAVCVDUPGADV
      TUSJVQUMZWBVTVAFUSUTUSVTTVATUTTUNUOUQUR $.

    $d X x y $.
    $( If the base set of a group is contained in the base set of another
       group, and the group operation of the group is the restriction of the
       group operation of the other group to its base set, then the elements of
       the first group have the same inverses in both groups.  (Contributed by
       AV, 15-Mar-2019.) $)
    grpinvssd $p |- ( ph -> ( X e. B
                     -> ( ( invg ` S ) ` X ) = ( ( invg ` M ) ` X ) ) ) $=
      ( wcel cminusg cfv wceq cplusg co eqid adantr wa wral cgrp grpinvcl sylan
      c0g cv simpr oveq1 eqeq12d oveq2 rspc2va syl21anc grplinv sselda syl2an2r
      cbs grpidssd eqtr2d 3eqtrd wb wss sseldd grprcan syl13anc mpbid ex ) AGDM
      ZGENOZOZGFNOZOZPZAVHUAZVJGFQOZRZVLGVORZPZVMVNVPVJGEQOZRZEUFOZVQVNVJDMZVHB
      UGZCUGZVORZWCWDVSRZPZCDUBBDUBZVPVTPZAEUCMZVHWBIDEVIGJVISZUDUEZAVHUHAWHVHL
      TWGWIVJWDVORZVJWDVSRZPBCVJGDDWCVJPWEWMWFWNWCVJWDVOUIWCVJWDVSUIUJWDGPWMVPW
      NVTWDGVJVOUKWDGVJVSUKUJULUMAWJVHVTWAPIDVSEVIGWAJVSSWASWKUNUEVNVQFUFOZWAAF
      UCMZVHGFUQOZMZVQWOPHADWQGKUOZWQVOFVKGWOWQSZVOSZWOSVKSZUNUPAWOWAPVHABCDEFH
      IJKLURTUSUTVNWPVJWQMVLWQMZWRVRVMVAAWPVHHTVNDWQVJADWQVBVHKTWLVCAWPVHWRXCHW
      SWQFVKGWTXBUDUPWSWQVOFVJVLGWTXAVDVEVFVG $.
  $}

  ${
    grpinvadd.b $e |- B = ( Base ` G ) $.
    grpinvadd.p $e |- .+ = ( +g ` G ) $.
    grpinvadd.n $e |- N = ( invg ` G ) $.
    $( The inverse of the group operation reverses the arguments.  Lemma
       2.2.1(d) of [Herstein] p. 55.  (Contributed by NM, 27-Oct-2006.) $)
    grpinvadd $p |- ( ( G e. Grp /\ X e. B /\ Y e. B ) ->
                   ( N ` ( X .+ Y ) ) = ( ( N ` Y ) .+ ( N ` X ) ) ) $=
      ( wcel co cfv wceq grpinvcl 3adant2 3adant3 grpcl syl3anc grpass syl13anc
      cgrp w3a c0g simp1 simp2 simp3 eqid grprinv oveq1d grplid syl2anc 3eqtr3d
      oveq2d 3eqtrd wb grpinvid1 mpbird ) CUAJZEAJZFAJZUBZEFBKZDLFDLZEDLZBKZMZV
      BVEBKZCUCLZMZVAVGEFVEBKZBKZEVDBKZVHVAURUSUTVEAJZVGVKMURUSUTUDZURUSUTUEURU
      SUTUFZVAURVCAJZVDAJZVMVNURUTVPUSACDFGINOZURUSVQUTACDEGINPZABCVCVDGHQRZABC
      EFVEGHSTVAVJVDEBVAFVCBKZVDBKZVHVDBKZVJVDVAWAVHVDBURUTWAVHMUSABCDFVHGHVHUG
      ZIUHOUIVAURUTVPVQWBVJMVNVOVRVSABCFVCVDGHSTVAURVQWCVDMVNVSABCVDVHGHWDUJUKU
      LUMURUSVLVHMUTABCDEVHGHWDIUHPUNVAURVBAJVMVFVIUOVNABCEFGHQVTABCDVBVEVHGHWD
      IUPRUQ $.
  $}

  ${
    $d x y B $.  $d x y G $.
    grpsubcl.b $e |- B = ( Base ` G ) $.
    grpsubcl.m $e |- .- = ( -g ` G ) $.
    $( Functionality of group subtraction.  (Contributed by Mario Carneiro,
       9-Sep-2014.) $)
    grpsubf $p |- ( G e. Grp -> .- : ( B X. B ) --> B ) $=
      ( vx vy cgrp wcel cv cminusg cfv cplusg co wral cxp eqid grpinvcl 3adant2
      wf grpcl syld3an3 3expb ralrimivva grpsubfval fmpo sylib ) BHIZFJZGJZBKLZ
      LZBMLZNZAIZGAOFAOAAPACTUHUOFGAAUHUIAIZUJAIZUOUHUPUQULAIZUOUHUQURUPABUKUJD
      UKQZRSAUMBUIULDUMQZUAUBUCUDFGAAUNACFGAUMBUKCDUTUSEUEUFUG $.

    $( Closure of group subtraction.  (Contributed by NM, 31-Mar-2014.) $)
    grpsubcl $p |- ( ( G e. Grp /\ X e. B /\ Y e. B ) -> ( X .- Y ) e. B ) $=
      ( cgrp wcel cxp wf co grpsubf fovrn syl3an1 ) BHIAAJACKDAIEAIDECLAIABCFGM
      DEAAACNO $.

    $( Right cancellation law for group subtraction.  (Contributed by NM,
       31-Mar-2014.) $)
    grpsubrcan $p |- ( ( G e. Grp /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
                  ( ( X .- Z ) = ( Y .- Z ) <-> X = Y ) ) $=
      ( cgrp wcel w3a wa co wceq cminusg cfv cplusg wb eqid grpsubval 3ad2antr3
      3adant2 3adant1 eqeq12d adantl simpl simpr1 simpr2 grpinvcl grprcan bitrd
      syl13anc ) BIJZDAJZEAJZFAJZKZLZDFCMZEFCMZNZDFBOPZPZBQPZMZEVCVDMZNZDENZUQV
      AVGRUMUQUSVEUTVFUNUPUSVENUOAVDBVBCDFGVDSZVBSZHTUBUOUPUTVFNUNAVDBVBCEFGVIV
      JHTUCUDUEURUMUNUOVCAJZVGVHRUMUQUFUMUNUOUPUGUMUNUOUPUHUMUNUPVKUOABVBFGVJUI
      UAAVDBDEVCGVIUJULUK $.

    grpinvsub.n $e |- N = ( invg ` G ) $.
    $( Inverse of a group subtraction.  (Contributed by NM, 9-Sep-2014.) $)
    grpinvsub $p |- ( ( G e. Grp /\ X e. B /\ Y e. B ) ->
                      ( N ` ( X .- Y ) ) = ( Y .- X ) ) $=
      ( cgrp wcel w3a cfv cplusg co wceq grpinvcl 3adant2 grpsubval 3adant1
      eqid grpinvadd syld3an3 grpinvinv oveq1d eqtrd fveq2d ancoms 3eqtr4d ) BJ
      KZEAKZFAKZLZEFDMZBNMZOZDMZFEDMZUOOZEFCOZDMFECOZUMUQUNDMZURUOOZUSUJUKULUNA
      KZUQVCPUJULVDUKABDFGIQRAUOBDEUNGUOUAZIUBUCUMVBFURUOUJULVBFPUKABDFGIUDRUEU
      FUMUTUPDUKULUTUPPUJAUOBDCEFGVEIHSTUGUKULVAUSPZUJULUKVFAUOBDCFEGVEIHSUHTUI
      $.

    grpinvval2.z $e |- .0. = ( 0g ` G ) $.
    $( A ~ df-neg -like equation for inverse in terms of group subtraction.
       (Contributed by Mario Carneiro, 4-Oct-2015.) $)
    grpinvval2 $p |- ( ( G e. Grp /\ X e. B ) ->
                      ( N ` X ) = ( .0. .- X ) ) $=
      ( cgrp wcel wa co cfv cplusg wceq grpidcl eqid grpsubval grpinvcl grplid
      sylan syldan eqtr2d ) BKLZEALZMFECNZFEDOZBPOZNZUIUFFALUGUHUKQABFGJRAUJBDC
      FEGUJSZIHTUCUFUGUIALUKUIQABDEGIUAAUJBUIFGULJUBUDUE $.
  $}

  ${
    grpsubid.b $e |- B = ( Base ` G ) $.
    grpsubid.o $e |- .0. = ( 0g ` G ) $.
    grpsubid.m $e |- .- = ( -g ` G ) $.
    $( Subtraction of a group element from itself.  (Contributed by NM,
       31-Mar-2014.) $)
    grpsubid $p |- ( ( G e. Grp /\ X e. B ) -> ( X .- X ) = .0. ) $=
      ( cgrp wcel wa co cminusg cfv cplusg wceq eqid grpsubval anidms adantl
      grprinv eqtrd ) BIJZDAJZKDDCLZDDBMNZNBONZLZEUDUEUHPZUCUDUIAUGBUFCDDFUGQZU
      FQZHRSTAUGBUFDEFUJGUKUAUB $.

    $( Subtraction of the identity from a group element.  (Contributed by Mario
       Carneiro, 14-Jan-2015.) $)
    grpsubid1 $p |- ( ( G e. Grp /\ X e. B ) -> ( X .- .0. ) = X ) $=
      ( cgrp wcel wa co cminusg cfv cplusg wceq id grpidcl eqid grpsubval
      syl2anr grpinvid adantr oveq2d grprid 3eqtrd ) BIJZDAJZKZDECLZDEBMNZNZBON
      ZLZDEUMLDUHUHEAJUJUNPUGUHQABEFGRAUMBUKCDEFUMSZUKSZHTUAUIULEDUMUGULEPUHBUK
      EGUPUBUCUDAUMBDEFUOGUEUF $.

    $( If the difference between two group elements is zero, they are equal.
       ( ~ subeq0 analog.)  (Contributed by NM, 31-Mar-2014.) $)
    grpsubeq0 $p |- ( ( G e. Grp /\ X e. B /\ Y e. B )
                  -> ( ( X .- Y ) = .0. <-> X = Y ) ) $=
      ( cgrp wcel w3a co wceq cminusg cfv cplusg eqid eqeq1d 3adant2 3adant1 wb
      grpsubval simp1 grpinvcl simp2 grpinvid2 syl3anc grpinvinv bitrdi 3bitr2d
      eqcom ) BJKZDAKZEAKZLZDECMZFNDEBOPZPZBQPZMZFNZUSURPZDNZDENZUPUQVAFUNUOUQV
      ANUMAUTBURCDEGUTRZURRZIUCUASUPUMUSAKZUNVDVBUBUMUNUOUDUMUOVHUNABUREGVGUETU
      MUNUOUFAUTBURUSDFGVFHVGUGUHUPVDEDNVEUPVCEDUMUOVCENUNABUREGVGUITSEDULUJUK
      $.

    grpsubadd0sub.p $e |- .+ = ( +g ` G ) $.
    $( Subtraction expressed as addition of the difference of the identity
       element and the subtrahend.  (Contributed by AV, 9-Nov-2019.) $)
    grpsubadd0sub $p |- ( ( G e. Grp /\ X e. B /\ Y e. B )
                          -> ( X .- Y ) = ( X .+ ( .0. .- Y ) ) ) $=
      ( cgrp wcel w3a co cminusg cfv wceq eqid grpsubval 3adant1 3adant2 oveq2d
      grpinvval2 eqtrd ) CLMZEAMZFAMZNZEFDOZEFCPQZQZBOZEGFDOZBOUGUHUJUMRUFABCUK
      DEFHKUKSZJTUAUIULUNEBUFUHULUNRUGACDUKFGHJUOIUDUBUCUE $.
  $}

  ${
    grpsubadd.b $e |- B = ( Base ` G ) $.
    grpsubadd.p $e |- .+ = ( +g ` G ) $.
    grpsubadd.m $e |- .- = ( -g ` G ) $.
    $( Relationship between group subtraction and addition.  (Contributed by
       NM, 31-Mar-2014.) $)
    grpsubadd $p |- ( ( G e. Grp /\ ( X e. B /\ Y e. B /\ Z e. B ) )
          -> ( ( X .- Y ) = Z <-> ( Z .+ Y ) = X ) ) $=
      ( cgrp wcel w3a co wceq cfv eqid eqeq1d 3ad2antr2 syl13anc cminusg adantl
      wa grpsubval 3adant3 wb simpl simpr1 grpinvcl grpcl syl3anc simpr3 simpr2
      grprcan c0g grpass grplinv oveq2d grprid 3ad2antr1 3eqtrd 3bitr2d bitrdi
      eqcom ) CKLZEALZFALZGALZMZUCZEFDNZGOZEGFBNZOZVMEOVJVLEFCUAPZPZBNZGOZVQFBN
      ZVMOZVNVJVKVQGVIVKVQOZVEVFVGWAVHABCVODEFHIVOQZJUDUEUBRVJVEVQALZVHVGVTVRUF
      VEVIUGZVJVEVFVPALZWCWDVEVFVGVHUHZVEVFVGWEVHACVOFHWBUISZABCEVPHIUJUKVEVFVG
      VHULVEVFVGVHUMZABCVQGFHIUNTVJVSEVMVJVSEVPFBNZBNZECUOPZBNZEVJVEVFWEVGVSWJO
      WDWFWGWHABCEVPFHIUPTVJWIWKEBVEVFVGWIWKOVHABCVOFWKHIWKQZWBUQSURVEVGVFWLEOV
      HABCEWKHIWMUSUTVARVBEVMVDVC $.

    $( Double group subtraction.  (Contributed by NM, 24-Feb-2008.)  (Revised
       by Mario Carneiro, 2-Dec-2014.) $)
    grpsubsub $p |- ( ( G e. Grp /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
         ( X .- ( Y .- Z ) ) = ( X .+ ( Z .- Y ) ) ) $=
      ( cgrp wcel w3a wa co cminusg cfv wceq simpr1 3adant3r1 grpsubval syl2anc
      grpsubcl eqid grpinvsub oveq2d eqtrd ) CKLZEALZFALZGALZMNZEFGDOZDOZEUMCPQ
      ZQZBOZEGFDOZBOULUIUMALZUNUQRUHUIUJUKSUHUJUKUSUIACDFGHJUCTABCUODEUMHIUOUDZ
      JUAUBULUPUREBUHUJUKUPURRUIACDUOFGHJUTUETUFUG $.

    $( Associative-type law for group subtraction and addition.  (Contributed
       by NM, 16-Apr-2014.) $)
    grpaddsubass $p |- ( ( G e. Grp /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
         ( ( X .+ Y ) .- Z ) = ( X .+ ( Y .- Z ) ) ) $=
      ( cgrp wcel w3a wa co cminusg cfv wceq grpsubval syl2anc simpr1 3ad2antr3
      simpl simpr2 eqid grpinvcl grpass syl13anc grpcl 3adant3r3 simpr3 3eqtr4d
      oveq2d ) CKLZEALZFALZGALZMZNZEFBOZGCPQZQZBOZEFVBBOZBOZUTGDOZEFGDOZBOUSUNU
      OUPVBALZVCVERUNURUCUNUOUPUQUAUNUOUPUQUDZUNUOUQVHUPACVAGHVAUEZUFUBABCEFVBH
      IUGUHUSUTALZUQVFVCRUNUOUPVKUQABCEFHIUIUJUNUOUPUQUKZABCVADUTGHIVJJSTUSVGVD
      EBUSUPUQVGVDRVIVLABCVADFGHIVJJSTUMUL $.

    $( Cancellation law for subtraction ( ~ pncan analog).  (Contributed by NM,
       16-Apr-2014.) $)
    grppncan $p |- ( ( G e. Grp /\ X e. B /\ Y e. B ) ->
        ( ( X .+ Y ) .- Y ) = X ) $=
      ( cgrp wcel w3a co c0g cfv wceq simp1 simp2 simp3 grpaddsubass wa 3adant2
      syl13anc eqid grpsubid oveq2d grprid 3adant3 3eqtrd ) CJKZEAKZFAKZLZEFBMF
      DMZEFFDMZBMZECNOZBMZEUMUJUKULULUNUPPUJUKULQUJUKULRUJUKULSZUSABCDEFFGHITUC
      UJULUPURPUKUJULUAUOUQEBACDFUQGUQUDZIUEUFUBUJUKUREPULABCEUQGHUTUGUHUI $.

    $( Cancellation law for subtraction ( ~ npcan analog).  (Contributed by NM,
       19-Apr-2014.) $)
    grpnpcan $p |- ( ( G e. Grp /\ X e. B /\ Y e. B ) ->
        ( ( X .- Y ) .+ Y ) = X ) $=
      ( cgrp wcel w3a cminusg cfv co wceq eqid 3adant2 syld3an3 grpsubval grpcl
      grpinvcl syl2anc grppncan 3adant1 eqcomd grpinvinv oveq12d 3eqtr3rd ) CJK
      ZEAKZFAKZLZEFCMNZNZBOZUODOZUPUOUNNZBOZEEFDOZFBOUMUPAKZUOAKZUQUSPUJUKULVBV
      AUJULVBUKACUNFGUNQZUBRZABCEUOGHUASVDABCUNDUPUOGHVCITUCUJUKULVBUQEPVDABCDE
      UOGHIUDSUMUPUTURFBUMUTUPUKULUTUPPUJABCUNDEFGHVCITUEUFUJULURFPUKACUNFGVCUG
      RUHUI $.

    $( Double group subtraction ( ~ subsub4 analog).  (Contributed by Mario
       Carneiro, 2-Dec-2014.) $)
    grpsubsub4 $p |- ( ( G e. Grp /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
         ( ( X .- Y ) .- Z ) = ( X .- ( Z .+ Y ) ) ) $=
      ( cgrp wcel w3a co wceq grpsubcl 3adant3r3 grpnpcan syl3anc syl13anc wa
      simpl simpr3 oveq1d simpr2 grpass wb simpr1 grpcl grpsubadd mpbird eqcomd
      3eqtr3d ) CKLZEALZFALZGALZMZUAZEGFBNZDNZEFDNZGDNZUSVAVCOZVCUTBNZEOZUSVCGB
      NZFBNZVBFBNZVEEUSVGVBFBUSUNVBALZUQVGVBOUNURUBZUNUOUPVJUQACDEFHJPQZUNUOUPU
      QUCZABCDVBGHIJRSUDUSUNVCALZUQUPVHVEOVKUSUNVJUQVNVKVLVMACDVBGHJPSZVMUNUOUP
      UQUEZABCVCGFHIUFTUNUOUPVIEOUQABCDEFHIJRQUMUSUNUOUTALZVNVDVFUGVKUNUOUPUQUH
      USUNUQUPVQVKVMVPABCGFHIUISVOABCDEUTVCHIJUJTUKUL $.

    $( Cancellation law for mixed addition and subtraction.  ( ~ pnpcan2
       analog.)  (Contributed by NM, 15-Feb-2008.)  (Revised by Mario Carneiro,
       2-Dec-2014.) $)
    grppnpcan2 $p |- ( ( G e. Grp /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
         ( ( X .+ Z ) .- ( Y .+ Z ) ) = ( X .- Y ) ) $=
      ( cgrp wcel w3a wa co wceq simpl grpcl 3adant3r2 simpr3 simpr2 grpsubsub4
      syl13anc grppncan oveq1d eqtr3d ) CKLZEALZFALZGALZMZNZEGBOZGDOZFDOZUMFGBO
      DOZEFDOULUGUMALZUJUIUOUPPUGUKQUGUHUJUQUIABCEGHIRSUGUHUIUJTUGUHUIUJUAABCDU
      MGFHIJUBUCULUNEFDUGUHUJUNEPUIABCDEGHIJUDSUEUF $.

    $( Cancellation law for group subtraction.  ( ~ npncan analog.)
       (Contributed by NM, 15-Feb-2008.)  (Revised by Mario Carneiro,
       2-Dec-2014.) $)
    grpnpncan $p |- ( ( G e. Grp /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
         ( ( X .- Y ) .+ ( Y .- Z ) ) = ( X .- Z ) ) $=
      ( cgrp wcel w3a wa co wceq simpl grpsubcl 3adant3r3 simpr2 simpr3 oveq1d
      grpaddsubass syl13anc grpnpcan eqtr3d ) CKLZEALZFALZGALZMZNZEFDOZFBOZGDOZ
      UMFGDOBOZEGDOULUGUMALZUIUJUOUPPUGUKQUGUHUIUQUJACDEFHJRSUGUHUIUJTUGUHUIUJU
      AABCDUMFGHIJUCUDULUNEGDUGUHUIUNEPUJABCDEFHIJUESUBUF $.

    grpnpncan0.0 $e |- .0. = ( 0g ` G ) $.
    $( Cancellation law for group subtraction ( ~ npncan2 analog).
       (Contributed by AV, 24-Nov-2019.) $)
    grpnpncan0 $p |- ( ( G e. Grp /\ ( X e. B /\ Y e. B ) )
                       -> ( ( X .- Y ) .+ ( Y .- X ) ) = .0. ) $=
      ( cgrp wcel wa co wceq simpl simprl simprr grpnpncan syl13anc grpsubid
      adantrr eqtrd ) CLMZEAMZFAMZNZNZEFDOFEDOBOZEEDOZGUIUEUFUGUFUJUKPUEUHQUEUF
      UGRZUEUFUGSULABCDEFEHIJTUAUEUFUKGPUGACDEGHKJUBUCUD $.
  $}

  ${
    grpnnncan2.b $e |- B = ( Base ` G ) $.
    grpnnncan2.m $e |- .- = ( -g ` G ) $.
    $( Cancellation law for group subtraction.  ( ~ nnncan2 analog.)
       (Contributed by NM, 15-Feb-2008.)  (Revised by Mario Carneiro,
       2-Dec-2014.) $)
    grpnnncan2 $p |- ( ( G e. Grp /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
         ( ( X .- Z ) .- ( Y .- Z ) ) = ( X .- Y ) ) $=
      ( cgrp wcel w3a wa co cplusg cfv wceq simpl simpr1 simpr3 3adant3r1 eqtrd
      grpsubcl eqid grpsubsub4 syl13anc grpnpcan oveq2d ) BIJZDAJZEAJZFAJZKZLZD
      FCMEFCMZCMZDUNFBNOZMZCMZDECMUMUHUIUKUNAJZUOURPUHULQUHUIUJUKRUHUIUJUKSUHUJ
      UKUSUIABCEFGHUBTAUPBCDFUNGUPUCZHUDUEUMUQEDCUHUJUKUQEPUIAUPBCEFGUTHUFTUGUA
      $.
  $}

  ${
    $d B a i l r u w x y z $.  $d G a i l r u w x y z $.
    $d .+ a i l r u w x y z $.
    dfgrp3.b $e |- B = ( Base ` G ) $.
    dfgrp3.p $e |- .+ = ( +g ` G ) $.
    $( Lemma for ~ dfgrp3 .  (Contributed by AV, 28-Aug-2021.) $)
    dfgrp3lem $p |- ( ( G e. Smgrp /\ B =/= (/) /\ A. x e. B A. y e. B
                                     ( E. l e. B ( l .+ x ) = y
                                    /\ E. r e. B ( x .+ r ) = y ) )
                     -> E. u e. B A. a e. B ( ( u .+ a ) = a
                                             /\ E. i e. B ( i .+ a ) = u ) ) $=
      ( cv co wceq wrex wa weq eqeq1d rexbidv vw vz csgrp wcel wne wral w3a wex
      c0 simp2 n0 sylib oveq2 oveq1 anbi12d ralbidv rspcv eqeq2 rspcva cbvrexvw
      wi biimpi adantr syl ex syldc 3ad2ant3 imp rspc2va simprd expcom ad2ant2r
      impl simpll1 simplr simpllr simprr sgrpass syl13anc simprl oveq1d anassrs
      eqtr3d eqeq12d syl5ibcom rexlimdva syl5bi adantrl mpd simpld ancoms com12
      id adantllr adantrr jca expr ralrimdva reximdva exlimddv ) GUCUDZDUIUEZJM
      ZAMZENZBMZOZJDPZXDHMZENZXFOZHDPZQZBDUFZADUFZUGZUAMZDUDZCMZIMZENZXTOZFMZXT
      ENZXSOZFDPZQZIDUFZCDPZUAXPXBXRUAUHXAXBXOUJUADUKULXPXRQZXSXQENZXQOZCDPZYIX
      PXRYMXOXAXRYMVAXBXRXOXCXQENZXFOZJDPZXQXIENZXFOZHDPZQZBDUFZYMXNUUAAXQDAUAR
      ZXMYTBDUUBXHYPXLYSUUBXGYOJDUUBXEYNXFXDXQXCEUMSTUUBXKYRHDUUBXJYQXFXDXQXIEU
      NSTUOZUPUQXRUUAYMXRUUAQYNXQOZJDPZYQXQOZHDPZQZYMYTUUHBXQDBUARZYPUUEYSUUGUU
      IYOUUDJDXFXQYNURTUUIYRUUFHDXFXQYQURTUOUSUUEYMUUGUUEYMUUDYLJCDJCRYNYKXQXCX
      SXQEUNSUTVBVCVDVEVFVGVHYJYLYHCDYJXSDUDZQZYLYGIDUUKXTDUDZYLYGUUKUULYLQQZYB
      YFUUMYQXTOZHDPZYBYJUULUUOUUJYLXPXRUULUUOXOXAXRUULQZUUOVAXBUUPXOUUOUUPXOQY
      NXTOZJDPZUUOXMUURUUOQYTABXQXTDDUUCBIRZYPUURYSUUOUUSYOUUQJDXFXTYNURTUUSYRU
      UNHDXFXTYQURTUOVIVJVKVGVMVLUUKYLUUOYBVAUULUUOXQUBMZENZXTOZUBDPUUKYLQZYBUU
      NUVBHUBDHUBRYQUVAXTXIUUTXQEUMSUTUVCUVBYBUBDUVCUUTDUDZQXSUVAENZUVAOZUVBYBU
      UKYLUVDUVFUUKYLUVDQZQZYKUUTENZUVEUVAUVHXAUUJXRUVDUVIUVEOUUKXAUVGXAXBXOXRU
      UJVNVCYJUUJUVGVOXPXRUUJUVGVPUUKYLUVDVQDGXSXQEUUTKLVRVSUVHYKXQUUTEUUKYLUVD
      VTWAWCWBUVBUVEYAUVAXTUVAXTXSEUMUVBWMWDWEWFWGWHWIUUKUULYFYLXPUUJUULYFXRXPU
      UJQUULQXCXTENZXSOZJDPZYFXPUUJUULUVLXOXAUUJUULQZUVLVAXBUVMXOUVLUULUUJXOUVL
      VAUULUUJQZXOUVLUVNXOQUVLXTXIENZXSOZHDPZXMUVLUVQQUVJXFOZJDPZUVOXFOZHDPZQAB
      XTXSDDAIRZXHUVSXLUWAUWBXGUVRJDUWBXEUVJXFXDXTXCEUMSTUWBXKUVTHDUWBXJUVOXFXD
      XTXIEUNSTUOBCRZUVSUVLUWAUVQUWCUVRUVKJDXFXSUVJURTUWCUVTUVPHDXFXSUVOURTUOVI
      WJVEWKWLVGVMUVKYEJFDJFRUVJYDXSXCYCXTEUNSUTULWNWOWPWQWRWSWIWT $.

    $( Alternate definition of a group as semigroup (with at least one element)
       which is also a quasigroup, i.e. a magma in which solutions ` x ` and
       ` y ` of the equations ` ( a .+ x ) = b ` and ` ( x .+ a ) = b ` exist.
       Theorem 3.2 of [Bruck] p. 28.  (Contributed by AV, 28-Aug-2021.) $)
    dfgrp3 $p |- ( G e. Grp <-> ( G e. Smgrp /\ B =/= (/) /\ A. x e. B
      A. y e. B ( E. l e. B ( l .+ x ) = y /\ E. r e. B ( x .+ r ) = y ) ) ) $=
      ( vu va vi wcel cv co wceq wrex wa cfv adantl cgrp csgrp wne wral grpsgrp
      c0 w3a grpbn0 csg simpl simpr eqid grpsubcl syl3anc oveq1 eqeq1d grpnpcan
      rspcedvd cminusg grpinvcl adantrr grpcl oveq2 c0g grprinv oveq1d syl13anc
      wb grpass cmnd grpmnd mndlid syl2an 3eqtr3d jca ralrimivva 3jca dfgrp3lem
      simp1 dfgrp2 sylanbrc impbii ) EUAMZEUBMZCUFUCZGNZANZDOZBNZPZGCQZWGFNZDOZ
      WIPZFCQZRZBCUDACUDZUGZWCWDWEWQEUECEHUHWCWPABCCWCWGCMZWICMZRZRZWKWOXBWJWIW
      GEUISZOZWGDOZWIPZGXDCXBWCWTWSXDCMWCXAUJZXAWTWCWSWTUKZTZXAWSWCWSWTUJTZCEXC
      WIWGHXCULZUMUNWFXDPZWJXFVHXBXLWHXEWIWFXDWGDUOUPTXBWCWTWSXFXGXIXJCDEXCWIWG
      HIXKUQUNURXBWNWGWGEUSSZSZWIDOZDOZWIPZFXOCXBWCXNCMZWTXOCMXGWCWSXRWTCEXMWGH
      XMULZUTVAZXICDEXNWIHIVBUNWLXOPZWNXQVHXBYAWMXPWIWLXOWGDVCUPTXBWGXNDOZWIDOZ
      EVDSZWIDOZXPWIXBYBYDWIDWCWSYBYDPWTCDEXMWGYDHIYDULZXSVEVAVFXBWCWSXRWTYCXPP
      XGXJXTXICDEWGXNWIHIVIVGWCEVJMWTYEWIPXAEVKXHCDEWIYDHIYFVLVMVNURVOVPVQWRWDJ
      NZKNZDOYHPLNYHDOYGPLCQRKCUDJCQWCWDWEWQVSABJCDLEFKGHIVRKCDLJEHIVTWAWB $.

    $( Alternate definition of a group as a set with a closed, associative
       operation, for which solutions ` x ` and ` y ` of the equations
       ` ( a .+ x ) = b ` and ` ( x .+ a ) = b ` exist.  Exercise 1 of
       [Herstein] p. 57.  (Contributed by NM, 5-Dec-2006.)  (Revised by AV,
       28-Aug-2021.) $)
    dfgrp3e $p |- ( G e. Grp <-> ( B =/= (/)
                      /\ A. x e. B A. y e. B ( ( x .+ y ) e. B
                         /\ A. z e. B ( ( x .+ y ) .+ z ) = ( x .+ ( y .+ z ) )
                         /\ ( E. l e. B ( l .+ x ) = y
                              /\ E. r e. B ( x .+ r ) = y ) ) ) ) $=
      ( va wcel cv co wceq wrex wa wral adantr simpr cgrp csgrp c0 dfgrp3 simp2
      wne w3a wi cmgm sgrpmgm mgmcl syl3anc sgrpass 3anassrs ralrimiva ralimdva
      3jca ex a1d 3imp jca wex n0 3simpa 2ralimi issgrpn0 syl5ibr exlimiv sylbi
      imp simpl simp3 adantl impbii bitri ) FUALFUBLZDUCUFZHMAMZENBMZOHDPVRGMEN
      VSOGDPQZBDRZADRZUGZVQVRVSENZDLZWDCMZENVRVSWFENENOZCDRZVTUGZBDRZADRZQZABDE
      FGHIJUDWCWLWCVQWKVPVQWBUEVPVQWBWKVPWBWKUHVQVPWAWJADVPVRDLZQZVTWIBDWNVSDLZ
      QZVTWIWPVTQWEWHVTWPWEVTWPFUILZWMWOWEWNWQWOVPWQWMFUJSSWNWMWOVPWMTSWNWOTDFV
      RVSEIJUKULSWPWHVTWPWGCDVPWMWOWFDLWGDFVRVSEWFIJUMUNUOSWPVTTUQURUPUPUSUTVAW
      LVPVQWBVQWKVPVQKMZDLZKVBWKVPUHZKDVCWSWTKWKVPWSWEWHQZBDRADRWIXAABDDWEWHVTV
      DVEABCWRDFEIJVFVGVHVIVJVQWKVKWKWBVQWIVTABDDWEWHVTVLVEVMUQVNVO $.
  $}

  ${
    $d a b g A $.  $d a b g G $.  $d a b g I $.  $d a b g .+ $.  $d a b g X $.
    $d a B $.
    grplact.1 $e |- F = ( g e. X |-> ( a e. X |-> ( g .+ a ) ) ) $.
    grplact.2 $e |- X = ( Base ` G ) $.
    $( The left group action of element ` A ` of group ` G ` .  (Contributed by
       Paul Chapman, 18-Mar-2008.) $)
    grplactfval $p |- ( A e. X ->
                ( F ` A ) = ( a e. X |-> ( A .+ a ) ) ) $=
      ( cv co cbs cmpt wceq oveq1 mpteq2dv mptfvmpt ) GCAGJZBKZLDGFCJZRBKZMFFEA
      TANGFUASTARBOPHIQ $.

    $( The value of the left group action of element ` A ` of group ` G ` at
       ` B ` .  (Contributed by Paul Chapman, 18-Mar-2008.) $)
    grplactval $p |- ( ( A e. X /\ B e. X ) ->
                       ( ( F ` A ) ` B ) = ( A .+ B ) ) $=
      ( wcel cfv cv co cmpt grplactfval fveq1d oveq2 eqid ovex fvmpt sylan9eq )
      AGKZBGKBAELZLBHGAHMZCNZOZLABCNZUCBUDUGACDEFGHIJPQHBUFUHGUGUEBACRUGSABCTUA
      UB $.

    grplact.3 $e |- .+ = ( +g ` G ) $.
    ${
      grplactcnv.4 $e |- I = ( invg ` G ) $.
      $( The left group action of element ` A ` of group ` G ` maps the
         underlying set ` X ` of ` G ` one-to-one onto itself.  (Contributed by
         Paul Chapman, 18-Mar-2008.)  (Proof shortened by Mario Carneiro,
         14-Aug-2015.) $)
      grplactcnv $p |- ( ( G e. Grp /\ A e. X ) ->
       ( ( F ` A ) : X -1-1-onto-> X /\ `' ( F ` A ) = ( F ` ( I ` A ) ) ) ) $=
        ( vb wcel wa cfv wf1o wceq co cmpt cgrp cv grpcl 3expa grpinvcl syldanl
        ccnv eqid eqcom c0g grplinv adantr oveq1d simpll simplr simprl syl13anc
        grpass grplid ad2ant2r 3eqtr3rd eqeq2d syl5bb wb simprr adantrr grplcan
        bitrd f1ocnv2d grplactfval adantl f1oeq1d cnveqd cbvmptv eqtrdi eqeq12d
        oveq2 syl anbi12d mpbird ) EUANZAGNZOZGGADPZQZWDUGZAFPZDPZRZOGGHGAHUBZB
        SZTZQZWLUGZMGWGMUBZBSZTZRZOWCHMGGWKWPWLWLUHWAWBWJGNZWKGNZGBEAWJJKUCUDZW
        AWBWGGNZWOGNZWPGNZGEFAJLUEZWAXBXCXDGBEWGWOJKUCUDUFWCWSXCOZOZWJWPRZWPWGW
        KBSZRZWOWKRZXHWPWJRXGXJWJWPUIXGWJXIWPXGWGABSZWJBSZEUJPZWJBSZXIWJXGXLXNW
        JBWCXLXNRXFGBEFAXNJKXNUHZLUKULUMXGWAXBWBWSXMXIRWAWBXFUNZWCXBXFXEULZWAWB
        XFUOWCWSXCUPGBEWGAWJJKURUQWAWSXOWJRWBXCGBEWJXNJKXPUSUTVAVBVCXGWAXCWTXBX
        JXKVDXQWCWSXCVEWCWSWTXCXAVFXRGBEWOWKWGJKVGUQVHVIWCWEWMWIWRWCGGWDWLWBWDW
        LRWAABCDEGHIJVJVKZVLWCWFWNWHWQWCWDWLXSVMWCXBWHWQRXEXBWHHGWGWJBSZTWQWGBC
        DEGHIJVJHMGXTWPWJWOWGBVQVNVOVRVPVSVT $.
    $}

    $( The left group action of element ` A ` of group ` G ` maps the
       underlying set ` X ` of ` G ` one-to-one onto itself.  (Contributed by
       Paul Chapman, 18-Mar-2008.)  (Proof shortened by Mario Carneiro,
       14-Aug-2015.) $)
    grplactf1o $p |- ( ( G e. Grp /\ A e. X ) ->
                       ( F ` A ) : X -1-1-onto-> X ) $=
      ( cgrp wcel wa cfv wf1o ccnv cminusg wceq eqid grplactcnv simpld ) EKLAFL
      MFFADNZOUBPAEQNZNDNRABCDEUCFGHIJUCSTUA $.
  $}

  ${
    $d ph a b $.  $d ph x y $.  $d G a b $.  $d G x y $.  $d H a b $.
    $d H x y $.
    grpsubpropd.b $e |- ( ph -> ( Base ` G ) = ( Base ` H ) ) $.
    grpsubpropd.p $e |- ( ph -> ( +g ` G ) = ( +g ` H ) ) $.
    $( Weak property deduction for the group subtraction operation.
       (Contributed by Mario Carneiro, 27-Mar-2015.) $)
    grpsubpropd $p |- ( ph -> ( -g ` G ) = ( -g ` H ) ) $=
      ( va vb vx vy cbs cfv cv cminusg cplusg co cmpo csg eqidd wcel eqid wa
      oveqdr grpinvpropd fveq1d oveq123d mpoeq123dv grpsubfval 3eqtr4g ) AFGBJK
      ZUIFLZGLZBMKZKZBNKZOZPFGCJKZUPUJUKCMKZKZCNKZOZPBQKZCQKZAFGUIUIUOUPUPUTDDA
      UJUJUMURUNUSEAUJRAUKULUQAHIUIBCAUIRDAHLUISILUISUAHIUNUSEUBUCUDUEUFFGUIUNB
      ULVAUITUNTULTVATUGFGUPUSCUQVBUPTUSTUQTVBTUGUH $.
  $}

  ${
    $d x y B $.  $d a b x y G $.  $d a b x y H $.  $d a b x y ph $.
    grpsubpropd2.1 $e |- ( ph -> B = ( Base ` G ) ) $.
    grpsubpropd2.2 $e |- ( ph -> B = ( Base ` H ) ) $.
    grpsubpropd2.3 $e |- ( ph -> G e. Grp ) $.
    grpsubpropd2.4 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` G ) y ) = ( x ( +g ` H ) y ) ) $.
    $( Strong property deduction for the group subtraction operation.
       (Contributed by Mario Carneiro, 4-Oct-2015.) $)
    grpsubpropd2 $p |- ( ph -> ( -g ` G ) = ( -g ` H ) ) $=
      ( va vb cbs cfv co cmpo wcel wceq 3ad2ant1 eqid cv cminusg cplusg csg w3a
      simp1 simp2 eleqtrrd simp3 grpinvcl syl2anc oveqrspc2v grpinvpropd fveq1d
      cgrp syl12anc oveq2d eqtrd mpoeq3dva eqtr3d mpoeq12 grpsubfval 3eqtr4g )
      AKLEMNZVDKUAZLUAZEUBNZNZEUCNZOZPZKLFMNZVLVEVFFUBNZNZFUCNZOZPZEUDNZFUDNZAV
      KKLVDVDVPPZVQAKLVDVDVJVPAVEVDQZVFVDQZUEZVJVEVHVOOZVPWCAVEDQVHDQVJWDRAWAWB
      UFWCVEVDDAWAWBUGAWADVDRWBGSZUHWCVHVDDWCEUOQZWBVHVDQAWAWFWBISAWAWBUIVDEVGV
      FVDTZVGTZUJUKWEUHABCDDVIVOVEVHJULUPAWAWDVPRWBAVHVNVEVOAVFVGVMABCDEFGHJUMU
      NUQSURUSAVDVLRZWIVTVQRADVDVLGHUTZWJKLVDVDVLVLVPVAUKURKLVDVIEVGVRWGVITWHVR
      TVBKLVLVOFVMVSVLTVOTVMTVSTVBVC $.
  $}

  ${
    $d I e i $.  $d M e i $.
    grp1.m $e |- M = { <. ( Base ` ndx ) , { I } >. ,
                       <. ( +g ` ndx ) , { <. <. I , I >. , I >. } >. } $.
    $( The (smallest) structure representing a _trivial group_.  According to
       Wikipedia ("Trivial group", 28-Apr-2019,
       ~ https://en.wikipedia.org/wiki/Trivial_group ) "In mathematics, a
       _trivial group_ is a group consisting of a single element.  All such
       groups are isomorphic, so one often speaks of _the_ trivial group.  The
       single element of the trivial group is the identity element".
       (Contributed by AV, 28-Apr-2019.) $)
    grp1 $p |- ( I e. V -> M e. Grp ) $=
      ( ve vi wcel cmnd cv cop csn co c0g cfv wceq wrex cvv eqeq1d snex ax-mp
      wral cgrp mnd1 df-ov opex fvsng eqtrid mnd1id eqtr4d oveq2 rexbidv ralsng
      mpan oveq1 rexsng bitrd mpbird cbs grpbase cplusg grpplusg isgrp sylanbrc
      eqid ) ACGZBHGEIZFIZAAJZAJZKZLZBMNZOZEAKZPZFVNUAZBUBGABCDUCVEVPAAVJLZVLOZ
      VEVQAVLVEVQVHVJNZAAAVJUDVHQGVEVSAOAAUEVHAQCUFUMUGABCDUHUIVEVPVFAVJLZVLOZE
      VNPZVRVOWBFACVGAOZVMWAEVNWCVKVTVLVGAVFVJUJRUKULWAVREACVFAOVTVQVLVFAAVJUNR
      UOUPUQVNVJEBVLFVNQGVNBURNOASVNVJBQDUSTVJQGVJBUTNOVISVNVJBQDVATVLVDVBVC $.

    $( The inverse function of the trivial group.  (Contributed by FL,
       21-Jun-2010.)  (Revised by AV, 26-Aug-2021.) $)
    grp1inv $p |- ( I e. V -> ( invg ` M ) = ( _I |` { I } ) ) $=
      ( wcel csn cminusg cfv wf cid cres wceq cgrp grp1 cvv cbs snex cop anidms
      grpbase ax-mp eqid grpinvf syl wb fsng simpr cxp restidsing xpsng eqtr2id
      wa adantr eqtrd ex sylbid mpd ) ACEZAFZUSBGHZIZUTJUSKZLZURBMEVAABCDNUSBUT
      USOEUSBPHLAQUSAARZARFBODTUAUTUBUCUDURVAUTVDFZLZVCURVAVFUEAACCUTUFSURVFVCU
      RVFULUTVEVBURVFUGURVEVBLVFURVBUSUSUHZVEAUIURVGVELAACCUJSUKUMUNUOUPUQ $.
  $}

  ${
    $d x y B $.  $d x y F $.  $d x y I $.  $d x N $.  $d x y ph $.  $d x y R $.
    $d x .+ $.  $d x y S $.  $d x y V $.  $d x y W $.  $d x y Y $.  $d x .0. $.
    prdsinvlem.y $e |- Y = ( S Xs_ R ) $.
    prdsinvlem.b $e |- B = ( Base ` Y ) $.
    prdsinvlem.p $e |- .+ = ( +g ` Y ) $.
    prdsinvlem.s $e |- ( ph -> S e. V ) $.
    prdsinvlem.i $e |- ( ph -> I e. W ) $.
    prdsinvlem.r $e |- ( ph -> R : I --> Grp ) $.
    prdsinvlem.f $e |- ( ph -> F e. B ) $.
    prdsinvlem.z $e |- .0. = ( 0g o. R ) $.
    prdsinvlem.n $e |- N = ( y e. I |->
        ( ( invg ` ( R ` y ) ) ` ( F ` y ) ) ) $.
    $( Characterization of inverses in a structure product.  (Contributed by
       Mario Carneiro, 10-Jan-2015.) $)
    prdsinvlem $p |- ( ph -> ( N e. B /\ ( N .+ F ) = .0. ) ) $=
      ( vx wcel co wceq cv cfv cminusg cmpt cbs wral cgrp ffvelrnda adantr ffnd
      wa wfn simpr prdsbasprj eqid grpinvcl syl2anc ralrimiva prdsbasmpt mpbird
      eqeltrid cplusg c0g grplinv 2fveq3 fveq2 fveq12d fvex fvmpt adantl oveq1d
      weq ccom fveq1i fvco2 sylan eqtrid 3eqtr4d mpteq2dva prdsplusgval cvv crn
      wss fn0g ssv a1i fnco mp3an2i fneq1i sylibr dffn5 sylib jca ) AICUDIGDUEZ
      MUFAIBHBUGZGUHZXAEUHZUIUHZUHZUJZCUBAXFCUDXEXCUKUHZUDZBHULAXHBHAXAHUDZUQZX
      CUMUDXBXGUDXHAHUMXAESUNXJCEFGHXAJKLNOAFJUDZXIQUOAHKUDZXIRUOAEHURZXIAHUMES
      UPZUOAGCUDZXITUOAXIUSUTXGXCXDXBXGVAXDVAVBVCVDABCEFXEHJKLNOQRXNVEVFVGZAUCH
      UCUGZIUHZXQGUHZXQEUHZVHUHZUEZUJUCHXQMUHZUJZWTMAUCHYBYCAXQHUDZUQZXSXTUIUHZ
      UHZXSYAUEZXTVIUHZYBYCYFXTUMUDXSXTUKUHZUDYIYJUFAHUMXQESUNYFCEFGHXQJKLNOAXK
      YEQUOAXLYERUOAXMYEXNUOAXOYETUOAYEUSUTYKYAXTYGXSYJYKVAYAVAYJVAYGVAVJVCYFXR
      YHXSYAYEXRYHUFABXQXEYHHIBUCVRXBXSXDYGXAXQUIEVKXAXQGVLVMUBXSYGVNVOVPVQYFYC
      XQVIEVSZUHZYJXQMYLUAVTAXMYEYMYJUFXNHVIEXQWAWBWCWDWEAUCCDEFIGHJKLNOQRXNXPT
      PWFAMHURZMYDUFAYLHURZYNVIWGURAXMEWHZWGWIZYOWJXNYQAYPWKWLWGHVIEWMWNHMYLUAW
      OWPUCHMWQWRWDWS $.
  $}

  ${
    $d x B $.  $d b x I $.  $d a b x ph $.  $d b x R $.  $d b x S $.  $d x X $.
    $d a b x Y $.
    prdsgrpd.y $e |- Y = ( S Xs_ R ) $.
    prdsgrpd.i $e |- ( ph -> I e. W ) $.
    prdsgrpd.s $e |- ( ph -> S e. V ) $.
    prdsgrpd.r $e |- ( ph -> R : I --> Grp ) $.
    $( The product of a family of groups is a group.  (Contributed by Stefan
       O'Rear, 10-Jan-2015.) $)
    prdsgrpd $p |- ( ph -> Y e. Grp ) $=
      ( va vb cfv cgrp cmnd wcel cvv eqid adantr cbs cplusg cv cminusg cmpt c0g
      ccom eqidd wf wss grpmnd ssriv fss sylancl prds0g prdsmndd wa elexd simpr
      co wceq prdsinvlem simpld simprd isgrpd2 ) ALGUANZGUBNZGMDMUCZLUCZNVHBNUD
      NNUEZUFBUGZAVFUHAVGUHABCDEFGHIJADOBUIZOPUJDPBUIKLOPVIUKULDOPBUMUNZUOABCDE
      FGHIJVMUPAVIVFQZUQZVJVFQZVJVIVGUTVKVAZVOMVFVGBCVIDVJRRGVKHVFSVGSACRQVNACE
      JURTADRQVNADFIURTAVLVNKTAVNUSVKSVJSVBZVCVOVPVQVRVDVE $.

    prdsinvgd.b $e |- B = ( Base ` Y ) $.
    prdsinvgd.n $e |- N = ( invg ` Y ) $.
    prdsinvgd.x $e |- ( ph -> X e. B ) $.
    $( Negation in a product of groups.  (Contributed by Stefan O'Rear,
       10-Jan-2015.) $)
    prdsinvgd $p |- ( ph -> ( N ` X ) = ( x e. I |->
        ( ( invg ` ( R ` x ) ) ` ( X ` x ) ) ) ) $=
      ( cfv cgrp va cv cminusg cmpt wceq cplusg co c0g ccom wcel cvv eqid elexd
      prdsinvlem simprd cmnd wss grpmnd ssriv fss sylancl prds0g eqtrd prdsgrpd
      wf wb simpld grpinvid2 syl3anc mpbird ) AJGSBFBUBZJSVKDSUCSSUDZUEZVLJKUFS
      ZUGZKUHSZUEZAVOUHDUIZVPAVLCUJZVOVRUEZABCVNDEJFVLUKUKKVRLPVNULZAEHNUMAFIMU
      MORVRULVLULUNZUOADEFHIKLMNAFTDVETUPUQFUPDVEOUATUPUAUBURUSFTUPDUTVAVBVCAKT
      UJJCUJVSVMVQVFADEFHIKLMNOVDRAVSVTWBVGCVNKGJVLVPPWAVPULQVHVIVJ $.
  $}

  ${
    $d x y G $.  $d x y M $.  $d x y R $.  $d x y X $.  $d x B $.  $d x F $.
    $d x I $.  $d x N $.  $d x V $.
    pwsgrp.y $e |- Y = ( R ^s I ) $.
    $( A structure power of a group is a group.  (Contributed by Mario
       Carneiro, 11-Jan-2015.) $)
    pwsgrp $p |- ( ( R e. Grp /\ I e. V ) -> Y e. Grp ) $=
      ( cgrp wcel wa csca cfv csn cxp cprds co eqid pwsval cvv simpr fvexd wf
      fconst6g adantr prdsgrpd eqeltrd ) AFGZBCGZHZDAIJZBAKLZMNZFAUHBFCDEUHOPUG
      UIUHBQCUJUJOUEUFRUGAISUEBFUITUFBAFUAUBUCUD $.

    pwsinvg.b $e |- B = ( Base ` Y ) $.
    ${
      pwsinvg.m $e |- M = ( invg ` R ) $.
      pwsinvg.n $e |- N = ( invg ` Y ) $.
      $( Negation in a group power.  (Contributed by Mario Carneiro,
         11-Jan-2015.) $)
      pwsinvg $p |- ( ( R e. Grp /\ I e. V /\ X e. B ) ->
        ( N ` X ) = ( M o. X ) ) $=
        ( vx vy cgrp wcel cfv cminusg cbs eqid w3a csca csn cxp cprds cmpt ccom
        co cv cvv simp2 fvexd wf simp1 fconst6g syl simp3 pwsval 3adant3 fveq2d
        wceq eqtrid eleqtrd prdsinvgd wa fvconst2g sylan fveq1d mpteq2dva eqtrd
        eqtr4di pwselbas ffvelrnda feqmptd grpinvf fveq2 fmptco 3eqtr4d ) BOPZC
        FPZGAPZUAZGBUBQZCBUCUDZUEUHZRQZQZMCMUIZGQZDQZUFZGEQDGUGWBWGMCWIWHWDQZRQ
        ZQZUFWKWBMWESQZWDWCCWFUJFGWEWETVSVTWAUKZWBBUBULWBVSCOWDUMVSVTWAUNZCBOUO
        UPWOTWFTWBGAWOVSVTWAUQZWBAHSQWOJWBHWESVSVTHWEVAWABWCCOFHIWCTURUSZUTVBVC
        VDWBMCWNWJWBWHCPZVEZWIWMDXAWMBRQDXAWLBRWBVSWTWLBVAWQCBWHOVFVGUTKVKVHVIV
        JWBGEWFWBEHRQWFLWBHWERWSUTVBVHWBMNCBSQZWINUIZDQWJGDWBCXBWHGWBXBBCAOGHFI
        XBTZJWQWPWRVLZVMWBMCXBGXEVNWBNXBXBDWBVSXBXBDUMWQXBBDXDKVOUPVNXCWIDVPVQV
        R $.
    $}

    pwssub.m $e |- M = ( -g ` R ) $.
    pwssub.n $e |- .- = ( -g ` Y ) $.
    $( Subtraction in a group power.  (Contributed by Mario Carneiro,
       12-Jan-2015.) $)
    pwssub $p |- ( ( ( R e. Grp /\ I e. V ) /\ ( F e. B /\ G e. B ) ) ->
        ( F .- G ) = ( F oF M G ) ) $=
      ( vx cgrp wcel wa cfv co eqid vy cminusg cplusg cv cmpt cof simplr simpll
      cbs cvv simprl pwselbas ffvelrnda fvexd feqmptd ccom wceq pwsinvg syl3anc
      simprr wf grpinvf ad2antrr fveq2 fmptco eqtrd pwsgrp grpinvcl pwsplusgval
      offval2 syl2an2r grpsubval syl2anc mpteq2dva 3eqtr4d adantl ) BOPZEHPZQZC
      APZDAPZQZQZCDIUBRZRZIUCRZSZNENUDZCRZWHDRZFSZUEZCDGSZCDFUFSWCCWEBUCRZUFSNE
      WIWJBUBRZRZWNSZUEWGWLWCNEWIWPWNCWEHBUIRZUJVQVRWBUGZWCEWRWHCWCWRBEAOCIHJWR
      TZKVQVRWBUHZWSVSVTWAUKZULZUMZWCWHEPQZWJWOUNWCNEWRCXCUOZWCWEWODUPZNEWPUEWC
      VQVRWAWEXGUQXAWSVSVTWAUTZABEWOWDHDIJKWOTZWDTZURUSWCNUAEWRWJUAUDZWORWPDWOW
      CEWRWHDWCWRBEAODIHJWTKXAWSXHULZUMZWCNEWRDXLUOZWCUAWRWRWOVQWRWRWOVAVRWBWRB
      WOWTXIVBVCUOXKWJWOVDVEVFVJWCAWNWFBCWEEOHIJKXAWSXBVSIOPWBWAWEAPBEHIJVGXHAI
      WDDKXJVHVKWNTZWFTZVIWCNEWKWQXEWIWRPWJWRPWKWQUQXDXMWRWNBWOFWIWJWTXOXILVLVM
      VNVOWBWMWGUQVSAWFIWDGCDKXPXJMVLVPWCNEWIWJFCDHWRWRWSXDXMXFXNVJVO $.
  $}

  ${
    $d p q u v w x B $.  $d p v N $.  $d a b p q u v w x y z ph $.  $d p q R $.
    $d a b p q u v w x y z F $.  $d p q x y .+ $.  $d a b p q u v w x y z U $.
    $d a b p q x y z V $.  $d p q u v w x .0. $.
    imasgrp.u $e |- ( ph -> U = ( F "s R ) ) $.
    imasgrp.v $e |- ( ph -> V = ( Base ` R ) ) $.
    imasgrp.p $e |- ( ph -> .+ = ( +g ` R ) ) $.
    imasgrp.f $e |- ( ph -> F : V -onto-> B ) $.
    imasgrp.e $e |- ( ( ph /\ ( a e. V /\ b e. V ) /\ ( p e. V /\ q e. V ) )
      -> ( ( ( F ` a ) = ( F ` p ) /\ ( F ` b ) = ( F ` q ) )
        -> ( F ` ( a .+ b ) ) = ( F ` ( p .+ q ) ) ) ) $.
    ${
      imasgrp2.r $e |- ( ph -> R e. W ) $.
      imasgrp2.1 $e |- ( ( ph /\ x e. V /\ y e. V ) -> ( x .+ y ) e. V ) $.
      imasgrp2.2 $e |- ( ( ph /\ ( x e. V /\ y e. V /\ z e. V ) ) ->
        ( F ` ( ( x .+ y ) .+ z ) ) = ( F ` ( x .+ ( y .+ z ) ) ) ) $.
      imasgrp2.3 $e |- ( ph -> .0. e. V ) $.
      imasgrp2.4 $e |- ( ( ph /\ x e. V ) ->
        ( F ` ( .0. .+ x ) ) = ( F ` x ) ) $.
      imasgrp2.5 $e |- ( ( ph /\ x e. V ) -> N e. V ) $.
      imasgrp2.6 $e |- ( ( ph /\ x e. V ) ->
        ( F ` ( N .+ x ) ) = ( F ` .0. ) ) $.
      $( The image structure of a group is a group.  (Contributed by Mario
         Carneiro, 24-Feb-2015.)  (Revised by Mario Carneiro, 5-Sep-2015.) $)
      imasgrp2 $p |- ( ph -> ( U e. Grp /\ ( F ` .0. ) = ( 0g ` U ) ) ) $=
        ( vu vv vw cgrp wcel cfv c0g wceq cplusg imasbas eqidd cxp wf cv co w3a
        wa wb oveqd fveq2d eqeq12d 3ad2ant1 sylibd eqid adantr caovclg eqeltrrd
        3expb imasaddf fovrn syl3an1 wrex crn wfo forn syl eleq2d 3anbi123d wfn
        fofn fvelrnb bitr3d 3reeanv bitr4di 3eqtr3d 3adant3r3 simpr3 imasaddval
        wi simpl syl3anc simpr1 3adantr1 3eqtr4d eqtr4d oveq1d 3adant3r1 oveq2d
        simp1 simp2 oveq12d simp3 syl5ibcom 3exp2 imp32 rexlimdv rexlimdvva imp
        sylbid fof ffvelrnd simpr 3eqtr2d oveq2 rexlimdva eqeq1d rspcev syl2anc
        id oveq1 rexbidv isgrpde grpidd2 jca ) AHUMUNMIUOZHUPUOUQAUJUKULEHURUOZ
        HYNAEGHIKLRSUAUCUSZAYOUTZAEEVAEYOVBUJVCZEUNZUKVCZEUNZYRYTYOVDZEUNAEGYOG
        URUOZHIKLNOPQUAAPVCZKUNQVCZKUNVFZOVCZKUNNVCZKUNVFZVEUUDIUOUUGIUOUQUUEIU
        OUUHIUOUQVFUUDUUEFVDZIUOZUUGUUHFVDZIUOZUQZUUDUUEUUCVDZIUOZUUGUUHUUCVDZI
        UOZUQZUBAUUFUUNUUSVGUUIAUUKUUPUUMUURAUUJUUOIAFUUCUUDUUETVHVIAUULUUQIAFU
        UCUUGUUHTVHZVIVJVKVLZRSUCUUCVMZYOVMZAUUIVFUULUUQKAUULUUQUQUUIUUTVNABCUU
        GUUHKKKFABVCZKUNZCVCZKUNZUVDUVFFVDZKUNZUDVQVOZVPVRYRYTEEEYOVSVTAYSUUAUL
        VCZEUNZVEZUUBUVKYOVDZYRYTUVKYOVDZYOVDZUQZAUVMUVDIUOZYRUQZUVFIUOZYTUQZDV
        CZIUOZUVKUQZVEZDKWAZCKWABKWAZUVQAUVMUVSBKWAZUWACKWAZUWDDKWAZVEZUWGAYRIW
        BZUNZYTUWLUNZUVKUWLUNZVEZUVMUWKAUWMYSUWNUUAUWOUVLAUWLEYRAKEIWCZUWLEUQUA
        KEIWDWEZWFZAUWLEYTUWRWFAUWLEUVKUWRWFWGAIKWHZUWPUWKVGAUWQUWTUAKEIWIWEZUW
        TUWMUWHUWNUWIUWOUWJBKYRIWJZCKYTIWJDKUVKIWJWGWEWKUVSUWAUWDBCDKKKWLWMAUWF
        UVQBCKKAUVEUVGVFVFUWEUVQDKAUVEUVGUWBKUNZUWEUVQWRZWRAUVEUVGUXCUXDAUVEUVG
        UXCVEZVFZUVRUVTYOVDZUWCYOVDZUVRUVTUWCYOVDZYOVDZUQUWEUVQUXFUVHIUOZUWCYOV
        DZUVRUVFUWBFVDZIUOZYOVDZUXHUXJUXFUVHUWBUUCVDZIUOZUVDUXMUUCVDZIUOZUXLUXO
        UXFUVHUWBFVDZIUOUVDUXMFVDZIUOUXQUXSUEUXFUXTUXPIUXFFUUCUVHUWBAFUUCUQZUXE
        TVNZVHVIUXFUYAUXRIUXFFUUCUVDUXMUYCVHVIWNUXFAUVIUXCUXLUXQUQAUXEWSZAUVEUV
        GUVIUXCUDWOAUVEUVGUXCWPAEGYOUUCHIKUVHUWBLNOPQUAUVARSUCUVBUVCWQWTUXFAUVE
        UXMKUNZUXOUXSUQUYDAUVEUVGUXCXAAUVGUXCUYEUVEAONUVFUWBKKKFUVJVOXBAEGYOUUC
        HIKUVDUXMLNOPQUAUVARSUCUVBUVCWQWTXCUXFUXGUXKUWCYOUXFUXGUVDUVFUUCVDZIUOZ
        UXKAUVEUVGUXGUYGUQUXCAEGYOUUCHIKUVDUVFLNOPQUAUVARSUCUVBUVCWQWOUXFUVHUYF
        IUXFFUUCUVDUVFUYCVHVIXDXEUXFUXIUXNUVRYOUXFUXIUVFUWBUUCVDZIUOZUXNAUVGUXC
        UXIUYIUQUVEAEGYOUUCHIKUVFUWBLNOPQUAUVARSUCUVBUVCWQXFUXFUXMUYHIUXFFUUCUV
        FUWBUYCVHVIXDXGXCUWEUXHUVNUXJUVPUWEUXGUUBUWCUVKYOUWEUVRYRUVTYTYOUVSUWAU
        WDXHZUVSUWAUWDXIZXJUVSUWAUWDXKZXJUWEUVRYRUXIUVOYOUYJUWEUVTYTUWCUVKYOUYK
        UYLXJXJVJXLXMXNXOXPXRXQAKEMIAUWQKEIVBZUAKEIXSWEZUFXTZAYSYNYRYOVDZYRUQZA
        YSUWHUYQAUWMYSUWHUWSAUWTUWMUWHVGUXAUXBWEWKZAUVSUYQBKAUVEVFZYNUVRYOVDZUV
        RUQUVSUYQUYSUYTMUVDUUCVDZIUOZMUVDFVDZIUOUVRUYSAMKUNZUVEUYTVUBUQAUVEWSZA
        VUDUVEUFVNAUVEYAZAEGYOUUCHIKMUVDLNOPQUAUVARSUCUVBUVCWQWTUYSVUCVUAIUYSFU
        UCMUVDAUYBUVETVNZVHVIUGYBUVSUYTUYPUVRYRUVRYRYNYOYCUVSYHVJXLYDXRXQZAYSYT
        YRYOVDZYNUQZUKEWAZAYSUWHVUKUYRAUVSVUKBKUYSYTUVRYOVDZYNUQZUKEWAZUVSVUKUY
        SJIUOZEUNVUOUVRYOVDZYNUQZVUNUYSKEJIAUYMUVEUYNVNUHXTUYSVUPJUVDUUCVDZIUOZ
        JUVDFVDZIUOYNUYSAJKUNUVEVUPVUSUQVUEUHVUFAEGYOUUCHIKJUVDLNOPQUAUVARSUCUV
        BUVCWQWTUYSVUTVURIUYSFUUCJUVDVUGVHVIUIYBVUMVUQUKVUOEYTVUOUQVULVUPYNYTVU
        OUVRYOYIYEYFYGUVSVUMVUJUKEUVSVULVUIYNUVRYRYTYOYCYEYJXLYDXRXQYKZAUJEYOHY
        NYPYQUYOVUHVVAYLYM $.
    $}

    ${
      imasgrp.r $e |- ( ph -> R e. Grp ) $.
      imasgrp.z $e |- .0. = ( 0g ` R ) $.
      $( The image structure of a group is a group.  (Contributed by Mario
         Carneiro, 24-Feb-2015.)  (Revised by Mario Carneiro, 5-Sep-2015.) $)
      imasgrp $p |- ( ph -> ( U e. Grp /\ ( F ` .0. ) = ( 0g ` U ) ) ) $=
        ( co vx vy vz cv cminusg cfv cgrp w3a cplusg cbs 3ad2ant1 simp2 eleqtrd
        wcel wceq simp3 eqid grpcl syl3anc oveqd adantr 3adant3r3 simpr3 grpass
        3eltr4d wa syl13anc oveq123d 3eqtr4d fveq2d grpidcl syl eleqtrrd eleq2d
        eqidd biimpa grplid syl2an2r eqtrd grpinvcl grplinv imasgrp2 ) AUAUBUCB
        CDEFUAUDZDUEUFZUFZGUGHIJKLMNOPQRAWCGUNZUBUDZGUNZUHZWCWGDUIUFZTZDUJUFZWC
        WGCTZGWIDUGUNZWCWLUNZWGWLUNZWKWLUNAWFWNWHRUKWIWCGWLAWFWHULAWFGWLUOZWHNU
        KZUMZWIWGGWLAWFWHUPWRUMZWLWJDWCWGWLUQZWJUQZURUSWICWJWCWGAWFCWJUOZWHOUKU
        TZWRVEAWFWHUCUDZGUNZUHZVFZWMXECTZWCWGXECTZCTZFXHWKXEWJTZWCWGXEWJTZWJTZX
        IXKXHWNWOWPXEWLUNXLXNUOAWNXGRVAAWFWHWOXFWSVBAWFWHWPXFWTVBXHXEGWLAWFWHXF
        VCAWQXGNVAUMWLWJDWCWGXEXAXBVDVGXHWMWKXEXECWJAXCXGOVAZAWFWHWMWKUOXFXDVBX
        HXEVOVHXHWCWCXJXMCWJXOXHWCVOXHCWJWGXEXOUTVHVIVJAHWLGAWNHWLUNRWLDHXASVKV
        LNVMAWFVFZHWCCTZWCFXPXQHWCWJTZWCXPCWJHWCAXCWFOVAZUTAWNWFWOXRWCUORAWFWOA
        GWLWCNVNVPZWLWJDWCHXAXBSVQVRVSVJXPWEWLGAWNWFWOWEWLUNRXTWLDWDWCXAWDUQZVT
        VRAWQWFNVAVMXPWEWCCTZHFXPYBWEWCWJTZHXPCWJWEWCXSUTAWNWFWOYCHUORXTWLWJDWD
        WCHXAXBSYAWAVRVSVJWB $.
    $}
  $}

  ${
    $d a b p q B $.  $d a b p q F $.  $d a b p q R $.  $d a b p q U $.
    $d a b p q V $.
    imasgrpf1.u $e |- U = ( F "s R ) $.
    imasgrpf1.v $e |- V = ( Base ` R ) $.
    $( The image of a group under an injection is a group.  (Contributed by
       Mario Carneiro, 20-Aug-2015.) $)
    imasgrpf1 $p |- ( ( F : V -1-1-> B /\ R e. Grp ) -> U e. Grp ) $=
      ( vq vp va vb wf1 cgrp wcel wa c0g cfv wceq a1i cv crn cplusg cimas eqidd
      cbs wf1o wfo f1f1orn adantr f1ofo syl f1ocpbl simpr eqid imasgrp simpld
      co ) EADLZBMNZOZCMNBPQZDQCPQRUTDUAZBUBQZBCDEVAHIJKCDBUCUQRUTFSEBUEQRUTGSU
      TVCUDUTEVBDUFZEVBDUGURVDUSEADUHUIZEVBDUJUKUTJTKTITHTVCDEVBVEULURUSUMVAUNU
      OUP $.
  $}

  ${
    $d a b p q u x y z .~ $.  $d a b p q u x .0. $.  $d p u N $.  $d p q u R $.
    $d a b p q u x y .+ $.  $d a b p q u x y z ph $.  $d a b p q u x y z V $.
    $d a b p q x y z U $.
    qusgrp2.u $e |- ( ph -> U = ( R /s .~ ) ) $.
    qusgrp2.v $e |- ( ph -> V = ( Base ` R ) ) $.
    qusgrp2.p $e |- ( ph -> .+ = ( +g ` R ) ) $.
    qusgrp2.r $e |- ( ph -> .~ Er V ) $.
    qusgrp2.x $e |- ( ph -> R e. X ) $.
    qusgrp2.e $e |- ( ph ->
      ( ( a .~ p /\ b .~ q ) -> ( a .+ b ) .~ ( p .+ q ) ) ) $.
    qusgrp2.1 $e |- ( ( ph /\ x e. V /\ y e. V ) -> ( x .+ y ) e. V ) $.
    qusgrp2.2 $e |- ( ( ph /\ ( x e. V /\ y e. V /\ z e. V ) ) ->
      ( ( x .+ y ) .+ z ) .~ ( x .+ ( y .+ z ) ) ) $.
    qusgrp2.3 $e |- ( ph -> .0. e. V ) $.
    qusgrp2.4 $e |- ( ( ph /\ x e. V ) -> ( .0. .+ x ) .~ x ) $.
    qusgrp2.5 $e |- ( ( ph /\ x e. V ) -> N e. V ) $.
    qusgrp2.6 $e |- ( ( ph /\ x e. V ) -> ( N .+ x ) .~ .0. ) $.
    $( Prove that a quotient structure is a group.  (Contributed by Mario
       Carneiro, 14-Jun-2015.)  (Revised by Mario Carneiro, 12-Aug-2015.) $)
    qusgrp2 $p |- ( ph -> ( U e. Grp /\ [ .0. ] .~ = ( 0g ` U ) ) ) $=
      ( vu cgrp wcel cec c0g cfv wceq wa cv cmpt cqs cvv eqid wer fvex eqeltrdi
      cbs erex sylc qusval quslem co 3expb ercpbl adantr erthi divsfval 3eqtr4d
      w3a ersym 3eqtr4rd imasgrp2 eqcomd eqeq1d anbi2d mpbird ) AHUJUKZLFULZHUM
      UNZUOZUPWELUIJUIUQFULURZUNZWGUOZUPABCDJFUSEGHWIIJKLMNOPAUIFGHWIJUTKQRWIVA
      ZAJFVBZJUTUKZFUTUKTAJGVEUNUTRGVEVCVDZJFUTVFVGZUAVHRSAUIFGHWIJUTKQRWLWPUAV
      IAUIOUQPUQNUQMUQEFWIJUTBCTWOWLABUQZJUKZCUQZJUKZWQWSEVJZJUKUCVKUBVLUAUCAWR
      WTDUQZJUKVQZUPZXAXBEVJZFULWQWSXBEVJEVJZFULXEWIUNXFWIUNXDXEXFFJAWMXCTVMZUD
      VNXDUIXEFWIJUTXGAWNXCWOVMZWLVOXDUIXFFWIJUTXGXHWLVOVPUEAWRUPZLWQEVJZFULWQF
      ULXJWIUNWQWIUNXIXJWQFJAWMWRTVMZUFVNXIUIXJFWIJUTXKAWNWRWOVMZWLVOXIUIWQFWIJ
      UTXKXLWLVOVPUGXIWFIWQEVJZFULWJXMWIUNXILXMFJXKXIXMLFJXKUHVRVNXIUILFWIJUTXK
      XLWLVOXIUIXMFWIJUTXKXLWLVOVSVTAWHWKWEAWFWJWGAWJWFAUILFWIJUTTWOWLVOWAWBWCW
      D $.
  $}

  ${
    $d x y R $.  $d x y S $.
    xpsgrp.t $e |- T = ( R Xs. S ) $.
    $( The binary product of groups is a group.  (Contributed by Mario
       Carneiro, 20-Aug-2015.) $)
    xpsgrp $p |- ( ( R e. Grp /\ S e. Grp ) -> T e. Grp ) $=
      ( vx vy cgrp wcel cbs cfv c0 cv cop c1o cpr csca co eqid wf1o c2o wa cmpo
      ccnv cprds cimas simpl simpr xpsval cxp wf1 crn xpsff1o2 xpsrnbas f1oeq3d
      mpbii f1ocnv f1of1 3syl cvv con0 2on a1i fvexd wf xpscf biimpri imasgrpf1
      prdsgrpd syl2anc eqeltrd ) AGHZBGHZUAZCEFAIJZBIJZKELMNFLMOUBZUCZAPJZKAMNB
      MOZUDQZUEQZGVMEFABCVTVPVRGGVNVODVNRZVORZVKVLUFZVKVLUGZVPRZVRRZVTRZUHVMVTI
      JZVNVOUIZVQUJZVTGHWAGHVMWJWIVPSZWIWJVQSWKVMWJVPUKZVPSWLEFVNVOVPWFULVMWMWI
      WJVPVMEFABCVTVPVRGGVNVODWBWCWDWEWFWGWHUMUNUOWJWIVPUPWIWJVQUQURVMVSVRTUSUT
      VTWHTUTHVMVAVBVMAPVCTGVSVDVMGABVEVFVHWJVTWAVQWIWARWIRVGVIVJ $.
  $}

  ${
    $d F a d f i j k x y $.  $d G a d f i j k x y $.  $d .+ i j k x y $.
    $d H a b c d f i x y $.  $d X i j k x y $.  $d Y a b c d f i j k x y $.
    $d .+^ a b c d f i j k x y $.  $d a b c i j k x y ph $.
    ghmgrp.f $e |- ( ( ph /\ x e. X /\ y e. X )
      -> ( F ` ( x .+ y ) ) = ( ( F ` x ) .+^ ( F ` y ) ) ) $.
    ${
      $d A x y $.  $d B y $.
      mhmlem.a $e |- ( ph -> A e. X ) $.
      mhmlem.b $e |- ( ph -> B e. X ) $.
      $( Lemma for ~ mhmmnd and ~ ghmgrp .  (Contributed by Paul Chapman,
         25-Apr-2008.)  (Revised by Mario Carneiro, 12-May-2014.)  (Revised by
         Thierry Arnoux, 25-Jan-2020.) $)
      mhmlem $p |- ( ph -> ( F ` ( A .+ B ) ) = ( ( F ` A ) .+^ ( F ` B ) ) )
        $=
        ( wcel co cfv wceq w3a wi cv eleq1 3anbi2d fvoveq1 fveq2 oveq1d eqeq12d
        id imbi12d 3anbi3d oveq2 fveq2d oveq2d vtocl2g syl2anc mp3and ) AADIMZE
        IMZDEFNZHOZDHOZEHOZGNZPZAUFKLAUOUPAUOUPQZVBRZKLABSZIMZCSZIMZQZVEVGFNHOZ
        VEHOZVGHOZGNZPZRAUOVHQZDVGFNZHOZUSVLGNZPZRVDBCDEIIVEDPZVIVOVNVSVTVFUOAV
        HVEDITUAVTVJVQVMVRVEDVGHFUBVTVKUSVLGVEDHUCUDUEUGVGEPZVOVCVSVBWAVHUPAUOV
        GEITUHWAVQURVRVAWAVPUQHVGEDFUIUJWAVLUTUSGVGEHUCUKUEUGJULUMUN $.
    $}

    ghmgrp.x $e |- X = ( Base ` G ) $.
    ghmgrp.y $e |- Y = ( Base ` H ) $.
    ghmgrp.p $e |- .+ = ( +g ` G ) $.
    ghmgrp.q $e |- .+^ = ( +g ` H ) $.
    ghmgrp.1 $e |- ( ph -> F : X -onto-> Y ) $.
    ${
      mhmmnd.3 $e |- ( ph -> G e. Mnd ) $.
      ${
        $d .0. a i x y $.
        mhmid.0 $e |- .0. = ( 0g ` G ) $.
        $( A surjective monoid morphism preserves identity element.
           (Contributed by Thierry Arnoux, 25-Jan-2020.) $)
        mhmid $p |- ( ph -> ( F ` .0. ) = ( 0g ` H ) ) $=
          ( cfv va vi c0g eqid wfo wf fof cmnd wcel mndidcl ffvelrnd cv wa wceq
          co simplll syl3an1 ad3antrrr simplr mhmlem mndlid fveq2d eqtr3d simpr
          syl syl2anc oveq2d 3eqtr3d wrex foelrni sylan r19.29a mndrid ismgmid2
          oveq1d ) AUAJEKFTZHHUCTZNVQUDPAIJKFAIJFUEZIJFUFQIJFUGVEAGUHUIZKIUIZRI
          GKMSUJZVEUKAUAULZJUIZUMZUBULZFTZWBUNZVPWBEUOZWBUNUBIWDWEIUIZUMZWGUMZV
          PWFEUOZWFWHWBWKKWEDUOZFTWLWFWKBCKWEDEFIWKABULZIUICULZIUIWNWODUOFTWNFT
          WOFTEUOUNAWCWIWGUPLUQZWKVSVTAVSWCWIWGRURZWAVEZWDWIWGUSZUTWKWMWEFWKVSW
          IWMWEUNWQWSIDGWEKMOSVAVFVBVCWKWFWBVPEWJWGVDZVGWTVHAVRWCWGUBIVIQUBIJFW
          BVJVKZVLWDWGWBVPEUOZWBUNUBIWKWFVPEUOZWFXBWBWKWEKDUOZFTXCWFWKBCWEKDEFI
          WPWSWRUTWKXDWEFWKVSWIXDWEUNWQWSIDGWEKMOSVMVFVBVCWKWFWBVPEWTVOWTVHXAVL
          VN $.
      $}

      $( The image of a monoid ` G ` under a monoid homomorphism ` F ` is a
         monoid.  (Contributed by Thierry Arnoux, 25-Jan-2020.) $)
      mhmmnd $p |- ( ph -> H e. Mnd ) $=
        ( co wcel wa va vb vc vd vi vj vk wceq wral wrex cmnd cfv simpllr simpr
        cv oveq12d simp-5l syl3an1 simp-4r simplr mhmlem wf wfo fof syl ad5antr
        mndcl syl3anc ffvelrnd eqeltrrd foelrni syl2an ad2antrr r19.29a simplrl
        simpl simpll simplrr w3a simp-6r mndass syl13anc fveq2d simp-7l 3eqtr3d
        simp1 simp2 simp3 oveq1d oveq2d simp-5r 3ad2antr3 ad4antr ralrimiva jca
        sylan 3adantr3 ralrimivva eqid mndidcl simplll ad3antrrr mndlid syl2anc
        c0g eqtr3d mndrid oveq1 eqeq1d ovanraleqv rspcev ismnd sylanbrc ) AUAUO
        ZUBUOZERZJSZXPUCUOZERZXNXOXRERZERZUHZUCJUIZTZUBJUIUAJUIUDUOZXNERZXNUHZX
        NYEERXNUHTUAJUIZUDJUJZHUKSAYDUAUBJJAXNJSZXOJSZTZTZXQYCYMUEUOZFULZXNUHZX
        QUEIYMYNISZTZYPTZUFUOZFULZXOUHZXQUFIYSYTISZTZUUBTZYOUUAERZXPJUUEYOXNUUA
        XOEYRYPUUCUUBUMUUDUUBUNUPUUEYNYTDRZFULZUUFJUUEBCYNYTDEFIUUEABUOZISZCUOZ
        ISZUUIUUKDRFULUUIFULUUKFULERUHZAYLYQYPUUCUUBUQKURYMYQYPUUCUUBUSZYSUUCUU
        BUTZVAUUEIJUUGFAIJFVBZYLYQYPUUCUUBAIJFVCZUUPPIJFVDVEZVFUUEGUKSZYQUUCUUG
        ISZAUUSYLYQYPUUCUUBQVFUUNUUOIDGYNYTLNVGZVHVIVJVJYMUUBUFIUJZYQYPAUUQYKUV
        BYLPYJYKUNUFIJFXOVKVLZVMVNAUUQYJYPUEIUJZYLPYJYKVPUEIJFXNVKZVLZVNYMYBUCJ
        YMXRJSZTAYJYKUVGYBAYLUVGVQAYJYKUVGVOAYJYKUVGVRYMUVGUNAYJYKUVGVSZTZYPYBU
        EIUVIYQTZYPTZUUBYBUFIUVKUUCTZUUBTZUGUOZFULZXRUHZYBUGIUVMUVNISZTZUVPTZUU
        FUVOERZYOUUAUVOERZERZXSYAUVSUUHUVOERZYOYTUVNDRZFULZERZUVTUWBUVSUUGUVNDR
        ZFULYNUWDDRZFULUWCUWFUVSUWGUWHFUVSUUSYQUUCUVQUWGUWHUHUVJUUSYPUUCUUBUVQU
        VPAUUSUVHYQQVMVFZUVIYQYPUUCUUBUVQUVPVTZUVKUUCUUBUVQUVPUSZUVMUVQUVPUTZID
        GYNYTUVNLNWAWBWCUVSBCUUGUVNDEFIUVSAUUJUULUUMAUVHYQYPUUCUUBUVQUVPWDZKURZ
        UVSUUSYQUUCUUTUWIUWJUWKUVAVHUWLVAUVSBCYNUWDDEFIUWNUWJUVSUUSUUCUVQUWDISU
        WIUWKUWLIDGYTUVNLNVGVHVAWEUVSUUHUUFUVOEUVSAYQUUCUUHUUFUHUWMUWJUWKAYQUUC
        VSZBCYNYTDEFIUWOAUUJUULUUMAYQUUCWFKURAYQUUCWGAYQUUCWHVAVHWIUVSUWEUWAYOE
        UVSBCYTUVNDEFIUWNUWKUWLVAWJWEUVSUUFXPUVOXREUVSYOXNUUAXOEUVJYPUUCUUBUVQU
        VPWKZUVLUUBUVQUVPUMZUPUVRUVPUNZUPUVSYOXNUWAXTEUWPUVSUUAXOUVOXREUWQUWRUP
        UPWEUVIUVPUGIUJZYQYPUUCUUBAYJUVGUWSYKAUUQUVGUWSPUGIJFXRVKWPWLWMVNUVIUVB
        YQYPAYJYKUVBUVGUVCWQVMVNAYJYKUVDUVGUVFWQVNWBWNWOWRAGXEULZFULZJSUXAXNERZ
        XNUHZXNUXAERZXNUHZTZUAJUIZYIAIJUWTFUURAUUSUWTISZQIGUWTLUWTWSZWTZVEVIAUX
        FUAJAYJTZYPUXFUEIUXKYQTZYPTZUXCUXEUXMUXAYOERZYOUXBXNUXMUWTYNDRZFULUXNYO
        UXMBCUWTYNDEFIUXMAUUJUULUUMAYJYQYPXAKURZUXMUUSUXHAUUSYJYQYPQXBZUXJVEZUX
        KYQYPUTZVAUXMUXOYNFUXMUUSYQUXOYNUHUXQUXSIDGYNUWTLNUXIXCXDWCXFUXMYOXNUXA
        EUXLYPUNZWJUXTWEUXMYOUXAERZYOUXDXNUXMYNUWTDRZFULUYAYOUXMBCYNUWTDEFIUXPU
        XSUXRVAUXMUYBYNFUXMUUSYQUYBYNUHUXQUXSIDGYNUWTLNUXIXGXDWCXFUXMYOXNUXAEUX
        TWIUXTWEWOAUUQYJUVDPUVEWPVNWNYHUXGUDUXAJYGUXCUAXNYEXNEJUXAYEUXAUHYFUXBX
        NYEUXAXNEXHXIXJXKXDJEUDHUAUBUCMOXLXM $.

      $( The function fulfilling the conditions of ~ mhmmnd is a monoid
         homomorphism.  (Contributed by Thierry Arnoux, 26-Jan-2020.) $)
      mhmfmhm $p |- ( ph -> F e. ( G MndHom H ) ) $=
        ( wcel co cfv cmnd wceq wral c0g w3a cmhm mhmmnd wfo fof syl ralrimivva
        wf cv 3expb eqid mhmid 3jca ismhm syl21anbrc ) AGUARHUARIJFULZBUMZCUMZD
        SFTVAFTVBFTESUBZCIUCBIUCZGUDTZFTHUDTZUBZUEFGHUFSRQABCDEFGHIJKLMNOPQUGAU
        TVDVGAIJFUHUTPIJFUIUJAVCBCIIAVAIRVBIRVCKUNUKABCDEFGHIJVEKLMNOPQVEUOZUPU
        QBCIJDEGHFVFVELMNOVHVFUOURUS $.
    $}

    ghmgrp.3 $e |- ( ph -> G e. Grp ) $.
    $( The image of a group ` G ` under a group homomorphism ` F ` is a group.
       This is a stronger result than that usually found in the literature,
       since the target of the homomorphism (operator ` O ` in our model) need
       not have any of the properties of a group as a prerequisite.
       (Contributed by Paul Chapman, 25-Apr-2008.)  (Revised by Mario Carneiro,
       12-May-2014.)  (Revised by Thierry Arnoux, 25-Jan-2020.) $)
    ghmgrp $p |- ( ph -> H e. Grp ) $=
      ( wcel cfv wceq vf va vi cmnd cv co wrex wral cgrp grpmndd mhmmnd cminusg
      c0g wa wf wfo fof syl ad3antrrr simplr grpinvcl syl2anc ffvelrnd 3adant1r
      eqid sylan simpr mhmlem ad4ant13 fveq2d mhmid eqtrd oveq2d 3eqtr3rd oveq1
      grplinv eqeq1d rspcev foelrni r19.29a ralrimiva isgrp sylanbrc ) AHUDRUAU
      EZUBUEZEUFZHUMSZTZUAJUGZUBJUHHUIRABCDEFGHIJKLMNOPAGQUJZUKAWIUBJAWEJRZUNZU
      CUEZFSZWETZWIUCIWLWMIRZUNZWOUNZWMGULSZSZFSZJRXAWEEUFZWGTZWIWRIJWTFAIJFUOZ
      WKWPWOAIJFUPZXDPIJFUQURUSWRGUIRZWPWTIRZAXFWKWPWOQUSZWLWPWOUTZIGWSWMLWSVEZ
      VAZVBVCWRWTWMDUFZFSZXAWNEUFZWGXBAWPXMXNTWKWOAWPUNBCWTWMDEFIABUEZIRCUEZIRX
      OXPDUFFSXOFSXPFSEUFTWPKVDAXFWPXGQXKVFAWPVGVHVIWRXMGUMSZFSZWGWRXFWPXMXRTXH
      XIXFWPUNXLXQFIDGWSWMXQLNXQVEZXJVPVJVBAXRWGTWKWPWOABCDEFGHIJXQKLMNOPWJXSVK
      USVLWRWNWEXAEWQWOVGVMVNWHXCUAXAJWDXATWFXBWGWDXAWEEVOVQVRVBAXEWKWOUCIUGPUC
      IJFWEVSVFVTWAJEUAHWGUBMOWGVEWBWC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Group multiple operation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The "group multiple" operation (if the group is multiplicative, also called
  "group power" or "group exponentiation" operation), can be defined for
  arbitrary magmas, if the multiplier/exponent is a nonnegative integer.  See
  also the definition in [Lang] p. 6, where an element ` x `(of a monoid) to
  the power of a nonnegative integer ` n ` is defined and denoted by ` x ^ n `.
  Definition ~ df-mulg , however, defines the group multiple for arbitrary
  (i.e. also negative) integers.  This is meaningful for groups only, and
  requires Definition ~ df-minusg of the inverse operation ` invg ` .

$)

  $c .g $.

  $( Extend class notation with a function mapping a group operation to the
     multiple/power operation for the magma/group. $)
  cmg $a class .g $.

  ${
    $d g n s x $.
    $( Define the group multiple function, also known as group exponentiation
       when viewed multiplicatively.  (Contributed by Mario Carneiro,
       11-Dec-2014.) $)
    df-mulg $a |- .g = ( g e. _V |-> ( n e. ZZ , x e. ( Base ` g ) |->
    if ( n = 0 , ( 0g ` g ) , [_ seq 1 ( ( +g ` g ) , ( NN X. { x } ) ) / s ]_
      if ( 0 < n , ( s ` n ) , ( ( invg ` g ) ` ( s ` -u n ) ) ) ) ) ) $.
  $}

  ${
    $d x w .0. n $.  $d x w B n $.  $d x w .+ n s $.  $d x w n G s $.
    $d x w n I s $.  $d n x N $.  $d n x S $.  $d n x X $.
    mulgval.b $e |- B = ( Base ` G ) $.
    mulgval.p $e |- .+ = ( +g ` G ) $.
    mulgval.o $e |- .0. = ( 0g ` G ) $.
    mulgval.i $e |- I = ( invg ` G ) $.
    mulgval.t $e |- .x. = ( .g ` G ) $.
    $( Group multiple (exponentiation) operation.  For a shorter proof using
       ~ ax-rep , see ~ mulgfvalALT .  (Contributed by Mario Carneiro,
       11-Dec-2014.)  Remove dependency on ~ ax-rep .  (Revised by Rohan
       Ridenour, 17-Aug-2023.) $)
    mulgfval $p |- .x. = ( n e. ZZ , x e. B |->
      if ( n = 0 , .0. , if ( 0 < n ,
        ( seq 1 ( .+ , ( NN X. { x } ) ) ` n ) ,
        ( I ` ( seq 1 ( .+ , ( NN X. { x } ) ) ` -u n ) ) ) ) ) $=
      ( cfv cz wceq c1 wcel wa c0 vw vs cmg cv cc0 clt wbr cn csn cxp cseq cneg
      cif cmpo cvv cbs c0g cplusg cminusg csb eqidd fveq2 eqtr4di 1z seqexw a1i
      fvex id seqeq2d sylan9eqr fveq1d fveq2d fveq12d ifeq12d csbied mpoeq123dv
      simpl df-mulg crn cun zex fvexi snex rnex unex p0ex ssun1 snid sselii cuz
      cmin co ssun2 sstri adantl ax-mp 1nn vex fvconst2 eleq1i biimpri eqeltrid
      seq1 adantr eqeltrd sselid ad4ant24 caddc zcn npcan1 syl seqp1 wss unss12
      cc mp2an cop df-ov fvrn0 eqeltri eqeltrdi eqeltrrd ad4ant14 uzm1 mpjaodan
      wo wn cdm simpr wfn seqfn fndmi eleq2i sylnibr ndmfv pm2.61dan ifcld ifex
      0ex fvprc rgen2 mpoexw fvmpt fnmpoi eqtrid xpeq2d xp0 eqtrdi fneq2d mpbii
      eqid fn0 sylib eqtr4d pm2.61i eqtri ) DFUCNZEAOBEUDZUEPZHUEUURUFUGZUURCUH
      AUDZUIUJZQUKZNZUURULZUVCNZGNZUMZUMZUNZMFUORZUUQUVJPUAFEAOUAUDZUPNZUUSUVLU
      QNZUBUVLURNZUVBQUKZUUTUURUBUDZNZUVEUVQNZUVLUSNZNZUMZUTZUMZUNUVJUOUCUVLFPZ
      EAOUVMUWDOBUVIUWEOVAUWEUVMFUPNZBUVLFUPVBIVCUWEUUSUVNHUWCUVHUWEUVNFUQNHUVL
      FUQVBKVCUWEUBUVPUWBUVHUOUVPUORUWEUVOUVBQUVLURVGVDVEVFUWEUVQUVPPZSZUUTUVRU
      VDUWAUVGUWHUURUVQUVCUWGUWEUVQUVPUVCUWGVHUWEUVOCUVBQUWEUVOFURNCUVLFURVBJVC
      VIVJZVKUWHUVSUVFUVTGUWHUVTFUSNGUWHUVLFUSUWEUWGVQVLLVCUWHUVEUVQUVCUWIVKVMV
      NVOVNVPAUAEUBVREAOBUVIHUIZCVSZBVTZGVSZTUIZVTZVTZVTZWABFUPIWBZUWJUWPHWCUWL
      UWOUWKBCCFURJWBWDUWRWEUWMUWNGGFUSLWBWDWFWEWEWEUVIUWQREAOBUURORZUVABRZSZUU
      SHUVHUWQHUWQRUXAUWJUWQHUWJUWPWGHHFUQKWBZWHWIVFUXAUUTUVDUVGUWQUXAUURQWJNZR
      ZUVDUWQRZUXAUXDSUURQPZUXEUURQWKWLZUXCRZUWTUXFUXEUWSUXDUWTUXFSZBUWQUVDBUWP
      UWQBUWLUWPBUWKWMUWLUWOWGWNUWPUWJWMZWNUXIUVDQUVCNZBUXFUVDUXKPUWTUURQUVCVBW
      OUWTUXKBRUXFUWTUXKQUVBNZBQORZUXKUXLPVDCUVBQXCWPUXLBRUWTUXLUVABQUHRUXLUVAP
      WQUHUVAQAWRWSWPWTXAXBXDXEXFXGUWSUXHUXEUWTUXDUWSUXHSUXGQXHWLZUVCNZUVDUWQUW
      SUXOUVDPUXHUWSUXNUURUVCUWSUURXORUXNUURPUURXIUURXJXKVLXDUXHUXOUWQRUWSUXHUX
      OUXGUVCNZUXNUVBNZCWLZUWQCUVBQUXGXLUWKUWNVTZUWQUXRUXSUWPUWQUWKUWLXMUWNUWOX
      MUXSUWPXMUWKBWGUWNUWMWMZUWKUWLUWNUWOXNXPUXJWNUXRUXPUXQXQZCNUXSUXPUXQCXRCU
      YAXSXTWIYAWOYBYCUXDUXFUXHYFUXAQUURYDWOYEUXAUXDYGZSZUVDTUWQUYCUURUVCYHZRZY
      GUVDTPUYCUXDUYEUXAUYBYIUYDUXCUURUXCUVCUXMUVCUXCYJVDCUVBQYKWPYLYMYNUURUVCY
      OXKTUWQRUYCUWNUWQTUWNUWPUWQUWNUWOUWPUXTUWOUWLWMZWNUXJWNTYSWHWIVFXEYPUVGUW
      QRUXAUWOUWQUVGUWOUWPUWQUYFUXJWNGUVFXSWIVFYQYQUUAUUBUUCUVKYGZUUQTUVJFUCYTU
      YGUVJTYJZUVJTPUYGUVJOBUJZYJUYHEAOBUVIUVJUVJUUKUUSHUVHUXBUUTUVDUVGUURUVCVG
      UVFGVGYRYRUUDUYGUYITUVJUYGUYIOTUJTUYGBTOUYGBUWFTIFUPYTUUEUUFOUUGUUHUUIUUJ
      UVJUULUUMUUNUUOUUP $.

    $( Shorter proof of ~ mulgfval using ~ ax-rep .  (Contributed by Mario
       Carneiro, 11-Dec-2014.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    mulgfvalALT $p |- .x. = ( n e. ZZ , x e. B |->
      if ( n = 0 , .0. , if ( 0 < n ,
        ( seq 1 ( .+ , ( NN X. { x } ) ) ` n ) ,
        ( I ` ( seq 1 ( .+ , ( NN X. { x } ) ) ` -u n ) ) ) ) ) $=
      ( vs cfv cz cv wceq cbs c0 vw cmg cc0 clt wbr cn csn cxp c1 cseq cneg cif
      cmpo cvv wcel c0g cplusg cminusg csb eqidd fveq2 eqtr4di seqex wa seqeq2d
      a1i sylan9eqr fveq1d fveq2d fveq12d ifeq12d csbied mpoeq123dv df-mulg zex
      id simpl fvexi mpoex fvmpt wn wfn eqid fvex ifex fnmpoi eqtrid xpeq2d xp0
      fvprc eqtrdi fneq2d mpbii fn0 sylib eqtr4d pm2.61i eqtri ) DFUBOZEAPBEQZU
      CRZHUCWTUDUEZWTCUFAQUGUHZUIUJZOZWTUKZXDOZGOZULZULZUMZMFUNUOZWSXKRUAFEAPUA
      QZSOZXAXMUPOZNXMUQOZXCUIUJZXBWTNQZOZXFXROZXMUROZOZULZUSZULZUMXKUNUBXMFRZE
      APXNYEPBXJYFPUTYFXNFSOZBXMFSVAIVBYFXAXOHYDXIYFXOFUPOHXMFUPVAKVBYFNXQYCXIU
      NXQUNUOYFXPXCUIVCVFYFXRXQRZVDZXBXSXEYBXHYIWTXRXDYHYFXRXQXDYHVPYFXPCXCUIYF
      XPFUQOCXMFUQVAJVBVEVGZVHYIXTXGYAGYIYAFUROGYIXMFURYFYHVQVILVBYIXFXRXDYJVHV
      JVKVLVKVMAUAENVNEAPBXJVOBFSIVRVSVTXLWAZWSTXKFUBWJYKXKTWBZXKTRYKXKPBUHZWBY
      LEAPBXJXKXKWCXAHXIHFUPKVRXBXEXHWTXDWDXGGWDWEWEWFYKYMTXKYKYMPTUHTYKBTPYKBY
      GTIFSWJWGWHPWIWKWLWMXKWNWOWPWQWR $.

    mulgval.s $e |- S = seq 1 ( .+ , ( NN X. { X } ) ) $.
    $( Value of the group multiple (exponentiation) operation.  (Contributed by
       Mario Carneiro, 11-Dec-2014.) $)
    mulgval $p |- ( ( N e. ZZ /\ X e. B ) -> ( N .x. X ) =
      if ( N = 0 , .0. , if ( 0 < N , ( S ` N ) , ( I ` ( S ` -u N ) ) ) ) ) $=
      ( vn cc0 wceq cfv cif vx cz cv clt wbr cn csn cxp c1 cseq wa simpl eqeq1d
      breq2d simpr sneqd xpeq2d seqeq3d eqtr4di fveq12d negeqd fveq2d ifbieq12d
      cneg ifbieq2d mulgfval c0g fvexi fvex ifex ovmpoa ) PUAGHUBAPUCZQRZIQVLUD
      UEZVLBUFUAUCZUGZUHZUIUJZSZVLVDZVRSZFSZTZTGQRZIQGUDUEZGCSZGVDZCSZFSZTZTDVL
      GRZVOHRZUKZVMWDWCWJIWMVLGQWKWLULZUMWMVNWEVSWBWFWIWMVLGQUDWNUNWMVLGVRCWMVR
      BUFHUGZUHZUIUJCWMVQWPBUIWMVPWOUFWMVOHWKWLUOUPUQUROUSZWNUTWMWAWHFWMVTWGVRC
      WQWMVLGWNVAUTVBVCVEUAABDPEFIJKLMNVFWDIWJIEVGLVHWEWFWIGCVIWHFVIVJVJVK $.
  $}

  ${
    $d B n x $.  $d G n x $.
    mulgfn.b $e |- B = ( Base ` G ) $.
    mulgfn.t $e |- .x. = ( .g ` G ) $.
    $( Functionality of the group multiple operation.  (Contributed by Mario
       Carneiro, 21-Mar-2015.)  (Revised by Mario Carneiro, 2-Oct-2015.) $)
    mulgfn $p |- .x. Fn ( ZZ X. B ) $=
      ( vn vx cz cv cc0 wceq c0g cfv clt wbr cplusg cif eqid fvex ifex csn cseq
      cn cxp c1 cneg cminusg mulgfval fnmpoi ) FGHAFIZJKZCLMZJUJNOZUJCPMZUCGIUA
      UDUEUBZMZUJUFUOMZCUGMZMZQZQBGAUNBFCURULDUNRULRURREUHUKULUTCLSUMUPUSUJUOSU
      QURSTTUI $.
  $}

  ${
    mulgfvi.t $e |- .x. = ( .g ` G ) $.
    $( The group multiple operation is compatible with identity-function
       protection.  (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    mulgfvi $p |- .x. = ( .g ` ( _I ` G ) ) $=
      ( cmg cfv cid cvv wcel wceq fvi eqcomd fveq2d wn c0 fvprc wfn cz cxp mpbi
      base0 eqid mulgfn xp0 fneq2i fn0 eqtrdi eqtr4d pm2.61i eqtri ) ABDEZBFEZD
      EZCBGHZUJULIUMBUKDUMUKBBGJKLUMMZUJNULBDOUNULNDEZNUNUKNDBFOLUONPZUONIUOQNR
      ZPUPNUONTUOUAUBUQNUOQUCUDSUOUESUFUGUHUI $.
  $}

  ${
    mulg0.b $e |- B = ( Base ` G ) $.
    mulg0.o $e |- .0. = ( 0g ` G ) $.
    mulg0.t $e |- .x. = ( .g ` G ) $.
    $( Group multiple (exponentiation) operation at zero.  (Contributed by
       Mario Carneiro, 11-Dec-2014.) $)
    mulg0 $p |- ( X e. B -> ( 0 .x. X ) = .0. ) $=
      ( cc0 cz wcel co wceq 0z wa clt wbr cfv cif eqid cplusg csn cxp cseq cneg
      cn c1 cminusg mulgval iftruei eqtrdi mpan ) IJKZDAKZIDBLZEMNUMUNOUOIIMZEI
      IPQICUARZUFDUBUCUGUDZRIUEURRCUHRZRSZSEAUQURBCUSIDEFUQTGUSTHURTUIUPEUTITUJ
      UKUL $.
  $}

  ${
    mulgnn.b $e |- B = ( Base ` G ) $.
    mulgnn.p $e |- .+ = ( +g ` G ) $.
    mulgnn.t $e |- .x. = ( .g ` G ) $.
    mulgnn.s $e |- S = seq 1 ( .+ , ( NN X. { X } ) ) $.
    $( Group multiple (exponentiation) operation at a positive integer.
       (Contributed by Mario Carneiro, 11-Dec-2014.) $)
    mulgnn $p |- ( ( N e. NN /\ X e. B ) -> ( N .x. X ) = ( S ` N ) ) $=
      ( cn wcel wa cc0 wceq cfv cif eqid eqtrd c0g clt wbr cneg cminusg mulgval
      co cz nnz sylan nnne0 neneqd iffalsed nngt0 iftrued adantr ) FLMZGAMZNFGD
      UGZFOPZEUAQZOFUBUCZFCQZFUDCQEUEQZQZRZRZVCUQFUHMURUSVGPFUIABCDEVDFGVAHIVAS
      VDSJKUFUJUQVGVCPURUQVGVFVCUQUTVAVFUQFOFUKULUMUQVBVCVEFUNUOTUPT $.
  $}

  ${
    $d B i x $.  $d F i $.  $d N i x $.  $d X i x $.
    mulgnngsum.b $e |- B = ( Base ` G ) $.
    mulgnngsum.t $e |- .x. = ( .g ` G ) $.
    mulgnngsum.f $e |- F = ( x e. ( 1 ... N ) |-> X ) $.
    $( Group multiple (exponentiation) operation at a positive integer
       expressed by a group sum.  (Contributed by AV, 28-Dec-2023.) $)
    mulgnngsum $p |- ( ( N e. NN /\ X e. B ) -> ( N .x. X ) = ( G gsum F ) ) $=
      ( vi cn wcel wa cfv c1 cseq co adantr cv cplusg csn cxp cuz elnnuz biimpi
      cgsu cfz cmpt wceq a1i eqidd simpr fvmptd elfznn fvconst2g syl2an seqfveq
      weq eqtr4d cvv eqid elfvex eleq2s adantl fmptd gsumval2 mulgnn 3eqtr4rd
      cbs ) FLMZGBMZNZFEUAOZDPQOFVNLGUBUCZPQZOEDUGRFGCRVMVNKDVOPFVKFPUDOMZVLVKV
      QFUEUFSZVMKTZPFUHRZMZNZVSDOGVSVOOZWBAVSGGVTDBDAVTGUIUJWBJUKWBAKUSNGULVMWA
      UMVMVLWAVKVLUMZSUNVMVLVSLMWCGUJWAWDVSFUOLGVSBUPUQUTURVMBVNDEPFVAHVNVBZVLE
      VAMZVKWFGEVJOBGEVJVCHVDVEVRVMAVTGBDVMVLATVTMWDSJVFVGBVNVPCEFGHWEIVPVBVHVI
      $.

    $( Group multiple (exponentiation) operation at a nonnegative integer
       expressed by a group sum.  This corresponds to the definition in [Lang]
       p. 6, second formula.  (Contributed by AV, 28-Dec-2023.) $)
    mulgnn0gsum $p |- ( ( N e. NN0 /\ X e. B )
                        -> ( N .x. X ) = ( G gsum F ) ) $=
      ( wcel co cgsu wceq cc0 ex c0 c1 cfz eqtrdi cn0 cn wo wi elnn0 mulgnngsum
      wa c0g cfv oveq1 eqid mulg0 sylan9eq cmpt oveq2 fz10 eqidd mpteq12dv mpt0
      eqtrid adantr oveq2d gsum0 eqtr4d jaoi sylbi imp ) FUAKZGBKZFGCLZEDMLZNZV
      HFUBKZFONZUCVIVLUDZFUEVMVOVNVMVIVLABCDEFGHIJUFPVNVIVLVNVIUGZVJEUHUIZVKVNV
      IVJOGCLVQFOGCUJBCEGVQHVQUKZIULUMVPVKEQMLVQVPDQEMVNDQNVIVNDARFSLZGUNZQJVNV
      TAQGUNQVNAVSGQGVNVSROSLQFORSUOUPTVNGUQURAGUSTUTVAVBEVQVRVCTVDPVEVFVG $.
  $}

  ${
    mulg1.b $e |- B = ( Base ` G ) $.
    mulg1.m $e |- .x. = ( .g ` G ) $.
    $( Group multiple (exponentiation) operation at one.  (Contributed by Mario
       Carneiro, 11-Dec-2014.) $)
    mulg1 $p |- ( X e. B -> ( 1 .x. X ) = X ) $=
      ( wcel c1 co cplusg cfv cn csn cxp cseq wceq 1nn eqid mulgnn mpan mpan2
      1z fvconst2g seq1i eqtrd ) DAGZHDBIZHCJKZLDMNZHOZKZDHLGZUFUGUKPQAUHUJBCHD
      EUHRFUJRSTUFDUHUIHUBUFULHUIKDPQLDHAUCUAUDUE $.

    ${
      mulgnnp1.p $e |- .+ = ( +g ` G ) $.
      $( Group multiple (exponentiation) operation at a successor.
         (Contributed by Mario Carneiro, 11-Dec-2014.) $)
      mulgnnp1 $p |- ( ( N e. NN /\ X e. B ) ->
        ( ( N + 1 ) .x. X ) = ( ( N .x. X ) .+ X ) ) $=
        ( cn wcel wa c1 caddc co csn cxp cfv wceq mulgnn cseq cuz nnuz eleqtrdi
        simpl seqp1 syl id peano2nn fvconst2g syl2anr oveq2d eqtrd sylan oveq1d
        eqid 3eqtr4d ) EJKZFAKZLZEMNOZBJFPQZMUAZRZEVCRZFBOZVAFCOZEFCOZFBOUTVDVE
        VAVBRZBOZVFUTEMUBRZKVDVJSUTEJVKURUSUEUCUDBVBMEUFUGUTVIFVEBUSUSVAJKZVIFS
        URUSUHEUIZJFVAAUJUKULUMURVLUSVGVDSVMABVCCDVAFGIHVCUPZTUNUTVHVEFBABVCCDE
        FGIHVNTUOUQ $.

      $( Group multiple (exponentiation) operation at two.  (Contributed by
         Mario Carneiro, 15-Oct-2015.) $)
      mulg2 $p |- ( X e. B -> ( 2 .x. X ) = ( X .+ X ) ) $=
        ( wcel c2 co c1 caddc df-2 oveq1i cn wceq 1nn mulgnnp1 mpan mulg1 eqtrd
        eqtrid oveq1d ) EAIZJECKZLECKZEBKZEEBKUEUFLLMKZECKZUHJUIECNOLPIUEUJUHQR
        ABCDLEFGHSTUCUEUGEEBACDEFGUAUDUB $.
    $}

    mulgnegnn.i $e |- I = ( invg ` G ) $.
    $( Group multiple (exponentiation) operation at a negative integer.
       (Contributed by Mario Carneiro, 11-Dec-2014.) $)
    mulgnegnn $p |- ( ( N e. NN /\ X e. B ) ->
      ( -u N .x. X ) = ( I ` ( N .x. X ) ) ) $=
      ( cn wcel cneg cfv co wceq fveq2d cc0 clt wbr eqid wa cplusg csn cxp cseq
      c1 nncn negnegd adantr c0g cif cz nnnegz mulgval sylan wne wn nnne0 cc wb
      negeq0 necon3abid syl mpbid iffalsed cr renegcld nngt0 lt0neg2d wi ltnsym
      nnre 0re mpan2 sylc eqtrd mulgnn 3eqtr4d ) EJKZFAKZUAZELZLZCUBMZJFUCUDUFU
      EZMZDMZEWEMZDMWBFBNZEFBNZDMWAWFWHDWAWCEWEVSWCEOVTVSEEUGZUHUIPPWAWIWBQOZCU
      JMZQWBRSZWBWEMZWGUKZUKZWGVSWBULKVTWIWQOEUMAWDWEBCDWBFWMGWDTZWMTIHWETZUNUO
      VSWQWGOVTVSWQWPWGVSWLWMWPVSEQUPZWLUQZEURVSEUSKZWTXAUTWKXBWLEQEVAVBVCVDVEV
      SWNWOWGVSWBVFKZWBQRSZWNUQZVSEEVLZVGVSQERSXDEVHVSEXFVIVDXCQVFKXDXEVJVMWBQV
      KVNVOVEVPUIVPWAWJWHDAWDWEBCEFGWRHWSVQPVR $.
  $}

  ${
    mulgnn0p1.b $e |- B = ( Base ` G ) $.
    mulgnn0p1.t $e |- .x. = ( .g ` G ) $.
    mulgnn0p1.p $e |- .+ = ( +g ` G ) $.
    $( Group multiple (exponentiation) operation at a successor, extended to
       ` NN0 ` .  (Contributed by Mario Carneiro, 11-Dec-2014.) $)
    mulgnn0p1 $p |- ( ( G e. Mnd /\ N e. NN0 /\ X e. B ) ->
      ( ( N + 1 ) .x. X ) = ( ( N .x. X ) .+ X ) ) $=
      ( cmnd wcel c1 caddc co wceq cc0 wa adantl oveq1d oveq1 cn0 w3a cn simpl3
      simpr mulgnnp1 syl2anc c0g eqid mndlid mulg0 mulg1 3eqtr4rd 3adant2 1e0p1
      cfv eqtr4di eqeq12d syl5ibrcom imp wo simp2 elnn0 sylib mpjaodan ) DJKZEU
      AKZFAKZUBZEUCKZELMNZFCNZEFCNZFBNZOZEPOZVIVJQVJVHVOVIVJUEVFVGVHVJUDABCDEFG
      HIUFUGVIVPVOVIVOVPLFCNZPFCNZFBNZOZVFVHVTVGVFVHQZDUHUPZFBNFVSVQABDFWBGIWBU
      IZUJWAVRWBFBVHVRWBOVFACDFWBGWCHUKRSVHVQFOVFACDFGHULRUMUNVPVLVQVNVSVPVKLFC
      VPVKPLMNLEPLMTUOUQSVPVMVRFBEPFCTSURUSUTVIVGVJVPVAVFVGVHVBEVCVDVE $.
  $}

  ${
    $d x y .+ $.  $d x y B $.  $d x y G $.  $d x I $.  $d x y N $.  $d x y S $.
    $d x y ph $.  $d x .x. $.  $d x y X $.
    mulgnnsubcl.b $e |- B = ( Base ` G ) $.
    mulgnnsubcl.t $e |- .x. = ( .g ` G ) $.
    mulgnnsubcl.p $e |- .+ = ( +g ` G ) $.
    mulgnnsubcl.g $e |- ( ph -> G e. V ) $.
    mulgnnsubcl.s $e |- ( ph -> S C_ B ) $.
    mulgnnsubcl.c $e |- ( ( ph /\ x e. S /\ y e. S ) -> ( x .+ y ) e. S ) $.
    $( Closure of the group multiple (exponentiation) operation in a
       subsemigroup.  (Contributed by Mario Carneiro, 10-Jan-2015.) $)
    mulgnnsubcl $p |- ( ( ph /\ N e. NN /\ X e. S ) -> ( N .x. X ) e. S ) $=
      ( cn wcel c1 w3a co csn cxp cseq cfv wceq simp2 wss 3ad2ant1 simp3 sseldd
      eqid mulgnn syl2anc cuz eleqtrdi cv cfz wa elfznn fvconst2g syl2an simpl3
      nnuz eqeltrd 3expb 3ad2antl1 seqcl ) AIRSZKFSZUAZIKGUBZIERKUCUDZTUEZUFZFV
      LVJKDSVMVPUGAVJVKUHZVLFDKAVJFDUIVKPUJAVJVKUKZULDEVOGHIKLNMVOUMUNUOVLBCEFV
      NTIVLIRTUPUFVQVEUQVLBURZTIUSUBSZUTVSVNUFZKFVLVKVSRSWAKUGVTVRVSIVARKVSFVBV
      CAVJVKVTVDVFAVJVSFSZCURZFSZUTVSWCEUBFSZVKAWBWDWEQVGVHVIVF $.

    mulgnn0subcl.z $e |- .0. = ( 0g ` G ) $.
    mulgnn0subcl.c $e |- ( ph -> .0. e. S ) $.
    $( Closure of the group multiple (exponentiation) operation in a submonoid.
       (Contributed by Mario Carneiro, 10-Jan-2015.) $)
    mulgnn0subcl $p |- ( ( ph /\ N e. NN0 /\ X e. S ) -> ( N .x. X ) e. S ) $=
      ( cn0 wcel w3a cn co wceq mulgnnsubcl 3expa an32s 3adantl2 oveq1 3ad2ant1
      cc0 wa wss simp3 sseldd mulg0 syl sylan9eqr adantr eqeltrd wo simp2 elnn0
      sylib mpjaodan ) AIUAUBZKFUBZUCZIUDUBZIKGUEZFUBZIUMUFZAVIVKVMVHAVKVIVMAVK
      VIVMABCDEFGHIJKMNOPQRUGUHUIUJVJVNUNVLLFVNVJVLUMKGUEZLIUMKGUKVJKDUBVOLUFVJ
      FDKAVHFDUOVIQULAVHVIUPUQDGHKLMSNURUSUTVJLFUBZVNAVHVPVITULVAVBVJVHVKVNVCAV
      HVIVDIVEVFVG $.

    mulgsubcl.i $e |- I = ( invg ` G ) $.
    mulgsubcl.c $e |- ( ( ph /\ x e. S ) -> ( I ` x ) e. S ) $.
    $( Closure of the group multiple (exponentiation) operation in a subgroup.
       (Contributed by Mario Carneiro, 10-Jan-2015.) $)
    mulgsubcl $p |- ( ( ph /\ N e. ZZ /\ X e. S ) -> ( N .x. X ) e. S ) $=
      ( cz wcel w3a cn0 co cr cn wa mulgnn0subcl 3expa an32s 3adantl2 cfv simp2
      cneg adantr zcnd negnegd oveq1d wceq id wss 3ad2ant1 simp3 sseldd syl2anr
      mulgnegnn eqtr3d cv fveq2 eleq1d wral mulgnnsubcl rspcdva eqeltrd adantrl
      ralrimiva wo elznn0nn sylib mpjaodan ) AJUDUEZLFUEZUFZJUGUEZJLGUHZFUEZJUI
      UEZJURZUJUEZUKZAWFWHWJWEAWHWFWJAWHWFWJABCDEFGHJKLMNOPQRSTUAULUMUNUOWGWMWJ
      WKWGWMUKZWIWLLGUHZIUPZFWOWLURZLGUHZWIWQWOWRJLGWOJWOJWGWEWMAWEWFUQZUSUTVAV
      BWMWMLDUEWSWQVCWGWMVDWGFDLAWEFDVEWFRVFAWEWFVGVHDGHIWLLNOUBVJVIVKWOBVLZIUP
      ZFUEZWQFUEBFWPXAWPVCXBWQFXAWPIVMVNWGXCBFVOZWMAWEXDWFAXCBFUCVTVFUSAWFWMWPF
      UEZWEAWMWFXEAWMWFXEABCDEFGHWLKLNOPQRSVPUMUNUOVQVRVSWGWEWHWNWAWTJWBWCWD $.
  $}

  ${
    $d x y B $.  $d x y G $.  $d x y N $.  $d x .x. $.  $d x y X $.
    mulgnncl.b $e |- B = ( Base ` G ) $.
    mulgnncl.t $e |- .x. = ( .g ` G ) $.
    $( Closure of the group multiple (exponentiation) operation for a positive
       multiplier in a magma.  (Contributed by Mario Carneiro, 11-Dec-2014.)
       (Revised by AV, 29-Aug-2021.) $)
    mulgnncl $p |- ( ( G e. Mgm /\ N e. NN /\ X e. B ) -> ( N .x. X ) e. B ) $=
      ( vx vy cmgm wcel cplusg cfv eqid id ssidd cv mgmcl mulgnnsubcl ) CJKZHIA
      CLMZABCDJEFGUANZTOTAPACHQIQUAFUBRS $.

    $( Closure of the group multiple (exponentiation) operation for a
       nonnegative multiplier in a monoid.  (Contributed by Mario Carneiro,
       11-Dec-2014.) $)
    mulgnn0cl $p |- ( ( G e. Mnd /\ N e. NN0 /\ X e. B ) ->
      ( N .x. X ) e. B ) $=
      ( vx vy cmnd wcel cplusg cfv c0g eqid id ssidd cv mndcl mndidcl
      mulgnn0subcl ) CJKZHIACLMZABCDJECNMZFGUCOZUBPUBAQAUCCHRIRFUESUDOZACUDFUFT
      UA $.

    $( Closure of the group multiple (exponentiation) operation.  (Contributed
       by Mario Carneiro, 11-Dec-2014.) $)
    mulgcl $p |- ( ( G e. Grp /\ N e. ZZ /\ X e. B ) -> ( N .x. X ) e. B ) $=
      ( vx vy cgrp wcel cplusg cfv cminusg c0g eqid id ssidd cv grpcl mulgsubcl
      grpidcl grpinvcl ) CJKZHIACLMZABCCNMZDJECOMZFGUEPZUDQUDARAUECHSZISFUHTUGP
      ZACUGFUJUBUFPZACUFUIFUKUCUA $.

    mulgneg.i $e |- I = ( invg ` G ) $.
    $( Group multiple (exponentiation) operation at a negative integer.
       (Contributed by Paul Chapman, 17-Apr-2009.)  (Revised by Mario Carneiro,
       11-Dec-2014.) $)
    mulgneg $p |- ( ( G e. Grp /\ N e. ZZ /\ X e. B ) ->
      ( -u N .x. X ) = ( I ` ( N .x. X ) ) ) $=
      ( wcel cz cneg co cfv wceq wa cc0 simpl3 syl2anc oveq1d cgrp w3a cr cn wo
      cn0 elnn0 simpr mulgnegnn c0g simpl1 eqid grpinvid syl mulg0 eqtrd fveq2d
      negeqd neg0 eqtrdi 3eqtr4rd jaodan sylan2b simprr mulgcl grpinvinv simprl
      nnzd syl3anc recnd negnegd eqtr3d simp2 elznn0nn sylib mpjaodan ) CUAJZEK
      JZFAJZUBZEUFJZELZFBMZEFBMZDNZOZEUCJZWBUDJZPZWAVTEUDJZEQOZUEWFEUGVTWJWFWKV
      TWJPWJVSWFVTWJUHVQVRVSWJRABCDEFGHIUISVTWKPZCUJNZDNZWMWEWCWLVQWNWMOVQVRVSW
      KUKCDWMWMULZIUMUNWLWDWMDWLWDQFBMZWMWLEQFBVTWKUHZTWLVSWPWMOVQVRVSWKRABCFWM
      GWOHUOUNZUPUQWLWCWPWMWLWBQFBWLWBQLQWLEQWQURUSUTTWRUPVAVBVCVTWIPZWCDNZDNZW
      CWEWSVQWCAJZXAWCOVQVRVSWIUKZWSVQWBKJVSXBXCWSWBVTWGWHVDZVHVQVRVSWIRZABCWBF
      GHVEVIACDWCGIVFSWSWTWDDWSWBLZFBMZWTWDWSWHVSXGWTOXDXEABCDWBFGHIUISWSXFEFBW
      SEWSEVTWGWHVGVJVKTVLUQVLVTVRWAWIUEVQVRVSVMEVNVOVP $.

    $( The inverse of a negative group multiple is the positive group multiple.
       (Contributed by Paul Chapman, 17-Apr-2009.)  (Revised by AV,
       30-Aug-2021.) $)
    mulgnegneg $p |- ( ( G e. Grp /\ N e. ZZ /\ X e. B )
                       -> ( I ` ( -u N .x. X ) ) = ( N .x. X ) ) $=
      ( cgrp wcel cz w3a cneg co cfv mulgneg fveq2d wceq simp1 mulgcl grpinvinv
      syl2anc eqtrd ) CJKZELKZFAKZMZENFBOZDPEFBOZDPZDPZUJUHUIUKDABCDEFGHIQRUHUE
      UJAKULUJSUEUFUGTABCEFGHUAACDUJGIUBUCUD $.

    $( Group multiple (exponentiation) operation at negative one.  (Contributed
       by Paul Chapman, 17-Apr-2009.)  (Revised by Mario Carneiro,
       20-Dec-2014.) $)
    mulgm1 $p |- ( ( G e. Grp /\ X e. B ) -> ( -u 1 .x. X ) = ( I ` X ) ) $=
      ( cgrp wcel wa c1 cneg co cfv cz wceq 1z mulgneg mp3an2 adantl fveq2d
      mulg1 eqtrd ) CIJZEAJZKZLMEBNZLEBNZDOZEDOUELPJUFUHUJQRABCDLEFGHSTUGUIEDUF
      UIEQUEABCEFGUCUAUBUD $.
  $}

  ${
    mulgcld.1 $e |- B = ( Base ` G ) $.
    mulgcld.2 $e |- .x. = ( .g ` G ) $.
    mulgcld.3 $e |- ( ph -> G e. Grp ) $.
    mulgcld.4 $e |- ( ph -> N e. ZZ ) $.
    mulgcld.5 $e |- ( ph -> X e. B ) $.
    $( Deduction associated with ~ mulgcl .  (Contributed by Rohan Ridenour,
       3-Aug-2023.) $)
    mulgcld $p |- ( ph -> ( N .x. X ) e. B ) $=
      ( cgrp wcel cz co mulgcl syl3anc ) ADLMENMFBMEFCOBMIJKBCDEFGHPQ $.
  $}

  ${
    mulgaddcom.b $e |- B = ( Base ` G ) $.
    mulgaddcom.t $e |- .x. = ( .g ` G ) $.
    mulgaddcom.p $e |- .+ = ( +g ` G ) $.
    $( Lemma for ~ mulgaddcom .  (Contributed by Paul Chapman, 17-Apr-2009.)
       (Revised by AV, 31-Aug-2021.) $)
    mulgaddcomlem $p |- ( ( ( G e. Grp /\ y e. ZZ /\ X e. B )
                            /\ ( ( y .x. X ) .+ X ) = ( X .+ ( y .x. X ) ) )
                      -> ( ( -u y .x. X ) .+ X ) = ( X .+ ( -u y .x. X ) ) ) $=
      ( wcel cz co wceq cfv adantr mulgcl oveq1d grpinvadd syl3anc oveq2d cv wa
      cgrp cneg cminusg simp1 simp3 znegcl syl3an2 eqid grpinvcl 3adant2 grpass
      w3a syl13anc mulgneg adantl 3eqtr2rd 3eqtr2d grpasscan1 3eqtrd grpasscan2
      fveq2 grpcl eqtr3d ) EUCJZAUAZKJZFBJZUNZVGFDLZFCLZFVKCLZMZUBZFVGUDZFDLZCL
      ZFEUENZNZCLZFCLZVQFCLVRVOWAVQFCVOWAFVQVTCLZCLZFVTVQCLZCLZVQVOVFVIVQBJZVTB
      JZWAWDMVJVFVNVFVHVIUFZOZVJVIVNVFVHVIUGZOZVJWGVNVHVFVPKJVIWGVGUHBDEVPFGHPU
      IZOZVJWHVNVFVIWHVHBEVSFGVSUJZUKULOBCEFVQVTGIUMUOVOWCWEFCVOWCVKVSNZVTCLZVM
      VSNZWEVOVQWPVTCVJVQWPMVNBDEVSVGFGHWOUPOZQVOVFVIVKBJZWRWQMWJWLVJWTVNBDEVGF
      GHPOZBCEVSFVKGIWORSVOWEVTWPCLZVLVSNZWRVOVQWPVTCWSTVOVFWTVIXCXBMWJXAWLBCEV
      SVKFGIWORSVNXCWRMVJVLVMVSVCUQURUSTVOVFVIWGWFVQMWJWLWNBCEVSFVQGIWOUTSVAQVO
      VFVRBJZVIWBVRMWJVJXDVNVJVFVIWGXDWIWKWMBCEFVQGIVDSOWLBCEVSVRFGIWOVBSVE $.

    $d B x y $.  $d G x y $.  $d N x $.  $d X x y $.  $d .x. x y $.
    $d .+ x y $.
    $( The group multiple operator commutes with the group operation.
       (Contributed by Paul Chapman, 17-Apr-2009.)  (Revised by AV,
       31-Aug-2021.) $)
    mulgaddcom $p |- ( ( G e. Grp /\ N e. ZZ /\ X e. B )
                            -> ( ( N .x. X ) .+ X ) = ( X .+ ( N .x. X ) ) ) $=
      ( vx vy wcel co wceq wi cc0 oveq1 oveq1d oveq2d eqeq12d cz cv c1 caddc wa
      cgrp cneg weq c0g cfv eqid grplid mulg0 adantl eqtrd 3eqtr4d cn0 w3a nn0z
      grprid simp1 mulgcl 3com23 grpass syl13anc syl3an3 adantr grpmnd 3ad2ant1
      simp2 cmnd simp3 mulgnn0p1 syl3anc eqeq1d biimpar ex 3expia mulgaddcomlem
      cn nnz 3exp1 com23 imp syl5 zindd 3imp ) DUFLZEUALZFALZEFCMZFBMZFWKBMZNZW
      HWJWIWNWHWJWIWNOJUBZFCMZFBMZFWPBMZNPFCMZFBMZFWSBMZNKUBZFCMZFBMZFXCBMZNZXB
      UGZFCMZFBMZFXHBMZNZXBUCUDMZFCMZFBMZFXMBMZNZWNWHWJUEZJKEWOPNZWQWTWRXAXRWPW
      SFBWOPFCQZRXRWPWSFBXSSTJKUHZWQXDWRXEXTWPXCFBWOXBFCQZRXTWPXCFBYASTWOXLNZWQ
      XNWRXOYBWPXMFBWOXLFCQZRYBWPXMFBYCSTWOXGNZWQXIWRXJYDWPXHFBWOXGFCQZRYDWPXHF
      BYESTWOENZWQWLWRWMYFWPWKFBWOEFCQZRYFWPWKFBYGSTXQDUIUJZFBMFWTXAABDFYHGIYHU
      KZULXQWSYHFBWJWSYHNWHACDFYHGYIHUMUNZRXQXAFYHBMFXQWSYHFBYJSABDFYHGIYIUTUOU
      PWHWJXBUQLZXFXPOWHWJYKURZXFXPYLXFUEZXEFBMZFXDBMZXNXOYLYNYONZXFYKWHWJXBUAL
      ZYPXBUSWHWJYQURWHWJXCALZWJYPWHWJYQVAWHWJYQVJZWHYQWJYRACDXBFGHVBVCYSABDFXC
      FGIVDVEVFVGYMXMXEFBYLXMXENXFYLXMXDXEYLDVKLZYKWJXMXDNWHWJYTYKDVHVIWHWJYKVL
      WHWJYKVJABCDXBFGHIVMVNZVOVPRYLXOYONXFYLXMXDFBUUASVGUPVQVRXBVTLYQXQXFXKOZX
      BWAWHWJYQUUBOWHYQWJUUBWHYQWJXFXKKABCDFGHIVSWBWCWDWEWFVQWCWG $.
  $}

  ${
    $d B x y $.  $d G x y $.  $d I x y $.  $d N x $.  $d X x y $.
    $d .x. x y $.
    mulginvcom.b $e |- B = ( Base ` G ) $.
    mulginvcom.t $e |- .x. = ( .g ` G ) $.
    mulginvcom.i $e |- I = ( invg ` G ) $.
    $( The group multiple operator commutes with the group inverse function.
       (Contributed by Paul Chapman, 17-Apr-2009.)  (Revised by AV,
       31-Aug-2021.) $)
    mulginvcom $p |- ( ( G e. Grp /\ N e. ZZ /\ X e. B )
                              -> ( N .x. ( I ` X ) ) = ( I ` ( N .x. X ) ) ) $=
      ( vx wcel cfv co wceq wi cc0 oveq1 fvoveq1 eqeq12d adantr vy cgrp cz cneg
      cv c1 caddc weq c0g eqid grpinvid eqcomd grpinvcl mulg0 syl adantl fveq2d
      3eqtr4d cn0 w3a cplusg oveq2 cmnd grpmnd 3ad2ant1 simp2 3adant2 mulgnn0p1
      wa syl3anc simp1 nn0z 3ad2ant2 mulgaddcom eqtrd syl3an1 syl3an2 grpinvadd
      mulgcl syld3an2 3exp1 com23 imp cn nnz mulgneg syld3an3 simpr eqtr4d syl5
      zindd ex 3imp ) CUBKZEUCKZFAKZEFDLZBMZEFBMDLZNZWNWPWOWTWNWPWOWTOJUEZWQBMZ
      XAFBMDLZNPWQBMZPFBMZDLZNUAUEZWQBMZXGFBMZDLZNZXGUDZWQBMZXLFBMZDLZNZXGUFUGM
      ZWQBMZXQFBMZDLZNZWTWNWPVIZJUAEXAPNXBXDXCXFXAPWQBQXAPFDBRSJUAUHXBXHXCXJXAX
      GWQBQXAXGFDBRSXAXQNXBXRXCXTXAXQWQBQXAXQFDBRSXAXLNXBXMXCXOXAXLWQBQXAXLFDBR
      SXAENXBWRXCWSXAEWQBQXAEFDBRSYBCUILZYCDLZXDXFWNYCYDNWPWNYDYCCDYCYCUJZIUKUL
      TYBWQAKZXDYCNACDFGIUMZABCWQYCGYEHUNUOYBXEYCDWPXEYCNWNABCFYCGYEHUNUPUQURWN
      WPXGUSKZXKYAOZOWNYHWPYIWNYHWPXKYAWNYHWPUTZXKVIWQXHCVALZMZWQXJYKMZXRXTXKYL
      YMNYJXHXJWQYKVBUPYJXRYLNXKYJXRXHWQYKMZYLYJCVCKZYHYFXRYNNWNYHYOWPCVDZVEWNY
      HWPVFWNWPYFYHYGVGZAYKBCXGWQGHYKUJZVHVJYJWNXGUCKZYFYNYLNWNYHWPVKYHWNYSWPXG
      VLZVMYQAYKBCXGWQGHYRVNVJVOTYJXTYMNXKYJXTXIFYKMZDLZYMYJXSUUADWNYOYHWPXSUUA
      NYPAYKBCXGFGHYRVHVPUQWNXIAKZYHWPUUBYMNYHWNYSWPUUCYTABCXGFGHVSVQAYKCDXIFGY
      RIVRVTVOTURWAWBWCXGWDKYSYBXKXPOZXGWEWNWPYSUUDOWNYSWPUUDWNYSWPXKXPWNYSWPUT
      ZXKVIZXMXHDLZXOUUEXMUUGNZXKWNYSWPYFUUHWNWPYFYSYGVGABCDXGWQGHIWFWGTUUFXNXH
      DUUFXNXJXHUUEXNXJNXKABCDXGFGHIWFTUUEXKWHWIUQWIWAWBWCWJWKWLWBWM $.

    $( The group multiple operator commutes with the group inverse function.
       (Contributed by Paul Chapman, 17-Apr-2009.)  (Revised by AV,
       31-Aug-2021.) $)
    mulginvinv $p |- ( ( G e. Grp /\ N e. ZZ /\ X e. B )
                              -> ( I ` ( N .x. ( I ` X ) ) ) = ( N .x. X ) ) $=
      ( cgrp wcel cz w3a cfv co wceq grpinvcl 3adant2 mulginvcom syld3an3
      grpinvinv oveq2d eqtr3d ) CJKZELKZFAKZMZEFDNZDNZBOZEUHBODNZEFBOUDUEUFUHAK
      ZUJUKPUDUFULUEACDFGIQRABCDEUHGHISTUGUIFEBUDUFUIFPUEACDFGIUARUBUC $.
  $}

  ${
    $d x G $.  $d x N $.  $d x .0. $.
    mulgnn0z.b $e |- B = ( Base ` G ) $.
    mulgnn0z.t $e |- .x. = ( .g ` G ) $.
    mulgnn0z.o $e |- .0. = ( 0g ` G ) $.
    $( A group multiple of the identity, for nonnegative multiple.
       (Contributed by Mario Carneiro, 13-Dec-2014.) $)
    mulgnn0z $p |- ( ( G e. Mnd /\ N e. NN0 ) -> ( N .x. .0. ) = .0. ) $=
      ( vx cn0 wcel cmnd cn cc0 wceq co cfv c1 eqid adantr elnn0 cplusg csn cxp
      wo wa cseq id mndidcl mulgnn syl2anr mndlid mpdan cuz simpr nnuz eleqtrdi
      cfz elfznn fvconst2g syl2an seqid3 eqtrd oveq1 mulg0 syl sylan9eqr jaodan
      cv sylan2b ) DJKCLKZDMKZDNOZUEDEBPZEOZDUAVKVLVOVMVKVLUFZVNDCUBQZMEUCUDZRU
      GZQZEVLVLEAKZVNVTOVKVLUHACEFHUIZAVQVSBCDEFVQSZGVSSUJUKVPIVQVRRDEVKEEVQPEO
      ZVLVKWAWDWBAVQCEEFWCHULUMTVPDMRUNQVKVLUOUPUQVPWAIVIZMKWEVRQEOWERDURPKVKWA
      VLWBTWEDUSMEWEAUTVAVBVCVMVKVNNEBPZEDNEBVDVKWAWFEOWBABCEEFHGVEVFVGVHVJ $.

    $( A group multiple of the identity, for integer multiple.  (Contributed by
       Mario Carneiro, 13-Dec-2014.) $)
    mulgz $p |- ( ( G e. Grp /\ N e. ZZ ) -> ( N .x. .0. ) = .0. ) $=
      ( wcel cz wa cn0 co wceq cneg mulgnn0z sylan cfv adantl ad2antrr cgrp zcn
      cmnd grpmnd adantr cminusg simpll nn0z grpidcl mulgneg syl3anc cc negnegd
      eqid ad2antlr oveq1d fveq2d grpinvid eqtrd 3eqtr3d wo cr simprbi mpjaodan
      elznn0 ) CUAIZDJIZKZDLIZDEBMZENZDOZLIZVHCUCIZVIVKVFVNVGCUDUEZABCDEFGHPQVH
      VMKZVLOZEBMZVLEBMZCUFRZRZVJEVPVFVLJIZEAIZVRWANVFVGVMUGVMWBVHVLUHSVFWCVGVM
      ACEFHUITABCVTVLEFGVTUNZUJUKVPVQDEBVPDVGDULIVFVMDUBUOUMUPVPWAEVTRZEVPVSEVT
      VHVNVMVSENVOABCVLEFGHPQUQVFWEENVGVMCVTEHWDURTUSUTVGVIVMVAZVFVGDVBIWFDVEVC
      SVD $.
  $}

  ${
    $d x y z B $.  $d x y z G $.  $d x y z M $.  $d x y z N $.  $d x y z .+ $.
    $d x y z X $.
    mulgnndir.b $e |- B = ( Base ` G ) $.
    mulgnndir.t $e |- .x. = ( .g ` G ) $.
    mulgnndir.p $e |- .+ = ( +g ` G ) $.
    $( Sum of group multiples, for positive multiples.  (Contributed by Mario
       Carneiro, 11-Dec-2014.)  (Revised by AV, 29-Aug-2021.) $)
    mulgnndir $p |- ( ( G e. Smgrp /\ ( M e. NN /\ N e. NN /\ X e. B ) ) ->
                      ( ( M + N ) .x. X ) = ( ( M .x. X ) .+ ( N .x. X ) ) ) $=
      ( wcel cn wa caddc co c1 cfv wceq cuz syl2anc vx vy vz csgrp w3a csn cseq
      cxp cmgm sgrpmgm mgmcl syl3an1 3expb adantlr sgrpass simpr2 nnuz eleqtrdi
      cv simpr1 nnzd eluzadd nncnd addcomd ax-1cn addcom sylancl fveq2d 3eltr4d
      cz cc simpr3 elfznn fvconst2g syl2an adantr eqeltrd seqsplit nnaddcl eqid
      cfz mulgnn syl2anr eqtr4d seqshft2 seqeq1d fveq12d 3eqtr4d oveq12d ) DUDK
      ZELKZFLKZGAKZUEZMZEFNOZBLGUFUHZPUGZQZEWRQZWPBWQEPNOZUGZQZBOWPGCOZEGCOZFGC
      OZBOWOUAUBUCBAWQPEWPWJUAUSZAKZUBUSZAKZMXGXIBOZAKZWNWJXHXJXLWJDUIKXHXJXLDU
      JADXGXIBHJUKULUMUNWJXHXJUCUSZAKUEXKXMBOXGXIXMBOBORWNADXGXIBXMHJUOUNWOFENO
      ZPENOZSQZWPXASQWOFPSQZKEVJKXNXPKWOFLXQWJWKWLWMUPZUQURZWOEWJWKWLWMUTZVAZEP
      FVBTWOEFWOEXTVCZWOFXRVCVDZWOXAXOSWOEVKKPVKKXAXORYBVEEPVFVGZVHVIWOELXQXTUQ
      URWOXGPWPWAOKZMXGWQQZGAWOWMXGLKZYFGRZYEWJWKWLWMVLZXGWPVMLGXGAVNZVOWOWMYEY
      IVPVQVRWOWPLKZWMXDWSRWOWKWLYKXTXREFVSTYIABWRCDWPGHJIWRVTZWBTWOXEWTXFXCBWO
      WKWMXEWTRXTYIABWRCDEGHJIYLWBTWOFWRQZXNBWQXOUGZQXFXCWOBUAWQWQEPFXSYAWOXGPF
      WAOKZMZYFGXGENOZWQQZWOWMYGYHYOYIXGFVMZYJVOYPWMYQLKZYRGRWOWMYOYIVPYOYGWKYT
      WOYSXTXGEVSWCLGYQAVNTWDWEWOWLWMXFYMRXRYIABWRCDFGHJIYLWBTWOWPXNXBYNWOXAXOB
      WQYDWFYCWGWHWIWH $.

    $( Sum of group multiples, generalized to ` NN0 ` .  (Contributed by Mario
       Carneiro, 11-Dec-2014.) $)
    mulgnn0dir $p |- ( ( G e. Mnd /\ ( M e. NN0 /\ N e. NN0 /\ X e. B ) ) ->
                      ( ( M + N ) .x. X ) = ( ( M .x. X ) .+ ( N .x. X ) ) ) $=
      ( wcel wa caddc co wceq cc0 adantr simpr oveq1d eqtrd cmnd cn0 cn mndsgrp
      w3a csgrp ad2antrr simplr simpr3 mulgnndir syl13anc c0g cfv simpll simpr1
      simplr3 mulgnn0cl syl3anc eqid mndrid syl2anc mulg0 oveq2d nn0cnd addid1d
      syl 3eqtr4rd adantlr simpr2 elnn0 sylib mpjaodan simplr2 mndlid addid2d
      wo ) DUAKZEUBKZFUBKZGAKZUEZLZEUCKZEFMNZGCNZEGCNZFGCNZBNZOZEPOZWBWCLZFUCKZ
      WIFPOZWKWLLDUFKZWCWLVTWIWBWNWCWLVQWNWADUDQUGWBWCWLUHWKWLRWBVTWCWLVQVRVSVT
      UIUGABCDEFGHIJUJUKWBWMWIWCWBWMLZWFDULUMZBNZWFWHWEWOVQWFAKZWQWFOVQWAWMUNZW
      OVQVRVTWRWSWBVRWMVQVRVSVTUOZQZVRVSVTVQWMUPZACDEGHIUQURABDWFWPHJWPUSZUTVAW
      OWGWPWFBWOWGPGCNZWPWOFPGCWBWMRZSWOVTXDWPOZXBACDGWPHXCIVBZVFTVCWOWDEGCWOWD
      EPMNEWOFPEMXEVCWOEWOEXAVDVETSVGVHWBWLWMVPZWCWBVSXHVQVRVSVTVIFVJVKQVLWBWJL
      ZWPWGBNZWGWHWEXIVQWGAKZXJWGOVQWAWJUNZXIVQVSVTXKXLVRVSVTVQWJVMZVRVSVTVQWJU
      PZACDFGHIUQURABDWGWPHJXCVNVAXIWFWPWGBXIWFXDWPXIEPGCWBWJRZSXIVTXFXNXGVFTSX
      IWDFGCXIWDPFMNFXIEPFMXOSXIFXIFXMVDVOTSVGWBVRWCWJVPWTEVJVKVL $.

    $( Lemma for ~ mulgdir .  (Contributed by Mario Carneiro, 13-Dec-2014.) $)
    mulgdirlem $p |- ( ( G e. Grp /\
        ( M e. ZZ /\ N e. ZZ /\ X e. B ) /\ ( M + N ) e. NN0 ) ->
                      ( ( M + N ) .x. X ) = ( ( M .x. X ) .+ ( N .x. X ) ) ) $=
      ( wcel cz co cn0 wceq wa syl13anc adantr syl3anc oveq1d cgrp caddc simpl1
      w3a cneg grpmndd simprl simprr simpl23 mulgnn0dir anassrs c0g cfv cminusg
      cmnd simp22 eqid mulgneg mulgcl grplinv syl2anc oveq2d simpl3 nn0z grprid
      eqtrd ad2antll grpass cmin cc simp21 zcnd addcld negsubd pncand eqtr3d wo
      syl elznn0 simprbi mpjaodan znegcld 3ad2ant3 grprinv grplid simpr addcomd
      cr negcld pncan2d 3eqtrd 3eqtr3d ) DUAKZELKZFLKZGAKZUDZEFUBMZNKZUDZENKZWR
      GCMZEGCMZFGCMZBMZOZEUEZNKZWTXAPFNKZXFFUEZNKZWTXAXIXFWTXAXIPZPZDUOKZXAXIWP
      XFXMDWMWQWSXLUCUFWTXAXIUGWTXAXIUHWNWOWPWMWSXLUIABCDEFGHIJUJQUKWTXAXKXFWTX
      AXKPZPZXBXJGCMZXDBMZBMZXBXEXPXSXBDULUMZBMZXBXPXRXTXBBXPXRXDDUNUMZUMZXDBMZ
      XTXPXQYCXDBXPWMWOWPXQYCOWMWQWSXOUCZWTWOXOWMWNWOWPWSUPZRZWNWOWPWMWSXOUIZAC
      DYBFGHIYBUQZURSTXPWMXDAKZYDXTOYEXPWMWOWPYJYEYGYHACDFGHIUSSZABDYBXDXTHJXTU
      QZYIUTVAVFVBXPWMXBAKZYAXBOYEXPWMWRLKZWPYMYEXPWSYNWMWQWSXOVCZWRVDZVRYHACDW
      RGHIUSZSZABDXBXTHJYLVEVAVFXPXBXQBMZXDBMZXSXEXPWMYMXQAKZYJYTXSOYEYRXPWMXJL
      KZWPUUAYEXKUUBWTXAXJVDVGYHACDXJGHIUSSYKABDXBXQXDHJVHQXPYSXCXDBXPWRXJUBMZG
      CMZYSXCXPXNWSXKWPUUDYSOXPDYEUFYOWTXAXKUHYHABCDWRXJGHIJUJQXPUUCEGCXPUUCWRF
      VIMEXPWRFWTWRVJKZXOWTEFWTEWMWNWOWPWSVKZVLZWTFYFVLZVMZRWTFVJKZXOUUHRZVNXPE
      FWTEVJKZXOUUGRUUKVOVFTVPTVPVPUKWTXIXKVQZXAWTWOUUMYFWOFWHKUUMFVSVTVRRWAWTX
      HPZXCXGGCMZBMZXBBMZXCUUOXBBMZBMZXBXEUUNWMXCAKZUUOAKZYMUUQUUSOWMWQWSXHUCZU
      UNWMWNWPUUTUVBWTWNXHUUFRZWNWOWPWMWSXHUIZACDEGHIUSSZUUNWMXGLKWPUVAUVBUUNEU
      VCWBUVDACDXGGHIUSSUUNWMYNWPYMUVBWTYNXHWSWMYNWQYPWCRUVDYQSZABDXCUUOXBHJVHQ
      UUNUUQXTXBBMZXBUUNUUPXTXBBUUNUUPXCXCYBUMZBMZXTUUNUUOUVHXCBUUNWMWNWPUUOUVH
      OUVBUVCUVDACDYBEGHIYIURSVBUUNWMUUTUVIXTOUVBUVEABDYBXCXTHJYLYIWDVAVFTUUNWM
      YMUVGXBOUVBUVFABDXBXTHJYLWEVAVFUUNUURXDXCBUUNXGWRUBMZGCMZUURXDUUNXNXHWSWP
      UVKUUROUUNDUVBUFWTXHWFWMWQWSXHVCUVDABCDXGWRGHIJUJQUUNUVJFGCUUNUVJWRXGUBMW
      REVIMFUUNXGWRUUNEWTUULXHUUGRZWIWTUUEXHUUIRZWGUUNWREUVMUVLVNUUNEFUVLWTUUJX
      HUUHRWJWKTVPVBWLWTWNXAXHVQZUUFWNEWHKUVNEVSVTVRWA $.

    $( Sum of group multiples, generalized to ` ZZ ` .  (Contributed by Mario
       Carneiro, 13-Dec-2014.) $)
    mulgdir $p |- ( ( G e. Grp /\ ( M e. ZZ /\ N e. ZZ /\ X e. B ) ) ->
                      ( ( M + N ) .x. X ) = ( ( M .x. X ) .+ ( N .x. X ) ) ) $=
      ( wcel cz co cn0 wceq cneg cfv adantr mulgneg syl3anc cgrp w3a mulgdirlem
      wa caddc 3expa cminusg simpll simpr2 znegcld simpr1 simplr3 negcld negdid
      zcnd comraddd simpr eqeltrrd syl131anc oveq1d zaddcld eqid eqtr3d oveq12d
      mulgcl grpinvadd eqtr4d 3eqtr3d fveq2d grpinvinv syl2anc grpcl wo simprbi
      cr elznn0 syl mpjaodan ) DUAKZELKZFLKZGAKZUBZUDZEFUEMZNKZWEGCMZEGCMZFGCMZ
      BMZOZWEPZNKZVSWCWFWKABCDEFGHIJUCUFWDWMUDZWGDUGQZQZWOQZWJWOQZWOQZWGWJWNWPW
      RWOWNFPZEPZUEMZGCMZWTGCMZXAGCMZBMZWPWRWNVSWTLKXALKWBXBNKXCXFOVSWCWMUHZWNF
      WDWAWMVSVTWAWBUIZRZUJWNEWDVTWMVSVTWAWBUKZRZUJVTWAWBVSWMULZWNWLXBNWNWLXAWT
      WNEWNEXKUOZUMWNFWNFXIUOZUMWNEFXMXNUNUPZWDWMUQURABCDWTXAGHIJUCUSWNWLGCMZXC
      WPWNWLXBGCXOUTWNVSWELKZWBXPWPOXGWDXQWMWDEFXJXHVAZRZXLACDWOWEGHIWOVBZSTVCW
      NXFWIWOQZWHWOQZBMZWRWNXDYAXEYBBWNVSWAWBXDYAOXGXIXLACDWOFGHIXTSTWNVSVTWBXE
      YBOXGXKXLACDWOEGHIXTSTVDWNVSWHAKZWIAKZWRYCOXGWNVSVTWBYDXGXKXLACDEGHIVETZW
      NVSWAWBYEXGXIXLACDFGHIVETZABDWOWHWIHJXTVFTVGVHVIWNVSWGAKZWQWGOXGWNVSXQWBY
      HXGXSXLACDWEGHIVETADWOWGHXTVJVKWNVSWJAKZWSWJOXGWNVSYDYEYIXGYFYGABDWHWIHJV
      LTADWOWJHXTVJVKVHWDXQWFWMVMZXRXQWEVOKYJWEVPVNVQVR $.

    $( Group multiple (exponentiation) operation at a successor, extended to
       ` ZZ ` .  (Contributed by Mario Carneiro, 11-Dec-2014.) $)
    mulgp1 $p |- ( ( G e. Grp /\ N e. ZZ /\ X e. B ) ->
                                ( ( N + 1 ) .x. X ) = ( ( N .x. X ) .+ X ) ) $=
      ( cgrp wcel cz w3a c1 caddc co wceq 1z mulgdir mp3anr2 3impb mulg1 oveq2d
      3ad2ant3 eqtrd ) DJKZELKZFAKZMZENOPFCPZEFCPZNFCPZBPZUKFBPUFUGUHUJUMQZUFUG
      NLKUHUNRABCDENFGHISTUAUIULFUKBUHUFULFQUGACDFGHUBUDUCUE $.
  $}

  ${
    $d n x B $.  $d n x G $.  $d n x I $.  $d n x .x. $.  $d n x X $.
    $d x N $.
    mulgneg2.b $e |- B = ( Base ` G ) $.
    mulgneg2.m $e |- .x. = ( .g ` G ) $.
    mulgneg2.i $e |- I = ( invg ` G ) $.
    $( Group multiple (exponentiation) operation at a negative integer.
       (Contributed by Mario Carneiro, 13-Dec-2014.) $)
    mulgneg2 $p |- ( ( G e. Grp /\ N e. ZZ /\ X e. B ) ->
                                      ( -u N .x. X ) = ( N .x. ( I ` X ) ) ) $=
      ( wcel cneg co cfv wceq cc0 c1 negeq oveq1d oveq1 eqeq12d vx vn cgrp neg0
      cz cv caddc wa eqtrdi c0g eqid mulg0 adantl grpinvcl syl eqtr4d wi cplusg
      cn0 cc nn0cn ax-1cn negdi sylancl simpll nn0negz 1z znegcl simplr mulgdir
      mp1i syl13anc mulgm1 adantr oveq2d 3eqtrd grpmnd ad2antrr simpr mulgnn0p1
      cmnd syl3anc syl5ibr ex cn fveq2 nnnegz mulgneg id mulgnegnn zindd 3impia
      syl2anr 3com23 ) CUCJZFAJZEUEJZEKZFBLZEFDMZBLZNZWOWPWQXBUAUFZKZFBLZXCWTBL
      ZNOFBLZOWTBLZNUBUFZKZFBLZXIWTBLZNZXJKZFBLZXJWTBLZNZXIPUGLZKZFBLZXRWTBLZNZ
      XBWOWPUHZUAUBEXCONZXEXGXFXHYDXDOFBYDXDOKOXCOQUDUIRXCOWTBSTXCXINZXEXKXFXLY
      EXDXJFBXCXIQRXCXIWTBSTXCXRNZXEXTXFYAYFXDXSFBXCXRQRXCXRWTBSTXCXJNZXEXOXFXP
      YGXDXNFBXCXJQRXCXJWTBSTXCENZXEWSXFXAYHXDWRFBXCEQRXCEWTBSTYCXGCUJMZXHWPXGY
      INWOABCFYIGYIUKZHULUMYCWTAJZXHYINACDFGIUNZABCWTYIGYJHULUOUPYCXIUSJZXMYBUQ
      XMYBYCYMUHZXKWTCURMZLZXLWTYOLZNXKXLWTYOSYNXTYPYAYQYNXTXJPKZUGLZFBLZXKYRFB
      LZYOLZYPYNXSYSFBYNXIUTJZPUTJXSYSNYMUUCYCXIVAUMVBXIPVCVDRYNWOXJUEJZYRUEJZW
      PYTUUBNWOWPYMVEYMUUDYCXIVFUMPUEJUUEYNVGPVHVKWOWPYMVIAYOBCXJYRFGHYOUKZVJVL
      YNUUAWTXKYOYCUUAWTNYMABCDFGHIVMVNVOVPYNCWAJZYMYKYAYQNWOUUGWPYMCVQVRYCYMVS
      YCYKYMYLVNAYOBCXIWTGHUUFVTWBTWCWDYCXIWEJZXMXQUQXMXQYCUUHUHZXKDMZXLDMZNXKX
      LDWFUUIXOUUJXPUUKUUIWOUUDWPXOUUJNWOWPUUHVEUUHUUDYCXIWGUMWOWPUUHVIABCDXJFG
      HIWHWBUUHUUHYKXPUUKNYCUUHWIYLABCDXIWTGHIWJWMTWCWDWKWLWN $.
  $}

  ${
    $d m n B $.  $d m n G $.  $d m n N $.  $d m n .x. $.  $d m n X $.
    $d n M $.
    mulgass.b $e |- B = ( Base ` G ) $.
    mulgass.t $e |- .x. = ( .g ` G ) $.
    $( Product of group multiples, for positive multiples in a semigroup.
       (Contributed by Mario Carneiro, 13-Dec-2014.)  (Revised by AV,
       29-Aug-2021.) $)
    mulgnnass $p |- ( ( G e. Smgrp /\ ( M e. NN /\ N e. NN /\ X e. B ) ) ->
                              ( ( M x. N ) .x. X ) = ( M .x. ( N .x. X ) ) ) $=
      ( vn wcel cn cmul co wceq wi c1 oveq1 oveq1d eqeq12d imbi2d vm csgrp nncn
      w3a cv caddc mulid2d 3ad2ant1 sgrpmgm mulgnncl syl3an1 3coml mulg1 eqtr4d
      cmgm syl wa cplusg cfv cc adantr simpr1 nncnd adddirp1d nnmulcl 3ad2antr1
      simpr3 simpr2 eqid mulgnndir syl13anc eqtrd mulgnnp1 sylan2 syl5ibr nnind
      ex a2d 3expd com4r 3imp2 ) CUBJZDKJZEKJZFAJZDELMZFBMZDEFBMZBMZNZWCWDWEWBW
      JWCWDWEWBWJWDWEWBUDZIUEZELMZFBMZWLWHBMZNZOWKPELMZFBMZPWHBMZNZOWKUAUEZELMZ
      FBMZXAWHBMZNZOWKXAPUFMZELMZFBMZXFWHBMZNZOWKWJOIUADWLPNZWPWTWKXKWNWRWOWSXK
      WMWQFBWLPELQRWLPWHBQSTWLXANZWPXEWKXLWNXCWOXDXLWMXBFBWLXAELQRWLXAWHBQSTWLX
      FNZWPXJWKXMWNXHWOXIXMWMXGFBWLXFELQRWLXFWHBQSTWLDNZWPWJWKXNWNWGWOWIXNWMWFF
      BWLDELQRWLDWHBQSTWKWRWHWSWKWQEFBWDWEWQENWBWDEEUCUGUHRWKWHAJZWSWHNWBWDWEXO
      WBCUOJWDWEXOCUIABCEFGHUJUKULZABCWHGHUMUPUNXAKJZWKXEXJXQWKXEXJOXEXJXQWKUQZ
      XCWHCURUSZMZXDWHXSMZNXCXDWHXSQXRXHXTXIYAXRXHXBEUFMZFBMZXTXRXGYBFBXRXAEXQX
      AUTJWKXAUCVAXREXQWDWEWBVBZVCVDRXRWBXBKJZWDWEYCXTNXQWDWEWBVGXQWEWDYEWBXAEV
      EVFYDXQWDWEWBVHAXSBCXBEFGHXSVIZVJVKVLWKXQXOXIYANXPAXSBCXAWHGHYFVMVNSVOVQV
      RVPVSVTWA $.

    $( Product of group multiples, generalized to ` NN0 ` .  (Contributed by
       Mario Carneiro, 13-Dec-2014.) $)
    mulgnn0ass $p |- ( ( G e. Mnd /\ ( M e. NN0 /\ N e. NN0 /\ X e. B ) ) ->
                              ( ( M x. N ) .x. X ) = ( M .x. ( N .x. X ) ) ) $=
      ( wcel cn0 wa cn cmul co wceq cc0 adantr mulg0 oveq1d oveq1 csgrp mndsgrp
      cmnd w3a simprl simprr simpr3 mulgnnass syl13anc expr c0g cfv eqid simpr1
      syl nn0cnd mul01d oveq2d 3ad2antr1 eqtrd 3eqtr4d oveq2 eqeq12d syl5ibrcom
      mulgnn0z wo simpr2 elnn0 sylib mpjaod ex mul02d mulgnn0cl 3adant3r1 ) CUC
      IZDJIZEJIZFAIZUDZKZDLIZDEMNZFBNZDEFBNZBNZOZDPOZVTWAWFVTWAKZELIZWFEPOZVTWA
      WIWFVTWAWIKZKCUAIZWAWIVRWFVTWLWKVOWLVSCUBQQVTWAWIUEVTWAWIUFVTVRWKVOVPVQVR
      UGZQABCDEFGHUHUIUJWHWFWJDPMNZFBNZDPFBNZBNZOZVTWRWAVTWPCUKULZWOWQVTVRWPWSO
      WMABCFWSGWSUMZHRUOZVTWNPFBVTDVTDVOVPVQVRUNZUPUQSVTWQDWSBNZWSVTWPWSDBXAURV
      OVQVPXCWSOVRABCDWSGHWTVEUSUTVAQWJWCWOWEWQWJWBWNFBEPDMVBSWJWDWPDBEPFBTURVC
      VDVTWIWJVFZWAVTVQXDVOVPVQVRVGZEVHVIQVJVKVTWFWGPEMNZFBNZPWDBNZOVTWPWSXGXHX
      AVTXFPFBVTEVTEXEUPVLSVTWDAIZXHWSOVOVQVRXIVPABCEFGHVMVNABCWDWSGWTHRUOVAWGW
      CXGWEXHWGWBXFFBDPEMTSDPWDBTVCVDVTVPWAWGVFXBDVHVIVJ $.

    $( Product of group multiples, generalized to ` ZZ ` .  (Contributed by
       Mario Carneiro, 13-Dec-2014.) $)
    mulgass $p |- ( ( G e. Grp /\ ( M e. ZZ /\ N e. ZZ /\ X e. B ) ) ->
                              ( ( M x. N ) .x. X ) = ( M .x. ( N .x. X ) ) ) $=
      ( wcel cz wa cn0 cneg cmul co wceq ad2antrr adantr cfv syl3anc w3a simpr1
      cgrp wo cr elznn0 simprbi syl simpr2 cmnd grpmnd simprl simprr mulgnn0ass
      simplr3 syl13anc zcnd mulneg1d oveq1d simpr3 eqtr3d cminusg fveq2 zmulcld
      ex simpl eqid mulgneg fveq2d mulgcl grpinvinv syldan eqtrd eqeq12d syl5ib
      imp mulneg2d oveq2d mulgneg2 eqtr4d 3eqtr3d mul2negd nn0z ad2antll ccased
      negnegd mp2and ) CUCIZDJIZEJIZFAIZUAZKZDLIZDMZLIZUDZELIZEMZLIZUDZDENOZFBO
      ZDEFBOZBOZPZWMWIWQWHWIWJWKUBZWIDUEIWQDUFUGUHWMWJXAWHWIWJWKUIZWJEUEIXAEUFU
      GUHWMWNWRWPWTXFWMWNWRKZXFWMXIKCUJIZWNWRWKXFWHXJWLXICUKZQWMWNWRULWMWNWRUMW
      IWJWKWHXIUOABCDEFGHUNUPVEWMWPWRKZXFWMXLXBMZFBOZWOXDBOZPZXFWMXLKZWOENOZFBO
      ZXNXOXQXRXMFBWMXRXMPXLWMDEWMDXGUQZWMEXHUQZURRUSXQXJWPWRWKXSXOPWHXJWLXLXKQ
      WMWPWRULWMWPWRUMWMWKXLWHWIWJWKUTZRABCWOEFGHUNUPVAWMXPXFXPXNCVBSZSZXOYCSZP
      WMXFXNXOYCVCWMYDXCYEXEWMYDXCYCSZYCSZXCWMXNYFYCWMWHXBJIZWKXNYFPWHWLVFZWMDE
      XGXHVDZYBABCYCXBFGHYCVGZVHTVIWHWLXCAIZYGXCPWMWHYHWKYLYIYJYBABCXBFGHVJTACY
      CXCGYKVKVLVMWMYEXEYCSZYCSZXEWMXOYMYCWMWHWIXDAIZXOYMPYIXGWMWHWJWKYOYIXHYBA
      BCEFGHVJTZABCYCDXDGHYKVHTVIWHWLXEAIZYNXEPWMWHWIYOYQYIXGYPABCDXDGHVJTACYCX
      EGYKVKVLVMVNVOVPZVLVEWMWNWTKZXFWMYSXPXFWMYSKZDWSNOZFBOZDWSFBOZBOZXNXOYTXJ
      WNWTWKUUBUUDPWHXJWLYSXKQWMWNWTULWMWNWTUMWMWKYSYBRABCDWSFGHUNUPYTUUAXMFBWM
      UUAXMPYSWMDEXTYAVQRUSWMUUDXOPYSWMUUDDXDYCSZBOZXOWMUUCUUEDBWMWHWJWKUUCUUEP
      YIXHYBABCYCEFGHYKVHTVRWMWHWIYOXOUUFPYIXGYPABCYCDXDGHYKVSTVTRWAYRVLVEWMWPW
      TKZXFWMUUGKZWOWSNOZFBOZWOUUCBOZXCXEUUHXJWPWTWKUUJUUKPWHXJWLUUGXKQWMWPWTUL
      WMWPWTUMWMWKUUGYBRZABCWOWSFGHUNUPWMUUJXCPUUGWMUUIXBFBWMDEXTYAWBUSRUUHUUKD
      UUCYCSZBOZXEUUHWHWIUUCAIZUUKUUNPWMWHUUGYIRZWMWIUUGXGRUUHWHWSJIZWKUUOUUPWT
      UUQWMWPWSWCWDZUULABCWSFGHVJTABCYCDUUCGHYKVSTUUHUUMXDDBUUHWSMZFBOZUUMXDUUH
      WHUUQWKUUTUUMPUUPUURUULABCYCWSFGHYKVHTUUHUUSEFBWMUUSEPUUGWMEYAWFRUSVAVRVM
      WAVEWEWG $.

    $( Reversed product of group multiples.  (Contributed by Paul Chapman,
       17-Apr-2009.)  (Revised by AV, 30-Aug-2021.) $)
    mulgassr $p |- ( ( G e. Grp /\ ( M e. ZZ /\ N e. ZZ /\ X e. B ) ) ->
                              ( ( N x. M ) .x. X ) = ( M .x. ( N .x. X ) ) ) $=
      ( cgrp wcel cz w3a wa cmul co wceq cc zcn 3ad2ant2 3ad2ant1 adantl oveq1d
      mulcomd mulgass eqtrd ) CIJZDKJZEKJZFAJZLZMZEDNOZFBODENOZFBODEFBOBOUKULUM
      FBUJULUMPUFUJEDUHUGEQJUIERSUGUHDQJUIDRTUCUAUBABCDEFGHUDUE $.
  $}

  ${
    mulgmodid.b $e |- B = ( Base ` G ) $.
    mulgmodid.o $e |- .0. = ( 0g ` G ) $.
    mulgmodid.t $e |- .x. = ( .g ` G ) $.
    $( Casting out multiples of the identity element leaves the group multiple
       unchanged.  (Contributed by Paul Chapman, 17-Apr-2009.)  (Revised by AV,
       30-Aug-2021.) $)
    mulgmodid $p |- ( ( G e. Grp /\ ( N e. ZZ /\ M e. NN )
                        /\ ( X e. B /\ ( M .x. X ) = .0. ) )
                      -> ( ( N mod M ) .x. X ) = ( N .x. X ) ) $=
      ( wcel cz wa co wceq cfv cr 3ad2ant2 oveq1d adantl cgrp w3a cmo cdiv cmul
      cn cfl cneg cplusg cmin caddc crp zre modval syl2an cc zcn adantr nnz cc0
      nnrp nnre nnne0 redivcl syl3an 3anidm23 flcld zmulcld negsubd simp1 simpl
      wne zcnd znegcld 3ad2ant3 eqid mulgdir syl13anc 3eqtr2d mulneg2d mulgassr
      nncn oveq2 mulgz syl2anc 3eqtrd eqtr3d oveq2d id mulgcl grprid ) CUAKZELK
      ZDUFKZMZFAKZDFBNZGOZMZUBZEDUCNZFBNZEFBNZDEDUDNZUGPZUENZUHZFBNZCUIPZNZXCGX
      INZXCWTXBEXFUJNZFBNEXGUKNZFBNZXJWTXAXLFBWOWLXAXLOZWSWMEQKZDULKXOWNEUMZDVA
      EDUNUORSWTXMXLFBWOWLXMXLOWSWOEXFWMEUPKWNEUQURWOXFWODXEWNDLKZWMDUSTZWOXDWM
      WNXDQKZWMXPWNDQKWNDUTVLXTXQDVBDVCEDVDVEVFZVGZVHVMVIRSWTWLWMXGLKWPXNXJOWLW
      OWSVJZWOWLWMWSWMWNVKZRWTXFWTDXEWOWLXRWSXSRZWOWLXELKWSYBRVHVNWSWLWPWOWPWRV
      KZVOZAXIBCEXGFHJXIVPZVQVRVSWTXHGXCXIWTDXEUHZUENZFBNZXHGWTYJXGFBWOWLYJXGOW
      SWODXEWNDUPKWMDWBTWOXEYBVMVTRSWTYKYIWQBNZYIGBNZGWTWLYILKZXRWPYKYLOYCWTXEW
      TXDWOWLXTWSYARVGVNZYEYGABCYIDFHJWAVRWSWLYLYMOZWOWRYPWPWQGYIBWCTVOWTWLYNYM
      GOYCYOABCYIGHJIWDWEWFWGWHWTWLXCAKZXKXCOYCWLWLWOWMWSWPYQWLWIYDYFABCEFHJWJV
      EAXICXCGHYHIWKWEWF $.
  $}

  ${
    mulgsubdir.b $e |- B = ( Base ` G ) $.
    mulgsubdir.t $e |- .x. = ( .g ` G ) $.
    mulgsubdir.d $e |- .- = ( -g ` G ) $.
    $( Subtraction of a group element from itself.  (Contributed by Mario
       Carneiro, 13-Dec-2014.) $)
    mulgsubdir $p |- ( ( G e. Grp /\ ( M e. ZZ /\ N e. ZZ /\ X e. B ) ) ->
      ( ( M - N ) .x. X ) = ( ( M .x. X ) .- ( N .x. X ) ) ) $=
      ( cgrp wcel cz co cfv wceq eqid zcnd 3adant3r1 mulgcl w3a wa caddc cplusg
      cneg znegcl mulgdir syl3anr2 simpr1 simpr2 negsubd oveq1d cminusg mulgneg
      cmin oveq2d 3adant3r2 grpsubval syl2anc eqtr4d 3eqtr3d ) CKLZDMLZFMLZGALZ
      UAUBZDFUEZUCNZGBNZDGBNZVGGBNZCUDOZNZDFUONZGBNVJFGBNZENZVDVCVBVGMLVEVIVMPF
      UFAVLBCDVGGHIVLQZUGUHVFVHVNGBVFDFVFDVBVCVDVEUIRVFFVBVCVDVEUJRUKULVFVMVJVO
      CUMOZOZVLNZVPVFVKVSVJVLVBVDVEVKVSPVCABCVRFGHIVRQZUNSUPVFVJALZVOALZVPVTPVB
      VCVEWBVDABCDGHITUQVBVDVEWCVCABCFGHITSAVLCVREVJVOHVQWAJURUSUTVA $.
  $}

  ${
    $d m n B $.  $d m n F $.  $d m n G $.  $d m n H $.  $d n N $.  $d m n X $.
    $d m n .x. $.  $d m n .X. $.
    mhmmulg.b $e |- B = ( Base ` G ) $.
    mhmmulg.s $e |- .x. = ( .g ` G ) $.
    mhmmulg.t $e |- .X. = ( .g ` H ) $.
    $( A homomorphism of monoids preserves group multiples.  (Contributed by
       Mario Carneiro, 14-Jun-2015.) $)
    mhmmulg $p |- ( ( F e. ( G MndHom H ) /\ N e. NN0 /\ X e. B ) ->
        ( F ` ( N .x. X ) ) = ( N .X. ( F ` X ) ) ) $=
      ( wcel co cfv wceq wi cc0 oveq1 eqeq12d eqid vn vm cn0 cmhm wa cv fvoveq1
      c1 caddc imbi2d c0g mhm0 adantr mulg0 adantl fveq2d cbs ffvelrnda 3eqtr4d
      mhmf syl cplusg mhmrcl1 ad2antrr simpr simplr mulgnn0p1 syl3anc mulgnn0cl
      simpll an32s mhmlin eqtrd mhmrcl2 syl5ibr expcom a2d nn0ind 3impib 3com12
      cmnd ) GUCLZDEFUDMLZHALZGHBMDNZGHDNZCMZOZWBWCWDWHWCWDUEZUAUFZHBMDNZWJWFCM
      ZOZPWIQHBMZDNZQWFCMZOZPWIUBUFZHBMZDNZWRWFCMZOZPWIWRUHUIMZHBMZDNZXCWFCMZOZ
      PWIWHPUAUBGWJQOZWMWQWIXHWKWOWLWPWJQHDBUGWJQWFCRSUJWJWROZWMXBWIXIWKWTWLXAW
      JWRHDBUGWJWRWFCRSUJWJXCOZWMXGWIXJWKXEWLXFWJXCHDBUGWJXCWFCRSUJWJGOZWMWHWIX
      KWKWEWLWGWJGHDBUGWJGWFCRSUJWIEUKNZDNZFUKNZWOWPWCXMXNOWDEFDXNXLXLTZXNTZULU
      MWIWNXLDWDWNXLOWCABEHXLIXOJUNUOUPWIWFFUQNZLZWPXNOWCAXQHDAXQEFDIXQTZUTURZX
      QCFWFXNXSXPKUNVAUSWRUCLZWIXBXGWIYAXBXGPXBXGWIYAUEZWTWFFVBNZMZXAWFYCMZOWTX
      AWFYCRYBXEYDXFYEYBXEWSHEVBNZMZDNZYDYBXDYGDYBEWALZYAWDXDYGOWCYIWDYAEFDVCZV
      DWIYAVEZWCWDYAVFZAYFBEWRHIJYFTZVGVHUPYBWCWSALZWDYHYDOWCWDYAVJWCYAWDYNWCYA
      UEZWDUEYIYAWDYNWCYIYAWDYJVDWCYAWDVFYOWDVEABEWRHIJVIVHVKYLAYFYCEFDWSHIYMYC
      TZVLVHVMYBFWALZYAXRXFYEOWCYQWDYAEFDVNVDYKWIXRYAXTUMXQYCCFWRWFXSKYPVGVHSVO
      VPVQVRVSVT $.
  $}

  ${
    $d ph a b x y $.  $d B x y $.  $d G a b x y $.  $d H a b x y $.
    $d K x y $.
    mulgpropd.m $e |- .x. = ( .g ` G ) $.
    mulgpropd.n $e |- .X. = ( .g ` H ) $.
    mulgpropd.b1 $e |- ( ph -> B = ( Base ` G ) ) $.
    mulgpropd.b2 $e |- ( ph -> B = ( Base ` H ) ) $.
    mulgpropd.i $e |- ( ph -> B C_ K ) $.
    mulgpropd.k $e |- ( ( ph /\ ( x e. K /\ y e. K ) ) ->
        ( x ( +g ` G ) y ) e. K ) $.
    mulgpropd.e $e |- ( ( ph /\ ( x e. K /\ y e. K ) ) ->
        ( x ( +g ` G ) y ) = ( x ( +g ` H ) y ) ) $.
    $( Two structures with the same group-nature have the same group multiple
       function. ` K ` is expected to either be ` _V ` (when strong equality is
       available) or ` B ` (when closure is available).  (Contributed by Stefan
       O'Rear, 21-Mar-2015.)  (Revised by Mario Carneiro, 2-Oct-2015.) $)
    mulgpropd $p |- ( ph -> .x. = .X. ) $=
      ( va vb cz cfv cbs cv cc0 wceq c0g clt wbr cplusg cn csn cxp c1 cseq cneg
      cminusg cif cmpo wcel w3a wa co wss wi ssel anim12d syl syldan grpidpropd
      imp 3ad2ant1 1zzd cuz vex fvconst2 nnuz eqcomi eleq2s adantl simp3 sseldd
      adantr eqeltrd 3ad2antl1 seqfeq3 fveq1d grpinvpropd fveq12d ifeq12d eqidd
      mpoeq3dva mpoeq123dv 3eqtr3d eqid mulgfval 3eqtr4g ) AQRSGUATZQUBZUCUDZGU
      ETZUCWQUFUGZWQGUHTZUIRUBZUJUKZULUMZTZWQUNZXDTZGUOTZTZUPZUPZUQZQRSHUATZWRH
      UETZWTWQHUHTZXCULUMZTZXFXPTZHUOTZTZUPZUPZUQZEFAQRSDXKUQQRSDYBUQXLYCAQRSDX
      KYBAWQSURZXBDURZUSZWRWSXNXJYAAYDWSXNUDYEABCDGHLMABUBZDURZCUBZDURZUTZYGIUR
      ZYIIURZUTZYGYIXAVAZYGYIXOVAUDZAYKYNADIVBZYKYNVCNYQYHYLYJYMDIYGVDDIYIVDVEV
      FVIPVGZVHVJYFWTXEXQXIXTYFWQXDXPYFBCXAXOIXCULYFVKYFYGULVLTZURZUTYGXCTZXBIY
      TUUAXBUDZYFUUBYGUIYSUIXBYGRVMVNUIYSVOVPVQVRYFXBIURYTYFDIXBAYDYQYENVJAYDYE
      VSVTWAWBAYDYNYOIURYEOWCAYDYNYPYEPWCWDZWEYFXGXRXHXSAYDXHXSUDYEABCDGHLMYRWF
      VJYFXFXDXPUUCWEWGWHWHWJAQRSDXKSWPXKASWIZLAXKWIWKAQRSDYBSXMYBUUDMAYBWIWKWL
      RWPXAEQGXHWSWPWMXAWMWSWMXHWMJWNRXMXOFQHXSXNXMWMXOWMXNWMXSWMKWNWO $.
  $}

  ${
    $d x y G $.  $d x y N $.  $d x y S $.  $d x .xb $.  $d x y X $.
    submmulgcl.t $e |- .xb = ( .g ` G ) $.
    $( Closure of the group multiple (exponentiation) operation in a submonoid.
       (Contributed by Mario Carneiro, 13-Jan-2015.) $)
    submmulgcl $p |- ( ( S e. ( SubMnd ` G ) /\ N e. NN0 /\ X e. S ) ->
      ( N .xb X ) e. S ) $=
      ( vx vy csubmnd cfv wcel cbs cplusg cmnd c0g eqid submrcl submss submcl
      cv subm0cl mulgnn0subcl ) ACIJKGHCLJZCMJZABCDNECOJZUCPZFUDPZACQUCACUFRUDA
      CGTHTUGSUEPZACUEUHUAUB $.

    submmulg.h $e |- H = ( G |`s S ) $.
    submmulg.t $e |- .x. = ( .g ` H ) $.
    $( A group multiple is the same if evaluated in a submonoid.  (Contributed
       by Mario Carneiro, 15-Jun-2015.) $)
    submmulg $p |- ( ( S e. ( SubMnd ` G ) /\ N e. NN0 /\ X e. S ) ->
      ( N .xb X ) = ( N .x. X ) ) $=
      ( cfv wcel co wceq cc0 c1 eqid syl adantr 3eqtr4d csubmnd cn0 w3a csn cxp
      cn wa cplusg cseq simpl1 ressplusg seqeq2d fveq1d cbs wss submss 3ad2ant1
      simpr simp3 sseldd mulgnn syl2anc submbas c0g subm0 mulg0 oveq1d wo simp2
      eleqtrd elnn0 sylib mpjaodan ) ADUAKZLZFUBLZGALZUCZFUFLZFGBMZFGCMZNFONZVR
      VSUGZFDUHKZUFGUDUEZPUIZKZFEUHKZWEPUIZKZVTWAWCFWFWIWCWDWHWEPWCVOWDWHNVOVPV
      QVSUJAWDDEVNIWDQZUKRULUMWCVSGDUNKZLZVTWGNVRVSURZVRWMVSVRAWLGVOVPAWLUOVQWL
      ADWLQZUPUQVOVPVQUSZUTZSWLWDWFBDFGWOWKHWFQVAVBWCVSGEUNKZLZWAWJNWNVRWSVSVRG
      AWRWPVOVPAWRNVQAEDIVCUQVJZSWRWHWICEFGWRQZWHQJWIQVAVBTVRWBUGZOGBMZOGCMZVTW
      AXBDVDKZEVDKZXCXDXBVOXEXFNVOVPVQWBUJAEDXEIXEQZVERXBWMXCXENVRWMWBWQSWLBDGX
      EWOXGHVFRXBWSXDXFNVRWSWBWTSWRCEGXFXAXFQJVFRTXBFOGBVRWBURZVGXBFOGCXHVGTVRV
      PVSWBVHVOVPVQVIFVKVLVM $.
  $}

  ${
    $d x A $.  $d x R $.  $d x X $.  $d x .xb $.  $d x B $.  $d x I $.
    $d x N $.  $d x V $.
    pwsmulg.y $e |- Y = ( R ^s I ) $.
    pwsmulg.b $e |- B = ( Base ` Y ) $.
    pwsmulg.s $e |- .xb = ( .g ` Y ) $.
    pwsmulg.t $e |- .x. = ( .g ` R ) $.
    $( Value of a group multiple in a structure power.  (Contributed by Mario
       Carneiro, 15-Jun-2015.) $)
    pwsmulg $p |- ( ( ( R e. Mnd /\ I e. V ) /\
      ( N e. NN0 /\ X e. B /\ A e. I ) ) ->
        ( ( N .xb X ) ` A ) = ( N .x. ( X ` A ) ) ) $=
      ( vx wcel co cfv wceq syl3anc cmnd cn0 w3a cmpt cmhm simpll simplr simpr3
      wa pwspjmhm simpr1 simpr2 mhmmulg pwsmnd adantr mulgnn0cl fveq1 eqid fvex
      cv fvmpt syl oveq2d 3eqtr3d ) CUAPZFHPZUIZGUBPZIBPZAFPZUCZUIZGIDQZOBAOUTZ
      RZUDZRZGIVPRZEQZAVMRZGAIRZEQVLVPJCUEQPZVHVIVQVSSVLVEVFVJWBVEVFVKUFVEVFVKU
      GVGVHVIVJUHOABCFHJKLUJTVGVHVIVJUKZVGVHVIVJULZBDEVPJCGILMNUMTVLVMBPZVQVTSV
      LJUAPZVHVIWEVGWFVKCFHJKUNUOWCWDBDJGILMUPTOVMVOVTBVPAVNVMUQVPURZAVMUSVAVBV
      LVRWAGEVLVIVRWASWDOIVOWABVPAVNIUQWGAIUSVAVBVCVD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subgroups and Quotient groups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ~QG $.
  $c SubGrp $.
  $c NrmSGrp $.

  $( Extend class notation with all subgroups of a group. $)
  csubg $a class SubGrp $.

  $( Extend class notation with all normal subgroups of a group. $)
  cnsg $a class NrmSGrp $.

  $( Quotient group equivalence class. $)
  cqg $a class ~QG $.

  ${
    $d b i p r s w x y $.
    $( Define a subgroup of a group as a set of elements that is a group in its
       own right.  Equivalently ( ~ issubg2 ), a subgroup is a subset of the
       group that is closed for the group internal operation (see ~ subgcl ),
       contains the neutral element of the group (see ~ subg0 ) and contains
       the inverses for all of its elements (see ~ subginvcl ).  (Contributed
       by Mario Carneiro, 2-Dec-2014.) $)
    df-subg $a |- SubGrp = ( w e. Grp |->
        { s e. ~P ( Base ` w ) | ( w |`s s ) e. Grp } ) $.

    $( Define the equivalence relation in a quotient ring or quotient group
       (where ` i ` is a two-sided ideal or a normal subgroup).  For non-normal
       subgroups this generates the left cosets.  (Contributed by Mario
       Carneiro, 15-Jun-2015.) $)
    df-nsg $a |- NrmSGrp = ( w e. Grp |-> { s e. ( SubGrp ` w ) |
       [. ( Base ` w ) / b ]. [. ( +g ` w ) / p ]. A. x e. b A. y e. b
        ( ( x p y ) e. s <-> ( y p x ) e. s ) } ) $.

    $( Define the equivalence relation in a group generated by a subgroup.
       More precisely, if ` G ` is a group and ` H ` is a subgroup, then
       ` G ~QG H ` is the equivalence relation on ` G ` associated with the
       left cosets of ` H ` .  A typical application of this definition is the
       construction of the quotient group (resp. ring) of a group (resp. ring)
       by a normal subgroup (resp. two-sided ideal).  (Contributed by Mario
       Carneiro, 15-Jun-2015.) $)
    df-eqg $a |- ~QG = ( r e. _V , i e. _V |-> { <. x , y >. |
      ( { x , y } C_ ( Base ` r ) /\
        ( ( ( invg ` r ) ` x ) ( +g ` r ) y ) e. i ) } ) $.
  $}

  ${
    $d s w B $.  $d s w G $.  $d s S $.
    issubg.b $e |- B = ( Base ` G ) $.
    $( The subgroup predicate.  (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    issubg $p |- ( S e. ( SubGrp ` G ) <->
      ( G e. Grp /\ S C_ B /\ ( G |`s S ) e. Grp ) ) $=
      ( vw vs csubg cfv wcel cgrp wss cress co cv cbs cpw crab wa wceq eleq1d
      df-subg mptrcl simp1 fveq2 eqtr4di pweqd oveq1 rabeqbidv fvexi pwex rabex
      w3a fvmpt eleq2d oveq2 elrab elpw2 anbi1i bitri bitrdi ibar bitrd bitr4di
      3anass pm5.21nii ) BCGHZIZCJIZVHBAKZCBLMZJIZULZEJENZFNZLMZJIZFVMOHZPZQZGB
      CEFUAZUBVHVIVKUCVHVGVHVIVKRZRZVLVHVGWAWBVHVGBCVNLMZJIZFAPZQZIZWAVHVFWFBEC
      VSWFJGVMCSZVPWDFVRWEWHVQAWHVQCOHAVMCOUDDUEUFWHVOWCJVMCVNLUGTUHVTWDFWEAACO
      DUIZUJUKUMUNWGBWEIZVKRWAWDVKFBWEVNBSWCVJJVNBCLUOTUPWJVIVKBAWIUQURUSUTVHWA
      VAVBVHVIVKVDVCVE $.

    $( A subgroup is a subset.  (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    subgss $p |- ( S e. ( SubGrp ` G ) -> S C_ B ) $=
      ( csubg cfv wcel cgrp wss cress co issubg simp2bi ) BCEFGCHGBAICBJKHGABCD
      LM $.

    $( A group is a subgroup of itself.  (Contributed by Mario Carneiro,
       7-Dec-2014.) $)
    subgid $p |- ( G e. Grp -> B e. ( SubGrp ` G ) ) $=
      ( cgrp wcel wss cress co csubg cfv ssidd ressid eqeltrd issubg syl3anbrc
      id ) BDEZQAAFBAGHZDEABIJEQPZQAKQRBDABDCLSMAABCNO $.
  $}

  ${
    subggrp.h $e |- H = ( G |`s S ) $.
    $( A subgroup is a group.  (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    subggrp $p |- ( S e. ( SubGrp ` G ) -> H e. Grp ) $=
      ( csubg cfv wcel cress co cgrp cbs wss eqid issubg simp3bi eqeltrid ) ABE
      FGZCBAHIZJDQBJGABKFZLRJGSABSMNOP $.

    $( The base of the restricted group in a subgroup.  (Contributed by Mario
       Carneiro, 2-Dec-2014.) $)
    subgbas $p |- ( S e. ( SubGrp ` G ) -> S = ( Base ` H ) ) $=
      ( csubg cfv wcel cbs wss wceq eqid subgss ressbas2 syl ) ABEFGABHFZIACHFJ
      OABOKZLAOCBDPMN $.
  $}

  $( Reverse closure for the subgroup predicate.  (Contributed by Mario
     Carneiro, 2-Dec-2014.) $)
  subgrcl $p |- ( S e. ( SubGrp ` G ) -> G e. Grp ) $=
    ( csubg cfv wcel cgrp cbs wss cress co eqid issubg simp1bi ) ABCDEBFEABGDZH
    BAIJFENABNKLM $.

  ${
    subg0.h $e |- H = ( G |`s S ) $.
    ${
      subg0.i $e |- .0. = ( 0g ` G ) $.
      $( A subgroup of a group must have the same identity as the group.
         (Contributed by Stefan O'Rear, 27-Nov-2014.)  (Revised by Mario
         Carneiro, 30-Apr-2015.) $)
      subg0 $p |- ( S e. ( SubGrp ` G ) -> .0. = ( 0g ` H ) ) $=
        ( csubg cfv wcel c0g cplusg co wceq eqid ressplusg cgrp subggrp syl2anc
        oveqd cbs grpidcl grplid eqtrd wb subgrcl subgss subgbas eleqtrrd grpid
        syl sseldd mpbid ) ABGHZIZCJHZUOBKHZLZUOMZDUOMZUNUQUOUOCKHZLZUOUNUPUTUO
        UOAUPBCUMEUPNZOSUNCPIZUOCTHZIZVAUOMABCEQZUNVCVEVFVDCUOVDNZUONZUAUJZVDUT
        CUOUOVGUTNVHUBRUCUNBPIUOBTHZIURUSUDABUEUNAVJUOVJABVJNZUFUNUOVDAVIABCEUG
        UHUKVJUPBUODVKVBFUIRUL $.
    $}

    subginv.i $e |- I = ( invg ` G ) $.
    subginv.j $e |- J = ( invg ` H ) $.
    $( The inverse of an element in a subgroup is the same as the inverse in
       the larger group.  (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    subginv $p |- ( ( S e. ( SubGrp ` G ) /\ X e. S ) ->
      ( I ` X ) = ( J ` X ) ) $=
      ( cfv wcel wceq cplusg co c0g cgrp cbs eleq2d eqid adantr subggrp subgbas
      csubg wa biimpa grprinv syl2an2r ressplusg oveqd subg0 3eqtr4d wb subgrcl
      subgss sselda wi grpinvcl syl 3imtr4d imp syldan grpinvid1 syl3anc mpbird
      ex ) ABUCJZKZFAKZUDZFDJFEJZLZFVJBMJZNZBOJZLZVIFVJCMJZNZCOJZVMVNVGCPKZVHFC
      QJZKZVQVRLABCGUAZVGVHWAVGAVTFABCGUBZRZUEVTVPCEFVRVTSZVPSVRSIUFUGVIVLVPFVJ
      VGVLVPLVHAVLBCVFGVLSZUHTUIVGVNVRLVHABCVNGVNSZUJTUKVIBPKZFBQJZKVJWIKZVKVOU
      LVGWHVHABUMTVGAWIFWIABWISZUNZUOVGVHVJAKZWJVGVHWMVGWAVJVTKZVHWMVGVSWAWNUPW
      BVSWAWNVTCEFWEIUQVEURWDVGAVTVJWCRUSUTVGAWIVJWLUOVAWIVLBDFVJVNWKWFWGHVBVCV
      D $.
  $}

  ${
    subg0cl.i $e |- .0. = ( 0g ` G ) $.
    $( The group identity is an element of any subgroup.  (Contributed by Mario
       Carneiro, 2-Dec-2014.) $)
    subg0cl $p |- ( S e. ( SubGrp ` G ) -> .0. e. S ) $=
      ( csubg cfv wcel cress co c0g cbs cgrp eqid subggrp grpidcl subg0 subgbas
      syl 3eltr4d ) ABEFGZBAHIZJFZUAKFZCATUALGUBUCGABUAUAMZNUCUAUBUCMUBMORABUAC
      UDDPABUAUDQS $.
  $}

  ${
    subginvcl.i $e |- I = ( invg ` G ) $.
    $( The inverse of an element is closed in a subgroup.  (Contributed by
       Mario Carneiro, 2-Dec-2014.) $)
    subginvcl $p |- ( ( S e. ( SubGrp ` G ) /\ X e. S ) -> ( I ` X ) e. S ) $=
      ( csubg cfv wcel wa cress co cminusg cgrp eqid subggrp simpr wceq subgbas
      cbs adantr eleqtrd grpinvcl syl2an2r subginv 3eltr4d ) ABFGHZDAHZIZDBAJKZ
      LGZGZUISGZDCGAUFUIMHUGDULHUKULHABUIUINZOUHDAULUFUGPUFAULQUGABUIUMRTZUAULU
      IUJDULNUJNZUBUCABUICUJDUMEUOUDUNUE $.
  $}

  ${
    subgcl.p $e |- .+ = ( +g ` G ) $.
    $( A subgroup is closed under group operation.  (Contributed by Mario
       Carneiro, 2-Dec-2014.) $)
    subgcl $p |- ( ( S e. ( SubGrp ` G ) /\ X e. S /\ Y e. S ) ->
      ( X .+ Y ) e. S ) $=
      ( csubg cfv wcel w3a cress cplusg cgrp eqid subggrp 3ad2ant1 wceq eleqtrd
      co cbs simp2 subgbas simp3 grpcl syl3anc ressplusg oveqd 3eltr4d ) BCGHZI
      ZDBIZEBIZJZDECBKSZLHZSZUNTHZDEASBUMUNMIZDUQIEUQIUPUQIUJUKURULBCUNUNNZOPUM
      DBUQUJUKULUAUJUKBUQQULBCUNUSUBPZRUMEBUQUJUKULUCUTRUQUOUNDEUQNUONUDUEUMAUO
      DEUJUKAUOQULBACUNUIUSFUFPUGUTUH $.
  $}

  ${
    subgsubcl.p $e |- .- = ( -g ` G ) $.
    $( A subgroup is closed under group subtraction.  (Contributed by Mario
       Carneiro, 18-Jan-2015.) $)
    subgsubcl $p |- ( ( S e. ( SubGrp ` G ) /\ X e. S /\ Y e. S ) ->
      ( X .- Y ) e. S ) $=
      ( cfv wcel w3a co cminusg cplusg cbs wceq wss eqid subgss 3ad2ant1 sseldd
      csubg simp2 grpsubval syl2anc subginvcl 3adant2 subgcl syld3an3 eqeltrd
      simp3 ) ABTGHZDAHZEAHZIZDECJZDEBKGZGZBLGZJZAUMDBMGZHEUSHUNURNUMAUSDUJUKAU
      SOULUSABUSPZQRZUJUKULUASUMAUSEVAUJUKULUISUSUQBUOCDEUTUQPZUOPZFUBUCUJUKULU
      PAHZURAHUJULVDUKABUOEVCUDUEUQABDUPVBUFUGUH $.

    subgsub.h $e |- H = ( G |`s S ) $.
    subgsub.n $e |- N = ( -g ` H ) $.
    $( The subtraction of elements in a subgroup is the same as subtraction in
       the group.  (Contributed by Mario Carneiro, 15-Jun-2015.) $)
    subgsub $p |- ( ( S e. ( SubGrp ` G ) /\ X e. S /\ Y e. S ) ->
      ( X .- Y ) = ( X N Y ) ) $=
      ( cfv wcel cminusg cplusg co wceq eqid 3ad2ant1 cbs sseldd csubg oveq123d
      w3a ressplusg eqidd subginv 3adant2 simp2 simp3 grpsubval syl2anc subgbas
      wss subgss eleqtrd 3eqtr4d ) ABUAKZLZFALZGALZUCZFGBMKZKZBNKZOZFGCMKZKZCNK
      ZOZFGDOZFGEOZVAFFVCVGVDVHURUSVDVHPUTAVDBCUQIVDQZUDRVAFUEURUTVCVGPUSABCVBV
      FGIVBQZVFQZUFUGUBVAFBSKZLGVOLVJVEPVAAVOFURUSAVOUMUTVOABVOQZUNRZURUSUTUHZT
      VAAVOGVQURUSUTUIZTVOVDBVBDFGVPVLVMHUJUKVAFCSKZLGVTLVKVIPVAFAVTVRURUSAVTPU
      TABCIULRZUOVAGAVTVSWAUOVTVHCVFEFGVTQVHQVNJUJUKUP $.
  $}

  ${
    $d x y G $.  $d x y N $.  $d x y S $.  $d x .x. $.  $d x y X $.
    subgmulgcl.t $e |- .x. = ( .g ` G ) $.
    $( Closure of the group multiple (exponentiation) operation in a subgroup.
       (Contributed by Mario Carneiro, 13-Jan-2015.) $)
    subgmulgcl $p |- ( ( S e. ( SubGrp ` G ) /\ N e. ZZ /\ X e. S ) ->
      ( N .x. X ) e. S ) $=
      ( vx vy csubg cfv wcel cbs cplusg cminusg cgrp c0g eqid subgrcl subgss cv
      subgcl subg0cl subginvcl mulgsubcl ) ACIJKGHCLJZCMJZABCCNJZDOECPJZUEQZFUF
      QZACRUEACUISUFACGTZHTUJUAUHQZACUHULUBUGQZACUGUKUMUCUD $.

    subgmulg.h $e |- H = ( G |`s S ) $.
    subgmulg.t $e |- .xb = ( .g ` H ) $.
    $( A group multiple is the same if evaluated in a subgroup.  (Contributed
       by Mario Carneiro, 15-Jan-2015.) $)
    subgmulg $p |- ( ( S e. ( SubGrp ` G ) /\ N e. ZZ /\ X e. S ) ->
      ( N .x. X ) = ( N .xb X ) ) $=
      ( cfv wcel cc0 wceq cif eqid 3ad2ant1 wa adantr syl2anc csubg w3a c0g clt
      cz wbr cplusg cn csn cxp c1 cseq cneg cminusg co ifeq1d ressplusg seqeq2d
      subg0 wn fveq1d wo cr simp2 zred 0re axlttri sylancl ioran bitrdi biimpar
      simpl1 cbs znegcld lt0neg1d biimpa elnnz sylanbrc wss subgss simp3 sseldd
      wb mulgnn subgmulgcl syl3anc eqeltrrd subginv syldan fveq2d eqtrd anassrs
      ifeq2da mulgval subgbas eleqtrd 3eqtr4d ) ADUAKZLZFUELZGALZUBZFMNZDUCKZMF
      UDUFZFDUGKZUHGUIUJZUKULZKZFUMZXHKZDUNKZKZOZOZXCEUCKZXEFEUGKZXGUKULZKZXJXR
      KZEUNKZKZOZOZFGCUOZFGBUOZXBXOXCXPXNOYDXBXCXDXPXNWSWTXDXPNXAADEXDIXDPZUSQU
      PXBXCXNYCXPXBXCUTZRZXNXEXSXMOYCYIXEXIXSXMYIFXHXRXBXHXRNZYHXBXFXQXGUKWSWTX
      FXQNXAAXFDEWRIXFPZUQQURZSVAUPYIXEXMYBXSXBYHXEUTZXMYBNXBYHYMRZRZXMXKYAKZYB
      XBYNFMUDUFZXMYPNZXBYQYNXBYQXCXEVBUTZYNXBFVCLMVCLYQYSWCXBFWSWTXAVDZVEZVFFM
      VGVHXCXEVIVJVKXBYQRZWSXKALYRWSWTXAYQVLZUUBXJGCUOZXKAUUBXJUHLZGDVMKZLZUUDX
      KNUUBXJUELZMXJUDUFZUUEUUBFXBWTYQYTSVNZXBYQUUIXBFUUAVOVPXJVQVRXBUUGYQXBAUU
      FGWSWTAUUFVSXAUUFADUUFPZVTQWSWTXAWAZWBZSUUFXFXHCDXJGUUKYKHXHPZWDTUUBWSUUH
      XAUUDALUUCUUJXBXAYQUULSACDXJGHWEWFWGADEXLYAXKIXLPZYAPZWHTWIYOXKXTYAYOXJXH
      XRXBYJYNYLSVAWJWKWLWMWKWMWKXBWTUUGYEXONYTUUMUUFXFXHCDXLFGXDUUKYKYGUUOHUUN
      WNTXBWTGEVMKZLYFYDNYTXBGAUUQUULWSWTAUUQNXAADEIWOQWPUUQXQXRBEYAFGXPUUQPXQP
      XPPUUPJXRPWNTWQ $.
  $}

  ${
    $d u v w x y G $.  $d u v w x y I $.  $d u v w x y .+ $.  $d u v w x y S $.
    $d u v w B $.
    issubg2.b $e |- B = ( Base ` G ) $.
    issubg2.p $e |- .+ = ( +g ` G ) $.
    issubg2.i $e |- I = ( invg ` G ) $.
    $( Characterize the subgroups of a group by closure properties.
       (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    issubg2 $p |- ( G e. Grp -> ( S e. ( SubGrp ` G ) <-> ( S C_ B /\ S =/= (/)
      /\ A. x e. S ( A. y e. S ( x .+ y ) e. S /\ ( I ` x ) e. S ) ) ) ) $=
      ( vu wcel cfv c0 cv co wral wa syl wceq vv vw cgrp csubg wss subgss cress
      wne w3a cbs eqid subgbas subggrp grpbn0 eqnetrd 3expa ralrimiva subginvcl
      subgcl jca 3jca simpl simpr1 c0g ressbas2 cvv cplusg fvex eqeltrdi simpr3
      ressplusg ralimi oveq1 eleq1d oveq2 rspc2v syl5com 3impib sseld 3anim123d
      imp grpass adantlr syldan wex simpr2 n0 sylib grplinv simpr fveq2 rspccva
      sselda adantr ovrspc2v syl21anc eqeltrrd exlimddv grplid isgrpd syl3anbrc
      sylan issubg ex impbid2 ) FUCLZEFUDMLZECUEZENUHZAOZBOZDPZELZBEQZXJGMZELZR
      ZAEQZUIZXGXHXIXRCEFHUFXGEFEUGPZUJMZNEFXTXTUKZULXGXTUCLZYANUHEFXTYBUMYAXTY
      AUKUNSUOXGXQAEXGXJELZRZXNXPYEXMBEXGYDXKELXMDEFXJXKIUSUPUQEFGXJJURUTUQVAXF
      XSXGXFXSRZXFXHYCXGXFXSVBXFXHXIXRVCZYFKUAUBEDXTKOZGMZFVDMZYFXHEYATYGECXTFY
      BHVESZYFEVFLDXTVGMTYFEYAVFYKXTUJVHVIEDFXTVFYBIVKSYFYHELZUAOZELZYHYMDPZELZ
      YFXNAEQZYLYNRYPYFXRYQXFXHXIXRVJZXQXNAEXNXPVBVLSZXMYPYHXKDPZELABYHYMEEXJYH
      TZXLYTEXJYHXKDVMVNXKYMTYTYOEXKYMYHDVOVNVPVQVRYFYLYNUBOZELZUIZYHCLZYMCLZUU
      BCLZUIZYOUUBDPYHYMUUBDPDPTZYFUUDUUHYFYLUUEYNUUFUUCUUGYFECYHYGVSYFECYMYGVS
      YFECUUBYGVSVTWAXFUUHUUIXSCDFYHYMUUBHIWBWCWDYFYLYJELKYFXIYLKWEXFXHXIXRWFKE
      WGWHYFYLRZYIYHDPZYJEYFYLUUEUUKYJTZYFECYHYGWMZXFUUEUULXSCDFGYHYJHIYJUKZJWI
      WCWDZUUJYIELZYLYQUUKELYFXPAEQZYLUUPYFXRUUQYRXQXPAEXNXPWJVLSXPUUPAYHEUUAXO
      YIEXJYHGWKVNWLXBZYFYLWJYFYQYLYSWNABEEEDYIYHWOWPWQWRYFYLUUEYJYHDPYHTZUUMXF
      UUEUUSXSCDFYHYJHIUUNWSWCWDUURUUOWTCEFHXCXAXDXE $.
  $}

  ${
    $d x y .0. $.  $d x y D $.  $d x y I $.  $d x y .+ $.  $d x y ph $.
    $d x y S $.
    issubgrpd.s $e |- ( ph -> S = ( I |`s D ) ) $.
    issubgrpd.z $e |- ( ph -> .0. = ( 0g ` I ) ) $.
    issubgrpd.p $e |- ( ph -> .+ = ( +g ` I ) ) $.
    issubgrpd.ss $e |- ( ph -> D C_ ( Base ` I ) ) $.
    issubgrpd.zcl $e |- ( ph -> .0. e. D ) $.
    issubgrpd.acl $e |- ( ( ph /\ x e. D /\ y e. D ) -> ( x .+ y ) e. D ) $.
    issubgrpd.ncl $e |- ( ( ph /\ x e. D ) -> ( ( invg ` I ) ` x ) e. D ) $.
    issubgrpd.g $e |- ( ph -> I e. Grp ) $.
    $( Prove a subgroup by closure (definition version).  (Contributed by
       Stefan O'Rear, 7-Dec-2014.) $)
    issubgrpd2 $p |- ( ph -> D e. ( SubGrp ` I ) ) $=
      ( cfv wcel wa eqid csubg cbs wss c0 wne cv cplusg wral cminusg ne0d oveqd
      wceq ad2antrr 3expa eqeltrrd ralrimiva jca cgrp w3a issubg2 syl mpbir3and
      co wb ) ADGUAQRZDGUBQZUCZDUDUEZBUFZCUFZGUGQZVCZDRZCDUHZVIGUIQZQDRZSZBDUHZ
      LADHMUJAVQBDAVIDRZSZVNVPVTVMCDVTVJDRZSVIVJEVCZVLDAWBVLULVSWAAEVKVIVJKUKUM
      AVSWAWBDRNUNUOUPOUQUPAGURRVEVGVHVRUSVDPBCVFVKDGVOVFTVKTVOTUTVAVB $.

    $( Prove a subgroup by closure.  (Contributed by Stefan O'Rear,
       7-Dec-2014.) $)
    issubgrpd $p |- ( ph -> S e. Grp ) $=
      ( cress co cgrp wcel csubg cfv issubgrpd2 eqid subggrp syl eqeltrd ) AFGD
      QRZSIADGUAUBTUHSTABCDEFGHIJKLMNOPUCDGUHUHUDUEUFUG $.
  $}

  ${
    $d G x y $.  $d I x y $.  $d S x y $.
    issubg3.i $e |- I = ( invg ` G ) $.
    $( A subgroup is a symmetric submonoid.  (Contributed by Mario Carneiro,
       7-Mar-2015.) $)
    issubg3 $p |- ( G e. Grp -> ( S e. ( SubGrp ` G ) <->
        ( S e. ( SubMnd ` G ) /\ A. x e. S ( I ` x ) e. S ) ) ) $=
      ( vy cgrp wcel c0g cfv cv wral wa wi eqid a1i adantr wb w3a df-3an cbs c0
      csubg csubmnd subg0cl subm0cl wss wne cplusg co ne0i 2thd adantl 3anbi23d
      r19.26 anass anbi1i 3bitr4ri bitrdi issubg2 cmnd grpmnd issubm syl anbi1d
      id 3bitr4d ex pm5.21ndd ) CGHZCIJZBHZBCUCJHZBCUDJHZAKZDJBHZABLZMZVMVLNVJB
      CVKVKOZUEPVRVLNVJVNVLVQBCVKVSUFQPVJVLVMVRRVJVLMZBCUAJZUGZBUBUHZVOFKCUIJZU
      JBHFBLZVPMABLZSZWBVLWEABLZSZVQMZVMVRVTWGWBVLWHVQMZSZWJVTWCVLWFWKWBVLWCVLR
      VJVLWCVLBVKUKVLVFULUMWFWKRVTWEVPABUOPUNWBVLMZWHMZVQMWMWKMWJWLWMWHVQUPWIWN
      VQWBVLWHTUQWBVLWKTURUSVJVMWGRVLAFWAWDBCDWAOZWDOZEUTQVJVRWJRVLVJVNWIVQVJCV
      AHVNWIRCVBAFWAWDBCVKWOVSWPVCVDVEQVGVHVI $.
  $}

  ${
    $d x y z B $.  $d x y z G $.  $d x y z .- $.  $d x y z S $.
    issubg4.b $e |- B = ( Base ` G ) $.
    issubg4.p $e |- .- = ( -g ` G ) $.
    $( A subgroup is a nonempty subset of the group closed under subtraction.
       (Contributed by Mario Carneiro, 17-Sep-2015.) $)
    issubg4 $p |- ( G e. Grp -> ( S e. ( SubGrp ` G ) <-> ( S C_ B /\ S =/= (/)
      /\ A. x e. S A. y e. S ( x .- y ) e. S ) ) ) $=
      ( vz wcel cfv cv co wral eqid wa wceq eleq1d wi syl2anc cgrp csubg wss c0
      wne w3a subgss c0g subg0cl ne0d subgsubcl 3expb ralrimivva cplusg cminusg
      3jca simplrl simplrr oveq1 ralbidv simpr simprr r19.2z sylan oveq2 adantl
      wrex rspcv simprl sselda grpsubid adantlr syldan sylibd rexlimdva rspcdva
      wb grpidcl ad2antrr grpsubval simpll grpinvcl grplid eqtrd ralbidva mpbid
      imp adantr fveq2 rspccva ad2ant2l syl simplll grpsubinv anassrs ralrimdva
      sseldd ralimdva impancom mpd cbvralvw sylib r19.26 sylanbrc exp42 issubg2
      3impd sylibrd impbid2 ) EUAJZDEUBKJZDCUCZDUDUEZALZBLZFMZDJZBDNZADNZUFZXKX
      LXMXSCDEGUGXKDEUHKZDEYAYAOZUIUJXKXQABDDXKXNDJZXODJZXQDEFXNXOHUKULUMUPXJXT
      XLXMXOILZEUNKZMZDJZIDNZXOEUOKZKZDJZPBDNZUFZXKXJXLXMXSYNXJXLXMXSYNXJXLXMPZ
      PZXSPZXLXMYMXJXLXMXSUQXJXLXMXSURYQYIBDNZYLBDNZYMYQXNYEYFMZDJZIDNZADNZYRYQ
      YSUUCYQYAXOFMZDJZBDNZYSYQXRUUFADYAXNYAQZXQUUEBDUUGXPUUDDXNYAXOFUSRUTYPXSV
      AYPXSXRADVGZYADJZYPXMXSUUHXJXLXMVBXRADVCVDYPUUHUUIYPXRUUIADYPYCPZXRXNXNFM
      ZDJZUUIYCXRUULSYPXQUULBXNDXOXNQXPUUKDXOXNXNFVERVHVFUUJUUKYADYPYCXNCJZUUKY
      AQZYPDCXNXJXLXMVIZVJXJUUMUUNYOCEFXNYAGYBHVKVLVMRVNVOWGVMVPYPUUFYSVQXSYPUU
      EYLBDYPYDPZUUDYKDUUPUUDYAYKYFMZYKUUPYACJZXOCJZUUDUUQQXJUURYOYDCEYAGYBVRVS
      YPDCXOUUOVJZCYFEYJFYAXOGYFOZYJOZHVTTUUPXJYKCJZUUQYKQXJYOYDWAZUUPXJUUSUVCU
      VDUUTCEYJXOGUVBWBTCYFEYKYAGUVAYBWCTWDRWEWHWFZYPYSXSUUCYPYSPZXRUUBADUVFYCP
      XRUUAIDUVFYCYEDJZXRUUASUVFYCUVGPZPZXRXNYEYJKZFMZDJZUUAUVIUVJDJZXRUVLSYSUV
      GUVMYPYCYLUVMBYEDXOYEQYKUVJDXOYEYJWIRWJWKXQUVLBUVJDXOUVJQXPUVKDXOUVJXNFVE
      RVHWLUVIUVKYTDUVICYFEFYJXNYEGUVAHUVBXJYOYSUVHWMUVIDCXNUVFXLUVHXJXLXMYSUQW
      HZUVFYCUVGVIWQUVIDCYEUVNUVFYCUVGVBWQWNRVNWOWPWRWSWTUUBYIABDXNXOQZUUAYHIDU
      VOYTYGDXNXOYEYFUSRUTXAXBUVEYIYLBDXCXDUPXEXGBICYFDEYJGUVAUVBXFXHXI $.
  $}

  ${
    $d B a b x y $.  $d G a b x y $.  $d H a b x y $.  $d S a b x y $.
    grpissubg.b $e |- B = ( Base ` G ) $.
    grpissubg.s $e |- S = ( Base ` H ) $.
    $( If the base set of a group is contained in the base set of another
       group, and the group operation of the group is the restriction of the
       group operation of the other group to its base set, then the (base set
       of the) group is subgroup of the other group.  (Contributed by AV,
       14-Mar-2019.) $)
    grpissubg $p |- ( ( G e. Grp /\ H e. Grp )
                   -> ( ( S C_ B /\ ( +g ` H ) = ( ( +g ` G ) |` ( S X. S ) ) )
                                                  -> S e. ( SubGrp ` G ) ) ) $=
      ( va vb vx vy wcel wa cfv wceq cv co adantl adantr ad2antrr eqid cgrp wss
      cplusg cxp cres csubg c0 wne wral cminusg simpl grpbn0 ad2antlr cmgm cmnd
      grpmnd mndmgm anim12i simpr anim1i mgmsscl ralrimiva simplr sseq2i biimpi
      syl syl3anc cbs oveq eqcomd eqtr3d ralrimivva grpinvssd grpinvcl ad4ant24
      ovres imp eqeltrrd jca w3a wb issubg2 mpbir3and ex ) CUAKZDUAKZLZBAUBZDUC
      MZCUCMZBBUDUEZNZLZBCUFMKZWGWMLZWNWHBUGUHZGOZHOZWJPBKZHBUIZWQCUJMZMZBKZLZG
      BUIZWMWHWGWHWLUKQWFWPWEWMBDFULUMWOXDGBWOWQBKZLZWTXCXGWSHBXGWRBKZLCUNKZDUN
      KZLZWMXFXHLWSWOXKXFXHWGXKWMWEXIWFXJWECUOKXICUPCUQVFWFDUOKXJDUPDUQVFURRSWO
      WMXFXHWGWMUSSXGXFXHWOXFUSUTABCDWQWREFVAVGVBXGWQDUJMZMZXBBWOXFXMXBNWOIJBDC
      WQWGWEWMWEWFUKRWEWFWMVCFWMBCVHMZUBZWGWHXOWLWHXOAXNBEVDVERQWOIOZJOZWJPZXPX
      QWIPZNIJBBWOXPBKXQBKLZLXPXQWKPZXRXSXTYAXRNWOXPXQBBWJVPQWMYAXSNWGXTWMXSYAW
      LXSYANWHXPXQWIWKVIQVJUMVKVLVMVQWFXFXMBKWEWMBDXLWQFXLTVNVOVRVSVBWEWNWHWPXE
      VTWAWFWMGHAWJBCXAEWJTXATWBSWCWD $.

    $( If the base set of a group is contained in the base set of another
       group, and the group operation of the group is the restriction of the
       group operation of the other group to its base set, then the other group
       restricted to the base set of the group is a group.  (Contributed by AV,
       14-Mar-2019.) $)
    resgrpisgrp $p |- ( ( G e. Grp /\ H e. Grp )
                   -> ( ( S C_ B /\ ( +g ` H ) = ( ( +g ` G ) |` ( S X. S ) ) )
                                                   -> ( G |`s S ) e. Grp ) ) $=
      ( cgrp wcel wa wss cplusg cfv cxp cres wceq cress csubg grpissubg bitr4di
      co imp w3a wb ibar ad2ant2r df-3an issubg mpbird ex ) CGHZDGHZIZBAJZDKLCK
      LBBMNOZIZCBPTGHZULUOIZUPBCQLHZULUOURABCDEFRUAUQUPUJUMUPUBZURUQUPUJUMIZUPI
      ZUSUJUMUPVAUCUKUNUTUPUDUEUJUMUPUFSABCEUGSUHUI $.
  $}

  ${
    $d x G $.  $d x S $.
    $( A subgroup is a submonoid.  (Contributed by Mario Carneiro,
       18-Jun-2015.) $)
    subgsubm $p |- ( S e. ( SubGrp ` G ) -> S e. ( SubMnd ` G ) ) $=
      ( vx csubg cfv wcel csubmnd cv cminusg wral cgrp subgrcl eqid issubg3 syl
      wa wb ibi simpld ) ABDEFZABGEFZCHBIEZEAFCAJZTUAUCPZTBKFTUDQABLCABUBUBMNOR
      S $.
  $}

  ${
    subsubg.h $e |- H = ( G |`s S ) $.
    $( A subgroup of a subgroup is a subgroup.  (Contributed by Mario Carneiro,
       19-Jan-2015.) $)
    subsubg $p |- ( S e. ( SubGrp ` G ) -> ( A e. ( SubGrp ` H ) <->
      ( A e. ( SubGrp ` G ) /\ A C_ S ) ) ) $=
      ( csubg cfv wcel wss wa cgrp cbs cress co adantr eqid subgss wceq subggrp
      adantl subgrcl subgbas sseqtrrd sstrd oveq1i ressabs eqtrid syldan issubg
      eqeltrrd syl3anbrc jca simprr sseqtrd adantrl ad2antrl eqeltrd impbida )
      BCFGZHZADFGHZAUSHZABIZJZUTVAJZVBVCVECKHZACLGZICAMNZKHZVBUTVFVABCUAOVEABVG
      VEADLGZBVAAVJIZUTVJADVJPZQTUTBVJRZVABCDEUBZOUCZUTBVGIVAVGBCVGPZQOUDVEDAMN
      ZVHKUTVAVCVQVHRZVOUTVCJVQCBMNZAMNVHDVSAMEUEBACUSUFUGZUHVAVQKHZUTADVQVQPST
      UJVGACVPUIUKVOULUTVDJZDKHZVKWAVAUTWCVDBCDESOWBABVJUTVBVCUMUTVMVDVNOUNWBVQ
      VHKUTVCVRVBVTUOVBVIUTVCACVHVHPSUPUQVJADVLUIUKUR $.
  $}

  ${
    $d g x y G $.  $d g x y S $.
    $( The intersection of a nonempty collection of subgroups is a subgroup.
       (Contributed by Mario Carneiro, 7-Dec-2014.) $)
    subgint $p |- ( ( S C_ ( SubGrp ` G ) /\ S =/= (/) ) ->
      |^| S e. ( SubGrp ` G ) ) $=
      ( vx vy vg cfv wss c0 wne wcel wral adantlr eqid syl ralrimiva sylibr c0g
      wa cv elint2 csubg cint cbs cplusg co cminusg cuni intssuni adantl subgss
      ssel2 unissb sstrd subg0cl fvex simprl elinti sylan simprr subgcl syl3anc
      ne0d imp ovex anassrs adantll subginvcl syl2anc jca cgrp w3a ssn0 subgrcl
      wb wex n0 exlimiv sylbi issubg2 3syl mpbir3and ) ABUAFZGZAHIZRZAUBZWBJZWF
      BUCFZGZWFHIZCSZDSZBUDFZUEZWFJZDWFKZWKBUFFZFZWFJZRZCWFKZWEWFAUGZWHWDWFXBGW
      CAUHUIWEESZWHGZEAKXBWHGWEXDEAWEXCAJZRZXCWBJZXDWCXEXGWDAWBXCUKLZWHXCBWHMZU
      JNOEAWHULPUMWEWFBQFZWEXJXCJZEAKXJWFJWEXKEAXFXGXKXHXCBXJXJMUNNOEXJABQUOTPV
      BWEWTCWFWEWKWFJZRZWPWSXMWODWFWEXLWLWFJZWOWEXLXNRZRZWNXCJZEAKWOXPXQEAXPXER
      XGWKXCJZWLXCJZXQWEXEXGXOXHLXPXLXEXRWEXLXNUPXLXEXRWKAXCUQVCZURXPXNXEXSWEXL
      XNUSXNXEXSWLAXCUQVCURWMXCBWKWLWMMZUTVAOEWNAWKWLWMVDTPVEOXMWRXCJZEAKWSXMYB
      EAXMXERXGXRYBWEXEXGXLXHLXLXEXRWEXTVFXCBWQWKWQMZVGVHOEWRAWKWQUOTPVIOWEWBHI
      ZBVJJZWGWIWJXAVKVNAWBVLYDXGEVOYEEWBVPXGYEEXCBVMVQVRCDWHWMWFBWQXIYAYCVSVTW
      A $.
  $}

  ${
    $d G a b $.  $d .0. a b $.
    0subg.z $e |- .0. = ( 0g ` G ) $.
    $( The zero subgroup of an arbitrary group.  (Contributed by Stefan O'Rear,
       10-Dec-2014.) $)
    0subg $p |- ( G e. Grp -> { .0. } e. ( SubGrp ` G ) ) $=
      ( va vb cgrp wcel csn csubg cfv cv co wral wa eqid wceq elsn sylibr ralsn
      eleq1d cbs wss wne cplusg cminusg grpidcl snssd c0g fvexi snnz a1i grplid
      mpdan ovex grpinvid fvex oveq1 ralbidv oveq2 bitrdi fveq2 anbi12d issubg2
      c0 sylanbrc mpbir3and ) AFGZBHZAIJGVHAUAJZUBVHVDUCZDKZEKZAUDJZLZVHGZEVHMZ
      VKAUEJZJZVHGZNZDVHMZVGBVIVIABVIOZCUFZUGVJVGBBAUHCUIZUJUKVGBBVMLZVHGZBVQJZ
      VHGZWAVGWEBPZWFVGBVIGWIWCVIVMABBWBVMOZCULUMWEBBBVMUNQRVGWGBPWHAVQBCVQOZUO
      WGBBVQUPQRVTWFWHNDBWDVKBPZVPWFVSWHWLVPBVLVMLZVHGZEVHMWFWLVOWNEVHWLVNWMVHV
      KBVLVMUQTURWNWFEBWDVLBPWMWEVHVLBBVMUSTSUTWLVRWGVHVKBVQVATVBSVEDEVIVMVHAVQ
      WBWJWKVCVF $.
  $}

  ${
    trivsubgd.1 $e |- B = ( Base ` G ) $.
    trivsubgd.2 $e |- .0. = ( 0g ` G ) $.
    trivsubgd.3 $e |- ( ph -> G e. Grp ) $.
    trivsubgd.4 $e |- ( ph -> B = { .0. } ) $.
    trivsubgd.5 $e |- ( ph -> A e. ( SubGrp ` G ) ) $.
    $( The only subgroup of a trivial group is itself.  (Contributed by Rohan
       Ridenour, 3-Aug-2023.) $)
    trivsubgd $p |- ( ph -> A = B ) $=
      ( csn csubg cfv wcel wss subgss syl sseqtrd subg0cl snssd eqssd eqtr4d )
      ABEKZCABUCABCUCABDLMNZBCOJCBDFPQIRAEBAUDEBNJBDEGSQTUAIUB $.
  $}

  ${
    $d x B $.  $d x G $.  $d x ph $.  $d x .0. $.
    trivsubgsnd.1 $e |- B = ( Base ` G ) $.
    trivsubgsnd.2 $e |- .0. = ( 0g ` G ) $.
    trivsubgsnd.3 $e |- ( ph -> G e. Grp ) $.
    trivsubgsnd.4 $e |- ( ph -> B = { .0. } ) $.
    $( The only subgroup of a trivial group is itself.  (Contributed by Rohan
       Ridenour, 3-Aug-2023.) $)
    trivsubgsnd $p |- ( ph -> ( SubGrp ` G ) = { B } ) $=
      ( vx csubg cfv csn cv wcel wa wceq cgrp adantr simpr trivsubgd sylibr syl
      velsn ex ssrdv subgid snssd eqssd ) ACJKZBLZAIUIUJAIMZUINZUKUJNZAULOZUKBP
      UMUNUKBCDEFACQNZULGRABDLPULHRAULSTIBUCUAUDUEABUIAUOBUINGBCEUFUBUGUH $.
  $}

  ${
    $d x y A $.  $d b g p s x y z G $.  $d b g p s x y z .+ $.  $d s x y z S $.
    $d y B $.  $d b g p s x y z X $.
    isnsg.1 $e |- X = ( Base ` G ) $.
    isnsg.2 $e |- .+ = ( +g ` G ) $.
    $( Property of being a normal subgroup.  (Contributed by Mario Carneiro,
       18-Jan-2015.) $)
    isnsg $p |- ( S e. ( NrmSGrp ` G ) <-> ( S e. ( SubGrp ` G ) /\
      A. x e. X A. y e. X ( ( x .+ y ) e. S <-> ( y .+ x ) e. S ) ) ) $=
      ( vg vp vs vb cfv wcel csubg cv co wral cplusg cbs cnsg cgrp wb wsbc crab
      wa df-nsg mptrcl subgrcl adantr wceq fveq2 cvv fvexd eqtr4di simpl fveq2d
      simplr simpr oveqd eleq1d bibi12d raleqbidv sbcied2 rabeqbidv rabex fvmpt
      fvex eleq2d eleq2 2ralbidv elrab bitrdi pm5.21nii ) DEUAMZNZEUBNZDEOMZNZA
      PZBPZCQZDNZWAVTCQZDNZUCZBFRAFRZUFZIUBVTWAJPZQZKPZNZWAVTWIQZWKNZUCZBLPZRZA
      WPRZJIPZSMZUDZLWSTMZUDZKWSOMZUEZUADEABIKJLUGZUHVSVQWGDEUIUJVQVPDWBWKNZWDW
      KNZUCZBFRZAFRZKVRUEZNWHVQVOXLDIEXEXLUBUAWSEUKZXCXKKXDVRWSEOULXMXAXKLXBFUM
      XMWSTUNXMXBETMFWSETULGUOXMWPFUKZUFZWRXKJWTCUMXOWSSUNXOWTESMCXOWSESXMXNUPU
      QHUOXOWICUKZUFZWQXJAWPFXMXNXPURZXQWOXIBWPFXRXQWLXGWNXHXQWJWBWKXQWICVTWAXO
      XPUSZUTVAXQWMWDWKXQWICWAVTXSUTVAVBVCVCVDVDVEXFXKKVREOVHVFVGVIXKWGKDVRWKDU
      KZXIWFABFFXTXGWCXHWEWKDWBVJWKDWDVJVBVKVLVMVN $.

    $( Weaken the condition of ~ isnsg to only one side of the implication.
       (Contributed by Mario Carneiro, 18-Jan-2015.) $)
    isnsg2 $p |- ( S e. ( NrmSGrp ` G ) <-> ( S e. ( SubGrp ` G ) /\
      A. x e. X A. y e. X ( ( x .+ y ) e. S -> ( y .+ x ) e. S ) ) ) $=
      ( vz wcel cv co wral wa wi ralbii weq oveq2 eleq1d oveq1 cnsg csubg isnsg
      cfv wb dfbi2 r19.26-2 bitri imbi12d cbvralvw ralcom ralbidv anbi12i anidm
      3bitri anbi2i ) DEUAUDJDEUBUDJZAKZIKZCLZDJZUSURCLZDJZUEZIFMZAFMZNUQURBKZC
      LZDJZVGURCLZDJZOZBFMZAFMZNAICDEFGHUCVFVNUQVFVAVCOZIFMZAFMZVCVAOZIFMAFMZNZ
      VNVNNVNVFVOVRNZIFMZAFMVTVEWBAFVDWAIFVAVCUFPPVOVRAIFFUGUHVQVNVSVNVPVMAFVOV
      LIBFIBQZVAVIVCVKWCUTVHDUSVGURCRSWCVBVJDUSVGURCTSUIUJPVSVRAFMZIFMUSVGCLZDJ
      ZVGUSCLZDJZOZBFMZIFMVNVRAIFFUKWDWJIFVRWIABFABQZVCWFVAWHWKVBWEDURVGUSCRSWK
      UTWGDURVGUSCTSUIUJPWJVMIAFIAQZWIVLBFWLWFVIWHVKWLWEVHDUSURVGCTSWLWGVJDUSUR
      VGCRSUIULUJUOUMVNUNUOUPUH $.

    $( Defining property of a normal subgroup.  (Contributed by Mario Carneiro,
       18-Jan-2015.) $)
    nsgbi $p |- ( ( S e. ( NrmSGrp ` G ) /\ A e. X /\ B e. X ) ->
                  ( ( A .+ B ) e. S <-> ( B .+ A ) e. S ) ) $=
      ( vx vy cfv wcel co wb cv wral wceq oveq1 eleq1d oveq2 cnsg csubg simprbi
      wa isnsg bibi12d rspc2v syl5com 3impib ) DEUAKLZAFLZBFLZABCMZDLZBACMZDLZN
      ZUJIOZJOZCMZDLZUSURCMZDLZNZJFPIFPZUKULUDUQUJDEUBKLVEIJCDEFGHUEUCVDUQAUSCM
      ZDLZUSACMZDLZNIJABFFURAQZVAVGVCVIVJUTVFDURAUSCRSVJVBVHDURAUSCTSUFUSBQZVGU
      NVIUPVKVFUMDUSBACTSVKVHUODUSBACRSUFUGUHUI $.
  $}

  ${
    $d w x y z .- $.  $d w x y z G $.  $d w x y z .+ $.  $d w x y z S $.
    $d w x y z X $.
    $( A normal subgroup is a subgroup.  (Contributed by Mario Carneiro,
       18-Jan-2015.) $)
    nsgsubg $p |- ( S e. ( NrmSGrp ` G ) -> S e. ( SubGrp ` G ) ) $=
      ( vx vy cnsg cfv wcel csubg cv cplusg co wb cbs wral eqid isnsg simplbi )
      ABEFGABHFGCIZDIZBJFZKAGSRTKAGLDBMFZNCUANCDTABUAUAOTOPQ $.

    isnsg3.1 $e |- X = ( Base ` G ) $.
    isnsg3.2 $e |- .+ = ( +g ` G ) $.
    isnsg3.3 $e |- .- = ( -g ` G ) $.
    $( The conjugation of an element of a normal subgroup is in the subgroup.
       (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    nsgconj $p |- ( ( S e. ( NrmSGrp ` G ) /\ A e. X /\ B e. S ) ->
      ( ( A .+ B ) .- A ) e. S ) $=
      ( cnsg cfv wcel w3a co cgrp wceq syl syl3anc eqeltrd csubg 3ad2ant1 simp2
      nsgsubg subgrcl wss subgss simp3 sseldd grpaddsubass syl13anc grpnpcan wb
      simp1 grpsubcl nsgbi mpbid ) DEKLMZAGMZBDMZNZABCOAFOZABAFOZCOZDVAEPMZUSBG
      MZUSVBVDQVADEUALMZVEURUSVGUTDEUDUBZDEUERZURUSUTUCZVADGBVAVGDGUFVHGDEHUGRU
      RUSUTUHZUIZVJGCEFABAHIJUJUKVAVCACOZDMZVDDMZVAVMBDVAVEVFUSVMBQVIVLVJGCEFBA
      HIJULSVKTVAURVCGMZUSVNVOUMURUSUTUNVAVEVFUSVPVIVLVJGEFBAHJUOSVJVCACDEGHIUP
      SUQT $.

    $( A subgroup is normal iff the conjugation of all the elements of the
       subgroup is in the subgroup.  (Contributed by Mario Carneiro,
       18-Jan-2015.) $)
    isnsg3 $p |- ( S e. ( NrmSGrp ` G ) <-> ( S e. ( SubGrp ` G ) /\
      A. x e. X A. y e. S ( ( x .+ y ) .- x ) e. S ) ) $=
      ( vz vw cfv wcel cv co wral wa wceq syl2anc cnsg csubg nsgsubg ralrimivva
      nsgconj 3expb jca wi simpl cminusg c0g cgrp subgrcl ad2antrr simprll eqid
      grplinv oveq1d grpinvcl simprlr grpass grplid 3eqtr3d eqtrd simprr simplr
      syl13anc grpsubinv oveq1 id oveq12d eleq1d rspc2va syl21anc eqeltrrd expr
      oveq2 isnsg2 sylanbrc impbii ) DEUAMNZDEUBMNZAOZBOZCPZWCFPZDNZBDQAGQZRZWA
      WBWHDEUCWAWGABGDWAWCGNWDDNWGWCWDCDEFGHIJUEUFUDUGWIWBKOZLOZCPZDNZWKWJCPZDN
      ZUHZLGQKGQWAWBWHUIWIWPKLGGWIWJGNZWKGNZRZWMWOWIWSWMRZRZWJEUJMZMZWLCPZXCFPZ
      WNDXAXEWKXCFPWNXAXDWKXCFXAXCWJCPZWKCPZEUKMZWKCPZXDWKXAXFXHWKCXAEULNZWQXFX
      HSWBXJWHWTDEUMUNZWIWQWRWMUOZGCEXBWJXHHIXHUPZXBUPZUQTURXAXJXCGNZWQWRXGXDSX
      KXAXJWQXOXKXLGEXBWJHXNUSTZXLWIWQWRWMUTZGCEXCWJWKHIVAVGXAXJWRXIWKSXKXQGCEW
      KXHHIXMVBTVCURXAGCEFXBWKWJHIJXNXKXQXLVHVDXAXOWMWHXEDNZXPWIWSWMVEWBWHWTVFW
      GXRXCWDCPZXCFPZDNABXCWLGDWCXCSZWFXTDYAWEXSWCXCFWCXCWDCVIYAVJVKVLWDWLSZXTX
      EDYBXSXDXCFWDWLXCCVQURVLVMVNVOVPUDKLCDEGHIVRVSVT $.
  $}

  ${
    $d B s x y z $.  $d G s x y z $.
    subgacs.b $e |- B = ( Base ` G ) $.
    $( Subgroups are an algebraic closure system.  (Contributed by Stefan
       O'Rear, 4-Apr-2015.)  (Revised by Mario Carneiro, 22-Aug-2015.) $)
    subgacs $p |- ( G e. Grp -> ( SubGrp ` G ) e. ( ACS ` B ) ) $=
      ( vx vy vs cgrp wcel csubg cfv csubmnd cv cminusg wral cpw cin wa syl cvv
      crab cacs issubg3 wss submss adantl velpw sylibr eleq2w raleqbi1dv elrab3
      eqid pm5.32da bitr4d elin bitr4di eqrdv cmre cbs fvexi mreacs mp1i grpmnd
      wb cmnd submacs grpinvcl ralrimiva acsfn1 sylancr mreincl syl3anc eqeltrd
      ) BGHZBIJZBKJZDLZBMJZJZELZHZDVSNZEAOZTZPZAUAJZVMFVNWDVMFLZVNHZWFVOHZWFWCH
      ZQZWFWDHVMWGWHVRWFHZDWFNZQWJDWFBVQVQUKZUBVMWHWIWLVMWHQZWFWBHZWIWLVCWNWFAU
      CZWOWHWPVMAWFBCUDUEFAUFUGWAWLEWFWBVTWKDVSWFEFVRUHUIUJRULUMWFVOWCUNUOUPVMW
      EWBUQJHZVOWEHZWCWEHZWDWEHASHZWQVMABURCUSZSAUTVAVMBVDHWRBVBABCVERVMWTVRAHZ
      DANWSXAVMXBDAABVQVPCWMVFVGVRSAEDVHVIVOWCWEWBVJVKVL $.

    $( Normal subgroups form an algebraic closure system.  (Contributed by
       Stefan O'Rear, 4-Sep-2015.) $)
    nsgacs $p |- ( G e. Grp -> ( NrmSGrp ` G ) e. ( ACS ` B ) ) $=
      ( vx vy vz vs cgrp wcel cnsg cfv csubg cv cplusg co wral eqid cvv syl3anc
      wa csg cpw crab cin cacs wb wss subgss velpw sylibr weq eleq2w raleqbi1dv
      ralbidv elrab3 bicomd pm5.32i isnsg3 elin 3bitr4i eqriv cmre fvexi mreacs
      syl cbs mp1i subgacs simpl grpcl 3expb simprl grpsubcl ralrimivva acsfn1c
      sylancr mreincl eqeltrid ) BHIZBJKZBLKZDMZEMZBNKZOZWBBUAKZOZFMZIZEWHPZDAP
      ZFAUBZUCZUDZAUEKZGVTWNGMZWAIZWGWPIZEWPPZDAPZTWQWPWMIZTWPVTIWPWNIWQWTXAWQX
      AWTWQWPWLIZXAWTUFWQWPAUGXBAWPBCUHGAUIUJWKWTFWPWLFGUKWJWSDAWIWREWHWPFGWGUL
      UMUNUOVEUPUQDEWDWPBWFACWDQZWFQZURWPWAWMUSUTVAVSWOWLVBKIZWAWOIWMWOIZWNWOIA
      RIZXEVSABVFCVCZRAVDVGABCVHVSXGWGAIZEAPDAPXFXHVSXIDEAAVSWBAIZWCAIZTZTVSWEA
      IZXJXIVSXLVIVSXJXKXMAWDBWBWCCXCVJVKVSXJXKVLABWFWEWBCXDVMSVNWGARAFDEVOVPWA
      WMWOWLVQSVR $.
  $}

  ${
    $d x z A $.  $d z B $.  $d u w x y z G $.  $d u w z N $.  $d u w x y z S $.
    $d u w x y z .+ $.  $d w z H $.  $d u w x y z X $.
    elnmz.1 $e |- N = { x e. X |
      A. y e. X ( ( x .+ y ) e. S <-> ( y .+ x ) e. S ) } $.
    $( Elementhood in the normalizer.  (Contributed by Mario Carneiro,
       18-Jan-2015.) $)
    elnmz $p |- ( A e. N <-> ( A e. X /\
      A. z e. X ( ( A .+ z ) e. S <-> ( z .+ A ) e. S ) ) ) $=
      ( cv co wcel wb wral wceq oveq2 eleq1d oveq1 bibi12d cbvralvw ralbidv
      syl5bb elrab2 ) AJZBJZEKZFLZUEUDEKZFLZMZBHNZDCJZEKZFLZULDEKZFLZMZCHNZADHG
      UKUDULEKZFLZULUDEKZFLZMZCHNUDDOZURUJVCBCHUEULOZUGUTUIVBVEUFUSFUEULUDEPQVE
      UHVAFUEULUDERQSTVDVCUQCHVDUTUNVBUPVDUSUMFUDDULERQVDVAUOFUDDULEPQSUAUBIUC
      $.

    $( Defining property of the normalizer.  (Contributed by Mario Carneiro,
       18-Jan-2015.) $)
    nmzbi $p |- ( ( A e. N /\ B e. X ) ->
      ( ( A .+ B ) e. S <-> ( B .+ A ) e. S ) ) $=
      ( vz wcel cv co wb wral elnmz simprbi wceq oveq2 eleq1d bibi12d rspccva
      oveq1 sylan ) CGKZCJLZEMZFKZUFCEMZFKZNZJHOZDHKCDEMZFKZDCEMZFKZNZUECHKULAB
      JCEFGHIPQUKUQJDHUFDRZUHUNUJUPURUGUMFUFDCESTURUIUOFUFDCEUCTUAUBUD $.

    nmzsubg.2 $e |- X = ( Base ` G ) $.
    nmzsubg.3 $e |- .+ = ( +g ` G ) $.
    $( The normalizer N_G(S) of a subset ` S ` of the group is a subgroup.
       (Contributed by Mario Carneiro, 18-Jan-2015.) $)
    nmzsubg $p |- ( G e. Grp -> N e. ( SubGrp ` G ) ) $=
      ( vz vu wcel co wral wb eleq1d wceq grpass syl2anc cgrp csubg cfv wss wne
      vw c0 cv cminusg wa ssrab3 a1i c0g grpidcl grplid grprid eqtr4d ralrimiva
      eqid elnmz sylanbrc w3a id sseli grpcl syl3an simpl1 simpl2 sselid simpl3
      simpr syl13anc syl3anc nmzbi 3bitrd grpinvcl sylan2 simplr simpll grprinv
      ne0d 3expa adantr oveq1d 3eqtr3d grplinv oveq2d 3eqtrd eqtrd 3bitr3rd jca
      issubg2 mpbir3and ) EUAMZFEUBUCMFGUDZFUGUEKUHZUFUHZCNZFMZUFFOZWPEUIUCZUCZ
      FMZUJZKFOWOWNAUHZBUHZCNDMXFXECNDMPBGOAGFHUKZULWNFEUMUCZWNXHGMXHWPCNZDMWPX
      HCNZDMPZKGOXHFMGEXHIXHUSZUNWNXKKGWNWPGMZUJZXIXJDXNXIWPXJGCEWPXHIJXLUOGCEW
      PXHIJXLUPUQQURABKXHCDFGHUTVAWAWNXDKFWNWPFMZUJZWTXCXPWSUFFWNXOWQFMZWSWNXOX
      QVBZWRGMZWRLUHZCNZDMZXTWRCNZDMZPZLGOWSWNWNXOXMXQWQGMZXSWNVCFGWPXGVDZFGWQX
      GVDGCEWPWQIJVEVFXRYELGXRXTGMZUJZYBWPWQXTCNZCNZDMZXTWPCNZWQCNZDMZYDYIYAYKD
      YIWNXMYFYHYAYKRWNXOXQYHVGZYIFGWPXGWNXOXQYHVHZVIZYIFGWQXGWNXOXQYHVJZVIZXRY
      HVKZGCEWPWQXTIJSVLQYIYLYJWPCNZDMZWQYMCNZDMZYOYIXOYJGMZYLUUCPYQYIWNYFYHUUF
      YPYTUUAGCEWQXTIJVEVMABWPYJCDFGHVNTYIUUBUUDDYIWNYFYHXMUUBUUDRYPYTUUAYRGCEW
      QXTWPIJSVLQYIXQYMGMZUUEYOPYSYIWNYHXMUUGYPUUAYRGCEXTWPIJVEVMABWQYMCDFGHVNT
      VOYIYNYCDYIWNYHXMYFYNYCRYPUUAYRYTGCEXTWPWQIJSVLQVOURABLWRCDFGHUTVAWBURXPX
      BGMZXBXTCNZDMZXTXBCNZDMZPZLGOXCXOWNXMUUHYGGEXAWPIXAUSZVPVQZXPUUMLGXPYHUJZ
      WPXBUUKCNZCNZDMZUUQWPCNZDMZUULUUJUUPXOUUQGMZUUSUVAPWNXOYHVRZUUPWNUUHUUKGM
      ZUVBWNXOYHVSZXPUUHYHUUOWCZUUPWNYHUUHUVDUVEXPYHVKZUVFGCEXTXBIJVEVMZGCEXBUU
      KIJVEVMABWPUUQCDFGHVNTUUPUURUUKDUUPWPXBCNZUUKCNZXHUUKCNZUURUUKUUPUVIXHUUK
      CUUPWNXMUVIXHRUVEUUPFGWPXGUVCVIZGCEXAWPXHIJXLUUNVTTWDUUPWNXMUUHUVDUVJUURR
      UVEUVLUVFUVHGCEWPXBUUKIJSVLUUPWNUVDUVKUUKRUVEUVHGCEUUKXHIJXLUOTWEQUUPUUTU
      UIDUUPUUTXBUUKWPCNZCNZUUIUUPWNUUHUVDXMUUTUVNRUVEUVFUVHUVLGCEXBUUKWPIJSVLU
      UPUVMXTXBCUUPUVMXTXBWPCNZCNZXTXHCNZXTUUPWNYHUUHXMUVMUVPRUVEUVGUVFUVLGCEXT
      XBWPIJSVLUUPUVOXHXTCUUPWNXMUVOXHRUVEUVLGCEXAWPXHIJXLUUNWFTWGUUPWNYHUVQXTR
      UVEUVGGCEXTXHIJXLUPTWHWGWIQWJURABLXBCDFGHUTVAWKURKUFGCFEXAIJUUNWLWM $.

    $( A subgroup is a subset of its normalizer.  (Contributed by Mario
       Carneiro, 18-Jan-2015.) $)
    ssnmz $p |- ( S e. ( SubGrp ` G ) -> S C_ N ) $=
      ( vw cfv wcel wa co wceq syl eqid syl2anc syl3anc vz csubg cv wral subgss
      wb sselda simpll cminusg c0g subgrcl wss simplrl sseldd grplinv subginvcl
      cgrp oveq1d simplrr grpass syl13anc grplid simpr subgcl eqeltrrd grppncan
      3eqtr3d csg subgsubcl impbida anassrs ralrimiva elnmz sylanbrc ex ssrdv )
      DEUBLMZUADFVQUAUCZDMZVRFMZVQVSNZVRGMZVRKUCZCOZDMZWCVRCOZDMZUFZKGUDVTVQDGV
      RGDEIUEZUGZWAWHKGVQVSWCGMZWHVQVSWKNZNZWEWGWMWENZVQWCDMZVSWGVQWLWEUHZWNVRE
      UILZLZWDCOZWCDWNWRVRCOZWCCOZEUJLZWCCOZWSWCWNWTXBWCCWNEUQMZWBWTXBPWNVQXDWP
      DEUKZQZWNDGVRWNVQDGULWPWIQZVQVSWKWEUMZUNZGCEWQVRXBIJXBRZWQRZUOSURWNXDWRGM
      WBWKXAWSPXFWNDGWRXGWNVQVSWRDMZWPXHDEWQVRXKUPSZUNXIVQVSWKWEUSZGCEWRVRWCIJU
      TVAWNXDWKXCWCPXFXNGCEWCXBIJXJVBSVGWNVQXLWEWSDMWPXMWMWEVCCDEWRWDJVDTVEXHCD
      EWCVRJVDTWMWGNZVQVSWOWEVQWLWGUHZVQVSWKWGUMZXOWFVREVHLZOZWCDXOXDWKWBXSWCPX
      OVQXDXPXEQVQVSWKWGUSXOVQVSWBXPXQWJSGCEXRWCVRIJXRRZVFTXOVQWGVSXSDMXPWMWGVC
      XQDEXRWFVRXTVITVECDEVRWCJVDTVJVKVLABKVRCDFGHVMVNVOVP $.

    $( A subgroup is normal iff its normalizer is the entire group.
       (Contributed by Mario Carneiro, 18-Jan-2015.) $)
    isnsg4 $p |- ( S e. ( NrmSGrp ` G ) <->
                   ( S e. ( SubGrp ` G ) /\ N = X ) ) $=
      ( cnsg cfv wcel csubg cv co wb wral wa wceq eqeq2i rabid2 3bitri anbi2i
      isnsg crab eqcom bitr4i ) DEKLMDENLMZAOZBOZCPDMUKUJCPDMQBGRZAGRZSUIFGTZSA
      BCDEGIJUEUNUMUIUNGFTGULAGUFZTUMFGUGFUOGHUAULAGUBUCUDUH $.

    nmznsg.4 $e |- H = ( G |`s N ) $.
    $( Any subgroup is a normal subgroup of its normalizer.  (Contributed by
       Mario Carneiro, 19-Jan-2015.) $)
    nmznsg $p |- ( S e. ( SubGrp ` G ) -> S e. ( NrmSGrp ` H ) ) $=
      ( vz vw cfv wcel cv co wb wral csubg cbs cnsg id ssnmz wa subgrcl nmzsubg
      wss syl subsubg mpbir2and ssrab3 sseli nmzbi sylan2 rgen2 subgbas raleqdv
      cgrp wceq raleqbidv mpbii cvv cplusg fvexi ssexi ressplusg ax-mp sylanbrc
      eqid isnsg ) DEUAOZPZDFUAOPZMQZNQZCRDPVQVPCRDPSZNFUBOZTZMVSTZDFUCOPVNVOVN
      DGUIZVNUDABCDEGHIJKUEVNGVMPZVOVNWBUFSVNEUTPWCDEUGABCDEGHIJKUHUJZDGEFLUKUJ
      ULVNVRNGTZMGTWAVRMNGGVQGPVPGPVQHPVRGHVQAQZBQZCRDPWGWFCRDPSBHTAHGIUMZUNABV
      PVQCDGHIUOUPUQVNWEVTMGVSVNWCGVSVAWDGEFLURUJZVNVRNGVSWIUSVBVCMNCDFVSVSVKGV
      DPCFVEOVAGHHEUBJVFWHVGGCEFVDLKVHVIVLVJ $.
  $}

  ${
    $d G x y $.  $d .0. x y $.
    0nsg.z $e |- .0. = ( 0g ` G ) $.
    $( The zero subgroup is normal.  (Contributed by Mario Carneiro,
       4-Feb-2015.) $)
    0nsg $p |- ( G e. Grp -> { .0. } e. ( NrmSGrp ` G ) ) $=
      ( vx vy cgrp wcel csn csubg cfv cv cplusg co wral wceq eqid adantrr eqtrd
      csg wa cbs cnsg 0subg elsni ad2antll oveq2d grprid oveq1d grpsubid sylibr
      ovex elsn ralrimivva isnsg3 sylanbrc ) AFGZBHZAIJGDKZEKZALJZMZURASJZMZUQG
      ZEUQNDAUAJZNUQAUBJGABCUCUPVDDEVEUQUPURVEGZUSUQGZTTZVCBOVDVHVCURURVBMZBVHV
      AURURVBVHVAURBUTMZURVHUSBURUTVGUSBOUPVFUSBUDUEUFUPVFVJUROVGVEUTAURBVEPZUT
      PZCUGQRUHUPVFVIBOVGVEAVBURBVKCVBPZUIQRVCBVAURVBUKULUJUMDEUTUQAVBVEVKVLVMU
      NUO $.
  $}

  ${
    $d G x y $.  $d B x y $.
    nsgid.z $e |- B = ( Base ` G ) $.
    $( The whole group is a normal subgroup of itself.  (Contributed by Mario
       Carneiro, 4-Feb-2015.) $)
    nsgid $p |- ( G e. Grp -> B e. ( NrmSGrp ` G ) ) $=
      ( vx vy cgrp wcel csubg cfv cv cplusg csg wral cnsg subgid w3a simp1 eqid
      co grpcl simp2 grpsubcl syl3anc 3expb ralrimivva isnsg3 sylanbrc ) BFGZAB
      HIGDJZEJZBKIZSZUIBLIZSAGZEAMDAMABNIGABCOUHUNDEAAUHUIAGZUJAGZUNUHUOUPPUHUL
      AGUOUNUHUOUPQAUKBUIUJCUKRZTUHUOUPUAABUMULUICUMRZUBUCUDUEDEUKABUMACUQURUFU
      G $.
  $}

  ${
    0idnsgd.1 $e |- B = ( Base ` G ) $.
    0idnsgd.2 $e |- .0. = ( 0g ` G ) $.
    0idnsgd.3 $e |- ( ph -> G e. Grp ) $.
    $( The whole group and the zero subgroup are normal subgroups of a group.
       (Contributed by Rohan Ridenour, 3-Aug-2023.) $)
    0idnsgd $p |- ( ph -> { { .0. } , B } C_ ( NrmSGrp ` G ) ) $=
      ( csn cnsg cfv cgrp wcel 0nsg syl nsgid prssd ) ADHZBCIJZACKLZQRLGCDFMNAS
      BRLGBCEONP $.
  $}

  ${
    $d x B $.  $d x G $.  $d x ph $.  $d x .0. $.
    trivnsgd.1 $e |- B = ( Base ` G ) $.
    trivnsgd.2 $e |- .0. = ( 0g ` G ) $.
    trivnsgd.3 $e |- ( ph -> G e. Grp ) $.
    trivnsgd.4 $e |- ( ph -> B = { .0. } ) $.
    $( The only normal subgroup of a trivial group is itself.  (Contributed by
       Rohan Ridenour, 3-Aug-2023.) $)
    trivnsgd $p |- ( ph -> ( NrmSGrp ` G ) = { B } ) $=
      ( vx cnsg cfv csn csubg cv wcel wi nsgsubg a1i ssrdv trivsubgsnd cgrp syl
      sseqtrd nsgid snssd eqssd ) ACJKZBLZAUGCMKZUHAIUGUIINZUGOUJUIOPAUJCQRSABC
      DEFGHTUCABUGACUAOBUGOGBCEUDUBUEUF $.
  $}

  ${
    triv1nsgd.1 $e |- B = ( Base ` G ) $.
    triv1nsgd.2 $e |- .0. = ( 0g ` G ) $.
    triv1nsgd.3 $e |- ( ph -> G e. Grp ) $.
    triv1nsgd.4 $e |- ( ph -> B = { .0. } ) $.
    $( A trivial group has exactly one normal subgroup.  (Contributed by Rohan
       Ridenour, 3-Aug-2023.) $)
    triv1nsgd $p |- ( ph -> ( NrmSGrp ` G ) ~~ 1o ) $=
      ( cnsg cfv csn c1o cen trivnsgd cvv wcel wbr snex eqeltrdi ensn1g eqbrtrd
      syl ) ACIJBKZLMABCDEFGHNABOPUCLMQABDKOHDRSBOTUBUA $.
  $}

  ${
    1nsgtrivd.1 $e |- B = ( Base ` G ) $.
    1nsgtrivd.2 $e |- .0. = ( 0g ` G ) $.
    1nsgtrivd.3 $e |- ( ph -> G e. Grp ) $.
    1nsgtrivd.4 $e |- ( ph -> ( NrmSGrp ` G ) ~~ 1o ) $.
    $( A group with exactly one normal subgroup is trivial.  (Contributed by
       Rohan Ridenour, 3-Aug-2023.) $)
    1nsgtrivd $p |- ( ph -> B = { .0. } ) $=
      ( csn wcel wceq cnsg cfv cgrp nsgid syl c1o cen wbr cvv 0nsg en1eqsn snex
      syl2anc eleqtrd wb elsn2g mp1i mpbid ) ABDIZIZJZBUJKZABCLMZUKACNJZBUNJGBC
      EOPAUJUNJZUNQRSUNUKKAUOUPGCDFUAPHUJUNUBUDUEUJTJULUMUFADUCBUJTUGUHUI $.
  $}

  ${
    $d g s x y $.
    releqg.r $e |- R = ( G ~QG S ) $.
    $( The left coset equivalence relation is a relation.  (Contributed by
       Mario Carneiro, 14-Jun-2015.) $)
    releqg $p |- Rel R $=
      ( vx vy vg vs wrel cqg co cv cpr cbs cfv wss cminusg cplusg wcel cvv wa
      df-eqg relmpoopab releqi mpbir ) AICBJKZIELZFLZMGLZNOPUGUIQOOUHUIROKHLSUA
      GHEFTTCBJEFHGUBUCAUFDUDUE $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d g s x y G $.  $d g s x y N $.  $d g s x y S $.
    $d g s x y .+ $.  $d g s x y X $.
    eqgval.x $e |- X = ( Base ` G ) $.
    eqgval.n $e |- N = ( invg ` G ) $.
    eqgval.p $e |- .+ = ( +g ` G ) $.
    eqgval.r $e |- R = ( G ~QG S ) $.
    $( Value of the subgroup left coset equivalence relation.  (Contributed by
       Mario Carneiro, 15-Jan-2015.) $)
    eqgfval $p |- ( ( G e. V /\ S C_ X ) -> R = { <. x , y >. |
      ( { x , y } C_ X /\ ( ( N ` x ) .+ y ) e. S ) } ) $=
      ( vg wcel cvv cv cfv wa cbs vs cpr wss copab wceq elex fvexi ssex cminusg
      co cplusg simpl fveq2d eqtr4di sseq2d fveq1d eqidd oveq123d simpr eleq12d
      cqg anbi12d opabbidv df-eqg cxp xpex vex prss sylibr ssopab2i df-xp ssexi
      sseqtrri ovmpoa eqtrid syl2an ) FHOFPOZEPOZDAQZBQZUBZIUCZVSGRZVTCUJZEOZSZ
      ABUDZUEEIUCFHUFEIIFTJUGZUHVQVRSDFEVAUJWGMNUAFEPPWANQZTRZUCZVSWIUIRZRZVTWI
      UKRZUJZUAQZOZSZABUDWGVAWIFUEZWPEUEZSZWRWFABXAWKWBWQWEXAWJIWAXAWJFTRIXAWIF
      TWSWTULZUMJUNUOXAWOWDWPEXAWMWCVTVTWNCXAWNFUKRCXAWIFUKXBUMLUNXAVSWLGXAWLFU
      IRGXAWIFUIXBUMKUNUPXAVTUQURWSWTUSUTVBVCABUANVDWGIIVEZIIWHWHVFWGVSIOVTIOSZ
      ABUDXCWFXDABWFWBXDWBWEULVSVTIAVGBVGVHVIVJABIIVKVMVLVNVOVP $.

    $( Value of the subgroup left coset equivalence relation.  (Contributed by
       Mario Carneiro, 15-Jan-2015.)  (Revised by Mario Carneiro,
       14-Jun-2015.) $)
    eqgval $p |- ( ( G e. V /\ S C_ X ) -> ( A R B <->
      ( A e. X /\ B e. X /\ ( ( N ` A ) .+ B ) e. S ) ) ) $=
      ( vx vy wcel wss wa wbr cvv cv cpr cfv co copab w3a eqgfval adantl simpr1
      breqd brabv elexd simpr2 jca wceq vex prss eleq1 bi2anan9 fveq2 oveqan12d
      bitr3id id eleq1d anbi12d df-3an bitr4di eqid brabga pm5.21nd bitrd ) FHP
      EIQRZABDSABNUAZOUAZUBIQZVMGUCZVNCUDZEPZRZNOUEZSZAIPZBIPZAGUCZBCUDZEPZUFZV
      LDVTABNOCDEFGHIJKLMUGUJVLWAWGATPZBTPZRZWAWJVLVSNOABUKUHVLWGRZWHWIWKAIVLWB
      WCWFUIULWKBIVLWBWCWFUMULUNVSWGNOABVTTTVMAUOZVNBUOZRZVSWBWCRZWFRWGWNVOWOVR
      WFVOVMIPZVNIPZRWNWOVMVNINUPOUPUQWLWPWBWMWQWCVMAIURVNBIURUSVBWNVQWEEWLWMVP
      WDVNBCVMAGUTWMVCVAVDVEWBWCWFVFVGVTVHVIVJVK $.
  $}

  ${
    $d g x .+ $.  $d x y z .~ $.  $d x .0. $.  $d g x y z G $.  $d g x y z X $.
    $d g x A $.  $d x y z Y $.
    eqger.x $e |- X = ( Base ` G ) $.
    eqger.r $e |- .~ = ( G ~QG Y ) $.
    $( The subgroup coset equivalence relation is an equivalence relation.
       (Contributed by Mario Carneiro, 13-Jan-2015.) $)
    eqger $p |- ( Y e. ( SubGrp ` G ) -> .~ Er X ) $=
      ( cfv wcel cv wbr wa co w3a cgrp wb eqid eqgval syl2anc wceq adantr vx vy
      vz wrel releqg a1i cminusg cplusg wss subgrcl subgss biimpa simp2d simp1d
      csubg grpinvcl grpinvadd syl3anc grpinvinv oveq2d simp3d subginvcl syldan
      eqtrd eqeltrrd mpbir3and adantrr adantrl grpcl grpass syl13anc c0g oveq1d
      grprinv grplid 3eqtr3d simpl subgcl grplinv sylan subg0cl pm4.71rd df-3an
      eqeltrd ex anidm anbi2ci bitri bitrdi bitr4d iserd ) DBUOGHZUAUBUCCAAUDWL
      ADBFUEUFWLUAIZUBIZAJZKZWNWMAJZWNCHZWMCHZWNBUGGZGZWMBUHGZLZDHZWPWSWRWMWTGZ
      WNXBLZDHZWLWOWSWRXGMZWLBNHZDCUIZWOXHODBUJZCDBEUKZWMWNXBADBWTNCEWTPZXBPZFQ
      RULZUMZWPWSWRXGXOUNZWPXFWTGZXCDWPXRXAXEWTGZXBLZXCWPXIXECHZWRXRXTSWLXIWOXK
      TZWPXIWSYAYBXQCBWTWMEXMUPZRXPCXBBWTXEWNEXNXMUQURWPXSWMXAXBWPXIWSXSWMSYBXQ
      CBWTWMEXMUSRUTVDWLWOXGXRDHWPWSWRXGXOVAZDBWTXFXMVBVCVEWPXIXJWQWRWSXDMOYBWL
      XJWOXLTWNWMXBADBWTNCEXMXNFQRVFWLWOWNUCIZAJZKZKZWMYEAJZWSYECHZXEYEXBLZDHZW
      LWOWSYFXQVGZYHWRYJXAYEXBLZDHZWLYFWRYJYOMZWOWLYFYPWLXIXJYFYPOXKXLWNYEXBADB
      WTNCEXMXNFQRULVHZUMZYHXFYNXBLZYKDYHYSXEWNYNXBLZXBLZYKYHXIYAWRYNCHZYSUUASW
      LXIYGXKTZYHXIWSYAUUCYMYCRWLWOWRYFXPVGZYHXIXACHZYJUUBUUCYHXIWRUUEUUCUUDCBW
      TWNEXMUPRZYRCXBBXAYEEXNVIURCXBBXEWNYNEXNVJVKYHYTYEXEXBYHWNXAXBLZYEXBLZBVL
      GZYEXBLZYTYEYHUUGUUIYEXBYHXIWRUUGUUISUUCUUDCXBBWTWNUUIEXNUUIPZXMVNRVMYHXI
      WRUUEYJUUHYTSUUCUUDUUFYRCXBBWNXAYEEXNVJVKYHXIYJUUJYESUUCYRCXBBYEUUIEXNUUK
      VORVPUTVDYHWLXGYOYSDHWLYGVQWLWOXGYFYDVGYHWRYJYOYQVAXBDBXFYNXNVRURVEYHXIXJ
      YIWSYJYLMOUUCWLXJYGXLTWMYEXBADBWTNCEXMXNFQRVFWLWSXEWMXBLZDHZWSKZWMWMAJZWL
      WSUUMWLWSUUMWLWSKUULUUIDWLXIWSUULUUISXKCXBBWTWMUUIEXNUUKXMVSVTWLUUIDHWSDB
      UUIUUKWATWDWEWBWLUUOWSWSUUMMZUUNWLXIXJUUOUUPOXKXLWMWMXBADBWTNCEXMXNFQRUUP
      WSWSKZUUMKUUNWSWSUUMWCUUQWSUUMWSWFWGWHWIWJWK $.

    ${
      eqglact.3 $e |- .+ = ( +g ` G ) $.
      $( A left coset can be expressed as the image of a left action.
         (Contributed by Mario Carneiro, 20-Sep-2015.) $)
      eqglact $p |- ( ( G e. Grp /\ Y C_ X /\ A e. X ) ->
        [ A ] .~ = ( ( x e. X |-> ( A .+ x ) ) " Y ) ) $=
        ( vg wcel cfv co wa cmpt cima eqid wceq ccnv wss w3a cv wbr cab cminusg
        cgrp cec wb eqgval 3anass bitrdi baibd 3impa abbidv dfec2 3ad2ant3 wf1o
        grplactcnv simprd grplactfval adantl cnveqd syl 3eqtr3d 3adant2 imaeq1d
        grpinvcl imacnvcnv crab mptpreima df-rab eqtri 3eqtr3g 3eqtr4d ) EUGLZG
        FUAZBFLZUBZBAUCZDUDZAUEZVTFLZBEUFMZMZVTCNZGLZOZAUEZBDUHZAFBVTCNPZGQZVSW
        AWHAVPVQVRWAWHUIVPVQOZWAVRWHWMWAVRWCWGUBVRWHOBVTCDGEWDUGFHWDRZJIUJVRWCW
        GUKULUMUNUOVRVPWJWBSVQABDFUPUQVSWKTZTZGQAFWFPZTZGQZWLWIVSWPWRGVPVRWPWRS
        VQVPVROZWOWQWTBKFAFKUCVTCNPPZMZTZWEXAMZWOWQWTFFXBURXCXDSBCKXAEWDFAXARZH
        JWNUSUTWTXBWKVRXBWKSVPBCKXAEFAXEHVAVBVCWTWEFLXDWQSFEWDBHWNVHWECKXAEFAXE
        HVAVDVEVCVFVGWKGVIWSWGAFVJWIAFWFGWQWQRVKWGAFVLVMVNVO $.
    $}

    ${
      eqgid.3 $e |- .0. = ( 0g ` G ) $.
      $( The left coset containing the identity is the original subgroup.
         (Contributed by Mario Carneiro, 20-Sep-2015.) $)
      eqgid $p |- ( Y e. ( SubGrp ` G ) -> [ .0. ] .~ = Y ) $=
        ( vx csubg cfv wcel cec wb co wa cgrp wceq eqid syl cv wbr wrel relelec
        releqg ax-mp cminusg cplusg subgrcl adantr grpinvid oveq1d grplid sylan
        eqtrd eleq1d pm5.32da wss subgss grpidcl w3a eqgval 3anass bitrdi baibd
        syl21anc sseld pm4.71rd 3bitr4d syl5bb eqrdv ) DBJKLZIEAMZDIUAZVMLZEVNA
        UBZVLVNDLZAUCVOVPNADBGUEVNEAUDUFVLVNCLZEBUGKZKZVNBUHKZOZDLZPZVRVQPVPVQV
        LVRWCVQVLVRPZWBVNDWEWBEVNWAOZVNWEVTEVNWAWEBQLZVTERVLWGVRDBUIZUJBVSEHVSS
        ZUKTULVLWGVRWFVNRWHCWABVNEFWASZHUMUNUOUPUQVLWGDCURZECLZVPWDNWHCDBFUSZVL
        WGWLWHCBEFHUTTWGWKPZVPWLWDWNVPWLVRWCVAWLWDPEVNWAADBVSQCFWIWJGVBWLVRWCVC
        VDVEVFVLVQVRVLDCVNWMVGVHVIVJVK $.
    $}

    $( Each coset is equipotent to the subgroup itself (which is also the coset
       containing the identity).  (Contributed by Mario Carneiro,
       20-Sep-2015.) $)
    eqgen $p |- ( ( Y e. ( SubGrp ` G ) /\ A e. ( X /. .~ ) ) -> Y ~~ A ) $=
      ( vx vz vy cv cen wbr cfv wcel eqid wa cmpt cvv wf1o cec csubg cqs cplusg
      breq2 co cima cres simpl cgrp wss wceq subgrcl subgss eqglact 3expa sylan
      jca cqg ovexi ecexg ax-mp eqeltrrdi grplactf1o grplactfval adantl f1oeq1d
      wf1 mpbid f1of1 adantr f1ores syl2anc f1oen2g syl3anc breqtrrd ectocld
      syl ) EHKZBUAZLMEALMECUBNZOZHADBDBUCZWCPVTAELUEWBVSDOZQZEIDVSIKZCUDNZUFRZ
      EUGZVTLWEWBWISOEWIWHEUHZTZEWILMWBWDUIWEWIVTSWBCUJOZEDUKZQWDVTWIULZWBWLWME
      CUMZDECFUNZURWLWMWDWNIVSWGBCDEFGWGPZUOUPUQZBSOVTSOBCEUSGUTVSSBVAVBVCWEDDW
      HVHZWMWKWEDDWHTZWSWBWLWDWTWOWLWDQZDDVSJDIDJKWFWGUFRRZNZTWTVSWGJXBCDIXBPZF
      WQVDXADDXCWHWDXCWHULWLVSWGJXBCDIXDFVEVFVGVIUQDDWHVJVRWBWMWDWPVKDDEWHVLVME
      WIWJWASVNVOWRVPVQ $.

    eqgcpbl.p $e |- .+ = ( +g ` G ) $.
    $( The subgroup coset equivalence relation is compatible with addition when
       the subgroup is normal.  (Contributed by Mario Carneiro,
       14-Jun-2015.) $)
    eqgcpbl $p |- ( Y e. ( NrmSGrp ` G ) ->
        ( ( A .~ C /\ B .~ D ) -> ( A .+ B ) .~ ( C .+ D ) ) ) $=
      ( cfv wcel co cgrp wb syl2anc mpbid syl3anc cnsg wa cminusg csubg nsgsubg
      wbr adantr subgrcl syl w3a simprl subgss eqid eqgval simp1d simprr simp2d
      wss grpcl wceq grpinvadd oveq1d grpinvcl grpass eqtrd eqtr3d simp3d simpl
      syl13anc nsgbi subgcl eqeltrd mpbir3and ex ) IGUAMNZACFUFZBDFUFZUBZABEOZC
      DEOZFUFZVOVRUBZWAVSHNZVTHNZVSGUCMZMZVTEOZINZWBGPNZAHNZBHNZWCWBIGUDMNZWIVO
      WLVRIGUEUGZIGUHUIZWBWJCHNZAWEMZCEOZINZWBVPWJWOWRUJZVOVPVQUKWBWIIHURZVPWSQ
      WNWBWLWTWMHIGJULUIZACEFIGWEPHJWEUMZLKUNRSZUOZWBWKDHNZBWEMZDEOINZWBVQWKXEX
      GUJZVOVPVQUPWBWIWTVQXHQWNXABDEFIGWEPHJXBLKUNRSZUOZHEGABJLUSTWBWIWOXEWDWNW
      BWJWOWRXCUQZWBWKXEXGXIUQZHEGCDJLUSTZWBWGXFWPVTEOZEOZIWBWGXFWPEOZVTEOZXOWB
      WFXPVTEWBWIWJWKWFXPUTWNXDXJHEGWEABJLXBVATVBWBWIXFHNZWPHNZWDXQXOUTWNWBWIWK
      XRWNXJHGWEBJXBVCRZWBWIWJXSWNXDHGWEAJXBVCRZXMHEGXFWPVTJLVDVIVEWBXNXFEOZINZ
      XOINZWBYBWQDXFEOZEOZIWBWQDEOZXFEOZYBYFWBYGXNXFEWBWIXSWOXEYGXNUTWNYAXKXLHE
      GWPCDJLVDVIVBWBWIWQHNZXEXRYHYFUTWNWBWIXSWOYIWNYAXKHEGWPCJLUSTXLXTHEGWQDXF
      JLVDVIVFWBWLWRYEINZYFINWMWBWJWOWRXCVGWBXGYJWBWKXEXGXIVGWBVOXRXEXGYJQVOVRV
      HZXTXLXFDEIGHJLVJTSEIGWQYELVKTVLWBVOXNHNZXRYCYDQYKWBWIXSWDYLWNYAXMHEGWPVT
      JLUSTXTXNXFEIGHJLVJTSVLWBWIWTWAWCWDWHUJQWNXAVSVTEFIGWEPHJXBLKUNRVMVN $.
  $}

  ${
    $d a b c d p q u v w G $.  $d a b c d u v w H $.  $d a b c d p q u v w S $.
    $d a b p q .+b $.  $d p q .+ $.  $d a b p q V $.  $d p q X $.  $d p q Y $.
    qusgrp.h $e |- H = ( G /s ( G ~QG S ) ) $.
    $( If ` Y ` is a normal subgroup of ` G ` , then ` H = G / Y ` is a group,
       called the quotient of ` G ` by ` Y ` .  (Contributed by Mario Carneiro,
       14-Jun-2015.)  (Revised by Mario Carneiro, 12-Aug-2015.) $)
    qusgrp $p |- ( S e. ( NrmSGrp ` G ) -> H e. Grp ) $=
      ( vu vv vw vd vc cfv wcel cgrp co wceq cv eqid syl adantr erref sylan c0g
      va cnsg cqg cec cplusg cminusg cbs cqus a1i eqidd csubg wer nsgsubg eqger
      vb subgrcl eqgcpbl grpcl syl3an1 w3a simpr1 simpr2 syl3anc simpr3 breqtrd
      wa grpass grpidcl grplid simpr eqbrtrd grpinvcl grplinv qusgrp2 simpld )
      ABUCJKZCLKBUAJZBAUDMZUECUAJNVQEFGBUFJZVSBCEOZBUGJZJZBUHJZLVRHIUBUPCBVSUIM
      NVQDUJVQWDUKVQVTUKVQABULJKZWDVSUMZABUNZVSBWDAWDPZVSPZUOQZVQWEBLKZWGABUQQZ
      UBOUPOIOHOVTVSBWDAWHWIVTPZURVQWKWAWDKZFOZWDKZWAWOVTMZWDKZWLWDVTBWAWOWHWMU
      SZUTVQWNWPGOZWDKZVAZVGZWQWTVTMZXDWAWOWTVTMVTMZVSXCXDVSWDVQWFXBWJRXCWKWRXA
      XDWDKVQWKXBWLRZXCWKWNWPWRXFVQWNWPXAVBVQWNWPXAVCWSVDVQWNWPXAVEWDVTBWQWTWHW
      MUSVDSVQWKXBXDXENWLWDVTBWAWOWTWHWMVHTVFVQWKVRWDKZWLWDBVRWHVRPZVIQZVQWNVGZ
      VRWAVTMZWAWAVSVQWKWNXKWANWLWDVTBWAVRWHWMXHVJTXJWAVSWDVQWFWNWJRZVQWNVKSVLV
      QWKWNWCWDKWLWDBWBWAWHWBPZVMTXJWCWAVTMZVRVRVSVQWKWNXNVRNWLWDVTBWBWAVRWHWMX
      HXMVNTXJVRVSWDXLVQXGWNXIRSVLVOVP $.

    ${
      qusadd.v $e |- V = ( Base ` G ) $.
      ${
        quseccl.b $e |- B = ( Base ` H ) $.
        $( Closure of the quotient map for a quotient group.  (Contributed by
           Mario Carneiro, 18-Sep-2015.) $)
        quseccl $p |- ( ( S e. ( NrmSGrp ` G ) /\ X e. V ) ->
          [ X ] ( G ~QG S ) e. B ) $=
          ( cnsg cfv wcel wa cqg co cbs cvv cgrp wceq a1i cec ovex ecelqsi cqus
          cqs adantl csubg nsgsubg subgrcl syl adantr qusbas eqtr4di eleqtrd )
          BCJKLZFELZMZFCBNOZUAZEURUEZAUPUSUTLUOEFURCBNUBZUCUFUQUTDPKAUQURCDEQRD
          CURUDOSUQGTECPKSUQHTURQLUQVATUOCRLZUPUOBCUGKLVBBCUHBCUIUJUKULIUMUN $.
      $}

      qusadd.p $e |- .+ = ( +g ` G ) $.
      qusadd.a $e |- .+b = ( +g ` H ) $.
      $( Value of the group operation in a quotient group.  (Contributed by
         Mario Carneiro, 18-Sep-2015.) $)
      qusadd $p |- ( ( S e. ( NrmSGrp ` G ) /\ X e. V /\ Y e. V ) ->
  ( [ X ] ( G ~QG S ) .+b [ Y ] ( G ~QG S ) ) = [ ( X .+ Y ) ] ( G ~QG S ) ) $=
        ( vq vp va vb cfv wcel co cv cnsg cqg cgrp cqus wceq a1i cbs csubg eqid
        wer nsgsubg eqger syl subgrcl eqgcpbl wa grpcl 3expb sylan qusaddval )
        CDUAQRZDCUBSZDBAEFGHUCMNOPEDVBUDSUEVAIUFFDUGQUEVAJUFVACDUHQRZFVBUJCDUKZ
        VBDFCJVBUIZULUMVAVCDUCRZVDCDUNUMZOTPTNTZMTZAVBDFCJVEKUOVAVFVHFRZVIFRZUP
        VHVIASFRZVGVFVJVKVLFADVHVIJKUQURUSKLUT $.
    $}

    ${
      qus0.p $e |- .0. = ( 0g ` G ) $.
      $( Value of the group identity operation in a quotient group.
         (Contributed by Mario Carneiro, 18-Sep-2015.) $)
      qus0 $p |- ( S e. ( NrmSGrp ` G ) ->
        [ .0. ] ( G ~QG S ) = ( 0g ` H ) ) $=
        ( cnsg cfv wcel c0g cqg co cec cplusg wceq cbs cgrp syl eqid syl2anc wb
        csubg nsgsubg subgrcl grpidcl qusadd grplid eceq1d eqtrd qusgrp quseccl
        mpd3an23 mpdan grpid mpbid eqcomd ) ABGHIZCJHZDBAKLZMZUQUTUTCNHZLZUTOZU
        RUTOZUQVBDDBNHZLZUSMZUTUQDBPHZIZVIVBVGOUQBQIZVIUQABUBHIVJABUCABUDRZVHBD
        VHSZFUERZVMVEVAABCVHDDEVLVESZVASZUFULUQVFDUSUQVJVIVFDOVKVMVHVEBDDVLVNFU
        GTUHUIUQCQIUTCPHZIZVCVDUAABCEUJUQVIVQVMVPABCVHDEVLVPSZUKUMVPVACUTURVRVO
        URSUNTUOUP $.
    $}

    qusinv.v $e |- V = ( Base ` G ) $.
    ${
      qusinv.i $e |- I = ( invg ` G ) $.
      qusinv.n $e |- N = ( invg ` H ) $.
      $( Value of the group inverse operation in a quotient group.
         (Contributed by Mario Carneiro, 18-Sep-2015.) $)
      qusinv $p |- ( ( S e. ( NrmSGrp ` G ) /\ X e. V ) ->
        ( N ` [ X ] ( G ~QG S ) ) = [ ( I ` X ) ] ( G ~QG S ) ) $=
        ( cfv wcel co cec wceq cplusg c0g cgrp eqid cnsg wa cqg nsgsubg subgrcl
        csubg syl grpinvcl qusadd mpd3an3 grprinv eceq1d qus0 adantr 3eqtrd cbs
        sylan wb qusgrp quseccl syldan grpinvid1 syl3anc mpbird ) ABUALMZGFMZUB
        ZGBAUCNZOZELGDLZVHOZPZVIVKCQLZNZCRLZPZVGVNGVJBQLZNZVHOZBRLZVHOZVOVEVFVJ
        FMZVNVSPVEBSMZVFWBVEABUFLMWCABUDABUEUGZFBDGIJUHUQZVQVMABCFGVJHIVQTZVMTZ
        UIUJVGVRVTVHVEWCVFVRVTPWDFVQBDGVTIWFVTTZJUKUQULVEWAVOPVFABCVTHWHUMUNUOV
        GCSMZVICUPLZMVKWJMZVLVPURVEWIVFABCHUSUNWJABCFGHIWJTZUTVEVFWBWKWEWJABCFV
        JHIWLUTVAWJVMCEVIVKVOWLWGVOTKVBVCVD $.
    $}

    ${
      qussub.p $e |- .- = ( -g ` G ) $.
      qussub.a $e |- N = ( -g ` H ) $.
      $( Value of the group subtraction operation in a quotient group.
         (Contributed by Mario Carneiro, 18-Sep-2015.) $)
      qussub $p |- ( ( S e. ( NrmSGrp ` G ) /\ X e. V /\ Y e. V ) ->
    ( [ X ] ( G ~QG S ) N [ Y ] ( G ~QG S ) ) = [ ( X .- Y ) ] ( G ~QG S ) ) $=
        ( cfv wcel co cec cminusg cplusg wceq eqid cnsg w3a cqg quseccl 3adant3
        cbs grpsubval 3imp3i2an qusinv 3adant2 oveq2d csubg nsgsubg subgrcl syl
        cgrp grpinvcl sylan qusadd syld3an3 3adant1 eceq1d eqtr4d 3eqtrd ) ABUA
        MNZGFNZHFNZUBZGBAUCOZPZHVIPZEOZVJVKCQMZMZCRMZOZVJHBQMZMZVIPZVOOZGHDOZVI
        PZVEVFVGVJCUFMZNZVKWCNVLVPSVEVFWDVGWCABCFGIJWCTZUDUEWCABCFHIJWEUDWCVOCV
        MEVJVKWEVOTZVMTZLUGUHVHVNVSVJVOVEVGVNVSSVFABCVQVMFHIJVQTZWGUIUJUKVHVTGV
        RBRMZOZVIPZWBVEVFVGVRFNZVTWKSVEVGWLVFVEBUPNZVGWLVEABULMNWMABUMABUNUOFBV
        QHJWHUQURUJWIVOABCFGVRIJWITZWFUSUTVHWAWJVIVFVGWAWJSVEFWIBVQDGHJWNWHKUGV
        AVBVCVD $.
    $}
  $}

  ${
    $d x ph $.  $d x .~ $.  $d x X $.  $d x Y $.
    lagsubg.1 $e |- X = ( Base ` G ) $.
    ${
      lagsubg.2 $e |- .~ = ( G ~QG Y ) $.
      lagsubg.3 $e |- ( ph -> Y e. ( SubGrp ` G ) ) $.
      lagsubg.4 $e |- ( ph -> X e. Fin ) $.
      $( Lagrange's theorem for finite groups.  Call the "order" of a group the
         cardinal number of the basic set of the group, and "index of a
         subgroup" the cardinal number of the set of left (or right, this is
         the same) cosets of this subgroup.  Then the order of the group is the
         (cardinal) product of the order of any of its subgroups by the index
         of this subgroup.  (Contributed by Mario Carneiro, 11-Jul-2014.)
         (Revised by Mario Carneiro, 12-Aug-2015.) $)
      lagsubg2 $p |- ( ph -> ( # ` X ) =
        ( ( # ` ( X /. .~ ) ) x. ( # ` Y ) ) ) $=
        ( vx chash cfv csu wcel syl wceq cfn ssfid adantr syl2anc cv cmul csubg
        cqs co wer eqger qshash wa cen wbr eqgen sylan wb wss subgss cpw sselda
        qsss elpwid hashen mpbird sumeq2dv cc sylib cn0 hashcl nn0cnd fsumconst
        pwfi 3eqtr2d ) ADKLDBUDZJUAZKLZJMVLEKLZJMZVLKLVOUBUEZAJDBAECUCLNZDBUFHB
        CDEFGUGOZIUHAVLVOVNJAVMVLNZUIZVOVNPZEVMUJUKZAVRVTWCHVMBCDEFGULUMWAEQNZV
        MQNWBWCUNAWDVTADEIAVREDUOHDECFUPORZSWADVMADQNZVTISWAVMDAVLDUQZVMADBVSUS
        ZURUTREVMVATVBVCAVLQNVOVDNVPVQPAWGVLAWFWGQNIDVJVEWHRAVOAWDVOVFNWEEVGOVH
        VLVOJVITVK $.
    $}

    $( Lagrange's theorem for Groups: the order of any subgroup of a finite
       group is a divisor of the order of the group.  This is Metamath 100
       proof #71.  (Contributed by Mario Carneiro, 11-Jul-2014.)  (Revised by
       Mario Carneiro, 12-Aug-2015.) $)
    lagsubg $p |- ( ( Y e. ( SubGrp ` G ) /\ X e. Fin ) ->
                    ( # ` Y ) || ( # ` X ) ) $=
      ( csubg cfv wcel cfn wa chash cqg co cqs cmul cdvds cn0 hashcl syl nn0zd
      cz wbr cpw simpr pwfi sylib wer eqid eqger adantr qsss wss id subgss ssfi
      ssfid syl2anr dvdsmul2 syl2anc simpl lagsubg2 breqtrrd ) CAEFGZBHGZIZCJFZ
      BACKLZMZJFZVENLZBJFOVDVHTGVETGVEVIOUAVDVHVDVGHGVHPGVDBUBZVGVDVCVJHGVBVCUC
      ZBUDUEVDBVFVBBVFUFVCVFABCDVFUGZUHUIUJUOVGQRSVDVEVDCHGZVEPGVCVCCBUKVMVBVCU
      LBCADUMBCUNUPCQRSVHVEUQURVDVFABCDVLVBVCUSVKUTVA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cyclic monoids and groups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This section contains some preliminary results about cyclic monoids and
  groups before the class ` CycGrp ` of cyclic groups (see ~ df-cyg ) is
  defined in the context of Abelian groups.

$)

  ${
    $d A x $.  $d F i $.  $d X i $.  $d i x $.  $d .x. x $.
    cycsubm.b $e |- B = ( Base ` G ) $.
    cycsubm.t $e |- .x. = ( .g ` G ) $.
    cycsubm.f $e |- F = ( x e. NN0 |-> ( x .x. A ) ) $.
    cycsubm.c $e |- C = ran F $.
    $( Characterization of an element of the set of nonnegative integer powers
       of an element ` A ` .  Although this theorem holds for any class ` G ` ,
       the definition of ` F ` is only meaningful if ` G ` is a monoid or at
       least a unital magma.  (Contributed by AV, 28-Dec-2023.) $)
    cycsubmel $p |- ( X e. C <-> E. i e. NN0 X = ( i .x. A ) ) $=
      ( wcel cv wceq cn0 wrex co ovex crn cfv eleq2i wfn wb fvelrnb ax-mp oveq1
      fnmpti fvmpt eqeq1d eqcom bitrdi rexbiia 3bitri ) IDNIGUAZNZFOZGUBZIPZFQR
      ZIURBESZPZFQRDUPIMUCGQUDUQVAUEAQAOZBESZGVDBETLUIFQIGUFUGUTVCFQURQNZUTVBIP
      VCVFUSVBIAURVEVBQGVDURBEUHLURBETUJUKVBIULUMUNUO $.

    $d A i $.  $d B i $.  $d .x. i $.
    $( The set of nonnegative integer powers of an element ` A ` contains
       ` A ` .  Although this theorem holds for any class ` G ` , the
       definition of ` F ` is only meaningful if ` G ` is a monoid or at least
       a unital magma.  (Contributed by AV, 28-Dec-2023.) $)
    cycsubmcl $p |- ( A e. B -> A e. C ) $=
      ( vi wcel cv co wceq cn0 wrex c1 1nn0 wb oveq1 eqeq2d adantl mulg1 eqcomd
      a1i rspcedvd cycsubmel sylibr ) BCMZBLNZBEOZPZLQRBDMUKUNBSBEOZPZLSQSQMUKT
      UGULSPZUNUPUAUKUQUMUOBULSBEUBUCUDUKUOBCEGBHIUEUFUHABCDELFGBHIJKUIUJ $.

    $d A a b j k $.  $d B a b j k x $.  $d C a b $.  $d F j k $.
    $d G a b i j k x $.  $d .x. j k $.
    $( The set of nonnegative integer powers of an element ` A ` of a monoid
       forms a submonoid containing ` A ` (see ~ cycsubmcl ), called the cyclic
       monoid generated by the element ` A ` .  This corresponds to the
       statement in [Lang] p. 6.  (Contributed by AV, 28-Dec-2023.) $)
    cycsubm $p |- ( ( G e. Mnd /\ A e. B ) -> C e. ( SubMnd ` G ) ) $=
      ( va vi wcel wa cv co cn0 wceq cc0 vb vj vk cmnd csubmnd cfv wss c0g wral
      cplusg crn mulgnn0cl 3expa an32s fmptd frnd eqsstrid wrex 0nn0 a1i eqeq2d
      wb oveq1 adantl mulg0 eqcomd rspcedvd cycsubmel sylibr caddc simplr simpr
      eqid wi nn0addcld adantr oveq12 ancoms simplll simpllr syl13anc sylan9eqr
      mulgnn0dir exp32 rexlimdva com23 impd anbi12i 3imtr4g ralrimivv mpbir3and
      w3a issubm ) GUDNZBCNZOZDGUEUFNZDCUGZGUHUFZDNZLPZUAPZGUJUFZQZDNZUADUILDUI
      ZWPDFUKCKWPRCFWPARAPZBEQZCFWNXGRNZWOXHCNZWNXIWOXJCEGXGBHIULUMUNJUOUPUQWPW
      SMPZBEQZSZMRURWTWPXMWSTBEQZSZMTRTRNWPUSUTXKTSZXMXOVBWPXPXLXNWSXKTBEVCVAVD
      WPXNWSWOXNWSSWNCEGBWSHWSVMZIVEVDVFVGABCDEMFGWSHIJKVHVIWPXELUADDWPXAXLSZMR
      URZXBUBPZBEQZSZUBRURZOXDUCPZBEQZSZUCRURZXADNZXBDNZOXEWPXSYCYGWPXRYCYGVNMR
      WPXKRNZOZYCXRYGYKYBXRYGVNUBRYKXTRNZOZYBXRYGYMYBXROZOZYFXDXKXTVJQZBEQZSZUC
      YPRYMYPRNYNYMXKXTWPYJYLVKZYKYLVLZVOVPYDYPSZYFYRVBYOUUAYEYQXDYDYPBEVCVAVDY
      NYMXDXLYAXCQZYQXRYBXDUUBSXAXLXBYAXCVQVRYMYQUUBYMWNYJYLWOYQUUBSWNWOYJYLVSY
      SYTWNWOYJYLVTCXCEGXKXTBHIXCVMZWCWAVFWBVGWDWEWFWEWGYHXSYIYCABCDEMFGXAHIJKV
      HABCDEUBFGXBHIJKVHWHABCDEUCFGXDHIJKVHWIWJWNWQWRWTXFWLVBWOLUACXCDGWSHXQUUC
      WMVPWK $.
  $}

  ${
    $d A c m n x y $.  $d C c $.  $d X c x y $.  $d Y c x y $.
    $d Z m n c x y $.  $d .x. c m n x y $.  $d .+ m n x y $.  $d ph x y $.
    cyccom.c $e |- ( ph -> A. c e. C E. x e. Z c = ( x .x. A ) ) $.
    cyccom.d $e |- ( ph -> A. m e. Z A. n e. Z
                      ( ( m + n ) .x. A ) = ( ( m .x. A ) .+ ( n .x. A ) ) ) $.
    cyccom.x $e |- ( ph -> X e. C ) $.
    cyccom.y $e |- ( ph -> Y e. C ) $.
    cyccom.z $e |- ( ph -> Z C_ CC ) $.
    $( Condition for an operation to be commutative.  Lemma for ~ cycsubmcom
       and ~ cygabl .  Formerly part of proof for ~ cygabl .  (Contributed by
       Mario Carneiro, 21-Apr-2016.)  (Revised by AV, 20-Jan-2024.) $)
    cyccom $p |- ( ph -> ( X .+ Y ) = ( Y .+ X ) ) $=
      ( vy co wceq wcel cv wrex wi wral eqeq1 rexbidv rspccv syl oveq1 cbvrexvw
      weq eqeq2d wa reeanv caddc cc sseld com12 adantr impcom a1d imp32 addcomd
      oveq1d simpr eqeq12d oveq2 oveq2d rspc2va ancomd oveq12 ancoms syl5ibrcom
      syl2anc 3eqtr3d rexlimdvva syl5bir expd syl7bi syld com23 mp2d ) AJDUAZID
      UAZIJESZJIESZTZPOAWDJBUBZCFSZTZBKUCZWEWHUDALUBZWJTZBKUCZLDUEZWDWLUDMWOWLL
      JDWMJTWNWKBKWMJWJUFUGUHUIAWEWLWHAWEIWJTZBKUCZWLWHUDAWPWEWRUDMWOWRLIDWMITW
      NWQBKWMIWJUFUGUHUIWLJRUBZCFSZTZRKUCZAWRWHWKXABRKBRULWJWTJWIWSCFUJUMUKAWRX
      BWHWRXBUNWQXAUNZRKUCBKUCAWHWQXABRKKUOAXCWHBRKKAWIKUAZWSKUAZUNZUNZWHXCWJWT
      ESZWTWJESZTXGWIWSUPSZCFSZWSWIUPSZCFSZXHXIXGXJXLCFXGWIWSXFAWIUQUAZXDAXNUDX
      EAXDXNAKUQWIQURUSUTVAAXDXEWSUQUAZAXEXOUDXDAKUQWSQURVBVCVDVEXGXFGUBZHUBZUP
      SZCFSZXPCFSZXQCFSZESZTZHKUEGKUEZXKXHTZAXFVFZAYDXFNUTZYCYEWIXQUPSZCFSZWJYA
      ESZTGHWIWSKKGBULZXSYIYBYJYKXRYHCFXPWIXQUPUJVEYKXTWJYAEXPWICFUJVEVGHRULZYI
      XKYJXHYLYHXJCFXQWSWIUPVHVEYLYAWTWJEXQWSCFUJVIVGVJVOXGXEXDUNYDXMXITZXGXDXE
      YFVKYGYCYMWSXQUPSZCFSZWTYAESZTGHWSWIKKGRULZXSYOYBYPYQXRYNCFXPWSXQUPUJVEYQ
      XTWTYAEXPWSCFUJVEVGHBULZYOXMYPXIYRYNXLCFXQWIWSUPVHVEYRYAWJWTEXQWICFUJVIVG
      VJVOVPXCWFXHWGXIIWJJWTEVLXAWQWGXITJWTIWJEVLVMVGVNVQVRVSVTWAWBWAWC $.
  $}

  ${
    $d A c i m n $.  $d A i n x $.  $d B c i m n $.  $d C c i m n $.
    $d F i n $.  $d G c i m n $.  $d X c i m n $.  $d Y c i m n $.
    $d .+ i m n $.  $d .x. c i m n $.  $d .x. x $.
    cycsubmcom.b $e |- B = ( Base ` G ) $.
    cycsubmcom.t $e |- .x. = ( .g ` G ) $.
    cycsubmcom.f $e |- F = ( x e. NN0 |-> ( x .x. A ) ) $.
    cycsubmcom.c $e |- C = ran F $.
    cycsubmcom.p $e |- .+ = ( +g ` G ) $.
    $( The operation of a monoid is commutative over the set of nonnegative
       integer powers of an element ` A ` of the monoid.  (Contributed by AV,
       20-Jan-2024.) $)
    cycsubmcom $p |- ( ( ( G e. Mnd /\ A e. B ) /\ ( X e. C /\ Y e. C ) )
                       -> ( X .+ Y ) = ( Y .+ X ) ) $=
      ( vi wcel wa cn0 co vm vn vc cmnd cv wceq wrex cycsubmel biimpi ralrimiva
      adantl caddc simplll simprl simprr simpllr mulgnn0dir syl13anc ralrimivva
      cc wss nn0sscn a1i cyccom ) HUDQZBCQZRZIDQZJDQZRZRZPBDEFUAUBIJSUCVKUCUEZP
      UEBFTUFPSUGZUCDVLDQZVMVKVNVMABCDFPGHVLKLMNUHUIUKUJVKUAUEZUBUEZULTBFTVOBFT
      VPBFTETUFZUAUBSSVKVOSQZVPSQZRZRVEVRVSVFVQVEVFVJVTUMVKVRVSUNVKVRVSUOVEVFVJ
      VTUPCEFHVOVPBKLOUQURUSVGVHVIUNVGVHVIUOSUTVAVKVBVCVD $.
  $}

  ${
    $d ph n $.  $d A n $.
    cycsubggend.1 $e |- B = ( Base ` G ) $.
    cycsubggend.2 $e |- .x. = ( .g ` G ) $.
    cycsubggend.3 $e |- F = ( n e. ZZ |-> ( n .x. A ) ) $.
    cycsubggend.4 $e |- ( ph -> A e. B ) $.
    $( The cyclic subgroup generated by ` A ` includes its generator.  Although
       this theorem holds for any class ` G ` , the definition of ` F ` is only
       meaningful if ` G ` is a group.  (Contributed by Rohan Ridenour,
       3-Aug-2023.) $)
    cycsubggend $p |- ( ph -> A e. ran F ) $=
      ( cz cv co c1 1zzd wceq wa simpr oveq1d adantr mulg1 syl eqtr2d elrnmptdv
      wcel ) AELEMZBDNZOBFCJAPKAUGOQZRZUHOBDNZBUJUGOBDAUISTUJBCUFZUKBQAULUIKUAC
      DGBHIUBUCUDUE $.
  $}

  ${
    $d m n s x A $.  $d m n s u v x G $.  $d x S $.  $d x .x. $.  $d m n x X $.
    $d m n s u v F $.
    cycsubg.x $e |- X = ( Base ` G ) $.
    cycsubg.t $e |- .x. = ( .g ` G ) $.
    cycsubg.f $e |- F = ( x e. ZZ |-> ( x .x. A ) ) $.
    $( The set of integer powers of an element ` A ` of a group forms a
       subgroup containing ` A ` , called the cyclic group generated by the
       element ` A ` .  (Contributed by Mario Carneiro, 13-Jan-2015.) $)
    cycsubgcl $p |- ( ( G e. Grp /\ A e. X ) ->
      ( ran F e. ( SubGrp ` G ) /\ A e. ran F ) ) $=
      ( vv wcel wa cfv cv co wral cz c1 wceq oveq1 vu vm cgrp crn csubg wss wne
      vn cplusg cminusg mulgcl 3expa an32s fmptd frnd wfn ffnd fnfvelrn sylancl
      c0 1z ne0d caddc df-3an eqid mulgdir sylan2br anass1rs zaddcl adantl ovex
      w3a fvmpt syl ad2antrl ad2antll oveq12d 3eqtr4d syl2an eqeltrrd ralrimiva
      anassrs wb oveq2 eleq1d ralrn adantr mpbird mulgneg znegcl fveq2d ralbidv
      cneg jca fveq2 anbi12d issubg2 mpbir3and ax-mp mulg1 eqtrid ) EUCKZBFKZLZ
      DUDZEUEMKZBXEKXDXFXEFUFZXEUTUGZUANZJNZEUIMZOZXEKZJXEPZXIEUJMZMZXEKZLZUAXE
      PZXDQFDXDAQANZBCOZFDXBXTQKZXCYAFKZXBYBXCYCFCEXTBGHUKULUMIUNZUOXDXERDMZXDD
      QUPZRQKZYEXEKXDQFDYDUQZVAQRDURUSZVBXDXSUBNZDMZXJXKOZXEKZJXEPZYKXOMZXEKZLZ
      UBQPZXDYQUBQXDYJQKZLZYNYPYTYNYKUHNZDMZXKOZXEKZUHQPZYTUUDUHQXDYSUUAQKZUUDX
      DYSUUFLZLZYJUUAVCOZDMZUUCXEUUHUUIBCOZYJBCOZUUABCOZXKOZUUJUUCXBUUGXCUUKUUN
      SZUUGXCLXBYSUUFXCVLUUOYSUUFXCVDFXKCEYJUUABGHXKVEZVFVGVHUUHUUIQKZUUJUUKSUU
      GUUQXDYJUUAVIZVJAUUIYAUUKQDXTUUIBCTIUUIBCVKVMVNUUHYKUULUUBUUMXKYSYKUULSZX
      DUUFAYJYAUULQDXTYJBCTIYJBCVKVMZVOUUFUUBUUMSXDYSAUUAYAUUMQDXTUUABCTIUUABCV
      KVMVPVQVRXDYFUUQUUJXEKUUGYHUURQUUIDURVSVTWBWAXDYNUUEWCZYSXDYFUVAYHYMUUDJU
      HQDXJUUBSYLUUCXEXJUUBYKXKWDWEWFVNWGWHYTYJWMZDMZYOXEYTUVBBCOZUULXOMZUVCYOX
      BYSXCUVDUVESZXBYSXCUVFFCEXOYJBGHXOVEZWIULUMYTUVBQKZUVCUVDSYSUVHXDYJWJZVJA
      UVBYAUVDQDXTUVBBCTIUVBBCVKVMVNYTYKUULXOYSUUSXDUUTVJWKVRXDYFUVHUVCXEKYSYHU
      VIQUVBDURVSVTWNWAXDYFXSYRWCYHXRYQUAUBQDXIYKSZXNYNXQYPUVJXMYMJXEUVJXLYLXEX
      IYKXJXKTWEWLUVJXPYOXEXIYKXOWOWEWPWFVNWHXBXFXGXHXSVLWCXCUAJFXKXEEXOGUUPUVG
      WQWGWRXDYEBXEXDYERBCOZBYGYEUVKSVAARYAUVKQDXTRBCTIRBCVKVMWSXCUVKBSXBFCEBGH
      WTVJXAYIVTWN $.

    $( The cyclic subgroup generated by an element ` A ` is a subset of any
       subgroup containing ` A ` .  (Contributed by Mario Carneiro,
       13-Jan-2015.) $)
    cycsubgss $p |- ( ( S e. ( SubGrp ` G ) /\ A e. S ) -> ran F C_ S ) $=
      ( csubg cfv wcel wa cz cv co subgmulgcl 3expa an32s fmptd frnd ) CFKLMZBC
      MZNZOCEUEAOAPZBDQZCEUCUFOMZUDUGCMZUCUHUDUICDFUFBIRSTJUAUB $.

    $( The cyclic group generated by ` A ` is the smallest subgroup containing
       ` A ` .  (Contributed by Mario Carneiro, 13-Jan-2015.) $)
    cycsubg $p |- ( ( G e. Grp /\ A e. X ) ->
      ran F = |^| { s e. ( SubGrp ` G ) | A e. s } ) $=
      ( cgrp wcel wa crn cv csubg cfv crab cint wss wi ssintab cycsubgss mpgbir
      cab df-rab inteqi sseqtrri a1i cycsubgcl eleq2 elrab sylibr intss1 eqssd
      syl ) EKLBFLMZDNZBGOZLZGEPQZRZSZURVCTUQURUSVALUTMZGUEZSZVCURVFTVDURUSTUAG
      VDGURUBABUSCDEFHIJUCUDVBVEUTGVAUFUGUHUIUQURVBLZVCURTUQURVALBURLZMVGABCDEF
      HIJUJUTVHGURVAUSURBUKULUMURVBUNUPUO $.
  $}

  ${
    $d G n $.  $d .x. n $.  $d B n $.  $d A n $.
    cycsubgcld.1 $e |- B = ( Base ` G ) $.
    cycsubgcld.2 $e |- .x. = ( .g ` G ) $.
    cycsubgcld.3 $e |- F = ( n e. ZZ |-> ( n .x. A ) ) $.
    cycsubgcld.4 $e |- ( ph -> G e. Grp ) $.
    cycsubgcld.5 $e |- ( ph -> A e. B ) $.
    $( The cyclic subgroup generated by ` A ` is a subgroup.  Deduction related
       to ~ cycsubgcl .  (Contributed by Rohan Ridenour, 3-Aug-2023.) $)
    cycsubgcld $p |- ( ph -> ran F e. ( SubGrp ` G ) ) $=
      ( crn csubg cfv wcel cgrp wa cycsubgcl syl2anc simpld ) AFMZGNOPZBUBPZAGQ
      PBCPUCUDRKLEBDFGCHIJSTUA $.
  $}

  ${
    $d x y A $.  $d x y G $.  $d x .x. $.  $d x y X $.  $d y F $.  $d y K $.
    cycsubg2.x $e |- X = ( Base ` G ) $.
    cycsubg2.t $e |- .x. = ( .g ` G ) $.
    cycsubg2.f $e |- F = ( x e. ZZ |-> ( x .x. A ) ) $.
    cycsubg2.k $e |- K = ( mrCls ` ( SubGrp ` G ) ) $.
    $( The subgroup generated by an element is exhausted by its multiples.
       (Contributed by Stefan O'Rear, 6-Sep-2015.) $)
    cycsubg2 $p |- ( ( G e. Grp /\ A e. X ) -> ( K ` { A } ) = ran F ) $=
      ( vy cgrp wcel wa csn wss cfv crab cint cv csubg crn snssg bicomd rabbidv
      wb adantl inteqd cmre subgacs acsmred snssi mrcval syl2an cycsubg 3eqtr4d
      wceq ) EMNZBGNZOZBPZLUAZQZLEUBRZSZTZBVCNZLVESZTVBFRZDUCVAVFVIVAVDVHLVEUTV
      DVHUGUSUTVHVDBVCGUDUEUHUFUIUSVEGUJRNVBGQVJVGURUTUSVEGGEHUKULBGUMVEVBFGLKU
      NUOABCDEGLHIJUPUQ $.
  $}

  ${
    cycsubg2cl.x $e |- X = ( Base ` G ) $.
    cycsubg2cl.t $e |- .x. = ( .g ` G ) $.
    cycsubg2cl.k $e |- K = ( mrCls ` ( SubGrp ` G ) ) $.
    $( Any multiple of an element is contained in the generated cyclic
       subgroup.  (Contributed by Stefan O'Rear, 12-Sep-2015.) $)
    cycsubg2cl $p |- ( ( G e. Grp /\ A e. X /\ N e. ZZ ) ->
        ( N .x. A ) e. ( K ` { A } ) ) $=
      ( cgrp wcel cz w3a csn cfv csubg co cmre wss subgacs 3ad2ant1 simp2 snssd
      acsmred mrccl syl2anc simp3 mrcssidd wb snssg 3ad2ant2 subgmulgcl syl3anc
      mpbird ) CJKZAFKZELKZMZANZDOZCPOZKZUQAUTKZEABQUTKURVAFROKZUSFSVBUOUPVDUQU
      OVAFFCGTUDUAZURAFUOUPUQUBUCZVAUSDFIUEUFUOUPUQUGURVCUSUTSZURVAUSDFVEIVFUHU
      PUOVCVGUIUQAUTFUJUKUNUTBCEAHULUM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Elementary theory of group homomorphisms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c GrpHom $.

  $( Extend class notation with the generator of group hom-sets. $)
  cghm $a class GrpHom $.

  ${
    $d g s t w x y $.
    $( A homomorphism of groups is a map between two structures which preserves
       the group operation.  Requiring both sides to be groups simplifies most
       theorems at the cost of complicating the theorem which pushes forward a
       group structure.  (Contributed by Stefan O'Rear, 31-Dec-2014.) $)
    df-ghm $a |- GrpHom = ( s e. Grp , t e. Grp |-> { g |
        [. ( Base ` s ) / w ]. ( g : w --> ( Base ` t ) /\
            A. x e. w A. y e. w ( g ` ( x ( +g ` s ) y ) ) =
                ( ( g ` x ) ( +g ` t ) ( g ` y ) ) ) } ) $.

    $( Lemma for group homomorphisms.  (Contributed by Stefan O'Rear,
       31-Dec-2014.) $)
    reldmghm $p |- Rel dom GrpHom $=
      ( vs vt vw vg vx vy cgrp cv cbs cfv wf cplusg co wceq wral wa wsbc df-ghm
      cab cghm reldmmpo ) ABGGCHZBHZIJDHZKEHZFHZAHZLJMUDJUEUDJUFUDJUCLJMNFUBOEU
      BOPCUGIJQDSTEFCBDARUA $.
  $}

  ${
    $d s t w u v f S $.  $d s t w u v f T $.  $d u v f t s X $.
    $d u v f s t .+ $.  $d u v f s t Y $.  $d u v f s t .+^ $.  $d F f u v $.
    isghm.w $e |- X = ( Base ` S ) $.
    isghm.x $e |- Y = ( Base ` T ) $.
    isghm.a $e |- .+ = ( +g ` S ) $.
    isghm.b $e |- .+^ = ( +g ` T ) $.
    $( Property of being a homomorphism of groups.  (Contributed by Stefan
       O'Rear, 31-Dec-2014.) $)
    isghm $p |- ( F e. ( S GrpHom T ) <->
        ( ( S e. Grp /\ T e. Grp ) /\ ( F : X --> Y /\ A. u e. X A. v e. X
              ( F ` ( u .+ v ) ) = ( ( F ` u ) .+^ ( F ` v ) ) ) ) ) $=
      ( vf wcel cfv wceq wral cbs cvv vs vt vw cghm co cgrp wa wf cv cplusg cab
      wsbc elmpocl fvex feq2 raleq raleqbi1dv anbi12d sbcie fveq2 eqtr4di feq2d
      df-ghm oveqd fveqeq2d raleqbidv syl5bb abbidv feq3d eqeq2d 2ralbidv fvexi
      mapex mp2an simpl ss2abi ssexi ovmpo eleq2d fex mpan2 adantr feq1 oveq12d
      fveq1 eqeq12d elab3 bitrdi biadanii ) GEFUDUEZOZEUFOFUFOUGZHIGUHZBUIZAUIZ
      CUEZGPZWNGPZWOGPZDUEZQZAHRBHRZUGZUAUBUFUFUCUIZUBUIZSPZNUIZUHZWNWOUAUIZUJP
      ZUEZXGPWNXGPZWOXGPZXEUJPZUEZQZAXDRZBXDRZUGZUCXISPZULZNUKZEFUDGBAUCUBNUAVC
      ZUMWLWKGHIXGUHZWPXGPZXLXMDUEZQZAHRBHRZUGZNUKZOXCWLWJYJGUAUBEFUFUFYBYJUDHX
      FXGUHZYEXOQZAHRZBHRZUGZNUKXIEQZYAYONYAXTXFXGUHZXPAXTRZBXTRZUGZYPYOXSYTUCX
      TXISUNXDXTQXHYQXRYSXDXTXFXGUOXQYRBXDXTXPAXDXTUPUQURUSYPYQYKYSYNYPXTHXFXGY
      PXTESPHXIESUTJVAZVBYPYRYMBXTHUUAYPXPYLAXTHUUAYPXKWPXOXGYPXJCWNWOYPXJEUJPC
      XIEUJUTLVAVDVEVFVFURVGVHXEFQZYOYINUUBYKYDYNYHUUBXFIXGHUUBXFFSPIXEFSUTKVAV
      IUUBYLYGBAHHUUBXOYFYEUUBXNDXLXMUUBXNFUJPDXEFUJUTMVAVDVJVKURVHYCYJYDNUKZHT
      OZITOUUCTOHESJVLZIFSKVLHITTNVMVNYIYDNYDYHVOVPVQVRVSYIXCNGTWMGTOZXBWMUUDUU
      FUUEHITGVTWAWBXGGQZYDWMYHXBHIXGGWCUUGYGXABAHHUUGYEWQYFWTWPXGGWEUUGXLWRXMW
      SDWNXGGWEWOXGGWEWDWFVKURWGWHWI $.

    $( Property of a group homomorphism, similar to ~ ismhm .  (Contributed by
       Mario Carneiro, 7-Mar-2015.) $)
    isghm3 $p |- ( ( S e. Grp /\ T e. Grp ) -> ( F e. ( S GrpHom T ) <->
          ( F : X --> Y /\ A. u e. X A. v e. X
              ( F ` ( u .+ v ) ) = ( ( F ` u ) .+^ ( F ` v ) ) ) ) ) $=
      ( co wcel cgrp wa cv cfv wral cghm wf wceq isghm baib ) GEFUANOEPOFPOQHIG
      UBBRZARZCNGSUFGSUGGSDNUCAHTBHTQABCDEFGHIJKLMUDUE $.
  $}

  ${
    $d x y F $.  $d x y S $.  $d x y T $.  $d x y X $.  $d x y Y $.
    $( A group homomorphism is only defined when the domain is a group.
       (Contributed by Stefan O'Rear, 31-Dec-2014.) $)
    ghmgrp1 $p |- ( F e. ( S GrpHom T ) -> S e. Grp ) $=
      ( vy vx cghm co wcel cgrp wa cbs cfv wf cv cplusg wceq wral isghm simplbi
      eqid simpld ) CABFGHZAIHZBIHZUBUCUDJAKLZBKLZCMDNZENZAOLZGCLUGCLUHCLBOLZGP
      EUEQDUEQJEDUIUJABCUEUFUETUFTUITUJTRSUA $.

    $( A group homomorphism is only defined when the codomain is a group.
       (Contributed by Stefan O'Rear, 31-Dec-2014.) $)
    ghmgrp2 $p |- ( F e. ( S GrpHom T ) -> T e. Grp ) $=
      ( vy vx cghm co wcel cgrp wa cbs cfv wf cv cplusg wceq wral isghm simplbi
      eqid simprd ) CABFGHZAIHZBIHZUBUCUDJAKLZBKLZCMDNZENZAOLZGCLUGCLUHCLBOLZGP
      EUEQDUEQJEDUIUJABCUEUFUETUFTUITUJTRSUA $.

    ghmf.x $e |- X = ( Base ` S ) $.
    ghmf.y $e |- Y = ( Base ` T ) $.
    $( A group homomorphism is a function.  (Contributed by Stefan O'Rear,
       31-Dec-2014.) $)
    ghmf $p |- ( F e. ( S GrpHom T ) -> F : X --> Y ) $=
      ( vy vx cghm co wcel wf cv cplusg cfv wral cgrp wa eqid wceq isghm simpld
      simprbi ) CABJKLZDECMZHNZINZAOPZKCPUGCPUHCPBOPZKUAIDQHDQZUEARLBRLSUFUKSIH
      UIUJABCDEFGUITUJTUBUDUC $.
  $}

  ${
    $d U a b $.  $d V a b $.  $d F a b $.  $d S a b $.  $d T a b $.
    $d .+ a b $.  $d .+^ a b $.  $d X a b $.
    ghmlin.x $e |- X = ( Base ` S ) $.
    ghmlin.a $e |- .+ = ( +g ` S ) $.
    ghmlin.b $e |- .+^ = ( +g ` T ) $.
    $( A homomorphism of groups is linear.  (Contributed by Stefan O'Rear,
       31-Dec-2014.) $)
    ghmlin $p |- ( ( F e. ( S GrpHom T ) /\ U e. X /\ V e. X ) ->
      ( F ` ( U .+ V ) ) = ( ( F ` U ) .+^ ( F ` V ) ) ) $=
      ( va vb co wcel cfv wceq cv wral wa cghm cbs wf cgrp isghm simprbi simprd
      eqid fvoveq1 fveq2 oveq1d eqeq12d oveq2 fveq2d oveq2d rspc2v mpan9 3impb
      ) FCDUANOZEHOZGHOZEGANZFPZEFPZGFPZBNZQZUSLRZMRZANFPZVHFPZVIFPZBNZQZMHSLHS
      ZUTVATVGUSHDUBPZFUCZVOUSCUDODUDOTVQVOTMLABCDFHVPIVPUHJKUEUFUGVNVGEVIANZFP
      ZVDVLBNZQLMEGHHVHEQZVJVSVMVTVHEVIFAUIWAVKVDVLBVHEFUJUKULVIGQZVSVCVTVFWBVR
      VBFVIGEAUMUNWBVLVEVDBVIGFUJUOULUPUQUR $.
  $}

  ${
    ghmid.y $e |- Y = ( 0g ` S ) $.
    ghmid.z $e |- .0. = ( 0g ` T ) $.
    $( A homomorphism of groups preserves the identity.  (Contributed by Stefan
       O'Rear, 31-Dec-2014.) $)
    ghmid $p |- ( F e. ( S GrpHom T ) -> ( F ` Y ) = .0. ) $=
      ( cghm co wcel cfv cplusg wceq cbs cgrp ghmgrp1 eqid grpidcl syl syl2anc
      ghmlin mpd3an23 grplid fveq2d eqtr3d wb ghmgrp2 ghmf ffvelrnd grpid mpbid
      eqcomd ) CABHIJZEDCKZUMUNUNBLKZIZUNMZEUNMZUMDDALKZIZCKZUPUNUMDANKZJZVCVAU
      PMUMAOJZVCABCPZVBADVBQZFRSZVGUSUOABDCDVBVFUSQZUOQZUAUBUMUTDCUMVDVCUTDMVEV
      GVBUSADDVFVHFUCTUDUEUMBOJUNBNKZJUQURUFABCUGUMVBVJDCABCVBVJVFVJQZUHVGUIVJU
      OBUNEVKVIGUJTUKUL $.
  $}

  ${
    ghminv.b $e |- B = ( Base ` S ) $.
    ghminv.y $e |- M = ( invg ` S ) $.
    ghminv.z $e |- N = ( invg ` T ) $.
    $( A homomorphism of groups preserves inverses.  (Contributed by Stefan
       O'Rear, 31-Dec-2014.) $)
    ghminv $p |- ( ( F e. ( S GrpHom T ) /\ X e. B ) ->
        ( F ` ( M ` X ) ) = ( N ` ( F ` X ) ) ) $=
      ( co wcel cfv wceq cplusg c0g cgrp eqid sylan adantr cghm ghmgrp1 grprinv
      wa fveq2d grpinvcl ghmlin mpd3an3 ghmid 3eqtr3d wb ghmgrp2 ghmf ffvelrnda
      cbs wf ffvelrnd grpinvid1 syl3anc mpbird eqcomd ) DBCUAKLZGALZUDZGDMZFMZG
      EMZDMZVDVFVHNZVEVHCOMZKZCPMZNZVDGVGBOMZKZDMZBPMZDMZVKVLVDVOVQDVBBQLZVCVOV
      QNBCDUBZAVNBEGVQHVNRZVQRZIUCSUEVBVCVGALZVPVKNVBVSVCWCVTABEGHIUFSZVNVJBCGD
      VGAHWAVJRZUGUHVBVRVLNVCBCDVQVLWBVLRZUITUJVDCQLZVECUOMZLVHWHLVIVMUKVBWGVCB
      CDULTVBAWHGDBCDAWHHWHRZUMZUNVDAWHVGDVBAWHDUPVCWJTWDUQWHVJCFVEVHVLWIWEWFJU
      RUSUTVA $.
  $}

  ${
    ghmsub.b $e |- B = ( Base ` S ) $.
    ghmsub.m $e |- .- = ( -g ` S ) $.
    ghmsub.n $e |- N = ( -g ` T ) $.
    $( Linearity of subtraction through a group homomorphism.  (Contributed by
       Stefan O'Rear, 31-Dec-2014.) $)
    ghmsub $p |- ( ( F e. ( S GrpHom T ) /\ U e. B /\ V e. B ) ->
      ( F ` ( U .- V ) ) = ( ( F ` U ) N ( F ` V ) ) ) $=
      ( co wcel cminusg cfv cplusg wceq eqid wa grpsubval cghm w3a cgrp ghmgrp1
      3ad2ant1 simp3 grpinvcl syl2anc ghmlin ghminv 3adant2 oveq2d eqtrd fveq2d
      syld3an3 3adant1 cbs wf ghmf ffvelrn anim12dan sylan 3impb syl 3eqtr4d )
      EBCUALMZDAMZHAMZUBZDHBNOZOZBPOZLZEOZDEOZHEOZCNOZOZCPOZLZDHFLZEOZVOVPGLZVI
      VNVOVKEOZVSLZVTVFVGVHVKAMZVNWEQVIBUCMZVHWFVFVGWGVHBCEUDUEVFVGVHUFABVJHIVJ
      RZUGUHVLVSBCDEVKAIVLRZVSRZUIUOVIWDVRVOVSVFVHWDVRQVGABCEVJVQHIWHVQRZUJUKUL
      UMVGVHWBVNQVFVGVHSZWAVMEAVLBVJFDHIWIWHJTUNUPVIVOCUQOZMZVPWMMZSZWCVTQVFVGV
      HWPVFAWMEURZWLWPBCEAWMIWMRZUSWQVGWNVHWOAWMDEUTAWMHEUTVAVBVCWMVSCVQGVOVPWR
      WJWKKTVDVE $.
  $}

  ${
    $d ph x y $.  $d F x y $.  $d S x y $.  $d T x y $.  $d .+ x y $.
    $d .+^ x y $.  $d X x y $.  $d Y x y $.
    isghmd.x $e |- X = ( Base ` S ) $.
    isghmd.y $e |- Y = ( Base ` T ) $.
    isghmd.a $e |- .+ = ( +g ` S ) $.
    isghmd.b $e |- .+^ = ( +g ` T ) $.
    isghmd.s $e |- ( ph -> S e. Grp ) $.
    isghmd.t $e |- ( ph -> T e. Grp ) $.
    isghmd.f $e |- ( ph -> F : X --> Y ) $.
    isghmd.l $e |- ( ( ph /\ ( x e. X /\ y e. X ) ) -> ( F ` ( x .+ y ) ) =
          ( ( F ` x ) .+^ ( F ` y ) ) ) $.
    $( Deduction for a group homomorphism.  (Contributed by Stefan O'Rear,
       4-Feb-2015.) $)
    isghmd $p |- ( ph -> F e. ( S GrpHom T ) ) $=
      ( wcel co cgrp wf cv cfv wceq wral cghm ralrimivva jca isghm syl21anbrc
      wa ) AFUASGUASIJHUBZBUCZCUCZDTHUDUNHUDUOHUDETUEZCIUFBIUFZULHFGUGTSOPAUMUQ
      QAUPBCIIRUHUICBDEFGHIJKLMNUJUK $.
  $}

  ${
    $d F x y $.  $d S f x y $.  $d T f x y $.
    $( A group homomorphism is a monoid homomorphism.  (Contributed by Stefan
       O'Rear, 7-Mar-2015.) $)
    ghmmhm $p |- ( F e. ( S GrpHom T ) -> F e. ( S MndHom T ) ) $=
      ( vx vy cghm co wcel cmnd cbs cfv wf cv cplusg wceq wral c0g grpmndd eqid
      w3a cmhm ghmgrp1 ghmf ghmlin 3expb ralrimivva ghmid 3jca ismhm syl21anbrc
      ghmgrp2 ) CABFGHZAIHBIHAJKZBJKZCLZDMZEMZANKZGCKUPCKUQCKBNKZGOZEUMPDUMPZAQ
      KZCKBQKZOZTCABUAGHULAABCUBRULBABCUKRULUOVAVDABCUMUNUMSZUNSZUCULUTDEUMUMUL
      UPUMHUQUMHUTURUSABUPCUQUMVEURSZUSSZUDUEUFABCVBVCVBSZVCSZUGUHDEUMUNURUSABC
      VCVBVEVFVGVHVIVJUIUJ $.

    $( Group homomorphisms and monoid homomorphisms coincide.  (Thus,
       ` GrpHom ` is somewhat redundant, although its stronger reverse closure
       properties are sometimes useful.)  (Contributed by Stefan O'Rear,
       7-Mar-2015.) $)
    ghmmhmb $p |- ( ( S e. Grp /\ T e. Grp ) ->
        ( S GrpHom T ) = ( S MndHom T ) ) $=
      ( vf vx vy cgrp wcel wa cghm co cmhm cv ghmmhm cplusg cfv cbs eqid simpll
      simplr wf mhmf adantl wceq mhmlin 3expb adantll isghmd ex impbid2 eqrdv )
      AFGZBFGZHZCABIJZABKJZUMCLZUNGZUPUOGZABUPMUMURUQUMURHDEANOZBNOZABUPAPOZBPO
      ZVAQZVBQZUSQZUTQZUKULURRUKULURSURVAVBUPTUMVAVBABUPVCVDUAUBURDLZVAGZELZVAG
      ZHVGVIUSJUPOVGUPOVIUPOUTJUCZUMURVHVJVKVAUSUTABUPVGVIVCVEVFUDUEUFUGUHUIUJ
      $.
  $}

  ${
    ghmmulg.b $e |- B = ( Base ` G ) $.
    ghmmulg.s $e |- .x. = ( .g ` G ) $.
    ghmmulg.t $e |- .X. = ( .g ` H ) $.
    $( A homomorphism of monoids preserves group multiples.  (Contributed by
       Mario Carneiro, 14-Jun-2015.) $)
    ghmmulg $p |- ( ( F e. ( G GrpHom H ) /\ N e. ZZ /\ X e. B ) ->
        ( F ` ( N .x. X ) ) = ( N .X. ( F ` X ) ) ) $=
      ( co wcel cz cfv wceq syl syl3anc eqid eqtr3d cghm w3a cr cneg cn wa cmhm
      ghmmhm mhmmulg syl3an1 3expa an32s 3adantl2 cminusg simpl1 nnnn0 ad2antll
      cn0 simpl3 fveq2d cgrp ghmgrp1 nnz mulgcl ghminv syl2anc cbs ghmgrp2 ghmf
      wf ffvelrnd mulgneg 3eqtr4d simprl recnd negnegd oveq1d wo simp2 elznn0nn
      sylib mpjaodan ) DEFUALMZGNMZHAMZUBZGURMZGHBLZDOZGHDOZCLZPZGUCMZGUDZUEMZU
      FZWCWEWGWLWDWCWGWEWLWCWGWEWLWCDEFUGLMZWGWEWLEFDUHZABCDEFGHIJKUIUJUKULUMWF
      WPUFZWNUDZWJCLZWIWKWSWNHBLZEUNOZOZDOZXAWIWSXBDOZFUNOZOZWNWJCLZXGOZXEXAWSX
      FXIXGWSWQWNURMZWEXFXIPWSWCWQWCWDWEWPUOZWRQWOXKWFWMWNUPUQWCWDWEWPUSZABCDEF
      WNHIJKUIRUTWSWCXBAMZXEXHPXLWSEVAMZWNNMZWEXNWSWCXOXLEFDVBQZWOXPWFWMWNVCUQZ
      XMABEWNHIJVDRAEFDXCXGXBIXCSZXGSZVEVFWSFVAMZXPWJFVGOZMXAXJPWSWCYAXLEFDVHQX
      RWSAYBHDWSWCAYBDVJXLEFDAYBIYBSZVIQXMVKYBCFXGWNWJYCKXTVLRVMWSXDWHDWSWTHBLZ
      XDWHWSXOXPWEYDXDPXQXRXMABEXCWNHIJXSVLRWSWTGHBWSGWSGWFWMWOVNVOVPZVQTUTTWSW
      TGWJCYEVQTWFWDWGWPVRWCWDWEVSGVTWAWB $.
  $}

  ${
    $d F a b c $.  $d S a b c $.  $d T a b c $.
    $( The range of a homomorphism is a subgroup.  (Contributed by Stefan
       O'Rear, 31-Dec-2014.) $)
    ghmrn $p |- ( F e. ( S GrpHom T ) -> ran F e. ( SubGrp ` T ) ) $=
      ( va vb vc co wcel cfv cbs c0 wne cv cplusg wral wa eqid syl wb eleq1d
      cghm crn csubg wss cminusg ghmf frnd cdm fdmd cgrp ghmgrp1 grpbn0 eqnetrd
      dm0rn0 necon3bii sylib w3a ghmlin wfn ffnd 3ad2ant1 grpcl syl3an1 syl2anc
      fnfvelrn eqeltrrd 3expia ralrimiv wceq oveq2 ralrn adantr mpbird grpinvcl
      sylan jca ralrimiva oveq1 ralbidv fveq2 anbi12d ghmgrp2 issubg2 mpbir3and
      ghminv ) CABUAGHZCUBZBUCIHZWGBJIZUDZWGKLZDMZEMZBNIZGZWGHZEWGOZWLBUEIZIZWG
      HZPZDWGOZWFAJIZWICABCXCWIXCQZWIQZUFZUGWFCUHZKLWKWFXGXCKWFXCWICXFUIWFAUJHZ
      XCKLABCUKZXCAXDULRUMXGKWGKCUNUOUPWFXBFMZCIZWMWNGZWGHZEWGOZXKWRIZWGHZPZFXC
      OZWFXQFXCWFXJXCHZPZXNXPXTXNXKWLCIZWNGZWGHZDXCOZXTYCDXCWFXSWLXCHZYCWFXSYEU
      QZXJWLANIZGZCIZYBWGYGWNABXJCWLXCXDYGQZWNQZURYFCXCUSZYHXCHZYIWGHWFXSYLYEWF
      XCWICXFUTZVAWFXHXSYEYMXIXCYGAXJWLXDYJVBVCXCYHCVEVDVFVGVHWFXNYDSZXSWFYLYOY
      NXMYCEDXCCWMYAVIXLYBWGWMYAXKWNVJTVKRVLVMXTXJAUEIZIZCIZXOWGXCABCYPWRXJXDYP
      QZWRQZWEXTYLYQXCHZYRWGHWFYLXSYNVLWFXHXSUUAXIXCAYPXJXDYSVNVOXCYQCVEVDVFVPV
      QWFYLXBXRSYNXAXQDFXCCWLXKVIZWQXNWTXPUUBWPXMEWGUUBWOXLWGWLXKWMWNVRTVSUUBWS
      XOWGWLXKWRVTTWAVKRVMWFBUJHWHWJWKXBUQSABCWBDEWIWNWGBWRXEYKYTWCRWD $.
  $}

  ${
    0ghm.z $e |- .0. = ( 0g ` N ) $.
    0ghm.b $e |- B = ( Base ` M ) $.
    $( The constant zero linear function between two groups.  (Contributed by
       Stefan O'Rear, 5-Sep-2015.) $)
    0ghm $p |- ( ( M e. Grp /\ N e. Grp ) ->
        ( B X. { .0. } ) e. ( M GrpHom N ) ) $=
      ( cgrp wcel wa csn cxp cmhm cghm cmnd grpmnd 0mhm syl2an ghmmhmb eleqtrrd
      co ) BGHZCGHZIADJKZBCLTZBCMTUABNHCNHUCUDHUBBOCOABCDEFPQBCRS $.
  $}

  ${
    $d B a b $.  $d G a b $.
    idghm.b $e |- B = ( Base ` G ) $.
    $( The identity homomorphism on a group.  (Contributed by Stefan O'Rear,
       31-Dec-2014.) $)
    idghm $p |- ( G e. Grp -> ( _I |` B ) e. ( G GrpHom G ) ) $=
      ( va vb cgrp wcel cid cres wf cv cplusg cfv co wceq wral wa cghm fvresi
      id eqid grpcl 3expb syl oveqan12d adantl eqtr4d ralrimivva wf1o f1oi f1of
      ax-mp jctil isghm syl21anbrc ) BFGZUPUPAAHAIZJZDKZEKZBLMZNZUQMZUSUQMZUTUQ
      MZVANZOZEAPDAPZQUQBBRNGUPTZVIUPVHURUPVGDEAAUPUSAGZUTAGZQZQZVCVBVFVMVBAGZV
      CVBOUPVJVKVNAVABUSUTCVAUAZUBUCAVBSUDVLVFVBOUPVJVKVDUSVEUTVAAUSSAUTSUEUFUG
      UHAAUQUIURAUJAAUQUKULUMEDVAVABBUQAACCVOVOUNUO $.
  $}

  ${
    $d S a b $.  $d X a b $.  $d F a b $.  $d T a b $.  $d U a b $.
    resghm.u $e |- U = ( S |`s X ) $.
    $( Restriction of a homomorphism to a subgroup.  (Contributed by Stefan
       O'Rear, 31-Dec-2014.) $)
    resghm $p |- ( ( F e. ( S GrpHom T ) /\ X e. ( SubGrp ` S ) ) ->
        ( F |` X ) e. ( U GrpHom T ) ) $=
      ( va vb co wcel cfv wa cplusg cbs eqid cgrp adantl wf wceq syl cghm csubg
      cres subggrp ghmgrp2 adantr wss subgss fssres syl2an ressbas2 feq2d mpbid
      ghmf cv wb anbi12d biimpar simpll sselda adantrr adantrl ghmlin ressplusg
      eleq2 syl3anc ad2antlr oveqd fveq2d subgcl 3expb adantll fvresd oveqan12d
      eqtr3d fvres 3eqtr4d syldan isghmd ) DABUAIJZEAUBKZJZLZGHCMKZBMKZCBDEUCZC
      NKZBNKZWGOWHOZWDOWEOZWBCPJVTEACFUDQVTBPJWBABDUEUFWCEWHWFRZWGWHWFRVTANKZWH
      DREWLUGZWKWBABDWLWHWLOZWIUNWLEAWNUHZWLWHEDUIUJWCEWGWHWFWCWMEWGSZWBWMVTWOQ
      ZEWLCAFWNUKTZULUMWCGUOZWGJZHUOZWGJZLZWSEJZXAEJZLZWSXAWDIZWFKZWSWFKZXAWFKZ
      WEIZSWCXFXCWCWPXFXCUPWRWPXDWTXEXBEWGWSVEEWGXAVEUQTURWCXFLZWSXAAMKZIZDKZWS
      DKZXADKZWEIZXHXKXLVTWSWLJZXAWLJZXOXRSVTWBXFUSWCXDXSXEWCEWLWSWQUTVAWCXEXTX
      DWCEWLXAWQUTVBXMWEABWSDXAWLWNXMOZWJVCVFXLXNWFKXHXOXLXNXGWFXLXMWDWSXAWBXMW
      DSVTXFEXMACWAFYAVDVGVHVIXLXNEDWBXFXNEJZVTWBXDXEYBXMEAWSXAYAVJVKVLVMVOXFXK
      XRSWCXDXEXIXPXJXQWEWSEDVPXAEDVPVNQVQVRVS $.
  $}

  ${
    resghm2.u $e |- U = ( T |`s X ) $.
    $( One direction of ~ resghm2b .  (Contributed by Mario Carneiro,
       13-Jan-2015.)  (Revised by Mario Carneiro, 18-Jun-2015.) $)
    resghm2 $p |- ( ( F e. ( S GrpHom U ) /\ X e. ( SubGrp ` T ) ) ->
      F e. ( S GrpHom T ) ) $=
      ( cghm co wcel csubg cfv cmhm csubmnd ghmmhm subgsubm resmhm2 syl2an cgrp
      wa wceq ghmgrp1 subgrcl ghmmhmb eleqtrrd ) DACGHIZEBJKIZSDABLHZABGHZUEDAC
      LHIEBMKIDUGIUFACDNEBOABCDEFPQUEARIBRIUHUGTUFACDUAEBUBABUCQUD $.

    $( Restriction of the codomain of a homomorphism.  (Contributed by Mario
       Carneiro, 13-Jan-2015.)  (Revised by Mario Carneiro, 18-Jun-2015.) $)
    resghm2b $p |- ( ( X e. ( SubGrp ` T ) /\ ran F C_ X ) ->
      ( F e. ( S GrpHom T ) <-> F e. ( S GrpHom U ) ) ) $=
      ( cfv wcel wa cgrp cghm co wi ghmgrp1 a1i wb cmhm wceq adantr ghmmhmb crn
      csubg wss csubmnd subgsubm resmhm2b adantl subgrcl sylan2 subggrp 3bitr4d
      sylan eleq2d expcom pm5.21ndd ) EBUBGHZDUAEUCZIZAJHZDABKLZHZDACKLZHZVAUSM
      URABDNOVCUSMURACDNOUSURVAVCPUSURIZDABQLZHZDACQLZHZVAVCURVFVHPZUSUPEBUDGHU
      QVIEBUEABCDEFUFULUGVDUTVEDURUSBJHZUTVERUPVJUQEBUHSABTUIUMVDVBVGDURUSCJHZV
      BVGRUPVKUQEBCFUJSACTUIUMUKUNUO $.
  $}

  ${
    ghmghmrn.u $e |- U = ( T |`s ran F ) $.
    $( A group homomorphism from ` G ` to ` H ` is also a group homomorphism
       from ` G ` to its image in ` H ` .  (Contributed by Paul Chapman,
       3-Mar-2008.)  (Revised by AV, 26-Aug-2021.) $)
    ghmghmrn $p |- ( F e. ( S GrpHom T ) -> F e. ( S GrpHom U ) ) $=
      ( crn csubg cfv wcel cghm co ghmrn wss ssid resghm2b mpan2 biimpd mpcom
      wb ) DFZBGHIZDABJKIZDACJKIZABDLUAUBUCUATTMUBUCSTNABCDTEOPQR $.
  $}

  $( The composition of group homomorphisms is a homomorphism.  (Contributed by
     Mario Carneiro, 12-Jun-2015.) $)
  ghmco $p |- ( ( F e. ( T GrpHom U ) /\ G e. ( S GrpHom T ) ) ->
      ( F o. G ) e. ( S GrpHom U ) ) $=
    ( cghm co wcel wa ccom cmhm ghmmhm syl2an cgrp wceq ghmgrp1 ghmgrp2 ghmmhmb
    mhmco syl2anr eleqtrrd ) DBCFGHZEABFGHZIDEJZACKGZACFGZUBDBCKGHEABKGHUDUEHUC
    BCDLABELABCDESMUCANHCNHUFUEOUBABEPBCDQACRTUA $.

  $( The image of a subgroup under a homomorphism.  (Contributed by Stefan
     O'Rear, 31-Dec-2014.) $)
  ghmima $p |- ( ( F e. ( S GrpHom T ) /\ U e. ( SubGrp ` S ) ) ->
      ( F " U ) e. ( SubGrp ` T ) ) $=
    ( cghm co wcel csubg cfv wa cima cres crn df-ima cress eqid resghm eqeltrid
    ghmrn syl ) DABEFGCAHIGJZDCKDCLZMZBHIZDCNUAUBACOFZBEFGUCUDGABUEDCUEPQUEBUBS
    TR $.

  ${
    $d F a b $.  $d V a b $.  $d T a b $.  $d S a b $.
    $( The inverse image of a subgroup under a homomorphism.  (Contributed by
       Stefan O'Rear, 31-Dec-2014.) $)
    ghmpreima $p |- ( ( F e. ( S GrpHom T ) /\ V e. ( SubGrp ` T ) ) ->
        ( `' F " V ) e. ( SubGrp ` S ) ) $=
      ( va vb co wcel csubg cfv eqid adantr syl wceq eqeltrd elpreima mpbir2and
      wa wb syl3anc cghm ccnv cima cbs wss c0 wne cv cplusg cminusg cnvimass wf
      wral ghmf fssdm c0g cgrp ghmgrp1 grpidcl subg0cl adantl wfn ffnd ad2antrr
      ghmid ne0d simprll simprrl grpcl simpll ghmlin simplr simprlr subgcl expr
      simprrr sylbid ralrimiv simprl grpinvcl syl2an2r ghminv ad2ant2r ad2ant2l
      subginvcl jca ex w3a issubg2 mpbir3and ) CABUAGHZDBIJHZRZCUBDUCZAIJHZWNAU
      DJZUEZWNUFUGZEUHZFUHZAUIJZGZWNHZFWNUMZWSAUJJZJZWNHZRZEWNUMZWMWPBUDJZWNCCD
      UKWKWPXJCULWLABCWPXJWPKZXJKUNLZUOWMWNAUPJZWMXMWNHZXMWPHZXMCJZDHZWMAUQHZXO
      WKXRWLABCURZLZWPAXMXKXMKZUSMWMXPBUPJZDWKXPYBNWLABCXMYBYAYBKZVELWLYBDHWKDB
      YBYCUTVAOWMCWPVBZXNXOXQRSWMWPXJCXLVCZWPXMDCPMQVFWMXHEWNWMWSWNHZWSWPHZWSCJ
      ZDHZRZXHWMYDYFYJSYEWPWSDCPMWMYJXHWMYJRZXDXGYKXCFWNYKWTWNHZWTWPHZWTCJZDHZR
      ZXCWMYLYPSZYJWMYDYQYEWPWTDCPMLWMYJYPXCWMYJYPRZRZXCXBWPHZXBCJZDHZYSXRYGYMY
      TWKXRWLYRXSVDWMYGYIYPVGZWMYJYMYOVHZWPXAAWSWTXKXAKZVITYSUUAYHYNBUIJZGZDYSW
      KYGYMUUAUUGNWKWLYRVJUUCUUDXAUUFABWSCWTWPXKUUEUUFKZVKTYSWLYIYOUUGDHWKWLYRV
      LWMYGYIYPVMWMYJYMYOVPUUFDBYHYNUUHVNTOWMXCYTUUBRSZYRWMYDUUIYEWPXBDCPMLQVOV
      QVRYKXGXFWPHZXFCJZDHZWMXRYJYGUUJXTWMYGYIVSWPAXEWSXKXEKZVTWAYKUUKYHBUJJZJZ
      DWKYGUUKUUONWLYIWPABCXEUUNWSXKUUMUUNKZWBWCWLYIUUODHWKYGDBUUNYHUUPWEWDOWMX
      GUUJUULRSZYJWMYDUUQYEWPXFDCPMLQWFWGVQVRWMXRWOWQWRXIWHSXTEFWPXAWNAXEXKUUEU
      UMWIMWJ $.
  $}

  ${
    $d F x y $.  $d G x y $.  $d S x y $.  $d T x $.
    $( The equalizer of two group homomorphisms is a subgroup.  (Contributed by
       Stefan O'Rear, 7-Mar-2015.)  (Revised by Mario Carneiro, 6-May-2015.) $)
    ghmeql $p |- ( ( F e. ( S GrpHom T ) /\ G e. ( S GrpHom T ) ) ->
        dom ( F i^i G ) e. ( SubGrp ` S ) ) $=
      ( vx vy co wcel wa cfv cv cminusg wral ghmmhm wceq cbs fveq2 eqeq12d eqid
      adantr cghm cin cdm csubg csubmnd cmhm mhmeql syl2an crab wi cgrp ghmgrp1
      simprl grpinvcl syl2anc simprr fveq2d ghminv ad2ant2r 3eqtr4d elrabd expr
      ad2ant2lr ralrimiva ralrab sylibr wb wfn wf ghmf ffnd adantl fndmin eleq2
      raleqbi1dv syl mpbird issubg3 mpbir2and ) CABUAGZHZDVTHZIZCDUBUCZAUDJHZWD
      AUEJHZEKZALJZJZWDHZEWDMZWACABUFGZHDWLHWFWBABCNABDNABCDUGUHWCWKWIFKZCJZWMD
      JZOZFAPJZUIZHZEWRMZWCWGCJZWGDJZOZWSUJZEWQMWTWCXDEWQWCWGWQHZXCWSWCXEXCIZIZ
      WPWICJZWIDJZOFWIWQWMWIOWNXHWOXIWMWICQWMWIDQRXGAUKHZXEWIWQHWCXJXFWAXJWBABC
      ULTZTWCXEXCUMWQAWHWGWQSZWHSZUNUOXGXABLJZJZXBXNJZXHXIXGXAXBXNWCXEXCUPUQWAX
      EXHXOOWBXCWQABCWHXNWGXLXMXNSZURUSWBXEXIXPOWAXCWQABDWHXNWGXLXMXQURVCUTVAVB
      VDWPXCWSEFWQWMWGOWNXAWOXBWMWGCQWMWGDQRVEVFWCWDWROZWKWTVGWCCWQVHDWQVHXRWCW
      QBPJZCWAWQXSCVIWBABCWQXSXLXSSZVJTVKWCWQXSDWBWQXSDVIWAABDWQXSXLXTVJVLVKFWQ
      CDVMUOWJWSEWDWRWDWRWIVNVOVPVQWCXJWEWFWKIVGXKEWDAWHXMVRVPVS $.
  $}

  ${
    $d x y z F $.  $d x y z S $.  $d x y z T $.  $d x y z U $.  $d x y z Y $.
    ghmnsgima.1 $e |- Y = ( Base ` T ) $.
    $( The image of a normal subgroup under a surjective homomorphism is
       normal.  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    ghmnsgima $p |- ( ( F e. ( S GrpHom T ) /\ U e. ( NrmSGrp ` S ) /\
      ran F = Y ) -> ( F " U ) e. ( NrmSGrp ` T ) ) $=
      ( vx vy vz co wcel cnsg cfv wceq cv wral adantr syl eqid syl3anc cghm crn
      w3a csubg cplusg csg simp1 nsgsubg 3ad2ant2 ghmima syl2anc cbs wa ghmgrp1
      cima simprl wss subgss simprr sseldd grpcl ghmsub ghmlin oveq1d eqtrd wfn
      cgrp wf ghmf ffnd nsgconj fnfvima eqeltrrd ralrimivva wb oveq1 id oveq12d
      simpl2 eleq1d ralbidv ralrn raleqdv ralima 3bitr3d mpbird isnsg3 sylanbrc
      simp3 oveq2 ) DABUAJKZCALMKZDUBZENZUCZDCUOZBUDMKZGOZHOZBUEMZJZWRBUFMZJZWP
      KZHWPPZGEPZWPBLMKWOWKCAUDMKZWQWKWLWNUGZWLWKXGWNCAUHUIZABCDUJUKWOXFIOZDMZW
      RDMZWTJZXKXBJZWPKZGCPZIAULMZPZWOXOIGXQCWOXJXQKZWRCKZUMZUMZXJWRAUEMZJZXJAU
      FMZJZDMZXNWPYBYGYDDMZXKXBJZXNYBWKYDXQKZXSYGYINWOWKYAXHQZYBAVGKZXSWRXQKZYJ
      YBWKYLYKABDUNRWOXSXTUPZYBCXQWRWOCXQUQZYAWOXGYOXIXQCAXQSZURRZQZWOXSXTUSZUT
      ZXQYCAXJWRYPYCSZVATYNXQABYDDYEXBXJYPYESZXBSZVBTYBYHXMXKXBYBWKXSYMYHXMNYKY
      NYTYCWTABXJDWRXQYPUUAWTSZVCTVDVEYBDXQVFZYOYFCKZYGWPKYBXQEDWOXQEDVHZYAWOWK
      UUGXHABDXQEYPFVIRZQVJYRYBWLXSXTUUFWKWLWNYAVSYNYSXJWRYCCAYEXQYPUUAUUBVKTXQ
      CDYFVLTVMVNWOXEGWMPZXKWSWTJZXKXBJZWPKZHWPPZIXQPZXFXRWOUUEUUIUUNVOWOXQEDUU
      HVJZXEUUMGIXQDWRXKNZXDUULHWPUUPXCUUKWPUUPXAUUJWRXKXBWRXKWSWTVPUUPVQVRVTWA
      WBRWOXEGWMEWKWLWNWIWCWOUUMXPIXQWOUUEYOUUMXPVOUUOYQUULXOHGXQCDWSXLNZUUKXNW
      PUUQUUJXMXKXBWSXLXKWTWJVDVTWDUKWAWEWFGHWTWPBXBEFUUDUUCWGWH $.
  $}

  ${
    $d x y F $.  $d x y S $.  $d x y T $.  $d x y V $.
    $( The inverse image of a normal subgroup under a homomorphism is normal.
       (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    ghmnsgpreima $p |- ( ( F e. ( S GrpHom T ) /\ V e. ( NrmSGrp ` T ) ) ->
        ( `' F " V ) e. ( NrmSGrp ` S ) ) $=
      ( vx vy co wcel cnsg cfv wa csubg cv cplusg csg wral cbs eqid syl syl3anc
      cghm ccnv cima nsgsubg ghmpreima sylan2 ghmgrp1 ad2antrr simprl simprr wb
      cgrp wf simpll ghmf ffnd elpreima mpbid simpld grpcl grpsubcl wceq ghmsub
      wfn ghmlin oveq1d eqtrd simplr ffvelrnd simprd nsgconj eqeltrd ralrimivva
      mpbir2and isnsg3 sylanbrc ) CABUAGHZDBIJHZKZCUBDUCZALJHZEMZFMZANJZGZWBAOJ
      ZGZVTHZFVTPEAQJZPVTAIJHVRVQDBLJHWADBUDABCDUEUFVSWHEFWIVTVSWBWIHZWCVTHZKZK
      ZWHWGWIHZWGCJZDHZWMAULHZWEWIHZWJWNVQWQVRWLABCUGUHZWMWQWJWCWIHZWRWSVSWJWKU
      IZWMWTWCCJZDHZWMWKWTXCKZVSWJWKUJWMCWIVDZWKXDUKWMWIBQJZCWMVQWIXFCUMVQVRWLU
      NZABCWIXFWIRZXFRZUOSZUPZWIWCDCUQSURZUSZWIWDAWBWCXHWDRZUTTZXAWIAWFWEWBXHWF
      RZVATWMWOWBCJZXBBNJZGZXQBOJZGZDWMWOWECJZXQXTGZYAWMVQWRWJWOYCVBXGXOXAWIABW
      ECWFXTWBXHXPXTRZVCTWMYBXSXQXTWMVQWJWTYBXSVBXGXAXMWDXRABWBCWCWIXHXNXRRZVET
      VFVGWMVRXQXFHXCYADHVQVRWLVHWMWIXFWBCXJXAVIWMWTXCXLVJXQXBXRDBXTXFXIYEYDVKT
      VLWMXEWHWNWPKUKXKWIWGDCUQSVNVMEFWDVTAWFWIXHXNXPVOVP $.
  $}

  ${
    ghmker.1 $e |- .0. = ( 0g ` T ) $.
    $( The kernel of a homomorphism is a normal subgroup.  (Contributed by
       Mario Carneiro, 4-Feb-2015.) $)
    ghmker $p |- ( F e. ( S GrpHom T ) ->
        ( `' F " { .0. } ) e. ( NrmSGrp ` S ) ) $=
      ( cghm co wcel csn cnsg cfv ccnv cima cgrp ghmgrp2 syl ghmnsgpreima mpdan
      0nsg ) CABFGHZDIZBJKHZCLUAMAJKHTBNHUBABCOBDESPABCUAQR $.
  $}

  ${
    ghmeqker.b $e |- B = ( Base ` S ) $.
    ghmeqker.z $e |- .0. = ( 0g ` T ) $.
    ghmeqker.k $e |- K = ( `' F " { .0. } ) $.
    ghmeqker.m $e |- .- = ( -g ` S ) $.
    $( Two source points map to the same destination point under a group
       homomorphism iff their difference belongs to the kernel.  (Contributed
       by Stefan O'Rear, 31-Dec-2014.) $)
    ghmeqker $p |- ( ( F e. ( S GrpHom T ) /\ U e. B /\ V e. B ) ->
      ( ( F ` U ) = ( F ` V ) <-> ( U .- V ) e. K ) ) $=
      ( co wcel cfv wceq csn eqid 3ad2ant1 cghm w3a c0g ccnv cima sneqi imaeq2i
      wa csg eqtri eleq2i wfn wb cbs ghmf ffnd fniniseg syl syl5bb cgrp ghmgrp1
      grpsubcl syl3an1 biantrurd ghmsub eqeq1d bitr3d ghmgrp2 wf simp2 ffvelrnd
      simp3 grpsubeq0 syl3anc 3bitrrd ) EBCUANOZDAOZHAOZUBZDHGNZFOZVTAOZVTEPZCU
      CPZQZUHZDEPZHEPZCUIPZNZWDQZWGWHQZWAVTEUDZWDRZUEZOZVSWFFWOVTFWMIRZUEWOLWQW
      NWMIWDKUFUGUJUKVSEAULZWPWFUMVPVQWRVRVPACUNPZEBCEAWSJWSSZUOZUPTAWDVTEUQURU
      SVSWEWFWKVSWBWEVPBUTOVQVRWBBCEVAABGDHJMVBVCVDVSWCWJWDABCDEGWIHJMWISZVEVFV
      GVSCUTOZWGWSOWHWSOWKWLUMVPVQXCVRBCEVHTVSAWSDEVPVQAWSEVIVRXATZVPVQVRVJVKVS
      AWSHEXDVPVQVRVLVKWSCWIWGWHWDWTWDSXBVMVNVO $.
  $}

  ${
    $d Y x $.  $d R x $.  $d I x $.  $d B x $.  $d W x $.
    pwsdiagghm.y $e |- Y = ( R ^s I ) $.
    pwsdiagghm.b $e |- B = ( Base ` R ) $.
    pwsdiagghm.f $e |- F = ( x e. B |-> ( I X. { x } ) ) $.
    $( Diagonal homomorphism into a structure power.  (Contributed by Stefan
       O'Rear, 24-Jan-2015.) $)
    pwsdiagghm $p |- ( ( R e. Grp /\ I e. W ) -> F e. ( R GrpHom Y ) ) $=
      ( cgrp wcel wa cmhm co cghm cmnd grpmnd pwsdiagmhm sylan ghmmhmb eleqtrrd
      wceq pwsgrp syldan ) CKLZEFLZMDCGNOZCGPOZUFCQLUGDUHLCRABCDEFGHIJSTUFUGGKL
      UIUHUCCEFGHUDCGUAUEUB $.
  $}

  ${
    $d x y z F $.  $d x y z S $.  $d x y z T $.  $d x y z U $.  $d x y z X $.
    $d x Y $.  $d x y z .0. $.
    ghmf1.x $e |- X = ( Base ` S ) $.
    ghmf1.y $e |- Y = ( Base ` T ) $.
    ghmf1.z $e |- .0. = ( 0g ` S ) $.
    ghmf1.u $e |- U = ( 0g ` T ) $.
    $( Two ways of saying a group homomorphism is 1-1 into its codomain.
       (Contributed by Paul Chapman, 3-Mar-2008.)  (Revised by Mario Carneiro,
       13-Jan-2015.) $)
    ghmf1 $p |- ( F e. ( S GrpHom T ) -> ( F : X -1-1-> Y <->
          A. x e. X ( ( F ` x ) = U -> x = .0. ) ) ) $=
      ( vy vz co wcel cfv wceq wa ad2antrr cghm wf1 cv wral ghmid eqeq2d simplr
      wi simpr cgrp ghmgrp1 grpidcl syl f1fveq syl12anc bitr3d biimpd ralrimiva
      wb ghmf adantr csg eqid ghmsub 3expb adantlr eqeq1d fveqeq2 eqeq1 imbi12d
      wf grpsubcl sylan rspcdva sylbird ghmgrp2 simprl simprr grpsubeq0 syl3anc
      ffvelrnd 3imtr3d ralrimivva dff13 sylanbrc impbida ) EBCUAOPZFGEUBZAUCZEQ
      ZDRZWIHRZUHZAFUDZWGWHSZWMAFWOWIFPZSZWKWLWQWJHEQZRZWKWLWQWRDWJWGWRDRWHWPBC
      EHDKLUETUFWQWHWPHFPZWSWLUSWGWHWPUGWOWPUIWQBUJPZWTWGXAWHWPBCEUKZTFBHIKULUM
      FGWIHEUNUOUPUQURWGWNSZFGEVKZMUCZEQZNUCZEQZRZXEXGRZUHZNFUDMFUDWHWGXDWNBCEF
      GIJUTZVAXCXKMNFFXCXEFPZXGFPZSZSZXFXHCVBQZOZDRZXEXGBVBQZOZHRZXIXJXPXSYAEQZ
      DRZYBXPYCXRDWGXOYCXRRZWNWGXMXNYEFBCXEEXTXQXGIXTVCZXQVCZVDVEVFVGXPWMYDYBUH
      AFYAWIYARWKYDWLYBWIYADEVHWIYAHVIVJWGWNXOUGXCXAXOYAFPZWGXAWNXBVAXAXMXNYHFB
      XTXEXGIYFVLVEVMVNVOXPCUJPZXFGPXHGPXSXIUSWGYIWNXOBCEVPTXPFGXEEWGXDWNXOXLTZ
      XCXMXNVQZWAXPFGXGEYJXCXMXNVRZWAGCXQXFXHDJLYGVSVTXPXAXMXNYBXJUSWGXAWNXOXBT
      YKYLFBXTXEXGHIKYFVSVTWBWCMNFGEWDWEWF $.
  $}

  ${
    $d x y F $.  $d x y S $.  $d x y T $.  $d x y X $.  $d x y Y $.
    ghmf1o.x $e |- X = ( Base ` S ) $.
    ghmf1o.y $e |- Y = ( Base ` T ) $.
    $( A bijective group homomorphism is an isomorphism.  (Contributed by Mario
       Carneiro, 13-Jan-2015.) $)
    ghmf1o $p |- ( F e. ( S GrpHom T ) ->
      ( F : X -1-1-onto-> Y <-> `' F e. ( T GrpHom S ) ) ) $=
      ( vx vy cghm co wcel wf1o wa cgrp wf cfv wceq adantr syl2anc ccnv cv wral
      cplusg ghmgrp2 ghmgrp1 jca f1ocnv adantl f1of simpll simprl ffvelrnd eqid
      syl simprr ghmlin syl3anc simplr f1ocnvfv2 oveq12d eqtrd grpcl ralrimivva
      wi f1ocnvfv mpd isghm sylanbrc wfn ghmf ffnd dff1o4 impbida ) CABJKLZDECM
      ZCUAZBAJKLZVOVPNZBOLZAOLZNZEDVQPZHUBZIUBZBUDQZKZVQQWDVQQZWEVQQZAUDQZKZRZI
      EUCHEUCZNVRVOWBVPVOVTWAABCUEABCUFZUGSVSWCWMVSEDVQMZWCVPWOVODECUHUIEDVQUJU
      OZVSWLHIEEVSWDELZWEELZNZNZWKCQZWGRZWLWTXAWHCQZWICQZWFKZWGWTVOWHDLZWIDLZXA
      XERVOVPWSUKZWTEDWDVQVSWCWSWPSZVSWQWRULZUMZWTEDWEVQXIVSWQWRUPZUMZWJWFABWHC
      WIDFWJUNZWFUNZUQURWTXCWDXDWEWFWTVPWQXCWDRVOVPWSUSZXJDEWDCUTTWTVPWRXDWERXP
      XLDEWECUTTVAVBWTVPWKDLZXBWLVEXPWTWAXFXGXQWTVOWAXHWNUOXKXMDWJAWHWIFXNVCURD
      EWKWGCVFTVGVDUGIHWFWJBAVQEDGFXOXNVHVIVOVRNZCDVJVQEVJVPXRDECVODECPVRABCDEF
      GVKSVLXREDVQVRWCVOBAVQEDGFVKUIVLDECVMVIVN $.
  $}

  ${
    $d x y .- $.  $d w x y z .+ $.  $d w x y z A $.  $d w y z F $.  $d w x N $.
    $d w x y z G $.  $d w x y z S $.  $d w x y z X $.
    conjghm.x $e |- X = ( Base ` G ) $.
    conjghm.p $e |- .+ = ( +g ` G ) $.
    conjghm.m $e |- .- = ( -g ` G ) $.
    ${
      conjghm.f $e |- F = ( x e. X |-> ( ( A .+ x ) .- A ) ) $.
      $( Conjugation is an automorphism of the group.  (Contributed by Mario
         Carneiro, 13-Jan-2015.) $)
      conjghm $p |- ( ( G e. Grp /\ A e. X ) ->
        ( F e. ( G GrpHom G ) /\ F : X -1-1-onto-> X ) ) $=
        ( wcel wa co adantr syl3anc cfv wceq syl13anc oveq1d vy cgrp cghm simpl
        vz wf1o grpcl 3expa simplr grpsubcl fmptd simprl simprr grpass grpnpcan
        grpaddsubass 3eqtr2rd oveq2d 3eqtr4d oveq2 ovex fvmpt ad2antrl ad2antll
        cv syl oveq12d isghmd cminusg grpinvcl simpr wb adantrl adantrr grplcan
        eqid c0g grplinv grplid ad2ant2r eqeq2d grpsubadd 3bitr4d eqcom 3bitr4g
        3eqtr3rd f1o2d jca ) EUBLZBGLZMZDEEUCNLGGDUFWKUAUECCEEDGGHHIIWIWJUDZWLW
        KAGBAVEZCNZBFNZGDWKWMGLZMWIWNGLZWJWOGLWKWIWPWLOWIWJWPWQGCEBWMHIUGUHZWIW
        JWPUIGEFWNBHJUJPZKUKWKUAVEZGLZUEVEZGLZMZMZBWTXBCNZCNZBFNZBWTCNZBFNZBXBC
        NZBFNZCNZXFDQZWTDQZXBDQZCNXEXJBCNZXBBFNZCNZXJBXRCNZCNZXHXMXEWIXJGLZWJXR
        GLZXSYARWKWIXDWLOZXEWIXIGLZWJYBYDXEWIWJXAYEYDWIWJXDUIZWKXAXCULZGCEBWTHI
        UGPZYFGEFXIBHJUJPYFXEWIXCWJYCYDWKXAXCUMZYFGEFXBBHJUJPGCEXJBXRHIUNSXEXSX
        IXRCNZXIXBCNZBFNZXHXEXQXIXRCXEWIYEWJXQXIRYDYHYFGCEFXIBHIJUOPTXEWIYEXCWJ
        YLYJRYDYHYIYFGCEFXIXBBHIJUPSXEYKXGBFXEWIWJXAXCYKXGRYDYFYGYIGCEBWTXBHIUN
        STUQXEXLXTXJCXEWIWJXCWJXLXTRYDYFYIYFGCEFBXBBHIJUPSURUSXEXFGLZXNXHRXEWIX
        AXCYMYDYGYIGCEWTXBHIUGPAXFWOXHGDWMXFRWNXGBFWMXFBCUTTKXGBFVAVBVFXEXOXJXP
        XLCXAXOXJRWKXCAWTWOXJGDWMWTRWNXIBFWMWTBCUTTKXIBFVAVBVCXCXPXLRWKXAAXBWOX
        LGDWMXBRWNXKBFWMXBBCUTTKXKBFVAVBVDVGUSVHWKAUAGGWOBEVIQZQZWTBCNZCNZDKWSW
        KXAMZWIYOGLZYPGLZYQGLWKWIXAWLOZWKYSXAGEYNBHYNVPZVJZOYRWIXAWJYTUUAWKXAVK
        WIWJXAUIGCEWTBHIUGPZGCEYOYPHIUGPWKWPXAMZMZYQWMRZWOWTRZWMYQRWTWORUUFYQYO
        WNCNZRZYPWNRZUUGUUHUUFWIYTWQYSUUJUUKVLWKWIUUEWLOZWKXAYTWPUUDVMWKWPWQXAW
        RVNZWKYSUUEUUCOZGCEYPWNYOHIVOSUUFWMUUIYQUUFYOBCNZWMCNZEVQQZWMCNZUUIWMUU
        FUUOUUQWMCWKUUOUUQRUUEGCEYNBUUQHIUUQVPZUUBVROTUUFWIYSWJWPUUPUUIRUULUUNW
        IWJUUEUIZWKWPXAULGCEYOBWMHIUNSWIWPUURWMRWJXAGCEWMUUQHIUUSVSVTWFWAUUFWIW
        QWJXAUUHUUKVLUULUUMUUTWKWPXAUMGCEFWNBWTHIJWBSWCWMYQWDWTWOWDWEWGWH $.
    $}

    conjsubg.f $e |- F = ( x e. S |-> ( ( A .+ x ) .- A ) ) $.
    $( A conjugated subgroup is also a subgroup.  (Contributed by Mario
       Carneiro, 13-Jan-2015.) $)
    conjsubg $p |- ( ( S e. ( SubGrp ` G ) /\ A e. X ) ->
      ran F e. ( SubGrp ` G ) ) $=
      ( csubg cfv wcel wa cv co cmpt crn cima wceq subgss adantr df-ima eqtr4di
      wss cres resmpt rneqd eqtrid syl cghm wf1o cgrp subgrcl eqid sylan simpld
      conjghm simpl ghmima syl2anc eqeltrrd ) DFMNZOZBHOZPZAHBAQCRBGRZSZDUAZETZ
      VEVHDHUGZVKVLUBVFVMVGHDFIUCUDVMVKVJDUHZTVLVJDUEVMVNEVMVNADVISEAHDVIUILUFU
      JUKULVHVJFFUMROZVFVKVEOVHVOHHVJUNZVFFUOOVGVOVPPDFUPABCVJFGHIJKVJUQUTURUSV
      FVGVAFFDVJVBVCVD $.

    $( A conjugated subgroup is equinumerous to the original subgroup.
       (Contributed by Mario Carneiro, 18-Jan-2015.) $)
    conjsubgen $p |- ( ( S e. ( SubGrp ` G ) /\ A e. X ) ->
      S ~~ ran F ) $=
      ( csubg wcel wf1o wa wf1 co cmpt syl cfv crn cen wbr cv cres cghm subgrcl
      cgrp eqid conjghm sylan f1of1 simpl2im subgss adantr f1ssres syl2anc wceq
      wss wb resmptd eqtr4di f1eq1 mpbid f1f1orn f1oeng syldan ) DFMUAZNZBHNZDE
      UBZEOZDVLUCUDVJVKPZDHEQZVMVNDHAHBAUECRBGRZSZDUFZQZVOVNHHVQQZDHUTZVSVNVQFF
      UGRNZHHVQOZVTVJFUINVKWBWCPDFUHABCVQFGHIJKVQUJUKULHHVQUMUNVJWAVKHDFIUOUPZH
      HDVQUQURVNVREUSVSVOVAVNVRADVPSEVNAHDVPWDVBLVCDHVREVDTVEDHEVFTDVLVIEVGVH
      $.

    ${
      conjnmz.1 $e |- N = { y e. X |
        A. z e. X ( ( y .+ z ) e. S <-> ( z .+ y ) e. S ) } $.
      $( A subgroup is unchanged under conjugation by an element of its
         normalizer.  (Contributed by Mario Carneiro, 18-Jan-2015.) $)
      conjnmz $p |- ( ( S e. ( SubGrp ` G ) /\ A e. N ) -> S = ran F ) $=
        ( wcel co wceq syl2anc vw csubg cfv wa cv cminusg cgrp subgrcl ad2antrr
        crn wb wral ssrab3 simplr sselid eqid grpinvcl wss subgss adantr sselda
        grpass syl13anc c0g grprinv oveq1d grplid 3eqtr3d simpr eqeltrd syl3anc
        grpcl nmzbi mpbid eqeltrrd oveq2 fvmpt syl grppncan 3eqtrd wfn fnfvelrn
        ovex fnmpti sylancr ex ssrdv grpaddsubass grpnpcan grpsubcl mpbird frnd
        fmptd eqssd ) FHUBUCQZDJQZUDZFGUJZWQUAFWRWQUAUEZFQZWSWRQWQWTUDZDHUFUCZU
        CZWSDERZERZGUCZWSWRXAXFDXEERZDIRZXDDIRZWSXAXEFQZXFXHSXAXCWSERZDERZXEFXA
        HUGQZXCKQZWSKQZDKQZXLXESWOXMWPWTFHUHZUIZXAXMXPXNXRXAJKDBUEZCUEZERFQXTXS
        ERFQUKCKULBKJPUMZWOWPWTUNZUOZKHXBDLXBUPZUQTZWQFKWSWOFKURWPKFHLUSUTZVAZY
        CKEHXCWSDLMVBVCXADXKERZFQZXLFQZXAYHWSFXADXCERZWSERZHVDUCZWSERZYHWSXAYKY
        MWSEXAXMXPYKYMSXRYCKEHXBDYMLMYMUPZYDVETZVFXAXMXPXNXOYLYHSXRYCYEYGKEHDXC
        WSLMVBVCXAXMXOYNWSSXRYGKEHWSYMLMYOVGTVHWQWTVIVJXAWPXKKQZYIYJUKYBXAXMXNX
        OYQXRYEYGKEHXCWSLMVLVKBCDXKEFJKPVMTVNVOZAXEDAUEZERZDIRZXHFGYSXESYTXGDIY
        SXEDEVPVFOXGDIWCVQVRXAXGXDDIXAYKXDERZYMXDERZXGXDXAYKYMXDEYPVFXAXMXPXNXD
        KQZUUBXGSXRYCYEXAXMXOXPUUDXRYGYCKEHWSDLMVLVKZKEHDXCXDLMVBVCXAXMUUDUUCXD
        SXRUUEKEHXDYMLMYOVGTVHVFXAXMXOXPXIWSSXRYGYCKEHIWSDLMNVSVKVTXAGFWAXJXFWR
        QAFUUAGYTDIWCOWDYRFXEGWBWEVOWFWGWQFFGWQAFUUAFGWQYSFQZUDZUUADYSDIRZERZFU
        UGXMXPYSKQZXPUUAUUISWOXMWPUUFXQUIZUUGJKDYAWOWPUUFUNZUOZWQFKYSYFVAZUUMKE
        HIDYSDLMNWHVCUUGUUIFQZUUHDERZFQZUUGUUPYSFUUGXMUUJXPUUPYSSUUKUUNUUMKEHIY
        SDLMNWIVKWQUUFVIVJUUGWPUUHKQZUUOUUQUKUULUUGXMUUJXPUURUUKUUNUUMKHIYSDLNW
        JVKBCDUUHEFJKPVMTWKVJOWMWLWN $.

      $( Alternative condition for elementhood in the normalizer.  (Contributed
         by Mario Carneiro, 18-Jan-2015.) $)
      conjnmzb $p |- ( S e. ( SubGrp ` G ) ->
        ( A e. N <-> ( A e. X /\ S = ran F ) ) ) $=
        ( wcel wceq wa co vw csubg cfv crn cv wb wral ssrab3 sselid conjnmz jca
        simpr simprl simplrr eleq2d wrex subgrcl ad3antrrr simpllr wss ad2antrr
        cgrp subgss sselda grpaddsubass syl13anc eqeq1d grpsubcl syl3anc simplr
        grplcan 3bitrd eqcom 3bitr4g rexbidva adantlrr ovex eqeq1 rexbidv rnmpt
        grpsubadd elab2 risset bitrd ralrimiva elnmz sylanbrc impbida ) FHUBUCQ
        ZDJQZDKQZFGUDZRZSZWIWJSZWKWMWOJKDBUEZCUEZETFQWQWPETFQUFCKUGBKJPUHWIWJUL
        UIABCDEFGHIJKLMNOPUJUKWIWNSZWKDUAUEZETZFQZWSDETZFQZUFZUAKUGWJWIWKWMUMWR
        XDUAKWRWSKQZSZXAWTWLQZXCXFFWLWTWIWKWMXEUNUOXFWTDAUEZETDITZRZAFUPZXHXBRZ
        AFUPZXGXCWIWKXEXKXMUFWMWIWKSZXESZXJXLAFXOXHFQZSZXIWTRZXBXHRZXJXLXQXRDXH
        DITZETZWTRZXTWSRZXSXQXIYAWTXQHVBQZWKXHKQZWKXIYARWIYDWKXEXPFHUQURZWIWKXE
        XPUSZXOFKXHWIFKUTWKXEKFHLVCVAVDZYGKEHIDXHDLMNVEVFVGXQYDXTKQZXEWKYBYCUFY
        FXQYDYEWKYIYFYHYGKHIXHDLNVHVIXNXEXPVJZYGKEHXTWSDLMVKVFXQYDYEWKXEYCXSUFY
        FYHYGYJKEHIXHDWSLMNWAVFVLWTXIVMXHXBVMVNVOVPWPXIRZAFUPXKBWTWLDWSEVQWPWTR
        YKXJAFWPWTXIVRVSABFXIGOVTWBAXBFWCVNWDWEBCUADEFJKPWFWGWH $.
    $}

    $( A normal subgroup is unchanged under conjugation.  (Contributed by Mario
       Carneiro, 18-Jan-2015.) $)
    conjnsg $p |- ( ( S e. ( NrmSGrp ` G ) /\ A e. X ) -> S = ran F ) $=
      ( vy vz cnsg cfv wcel cv co wceq csubg wral crab crn nsgsubg eqid simprbi
      wb isnsg4 eleq2d biimpar conjnmz syl2an2r ) DFOPQZDFUAPQZBHQZBMRZNRZCSDQU
      RUQCSDQUHNHUBMHUCZQZDEUDTDFUEUNUTUPUNUSHBUNUOUSHTMNCDFUSHUSUFZIJUIUGUJUKA
      MNBCDEFGUSHIJKLVAULUM $.
  $}

  ${
    $d y z F $.  $d x y z G $.  $d x y z H $.  $d x y z X $.  $d x y z Y $.
    qusghm.x $e |- X = ( Base ` G ) $.
    qusghm.h $e |- H = ( G /s ( G ~QG Y ) ) $.
    qusghm.f $e |- F = ( x e. X |-> [ x ] ( G ~QG Y ) ) $.
    $( If ` Y ` is a normal subgroup of ` G ` , then the "natural map" from
       elements to their cosets is a group homomorphism from ` G ` to
       ` G / Y ` .  (Contributed by Mario Carneiro, 14-Jun-2015.)  (Revised by
       Mario Carneiro, 18-Sep-2015.) $)
    qusghm $p |- ( Y e. ( NrmSGrp ` G ) -> F e. ( G GrpHom H ) ) $=
      ( vy cfv wcel eqid cv co cec wceq eceq1 cvv fvmpt3i cnsg cplusg cbs csubg
      vz cgrp nsgsubg subgrcl syl qusgrp cqg quseccl fmptd wa qusadd 3expb ovex
      ecexg ax-mp ad2antrl ad2antll oveq12d grpcl sylan 3eqtr4rd isghmd ) FCUAK
      LZJUECUBKZDUBKZCDBEDUCKZGVJMZVHMZVIMZVGFCUDKLCUFLZFCUGFCUHUIZFCDHUJVGAEAN
      ZCFUKOZPZVJBVJFCDEVPHGVKULIUMVGJNZELZUENZELZUNZUNZVSVQPZWAVQPZVIOZVSWAVHO
      ZVQPZVSBKZWABKZVIOWHBKZVGVTWBWGWIQVHVIFCDEVSWAHGVLVMUOUPWDWJWEWKWFVIVTWJW
      EQVGWBAVSVRWEEBVPVSVQRIVQSLVRSLCFUKUQVPSVQURUSZTUTWBWKWFQVGVTAWAVRWFEBVPW
      AVQRIWMTVAVBWDWHELZWLWIQVGVNWCWNVOVNVTWBWNEVHCVSWAGVLVCUPVDAWHVRWIEBVPWHV
      QRIWMTUIVEVF $.
  $}

  ${
    $d f x y J $.  $d f x y K $.  $d f x y L $.  $d f x y M $.  $d f x y ph $.
    $d x y B $.  $d x y C $.
    ghmpropd.a $e |- ( ph -> B = ( Base ` J ) ) $.
    ghmpropd.b $e |- ( ph -> C = ( Base ` K ) ) $.
    ghmpropd.c $e |- ( ph -> B = ( Base ` L ) ) $.
    ghmpropd.d $e |- ( ph -> C = ( Base ` M ) ) $.
    ghmpropd.e $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( x ( +g ` J ) y ) = ( x ( +g ` L ) y ) ) $.
    ghmpropd.f $e |- ( ( ph /\ ( x e. C /\ y e. C ) ) ->
        ( x ( +g ` K ) y ) = ( x ( +g ` M ) y ) ) $.
    $( Group homomorphism depends only on the group attributes of structures.
       (Contributed by Mario Carneiro, 12-Jun-2015.) $)
    ghmpropd $p |- ( ph -> ( J GrpHom K ) = ( L GrpHom M ) ) $=
      ( co cgrp wcel wa eleq2d vf cghm cv cmhm grppropd anbi12d ghmgrp1 ghmgrp2
      mhmpropd jca ghmmhmb biadanii 3bitr4g eqrdv ) AUAFGUBPZHIUBPZAFQRZGQRZSZU
      AUCZFGUDPZRZSHQRZIQRZSZUTHIUDPZRZSUTUORZUTUPRZAUSVEVBVGAUQVCURVDABCDFHJLN
      UEABCEGIKMOUEUFAVAVFUTABCDEFGHIJKLMNOUITUFVHUSVBVHUQURFGUTUGFGUTUHUJUSUOV
      AUTFGUKTULVIVEVGVIVCVDHIUTUGHIUTUHUJVEUPVFUTHIUKTULUMUN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Isomorphisms of groups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c GrpIso $.
  $c ~=g $.

  $( The class of group isomorphism sets. $)
  cgim $a class GrpIso $.

  $( The class of the group isomorphism relation. $)
  cgic $a class ~=g $.

  ${
    $d g s t $.

    $( An isomorphism of groups is a homomorphism which is also a bijection,
       i.e. it preserves equality as well as the group operation.  (Contributed
       by Stefan O'Rear, 21-Jan-2015.) $)
    df-gim $a |- GrpIso = ( s e. Grp , t e. Grp |-> { g e. ( s GrpHom t ) |
        g : ( Base ` s ) -1-1-onto-> ( Base ` t ) } ) $.

    $( Two groups are said to be isomorphic iff they are connected by at least
       one isomorphism.  Isomorphic groups share all global group properties,
       but to relate local properties requires knowledge of a specific
       isomorphism.  (Contributed by Stefan O'Rear, 25-Jan-2015.) $)
    df-gic $a |- ~=g = ( `' GrpIso " ( _V \ 1o ) ) $.

    $( The group isomorphism function is a well-defined function.  (Contributed
       by Mario Carneiro, 23-Aug-2015.) $)
    gimfn $p |- GrpIso Fn ( Grp X. Grp ) $=
      ( vs vt vg cgrp cv cbs cfv wf1o cghm crab cgim df-gim ovex rabex fnmpoi
      co ) ABDDAEZFGBEZFGCEHZCQRIPZJKBCALSCTQRIMNO $.
  $}

  ${
    $d F a b c $.  $d R a b c $.  $d S a b c $.  $d B a b c $.  $d C a b c $.
    isgim.b $e |- B = ( Base ` R ) $.
    isgim.c $e |- C = ( Base ` S ) $.
    $( An isomorphism of groups is a bijective homomorphism.  (Contributed by
       Stefan O'Rear, 21-Jan-2015.) $)
    isgim $p |- ( F e. ( R GrpIso S ) <-> ( F e. ( R GrpHom S ) /\
          F : B -1-1-onto-> C ) ) $=
      ( vc va vb cgrp wcel cv wf1o cghm co wa cbs cfv wceq crab w3a cgim df-3an
      df-gim ovex rabex oveq12 eqtr4di f1oeq23 syl2an rabeqbidv elovmpo ghmgrp1
      wb fveq2 ghmgrp2 jca adantr pm4.71ri f1oeq1 elrab anbi2i bitr4i 3bitr4i )
      CKLZDKLZEABHMZNZHCDOPZUAZLZUBVFVGQZVLQZECDUCPLEVJLZABENZQZVFVGVLUDKKIMZRS
      ZJMZRSZVHNZHVRVTOPZUAUCVKECDIJJHIUEWBHWCVRVTOUFUGVRCTZVTDTZQWBVIHWCVJVRCV
      TDOUHWDVSATWABTWBVIUOWEWDVSCRSAVRCRUPFUIWEWADRSBVTDRUPGUIVSAWABVHUJUKULUM
      VQVMVQQVNVQVMVOVMVPVOVFVGCDEUNCDEUQURUSUTVLVQVMVIVPHEVJABVHEVAVBVCVDVE $.

    $( An isomorphism of groups is a bijection.  (Contributed by Stefan O'Rear,
       21-Jan-2015.)  (Revised by Mario Carneiro, 6-May-2015.) $)
    gimf1o $p |- ( F e. ( R GrpIso S ) -> F : B -1-1-onto-> C ) $=
      ( cgim co wcel cghm wf1o isgim simprbi ) ECDHIJECDKIJABELABCDEFGMN $.
  $}

  $( An isomorphism of groups is a homomorphism.  (Contributed by Stefan
     O'Rear, 21-Jan-2015.)  (Revised by Mario Carneiro, 6-May-2015.) $)
  gimghm $p |- ( F e. ( R GrpIso S ) -> F e. ( R GrpHom S ) ) $=
    ( cgim co wcel cghm cbs cfv wf1o eqid isgim simplbi ) CABDEFCABGEFAHIZBHIZC
    JNOABCNKOKLM $.

  $( A group isomorphism is a homomorphism whose converse is also a
     homomorphism.  Characterization of isomorphisms similar to ~ ishmeo .
     (Contributed by Mario Carneiro, 6-May-2015.) $)
  isgim2 $p |- ( F e. ( R GrpIso S ) <-> ( F e. ( R GrpHom S ) /\
          `' F e. ( S GrpHom R ) ) ) $=
    ( cgim co wcel cghm cbs cfv wf1o wa ccnv eqid isgim ghmf1o pm5.32i bitri )
    CABDEFCABGEFZAHIZBHIZCJZKRCLBAGEFZKSTABCSMZTMZNRUAUBABCSTUCUDOPQ $.

  ${
    subgim.b $e |- B = ( Base ` R ) $.
    $( Behavior of subgroups under isomorphism.  (Contributed by Stefan O'Rear,
       21-Jan-2015.) $)
    subggim $p |- ( ( F e. ( R GrpIso S ) /\ A C_ B ) ->
        ( A e. ( SubGrp ` R ) <-> ( F " A ) e. ( SubGrp ` S ) ) ) $=
      ( cgim co wcel wss wa csubg cfv cima cghm gimghm adantr ghmima sylan ccnv
      wceq cbs wf1 wf1o eqid gimf1o f1of1 f1imacnv ghmpreima eqeltrrd impbida
      syl ) ECDGHIZABJZKZACLMZIZEANZDLMIZUOECDOHIZUQUSUMUTUNCDEPQZCDAERSUOUSKET
      URNZAUPUOVBAUAZUSUMBDUBMZEUCZUNVCUMBVDEUDVEBVDCDEFVDUEUFBVDEUGULBVDAEUHSQ
      UOUTUSVBUPIVACDEURUISUJUK $.
  $}

  $( The converse of a bijective group homomorphism is a bijective group
     homomorphism.  (Contributed by Stefan O'Rear, 25-Jan-2015.)  (Revised by
     Mario Carneiro, 6-May-2015.) $)
  gimcnv $p |- ( F e. ( S GrpIso T ) -> `' F e. ( T GrpIso S ) ) $=
    ( cghm co wcel ccnv wa cgim cbs cfv wceq eqid ghmf wrel dfrel2 sylib isgim2
    wf frel syl id eqeltrd anim1ci 3imtr4i ) CABDEZFZCGZBADEFZHUIUHGZUFFZHCABIE
    FUHBAIEFUGUKUIUGUJCUFUGAJKZBJKZCSZUJCLZABCULUMULMUMMNUNCOUOULUMCTCPQUAUGUBU
    CUDABCRBAUHRUE $.

  $( The composition of group isomorphisms is a group isomorphism.
     (Contributed by Mario Carneiro, 21-Apr-2016.) $)
  gimco $p |- ( ( F e. ( T GrpIso U ) /\ G e. ( S GrpIso T ) ) ->
      ( F o. G ) e. ( S GrpIso U ) ) $=
    ( cgim co wcel wa ccom cghm ccnv isgim2 ghmco cnvco ancoms eqeltrid anim12i
    an4s syl2anb sylibr ) DBCFGHZEABFGHZIDEJZACKGHZUDLZCAKGZHZIZUDACFGHUBDBCKGH
    ZDLZCBKGHZIEABKGHZELZBAKGHZIUIUCBCDMABEMUJUMULUOUIUJUMIUEULUOIZUHABCDENUPUF
    UNUKJZUGDEOUOULUQUGHCBAUNUKNPQRSTACUDMUA $.

  $( The relation "is isomorphic to" for groups.  (Contributed by Stefan
     O'Rear, 25-Jan-2015.) $)
  brgic $p |- ( R ~=g S <-> ( R GrpIso S ) =/= (/) ) $=
    ( cgic cgim cgrp cxp df-gic gimfn brwitnlem ) ABCDEEFGHI $.

  $( Prove isomorphic by an explicit isomorphism.  (Contributed by Stefan
     O'Rear, 25-Jan-2015.) $)
  brgici $p |- ( F e. ( R GrpIso S ) -> R ~=g S ) $=
    ( cgim co wcel c0 wne cgic wbr ne0i brgic sylibr ) CABDEZFNGHABIJNCKABLM $.

  $( Isomorphism is reflexive.  (Contributed by Mario Carneiro,
     21-Apr-2016.) $)
  gicref $p |- ( R e. Grp -> R ~=g R ) $=
    ( cgrp wcel cid cbs cfv cres cgim co cgic wbr cghm ccnv eqid idghm cnvresid
    eqeltrid isgim2 sylanbrc brgici syl ) ABCZDAEFZGZAAHICZAAJKUBUDAALIZCUDMZUF
    CUEUCAUCNOZUBUGUDUFUCPUHQAAUDRSAAUDTUA $.

  ${
    $d x y z $.  $d f B $.  $d f C $.  $d f g R $.  $d f g S $.  $d f g T $.
    $( Isomorphism implies the left side is a group.  (Contributed by Stefan
       O'Rear, 25-Jan-2015.) $)
    giclcl $p |- ( R ~=g S -> R e. Grp ) $=
      ( vf cgic wbr cv cgim co wcel wex cgrp c0 wne brgic n0 bitri cghm ghmgrp1
      gimghm syl exlimiv sylbi ) ABDEZCFZABGHZIZCJZAKIZUCUELMUGABNCUEOPUFUHCUFU
      DABQHIUHABUDSABUDRTUAUB $.

    $( Isomorphism implies the right side is a group.  (Contributed by Mario
       Carneiro, 6-May-2015.) $)
    gicrcl $p |- ( R ~=g S -> S e. Grp ) $=
      ( vf cgic wbr cv cgim co wcel wex cgrp c0 wne brgic n0 bitri cghm ghmgrp2
      gimghm syl exlimiv sylbi ) ABDEZCFZABGHZIZCJZBKIZUCUELMUGABNCUEOPUFUHCUFU
      DABQHIUHABUDSABUDRTUAUB $.

    $( Isomorphism is symmetric.  (Contributed by Mario Carneiro,
       21-Apr-2016.) $)
    gicsym $p |- ( R ~=g S -> S ~=g R ) $=
      ( vf cgic wbr cgim co c0 wne brgic cv wcel wex ccnv gimcnv brgici exlimiv
      n0 syl sylbi ) ABDEABFGZHIZBADEZABJUBCKZUALZCMUCCUARUEUCCUEUDNZBAFGLUCABU
      DOBAUFPSQTT $.

    $( Isomorphism is transitive.  (Contributed by Mario Carneiro,
       21-Apr-2016.) $)
    gictr $p |- ( ( R ~=g S /\ S ~=g T ) -> R ~=g T ) $=
      ( vf vg cgic wbr cgim co c0 wne brgic cv wcel n0 wa exdistrv ccom syl2anb
      wex gimco brgici syl ancoms exlimivv sylbir ) ABFGABHIZJKZBCHIZJKZACFGZBC
      FGABLBCLUHDMZUGNZDTZEMZUINZETZUKUJDUGOEUIOUNUQPUMUPPZETDTUKUMUPDEQURUKDEU
      PUMUKUPUMPUOULRZACHINUKABCUOULUAACUSUBUCUDUEUFSS $.

    $( Isomorphism is an equivalence relation on groups.  (Contributed by Mario
       Carneiro, 21-Apr-2016.)  (Proof shortened by AV, 1-May-2021.) $)
    gicer $p |- ~=g Er Grp $=
      ( vx vy vz cgrp cgic cxp wss wrel cgim ccnv cvv cdif cima df-gic cnvimass
      c1o cdm gimfn fndmi cv sseqtri eqsstri relxp relss mp2 gicsym wcel gicref
      gictr wbr giclcl impbii iseri ) ABCDEEDDFZGUNHEHEIJKPLZMZUNNUPIQUNIUOOUNI
      RSUAUBDDUCEUNUDUEATZBTZUFUQURCTUIUQDUGUQUQEUJUQUHUQUQUKULUM $.

    gicen.b $e |- B = ( Base ` R ) $.
    gicen.c $e |- C = ( Base ` S ) $.
    $( Isomorphic groups have equinumerous base sets.  (Contributed by Stefan
       O'Rear, 25-Jan-2015.) $)
    gicen $p |- ( R ~=g S -> B ~~ C ) $=
      ( vf cgic wbr cgim co c0 wne cen brgic cv wcel wex n0 sylbi cbs fvexi syl
      wf1o gimf1o f1oen exlimiv ) CDHICDJKZLMZABNIZCDOUIGPZUHQZGRUJGUHSULUJGULA
      BUKUDUJABCDUKEFUEABUKACUAEUBUFUCUGTT $.
  $}

  ${
    $d R a b c $.  $d S a b c $.
    $( A less trivial example of a group invariant: cardinality of the subgroup
       lattice.  (Contributed by Stefan O'Rear, 25-Jan-2015.) $)
    gicsubgen $p |- ( R ~=g S -> ( SubGrp ` R ) ~~ ( SubGrp ` S ) ) $=
      ( va vb vc wbr cv co wcel csubg cfv cima cvv fvexd imaex 2a1i wceq wa cbs
      sylan cgic cgim wex cen c0 wne brgic n0 bitri ccnv vex cghm gimghm ghmima
      cnvex wf1 wss wf1o eqid gimf1o f1of1 syl subgss f1imacnv syl2an jca eleq1
      eqcomd imaeq2 eqeq2d anbi12d syl5ibrcom impr ghmpreima wfo f1ofo foimacnv
      impbida en2d exlimiv sylbi ) ABUAFZCGZABUBHZIZCUCZAJKZBJKZUDFZWBWDUEUFWFA
      BUGCWDUHUIWEWICWEDEWGWHWCDGZLZWCUJZEGZLZMMMMWEAJNWEBJNWKMIWEWJWGIZWCWJCUK
      ZOPWNMIWEWMWHIZWLWMWCWPUOOPWEWOWMWKQZRZWQWJWNQZRZWEWOWRXAWEWORZXAWRWKWHIZ
      WJWLWKLZQZRXBXCXEWEWCABULHIZWOXCABWCUMZABWJWCUNTXBXDWJWEASKZBSKZWCUPZWJXH
      UQXDWJQWOWEXHXIWCURZXJXHXIABWCXHUSZXIUSZUTZXHXIWCVAVBXHWJAXLVCXHXIWJWCVDV
      EVHVFWRWQXCWTXEWMWKWHVGWRWNXDWJWMWKWLVIVJVKVLVMWEWQWTWSWEWQRZWSWTWNWGIZWM
      WCWNLZQZRXOXPXRWEXFWQXPXGABWCWMVNTXOXQWMWEXHXIWCVOZWMXIUQXQWMQWQWEXKXSXNX
      HXIWCVPVBXIWMBXMVCXHXIWMWCVQVEVHVFWTWOXPWRXRWJWNWGVGWTWKXQWMWJWNWCVIVJVKV
      LVMVRVSVTWA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Group actions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c GrpAct $.
  $( Extend class definition to include the class of group actions. $)
  cga $a class GrpAct $.

  ${
    $d b g m s x y z G $.  $d b g m s y z X $.  $d b g m s x y z Y $.
    $d b g m s .+ $.  $d m x y z .(+) $.  $d b g m s .0. $.
    $( Define the class of all group actions.  A group ` G ` acts on a set
       ` S ` if a permutation on ` S ` is associated with every element of
       ` G ` in such a way that the identity permutation on ` S ` is associated
       with the neutral element of ` G ` , and the composition of the
       permutations associated with two elements of ` G ` is identical with the
       permutation associated with the composition of these two elements (in
       the same order) in the group ` G ` .  (Contributed by Jeff Hankins,
       10-Aug-2009.) $)
    df-ga $a |- GrpAct = ( g e. Grp , s e. _V |-> [_ ( Base ` g ) / b ]_
      { m e. ( s ^m ( b X. s ) ) | A. x e. s ( ( ( 0g ` g ) m x ) = x /\
    A. y e. b A. z e. b ( ( y ( +g ` g ) z ) m x ) = ( y m ( z m x ) ) ) } ) $.

    isga.1 $e |- X = ( Base ` G ) $.
    isga.2 $e |- .+ = ( +g ` G ) $.
    isga.3 $e |- .0. = ( 0g ` G ) $.
    $( The predicate "is a (left) group action".  The group ` G ` is said to
       act on the base set ` Y ` of the action, which is not assumed to have
       any special properties.  There is a related notion of right group
       action, but as the Wikipedia article explains, it is not mathematically
       interesting.  The way actions are usually thought of is that each
       element ` g ` of ` G ` is a permutation of the elements of ` Y ` (see
       ~ gapm ).  Since group theory was classically about symmetry groups, it
       is therefore likely that the notion of group action was useful even in
       early group theory.  (Contributed by Jeff Hankins, 10-Aug-2009.)
       (Revised by Mario Carneiro, 13-Jan-2015.) $)
    isga $p |- ( .(+) e. ( G GrpAct Y ) <-> ( ( G e. Grp /\ Y e. _V ) /\
                 ( .(+) : ( X X. Y ) --> Y /\ A. x e. Y ( ( .0. .(+) x ) = x /\
 A. y e. X A. z e. X ( ( y .+ z ) .(+) x ) = ( y .(+) ( z .(+) x ) ) ) ) ) ) $=
      ( vm co wcel cvv wa cv wceq wral vg vs vb cga cgrp cxp cbs cfv c0g cplusg
      wf cmap crab df-ga elmpocl fvexd simplr id simpl fveq2d eqtr4di sylan9eqr
      csb xpeq12d oveq12d simpll oveq1d eqeq1d oveqd raleqbidv rabeqbidv csbied
      anbi12d ovex rabex ovmpoa eleq2d oveq oveq2d eqtrd eqeq12d 2ralbidv elrab
      ralbidv bitrdi simpr fvexi xpexg sylancr elmapd anbi1d bitrd biadanii ) E
      FHUDNZOZFUEOZHPOZQZGHUFZHEUKZIARZENZXASZBRZCRZDNZXAENZXDXEXAENZENZSZCGTBG
      TZQZAHTZQZUAUBUEPUCUARZUGUHZXOUIUHZXAMRZNZXASZXDXEXOUJUHZNZXAXRNZXDXEXAXR
      NZXRNZSZCUCRZTZBYGTZQZAUBRZTZMYKYGYKUFZULNZUMZVCZFHUDEABCUAMUBUCUNZUOWRWO
      EHWSULNZOZXMQZXNWRWOEIXAXRNZXASZXFXAXRNZYESZCGTZBGTZQZAHTZMYRUMZOYTWRWNUU
      IEUAUBFHUEPYPUUIUDXOFSZYKHSZQZUCXPYOUUIPUULXOUGUPUULYGXPSZQZYLUUHMYNYRUUN
      YKHYMWSULUUJUUKUUMUQZUUNYGGYKHUUMUULYGXPGUUMURUULXPFUGUHGUULXOFUGUUJUUKUS
      UTJVAVBZUUOVDVEUUNYJUUGAYKHUUOUUNXTUUBYIUUFUUNXSUUAXAUUNXQIXAXRUUNXQFUIUH
      IUUNXOFUIUUJUUKUUMVFZUTLVAVGVHUUNYHUUEBYGGUUPUUNYFUUDCYGGUUPUUNYCUUCYEUUN
      YBXFXAXRUUNYADXDXEUUNYAFUJUHDUUNXOFUJUUQUTKVAVIVGVHVJVJVMVJVKVLYQUUHMYRHW
      SULVNVOVPVQUUHXMMEYRXRESZUUGXLAHUURUUBXCUUFXKUURUUAXBXAIXAXREVRVHUURUUDXJ
      BCGGUURUUCXGYEXIXFXAXREVRUURYEXDYDENXIXDYDXREVRUURYDXHXDEXEXAXREVRVSVTWAW
      BVMWDWCWEWRYSWTXMWRHWSEPPWPWQWFZWRGPOWQWSPOGFUGJWGUUSGHPPWHWIWJWKWLWM $.
  $}

  ${
    $d x y z G $.  $d x y z .(+) $.  $d x y z Y $.
    $( The left argument of a group action is a group.  (Contributed by Jeff
       Hankins, 11-Aug-2009.)  (Revised by Mario Carneiro, 30-Apr-2015.) $)
    gagrp $p |- ( .(+) e. ( G GrpAct Y ) -> G e. Grp ) $=
      ( vx vy vz cga co wcel cgrp cvv wa cbs cfv cxp wf cv wceq wral eqid isga
      c0g cplusg simplbi simpld ) ABCGHIZBJIZCKIZUFUGUHLBMNZCOCAPBUBNZDQZAHUKRE
      QZFQZBUCNZHUKAHULUMUKAHAHRFUISEUISLDCSLDEFUNABUICUJUITUNTUJTUAUDUE $.

    $( The right argument of a group action is a set.  (Contributed by Mario
       Carneiro, 30-Apr-2015.) $)
    gaset $p |- ( .(+) e. ( G GrpAct Y ) -> Y e. _V ) $=
      ( vx vy vz cga co wcel cgrp cvv wa cbs cfv cxp wf cv wceq wral eqid isga
      c0g cplusg simplbi simprd ) ABCGHIZBJIZCKIZUFUGUHLBMNZCOCAPBUBNZDQZAHUKRE
      QZFQZBUCNZHUKAHULUMUKAHAHRFUISEUISLDCSLDEFUNABUICUJUITUNTUJTUAUDUE $.
  $}

  ${
    $d x A $.  $d x y z G $.  $d x y z .(+) $.  $d x .0. $.  $d x y z Y $.
    gagrpid.1 $e |- .0. = ( 0g ` G ) $.
    $( The identity of the group does not alter the base set.  (Contributed by
       Jeff Hankins, 11-Aug-2009.)  (Revised by Mario Carneiro,
       13-Jan-2015.) $)
    gagrpid $p |- ( ( .(+) e. ( G GrpAct Y ) /\ A e. Y ) ->
      ( .0. .(+) A ) = A ) $=
      ( vx vy vz cga co wcel cv wceq wral cbs cfv cxp wa eqid wf cplusg simprbi
      cgrp cvv isga simpl ralimi simpl2im oveq2 id eqeq12d rspccva sylan ) BCDJ
      KLZEGMZBKZUPNZGDOZADLEABKZANZUOCPQZDRDBUAZURHMZIMZCUBQZKUPBKVDVEUPBKBKNIV
      BOHVBOZSZGDOZUSUOCUDLDUELSVCVISGHIVFBCVBDEVBTVFTFUFUCVHURGDURVGUGUHUIURVA
      GADUPANZUQUTUPAUPAEBUJVJUKULUMUN $.
  $}

  ${
    $d x y z G $.  $d x y z .(+) $.  $d x y z X $.  $d x y z Y $.
    gaf.1 $e |- X = ( Base ` G ) $.
    $( The mapping of the group action operation.  (Contributed by Jeff
       Hankins, 11-Aug-2009.)  (Revised by Mario Carneiro, 13-Jan-2015.) $)
    gaf $p |- ( .(+) e. ( G GrpAct Y ) -> .(+) : ( X X. Y ) --> Y ) $=
      ( vx vy vz cga co wcel cxp wf c0g cfv cv wceq wral wa eqid cplusg simprbi
      cgrp cvv isga simpld ) ABDIJKZCDLDAMZBNOZFPZAJUJQGPZHPZBUAOZJUJAJUKULUJAJ
      AJQHCRGCRSFDRZUGBUCKDUDKSUHUNSFGHUMABCDUIEUMTUITUEUBUF $.

    $( A group action is onto its base set.  (Contributed by Jeff Hankins,
       10-Aug-2009.)  (Revised by Mario Carneiro, 13-Jan-2015.) $)
    gafo $p |- ( .(+) e. ( G GrpAct Y ) -> .(+) : ( X X. Y ) -onto-> Y ) $=
      ( vx vy vz cga co wcel cxp wf cv wceq wrex wral wfo gaf wa c0g cgrp gagrp
      cfv adantr eqid grpidcl syl gagrpid eqcomd rspceov syl3anc ralrimiva foov
      simpr sylanbrc ) ABDIJKZCDLZDAMFNZGNHNAJOHDPGCPZFDQURDARABCDESUQUTFDUQUSD
      KZTZBUAUDZCKZVAUSVCUSAJZOUTVBBUBKZVDUQVFVAABDUCUECBVCEVCUFZUGUHUQVAUOVBVE
      USUSABDVCVGUIUJGHCDVCUSUSAUKULUMGHFCDDAUNUP $.
  $}

  ${
    $d x y z .+ $.  $d x y z .(+) $.  $d y z A $.  $d x y z C $.  $d x y z G $.
    $d z B $.  $d x y z X $.  $d x y z Y $.
    gaass.1 $e |- X = ( Base ` G ) $.
    gaass.2 $e |- .+ = ( +g ` G ) $.
    $( An "associative" property for group actions.  (Contributed by Jeff
       Hankins, 11-Aug-2009.)  (Revised by Mario Carneiro, 13-Jan-2015.) $)
    gaass $p |- ( ( .(+) e. ( G GrpAct Y ) /\ ( A e. X /\ B e. X /\ C e. Y ) )
      -> ( ( A .+ B ) .(+) C ) = ( A .(+) ( B .(+) C ) ) ) $=
      ( vy vz vx wcel co wceq cv wral wa oveq2 w3a cga wi cxp c0g cfv cgrp eqid
      cvv isga simprbi simpr ralimi simpl2im oveq2d eqeq12d oveq1 oveq1d rspc3v
      wf syl5 3coml impcom ) AGNZBGNZCHNZUAEFHUBONZABDOZCEOZABCEOZEOZPZVFVDVEVG
      VLUCVGKQZLQZDOZMQZEOZVMVNVPEOZEOZPZLGRKGRZMHRZVFVDVEUAVLVGGHUDHEUTZFUEUFZ
      VPEOVPPZWASZMHRZWBVGFUGNHUINSWCWGSMKLDEFGHWDIJWDUHUJUKWFWAMHWEWAULUMUNVTV
      LVOCEOZVMVNCEOZEOZPAVNDOZCEOZAWIEOZPMKLCABHGGVPCPZVQWHVSWJVPCVOETWNVRWIVM
      EVPCVNETUOUPVMAPZWHWLWJWMWOVOWKCEVMAVNDUQURVMAWIEUQUPVNBPZWLVIWMVKWPWKVHC
      EVNBADTURWPWIVJAEVNBCEUQUOUPUSVAVBVC $.
  $}

  ${
    $d x y z G $.
    $( The action of a group on the empty set.  (Contributed by Jeff Hankins,
       11-Aug-2009.)  (Revised by Mario Carneiro, 13-Jan-2015.) $)
    ga0 $p |- ( G e. Grp -> (/) e. ( G GrpAct (/) ) ) $=
      ( vx vy vz cgrp wcel c0 cvv wa cbs cfv cxp wf cv co wceq cplusg wral eqid
      c0g cga 0ex jctr f0 xp0 feq2i mpbir ral0 pm3.2i isga sylanblrc ) AEFZULGH
      FZIAJKZGLZGGMZATKZBNZGOURPCNZDNZAQKZOURGOUSUTURGOGOPDUNRCUNRIZBGRZIGAGUAO
      FULUMUBUCUPVCUPGGGMGUDUOGGGUNUEUFUGVBBUHUIBCDVAGAUNGUQUNSVASUQSUJUK $.
  $}

  ${
    $d x y z G $.  $d x y z S $.  $d x y z V $.  $d x y z X $.
    gaid.1 $e |- X = ( Base ` G ) $.
    $( The trivial action of a group on any set.  Each group element
       corresponds to the identity permutation.  (Contributed by Jeff Hankins,
       11-Aug-2009.)  (Proof shortened by Mario Carneiro, 13-Jan-2015.) $)
    gaid $p |- ( ( G e. Grp /\ S e. V ) ->
      ( 2nd |` ( X X. S ) ) e. ( G GrpAct S ) ) $=
      ( vx vy vz wcel wa c2nd cfv co wceq ovres cop df-ov op2nd eqtri eqtrdi wf
      cgrp cvv cxp cres c0g cv cplusg wral elex anim2i eqid grpidcl adantr fvex
      cga vex sylan simprl simplr syl2anc simprr oveq2d grpcl ad4ant14 3eqtr4rd
      3expb ovex ralrimivva jca ralrimiva f2ndres jctil isga sylanbrc ) BUBIZAC
      IZJZVPAUCIZJDAUDZAKVTUEZUAZBUFLZFUGZWAMZWDNZGUGZHUGZBUHLZMZWDWAMZWGWHWDWA
      MZWAMZNZHDUIGDUIZJZFAUIZJWABAUPMIVQVSVPACUJUKVRWQWBVRWPFAVRWDAIZJZWFWOVRW
      CDIZWRWFVPWTVQDBWCEWCULZUMUNWTWRJWEWCWDKMZWDWCWDDAKOXBWCWDPKLWDWCWDKQWCWD
      BUFUOFUQZRSTURWSWNGHDDWSWGDIZWHDIZJZJZWGWDWAMZWDWMWKXGXDWRXHWDNWSXDXEUSVR
      WRXFUTZXDWRJXHWGWDKMZWDWGWDDAKOXJWGWDPKLWDWGWDKQWGWDGUQXCRSTVAXGWLWDWGWAX
      GXEWRWLWDNWSXDXEVBXIXEWRJWLWHWDKMZWDWHWDDAKOXKWHWDPKLWDWHWDKQWHWDHUQXCRST
      VAVCXGWJDIZWRWKWDNVPXFXLVQWRVPXDXEXLDWIBWGWHEWIULZVDVGVEXIXLWRJWKWJWDKMZW
      DWJWDDAKOXNWJWDPKLWDWJWDKQWJWDWGWHWIVHXCRSTVAVFVIVJVKDAVLVMFGHWIWABDAWCEX
      MXAVNVO $.
  $}

  ${
    $d u v w F $.  $d u v w x y G $.  $d u v w x y X $.  $d u v w x y Y $.
    $d u v w H $.  $d x y .+ $.
    subgga.1 $e |- X = ( Base ` G ) $.
    subgga.2 $e |- .+ = ( +g ` G ) $.
    subgga.3 $e |- H = ( G |`s Y ) $.
    subgga.4 $e |- F = ( x e. Y , y e. X |-> ( x .+ y ) ) $.
    $( A subgroup acts on its parent group.  (Contributed by Jeff Hankins,
       13-Aug-2009.)  (Proof shortened by Mario Carneiro, 13-Jan-2015.) $)
    subgga $p |- ( Y e. ( SubGrp ` G ) -> F e. ( H GrpAct X ) ) $=
      ( vv vw cfv wcel wa co wceq wral vu csubg cgrp cvv cbs cxp c0g cplusg cga
      wf subggrp fvexi jctir subgrcl adantr subgss sselda adantrr grpcl syl3anc
      cv simprr ralrimivva fmpo sylib subgbas xpeq1d feq2d mpbid subg0cl oveq12
      eqid ovex ovmpoa sylan subg0 oveq1d grplid 3eqtr3d ad2antrr simprl sseldd
      simplr grpass syl13anc syl2anc eqtr4d subgcl 3expb adantlr oveq2d 3eqtr4d
      wss ressplusg oveqd eqeq1d raleqbidv biimpa syldan jca ralrimiva sylanbrc
      isga ) HEUBOZPZFUCPZGUDPZQFUEOZGUFZGDUJZFUGOZUAVAZDRZXLSZMVAZNVAZFUHOZRZX
      LDRZXOXPXLDRZDRZSZNXHTZMXHTZQZUAGTZQDFGUIRPXEXFXGHEFKUKGEUEIULUMXEXJYFXEH
      GUFZGDUJZXJXEAVAZBVAZCRZGPZBGTAHTYHXEYLABHGXEYIHPZYJGPZQZQEUCPZYIGPZYNYLX
      EYPYOHEUNZUOXEYMYQYNXEHGYIGHEIUPZUQURXEYMYNVBGCEYIYJIJUSUTVCABHGYKGDLVDVE
      XEYGXIGDXEHXHGHEFKVFZVGVHVIXEYEUAGXEXLGPZQZXNYDUUBEUGOZXLDRZUUCXLCRZXMXLX
      EUUCHPUUAUUDUUESHEUUCUUCVLZVJABUUCXLHGYKUUEDYIUUCYJXLCVKLUUCXLCVMVNVOXEUU
      DXMSUUAXEUUCXKXLDHEFUUCKUUFVPVQUOXEYPUUAUUEXLSYRGCEXLUUCIJUUFVRVOVSXEUUAX
      OXPCRZXLDRZYASZNHTZMHTZYDUUBUUIMNHHUUBXOHPZXPHPZQZQZUUGXLCRZXOXPXLCRZDRZU
      UHYAUUOUUPXOUUQCRZUURUUOYPXOGPXPGPZUUAUUPUUSSXEYPUUAUUNYRVTZUUOHGXOXEHGWM
      UUAUUNYSVTZUUBUULUUMWAZWBUUOHGXPUVBUUBUULUUMVBZWBZXEUUAUUNWCZGCEXOXPXLIJW
      DWEUUOUULUUQGPZUURUUSSUVCUUOYPUUTUUAUVGUVAUVEUVFGCEXPXLIJUSUTABXOUUQHGYKU
      USDYIXOYJUUQCVKLXOUUQCVMVNWFWGUUOUUGHPZUUAUUHUUPSXEUUNUVHUUAXEUULUUMUVHCH
      EXOXPJWHWIWJUVFABUUGXLHGYKUUPDYIUUGYJXLCVKLUUGXLCVMVNWFUUOXTUUQXODUUOUUMU
      UAXTUUQSUVDUVFABXPXLHGYKUUQDYIXPYJXLCVKLXPXLCVMVNWFWKWLVCXEUUKYDXEUUJYCMH
      XHYTXEUUIYBNHXHYTXEUUHXSYAXEUUGXRXLDXECXQXOXPHCEFXDKJWNWOVQWPWQWQWRWSWTXA
      WTUAMNXQDFXHGXKXHVLXQVLXKVLXCXB $.
  $}

  ${
    $d u v x y z G $.  $d u v x y z X $.  $d u v x y z Y $.  $d u v x y z Z $.
    $d u v x y z .(+) $.
    gass.1 $e |- X = ( Base ` G ) $.
    $( A subset of a group action is a group action iff it is closed under the
       group action operation.  (Contributed by Mario Carneiro,
       17-Jan-2015.) $)
    gass $p |- ( ( .(+) e. ( G GrpAct Y ) /\ Z C_ Y ) ->
      ( ( .(+) |` ( X X. Z ) ) e. ( G GrpAct Z ) <->
        A. x e. X A. y e. Z ( x .(+) y ) e. Z ) ) $=
      ( vz vu vv co wcel wa cv wral wceq ovres ad2antrr syl2anc cga cres adantl
      wss cxp wf gaf fovrnda eqeltrrd ralrimivva cvv c0g cfv cplusg gagrp gaset
      cgrp adantr simpr ssexd jca wfn ffnd simplr xpss2 fnssres eleq1d ralbidva
      ralbiia sylibr ffnov sylanbrc eqid grpidcl simpll sselda gagrpid syl2an2r
      sylan eqtrd simprl simprr gaass syl13anc simpllr ovrspc2v syl21anc eqtr4d
      syl grpcl syl3anc oveq2d 3eqtr4d ralrimiva isga impbida ) CDFUALMZGFUDZNZ
      CEGUEZUBZDGUALMZAOZBOZCLZGMZBGPZAEPZWSXBNZXFABEGXIXCEMZXDGMNZNXCXDXALZXEG
      XKXLXEQXIXCXDEGCRZUCXIXCXDGEGXAXBWTGXAUFZWSXADEGHUGUCUHUIUJWSXHNZDUQMZGUK
      MZNXNDULUMZIOZXALZXSQZJOZKOZDUNUMZLZXSXALZYBYCXSXALZXALZQZKEPJEPZNZIGPZNX
      BXOXPXQWQXPWRXHCDFUOSZWSXQXHWSGFUKWQFUKMWRCDFUPURWQWRUSUTURVAXOXNYLXOXAWT
      VBZXLGMZBGPZAEPZXNXOCEFUEZVBWTYRUDZYNXOYRFCWQYRFCUFWRXHCDEFHUGSVCXOWRYSWQ
      WRXHVDZGFEVEWIYRWTCVFTXOXHYQWSXHUSYPXGAEXJYOXFBGXKXLXEGXMVGVHVIVJABEGGXAV
      KVLXOYKIGXOXSGMZNZYAYJUUBXTXRXSCLZXSXOXREMZUUAXTUUCQXOXPUUDYMEDXRHXRVMZVN
      WIXRXSEGCRVSXOWQUUAXSFMZUUCXSQWQWRXHVOZXOGFXSYTVPZXSCDFXRUUEVQVRVTUUBYIJK
      EEUUBYBEMZYCEMZNZNZYEXSCLZYBYCXSCLZXALZYFYHUULUUMYBUUNCLZUUOUULWQUUIUUJUU
      FUUMUUPQXOWQUUAUUKUUGSUUBUUIUUJWAZUUBUUIUUJWBZUUBUUFUUKUUHURYBYCXSYDCDEFH
      YDVMZWCWDUULUUIUUNGMZUUOUUPQUUQUULUUJUUAXHUUTUURXOUUAUUKVDZWSXHUUAUUKWEAB
      EGGCYCXSWFWGYBUUNEGCRTWHUULYEEMZUUAYFUUMQUULXPUUIUUJUVBXOXPUUAUUKYMSUUQUU
      REYDDYBYCHUUSWJWKUVAYEXSEGCRTUULYGUUNYBXAUULUUJUUAYGUUNQUURUVAYCXSEGCRTWL
      WMUJVAWNVAIJKYDXADEGXRHUUSUUEWOVLWP $.
  $}

  ${
    $d x y z G $.  $d x y z H $.  $d x y z S $.  $d x y z Y $.
    $d x y z .(+) $.
    gasubg.1 $e |- H = ( G |`s S ) $.
    $( The restriction of a group action to a subgroup is a group action.
       (Contributed by Mario Carneiro, 17-Jan-2015.) $)
    gasubg $p |- ( ( .(+) e. ( G GrpAct Y ) /\ S e. ( SubGrp ` G ) ) ->
      ( .(+) |` ( S X. Y ) ) e. ( H GrpAct Y ) ) $=
      ( vx vy vz co wcel cfv wa cxp wceq eqid adantr syl ovres syl2anc cga cgrp
      csubg cvv cbs cres wf c0g cv cplusg wral gaset subggrp anim12ci gaf simpr
      wss subgss xpss1 fssresd subgbas xpeq1d feq2d mpbid subg0cl subg0 gagrpid
      oveq1d adantlr 3eqtr3d sselda simprl ad2antrr simprr sseldd fovrnd oveq2d
      eqimss2 anim12dan ad3antlr simplll gaass syl13anc 3eqtr4d 3expb ressplusg
      subgcl sylan oveqd 3eqtr2rd syldan ralrimivva jca ralrimiva isga sylanbrc
      ) ACEUAJKZBCUCLZKZMZDUBKZEUDKZMDUELZENZEABENZUFZUGZDUHLZGUIZXFJZXIOZHUIZI
      UIZDUJLZJZXIXFJZXLXMXIXFJZXFJZOZIXCUKHXCUKZMZGEUKZMXFDEUAJKWQXBWSXAACEULB
      CDFUMUNWTXGYBWTXEEXFUGXGWTCUELZENZEXEAWQYDEAUGZWSACYCEYCPZUOQZWTBYCUQZXEY
      DUQWTWSYHWQWSUPZYCBCYFURZRBYCEUSRUTWTXEXDEXFWTBXCEWTWSBXCOZYIBCDFVARZVBVC
      VDWTYAGEWTXIEKZMZXKXTYNCUHLZXIXFJZYOXIAJZXJXIYNYOBKZYMYPYQOYNWSYRWTWSYMYI
      QZBCYOYOPZVERWTYMUPZYOXIBEASTYNYOXHXIXFYNWSYOXHOYSBCDYOFYTVFRVHWQYMYQXIOW
      SXIACEYOYTVGVIVJYNXSHIXCXCYNXLXCKZXMXCKZMXLBKZXMBKZMZXSYNUUBUUDUUCUUEYNXC
      BXLWTXCBUQZYMWTYKUUGYLXCBVRRQZVKYNXCBXMUUHVKVSYNUUFMZXRXLXMCUJLZJZXIAJZUU
      KXIXFJZXPUUIXLXMXIAJZXFJZXLUUNAJZXRUULUUIUUDUUNEKUUOUUPOYNUUDUUEVLZUUIXMX
      IEYCEAWTYEYMUUFYGVMUUIBYCXMWSYHWQYMUUFYJVTZYNUUDUUEVNZVOZYNYMUUFUUAQZVPXL
      UUNBEASTUUIXQUUNXLXFUUIUUEYMXQUUNOUUSUVAXMXIBEASTVQUUIWQXLYCKXMYCKYMUULUU
      POWQWSYMUUFWAUUIBYCXLUURUUQVOUUTUVAXLXMXIUUJACYCEYFUUJPZWBWCWDUUIUUKBKZYM
      UUMUULOYNWSUUFUVCYSWSUUDUUEUVCUUJBCXLXMUVBWGWEWHUVAUUKXIBEASTUUIUUKXOXIXF
      UUIUUJXNXLXMWSUUJXNOWQYMUUFBUUJCDWRFUVBWFVTWIVHWJWKWLWMWNWMGHIXNXFDXCEXHX
      CPXNPXHPWOWP $.
  $}

  ${
    $d x y G $.  $d x y .+ $.  $d x y X $.
    gaid2.1 $e |- X = ( Base ` G ) $.
    gaid2.2 $e |- .+ = ( +g ` G ) $.
    gaid2.3 $e |- F = ( x e. X , y e. X |-> ( x .+ y ) ) $.
    $( A group operation is a left group action of the group on itself.
       (Contributed by FL, 17-May-2010.)  (Revised by Mario Carneiro,
       13-Jan-2015.) $)
    gaid2 $p |- ( G e. Grp -> F e. ( G GrpAct X ) ) $=
      ( cgrp wcel cress co cga csubg cfv subgid eqid subgga syl ressid eleqtrd
      oveq1d ) EJKZDEFLMZFNMZEFNMUDFEOPKDUFKFEGQABCDEUEFFGHUERISTUDUEEFNFEJGUAU
      CUB $.
  $}

  ${
    galcan.1 $e |- X = ( Base ` G ) $.
    $( The action of a particular group element is left-cancelable.
       (Contributed by FL, 17-May-2010.)  (Revised by Mario Carneiro,
       13-Jan-2015.) $)
    galcan $p |- ( ( .(+) e. ( G GrpAct Y ) /\
        ( A e. X /\ B e. Y /\ C e. Y ) ) ->
      ( ( A .(+) B ) = ( A .(+) C ) <-> B = C ) ) $=
      ( wcel wceq cfv oveq2 eqid syl2anc oveq1d gaass syl13anc gagrpid 3eqtr3d
      co cga w3a wa cminusg cplusg c0g cgrp simpl gagrp simpr1 grplinv grpinvcl
      syl simpr2 simpr3 eqeq12d syl5ib impbid1 ) DEGUATIZAFIZBGIZCGIZUBZUCZABDT
      ZACDTZJZBCJZVGAEUDKZKZVEDTZVJVFDTZJVDVHVEVFVJDLVDVKBVLCVDVJAEUEKZTZBDTZEU
      FKZBDTZVKBVDVNVPBDVDEUGIZUTVNVPJVDUSVRUSVCUHZDEGUIUMZUSUTVAVBUJZFVMEVIAVP
      HVMMZVPMZVIMZUKNZOVDUSVJFIZUTVAVOVKJVSVDVRUTWFVTWAFEVIAHWDULNZWAUSUTVAVBU
      NZVJABVMDEFGHWBPQVDUSVAVQBJVSWHBDEGVPWCRNSVDVNCDTZVPCDTZVLCVDVNVPCDWEOVDU
      SWFUTVBWIVLJVSWGWAUSUTVAVBUOZVJACVMDEFGHWBPQVDUSVBWJCJVSWKCDEGVPWCRNSUPUQ
      BCADLUR $.

    gacan.2 $e |- N = ( invg ` G ) $.
    $( Group inverses cancel in a group action.  (Contributed by Jeff Hankins,
       11-Aug-2009.)  (Revised by Mario Carneiro, 13-Jan-2015.) $)
    gacan $p |- ( ( .(+) e. ( G GrpAct Y ) /\ ( A e. X /\ B e. Y /\ C e. Y ) )
      -> ( ( A .(+) B ) = C <-> ( ( N ` A ) .(+) C ) = B ) ) $=
      ( cga co wcel w3a wceq cfv adantr eqid syl2anc syl13anc cplusg cgrp gagrp
      wa c0g simpr1 grprinv oveq1d simpl grpinvcl simpr3 gagrpid 3eqtr3d eqeq2d
      gaass wb simpr2 cxp wf gaf fovrnd galcan bitr3d eqcom bitrdi ) DEHKLMZAGM
      ZBHMZCHMZNZUDZABDLZCOZBAFPZCDLZOZVOBOVKVLAVODLZOZVMVPVKVQCVLVKAVNEUAPZLZC
      DLZEUEPZCDLZVQCVKVTWBCDVKEUBMZVGVTWBOVFWDVJDEHUCQZVFVGVHVIUFZGVSEFAWBIVSR
      ZWBRZJUGSUHVKVFVGVNGMZVIWAVQOVFVJUIZWFVKWDVGWIWEWFGEFAIJUJSZVFVGVHVIUKZAV
      NCVSDEGHIWGUOTVKVFVIWCCOWJWLCDEHWBWHULSUMUNVKVFVGVHVOHMVRVPUPWJWFVFVGVHVI
      UQVKVNCHGHDVFGHURHDUSVJDEGHIUTQWKWLVAABVODEGHIVBTVCBVOVDVE $.
  $}

  ${
    $d x y A $.  $d x y G $.  $d x y .(+) $.  $d x y X $.  $d x y Y $.
    gapm.1 $e |- X = ( Base ` G ) $.
    gapm.2 $e |- F = ( x e. Y |-> ( A .(+) x ) ) $.
    $( The action of a particular group element is a permutation of the base
       set.  (Contributed by Jeff Hankins, 11-Aug-2009.)  (Proof shortened by
       Mario Carneiro, 13-Jan-2015.) $)
    gapm $p |- ( ( .(+) e. ( G GrpAct Y ) /\ A e. X ) ->
      F : Y -1-1-onto-> Y ) $=
      ( vy co wcel wa cv cfv ad2antrr simplr simpr fovrnd wceq cga cminusg cgrp
      cxp wf gagrp eqid grpinvcl syl2anc wb simpll simprl simprr gacan syl13anc
      gaf bicomd eqcom 3bitr4g f1o2d ) CEGUAKLZBFLZMZAJGGBANZCKZBEUBOZOZJNZCKZD
      IVCVDGLZMBVDGFGCVAFGUDGCUEZVBVJCEFGHUPZPVAVBVJQVCVJRSVCVHGLZMZVGVHGFGCVAV
      KVBVMVLPVNEUCLZVBVGFLVAVOVBVMCEGUFPVAVBVMQFEVFBHVFUGZUHUIVCVMRSVCVJVMMZMZ
      VIVDTZVEVHTZVDVITVHVETVRVTVSVRVAVBVJVMVTVSUJVAVBVQUKVAVBVQQVCVJVMULVCVJVM
      UMBVDVHCEVFFGHVPUNUOUQVDVIURVHVEURUSUT $.
  $}

  ${
    $d g h x y A $.  $d g h x y B $.  $d f h k u v w G $.  $d f h k u v w .~ $.
    $d f g h k u v w x y .(+) $.  $d f g h k x y X $.  $d f h k u v w x y Y $.
    gaorb.1 $e |- .~ = { <. x , y >. |
      ( { x , y } C_ Y /\ E. g e. X ( g .(+) x ) = y ) } $.
    $( The orbit equivalence relation puts two points in the group action in
       the same equivalence class iff there is a group element that takes one
       element to the other.  (Contributed by Mario Carneiro, 14-Jan-2015.) $)
    gaorb $p |- ( A .~ B <->
      ( A e. Y /\ B e. Y /\ E. h e. X ( h .(+) A ) = B ) ) $=
      ( wbr wcel wa cv co wceq wrex copab vex w3a wb oveq2 eqeq12 sylan rexbidv
      oveq1 eqeq1d cbvrexvw bitrdi cpr prss anbi1i opabbii eqtr4i brab2a df-3an
      wss bitr4i ) CDFLCJMZDJMZNHOZCEPZDQZHIRZNUTVAVEUAGOZAOZEPZBOZQZGIRZVEABCD
      JJFVGCQZVIDQZNZVKVFCEPZDQZGIRVEVNVJVPGIVLVHVOQVMVJVPUBVGCVFEUCVHVOVIDUDUE
      UFVPVDGHIVFVBQVOVCDVFVBCEUGUHUIUJFVGVIUKJURZVKNZABSVGJMVIJMNZVKNZABSKVTVR
      ABVSVQVKVGVIJATBTULUMUNUOUPUTVAVEUQUS $.

    gaorber.2 $e |- X = ( Base ` G ) $.
    $( The orbit equivalence relation is an equivalence relation on the target
       set of the group action.  (Contributed by NM, 11-Aug-2009.)  (Revised by
       Mario Carneiro, 13-Jan-2015.) $)
    gaorber $p |- ( .(+) e. ( G GrpAct Y ) -> .~ Er Y ) $=
      ( vk vh co wcel cv wceq wrex wa wbr gaorb vu vv vw cga wrel cpr relopabiv
      vf wss a1i w3a simpr sylib simp2d simp1d simp3d cminusg cfv simpll adantr
      wb eqid gacan syl13anc wi gagrp grpinvcl sylan oveq1 eqeq1d rspcev ex syl
      cgrp sylbid rexlimdva mpd syl3anbrc adantrr simprr reeanv cplusg ad2antrr
      simprlr simprll grpcl syl3anc gaass simprrl oveq2d simprrr 3eqtrd syl2anc
      expr rexlimdvva syl5bir mp2and c0g grpidcl gagrpid pm4.71rd anidm anbi2ci
      df-3an bitri bitr4di iserd ) CFHUDMNZUAUBUCHDDUEXHAOZBOZUFHUIEOXICMXJPEGQ
      RABDIUGUJXHUAOZUBOZDSZRZXLHNZXKHNZKOZXLCMZXKPZKGQZXLXKDSXNXPXOLOZXKCMZXLP
      ZLGQZXNXMXPXOYDUKXHXMULABXKXLCDELGHITUMZUNZXNXPXOYDYEUOZXNYDXTXNXPXOYDYEU
      PZXNYCXTLGXNYAGNZRZYCYAFUQURZURZXLCMZXKPZXTYJXHYIXPXOYCYNVAXHXMYIUSXNYIUL
      XNXPYIYGUTXNXOYIYFUTYAXKXLCFYKGHJYKVBZVCVDYJYLGNZYNXTVEXNFVNNZYIYPXHYQXMC
      FHVFZUTGFYKYAJYOVGVHYPYNXTXSYNKYLGXQYLPXRYMXKXQYLXLCVIVJVKVLVMVOVPVQABXLX
      KCDEKGHITVRXHXMXLUCOZDSZRZRZXPYSHNZUHOZXKCMZYSPZUHGQZXKYSDSXHXMXPYTYGVSZU
      UBXOUUCXRYSPZKGQZUUBYTXOUUCUUJUKXHXMYTVTABXLYSCDEKGHITUMZUNUUBYDUUJUUGXHX
      MYDYTYHVSUUBXOUUCUUJUUKUPYDUUJRYCUUIRZKGQLGQUUBUUGYCUUILKGGWAUUBUULUUGLKG
      GUUBYIXQGNZRZUULUUGUUBUUNUULRZRZXQYAFWBURZMZGNZUURXKCMZYSPZUUGUUPYQUUMYIU
      USXHYQUUAUUOYRWCUUBYIUUMUULWDZUUBYIUUMUULWEZGUUQFXQYAJUUQVBZWFWGUUPUUTXQY
      BCMZXRYSUUPXHUUMYIXPUUTUVEPXHUUAUUOUSUVBUVCUUBXPUUOUUHUTXQYAXKUUQCFGHJUVD
      WHVDUUPYBXLXQCUUBUUNYCUUIWIWJUUBUUNYCUUIWKWLUUFUVAUHUURGUUDUURPUUEUUTYSUU
      DUURXKCVIVJVKWMWNWOWPWQABXKYSCDEUHGHITVRXHXPXPXPYBXKPZLGQZUKZXKXKDSXHXPUV
      GXPRZUVHXHXPUVGXHXPUVGXHXPRZFWRURZGNZUVKXKCMZXKPZUVGUVJYQUVLXHYQXPYRUTGFU
      VKJUVKVBZWSVMXKCFHUVKUVOWTUVFUVNLUVKGYAUVKPYBUVMXKYAUVKXKCVIVJVKWMVLXAUVH
      XPXPRZUVGRUVIXPXPUVGXDUVPXPUVGXPXBXCXEXFABXKXKCDELGHITXFXG $.
  $}

  ${
    $d a b g h k w x y z .~ $.  $d a b g h k u w x y z .(+) $.  $d x y H $.
    $d a b g h k u w x y z A $.  $d a b g h k u w x y z G $.  $d g k u x B $.
    $d a b g h k u w x y z X $.  $d a b h w z F $.  $d a h k w z O $.
    $d a b g h k w x y z Y $.  $d u C $.
    gasta.1 $e |- X = ( Base ` G ) $.
    gasta.2 $e |- H = { u e. X | ( u .(+) A ) = A } $.
    $( The stabilizer subgroup in a group action.  (Contributed by Mario
       Carneiro, 15-Jan-2015.) $)
    gastacl $p |- ( ( .(+) e. ( G GrpAct Y ) /\ A e. Y ) ->
      H e. ( SubGrp ` G ) ) $=
      ( vx vy co wcel wa cfv wceq syl oveq1 eqeq1d elrab2 cga wss c0 wne cplusg
      csubg wral cminusg ssrab3 a1i c0g cgrp gagrp adantr eqid grpidcl sylanbrc
      gagrpid ne0d simpll simpr sylib simpld adantrr simprr grpcl syl3anc gaass
      cv simplr syl13anc simprd oveq2d anassrs ralrimiva grpinvcl syl2anc gacan
      3eqtrd wb mpbid jca w3a issubg2 mpbir3and ) CDGUALMZBGMZNZEDUFOMZEFUBZEUC
      UDZJVIZKVIZDUEOZLZEMZKEUGZWLDUHOZOZEMZNZJEUGZWJWHAVIZBCLZBPZAFEIUIUJWHEDU
      KOZWHXFFMZXFBCLZBPZXFEMWHDULMZXGWFXJWGCDGUMZUNZFDXFHXFUOZUPQBCDGXFXMURXEX
      IAXFFEXCXFPXDXHBXCXFBCRSITUQUSWHXAJEWHWLEMZNZWQWTXOWPKEWHXNWMEMZWPWHXNXPN
      ZNZWOFMZWOBCLZBPZWPXRXJWLFMZWMFMZXSXRWFXJWFWGXQUTZXKQWHXNYBXPXOYBWLBCLZBP
      ZXOXNYBYFNWHXNVAXEYFAWLFEXCWLPXDYEBXCWLBCRSITVBZVCZVDZXRYCWMBCLZBPZXRXPYC
      YKNWHXNXPVEXEYKAWMFEXCWMPXDYJBXCWMBCRSITVBZVCZFWNDWLWMHWNUOZVFVGXRXTWLYJC
      LZYEBXRWFYBYCWGXTYOPYDYIYMWFWGXQVJWLWMBWNCDFGHYNVHVKXRYJBWLCXRYCYKYLVLVMW
      HXNYFXPXOYBYFYGVLZVDVSXEYAAWOFEXCWOPXDXTBXCWOBCRSITUQVNVOXOWSFMZWSBCLZBPZ
      WTXOXJYBYQXOWFXJWFWGXNUTZXKQYHFDWRWLHWRUOZVPVQXOYFYSYPXOWFYBWGWGYFYSVTYTY
      HWFWGXNVJZUUBWLBBCDWRFGHUUAVRVKWAXEYSAWSFEXCWSPXDYRBXCWSBCRSITUQWBVOWHXJW
      IWJWKXBWCVTXLJKFWNEDWRHYNUUAWDQWE $.

    orbsta.r $e |- .~ = ( G ~QG H ) $.
    $( Write the coset relation for the stabilizer subgroup.  (Contributed by
       Mario Carneiro, 15-Jan-2015.) $)
    gastacos $p |- ( ( ( .(+) e. ( G GrpAct Y ) /\ A e. Y ) /\
      ( B e. X /\ C e. X ) ) -> ( B .~ C <-> ( B .(+) A ) = ( C .(+) A ) ) ) $=
      ( co wcel wa cfv wceq wb syl cga wbr cminusg cplusg w3a wss csubg gastacl
      cgrp adantr subgrcl subgss eqid eqgval syl2anc df-3an bitrdi simpr simpll
      biantrurd simprl grpinvcl simprr simplr gaass syl13anc eqeq1d grpcl oveq1
      syl3anc cv elrab2 baib cxp wf gaf fovrnd gacan 3bitr4d 3bitr2d ) EGJUANOZ
      BJOZPZCIOZDIOZPZPZCDFUBZWFCGUCQZQZDGUDQZNZHOZPZWMCBENDBENZRZWGWHWDWEWMUEZ
      WNWGGUIOZHIUFZWHWQSWGHGUGQOZWRWCWTWFABEGHIJKLUHUJZHGUKTZWGWTWSXAIHGKULTCD
      WKFHGWIUIIKWIUMZWKUMZMUNUOWDWEWMUPUQWGWFWMWCWFURUTWGWLBENZBRZWJWOENZBRZWM
      WPWGXEXGBWGWAWJIOZWEWBXEXGRWAWBWFUSZWGWRWDXIXBWCWDWEVAZIGWICKXCVBUOZWCWDW
      EVCZWAWBWFVDZWJDBWKEGIJKXDVEVFVGWGWLIOZWMXFSWGWRXIWEXOXBXLXMIWKGWJDKXDVHV
      JWMXOXFAVKZBENZBRXFAWLIHXPWLRXQXEBXPWLBEVIVGLVLVMTWGWAWDWBWOJOWPXHSXJXKXN
      WGDBJIJEWGWAIJVNJEVOXJEGIJKVPTXMXNVQCBWOEGWIIJKXCVRVFVSVT $.

    orbsta.f $e |- F = ran ( k e. X |-> <. [ k ] .~ , ( k .(+) A ) >. ) $.
    $( Existence and uniqueness for the function of ~ orbsta .  (Contributed by
       Mario Carneiro, 15-Jan-2015.)  (Proof shortened by Mario Carneiro,
       23-Dec-2016.) $)
    orbstafun $p |- ( ( .(+) e. ( G GrpAct Y ) /\ A e. Y ) -> Fun F ) $=
      ( vh co wcel wa cvv cfv cga ovexd csubg wer gastacl eqger syl fvexi oveq1
      cv cbs a1i wbr wceq simpr cminusg cplusg w3a cgrp wss subgrcl subgss eqid
      eqgval syl2anc biimpa simp1d simp2d jca gastacos syldan mpbid qliftfund
      wb ) CGJUAPQBJQRZEOEUJZBCPZOUJZBCPZDFSISNVOVPIQZRVPBCUBVOHGUCTQZIDUDABCGH
      IJKLUEZDGIHKMUFUGISQVOIGUKKUHULVPVRBCUIVOVPVRDUMZRZWCVQVSUNZVOWCUOVOWCVTV
      RIQZRWCWEVNWDVTWFWDVTWFVPGUPTZTVRGUQTZPHQZVOWCVTWFWIURZVOWAWCWJVNZWBWAGUS
      QHIUTWKHGVAIHGKVBVPVRWHDHGWGUSIKWGVCWHVCMVDVEUGVFZVGWDVTWFWIWLVHVIABVPVRC
      DGHIJKLMVJVKVLVM $.

    $( Value of the function at a given equivalence class element.
       (Contributed by Mario Carneiro, 15-Jan-2015.)  (Proof shortened by Mario
       Carneiro, 23-Dec-2016.) $)
    orbstaval $p |- ( ( ( .(+) e. ( G GrpAct Y ) /\ A e. Y ) /\
      B e. X ) -> ( F ` [ B ] .~ ) = ( B .(+) A ) ) $=
      ( cga co wcel wa cvv cv ovexd csubg cfv wer gastacl eqger syl fvexi oveq1
      cbs a1i orbstafun qliftval ) DHKPQRBKRSZFFUAZBDQCBDQCEGTJTOUOUPJRSUPBDUBU
      OIHUCUDRJEUEABDHIJKLMUFEHJILNUGUHJTRUOJHUKLUIULUPCBDUJABDEFGHIJKLMNOUMUN
      $.

    orbsta.o $e |- O = { <. x , y >. |
      ( { x , y } C_ Y /\ E. g e. X ( g .(+) x ) = y ) } $.
    $( The Orbit-Stabilizer theorem.  The mapping ` F ` is a bijection from the
       cosets of the stabilizer subgroup of ` A ` to the orbit of ` A ` .
       (Contributed by Mario Carneiro, 15-Jan-2015.) $)
    orbsta $p |- ( ( .(+) e. ( G GrpAct Y ) /\ A e. Y ) ->
      F : ( X /. .~ ) -1-1-onto-> [ A ] O ) $=
      ( wceq va vb vh vz vw cga co wcel wa cqs cec wf1 wfo wf1o wf cv wral wfun
      cfv orbstafun cvv wbr wrex simpr adantr cxp gaf fovrnd eqid eqeq1d rspcev
      wi oveq1 sylancl gaorb syl3anbrc wb ovex elecg sylancr mpbird wer gastacl
      csubg eqger syl cbs fvexi a1i qliftf mpbid fveqeq2 imbi12d ralbidv eqeq2d
      eqeq1 fveq2 eqeq2 orbstaval adantrr adantrl eqeq12d gastacos erth 3bitr2d
      simprl biimpd anassrs ectocld ralrimiva sylanbrc w3a bitrdi biimpa simp3d
      dff13 vex cqg ecelqsi eqcomd rspceeqv syl2an2 rexbidv syl5ibcom rexlimdva
      ovexi imp syldan dffo3 df-f1o ) EJNUFUGUHZDNUHZUIZMFUJZDLUKZIULZYNYOIUMZY
      NYOIUNYMYNYOIUOZUAUPZIUSUBUPZIUSZTZYSYTTZVLZUBYNUQZUAYNUQYPYMIURYRCDEFHIJ
      KMNOPQRUTYMHHUPZDEUGZFIVAMYORYMUUFMUHZUIZUUGYOUHZDUUGLVBZUUIYLUUGNUHUCUPZ
      DEUGZUUGTZUCMVCZUUKYMYLUUHYKYLVDZVEZUUIUUFDNMNEYMMNVFNEUOZUUHYKUURYLEJMNO
      VGVEVEYMUUHVDZUUQVHUUIUUHUUGUUGTZUUOUUSUUGVIUUNUUTUCUUFMUULUUFTUUMUUGUUGU
      ULUUFDEVMVJVKVNABDUUGELGUCMNSVOVPUUIUUGVAUHYLUUJUUKVQUUFDEVRUUQUUGDLVANVS
      VTWAYMKJWDUSUHMFWBZCDEJKMNOPWCFJMKOQWEWFZMVAUHYMMJWGOWHWIWJWKZYMUUEUAYNUD
      UPZFUKZIUSZUUATZUVEYTTZVLZUBYNUQUUEYMUDYSMFYNYNVIZUVEYSTZUVIUUDUBYNUVKUVG
      UUBUVHUUCUVEYSUUAIWLUVEYSYTWPWMWNYMUVDMUHZUIZUVIUBYNUVFUEUPZFUKZIUSZTZUVE
      UVOTZVLZUVIUVMUEYTMFYNUVJUVOYTTZUVQUVGUVRUVHUVTUVPUUAUVFUVOYTIWQWOUVOYTUV
      EWRWMYMUVLUVNMUHZUVSYMUVLUWAUIZUIZUVQUVRUWCUVQUVDDEUGZUVNDEUGZTUVDUVNFVBU
      VRUWCUVFUWDUVPUWEYMUVLUVFUWDTUWACDUVDEFHIJKMNOPQRWSWTYMUWAUVPUWETUVLCDUVN
      EFHIJKMNOPQRWSZXAXBCDUVDUVNEFJKMNOPQXCUWCUVDUVNFMYMUVAUWBUVBVEYMUVLUWAXFX
      DXEXGXHXIXJXIXJUAUBYNYOIXPXKYMYRUULUVDIUSZTZUDYNVCZUCYOUQYQUVCYMUWIUCYOYM
      UULYOUHZUWEUULTZUEMVCZUWIYMUWJUIYLUULNUHZUWLYMUWJYLUWMUWLXLZYMUWJDUULLVBZ
      UWNYMUULVAUHYLUWJUWOVQUCXQUUPUULDLVANVSVTABDUULELGUEMNSVOXMXNXOYMUWLUWIYM
      UWKUWIUEMYMUWAUIZUWEUWGTZUDYNVCZUWKUWIUWAUVOYNUHYMUWEUVPTUWRMUVNFFJKXRQYF
      XSUWPUVPUWEUWFXTUDUVOYNUWGUVPUWEUVDUVOIWQYAYBUWKUWQUWHUDYNUWEUULUWGWPYCYD
      YEYGYHXJUDUCYNYOIYIXKYNYOIYJXK $.
  $}

  ${
    $d g k u x y .(+) $.  $d g k u x y A $.  $d g k u x y G $.  $d g k x y Y $.
    $d g k x y .~ $.  $d x y H $.  $d k O $.  $d g k u x y X $.
    orbsta2.x $e |- X = ( Base ` G ) $.
    orbsta2.h $e |- H = { u e. X | ( u .(+) A ) = A } $.
    orbsta2.r $e |- .~ = ( G ~QG H ) $.
    orbsta2.o $e |- O = { <. x , y >. |
      ( { x , y } C_ Y /\ E. g e. X ( g .(+) x ) = y ) } $.
    $( Relation between the size of the orbit and the size of the stabilizer of
       a point in a finite group action.  (Contributed by Mario Carneiro,
       16-Jan-2015.) $)
    orbsta2 $p |- ( ( ( .(+) e. ( G GrpAct Y ) /\ A e. Y ) /\
      X e. Fin ) -> ( # ` X ) = ( ( # ` [ A ] O ) x. ( # ` H ) ) ) $=
      ( co wcel chash cfv vk cga wa cfn cqs cmul cec csubg gastacl adantr simpr
      lagsubg2 cop cmpt crn cpw pwfi sylib wer eqger syl qsss ssfid wf1o orbsta
      cv eqid hasheqf1od oveq1d eqtrd ) EHLUBQRDLRUCZKUDRZUCZKSTKFUEZSTZISTZUFQ
      DJUGZSTZVPUFQVMFHKIMOVKIHUHTRZVLCDEHIKLMNUIUJZVKVLUKZULVMVOVRVPUFVMVNVQUD
      UAKUAVFZFUGWBDEQUMUNUOZVMKUPZVNVMVLWDUDRWAKUQURVMKFVMVSKFUSVTFHKIMOUTVAVB
      VCVKVNVQWCVDVLABCDEFGUAWCHIJKLMNOWCVGPVEUJVHVIVJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Centralizers and centers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Cntr $.
  $c Cntz $.

  $( Syntax for the centralizer of a set in a monoid. $)
  ccntz $a class Cntz $.

  $( Syntax for the centralizer of a monoid. $)
  ccntr $a class Cntr $.

  ${
    $d m s x y $.
    $( Define the _centralizer_ of a subset of a magma, which is the set of
       elements each of which commutes with each element of the given subset.
       (Contributed by Stefan O'Rear, 5-Sep-2015.) $)
    df-cntz $a |- Cntz = ( m e. _V |-> ( s e. ~P ( Base ` m ) |-> { x e.
      ( Base ` m ) | A. y e. s ( x ( +g ` m ) y ) = ( y ( +g ` m ) x ) } ) ) $.

    $( Define the _center_ of a magma, which is the elements that commute with
       all others.  (Contributed by Stefan O'Rear, 5-Sep-2015.) $)
    df-cntr $a |- Cntr = ( m e. _V |-> ( ( Cntz ` m ) ` ( Base ` m ) ) ) $.
  $}

  ${
    $d m B $.  $d m M $.  $d m Z $.
    cntrval.b $e |- B = ( Base ` M ) $.
    cntrval.z $e |- Z = ( Cntz ` M ) $.
    $( Substitute definition of the center.  (Contributed by Stefan O'Rear,
       5-Sep-2015.) $)
    cntrval $p |- ( Z ` B ) = ( Cntr ` M ) $=
      ( vm cvv wcel cfv ccntr wceq cv ccntz fveq2 eqtr4di fveq12d df-cntr fvprc
      cbs c0 fvex fvmpt eqcomd wn 0fv eqtrid fveq1d 3eqtr4a pm2.61i ) BGHZACIZB
      JIZKUJULUKFBFLZSIZUMMIZIUKGJUMBKZUNAUOCUPUOBMIZCUMBMNEOUPUNBSIAUMBSNDOPFQ
      ACUAUBUCUJUDZATITUKULAUEURACTURCUQTEBMRUFUGBJRUHUI $.
  $}

  ${
    $d m s x y .+ $.  $d x y A $.  $d m s x B $.  $d m s x y M $.  $d x y T $.
    $d s x y S $.  $d x y X $.  $d x y Y $.
    cntzfval.b $e |- B = ( Base ` M ) $.
    cntzfval.p $e |- .+ = ( +g ` M ) $.
    cntzfval.z $e |- Z = ( Cntz ` M ) $.
    $( First level substitution for a centralizer.  (Contributed by Stefan
       O'Rear, 5-Sep-2015.) $)
    cntzfval $p |- ( M e. V -> Z = ( s e. ~P B |->
            { x e. B | A. y e. s ( x .+ y ) = ( y .+ x ) } ) ) $=
      ( vm wcel ccntz cfv cv co wceq cbs cplusg cpw wral crab cmpt elex eqtr4di
      fveq2 pweqd oveqd eqeq12d ralbidv rabeqbidv mpteq12dv df-cntz fvexi mptex
      cvv pwex fvmpt syl eqtrid ) EFMZGENOZHCUAZAPZBPZDQZVFVEDQZRZBHPZUBZACUCZU
      DZKVBEUQMVCVMREFUELEHLPZSOZUAZVEVFVNTOZQZVFVEVQQZRZBVJUBZAVOUCZUDVMUQNVNE
      RZHVPWBVDVLWCVOCWCVOESOCVNESUGIUFZUHWCWAVKAVOCWDWCVTVIBVJWCVRVGVSVHWCVQDV
      EVFWCVQETODVNETUGJUFZUIWCVQDVFVEWEUIUJUKULUMABLHUNHVDVLCCESIUOURUPUSUTVA
      $.

    $( Definition substitution for a centralizer.  (Contributed by Stefan
       O'Rear, 5-Sep-2015.) $)
    cntzval $p |- ( S C_ B -> ( Z ` S ) = { x e. B |
            A. y e. S ( x .+ y ) = ( y .+ x ) } ) $=
      ( vs cvv wcel wss cfv cv co wceq cbs c0 wral crab cpw cmpt cntzfval fvexi
      fveq1d elpw2 raleq rabbidv rabex fvmpt sylbir sylan9eq wn 0fv ccntz fvprc
      eqid eqtrid ssrab2 sseqtrid ss0 syl 3eqtr4a adantr pm2.61ian ) FLMZECNZEG
      OZAPZBPZDQVLVKDQRZBEUAZACUBZRZVHVIVJEKCUCZVMBKPZUAZACUBZUDZOZVOVHEGWAABCD
      FLGKHIJUEUGVIEVQMWBVORECCFSHUFZUHKEVTVOVQWAVRERVSVNACVMBVREUIUJWAUSVNACWC
      UKULUMUNVHUOZVPVIWDETOTVJVOEUPWDEGTWDGFUQOTJFUQURUTUGWDVOTNVOTRWDCVOTVNAC
      VAWDCFSOTHFSURUTVBVOVCVDVEVFVG $.

    $( Elementhood in the centralizer.  (Contributed by Mario Carneiro,
       22-Sep-2015.) $)
    elcntz $p |- ( S C_ B -> ( A e. ( Z ` S ) <-> ( A e. B /\
            A. y e. S ( A .+ y ) = ( y .+ A ) ) ) ) $=
      ( vx wss cfv wcel cv co wceq wral crab wa eleq2d oveq1 oveq2 elrab bitrdi
      cntzval eqeq12d ralbidv ) ECLZBEGMZNBKOZAOZDPZULUKDPZQZAERZKCSZNBCNBULDPZ
      ULBDPZQZAERZTUIUJUQBKACDEFGHIJUFUAUPVAKBCUKBQZUOUTAEVBUMURUNUSUKBULDUBUKB
      ULDUCUGUHUDUE $.

    $( Membership in a centralizer.  (Contributed by Stefan O'Rear,
       6-Sep-2015.) $)
    cntzel $p |- ( ( S C_ B /\ X e. B ) -> ( X e. ( Z ` S ) <->
          A. y e. S ( X .+ y ) = ( y .+ X ) ) ) $=
      ( wss cfv wcel cv co wceq wral elcntz baibd ) DBKFDGLMFBMFANZCOTFCOPADQAF
      BCDEGHIJRS $.

    $( Special substitution for the centralizer of a singleton.  (Contributed
       by Stefan O'Rear, 5-Sep-2015.) $)
    cntzsnval $p |- ( Y e. B -> ( Z ` { Y } ) =
          { x e. B | ( x .+ Y ) = ( Y .+ x ) } ) $=
      ( vy wcel csn cfv cv co wceq wral crab wss snssi cntzval syl oveq2 ralsng
      oveq1 eqeq12d rabbidv eqtrd ) EBKZELZFMZANZJNZCOZUMULCOZPZJUJQZABRZULECOZ
      EULCOZPZABRUIUJBSUKURPEBTAJBCUJDFGHIUAUBUIUQVAABUPVAJEBUMEPUNUSUOUTUMEULC
      UCUMEULCUEUFUDUGUH $.

    $( Value of the centralizer of a singleton.  (Contributed by Mario
       Carneiro, 25-Apr-2016.) $)
    elcntzsn $p |- ( Y e. B -> ( X e. ( Z ` { Y } ) <->
      ( X e. B /\ ( X .+ Y ) = ( Y .+ X ) ) ) ) $=
      ( vx wcel csn cfv cv co wceq crab wa cntzsnval eleq2d oveq1 oveq2 eqeq12d
      elrab bitrdi ) EAKZDELFMZKDJNZEBOZEUHBOZPZJAQZKDAKDEBOZEDBOZPZRUFUGULDJAB
      CEFGHISTUKUOJDAUHDPUIUMUJUNUHDEBUAUHDEBUBUCUDUE $.

    $( A centralizer expression for two sets elementwise commuting.
       (Contributed by Stefan O'Rear, 5-Sep-2015.) $)
    sscntz $p |- ( ( S C_ B /\ T C_ B ) -> ( S C_ ( Z ` T ) <->
          A. x e. S A. y e. T ( x .+ y ) = ( y .+ x ) ) ) $=
      ( wss cfv cv co wceq wral wa crab cntzval sseq2d ssrab bitrdi ibar bicomd
      sylan9bbr ) FCLZEFHMZLZECLZANZBNZDOULUKDOPBFQZAEQZRZUJUNUGUIEUMACSZLUOUGU
      HUPEABCDFGHIJKTUAUMACEUBUCUJUNUOUJUNUDUEUF $.
  $}

  ${
    $d x y z M $.  $d x y B $.  $d x y S $.  $d x Z $.  $d y X $.
    cntzrcl.b $e |- B = ( Base ` M ) $.
    cntzrcl.z $e |- Z = ( Cntz ` M ) $.
    $( Reverse closure for elements of the centralizer.  (Contributed by Stefan
       O'Rear, 6-Sep-2015.) $)
    cntzrcl $p |- ( X e. ( Z ` S ) -> ( M e. _V /\ S C_ B ) ) $=
      ( vx vy vz cfv wcel cvv c0 ccntz cdm cv co wceq eqid wn noel fvprc eqtrid
      wss fveq1d 0fv eqtrdi eleq2d mtbiri con4i cpw wral crab cmpt cntzfval syl
      cplusg dmeqd dmmptss eqsstrdi elfvdm sseldd elpwid jca ) DBEKZLZCMLZBAUEV
      HVGVHUAZVGDNLDUBVIVFNDVIVFBNKNVIBENVIECOKNGCOUCUDUFBUGUHUIUJUKZVGBAVGEPZA
      ULZBVGVKHVLIQZJQZCURKZRVNVMVORSJHQUMIAUNZUOZPVLVGEVQVGVHEVQSVJIJAVOCMEHFV
      OTGUPUQUSHVLVPVQVQTUTVADBEVBVCVDVE $.

    $( The centralizer is unconditionally a subset.  (Contributed by Stefan
       O'Rear, 6-Sep-2015.) $)
    cntzssv $p |- ( Z ` S ) C_ B $=
      ( vx vy cfv wss c0 wceq 0ss sseq1 mpbiri wne cv wcel wex co n0 cplusg cvv
      wral crab cntzrcl eqid cntzval simpl2im ssrab2 eqsstrdi exlimiv pm2.61ine
      sylbi ) BDIZAJZUOKUOKLUPKAJAMUOKANOUOKPGQZUORZGSUPGUOUAURUPGURUOUQHQZCUBI
      ZTUSUQUTTLHBUDZGAUEZAURCUCRBAJUOVBLABCUQDEFUFGHAUTBCDEUTUGFUHUIVAGAUJUKUL
      UNUM $.
  $}

  ${
    $d y M $.  $d y .+ $.  $d y S $.  $d y X $.  $d y Y $.
    cntzi.p $e |- .+ = ( +g ` M ) $.
    cntzi.z $e |- Z = ( Cntz ` M ) $.
    $( Membership in a centralizer (inference).  (Contributed by Stefan O'Rear,
       6-Sep-2015.)  (Revised by Mario Carneiro, 22-Sep-2015.) $)
    cntzi $p |- ( ( X e. ( Z ` S ) /\ Y e. S ) -> ( X .+ Y ) = ( Y .+ X ) ) $=
      ( vy cfv wcel cv co wceq wral cbs cvv wss wa wb cntzrcl simpl2im simplbda
      eqid elcntz anidms oveq2 oveq1 eqeq12d rspccva sylan ) DBFJKZDILZAMZUMDAM
      ZNZIBOZEBKDEAMZEDAMZNZULUQULULDCPJZKZUQULCQKBVARULVBUQSTVABCDFVAUDZHUAIDV
      AABCFVCGHUEUBUCUFUPUTIEBUMENUNURUOUSUMEDAUGUMEDAUHUIUJUK $.
  $}

  ${
    cntrss.1 $e |- B = ( Base ` M ) $.
    $( The center is a subset of the base field.  (Contributed by Thierry
       Arnoux, 21-Aug-2023.) $)
    cntrss $p |- ( Cntr ` M ) C_ B $=
      ( ccntr cfv ccntz eqid cntrval cntzssv eqsstrri ) BDEABFEZEAABKCKGZHAABKC
      LIJ $.
  $}

  ${
    cntri.b $e |- B = ( Base ` M ) $.
    cntri.p $e |- .+ = ( +g ` M ) $.
    cntri.z $e |- Z = ( Cntr ` M ) $.
    $( Defining property of the center of a group.  (Contributed by Mario
       Carneiro, 22-Sep-2015.) $)
    cntri $p |- ( ( X e. Z /\ Y e. B ) -> ( X .+ Y ) = ( Y .+ X ) ) $=
      ( wcel ccntz cfv co wceq ccntr eqid cntrval eqtr4i eleq2i cntzi sylanb )
      DFJDACKLZLZJEAJDEBMEDBMNFUCDFCOLUCIACUBGUBPZQRSBACDEUBHUDTUA $.
  $}

  ${
    $d x y A $.  $d y G $.  $d y H $.  $d x y S $.  $d x y V $.  $d x Y $.
    $d x Z $.
    resscntz.p $e |- H = ( G |`s A ) $.
    resscntz.z $e |- Z = ( Cntz ` G ) $.
    resscntz.y $e |- Y = ( Cntz ` H ) $.
    $( Centralizer in a substructure.  (Contributed by Mario Carneiro,
       3-Oct-2015.) $)
    resscntz $p |- ( ( A e. V /\ S C_ A ) ->
      ( Y ` S ) = ( ( Z ` S ) i^i A ) ) $=
      ( vx vy wcel wss wa cfv cin eqid wb co cbs cv wi cntzrcl simprd ressbasss
      cvv sstrdi a1i elinel1 syl cplusg wceq wral elin ressbas eleq2d ressplusg
      bitr3id oveqd eqeq12d ralbidv anbi12d ad2antrr bitr3di ssin sseq2d syl5bb
      anass biimpd impl elcntz biancomi adantl anbi2d 3bitr4d pm5.21ndd eqrdv
      ex ) AEMZBANZOZKBFPZBGPZAQZWBBCUAPZNZKUBZWCMZWHWEMZWIWGUCWBWIBDUAPZWFWIDU
      GMBWKNZWKBDWHFWKRZJUDUEAWFDCHWFRZUFUHUIWJWGUCWBWJWHWDMZWGWHWDAUJWOCUGMWGW
      FBCWHGWNIUDUEUKUIWBWGWIWJSWBWGOZWHWKMZWHLUBZDULPZTZWRWHWSTZUMZLBUNZOZWHAM
      ZWHWFMZWHWRCULPZTZWRWHXGTZUMZLBUNZOZOZWIWJWPXEXFOZXKOZXDXMVTXOXDSWAWGVTXN
      WQXKXCXNWHAWFQZMVTWQWHAWFUOVTXPWKWHAWFDECHWNUPZUQUSVTXJXBLBVTXHWTXIXAVTXG
      WSWHWRAXGCDEHXGRZURZUTVTXGWSWRWHXSUTVAVBVCVDXEXFXKVIVEWPWLWIXDSVTWAWGWLVT
      WAWGOZWLXTBXPNVTWLBAWFVFVTXPWKBXQVGVHVJVKLWHWKWSBDFWMWSRJVLUKWJXEWOOWPXMW
      JXEWOWHWDAUOVMWPWOXLXEWGWOXLSWBLWHWFXGBCGWNXRIVLVNVOVHVPVSVQVR $.
  $}

  ${
    $d x y z B $.  $d x y z M $.  $d x y z S $.  $d x y T $.  $d x y z Z $.
    cntzrec.b $e |- B = ( Base ` M ) $.
    cntzrec.z $e |- Z = ( Cntz ` M ) $.
    $( Centralizers reverse the subset relation.  (Contributed by Mario
       Carneiro, 3-Oct-2015.) $)
    cntz2ss $p |- ( ( S C_ B /\ T C_ S ) -> ( Z ` S ) C_ ( Z ` T ) ) $=
      ( vx vy wss wa cfv cv cplusg co wceq wral wcel eqid cntzi ssralv ralrimiv
      ralrimiva wi adantl syl5 wb cntzssv sstr ancoms sscntz sylancr mpbird ) B
      AJZCBJZKZBELZCELJZHMZIMZDNLZOUTUSVAOPZICQZHUQQZUPVCHUQUSUQRZVBIBQZUPVCVEV
      BIBVABDUSUTEVASZGTUCUOVFVCUDUNVBICBUAUEUFUBUPUQAJCAJZURVDUGABDEFGUHUOUNVH
      CBAUIUJHIAVAUQCDEFVGGUKULUM $.

    $( Reciprocity relationship for centralizers.  (Contributed by Stefan
       O'Rear, 5-Sep-2015.) $)
    cntzrec $p |- ( ( S C_ B /\ T C_ B ) ->
        ( S C_ ( Z ` T ) <-> T C_ ( Z ` S ) ) ) $=
      ( vx vy wss wa cv cplusg cfv co wceq wral wb ralcom sscntz eqcom a1i eqid
      2ralbii bitri ancoms 3bitr4d ) BAJZCAJZKZHLZILZDMNZOZULUKUMOZPZICQHBQZUOU
      NPZHBQICQZBCENJCBENJZUQUSRUJUQUPHBQICQUSUPHIBCSUPURIHCBUNUOUAUDUEUBHIAUMB
      CDEFUMUCZGTUIUHUTUSRIHAUMCBDEFVAGTUFUG $.

    $( Express any centralizer as an intersection of singleton centralizers.
       (Contributed by Stefan O'Rear, 5-Sep-2015.) $)
    cntziinsn $p |- ( S C_ B -> ( Z ` S ) =
          ( B i^i |^|_ x e. S ( Z ` { x } ) ) ) $=
      ( vy wss cfv cv cplusg co wceq wral crab csn ciin cin wcel eqid cntzsnval
      cntzval wa ssel2 syl iineq2dv ineq2d riinrab eqtrdi eqtr4d ) CBIZCEJHKZAK
      ZDLJZMUNUMUOMNZACOHBPZBACUNQEJZRZSZHABUOCDEFUOUAZGUCULUTBACUPHBPZRZSUQULU
      SVCBULACURVBULUNCTUDUNBTURVBNCBUNUEHBUODUNEFVAGUBUFUGUHUPAHBCUIUJUK $.

    $( Centralizers in a monoid are submonoids.  (Contributed by Stefan O'Rear,
       6-Sep-2015.)  (Revised by Mario Carneiro, 19-Apr-2016.) $)
    cntzsubm $p |- ( ( M e. Mnd /\ S C_ B ) -> ( Z ` S ) e. ( SubMnd ` M ) ) $=
      ( vy vz vx wcel wa cfv cv co wral wceq adantr wb mndass syl13anc cmnd wss
      csubmnd c0g cplusg cntzssv a1i mndidcl simpll simpr sselda mndlid syl2anc
      eqid mndrid eqtr4d ralrimiva elcntz adantl mpbir2and simprl sselid simprr
      mndcl syl3anc adantlr cntzi sylan oveq2d oveq1d 3eqtr2d 3eqtrd ralrimivva
      ad2antlr w3a issubm mpbir3and ) CUAJZBAUBZKZBDLZCUCLJZWAAUBZCUDLZWAJZGMZH
      MZCUELZNZWAJZHWAOGWAOZWCVTABCDEFUFZUGVTWEWDAJZWDIMZWHNZWNWDWHNZPZIBOZVRWM
      VSACWDEWDUNZUHQVTWQIBVTWNBJZKZWOWNWPXAVRWNAJZWOWNPVRVSWTUIZVTBAWNVRVSUJUK
      ZAWHCWNWDEWHUNZWSULUMXAVRXBWPWNPXCXDAWHCWNWDEXEWSUOUMUPUQVSWEWMWRKRVRIWDA
      WHBCDEXEFURUSUTVTWJGHWAWAVTWFWAJZWGWAJZKZKZWJWIAJZWIWNWHNZWNWIWHNZPZIBOZX
      IVRWFAJZWGAJZXJVRVSXHUIZXIWAAWFWLVTXFXGVAZVBZXIWAAWGWLVTXFXGVCZVBZAWHCWFW
      GEXEVDVEXIXMIBXIWTKZXKWFWGWNWHNZWHNZWNWFWHNZWGWHNZXLYBVRXOXPXBXKYDPXIVRWT
      XQQZXIXOWTXSQZXIXPWTYAQZVTWTXBXHXDVFZAWHCWFWGWNEXESTYBYDWFWNWGWHNZWHNZWFW
      NWHNZWGWHNZYFYBYCYKWFWHXIXGWTYCYKPXTWHBCWGWNDXEFVGVHVIYBVRXOXBXPYNYLPYGYH
      YJYIAWHCWFWNWGEXESTYBYMYEWGWHXIXFWTYMYEPXRWHBCWFWNDXEFVGVHVJVKYBVRXBXOXPY
      FXLPYGYJYHYIAWHCWNWFWGEXESTVLUQVSWJXJXNKRVRXHIWIAWHBCDEXEFURVNUTVMVRWBWCW
      EWKVORVSGHAWHWACWDEWSXEVPQVQ $.

    $( Centralizers in a group are subgroups.  (Contributed by Stefan O'Rear,
       6-Sep-2015.) $)
    cntzsubg $p |- ( ( M e. Grp /\ S C_ B ) -> ( Z ` S ) e. ( SubGrp ` M ) ) $=
      ( vx vy wcel wa cfv wceq eqid syl2anc grpcl grpass syl13anc oveq2d eqtr4d
      co cgrp wss csubg csubmnd cminusg wral cmnd grpmnd cntzsubm cplusg simpll
      sylan cntzssv simprl sselid grpinvcl ssel2 ad2ant2l syl3anc adantl oveq1d
      cv cntzi grprinv grprid eqtrd grplinv grplid 3eqtr3d anassrs ralrimiva wb
      c0g simplr simpr cntzel mpbird issubg3 adantr mpbir2and ) CUAIZBAUBZJZBDK
      ZCUCKIZWDCUDKIZGVBZCUEKZKZWDIZGWDUFZWACUGIWBWFCUHABCDEFUIULWCWJGWDWCWGWDI
      ZJZWJWIHVBZCUJKZTZWNWIWOTZLZHBUFZWMWRHBWCWLWNBIZWRWCWLWTJZJZWPWGWIWOTZWOT
      ZWIWGWOTZWQWOTZWPWQXBXDWIWGWNWOTZWIWOTZWOTZXFXBXDWIWNWGWOTZWIWOTZWOTZXIXB
      XDWIWNXCWOTZWOTZXLXBWAWIAIZWNAIZXCAIZXDXNLWAWBXAUKZXBWAWGAIZXOXRXBWDAWGAB
      CDEFUMZWCWLWTUNUOZACWHWGEWHMZUPZNZWBWTXPWAWLBAWNUQURZXBWAXSXOXQXRYAYDAWOC
      WGWIEWOMZOUSAWOCWIWNXCEYFPQXBXKXMWIWOXBWAXPXSXOXKXMLXRYEYAYDAWOCWNWGWIEYF
      PQRSXBXHXKWIWOXBXGXJWIWOXAXGXJLWCWOBCWGWNDYFFVCUTVARSXBXFWIWGWQWOTZWOTZXI
      XBWAXOXSWQAIZXFYHLXRYDYAXBWAXPXOYIXRYEYDAWOCWNWIEYFOUSZAWOCWIWGWQEYFPQXBX
      HYGWIWOXBWAXSXPXOXHYGLXRYAYEYDAWOCWGWNWIEYFPQRSSXBXDWPCVMKZWOTZWPXBXCYKWP
      WOXBWAXSXCYKLXRYAAWOCWHWGYKEYFYKMZYBVDNRXBWAWPAIZYLWPLXRXBWAXOXPYNXRYDYEA
      WOCWIWNEYFOUSAWOCWPYKEYFYMVENVFXBXFYKWQWOTZWQXBXEYKWQWOXBWAXSXEYKLXRYAAWO
      CWHWGYKEYFYMYBVGNVAXBWAYIYOWQLXRYJAWOCWQYKEYFYMVHNVFVIVJVKWMWBXOWJWSVLWAW
      BWLVNWMWAXSXOWAWBWLUKWMWDAWGXTWCWLVOUOYCNHAWOBCWIDEYFFVPNVQVKWAWEWFWKJVLW
      BGWDCWHYBVRVSVT $.
  $}

  ${
    $d x y A $.  $d x y F $.  $d x y G $.  $d x y H $.  $d x y S $.  $d x T $.
    $d x Y $.  $d x Z $.
    cntzmhm.z $e |- Z = ( Cntz ` G ) $.
    $( If the elements of ` S ` commute, the elements of a subset ` T ` also
       commute.  (Contributed by Mario Carneiro, 25-Apr-2016.) $)
    cntzidss $p |- ( ( S C_ ( Z ` S ) /\ T C_ S ) -> T C_ ( Z ` T ) ) $=
      ( cfv wss wa simpr simpl cbs eqid cntzssv sstrdi cntz2ss sylancom sstrd )
      AADFZGZBAGZHZBABDFZSTIUAARUBSTJZSTACKFZGRUBGUAARUDUCUDACDUDLZEMNUDABCDUEE
      OPQQ $.

    cntzmhm.y $e |- Y = ( Cntz ` H ) $.
    $( Centralizers in a monoid are preserved by monoid homomorphisms.
       (Contributed by Mario Carneiro, 24-Apr-2016.) $)
    cntzmhm $p |- ( ( F e. ( G MndHom H ) /\ A e. ( Z ` S ) ) ->
      ( F ` A ) e. ( Y ` ( F " S ) ) ) $=
      ( vy vx co wcel cfv wa cbs cv cplusg wceq eqid cmhm cima wf cntzssv sseli
      wral mhmf ffvelrn syl2an cntzi adantll fveq2d simpll ad2antlr cvv cntzrcl
      wss adantl simprd sselda mhmlin syl3anc 3eqtr3d ralrimiva wfn adantr ffnd
      wb oveq2 eqeq12d ralima syl2anc mpbird crn imassrn frnd sstrid elcntz syl
      oveq1 mpbir2and ) CDEUALMZABGNZMZOZACNZCBUBZFNMZWFEPNZMZWFJQZERNZLZWKWFWL
      LZSZJWGUFZWBDPNZWICUCZAWQMZWJWDWQWIDECWQTZWITZUGZWCWQAWQBDGWTHUDUEZWQWIAC
      UHUIWEWPWFKQZCNZWLLZXEWFWLLZSZKBUFZWEXHKBWEXDBMZOZAXDDRNZLZCNZXDAXLLZCNZX
      FXGXKXMXOCWDXJXMXOSWBXLBDAXDGXLTZHUJUKULXKWBWSXDWQMZXNXFSWBWDXJUMZWDWSWBX
      JXCUNZWEBWQXDWEDUOMZBWQUQZWDYAYBOWBWQBDAGWTHUPURUSZUTZWQXLWLDECAXDWTXQWLT
      ZVAVBXKWBXRWSXPXGSXSYDXTWQXLWLDECXDAWTXQYEVAVBVCVDWECWQVEYBWPXIVHWEWQWICW
      BWRWDXBVFZVGYCWOXHJKWQBCWKXESWMXFWNXGWKXEWFWLVIWKXEWFWLVTVJVKVLVMWEWGWIUQ
      WHWJWPOVHWEWGCVNWICBVOWEWQWICYFVPVQJWFWIWLWGEFXAYEIVRVSWA $.

    $( Centralizers in a monoid are preserved by monoid homomorphisms.
       (Contributed by Mario Carneiro, 24-Apr-2016.) $)
    cntzmhm2 $p |- ( ( F e. ( G MndHom H ) /\ S C_ ( Z ` T ) ) ->
      ( F " S ) C_ ( Y ` ( F " T ) ) ) $=
      ( vx cmhm co wcel cfv wss wa cima wral cbs eqid cv ralrimiva ssralv mpan9
      cntzmhm wfun cdm wb mhmf adantr ffund simpr cntzssv sstrdi fdmd funimass4
      wf sseqtrrd syl2anc mpbird ) CDEKLMZABGNZOZPZCAQCBQFNZOZJUAZCNVEMZJARZVAV
      HJVBRVCVIVAVHJVBVGBCDEFGHIUEUBVHJAVBUCUDVDCUFACUGZOVFVIUHVDDSNZESNZCVAVKV
      LCUQVCVKVLDECVKTZVLTUIUJZUKVDAVKVJVDAVBVKVAVCULVKBDGVMHUMUNVDVKVLCVNUOURJ
      AVECUPUSUT $.
  $}

  ${
    $d x y M $.  $d x y X $.  $d x y Z $.
    cntrnsg.z $e |- Z = ( Cntr ` M ) $.
    $( A central subgroup is normal.  (Contributed by Stefan O'Rear,
       6-Sep-2015.) $)
    cntrsubgnsg $p |- ( ( X e. ( SubGrp ` M ) /\ X C_ Z ) ->
        X e. ( NrmSGrp ` M ) ) $=
      ( vx vy csubg cfv wcel wss wa cv cplusg co wral wceq sseldd eqid ad2antrr
      csg simpl ccntz simplr simprr ccntr cntrval eqtr4i eleqtrrdi simprl cntzi
      cbs cnsg syl2anc oveq1d subgrcl subgss grppncan syl3anc eqtr3d ralrimivva
      cgrp eqeltrd isnsg3 sylanbrc ) BAGHIZBCJZKZVEELZFLZAMHZNZVHATHZNZBIZFBOEA
      UKHZOBAULHIVEVFUAVGVNEFVOBVGVHVOIZVIBIZKZKZVMVIBVSVIVHVJNZVHVLNZVMVIVSVTV
      KVHVLVSVIVOAUBHZHZIVPVTVKPVSVICWCVSBCVIVEVFVRUCVGVPVQUDZQWCAUEHCVOAWBVORZ
      WBRZUFDUGUHVGVPVQUIZVJVOAVIVHWBVJRZWFUJUMUNVSAVAIZVIVOIVPWAVIPVEWIVFVRBAU
      OSVSBVOVIVEBVOJVFVRVOBAWEUPSWDQWGVOVJAVLVIVHWEWHVLRZUQURUSWDVBUTEFVJBAVLV
      OWEWHWJVCVD $.

    $( The center of a group is a normal subgroup.  (Contributed by Stefan
       O'Rear, 6-Sep-2015.) $)
    cntrnsg $p |- ( M e. Grp -> Z e. ( NrmSGrp ` M ) ) $=
      ( cgrp wcel csubg cfv wss cnsg cbs ccntz ccntr eqid cntrval ssid cntzsubg
      eqtr4i mpan2 eqeltrid cntrsubgnsg sylancl ) ADEZBAFGZEBBHBAIGEUBBAJGZAKGZ
      GZUCBALGUFCUDAUEUDMZUEMZNQUBUDUDHUFUCEUDOUDUDAUEUGUHPRSBOABBCTUA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The opposite group
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c oppG $. $( Opposite group $)

  $( The opposite group operation. $)
  coppg $a class oppG $.

  $( Define an opposite group, which is the same as the original group but with
     addition written the other way around. ~ df-oppr does the same thing for
     multiplication.  (Contributed by Stefan O'Rear, 25-Aug-2015.) $)
  df-oppg $a |- oppG = ( w e. _V |-> ( w sSet
    <. ( +g ` ndx ) , tpos ( +g ` w ) >. ) ) $.

  ${
    $d x R $.  $d x .+ $.  $d x X $.  $d x Y $.
    oppgval.2 $e |- .+ = ( +g ` R ) $.
    oppgval.3 $e |- O = ( oppG ` R ) $.
    $( Value of the opposite group.  (Contributed by Stefan O'Rear,
       25-Aug-2015.)  (Revised by Mario Carneiro, 16-Sep-2015.)  (Revised by
       Fan Zheng, 26-Jun-2016.) $)
    oppgval $p |- O = ( R sSet <. ( +g ` ndx ) , tpos .+ >. ) $=
      ( vx coppg cfv cnx cplusg ctpos cop csts co cvv wcel wceq cv id fveq2 wn
      eqtr4di tposeqd opeq2d oveq12d df-oppg ovex fvmpt reldmsets ovprc1 eqtr4d
      c0 fvprc pm2.61i eqtri ) CBGHZBIJHZAKZLZMNZEBOPZUPUTQFBFRZUQVBJHZKZLZMNUT
      OGVBBQZVBBVEUSMVFSVFVDURUQVFVCAVFVCBJHAVBBJTDUBUCUDUEFUFBUSMUGUHVAUAUPULU
      TBGUMBUSMUIUJUKUNUO $.

    oppgplusfval.4 $e |- .+b = ( +g ` O ) $.
    $( Value of the addition operation of an opposite group.  (Contributed by
       Stefan O'Rear, 26-Aug-2015.)  (Revised by Fan Zheng, 26-Jun-2016.) $)
    oppgplusfval $p |- .+b = tpos .+ $=
      ( cplusg cfv ctpos cvv wcel wceq cnx cop csts co plusgid c0 eqtrid fveq2i
      oppgval fvexi tposex setsid mpan2 eqtr4id wn str0 eqtr2i reldmsets ovprc1
      tpos0 fveq2d fvprc tposeqd 3eqtr4a pm2.61i eqtri ) BDHIZAJZGCKLZUTVAMVBUT
      CNHIZVAOZPQZHIZVADVEHACDEFUBZUAVBVAKLVAVFMAACHEUCUDKVAHKCRUEUFUGVBUHZSHIZ
      SJZUTVAVJSVIUMHVCRUIUJVHDSHVHDVESVGCVDPUKULTUNVHASVHACHISECHUOTUPUQURUS
      $.

    $( Value of the addition operation of an opposite ring.  (Contributed by
       Stefan O'Rear, 26-Aug-2015.)  (Revised by Fan Zheng, 26-Jun-2016.) $)
    oppgplus $p |- ( X .+b Y ) = ( Y .+ X ) $=
      ( co ctpos oppgplusfval oveqi ovtpos eqtri ) EFBJEFAKZJFEAJBPEFABCDGHILME
      FANO $.
  $}

  ${
    setsplusg.o $e |- O = ( R sSet <. ( +g ` ndx ) , S >. ) $.
    setsplusg.e $e |- E = Slot ( E ` ndx ) $.
    setsplusg.i $e |- ( E ` ndx ) =/= ( +g ` ndx ) $.
    $( The other components of an extensible structure remain unchanged if the
       ` +g ` component is set/substituted.  (Contributed by Stefan O'Rear,
       26-Aug-2015.)  Generalisation of the former oppglem and mgplem.
       (Revised by AV, 18-Oct-2024.) $)
    setsplusg $p |- ( E ` R ) = ( E ` O ) $=
      ( cfv cnx cplusg cop csts co setsnid fveq2i eqtr4i ) ACHAIJHZBKLMZCHDCHBQ
      CAFGNDRCEOP $.
  $}

  ${
    $d x y z R $.  $d x y z O $.
    oppgbas.1 $e |- O = ( oppG ` R ) $.
    ${
      oppglemOLD.2 $e |- E = Slot N $.
      oppglemOLD.3 $e |- N e. NN $.
      oppglemOLD.4 $e |- N =/= 2 $.
      $( Obsolete version of ~ setsplusg as of 18-Oct-2024.  Lemma for
         ~ oppgbas .  (Contributed by Stefan O'Rear, 26-Aug-2015.)
         (Proof modification is discouraged.)  (New usage is discouraged.) $)
      oppglemOLD $p |- ( E ` R ) = ( E ` O ) $=
        ( cfv cnx cplusg ctpos cop csts co ndxid wne c2 ndxarg plusgndx neeq12i
        mpbir setsnid eqid oppgval fveq2i eqtr4i ) ABIAJKIZAKIZLZMNOZBIDBIUJUHB
        ABCFGPJBIZUHQCRQHULCUHRBCFGSTUAUBUCDUKBUIADUIUDEUEUFUG $.
    $}

    ${
      oppgbas.2 $e |- B = ( Base ` R ) $.
      $( Base set of an opposite group.  (Contributed by Stefan O'Rear,
         26-Aug-2015.) $)
      oppgbas $p |- B = ( Base ` O ) $=
        ( cbs cplusg ctpos eqid oppgval baseid basendxnplusgndx setsplusg eqtri
        cfv ) ABFOCFOEBBGOZHFCPBCPIDJKLMN $.

      $( Obsolete version of ~ oppgbas as of 18-Oct-2024.  Base set of an
         opposite group.  (Contributed by Stefan O'Rear, 26-Aug-2015.)
         (Proof modification is discouraged.)  (New usage is discouraged.) $)
      oppgbasOLD $p |- B = ( Base ` O ) $=
        ( cbs cfv c1 df-base 1nn 1ne2 oppglemOLD eqtri ) ABFGCFGEBFHCDIJKLM $.
    $}

    ${
      oppgtset.2 $e |- J = ( TopSet ` R ) $.
      $( Topology of an opposite group.  (Contributed by Mario Carneiro,
         17-Sep-2015.) $)
      oppgtset $p |- J = ( TopSet ` O ) $=
        ( cts cplusg ctpos eqid oppgval tsetid tsetndxnplusgndx setsplusg eqtri
        cfv ) BAFOCFOEAAGOZHFCPACPIDJKLMN $.

      $( Obsolete version of ~ oppgtset as of 18-Oct-2024.  Topology of an
         opposite group.  (Contributed by Mario Carneiro, 17-Sep-2015.)
         (Proof modification is discouraged.)  (New usage is discouraged.) $)
      oppgtsetOLD $p |- J = ( TopSet ` O ) $=
        ( cts cfv c9 df-tset 9nn c2 2re 2lt9 gtneii oppglemOLD eqtri ) BAFGCFGE
        AFHCDIJKHLMNOP $.
    $}

    ${
      oppgtopn.2 $e |- J = ( TopOpen ` R ) $.
      $( Topology of an opposite group.  (Contributed by Mario Carneiro,
         17-Sep-2015.) $)
      oppgtopn $p |- J = ( TopOpen ` O ) $=
        ( ctopn cfv cts cbs crest co eqid topnval oppgbas oppgtset 3eqtr2i ) BA
        FGAHGZAIGZJKCFGERQARLZQLZMRQCRACDSNAQCDTOMP $.
    $}

    $( The opposite of a monoid is a monoid.  (Contributed by Stefan O'Rear,
       26-Aug-2015.)  (Revised by Mario Carneiro, 16-Sep-2015.) $)
    oppgmnd $p |- ( R e. Mnd -> O e. Mnd ) $=
      ( vx vy vz cmnd wcel cbs cfv cplusg wceq eqid cv w3a co oppgplus wa eqtri
      eqtrid c0g oppgbas eqidd mndcl 3com23 eqeltrid simpl simpr3 simpr2 simpr1
      mndass syl13anc eqcomd oveq1i oveq2i 3eqtr4g mndidcl mndrid mndlid ismndd
      a1i ) AGHZDEFAIJZBKJZBAUAJZVCBIJLVBVCABCVCMZUBVAVBVDUCVBDNZVCHZENZVCHZOVG
      VIVDPZVIVGAKJZPZVCVLVDABVGVIVLMZCVDMZQZVBVJVHVMVCHVCVLAVIVGVFVNUDUEUFVBVH
      VJFNZVCHZOZRZVQVMVLPZVQVIVLPZVGVLPZVKVQVDPZVGVIVQVDPZVDPZVTWCWAVTVBVRVJVH
      WCWALVBVSUGVBVHVJVRUHVBVHVJVRUIVBVHVJVRUJVCVLAVQVIVGVFVNUKULUMWDVMVQVDPWA
      VKVMVQVDVPUNVLVDABVMVQVNCVOQSWFVGWBVDPWCWEWBVGVDVLVDABVIVQVNCVOQUOVLVDABV
      GWBVNCVOQSUPVCAVEVFVEMZUQVBVHRZVEVGVDPVGVEVLPVGVLVDABVEVGVNCVOQVCVLAVGVEV
      FVNWGURTWHVGVEVDPVEVGVLPVGVLVDABVGVEVNCVOQVCVLAVGVEVFVNWGUSTUT $.

    $( Bidirectional form of ~ oppgmnd .  (Contributed by Stefan O'Rear,
       26-Aug-2015.) $)
    oppgmndb $p |- ( R e. Mnd <-> O e. Mnd ) $=
      ( vx vy cmnd wcel oppgmnd cfv eqid wtru cbs wceq oppgbas a1i cv cplusg co
      wa oppgplus coppg wb eqidd eqtri mndpropd mptru sylib impbii ) AFGZBFGZAB
      CHUJBUAIZFGZUIBUKUKJZHULUIUBKDEALIZUKAUNUKLIMKUNBUKUMUNABCUNJNNOKUNUCDPZE
      PZUKQIZRZUOUPAQIZRZMKUOUNGUPUNGSSURUPUOBQIZRUTVAUQBUKUOUPVAJZUMUQJTUSVAAB
      UPUOUSJCVBTUDOUEUFUGUH $.

    $d x O $.  $d x R $.  $d x .0. $.  $d x I $.
    ${
      oppgid.2 $e |- .0. = ( 0g ` R ) $.
      $( Zero in a monoid is a symmetric notion.  (Contributed by Stefan
         O'Rear, 26-Aug-2015.)  (Revised by Mario Carneiro, 16-Sep-2015.) $)
      oppgid $p |- .0. = ( 0g ` O ) $=
        ( vx vy cv cbs cfv cplusg co wceq wa wral eqid oppgplus eqeq1i grpidval
        cio wcel c0g ancom anbi12i bitr4i ralbii anbi2i iotabii oppgbas 3eqtr4i
        ) FHZAIJZUAZUKGHZAKJZLZUNMZUNUKUOLZUNMZNZGULOZNZFTUMUKUNBKJZLZUNMZUNUKV
        CLZUNMZNZGULOZNZFTCBUBJZVBVJFVAVIUMUTVHGULUTUSUQNVHUQUSUCVEUSVGUQVDURUN
        UOVCABUKUNUOPZDVCPZQRVFUPUNUOVCABUNUKVLDVMQRUDUEUFUGUHGULUOFACULPZVLESG
        ULVCFBVKULABDVNUIVMVKPSUJ $.
    $}

    $( The opposite of a group is a group.  (Contributed by Stefan O'Rear,
       26-Aug-2015.) $)
    oppggrp $p |- ( R e. Grp -> O e. Grp ) $=
      ( vx cgrp wcel cbs cfv cplusg cv cminusg c0g wceq eqid oppgbas a1i oppgid
      eqidd cmnd co grpmnd oppgmnd syl grpinvcl oppgplus grprinv eqtrid isgrpd2
      wa ) AEFZDAGHZBIHZBDJZAKHZHZALHZUKBGHMUJUKABCUKNZOPUJULRUPBLHMUJABUPCUPNZ
      QPUJASFBSFAUAABCUBUCUKAUNUMUQUNNZUDUJUMUKFUIUOUMULTUMUOAIHZTUPUTULABUOUMU
      TNZCULNUEUKUTAUNUMUPUQVAURUSUFUGUH $.

    $( Bidirectional form of ~ oppggrp .  (Contributed by Stefan O'Rear,
       26-Aug-2015.) $)
    oppggrpb $p |- ( R e. Grp <-> O e. Grp ) $=
      ( vx vy cgrp wcel oppggrp cfv eqid wtru cbs wceq oppgbas a1i cv cplusg co
      wa oppgplus coppg wb eqidd eqtri grppropd mptru sylib impbii ) AFGZBFGZAB
      CHUJBUAIZFGZUIBUKUKJZHULUIUBKDEALIZUKAUNUKLIMKUNBUKUMUNABCUNJNNOKUNUCDPZE
      PZUKQIZRZUOUPAQIZRZMKUOUNGUPUNGSSURUPUOBQIZRUTVAUQBUKUOUPVAJZUMUQJTUSVAAB
      UPUOUSJCVBTUDOUEUFUGUH $.

    ${
      oppginv.2 $e |- I = ( invg ` R ) $.
      $( Inverses in a group are a symmetric notion.  (Contributed by Stefan
         O'Rear, 26-Aug-2015.) $)
      oppginv $p |- ( R e. Grp -> I = ( invg ` O ) ) $=
        ( vx cgrp wcel cminusg cfv cbs wf cv cplusg co c0g wceq wral eqid wa wb
        grpinvf oppgplus grprinv eqtrid ralrimiva oppggrp isgrpinv syl mpbi2and
        oppgbas oppgid eqcomd ) AGHZCIJZBUNAKJZUPBLZFMZBJZURCNJZOZAPJZQZFUPRZUO
        BQZUPABUPSZEUBUNVCFUPUNURUPHTVAURUSANJZOVBVGUTACUSURVGSZDUTSZUCUPVGABUR
        VBVFVHVBSZEUDUEUFUNCGHUQVDTVEUAACDUGFUPUTCBUOVBUPACDVFUKVIACVBDVJULUOSU
        HUIUJUM $.
    $}
  $}

  ${
    $d x y G $.  $d x y I $.  $d x y O $.
    invoppggim.o $e |- O = ( oppG ` G ) $.
    invoppggim.i $e |- I = ( invg ` G ) $.
    $( The inverse is an antiautomorphism on any group.  (Contributed by Stefan
       O'Rear, 26-Aug-2015.) $)
    invoppggim $p |- ( G e. Grp -> I e. ( G GrpIso O ) ) $=
      ( vx vy cgrp wcel cghm co cbs cfv wf1o cgim cplusg eqid oppgbas cv wa id
      oppggrp grpinvf wceq grpinvadd oppgplus eqtr4di isghmd grpinvf1o sylanbrc
      3expb isgim ) AHIZBACJKIALMZUNBNBACOKIUMFGAPMZCPMZACBUNUNUNQZUNACDUQRZUOQ
      ZUPQZUMUAZACDUBUNABUQEUCUMFSZUNIZGSZUNIZTTVBVDUOKBMZVDBMZVBBMZUOKZVHVGUPK
      UMVCVEVFVIUDUNUOABVBVDUQUSEUEUKUOUPACVHVGUSDUTUFUGUHUMUNABUQEVAUIUNUNACBU
      QURULUJ $.
  $}

  ${
    $d x y A $.  $d x y z G $.  $d x y z O $.  $d x Z $.
    oppggic.o $e |- O = ( oppG ` G ) $.
    $( Every group is (naturally) isomorphic to its opposite.  (Contributed by
       Stefan O'Rear, 26-Aug-2015.) $)
    oppggic $p |- ( G e. Grp -> G ~=g O ) $=
      ( cgrp wcel cminusg cfv cgim co cgic wbr eqid invoppggim brgici syl ) ADE
      AFGZABHIEABJKAPBCPLMABPNO $.

    $( Being a submonoid is a symmetric property.  (Contributed by Mario
       Carneiro, 17-Sep-2015.) $)
    oppgsubm $p |- ( SubMnd ` G ) = ( SubMnd ` O ) $=
      ( vx vy vz csubmnd cfv cv wcel cmnd submrcl oppgmndb cplusg wral w3a eqid
      co wb issubm sylibr cbs wss ralcom oppgplus eleq1i 2ralbii bitr4i 3anbi3i
      c0g a1i oppgbas oppgid sylbi 3bitr4d pm5.21nii eqriv ) DAGHZBGHZDIZURJZAK
      JZUTUSJZUTALVCBKJZVBUTBLABCMZUAVBUTAUBHZUCZAUJHZUTJZEIZFIZANHZRZUTJZFUTOE
      UTOZPZVGVIVKVJBNHZRZUTJZEUTOFUTOZPZVAVCVPWASVBVOVTVGVIVOVNEUTOFUTOVTVNEFU
      TUTUDVSVNFEUTUTVRVMUTVLVQABVKVJVLQZCVQQZUEUFUGUHUIUKEFVFVLUTAVHVFQZVHQZWB
      TVBVDVCWASVEFEVFVQUTBVHVFABCWDULABVHCWEUMWCTUNUOUPUQ $.

    $( Being a subgroup is a symmetric property.  (Contributed by Mario
       Carneiro, 17-Sep-2015.) $)
    oppgsubg $p |- ( SubGrp ` G ) = ( SubGrp ` O ) $=
      ( vx vy csubg cfv cv wcel cgrp subgrcl oppggrpb sylibr csubmnd cminusg wa
      wral wb eqid issubg3 oppgsubm eleq2i oppginv fveq1d ralbidv anbi12d sylbi
      a1i eleq1d 3bitr4d pm5.21nii eqriv ) DAFGZBFGZDHZUMIZAJIZUOUNIZUOAKURBJIZ
      UQUOBKABCLZMUQUOANGZIZEHZAOGZGZUOIZEUOQZPUOBNGZIZVCBOGZGZUOIZEUOQZPZUPURU
      QVBVIVGVMVBVIRUQVAVHUOABCUAUBUHUQVFVLEUOUQVEVKUOUQVCVDVJAVDBCVDSZUCUDUIUE
      UFEUOAVDVOTUQUSURVNRUTEUOBVJVJSTUGUJUKUL $.

    ${
      oppgcntz.z $e |- Z = ( Cntz ` G ) $.
      $( A centralizer in a group is the same as the centralizer in the
         opposite group.  (Contributed by Mario Carneiro, 21-Apr-2016.) $)
      oppgcntz $p |- ( Z ` A ) = ( ( Cntz ` O ) ` A ) $=
        ( vx vy cfv cv wcel cplusg co wceq wral wa eqid oppgplus anbi2i cvv cbs
        ccntz eqcom eqeq12i bitr4i ralbii cntzrcl simprd elcntz oppgbas 3bitr4i
        wss biadanii eqriv ) GADIZACUBIZIZABUAIZULZGJZURKZUTHJZBLIZMZVBUTVCMZNZ
        HAOZPZPUSVAUTVBCLIZMZVBUTVIMZNZHAOZPZPUTUOKZUTUQKZVHVNUSVGVMVAVFVLHAVFV
        EVDNVLVDVEUCVJVEVKVDVCVIBCUTVBVCQZEVIQZRVCVIBCVBUTVQEVRRUDUEUFSSVOUSVHV
        OBTKUSURABUTDURQZFUGUHHUTURVCABDVSVQFUIUMVPUSVNVPCTKUSURACUTUPURBCEVSUJ
        ZUPQZUGUHHUTURVIACUPVTVRWAUIUMUKUN $.
    $}

    ${
      oppgcntr.z $e |- Z = ( Cntr ` G ) $.
      $( The center of a group is the same as the center of the opposite group.
         (Contributed by Mario Carneiro, 21-Apr-2016.) $)
      oppgcntr $p |- Z = ( Cntr ` O ) $=
        ( cbs cfv ccntz ccntr eqid oppgcntz cntrval eqtr4i oppgbas 3eqtr3i ) AF
        GZAHGZGZPBHGZGCBIGPABQDQJZKRAIGCPAQPJZTLEMPBSPABDUANSJLO $.
    $}
  $}

  ${
    $d x y z B $.  $d x y z M $.  $d x y z O $.  $d x W $.
    gsumwrev.b $e |- B = ( Base ` M ) $.
    gsumwrev.o $e |- O = ( oppG ` M ) $.
    $( A sum in an opposite monoid is the regular sum of a reversed word.
       (Contributed by Stefan O'Rear, 27-Aug-2015.)  (Proof shortened by Mario
       Carneiro, 28-Feb-2016.) $)
    gsumwrev $p |- ( ( M e. Mnd /\ W e. Word B ) ->
        ( O gsum W ) = ( M gsum ( reverse ` W ) ) ) $=
      ( wcel cgsu co creverse cfv wceq wi c0 cconcat oveq2 fveq2 oveq2d eqeq12d
      imbi2d vx vy vz cword cmnd cv cs1 rev0 eqtrdi c0g oppgid gsum0 eqtr4i a1i
      eqid wa cplusg oppgmnd adantr simprl simprr s1cld oppgbas syl3anc gsumws1
      gsumccat ad2antll oppgplus eqtrd revccat syl2anc revs1 oveq1i simpl revcl
      ad2antrl oveq1d 3eqtrd syl5ibr expcom a2d wrdind impcom ) DAUDZGBUEGZCDHI
      ZBDJKZHIZLZWECUAUFZHIZBWJJKZHIZLZMWECNHIZBNHIZLZMWECUBUFZHIZBWRJKZHIZLZMW
      ECWRUCUFZUGZOIZHIZBXEJKZHIZLZMWEWIMUAUBUCDAWJNLZWNWQWEXJWKWOWMWPWJNCHPXJW
      LNBHXJWLNJKNWJNJQUHUIRSTWJWRLZWNXBWEXKWKWSWMXAWJWRCHPXKWLWTBHWJWRJQRSTWJX
      ELZWNXIWEXLWKXFWMXHWJXECHPXLWLXGBHWJXEJQRSTWJDLZWNWIWEXMWKWFWMWHWJDCHPXMW
      LWGBHWJDJQRSTWQWEWOBUJKZWPCXNBCXNFXNUOZUKULBXNXOULUMUNWRWDGZXCAGZUPZWEXBX
      IWEXRXBXIMXBXIWEXRUPZXCWSBUQKZIZXCXAXTIZLWSXAXCXTPXSXFYAXHYBXSXFWSCXDHIZC
      UQKZIZYAXSCUEGZXPXDWDGZXFYELWEYFXRBCFURUSWEXPXQUTZXSXCAWEXPXQVAVBZAYDCWRX
      DABCFEVCZYDUOZVFVDXSYEWSXCYDIYAXSYCXCWSYDXQYCXCLWEXPAXCCYJVEVGRXTYDBCWSXC
      XTUOZFYKVHUIVIXSXHBXDWTOIZHIZBXDHIZXAXTIZYBXSXGYMBHXSXGXDJKZWTOIZYMXSXPYG
      XGYRLYHYIAWRXDVJVKYQXDWTOXCVLVMUIRXSWEYGWTWDGZYNYPLWEXRVNYIXPYSWEXQAWRVOV
      PAXTBXDWTEYLVFVDXSYOXCXAXTXQYOXCLWEXPAXCBEVEVGVQVRSVSVTWAWBWC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Symmetric groups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Definition and basic properties
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  <HTML>
  According to Wikipedia ("Symmetric group", 09-Mar-2019,
~ https://en.wikipedia.org/wiki/symmetric_group ) "In abstract algebra, the
symmetric group defined over any set is the group whose elements are all the
bijections from the set to itself, and whose group operation is the composition
of functions." and according to Encyclopedia of Mathematics ("Symmetric group",
09-Mar-2019, ~ https://www.encyclopediaofmath.org/index.php/Symmetric_group )
"The group of all permutations (self-bijections) of a set with the operation of
composition (see Permutation group).". In [Rotman] p. 27 "If X is a nonempty
set, a permutation of X is a function a : X -> X that is a one-to-one
correspondence." and "If X is a nonempty set, the symmetric group on X, denoted
S<sub>X</sub>, is the group whose elements are the permutations of X and whose
binary operation is composition of functions.". Therefore, we define the
<b>symmetric group</b> on a set ` A ` as the set of one-to-one onto functions
from ` A ` to itself under function composition, see ~ df-symg . However, the
set is allowed to be empty, see ~ symgbas0 . <i>Hint: The symmetric groups
should not be confused with "symmetry groups" which is a different topic in
group theory.</i>
<br><br>
In this context, the one-to-one onto functions are called <b>permutations</b>
for short. Since the base set of symmetric groups on a set ` A ` is the set of
all permutations of ` A ` (see ~ symgbas ), we can formally say
` P e. ( SymGrp `` A ) ` expressing "` P ` is a permutation of ` A `" if we are
not interested in the group (or topology) structure.
<br><br>
In general, a <b>permutation group</b> "... is a group G whose elements are
permutations of a given set M and whose group operation is the composition of
permutations in G (which are thought of as bijective functions from the set M
to itself)." (see Wikipedia "Permutation group", 17-Mar-2019,
~ https://en.wikipedia.org/wiki/Permutation_group ). This means that a
symmetric group is a permutation group, and each permutation group is a
subgroup of a symmetric group (see ~ pgrpsubgsymgbi and ~ pgrpsubgsymg ). For
example, the structure with the singleton containing only the identity function
restricted to a set as base set and the function composition as group
operation is a permutation group (group consisting of permutations), see
~ idrespermg , which is a (proper) subgroup of a symmetric group, see
~ idressubgsymg .
<br><br>
As in [Rotman] p. 28 "Let ` x e. X ` and ` p e. SymGrp ( X ) ` ; we say ` p `
<b>fixes</b> ` x ` if ` ( p `` x ) = x `; otherwise ` p ` <b>moves</b> ` x `.".
The theorems starting with ~ symgfix2 are about fixed/moved elements.
</HTML>

$)

  $c SymGrp $.

  $( Extend class notation to include the class of symmetric groups. $)
  csymg $a class SymGrp $.

  ${
    $d h x $.
    $( Define the symmetric group on set ` x ` .  We represent the group as the
       set of one-to-one onto functions from ` x ` to itself under function
       composition, and topologize it as a function space assuming the set is
       discrete.  This definition is based on the fact that a symmetric group
       is a restriction of the monoid of endofunctions.  (Contributed by Paul
       Chapman, 25-Feb-2008.)  (Revised by AV, 28-Mar-2024.) $)
    df-symg $a |- SymGrp = ( x e. _V
                  |-> ( ( EndoFMnd ` x ) |`s { h | h : x -1-1-onto-> x } ) ) $.
  $}

  ${
    $d A h x $.
    symgval.1 $e |- G = ( SymGrp ` A ) $.
    symgval.2 $e |- B = { x | x : A -1-1-onto-> A } $.
    $( The value of the symmetric group function at ` A ` .  (Contributed by
       Paul Chapman, 25-Feb-2008.)  (Revised by Mario Carneiro, 12-Jan-2015.)
       (Revised by AV, 28-Mar-2024.) $)
    symgval $p |- G = ( ( EndoFMnd ` A ) |`s B ) $=
      ( vh csymg cfv cefmnd cress co cvv wceq cv wf1o cab a1i nfcv c0 wcel cmpt
      df-symg fveq2 eqidd f1oeq123d abbidv f1oeq1 cbvabv eqtrdi eqtr4di oveq12d
      id adantl ovexd nfv nfab1 nfcxfr nfov fvmptdf ress0 fvprc oveq1d 3eqtr4rd
      wn pm2.61i eqtri ) DBHIZBJIZCKLZEBMUAZVHVJNVKABAOZJIZVLVLGOZPZGQZKLZVJMHM
      HAMVQUBNVKAGUCRVLBNZVQVJNVKVRVMVIVPCKVLBJUDVRVPBBVLPZAQZCVRVPBBVNPZGQVTVR
      VOWAGVRVLBVLBVNVNVRVNUEVRUMZWBUFUGWAVSGABBVNVLUHUIUJFUKULUNVKUMVKVICKUOVK
      AUPABSAVICKAVISAKSACVTFVSAUQURUSUTVKVEZTCKLZTVJVHWDTNWCCVARWCVITCKBJVBVCB
      HVBVDVFVG $.
  $}

  ${
    $d A f $.
    $( Obsolete version of ~ f1osetex as of 8-Aug-2024.  (Contributed by AV,
       30-Mar-2024.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    permsetexOLD $p |- ( A e. V -> { f | f : A -1-1-onto-> A } e. _V ) $=
      ( wcel cv wf1o cab wf cvv mapex anidms wss f1of ss2abi a1i ssexd ) ACDZAA
      BEZFZBGZAARHZBGZIQUBIDAACCBJKTUBLQSUABAARMNOP $.
  $}

  ${
    $d f x A $.  $d x F $.  $d x V $.
    symgbas.1 $e |- G = ( SymGrp ` A ) $.
    symgbas.2 $e |- B = ( Base ` G ) $.
    $( The base set of the symmetric group.  (Contributed by Mario Carneiro,
       12-Jan-2015.)  (Proof shortened by AV, 29-Mar-2024.) $)
    symgbas $p |- B = { x | x : A -1-1-onto-> A } $=
      ( cefmnd cfv cv wf1o cab cress co cbs eqid symgval eqcomi fveq2i wss wceq
      wf f1of ss2abi efmndbasabf sseqtrri ressbas2 ax-mp 3eqtr4ri ) BGHZBBAIZJZ
      AKZLMZNHZDNHULCUMDNDUMABULDEULOPQRULUINHZSULUNTULBBUJUAZAKUOUKUPABBUJUBUC
      BUOAUIUIOUOOZUDUEULUOUMUIUMOUQUFUGFUH $.

    $( Obsolete as of 8-Aug-2024. ` B e. _V ` follows immediatly from ~ fvex .
       (Contributed by AV, 30-Mar-2024.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    symgbasexOLD $p |- ( A e. V -> B e. _V ) $=
      ( vf wcel cv wf1o cab cvv symgbas permsetexOLD eqeltrid ) ADHBAAGIJGKLGAB
      CEFMAGDNO $.

    $( Two ways of saying a function is a 1-1-onto mapping of A to itself.
       (Contributed by Mario Carneiro, 28-Jan-2015.) $)
    elsymgbas2 $p |- ( F e. V -> ( F e. B <-> F : A -1-1-onto-> A ) ) $=
      ( vx cv wf1o f1oeq1 symgbas elab2g ) AAHIZJAACJHCBEAANCKHABDFGLM $.

    $( Two ways of saying a function is a 1-1-onto mapping of A to itself.
       (Contributed by Paul Chapman, 25-Feb-2008.)  (Revised by Mario Carneiro,
       28-Jan-2015.) $)
    elsymgbas $p |- ( A e. V -> ( F e. B <-> F : A -1-1-onto-> A ) ) $=
      ( wcel cvv wf1o wi elex a1i wf f1of fex expcom syl5 wb elsymgbas2
      pm5.21ndd ) AEHZCIHZCBHZAACJZUDUCKUBCBLMUEAACNZUBUCAACOUFUBUCAAECPQRUCUDU
      ESKUBABCDIFGTMUA $.

    $( Elements in the symmetric group are 1-1 onto functions.  (Contributed by
       SO, 9-Jul-2018.) $)
    symgbasf1o $p |- ( F e. B -> F : A -1-1-onto-> A ) $=
      ( wcel wf1o elsymgbas2 ibi ) CBGAACHABCDBEFIJ $.

    $( A permutation (element of the symmetric group) is a function from a set
       into itself.  (Contributed by AV, 1-Jan-2019.) $)
    symgbasf $p |- ( F e. B -> F : A --> A ) $=
      ( wcel wf1o wf symgbasf1o f1of syl ) CBGAACHAACIABCDEFJAACKL $.

    $( A permutation (element of the symmetric group) is a mapping (or set
       exponentiation) from a set into itself.  (Contributed by AV,
       30-Mar-2024.) $)
    symgbasmap $p |- ( F e. B -> F e. ( A ^m A ) ) $=
      ( wcel wf cmap co symgbasf wa simpr cvv dmfex elmapd mpbird mpdan ) CBGZA
      ACHZCAAIJGZABCDEFKSTLZUATSTMUBAACNNAABCOZUCPQR $.

    $( The symmetric group on ` n ` objects has cardinality ` n ! ` .
       (Contributed by Mario Carneiro, 22-Jan-2015.) $)
    symghash $p |- ( A e. Fin -> ( # ` B ) = ( ! ` ( # ` A ) ) ) $=
      ( vf cfn wcel chash cfv cv wf1o cab cfa symgbas fveq2i hashfac eqtrid ) A
      GHBIJAAFKLFMZIJAIJNJBSIFABCDEOPAFQR $.

    $( The symmetric group on a finite index set is finite.  (Contributed by
       SO, 9-Jul-2018.) $)
    symgbasfi $p |- ( A e. Fin -> B e. Fin ) $=
      ( vf cfn wcel cmap co mapfi anidms cv wf wf1o symgbas f1of ss2abi eqsstri
      cab wceq mapvalg sseqtrrid ssfid ) AGHZAAIJZBUEUFGHAAKLUEAAFMZNZFTZBUFBAA
      UGOZFTUIFABCDEPUJUHFAAUGQRSUEUFUIUAAAGGFUBLUCUD $.

    $( The function value of a permutation.  (Contributed by AV,
       1-Jan-2019.) $)
    symgfv $p |- ( ( F e. B /\ X e. A ) -> ( F ` X ) e. A ) $=
      ( wcel symgbasf ffvelrnda ) CBHAAECABCDFGIJ $.

    $( The function values of a permutation for different arguments are
       different.  (Contributed by AV, 8-Jan-2019.) $)
    symgfvne $p |- ( ( F e. B /\ X e. A /\ Y e. A ) -> ( ( F ` X ) = Z
                   -> ( Y =/= X -> ( F ` Y ) =/= Z ) ) ) $=
      ( wcel cfv wceq wne wi wf1o wf1 symgbasf1o f1of1 w3a wa eqeq2 simp1 simp3
      wb eqcoms adantl simp2 f1veqaeq syl12anc adantr sylbid necon3d 3exp1 3syl
      3imp ) CBJZEAJZFAJZECKZGLZFEMFCKZGMNZNZUPAACOAACPZUQURVCNNABCDHIQAACRVDUQ
      URUTVBVDUQURSZUTTZVAGFEVFVAGLZVAUSLZFELZUTVGVHUDZVEVJGUSGUSVAUAUEUFVEVHVI
      NZUTVEVDURUQVKVDUQURUBVDUQURUCVDUQURUGAAFECUHUIUJUKULUMUNUO $.

    symgressbas.m $e |- M = ( EndoFMnd ` A ) $.
    $( The symmetric group on ` A ` characterized as structure restriction of
       the monoid of endofunctions on ` A ` to its base set.  (Contributed by
       AV, 30-Mar-2024.) $)
    symgressbas $p |- G = ( M |`s B ) $=
      ( vf cefmnd cfv cv wf1o cab cress co eqid symgval symgbas oveq12i eqtr4i
      ) CAIJZAAHKLHMZNODBNOHAUBCEUBPQDUABUBNGHABCEFRST $.
  $}

  ${
    $d A f g $.  $d B f g $.
    symgplusg.1 $e |- G = ( SymGrp ` A ) $.
    symgplusg.2 $e |- B = ( A ^m A ) $.
    symgplusg.3 $e |- .+ = ( +g ` G ) $.
    $( The group operation of a symmetric group is the function composition.
       (Contributed by Paul Chapman, 25-Feb-2008.)  (Revised by Mario Carneiro,
       28-Jan-2015.)  (Proof shortened by AV, 19-Feb-2024.)  (Revised by AV,
       29-Mar-2024.)  (Proof shortened by AV, 14-Aug-2024.) $)
    symgplusg $p |- .+ = ( f e. B , g e. B |-> ( f o. g ) ) $=
      ( cplusg cfv cefmnd cv ccom cmpo wf1o cab co cvv eqid cress wcel f1osetex
      wceq ressplusg ax-mp symgval eqcomi fveq2i eqtri cmap cbs efmndbas eqtr4i
      efmndplusg 3eqtr2i ) CFJKZALKZJKZDEBBDMZEMNOIUSURAAUTPDQZUARZJKZUQVASUBUS
      VCUDAADUCVAUSURVBSVBTUSTZUEUFVBFJFVBDAVAFGVATUGUHUIUJABUSDEURURTZBAAUKRUR
      ULKZHAVFURVEVFTUMUNVDUOUP $.
  $}

  ${
    $d f g A $.  $d f g B $.  $d f g X $.  $d f g Y $.
    symgov.1 $e |- G = ( SymGrp ` A ) $.
    symgov.2 $e |- B = ( Base ` G ) $.
    symgov.3 $e |- .+ = ( +g ` G ) $.
    $( The value of the group operation of the symmetric group on ` A ` .
       (Contributed by Paul Chapman, 25-Feb-2008.)  (Revised by Mario Carneiro,
       28-Jan-2015.)  (Revised by AV, 30-Mar-2024.) $)
    symgov $p |- ( ( X e. B /\ Y e. B ) -> ( X .+ Y ) = ( X o. Y ) ) $=
      ( vf vg wcel wa cmap co cv ccom wceq adantl symgbasmap cvv cmpo symgplusg
      eqid a1i simpl simpr coeq12d adantr coexg ovmpod ) EBLZFBLZMZJKEFAANOZUOJ
      PZKPZQZEFQZCUACJKUOUOURUBRUNAUOCJKDGUOUDIUCUEUPERZUQFRZMZURUSRUNVBUPEUQFU
      TVAUFUTVAUGUHSULEUOLUMABEDGHTUIUMFUOLULABFDGHTSEFBBUJUK $.

    $( The group operation of the symmetric group on ` A ` is closed, i.e. a
       magma.  (Contributed by Mario Carneiro, 12-Jan-2015.)  (Revised by Mario
       Carneiro, 28-Jan-2015.) $)
    symgcl $p |- ( ( X e. B /\ Y e. B ) -> ( X .+ Y ) e. B ) $=
      ( wcel wa co ccom symgov wf1o symgbasf1o f1oco syl2an cvv wb coexg mpbird
      elsymgbas2 syl eqeltrd ) EBJZFBJZKZEFCLEFMZBABCDEFGHINUHUIBJZAAUIOZUFAAEO
      AAFOUKUGABEDGHPABFDGHPAAAEFQRUHUISJUJUKTEFBBUAABUIDSGHUCUDUBUE $.
  $}

  ${
    idresperm.g $e |- G = ( SymGrp ` A ) $.
    $( The identity function restricted to a set is a permutation of this set.
       (Contributed by AV, 17-Mar-2019.) $)
    idresperm $p |- ( A e. V -> ( _I |` A ) e. ( Base ` G ) ) $=
      ( wcel cid cres cbs cfv wf1o f1oi eqid elsymgbas mpbiri ) ACEFAGZBHIZEAAO
      JAKAPOBCDPLMN $.
  $}

  ${
    $d N k n $.  $d P n $.  $d Q k n $.
    symgmov1.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    $( For a permutation of a set, each element of the set replaces an(other)
       element of the set.  (Contributed by AV, 2-Jan-2019.) $)
    symgmov1 $p |- ( Q e. P -> A. n e. N E. k e. N ( Q ` n ) = k ) $=
      ( wcel cv cfv wceq wrex wa csymg eqid symgfv clel5 sylib ralrimiva ) BAGZ
      DHZBIZCHJCEKZDESTEGLUAEGUBEABEMIZTUCNFOCEUAPQR $.

    $( For a permutation of a set, each element of the set is replaced by
       an(other) element of the set.  (Contributed by AV, 2-Jan-2019.) $)
    symgmov2 $p |- ( Q e. P -> A. n e. N E. k e. N ( Q ` k ) = n ) $=
      ( wcel wf1o wfo cv cfv wceq wrex wral csymg eqid symgbasf1o f1ofo foelrni
      ralrimiva 3syl ) BAGEEBHEEBIZCJBKDJZLCEMZDENEABEOKZUEPFQEEBRUBUDDECEEBUCS
      TUA $.
  $}

  $( The base set of the symmetric group on the empty set is the singleton
     containing the empty set.  (Contributed by AV, 27-Feb-2019.) $)
  symgbas0 $p |- ( Base ` ( SymGrp ` (/) ) ) = { (/) } $=
    ( vf c0 wf1o cab wceq csymg cfv cbs eqid f1o00 mpbiran2 abbii symgbas df-sn
    cv csn 3eqtr4i ) BBAOZCZADRBEZADBFGZHGZBPSTASTBBEBIBRJKLABUBUAUAIUBIMABNQ
    $.

  ${
    symg1bas.1 $e |- G = ( SymGrp ` A ) $.
    symg1bas.2 $e |- B = ( Base ` G ) $.
    ${
      symg1bas.0 $e |- A = { I } $.
      $( The symmetric group on a singleton has cardinality ` 1 ` .
         (Contributed by AV, 9-Dec-2018.) $)
      symg1hash $p |- ( I e. V -> ( # ` B ) = 1 ) $=
        ( wcel chash cfv cfa c1 cfn wceq csn snfi eqeltri symghash eqtrid ax-mp
        fveq2i hashsng fveq2d fac1 eqtrdi ) DEIZBJKZAJKZLKZMANIUHUJOADPZNHDQRAB
        CFGSUAUGUJMLKMUGUIMLUGUIUKJKMAUKJHUBDEUCTUDUEUFT $.

      $d A f p $.  $d I p $.  $d V p $.
      $( The symmetric group on a singleton is the symmetric group S_1
         consisting of the identity only.  (Contributed by AV, 9-Dec-2018.) $)
      symg1bas $p |- ( I e. V -> B = { { <. I , I >. } } ) $=
        ( vf vp wcel cv wf1o cab cop csn wceq wb anidms f1oeq1 symgbas eqidd id
        f1oeq123d ax-mp wf f1of fsng syl5ib f1osng syl5ibrcom impbid syl5bb vex
        elab velsn 3bitr4g eqrdv eqtrid ) DEKZBAAILZMZINZDDOPZPZIABCFGUAUTJVCVE
        UTAAJLZMZVFVDQZVFVCKVFVEKVGDPZVIVFMZUTVHAVIQZVGVJRHVKAVIAVIVFVFVKVFUBVK
        UCZVLUDUEUTVJVHVJVIVIVFUFZUTVHVIVIVFUGUTVMVHRDDEEVFUHSUIUTVJVHVIVIVDMZU
        TVNDDEEUJSVIVIVFVDTUKULUMVBVGIVFJUNAAVAVFTUOJVDUPUQURUS $.
    $}

    ${
      symg2bas.0 $e |- A = { I , J } $.
      $( The symmetric group on a (proper) pair has cardinality ` 2 ` .
         (Contributed by AV, 9-Dec-2018.) $)
      symg2hash $p |- ( ( I e. V /\ J e. W /\ I =/= J ) -> ( # ` B ) = 2 ) $=
        ( wcel w3a chash cfv cfa c2 cfn wceq cvv elex wne prfi eqeltri symghash
        cpr ax-mp fveq2i id 3anim123i hashprb sylib eqtrid fveq2d fac2 eqtrdi )
        DFKZEGKZDEUAZLZBMNZAMNZONZPAQKUTVBRADEUEZQJDEUBUCABCHIUDUFUSVBPONPUSVAP
        OUSVAVCMNZPAVCMJUGUSDSKZESKZURLVDPRUPVEUQVFURURDFTEGTURUHUIDEUJUKULUMUN
        UOUL $.

      $( The symmetric group on a pair is the symmetric group S_2 consisting of
         the identity and the transposition.  Notice that this statement is
         valid for proper pairs only.  In the case that both elements are
         identical, i.e., the pairs are actually singletons, this theorem would
         be about S_1, see Theorem ~ symg1bas .  (Contributed by AV,
         9-Dec-2018.)  (Proof shortened by AV, 16-Jun-2022.) $)
      symg2bas $p |- ( ( I e. V /\ J e. W )
                       -> B = { { <. I , I >. , <. J , J >. } ,
                                { <. I , J >. , <. J , I >. } } ) $=
        ( wceq wcel wa cpr cfv eqid id cvv wne sylibr cop csn symg1bas ad2antll
        csymg cbs df-pr uneq1d adantr unidm eqtrdi eqtrid fveq2d opeq12d preq1d
        cun sneq opex preqsn mpbir2an opeq1 opeq2 preq12d snex 3eqtr4d wn chash
        c2 fvexi a1i w3a neqne anim2i df-3an ancoms symg2hash syl ancri anim12i
        wf1o df-ne sylbir f1oprg imp syl2anr wb eqidd f1oeq123d prex elsymgbas2
        ax-mp f1oprswap adantl wo pm3.2i opthg2 eqtr syl6bi necon3d com12 opthg
        wi simpl jca orcd prneimg mpsyl hash2prd syl23anc pm2.61ian ) DEKZDFLZE
        GLZMZBDDUAZEEUAZNZDEUAZEDUAZNZNZKZXKXNMZEUBZUEOZUFOZXPUBZUBZBYAXMYFYHKX
        KXLYDYFYEEGYEPYFPYDPUCUDYCBCUFOYFIYCCYEUFYCCAUEOYEHYCAYDUEYCADENZYDJYCY
        IDUBZYDUPZYDDEUGYCYKYDYDUPZYDXKYKYLKXNXKYJYDYDDEUQUHUIYDUJUKULULUMULUMU
        LYCYAYGYGNZYHYCXQYGXTYGYCXQXPXPNZYGYCXOXPXPXKXOXPKXNXKDEDEXKQZYOUNUIUOY
        NYGKXPXPKZYPXPPZYQXPXPXPEEURZYRUSUTZUKXKXTYGKXNXKXTYNYGXKXRXPXSXPDEEVAD
        EEVBVCYSUKUIVCYMYHKYGYGKZYTYGPZUUAYGYGYGXPVDZUUBUSUTUKVEXKVFZXNMZBRLZBV
        GOVHKZXQBLZXTBLZXQXTSZYBUUEUUDBCUFIVIVJUUDXLXMDESZVKZUUFXNUUCUUKXNUUCMX
        NUUJMUUKUUCUUJXNDEVLVMXLXMUUJVNTVOABCDEFGHIJVPVQUUDAAXQVTZUUGUUDYIYIXQV
        TZUULXNXLXLMZXMXMMZMZUUJUUJMZUUMUUCXLUUNXMUUOXLXLXLQVRZXMXMXMQVRVSUUCUU
        JUUQDEWAZUUJUUJUUJQVRWBUUPUUQUUMDDEEFFGGWCWDWEAYIKZUULUUMWFJUUTAYIAYIXQ
        XQUUTXQWGUUTQZUVAWHWKTXQRLUUGUULWFXOXPWIABXQCRHIWJWKTUUDAAXTVTZUUHXNUVB
        UUCXNYIYIXTVTZUVBDEFGWLUUTUVBUVCWFJUUTAYIAYIXTXTUUTXTWGUVAUVAWHWKTWMXTR
        LUUHUVBWFXRXSWIABXTCRHIWJWKTXORLZXPRLZMZXRRLZXSRLZMZMUUDXOXRSZXOXSSZMZX
        PXRSXPXSSMZWNUUIUVFUVIUVDUVEDDURYRWOUVGUVHDEUREDURWOWOUUDUVLUVMUUDUVJUV
        KUUCXNUVJUUCUUJXNUVJXBUUSXNUUJUVJXNXOXRDEXNXOXRKDDKZXKMXKDDDEFGWPDDEWQW
        RWSWTWBWDUUCXNUVKUUCUUJXNUVKXBUUSXNUUJUVKXNXOXSDEXNXOXSKZXKUVNMZXKXNUUN
        UVOUVPWFXLUUNXMUURUIDDEDFFXAVQXKUVNXCWRWSWTWBWDXDXEXOXPXRXSRRRRXFXGUUEU
        UFMUUGUUHUUIVKYBBRXQXTXHWDXIXJ $.
    $}
  $}

  $( The symmetric group on the empty set is identical with the monoid of
     endofunctions on the empty set.  (Contributed by AV, 30-Mar-2024.) $)
  0symgefmndeq $p |- ( EndoFMnd ` (/) ) = ( SymGrp ` (/) ) $=
    ( c0 csymg cfv cefmnd csn wss wcel wceq ssid fvex p0ex eqid symgbas0 eqcomi
    cvv cbs symgressbas efmndbas0 ressid2 mp3an ) ABCZADCZAEZUCFUBOGUCOGUAUBHUC
    IADJKUCUCUAUBOOAUCUAUBUALUAPCUCMNUBLQUBPCUCRNSTN $.

  $( The symmetric group on a singleton ` A ` is identical with the monoid of
     endofunctions on ` A ` .  (Contributed by AV, 31-Mar-2024.) $)
  snsymgefmndeq $p |- ( A = { X } -> ( EndoFMnd ` A ) = ( SymGrp ` A ) ) $=
    ( cvv wcel csn wceq cefmnd cfv csymg wi cbs wss cop eqid efmnd1bas symg1bas
    ssidd fvexd fveq2 c0 3sstr4d symgressbas ressid2 syl3anc eqeq12d syl5ibrcom
    eqcomd wn snprc biimpi eqeq2d 0symgefmndeq 3eqtr4a syl6bi pm2.61i ) BCDZABE
    ZFZAGHZAIHZFZJUPVAURUQGHZUQIHZFUPVCVBUPVBKHZVCKHZLVBCDVECDVCVBFUPBBMEEZVFVD
    VEUPVFQUQVDVBBCVBNZVDNZUQNZOUQVEVCBCVCNZVENZVIPUAUPUQGRUPVCKRVEVDVCVBCCUQVE
    VCVBVJVKVGUBVHUCUDUGURUSVBUTVCAUQGSAUQISUEUFUPUHZURATFZVAVLUQTAVLUQTFBUIUJU
    KVMTGHTIHUSUTULATGSATISUMUNUO $.

  ${
    $d A x y $.  $d G x y $.  $d M x y $.  $d V x y $.
    symgpssefmnd.m $e |- M = ( EndoFMnd ` A ) $.
    symgpssefmnd.g $e |- G = ( SymGrp ` A ) $.
    $( For a set ` A ` with more than one element, the symmetric group on ` A `
       is a proper subset of the monoid of endofunctions on ` A ` .
       (Contributed by AV, 31-Mar-2024.) $)
    symgpssefmnd $p |- ( ( A e. V /\ 1 < ( # ` A ) )
                         -> ( Base ` G ) C. ( Base ` M ) ) $=
      ( vx vy wcel cfv wa cv wrex cbs w3a eqid wf adantr 3ad2ant2 wb c1 clt wbr
      chash wne wpss hashgt12el wi csn cxp wss co symgbasmap efmndbas eleqtrrdi
      cmap ssriv fconst6g elefmndbas 3ad2ant1 mpbird wn wf1o fconstg id 3adant1
      a1i 3expa nf1oconst syl2anc elsymgbas notbid ssnelpssd 3exp rexlimdvv mpd
      ) ADIZUAAUDJUBUCZKGLZHLZUEZHAMGAMZBNJZCNJZUFZADGHUGVQWBWEUHVRVQWAWEGHAAVQ
      VSAIZVTAIZKZWAWEVQWHWAOZWCWDAVSUIZUJZWCWDUKWIGWCWDVSWCIVSAAUPULWDAWCVSBFW
      CPZUMAWDCEWDPZUNUOUQVGWIWKWDIZAAWKQZWHVQWOWAWFWOWGAVSAURRSVQWHWNWOTWAAWDW
      KCDEWMUSUTVAWIWKWCIZVBZAAWKVCZVBZWIAWJWKQZWFWGWAOZWSWHVQWTWAWFWTWGAVSAVDR
      SWHWAXAVQWFWGWAXAXAVEVHVFAVSAWKVSVTVIVJVQWHWQWSTWAVQWPWRAWCWKBDFWLVKVLUTV
      AVMVNVORVP $.
  $}

  ${
    $d A f g $.  $d A x $.  $d B x $.  $d G x $.  $d J x $.  $d M f g $.
    $d V x $.  $d .+ x $.
    symgvalstruct.g $e |- G = ( SymGrp ` A ) $.
    symgvalstruct.b $e |- B = { x | x : A -1-1-onto-> A } $.
    symgvalstruct.m $e |- M = ( A ^m A ) $.
    symgvalstruct.p $e |- .+ = ( f e. M , g e. M |-> ( f o. g ) ) $.
    symgvalstruct.j $e |- J = ( Xt_ ` ( A X. { ~P A } ) ) $.
    $( The value of the symmetric group function at ` A ` represented as
       extensible structure with three slots.  This corresponds to the former
       definition of ` SymGrp ` .  (Contributed by Paul Chapman, 25-Feb-2008.)
       (Revised by Mario Carneiro, 12-Jan-2015.)  (Revised by AV, 31-Mar-2024.)
       (Proof shortened by AV, 6-Nov-2024.) $)
    symgvalstruct $p |- ( A e. V -> G = { <. ( Base ` ndx ) , B >. ,
        <. ( +g ` ndx ) , .+ >. , <. ( TopSet ` ndx ) , J >. } ) $=
      ( wcel cfv wceq c0 cvv chash cc0 c1 clt wbr w3o cnx cbs cplusg hashv01gt1
      cop cts ctp hasheq0 cefmnd csymg 0symgefmndeq eqcomi fveq2 eqtrid 3eqtr4a
      wa adantl eqid efmnd adantr cmap co csn 0map0sn0 id oveq12d cv cab fveq2d
      wf1o symgbas symgbas0 3eqtr3g opeq2d tpeq1d 3eqtrd ex sylbid wex hash1snb
      snex eleq1 mpbiri syl snsymgefmndeq eqtr4di eqtr4i 3eqtr3d exlimiv syl6bi
      efmndbas cin csts cdif cres cun wss wn ssnpss symgpssefmnd psseq12i nsyl3
      wpss sylibr fvexd f1osetex eqeltri symgval ressval2 syl3anc inex2 setsval
      a1i ovex sylancl cpr reseq1d uneq1d eqidd ccom cmpo mpoex cpw cxp cpt wne
      fvexi basendxnplusgndx necomi tsetndxnbasendx tpres uncom tpass wi ssrdv
      symgbasmap df-ss sylib 3jaod mpd ) BJPZBUAQZUBRZUUHUCRZUCUUHUDUEZUFGUGUHQ
      ZCUKZUGUIQZDUKZUGULQZHUKZUMZRZBJUJUUGUUIUUSUUJUUKUUGUUIBSRZUUSBJUNUUGUUTU
      USUUGUUTVBZGBUOQZUULIUKZUUOUUQUMZUURUUTGUVBRUUGUUTSUPQZSUOQZGUVBUVFUVEUQU
      RUUTGBUPQZUVEKBSUPUSUTZBSUOUSVAVCUUGUVBUVDRZUUTBIDEFUVBHJUVBVDZMNOVEZVFUV
      AUVCUUMUUOUUQUVAICUULUVAIBBVGVHZCMUUTUVLCRUUGUUTSSVGVHSVIZUVLCVJUUTBSBSVG
      UUTVKZUVNVLUUTCBBAVMZVPAVNZUVMLUUTGUHQZUVEUHQUVPUVMUUTGUVEUHUVHVOABUVQGKU
      VQVDVQZVRVSUTVAVCUTVTWAWBWCWDUUGUUJBUVOVIZRZAWEUUSBJAWFUVTUUSAUVTUVBUVDGU
      URUVTBTPZUVIUVTUWAUVSTPUVOWGBUVSTWHWIBIDEFUVBHTUVJMNOVEWJUVTUVBUVGGBUVOWK
      KWLZUVTUVCUUMUUOUUQUVTICUULUVTUVBUHQZUVQICUVTUVBGUHUWBVOUWCUVLIBUWCUVBUVJ
      UWCVDWQZMWMUVQUVPCUVRLWMVSVTWAWNWOWPUUGUUKUUSUUGUUKVBZGUVBUULCUVLWRZUKZWS
      VHZUVBTUULVIWTZXAZUWGVIZXBZUURUWEUVLCXCZXDUVBTPZCTPZGUWHRUWMCUVLXIZUWEUVL
      CXEUWEUVQUWCXIUWPBGUVBJUVJKXFCUVQUVLUWCCUVPUVQLUVRWMZUWCUVLUWDURZXGXJXHUW
      EBUOXKZUWOUWECUVPTLBBAXLXMXSCUVLGUVBTTABCGKLXNUWRXOXPUWEUWNUWFTPUWHUWLRUW
      SUVLCBBVGXTZXQUULUWFUVBTTXRYAUWEUWLUVDUWIXAZUWKXBUUOUUQYBZUWKXBZUURUWEUWJ
      UXAUWKUWEUVBUVDUWIUUGUVIUUKUVKVFYCYDUWEUXAUXBUWKUWEUULUUNUUPIUVDDHTUWEUVD
      YEUWEUGUIXKUWEUGULXKDTPUWEDEFIIEVMFVMYFZYGTNEFIIUXDIUVLTMUWTXMZUXEYHXMXSH
      TPUWEHBBYIVIYJYKOYMXSUUNUULYLUWEUULUUNYNYOXSUUPUULYLUWEYPXSYQYDUWEUXCUWGU
      UOUUQUMZUURUXCUWKUXBXBUXFUXBUWKYRUWGUUOUUQYSWMUWEUWGUUMUUOUUQUWEUWFCUULUW
      ECUVLXCUWFCRUWEACUVLUVOCPUVOUVLPYTUWEBCUVOGKUWQUUBXSUUACUVLUUCUUDVTWAUTWB
      WBWCUUEUUF $.
  $}

  ${
    $d A f g $.  $d A x $.  $d B x $.  $d G x $.  $d J x $.  $d M f g $.
    $d V x $.  $d .+ x $.
    symgvalstructOLD.g $e |- G = ( SymGrp ` A ) $.
    symgvalstructOLD.b $e |- B = { x | x : A -1-1-onto-> A } $.
    symgvalstructOLD.m $e |- M = ( A ^m A ) $.
    symgvalstructOLD.p $e |- .+ = ( f e. M , g e. M |-> ( f o. g ) ) $.
    symgvalstructOLD.j $e |- J = ( Xt_ ` ( A X. { ~P A } ) ) $.
    $( Obsolete proof of ~ symgvalstruct as of 6-Nov-2024.  The value of the
       symmetric group function at ` A ` represented as extensible structure
       with three slots.  This corresponds to the former definition of
       ` SymGrp ` .  (Contributed by Paul Chapman, 25-Feb-2008.)  (Revised by
       Mario Carneiro, 12-Jan-2015.)  (Revised by AV, 31-Mar-2024.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    symgvalstructOLD $p |- ( A e. V -> G = { <. ( Base ` ndx ) , B >. ,
        <. ( +g ` ndx ) , .+ >. , <. ( TopSet ` ndx ) , J >. } ) $=
      ( wcel cfv wceq c0 cvv chash cc0 c1 clt wbr w3o cnx cbs cplusg hashv01gt1
      cop cts ctp hasheq0 cefmnd csymg 0symgefmndeq eqcomi fveq2 eqtrid 3eqtr4a
      wa adantl eqid efmnd adantr cmap co csn 0map0sn0 id oveq12d cv cab fveq2d
      wf1o symgbas symgbas0 3eqtr3g opeq2d tpeq1d 3eqtrd ex sylbid wex hash1snb
      snex eleq1 mpbiri syl snsymgefmndeq eqtr4di eqtr4i 3eqtr3d exlimiv syl6bi
      efmndbas cin csts cdif cres cun wss wn ssnpss symgpssefmnd psseq12i nsyl3
      wpss sylibr fvexd f1osetex eqeltri symgval ressval2 syl3anc inex2 setsval
      a1i ovex sylancl cpr reseq1d uneq1d eqidd ccom cmpo mpoex cpw cxp cpt wne
      fvexi basendxnplusgndx necomi c9 tsetndx 1re 1lt9 gtneii df-base neeqtrri
      1nn ndxarg eqnetri tpres uncom tpass wi symgbasmap ssrdv df-ss sylib mpd
      3jaod ) BJPZBUAQZUBRZUUQUCRZUCUUQUDUEZUFGUGUHQZCUKZUGUIQZDUKZUGULQZHUKZUM
      ZRZBJUJUUPUURUVHUUSUUTUUPUURBSRZUVHBJUNUUPUVIUVHUUPUVIVBZGBUOQZUVAIUKZUVD
      UVFUMZUVGUVIGUVKRUUPUVISUPQZSUOQZGUVKUVOUVNUQURUVIGBUPQZUVNKBSUPUSUTZBSUO
      USVAVCUUPUVKUVMRZUVIBIDEFUVKHJUVKVDZMNOVEZVFUVJUVLUVBUVDUVFUVJICUVAUVJIBB
      VGVHZCMUVIUWACRUUPUVISSVGVHSVIZUWACVJUVIBSBSVGUVIVKZUWCVLUVICBBAVMZVPAVNZ
      UWBLUVIGUHQZUVNUHQUWEUWBUVIGUVNUHUVQVOABUWFGKUWFVDVQZVRVSUTVAVCUTVTWAWBWC
      WDUUPUUSBUWDVIZRZAWEUVHBJAWFUWIUVHAUWIUVKUVMGUVGUWIBTPZUVRUWIUWJUWHTPUWDW
      GBUWHTWHWIBIDEFUVKHTUVSMNOVEWJUWIUVKUVPGBUWDWKKWLZUWIUVLUVBUVDUVFUWIICUVA
      UWIUVKUHQZUWFICUWIUVKGUHUWKVOUWLUWAIBUWLUVKUVSUWLVDWQZMWMUWFUWECUWGLWMVSV
      TWAWNWOWPUUPUUTUVHUUPUUTVBZGUVKUVACUWAWRZUKZWSVHZUVKTUVAVIWTZXAZUWPVIZXBZ
      UVGUWNUWACXCZXDUVKTPZCTPZGUWQRUXBCUWAXIZUWNUWACXEUWNUWFUWLXIUXEBGUVKJUVSK
      XFCUWFUWAUWLCUWEUWFLUWGWMZUWLUWAUWMURZXGXJXHUWNBUOXKZUXDUWNCUWETLBBAXLXMX
      SCUWAGUVKTTABCGKLXNUXGXOXPUWNUXCUWOTPUWQUXARUXHUWACBBVGXTZXQUVAUWOUVKTTXR
      YAUWNUXAUVMUWRXAZUWTXBUVDUVFYBZUWTXBZUVGUWNUWSUXJUWTUWNUVKUVMUWRUUPUVRUUT
      UVTVFYCYDUWNUXJUXKUWTUWNUVAUVCUVEIUVMDHTUWNUVMYEUWNUGUIXKUWNUGULXKDTPUWND
      EFIIEVMFVMYFZYGTNEFIIUXMIUWATMUXIXMZUXNYHXMXSHTPUWNHBBYIVIYJYKOYMXSUVCUVA
      YLUWNUVAUVCYNYOXSUVEUVAYLUWNUVEYPUVAYQYPUCUVAUCYPYRYSYTUHUCUUAUUCUUDUUBUU
      EXSUUFYDUWNUXLUWPUVDUVFUMZUVGUXLUWTUXKXBUXOUXKUWTUUGUWPUVDUVFUUHWMUWNUWPU
      VBUVDUVFUWNUWOCUVAUWNCUWAXCUWOCRUWNACUWAUWDCPUWDUWAPUUIUWNBCUWDGKUXFUUJXS
      UUKCUWAUULUUMVTWAUTWBWBWCUUOUUN $.
  $}

  ${
    $d A f $.  $d V f $.
    symgsubmefmnd.m $e |- M = ( EndoFMnd ` A ) $.
    symgsubmefmnd.g $e |- G = ( SymGrp ` A ) $.
    symgsubmefmnd.b $e |- B = ( Base ` G ) $.
    $( The symmetric group on a set ` A ` is a submonoid of the monoid of
       endofunctions on ` A ` .  (Contributed by AV, 18-Feb-2024.) $)
    symgsubmefmnd $p |- ( A e. V -> B e. ( SubMnd ` M ) ) $=
      ( vf wcel cv wf1o cab csubmnd cfv symgbas wf1 wfo cin eqeltrid inab abbii
      wa df-f1o bicomi eqtr2i injsubmefmnd sursubmefmnd insubm syl2anc ) AEJZBA
      AIKZLZIMZDNOZIABCGHPUKUNAAULQZIMZAAULRZIMZSZUOUTUPURUCZIMUNUPURIUAVAUMIUM
      VAAAULUDUEUBUFUKUQUOJUSUOJUTUOJAIDEFUGAIDEFUHUQUSDUIUJTT $.
  $}

  ${
    $d f g x y z A $.  $d f g x y z G $.  $d f x y z V $.
    symggrp.1 $e |- G = ( SymGrp ` A ) $.
    $( The topology of the symmetric group on ` A ` .  This component is
       defined on a larger set than the true base - the product topology is
       defined on the set of all functions, not just bijections - but the
       definition of ` TopOpen ` ensures that it is trimmed down before it gets
       use.  (Contributed by Mario Carneiro, 29-Aug-2015.)  (Proof revised by
       AV, 30-Mar-2024.) $)
    symgtset $p |- ( A e. V ->
      ( Xt_ ` ( A X. { ~P A } ) ) = ( TopSet ` G ) ) $=
      ( vf wcel cpw csn cxp cpt cfv cefmnd cts cv wf1o cab eqid cvv wceq cbs co
      cress efmndtset symgbas fvexd eqeltrrid resstset syl eqcomi fveq2i 3eqtrd
      symgval a1i ) ACFZAAGHIJKALKZMKZUOAAENOEPZUBUAZMKZBMKZAUOCUOQUCUNUQRFUPUS
      SUNUQBTKZREAVABDVAQUDUNBTUEUFUQUOURUPRURQUPQUGUHUSUTSUNURBMBUREAUQBDUQQUL
      UIUJUMUK $.

    $( The symmetric group on a set ` A ` is a group.  (Contributed by Paul
       Chapman, 25-Feb-2008.)  (Revised by Mario Carneiro, 13-Jan-2015.)
       (Proof shortened by AV, 28-Jan-2024.) $)
    symggrp $p |- ( A e. V -> G e. Grp ) $=
      ( vx vy vz vf vg wcel cfv cv eqidd co eqid symgcl wceq symgov ccom wf1o
      cbs cplusg ccnv cid cres 3adant1 w3a symggrplem adantl idresperm wa sylan
      wf elsymgbas biimpa f1of fcoi2 3syl eqtrd f1ocnv a1i 3imtr4d imp sylancom
      wi f1ococnv1 syl isgrpd ) ACJZEFGBUAKZBUBKZBELZUCZUDAUEZVIVJMVIVKMVLVJJZF
      LZVJJZVLVPVKNZVJJVIAVJVKBVLVPDVJOZVKOZPUFVOVQGLZVJJUGVRWAVKNVLVPWAVKNVKNQ
      VIHIVJVKVLVPWAAVJVKBHLZILZDVSVTPAVJVKBWBWCDVSVTRUHUIABCDUJZVIVOUKZVNVLVKN
      ZVNVLSZVLVIVNVJJVOWFWGQWDAVJVKBVNVLDVSVTRULWEAAVLTZAAVLUMWGVLQVIVOWHAVJVL
      BCDVSUNZUOZAAVLUPAAVLUQURUSVIVOVMVJJZVIWHAAVMTZVOWKWHWLVEVIAAVLUTVAWIAVJV
      MBCDVSUNVBVCZWEVMVLVKNZVMVLSZVNVIVOWKWNWOQWMAVJVKBVMVLDVSVTRVDWEWHWOVNQWJ
      AAVLVFVGUSVH $.

    $( The group identity element of the symmetric group on a set ` A ` .
       (Contributed by Paul Chapman, 25-Jul-2008.)  (Revised by Mario Carneiro,
       13-Jan-2015.)  (Proof shortened by AV, 1-Apr-2024.) $)
    symgid $p |- ( A e. V -> ( _I |` A ) = ( 0g ` G ) ) $=
      ( wcel cid cres cefmnd cfv c0g eqid efmndid cbs symgsubmefmnd symgressbas
      csubmnd wceq subm0 syl eqtrd ) ACEZFAGAHIZJIZBJIZAUBCUBKZLUABMIZUBPIEUCUD
      QAUFBUBCUEDUFKZNUFBUBUCAUFBUBDUGUEOUCKRST $.

    symginv.2 $e |- B = ( Base ` G ) $.
    symginv.3 $e |- N = ( invg ` G ) $.
    $( The group inverse in the symmetric group corresponds to the functional
       inverse.  (Contributed by Stefan O'Rear, 24-Aug-2015.)  (Revised by
       Mario Carneiro, 2-Sep-2015.) $)
    symginv $p |- ( F e. B -> ( N ` F ) = `' F ) $=
      ( wcel cfv ccnv wceq cplusg wf1o elsymgbas2 syl cvv wb mpbird eqid co c0g
      ccom cid f1ocnv cnvexg symgov mpdan f1ococnv2 csymg elbasfv symgid 3eqtrd
      cres ibi cgrp symggrp id grpinvid1 syl3anc ) CBIZCEJCKZLZCVBDMJZUAZDUBJZL
      ZVAVECVBUCZUDAUNZVFVAVBBIZVEVHLVAVJAAVBNZVAAACNZVKVAVLABCDBFGOUOZAACUEPVA
      VBQIVJVKRCBUFABVBDQFGOPSZABVDDCVBFGVDTZUGUHVAVLVHVILVMAACUIPVAAQIZVIVFLBD
      UJCAFGUKZADQFULPUMVADUPIZVAVJVCVGRVAVPVRVQADQFUQPVAURVNBVDDECVBVFGVOVFTHU
      SUTS $.
  $}

  ${
    $d A f $.  $d B f $.  $d V f $.
    symgsubmefmndALT.m $e |- M = ( EndoFMnd ` A ) $.
    symgsubmefmndALT.g $e |- G = ( SymGrp ` A ) $.
    symgsubmefmndALT.b $e |- B = ( Base ` G ) $.
    $( The symmetric group on a set ` A ` is a submonoid of the monoid of
       endofunctions on ` A ` .  Alternate proof based on ~ issubmndb and not
       on ~ injsubmefmnd and ~ sursubmefmnd .  (Contributed by AV,
       18-Feb-2024.)  (Revised by AV, 30-Mar-2024.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    symgsubmefmndALT $p |- ( A e. V -> B e. ( SubMnd ` M ) ) $=
      ( vf wcel cmnd cress co cbs cfv wss c0g wa csubmnd eqid efmndmnd cgrp syl
      symgressbas symggrp grpmnd eqeltrrid cid idresperm efmndid eqcomi 3eltr3d
      cres wceq a1i cmap cv symgbasmap ssriv efmndbas sseqtrri jctil syl21anbrc
      issubmndb ) AEJZDKJDBLMZKJBDNOZPZDQOZBJZRBDSOJADEFUAVEVFCKABCDGHFUDVECUBJ
      CKJACEGUECUFUCUGVEVJVHVEUHAUMCNOZVIBACEGUIADEFUJVKBUNVEBVKHUKUOULBAAUPMZV
      GIBVLABIUQCGHURUSAVGDFVGTZUTVAVBVGBDVIVMVITVDVC $.
  $}

  ${
    $d w x y z G $.  $d w x y z .(+) $.  $d w x y z X $.  $d w z F $.
    $d w x z H $.  $d w x y z Y $.
    galactghm.x $e |- X = ( Base ` G ) $.
    galactghm.h $e |- H = ( SymGrp ` Y ) $.
    galactghm.f $e |- F = ( x e. X |-> ( y e. Y |-> ( x .(+) y ) ) ) $.
    $( The currying of a group action is a group homomorphism between the group
       ` G ` and the symmetric group ` ( SymGrp `` Y ) ` .  (Contributed by FL,
       17-May-2010.)  (Proof shortened by Mario Carneiro, 13-Jan-2015.) $)
    galactghm $p |- ( .(+) e. ( G GrpAct Y ) -> F e. ( G GrpHom H ) ) $=
      ( co wcel cfv eqid cvv cmpt wa adantr wceq vz cga cplusg gagrp cgrp gaset
      vw cbs symggrp syl cv wf1o gapm wb elsymgbas mpbird fmptd df-3an sylan2br
      gaass anassrs mpteq2dva oveq1 mpteq2dv simprl simprr grpcl syl3anc mptexd
      w3a fvmptd3 ccom wf ffvelrnd symgov syl2anc cxp gaf ad2antrr simpr fovrnd
      oveq2 cbvmptv eqtrdi fmptco eqtrd 3eqtr4d isghmd ) CEHUBLMZUAUGEUCNZFUCNZ
      EFDGFUHNZIWLOZWJOZWKOZCEHUDZWIHPMZFUEMCEHUFZHFPJUIUJWIAGBHAUKZBUKZCLZQZWL
      DWIWSGMZRZXBWLMZHHXBULZBWSCXBEGHIXBOUMXDWQXEXFUNWIWQXCWRSHWLXBFPJWMUOUJUP
      KUQZWIUAUKZGMZUGUKZGMZRZRZBHXHXJWJLZWTCLZQZBHXHXJWTCLZCLZQZXNDNXHDNZXJDNZ
      WKLZXMBHXOXRWIXLWTHMZXOXRTZXLYCRWIXIXKYCVJYDXIXKYCURXHXJWTWJCEGHIWNUTUSVA
      VBXMAXNXBXPGDPKWSXNTBHXAXOWSXNWTCVCVDXMEUEMZXIXKXNGMWIYEXLWPSWIXIXKVEZWIX
      IXKVFZGWJEXHXJIWNVGVHXMBHXOPWIWQXLWRSZVIVKXMYBXTYAVLZXSXMXTWLMYAWLMYBYITX
      MGWLXHDWIGWLDVMXLXGSZYFVNXMGWLXJDYJYGVNHWLWKFXTYAJWMWOVOVPXMBAHHXQXHWSCLZ
      XRYAXTXMYCRXJWTHGHCWIGHVQHCVMXLYCCEGHIVRVSXMXKYCYGSXMYCVTWAXMAXJXBBHXQQGD
      PKWSXJTBHXAXQWSXJWTCVCVDYGXMBHXQPYHVIVKXMXTBHXHWTCLZQZAHYKQXMAXHXBYMGDPKW
      SXHTBHXAYLWSXHWTCVCVDYFXMBHYLPYHVIVKBAHYLYKWTWSXHCWBWCWDWSXQXHCWBWEWFWGWH
      $.
  $}

  ${
    $d u v x y z F $.  $d u v x y z G $.  $d u v x y z H $.  $d u v z .(+) $.
    $d u v x y X $.  $d u v x y z Y $.
    lactghmga.x $e |- X = ( Base ` G ) $.
    lactghmga.h $e |- H = ( SymGrp ` Y ) $.
    lactghmga.f $e |- .(+) = ( x e. X , y e. Y |-> ( ( F ` x ) ` y ) ) $.
    $( The converse of ~ galactghm .  The uncurrying of a homomorphism into
       ` ( SymGrp `` Y ) ` is a group action.  Thus, group actions and group
       homomorphisms into a symmetric group are essentially equivalent notions.
       (Contributed by Mario Carneiro, 15-Jan-2015.) $)
    lactghmga $p |- ( F e. ( G GrpHom H ) -> .(+) e. ( G GrpAct Y ) ) $=
      ( co wcel cfv cv wceq wa syl fveq2 fveq1d vz vu vv cghm cvv cxp wf cplusg
      cgrp c0g wral cga ghmgrp1 c0 ghmgrp2 grpn0 wn csymg fvprc eqtrid necon1ai
      wne 3syl wf1o cbs eqid ghmf ffvelrnda wb adantr elsymgbas mpbid ralrimiva
      f1of fmpo sylib cres grpidcl fvex ovmpo sylan symgid eqtr4d fvresi adantl
      cid ghmid 3eqtrd ccom ad2antrr simprr ffvelrnd simplr fvco3 simpll simprl
      syl2anc ghmlin syl3anc eqtrd 3eqtr4d grpcl ralrimivva jca isga syl21anbrc
      symgov oveq2d ) DEFUDLMZEUIMZHUEMZGHUFHCUGZEUJNZUAOZCLZXNPZUBOZUCOZEUHNZL
      ZXNCLZXQXRXNCLZCLZPZUCGUKUBGUKZQZUAHUKZQCEHULLMEFDUMZXIFUIMFUNVBXKEFDUOFU
      PXKFUNXKUQFHURNUNJHURUSUTVAVCZXIXLYGXIBOZAOZDNZNZHMZBHUKZAGUKXLXIYOAGXIYK
      GMZQZYNBHYQHHYJYLYQHHYLVDZHHYLUGYQYLFVENZMZYRXIGYSYKDEFDGYSIYSVFZVGZVHYQX
      KYTYRVIXIXKYPYIVJHYSYLFUEJUUAVKRVLHHYLVNRVHVMVMABGHYMHCKVOVPXIYFUAHXIXNHM
      ZQZXPYEUUDXOXNXMDNZNZXNWFHVQZNZXNXIXMGMZUUCXOUUFPXIXJUUIYHGEXMIXMVFZVRRAB
      XMXNGHYMUUFCYJUUENYKXMPYJYLUUEYKXMDSTYJXNUUESKXNUUEVSVTWAUUDXNUUEUUGUUDUU
      EFUJNZUUGXIUUEUUKPUUCEFDXMUUKUUJUUKVFWGVJUUDXKUUGUUKPXIXKUUCYIVJHFUEJWBRW
      CTUUCUUHXNPXIHXNWDWEWHUUDYDUBUCGGUUDXQGMZXRGMZQZQZXNXTDNZNZXQXNXRDNZNZCLZ
      YAYCUUOXNXQDNZUURWIZNZUUSUVANZUUQUUTUUOHHUURUGZUUCUVCUVDPUUOHHUURVDZUVEUU
      OUURYSMZUVFUUOGYSXRDXIGYSDUGUUCUUNUUBWJZUUDUULUUMWKZWLZUUOXKUVGUVFVIXIXKU
      UCUUNYIWJHYSUURFUEJUUAVKRVLHHUURVNRZXIUUCUUNWMZHHXNUVAUURWNWQUUOXNUUPUVBU
      UOUUPUVAUURFUHNZLZUVBUUOXIUULUUMUUPUVNPXIUUCUUNWOUUDUULUUMWPZUVIXSUVMEFXQ
      DXRGIXSVFZUVMVFZWRWSUUOUVAYSMUVGUVNUVBPUUOGYSXQDUVHUVOWLUVJHYSUVMFUVAUURJ
      UUAUVQXGWQWTTUUOUULUUSHMUUTUVDPUVOUUOHHXNUURUVKUVLWLABXQUUSGHYMUVDCYJUVAN
      YKXQPYJYLUVAYKXQDSTYJUUSUVASKUUSUVAVSVTWQXAUUOXTGMZUUCYAUUQPUUOXJUULUUMUV
      RXIXJUUCUUNYHWJUVOUVIGXSEXQXRIUVPXBWSUVLABXTXNGHYMUUQCYJUUPNYKXTPYJYLUUPY
      KXTDSTYJXNUUPSKXNUUPVSVTWQUUOYBUUSXQCUUOUUMUUCYBUUSPUVIUVLABXRXNGHYMUUSCY
      JUURNYKXRPYJYLUURYKXRDSTYJXNUURSKXNUURVSVTWQXHXAXCXDVMXDUAUBUCXSCEGHXMIUV
      PUUJXEXF $.
  $}

  ${
    $d f x B $.  $d f x G $.  $d f x V $.  $d f x X $.
    symgga.g $e |- G = ( SymGrp ` X ) $.
    symgga.b $e |- B = ( Base ` G ) $.
    $( The topology of the symmetric group on ` A ` .  (Contributed by Mario
       Carneiro, 29-Aug-2015.) $)
    symgtopn $p |- ( X e. V ->
      ( ( Xt_ ` ( X X. { ~P X } ) ) |`t B ) = ( TopOpen ` G ) ) $=
      ( wcel cpw csn cxp cpt cfv crest cts ctopn symgtset oveq1d eqid topnval
      co eqtrdi ) DCGZDDHIJKLZAMTBNLZAMTBOLUBUCUDAMDBCEPQAUDBFUDRSUA $.

    symgga.f $e |- F = ( f e. B , x e. X |-> ( f ` x ) ) $.
    $( The symmetric group induces a group action on its base set.
       (Contributed by Mario Carneiro, 24-Jan-2015.) $)
    symgga $p |- ( X e. V -> F e. ( G GrpAct X ) ) $=
      ( wcel cgrp cid cres cghm co cga cv cfv cmpo symggrp idghm wa wceq fvresi
      adantr fveq1d mpoeq3ia eqtr4i lactghmga 3syl ) GFKELKMBNZEEOPKDEGQPKGEFHU
      ABEIUBCADULEEBGIHDCABGARZCRZSZTCABGUMUNULSZSZTJCABGUQUOUNBKZUMGKZUCUMUPUN
      URUPUNUDUSBUNUEUFUGUHUIUJUK $.
  $}

  ${
    pgrpsubgsymgbi.g $e |- G = ( SymGrp ` A ) $.
    pgrpsubgsymgbi.b $e |- B = ( Base ` G ) $.
    $( Every permutation group is a subgroup of the corresponding symmetric
       group.  (Contributed by AV, 14-Mar-2019.) $)
    pgrpsubgsymgbi $p |- ( A e. V -> ( P e. ( SubGrp ` G )
                                    <-> ( P C_ B /\ ( G |`s P ) e. Grp ) ) ) $=
      ( csubg cfv wcel cgrp wss cress co wa w3a issubg 3anass bitri wb ibar syl
      symggrp bicomd syl5bb ) CDHIJZDKJZCBLZDCMNKJZOZOZAEJZUJUFUGUHUIPUKBCDGQUG
      UHUIRSULUGUKUJTADEFUCUGUJUKUGUJUAUDUBUE $.

    $d A f g $.  $d B f g $.  $d F f g $.
    pgrpsubgsymg.c $e |- F = ( Base ` P ) $.
    $( Every permutation group is a subgroup of the corresponding symmetric
       group.  (Contributed by AV, 14-Mar-2019.)  (Revised by AV,
       30-Mar-2024.) $)
    pgrpsubgsymg $p |- ( A e. V -> ( ( P e. Grp /\ F C_ B
                           /\ ( +g ` P ) = ( f e. F , g e. F |-> ( f o. g ) ) )
                                                  -> F e. ( SubGrp ` G ) ) ) $=
      ( wcel cgrp wss cplusg cfv cv cmpo wceq wa ccom w3a csubg symggrp anim12i
      cxp cres simp1 simp2 simp3 cmap symgbasmap ssriv sstr mpan2 resmpo anidms
      co syl eqid symgplusg eqcomi reseq1i eqtr3di 3ad2ant2 eqtrd jca grpissubg
      adantl sylc ex ) AHLZCMLZFBNZCOPZDEFFDQZEQUAZRZSZUBZFGUCPLZVLVTTGMLZVMTVN
      VOGOPZFFUFZUGZSZTZWAVLWBVTVMAGHIUDVMVNVSUHUEVTWGVLVTVNWFVMVNVSUIVTVOVRWEV
      MVNVSUJVNVMVRWESVSVNDEAAUKURZWHVQRZWDUGZVRWEVNFWHNZWJVRSZVNBWHNWKDBWHABVP
      GIJULUMFBWHUNUOWKWLDEWHWHFFVQUPUQUSWIWCWDWCWIAWHWCDEGIWHUTWCUTVAVBVCVDVEV
      FVGVIBFGCJKVHVJVK $.
  $}

  ${
    idressubgsymg.g $e |- G = ( SymGrp ` A ) $.
    $( The singleton containing only the identity function restricted to a set
       is a subgroup of the symmetric group of this set.  (Contributed by AV,
       17-Mar-2019.) $)
    idressubgsymg $p |- ( A e. V -> { ( _I |` A ) } e. ( SubGrp ` G ) ) $=
      ( wcel cid cres csn c0g cfv csubg symgid sneqd cgrp symggrp 0subg eqeltrd
      eqid syl ) ACEZFAGZHBIJZHZBKJZTUAUBABCDLMTBNEUCUDEABCDOBUBUBRPSQ $.

    idrespermg.e $e |- E = ( G |`s { ( _I |` A ) } ) $.
    $( The structure with the singleton containing only the identity function
       restricted to a set as base set and the function composition as group
       operation (constructed by (structure) restricting the symmetric group to
       that singleton) is a permutation group (group consisting of
       permutations).  (Contributed by AV, 17-Mar-2019.) $)
    idrespermg $p |- ( A e. V
                           -> ( E e. Grp /\ ( Base ` E ) C_ ( Base ` G ) ) ) $=
      ( wcel cid cres csn csubg cfv cgrp cbs wss wa idressubgsymg cress co cvv
      eqid pgrpsubgsymgbi cin wceq snex ressbas mp1i inss2 eqcomi eleq1i biimpi
      eqsstrrdi adantl anim12ci ex sylbid mpd ) ADGZHAIZJZCKLGZBMGZBNLZCNLZOZPZ
      ACDEQURVAUTVDOZCUTRSZMGZPZVFAVDUTCDEVDUAZUBURVJVFURVEVJVBURVCUTVDUCZVDUTT
      GVLVCUDURUSUEUTVDBTCFVKUFUGUTVDUHULVIVBVGVIVBVHBMBVHFUIUJUKUMUNUOUPUQ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Cayley's theorem
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d a g x y .+ $.  $d x F $.  $d a g x y G $.  $d g x H $.  $d a g x y X $.
    $d a x .0. $.  $d x S $.
    cayleylem1.x $e |- X = ( Base ` G ) $.
    cayleylem1.p $e |- .+ = ( +g ` G ) $.
    cayleylem1.u $e |- .0. = ( 0g ` G ) $.
    cayleylem1.h $e |- H = ( SymGrp ` X ) $.
    cayleylem1.s $e |- S = ( Base ` H ) $.
    cayleylem1.f $e |- F = ( g e. X |-> ( a e. X |-> ( g .+ a ) ) ) $.
    $( Lemma for ~ cayley .  (Contributed by Paul Chapman, 3-Mar-2008.)
       (Revised by Mario Carneiro, 13-Jan-2015.) $)
    cayleylem1 $p |- ( G e. Grp -> F e. ( G GrpHom H ) ) $=
      ( vx vy wcel cv co cgrp cmpo cghm eqid gaid2 cmpt oveq12 ovmpoa mpteq2dva
      cga ovex mpteq2ia eqtr4i galactghm syl ) EUARPQGGPSZQSZATZUBZEGUJTRDEFUCT
      RPQAUSEGJKUSUDZUECIUSDEFGGJMDCGIGCSZISZATZUFZUFCGIGVAVBUSTZUFZUFOCGVFVDVA
      GRIGVEVCPQVAVBGGURVCUSUPVAUQVBAUGUTVAVBAUKUHUIULUMUNUO $.

    $( Lemma for ~ cayley .  (Contributed by Paul Chapman, 3-Mar-2008.)
       (Revised by Mario Carneiro, 13-Jan-2015.) $)
    cayleylem2 $p |- ( G e. Grp -> F : X -1-1-> S ) $=
      ( vx wcel cfv wceq co cgrp wf1 cv c0g wi wral wa fveq1 grpidcl grplactval
      simpr adantr syl2anc grprid eqtrd cid cres cvv fvexi symgid fveq1i fvresi
      cbs ax-mp syl eqtr3id eqeq12d syl5ib ralrimiva cghm cayleylem1 eqid ghmf1
      wb mpbird ) EUAQZGBDUBZPUCZDRZFUDRZSZVRHSZUEZPGUFZVPWCPGWAHVSRZHVTRZSVPVR
      GQZUGZWBHVSVTUHWHWEVRWFHWHWEVRHATZVRWHWGHGQZWEWISVPWGUKVPWJWGGEHJLUIULZVR
      HACDEGIOJUJUMGAEVRHJKLUNUOWHWFHUPGUQZRZHHWLVTGURQWLVTSGEVCJUSGFURMUTVDVAW
      HWJWMHSWKGHVBVEVFVGVHVIVPDEFVJTQVQWDVNABCDEFGHIJKLMNOVKPEFVTDGBHJNLVTVLVM
      VEVO $.
  $}

  ${
    $d a f g s G $.  $d f g s H $.  $d a g .+ $.  $d a f g s X $.
    cayley.x $e |- X = ( Base ` G ) $.
    cayley.h $e |- H = ( SymGrp ` X ) $.
    ${
      cayley.p $e |- .+ = ( +g ` G ) $.
      cayley.f $e |- F = ( g e. X |-> ( a e. X |-> ( g .+ a ) ) ) $.
      cayley.s $e |- S = ran F $.
      $( Cayley's Theorem (constructive version): given group ` G ` , ` F ` is
         an isomorphism between ` G ` and the subgroup ` S ` of the symmetric
         group ` H ` on the underlying set ` X ` of ` G ` .  See also Theorem
         3.15 in [Rotman] p. 42.  (Contributed by Paul Chapman, 3-Mar-2008.)
         (Proof shortened by Mario Carneiro, 13-Jan-2015.) $)
      cayley $p |- ( G e. Grp -> ( S e. ( SubGrp ` H ) /\
        F e. ( G GrpHom ( H |`s S ) ) /\ F : X -1-1-onto-> S ) ) $=
        ( wcel cfv co cghm wf1o eqid syl cgrp csubg crn cbs cayleylem1 eqeltrid
        cress c0g ghmrn wss wb eqimss2i resghm2b sylancl wf1 cayleylem2 f1f1orn
        mpbid wceq f1oeq3 ax-mp sylibr 3jca ) EUANZBFUBOZNZDEFBUGPZQPNZGBDRZVDB
        DUCZVEMVDDEFQPNZVJVENAFUDOZCDEFGEUHOZHIKVMSZJVLSZLUEZEFDUITUFZVDVKVHVPV
        DVFVJBUJVKVHUKVQBVJMULEFVGDBVGSUMUNURVDGVJDRZVIVDGVLDUOVRAVLCDEFGVMHIKV
        NJVOLUPGVLDUQTBVJUSVIVRUKMBVJGDUTVAVBVC $.
    $}

    $( Cayley's Theorem (existence version): every group ` G ` is isomorphic to
       a subgroup of the symmetric group on the underlying set of ` G ` .  (For
       any group ` G ` there exists an isomorphism ` f ` between ` G ` and a
       subgroup ` h ` of the symmetric group on the underlying set of ` G ` .)
       See also Theorem 3.15 in [Rotman] p. 42.  (Contributed by Paul Chapman,
       3-Mar-2008.)  (Revised by Mario Carneiro, 13-Jan-2015.) $)
    cayleyth $p |- ( G e. Grp -> E. s e. ( SubGrp ` H )
      E. f e. ( G GrpHom ( H |`s s ) ) f : X -1-1-onto-> s ) $=
      ( vg va wcel cv cfv co cmpt wf1o cress cghm wrex eqid rspcev cplusg csubg
      cgrp crn cayley simp1d simp2d simp3d f1oeq1 syl2anc wceq oveq2d rexeqbidv
      oveq2 f1oeq3 ) BUCJZHDIDHKIKBUALZMNNZUDZCUBLZJZDUSAKZOZABCUSPMZQMZRZDEKZV
      BOZABCVGPMZQMZRZEUTRUPVAURVEJZDUSUROZUQUSHURBCDIFGUQSURSUSSUEZUFUPVLVMVFU
      PVAVLVMVNUGUPVAVLVMVNUHVCVMAURVEDUSVBURUITUJVKVFEUSUTVGUSUKZVHVCAVJVEVOVI
      VDBQVGUSCPUNULVGUSDVBUOUMTUJ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Permutations fixing one element
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d N k $.  $d Q k $.
    symgfix2.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    $d K k l q $.  $d L k l q $.  $d N k l $.  $d P l q $.  $d Q k l q $.
    $( If a permutation does not move a certain element of a set to a second
       element, there is a third element which is moved to the second element.
       (Contributed by AV, 2-Jan-2019.) $)
    symgfix2 $p |- ( L e. N -> ( Q e. ( P \ { q e. P | ( q ` K ) = L } )
                                 -> E. k e. ( N \ { K } ) ( Q ` k ) = L ) ) $=
      ( vl cv cfv wceq cdif wcel wn wa wrex wi eqeq2 rexbidv wo csn eldif ianor
      crab fveq1 eqeq1d elrab xchnxbir anbi2i bitri pm2.21 wral symgmov2 rspcva
      wne eqcoms notbid fveq2 necon3bi syl6bi com12 pm4.71rd rexdifsn syl5ibcom
      wb bitr4di ex com13 syl5 jaoi impd syl5bi ) BADGJZKZELZGAUEZMNZBANZVSOZDB
      KZELZOZUAZPZEFNZCJZBKZELZCFDUBMQZVRVSBVQNZOZPWEBAVQUCWLWDVSVSWBPWDWKVSWBU
      DVPWBGBAVNBLVOWAEDVNBUFUGUHUIUJUKWFVSWDWJWDVSWFWJVTVSWFWJRZRWCVSWMULVSWHI
      JZLZCFQZIFUMZWCWMABCIFHUNWFWQWCWJWFWQWCWJRWFWQPWICFQZWCWJWPWRIEFWNELWOWIC
      FWNEWHSTUOWCWRWGDUPZWIPZCFQWJWCWIWTCFWCWIWSWIWCWSWIWCWAWHLZOWSWIWBXAWBXAV
      FEWHEWHWASUQURXAWGDXADWGDWGBUSUQUTVAVBVCTWICFDVDVGVEVHVIVJVKVIVLVM $.
  $}

  ${
    $d K x $.  $d N x $.  $d S x $.  $d Z x $.
    symgext.s $e |- S = ( Base ` ( SymGrp ` ( N \ { K } ) ) ) $.
    symgext.e $e |- E = ( x e. N |-> if ( x = K , K , ( Z ` x ) ) ) $.
    $( The extension of a permutation, fixing the additional element, is a
       function.  (Contributed by AV, 6-Jan-2019.) $)
    symgextf $p |- ( ( K e. N /\ Z e. S ) -> E : N --> N ) $=
      ( wcel wa cv wceq cfv cif simplll wn csn cdif simpllr wne anim12i eldifsn
      simpr neqne sylibr csymg eqid symgfv syl2anc eldifad ifclda fmptd ) DEIZF
      BIZJZAEAKZDLZDUPFMZNECUOUPEIZJZUQDUREUMUNUSUQOUTUQPZJZUREDQZVBUNUPEVCRZIZ
      URVDIUMUNUSVASVBUSUPDTZJVEUTUSVAVFUOUSUCUPDUDUAUPEDUBUEVDBFVDUFMZUPVGUGGU
      HUIUJUKHUL $.

    $d X x $.
    $( The function value of the extension of a permutation, fixing the
       additional element, for elements in the original domain.  (Contributed
       by AV, 6-Jan-2019.) $)
    symgextfv $p |- ( ( K e. N /\ Z e. S ) -> ( X e. ( N \ { K } )
                      -> ( E ` X ) = ( Z ` X ) ) ) $=
      ( wcel wa csn cdif cfv wceq cif cvv eldifi fvexd ifexg syldan eqeq1 fveq2
      cv ifbieq2d fvmptg syl2anr wn eldifsnneq adantl iffalsed eqtrd ex ) DEJZG
      BJZKZFEDLZMJZFCNZFGNZOUPURKZUSFDOZDUTPZUTURFEJVCQJZUSVCOUPFEUQRUNUOUTQJVD
      UPFGSVBDUTEQTUAAFAUDZDOZDVEGNZPVCEQCVEFOVFVBVGUTDVEFDUBVEFGUCUEIUFUGVAVBD
      UTURVBUHUPFEDUIUJUKULUM $.

    $( The function value of the extension of a permutation, fixing the
       additional element, for the additional element.  (Contributed by AV,
       6-Jan-2019.) $)
    symgextfve $p |- ( K e. N -> ( X = K -> ( E ` X ) = K ) ) $=
      ( wcel wceq cfv fveq2 cv cif iftrue fvmptg anidms sylan9eqr ex ) DEJZFDKZ
      FCLZDKUBUAUCDCLZDFDCMUAUDDKADANZDKZDUEGLZODEECUFDUGPIQRST $.

    $d Y x $.
    $( Lemma for ~ symgextf1 .  (Contributed by AV, 6-Jan-2019.) $)
    symgextf1lem $p |- ( ( K e. N /\ Z e. S )
                         -> ( ( X e. ( N \ { K } ) /\ Y e. { K } )
                              -> ( E ` X ) =/= ( E ` Y ) ) ) $=
      ( wcel wa csn cdif cfv wne csymg eqid wceq wi symgfv adantll eldifsni imp
      symgextfv neeq1d syl5ibr adantrr elsni symgextfve adantr syl5com neeqtrrd
      mpd adantl impcom ex ) DEKZHBKZLZFEDMZNZKZGVAKZLZFCOZGCOZPUTVELVFDVGUTVCV
      FDPZVDUTVCLZFHOZVBKZVHUSVCVKURVBBHVBQOZFVLRIUAUBVKVHVIVJDPVJEDUCVIVFVJDUT
      VCVFVJSABCDEFHIJUEUDUFUGUNUHVEUTVGDSZVDUTVMTVCVDGDSZUTVMGDUIURVNVMTUSABCD
      EGHIJUJUKULUOUPUMUQ $.

    $d E y z $.  $d K i j y $.  $d K z $.  $d N i j y $.  $d N z $.
    $d S y z $.  $d Z i j y $.  $d Z z $.  $d x y z $.  $d j z $.
    $( The extension of a permutation, fixing the additional element, is a 1-1
       function.  (Contributed by AV, 6-Jan-2019.) $)
    symgextf1 $p |- ( ( K e. N /\ Z e. S )
                            -> E : N -1-1-> N ) $=
      ( vy vz vi vj wcel wa cv cfv wceq weq wi com12 wral wf1 symgextf csn cdif
      wf cun wb difsnid eqcomd eleq2d anbi12d adantr elun symgextfv imp eqeq12d
      wo adantl wf1o csymg symgbasf1o f1of1 dff13 fveqeq2 equequ1 imbi12d fveq2
      eqid eqeq2d equequ2 rspc2va expcom a1d simplbiim 3syl impcom symgextf1lem
      sylbid wne eqneqall eqcoms syl6com ancoms elsni eqtr3 2a1d syl2an syl2anb
      ex ccase ralrimivv sylanbrc ) DEMZFBMZNZEECUFIOZCPZJOZCPZQZIJRZSZJEUAIEUA
      EECUBABCDEFGHUCWPXCIJEEWPWQEMZWSEMZNZWQEDUDZUEZXGUGZMZWSXIMZNZXCWNXFXLUHW
      OWNXDXJXEXKWNEXIWQWNXIEEDUIUJZUKWNEXIWSXMUKULUMXLWPXCXJWQXHMZWQXGMZURWSXH
      MZWSXGMZURWPXCSZXKWQXHXGUNWSXHXGUNXNXPXOXQXRXNXPNZWPXCXSWPNZXAWQFPZWSFPZQ
      ZXBXTWRYAWTYBXSWPWRYAQZXNWPYDSXPWPXNYDABCDEWQFGHUOTUMUPXSWPWTYBQZXPWPYESX
      NWPXPYEABCDEWSFGHUOTUSUPUQWPXSYCXBSZWOWNXSYFSZWOXHXHFUTXHXHFUBZWNYGSZXHBF
      XHVAPZYJVIGVBXHXHFVCYHXHXHFUFKOZFPLOZFPZQZKLRZSZLXHUAKXHUAZYIKLXHXHFVDYQY
      GWNXSYQYFYPYFYAYMQZILRZSKLWQWSXHXHKIRYNYRYOYSYKWQYMFVEKILVFVGLJRZYRYCYSXB
      YTYMYBYAYLWSFVHVJLJIVKVGVLVMVNVOVPVQVQVSWJXPXOXRWPXPXONWTWRVTZXCABCDEWSWQ
      FGHVRXAUUAXBUUAXBSWTWRXBWTWRWAWBTWCWDWPXNXQNWRWTVTZXCABCDEWQWSFGHVRXAUUBX
      BXBWRWTWATWCXOWQDQZWSDQZXRXQWQDWEWSDWEUUCUUDNXBWPXAWQWSDWFWGWHWKWITVSWLIJ
      EECVDWM $.

    $d E i k $.  $d K k $.  $d N k $.  $d S i k $.  $d Z k $.  $d i x $.
    $( The extension of a permutation, fixing the additional element, is an
       onto function.  (Contributed by AV, 7-Jan-2019.) $)
    symgextfo $p |- ( ( K e. N /\ Z e. S ) -> E : N -onto-> N ) $=
      ( vk vi wcel wa wf cv cfv wceq wrex wral syl adantr wfo symgextf csn cdif
      cun wf1o csymg eqid symgbasf1o f1ofo adantl dffo3 simprd symgextfv eqeq2d
      sylib imp rexbidva ralbidv mpbird wss wi difssd ssrexv ralimia symgextfve
      simpl eqcomd rspcedeq2vd eqeq1 rexbidv ralunsn mpbir2and difsnid sylanbrc
      wb raleqdv ) DEKZFBKZLZEECMINZJNZCOZPZJEQZIERZEECUAABCDEFGHUBVTWFWEIEDUCZ
      UDZWGUEZRZVTWJWEIWHRZDWCPZJEQZVTWDJWHQZIWHRZWKVTWOWAWBFOZPZJWHQZIWHRZVTWH
      WHFMZWSVTWHWHFUAZWTWSLVSXAVRVSWHWHFUFXAWHBFWHUGOZXBUHGUIWHWHFUJSUKJIWHWHF
      ULUPUMVTWNWRIWHVTWDWQJWHVTWBWHKZLWCWPWAVTXCWCWPPABCDEWBFGHUNUQUOURUSUTWNW
      EIWHWAWHKZWHEVAWNWEVBXDEWGVCWDJWHEVDSVESVTJDEDWCVRVSVGVTWBDPZLWCDVTXEWCDP
      ZVRXEXFVBVSABCDEWBFGHVFTUQVHVIVRWJWKWMLVPVSWEWMIWHDEWADPWDWLJEWADWCVJVKVL
      TVMVRWFWJVPVSVRWEIEWIVRWIEEDVNVHVQTUTJIEECULVO $.

    $( The extension of a permutation, fixing the additional element, is a
       bijection.  (Contributed by AV, 7-Jan-2019.) $)
    symgextf1o $p |- ( ( K e. N /\ Z e. S ) -> E : N -1-1-onto-> N ) $=
      ( wcel wa wf1 wfo wf1o symgextf1 symgextfo df-f1o sylanbrc ) DEIFBIJEECKE
      ECLEECMABCDEFGHNABCDEFGHOEECPQ $.

    $( The extension of a permutation is an element of the extended symmetric
       group.  (Contributed by AV, 9-Mar-2019.) $)
    symgextsymg $p |- ( ( N e. V /\ K e. N /\ Z e. S )
                        -> E e. ( Base ` ( SymGrp ` N ) ) ) $=
      ( wcel w3a csymg cfv cbs wf1o symgextf1o 3adant1 wb eqid elsymgbas mpbird
      3ad2ant1 ) EFJZDEJZGBJZKCELMZNMZJZEECOZUDUEUIUCABCDEGHIPQUCUDUHUIRUEEUGCU
      FFUFSUGSTUBUA $.

    $d i x $.  $d E i $.  $d K i $.  $d N i $.  $d S i $.  $d Z i $.
    $( The restriction of the extension of a permutation, fixing the additional
       element, to the original domain.  (Contributed by AV, 6-Jan-2019.) $)
    symgextres $p |- ( ( K e. N /\ Z e. S ) -> ( E |` ( N \ { K } ) ) = Z ) $=
      ( vi wcel wa csn cdif cres wceq cv cfv wral wfn ffnd ralrimiv wb symgextf
      symgextfv wss csymg eqid symgbasf adantl difssd fvreseq1 syl21anc mpbird
      ) DEJZFBJZKZCEDLZMZNFOZIPZCQUTFQOZIURRZUPVAIURABCDEUTFGHUDUAUPCESFURSZURE
      UEUSVBUBUPEECABCDEFGHUCTUOVCUNUOURURFURBFURUFQZVDUGGUHTUIUPEUQUJIEURCFUKU
      LUM $.
  $}

  ${
    gsumccatsymgsn.g $e |- G = ( SymGrp ` A ) $.
    gsumccatsymgsn.b $e |- B = ( Base ` G ) $.
    $( Homomorphic property of composites of permutations with a singleton.
       (Contributed by AV, 20-Jan-2019.) $)
    gsumccatsymgsn $p |- ( ( A e. V /\ W e. Word B /\ Z e. B ) ->
        ( G gsum ( W ++ <" Z "> ) ) = ( ( G gsum W ) o. Z ) ) $=
      ( wcel cword w3a cs1 cconcat co cgsu cplusg cfv ccom wceq syl2anc symggrp
      cmnd grpmndd gsumccatsn syl3an1 3ad2ant1 simp2 gsumwcl simp3 symgov eqtrd
      eqid ) ADIZEBJIZFBIZKZCEFLMNONZCEONZFCPQZNZURFRZUMCUBIZUNUOUQUTSUMCACDGUA
      UCZBUSCEFHUSULZUDUEUPURBIZUOUTVASUPVBUNVEUMUNVBUOVCUFUMUNUOUGBCEHUHTUMUNU
      OUIABUSCURFGHVDUJTUK $.
  $}

  ${
    $d B i $.  $d K i $.  $d N i $.  $d P i $.  $d W i $.
    gsmsymgrfix.s $e |- S = ( SymGrp ` N ) $.
    gsmsymgrfix.b $e |- B = ( Base ` S ) $.
    $( Lemma 1 for ~ gsmsymgrfix .  (Contributed by AV, 20-Jan-2019.) $)
    gsmsymgrfixlem1 $p |- ( ( ( W e. Word B /\ P e. B )
                       /\ ( N e. Fin /\ K e. N )
                       /\ ( A. i e. ( 0 ..^ ( # ` W ) ) ( ( W ` i ) ` K ) = K
                            -> ( ( S gsum W ) ` K ) = K ) )
              -> ( A. i e. ( 0 ..^ ( ( # ` W ) + 1 ) )
                   ( ( ( W ++ <" P "> ) ` i ) ` K ) = K
                   -> ( ( S gsum ( W ++ <" P "> ) ) ` K ) = K ) ) $=
      ( wcel wa cfv wceq cc0 co wral wi w3a adantr fveq1d cword chash cfzo cgsu
      cfn cv cs1 cconcat c1 caddc csn cun cuz lencl elnn0uz 3ad2ant1 fzosplitsn
      cn0 sylib syl raleqdv fveq2 eqeq1d ralunsn bitrd eqidd ccats1val2 mpd3an3
      wb ccom simprl simpll simplr gsumccatsymgsn syl3anc 3adant3 symgbasf ffnd
      wfn adantl simpr fvco2 syl2an ad2antrl ccats1val1 ad4ant14 biimpd adantld
      ralbidva simp3 syld imp eqtrd 3eqtrd exp32 sylbid impcomd ) GAUAJZBAJZKZF
      UEJZEFJZKZEDUFZGLZLZEMZDNGUBLZUCOZPZECGUDOZLZEMZQZRZEXDGBUGUHOZLZLZEMZDNX
      HUIUJOUCOZPZXSDXIPZEXHXPLZLZEMZKZECXPUDOZLZEMZXOYAXSDXIXHUKULZPZYFXOXSDXT
      YJXOXHNUMLJZXTYJMWTXCYLXNWRYLWSWRXHURJZYLAGUNZXHUOUSSUPNXHUQUTVAXOYMYKYFV
      IWTXCYMXNWRYMWSYNSUPXSYEDXIXHURXDXHMZXRYDEYOEXQYCXDXHXPVBTVCVDUTVEXOYEYBY
      IXOYEEBLZEMZYBYIQWTXCYEYQVIZXNWRWSXHXHMZYRWTXHVFWRWSYSRZYDYPEYTEYCBBXHAGV
      GTVCVHUPXOYQYBYIXOYQYBKZKZYHEXKBVJZLZYPXKLZEXOYHUUDMZUUAWTXCUUFXNWTXCKZXA
      WRWSUUFWTXAXBVKWRWSXCVLWRWSXCVMXAWRWSREYGUUCFACUEGBHIVNTVOVPSXOUUDUUEMZUU
      AWTXCUUHXNWTBFVSZXBUUHXCWSUUIWRWSFFBFABCHIVQVRVTXAXBWAFXKBEWBWCVPSUUBUUEX
      LEYQUUEXLMXOYBYPEXKVBWDXOUUAXMXOUUAXJXMWTXCUUAXJQXNUUGYBXJYQUUGYBXJUUGXSX
      GDXIUUGXDXIJZKZXRXFEUUKEXQXEWRUUJXQXEMWSXCBXDAGWEWFTVCWIWGWHVPWTXCXNWJWKW
      LWMWNWOWPWQWP $.

    $d B i w y z $.  $d K w y z $.  $d N w y z $.  $d S w y z $.  $d W w $.
    $( The composition of permutations fixing one element also fixes this
       element.  (Contributed by AV, 20-Jan-2019.) $)
    gsmsymgrfix $p |- ( ( N e. Fin /\ K e. N /\ W e. Word B )
                         -> ( A. i e. ( 0 ..^ ( # ` W ) ) ( ( W ` i ) ` K ) = K
                             -> ( ( S gsum W ) ` K ) = K ) ) $=
      ( cfv wceq cc0 chash cfzo co wral cgsu wi c0 fveq1d eqeq1d vw vy cfn wcel
      vz cword cv wa cs1 cconcat wb cvv hasheq0 elv biimpri oveq2d eqtrdi fveq1
      fzo0 raleqbidv oveq2 imbi12d imbi2d weq fveq2 cid cres eqid symgid adantr
      c0g gsum0 eqtr4id fvresi adantl eqtrd c1 caddc ccatws1len gsmsymgrfixlem1
      a1d raleqdv 3expb sylbid exp32 a2d wrdind com12 3impia ) EUCUDZDEUDZFAUFZ
      UDZDCUGZFIZIZDJZCKFLIZMNZOZDBFPNZIZDJZQZWMWJWKUHZXDXEDWNUAUGZIZIZDJZCKXFL
      IZMNZOZDBXFPNZIZDJZQZQXEDWNRIZIZDJZCROZDBRPNZIZDJZQZQXEDWNUBUGZIZIZDJZCKY
      ELIZMNZOZDBYEPNZIZDJZQZQXEDWNYEUEUGZUIUJNZIZIZDJZCKYQLIZMNZOZDBYQPNZIZDJZ
      QZQXEXDQUAUBUEFAXFRJZXPYDXEUUHXLXTXOYCUUHXIXSCXKRUUHXKKKMNRUUHXJKKMXJKJZU
      UHUUIUUHUKUAXFULUMUNUOUPKUSUQUUHXHXRDUUHDXGXQWNXFRURSTUTUUHXNYBDUUHDXMYAX
      FRBPVASTVBVCUAUBVDZXPYOXEUUJXLYKXOYNUUJXIYHCXKYJUUJXJYIKMXFYELVEUPUUJXHYG
      DUUJDXGYFWNXFYEURSTUTUUJXNYMDUUJDXMYLXFYEBPVASTVBVCXFYQJZXPUUGXEUUKXLUUCX
      OUUFUUKXIYTCXKUUBUUKXJUUAKMXFYQLVEUPUUKXHYSDUUKDXGYRWNXFYQURSTUTUUKXNUUED
      UUKDXMUUDXFYQBPVASTVBVCXFFJZXPXDXEUULXLWTXOXCUULXIWQCXKWSUULXJWRKMXFFLVEU
      PUULXHWPDUULDXGWOWNXFFURSTUTUULXNXBDUULDXMXAXFFBPVASTVBVCXEYCXTXEYBDVFEVG
      ZIZDXEDYAUUMXEYABVKIZUUMBUUOUUOVHVLWJUUMUUOJWKEBUCGVIVJVMSWKUUNDJWJEDVNVO
      VPWAYEWLUDZYPAUDZUHZXEYOUUGUURXEYOUUGUURXEYOUHZUHUUCYTCKYIVQVRNZMNZOZUUFU
      URUUCUVBUKZUUSUUPUVCUUQUUPYTCUUBUVAUUPUUAUUTKMAYEYPVSUPWBVJVJUURXEYOUVBUU
      FQAYPBCDEYEGHVTWCWDWEWFWGWHWI $.

    $d F n $.  $d G n $.  $d H n $.  $d I n $.  $d K n $.  $d X n $.
    gsmsymgreq.z $e |- Z = ( SymGrp ` M ) $.
    gsmsymgreq.p $e |- P = ( Base ` Z ) $.
    gsmsymgreq.i $e |- I = ( N i^i M ) $.
    $( The values of two compositions of permutations are equal if the values
       of the composed permutations are pairwise equal.  (Contributed by AV,
       26-Jan-2019.) $)
    fvcosymgeq $p |- ( ( G e. B /\ K e. P )
                       -> ( ( X e. I /\ ( G ` X ) = ( K ` X )
                              /\ A. n e. I ( F ` n ) = ( H ` n ) )
                            -> ( ( F o. G ) ` X ) = ( ( H o. K ) ` X ) ) ) $=
      ( cfv wceq wcel wa wral w3a ccom wfn cin crn symgbasf ffnd anim12i adantr
      eleq2i biimpi 3ad2ant1 adantl simpr2 wf1o symgbasf1o wf1 dff1o5 simplbiim
      cv wi eqcom syl ineqan12d eqtrid raleqdv biimpcd 3ad2ant3 impcom fvcofneq
      3jca sylc ex ) FAUAZIBUAZUBZLHUAZLFSLISTZDVCZESWBGSTZDHUCZUDZLEFUESLGIUES
      TZVSWEUBZFKUFZIJUFZUBZLKJUGZUAZWAWCDFUHZIUHZUGZUCZUDWFVSWJWEVQWHVRWIVQKKF
      KAFCNOUIUJVRJJIJBIMPQUIUJUKULWGWLWAWPWEWLVSVTWAWLWDVTWLHWKLRUMUNUOUPVSVTW
      AWDUQWEVSWPWDVTVSWPVDWAVSWDWPVSWCDHWOVSHWKWORVQVRKWMJWNVQKKFURZKWMTZKAFCN
      OUSWQKKFUTWMKTZWRKKFVAWSWRWMKVEUNVBVFVRJJIURZJWNTZJBIMPQUSWTJJIUTWNJTZXAJ
      JIVAXBXAWNJVEUNVBVFVGVHVIVJVKVLVNDKJEFGILVMVOVP $.

    $d C n $.  $d J n $.  $d R n $.  $d S n $.  $d Y n $.  $d Z n $.
    $( Lemma 1 for ~ gsmsymgreq .  (Contributed by AV, 26-Jan-2019.) $)
    gsmsymgreqlem1 $p |- ( ( ( N e. Fin /\ M e. Fin /\ J e. I )
                    /\ ( ( X e. Word B /\ C e. B ) /\ ( Y e. Word P /\ R e. P )
                         /\ ( # ` X ) = ( # ` Y ) ) )
                   -> ( ( A. n e. I ( ( S gsum X ) ` n ) = ( ( Z gsum Y ) ` n )
                          /\ ( C ` J ) = ( R ` J ) )
                        -> ( ( S gsum ( X ++ <" C "> ) ) ` J )
                            = ( ( Z gsum ( Y ++ <" R "> ) ) ` J ) ) ) $=
      ( wcel cfv cfn w3a cword wa chash wceq cv cgsu co wral cconcat ccom simpr
      anim12i 3adant3 adantl adantr simpll3 simprl 3jca fvcosymgeq sylc simpr1l
      cs1 simpl1 simpr1r gsumccatsymgsn fveq1d simpl2 simpr2l simpr2r 3eqtr4d
      syl ex ) JUASZIUASZHGSZUBZKAUCSZBASZUDZLCUCSZDCSZUDZKUETLUETUFZUBZUDZFUGZ
      EKUHUIZTWHMLUHUIZTUFFGUJZHBTHDTUFZUDZHEKBVDUKUIUHUIZTZHMLDVDUKUIUHUIZTZUF
      WGWMUDZHWIBULZTZHWJDULZTZWOWQWRVTWCUDZVQWLWKUBWTXBUFWGXCWMWFXCVRWAWDXCWEW
      AVTWDWCVSVTUMWBWCUMUNUOUPUQWRVQWLWKVOVPVQWFWMURWMWLWGWKWLUMUPWGWKWLUSUTAC
      EFWIBWJGDIJHMNOPQRVAVBWRHWNWSWRVOVSVTUBZWNWSUFWGXDWMWGVOVSVTVOVPVQWFVEVSV
      TWDWEVRVCVSVTWDWEVRVFUTUQJAEUAKBNOVGVMVHWRHWPXAWRVPWBWCUBZWPXAUFWGXEWMWGV
      PWBWCVOVPVQWFVIWBWCWAWEVRVJWBWCWAWEVRVKUTUQICMUALDPQVGVMVHVLVN $.

    $d B n $.  $d C i j n $.  $d I i j $.  $d M n $.  $d N n $.  $d P n $.
    $d R i j $.  $d S j $.  $d X i j $.  $d Y i j $.  $d Z j $.
    $( Lemma 2 for ~ gsmsymgreq .  (Contributed by AV, 26-Jan-2019.) $)
    gsmsymgreqlem2 $p |- ( ( ( N e. Fin /\ M e. Fin )
                    /\ ( ( X e. Word B /\ C e. B ) /\ ( Y e. Word P /\ R e. P )
                    /\ ( # ` X ) = ( # ` Y ) ) )
       -> ( ( A. i e. ( 0 ..^ ( # ` X ) ) A. n e. I
                                    ( ( X ` i ) ` n ) = ( ( Y ` i ) ` n )
                    -> A. n e. I ( ( S gsum X ) ` n ) = ( ( Z gsum Y ) ` n ) )
            -> ( A. i e. ( 0 ..^ ( # ` ( X ++ <" C "> ) ) ) A. n e. I
                                  ( ( ( X ++ <" C "> ) ` i ) ` n )
                                  = ( ( ( Y ++ <" R "> ) ` i ) ` n )
                -> A. n e. I ( ( S gsum ( X ++ <" C "> ) ) ` n )
                             = ( ( Z gsum ( Y ++ <" R "> ) ) ` n ) ) ) ) $=
      ( cfv wceq vj cfn wcel wa cword chash w3a cv wral cc0 cfzo co cgsu wi cs1
      cconcat wb csn cun c1 caddc ccatws1len oveq2d cuz cn0 lencl elnn0uz sylib
      fzosplitsn syl eqtrd adantr 3ad2ant1 raleqdv fveq2 fveq1d eqeq12d ralbidv
      ralunsn simp1l ccats1val1 sylan simp2l oveq2 eleq2d 3ad2ant3 imp syl2an2r
      biimpd ralbidva ccats1val2 mpd3an3 3adant1 anbi12d 3bitrd ad2antlr pm3.35
      eqidd 3expa weq cbvralvw simp-4l simp-4r simpr 3jca simplr gsmsymgreqlem1
      anim1i syl21anc ex ralimdva expcom sylbi com23 impancom com13 sylbid ) JU
      BUCZIUBUCZUDZKAUEUCZBAUCZUDZLCUEUCZDCUCZUDZKUFSZLUFSZTZUGZUDZGUHZFUHZKSZS
      ZYLYMLSZSZTZGHUIZFUJYGUKULZUIZYLEKUMULZSZYLMLUMULZSZTZGHUIZUNZYLYMKBUOUPU
      LZSZSZYLYMLDUOUPULZSZSZTZGHUIZFUJUUIUFSZUKULZUIZYLEUUIUMULSYLMUULUMULSTZG
      HUIZUNYKUUHUDUUSUUAYLBSZYLDSZTZGHUIZUDZUVAYJUUSUVFUQXTUUHYJUUSUUPFYTYGURU
      SZUIZUUPFYTUIZYLYGUUISZSZYLYGUULSZSZTZGHUIZUDZUVFYJUUPFUURUVGYCYFUURUVGTZ
      YIYAUVQYBYAUURUJYGUTVAULZUKULZUVGYAUUQUVRUJUKAKBVBVCYAYGUJVDSUCZUVSUVGTYA
      YGVEUCZUVTAKVFZYGVGVHUJYGVIVJVKVLVMVNYJUWAUVHUVPUQYCYFUWAYIYAUWAYBUWBVLVM
      UUPUVOFYTYGVEYMYGTZUUOUVNGHUWCUUKUVKUUNUVMUWCYLUUJUVJYMYGUUIVOVPUWCYLUUMU
      VLYMYGUULVOVPVQVRVSVJYJUVIUUAUVOUVEYJUUPYSFYTYJYMYTUCZUDZUUOYRGHUWEUUKYOU
      UNYQUWEYLUUJYNYJYAUWDUUJYNTYAYBYFYIVTBYMAKWAWBVPUWEYLUUMYPYJYDUWDYMUJYHUK
      ULZUCZUUMYPTYCYDYEYIWCYJUWDUWGYIYCUWDUWGUNYFYIUWDUWGYIYTUWFYMYGYHUJUKWDWE
      WIWFWGDYMCLWAWHVPVQVRWJYJUVNUVDGHYJUVKUVBUVMUVCYCYFUVKUVBTZYIYAYBYGYGTZUW
      HYCYGWRYAYBUWIUGYLUVJBBYGAKWKVPWLVMYFYIUVMUVCTZYCYDYEYIUWJYDYEYIUGYLUVLDD
      YGCLWKVPWSWMVQVRWNWOWPYKUUHUVFUVAUNUVFUUHYKUVAUUAUUHUVEYKUVAUNZUUAUUHUDUU
      GUVEUWKUNUUAUUGWQUUGYKUVEUVAUUGUAUHZUUBSZUWLUUDSZTZUAHUIZYKUVEUVAUNZUNUUF
      UWOGUAHGUAWTUUCUWMUUEUWNYLUWLUUBVOYLUWLUUDVOVQXAYKUWPUWQYKUWPUDZUVDUUTGHU
      WRYLHUCZUDZUVDUUTUWTUVDUDXRXSUWSUGZYJUWPUVDUDZUUTUWTUXAUVDUWTXRXSUWSXRXSY
      JUWPUWSXBXRXSYJUWPUWSXCUWRUWSXDXEVLXTYJUWPUWSUVDXCUWTUWPUVDYKUWPUWSXFXHUX
      AYJUDUXBUUTABCDEUAHYLIJKLMNOPQRXGWGXIXJXKXLXMXNVJXOXPWGXQXJ $.

    $d i p x $.  $d B b p u x $.  $d I b p u w x y $.  $d M b n p u w x y $.
    $d N b n p u x $.  $d P b p u w x y $.  $d S b p u x $.  $d U b i u $.
    $d U n w x $.  $d W n u $.  $d Z b p u w x y $.
    $( Two combination of permutations moves an element of the intersection of
       the base sets of the permutations to the same element if each pair of
       corresponding permutations moves such an element to the same element.
       (Contributed by AV, 20-Jan-2019.) $)
    gsmsymgreq $p |- ( ( ( N e. Fin /\ M e. Fin )
                          /\ ( W e. Word B /\ U e. Word P
                               /\ ( # ` W ) = ( # ` U ) ) )
                        -> ( A. i e. ( 0 ..^ ( # ` W ) ) A. n e. I
                                      ( ( W ` i ) ` n ) = ( ( U ` i ) ` n )
                -> A. n e. I ( ( S gsum W ) ` n ) = ( ( Z gsum U ) ` n ) ) ) $=
      ( cfv wceq wral cgsu vw vu vx vy vb vp cword wcel chash w3a cfn wa cv cc0
      cfzo co wi cs1 cconcat fveq2 oveq2d adantr fveq1 fveq1d eqeqan12d ralbidv
      c0 raleqbidv oveq2 imbi12d imbi2d weq eqeq1d eqeq2d cid cres eleq2 bitrdi
      cin elin simpl syl6bi ax-mp adantl fvresi syl simpr eqtr4d ralrimiva eqid
      c0g gsum0 symgid eqtr4id eqeq12d mpbird a1d gsmsymgreqlem2 expcom wrd2ind
      a2d impcom ) JAUGZUHDBUGZUHJUIQZDUIQRUJIUKUHZHUKUHZULZFUMZEUMZJQZQZXIXJDQ
      ZQZRZFGSZEUNXEUOUPZSZXICJTUPZQZXIKDTUPZQZRZFGSZUQZXHXIXJUAUMZQZQZXIXJUBUM
      ZQZQZRZFGSZEUNYFUIQZUOUPZSZXICYFTUPZQZXIKYITUPZQZRZFGSZUQZUQXHXIXJVGQZQZU
      UERZFGSZEUNVGUIQZUOUPZSZXICVGTUPZQZXIKVGTUPZQZRZFGSZUQZUQXHXIXJUCUMZQZQZX
      IXJUDUMZQZQZRZFGSZEUNUURUIQZUOUPZSZXICUURTUPZQZXIKUVATUPZQZRZFGSZUQZUQXHX
      IXJUURUEUMZURUSUPZQZQZXIXJUVAUFUMZURUSUPZQZQZRZFGSZEUNUVQUIQZUOUPZSZXICUV
      QTUPZQZXIKUWATUPZQZRZFGSZUQZUQXHYEUQXHYHXNRZFGSZEYOSZYRYBRZFGSZUQZUQUAUCU
      EUBUDJDABUFYFVGRZYIVGRZULZUUCUUQXHUXDYPUUJUUBUUPUXDYMUUGEYOUUIUXBYOUUIRUX
      CUXBYNUUHUNUOYFVGUIUTVAVBUXDYLUUFFGUXBUXCYHUUEYKUUEUXBXIYGUUDXJYFVGVCVDUX
      CXIYJUUDXJYIVGVCVDVEVFVHUXDUUAUUOFGUXBUXCYRUULYTUUNUXBXIYQUUKYFVGCTVIVDUX
      CXIYSUUMYIVGKTVIVDVEVFVJVKUAUCVLZUBUDVLZULZUUCUVOXHUXGYPUVHUUBUVNUXGYMUVE
      EYOUVGUXEYOUVGRUXFUXEYNUVFUNUOYFUURUIUTVAVBUXGYLUVDFGUXEUXFYHUUTYKUVCUXEX
      IYGUUSXJYFUURVCVDUXFXIYJUVBXJYIUVAVCVDVEVFVHUXGUUAUVMFGUXEUXFYRUVJYTUVLUX
      EXIYQUVIYFUURCTVIVDUXFXIYSUVKYIUVAKTVIVDVEVFVJVKYFUVQRZYIUWARZULZUUCUWOXH
      UXJYPUWHUUBUWNUXJYMUWEEYOUWGUXHYOUWGRUXIUXHYNUWFUNUOYFUVQUIUTVAVBUXJYLUWD
      FGUXHUXIYHUVSYKUWCUXHXIYGUVRXJYFUVQVCVDUXIXIYJUWBXJYIUWAVCVDVEVFVHUXJUUAU
      WMFGUXHUXIYRUWJYTUWLUXHXIYQUWIYFUVQCTVIVDUXIXIYSUWKYIUWAKTVIVDVEVFVJVKYFJ
      RZUXAYEXHUXKUWRXRUWTYDUXKUWQXPEYOXQUXKYNXEUNUOYFJUIUTVAUXKUWPXOFGUXKYHXLX
      NUXKXIYGXKXJYFJVCVDVMVFVHUXKUWSYCFGUXKYRXTYBUXKXIYQXSYFJCTVIVDVMVFVJVKYID
      RZUUCUXAXHUXLYPUWRUUBUWTUXLYMUWQEYOUXLYLUWPFGUXLYKXNYHUXLXIYJXMXJYIDVCVDV
      NVFVFUXLUUAUWSFGUXLYTYBYRUXLXIYSYAYIDKTVIVDVNVFVJVKXHUUPUUJXHUUPXIVOIVPZQ
      ZXIVOHVPZQZRZFGSXHUXQFGXHXIGUHZULZUXNXIUXPUXSXIIUHZUXNXIRUXRUXTXHGIHVSZRZ
      UXRUXTUQPUYBUXRUXTXIHUHZULZUXTUYBUXRXIUYAUHUYDGUYAXIVQXIIHVTVRZUXTUYCWAWB
      WCWDIXIWEWFUXSUYCUXPXIRUXRUYCXHUYBUXRUYCUQPUYBUXRUYDUYCUYEUXTUYCWGWBWCWDH
      XIWEWFWHWIXHUUOUXQFGXHUULUXNUUNUXPXHXIUUKUXMXHUUKCWKQZUXMCUYFUYFWJWLXFUXM
      UYFRXGICUKLWMVBWNVDXHXIUUMUXOXHUUMKWKQZUXOKUYGUYGWJWLXGUXOUYGRXFHKUKNWMWD
      WNVDWOVFWPWQUURXCUHUVPAUHULUVAXDUHUVTBUHULUVFUVAUIQRUJZXHUVOUWOXHUYHUVOUW
      OUQAUVPBUVTCEFGHIUURUVAKLMNOPWRWSXAWTXB $.
  $}

  ${
    $d K q $.  $d P q $.
    symgfixf.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    symgfixf.q $e |- Q = { q e. P | ( q ` K ) = K } $.
    ${
      $d f q $.  $d F f $.  $d K f $.  $d P f $.
      $( A permutation of a set fixing an element of the set.  (Contributed by
         AV, 4-Jan-2019.) $)
      symgfixelq $p |- ( F e. V
                -> ( F e. Q <-> ( F : N -1-1-onto-> N /\ ( F ` K ) = K ) ) ) $=
        ( vf wcel cfv wceq wa wf1o cv fveq1 eqeq1d crab weq cbvrabv eqtri csymg
        elrab2 eqid elsymgbas2 anbi1d syl5bb ) CBKCAKZDCLZDMZNCFKZEECOZUKNDJPZL
        ZDMZUKJCABUNCMUOUJDDUNCQRBDGPZLZDMZGASUPJASIUSUPGJAGJTURUODDUQUNQRUAUBU
        DULUIUMUKEACEUCLZFUTUEHUFUGUH $.
    $}

    symgfixf.s $e |- S = ( Base ` ( SymGrp ` ( N \ { K } ) ) ) $.
    ${
      symgfixf.d $e |- D = ( N \ { K } ) $.
      $( The restriction of a permutation to a set with one element removed is
         an element of the restricted symmetric group if the restriction is a
         1-1 onto function.  (Contributed by AV, 4-Jan-2019.) $)
      symgfixels $p |- ( F e. V
                  -> ( ( F |` D ) e. S <-> ( F |` D ) : D -1-1-onto-> D ) ) $=
        ( wcel cfv wf1o wb a1i cvv eqid cres csn csymg eleq2i resexg elsymgbas2
        cdif cbs syl eqidd wceq eqcomd f1oeq123d 3bitrd ) EHNZEAUAZDNZUPGFUBUGZ
        UCOZUHOZNZURURUPPZAAUPPUQVAQUODUTUPLUDRUOUPSNVAVBQEAHUEURUTUPUSSUSTUTTU
        FUIUOURAURAUPUPUOUPUJUOAURAURUKUOMRULZVCUMUN $.

      $( The restriction of a permutation fixing an element to the set with
         this element removed is an element of the restricted symmetric group.
         (Contributed by AV, 4-Jan-2019.) $)
      symgfixelsi $p |- ( ( K e. N /\ F e. Q ) -> ( F |` D ) e. S ) $=
        ( wcel cres wf1o wceq wa csn cima ad2antrl wi cfv symgfixelq cdif f1of1
        wf1 wss difssd f1ores syl2anc reseq2i a1i wfo f1ofo foima eqcomd eqcoms
        syl sneq ad2antll wfn f1ofn simpl fnsnfv eqtrd difeq12d ccnv crn dff1o2
        wfun simp2bi imadif 3eqtr4d f1oeq123d mpbird ancoms syl5ibr expd sylbid
        symgfixels pm2.43i impcom ) ECMZFGMZEANZDMZWCWDWFUAZWCWCGGEOZFEUBZFPZQZ
        WGBCEFGCHIJUCWCWKWDWFWKWDQWFWCAAWEOZWDWKWLWDWKQZWLGFRZUDZEWOSZEWONZOZWM
        GGEUFZWOGUGWRWHWSWDWJGGEUETWMGWNUHGGWOEUIUJWMAWOAWPWEWQWEWQPWMAWOELUKUL
        AWOPWMLULZWMWOEGSZEWNSZUDZAWPWMGXAWNXBWHGXAPZWDWJWHGGEUMZXDGGEUNXEXAGGG
        EUOUPURTWMWNWIRZXBWJWNXFPZWDWHXGFWIFWIUSUQUTWMEGVAZWDXFXBPWHXHWDWJGGEVB
        TWDWKVCGFEVDUJVEVFWTWMEVGVJZWPXCPWHXIWDWJWHXHXIEVHGPGGEVIVKTGWNEVLURVMV
        NVOVPABCDEFGCHIJKLVTVQVRVSWAWB $.
    $}

    $d N q $.  $d Q q $.  $d S q $.
    symgfixf.h $e |- H = ( q e. Q |-> ( q |` ( N \ { K } ) ) ) $.
    $( The mapping of a permutation of a set fixing an element to a permutation
       of the set without the fixed element is a function.  (Contributed by AV,
       4-Jan-2019.) $)
    symgfixf $p |- ( K e. N -> H : Q --> S ) $=
      ( wcel cv csn cdif cres eqid symgfixelsi fmptd ) EFLGBGMZFENOZPCDUAABCTEF
      GHIJUAQRKS $.

    $d H g p $.  $d K g i p $.  $d N g i p q $.  $d Q g p $.
    $( The mapping of a permutation of a set fixing an element to a permutation
       of the set without the fixed element is a 1-1 function.  (Contributed by
       AV, 4-Jan-2019.) $)
    symgfixf1 $p |- ( K e. N -> H : Q -1-1-> S ) $=
      ( vg vp vi cfv wceq wral wa wb adantr wcel wf cv weq wi wf1 symgfixf cdif
      csn cres fvtresfn eqeqan12d wf1o cvv symgfixelq elv anbi12i wfn wss f1ofn
      adantl anim12i difss jctir fvreseq syl cdm f1of fdm syl2an eqtr3 ad2antlr
      cun simpr ad2ant2l fveq2 eqeq12d ralunsn mpbir2and f1odm eqcomd sylan9eqr
      difsnid raleqdv mpbird wfun f1ofun eqfunfv ex sylan2b ralrimivva sylanbrc
      sylbid dff13 ) EFUAZBCDUBLUCZDOZMUCZDOZPZLMUDZUEZMBQLBQBCDUFABCDEFGHIJKUG
      WOXBLMBBWOWPBUAZWRBUAZRZRWTWPFEUIZUHZUJZWRXGUJZPZXAXEWTXJSWOXCXDWQXHWSXIG
      BDXGWPKUKGBDXGWRKUKULVAXEWOFFWPUMZEWPOZEPZRZFFWRUMZEWROZEPZRZRZXJXAUEXCXN
      XDXRXCXNSLABWPEFUNGHIUOUPXDXRSMABWREFUNGHIUOUPUQWOXSRZXJNUCZWPOZYAWROZPZN
      XGQZXAXTWPFURZWRFURZRZXGFUSZRZXJYESXSYJWOXSYHYIXNYFXRYGXKYFXMFFWPUTTXOYGX
      QFFWRUTTVBFXFVCVDVANFXGWPWRVEVFXTYEXAXTYERZXAWPVGZWRVGZPZYDNYLQZXSYNWOYEX
      SYLFPZYMFPZRZYNXNFFWPUBZFFWRUBZYRXRXKYSXMFFWPVHTXOYTXQFFWRVHTYSYPYTYQFFWP
      VIFFWRVIVBVJYLYMFVKVFVLYKYOYDNXGXFVMZQZYKUUBYEXLXPPZXTYEVNXSUUCWOYEXMXQUU
      CXKXOXLXPEVKVOVLXTUUBYEUUCRSZYEWOUUDXSYDUUCNXGEFYAEPYBXLYCXPYAEWPVPYAEWRV
      PVQVRTTVSYKYDNYLUUAXTYLUUAPYEXSWOYLFUUAXNYPXRXKYPXMFFWPVTTTWOUUAFFEWCWAWB
      TWDWEYKWPWFZWRWFZRZXAYNYORSXSUUGWOYEXNUUEXRUUFXKUUEXMFFWPWGTXOUUFXQFFWRWG
      TVBVLNWPWRWHVFVSWIWMWJWMWKLMBCDWNWL $.

    ${
      $d E x $.  $d K x $.  $d N x $.  $d S x $.  $d V x $.  $d Z x $.
      symgfixfo.e $e |- E = ( x e. N |-> if ( x = K , K , ( Z ` x ) ) ) $.
      $( Lemma 1 for ~ symgfixfo .  (Contributed by AV, 7-Jan-2019.) $)
      symgfixfolem1 $p |- ( ( N e. V /\ K e. N /\ Z e. S ) -> E e. Q ) $=
        ( wcel cfv wceq cvv w3a wf1o symgextf1o 3adant1 cv iftrue simp2 fvmptd3
        cif wa wb cmpt mptexg 3ad2ant1 eqeltrid symgfixelq syl mpbir2and ) HIQZ
        GHQZJDQZUAZECQZHHEUBZGERGSZUTVAVDUSADEGHJNPUCUDVBAGAUEZGSZGVFJRZUIZGHEH
        PVGGVHUFUSUTVAUGZVJUHVBETQVCVDVEUJUKVBEAHVIULZTPUSUTVKTQVAAHVIIUMUNUOBC
        EGHTKLMUPUQUR $.
    $}

    $d H s $.  $d K s $.  $d N s $.  $d Q s $.  $d S p s $.  $d S i j s $.
    $d V p $.  $d V j s $.  $d K j $.  $d N j $.
    $( The mapping of a permutation of a set fixing an element to a permutation
       of the set without the fixed element is an onto function.  (Contributed
       by AV, 7-Jan-2019.) $)
    symgfixfo $p |- ( ( N e. V /\ K e. N ) -> H : Q -onto-> S ) $=
      ( vs vp vi vj wcel wa cv wceq cfv wrex wral wfo symgfixf adantl cdif cres
      wf csn cif cmpt eqeq1 fveq2 ifbieq2d cbvmptv symgfixfolem1 3expa wi simpr
      weq anim1i symgextres syl eqcomd wb reseq1 eqeq2d adantr mpbird rspcimedv
      eqid ex pm2.43i fvtresfn rexbidva ralrimiva dffo3 sylanbrc ) FGQZEFQZRZBC
      DUIZMSZNSZDUAZTZNBUBZMCUCBCDUDWAWCVTABCDEFHIJKLUEUFWBWHMCWBWDCQZRZWHWDWEF
      EUJUGZUHZTZNBUBZWJWNWJWMWJNOFOSZETZEWOWDUAZUKZULZBVTWAWIWSBQPABCWSDEFGWDH
      IJKLOPFWRPSZETZEWTWDUAZUKOPVAWPXAWQXBEWOWTEUMWOWTWDUNUOUPUQURWEWSTZWJWMUS
      WJXCWJWMXCWJRZWMWDWSWKUHZTZXDXEWDXDWAWIRZXEWDTWJXGXCWBWAWIVTWAUTVBUFOCWSE
      FWDKWSVLVCVDVEXCWMXFVFWJXCWLXEWDWEWSWKVGVHVIVJVMUFVKVNWJWGWMNBWEBQZWGWMVF
      WJXHWFWLWDHBDWKWELVOVHUFVPVJVQNMBCDVRVS $.

    $( The mapping of a permutation of a set fixing an element to a permutation
       of the set without the fixed element is a bijection.  (Contributed by
       AV, 7-Jan-2019.) $)
    symgfixf1o $p |- ( ( N e. V /\ K e. N ) -> H : Q -1-1-onto-> S ) $=
      ( wcel wa wf1 wfo wf1o symgfixf1 adantl symgfixfo df-f1o sylanbrc ) FGMZE
      FMZNBCDOZBCDPBCDQUDUEUCABCDEFHIJKLRSABCDEFGHIJKLTBCDUAUB $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Transpositions in the symmetric group
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

<HTML>
Transpositions are special cases of "cycles" as defined in [Rotman] p. 28: "Let
i<sub>1</sub> , i<sub>2</sub> , ... , i<sub>r</sub> be distinct integers
between 1 and n. If &alpha; in S<sub>n</sub> fixes the other integers and
&alpha;(i<sub>1</sub>) = i<sub>2</sub>, &alpha;(i<sub>2</sub>) = i<sub>3</sub>,
..., &alpha;(i<sub>r-1</sub> ) = i<sub>r</sub>, &alpha;(i<sub>r</sub>) =
i<sub>1</sub>, then &alpha; is an <b>r-cycle</b>. We also say that &alpha; is a
cycle of <b>length</b> r." and in [Rotman] p. 31: "A 2-cycle is also called
<b>transposition</b>.".
<br><br>
We (currently) do not have/need a definition for cycles, so transpositions are
explicitly defined in ~ df-pmtr .
</HTML>

$)

  $c pmTrsp $.
  $( Syntax for the transposition generator function. $)
  cpmtr $a class pmTrsp $.

  ${
    $d d p y z $.
    $( Define a function that generates the transpositions on a set.
       (Contributed by Stefan O'Rear, 16-Aug-2015.) $)
    df-pmtr $a |- pmTrsp = ( d e. _V |->
        ( p e. { y e. ~P d | y ~~ 2o } |-> ( z e. d |->
            if ( z e. p , U. ( p \ { z } ) , z ) ) ) ) $.
  $}

  ${
    $d x y F $.  $d x y A $.  $d x y G $.
    $( A permutation of any class moves a point which is moved to a different
       point which is moved.  (Contributed by Stefan O'Rear, 22-Aug-2015.) $)
    f1omvdmvd $p |- ( ( F : A -1-1-onto-> A /\ X e. dom ( F \ _I ) ) ->
        ( F ` X ) e. ( dom ( F \ _I ) \ { X } ) ) $=
      ( wf1o cid cdif cdm wcel wa cfv wne csn simpr wss fnelnfp syl2an2r adantr
      wb wceq mpbird wfn f1ofn difss dmss ax-mp f1odm sseqtrid sselda mpbid wf1
      f1of1 wf f1of ffvelrnd f1fveq syl12anc necon3bid eldifsn sylanbrc ) AABDZ
      CBEFZGZHZIZCBJZVBHZVECKZVEVBCLFHVDVFVEBJZVEKZVDVIVGVDVCVGUTVCMUTBAUAZVCCA
      HZVCVGRAABUBZUTVBACUTBGZVBAVABNVBVMNBEUCVABUDUEAABUFUGUHZABCOPUIZVDVHVEVE
      CVDAABUJZVEAHZVKVHVESVECSRUTVPVCAABUKQVDAACBUTAABULVCAABUMQVNUNZVNAAVECBU
      OUPUQTUTVJVCVQVFVIRVLVRABVEOPTVOVEVBCURUS $.

    $( A permutation and its inverse move the same points.  (Contributed by
       Stefan O'Rear, 22-Aug-2015.) $)
    f1omvdcnv $p |- ( F : A -1-1-onto-> A
        -> dom ( `' F \ _I ) = dom ( F \ _I ) ) $=
      ( vx wf1o cv ccnv cfv wne crab cid cdif cdm wcel wa wceq wb f1ocnvfvb wfn
      f1ofn fndifnfp 3anidm23 bicomd necon3bid rabbidva f1ocnv 3syl syl 3eqtr4d
      ) AABDZCEZBFZGZUJHZCAIZUJBGZUJHZCAIZUKJKLZBJKLZUIUMUPCAUIUJAMZNZULUJUOUJV
      AUOUJOZULUJOZUIUTVBVCPAAUJUJBQUAUBUCUDUIAAUKDUKARURUNOAABUEAAUKSCAUKTUFUI
      BARUSUQOAABSCABTUGUH $.

    $( Composing two permutations moves at most the union of the points.
       (Contributed by Stefan O'Rear, 22-Aug-2015.) $)
    mvdco $p |- dom ( ( F o. G ) \ _I )
        C_ ( dom ( F \ _I ) u. dom ( G \ _I ) ) $=
      ( ccom cid cdif cdm cin cun inundif coeq2i coundi difeq1i eqtri wss ax-mp
      eqtr3i ccnv eqsstri sstri dmss dmeqi dmun inss2 coss2 cocnvcnv1 wrel wceq
      difundir relcnv coi1 cnvcnvss ssdif mp2b difss dmcoss unss12 mp2an ) ABCZ
      DEZFZABDGZCZDEZFZABDEZCZDEZFZHZADEZFZVEFZHZUTVCVGHZFVIUSVNUSVBVFHZDEVNURV
      ODAVAVEHZCURVOVPBABDIJAVAVEKPLVBVFDUHMUAVCVGUBMVDVKNZVHVLNVIVMNVBANVCVJNV
      QVBADCZAVADNVBVRNBDUCVADAUDOVRAQZQZAVTDCZVRVTADUEVTUFWAVTUGVSUIVTUJOPAUKR
      SVBADULVCVJTUMVHVFFZVLVGVFNVHWBNVFDUNVGVFTOAVEUOSVDVKVHVLUPUQR $.

    $( Conjugation of a permutation takes the image of the moved subclass.
       (Contributed by Stefan O'Rear, 22-Aug-2015.) $)
    f1omvdconj $p |- ( ( F : A --> A /\ G : A -1-1-onto-> A )
        -> dom ( ( ( G o. F ) o. `' G ) \ _I ) = ( G " dom ( F \ _I ) ) ) $=
      ( vx wf wf1o wa ccom cid cdm wss wceq syl wcel cfv wne wfn syl2anc sylan
      wb ccnv cdif cima cv difss dmss ax-mp dmcoss sstri f1ocnv adantl sseqtrid
      f1odm sselda crn imassrn f1of frnd simpl fco ffnd fnelnfp f1ofn fvco2 ffn
      sstrid ad2antrr ffvelrn eqtrd eqeq1d simplr simpr f1ocnvfvb syl3anc bitrd
      necon3bid necom wf1 f1of1 ad2antlr fdm f1elima f1ocnvfv2 adantll 3bitr3rd
      simpll eleq1d syl5bb 3bitrd eqrdav ) AABEZAACFZGZDCBHZCUAZHZIUBZJZCBIUBZJ
      ZUCZAWMWRADUDZWMWOJZWRAWRWPJZXCWQWPKWRXDKWPIUEWQWPUFUGWNWOUHUIWMAAWOFZXCA
      LWLXEWKAACUJUKZAAWOUMMULUNWMXAAXBWMXACUOACWTUPWMAACWLAACEZWKAACUQUKZURVFU
      NWMXBANZGZXBWRNZXBWPOZXBPZXBWOOZXNBOZPZXBXANZWMWPAQXIXKXMTWMAAWPWMAAWNEZA
      AWOEZAAWPEWMXGWKXRXHWKWLUSAAACBUTRWMXEXSXFAAWOUQMZAAAWNWOUTRVAAWPXBVBSXJX
      LXBXNXOXJXLXBLXOCOZXBLZXNXOLZXJXLYAXBXJXLXNWNOZYAWMWOAQZXIXLYDLWMXEYEXFAA
      WOVCMAWNWOXBVDSXJBAQZXNANZYDYALWKYFWLXIAABVEVGZWMXSXIYGXTAAXBWOVHSZACBXNV
      DRVIVJXJWLXOANZXIYBYCTWKWLXIVKXJWKYGYJWKWLXIWFYIAAXNBVHRWMXIVLAAXOXBCVMVN
      VOVPXPXOXNPZXJXQXNXOVQXJXNCOZXANZXNWTNZXQYKXJAACVRZYGWTAKZYMYNTWLYOWKXIAA
      CVSVTYIWKYPWLXIWKBJZWTAWSBKWTYQKBIUEWSBUFUGAABWAULVGAACXNWTWBVNXJYLXBXAWL
      XIYLXBLWKAAXBCWCWDWGXJYFYGYNYKTYHYIABXNVBRWEWHWIWJ $.

    $( A transposition is characterized by the points it moves.  (Contributed
       by Stefan O'Rear, 22-Aug-2015.) $)
    f1otrspeq $p |- ( ( ( F : A -1-1-onto-> A /\ G : A -1-1-onto-> A ) /\
          ( dom ( F \ _I ) ~~ 2o /\ dom ( G \ _I ) = dom ( F \ _I ) ) ) ->
        F = G ) $=
      ( vx vy wf1o wa cid cdif cdm c2o cen wbr wceq wfn f1ofn wcel c1o wb cvv
      ad2antrr ad2antlr cv cfv csn wmo csuc 1onn simplrr simplrl df-2o breqtrdi
      com eqbrtrd simpr dif1en mp3an2i weu euen1b eumo sylbi wi f1omvdmvd eleq2
      syl ex ad2antll difeq1 eleq2d 3imtr4d imp ad4ant24 fvex pm3.2i moi mp3an1
      eleq1 syl12anc adantlr wn fnelnfp sylan bitrd necon2bbid eqtr4d pm2.61dan
      wne biimpar eqfnfvd ) AABFZAACFZGZBHIJZKLMZCHIJZWMNZGZGZDABCWJBAOZWKWQAAB
      PUAZWKCAOZWJWQAACPUBZWRDUCZAQZGZXCWOQZXCBUDZXCCUDZNZWRXFXIXDWRXFGZEUCZWOX
      CUEZIZQZEUFZXGXMQZXHXMQZXIXJXMRLMZXORUMQXJWORUGZLMXFXRUHXJWOWMXSLWLWNWPXF
      UIXJWMKXSLWLWNWPXFUJUKULUNWRXFUOWORXCUPUQXRXNEURXOEXMUSXNEUTVAVEWRXFXPWRX
      CWMQZXGWMXLIZQZXFXPWJXTYBVBWKWQWJXTYBABXCVCVFUAWPXFXTSWLWNWOWMXCVDVGWPXPY
      BSWLWNWPXMYAXGWOWMXLVHVIVGVJVKWKXFXQWJWQACXCVCVLXGTQZXHTQZGXOXPXQGXIYCYDX
      CBVMXCCVMVNXNXPXQEXGXHTTXKXGXMVQXKXHXMVQVOVPVRVSXEXFVTZGXGXCXHXEXGXCNYEXE
      XFXGXCXEXFXTXGXCWGZXEWOWMXCWLWNWPXDUIVIWRWSXDXTYFSWTABXCWAWBWCWDWHXEXHXCN
      YEXEXFXHXCWRXAXDXFXHXCWGSXBACXCWAWBWDWHWEWFWI $.

    $( If exactly one of two permutations is limited to a set of points, then
       the composition will not be.  (Contributed by Stefan O'Rear,
       23-Aug-2015.) $)
    f1omvdco2 $p |- ( ( F : A -1-1-onto-> A /\ G : A -1-1-onto-> A /\
          ( dom ( F \ _I ) C_ X \/_ dom ( G \ _I ) C_ X ) ) ->
        -. dom ( ( F o. G ) \ _I ) C_ X ) $=
      ( wf1o cid cdif cdm wss ccom wn wa ccnv wceq coass f1of syl difeq1d dmeqd
      wf wxo wo excxor f1ococnv1 coeq1d fcoi2 sylan9eq eqtr3id adantr cun mvdco
      cres f1omvdcnv ad2antrr simprl eqsstrd simprr unssd sstrid eqsstrrd con3d
      expr expimpd f1ococnv2 coeq2d fcoi1 sylan9eqr eqtrid ad2antlr jaod syl5bi
      ancomsd 3impia ) AABEZAACEZBFGZHZDIZCFGZHZDIZUAZBCJZFGHZDIZKZWBVRWAKZLZVR
      KZWALZUBVNVOLZWFVRWAUCWKWHWFWJWKVRWGWFWKVRLWEWAWKVRWEWAWKVRWELZLZVTBMZWCJ
      ZFGZHZDWKWQVTNWLWKWPVSWKWOCFWKWOWNBJZCJZCWNBCOVNVOWSFAULZCJZCVNWRWTCAABUD
      UEVOAACTXACNAACPAACUFQUGUHRSUIWMWQWNFGHZWDUJDWNWCUKWMXBWDDWMXBVQDVNXBVQNV
      OWLABUMUNWKVRWEUOUPWKVRWEUQURUSUTVBVAVCWKWAWIWFWKWAWIWFWKWALWEVRWKWAWEVRW
      KWAWELZLZVQWCCMZJZFGZHZDWKXHVQNXCWKXGVPWKXFBFWKXFBCXEJZJZBBCXEOVOVNXJBWTJ
      ZBVOXIWTBAACVDVEVNAABTXKBNAABPAABVFQVGVHRSUIXDXHWDXEFGHZUJDWCXEUKXDWDXLDW
      KWAWEUQXDXLVTDVOXLVTNVNXCACUMVIWKWAWEUOUPURUSUTVBVAVCVLVJVKVM $.

    $( If a point is moved by exactly one of two permutations, then it will be
       moved by their composite.  (Contributed by Stefan O'Rear,
       23-Aug-2015.) $)
    f1omvdco3 $p |- ( ( F : A -1-1-onto-> A /\ G : A -1-1-onto-> A /\
          ( X e. dom ( F \ _I ) \/_ X e. dom ( G \ _I ) ) ) ->
        X e. dom ( ( F o. G ) \ _I ) ) $=
      ( cid cdif cdm wcel wxo wf1o wss wb wn c0 wceq disjsn disj2 bitr3i df-xor
      cin cvv csn ccom notbi bibi12i bitri notbii 3bitr4i w3a f1omvdco2 con2bii
      sylibr syl3an3b ) DBEFGZHZDCEFGZHZIZAABJZAACJZUNUADUBZFZKZUPVBKZIZDBCUCEF
      GZHZUOUQLZMVCVDLZMURVEVHVIVHUOMZUQMZLVIUOUQUDVJVCVKVDVJUNVATNOVCUNDPUNVAQ
      RVKUPVATNOVDUPDPUPVAQRUEUFUGUOUQSVCVDSUHUSUTVEUIVFVBKZMVGABCVBUJVLVGVLVFV
      ATNOVGMVFVAQVFDPRUKULUM $.
  $}

  ${
    $d d p y z D $.  $d d p y z T $.  $d p y z P $.  $d z Z $.  $d z V $.
    pmtrfval.t $e |- T = ( pmTrsp ` D ) $.
    $( The function generating transpositions on a set.  (Contributed by Stefan
       O'Rear, 16-Aug-2015.) $)
    pmtrfval $p |- ( D e. V -> T = ( p e. { y e. ~P D | y ~~ 2o } |->
            ( z e. D |-> if ( z e. p , U. ( p \ { z } ) , z ) ) ) ) $=
      ( vd wcel cpmtr cfv cv c2o cen wbr cpw crab cmpt cvv wceq csn cif rabeqdv
      cdif cuni elex mpteq1 mpteq12dv df-pmtr vpwex mptrabex fvmpt3i syl eqtrid
      pweq ) CEIZDCJKZFALMNOZACPZQZBCBLZFLZIVBVAUAUDUEVAUBZRZRZGUPCSIUQVETCEUFH
      CFURAHLZPZQZBVFVCRZRVESJVFCTZFVHVIUTVDVJURAVGUSVFCUOUCBVFCVCUGUHABFHUIURF
      AVGVIHUJUKULUMUN $.

    $( A generated transposition, expressed in a symmetric form.  (Contributed
       by Stefan O'Rear, 16-Aug-2015.) $)
    pmtrval $p |- ( ( D e. V /\ P C_ D /\ P ~~ 2o ) -> ( T ` P ) =
        ( z e. D |-> if ( z e. P , U. ( P \ { z } ) , z ) ) ) $=
      ( vp vy wcel c2o cen wbr cfv cv cdif cuni cif cmpt wceq 3ad2ant1 wss crab
      w3a cpw csn pmtrfval fveq1d cvv eqid eleq2 difeq1 ifbieq1d mpteq2dv breq1
      unieqd elpw2g biimpar 3adant3 simp3 elrabd mptexg fvmptd3 eqtrd ) BEIZCBU
      AZCJKLZUCZCDMZCGHNZJKLZHBUDZUBZABANZGNZIZVNVMUEZOZPZVMQZRZRZMZABVMCIZCVPO
      ZPZVMQZRZVDVEVHWBSVFVDCDWAHABDEGFUFUGTVGGCVTWGVLWAUHWAUIVNCSZABVSWFWHVOWC
      VRWEVMVNCVMUJWHVQWDVNCVPUKUOULUMVGVJVFHCVKVICJKUNVDVECVKIZVFVDWIVECBEUPUQ
      URVDVEVFUSUTVDVEWGUHIVFABWFEVATVBVC $.

    $( General value of mapping a point under a transposition.  (Contributed by
       Stefan O'Rear, 16-Aug-2015.) $)
    pmtrfv $p |- ( ( ( D e. V /\ P C_ D /\ P ~~ 2o ) /\ Z e. D ) ->
        ( ( T ` P ) ` Z ) = if ( Z e. P , U. ( P \ { Z } ) , Z ) ) $=
      ( vz wcel wss c2o cen wbr w3a cfv csn cdif cuni cif wceq cvv cmpt pmtrval
      wa cv fveq1d adantr eqid eleq1 sneq difeq2d unieqd ifbieq12d simpr simpl3
      id relen brrelex1i difexg uniexg 4syl ifexg sylancom fvmptd3 eqtrd ) ADHZ
      BAIZBJKLZMZEAHZUCZEBCNZNZEGAGUDZBHZBVMOZPZQZVMRZUAZNZEBHZBEOZPZQZERZVHVLV
      TSVIVHEVKVSGABCDFUBUEUFVJGEVRWEAVSTVSUGVMESZVNWAVQVMWDEVMEBUHWFVPWCWFVOWB
      BVMEUIUJUKWFUOULVHVIUMVHVIWDTHZWETHVJVGBTHWCTHWGVEVFVGVIUNBJKUPUQBWBTURWC
      TUSUTWAWDETAVAVBVCVD $.

    $( In a transposition of two given points, each maps to the other.
       (Contributed by Stefan O'Rear, 25-Aug-2015.) $)
    pmtrprfv $p |- ( ( D e. V /\ ( X e. D /\ Y e. D /\ X =/= Y ) ) ->
        ( ( T ` { X , Y } ) ` X ) = Y ) $=
      ( wcel wne w3a wa cpr cfv csn cdif cuni cif wss wceq syl eqtrd c2o simpr1
      cen wbr simpl simpr2 prssd pr2nelem adantl pmtrfv syl31anc prid1g iftrued
      difprsnss prid2g simpr3 necomd eldifsn sylanbrc snssd eqssd unieqd unisng
      a1i ) ACGZDAGZEAGZDEHZIZJZDDEKZBLLZDVKGZVKDMNZOZDPZEVJVEVKAQVKUAUCUDZVFVL
      VPRVEVIUEVJDEAVEVFVGVHUBZVEVFVGVHUFZUGVIVQVEDEAAUHUIVRAVKBCDFUJUKVJVPVOEV
      JVMVODVJVFVMVRDEAULSUMVJVOEMZOZEVJVNVTVJVNVTVNVTQVJDEUNVDVJEVNVJEVKGZEDHE
      VNGVJVGWBVSDEAUOSVJDEVEVFVGVHUPUQEVKDURUSUTVAVBVJVGWAERVSEAVCSTTT $.

    $( In a transposition of two given points, all other points are mapped to
       themselves.  (Contributed by AV, 17-Mar-2019.) $)
    pmtrprfv3 $p |- ( ( D e. V /\ ( X e. D /\ Y e. D /\ Z e. D )
                        /\ ( X =/= Y /\ X =/= Z /\ Y =/= Z ) )
                      -> ( ( T ` { X , Y } ) ` Z ) = Z ) $=
      ( wcel w3a wne cpr cfv csn cdif simp1 3ad2ant2 wi necom biimpi 3ad2ant3
      cuni cif wss c2o cen wbr wceq simp22 prssd pr2nelem 3expia com12 3ad2ant1
      3adant3 impcom 3adant1 simp23 pmtrfv syl31anc nelprd iffalsed eqtrd ) ACH
      ZDAHZEAHZFAHZIZDEJZDFJZEFJZIZIZFDEKZBLLZFVMHZVMFMNUAZFUBZFVLVCVMAUCVMUDUE
      UFZVFVNVQUGVCVGVKOVLDEAVGVCVDVKVDVEVFOPVCVDVEVFVKUHUIVGVKVRVCVKVGVRVHVIVG
      VRQVJVGVHVRVDVEVHVRQVFVDVEVHVRDEAAUJUKUNULUMUOUPVCVDVEVFVKUQAVMBCFGURUSVL
      VOVPFVLFDEVKVCFDJZVGVIVHVSVJVIVSDFRSPTVKVCFEJZVGVJVHVTVIVJVTEFRSTTUTVAVB
      $.

    $( Functionality of a transposition.  (Contributed by Stefan O'Rear,
       16-Aug-2015.) $)
    pmtrf $p |- ( ( D e. V /\ P C_ D /\ P ~~ 2o ) -> ( T ` P ) : D --> D ) $=
      ( vz wcel wss c2o cen wbr w3a cv csn cdif cuni cif cfv wa c1o pmtrval com
      simpll2 csuc 1onn simpll3 df-2o breqtrdi simpr dif1en mp3an2i eldifi 3syl
      en1uniel sseldd wn simplr ifclda fmpt3d ) ADGZBAHZBIJKZLZFAFMZBGZBVDNZOZP
      ZVDQABCRFABCDEUAVCVDAGZSZVEVHVDAVJVESZBAVHUTVAVBVIVEUCVKVGTJKZVHVGGVHBGTU
      BGVKBTUDZJKVEVLUEVKBIVMJUTVAVBVIVEUFUGUHVJVEUIBTVDUJUKVGUNVHBVFULUMUOVCVI
      VEUPUQURUS $.

    $( A transposition moves precisely the transposed points.  (Contributed by
       Stefan O'Rear, 16-Aug-2015.) $)
    pmtrmvd $p |- ( ( D e. V /\ P C_ D /\ P ~~ 2o ) ->
        dom ( ( T ` P ) \ _I ) = P ) $=
      ( vz wcel wss c2o cen wbr cfv cdif wne crab cin wceq 3syl wa c1o cv pmtrf
      w3a cid cdm wf wfn ffn fndifnfp csn cif pmtrfv neeq1d wb iffalse necon1ai
      cuni iftrue adantl csuc 1onn simpl3 df-2o breqtrdi simpr mp3an2i en1uniel
      com dif1en eldifsni eqnetrd ex impbid2 bitrd rabbidva incom dfin5 eqtr4di
      adantr eqtri simp2 df-ss sylib 3eqtrd ) ADGZBAHZBIJKZUCZBCLZUDMUEZFUAZWIL
      ZWKNZFAOZBAPZBWHAAWIUFWIAUGWJWNQABCDEUBAAWIUHFAWIUIRWHWNWKBGZFAOZWOWHWMWP
      FAWHWKAGZSZWMWPBWKUJMZUQZWKUKZWKNZWPWSWLXBWKABCDWKEULUMWHXCWPUNWRWHXCWPWP
      XBWKWPXAWKUOUPWHWPXCWHWPSZXBXAWKWPXBXAQWHWPXAWKURUSXDWTTJKZXAWTGXAWKNTVHG
      XDBTUTZJKWPXEVAXDBIXFJWEWFWGWPVBVCVDWHWPVEBTWKVIVFWTVGXABWKVJRVKVLVMVSVNV
      OWOABPWQBAVPFABVQVTVRWHWFWOBQWEWFWGWABAWBWCWD $.
  $}

  ${
    $d w x y z D $.  $d x y P $.  $d w x y z T $.  $d y z V $.  $d x y F $.
    $d x y R $.
    pmtrrn.t $e |- T = ( pmTrsp ` D ) $.
    pmtrrn.r $e |- R = ran T $.
    $( Transposing two points gives a transposition function.  (Contributed by
       Stefan O'Rear, 22-Aug-2015.) $)
    pmtrrn $p |- ( ( D e. V /\ P C_ D /\ P ~~ 2o ) -> ( T ` P ) e. R ) $=
      ( vx vz vy wcel wss c2o cen wbr cv wfn cmpt cvv 3ad2ant1 w3a cfv crn crab
      cpw csn cdif cuni cif wral mptexg ralrimivw eqid syl wceq pmtrfval fneq1d
      fnmpt mpbird breq1 elpw2g biimpar 3adant3 simp3 elrabd fnfvelrn eleqtrrdi
      syl2anc ) AEKZBALZBMNOZUAZBDUBZDUCZCVLDHPZMNOZHAUEZUDZQZBVRKVMVNKVLVSIVRJ
      AJPZIPZKWAVTUFUGUHVTUIZRZRZVRQZVLWCSKZIVRUJZWEVIVJWGVKVIWFIVRJAWBEUKULTIV
      RWCWDSWDUMURUNVLVRDWDVIVJDWDUOVKHJADEIFUPTUQUSVLVPVKHBVQVOBMNUTVIVJBVQKZV
      KVIWHVJBAEVAVBVCVIVJVKVDVEVRBDVFVHGVG $.

    ${
      pmtrfrn.p $e |- P = dom ( F \ _I ) $.
      $( A transposition (as a kind of function) is the function transposing
         the two points it moves.  (Contributed by Stefan O'Rear,
         22-Aug-2015.) $)
      pmtrfrn $p |- ( F e. R -> ( ( D e. _V /\ P C_ D /\ P ~~ 2o ) /\
            F = ( T ` P ) ) ) $=
        ( vy vx vw vz cvv wcel c2o cen wbr wceq wa cv wss w3a cfv wn noel cpmtr
        c0 crn rnfvprc eqtrid eleq2d mtbiri con4i cpw wrex crab wfn wb csn cdif
        cuni cif cmpt wral mptexg ralrimivw eqid pmtrfval fneq1d mpbird fvelrnb
        fnmpt syl eleq2i breq1 rexrab bicomi 3bitr4g wi elpwi cid simp1 pmtrmvd
        cdm simp2 eqsstrd simp3 eqbrtrd 3jca eqcomd fveq2d difeq1 dmeqd eqtr4di
        sseq1 3anbi23d adantl simpl fveq2 eqeq12d anbi12d mpdan syl5ibcom imp4a
        jca 3exp syl5 rexlimdv sylbid mpcom ) AMNZECNZXKBAUAZBOPQZUBZEBDUCZRZSZ
        XKXLXKUDZXLEUGNEUEXSCUGEXSCDUHZUGGUFADFUIUJUKULUMXKXLITZOPQZYADUCZERZSZ
        IAUNZUOZXRXKEXTNZYDIJTZOPQZJYFUPZUOZXLYGXKDYKUQZYHYLURXKYMKYKLALTZKTZNY
        OYNUSUTVAYNVBZVCZVCZYKUQZXKYQMNZKYKVDYSXKYTKYKLAYPMVEVFKYKYQYRMYRVGVLVM
        XKYKDYRJLADMKFVHVIVJIYKEDVKVMCXTEGVNYLYGYJYBYDIJYFYIYAOPVOVPVQVRXKYEXRI
        YFYAYFNYAAUAZXKYEXRVSYAAVTXKUUAYBYDXRXKUUAYBYDXRVSXKUUAYBUBZXKYCWAUTZWD
        ZAUAZUUDOPQZUBZYCUUDDUCZRZSZYDXRUUBUUGUUIUUBXKUUEUUFXKUUAYBWBUUBUUDYAAA
        YADMFWCZXKUUAYBWEWFUUBUUDYAOPUUKXKUUAYBWGWHWIUUBYAUUDDUUBUUDYAUUKWJWKXE
        YDUUDBRZUUJXRURYDUUDEWAUTZWDBYDUUCUUMYCEWAWLWMHWNYDUULSZUUGXOUUIXQUULUU
        GXOURYDUULUUEXMUUFXNXKUUDBAWOUUDBOPVOWPWQUUNYCEUUHXPYDUULWRUULUUHXPRYDU
        UDBDWSWQWTXAXBXCXFXDXGXHXIXJ $.

      $( Mapping of a point under a transposition function.  (Contributed by
         Stefan O'Rear, 22-Aug-2015.) $)
      pmtrffv $p |- ( ( F e. R /\ Z e. D ) -> ( F ` Z ) =
          if ( Z e. P , U. ( P \ { Z } ) , Z ) ) $=
        ( wcel wa cfv csn cdif cuni cif wceq cvv wss c2o cen wbr pmtrfrn simprd
        w3a fveq1d adantr simpld pmtrfv sylan eqtrd ) ECJZFAJZKFELZFBDLZLZFBJBF
        MNOFPZULUNUPQUMULFEUOULARJBASBTUAUBUEZEUOQZABCDEGHIUCZUDUFUGULURUMUPUQQ
        ULURUSUTUHABDRFGUIUJUK $.
    $}

    $( For any transposition there are two points it is transposing.
       (Contributed by SO, 15-Jul-2018.) $)
    pmtrrn2 $p |- ( F e. R -> E. x e. D E. y e. D ( x =/= y /\
          F = ( T ` { x , y } ) ) ) $=
      ( wcel cv wa cfv wceq wex wrex c2o cen wbr cvv wss wne cpr cid cdm simpld
      cdif w3a eqid pmtrfrn simp3d simp2d simprd jca32 sseq1 breq1 fveq2 eqeq2d
      en2 syl anbi12d syl5ibcom prss bicomi wb pr2ne el2v anbi1i anbi12i syl6ib
      vex 2eximdv mpd r2ex sylibr ) FDIZAJZCIBJZCIKZVPVQUAZFVPVQUBZELZMZKZKZBNA
      NZWCBCOACOVOFUCUFUDZVTMZBNANZWEVOWFPQRZWHVOCSIZWFCTZWIVOWJWKWIUGZFWFELZMZ
      CWFDEFGHWFUHUIZUEZUJZABWFURUSVOWGWDABVOWGVTCTZVTPQRZWBKZKZWDVOWKWIWNKZKWG
      XAVOWKWIWNVOWJWKWIWPUKWQVOWLWNWOULUMWGWKWRXBWTWFVTCUNWGWIWSWNWBWFVTPQUOWG
      WMWAFWFVTEUPUQUTUTVAWRVRWTWCVRWRVPVQCAVJBVJVBVCWSVSWBWSVSVDABVPVQSSVEVFVG
      VHVIVKVLWCABCCVMVN $.

    $( A transposition function is an involution.  (Contributed by Stefan
       O'Rear, 22-Aug-2015.) $)
    pmtrfinv $p |- ( F e. R -> ( F o. F ) = ( _I |` D ) ) $=
      ( vx wcel wf wfn cdif cfv cen wbr wceq syl wa c1o sylan eqtrd cid cdm cvv
      ccom cres wss c2o w3a pmtrfrn simpld pmtrf simprd feq1d mpbird fco anidms
      eqid ffn 3syl fnresi a1i cv csn cif pmtrffv iftrue sylan9eq fveq2d simpll
      cuni simp2d ad2antrr csuc 1onn simp3d df-2o breqtrdi simpr dif1en mp3an2i
      com en1uniel eldifad sseldd syl2anc adantr en2other2 ancoms wn wb fnelnfp
      wne ffnd necon2bbid biimpar fveq2 pm2.61dan fvresi adantl 3eqtr4d eqfnfvd
      id fvco2 ) DBHZGADDUDZUAAUEZXDAADIZAAXEIZXEAJXDXGAADUAKUBZCLZIZXDAUCHZXIA
      UFZXIUGMNZUHZXKXDXODXJOZAXIBCDEFXIUQZUIZUJZAXICUCEUKPXDAADXJXDXOXPXRULUMU
      NZXGXHAAADDUOUPAAXEURUSXFAJXDAUTVAXDGVBZAHZQZYADLZDLZYAYAXELZYAXFLZYCYAXI
      HZYEYAOZYCYHQZYEXIYAVCZKZVJZDLZYAYJYDYMDYCYHYDYHYMYAVDYMAXIBCDYAEFXQVEYHY
      MYAVFVGVHYJYNYMXIHZXIYMVCKVJZYMVDZYAYJXDYMAHYNYQOXDYBYHVIYJXIAYMXDXMYBYHX
      DXLXMXNXSVKVLYJYMXIYKYJYLRMNZYMYLHRWAHYJXIRVMZMNZYHYRVNXDYTYBYHXDXIUGYSMX
      DXLXMXNXSVOZVPVQVLYCYHVRXIRYAVSVTYLWBPWCZWDAXIBCDYMEFXQVEWEYJYQYPYAYJYOYQ
      YPOUUBYOYPYMVFPYCXNYHYPYAOZXDXNYBUUAWFYHXNUUCXIYAWGWHSTTTYCYHWIZQYDYAOZYI
      YCUUEUUDYCYHYDYAXDDAJZYBYHYDYAWLWJXDAADXTWMZADYAWKSWNWOUUEYEYDYAYDYADWPUU
      EXBTPWQXDUUFYBYFYEOUUGADDYAXCSYBYGYAOXDAYAWRWSWTXA $.

    $( A transposition moves at least one point.  (Contributed by Stefan
       O'Rear, 23-Aug-2015.) $)
    pmtrfmvdn0 $p |- ( F e. R -> dom ( F \ _I ) =/= (/) ) $=
      ( wcel cid cdif cdm c0 wne c2o 2on0 cen wbr wceq wb cvv en0 simpld simp3d
      wss w3a cfv eqid pmtrfrn enen1 syl 3bitr3g necon3bid mpbiri ) DBGZDHIJZKL
      MKLNUMUNKMKUMUNKOPZMKOPZUNKQMKQUMUNMOPZUOUPRUMASGZUNAUCZUQUMURUSUQUDDUNCU
      EQAUNBCDEFUNUFUGUAUBUNMKUHUIUNTMTUJUKUL $.

    $( A transposition function is a permutation.  (Contributed by Stefan
       O'Rear, 22-Aug-2015.) $)
    pmtrff1o $p |- ( F e. R -> F : D -1-1-onto-> D ) $=
      ( wcel wf cid cdif cdm cfv cvv wss c2o cen wbr w3a wceq eqid simpld pmtrf
      pmtrfrn syl simprd feq1d mpbird pmtrfinv fcof1od ) DBGZAADDUJAADHAADIJKZC
      LZHZUJAMGUKANUKOPQRZUMUJUNDULSZAUKBCDEFUKTUCZUAAUKCMEUBUDUJAADULUJUNUOUPU
      EUFUGZUQABCDEFUHZURUI $.

    $( A transposition function is its own inverse.  (Contributed by Stefan
       O'Rear, 22-Aug-2015.) $)
    pmtrfcnv $p |- ( F e. R -> `' F = F ) $=
      ( wcel wf cid cdif cdm cfv cvv wss c2o cen wbr w3a wceq eqid simpld pmtrf
      pmtrfrn syl simprd feq1d mpbird pmtrfinv 2fcoidinvd ) DBGZAADDUJAADHAADIJ
      KZCLZHZUJAMGUKANUKOPQRZUMUJUNDULSZAUKBCDEFUKTUCZUAAUKCMEUBUDUJAADULUJUNUO
      UPUEUFUGZUQABCDEFUHZURUI $.

    $( An intrinsic characterization of the transposition permutations.
       (Contributed by Stefan O'Rear, 22-Aug-2015.) $)
    pmtrfb $p |- ( F e. R <-> ( D e. _V /\ F : D -1-1-onto-> D /\
          dom ( F \ _I ) ~~ 2o ) ) $=
      ( wcel cvv wf1o cid cdif cdm c2o cen w3a wss wceq syl pmtrff1o syl3an2 wa
      wbr eqid pmtrfrn simpl1 simpl3 3jca simp2 difss dmss ax-mp f1odm sseqtrid
      cfv pmtrrn simp3 pmtrmvd f1otrspeq syl22anc eqeltrd impbii ) DBGZAHGZAADI
      ZDJKZLZMNUBZOZVBVCVDVGVBVCVFAPZVGODVFCUNZQZUAZVCAVFBCDEFVFUCUDZVCVIVGVKUE
      RABCDEFSVBVLVGVMVCVIVGVKUFRUGVHDVJBVHVDAAVJIZVGVJJKLVFQZVKVCVDVGUHVHVJBGZ
      VNVDVCVIVGVPVDDLZVFAVEDPVFVQPDJUIVEDUJUKAADULUMZAVFBCHEFUOTZABCVJEFSRVCVD
      VGUPVDVCVIVGVOVRAVFCHEUQTADVJURUSVSUTVA $.

    $( Any conjugate of a transposition is a transposition.  (Contributed by
       Stefan O'Rear, 22-Aug-2015.) $)
    pmtrfconj $p |- ( ( F e. R /\ G : D -1-1-onto-> D ) ->
        ( ( G o. F ) o. `' G ) e. R ) $=
      ( wcel wf1o cvv ccom cid cdif cdm c2o cen wbr adantr syl2anc wss wa simpr
      ccnv pmtrfb simp1bi pmtrff1o f1oco f1ocnv adantl cima wceq syl f1omvdconj
      wf f1of wf1 f1of1 difss dmss ax-mp fssdm f1imaeng syl3anc eqbrtrd simp3bi
      ssexd entr syl3anbrc ) DBHZAAEIZUAZAJHZAAEDKZEUCZKZIZVOLMNZOPQZVOBHVIVLVJ
      VIVLAADIZDLMZNZOPQZABCDFGUDZUERZVKAAVMIZAAVNIZVPVKVJVSWEVIVJUBZVIVSVJABCD
      FGUFZRAAAEDUGSVJWFVIAAEUHUIAAAVMVNUGSVKVQWAPQWBVRVKVQEWAUJZWAPVKAADUNZVJV
      QWIUKVIWJVJVIVSWJWHAADUOULRZWGADEUMSVKAAEUPZWAATWAJHWIWAPQVJWLVIAAEUQUIVK
      AAWADVTDTWADNTDLURVTDUSUTWKVAZVKWAAJWDWMVFAAWAEJVBVCVDVIWBVJVIVLVSWBWCVER
      VQWAOVGSABCVOFGUDVH $.
  $}

  ${
    $d x y z B $.  $d x y z G $.  $d x y z X $.  $d y z D $.  $d y z V $.
    symgsssg.g $e |- G = ( SymGrp ` D ) $.
    symgsssg.b $e |- B = ( Base ` G ) $.
    $( The symmetric group has subgroups restricting the set of non-fixed
       points.  (Contributed by Stefan O'Rear, 24-Aug-2015.) $)
    symgsssg $p |- ( D e. V ->
        { x e. B | dom ( x \ _I ) C_ X } e. ( SubGrp ` G ) ) $=
      ( wcel cv cid cdif cdm wss cfv wceq difeq1 dmeqd sseq1d c0 vy crab cplusg
      vz cress co c0g cbs ssrab2 sseqtri a1i cgrp symggrp eqid grpidcl syl cres
      eqidd symgid difeq1d resss ssdif0 mpbi dmeqi dm0 eqtri 0ss eqsstri elrabd
      eqsstrrdi biid elrab w3a 3ad2ant1 simp2l simp3l grpcl syl3anc ccom symgov
      wa syl2anc cun mvdco simp2r simp3r unssd eqsstrd syl3anb cminusg grpinvcl
      sstrid simprl syl2an2r ccnv symginv ad2antrl wf1o symgbasf1o eqtrd simprr
      f1omvdcnv sylan2b issubgrpd2 ) CEIZUAUDAJZKLZMZFNZABUBZDUCOZDXJUEUFZDDUGO
      ZXEXLURXEXMURXEXKURXJDUHOZNXEXJBXNXIABUIHUJUKXEXIXMKLZMZFNAXMBXFXMPZXHXPF
      XQXGXOXFXMKQRSXEDULIZXMBICDEGUMZBDXMHXMUNUOUPXEXPKCUQZKLZMZFXEYAXOXEXTXMK
      CDEGUSUTRYBTFYBTMTYATXTKNYATPKCVAXTKVBVCVDVEVFFVGVHVJVIXEXEUAJZXJIZYCBIZY
      CKLZMZFNZWAZUDJZXJIYJBIZYJKLZMZFNZWAZYCYJXKUFZXJIXEVKXIYHAYCBXFYCPZXHYGFY
      QXGYFXFYCKQRSVLZXIYNAYJBXFYJPZXHYMFYSXGYLXFYJKQRSVLXEYIYOVMZXIYPKLZMZFNAY
      PBXFYPPZXHUUBFUUCXGUUAXFYPKQRSYTXRYEYKYPBIXEYIXRYOXSVNXEYEYHYOVOZXEYIYKYN
      VPZBXKDYCYJHXKUNZVQVRYTUUBYCYJVSZKLZMZFYTUUAUUHYTYPUUGKYTYEYKYPUUGPUUDUUE
      CBXKDYCYJGHUUFVTWBUTRYTUUIYGYMWCFYCYJWDYTYGYMFXEYEYHYOWEXEYIYKYNWFWGWLWHV
      IWIYDXEYIYCDWJOZOZXJIYRXEYIWAZXIUUKKLZMZFNAUUKBXFUUKPZXHUUNFUUOXGUUMXFUUK
      KQRSXEXRYIYEUUKBIXSXEYEYHWMBDUUJYCHUUJUNZWKWNUULUUNYGFUULUUNYCWOZKLZMZYGU
      ULUUMUURUULUUKUUQKYEUUKUUQPXEYHCBYCDUUJGHUUPWPWQUTRUULCCYCWRZUUSYGPYEUUTX
      EYHCBYCDGHWSWQCYCXBUPWTXEYEYHXAWHVIXCXSXD $.

    $( The symmetric group has a subgroup of permutations that move finitely
       many points.  (Contributed by Stefan O'Rear, 24-Aug-2015.) $)
    symgfisg $p |- ( D e. V ->
        { x e. B | dom ( x \ _I ) e. Fin } e. ( SubGrp ` G ) ) $=
      ( wcel cv cid cdif cdm cfn cfv eqidd wceq difeq1 dmeqd eleq1d c0 vy cress
      vz crab cplusg co c0g cbs wss ssrab2 sseqtri a1i cgrp symggrp grpidcl syl
      eqid cres symgid difeq1d resss ssdif0 mpbi dmeqi dm0 eqtri 0fin eqeltrrdi
      eqeltri elrabd biid elrab w3a 3ad2ant1 simp2l simp3l grpcl syl3anc symgov
      wa ccom syl2anc cun simp2r simp3r unfi mvdco ssfi sylancl eqeltrd syl3anb
      cminusg grpinvcl syl2an2r ccnv symginv ad2antrl wf1o symgbasf1o f1omvdcnv
      simprl eqtrd simprr sylan2b issubgrpd2 ) CEHZUAUCAIZJKZLZMHZABUDZDUENZDXK
      UBUFZDDUGNZXFXMOXFXNOXFXLOXKDUHNZUIXFXKBXOXJABUJGUKULXFXJXNJKZLZMHAXNBXGX
      NPZXIXQMXRXHXPXGXNJQRSXFDUMHZXNBHCDEFUNZBDXNGXNUQUOUPXFXQJCURZJKZLZMXFYBX
      PXFYAXNJCDEFUSUTRYCTMYCTLTYBTYAJUIYBTPJCVAYAJVBVCVDVEVFVGVIVHVJXFXFUAIZXK
      HZYDBHZYDJKZLZMHZVTZUCIZXKHYKBHZYKJKZLZMHZVTZYDYKXLUFZXKHXFVKXJYIAYDBXGYD
      PZXIYHMYRXHYGXGYDJQRSVLZXJYOAYKBXGYKPZXIYNMYTXHYMXGYKJQRSVLXFYJYPVMZXJYQJ
      KZLZMHAYQBXGYQPZXIUUCMUUDXHUUBXGYQJQRSUUAXSYFYLYQBHXFYJXSYPXTVNXFYFYIYPVO
      ZXFYJYLYOVPZBXLDYDYKGXLUQZVQVRUUAUUCYDYKWAZJKZLZMUUAUUBUUIUUAYQUUHJUUAYFY
      LYQUUHPUUEUUFCBXLDYDYKFGUUGVSWBUTRUUAYHYNWCZMHZUUJUUKUIUUJMHUUAYIYOUULXFY
      FYIYPWDXFYJYLYOWEYHYNWFWBYDYKWGUUKUUJWHWIWJVJWKYEXFYJYDDWLNZNZXKHYSXFYJVT
      ZXJUUNJKZLZMHAUUNBXGUUNPZXIUUQMUURXHUUPXGUUNJQRSXFXSYJYFUUNBHXTXFYFYIXABD
      UUMYDGUUMUQZWMWNUUOUUQYHMUUOUUQYDWOZJKZLZYHUUOUUPUVAUUOUUNUUTJYFUUNUUTPXF
      YICBYDDUUMFGUUSWPWQUTRUUOCCYDWRZUVBYHPYFUVCXFYICBYDDFGWSWQCYDWTUPXBXFYFYI
      XCWJVJXDXTXE $.
  $}

  ${
    $d x B $.  $d x T $.
    symgtrf.t $e |- T = ran ( pmTrsp ` D ) $.
    symgtrf.g $e |- G = ( SymGrp ` D ) $.
    symgtrf.b $e |- B = ( Base ` G ) $.
    $( Transpositions are elements of the symmetric group.  (Contributed by
       Stefan O'Rear, 23-Aug-2015.) $)
    symgtrf $p |- T C_ B $=
      ( vx cv wcel wf1o cpmtr cfv eqid pmtrff1o elsymgbas2 mpbird ssriv ) HCAHI
      ZCJSAJBBSKBCBLMZSTNEOBASDCFGPQR $.

    $d u x y z B $.  $d u x y z K $.  $d u x y z T $.  $d x z D $.  $d x z G $.
    $d x V $.
    symggen.k $e |- K = ( mrCls ` ( SubMnd ` G ) ) $.
    $( The span of the transpositions is the subgroup that moves finitely many
       points.  (Contributed by Stefan O'Rear, 28-Aug-2015.) $)
    symggen $p |- ( D e. V -> ( K ` T ) =
        { x e. B | dom ( x \ _I ) e. Fin } ) $=
      ( wcel cfv cid cdif wss cvv syl wi wceq vy vz vu cv cdm crab csubmnd cmre
      cfn elex cmnd cacs symggrp grpmndd submacs acsmre 3syl symgtrf a1i wa c2o
      com 2onn nnfi ax-mp wb cen wbr wf1o cpmtr eqid pmtrfb simp3bi enfi adantl
      mpbiri ssrabdv symgfisg subgsubm mrcsscl syl3anc vex finnum cdom csdm wal
      csubg domfi c0 cres wfn symgbasf1o f1ofn fnnfpeq0 c0g csymg elbasfv mrccl
      symgid sylancl subm0cl eqeltrd eleq1a sylbid adantr wne wex n0 cpr cplusg
      co ccom simpr csn f1omvdmvd sylan eldifad prssd difss dmss f1odm sseqtrid
      sstrd fvex sselda fnelnfp syl2anc necomd pr2nelem symgov eqeltrrd adantlr
      mpbid eqtrd sseldd dmeqd difeq1 eleq1 imbi12d eleq1w pmtrrn sselid simplr
      mp3an12i oveq2d cgrp grpcl coass pmtrfinv coeq1d wf f1of eqtr3id ad2antrr
      fcoi2 3eqtrd mrcssid difeq1d simpll cun mvdco pmtrmvd eqsstrd ssidd unssd
      wpss sstrid fvco2 prcom fveq2i fveq1i pmtrprfv syl13anc eqtrid necon2bbid
      wn ssnelpssd php3 eqbrtrd ovex breq1d spcv ad2antlr mp2d submcl ex syl5bi
      exlimdv pm2.61dne exp31 com23 3impia indcardi impcom 3adant1 rabssdv
      eqssd ) CGLZDFMZAUDZNOZUEZUILZABUFZUWREUGMZBUHMLZDUXDPUXDUXELZUWSUXDPUWRC
      QLZUXFCGUJUXHEUKLUXEBULMLUXFUXHECEQIUMZUNBEJUOUXEBUPUQZRUWRUXCABDDBPZUWRB
      CDEHIJURZUSUWRUWTDLZUTUXCVAUILZVAVBLUXNVCVAVDVEUXMUXCUXNVFZUWRUXMUXBVAVGV
      HZUXOUXMUXHCCUWTVIUXPCDCVJMZUWTUXQVKZHVLVMUXBVAVNRVOVPVQUWRUXDEWGMLUXGABC
      EGIJVRUXDEVSRUXEDFUXDBKVTWAUWRUXCABUWSUWTBLZUXCUWTUWSLZUWRUXCUXSUXTUXCUAU
      DZBLZUYAUWSLZSZUBUDZBLZUYEUWSLZSZUXSUXTSUAUBUWTUYANOZUEZUYENOZUEZUXBQUWTQ
      LUXCAWBUSUXBWCUXCUYJUXBWDVHZUYLUYJWEVHZUYHSZUBWFZUYDUXCUYMUTUYJUILZUYPUYD
      SUXBUYJWHUYQUYBUYPUYCUYQUYBUYPUYCUYQUYBUTZUYPUTZUYCUYJWIUYRUYJWITZUYCSUYP
      UYRUYTUYANCWJZTZUYCUYRCCUYAVIZUYACWKZUYTVUBVFUYBVUCUYQCBUYAEIJWLVOZCCUYAW
      MZCUYAWNUQUYRVUAUWSLVUBUYCSUYRVUAEWOMZUWSUYRUXHVUAVUGTUYBUXHUYQBEWPUYACIJ
      WQVOZCEQIWSRUYRUWSUXELZVUGUWSLUYRUXFUXKVUIUYRUXHUXFVUHUXJRZUXLUXEDFBKWRWT
      ZUWSEVUGVUGVKXARXBVUAUWSUYAXCRXDXEUYJWIXFUCUDZUYJLZUCXGUYSUYCUCUYJXHUYSVU
      MUYCUCUYSVUMUYCUYSVUMUTZVULVULUYAMZXIZUXQMZVUQUYAEXJMZXKZVURXKZUYAUWSUYRV
      UMVUTUYATUYPUYRVUMUTZVUTVUQVUQUYAXLZVURXKZVUQVVBXLZUYAVVAVUSVVBVUQVURVVAV
      UQBLZUYBVUSVVBTVVADBVUQUXLVVAUXHVUPCPZVUPVAVGVHZVUQDLZUYRUXHVUMVUHXEZVVAV
      UPUYJCVVAVULVUOUYJUYRVUMXMZVVAVUOUYJVULXNZUYRVUCVUMVUOUYJVVKOLVUECUYAVULX
      OXPXQZXRZUYRUYJCPVUMUYRUYAUEZUYJCUYIUYAPUYJVVNPUYANXSUYIUYAXTVEUYRVUCVVNC
      TVUECCUYAYARYBZXEZYCZVULQLVUOQLVVAVULVUOXFVVGUCWBVULUYAYDVVAVUOVULVVAVUMV
      UOVULXFZVVJVVAVUDVULCLZVUMVVRVFVVAVUCVUDUYRVUCVUMVUEXEZVUFRZUYRUYJCVULVVO
      YEZCUYAVULYFYGYMZYHVULVUOQQYIUUDZCVUPDUXQQUXRHUUAWAZUUBZUYQUYBVUMUUCZCBVU
      REVUQUYAIJVURVKZYJYGZUUEVVAVVEVVBBLZVVCVVDTVWFVVAVUSVVBBVWIVVAEUUFLZVVEUY
      BVUSBLZUYRVWKVUMUYRUXHVWKVUHUXIRXEVWFVWGBVUREVUQUYAJVWHUUGWAZYKZCBVUREVUQ
      VVBIJVWHYJYGVVAVVDVUQVUQXLZUYAXLZUYAVUQVUQUYAUUHVVAVWPVUAUYAXLZUYAVVAVWOV
      UAUYAVVAVVHVWOVUATVWECDUXQVUQUXRHUUIRUUJVVAVUCCCUYAUUKVWQUYATVVTCCUYAUULC
      CUYAUUOUQYNUUMUUPYLVUNVUIVUQUWSLZVUSUWSLZVUTUWSLUYRVUIUYPVUMVUKUUNUYRVUMV
      WRUYPVVADUWSVUQUYRDUWSPZVUMUYRUXFUXKVWTVUJUXLUXEDFBKUUQWTXEVWEYOYLVUNVUSN
      OZUEZUYJWEVHZVWLVWSUYRVUMVXCUYPVVAVXBVVBNOZUEZUYJWEVVAVXAVXDVVAVUSVVBNVWI
      UURYPVVAUYQVXEUYJUVFVXEUYJWEVHUYQUYBVUMUUSVVAVXEUYJVULVVAVXEVUQNOUEZUYJUU
      TUYJVUQUYAUVAVVAVXFUYJUYJVVAVXFVUPUYJVVAUXHVVFVVGVXFVUPTVVIVVQVWDCVUPUXQQ
      UXRUVBWAVVMUVCVVAUYJUVDUVEUVGVVJVVAVULVVBMZVULTZVULVXELZUVPZVVAVXGVUOVUQM
      ZVULVVAVUDVVSVXGVXKTVWAVWBCVUQUYAVULUVHYGVVAVXKVUOVUOVULXIZUXQMZMZVULVUOV
      UQVXMVUPVXLUXQVULVUOUVIUVJUVKVVAUXHVUOCLVVSVVRVXNVULTVVIVVAUYJCVUOVVPVVLY
      OVWBVWCCUXQQVUOVULUXRUVLUVMUVNYNVVAVVBCWKZVVSVXHVXJVFVVAVWJCCVVBVIVXOVWNC
      BVVBEIJWLCCVVBWMUQVWBVXOVVSUTVXIVXGVULCVVBVULYFUVOYGYMUVQUYJVXEUVRYGUVSYL
      UYRVUMVWLUYPVWMYLUYPVXCVWLVWSSZSZUYRVUMUYOVXQUBVUSVUQUYAVURUVTUYEVUSTZUYN
      VXCUYHVXPVXRUYLVXBUYJWEVXRUYKVXAUYEVUSNYQYPUWAVXRUYFVWLUYGVWSUYEVUSBYRUYE
      VUSUWSYRYSYSUWBUWCUWDVURUWSEVUQVUSVWHUWEWAYKUWFUWHUWGUWIUWJUWKRUWLUYAUYET
      ZUYBUYFUYCUYGUAUBBYTUAUBUWSYTYSUYAUWTTZUYBUXSUYCUXTUAABYTUAAUWSYTYSVXSUYI
      UYKUYAUYENYQYPVXTUYIUXAUYAUWTNYQYPUWMUWNUWOUWPUWQ $.

    $( A finite permutation group is generated by the transpositions, see also
       Theorem 3.4 in [Rotman] p. 31.  (Contributed by Stefan O'Rear,
       28-Aug-2015.) $)
    symggen2 $p |- ( D e. Fin -> ( K ` T ) = B ) $=
      ( vx cfn wcel cfv cv cid cdif cdm crab wceq wss wral dmss wf1o symgbasf1o
      difss ax-mp f1odm syl sseqtrid ssfi sylan2 ralrimiva rabid2 sylibr eqtr4d
      symggen ) BKLZCEMJNZOPZQZKLZJARZAJABCDEKFGHIUPUQVAJAUAAVBSUQVAJAURALZUQUT
      BTVAVCURQZUTBUSURTUTVDTUROUEUSURUBUFVCBBURUCVDBSBAURDGHUDBBURUGUHUIBUTUJU
      KULVAJAUMUNUO $.
  $}

  ${
    $d x D $.  $d x I $.  $d x T $.  $d x V $.  $d x W $.
    symgtrinv.t $e |- T = ran ( pmTrsp ` D ) $.
    symgtrinv.g $e |- G = ( SymGrp ` D ) $.
    symgtrinv.i $e |- I = ( invg ` G ) $.
    $( To invert a permutation represented as a sequence of transpositions,
       reverse the sequence.  (Contributed by Stefan O'Rear, 27-Aug-2015.) $)
    symgtrinv $p |- ( ( D e. V /\ W e. Word T ) -> ( I ` ( G gsum W ) ) =
        ( G gsum ( reverse ` W ) ) ) $=
      ( vx wcel cword wa cgsu co cfv wceq eqid wf syl coppg ccom cmhm cgrp cgim
      creverse cbs cghm symggrp invoppggim gimghm ghmmhm 4syl wss symgtrf sswrd
      ax-mp sseli gsumwmhm syl2an cc0 chash cfzo grpinvf adantl fss sylancl fco
      wrdf syl2an2r ffnd cv ccnv wfn fvco2 sylan ffvelrnda sselid symginv cpmtr
      pmtrfcnv 3eqtrd eqfnfvd oveq2d cmnd grpmndd gsumwrev ) AEKZFBLZKZMZCFNODP
      ZCUAPZDFUBZNOZWMFNOZCFUFPNOZWHDCWMUCOKZFCUGPZLZKZWLWOQWJWHCUDKZDCWMUEOKDC
      WMUHOKWRACEHUIZCDWMWMRZIUJCWMDUKCWMDULUMWIWTFBWSUNZWIWTUNWSABCGHWSRZUOZBW
      SUPUQURZWSDCWMFXFUSUTWKWNFWMNWKJVAFVBPVCOZWNFWKXIWSWNWHWSWSDSZWJXIWSFSZXI
      WSWNSWHXBXJXCWSCDXFIVDTWKXIBFSZXEXKWJXLWHBFVIVEZXGXIBWSFVFVGXIWSWSDFVHVJV
      KWKXIBFXMVKZWKJVLZXIKZMZXOWNPZXOFPZDPZXSVMZXSWKFXIVNXPXRXTQXNXIDFXOVOVPXQ
      XSWSKXTYAQXQBWSXSXGWKXIBXOFXMVQZVRAWSXSCDHXFIVSTXQXSBKYAXSQYBABAVTPZXSYCR
      GWATWBWCWDWHCWEKXAWPWQQWJWHCXCWFXHWSCWMFXFXDWGUTWB $.
  $}

  ${
    pmtr3ncom.t $e |- T = ( pmTrsp ` D ) $.
    ${
      pmtr3ncom.f $e |- F = ( T ` { X , Y } ) $.
      pmtr3ncom.g $e |- G = ( T ` { Y , Z } ) $.
      $( Lemma 1 for ~ pmtr3ncom .  (Contributed by AV, 17-Mar-2018.) $)
      pmtr3ncomlem1 $p |- ( ( D e. V /\ ( X e. D /\ Y e. D /\ Z e. D )
                          /\ ( X =/= Y /\ X =/= Z /\ Y =/= Z ) )
                        -> ( ( G o. F ) ` X ) =/= ( ( F o. G ) ` X ) ) $=
        ( wcel w3a wne cfv 3ad2ant3 wceq wf 3ad2ant2 syl3anc ccom necom wfn cpr
        biimpi wss c2o simp1 simp2 prssd pr2nelem pmtrf feq1i sylibr ffnd fvco2
        cen wbr syl2anc fveq1i 3jca pmtrprfv eqtrid fveq2d simp3 3eqtrd id biid
        3anrot 3anbi123i sylbbr pmtrprfv3 syl3an 3netr4d ) AELZFALZGALZHALZMZFG
        NZFHNZGHNZMZMZHGFDCUAOZFCDUAOZWCVOHGNZVSWBVTWGWAWBWGGHUBUEPPWDWEFCOZDOZ
        GDOZHWDCAUCVPWEWIQWDAACWDAAFGUDZBOZRZAACRWDVOWKAUFWKUGUQURZWMVOVSWCUHZW
        DFGAVSVOVPWCVPVQVRUHSZVSVOVQWCVPVQVRUIZSZUJWDVPVQVTWNWPWRWCVOVTVSVTWAWB
        UHPZFGAAUKTAWKBEIULTAACWLJUMUNUOWPADCFUPUSWDWHGDWDWHFWLOZGFCWLJUTWDVOVP
        VQVTMWTGQWOWDVPVQVTWPWRWSVAABEFGIVBUSVCZVDWDWJGGHUDZBOZOZHGDXCKUTWDVOVQ
        VRWBMXDHQWOWDVQVRWBWRVSVOVRWCVPVQVRVEZSZWCVOWBVSVTWAWBVEPZVAABEGHIVBUSV
        CVFWDWFFDOZCOZWHGWDDAUCVPWFXIQWDAADWDVOXBAUFZXBUGUQURZAADRZWOVSVOXJWCVS
        GHAWQXEUJSWDVQVRWBXKWRXFXGGHAAUKTVOXJXKMAAXCRXLAXBBEIULAADXCKUMUNTUOWPA
        CDFUPUSWDXHFCWDXHFXCOZFFDXCKUTVOVOVSVQVRVPMZWCWBGFNZHFNZMZXMFQVOVGVSXNV
        PVQVRVIUEXQXOXPWBMWCWBXOXPVIXOVTXPWAWBWBGFUBHFUBWBVHVJVKABEGHFIVLVMVCVD
        XAVFVN $.

      $( Lemma 2 for ~ pmtr3ncom .  (Contributed by AV, 17-Mar-2018.) $)
      pmtr3ncomlem2 $p |- ( ( D e. V /\ ( X e. D /\ Y e. D /\ Z e. D )
                        /\ ( X =/= Y /\ X =/= Z /\ Y =/= Z ) )
                      -> ( G o. F ) =/= ( F o. G ) ) $=
        ( wcel w3a wne ccom cfv pmtr3ncomlem1 fveq1 necon3i syl ) AELFALGALHALM
        FGNFHNGHNMMFDCOZPZFCDOZPZNUAUCNABCDEFGHIJKQUAUCUBUDFUAUCRST $.
    $}

    $d D f g x y z $.  $d T f g x y z $.  $d V x y z $.
    $( Transpositions over sets with at least 3 elements are not commutative,
       see also the remark in [Rotman] p. 28.  (Contributed by AV,
       21-Mar-2019.) $)
    pmtr3ncom $p |- ( ( D e. V /\ 3 <_ ( # ` D ) )
                  -> E. f e. ran T E. g e. ran T ( g o. f ) =/= ( f o. g ) ) $=
      ( vx vy vz cv wne wrex wcel cfv wbr wa ccom adantr simplr syl3anc w3a cle
      c3 chash crn hashge3el3dif wi cpr wss c2o cen simprl prssi simplll simpr1
      ad2antrr pr2nelem eqid pmtrrn ad5ant23 simpr3 biimpri pmtr3ncomlem2 coeq2
      df-3an wceq coeq1 neeq12d rspc2ev exp31 rexlimdva rexlimivv mpcom ) GJZHJ
      ZKZVNIJZKZVOVQKZUAZIALZHALGALAEMZUCAUDNUBOZPZDJZCJZQZWFWEQZKZDBUEZLCWJLZG
      HIAEUFWAWDWKUGZGHAAVNAMZVOAMZPZVTWLIAWOVQAMZPZVTWDWKWQVTPZWDPZVNVOUHZBNZW
      JMZVOVQUHZBNZWJMZXDXAQZXAXDQZKZWKWSWBWTAUIZWTUJUKOZXBWRWBWCULZWQXIVTWDWOX
      IWPVNVOAUMRUPWRXJWDWRWMWNVPXJWMWNWPVTUNWQWNVTWMWNWPSRZWQVPVRVSUOVNVOAAUQT
      RAWTWJBEFWJURZUSTWSWBXCAUIZXCUJUKOZXEXKWNWPXNWMVTWDVOVQAUMUTWRXOWDWRWNWPV
      SXOXLWOWPVTSWQVPVRVSVAVOVQAAUQTRAXCWJBEFXMUSTWSWBWMWNWPUAZVTXHXKWQXPVTWDX
      PWQWMWNWPVEVBUPWQVTWDSABXAXDEVNVOVQFXAURXDURVCTWIXHWEXAQZXAWEQZKCDXAXDWJW
      JWFXAVFWGXQWHXRWFXAWEVDWFXAWEVGVHWEXDVFXQXFXRXGWEXDXAVGWEXDXAVDVHVITVJVKV
      LVM $.
  $}

  ${
    pmtrdifel.t $e |- T = ran ( pmTrsp ` ( N \ { K } ) ) $.
    pmtrdifel.r $e |- R = ran ( pmTrsp ` N ) $.
    ${
      pmtrdifel.0 $e |- S = ( ( pmTrsp ` N ) ` dom ( Q \ _I ) ) $.
      $( Lemma 1 for ~ pmtrdifel .  (Contributed by AV, 15-Jan-2019.) $)
      pmtrdifellem1 $p |- ( Q e. T -> S e. R ) $=
        ( wcel cdif cvv cid cdm w3a cpmtr cfv eqid wss difssd csn wf1o difsnexi
        c2o cen wbr pmtrfb wf wceq f1of fdm dmss syl sseq1 mpbird sstrd 3syl id
        pmtrrn eqeltrid syl3an sylbi ) ADJFEUAZKZLJZVDVDAUBZAMKZNZUDUEUFZOCBJZV
        DDVDPQZAVKRGUGVEFLJZVFVHFSZVIVIVJEFUCVFVDVDAUHANZVDUIZVMVDVDAUJVDVDAUKV
        OVHVNFVOVGASVHVNSVOAMTVGAULUMVOVNFSVDFSVOFVCTVNVDFUNUOUPUQVIURVLVMVIOCV
        HFPQZQBIFVHBVPLVPRHUSUTVAVB $.

      $( Lemma 2 for ~ pmtrdifel .  (Contributed by AV, 15-Jan-2019.) $)
      pmtrdifellem2 $p |- ( Q e. T -> dom ( S \ _I ) = dom ( Q \ _I ) ) $=
        ( wcel cid cdif cdm cpmtr cfv cvv wss w3a wceq eqid difeq1i c2o cen wbr
        dmeqi csn wf1o pmtrfb difsnexi wf f1of fdm difssd dmss syl sseq1 mpbird
        sstrd 3syl id 3anim123i sylbi pmtrmvd eqtrid ) ADJZCKLZMAKLZMZFNOZOZKLZ
        MZVHVFVKCVJKIUAUEVEFPJZVHFQZVHUBUCUDZRZVLVHSVEFEUFZLZPJZVRVRAUGZVORVPVR
        DVRNOZAWATGUHVSVMVTVNVOVOEFUIVTVRVRAUJAMZVRSZVNVRVRAUKVRVRAULWCVHWBFWCV
        GAQVHWBQWCAKUMVGAUNUOWCWBFQVRFQWCFVQUMWBVRFUPUQURUSVOUTVAVBFVHVIPVITVCU
        OVD $.

      $d Q x $.  $d T x $.
      $( Lemma 3 for ~ pmtrdifel .  (Contributed by AV, 15-Jan-2019.) $)
      pmtrdifellem3 $p |- ( Q e. T -> A. x e. ( N \ { K } )
                                       ( Q ` x ) = ( S ` x ) ) $=
        ( wcel cfv wceq csn cdif cid cdm cuni cif eqid cv pmtrdifellem2 difeq1d
        adantr eleq2d unieqd ifbieq1d pmtrdifellem1 eldifi cpmtr pmtrffv syl2an
        wa 3eqtr4rd ralrimiva ) BEKZAUAZBLZUQDLZMAGFNZOZUPUQVAKZUMZUQDPOQZKZVDU
        QNZOZRZUQSZUQBPOQZKZVJVFOZRZUQSUSURVCVEVKVHVMUQVCVDVJUQUPVDVJMVBBCDEFGH
        IJUBZUDUEUPVHVMMVBUPVGVLUPVDVJVFVNUCUFUDUGUPDCKUQGKUSVIMVBBCDEFGHIJUHUQ
        GUTUIGVDCGUJLZDUQVOTIVDTUKULVAVJEVAUJLZBUQVPTHVJTUKUNUO $.

      $d K x $.  $d N x $.
      $( Lemma 4 for ~ pmtrdifel .  (Contributed by AV, 28-Jan-2019.) $)
      pmtrdifellem4 $p |- ( ( Q e. T /\ K e. N ) -> ( S ` K ) = K ) $=
        ( vx wcel wa cfv cid cdif cdm wceq eqid wn notbid csn cif pmtrdifellem1
        cuni cpmtr pmtrffv sylan csymg cbs wf wi symgtrf sseli symgbasf wfn wne
        crab ffn fndifnfp wss ssrab2 ssel2 eldif elsng pm2.24i syl6bi imp sylbi
        cv syl mpan con2i eleq2 syl5ibr 3syl pmtrdifellem2 eleq2d adantr mtbird
        wb iffalsed eqtrd ) ADKZEFKZLZECMZECNOPZKZWGEUAZOUDZEUBZEWCCBKWDWFWKQAB
        CDEFGHIUCFWGBFUEMZCEWLRHWGRUFUGWEWHWJEWEWHEANOPZKZWCWDWNSZWCAFWIOZUHMZU
        IMZKWPWPAUJZWDWOUKZDWRAWRWPDWQGWQRZWRRZULUMWPWRAWQXAXBUNWSAWPUOWMJVIZAM
        XCUPZJWPUQZQZWTWPWPAURJWPAUSWDWOXFEXEKZSXGWDXEWPUTZXGWDSZXDJWPVAXHXGLEW
        PKZXIXEWPEVBXJWDEWIKZSZLXIEFWIVCWDXLXIWDXLEEQZSXIWDXKXMEEFVDTXMXIERVEVF
        VGVHVJVKVLXFWNXGWMXEEVMTVNVOVOVGWCWHWNVTWDWCWGWMEABCDEFGHIVPVQVRVSWAWB
        $.
    $}

    $d r t x $.  $d K r $.  $d N r x $.  $d R r $.  $d T x $.
    $( A transposition of elements of a set without a special element
       corresponds to a transposition of elements of the set.  (Contributed by
       AV, 15-Jan-2019.) $)
    pmtrdifel $p |- A. t e. T E. r e. R
                     A. x e. ( N \ { K } ) ( t ` x ) = ( r ` x ) $=
      ( cv cfv wceq csn cdif wral wrex wcel cid cdm cpmtr pmtrdifellem1 ralbidv
      eqid pmtrdifellem3 fveq1 eqeq2d rspcev syl2anc rgen ) AJZBJZKZUJGJZKZLZAF
      EMNZOZGCPZBDUKDQUKRNSFTKKZCQULUJUSKZLZAUPOZURUKCUSDEFHIUSUCZUAAUKCUSDEFHI
      VCUDUQVBGUSCUMUSLZUOVAAUPVDUNUTULUJUMUSUEUFUBUGUHUI $.

    ${
      $d R x $.  $d W x $.
      pmtrdifwrdel.0 $e |- U = ( x e. ( 0 ..^ ( # ` W ) )
                           |-> ( ( pmTrsp ` N ) ` dom ( ( W ` x ) \ _I ) ) ) $.
      $( Lemma 1 for ~ pmtrdifwrdel .  (Contributed by AV, 15-Jan-2019.) $)
      pmtrdifwrdellem1 $p |- ( W e. Word T -> U e. Word R ) $=
        ( cword wcel cc0 chash cfv cfzo co wf cv syl cid cdm cpmtr wa wrdsymbcl
        cdif eqid pmtrdifellem1 fmptd iswrdi ) GCKLZMGNOZPQZBDRDBKLUKAUMASZGOZU
        AUFUBFUCOOZBDUKUNUMLUDUOCLUPBLUNCGUEUOBUPCEFHIUPUGUHTJUIBULDUJT $.

      $( Lemma 2 for ~ pmtrdifwrdel .  (Contributed by AV, 15-Jan-2019.) $)
      pmtrdifwrdellem2 $p |- ( W e. Word T -> ( # ` W ) = ( # ` U ) ) $=
        ( cword wcel chash cfv cc0 cfzo co cv wceq syl cid cdif cdm wral wfn wa
        cpmtr wrdsymbcl eqid pmtrdifellem1 ralrimiva fnmpt hashfn 3syl hashfzo0
        cn0 lencl eqtr2d ) GCKLZDMNZOGMNZPQZMNZVAUSARZGNZUAUBUCFUGNNZBLZAVBUDDV
        BUEUTVCSUSVGAVBUSVDVBLUFVECLVGVDCGUHVEBVFCEFHIVFUIUJTUKAVBVFDBJULVBDUMU
        NUSVAUPLVCVASCGUQVAUOTUR $.

      $d T i n $.  $d W i n $.  $d i x $.
      $( Lemma 3 for ~ pmtrdifwrdel .  (Contributed by AV, 15-Jan-2019.) $)
      pmtrdifwrdellem3 $p |- ( W e. Word T -> A. i e. ( 0 ..^ ( # ` W ) )
               A. n e. ( N \ { K } ) ( ( W ` i ) ` n ) = ( ( U ` i ) ` n ) ) $=
        ( wcel cv cfv wceq cdif wral cid cdm cword csn cc0 chash cfzo wrdsymbcl
        co wa cpmtr eqid pmtrdifellem3 syl cvv fveq2 difeq1d dmeqd fveq2d simpr
        weq fvexd fvmptd3 fveq1d eqeq2d ralbidv mpbird ralrimiva ) ICUAMZFNZENZ
        IOZOZVHVIDOZOZPZFHGUBQZRZEUCIUDOUEUGZVGVIVQMZUHZVPVKVHVJSQZTZHUIOZOZOZP
        ZFVORZVSVJCMWFVICIUFFVJBWCCGHJKWCUJUKULVSVNWEFVOVSVMWDVKVSVHVLWCVSAVIAN
        ZIOZSQZTZWBOWCVQDUMLAEUSZWJWAWBWKWIVTWKWHVJSWGVIIUNUOUPUQVGVRURVSWAWBUT
        VAVBVCVDVEVF $.

      $d K i $.  $d N i $.
      $( Lemma 1 for ~ pmtrdifwrdel2 .  (Contributed by AV, 31-Jan-2019.) $)
      pmtrdifwrdel2lem1 $p |- ( ( W e. Word T /\ K e. N )
                      -> A. i e. ( 0 ..^ ( # ` W ) ) ( ( U ` i ) ` K ) = K ) $=
        ( wcel wa cv cfv wceq cid cdif cdm cvv cword cc0 chash cfzo cpmtr simpr
        co fvex weq fveq2 difeq1d dmeqd fveq2d fvmptg sylancl wrdsymbcl adantlr
        fveq1d simplr eqid pmtrdifellem4 syl2anc eqtrd ralrimiva ) HCUALZFGLZMZ
        FENZDOZOZFPEUBHUCOUDUGZVGVHVKLZMZVJFVHHOZQRZSZGUEOZOZOZFVMFVIVRVMVLVRTL
        VIVRPVGVLUFVPVQUHAVHANZHOZQRZSZVQOVRVKTDAEUIZWCVPVQWDWBVOWDWAVNQVTVHHUJ
        UKULUMKUNUOURVMVNCLZVFVSFPVEVLWEVFVHCHUPUQVEVFVLUSVNBVRCFGIJVRUTVAVBVCV
        D $.
    $}

    $d K u $.  $d N i j n u $.  $d T i n $.  $d R i n u $.  $d i j n u w x $.
    $( A sequence of transpositions of elements of a set without a special
       element corresponds to a sequence of transpositions of elements of the
       set.  (Contributed by AV, 15-Jan-2019.) $)
    pmtrdifwrdel $p |- A. w e. Word T E. u e. Word R ( ( # ` w ) = ( # ` u )
                        /\ A. i e. ( 0 ..^ ( # ` w ) ) A. x e. ( N \ { K } )
                           ( ( w ` i ) ` x ) = ( ( u ` i ) ` x ) ) $=
      ( vj vn cv chash cfv wceq cdif wral wa cid csn cc0 cfzo co cword wrex cdm
      wcel cpmtr cmpt weq fveq2 difeq1d dmeqd pmtrdifwrdellem1 pmtrdifwrdellem2
      fveq2d cbvmptv pmtrdifwrdellem3 eqeq2d fveq1 fveq1d 2ralbidv anbi12d rgen
      rspcev syl12anc ) BMZNOZCMZNOZPZAMZFMZVHOOZVMVNVJOZOZPZAHGUAQZRFUBVIUCUDZ
      RZSZCDUEZUFZBEUEZVHWEUHKVTKMZVHOZTQZUGZHUIOZOZUJZWCUHVIWLNOZPZVOVMVNWLOZO
      ZPZAVSRFVTRZWDLDEWLGHVHIJKLVTWKLMZVHOZTQZUGZWJOKLUKZWIXBWJXCWHXAXCWGWTTWF
      WSVHULUMUNUQURZUOLDEWLGHVHIJXDUPLDEWLFAGHVHIJXDUSWBWNWRSCWLWCVJWLPZVLWNWA
      WRXEVKWMVIVJWLNULUTXEVRWQFAVTVSXEVQWPVOXEVMVPWOVNVJWLVAVBUTVCVDVFVGVE $.

    $d K i w $.  $d N w $.
    $( A sequence of transpositions of elements of a set without a special
       element corresponds to a sequence of transpositions of elements of the
       set not moving the special element.  (Contributed by AV,
       31-Jan-2019.) $)
    pmtrdifwrdel2 $p |- ( K e. N -> A. w e. Word T E. u e. Word R
      ( ( # ` w ) = ( # ` u )
        /\ A. i e. ( 0 ..^ ( # ` w ) ) ( ( ( u ` i ) ` K ) = K
        /\ A. x e. ( N \ { K } ) ( ( w ` i ) ` x ) = ( ( u ` i ) ` x ) ) ) ) $=
      ( vj vn wcel cv chash cfv wceq cdif wral wa csn cc0 cfzo co cword cid cdm
      wrex cpmtr weq fveq2 difeq1d dmeqd fveq2d cbvmptv pmtrdifwrdellem1 adantl
      pmtrdifwrdellem2 pmtrdifwrdel2lem1 ancoms pmtrdifwrdellem3 sylanbrc fveq1
      r19.26 eqeq2d fveq1d eqeq1d ralbidv anbi12d rspcev syl12anc ralrimiva
      cmpt ) GHMZBNZOPZCNZOPZQZGFNZVQPZPZGQZANZVTVOPPZWDWAPZQZAHGUARZSZTZFUBVPU
      CUDZSZTZCDUEZUHZBEUEZVNVOWPMZTZKWKKNZVOPZUFRZUGZHUIPZPZVMZWNMZVPXEOPZQZGV
      TXEPZPZGQZWEWDXIPZQZAWHSZTZFWKSZWOWQXFVNLDEXEGHVOIJKLWKXDLNZVOPZUFRZUGZXC
      PKLUJZXBXTXCYAXAXSYAWTXRUFWSXQVOUKULUMUNUOZUPUQWQXHVNLDEXEGHVOIJYBURUQWRX
      KFWKSZXNFWKSZXPWQVNYCLDEXEFGHVOIJYBUSUTWQYDVNLDEXEFAGHVOIJYBVAUQXKXNFWKVD
      VBWMXHXPTCXEWNVQXEQZVSXHWLXPYEVRXGVPVQXEOUKVEYEWJXOFWKYEWCXKWIXNYEWBXJGYE
      GWAXIVTVQXEVCZVFVGYEWGXMAWHYEWFXLWEYEWDWAXIYFVFVEVHVIVHVIVJVKVL $.
  $}

  ${
    $d p t z $.
    $( The transpositions on a pair.  (Contributed by AV, 9-Dec-2018.) $)
    pmtrprfval $p |- ( pmTrsp ` { 1 , 2 } ) = ( p e. { { 1 , 2 } }
                       |-> ( z e. { 1 , 2 } |-> if ( z = 1 , 2 , 1 ) ) ) $=
      ( vt c1 c2 csn cdif cuni cif cmpt wceq cvv wcel ax-mp cn0 1ex 1ne2 adantr
      cv wa cpr cpmtr cfv c2o cen wbr cpw crab wel prex eqid pmtrfval wne mp3an
      2nn0 pr2pwpr mpteq1i elsni eleq2 biimpar iftrued wo elpri 2ex unisn simpr
      wi sneq difeq12d difprsn1 eqtrdi unieqd iftrue 3eqtr4a ex difprsn2 nesymi
      eqeq1 mtbiri iffalsed jaoi impcom eqtrd sylan mpteq2dva mpteq2ia eqtri
      syl ) DEUAZUBUCZBCSUDUEUFCWIUGUHZAWIABUIZBSZASZFZGZHZWNIZJZJZBWIFZAWIWNDK
      ZEDIZJZJZWILMWJWTKDEUJCAWIWJLBWJUKULNWTBXAWSJXEBWKXAWSDLMEOMDEUMZWKXAKPUO
      QDELOCUPUNUQBXAWSXDWMXAMZAWIWRXCXGWMWIKZWNWIMZWRXCKWMWIURXHXITZWRWQXCXJWL
      WQWNXHWLXIWMWIWNUSUTVAXIXHWQXCKZXIXBWNEKZVBXHXKVGZWNDEVCXBXMXLXBXHXKXBXHT
      ZEFZHEWQXCEVDVEXNWPXOXNWPWIDFZGZXOXNWMWIWOXPXBXHVFXBWOXPKXHWNDVHRVIXFXQXO
      KQDEVJNVKVLXBXCEKXHXBEDVMRVNVOXLXHXKXLXHTZXPHDWQXCDPVEXRWPXPXRWPWIXOGZXPX
      RWMWIWOXOXLXHVFXLWOXOKXHWNEVHRVIXFXSXPKQDEVPNVKVLXLXCDKXHXLXBEDXLXBEDKDEQ
      VQWNEDVRVSVTRVNVOWAWHWBWCWDWEWFWGWG $.

    $d p s t $.
    $( The range of the transpositions on a pair is actually a singleton: the
       transposition of the two elements of the pair.  (Contributed by AV,
       9-Dec-2018.) $)
    pmtrprfvalrn $p |- ran ( pmTrsp ` { 1 , 2 } )
                       = { { <. 1 , 2 >. , <. 2 , 1 >. } } $=
      ( vp vz vt vs c1 c2 cpr crn csn cv wceq cmpt cop wrex cab cvv wb cn eqtri
      wcel cpmtr cfv cif pmtrprfval rneqi eqid rnmpt 1ex id 2nn a1i iftrue 1ne2
      adantl nesymi eqeq1 mtbiri iffalsed fmptpr eqeq2d ax-mp bicomi rexbii wne
      abbii prex snnz r19.9rzv bicomd vex weq rexbidv elab velsn 3bitr4i eqriv
      c0 ) EFGZUAUBZHAVRIZBVRBJZEKZFEUCZLZLZHZEFMFEMGZIZVSWEBAUDUEWFCJZWDKZAVTN
      ZCOZWHACVTWDWEWEUFUGWLWIWGKZAVTNZCOZWHWKWNCWJWMAVTWMWJEPTZWMWJQUHWPWGWDWI
      WPBEFFEWCPRRPWPUIZFRTWPUJUKZWRWQWBWCFKWPWBFEULUNWAFKZWCEKWPWSWBFEWSWBFEKE
      FUMUOWAFEUPUQURUNUSUTVAVBVCVEDWOWHDJZWGKZAVTNZXAWTWOTWTWHTVTVQVDZXBXAQVRE
      FVFVGXCXAXBXAAVTVHVIVAWNXBCWTDVJCDVKWMXAAVTWIWTWGUPVLVMDWGVNVOVPSSS $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The sign of a permutation
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c pmSgn pmEven $.

  $( Syntax for the sign of a permutation. $)
  cpsgn $a class pmSgn $.
  $( Syntax for even permutations. $)
  cevpm $a class pmEven $.

  ${
    $d x s w d p $.
    $( Define a function which takes the value ` 1 ` for even permutations and
       ` -u 1 ` for odd.  (Contributed by Stefan O'Rear, 28-Aug-2015.) $)
    df-psgn $a |- pmSgn = ( d e. _V |->
        ( x e. { p e. ( Base ` ( SymGrp ` d ) ) | dom ( p \ _I ) e. Fin } |->
          ( iota s E. w e. Word ran ( pmTrsp ` d )
        ( x = ( ( SymGrp ` d ) gsum w ) /\ s = ( -u 1 ^ ( # ` w ) ) ) ) ) ) $.

    $( Define the set of even permutations on a given set.  (Contributed by
       Stefan O'Rear, 9-Jul-2018.) $)
    df-evpm $a |- pmEven = ( d e. _V |-> ( `' ( pmSgn ` d ) " { 1 } ) ) $.
  $}

  ${
    $d r s A $.  $d r s P $.  $d r s Q $.  $d r s T $.
    psgnunilem1.t $e |- T = ran ( pmTrsp ` D ) $.
    psgnunilem1.d $e |- ( ph -> D e. V ) $.
    psgnunilem1.p $e |- ( ph -> P e. T ) $.
    psgnunilem1.q $e |- ( ph -> Q e. T ) $.
    psgnunilem1.a $e |- ( ph -> A e. dom ( P \ _I ) ) $.
    $( Lemma for ~ psgnuni .  Given two consequtive transpositions in a
       representation of a permutation, either they are equal and therefore
       equivalent to the identity, or they are not and it is possible to
       commute them such that a chosen point in the left transposition is
       preserved in the right.  By repeating this process, a point can be
       removed from a representation of the identity.  (Contributed by Stefan
       O'Rear, 22-Aug-2015.) $)
    psgnunilem1 $p |- ( ph -> ( ( P o. Q ) = ( _I |` D ) \/
          E. r e. T E. s e. T ( ( P o. Q ) = ( r o. s ) /\
                A e. dom ( s \ _I ) /\ -. A e. dom ( r \ _I ) ) ) ) $=
      ( cid wcel ccom wceq syl adantr cdif cdm cres cv wn w3a wrex wo wa wi cfv
      cpmtr eqid pmtrfinv coeq1 eqeq1d syl5ibrcom imp orcd ccnv pmtrfcnv eqcomd
      wne coeq2d wf1o pmtrff1o pmtrfconj syl2anc eqeltrd ad2antrr coass wf f1of
      fco fcoi1 eqtrd eqtr2id cima c2o cen wbr cvv pmtrfb simp3bi cfn 2onn nnfi
      wss com ax-mp wb enfi mpbiri csn cuni cpr en2eleq simprl wfn f1ofn fimass
      simprr fnfvima syl3anc cif difss dmss f1odm sseqtrid sseldd pmtrffv imaco
      iftrued imaeq1d resiima eqtr3id 3eltr3d eqsstrd ensymd fisseneq f1otrspeq
      prssd entr syl22anc expr necon3ad difeq1d f1omvdconj eleq2d mtbird eqeq2d
      dmeqd difeq1 notbid 3anbi13d coeq2 3anbi12d rspc2ev syl113anc olcd coeq1d
      pm2.61dane fcoi2 eqtr2d eqtrdi fnelnfp necon2bbid eqeltrrd eleqtrrd simpr
      biimpar pm2.61dan ) ABEOUAZUBZPZDEQZOCUCZRZUUPIUDZHUDZQZRZBUUTOUAZUBZPZBU
      USOUAZUBZPZUEZUFZHFUGIFUGZUHZAUUOUIZUVLDEUVMDERZUIUURUVKUVMUVNUURAUVNUURU
      JUUOAUURUVNEEQZUUQRZAEFPZUVPMCFCULUKZEUVRUMZJUNSZUVNUUPUVOUUQDEEUOUPUQTUR
      USUVMDEVCZUIZUVKUURUWBUUPDQZFPZDFPZUUPUWCDQZRZBDOUAZUBZPZBUWCOUAZUBZPZUEZ
      UVKAUWDUUOUWAAUWCUUPDUTZQZFADUWOUUPAUWODAUWEUWODRLCFUVRDUVSJVASVBVDZAUVQC
      CDVEZUWPFPMAUWEUWRLCFUVRDUVSJVFSZCFUVREDUVSJVGVHVIVJAUWEUUOUWALVJAUWGUUOU
      WAAUWFUUPDDQZQZUUPUUPDDVKAUXAUUPUUQQZUUPAUWTUUQUUPAUWEUWTUUQRLCFUVRDUVSJU
      NSZVDACCUUPVLZUXBUUPRACCDVLZCCEVLZUXDAUWRUXEUWSCCDVMSZACCEVEZUXFAUVQUXHMC
      FUVREUVSJVFSZCCEVMSZCCCDEVNVHZCCUUPVOSVPVQVJAUWJUUOUWANVJUWBUWMBDUUNVRZPZ
      UVMUWAUXMUEUVMUXMDEAUUOUXMUVNAUUOUXMUIZUIZUWRUXHUWIVSVTWAZUUNUWIRUVNAUWRU
      XNUWSTAUXHUXNUXITAUXPUXNAUWEUXPLUWECWBPZUWRUXPCFUVRDUVSJWCWDSZTZUXOUWIUUN
      UXOUUNWEPZUWIUUNWHUWIUUNVTWAZUWIUUNRAUXTUXNAUXTVSWEPZVSWIPUYBWFVSWGWJAUUN
      VSVTWAZUXTUYBWKAUVQUYCMUVQUXQUXHUYCCFUVREUVSJWCWDSZUUNVSWLSWMTUXOUWIBUWIB
      WNUAWOZWPZUUNUXOUWJUXPUWIUYFRAUWJUXNNTUXSUWIBWQVHUXOBUYEUUNAUUOUXMWRUXOBD
      UKZDUXLVRZUYEUUNUXODCWSZUXLCWHZUXMUYGUYHPAUYIUXNAUWRUYIUWSCCDWTSTAUYJUXNA
      UXEUYJUXGCCDUUNXASTAUUOUXMXBCUXLDBXCXDAUYGUYERUXNAUYGUWJUYEBXEZUYEAUWEBCP
      ZUYGUYKRLAUWICBADUBZUWICUWHDWHUWIUYMWHDOXFUWHDXGWJAUWRUYMCRUWSCCDXHSXIZNX
      JZCUWIFUVRDBUVSJUWIUMXKVHAUWJUYEBNXMVPTAUYHUUNRUXNAUYHUWTUUNVRZUUNDDUUNXL
      AUYPUUQUUNVRZUUNAUWTUUQUUNUXCXNAUUNCWHZUYQUUNRAUXHUYRUXIUXHEUBZUUNCUUMEWH
      UUNUYSWHEOXFUUMEXGWJCCEXHXISCUUNXOSVPXPTXQYBXRAUYAUXNAUXPVSUUNVTWAUYAUXRA
      UUNVSUYDXSUWIVSUUNYCVHTUWIUUNXTXDVBCDEYAYDYEYFURAUWMUXMWKUUOUWAAUWLUXLBAU
      WLUWPOUAZUBZUXLAUWKUYTAUWCUWPOUWQYGYLAUXFUWRVUAUXLRUXJUWSCEDYHVHVPYIVJYJU
      VJUWGUWJUWNUFUUPUWCUUTQZRZUVEUWNUFIHUWCDFFUUSUWCRZUVBVUCUVIUWNUVEVUDUVAVU
      BUUPUUSUWCUUTUOYKVUDUVHUWMVUDUVGUWLBVUDUVFUWKUUSUWCOYMYLYIYNYOUUTDRZVUCUW
      GUVEUWJUWNVUEVUBUWFUUPUUTDUWCYPYKVUEUVDUWIBVUEUVCUWHUUTDOYMYLYIYQYRYSYTUU
      BAUUOUEZUIZUVKUURVUGUVQEUUPQZFPZUUPEVUHQZRZBVUHOUAZUBZPZVUFUVKAUVQVUFMTAV
      UIVUFAVUHEDQZEUTZQZFAVUHVUOEQVUQEDEVKAEVUPVUOAVUPEAUVQVUPERMCFUVREUVSJVAS
      VBVDXPZAUWEUXHVUQFPLUXICFUVRDEUVSJVGVHVITAVUKVUFAUUPUVOUUPQZVUJAVUSUUQUUP
      QZUUPAUVOUUQUUPUVTUUAAUXDVUTUUPRUXKCCUUPUUCSUUDEEUUPVKUUETVUGBEUWIVRZVUMV
      UGBEUKZBVVAAVVBBRVUFAUUOVVBBAECWSZUYLUUOVVBBVCWKAUXHVVCUXICCEWTSZUYOCEBUU
      FVHUUGUUKAVVBVVAPZVUFAVVCUWICWHUWJVVEVVDUYNNCUWIEBXCXDTUUHAVUMVVARVUFAVUM
      VUQOUAZUBZVVAAVULVVFAVUHVUQOVURYGYLAUXEUXHVVGVVARUXGUXICDEYHVHVPTUUIAVUFU
      UJUVJVUKVUNVUFUFUUPEUUTQZRZUVEVUFUFIHEVUHFFUUSERZUVBVVIUVIVUFUVEVVJUVAVVH
      UUPUUSEUUTUOYKVVJUVHUUOVVJUVGUUNBVVJUVFUUMUUSEOYMYLYIYNYOUUTVUHRZVVIVUKUV
      EVUNVUFVVKVVHVUJUUPUUTVUHEYPYKVVKUVDVUMBVVKUVCVULUUTVUHOYMYLYIYQYRYSYTUUL
      $.
  $}

  ${
    $d j k r s w A $.  $d j r s w x D $.  $d j r s ph $.  $d j k r s w x G $.
    $d j k r s w x I $.  $d j r s w x T $.  $d j k r s w x W $.
    $d r s w x L $.
    psgnunilem2.g $e |- G = ( SymGrp ` D ) $.
    psgnunilem2.t $e |- T = ran ( pmTrsp ` D ) $.
    psgnunilem2.d $e |- ( ph -> D e. V ) $.
    psgnunilem2.w $e |- ( ph -> W e. Word T ) $.
    psgnunilem2.id $e |- ( ph -> ( G gsum W ) = ( _I |` D ) ) $.
    psgnunilem2.l $e |- ( ph -> ( # ` W ) = L ) $.
    psgnunilem2.ix $e |- ( ph -> I e. ( 0 ..^ L ) ) $.
    psgnunilem2.a $e |- ( ph -> A e. dom ( ( W ` I ) \ _I ) ) $.
    psgnunilem2.al $e |- ( ph -> A. k e. ( 0 ..^ I )
          -. A e. dom ( ( W ` k ) \ _I ) ) $.
    $( Lemma for ~ psgnuni .  It is impossible to shift a transposition off the
       end because if the active transposition is at the right end, it is the
       only transposition moving ` A ` in contradiction to this being a
       representation of the identity.  (Contributed by Stefan O'Rear,
       25-Aug-2015.)  (Revised by Mario Carneiro, 28-Feb-2016.)  (Proof
       shortened by AV, 12-Oct-2022.) $)
    psgnunilem5 $p |- ( ph -> ( I + 1 ) e. ( 0 ..^ L ) ) $=
      ( wcel vj vs c1 caddc co cc0 cfzo wceq cgsu cid cdif c0 noel cres difeq1d
      cdm dmeqd wss resss ssdif0 mpbi dmeqi dm0 eqtri eqtrdi eleq2d mtbiri cpfx
      wa cfv ccom wf1o wxo cbs cmnd cword cgrp symggrp grpmnd 3syl eqid symgtrf
      sswrd mp1i sseldd pfxcl gsumwcl syl2anc symgbasf1o adantr chash wf oveq2d
      syl wrdf eleqtrrd ffvelrnd sselid wn wo cv cvv csn csubmnd csubg symgsssg
      crab subgsubm cfz fzossfz pfxmpt difeq1 sseq1d disj2 disjsn bitr3i bitrdi
      cmpt cin elfzuz3 eqeltrd fzoss2 sselda ffvelrnda syldan wral fveq2 notbid
      cuz cbvralvw sylib r19.21bi elrabd syl2an2r syl3anc cconcat cmin cn eqtrd
      cs1 fmpt3d iswrdi gsumwsubmcl elrab simprbi jca olcd excxor sylibr cplusg
      f1omvdco3 clsw wne cn0 clt wbr elfzo0 simp2bi cfn wrdfin mpbid pfxlswccat
      wb hashnncl eqcomd oveq1d nncnd 1cnd elfzoelz zcnd subadd2d biimpar oveq2
      cz adantl lsw sylan9eq s1eqd oveq12d s1cld gsumccat gsumws1 symgov 3eqtrd
      mtand fzostep1 ord mt3d ) AGUCUDUEZUFHUGUEZTZUWIHUHZAUWLBFJUIUEZUJUKZUPZT
      ZAUWPBULTBUMAUWOULBAUWOUJCUNZUJUKZUPZULAUWNUWRAUWMUWQUJOUOUQUWSULUPULUWRU
      LUWQUJURUWRULUHUJCUSUWQUJUTVAVBVCVDVEVFVGAUWLVIZBFJGVHUEZUIUEZGJVJZVKZUJU
      KZUPZUWOUWTCCUXBVLZCCUXCVLZBUXBUJUKZUPZTZBUXCUJUKUPTZVMZBUXFTAUXGUWLAUXBF
      VNVJZTZUXGAFVOTZUXAUXNVPZTZUXOACITZFVQTUXPMCFIKVRFVSVTZAJUXQTUXRADVPZUXQJ
      DUXNURUYAUXQURAUXNCDFLKUXNWAZWBZDUXNWCWDNWEUXNJGWFWNZUXNFUXAUYBWGWHZCUXNU
      XBFKUYBWIWNWJAUXHUWLAUXCUXNTZUXHADUXNUXCUYCAUFJWKVJZUGUEZDGJAJUYATZUYHDJW
      LNDJWOWNZAGUWJUYHQAUYGHUFUGPWMWPWQWRZCUXNUXCFKUYBWIWNWJUWTUXKUXLWSVIZUXKW
      SZUXLVIZWTUXMUWTUYNUYLUWTUYMUXLUWTUXBUAXAZUJUKZUPZXBBXCZUKZURZUAUXNXGZTZU
      YMAVUAFXDVJTZUWLUXAVUAVPTZVUBAUXSVUAFXEVJTVUCMUAUXNCFIUYSKUYBXFVUAFXHVTUW
      TUFGUGUEZVUAUXAWLZVUDAVUFUWLAUBVUEUBXAZJVJZVUAUXAAUYIGUFUYGXIUEZTUXAUBVUE
      VUHXRUHNAGUFHXIUEZVUIAUWJVUJGUFHXJQWRZAUYGHUFXIPWMWPUBDJGXKWHAVUGVUETZVIU
      YTBVUHUJUKZUPZTZWSZUAVUHUXNUYOVUHUHZUYTVUNUYSURZVUPVUQUYQVUNUYSVUQUYPVUMU
      YOVUHUJXLUQXMVURVUNUYRXSULUHVUPVUNUYRXNVUNBXOXPXQAVULVUGUYHTZVUHUXNTAVUEU
      YHVUGAUYGGYIVJZTVUEUYHURAUYGHVUTPAGVUJTHVUTTVUKGUFHXTWNYAGUFUYGYBWNYCAVUS
      VIDUXNVUHUYCAUYHDVUGJUYJYDWRYEAVUPUBVUEABEXAZJVJZUJUKZUPZTZWSZEVUEYFVUPUB
      VUEYFSVVFVUPEUBVUEVVAVUGUHZVVEVUOVVGVVDVUNBVVGVVCVUMVVGVVBVUHUJVVAVUGJYGU
      OUQVFYHYJYKYLYMUUAWJVUAGUXAUUBWNVUAFUXAUUCYNVUBUXJUYSURZUYMVUBUXOVVHUYTVV
      HUAUXBUXNUYOUXBUHZUYQUXJUYSVVIUYPUXIUYOUXBUJXLUQXMUUDUUEVVHUXJUYRXSULUHUY
      MUXJUYRXNUXJBXOXPYKWNAUXLUWLRWJUUFUUGUXKUXLUUHUUICUXBUXCBUUKYOUWTUWNUXEUW
      TUWMUXDUJUWTUWMFUXAUXCYTZYPUEZUIUEZUXBFVVJUIUEZFUUJVJZUEZUXDUWTJVVKFUIUWT
      JJUYGUCYQUEZVHUEZJUULVJZYTZYPUEZVVKAUYIUWLJULUUMZJVVTUHNAVWAUWLAUYGYRTZVW
      AAUYGHYRPAGUWJTZHYRTZQVWCGUUNTVWDGHUUOUUPGHUUQUURWNZYAAUYIJUUSTVWBVWAUVCN
      DJUUTJUVDVTUVAWJUYIVWAVIVVTJDJUVBUVEYNAUWLVVPGUHZVVTVVKUHUWTVVPHUCYQUEZGA
      VVPVWGUHUWLAUYGHUCYQPUVFWJAVWGGUHUWLAHUCGAHVWEUVGAUVHAGAVWCGUVNTQGUFHUVIW
      NUVJUVKUVLYSAVWFVIZVVQUXAVVSVVJYPVWFVVQUXAUHAVVPGJVHUVMUVOVWHVVRUXCAVWFVV
      RVVPJVJZUXCAUYIVVRVWIUHNJUYAUVPWNVVPGJYGUVQUVRUVSYEYSWMAVVLVVOUHZUWLAUXPU
      XRVVJUXQTVWJUXTUYDAUXCUXNUYKUVTUXNVVNFUXAVVJUYBVVNWAZUWAYOWJAVVOUXDUHUWLA
      VVOUXBUXCVVNUEZUXDAVVMUXCUXBVVNAUYFVVMUXCUHUYKUXNUXCFUYBUWBWNWMAUXOUYFVWL
      UXDUHUYEUYKCUXNVVNFUXBUXCKUYBVWKUWCWHYSWJUWDUOUQWPUWEAUWKUWLAVWCUWKUWLWTQ
      GUFHUWFWNUWGUWH $.

    psgnunilem2.in $e |- ( ph -> -. E. x e. Word T
            ( ( # ` x ) = ( L - 2 ) /\ ( G gsum x ) = ( _I |` D ) ) ) $.
    $( Lemma for ~ psgnuni .  Induction step for moving a transposition as far
       to the right as possible.  (Contributed by Stefan O'Rear, 24-Aug-2015.)
       (Revised by Mario Carneiro, 28-Feb-2016.) $)
    psgnunilem2 $p |- ( ph -> E. w e. Word T
          ( ( ( G gsum w ) = ( _I |` D ) /\ ( # ` w ) = L ) /\
          ( ( I + 1 ) e. ( 0 ..^ L ) /\ A e. dom ( ( w ` ( I + 1 ) ) \ _I ) /\
          A. j e. ( 0 ..^ ( I + 1 ) ) -. A e. dom ( ( w ` j ) \ _I ) ) ) ) $=
      ( vr vs cfv c1 caddc co ccom cid cres wceq cv cgsu chash wa cc0 cfzo wcel
      cdif cdm wn wral w3a cword wrex c2 cmin c0 cotp csplice wrd0 splcl adantr
      sylancl cneg cn0 cle wbr cfz fzossfz sselid elfznn0 syl 2nn0 cr nn0addge1
      nn0addcl nn0red syl3anbrc psgnunilem5 oveq2i oveq2d a1i spllen oveq1i 2cn
      elfz2nn0 cc eqtrid 3eqtrd syl12anc eqid wss cs2 eleqtrrd syl3anc ffvelrnd
      gsumws2 symgov syl2anc simpr gsumspl 3eqtr3d fveqeq2 oveq2 eqeq1d anbi12d
      wf rspcev ex adantrr sselda eqtrd addid1d clt 2nn elfzo0 mpbir3an splfv2a
      eleqtrri difeq1d dmeqd wb fveq2 eleq2d notbid ad2antrr fveq1 fzofzp1 df-2
      nn0cnd 1cnd addassd eqtr4id 3eltr4d hash0 df-neg eqtr4i pncan2 oveq12d cz
      negeqd elfzel2 zcnd negsub cop csubstr splid cmnd symggrp grpmndd symgtrf
      cbs cgrp sswrd ax-mp swrdcl cplusg swrds2 wrdf feq2d mpbid symgid eqtr4di
      gsum0 pm2.21dd simprl simprr s2cld simprr1 adantrl 3eqtr4rd subidi eqtrdi
      c0g s2len eqeltrd jca simprr2 cn 1nn0 1lt2 s2fv1 ad2antll cuz fzosplitsni
      wo nn0uz eleq2s rspccva adantlr splfv1 neleqtrrd simprr3 0nn0 2pos fveq2d
      sylan s2fv0 ad2antrl mtbird syl5ibrcom jaod sylbid ralrimiv 3jca 3anbi23d
      wi ralbidv expr rexlimdvva psgnunilem1 mpjaod ) AJMUFZJUGUHUIZMUFZUJZUKEU
      LZUMZICUNZUOUIZUYJUMZUYLUPUFKUMZUQZUYGURKUSUIZUTZDUYGUYLUFZUKVAZVBZUTZDGU
      NZUYLUFZUKVAZVBZUTZVCZGURUYGUSUIZVDZVEZUQZCFVFZVGZUYIUDUNZUEUNZUJZUMZDVUP
      UKVAZVBZUTZDVUOUKVAZVBZUTZVCZVEZUEFVGUDFVGAUYKVUNAUYKUQZBUNZUPUFKVHVIUIZU
      MZIVVHUOUIZUYJUMZUQZBVUMVGZVUNVVGMJJVHUHUIZVJVKVLUIZVUMUTZVVPUPUFZVVIUMZI
      VVPUOUIZUYJUMZVVNAVVQUYKAMVUMUTZVJVUMUTZVVQQFVMZFVJMVVOJVNVPVOAVVSUYKAVVR
      MUPUFZVJUPUFZVVOJVIUIZVIUIZUHUIKVHVQZUHUIZVVIAFVJMVVOJQAJVRUTZVVOVRUTZJVV
      OVSVTZJURVVOWAUIUTZAJURKWAUIZUTZVWKAUYQVWOJURKWBTWCZJKWDWEZAVWKVHVRUTZVWL
      VWRWFJVHWIVPAJWGUTVWSVWMAJVWRWJWFJVHWHVPJVVOWSWKZAUYGUGUHUIZVWOVVOURVWEWA
      UIZAUYRVXAVWOUTADEFHIJKLMNOPQRSTUAUBWLZURKUYGUUAWEAVVOJUGUGUHUIZUHUIVXAVH
      VXDJUHUUBWMAJUGUGAJVWRUUCZAUUDZVXFUUEUUFAVWEKURWASWNUUGZVWCAVWDWOWPAVWEKV
      WHVWIUHSAVWHVWGVQZVWIVWHURVWGVIUIVXHVWFURVWGVIUUHWQVWGUUIUUJAVWGVHAJWTUTV
      HWTUTZVWGVHUMVXEWRJVHUUKVPZUUNXAUULAKWTUTVXIVWJVVIUMAKAVWPKUUMUTVWQJURKUU
      OWEUUPZWRKVHUUQVPXBVOVVGIMJVVOMJVVOUURUUSUIZVKVLUIZUOUIZIMUOUIZVVTUYJAVXN
      VXOUMZUYKAVXMMIUOAVWBVWNVVOVXBUTZVXMMUMQVWTVXGFMJVVOUUTXCWNZVOVVGIUVEUFZM
      VVOJIVXLVJVXSXDZAIUVAUTZUYKAIAELUTZIUVFUTPEILNUVBWEUVCZVOAMVXSVFZUTZUYKAV
      UMVYDMFVXSXEZVUMVYDXEVXSEFIONVXTUVDZFVXSUVGUVHZQWCZVOAVWNUYKVWTVOAVXQUYKV
      XGVOAVXLVYDUTZUYKAVYEVYJVYIVXSMJVVOUVIWEZVOVJVYDUTVVGVXSVMWOVVGIVXLUOUIZU
      YIUYJIVJUOUIZAVYLUYIUMZUYKAVYLIUYFUYHXFZUOUIZUYFUYHIUVJUFZUIZUYIAVXLVYOIU
      OAVWBVWKUYGURVWEUSUIZUTVXLVYOUMQVWRAUYGUYQVYSVXCAVWEKURUSSWNZXGFJMUVKXHWN
      AVYAUYFVXSUTZUYHVXSUTZVYPVYRUMVYCAFVXSUYFVYGAUYQFJMAVYSFMXTZUYQFMXTAVWBWU
      CQFMUVLWEAVYSUYQFMVYTUVMUVNZTXIZWCZAFVXSUYHVYGAUYQFUYGMWUDVXCXIZWCZVXSVYQ
      UYFUYHIVXTVYQXDZXJXHAWUAWUBVYRUYIUMWUFWUHEVXSVYQIUYFUYHNVXTWUIXKXLXBZVOAU
      YKXMAUYJVYMUMUYKAUYJIUWGUFZVYMAVYBUYJWUKUMPEILNUVOWEIWUKWUKXDUVQUVPVOXBXN
      AVXOUYJUMZUYKRVOXOVVMVVSVWAUQBVVPVUMVVHVVPUMZVVJVVSVVLVWAVVHVVPVVIUPXPWUM
      VVKVVTUYJVVHVVPIUOXQXRXSYAXCAVVNVCUYKUCVOUVRYBAVVFVUNUDUEFFAVUOFUTZVUPFUT
      ZUQZVVFVUNAWUPVVFUQZUQZMJVVOVUOVUPXFZVKVLUIZVUMUTZIWUTUOUIZUYJUMZWUTUPUFZ
      KUMZUQZUYRDUYGWUTUFZUKVAZVBZUTZDVUCWUTUFZUKVAZVBZUTZVCZGVUIVDZVEZVUNAWUPW
      VAVVFAWUPUQZVWBWUSVUMUTZWVAAVWBWUPQVOZWVRVUOVUPFAWUNWUOUVSAWUNWUOUVTUWAZF
      WUSMVVOJVNXLYCWURWVCWVEWURWVBVXNVXOUYJWURVXSMVVOJIWUSVXLVXTAVYAWUQVYCVOAV
      YEWUQVYIVOAVWNWUQVWTVOAVXQWUQVXGVOAWUPWUSVYDUTVVFWVRVUMVYDWUSVYHWWAWCYCAV
      YJWUQVYKVOWURUYIVUQVYLIWUSUOUIZVURVVAVVEWUPAUWBAVYNWUQWUJVOAWUPWWBVUQUMVV
      FWVRWWBVUOVUPVYQUIZVUQWVRVYAVUOVXSUTZVUPVXSUTZWWBWWCUMAVYAWUPVYCVOAWUNWWD
      WUOAFVXSVUOVYFAVYGWOZYDYCZAWUOWWEWUNAFVXSVUPWWFYDUWCZVXSVYQVUOVUPIVXTWUIX
      JXHWVRWWDWWEWWCVUQUMWWGWWHEVXSVYQIVUOVUPNVXTWUIXKXLYEYCUWDXNAVXPWUQVXRVOA
      WULWUQRVOXBAWUPWVEVVFWVRWVDVWEWUSUPUFZVWGVIUIZUHUIZKWVRFWUSMVVOJWVTAVWNWU
      PVWTVOZAVXQWUPVXGVOZWWAWPAWWKKUMWUPAWWKVWEURUHUIVWEKAWWJURVWEUHAWWJVHVWGV
      IUIZURWWIVHVWGVIVUOVUPUWHZWQAWWNVHVHVIUIURAVWGVHVHVIVXJWNVHWRUWEUWFXAWNAV
      WEAVWEKWTSVXKUWIYFSXBVOYEYCUWJWURUYRWVJWVPAUYRWUQVXCVOWURDVUTWVIVURVVAVVE
      WUPAUWKWURWVHVUSWURWVGVUPUKAWUPWVGVUPUMVVFWVRWVGUGWUSUFZVUPWVRFWUSMVVOJUG
      WVTWWLWWMWWAUGURWWIUSUIZUTWVRUGURVHUSUIZWWQUGWWRUTUGVRUTVHUWLUTZUGVHYGVTU
      WMYHUWNUGVHYIYJWWIVHURUSWWOWMZYLWOYKWUOWWPVUPUMAWUNVUOVUPFUWOUWPYEYCYMYNX
      GWURWVOGVUIWURVUCVUIUTZVUCURJUSUIZUTZVUCJUMZUWSZWVOAWXAWXEYOZWUQAVWKWXFVW
      RWXFJURUWQUFVRURJVUCUWRUWTUXAWEVOWURWXCWVOWXDAWUPWXCWVOUXTVVFWVRWXCWVOWVR
      WXCUQZWVMVUCMUFZUKVAZVBZDAWXCDWXJUTZVCZWUPADHUNZMUFZUKVAZVBZUTZVCZHWXBVDW
      XCWXLUBWXRWXLHVUCWXBWXMVUCUMZWXQWXKWXSWXPWXJDWXSWXOWXIWXSWXNWXHUKWXMVUCMY
      PYMYNYQYRUXBUXJUXCWXGWVLWXIWXGWVKWXHUKWXGFWUSMVVOJVUCAVWBWUPWXCQYSAVWNWUP
      WXCVWTYSAVXQWUPWXCVXGYSWVRWVSWXCWWAVOWVRWXCXMUXDYMYNUXEYBYCWURWVOWXDDJWUT
      UFZUKVAZVBZUTZVCWURWYCVVDVURVVAVVEWUPAUXFAWUPWYCVVDYOVVFWVRWYBVVCDWVRWYAV
      VBWVRWXTVUOUKWVRJURUHUIZWUTUFURWUSUFZWXTVUOWVRFWUSMVVOJURWVTWWLWWMWWAURWW
      QUTWVRURWWRWWQURWWRUTURVRUTWWSURVHYGVTUXGYHUXHURVHYIYJWWTYLWOYKWVRWYDJWUT
      AWYDJUMWUPAJVXEYFVOUXIWUNWYEVUOUMAWUOVUOVUPFUXKUXLXOYMYNYQYCUXMWXDWVNWYCW
      XDWVMWYBDWXDWVLWYAWXDWVKWXTUKVUCJWUTYPYMYNYQYRUXNUXOUXPUXQUXRVULWVFWVQUQC
      WUTVUMUYLWUTUMZUYPWVFVUKWVQWYFUYNWVCUYOWVEWYFUYMWVBUYJUYLWUTIUOXQXRUYLWUT
      KUPXPXSWYFVUBWVJVUJWVPUYRWYFVUAWVIDWYFUYTWVHWYFUYSWVGUKUYGUYLWUTYTYMYNYQW
      YFVUHWVOGVUIWYFVUGWVNWYFVUFWVMDWYFVUEWVLWYFVUDWVKUKVUCUYLWUTYTYMYNYQYRUYA
      UXSXSYAXCUYBUYCADEUYFUYHFLUEUDOPWUEWUGUAUYDUYE $.
  $}

  ${
    $d a b c d e w x y D $.  $d a b c d w x G $.  $d a b c e w x y L $.
    $d a b c w x y T $.  $d a b c e w x W $.  $d a b c e x ph $.
    $d b c d w x y G $.
    psgnunilem3.g $e |- G = ( SymGrp ` D ) $.
    psgnunilem3.t $e |- T = ran ( pmTrsp ` D ) $.
    psgnunilem3.d $e |- ( ph -> D e. V ) $.
    psgnunilem3.w1 $e |- ( ph -> W e. Word T ) $.
    psgnunilem3.l $e |- ( ph -> ( # ` W ) = L ) $.
    psgnunilem3.w2 $e |- ( ph -> ( # ` W ) e. NN ) $.
    psgnunilem3.w3 $e |- ( ph -> ( G gsum W ) = ( _I |` D ) ) $.
    psgnunilem3.in $e |- ( ph -> -. E. x e. Word T
            ( ( # ` x ) = ( L - 2 ) /\ ( G gsum x ) = ( _I |` D ) ) ) $.
    $( Lemma for ~ psgnuni .  Any nonempty representation of the identity can
       be incrementally transformed into a representation two shorter.
       (Contributed by Stefan O'Rear, 25-Aug-2015.) $)
    psgnunilem3 $p |- -. ph $=
      ( vc wcel cc0 cid ve vw va vb vd vy cn0 chash cfv cn eqeltrrd nnnn0d cdif
      cv cdm wn c0 wne wex cfzo co cword wf wrdf syl clt wbr 0nn0 nngt0d elfzo0
      syl3anbrc oveq2d eleqtrrd ffvelrnd cpmtr eqid pmtrfmvdn0 n0 sylib wa cgsu
      a1i cres wceq wral w3a wrex fzonel simpr1 mto nrex wi caddc eleq1 difeq1d
      c1 fveq2 dmeqd eleq2d raleqdv 3anbi123d anbi2d rexbidv imbi2d weq fveqeq2
      oveq2 eqeq1d anbi12d fveq1 notbid ralbidv cbvralvw bitrdi 3anbi23d adantr
      cbvrexvw jca simpr ral0 fzo0 raleqi mpbir rspcev syl12anc ad2antrr simprl
      3jca simpll ad2antll simplr simpr2 simpr3 cmin psgnunilem2 rexlimdvaa a2i
      c2 sylnib nn0ind mtoi con2i exlimddv pm2.65i ) AFUGRZAFAHUHUIZFUJMNUKZULA
      UAUNZSHUIZTUMZUOZRZUUEUPUAAUUKUQURZUULUAUSAUUIDRUUMASUUFUTVAZDSHAHDVBZRZU
      UNDHVCLDHVDVEASSFUTVAZUUNASUGRZFUJRSFVFVGSUUQRZUURAVHWBUUGAFUUGVISFVJVKZA
      UUFFSUTMVLVMVNCDCVOUIZUUIUVAVPJVQVEUAUUKVRVSUUEAUULVTZUUEUVBEUBUNZWAVAZTC
      WCZWDZUVCUHUIFWDZVTZFUUQRZUUHFUVCUIZTUMZUOZRZUUHQUNZUVCUIZTUMZUOZRZUPZQUU
      QWEZWFZVTZUBUUOWGZUWBUBUUOUWBUPUVCUUORUWBUVISFWHUVHUVIUVMUVTWIWJWBWKUVBUV
      HUCUNZUUQRZUUHUWDUVCUIZTUMZUOZRZUVSQSUWDUTVAZWEZWFZVTZUBUUOWGZWLUVBUVHUUS
      UUHSUVCUIZTUMZUOZRZUVSQSSUTVAZWEZWFZVTZUBUUOWGZWLUVBEBUNZWAVAZUVEWDZUXDUH
      UIZFWDZVTZUDUNZUUQRZUUHUXJUXDUIZTUMZUOZRZUUHUEUNZUXDUIZTUMZUOZRZUPZUESUXJ
      UTVAZWEZWFZVTZBUUOWGZWLZUVBUVHUXJWPWMVAZUUQRZUUHUYHUVCUIZTUMZUOZRZUVSQSUY
      HUTVAZWEZWFZVTZUBUUOWGZWLZUVBUWCWLUCUDFUWDSWDZUWNUXCUVBUYTUWMUXBUBUUOUYTU
      WLUXAUVHUYTUWEUUSUWIUWRUWKUWTUWDSUUQWNUYTUWHUWQUUHUYTUWGUWPUYTUWFUWOTUWDS
      UVCWQWOWRWSUYTUVSQUWJUWSUWDSSUTXGWTXAXBXCXDUCUDXEZUWNUYFUVBVUAUWNUVHUXKUU
      HUXJUVCUIZTUMZUOZRZUVSQUYBWEZWFZVTZUBUUOWGUYFVUAUWMVUHUBUUOVUAUWLVUGUVHVU
      AUWEUXKUWIVUEUWKVUFUWDUXJUUQWNVUAUWHVUDUUHVUAUWGVUCVUAUWFVUBTUWDUXJUVCWQW
      OWRWSVUAUVSQUWJUYBUWDUXJSUTXGWTXAXBXCVUHUYEUBBUUOUBBXEZUVHUXIVUGUYDVUIUVF
      UXFUVGUXHVUIUVDUXEUVEUVCUXDEWAXGXHUVCUXDFUHXFXIVUIVUEUXOVUFUYCUXKVUIVUDUX
      NUUHVUIVUCUXMVUIVUBUXLTUXJUVCUXDXJWOWRWSVUIVUFUUHUVNUXDUIZTUMZUOZRZUPZQUY
      BWEUYCVUIUVSVUNQUYBVUIUVRVUMVUIUVQVULUUHVUIUVPVUKVUIUVOVUJTUVNUVCUXDXJWOW
      RWSXKXLVUNUYAQUEUYBQUEXEZVUMUXTVUOVULUXSUUHVUOVUKUXRVUOVUJUXQTUVNUXPUXDWQ
      WOWRWSXKXMXNXOXIXQXNXDUWDUYHWDZUWNUYRUVBVUPUWMUYQUBUUOVUPUWLUYPUVHVUPUWEU
      YIUWIUYMUWKUYOUWDUYHUUQWNVUPUWHUYLUUHVUPUWGUYKVUPUWFUYJTUWDUYHUVCWQWOWRWS
      VUPUVSQUWJUYNUWDUYHSUTXGWTXAXBXCXDUWDFWDZUWNUWCUVBVUQUWMUWBUBUUOVUQUWLUWA
      UVHVUQUWEUVIUWIUVMUWKUVTUWDFUUQWNVUQUWHUVLUUHVUQUWGUVKVUQUWFUVJTUWDFUVCWQ
      WOWRWSVUQUVSQUWJUUQUWDFSUTXGWTXAXBXCXDUVBUUPEHWAVAZUVEWDZUUFFWDZVTZUUSUUL
      UUHUVNHUIZTUMZUOZRZUPZQUWSWEZWFZUXCAUUPUULLXPAVVAUULAVUSVUTOMXRXPUVBUUSUU
      LVVGAUUSUULUUTXPAUULXSVVGUVBVVGVVFQUQWEVVFQXTVVFQUWSUQSYAYBYCWBYHUXBVVAVV
      HVTUBHUUOUVCHWDZUVHVVAUXAVVHVVIUVFVUSUVGVUTVVIUVDVURUVEUVCHEWAXGXHUVCHFUH
      XFXIVVIUWRUULUWTVVGUUSVVIUWQUUKUUHVVIUWPUUJVVIUWOUUITSUVCHXJWOWRWSVVIUVSV
      VFQUWSVVIUVRVVEVVIUVQVVDUUHVVIUVPVVCVVIUVOVVBTUVNUVCHXJWOWRWSXKXLXOXIYDYE
      UYGUYSWLUXJUGRUVBUYFUYRUVBUYEUYRBUUOUVBUXDUUORZUYEVTZVTUFUBUUHCDQUEEUXJFG
      UXDIJACGRUULVVKKYFUVBVVJUYEYGUYEUXFUVBVVJUXFUXHUYDYIYJUYEUXHUVBVVJUXFUXHU
      YDYKYJUYEUXKUVBVVJUXIUXKUXOUYCWIYJUYEUXOUVBVVJUXIUXKUXOUYCYLYJUYEUYCUVBVV
      JUXIUXKUXOUYCYMYJAUFUNZUHUIFYRYNVAZWDZEVVLWAVAZUVEWDZVTZUFUUOWGZUPUULVVKA
      UXGVVMWDZUXFVTZBUUOWGVVRPVVTVVQBUFUUOBUFXEZVVSVVNUXFVVPUXDVVLVVMUHXFVWAUX
      EVVOUVEUXDVVLEWAXGXHXIXQYSYFYOYPYQWBYTUUAUUBUUCUUD $.
  $}

  ${
    $d w x y D $.  $d w x y G $.  $d w x y T $.  $d w x W $.  $d w x y ph $.
    psgnunilem4.g $e |- G = ( SymGrp ` D ) $.
    psgnunilem4.t $e |- T = ran ( pmTrsp ` D ) $.
    psgnunilem4.d $e |- ( ph -> D e. V ) $.
    psgnunilem4.w1 $e |- ( ph -> W e. Word T ) $.
    psgnunilem4.w2 $e |- ( ph -> ( G gsum W ) = ( _I |` D ) ) $.
    $( Lemma for ~ psgnuni .  An odd-length representation of the identity is
       impossible, as it could be repeatedly shortened to a length of 1, but a
       length 1 permutation must be a transposition.  (Contributed by Stefan
       O'Rear, 25-Aug-2015.) $)
    psgnunilem4 $p |- ( ph -> ( -u 1 ^ ( # ` W ) ) = 1 ) $=
      ( vx wcel co wceq c1 chash cexp wa wi vw cword cgsu cid cres cneg cfv cc0
      vy cv cn0 cuz cfn wrdfin hashcl 3syl nn0uz eleqtrdi cfzo wal cfz c0 fveq2
      hash0 eqtrdi oveq2d cc neg1cn exp0 ax-mp 2a1d wne w3a c2 cmin wex wrex wn
      simpl1 syl simpl3l eqidd cn simpl2 hashnncl biimpar syl2anc simpl3r oveq2
      fveqeq2 eqeq1d anbi12d notbii biimpi adantl psgnunilem3 iman mpbir df-rex
      cbvrexvw sylib simprl simprrr jca clt wbr simp3l simp2 adantr simprrl crp
      cr nnred 2rp ltsubrp sylancl eqbrtrd elfzo0 syl3anbrc com13 sylc cdiv a1i
      id neg1ne0 cz 2z nnzd expsubd neg1sqe1 oveq2i m1expcl div1d eqtrid 3eqtrd
      zcnd sylibd ex eleq1 imbi12d com23 alimdv mpid 3exp com34 com12 pm2.61ine
      19.23v syl6ib impd 3adant2 uzindi mp2and ) AFCUBZMZDFUCNZUDBUEZOZPUFZFQUG
      ZRNZPOZJKAUAUJZUUNMZDUVCUCNZUUQOZSZUUSUVCQUGZRNZPOZTZLUJZUUNMZDUVLUCNZUUQ
      OZSZUUSUVLQUGZRNZPOZTZUUOUURSZUVBTUALFUVHUVQUUTUHUUNJAUUTUKUHULUGAUUOFUMM
      UUTUKMJCFUNFUOUPUQURAUVQUHUVHUSNMZUVTTZLUTZUVKUVHUHUUTVANMAUWDSZUVKTUVCVB
      UVCVBOZUVJUWEUVGUWFUVIUUSUHRNZPUWFUVHUHUUSRUWFUVHVBQUGUHUVCVBQVCVDVEVFUUS
      VGMZUWGPOVHUUSVIVJVEVKUVCVBVLZAUWDUVKAUWIUWDUVKTAUWIUVGUWDUVJAUWIUVGUWDUV
      JTAUWIUVGVMZUWDUVMUVQUVHVNVONZOZUVOSZSZLVPZUVJUWJUWMLUUNVQZUWOUWJUWPTUWJU
      WPVRZSZVRUWRUIBCDUVHEUVCGHUWRABEMAUWIUVGUWQVSIVTUVDUVFAUWIUWQWAZUWRUVHWBU
      WRUVCUMMZUWIUVHWCMZUWRUVDUWTUWSCUVCUNZVTAUWIUVGUWQWDUWTUXAUWIUVCWEWFZWGUV
      DUVFAUWIUWQWHUWQUIUJZQUGUWKOZDUXDUCNZUUQOZSZUIUUNVQZVRZUWJUWQUXJUWPUXIUWM
      UXHLUIUUNUVLUXDOZUWLUXEUVOUXGUVLUXDUWKQWJUXKUVNUXFUUQUVLUXDDUCWIWKWLWTWMW
      NWOWPUWJUWPWQWRUWMLUUNWSXAUWJUWDUWNUVJTZLUTUWOUVJTUWJUWCUXLLUWJUWNUWCUVJU
      WJUWNUWCUVJTUWJUWNSZUWCUVSUVJUXMUVPUWBUWCUVSTUXMUVMUVOUWJUVMUWMXBZUWJUVMU
      WLUVOXCXDUXMUVQUKMZUXAUVQUVHXEXFUWBUXMUVMUVLUMMUXOUXNCUVLUNUVLUOUPUWJUXAU
      WNUWJUWTUWIUXAUWJUVDUWTAUWIUVDUVFXGUXBVTAUWIUVGXHUXCWGXIZUXMUVQUWKUVHXEUW
      JUVMUWLUVOXJZUXMUVHXLMVNXKMUWKUVHXEXFUXMUVHUXPXMXNUVHVNXOXPXQUVQUVHXRXSUW
      CUWBUVPUVSUWCYDXTYAUXMUVRUVIPUXMUVRUUSUWKRNUVIUUSVNRNZYBNZUVIUXMUVQUWKUUS
      RUXQVFUXMUUSUVHVNUWHUXMVHYCUUSUHVLUXMYEYCVNYFMUXMYGYCUXMUVHUXPYHZYIUXMUXS
      UVIPYBNUVIUXRPUVIYBYJYKUXMUVIUXMUVHYFMZUVIVGMUXTUYAUVIUVHYLYPVTYMYNYOWKYQ
      YRUUAUUBUWNUVJLUUHUUIUUCUUDUUEUUFUUJUUGUUKUVCUVLOZUVGUVPUVJUVSUYBUVDUVMUV
      FUVOUVCUVLUUNYSUYBUVEUVNUUQUVCUVLDUCWIWKWLUYBUVIUVRPUYBUVHUVQUUSRUVCUVLQV
      CZVFWKYTUVCFOZUVGUWAUVJUVBUYDUVDUUOUVFUURUVCFUUNYSUYDUVEUUPUUQUVCFDUCWIWK
      WLUYDUVIUVAPUYDUVHUUTUUSRUVCFQVCZVFWKYTUYCUYEUULUUM $.
  $}

  $( Addition and subtraction of parities are the same.  (Contributed by Stefan
     O'Rear, 27-Aug-2015.) $)
  m1expaddsub $p |- ( ( X e. ZZ /\ Y e. ZZ ) ->
      ( -u 1 ^ ( X - Y ) ) = ( -u 1 ^ ( X + Y ) ) ) $=
    ( cz wcel c1 cneg cexp cdiv cmul m1expcl zcnd adantl cc0 wne neg1cn neg1ne0
    co cc wceq ax-1cn wa cmin caddc adantr expne0i mp3an12 divrecd cpr m1expcl2
    elpri ax-1ne0 divneg2 mp3an 1div1e1 negeqi eqtr3i oveq2 3eqtr4a jaoi oveq2d
    wo id 3syl eqtrd expsub mpanl12 expaddz 3eqtr4d ) ACDZBCDZUAZEFZAGQZVLBGQZH
    QZVMVNIQZVLABUBQGQZVLABUCQGQZVKVOVMEVNHQZIQVPVKVMVNVIVMRDVJVIVMAJKUDVJVNRDV
    IVJVNBJKLVJVNMNZVIVLRDZVLMNZVJVTOPVLBUEUFLUGVKVSVNVMIVJVSVNSZVIVJVNVLEUHDVN
    VLSZVNESZVAWCBUIVNVLEUJWDWCWEWDEVLHQZVLVSVNEEHQZFZWFVLERDZWIEMNWHWFSTTUKEEU
    LUMWGEUNUOUPVNVLEHUQWDVBURWEWGEVSVNUNVNEEHUQWEVBURUSVCLUTVDWAWBVKVQVOSOPVLA
    BVEVFWAWBVKVRVPSOPVLABVGVFVH $.

  ${
    psgnuni.g $e |- G = ( SymGrp ` D ) $.
    psgnuni.t $e |- T = ran ( pmTrsp ` D ) $.
    psgnuni.d $e |- ( ph -> D e. V ) $.
    psgnuni.w $e |- ( ph -> W e. Word T ) $.
    psgnuni.x $e |- ( ph -> X e. Word T ) $.
    psgnuni.e $e |- ( ph -> ( G gsum W ) = ( G gsum X ) ) $.
    $( If the same permutation can be written in more than one way as a product
       of transpositions, the parity of those products must agree; otherwise
       the product of one with the inverse of the other would be an odd
       representation of the identity.  (Contributed by Stefan O'Rear,
       27-Aug-2015.) $)
    psgnuni $p |- ( ph -> ( -u 1 ^ ( # ` W ) ) = ( -u 1 ^ ( # ` X ) ) ) $=
      ( cfv cexp co wcel syl wceq syl2anc c1 cneg chash cword cn0 lencl m1expcl
      cz nn0zd zcnd cc cc0 wne neg1cn neg1ne0 expne0i mp3an12i cmin m1expaddsub
      caddc cdiv wa expsub mpanl12 creverse cconcat revcl ccatlen revlen oveq2d
      eqtr2d ccatcl cgsu cplusg c0g cid cres cminusg fveq2d eqid symgtrinv cgrp
      cbs symggrp cmnd grpmnd 3syl wss symgtrf sswrd ax-mp sselid gsumwcl eqtrd
      grprinv gsumccat syl3anc symgid 3eqtr4d psgnunilem4 3eqtr3d diveq1d ) AUA
      UBZFUCNZOPZXCGUCNZOPZAXEAXDUHQZXEUHQAXDAFCUDZQZXDUEQKCFUFRUIZXDUGRUJAXGAX
      FUHQZXGUHQAXFAGXIQZXFUEQLCGUFRUIZXFUGRUJXCUKQZXCULUMZAXLXGULUMUNUOXNXCXFU
      PUQAXCXDXFURPOPZXCXDXFUTPZOPZXEXGVAPZUAAXHXLXQXSSXKXNXDXFUSTAXHXLXQXTSZXK
      XNXOXPXHXLVBYAUNUOXCXDXFVCVDTAXSXCFGVENZVFPZUCNZOPUAAXRYDXCOAYDXDYBUCNZUT
      PZXRAXJYBXIQZYDYFSKAXMYGLCGVGRZCCFYBVHTAYEXFXDUTAXMYEXFSLCGVIRVJVKVJABCDE
      YCHIJAXJYGYCXIQKYHCFYBVLTADFVMPZDYBVMPZDVNNZPZDVONZDYCVMPZVPBVQZAYLYIYIDV
      RNZNZYKPZYMAYJYQYIYKAYQDGVMPZYPNZYJAYIYSYPMVSABEQZXMYTYJSJLBCDYPEGIHYPVTZ
      WATVKVJADWBQZYIDWCNZQZYRYMSAUUAUUCJBDEHWDZRADWEQZFUUDUDZQZUUEAUUAUUCUUGJU
      UFDWFWGZAXIUUHFCUUDWHXIUUHWHUUDBCDIHUUDVTZWICUUDWJWKZKWLZUUDDFUUKWMTUUDYK
      DYPYIYMUUKYKVTZYMVTUUBWOTWNAUUGUUIYBUUHQYNYLSUUJUUMAXIUUHYBUULYHWLUUDYKDF
      YBUUKUUNWPWQAUUAYOYMSJBDEHWRRWSWTWNXAXB $.
  $}

  ${
    $d d p s w x $.  $d d s w x D $.  $d d x F $.  $d d G $.  $d d w T $.
    $d p B $.
    psgnfval.g $e |- G = ( SymGrp ` D ) $.
    psgnfval.b $e |- B = ( Base ` G ) $.
    psgnfval.f $e |- F = { p e. B | dom ( p \ _I ) e. Fin } $.
    psgnfval.t $e |- T = ran ( pmTrsp ` D ) $.
    psgnfval.n $e |- N = ( pmSgn ` D ) $.
    $( Function definition of the permutation sign function.  (Contributed by
       Stefan O'Rear, 28-Aug-2015.) $)
    psgnfval $p |- N = ( x e. F |-> ( iota s E. w e. Word T
        ( x = ( G gsum w ) /\ s = ( -u 1 ^ ( # ` w ) ) ) ) ) $=
      ( cfv cv wceq cbs c0 vd cpsgn cgsu co c1 cneg chash cexp wa wrex cio cmpt
      cword cvv wcel cid cdif cdm cfn csymg crab cpmtr crn fveq2 eqtr4di fveq2d
      rabeq syl rneqd oveq1d eqeq2d anbi1d rexeqbidv iotabidv mpteq12dv df-psgn
      wrdeq fvexi rabex2 mptex fvmpt wn fvprc eqtrid rab0 eqtrdi mpteq1d eqtr4d
      base0 mpt0 pm2.61i eqtri ) HDUBPZAFAQZGBQZUCUDZRZIQUEUFWOUGPUHUDRZUIZBEUM
      ZUJZIUKZULZODUNUOZWMXCRUADAJQUPUQURUSUOZJUAQZUTPZSPZVAZWNXGWOUCUDZRZWRUIZ
      BXFVBPZVCZUMZUJZIUKZULXCUNUBXFDRZAXIXQFXBXRXIXEJCVAZFXRXHCRXIXSRXRXHGSPZC
      XRXGGSXRXGDUTPZGXFDUTVDKVEZVFLVEXEJXHCVGVHMVEXRXPXAIXRXLWSBXOWTXRXNERXOWT
      RXRXNDVBPZVCEXRXMYCXFDVBVDVINVEXNEVQVHXRXKWQWRXRXJWPWNXRXGGWOUCYBVJVKVLVM
      VNVOABIJUAVPAFXBXEJCFMCGSLVRVSVTWAXDWBZWMTXCDUBWCYDXCATXBULTYDAFTXBYDFXST
      MYDXSXEJTVAZTYDCTRXSYERYDCXTTLYDXTTSPTYDGTSYDGYATKDUTWCWDVFWIVEWDXEJCTVGV
      HXEJWEWFWDWGAXBWJWFWHWKWL $.
  $}

  ${
    $d p s w x $.  $d p B $.  $d s w x D $.  $d x F $.
    psgnfn.g $e |- G = ( SymGrp ` D ) $.
    psgnfn.b $e |- B = ( Base ` G ) $.
    psgnfn.f $e |- F = { p e. B | dom ( p \ _I ) e. Fin } $.
    psgnfn.n $e |- N = ( pmSgn ` D ) $.
    $( Functionality and domain of the permutation sign function.  (Contributed
       by Stefan O'Rear, 28-Aug-2015.) $)
    psgnfn $p |- N Fn F $=
      ( vx vw vs cv cgsu co wceq c1 cneg cfv chash cexp wa cpmtr crn cword wrex
      cio iotaex eqid psgnfval fnmpti ) KCKNDLNZOPQMNRSUMUATUBPQUCLBUDTUEZUFUGZ
      MUHEUOMUIKLABUNCDEMFGHIUNUJJUKUL $.
  $}

  ${
    $d p B $.  $d p P $.  $d p G $.
    psgneldm.g $e |- G = ( SymGrp ` D ) $.
    psgneldm.n $e |- N = ( pmSgn ` D ) $.
    $( The finitary permutations are a subgroup.  (Contributed by Stefan
       O'Rear, 28-Aug-2015.) $)
    psgndmsubg $p |- ( D e. V -> dom N e. ( SubGrp ` G ) ) $=
      ( vp wcel cdm cv cid cdif cfn cbs cfv crab csubg wfn wceq eqid fndm ax-mp
      psgnfn symgfisg eqeltrid ) ADHCIZGJKLIMHGBNOZPZBQOCUHRUFUHSUGAUHBCGEUGTZU
      HTFUCUHCUAUBGUGABDEUIUDUE $.

    psgneldm.b $e |- B = ( Base ` G ) $.
    $( Property of being a finitary permutation.  (Contributed by Stefan
       O'Rear, 28-Aug-2015.) $)
    psgneldm $p |- ( P e. dom N <-> ( P e. B /\ dom ( P \ _I ) e. Fin ) ) $=
      ( vp cv cid cdif cdm cfn wcel wceq difeq1 dmeqd eleq1d crab psgnfn elrab2
      eqid fndmi ) IJZKLZMZNOZCKLZMZNOICAEMUECPZUGUJNUKUFUIUECKQRSUHIATZEABULDE
      IFHULUCGUAUDUB $.
  $}

  ${
    $d s t w x G $.  $d s t w x N $.  $d s t w x P $.  $d s t w x T $.
    $d s t w p D $.  $d p G $.  $d p T $.  $d s p V $.  $d s w W $.
    psgnval.g $e |- G = ( SymGrp ` D ) $.
    psgnval.t $e |- T = ran ( pmTrsp ` D ) $.
    psgnval.n $e |- N = ( pmSgn ` D ) $.
    $( The finitary permutations are the span of the transpositions.
       (Contributed by Stefan O'Rear, 28-Aug-2015.) $)
    psgneldm2 $p |- ( D e. V -> ( P e. dom N <->
          E. w e. Word T P = ( G gsum w ) ) ) $=
      ( vp wcel cdm cword cv cgsu co wceq cfv eqid cmpt crn wrex cid cfn psgnfn
      cdif cbs crab fndmi csubmnd cmrc symggen cmnd wss symggrp grpmndd symgtrf
      gsumwspan sylancl eqtr3d eqtrid eleq2d ovex elrnmpti bitrdi ) BGLZCFMZLCA
      DNZEAOZPQZUAZUBZLCVKRAVIUCVGVHVMCVGVHKOUDUGMUELKEUHSZUIZVMVOFVNBVOEFKHVNT
      ZVOTJUFUJVGDEUKSULSZSZVOVMKVNBDEVQGIHVPVQTZUMVGEUNLDVNUOVRVMRVGEBEGHUPUQV
      NBDEIHVPURAVNDVQEVPVSUSUTVAVBVCAVIVKCVLVLTEVJPVDVEVF $.

    $( A sequence of transpositions describes a finitary permutation.
       (Contributed by Stefan O'Rear, 28-Aug-2015.) $)
    psgneldm2i $p |- ( ( D e. V /\ W e. Word T ) ->
        ( G gsum W ) e. dom N ) $=
      ( vw cword wcel cgsu co cv wceq wrex cdm eqid oveq2 rspceeqv mpan2 sylan2
      psgneldm2 biimpar ) FBKZLZAELZCFMNZCJOZMNZPJUFQZUIDRLZUGUIUIPULUISJFUFUKU
      IUIUJFCMTUAUBUHUMULJAUIBCDEGHIUDUEUC $.

    $( A finitary permutation has exactly one parity.  (Contributed by Stefan
       O'Rear, 28-Aug-2015.) $)
    psgneu $p |- ( P e. dom N -> E! s E. w e. Word T
            ( P = ( G gsum w ) /\ s = ( -u 1 ^ ( # ` w ) ) ) ) $=
      ( vx vt wcel cv cgsu co wceq cexp wa wrex cdm c1 cneg chash cfv cword wex
      wi wal weu cvv cbs cid cdif eqid psgneldm simplbi csymg elbasfv psgneldm2
      wb cfn syl ibi simpr ovex eqeq1 anbi2d spcev sylancl reximdva mpd rexcom4
      ex reeanv ad2antrr simplrl simplrr simprll simprrl eqtr3d psgnuni simprlr
      sylib simprrr 3eqtr4d syl5bir alrimivv rexbidv oveq2 eqeq2d fveq2 anbi12d
      rexlimdvva oveq2d cbvrexvw bitrdi eu4 sylanbrc ) CFUAMZCEANZOPZQZGNZUBUCZ
      XAUDUEZRPZQZSZADUFZTZGUGZXKCEKNZOPZQZLNZXEXMUDUEZRPZQZSZKXJTZSZXDXPQZUHZL
      UIGUIXKGUJWTXIGUGZAXJTZXLWTXCAXJTZYFWTYGWTBUKMZWTYGVAWTCEULUEZMZYHWTYJCUM
      UNUAVBMYIBCEFHJYIUOZUPUQYIEURCBHYKUSVCZABCDEFUKHIJUTVCVDWTXCYEAXJWTXAXJMZ
      SZXCYEYNXCSXCXGXGQZYEYNXCVEXGUOXIXCYOSGXGXEXFRVFXHXHYOXCXDXGXGVGVHVIVJVNV
      KVLXIAGXJVMWDWTYDGLYBXIXTSZKXJTAXJTWTYCXIXTAKXJXJVOWTYPYCAKXJXJWTYMXMXJMZ
      SZSZYPYCYSYPSZXGXRXDXPYTBDEUKXAXMHIWTYHYRYPYLVPWTYMYQYPVQWTYMYQYPVRYTCXBX
      NYSXCXHXTVSYSXIXOXSVTWAWBYSXCXHXTWCYSXIXOXSWEWFVNWNWGWHXKYAGLYCXKXCXPXGQZ
      SZAXJTYAYCXIUUBAXJYCXHUUAXCXDXPXGVGVHWIUUBXTAKXJXAXMQZXCXOUUAXSUUCXBXNCXA
      XMEOWJWKUUCXGXRXPUUCXFXQXERXAXMUDWLWOWKWMWPWQWRWS $.

    $( Value of the permutation sign function.  (Contributed by Stefan O'Rear,
       28-Aug-2015.) $)
    psgnval $p |- ( P e. dom N -> ( N ` P ) = ( iota s E. w e. Word T
        ( P = ( G gsum w ) /\ s = ( -u 1 ^ ( # ` w ) ) ) ) ) $=
      ( vt vx cv co wceq cfv wa wrex cio cdm cgsu cneg chash cword eqeq1 anbi1d
      c1 cexp rexbidv iotabidv cbs eqid cid cdif cfn wcel psgnfn fndmi psgnfval
      crab iotaex fvmpt ) KCKMZEAMZUANZOZGMUGUBVDUCPUHNOZQZADUDZRZGSCVEOZVGQZAV
      IRZGSFTZFVCCOZVJVMGVOVHVLAVIVOVFVKVGVCCVEUEUFUIUJKAEUKPZBDVNEFGLHVPULZLMU
      MUNTUOUPLVPUTZFVPBVREFLHVQVRULJUQURIJUSVMGVAVB $.

    $( A finitary permutation has at least one representation for its parity.
       (Contributed by Stefan O'Rear, 28-Aug-2015.) $)
    psgnvali $p |- ( P e. dom N -> E. w e. Word T ( P = ( G gsum w ) /\
            ( N ` P ) = ( -u 1 ^ ( # ` w ) ) ) ) $=
      ( vs cdm wcel cfv cv cgsu co wceq c1 wa wrex cneg chash cword cab psgnval
      cexp cio weu psgneu iotacl eqeltrd fvex eqeq1 anbi2d rexbidv elab sylib
      syl ) CFKLZCFMZCEANZOPQZJNZRUAVAUBMUFPZQZSZADUCZTZJUDZLVBUTVDQZSZAVGTZUSU
      TVHJUGZVIABCDEFJGHIUEUSVHJUHVMVILABCDEFJGHIUIVHJUJURUKVHVLJUTCFULVCUTQZVF
      VKAVGVNVEVJVBVCUTVDUMUNUOUPUQ $.

    $( Any representation of a permutation is length matching the permutation
       sign.  (Contributed by Stefan O'Rear, 28-Aug-2015.) $)
    psgnvalii $p |- ( ( D e. V /\ W e. Word T ) ->
        ( N ` ( G gsum W ) ) = ( -u 1 ^ ( # ` W ) ) ) $=
      ( vw vs wcel wa cgsu co cfv cv wceq chash cexp cword c1 cneg wrex cio cdm
      psgneldm2i psgnval simpr eqidd oveq2 eqeq2d fveq2 oveq2d anbi12d syl12anc
      syl rspcev cvv ovexd weu psgneu wb eqeq1 anbi2d adantl iota2d mpbid eqtrd
      rexbidv ) AELZFBUAZLZMZCFNOZDPZVOCJQZNOZRZKQZUBUCZVQSPZTOZRZMZJVLUDZKUEZW
      AFSPZTOZVNVODUFLZVPWGRABCDEFGHIUGZJAVOBCDKGHIUHUQVNVSWIWCRZMZJVLUDZWGWIRV
      NVMVOVORZWIWIRZWNVKVMUIVNVOUJVNWIUJWMWOWPMJFVLVQFRZVSWOWLWPWQVRVOVOVQFCNU
      KULWQWCWIWIWQWBWHWATVQFSUMUNULUOURUPVNWFWNKWIUSVNWAWHTUTVNWJWFKVAWKJAVOBC
      DKGHIVBUQVTWIRZWFWNVCVNWRWEWMJVLWRWDWLVSVTWIWCVDVEVJVFVGVHVI $.

    $( All transpositions are odd.  (Contributed by Stefan O'Rear,
       29-Aug-2015.) $)
    psgnpmtr $p |- ( P e. T -> ( N ` P ) = -u 1 ) $=
      ( wcel cs1 cgsu co cfv c1 cneg cbs wceq syl cexp cvv eqid symgtrf gsumws1
      sseli fveq2d chash cword csymg elbasfv s1cl psgnvalii s1len oveq2i neg1cn
      syl2anc cc exp1 ax-mp eqtri eqtrdi eqtr3d ) BCIZDBJZKLZEMZBEMNOZVBVDBEVBB
      DPMZIZVDBQCVGBVGACDGFVGUAZUBUDZVGBDVIUCRUEVBVEVFVCUFMZSLZVFVBATIZVCCUGIVE
      VLQVBVHVMVJVGDUHBAFVIUIRBCUJACDETVCFGHUKUOVLVFNSLZVFVKNVFSBULUMVFUPIVNVFQ
      UNVFUQURUSUTVA $.
  $}

  $( The permutation sign function for an empty set at an empty set is 1.
     (Contributed by AV, 27-Feb-2019.) $)
  psgn0fv0 $p |- ( ( pmSgn ` (/) ) ` (/) ) = 1 $=
    ( c0 cvv wcel cpmtr cfv crn cword cpsgn c1 wceq 0ex wrd0 wa cexp eqid ax-mp
    co cid a1i cc0 csymg cgsu cneg chash c0g gsum0 symgid eqtr3i eqtr2id fveq2d
    cres res0 psgnvalii hash0 oveq2i cc neg1cn exp0 eqtri 3eqtrd mp2an ) ABCZAA
    DEFZGCZAAHEZEZIJKVCLVBVDMZVFAUAEZAUBQZVEEIUCZAUDEZNQZIVGAVIVEVGVIVHUEEZAVHV
    MVMOUFVMAJVGRAUKZVMAVBVNVMJKAVHBVHOZUGPRULUHSUIUJAVCVHVEBAVOVCOVEOUMVLIJVGV
    LVJTNQZIVKTVJNUNUOVJUPCVPIJUQVJURPUSSUTVA $.

  ${
    $d D x $.  $d P x $.
    psgnfvalfi.g $e |- G = ( SymGrp ` D ) $.
    psgnfvalfi.b $e |- B = ( Base ` G ) $.
    $( The class of non-fixed points of a permutation of a finite set is
       finite.  (Contributed by AV, 13-Jan-2019.) $)
    sygbasnfpfi $p |- ( ( D e. Fin /\ P e. B ) -> dom ( P \ _I ) e. Fin ) $=
      ( vx cfn wcel wa cid cdif cdm cv cfv wne crab wfn wceq symgbasf syl rabfi
      ffnd adantl fndifnfp adantr eqeltrd ) BHIZCAIZJZCKLMZGNZCOULPZGBQZHUJCBRZ
      UKUNSUIUOUHUIBBCBACDEFTUCUDGBCUEUAUHUNHIUIUMGBUBUFUG $.

    $d x s w $.  $d B p x $.  $d D p s w $.  $d T w $.
    psgnfvalfi.t $e |- T = ran ( pmTrsp ` D ) $.
    psgnfvalfi.n $e |- N = ( pmSgn ` D ) $.
    $( Function definition of the permutation sign function for permutations of
       finite sets.  (Contributed by AV, 13-Jan-2019.) $)
    psgnfvalfi $p |- ( D e. Fin -> N = ( x e. B |-> ( iota s E. w e. Word T
        ( x = ( G gsum w ) /\ s = ( -u 1 ^ ( # ` w ) ) ) ) ) ) $=
      ( vp cfn wcel cv cid co wceq cmpt cdif cdm crab cgsu c1 cneg chash cfv wa
      cexp cword wrex eqid psgnfval sygbasnfpfi ralrimiva rabid2 sylibr mpteq1d
      cio wral eqcomd eqtrid ) DNOZGAMPZQUAUBNOZMCUCZAPFBPZUDRSHPUEUFVHUGUHUJRS
      UIBEUKULHUTZTACVITABCDEVGFGHMIJVGUMKLUNVDAVGCVIVDCVGVDVFMCVACVGSVDVFMCCDV
      EFIJUOUPVFMCUQURVBUSVC $.

    $d G s w $.  $d N s w $.  $d P s w $.  $d T s $.
    $( Value of the permutation sign function for permutations of finite sets.
       (Contributed by AV, 13-Jan-2019.) $)
    psgnvalfi $p |- ( ( D e. Fin /\ P e. B )
                      -> ( N ` P ) = ( iota s E. w e. Word T
                        ( P = ( G gsum w ) /\ s = ( -u 1 ^ ( # ` w ) ) ) ) ) $=
      ( cfn wcel wa cdm cfv cv co wceq cgsu cneg chash cexp cword wrex cio cdif
      c1 cid simpr sygbasnfpfi psgneldm sylanbrc psgnval syl ) CMNZDBNZOZDGPNZD
      GQDFARZUASTHRUIUBVAUCQUDSTOAEUEUFHUGTUSURDUJUHPMNUTUQURUKBCDFIJULBCDFGILJ
      UMUNACDEFGHIKLUOUP $.
  $}

  ${
    $d N w $.  $d S w $.  $d Q w $.
    psgnran.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    psgnran.s $e |- S = ( pmSgn ` N ) $.
    $( The range of the permutation sign function for finite permutations.
       (Contributed by AV, 1-Jan-2019.) $)
    psgnran $p |- ( ( N e. Fin /\ Q e. P ) -> ( S ` Q ) e. { 1 , -u 1 } ) $=
      ( vw cfn wcel cfv c1 cneg cpr cdm cid wa eqid co wceq syl cdif ex pm4.71d
      csymg sygbasnfpfi psgneldm bitr4di cv cgsu chash cpmtr crn cword psgnvali
      cexp wrex wi cz lencl nn0zd m1expcl2 prcom eleqtrdi adantl eleq1a adantld
      rexlimdva syl5 sylbid imp ) DHIZBAIZBCJZKKLZMZIZVKVLBCNIZVPVKVLVLBOUANHIZ
      PVQVKVLVRVKVLVRADBDUDJZVSQZEUEUBUCADBVSCVTFEUFUGVQBVSGUHZUIRSZVMVNWAUJJZU
      ORZSZPZGDUKJULZUMZUPVKVPGDBWGVSCVTWGQFUNVKWFVPGWHVKWAWHIZPZWEVPWBWJWDVOIZ
      WEVPUQWIWKVKWIWCURIZWKWIWCWGWAUSUTWLWDVNKMVOWCVAVNKVBVCTVDWDVOVMVETVFVGVH
      VIVJ $.
  $}

  ${
    gsmtrcl.s $e |- S = ( SymGrp ` N ) $.
    gsmtrcl.b $e |- B = ( Base ` S ) $.
    gsmtrcl.t $e |- T = ran ( pmTrsp ` N ) $.
    $( The group sum of transpositions of a finite set is a permutation, see
       also ~ psgneldm2i .  (Contributed by AV, 19-Jan-2019.) $)
    gsmtrcl $p |- ( ( N e. Fin /\ W e. Word T ) -> ( S gsum W ) e. B ) $=
      ( cgsu co cpsgn cfv cdm wcel cfn cword wa eqid psgneldm2i cid wi psgneldm
      cdif ax-1 adantr sylbi mpcom ) BEIJZDKLZMNZDONECPNQZUHANZDCBUIOEFHUIRZSUJ
      ULUHTUCMONZQUKULUAZADUHBUIFUMGUBULUOUNULUKUDUEUFUG $.
  $}

  ${
    $d G w $.  $d Q w $.  $d T w $.
    psgnfitr.g $e |- G = ( SymGrp ` N ) $.
    psgnfitr.p $e |- B = ( Base ` G ) $.
    psgnfitr.t $e |- T = ran ( pmTrsp ` N ) $.
    $( A permutation of a finite set is generated by transpositions.
       (Contributed by AV, 13-Jan-2019.) $)
    psgnfitr $p |- ( N e. Fin
                     -> ( Q e. B <-> E. w e. Word T Q = ( G gsum w ) ) ) $=
      ( cfn wcel cword cv cgsu co cmpt crn wceq cfv eqid wrex csubmnd cmrc cmnd
      symggen2 cbs symggrp grpmndd symgtrf gsumwspan sylancl eqtr3d eleq2d ovex
      wss elrnmpti bitrdi ) FJKZCBKCADLZEAMZNOZPZQZKCVARAUSUAURBVCCURDEUBSUCSZS
      ZBVCBFDEVDIGHVDTZUEUREUDKDEUFSZUOVEVCRUREFEJGUGUHVGFDEIGVGTZUIAVGDVDEVHVF
      UJUKULUMAUSVACVBVBTEUTNUNUPUQ $.

    $d G s $.  $d N s w $.  $d Q s $.  $d T s $.
    $( A permutation of a finite set has exactly one parity.  (Contributed by
       AV, 13-Jan-2019.) $)
    psgnfieu $p |- ( ( N e. Fin /\ Q e. B ) -> E! s E. w e. Word T
            ( Q = ( G gsum w ) /\ s = ( -u 1 ^ ( # ` w ) ) ) ) $=
      ( cfn wcel wa cpsgn cfv cdm cv cgsu co wceq c1 cneg chash cexp cword wrex
      weu cid cdif simpr sygbasnfpfi eqid psgneldm sylanbrc psgneu syl ) FKLZCB
      LZMZCFNOZPLZCEAQZRSTGQUAUBVBUCOUDSTMADUEUFGUGUSURCUHUIPKLVAUQURUJBFCEHIUK
      BFCEUTHUTULZIUMUNAFCDEUTGHJVCUOUP $.
  $}

  ${
    $d A p y z $.
    $( The value of the transposition generator function for a singleton is
       empty, i.e. there is no transposition for a singleton.  This also holds
       for ` A e/ _V ` , i.e. for the empty set ` { A } = (/) ` resulting in
       ` ( pmTrsp `` (/) ) = (/) ` .  (Contributed by AV, 6-Aug-2019.) $)
    pmtrsn $p |- ( pmTrsp ` { A } ) = (/) $=
      ( vp vy vz csn cv c2o cen wbr crab cmpt c0 cvv wcel wceq eqid ax-mp mpbir
      wn wral cpmtr cfv cpw wel cdif cuni cif snex pmtrfval cdm cpr 2on0 ensymb
      dmmpt en0 bitri nemtbir snnen2o breq1 notbid ralpr mpbir2an raleqi rabeq0
      0ex pwsn rabeqi rab0 3eqtri wrel wb mptrel reldm0 eqtri ) AEZUAUBZBCFZGHI
      ZCVOUCZJZDVODBUDBFDFZEUEUFWAUGKZKZLVOMNVPWCOAUHZCDVOVPMBVPPUIQWCLOZWCUJZL
      OZWFWBMNZBVTJWHBLJLBVTWBWCWCPUNWHBVTLVTLOVRSZCVSTZWJWICLVOUKZTZWLLGHIZSZV
      OGHIZSZWMGLULWMGLHIGLOLGUMGUOUPUQAURWIWNWPCLVOVEWDVQLOVRWMVQLGHUSUTVQVOOV
      RWOVQVOGHUSUTVAVBWICVSWKAVFVCRVRCVSVDRVGWHBVHVIWCVJWEWGVKBVTWBVLWCVMQRVN
      $.
  $}

  ${
    psgnsn.0 $e |- D = { A } $.
    psgnsn.g $e |- G = ( SymGrp ` D ) $.
    psgnsn.b $e |- B = ( Base ` G ) $.
    psgnsn.n $e |- N = ( pmSgn ` D ) $.
    $( The permutation sign function for a singleton.  (Contributed by AV,
       6-Aug-2019.) $)
    psgnsn $p |- ( ( A e. V /\ X e. B ) -> ( N ` X ) = 1 ) $=
      ( wcel cfv c0 co c1 cexp csn wceq cid cgsu cneg chash eqid gsum0 symg1bas
      wa c0g cop eleq2d biimpa elsni cres reseq2i snex snid eqeltri symgid mp1i
      wi cxp restidsing xpsng anidms eqtrid 3eqtr3a adantr eqcoms sylan9eqr syl
      id ex mpcom eqtr2id fveq2d cvv cword pm3.2i cpmtr crn fveq2i pmtrsn eqtri
      wrd0 rneqi rn0 eqtr2i psgnvalii cc0 hash0 oveq2i cc neg1cn exp0 ax-mp a1i
      3eqtrd ) AFLZGBLZUGZGEMDNUAOZEMZPUBZNUCMZQOZPWTGXAEWTXADUHMZGDXFXFUDUEGAA
      UIRZRZLZWTXFGSZWRWSXIWRBXHGCBDAFIJHUFUJUKXIGXGSZWTXJUTGXGULXKWTXJWTXKXFXG
      GWRXFXGSWSWRTCUMZTARZUMZXFXGCXMTHUNCXMRZLXLXFSWRCXMXOHXMAUOZUPUQCDXOIURUS
      WRXNXMXMVAZXGAVBWRXQXGSAAFFVCVDVEVFVGXGGSZXGGXRVKVHVIVLVJVMVNVOCVPLZNNVQL
      ZUGXBXESWTXSXTCXMVPHXPUQNWDVRCNDEVPNICVSMZVTNVTNYANYAXMVSMNCXMVSHWAAWBWCW
      EWFWGKWHUSXEPSWTXEXCWIQOZPXDWIXCQWJWKXCWLLYBPSWMXCWNWOWCWPWQ $.
  $}

  ${
    $d D s w $.  $d G s w $.  $d N s w $.  $d T s w $.  $d X s w $.
    psgnprfval.0 $e |- D = { 1 , 2 } $.
    psgnprfval.g $e |- G = ( SymGrp ` D ) $.
    psgnprfval.b $e |- B = ( Base ` G ) $.
    psgnprfval.t $e |- T = ran ( pmTrsp ` D ) $.
    psgnprfval.n $e |- N = ( pmSgn ` D ) $.
    $( The permutation sign function for a pair.  (Contributed by AV,
       10-Dec-2018.) $)
    psgnprfval $p |- ( X e. B -> ( N ` X ) = ( iota s E. w e. Word T
                        ( X = ( G gsum w ) /\ s = ( -u 1 ^ ( # ` w ) ) ) ) ) $=
      ( wcel wceq c1 cfn cop c2 cpr cfv cv cgsu co cneg chash cexp wa cword cio
      wrex id cdm cid cdif elpri prfi eleq1 mpbiri jaoi diffi syl dmfi 3syl cvv
      wo cn 1ex 2nn symg2bas mp2an eleq2s psgneldm sylanbrc psgnval ) GBNZVPGFU
      AGEAUBZUCUDOHUBPUEVQUFUAUGUDOUHADUIUKHUJOZVPULZVPGFUMNZVRVPVPGUNUOZUMQNZV
      TVSWBGPPRZSSRZTZPSRZSPRZTZTZBGWINGWEOZGWHOZVFZWAQNZWBGWEWHUPWLGQNZWMWJWNW
      KWJWNWEQNWCWDUQGWEQURUSWKWNWHQNWFWGUQGWHQURUSUTGUNVAVBWAVCVDPVENSVGNBWIOV
      HVICBEPSVEVGJKIVJVKVLBCGEFJMKVMVNACGDEFHJLMVOVBVB $.

    $( The permutation sign of the identity for a pair.  (Contributed by AV,
       11-Dec-2018.) $)
    psgnprfval1 $p |- ( N ` { <. 1 , 1 >. , <. 2 , 2 >. } ) = 1 $=
      ( c1 c2 cfv c0 co cexp cid cvv wcel wceq cop cpr cgsu cneg chash cres c0g
      prex eqeltri symgid ax-mp gsum0 reseq2 cn 1ex residpr mp2an eqtrdi eqtr2i
      2nn fveq2i cword wrd0 psgnvalii cc0 hash0 oveq2i neg1cn exp0 eqtri 3eqtri
      cc ) KKUALLUAUBZEMDNUCOZEMZKUDZNUEMZPOZKVMVNEVNQBUFZVMDVSBRSZVSDUGMTBKLUB
      ZRFKLUHUIZBDRGUJUKULBWATZVSVMTFWCVSQWAUFZVMBWAQUMKRSLUNSWDVMTUOUTKLRUNUPU
      QURUKUSVAVTNCVBSVOVRTWBCVCBCDERNGIJVDUQVRVPVEPOZKVQVEVPPVFVGVPVLSWEKTVHVP
      VIUKVJVK $.

    $( The permutation sign of the transposition for a pair.  (Contributed by
       AV, 10-Dec-2018.) $)
    psgnprfval2 $p |- ( N ` { <. 1 , 2 >. , <. 2 , 1 >. } ) = -u 1 $=
      ( c1 c2 cop cpr wcel cfv cneg cpmtr crn eleqtrri wceq csn prex snid rneqi
      fveq2i pmtrprfvalrn eqtri psgnpmtr ax-mp ) KLMZLKMZNZCOUMEPKQUAUMBRPZSZCU
      MUMUBZUOUMUKULUCUDUOKLNZRPZSUPUNURBUQRFUFUEUGUHTITBUMCDEGIJUIUJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  p-Groups and Sylow groups; Sylow's theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c od $.
  $c gEx $.
  $c pGrp $.
  $c pSyl $.

  $( Extend class notation to include the order function on the elements of a
     group. $)
  cod $a class od $.

  $( Extend class notation to include the order function on the elements of a
     group. $)
  cgex $a class gEx $.

  $( Extend class notation to include the class of all p-groups. $)
  cpgp $a class pGrp $.

  $( Extend class notation to include the class of all Sylow p-subgroups of a
     group. $)
  cslw $a class pSyl $.

  ${
    $d g h i k n p x $.
    $( Define the order of an element in a group.  (Contributed by Mario
       Carneiro, 13-Jul-2014.)  (Revised by Stefan O'Rear, 4-Sep-2015.)
       (Revised by AV, 5-Oct-2020.) $)
    df-od $a |- od = ( g e. _V |-> ( x e. ( Base ` g ) |->
                     [_ { n e. NN | ( n ( .g ` g ) x ) = ( 0g ` g ) } / i ]_
                        if ( i = (/) , 0 , inf ( i , RR , < ) ) ) ) $.

    $( Define the exponent of a group.  (Contributed by Mario Carneiro,
       13-Jul-2014.)  (Revised by Stefan O'Rear, 4-Sep-2015.)  (Revised by AV,
       26-Sep-2020.) $)
    df-gex $a |- gEx = ( g e. _V |-> [_ { n e. NN |
            A. x e. ( Base ` g ) ( n ( .g ` g ) x ) = ( 0g ` g ) } / i ]_
              if ( i = (/) , 0 , inf ( i , RR , < ) ) ) $.

    $( Define the set of p-groups, which are groups such that every element has
       a power of ` p ` as its order.  (Contributed by Mario Carneiro,
       15-Jan-2015.)  (Revised by AV, 5-Oct-2020.) $)
    df-pgp $a |- pGrp = { <. p , g >. | ( ( p e. Prime /\ g e. Grp ) /\
      A. x e. ( Base ` g ) E. n e. NN0 ( ( od ` g ) ` x ) = ( p ^ n ) ) } $.

    $( Define the set of Sylow p-subgroups of a group ` g ` .  A Sylow
       p-subgroup is a p-group that is not a subgroup of any other p-groups in
       ` g ` .  (Contributed by Mario Carneiro, 16-Jan-2015.) $)
    df-slw $a |- pSyl = ( p e. Prime , g e. Grp |-> { h e. ( SubGrp ` g ) |
   A. k e. ( SubGrp ` g ) ( ( h C_ k /\ p pGrp ( g |`s k ) ) <-> h = k ) } ) $.
  $}

  ${
    $d g i y $.  $d x y A $.  $d g x y G $.  $d g x y .x. i $.
    $d g x y .0. i $.  $d i x I $.  $d g x X $.
    odval.1 $e |- X = ( Base ` G ) $.
    odval.2 $e |- .x. = ( .g ` G ) $.
    odval.3 $e |- .0. = ( 0g ` G ) $.
    odval.4 $e |- O = ( od ` G ) $.
    $( Value of the order function.  For a shorter proof using ~ ax-rep , see
       ~ odfvalALT .  (Contributed by Mario Carneiro, 13-Jul-2014.)  (Revised
       by AV, 5-Oct-2020.)  Remove dependency on ~ ax-rep .  (Revised by Rohan
       Ridenour, 17-Aug-2023.) $)
    odfval $p |- O = ( x e. X |-> [_ { y e. NN | ( y .x. x ) = .0. } / i ]_
                       if ( i = (/) , 0 , inf ( i , RR , < ) ) ) $=
      ( cfv wceq cn c0 cc0 wcel cbs cn0 vg cod cv co crab clt cinf cif csb cmpt
      cvv cmg fveq2 eqtr4di oveqd eqeq12d rabbidv csbeq1d mpteq12dv df-od fvexi
      cr c0g nn0ex nnex rabex eqeq1 infeq1 ifbieq2d csbie wtru wa 0nn0 wn df-ne
      a1i wne ssrab2 cuz wss nnuz sseqtri infssuzcl sselid sylbir nnnn0d adantl
      c1 mpan ifclda mptru eqeltri rgenw mptexw fvmpt fvprc eqtrid mpteq1d mpt0
      eqtrdi eqtr4d pm2.61i eqtri ) FEUBMZAGDBUCZAUCZCUDZHNZBOUEZDUCZPNZQXJVBUF
      UGZUHZUIZUJZLEUKRZXDXONUAEAUAUCZSMZDXEXFXQULMZUDZXQVCMZNZBOUEZXMUIZUJXOUK
      UBXQENZAXRYDGXNYEXRESMZGXQESUMIUNYEDYCXIXMYEYBXHBOYEXTXGYAHYEXSCXEXFYEXSE
      ULMCXQEULUMJUNUOYEYAEVCMHXQEVCUMKUNUPUQURUSAUADBUTAGXNTGESIVAVDXNTRAGXNXI
      PNZQXIVBUFUGZUHZTDXIXMYIXHBOVEVFXJXINXKYGXLYHQXJXIPVGVBXJXIUFVHVIVJYITRVK
      YGQYHTQTRVKYGVLVMVPYGVNZYHTRVKYJYHYJXIPVQZYHORXIPVOYKXIOYHXHBOVRZXIWHVSMZ
      VTYKYHXIRXIOYMYLWAWBXIWHWCWIWDWEWFWGWJWKWLWMWNWOXPVNZXDPXOEUBWPYNXOAPXNUJ
      PYNAGPXNYNGYFPIESWPWQWRAXNWSWTXAXBXC $.

    $( Shorter proof of ~ odfval using ~ ax-rep .  (Contributed by Mario
       Carneiro, 13-Jul-2014.)  (Revised by AV, 5-Oct-2020.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    odfvalALT $p |- O = ( x e. X |-> [_ { y e. NN | ( y .x. x ) = .0. } / i ]_
                       if ( i = (/) , 0 , inf ( i , RR , < ) ) ) $=
      ( vg cod cfv cv wceq cn c0 cbs co crab cc0 clt cinf cif csb cmpt cvv wcel
      cr cmg c0g fveq2 eqtr4di oveqd eqeq12d rabbidv csbeq1d mpteq12dv mptfvmpt
      df-od wn fvprc eqtrid mpteq1d mpt0 eqtrdi eqtr4d pm2.61i eqtri ) FENOZAGD
      BPZAPZCUAZHQZBRUBZDPZSQUCVRUKUDUEUFZUGZUHZLEUIUJZVLWAQAMVTTNAMPZTOZDVMVNW
      CULOZUAZWCUMOZQZBRUBZVSUGZUHGUIEEWCEQZAWDWJGVTWKWDETOZGWCETUNIUOWKDWIVQVS
      WKWHVPBRWKWFVOWGHWKWECVMVNWKWEEULOCWCEULUNJUOUPWKWGEUMOHWCEUMUNKUOUQURUSU
      TAMDBVBIVAWBVCZVLSWAENVDWMWAASVTUHSWMAGSVTWMGWLSIETVDVEVFAVTVGVHVIVJVK $.

    odval.i $e |- I = { y e. NN | ( y .x. A ) = .0. } $.
    $( Second substitution for the group order definition.  (Contributed by
       Mario Carneiro, 13-Jul-2014.)  (Revised by Stefan O'Rear, 5-Sep-2015.)
       (Revised by AV, 5-Oct-2020.) $)
    odval $p |- ( A e. X
                  -> ( O ` A ) = if ( I = (/) , 0 , inf ( I , RR , < ) ) ) $=
      ( vx vi wceq cn cc0 cr clt cv co crab cinf cif csb eqeq1d rabbidv eqtr4di
      c0 oveq2 csbeq1d nnex rabex2 eqeq1 infeq1 ifbieq2d csbie eqtrdi c0ex ltso
      odfval infex ifex fvmpt ) NBOAUAZNUAZCUBZHPZAQUCZOUAZUJPZRVKSTUDZUEZUFZEU
      JPZRESTUDZUEZGFVGBPZVOOEVNUFVRVSOVJEVNVSVJVFBCUBZHPZAQUCEVSVIWAAQVSVHVTHV
      GBVFCUKUGUHMUIULOEVNVRWAAQEMUMUNVKEPVLVPVMVQRVKEUJUOSVKETUPUQURUSNACODFGH
      IJKLVBVPRVQUTSETVAVCVDVE $.

    $( The group element order is either zero or a nonzero multiplier that
       annihilates the element.  (Contributed by Mario Carneiro, 14-Jan-2015.)
       (Revised by Stefan O'Rear, 5-Sep-2015.)  (Revised by AV, 5-Oct-2020.) $)
    odlem1 $p |- ( A e. X -> ( ( ( O ` A ) = 0 /\ I = (/) ) \/
            ( O ` A ) e. I ) ) $=
      ( wcel cfv c0 wceq cc0 wi cn cr clt cinf cif wa wo odval eqeq2 imbi1d orc
      expcom adantl wn c1 cuz wss wne crab ssrab2 nnuz eqcomi 3sstr4i infssuzcl
      cv co neqne sylancr eleq1a syl olc syl6 ifbothda mpd ) BGNZBFOZEPQZREUAUB
      UCZUDZQZVORQZVPUEZVOENZUFZABCDEFGHIJKLMUGVPVTWCSZVOVQQZWCSVSWCSVNRVQRVRQV
      TVSWCRVRVOUHUIVQVRQWEVSWCVQVRVOUHUIVPWDVNVTVPWCWAWBUJUKULVNVPUMZUEZWEWBWC
      WGVQENZWEWBSWGEUNUOOZUPEPUQZWHAVDBCVEHQZATURTEWIWKATUSMTWIUTVAVBWFWJVNEPV
      FULEUNVCVGVQEVOVHVIWBWAVJVKVLVM $.
  $}

  ${
    $d w y z G $.  $d y .0. $.  $d x y A $.  $d y N $.  $d x y O $.
    $d y .x. $.  $d x y z G $.  $d x y X $.
    odcl.1 $e |- X = ( Base ` G ) $.
    odcl.2 $e |- O = ( od ` G ) $.
    $( The order of a group element is always a nonnegative integer.
       (Contributed by Mario Carneiro, 14-Jan-2015.)  (Revised by Stefan
       O'Rear, 5-Sep-2015.) $)
    odcl $p |- ( A e. X -> ( O ` A ) e. NN0 ) $=
      ( vy wcel cfv cn cc0 wceq wo cn0 cv cmg co c0g crab eqid c0 odlem1 elrabi
      wa simpl orim12i syl orcomd elnn0 sylibr ) ADHZACIZJHZULKLZMULNHUKUNUMUKU
      NGOABPIZQBRIZLZGJSZUALZUDZULURHZMUNUMMGAUOBURCDUPEUOTUPTFURTUBUTUNVAUMUNU
      SUEUQGULJUCUFUGUHULUIUJ $.

    $( Functionality of the group element order.  (Contributed by Stefan
       O'Rear, 5-Sep-2015.)  (Proof shortened by AV, 5-Oct-2020.) $)
    odf $p |- O : X --> NN0 $=
      ( vx vy vw vz cn0 wf wfn cv cfv wcel wceq cc0 cr clt eqid wral cmg co c0g
      cn crab c0 cinf cif csb c0ex ltso infex ifex csbex odfval odcl rgen ffnfv
      fnmpti mpbir2an ) CJBKBCLFMZBNJOZFCUAGCHIMGMAUBNZUCAUDNZPIUEUFZHMZUGPZQVG
      RSUHZUIZUJBHVFVJVHQVIUKRVGSULUMUNUOGIVDHABCVEDVDTVETEUPUTVCFCVBABCDEUQURF
      CJBUSVA $.

    odid.3 $e |- .x. = ( .g ` G ) $.
    odid.4 $e |- .0. = ( 0g ` G ) $.
    $( Any element to the power of its order is the identity.  (Contributed by
       Mario Carneiro, 14-Jan-2015.)  (Revised by Stefan O'Rear,
       5-Sep-2015.) $)
    odid $p |- ( A e. X -> ( ( O ` A ) .x. A ) = .0. ) $=
      ( vy wcel cfv cc0 wceq cv co cn crab oveq1 c0 wa sylan9eqr adantrr eqeq1d
      mulg0 elrab simprbi adantl eqid odlem1 mpjaodan ) AELZADMZNOZKPZABQZFOZKR
      SZUAOZUBUNABQZFOZUNUSLZUMUOVBUTUOUMVANABQFUNNABTEBCAFGJIUFUCUDVCVBUMVCUNR
      LVBURVBKUNRUPUNOUQVAFUPUNABTUEUGUHUIKABCUSDEFGIJHUSUJUKUL $.

    $( Any positive annihilator of a group element is an upper bound on the
       (positive) order of the element.  (Contributed by Mario Carneiro,
       14-Jan-2015.)  (Revised by Stefan O'Rear, 5-Sep-2015.)  (Proof shortened
       by AV, 5-Oct-2020.) $)
    odlem2 $p |- ( ( A e. X /\ N e. NN /\ ( N .x. A ) = .0. ) ->
        ( O ` A ) e. ( 1 ... N ) ) $=
      ( vy wcel cn co wceq cfv c1 wa adantl cfz cv crab oveq1 eqeq1d elrab cinf
      cr clt c0 cc0 cif eqid odval n0i iffalsed sylan9eq cle wbr ssrab2 cuz wss
      wne nnuz sseqtri ne0i infssuzcl sylancr sselid infssuzle mpan elrabi nnzd
      wb cz fznn syl mpbir2and eqeltrd sylan2br 3impb ) AFMZDNMZDABOZGPZAEQZRDU
      AOZMZWCWESWBDLUBZABOZGPZLNUCZMZWHWKWELDNWIDPWJWDGWIDABUDUEUFWBWMSZWFWLUHU
      IUGZWGWBWMWFWLUJPZUKWOULWOLABCWLEFGHJKIWLUMUNWMWPUKWOWLDUOUPUQWNWOWGMZWON
      MZWODURUSZWNWLNWOWKLNUTZWNWLRVAQZVBZWLUJVCZWOWLMWLNXAWTVDVEZWMXCWBWLDVFTW
      LRVGVHVIWMWSWBXBWMWSXDDWLRVJVKTWMWQWRWSSVNZWBWMDVOMXEWMDWKLDNVLVMWODVPVQT
      VRVSVTWA $.

    $( Reduce the argument of a group multiple by modding out the order of the
       element.  (Contributed by Mario Carneiro, 23-Sep-2015.) $)
    odmodnn0 $p |- ( ( ( G e. Mnd /\ A e. X /\ N e. NN0 ) /\
      ( O ` A ) e. NN ) -> ( ( N mod ( O ` A ) ) .x. A ) = ( N .x. A ) ) $=
      ( wcel cn0 cfv co caddc wceq adantl syl2anc eqtrd cmnd w3a cn wa cdiv cfl
      cmul cmo cplusg simpl1 nnnn0 cr cc0 cle wbr simpl3 nn0red nnrp rerpdivcld
      crp nn0ge0d nnre nngt0 divge0 syl22anc flge0nn0 nn0mulcld cz nn0zd zmodcl
      sylancom simpl2 eqid mulgnn0dir syl13anc nn0cnd mulcomd oveq1d mulgnn0ass
      clt odid syl oveq2d mulgnn0z cmin modval pncan3d mulgnn0cl syl3anc mndlid
      recnd 3eqtr3rd ) CUALZAFLZDMLZUBZAENZUCLZUDZWQDWQUEOZUFNZUGOZDWQUHOZPOZAB
      OZGXCABOZCUINZOZDABOXFWSXEXBABOZXFXGOZXHWSWMXBMLXCMLZWNXEXJQWMWNWOWRUJZWS
      WQXAWRWQMLZWPWQUKRZWSWTULLUMWTUNUOZXAMLZWSDWQWSDWMWNWOWRUPZUQZWRWQUTLZWPW
      QURRZUSWSDULLZUMDUNUOWQULLZUMWQVTUOZXOXRWSDXQVAWRYBWPWQVBRZWRYCWPWQVCRDWQ
      VDVEWTVFSZVGZWPWRDVHLXKWSDXQVIDWQVJVKZWMWNWOWRVLZFXGBCXBXCAHJXGVMZVNVOWSX
      IGXFXGWSXIXAWQUGOZABOZGWSXBYJABWSWQXAWSWQYDWKWSXAYEVPVQVRWSYKXAWQABOZBOZG
      WSWMXPXMWNYKYMQXLYEXNYHFBCXAWQAHJVSVOWSYMXAGBOZGWSYLGXABWSWNYLGQYHABCEFGH
      IJKWAWBWCWSWMXPYNGQXLYEFBCXAGHJKWDSTTTVRTWSXDDABWSXDXBDXBWEOZPODWSXCYOXBP
      WSYAXSXCYOQXRXTDWQWFSWCWSXBDWSXBYFVPWSDXQVPWGTVRWSWMXFFLZXHXFQXLWSWMXKWNY
      PXLYGYHFBCXCAHJWHWIFXGCXFGHYIKWJSWL $.

    ${
      mndodconglem.1 $e |- ( ph -> G e. Mnd ) $.
      mndodconglem.2 $e |- ( ph -> A e. X ) $.
      mndodconglem.3 $e |- ( ph -> ( O ` A ) e. NN ) $.
      mndodconglem.4 $e |- ( ph -> M e. NN0 ) $.
      mndodconglem.5 $e |- ( ph -> N e. NN0 ) $.
      mndodconglem.6 $e |- ( ph -> M < ( O ` A ) ) $.
      mndodconglem.7 $e |- ( ph -> N < ( O ` A ) ) $.
      mndodconglem.8 $e |- ( ph -> ( M .x. A ) = ( N .x. A ) ) $.
      $( Lemma for ~ mndodcong .  (Contributed by Mario Carneiro,
         23-Sep-2015.) $)
      mndodconglem $p |- ( ( ph /\ M <_ N ) -> M = N ) $=
        ( cle wbr wceq cc0 cmin co cfv caddc c1 cfz wcel nnred recnd addsubassd
        cn nn0red clt nnzd nn0zd zaddcld cr cn0 nn0addge1 syl2anc ltletrd cz wb
        zred znnsub mpbid eqeltrrd addsub12d oveq1d cplusg cmnd eqid mulgnn0dir
        nnnn0d syl13anc 3eqtr4d pncan3d odid syl odlem2 syl3anc elfzle2 zsubcld
        eqtrd addge01d mpbird subge0d wa letri3d biimprd mpan2d imp ) AEFUBUCZE
        FUDZAWRFEUBUCZWSAUEEFUFUGZUBUCZWTAXBBGUHZXCXAUIUGZUBUCZAXCUJXDUKUGULZXE
        ABHULZXDUPULXDBCUGZIUDXFOAXCEUIUGZFUFUGZXDUPAXCEFAXCAXCPUMZUNZAEAEQUQZU
        NZAFAFRUQZUNZUOAFXIURUCZXJUPULZAFXCXIXOXKAXIAXCEAXCPUSZAEQUTZVAZVITAXCV
        BULEVCULZXCXIUBUCXKQXCEVDVEVFAFVGULZXIVGULXQXRVHAFRUTZYAFXIVJVEVKVLAXHE
        XCFUFUGZUIUGZBCUGZIAXDYFBCAXCEFXLXNXPVMVNAYGFYEUIUGZBCUGZIAEBCUGZYEBCUG
        ZDVOUHZUGZFBCUGZYKYLUGZYGYIAYJYNYKYLUAVNADVPULZYBYEVCULZXGYGYMUDNQAYEAF
        XCURUCZYEUPULZTAYCXCVGULYRYSVHYDXSFXCVJVEVKVSZOHYLCDEYEBJLYLVQZVRVTAYPF
        VCULYQXGYIYOUDNRYTOHYLCDFYEBJLUUAVRVTWAAYIXCBCUGZIAYHXCBCAFXCXPXLWBVNAX
        GUUBIUDOBCDGHIJKLMWCWDWIWIWIBCDXDGHIJKLMWEWFXCUJXDWGWDAXCXAXKAXAAEFXTYD
        WHVIWJWKAEFXMXOWLVKAWSWRWTWMAEFXMXOWNWOWPWQ $.
    $}

    $( If two multipliers are congruent relative to the base point's order, the
       corresponding multiples are the same.  (Contributed by Mario Carneiro,
       23-Sep-2015.) $)
    mndodcong $p |- ( ( ( G e. Mnd /\ A e. X ) /\
      ( M e. NN0 /\ N e. NN0 ) /\ ( O ` A ) e. NN ) ->
        ( ( O ` A ) || ( M - N ) <-> ( M .x. A ) = ( N .x. A ) ) ) $=
      ( wcel wa cn0 co wceq wbr adantr nn0red cmnd cfv w3a cmo cmin cdvds oveq1
      cn simp2l nn0zd simp3 zmodcld simp2r simp1l simp1r clt cr crp nnrpd modlt
      syl2anc simpr mndodconglem cle eqcomd lecasei ex impbid2 moddvds odmodnn0
      cz wb syl3anc syl31anc eqeq12d 3bitr3d ) CUAMZAGMZNZDOMZEOMZNZAFUBZUHMZUC
      ZDWCUDPZEWCUDPZQZWFABPZWGABPZQZWCDEUEPUFRZDABPZEABPZQWEWHWKWFWGABUGWEWKWH
      WEWKNZWHWFWGWOWFWEWFOMWKWEDWCWEDVSVTWAWDUIZUJZVSWBWDUKZULSZTWOWGWEWGOMWKW
      EEWCWEEVSVTWAWDUMZUJZWRULSZTWOABCWFWGFGHIJKLWEVQWKVQVRWBWDUNZSZWEVRWKVQVR
      WBWDUOZSZWEWDWKWRSZWSXBWEWFWCUPRZWKWEDUQMWCURMZXHWEDWPTWEWCWRUSZDWCUTVASZ
      WEWGWCUPRZWKWEEUQMXIXLWEEWTTXJEWCUTVASZWEWKVBZVCWOWGWFVDRNWGWFWOABCWGWFFG
      HIJKLXDXFXGXBWSXMXKWOWIWJXNVEVCVEVFVGVHWEWDDVKMEVKMWHWLVLWRWQXADEWCVIVMWE
      WIWMWJWNWEVQVRVTWDWIWMQXCXEWPWRABCDFGHIJKLVJVNWEVQVRWAWDWJWNQXCXEWTWRABCE
      FGHIJKLVJVNVOVP $.

    $( If two multipliers are congruent relative to the base point's order, the
       corresponding multiples are the same.  For monoids, the reverse
       implication is false for elements with infinite order.  For example, the
       powers of ` 2 mod 1 0 ` are 1,2,4,8,6,2,4,8,6,... so that the identity 1
       never repeats, which is infinite order by our definition, yet other
       numbers like 6 appear many times in the sequence.  (Contributed by Mario
       Carneiro, 23-Sep-2015.) $)
    mndodcongi $p |- ( ( G e. Mnd /\ A e. X /\ ( M e. NN0 /\ N e. NN0 ) ) ->
        ( ( O ` A ) || ( M - N ) -> ( M .x. A ) = ( N .x. A ) ) ) $=
      ( wcel cn0 co cdvds wceq wi cc0 cz cmnd w3a cfv cmin wbr mndodcong biimpd
      wa cn 3expia 3impa wb zsubcl syl2an 3ad2ant3 0dvds syl nn0cn subeq0 oveq1
      nn0z cc syl6bi sylbid breq1 imbi1d syl5ibrcom 3ad2ant2 elnn0 sylib mpjaod
      wo odcl ) CUAMZAGMZDNMZENMZUHZUBZAFUCZUIMZVTDEUDOZPUEZDABOEABOQZRZVTSQZVN
      VOVRWAWERVNVOUHZVRWAWEWGVRWAUBWCWDABCDEFGHIJKLUFUGUJUKVSWEWFSWBPUEZWDRVSW
      HWBSQZWDVSWBTMZWHWIULVRVNWJVOVPDTMETMWJVQDVAEVADEUMUNUOWBUPUQVSWIDEQZWDVR
      VNWIWKULZVOVPDVBMEVBMWLVQDUREURDEUSUNUODEABUTVCVDWFWCWHWDVTSWBPVEVFVGVSVT
      NMZWAWFVLVOVNWMVRACFGIJVMVHVTVIVJVK $.

    $( The only multiples of ` A ` that are equal to the identity are the
       multiples of the order of ` A ` .  (Contributed by Mario Carneiro,
       23-Sep-2015.) $)
    oddvdsnn0 $p |- ( ( G e. Mnd /\ A e. X /\ N e. NN0 ) ->
      ( ( O ` A ) || N <-> ( N .x. A ) = .0. ) ) $=
      ( wcel cn0 cdvds wbr co wceq wb cc0 wa cmnd w3a cn cmin wi 0nn0 mndodcong
      cfv 3expia mpanr2 3impa cc nn0cn 3ad2ant3 subid1d breq2d 3ad2ant2 bibi12d
      mulg0 eqeq2d sylibd simpr breq1d cz simpl3 nn0z 0dvds adantr oveq1 eqeq1d
      syl5ibrcom wn wne c1 cfz odlem2 3com23 elfznn nnne0 3ad2antl2 necon2bd wo
      3syl elnn0 sylib ord syld impancom impbid 3bitrd ex odcl mpjaod ) CUALZAF
      LZDMLZUBZAEUHZUCLZWRDNOZDABPZGQZRZWRSQZWQWSWRDSUDPZNOZXASABPZQZRZXCWNWOWP
      WSXIUEZWNWOTZWPSMLZXJUFXKWPXLTWSXIABCDSEFGHIJKUGUIUJUKWQXFWTXHXBWQXEDWRNW
      QDWPWNDULLWODUMUNUOUPWQXGGXAWOWNXGGQZWPFBCAGHKJUSUQZUTURVAWQXDXCWQXDTZWTS
      DNOZDSQZXBXOWRSDNWQXDVBVCXOWPDVDLXPXQRWNWOWPXDVEDVFDVGWCXOXQXBXOXBXQXMWQX
      MXDXNVHXQXAXGGDSABVIVJVKWQXBXDXQWQXBTZXDDUCLZVLXQXRXSWRSWOWNXBXSWRSVMZUEW
      PWOXBXSXTWOXBXSUBWRVNDVOPLZWSXTWOXSXBYAABCDEFGHIJKVPVQWRDVRWRVSWCUIVTWAXR
      XSXQXRWPXSXQWBWNWOWPXBVEDWDWEWFWGWHWIWJWKWQWRMLZWSXDWBWOWNYBWPACEFHIWLUQW
      RWDWEWM $.

    $( If a nonzero multiple of an element is zero, the element has positive
       order.  (Contributed by Stefan O'Rear, 5-Sep-2015.)  (Revised by Mario
       Carneiro, 22-Sep-2015.) $)
    odnncl $p |- ( ( ( G e. Grp /\ A e. X /\ N e. ZZ ) /\
      ( N =/= 0 /\ ( N .x. A ) = .0. ) ) -> ( O ` A ) e. NN ) $=
      ( wcel cc0 co wceq wa cfv cn syl oveq1 cgrp cz w3a wne c1 cabs cfz simpl2
      wn simprl cc wb simpl3 zcnd abs00 necon3bbid mpbird cn0 wo nn0abscl elnn0
      sylib ord mt3d cneg simprr eqeq1d syl5ibrcom cminusg eqid mulgneg syl3anc
      simpl1 fveq2d grpinvid 3eqtrd zred absord mpjaod odlem2 elfznn ) CUALZAFL
      ZDUBLZUCZDMUDZDABNZGOZPZPZAEQZUEDUFQZUGNLZWKRLWJWCWLRLZWLABNZGOZWMWBWCWDW
      IUHZWJWNWLMOZWJWRUIZWFWEWFWHUJWJDUKLZWSWFULWJDWBWCWDWIUMZUNWTWRDMDUOUPSUQ
      WJWNWRWJWLURLZWNWRUSWJWDXBXADUTSWLVAVBVCVDWJWLDOZWPWLDVEZOZWJWPXCWHWEWFWH
      VFZXCWOWGGWLDABTVGVHWJWPXEXDABNZGOWJXGWGCVIQZQZGXHQZGWJWBWDWCXGXIOWBWCWDW
      IVMZXAWQFBCXHDAHJXHVJZVKVLWJWGGXHXFVNWJWBXJGOXKCXHGKXLVOSVPXEWOXGGWLXDABT
      VGVHWJDWJDXAVQVRVSABCWLEFGHIJKVTVLWKWLWAS $.

    $( Reduce the argument of a group multiple by modding out the order of the
       element.  (Contributed by Mario Carneiro, 14-Jan-2015.)  (Revised by
       Mario Carneiro, 6-Sep-2015.) $)
    odmod $p |- ( ( ( G e. Grp /\ A e. X /\ N e. ZZ ) /\ ( O ` A ) e. NN ) ->
      ( ( N mod ( O ` A ) ) .x. A ) = ( N .x. A ) ) $=
      ( wcel cz cfv co cmul wceq syl2anc oveq1d syl13anc cgrp w3a cn wa cmo cfl
      cdiv cmin csg cr crp simpl3 zred simpr nnrpd modval simpl1 nndivred flcld
      nnzd zmulcld simpl2 eqid mulgsubdir cc nncn zcn mulcom syl2an mulgass syl
      odid oveq2d mulgz eqtrd 3eqtrd mulgcl syl3anc grpsubid1 ) CUALZAFLZDMLZUB
      ZAENZUCLZUDZDWDUEOZABODWDDWDUGOZUFNZPOZUHOZABOZDABOZWJABOZCUINZOZWMWFWGWK
      ABWFDUJLWDUKLWGWKQWFDVTWAWBWEULZUMZWFWDWCWEUNZUODWDUPRSWFVTWBWJMLWAWLWPQV
      TWAWBWEUQZWQWFWDWIWFWDWSUTZWFWHWFDWDWRWSURUSZVAVTWAWBWEVBZFBCDWOWJAHJWOVC
      ZVDTWFWPWMGWOOZWMWFWNGWMWOWFWNWIWDPOZABOZWIWDABOZBOZGWFWJXFABWFWEWIMLZWJX
      FQZWSXBWEWDVELWIVELXKXJWDVFWIVGWDWIVHVIRSWFVTXJWDMLWAXGXIQWTXBXAXCFBCWIWD
      AHJVJTWFXIWIGBOZGWFXHGWIBWFWAXHGQXCABCEFGHIJKVLVKVMWFVTXJXLGQWTXBFBCWIGHJ
      KVNRVOVPVMWFVTWMFLZXEWMQWTWFVTWBWAXMWTWQXCFBCDAHJVQVRFCWOWMGHKXDVSRVOVP
      $.

    $( The only multiples of ` A ` that are equal to the identity are the
       multiples of the order of ` A ` .  (Contributed by Mario Carneiro,
       14-Jan-2015.)  (Revised by Mario Carneiro, 23-Sep-2015.) $)
    oddvds $p |- ( ( G e. Grp /\ A e. X /\ N e. ZZ ) ->
      ( ( O ` A ) || N <-> ( N .x. A ) = .0. ) ) $=
      ( wcel cdvds wbr co wceq wb cc0 wa syl cgrp cz w3a cfv cmo simpr dvdsval3
      cn simpl3 syl2anc simpl2 mulg0 oveq1 eqeq1d syl5ibrcom wn cle wi clt zred
      cr crp nnrpd modlt zmodcld nn0red nnred ltnled mpbid c1 cfz odlem2 3com23
      elfzle2 3expia con3d impancom cn0 wo elnn0 sylib syld impbid odmod 3bitrd
      ord breq1d 0dvds wne odnncl nnne0d expr necon4d odcl 3ad2ant2 mpjaodan )
      CUALZAFLZDUBLZUCZAEUDZUHLZXADMNZDABOZGPZQXARPZWTXBSZXCDXAUEOZRPZXHABOZGPZ
      XEXGXBWSXCXIQWTXBUFZWQWRWSXBUIZXADUGUJXGXIXKXGXKXIRABOZGPZXGWRXOWQWRWSXBU
      KZFBCAGHKJULZTXIXJXNGXHRABUMUNUOXGXKXHUHLZUPZXIXGWRXAXHUQNZUPZXKXSURXPXGX
      HXAUSNZYAXGDVALXAVBLYBXGDXMUTXGXAXLVCDXAVDUJXGXHXAXGXHXGDXAXMXLVEZVFXGXAX
      LVGVHVIWRXKYAXSWRXKSXRXTWRXKXRXTWRXRXKXTWRXRXKUCXAVJXHVKOLXTABCXHEFGHIJKV
      LXAVJXHVNTVMVOVPVQUJXGXRXIXGXHVRLXRXIVSYCXHVTWAWFWBWCXGXJXDGABCDEFGHIJKWD
      UNWEWTXFSZXCRDMNZDRPZXEYDXARDMWTXFUFWGYDWSYEYFQWQWRWSXFUIDWHTYDYFXEYDXEYF
      XOYDWRXOWQWRWSXFUKXQTYFXDXNGDRABUMUNUOWTXEXFYFWTXESDRXARWTDRWIZXEXARWIZWT
      YGXEYHWTYGXESSXAABCDEFGHIJKWJWKWLVQWMVQWCWEWTXAVRLZXBXFVSWRWQYIWSACEFHIWN
      WOXAVTWAWP $.

    $( Any group element is annihilated by any multiple of its order.
       (Contributed by Stefan O'Rear, 5-Sep-2015.)  (Revised by Mario Carneiro,
       23-Sep-2015.) $)
    oddvdsi $p |- ( ( G e. Grp /\ A e. X /\ ( O ` A ) || N ) ->
      ( N .x. A ) = .0. ) $=
      ( cgrp wcel cfv cdvds wbr w3a co wceq cz simp3 wb dvdszrcl simprd syl3an3
      oddvds mpbid ) CLMZAFMZAENZDOPZQUKDABRGSZUHUIUKUAUKUHUIDTMZUKULUBUKUJTMUM
      UJDUCUDABCDEFGHIJKUFUEUG $.

    $( If two multipliers are congruent relative to the base point's order, the
       corresponding multiples are the same.  (Contributed by Stefan O'Rear,
       5-Sep-2015.) $)
    odcong $p |- ( ( G e. Grp /\ A e. X /\ ( M e. ZZ /\ N e. ZZ ) ) ->
        ( ( O ` A ) || ( M - N ) <-> ( M .x. A ) = ( N .x. A ) ) ) $=
      ( wcel cz cfv co wceq wb mulgcl syl3anc cgrp wa w3a cmin cdvds wbr zsubcl
      csg oddvds syl3an3 simp1 simp3l simp3r eqid mulgsubdir syl13anc grpsubeq0
      simp2 eqeq1d 3bitrd ) CUAMZAGMZDNMZENMZUBZUCZAFODEUDPZUEUFZVGABPZHQZDABPZ
      EABPZCUHOZPZHQZVKVLQZVEVAVBVGNMVHVJRDEUGABCVGFGHIJKLUIUJVFVIVNHVFVAVCVDVB
      VIVNQVAVBVEUKZVAVBVCVDULZVAVBVCVDUMZVAVBVEURZGBCDVMEAIKVMUNZUOUPUSVFVAVKG
      MZVLGMZVOVPRVQVFVAVCVBWBVQVRVTGBCDAIKSTVFVAVDVBWCVQVSVTGBCEAIKSTGCVMVKVLH
      ILWAUQTUT $.

    $( The ~ oddvds property uniquely defines the group order.  (Contributed by
       Stefan O'Rear, 6-Sep-2015.) $)
    odeq $p |- ( ( G e. Grp /\ A e. X /\ N e. NN0 ) -> ( N = ( O ` A ) <->
          A. y e. NN0 ( N || y <-> ( y .x. A ) = .0. ) ) ) $=
      ( wcel cn0 wceq cdvds wbr co wb wral cgrp w3a cfv cv wi wa cz nn0z oddvds
      syl3an3 3expa ralrimiva breq1 bibi1d ralbidv syl5ibrcom simpl3 simpl2 syl
      3adant3 odcl odid 3ad2ant2 breq2 oveq1 eqeq1d bibi12d rspcva sylan mpbird
      iddvds 3syl 3ad2antl3 mpbid adantr dvdseq syl22anc ex impbid ) DUAMZBGMZE
      NMZUBZEBFUCZOZEAUDZPQZWFBCRZHOZSZANTZVTWAWEWKUEWBVTWAUFZWKWEWDWFPQZWISZAN
      TWLWNANVTWAWFNMZWNWOVTWAWFUGMWNWFUHBCDWFFGHIJKLUIUJUKULWEWJWNANWEWGWMWIEW
      DWFPUMUNUOUPUTWCWKWEWCWKUFZWBWDNMZEWDPQZWDEPQZWEVTWAWBWKUQZWPWAWQVTWAWBWK
      URZBDFGIJVAZUSWPWRWDBCRZHOZWPWAXDXABCDFGHIJKLVBUSWCWQWKWRXDSZWAVTWQWBXBVC
      WJXEAWDNWFWDOZWGWRWIXDWFWDEPVDXFWHXCHWFWDBCVEVFVGVHVIVJWPWSEBCRZHOZWPEEPQ
      ZXHWPWBEUGMZXIWTEUHZEVKVLWBVTWKXIXHSZWAWJXLAENWFEOZWGXIWIXHWFEEPVDXMWHXGH
      WFEBCVEVFVGVHVMVNWCWSXHSZWKWBVTWAXJXNXKBCDEFGHIJKLUIUJVOVJEWDVPVQVRVS $.

    $( A non-conditional definition of the group order.  (Contributed by Stefan
       O'Rear, 6-Sep-2015.) $)
    odval2 $p |- ( ( G e. Grp /\ A e. X ) -> ( O ` A ) = ( iota_ x e. NN0
            A. y e. NN0 ( x || y <-> ( y .x. A ) = .0. ) ) ) $=
      ( cgrp wcel wa cv cdvds wceq wb cn0 wbr co wral crio cfv odcl adantl odeq
      3expa bicomd riota5 eqcomd ) EMNZCGNZOZAPZBPZQUAUQCDUBHRSBTUCZATUDCFUEZUO
      URATUSUNUSTNUMCEFGIJUFUGUOUPTNZOUPUSRZURUMUNUTVAURSBCDEUPFGHIJKLUHUIUJUKU
      L $.
  $}

  ${
    odcld.1 $e |- B = ( Base ` G ) $.
    odcld.2 $e |- O = ( od ` G ) $.
    odcld.3 $e |- ( ph -> A e. B ) $.
    $( The order of a group element is always a nonnegative integer, deduction
       form of ~ odcl .  (Contributed by Rohan Ridenour, 3-Aug-2023.) $)
    odcld $p |- ( ph -> ( O ` A ) e. NN0 ) $=
      ( wcel cfv cn0 odcl syl ) ABCIBEJKIHBDECFGLM $.
  $}

  ${
    $d x y A $.  $d x y G $.  $d x y N $.  $d x y O $.  $d x y .x. $.
    $d x y X $.
    odmulgid.1 $e |- X = ( Base ` G ) $.
    odmulgid.2 $e |- O = ( od ` G ) $.
    odmulgid.3 $e |- .x. = ( .g ` G ) $.
    $( A relationship between the order of a multiple and the order of the
       basepoint.  (Contributed by Stefan O'Rear, 6-Sep-2015.) $)
    odmulgid $p |- ( ( ( G e. Grp /\ A e. X /\ N e. ZZ ) /\ K e. ZZ ) ->
          ( ( O ` ( N .x. A ) ) || K <-> ( O ` A ) || ( K x. N ) ) ) $=
      ( wcel cz co cfv wceq cdvds wbr wb oddvds syl3anc cgrp w3a wa cmul simpl1
      simpr simpl3 simpl2 mulgass syl13anc eqeq1d zmulcld eqid mulgcl 3bitr4rd
      c0g ) CUAKZAGKZELKZUBZDLKZUCZDEUDMZABMZCUPNZOZDEABMZBMZVEOZAFNVCPQZVGFNDP
      QZVBVDVHVEVBUQVAUSURVDVHOUQURUSVAUEZUTVAUFZUQURUSVAUGZUQURUSVAUHZGBCDEAHJ
      UIUJUKVBUQURVCLKVJVFRVLVOVBDEVMVNULABCVCFGVEHIJVEUMZSTVBUQVGGKZVAVKVIRVLV
      BUQUSURVQVLVNVOGBCEAHJUNTVMVGBCDFGVEHIJVPSTUO $.

    $( The order of a multiple divides the order of the base point.
       (Contributed by Stefan O'Rear, 6-Sep-2015.) $)
    odmulg2 $p |- ( ( G e. Grp /\ A e. X /\ N e. ZZ ) ->
        ( O ` ( N .x. A ) ) || ( O ` A ) ) $=
      ( cgrp wcel cz w3a co cfv cdvds wbr cmul odcl nn0zd 3ad2ant2 simp3 mpbird
      dvdsmul1 syl2anc wb odmulgid mpdan ) CJKZAFKZDLKZMZDABNEOAEOZPQZUMUMDRNPQ
      ZULUMLKZUKUOUJUIUPUKUJUMACEFGHSTUAZUIUJUKUBUMDUDUEULUPUNUOUFUQABCUMDEFGHI
      UGUHUC $.

    $( Relationship between the order of an element and that of a multiple.
       (Contributed by Stefan O'Rear, 6-Sep-2015.) $)
    odmulg $p |- ( ( G e. Grp /\ A e. X /\ N e. ZZ ) ->
        ( O ` A ) = ( ( N gcd ( O ` A ) ) x. ( O ` ( N .x. A ) ) ) ) $=
      ( wcel cz co cmul cc0 wa cn0 adantr wb cdvds wbr vx vy cgrp w3a cgcd wceq
      cfv cc mulgcl 3com23 odcl nn0cnd mul02d simpr oveq1d simp3 3ad2ant2 nn0zd
      syl gcdeq0 syl2anc simplbda 3eqtr4rd wne cv wral simpll3 ad2antrr gcddvds
      simprd wi gcdcld nn0z adantl syl3anc mpand muldvds1 wrex dvdszrcl divides
      dvdstr ibi simprr adantrr dvdscmulr syl112anc odmulgid adantrl dvdsmulgcd
      simprl simpl3 3bitrrd zcnd mulcomd breq2d bitrd anassrs bibi12d syl5ibcom
      breq2 rexlimdva pm5.21ndd ralrimiva nn0mulcld dvdsext mpbird pm2.61dane
      syl5 ) CUCJZAFJZDKJZUDZAEUGZDXMUELZDABLZEUGZMLZUFZXNNXLXNNUFZOZNXPMLNXQXM
      XTXPXLXPUHJXSXLXPXLXOFJZXPPJZXIXKXJYAFBCDAGIUIUJXOCEFGHUKUSZULQUMXTXNNXPM
      XLXSUNUOXLXSDNUFZXMNUFZXLXKXMKJZXSYDYEORXIXJXKUPZXLXMXJXIXMPJZXKACEFGHUKU
      QZURZDXMUTVAVBVCXLXNNVDZOZXRXMUAVEZSTZXQYMSTZRZUAPVFZYLYPUAPYLYMPJZOZXNYM
      STZYNYOYSXNXMSTZYNYTYSXNDSTZUUAYSXKYFUUBUUAOXIXJXKYKYRVGXLYFYKYRYJVHZDXMV
      IVAVJYSXNKJZYFYMKJZUUAYNOYTVKYLUUDYRYLXNXLXNPJYKXLDXMYGYJVLQZURZQZUUCYRUU
      EYLYMVMVNZXNXMYMWAVOVPYSUUDXPKJZUUEYOYTVKUUHXLUUJYKYRXLXPYCURZVHUUIXNXPYM
      VQVOYLYTYPVKYRYTUBVEZXNMLZYMUFZUBKVRZYLYPYTUUOYTUUDUUEOYTUUORXNYMVSUBXNYM
      VTUSWBYLUUNYPUBKYLUULKJZOXMUUMSTZXQUUMSTZRZUUNYPXLYKUUPUUSXLYKUUPOZOZUUQX
      QXNUULMLZSTZUURUVAUVCXPUULSTZXMUULDMLSTZUUQUVAUUJUUPUUDYKUVCUVDRXLUUJUUTU
      UKQXLYKUUPWCZXLYKUUDUUPUUGWDZXLYKUUPWJXNXPUULWEWFXLUUPUVDUVERYKABCUULDEFG
      HIWGWHUVAUUPXKUVEUUQRUVFXIXJXKUUTWKXMUULDWIVAWLUVAUVBUUMXQSUVAXNUULUVAXNU
      VGWMUVAUULUVFWMWNWOWPWQUUNUUQYNUURYOUUMYMXMSWTUUMYMXQSWTWRWSXAXHQXBXCYLYH
      XQPJXRYQRXLYHYKYIQYLXNXPUUFXLYBYKYCQXDUAXMXQXEVAXFXG $.

    $( A multiple of a point of finite order only has the same order if the
       multiplier is relatively prime.  (Contributed by Stefan O'Rear,
       12-Sep-2015.) $)
    odmulgeq $p |- ( ( ( G e. Grp /\ A e. X /\ N e. ZZ ) /\ ( O ` A ) e. NN )
      -> ( ( O ` ( N .x. A ) ) = ( O ` A ) <-> ( N gcd ( O ` A ) ) = 1 ) ) $=
      ( co cfv wceq wcel cz c1 cn0 syl nn0cnd cc0 cdvds cgrp cn cgcd eqcom cdiv
      w3a simpl2 odcl simpl1 simpl3 mulgcl syl3anc wne nnne0 adantl wbr odmulg2
      wa adantr breq1 syl5ibcom wb nn0zd 0dvds sylibd necon3d mpd diveq1ad cmul
      gcdcld mulcomd odmulg eqtr4d divmuld mpbird eqeq1d bitr3d syl5bb ) DABJZE
      KZAEKZLWAVTLZCUAMZAFMZDNMZUFZWAUBMZURZDWAUCJZOLZVTWAUDWHWAVTUEJZOLWBWJWHW
      AVTWHWAWHWDWAPMWCWDWEWGUGZACEFGHUHQZRZWHVTWHVSFMZVTPMWHWCWEWDWOWCWDWEWGUI
      WCWDWEWGUJZWLFBCDAGIUKULVSCEFGHUHQRZWHWASUMZVTSUMWGWRWFWAUNUOWHVTSWASWHVT
      SLZSWATUPZWASLZWHVTWATUPZWSWTWFXBWGABCDEFGHIUQUSVTSWATUTVAWHWANMWTXAVBWHW
      AWMVCZWAVDQVEVFVGZVHWHWKWIOWHWKWILVTWIVIJZWALWHXEWIVTVIJZWAWHVTWIWQWHWIWH
      DWAWPXCVJRZVKWFWAXFLWGABCDEFGHIVLUSVMWHWAVTWIWNWQXGXDVNVOVPVQVR $.

    $( If ` N ` is coprime to the order of ` A ` , there is a modular inverse
       ` x ` to cancel multiplication by ` N ` .  (Contributed by Mario
       Carneiro, 27-Apr-2016.) $)
    odbezout $p |- ( ( ( G e. Grp /\ A e. X /\ N e. ZZ ) /\
      ( N gcd ( O ` A ) ) = 1 ) -> E. x e. ZZ ( x .x. ( N .x. A ) ) = A ) $=
      ( vy wcel cz cfv co c1 wceq wa cmul eqtrd cgrp w3a cgcd caddc wrex simpl3
      cv cn0 simpl2 odcl syl nn0zd bezout syl2anc wi oveq1 eqcoms cplusg adantr
      simpll1 simprl zmulcld simprr mulgdir syl13anc c0g mulcomd oveq1d mulgass
      eqid zcnd cdvds wbr dvdsmul1 wb oddvds syl3anc mpbid mulgcl grprid simplr
      oveq12d mulg1 eqeq12d syl5ib anassrs rexlimdva reximdva mpd ) DUALZBGLZEM
      LZUBZEBFNZUCOZPQZRZWOEAUGZSOZWNKUGZSOZUDOZQZKMUEZAMUEZWREBCOZCOZBQZAMUEWQ
      WLWNMLZXEWJWKWLWPUFZWQWNWQWKWNUHLZWJWKWLWPUIZBDFGHIUJZUKULAKEWNUMUNWQXDXH
      AMWQWRMLZRXCXHKMWQXNWTMLZXCXHUOXCXBBCOZWOBCOZQZWQXNXORZRZXHXRXBWOXBWOBCUP
      UQXTXPXGXQBXTXPWSBCOZXABCOZDURNZOZXGXTWJWSMLXAMLZWKXPYDQWJWKWLWPXSUTZXTEW
      RWQWLXSXJUSZWQXNXOVAZVBXTWNWTXTWNXTWKXKWQWKXSXLUSZXMUKULZWQXNXOVCZVBZYIGY
      CCDWSXABHJYCVJZVDVEXTYDXGDVFNZYCOZXGXTYAXGYBYNYCXTYAWRESOZBCOZXGXTWSYPBCX
      TEWRXTEYGVKXTWRYHVKVGVHXTWJXNWLWKYQXGQYFYHYGYIGCDWREBHJVIVETXTWNXAVLVMZYB
      YNQZXTXIXOYRYJYKWNWTVNUNXTWJWKYEYRYSVOYFYIYLBCDXAFGYNHIJYNVJZVPVQVRWBXTWJ
      XGGLZYOXGQYFXTWJXNXFGLZUUAYFYHXTWJWLWKUUBYFYGYIGCDEBHJVSVQGCDWRXFHJVSVQGY
      CDXGYNHYMYTVTUNTTXTXQPBCOZBXTWOPBCWMWPXSWAVHXTWKUUCBQYIGCDBHJWCUKTWDWEWFW
      GWHWI $.
  $}

  ${
    od1.1 $e |- O = ( od ` G ) $.
    od1.2 $e |- .0. = ( 0g ` G ) $.
    $( The order of the group identity is one.  (Contributed by Mario Carneiro,
       14-Jan-2015.)  (Revised by Mario Carneiro, 23-Sep-2015.) $)
    od1 $p |- ( G e. Grp -> ( O ` .0. ) = 1 ) $=
      ( cgrp wcel cfv c1 cfz co wceq cbs cn cmg eqid grpidcl 1nn a1i syl odlem2
      mulg1 syl3anc elfz1eq ) AFGZCBHZIIJKGZUFILUECAMHZGZINGZICAOHZKCLZUGUHACUH
      PZEQZUJUERSUEUIULUNUHUKACUMUKPZUBTCUKAIBUHCUMDUOEUAUCUFIUDT $.

    odeq1.3 $e |- X = ( Base ` G ) $.
    $( The group identity is the unique element of a group with order one.
       (Contributed by Mario Carneiro, 14-Jan-2015.)  (Revised by Mario
       Carneiro, 23-Sep-2015.) $)
    odeq1 $p |- ( ( G e. Grp /\ A e. X ) -> ( ( O ` A ) = 1 <-> A = .0. ) ) $=
      ( cgrp wcel wa cfv c1 wceq cmg co oveq1 eqcomd wb eqid mulg1 odid eqeq12d
      adantl syl5ib od1 adantr fveqeq2 syl5ibrcom impbid ) BIJZADJZKZACLZMNZAEN
      ZUOMABOLZPZUNAUQPZNZUMUPUOUSURUNMAUQQRULUTUPSUKULURAUSEDUQBAHUQTZUAAUQBCD
      EHFVAGUBUCUDUEUMUOUPECLMNZUKVBULBCEFGUFUGAEMCUHUIUJ $.
  $}

  ${
    odinv.1 $e |- O = ( od ` G ) $.
    odinv.2 $e |- I = ( invg ` G ) $.
    odinv.3 $e |- X = ( Base ` G ) $.
    $( The order of the inverse of a group element.  (Contributed by Mario
       Carneiro, 20-Oct-2015.) $)
    odinv $p |- ( ( G e. Grp /\ A e. X ) -> ( O ` ( I ` A ) ) = ( O ` A ) ) $=
      ( wcel cfv c1 cgcd co cmul cz wceq neg1z cn0 odcl syl cgrp wa cneg odmulg
      cmg eqid mp3an3 adantl nn0zd gcdcom sylancr 1z gcdneg sylancl gcd1 3eqtrd
      mulgm1 fveq2d oveq12d grpinvcl nn0cnd mulid2d 3eqtrrd ) BUAIZAEIZUBZADJZK
      UCZVGLMZVHABUEJZMZDJZNMZKACJZDJZNMVOVDVEVHOIZVGVMPQAVJBVHDEHFVJUFZUDUGVFV
      IKVLVONVFVIVGVHLMZVGKLMZKVFVPVGOIZVIVRPQVFVGVEVGRIVDABDEHFSUHUIZVHVGUJUKV
      FVTKOIVRVSPWAULVGKUMUNVFVTVSKPWAVGUOTUPVFVKVNDEVJBCAHVQGUQURUSVFVOVFVOVFV
      NEIVORIEBCAHGUTVNBDEHFSTVAVBVC $.
  $}

  ${
    $d x y z A $.  $d x y z G $.  $d x y z O $.  $d x y z .x. $.  $d x y z X $.
    $d y z F $.
    odf1.1 $e |- X = ( Base ` G ) $.
    odf1.2 $e |- O = ( od ` G ) $.
    odf1.3 $e |- .x. = ( .g ` G ) $.
    odf1.4 $e |- F = ( x e. ZZ |-> ( x .x. A ) ) $.
    $( The multiples of an element with infinite order form an infinite cyclic
       subgroup of ` G ` .  (Contributed by Mario Carneiro, 14-Jan-2015.)
       (Revised by Mario Carneiro, 23-Sep-2015.) $)
    odf1 $p |- ( ( G e. Grp /\ A e. X ) ->
      ( ( O ` A ) = 0 <-> F : ZZ -1-1-> X ) ) $=
      ( vy wcel wa cfv cc0 wceq cz co wb vz cgrp wf1 wf cv wi wral mulgcl 3expa
      an32s fmptd adantr cmin oveq1 ovex fvmpt3i eqeqan12d adantl simplr breq1d
      cdvds wbr c0g eqid odcong ad4ant124 zsubcl 0dvds 3bitr3d cc subeq0 syl2an
      syl zcn 3bitrd biimpd ralrimivva dff13 sylanbrc mulg0 eqtr4d ad2antlr cn0
      odid odcl nn0zd 0zd 3eqtr4d simpr f1fveq syl12anc mpbid impbida ) EUBMZBG
      MZNZBFOZPQZRGDUCZWPWRNZRGDUDZLUEZDOZUAUEZDOZQZXBXDQZUFZUARUGLRUGWSWPXAWRW
      PARAUEZBCSZGDWNXIRMZWOXJGMZWNXKWOXLGCEXIBHJUHUIUJKUKULWTXHLUARRWTXBRMZXDR
      MZNZNZXFXGXPXFXBBCSZXDBCSZQZXBXDUMSZPQZXGXOXFXSTWTXMXNXCXQXEXRAXBXJXQRDXI
      XBBCUNKXIBCUOZUPAXDXJXRRDXIXDBCUNKYBUPUQURXPWQXTVAVBZPXTVAVBZXSYAXPWQPXTV
      AWPWRXOUSUTWNWOXOYCXSTWRBCEXBXDFGEVCOZHIJYEVDZVEVFXPXTRMZYDYATXOYGWTXBXDV
      GURXTVHVMVIXOYAXGTZWTXMXBVJMXDVJMYHXNXBVNXDVNXBXDVKVLURVOVPVQLUARGDVRVSWP
      WSNZWQDOZPDOZQZWRYIWQBCSZPBCSZYJYKWOYMYNQWNWSWOYMYEYNBCEFGYEHIJYFWDGCEBYE
      HYFJVTWAWBYIWQRMZYJYMQYIWQWOWQWCMWNWSBEFGHIWEWBWFZAWQXJYMRDXIWQBCUNKYBUPV
      MYIPRMZYKYNQYIWGZAPXJYNRDXIPBCUNKYBUPVMWHYIWSYOYQYLWRTWPWSWIYPYRRGWQPDWJW
      KWLWM $.

    $( The multiples of an element with infinite order form an infinite cyclic
       subgroup of ` G ` .  (Contributed by Mario Carneiro, 14-Jan-2015.) $)
    odinf $p |- ( ( G e. Grp /\ A e. X /\ ( O ` A ) = 0 ) ->
      -. ran F e. Fin ) $=
      ( cgrp wcel cfv com wbr cen cz cvv 3syl cc0 wceq w3a crn csdm cfn cdom wn
      cn znnen nnenom entr2i wf1o wf1 wf odf1 biimp3a f1f zex cbs fvexi mp3an23
      fex2 f1f1orn f1oen3g syl2anc entr sylancr endom domnsym isfinite sylnibr
      syl ) ELMZBGMZBFNUAUBZUCZDUDZOUEPZVRUFMVQOVRQPZOVRUGPVSUHVQORQPRVRQPZVTRU
      IOUJUKULVQDSMZRVRDUMZWAVQRGDUNZRGDUOZWBVNVOVPWDABCDEFGHIJKUPUQZRGDURWERSM
      GSMWBUSGEUTHVARGDSSVCVBTVQWDWCWFRGDVDVMRVRDSVEVFORVRVGVHOVRVIOVRVJTVRVKVL
      $.

    $( An alternative definition of the order of a group element is as the
       cardinality of the cyclic subgroup generated by the element.
       (Contributed by Mario Carneiro, 14-Jan-2015.)  (Revised by Mario
       Carneiro, 2-Oct-2015.) $)
    dfod2 $p |- ( ( G e. Grp /\ A e. X ) ->
      ( O ` A ) = if ( ran F e. Fin , ( # ` ran F ) , 0 ) ) $=
      ( vy wcel cc0 wceq co wbr wb cvv cz vz wa cfv cn crn cfn chash cif c1 cfz
      cgrp cmin fzfid cen cv cmpt wf1o wss mulgcl 3expa an32s adantlr fmptd frn
      cbs fvexi ssex 3syl wral wreu elfzelz adantl ovex oveq1 elrnmpt1s sylancl
      wf ralrimiva cmo zmodfz ancoms adantll simpllr simplr moddvds syl3anc crp
      cdvds cr cle clt nnrpd w3a 0z adantr elfzm11 sylancr biimpa simp2d simp3d
      zred nnz modid syl22anc eqeq2d eqcom bitrdi simp-4l simp-4r c0g syl112anc
      odcong 3bitr3rd reu6i syl2anc rgenw eqeq1 reubidv ralrnmptw sylibr f1ompt
      eqid ax-mp sylanbrc f1oen2g enfi mpbid iftrued fz01en ensym hashen mpbird
      syl entr cn0 nnnn0 hashfz1 3eqtr2rd simp3 odinf iffalsed odcl elnn0 sylib
      eqtr4d wo mpjaodan ) EUKMZBGMZUBZBFUCZUDMZUUKDUEZUFMZUUMUGUCZNUHZOZUUKNOZ
      UUJUULUBZUUPUUOUIUUKUJPZUGUCZUUKUUSUUNUUONUUSNUUKUIULPZUJPZUFMZUUNUUSNUVB
      UMZUUSUVCUUMUNQZUVDUUNRUUSUVDUUMSMZUVCUUMLUVCLUOZBCPZUPZUQZUVFUVEUUSTGDVQ
      UUMGURUVGUUSATAUOZBCPZGDUUJUVLTMZUVMGMZUULUUHUVNUUIUVOUUHUVNUUIUVOGCEUVLB
      HJUSUTVAVBKVCTGDVDUUMGGEVEHVFVGVHUUSUVIUUMMZLUVCVIUAUOZUVIOZLUVCVJZUAUUMV
      IZUVKUUSUVPLUVCUUSUVHUVCMZUBUVHTMZUVISMUVPUWAUWBUUSUVHNUVBVKZVLUVHBCVMATU
      VMUVIUVHDSKUVLUVHBCVNVOVPVRUUSUVMUVIOZLUVCVJZATVIZUVTUUSUWEATUUSUVNUBZUVL
      UUKVSPZUVCMZUWDUVHUWHOZRZLUVCVIUWEUULUVNUWIUUJUVNUULUWIUVLUUKVTWAWBUWGUWK
      LUVCUWGUWAUBZUWHUVHUUKVSPZOZUUKUVLUVHULPWHQZUWJUWDUWLUULUVNUWBUWNUWORUUJU
      ULUVNUWAWCZUUSUVNUWAWDZUWAUWBUWGUWCVLZUVLUVHUUKWEWFUWLUWNUWHUVHOUWJUWLUWM
      UVHUWHUWLUVHWIMUUKWGMNUVHWJQZUVHUUKWKQZUWMUVHOUWLUVHUWRXAUWLUUKUWPWLUWLUW
      BUWSUWTUWGUWAUWBUWSUWTWMZUWGNTMUUKTMZUWAUXARWNUUSUXBUVNUULUXBUUJUUKXBVLZW
      OUVHNUUKWPWQWRZWSUWLUWBUWSUWTUXDWTUVHUUKXCXDXEUWHUVHXFXGUWLUUHUUIUVNUWBUW
      OUWDRUUHUUIUULUVNUWAXHUUHUUIUULUVNUWAXIUWQUWRBCEUVLUVHFGEXJUCZHIJUXEYBXLX
      KXMVRUWDLUVCUWHXNXOVRUVMSMZATVIUVTUWFRUXFATUVLBCVMXPUVSUWEAUATUVMDSKUVQUV
      MOUVRUWDLUVCUVQUVMUVIXQXRXSYCXTLUAUVCUUMUVIUVJUVJYBYAYDUVCUUMUVJUFSYEWFZU
      VCUUMYFYMYGZYHUUSUVAUUOOZUUTUUMUNQZUUSUUTUVCUNQZUVFUXJUUSUXBUVCUUTUNQUXKU
      XCUUKYIUVCUUTYJVHUXGUUTUVCUUMYNXOUUSUUTUFMUUNUXIUXJRUUSUIUUKUMUXHUUTUUMYK
      XOYLUUSUUKYOMZUVAUUKOUULUXLUUJUUKYPVLUUKYQYMYRUUHUUIUURUUQUUHUUIUURWMZUUK
      NUUPUUHUUIUURYSUXMUUNUUONABCDEFGHIJKYTUUAUUEUTUUJUXLUULUURUUFUUIUXLUUHBEF
      GHIUUBVLUUKUUCUUDUUG $.
  $}

  ${
    $d x A $.  $d x G $.  $d x O $.  $d x X $.
    odcl2.1 $e |- X = ( Base ` G ) $.
    odcl2.2 $e |- O = ( od ` G ) $.
    $( The order of an element of a finite group is finite.  (Contributed by
       Mario Carneiro, 14-Jan-2015.) $)
    odcl2 $p |- ( ( G e. Grp /\ X e. Fin /\ A e. X ) -> ( O ` A ) e. NN ) $=
      ( vx cgrp wcel cfn cfv cn wa wn cc0 wceq cn0 wo cz eqid odcl adantl elnn0
      sylib ord w3a cv cmg co cmpt crn odinf wf1 wf wss wi odf1 biimp3a f1f frn
      ssfi expcom 4syl mtod 3expia syld con4d 3impia 3com23 ) BHIZADIZDJIZACKZL
      IZVJVKVLVNVJVKMZVNVLVOVNNVMOPZVLNZVOVNVPVOVMQIZVNVPRVKVRVJABCDEFUAUBVMUCU
      DUEVJVKVPVQVJVKVPUFZVLGSGUGABUHKZUIUJZUKZJIZGAVTWABCDEFVTTZWATZULVSSDWAUM
      ZSDWAUNWBDUOZVLWCUPVJVKVPWFGAVTWABCDEFWDWEUQURSDWAUSSDWAUTVLWGWCDWBVAVBVC
      VDVEVFVGVHVI $.

    $( The order of an element of a finite group divides the order
       (cardinality) of the group.  Corollary of Lagrange's theorem for the
       order of a subgroup.  (Contributed by Mario Carneiro, 14-Jan-2015.) $)
    oddvds2 $p |- ( ( G e. Grp /\ X e. Fin /\ A e. X ) ->
      ( O ` A ) || ( # ` X ) ) $=
      ( vx cgrp wcel cfn w3a cfv cz cv cmg chash cdvds cc0 eqid 3adant2 co cmpt
      crn cif wceq dfod2 simp2 csubg wss wa cycsubgcl simpld subgss syl iftrued
      ssfid eqtrd wbr lagsubg syl2anc eqbrtrd ) BHIZDJIZADIZKZACLZGMGNABOLZUAUB
      ZUCZPLZDPLZQVEVFVIJIZVJRUDZVJVBVDVFVMUEVCGAVGVHBCDEFVGSZVHSZUFTVEVLVJRVED
      VIVBVCVDUGZVEVIBUHLIZVIDUIVEVQAVIIZVBVDVQVRUJVCGAVGVHBDEVNVOUKTULZDVIBEUM
      UNUPUOUQVEVQVCVJVKQURVSVPBDVIEUSUTVA $.
  $}

  ${
    $d x A $.  $d x G $.  $d x H $.  $d x Y $.
    submod.h $e |- H = ( G |`s Y ) $.
    submod.o $e |- O = ( od ` G ) $.
    submod.p $e |- P = ( od ` H ) $.
    $( The order of an element is the same in a subgroup.  (Contributed by
       Stefan O'Rear, 12-Sep-2015.)  (Proof shortened by AV, 5-Oct-2020.) $)
    submod $p |- ( ( Y e. ( SubMnd ` G ) /\ A e. Y ) ->
        ( O ` A ) = ( P ` A ) ) $=
      ( vx cfv wcel wceq cn c0 cc0 cr clt eqid syl csubmnd wa cmg c0g crab cinf
      cv co cif cn0 simpll nnnn0 adantl submmulg syl3anc subm0 ad2antrr eqeq12d
      simplr rabbidva eqeq1 infeq1 ifbieq2d cbs submss odval simpr wss ressbas2
      sselda adantr eleqtrd 3eqtr4d ) FCUAKLZAFLZUBZJUGZACUCKZUHZCUDKZMZJNUEZOM
      ZPWBQRUFZUIZVQADUCKZUHZDUDKZMZJNUEZOMZPWJQRUFZUIZAEKZABKZVPWBWJMZWEWMMVPW
      AWIJNVPVQNLZUBZVSWGVTWHWRVNVQUJLZVOVSWGMVNVOWQUKWQWSVPVQULUMVNVOWQUSFVRWF
      CDVQAVRSZGWFSZUNUOVNVTWHMVOWQFDCVTGVTSZUPUQURUTWPWCWKWDWLPWBWJOVAQWBWJRVB
      VCTVPACVDKZLWNWEMVNFXCAXCFCXCSZVEZVJJAVRCWBEXCVTXDWTXBHWBSVFTVPADVDKZLWOW
      MMVPAFXFVNVOVGVPFXCVHZFXFMVNXGVOXEVKFXCDCGXDVITVLJAWFDWJBXFWHXFSXAWHSIWJS
      VFTVM $.

    $( The order of an element is the same in a subgroup.  (Contributed by
       Mario Carneiro, 14-Jan-2015.)  (Proof shortened by Stefan O'Rear,
       12-Sep-2015.) $)
    subgod $p |- ( ( Y e. ( SubGrp ` G ) /\ A e. Y ) ->
      ( O ` A ) = ( P ` A ) ) $=
      ( csubg cfv wcel csubmnd wceq subgsubm submod sylan ) FCJKLFCMKLAFLAEKABK
      NFCOABCDEFGHIPQ $.
  $}

  ${
    odsubdvds.1 $e |- O = ( od ` G ) $.
    $( The order of an element of a subgroup divides the order of the subgroup.
       (Contributed by Mario Carneiro, 16-Jan-2015.) $)
    odsubdvds $p |- ( ( S e. ( SubGrp ` G ) /\ S e. Fin /\ A e. S ) ->
      ( O ` A ) || ( # ` S ) ) $=
      ( csubg cfv wcel cfn w3a cress co cod chash cdvds cgrp eqid 3ad2ant1 wceq
      cbs subggrp subgbas simp2 eqeltrrd eleqtrd oddvds2 syl3anc subgod 3adant2
      wbr simp3 fveq2d 3brtr4d ) BCFGHZBIHZABHZJZACBKLZMGZGZURTGZNGZADGZBNGOUQU
      RPHZVAIHAVAHUTVBOUJUNUOVDUPBCURURQZUARUQBVAIUNUOBVASUPBCURVEUBRZUNUOUPUCU
      DUQABVAUNUOUPUKVFUEAURUSVAVAQUSQZUFUGUNUPVCUTSUOAUSCURDBVEEVGUHUIUQBVANVF
      ULUM $.
  $}

  ${
    $d x y A $.  $d x y G $.  $d x y K $.  $d x y O $.  $d x y .x. $.
    $d x y X $.
    odf1o1.x $e |- X = ( Base ` G ) $.
    odf1o1.t $e |- .x. = ( .g ` G ) $.
    odf1o1.o $e |- O = ( od ` G ) $.
    odf1o1.k $e |- K = ( mrCls ` ( SubGrp ` G ) ) $.
    $( An element with zero order has infinitely many multiples.  (Contributed
       by Stefan O'Rear, 6-Sep-2015.) $)
    odf1o1 $p |- ( ( G e. Grp /\ A e. X /\ ( O ` A ) = 0 ) ->
        ( x e. ZZ |-> ( x .x. A ) ) : ZZ -1-1-onto-> ( K ` { A } ) ) $=
      ( wcel cfv cc0 wceq cz co wa wb cdvds vy cgrp w3a csn cmpt wf1 wf1o csubg
      cv wfo cmre wss cacs simpl1 subgacs acsmre 3syl snssd mrccl syl2anc simpr
      simpl2 mrcssidd snidg syl sseldd subgmulgcl syl3anc ex cmin simpl3 breq1d
      wbr zsubcl adantl 0dvds bitrd simprl simprr c0g eqid odcong syl112anc zcn
      cc subeq0 syl2an 3bitr3d dom2lem crn fmpttd cycsubg2 3adant3 eqcomd dffo2
      wf sylanbrc df-f1o ) DUBLZBGLZBFMZNOZUCZPBUDZEMZAPAUIZBCQZUEZUFPXEXHUJZPX
      EXHUGXCAUAPXEXGUAUIZBCQZXCXFPLZXGXELZXCXLRZXEDUHMZLZXLBXELXMXNXOGUKMLZXDG
      ULXPXNWSXOGUMMLXQWSWTXBXLUNGDHUOXOGUPUQZXNBGWSWTXBXLVBZURZXOXDEGKUSUTXCXL
      VAXNXDXEBXNXOXDEGXRKXTVCXNWTBXDLXSBGVDVEVFXECDXFBIVGVHZVIXCXLXJPLZRZXGXKO
      ZXFXJOZSXCYCRZXAXFXJVJQZTVMZYGNOZYDYEYFYHNYGTVMZYIYFXANYGTWSWTXBYCVKVLYFY
      GPLZYJYISYCYKXCXFXJVNVOYGVPVEVQYFWSWTXLYBYHYDSWSWTXBYCUNWSWTXBYCVBXCXLYBV
      RXCXLYBVSBCDXFXJFGDVTMZHJIYLWAWBWCYCYIYESZXCXLXFWELXJWELYMYBXFWDXJWDXFXJW
      FWGVOWHVIWIXCPXEXHWPXHWJZXEOXIXCAPXGXEYAWKXCXEYNWSWTXEYNOXBABCXHDEGHIXHWA
      KWLWMWNPXEXHWOWQPXEXHWRWQ $.

    $( An element with nonzero order has as many multiples as its order.
       (Contributed by Stefan O'Rear, 6-Sep-2015.) $)
    odf1o2 $p |- ( ( G e. Grp /\ A e. X /\ ( O ` A ) e. NN ) ->
        ( x e. ( 0 ..^ ( O ` A ) ) |-> ( x .x. A ) ) :
          ( 0 ..^ ( O ` A ) ) -1-1-onto-> ( K ` { A } ) ) $=
      ( vy wcel cfv cc0 co wceq wa cz wb cgrp cn w3a cfzo csn cv cmpt ccnv wfun
      wfo wf1o wfn crn wf1 simpl1 elfzoelz adantl simpl2 mulgcl syl3anc ex cmin
      cdvds simpl3 nncnd subid1d breq1d fzocongeq ad2antrl ad2antll eqid odcong
      wbr c0g syl112anc 3bitr3rd dom2lem f1fn syl cres resss ssriv resmpt ax-mp
      wss oveq1 cbvmptv 3sstr3i rnss mp1i wrex cmo simpr zmodfzo syl2anc 3an1rs
      odmod eqcomd rspceeqv cvv ovex elrnmpt sylibr frnd eqssd cycsubg2 3adant3
      fmpttd eqtr4d df-fo sylanbrc wf df-f1 simprbi dff1o3 ) DUAMZBGMZBFNZUBMZU
      CZOXRUDPZBUEENZAYAAUFZBCPZUGZUJZYEUHUIZYAYBYEUKXTYEYAULZYEUMZYBQYFXTYAGYE
      UNZYHXTALYAGYDLUFZBCPZXTYCYAMZYDGMZXTYMRXPYCSMZXQYNXPXQXSYMUOYMYOXTYCOXRU
      PZUQXPXQXSYMURGCDYCBHIUSUTVAXTYMYKYAMZRZYDYLQZYCYKQZTXTYRRZXROVBPZYCYKVBP
      ZVCVMZXRUUCVCVMZYTYSUUAUUBXRUUCVCUUAXRUUAXRXPXQXSYRVDVEVFVGYRUUDYTTXTYCYK
      OXRVHUQUUAXPXQYOYKSMZUUEYSTXPXQXSYRUOXPXQXSYRURYMYOXTYQYPVIYQUUFXTYMYKOXR
      UPVJBCDYCYKFGDVNNZHJIUUGVKZVLVOVPVAVQZYAGYEVRVSXTYILSYLUGZUMZYBXTYIUUKYEU
      UJWEYIUUKWEXTASYDUGZYAVTZUULYEUUJUULYAWAYASWEUUMYEQAYASYPWBASYAYDWCWDALSY
      DYLYCYKBCWFWGWHYEUUJWIWJXTSYIUUJXTLSYLYIXTUUFRZYLYDQAYAWKZYLYIMZUUNYKXRWL
      PZYAMZYLUUQBCPZQUUOUUNUUFXSUURXTUUFWMXPXQXSUUFVDYKXRWNWOUUNUUSYLXPXQUUFXS
      UUSYLQBCDYKFGUUGHJIUUHWQWPWRAUUQYAYDUUSYLYCUUQBCWFWSWOYLWTMUUPUUOTYKBCXAA
      YAYDYLYEWTYEVKXBWDXCXHXDXEXPXQYBUUKQXSLBCUUJDEGHIUUJVKKXFXGXIYAYBYEXJXKXT
      YJYGUUIYJYAGYEXLYGYAGYEXMXNVSYAYBYEXOXK $.
  $}

  ${
    $d x A $.  $d x G $.  $d x K $.  $d x O $.  $d x X $.
    odhash.x $e |- X = ( Base ` G ) $.
    odhash.o $e |- O = ( od ` G ) $.
    odhash.k $e |- K = ( mrCls ` ( SubGrp ` G ) ) $.
    $( An element of zero order generates an infinite subgroup.  (Contributed
       by Stefan O'Rear, 12-Sep-2015.) $)
    odhash $p |- ( ( G e. Grp /\ A e. X /\ ( O ` A ) = 0 ) ->
        ( # ` ( K ` { A } ) ) = +oo ) $=
      ( vx wcel cfv wceq cz chash cpnf cen wbr zex cvv com cgrp cc0 w3a csn cmg
      cv co cmpt wf1o eqid odf1o1 f1oen hasheni cfn wn ominf wb cn znnen nnenom
      3syl entri enfi ax-mp mtbir hashinf mp2an eqtr3di ) BUAJAEJADKUBLUCZMNKZA
      UDCKZNKZOVIMVKIMIUFABUEKZUGUHZUIMVKPQVJVLLIAVMBCDEFVMUJGHUKMVKVNRULMVKUMV
      AMSJMUNJZUOVJOLRVOTUNJZUPMTPQVOVPUQMURTUSUTVBMTVCVDVEMSVFVGVH $.

    $( If an element has nonzero order, it generates a subgroup with size equal
       to the order.  (Contributed by Stefan O'Rear, 12-Sep-2015.) $)
    odhash2 $p |- ( ( G e. Grp /\ A e. X /\ ( O ` A ) e. NN ) ->
        ( # ` ( K ` { A } ) ) = ( O ` A ) ) $=
      ( vx cgrp wcel cfv cn w3a cc0 cfzo co chash csn wceq cv cmg cmpt wf1o cen
      wbr eqid odf1o2 ovex f1oen hasheni 3syl cn0 odcl 3ad2ant2 hashfzo0 eqtr3d
      syl ) BJKZAEKZADLZMKZNZOVAPQZRLZASCLZRLZVAVCVDVFIVDIUAABUBLZQUCZUDVDVFUEU
      FVEVGTIAVHBCDEFVHUGGHUHVDVFVIOVAPUIUJVDVFUKULVCVAUMKZVEVATUTUSVJVBABDEFGU
      NUOVAUPURUQ $.

    $( An element which generates a finite subgroup has order the size of that
       subgroup.  (Contributed by Stefan O'Rear, 12-Sep-2015.) $)
    odhash3 $p |- ( ( G e. Grp /\ A e. X /\ ( K ` { A } ) e. Fin ) ->
        ( O ` A ) = ( # ` ( K ` { A } ) ) ) $=
      ( cgrp wcel csn cfv cfn w3a chash cn wceq cc0 cr cpnf cn0 wne 3ad2ant2 wa
      odcl hashcl nn0red wn pnfnre neli odhash eleq1d mtbiri 3expia syl5 3impia
      necon2ad elnnne0 sylanbrc odhash2 syld3an3 eqcomd ) BIJZAEJZAKCLZMJZNZVEO
      LZADLZVCVDVFVIPJZVHVIQVGVIUAJZVIRUBZVJVDVCVKVFABDEFGUEUCVCVDVFVLVFVHSJZVC
      VDUDZVLVFVHVEUFUGVNVMVIRVCVDVIRQZVMUHVCVDVONZVMTSJTSUIUJVPVHTSABCDEFGHUKU
      LUMUNUQUOUPVIURUSABCDEFGHUTVAVB $.

    $d x y A $.  $d x y G $.  $d x y K $.  $d x y O $.  $d x y X $.
    $( A cyclic subgroup of size ` ( O `` A ) ` has ` ( phi `` ( O `` A ) ) `
       generators.  (Contributed by Stefan O'Rear, 12-Sep-2015.) $)
    odngen $p |- ( ( G e. Grp /\ A e. X /\ ( O ` A ) e. NN ) ->
        ( # ` { x e. ( K ` { A } ) | ( O ` x ) = ( O ` A ) } ) =
          ( phi ` ( O ` A ) ) ) $=
      ( vy wcel cfv cc0 co cv wceq crab chash eqid wf1o cgrp w3a cfzo cmpt ccnv
      cn cmg csn cima cphi mptpreima fveq2i wf1 odf1o2 f1ocnv f1of1 3syl ssrab2
      wss wa cen wbr fvex rabex f1imaen hasheni syl sylancl c1 wb simpl1 simpl2
      cgcd cz elfzoelz adantl cycsubg2cl syl3anc fveqeq2 elrab3 simpl3 odmulgeq
      syl31anc bitrd rabbidva fveq2d dfphi2 3ad2ant3 eqtr4d 3eqtr3a ) CUAKZBFKZ
      BELZUFKZUBZJMWMUCNZJOZBCUGLZNZUDZUEZAOZELWMPZABUHZDLZQZUIZRLZWSXFKZJWPQZR
      LZXFRLZWMUJLZXGXJRJWPWSXFWTWTSUKULWOXEWPXAUMZXFXEUSZXHXLPZWOWPXEWTTXEWPXA
      TXNJBWRCDEFGWRSZHIUNWPXEWTUOXEWPXAUPUQXCAXEURXNXOUTXGXFVAVBXPXEWPXFXAXCAX
      EXDDVCVDVEXGXFVFVGVHWOXKWQWMVMNVIPZJWPQZRLZXMWOXJXSRWOXIXRJWPWOWQWPKZUTZX
      IWSELWMPZXRYBWSXEKZXIYCVJYBWKWLWQVNKZYDWKWLWNYAVKZWKWLWNYAVLZYAYEWOWQMWMV
      OVPZBWRCDWQFGXQIVQVRXCYCAWSXEXBWSWMEVSVTVGYBWKWLYEWNYCXRVJYFYGYHWKWLWNYAW
      ABWRCWQEFGHXQWBWCWDWEWFWNWKXMXTPWLJWMWGWHWIWJ $.
  $}

  ${
    $d x y .0. $.  $d g i x y G $.  $d g i I $.  $d g i x y V $.  $d x y .x. $.
    $d x X $.
    gexval.1 $e |- X = ( Base ` G ) $.
    gexval.2 $e |- .x. = ( .g ` G ) $.
    gexval.3 $e |- .0. = ( 0g ` G ) $.
    gexval.4 $e |- E = ( gEx ` G ) $.
    gexval.i $e |- I = { y e. NN | A. x e. X ( y .x. x ) = .0. } $.
    $( Value of the exponent of a group.  (Contributed by Mario Carneiro,
       23-Apr-2016.)  (Revised by AV, 26-Sep-2020.) $)
    gexval $p |- ( G e. V -> E = if ( I = (/) , 0 , inf ( I , RR , < ) ) ) $=
      ( vi cfv wceq cc0 cr cvv vg wcel cgex c0 clt cinf cif cv cmg c0g cbs wral
      co cn crab csb df-gex nnex rabex a1i simpr fveq2d eqtr4di oveqd raleqbidv
      wa eqeq12d rabbidv eqeq2d biimpa eqeq1d infeq1d ifbieq2d csbied elex c0ex
      ltso infex ifex fvmptd2 eqtrid ) EGUBZDEUCPFUDQZRFSUEUFZUGZMWBUAEOBUHZAUH
      ZUAUHZUIPZUMZWHUJPZQZAWHUKPZULZBUNUOZOUHZUDQZRWPSUEUFZUGZUPWETUCTAUAOBUQW
      BWHEQZVFZOWOWSWETWOTUBXAWNBUNURUSUTXAWPWOQZVFZWQWCWRWDRXCWPFUDXAXBWPFQXAW
      OFWPXAWOWFWGCUMZIQZAHULZBUNUOFXAWNXFBUNXAWLXEAWMHXAWMEUKPHXAWHEUKWBWTVAZV
      BJVCXAWJXDWKIXAWICWFWGXAWIEUIPCXAWHEUIXGVBKVCVDXAWKEUJPIXAWHEUJXGVBLVCVGV
      EVHNVCVIVJZVKXCSWPFUEXHVLVMVNEGVOWETUBWBWCRWDVPSFUEVQVRVSUTVTWA $.

    $( The group element order is either zero or a nonzero multiplier that
       annihilates the element.  (Contributed by Mario Carneiro, 23-Apr-2016.)
       (Proof shortened by AV, 26-Sep-2020.) $)
    gexlem1 $p |- ( G e. V -> ( ( E = 0 /\ I = (/) ) \/ E e. I ) ) $=
      ( wcel c0 wceq cc0 wi cn cr clt cinf cif wa wo gexval eqeq2 imbi1d expcom
      orc adantl wn c1 cuz cfv wss wne cv co wral crab ssrab2 nnuz eqcomi neqne
      3sstr4i infssuzcl sylancr eleq1a syl olc syl6 ifbothda mpd ) EGOZDFPQZRFU
      AUBUCZUDZQZDRQZVQUEZDFOZUFZABCDEFGHIJKLMNUGVQWAWDSZDVRQZWDSVTWDSVPRVRRVSQ
      WAVTWDRVSDUHUIVRVSQWFVTWDVRVSDUHUIVQWEVPWAVQWDWBWCUKUJULVPVQUMZUEZWFWCWDW
      HVRFOZWFWCSWHFUNUOUPZUQFPURZWIBUSAUSCUTIQAHVAZBTVBTFWJWLBTVCNTWJVDVEVGWGW
      KVPFPVFULFUNVHVIVRFDVJVKWCWBVLVMVNVO $.
  $}

  ${
    $d x A $.  $d x y E $.  $d x y G $.  $d x y N $.  $d x y V $.  $d x y X $.
    $d x y .0. $.  $d x y .x. $.
    gexcl.1 $e |- X = ( Base ` G ) $.
    gexcl.2 $e |- E = ( gEx ` G ) $.
    $( The exponent of a group is a nonnegative integer.  (Contributed by Mario
       Carneiro, 23-Apr-2016.) $)
    gexcl $p |- ( G e. V -> E e. NN0 ) $=
      ( vy vx wcel cn cc0 wceq wo cn0 cv cmg cfv co c0g eqid wral c0 wa gexlem1
      crab simpl elrabi orim12i syl orcomd elnn0 sylibr ) BCIZAJIZAKLZMANIUMUOU
      NUMUOGOHOBPQZRBSQZLHDUAZGJUEZUBLZUCZAUSIZMUOUNMHGUPABUSCDUQEUPTUQTFUSTUDV
      AUOVBUNUOUTUFURGAJUGUHUIUJAUKUL $.

    gexid.3 $e |- .x. = ( .g ` G ) $.
    gexid.4 $e |- .0. = ( 0g ` G ) $.
    $( Any element to the power of the group exponent.  (Contributed by Mario
       Carneiro, 24-Apr-2016.) $)
    gexid $p |- ( A e. X -> ( E .x. A ) = .0. ) $=
      ( vy vx wcel cc0 wceq cv co wral cn oveq1 crab c0 mulg0 sylan9eqr adantrr
      wa eqeq1d ralbidv elrab simprbi oveq2 rspcva sylan2 cvv wo cbs cfv elfvex
      eleq2s eqid gexlem1 syl mpjaodan ) AEMZCNOZKPZLPZBQZFOZLERZKSUAZUBOZUFZCA
      BQZFOZCVKMZVDVEVOVLVEVDVNNABQFCNABTEBDAFGJIUCUDUEVPVDCVGBQZFOZLERZVOVPCSM
      VSVJVSKCSVFCOZVIVRLEVTVHVQFVFCVGBTUGUHUIUJVRVOLAEVGAOVQVNFVGACBUKUGULUMVD
      DUNMZVMVPUOWAADUPUQEADUPURGUSLKBCDVKUNEFGIJHVKUTVAVBVC $.

    $( Any positive annihilator of all the group elements is an upper bound on
       the group exponent.  (Contributed by Mario Carneiro, 24-Apr-2016.)
       (Proof shortened by AV, 26-Sep-2020.) $)
    gexlem2 $p |- ( ( G e. V /\ N e. NN /\ A. x e. X ( N .x. x ) = .0. ) ->
        E e. ( 1 ... N ) ) $=
      ( vy wcel cn co wceq c1 wa c0 cv wral cfz crab oveq1 eqeq1d ralbidv elrab
      cr clt cinf cc0 cif eqid gexval wne ifnefalse syl sylan9eq cle wbr ssrab2
      ne0i cuz cfv nnuz sseqtri adantl infssuzcl sylancr sselid infssuzle wb cz
      wss mpan elrabi nnzd fznn mpbir2and eqeltrd sylan2br 3impb ) DFNZEONZEAUA
      ZBPZHQZAGUBZCREUCPZNZWEWISWDEMUAZWFBPZHQZAGUBZMOUDZNZWKWOWIMEOWLEQZWNWHAG
      WRWMWGHWLEWFBUEUFUGUHWDWQSZCWPUIUJUKZWJWDWQCWPTQULWTUMZWTAMBCDWPFGHIKLJWP
      UNUOWQWPTUPZXAWTQWPEVCZWPTULWTUQURUSWSWTWJNZWTONZWTEUTVAZWSWPOWTWOMOVBZWS
      WPRVDVEZVOZXBWTWPNWPOXHXGVFVGZWQXBWDXCVHWPRVIVJVKWQXFWDXIWQXFXJEWPRVLVPVH
      WQXDXEXFSVMZWDWQEVNNXKWQEWOMEOVQVRWTEVSURVHVTWAWBWC $.

    $( Any group element is annihilated by any multiple of the group exponent.
       (Contributed by Mario Carneiro, 24-Apr-2016.) $)
    gexdvdsi $p |- ( ( G e. Grp /\ A e. X /\ E || N ) ->
      ( N .x. A ) = .0. ) $=
      ( vx cgrp wcel cdvds wbr co wceq cz wa w3a cv cmul simp3 dvdszrcl divides
      biadanii sylib simprd simpl1 simpr simplld adantr simpl2 mulgass syl13anc
      wrex gexid oveq2d mulgz 3ad2antl1 3eqtrd oveq1 eqeq1d syl5ibcom rexlimdva
      syl mpd ) DMNZAFNZCEOPZUAZLUBZCUCQZERZLSUQZEABQZGRZVLCSNZESNZTZVPVLVKWAVP
      TVIVJVKUDVKWAVPCEUELCEUFUGUHZUIVLVOVRLSVLVMSNZTZVNABQZGRVOVRWDWEVMCABQZBQ
      ZVMGBQZGWDVIWCVSVJWEWGRVIVJVKWCUJVLWCUKVLVSWCVLVSVTVPWBULUMVIVJVKWCUNZFBD
      VMCAHJUOUPWDWFGVMBWDVJWFGRWIABCDFGHIJKURVGUSVIVJWCWHGRVKFBDVMGHJKUTVAVBVO
      WEVQGVNEABVCVDVEVFVH $.

    $( The only ` N ` that annihilate all the elements of the group are the
       multiples of the group exponent.  (Contributed by Mario Carneiro,
       24-Apr-2016.) $)
    gexdvds $p |- ( ( G e. Grp /\ N e. ZZ ) ->
      ( E || N <-> A. x e. X ( N .x. x ) = .0. ) ) $=
      ( vy wcel wa co wceq adantr cc0 cn cfv cgrp cz cdvds wbr cv wral gexdvdsi
      wi 3expia ralrimdva crab c0 cabs wn noel simprr eleq2d oveq1 eqeq1d elrab
      ralbidv bitr3di rbaibd mtbii ex cn0 wo nn0abscl ad2antlr elnn0 sylib syld
      ord cneg simpr oveq1d cminusg eqid mulgneg 3expa grpinvid ad2antrr eqcomd
      wb eqeq12d simpll mulgcl grpidcl grpinv11 bitrd sylan9bbr cr zre mpjaodan
      absord ralbidva simprl breq1d cc zcn abs00ad 3bitr4rd 3imtr3d elrabi cdiv
      0dvds cmo cfl cmul cmin csg crp adantl nnrp modval syl2an simplll simpllr
      nnz rerpdivcl flcld zmulcld mulgsubdir syl13anc dvdsmul1 syl2anc grpsubid
      syl3anc oveq12d syl2anc2 eqtrd 3eqtrd expr ralimdva cle clt modlt adantll
      zmodcl c1 nn0red nnre ltnled mpbid w3a cfz gexlem2 elfzle2 impancom con3d
      syl mpid 3syld simplr dvdsval3 sylibrd sylan2 gexlem1 impbid ) DUAMZEUBMZ
      NZCEUCUDZEAUEZBOZGPZAFUFZUUTUVCUVGUHUVAUUTUVCUVFAFUUTUVDFMZUVCUVFUVDBCDEF
      GHIJKUGUIUJQUVBCRPZLUEZUVDBOZGPZAFUFZLSUKZULPZNZUVGUVCUHZCUVNMZUVBUVPNZEU
      MTZUVDBOZGPZAFUFZUVTRPZUVGUVCUVSUWCUVTSMZUNZUWDUVSUWCUWFUVSUWCNUVTULMZUWE
      UVTUOUVSUWGUWEUWCUVSUVTUVNMUWGUWEUWCNUVSUVNULUVTUVBUVIUVOUPUQUVMUWCLUVTSU
      VJUVTPZUVLUWBAFUWHUVKUWAGUVJUVTUVDBURUSVAUTVBVCVDVEUVSUWEUWDUVSUVTVFMZUWE
      UWDVGUVAUWIUUTUVPEVHVIUVTVJVKVMVLUVBUWCUVGWDUVPUVBUWBUVFAFUVBUVHNZUVTEPZU
      WBUVFWDUVTEVNZPZUWJUWKNZUWAUVEGUWNUVTEUVDBUWJUWKVOVPUSUWMUWBUWLUVDBOZGPZU
      WJUVFUWMUWAUWOGUVTUWLUVDBURUSUWJUWPUVEDVQTZTZGUWQTZPUVFUWJUWOUWRGUWSUUTUV
      AUVHUWOUWRPFBDUWQEUVDHJUWQVRZVSVTUWJUWSGUUTUWSGPUVAUVHDUWQGKUWTWAWBWCWEUW
      JFDUWQUVEGHUWTUUTUVAUVHWFUUTUVAUVHUVEFMFBDEUVDHJWGVTUUTGFMZUVAUVHFDGHKWHZ
      WBWIWJWKUWJEUVAEWLMZUUTUVHEWMZVIWOWNWPQUVSREUCUDZERPZUVCUWDUVAUXEUXFWDUUT
      UVPEXFVIUVSCREUCUVBUVIUVOWQWRUVSEUVAEWSMUUTUVPEWTVIXAXBXCUVRUVBCSMZUVQUVM
      LCSXDUVBUXGNZUVGECXGOZRPZUVCUXHUVGUXIUVDBOZGPZAFUFZUXISMZUNZUXJUXHUVFUXLA
      FUXHUVHUVFUXLUXHUVHUVFNZNZUXKECECXEOZXHTZXIOZXJOZUVDBOZUVEUXTUVDBOZDXKTZO
      ZGUXQUXIUYAUVDBUXHUXIUYAPZUXPUVBUXCCXLMZUYFUXGUVAUXCUUTUXDXMZCXNZECXOXPQV
      PUXQUUTUVAUXTUBMUVHUYBUYEPUUTUVAUXGUXPXQZUUTUVAUXGUXPXRUXQCUXSUXGCUBMZUVB
      UXPCXSVIZUXHUXSUBMZUXPUXHUXRUVBUXCUYGUXRWLMUXGUYHUYIECXTXPYAQZYBUXHUVHUVF
      WQZFBDEUYDUXTUVDHJUYDVRZYCYDUXQUYEGGUYDOZGUXQUVEGUYCGUYDUXHUVHUVFUPUXQUUT
      UVHCUXTUCUDZUYCGPUYJUYOUXQUYKUYMUYRUYLUYNCUXSYEYFUVDBCDUXTFGHIJKUGYHYIUXH
      UYQGPZUXPUXHUUTUXAUYSUUTUVAUXGWFUXBFDUYDGGHKUYPYGYJQYKYLYMYNUXHUXMCUXIYOU
      DZUNZUXOUXHUXICYPUDZVUAUVBUXCUYGVUBUXGUYHUYIECYQXPUXHUXICUXHUXIUVAUXGUXIV
      FMZUUTECYSYRZUUAUXGCWLMUVBCUUBXMUUCUUDUUTUXMVUAUXOUHZUHUVAUXGUUTUXMVUEUUT
      UXMNUXNUYTUUTUXNUXMUYTUUTUXNUXMUYTUUTUXNUXMUUECYTUXIUUFOMUYTABCDUXIUAFGHI
      JKUUGCYTUXIUUHUUKUIUUIUUJVEWBUULUXHUXNUXJUXHVUCUXNUXJVGVUDUXIVJVKVMUUMUXH
      UXGUVAUVCUXJWDUVBUXGVOUUTUVAUXGUUNCEUUOYFUUPUUQUUTUVPUVRVGUVAALBCDUVNUAFG
      HJKIUVNVRUURQWNUUS $.
  $}

  ${
    $d x E $.  $d x G $.  $d x N $.  $d x X $.
    gexod.1 $e |- X = ( Base ` G ) $.
    gexod.2 $e |- E = ( gEx ` G ) $.
    gexod.3 $e |- O = ( od ` G ) $.
    $( An integer divides the group exponent iff it divides all the group
       orders.  In other words, the group exponent is the LCM of the orders of
       all the elements.  (Contributed by Mario Carneiro, 24-Apr-2016.) $)
    gexdvds2 $p |- ( ( G e. Grp /\ N e. ZZ ) ->
      ( E || N <-> A. x e. X ( O ` x ) || N ) ) $=
      ( cgrp wcel cz wa cdvds wbr cv cmg cfv wral eqid co c0g gexdvds wb oddvds
      wceq 3expa an32s ralbidva bitr4d ) CJKZDLKZMZBDNODAPZCQRZUACUBRZUFZAFSUNE
      RDNOZAFSAUOBCDFUPGHUOTZUPTZUCUMURUQAFUKUNFKZULURUQUDZUKVAULVBUNUOCDEFUPGI
      USUTUEUGUHUIUJ $.

    $( Any group element is annihilated by any multiple of the group exponent.
       (Contributed by Mario Carneiro, 24-Apr-2016.) $)
    gexod $p |- ( ( G e. Grp /\ A e. X ) -> ( O ` A ) || E ) $=
      ( cgrp wcel wa cfv cdvds wbr cmg co c0g wceq eqid gexid adantl cn0 adantr
      cz wb gexcl nn0zd oddvds mpd3an3 mpbird ) CIJZAEJZKZADLBMNZBACOLZPCQLZRZU
      LUQUKAUOBCEUPFGUOSZUPSZTUAUKULBUDJUNUQUEUMBUKBUBJULBCIEFGUFUCUGAUOCBDEUPF
      HURUSUHUIUJ $.

    $( If the order of every group element is bounded by ` N ` , the group has
       finite exponent.  (Contributed by Mario Carneiro, 24-Apr-2016.) $)
    gexcl3 $p |- ( ( G e. Grp /\
      A. x e. X ( O ` x ) e. ( 1 ... N ) ) -> E e. NN ) $=
      ( cgrp wcel cfv c1 cfz co wral wa cn cuz syl cv cfa cmg c0g wceq simpl c0
      wrex wne grpbn0 r19.2z sylan nnuz eleqtrrdi rexlimivw nnnn0d faccld cdvds
      elfzuz2 wbr elfzuzb elnnuz dvdsfac sylanbr sylbi adantl cz wb simpll nnzd
      simplr eqid oddvds syl3anc mpbid ex ralimdva imp gexlem2 elfznn ) CJKZAUA
      ZELZMDNOKZAFPZQZBMDUBLZNOKZBRKWFWAWGRKWGWBCUCLZOCUDLZUEZAFPZWHWAWEUFWFDWF
      DWFWDAFUHZDRKZWAFUGUIWEWMFCGUJWDAFUKULWDWNAFWDDMSLZRWCMDUSUMUNZUOTUPUQWAW
      EWLWAWDWKAFWAWBFKZQZWDWKWRWDQZWCWGURUTZWKWDWTWRWDWCWOKZDWCSLKZQWTWCMDVAXA
      WCRKXBWTWCVBWCDVCVDVEVFWSWAWQWGVGKWTWKVHWAWQWDVIWAWQWDVKWSWGWSDWSDWDWNWRW
      PVFUPUQVJWBWICWGEFWJGIWIVLZWJVLZVMVNVOVPVQVRAWIBCWGJFWJGHXCXDVSVNBWGVTT
      $.

    $( Every group element has finite order if the exponent is finite.
       (Contributed by Mario Carneiro, 24-Apr-2016.) $)
    gexnnod $p |- ( ( G e. Grp /\ E e. NN /\ A e. X ) -> ( O ` A ) e. NN ) $=
      ( cgrp wcel cn w3a cfv cc0 wceq cdvds wbr wn wne 3ad2ant2 nnne0 cz wb nnz
      0dvds syl necon3bbid mpbird gexod 3adant2 breq1 syl5ibcom cn0 wo 3ad2ant3
      mtod odcl elnn0 sylib ord mt3d ) CIJZBKJZAEJZLZADMZKJZVFNOZVEVHNBPQZVEVIR
      BNSZVCVBVJVDBUATVEVIBNVEBUBJZVIBNOUCVCVBVKVDBUDTBUEUFUGUHVEVFBPQZVHVIVBVD
      VLVCABCDEFGHUIUJVFNBPUKULUPVEVGVHVEVFUMJZVGVHUNVDVBVMVCACDEFHUQUOVFURUSUT
      VA $.
  $}

  ${
    $d x E $.  $d x G $.  $d x X $.
    gexcl2.1 $e |- X = ( Base ` G ) $.
    gexcl2.2 $e |- E = ( gEx ` G ) $.
    $( The exponent of a finite group is finite.  (Contributed by Mario
       Carneiro, 24-Apr-2016.) $)
    gexcl2 $p |- ( ( G e. Grp /\ X e. Fin ) -> E e. NN ) $=
      ( vx cgrp wcel cfn cv cod cfv c1 chash cn wa wbr cz nnzd wb cfz wral eqid
      co w3a odcl2 cdvds oddvds2 wi c0 grpbn0 3ad2ant1 hashnncl 3ad2ant2 mpbird
      cle wne dvdsle syl2anc mpd fznn mpbir2and 3expa ralrimiva gexcl3 syldan
      syl ) BGHZCIHZFJZBKLZLZMCNLZUAUDHZFCUBAOHVHVIPVNFCVHVIVJCHZVNVHVIVOUEZVNV
      LOHZVLVMUPQZVJBVKCDVKUCZUFZVPVLVMUGQZVRVJBVKCDVSUHVPVLRHVMOHZWAVRUIVPVLVT
      SVPWBCUJUQZVHVIWCVOCBDUKULVIVHWBWCTVOCUMUNUOZVLVMURUSUTVPVMRHVNVQVRPTVPVM
      WDSVLVMVAVGVBVCVDFABVMVKCDEVSVEVF $.

    $( The exponent of a finite group divides the order (cardinality) of the
       group.  Corollary of Lagrange's theorem for the order of a subgroup.
       (Contributed by Mario Carneiro, 24-Apr-2016.) $)
    gexdvds3 $p |- ( ( G e. Grp /\ X e. Fin ) -> E || ( # ` X ) ) $=
      ( vx cgrp wcel cfn wa chash cfv cdvds wbr cv cod wral eqid oddvds2 3expa
      ralrimiva cz wb cn0 hashcl adantl nn0zd gexdvds2 syldan mpbird ) BGHZCIHZ
      JZACKLZMNZFOZBPLZLUNMNZFCQZUMURFCUKULUPCHURUPBUQCDUQRZSTUAUKULUNUBHUOUSUC
      UMUNULUNUDHUKCUEUFUGFABUNUQCDEUTUHUIUJ $.

    $( A group or monoid has exponent 1 iff it is trivial.  (Contributed by
       Mario Carneiro, 24-Apr-2016.) $)
    gex1 $p |- ( G e. Mnd -> ( E = 1 <-> X ~~ 1o ) ) $=
      ( vx cmnd wcel c1 wceq c1o cen wbr wa c0g cfv csn co eqid adantl cv gexid
      cmg simplr oveq1d mulg1 3eqtr3rd velsn sylibr ex ssrdv adantr snssd eqssd
      mndidcl fvex ensn1 eqbrtrdi cfz cn wral simpl 1nn a1i sylan eleq2d biimpa
      en1eqsn sylib eqtrd ralrimiva gexlem2 syl3anc elfz1eq syl impbida ) BGHZA
      IJZCKLMZVQVRNZCBOPZQZKLVTCWBVTFCWBVTFUAZCHZWCWBHZVTWDNZWCWAJZWEWFAWCBUCPZ
      RZIWCWHRZWAWCWFAIWCWHVQVRWDUDUEWDWIWAJVTWCWHABCWADEWHSZWASZUBTWDWJWCJZVTC
      WHBWCDWKUFZTUGFWAUHZUIUJUKVTWACVQWACHZVRCBWADWLUOZULUMUNWABOUPUQURVQVSNZA
      IIUSRHZVRWRVQIUTHZWJWAJZFCVAWSVQVSVBWTWRVCVDWRXAFCWRWDNZWJWCWAWDWMWRWNTXB
      WEWGWRWDWEWRCWBWCVQWPVSCWBJWQWACVHVEVFVGWOVIVJVKFWHABIGCWADEWKWLVLVMAIVNV
      OVP $.
  $}

  ${
    $d g n p x G $.  $d g p O $.  $d g n p x P $.  $d g p x X $.
    ispgp.1 $e |- X = ( Base ` G ) $.
    ispgp.2 $e |- O = ( od ` G ) $.
    $( A group is a ` P ` -group if every element has some power of ` P ` as
       its order.  (Contributed by Mario Carneiro, 15-Jan-2015.) $)
    ispgp $p |- ( P pGrp G <-> ( P e. Prime /\ G e. Grp /\
      A. x e. X E. n e. NN0 ( O ` x ) = ( P ^ n ) ) ) $=
      ( vg vp cpgp cprime wa cv cfv cexp wceq cn0 cod cbs wbr wcel cgrp co wrex
      simpr fveq2d eqtr4di fveq1d simpl oveq1d eqeq12d rexbidv raleqbidv df-pgp
      wral w3a brab2a df-3an bitr4i ) BDKUABLUBZDUCUBZMANZEOZBCNZPUDZQZCRUEZAFU
      PZMVAVBVIUQVCINZSOZOZJNZVEPUDZQZCRUEZAVJTOZUPVIJIBDLUCKVMBQZVJDQZMZVPVHAV
      QFVTVQDTOFVTVJDTVRVSUFZUGGUHVTVOVGCRVTVLVDVNVFVTVCVKEVTVKDSOEVTVJDSWAUGHU
      HUIVTVMBVEPVRVSUJUKULUMUNAICJUOURVAVBVIUSUT $.
  $}

  ${
    $d n x G $.  $d n x N $.  $d n x P $.  $d x X $.
    $( Reverse closure for the first argument of ` pGrp ` .  (Contributed by
       Mario Carneiro, 15-Jan-2015.) $)
    pgpprm $p |- ( P pGrp G -> P e. Prime ) $=
      ( vx vn cpgp wbr cprime wcel cgrp cv cod cfv cexp wceq cn0 wrex wral eqid
      co cbs ispgp simp1bi ) ABEFAGHBIHCJBKLZLADJMSNDOPCBTLZQCADBUCUDUDRUCRUAUB
      $.

    $( Reverse closure for the second argument of ` pGrp ` .  (Contributed by
       Mario Carneiro, 15-Jan-2015.) $)
    pgpgrp $p |- ( P pGrp G -> G e. Grp ) $=
      ( vx vn cpgp wbr cprime wcel cgrp cv cod cfv cexp wceq cn0 wrex wral eqid
      co cbs ispgp simp2bi ) ABEFAGHBIHCJBKLZLADJMSNDOPCBTLZQCADBUCUDUDRUCRUAUB
      $.

    pgpfi1.1 $e |- X = ( Base ` G ) $.
    $( A finite group with order a power of a prime ` P ` is a ` P ` -group.
       (Contributed by Mario Carneiro, 16-Jan-2015.) $)
    pgpfi1 $p |- ( ( G e. Grp /\ P e. Prime /\ N e. NN0 ) ->
      ( ( # ` X ) = ( P ^ N ) -> P pGrp G ) ) $=
      ( vx vn wcel cn0 cfv cexp co wceq wbr wa cv wrex cdvds adantr cn cgrp w3a
      cprime chash cpgp cod simpl2 simpl1 simpll3 cfn simplr prmnn syl nnexpcld
      wral nnnn0d eqeltrd cvv cbs fvexi hashclb ax-mp sylibr simpr eqid oddvds2
      wb syl3anc breqtrd oveq2 breq2d rspcev syl2anc odcl2 cpc pcprmpw2 pcprmpw
      bitr4d mpbid ralrimiva ispgp syl3anbrc ex ) BUAHZAUCHZCIHZUBZDUDJZACKLZMZ
      ABUENZWGWJOZWEWDFPZBUFJZJZAGPZKLZMGIQZFDUOWKWDWEWFWJUGZWDWEWFWJUHZWLWRFDW
      LWMDHZOZWOWQRNZGIQZWRXBWFWOWIRNZXDWDWEWFWJXAUIZXBWOWHWIRXBWDDUJHZXAWOWHRN
      WLWDXAWTSZXBWHIHZXGXBWHWIIWGWJXAUKZXBWIXBACXBWEATHWLWEXAWSSZAULUMXFUNUPUQ
      DURHXGXIVGDBUSEUTDURVAVBVCZWLXAVDZWMBWNDEWNVEZVFVHXJVIXCXEGCIWPCMWQWIWORW
      PCAKVJVKVLVMXBWEWOTHZXDWRVGXKXBWDXGXAXOXHXLXMWMBWNDEXNVNVHWEXOOXDWOAAWOVO
      LKLMWRWOAGVPWOAGVQVRVMVSVTFAGBWNDEXNWAWBWC $.
  $}

  ${
    pgp0.1 $e |- .0. = ( 0g ` G ) $.
    $( The identity subgroup is a ` P ` -group for every prime ` P ` .
       (Contributed by Mario Carneiro, 19-Jan-2015.) $)
    pgp0 $p |- ( ( G e. Grp /\ P e. Prime ) -> P pGrp ( G |`s { .0. } ) ) $=
      ( cgrp wcel cprime wa csn cress co cbs cfv chash cc0 wceq c1 cvv eqid syl
      cexp cpgp wbr cn prmnn adantl nncnd exp0d fvexi hashsng ax-mp csubg 0subg
      c0g adantr subgbas fveq2d eqtr3id eqtr2d cn0 wi subggrp simpr 0nn0 pgpfi1
      a1i syl3anc mpd ) BEFZAGFZHZBCIZJKZLMZNMZAOUAKZPZAVMUBUCZVKVPQVOVKAVKAVJA
      UDFVIAUEUFUGUHVKQVLNMZVOCRFVSQPCBUNDUICRUJUKVKVLVNNVKVLBULMFZVLVNPVIVTVJB
      CDUMUOZVLBVMVMSZUPTUQURUSVKVMEFZVJOUTFZVQVRVAVKVTWCWAVLBVMWBVBTVIVJVCWDVK
      VDVFAVMOVNVNSVEVGVH $.
  $}

  ${
    $d n x G $.  $d n x P $.  $d n x S $.
    $( A subgroup of a p-group is a p-group.  (Contributed by Mario Carneiro,
       27-Apr-2016.) $)
    subgpgp $p |- ( ( P pGrp G /\ S e. ( SubGrp ` G ) ) ->
      P pGrp ( G |`s S ) ) $=
      ( vx vn cpgp wbr cfv wcel wa co cgrp cod wceq cn0 wrex wral eqid adantl
      cv csubg cprime cress cexp cbs pgpprm adantr subggrp ispgp simp3bi wss wi
      subgss ssralv syl subgod adantll eqeq1d rexbidv ralbidva sylibd mpd mpbid
      subgbas raleqdv syl3anbrc ) ACFGZBCUAHIZJZAUBIZCBUCKZLIZDTZVKMHZHZAETUDKZ
      NZEOPZDVKUEHZQZAVKFGVGVJVHACUFUGVHVLVGBCVKVKRZUHSVIVRDBQZVTVIVMCMHZHZVPNZ
      EOPZDCUEHZQZWBVGWHVHVGVJCLIWHDAECWCWGWGRZWCRZUIUJUGVIWHWFDBQZWBVIBWGUKZWH
      WKULVHWLVGWGBCWIUMSWFDBWGUNUOVIWFVRDBVIVMBIZJZWEVQEOWNWDVOVPVHWMWDVONVGVM
      VNCVKWCBWAWJVNRZUPUQURUSUTVAVBVIVRDBVSVHBVSNVGBCVKWAVDSVEVCDAEVKVNVSVSRWO
      UIVF $.
  $}

  ${
    $d a b c g s u x y z B $.  $d a b c g h x y H $.  $d a b c g u w x y z S $.
    $d a b g h k n s t u v w x y z N $.  $d a b c g h k n s t u v w x y z X $.
    $d b c s u v w x y z .+ $.  $d a w z .~ $.  $d a b c g u w x y z .(+) $.
    $d a b c g h k s t u v x y z G $.  $d a b g h k n s t u v w x y z P $.
    $d a b c n t u x y z ph $.
    sylow1.x $e |- X = ( Base ` G ) $.
    sylow1.g $e |- ( ph -> G e. Grp ) $.
    sylow1.f $e |- ( ph -> X e. Fin ) $.
    sylow1.p $e |- ( ph -> P e. Prime ) $.
    sylow1.n $e |- ( ph -> N e. NN0 ) $.
    sylow1.d $e |- ( ph -> ( P ^ N ) || ( # ` X ) ) $.
    ${
      sylow1lem.a $e |- .+ = ( +g ` G ) $.
      sylow1lem.s $e |- S = { s e. ~P X | ( # ` s ) = ( P ^ N ) } $.
      $( Lemma for ~ sylow1 .  The p-adic valuation of the size of ` S ` is
         equal to the number of excess powers of ` P ` in
         ` ( # `` X ) / ( P ^ N ) ` .  (Contributed by Mario Carneiro,
         15-Jan-2015.) $)
      sylow1lem1 $p |- ( ph -> ( ( # ` S ) e. NN /\
        ( P pCnt ( # ` S ) ) = ( ( P pCnt ( # ` X ) ) - N ) ) ) $=
        ( wcel cpc co cc0 vx vn chash cfv cn cmin wceq cexp cbc cv cpw crab cfn
        cz cprime prmnn syl nnexpcld nnzd hashbc syl2anc fveq2i eqtr4di cfz cle
        wbr cdvds wi wn c0 wne cgrp grpbn0 hasheq0 necon3bbid mpbird cn0 hashcl
        wb wo elnn0 sylib ord mt3d dvdsle mpd nnnn0d nn0uz eleqtrdi nn0zd elfz5
        bccl2 eqeltrrd c1 cdiv cmul caddc mpbid bcp1nk cc nn0cnd ax-1cn sylancl
        npcan nncnd oveq12d oveq2d 3eqtr3d nnne0d syl3anc syl122anc 1cnd oveq1d
        cuz nnred breq1 bcxmaslem1 eqeq1d imbi12d imbi2d eqtrd ad2antrl nn0p1nn
        clt wa cr adantr eqtr3d cq nnq crp pcdiv syl121anc simpr ad2antrr pccld
        nnrp nn0red pcdvdsb lenltd nnuz fzsubel syl22anc 1m1e0 dvdsval2 divne0d
        1zzd oveq1i pcmul npncand ltm1d nnm1nn0 znn0sub 0nn0 nn0addcl pc1 nn0re
        bcn0 a1d ltp1d simprr lttrd imim1d oveq1 nn0cn addassd nn0addge2 simprl
        expr nn0addcld peano2zd znq rpdivcl syl2an rpne0d pcqmul addid1d eqtr2d
        comraddd zq neneqd sylbid 3imtr3d mt4d ltletrd pcadd2 pm2.61dane eqtr4d
        dvdssubr eqeltrd 00id eqtr2di eqeq12d syl5ibr animpimp2impd nn0ind pcid
        subeq0bd mpcom zsubcld zcnd addid2d 3eqtrd jca ) ADUCUDZUEQBUXERSZBGUCU
        DZRSZFUFSZUGAUXGBFUHSZUISZUXEUEAUXKHUJUCUDUXJUGHGUKULZUCUDZUXEAGUMQZUXJ
        UNQZUXKUXMUGKAUXJABFABUOQZBUEQLBUPUQMURZUSZHGUXJUTVADUXLUCPVBVCZAUXJTUX
        GVDSQZUXKUEQAUXTUXJUXGVEVFZAUXJUXGVGVFZUYANAUXOUXGUEQZUYBUYAVHUXRAUYCUX
        GTUGZAUYDVIGVJVKZAEVLQUYEJGEIVMUQAUYDGVJAUXNUYDGVJUGVSKGUMVNUQVOVPAUYCU
        YDAUXGVQQZUYCUYDVTAUXNUYFKGVRUQZUXGWAWBWCWDZUXJUXGWEVAWFZAUXJTXNUDZQUXG
        UNQZUXTUYAVSAUXJVQUYJAUXJUXQWGWHWIAUXGUYGWJZUXJTUXGWKVAVPUXJUXGWLUQWMAB
        UXKRSBUXGWNUFSZUXJWNUFSZUISZUXGUXJWOSZWPSZRSZUXFUXIAUXKUYQBRAUYMWNWQSZU
        YNWNWQSZUISZUYOUYSUYTWOSZWPSZUXKUYQAUYNTUYMVDSZQZVUAVUCUGAUYNWNWNUFSZUY
        MVDSZVUDAUXJWNUXGVDSQZUYNVUGQZAVUHUYAUYIAUXJWNXNUDZQUYKVUHUYAVSAUXJUEVU
        JUXQUUAWIUYLUXJWNUXGWKVAVPAWNUNQZUYKUXOVUKVUHVUIVSAUUGZUYLUXRVULUXJWNWN
        UXGUUBUUCWRVUFTUYMVDUUDUUHWIZUYNUYMWSUQAUYSUXGUYTUXJUIAUXGWTQWNWTQZUYSU
        XGUGAUXGUYGXAZXBUXGWNXDXCZAUXJWTQVUNUYTUXJUGAUXJUXQXEZXBUXJWNXDXCZXFAVU
        BUYPUYOWPAUYSUXGUYTUXJWOVUPVURXFXGXHXGAUXKUXEBRUXSXGAUYRBUYORSZBUYPRSZW
        QSZTUXIWQSUXIAUXPUYOUNQUYOTVKUYPUNQZUYPTVKUYRVVAUGLAUYOAVUEUYOUEQVUMUYN
        UYMWLUQZUSAUYOVVCXIAUYBVVBNAUXOUXJTVKUYKUYBVVBVSUXRAUXJUXQXIZUYLUXJUXGU
        UEXJWRAUXGUXJVUOVUQAUXGUYHXIZVVDUUFUYOUYPBUUIXKAVUSTVUTUXIWQABUXGUXJUFS
        ZUYNWQSZUYNUISZRSZVUSTAVVHUYOBRAVVGUYMUYNUIAUXGUXJWNVUOVUQAXLUUJXMXGAUY
        NUXJYDVFZVVITUGZAUXJAUXJUXQXOUUKUYNVQQZAVVJVVKVHZAUXJUEQZVVLUXQUXJUULUQ
        AUAUJZUXJYDVFZBVVFVVOWQSVVOUISZRSZTUGZVHZVHATUXJYDVFZBVVFTWQSZTUISZRSZT
        UGZVHZVHAUBUJZUXJYDVFZBVVFVWGWQSZVWGUISZRSZTUGZVHZVHAVWGWNWQSZUXJYDVFZB
        VVFVWNWQSZVWNUISZRSZTUGZVHZVHAVVMVHUAUBUYNVVOTUGZVVTVWFAVXAVVPVWAVVSVWE
        VVOTUXJYDXPVXAVVRVWDTVXAVVQVWCBRVVOTVVFXQXGXRXSXTVVOVWGUGZVVTVWMAVXBVVP
        VWHVVSVWLVVOVWGUXJYDXPVXBVVRVWKTVXBVVQVWJBRVVOVWGVVFXQXGXRXSXTVVOVWNUGZ
        VVTVWTAVXCVVPVWOVVSVWSVVOVWNUXJYDXPVXCVVRVWRTVXCVVQVWQBRVVOVWNVVFXQXGXR
        XSXTVVOUYNUGZVVTVVMAVXDVVPVVJVVSVVKVVOUYNUXJYDXPVXDVVRVVITVXDVVQVVHBRVV
        OUYNVVFXQXGXRXSXTAVWEVWAAVWDBWNRSZTAVWCWNBRAVWBVQQZVWCWNUGAVVFVQQZTVQQV
        XFAUYAVXGUYIAUXOUYKUYAVXGVSUXRUYLUXJUXGUUMVAWRZUUNVVFTUUOXCVWBUURUQXGAU
        XPVXETUGLBUUPUQYAUUSVWGVQQZAVWMVWOVWSVWLAVXIYEVWOVWHVWLAVXIVWOVWHAVXIVW
        OYEZYEZVWGVWNUXJVXIVWGYFQZAVWOVWGUUQYBZVXKVWNVXIVWNUEQZAVWOVWGYCYBZXOZV
        XKUXJAVVNVXJUXQYGXOZVXKVWGVXMUUTAVXIVWOUVAZUVBUVIUVCVWLVWSVXKVWKBVWIWNW
        QSZVWNWOSZRSZWQSZTVYAWQSZUGVWKTVYAWQUVDVXKVWRVYBTVYCVXKVWRBVWJVXTWPSZRS
        ZVYBVXKVWQVYDBRVXKVXSVWNUISZVWQVYDVXKVXSVWPVWNUIVXKVVFVWGWNVXKVVFAVXGVX
        JVXHYGZXAZVXIVWGWTQAVWOVWGUVEYBVXKXLUVFZXMVXKVWGTVWIVDSQZVYFVYDUGVXKVYJ
        VWGVWIVEVFZVXKVXLVXGVYKVXMVYGVWGVVFUVGVAVXKVWGUYJQVWIUNQVYJVYKVSVXKVWGV
        QUYJAVXIVWOUVHZWHWIVXKVWIVXKVVFVWGVYGVYLUVJZWJZVWGTVWIWKVAVPZVWGVWIWSUQ
        YHXGVXKUXPVWJYIQZVWJTVKVXTYIQZVXTTVKVYEVYBUGAUXPVXJLYGZVXKVWJUEQZVYPVXK
        VYJVYSVYOVWGVWIWLUQZVWJYJUQVXKVWJVYTXIVXKVXSUNQZVXNVYQVXKVWIVYNUVKZVXOV
        XSVWNUVLVAVXKVXTVXKVXSUEQZVXNVXTYKQZVXKVWIVQQWUCVYMVWIYCUQZVXOWUCVXSYKQ
        VWNYKQWUDVXNVXSYQVWNYQVXSVWNUVMUVNVAUVOVWJVXTBUVPXKYAVXKVYCTTWQSTVXKVYA
        TTWQVXKVYABVXSRSZBVWNRSZUFSZTVXKUXPWUAVXSTVKVXNVYAWUHUGVYRWUBVXKVXSWUEX
        IVXOVXSVWNBYLYMVXKWUFWUGVXKWUFWUGWTVXKWUFBVWNVVFWQSZRSZWUGVXKVXSWUIBRVX
        KVXSVVFVWNVYHVXKVWNVXOXEZVYIUVSXGVXKWUGWUJUGVVFTVXKVVFTUGZYEZVWNWUIBRWU
        MWUIVWNTWQSZVWNWUMVVFTVWNWQVXKWULYNXGVXKWUNVWNUGWULVXKVWNWUKUVQYGUVRXGV
        XKVVFTVKZYEZVWNVVFBAUXPVXJWUOLYOZVXKVWNYIQZWUOVXKVXNWURVXOVWNYJUQYGVXKV
        VFYIQZWUOVXKVVFUNQZWUSVXKVVFVYGWJVVFUVTUQYGWUPWUGFBVVFRSZVXKWUGYFQWUOVX
        KWUGVXKBVWNVYRVXOYPZYRZYGVXKFYFQWUOVXKFAFVQQZVXJMYGZYRZYGWUPWVAWUPBVVFW
        UQWUPVVFUEQZWULWUPVVFTVXKWUOYNUWAWUPWVGWULWUPVXGWVGWULVTAVXGVXJWUOVXHYO
        ZVVFWAWBWCWDYPYRVXKWUGFYDVFZWUOVXKVWOWVIVXRVXKFWUGVEVFZUXJVWNVEVFZWVIVI
        VWOVIVXKWVJUXJVWNVGVFZWVKVXKUXPVWNUNQWVDWVJWVLVSVYRVXKVWNVXOUSWVEFBVWNY
        SXJVXKUXOVXNWVLWVKVHAUXOVXJUXRYGVXOUXJVWNWEVAUWBVXKFWUGWVFWVCYTVXKUXJVW
        NVXQVXPYTUWCUWDYGWUPFWVAVEVFZUXJVVFVGVFZAWVNVXJWUOAUYBWVNNAUXOUYKUYBWVN
        VSUXRUYLUXJUXGUWIVAWRYOWUPUXPWUTWVDWVMWVNVSWUQWUPVVFWVHWJAWVDVXJWUOMYOF
        BVVFYSXJVPUWEUWFUWGUWHZVXKWUGWVBXAUWJWVOUWRYAXGUWKUWLUWMUWNUWOUWPUWSWFY
        HAVUTUXHBUXJRSZUFSZUXIAUXPUYKUXGTVKVVNVUTWVQUGLUYLVVEUXQUXGUXJBYLYMAWVP
        FUXHUFAUXPFUNQWVPFUGLAFMWJZFBUWQVAXGYAXFAUXIAUXIAUXHFAUXHABUXGLUYHYPWJW
        VRUWTUXAUXBUXCXHUXD $.

      sylow1lem.m $e |- .(+) = ( x e. X , y e. S |->
        ran ( z e. y |-> ( x .+ z ) ) ) $.
      $( Lemma for ~ sylow1 .  The function ` .(+) ` is a group action on
         ` S ` .  (Contributed by Mario Carneiro, 15-Jan-2015.) $)
      sylow1lem2 $p |- ( ph -> .(+) e. ( G GrpAct S ) ) $=
        ( va vb vc vw vu vv cgrp wcel cvv wa cxp wf c0g cfv cv co wceq wral cga
        chash cexp cpw cbs fvexi pwex rabex2 jctir cmpt crn wss wf1 cres simprl
        wf1o eqid grplmulf1o syl2an2r f1of1 simprr fveqeq2 elrab2 simpld elpwid
        syl sylib f1ssres syl2anc wb resmpt f1eq1 3syl mpbid f1f frn sylibr cen
        elpw2 wbr f1f1orn vex f1oen ssfi hashen mpbird simprd eqtr3d ralrimivva
        cfn sylanbrc fmpo adantr grpidcl simpr weq simpl oveq1d mpteq12dv rneqd
        mptex ovmpoa cid ssrab3 sselid sselda grplid mpteq2dva mptresid eqtr4di
        rnex rnresi eqtrdi wrex cab ovex oveq2 rnmpt abbidv ad2antrr jca grpass
        abrexco rexeqdv adantlr syl13anc eqeq2d rexbidva 3eqtr4a 3eqtr4g fovrnd
        eqtrd cbvmptv grpcl syl3anc 3eqtr4rd ralrimiva isga ) AIUHUIZHUJUIZUKKH
        ULHGUMZIUNUOZUBUPZGUQZUVBURZUCUPZUDUPZFUQZUVBGUQZUVEUVFUVBGUQZGUQZURZUD
        KUSUCKUSZUKZUBHUSZUKGIHUTUQUIAUURUUSNLUPZVAUOEJVBUQZURZLKVCZHTKKIVDMVEZ
        VFVGVHAUUTUVNADCUPZBUPZDUPZFUQZVIZVJZHUIZCHUSBKUSUUTAUWFBCKHAUWAKUIZUVT
        HUIZUKZUKZUWEUVRUIZUWEVAUOZUVPURZUWFUWJUWEKVKZUWKUWJUVTKUWDVLZUVTKUWDUM
        UWNUWJUVTKDKUWCVIZUVTVMZVLZUWOUWJKKUWPVLZUVTKVKZUWRUWJKKUWPVOZUWSAUURUW
        IUWGUXANAUWGUWHVNDKFUWPIUWAMSUWPVPVQVRKKUWPVSWEUWJUVTKUWJUVTUVRUIZUVTVA
        UOZUVPURZUWJUWHUXBUXDUKAUWGUWHVTUVQUXDLUVTUVRHUVOUVTUVPVAWATWBWFZWCWDZK
        KUVTUWPWGWHUWJUWTUWQUWDURUWRUWOWIUXFDKUVTUWCWJUVTKUWQUWDWKWLWMZUVTKUWDW
        NUVTKUWDWOWLZUWEKUVSWRWPUWJUXCUWLUVPUWJUXCUWLURZUVTUWEWQWSZUWJUWOUVTUWE
        UWDVOUXJUXGUVTKUWDWTUVTUWEUWDCXAXBWLUWJUVTXIUIZUWEXIUIZUXIUXJWIAKXIUIZU
        WIUWTUXKOUXFKUVTXCVRAUXMUWIUWNUXLOUXHKUWEXCVRUVTUWEXDWHXEUWJUXBUXDUXEXF
        XGUVQUWMLUWEUVRHUVOUWEUVPVAWATWBXJXHBCKHUWEHGUAXKWFZAUVMUBHAUVBHUIZUKZU
        VDUVLUXPUVCDUVBUVAUWBFUQZVIZVJZUVBUXPUVAKUIZUXOUVCUXSURUXPUURUXTAUURUXO
        NXLZKIUVAMUVAVPZXMWEAUXOXNZBCUVAUVBKHUWEUXSGUWAUVAURZCUBXOZUKZUWDUXRUYF
        DUVTUWCUVBUXQUYDUYEXNUYFUWAUVAUWBFUYDUYEXPXQXRXSUAUXRDUVBUXQUBXAZXTYJYA
        WHUXPUXSYBUVBVMZVJUVBUXPUXRUYHUXPUXRDUVBUWBVIUYHUXPDUVBUXQUWBUXPUURUWBU
        VBUIZUWBKUIZUXQUWBURUYAUXPUVBKUWBUXPUVBKUXPHUVRUVBUVQLUVRHTYCUYCYDWDYEZ
        KFIUWBUVAMSUYBYFVRYGDUVBYHYIXSUVBYKYLUUKUXPUVKUCUDKKUXPUVEKUIZUVFKUIZUK
        ZUKZUEUVIUVEUEUPZFUQZVIZVJZDUVBUVGUWBFUQZVIZVJZUVJUVHUYOUFUPZUYQURZUEUV
        IYMZUFYNZVUCUYTURZDUVBYMZUFYNZUYSVUBUYOVUDUEUGUPUVFUWBFUQZURDUVBYMUGYNZ
        YMZUFYNVUCUVEVUJFUQZURZDUVBYMZUFYNVUFVUIUFUEUGDUVBVUJUYQVUMUVFUWBFYOUYP
        VUJUVEFYPUUBUYOVUEVULUFUYOVUDUEUVIVUKUYOUVIDUVBVUJVIZVJZVUKUYOUYMUXOUVI
        VUQURUXPUYLUYMVTZUXPUXOUYNUYCXLZBCUVFUVBKHUWEVUQGBUDXOZUYEUKZUWDVUPVVAD
        UVTUWCUVBVUJVUTUYEXNVVAUWAUVFUWBFVUTUYEXPXQXRXSUAVUPDUVBVUJUYGXTYJYAWHD
        UGUVBVUJVUPVUPVPYQYLUUCYRUYOVUHVUOUFUYOVUGVUNDUVBUYOUYIUKZUYTVUMVUCVVBU
        URUYLUYMUYJUYTVUMURUXPUURUYNUYIUYAYSUYOUYLUYIUXPUYLUYMVNZXLUYOUYMUYIVUR
        XLUXPUYIUYJUYNUYKUUDKFIUVEUVFUWBMSUUAUUEUUFUUGYRUUHUEUFUVIUYQUYRUYRVPYQ
        DUFUVBUYTVUAVUAVPYQUUIUYOUYLUVIHUIUVJUYSURVVCUYOUVFUVBHKHGAUUTUXOUYNUXN
        YSVURVUSUUJBCUVEUVIKHUWEUYSGBUCXOZUVTUVIURZUKZUWDUYRVVFUWDDUVIUVEUWBFUQ
        ZVIUYRVVFDUVTUWCUVIVVGVVDVVEXNVVFUWAUVEUWBFVVDVVEXPXQXRDUEUVIVVGUYQUWBU
        YPUVEFYPUULYLXSUAUYRUEUVIUYQUVFUVBGYOXTYJYAWHUYOUVGKUIZUXOUVHVUBURUYOUU
        RUYLUYMVVHAUURUXOUYNNYSVVCVURKFIUVEUVFMSUUMUUNVUSBCUVGUVBKHUWEVUBGUWAUV
        GURZUYEUKZUWDVUAVVJDUVTUWCUVBUYTVVIUYEXNVVJUWAUVGUWBFVVIUYEXPXQXRXSUAVU
        ADUVBUYTUYGXTYJYAWHUUOXHYTUUPYTUBUCUDFGIKHUVAMSUYBUUQXJ $.

      sylow1lem3.1 $e |- .~ = { <. x , y >. |
        ( { x , y } C_ S /\ E. g e. X ( g .(+) x ) = y ) } $.
      $( Lemma for ~ sylow1 .  One of the orbits of the group action has p-adic
         valuation less than the prime count of the set ` S ` .  (Contributed
         by Mario Carneiro, 15-Jan-2015.) $)
      sylow1lem3 $p |- ( ph -> E. w e. S
        ( P pCnt ( # ` [ w ] .~ ) ) <_ ( ( P pCnt ( # ` X ) ) - N ) ) $=
        ( va cv chash cfv cpc co cmin cle wbr cqs wrex cec wn wral c1 caddc csu
        cexp cdvds cprime wcel cn wceq sylow1lem1 simpld pcndvds syl2anc simprd
        oveq1d oveq2d cga wer sylow1lem2 gaorber syl cpw pwfi sylib ssrab3 ssfi
        cfn wss sylancl qshash breq12d mtbid wa ssfid adantr cz prmnn cn0 pccld
        qsss eqeltrrd peano2nn0 nnexpcld nnzd c0 wne cdm elqsn0 sylan wb sselda
        erdm elpwid hashnncl mpbird adantlr clt weq fveq2 breq1d notbid rspccva
        adantll cgrp grpbn0 nn0zd zsubcld ad2antrr ltnled zltp1le mpbid pcdvdsb
        zred syl3anc fsumdvds mtand dfrex2 sylibr wi eqid imbi1d fveq2d ectocld
        eceq1 rspcev ex adantl rexlimdva mpd ) AFUFUGZUHUIZUJUKZFNUHUIZUJUKZMUL
        UKZUMUNZUFJIUOZUPZFEUGZIUQZUHUIZUJUKZUUNUMUNZEJUPZAUUOURZUFUUPUSZURUUQA
        UVEFUUNUTVAUKZVCUKZUUPDUGZUHUIZDVBZVDUNZAFFJUHUIZUJUKZUTVAUKZVCUKZUVLVD
        UNZUVKAFVEVFZUVLVGVFZUVPURSAUVRUVMUUNVHZAFGJLMNOPQRSTUAUBUCVIZVJZFUVLVK
        VLAUVOUVGUVLUVJVDAUVNUVFFVCAUVMUUNUTVAAUVRUVSUVTVMZVNVOADJIAHLJVPUKVFJI
        VQZABCDFGHJLMNOPQRSTUAUBUCUDVRBCHIKLNJUEPVSVTZANWAZWFVFZJUWEWGJWFVFZANW
        FVFZUWFRNWBWCOUGUHUIFMVCUKVHOUWEJUCWDUWEJWEWHZWIWJWKAUVEWLZUUPUVIDUVGAU
        UPWFVFUVEAJWAZUUPAUWGUWKWFVFUWIJWBWCAJIUWDWSZWMWNAUVGWOVFUVEAUVGAFUVFAU
        VQFVGVFSFWPVTAUUNWQVFUVFWQVFZAUVMUUNWQUWBAFUVLSUWAWRWTUUNXAVTZXBXCWNUWJ
        UVHUUPVFZWLZUVIAUWOUVIVGVFZUVEAUWOWLZUWQUVHXDXEZAIXFJVHZUWOUWSAUWCUWTUW
        DJIXKVTJUVHIXGXHUWRUVHWFVFUWQUWSXIUWRJUVHAUWGUWOUWIWNUWRUVHJAUUPUWKUVHU
        WLXJXLWMUVHXMVTXNXOZXCZUWPUVFFUVIUJUKZUMUNZUVGUVIVDUNZUWPUUNUXCXPUNZUXD
        UWPUXFUXCUUNUMUNZURZUVEUWOUXHAUVDUXHUFUVHUUPUFDXQZUUOUXGUXIUUKUXCUUNUMU
        XIUUJUVIFUJUUIUVHUHXRVOXSXTYAYBUWPUUNUXCUWPUUNAUUNWOVFZUVEUWOAUUMMAUUMA
        FUULSAUULVGVFZNXDXEZALYCVFUXLQNLPYDVTAUWHUXKUXLXIRNXMVTXNWRYEAMTYEYFYGZ
        YLUWPUXCUWPUXCUWPFUVIAUVQUVEUWOSYGZUXAWRYEZYLYHXNUWPUXJUXCWOVFUXFUXDXIU
        XMUXOUUNUXCYIVLYJUWPUVQUVIWOVFUWMUXDUXEXIUXNUXBAUWMUVEUWOUWNYGUVFFUVIYK
        YMYJYNYOUUOUFUUPYPYQAUUOUVCUFUUPFUVHIUQZUHUIZUJUKZUUNUMUNZUVCYRZUUOUVCY
        RADUUIJIUUPUUPYSUXPUUIVHZUXSUUOUVCUYAUXRUUKUUNUMUYAUXQUUJFUJUXPUUIUHXRV
        OXSYTUVHJVFZUXTAUYBUXSUVCUVBUXSEUVHJEDXQZUVAUXRUUNUMUYCUUTUXQFUJUYCUUSU
        XPUHUURUVHIUUCUUAVOXSUUDUUEUUFUUBUUGUUH $.

      sylow1lem4.b $e |- ( ph -> B e. S ) $.
      sylow1lem4.h $e |- H = { u e. X | ( u .(+) B ) = B } $.
      $( Lemma for ~ sylow1 .  The stabilizer subgroup of any element of ` S `
         is at most ` P ^ N ` in size.  (Contributed by Mario Carneiro,
         15-Jan-2015.) $)
      sylow1lem4 $p |- ( ph -> ( # ` H ) <_ ( P ^ N ) ) $=
        ( va vb vc chash cfv cexp co cle wbr cdom cv wcel c0 wne wex cc0 cn cpw
        wa fveqeq2 elrab2 sylib simprd cprime prmnn syl nnexpcld eqeltrd nnne0d
        wceq wb hasheq0 necon3bid mpbid adantr cmpt crn simplr oveq2 eqid fvmpt
        n0 ovex wfn fnmpti fnfvelrn sylancr eqeltrrd cvv ssrab3 sselid ad2antrr
        simpr mptexg rnexg 3syl simpl oveq1d mpteq12dv ovmpoga syl3anc eleqtrrd
        weq rneqd oveq1 eqeq1d simprbi adantl eleqtrd cgrp simprl simprr simpld
        ex elpwid sselda grprcan syl13anc dom2d mpd exlimddv cfn wss ssfi ssfid
        sylancl hashdom syl2anc mpbird breqtrd ) ANUMUNZFUMUNZGOUOUPZUQAYTUUAUQ
        URZNFUSURZAUJUTZFVAZUUDUJAFVBVCZUUFUJVDAUUAVEVCZUUGAUUAAUUAUUBVFAFPVGZV
        AZUUAUUBVSZAFKVAZUUJUUKVHUHQUTZUMUNUUBVSUUKQFUUIKUUMFUUBUMVIUEVJVKZVLZA
        GOAGVMVAGVFVAUAGVNVOUBVPVQVRAUULUUHUUGVTUHUULUUAVEFVBFKWAWBVOWCUJFWKVKA
        UUFVHZUULUUDAUULUUFUHWDUUPUKULNFUKUTZUUEHUPZULUTZUUEHUPZKUUPUUQNVAZUURF
        VAUUPUVAVHZUURUUQFIUPZFUVBUURDFUUQDUTZHUPZWEZWFZUVCUVBUUEUVFUNZUURUVGUV
        BUUFUVHUURVSAUUFUVAWGZDUUEUVEUURFUVFUVDUUEUUQHWHUVFWIZUUQUUEHWLWJVOUVBU
        VFFWMUUFUVHUVGVADFUVEUVFUUQUVDHWLUVJWNUVIFUUEUVFWOWPWQUVBUUQPVAZUULUVGW
        RVAZUVCUVGVSUVBNPUUQEUTZFIUPZFVSZEPNUIWSZUUPUVAXBWTAUULUUFUVAUHXAZUVBUU
        LUVFWRVAUVLUVQDFUVEKXCUVFWRXDXEBCUUQFPKDCUTZBUTZUVDHUPZWEZWFUVGIWRBUKXL
        ZUVRFVSZVHZUWAUVFUWDDUVRUVTFUVEUWBUWCXBUWDUVSUUQUVDHUWBUWCXFXGXHXMUFXIX
        JXKUVAUVCFVSZUUPUVAUVKUWEUVOUWEEUUQPNEUKXLUVNUVCFUVMUUQFIXNXOUIVJXPXQXR
        YCUUPUVAUUSNVAZVHZUURUUTVSUKULXLVTZUUPUWGVHZMXSVAZUVKUUSPVAUUEPVAZUWHAU
        WJUUFUWGSXAUWINPUUQUVPUUPUVAUWFXTWTUWINPUUSUVPUUPUVAUWFYAWTUUPUWKUWGAFP
        UUEAFPAUUJUUKUUNYBYDZYEWDPHMUUQUUSUUERUDYFYGYCYHYIYJANYKVAZFYKVAUUCUUDV
        TAPYKVANPYLUWMTUVPPNYMYOAPFTUWLYNNFYKYPYQYRUUOYS $.

      sylow1lem5.l $e |- ( ph ->
        ( P pCnt ( # ` [ B ] .~ ) ) <_ ( ( P pCnt ( # ` X ) ) - N ) ) $.
      $( Lemma for ~ sylow1 .  Using Lagrange's theorem and the
         orbit-stabilizer theorem, show that there is a subgroup with size
         exactly ` P ^ N ` .  (Contributed by Mario Carneiro, 16-Jan-2015.) $)
      sylow1lem5 $p |- ( ph ->
        E. h e. ( SubGrp ` G ) ( # ` h ) = ( P ^ N ) ) $=
        ( csubg cfv wcel chash cexp co wceq wrex cga sylow1lem2 gastacl syl2anc
        cv cle wbr sylow1lem4 cdvds cpc cec caddc cmin cr wb cn wne cdm gaorber
        wer syl erdm eleqtrrd ecdmn0 sylib cfn cpw wss pwfi ssrab3 ssfi sylancl
        c0 ecss ssfid hashnncl mpbird pccld nn0red cgrp grpbn0 leaddsub syl3anc
        cmul cqg eqid orbsta2 syl21anc oveq2d cprime cz cc0 nnzd nnne0d subg0cl
        c0g pcmul syl122anc eqtrd breqtrd leadd2d cn0 pcdvdsb mpbid wi nnexpcld
        ne0d prmnn dvdsle mpd hashcl nnred letri3d mpbir2and fveqeq2 rspcev ) A
        ONULUMZUNZOUOUMZGPUPUQZURZMVDZUOUMYSURZMYPUSAINKUTUQUNZFKUNZYQABCDGHIKN
        PQRSTUAUBUCUDUEUFUGVAZUIEFINOQKSUJVBVCZAYTYRYSVEVFYSYRVEVFZABCDEFGHIJKL
        NOPQRSTUAUBUCUDUEUFUGUHUIUJVGAYSYRVHVFZUUGAPGYRVIUQZVEVFZUUHAUUJGFJVJZU
        OUMZVIUQZPVKUQZUUMUUIVKUQZVEVFAUUNGQUOUMZVIUQZUUOVEAUUNUUQVEVFZUUMUUQPV
        LUQVEVFZUKAUUMVMUNPVMUNUUQVMUNUURUUSVNAUUMAGUULUBAUULVOUNZUUKWLVPZAFJVQ
        ZUNUVAAFKUVBUIAKJVSZUVBKURAUUCUVCUUEBCIJLNQKUHSVRVTZKJWAVTWBFJWCWDAUUKW
        EUNUUTUVAVNAKUUKAQWFZWEUNZKUVEWGKWEUNAQWEUNZUVFUAQWHWDRVDUOUMYSURRUVEKU
        FWIUVEKWJWKAFJKUVDWMWNUUKWOVTWPZWQWRZAPUCWRZAUUQAGUUPUBAUUPVOUNZQWLVPZA
        NWSUNUVLTQNSWTVTAUVGUVKUVLVNUAQWOVTWPWQWRUUMPUUQXAXBWPAUUQGUULYRXCUQZVI
        UQZUUOAUUPUVMGVIAUUCUUDUVGUUPUVMURUUEUIUABCEFINOXDUQZLNOJQKSUJUVOXEUHXF
        XGXHAGXIUNZUULXJUNUULXKVPYRXJUNZYRXKVPUVNUUOURUBAUULUVHXLAUULUVHXMAYRAY
        RVOUNZOWLVPZAONXOUMZAYQUVTOUNUUFONUVTUVTXEXNVTYFAOWEUNZUVRUVSVNAUVGOQWG
        UWAUAEVDFIUQFUREQOUJWIQOWJWKZOWOVTWPZXLZAYRUWCXMUULYRGXPXQXRXSAPUUIUUMU
        VJAUUIAGYRUBUWCWQWRUVIXTWPAUVPUVQPYAUNUUJUUHVNUBUWDUCPGYRYBXBYCAYSXJUNU
        VRUUHUUGYDAYSAGPAUVPGVOUNUBGYGVTUCYEZXLUWCYSYRYHVCYIAYRYSAYRAUWAYRYAUNU
        WBOYJVTWRAYSUWEYKYLYMUUBYTMOYPUUAOYSUOYNYOVC $.
    $}

    $d g h ph $.
    $( Sylow's first theorem.  If ` P ^ N ` is a prime power that divides the
       cardinality of ` G ` , then ` G ` has a supgroup with size ` P ^ N ` .
       This is part of Metamath 100 proof #72.  (Contributed by Mario Carneiro,
       16-Jan-2015.) $)
    sylow1 $p |- ( ph -> E. g e. ( SubGrp ` G ) ( # ` g ) = ( P ^ N ) ) $=
      ( vs vk vx vz cv cfv co wceq vh va vb vu vv vy vt cpr chash cexp cpw crab
      wss cplusg cmpt crn cmpo wrex copab cec cpc cmin cle wbr csubg eqid oveq2
      wa cbvmptv oveq1 mpteq2dv eqtrid rneqd mpteq1 cbvmpov preq12 id eqeqan12d
      sseq1d rexbidv anbi12d cbvopabv sylow1lem3 wcel cgrp adantr cfn cn0 cdvds
      cprime simprl simprr sylow1lem5 rexlimddv ) ABUAQZUBQZUCQZUHZMQZUIRBEUJSZ
      TMFUKULZUMZNQZWPUDUEFXAMUEQZUDQZWSDUNRZSZUOZUPZUQZSZWQTZNFURZVHZUBUCUSZUT
      UIRVASBFUIRZVASEVBSVCVDZCQUIRWTTCDVERURUAXAAOUFPUABXFXJXOXANDEFMGHIJKLXFV
      FZXAVFZUDUEOUFFXAXIPUFQZOQZPQZXFSZUOZUPPXDYCUOZUPXEYATZXHYEYFXHPXDXEYBXFS
      ZUOYEMPXDXGYGWSYBXEXFVGVIYFPXDYGYCXEYAYBXFVJVKVLVMXDXTTYEYDPXDXTYCVNVMVOZ
      XNYAXTUHZXAUMZXCYAXJSZXTTZNFURZVHUBUCOUFWPYATZWQXTTZVHZXBYJXMYMYPWRYIXAWP
      WQYAXTVPVSYPXLYLNFYNYOXKYKWQXTWPYAXCXJVGYOVQVRVTWAWBZWCAWOXAWDZXQVHZVHOUF
      PUGWOBXFXJXOXANCDUGQWOXJSWOTUGFULZEFMGADWEWDYSHWFAFWGWDYSIWFABWJWDYSJWFAE
      WHWDYSKWFAWTXPWIVDYSLWFXRXSYHYQAYRXQWKYTVFAYRXQWLWMWN $.
  $}

  ${
    $d g s G $.  $d s O $.  $d g s P $.  $d g s X $.
    odcau.x $e |- X = ( Base ` G ) $.
    odcau.o $e |- O = ( od ` G ) $.
    $( Cauchy's theorem for the order of an element in a group.  A finite group
       whose order divides a prime ` P ` contains an element of order ` P ` .
       (Contributed by Mario Carneiro, 16-Jan-2015.) $)
    odcau $p |- ( ( ( G e. Grp /\ X e. Fin /\ P e. Prime ) /\ P || ( # ` X ) )
      -> E. g e. X ( O ` g ) = P ) $=
      ( vs wcel cfn chash cfv cdvds wbr wa c1 wceq syl wb adantr cgrp cprime cv
      w3a cexp co csubg wrex simpl1 simpl2 simpl3 cn0 1nn0 cn prmnn nncnd exp1d
      a1i simpr eqbrtrd sylow1 eqeq2d wex c0g csn cdif c0 wne csdm clt cvv fvex
      hashsng ax-mp cuz simprr prmuz2 eqeltrd eluz2gt1 eqbrtrid snfi wss subgss
      c2 ad2antrl ssfid hashsdom sylancr mpbid sdomdif n0 sylib eldifsn adantrr
      simprrl sseldd simprrr wn simprll odsubdvds syl3anc simprlr breqtrd odcl2
      wo dvdsprime syl2an2r ord eqid sylibd necon1ad mpd jca expr syl5bi eximdv
      odeq1 df-rex sylibr sylbid rexlimdva ) CUAIZEJIZAUBIZUDZAEKLZMNZOZHUCZKLZ
      APUEUFZQZHCUGLZUHBUCZDLZAQZBEUHZYHAHCPEFYBYCYDYGUIZYBYCYDYGUJZYBYCYDYGUKZ
      PULIYHUMURYHYKAYFMYHAYHAYHYDAUNIYTAUORUPUQZYEYGUSUTVAYHYLYQHYMYHYIYMIZOYL
      YJAQZYQYHYLUUCSUUBYHYKAYJUUAVBTYHUUBUUCYQYHUUBUUCOZOZYNEIZYPOZBVCZYQUUEYN
      YICVDLZVEZVFZIZBVCZUUHUUEUUKVGVHZUUMUUEUUJYIVINZUUNUUEUUJKLZYJVJNZUUOUUEU
      UPPYJVJUUIVKIUUPPQCVDVLUUIVKVMVNUUEYJWDVOLZIPYJVJNUUEYJAUURYHUUBUUCVPUUEY
      DAUURIYHYDUUDYTTAVQRVRYJVSRVTUUEUUJJIYIJIZUUQUUOSUUIWAUUEEYIYHYCUUDYSTUUB
      YIEWBZYHUUCEYICFWCWEZWFZUUJYIWGWHWIUUJYIWJRBUUKWKWLUUEUULUUGBUULYNYIIZYNU
      UIVHZOZUUEUUGYNYIUUIWMYHUUDUVEUUGYHUUDUVEOZOZUUFYPUVGYIEYNYHUUDUUTUVEUVAW
      NYHUUDUVCUVDWOZWPZUVGUVDYPYHUUDUVCUVDWQUVGYPYNUUIUVGYPWRYOPQZYNUUIQZUVGYP
      UVJUVGYOAMNZYPUVJXEZUVGYOYJAMUVGUUBUUSUVCYOYJMNYHUUBUUCUVEWSYHUUDUUSUVEUV
      BWNUVHYNYICDGWTXAYHUUBUUCUVEXBXCYHYDUVFYOUNIZUVLUVMSYTUVGYBYCUUFUVNYHYBUV
      FYRTYHYCUVFYSTUVIYNCDEFGXDXAAYOXFXGWIXHYHYBUVFUUFUVJUVKSYRUVIYNCDEUUIGUUI
      XIFXQXGXJXKXLXMXNXOXPXLYPBEXRXSXNXTYAXL $.
  $}

  ${
    $d g m n p x G $.  $d g m n p x P $.  $d g n p x X $.
    pgpfi.1 $e |- X = ( Base ` G ) $.
    $( The converse to ~ pgpfi1 .  A finite group is a ` P ` -group iff it has
       size some power of ` P ` .  (Contributed by Mario Carneiro,
       16-Jan-2015.) $)
    pgpfi $p |- ( ( G e. Grp /\ X e. Fin ) ->
      ( P pGrp G <-> ( P e. Prime /\ E. n e. NN0 ( # ` X ) = ( P ^ n ) ) ) ) $=
      ( vm wcel wa wbr cv cexp co wceq cn0 wrex cdvds cpc cn ad2antrr syl2anc
      vx vp vg cgrp cfn cpgp cprime chash cfv cod wral w3a eqid ispgp simprl c0
      wne grpbn0 wb hashnncl ad2antlr mpbird pccld cle nn0red leidd cz breqtrrd
      nn0zd pcid simpr oveq1d 3brtr4d cc0 wn simp-4l simplr odcau syl31anc prmz
      adantr iddvds 3syl simprr simplrr fveqeq2 rexbidv rspccva sylan ad3antrrr
      ad2ant2r prmnn syl eqeltrd pcprmpw mpbid breqtrd wi prmdvdsexpr rexlimddv
      syl3anc mpd ex necon3ad pceq0 ad2antrl nnexpcld nn0ge0d eqbrtrd ralrimiva
      imp pm2.61dane hashcl nnzd pc2dvds breq2d rspcev pcprmpw2 bitr4d 3adantr2
      oveq2 jca syl5bi pgpfi1 3expia rexlimdv expimpd impbid ) CUDGZDUEGZHZACUF
      IZAUGGZDUHUIZABJZKLZMZBNOZHZYLYMYIUAJZCUJUIZUIAFJKLZMZFNOZUADUKZULZYKYSUA
      AFCUUADEUUAUMZUNYKUUFYSYKYMUUEYSYIYKYMUUEHZHZYMYRYKYMUUEUOZUUIYNYPPIZBNOZ
      YRUUIAYNQLZNGYNAUUMKLZPIZUULUUIAYNUUJUUIYNRGZDUPUQZYIUUQYJUUHDCEURSYJUUPU
      UQUSYIUUHDUTVAVBZVCZUUIUUOUBJZYNQLZUUTUUNQLZVDIZUBUGUKZUUIUVCUBUGUUIUUTUG
      GZHZUVCUUTAUVFUUTAMZHZUUMAUUNQLZUVAUVBVDUUIUUMUVIVDIUVEUVGUUIUUMUUMUVIVDU
      UIUUMUUIUUMUUSVEVFUUIYMUUMVGGUVIUUMMUUJUUIUUMUUSVIUUMAVJTVHSUVHUUTAYNQUVF
      UVGVKZVLUVHUUTAUUNQUVJVLVMUVFUUTAUQZHZUVAVNUVBVDUVLUVAVNMZUUTYNPIZVOZUVFU
      VKUVOUVFUVNUUTAUVFUVNUVGUVFUVNHZUCJZUUAUIZUUTMZUVGUCDUVPYIYJUVEUVNUVSUCDO
      YIYJUUHUVEUVNVPUUIYJUVEUVNYIYJUUHVQSUUIUVEUVNVQZUVFUVNVKUUTUCCUUADEUUGVRV
      SUVPUVQDGZUVSHZHZUUTAAUVRQLZKLZPIZUVGUWCUUTUVRUWEPUWCUUTUUTUVRPUWCUVEUUTV
      GGUUTUUTPIUVPUVEUWBUVTWAZUUTVTUUTWBWCUVPUWAUVSWDZVHUWCUVRUUBMZFNOZUVRUWEM
      ZUVFUWAUWJUVNUVSUVFUUEUWAUWJYKYMUUEUVEWEUUDUWJUAUVQDYTUVQMUUCUWIFNYTUVQUU
      BUUAWFWGWHWIWKUWCYMUVRRGUWJUWKUSUUIYMUVEUVNUWBUUJWJZUWCUVRUUTRUWHUWCUVEUU
      TRGUWGUUTWLWMWNZUVRAFWOTWPWQUWCUVEYMUWDNGUWFUVGWRUWGUWLUWCAUVRUWLUWMVCUUT
      AUWDWSXAXBWTXCXDXKUVLUVEUUPUVMUVOUSUUIUVEUVKVQZUUIUUPUVEUVKUURSUUTYNXETVB
      UVLUVBUVLUUTUUNUWNUUIUUNRGUVEUVKUUIAUUMYMARGYKUUEAWLXFUUSXGZSVCXHXIXLXJUU
      IYNVGGUUNVGGUUOUVDUSUUIYNYJYNNGYIUUHDXMVAVIUUIUUNUWOXNYNUUNUBXOTVBUUKUUOB
      UUMNYOUUMMYPUUNYNPYOUUMAKYAXPXQTUUIYMUUPUULYRUSUUJUURYMUUPHUULYNUUNMYRYNA
      BXRYNABWOXSTWPYBXTXCYCYIYSYLWRYJYIYMYRYLYIYMHYQYLBNYIYMYONGYQYLWRACYODEYD
      YEYFYGWAYH $.

    $( Alternate version of ~ pgpfi .  (Contributed by Mario Carneiro,
       27-Apr-2016.) $)
    pgpfi2 $p |- ( ( G e. Grp /\ X e. Fin ) -> ( P pGrp G <->
      ( P e. Prime /\ ( # ` X ) = ( P ^ ( P pCnt ( # ` X ) ) ) ) ) ) $=
      ( vn cgrp wcel cfn wa cpgp wbr cprime chash cfv cv cexp co wceq cn0 wrex
      cpc pgpfi cn wb id c0 wne grpbn0 hashnncl syl5ibrcom imp pcprmpw pm5.32da
      syl2anr bitrd ) BFGZCHGZIZABJKALGZCMNZAEOPQRESTZIUSUTAAUTUAQPQRZIAEBCDUBU
      RUSVAVBUSUSUTUCGZVAVBUDURUSUEUPUQVCUPVCUQCUFUGCBDUHCUIUJUKUTAEULUNUMUO $.

    $( The order of a p-group.  (Contributed by Mario Carneiro,
       27-Apr-2016.) $)
    pgphash $p |- ( ( P pGrp G /\ X e. Fin ) ->
      ( # ` X ) = ( P ^ ( P pCnt ( # ` X ) ) ) ) $=
      ( cpgp wbr cfn wcel wa cprime chash cfv co cexp wceq simpl cgrp wb pgpgrp
      cpc pgpfi2 sylan mpbid simprd ) ABEFZCGHZIZAJHZCKLZAAUITMNMOZUGUEUHUJIZUE
      UFPUEBQHUFUEUKRABSABCDUAUBUCUD $.
  $}

  ${
    $d g h k p G $.  $d h k H $.  $d k K $.  $d g h k p P $.  $d k S $.
    $( The property of being a Sylow subgroup.  A Sylow ` P ` -subgroup is a
       ` P ` -group which has no proper supersets that are also ` P ` -groups.
       (Contributed by Mario Carneiro, 16-Jan-2015.) $)
    isslw $p |- ( H e. ( P pSyl G ) <->
      ( P e. Prime /\ H e. ( SubGrp ` G ) /\ A. k e. ( SubGrp ` G )
        ( ( H C_ k /\ P pGrp ( G |`s k ) ) <-> H = k ) ) ) $=
      ( vp vg vh cslw co wcel cprime cgrp wa csubg cv cress cpgp wceq wb wral
      cfv wss wbr crab df-slw elmpocl simp1 subgrcl 3ad2ant2 simpr fveq2d simpl
      w3a jca oveq1d anbi2d bibi1d raleqbidv rabeqbidv fvex rabex ovmpoa eleq2d
      breq12d eqeq1 bibi12d ralbidv elrab bitrdi biantrurd bitrd 3anass bitr4di
      cleq1lem pm5.21nii ) DACHIZJZAKJZCLJZMZVRDCNUAZJZDBOZUBACWCPIZQUCZMZDWCRZ
      SZBWATZUMZEFKLGOZWCUBZEOZFOZWCPIZQUCZMZWKWCRZSZBWNNUAZTZGWTUDZACHDFGBEUEZ
      UFWJVRVSVRWBWIUGWBVRVSWIDCUHUIUNVTVQVRWBWIMZMZWJVTVQXDXEVTVQDWLWEMZWRSZBW
      ATZGWAUDZJXDVTVPXIDEFACKLXBXIHWMARZWNCRZMZXAXHGWTWAXLWNCNXJXKUJZUKZXLWSXG
      BWTWAXNXLWQXFWRXLWPWEWLXLWMAWOWDQXJXKULXLWNCWCPXMUOVDUPUQURUSXCXHGWACNUTV
      AVBVCXHWIGDWAWKDRZXGWHBWAXOXFWFWRWGWEWKDWCVNWKDWCVEVFVGVHVIVTVRXDVRVSULVJ
      VKVRWBWIVLVMVO $.

    $( Reverse closure for the first argument of a Sylow ` P ` -subgroup.
       (Contributed by Mario Carneiro, 16-Jan-2015.)  (Revised by Mario
       Carneiro, 2-May-2015.) $)
    slwprm $p |- ( H e. ( P pSyl G ) -> P e. Prime ) $=
      ( vk cslw co wcel cprime csubg cfv cv wss cress cpgp wbr wa wceq wb isslw
      wral simp1bi ) CABEFGAHGCBIJZGCDKZLABUCMFNOPCUCQRDUBTADBCSUA $.

    $( A Sylow ` P ` -subgroup is a subgroup.  (Contributed by Mario Carneiro,
       16-Jan-2015.) $)
    slwsubg $p |- ( H e. ( P pSyl G ) -> H e. ( SubGrp ` G ) ) $=
      ( vk cslw co wcel cprime csubg cfv cv wss cress cpgp wbr wa wceq wb isslw
      wral simp2bi ) CABEFGAHGCBIJZGCDKZLABUCMFNOPCUCQRDUBTADBCSUA $.

    slwispgp.1 $e |- S = ( G |`s K ) $.
    $( Defining property of a Sylow ` P ` -subgroup.  (Contributed by Mario
       Carneiro, 16-Jan-2015.) $)
    slwispgp $p |- ( ( H e. ( P pSyl G ) /\ K e. ( SubGrp ` G ) ) ->
      ( ( H C_ K /\ P pGrp S ) <-> H = K ) ) $=
      ( vk cslw co wcel cv wss cress cpgp wbr wa wceq wb csubg cfv cprime isslw
      simp3bi sseq2 oveq2 eqtr4di breq2d anbi12d eqeq2 bibi12d rspccva sylan
      wral ) DACHIJZDGKZLZACUOMIZNOZPZDUOQZRZGCSTZUMZEVBJDELZABNOZPZDEQZRZUNAUA
      JDVBJVCAGCDUBUCVAVHGEVBUOEQZUSVFUTVGVIUPVDURVEUOEDUDVIUQBANVIUQCEMIBUOECM
      UEFUFUGUHUOEDUIUJUKUL $.

    $( A proper superset of a Sylow subgroup is not a ` P ` -group.
       (Contributed by Mario Carneiro, 16-Jan-2015.) $)
    slwpss $p |- ( ( H e. ( P pSyl G ) /\ K e. ( SubGrp ` G ) /\
      H C. K ) -> -. P pGrp S ) $=
      ( cslw co wcel csubg cfv wpss w3a cpgp wbr wn wne simp3 pssned wss pssssd
      wa wceq biantrurd wb slwispgp 3adant3 bitrd necon3bbid mpbird ) DACGHIZEC
      JKIZDELZMZABNOZPDEQUNDEUKULUMRZSUNUODEUNUODETZUOUBZDEUCZUNUQUOUNDEUPUAUDU
      KULURUSUEUMABCDEFUFUGUHUIUJ $.
  $}

  ${
    slwpgp.1 $e |- S = ( G |`s H ) $.
    $( A Sylow ` P ` -subgroup is a ` P ` -group.  (Contributed by Mario
       Carneiro, 16-Jan-2015.) $)
    slwpgp $p |- ( H e. ( P pSyl G ) -> P pGrp S ) $=
      ( cslw co wcel wss cpgp wbr wa wceq eqid csubg cfv slwsubg slwispgp mpdan
      wb mpbiri simprd ) DACFGHZDDIZABJKZUCUDUELZDDMZDNUCDCOPHUFUGTACDQABCDDERS
      UAUB $.
  $}

  ${
    $d k m w x y G $.  $d k m w x y H $.  $d k m w x y P $.  $d k m w x z X $.
    $d k m w z F $.  $d k m x y S $.
    pgpssslw.1 $e |- X = ( Base ` G ) $.
    pgpssslw.2 $e |- S = ( G |`s H ) $.
    pgpssslw.3 $e |- F = ( x e. { y e. ( SubGrp ` G ) |
      ( P pGrp ( G |`s y ) /\ H C_ y ) } |-> ( # ` x ) ) $.
    $( Every ` P ` -subgroup is contained in a Sylow ` P ` -subgroup.
       (Contributed by Mario Carneiro, 16-Jan-2015.) $)
    pgpssslw $p |- ( ( H e. ( SubGrp ` G ) /\ X e. Fin /\ P pGrp S ) ->
      E. k e. ( P pSyl G ) H C_ k ) $=
      ( vm cfv wcel cpgp wbr wa cle chash vw vz csubg cfn w3a cress wss crn clt
      cv co cr csup wceq cslw crab wrex cz wne wral cn0 simp2 elrabi subgss syl
      c0 ssfi syl2an hashcl nn0zd fmptd frnd fvex fnmpti eqimss2 biantrud oveq2
      wfn eqtr4di breq2d bitr3d simp1 simp3 elrabd fnfvelrn sylancr ne0d nn0red
      fveq2 fvmpt adantl weq sseq2 anbi12d elrab cdom adantr ad2antrl ssdomg wb
      ssfid hashdom syl2anc mpbird sylan2b eqbrtrd ralrimiva breq1 ralrn sylibr
      sylc ax-mp brralrspcev suprzcl syl3anc fvelrnb sylib rexrab cprime simpl3
      pgpprm simprl wpss zssre sstrdi ad2antrr simprrr simprrl simprd sstrd jca
      wn eqeltrrd suprubd eqtr3d breqtrd simpll2 nn0re lenlt mpbid csdm wi php3
      ex hashsdom sylibrd mtod sspss ord mpd expr simpld eqimss biantrurd bitrd
      wo syl5ibcom impbid isslw syl3anbrc reximssdv ) HGUCNZOZIUDOZCDPQZUEZCGEU
      JZUFUKZPQZHUVGUGZRZUVGFNZFUHZULUIUMZUNZRZUVJECGUOUKZUVBUVFUVOECGBUJZUFUKZ
      PQZHUVRUGZRZBUVBUPZUQZUVPEUVBUQUVFUVNUVMOZUWDUVFUVMURUGUVMVFUSZUAUJZUBUJS
      QUAUVMUTUBULUQZUWEUVFUWCURFUVFAUWCAUJZTNZURFUVFUWIUWCOZRZUWJUWLUWIUDOZUWJ
      VAOUVFUVDUWIIUGZUWMUWKUVCUVDUVEVBZUWKUWIUVBOUWNUWBBUWIUVBVCIUWIGJVDVEIUWI
      VGVHUWIVIVEVJLVKVLZUVFUVMHFNZUVFFUWCVRZHUWCOUWQUVMOAUWCUWJFUWITVMLVNZUVFU
      WBUVEBHUVBUVRHUNZUVTUWBUVEUWTUWAUVTHUVRVOVPUWTUVSDCPUWTUVSGHUFUKDUVRHGUFV
      QKVSVTWAUVCUVDUVEWBUVCUVDUVEWCWDUWCHFWEWFWGZUVFITNZULOUWGUXBSQZUAUVMUTZUW
      HUVFUXBUVFUVDUXBVAOUWOIVIVEWHUVFMUJZFNZUXBSQZMUWCUTZUXDUVFUXGMUWCUVFUXEUW
      COZRUXFUXETNZUXBSUXIUXFUXJUNZUVFAUXEUWJUXJUWCFUWIUXETWILUXETVMWJZWKUXIUVF
      UXEUVBOZCGUXEUFUKZPQZHUXEUGZRZRZUXJUXBSQZUWBUXQBUXEUVBBMWLZUVTUXOUWAUXPUX
      TUVSUXNCPUVRUXEGUFVQVTUVRUXEHWMWNZWOUVFUXRRZUXSUXEIWPQZUYBUVDUXEIUGZUYCUV
      FUVDUXRUWOWQZUXMUYDUVFUXQIUXEGJVDZWRZUXEIUDWSXKUYBUXEUDOZUVDUXSUYCWTUYBIU
      XEUYEUYGXAUYEUXEIUDXBXCXDXEXFXGUWRUXDUXHWTUWSUXCUXGUAMUWCFUWGUXFUXBSXHXIX
      LXJUBUAUWGUXBSULUVMXMXCZUBUAUVMXNXOUWRUWEUWDWTUWSEUWCUVNFXPXLXQUWBUVKUVOE
      BUVBBEWLZUVTUVIUWAUVJUYJUVSUVHCPUVRUVGGUFVQVTUVRUVGHWMWNZXRXQUVFUVGUVBOZU
      VPRZRZCXSOZUYLUVGUXEUGZUXORZEMWLZWTZMUVBUTUVGUVQOUYNUVEUYOUVCUVDUVEUYMXTC
      DYAVEUVFUYLUVPYBZUYNUYSMUVBUYNUXMRZUYQUYRUYNUXMUYQUYRUYNUXMUYQRZRZUVGUXEY
      CZYLUYRVUCVUDUVGTNZUXJUIQZVUCUXJVUESQZVUFYLZVUCUXJUVNVUESVUCUBUAUVMUXJUVF
      UVMULUGUYMVUBUVFUVMURULUWPYDYEYFUVFUWFUYMVUBUXAYFUVFUWHUYMVUBUYIYFVUCUXFU
      XJUVMVUCUXIUXKVUCUWBUXQBUXEUVBUYAUYNUXMUYQYBVUCUXOUXPUYNUXMUYPUXOYGVUCHUV
      GUXEVUCUVIUVJUYNUVKVUBUVFUYLUVKUVOYHZWQZYIUYNUXMUYPUXOYHZYJYKWDZUXLVEVUCU
      WRUXIUXFUVMOUWSVULUWCUXEFWEWFYMYNVUCUVLUVNVUEUYNUVOVUBUVFUYLUVKUVOYGWQVUC
      UVGUWCOUVLVUEUNVUCUWBUVKBUVGUVBUYKUYNUYLVUBUYTWQVUJWDAUVGUWJVUEUWCFUWIUVG
      TWILUVGTVMWJVEYOYPVUCUYHUVGUDOZVUGVUHWTZVUCIUXEUVCUVDUVEUYMVUBYQUXMUYDUYN
      UYQUYFWRXAZVUCUXEUVGVUOVUKXAZUYHUXJVAOZVUEVAOZVUNVUMUXEVIUVGVIVUQUXJULOVU
      EULOVUNVURUXJYRVUEYRUXJVUEYSVHVHXCYTVUCVUDUVGUXEUUAQZVUFVUCUYHVUDVUSUUBVU
      OUYHVUDVUSUXEUVGUUCUUDVEVUCVUMUYHVUFVUSWTVUPVUOUVGUXEUUEXCUUFUUGVUCVUDUYR
      VUCUYPVUDUYRUUPVUKUVGUXEUUHXQUUIUUJUUKVUAUVIUYRUYQUYNUVIUXMUYNUVIUVJVUIUU
      LWQUYRUVIUXOUYQUYRUVHUXNCPUVGUXEGUFVQVTUYRUYPUXOUVGUXEUUMUUNUUOUUQUURXGCM
      GUVGUUSUUTUYNUVIUVJVUIYIUVA $.
  $}

  ${
    $d x y z G $.  $d x y z P $.  $d x z X $.
    slwn0.1 $e |- X = ( Base ` G ) $.
    $( Every finite group contains a Sylow ` P ` -subgroup.  (Contributed by
       Mario Carneiro, 16-Jan-2015.) $)
    slwn0 $p |- ( ( G e. Grp /\ X e. Fin /\ P e. Prime ) ->
      ( P pSyl G ) =/= (/) ) $=
      ( vz vx vy cgrp wcel cfn cprime w3a cfv cv wss co cress cpgp wbr eqid c0g
      csn cslw wrex c0 wne csubg 0subg 3ad2ant1 simp2 pgp0 3adant2 wa crab cmpt
      chash pgpssslw syl3anc rexn0 syl ) BHIZCJIZAKIZLZBUAMZUBZENOZEABUCPZUDZVH
      UEUFVDVFBUGMZIZVBABVFQPZRSZVIVAVBVKVCBVEVETZUHUIVAVBVCUJVAVCVMVBABVEVNUKU
      LFGAVLEFABGNZQPRSVFVOOUMGVJUNFNUPMUOZBVFCDVLTVPTUQURVGEVHUSUT $.
  $}

  ${
    $d x G $.  $d x H $.  $d x K $.  $d x P $.  $d x S $.
    subgslw.1 $e |- H = ( G |`s S ) $.
    $( A Sylow subgroup that is contained in a larger subgroup is also Sylow
       with respect to the subgroup.  (The converse need not be true.)
       (Contributed by Mario Carneiro, 19-Jan-2015.) $)
    subgslw $p |- ( ( S e. ( SubGrp ` G ) /\ K e. ( P pSyl G ) /\ K C_ S ) ->
      K e. ( P pSyl H ) ) $=
      ( vx csubg cfv wcel cslw co wss cress cpgp wbr wa wceq wb 3ad2ant2 cprime
      w3a cv wral slwprm slwsubg simp3 subsubg 3ad2ant1 mpbir2and oveq1i simpl1
      simplbda ressabs eqtrid breq2d anbi2d simpl2 simprbda eqid slwispgp bitrd
      syl2anc ralrimiva isslw syl3anbrc ) BCHIZJZEACKLJZEBMZUBZAUAJZEDHIZJZEGUC
      ZMZADVONLZOPZQZEVORZSZGVMUDEADKLJVIVHVLVJACEUETVKVNEVGJZVJVIVHWBVJACEUFTV
      HVIVJUGVHVIVNWBVJQSVJEBCDFUHUIUJVKWAGVMVKVOVMJZQZVSVPACVONLZOPZQZVTWDVRWF
      VPWDVQWEAOWDVQCBNLZVONLZWEDWHVONFUKWDVHVOBMZWIWERVHVIVJWCULVKWCVOVGJZWJVH
      VIWCWKWJQSVJVOBCDFUHUIZUMBVOCVGUNVCUOUPUQWDVIWKWGVTSVHVIVJWCURVKWCWKWJWLU
      SAWECEVOWEUTVAVCVBVDAGDEVEVF $.
  $}

  ${
    $d h k n w z .~ $.  $d g h k u w x y A $.  $d g n v x y G $.  $d n w z P $.
    $d v w $.  $d g h k u v x y .(+) $.  $d g h k n u v x y X $.  $d k w z Z $.
    $d h k w z ph $.  $d g h k u w x y z Y $.
    sylow2a.x $e |- X = ( Base ` G ) $.
    sylow2a.m $e |- ( ph -> .(+) e. ( G GrpAct Y ) ) $.
    sylow2a.p $e |- ( ph -> P pGrp G ) $.
    sylow2a.f $e |- ( ph -> X e. Fin ) $.
    sylow2a.y $e |- ( ph -> Y e. Fin ) $.
    sylow2a.z $e |- Z = { u e. Y | A. h e. X ( h .(+) u ) = u } $.
    sylow2a.r $e |- .~ =
      { <. x , y >. | ( { x , y } C_ Y /\ E. g e. X ( g .(+) x ) = y ) } $.
    $( Lemma for ~ sylow2a .  An equivalence class of fixed points is a
       singleton.  (Contributed by Mario Carneiro, 17-Jan-2015.) $)
    sylow2alem1 $p |- ( ( ph /\ A e. Z ) -> [ A ] .~ = { A } ) $=
      ( vw vk wcel wa cec csn cv wceq wbr cvv wb simpr elecg sylancr wrex gaorb
      co simp3bi wral oveq2 id eqeq12d ralbidv elrab2 sylib simprd oveq1 eqeq1d
      vex rspccva sylan eqeq1 syl5ibcom rexlimdva syl5 sylbid velsn syl6ibr wer
      ssrdv cga gaorber syl adantr simpld erref sylancom mpbird snssd eqssd ) A
      ENUDZUEZEHUFZEUGZWMUBWNWOWMUBUHZWNUDZWPEUIZWPWOUDWMWQEWPHUJZWRWMWPUKUDWLW
      QWSULUBVJAWLUMZWPEHUKNUNUOWSUCUHZEGURZWPUIZUCLUPZWMWRWSEMUDZWPMUDXDBCEWPG
      HIUCLMUAUQUSWMXCWRUCLWMXALUDZUEXBEUIZXCWRWMJUHZEGURZEUIZJLUTZXFXGWMXEXKWM
      WLXEXKUEWTXHDUHZGURZXLUIZJLUTXKDEMNXLEUIZXNXJJLXOXMXIXLEXLEXHGVAXOVBVCVDT
      VEVFZVGXJXGJXALXHXAUIXIXBEXHXAEGVHVIVKVLXBWPEVMVNVOVPVQUBEVRVSWAWMEWNWMEW
      NUDZEEHUJZWMEHMAMHVTZWLAGKMWBURUDXSPBCGHIKLMUAOWCWDWEWMXEXKXPWFWGAWLWLXQX
      RULWTEEHNNUNWHWIWJWK $.

    $( Lemma for ~ sylow2a .  All the orbits which are not for fixed points
       have size ` | G | / | G x | ` (where ` G x ` is the stabilizer subgroup)
       and thus are powers of ` P ` .  And since they are all nontrivial
       (because any orbit which is a singleton is a fixed point), they all
       divide ` P ` , and so does the sum of all of them.  (Contributed by
       Mario Carneiro, 17-Jan-2015.) $)
    sylow2alem2 $p |- ( ph ->
      P || sum_ z e. ( ( Y /. .~ ) \ ~P Z ) ( # ` z ) ) $=
      ( vn vw vv vk cqs cpw cdif cv chash cfv cfn wcel sylib cga co wer gaorber
      pwfi syl qsss ssfid diffi cprime cz cexp wceq cn0 wrex cpgp wa cgrp gagrp
      wbr wb pgpfi syl2anc mpbid simpld prmz eldifi adantr sselda elpwid sylan2
      hashcl nn0zd wn cdvds eldif cec wss eqid sseq1 velpw bitr4di notbid fveq2
      wi breq2d imbi12d wral cpc cc0 cn c0 wne simpr erref vex elec sylibr ne0d
      ecss hashnncl mpbird pceq0 cuni csn c1o cen crab cmul ssrab2 ssfi sylancl
      oveq2 dvdsmul1 cqg orbsta2 syl21anc breqtrrd simprd breq2 biimpcd reximdv
      eqeq12d weq eleqtrd elsn sylc pcprmpw2 eqcomd c1 zcnd exp0d hash1 eqtr4di
      df1o2 snfi eqeltri hashen bitrd en1b bitrdi cxp wf ad2antrr simprl fovrnd
      gaf oveq1 eqeq1d rspcev gaorb syl3anbrc ovex simprr eqtr4d expr ralrimdva
      sylbid syl5 sylbird ralbidv elrab2 baib sylibrd sylow2alem1 snssd eqsstrd
      id adantl ex syld con1d ectocld impr sylan2b fsumdvds ) AMHUFZNUGZUHZDUIZ
      UJUKZDFAUWKULUMUWMULUMAMUGZUWKAMULUMZUWPULUMSMUSUNAMHAGKMUOUPUMZMHUQZPBCG
      HIKLMUAOURUTZVAZVBUWKUWLVCUTAFVDUMZFVEUMZAUXBLUJUKZFUBUIVFUPZVGZUBVHVIZAF
      KVJVNZUXBUXGVKZQAKVLUMZLULUMZUXHUXIVOAUWRUXJPGKMVMUTRFUBKLOVPVQVRZVSZFVTU
      TZAUWNUWMUMZVKZUWOUXPUWNULUMZUWOVHUMUXOAUWNUWKUMZUXQUWNUWKUWLWAAUXRVKZMUW
      NAUWQUXRSWBUXSUWNMAUWKUWPUWNUXAWCWDVBWEUWNWFUTWGUXOAUXRUWNUWLUMZWHZVKFUWO
      WIVNZUWNUWKUWLWJAUXRUYAUYBUCUIZHWKZNWLZWHZFUYDUJUKZWIVNZWSUYAUYBWSAUCUWNM
      HUWKUWKWMUYDUWNVGZUYFUYAUYHUYBUYIUYEUXTUYIUYEUWNNWLUXTUYDUWNNWNDNWOWPWQUY
      IUYGUWOFWIUYDUWNUJWRWTXAAUYCMUMZVKZUYHUYEUYKUYHWHZUYCNUMZUYEUYKUYLJUIZUYC
      GUPZUYCVGZJLXBZUYMUYKUYLFUYGXCUPZXDVGZUYQUYKUXBUYGXEUMZUYSUYLVOAUXBUYJUXM
      WBZUYKUYTUYDXFXGZUYKUYDUYCUYKUYCUYCHVNUYCUYDUMZUYKUYCHMAUWSUYJUWTWBAUYJXH
      ZXIUYCUYCHUCXJZVUEXKXLZXMUYKUYDULUMZUYTVUBVOAVUGUYJAMUYDSAUYCHMUWTXNVBZWB
      ZUYDXOUTXPZFUYGXQVQUYSFUYRVFUPZFXDVFUPZVGZUYKUYQUYRXDFVFYGUYKVUMUYDUYDXRZ
      XSZVGZUYQUYKVUMUYDXTYAVNZVUPUYKVUMUYGXTUJUKZVGZVUQUYKVUKUYGVULVURUYKUYGVU
      KUYKUYGUXEWIVNZUBVHVIZUYGVUKVGZUYKUYGUXDWIVNZUXGVVAUYKUYGUYGUDUIUYCGUPUYC
      VGZUDLYBZUJUKZYCUPZUXDWIAUYGVVGWIVNZUYJAUYGVEUMVVFVEUMVVHAUYGAVUGUYGVHUMV
      UHUYDWFUTWGAVVFAVVEULUMZVVFVHUMAUXKVVELWLVVIRVVDUDLYDLVVEYEYFVVEWFUTWGUYG
      VVFYHVQWBUYKUWRUYJUXKUXDVVGVGAUWRUYJPWBVUDAUXKUYJRWBBCUDUYCGKVVEYIUPZIKVV
      EHLMOVVEWMVVJWMUAYJYKYLAUXGUYJAUXBUXGUXLYMWBVVCUXFVUTUBVHUXFVVCVUTUXDUXEU
      YGWIYNYOYPUUAUYKUXBUYTVVAVVBVOVUAVUJUYGFUBUUBVQVRUUCUYKVULUUDVURUYKFUYKFA
      UXCUYJUXNWBUUEUUFUUGUUHYQUYKVUGXTULUMVUSVUQVOVUIXTXFXSULUUIXFUUJUUKUYDXTU
      ULYFUUMUYDUUNUUOUYKVUPUYPJLUYKUYNLUMZVUPUYPUYKVVKVUPVKZVKZUYOVUNUYCVVMUYO
      VUOUMUYOVUNVGVVMUYOUYDVUOVVMUYCUYOHVNZUYOUYDUMVVMUYJUYOMUMUEUIZUYCGUPZUYO
      VGZUELVIZVVNUYKUYJVVLVUDWBZVVMUYNUYCMLMGVVMUWRLMUUPMGUUQAUWRUYJVVLPUURGKL
      MOUVAUTUYKVVKVUPUUSZVVSUUTVVMVVKUYOUYOVGZVVRVVTUYOWMVVQVWAUEUYNLUEJYRVVPU
      YOUYOVVOUYNUYCGUVBUVCUVDYFBCUYCUYOGHIUELMUAUVEUVFUYOUYCHUYNUYCGUVGZVUEXKX
      LUYKVVKVUPUVHZYSUYOVUNVWBYTUNVVMUYCVUOUMUYCVUNVGVVMUYCUYDVUOUYKVUCVVLVUFW
      BVWCYSUYCVUNVUEYTUNUVIUVJUVKUVLUVMUVNUYJUYMUYQVOAUYMUYJUYQUYNEUIZGUPZVWDV
      GZJLXBUYQEUYCMNEUCYRZVWFUYPJLVWGVWEUYOVWDUYCVWDUYCUYNGYGVWGUWBYQUVOTUVPUV
      QUWCUVRAUYMUYEWSUYJAUYMUYEAUYMVKZUYDUYCXSNABCEUYCFGHIJKLMNOPQRSTUAUVSVWHU
      YCNAUYMXHUVTUWAUWDWBUWEUWFUWGUWHUWIUWJ $.

    $( A named lemma of Sylow's second and third theorems.  If ` G ` is a
       finite ` P ` -group that acts on the finite set ` Y ` , then the set
       ` Z ` of all points of ` Y ` fixed by every element of ` G ` has
       cardinality equivalent to the cardinality of ` Y ` , ` mod P ` .
       (Contributed by Mario Carneiro, 17-Jan-2015.) $)
    sylow2a $p |- ( ph -> P || ( ( # ` Y ) - ( # ` Z ) ) ) $=
      ( vz vw cqs cpw cdif cv chash cfv csu cmin co cdvds sylow2alem2 caddc cin
      wceq inass disjdif ineq2i in0 3eqtri a1i cun inundif eqcomi cfn wcel pwfi
      c0 sylib cga wer gaorber qsss ssfid wa adantr sselda elpwid hashcl nn0cnd
      syl cn0 fsumsplit qshash c1 cmul cc wss inss1 ssfi sylancl fsumconst cuni
      ax-1cn csn c1o cen wbr elin cec wi eqid sseq1 velpw bitr4di breq1 imbi12d
      simpr erref vex elec sylibr syl5com sylow2alem1 ensn1 eqbrtrdi ex ectocld
      ssel syld impr sylan2b en1b fveq2d cvv vuniex hashsng ax-mp sumeq2dv wral
      eqtrdi ssrab3 mulid1d cmpt rabexd cdm eqeltrd oveq1d 3eqtr4rd crn cxp cpr
      wrel wrex relopabiv relssdmrn xpexd ssexg sylancr sselid ecelqsg syl2an2r
      erdm errn eqeltrrd snelpwi adantl elind elin2d eqsstrrd eqeq2d syl5ibrcom
      adantrl unieq unisn eqtr2di impbid1 f1o2d hasheqf1od eqtr3d eldifi sylan2
      snss sneq diffi fsumcl subaddd mpbird breqtrrd ) AELGUCZMUDZUEZUAUFZUGUHZ
      UAUIZLUGUHZMUGUHZUJUKZULABCUADEFGHIJKLMNOPQRSTUMAUWIUWFUPUWHUWFUNUKZUWGUP
      AUWAUWEUAUIUWAUWBUOZUWEUAUIZUWFUNUKUWGUWJAUWKUWCUWEUWAUAUWKUWCUOZVIUPAUWM
      UWAUWBUWCUOZUOUWAVIUOVIUWAUWBUWCUQUWNVIUWAUWBUWAURUSUWAUTVAVBUWAUWKUWCVCZ
      UPAUWOUWAUWAUWBVDVEVBALUDZUWAALVFVGZUWPVFVGRLVHVJALGAFJLVKUKVGLGVLZOBCFGH
      JKLTNVMWBZVNZVOZAUWDUWAVGZVPZUWEUXCUWDVFVGUWEWCVGUXCLUWDAUWQUXBRVQUXCUWDL
      AUWAUWPUWDUWTVRVSVOUWDVTWBWAZWDAUALGUWSRWEAUWHUWLUWFUNAUWKWFUAUIZUWKUGUHZ
      WFWGUKZUWLUWHAUWKVFVGZWFWHVGUXEUXGUPAUWAVFVGZUWKUWAWIUXHUXAUWAUWBWJUWAUWK
      WKWLWOUWKWFUAWMWLAUWKUWEWFUAAUWDUWKVGZVPZUWEUWDWNZWPZUGUHZWFUXKUWDUXMUGUX
      KUWDWQWRWSZUWDUXMUPZUXJAUXBUWDUWBVGZVPUXOUWDUWAUWBWTAUXBUXQUXOUBUFZGXAZMW
      IZUXSWQWRWSZXBUXQUXOXBAUBUWDLGUWAUWAXCUXSUWDUPZUXTUXQUYAUXOUYBUXTUWDMWIUX
      QUXSUWDMXDUAMXEXFUXSUWDWQWRXGXHAUXRLVGZVPZUXTUXRMVGZUYAUYDUXRUXSVGZUXTUYE
      UYDUXRUXRGWSUYFUYDUXRGLAUWRUYCUWSVQAUYCXIXJUXRUXRGUBXKZUYGXLXMUXSMUXRXTXN
      AUYEUYAXBUYCAUYEUYAAUYEVPZUXSUXRWPZWQWRABCDUXREFGHIJKLMNOPQRSTXOZUXRUYGXP
      XQXRVQYAXSYBYCUWDYDVJZYEUXLYFVGUXNWFUPUAYGZUXLYFYHYIYLYJAUWHWFWGUKUWHUXGA
      UWHAUWHAMVFVGZUWHWCVGAUWQMLWIUYMRIUFDUFZFUKUYNUPIKYKZDLMSYMZLMWKWLMVTWBWA
      ZYNAUWHUXFWFWGAMUWKYFUBMUYIYOZAUYODLMVFSRYPAUBUAMUWKUYIUXLUYRUYRXCUYHUWAU
      WBUYIUYHUXSUYIUWAUYJAGYFVGZUYEUYCUXSUWAVGAGGYQZGUUAZUUBZWIZVUBYFVGUYSGUUD
      VUCBUFZCUFZUUCLWIHUFVUDFUKVUEUPHKUUEVPBCGTUUFGUUGYIAUYTVUAVFVFAUYTLVFAUWR
      UYTLUPUWSLGUUNWBRYRAVUALVFAUWRVUALUPUWSLGUUOWBRYRUUHGVUBYFUUIUUJUYHMLUXRU
      YPAUYEXIUUKLUXRGYFUULUUMUUPUYEUYIUWBVGAUXRMUUQUURUUSUXKUXMMWIUXLMVGUXKUXM
      UWDMUYKUXKUWDMUXKUWAUWBUWDAUXJXIUUTVSUVAUXLMUYLUVNXMAUYEUXJVPVPUXRUXLUPZU
      WDUYIUPZAUXJVUFVUGXBUYEUXKVUGVUFUXPUYKVUFUYIUXMUWDUXRUXLUVOUVBUVCUVDVUGUX
      LUYIWNUXRUWDUYIUVEUXRUYGUVFUVGUVHUVIUVJYSUVKYTYSYTAUWGUWHUWFAUWGAUWQUWGWC
      VGRLVTWBWAUYQAUWCUWEUAAUXIUWCVFVGUXAUWAUWBUVPWBUWDUWCVGAUXBUWEWHVGUWDUWAU
      WBUVLUXDUVMUVQUVRUVSUVT $.
  $}

  ${
    $d a b g s u v x y z G $.  $d g u v x y z K $.  $d a b g s u v x y z .x. $.
    $d g s u v x y z .+ $.  $d a b g s u v x y z .~ $.  $d a b g s u v z ph $.
    $d u x z .- $.  $d x y z B $.  $d x y z C $.  $d a b g s u v x y z H $.
    $d a b g s u v x y z X $.
    sylow2b.x $e |- X = ( Base ` G ) $.
    sylow2b.xf $e |- ( ph -> X e. Fin ) $.
    sylow2b.h $e |- ( ph -> H e. ( SubGrp ` G ) ) $.
    sylow2b.k $e |- ( ph -> K e. ( SubGrp ` G ) ) $.
    sylow2b.a $e |- .+ = ( +g ` G ) $.
    ${
      sylow2b.r $e |- .~ = ( G ~QG K ) $.
      sylow2b.m $e |- .x. = ( x e. H , y e. ( X /. .~ ) |->
        ran ( z e. y |-> ( x .+ z ) ) ) $.
      $( Lemma for ~ sylow2b .  Evaluate the group action on a left coset.
         (Contributed by Mario Carneiro, 17-Jan-2015.) $)
      sylow2blem1 $p |- ( ( ph /\ B e. H /\ C e. X ) ->
        ( B .x. [ C ] .~ ) = [ ( B .+ C ) ] .~ ) $=
        ( wcel w3a cec co cmpt crn cqs wceq simp2 cvv cqg ovexi ecelqsg sylancr
        cv simp3 wa simpr simpl oveq1d mpteq12dv rneqd ecexg ax-mp mptex ovmpoa
        rnex syl2anc cfn wss cen wbr csubg cfv wer eqger ecss ssfid 3ad2ant1 wb
        syl vex elecg biimpa cminusg subgrcl subgss sseldd grpcl syl3anc adantr
        cgrp eqid eqgval simp2d grpinvcl grpass syl13anc csg grpinvadd grpnpcan
        grpsubval eqtr4d eqtrd eqtr3d simp3d eqeltrd mpbir3and ovex elec sylibr
        syldan fmpttd frnd wf1o cres grplmulf1o f1of1 f1ssres resmpt f1eq1 3syl
        wf1 mpbid f1f1orn f1oen ensym eqgen entr fisseneq ) AEKUAZFMUAZUBZEFHUC
        ZIUDZDYNEDUOZGUDZUEZUFZEFGUDZHUCZYMYKYNMHUGZUAZYOYSUHAYKYLUIZYMHUJUAZYL
        UUCHJLUKSULZAYKYLUPZMFHUJUMUNZBCEYNKUUBDCUOZBUOZYPGUDZUEZUFYSIUUJEUHZUU
        IYNUHZUQZUULYRUUODUUIUUKYNYQUUMUUNURUUOUUJEYPGUUMUUNUSUTVAVBTYRDYNYQUUE
        YNUJUAUUFFUJHVCVDZVEVGVFVHYMUUAVIUAZYSUUAVJYSUUAVKVLZYSUUAUHAYKUUQYLAMU
        UAOAYTHMALJVMVNZUAZMHVOQHJMLNSVPWAZVQVRVSYMYNUUAYRYMDYNYQUUAYMYPYNUAZFY
        PHVLZYQUUAUAZYMUVBUVCYMYPUJUAYLUVBUVCVTDWBUUGYPFHUJMWCUNWDYMUVCUQZYTYQH
        VLZUVDUVEUVFYTMUAZYQMUAZYTJWEVNZVNZYQGUDZLUAZYMUVGUVCYMJWLUAZEMUAZYLUVG
        AYKUVMYLAKUUSUAZUVMPKJWFWAZVSZYMKMEAYKKMVJZYLAUVOUVRPMKJNWGWAVSUUDWHZUU
        GMGJEFNRWIWJZWKUVEUVMUVNYPMUAZUVHYMUVMUVCUVQWKZYMUVNUVCUVSWKZUVEYLUWAFU
        VIVNZYPGUDZLUAZYMUVCYLUWAUWFUBZAYKUVCUWGVTZYLAUVMLMVJZUWHUVPAUUTUWIQMLJ
        NWGWAZFYPGHLJUVIWLMNUVIWMZRSWNVHVSWDZWOZMGJEYPNRWIWJUVEUVKUWELUVEUVJEGU
        DZYPGUDZUVKUWEUVEUVMUVJMUAZUVNUWAUWOUVKUHUWBYMUWPUVCYMUVMUVGUWPUVQUVTMJ
        UVIYTNUWKWPVHWKUWCUWMMGJUVJEYPNRWQWRYMUWOUWEUHUVCYMUWNUWDYPGYMUWNUWDEJW
        SVNZUDZEGUDZUWDYMUVJUWREGYMUVJUWDEUVIVNGUDZUWRYMUVMUVNYLUVJUWTUHUVQUVSU
        UGMGJUVIEFNRUWKWTWJYMUWDMUAZUVNUWRUWTUHYMUVMYLUXAUVQUUGMJUVIFNUWKWPVHZU
        VSMGJUVIUWQUWDENRUWKUWQWMZXBVHXCUTYMUVMUXAUVNUWSUWDUHUVQUXBUVSMGJUWQUWD
        ENRUXCXAWJXDUTWKXEUVEYLUWAUWFUWLXFXGYMUVFUVGUVHUVLUBVTZUVCAYKUXDYLAUVMU
        WIUXDUVPUWJYTYQGHLJUVIWLMNUWKRSWNVHVSWKXHYQYTHEYPGXIEFGXIXJXKXLXMXNYMYS
        YNVKVLZYNUUAVKVLZUURYMYNYSYRXOZYNYSVKVLUXEYMYNMYRYCZUXGYMYNMDMYQUEZYNXP
        ZYCZUXHYMMMUXIYCZYNMVJZUXKYMMMUXIXOZUXLYMUVMUVNUXNUVQUVSDMGUXIJENRUXIWM
        XQVHMMUXIXRWAAYKUXMYLAFHMUVAVQVSZMMYNUXIXSVHYMUXMUXJYRUHUXKUXHVTUXODMYN
        YQXTYNMUXJYRYAYBYDYNMYRYEWAYNYSYRUUPYFYNYSYGYBYMYNLVKVLZLUUAVKVLZUXFYML
        YNVKVLZUXPYMUUTUUCUXRAYKUUTYLQVSZUUHYNHJMLNSYHVHLYNYGWAYMUUTUUAUUBUAZUX
        QUXSYMUUEUVGUXTUUFUVTMYTHUJUMUNUUAHJMLNSYHVHYNLUUAYIVHYSYNUUAYIVHYSUUAY
        JWJXD $.

      $( Lemma for ~ sylow2b .  Left multiplication in a subgroup ` H ` is a
         group action on the set of all left cosets of ` K ` .  (Contributed by
         Mario Carneiro, 17-Jan-2015.) $)
      sylow2blem2 $p |- ( ph -> .x. e. ( ( G |`s H ) GrpAct ( X /. .~ ) ) ) $=
        ( co wcel vu va vb vv vs cress cgrp cqs cvv wa cbs cfv cxp wf cv cplusg
        c0g wceq wral cga csubg eqid subggrp syl cpw cfn pwfi sylib eqger ssexd
        wer qsss jca wfn cmpt crn vex mptex fnmpoi a1i oveq2 eleq1d sylow2blem1
        rnex cec w3a cqg ovexi subgrcl 3ad2ant1 wss subgss sselda 3adant3 simp3
        grpcl syl3anc ecelqsg sylancr eqeltrd ectocld ralrimiva sylanbrc xpeq1d
        3expa ffnov subgbas feq2d mpbid id eqeq12d oveq2d 2ralbidv simpl adantr
        anbi12d subg0cl simpr oveq1d grplid eceq1d 3eqtr3d simprl sseldd simprr
        subg0 grpass syl13anc eqtr4d subgcl 3eqtr4d ralrimivva ressplusg oveqdr
        sylan eqeq1d raleqbidv isga ) AHIUFSZUGTZKFUHZUITZUJYSUKULZUUAUMZUUAGUN
        ZYSUQULZUAUOZGSZUUGURZUBUOZUCUOZYSUPULZSZUUGGSZUUJUUKUUGGSZGSZURZUCUUCU
        SUBUUCUSZUJZUAUUAUSZUJGYSUUAUTSTAYTUUBAIHVAULZTZYTNIHYSYSVBZVCVDAUUAKVE
        ZVFAKVFTUVDVFTMKVGVHAKFAJUVATKFVKOFHKJLQVIVDVLVJVMAUUEUUTAIUUAUMZUUAGUN
        ZUUEAGUVEVNZUUGUDUOZGSZUUATZUDUUAUSZUAIUSUVFUVGABCIUUADCUOZBUODUOESZVOZ
        VPGRUVNDUVLUVMCVQVRWDVSVTAUVKUAIAUUGITZUJZUVJUDUUAUUGUEUOZFWEZGSZUUATZU
        VJUVPUEUVHKFUUAUUAVBZUVRUVHURUVSUVIUUAUVRUVHUUGGWAWBAUVOUVQKTZUVTAUVOUW
        BWFZUVSUUGUVQESZFWEZUUAABCDUUGUVQEFGHIJKLMNOPQRWCUWCFUITUWDKTZUWEUUATFH
        JWGQWHUWCHUGTZUUGKTZUWBUWFAUVOUWGUWBAUVBUWGNIHWIZVDZWJAUVOUWHUWBAIKUUGA
        UVBIKWKZNKIHLWLZVDWMWNAUVOUWBWOKEHUUGUVQLPWPWQKUWDFUIWRWSWTXEXAXBXBUAUD
        IUUAUUAGXFXCAUVEUUDUUAGAIUUCUUAAUVBIUUCURZNIHYSUVCXGZVDXDXHXIAUUSUAUUAU
        UFUVRGSZUVRURZUUMUVRGSZUUJUUKUVRGSZGSZURZUCUUCUSZUBUUCUSZUJUUSAUEUUGKFU
        UAUWAUVRUUGURZUWPUUIUXBUURUXCUWOUUHUVRUUGUVRUUGUUFGWAUXCXJXKUXCUWTUUQUB
        UCUUCUUCUXCUWQUUNUWSUUPUVRUUGUUMGWAUXCUWRUUOUUJGUVRUUGUUKGWAXLXKXMXPAUW
        BUJZUWPUXBUXDHUQULZUVRGSZUXEUVQESZFWEZUWOUVRUXDAUXEITZUWBUXFUXHURAUWBXN
        ZUXDUVBUXIAUVBUWBNXOZIHUXEUXEVBZXQVDAUWBXRZABCDUXEUVQEFGHIJKLMNOPQRWCWQ
        UXDUXEUUFUVRGUXDUVBUXEUUFURUXKIHYSUXEUVCUXLYFVDXSUXDUXGUVQFAUWGUWBUXGUV
        QURUWJKEHUVQUXELPUXLXTYOYAYBUXDUUJUUKESZUVRGSZUWSURZUCIUSZUBIUSUXBUXDUX
        PUBUCIIUXDUUJITZUUKITZUJZUJZUXNUVQESZFWEZUUJUUKUVQESZFWEZGSZUXOUWSUYAUY
        CUUJUYDESZFWEZUYFUYAUYBUYGFUYAUWGUUJKTUUKKTZUWBUYBUYGURUYAUVBUWGUXDUVBU
        XTUXKXOZUWIVDZUYAIKUUJUYAUVBUWKUYJUWLVDZUXDUXRUXSYCZYDUYAIKUUKUYLUXDUXR
        UXSYEZYDZUXDUWBUXTUXMXOZKEHUUJUUKUVQLPYGYHYAUYAAUXRUYDKTZUYFUYHURUXDAUX
        TUXJXOZUYMUYAUWGUYIUWBUYQUYKUYOUYPKEHUUKUVQLPWPWQABCDUUJUYDEFGHIJKLMNOP
        QRWCWQYIUYAAUXNITZUWBUXOUYCURUYRUYAUVBUXRUXSUYSUYJUYMUYNEIHUUJUUKPYJWQU
        YPABCDUXNUVQEFGHIJKLMNOPQRWCWQUYAUWRUYEUUJGUYAAUXSUWBUWRUYEURUYRUYNUYPA
        BCDUUKUVQEFGHIJKLMNOPQRWCWQXLYKYLUXDUXQUXAUBIUUCUXDUVBUWMUXKUWNVDZUXDUX
        PUWTUCIUUCUYTUXDUXOUWQUWSUXDUXNUUMUVRGAUWBUBUCEUULAUVBEUULURNIEHYSUVAUV
        CPYMVDYNXSYPYQYQXIVMXAXBVMUAUBUCUULGYSUUCUUAUUFUUCVBUULVBUUFVBYRXC $.

      sylow2blem3.hp $e |- ( ph -> P pGrp ( G |`s H ) ) $.
      sylow2blem3.kn $e |- ( ph -> ( # ` K ) = ( P ^ ( P pCnt ( # ` X ) ) ) )
          $.
      sylow2blem3.d $e |- .- = ( -g ` G ) $.
      $( Sylow's second theorem.  Putting together the results of ~ sylow2a and
         the orbit-stabilizer theorem to show that ` P ` does not divide the
         set of all fixed points under the group action, we get that there is a
         fixed point of the group action, so that there is some ` g e. X ` with
         ` h g K = g K ` for all ` h e. H ` .  This implies that
         ` invg ( g ) h g e. K ` , so ` h ` is in the conjugated subgroup
         ` g K invg ( g ) ` .  (Contributed by Mario Carneiro, 18-Jan-2015.) $)
      sylow2blem3 $p |- ( ph ->
        E. g e. X H C_ ran ( x e. K |-> ( ( g .+ x ) .- g ) ) ) $=
        ( vu cv co wceq wral cqs wrex cmpt crn wss cress cbs cfv crab wne chash
        c0 cdvds wbr wn cpc cexp cdiv cprime wcel cn cpgp pgpprm syl cgrp csubg
        subgrcl grpbn0 wb hashnncl mpbird pcndvds2 syl2anc cmul lagsubg2 oveq1d
        cfn oveq2d cn0 cpw pwfi sylib wer eqger ssfid hashcl nn0cnd c0g subg0cl
        qsss eqid ne0d subgss nncnd nnne0d divcan4d 3eqtr3d breq2d cz cmin prmz
        mtbid nn0zd ssrab2 ssfi sylancl wa sylow2blem2 subgbas eqeltrrd sylow2a
        cpr copab dvdssub2 syl31anc cc0 hasheq0 dvds0 breq2 syl5ibrcom necon3bd
        sylbird mpd rabn0 raleqdv cec wi syl3anc ad2antrr ovex expr rexbidv vex
        elqs cminusg w3a simplrr simprr simpll simprl sylow2blem1 eqtr3d eqgval
        simplrl mpbid simp3d oveq2 fvmpt grprinv grpinvcl sseldd grpcl syl13anc
        erth grpass grplid grppncan 3eqtrd wfn fnmpti fnfvelrn sylancr ralimdva
        imp an32s dfss3 sylibr reximdva ex com23 syl5bi rexlimdv ) AUEUFZDUFZHU
        GZUWCUHZUEKUIZDNGUJZUKZKBLIUFZBUFZFUGZUWIMUGZULZUMZUNZINUKZAUWHUWEUEJKU
        OUGZUPUQZUIZDUWGUKZAUWSDUWGURZVAUSZUWTAEUXAUTUQZVBVCZVDUXBAEUWGUTUQZVBV
        CZUXDAENUTUQZEEUXGVEUGVFUGZVGUGZVBVCZUXFAEVHVIZUXGVJVIZUXJVDAEUWQVKVCUX
        KUBEUWQVLVMZAUXLNVAUSZAJVNVIZUXNAKJVOUQZVIZUXOQKJVPVMZNJOVQVMANWFVIZUXL
        UXNVRPNVSVMVTEUXGWAWBAUXIUXEEVBAUXGLUTUQZVGUGUXEUXTWCUGZUXTVGUGUXIUXEAU
        XGUYAUXTVGAGJNLOTRPWDWEAUXTUXHUXGVGUCWGAUXEUXTAUXEAUWGWFVIZUXEWHVIANWIZ
        UWGAUXSUYCWFVIPNWJWKANGALUXPVIZNGWLZRGJNLOTWMVMZWSWNZUWGWOVMZWPAUXTAUXT
        VJVIZLVAUSZALJWQUQZAUYDUYKLVIRLJUYKUYKWTZWRVMXAALWFVIUYIUYJVRANLPAUYDLN
        UNZRNLJOXBVMZWNLVSVMVTZXCAUXTUYOXDXEXFXGXKAEXHVIZUXEXHVIUXCXHVIEUXEUXCX
        IUGVBVCUXFUXDVRAUXKUYPUXMEXJVMZAUXEUYHXLAUXCAUXAWFVIZUXCWHVIAUYBUXAUWGU
        NUYRUYGUWSDUWGXMUWGUXAXNXOZUXAWOVMXLABCDEHUWJCUFZYAUWGUNUWIUWJHUGUYTUHI
        UWRUKXPBCYBZIUEUWQUWRUWGUXAUWRWTABCDFGHJKLNOPQRSTUAXQUBAKUWRWFAUXQKUWRU
        HQKJUWQUWQWTXRVMZANKPAUXQKNUNZQNKJOXBVMZWNXSUYGUXAWTVUAWTXTEUXEUXCYCYDX
        KAUXDUXAVAAUXAVAUHZUXCYEUHZUXDAUYRVUFVUEVRUYSUXAWFYFVMAUXDVUFEYEVBVCZAU
        YPVUGUYQEYGVMUXCYEEVBYHYIYKYJYLUWSDUWGYMWKAUWFUWSDUWGAUWEUEKUWRVUBYNUUA
        VTAUWFUWPDUWGUWCUWGVIUWCUWIGYOZUHZINUKZAUWFUWPYPINUWCGDUUBUUCAUWFVUJUWP
        AUWFVUJUWPYPAUWFXPZVUIUWOINVUKUWINVIZVUIUWOVUKVULVUIXPZXPUWBUWNVIZUEKUI
        ZUWOAVUMUWFVUOAVUMXPZUWFVUOVUPUWEVUNUEKVUPUWBKVIZUWEVUNVUPVUQUWEXPZXPZU
        WIJUUDUQZUQZUWBUWIFUGZFUGZUWMUQZUWBUWNVUSVVDUWIVVCFUGZUWIMUGZVVBUWIMUGZ
        UWBVUSVVCLVIZVVDVVFUHVUSVULVVBNVIZVVHVUSUWIVVBGVCZVULVVIVVHUUEZVUSVVJVU
        HVVBGYOZUHVUSUWCVUHVVLAVULVUIVURUUFZVUSUWDUWBVUHHUGZUWCVVLVUSUWCVUHUWBH
        VVMWGVUPVUQUWEUUGVUSAVUQVULVVNVVLUHAVUMVURUUHVUPVUQUWEUUIZAVULVUIVURUUM
        ZABCDUWBUWIFGHJKLNOPQRSTUAUUJYQXFUUKVUSUWIVVBGNAUYEVUMVURUYFYRVVPUVCVTV
        USUXOUYMVVJVVKVRAUXOVUMVURUXRYRZAUYMVUMVURUYNYRUWIVVBFGLJVUTVNNOVUTWTZS
        TUULWBUUNUUOZBVVCUWLVVFLUWMUWJVVCUHUWKVVEUWIMUWJVVCUWIFUUPWEUWMWTZVVEUW
        IMYSUUQVMVUSVVEVVBUWIMVUSUWIVVAFUGZVVBFUGZUYKVVBFUGZVVEVVBVUSVWAUYKVVBF
        VUSUXOVULVWAUYKUHVVQVVPNFJVUTUWIUYKOSUYLVVRUURWBWEVUSUXOVULVVANVIZVVIVW
        BVVEUHVVQVVPVUSUXOVULVWDVVQVVPNJVUTUWIOVVRUUSWBVUSUXOUWBNVIZVULVVIVVQVU
        SKNUWBAVUCVUMVURVUDYRVVOUUTZVVPNFJUWBUWIOSUVAYQZNFJUWIVVAVVBOSUVDUVBVUS
        UXOVVIVWCVVBUHVVQVWGNFJVVBUYKOSUYLUVEWBXFWEVUSUXOVWEVULVVGUWBUHVVQVWFVV
        PNFJMUWBUWIOSUDUVFYQUVGVUSUWMLUVHVVHVVDUWNVIBLUWLUWMUWKUWIMYSVVTUVIVVSL
        VVCUWMUVJUVKXSYTUVLUVMUVNUEKUWNUVOUVPYTUVQUVRUVSUVTUWAYL $.
    $}

    sylow2b.hp $e |- ( ph -> P pGrp ( G |`s H ) ) $.
    sylow2b.kn $e |- ( ph -> ( # ` K ) = ( P ^ ( P pCnt ( # ` X ) ) ) ) $.
    sylow2b.d $e |- .- = ( -g ` G ) $.
    $( Sylow's second theorem.  Any ` P ` -group ` H ` is a subgroup of a
       conjugated ` P ` -group ` K ` of order ` P ^ n || ( # `` X ) ` with
       ` n ` maximal.  This is usually stated under the assumption that ` K `
       is a Sylow subgroup, but we use a slightly different definition, whose
       equivalence to this one requires this theorem.  This is part of Metamath
       100 proof #72.  (Contributed by Mario Carneiro, 18-Jan-2015.) $)
    sylow2b $p |- ( ph ->
      E. g e. X H C_ ran ( x e. K |-> ( ( g .+ x ) .- g ) ) ) $=
      ( vz cv vy vu vv vs cqg co cqs cmpt crn cmpo eqid weq oveq2 cbvmptv oveq1
      mpteq2dv eqtrid rneqd mpteq1 cbvmpov sylow2blem3 ) ABUASCDFHUEUFZUBUCGJVB
      UGZUDUCTZUBTZUDTZDUFZUHZUIZUJEFGHIJKLMNOVBUKUBUCBUAGVCVISUATZBTZSTZDUFZUH
      ZUISVDVMUHZUIUBBULZVHVOVPVHSVDVEVLDUFZUHVOUDSVDVGVQVFVLVEDUMUNVPSVDVQVMVE
      VKVLDUOUPUQURUCUAULVOVNSVDVJVMUSURUTPQRVA $.
  $}

  ${
    $d g k n x G $.  $d g k n x H $.  $d g k n p P $.  $d g k n p x X $.
    $d g k ph $.
    fislw.1 $e |- X = ( Base ` G ) $.
    ${
      slwhash.3 $e |- ( ph -> X e. Fin ) $.
      slwhash.4 $e |- ( ph -> H e. ( P pSyl G ) ) $.
      $( A sylow subgroup has cardinality equal to the maximum power of ` P `
         dividing the group.  (Contributed by Mario Carneiro, 18-Jan-2015.) $)
      slwhash $p |- ( ph -> ( # ` H ) = ( P ^ ( P pCnt ( # ` X ) ) ) ) $=
        ( vx vn chash cfv co wceq wcel syl cfn syl2anc wa eqid vk vg cexp csubg
        cv cpc cgrp cslw slwsubg subgrcl cprime slwprm cn c0 grpbn0 wb hashnncl
        wne mpbird pccld cdvds wbr pcdvds sylow1 cplusg csg cmpt crn wss adantr
        simprl cress cpgp slwpgp sylow2b cbs cn0 wrex ad2antrr conjsubg subgbas
        simprr fveq2d cen conjsubgen subgss ssfid hashen simplrr oveq2 rspceeqv
        eqtr3d subggrp eqeltrrd pgpfi mpbir2and slwispgp mpbi2and rexlimddv
        eqtrd ) AUAUEZKLZBBEKLZUFMZUCMZNZDKLZXENZUACUDLZABUACXDEFADXIOZCUGOZADB
        CUHMOZXJHBCDUIPZDCUJPZGAXLBUKOZHBCDULZPZABXCXQAXCUMOZEUNURZAXKXSXNECFUO
        PAEQOZXRXSUPGEUQPUSZUTZAXOXRXEXCVAVBXQYABXCVCRVDAXAXIOZXFSZSZDIXAUBUEZI
        UECVELZMYFCVFLZMVGZVHZVIZXHUBEYEIBYGUBCDXAYHEFAXTYDGVJAXJYDXMVJAYCXFVKZ
        YGTZABCDVLMZVMVBZYDAXLYOHBYNCDYNTVNPVJAYCXFWBYHTZVOYEYFEOZYKSZSZXGYJKLZ
        XEYSDYJKYSYKBCYJVLMZVMVBZDYJNZYEYQYKWBYSUUBXOUUAVPLZKLZBJUEZUCMZNJVQVRZ
        YSXLXOAXLYDYRHVSZXPPYSXDVQOZUUEXENUUHAUUJYDYRYBVSYSYTUUEXEYSYJUUDKYSYJX
        IOZYJUUDNYSYCYQUUKYEYCYRYLVJZYEYQYKVKZIYFYGXAYICYHEFYMYPYITZVTRZYJCUUAU
        UATZWAPZWCYSXBYTXEYSXBYTNZXAYJWDVBZYSYCYQUUSUULUUMIYFYGXAYICYHEFYMYPUUN
        WERYSXAQOYJQOUURUUSUPYSEXAAXTYDYRGVSZYSYCXAEVIUULEXACFWFPWGYSEYJUUTYSUU
        KYJEVIUUOEYJCFWFPWGZXAYJWHRUSAYCXFYRWIWLZWLJXDVQUUGXEUUEUUFXDBUCWJWKRYS
        UUAUGOZUUDQOUUBXOUUHSUPYSUUKUVCUUOYJCUUAUUPWMPYSYJUUDQUUQUVAWNBJUUAUUDU
        UDTWORWPYSXLUUKYKUUBSUUCUPUUIUUOBUUACDYJUUPWQRWRWCUVBWTWSWS $.
    $}

    $( The sylow subgroups of a finite group are exactly the groups which have
       cardinality equal to the maximum power of ` P ` dividing the group.
       (Contributed by Mario Carneiro, 16-Jan-2015.) $)
    fislw $p |- ( ( G e. Grp /\ X e. Fin /\ P e. Prime ) ->
      ( H e. ( P pSyl G ) <-> ( H e. ( SubGrp ` G ) /\
        ( # ` H ) = ( P ^ ( P pCnt ( # ` X ) ) ) ) ) ) $=
      ( vn wcel cfn co cfv chash cpc wceq wa syl wbr wb adantr cn0 syl2anc cgrp
      vk vp cprime w3a cslw csubg simpr slwsubg simpl2 slwhash jca cv wss cress
      cexp cpgp wral simpl3 simprl cen subgss ssfid simprrl cdom ssdomg sylc cn
      cle cbs wrex simprrr eqid subggrp eqeltrrd pgpfi mpbid simpld prmnn nnred
      subgbas nnge1d cz cuz c0 wne c0g subg0cl ne0d hashnncl mpbird pccld nn0zd
      simpl1 grpbn0 oveq1 breq12d cdvds lagsubg pc2dvds rspcdva eluz2 syl3anbrc
      leexp2ad simprd fveqeq2d rexbidv pcprmpw simplrr 3brtr4d ad2antrl hashdom
      nnzd sbth fisseneq syl3anc fveq2d simprr eqtr3d rspceeqv mpbir2and breq2d
      oveq2 eqimss biantrurd bitrd syl5ibcom impbid ralrimiva isslw impbida
      expr ) BUAGZDHGZAUDGZUEZCABUFIGZCBUGJZGZCKJZAADKJZLIZUPIZMZNZYPYQNZYSUUDU
      UFYQYSYPYQUHZABCUIOUUFABCDEYMYNYOYQUJUUGUKULYPUUENZYOYSCUBUMZUNZABUUIUOIZ
      UQPZNZCUUIMZQZUBYRURYQYMYNYOUUEUSZYPYSUUDUTUUHUUOUBYRUUHUUIYRGZNZUUMUUNUU
      HUUQUUMUUNUUHUUQUUMNZNZUUIHGZUUJCUUIVAPZUUNUUTDUUIUUHYNUUSYMYNYOUUEUJZRZU
      UTUUQUUIDUNUUHUUQUUMUTZDUUIBEVBOVCZUUHUUQUUJUULVDZUUTCUUIVEPZUUICVEPZUVBU
      UTUVAUUJUVHUVFUVGCUUIHVFVGUUTUUIKJZYTVIPZUVIUUTAAUVJLIZUPIZUUCUVJYTVIUUTA
      UVLUUBUUTAUUTYOAVHGUUTYOUUKVJJZKJAFUMZUPIZMZFSVKZUUTUULYOUVRNZUUHUUQUUJUU
      LVLUUTUUKUAGZUVNHGUULUVSQUUTUUQUVTUVEUUIBUUKUUKVMZVNOUUTUUIUVNHUUTUUQUUIU
      VNMUVEUUIBUUKUWAWAOZUVFVOAFUUKUVNUVNVMVPTVQZVRZAVSOZVTUUTAUWEWBUUTUVLWCGU
      UBWCGUVLUUBVIPZUUBUVLWDJGUUTUVLUUTAUVJUWDUUTUVJVHGZUUIWEWFZUUTUUIBWGJZUUT
      UUQUWIUUIGUVEUUIBUWIUWIVMWHOWIUUTUVAUWGUWHQUVFUUIWJOWKZWLWMUUTUUBUUHUUBSG
      ZUUSUUHAUUAUUPUUHUUAVHGZDWEWFZUUHYMUWMYMYNYOUUEWNDBEWOOUUHYNUWLUWMQUVCDWJ
      OWKZWLZRWMUUTUCUMZUVJLIZUWPUUALIZVIPZUWFUCUDAUWPAMUWQUVLUWRUUBVIUWPAUVJLW
      PUWPAUUALWPWQUUTUVJUUAWRPZUWSUCUDURZUUTUUQYNUWTUVEUVDBDUUIEWSTUUTUVJWCGUU
      AWCGUWTUXAQUUTUVJUWJXMUUTUUAUUHUWLUUSUWNRXMUVJUUAUCWTTVQUWDXAUVLUUBXBXCXD
      UUTUVJUVPMZFSVKZUVJUVMMZUUTUXCUVRUUTYOUVRUWCXEUUTUXBUVQFSUUTUUIUVNUVPKUWB
      XFXGWKUUTYOUWGUXCUXDQUWDUWJUVJAFXHTVQYPYSUUDUUSXIXJUUTUVACHGZUVKUVIQUVFUU
      HUXEUUSUUHDCUVCYSCDUNYPUUDDCBEVBXKVCZRUUICHXLTVQCUUIXNTCUUIXOXPYLUURABCUO
      IZUQPZUUNUUMUUHUXHUUQUUHUXHYOUXGVJJZKJZUVPMFSVKZUUPUUHUWKUXJUUCMUXKUWOUUH
      YTUXJUUCUUHCUXIKYSCUXIMYPUUDCBUXGUXGVMZWAXKZXQYPYSUUDXRXSFUUBSUVPUUCUXJUV
      OUUBAUPYCXTTUUHUXGUAGZUXIHGUXHYOUXKNQYSUXNYPUUDCBUXGUXLVNXKUUHCUXIHUXMUXF
      VOAFUXGUXIUXIVMVPTYARUUNUXHUULUUMUUNUXGUUKAUQCUUIBUOYCYBUUNUUJUULCUUIYDYE
      YFYGYHYIAUBBCYJXCYK $.
  $}

  ${
    $d x .- $.  $d g x .+ $.  $d g x G $.  $d g x H $.  $d g x K $.  $d g ph $.
    $d g x X $.
    sylow2.x $e |- X = ( Base ` G ) $.
    sylow2.f $e |- ( ph -> X e. Fin ) $.
    sylow2.h $e |- ( ph -> H e. ( P pSyl G ) ) $.
    sylow2.k $e |- ( ph -> K e. ( P pSyl G ) ) $.
    sylow2.a $e |- .+ = ( +g ` G ) $.
    sylow2.d $e |- .- = ( -g ` G ) $.
    $( Sylow's second theorem.  See also ~ sylow2b for the "hard" part of the
       proof.  Any two Sylow ` P ` -subgroups are conjugate to one another, and
       hence the same size, namely ` P ^ ( P pCnt | X | ) ` (see ~ fislw ).
       This is part of Metamath 100 proof #72.  (Contributed by Mario Carneiro,
       18-Jan-2015.) $)
    sylow2 $p |- ( ph ->
      E. g e. X H = ran ( x e. K |-> ( ( g .+ x ) .- g ) ) ) $=
      ( co wss wcel syl cv cmpt crn wceq wa cfn cen wbr adantr cfv cslw slwsubg
      csubg simprl eqid conjsubg syl2an2r subgss ssfid simprr chash cpc slwhash
      cexp eqtr4d wb hashen syl2anc mpbid conjsubgen entr fisseneq syl3anc cpgp
      cress slwpgp sylow2b reximddv ) AGBHEUAZBUADQVSIQUBZUCZRZGWAUDZEJAVSJSZWB
      UEZUEZWAUFSWBGWAUGUHZWCWFJWAAJUFSWELUIWFWAFUMUJZSZWAJRAHWHSZWEWDWIAHCFUKQ
      ZSWJNCFHULTZAWDWBUNZBVSDHVTFIJKOPVTUOZUPUQJWAFKURTUSAWDWBUTAGHUGUHZWEHWAU
      GUHZWGAGVAUJZHVAUJZUDZWOAWQCCJVAUJVBQVDQWRACFGJKLMVCACFHJKLNVCZVEAGUFSHUF
      SWSWOVFAJGLAGWHSZGJRAGWKSZXAMCFGULTZJGFKURTUSAJHLAWJHJRWLJHFKURTUSGHVGVHV
      IAWJWEWDWPWLWMBVSDHVTFIJKOPWNVJUQGHWAVKUQGWAVLVMABCDEFGHIJKLXCWLOAXBCFGVO
      QZVNUHMCXDFGXDUOVPTWTPVQVR $.
  $}

  ${
    $d a b c u v w x y z .- $.  $d a b c g h s u w x y z .(+) $.  $d g x y H $.
    $d g h s u v w x y z K $.  $d g k u w z N $.  $d a b c g h k u w x y z X $.
    $d a b c g h k s u w x y z G $.  $d a b c g h k s u w x y z ph $.
    $d a b c g u v w x y z .+ $.  $d a b c g h k s u w x y z P $.
    sylow3.x $e |- X = ( Base ` G ) $.
    sylow3.g $e |- ( ph -> G e. Grp ) $.
    sylow3.xf $e |- ( ph -> X e. Fin ) $.
    sylow3.p $e |- ( ph -> P e. Prime ) $.
    ${
      sylow3lem1.a $e |- .+ = ( +g ` G ) $.
      sylow3lem1.d $e |- .- = ( -g ` G ) $.
      sylow3lem1.m $e |- .(+) = ( x e. X , y e. ( P pSyl G ) |->
        ran ( z e. y |-> ( ( x .+ z ) .- x ) ) ) $.
      $( Lemma for ~ sylow3 , first part.  (Contributed by Mario Carneiro,
         19-Jan-2015.) $)
      sylow3lem1 $p |- ( ph -> .(+) e. ( G GrpAct ( P pSyl G ) ) ) $=
        ( wcel co wceq va vb vc vw vu vv cgrp cslw cvv wa cxp wf c0g cfv cv cga
        wral ovex jctir cmpt crn csubg chash cpc cexp cfn cprime syl3anc biimpa
        wb fislw adantrl simpld simprl eqid conjsubg syl2anc cen wbr conjsubgen
        adantr wss subgss syl ssfid hashen mpbird simprd eqtr3d ralrimivva fmpo
        mpbir2and sylib grpidcl simpr simpl oveq1d oveq12d mpteq12dv rneqd rnex
        weq vex ovmpoa cid cres ad2antrr slwsubg adantl sselda grplid grpsubid1
        mptex eqtrd mpteq2dva mptresid eqtr4di rnresi eqtrdi wrex oveq2 abrexco
        cab simprr simplr rnmpt rexeqdv abbidv grpcl grpsubsub4 syl13anc grpass
        adantlr grpaddsubass eqeq2d rexbidva 3eqtr4a 3eqtr4g fovrnd jca cbvmptv
        3eqtr4rd ralrimiva isga sylanbrc ) AHUGRZEHUHSZUIRZUJJUUGUKUUGGULZHUMUN
        ZUAUOZGSZUUKTZUBUOZUCUOZFSZUUKGSZUUNUUOUUKGSZGSZTZUCJUQUBJUQZUJZUAUUGUQ
        ZUJGHUUGUPSRAUUFUUHLEHUHURUSAUUIUVCADCUOZBUOZDUOZFSZUVEISZUTZVAZUUGRZCU
        UGUQBJUQUUIAUVKBCJUUGAUVEJRZUVDUUGRZUJZUJZUVKUVJHVBUNZRZUVJVCUNZEEJVCUN
        VDSVESZTZUVOUVDUVPRZUVLUVQUVOUWAUVDVCUNZUVSTZAUVMUWAUWCUJZUVLAUVMUWDAUU
        FJVFRZEVGRZUVMUWDVJLMNEHUVDJKVKVHVIVLZVMZAUVLUVMVNZDUVEFUVDUVIHIJKOPUVI
        VOZVPVQZUVOUWBUVRUVSUVOUWBUVRTZUVDUVJVRVSZUVOUWAUVLUWMUWHUWIDUVEFUVDUVI
        HIJKOPUWJVTVQUVOUVDVFRUVJVFRUWLUWMVJUVOJUVDAUWEUVNMWAZUVOUWAUVDJWBUWHJU
        VDHKWCWDWEUVOJUVJUWNUVOUVQUVJJWBUWKJUVJHKWCWDWEUVDUVJWFVQWGUVOUWAUWCUWG
        WHWIAUVKUVQUVTUJVJZUVNAUUFUWEUWFUWOLMNEHUVJJKVKVHWAWLWJBCJUUGUVJUUGGQWK
        WMZAUVBUAUUGAUUKUUGRZUJZUUMUVAUWRUULDUUKUUJUVFFSZUUJISZUTZVAZUUKUWRUUJJ
        RZUWQUULUXBTUWRUUFUXCAUUFUWQLWAZJHUUJKUUJVOZWNWDAUWQWOBCUUJUUKJUUGUVJUX
        BGUVEUUJTZCUAXBZUJZUVIUXAUXHDUVDUVHUUKUWTUXFUXGWOUXHUVGUWSUVEUUJIUXHUVE
        UUJUVFFUXFUXGWPZWQUXIWRWSWTQUXADUUKUWTUAXCZXMXAXDVQUWRUXBXEUUKXFZVAUUKU
        WRUXAUXKUWRUXADUUKUVFUTUXKUWRDUUKUWTUVFUWRUVFUUKRZUJZUWTUVFUUJISZUVFUXM
        UWSUVFUUJIUXMUUFUVFJRZUWSUVFTAUUFUWQUXLLXGZUWRUUKJUVFUWRUUKUVPRZUUKJWBU
        WQUXQAEHUUKXHXIJUUKHKWCWDXJZJFHUVFUUJKOUXEXKVQWQUXMUUFUXOUXNUVFTUXPUXRJ
        HIUVFUUJKUXEPXLVQXNXODUUKXPXQWTUUKXRXSXNUWRUUTUBUCJJUWRUUNJRZUUOJRZUJZU
        JZUDUURUUNUDUOZFSZUUNISZUTZVAZDUUKUUPUVFFSZUUPISZUTZVAZUUSUUQUYBUEUOZUY
        ETZUDUURXTZUEYCZUYLUYITZDUUKXTZUEYCZUYGUYKUYBUYMUDUFUOUUOUVFFSZUUOISZTD
        UUKXTUFYCZXTZUEYCUYLUUNUYTFSZUUNISZTZDUUKXTZUEYCUYOUYRUEUDUFDUUKUYTUYEV
        UDUYSUUOIURUYCUYTTUYDVUCUUNIUYCUYTUUNFYAWQYBUYBUYNVUBUEUYBUYMUDUURVUAUY
        BUURDUUKUYTUTZVAZVUAUYBUXTUWQUURVUHTUWRUXSUXTYDZAUWQUYAYEZBCUUOUUKJUUGU
        VJVUHGBUCXBZUXGUJZUVIVUGVULDUVDUVHUUKUYTVUKUXGWOVULUVGUYSUVEUUOIVULUVEU
        UOUVFFVUKUXGWPZWQVUMWRWSWTQVUGDUUKUYTUXJXMXAXDVQDUFUUKUYTVUGVUGVOYFXSYG
        YHUYBUYQVUFUEUYBUYPVUEDUUKUYBUXLUJZUYIVUDUYLVUNUYHUUOISZUUNISZUYIVUDVUN
        UUFUYHJRZUXTUXSVUPUYITUYBUUFUXLUWRUUFUYAUXDWAZWAZVUNUUFUUPJRZUXOVUQVUSU
        YBVUTUXLUYBUUFUXSUXTVUTVURUWRUXSUXTVNZVUIJFHUUNUUOKOYIVHZWAUWRUXLUXOUYA
        UXRYMZJFHUUPUVFKOYIVHUYBUXTUXLVUIWAZUYBUXSUXLVVAWAZJFHIUYHUUOUUNKOPYJYK
        VUNVUOVUCUUNIVUNVUOUUNUYSFSZUUOISZVUCVUNUYHVVFUUOIVUNUUFUXSUXTUXOUYHVVF
        TVUSVVEVVDVVCJFHUUNUUOUVFKOYLYKWQVUNUUFUXSUYSJRZUXTVVGVUCTVUSVVEVUNUUFU
        XTUXOVVHVUSVVDVVCJFHUUOUVFKOYIVHVVDJFHIUUNUYSUUOKOPYNYKXNWQWIYOYPYHYQUD
        UEUURUYEUYFUYFVOYFDUEUUKUYIUYJUYJVOYFYRUYBUXSUURUUGRUUSUYGTVVAUYBUUOUUK
        UUGJUUGGAUUIUWQUYAUWPXGVUIVUJYSBCUUNUURJUUGUVJUYGGBUBXBZUVDUURTZUJZUVIU
        YFVVKUVIDUURUUNUVFFSZUUNISZUTUYFVVKDUVDUVHUURVVMVVIVVJWOVVKUVGVVLUVEUUN
        IVVKUVEUUNUVFFVVIVVJWPZWQVVNWRWSDUDUURVVMUYEDUDXBVVLUYDUUNIUVFUYCUUNFYA
        WQUUAXSWTQUYFUDUURUYEUUOUUKGURXMXAXDVQUYBVUTUWQUUQUYKTVVBVUJBCUUPUUKJUU
        GUVJUYKGUVEUUPTZUXGUJZUVIUYJVVPDUVDUVHUUKUYIVVOUXGWOVVPUVGUYHUVEUUPIVVP
        UVEUUPUVFFVVOUXGWPZWQVVQWRWSWTQUYJDUUKUYIUXJXMXAXDVQUUBWJYTUUCYTUAUBUCF
        GHJUUGUUJKOUXEUUDUUE $.

      sylow3lem2.k $e |- ( ph -> K e. ( P pSyl G ) ) $.
      sylow3lem2.h $e |- H = { u e. X | ( u .(+) K ) = K } $.
      sylow3lem2.n $e |- N = { x e. X |
        A. y e. X ( ( x .+ y ) e. K <-> ( y .+ x ) e. K ) } $.
      $( Lemma for ~ sylow3 , first part.  The stabilizer of a given Sylow
         subgroup ` K ` in the group action ` .(+) ` acting on all of ` G ` is
         the normalizer N_G(K).  (Contributed by Mario Carneiro,
         19-Jan-2015.) $)
      sylow3lem2 $p |- ( ph -> H = N ) $=
        ( vw vv cv co wceq crab cin wss wcel wb wral ssrab3 sseqin2 mpbi wa crn
        cmpt cslw simpr adantr mptexg rnexg 3syl simpl oveq1d oveq12d mpteq12dv
        cvv rneqd ovmpoga syl3anc csubg cfv slwsubg conjnmz sylan eqtr4d simplr
        syl eqid simprl eqtr3d eleq2d wrex ovex eqeq1 rexbidv rnmpt simprr cgrp
        elab2 ad3antrrr simpllr subgss sseldd syl13anc grpsubcl simplrr grplcan
        grpaddsubass eqtr2d mpbid grpsubadd rexlimdvaa syl5bi oveq2 fvmpt grpcl
        eqeltrd grpass grppncan 3eqtr2d wfn fnmpti fnfvelrn sylancr eqeltrrd ex
        impbid bitrd anassrs ralrimiva elnmz sylanbrc impbida rabbi2dva eqtr3id
        eqtr4id ) AJEUGZKHUHZKUIZENUJZMUCAMNMUKZYPMNULYQMUIBUGZCUGZGUHKUMYSYRGU
        HKUMUNCNUOBNMUDUPMNUQURAYOENMAYMNUMZUSZYMMUMZYOUUAUUBUSYNDKYMDUGZGUHZYM
        LUHZVAZUTZKUUAYNUUGUIZUUBUUAYTKFIVBUHZUMZUUGVLUMZUUHAYTVCAUUJYTUBVDZUUA
        UUJUUFVLUMUUKUULDKUUEUUIVEUUFVLVFVGBCYMKNUUIDYSYRUUCGUHZYRLUHZVAZUTUUGH
        VLYRYMUIZYSKUIZUSZUUOUUFUURDYSUUNKUUEUUPUUQVCUURUUMUUDYRYMLUURYRYMUUCGU
        UPUUQVHZVIUUSVJVKVMUAVNVOZVDUUAKIVPVQUMZUUBKUUGUIAUVAYTAUUJUVAUBFIKVRWC
        ZVDDBCYMGKUUFILMNOSTUUFWDZUDVSVTWAUUAYOUSZYTYMUEUGZGUHZKUMZUVEYMGUHZKUM
        ZUNZUENUOUUBAYTYOWBUVDUVJUENUUAYOUVENUMZUVJUUAYOUVKUSZUSZUVGUVFUUGUMZUV
        IUVMKUUGUVFUVMYNKUUGUUAYOUVKWEUUAUUHUVLUUTVDWFWGUVMUVNUVIUVNUVFUUEUIZDK
        WHZUVMUVIUFUGZUUEUIZDKWHUVPUFUVFUUGYMUVEGWIUVQUVFUIUVRUVODKUVQUVFUUEWJW
        KDUFKUUEUUFUVCWLWOUVMUVOUVIDKUVMUUCKUMZUVOUSZUSZUVHUUCKUWAUUCYMLUHZUVEU
        IZUVHUUCUIZUWAYMUWBGUHZUVFUIZUWCUWAUVFUUEUWEUVMUVSUVOWMUWAIWNUMZYTUUCNU
        MZYTUUEUWEUIAUWGYTUVLUVTPWPZAYTUVLUVTWQZUWAKNUUCAKNULZYTUVLUVTAUVAUWKUV
        BNKIOWRWCWPUVMUVSUVOWEZWSZUWJNGILYMUUCYMOSTXDWTXEUWAUWGUWBNUMZUVKYTUWFU
        WCUNUWIUWAUWGUWHYTUWNUWIUWMUWJNILUUCYMOTXAVOUUAYOUVKUVTXBZUWJNGIUWBUVEY
        MOSXCWTXFUWAUWGUWHYTUVKUWCUWDUNUWIUWMUWJUWONGILUUCYMUVEOSTXGWTXFUWLXMXH
        XIUVMUVIUVNUVMUVIUSZUVHUUFVQZUVFUUGUWPUWQYMUVHGUHZYMLUHZUVFYMGUHZYMLUHZ
        UVFUWPUVIUWQUWSUIUVMUVIVCZDUVHUUEUWSKUUFUUCUVHUIUUDUWRYMLUUCUVHYMGXJVIU
        VCUWRYMLWIXKWCUWPUWTUWRYMLUWPUWGYTUVKYTUWTUWRUIAUWGYTUVLUVIPWPZAYTUVLUV
        IWQZUUAYOUVKUVIXBZUXDNGIYMUVEYMOSXNWTVIUWPUWGUVFNUMZYTUXAUVFUIUXCUWPUWG
        YTUVKUXFUXCUXDUXENGIYMUVEOSXLVOUXDNGILUVFYMOSTXOVOXPUWPUUFKXQUVIUWQUUGU
        MDKUUEUUFUUDYMLWIUVCXRUXBKUVHUUFXSXTYAYBYCYDYEYFBCUEYMGKMNUDYGYHYIYJYKY
        L $.

      $( Lemma for ~ sylow3 , first part.  The number of Sylow subgroups is the
         same as the index (number of cosets) of the normalizer of the Sylow
         subgroup ` K ` .  (Contributed by Mario Carneiro, 19-Jan-2015.) $)
      sylow3lem3 $p |- ( ph ->
        ( # ` ( P pSyl G ) ) = ( # ` ( X /. ( G ~QG N ) ) ) ) $=
        ( vg vh cslw co chash cfv cqg cqs cfn wcel cn0 cpw wss pwfi sylib csubg
        cv slwsubg subgss syl elpwd ssfi sylancl hashcl nn0cnd cgrp wer nmzsubg
        ssriv eqid eqger 3syl qsss ssfid cn c0 wne c0g subg0cl ne0i wb hashnncl
        mpbird nncnd nnne0d cpr wceq wrex copab cec cmul cga sylow3lem1 orbsta2
        wa syl21anc lagsubg2 gaorber ecss wbr adantr simpr crn sylow2 eqcom cvv
        cmpt mptexg rnexg simpl oveq1d oveq12d mpteq12dv ovmpoga syl3anc eqeq2d
        rneqd syl5bb rexbidva gaorb syl3anbrc syl2anc eqelssd fveq2d sylow3lem2
        elecg 3eqtr3rd mulcan2ad ) AFIUGUHZUIUJZNIMUKUHZULZUIUJZMUIUJZAYNAYMUMU
        NZYNUOUNANUPZUMUNZYMYTUQYSANUMUNZUUAQNURUSZBYMYTBVAZYMUNZUUDNIUTUJZFIUU
        DVBZUUEUUDUUFUNUUDNUQUUGNUUDIOVCVDVEVMYTYMVFVGYMVHVDVIAYQAYPUMUNYQUOUNA
        YTYPUUCANYOAIVJUNZMUUFUNZNYOVKPBCGKIMNUDOSVLZYOINMOYOVNZVOVPVQVRYPVHVDV
        IAYRAYRVSUNZMVTWAZAUUIIWBUJZMUNUUMAUUHUUIPUUJVDZMIUUNUUNVNWCMUUNWDVPAMU
        MUNUULUUMWEANMQAUUHUUIMNUQPUUJNMIOVCVPVRMWFVDWGZWHAYRUUPWIANUIUJZKUUDCV
        AZWJYMUQUEVAUUDHUHUURWKUENWLWSBCWMZWNZUIUJZJUIUJZWOUHZYQYRWOUHYNYRWOUHA
        HIYMWPUHUNZKYMUNZUUBUUQUVCWKABCDFGHILNOPQRSTUAWQZUBQBCEKHIJUKUHZUEIJUUS
        NYMOUCUVGVNUUSVNZWRWTAYOINMOUUKUUOQXAAUVAYNUVBYRWOAUUTYMUIAUFUUTYMAKUUS
        YMAUVDYMUUSVKUVFBCHUUSUEINYMUVHOXBVDXCAUFVAZYMUNZWSZUVIUUTUNZKUVIUUSXDZ
        UVKUVEUVJEVAZKHUHZUVIWKZENWLZUVMAUVEUVJUBXEZAUVJXFZUVKUVQUVIDKUVNDVAZGU
        HZUVNLUHZXKZXGZWKZENWLUVKDFGEIUVIKLNOAUUBUVJQXEUVSUVRSTXHUVKUVPUWEENUVP
        UVIUVOWKUVKUVNNUNZWSZUWEUVOUVIXIUWGUVOUWDUVIUWGUWFUVEUWDXJUNZUVOUWDWKUV
        KUWFXFUVKUVEUWFUVRXEZUWGUVEUWCXJUNUWHUWIDKUWBYMXLUWCXJXMVPBCUVNKNYMDUUR
        UUDUVTGUHZUUDLUHZXKZXGUWDHXJUUDUVNWKZUURKWKZWSZUWLUWCUWODUURUWKKUWBUWMU
        WNXFUWOUWJUWAUUDUVNLUWOUUDUVNUVTGUWMUWNXNZXOUWPXPXQYAUAXRXSXTYBYCWGBCKU
        VIHUUSUEENYMUVHYDYEUVKUVJUVEUVLUVMWEUVSUVRUVIKUUSYMYMYJYFWGYGYHAJMUIABC
        DEFGHIJKLMNOPQRSTUAUBUCUDYIYHXPYKYL $.

      $( Lemma for ~ sylow3 , first part.  The number of Sylow subgroups is a
         divisor of the size of ` G ` reduced by the size of a Sylow subgroup
         of ` G ` .  (Contributed by Mario Carneiro, 19-Jan-2015.) $)
      sylow3lem4 $p |- ( ph -> ( # ` ( P pSyl G ) ) ||
        ( ( # ` X ) / ( P ^ ( P pCnt ( # ` X ) ) ) ) ) $=
        ( cslw co chash cfv cqg cqs cpc cexp cdiv cdvds sylow3lem3 cmul wbr cbs
        cress csubg wcel cfn slwsubg cnsg eqid nmznsg nsgsubg wceq cgrp nmzsubg
        syl subgbas subgss ssfid eqeltrrd lagsubg syl2anc fveq2d breqtrrd cz wi
        wss cn c0 wne c0g subg0cl ne0d wb hashnncl mpbird nnzd cn0 hashcl nn0zd
        cpw pwfi sylib eqger qsss dvdscmul syl3anc nn0cnd nncnd nnne0d divcan1d
        wer mpd lagsubg2 eqtrd cc0 dvdsval2 dvdsmulcr syl112anc slwhash breqtrd
        mpbid oveq2d eqbrtrd ) AFIUEUFZUGUHNIMUIUFZUJZUGUHZNUGUHZFFYDUKUFULUFZU
        MUFZUNABCDEFGHIJKLMNOPQRSTUAUBUCUDUOAYCYDKUGUHZUMUFZYFUNAYCYGUPUFZYHYGU
        PUFZUNUQZYCYHUNUQZAYIYCMUGUHZUPUFZYJUNAYGYMUNUQZYIYNUNUQZAYGIMUSUFZURUH
        ZUGUHZYMUNAKYQUTUHVAZYRVBVAYGYSUNUQAKIUTUHZVAZYTAKXTVAUUBUBFIKVCVKZUUBK
        YQVDUHVAYTBCGKIYQMNUDOSYQVEZVFKYQVGVKVKAMYRVBAMUUAVAZMYRVHAIVIVAUUEPBCG
        KIMNUDOSVJVKZMIYQUUDVLVKZANMQAUUEMNWBUUFNMIOVMVKVNZVOYQYRKYRVEVPVQAMYRU
        GUUGVRVSAYGVTVAZYMVTVAYCVTVAZYOYPWAAYGAYGWCVAZKWDWEZAKIWFUHZAUUBUUMKVAU
        UCKIUUMUUMVEWGVKWHAKVBVAUUKUULWIANKQAUUBKNWBUUCNKIOVMVKVNKWJVKWKZWLZAYM
        AMVBVAYMWMVAUUHMWNVKWOAYCAYBVBVAYCWMVAANWPZYBANVBVAZUUPVBVAQNWQWRANYAAU
        UENYAXGUUFYAINMOYAVEZWSVKWTVNYBWNVKWOZYCYGYMXAXBXHAYJYDYNAYDYGAYDAUUQYD
        WMVAQNWNVKZXCAYGUUNXDAYGUUNXEZXFAYAINMOUURUUFQXIXJVSAUUJYHVTVAZUUIYGXKW
        EZYKYLWIUUSAYGYDUNUQZUVBAUUBUUQUVDUUCQINKOVPVQAUUIUVCYDVTVAUVDUVBWIUUOU
        VAAYDUUTWOYGYDXLXBXQUUOUVAYGYCYHXMXNXQAYGYEYDUMAFIKNOQUBXOXRXPXS $.
    $}

    ${
      sylow3lem5.a $e |- .+ = ( +g ` G ) $.
      sylow3lem5.d $e |- .- = ( -g ` G ) $.
      sylow3lem5.k $e |- ( ph -> K e. ( P pSyl G ) ) $.
      sylow3lem5.m $e |- .(+) = ( x e. K , y e. ( P pSyl G ) |->
        ran ( z e. y |-> ( ( x .+ z ) .- x ) ) ) $.
      $( Lemma for ~ sylow3 , second part.  Reduce the group action of
         ~ sylow3lem1 to a given Sylow subgroup.  (Contributed by Mario
         Carneiro, 19-Jan-2015.) $)
      sylow3lem5 $p |- ( ph -> .(+) e. ( ( G |`s K ) GrpAct ( P pSyl G ) ) ) $=
        ( co va vb vc cslw cmpt crn cmpo cxp cres cress cga wss wceq csubg wcel
        cfv slwsubg syl subgss ssid resmpo sylancl eqtr4di oveq2 oveq1d cbvmptv
        cv oveq1 oveq12d mpteq2dv eqtrid rneqd mpteq1 cbvmpov sylow3lem1 gasubg
        id eqid syl2anc eqeltrrd ) ABCKEHUDTZDCVGZBVGZDVGZFTZWCJTZUEZUFZUGZIWAU
        HUIZGHIUJTZWAUKTZAWJBCIWAWHUGZGAIKULZWAWAULWJWMUMAIHUNUPUOZWNAIWAUOWORE
        HIUQURZKIHLUSURWAUTBCKWAIWAWHVAVBSVCAWIHWAUKTUOWOWJWLUOAUAUBUCEFWIHJKLM
        NOPQBCUAUBKWAWHUCUBVGZUAVGZUCVGZFTZWRJTZUEZUFUCWBXAUEZUFWCWRUMZWGXCXDWG
        UCWBWCWSFTZWCJTZUEXCDUCWBWFXFWDWSUMWEXEWCJWDWSWCFVDVEVFXDUCWBXFXAXDXEWT
        WCWRJWCWRWSFVHXDVQVIVJVKVLWBWQUMXCXBUCWBWQXAVMVLVNVOWPWIIHWKWAWKVRVPVSV
        T $.

      sylow3lem6.n $e |- N = { x e. X |
        A. y e. X ( ( x .+ y ) e. s <-> ( y .+ x ) e. s ) } $.
      $( Lemma for ~ sylow3 , second part.  Using the lemma ~ sylow2a , show
         that the number of sylow subgroups is equivalent ` mod P ` to the
         number of fixed points under the group action.  But ` K ` is the
         unique element of the set of Sylow subgroups that is fixed under the
         group action, so there is exactly one fixed point and so
         ` ( ( # `` ( P pSyl G ) ) mod P ) = 1 ` .  (Contributed by Mario
         Carneiro, 19-Jan-2015.) $)
      sylow3lem6 $p |- ( ph -> ( ( # ` ( P pSyl G ) ) mod P ) = 1 ) $=
        ( vg vw vh cslw co chash cfv cmo c1 wceq cmin cdvds wbr cress wral crab
        cv cbs cpr wss wrex wa copab eqid sylow3lem5 wcel cpgp slwpgp syl csubg
        cfn slwsubg subgbas subgss ssfid eqeltrrd cpw sylib elpwd ssriv sylancl
        pwfi ssfi sylow2a csn eqcom adantr sselda biantrurd syl5bb simpr simplr
        cmpt crn weq simpl oveq1d oveq12d mpteq12dv rneqd vex mptex rnex ovmpoa
        syl2anc eqeq1d ad2antlr conjnmzb 3bitr4d ralbidva dfss3 bitr4di raleqdv
        csg cgrp ad2antrr nmzsubg subgslw syl3anc ssnmz cvv cplusg fvexi rabex2
        wb ressplusg ax-mp sylow2 cnsg conjnsg sylan eqeq2 syl5ibrcom rexlimdva
        nmznsg mpd eqtrd cz eqeltrd impbida 3bitr3d rabsn fveq2d hashsng oveq2d
        eqsstrrd rabbidva breqtrd cn cprime prmnn cn0 hashcl nn0zd 1zzd moddvds
        mpbird c2 cuz prmuz2 clt eluz2b2 cr nnre 1mod sylbi 3syl ) AEHUFUGZUHUI
        ZEUJUGZUKEUJUGZUKAUVLUVMULZEUVKUKUMUGZUNUOZAEUVKUCUSZMUSZGUGZUVRULZUCHI
        UPUGZUTUIZUQZMUVJURZUHUIZUMUGUVOUNADUDMEGDUSZUDUSZVAUVJVBUEUSUWFGUGUWGU
        LUEUWBVCVDDUDVEZUEUCUWAUWBUVJUWDUWBVFABCDEFGHIJLNOPQRSTUAVGAIUVJVHZEUWA
        VIUOTEUWAHIUWAVFZVJVKAIUWBVMAIHVLUIZVHZIUWBULZAUWIUWLTEHIVNVKZIHUWAUWJV
        OVKZALIPAUWLILVBZUWNLIHNVPVKZVQVRALVSZVMVHZUVJUWRVBUVJVMVHZALVMVHZUWSPL
        WDVTBUVJUWRBUSZUVJVHZUXBLUWKEHUXBVNZUXCUXBUWKVHUXBLVBUXDLUXBHNVPVKWAWBU
        WRUVJWEWCZUWDVFUWHVFWFAUWEUKUVKUMAUWEIWGZUHUIZUKAUWDUXFUHAUWDUVRIULZMUV
        JURZUXFAUWCUXHMUVJAUVRUVJVHZVDZUVTUCIUQZIKVBZUWCUXHUXKUXLUVQKVHZUCIUQUX
        MUXKUVTUXNUCIUXKUVQIVHZVDZDUVRUVQUWFFUGZUVQJUGZWOZWPZUVRULZUVQLVHZUVRUX
        TULZVDZUVTUXNUYAUYCUXPUYDUXTUVRWHUXPUYBUYCUXKILUVQAUWPUXJUWQWIWJWKWLUXP
        UVSUXTUVRUXPUXOUXJUVSUXTULUXKUXOWMAUXJUXOWNBCUVQUVRIUVJDCUSZUXBUWFFUGZU
        XBJUGZWOZWPUXTGBUCWQZCMWQZVDZUYHUXSUYKDUYEUYGUVRUXRUYIUYJWMUYKUYFUXQUXB
        UVQJUYKUXBUVQUWFFUYIUYJWRZWSUYLWTXAXBUAUXSDUVRUXRMXCXDXEXFXGXHUXPUVRUWK
        VHZUXNUYDYGUXJUYMAUXOEHUVRVNZXIDBCUVQFUVRUXSHJKLNRSUXSVFUBXJVKXKXLUCIKX
        MXNUXKUVTUCIUWBAUWMUXJUWOWIXOUXKUXMUXHUXKUXMVDZIDUVRUXQUVQHKUPUGZXPUIZU
        GWOZWPZULZUCUYPUTUIZVCUXHUYODEFUCUYPIUVRUYQVUAVUAVFZUYOKVUAVMUYOKUWKVHZ
        KVUAULUYOHXQVHZVUCAVUDUXJUXMOXRBCFUVRHKLUBNRXSVKZKHUYPUYPVFZVOVKUYOLKAU
        XAUXJUXMPXRUYOVUCKLVBVUELKHNVPVKVQVRUYOVUCUWIUXMIEUYPUFUGZVHVUEAUWIUXJU
        XMTXRUXKUXMWMEKHUYPIVUFXTYAUYOVUCUXJUVRKVBZUVRVUGVHVUEAUXJUXMWNUYOUYMVU
        HUXJUYMAUXMUYNXIZBCFUVRHKLUBNRYBZVKEKHUYPUVRVUFXTYAKYCVHFUYPYDUIULUXBUY
        EFUGUVRVHUYEUXBFUGUVRVHYGCLUQBLKUBLHUTNYEYFKFHUYPYCVUFRYHYIZUYQVFZYJUYO
        UYTUXHUCVUAUYOUVQVUAVHZVDUXHUYTUVRUYSULZUYOUVRUYPYKUIVHZVUMVUNUYOUYMVUO
        VUIBCFUVRHUYPKLUBNRVUFYQVKDUVQFUVRUYRUYPUYQVUAVUBVUKVULUYRVFYLYMIUYSUVR
        YNYOYPYRUXKUXHVDZIUVRKUXKUXHWMZVUPUYMVUHVUPUVRIUWKVUQAUWLUXJUXHUWNXRUUA
        VUJVKUUHUUBUUCUUIAUWIUXIUXFULTMUVJIUUDVKYSUUEAUWIUXGUKULTIUVJUUFVKYSUUG
        UUJAEUUKVHZUVKYTVHUKYTVHUVNUVPYGAEUULVHZVURQEUUMVKAUVKAUWTUVKUUNVHUXEUV
        JUUOVKUUPAUUQUVKUKEUURYAUUSAVUSEUUTUVAUIVHZUVMUKULZQEUVBVUTVURUKEUVCUOZ
        VDVVAEUVDVUREUVEVHVVBVVAEUVFEUVGYMUVHUVIYS $.
    $}

    sylow3.n $e |- N = ( # ` ( P pSyl G ) ) $.
    $( Sylow's third theorem.  The number of Sylow subgroups is a divisor of
       ` | G | / d ` , where ` d ` is the common order of a Sylow subgroup, and
       is equivalent to ` 1 mod P ` .  This is part of Metamath 100 proof #72.
       (Contributed by Mario Carneiro, 19-Jan-2015.) $)
    sylow3 $p |- ( ph -> ( N || ( ( # ` X ) / ( P ^ ( P pCnt ( # ` X ) ) ) ) /\
                   ( N mod P ) = 1 ) ) $=
      ( vx vy vz va vb cv co wcel wceq eqid vk vu vc vs cslw chash cfv cpc cexp
      cdiv cdvds wbr cmo c1 wa c0 wne wex cfn cprime slwn0 syl3anc sylib cplusg
      cgrp n0 csg cmpt crn cmpo crab wb wral adantr oveq2 cbvmptv oveq1 oveq12d
      oveq1d id mpteq2dv eqtrid rneqd mpteq1 cbvmpov sylow3lem4 eqbrtrid oveq1i
      simpr sylow3lem6 jca exlimddv ) AUAPZBCUEQZRZDEUFUGZBBWPUHQUIQUJQZUKULZDB
      UMQZUNSZUOUAAWNUPUQZWOUAURACVERZEUSRZBUTRZXAGHIBCEFVAVBUAWNVFVCAWOUOZWRWT
      XEDWNUFUGZWQUKJXEKLMUBBCVDUGZNOEWNUCOPZNPZUCPZXGQZXICVGUGZQZVHZVIZVJZCUBP
      WMXPQWMSUBEVKZWMXLKPZLPZXGQZWMRXSXRXGQZWMRVLLEVMKEVKZEFAXBWOGVNZAXCWOHVNZ
      AXDWOIVNZXGTZXLTZNOKLEWNXOMXSXRMPZXGQZXRXLQZVHZVIZMXHYJVHZVIZXIXRSZXNYMYO
      XNMXHXIYHXGQZXIXLQZVHYMUCMXHXMYQXJYHSXKYPXIXLXJYHXIXGVOVSVPYOMXHYQYJYOYPY
      IXIXRXLXIXRYHXGVQYOVTVRWAWBWCZXHXSSYMYKMXHXSYJWDWCZWEAWOWIZXQTYBTWFWGXEWS
      XFBUMQUNDXFBUMJWHXEKLMBXGNOWMWNXOVJCWMXLXTUDPZRYAUUARVLLEVMKEVKZEUDFYCYDY
      EYFYGYTNOKLWMWNXOYLYNYRYSWEUUBTWJWBWKWL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Direct products
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c LSSum $.
  $c proj1 $.

  $( Extend class notation with subgroup sum. $)
  clsm $a class LSSum $.

  $( Extend class notation with left projection. $)
  cpj1 $a class proj1 $.

  ${
    $d w t u x y z $.
    $( Define subgroup sum (inner direct product of subgroups).  (Contributed
       by NM, 28-Jan-2014.) $)
    df-lsm $a |- LSSum = ( w e. _V |->
       ( t e. ~P ( Base ` w ) , u e. ~P ( Base ` w ) |->
           ran ( x e. t , y e. u |-> ( x ( +g ` w ) y ) ) ) ) $.

    $( Define the left projection function, which takes two subgroups ` t , u `
       with trivial intersection and returns a function mapping the elements of
       the subgroup sum ` t + u ` to their projections onto ` t ` .  (The other
       projection function can be obtained by swapping the roles of ` t ` and
       ` u ` .)  (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    df-pj1 $a |- proj1 = ( w e. _V |->
       ( t e. ~P ( Base ` w ) , u e. ~P ( Base ` w ) |->
         ( z e. ( t ( LSSum ` w ) u ) |->
           ( iota_ x e. t E. y e. u z = ( x ( +g ` w ) y ) ) ) ) ) $.
  $}

  ${
    $d t u w x y z .+ $.  $d t u w x y z B $.  $d t u x y z T $.  $d x y z X $.
    $d t u w x y z G $.  $d t u x y z U $.  $d x y Y $.
    lsmfval.v $e |- B = ( Base ` G ) $.
    lsmfval.a $e |- .+ = ( +g ` G ) $.
    lsmfval.s $e |- .(+) = ( LSSum ` G ) $.
    $( The subgroup sum function (for a group or vector space).  (Contributed
       by NM, 28-Jan-2014.)  (Revised by Mario Carneiro, 19-Apr-2016.) $)
    lsmfval $p |- ( G e. V -> .(+) = ( t e. ~P B , u e. ~P B |->
                    ran ( x e. t , y e. u |-> ( x .+ y ) ) ) ) $=
      ( vw wcel clsm cfv cv cmpo cbs cplusg cpw crn cvv wceq elex fveq2 eqtr4di
      pweqd oveqd mpoeq3dv rneqd mpoeq123dv df-lsm fvexi mpoex fvmpt syl eqtrid
      co pwex ) HINZGHOPZDCEUAZVCABDQZCQZAQZBQZFUSZRZUBZRZLVAHUCNVBVKUDHIUEMHDC
      MQZSPZUAZVNABVDVEVFVGVLTPZUSZRZUBZRVKUCOVLHUDZDCVNVNVRVCVCVJVSVMEVSVMHSPE
      VLHSUFJUGUHZVTVSVQVIVSABVDVEVPVHVSVOFVFVGVSVOHTPFVLHTUFKUGUIUJUKULABMCDUM
      DCVCVCVJEEHSJUNUTZWAUOUPUQUR $.

    $( Subspace sum value (for a group or vector space).  Extended domain
       version of ~ lsmval .  (Contributed by NM, 28-Jan-2014.)  (Revised by
       Mario Carneiro, 19-Apr-2016.) $)
    lsmvalx $p |- ( ( G e. V /\ T C_ B /\ U C_ B )
       -> ( T .(+) U ) = ran ( x e. T , y e. U |-> ( x .+ y ) ) ) $=
      ( vt vu wcel co cv cmpo wceq cvv wss crn wa cpw lsmfval oveqd fvexi elpw2
      cbs mpoexga rnexg syl mpoeq12 rneqd eqid ovmpoga syl2anbr sylan9eq 3impb
      mpd3an3 ) HIOZFCUAZGCUAZFGEPZABFGAQBQDPZRZUBZSVAVBVCUCVDFGMNCUDZVHABMQZNQ
      ZVERZUBZRZPZVGVAEVMFGABNMCDEHIJKLUEUFVBFVHOZGVHOZVNVGSZVCFCCHUIJUGZUHGCVR
      UHVOVPVGTOZVQVOVPUCVFTOVSABFGVEVHVHUJVFTUKULMNFGVHVHVLVGVMTVIFSVJGSUCVKVF
      ABVIVJFGVEUMUNVMUOUPUTUQURUS $.

    $( Subspace sum membership (for a group or vector space).  Extended domain
       version of ~ lsmelval .  (Contributed by NM, 28-Jan-2014.)  (Revised by
       Mario Carneiro, 19-Apr-2016.) $)
    lsmelvalx $p |- ( ( G e. V /\ T C_ B /\ U C_ B )
       -> ( X e. ( T .(+) U ) <-> E. y e. T E. z e. U X = ( y .+ z ) ) ) $=
      ( wcel wss w3a co cv cmpo wrex crn wceq lsmvalx eleq2d eqid ovex elrnmpo
      bitrdi ) HINFCOGCOPZJFGEQZNJABFGARZBRZDQZSZUAZNJUMUBBGTAFTUIUJUOJABCDEFGH
      IKLMUCUDABFGUMJUNUNUEUKULDUFUGUH $.

    $( Subspace sum membership (for a group or vector space).  (Contributed by
       NM, 4-Feb-2014.)  (Revised by Mario Carneiro, 19-Apr-2016.) $)
    lsmelvalix $p |- ( ( ( G e. V /\ T C_ B /\ U C_ B ) /\
               ( X e. T /\ Y e. U ) ) -> ( X .+ Y ) e. ( T .(+) U ) ) $=
      ( vx vy wcel wss co cv wceq wrex wa eqid rspceov mp3an3 lsmelvalx biimpar
      w3a sylan2 ) HDOZIEOZUAFGODAPEAPUGZHIBQZMRNRBQSNETMDTZULDECQOZUIUJULULSUM
      ULUBMNDEHIULBUCUDUKUNUMMNABCDEFGULJKLUEUFUH $.
  $}

  ${
    $d t u x y G $.  $d t u x y O $.  $d t u x T $.  $d t u x U $.
    oppglsm.o $e |- O = ( oppG ` G ) $.
    oppglsm.p $e |- .(+) = ( LSSum ` G ) $.
    $( The subspace sum operation in the opposite group.  (Contributed by Mario
       Carneiro, 19-Apr-2016.)  (Proof shortened by AV, 2-Mar-2024.) $)
    oppglsm $p |- ( T ( LSSum ` O ) U ) = ( U .(+) T ) $=
      ( vt vu vx vy cvv wcel cfv co wceq cv cmpo eqid c0 clsm ctpos cbs cpw crn
      cplusg coppg fvexi oppgbas lsmfval ax-mp tposeqd wa cdm ccnv wfo reldmmpo
      wrel wfun mpofun funforn tposfo2 mp2 oppgplus eqcomi a1i mpoeq3ia tposmpo
      mpbi forn rneqi eqtr3i eqtrdi eqtr4id oveqd ovtpos wn wss elovmpo simp3bi
      0ex eqidd ssriv ss0 w3a wo elpwi 3ad2ant2 fvprc 3ad2ant1 sseqtrd syl orcd
      0mpo0 rneqd rn0 mpoeq3dva eqtrid 0ov 3eqtr4a pm2.61i ) DLMZBCEUANZOZCBAOZ
      PXBXDBCAUBZOXEXBXCXFBCXBXCHIDUCNZUDZXHJKHQZIQZJQZKQZEUFNZOZRZUEZRZXFELMXC
      XQPEDUGFUHJKIHXGXMXCELXGDEFXGSZUIXMSZXCSUJUKZXBXFIHXHXHKJXJXIXLXKDUFNZOZR
      ZUEZRZUBXQXBAYEKJHIXGYAADLXRYASZGUJULIHXHXHXPYEIHXHXHYDXPYDXPPXJXHMZXIXHM
      ZUMYCUBZUEZYDXPYCUNZUOZYDYIUPZYJYDPYKURYKYDYCUPZYMKJXJXIYBYCYCSZUQYCUSYNK
      JXJXIYBYCYOUTYCVAVIYKYDYCVBVCYLYDYIVJUKYIXOKJXJXIXNYCKJXJXIYBXNYBXNPXLXJM
      XKXIMUMXNYBYAXMDEXKXLYFFXSVDVEVFVGVHVKVLVFVGVHVMVNVOBCAVPVMXBVQZBCHIXHXHT
      RZOZTXDXEYRTVRYRTPJYRTXKYRMBXHMCXHMXKTMXHXHTYQTXKBCHIYQSWAXIBPXJCPUMTWBVS
      VTWCYRWDUKYPXCYQBCYPXCXQYQXTYPHIXHXHXPTYPYHYGWEZXPTUETYSXOTYSXITPZXJTPZWF
      XOTPYSYTUUAYSXITVRYTYSXIXGTYHYPXIXGVRYGXIXGWGWHYPYHXGTPYGDUCWIWJWKXIWDWLW
      MJKXIXJXNWNWLWOWPVMWQWRVOYPXECBTOTYPATCBYPADUANTGDUAWIWRVOCBWSVMWTXA $.
  $}

  ${
    $d x y z B $.  $d x y z G $.  $d x y z R $.  $d x y z T $.  $d x y z U $.
    $d x .(+) $.  $d x V $.
    lsmless2.v $e |- B = ( Base ` G ) $.
    lsmless2.s $e |- .(+) = ( LSSum ` G ) $.
    $( Subgroup sum is a subset of the base.  (Contributed by Mario Carneiro,
       19-Apr-2016.) $)
    lsmssv $p |- ( ( G e. Mnd /\ T C_ B /\ U C_ B ) -> ( T .(+) U ) C_ B ) $=
      ( vx vy cmnd wcel wss w3a co cv cplusg eqid wral wa sselda cfv lsmvalx wf
      cmpo crn simpl1 simp2 adantrr simp3 adantrl mndcl syl3anc ralrimivva fmpo
      cxp sylib frnd eqsstrd ) EJKZCALZDALZMZCDBNHICDHOZIOZEPUAZNZUDZUEAHIAVEBC
      DEJFVEQZGUBVBCDUOZAVGVBVFAKZIDRHCRVIAVGUCVBVJHICDVBVCCKZVDDKZSZSUSVCAKZVD
      AKZVJUSUTVAVMUFVBVKVNVLVBCAVCUSUTVAUGTUHVBVLVOVKVBDAVDUSUTVAUITUJAVEEVCVD
      FVHUKULUMHICDVFAVGVGQUNUPUQUR $.

    $( Subset implies subgroup sum subset (extended domain version).
       (Contributed by NM, 22-Feb-2014.)  (Revised by Mario Carneiro,
       19-Apr-2016.) $)
    lsmless1x $p |- ( ( ( G e. V /\ T C_ B /\ U C_ B ) /\ R C_ T )
       -> ( R .(+) U ) C_ ( T .(+) U ) ) $=
      ( vx vy vz wcel wss w3a co cv wrex wb lsmelvalx wa cplusg cfv wceq ssrexv
      adantl simpl1 simpr simpl2 sstrd simpl3 eqid syl3anc adantr 3imtr4d ssrdv
      wi ) FGMZDANZEANZOZCDNZUAZJCEBPZDEBPZVCJQZKQLQFUBUCZPUDLERZKCRZVHKDRZVFVD
      MZVFVEMZVBVIVJUQVAVHKCDUEUFVCURCANUTVKVISURUSUTVBUGVCCDAVAVBUHURUSUTVBUIU
      JURUSUTVBUKKLAVGBCEFGVFHVGULZITUMVAVLVJSVBKLAVGBDEFGVFHVMITUNUOUP $.

    $( Subset implies subgroup sum subset (extended domain version).
       (Contributed by NM, 25-Feb-2014.)  (Revised by Mario Carneiro,
       19-Apr-2016.) $)
    lsmless2x $p |- ( ( ( G e. V /\ R C_ B /\ U C_ B ) /\ T C_ U )
       -> ( R .(+) T ) C_ ( R .(+) U ) ) $=
      ( vx vy vz wcel wss w3a co cv wrex wb lsmelvalx wa cplusg cfv wceq ssrexv
      wi reximdv adantl simpl1 simpl2 simpr simpl3 sstrd syl3anc adantr 3imtr4d
      eqid ssrdv ) FGMZCANZEANZOZDENZUAZJCDBPZCEBPZVDJQZKQLQFUBUCZPUDZLDRZKCRZV
      ILERZKCRZVGVEMZVGVFMZVCVKVMUFVBVCVJVLKCVILDEUEUGUHVDUSUTDANVNVKSUSUTVAVCU
      IUSUTVAVCUJVDDEAVBVCUKUSUTVAVCULUMKLAVHBCDFGVGHVHUQZITUNVBVOVMSVCKLAVHBCE
      FGVGHVPITUOUPUR $.

    $( Subgroup sum is an upper bound of its arguments.  (Contributed by Mario
       Carneiro, 19-Apr-2016.) $)
    lsmub1x $p |- ( ( T C_ B /\ U e. ( SubMnd ` G ) ) -> T C_ ( T .(+) U ) ) $=
      ( vx wss csubmnd cfv wcel wa co cv c0g cplusg cmnd ad2antlr eqid syl32anc
      wceq submrcl simpll simpr sseldd mndrid syl2anc submss subm0cl lsmelvalix
      eqeltrrd ex ssrdv ) CAIZDEJKLZMZHCCDBNZUQHOZCLZUSURLUQUTMZUSEPKZEQKZNZUSU
      RVAERLZUSALVDUSUBUPVEUOUTDEUCSZVACAUSUOUPUTUDZUQUTUEZUFAVCEUSVBFVCTZVBTZU
      GUHVAVEUODAIZUTVBDLZVDURLVFVGUPVKUOUTADEFUISVHUPVLUOUTDEVBVJUJSAVCBCDERUS
      VBFVIGUKUAULUMUN $.

    $( Subgroup sum is an upper bound of its arguments.  (Contributed by NM,
       6-Feb-2014.)  (Revised by Mario Carneiro, 19-Apr-2016.) $)
    lsmub2x $p |- ( ( T e. ( SubMnd ` G ) /\ U C_ B ) -> U C_ ( T .(+) U ) ) $=
      ( vx csubmnd cfv wcel wss wa co cv c0g cmnd ad2antrr simpr eqid cplusg ex
      submrcl sselda mndlid syl2anc submss subm0cl lsmelvalix syl32anc eqeltrrd
      wceq simplr ssrdv ) CEIJKZDALZMZHDCDBNZUQHOZDKZUSURKUQUTMZEPJZUSEUAJZNZUS
      URVAEQKZUSAKVDUSULUOVEUPUTCEUCRZUQDAUSUOUPSUDAVCEUSVBFVCTZVBTZUEUFVAVECAL
      ZUPVBCKZUTVDURKVFUOVIUPUTACEFUGRUOUPUTUMUOVJUPUTCEVBVHUHRUQUTSAVCBCDEQVBU
      SFVGGUIUJUKUBUN $.
  $}

  ${
    $d x y .+ $.  $d x y T $.  $d x y U $.  $d x y B $.  $d x y G $.
    lsmval.v $e |- B = ( Base ` G ) $.
    lsmval.a $e |- .+ = ( +g ` G ) $.
    lsmval.p $e |- .(+) = ( LSSum ` G ) $.
    $( Subgroup sum value (for a left module or left vector space).
       (Contributed by NM, 4-Feb-2014.)  (Revised by Mario Carneiro,
       19-Apr-2016.) $)
    lsmval $p |- ( ( T e. ( SubGrp ` G ) /\ U e. ( SubGrp ` G ) )
       -> ( T .(+) U ) = ran ( x e. T , y e. U |-> ( x .+ y ) ) ) $=
      ( csubg cfv wcel cgrp wss co cv cmpo subgss crn subgrcl lsmvalx syl2an3an
      wceq ) FHLMZNHONFCPGUFNGCPFGEQABFGARBRDQSUAUEFHUBCFHITCGHITABCDEFGHOIJKUC
      UD $.
  $}

  ${
    $d y z .+ $.  $d y z T $.  $d y z U $.  $d y z G $.  $d y z X $.
    lsmelval.a $e |- .+ = ( +g ` G ) $.
    lsmelval.p $e |- .(+) = ( LSSum ` G ) $.
    $( Subgroup sum membership (for a left module or left vector space).
       (Contributed by NM, 4-Feb-2014.)  (Revised by Mario Carneiro,
       19-Apr-2016.) $)
    lsmelval $p |- ( ( T e. ( SubGrp ` G ) /\ U e. ( SubGrp ` G ) )
       -> ( X e. ( T .(+) U ) <-> E. y e. T E. z e. U X = ( y .+ z ) ) ) $=
      ( csubg cfv wcel cgrp cbs wss co cv wrex subgss wceq wb subgrcl lsmelvalx
      eqid syl2an3an ) EGKLZMGNMEGOLZPFUGMFUHPHEFDQMHARBRCQUABFSAESUBEGUCUHEGUH
      UEZTUHFGUITABUHCDEFGNHUIIJUDUF $.

    $( Subgroup sum membership (for a left module or left vector space).
       (Contributed by NM, 4-Feb-2014.)  (Revised by Mario Carneiro,
       19-Apr-2016.) $)
    lsmelvali $p |- ( ( ( T e. ( SubGrp ` G ) /\ U e. ( SubGrp ` G ) ) /\
               ( X e. T /\ Y e. U ) ) -> ( X .+ Y ) e. ( T .(+) U ) ) $=
      ( csubg cfv wcel wa cgrp cbs wss w3a co adantr subgss subgrcl eqid adantl
      3jca lsmelvalix sylan ) CEJKZLZDUGLZMZENLZCEOKZPZDULPZQFCLGDLMFGARCDBRLUJ
      UKUMUNUHUKUICEUASUHUMUIULCEULUBZTSUIUNUHULDEUOTUCUDULABCDENFGUOHIUEUF $.
  $}

  ${
    $d x y z .- $.  $d x y z G $.  $d x y z ph $.  $d x y z T $.  $d x y z U $.
    $d x y z X $.  $d x y Y $.
    lsmelvalm.m $e |- .- = ( -g ` G ) $.
    lsmelvalm.p $e |- .(+) = ( LSSum ` G ) $.
    lsmelvalm.t $e |- ( ph -> T e. ( SubGrp ` G ) ) $.
    lsmelvalm.u $e |- ( ph -> U e. ( SubGrp ` G ) ) $.
    $( Subgroup sum membership analogue of ~ lsmelval using vector subtraction.
       TODO: any way to shorten proof?  (Contributed by NM, 16-Mar-2015.)
       (Revised by Mario Carneiro, 19-Apr-2016.) $)
    lsmelvalm $p |- ( ph
       -> ( X e. ( T .(+) U ) <-> E. y e. T E. z e. U X = ( y .- z ) ) ) $=
      ( vx co wcel cfv wceq wrex syl2anc cv cplusg csubg wb lsmelval wa cminusg
      eqid adantr subginvcl sylan cbs subgrcl syl ad2antrr wss subgss grpsubinv
      sselda eqcomd oveq2 rspceeqv eqeq1 rexbidv syl5ibrcom rexlimdva grpsubval
      cgrp impbid rexbidva bitrd ) AIEFDOPZIBUAZNUAZGUBQZOZRZNFSZBESZIVMCUAZHOZ
      RZCFSZBESAEGUCQZPZFWDPZVLVSUDLMBNVODEFGIVOUHZKUETAVRWCBEAVMEPZUFZVRWCWIVQ
      WCNFWIVNFPZUFZWCVQVPWARZCFSZWKVNGUGQZQZFPZVPVMWOHOZRWMWIWFWJWPAWFWHMUIZFG
      WNVNWNUHZUJUKWKWQVPWKGULQZVOGHWNVMVNWTUHZWGJWSAGVHPZWHWJAWEXBLEGUMUNUOWIV
      MWTPZWJAEWTVMAWEEWTUPLWTEGXAUQUNUSZUIWIFWTVNWIWFFWTUPWRWTFGXAUQUNZUSURUTC
      WOFWAWQVPVTWOVMHVAVBTVQWBWLCFIVPWAVCVDVEVFWIWBVRCFWIVTFPZUFZVRWBWAVPRZNFS
      ZXGVTWNQZFPZWAVMXJVOOZRZXIWIWFXFXKWRFGWNVTWSUJUKXGXCVTWTPXMWIXCXFXDUIWIFW
      TVTXEUSWTVOGWNHVMVTXAWGWSJVGTNXJFVPXLWAVNXJVMVOVAVBTWBVQXHNFIWAVPVCVDVEVF
      VIVJVK $.

    lsmelvalmi.x $e |- ( ph -> X e. T ) $.
    lsmelvalmi.y $e |- ( ph -> Y e. U ) $.
    $( Membership of vector subtraction in subgroup sum.  (Contributed by NM,
       27-Apr-2015.)  (Revised by Mario Carneiro, 19-Apr-2016.) $)
    lsmelvalmi $p |- ( ph -> ( X .- Y ) e. ( T .(+) U ) ) $=
      ( vx vy co wcel cv wceq wrex eqidd rspceov syl3anc lsmelvalm mpbird ) AGH
      FQZCDBQRUGOSPSFQTPDUAOCUAZAGCRHDRUGUGTUHMNAUGUBOPCDGHUGFUCUDAOPBCDEFUGIJK
      LUEUF $.
  $}

  ${
    $d a b c d x y .(+) $.  $d a b c d x y G $.  $d a b c d x y T $.
    $d a b c d x y U $.  $d a b c d x y Z $.
    lsmsubg.p $e |- .(+) = ( LSSum ` G ) $.
    lsmsubg.z $e |- Z = ( Cntz ` G ) $.
    $( The sum of two commuting submonoids is a submonoid.  (Contributed by
       Mario Carneiro, 19-Apr-2016.) $)
    lsmsubm $p |- ( ( T e. ( SubMnd ` G ) /\ U e. ( SubMnd ` G ) /\
        T C_ ( Z ` U ) ) -> ( T .(+) U ) e. ( SubMnd ` G ) ) $=
      ( va vc vb vd cfv wcel wss co cv syl3anc sseldd wa wrex vx vy csubmnd w3a
      cbs cplusg wral cmnd submrcl 3ad2ant1 eqid submss 3ad2ant2 lsmssv lsmub1x
      c0g simp2 syl2anc subm0cl wceq wb lsmelvalx anbi12d reeanv adantr simprll
      wi simprlr simprrl simprrr simpl3 cntzi simpl1 submcl lsmelvalix syl32anc
      mnd4g simpl2 eqeltrrd oveq12 eleq1d syl5ibrcom anassrs rexlimdvva syl5bir
      sylbid ralrimivv issubm syl mpbir3and ) BDUCLZMZCWKMZBCELZNZUDZBCAOZWKMZW
      QDUELZNZDUPLZWQMZUAPZUBPZDUFLZOZWQMZUBWQUGUAWQUGZWPDUHMZBWSNZCWSNZWTWLWMX
      IWOBDUIUJZWLWMXJWOWSBDWSUKZULUJZWMWLXKWOWSCDXMULUMZWSABCDXMFUNQWPBWQXAWPX
      JWMBWQNXNWLWMWOUQWSABCDXMFUOURWLWMXABMWOBDXAXAUKZUSUJRWPXGUAUBWQWQWPXCWQM
      ZXDWQMZSXCHPZIPZXEOZUTZICTZHBTZXDJPZKPZXEOZUTZKCTZJBTZSZXGWPXQYDXRYJWPXIX
      JXKXQYDVAXLXNXOHIWSXEABCDUHXCXMXEUKZFVBQWPXIXJXKXRYJVAXLXNXOJKWSXEABCDUHX
      DXMYLFVBQVCYKYCYISZJBTHBTWPXGYCYIHJBBVDWPYMXGHJBBYMYBYHSZKCTICTWPXSBMZYEB
      MZSZSZXGYBYHIKCCVDYRYNXGIKCCWPYQXTCMZYFCMZSZYNXGVGWPYQUUASZSZXGYNYAYGXEOZ
      WQMUUCXSYEXEOZXTYFXEOZXEOZUUDWQUUCWSXEDYFXSYEXTXMYLWPXIUUBXLVEZUUCBWSXSWP
      XJUUBXNVEZWPYOYPUUAVFZRUUCBWSYEUUIWPYOYPUUAVHZRUUCCWSXTWPXKUUBXOVEZWPYQYS
      YTVIZRUUCCWSYFUULWPYQYSYTVJZRUUCYEWNMYSYEXTXEOXTYEXEOUTUUCBWNYEWLWMWOUUBV
      KUUKRUUMXECDYEXTEYLGVLURVQUUCXIXJXKUUEBMZUUFCMZUUGWQMUUHUUIUULUUCWLYOYPUU
      OWLWMWOUUBVMUUJUUKXEBDXSYEYLVNQUUCWMYSYTUUPWLWMWOUUBVRUUMUUNXECDXTYFYLVNQ
      WSXEABCDUHUUEUUFXMYLFVOVPVSYNXFUUDWQXCYAXDYGXEVTWAWBWCWDWEWDWEWFWGWPXIWRW
      TXBXHUDVAXLUAUBWSXEWQDXAXMXPYLWHWIWJ $.

    $( The sum of two commuting subgroups is a subgroup.  (Contributed by Mario
       Carneiro, 19-Apr-2016.) $)
    lsmsubg $p |- ( ( T e. ( SubGrp ` G ) /\ U e. ( SubGrp ` G ) /\
        T C_ ( Z ` U ) ) -> ( T .(+) U ) e. ( SubGrp ` G ) ) $=
      ( vx va vb cfv wcel wss co cv syl wceq eqid wa adantr w3a csubmnd cminusg
      csubg wral simp1 subgsubm simp2 simp3 lsmsubm syl3anc cplusg wrex 3adant3
      lsmelval cgrp cbs subgrcl subgss simprl sseldd simprr grpinvadd subginvcl
      wb syl2anc eqtr4d lsmelvali syl22anc eqeltrd eleq1d syl5ibrcom rexlimdvva
      cntzi fveq2 sylbid ralrimiv issubg3 mpbir2and ) BDUDKZLZCVTLZBCEKZMZUAZBC
      ANZVTLZWFDUBKZLZHOZDUCKZKZWFLZHWFUEZWEBWHLZCWHLZWDWIWEWAWOWAWBWDUFZBDUGPW
      EWBWPWAWBWDUHZCDUGPWAWBWDUIZABCDEFGUJUKWEWMHWFWEWJWFLZWJIOZJOZDULKZNZQZJC
      UMIBUMZWMWAWBWTXFVEWDIJXCABCDWJXCRZFUOUNWEXEWMIJBCWEXABLZXBCLZSZSZWMXEXDW
      KKZWFLXKXLXAWKKZXBWKKZXCNZWFXKXLXNXMXCNZXOXKDUPLZXADUQKZLXBXRLXLXPQXKWAXQ
      WEWAXJWQTZBDURZPXKBXRXAXKWABXRMXSXRBDXRRZUSPWEXHXIUTZVAXKCXRXBXKWBCXRMWEW
      BXJWRTZXRCDYAUSPWEXHXIVBZVAXRXCDWKXAXBYAXGWKRZVCUKXKXMWCLXNCLZXOXPQXKBWCX
      MWEWDXJWSTXKWAXHXMBLZXSYBBDWKXAYEVDVFZVAXKWBXIYFYCYDCDWKXBYEVDVFZXCCDXMXN
      EXGGVNVFVGXKWAWBYGYFXOWFLXSYCYHYIXCABCDXMXNXGFVHVIVJXEWLXLWFWJXDWKVOVKVLV
      MVPVQWEXQWGWIWNSVEWEWAXQWQXTPHWFDWKYEVRPVS $.

    $( Subgroup sum commutes.  (Contributed by Mario Carneiro, 22-Apr-2016.) $)
    lsmcom2 $p |- ( ( T e. ( SubGrp ` G ) /\ U e. ( SubGrp ` G ) /\
        T C_ ( Z ` U ) ) -> ( T .(+) U ) = ( U .(+) T ) ) $=
      ( vx va vb cfv wcel co cv wceq wrex wa wb lsmelval 3adant3 wss w3a cplusg
      csubg simp3 sselda adantrr simprr eqid cntzi syl2anc eqeq2d rexcom bitrdi
      2rexbidva ancoms 3bitr4d eqrdv ) BDUDKZLZCUSLZBCEKZUAZUBZHBCAMZCBAMZVDHNZ
      INZJNZDUCKZMZOZJCPIBPZVGVIVHVJMZOZIBPJCPZVGVELZVGVFLZVDVMVOJCPIBPVPVDVLVO
      IJBCVDVHBLZVICLZQQZVKVNVGWAVHVBLZVTVKVNOVDVSWBVTVDBVBVHUTVAVCUEUFUGVDVSVT
      UHVJCDVHVIEVJUIZGUJUKULUOVOIJBCUMUNUTVAVQVMRVCIJVJABCDVGWCFSTUTVAVRVPRZVC
      VAUTWDJIVJACBDVGWCFSUPTUQUR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Direct products (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d G x y $.  $d U x y $.
    lsmub1.p $e |- .(+) = ( LSSum ` G ) $.
    $( The direct product is idempotent for submonoids.  (Contributed by AV,
       27-Dec-2023.) $)
    smndlsmidm $p |- ( U e. ( SubMnd ` G ) -> ( U .(+) U ) = U ) $=
      ( vx vy csubmnd cfv wcel co cv cplusg cmpo crn cdm cbs wss wceq eqid wral
      elfvdm submss lsmvalx syl3anc cxp submcl 3expb ralrimivva fmpo sylib frnd
      wf eqsstrd lsmub1x mpancom eqssd ) BCGHIZBBAJZBUQUREFBBEKZFKZCLHZJZMZNZBU
      QCGOZIBCPHZQZVGURVDRBCGUAVFBCVFSZUBZVIEFVFVAABBCVEVHVASZDUCUDUQBBUEZBVCUQ
      VBBIZFBTEBTVKBVCULUQVLEFBBUQUSBIUTBIVLVABCUSUTVJUFUGUHEFBBVBBVCVCSUIUJUKU
      MVGUQBURQVIVFABBCVHDUNUOUP $.

    $( Subgroup sum is an upper bound of its arguments.  (Contributed by NM,
       6-Feb-2014.)  (Revised by Mario Carneiro, 19-Apr-2016.) $)
    lsmub1 $p |- ( ( T e. ( SubGrp ` G ) /\ U e. ( SubGrp ` G ) ) ->
        T C_ ( T .(+) U ) ) $=
      ( csubg cfv wcel cbs wss csubmnd co eqid subgss subgsubm lsmub1x syl2an )
      BDFGZHBDIGZJCDKGHBBCALJCRHSBDSMZNCDOSABCDTEPQ $.

    $( Subgroup sum is an upper bound of its arguments.  (Contributed by NM,
       6-Feb-2014.)  (Revised by Mario Carneiro, 19-Apr-2016.) $)
    lsmub2 $p |- ( ( T e. ( SubGrp ` G ) /\ U e. ( SubGrp ` G ) ) ->
        U C_ ( T .(+) U ) ) $=
      ( csubg cfv wcel csubmnd cbs wss co subgsubm eqid subgss lsmub2x syl2an )
      BDFGZHBDIGHCDJGZKCBCALKCRHBDMSCDSNZOSABCDTEPQ $.

    $( Union of subgroups is a subset of subgroup sum.  (Contributed by NM,
       6-Feb-2014.)  (Proof shortened by Mario Carneiro, 21-Jun-2014.) $)
    lsmunss $p |- ( ( T e. ( SubGrp ` G ) /\ U e. ( SubGrp ` G ) )
       -> ( T u. U ) C_ ( T .(+) U ) ) $=
      ( csubg cfv wcel wa co lsmub1 lsmub2 unssd ) BDFGZHCNHIBCBCAJABCDEKABCDEL
      M $.

    $( Subset implies subgroup sum subset.  (Contributed by NM, 6-Feb-2014.)
       (Revised by Mario Carneiro, 19-Apr-2016.) $)
    lsmless1 $p |- ( ( T e. ( SubGrp ` G ) /\ U e. ( SubGrp ` G ) /\ S C_ T )
        -> ( S .(+) U ) C_ ( T .(+) U ) ) $=
      ( csubg cfv wcel wss w3a cgrp cbs co subgrcl 3ad2ant1 eqid 3ad2ant2 simp3
      subgss lsmless1x syl31anc ) CEGHZIZDUCIZBCJZKELIZCEMHZJZDUHJZUFBDANCDANJU
      DUEUGUFCEOPUDUEUIUFUHCEUHQZTPUEUDUJUFUHDEUKTRUDUEUFSUHABCDELUKFUAUB $.

    $( Subset implies subgroup sum subset.  (Contributed by NM, 25-Feb-2014.)
       (Revised by Mario Carneiro, 19-Apr-2016.) $)
    lsmless2 $p |- ( ( S e. ( SubGrp ` G ) /\ U e. ( SubGrp ` G ) /\ T C_ U )
        -> ( S .(+) T ) C_ ( S .(+) U ) ) $=
      ( csubg cfv wcel wss w3a cgrp cbs co subgrcl 3ad2ant1 eqid 3ad2ant2 simp3
      subgss lsmless2x syl31anc ) BEGHZIZDUCIZCDJZKELIZBEMHZJZDUHJZUFBCANBDANJU
      DUEUGUFBEOPUDUEUIUFUHBEUHQZTPUEUDUJUFUHDEUKTRUDUEUFSUHABCDELUKFUAUB $.

    $( Subset implies subgroup sum subset.  (Contributed by NM, 14-Jan-2015.)
       (Revised by Mario Carneiro, 19-Apr-2016.) $)
    lsmless12 $p |- ( ( ( S e. ( SubGrp ` G ) /\ U e. ( SubGrp ` G ) )
             /\ ( R C_ S /\ T C_ U ) ) -> ( R .(+) T ) C_ ( S .(+) U ) ) $=
      ( csubg cfv wcel wa wss co cgrp cbs subgrcl ad2antrr eqid subgss sstrd
      simprr ad2antlr simprl lsmless1x syl31anc simpll simplr lsmless2 syl3anc
      ) CFHIZJZEUJJZKZBCLZDELZKZKZBDAMZCDAMZCEAMZUQFNJZCFOIZLZDVBLUNURUSLUKVAUL
      UPCFPQUKVCULUPVBCFVBRZSQUQDEVBUMUNUOUAZULEVBLUKUPVBEFVDSUBTUMUNUOUCVBABCD
      FNVDGUDUEUQUKULUOUSUTLUKULUPUFUKULUPUGVEACDEFGUHUIT $.

    $( Subgroup sum is idempotent.  (Contributed by NM, 6-Feb-2014.)  (Revised
       by Mario Carneiro, 21-Jun-2014.)  (Proof shortened by AV,
       27-Dec-2023.) $)
    lsmidm $p |- ( U e. ( SubGrp ` G ) -> ( U .(+) U ) = U ) $=
      ( csubg cfv wcel csubmnd co wceq subgsubm smndlsmidm syl ) BCEFGBCHFGBBAI
      BJBCKABCDLM $.

    $( Obsolete proof of ~ lsmidm as of 13-Jan-2024.  Subgroup sum is
       idempotent.  (Contributed by NM, 6-Feb-2014.)  (Revised by Mario
       Carneiro, 21-Jun-2014.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    lsmidmOLD $p |- ( U e. ( SubGrp ` G ) -> ( U .(+) U ) = U ) $=
      ( vx vy csubg cfv wcel co cv cplusg cmpo crn wceq eqid lsmval anidms wral
      cbs cxp subgcl 3expb ralrimivva fmpo sylib frnd eqsstrd wss lsmub1 eqssd
      wf ) BCGHIZBBAJZBUMUNEFBBEKZFKZCLHZJZMZNZBUMUNUTOEFCTHZUQABBCVAPUQPZDQRUM
      BBUAZBUSUMURBIZFBSEBSVCBUSULUMVDEFBBUMUOBIUPBIVDUQBCUOUPVBUBUCUDEFBBURBUS
      USPUEUFUGUHUMBUNUIABBCDUJRUK $.

    $( The least upper bound property of subgroup sum.  (Contributed by NM,
       6-Feb-2014.)  (Revised by Mario Carneiro, 21-Jun-2014.) $)
    lsmlub $p |- ( ( S e. ( SubGrp ` G ) /\ T e. ( SubGrp ` G ) /\
                     U e. ( SubGrp ` G ) ) ->
      ( ( S C_ U /\ T C_ U ) <-> ( S .(+) T ) C_ U ) ) $=
      ( csubg cfv wcel w3a wss wa co wi simp3 lsmless12 ex 3adant3 sstr2 syl
      syl2anc wceq lsmidm 3ad2ant3 sseq2d sylibd lsmub1 lsmub2 jcad impbid ) BE
      GHZIZCUKIZDUKIZJZBDKZCDKZLZBCAMZDKZUOURUSDDAMZKZUTUOUNUNURVBNULUMUNOZVCUN
      UNLURVBABDCDEFPQUAUOVADUSUNULVADUBUMADEFUCUDUEUFUOUTUPUQUOBUSKZUTUPNULUMV
      DUNABCEFUGRBUSDSTUOCUSKZUTUQNULUMVEUNABCEFUHRCUSDSTUIUJ $.

    $( Subgroup sum with a subset.  (Contributed by NM, 27-Mar-2014.)  (Revised
       by Mario Carneiro, 19-Apr-2016.) $)
    lsmss1 $p |- ( ( T e. ( SubGrp ` G ) /\ U e. ( SubGrp ` G ) /\ T C_ U )
            -> ( T .(+) U ) = U ) $=
      ( csubg cfv wcel wss w3a co wa ssid wb lsmlub biimpd mpan2i 3impia lsmub2
      3anidm23 3adant3 eqssd ) BDFGZHZCUCHZBCIZJBCAKZCUDUEUFUGCIZUDUELZUFCCIZUH
      CMUIUFUJLZUHUDUEUKUHNABCCDEOTPQRUDUECUGIUFABCDESUAUB $.

    $( Subgroup sum with a subset.  (Contributed by NM, 10-Jan-2015.)  (Revised
       by Mario Carneiro, 19-Apr-2016.) $)
    lsmss1b $p |- ( ( T e. ( SubGrp ` G ) /\ U e. ( SubGrp ` G ) )
         -> ( T C_ U <-> ( T .(+) U ) = U ) ) $=
      ( csubg cfv wcel wa wss wceq lsmss1 3expia lsmub1 sseq2 syl5ibcom impbid
      co ) BDFGZHZCSHZIZBCJZBCARZCKZTUAUCUEABCDELMUBBUDJUEUCABCDENUDCBOPQ $.

    $( Subgroup sum with a subset.  (Contributed by NM, 27-Mar-2014.)  (Revised
       by Mario Carneiro, 19-Apr-2016.) $)
    lsmss2 $p |- ( ( T e. ( SubGrp ` G ) /\ U e. ( SubGrp ` G ) /\ U C_ T )
          -> ( T .(+) U ) = T ) $=
      ( csubg cfv wcel wss w3a co wa lsmlub 3anidm13 biimpd mpani 3impia lsmub1
      ssid wb 3adant3 eqssd ) BDFGZHZCUCHZCBIZJBCAKZBUDUEUFUGBIZUDUELZBBIZUFUHB
      SUIUJUFLZUHUDUEUKUHTABCBDEMNOPQUDUEBUGIUFABCDERUAUB $.

    $( Subgroup sum with a subset.  (Contributed by NM, 10-Jan-2015.)  (Revised
       by Mario Carneiro, 19-Apr-2016.) $)
    lsmss2b $p |- ( ( T e. ( SubGrp ` G ) /\ U e. ( SubGrp ` G ) )
         -> ( U C_ T <-> ( T .(+) U ) = T ) ) $=
      ( csubg cfv wcel wa wss wceq lsmss2 3expia lsmub2 sseq2 syl5ibcom impbid
      co ) BDFGZHZCSHZIZCBJZBCARZBKZTUAUCUEABCDELMUBCUDJUEUCABCDENUDBCOPQ $.

    $d G a b c z $.  $d R a b c x y z $.  $d T a b c x y z $.  $d U a b c z $.
    $d .(+) a c x y z $.
    $( Subgroup sum is associative.  (Contributed by NM, 2-Mar-2014.)  (Revised
       by Mario Carneiro, 19-Apr-2016.) $)
    lsmass $p |- ( ( R e. ( SubGrp ` G ) /\ T e. ( SubGrp ` G ) /\
                     U e. ( SubGrp ` G ) ) ->
                   ( ( R .(+) T ) .(+) U ) = ( R .(+) ( T .(+) U ) ) ) $=
      ( vy vc va vz vb wcel co cv wceq wrex eqid cvv wb wss vx csubg cfv cplusg
      w3a cmpo crn lsmval 3adant3 rexeqdv wral ovex rgen2w oveq1 eqeq2d rexbidv
      cbs rexrnmpo ax-mp bitrdi wa 3adant1 oveq2 cgrp subgrcl 3ad2ant1 ad2antrr
      adantr subgss simplr sseldd 3ad2ant2 simprl 3ad2ant3 simprr grpass bitr4d
      syl13anc 2rexbidva rexbidva cmnd grpmndd lsmssv syl3anc lsmelvalx 3bitr4d
      eqrdv ) BEUBUCZLZCWHLZDWHLZUEZUABCAMZDAMZBCDAMZAMZWLUANZGNZHNZEUDUCZMZOZH
      DPZGWMPZWQINZJNZWTMZOZJWOPZIBPZWQWNLZWQWPLZWLXDWQXEKNZWTMZWSWTMZOZHDPZKCP
      ZIBPZXJWLXDXCGIKBCXNUFZUGZPZXSWLXCGWMYAWIWJWMYAOWKIKEUQUCZWTABCEYCQZWTQZF
      UHUIUJXNRLZKCUKIBUKYBXSSYFIKBCXEXMWTULUMXCXQIKGBCXNXTRXTQWRXNOZXBXPHDYGXA
      XOWQWRXNWSWTUNUOUPURUSUTWLXIXRIBWLXEBLZVAZXIWQXEXMWSWTMZWTMZOZHDPKCPZXRWL
      XIYMSYHWLXIXHJKHCDYJUFZUGZPZYMWLXHJWOYOWJWKWOYOOWIKHYCWTACDEYDYEFUHVBUJYJ
      RLZHDUKKCUKYPYMSYQKHCDXMWSWTULUMXHYLKHJCDYJYNRYNQXFYJOXGYKWQXFYJXEWTVCUOU
      RUSUTVHYIXPYLKHCDYIXMCLZWSDLZVAZVAZXOYKWQUUAEVDLZXEYCLXMYCLWSYCLXOYKOWLUU
      BYHYTWIWJUUBWKBEVEVFZVGUUABYCXEWLBYCTZYHYTWIWJUUDWKYCBEYDVIVFZVGWLYHYTVJV
      KUUACYCXMWLCYCTZYHYTWJWIUUFWKYCCEYDVIVLZVGYIYRYSVMVKUUADYCWSWLDYCTZYHYTWK
      WIUUHWJYCDEYDVIVNZVGYIYRYSVOVKYCWTEXEXMWSYDYEVPVRUOVSVQVTVQWLUUBWMYCTZUUH
      XKXDSUUCWLEWALZUUDUUFUUJWLEUUCWBZUUEUUGYCABCEYDFWCWDUUIGHYCWTAWMDEVDWQYDY
      EFWEWDWLUUBUUDWOYCTZXLXJSUUCUUEWLUUKUUFUUHUUMUULUUGUUIYCACDEYDFWCWDIJYCWT
      ABWOEVDWQYDYEFWEWDWFWG $.
  $}

  ${
    mndlsmidm.p $e |- .(+) = ( LSSum ` G ) $.
    mndlsmidm.b $e |- B = ( Base ` G ) $.
    $( Subgroup sum is idempotent for monoids.  This corresponds to the
       observation in [Lang] p. 6.  (Contributed by AV, 27-Dec-2023.) $)
    mndlsmidm $p |- ( G e. Mnd -> ( B .(+) B ) = B ) $=
      ( cmnd wcel csubmnd cfv co wceq submid smndlsmidm syl ) CFGACHIGAABJAKACE
      LBACDMN $.
  $}

  ${
    lsm01.z $e |- .0. = ( 0g ` G ) $.
    lsm01.p $e |- .(+) = ( LSSum ` G ) $.
    $( Subgroup sum with the zero subgroup.  (Contributed by NM, 27-Mar-2014.)
       (Revised by Mario Carneiro, 19-Apr-2016.) $)
    lsm01 $p |- ( X e. ( SubGrp ` G ) -> ( X .(+) { .0. } ) = X ) $=
      ( csubg cfv wcel csn wss wceq cgrp subgrcl 0subg syl subg0cl snssd lsmss2
      co mpd3an23 ) CBGHZIZDJZUBIZUDCKCUDATCLUCBMIUECBNBDEOPUCDCCBDEQRACUDBFSUA
      $.

    $( Subgroup sum with the zero subgroup.  (Contributed by NM, 27-Mar-2014.)
       (Revised by Mario Carneiro, 19-Apr-2016.) $)
    lsm02 $p |- ( X e. ( SubGrp ` G ) -> ( { .0. } .(+) X ) = X ) $=
      ( csubg cfv wcel csn wss co wceq cgrp subgrcl 0subg syl id subg0cl snssd
      lsmss1 syl3anc ) CBGHZIZDJZUCIZUDUECKUECALCMUDBNIUFCBOBDEPQUDRUDDCCBDESTA
      UECBFUAUB $.
  $}

  ${
    $d x y G $.  $d x y H $.  $d x y S $.  $d x y T $.  $d x y U $.
    subglsm.h $e |- H = ( G |`s S ) $.
    subglsm.s $e |- .(+) = ( LSSum ` G ) $.
    subglsm.a $e |- A = ( LSSum ` H ) $.
    $( The subgroup sum evaluated within a subgroup.  (Contributed by Mario
       Carneiro, 27-Apr-2016.) $)
    subglsm $p |- ( ( S e. ( SubGrp ` G ) /\ T C_ S /\ U C_ S ) ->
        ( T .(+) U ) = ( T A U ) ) $=
      ( vx vy cfv wcel wss co wceq eqid cgrp 3ad2ant1 csubg w3a cplusg cmpo crn
      simp11 ressplusg syl oveqd mpoeq3dva rneqd cbs subgrcl simp2 subgss sstrd
      cv simp3 lsmvalx syl3anc subggrp subgbas sseqtrd 3eqtr4d ) CFUAMZNZDCOZEC
      OZUBZKLDEKUQZLUQZFUCMZPZUDZUEZKLDEVJVKGUCMZPZUDZUEZDEBPZDEAPZVIVNVRVIKLDE
      VMVQVIVJDNZVKENZUBZVLVPVJVKWDVFVLVPQVFVGVHWBWCUFCVLFGVEHVLRZUGUHUIUJUKVIF
      SNZDFULMZOEWGOVTVOQVFVGWFVHCFUMTVIDCWGVFVGVHUNZVFVGCWGOVHWGCFWGRZUOTZUPVI
      ECWGVFVGVHURZWJUPKLWGVLBDEFSWIWEIUSUTVIGSNZDGULMZOEWMOWAVSQVFVGWLVHCFGHVA
      TVIDCWMWHVFVGCWMQVHCFGHVBTZVCVIECWMWKWNVCKLWMVPADEGSWMRVPRJUSUTVD $.
  $}

  ${
    lssnle.p $e |- .(+) = ( LSSum ` G ) $.
    lssnle.t $e |- ( ph -> T e. ( SubGrp ` G ) ) $.
    lssnle.u $e |- ( ph -> U e. ( SubGrp ` G ) ) $.
    $( Equivalent expressions for "not less than".  ( ~ chnlei analog.)
       (Contributed by NM, 10-Jan-2015.)  (Revised by Mario Carneiro,
       19-Apr-2016.) $)
    lssnle $p |- ( ph -> ( -. U C_ T <-> T C. ( T .(+) U ) ) ) $=
      ( wss wn co wne wpss wceq csubg cfv wcel wb lsmss2b syl2anc bitrdi lsmub1
      eqcom necon3bbid df-pss baib syl bitr4d ) ADCIZJCCDBKZLZCUJMZAUICUJAUIUJC
      NZCUJNACEOPZQZDUNQZUIUMRGHBCDEFSTUJCUCUAUDACUJIZULUKRAUOUPUQGHBCDEFUBTULU
      QUKCUJUEUFUGUH $.
  $}

  ${
    $d x y z .(+) $.  $d x y z G $.  $d x y z S $.  $d x y z T $.
    $d x y z U $.
    lsmmod.p $e |- .(+) = ( LSSum ` G ) $.
    $( The modular law holds for subgroup sum.  Similar to part of Theorem 16.9
       of [MaedaMaeda] p. 70.  (Contributed by NM, 2-Apr-2014.)  (Revised by
       Mario Carneiro, 19-Apr-2016.) $)
    lsmmod $p |- ( ( ( S e. ( SubGrp ` G ) /\ T e. ( SubGrp ` G ) /\
                       U e. ( SubGrp ` G ) ) /\ S C_ U ) ->
      ( S .(+) ( T i^i U ) ) = ( ( S .(+) T ) i^i U ) ) $=
      ( vy vz cfv wcel wss wa co syl3anc eqid cv wceq syl2anc adantr sseldd w3a
      csubg cin simpl1 simpl2 inss1 a1i lsmless2 simpr inss2 cbs cmre cgrp cacs
      vx subgrcl subgacs acsmre 4syl simpl3 mreincl lsmlub mpbi2and elin cplusg
      ssind wrex lsmelval simprll simprlr cminusg c0g syl subgss grplinv oveq1d
      wb subginvcl simpll2 grpass syl13anc grplid 3eqtr3d simprr eqeltrrd elind
      subgcl lsmelvali syl22anc expr eleq1 imbi12d syl5ibrcom rexlimdvva sylbid
      wi impd syl5bi ssrdv eqssd ) BEUBIZJZCXAJZDXAJZUAZBDKZLZBCDUCZAMZBCAMZDUC
      ZXGXIXJDXGXBXCXHCKZXIXJKXBXCXDXFUDZXBXCXDXFUEZXLXGCDUFUGABXHCEFUHNXGXFXHD
      KZXIDKZXEXFUIZXOXGCDUJUGXGXBXHXAJZXDXFXOLXPVQXMXGXAEUKIZULIJZXCXDXRXGXBEU
      MJZXAXSUNIJXTXMBEUPZXSEXSOZUQXAXSURUSXNXBXCXDXFUTZCDXAXSVANZYDABXHDEFVBNV
      CVFXGUOXKXIUOPZXKJYFXJJZYFDJZLXGYFXIJZYFXJDVDXGYGYHYIXGYGYFGPZHPZEVEIZMZQ
      ZHCVGGBVGZYHYIWPZXGXBXCYGYOVQXMXNGHYLABCEYFYLOZFVHRXGYNYPGHBCXGYJBJZYKCJZ
      LZLYPYNYMDJZYMXIJZWPXGYTUUAUUBXGYTUUALZLZXBXRYRYKXHJUUBXGXBUUCXMSZXGXRUUC
      YESXGYRYSUUAVIZUUDCDYKXGYRYSUUAVJZUUDYJEVKIZIZYMYLMZYKDUUDUUIYJYLMZYKYLMZ
      EVLIZYKYLMZUUJYKUUDUUKUUMYKYLUUDYAYJXSJZUUKUUMQUUDXBYAUUEYBVMZUUDDXSYJUUD
      XDDXSKXGXDUUCYDSZXSDEYCVNVMZUUDBDYJXGXFUUCXQSUUFTZTZXSYLEUUHYJUUMYCYQUUMO
      ZUUHOZVORVPUUDYAUUIXSJUUOYKXSJZUULUUJQUUPUUDDXSUUIUURUUDXDYJDJUUIDJZUUQUU
      SDEUUHYJUVBVRRZTUUTUUDCXSYKUUDXCCXSKXBXCXDXFUUCVSXSCEYCVNVMUUGTZXSYLEUUIY
      JYKYCYQVTWAUUDYAUVCUUNYKQUUPUVFXSYLEYKUUMYCYQUVAWBRWCUUDXDUVDUUAUUJDJUUQU
      VEXGYTUUAWDYLDEUUIYMYQWGNWEWFYLABXHEYJYKYQFWHWIWJYNYHUUAYIUUBYFYMDWKYFYMX
      IWKWLWMWNWOWQWRWSWT $.

    $( Modular law dual for subgroup sum.  Similar to part of Theorem 16.9 of
       [MaedaMaeda] p. 70.  (Contributed by NM, 8-Jan-2015.)  (Revised by Mario
       Carneiro, 21-Apr-2016.) $)
    lsmmod2 $p |- ( ( ( S e. ( SubGrp ` G ) /\ T e. ( SubGrp ` G ) /\
                        U e. ( SubGrp ` G ) ) /\ U C_ S ) ->
                    ( S i^i ( T .(+) U ) ) = ( ( S i^i T ) .(+) U ) ) $=
      ( csubg cfv wcel w3a wss wa coppg cin eqid eleqtrdi incom 3eqtr3g oppglsm
      co clsm simpl3 oppgsubg simpl2 simpl1 simpr lsmmod syl31anc eqcomd oveq2i
      wceq ineq2i ) BEGHZIZCUMIZDUMIZJZDBKZLZBDCEMHZUAHZTZNZDBCNZVATZBCDATZNVDD
      ATUSVBBNZDCBNZVATZVCVEUSVIVGUSDUTGHZICVJIBVJIURVIVGUKUSDUMVJUNUOUPURUBEUT
      UTOZUCZPUSCUMVJUNUOUPURUDVLPUSBUMVJUNUOUPURUEVLPUQURUFVADCBUTVAOUGUHUIVBB
      QVHVDDVACBQUJRVBVFBADCEUTVKFSULADVDEUTVKFSR $.
  $}

  ${
    $d t u x y B $.  $d t u x y K $.  $d t u x y L $.  $d t u x y ph $.
    lsmpropd.b1 $e |- ( ph -> B = ( Base ` K ) ) $.
    lsmpropd.b2 $e |- ( ph -> B = ( Base ` L ) ) $.
    lsmpropd.p $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    lsmpropd.v1 $e |- ( ph -> K e. V ) $.
    lsmpropd.v2 $e |- ( ph -> L e. W ) $.
    $( If two structures have the same components (properties), they have the
       same subspace structure.  (Contributed by Mario Carneiro, 29-Jun-2015.)
       (Revised by AV, 25-Apr-2024.) $)
    lsmpropd $p |- ( ph -> ( LSSum ` K ) = ( LSSum ` L ) ) $=
      ( vt vu cfv cmpo wcel wceq eqid cbs cpw cplusg crn clsm w3a simp11 simp12
      cv co elpwid simp2 sseldd simp13 simp3 syl12anc mpoeq3dva mpoeq12 syl2anc
      rneqd pweqd 3eqtr3d lsmfval syl 3eqtr4d ) ANOEUAPZUBZVGBCNUIZOUIZBUIZCUIZ
      EUCPZUJZQZUDZQZNOFUAPZUBZVRBCVHVIVJVKFUCPZUJZQZUDZQZEUEPZFUEPZANODUBZWFVO
      QZNOWFWFWBQZVPWCANOWFWFVOWBAVHWFRZVIWFRZUFZVNWAWKBCVHVIVMVTWKVJVHRZVKVIRZ
      UFZAVJDRVKDRVMVTSAWIWJWLWMUGWNVHDVJWNVHDAWIWJWLWMUHUKWKWLWMULUMWNVIDVKWNV
      IDAWIWJWLWMUNUKWKWLWMUOUMKUPUQUTUQAWFVGSZWOWGVPSADVFIVAZWPNOWFWFVGVGVOURU
      SAWFVRSZWQWHWCSADVQJVAZWRNOWFWFVRVRWBURUSVBAEGRWDVPSLBCONVFVLWDEGVFTVLTWD
      TVCVDAFHRWEWCSMBCONVQVSWEFHVQTVSTWETVCVDVE $.
  $}

  ${
    cntzrecd.z $e |- Z = ( Cntz ` G ) $.
    cntzrecd.t $e |- ( ph -> T e. ( SubGrp ` G ) ) $.
    cntzrecd.u $e |- ( ph -> U e. ( SubGrp ` G ) ) $.
    cntzrecd.s $e |- ( ph -> T C_ ( Z ` U ) ) $.
    $( Commute the "subgroups commute" predicate.  (Contributed by Mario
       Carneiro, 21-Apr-2016.) $)
    cntzrecd $p |- ( ph -> U C_ ( Z ` T ) ) $=
      ( cfv wss csubg wcel wb cbs eqid subgss cntzrec syl2an syl2anc mpbid ) AB
      CEJKZCBEJKZIABDLJZMZCUDMZUBUCNZGHUEBDOJZKCUHKUGUFUHBDUHPZQUHCDUIQUHBCDEUI
      FRSTUA $.
  $}

  ${
    $d x .(+) $.  $d s u x .0. $.  $d s u x ph $.  $d s u x S $.  $d s u x T $.
    $d s u G $.  $d s u x U $.
    lsmcntz.p $e |- .(+) = ( LSSum ` G ) $.
    lsmcntz.s $e |- ( ph -> S e. ( SubGrp ` G ) ) $.
    lsmcntz.t $e |- ( ph -> T e. ( SubGrp ` G ) ) $.
    lsmcntz.u $e |- ( ph -> U e. ( SubGrp ` G ) ) $.
    ${
      lsmcntz.z $e |- Z = ( Cntz ` G ) $.
      $( The "subgroups commute" predicate applied to a subgroup sum.
         (Contributed by Mario Carneiro, 21-Apr-2016.) $)
      lsmcntz $p |- ( ph -> ( ( S .(+) T ) C_ ( Z ` U ) <->
        ( S C_ ( Z ` U ) /\ T C_ ( Z ` U ) ) ) ) $=
        ( cfv wss wa co csubg wcel wb cgrp subgrcl eqid subgss cntzsubg syl2anc
        cbs syl lsmlub syl3anc bicomd ) ACEGMZNDUKNOZCDBPUKNZACFQMZRDUNRUKUNRZU
        LUMSIJAEUNRZUOKUPFTREFUFMZNUOEFUAUQEFUQUBZUCUQEFGURLUDUEUGBCDUKFHUHUIUJ
        $.

      $( The "subgroups commute" predicate applied to a subgroup sum.
         (Contributed by Mario Carneiro, 21-Apr-2016.) $)
      lsmcntzr $p |- ( ph -> ( S C_ ( Z ` ( T .(+) U ) ) <->
        ( S C_ ( Z ` T ) /\ S C_ ( Z ` U ) ) ) ) $=
        ( cfv wss wb wcel subgss syl cntzrec syl2anc co lsmcntz cmnd csubg cgrp
        wa cbs subgrcl grpmnd 3syl eqid lsmssv syl3anc anbi12d 3bitr3d ) ADEBUA
        ZCGMZNZDUQNZEUQNZUFCUPGMNZCDGMNZCEGMNZUFABDECFGHJKILUBAUPFUGMZNZCVDNZUR
        VAOAFUCPZDVDNZEVDNZVEACFUDMZPZFUEPVGICFUHFUIUJADVJPVHJVDDFVDUKZQRZAEVJP
        VIKVDEFVLQRZVDBDEFVLHULUMAVKVFIVDCFVLQRZVDUPCFGVLLSTAUSVBUTVCAVHVFUSVBO
        VMVOVDDCFGVLLSTAVIVFUTVCOVNVOVDECFGVLLSTUNUO $.
    $}

    lsmdisj.o $e |- .0. = ( 0g ` G ) $.
    ${
      lsmdisj.i $e |- ( ph -> ( ( S .(+) T ) i^i U ) = { .0. } ) $.
      $( Disjointness from a subgroup sum.  (Contributed by Mario Carneiro,
         21-Apr-2016.) $)
      lsmdisj $p |- ( ph ->
        ( ( S i^i U ) = { .0. } /\ ( T i^i U ) = { .0. } ) ) $=
        ( cin wceq wcel wss syl2anc subg0cl syl csn co csubg cfv lsmub1 sseqtrd
        ssrind elind snssd eqssd lsmub2 jca ) ACENZGUAZODENZUNOAUMUNAUMCDBUBZEN
        ZUNACUPEACFUCUDZPZDURPZCUPQIJBCDFHUERUGMUFAGUMACEGAUSGCPICFGLSTAEURPGEP
        KEFGLSTZUHUIUJAUOUNAUOUQUNADUPEAUSUTDUPQIJBCDFHUKRUGMUFAGUOADEGAUTGDPJD
        FGLSTVAUHUIUJUL $.

      lsmdisj2.i $e |- ( ph -> ( S i^i T ) = { .0. } ) $.
      $( Association of the disjointness constraint in a subgroup sum.
         (Contributed by Mario Carneiro, 22-Apr-2016.) $)
      lsmdisj2 $p |- ( ph -> ( T i^i ( S .(+) U ) ) = { .0. } ) $=
        ( co wcel wceq syl2anc syl ad2antrr vx vs vu cin csn cv cplusg cfv wrex
        wa wi csubg wb eqid lsmelval simplrl cminusg cgrp subgrcl subgss sseldd
        cbs wss grplinv oveq1d subginvcl simplrr grpass syl13anc grplid 3eqtr3d
        simpr syl22anc eqeltrrd elind eleqtrd elsni oveq2d grprid eqtrd oveq12d
        lsmelvali grpidcl syl2anc2 ex eleq1 eqeq1 imbi12d syl5ibrcom rexlimdvva
        sylbid impcomd elin velsn 3imtr4g ssrdv subg0cl lsmub1 snssd eqssd ) AD
        CEBOZUDZGUEZAUAXBXCAUAUFZDPZXDXAPZUJXDGQZXDXBPXDXCPAXFXEXGAXFXDUBUFZUCU
        FZFUGUHZOZQZUCEUIUBCUIZXEXGUKZACFULUHZPZEXOPZXFXMUMIKUBUCXJBCEFXDXJUNZH
        UORAXLXNUBUCCEAXHCPZXIEPZUJZUJZXNXLXKDPZXKGQZUKYBYCYDYBYCUJZXKGGXJOZGYE
        XHGXIGXJYEXHXCPXHGQYEXHCDUDZXCYECDXHAXSXTYCUPZYEXKXHDYEXKXHGXJOZXHYEXIG
        XHXJYEXIXCPXIGQYEXICDBOZEUDZXCYEYJEXIYEXHFUQUHZUHZXKXJOZXIYJYEYMXHXJOZX
        IXJOZGXIXJOZYNXIYEYOGXIXJYEFURPZXHFVBUHZPZYOGQAYRYAYCAXPYRICFUSSZTZYECY
        SXHYEXPCYSVCAXPYAYCITZYSCFYSUNZUTSZYHVAZYSXJFYLXHGUUDXRLYLUNZVDRVEYEYRY
        MYSPYTXIYSPZYPYNQUUBYECYSYMUUEYEXPXSYMCPZUUCYHCFYLXHUUGVFRZVAUUFYEEYSXI
        YEXQEYSVCAXQYAYCKTYSEFUUDUTSAXSXTYCVGZVAZYSXJFYMXHXIUUDXRVHVIYEYRUUHYQX
        IQUUBUULYSXJFXIGUUDXRLVJRVKYEXPDXOPZUUIYCYNYJPUUCAUUMYAYCJTUUJYBYCVLZXJ
        BCDFYMXKXRHWBVMVNUUKVOAYKXCQYAYCMTVPXIGVQSZVRYEYRYTYIXHQUUBUUFYSXJFXHGU
        UDXRLVSRVTUUNVNVOAYGXCQYAYCNTVPXHGVQSUUOWAAYFGQZYAYCAYRGYSPUUPUUAYSFGUU
        DLWCYSXJFGGUUDXRLVJWDTVTWEXLXEYCXGYDXDXKDWFXDXKGWGWHWIWJWKWLXDDXAWMUAGW
        NWOWPAGXBADXAGAUUMGDPJDFGLWQSACXAGAXPXQCXAVCIKBCEFHWRRAXPGCPICFGLWQSVAV
        OWSWT $.

      lsmdisj3.z $e |- Z = ( Cntz ` G ) $.
      lsmdisj3.s $e |- ( ph -> S C_ ( Z ` T ) ) $.
      $( Association of the disjointness constraint in a subgroup sum.
         (Contributed by Mario Carneiro, 21-Apr-2016.) $)
      lsmdisj3 $p |- ( ph -> ( S i^i ( T .(+) U ) ) = { .0. } ) $=
        ( co cin cfv csn csubg wcel wss wceq lsmcom2 ineq1d eqtr3d incom eqtrid
        syl3anc lsmdisj2 ) ABDCEFGIKJLMACDBRZESDCBRZESGUAZAUMUNEACFUBTZUCDUPUCC
        DHTUDUMUNUEJKQBCDFHIPUFUKUGNUHADCSCDSUODCUIOUJUL $.
    $}

    ${
      lsmdisjr.i $e |- ( ph -> ( S i^i ( T .(+) U ) ) = { .0. } ) $.
      $( Disjointness from a subgroup sum.  (Contributed by Mario Carneiro,
         21-Apr-2016.) $)
      lsmdisjr $p |- ( ph ->
        ( ( S i^i T ) = { .0. } /\ ( S i^i U ) = { .0. } ) ) $=
        ( cin csn wceq wa co incom eqeq1i eqtr3id lsmdisj anbi12i sylib ) ADCNZ
        GOZPZECNZUFPZQCDNZUFPZCENZUFPZQABDECFGHJKILADEBRZCNCUNNUFCUNSMUAUBUGUKU
        IUMUEUJUFDCSTUHULUFECSTUCUD $.

      lsmdisj2r.i $e |- ( ph -> ( T i^i U ) = { .0. } ) $.
      $( Association of the disjointness constraint in a subgroup sum.
         (Contributed by Mario Carneiro, 22-Apr-2016.) $)
      lsmdisj2r $p |- ( ph -> ( ( S .(+) U ) i^i T ) = { .0. } ) $=
        ( co cin cfv eqid incom eleqtrdi coppg clsm csn oppglsm ineq2i oppgsubg
        eqtri csubg oppgid ineq1i eqtrid eqtr3id lsmdisj2 ) ACEBOZDPZDECFUAQZUB
        QZOZPZGUCZUSDUNPUOURUNDBECFUPUPRZHUDUEDUNSUGAUQEDCUPGUQRAEFUHQZUPUHQZKF
        UPVAUFZTADVBVCJVDTACVBVCIVDTFUPGVALUIAEDUQOZCPZCDEBOZPZUTVFVGCPVHVEVGCB
        EDFUPVAHUDUJVGCSUGMUKAEDPDEPUTDESNULUMUL $.

      lsmdisj3r.z $e |- Z = ( Cntz ` G ) $.
      lsmdisj3r.s $e |- ( ph -> T C_ ( Z ` U ) ) $.
      $( Association of the disjointness constraint in a subgroup sum.
         (Contributed by Mario Carneiro, 22-Apr-2016.) $)
      lsmdisj3r $p |- ( ph -> ( ( S .(+) T ) i^i U ) = { .0. } ) $=
        ( co cin cfv csn csubg wcel wss wceq lsmcom2 ineq2d eqtr3d incom eqtrid
        syl3anc lsmdisj2r ) ABCEDFGIJLKMACDEBRZSCEDBRZSGUAZAUMUNCADFUBTZUCEUPUC
        DEHTUDUMUNUEKLQBDEFHIPUFUKUGNUHAEDSDESUOEDUIOUJUL $.
    $}

    $( Association of the disjointness constraint in a subgroup sum.
       (Contributed by Mario Carneiro, 21-Apr-2016.) $)
    lsmdisj2a $p |- ( ph ->
      ( ( ( ( S .(+) T ) i^i U ) = { .0. } /\ ( S i^i T ) = { .0. } ) <->
        ( ( T i^i ( S .(+) U ) ) = { .0. } /\ ( S i^i U ) = { .0. } ) ) ) $=
      ( co cin wceq wa wcel adantr incom eqtrid csn csubg simprl simprr lsmdisj
      cfv lsmdisj2 simpld jca lsmdisjr impbida ) ACDBMZENZGUAZOZCDNZUNOZPZDCEBM
      ZNZUNOZCENUNOZPZAURPZVAVBVDBCDEFGHACFUBUFZQZURIRZADVEQZURJRZAEVEQZURKRZLA
      UOUQUCZAUOUQUDUGVDVBDENUNOZVDBCDEFGHVGVIVKLVLUEUHUIAVCPZUOUQVNUMEULNUNULE
      SVNBCEDFGHAVFVCIRZAVJVCKRZAVHVCJRZLVNUSDNUTUNUSDSAVAVBUCZTAVAVBUDUGTVNUPD
      CNZUNCDSVNVSUNOVMVNBDCEFGHVQVOVPLVRUJUHTUIUK $.

    $( Association of the disjointness constraint in a subgroup sum.
       (Contributed by Mario Carneiro, 21-Apr-2016.) $)
    lsmdisj2b $p |- ( ph ->
      ( ( ( ( S .(+) U ) i^i T ) = { .0. } /\ ( S i^i U ) = { .0. } ) <->
        ( ( S i^i ( T .(+) U ) ) = { .0. } /\ ( T i^i U ) = { .0. } ) ) ) $=
      ( co cin wceq wa incom wcel adantr eqtrid csn cfv simprl simprr lsmdisj2r
      csubg lsmdisj simprd jca lsmdisjr impbida ) ACEBMZDNZGUAZOZCENUNOZPZCDEBM
      ZNZUNOZDENZUNOZPZAUQPZUTVBVDUSURCNUNCURQVDBDCEFGHADFUFUBZRZUQJSZACVERZUQI
      SZAEVERZUQKSZLVDDULNUMUNDULQAUOUPUCZTAUOUPUDUETVDVAEDNZUNDEQVDCDNUNOZVMUN
      OVDBCEDFGHVIVKVGLVLUGUHTUIAVCPZUOUPVOBCDEFGHAVHVCISZAVFVCJSZAVJVCKSZLAUTV
      BUCZAUTVBUDUEVOVNUPVOBCDEFGHVPVQVRLVSUJUHUIUK $.

    lsmdisj3b.z $e |- Z = ( Cntz ` G ) $.
    ${
      lsmdisj3a.2 $e |- ( ph -> S C_ ( Z ` T ) ) $.
      $( Association of the disjointness constraint in a subgroup sum.
         (Contributed by Mario Carneiro, 21-Apr-2016.) $)
      lsmdisj3a $p |- ( ph ->
        ( ( ( ( S .(+) T ) i^i U ) = { .0. } /\ ( S i^i T ) = { .0. } ) <->
          ( ( S i^i ( T .(+) U ) ) = { .0. } /\ ( T i^i U ) = { .0. } ) ) ) $=
        ( co cin wceq wa cfv csn csubg wcel lsmcom2 syl3anc ineq1d eqeq1d incom
        wss a1i anbi12d lsmdisj2a bitrd ) ACDBPZEQZGUAZRZCDQZUPRZSDCBPZEQZUPRZD
        CQZUPRZSCDEBPQUPRDEQUPRSAUQVBUSVDAUOVAUPAUNUTEACFUBTZUCDVEUCCDHTUIUNUTR
        JKOBCDFHINUDUEUFUGAURVCUPURVCRACDUHUJUGUKABDCEFGIKJLMULUM $.
    $}

    ${
      lsmdisj3b.2 $e |- ( ph -> T C_ ( Z ` U ) ) $.
      $( Association of the disjointness constraint in a subgroup sum.
         (Contributed by Mario Carneiro, 21-Apr-2016.) $)
      lsmdisj3b $p |- ( ph ->
        ( ( ( ( S .(+) T ) i^i U ) = { .0. } /\ ( S i^i T ) = { .0. } ) <->
          ( ( S i^i ( T .(+) U ) ) = { .0. } /\ ( T i^i U ) = { .0. } ) ) ) $=
        ( co cin wceq wa cfv csn lsmdisj2b csubg wcel wss lsmcom2 ineq2d eqeq1d
        syl3anc incom a1i anbi12d bitr4d ) ACDBPEQGUAZRCDQUNRSCEDBPZQZUNRZEDQZU
        NRZSCDEBPZQZUNRZDEQZUNRZSABCEDFGIJLKMUBAVBUQVDUSAVAUPUNAUTUOCADFUCTZUDE
        VEUDDEHTUEUTUORKLOBDEFHINUFUIUGUHAVCURUNVCURRADEUJUKUHULUM $.
    $}
  $}

  ${
    subgdisj.p $e |- .+ = ( +g ` G ) $.
    subgdisj.o $e |- .0. = ( 0g ` G ) $.
    subgdisj.z $e |- Z = ( Cntz ` G ) $.
    subgdisj.t $e |- ( ph -> T e. ( SubGrp ` G ) ) $.
    subgdisj.u $e |- ( ph -> U e. ( SubGrp ` G ) ) $.
    subgdisj.i $e |- ( ph -> ( T i^i U ) = { .0. } ) $.
    subgdisj.s $e |- ( ph -> T C_ ( Z ` U ) ) $.
    subgdisj.a $e |- ( ph -> A e. T ) $.
    subgdisj.c $e |- ( ph -> C e. T ) $.
    subgdisj.b $e |- ( ph -> B e. U ) $.
    subgdisj.d $e |- ( ph -> D e. U ) $.
    ${
      subgdisj.j $e |- ( ph -> ( A .+ B ) = ( C .+ D ) ) $.
      $( Vectors belonging to disjoint commuting subgroups are uniquely
         determined by their sum.  (Contributed by NM, 2-Apr-2014.)  (Revised
         by Mario Carneiro, 19-Apr-2016.) $)
      subgdisj1 $p |- ( ph -> A = C ) $=
        ( csg cfv wceq csn wcel cin csubg eqid subgsubcl syl3anc sseldd syl2anc
        cntzi oveq12d cgrp cbs subgrcl syl wss subgss grpcl grpsubsub4 syl13anc
        co eqeltrrd 3eqtr4d grppncan oveq1d eqtrd 3eqtr3d eqeltrd elind eleqtrd
        elsni wb grpsubeq0 mpbid ) ABDIUDUEZVGZJUFZBDUFZAWBJUGZUHWCAWBGHUIWEAGH
        WBAGIUJUEZUHZBGUHDGUHWBGUHOSTGIWABDWAUKZULUMAWBECWAVGZHABCFVGZCWAVGZDWA
        VGZDEFVGZDWAVGZCWAVGZWBWIAWJDCFVGZWAVGZWMCDFVGZWAVGZWLWOAWJWMWPWRWAUCAD
        HKUEZUHZCHUHZWPWRUFAGWTDRTUNZUAFHIDCKLNUPUOUQAIURUHZWJIUSUEZUHZCXEUHZDX
        EUHZWLWQUFAWGXDOGIUTVAZAXDBXEUHZXGXFXIAGXEBAWGGXEVBOXEGIXEUKZVCVAZSUNZA
        HXECAHWFUHZHXEVBPXEHIXKVCVAZUAUNZXEFIBCXKLVDUMZXPAGXEDXLTUNZXEFIWAWJCDX
        KLWHVEVFAXDWMXEUHXHXGWOWSUFXIAWJWMXEUCXQVHXRXPXEFIWAWMDCXKLWHVEVFVIAWKB
        DWAAXDXJXGWKBUFXIXMXPXEFIWABCXKLWHVJUMVKAWNECWAAWNEDFVGZDWAVGZEAWMXSDWA
        AXAEHUHZWMXSUFXCUBFHIDEKLNUPUOVKAXDEXEUHXHXTEUFXIAHXEEXOUBUNXRXEFIWAEDX
        KLWHVJUMVLVKVMAXNYAXBWIHUHPUBUAHIWAECWHULUMVNVOQVPWBJVQVAAXDXJXHWCWDVRX
        IXMXRXEIWABDJXKMWHVSUMVT $.

      $( Vectors belonging to disjoint commuting subgroups are uniquely
         determined by their sum.  (Contributed by NM, 12-Jul-2014.)  (Revised
         by Mario Carneiro, 19-Apr-2016.) $)
      subgdisj2 $p |- ( ph -> B = D ) $=
        ( cin csn incom eqtr3id cntzrecd co cfv wcel wceq cntzi syl2anc 3eqtr3d
        sseldd subgdisj1 ) ACBEDFHGIJKLMNPOAHGUDGHUDJUEGHUFQUGAGHIKNOPRUHUAUBST
        ABCFUIZDEFUIZCBFUIZEDFUIZUCABHKUJZUKCHUKURUTULAGVBBRSUPUAFHIBCKLNUMUNAD
        VBUKEHUKUSVAULAGVBDRTUPUBFHIDEKLNUMUNUOUQ $.
    $}

    $( Vectors belonging to disjoint commuting subgroups are uniquely
       determined by their sum.  Analogous to ~ opth , this theorem shows a way
       of representing a pair of vectors.  (Contributed by NM, 5-Jul-2014.)
       (Revised by Mario Carneiro, 19-Apr-2016.) $)
    subgdisjb $p |- ( ph ->
        ( ( A .+ B ) = ( C .+ D ) <-> ( A = C /\ B = D ) ) ) $=
      ( co wceq csubg cfv wcel adantr cin csn wss simpr subgdisj1 subgdisj2 jca
      wa ex oveq12 impbid1 ) ABCFUCDEFUCUDZBDUDZCEUDZUPZAUTVCAUTUPZVAVBVDBCDEFG
      HIJKLMNAGIUEUFZUGUTOUHZAHVEUGUTPUHZAGHUIJUJUDUTQUHZAGHKUFUKUTRUHZABGUGUTS
      UHZADGUGUTTUHZACHUGUTUAUHZAEHUGUTUBUHZAUTULZUMVDBCDEFGHIJKLMNVFVGVHVIVJVK
      VLVMVNUNUOUQBDCEFURUS $.
  $}

  ${
    $d g t u z .+ $.  $d g t u x y z B $.  $d t u x y z T $.  $d t u x y z U $.
    $d g t u x y z .(+) $.  $d g t u x y z G $.  $d t u x y z V $.
    $d x y z X $.
    pj1fval.v $e |- B = ( Base ` G ) $.
    pj1fval.a $e |- .+ = ( +g ` G ) $.
    pj1fval.s $e |- .(+) = ( LSSum ` G ) $.
    pj1fval.p $e |- P = ( proj1 ` G ) $.
    $( The left projection function (for a direct product of group subspaces).
       (Contributed by Mario Carneiro, 15-Oct-2015.)  (Revised by Mario
       Carneiro, 21-Apr-2016.) $)
    pj1fval $p |- ( ( G e. V /\ T C_ B /\ U C_ B ) -> ( T P U ) =
      ( z e. ( T .(+) U ) |-> ( iota_ x e. T E. y e. U z = ( x .+ y ) ) ) ) $=
      ( vt vu cv wceq cfv vg wcel wss w3a cpw wrex crio cmpt cvv cpj1 cmpo elex
      co 3ad2ant1 cbs cplusg fveq2 eqtr4di pweqd oveqd eqeq2d rexbidv riotabidv
      clsm mpteq12dv mpoeq123dv df-pj1 fvexi pwex mpoex fvmpt syl eqtrid oveq12
      wa adantl simprl simprr rexeqdv riotaeqbidv simp2 elpw2 sylibr simp3 ovex
      mptex a1i ovmpod ) JKUBZHDUCZIDUCZUDZPQHIDUEZWMCPRZQRZGUMZCRZARZBRZFUMZSZ
      BWOUFZAWNUGZUHZCHIGUMZXABIUFZAHUGZUHZEUIWLEJUJTZPQWMWMXDUKZOWLJUIUBZXIXJS
      WIWJXKWKJKULUNUAJPQUARZUOTZUEZXNCWNWOXLVDTZUMZWQWRWSXLUPTZUMZSZBWOUFZAWNU
      GZUHZUKXJUIUJXLJSZPQXNXNYBWMWMXDYCXMDYCXMJUOTDXLJUOUQLURUSZYDYCCXPYAWPXCY
      CXOGWNWOYCXOJVDTGXLJVDUQNURUTYCXTXBAWNYCXSXABWOYCXRWTWQYCXQFWRWSYCXQJUPTF
      XLJUPUQMURUTVAVBVCVEVFABCUAQPVGPQWMWMXDDDJUOLVHZVIZYFVJVKVLVMWLWNHSZWOISZ
      VOZVOZCWPXCXEXGYIWPXESWLWNHWOIGVNVPYJXBXFAWNHWLYGYHVQYJXABWOIWLYGYHVRVSVT
      VEWLWJHWMUBWIWJWKWAHDYEWBWCWLWKIWMUBWIWJWKWDIDYEWBWCXHUIUBWLCXEXGHIGWEWFW
      GWH $.

    $( The left projection function (for a direct product of group subspaces).
       (Contributed by Mario Carneiro, 15-Oct-2015.)  (Revised by Mario
       Carneiro, 21-Apr-2016.) $)
    pj1val $p |- ( ( ( G e. V /\ T C_ B /\ U C_ B ) /\ X e. ( T .(+) U ) ) ->
      ( ( T P U ) ` X ) = ( iota_ x e. T E. y e. U X = ( x .+ y ) ) ) $=
      ( vz wcel co cv wceq wss w3a wa wrex crio cvv pj1fval adantr simpr eqeq1d
      cmpt rexbidv riotabidv riotaex a1i fvmptd ) IJQGCUAHCUAUBZKGHFRZQZUCZPKPS
      ZASBSERZTZBHUDZAGUEZKVBTZBHUDZAGUEZURGHDRZUFUQVIPURVEUKTUSABPCDEFGHIJLMNO
      UGUHUTVAKTZUCZVDVGAGVKVCVFBHVKVAKVBUTVJUIUJULUMUQUSUIVHUFQUTVGAGUNUOUP $.
  $}

  ${
    $d u v x y z .+ $.  $d u v x y z .(+) $.  $d v x y P $.  $d u v x y z ph $.
    $d u v x y z G $.  $d u v x y z T $.  $d u v x y z U $.  $d u v x y X $.
    pj1eu.a $e |- .+ = ( +g ` G ) $.
    pj1eu.s $e |- .(+) = ( LSSum ` G ) $.
    pj1eu.o $e |- .0. = ( 0g ` G ) $.
    pj1eu.z $e |- Z = ( Cntz ` G ) $.
    pj1eu.2 $e |- ( ph -> T e. ( SubGrp ` G ) ) $.
    pj1eu.3 $e |- ( ph -> U e. ( SubGrp ` G ) ) $.
    pj1eu.4 $e |- ( ph -> ( T i^i U ) = { .0. } ) $.
    pj1eu.5 $e |- ( ph -> T C_ ( Z ` U ) ) $.
    $( Uniqueness of a left projection.  (Contributed by Mario Carneiro,
       15-Oct-2015.) $)
    pj1eu $p |- ( ( ph /\ X e. ( T .(+) U ) ) ->
      E! x e. T E. y e. U X = ( x .+ y ) ) $=
      ( wa vu vv co wcel cv wceq wrex wi wral wreu csubg cfv wb lsmelval biimpa
      syl2anc reeanv eqtr2 ad2antrr cin csn wss simplrl simprl simprr subgdisjb
      simplrr simpl syl6bi syl5 rexlimdvva ralrimivva adantr oveq1 eqeq2d oveq2
      syl5bir rexbidv cbvrexvw bitrdi reu4 sylanbrc ) AIFGEUCUDZTIBUEZCUEZDUCZU
      FZCGUGZBFUGZWHIUAUEZUBUEZDUCZUFZUBGUGZTZWDWJUFZUHZUAFUIBFUIZWHBFUJAWCWIAF
      HUKULZUDZGWSUDZWCWIUMPQBCDEFGHILMUNUPUOAWRWCAWQBUAFFWOWGWMTZUBGUGCGUGAWDF
      UDZWJFUDZTZTZWPWGWMCUBGGUQXFXBWPCUBGGXBWFWLUFZXFWEGUDZWKGUDZTZTZWPIWFWLUR
      XKXGWPWEWKUFZTWPXKWDWEWJWKDFGHJKLNOAWTXEXJPUSAXAXEXJQUSAFGUTJVAUFXEXJRUSA
      FGKULVBXEXJSUSAXCXDXJVCAXCXDXJVGXFXHXIVDXFXHXIVEVFWPXLVHVIVJVKVQVLVMWHWNB
      UAFWPWHIWJWEDUCZUFZCGUGWNWPWGXNCGWPWFXMIWDWJWEDVNVOVRXNWMCUBGXLXMWLIWEWKW
      JDVPVOVSVTWAWB $.

    pj1f.p $e |- P = ( proj1 ` G ) $.
    $( The left projection function maps a direct subspace sum onto the left
       factor.  (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    pj1f $p |- ( ph -> ( T P U ) : ( T .(+) U ) --> T ) $=
      ( vx wcel vz vy co wceq wrex crio cgrp cbs cfv wss cmpt csubg subgrcl syl
      cv eqid subgss pj1fval syl3anc wa wreu pj1eu riotacl fmpt3d ) AUAEFDUCZUA
      UOZSUOUBUOCUCUDUBFUEZSEUFZEEFBUCZAGUGTZEGUHUIZUJZFVKUJZVIUAVEVHUKUDAEGULU
      IZTZVJNEGUMUNAVOVLNVKEGVKUPZUQUNAFVNTVMOVKFGVPUQUNSUBUAVKBCDEFGUGVPJKRURU
      SAVFVETUTVGSEVAVHETASUBCDEFGVFHIJKLMNOPQVBVGSEVCUNVD $.

    $( The right projection function maps a direct subspace sum onto the right
       factor.  (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    pj2f $p |- ( ph -> ( U P T ) : ( T .(+) U ) --> U ) $=
      ( co wf cin csn incom eqtrid cntzrecd pj1f csubg cfv wcel lsmcom2 syl3anc
      wss wceq feq2d mpbird ) AEFDSZFFEBSZTFEDSZFUQTABCDFEGHIJKLMONAFEUAEFUAHUB
      FEUCPUDAEFGIMNOQUERUFAUPURFUQAEGUGUHZUIFUSUIEFIUHULUPURUMNOQDEFGIKMUJUKUN
      UO $.

    $( Any element of a direct subspace sum can be decomposed into projections
       onto the left and right factors.  (Contributed by Mario Carneiro,
       15-Oct-2015.)  (Revised by Mario Carneiro, 21-Apr-2016.) $)
    pj1id $p |- ( ( ph /\ X e. ( T .(+) U ) ) ->
      X = ( ( ( T P U ) ` X ) .+ ( ( U P T ) ` X ) ) ) $=
      ( wceq vy vx vu vv co wcel wa cfv wrex crab crio cgrp cbs wss w3a subgrcl
      csubg syl eqid subgss 3jca pj1val sylan wreu pj1eu riotacl2 eqeltrd oveq1
      cv eqeq2d rexbidv simprbi simprr ad2antrr simplr lsmcom2 syl3anc syl31anc
      elrab eleqtrd wf pj1f ffvelrnd sseldd simprl cntzi syl2anc eqtrd rspceeqv
      oveq2 simpll cin csn incom eqtrid cntzrecd riota2 oveq2d eqtr4d rexlimddv
      wb mpbid ) AHEFDUEZUFZUGZHHEFBUEZUHZUAVIZCUEZTZHXGHFEBUEUHZCUEZTUAFXEXGHU
      BVIZXHCUEZTZUAFUIZUBEUJZUFZXJUAFUIZXEXGXPUBEUKZXQAGULUFZEGUMUHZUNZFYBUNZU
      OXDXGXTTAYAYCYDAEGUQUHZUFZYAOEGUPURZAYFYCOYBEGYBUSZUTURZAFYEUFZYDPYBFGYHU
      TURZVAUBUAYBBCDEFGULHYHKLSVBVCXEXPUBEVDXTXQUFAUBUACDEFGHIJKLMNOPQRVEXPUBE
      VFURVGXRXGEUFZXSXPXSUBXGEXMXGTZXOXJUAFYMXNXIHXMXGXHCVHVJVKVSVLURXEXHFUFZX
      JUGZUGZHXIXLXEYNXJVMZYPXKXHXGCYPXKHUCVIZUDVIZCUEZTZUDEUIZUCFUKZXHYPYAYDYC
      HFEDUEZUFZXKUUCTAYAXDYOYGVNAYDXDYOYKVNAYCXDYOYIVNYPHXCUUDAXDYOVOZAXCUUDTZ
      XDYOAYFYJEFJUHZUNZUUGOPRDEFGJLNVPVQVNVTZUCUDYBBCDFEGULHYHKLSVBVRYPHXHYSCU
      EZTZUDEUIZUUCXHTZYPYLHXHXGCUEZTUUMYPXCEHXFAXCEXFWAXDYOABCDEFGIJKLMNOPQRSW
      BVNUUFWCZYPHXIUUOYQYPXGUUHUFYNXIUUOTYPEUUHXGAUUIXDYORVNUUPWDXEYNXJWEZCFGX
      GXHJKNWFWGWHUDXGEUUKUUOHYSXGXHCWJWIWGYPYNUUBUCFVDZUUMUUNXAUUQYPAUUEUURAXD
      YOWKUUJAUCUDCDFEGHIJKLMNPOAFEWLEFWLIWMFEWNQWOAEFGJNOPRWPVEWGUUBUUMUCFXHYR
      XHTZUUAUULUDEUUSYTUUKHYRXHYSCVHVJVKWQWGXBWHWRWSWT $.

    ${
      pj1eq.5 $e |- ( ph -> X e. ( T .(+) U ) ) $.
      pj1eq.6 $e |- ( ph -> B e. T ) $.
      pj1eq.7 $e |- ( ph -> C e. U ) $.
      $( Any element of a direct subspace sum can be decomposed uniquely into
         projections onto the left and right factors.  (Contributed by Mario
         Carneiro, 16-Oct-2015.) $)
      pj1eq $p |- ( ph -> ( X = ( B .+ C ) <->
        ( ( ( T P U ) ` X ) = B /\ ( ( U P T ) ` X ) = C ) ) ) $=
        ( co wceq wa wcel pj1id mpdan eqeq1d pj1f ffvelrnd pj2f subgdisjb bitrd
        cfv ) AJBCEUEZUFJGHDUEZUQZJHGDUEZUQZEUEZURUFUTBUFVBCUFUGAJVCURAJGHFUEZU
        HJVCUFUBADEFGHIJKLMNOPQRSTUAUIUJUKAUTVBBCEGHIKLMOPQRSTAVDGJUSADEFGHIKLM
        NOPQRSTUAULUBUMUCAVDHJVAADEFGHIKLMNOPQRSTUAUNUBUMUDUOUP $.
    $}

    $( The left projection function is the identity on the left subspace.
       (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    pj1lid $p |- ( ( ph /\ X e. T ) -> ( ( T P U ) ` X ) = X ) $=
      ( wcel wa co cfv wceq cgrp cbs csubg adantr subgrcl syl wss subgss sselda
      eqid grprid syl2anc eqcomd cin lsmub1 simpr subg0cl pj1eq mpbid simpld
      csn ) AHETZUAZHEFBUBUCHUDZHFEBUBUCIUDZVGHHICUBZUDVHVIUAVGVJHVGGUETZHGUFUC
      ZTVJHUDVGEGUGUCZTZVKAVNVFOUHZEGUIUJAEVLHAVNEVLUKOVLEGVLUNZULUJUMVLCGHIVPK
      MUOUPUQVGHIBCDEFGHIJKLMNVOAFVMTZVFPUHZAEFURIVEUDVFQUHAEFJUCUKVFRUHSAEEFDU
      BZHAVNVQEVSUKOPDEFGLUSUPUMAVFUTVGVQIFTVRFGIMVAUJVBVCVD $.

    $( The left projection function is the zero operator on the right subspace.
       (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    pj1rid $p |- ( ( ph /\ X e. U ) -> ( ( T P U ) ` X ) = .0. ) $=
      ( wcel wa co cfv wceq cgrp cbs csubg adantr subgrcl syl wss subgss sselda
      eqid grplid syl2anc eqcomd cin lsmub2 subg0cl simpr pj1eq mpbid simpld
      csn ) AHFTZUAZHEFBUBUCIUDZHFEBUBUCHUDZVGHIHCUBZUDVHVIUAVGVJHVGGUETZHGUFUC
      ZTVJHUDVGEGUGUCZTZVKAVNVFOUHZEGUIUJAFVLHAFVMTZFVLUKPVLFGVLUNZULUJUMVLCGHI
      VQKMUOUPUQVGIHBCDEFGHIJKLMNVOAVPVFPUHAEFURIVEUDVFQUHAEFJUCUKVFRUHSAFEFDUB
      ZHAVNVPFVRUKOPDEFGLUSUPUMVGVNIETVOEGIMUTUJAVFVAVBVCVD $.

    $( The left projection function is a group homomorphism.  (Contributed by
       Mario Carneiro, 21-Apr-2016.) $)
    pj1ghm $p |- ( ph -> ( T P U ) e. ( ( G |`s ( T .(+) U ) ) GrpHom G ) ) $=
      ( co wcel vx vy cress cbs cfv eqid cplusg wceq ovex ressplusg ax-mp csubg
      cvv cgrp wss lsmsubg syl3anc subggrp syl subgrcl pj1f subgss fssd subgbas
      wf feq2d mpbid cv wa eleq2d anbi12d biimpar pj1id adantrr adantrl oveq12d
      cmnd adantr grpmnd simpl ffvelrn syl2an sseldd simpr cntzi syl2anc eqtr4d
      3syl pj2f mnd4g cin csn subgcl 3expb sylan pj1eq simpld syldan isghmd ) A
      UAUBCCGEFDSZUCSZGEFBSZXAUDUEZGUDUEZXCUFXDUFZWTUMTCXAUGUEUHEFDUIWTCGXAUMXA
      UFZJUJUKJAWTGULUEZTZXAUNTAEXGTZFXGTZEFIUEZUOZXHNOQDEFGIKMUPUQZWTGXAXFURUS
      AXIGUNTZNEGUTZUSAWTXDXBVEXCXDXBVEAWTEXDXBABCDEFGHIJKLMNOPQRVAZAXIEXDUOZNX
      DEGXEVBZUSVCAWTXCXDXBAXHWTXCUHXMWTGXAXFVDUSZVFVGAUAVHZXCTZUBVHZXCTZVIZXTW
      TTZYBWTTZVIZXTYBCSZXBUEXTXBUEZYBXBUEZCSZUHZAYGYDAYEYAYFYCAWTXCXTXSVJAWTXC
      YBXSVJVKVLAYGVIZYLYHFEBSZUEXTYNUEZYBYNUEZCSZUHZYMYHYKYQCSZUHYLYRVIYMYHYIY
      OCSZYJYPCSZCSYSYMXTYTYBUUACAYEXTYTUHYFABCDEFGXTHIJKLMNOPQRVMVNAYFYBUUAUHY
      EABCDEFGYBHIJKLMNOPQRVMVOVPYMXDCGYPYIYJYOXEJYMXIXNGVQTAXIYGNVRZXOGVSWHYME
      XDYIYMXIXQUUBXRUSZAWTEXBVEZYEYIETZYGXPYEYFVTZWTEXTXBWAWBZWCYMEXDYJUUCAUUD
      YFYJETZYGXPYEYFWDZWTEYBXBWAWBZWCYMFXDYOYMXJFXDUOAXJYGOVRZXDFGXEVBUSZAWTFY
      NVEZYEYOFTZYGABCDEFGHIJKLMNOPQRWIZUUFWTFXTYNWAWBZWCYMFXDYPUULAUUMYFYPFTZY
      GUUOUUIWTFYBYNWAWBZWCYMYJXKTUUNYJYOCSYOYJCSUHYMEXKYJAXLYGQVRZUUJWCUUPCFGY
      JYOIJMWEWFWJWGYMYKYQBCDEFGYHHIJKLMUUBUUKAEFWKHWLUHYGPVRUUSRAXHYGYHWTTZXMX
      HYEYFUUTCWTGXTYBJWMWNWOYMXIUUEUUHYKETUUBUUGUUJCEGYIYJJWMUQYMXJUUNUUQYQFTU
      UKUUPUURCFGYOYPJWMUQWPVGWQWRWS $.

    $( The left projection function is a group homomorphism.  (Contributed by
       Mario Carneiro, 21-Apr-2016.) $)
    pj1ghm2 $p |- ( ph ->
      ( T P U ) e. ( ( G |`s ( T .(+) U ) ) GrpHom ( G |`s T ) ) ) $=
      ( co wcel cress cghm pj1ghm csubg cfv crn pj1f frnd eqid resghm2b syl2anc
      wss wb mpbid ) AEFBSZGEFDSZUASZGUBSTZUOUQGEUASZUBSTZABCDEFGHIJKLMNOPQRUCA
      EGUDUETUOUFEULURUTUMNAUPEUOABCDEFGHIJKLMNOPQRUGUHUQGUSUOEUSUIUJUKUN $.
  $}

  ${
    $d x y .(+) $.  $d x y G $.  $d x y ph $.  $d x y T $.  $d x y U $.
    lsmhash.p $e |- .(+) = ( LSSum ` G ) $.
    lsmhash.o $e |- .0. = ( 0g ` G ) $.
    lsmhash.z $e |- Z = ( Cntz ` G ) $.
    lsmhash.t $e |- ( ph -> T e. ( SubGrp ` G ) ) $.
    lsmhash.u $e |- ( ph -> U e. ( SubGrp ` G ) ) $.
    lsmhash.i $e |- ( ph -> ( T i^i U ) = { .0. } ) $.
    lsmhash.s $e |- ( ph -> T C_ ( Z ` U ) ) $.
    lsmhash.1 $e |- ( ph -> T e. Fin ) $.
    lsmhash.2 $e |- ( ph -> U e. Fin ) $.
    $( The order of the direct product of groups.  (Contributed by Mario
       Carneiro, 21-Apr-2016.) $)
    lsmhash $p |- ( ph ->
      ( # ` ( T .(+) U ) ) = ( ( # ` T ) x. ( # ` U ) ) ) $=
      ( cfv wcel wa wceq vx vy co chash cxp cmul cvv cv cpj1 cop cmpt c1st c2nd
      ovexd cplusg eqid pj1f ffvelrnda pj2f opelxpd csubg xp1st xp2nd lsmelvali
      jca syl2an adantr cin csn simprl ad2antll pj1eq eqcom anbi12i bitrdi eqop
      wss wb bitr4d f1o2d hasheqf1od cfn hashxp syl2anc eqtrd ) ACDBUCZUDQCDUEZ
      UDQZCUDQDUDQUFUCZAWFWGUGUAWFUAUHZCDEUIQZUCZQZWJDCWKUCZQZUJZUKZACDBUNAUAUB
      WFWGWPUBUHZULQZWRUMQZEUOQZUCZWQWQUPAWJWFRZSWMWOCDAWFCWJWLAWKXABCDEFGXAUPZ
      HIJKLMNWKUPZUQURAWFDWJWNAWKXABCDEFGXDHIJKLMNXEUSURUTACEVAQZRZDXFRZSWSCRZW
      TDRZSXBWFRWRWGRZAXGXHKLVEXKXIXJWRCDVBZWRCDVCZVEXABCDEWSWTXDHVDVFAXCXKSZSZ
      WJXBTZWSWMTZWTWOTZSZWRWPTZXOXPWMWSTZWOWTTZSXSXOWSWTWKXABCDEWJFGXDHIJAXGXN
      KVGAXHXNLVGACDVHFVITXNMVGACDGQVQXNNVGXEAXCXKVJXKXIAXCXLVKXKXJAXCXMVKVLYAX
      QYBXRWMWSVMWOWTVMVNVOXKXTXSVRAXCWRWMWOCDVPVKVSVTWAACWBRDWBRWHWITOPCDWCWDW
      E $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Free groups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ~FG $.
  $c freeGrp $.
  $c varFGrp $.

  $( Extend class notation with the free group equivalence relation. $)
  cefg $a class ~FG $.

  $( Extend class notation with the free group construction. $)
  cfrgp $a class freeGrp $.

  $( Extend class notation with free group injection. $)
  cvrgp $a class varFGrp $.

  ${
    $d i j n r x y z $.
    $( Define the free group equivalence relation, which is the smallest
       equivalence relation ` ~~ ` such that for any words ` A , B ` and formal
       symbol ` x ` with inverse ` invg x ` , ` A B ~~ A x ( invg x ) B ` .
       (Contributed by Mario Carneiro, 1-Oct-2015.) $)
    df-efg $a |- ~FG = ( i e. _V |-> |^| { r | ( r Er Word ( i X. 2o ) /\
      A. x e. Word ( i X. 2o ) A. n e. ( 0 ... ( # ` x ) )
        A. y e. i A. z e. 2o x r ( x splice <. n , n ,
          <" <. y , z >. <. y , ( 1o \ z ) >. "> >. ) ) } ) $.

    $( Define the free group on a set ` I ` of generators, defined as the
       quotient of the free monoid on ` I X. 2o ` (representing the generator
       elements and their formal inverses) by the free group equivalence
       relation ~ df-efg .  (Contributed by Mario Carneiro, 1-Oct-2015.) $)
    df-frgp $a |- freeGrp = ( i e. _V |->
      ( ( freeMnd ` ( i X. 2o ) ) /s ( ~FG ` i ) ) ) $.

    $( Define the canonical injection from the generating set ` I ` into the
       base set of the free group.  (Contributed by Mario Carneiro,
       2-Oct-2015.) $)
    df-vrgp $a |- varFGrp = ( i e. _V |-> ( j e. i |->
      [ <" <. j , (/) >. "> ] ( ~FG ` i ) ) ) $.
  $}

  ${
    $d a b A $.  $d a b B $.  $d a b y z I $.  $d a b M $.
    efgmval.m $e |- M = ( y e. I , z e. 2o |-> <. y , ( 1o \ z ) >. ) $.
    $( Value of the formal inverse operation for the generating set of a free
       group.  (Contributed by Mario Carneiro, 27-Sep-2015.) $)
    efgmval $p |- ( ( A e. I /\ B e. 2o )
        -> ( A M B ) = <. A , ( 1o \ B ) >. ) $=
      ( va vb c2o cv c1o cdif cop opeq1 wceq difeq2 opeq2d cmpo cbvmpov eqtri
      opex ovmpo ) HICDEJHKZLIKZMZNZCLDMZNFCUFNUDCUFOUEDPUFUHCUEDLQRFABEJAKZLBK
      ZMZNZSHIEJUGSGABHIEJULUGUDUKNUIUDUKOUJUEPUKUFUDUJUELQRTUACUHUBUC $.

    $( The formal inverse operation is an endofunction on the generating set.
       (Contributed by Mario Carneiro, 27-Sep-2015.) $)
    efgmf $p |- M : ( I X. 2o ) --> ( I X. 2o ) $=
      ( cv c1o cdif cop c2o wcel wral wf 2oconcl opelxpi sylan2 rgen2 fmpo mpbi
      cxp ) AFZGBFZHZIZCJTZKZBJLACLUEUEDMUFABCJUBJKUACKUCJKUFUBNUAUCCJOPQABCJUD
      UEDERS $.

    $( The inversion function on the generators is an involution.  (Contributed
       by Mario Carneiro, 1-Oct-2015.) $)
    efgmnvl $p |- ( A e. ( I X. 2o ) -> ( M ` ( M ` A ) ) = A ) $=
      ( va vb c2o wcel cv cop wceq wrex cfv co c1o cdif efgmval fveq2d elxp2 wa
      cxp df-ov eqtr4di 2oconcl sylan2 wss csuc wtr wi 1on onordi ordtr trsucss
      word mp2b df-2o eleq2s adantl dfss4 sylib opeq2d fveq2 eqeq12d syl5ibrcom
      3eqtrd id rexlimivv sylbi ) CDIUCJCGKZHKZLZMZHINGDNCEOZEOZCMZGHCDIUAVNVQG
      HDIVKDJZVLIJZUBZVQVNVKVLEPZEOZVMMVTWBVKQVLRZEPZVKQWCRZLZVMVTWBVKWCLZEOWDV
      TWAWGEABVKVLDEFSTVKWCEUDUEVSVRWCIJWDWFMVLUFABVKWCDEFSUGVTWEVLVKVTVLQUHZWE
      VLMVSWHVRWHVLQUIZIQUPQUJVLWIJWHUKQULUMQUNQVLUOUQURUSUTVLQVAVBVCVGVNVPWBCV
      MVNVOWAEVNVOVMEOWACVMEVDVKVLEUDUETVNVHVEVFVIVJ $.
  $}

  ${
    $d a b c d f g h i j r s u A $.  $d a b r y z J $.  $d a b f g h r s u L $.
    $d a b f i F $.  $d a b c r K $.  $d c n t v w y z P $.  $d c i j r s ph $.
    $d a b c f g i j m n r s t u v w x M $.  $d a b i r N $.  $d n v w y z U $.
    $d a b c f g i j k m o r s t u x T $.  $d n v w y z V $.  $d a b i j u X $.
    $d c n t v w y z Q $.  $d a b c d f g h i j k m n o r s t u v w x y z W $.
    $d a b c d f g i j m r s t u x y z .~ $.  $d a b c d f g h i j r s u B $.
    $d a b i k m n t v w x y z C $.  $d a b c d i j o r s u S $.  $d i j Y $.
    $d a b c f g i j m n r s t u v w x y z I $.
    $d a b c d f i j m r s t u D $.
    efgval.w $e |- W = ( _I ` Word ( I X. 2o ) ) $.
    $( Lemma for ~ efgval .  (Contributed by Mario Carneiro, 1-Oct-2015.)
       (Revised by Mario Carneiro, 27-Feb-2016.) $)
    efgrcl $p |- ( A e. W -> ( I e. _V /\ W = Word ( I X. 2o ) ) ) $=
      ( wcel cvv c2o cxp cword wceq cdm c0 wne 2on0 ax-mp cid cfv elfvex eleq2s
      dmxp wrdexb sylibr dmexd eqeltrrid fvi syl eqtrid jca ) ACEZBFECBGHZIZJUI
      BUJKZFGLMULBJNBGTOUIUJFUIUKFEZUJFEUMAUKPQZCAUKPRDSZUJUAUBUCUDUICUNUKDUIUM
      UNUKJUOUKFUEUFUGUH $.

    $( Lemma for ~ efgval .  (Contributed by Mario Carneiro, 27-Sep-2015.) $)
    efglem $p |- E. r ( r Er W /\ A. x e. W
    A. n e. ( 0 ... ( # ` x ) ) A. y e. I A. z e. 2o x r ( x splice <. n , n ,
        <" <. y , z >. <. y , ( 1o \ z ) >. "> >. ) ) $=
      ( cxp wer cv cop co wbr c2o wral cfv wa wcel cid c1o cdif cs2 csplice cc0
      chash cfz xpider simpll cword fviss eqsstri sselid opelxpi adantl 2oconcl
      cotp sylan2 s2cld splcl syl2anc wceq efgrcl simprd ad2antrr eleqtrrd brxp
      wex cvv sylanbrc ralrimivva rgen2 fvexi xpex ereq1 2ralbidv anbi12d spcev
      breq mp2an ) FFFIZJZAKZWCDKZWDBKZCKZLZWEUAWFUBZLZUCZUQUDMZWANZCOPBEPZDUEW
      CUFQUGMZPAFPZFGKZJZWCWKWPNZCOPBEPZDWNPAFPZRZGVHFUHWMADFWNWCFSZWDWNSZRZWLB
      CEOXDWEESZWFOSZRZRZXBWKFSWLXBXCXGUIZXHWKEOIZUJZFXHWCXKSWJXKSWKXKSXHFXKWCF
      XKTQXKHXKUKULXIUMXHWGWIXJXGWGXJSXDWEWFEOUNUOXGWIXJSZXDXFXEWHOSXLWFUPWEWHE
      OUNURUOUSXJWJWCWDWDUTVAXBFXKVBZXCXGXBEVISXMWCEFHVCVDVEVFWCWKFFVGVJVKVLXAW
      BWORGWAFFFXKTHVMZXNVNWPWAVBZWQWBWTWOFWPWAVOXOWSWMADFWNXOWRWLBCEOWCWKWPWAV
      SVPVPVQVRVT $.

    efgval.r $e |- .~ = ( ~FG ` I ) $.
    $( Value of the free group construction.  (Contributed by Mario Carneiro,
       1-Oct-2015.) $)
    efgval $p |- .~ = |^| { r | ( r Er W /\ A. x e. W
     A. n e. ( 0 ... ( # ` x ) ) A. y e. I A. z e. 2o x r ( x splice <. n , n ,
       <" <. y , z >. <. y , ( 1o \ z ) >. "> >. ) ) } $=
      ( vi vw cv c2o wral cvv wcel wceq c0 wss cefg cfv wer cop c1o cs2 csplice
      cdif cotp co wbr cc0 chash cfz wa cab cint cxp cword wb cid vex 2on elexi
      con0 xpex wrdexg fvi xpeq1 wrdeq syl fveq2d eqtr3id eqtr4di ereq2 ralbidv
      mp2b raleq raleqbidv anbi12d abbidv inteqd df-efg wex efglem intexab mpbi
      fvmpt wn fvprc cuni wne abn0 mpbir intssuni ax-mp wi erssxp efgrcl simpld
      wal con3i eq0rdv xpeq2d xp0 eqtrdi ss0b sylibr sylan9ssr ex adantrd sseq1
      alrimiv ralab2 unissb sstrid ss0 eqtr4d pm2.61i eqtri ) DFUAUBZGHMZUCZAMZ
      YDEMZYEBMZCMZUDYFUEYGUHUDUFUIUGUJYBUKCNOZBFOZEULYDUMUBUNUJZOZAGOZUOZHUPZU
      QZJFPQZYAYORKFKMZNURZUSZYBUCZYHBYQOZEYJOZAYSOZUOZHUPZUQYOPUAYQFRZUUEYNUUF
      UUDYMHUUFYTYCUUCYLUUFYSGRYTYCUTUUFYSFNURZUSZVAUBZGUUFYSYSVAUBZUUIYRPQYSPQ
      UUJYSRYQNKVBNVEVCVDVFYRPVGYSPVHVQUUFYSUUHVAUUFYRUUGRYSUUHRYQFNVIYRUUGVJVK
      VLVMIVNZYSGYBVOVKUUFUUBYKAYSGUUKUUFUUAYIEYJYHBYQFVRVPVSVTWAWBABCKEHWCYMHW
      DZYOPQABCEFGHIWEZYMHWFWGWHYPWIZYASYOFUAWJUUNYOSTYOSRUUNYOYNWKZSYNSWLZYOUU
      OTUUPUULUUMYMHWMWNYNWOWPUUNLMZSTZLYNOZUUOSTUUNYMYBSTZWQZHXAUUSUUNUVAHUUNY
      CUUTYLUUNYCUUTYCUUNYBGGURZSGYBWRUUNUVBSRUVBSTUUNUVBGSURSUUNGSGUUNAGYDGQZY
      PUVCYPGUUHRYDFGIWSWTXBXCXDGXEXFUVBXGXHXIXJXKXMYMUURUUTLHUUQYBSXLXNXHLYNSX
      OXHXPYOXQVKXRXSXT $.

    $( Value of the free group construction.  (Contributed by Mario Carneiro,
       27-Sep-2015.)  (Revised by Mario Carneiro, 27-Feb-2016.) $)
    efger $p |- .~ Er W $=
      ( vw vr vx vn vy vz wer cv cop c1o cdif co wral mpbir ereq1 csplice chash
      cs2 cotp wbr c2o cc0 cfv cfz wa cab ciin c0 wne wex efglem abn0 wi ralab2
      simpl mpgbir iiner mp2an wceq wb cint efgval intiin eqtri ax-mp ) CALZCFC
      GMZLZHMZVNIMZVOJMZKMZNVPOVQPNUCUDUAQVLUEKUFRJBRIUGVNUBUHUIQRHCRZUJZGUKZFM
      ZULZLZVTUMUNZCWALZFVTRZWCWDVSGUOHJKIBCGDUPVSGUQSWFVSVMURGVSWEVMFGCWAVLTUS
      VMVRUTVAFVTCWAVBVCAWBVDVKWCVEAVTVFWBHJKAIBCGDEVGFVTVHVICAWBTVJS $.

    $( Value of the free group construction.  (Contributed by Mario Carneiro,
       27-Sep-2015.)  (Revised by Mario Carneiro, 27-Feb-2016.) $)
    efgi $p |- ( ( ( A e. W /\ N e. ( 0 ... ( # ` A ) ) ) /\
        ( J e. I /\ K e. 2o ) ) -> A .~ ( A splice
         <. N , N , <" <. J , K >. <. J , ( 1o \ K ) >. "> >. ) ) $=
      ( vr vi va vb wcel co c2o cop csplice wbr wral cc0 chash cfv cfz c1o cdif
      vu wa cs2 cotp cv wer cab cint wi wal wceq fveq2 oveq2d id oveq1 2ralbidv
      breq12d raleqbidv rspcv oteq1 oteq2 eqtrd breq2d sylan9 opeq1 s2eqd opeq2
      oteq3d difeq2 opeq2d bitrdi rspc2v adantld alrimiv opex elintab eleqtrrdi
      df-br sylibr efgval ) AGNZFUAAUBUCZUDOZNZUHZDCNEPNUHZUHZAAFFDEQZDUEEUFZQZ
      UIZUJZROZQZBNAWSBSWMWTGJUKZULZUGUKZXCKUKZXDLUKZMUKZQZXEUEXFUFZQZUIZUJZROZ
      XASZMPTLCTZKUAXCUBUCZUDOZTZUGGTZUHZJUMUNZBWMXSWTXANZUOZJUPWTXTNWMYBJWMXRY
      AXBWKXRAAFFXJUJZROZXASZMPTLCTZWLYAWGXRAAXKROZXASZMPTLCTZKWITZWJYFXQYJUGAG
      XCAUQZXNYIKXPWIYKXOWHUAUDXCAUBURUSYKXMYHLMCPYKXCAXLYGXAYKUTXCAXKRVAVCVBVD
      VEYIYFKFWIXDFUQZYHYELMCPYLYGYDAXAYLXKYCARYLXKFXDXJUJYCXDFXDXJVFXDFFXJVGVH
      USVIVBVEVJYEYAAAFFDXFQZDXHQZUIZUJZROZXASZLMDECPXEDUQZYDYQAXAYSYCYPARYSXJY
      OFFYSXGXIYMYNXEDXFVKXEDXHVKVLVNUSVIXFEUQZYRAWSXASYAYTYQWSAXAYTYPWRARYTYOW
      QFFYTYMYNWNWPXFEDVMYTXHWODXFEUEVOVPVLVNUSVIAWSXAWDVQVRVJVSVTXSJWTAWSWAWBW
      EUGLMBKCGJHIWFWCAWSBWDWE $.

    $( Value of the free group construction.  (Contributed by Mario Carneiro,
       27-Sep-2015.)  (Revised by Mario Carneiro, 27-Feb-2016.) $)
    efgi0 $p |- ( ( A e. W /\ N e. ( 0 ... ( # ` A ) ) /\ J e. I ) -> A .~
    ( A splice <. N , N , <" <. J , (/) >. <. J , 1o >. "> >. ) ) $=
      ( wcel cc0 co c0 cop c1o cs2 cotp csplice c2o wtru wceq chash cfv cfz w3a
      cdif wbr wa cpr 0ex prid1 df2o3 eleqtrri efgi mpanr2 3impa tru eqidd dif0
      opeq2i a1i s2eqd oteq3 mp2b oveq2i breqtrdi ) AFIZEJAUAUBUCKIZDCIZUDAAEED
      LMZDNLUEZMZOZPZQKZAEEVIDNMZOZPZQKBVFVGVHAVNBUFZVFVGUGVHLRIVRLLNUHRLNUIUJU
      KULABCDLEFGHUMUNUOVMVQAQSVLVPTVMVQTUPSVIVKVIVOSVIUQVKVOTSVJNDNURUSUTVAVLV
      PEEVBVCVDVE $.

    $( Value of the free group construction.  (Contributed by Mario Carneiro,
       27-Sep-2015.)  (Revised by Mario Carneiro, 27-Feb-2016.) $)
    efgi1 $p |- ( ( A e. W /\ N e. ( 0 ... ( # ` A ) ) /\ J e. I ) -> A .~
    ( A splice <. N , N , <" <. J , 1o >. <. J , (/) >. "> >. ) ) $=
      ( wcel cc0 co c1o cop cs2 cotp csplice c0 c2o wtru wceq chash cfv cfz w3a
      cdif wbr cpr 1oex prid2 df2o3 eleqtrri efgi mpanr2 3impa tru eqidd opeq2i
      wa difid a1i s2eqd oteq3 mp2b oveq2i breqtrdi ) AFIZEJAUAUBUCKIZDCIZUDAAE
      EDLMZDLLUEZMZNZOZPKZAEEVIDQMZNZOZPKBVFVGVHAVNBUFZVFVGURVHLRIVRLQLUGRQLUHU
      IUJUKABCDLEFGHULUMUNVMVQAPSVLVPTVMVQTUOSVIVKVIVOSVIUPVKVOTSVJQDLUSUQUTVAV
      LVPEEVBVCVDVE $.

    efgval2.m $e |- M = ( y e. I , z e. 2o |-> <. y , ( 1o \ z ) >. ) $.
    efgval2.t $e |- T = ( v e. W |->
        ( n e. ( 0 ... ( # ` v ) ) , w e. ( I X. 2o ) |-> ( v splice
      <. n , n , <" w ( M ` w ) "> >. ) ) ) $.
    $( Value of the free group construction.  (Contributed by Mario Carneiro,
       27-Sep-2015.) $)
    efgtf $p |- ( X e. W -> ( ( T ` X ) = ( a e. ( 0 ... ( # ` X ) ) ,
        b e. ( I X. 2o ) |-> ( X splice <. a , a , <" b ( M ` b ) "> >. ) ) /\
      ( T ` X ) : ( ( 0 ... ( # ` X ) ) X. ( I X. 2o ) ) --> W ) ) $=
      ( wcel csplice cvv vu cfv cc0 chash cfz co c2o cxp cv cotp cmpo wceq wral
      cs2 wf wa cword fviss eqsstri simpl sselid simprr efgmf ffvelrni ad2antll
      cid s2cld splcl syl2anc efgrcl simprd eleqtrrd ralrimivva eqid fmpo sylib
      adantr ovex con0 simpld 2on xpexg sylancl sylancr fexd fveq2 oveq2d eqidd
      oveq1 mpoeq123dv cmpt weq oteq1 oteq2 eqtrd oteq3d cbvmpov eqtrid cbvmptv
      id s2eqd eqtri fvmptg mpdan feq1d mpbird jca ) KJRZKFUBZLMUCKUDUBZUEUFZHU
      GUHZKLUIZXMMUIZXNIUBZUNZUJZSUFZUKZULZXKXLUHZJXIUOZXHXSTRXTXHYAJTXSXHXRJRZ
      MXLUMLXKUMYAJXSUOZXHYCLMXKXLXHXMXKRZXNXLRZUPZUPZXRXLUQZJYHKYIRXPYIRXRYIRY
      HJYIKJYIVFUBYINYIURUSXHYGUTVAYHXNXOXLXHYEYFVBYFXOXLRXHYEXLXLXNIABHIPVCVDV
      EVGXLXPKXMXMVHVIXHJYIULZYGXHHTRZYJKHJNVJZVKVQVLVMLMXKXLXRJXSXSVNVOVPZXHXK
      TRXLTRZYATRUCXJUEVRXHYKUGVSRYNXHYKYJYLVTWAHUGTVSWBWCXKXLTTWBWDWEUAKLMUCUA
      UIZUDUBZUEUFZXLYOXQSUFZUKZXSJTFYOKULZLMYQXLYRXKXLXRYTYPXJUCUEYOKUDWFWGYTX
      LWHYOKXQSWIWJFDJGCUCDUIZUDUBZUEUFZXLUUAGUIZUUDCUIZUUEIUBZUNZUJZSUFZUKZWKU
      AJYSWKQDUAJUUJYSDUAWLZUUJLMUUCXLUUAXQSUFZUKYSGCLMUUCXLUUIUULUUAXMXMUUGUJZ
      SUFGLWLZUUHUUMUUASUUNUUHXMUUDUUGUJUUMUUDXMUUDUUGWMUUDXMXMUUGWNWOWGCMWLZUU
      MXQUUASUUOUUGXPXMXMUUOUUEUUFXNXOUUOWTUUEXNIWFXAWPWGWQUUKLMUUCXLUULYQXLYRU
      UKUUBYPUCUEUUAYOUDWFWGUUKXLWHUUAYOXQSWIWJWRWSXBXCXDZXHYBYDYMXHYAJXIXSUUPX
      EXFXG $.

    $( Value of the extension function, which maps a word (a representation of
       the group element as a sequence of elements and their inverses) to its
       direct extensions, defined as the original representation with an
       element and its inverse inserted somewhere in the string.  (Contributed
       by Mario Carneiro, 29-Sep-2015.) $)
    efgtval $p |- ( ( X e. W /\ N e. ( 0 ... ( # ` X ) ) /\ A e. ( I X. 2o ) )
       -> ( N ( T ` X ) A ) = ( X splice <. N , N , <" A ( M ` A ) "> >. ) ) $=
      ( va co csplice vb wcel cc0 chash cfv cfz c2o cxp cotp wceq wa cv cmpo wf
      cs2 efgtf simpld oveqd oteq1 oteq2 eqtrd oveq2d id fveq2 oteq3d eqid ovex
      s2eqd ovmpo sylan9eq 3impb ) MLUBZKUCMUDUEUFSZUBZEIUGUHZUBZKEMGUEZSZMKKEE
      JUEZUOZUIZTSZUJVLVNVPUKVRKERUAVMVOMRULZWCUAULZWDJUEZUOZUIZTSZUMZSWBVLVQWI
      KEVLVQWIUJVMVOUHLVQUNABCDFGHIJLMRUANOPQUPUQURRUAKEVMVOWHWBWIMKKWFUIZTSWCK
      UJZWGWJMTWKWGKWCWFUIWJWCKWCWFUSWCKKWFUTVAVBWDEUJZWJWAMTWLWFVTKKWLWDWEEVSW
      LVCWDEJVDVHVEVBWIVFMWATVGVIVJVK $.

    $( Value of the free group construction.  (Contributed by Mario Carneiro,
       27-Sep-2015.) $)
    efgval2 $p |- .~ =
      |^| { r | ( r Er W /\ A. x e. W ran ( T ` x ) C_ [ x ] r ) } $=
      ( vm va vu wral vb cv wer cop c1o cdif cs2 cotp csplice wbr c2o cc0 chash
      co cfv cfz wa cab cint crn cec wss efgval wcel cxp cmpo wceq efgtf simpld
      wf rneqd sseq1d dfss3 cvv ovex rgen2w eqid vex elec breq2 syl5bb ralrnmpo
      wb ax-mp id fveq2 df-ov eqtr4di s2eqd oteq3d oveq2d breq2d ralxp ralbidva
      eqidd efgmval ralbiia bitri ralbii bitrdi anbi2i abbii inteqi eqtr4i ) FK
      LUBZUCZAUBZXGQUBZXHRUBZUAUBZUDZXIUEXJUFUDZUGZUHZUIUNZXEUJZUAUKTZRITZQULXG
      UMUOUPUNZTZAKTZUQZLURZUSXFXGGUOZUTZXGXEVAZVBZAKTZUQZLURZUSARUAFQIKLMNVCYJ
      YCYIYBLYHYAXFYGXTAKXGKVDZYGQSXSIUKVEZXGXHXHSUBZYMJUOZUGZUHZUIUNZVFZUTZYFV
      BZXTYKYEYSYFYKYDYRYKYDYRVGXSYLVEKYDVJBCDEFGHIJKXGQSMNOPVHVIVKVLYTXIYFVDZR
      YSTZXTRYSYFVMUUBXGYQXEUJZSYLTZQXSTZXTYQVNVDZSYLTQXSTUUBUUEWCUUFQSXSYLXGYP
      UIVOVPUUAUUCQSRXSYLYQYRVNYRVQUUAXGXIXEUJXIYQVGUUCXIXGXERVRAVRVSXIYQXGXEVT
      WAWBWDUUDXRQXSUUDXGXGXHXHXKXIXJJUNZUGZUHZUIUNZXEUJZUAUKTZRITXRUUCUUKSRUAI
      UKYMXKVGZYQUUJXGXEUUMYPUUIXGUIUUMYOUUHXHXHUUMYMYNXKUUGUUMWEUUMYNXKJUOUUGY
      MXKJWFXIXJJWGWHWIWJWKWLWMUULXQRIXIIVDZUUKXPUAUKUUNXJUKVDUQZUUJXOXGXEUUOUU
      IXNXGUIUUOUUHXMXHXHUUOXKUUGXKXLUUOXKWOBCXIXJIJOWPWIWJWKWLWNWQWRWSWRWRWTWQ
      XAXBXCXD $.

    $( Value of the free group construction.  (Contributed by Mario Carneiro,
       1-Oct-2015.) $)
    efgi2 $p |- ( ( A e. W /\ B e. ran ( T ` A ) ) -> A .~ B ) $=
      ( vr va wcel wa cfv crn cop wbr cv wer cec wss wral cab cint wi wal fveq2
      wceq rneqd eceq1 sseq12d rspcv adantr com12 simpl elecg mpbid df-br sylib
      ssel expcom sylan9r syld adantld alrimiv elintab sylibr efgval2 eleqtrrdi
      opex ) ELSZFEHUAZUBZSZTZEFUCZGSEFGUDWBWCLQUEZUFZRUEZHUAZUBZWFWDUGZUHZRLUI
      ZTZQUJUKZGWBWLWCWDSZULZQUMWCWMSWBWOQWBWKWNWEWBWKVTEWDUGZUHZWNVRWKWQULWAWJ
      WQRELWFEUOZWHVTWIWPWRWGVSWFEHUNUPWFEWDUQURUSUTWAWQFWPSZVRWNWQWAWSVTWPFVGV
      AWSVRWNWSVRTZEFWDUDZWNWTWSXAWSVRVBFEWDWPLVCVDEFWDVEVFVHVIVJVKVLWLQWCEFVQV
      MVNRABCDGHIJKLQMNOPVOVPEFGVEVN $.

    $( Value of the free group construction.  (Contributed by Mario Carneiro,
       27-Sep-2015.) $)
    efgtlen $p |- ( ( X e. W /\ A e. ran ( T ` X ) ) ->
      ( # ` A ) = ( ( # ` X ) + 2 ) ) $=
      ( wcel cfv co cc0 va vb crn chash c2 caddc wceq cs2 cotp csplice c2o wrex
      cv cxp cmpo wf efgtf simpld rneqd eleq2d eqid ovex elrnmpo bitrdi wa cmin
      cfz cword cid fviss eqsstri simpl sselid cuz elfzuz ad2antrl sylib simprl
      eluzfz2b simprr efgmf ffvelrni syl s2cld spllen s2len a1i eluzelcn subidd
      cc oveq12d 2cn subid1i eqtrdi oveq2d fveqeq2 syl5ibrcom rexlimdvva sylbid
      eqtrd imp ) LKQZELGRZUCZQZEUDRLUDRZUEUFSZUGZXBXEELUAUMZXIUBUMZXJJRZUHZUIZ
      UJSZUGZUBIUKUNZULUATXFVGSZULZXHXBXEEUAUBXQXPXNUOZUCZQXRXBXDXTEXBXCXSXBXCX
      SUGXQXPUNKXCUPABCDFGHIJKLUAUBMNOPUQURUSUTUAUBXQXPXNEXSXSVALXMUJVBVCVDXBXO
      XHUAUBXQXPXBXIXQQZXJXPQZVEZVEZXHXOXNUDRZXGUGYDYEXFXLUDRZXIXIVFSZVFSZUFSXG
      YDXPXLLXIXIYDKXPVHZLKYIVIRYIMYIVJVKXBYCVLVMYDXITVNRQZXITXIVGSQYAYJXBYBXIT
      XFVOVPZTXIVSVQXBYAYBVRYDXJXKXPXBYAYBVTZYDYBXKXPQYLXPXPXJJABIJOWAWBWCWDWEY
      DYHUEXFUFYDYHUETVFSUEYDYFUEYGTVFYFUEUGYDXJXKWFWGYDXIYDYJXIWJQYKTXIWHWCWIW
      KUEWLWMWNWOWTEXNXGUDWPWQWRWSXA $.

    $( The inverse of the reverse of a word composed with the word relates to
       the identity.  (This provides an explicit expression for the
       representation of the group inverse, given a representative of the free
       group equivalence class.)  (Contributed by Mario Carneiro,
       1-Oct-2015.) $)
    efginvrel2 $p |- ( A e. W ->
      ( A ++ ( M o. ( reverse ` A ) ) ) .~ (/) ) $=
      ( wcel cfv cconcat co c0 vc va vb vm vu c2o cxp cword creverse ccom fviss
      wbr cid eqsstri sseli cv wi wceq id fveq2 rev0 eqtrdi coeq2d co02 oveq12d
      cs1 breq1d imbi2d weq ccatidid wer efger a1i wrd0 efgrcl simprd eleqtrrid
      cvv erref eqbrtrid wa simprl wf revcl ad2antrl efgmf wrdco sylancl ccatcl
      crn syl2anc adantr eleqtrrd chash cs2 csplice cc0 cfz cuz cn0 lencl nn0uz
      cotp eleqtrdi caddc ccatlen nn0zd uzaddcl eqeltrd elfzuzb sylanbrc simprr
      uzidd efgtval syl3anc ffvelrni ad2antll s2cld ccatrid eqcomd oveq1d eqidd
      syl hash0 oveq2i nn0cnd addid1d eqtr2id splval2 s1cld revs1 oveq1i ccatco
      revccat s1co 3eqtrd oveq2d ccatass df-s2 eqtr4di 3eqtr2rd cmpo efgtf ffnd
      wfn fnovrn eqeltrrd efgi2 ersym ertr mpand expcom a2d wrdind mpcom ) EIUF
      UGZUHZPEKPZEJEUIQZUJZRSZTFULZKUUQEKUUQUMQUUQLUUQUKUNUOUURUAUPZJUVCUIQZUJZ
      RSZTFULZUQUURTTRSZTFULZUQUURUBUPZJUVJUIQZUJZRSZTFULZUQUURUVJUCUPZVFZRSZJU
      VQUIQZUJZRSZTFULZUQUURUVBUQUAUBUCEUUPUVCTURZUVGUVIUURUWBUVFUVHTFUWBUVCTUV
      ETRUWBUSUWBUVEJTUJTUWBUVDTJUWBUVDTUIQTUVCTUIUTVAVBVCJVDVBVEVGVHUAUBVIZUVG
      UVNUURUWCUVFUVMTFUWCUVCUVJUVEUVLRUWCUSUWCUVDUVKJUVCUVJUIUTVCVEVGVHUVCUVQU
      RZUVGUWAUURUWDUVFUVTTFUWDUVCUVQUVEUVSRUWDUSUWDUVDUVRJUVCUVQUIUTVCVEVGVHUV
      CEURZUVGUVBUURUWEUVFUVATFUWEUVCEUVEUUTRUWEUSUWEUVDUUSJUVCEUIUTVCVEVGVHUUR
      UVHTTFVJUURTFKKFVKZUURFIKLMVLZVMUURTUUQKUUPVNZUURIVRPKUUQURZEIKLVOVPZVQVS
      VTUVJUUQPZUVOUUPPZWAZUURUVNUWAUURUWMUVNUWAUQUURUWMWAZUVTUVMFULUVNUWAUWNUV
      MUVTFKUWFUWNUWGVMZUWNUVMKPZUVTUVMGQZWJZPUVMUVTFULUWNUVMUUQKUWNUWKUVLUUQPZ
      UVMUUQPUURUWKUWLWBZUWNUVKUUQPZUUPUUPJWCZUWSUWKUXAUURUWLUUPUVJWDWEZABIJNWF
      ZUUPUUPJUVKWGWHZUUPUVJUVLWIWKUURUWIUWMUWJWLWMZUWNUVJWNQZUVOUWQSZUVTUWRUWN
      UXHUVMUXGUXGUVOUVOJQZWOZXCWPSZUVJUXJRSZUVLRSZUVTUWNUWPUXGWQUVMWNQZWRSZPZU
      WLUXHUXKURUXFUWNUXGWQWSQZPUXNUXGWSQZPUXPUWNUXGWTUXQUWKUXGWTPUURUWLUUPUVJX
      AWEZXBXDUWNUXNUXGUVLWNQZXESZUXRUWNUWKUWSUXNUYAURUWTUXEUUPUUPUVJUVLXFWKUWN
      UXGUXRPUXTWTPZUYAUXRPUWNUXGUWNUXGUXSXGXMUWNUWSUYBUXEUUPUVLXAYCUXTUXGUXGXH
      WKXIUXGWQUXNXJXKZUURUWKUWLXLZABCDUVOFGHIJUXGKUVMLMNOXNXOUWNUVJTUVLUXJUVMU
      XGUXGUUPUWTTUUQPUWNUWHVMUXEUWNUVOUXIUUPUYDUWLUXIUUPPUURUWKUUPUUPUVOJUXDXP
      XQZXRUWNUVJUVJTRSZUVLRUWNUYFUVJUWKUYFUVJURUURUWLUUPUVJXSWEXTYAUWNUXGYBUWN
      UXGTWNQZXESUXGWQXESUXGUYGWQUXGXEYDYEUWNUXGUWNUXGUXSYFYGYHYIUWNUVTUVQUXIVF
      ZUVLRSZRSZUVQUYHRSZUVLRSZUXMUWNUVSUYIUVQRUWNUVSJUVPUVKRSZUJZJUVPUJZUVLRSZ
      UYIUWNUVRUYMJUWNUVRUVPUIQZUVKRSZUYMUWNUWKUVPUUQPZUVRUYRURUWTUWNUVOUUPUYDY
      JZUUPUVJUVPYNWKUYQUVPUVKRUVOYKYLVBVCUWNUYSUXAUXBUYNUYPURUYTUXCUXBUWNUXDVM
      UUPUUPUVPUVKJYMXOUWNUYOUYHUVLRUWNUWLUXBUYOUYHURUYDUXDUUPUUPUVOJYOWHYAYPYQ
      UWNUVQUUQPZUYHUUQPZUWSUYLUYJURUWNUWKUYSVUAUWTUYTUUPUVJUVPWIWKUWNUXIUUPUYE
      YJZUXEUUPUVQUYHUVLYRXOUWNUYKUXLUVLRUWNUYKUVJUVPUYHRSZRSZUXLUWNUWKUYSVUBUY
      KVUEURUWTUYTVUCUUPUVJUVPUYHYRXOUXJVUDUVJRUVOUXIYSYEYTYAUUAYPUWNUWQUXOUUPU
      GZUUEUXPUWLUXHUWRPUWNVUFKUWQUWNUWPVUFKUWQWCZUXFUWPUWQUDUEUXOUUPUVMUDUPZVU
      HUEUPZVUIJQWOXCWPSUUBURVUGABCDFGHIJKUVMUDUELMNOUUCVPYCUUDUYCUYDUXOUUPUXGU
      VOUWQUUFXOUUGABCDUVMUVTFGHIJKLMNOUUHWKUUIUWNUVTUVMTFKUWOUUJUUKUULUUMUUNUU
      O $.

    $( The inverse of the reverse of a word composed with the word relates to
       the identity.  (This provides an explicit expression for the
       representation of the group inverse, given a representative of the free
       group equivalence class.)  (Contributed by Mario Carneiro,
       1-Oct-2015.) $)
    efginvrel1 $p |- ( A e. W ->
      ( ( M o. ( reverse ` A ) ) ++ A ) .~ (/) ) $=
      ( vc wcel cfv ccom syl va creverse cconcat co c0 c2o cxp cword wceq fviss
      wf cid eqsstri sseli revcl efgmf revco sylancl revrev coeq2d eqtr3d chash
      cc0 cfzo cv cmpt wrdf ffvelrnda efgmnvl mpteq2dva ffvelrni fcompt sylancr
      a1i feqmptd fveq2 fmptco 3eqtr4d eqtrd oveq2d wbr wrdco cvv efgrcl simprd
      wa eleqtrrd efginvrel2 eqbrtrrd ) EKQZJEUBRZSZJWLUBRZSZUCUDZWLEUCUDUEFWJW
      NEWLUCWJWNJJESZSZEWJWMWPJWJJWKUBRZSZWMWPWJWKIUFUGZUHZQZWTWTJUKZWSWMUIWJEX
      AQZXBKXAEKXAULRXALXAUJUMUNZWTEUOTZABIJNUPZWTWTJWKUQURWJWREJWJXDWREUIXEWTE
      USTUTVAUTWJPVCEVBRVDUDZPVEZERZJRZJRZVFPXHXJVFWQEWJPXHXLXJWJXIXHQWFZXJWTQZ
      XLXJUIWJXHWTXIEWJXDXHWTEUKZXEWTEVGTZVHZABXJIJNVITVJWJPUAXHWTXKUAVEZJRXLWP
      JXMXNXKWTQXQWTWTXJJXGVKTWJXCXOWPPXHXKVFUIXGXPPJEXHWTWTVLVMWJUAWTWTJXCWJXG
      VNVOXRXKJVPVQWJPXHWTEXPVOVRVSVTWJWLKQWOUEFWAWJWLXAKWJXBXCWLXAQXFXGWTWTJWK
      WBURWJIWCQKXAUIEIKLWDWEWGABCDWLFGHIJKLMNOWHTWI $.

    efgred.d $e |- D = ( W \ U_ x e. W ran ( T ` x ) ) $.
    efgred.s $e |- S = ( m e. { t e. ( Word W \ { (/) } ) |
      ( ( t ` 0 ) e. D /\ A. k e. ( 1 ..^ ( # ` t ) ) ( t ` k ) e.
        ran ( T ` ( t ` ( k - 1 ) ) ) ) } |-> ( m ` ( ( # ` m ) - 1 ) ) ) $.
    $( Value of the auxiliary function ` S ` defining a sequence of extensions
       starting at some irreducible word.  (Contributed by Mario Carneiro,
       1-Oct-2015.) $)
    efgsf $p |- S : { t e. ( Word W \ { (/) } ) |
      ( ( t ` 0 ) e. D /\ A. k e. ( 1 ..^ ( # ` t ) )
        ( t ` k ) e. ran ( T ` ( t ` ( k - 1 ) ) ) ) } --> W $=
      ( cv chash cfv c1 cmin co wcel cc0 crn cfzo wral wa cword c0 cdif crab wf
      csn wi weq id fveq2 oveq1d fveq12d eleq1d ralrab2 eldifi wrdf syl eldifsn
      cn wne lennncl sylbi fzo0end ffvelrnd a1d mprgbir fmpt mpbi ) LUCZUDUEZUF
      UGUHZWCUEZPUIZLUJFUCZUEGUIKUCZWHUEWIUFUGUHWHUEJUEUKUIKUFWHUDUEZULUHUMUNZF
      PUOZUPUTZUQZURZUMZWOPIUSWPWKWJUFUGUHZWHUEZPUIZVAFWNWKWGWSLFWNLFVBZWFWRPWT
      WEWQWCWHWTVCWTWDWJUFUGWCWHUDVDVEVFVGVHWHWNUIZWSWKXAUJWJULUHZPWQWHXAWHWLUI
      ZXBPWHUSWHWLWMVIPWHVJVKXAWJVMUIZWQXBUIXAXCWHUPVNUNXDWHWLUPVLPWHVOVPWJVQVK
      VRVSVTLWOPWFIUBWAWB $.

    $( Elementhood in the domain of ` S ` , the set of sequences of extensions
       starting at an irreducible word.  (Contributed by Mario Carneiro,
       27-Sep-2015.) $)
    efgsdm $p |- ( F e. dom S <-> ( F e. ( Word W \ { (/) } ) /\
          ( F ` 0 ) e. D /\ A. i e. ( 1 ..^ ( # ` F ) )
        ( F ` i ) e. ran ( T ` ( F ` ( i - 1 ) ) ) ) ) $=
      ( vf cdm wcel cword c0 csn cdif cc0 cfv cv c1 cmin co crn chash cfzo wral
      w3a wceq fveq1 eleq1d fveq2 oveq2d fveq2d rneqd eleq12d raleqbidv anbi12d
      wa crab efgsf fvoveq1 cbvralvw syl5bb cbvrabv eqtri elrab2 3anass bitr4i
      fdmi ) OIUFZUGORUHUIUJUKZUGZULOUMZGUGZKUNZOUMZWJUOUPUQZOUMZJUMZURZUGZKUOO
      USUMZUTUQZVAZVMZVMWGWIWSVBULUEUNZUMZGUGZWJXAUMZWLXAUMZJUMZURZUGZKUOXAUSUM
      ZUTUQZVAZVMZWTUEOWFWEXAOVCZXCWIXKWSXMXBWHGULXAOVDVEXMXHWPKXJWRXMXIWQUOUTX
      AOUSVFVGXMXDWKXGWOWJXAOVDXMXFWNXMXEWMJWLXAOVDVHVIVJVKVLWEULFUNZUMZGUGZLUN
      ZXNUMZXQUOUPUQXNUMZJUMZURZUGZLUOXNUSUMZUTUQZVAZVMZFWFVNZXLUEWFVNYGRIABCDE
      FGHIJLMNPQRSTUAUBUCUDVOWDYFXLFUEWFXNXAVCZXPXCYEXKYHXOXBGULXNXAVDVEYEWJXNU
      MZWLXNUMZJUMZURZUGZKYDVAYHXKYBYMLKYDXQWJVCZXRYIYAYLXQWJXNVFYNXTYKYNXSYJJX
      QWJUOXNUPVPVHVIVJVQYHYMXHKYDXJYHYCXIUOUTXNXAUSVFVGYHYIXDYLXGWJXNXAVDYHYKX
      FYHYJXEJWLXNXAVDVHVIVJVKVRVLVSVTWAWGWIWSWBWC $.

    $( Value of the auxiliary function ` S ` defining a sequence of extensions.
       (Contributed by Mario Carneiro, 27-Sep-2015.) $)
    efgsval $p |- ( F e. dom S -> ( S ` F ) = ( F ` ( ( # ` F ) - 1 ) ) ) $=
      ( vf cfv chash c1 cmin co wceq cc0 cv wcel crn cfzo wral wa cword c0 cdif
      csn crab id fveq2 oveq1d fveq12d cmpt cbvmptv eqtri fvex fvmpt efgsf fdmi
      cdm eleq2s ) NIUENUFUEZUGUHUIZNUEZUJNUKFULZUEGUMKULZVSUEVTUGUHUIVSUEJUEUN
      UMKUGVSUFUEUOUIUPUQFQURUSVAUTVBZIVNUDNUDULZUFUEZUGUHUIZWBUEZVRWAIWBNUJZWD
      VQWBNWFVCWFWCVPUGUHWBNUFVDVEVFILWALULZUFUEZUGUHUIZWGUEZVGUDWAWEVGUCLUDWAW
      JWEWGWBUJZWIWDWGWBWKVCWKWHWCUGUHWGWBUFVDVEVFVHVIVQNVJVKWAQIABCDEFGHIJKLMO
      PQRSTUAUBUCVLVMVO $.

    $( Property of the last link in the chain of extensions.  (Contributed by
       Mario Carneiro, 29-Sep-2015.) $)
    efgsdmi $p |- ( ( F e. dom S /\ ( ( # ` F ) - 1 ) e. NN ) ->
      ( S ` F ) e. ran ( T ` ( F ` ( ( ( # ` F ) - 1 ) - 1 ) ) ) ) $=
      ( vi cdm wcel chash cfv c1 cmin co cn wa crn wceq efgsval adantr cv fveq2
      cfzo fvoveq1 fveq2d rneqd eleq12d wral c0 csn cdif cc0 efgsdm simp3bi cfz
      cword cuz simpr nnuz eleqtrdi eluzfz1 syl cz simp1bi eldifad lencl fzoval
      cn0 nn0z 4syl eleqtrrd fzoend rspcdva eqeltrd ) NIUEUFZNUGUHZUIUJUKZULUFZ
      UMZNIUHZWNNUHZWNUIUJUKNUHZJUHZUNZWLWQWRUOWOABCDEFGHIJKLMNOPQRSTUAUBUCUPUQ
      WPUDURZNUHZXBUIUJUKNUHZJUHZUNZUFZWRXAUFUDUIWMUTUKZWNXBWNUOZXCWRXFXAXBWNNU
      SXIXEWTXIXDWSJXBWNUINUJVAVBVCVDWLXGUDXHVEZWOWLNQVMZVFVGZVHUFZVINUHGUFZXJA
      BCDEFGHIJUDKLMNOPQRSTUAUBUCVJZVKUQWPUIXHUFWNXHUFWPUIUIWNVLUKZXHWPWNUIVNUH
      ZUFUIXPUFWPWNULXQWLWOVOVPVQUIWNVRVSWPNXKUFWMWEUFWMVTUFXHXPUOWPNXKXLWLXMWO
      WLXMXNXJXOWAUQWBQNWCWMWFUIWMWDWGWHUIWMWIVSWJWK $.

    $( Value of the auxiliary function ` S ` defining a sequence of extensions.
       (Contributed by Mario Carneiro, 1-Oct-2015.) $)
    efgsval2 $p |- ( ( A e. Word W /\ B e. W /\ ( A ++ <" B "> ) e. dom S )
                   -> ( S ` ( A ++ <" B "> ) ) = B ) $=
      ( cword wcel cs1 cconcat co cdm cfv wceq wa chash cmin efgsval caddc s1cl
      c1 ccatlen sylan2 s1len oveq2i eqtrdi oveq1d cc lencl nn0cnd ax-1cn pncan
      cc0 sylancl addid2d eqtr4d adantr eqtrd fveq2d cfzo adantl cn 1nn eqeltri
      simpl lbfzo0 mpbir a1i ccatval3 syl3anc s1fv 3eqtrd sylan9eqr 3impa ) GRU
      EZUFZHRUFZGHUGZUHUIZKUJUFZWQKUKZHULWRWNWOUMZWSWQUNUKZUSUOUIZWQUKZHABCDEFI
      JKLMNOWQPQRSTUAUBUCUDUPWTXCVKGUNUKZUQUIZWQUKZVKWPUKZHWTXBXEWQWTXBXDUSUQUI
      ZUSUOUIZXEWTXAXHUSUOWTXAXDWPUNUKZUQUIZXHWOWNWPWMUFZXAXKULHRURZRRGWPUTVAXJ
      USXDUQHVBZVCVDVEWNXIXEULWOWNXIXDXEWNXDVFUFUSVFUFXIXDULWNXDRGVGVHZVIXDUSVJ
      VLWNXDXOVMVNVOVPVQWTWNXLVKVKXJVRUIUFZXFXGULWNWOWCWOXLWNXMVSXPWTXPXJVTUFXJ
      USVTXNWAWBXJWDWEWFRGWPVKWGWHWOXGHULWNHRWIVSWJWKWL $.

    $( The start and end of any extension sequence are related (i.e. evaluate
       to the same element of the quotient group to be created).  (Contributed
       by Mario Carneiro, 1-Oct-2015.) $)
    efgsrel $p |- ( F e. dom S -> ( F ` 0 ) .~ ( S ` F ) ) $=
      ( va vi cdm wcel cc0 cfv chash c1 cmin co cfzo wbr cword c0 csn cn cv crn
      cdif wral efgsdm simp1bi wne wa eldifsn lennncl sylbi fzo0end 3syl cn0 wi
      nnm1nn0 caddc wceq eleq1 fveq2 breq2d imbi12d imbi2d wer efger a1i eldifi
      wf ffvelrnda erref ex cuz elnn0uz peano2fzor sylanb 3adant1 3expia imim1d
      wrdf w3a 3ad2ant1 ffvelrnd fvoveq1 rneqd eleq12d simp3bi nn0p1nn 3ad2ant2
      fveq2d nnuz eleqtrdi elfzolt2b 3ad2ant3 elfzo3 sylanbrc rspcdva cc ax-1cn
      nn0cn pncan sylancl eleqtrd efgi2 syl2anc ertr mpan2d expcom nn0ind mpcom
      a2d syld mpd efgsval breqtrrd ) NIUFUGZUHNUIZNUJUIZUKULUMZNUIZNIUIHYNYQUH
      YPUNUMZUGZYOYRHUOZYNNQUPZUQURZVBUGZYPUSUGZYTYNUUDYOGUGZUDUTZNUIZUUGUKULUM
      NUIZJUIZVAZUGZUDUKYPUNUMZVCZABCDEFGHIJUDKLMNOPQRSTUAUBUCVDZVEZUUDNUUBUGZN
      UQVFVGUUENUUBUQVHQNVIVJZYPVKVLYQVMUGZYNYTUUAVNZYNUUDUUEUUSUUPUURYPVOVLYNU
      UGYSUGZYOUUHHUOZVNZVNYNUHYSUGZYOYOHUOZVNZVNYNUEUTZYSUGZYOUVGNUIZHUOZVNZVN
      YNUVGUKVPUMZYSUGZYOUVLNUIZHUOZVNZVNYNUUTVNUDUEYQUUGUHVQZUVCUVFYNUVQUVAUVD
      UVBUVEUUGUHYSVRUVQUUHYOYOHUUGUHNVSVTWAWBUUGUVGVQZUVCUVKYNUVRUVAUVHUVBUVJU
      UGUVGYSVRUVRUUHUVIYOHUUGUVGNVSVTWAWBUUGUVLVQZUVCUVPYNUVSUVAUVMUVBUVOUUGUV
      LYSVRUVSUUHUVNYOHUUGUVLNVSZVTWAWBUUGYQVQZUVCUUTYNUWAUVAYTUVBUUAUUGYQYSVRU
      WAUUHYRYOHUUGYQNVSVTWAWBYNUVDUVEYNUVDVGZYOHQQHWCZUWBHOQRSWDZWEYNYSQUHNYNU
      UDUUQYSQNWGZUUPNUUBUUCWFQNWRVLZWHWIWJUVGVMUGZYNUVKUVPYNUWGUVKUVPVNYNUWGVG
      ZUVKUVMUVJVNUVPUWHUVMUVHUVJYNUWGUVMUVHUWGUVMUVHYNUWGUVGUHWKUIUGUVMUVHUVGW
      LUVGUHYPWMWNWOZWPWQUWHUVMUVJUVOYNUWGUVMUVJUVOVNYNUWGUVMWSZUVJUVIUVNHUOZUV
      OUWJUVIQUGUVNUVIJUIZVAZUGUWKUWJYSQUVGNYNUWGUWEUVMUWFWTUWIXAUWJUVNUVLUKULU
      MZNUIZJUIZVAZUWMUWJUULUVNUWQUGUDUUMUVLUVSUUHUVNUUKUWQUVTUVSUUJUWPUVSUUIUW
      OJUUGUVLUKNULXBXHXCXDYNUWGUUNUVMYNUUDUUFUUNUUOXEWTUWJUVLUKWKUIZUGUVLUVLYP
      UNUMUGZUVLUUMUGUWJUVLUSUWRUWGYNUVLUSUGUVMUVGXFXGXIXJUVMYNUWSUWGUVLUHYPXKX
      LUVLUKYPXMXNXOUWJUWPUWLUWJUWOUVIJUWJUWNUVGNUWJUVGXPUGZUKXPUGUWNUVGVQUWGYN
      UWTUVMUVGXRXGXQUVGUKXSXTXHXHXCYABCDEUVIUVNHJMOPQRSTUAYBYCUWJYOUVIUVNHQUWC
      UWJUWDWEYDYEWPYIYJYFYIYGYHYKABCDEFGHIJKLMNOPQRSTUAUBUCYLYM $.

    $( A singleton of an irreducible word is an extension sequence.
       (Contributed by Mario Carneiro, 27-Sep-2015.) $)
    efgs1 $p |- ( A e. D -> <" A "> e. dom S ) $=
      ( vi wcel cs1 cword c0 csn cdif cc0 cfv cv c1 cmin co crn chash cfzo wral
      cdm wne ciun eldifi eleq2s s1cld s1nz eldifsn sylanblrc s1fv eqeltrd wceq
      id s1len a1i oveq2d fzo0 eqtrdi rzal syl efgsdm syl3anbrc ) GHUEZGUFZQUGZ
      UHUIUJUEZUKWDULZHUEUDUMZWDULWHUNUOUPWDULKULUQUEZUDUNWDURULZUSUPZUTZWDJVAU
      EWCWDWEUEWDUHVBWFWCGQGQUEGQAQAUMKULUQVCZUJHGQWMVDUBVEVFGVGWDWEUHVHVIWCWGG
      HGHVJWCVMVKWCWKUHVLWLWCWKUNUNUSUPUHWCWJUNUNUSWJUNVLWCGVNVOVPUNVQVRWIUDWKV
      SVTABCDEFHIJKUDLMNWDOPQRSTUAUBUCWAWB $.

    $( Every extension sequence ending in an irreducible word is trivial.
       (Contributed by Mario Carneiro, 1-Oct-2015.) $)
    efgs1b $p |- ( A e. dom S -> ( ( S ` A ) e. D <-> ( # ` A ) = 1 ) ) $=
      ( va cdm wcel cfv chash c1 wceq cv crn ciun wn eldifn eleq2s c2 cuz cn wo
      cdif cword c0 csn cc0 cmin co cfzo wral efgsdm simp1bi wa eldifsn lennncl
      wne sylbi syl elnn1uz2 sylib ord wf eldifad adantr wrdf cz caddc 1z simpr
      df-2 fveq2i eleqtrdi eluzp1m1 sylancr nnuz eleqtrrdi lbfzo0 sylibr fzoend
      cfz elfzofz eluzelz adantl fzoval eleqtrrd ffvelrnd uz2m1nn efgsdmi fveq2
      3syl sylan2 rneqd eliuni syl2anc cbviunv ex syld con1d syl5 simp2bi oveq1
      weq 1m1e0 eqtrdi fveq2d eleq1d syl5ibrcom efgsval sylibrd impbid ) GJUEUF
      ZGJUGZHUFZGUHUGZUIUJZYLYKAQAUKZKUGZULZUMZUFZUNZYJYNYTYKQYRVAHYKQYRUOUBUPY
      JYNYSYJYNUNYMUQURUGZUFZYSYJYNUUBYJYMUSUFZYNUUBUTYJGQVBZVCVDZVAUFZUUCYJUUF
      VEGUGZHUFZUDUKZGUGUUIUIVFVGGUGKUGULUFUDUIYMVHVGVIZABCDEFHIJKUDLMNGOPQRSTU
      AUBUCVJZVKZUUFGUUDUFZGVCVOVLUUCGUUDVCVMQGVNVPVQYMVRVSVTYJUUBYSYJUUBVLZYKU
      DQUUIKUGZULZUMZYRUUNYMUIVFVGZUIVFVGZGUGZQUFYKUUTKUGZULZUFZYKUUQUFUUNVEYMV
      HVGZQUUSGUUNUUMUVDQGWAYJUUMUUBYJGUUDUUEUULWBWCQGWDVQUUNUUSVEUURWSVGZUVDUU
      NVEVEUURVHVGZUFZUUSUVFUFUUSUVEUFUUNUURUSUFZUVGUUNUURUIURUGZUSUUNUIWEUFYMU
      IUIWFVGZURUGZUFUURUVIUFWGUUNYMUUAUVKYJUUBWHUQUVJURWIWJWKUIYMWLWMWNWOUURWP
      WQVEUURWRUUSVEUURWTXIUUNYMWEUFZUVDUVEUJUUBUVLYJUQYMXAXBVEYMXCVQXDXEUUBYJU
      VHUVCYMXFABCDEFHIJKLMNGOPQRSTUAUBUCXGXJUDUUTUUPUVBQYKUUIUUTUJUUOUVAUUIUUT
      KXHXKXLXMUDAQUUPYQUDAYAUUOYPUUIYOKXHXKXNWKXOXPXQXRYJYNUURGUGZHUFZYLYJUVNY
      NUUHYJUUFUUHUUJUUKXSYNUVMUUGHYNUURVEGYNUURUIUIVFVGVEYMUIUIVFXTYBYCYDYEYFY
      JYKUVMHABCDEFHIJKLMNGOPQRSTUAUBUCYGYEYHYI $.

    $( If ` F ` is an extension sequence and ` A ` is an extension of the last
       element of ` F ` , then ` F + <" A "> ` is an extension sequence.
       (Contributed by Mario Carneiro, 1-Oct-2015.) $)
    efgsp1 $p |- ( ( F e. dom S /\ A e. ran ( T ` ( S ` F ) ) ) ->
      ( F ++ <" A "> ) e. dom S ) $=
      ( vi va cdm wcel cfv crn wa cs1 cconcat co cword c0 csn cdif cc0 cv chash
      c1 cmin cfzo wral wne efgsdm simp1bi eldifad cfz c2o cxp cs2 cotp csplice
      cmpo wceq wf crab efgsf fdmi feq2i mpbir ffvelrni efgtf syl simprd sselda
      s1cld ccatcl syl2an2r ccatws1n0 adantr eldifsn sylanbrc eldifsni len0nnbi
      frnd cn wb lbfzo0 sylibr ccatval1 syl3anc simp2bi eqeltrd cun simp3bi w3a
      mpbid fzo0ss1 sseli syl3an3 cuz wss cle wbr elfzoel2 peano2zm lem1d eluz2
      cz zred syl3anbrc fzoss2 elfzo1elm1fzo0 sseldd fveq2d rneqd eleq12d 3expa
      ralbidva mpbird caddc cn0 lencl nn0cnd addid2d s1len 1nn eqeltri ccatval3
      a1i eqtr3d simpr s1fv adantl fzo0end efgsval eqtr4d 3eltr4d fveq2 fvoveq1
      fvex ralunb ccatlen oveq2i eqtrdi oveq2d nnuz eleqtrdi fzosplitsn raleqdv
      ralsn eqtrd ) OJUGZUHZGOJUIZKUIZUJZUHZUKZOGULZUMUNZRUOZUPUQZURZUHZUSUVNUI
      ZHUHUEUTZUVNUIZUVTVBVCUNZUVNUIZKUIZUJZUHZUEVBUVNVAUIZVDUNZVEZUVNUVFUHUVLU
      VNUVOUHZUVNUPVFZUVRUVGOUVOUHZUVKUVMUVOUHZUWJUVGOUVOUVPUVGOUVQUHZUSOUIZHUH
      ZUVTOUIZUWBOUIZKUIZUJZUHZUEVBOVAUIZVDUNZVEZABCDEFHIJKUELMNOPQRSTUAUBUCUDV
      GZVHZVIZUVLGRUVGUVJRGUVGUSUVHVAUIVJUNZPVKVLZVLZRUVIUVGUVIUFUEUXHUXIUVHUFU
      TZUXKUVTUVTQUIVMVNVOUNVPVQZUXJRUVIVRZUVGUVHRUHUXLUXMUKUVFROJUVFRJVRUSFUTZ
      UIHUHLUTZUXNUIUXOVBVCUNUXNUIKUIUJUHLVBUXNVAUIVDUNVEUKFUVQVSZRJVRABCDEFHIJ
      KLMNPQRSTUAUBUCUDVTZUVFUXPRJUXPRJUXQWAWBWCWDBCDEIKNPQRUVHUFUESTUAUBWEWFWG
      WRWHWIZROUVMWJWKUVGUWKUVKUVGUWLUWKUXGROGWLWFWMUVNUVOUPWNWOUVLUVSUWOHUVLUW
      LUWMUSUSUXBVDUNZUHZUVSUWOVQUVGUWLUVKUXGWMZUXRUVGUXTUVKUVGUXBWSUHZUXTUVGOU
      PVFZUYBUVGUWNUYCUXFOUVOUPWPWFUVGUWLUYCUYBWTUXGROWQWFXJZUXBXAXBWMRROUVMUSX
      CXDUVGUWPUVKUVGUWNUWPUXDUXEXEWMXFUVLUWIUWFUEUXCUXBUQZXGZVEZUVLUWFUEUXCVEZ
      UWFUEUYEVEZUYGUVLUYHUXDUVGUXDUVKUVGUWNUWPUXDUXEXHWMUVGUWLUVKUWMUYHUXDWTUX
      GUXRUWLUWMUKUWFUXAUEUXCUWLUWMUVTUXCUHZUWFUXAWTUWLUWMUYJXIZUWAUWQUWEUWTUYJ
      UWLUWMUVTUXSUHUWAUWQVQUXCUXSUVTUXBXKXLRROUVMUVTXCXMUYKUWDUWSUYKUWCUWRKUYJ
      UWLUWMUWBUXSUHUWCUWRVQUYJUSUXBVBVCUNZVDUNZUXSUWBUYJUXBUYLXNUIUHZUYMUXSXOU
      YJUYLYBUHZUXBYBUHZUYLUXBXPXQUYNUYJUYPUYOUVTVBUXBXRZUXBXSWFUYQUYJUXBUYJUXB
      UYQYCXTUYLUXBYAYDUYLUSUXBYEWFUVTUXBYFYGRROUVMUWBXCXMYHYIYJYKYLWKYMUVLUXBU
      VNUIZUYLUVNUIZKUIZUJZUHZUYIUVLUYRUSUVMUIZVUAUVLUSUXBYNUNZUVNUIZUYRVUCUVGV
      UEUYRVQUVKUVGVUDUXBUVNUVGUXBUVGUXBUVGUWLUXBYOUHUXGROYPWFYQYRYHWMUVLUWLUWM
      USUSUVMVAUIZVDUNUHZVUEVUCVQUYAUXRVUGUVLVUGVUFWSUHVUFVBWSGYSZYTUUAVUFXAWCU
      UCROUVMUSUUBXDUUDUVLGUVJVUCVUAUVGUVKUUEUVKVUCGVQUVGGUVJUUFUUGUVLUYTUVIUVL
      UYSUVHKUVLUYSUYLOUIZUVHUVLUWLUWMUYLUXSUHZUYSVUIVQUYAUXRUVGVUJUVKUVGUYBVUJ
      UYDUXBUUHWFWMRROUVMUYLXCXDUVGUVHVUIVQUVKABCDEFHIJKLMNOPQRSTUAUBUCUDUUIWMU
      UJYHYIUUKXFUWFVUBUEUXBOVAUUNUVTUXBVQZUWAUYRUWEVUAUVTUXBUVNUULVUKUWDUYTVUK
      UWCUYSKUVTUXBVBUVNVCUUMYHYIYJUVDXBUWFUEUXCUYEUUOWOUVLUWFUEUWHUYFUVLUWHVBU
      XBVBYNUNZVDUNZUYFUVLUWGVULVBVDUVLUWGUXBVUFYNUNZVULUVGUWLUVKUWMUWGVUNVQUXG
      UXRRROUVMUUPWKVUFVBUXBYNVUHUUQUURUUSUVGVUMUYFVQZUVKUVGUXBVBXNUIZUHVUOUVGU
      XBWSVUPUYDUUTUVAVBUXBUVBWFWMUVEUVCYMABCDEFHIJKUELMNUVNPQRSTUAUBUCUDVGYD
      $.

    $( An initial segment of an extension sequence is an extension sequence.
       (Contributed by Mario Carneiro, 1-Oct-2015.)  (Proof shortened by AV,
       3-Nov-2022.) $)
    efgsres $p |- ( ( F e. dom S /\ N e. ( 1 ... ( # ` F ) ) ) ->
      ( F |` ( 0 ..^ N ) ) e. dom S ) $=
      ( vi cdm wcel c1 chash cfv cfz co wa cc0 cfzo cres cword c0 csn cdif cmin
      cv crn wral cpfx wceq efgsdm simp1bi adantr eldifad fz1ssfz0 simpr sselid
      wne pfxres syl2anc pfxcl syl eqeltrrd cn pfxlen elfznn adantl eqeltrd cfn
      wrdfin hashnncl 3syl mpbid eqnetrrd eldifsn sylanbrc lbfzo0 sylibr fvresd
      wb simp2bi wss cuz elfzuz3 fzoss2 simp3bi ssralv sylc fzo0ss1 sseli caddc
      cz elfzoel2 peano2zm uzid cc zcnd ax-1cn npcan sylancl eleqtrrd peano2uzr
      fveq2d elfzo1elm1fzo0 sseldd eleq12d ralbiia eqtr3d oveq2d raleqdv mpbird
      rneqd syl3anbrc ) NIUFZUGZQUHNUIUJZUKULZUGZUMZNUNQUOULZUPZRUQZURUSZUTZUGZ
      UNYQUJZGUGUEVBZYQUJZUUCUHVAULZYQUJZJUJZVCZUGZUEUHYQUIUJZUOULZVDZYQYJUGYOY
      QYRUGYQURVNUUAYONQVEULZYQYRYONYRUGZQUNYLUKULZUGZUUMYQVFYONYRYSYKNYTUGZYNY
      KUUQUNNUJZGUGZUUCNUJZUUENUJZJUJZVCZUGZUEUHYLUOULZVDZABCDEFGHIJUEKLMNOPRST
      UAUBUCUDVGZVHVIVJZYOYMUUOQYLVKYKYNVLVMZRNQVOVPZYOUUNUUMYRUGZUVHRNQVQVRZVS
      YOUUMYQURUVJYOUUMUIUJZVTUGZUUMURVNZYOUVMQVTYOUUNUUPUVMQVFUVHUVIRNQWAVPZYN
      QVTUGZYKQYLWBWCZWDYOUVKUUMWEUGUVNUVOWPUVLRUUMWFUUMWGWHWIWJYQYRURWKWLYOUUB
      UURGYOUNYPNYOUVQUNYPUGUVRQWMWNWOYKUUSYNYKUUQUUSUVFUVGWQVIWDYOUULUUIUEUHQU
      OULZVDZYOUVDUEUVSVDZUVTYOUVSUVEWRZUVFUWAYOYLQWSUJZUGZUWBYNUWDYKQUHYLWTWCQ
      UHYLXAVRYKUVFYNYKUUQUUSUVFUVGXBVIUVDUEUVSUVEXCXDUUIUVDUEUVSUUCUVSUGZUUDUU
      TUUHUVCUWEUUCYPNUVSYPUUCQXEXFWOUWEUUGUVBUWEUUFUVAJUWEUUEYPNUWEUNQUHVAULZU
      OULZYPUUEUWEQUWFWSUJUGZUWGYPWRUWEUWFXHUGZQUWFUHXGULZWSUJZUGUWHUWEQXHUGZUW
      IUUCUHQXIZQXJVRUWEQUWCUWKUWEUWLQUWCUGUWMQXKVRUWEUWJQWSUWEQXLUGUHXLUGUWJQV
      FUWEQUWMXMXNQUHXOXPXSXQUWFQXRVPUWFUNQXAVRUUCQXTYAWOXSYHYBYCWNYOUUIUEUUKUV
      SYOUUJQUHUOYOUVMUUJQYOUUMYQUIUVJXSUVPYDYEYFYGABCDEFGHIJUEKLMYQOPRSTUAUBUC
      UDVGYI $.

    $( For any word, there is a sequence of extensions starting at a reduced
       word and ending at the target word, such that each word in the chain is
       an extension of the previous (inserting an element and its inverse at
       adjacent indices somewhere in the sequence).  (Contributed by Mario
       Carneiro, 27-Sep-2015.) $)
    efgsfo $p |- S : dom S -onto-> W $=
      ( vc va vb vd vo vi cdm wfo wf crn wceq cc0 cv wcel c1 cmin co chash cfzo
      cfv wral wa cword c0 csn cdif crab efgsf fdmi feq2i mpbir wss ax-mp caddc
      frn clt wbr cn0 c2o cxp cid fviss eqsstri sseli lencl syl peano2nn0 breq2
      nn0nlt0 notbid syl5ibr syl5 ralrimiv rabeq0 sylibr sseq1d weq rabbidv 0ss
      cun simpr fveqeq2 cbvrabv w3a ciun wrex eliun fveq2 rneqd eleq2d cbvrexvw
      bitri simpl1r breq1d simprl crp sselid nn0red 2rp ltaddrp sylancl efgtlen
      wn c2 cr adantl simpl3 elrabd sseldd wb 3syl fnfvelrn sylancr eqeltrrd ex
      sylbir id syl2anr eqtr3d breqtrd wfn ffn fvelrnb sylib cs1 cconcat efgsdm
      simprrl simp1bi simprlr simprrr eleqtrrd syl2anc efgsval2 syl3anc anassrs
      eldifi simpl2 fveq2d efgsp1 rexlimddv rexlimdvaa syl5bi wi eleq2i efgsval
      eldif efgs1 s1len oveq1i 1m1e0 fveq2i s1fv adantr 3eqtrd 3ad2ant2 pm2.61d
      eqtri a1i rabssdv eqsstrid unssd wo nn0leltp1 nn0re leloe bitr3d rabbidva
      cle unrab eqtr4di sylibrd nn0ind ltp1d ssriv eqssi dffo2 mpbir2an ) IUIZP
      IUJUXAPIUKZIULZPUMUXBUNFUOZVBGUPKUOZUXDVBUXEUQURUSUXDVBJVBULUPKUQUXDUTVBV
      AUSVCVDFPVEZVFVGZVHZVIZPIUKABCDEFGHIJKLMNOPQRSTUAUBVJZUXAUXIPIUXIPIUXJVKV
      LVMZUXCPUXBUXCPVNUXKUXAPIVQVOUCPUXCUCUOZPUPZUDUOZUTVBZUXLUTVBZUQVPUSZVRVS
      ZUDPVIZUXCUXLUXMUXPVTUPZUXQVTUPUXSUXCVNZUXMUXLNWAWBZVEZUPUXTPUYCUXLPUYCWC
      VBUYCQUYCWDWEZWFUYBUXLWGWHZUXPWIUXOUEUOZVRVSZUDPVIZUXCVNVFUXCVNUXOUFUOZVR
      VSZUDPVIZUXCVNZUXOUYIUQVPUSZVRVSZUDPVIZUXCVNZUYAUEUFUXQUYFUNUMZUYHVFUXCUY
      QUYGYEZUDPVCUYHVFUMUYQUYRUDPUXNPUPZUXOVTUPZUYQUYRUYSUXNUYCUPUYTPUYCUXNUYD
      WFUYBUXNWGWHZUYTUYRUYQUXOUNVRVSZYEUXOWKUYQUYGVUBUYFUNUXOVRWJWLWMWNWOUYGUD
      PWPWQWRUEUFWSZUYHUYKUXCVUCUYGUYJUDPUYFUYIUXOVRWJWTWRUYFUYMUMZUYHUYOUXCVUD
      UYGUYNUDPUYFUYMUXOVRWJWTWRUYFUXQUMZUYHUXSUXCVUEUYGUXRUDPUYFUXQUXOVRWJWTWR
      UXCXAUYIVTUPZUYLUYKUXOUYIUMZUDPVIZXBZUXCVNZUYPVUFUYLVUJVUFUYLVDZUYKVUHUXC
      VUFUYLXCVUKVUHUXPUYIUMZUCPVIUXCVUGVULUDUCPUXNUXLUYIUTXDXEVUKVULUCPUXCVUKU
      XMVULXFZUXLAPAUOZJVBZULZXGZUPZUXLUXCUPZVURUXLUYFJVBZULZUPZUEPXHZVUMVUSVUR
      UXLVUPUPZAPXHVVCAUXLPVUPXIVVDVVBAUEPAUEWSZVUPVVAUXLVVEVUOVUTVUNUYFJXJXKXL
      XMXNVUMVVBVUSUEPVUMUYFPUPZVVBVDZVDZUGUOZIVBZUYFUMZVUSUGUXAVVHUYFUXCUPZVVK
      UGUXAXHZVVHUYKUXCUYFVUFUYLUXMVULVVGXOVVHUYJUYFUTVBZUYIVRVSUDUYFPUDUEWSUXO
      VVNUYIVRUXNUYFUTXJXPVUMVVFVVBXQZVVHVVNVVNYFVPUSZUYIVRVVHVVNYGUPYFXRUPVVNV
      VPVRVSVVHVVNVVHUYFUYCUPVVNVTUPVVHPUYCUYFUYDVVOXSUYBUYFWGWHXTYAVVNYFYBYCVV
      HUXPVVPUYIVVGUXPVVPUMVUMBCDEUXLHJMNOPUYFQRSTYDYHVUKUXMVULVVGYIUUAUUBYJYKI
      UXAUUCZVVLVVMYLUXBVVQUXKUXAPIUUDVOZUGUXAUYFIUUEVOUUFVUMVVGVVIUXAUPZVVKVDZ
      VUSVUMVVGVVTVDZVDZVVIUXLUUGZUUHUSZIVBZUXLUXCVWBVVIUXFUPZUXMVWDUXAUPZVWEUX
      LUMVWBVVSVVIUXHUPZVWFVUMVVGVVSVVKUUJZVVSVWHUNVVIVBGUPUHUOZVVIVBVWJUQURUSV
      VIVBJVBULUPUHUQVVIUTVBVAUSVCABCDEFGHIJUHKLMVVINOPQRSTUAUBUUIUUKVVIUXFUXGU
      USYMVUKUXMVULVWAUUTVWBVVSUXLVVJJVBZULZUPVWGVWIVWBUXLVVAVWLVUMVVFVVBVVTUUL
      VWBVWKVUTVWBVVJUYFJVUMVVGVVSVVKUUMUVAXKUUNABCDEFUXLGHIJKLMVVINOPQRSTUAUBU
      VBUUOZABCDEFVVIUXLGHIJKLMNOPQRSTUAUBUUPUUQVWBVVQVWGVWEUXCUPVVRVWMUXAVWDIY
      NYOYPUURUVCUVDUVEUXMVUKVURYEZVUSUVFVULUXMVWNVUSUXMVWNVDZVWCIVBZUXLUXCVWOV
      WPVWCUTVBZUQURUSZVWCVBZUNVWCVBZUXLVWOVWCUXAUPZVWPVWSUMVWOUXLPVUQVHZUPZVXA
      UXLPVUQUVIVXCUXLGUPVXAGVXBUXLUAUVGABCDEFUXLGHIJKLMNOPQRSTUAUBUVJYRYRZABCD
      EFGHIJKLMVWCNOPQRSTUAUBUVHWHVWSVWTUMVWOVWRUNVWCVWRUQUQURUSUNVWQUQUQURUXLU
      VKUVLUVMUVTUVNUWAUXMVWTUXLUMVWNUXLPUVOUVPUVQVWOVVQVXAVWPUXCUPVVRVXDUXAVWC
      IYNYOYPYQUVRUVSUWBUWCUWDYQVUFUYOVUIUXCVUFUYOUYJVUGUWEZUDPVIVUIVUFUYNVXEUD
      PVUFUYSVDUXOUYIUWKVSZUYNVXEUYSUYTVUFVXFUYNYLVUFVUAVUFYSUXOUYIUWFYTUYSUXOY
      GUPUYIYGUPVXFVXEYLVUFUYSUXOVUAXTUYIUWGUXOUYIUWHYTUWIUWJUYJVUGUDPUWLUWMWRU
      WNUWOYMUXMUXRUXPUXQVRVSUDUXLPUDUCWSUXOUXPUXQVRUXNUXLUTXJXPUXMYSUXMUXPUXMU
      XPUYEXTUWPYJYKUWQUWRUXAPIUWSUWT $.

    ${
      efgredlem.1 $e |- ( ph -> A. a e. dom S A. b e. dom S
        ( ( # ` ( S ` a ) ) < ( # ` ( S ` A ) ) ->
          ( ( S ` a ) = ( S ` b ) -> ( a ` 0 ) = ( b ` 0 ) ) ) ) $.
      efgredlem.2 $e |- ( ph -> A e. dom S ) $.
      efgredlem.3 $e |- ( ph -> B e. dom S ) $.
      efgredlem.4 $e |- ( ph -> ( S ` A ) = ( S ` B ) ) $.
      efgredlem.5 $e |- ( ph -> -. ( A ` 0 ) = ( B ` 0 ) ) $.
      $( The reduced word that forms the base of the sequence in ~ efgsval is
         uniquely determined, given the ending representation.  (Contributed by
         Mario Carneiro, 1-Oct-2015.) $)
      efgredlema $p |- ( ph ->
        ( ( ( # ` A ) - 1 ) e. NN /\ ( ( # ` B ) - 1 ) e. NN ) ) $=
        ( vu chash cfv c1 cmin co cn wcel c2 cuz wceq wn cc0 wa cdm efgsval syl
        eqtr3d oveq1 1m1e0 eqtrdi fveq2d sylan9eq eleq1d wb efgs1b biimpa mtand
        3bitr3d wo cword c0 csn cdif cv crn cfzo efgsdm simp1bi eldifsn lennncl
        wral wne sylbi 3syl elnn1uz2 sylib ord mpd uz2m1nn mtbid jca ) AHUNUOZU
        PUQURZUSUTZIUNUOZUPUQURZUSUTZAXEVAVBUOZUTZXGAXEUPVCZVDXLAXMVEHUOZVEIUOZ
        VCULAXMVFZXIIUOZXNXOAXMXQXFHUOZXNAILUOZXQXRAILVGZUTZXSXQVCUJBCDEFGJKLMN
        OPIQRSUBUCUDUEUFUGVHVIAHLUOZXSXRUKAHXTUTZYBXRVCUIBCDEFGJKLMNOPHQRSUBUCU
        DUEUFUGVHVIVJVJXMXFVEHXMXFUPUPUQURZVEXEUPUPUQVKVLVMVNVOXPXHUPVCZXQXOVCA
        XMYEAYBJUTZXSJUTZXMYEAYBXSJUKVPAYCYFXMVQUIBCDEFGHJKLMNOPQRSUBUCUDUEUFUG
        VRVIAYAYGYEVQUJBCDEFGIJKLMNOPQRSUBUCUDUEUFUGVRVIWAZVSYEXIVEIYEXIYDVEXHU
        PUPUQVKVLVMVNVIVJVTZAXMXLAXEUSUTZXMXLWBAYCHSWCZWDWEWFZUTZYJUIYCYMXNJUTU
        MWGZHUOYNUPUQURZHUOMUOWHUTUMUPXEWIURWNBCDEFGJKLMUMNOPHQRSUBUCUDUEUFUGWJ
        WKYMHYKUTHWDWOVFYJHYKWDWLSHWMWPWQXEWRWSWTXAXEXBVIAXHXKUTZXJAYEVDYPAXMYE
        YIYHXCAYEYPAXHUSUTZYEYPWBAYAIYLUTZYQUJYAYRXOJUTYNIUOYOIUOMUOWHUTUMUPXHW
        IURWNBCDEFGJKLMUMNOPIQRSUBUCUDUEUFUGWJWKYRIYKUTIWDWOVFYQIYKWDWLSIWMWPWQ
        XHWRWSWTXAXHXBVIXD $.

      ${
        efgredlemb.k $e |- K = ( ( ( # ` A ) - 1 ) - 1 ) $.
        efgredlemb.l $e |- L = ( ( ( # ` B ) - 1 ) - 1 ) $.
        $( Lemma for ~ efgredleme .  (Contributed by Mario Carneiro,
           4-Jun-2016.) $)
        efgredlemf $p |- ( ph -> ( ( A ` K ) e. W /\ ( B ` L ) e. W ) ) $=
          ( vi cfv wcel cc0 chash cfzo co cword wf c0 csn cdm cdif cv cmin wral
          c1 crn efgsdm simp1bi syl eldifad wrdf cfz fzossfz cz cn0 lencl nn0zd
          wceq fzoval sseqtrrid cn efgredlema simpld eqeltrid ffvelrnd simpl2im
          fzo0end sseldd jca ) ARHURUAUSSIURUAUSAUTHVAURZVBVCZUARHAHUAVDZUSZWSU
          AHVEAHWTVFVGZAHLVHZUSZHWTXBVIZUSZUKXDXFUTHURJUSUQVJZHURXGVMVKVCZHURMU
          RVNUSUQVMWRVBVCVLBCDEFGJKLMUQNOPHQTUAUDUEUFUGUHUIVOVPVQVRZUAHVSVQAUTW
          RVMVKVCZVBVCZWSRAUTXJVTVCZXKWSUTXJWAAWRWBUSWSXLWFAWRAXAWRWCUSXIUAHWDV
          QWEUTWRWGVQWHARXJVMVKVCZXKUOAXJWIUSZXMXKUSAXNIVAURZVMVKVCZWIUSZABCDEF
          GHIJKLMNOPQTUAUBUCUDUEUFUGUHUIUJUKULUMUNWJZWKXJWOVQWLWPWMAUTXOVBVCZUA
          SIAIWTUSZXSUAIVEAIWTXBAIXCUSZIXEUSZULYAYBUTIURJUSXGIURXHIURMURVNUSUQV
          MXOVBVCVLBCDEFGJKLMUQNOPIQTUAUDUEUFUGUHUIVOVPVQVRZUAIVSVQAUTXPVBVCZXS
          SAUTXPVTVCZYDXSUTXPWAAXOWBUSXSYEWFAXOAXTXOWCUSYCUAIWDVQWEUTXOWGVQWHAS
          XPVMVKVCZYDUPAXNXQYFYDUSXRXPWOWNWLWPWMWQ $.

        efgredlemb.p $e |- ( ph -> P e. ( 0 ... ( # ` ( A ` K ) ) ) ) $.
        efgredlemb.q $e |- ( ph -> Q e. ( 0 ... ( # ` ( B ` L ) ) ) ) $.
        efgredlemb.u $e |- ( ph -> U e. ( I X. 2o ) ) $.
        efgredlemb.v $e |- ( ph -> V e. ( I X. 2o ) ) $.
        efgredlemb.6 $e |- ( ph -> ( S ` A ) = ( P ( T ` ( A ` K ) ) U ) ) $.
        efgredlemb.7 $e |- ( ph -> ( S ` B ) = ( Q ( T ` ( B ` L ) ) V ) ) $.
        $( Lemma for ~ efgred .  (Contributed by Mario Carneiro,
           4-Jun-2016.) $)
        efgredlemg $p |- ( ph -> ( # ` ( A ` K ) ) = ( # ` ( B ` L ) ) ) $=
          ( cfv chash c2 c2o cxp cword wcel cn0 fviss eqsstri efgredlemf simpld
          cid sselid lencl syl nn0cnd simprd 2cnd caddc co crn wceq c1 cmin cdm
          cn efgredlema efgsdmi syl2anc fveq2i eleqtrrdi efgtlen eqeltrd eqtr3d
          rneqi addcan2ad ) AUAHVGZVHVGZUBIVGZVHVGZVIAXEAXDTVJVKZVLZVMXEVNVMAUE
          XIXDUEXIVSVGXIUHXIVOVPZAXDUEVMZXFUEVMZABCDEFGHIJMNOQRSTUAUBUCUEUFUGUH
          UIUJUKULUMUNUOUPUQURUSUTVQZVRZVTXHXDWAWBWCAXGAXFXIVMXGVNVMAUEXIXFXJAX
          KXLXMWDZVTXHXFWAWBWCAWEAHNVGZVHVGZXEVIWFWGZXGVIWFWGZAXKXPXDOVGZWHZVMX
          QXRWIXNAXPHVHVGWJWKWGZWJWKWGZHVGZOVGZWHZYAAHNWLZVMYBWMVMZXPYFVMUOAYHI
          VHVGWJWKWGZWMVMZABCDEFGHIJMNOQRSTUCUEUFUGUHUIUJUKULUMUNUOUPUQURWNZVRB
          CDEFGJMNOQRSHTUCUEUHUIUJUKULUMWOWPXTYEXDYDOUAYCHUSWQWQXBWRCDEFXPMOSTU
          CUEXDUHUIUJUKWSWPAXLXPXFOVGZWHZVMXQXSWIXOAXPYIWJWKWGZIVGZOVGZWHZYMAXP
          INVGZYQUQAIYGVMYJYRYQVMUPAYHYJYKWDBCDEFGJMNOQRSITUCUEUHUIUJUKULUMWOWP
          WTYLYPXFYOOUBYNIUTWQWQXBWRCDEFXPMOSTUCUEXFUHUIUJUKWSWPXAXC $.

        efgredlemb.8 $e |- ( ph -> -. ( A ` K ) = ( B ` L ) ) $.
        ${
          efgredlemd.9 $e |- ( ph -> P e. ( ZZ>= ` ( Q + 2 ) ) ) $.
          efgredlemd.c $e |- ( ph -> C e. dom S ) $.
          efgredlemd.sc $e |- ( ph -> ( S ` C ) = ( ( ( B ` L ) prefix Q ) ++
                ( ( A ` K ) substr <. ( Q + 2 ) , ( # ` ( A ` K ) ) >. ) ) ) $.
          $( Lemma for ~ efgred .  (Contributed by Mario Carneiro, 1-Oct-2015.)
             (Proof shortened by AV, 15-Oct-2022.) $)
          efgredleme $p |- ( ph -> ( ( A ` K ) e. ran ( T ` ( S ` C ) ) /\
                                     ( B ` L ) e. ran ( T ` ( S ` C ) ) ) ) $=
            ( vi cfv crn wcel co cs2 cotp csplice cpfx cconcat c2 caddc csubstr
            chash cop cc0 cfz cxp wceq wf cv c1 wa cword c0 ffvelrni syl elfzuz
            cuz simprd pfxcl simpld swrdcl syl2anc pfxlen sylancl uztrn elfzuzb
            cmin cn0 sylanbrc swrdlen syl3anc zcnd cz 2z 2cn a1i 3eqtr2d 3eqtrd
            cc efgtval cle cr ccatpfx oveq1d ccatass syl13anc 3eqtr3d ccatcl wb
            wbr eqtr4d ccatopth syl221anc mpbid ccatswrd oveq2d eqeltrrd fveq2d
            c2o cdm cfzo wral csn cdif crab efgsf feq2i mpbir cid fviss eqsstri
            fdmi efgredlemf sselid ccatlen uzaddcl elfzuz3 lencl nn0uz eleqtrdi
            2nn0 eluzfz2 oveq12d elfzelzd nn0cnd zaddcl addsubassd zsubcl npcan
            pnpcand eleqtrrd eluzsub wrd0 efgmf s2cld nn0addge1 eluz2 syl3anbrc
            eqeltrd splval ccatrid 3eqtr4rd eqcomd hash0 oveq2i addid1d eqtr2id
            zred splval2 pncan2 eqtrd s2len eqtr4di eqtr3d pfxid wfn cmpo efgtf
            ffnd fnovrn efgredlemg 0le2 2re sub32d subsub4d nncan eqtr2d eqtrid
            subge02 jca ) AUBHVMZJOVMZPVMZVNZVOUCIVMZUXQVOAMUEUXPVPZUXNUXQAUXSU
            XOMMUEUEUDVMZVQZVRZVSVPZUXNMVTVPZUYAWAVPZUXNMWBWCVPZUXNWEVMZWFWDVPZ
            WAVPZUXNAUXOUFVOZMWGUXOWEVMZWHVPZVOZUEUAUUBWIZVOZUXSUYCWJAJOUUCZVOU
            YJVJUYPUFJOUYPUFOWKWGGWLZVMKVORWLZUYQVMUYRWMXJVPUYQVMPVMVNVORWMUYQW
            EVMUUDVPUUEWNGUFWOWPUUFUUGUUHZUFOWKBCDEFGKNOPRSTUAUDUFUIUJUKULUMUNU
            UIZUYPUYSUFOUYSUFOUYTUUOUUJUUKWQWRZAMWGWTVMZVOZUYKMWTVMZVOZUYMAMWGU
            XRWEVMZWHVPZVOZVUCVCMWGVUFWSWRZAUYKLWBXJVPZWTVMZVOZVUJVUDVOZVUEAUYK
            UYGWBXJVPZVUKAUYKUXRMVTVPZUYHWAVPZWEVMZVUOWEVMZUYHWEVMZWCVPZVUNAUXO
            VUPWEVKUUAAVUOUYNWOZVOZUYHVVAVOZVUQVUTWJAUXRVVAVOZVVBAUFVVAUXRUFVVA
            UULVMVVAUIVVAUUMUUNZAUXNUFVOZUXRUFVOZABCDEFGHIKNOPRSTUAUBUCUDUFUGUH
            UIUJUKULUMUNUOUPUQURUSUTVAUUPZXAZUUQZUYNUXRMXBWRZAUXNVVAVOZVVCAUFVV
            AUXNVVEAVVFVVGVVHXCZUUQZUYNUXNUYFUYGXDWRZUYNUYNVUOUYHUURXEAVUTMUYGU
            YFXJVPZWCVPMUYGWCVPUYFXJVPVUNAVURMVUSVVPWCAVVDVUHVURMWJVVJVCUYNUXRM
            XFXEZAVVLUYFWGUYGWHVPZVOZUYGVVRVOZVUSVVPWJVVNAUYFVUBVOZUYGUYFWTVMZV
            OZVVSAVUCWBXKVOZVWAVUIUVDWBWGMUUSXGZAUYGLWTVMZVOZLVWBVOZVWCALVVRVOZ
            VWGVBLWGUYGUUTWRZVILUYGUYFXHXEUYFWGUYGXIXLZAUYGVUBVOVVTAUYGXKVUBAVV
            LUYGXKVOVVNUYNUXNUVAWRZUVBUVCWGUYGUVEWRZUYNUXNUYFUYGXMXNUVFAMUYGUYF
            AMAMWGVUFVCUVGZXOZAUYGVWLUVHZAUYFAMXPVOZWBXPVOZUYFXPVOZVWNXQMWBUVIX
            GZXOUVJAMUYGWBVWOVWPWBYBVOZAXRXSZUVMXTYAAVUJXPVOZVWRUYGVUJWBWCVPZWT
            VMZVOVUNVUKVOALXPVOZVWRVXCALWGUYGVBUVGZXQLWBUVKXGZVWRAXQXSZAUYGVWFV
            XEVWJAVXDLWTALYBVOZVXAVXDLWJALVXGXOZXRLWBUVLXGUUAUVNWBVUJUYGUVOXNUW
            BZAVWQVWRVWHVUMVWNVXIVIWBMLUVOXNZVUJUYKMXHXEMWGUYKXIXLZVECDEFUENPTU
            AUDMUFUXOUIUJUKULYCXNAUYDWPUYHUYAUXOMMUYNAVVLUYDVVAVOZVVNUYNUXNMXBW
            RZWPVVAVOAUYNUVPXSZVVOAUEUXTUYNVEAUYOUXTUYNVOVEUYNUYNUEUDCDUAUDUKUV
            QZWQWRUVRZAUYDUYHWAVPVUPUYDWPWAVPZUYHWAVPUXOAUYDVUOUYHWAAUYDVUOWJZU
            XNMLWFWDVPZQQUDVMZVQZUXNLUYGWFWDVPZWAVPZWAVPZUYAUXRMVUFWFWDVPZWAVPZ
            WJZAUYDVYGWAVPZVUOVYIWAVPZWJZVYAVYJWNZAUYDVYBWAVPZVYFWAVPZVUOUYAWAV
            PVYHWAVPZVYKVYLAVYPUXNLVTVPZVYFWAVPZVYRVYDWAVPVYEWAVPZVYQAVYOVYRVYF
            WAAVVLMWGLWHVPZVOZVWIVYOVYRWJVVNAVUCLVUDVOZWUBVUIAVWHUYFVUDVOZWUCVI
            AVWQVWSMUYFYDYMZWUDVWNVWTAMYEVOVWDWUEAMVWNUWKUVDMWBUVSXGMUYFUVTUWAZ
            UYFLMXHXEZMWGLXIXLVBUYNUXNMLYFXNYGAVYRVVAVOZVYDVVAVOZVYEVVAVOZVYTVY
            SWJAVVLWUHVVNUYNUXNLXBWRAQVYCUYNVDAQUYNVOZVYCUYNVOVDUYNUYNQUDVXRWQW
            RUVRZAVVLWUJVVNUYNUXNLUYGXDWRZUYNVYRVYDVYEYHXNAHOVMZIOVMZVYTVYQURAW
            UNLQUXNPVMVPZUXNLLVYDVRVSVPZVYTVFAVVFVWIWUKWUPWUQWJVVMVBVDCDEFQNPTU
            AUDLUFUXNUIUJUKULYCXNAVVFVWIVWIWUIWUQVYTWJVVMVBVBWULVYDUXNLLUFVVRVV
            RVVAUWCYIYAAWUOMUEUXRPVMVPZUXRUYBVSVPZVYQVGAVVGVUHUYOWURWUSWJVVIVCV
            ECDEFUENPTUAUDMUFUXRUIUJUKULYCXNAVVGVUHVUHUYAVVAVOZWUSVYQWJVVIVCVCV
            XSUYAUXRMMUFVUGVUGVVAUWCYIYAYJXTAVXOVYBVVAVOZVYFVVAVOZVYPVYKWJVXPAV
            VLWVAVVNUYNUXNMLXDWRZAWUIWUJWVBWULWUMUYNVYDVYEYKXEZUYNUYDVYBVYFYHXN
            AVVBWUTVYHVVAVOZVYQVYLWJVVKVXSAVVDWVEVVJUYNUXRMVUFXDWRZUYNVUOUYAVYH
            YHXNYJAVXOVYGVVAVOZVVBVYIVVAVOZUYDWEVMZVURWJVYMVYNYLVXPAWVAWVBWVGWV
            CWVDUYNVYBVYFYKXEVVKAWUTWVEWVHVXSWVFUYNUYAVYHYKXEAWVIMVURAVVLMVVRVO
            ZWVIMWJVVNAVUCUYGVUDVOZWVJVUIAVWGWUCWVKVWJWUGLUYGMXHXEMWGUYGXIXLUYN
            UXNMXFXEZVVQYNUYDVYGVUOVYIUYNYOYPYQZXCYGAVXTUYDUYHWAAVXOVXTUYDWJVXP
            UYNUYDUWDWRYGVKUWEAWVIMWVLUWFAMWPWEVMZWCVPMWGWCVPMWVNWGMWCUWGUWHAMV
            WOUWIUWJUWLAUYIUXNUYFVTVPZUYHWAVPZUXNUYGVTVPZUXNAUYEWVOUYHWAAUYDUXN
            MUYFWFWDVPZWAVPZUYEWVOAWVRUYAUYDWAAWVRUYAWJZUXNUYFLWFWDVPZVYFWAVPZV
            YHWJZAWVRWWBWAVPZVYIWJZWVTWWCWNZAWVRWWAWAVPZVYFWAVPZVYGWWDVYIAWWGVY
            BVYFWAAVVLMWGUYFWHVPVOZUYFWUAVOZVWIWWGVYBWJVVNAVUCWUDWWIVUIWUFMWGUY
            FXIXLZAVWAVWHWWJVWEVIUYFWGLXIXLZVBUYNUXNMUYFLYRYIYGAWVRVVAVOZWWAVVA
            VOZWVBWWHWWDWJAVVLWWMVVNUYNUXNMUYFXDWRZAVVLWWNVVNUYNUXNUYFLXDWRZWVD
            UYNWVRWWAVYFYHXNAVYAVYJWVMXAYJAWWMWWBVVAVOZWUTWVEWVRWEVMZUYAWEVMZWJ
            WWEWWFYLWWOAWWNWVBWWQWWPWVDUYNWWAVYFYKXEVXSWVFAWWRWBWWSAWWRUYFMXJVP
            ZWBAVVLWWIVVSWWRWWTWJVVNWWKVWKUYNUXNMUYFXMXNAMYBVOVXAWWTWBWJVWOXRMW
            BUWMXGUWNUEUXTUWOUWPWVRWWBUYAVYHUYNYOYPYQZXCYSAVVLWWIVVSWVSWVOWJVVN
            WWKVWKUYNUXNMUYFYFXNUWQYGAVVLVVSVVTWVPWVQWJVVNVWKVWMUYNUXNUYFUYGYFX
            NAVVLWVQUXNWJVVNUYNUXNUWRWRYAYAAUXPUYLUYNWIZUWSZUYMUYOUXSUXQVOAWXBU
            FUXPAUXPUGVLUYLUYNUXOUGWLZWXDVLWLZWXEUDVMVQVRVSVPUWTWJZWXBUFUXPWKZA
            UYJWXFWXGWNVUACDEFNPTUAUDUFUXOUGVLUIUJUKULUXAWRXAUXBZVXNVEUYLUYNMUE
            UXPUXCXNYTAVUJQUXPVPZUXRUXQAWXIUXOVUJVUJVYDVRVSVPZUXRVUJVTVPZVYDWAV
            PZUXRLVUFWFWDVPZWAVPZUXRAUYJVUJUYLVOZWUKWXIWXJWJVUAAVUJVUBVOZVULWXO
            AVUMVUCWXPVXMVUIMVUJWGXHXEZVXLVUJWGUYKXIXLZVDCDEFQNPTUAUDVUJUFUXOUI
            UJUKULYCXNAWXKWPWXMVYDUXOVUJVUJUYNAVVDWXKVVAVOZVVJUYNUXRVUJXBWRZVXQ
            AVVDWXMVVAVOZVVJUYNUXRLVUFXDWRZWULAUXOWXKWXMWAVPZWXKWPWAVPZWXMWAVPA
            UXOVUPVUOUXRMVUJWFWDVPZWAVPZWXMWAVPZWYCVKAVUPVUOWYEWXMWAVPZWAVPZWYG
            AUYHWYHVUOWAAWWAVYEWAVPZUYHWYHAVVLWWJVWIVVTWYJUYHWJVVNWWLVBVWMUYNUX
            NUYFLUYGYRYIAWWAWYEVYEWXMWAAWWAWYEWJZVYFUXRVUJVUFWFWDVPZWJZAWWBWYEW
            YLWAVPZWJZWYKWYMWNZAWWBVYHWYNAWVTWWCWXAXAAVVDMWGVUJWHVPVOZVUJVUGVOZ
            VUFVUGVOZWYNVYHWJVVJAVUCVUMWYQVUIVXMMWGVUJXIXLZAWXPVUFVUKVOZWYRWXQA
            VUFVWFVOZLVUKVOZXUAAUYGVUFVWFABCDEFGHIKLMNOPQRSTUAUBUCUDUEUFUGUHUIU
            JUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGUXDVWJYTZAVXCVXFVUJLYDYMZXUCVXHV
            XGAWGWBYDYMZXUEXUFAUXEXSALYEVOWBYEVOXUFXUEYLALVXGUWKUXFLWBUXLXGYQVU
            JLUVTUWAZLVUFVUJXHXEVUJWGVUFXIXLZAVUFVUBVOWYSAVUFXKVUBAVVDVUFXKVOVV
            JUYNUXRUVAWRUVBUVCWGVUFUVEWRZUYNUXRMVUJVUFYRYIYNAWWNWVBWYEVVAVOZWYL
            VVAVOZWWAWEVMZWYEWEVMZWJWYOWYPYLWWPWVDAVVDXUJVVJUYNUXRMVUJXDWRZAVVD
            XUKVVJUYNUXRVUJVUFXDWRAXULLUYFXJVPZXUMAVVLWWJVWIXULXUOWJVVNWWLVBUYN
            UXNUYFLXMXNAXUMVUJMXJVPZLMXJVPWBXJVPXUOAVVDWYQWYRXUMXUPWJVVJWYTXUHU
            YNUXRMVUJXMXNALMWBVXKVWOVXBUXGALMWBVXKVWOVXBUXHXTYNWWAVYFWYEWYLUYNY
            OYPYQZXCAVYDUXRVUJLWFWDVPZWJZVYEWXMWJZAVYFXURWXMWAVPZWJZXUSXUTWNZAV
            YFWYLXVAAWYKWYMXUQXAAVVDVUJWUAVOZLVUGVOZWYSXVAWYLWJVVJAWXPXUCXVDWXQ
            XUGVUJWGLXIXLZALVUBVOZXUBXVEAVWIXVGVBLWGUYGWSWRXUDLWGVUFXIXLZXUIUYN
            UXRVUJLVUFYRYIYNAWUIWUJXURVVAVOZWYAVYDWEVMZXURWEVMZWJXVBXVCYLWULWUM
            AVVDXVIVVJUYNUXRVUJLXDWRWYBAXVJWBXVKQVYCUWOAXVKLVUJXJVPZWBAVVDXVDXV
            EXVKXVLWJVVJXVFXVHUYNUXRVUJLXMXNAVXJVXAXVLWBWJVXKXRLWBUXIXGUXJUXKVY
            DVYEXURWXMUYNYOYPYQZXAUVFUWQYSAVVBXUJWYAWYGWYIWJVVKXUNWYBUYNVUOWYEW
            XMYHXNYNAWYFWXKWXMWAAVVDWYQWYRWYFWXKWJVVJWYTXUHUYNUXRMVUJYFXNYGYAAW
            YDWXKWXMWAAWXSWYDWXKWJWXTUYNWXKUWDWRYGYNAWXKWEVMZVUJAVVDWYRXVNVUJWJ
            VVJXUHUYNUXRVUJXFXEUWFAVUJWVNWCVPVUJWGWCVPVUJWVNWGVUJWCUWGUWHAVUJAV
            UJVXHXOUWIUWJUWLAWXNUXRLVTVPZWXMWAVPZUXRVUFVTVPZUXRAWXLXVOWXMWAAWXL
            WXKXURWAVPZXVOAVYDXURWXKWAAXUSXUTXVMXCYSAVVDXVDXVEXVRXVOWJVVJXVFXVH
            UYNUXRVUJLYFXNUWNYGAVVDXVEWYSXVPXVQWJVVJXVHXUIUYNUXRLVUFYFXNAVVDXVQ
            UXRWJVVJUYNUXRUWRWRYAYAAWXCWXOWUKWXIUXQVOWXHWXRVDUYLUYNVUJQUXPUXCXN
            YTUXM $.

          $( The reduced word that forms the base of the sequence in ~ efgsval
             is uniquely determined, given the ending representation.
             (Contributed by Mario Carneiro, 1-Oct-2015.)  (Proof shortened by
             AV, 15-Oct-2022.) $)
          efgredlemd $p |- ( ph -> ( A ` 0 ) = ( B ` 0 ) ) $=
            ( vi cc0 chash cfv c1 cmin co cfzo cres cs1 cconcat cword wcel wceq
            c0 cv crn wral efgsdm simp1bi syl eldifad wf wrdf cfz fzossfz lencl
            cz nn0zd fzoval sseqtrrid cn simpld fzo0end eqeltrid ffvelrnd s1cld
            cn0 sseldd wa lbfzo0 sylibr ccatval1 syl3anc simprd eqtr4d c2 caddc
            clt wbr cr sselid nn0red 2rp ltaddrp sylancl cle lem1d wb mpbir2and
            fznn syl2anc fveq2d fvresd fveq2i wi fveq1 imbi12d eqeq2d csn sylbi
            cdm cdif efgredlema wne eldifsn lennncl crp c2o cxp eqsstri efgsres
            cid fviss efgsval cpfx fz1ssfz0 pfxres pfxlen eqtr3d oveq1d eqtr4di
            3eqtrd efgsdmi eleqtrrdi efgtlen 3brtr4d efgredleme efgsp1 efgsval2
            rneqi 2fveq3 breq1d fveqeq2 eqeq1d rspc2va syl21anc eqeltrd 3eqtr4d
            fveq2 imbi2d mp2d 3eqtr3d ) AVMHVMHVNVOZVPVQVRZVSVRZVTZVOZVMIVMIVNV
            OZVPVQVRZVSVRZVTZVOZVMHVOZVMIVOZAVMJUBHVOZWAZWBVRZVOZVMJUCIVOZWAZWB
            VRZVOZUWIUWNAUWTVMJVOZUXDAJUFWCZWDZUWRUXFWDVMVMJVNVOZVSVRWDZUWTUXEW
            EAJUXFWFUUAZAJOUUCZWDZJUXFUXJUUDZWDZVJUXLUXNUXEKWDVLWGZJVOUXOVPVQVR
            ZJVOPVOWHWDVLVPUXHVSVRWIBCDEFGKNOPVLRSTJUAUDUFUIUJUKULUMUNWJWKWLZWM
            ZAUWQUFAVMUWEVSVRZUFUBHAHUXFWDZUXSUFHWNAHUXFUXJAHUXKWDZHUXMWDZUPUYA
            UYBUWOKWDUXOHVOUXPHVOPVOWHWDVLVPUWEVSVRWIBCDEFGKNOPVLRSTHUAUDUFUIUJ
            UKULUMUNWJWKWLWMZUFHWOWLAUWGUXSUBAVMUWFWPVRZUWGUXSVMUWFWQAUWEWSWDZU
            XSUYDWEAUWEAUXTUWEXIWDUYCUFHWRWLZWTZVMUWEXAWLXBAUBUWFVPVQVRZUWGUTAU
            WFXCWDZUYHUWGWDAUYIUWKXCWDZABCDEFGHIKNOPRSTUAUDUFUGUHUIUJUKULUMUNUO
            UPUQURUSUUEZXDZUWFXEWLXFZXJXGZXHAUXHXCWDZUXIAUXNUYOUXQUXNUXGJWFUUFX
            KUYOJUXFWFUUGUFJUUHUUBWLUXHXLXMZUFUFJUWRVMXNXOAUXGUXBUXFWDUXIUXDUXE
            WEUXRAUXAUFAVMUWJVSVRZUFUCIAIUXFWDZUYQUFIWNAIUXFUXJAIUXKWDZIUXMWDZU
            QUYSUYTUWPKWDUXOIVOUXPIVOPVOWHWDVLVPUWJVSVRWIBCDEFGKNOPVLRSTIUAUDUF
            UIUJUKULUMUNWJWKWLWMZUFIWOWLAUWLUYQUCAVMUWKWPVRZUWLUYQVMUWKWQAUWJWS
            WDZUYQVUBWEAUWJAUYRUWJXIWDVUAUFIWRWLZWTZVMUWJXAWLXBAUCUWKVPVQVRZUWL
            VAAUYJVUFUWLWDAUYIUYJUYKXPZUWKXEWLXFZXJXGZXHUYPUFUFJUXBVMXNXOXQAUWH
            OVOZVNVOZHOVOZVNVOZXTYAZVUJUWSOVOZWEZUWIUWTWEZAUWQVNVOZVURXRXSVRZVU
            KVUMXTAVURYBWDXRUUIWDZVURVUSXTYAAVURAUWQUAUUJUUKZWCZWDVURXIWDAUFVVB
            UWQUFVVBUUNVOVVBUIVVBUUOUULZUYNYCVVAUWQWRWLYDYEVURXRYFYGAVUJUWQVNAV
            UJUWHVNVOZVPVQVRZUWHVOZUBUWHVOUWQAUWHUXKWDZVUJVVFWEAUYAUWFVPUWEWPVR
            ZWDZVVGUPAVVIUYIUWFUWEYHYAZUYLAUWEAUWEUYFYDYIAUYEVVIUYIVVJXKYJUYGUW
            FUWEYLWLYKZBCDEFGKNOPRSTHUAUDUWFUFUIUJUKULUMUNUUMYMZBCDEFGKNOPRSTUW
            HUAUDUFUIUJUKULUMUNUUPWLAVVEUBUWHAVVEUYHUBAVVDUWFVPVQAHUWFUUQVRZVNV
            OZVVDUWFAVVMUWHVNAUXTUWFVMUWEWPVRZWDZVVMUWHWEUYCAVVHVVOUWFUWEUURVVK
            YCZUFHUWFUUSYMYNAUXTVVPVVNUWFWEUYCVVQUFHUWFUUTYMUVAUVBUTUVCYNAUBUWG
            HUYMYOUVDZYNAUWQUFWDZVULUWQPVOZWHZWDVUMVUSWEUYNAVULUYHHVOZPVOZWHZVW
            AAUYAUYIVULVWDWDUPUYLBCDEFGKNOPRSTHUAUDUFUIUJUKULUMUNUVEYMVVTVWCUWQ
            VWBPUBUYHHUTYPYPUVLUVFCDEFVULNPTUAUDUFUWQUIUJUKULUVGYMUVHAVUJUWQVUO
            VVRAUXGVVSUWSUXKWDZVUOUWQWEUXRUYNAUXLUWQJOVOPVOWHZWDZVWEVJAVWGUXAVW
            FWDZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAV
            BVCVDVEVFVGVHVIVJVKUVIZXDBCDEFGUWQKNOPRSTJUAUDUFUIUJUKULUMUNUVJYMZB
            CDEFGJUWQKNOPRSTUAUDUFUIUJUKULUMUNUVKXOXQAVVGVWEUGWGZOVOZVNVOZVUMXT
            YAZVWLUHWGZOVOZWEZVMVWKVOZVMVWOVOZWEZYQZYQZUHUXKWIUGUXKWIZVUNVUPVUQ
            YQZYQZVVLVWJUOVXBVXEVUNVUJVWPWEZUWIVWSWEZYQZYQUGUHUWHUWSUXKUXKVWKUW
            HWEZVWNVUNVXAVXHVXIVWMVUKVUMXTVWKUWHVNOUVMUVNVXIVWQVXFVWTVXGVWKUWHV
            WPOUVOVXIVWRUWIVWSVMVWKUWHYRUVPYSYSVWOUWSWEZVXHVXDVUNVXJVXFVUPVXGVU
            QVXJVWPVUOVUJVWOUWSOUWAYTVXJVWSUWTUWIVMVWOUWSYRYTYSUWBUVQUVRUWCAUWM
            OVOZVNVOZVUMXTYAZVXKUXCOVOZWEZUWNUXDWEZAUXAVNVOZVXQXRXSVRZVXLVUMXTA
            VXQYBWDVUTVXQVXRXTYAAVXQAUXAVVBWDVXQXIWDAUFVVBUXAVVCVUIYCVVAUXAWRWL
            YDYEVXQXRYFYGAVXKUXAVNAVXKUWMVNVOZVPVQVRZUWMVOZUCUWMVOUXAAUWMUXKWDZ
            VXKVYAWEAUYSUWKVPUWJWPVRZWDZVYBUQAVYDUYJUWKUWJYHYAZVUGAUWJAUWJVUDYD
            YIAVUCVYDUYJVYEXKYJVUEUWKUWJYLWLYKZBCDEFGKNOPRSTIUAUDUWKUFUIUJUKULU
            MUNUUMYMZBCDEFGKNOPRSTUWMUAUDUFUIUJUKULUMUNUUPWLAVXTUCUWMAVXTVUFUCA
            VXSUWKVPVQAIUWKUUQVRZVNVOZVXSUWKAVYHUWMVNAUYRUWKVMUWJWPVRZWDZVYHUWM
            WEVUAAVYCVYJUWKUWJUURVYFYCZUFIUWKUUSYMYNAUYRVYKVYIUWKWEVUAVYLUFIUWK
            UUTYMUVAUVBVAUVCYNAUCUWLIVUHYOUVDZYNAUXAUFWDZVULUXAPVOZWHZWDVUMVXRW
            EVUIAVULVUFIVOZPVOZWHZVYPAVULIOVOZVYSURAUYSUYJVYTVYSWDUQVUGBCDEFGKN
            OPRSTIUAUDUFUIUJUKULUMUNUVEYMUVSVYOVYRUXAVYQPUCVUFIVAYPYPUVLUVFCDEF
            VULNPTUAUDUFUXAUIUJUKULUVGYMUVHAVXKUXAVXNVYMAUXGVYNUXCUXKWDZVXNUXAW
            EUXRVUIAUXLVWHWUAVJAVWGVWHVWIXPBCDEFGUXAKNOPRSTJUAUDUFUIUJUKULUMUNU
            VJYMZBCDEFGJUXAKNOPRSTUAUDUFUIUJUKULUMUNUVKXOXQAVYBWUAVXCVXMVXOVXPY
            QZYQZVYGWUBUOVXBWUDVXMVXKVWPWEZUWNVWSWEZYQZYQUGUHUWMUXCUXKUXKVWKUWM
            WEZVWNVXMVXAWUGWUHVWMVXLVUMXTVWKUWMVNOUVMUVNWUHVWQWUEVWTWUFVWKUWMVW
            POUVOWUHVWRUWNVWSVMVWKUWMYRUVPYSYSVWOUXCWEZWUGWUCVXMWUIWUEVXOWUFVXP
            WUIVWPVXNVXKVWOUXCOUWAYTWUIVWSUXDUWNVMVWOUXCYRYTYSUWBUVQUVRUWCUVTAV
            MUWGHAUYIVMUWGWDUYLUWFXLXMYOAVMUWLIAUYJVMUWLWDVUGUWKXLXMYOUWD $.
        $}

        $d c L $.
        $( The reduced word that forms the base of the sequence in ~ efgsval is
           uniquely determined, given the ending representation.  (Contributed
           by Mario Carneiro, 1-Oct-2015.)  (Proof shortened by AV,
           15-Oct-2022.) $)
        efgredlemc $p |- ( ph ->
          ( P e. ( ZZ>= ` Q ) -> ( A ` 0 ) = ( B ` 0 ) ) ) $=
          ( vi vc cuz cfv wcel wceq c1 caddc co cc0 uzp1 cpfx chash cop csubstr
          wo cconcat cword cfz cfzo wf cmin crn wral efgsdm simp1bi syl eldifad
          cv wrdf fzossfz cn simpld fzo0end eqeltrid sselid cz cn0 lencl fzoval
          nn0zd eleqtrrd ffvelrnd nn0uz eleqtrdi eluzfz2 syl3anc simprd eqeq12d
          eqtrd 3eqtrd adantr ccatcl syl2anc swrdcl a1i oveq12d ccatlen 3eqtr4d
          wa wb c2 ccatopth syl221anc mpbid s1cld ccatass oveq2i eqtr4di oveq1d
          cs1 s1len ad2antrr c2o cxp cid eqsstri c0 csn cdif efgredlema ccatpfx
          fviss cdm pfxid mtbird cs2 cotp csplice efgtval efgmf ffvelrni splval
          s2cld syl13anc 3eqtr3d pfxcl pfxlen biimpar s2len mtand pm2.21d df-s2
          eqtr4i eqtr3d s111 fveq2d efgmnvl s1eqd oveq2d zcnd 1cnd addassd df-2
          elfzelzd eleq2d wfo efgsfo cvv efgrcl foelrn sylancr clt wi wn simplr
          wrex wbr simprl simprr eqcomd efgredlemd rexlimddv sylbid jaod syl5
          ex ) KLVJVKVLKLVMZKLVNVOVPZVJVKVLZWCAVQHVKZVQIVKZVMZLKVRAUXEUXJUXGAUX
          EUXJAUXEUAHVKZKVSVPZUXKKUXKVTVKZWAWBVPZWDVPZUBIVKZLVSVPZUXPLUXPVTVKZW
          AWBVPZWDVPZVMZAUYAUXKUXPVMZVGAUXOUXKUXTUXPAUXOUXKUXMVSVPZUXKAUXKTUUAU
          UBZWEZVLZKVQUXMWFVPZVLZUXMUYGVLZUXOUYCVMAUEUYEUXKUEUYEUUCVKUYEUHUYEUU
          JUUDZAVQHVTVKZWGVPZUEUAHAHUEWEZVLZUYLUEHWHAHUYMUUEUUFZAHNUUKZVLZHUYMU
          YOUUGZVLZUOUYQUYSUXHJVLVHWPZHVKUYTVNWIVPZHVKOVKWJVLVHVNUYKWGVPWKBCDEF
          GJMNOVHQRSHTUCUEUHUIUJUKULUMWLWMWNWOZUEHWQWNAUAVQUYKVNWIVPZWFVPZUYLAV
          QVUCWGVPZVUDUAVQVUCWRAUAVUCVNWIVPZVUEUSAVUCWSVLZVUFVUEVLAVUGIVTVKZVNW
          IVPZWSVLZABCDEFGHIJMNOQRSTUCUEUFUGUHUIUJUKULUMUNUOUPUQURUUHZWTVUCXAWN
          XBXCAUYKXDVLUYLVUDVMAUYKAUYNUYKXEVLVUBUEHXFWNXHVQUYKXGWNXIXJZXCZVAAUX
          MVQVJVKZVLUYIAUXMXEVUNAUYFUXMXEVLVUMUYDUXKXFWNXKXLVQUXMXMWNUYDUXKKUXM
          UUIXNAUYFUYCUXKVMVUMUYDUXKUULWNXQAUXTUXPUXRVSVPZUXPAUXPUYEVLZLVQUXRWF
          VPZVLZUXRVUQVLZUXTVUOVMAUEUYEUXPUYJAVQVUHWGVPZUEUBIAIUYMVLZVUTUEIWHAI
          UYMUYOAIUYPVLZIUYRVLZUPVVBVVCUXIJVLUYTIVKVUAIVKOVKWJVLVHVNVUHWGVPWKBC
          DEFGJMNOVHQRSITUCUEUHUIUJUKULUMWLWMWNWOZUEIWQWNAUBVQVUIWFVPZVUTAVQVUI
          WGVPZVVEUBVQVUIWRAUBVUIVNWIVPZVVFUTAVUJVVGVVFVLAVUGVUJVUKXOVUIXAWNXBX
          CAVUHXDVLVUTVVEVMAVUHAVVAVUHXEVLVVDUEIXFWNXHVQVUHXGWNXIXJZXCZVBAUXRVU
          NVLVUSAUXRXEVUNAVUPUXRXEVLVVIUYDUXPXFWNXKXLVQUXRXMWNUYDUXPLUXRUUIXNAV
          UPVUOUXPVMVVIUYDUXPUULWNXQXPUUMZAUXEYGZUXLUXQUXNUXSWDVVKUXLUXQVMZPPUC
          VKZUUNZUDUDUCVKZUUNZVMZVVKUXLVVNWDVPZUXQVVPWDVPZVMZVVLVVQYGZVVKVVTUXN
          UXSVMZVVKVVRUXNWDVPZVVSUXSWDVPZVMZVVTVWBYGZAVWEUXEAHNVKZINVKZVWCVWDUQ
          AVWGKPUXKOVKVPZUXKKKVVNUUOUUPVPZVWCVEAUXKUEVLZUYHPUYDVLZVWIVWJVMVULVA
          VCCDEFPMOSTUCKUEUXKUHUIUJUKUUQXNAVWKUYHUYHVVNUYEVLZVWJVWCVMVULVAVAAPV
          VMUYDVCAVWLVVMUYDVLVCUYDUYDPUCCDTUCUJUURZUUSWNZUVAZVVNUXKKKUEUYGUYGUY
          EUUTUVBXRAVWHLUDUXPOVKVPZUXPLLVVPUUOUUPVPZVWDVFAUXPUEVLZVURUDUYDVLZVW
          QVWRVMVVHVBVDCDEFUDMOSTUCLUEUXPUHUIUJUKUUQXNAVWSVURVURVVPUYEVLZVWRVWD
          VMVVHVBVBAUDVVOUYDVDAVWTVVOUYDVLZVDUYDUYDUDUCVWNUUSWNZUVAZVVPUXPLLUEV
          UQVUQUYEUUTUVBXRUVCZXSVVKVVRUYEVLZUXNUYEVLZVVSUYEVLZUXSUYEVLZVVRVTVKZ
          VVSVTVKZVMVWEVWFYHVVKUXLUYEVLZVWMVXFAVXLUXEAUYFVXLVUMUYDUXKKUVDWNZXSZ
          AVWMUXEVWPXSZUYDUXLVVNXTYAAVXGUXEAUYFVXGVUMUYDUXKKUXMYBWNZXSVVKUXQUYE
          VLZVXAVXHAVXQUXEAVUPVXQVVIUYDUXPLUVDWNZXSZAVXAUXEVXDXSZUYDUXQVVPXTYAA
          VXIUXEAVUPVXIVVIUYDUXPLUXRYBWNZXSVVKUXLVTVKZVVNVTVKZVOVPZUXQVTVKZVVPV
          TVKZVOVPZVXJVXKVVKVYBVYEVYCVYFVOAVYBVYEVMZUXEAVYBKVYELAUYFUYHVYBKVMVU
          MVAUYDUXKKUVEYAZAVUPVURVYELVMVVIVBUYDUXPLUVEYAZXPUVFZVYCVYFVMVVKVYCYI
          VYFPVVMUVGUDVVOUVGUVKYCYDVVKVXLVWMVXJVYDVMVXNVXOUYDUYDUXLVVNYEYAVVKVX
          QVXAVXKVYGVMVXSVXTUYDUYDUXQVVPYEYAYFVVRUXNVVSUXSUYDYJYKYLZWTVVKVXLVWM
          VXQVXAVYHVVTVWAYHVXNVXOVXSVXTVYKUXLVVNUXQVVPUYDYJYKYLWTVVKVVTVWBVYLXO
          YDUVHUVIUXGKUXFVMZKUXFVNVOVPZVJVKZVLZWCAUXJUXFKVRAVYMUXJVYPAVYMUXJAVY
          MUYAVVJAVYMYGZUXOUXQUDYRZWDVPZUXNWDVPZUXQVYRUXNWDVPZWDVPZUXTVYQUXLVYS
          UXNWDVYQUXLVYSVMZPYRZVVOYRZVMZVYQUXLWUDWDVPZVYSWUEWDVPZVMZWUCWUFYGZVY
          QWUIVVMYRZUXNWDVPZUXSVMZVYQWUGWULWDVPZWUHUXSWDVPZVMZWUIWUMYGZAWUPVYMA
          WUGWUKWDVPZUXNWDVPZWUNWUOAWUGUYEVLZWUKUYEVLZVXGWUSWUNVMAVXLWUDUYEVLZW
          UTVXMAPUYDVCYMZUYDUXLWUDXTYAZAVVMUYDVWOYMZVXPUYDWUGWUKUXNYNXNAVWCVWDW
          USWUOVXEAWURVVRUXNWDAWURUXLWUDWUKWDVPZWDVPZVVRAVXLWVBWVAWURWVGVMVXMWV
          CWVEUYDUXLWUDWUKYNXNVVNWVFUXLWDPVVMUVJYOYPYQAWUHVVSUXSWDAWUHUXQVYRWUE
          WDVPZWDVPZVVSAVXQVYRUYEVLZWUEUYEVLZWUHWVIVMVXRAUDUYDVDYMZAVVOUYDVXCYM
          ZUYDUXQVYRWUEYNXNVVPWVHUXQWDUDVVOUVJYOYPYQYFUVLXSVYQWUTWULUYEVLZWUHUY
          EVLZVXIWUGVTVKZWUHVTVKZVMWUPWUQYHAWUTVYMWVDXSVYQWVAVXGWVNAWVAVYMWVEXS
          AVXGVYMVXPXSZUYDWUKUXNXTYAVYQVYSUYEVLZWVKWVOAWVSVYMAVXQWVJWVSVXRWVLUY
          DUXQVYRXTYAXSZAWVKVYMWVMXSZUYDVYSWUEXTYAAVXIVYMVYAXSVYQVYBWUDVTVKZVOV
          PZVYSVTVKZWUEVTVKZVOVPZWVPWVQVYQVYBWWDWWBWWEVOAVYBWWDVMZVYMAVYBKWWDUX
          FVYIAWWDVYEVYRVTVKZVOVPZUXFAVXQWVJWWDWWIVMVXRWVLUYDUYDUXQVYRYEYAAVYEL
          WWHVNVOVYJWWHVNVMAUDYSYCYDXQXPUVFZWWBWWEVMVYQWWBVNWWEPYSVVOYSUVKYCYDV
          YQVXLWVBWVPWWCVMAVXLVYMVXMXSZAWVBVYMWVCXSZUYDUYDUXLWUDYEYAVYQWVSWVKWV
          QWWFVMWVTWWAUYDUYDVYSWUEYEYAYFWUGWULWUHUXSUYDYJYKYLZWTVYQVXLWVBWVSWVK
          WWGWUIWUJYHWWKWWLWVTWWAWWJUXLWUDVYSWUEUYDYJYKYLZWTYQVYQVXQWVJVXGVYTWU
          BVMAVXQVYMVXRXSAWVJVYMWVLXSWVRUYDUXQVYRUXNYNXNVYQWUAUXSUXQWDVYQWULWUA
          UXSVYQWUKVYRUXNWDVYQVVMUDVYQVVMVVOUCVKZUDVYQPVVOUCVYQWUFPVVOVMZVYQWUC
          WUFWWNXOAWUFWWPYHZVYMAVWLVXBWWQVCVXCUYDPVVOUVMYAXSYLUVNAWWOUDVMZVYMAV
          WTWWRVDCDUDTUCUJUVOWNXSXQUVPYQVYQWUIWUMWWMXOUVLUVQXRUVHUVIAVYPKLYIVOV
          PZVJVKZVLZUXJAVYOWWTKAVYNWWSVJAVYNLVNVNVOVPZVOVPWWSALVNVNALALVQUXRVBU
          WBUVRAUVSZWXCUVTYIWXBLVOUWAYOYPUVNUWCAWXAUXJAWXAYGZUXQUXKWWSUXMWAWBVP
          ZWDVPZVIWPZNVKZVMZUXJVIUYPAWXIVIUYPUWNZWXAAUYPUENUWDWXFUEVLWXJBCDEFGJ
          MNOQRSTUCUEUHUIUJUKULUMUWEAWXFUYEUEAVXQWXEUYEVLZWXFUYEVLVXRAUYFWXKVUM
          UYDUXKWWSUXMYBWNUYDUXQWXEXTYAATUWFVLZUEUYEVMZAVWKWXLWXMYGVULUXKTUEUHU
          WGWNXOXIVIUYPUEWXFNUWHUWIXSWXDWXGUYPVLZWXIYGZYGZBCDEFGHIWXGJKLMNOPQRS
          TUAUBUCUDUEUFUGUHUIUJUKULUMAUFWPZNVKZVTVKVWGVTVKUWJUWOWXRUGWPZNVKVMVQ
          WXQVKVQWXSVKVMUWKUWKUGUYPWKUFUYPWKWXAWXOUNYTAUYQWXAWXOUOYTAVVBWXAWXOU
          PYTAVWGVWHVMWXAWXOUQYTAUXJUWLWXAWXOURYTUSUTAUYHWXAWXOVAYTAVURWXAWXOVB
          YTAVWLWXAWXOVCYTAVWTWXAWXOVDYTAVWGVWIVMWXAWXOVEYTAVWHVWQVMWXAWXOVFYTA
          UYBUWLWXAWXOVGYTAWXAWXOUWMWXDWXNWXIUWPWXPWXFWXHWXDWXNWXIUWQUWRUWSUWTU
          XDUXAUXBUXCUXBUXC $.

        $( The reduced word that forms the base of the sequence in ~ efgsval is
           uniquely determined, given the ending representation.  (Contributed
           by Mario Carneiro, 30-Sep-2015.) $)
        efgredlemb $p |- -. ph $=
          ( cc0 cfv wceq cuz wcel cv chash clt wbr wi cdm wral wb breq2d imbi1d
          fveq2 2ralbidv syl mpbid eqcomd eqcom sylnib efgredlemc syl6ibr cz wo
          elfzelzd uztric syl2anc mpjaod pm2.65i ) AVHHVIZVHIVIZVJZALKVKVIVLZXA
          KLVKVIVLZAXBWTWSVJZXAABCDEFGIHJLKMNOUDQRSTUBUAUCPUEUFUGUHUIUJUKULUMAU
          FVMZNVIZVNVIZHNVIZVNVIZVOVPZXFUGVMZNVIVJVHXEVIVHXKVIVJVQZVQZUGNVRZVSU
          FXNVSZXGINVIZVNVIZVOVPZXLVQZUGXNVSUFXNVSZUNAXHXPVJZXOXTVTUQYAXMXSUFUG
          XNXNYAXJXRXLYAXIXQXGVOXHXPVNWCWAWBWDWEWFUPUOAXHXPUQWGAXAXDURWSWTWHZWI
          UTUSVBVAVDVCVFVEAUAHVIZUBIVIZVJYDYCVJVGYCYDWHWIWJYBWKABCDEFGHIJKLMNOP
          QRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGWJAKWLVLLWL
          VLXBXCWMAKVHYCVNVIVAWNALVHYDVNVIVBWNKLWOWPWQURWR $.
      $}

      $( The reduced word that forms the base of the sequence in ~ efgsval is
         uniquely determined, given the ending representation.  (Contributed by
         Mario Carneiro, 30-Sep-2015.)  (Proof shortened by AV, 3-Nov-2022.) $)
      efgredlem $p |- -. ph $=
        ( vi vr vj vs cc0 cfv wceq chash c1 cmin co cfzo cres clt c2 caddc wcel
        wbr cxp cword cn0 wf c0 cv crn wral efgsdm simp1bi syl eldifad wrdf cfz
        cle cn simpld nnm1nn0 lem1d wa wb mpbir2and lencl nn0zd fzoval eleqtrrd
        3syl cz ffvelrnd sselid nn0red fznn efgsres syl2anc efgsval cpfx pfxres
        fz1ssfz0 fveq2d pfxlen eqtr3d fvoveq1d fzo0end efgsdmi wrex wfn csplice
        fvres cmpo efgtf simprd ffn ovelrn mpbid reeanv wi ad3antrrr rexlimdvva
        wn eqid syl5bir 3eqtr4d fveq2 eqeq1d fveq1 imbi12d eqeq2d lbfzo0 sylibr
        fvresd crp c2o cid fviss eqsstri csn cdm cdif efgredlema nnred eldifsni
        wne cfn wrdfin hashnncl mpbird fznn0 2rp ltaddrp sylancl 3eqtrd efgtlen
        3brtr4d cs2 cotp elfzofz simpllr simplrl simplrr simpr efgredlemb mpbir
        cr iman expr mp2and breq1d imbi2d rspc2va syl21anc mp2d 3eqtr3d pm2.65i
        ) AUQHURZUQIURZUSZAUQHUQHUTURZVAVBVCZVDVCZVEZURZUQIUQIUTURZVAVBVCZVDVCZ
        VEZURZUWDUWEAUWJLURZUTURZHLURZUTURZVFVJZUWQUWOLURZUSZUWKUWPUSZAUWHVAVBV
        CZHURZUTURZUXGVGVHVCZUWRUWTVFAUXGUVMVIVGUUAVIUXGUXHVFVJAUXGAUXFQUUBVKZV
        LZVIUXGVMVIASUXJUXFSUXJUUCURUXJUBUXJUUDUUEAUQUWGVDVCZSUXEHAHSVLZVIZUXKS
        HVNAHUXLVOUUFZAHLUUGZVIZHUXLUXNUUHZVIZUIUXPUXRUWDJVIUMVPZHURUXSVAVBVCZH
        URMURVQVIUMVAUWGVDVCVRBCDEFGJKLMUMNOPHQRSUBUCUDUEUFUGVSVTZWAWBZSHWCWAAU
        XEUQUWHWDVCZUXKAUXEUYCVIZUXEVMVIZUXEUWHWEVJZAUWHWFVIZUYEAUYGUWMWFVIZABC
        DEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUUIZWGZUWHWHWAAUWHAUWHUYJUUJWI
        AUWGWFVIZUWHVMVIUYDUYEUYFWJWKAUYKHVOUULZAUXPUXRUYLUIUYAHUXLVOUUKWQAUXMH
        UUMVIUYKUYLWKUYBSHUUNHUUOWQUUPUWGWHUXEUWHUUQWQWLAUWGWRVIZUXKUYCUSAUWGAU
        XMUWGVMVIUYBSHWMWAZWNZUQUWGWOWAWPWSZWTUXIUXFWMWAXAUURUXGVGUUSUUTAUWQUXF
        UTAUWQUWJUTURZVAVBVCUWJURZUXEUWJURZUXFAUWJUXOVIZUWQUYRUSAUXPUWHVAUWGWDV
        CZVIZUYTUIAVUBUYGUWHUWGWEVJZUYJAUWGAUWGUYNXAWIAUYMVUBUYGVUCWJWKUYOUWHUW
        GXBWAWLZBCDEFGJKLMNOPHQRUWHSUBUCUDUEUFUGXCXDZBCDEFGJKLMNOPUWJQRSUBUCUDU
        EUFUGXEWAZAUYQUWHVAUWJVBAHUWHXFVCZUTURZUYQUWHAVUGUWJUTAUXMUWHUQUWGWDVCZ
        VIZVUGUWJUSUYBAVUAVUIUWHUWGXHVUDWTZSHUWHXGXDXIAUXMVUJVUHUWHUSUYBVUKSHUW
        HXJXDXKXLZAUYGUXEUWIVIUYSUXFUSUYJUWHXMUXEUWIHXRWQZUVAXIAUXFSVIZUWSUXFMU
        RZVQVIZUWTUXHUSUYPAUXPUYGVUPUIUYJBCDEFGJKLMNOPHQRSUBUCUDUEUFUGXNXDZCDEF
        UWSKMPQRSUXFUBUCUDUEUVBXDUVCAUYRUWOUTURZVAVBVCUWOURZUWQUXBAUYSUWMVAVBVC
        ZUWOURZUYRVUSAUXFVUTIURZUYSVVAAUWSUXSUNVPZVUOVCUSZUNUXIXOZUMUQUXGWDVCZX
        OZILURZUOVPZUPVPZVVBMURZVCUSZUPUXIXOZUOUQVVBUTURWDVCZXOZUXFVVBUSZAVUPVV
        GVUQAVVFUXIVKZSVUOVNZVUOVVQXPVUPVVGWKAVUOTUAVVFUXIUXFTVPZVVSUAVPZVVTRUR
        UVDUVEZXQVCXSUSZVVRAVUNVWBVVRWJUYPCDEFKMPQRSUXFTUAUBUCUDUEXTWAYAVVQSVUO
        YBUMUNVVFUXIUWSVUOYCWQYDAVVHVVKVQVIZVVOAIUXOVIZUYHVWCUJAUYGUYHUYIYAZBCD
        EFGJKLMNOPIQRSUBUCUDUEUFUGXNXDAVVNUXIVKZSVVKVNZVVKVWFXPVWCVVOWKAVVKTUAV
        VNUXIVVBVWAXQVCXSUSZVWGAVVBSVIVWHVWGWJAUQUWLVDVCZSVUTIAIUXLVIZVWISIVNAI
        UXLUXNAVWDIUXQVIZUJVWDVWKUWEJVIUXSIURUXTIURMURVQVIUMVAUWLVDVCVRBCDEFGJK
        LMUMNOPIQRSUBUCUDUEUFUGVSVTWAWBZSIWCWAAVUTUQUWMWDVCZVWIAUYHVUTUWNVIZVUT
        VWMVIVWEUWMXMZVUTUQUWMUVFWQAUWLWRVIZVWIVWMUSAUWLAVWJUWLVMVIVWLSIWMWAZWN
        ZUQUWLWOWAWPWSCDEFKMPQRSVVBTUAUBUCUDUEXTWAYAVWFSVVKYBUOUPVVNUXIVVHVVKYC
        WQYDVVGVVOWJVVEVVMWJZUOVVNXOUMVVFXOAVVPVVEVVMUMUOVVFVVNYEAVWSVVPUMUOVVF
        VVNVWSVVDVVLWJZUPUXIXOUNUXIXOAUXSVVFVIZVVIVVNVIZWJZWJZVVPVVDVVLUNUPUXIU
        XIYEVXDVWTVVPUNUPUXIUXIVXDVVCUXIVIZVVJUXIVIZWJZVWTVVPVXDVXGVWTWJZWJZVVP
        YFVXIVVPYIZWJZYIVXKBCDEFGHIJUXSVVIKLMVVCNOPQUXEVUTRVVJSTUAUBUCUDUEUFUGA
        VVSLURZUTURZUWTVFVJZVXLVVTLURZUSZUQVVSURZUQVVTURZUSZYFZYFZUAUXOVRTUXOVR
        ZVXCVXHVXJUHYGAUXPVXCVXHVXJUIYGAVWDVXCVXHVXJUJYGAUWSVVHUSVXCVXHVXJUKYGA
        UWFYIVXCVXHVXJULYGUXEYJVUTYJVXKVXAVXBAVXCVXHVXJUVGZWGVXKVXAVXBVYCYAVXKV
        XEVXFVXDVXGVWTVXJUVHZWGVXKVXEVXFVYDYAVXKVVDVVLVXDVXGVWTVXJUVIZWGVXKVVDV
        VLVYEYAVXIVXJUVJUVKVXIVVPUVNUVLUVOYHYKYHYKUVPVUMAUYHVWNVVAVVBUSVWEVWOVU
        TUWNIXRWQYLVULAVURUWMVAUWOVBAIUWMXFVCZUTURZVURUWMAVYFUWOUTAVWJUWMUQUWLW
        DVCZVIZVYFUWOUSVWLAVAUWLWDVCZVYHUWMUWLXHAUWMVYJVIZUYHUWMUWLWEVJZVWEAUWL
        AUWLVWQXAWIAVWPVYKUYHVYLWJWKVWRUWMUWLXBWAWLZWTZSIUWMXGXDXIAVWJVYIVYGUWM
        USVWLVYNSIUWMXJXDXKXLYLVUFAUWOUXOVIZUXBVUSUSAVWDVYKVYOUJVYMBCDEFGJKLMNO
        PIQRUWMSUBUCUDUEUFUGXCXDZBCDEFGJKLMNOPUWOQRSUBUCUDUEUFUGXEWAYLAUYTVYOVY
        BUXAUXCUXDYFZYFZVUEVYPUHVYAVYRUXAUWQVXOUSZUWKVXRUSZYFZYFTUAUWJUWOUXOUXO
        VVSUWJUSZVXNUXAVXTWUAWUBVXMUWRUWTVFWUBVXLUWQUTVVSUWJLYMZXIUVQWUBVXPVYSV
        XSVYTWUBVXLUWQVXOWUCYNWUBVXQUWKVXRUQVVSUWJYOYNYPYPVVTUWOUSZWUAVYQUXAWUD
        VYSUXCVYTUXDWUDVXOUXBUWQVVTUWOLYMYQWUDVXRUWPUWKUQVVTUWOYOYQYPUVRUVSUVTU
        WAAUQUWIHAUYGUQUWIVIUYJUWHYRYSYTAUQUWNIAUYHUQUWNVIVWEUWMYRYSYTUWBULUWC
        $.
    $}

    $( The reduced word that forms the base of the sequence in ~ efgsval is
       uniquely determined, given the terminal point.  (Contributed by Mario
       Carneiro, 28-Sep-2015.) $)
    efgred $p |- ( ( A e. dom S /\ B e. dom S /\ ( S ` A ) = ( S ` B ) ) ->
        ( A ` 0 ) = ( B ` 0 ) ) $=
      ( va vb vc vi vd cdm wcel cfv wceq cc0 wa cv chash c1 caddc co clt wbr wi
      wral cn0 c2o cxp cword cid fviss eqsstri wf cmin crn cfzo cdif crab efgsf
      c0 csn fdmi feq2i mpbir ffvelrni adantr sselid lencl syl peano2nn0 imbi1d
      breq2 2ralbidv weq wn nn0nlt0 pm2.21d rgen2 w3a simpl1 wb simpl3l simpl2l
      mpbird simpl2r simpl3r simpr efgredlem iman 3expia expd ralrimivva 2fveq3
      eqeq1d fveqeq2 fveq1 imbi12d fveq2 eqeq2d imbi2d cbvral2vw sylib ancli wo
      cle nn0leltp1 cr nn0re leloe syl2an bitr3d ancoms sylan2 bitrdi 2ralbidva
      jaob r19.26-2 syl5ibr nn0ind nn0red ltp1d breq1d rspc2v mp2d 3impia ) GKU
      JZUKZHUUEUKZGKULZHKULZUMZUNGULZUNHULZUMZUUFUUGUOZUEUPZKULZUQULZUUHUQULZUR
      USUTZVAVBZUUPUFUPZKULZUMZUNUUOULZUNUVAULZUMZVCZVCZUFUUEVDUEUUEVDZUURUUSVA
      VBZUUJUUMVCZUUNUUSVEUKZUVIUUNUURVEUKZUVLUUNUUHPVFVGZVHZUKUVMUUNRUVOUUHRUV
      OVIULUVOSUVOVJVKZUUFUUHRUKUUGUUERGKUUERKVLUNFUPZULIUKMUPZUVQULUVRURVMUTUV
      QULLULVNUKMURUVQUQULVOUTVDUOFRVHVSVTVPVQZRKVLABCDEFIJKLMNOPQRSTUAUBUCUDVR
      ZUUEUVSRKUVSRKUVTWAWBWCZWDWEWFUVNUUHWGWHZUURWIWHUUQUGUPZVAVBZUVGVCZUFUUEV
      DUEUUEVDUUQUNVAVBZUVGVCZUFUUEVDUEUUEVDUUQUHUPZVAVBZUVGVCZUFUUEVDUEUUEVDZU
      UQUWHURUSUTZVAVBZUVGVCZUFUUEVDUEUUEVDZUVIUGUHUUSUWCUNUMZUWEUWGUEUFUUEUUEU
      WPUWDUWFUVGUWCUNUUQVAWKWJWLUGUHWMZUWEUWJUEUFUUEUUEUWQUWDUWIUVGUWCUWHUUQVA
      WKWJWLUWCUWLUMZUWEUWNUEUFUUEUUEUWRUWDUWMUVGUWCUWLUUQVAWKWJWLUWCUUSUMZUWEU
      VHUEUFUUEUUEUWSUWDUUTUVGUWCUUSUUQVAWKWJWLUWGUEUFUUEUUEUUOUUEUKZUWGUVAUUEU
      KZUWTUWFUVGUWTUUQVEUKZUWFWNUWTUUPUVOUKUXBUWTRUVOUUPUVPUUERUUOKUWAWDWFUVNU
      UPWGWHZUUQWOWHWPWEWQUWKUWOUWHVEUKZUWKUUQUWHUMZUVGVCZUFUUEVDUEUUEVDZUOZUWK
      UXGUWKUWCKULZUQULZUWHUMZUXIUIUPZKULZUMZUNUWCULZUNUXLULZUMZVCZVCZUIUUEVDUG
      UUEVDUXGUWKUXSUGUIUUEUUEUWKUWCUUEUKZUXLUUEUKZUOZUOUXKUXNUXQUWKUYBUXKUXNUO
      ZUXQUWKUYBUYCWRZUXQVCUYDUXQWNZUOZWNUYFABCDEFUWCUXLIJKLMNOPQRUEUFSTUAUBUCU
      DUYFUUQUXJVAVBZUVGVCZUFUUEVDUEUUEVDZUWKUWKUYBUYCUYEWSUYFUXKUYIUWKWTUXKUXN
      UWKUYBUYEXAUXKUYHUWJUEUFUUEUUEUXKUYGUWIUVGUXJUWHUUQVAWKWJWLWHXCUXTUYAUWKU
      YCUYEXBUXTUYAUWKUYCUYEXDUXKUXNUWKUYBUYEXEUYDUYEXFXGUYDUXQXHWCXIXJXKUXSUXF
      UXEUUPUXMUMZUVDUXPUMZVCZVCUGUIUEUFUUEUUEUGUEWMZUXKUXEUXRUYLUYMUXJUUQUWHUW
      CUUOUQKXLXMUYMUXNUYJUXQUYKUWCUUOUXMKXNUYMUXOUVDUXPUNUWCUUOXOXMXPXPUIUFWMZ
      UYLUVGUXEUYNUYJUVCUYKUVFUYNUXMUVBUUPUXLUVAKXQXRUYNUXPUVEUVDUNUXLUVAXOXRXP
      XSXTYAYBUXDUWOUWJUXFUOZUFUUEVDUEUUEVDUXHUXDUWNUYOUEUFUUEUUEUXDUWTUXAUOZUO
      ZUWNUWIUXEYCZUVGVCUYOUYQUWMUYRUVGUYPUXDUXBUWMUYRWTZUWTUXBUXAUXCWEUXBUXDUY
      SUXBUXDUOUUQUWHYDVBZUWMUYRUUQUWHYEUXBUUQYFUKUWHYFUKUYTUYRWTUXDUUQYGUWHYGU
      UQUWHYHYIYJYKYLWJUWIUVGUXEYOYMYNUWJUXFUEUFUUEUUEYPYMYQYRWHUUNUURUUNUURUWB
      YSYTUVHUVJUVKVCUVJUUHUVBUMZUUKUVEUMZVCZVCUEUFGHUUEUUEUUOGUMZUUTUVJUVGVUCV
      UDUUQUURUUSVAUUOGUQKXLUUAVUDUVCVUAUVFVUBUUOGUVBKXNVUDUVDUUKUVEUNUUOGXOXMX
      PXPUVAHUMZVUCUVKUVJVUEVUAUUJVUBUUMVUEUVBUUIUUHUVAHKXQXRVUEUVEUULUUKUNUVAH
      XOXRXPXSUUBUUCUUD $.

    ${
      efgrelexlem.1 $e |- L = { <. i , j >. | E. c e. ( `' S " { i } )
        E. d e. ( `' S " { j } ) ( c ` 0 ) = ( d ` 0 ) } $.
      $( If two words ` A , B ` are related under the free group equivalence,
         then there exist two extension sequences ` a , b ` such that ` a `
         ends at ` A ` , ` b ` ends at ` B ` , and ` a ` and ` B ` have the
         same starting point.  (Contributed by Mario Carneiro, 1-Oct-2015.) $)
      efgrelexlema $p |- ( A L B <-> E. a e. ( `' S " { A } )
        E. b e. ( `' S " { B } ) ( a ` 0 ) = ( b ` 0 ) ) $=
        ( wbr cvv wcel wa cc0 cv cfv wceq ccnv csn cima wrex bropaex12 c0 snprc
        wn imaeq2 sylbi ima0 eqtrdi nsyl2 anim12i rexlimivv fveq1 eqeq1d eqeq2d
        n0i a1d cbvrex2vw sneq imaeq2d rexeqdv syl5bb rexbidv brabg pm5.21nii )
        GHSUMGUNUOZHUNUOZUPZUQUBURZUSZUQUCURZUSZUTZUCKVAZHVBZVCZVDZUBWQGVBZVCZV
        DZUQUDURZUSZUQUEURZUSZUTZUEWQNURZVBZVCZVDUDWQMURZVBZVCZVDZMNGHSULVEWPWK
        UBUCXBWSWLXBUOZWNWSUOZUPWKWPXPWIXQWJXPXBVFUTWIXBWLVSWIVHZXBWQVFVCZVFXRX
        AVFUTXBXSUTGVGXAVFWQVIVJWQVKZVLVMXQWSVFUTWJWSWNVSWJVHZWSXSVFYAWRVFUTWSX
        SUTHVGWRVFWQVIVJXTVLVMVNVTVOXOWPUCXKVDZUBXBVDZXCMNGHUNUNSXOYBUBXNVDXLGU
        TZYCXHWPWMXGUTUDUEUBUCXNXKXDWLUTXEWMXGUQXDWLVPVQXFWNUTXGWOWMUQXFWNVPVRW
        AYDYBUBXNXBYDXMXAWQXLGWBWCWDWEXIHUTZYBWTUBXBYEWPUCXKWSYEXJWRWQXIHWBWCWD
        WFULWGWH $.

      $( If two words ` A , B ` are related under the free group equivalence,
         then there exist two extension sequences ` a , b ` such that ` a `
         ends at ` A ` , ` b ` ends at ` B ` , and ` a ` and ` B ` have the
         same starting point.  (Contributed by Mario Carneiro, 1-Oct-2015.) $)
      efgrelexlemb $p |- .~ C_ L $=
        ( vr va vf vg vh vb vs cv wer cfv crn cec wss wral wa cint efgval2 wcel
        cab wtru wrel cc0 wceq ccnv csn cima wrex relopabiv a1i wbr simpr eqcom
        2rexbii rexcom bitri efgrelexlema 3bitr4i sylib reeanv wi cdm wb efgsfo
        wfn wfo fofn ax-mp fniniseg eqtr3 w3a efgred eqcomd sylan2 an4s syl2anb
        3expa eqeq2 syl5ibcom reximdv eqeq1 rexbidv imbi2d syl5ibrcom rexlimdva
        impd rexlimiv reximi sylbir sylibr adantl fveq1 rspceeqv pm4.71i bitr3i
        eqid mpan2 rexbii2 eleq2i fvelrnb sylanbrc co syl2anc cword c0 c1 chash
        forn cfzo cxp syl3anc vex cvv 3bitr4ri iserd mptru simpl foelrn sylancr
        simprl simprr cs1 cconcat simplr fveq2d eleqtrd efgsp1 cdif cmin efgsdm
        rneqd simp1bi ad2antrl eldifad cfz c2o cs2 cotp csplice wf efgtf simprd
        cmpo frnd sselda adantr efgsval2 s1cld cn wne eldifsn lennncl sylbi syl
        lbfzo0 ccatval1 reximssdv elec ex ssrdv rgen cid fvexi erex ereq1 eceq2
        mp2 sseq2d ralbidv anbi12d elab mpbir2an intss1 eqsstri ) HSUIUPZUQZUJU
        PZJURZUSZUXDUXBUTZVAZUJSVBZVCZUIVGZVDZQUJBCDEHJOPRSUIUBUCUDUEVEQUXKVFZU
        XLQVAUXMSQUQZUXFUXDQUTZVAZUJSVBZUXNVHUKULUMSQQVIVHVJTUPURVJUAUPURVKUAIV
        LZLUPVMVNVOTUXRKUPZVMVNVOKLQUHVPVQVHUKUPZULUPZQVRZVCUYBUYAUXTQVRZVHUYBV
        SVJUXDURZVJUNUPZURZVKZUNUXRUYAVMVNZVOZUJUXRUXTVMVNZVOZUYFUYDVKZUJUYJVOU
        NUYHVOZUYBUYCUYKUYLUNUYHVOUJUYJVOUYMUYGUYLUJUNUYJUYHUYDUYFVTWAUYLUJUNUY
        JUYHWBWCABCDEFUXTUYAGHIJKLMNOPQRSUJUNTUAUBUCUDUEUFUGUHWDZABCDEFUYAUXTGH
        IJKLMNOPQRSUNUJTUAUBUCUDUEUFUGUHWDWEWFUYBUYAUMUPZQVRZVCZUXTUYOQVRZVHUYQ
        UYDVJUOUPZURZVKZUOUXRUYOVMVNZVOZUJUYJVOZUYRUYBUYKVJUXBURZUYTVKZUOVUBVOZ
        UIUYHVOZVUDUYPUYNABCDEFUYAUYOGHIJKLMNOPQRSUIUOTUAUBUCUDUEUFUGUHWDUYKVUH
        VCUYIVUGVCZUIUYHVOZUJUYJVOVUDUYIVUGUJUIUYJUYHWGVUJVUCUJUYJVUIVUCUIUYHUX
        BUYHVFZUYIVUGVUCVUKUYGVUGVUCWHZUNUYHVUKUYEUYHVFZVCZVULUYGVUGUYFUYTVKZUO
        VUBVOZWHVUNVUFVUOUOVUBVUNUYFVUEVKZVUFVUOVUKUXBIWIZVFZUXBIURZUYAVKZVCZUY
        EVURVFZUYEIURZUYAVKZVCZVUQVUMIVURWLZVUKVVBWJVURSIWMZVVGABCDEFGHIJMNOPRS
        UBUCUDUEUFUGWKZVURSIWNWOZVURUYAUXBIWPWOVVGVUMVVFWJVVJVURUYAUYEIWPWOVUSV
        VCVVAVVEVUQVVAVVEVCVUSVVCVCVUTVVDVKZVUQVUTVVDUYAWQVUSVVCVVKVUQVUSVVCVVK
        WRVUEUYFABCDEFUXBUYEGHIJMNOPRSUBUCUDUEUFUGWSWTXDXAXBXCVUEUYTUYFXEXFXGUY
        GVUCVUPVUGUYGVUAVUOUOVUBUYDUYFUYTXHXIXJXKXLXMXNXOXPXCABCDEFUXTUYOGHIJKL
        MNOPQRSUJUOTUAUBUCUDUEUFUGUHWDXQXRUXTSVFZUXTUXTQVRZWJVHUYGUNUYJVOZUJUYJ
        VOUXDIURUXTVKZUJVURVOZVVMVVLVVNVVOUJUYJVURUXDUYJVFZVVNVCVVQUXDVURVFVVOV
        CZVVQVVNVVQUYDUYDVKVVNUYDYCUNUXDUYJUYFUYDUYDVJUYEUXDXSXTYDYAVVGVVQVVRWJ
        VVJVURUXTUXDIWPWOYBYEABCDEFUXTUXTGHIJKLMNOPQRSUJUNTUAUBUCUDUEUFUGUHWDVV
        LUXTIUSZVFZVVPVVSSUXTVVHVVSSVKVVIVURSIYOWOYFVVGVVTVVPWJVVJUJVURUXTIYGWO
        YBUUAVQUUBUUCZUXPUJSUXDSVFZUNUXFUXOVWBUYEUXFVFZUYEUXOVFZVWBVWCVCZUXDUYE
        QVRZVWDVWEVUFUOUXRUYEVMVNZVOZUIUXRUXDVMVNZVOVWFVWEUXDVUTVKZVWHUIVWIVURV
        WEVVHVWBVWJUIVURVOVVIVWBVWCUUDUIVURSUXDIUUEUUFVWEVUSVWJVCZVCZVUSVUTUXDV
        KZUXBVWIVFZVWEVUSVWJUUGZVWLUXDVUTVWEVUSVWJUUHZWTVVGVWNVUSVWMVCWJVVJVURU
        XDUXBIWPWOYHVWLUXBUYEUUIZUUJYIZVWGVFZVUEVJVWRURZVKVWHVWLVWRVURVFZVWRIUR
        UYEVKZVWSVWLVUSUYEVUTJURZUSZVFVXAVWOVWLUYEUXFVXDVWBVWCVWKUUKVWLUXEVXCVW
        LUXDVUTJVWPUULUURUUMABCDEFUYEGHIJMNOUXBPRSUBUCUDUEUFUGUUNYJZVWLUXBSYKZV
        FZUYESVFZVXAVXBVWLUXBVXFYLVMZVUSUXBVXFVXIUUOVFZVWEVWJVUSVXJVUEGVFUXSUXB
        URUXSYMUUPYIUXBURJURUSVFKYMUXBYNURZYPYIVBABCDEFGHIJKMNOUXBPRSUBUCUDUEUF
        UGUUQUUSUUTZUVAZVWEVXHVWKVWBUXFSUYEVWBVJUXDYNURUVBYIZPUVCYQZYQZSUXEVWBU
        XEUKULVXNVXOUXDUXTUXTUYAUYARURUVDUVEUVFYIUVJVKVXPSUXEUVGBCDEHJOPRSUXDUK
        ULUBUCUDUEUVHUVIUVKUVLUVMZVXEABCDEFUXBUYEGHIJMNOPRSUBUCUDUEUFUGUVNYRVVG
        VWSVXAVXBVCWJVVJVURUYEVWRIWPWOYHVWLVWTVUEVWLVXGVWQVXFVFVJVJVXKYPYIVFZVW
        TVUEVKVXMVWLUYESVXQUVOVWLVXKUVPVFZVXRVWLVXJVXSVXLVXJVXGUXBYLUVQVCVXSUXB
        VXFYLUVRSUXBUVSUVTUWAVXKUWBXQSSUXBVWQVJUWCYRWTUOVWRVWGUYTVWTVUEVJUYSVWR
        XSXTYJUWDABCDEFUXDUYEGHIJKLMNOPQRSUIUOTUAUBUCUDUEUFUGUHWDXQUYEUXDQUNYSU
        JYSUWEXQUWFUWGUWHUXJUXNUXQVCUIQUXNSYTVFQYTVFVWASVXOYKUWIUBUWJSQYTUWKUWN
        UXBQVKZUXCUXNUXIUXQSUXBQUWLVXTUXHUXPUJSVXTUXGUXOUXFUXBQUXDUWMUWOUWPUWQU
        WRUWSQUXKUWTWOUXA $.
    $}

    $( If two words ` A , B ` are related under the free group equivalence,
       then there exist two extension sequences ` a , b ` such that ` a ` ends
       at ` A ` , ` b ` ends at ` B ` , and ` a ` and ` B ` have the same
       starting point.  (Contributed by Mario Carneiro, 1-Oct-2015.) $)
    efgrelex $p |- ( A .~ B -> E. a e. ( `' S " { A } )
        E. b e. ( `' S " { B } ) ( a ` 0 ) = ( b ` 0 ) ) $=
      ( vc vd vj vi wbr cc0 cfv wceq ccnv csn cima wrex copab eqid efgrelexlemb
      cv ssbri efgrelexlema sylib ) GHJUKGHULUGVBUMULUHVBUMUNUHKUOZUIVBUPUQURUG
      VFUJVBUPUQURUJUIUSZUKULSVBUMULTVBUMUNTVFHUPUQURSVFGUPUQURJVGGHABCDEFIJKLU
      JUIMNOPVGQRUGUHUAUBUCUDUEUFVGUTZVAVCABCDEFGHIJKLUJUIMNOPVGQRSTUGUHUAUBUCU
      DUEUFVHVDVE $.

    $( There is a unique reduced word equivalent to a given word.  (Contributed
       by Mario Carneiro, 1-Oct-2015.) $)
    efgredeu $p |- ( A e. W -> E! d e. D d .~ A ) $=
      ( vc va vi vb wcel cv wbr wrex wa wceq wi wral wreu cfv cdm efgsfo foelrn
      wfo mpan cc0 cword c0 csn cdif c1 cmin co crn cfzo efgsdm simp2bi efgsrel
      chash adantl breq1 syl2an2 breq2 rexbidv syl5ibrcom rexlimdva mpd wer a1i
      rspcev efger simprl simprr ertr4d ccnv cima efgrelex wfn wb fofn fniniseg
      mp2b simplbi ad2antrl efgsval simprbi simpllr simpld eqeltrd efgs1b mpbid
      syl oveq1d 1m1e0 eqtrdi fveq2d 3eqtr3rd ad2antll simprd biimpd rexlimdvva
      eqeq12d syl5 ex ralrimivva reu4 sylanbrc ) GQUIZRUJZGIUKZRHULZYHUEUJZGIUK
      ZUMZYGYJUNZUOZUEHUPRHUPYHRHUQYFGUFUJZJURZUNZUFJUSZULZYIYRQJVBZYFYSABCDEFH
      IJKLMNOPQSTUAUBUCUDUTZUFYRQGJVAVCYFYQYIUFYRYFYOYRUIZUMYIYQYGYPIUKZRHULZUU
      BVDYOURZHUIZYFUUEYPIUKZUUDUUBYOQVEVFVGVHUIUUFUGUJZYOURUUHVIVJVKYOURKURVLU
      IUGVIYOVQURZVMVKUPABCDEFHIJKUGLMNYOOPQSTUAUBUCUDVNVOUUBUUGYFABCDEFHIJKLMN
      YOOPQSTUAUBUCUDVPVRUUCUUGRUUEHYGUUEYPIVSWHVTYQYHUUCRHGYPYGIWAWBWCWDWEYFYN
      RUEHHYFYGHUIZYJHUIZUMZUMZYLYMUUMYLUMZYGYJIUKZYMUUNYGGYJIQQIWFUUNIOQSTWIWG
      UUMYHYKWJUUMYHYKWKWLUUOUUEVDUHUJZURZUNZUHJWMZYJVGWNZULUFUUSYGVGWNZULUUNYM
      ABCDEFYGYJHIJKLMNOPQUFUHSTUAUBUCUDWOUUNUURYMUFUHUVAUUTUUNYOUVAUIZUUPUUTUI
      ZUMZUMZUURYMUVEUUEYGUUQYJUVEYPUUIVIVJVKZYOURZYGUUEUVEUUBYPUVGUNUVBUUBUUNU
      VCUVBUUBYPYGUNZYTJYRWPZUVBUUBUVHUMWQUUAYRQJWRZYRYGYOJWSWTZXAXBZABCDEFHIJK
      LMNYOOPQSTUAUBUCUDXCXJUVBUVHUUNUVCUVBUUBUVHUVKXDXBZUVEUVFVDYOUVEUVFVIVIVJ
      VKZVDUVEUUIVIVIVJUVEYPHUIZUUIVIUNZUVEYPYGHUVMUVEUUJUUKYFUULYLUVDXEZXFXGUV
      EUUBUVOUVPWQUVLABCDEFYOHIJKLMNOPQSTUAUBUCUDXHXJXIXKXLXMXNXOUVEUUPJURZUUPV
      QURZVIVJVKZUUPURZYJUUQUVEUUPYRUIZUVRUWAUNUVCUWBUUNUVBUVCUWBUVRYJUNZYTUVIU
      VCUWBUWCUMWQUUAUVJYRYJUUPJWSWTZXAXPZABCDEFHIJKLMNUUPOPQSTUAUBUCUDXCXJUVCU
      WCUUNUVBUVCUWBUWCUWDXDXPZUVEUVTVDUUPUVEUVTUVNVDUVEUVSVIVIVJUVEUVRHUIZUVSV
      IUNZUVEUVRYJHUWFUVEUUJUUKUVQXQXGUVEUWBUWGUWHWQUWEABCDEFUUPHIJKLMNOPQSTUAU
      BUCUDXHXJXIXKXLXMXNXOXTXRXSYAWEYBYCYHYKRUEHYGYJGIVSYDYE $.

    $( Two extension sequences have related endpoints iff they have the same
       base.  (Contributed by Mario Carneiro, 1-Oct-2015.) $)
    efgred2 $p |- ( ( A e. dom S /\ B e. dom S ) ->
      ( ( S ` A ) .~ ( S ` B ) <-> ( A ` 0 ) = ( B ` 0 ) ) ) $=
      ( vd vi cdm wcel wa cfv wbr cc0 wceq cv wrmo wreu wfo wf efgsfo fof ax-mp
      ffvelrni ad2antlr efgredeu reurmo 3syl cword c0 csn cdif c1 cmin co chash
      crn cfzo wral efgsdm simp2bi ad2antrr wer efger efgsrel simpr ertrd breq1
      a1i rmoi syl122anc eqbrtrd ertr3d impbida ) GKUGZUHZHWMUHZUIZGKUJZHKUJZJU
      KZULGUJZULHUJZUMZWPWSUIZUEUNZWRJUKZUEIUOZWTIUHZWTWRJUKZXAIUHZXAWRJUKZXBXC
      WRRUHZXEUEIUPXFWOXKWNWSWMRHKWMRKUQWMRKURABCDEFIJKLMNOPQRSTUAUBUCUDUSWMRKU
      TVAVBVCABCDEFWRIJKLMNOPQRUESTUAUBUCUDVDXEUEIVEVFWNXGWOWSWNGRVGVHVIVJZUHXG
      UFUNZGUJXMVKVLVMZGUJLUJVOUHUFVKGVNUJVPVMVQABCDEFIJKLUFMNOGPQRSTUAUBUCUDVR
      VSVTXCWTWQWRJRRJWAZXCJPRSTWBZWGWNWTWQJUKZWOWSABCDEFIJKLMNOGPQRSTUAUBUCUDW
      CZVTWPWSWDWEWOXIWNWSWOHXLUHXIXMHUJXNHUJLUJVOUHUFVKHVNUJVPVMVQABCDEFIJKLUF
      MNOHPQRSTUAUBUCUDVRVSVCWOXJWNWSABCDEFIJKLMNOHPQRSTUAUBUCUDWCZVCXEXHXJUEIW
      TXAXDWTWRJWFXDXAWRJWFWHWIWPXBUIZWQWTWRJRXOXTXPWGWNXQWOXBXRVTXTWTXAWRJWPXB
      WDWOXJWNXBXSVCWJWKWL $.

    ${
      $d c L $.
      efgcpbllem.1 $e |- L = { <. i , j >. | ( { i , j } C_ W /\
        ( ( A ++ i ) ++ B ) .~ ( ( A ++ j ) ++ B ) ) } $.
      $( Lemma for ~ efgrelex .  Define an auxiliary equivalence relation ` L `
         such that ` A L B ` if there are sequences from ` A ` to ` B ` passing
         through the same reduced word.  (Contributed by Mario Carneiro,
         1-Oct-2015.) $)
      efgcpbllema $p |- ( X L Y <-> ( X e. W /\ Y e. W /\
        ( ( A ++ X ) ++ B ) .~ ( ( A ++ Y ) ++ B ) ) ) $=
        ( wbr wcel wa cconcat co w3a cv wceq oveq2 oveq1d breqan12d cpr wss vex
        copab prss anbi1i opabbii eqtr4i brab2a df-3an bitr4i ) UBUCSUKUBUAULZU
        CUAULZUMGUBUNUOZHUNUOZGUCUNUOZHUNUOZJUKZUMVMVNVSUPGMUQZUNUOZHUNUOZGNUQZ
        UNUOZHUNUOZJUKZVSMNUBUCUAUASVTUBURZWCUCURZWBVPWEVRJWGWAVOHUNVTUBGUNUSUT
        WHWDVQHUNWCUCGUNUSUTVASVTWCVBUAVCZWFUMZMNVEVTUAULWCUAULUMZWFUMZMNVEUJWL
        WJMNWKWIWFVTWCUAMVDNVDVFVGVHVIVJVMVNVSVKVL $.

      $( Lemma for ~ efgrelex .  Show that ` L ` is an equivalence relation
         containing all direct extensions of a word, so is closed under
         ` .~ ` .  (Contributed by Mario Carneiro, 1-Oct-2015.) $)
      efgcpbllemb $p |- ( ( A e. W /\ B e. W ) -> .~ C_ L ) $=
        ( vr vf vg vh va vc vu vb wcel wa wer cfv crn cec wss wral cint efgval2
        cv cab wrel cpr cconcat co wbr relopabiv a1i efgcpbllema simp2bi adantl
        simp1bi efger simp3bi ersym syl3anbrc ad2antrl ad2antll ertrd c2o cword
        cxp fviss eqsstri simpll sselid simpr ccatcl syl2anc simplr wceq efgrcl
        cid cvv simprd ad2antrr eleqtrrd wrex cc0 chash cfz wf wfn cotp csplice
        wb cs2 cmpo efgtf ffn 3syl adantr caddc cpfx syl ccatass syl3anc oveq1d
        efgtval eqtrd oveq2d cuz cn0 lencl nn0uz uzaddcl ccatlen nn0cnd addcomd
        eleqtrdi eqeltrd c0 vex erref ex pm4.71d w3a df-3an anidm anbi1i 3bitri
        bitr4di iserd ovelrn ad2antlr simprl simprr fovrnd cop csubstr ffvelrni
        pfxcl efgmf s2cld swrdcl splval syl13anc 3eqtr4rd elfznn0 elfzuz3 nn0zd
        cz eluzadd fveq2d 3eltr3d elfzuzb sylanbrc wrd0 ccatrid eluzfz2 ccatpfx
        3eqtr2rd pfxlen eqtr2d oveq2i nn0addcld addid1d eqtr2id splval2 3eqtr4d
        pfxid hash0 fnovrn efgi2 elec breq2 syl5bb syl5ibrcom rexlimdvva sylbid
        ssrdv ralrimiva fvexi erex mpisyl ereq1 eceq2 ralbidv anbi12d mpbir2and
        sseq2d elabg intss1 eqsstrid ) GUAUQZHUAUQZURZJUAUIVGZUSZUJVGZLUTZVAZUX
        QUXOVBZVCZUJUAVDZURZUIVHZVEZSUJBCDEJLQRTUAUIUBUCUDUEVFUXNSUYDUQZUYESVCU
        XNUYFUASUSZUXSUXQSVBZVCZUJUAVDZUXNUJUKULUASSVIUXNMVGZNVGZVJUAVCGUYKVKVL
        HVKVLGUYLVKVLHVKVLJVMURMNSUHVNVOUXNUXQUKVGZSVMZURZUYMUAUQZUXQUAUQZGUYMV
        KVLHVKVLZGUXQVKVLZHVKVLZJVMUYMUXQSVMUYNUYPUXNUYNUYQUYPUYTUYRJVMZABCDEFG
        HIJKLMNOPQRSTUAUXQUYMUBUCUDUEUFUGUHVPZVQVRUYNUYQUXNUYNUYQUYPVUAVUBVSZVR
        UYOUYTUYRJUAUAJUSZUYOJRUAUBUCVTZVOUYNVUAUXNUYNUYQUYPVUAVUBWAZVRWBABCDEF
        GHIJKLMNOPQRSTUAUYMUXQUBUCUDUEUFUGUHVPWCUXNUYNUYMULVGZSVMZURURZUYQVUGUA
        UQZUYTGVUGVKVLHVKVLZJVMUXQVUGSVMUYNUYQUXNVUHVUCWDVUHVUJUXNUYNVUHUYPVUJU
        YRVUKJVMZABCDEFGHIJKLMNOPQRSTUAUYMVUGUBUCUDUEUFUGUHVPZVQWEVUIUYTUYRVUKJ
        UAVUDVUIVUEVOUYNVUAUXNVUHVUFWDVUHVULUXNUYNVUHUYPVUJVULVUMWAWEWFABCDEFGH
        IJKLMNOPQRSTUAUXQVUGUBUCUDUEUFUGUHVPWCUXNUYQUYQUYTUYTJVMZURZUXQUXQSVMZU
        XNUYQVUNUXNUYQVUNUXNUYQURZUYTJUAVUDVUQVUEVOVUQUYTRWGWIZWHZUAVUQUYSVUSUQ
        ZHVUSUQZUYTVUSUQVUQGVUSUQZUXQVUSUQZVUTVUQUAVUSGUAVUSWTUTVUSUBVUSWJWKZUX
        LUXMUYQWLZWMVUQUAVUSUXQVVDUXNUYQWNWMZVURGUXQWOWPZVUQUAVUSHVVDUXLUXMUYQW
        QWMZVURUYSHWOWPUXLUAVUSWRZUXMUYQUXLRXAUQVVIGRUAUBWSXBXCXDZUUAUUBUUCVUPU
        YQUYQVUNUUDUYQUYQURZVUNURVUOABCDEFGHIJKLMNOPQRSTUAUXQUXQUBUCUDUEUFUGUHV
        PUYQUYQVUNUUEVVKUYQVUNUYQUUFUUGUUHUUIUUJZUXNUYIUJUAVUQUMUXSUYHVUQUMVGZU
        XSUQZVVMUNVGZUOVGZUXRVLZWRZUOVURXEUNXFUXQXGUTZXHVLZXEZVVMUYHUQZVUQVVTVU
        RWIZUAUXRXIZUXRVWCXJVVNVWAXMUYQVWDUXNUYQUXRUMUPVVTVURUXQVVMVVMUPVGZVWET
        UTXNXKZXLVLXOWRVWDBCDEJLQRTUAUXQUMUPUBUCUDUEXPXBZVRVWCUAUXRXQUNUOVVTVUR
        VVMUXRUUKXRVUQVVRVWBUNUOVVTVURVUQVVOVVTUQZVVPVURUQZURZURZVWBVVRUXQVVQSV
        MZVWKUYQVVQUAUQUYTGVVQVKVLZHVKVLZJVMZVWLUXNUYQVWJWQZVWKVVOVVPUAVVTVURUX
        RUYQVWDUXNVWJVWGUULVUQVWHVWIUUMZVUQVWHVWIUUNZUUOVWKUYTUAUQZVWNUYTLUTZVA
        ZUQVWOVUQVWSVWJVVJXSZVWKVWNGXGUTZVVOXTVLZVVPVWTVLZVXAVWKGUXQVVOYAVLZVKV
        LZVVPVVPTUTZXNZVKVLZUXQVVOVVSUUPUUQVLZVKVLZHVKVLZVXJVXKHVKVLZVKVLZVWNVX
        EVWKVXJVUSUQZVXKVUSUQZVVAVXMVXOWRVWKVXGVUSUQZVXIVUSUQZVXPVWKVVBVXFVUSUQ
        ZVXRVWKUAVUSGVVDVUQUXLVWJVVEXSWMZVWKVVCVXTVUQVVCVWJVVFXSZVURUXQVVOUUSYB
        ZVURGVXFWOWPZVWKVVPVXHVURVWRVWIVXHVURUQVUQVWHVURVURVVPTBCRTUDUUTUURWEUV
        AZVURVXGVXIWOWPVWKVVCVXQVYBVURUXQVVOVVSUVBYBZVUQVVAVWJVVHXSZVURVXJVXKHY
        CYDVWKVWMVXLHVKVWKGVXFVXIVKVLZVKVLZVXKVKVLZGVYHVXKVKVLZVKVLZVXLVWMVWKVV
        BVYHVUSUQZVXQVYJVYLWRVYAVWKVXTVXSVYMVYCVYEVURVXFVXIWOWPVYFVURGVYHVXKYCY
        DVWKVXJVYIVXKVKVWKVVBVXTVXSVXJVYIWRVYAVYCVYEVURGVXFVXIYCYDYEVWKVVQVYKGV
        KVWKVVQUXQVVOVVOVXIXKXLVLZVYKVWKUYQVWHVWIVVQVYNWRVWPVWQVWRBCDEVVPJLQRTV
        VOUAUXQUBUCUDUEYFYDVWKUYQVWHVWHVXSVYNVYKWRVWPVWQVWQVYEVXIUXQVVOVVOUAVVT
        VVTVUSUVCUVDYGYHUVEYEVWKVXEUYTVXDVXDVXIXKXLVLZVXOVWKVWSVXDXFUYTXGUTZXHV
        LZUQZVWIVXEVYOWRVXBVWKVXDXFYIUTZUQZVYPVXDYIUTZUQVYRVWKVXCVYSUQVVOYJUQZV
        YTVWKVXCYJVYSVWKVVBVXCYJUQVYAVURGYKYBZYLYQVWHWUBVUQVWIVVOVVSUVFWDZVVOXF
        VXCYMWPVWKVYPUYSXGUTZHXGUTZXTVLZWUAVWKVUTVVAVYPWUGWRVUQVUTVWJVVGXSVYGVU
        RVURUYSHYNWPVWKWUEWUAUQWUFYJUQZWUGWUAUQVWKWUEVXCVVSXTVLZWUAVWKVVBVVCWUE
        WUIWRVYAVYBVURVURGUXQYNWPVWKVVSVXCXTVLZVVOVXCXTVLZYIUTZWUIWUAVWKVVSVVOY
        IUTUQZVXCUVIUQWUJWULUQVWHWUMVUQVWIVVOXFVVSUVGWDVWKVXCWUCUVHVXCVVOVVSUVJ
        WPVWKVVSVXCVWKVVSVWKVVCVVSYJUQVYBVURUXQYKYBZYOVWKVXCWUCYOZYPVWKWUKVXDYI
        VWKVVOVXCVWKVVOWUDYOWUOYPUVKUVLYRVWKVVAWUHVYGVURHYKYBWUFVXDWUEYMWPYRVXD
        XFVYPUVMUVNZVWRBCDEVVPJLQRTVXDUAUYTUBUCUDUEYFYDVWKVXGYSVXNVXIUYTVXDVXDV
        URVYDYSVUSUQVWKVURUVOVOVWKVXQVVAVXNVUSUQVYFVYGVURVXKHWOWPVYEVWKVXGYSVKV
        LZVXNVKVLVXGVXNVKVLZVXGVXKVKVLZHVKVLZUYTVWKWUQVXGVXNVKVWKVXRWUQVXGWRVYD
        VURVXGUVPYBYEVWKVXRVXQVVAWUTWURWRVYDVYFVYGVURVXGVXKHYCYDVWKWUSUYSHVKVWK
        WUSGVXFVXKVKVLZVKVLZUYSVWKVVBVXTVXQWUSWVBWRVYAVYCVYFVURGVXFVXKYCYDVWKWV
        AUXQGVKVWKWVAUXQVVSYAVLZUXQVWKVVCVWHVVSVVTUQZWVAWVCWRVYBVWQVWKVVSVYSUQW
        VDVWKVVSYJVYSWUNYLYQXFVVSUVQYBVURUXQVVOVVSUVRYDVWKVVCWVCUXQWRVYBVURUXQU
        WHYBYGYHYGYEUVSVWKVXGXGUTZVXCVXFXGUTZXTVLZVXDVWKVVBVXTWVEWVGWRVYAVYCVUR
        VURGVXFYNWPVWKWVFVVOVXCXTVWKVVCVWHWVFVVOWRVYBVWQVURUXQVVOUVTWPYHUWAVWKV
        XDYSXGUTZXTVLVXDXFXTVLVXDWVHXFVXDXTUWIUWBVWKVXDVWKVXDVWKVXCVVOWUCWUDUWC
        YOUWDUWEUWFYGUWGVWKVWTVYQVURWIZXJZVYRVWIVXEVXAUQVWKVWSWVIUAVWTXIZWVJVXB
        VWSVWTUMUPVYQVURUYTVWFXLVLXOWRWVKBCDEJLQRTUAUYTUMUPUBUCUDUEXPXBWVIUAVWT
        XQXRWUPVWRVYQVURVXDVVPVWTUWJYDYRBCDEUYTVWNJLQRTUAUBUCUDUEUWKWPABCDEFGHI
        JKLMNOPQRSTUAUXQVVQUBUCUDUEUFUGUHVPWCVWBUXQVVMSVMVVRVWLVVMUXQSUMYTUJYTU
        WLVVMVVQUXQSUWMUWNUWOUWPUWQUWRUWSUXNSXAUQZUYFUYGUYJURZXMUXNUYGUAXAUQWVL
        VVLUAVUSWTUBUWTUASXAUXAUXBUYCWVMUISXAUXOSWRZUXPUYGUYBUYJUAUXOSUXCWVNUYA
        UYIUJUAWVNUXTUYHUXSUXOSUXQUXDUXHUXEUXFUXIYBUXGSUYDUXJYBUXK $.
    $}

    $( Two extension sequences have related endpoints iff they have the same
       base.  (Contributed by Mario Carneiro, 1-Oct-2015.) $)
    efgcpbl $p |- ( ( A e. W /\ B e. W /\ X .~ Y ) ->
      ( ( A ++ X ) ++ B ) .~ ( ( A ++ Y ) ++ B ) ) $=
      ( vi vj wcel wbr w3a cv cpr wss cconcat co copab efgcpbllemb ssbrd 3impia
      wa eqid efgcpbllema simp3bi syl ) GRUIZHRUIZSTJUJZUKSTUGULZUHULZUMRUNGVIU
      OUPHUOUPGVJUOUPHUOUPJUJVAUGUHUQZUJZGSUOUPHUOUPGTUOUPHUOUPJUJZVFVGVHVLVFVG
      VAJVKSTABCDEFGHIJKLUGUHMNOPVKQRUAUBUCUDUEUFVKVBZURUSUTVLSRUITRUIVMABCDEFG
      HIJKLUGUHMNOPVKQRSTUAUBUCUDUEUFVNVCVDVE $.

    $( Two extension sequences have related endpoints iff they have the same
       base.  (Contributed by Mario Carneiro, 1-Oct-2015.) $)
    efgcpbl2 $p |- ( ( A .~ X /\ B .~ Y ) ->
                     ( A ++ B ) .~ ( X ++ Y ) ) $=
      ( wbr wa cconcat co wer efger a1i wcel simpl ercl c2o cxp cword wrd0 wceq
      c0 cvv efgrcl syl simprd eleqtrrid efgcpbl syl3anc eleqtrd ccatcl syl2anc
      simpr ccatrid ercl2 3brtr3d ccatlid oveq1d ertrd ) GSJUGZHTJUGZUHZGHUIUJZ
      GTUIUJZSTUIUJZJRRJUKWBJPRUAUBULUMZWBWCVBUIUJZWDVBUIUJZWCWDJWBGRUNZVBRUNZW
      AWGWHJUGWBGSJRWFVTWAUOZUPZWBVBPUQURZUSZRWMUTWBPVCUNZRWNVAZWBWIWOWPUHWLGPR
      UAVDVEVFZVGZVTWAVMZABCDEFGVBIJKLMNOPQRHTUAUBUCUDUEUFVHVIWBWCWNUNZWGWCVAWB
      GWNUNZHWNUNWTWBGRWNWLWQVJZWBHRWNWBHTJRWFWSUPWQVJWMGHVKVLWMWCVNVEWBWDWNUNZ
      WHWDVAWBXATWNUNXCXBWBTRWNWBHTJRWFWSVOZWQVJWMGTVKVLWMWDVNVEVPWBVBGUIUJZTUI
      UJZVBSUIUJZTUIUJZWDWEJWBWJTRUNVTXFXHJUGWRXDWKABCDEFVBTIJKLMNOPQRGSUAUBUCU
      DUEUFVHVIWBXEGTUIWBXAXEGVAXBWMGVQVEVRWBXGSTUIWBSWNUNXGSVAWBSRWNWBGSJRWFWK
      VOWQVJWMSVQVEVRVPVS $.
  $}

  ${
    $d i k m n t v w x y z I $.  $d i M $.  $d i m t x y z .~ $.
    frgpval.m $e |- G = ( freeGrp ` I ) $.
    frgpval.b $e |- M = ( freeMnd ` ( I X. 2o ) ) $.
    frgpval.r $e |- .~ = ( ~FG ` I ) $.
    $( Value of the free group construction.  (Contributed by Mario Carneiro,
       1-Oct-2015.) $)
    frgpval $p |- ( I e. V -> G = ( M /s .~ ) ) $=
      ( vi wcel cfrgp cfv cqus co cvv wceq c2o cxp cfrmd cefg elex xpeq1 fveq2d
      cv eqtr4di fveq2 oveq12d df-frgp ovex fvmpt syl eqtrid ) CEJZBCKLZDAMNZFU
      MCOJUNUOPCEUAICIUDZQRZSLZUPTLZMNUOOKUPCPZURDUSAMUTURCQRZSLDUTUQVASUPCQUBU
      CGUEUTUSCTLAUPCTUFHUEUGIUHDAMUIUJUKUL $.

    frgpcpbl.p $e |- .+ = ( +g ` M ) $.
    $( Compatibility of the group operation with the free group equivalence
       relation.  (Contributed by Mario Carneiro, 1-Oct-2015.)  (Revised by
       Mario Carneiro, 27-Feb-2016.) $)
    frgpcpbl $p |- ( ( A .~ C /\ B .~ D ) -> ( A .+ B ) .~ ( C .+ D ) ) $=
      ( co c2o cfv cv wcel eqid wceq vx vy vz vw vv vt vn vm vk wbr cconcat cxp
      wa cword cid cc0 chash cfz c1o cdif cop cmpo cs2 cotp csplice cmpt crn c1
      ciun cmin cfzo wral c0 csn crab efgcpbl2 cbs wer efger a1i simpl ercl cvv
      efgrcl syl simprd simpld 2on xpexg sylancl frmdbas eqtr4d eleqtrd frmdadd
      con0 simpr syl2anc ercl2 3brtr4d ) ACFUJZBDFUJZUMZABUKNZCDUKNZABENZCDENZF
      UAUBUCUDUEUFABHOULZUNZUOPZUAXIUAQUEXIUGUDUPUEQZUQPURNXGXJUGQZXKUDQZXLUBUC
      HOUBQUSUCQUTVAVBZPVCVDVENVBVFZPVGVIUTZFUHUPUFQZPXORUIQZXPPXQVHVJNXPPXNPVG
      RUIVHXPUQPVKNVLUMUFXIUNVMVNUTVOUHQZUQPVHVJNXRPVFZXNUIUHUGHXMXICDXISZLXMSX
      NSXOSXSSVPXBAIVQPZRBYARXEXCTXBAXIYAXBACFXIXIFVRXBFHXIXTLVSVTZWTXAWAZWBZXB
      XIXHYAXBHWCRZXIXHTZXBAXIRYEYFUMYDAHXIXTWDWEZWFXBXGWCRZYAXHTXBYEOWORYHXBYE
      YFYGWGWHHOWCWOWIWJYAXGIWCKYASZWKWEWLZWMXBBXIYAXBBDFXIYBWTXAWPZWBYJWMYAEXG
      IABKYIMWNWQXBCYARDYARXFXDTXBCXIYAXBACFXIYBYCWRYJWMXBDXIYAXBBDFXIYBYKWRYJW
      MYAEXGICDKYIMWNWQWS $.
  $}

  ${
    $d a b c d x y z G $.  $d a b c d n v w x y z I $.  $d a b c d x y z .~ $.
    $d a b c d x y z V $.
    frgp0.m $e |- G = ( freeGrp ` I ) $.
    frgp0.r $e |- .~ = ( ~FG ` I ) $.
    $( The free group is a group.  (Contributed by Mario Carneiro, 1-Oct-2015.)
       (Revised by Mario Carneiro, 27-Feb-2016.) $)
    frgp0 $p |- ( I e. V -> ( G e. Grp /\ [ (/) ] .~ = ( 0g ` G ) ) ) $=
      ( vy vz wcel c2o cfv cv cvv c0 eqid wceq syl wbr co adantr vx vd vb va vc
      vw vv cxp cfrmd cplusg c1o cdif cop cmpo creverse ccom cword frgpval con0
      vn cbs 2on xpexg mpan2 frmdbas eqcomd eqidd cid wer efger wrdexg fvi 3syl
      wb ereq2 mpbii fvexd wa wi frgpcpbl a1i w3a cmnd frmdmnd 3ad2ant1 eleqtrd
      simp2 simp3 mndcl syl3anc eleqtrrd 3adant3r3 simpr3 erref mndass syl13anc
      breqtrd wrd0 cconcat eleqtrid eleq2d biimpa frmdadd syl2anc ccatlid eqtrd
      adantl simpr eqbrtrd revcl efgmf wrdco biimpar cc0 chash cfz cotp csplice
      wf cs2 cmpt efginvrel1 qusgrp2 ) CDIZUAGHCJUHZUIKZUJKZAYFBGHCJGLZUKHLZULU
      MUNZUALZUOKZUPZYEUQZMNUBUCUDUEABCYFDEYFOZFURYDYFVAKZYNYDYEMIZYPYNPYDJUSIY
      QVBCJDUSVCVDZYPYEYFMYOYPOZVEQVFZYDYGVGYDYNVHKZAVIZYNAVIZACUUAUUAOZFVJYDUU
      AYNPZUUBUUCVNYDYQYNMIUUEYRYEMVKYNMVLVMZUUAYNAVOQVPZYDYEUIVQUDLZUCLZARUELZ
      UBLZARVRUUHUUJYGSUUIUUKYGSARVSYDUUHUUJUUIUUKYGABCYFEYOFYGOZVTWAYDYKYNIZYH
      YNIZWBZYKYHYGSZYPYNUUOYFWCIZYKYPIZYHYPIZUUPYPIZYDUUMUUQUUNYDYQUUQYRYEYFMY
      OWDQZWEUUOYKYNYPYDUUMUUNWGYDUUMYNYPPZUUNYTWEZWFZUUOYHYNYPYDUUMUUNWHUVCWFZ
      YPYGYFYKYHYSUULWIWJZUVCWKYDUUMUUNYIYNIZWBZVRZUUPYIYGSZUVJYKYHYIYGSYGSZAUV
      IUVJAYNYDUUCUVHUUGTUVIUVJYPYNUVIUUQUUTYIYPIZUVJYPIYDUUQUVHUVATZYDUUMUUNUU
      TUVGUVFWLUVIYIYNYPYDUUMUUNUVGWMYDUVBUVHYTTZWFZYPYGYFUUPYIYSUULWIWJUVNWKWN
      UVIUUQUURUUSUVLUVJUVKPUVMYDUUMUUNUURUVGUVDWLYDUUMUUNUUSUVGUVEWLUVOYPYGYFY
      KYHYIYSUULWOWPWQNYNIYDYEWRZWAYDUUMVRZNYKYGSZYKYKAUVQUVRNYKWSSZYKUVQNYPIZU
      URUVRUVSPYDUVTUUMYDNYNYPUVPYTWTTYDUUMUURYDYNYPYKYTXAXBZYPYGYEYFNYKYOYSUUL
      XCXDUUMUVSYKPYDYEYKXEXGXFUVQYKAYNYDUUCUUMUUGTYDUUMXHWNXIUVQYLYNIZYEYEYJXS
      ZYMYNIUUMUWBYDYEYKXJXGUWCUVQGHCYJYJOZXKWAYEYEYJYLXLXDZUVQYMYKYGSZYMYKWSSZ
      NAUVQYMYPIUURUWFUWGPUVQYMYNYPUWEYDUVBUUMYTTWFUWAYPYGYEYFYMYKYOYSUULXCXDUV
      QYKUUAIZUWGNARYDUWHUUMYDUUAYNYKUUFXAXMGHUFUGYKAUGUUAUTUFXNUGLZXOKXPSYEUWI
      UTLZUWJUFLZUWKYJKXTXQXRSUNYAZUTCYJUUAUUDFUWDUWLOYBQXIYC $.

    frgpeccl.w $e |- W = ( _I ` Word ( I X. 2o ) ) $.
    frgpeccl.b $e |- B = ( Base ` G ) $.
    $( Closure of the quotient map in a free group.  (Contributed by Mario
       Carneiro, 1-Oct-2015.) $)
    frgpeccl $p |- ( X e. W -> [ X ] .~ e. B ) $=
      ( wcel cbs cfv c2o cfrmd cvv wceq eqid syl con0 cec cqs fvexi ecelqsi cxp
      cefg cqus co cword efgrcl simpld frgpval simprd 2on xpexg sylancl frmdbas
      eqtr4d a1i fvexd qusbas eqtr4di eleqtrd ) FEKZFBUAEBUBZAEFBBDUFHUCZUDVDVE
      CLMAVDBDNUEZOMZCEPPVDDPKZCVHBUGUHQVDVIEVGUIZQZFDEIUJZUKZBCDVHPGVHRZHULSVD
      EVJVHLMZVDVIVKVLUMVDVGPKZVOVJQVDVINTKVPVMUNDNPTUOUPVOVGVHPVNVORUQSURBPKVD
      VFUSVDVGOUTVAJVBVC $.
  $}

  ${
    frgpgrp.g $e |- G = ( freeGrp ` I ) $.
    $( The free group is a group.  (Contributed by Mario Carneiro,
       1-Oct-2015.) $)
    frgpgrp $p |- ( I e. V -> G e. Grp ) $=
      ( wcel cgrp c0 cefg cfv cec c0g wceq eqid frgp0 simpld ) BCEAFEGBHIZJAKIL
      PABCDPMNO $.
  $}

  ${
    $d a b c d A $.  $d b d n v w y z I $.  $d n v w M $.  $d a b c d y z .~ $.
    $d a b c d B $.  $d a b c d .+ $.  $d a b c d n v w y z W $.
    frgpadd.w $e |- W = ( _I ` Word ( I X. 2o ) ) $.
    frgpadd.g $e |- G = ( freeGrp ` I ) $.
    frgpadd.r $e |- .~ = ( ~FG ` I ) $.
    ${
      frgpadd.n $e |- .+ = ( +g ` G ) $.
      $( Addition in the free group is given by concatenation.  (Contributed by
         Mario Carneiro, 1-Oct-2015.) $)
      frgpadd $p |- ( ( A e. W /\ B e. W ) ->
        ( [ A ] .~ .+ [ B ] .~ ) = [ ( A ++ B ) ] .~ ) $=
        ( wcel wa cec co c2o wceq cvv cv eleqtrd vd vb va cxp cfrmd cfv cconcat
        vc cplusg simpl simpr cmnd cqus cword efgrcl adantr simpld eqid frgpval
        syl cbs simprd con0 2on xpexg sylancl frmdbas wer efger a1i frmdmnd wbr
        eqtr4d frgpcpbl simprl simprr mndcl syl3anc eleqtrrd qusaddval mpd3an23
        wi frmdadd syl2anc eceq1d eqtrd ) AGLZBGLZMZADNBDNCOZABFPUDZUEUFZUIUFZO
        ZDNZABUGOZDNWIWGWHWJWOQWGWHUJZWGWHUKZWIDWLCWMEGABULUAUBUCUHWIFRLZEWLDUM
        OQWIWSGWKUNZQZWGWSXAMWHAFGHUOUPZUQZDEFWLRIWLURZJUSUTWIGWTWLVAUFZWIWSXAX
        BVBWIWKRLZXEWTQWIWSPVCLXFXCVDFPRVCVEVFZXEWKWLRXDXEURZVGUTVMZGDVHWIDFGHJ
        VIVJWIXFWLULLZXGWKWLRXDVKUTZUCSZUBSZDVLUHSZUASZDVLMXLXNWMOXMXOWMOZDVLWB
        WIXLXNXMXOWMDEFWLIXDJWMURZVNVJWIXMGLZXOGLZMZMZXPXEGYAXJXMXELXOXELXPXELW
        IXJXTXKUPYAXMGXEWIXRXSVOWIGXEQXTXIUPZTYAXOGXEWIXRXSVPYBTXEWMWLXMXOXHXQV
        QVRYBVSXQKVTWAWIWNWPDWIAXELBXELWNWPQWIAGXEWQXITWIBGXEWRXITXEWMWKWLABXDX
        HXQWCWDWEWF $.
    $}

    frgpinv.n $e |- N = ( invg ` G ) $.
    frgpinv.m $e |- M = ( y e. I , z e. 2o |-> <. y , ( 1o \ z ) >. ) $.
    $( The inverse of an element of the free group.  (Contributed by Mario
       Carneiro, 2-Oct-2015.) $)
    frgpinv $p |- ( A e. W ->
      ( N ` [ A ] .~ ) = [ ( M o. ( reverse ` A ) ) ] .~ ) $=
      ( wcel cec cfv wceq co eqid vw vv vn creverse ccom cplusg c0g cconcat c2o
      c0 cxp cword wf cid fviss eqsstri sseli revcl syl efgmf wrdco sylancl cvv
      efgrcl simprd eleqtrrd frgpadd mpdan wer efger a1i cc0 chash cfz cs2 cotp
      cv csplice cmpo cmpt efginvrel2 erthi cgrp frgp0 adantr 3eqtrd cbs simpld
      wa wb frgpeccl grpinvid1 syl3anc mpbird ) CIOZCDPZHQGCUDQZUEZDPZRZWPWSEUF
      QZSZEUGQZRZWOXBCWRUHSZDPZUJDPZXCWOWRIOZXBXFRWOWRFUIUKZULZIWOWQXJOZXIXIGUM
      WRXJOWOCXJOXKIXJCIXJUNQXJJXJUOUPUQXICURUSABFGNUTXIXIGWQVAVBWOFVCOZIXJRZCF
      IJVDZVEVFZCWRXADEFIJKLXATZVGVHWOXEUJDIIDVIWODFIJLVJVKABUAUBCDUBIUCUAVLUBV
      QZVMQVNSXIXQUCVQZXRUAVQZXSGQVOVPVRSVSVTZUCFGIJLNXTTWAWBWOEWCOZXGXCRZWOXLX
      MWIYAYBWIZXNXLYCXMDEFVCKLWDWEUSZVEWFWOYAWPEWGQZOWSYEOZWTXDWJWOYAYBYDWHYED
      EFICKLJYETZWKWOXHYFXOYEDEFIWRKLJYGWKUSYEXAEHWPWSXCYGXPXCTMWLWMWN $.
  $}

  ${
    $d a b F $.  $d a b x G $.  $d a b x I $.  $d a b x V $.  $d a b x W $.
    $d a b M $.  $d x .~ $.
    frgpmhm.m $e |- M = ( freeMnd ` ( I X. 2o ) ) $.
    frgpmhm.w $e |- W = ( Base ` M ) $.
    frgpmhm.g $e |- G = ( freeGrp ` I ) $.
    frgpmhm.r $e |- .~ = ( ~FG ` I ) $.
    frgpmhm.f $e |- F = ( x e. W |-> [ x ] .~ ) $.
    $( The "natural map" from words of the free monoid to their cosets in the
       free group is a surjective monoid homomorphism.  (Contributed by Mario
       Carneiro, 2-Oct-2015.) $)
    frgpmhm $p |- ( I e. V -> F e. ( M MndHom G ) ) $=
      ( wcel cfv co wceq cvv syl cec va vb cmnd cbs wf cplusg wral c0g w3a cmhm
      cv c0 c2o cxp con0 2on xpexg mpan2 frmdmnd frgpgrp grpmndd wa cid frmdbas
      cword wrdexg fvi eqtr4d eleq2d biimpa frgpeccl fmptd cconcat wer efger wb
      eqid ereq2 mpbiri adantr fvexi a1i divsfval frmdadd adantl fveq2d oveq12d
      anbi12d frgpadd eqtrd 3eqtr4d ralrimivva cgrp frgp0 3jca frmd0 syl21anbrc
      simprd ismhm ) EGNZFUCNZDUCNHDUDOZCUEZUAUKZUBUKZFUFOZPZCOZXDCOZXECOZDUFOZ
      PZQZUBHUGUAHUGZULCOZDUHOZQZUICFDUJPNWTEUMUNZRNZXAWTUMUONXSUPEUMGUOUQURZXR
      FRIUSSWTDDEGKUTVAWTXCXNXQWTAHAUKZBTZXBCWTYAHNZVBYAXRVEZVCOZNZYBXBNWTYCYFW
      THYEYAWTXSHYEQZXTXSHYDYEHXRFRIJVDXSYDRNYEYDQXRRVFYDRVGSVHSZVIVJXBBDEYEYAK
      LYEVQZXBVQZVKSMVLWTXMUAUBHHWTXDHNZXEHNZVBZVBZXDXEVMPZCOYOBTZXHXLYNAYOBCHR
      WTHBVNZYMWTYQYEBVNZBEYEYILVOWTYGYQYRVPYHHYEBVRSVSZVTZHRNZYNHFUDJWAZWBZMWC
      YNXGYOCYMXGYOQWTHXFXRFXDXEIJXFVQZWDWEWFYNXLXDBTZXEBTZXKPZYPYNXIUUEXJUUFXK
      YNAXDBCHRYTUUCMWCYNAXEBCHRYTUUCMWCWGYNXDYENZXEYENZVBZUUGYPQWTYMUUJWTYKUUH
      YLUUIWTHYEXDYHVIWTHYEXEYHVIWHVJXDXEXKBDEYEYIKLXKVQZWISWJWKWLWTXOULBTZXPWT
      AULBCHRYSUUAWTUUBWBMWCWTDWMNUULXPQBDEGKLWNWRWJWOUAUBHXBXFXKFDCXPULJYJUUDU
      UKXRFIWPXPVQWSWQ $.
  $}

  ${
    $d j A $.  $d i j x y I $.  $d i j x y .~ $.  $d j V $.  $d j X $.
    vrgpfval.r $e |- .~ = ( ~FG ` I ) $.
    vrgpfval.u $e |- U = ( varFGrp ` I ) $.
    $( The canonical injection from the generating set ` I ` to the base set of
       the free group.  (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    vrgpfval $p |- ( I e. V ->
      U = ( j e. I |-> [ <" <. j , (/) >. "> ] .~ ) ) $=
      ( vi wcel cvrgp cfv cv c0 cop cs1 cec cmpt cvv wceq cefg id fveq2 eqtr4di
      elex eceq2d mpteq12dv df-vrgp vex mptex fvmpt3i syl eqtrid ) DEIZBDJKZCDC
      LMNOZAPZQZGUMDRIUNUQSDEUDHDCHLZUOURTKZPZQUQRJURDSZCURUTDUPVAUAVAUSAUOVAUS
      DTKAURDTUBFUCUEUFHCUGCURUTHUHUIUJUKUL $.

    $( The value of the generating elements of a free group.  (Contributed by
       Mario Carneiro, 2-Oct-2015.) $)
    vrgpval $p |- ( ( I e. V /\ A e. I ) ->
      ( U ` A ) = [ <" <. A , (/) >. "> ] .~ ) $=
      ( vj wcel cfv cv c0 cop cs1 cec cmpt vrgpfval fveq1d wceq cvv opeq1 s1eqd
      eceq1d eqid cefg fvexi ecexg ax-mp fvmpt sylan9eq ) DEIZADIACJAHDHKZLMZNZ
      BOZPZJALMZNZBOZUKACUPBCHDEFGQRHAUOUSDUPULASZUNURBUTUMUQULALUAUBUCUPUDBTIU
      STIBDUEFUFURTBUGUHUIUJ $.

    vrgpf.m $e |- G = ( freeGrp ` I ) $.
    ${
      vrgpf.x $e |- X = ( Base ` G ) $.
      $( The mapping from the index set to the generators is a function into
         the free group.  (Contributed by Mario Carneiro, 2-Oct-2015.) $)
      vrgpf $p |- ( I e. V -> U : I --> X ) $=
        ( vj wcel cv c0 cop c2o c1o mpan2 cvv con0 cs1 cec vrgpfval cxp cid cfv
        cword cpr 0ex prid1 df2o3 eleqtrri opelxpi adantl s1cld wceq 2on adantr
        wa xpexg wrdexg fvi 3syl eleqtrrd eqid frgpeccl syl fmpt3d ) DELZKDKMZN
        OZUAZAUBZFBABKDEGHUCVIVJDLZUSZVLDPUDZUGZUEUFZLVMFLVOVLVQVRVOVKVPVNVKVPL
        ZVIVNNPLVSNNQUHPNQUIUJUKULVJNDPUMRUNUOVOVPSLZVQSLVRVQUPVIVTVNVIPTLVTUQD
        PETUTRURVPSVAVQSVBVCVDFACDVRVLIGVRVEJVFVGVH $.
    $}

    vrgpinv.n $e |- N = ( invg ` G ) $.
    $( The inverse of a generating element is represented by ` <. A , 1 >. `
       instead of ` <. A , 0 >. ` .  (Contributed by Mario Carneiro,
       2-Oct-2015.) $)
    vrgpinv $p |- ( ( I e. V /\ A e. I ) ->
      ( N ` ( U ` A ) ) = [ <" <. A , 1o >. "> ] .~ ) $=
      ( vx vy wcel cfv c0 cop c2o c1o wceq wa cs1 cv cdif cmpo creverse vrgpval
      cec ccom cxp cword cid simpr cpr 0ex prid1 df2o3 eleqtrri opelxpi sylancl
      fveq2d s1cld cvv con0 simpl 2on wrdexg fvi 3syl eleqtrrd eqid frgpinv syl
      xpexg revs1 a1i coeq2d wf efgmf s1co co efgmval df-ov dif0 opeq2i 3eqtr3g
      s1eqd 3eqtrd eceq1d ) EGNZAENZUAZACOZFOAPQZUBZBUHZFOZLMERLUCSMUCUDQUEZWOU
      FOZUIZBUHZASQZUBZBUHWLWMWPFABCEGHIUGVAWLWOERUJZUKZULOZNWQXATWLWOXEXFWLWNX
      DWLWKPRNZWNXDNZWJWKUMZPPSUNRPSUOUPUQURZAPERUSUTZVBWLXDVCNZXEVCNXFXETWLWJR
      VDNXLWJWKVEVFERGVDVNUTXDVCVGXEVCVHVIVJLMWOBDEWRFXFXFVKJHKWRVKZVLVMWLWTXCB
      WLWTWRWOUIZWNWROZUBZXCWLWSWOWRWSWOTWLWNVOVPVQWLXHXDXDWRVRXNXPTXKLMEWRXMVS
      XDXDWNWRVTUTWLXOXBWLAPWRWAZASPUDZQZXOXBWLWKXGXQXSTXIXJLMAPEWRXMWBUTAPWRWC
      XRSASWDWEWFWGWHWIWH $.
  $}

  ${
    $d a b g u v y z A $.  $d a c h t u E $.  $d a b c g h n r t u v x H $.
    $d u v C $.  $d y z F $.  $d a i j n t w K $.  $d a b M $.  $d a b y z N $.
    $d a c g h n t y z B $.  $d a c t u w G $.  $d a b g h i j n r u v x T $.
    $d a b g h i j n r t u w x .~ $.  $d a b c g h i j n t u w x y z ph $.
    $d a b i j n r w x y z I $.  $d w V $.  $d a b g h n r t u v w x W $.
    $d a b c n u w X $.
    frgpup.b $e |- B = ( Base ` H ) $.
    frgpup.n $e |- N = ( invg ` H ) $.
    frgpup.t $e |- T = ( y e. I , z e. 2o |->
      if ( z = (/) , ( F ` y ) , ( N ` ( F ` y ) ) ) ) $.
    frgpup.h $e |- ( ph -> H e. Grp ) $.
    frgpup.i $e |- ( ph -> I e. V ) $.
    frgpup.a $e |- ( ph -> F : I --> B ) $.
    $( Any assignment of the generators to target elements can be extended
       (uniquely) to a homomorphism from a free monoid to an arbitrary other
       monoid.  (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    frgpuptf $p |- ( ph -> T : ( I X. 2o ) --> B ) $=
      ( cv cfv wcel c2o c0 wceq cif wral cxp wf ffvelrnda adantrr cgrp grpinvcl
      wa syl2an2r ifcld ralrimivva fmpo sylib ) ACQZUAUBZBQZFRZUTIRZUCZDSZCTUDB
      HUDHTUEDEUFAVCBCHTAUSHSZUQTSZUKZUKURUTVADAVDUTDSZVEAHDUSFPUGUHZAGUISVFVGV
      ADSNVHDGIUTKLUJULUMUNBCHTVBDEMUOUP $.

    ${
      frgpuptinv.m $e |- M = ( y e. I , z e. 2o |-> <. y , ( 1o \ z ) >. ) $.
      $( Any assignment of the generators to target elements can be extended
         (uniquely) to a homomorphism from a free monoid to an arbitrary other
         monoid.  (Contributed by Mario Carneiro, 2-Oct-2015.) $)
      frgpuptinv $p |- ( ( ph /\ A e. ( I X. 2o ) ) ->
        ( T ` ( M ` A ) ) = ( N ` ( T ` A ) ) ) $=
        ( c1o va vb c2o cxp wcel cfv wceq cv cop wrex elxp2 cdif efgmval adantl
        wa co fveq2d df-ov eqtr4di c0 wo elpri df2o3 eleq2s simpr 1oex eleqtrri
        cpr prid2 cif wne 1n0 neeq1 mpbiri ifnefalse syl fveq2 sylan9eqr ovmpoa
        fvex sylancl 0ex prid1 iftrue eqtr4d difeq2 eqtrdi oveq2d oveq2 eqeq12d
        dif0 syl5ibrcom cgrp ffvelrnda eqeltrd grpinvinv eqtr2d difid jaod syl5
        syl2an2r impr eqtrd rexlimdvva syl5bi imp ) ADIUCUDUEZDJUFZFUFZDFUFZKUF
        ZUGZXGDUAUHZUBUHZUIZUGZUBUCUJUAIUJAXLUAUBDIUCUKAXPXLUAUBIUCAXMIUEZXNUCU
        EZUOZUOZXLXPXMXNJUPZFUFZXMXNFUPZKUFZUGXTYBXMTXNULZFUPZYDXTYBXMYEUIZFUFY
        FXTYAYGFXSYAYGUGABCXMXNIJSUMUNUQXMYEFURUSAXQXRYFYDUGZXRXNUTUGZXNTUGZVAZ
        AXQUOZYHYKXNUTTVHZUCXNUTTVBVCVDYLYIYHYJYLYHYIXMTFUPZXMUTFUPZKUFZUGYLYNX
        MGUFZKUFZYPYLXQTUCUEYNYRUGAXQVEZTYMUCUTTVFVIVCVGBCXMTIUCCUHZUTUGZBUHZGU
        FZUUCKUFZVJZYRFYTTUGZUUBXMUGZUUEUUDYRUUFYTUTVKZUUEUUDUGUUFUUHTUTVKVLYTT
        UTVMVNYTUTUUCUUDVOVPUUGUUCYQKUUBXMGVQZUQVROYQKVTVSWAYLYOYQKYLXQUTUCUEYO
        YQUGYSUTYMUCUTTWBWCVCVGBCXMUTIUCUUEYQFUUAUUGUUEUUCYQUUAUUCUUDWDUUIVROXM
        GVTVSWAZUQWEZYIYFYNYDYPYIYETXMFYIYETUTULTXNUTTWFTWKWGWHYIYCYOKXNUTXMFWI
        UQWJWLYLYHYJYOYNKUFZUGYLUULYPKUFZYOYLYNYPKUUKUQAHWMUEXQYOEUEUUMYOUGPYLY
        OYQEUUJAIEXMGRWNWOEHKYOMNWPXAWQYJYFYOYDUULYJYEUTXMFYJYETTULUTXNTTWFTWRW
        GWHYJYCYNKXNTXMFWIUQWJWLWSWTXBXCXPXIYBXKYDXPXHYAFXPXHXOJUFYADXOJVQXMXNJ
        URUSUQXPXJYCKXPXJXOFUFYCDXOFVQXMXNFURUSUQWJWLXDXEXF $.
    $}

    frgpup.w $e |- W = ( _I ` Word ( I X. 2o ) ) $.
    frgpup.r $e |- .~ = ( ~FG ` I ) $.
    $( Any assignment of the generators to target elements can be extended
       (uniquely) to a homomorphism from a free monoid to an arbitrary other
       monoid.  (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    frgpuplem $p |- ( ( ph /\ A .~ C ) ->
      ( H gsum ( T o. A ) ) = ( H gsum ( T o. C ) ) ) $=
      ( vu vv vr vx vn va vb wbr wa cpr wss ccom cgsu co wceq copab wer cop c1o
      cdif cs2 cotp csplice c2o wral cc0 chash cfv cfz cab cint efgval wcel cxp
      cv cin cvv coeq2 oveq2d eqid eqer a1i erinxp wb df-xp ineq1i incom inopab
      ssv 3eqtr3i vex prss anbi1i opabbii eqtri ereq1 ax-mp sylib simplrl cword
      fviss eqsstri sselid opelxpi adantl simprl 2oconcl ad2antll opelxpd s2cld
      cid splcl syl2anc efgrcl syl simprd eleqtrrd cpfx csubstr cplusg ad2antrr
      cconcat wf ccatco syl3anc wrdco gsumccat df-ov eqtr3d eqtrd 3eqtr4d eleq1
      cn0 coeq2d eqeqan12d anbi12d ralrimivva 2ralbidv pfxcl frgpuptf cmnd cgrp
      grpmndd s2co fveq2i cmpo efgmval eqtr3id fveq2d frgpuptinv sylan2 adantlr
      eqtr4id s2eqd eqtr4d simprr fovrnd grpinvcl gsumws2 grprinv 3eqtrd grprid
      c0g gsumwcl 3eqtrrd oveq1d swrdcl ccatcl simplrr cuz lencl nn0uz eleqtrdi
      eluzfz2 ccatpfx pfxid splval syl13anc ovex bitr3id braba syl21anbrc fvexi
      bi2anan9 erex mpisyl breq elabg mpbir2and intss1 eqsstrid ssbrd imp efger
      wrel errel mp1i brrelex12 sylan preq12 sseq1d brabga mpbid ) ADFGUJZUKZDF
      ULZNUMZJHDUNZUOUPZJHFUNZUOUPZUQZUXGDFUCVQZUDVQZULZNUMZJHUXOUNZUOUPZJHUXPU
      NZUOUPZUQZUKZUCUDURZUJZUXIUXNUKZAUXFUYFAGUYEDFAGNUEVQZUSZUFVQZUYJUGVQZUYK
      UHVQZUIVQZUTZUYLVAUYMVBZUTZVCZVDZVEUPZUYHUJZUIVFVGUHKVGZUGVHUYJVIVJZVKUPZ
      VGUFNVGZUKZUEVLZVMZUYEUFUHUIGUGKNUEUAUBVNAUYEVUFVOZVUGUYEUMAVUHNUYEUSZUYJ
      UYSUYEUJZUIVFVGUHKVGZUGVUCVGUFNVGZANUYCUCUDURZNNVPZVRZUSZVUIAVSNVUMVSVUMU
      SAUCUDUXTUYBVUMUXOUXPUQUXSUYAJUOUXOUXPHVTWAVUMWBWCWDNVSUMANWKWDWEVUOUYEUQ
      VUPVUIWFVUOUXONVOZUXPNVOZUKZUYCUKZUCUDURZUYEVUNVUMVRVUSUCUDURZVUMVRVUOVVA
      VUNVVBVUMUCUDNNWGWHVUNVUMWIVUSUYCUCUDWJWLVUTUYDUCUDVUSUXRUYCUXOUXPNUCWMUD
      WMWNZWOWPWQNVUOUYEWRWSWTZAVUKUFUGNVUCAUYJNVOZUYKVUCVOZUKZUKZVUJUHUIKVFVVH
      UYLKVOZUYMVFVOZUKZUKZVVEUYSNVOZJHUYJUNZUOUPZJHUYSUNZUOUPZUQZVUJAVVEVVFVVK
      XAZVVLUYSKVFVPZXBZNVVLUYJVWAVOZUYQVWAVOZUYSVWAVOVVLNVWAUYJNVWAXMVJVWAUAVW
      AXCXDVVSXEZVVLUYNUYPVVTVVKUYNVVTVOZVVHUYLUYMKVFXFZXGZVVLUYLUYOKVFVVHVVIVV
      JXHZVVJUYOVFVOVVHVVIUYMXIXJXKZXLZVVTUYQUYJUYKUYKXNXOVVLKVSVOZNVWAUQZVVLVV
      EVWKVWLUKVVSUYJKNUAXPXQXRXSVVLJHUYJUYKXTUPZUNZHUYJUYKVUBUTYAUPZUNZYDUPZUO
      UPZJHVWMUYQYDUPZUNZVWPYDUPZUOUPZVVOVVQVVLJVWNUOUPZJVWPUOUPZJYBVJZUPZJVWTU
      OUPZVXDVXEUPZVWRVXBVVLVXCVXGVXDVXEVVLVXGJVWNHUYQUNZYDUPZUOUPZVXCJVXIUOUPZ
      VXEUPZVXCVVLVWTVXJJUOVVLVWMVWAVOZVWCVVTEHYEZVWTVXJUQVVLVWBVXNVWDVVTUYJUYK
      UUAXQZVWJAVXOVVGVVKABCEHIJKLMOPQRSTUUBYCZVVTEVWMUYQHYFYGWAVVLJUUCVOZVWNEX
      BZVOZVXIVXSVOZVXKVXMUQVVLJAJUUDVOZVVGVVKRYCZUUEZVVLVXNVXOVXTVXPVXQVVTEHVW
      MYHXOZVVLVWCVXOVYAVWJVXQVVTEHUYQYHXOEVXEJVWNVXIOVXEWBZYIYGVVLVXMVXCJUVEVJ
      ZVXEUPZVXCVVLVXLVYGVXCVXEVVLVXLJUYLUYMHUPZVYILVJZVCZUOUPZVYIVYJVXEUPZVYGV
      VLVXIVYKJUOVVLVXIUYNHVJZUYPHVJZVCVYKVVLUYNUYPHVVTEVXQVWGVWIUUFVVLVYIVYJVY
      NVYOVYIVYNUQVVLUYLUYMHYJZWDVVLVYJVYNLVJZVYOVYIVYNLVYPUUGVVLUYNBCKVFBVQVAC
      VQVBUTUUHZVJZHVJZVYOVYQVVLVYSUYPHVVKVYSUYPUQVVHVVKVYSUYLUYMVYRUPUYPUYLUYM
      VYRYJBCUYLUYMKVYRVYRWBZUUIUUJXGUUKAVVKVYTVYQUQZVVGVVKAVWEWUBVWFABCUYNEHIJ
      KVYRLMOPQRSTWUAUULUUMUUNYKUUOUUPUUQWAVVLVXRVYIEVOZVYJEVOZVYLVYMUQVYDVVLUY
      LUYMEKVFHVXQVWHVVHVVIVVJUURUUSZVVLVYBWUCWUDVYCWUEEJLVYIOPUUTXOEVXEVYIVYJJ
      OVYFUVAYGVVLVYBWUCVYMVYGUQVYCWUEEVXEJLVYIVYGOVYFVYGWBZPUVBXOUVCWAVVLVYBVX
      CEVOZVYHVXCUQVYCVVLVXRVXTWUGVYDVYEEJVWNOUVFXOEVXEJVXCVYGOVYFWUFUVDXOYLUVG
      UVHVVLVXRVXTVWPVXSVOZVWRVXFUQVYDVYEVVLVWOVWAVOZVXOWUHVVLVWBWUIVWDVVTUYJUY
      KVUBUVIXQZVXQVVTEHVWOYHXOZEVXEJVWNVWPOVYFYIYGVVLVXRVWTVXSVOZWUHVXBVXHUQVY
      DVVLVWSVWAVOZVXOWULVVLVXNVWCWUMVXPVWJVVTVWMUYQUVJXOZVXQVVTEHVWSYHXOWUKEVX
      EJVWTVWPOVYFYIYGYMVVLVVNVWQJUOVVLHVWMVWOYDUPZUNZVVNVWQVVLWUOUYJHVVLWUOUYJ
      VUBXTUPZUYJVVLVWBVVFVUBVUCVOZWUOWUQUQVWDAVVEVVFVVKUVKZVVLVUBVHUVLVJZVOWUR
      VVLVUBYOWUTVVLVWBVUBYOVOVWDVVTUYJUVMXQUVNUVOVHVUBUVPXQVVTUYJUYKVUBUVQYGVV
      LVWBWUQUYJUQVWDVVTUYJUVRXQYLYPVVLVXNWUIVXOWUPVWQUQVXPWUJVXQVVTEVWMVWOHYFY
      GYKWAVVLVVPVXAJUOVVLVVPHVWSVWOYDUPZUNZVXAVVLUYSWVAHVVLVVEVVFVVFVWCUYSWVAU
      QVVSWUSWUSVWJUYQUYJUYKUYKNVUCVUCVWAUVSUVTYPVVLWUMWUIVXOWVBVXAUQWUNWUJVXQV
      VTEVWSVWOHYFYGYLWAYMUYDVVEVVMUKZVVRUKUCUDUYJUYSUYEUFWMUYJUYRVEUWAUXOUYJUQ
      ZUXPUYSUQZUKZUXRWVCUYCVVRUXRVUSWVFWVCVVCWVDVUQVVEWVEVURVVMUXOUYJNYNUXPUYS
      NYNUWFUWBWVDWVEUXTVVOUYBVVQWVDUXSVVNJUOUXOUYJHVTWAWVEUYAVVPJUOUXPUYSHVTWA
      YQYRUYEWBZUWCUWDYSYSAUYEVSVOZVUHVUIVULUKZWFAVUINVSVOWVHVVDNVWAXMUAUWENUYE
      VSUWGUWHVUEWVIUEUYEVSUYHUYEUQZUYIVUIVUDVULNUYHUYEWRWVJVUAVUKUFUGNVUCWVJUY
      TVUJUHUIKVFUYJUYSUYHUYEUWIYTYTYRUWJXQUWKUYEVUFUWLXQUWMUWNUWOUXGDVSVOFVSVO
      UKZUYFUYGWFAGUWQZUXFWVKNGUSWVLAGKNUAUBUWPNGUWRUWSDFGUWTUXAUYDUYGUCUDDFUYE
      VSVSUXODUQZUXPFUQZUKZUXRUXIUYCUXNWVOUXQUXHNUXOUXPDFUXBUXCWVMWVNUXTUXKUYBU
      XMWVMUXSUXJJUOUXODHVTWAWVNUYAUXLJUOUXPFHVTWAYQYRWVGUXDXQUXEXR $.

    frgpup.g $e |- G = ( freeGrp ` I ) $.
    frgpup.x $e |- X = ( Base ` G ) $.
    frgpup.e $e |- E = ran ( g e. W |->
      <. [ g ] .~ , ( H gsum ( T o. g ) ) >. ) $.
    $( Any assignment of the generators to target elements can be extended
       (uniquely) to a homomorphism from a free monoid to an arbitrary other
       monoid.  (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    frgpupf $p |- ( ph -> E : X --> B ) $=
      ( vh wf cqs wfun cv ccom cgsu cvv cmnd wcel cword grpmndd c2o cxp cid cfv
      fviss eqsstri sseli frgpuptf wrdco syl2anr gsumwcl syl2an2r wer efger a1i
      co fvexi wceq coeq2 oveq2d frgpuplem qliftfund qliftf mpbid cbs cqus eqid
      cfrmd frgpval syl con0 2on xpexg sylancl wrdexg fvi eqtrid frmdbas eqtr4d
      3syl cefg fvexd qusbas eqtr4id feq2d mpbird ) APDHUIOEUJZDHUIZAHUKXGAGUHK
      FGULZUMZUNVOZKFUHULZUMZUNVOEHUOODUGAKUPUQXHOUQZXIDURUQZXJDUQAKTUSXMXHLUTV
      AZURZUQXODFUIXNAOXPXHOXPVBVCZXPUCXPVDVEVFABCDFIKLMNQRSTUAUBVGXODFXHVHVIDK
      XIQVJVKZOEVLAELOUCUDVMVNZOUOUQAOXPVBUCVPVNZXHXKVQXIXLKUNXHXKFVRVSABCXHDXK
      EFIKLMNOQRSTUAUBUCUDVTWAAGXJEHUOODUGXRXSXTWBWCAPXFDHAPJWDVCXFUFAEXOWGVCZJ
      OUOUOALNUQZJYAEWEVOVQUAEJLYANUEYAWFZUDWHWIAOXPYAWDVCZAOXQXPUCAXOUOUQZXPUO
      UQXQXPVQAYBUTWJUQYEUAWKLUTNWJWLWMZXOUOWNXPUOWOWSWPAYEYDXPVQYFYDXOYAUOYCYD
      WFWQWIWREUOUQAELWTUDVPVNAXOWGXAXBXCXDXE $.

    $( Any assignment of the generators to target elements can be extended
       (uniquely) to a homomorphism from a free monoid to an arbitrary other
       monoid.  (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    frgpupval $p |- ( ( ph /\ A e. W ) ->
      ( E ` [ A ] .~ ) = ( H gsum ( T o. A ) ) ) $=
      ( cv ccom cgsu co cvv wcel wa ovexd wer efger a1i c2o cxp cword cid fvexi
      wceq coeq2 oveq2d frgpupf ffund qliftval ) AHLGHUIZUJZUKULLGDUJZUKULDFIUM
      PUMUHAVKPUNUOLVLUKUPPFUQAFMPUDUEURUSPUMUNAPMUTVAVBVCUDVDUSVKDVEVLVMLUKVKD
      GVFVGAQEIABCEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHVHVIVJ $.

    $( Any assignment of the generators to target elements can be extended
       (uniquely) to a homomorphism from a free monoid to an arbitrary other
       monoid.  (Contributed by Mario Carneiro, 2-Oct-2015.)  (Revised by Mario
       Carneiro, 28-Feb-2016.) $)
    frgpup1 $p |- ( ph -> E e. ( G GrpHom H ) ) $=
      ( va vc vu vt cplusg cfv eqid wcel cgrp frgpgrp syl frgpupf cv co wceq wa
      cqs wss cbs c2o cxp cfrmd cvv cqus frgpval cword cid xpexg sylancl wrdexg
      con0 2on fvi 3syl eqtrid frmdbas eqtr4d fvexi fvexd qusbas eqtr4id eqimss
      cefg a1i adantr sselda oveq2 fveq2d oveq2d eqeq12d adantlr fvoveq1 oveq1d
      fveq2 cconcat ccom cgsu fviss eqsstri sseli ccatcl syl2an efgrcl eleqtrrd
      simprd frgpupval sylan2 wf ad2antrl ad2antll frgpuptf ccatco syl3anc cmnd
      cec grpmndd wrdco syl2anr adantrr syl2anc gsumccat 3eqtrd frgpadd adantrl
      adantl oveq12d 3eqtr4d anass1rs ectocld syldan an32s anasss isghmd ) AUHU
      IJULUMZKULUMZJKHPDUFQUUAUNZUUBUNZALNUOZJUPUOUAJLNUEUQURTABCDEFGHIJKLMNOPQ
      RSTUAUBUCUDUEUFUGUSAUHUTZPUOZUIUTZPUOZUUFUUHUUAVAZHUMZUUFHUMZUUHHUMZUUBVA
      ZVBZAUUGVCZUUIUUHOEVDZUOUUOUUPPUUQUUHAPUUQVEZUUGAPUUQVBUURAPJVFUMUUQUFAEL
      VGVHZVIUMZJOVJVJAUUEJUUTEVKVAVBUAEJLUUTNUEUUTUNZUDVLURAOUUSVMZUUTVFUMZAOU
      VBVNUMZUVBUCAUUSVJUOZUVBVJUOUVDUVBVBAUUEVGVRUOUVEUAVSLVGNVRVOVPZUUSVJVQUV
      BVJVTWAWBAUVEUVCUVBVBUVFUVCUUSUUTVJUVAUVCUNWCURWDEVJUOAELWJUDWEWKAUUSVIWF
      WGWHPUUQWIURZWLWMUUFUJUTZEYBZUUAVAZHUMZUULUVIHUMZUUBVAZVBZUUOUUPUJUUHOEUU
      QUUQUNZUVIUUHVBZUVKUUKUVMUUNUVPUVJUUJHUVIUUHUUFUUAWNWOUVPUVLUUMUULUUBUVIU
      UHHXAWPWQAUVHOUOZUUGUVNAUVQVCZUUGUUFUUQUOZUVNAUUGUVSUVQAPUUQUUFUVGWMWRUKU
      TZEYBZUVIUUAVAZHUMZUWAHUMZUVLUUBVAZVBZUVNUVRUKUUFOEUUQUVOUWAUUFVBZUWCUVKU
      WEUVMUWAUUFUVIHUUAWSUWGUWDUULUVLUUBUWAUUFHXAWTWQAUVTOUOZUVQUWFAUWHUVQVCZV
      CZUVTUVHXBVAZEYBZHUMZKFUVTXCZXDVAZKFUVHXCZXDVAZUUBVAZUWCUWEUWJUWMKFUWKXCZ
      XDVAZKUWNUWPXBVAZXDVAZUWRUWIAUWKOUOUWMUWTVBUWIUWKUVBOUWHUVTUVBUOZUVHUVBUO
      ZUWKUVBUOUVQOUVBUVTOUVDUVBUCUVBXEXFZXGZOUVBUVHUXEXGZUUSUVTUVHXHXIUWILVJUO
      ZOUVBVBZUWHUXHUXIVCUVQUVTLOUCXJWLXLXKABCUWKDEFGHIJKLMNOPQRSTUAUBUCUDUEUFU
      GXMXNUWJUWSUXAKXDUWJUXCUXDUUSDFXOZUWSUXAVBUWHUXCAUVQUXFXPUVQUXDAUWHUXGXQZ
      AUXJUWIABCDFIKLMNQRSTUAUBXRZWLZUUSDUVTUVHFXSXTWPUWJKYAUOZUWNDVMZUOZUWPUXO
      UOZUXBUWRVBAUXNUWIAKTYCWLAUWHUXPUVQUWHUXCUXJUXPAUXFUXLUUSDFUVTYDYEYFUWJUX
      DUXJUXQUXKUXMUUSDFUVHYDYGDUUBKUWNUWPQUUDYHXTYIUWJUWBUWLHUWIUWBUWLVBAUVTUV
      HUUAEJLOUCUEUDUUCYJYLWOUWJUWDUWOUVLUWQUUBAUWHUWDUWOVBUVQABCUVTDEFGHIJKLMN
      OPQRSTUAUBUCUDUEUFUGXMYFAUVQUVLUWQVBUWHABCUVHDEFGHIJKLMNOPQRSTUAUBUCUDUEU
      FUGXMYKYMYNYOYPYQYRYPYQYSYT $.

    frgpup.u $e |- U = ( varFGrp ` I ) $.
    ${
      frgpup.y $e |- ( ph -> A e. I ) $.
      $( The evaluation map has the intended behavior on the generators.
         (Contributed by Mario Carneiro, 2-Oct-2015.)  (Revised by Mario
         Carneiro, 28-Feb-2016.) $)
      frgpup2 $p |- ( ph -> ( E ` ( U ` A ) ) = ( F ` A ) ) $=
        ( cfv c0 cop cs1 cec ccom cgsu wcel wceq vrgpval syl2anc fveq2d c2o cxp
        co cword c1o cpr 0ex prid1 df2o3 eleqtrri opelxpi sylancl s1cld cid cvv
        con0 2on xpexg wrdexg fvi 3syl eqtrid eleqtrrd frgpupval mpdan frgpuptf
        wf s1co df-ov cv iftrue fveq2 sylan9eqr fvex ovmpoa eqtr3id s1eqd eqtrd
        cif oveq2d ffvelrnd gsumws1 syl 3eqtrd ) ADHULZJULDUMUNZUOZFUPZJULZMGXJ
        UQZURVFZDKULZAXHXKJANPUSZDNUSZXHXKUTUCUKDFHNPUFUJVAVBVCAXJQUSXLXNUTAXJN
        VDVEZVGZQAXIXRAXQUMVDUSZXIXRUSZUKUMUMVHVIVDUMVHVJVKVLVMZDUMNVDVNVOZVPAQ
        XSVQULZXSUEAXRVRUSZXSVRUSYDXSUTAXPVDVSUSYEUCVTNVDPVSWAVOXRVRWBXSVRWCWDW
        EWFABCXJEFGIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIWGWHAXNMXOUOZURVFZXOAXMYFMURAX
        MXIGULZUOZYFAYAXREGWJXMYIUTYCABCEGKMNOPSTUAUBUCUDWIXREXIGWKVBAYHXOAYHDU
        MGVFZXODUMGWLAXQXTYJXOUTUKYBBCDUMNVDCWMUMUTZBWMZKULZYMOULZXBZXOGYKYLDUT
        YOYMXOYKYMYNWNYLDKWOWPUADKWQWRVOWSWTXAXCAXOEUSYGXOUTANEDKUDUKXDEXOMSXEX
        FXAXG $.
    $}

    frgpup3.k $e |- ( ph -> K e. ( G GrpHom H ) ) $.
    frgpup3.e $e |- ( ph -> ( K o. U ) = F ) $.
    $( The evaluation map has the intended behavior on the generators.
       (Contributed by Mario Carneiro, 2-Oct-2015.)  (Revised by Mario
       Carneiro, 28-Feb-2016.) $)
    frgpup3lem $p |- ( ph -> K = E ) $=
      ( va vt vw vn vi vj cghm co wcel wf wfn ghmf ffn 3syl frgpup1 cv cqs wceq
      cfv wss cbs c2o cxp cfrmd cvv cqus eqid frgpval syl cword cid 2on sylancl
      con0 xpexg wrdexg fvi eqtrid frmdbas eqtr4d cefg fvexi a1i qusbas eqtr4id
      fvexd eqimss sselda cec fveq2 eqeq12d wa cmpt cvrmd ccom cgsu cc0 cs1 cop
      chash wrex simpr adantr ffvelrnda c0 cif weq fveq2d fvex adantl c1o sylan
      opeq2d s1eqd eceq1d 3eqtr4d syl2an2r wne ad2antrr eleqtrrd feqmptd fmptco
      s1eq cmhm mpbird wrdco syl2anc gsumwmhm cfzo eleqtrd elxp2 sylib wi eqeq1
      wrdf ifeq12d ifbid ovmpo cpr elpri df2o3 eleq2s fveq1d vrgpf fvco3 eqtr3d
      ifex wo iftrue vrgpval cminusg ghminv 1n0 neeq1d mpbiri ifnefalse vrgpinv
      jaodan sylan2 anasss eqtrd df-ov syl5ibrcom rexlimdvva mpteq2dva frgpuptf
      eqtr4di fcompt s1cld frgpeccl vrmdfval eqidd eceq1 oveq2d frgpupval vrmdf
      mpd ghmmhm feq3d mpteq1d frgpmhm eqeltrd mhmf feq2d frmdgsum wer divsfval
      wrdeq efger 3eqtr3d eqtr2d ectocld syldan eqfnfvd ) AUMRNIANKLUSUTZVAZRDN
      VBZNRVCUKKLNRDUHSVDZRDNVEVFAIUXGVARDIVBIRVCABCDEFHIJKLMOPQRSTUAUBUCUDUEUF
      UGUHUIVGKLIRDUHSVDRDIVEVFAUMVHZRVAUXKQEVIZVAUXKNVKZUXKIVKZVJZARUXLUXKARUX
      LVJRUXLVLARKVMVKUXLUHAEMVNVOZVPVKZKQVQVQAMPVAZKUXQEVRUTVJUCEKMUXQPUGUXQVS
      ZUFVTWAAQUXPWBZUXQVMVKZAQUXTWCVKZUXTUEAUXPVQVAZUXTVQVAUYBUXTVJAUXRVNWFVAZ
      UYCUCWDMVNPWFWGZWEZUXPVQWHUXTVQWIVFWJZAUYCUYAUXTVJZUYFUYAUXPUXQVQUXSUYAVS
      ZWKWAZWLZEVQVAAEMWMUFWNWOAUXPVPWRWPWQRUXLWSWAWTUNVHZEXAZNVKZUYMIVKZVJUXOA
      UNUXKQEUXLUXLVSUYMUXKVJUYNUXMUYOUXNUYMUXKNXBUYMUXKIXBXCAUYLQVAZXDZUYOKUOQ
      UOVHZEXAZXEZUXPXFVKZUYLXGZXGZXHUTZNVKZUYNUYQLFUYLXGZXHUTLNVUCXGZXHUTZUYOV
      UEUYQVUFVUGLXHUYQUPXIUYLXLVKUUAUTZUPVHZUYLVKZFVKZXEZUPVUIVUKXJZEXAZNVKZXE
      VUFVUGUYQUPVUIVULVUPUYQVUJVUIVAZXDZVUKUQVHZURVHZXKZVJZURVNXMUQMXMZVULVUPV
      JZVURVUKUXPVAVVCUYQVUIUXPVUJUYLUYQUYLUXTVAZVUIUXPUYLVBZUYQUYLQUXTAUYPXNAQ
      UXTVJZUYPUYGXOZUUBZUXPUYLUUGWAZXPZUQURVUKMVNUUCUUDAVVCVVDUUEUYPVUQAVVBVVD
      UQURMVNAVUSMVAZVUTVNVAZXDZXDZVVDVVBVUSVUTFUTZVVAXJZEXAZNVKZVJVVOVVPVUTXQV
      JZVUSJVKZVWAOVKZXRZVVSVVNVVPVWCVJABCVUSVUTMVNCVHZXQVJZBVHZJVKZVWGOVKZXRVW
      CFVWEVWAVWBXRBUQXSZVWEVWGVWAVWHVWBVWFVUSJXBZVWIVWGVWAOVWJXTUUHCURXSVWEVVT
      VWAVWBVWDVUTXQUUFUUIUAVVTVWAVWBVUSJYAVWAOYAUUSUUJYBAVVLVVMVWCVVSVJZVVMAVV
      LXDZVVTVUTYCVJZUUTZVWKVWNVUTXQYCUUKVNVUTXQYCUULUUMUUNVWLVVTVWKVWMVWLVVTXD
      ZVWAVUSGVKZNVKZVWCVVSVWLVWAVWQVJVVTVWLVUSNGXGZVKZVWAVWQVWLVUSVWRJAVWRJVJV
      VLULXOUUOAMRGVBZVVLVWSVWQVJAUXRVWTUCEGKMPRUFUJUGUHUUPWAZMRVUSNGUUQYDUURZX
      OVVTVWCVWAVJVWLVVTVWAVWBUVAYBVWOVVRVWPNVWOVVRVUSXQXKZXJZEXAZVWPVWOVVQVXDE
      VWOVVAVXCVWOVUTXQVUSVWLVVTXNYEYFYGVWLVWPVXEVJZVVTAUXRVVLVXFUCVUSEGMPUFUJU
      VBYDXOWLXTYHVWLVWMXDZVWBVWPKUVCVKZVKZNVKZVWCVVSVWLVWBVXJVJVWMVWLVWBVWQOVK
      ZVXJVWLVWAVWQOVXBXTAUXHVVLVWPRVAVXJVXKVJUKAMRVUSGVXAXPRKLNVXHOVWPUHVXHVSZ
      TUVDYIWLXOVXGVUTXQYJZVWCVWBVJVXGVXMYCXQYJUVEVXGVUTYCXQVWLVWMXNZUVFUVGVUTX
      QVWAVWBUVHWAVXGVVRVXINVXGVVRVUSYCXKZXJZEXAZVXIVXGVVQVXPEVXGVVAVXOVXGVUTYC
      VUSVXNYEYFYGVWLVXIVXQVJZVWMAUXRVVLVXRUCVUSEGKMVXHPUFUJUGVXLUVIYDXOWLXTYHU
      VJUVKUVLUVMVVBVULVVPVUPVVSVVBVULVVAFVKVVPVUKVVAFXBVUSVUTFUVNUVSVVBVUOVVRN
      VVBVUNVVQEVUKVVAYOYGXTXCUVOUVPYKUWIUVQAUXPDFVBUYPVVFVUFVUMVJABCDFJLMOPSTU
      AUBUCUDUVRVVJUPFUYLVUIUXPDUVTYIUYQUPUOVUIRVUOUYRNVKVUPVUCNVURVUNQVAVUORVA
      VURVUNUXTQVURVUKUXPVVKUWAAVVGUYPVUQUYGYKYLZREKMQVUNUGUFUEUHUWBWAUYQUPUOVU
      IQVUNUYSVUOVUBUYTVXSUYQUPUOVUIUXPVUKUYRXJZVUNUYLVUAVVKUYQUPVUIUXPUYLVVJYM
      UYQUYCVUAUOUXPVXTXEVJUYQUXRUYDUYCAUXRUYPUCXOZWDUYEWEZVUAUOUXPVQVUAVSZUWCW
      AUYRVUKYOYNUYQUYTUWDUYRVUNEUWEYNUYQUORDNUYQUXHUXIAUXHUYPUKXOZUXJWAYMUYRVU
      ONXBYNYHUWFABCUYLDEFHIJKLMOPQRSTUAUBUCUDUEUFUGUHUIUWGUYQNKLYPUTVAZVUCRWBV
      AZVUEVUHVJUYQUXHVYEVYDKLNUWJWAUYQVUBQWBVAZQRUYTVBZVYFUYQVVEUXPQVUAVBZVYGV
      VIUYQVYIUXPUXTVUAVBZUYQUYCVYJVYBVUAUXPVQVYCUWHWAZUYQQUXTVUAUXPVVHUWKYQUXP
      QVUAUYLYRYSUYQVYHUYARUYTVBZUYQUYTUXQKYPUTZVAZVYLUYQUYTUOUYAUYSXEZVYMUYQUO
      QUYAUYSAQUYAVJUYPUYKXOZUWLUYQUXRVYOVYMVAVYAUOEVYOKMUXQPUYAUXSUYIUGUFVYOVS
      UWMWAUWNZUYARUXQKUYTUYIUHUWOWAUYQQUYARUYTVYPUWPYQQRUYTVUBYRYSRNKLVUCUHYTY
      SYHUYQVUDUYMNUYQUXQVUBXHUTZUYTVKZUYLUYTVKVUDUYMUYQVYRUYLUYTAUYCUYPVVEVYRU
      YLVJUYFVVIVUAUXPUXQVQUYLUXSVYCUWQYIXTUYQVYNVUBUYAWBZVAVYSVUDVJVYQUYQVUBUX
      TWBZVYTUYQVVEVYJVUBWUAVAVVIVYKUXPUXTVUAUYLYRYSUYQUYHVYTWUAVJAUYHUYPUYJXOU
      YAUXTUWTWAYLUYAUYTUXQKVUBUYIYTYSUYQUOUYLEUYTQVQQEUWRUYQEMQUEUFUXAWOQVQVAU
      YQQUXTWCUEWNWOUYTVSUWSUXBXTUXCUXDUXEUXF $.
  $}

  ${
    $d g k m y z B $.  $d g k m y z F $.  $d g k m y z G $.  $d g k m y z H $.
    $d g k m y z I $.  $d g k m y z U $.  $d g k m y z V $.
    frgpup3.g $e |- G = ( freeGrp ` I ) $.
    frgpup3.b $e |- B = ( Base ` H ) $.
    frgpup3.u $e |- U = ( varFGrp ` I ) $.
    $( Universal property of the free monoid by existential uniqueness.
       (Contributed by Mario Carneiro, 2-Oct-2015.)  (Revised by Mario
       Carneiro, 28-Feb-2016.) $)
    frgpup3 $p |- ( ( H e. Grp /\ I e. V /\ F : I --> B ) ->
      E! m e. ( G GrpHom H ) ( m o. U ) = F ) $=
      ( vg vy vz vk wcel cfv cv eqid adantr cgrp w3a c2o cxp cword cid cefg cec
      wf c0 wceq cminusg cif cmpo ccom cgsu co cop cmpt cghm wi wral wreu simp1
      crn cbs simp2 simp3 frgpup1 simpr frgpup2 mpteq2dva ghmf syl vrgpf fcompt
      wa syl2anc feqmptd 3eqtr4d simprl simprr frgpup3lem expr ralrimiva eqeq1d
      coeq1 eqreu syl3anc ) FUAPZGHPZGADUIZUBZLGUCUDUEUFQZLRZGUGQZUHFMNGUCNRUJU
      KMRDQZWQFULQZQUMUNZWOUOUPUQURUSVEZEFUTUQZPZWTBUOZDUKZCRZBUOZDUKZXEWTUKZVA
      ZCXAVBXGCXAVCWMMNAWPWSLWTDEFGWRHWNEVFQZJWRSZWSSZWJWKWLVDZWJWKWLVGZWJWKWLV
      HZWNSZWPSZIXJSZWTSZVIZWMOGORZBQWTQZUSZOGYADQZUSXCDWMOGYBYDWMYAGPZVQMNYAAW
      PWSBLWTDEFGWRHWNXJJXKXLWMWJYEXMTWMWKYEXNTWMWLYEXOTXPXQIXRXSKWMYEVJVKVLWMX
      JAWTUIZGXJBUIZXCYCUKWMXBYFXTEFWTXJAXRJVMVNWMWKYGXNWPBEGHXJXQKIXRVOVNOWTBG
      XJAVPVRWMOGADXOVSVTWMXICXAWMXEXAPZXGXHWMYHXGVQZVQMNAWPWSBLWTDEFGXEWRHWNXJ
      JXKXLWMWJYIXMTWMWKYIXNTWMWLYIXOTXPXQIXRXSKWMYHXGWAWMYHXGWBWCWDWEXGXDCXAWT
      XHXFXCDXEWTBWGWFWHWI $.
  $}

  ${
    $d f x B $.  $d f x G $.
    0frgp.g $e |- G = ( freeGrp ` (/) ) $.
    0frgp.b $e |- B = ( Base ` G ) $.
    $( The free group on zero generators is trivial.  (Contributed by Mario
       Carneiro, 21-Apr-2016.) $)
    0frgp $p |- B ~~ 1o $=
      ( vx vf c0g cfv cv wcel wceq cmpt c0 wtru wa cvv wf 0ex ax-mp eqid csn co
      c1o cen wral cid cres cxp ccom cghm wrmo wreu cgrp frgpgrp cvrgp wfn cefg
      vrgpf ffn mp2b fn0 mpbi eqcomi frgpup3 mp3an reurmo idghm tru pm3.2i 0ghm
      f0 mp2an wb co02 bitru a1i rmoi mptresid fconstmpt 3eqtr3i mpteqb id mprg
      rspec velsn sylibr ssriv wss grpidcl snssi eqssi fvex ensn1 eqbrtri ) ABG
      HZUAZUCUDAWPEAWPEIZAJZWQWOKZWQWPJWSEAEAWQLZEAWOLZKZWSEAUEZUFAUGZAWPUHZWTX
      AFIZMUIMKZFBBUJUBZUKZXDXHJZNOXEXHJZNOXDXEKXGFXHULZXIBUMJZMPJZMAMQXLXNXMRB
      MPCUNSZRAVKAMFMBBMPCDMUOHZMXPMUPZXPMKXNMAXPQXQRMUQHZXPBMPAXRTXPTCDURMAXPU
      SUTXPVAVBVCVDVEXGFXHVFSXJNXMXJXOABDVGSVHVIXKNXMXMXKXOXOABBWOWOTZDVJVLVHVI
      XGNNFXHXDXEXGNVMZXFXDKXGXFVNVOZVPXTXFXEKYAVPVQVEEAVREAWOVSVTWRXBXCVMEAEAW
      QWOAWAWRWBWCVBWDEWOWEWFWGWOAJZWPAWHXMYBXOABWODXSWISWOAWJSWKWOBGWLWMWN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Abelian groups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Definition and basic properties
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c CMnd $.
  $c Abel $.

  $( Extend class notation with class of all commutative monoids. $)
  ccmn $a class CMnd $.

  $( Extend class notation with class of all Abelian groups. $)
  cabl $a class Abel $.

  ${
    $d a b g $.
    $( Define class of all commutative monoids.  (Contributed by Mario
       Carneiro, 6-Jan-2015.) $)
    df-cmn $a |- CMnd = { g e. Mnd | A. a e. ( Base ` g )
      A. b e. ( Base ` g ) ( a ( +g ` g ) b ) = ( b ( +g ` g ) a ) } $.
  $}

  $( Define class of all Abelian groups.  (Contributed by NM, 17-Oct-2011.)
     (Revised by Mario Carneiro, 6-Jan-2015.) $)
  df-abl $a |- Abel = ( Grp i^i CMnd ) $.

  $( The predicate "is an Abelian (commutative) group".  (Contributed by NM,
     17-Oct-2011.) $)
  isabl $p |- ( G e. Abel <-> ( G e. Grp /\ G e. CMnd ) ) $=
    ( cgrp ccmn cabl df-abl elin2 ) ABCDEF $.

  $( An Abelian group is a group.  (Contributed by NM, 26-Aug-2011.) $)
  ablgrp $p |- ( G e. Abel -> G e. Grp ) $=
    ( cabl wcel cgrp ccmn isabl simplbi ) ABCADCAECAFG $.

  ${
    ablgrpd.1 $e |- ( ph -> G e. Abel ) $.
    $( An Abelian group is a group, deduction form of ~ ablgrp .  (Contributed
       by Rohan Ridenour, 3-Aug-2023.) $)
    ablgrpd $p |- ( ph -> G e. Grp ) $=
      ( cabl wcel cgrp ablgrp syl ) ABDEBFECBGH $.
  $}

  $( An Abelian group is a commutative monoid.  (Contributed by Mario Carneiro,
     6-Jan-2015.) $)
  ablcmn $p |- ( G e. Abel -> G e. CMnd ) $=
    ( cabl wcel cgrp ccmn isabl simprbi ) ABCADCAECAFG $.

  ${
    $d g x y B $.  $d g x y G $.  $d g .+ $.
    iscmn.b $e |- B = ( Base ` G ) $.
    iscmn.p $e |- .+ = ( +g ` G ) $.
    $( The predicate "is a commutative monoid".  (Contributed by Mario
       Carneiro, 6-Jan-2015.) $)
    iscmn $p |- ( G e. CMnd <-> ( G e. Mnd /\
             A. x e. B A. y e. B ( x .+ y ) = ( y .+ x ) ) ) $=
      ( vg cv cplusg cfv co wceq cbs wral cmnd ccmn fveq2 eqtr4di oveqd eqeq12d
      wb raleq raleqbi1dv syl 2ralbidv bitrd df-cmn elrab2 ) AIZBIZHIZJKZLZUKUJ
      UMLZMZBULNKZOZAUQOZUJUKDLZUKUJDLZMZBCOACOZHEPQULEMZUSUPBCOZACOZVCVDUQCMUS
      VFUBVDUQENKCULENRFSURVEAUQCUPBUQCUCUDUEVDUPVBABCCVDUNUTUOVAVDUMDUJUKVDUME
      JKDULEJRGSZTVDUMDUKUJVGTUAUFUGHABUHUI $.

    $( The predicate "is an Abelian (commutative) group".  (Contributed by NM,
       17-Oct-2011.)  (Revised by Mario Carneiro, 6-Jan-2015.) $)
    isabl2 $p |- ( G e. Abel <-> ( G e. Grp /\
             A. x e. B A. y e. B ( x .+ y ) = ( y .+ x ) ) ) $=
      ( cabl wcel cgrp ccmn wa cv co wceq wral isabl cmnd wb grpmnd syl pm5.32i
      iscmn baib bitri ) EHIEJIZEKIZLUFAMZBMZDNUIUHDNOBCPACPZLEQUFUGUJUFERIZUGU
      JSETUGUKUJABCDEFGUCUDUAUBUE $.
  $}

  ${
    $d u v x y B $.  $d u v x y K $.  $d u v x y L $.  $d u v x y ph $.
    ablpropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    ablpropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    ablpropd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    $( If two structures have the same group components (properties), one is a
       commutative monoid iff the other one is.  (Contributed by Mario
       Carneiro, 6-Jan-2015.) $)
    cmnpropd $p |- ( ph -> ( K e. CMnd <-> L e. CMnd ) ) $=
      ( vu vv cmnd wcel cv cfv co wceq wral wa eqid cplusg cbs mndpropd ancom2s
      ccmn oveqrspc2v eqeq12d 2ralbidva raleqdv raleqbidv 3bitr3d anbi12d iscmn
      3bitr4g ) AELMZJNZKNZEUAOZPZUQUPURPZQZKEUBOZRZJVBRZSFLMZUPUQFUAOZPZUQUPVF
      PZQZKFUBOZRZJVJRZSEUEMFUEMAUOVEVDVLABCDEFGHIUCAVAKDRZJDRVIKDRZJDRVDVLAVAV
      IJKDDAUPDMZUQDMZSSUSVGUTVHABCDDURVFUPUQIUFAVPVOUTVHQABCDDURVFUQUPIUFUDUGU
      HAVMVCJDVBGAVAKDVBGUIUJAVNVKJDVJHAVIKDVJHUIUJUKULJKVBUREVBTURTUMJKVJVFFVJ
      TVFTUMUN $.

    $( If two structures have the same group components (properties), one is an
       Abelian group iff the other one is.  (Contributed by NM, 6-Dec-2014.) $)
    ablpropd $p |- ( ph -> ( K e. Abel <-> L e. Abel ) ) $=
      ( cgrp wcel ccmn wa cabl grppropd cmnpropd anbi12d isabl 3bitr4g ) AEJKZE
      LKZMFJKZFLKZMENKFNKATUBUAUCABCDEFGHIOABCDEFGHIPQERFRS $.
  $}

  ${
    $d x y K $.  $d x y L $.
    ablprop.b $e |- ( Base ` K ) = ( Base ` L ) $.
    ablprop.p $e |- ( +g ` K ) = ( +g ` L ) $.
    $( If two structures have the same group components (properties), one is an
       Abelian group iff the other one is.  (Contributed by NM,
       11-Oct-2013.) $)
    ablprop $p |- ( K e. Abel <-> L e. Abel ) $=
      ( vx vy cabl wcel wb wtru cbs cfv eqidd wceq a1i cv cplusg co wa oveqi
      ablpropd mptru ) AGHBGHIJEFAKLZABJUCMUCBKLNJCOEPZFPZAQLZRUDUEBQLZRNJUDUCH
      UEUCHSSUFUGUDUEDTOUAUB $.
  $}

  ${
    $d x y B $.  $d x y G $.  $d x y ph $.
    iscmnd.b $e |- ( ph -> B = ( Base ` G ) ) $.
    iscmnd.p $e |- ( ph -> .+ = ( +g ` G ) ) $.
    iscmnd.g $e |- ( ph -> G e. Mnd ) $.
    iscmnd.c $e |- ( ( ph /\ x e. B /\ y e. B ) -> ( x .+ y ) = ( y .+ x ) ) $.
    $( Properties that determine a commutative monoid.  (Contributed by Mario
       Carneiro, 7-Jan-2015.) $)
    iscmnd $p |- ( ph -> G e. CMnd ) $=
      ( cmnd wcel cv cfv co wceq wral oveqd raleqbidv eqid cplusg cbs wa 3expib
      ccmn ralrimivv eqeq12d anbi2d mpbi2and iscmn sylibr ) AFKLZBMZCMZFUANZOZU
      NUMUOOZPZCFUBNZQZBUSQZUCZFUELAULUMUNEOZUNUMEOZPZCDQZBDQZVBIAVEBCDDAUMDLUN
      DLVEJUDUFAVGVAULAVFUTBDUSGAVEURCDUSGAVCUPVDUQAEUOUMUNHRAEUOUNUMHRUGSSUHUI
      BCUSUOFUSTUOTUJUK $.
  $}

  ${
    $d x y B $.  $d x y G $.  $d x y ph $.
    isabld.b $e |- ( ph -> B = ( Base ` G ) ) $.
    isabld.p $e |- ( ph -> .+ = ( +g ` G ) ) $.
    isabld.g $e |- ( ph -> G e. Grp ) $.
    isabld.c $e |- ( ( ph /\ x e. B /\ y e. B ) -> ( x .+ y ) = ( y .+ x ) ) $.
    $( Properties that determine an Abelian group.  (Contributed by NM,
       6-Aug-2013.) $)
    isabld $p |- ( ph -> G e. Abel ) $=
      ( cgrp wcel ccmn cabl grpmndd iscmnd isabl sylanbrc ) AFKLFMLFNLIABCDEFGH
      AFIOJPFQR $.
  $}

  ${
    $d x y B $.  $d x y G $.
    isabli.g $e |- G e. Grp $.
    isabli.b $e |- B = ( Base ` G ) $.
    isabli.p $e |- .+ = ( +g ` G ) $.
    isabli.c $e |- ( ( x e. B /\ y e. B ) -> ( x .+ y ) = ( y .+ x ) ) $.
    $( Properties that determine an Abelian group.  (Contributed by NM,
       4-Sep-2011.) $)
    isabli $p |- G e. Abel $=
      ( cabl wcel cgrp cv co wceq wral rgen2 isabl2 mpbir2an ) EJKELKAMZBMZDNUA
      TDNOZBCPACPFUBABCCIQABCDEGHRS $.
  $}

  ${
    $d x y B $.  $d x y G $.  $d x y .+ $.  $d x y W $.  $d x y X $.
    $d x y Y $.  $d x y Z $.
    $( A commutative monoid is a monoid.  (Contributed by Mario Carneiro,
       6-Jan-2015.) $)
    cmnmnd $p |- ( G e. CMnd -> G e. Mnd ) $=
      ( vx vy ccmn wcel cmnd cv cplusg cfv co wceq cbs wral eqid iscmn simplbi
      ) ADEAFEBGZCGZAHIZJRQSJKCALIZMBTMBCTSATNSNOP $.

    ablcom.b $e |- B = ( Base ` G ) $.
    ablcom.p $e |- .+ = ( +g ` G ) $.
    $( A commutative monoid is commutative.  (Contributed by Mario Carneiro,
       6-Jan-2015.) $)
    cmncom $p |- ( ( G e. CMnd /\ X e. B /\ Y e. B ) ->
                 ( X .+ Y ) = ( Y .+ X ) ) $=
      ( vx vy ccmn wcel co wceq cv wral wa cmnd iscmn simprbi rsp2 imp caovcomg
      sylan 3impb ) CJKZDAKEAKDEBLEDBLMUEHIDEABUEHNZINZBLUGUFBLMZIAOHAOZUFAKUGA
      KPZUHUECQKUIHIABCFGRSUIUJUHUHHIAATUAUCUBUD $.

    $( An Abelian group operation is commutative.  (Contributed by NM,
       26-Aug-2011.) $)
    ablcom $p |- ( ( G e. Abel /\ X e. B /\ Y e. B ) ->
                 ( X .+ Y ) = ( Y .+ X ) ) $=
      ( cabl wcel ccmn co wceq ablcmn cmncom syl3an1 ) CHICJIDAIEAIDEBKEDBKLCMA
      BCDEFGNO $.

    $( Commutative/associative law for Abelian groups.  (Contributed by NM,
       4-Feb-2014.)  (Revised by Mario Carneiro, 21-Apr-2016.) $)
    cmn32 $p |- ( ( G e. CMnd /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
                 ( ( X .+ Y ) .+ Z ) = ( ( X .+ Z ) .+ Y ) ) $=
      ( ccmn wcel w3a wa cmnd cmnmnd adantr simpr1 simpr2 simpr3 co wceq cmncom
      3adant3r1 mnd32g ) CIJZDAJZEAJZFAJZKZLABCDEFGHUDCMJUHCNOUDUEUFUGPUDUEUFUG
      QUDUEUFUGRUDUFUGEFBSFEBSTUEABCEFGHUAUBUC $.

    $( Commutative/associative law for Abelian groups.  (Contributed by NM,
       4-Feb-2014.)  (Revised by Mario Carneiro, 21-Apr-2016.) $)
    cmn4 $p |- ( ( G e. CMnd /\ ( X e. B /\ Y e. B ) /\ ( Z e. B /\ W e. B ) )
       -> ( ( X .+ Y ) .+ ( Z .+ W ) ) = ( ( X .+ Z ) .+ ( Y .+ W ) ) ) $=
      ( ccmn wcel wa w3a cmnd simp1 cmnmnd syl simp2l simp2r co simp3l syl3anc
      simp3r wceq cmncom mnd4g ) CJKZEAKZFAKZLZGAKZDAKZLZMZABCDEFGHIUNUGCNKUGUJ
      UMOZCPQUGUHUIUMRUGUHUIUMSZUGUJUKULUAZUGUJUKULUCUNUGUIUKFGBTGFBTUDUOUPUQAB
      CFGHIUEUBUF $.

    $( Commutative/associative law for Abelian monoids.  (Contributed by Stefan
       O'Rear, 5-Sep-2015.)  (Revised by Mario Carneiro, 21-Apr-2016.) $)
    cmn12 $p |- ( ( G e. CMnd /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
        ( X .+ ( Y .+ Z ) ) = ( Y .+ ( X .+ Z ) ) ) $=
      ( ccmn wcel w3a wa cmnd cmnmnd adantr simpr1 simpr2 simpr3 co wceq cmncom
      3adant3r3 mnd12g ) CIJZDAJZEAJZFAJZKZLABCDEFGHUDCMJUHCNOUDUEUFUGPUDUEUFUG
      QUDUEUFUGRUDUEUFDEBSEDBSTUGABCDEGHUAUBUC $.

    abl32.g $e |- ( ph -> G e. Abel ) $.
    abl32.x $e |- ( ph -> X e. B ) $.
    abl32.y $e |- ( ph -> Y e. B ) $.
    abl32.z $e |- ( ph -> Z e. B ) $.
    $( Commutative/associative law for Abelian groups.  (Contributed by Stefan
       O'Rear, 10-Apr-2015.)  (Revised by Mario Carneiro, 21-Apr-2016.) $)
    abl32 $p |- ( ph -> ( ( X .+ Y ) .+ Z ) = ( ( X .+ Z ) .+ Y ) ) $=
      ( ccmn wcel co wceq cabl ablcmn syl cmn32 syl13anc ) ADNOZEBOFBOGBOEFCPGC
      PEGCPFCPQADROUCJDSTKLMBCDEFGHIUAUB $.
  $}

  ${
    cmnmndd.1 $e |- ( ph -> G e. CMnd ) $.
    $( A commutative monoid is a monoid.  (Contributed by SN, 1-Jun-2024.) $)
    cmnmndd $p |- ( ph -> G e. Mnd ) $=
      ( ccmn wcel cmnd cmnmnd syl ) ABDEBFECBGH $.
  $}

  ${
    $d A w $.  $d B w $.  $d .0. w $.  $d .+ w $.  $d ph w $.
    rinvmod.b $e |- B = ( Base ` G ) $.
    rinvmod.0 $e |- .0. = ( 0g ` G ) $.
    rinvmod.p $e |- .+ = ( +g ` G ) $.
    rinvmod.m $e |- ( ph -> G e. CMnd ) $.
    rinvmod.a $e |- ( ph -> A e. B ) $.
    $( Uniqueness of a right inverse element in a commutative monoid, if it
       exists.  Corresponds to ~ caovmo .  (Contributed by AV, 31-Dec-2023.) $)
    rinvmod $p |- ( ph -> E* w e. B ( A .+ w ) = .0. ) $=
      ( cv co wceq wa wrmo wcel adantr simpr wral ccmn cmncom syl3anc eqtrd jca
      wi ex ralrimiva cmnd cmnmnd syl mndinvmod rmoim sylc ) ACBMZENZGOZUPCENZG
      OZURPZUGZBDUAVABDQURBDQAVBBDAUPDRZPZURVAVDURPZUTURVEUSUQGVDUSUQOZURVDFUBR
      ZVCCDRZVFAVGVCKSAVCTAVHVCLSDEFUPCHJUCUDSVDURTZUEVIUFUHUIABCDEFGHIJAVGFUJR
      KFUKULLUMURVABDUNUO $.
  $}

  ${
    ablinvadd.b $e |- B = ( Base ` G ) $.
    ablinvadd.p $e |- .+ = ( +g ` G ) $.
    ablinvadd.n $e |- N = ( invg ` G ) $.
    $( The inverse of an Abelian group operation.  (Contributed by NM,
       31-Mar-2014.) $)
    ablinvadd $p |- ( ( G e. Abel /\ X e. B /\ Y e. B ) ->
                   ( N ` ( X .+ Y ) ) = ( ( N ` X ) .+ ( N ` Y ) ) ) $=
      ( cabl wcel w3a co cfv cgrp wceq ablgrp grpinvadd grpinvcl syl2anc ablcom
      syl3an1 simp1 3ad2ant1 simp2 simp3 syl3anc eqtr4d ) CJKZEAKZFAKZLZEFBMDNZ
      FDNZEDNZBMZUOUNBMZUICOKZUJUKUMUPPCQZABCDEFGHIRUBULUIUOAKZUNAKZUQUPPUIUJUK
      UCULURUJUTUIUJURUKUSUDZUIUJUKUEACDEGISTULURUKVAVBUIUJUKUFACDFGISTABCUOUNG
      HUAUGUH $.
  $}

  ${
    ablsub2inv.b $e |- B = ( Base ` G ) $.
    ablsub2inv.m $e |- .- = ( -g ` G ) $.
    ablsub2inv.n $e |- N = ( invg ` G ) $.
    ablsub2inv.g $e |- ( ph -> G e. Abel ) $.
    ablsub2inv.x $e |- ( ph -> X e. B ) $.
    ablsub2inv.y $e |- ( ph -> Y e. B ) $.
    $( Abelian group subtraction of two inverses.  (Contributed by Stefan
       O'Rear, 24-May-2015.) $)
    ablsub2inv $p |- ( ph -> ( ( N ` X ) .- ( N ` Y ) ) = ( Y .- X ) ) $=
      ( cfv co wcel syl2anc wceq syl3anc eqtr4d cplusg eqid ablgrp syl grpinvcl
      cabl cgrp grpsubinv ablcom grpinvinv oveq1d grpinvadd grpsubval grpinvsub
      fveq2d 3eqtrd ) AFENZGENZDOUQGCUANZOZFGDOZENZGFDOZABUSCDEUQGHUSUBZIJACUFP
      ZCUGPZKCUCUDZAVFFBPZUQBPZVGLBCEFHJUEQZMUHAUTFURUSOZENZVBAUTURENZUQUSOZVLA
      UTGUQUSOZVNAVEVIGBPZUTVORKVJMBUSCUQGHVDUISAVMGUQUSAVFVPVMGRVGMBCEGHJUJQUK
      TAVFVHURBPZVLVNRVGLAVFVPVQVGMBCEGHJUEQBUSCEFURHVDJULSTAVAVKEAVHVPVAVKRLMB
      USCEDFGHVDJIUMQUOTAVFVHVPVBVCRVGLMBCDEFGHIJUNSUP $.
  $}

  ${
    ablsubadd.b $e |- B = ( Base ` G ) $.
    ablsubadd.p $e |- .+ = ( +g ` G ) $.
    ablsubadd.m $e |- .- = ( -g ` G ) $.
    $( Relationship between Abelian group subtraction and addition.
       (Contributed by NM, 31-Mar-2014.) $)
    ablsubadd $p |- ( ( G e. Abel /\ ( X e. B /\ Y e. B /\ Z e. B ) )
          -> ( ( X .- Y ) = Z <-> ( Y .+ Z ) = X ) ) $=
      ( cabl wcel w3a wa co wceq cgrp wb ablgrp grpsubadd ablcom eqeq1d bitr4d
      sylan 3adant3r1 ) CKLZEALZFALZGALZMZNZEFDOGPZGFBOZEPZFGBOZEPUFCQLUJULUNRC
      SABCDEFGHIJTUDUKUOUMEUFUHUIUOUMPUGABCFGHIUAUEUBUC $.

    $( Commutative/associative subtraction law for Abelian groups.
       (Contributed by NM, 31-Mar-2014.) $)
    ablsub4 $p |- ( ( G e. Abel /\ ( X e. B /\ Y e. B ) /\ ( Z e. B /\ W e. B )
        ) -> ( ( X .+ Y ) .- ( Z .+ W ) ) = ( ( X .- Z ) .+ ( Y .- W ) ) ) $=
      ( wcel wa co cfv wceq 3ad2ant1 syl3anc grpsubval syl2anc cabl w3a cminusg
      cgrp ablgrp simp2l simp2r grpcl simp3l simp3r eqid ccmn ablcmn simp2 cmn4
      grpinvcl syl112anc simp1 ablinvadd oveq2d oveq12d 3eqtr4d eqtrd ) CUALZFA
      LZGALZMZHALZEALZMZUBZFGBNZHEBNZDNZVLVMCUCOZOZBNZFHDNZGEDNZBNZVKVLALZVMALZ
      VNVQPVKCUDLZVEVFWAVDVGWCVJCUEQZVDVEVFVJUFZVDVEVFVJUGZABCFGIJUHRVKWCVHVIWB
      WDVDVGVHVIUIZVDVGVHVIUJZABCHEIJUHRABCVODVLVMIJVOUKZKSTVKVLHVOOZEVOOZBNZBN
      ZFWJBNZGWKBNZBNZVQVTVKCULLZVGWJALZWKALZWMWPPVDVGWQVJCUMQVDVGVJUNVKWCVHWRW
      DWGACVOHIWIUPTVKWCVIWSWDWHACVOEIWIUPTABCWKFGWJIJUOUQVKVPWLVLBVKVDVHVIVPWL
      PVDVGVJURWGWHABCVOHEIJWIUSRUTVKVRWNVSWOBVKVEVHVRWNPWEWGABCVODFHIJWIKSTVKV
      FVIVSWOPWFWHABCVODGEIJWIKSTVAVBVC $.

    $( Abelian group addition/subtraction law.  (Contributed by NM,
       31-Mar-2014.) $)
    abladdsub4 $p |- ( ( G e. Abel
       /\ ( X e. B /\ Y e. B ) /\ ( Z e. B /\ W e. B ) )
   -> ( ( X .+ Y ) = ( Z .+ W ) <-> ( X .- Z ) = ( W .- Y ) ) ) $=
      ( wcel wa co wceq grpcl syl3anc ablsub4 syl122anc syl2anc cabl w3a ablgrp
      wb 3ad2ant1 simp2l simp2r simp3l simp3r grpsubrcan syl13anc c0g cfv simp1
      cgrp grpsubid oveq2d grpsubcl grprid 3eqtrd oveq1d grplid eqeq12d bitr3d
      eqid ) CUALZFALZGALZMZHALZEALZMZUBZFGBNZHGBNZDNZHEBNZVODNZOZVNVQOZFHDNZEG
      DNZOVMCUOLZVNALZVQALZVOALZVSVTUDVFVIWCVLCUCUEZVMWCVGVHWDWGVFVGVHVLUFZVFVG
      VHVLUGZABCFGIJPQVMWCVJVKWEWGVFVIVJVKUHZVFVIVJVKUIZABCHEIJPQVMWCVJVHWFWGWJ
      WIABCHGIJPQACDVNVQVOIKUJUKVMVPWAVRWBVMVPWAGGDNZBNZWACULUMZBNZWAVMVFVGVHVJ
      VHVPWMOVFVIVLUNZWHWIWJWIABCDGFGHIJKRSVMWLWNWABVMWCVHWLWNOWGWIACDGWNIWNVEZ
      KUPTUQVMWCWAALZWOWAOWGVMWCVGVJWRWGWHWJACDFHIKURQABCWAWNIJWQUSTUTVMVRHHDNZ
      WBBNZWNWBBNZWBVMVFVJVKVJVHVRWTOWPWJWKWJWIABCDGHEHIJKRSVMWSWNWBBVMWCVJWSWN
      OWGWJACDHWNIWQKUPTVAVMWCWBALZXAWBOWGVMWCVKVHXBWGWKWIACDEGIKURQABCWBWNIJWQ
      VBTUTVCVD $.

    $( Associative-type law for group subtraction and addition.  (Contributed
       by NM, 19-Apr-2014.) $)
    abladdsub $p |- ( ( G e. Abel /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
         ( ( X .+ Y ) .- Z ) = ( ( X .- Z ) .+ Y ) ) $=
      ( cabl wcel w3a wa co wceq ablcom 3adant3r3 oveq1d syl3anc syl13anc simpl
      cgrp ablgrp adantr simpr2 simpr1 simpr3 grpaddsubass grpsubcl 3eqtrd ) CK
      LZEALZFALZGALZMZNZEFBOZGDOFEBOZGDOZFEGDOZBOZVAFBOZUQURUSGDULUMUNURUSPUOAB
      CEFHIQRSUQCUCLZUNUMUOUTVBPULVDUPCUDUEZULUMUNUOUFZULUMUNUOUGZULUMUNUOUHZAB
      CDFEGHIJUIUAUQULUNVAALZVBVCPULUPUBVFUQVDUMUOVIVEVGVHACDEGHJUJTABCFVAHIQTU
      K $.

    $( Cancellation law for subtraction.  (Contributed by NM, 2-Oct-2014.) $)
    ablpncan2 $p |- ( ( G e. Abel /\ X e. B /\ Y e. B )
       -> ( ( X .+ Y ) .- X ) = Y ) $=
      ( cabl wcel w3a co c0g cfv wceq simp1 simp2 simp3 syl2anc syl13anc ablgrp
      abladdsub cgrp syl eqid grpsubid oveq1d grplid 3eqtrd ) CJKZEAKZFAKZLZEFB
      MEDMZEEDMZFBMZCNOZFBMZFUNUKULUMULUOUQPUKULUMQZUKULUMRZUKULUMSZVAABCDEFEGH
      IUCUAUNUPURFBUNCUDKZULUPURPUNUKVCUTCUBUEZVAACDEURGURUFZIUGTUHUNVCUMUSFPVD
      VBABCFURGHVEUITUJ $.

    $( A cancellation law for commutative groups.  (Contributed by NM,
       23-Mar-2015.) $)
    ablpncan3 $p |- ( ( G e. Abel /\ ( X e. B /\ Y e. B ) ) ->
        ( X .+ ( Y .- X ) ) = Y ) $=
      ( cabl wcel wa co wceq simpl simprl cgrp ablgrp adantr syl3anc grpsubcl
      simprr ablcom grpnpcan eqtrd ) CJKZEAKZFAKZLZLZEFEDMZBMZUKEBMZFUJUFUGUKAK
      ZULUMNUFUIOUFUGUHPZUJCQKZUHUGUNUFUPUICRSZUFUGUHUBZUOACDFEGIUATABCEUKGHUCT
      UJUPUHUGUMFNUQURUOABCDFEGHIUDTUE $.

    ablsubsub.g $e |- ( ph -> G e. Abel ) $.
    ablsubsub.x $e |- ( ph -> X e. B ) $.
    ablsubsub.y $e |- ( ph -> Y e. B ) $.
    ablsubsub.z $e |- ( ph -> Z e. B ) $.
    $( Law for double subtraction.  (Contributed by NM, 7-Apr-2015.) $)
    ablsubsub $p |- ( ph -> ( X .- ( Y .- Z ) ) = ( ( X .- Y ) .+ Z ) ) $=
      ( co cgrp wcel wceq syl13anc cabl ablgrp grpsubsub grpaddsubass abladdsub
      syl 3eqtr2d ) AFGHEPEPZFHGEPCPZFHCPGEPZFGEPHCPZADQRZFBRZGBRZHBRZUHUISADUA
      RZULLDUBUFZMNOBCDEFGHIJKUCTAULUMUOUNUJUISUQMONBCDEFHGIJKUDTAUPUMUOUNUJUKS
      LMONBCDEFHGIJKUETUG $.

    $( Law for double subtraction.  (Contributed by NM, 7-Apr-2015.) $)
    ablsubsub4 $p |- ( ph -> ( ( X .- Y ) .- Z ) = ( X .- ( Y .+ Z ) ) ) $=
      ( co cminusg cfv wcel syl2anc wceq cgrp cabl ablgrp grpsubcl syl3anc eqid
      syl grpsubval grpinvcl ablsubsub grpsubinv oveq2d 3eqtr2d ) AFGEPZHEPZUOH
      DQRZRZCPZFGUREPZEPFGHCPZEPAUOBSZHBSZUPUSUAADUBSZFBSGBSVBADUCSVDLDUDUHZMNB
      DEFGIKUEUFOBCDUQEUOHIJUQUGZKUITABCDEFGURIJKLMNAVDVCURBSVEOBDUQHIVFUJTUKAU
      TVAFEABCDEUQGHIJKVFVENOULUMUN $.

    ablpnpcan.g $e |- ( ph -> G e. Abel ) $.
    ablpnpcan.x $e |- ( ph -> X e. B ) $.
    ablpnpcan.y $e |- ( ph -> Y e. B ) $.
    ablpnpcan.z $e |- ( ph -> Z e. B ) $.
    $( Cancellation law for mixed addition and subtraction.  ( ~ pnpcan
       analog.)  (Contributed by NM, 29-May-2015.) $)
    ablpnpcan $p |- ( ph -> ( ( X .+ Y ) .- ( X .+ Z ) ) = ( Y .- Z ) ) $=
      ( co c0g cfv cabl wcel wceq ablsub4 syl122anc ablgrp syl grpsubid syl2anc
      cgrp eqid oveq1d grpsubcl syl3anc grplid 3eqtrd ) AFGCTFHCTETZFFETZGHETZC
      TZDUAUBZVACTZVAADUCUDZFBUDZGBUDZVFHBUDZUSVBUELMNMOBCDEHFGFIJKUFUGAUTVCVAC
      ADULUDZVFUTVCUEAVEVILDUHUIZMBDEFVCIVCUMZKUJUKUNAVIVABUDZVDVAUEVJAVIVGVHVL
      VJNOBDEGHIKUOUPBCDVAVCIJVKUQUKUR $.
  $}

  ${
    ablnncan.b $e |- B = ( Base ` G ) $.
    ablnncan.m $e |- .- = ( -g ` G ) $.
    ablnncan.g $e |- ( ph -> G e. Abel ) $.
    ablnncan.x $e |- ( ph -> X e. B ) $.
    ablnncan.y $e |- ( ph -> Y e. B ) $.
    $( Cancellation law for group subtraction.  ( ~ nncan analog.)
       (Contributed by NM, 7-Apr-2015.) $)
    ablnncan $p |- ( ph ->
             ( X .- ( X .- Y ) ) = Y ) $=
      ( co cplusg cfv c0g eqid ablsubsub wcel wceq syl2anc cgrp cabl ablgrp syl
      grpsubid oveq1d grplid 3eqtrd ) AEEFDLDLEEDLZFCMNZLCONZFUJLZFABUJCDEEFGUJ
      PZHIJJKQAUIUKFUJACUARZEBRUIUKSACUBRUNICUCUDZJBCDEUKGUKPZHUETUFAUNFBRULFSU
      OKBUJCFUKGUMUPUGTUH $.

    ablsub32.z $e |- ( ph -> Z e. B ) $.
    $( Swap the second and third terms in a double group subtraction.
       (Contributed by NM, 7-Apr-2015.) $)
    ablsub32 $p |- ( ph -> ( ( X .- Y ) .- Z ) = ( ( X .- Z ) .- Y ) ) $=
      ( cplusg cfv co cabl wcel wceq ablsubsub4 ablcom syl3anc oveq2d 3eqtr4d
      eqid ) AEFGCNOZPZDPEGFUFPZDPEFDPGDPEGDPFDPAUGUHEDACQRFBRGBRUGUHSJLMBUFCFG
      HUFUEZUAUBUCABUFCDEFGHUIIJKLMTABUFCDEGFHUIIJKMLTUD $.

    $( Cancellation law for group subtraction.  ( ~ nnncan analog.)
       (Contributed by NM, 29-Feb-2008.)  (Revised by AV, 27-Aug-2021.) $)
    ablnnncan $p |- ( ph -> ( ( X .- ( Y .- Z ) ) .- Z ) = ( X .- Y ) ) $=
      ( co cplusg cfv wcel syl3anc wceq eqtrd eqid cgrp syl grpsubcl ablsubsub4
      cabl ablgrp ablcom ablpncan3 syl12anc oveq2d ) AEFGDNZDNGDNEULGCOPZNZDNEF
      DNABUMCDEULGHUMUAZIJKACUBQZFBQZGBQZULBQZACUFQZUPJCUGUCLMBCDFGHIUDRZMUEAUN
      FEDAUNGULUMNZFAUTUSURUNVBSJVAMBUMCULGHUOUHRAUTURUQVBFSJMLBUMCDGFHUOIUIUJT
      UKT $.

    $( Cancellation law for group subtraction.  ( ~ nnncan1 analog.)
       (Contributed by NM, 7-Apr-2015.) $)
    ablnnncan1 $p |- ( ph -> ( ( X .- Y ) .- ( X .- Z ) ) = ( Z .- Y ) ) $=
      ( co cgrp wcel cabl ablgrp syl grpsubcl syl3anc ablsub32 ablnncan oveq1d
      eqtrd ) AEFDNEGDNZDNEUFDNZFDNGFDNABCDEFUFHIJKLACOPZEBPGBPUFBPACQPUHJCRSKM
      BCDEGHITUAUBAUGGFDABCDEGHIJKMUCUDUE $.
  $}

  ${
    ablsubsub23.v $e |- V = ( Base ` G ) $.
    ablsubsub23.m $e |- .- = ( -g ` G ) $.
    $( Swap subtrahend and result of group subtraction.  (Contributed by NM,
       14-Dec-2007.)  (Revised by AV, 7-Oct-2021.) $)
    ablsubsub23 $p |- ( ( G e. Abel /\ ( A e. V /\ B e. V /\ C e. V ) ) ->
                ( ( A .- B ) = C <-> ( A .- C ) = B ) ) $=
      ( cabl wcel w3a wa cplusg cfv co wceq simpl simpr3 wb grpsubadd eqid cgrp
      simpr2 ablcom syl3anc eqeq1d ablgrp sylan 3ancomb biimpi syl2an 3bitr4d )
      DIJZAFJZBFJZCFJZKZLZCBDMNZOZAPZBCUSOZAPZABEOCPZACEOBPZURUTVBAURUMUPUOUTVB
      PUMUQQUMUNUOUPRUMUNUOUPUCFUSDCBGUSUAZUDUEUFUMDUBJZUQVDVASDUGZFUSDEABCGVFH
      TUHUMVGUNUPUOKZVEVCSUQVHUQVIUNUOUPUIUJFUSDEACBGVFHTUKUL $.
  $}

  ${
    $d k x y z B $.  $d k x y z G $.  $d k x y z M $.  $d k x y z .+ $.
    $d k x y z X $.  $d k x y z Y $.
    mulgdi.b $e |- B = ( Base ` G ) $.
    mulgdi.m $e |- .x. = ( .g ` G ) $.
    mulgdi.p $e |- .+ = ( +g ` G ) $.
    $( Group multiple of a sum, for nonnegative multiples.  (Contributed by
       Mario Carneiro, 13-Dec-2014.) $)
    mulgnn0di $p |- ( ( G e. CMnd /\ ( M e. NN0 /\ X e. B /\ Y e. B ) ) ->
      ( M .x. ( X .+ Y ) ) = ( ( M .x. X ) .+ ( M .x. Y ) ) ) $=
      ( wcel wa cn co wceq cc0 c1 cfv cv eqid vx vy vz vk ccmn cn0 w3a csn cseq
      cxp cmnd cmnmnd ad2antrr mndcl 3expb sylan cmncom ad4ant14 cuz simpr nnuz
      mndass cfz simplr2 elfznn fvconst2g syl2an adantr eqeltrd simplr3 syl3anc
      eleqtrdi oveq12d eqtr4d seqcaopr mulgnn syl2anc 3eqtr4d c0g mulg0 syl cbs
      mndidcl mndlid syl2anc2 oveq1d eqtrd wo simpr1 elnn0 sylib mpjaodan ) DUE
      KZEUFKZFAKZGAKZUGZLZEMKZEFGBNZCNZEFCNZEGCNZBNZOEPOZWRWSLZEBMWTUHUJZQUIZRZ
      EBMFUHUJZQUIZRZEBMGUHUJZQUIZRZBNXAXDXFUAUBUCBAUDXJXMXGQEXFDUKKZUASZAKZUBS
      ZAKZLZXQXSBNZAKZWMXPWQWSDULZUMZXPXRXTYCABDXQXSHJUNUOUPWMYAYBXSXQBNOZWQWSW
      MXRXTYFABDXQXSHJUQUOURXFXPXRXTUCSZAKUGYBYGBNXQXSYGBNBNOYEABDXQXSYGHJVBUPX
      FEMQUSRWRWSUTZVAVLXFUDSZQEVCNKZLZYIXJRZFAXFWOYIMKZYLFOYJWNWOWPWMWSVDZYIEV
      EZMFYIAVFVGZXFWOYJYNVHVIYKYIXMRZGAXFWPYMYQGOYJWNWOWPWMWSVJZYOMGYIAVFVGZXF
      WPYJYRVHVIYKYIXGRZWTYLYQBNXFWTAKZYMYTWTOYJXFXPWOWPUUAYEYNYRABDFGHJUNZVKZY
      OMWTYIAVFVGYKYLFYQGBYPYSVMVNVOXFWSUUAXAXIOYHUUCABXHCDEWTHJIXHTVPVQXFXBXLX
      CXOBXFWSWOXBXLOYHYNABXKCDEFHJIXKTVPVQXFWSWPXCXOOYHYRABXNCDEGHJIXNTVPVQVMV
      RWRXELZPWTCNZDVSRZUUFBNZXAXDUUDUUEUUFUUGUUDUUAUUEUUFOUUDXPWOWPUUAWMXPWQXE
      YDUMWNWOWPWMXEVDZWNWOWPWMXEVJZUUBVKACDWTUUFHUUFTZIVTWAWMUUGUUFOZWQXEWMXPU
      UFDWBRZKUUKYDUULDUUFUULTZUUJWCUULBDUUFUUFUUMJUUJWDWEUMVNUUDEPWTCWRXEUTZWF
      UUDXBUUFXCUUFBUUDXBPFCNZUUFUUDEPFCUUNWFUUDWOUUOUUFOUUHACDFUUFHUUJIVTWAWGU
      UDXCPGCNZUUFUUDEPGCUUNWFUUDWPUUPUUFOUUIACDGUUFHUUJIVTWAWGVMVRWRWNWSXEWHWM
      WNWOWPWIEWJWKWL $.

    $( Group multiple of a sum.  (Contributed by Mario Carneiro,
       13-Dec-2014.) $)
    mulgdi $p |- ( ( G e. Abel /\ ( M e. ZZ /\ X e. B /\ Y e. B ) ) ->
      ( M .x. ( X .+ Y ) ) = ( ( M .x. X ) .+ ( M .x. Y ) ) ) $=
      ( wcel wa cn0 co wceq cfv adantr syl3anc mulgneg mulgcl cabl cz cneg ccmn
      w3a ablcmn ad2antrr simpr simplr2 simplr3 mulgnn0di cminusg simpr2 simpr3
      syl13anc cgrp ablgrp simpr1 grpcl oveq12d 3eqtr3d ablinvadd eqtr4d fveq2d
      eqid simpl grpinvinv syl2an2r wo cr elznn0 simprbi syl mpjaodan ) DUAKZEU
      BKZFAKZGAKZUEZLZEMKZEFGBNZCNZEFCNZEGCNZBNZOZEUCZMKZVTWALDUDKZWAVQVRWGVOWJ
      VSWADUFZUGVTWAUHVPVQVRVOWAUIVPVQVRVOWAUJABCDEFGHIJUKUOVTWILZWCDULPZPZWMPZ
      WFWMPZWMPZWCWFWLWNWPWMWLWNWDWMPZWEWMPZBNZWPWLWHWBCNZWHFCNZWHGCNZBNZWNWTWL
      WJWIVQVRXAXDOVOWJVSWIWKUGVTWIUHVTVQWIVOVPVQVRUMZQVTVRWIVOVPVQVRUNZQABCDWH
      FGHIJUKUOVTXAWNOZWIVTDUPKZVPWBAKZXGVOXHVSDUQQZVOVPVQVRURZVTXHVQVRXIXJXEXF
      ABDFGHJUSRZACDWMEWBHIWMVEZSRQVTXDWTOWIVTXBWRXCWSBVTXHVPVQXBWROXJXKXEACDWM
      EFHIXMSRVTXHVPVRXCWSOXJXKXFACDWMEGHIXMSRUTQVAVTWPWTOZWIVTVOWDAKZWEAKZXNVO
      VSVFVTXHVPVQXOXJXKXEACDEFHITRZVTXHVPVRXPXJXKXFACDEGHITRZABDWMWDWEHJXMVBRQ
      VCVDVTXHWIWCAKZWOWCOXJVTXSWIVTXHVPXIXSXJXKXLACDEWBHITRQADWMWCHXMVGVHVTXHW
      IWFAKZWQWFOXJVTXTWIVTXHXOXPXTXJXQXRABDWDWEHJUSRQADWMWFHXMVGVHVAVTVPWAWIVI
      ZXKVPEVJKYAEVKVLVMVN $.
  $}

  ${
    $d x y z B $.  $d x y z G $.  $d x y z M $.  $d x y z .x. $.
    mulgmhm.b $e |- B = ( Base ` G ) $.
    mulgmhm.m $e |- .x. = ( .g ` G ) $.
    $( The map from ` x ` to ` n x ` for a fixed positive integer ` n ` is a
       monoid homomorphism if the monoid is commutative.  (Contributed by Mario
       Carneiro, 4-May-2015.) $)
    mulgmhm $p |- ( ( G e. CMnd /\ M e. NN0 ) ->
      ( x e. B |-> ( M .x. x ) ) e. ( G MndHom G ) ) $=
      ( vy vz wcel wa cv co cfv wceq wral eqid oveq2 ovex fvmpt ccmn cn0 cplusg
      cmnd cmpt wf c0g cmhm cmnmnd adantr mulgnn0cl syl3an1 3expa fmpttd 3anass
      w3a mulgnn0di sylan2br anassrs mndcl 3expb sylan oveqan12d adantl 3eqtr4d
      syl ralrimivva mndidcl 3syl mulgnn0z eqtrd 3jca ismhm syl21anbrc ) DUAJZE
      UBJZKZDUDJZVRBBABEALZCMZUEZUFZHLZILZDUCNZMZWANZWCWANZWDWANZWEMZOZIBPHBPZD
      UGNZWANZWMOZUPWADDUHMJVOVRVPDUIZUJZWQVQWBWLWOVQABVTBVOVPVSBJZVTBJZVOVRVPW
      RWSWPBCDEVSFGUKULUMUNVQWKHIBBVQWCBJZWDBJZKZKZEWFCMZEWCCMZEWDCMZWEMZWGWJVO
      VPXBXDXGOZVPXBKVOVPWTXAUPXHVPWTXAUOBWECDEWCWDFGWEQZUQURUSXCWFBJZWGXDOVQVR
      XBXJWQVRWTXAXJBWEDWCWDFXIUTVAVBAWFVTXDBWAVSWFECRWAQZEWFCSTVFXBWJXGOVQWTXA
      WHXEWIXFWEAWCVTXEBWAVSWCECRXKEWCCSTAWDVTXFBWAVSWDECRXKEWDCSTVCVDVEVGVQWNE
      WMCMZWMVQVRWMBJWNXLOWQBDWMFWMQZVHAWMVTXLBWAVSWMECRXKEWMCSTVIVOVRVPXLWMOWP
      BCDEWMFGXMVJVBVKVLHIBBWEWEDDWAWMWMFFXIXIXMXMVMVN $.

    $( The map from ` x ` to ` n x ` for a fixed integer ` n ` is a group
       homomorphism if the group is commutative.  (Contributed by Mario
       Carneiro, 4-May-2015.) $)
    mulgghm $p |- ( ( G e. Abel /\ M e. ZZ ) ->
      ( x e. B |-> ( M .x. x ) ) e. ( G GrpHom G ) ) $=
      ( vy vz cabl wcel wa cfv cv co eqid wceq oveq2 ovex fvmpt cz cmpt syl3an1
      cplusg cgrp ablgrp adantr mulgcl 3expa fmpttd w3a 3anass sylan2br anassrs
      mulgdi grpcl 3expb sylan syl oveqan12d adantl 3eqtr4d isghmd ) DJKZEUAKZL
      ZHIDUDMZVGDDABEANZCOZUBZBBFFVGPZVKVDDUEKZVEDUFZUGZVNVFABVIBVDVEVHBKZVIBKZ
      VDVLVEVOVPVMBCDEVHFGUHUCUIUJVFHNZBKZINZBKZLZLZEVQVSVGOZCOZEVQCOZEVSCOZVGO
      ZWCVJMZVQVJMZVSVJMZVGOZVDVEWAWDWGQZVEWALVDVEVRVTUKWLVEVRVTULBVGCDEVQVSFGV
      KUOUMUNWBWCBKZWHWDQVFVLWAWMVNVLVRVTWMBVGDVQVSFVKUPUQURAWCVIWDBVJVHWCECRVJ
      PZEWCCSTUSWAWKWGQVFVRVTWIWEWJWFVGAVQVIWEBVJVHVQECRWNEVQCSTAVSVIWFBVJVHVSE
      CRWNEVSCSTUTVAVBVC $.
  $}

  ${
    mulgsubdi.b $e |- B = ( Base ` G ) $.
    mulgsubdi.t $e |- .x. = ( .g ` G ) $.
    mulgsubdi.d $e |- .- = ( -g ` G ) $.
    $( Group multiple of a difference.  (Contributed by Mario Carneiro,
       13-Dec-2014.) $)
    mulgsubdi $p |- ( ( G e. Abel /\ ( M e. ZZ /\ X e. B /\ Y e. B ) ) ->
      ( M .x. ( X .- Y ) ) = ( ( M .x. X ) .- ( M .x. Y ) ) ) $=
      ( wcel cfv co wceq eqid syl2anc syl3anc oveq2d grpsubval mulgcl cz w3a wa
      cabl cplusg simpl simpr1 simpr2 cgrp ablgrp adantr simpr3 grpinvcl mulgdi
      cminusg syl13anc mulginvcom eqtrd 3eqtr4d ) CUDKZDUAKZFAKZGAKZUBZUCZDFGCU
      OLZLZCUELZMZBMZDFBMZDGBMZVFLZVHMZDFGEMZBMVKVLEMZVEVJVKDVGBMZVHMZVNVEUTVAV
      BVGAKZVJVRNUTVDUFUTVAVBVCUGZUTVAVBVCUHZVECUIKZVCVSUTWBVDCUJUKZUTVAVBVCULZ
      ACVFGHVFOZUMPAVHBCDFVGHIVHOZUNUPVEVQVMVKVHVEWBVAVCVQVMNWCVTWDABCVFDGHIWEU
      QQRURVEVOVIDBVEVBVCVOVINWAWDAVHCVFEFGHWFWEJSPRVEVKAKZVLAKZVPVNNVEWBVAVBWG
      WCVTWAABCDFHITQVEWBVAVCWHWCVTWDABCDGHITQAVHCVFEVKVLHWFWEJSPUS $.
  $}

  ${
    $d .+ x y $.  $d .+^ a b x y $.  $d F a b x y $.  $d G x y $.
    $d H i j x y $.  $d X a b x y $.  $d Y a b i j x y $.  $d a b i j x y ph $.
    ghmabl.x $e |- X = ( Base ` G ) $.
    ghmabl.y $e |- Y = ( Base ` H ) $.
    ghmabl.p $e |- .+ = ( +g ` G ) $.
    ghmabl.q $e |- .+^ = ( +g ` H ) $.
    ghmabl.f $e |- ( ( ph /\ x e. X /\ y e. X )
      -> ( F ` ( x .+ y ) ) = ( ( F ` x ) .+^ ( F ` y ) ) ) $.
    ghmabl.1 $e |- ( ph -> F : X -onto-> Y ) $.

    ${
      ghmfghm.3 $e |- ( ph -> G e. Grp ) $.
      $( The function fulfilling the conditions of ~ ghmgrp is a group
         homomorphism.  (Contributed by Thierry Arnoux, 26-Jan-2020.) $)
      ghmfghm $p |- ( ph -> F e. ( G GrpHom H ) ) $=
        ( cv wcel cfv ghmgrp wfo wf fof syl co wceq 3expb isghmd ) ABCDEGHFIJKL
        MNQABCDEFGHIJOKLMNPQUAAIJFUBIJFUCPIJFUDUEABRZISCRZISUJUKDUFFTUJFTUKFTEU
        FUGOUHUI $.
    $}

    ${
      ghmcmn.3 $e |- ( ph -> G e. CMnd ) $.
      $( The image of a commutative monoid ` G ` under a group homomorphism
         ` F ` is a commutative monoid.  (Contributed by Thierry Arnoux,
         26-Jan-2020.) $)
      ghmcmn $p |- ( ph -> H e. CMnd ) $=
        ( wcel co cfv vi vj va vb cmnd wceq wral ccmn cmnmnd syl mhmmnd simp-6l
        cv wa simp-4r simplr cmncom syl3anc fveq2d syl3an1 mhmlem 3eqtr3d simpr
        simpllr oveq12d wrex wfo foelrni sylan r19.29a adantr anasss ralrimivva
        ad5ant13 iscmn sylanbrc ) AHUERUAUMZUBUMZESZVRVQESZUFZUBJUGUAJUGHUHRABC
        DEFGHIJOKLMNPAGUHRZGUERQGUIUJUKAWAUAUBJJAVQJRZVRJRZWAAWCUNZWDUNZUCUMZFT
        ZVQUFZWAUCIWFWGIRZUNZWIUNZUDUMZFTZVRUFZWAUDIWLWMIRZUNZWOUNZWHWNESZWNWHE
        SZVSVTWRWGWMDSZFTWMWGDSZFTWSWTWRXAXBFWRWBWJWPXAXBUFWRAWBAWCWDWJWIWPWOUL
        ZQUJWFWJWIWPWOUOZWLWPWOUPZIDGWGWMKMUQURUSWRBCWGWMDEFIWRABUMZIRCUMZIRXFX
        GDSFTXFFTXGFTESUFXCOUTZXDXEVAWRBCWMWGDEFIXHXEXDVAVBWRWHVQWNVREWKWIWPWOV
        DZWQWOVCZVEWRWNVRWHVQEXJXIVEVBAWDWOUDIVFZWCWJWIAIJFVGZWDXKPUDIJFVRVHVIV
        NVJWEWIUCIVFZWDAXLWCXMPUCIJFVQVHVIVKVJVLVMUAUBJEHLNVOVP $.
    $}

    ghmabl.3 $e |- ( ph -> G e. Abel ) $.
    $( The image of an abelian group ` G ` under a group homomorphism ` F ` is
       an abelian group.  (Contributed by Mario Carneiro, 12-May-2014.)
       (Revised by Thierry Arnoux, 26-Jan-2020.) $)
    ghmabl $p |- ( ph -> H e. Abel ) $=
      ( cgrp wcel ccmn cabl ablgrp syl ghmgrp ablcmn ghmcmn isabl sylanbrc ) AH
      RSHTSHUASABCDEFGHIJOKLMNPAGUASZGRSQGUBUCUDABCDEFGHIJKLMNOPAUIGTSQGUEUCUFH
      UGUH $.
  $}

  ${
    $d x y B $.  $d x y G $.  $d x y I $.
    invghm.b $e |- B = ( Base ` G ) $.
    invghm.m $e |- I = ( invg ` G ) $.
    $( The inversion map is a group automorphism if and only if the group is
       abelian.  (In general it is only a group homomorphism into the opposite
       group, but in an abelian group the opposite group coincides with the
       group itself.)  (Contributed by Mario Carneiro, 4-May-2015.) $)
    invghm $p |- ( G e. Abel <-> I e. ( G GrpHom G ) ) $=
      ( vx vy cabl wcel cghm co cv wceq wral syl3anc grpinvcl syl2anc grpinvinv
      cfv wa cplusg eqid ablgrp cgrp grpinvf syl ablinvadd 3expb isghmd ghmgrp1
      wf adantr simprr simprl grpinvadd fveq2d simpl ghmlin 3eqtrd grpcl eqtr3d
      oveq12d ralrimivva isabl2 sylanbrc impbii ) BHIZCBBJKIZVGFGBUASZVIBBCAADD
      VIUBZVJBUCZVKVGBUDIZAACUKVKABCDEUEUFVGFLZAIZGLZAIZVMVOVIKZCSVMCSZVOCSZVIK
      ZMAVIBCVMVODVJEUGUHUIVHVLVQVOVMVIKZMZGANFANVGBBCUJZVHWBFGAAVHVNVPTZTZWACS
      ZCSZVQWAWEWGVTCSZVRCSZVSCSZVIKZVQWEWFVTCWEVLVPVNWFVTMVHVLWDWCULZVHVNVPUMZ
      VHVNVPUNZAVIBCVOVMDVJEUOOUPWEVHVRAIZVSAIZWHWKMVHWDUQWEVLVNWOWLWNABCVMDEPQ
      WEVLVPWPWLWMABCVODEPQVIVIBBVRCVSADVJVJUROWEWIVMWJVOVIWEVLVNWIVMMWLWNABCVM
      DERQWEVLVPWJVOMWLWMABCVODERQVBUSWEVLWAAIZWGWAMWLWEVLVPVNWQWLWMWNAVIBVOVMD
      VJUTOABCWADERQVAVCFGAVIBDVJVDVEVF $.
  $}

  ${
    eqgabl.x $e |- X = ( Base ` G ) $.
    eqgabl.n $e |- .- = ( -g ` G ) $.
    eqgabl.r $e |- .~ = ( G ~QG S ) $.
    $( Value of the subgroup coset equivalence relation on an abelian group.
       (Contributed by Mario Carneiro, 14-Jun-2015.) $)
    eqgabl $p |- ( ( G e. Abel /\ S C_ X ) -> ( A .~ B <->
      ( A e. X /\ B e. X /\ ( B .- A ) e. S ) ) ) $=
      ( cabl wcel wa cfv co w3a eqid wceq syl2anc df-3an wss wbr cminusg cplusg
      eqgval simpll cgrp ablgrp ad2antrr simprl simprr ablcom syl3anc grpsubval
      grpinvcl eqtr4d eleq1d pm5.32da 3bitr4g bitrd ) EKLZDGUAZMZABCUBAGLZBGLZA
      EUCNZNZBEUDNZOZDLZPZVDVEBAFOZDLZPZABVHCDEVFKGHVFQZVHQZJUEVCVDVEMZVJMVQVMM
      VKVNVCVQVJVMVCVQMZVIVLDVRVIBVGVHOZVLVRVAVGGLZVEVIVSRVAVBVQUFVREUGLZVDVTVA
      WAVBVQEUHUIVCVDVEUJZGEVFAHVOUOSVCVDVEUKZGVHEVGBHVPULUMVRVEVDVLVSRWCWBGVHE
      VFFBAHVPVOIUNSUPUQURVDVEVJTVDVEVMTUSUT $.
  $}

  ${
    $d x y G $.  $d x y H $.  $d x y S $.
    subgabl.h $e |- H = ( G |`s S ) $.
    $( A subgroup of an abelian group is also abelian.  (Contributed by Mario
       Carneiro, 3-Dec-2014.) $)
    subgabl $p |- ( ( G e. Abel /\ S e. ( SubGrp ` G ) ) -> H e. Abel ) $=
      ( vx vy cabl wcel csubg cfv wa cplusg cbs wceq subgbas adantl eqid sseldd
      cv co ressplusg cgrp subggrp w3a simp1l wss simp1r subgss syl simp2 simp3
      ablcom syl3anc isabld ) BGHZABIJZHZKZEFABLJZCUQACMJNUOABCDOPUQUSCLJNUOAUS
      BCUPDUSQZUAPUQCUBHUOABCDUCPURESZAHZFSZAHZUDZUOVABMJZHVCVFHVAVCUSTVCVAUSTN
      UOUQVBVDUEVEAVFVAVEUQAVFUFUOUQVBVDUGVFABVFQZUHUIZURVBVDUJRVEAVFVCVHURVBVD
      UKRVFUSBVAVCVGUTULUMUN $.

    $( A submonoid of a commutative monoid is also commutative.  (Contributed
       by Mario Carneiro, 10-Jan-2015.) $)
    subcmn $p |- ( ( G e. CMnd /\ H e. Mnd ) -> H e. CMnd ) $=
      ( vx vy wcel cbs cfv cplusg cvv wceq c0 wn eqid syl cress co cv sseli c0g
      ccmn cmnd wa eqidd mndidcl n0i reldmress ovprc2 eqtrid fveq2d base0 nsyl2
      eqtr4di adantl ressplusg simpr simpl ressbasss cmncom syl3an iscmnd ) BUB
      GZCUCGZUDZEFCHIZBJIZCVEVFUEVEAKGZVGCJILVDVHVCVDVFMLZVHVDCUAIZVFGVINVFCVJV
      FOVJOUFVFVJUGPVHNZVFMHIMVKCMHVKCBAQRMDBAQUHUIUJUKULUNUMUOAVGBCKDVGOZUPPVC
      VDUQVEVCESZVFGVMBHIZGFSZVFGVOVNGVMVOVGRVOVMVGRLVCVDURVFVNVMAVNCBDVNOZUSZT
      VFVNVOVQTVNVGBVMVOVPVLUTVAVB $.

    $( A submonoid of a commutative monoid is also commutative.  (Contributed
       by Mario Carneiro, 24-Apr-2016.) $)
    submcmn $p |- ( ( G e. CMnd /\ S e. ( SubMnd ` G ) ) -> H e. CMnd ) $=
      ( csubmnd cfv wcel ccmn cmnd submmnd subcmn sylan2 ) ABEFGBHGCIGCHGACBDJA
      BCDKL $.

    submcmn2.z $e |- Z = ( Cntz ` G ) $.
    $( A submonoid is commutative iff it is a subset of its own centralizer.
       (Contributed by Mario Carneiro, 24-Apr-2016.) $)
    submcmn2 $p |- ( S e. ( SubMnd ` G ) ->
      ( H e. CMnd <-> S C_ ( Z ` S ) ) ) $=
      ( vx vy cfv wcel cv cplusg co wceq wral cbs wss eqid oveqd raleqbidv ccmn
      csubmnd submbas ressplusg eqeq12d submss sscntz syl2anc cmnd submmnd baib
      wb iscmn syl 3bitr4rd ) ABUBIZJZGKZHKZBLIZMZUSURUTMZNZHAOZGAOZURUSCLIZMZU
      SURVFMZNZHCPIZOZGVJOZAADIQZCUAJZUQVDVKGAVJACBEUCZUQVCVIHAVJVOUQVAVGVBVHUQ
      UTVFURUSAUTBCUPEUTRZUDZSUQUTVFUSURVQSUETTUQABPIZQZVSVMVEULVRABVRRZUFZWAGH
      VRUTAABDVTVPFUGUHUQCUIJZVNVLULACBEUJVNWBVLGHVJVFCVJRVFRUMUKUNUO $.
  $}

  ${
    $d x y B $.  $d x y G $.  $d x y S $.  $d x Z $.
    cntzcmn.b $e |- B = ( Base ` G ) $.
    cntzcmn.z $e |- Z = ( Cntz ` G ) $.
    $( The centralizer of any subset in a commutative monoid is the whole
       monoid.  (Contributed by Mario Carneiro, 3-Oct-2015.) $)
    cntzcmn $p |- ( ( G e. CMnd /\ S C_ B ) -> ( Z ` S ) = B ) $=
      ( vx vy ccmn wcel wss wa cfv cntzssv a1i cv w3a cplusg co wceq wral simp2
      simpl1 simpl3 sselda eqid cmncom syl3anc ralrimiva wb cntzel mpbird ssrdv
      3adant1 3expia eqssd ) CIJZBAKZLZBDMZAUTAKUSABCDEFNOUSGAUTUQURGPZAJZVAUTJ
      ZUQURVBQZVCVAHPZCRMZSVEVAVFSTZHBUAZVDVGHBVDVEBJZLUQVBVEAJVGUQURVBVIUCUQUR
      VBVIUDVDBAVEUQURVBUBUEAVFCVAVEEVFUFZUGUHUIURVBVCVHUJUQHAVFBCVADEVJFUKUNUL
      UOUMUP $.
  $}

  ${
    cntzcmnss.b $e |- B = ( Base ` G ) $.
    cntzcmnss.z $e |- Z = ( Cntz ` G ) $.
    $( Any subset in a commutative monoid is a subset of its centralizer.
       (Contributed by AV, 12-Jan-2019.) $)
    cntzcmnss $p |- ( ( G e. CMnd /\ S C_ B ) -> S C_ ( Z ` S ) ) $=
      ( cfv wceq ccmn wcel wss wa cntzcmn wb sseq2 eqcoms biimpd adantld mpcom
      ) BDGZAHZCIJZBAKZLBTKZABCDEFMUAUCUDUBUAUCUDUCUDNATATBOPQRS $.
  $}

  ${
    $d M x y $.  $d Z x y $.
    cntrcmnd.z $e |- Z = ( M |`s ( Cntr ` M ) ) $.
    $( The center of a monoid is a commutative submonoid.  (Contributed by
       Thierry Arnoux, 21-Aug-2023.) $)
    cntrcmnd $p |- ( M e. Mnd -> Z e. CMnd ) $=
      ( vx vy cmnd wcel ccntr cfv cplusg cbs wss wceq eqid cntrss ressbas2 mp1i
      cvv cv co fvex ressplusg csubmnd ccntz cntrval cntzsubm eqeltrrid submmnd
      ssid mpan2 syl w3a simp2 simp3 sselid cntri syl2anc iscmnd ) AFGZDEAHIZAJ
      IZBUTAKIZLUTBKIMUSVBAVBNZOZUTVBBACVCPQUTRGVABJIMUSAHUAUTVAABRCVANZUBQUSUT
      AUCIZGBFGUSUTVBAUDIZIZVFVBAVGVCVGNZUEUSVBVBLVHVFGVBUIVBVBAVGVCVIUFUJUGUTB
      ACUHUKUSDSZUTGZESZUTGZULZVKVLVBGVJVLVATVLVJVATMUSVKVMUMVNUTVBVLVDUSVKVMUN
      UOVBVAAVJVLUTVCVEUTNUPUQUR $.

    $( The center of a group is an abelian group.  (Contributed by Thierry
       Arnoux, 21-Aug-2023.) $)
    cntrabl $p |- ( M e. Grp -> Z e. Abel ) $=
      ( cgrp wcel ccmn cabl ccntr cfv csubg cbs ccntz eqid cntrval wss cntzsubg
      ssid mpan2 eqeltrrid syl subggrp cmnd grpmnd cntrcmnd isabl sylanbrc ) AD
      EZBDEZBFEZBGEUGAHIZAJIZEUHUGUJAKIZALIZIZUKULAUMULMZUMMZNUGULULOUNUKEULQUL
      ULAUMUOUPPRSUJABCUATUGAUBEUIAUCABCUDTBUEUF $.
  $}

  ${
    cntzspan.z $e |- Z = ( Cntz ` G ) $.
    cntzspan.k $e |- K = ( mrCls ` ( SubMnd ` G ) ) $.
    cntzspan.h $e |- H = ( G |`s ( K ` S ) ) $.
    $( If the generators commute, the generated monoid is commutative.
       (Contributed by Mario Carneiro, 25-Apr-2016.) $)
    cntzspan $p |- ( ( G e. Mnd /\ S C_ ( Z ` S ) ) -> H e. CMnd ) $=
      ( cmnd wcel cfv wss wa ccmn cntzsubm syldan mrcsscl syl3anc wb syl2anc
      csubmnd cbs cmre cacs submacs adantr acsmred simpr cntzssv sstrdi mrcssvd
      eqid cntzrec mpbid mrccl submcmn2 syl mpbird ) BIJZAAEKZLZMZCNJZADKZVDEKZ
      LZVBBUAKZBUBKZUCKJZAVELZVEVGJZVFVBVGVHUSVGVHUDKJVAVHBVHULZUEUFUGZVBVDUTLZ
      VJVBVIVAUTVGJZVNVMUSVAUHZUSVAAVHLZVOVBAUTVHVPVHABEVLFUIUJZVHABEVLFOPVGADU
      TVHGQRVBVDVHLZVQVNVJSVBVGADVHVMGUKZVRVHVDABEVLFUMTUNUSVAVSVKVTVHVDBEVLFOP
      VGADVEVHGQRVBVDVGJZVCVFSVBVIVQWAVMVRVGADVHGUOTVDBCEHFUPUQUR $.
  $}

  ${
    cntzcmnf.b $e |- B = ( Base ` G ) $.
    cntzcmnf.z $e |- Z = ( Cntz ` G ) $.
    cntzcmnf.g $e |- ( ph -> G e. CMnd ) $.
    cntzcmnf.f $e |- ( ph -> F : A --> B ) $.
    $( Discharge the centralizer assumption in a commutative monoid.
       (Contributed by Mario Carneiro, 24-Apr-2016.) $)
    cntzcmnf $p |- ( ph -> ran F C_ ( Z ` ran F ) ) $=
      ( crn cfv frnd ccmn wcel wss wceq cntzcmn syl2anc sseqtrrd ) ADKZCUAFLZAB
      CDJMZAENOUACPUBCQIUCCUAEFGHRST $.
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y M $.  $d x y N $.  $d x y .+ $.
    ghmplusg.p $e |- .+ = ( +g ` N ) $.
    $( The pointwise sum of two linear functions is linear.  (Contributed by
       Stefan O'Rear, 5-Sep-2015.) $)
    ghmplusg $p |- ( ( N e. Abel /\ F e. ( M GrpHom N ) /\
          G e. ( M GrpHom N ) ) -> ( F oF .+ G ) e. ( M GrpHom N ) ) $=
      ( vx vy wcel co cfv cbs eqid 3ad2ant3 cvv wa 3expb wceq ffvelrnda fnfvof
      cabl cghm w3a cplusg cgrp ghmgrp1 ghmgrp2 cv grpcl sylan wf ghmf 3ad2ant2
      cof fvexd inidm off ghmlin 3ad2antl2 3ad2antl3 oveq12d ccmn simpl1 ablcmn
      syl adantrr adantrl cmn4 syl122anc wfn ffnd adantr syl22anc simprl simprr
      eqtrd 3eqtr4d isghmd ) EUAIZBDEUBJZIZCVTIZUCZGHDUDKZADEBCAUNJZDLKZELKZWFM
      ZWGMZWDMZFWBVSDUEIZWADECUFNZWBVSEUEIZWADECUGNZWCGHWFWFWFAWGWGWGBCOOWCWMGU
      HZWGIZHUHZWGIZPWOWQAJWGIZWNWMWPWRWSWGAEWOWQWIFUIQUJWAVSWFWGBUKWBDEBWFWGWH
      WIULUMZWBVSWFWGCUKWADECWFWGWHWIULNZWCDLUOZXBWFUPUQWCWOWFIZWQWFIZPZPZWOWQW
      DJZBKZXGCKZAJZWOBKZWOCKZAJZWQBKZWQCKZAJZAJZXGWEKZWOWEKZWQWEKZAJXFXJXKXNAJ
      ZXLXOAJZAJZXQXFXHYAXIYBAWAVSXEXHYARZWBWAXCXDYDWDADEWOBWQWFWHWJFURQUSWBVSX
      EXIYBRZWAWBXCXDYEWDADEWOCWQWFWHWJFURQUTVAXFEVBIZXKWGIZXNWGIZXLWGIZXOWGIZY
      CXQRXFVSYFVSWAWBXEVCEVDVEWCXCYGXDWCWFWGWOBWTSVFWCXDYHXCWCWFWGWQBWTSVGWCXC
      YIXDWCWFWGWOCXASVFWCXDYJXCWCWFWGWQCXASVGWGAEXOXKXNXLWIFVHVIVPXFBWFVJZCWFV
      JZWFOIZXGWFIZXRXJRWCYKXEWCWFWGBWTVKVLZWCYLXEWCWFWGCXAVKVLZXFDLUOZWCWKXEYN
      WLWKXCXDYNWFWDDWOWQWHWJUIQUJWFABCOXGTVMXFXSXMXTXPAXFYKYLYMXCXSXMRYOYPYQWC
      XCXDVNWFABCOWOTVMXFYKYLYMXDXTXPRYOYPYQWCXCXDVOWFABCOWQTVMVAVQVR $.
  $}

  ${
    $d x y z G $.
    $( Every subgroup of an abelian group is normal.  (Contributed by Mario
       Carneiro, 14-Jun-2015.) $)
    ablnsg $p |- ( G e. Abel -> ( NrmSGrp ` G ) = ( SubGrp ` G ) ) $=
      ( vx vy vz cabl wcel cnsg cfv csubg cv cplusg co wb cbs wral wa wceq eqid
      ablcom 3expb eleq1d ralrimivva isnsg rbaib syl eqrdv ) AEFZBAGHZAIHZUGCJZ
      DJZAKHZLZBJZFUKUJULLZUNFMZDANHZOCUQOZUNUHFZUNUIFZMUGUPCDUQUQUGUJUQFZUKUQF
      ZPPUMUOUNUGVAVBUMUOQUQULAUJUKUQRZULRZSTUAUBUSUTURCDULUNAUQVCVDUCUDUEUF $.
  $}

  ${
    odadd1.1 $e |- O = ( od ` G ) $.
    odadd1.2 $e |- X = ( Base ` G ) $.
    odadd1.3 $e |- .+ = ( +g ` G ) $.
    $( The order of a product in an abelian group divides the LCM of the orders
       of the factors.  (Contributed by Mario Carneiro, 20-Oct-2015.) $)
    odadd1 $p |- ( ( G e. Abel /\ A e. X /\ B e. X ) ->
      ( ( O ` ( A .+ B ) ) x. ( ( O ` A ) gcd ( O ` B ) ) ) ||
        ( ( O ` A ) x. ( O ` B ) ) ) $=
      ( wcel co cmul cdvds wbr cc0 wceq cz adantr wb syl3anc cabl w3a cgcd cgrp
      cfv wa cn0 ablgrp grpcl syl3an1 odcl syl 3ad2ant2 3ad2ant3 gcdcld zmulcld
      nn0zd dvds0 gcdeq0 syl2anc biimpa oveq12 0cn mul01i breqtrrd wne cdiv cmg
      eqtrdi c0g simpl1 gcddvds simpld dvdsmultr1d simpr dvdsval2 simpl2 simpl3
      mpbid mulgdi syl13anc simprd dvdsmul1 divassd oddvds mulcomd oveq1d eqtrd
      eqid zcnd oveq12d grpidcl grplid syl2anc2 3eqtrd mpbird dvdsmulcr breqtrd
      syl112anc divcan1d pm2.61dane ) DUAJZAFJZBFJZUBZABCKZEUEZAEUEZBEUEZUCKZLK
      ZXHXILKZMNXJOXEXJOPZUFZXKOXLMXNXKQJZXKOMNXEXOXMXEXGXJXEXGXEXFFJZXGUGJXBDU
      DJZXCXDXPDUHZFCDABHIUIUJZXFDEFHGUKULUQZXEXJXEXHXIXEXHXCXBXHUGJXDADEFHGUKU
      MUQZXEXIXDXBXIUGJXCBDEFHGUKUNUQZUOUQZUPRXKURULXNXHOPXIOPUFZXLOPXEXMYDXEXH
      QJZXIQJZXMYDSYAYBXHXIUSUTVAYDXLOOLKOXHOXIOLVBOVCVDVIULVEXEXJOVFZUFZXKXLXJ
      VGKZXJLKZXLMYHXKYJMNZXGYIMNZYHYLYIXFDVHUEZKZDVJUEZPZYHYNYIAYMKZYIBYMKZCKZ
      YOYOCKZYOYHXBYIQJZXCXDYNYSPXBXCXDYGVKZYHXJXLMNZUUAYHXJXHXIXEXJQJZYGYCRZXE
      YEYGYARZXEYFYGYBRZYHXJXHMNZXJXIMNZYHYEYFUUHUUIUFUUFUUGXHXIVLUTZVMZVNYHUUD
      YGXLQJUUCUUASUUEXEYGVOZYHXHXIUUFUUGUPZXJXLVPTVSZXBXCXDYGVQZXBXCXDYGVRZFCY
      MDYIABHYMWIZIVTWAYHYQYOYRYOCYHXHYIMNZYQYOPZYHXHXHXIXJVGKZLKZYIMYHYEUUTQJZ
      XHUVAMNUUFYHUUIUVBYHUUHUUIUUJWBYHUUDYGYFUUIUVBSUUEUULUUGXJXIVPTVSXHUUTWCU
      TYHXHXIXJYHXHUUFWJZYHXIUUGWJZYHXJUUEWJZUULWDVEYHXQXCUUAUURUUSSYHXBXQUUBXR
      ULZUUOUUNAYMDYIEFYOHGUUQYOWIZWETVSYHXIYIMNZYRYOPZYHXIXIXHXJVGKZLKZYIMYHYF
      UVJQJZXIUVKMNUUGYHUUHUVLUUKYHUUDYGYEUUHUVLSUUEUULUUFXJXHVPTVSXIUVJWCUTYHY
      IXIXHLKZXJVGKUVKYHXLUVMXJVGYHXHXIUVCUVDWFWGYHXIXHXJUVDUVCUVEUULWDWHVEYHXQ
      XDUUAUVHUVISUVFUUPUUNBYMDYIEFYOHGUUQUVGWETVSWKYHXQYOFJYTYOPUVFFDYOHUVGWLF
      CDYOYOHIUVGWMWNWOYHXQXPUUAYLYPSUVFXEXPYGXSRUUNXFYMDYIEFYOHGUUQUVGWETWPYHX
      GQJZUUAUUDYGYKYLSXEUVNYGXTRUUNUUEUULXJXGYIWQWSWPYHXLXJYHXLUUMWJUVEUULWTWR
      XA $.

    $( The order of a product in an abelian group is divisible by the LCM of
       the orders of the factors divided by the GCD. (Contributed by Mario
       Carneiro, 20-Oct-2015.) $)
    odadd2 $p |- ( ( G e. Abel /\ A e. X /\ B e. X ) ->
      ( ( O ` A ) x. ( O ` B ) ) ||
        ( ( O ` ( A .+ B ) ) x. ( ( ( O ` A ) gcd ( O ` B ) ) ^ 2 ) ) ) $=
      ( wcel cmul co cdvds wbr cc0 wceq cz wb syl3anc mpbid cabl w3a cgcd c2 wa
      cfv cexp cn0 3ad2ant2 nn0zd 3ad2ant3 zmulcld adantr dvds0 syl simpr sq0id
      odcl oveq2d cgrp ablgrp grpcl syl3an1 zcnd mul01d eqtrd breqtrrd wne cdiv
      gcdcld nn0cnd sqvald gcddvds syl2anc simpld dvdsval2 simprd mul4d oveq12d
      divcan1d 3eqtr2d dvdsmul2 cmg c0g simpl1 simpl2 simpl3 eqid mulgdi oddvds
      syl13anc dvdsmul1 mulgcl grprid 3eqtr3rd mpbird wi dvdsgcd mp2and breqtrd
      mulgcd eqbrtrd dvdsmulcr syl112anc oveq1d grplid c1 1cnd mulid2d 3eqtr2rd
      mulgcdr mulcan2ad coprmdvds2 syl31anc zsqcl dvdsmulc eqbrtrrd pm2.61dane
      mpd ) DUAJZAFJZBFJZUBZAEUFZBEUFZKLZABCLZEUFZYDYEUCLZUDUGLZKLZMNYIOYCYIOPZ
      UEZYFOYKMYMYFQJZYFOMNYCYNYLYCYDYEYCYDYAXTYDUHJYBADEFHGURUIUJZYCYEYBXTYEUH
      JYABDEFHGURUKUJZULUMYFUNUOYMYKYHOKLOYMYJOYHKYMYIYCYLUPUQUSYMYHYMYHYCYHQJZ
      YLYCYHYCYGFJZYHUHJZXTDUTJZYAYBYRDVAZFCDABHIVBVCZYGDEFHGURUOZUJZUMVDVEVFVG
      YCYIOVHZUEZYDYIVILZYEYIVILZKLZYJKLZYFYKMUUFUUJUUIYIYIKLZKLUUGYIKLZUUHYIKL
      ZKLYFUUFYJUUKUUIKUUFYIUUFYIUUFYDYEYCYDQJZUUEYOUMZYCYEQJZUUEYPUMZVJZVKZVLU
      SUUFUUGYIUUHYIUUFUUGUUFYIYDMNZUUGQJZUUFUUTYIYEMNZUUFUUNUUPUUTUVBUEUUOUUQY
      DYEVMVNZVOUUFYIQJZUUEUUNUUTUVARUUFYIUURUJZYCUUEUPZUUOYIYDVPSTZVDUUSUUFUUH
      UUFUVBUUHQJZUUFUUTUVBUVCVQUUFUVDUUEUUPUVBUVHRUVEUVFUUQYIYEVPSTZVDUUSVRUUF
      UULYDUUMYEKUUFYDYIUUFYDUUOVDUUSUVFVTZUUFYEYIUUFYEUUQVDUUSUVFVTZVSWAUUFUUI
      YHMNZUUJYKMNZUUFUUGYHMNZUUHYHMNZUVLUUFUULYHYIKLZMNZUVNUUFUULYDUVPMUVJUUFY
      DYHYDKLZYHYEKLZUCLZUVPMUUFYDUVRMNZYDUVSMNZYDUVTMNZUUFYQUUNUWAYCYQUUEUUDUM
      ZUUOYHYDWBVNZUUFUWBUVSADWCUFZLZDWDUFZPZUUFUVSYGUWFLZUWGUWHCLZUWHUWGUUFUWJ
      UWGUVSBUWFLZCLZUWKUUFXTUVSQJZYAYBUWJUWMPXTYAYBUUEWEZUUFYHYEUWDUUQULZXTYAY
      BUUEWFZXTYAYBUUEWGZFCUWFDUVSABHUWFWHZIWIWKUUFUWLUWHUWGCUUFYEUVSMNZUWLUWHP
      ZUUFYQUUPUWTUWDUUQYHYEWBVNZUUFYTYBUWNUWTUXARUUFXTYTUWOUUAUOZUWRUWPBUWFDUV
      SEFUWHHGUWSUWHWHZWJSTUSVFUUFYHUVSMNZUWJUWHPZUUFYQUUPUXEUWDUUQYHYEWLVNUUFY
      TYRUWNUXEUXFRUXCYCYRUUEUUBUMZUWPYGUWFDUVSEFUWHHGUWSUXDWJSTUUFYTUWGFJZUWKU
      WGPUXCUUFYTUWNYAUXHUXCUWPUWQFUWFDUVSAHUWSWMSFCDUWGUWHHIUXDWNVNWOUUFYTYAUW
      NUWBUWIRUXCUWQUWPAUWFDUVSEFUWHHGUWSUXDWJSWPUUFUUNUVRQJZUWNUWAUWBUEUWCWQUU
      OUUFYHYDUWDUUOULZUWPYDUVRUVSWRSWSUUFYSUUNUUPUVTUVPPYCYSUUEUUCUMUUOUUQYHYD
      YEXASZWTXBUUFUVAYQUVDUUEUVQUVNRUVGUWDUVEUVFYIUUGYHXCXDTUUFUUMUVPMNZUVOUUF
      UUMYEUVPMUVKUUFYEUVTUVPMUUFYEUVRMNZUWTYEUVTMNZUUFUXMUVRBUWFLZUWHPZUUFUVRY
      GUWFLZUWHUXOCLZUWHUXOUUFUXQUVRAUWFLZUXOCLZUXRUUFXTUXIYAYBUXQUXTPUWOUXJUWQ
      UWRFCUWFDUVRABHUWSIWIWKUUFUXSUWHUXOCUUFUWAUXSUWHPZUWEUUFYTYAUXIUWAUYARUXC
      UWQUXJAUWFDUVREFUWHHGUWSUXDWJSTXEVFUUFYHUVRMNZUXQUWHPZUUFYQUUNUYBUWDUUOYH
      YDWLVNUUFYTYRUXIUYBUYCRUXCUXGUXJYGUWFDUVREFUWHHGUWSUXDWJSTUUFYTUXOFJZUXRU
      XOPUXCUUFYTUXIYBUYDUXCUXJUWRFUWFDUVRBHUWSWMSFCDUXOUWHHIUXDXFVNWOUUFYTYBUX
      IUXMUXPRUXCUWRUXJBUWFDUVREFUWHHGUWSUXDWJSWPUXBUUFUUPUXIUWNUXMUWTUEUXNWQUU
      QUXJUWPYEUVRUVSWRSWSUXKWTXBUUFUVHYQUVDUUEUXLUVORUVIUWDUVEUVFYIUUHYHXCXDTU
      UFUVAUVHYQUUGUUHUCLZXGPUVNUVOUEUVLWQUVGUVIUWDUUFUYEXGYIUUFUYEUUFUUGUUHUVG
      UVIVJVKUUFXHUUSUVFUUFXGYIKLYIUULUUMUCLZUYEYIKLZUUFYIUUSXIUUFUULYDUUMYEUCU
      VJUVKVSUUFUVAUVHYIUHJUYFUYGPUVGUVIUURUUGUUHYIXKSXJXLYHUUGUUHXMXNWSUUFUUIQ
      JYQYJQJZUVLUVMWQUUFUUGUUHUVGUVIULUWDUUFUVDUYHUVEYIXOUOYJUUIYHXPSXSXQXR $.

    $( The order of a product is the product of the orders, if the factors have
       coprime order.  (Contributed by Mario Carneiro, 20-Oct-2015.) $)
    odadd $p |- ( ( ( G e. Abel /\ A e. X /\ B e. X ) /\
      ( ( O ` A ) gcd ( O ` B ) ) = 1 ) ->
        ( O ` ( A .+ B ) ) = ( ( O ` A ) x. ( O ` B ) ) ) $=
      ( wcel cfv co c1 cn0 cmul cdvds wbr syl odcl c2 cabl w3a cgcd wceq simpl1
      wa cgrp ablgrp simpl2 simpl3 grpcl syl3anc nn0mulcld simpr oveq2d mulid1d
      nn0cnd eqtrd odadd1 adantr eqbrtrrd cexp odadd2 oveq1d sq1 eqtrdi breqtrd
      dvdseq syl22anc ) DUAJZAFJZBFJZUBZAEKZBEKZUCLZMUDZUFZABCLZEKZNJZVNVOOLZNJ
      VTWBPQWBVTPQVTWBUDVRVSFJZWAVRDUGJZVKVLWCVRVJWDVJVKVLVQUEDUHRVJVKVLVQUIZVJ
      VKVLVQUJZFCDABHIUKULVSDEFHGSRZVRVNVOVRVKVNNJWEADEFHGSRVRVLVONJWFBDEFHGSRU
      MVRVTVPOLZVTWBPVRWHVTMOLZVTVRVPMVTOVMVQUNZUOVRVTVRVTWGUQUPZURVMWHWBPQVQAB
      CDEFGHIUSUTVAVRWBVTVPTVBLZOLZVTPVMWBWMPQVQABCDEFGHIVCUTVRWMWIVTVRWLMVTOVR
      WLMTVBLMVRVPMTVBWJVDVEVFUOWKURVGVTWBVHVI $.
  $}

  ${
    $d p x y A $.  $d n x y E $.  $d x y G $.  $d n p x y O $.  $d p x y ph $.
    $d p x y X $.
    gexex.1 $e |- X = ( Base ` G ) $.
    gexex.2 $e |- E = ( gEx ` G ) $.
    $( A group with exponent 2 (or 1) is abelian.  (Contributed by Mario
       Carneiro, 24-Apr-2016.) $)
    gex2abl $p |- ( ( G e. Grp /\ E || 2 ) -> G e. Abel ) $=
      ( vx vy wcel c2 cfv wceq cv co grpass syl13anc mulg2 syl gexdvdsi syl3anc
      eqid cgrp cdvds wbr wa cplusg cbs a1i eqidd simpl w3a c0g cmg simp2 simp3
      simp1l simp1r eqtr3d oveq2d grprid syl2anc 3eqtrd oveq1d 3eqtr2d grpcl wb
      grplcan mpbid isabld ) BUAHZAIUBUCZUDZFGCBUEJZBCBUFJKVKDUGVKVLUHVIVJUIVKF
      LZCHZGLZCHZUJZVMVOVLMZVRVLMZVRVOVMVLMZVLMZKZVRVTKZVQVRVOVLMZVMVLMZVSWAVQW
      EBUKJZIVRBULJZMZVSVQWEVMVMVLMZIVMWGMZWFVQWDVMVMVLVQWDVMVOVOVLMZVLMZVMWFVL
      MZVMVQVIVNVPVPWDWLKVIVJVNVPUOZVKVNVPUMZVKVNVPUNZWPCVLBVMVOVODVLTZNOVQWKWF
      VMVLVQIVOWGMZWKWFVQVPWRWKKWPCVLWGBVODWGTZWQPQVQVIVPVJWRWFKWNWPVIVJVNVPUPZ
      VOWGABICWFDEWSWFTZRSUQURVQVIVNWMVMKWNWOCVLBVMWFDWQXAUSUTVAVBVQVNWJWIKWOCV
      LWGBVMDWSWQPQVQVIVNVJWJWFKWNWOWTVMWGABICWFDEWSXARSVCVQVIVRCHZVJWHWFKWNVQV
      IVNVPXBWNWOWPCVLBVMVODWQVDSZWTVRWGABICWFDEWSXARSVQXBWHVSKXCCVLWGBVRDWSWQP
      QVCVQVIXBVPVNWEWAKWNXCWPWOCVLBVRVOVMDWQNOUQVQVIXBVTCHZXBWBWCVEWNXCVQVIVPV
      NXDWNWPWOCVLBVOVMDWQVDSXCCVLBVRVTVRDWQVFOVGVH $.

    gexex.3 $e |- O = ( od ` G ) $.
    ${
      gexexlem.1 $e |- ( ph -> G e. Abel ) $.
      gexexlem.2 $e |- ( ph -> E e. NN ) $.
      gexexlem.3 $e |- ( ph -> A e. X ) $.
      gexexlem.4 $e |- ( ( ph /\ y e. X ) -> ( O ` y ) <_ ( O ` A ) ) $.
      $( Lemma for ~ gexex .  (Contributed by Mario Carneiro, 24-Apr-2016.) $)
      gexexlem $p |- ( ph -> ( O ` A ) = E ) $=
        ( wcel wbr wceq syl2anc co syl3anc vx vp cfv cn0 cdvds odcl nnnn0d cgrp
        syl cabl ablgrp gexod cv wral wa cpc cle cprime cexp cdiv cmul cmg cgcd
        cplusg c1 ad2antrr cz cn prmnn adantl simpr gexnnod pccld nnexpcld nnzd
        eqid mulgcl simplr pcdvds wb nndivdvds mpbid odmulg gcdeq mpbird oveq1d
        eqtrd nnne0d divcan3d eqtr2d divcan1d dvdsmul1 breqtrd 3eqtrrd mulcanad
        nncnd oveq12d gcdcomd wn pcndvds2 coprm wi prmz rpexp1i 3eqtrd syl31anc
        mpd odadd fveq2 breq1d ralrimiva grpcl rspcdva eqbrtrrd nnred lemuldivd
        nnrpd crp cr cc0 clt rpregt0 lediv2 syl3an nn0zd c2 cuz prmuz2 eluz2gt1
        nnrp leexp2d adantr pc2dvds gexdvds2 dvdseq syl22anc ) ACFUCZUDOZDUDOYQ
        DUEPZDYQUEPZYQDQACGOZYRMCEFGHJUFUIZADLUGAEUHOZUUAYSAEUJOZUUCKEUKUIZMCDE
        FGHIJULRAYTUAUMZFUCZYQUEPZUAGUNZAUUHUAGAUUFGOZUOZUUHUBUMZUUGUPSZUULYQUP
        SZUQPZUBURUNZUUKUUOUBURUUKUULUROZUOZUUOUULUUMUSSZUULUUNUSSZUQPZUURUVAYQ
        UUTUTSZYQUUSUTSUQPZUURUVBUUSVASZYQUQPUVCUURUUTCEVBUCZSZUUGUUSUTSZUUFUVE
        SZEVDUCZSZFUCZUVDYQUQUURUVKUVFFUCZUVHFUCZVASZUVDUURUUDUVFGOZUVHGOZUVLUV
        MVCSZVEQUVKUVNQAUUDUUJUUQKVFUURUUCUUTVGOZUUAUVOAUUCUUJUUQUUEVFZUURUUTUU
        RUULUUNUUQUULVHOUUKUULVIVJZUURUULYQUUKUUQVKZUURUUCDVHOZUUAYQVHOZUVSAUWB
        UUJUUQLVFZAUUAUUJUUQMVFZCDEFGHIJVLTZVMZVNZVOZUWEGUVEEUUTCHUVEVPZVQTZUUR
        UUCUVGVGOZUUJUVPUVSUURUVGUURUUSUUGUEPZUVGVHOZUURUUQUUGVHOZUWMUWAUURUUCU
        WBUUJUWOUVSUWDAUUJUUQVRZUUFDEFGHIJVLTZUULUUGVSRUURUWOUUSVHOZUWMUWNVTUWQ
        UURUULUUMUVTUURUULUUGUWAUWQVMZVNZUUGUUSWARWBZVOZUWPGUVEEUVGUUFHUWJVQTZU
        URUVQUVBUUSVCSUUSUVBVCSZVEUURUVLUVBUVMUUSVCUURUVBUUTUVLVASZUUTUTSUVLUUR
        YQUXEUUTUTUURYQUUTYQVCSZUVLVASZUXEUURUUCUUAUVRYQUXGQUVSUWEUWICUVEEUUTFG
        HJUWJWCTUURUXFUUTUVLVAUURUXFUUTQZUUTYQUEPZUURUUQUWCUXIUWAUWFUULYQVSRZUU
        RUUTVHOZUWCUXHUXIVTUWHUWFUUTYQWDRWEWFWGWFUURUVLUUTUURUVLUURUUCUWBUVOUVL
        VHOUVSUWDUWKUVFDEFGHIJVLTWPUURUUTUWHWPUURUUTUWHWHWIWJZUURUVMUUSUVGUURUV
        MUURUUCUWBUVPUVMVHOUVSUWDUXCUVHDEFGHIJVLTWPUURUUSUWTWPZUURUVGUXAWPUURUV
        GUXAWHUURUVGUUSVASZUUGUVGUUGVCSZUVMVASZUVGUVMVASUURUUGUUSUURUUGUWQWPUXM
        UURUUSUWTWHWKZUURUUCUUJUWLUUGUXPQUVSUWPUXBUUFUVEEUVGFGHJUWJWCTUURUXOUVG
        UVMVAUURUXOUVGQZUVGUUGUEPZUURUVGUXNUUGUEUURUWLUUSVGOUVGUXNUEPUXBUURUUSU
        WTVOZUVGUUSWLRUXQWMUURUWNUWOUXRUXSVTUXAUWQUVGUUGWDRWEWFWNWOZWQUURUVBUUS
        UURUVBUURUXIUVBVHOZUXJUURUWCUXKUXIUYBVTUWFUWHYQUUTWARWBZVOZUXTWRUURUULU
        VBVCSVEQZUXDVEQZUURUULUVBUEPWSZUYEUURUUQUWCUYGUWAUWFUULYQWTRUURUUQUVBVG
        OZUYGUYEVTUWAUYDUULUVBXARWBUURUULVGOZUYHUUMUDOUYEUYFXBUUQUYIUUKUULXCVJU
        YDUWSUULUVBUUMXDTXGXEUVFUVHUVIEFGJHUVIVPZXHXFUURUVLUVBUVMUUSVAUXLUYAWQW
        GUURBUMZFUCZYQUQPZUVKYQUQPBGUVJUYKUVJQUYLUVKYQUQUYKUVJFXIXJAUYMBGUNUUJU
        UQAUYMBGNXKVFUURUUCUVOUVPUVJGOUVSUWKUXCGUVIEUVFUVHHUYJXLTXMXNUURUVBYQUU
        SUURUVBUYCXOUURYQUWFXOUURUUSUWTXQXPWBUURUWRUXKUWCUVAUVCVTZUWTUWHUWFUWRU
        USXROZUXKUUTXROZUWCYQXROZUYNUUSYJUUTYJYQYJUYOUUSXSOXTUUSYAPUOUYPUUTXSOX
        TUUTYAPUOUYQYQXSOXTYQYAPUOUYNUUSYBUUTYBYQYBUUSUUTYQYCYDYDTWEUURUULUUMUU
        NUURUULUVTXOUURUUMUWSYEUURUUNUWGYEUURUULYFYGUCOZVEUULYAPUUQUYRUUKUULYHV
        JUULYIUIYKWEXKUUKUUGVGOYQVGOZUUHUUPVTUUKUUGUUJUUGUDOAUUFEFGHJUFVJYEAUYS
        UUJAYQUUBYEZYLUUGYQUBYMRWEXKAUUCUYSYTUUIVTUUEUYTUADEYQFGHIJYNRWEYQDYOYP
        $.
    $}

    $( In an abelian group with finite exponent, there is an element in the
       group with order equal to the exponent.  In other words, all orders of
       elements divide the largest order of an element of the group.  This
       fails if ` E = 0 ` , for example in an infinite p-group, where there are
       elements of arbitrarily large orders (so ` E ` is zero) but no elements
       of infinite order.  (Contributed by Mario Carneiro, 24-Apr-2016.) $)
    gexex $p |- ( ( G e. Abel /\ E e. NN ) -> E. x e. X ( O ` x ) = E ) $=
      ( vy vn wcel wa cv wceq cle cz wbr cn0 ax-mp c0 cabl cn cfv crn cr simpll
      clt csup simplr simprl wss wral wrex wf odf frn nn0ssz sstri adantl cdvds
      nnz cgrp ablgrp adantr gexod sylan wi odcl nn0zd dvdsle syl2anc ralrimiva
      mpd wfn wb ffn breq1 sylibr brralrspcev ad2antrr fnfvelrn suprzub mp3an2i
      ralrn a1i simplrr breqtrrd gexexlem wne grpbn0 syl cdm fdmi eqeq1i dm0rn0
      bitr3i necon3bii sylib suprzcl2 fvelrnb reximddv ) CUAKZBUBKZLZAMZDUCZDUD
      ZUEUGUHZNZXFBNAEXDXEEKZXILZLZIXEBCDEFGHXBXCXKUFXBXCXKUIXDXJXIUJXLIMZEKZLZ
      XMDUCZXHXFOXGPUKZXOXMJMOQIXGULJPUMZXPXGKZXPXHOQXGRPERDUNZXGRUKCDEFHUOZERD
      UPSUQURZXDXRXKXNXDBPKZXMBOQZIXGULZXRXCYCXBBVAUSXDXFBOQZAEULZYEXDYFAEXDXJL
      ZXFBUTQZYFXDCVBKZXJYIXBYJXCCVCVDZXEBCDEFGHVEVFYHXFPKXCYIYFVGYHXFXJXFRKXDX
      ECDEFHVHUSVIXBXCXJUIXFBVJVKVMVLDEVNZYEYGVOXTYLYAERDVPSZYDYFIAEDXMXFBOVQWD
      SVRJIXMBOPXGVSVKZVTXLYLXNXSYLXLYMWEEXMDWAVFJIXGXPWBWCXDXJXIXNWFWGWHXDXHXG
      KZXIAEUMZXQXDXGTWIZXRYOYBXDETWIZYQXDYJYRYKECFWJWKETXGTETNDWLZTNXGTNYSETER
      DYAWMWNDWOWPWQWRYNJIXGWSWCYLYOYPVOYMAEXHDWTSWRXA $.
  $}

  ${
    $d x y z B $.  $d x y z G $.  $d x y z N $.  $d x y z O $.
    torsubg.1 $e |- O = ( od ` G ) $.
    $( The set of all elements of finite order forms a subgroup of any abelian
       group, called the torsion subgroup.  (Contributed by Mario Carneiro,
       20-Oct-2015.) $)
    torsubg $p |- ( G e. Abel -> ( `' O " NN ) e. ( SubGrp ` G ) ) $=
      ( vx vy wcel cn cfv co wa cn0 eqid syl wceq ax-mp elpreima cc0 cmul cdvds
      wb cabl ccnv cima csubg cbs wss c0 wne cv cplusg cminusg cdm cnvimass odf
      wral fdmi sseqtri a1i c0g cgrp ablgrp grpidcl c1 od1 1nn eqeltrdi wfn ffn
      sylanbrc ne0d ad2antrr sseli ad2antlr adantl grpcl syl3anc cgcd 0nnn odcl
      wf nn0zd gcdcld nn0cnd mul02d breq1d zmulcld 0dvds bitrd simprbi nnmulcld
      wbr cz eleq1 syl5ibcom sylbid mtoi simpll odadd1 oveq1 wo elnn0 sylib ord
      mtod mt3d ralrimiva grpinvcl syl2an odinv eqeltrd jca issubg2 mpbir3and
      w3a ) AUAFZBUBGUCZAUDHFZXPAUEHZUFZXPUGUHZDUIZEUIZAUJHZIZXPFZEXPUOZYAAUKHZ
      HZXPFZJZDXPUOZXSXOXPBULXRBGUMXRKBABXRXRLZCUNZUPUQZURXOXPAUSHZXOYOXRFZYOBH
      ZGFZYOXPFZXOAUTFZYPAVAZXRAYOYLYOLZVBMXOYQVCGXOYTYQVCNUUAABYOCUUBVDMVEVFBX
      RVGZYSYPYRJTXRKBVTUUCYMXRKBVHOZXRYOGBPOVIVJXOYJDXPXOYAXPFZJZYFYIUUFYEEXPU
      UFYBXPFZJZYDXRFZYDBHZGFZYEUUHYTYAXRFZYBXRFZUUIXOYTUUEUUGUUAVKUUEUULXOUUGX
      PXRYAYNVLZVMZUUGUUMUUFXPXRYBYNVLVNZXRYCAYAYBYLYCLZVOVPZUUHUUKUUJQNZUUHUUS
      QYABHZYBBHZVQIZRIZUUTUVARIZSWKZUUHUVEQGFZVRUUHUVEUVDQNZUVFUUHUVEQUVDSWKZU
      VGUUHUVCQUVDSUUHUVBUUHUVBUUHUUTUVAUUHUUTUUHUULUUTKFUUOYAABXRYLCVSMWAZUUHU
      VAUUHUUMUVAKFUUPYBABXRYLCVSMWAZWBWCWDWEUUHUVDWLFUVHUVGTUUHUUTUVAUVIUVJWFU
      VDWGMWHUUHUVDGFUVGUVFUUHUUTUVAUUEUUTGFZXOUUGUUEUULUVKUUCUUEUULUVKJTUUDXRY
      AGBPOWIZVMUUGUVAGFZUUFUUGUUMUVMUUCUUGUUMUVMJTUUDXRYBGBPOWIVNWJUVDQGWMWNWO
      WPUUHUUJUVBRIZUVDSWKZUUSUVEUUHXOUULUUMUVOXOUUEUUGWQUUOUUPYAYBYCABXRCYLUUQ
      WRVPUUSUVNUVCUVDSUUJQUVBRWSWEWNXDUUHUUKUUSUUHUUJKFZUUKUUSWTUUHUUIUVPUURYD
      ABXRYLCVSMUUJXAXBXCXEUUCYEUUIUUKJTUUDXRYDGBPOVIXFUUFYHXRFZYHBHZGFZYIXOYTU
      ULUVQUUEUUAUUNXRAYGYAYLYGLZXGXHUUFUVRUUTGXOYTUULUVRUUTNUUEUUAUUNYAAYGBXRC
      UVTYLXIXHUUEUVKXOUVLVNXJUUCYIUVQUVSJTUUDXRYHGBPOVIXKXFXOYTXQXSXTYKXNTUUAD
      EXRYCXPAYGYLUUQUVTXLMXM $.

    oddvdssubg.1 $e |- B = ( Base ` G ) $.
    $( The set of all elements whose order divides a fixed integer is a
       subgroup of any abelian group.  (Contributed by Mario Carneiro,
       19-Apr-2016.) $)
    oddvdssubg $p |- ( ( G e. Abel /\ N e. ZZ ) ->
      { x e. B | ( O ` x ) || N } e. ( SubGrp ` G ) ) $=
      ( vy vz wcel wa cfv cdvds wbr co wceq fveq2 breq1d adantr eqid cabl cz cv
      crab csubg wss wne cplusg wral cminusg ssrab2 a1i c0g cgrp ablgrp grpidcl
      c0 syl c1 od1 1dvds adantl eqbrtrd elrabd ne0d elrab simprl grpcl syl3anc
      cmg simplll simpllr mulgdi syl13anc simprr wb oddvds mpbid oveq12d grplid
      syl2anc 3eqtrd sylan2b ralrimiva grpinvcl odinv jca w3a issubg2 mpbir3and
      mpbird ) CUAJZDUBJZKZAUCZELZDMNZABUDZCUELJZWRBUFZWRUQUGZHUCZIUCZCUHLZOZWR
      JZIWRUIZXBCUJLZLZWRJZKZHWRUIZWTWNWQABUKULWNWRCUMLZWNWQXMELZDMNAXMBWOXMPWP
      XNDMWOXMEQRWNCUNJZXMBJZWLXOWMCUOSZBCXMGXMTZUPZURWNXNUSDMWNXOXNUSPXQCEXMFX
      RUTURWMUSDMNWLDVAVBVCVDVEWNXKHWRXBWRJWNXBBJZXBELZDMNZKZXKWQYBAXBBWOXBPWPY
      ADMWOXBEQRVFWNYCKZXGXJYDXFIWRXCWRJYDXCBJZXCELZDMNZKZXFWQYGAXCBWOXCPWPYFDM
      WOXCEQRVFYDYHKZWQXEELZDMNZAXEBWOXEPWPYJDMWOXEEQRYIXOXTYEXEBJZYDXOYHWNXOYC
      XQSZSZYDXTYHWNXTYBVGZSZYDYEYGVGZBXDCXBXCGXDTZVHVIZYIYKDXECVJLZOZXMPZYIUUA
      DXBYTOZDXCYTOZXDOZXMXMXDOZXMYIWLWMXTYEUUAUUEPWLWMYCYHVKWLWMYCYHVLZYPYQBXD
      YTCDXBXCGYTTZYRVMVNYIUUCXMUUDXMXDYIYBUUCXMPZYDYBYHWNXTYBVOZSYIXOXTWMYBUUI
      VPYNYPUUGXBYTCDEBXMGFUUHXRVQVIVRYIYGUUDXMPZYDYEYGVOYIXOYEWMYGUUKVPYNYQUUG
      XCYTCDEBXMGFUUHXRVQVIVRVSYIXOXPUUFXMPYNYIXOXPYNXSURBXDCXMXMGYRXRVTWAWBYIX
      OYLWMYKUUBVPYNYSUUGXEYTCDEBXMGFUUHXRVQVIWKVDWCWDYDWQXIELZDMNAXIBWOXIPWPUU
      LDMWOXIEQRYDXOXTXIBJYMYOBCXHXBGXHTZWEWAYDUULYADMYDXOXTUULYAPYMYOXBCXHEBFU
      UMGWFWAUUJVCVDWGWCWDWNXOWSWTXAXLWHVPXQHIBXDWRCXHGYRUUMWIURWJ $.
  $}

  ${
    $d x y z T $.  $d x y z U $.  $d x y z B $.  $d x y z G $.  $d x .(+) $.
    lsmcomx.v $e |- B = ( Base ` G ) $.
    lsmcomx.s $e |- .(+) = ( LSSum ` G ) $.
    $( Subgroup sum commutes (extended domain version).  (Contributed by NM,
       25-Feb-2014.)  (Revised by Mario Carneiro, 19-Apr-2016.) $)
    lsmcomx $p |- ( ( G e. Abel /\ T C_ B /\ U C_ B )
       -> ( T .(+) U ) = ( U .(+) T ) ) $=
      ( vx vy vz cabl wcel wss co cv wceq wrex wa sseldd lsmelvalx w3a cfv eqid
      cplusg simpl1 simpl2 simprl simpl3 simprr ablcom syl3anc eqeq2d 2rexbidva
      rexcom bitrdi wb 3com23 3bitr4d eqrdv ) EKLZCAMZDAMZUAZHCDBNZDCBNZVCHOZIO
      ZJOZEUDUBZNZPZJDQICQZVFVHVGVINZPZICQJDQZVFVDLVFVELZVCVLVNJDQICQVOVCVKVNIJ
      CDVCVGCLZVHDLZRZRZVJVMVFVTUTVGALVHALVJVMPUTVAVBVSUEVTCAVGUTVAVBVSUFVCVQVR
      UGSVTDAVHUTVAVBVSUHVCVQVRUISAVIEVGVHFVIUCZUJUKULUMVNIJCDUNUOIJAVIBCDEKVFF
      WAGTUTVBVAVPVOUPJIAVIBDCEKVFFWAGTUQURUS $.
  $}

  ${
    ablcntzd.z $e |- Z = ( Cntz ` G ) $.
    ablcntzd.a $e |- ( ph -> G e. Abel ) $.
    ablcntzd.t $e |- ( ph -> T e. ( SubGrp ` G ) ) $.
    ablcntzd.u $e |- ( ph -> U e. ( SubGrp ` G ) ) $.
    $( All subgroups in an abelian group commute.  (Contributed by Mario
       Carneiro, 19-Apr-2016.) $)
    ablcntzd $p |- ( ph -> T C_ ( Z ` U ) ) $=
      ( cbs cfv csubg wcel wss eqid subgss syl ccmn wceq cabl cntzcmn sseqtrrd
      ablcmn syl2anc ) ABDJKZCEKZABDLKZMBUENHUEBDUEOZPQADRMZCUENZUFUESADTMUIGDU
      CQACUGMUJIUECDUHPQUECDEUHFUAUDUB $.
  $}

  ${
    lsmcom.s $e |- .(+) = ( LSSum ` G ) $.
    $( Subgroup sum commutes.  (Contributed by NM, 6-Feb-2014.)  (Revised by
       Mario Carneiro, 21-Jun-2014.) $)
    lsmcom $p |- ( ( G e. Abel /\ T e. ( SubGrp ` G ) /\ U e. ( SubGrp ` G ) )
       -> ( T .(+) U ) = ( U .(+) T ) ) $=
      ( cabl wcel csubg cfv cbs wss co wceq id eqid subgss lsmcomx syl3an ) DFG
      ZSBDHIZGBDJIZKCTGCUAKBCALCBALMSNUABDUAOZPUACDUBPUAABCDUBEQR $.

    $( The sum of two subgroups is a subgroup.  (Contributed by NM,
       4-Feb-2014.)  (Proof shortened by Mario Carneiro, 19-Apr-2016.) $)
    lsmsubg2 $p |- ( ( G e. Abel /\ T e. ( SubGrp ` G ) /\
      U e. ( SubGrp ` G ) ) -> ( T .(+) U ) e. ( SubGrp ` G ) ) $=
      ( cabl wcel csubg cfv w3a ccntz wss co simp2 simp3 simp1 ablcntzd lsmsubg
      eqid syl3anc ) DFGZBDHIZGZCUBGZJZUCUDBCDKIZILBCAMUBGUAUCUDNZUAUCUDOZUEBCD
      UFUFSZUAUCUDPUGUHQABCDUFEUIRT $.

    $( Commutative/associative law for subgroup sum.  (Contributed by NM,
       26-Sep-2014.)  (Revised by Mario Carneiro, 19-Apr-2016.) $)
    lsm4 $p |- ( ( G e. Abel /\ ( Q e. ( SubGrp ` G ) /\ R e. ( SubGrp ` G ) )
                /\ ( T e. ( SubGrp ` G ) /\ U e. ( SubGrp ` G ) ) ) ->
   ( ( Q .(+) R ) .(+) ( T .(+) U ) ) = ( ( Q .(+) T ) .(+) ( R .(+) U ) ) ) $=
      ( cabl wcel csubg cfv wa w3a co wceq simp1 simp2r syl3anc lsmass lsmsubg2
      simp3l lsmcom oveq2d simp2l 3eqtr4d oveq1d simp3r 3eqtr3d ) FHIZBFJKZIZCU
      JIZLZDUJIZEUJIZLZMZBCANZDANZEANZBDANZCANZEANZURDEANANZVACEANANZUQUSVBEAUQ
      BCDANZANZBDCANZANZUSVBUQVFVHBAUQUIULUNVFVHOUIUMUPPZUIUKULUPQZUIUMUNUOUAZA
      CDFGUBRUCUQUKULUNUSVGOUIUKULUPUDZVKVLABCDFGSRUQUKUNULVBVIOVMVLVKABDCFGSRU
      EUFUQURUJIZUNUOUTVDOUQUIUKULVNVJVMVKABCFGTRVLUIUMUNUOUGZAURDEFGSRUQVAUJIZ
      ULUOVCVEOUQUIUKUNVPVJVMVLABDFGTRVKVOAVACEFGSRUH $.
  $}

  ${
    $d c I $.  $d a b c ph $.  $d c R $.  $d c S $.  $d a b c Y $.
    prdscmnd.y $e |- Y = ( S Xs_ R ) $.
    prdscmnd.i $e |- ( ph -> I e. W ) $.
    prdscmnd.s $e |- ( ph -> S e. V ) $.
    ${
      prdscmnd.r $e |- ( ph -> R : I --> CMnd ) $.
      $( The product of a family of commutative monoids is commutative.
         (Contributed by Stefan O'Rear, 10-Jan-2015.) $)
      prdscmnd $p |- ( ph -> Y e. CMnd ) $=
        ( vc cfv ccmn cmnd wcel co 3ad2ant1 cvv eqid va vb cbs cplusg eqidd wss
        wf cv cmnmnd ssriv fss sylancl prdsmndd w3a cmpt ffvelrnda elexd adantr
        wa wceq wfn ffnd simpl2 simpr prdsbasprj simpl3 syl3anc mpteq2dva simp2
        cmncom simp3 prdsplusgval 3eqtr4d iscmnd ) AUAUBGUCMZGUDMZGAVOUEAVPUEAB
        CDEFGHIJADNBUGZNOUFDOBUGKUANOUAUHZUIUJDNOBUKULUMAVRVOPZUBUHZVOPZUNZLDLU
        HZVRMZWCVTMZWCBMZUDMZQZUOLDWEWDWGQZUOVRVTVPQVTVRVPQWBLDWHWIWBWCDPZUSZWF
        NPWDWFUCMZPWEWLPWHWIUTWBDNWCBAVSVQWAKRUPWKVOBCVRDWCSSGHVOTZWBCSPZWJAVSW
        NWAACEJUQRZURZWBDSPZWJAVSWQWAADFIUQRZURZWBBDVAZWJAVSWTWAADNBKVBRZURZAVS
        WAWJVCWBWJVDZVEWKVOBCVTDWCSSGHWMWPWSXBAVSWAWJVFXCVEWLWGWFWDWEWLTWGTVJVG
        VHWBLVOVPBCVRVTDSSGHWMWOWRXAAVSWAVIZAVSWAVKZVPTZVLWBLVOVPBCVTVRDSSGHWMW
        OWRXAXEXDXFVLVMVN $.
    $}

    prdsgabld.r $e |- ( ph -> R : I --> Abel ) $.
    $( The product of a family of Abelian groups is an Abelian group.
       (Contributed by Stefan O'Rear, 10-Jan-2015.) $)
    prdsabld $p |- ( ph -> Y e. Abel ) $=
      ( va cgrp wcel ccmn cabl wf wss ssriv fss ablgrp prdsgrpd ablcmn prdscmnd
      cv sylancl isabl sylanbrc ) AGMNGONGPNABCDEFGHIJADPBQZPMRDMBQKLPMLUEZUASD
      PMBTUFUBABCDEFGHIJAUIPORDOBQKLPOUJUCSDPOBTUFUDGUGUH $.
  $}

  ${
    pwscmn.y $e |- Y = ( R ^s I ) $.
    $( The structure power on a commutative monoid is commutative.
       (Contributed by Mario Carneiro, 11-Jan-2015.) $)
    pwscmn $p |- ( ( R e. CMnd /\ I e. V ) -> Y e. CMnd ) $=
      ( ccmn wcel wa csca cfv csn cxp cprds co eqid pwsval cvv simpr fvexd wf
      fconst6g adantr prdscmnd eqeltrd ) AFGZBCGZHZDAIJZBAKLZMNZFAUHBFCDEUHOPUG
      UIUHBQCUJUJOUEUFRUGAISUEBFUITUFBAFUAUBUCUD $.

    $( The structure power on an Abelian group is Abelian.  (Contributed by
       Mario Carneiro, 21-Jan-2015.) $)
    pwsabl $p |- ( ( R e. Abel /\ I e. V ) -> Y e. Abel ) $=
      ( cabl wcel wa csca cfv csn cxp cprds co eqid pwsval cvv simpr fvexd wf
      fconst6g adantr prdsabld eqeltrd ) AFGZBCGZHZDAIJZBAKLZMNZFAUHBFCDEUHOPUG
      UIUHBQCUJUJOUEUFRUGAISUEBFUITUFBAFUAUBUCUD $.
  $}

  ${
    $d a b x y G $.  $d a b x y H $.  $d a b x y S $.
    qusabl.h $e |- H = ( G /s ( G ~QG S ) ) $.
    $( If ` Y ` is a subgroup of the abelian group ` G ` , then ` H = G / Y `
       is an abelian group.  (Contributed by Mario Carneiro, 26-Apr-2016.) $)
    qusabl $p |- ( ( G e. Abel /\ S e. ( SubGrp ` G ) ) -> H e. Abel ) $=
      ( vx vy va vb cabl wcel cfv wa cv cplusg co wceq eleq2d cec wrex eqid cbs
      csubg cgrp wral cnsg ablnsg biimpar qusgrp syl cqg cqs vex elqs cvv eqidd
      a1i ovexd simpl qusbas bitr3id anbi12d reeanv ablcom 3expb adantlr eceq1d
      cqus adantr simprl simprr qusadd syl3anc 3eqtr4d oveq12 ancoms syl5ibrcom
      eqeq12d rexlimdvva syl5bir sylbird ralrimivv isabl2 sylanbrc ) BIJZABUBKZ
      JZLZCUCJZEMZFMZCNKZOZWJWIWKOZPZFCUAKZUDEWOUDCIJWGABUEKZJZWHWDWQWFWDWPWEAB
      UFQUGZABCDUHUIWGWNEFWOWOWGWIWOJZWJWOJZLWIGMZBAUJOZRZPZGBUAKZSZWJHMZXBRZPZ
      HXESZLZWNWGXFWSXJWTXFWIXEXBUKZJWGWSGXEWIXBEULUMWGXLWOWIWGXBBCXEUNICBXBVGO
      PWGDUPWGXEUOWGBAUJUQWDWFURUSZQUTXJWJXLJWGWTHXEWJXBFULUMWGXLWOWJXMQUTVAXKX
      DXILZHXESGXESWGWNXDXIGHXEXEVBWGXNWNGHXEXEWGXAXEJZXGXEJZLZLZWNXNXCXHWKOZXH
      XCWKOZPXRXAXGBNKZOZXBRZXGXAYAOZXBRZXSXTXRYBYDXBWDXQYBYDPZWFWDXOXPYFXEYABX
      AXGXETZYATZVCVDVEVFXRWQXOXPXSYCPWGWQXQWRVHZWGXOXPVIZWGXOXPVJZYAWKABCXEXAX
      GDYGYHWKTZVKVLXRWQXPXOXTYEPYIYKYJYAWKABCXEXGXADYGYHYLVKVLVMXNWLXSWMXTWIXC
      WJXHWKVNXIXDWMXTPWJXHWIXCWKVNVOVQVPVRVSVTWAEFWOWKCWOTYLWBWC $.
  $}

  ${
    $d I a b $.  $d M a b $.
    abl1.m $e |- M = { <. ( Base ` ndx ) , { I } >. ,
                       <. ( +g ` ndx ) , { <. <. I , I >. , I >. } >. } $.
    $( The (smallest) structure representing a _trivial abelian group_.
       (Contributed by AV, 28-Apr-2019.) $)
    abl1 $p |- ( I e. V -> M e. Abel ) $=
      ( va vb wcel cv cop csn wceq wral oveq1 oveq2 eqeq12d ralsng cvv cfv snex
      co cgrp cabl eqidd ralbidv bitrd mpbird cbs grpbase ax-mp cplusg grpplusg
      grp1 isabl2 sylanbrc ) ACGZBUAGEHZFHZAAIAIZJZTZUQUPUSTZKZFAJZLZEVCLZBUBGA
      BCDULUOVEAAUSTZVFKZUOVFUCUOVEAUQUSTZUQAUSTZKZFVCLZVGVDVKEACUPAKZVBVJFVCVL
      UTVHVAVIUPAUQUSMUPAUQUSNOUDPVJVGFACUQAKVHVFVIVFUQAAUSNUQAAUSMOPUEUFEFVCUS
      BVCQGVCBUGRKASVCUSBQDUHUIUSQGUSBUJRKURSVCUSBQDUKUIUMUN $.
  $}

  $( Abelian groups (and therefore also groups and monoids) exist.
     (Contributed by AV, 29-Apr-2019.) $)
  abln0 $p |- Abel =/= (/) $=
    ( vi cv cvv wcel cnx cbs cfv csn cop cplusg cpr cabl wne vex eqid abl1 ne0i
    c0 mp2b ) ABZCDEFGTHIEJGTTITIHIKZLDLRMANTUACUAOPLUAQS $.

  ${
    $d x y z G $.
    cnaddablx.g $e |- G = { <. 1 , CC >. , <. 2 , + >. } $.
    $( The complex numbers are an Abelian group under addition.  This version
       of ~ cnaddabl shows the explicit structure "scaffold" we chose for the
       definition for Abelian groups.  Note:  This theorem has hard-coded
       structure indices for demonstration purposes.  It is not intended for
       general use; use ~ cnaddabl instead.  (New usage is discouraged.)
       (Contributed by NM, 18-Oct-2012.) $)
    cnaddablx $p |- G e. Abel $=
      ( vx vy vz cc caddc cv cneg cc0 cnex addex addcl addass addid2 negcl wcel
      0cn co addcom wceq mpdan negid eqtr3d isgrpix grpbasex grpplusgx isabli )
      CDFGACDEFGACHZIZJKLBUIDHZMUIUKEHNRUIOUIPZUIFQZUIUJGSZUJUIGSZJUMUJFQUNUOUA
      ULUIUJTUBUIUCUDUEFGAKLBUFFGAKLBUGUIUKTUH $.
  $}

  ${
    $d x y z G $.
    cnaddabl.g $e |- G
               = { <. ( Base ` ndx ) , CC >. , <. ( +g ` ndx ) , + >. } $.
    $( The complex numbers are an Abelian group under addition.  This version
       of ~ cnaddablx hides the explicit structure indices i.e. is
       "scaffold-independent".  Note that the proof also does not reference
       explicit structure indices.  The actual structure is dependent on how
       ` Base ` and ` +g ` is defined.  This theorem should not be referenced
       in any proof.  For the group/ring properties of the complex numbers, see
       ~ cnring .  (Contributed by NM, 20-Oct-2012.)
       (New usage is discouraged.) $)
    cnaddabl $p |- G e. Abel $=
      ( vx vy vz cc caddc cv cneg cc0 cvv wcel cbs cfv wceq cnex grpbase addcom
      ax-mp co cplusg addex grpplusg addcl addass 0cn addid2 negcl mpdan eqtr3d
      negid isgrpi isabli ) CDFGACDEFGACHZIZJFKLFAMNOPFGAKBQSZGKLGAUANOUBFGAKBU
      CSZUNDHZUDUNUREHUEUFUNUGUNUHZUNFLZUNUOGTZUOUNGTZJUTUOFLVAVBOUSUNUORUIUNUK
      UJULUPUQUNURRUM $.

    $( The group identity element of complex number addition is zero.  See also
       ~ cnfld0 .  (Contributed by Steve Rodriguez, 3-Dec-2006.)  (Revised by
       AV, 26-Aug-2021.)  (New usage is discouraged.) $)
    cnaddid $p |- ( 0g ` G ) = 0 $=
      ( vx cc0 c0g cfv cc wcel wceq 0cn caddc cvv cbs cnex grpbase ax-mp cplusg
      eqid co adantl addex grpplusg id cv addid2 addid1 ismgmid2 eqcomi ) DAEFZ
      DGHZDUIIJUJCGKDAUIGLHGAMFINGKALBOPUIRKLHKAQFIUAGKALBUBPUJUCCUDZGHZDUKKSUK
      IUJUKUETULUKDKSUKIUJUKUFTUGPUH $.

    $( Value of the group inverse of complex number addition.  See also
       ~ cnfldneg .  (Contributed by Steve Rodriguez, 3-Dec-2006.)  (Revised by
       AV, 26-Aug-2021.)  (New usage is discouraged.) $)
    cnaddinv $p |- ( A e. CC -> ( ( invg ` G ) ` A ) = -u A ) $=
      ( cc wcel cminusg cfv cneg wceq caddc cc0 negid cgrp cabl cnaddabl ablgrp
      co wb ax-mp cvv id negcl cbs grpbase cplusg addex grpplusg cnaddid eqcomi
      cnex c0g eqid grpinvid1 mp3an2i mpbird ) ADEZABFGZGAHZIZAURJQKIZALBMEZUPU
      PURDEUSUTRBNEVABCOBPSUPUAAUBDJBUQAURKDTEDBUCGIUJDJBTCUDSJTEJBUEGIUFDJBTCU
      GSBUKGKBCUHUIUQULUMUNUO $.
  $}

  ${
    $d x y z G $.
    zaddablx.g $e |- G = { <. 1 , ZZ >. , <. 2 , + >. } $.
    $( The integers are an Abelian group under addition.  Note:  This theorem
       has hard-coded structure indices for demonstration purposes.  It is not
       intended for general use.  Use ~ zsubrg instead.
       (New usage is discouraged.)  (Contributed by NM, 4-Sep-2011.) $)
    zaddablx $p |- G e. Abel $=
      ( vx vy vz cz caddc cv cneg cc0 zex addex zaddcl wcel cc co addcom syl2an
      wceq zcn addass syl3an 0z addid2d znegcl negidd eqtr3d grpbasex grpplusgx
      mpdan isgrpix isabli ) CDFGACDEFGACHZIZJKLBUMDHZMUMFNZUMONZUOFNZUOONZEHZF
      NUTONUMUOGPZUTGPUMUOUTGPGPSUMTZUOTZUTTUMUOUTUAUBUCUPUMVBUDUMUEZUPUMUNGPZU
      NUMGPZJUPUNFNZVEVFSZVDUPUQUNONVHVGVBUNTUMUNQRUJUPUMVBUFUGUKFGAKLBUHFGAKLB
      UIUPUQUSVAUOUMGPSURVBVCUMUOQRUL $.
  $}

  ${
    $d a b d x A $.  $d d m t D $.  $d a b m n t v w x y z I $.  $d a b x ph $.
    $d a b d m t x y z .~ $.  $d a b d x B $.  $d a b d k m n t v w x y z W $.
    $d a b x G $.  $d a b m n t v w x M $.  $d a b d k m t x T $.
    frgpnabl.g $e |- G = ( freeGrp ` I ) $.
    ${
      frgpnabl.w $e |- W = ( _I ` Word ( I X. 2o ) ) $.
      frgpnabl.r $e |- .~ = ( ~FG ` I ) $.
      frgpnabl.p $e |- .+ = ( +g ` G ) $.
      frgpnabl.m $e |- M = ( y e. I , z e. 2o |-> <. y , ( 1o \ z ) >. ) $.
      frgpnabl.t $e |- T = ( v e. W |->
        ( n e. ( 0 ... ( # ` v ) ) , w e. ( I X. 2o ) |->
          ( v splice <. n , n , <" w ( M ` w ) "> >. ) ) ) $.
      frgpnabl.d $e |- D = ( W \ U_ x e. W ran ( T ` x ) ) $.
      frgpnabl.u $e |- U = ( varFGrp ` I ) $.
      frgpnabl.i $e |- ( ph -> I e. V ) $.
      frgpnabl.a $e |- ( ph -> A e. I ) $.
      frgpnabl.b $e |- ( ph -> B e. I ) $.
      $( Lemma for ~ frgpnabl .  (Contributed by Mario Carneiro, 21-Apr-2016.)
         (Revised by AV, 25-Apr-2024.) $)
      frgpnabllem1 $p |- ( ph -> <" <. A , (/) >. <. B , (/) >. "> e.
        ( D i^i ( ( U ` A ) .+ ( U ` B ) ) ) ) $=
        ( va vb cfv co c0 cop cs2 cv crn ciun cdif c2o cxp cword wcel c1o prid1
        cpr 0ex df2o3 eleqtrri opelxpi sylancl s2cld cid wceq con0 xpexg wrdexg
        cvv 2on fvi 3syl eqtrid eleqtrrd wrex wa wne wn 1n0 cc0 chash caddc 2cn
        c2 addid2i s2len eqtr4i efgtlen adantll ex 0cnd cn0 simpr efgrcl simprd
        adantl eleqtrd lencl syl nn0cnd 2cnd addcan2d wi cfz csplice rneqd ovex
        eleq2d cconcat ccatidid hash0 oveq2i eqtrd c1 fveq1d opex s2fv1 3eqtr3g
        a1i ax-mp s2fv0 elv sylbid wb cs1 cec vrgpval syl2anc s1cld sylibd cotp
        cmpo efgtf simpld eqid elrnmpo wrd0 simprr efgmf ffvelrni oveq1i eqtr2i
        wf simprl eleqtrdi elfz1eq eqtr4di 0cn eqeltrdi addid1d eqtr2id splval2
        cc ccatlid oveq1d ccatrid eqeq2d ad3antrrr 1on fvex fveq2d efgmval dif0
        df-ov opeq2i 3eqtr2rd opthg simplbda syl21anc rexlimdvva syl5bi expimpd
        hasheq0 eleq1 fveq2 anbi12d sylbi eqcoms imbi1d syl5ibrcom expdimp mpdd
        com23 necon3ad mpi nrexdv eliun sylnibr eleqtrrdi wbr df-s2 efger erref
        eldifd wer eqbrtrrid ovexi elec sylibr oveq12d frgpadd elind ) AIGMUMZH
        MUMZJUNZGUOUPZHUOUPZUQZAUXSSBSBURZLUMZUSZUTZVAIAUXSSUYCAUXSPVBVCZVDZSAU
        XQUXRUYDAGPVEZUOVBVEZUXQUYDVEUIUOUOVFVHVBUOVFVIVGVJVKZGUOPVBVLVMZAHPVEZ
        UYGUXRUYDVEUJUYHHUOPVBVLVMZVNASUYEVOUMZUYEUAAUYDVTVEZUYEVTVEUYLUYEVPAPR
        VEZVBVQVEUYMUHWAPVBRVQVRVMUYDVTVSUYEVTWBWCWDZWEZAUXSUYBVEZBSWFUXSUYCVEA
        UYQBSAUXTSVEZWGZVFUOWHUYQWIWJUYSUYQVFUOUYSUYQWKUXTWLUMZVPZVFUOVPZUYSUYQ
        WKWOWMUNZUYTWOWMUNZVPZVUAUYSUYQVUEUYSUYQWGVUCUXSWLUMZVUDVUCWOVUFWOWNWPU
        XQUXRWQWRUYRUYQVUFVUDVPACDEFUXSKLNPQSUXTUAUBUDUEWSWTWDXAUYSWKUYTWOUYSXB
        UYSUYTUYSUXTUYEVEUYTXCVEUYSUXTSUYEAUYRXDUYRSUYEVPZAUYRPVTVEVUGUXTPSUAXE
        XFXGXHUYDUXTXIXJXKUYSXLXMUUAAUYRUYQVUAVUBXNAVUAUYRUYQWGZVUBAVUHVUBXNVUA
        UOSVEZUXSUOLUMZUSZVEZWGZVUBXNAVUIVULVUBAVUIWGZVULUXSUKULWKUOWLUMZXOUNZU
        YDUOUKURZVUQULURZVURQUMZUQZUUBZXPUNZUUCZUSZVEZVUBVUNVUKVVDUXSVUNVUJVVCV
        UNVUJVVCVPZVUPUYDVCSVUJUUNZVUIVVFVVGWGACDEFKLNPQSUOUKULUAUBUDUEUUDXGUUE
        XQXSVVEUXSVVBVPZULUYDWFUKVUPWFVUNVUBUKULVUPUYDVVBUXSVVCVVCUUFUOVVAXPXRU
        UGVUNVVHVUBUKULVUPUYDVUNVUQVUPVEZVURUYDVEZWGZWGZVVHUXSVUTVPZVUBVVLVVBVU
        TUXSVVLVVBUOVUTXTUNZUOXTUNZVUTVVLUOUOUOVUTUOVUQVUQUYDUOUYEVEVVLUYDUUHYJ
        ZVVPVVPVVLVURVUSUYDVUNVVIVVJUUIZVVLVVJVUSUYDVEVVQUYDUYDVURQCDPQUDUUJUUK
        XJVNZUOUOUOXTUNZUOXTUNZVPVVLVVTVVSUOVVSUOUOXTYAUULYAUUMYJVVLVUQWKVUOVVL
        VUQWKWKXOUNZVEVUQWKVPVVLVUQVUPVWAVUNVVIVVJUUOVUOWKWKXOYBYCUUPVUQWKUUQXJ
        ZYBUURVVLVUQVUOWMUNVUQWKWMUNVUQVUOWKVUQWMYBYCVVLVUQVVLVUQWKUVDVWBUUSUUT
        UVAUVBUVCVVLVUTUYEVEZVVOVUTVPVVRVWCVVOVUTUOXTUNVUTVWCVVNVUTUOXTUYDVUTUV
        EUVFUYDVUTUVGYDXJYDUVHVVLVVMVUBVVLVVMWGZUYFVFVQVEZGVFUPZUXRVPZVUBAUYFVU
        IVVKVVMUIUVIZVWEVWDUVJYJVWDUXRVUSUXQQUMZVWFVWDYEUXSUMZYEVUTUMZUXRVUSVWD
        YEUXSVUTVVLVVMXDZYFUXRVTVEVWJUXRVPHUOYGUXQUXRVTYHYKVUSVTVEVWKVUSVPVURQU
        VKVURVUSVTYHYKYIVWDUXQVURQVWDWKUXSUMZWKVUTUMZUXQVURVWDWKUXSVUTVWLYFUXQV
        TVEVWMUXQVPGUOYGUXQUXRVTYLYKVWNVURVPULVURVUSVTYLYMYIUVLVWDGUOQUNZGVFUOV
        AZUPZVWIVWFVWDUYFUYGVWOVWQVPVWHUYHCDGUOPQUDUVMVMGUOQUVOVWPVFGVFUVNUVPYI
        UVQUYFVWEWGVWGGHVPVUBGVFHUOPVQUVRUVSUVTXAYNUWAUWBYNUWCVUAVUHVUMVUBVUHVU
        MYOZUYTWKUYTWKVPZUXTUOVPZVWRVWSVWTYOBUXTVTUWDYMVWTUYRVUIUYQVULUXTUOSUWE
        VWTUYBVUKUXSVWTUYAVUJUXTUOLUWFXQXSUWGUWHUWIUWJUWKUWNUWLUWMUWOUWPUWQBUXS
        SUYBUWRUWSUXEUFUWTAUXSUXQYPZUXRYPZXTUNZKYQZUXPAVXCUXSKUXAUXSVXDVEAVXCUX
        SUXSKUXQUXRUXBZAUXSKSSKUXFAKPSUAUBUXCYJUYPUXDUXGUXSVXCKUXSVXAVXBXTVXEUX
        HVXAVXBXTXRUXIUXJAUXPVXAKYQZVXBKYQZJUNZVXDAUXNVXFUXOVXGJAUYNUYFUXNVXFVP
        UHUIGKMPRUBUGYRYSAUYNUYJUXOVXGVPUHUJHKMPRUBUGYRYSUXKAVXASVEVXBSVEVXHVXD
        VPAVXAUYESAUXQUYDUYIYTUYOWEAVXBUYESAUXRUYDUYKYTUYOWEVXAVXBJKOPSUATUBUCU
        XLYSYDWEUXM $.

      frgpnabl.n $e |- ( ph ->
        ( ( U ` A ) .+ ( U ` B ) ) = ( ( U ` B ) .+ ( U ` A ) ) ) $.
      $( Lemma for ~ frgpnabl .  (Contributed by Mario Carneiro, 21-Apr-2016.)
         (Revised by AV, 25-Apr-2024.) $)
      frgpnabllem2 $p |- ( ph -> A = B ) $=
        ( vd vt vm vk wcel c0 cvv cop wceq 0ex a1i cc0 cs2 cfv cv wbr wrmo wreu
        crn ciun cdif difss eqsstri co frgpnabllem1 elin1d sselid c1 cmin chash
        cfzo wral wa cword csn crab cmpt eqid efgredeu reurmo cec wer cqs efger
        3syl cbs cgrp frgpgrp syl wf vrgpf ffvelrnd grpcl syl3anc c2o cxp cfrmd
        cqus frgpval cid con0 2on sylancl wrdexg fvi eqtrid frmdbas eqtr4d cefg
        xpexg fvexi fvexd qusbas eleqtrrd elin2d qsel eqtr3d mpbird erref breq1
        erth rmoi syl122anc fveq1d opex s2fv0 ax-mp 3eqtr3g opthg simprbda
        syl21anc ) AGPUPZUQURUPZGUQUSZHUQUSZUTZGHUTZUIUUDAVAVBAVCUUEUUFVDZVEZVC
        UUFUUEVDZVEZUUEUUFAVCUUIUUKAULVFZUUKKVGZULIVHZUUIIUPUUIUUKKVGZUUKIUPUUK
        UUKKVGZUUIUUKUTAUUKSUPUUNULIVIUUOAISUUKISBSBVFLVEVJVKZVLSUFSUURVMVNZAIH
        MVEZGMVEZJVOZUUKABCDEFHGIJKLMNOPQRSTUAUBUCUDUEUFUGUHUJUIVPZVQZVRZBCDEFU
        MUUKIKUNVCUMVFZVEIUPUOVFZUVFVEUVGVSVTVOUVFVELVEVJUPUOVSUVFWAVEWBVOWCWDU
        MSWEUQWFVLWGUNVFZWAVEVSVTVOUVHVEWHZLUOUNNPQSULUAUBUDUEUFUVIWIWJUUNULIWK
        WPAIUVAUUTJVOZUUIABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJVPZVQZAUUPUUIK
        WLZUUKKWLZUTAUVJUVMUVNASKWMZUVJSKWNZUPZUUIUVJUPUVJUVMUTUVOAKPSUAUBWOVBZ
        AUVJOWQVEZUVPAOWRUPZUVAUVSUPUUTUVSUPUVJUVSUPAPRUPZUVTUHOPRTWSWTAPUVSGMA
        UWAPUVSMXAUHKMOPRUVSUBUGTUVSWIZXBWTZUIXCAPUVSHMUWCUJXCUVSJOUVAUUTUWBUCX
        DXEAKPXFXGZXHVEZOSURURAUWAOUWEKXIVOUTUHKOPUWERTUWEWIZUBXJWTASUWDWEZUWEW
        QVEZASUWGXKVEZUWGUAAUWDURUPZUWGURUPUWIUWGUTAUWAXFXLUPUWJUHXMPXFRXLYAXNZ
        UWDURXOUWGURXPWPXQAUWJUWHUWGUTUWKUWHUWDUWEURUWFUWHWIXRWTXSKURUPAKPXTUBY
        BVBAUWDXHYCYDYEZAIUVJUUIUVKYFSUVJUUIKSYGXEAUVOUVQUUKUVJUPUVJUVNUTUVRUWL
        AUUKUVBUVJAIUVBUUKUVCYFUKYESUVJUUKKSYGXEYHAUUIUUKKSUVRAISUUIUUSUVLVRYLY
        IUVDAUUKKSUVRUVEYJUUNUUPUUQULIUUIUUKUUMUUIUUKKYKUUMUUKUUKKYKYMYNYOUUEUR
        UPUUJUUEUTGUQYPUUEUUFURYQYRUUFURUPUULUUFUTHUQYPUUFUUEURYQYRYSUUCUUDWDUU
        GUUHUQUQUTGUQHUQPURYTUUAUUB $.
    $}

    $( The free group on two or more generators is not abelian.  (Contributed
       by Mario Carneiro, 21-Apr-2016.) $)
    frgpnabl $p |- ( 1o ~< I -> -. G e. Abel ) $=
      ( va vb vx vy vz vw vv vn c1o csdm cv wcel cvv wa cfv co eqid wbr wceq wn
      wrex cabl relsdom brrelex2i 1sdom syl ibi c2o cxp cword cid cc0 chash cfz
      wb cdif cop cmpo cs2 cotp csplice cmpt crn ciun cplusg cefg cvrgp simplrl
      ad2antrr simplrr cbs simpr wf vrgpf ffvelrnd ablcom frgpnabllem2 ex con3d
      syl3anc rexlimdvva mpd ) LBMUAZDNZENZUBZUCZEBUDDBUDZAUEOZUCZWFWKWFBPOZWFW
      KURLBMUFUGZDEBPUHUIUJWFWJWMDEBBWFWGBOZWHBOZQZQZWLWIWSWLWIWSWLQZFGHIJWGWHB
      UKULZUMUNRZFXBFNJXBKIUOJNZUPRUQSXAXCKNZXDINZXEGHBUKGNLHNUSUTVAZRVBVCVDSVA
      VEZRVFVGUSZAVHRZBVIRZXGBVJRZKABXFPXBCXBTXJTZXITZXFTXGTXHTXKTZWFWNWRWLWOVL
      ZWFWPWQWLVKZWFWPWQWLVMZWTWLWGXKRZAVNRZOWHXKRZXSOXRXTXISXTXRXISUBWSWLVOWTB
      XSWGXKWTWNBXSXKVPXOXJXKABPXSXLXNCXSTZVQUIZXPVRWTBXSWHXKYBXQVRXSXIAXRXTYAX
      MVSWCVTWAWBWDWE $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Cyclic groups
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c CycGrp $. $( Cyclic group $)

  $( Cyclic group. $)
  ccyg $a class CycGrp $.

  ${
    $d g m n x y B $.  $d m y E $.  $d m n x y N $.  $d n O $.  $d m n x y X $.
    $d g m n x y G $.  $d y ph $.  $d g m n x y .x. $.
    $( Define a cyclic group, which is a group with an element ` x ` , called
       the generator of the group, such that all elements in the group are
       multiples of ` x ` .  A generator is usually not unique.  (Contributed
       by Mario Carneiro, 21-Apr-2016.) $)
    df-cyg $a |- CycGrp = { g e. Grp | E. x e. ( Base ` g )
      ran ( n e. ZZ |-> ( n ( .g ` g ) x ) ) = ( Base ` g ) } $.

    iscyg.1 $e |- B = ( Base ` G ) $.
    iscyg.2 $e |- .x. = ( .g ` G ) $.
    $( Definition of a cyclic group.  (Contributed by Mario Carneiro,
       21-Apr-2016.) $)
    iscyg $p |- ( G e. CycGrp <-> ( G e. Grp /\
      E. x e. B ran ( n e. ZZ |-> ( n .x. x ) ) = B ) ) $=
      ( vg cz cv cmg cfv co cmpt crn cbs wceq wrex fveq2 eqtr4di oveqd mpteq2dv
      cgrp ccyg rneqd eqeq12d rexeqbidv df-cyg elrab2 ) DIDJZAJZHJZKLZMZNZOZULP
      LZQZAUQRDIUJUKCMZNZOZBQZABRHEUCUDULEQZURVBAUQBVCUQEPLBULEPSFTZVCUPVAUQBVC
      UOUTVCDIUNUSVCUMCUJUKVCUMEKLCULEKSGTUAUBUEVDUFUGAHDUHUI $.

    ${
      iscyg3.e $e |- E = { x e. B | ran ( n e. ZZ |-> ( n .x. x ) ) = B } $.
      $( The property of being a cyclic generator for a group.  (Contributed by
         Mario Carneiro, 21-Apr-2016.) $)
      iscyggen $p |- ( X e. E <-> ( X e. B /\
        ran ( n e. ZZ |-> ( n .x. X ) ) = B ) ) $=
        ( cz cv co cmpt crn wceq wcel wa simpl oveq2d mpteq2dva eqeq1d elrab2
        rneqd ) DKDLZALZCMZNZOZBPDKUEGCMZNZOZBPAGBEUFGPZUIULBUMUHUKUMDKUGUJUMUE
        KQZRUFGUECUMUNSTUAUDUBJUC $.

      $( The property of being a cyclic generator for a group.  (Contributed by
         Mario Carneiro, 21-Apr-2016.) $)
      iscyggen2 $p |- ( G e. Grp -> ( X e. E <-> ( X e. B /\
        A. y e. B E. n e. ZZ y = ( n .x. X ) ) ) ) $=
        ( wcel cz cv co cmpt wceq wa wral wss crn cgrp iscyggen wf mulgcl 3expa
        wrex wb an32s fmpttd frn eqss baib 3syl dfss3 eqid ovex elrnmpti ralbii
        bitri bitrdi pm5.32da syl5bb ) HFLHCLZEMENZHDOZPZUAZCQZRGUBLZVDBNZVFQEM
        UGZBCSZRACDEFGHIJKUCVJVDVIVMVJVDRZVICVHTZVMVNMCVGUDVHCTZVIVOUHVNEMVFCVJ
        VEMLZVDVFCLZVJVQVDVRCDGVEHIJUEUFUIUJMCVGUKVIVPVOVHCULUMUNVOVKVHLZBCSVMB
        CVHUOVSVLBCEMVFVKVGVGUPVEHDUQURUSUTVAVBVC $.

      $( A cyclic group is a group which contains a generator.  (Contributed by
         Mario Carneiro, 21-Apr-2016.) $)
      iscyg2 $p |- ( G e. CycGrp <-> ( G e. Grp /\ E =/= (/) ) ) $=
        ( ccyg wcel cgrp cz cv co cmpt crn wa c0 wne wceq wrex iscyg crab rabn0
        neeq1i bitri anbi2i bitr4i ) FJKFLKZDMDNANCOPQBUAZABUBZRUJESTZRABCDFGHU
        CUMULUJUMUKABUDZSTULEUNSIUFUKABUEUGUHUI $.

      ${
        cyggeninv.n $e |- N = ( invg ` G ) $.
        $( The inverse of a cyclic generator is a generator.  (Contributed by
           Mario Carneiro, 21-Apr-2016.) $)
        cyggeninv $p |- ( ( G e. Grp /\ X e. E ) -> ( N ` X ) e. E ) $=
          ( vy vm wcel wa co wceq cz wrex cgrp wral iscyggen2 simprbda grpinvcl
          cfv cv syldan simplbda oveq1 eqeq2d cbvrexvw cneg znegcl adantl simpr
          zcnd negnegd oveq1d simplll ad2antrr mulgneg2 syl3anc eqtr3d rspceeqv
          syl2anc eqeq1 rexbidv syl5ibrcom rexlimdva syl5bi ralimdva mpd adantr
          wb mpbir2and ) FUAOZHEOZPZHGUFZEOZVTBOZMUGZDUGZVTCQZRZDSTZMBUBZVQVRHB
          OZWBVQVRWIWCWDHCQZRZDSTZMBUBZAMBCDEFHIJKUCZUDZBFGHILUEUHVSWMWHVQVRWIW
          MWNUIVSWLWGMBWLWCNUGZHCQZRZNSTVSWCBOZPZWGWKWRDNSWDWPRWJWQWCWDWPHCUJUK
          ULWTWRWGNSWTWPSOZPZWGWRWQWERZDSTZXBWPUMZSOZWQXEVTCQZRXDXAXFWTWPUNUOZX
          BXEUMZHCQZWQXGXBXIWPHCXBWPXBWPWTXAUPUQURUSXBVQXFWIXJXGRVQVRWSXAUTXHVS
          WIWSXAWOVABCFGXEHIJLVBVCVDDXESWEXGWQWDXEVTCUJVEVFWRWFXCDSWCWQWEVGVHVI
          VJVKVLVMVQWAWBWHPVOVRAMBCDEFVTIJKUCVNVP $.
      $}

      ${
        cyggenod.o $e |- O = ( od ` G ) $.
        $( An element is the generator of a finite group iff the order of the
           generator equals the order of the group.  (Contributed by Mario
           Carneiro, 21-Apr-2016.) $)
        cyggenod $p |- ( ( G e. Grp /\ B e. Fin ) ->
          ( X e. E <-> ( X e. B /\ ( O ` X ) = ( # ` B ) ) ) ) $=
          ( wcel cz wceq wa cfn cfv chash cen cmpt crn cgrp iscyggen wbr simplr
          cv co wb simplll simpr mulgcl syl3anc fmpttd ssfid hashen syl2anc cc0
          frnd cif eqid dfod2 adantlr iftrued eqtr2d eqeq1d wss fisseneq 3expia
          enrefg adantr breq1 syl5ibrcom impbid 3bitr3rd pm5.32da syl5bb ) HEMH
          BMZDNDUGZHCUHZUAZUBZBOZPFUCMZBQMZPZVRHGRZBSRZOZPABCDEFHIJKUDWFVRWCWIW
          FVRPZWBSRZWHOZWBBTUEZWIWCWJWBQMZWEWLWMUIWJBWBWDWEVRUFZWJNBWAWJDNVTBWJ
          VSNMZPWDWPVRVTBMWDWEVRWPUJWJWPUKWFVRWPUFBCFVSHIJULUMUNUSZUOZWOWBBUPUQ
          WJWKWGWHWJWGWNWKURUTZWKWDVRWGWSOWEDHCWAFGBILJWAVAVBVCWJWNWKURWRVDVEVF
          WJWEWBBVGZWMWCUIWOWQWEWTPZWMWCWEWTWMWCWBBVHVIXAWMWCBBTUEZWEXBWTBQVJVK
          WBBBTVLVMVNUQVOVPVQ $.

        $( In an infinite cyclic group, the generator must have infinite order,
           but this property no longer characterizes the generators.
           (Contributed by Mario Carneiro, 21-Apr-2016.) $)
        cyggenod2 $p |- ( ( G e. Grp /\ X e. E ) ->
          ( O ` X ) = if ( B e. Fin , ( # ` B ) , 0 ) ) $=
          ( cgrp wcel cfv cfn chash cc0 cif wceq wa cz cv cmpt iscyggen simplbi
          co crn eqid dfod2 sylan2 simprbi adantl eleq1d fveq2d ifbieq1d eqtrd
          ) FMNZHENZUAZHGOZDUBDUCHCUGUDZUHZPNZVCQOZRSZBPNZBQOZRSUSURHBNZVAVFTUS
          VIVCBTZABCDEFHIJKUEZUFDHCVBFGBILJVBUIUJUKUTVDVGVEVHRUTVCBPUSVJURUSVIV
          JVKULUMZUNUTVCBQVLUOUPUQ $.
      $}
    $}

    $( Definition of a cyclic group.  (Contributed by Mario Carneiro,
       21-Apr-2016.) $)
    iscyg3 $p |- ( G e. CycGrp <-> ( G e. Grp /\
      E. x e. B A. y e. B E. n e. ZZ y = ( n .x. x ) ) ) $=
      ( ccyg wcel cgrp cz cv co wceq wrex wa wral wss bitri crn iscyg wf mulgcl
      cmpt wb 3expa an32s fmpttd eqss baib 3syl dfss3 eqid ovex elrnmpti ralbii
      frn bitrdi rexbidva pm5.32i ) FIJFKJZELEMZAMZDNZUEZUAZCOZACPZQVBBMZVEOELP
      ZBCRZACPZQACDEFGHUBVBVIVMVBVHVLACVBVDCJZQZVHCVGSZVLVOLCVFUCVGCSZVHVPUFVOE
      LVECVBVCLJZVNVECJZVBVRVNVSCDFVCVDGHUDUGUHUILCVFURVHVQVPVGCUJUKULVPVJVGJZB
      CRVLBCVGUMVTVKBCELVEVJVFVFUNVCVDDUOUPUQTUSUTVAT $.

    iscygd.3 $e |- ( ph -> G e. Grp ) $.
    iscygd.4 $e |- ( ph -> X e. B ) $.
    iscygd.5 $e |- ( ( ph /\ y e. B ) -> E. n e. ZZ y = ( n .x. X ) ) $.
    $( Definition of a cyclic group.  (Contributed by Mario Carneiro,
       21-Apr-2016.) $)
    iscygd $p |- ( ph -> G e. CycGrp ) $=
      ( vx cgrp wcel cz cv co cmpt wceq crn crab c0 ccyg wrex wral ralrimiva wa
      wne wb eqid iscyggen2 syl mpbir2and ne0d iscyg2 sylanbrc ) AFNOZEPEQZMQDR
      SUACTMCUBZUCUIFUDOJAUTGAGUTOZGCOZBQUSGDRTEPUEZBCUFZKAVCBCLUGAURVAVBVDUHUJ
      JMBCDEUTFGHIUTUKZULUMUNUOMCDEUTFHIVEUPUQ $.
  $}

  ${
    $d n x B $.  $d n x G $.  $d n O $.  $d n x X $.
    iscygodd.1 $e |- B = ( Base ` G ) $.
    iscygodd.o $e |- O = ( od ` G ) $.
    iscygodd.3 $e |- ( ph -> G e. Grp ) $.
    iscygodd.4 $e |- ( ph -> X e. B ) $.
    iscygodd.5 $e |- ( ph -> ( O ` X ) = ( # ` B ) ) $.
    $( Show that a group with an element the same order as the group is cyclic.
       (Contributed by Mario Carneiro, 27-Apr-2016.) $)
    iscygodd $p |- ( ph -> G e. CycGrp ) $=
      ( vn vx wcel cv cfv wceq wb cn0 cvv eqid cgrp cz cmg co cmpt crn crab wne
      c0 ccyg chash cfn wa syl eqeltrrd cbs fvexi hashclb ax-mp sylibr cyggenod
      odcl syl2anc mpbir2and ne0d iscyg2 sylanbrc ) ACUAMZKUBKNLNCUCOZUDUEUFBPL
      BUGZUIUHCUJMHAVJEAEVJMZEBMZEDOZBUKOZPZIJAVHBULMZVKVLVOUMQHAVNRMZVPAVMVNRJ
      AVLVMRMIECDBFGVBUNUOBSMVPVQQBCUPFUQBSURUSUTLBVIKVJCDEFVITZVJTZGVAVCVDVELB
      VIKVJCFVRVSVFVG $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.  $d G x y $.  $d .x. x $.
    cycsubmcmn.b $e |- B = ( Base ` G ) $.
    cycsubmcmn.t $e |- .x. = ( .g ` G ) $.
    cycsubmcmn.f $e |- F = ( x e. NN0 |-> ( x .x. A ) ) $.
    cycsubmcmn.c $e |- C = ran F $.
    $( The set of nonnegative integer powers of an element ` A ` of a monoid
       forms a commutative monoid.  (Contributed by AV, 20-Jan-2024.) $)
    cycsubmcmn $p |- ( ( G e. Mnd /\ A e. B ) -> ( G |`s C ) e. CMnd ) $=
      ( vy cmnd wcel wa co cv cfv wceq eqid cress cbs wral ccmn csubmnd cycsubm
      cplusg wss c0g w3a wb issubm2 adantr syl6bi mpd submbas syl eqcomd eleq2d
      simp3 anbi12d cycsubmcom ressplusg oveqd mpbird ex sylbid ralrimivv iscmn
      eqeq12d sylanbrc ) GMNZBCNZOZGDUAPZMNZAQZLQZVOUGRZPZVRVQVSPZSZLVOUBRZUCAW
      CUCVOUDNVNDGUERZNZVPABCDEFGHIJKUFZVNWEDCUHZGUIRZDNZVPUJZVPVLWEWJUKVMCDVOG
      WHHWHTVOTZULUMWGWIVPUTUNUOVNWBALWCWCVNVQWCNZVRWCNZOVQDNZVRDNZOZWBVNWLWNWM
      WOVNWCDVQVNDWCVNWEDWCSWFDVOGWKUPUQURZUSVNWCDVRWQUSVAVNWPWBVNWPOZWBVQVRGUG
      RZPZVRVQWSPZSZABCDWSEFGVQVRHIJKWSTZVBWRWEWBXBUKVNWEWPWFUMWEVTWTWAXAWEVSWS
      VQVRWEWSVSDWSGVOWDWKXCVCURZVDWEVSWSVRVQXDVDVJUQVEVFVGVHALWCVSVOWCTVSTVIVK
      $.
  $}

  ${
    $d G n x $.
    $( A cyclic group is a group.  (Contributed by Mario Carneiro,
       21-Apr-2016.) $)
    cyggrp $p |- ( G e. CycGrp -> G e. Grp ) $=
      ( vn vx ccyg wcel cgrp cz cv cmg cfv co cmpt crn cbs wceq wrex eqid iscyg
      simplbi ) ADEAFEBGBHCHAIJZKLMANJZOCUAPCUATBAUAQTQRS $.

    $d G a b i m n x y $.
    $( A cyclic group is abelian.  (Contributed by Mario Carneiro,
       21-Apr-2016.)  (Proof shortened by AV, 20-Jan-2024.) $)
    cygabl $p |- ( G e. CycGrp -> G e. Abel ) $=
      ( vy vn vx va vb vi vm wcel cv cfv co wceq cz wrex wral eqid eqidd simpll
      wa ccyg cgrp cmg cbs cabl iscyg3 cplusg w3a eqeq2d cbvrexvw biimpi ralimi
      oveq1 adantl caddc simpr anim1ci df-3an sylibr mulgdir syl2anc ralrimivva
      3ad2ant1 adantr simp2 simp3 cc wss zsscn a1i cyccom isabld r19.29an sylbi
      ) AUAIAUBIZBJZCJZDJZAUCKZLZMZCNOZBAUDKZPZDWCOTAUEIZDBWCVSCAWCQZVSQZUFVOWD
      WEDWCVOVRWCIZTZWDTZEFWCAUGKZAWJWCRWJWKRVOWHWDSWJEJZWCIZFJZWCIZUHZGVRWCWKV
      SHCWLWNNBWJWMVPGJZVRVSLZMZGNOZBWCPZWOWDXAWIWBWTBWCWBWTWAWSCGNVQWQMVTWRVPV
      QWQVRVSUMUIUJUKULUNVCWJWMHJZVQUOLVRVSLXBVRVSLVTWKLMZCNPHNPZWOWIXDWDWIXCHC
      NNWIXBNIZVQNIZTZTZVOXEXFWHUHZXCVOWHXGSXHXGWHTXIWIWHXGVOWHUPUQXEXFWHURUSWC
      WKVSAXBVQVRWFWGWKQUTVAVBVDVCWJWMWOVEWJWMWOVFNVGVHWPVIVJVKVLVMVN $.
  $}

  ${
    $d m n x y B $.  $d m x y z C $.  $d m x y z F $.  $d a b m n x y z G $.
    $d x y E $.  $d m x y H $.
    $( Obsolete proof of ~ cygabl as of 20-Jan-2024.  A cyclic group is
       abelian.  (Contributed by Mario Carneiro, 21-Apr-2016.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    cygablOLD $p |- ( G e. CycGrp -> G e. Abel ) $=
      ( vy vn vx va vb vm wcel cv cfv co wceq cz wrex wa eqid eqidd simpll weq
      wi ccyg cgrp cmg cbs wral cabl iscyg3 cplusg eqeq1 rexbidv eqeq2d cbvrexv
      oveq1 bitrdi rspccv adantl reeanv cc zcn ad2antrl ad2antll addcomd oveq1d
      caddc simprl simprr simplr mulgdir syl13anc 3eqtr3d oveq12 ancoms eqeq12d
      syl5ibrcom rexlimdvva syl5bir adantr syl2and 3impib isabld r19.29an sylbi
      ) AUAHAUBHZBIZCIZDIZAUCJZKZLZCMNZBAUDJZUEZDWKNOAUFHZDBWKWGCAWKPZWGPZUGWCW
      LWMDWKWCWFWKHZOZWLOZEFWKAUHJZAWRWKQWRWSQWCWPWLRWREIZWKHZFIZWKHZWTXBWSKZXB
      WTWSKZLZWRXAWTGIZWFWGKZLZGMNZXCXBWHLZCMNZXFWLXAXJTWQWJXJBWTWKBESZWJWTWHLZ
      CMNXJXMWIXNCMWDWTWHUIUJXNXICGMCGSWHXHWTWEXGWFWGUMUKULUNUOUPWLXCXLTWQWJXLB
      XBWKBFSWIXKCMWDXBWHUIUJUOUPWQXJXLOZXFTWLXOXIXKOZCMNGMNWQXFXIXKGCMMUQWQXPX
      FGCMMWQXGMHZWEMHZOZOZXFXPXHWHWSKZWHXHWSKZLXTXGWEVDKZWFWGKZWEXGVDKZWFWGKZY
      AYBXTYCYEWFWGXTXGWEXQXGURHWQXRXGUSUTXRWEURHWQXQWEUSVAVBVCXTWCXQXRWPYDYALW
      CWPXSRZWQXQXRVEZWQXQXRVFZWCWPXSVGZWKWSWGAXGWEWFWNWOWSPZVHVIXTWCXRXQWPYFYB
      LYGYIYHYJWKWSWGAWEXGWFWNWOYKVHVIVJXPXDYAXEYBWTXHXBWHWSVKXKXIXEYBLXBWHWTXH
      WSVKVLVMVNVOVPVQVRVSVTWAWB $.

    cygctb.1 $e |- B = ( Base ` G ) $.
    $( A cyclic group is countable.  (Contributed by Mario Carneiro,
       21-Apr-2016.) $)
    cygctb $p |- ( G e. CycGrp -> B ~<_ _om ) $=
      ( vn vx ccyg wcel cz cv cmg cfv co cmpt crn wceq com cdom wbr eqid ax-mp
      wrex cgrp iscyg simprbi wfo wa wfn ovex fnmpti df-fo mpbiran ccrd wi con0
      cdm omelon onenon cen wb cn znnen entri ennum mpbir fodomnum mp1i domentr
      nnenom mpan2 syl6 syl5bir rexlimdva mpd ) BFGZDHDIZEIZBJKZLZMZNAOZEAUAZAP
      QRZVNBUBGWAEAVQDBCVQSUCUDVNVTWBEAVTHAVSUEZVNVPAGUFZWBWCVSHUGVTDHVRVSVOVPV
      QUHVSSUIHAVSUJUKWDWCAHQRZWBHULUOZGZWCWEUMWDWGPWFGZPUNGWHUPPUQTHPURRZWGWHU
      SHUTPVAVHVBZHPVCTVDHAVSVEVFWEWIWBWJAHPVGVIVJVKVLVM $.

    $( The trivial group is cyclic.  (Contributed by Mario Carneiro,
       21-Apr-2016.) $)
    0cyg $p |- ( ( G e. Grp /\ B ~~ 1o ) -> G e. CycGrp ) $=
      ( vx vn cgrp wcel c1o cen wbr wa cmg cfv eqid adantr cv cc0 cz co wceq 0z
      c0g simpl grpidcl wrex csn en1eqsn sylan eleq2d biimpa velsn sylib eqtr4d
      mulg0 syl oveq1 rspceeqv sylancr iscygd ) BFGZAHIJZKZDABLMZEBBUBMZCVCNZUT
      VAUCUTVDAGZVAABVDCVDNZUDZOZVBDPZAGZKZQRGVJQVDVCSZTVJEPZVDVCSZTERUEUAVLVJV
      DVMVLVJVDUFZGZVJVDTVBVKVQVBAVPVJUTVFVAAVPTVHVDAUGUHUIUJDVDUKULVBVMVDTZVKV
      BVFVRVIAVCBVDVDCVGVEUNUOOUMEQRVOVMVJVNQVDVCUPUQURUS $.

    $( A group with prime order is cyclic.  (Contributed by Mario Carneiro,
       27-Apr-2016.) $)
    prmcyg $p |- ( ( G e. Grp /\ ( # ` B ) e. Prime ) -> G e. CycGrp ) $=
      ( vx wcel chash cfv cprime wa c0g wn wss c1 eqid cvv wceq ax-mp simplr wb
      syl2anc cgrp csn ccyg wex 1nprm simpr grpidcl snssd ad2antrr eqssd fveq2d
      cv fvex hashsng eqtrdi eqeltrrd ex mtoi nss sylib cod simpll simprl odeq1
      simprr velsn bitr4di mtbird cdvds wbr wo cfn cn0 cn prmnn ad2antlr nnnn0d
      cbs fvexi hashclb oddvds2 syl3anc odcl2 dvdsprime mpbid ord mt3d iscygodd
      sylibr exlimddv ) BUAEZAFGZHEZIZDULZAEZWOBJGZUBZEZKZIZBUCEDWNAWRLZKXADUDW
      NXBMHEZUEWNXBXCWNXBIZWLMHXDWLWRFGZMXDAWRFXDAWRWNXBUFWKWRALWMXBWKWQAABWQCW
      QNZUGUHUIUJUKWQOEXEMPBJUMWQOUNQUOWKWMXBRUPUQURDAWRUSUTWNXAIZABBVAGZWOCXHN
      ZWKWMXAVBZWNWPWTVCZXGWOXHGZWLPZXLMPZXGXNWSWNWPWTVEXGXNWOWQPZWSXGWKWPXNXOS
      XJXKWOBXHAWQXIXFCVDTDWQVFVGVHXGXMXNXGXLWLVIVJZXMXNVKZXGWKAVLEZWPXPXJXGWLV
      MEZXRXGWLWMWLVNEWKXAWLVOVPVQAOEXRXSSABVRCVSAOVTQWIZXKWOBXHACXIWAWBXGWMXLV
      NEZXPXQSWKWMXARXGWKXRWPYAXJXTXKWOBXHACXIWCWBWLXLWDTWEWFWGWHWJ $.

    $( A group with fewer than ` 6 ` elements is abelian.  (Contributed by
       Mario Carneiro, 27-Apr-2016.) $)
    lt6abl $p |- ( ( G e. Grp /\ ( # ` B ) < 6 ) -> G e. Abel ) $=
      ( wcel cfv c6 wbr c1 cfzo co wa wb wceq c5 ax-mp c4 c3 c2 cn0 cdvds vx vn
      cgrp chash clt cabl cuz cz cn c0 wne grpbn0 adantr cfn cpnf cr cxr wn 6re
      rexr pnfnlt mp2b cvv cbs fvexi a1i hashinf sylan breq1d impancom hashnncl
      biimpd mt3i syl mpbird nnuz eleqtrdi nnzi simpr elfzo2 syl3anbrc wo caddc
      6nn df-6 oveq2i eleq2i 5nn eleqtri fzosplitsni df-5 4nn df-4 3nn 2eluzge1
      bitri df-3 c1o cen csn elsni fzo12sn eleq2s adantl hash1 eqtr4di eqeltrdi
      1nn0 hashclb sylibr com 1onn nnfi hashen sylancl mpbid ccyg cygabl syldan
      0cyg ex cprime id 2prm syl5 jaod syl5bi cv 2z eqid wrex 4nn0 syl3anc cexp
      wi sq2 2nn0 cle sylancr dvdsexp 3prm cod wral cgex simpl gexdvds2 gex2abl
      prmcyg sylbird rexnal simprl odcl ad2antrl oddvds2 breqtrd cpc odcl2 pccl
      nn0zd df-2 simprr 3expia 1z oveq2 eqtrdi breq2d rspcev pcprmpw2 eqcomd cc
      eluz 2cn exp1 breq12d 3imtr3d mtod 1re nn0red nn0ltp1le eqbrtrid mp3an12i
      ltnle eluz2 eqbrtrrid breqtrrd dvdseq syl22anc eqtr4d iscygodd rexlimdvaa
      syl5bir pm2.61d 5prm imp ) BUCDZAUDEZFUEGZUWPHFIJZDZBUFDZUWOUWQKZUWPHUGEZ
      DFUHDZUWQUWSUXAUWPUIUXBUXAUWPUIDZAUJUKZUWOUXEUWQABCULUMUXAAUNDZUXDUXELUXA
      UXFUOFUEGZFUPDFUQDUXGURUSFUTFVAVBUWOUXFURZUWQUXGUWOUXHKZUWQUXGUXIUWPUOFUE
      UWOAVCDZUXHUWPUOMUXJUWOABVDCVEZVFAVCVGVHVIVLVJVMAVKVNVOVPVQUXCUXAFWDVRVFU
      WOUWQVSUWPHFVTWAUWOUWSUWTUWSUWPHNIJZDZUWPNMZWBZUWOUWTUWSUWPHNHWCJZIJZDZUX
      OUWRUXQUWPFUXPHIWEWFWGNUXBDUXRUXOLNUIUXBWHVPWIHNUWPWJOWPUWOUXMUWTUXNUXMUW
      PHPIJZDZUWPPMZWBZUWOUWTUXMUWPHPHWCJZIJZDZUYBUXLUYDUWPNUYCHIWKWFWGPUXBDUYE
      UYBLPUIUXBWLVPWIHPUWPWJOWPUWOUXTUWTUYAUXTUWPHQIJZDZUWPQMZWBZUWOUWTUXTUWPH
      QHWCJZIJZDZUYIUXSUYKUWPPUYJHIWMWFWGQUXBDUYLUYILQUIUXBWNVPWIHQUWPWJOWPUWOU
      YGUWTUYHUYGUWPHRIJZDZUWPRMZWBZUWOUWTUYGUWPHRHWCJZIJZDZUYPUYFUYRUWPQUYQHIW
      QWFWGRUXBDUYSUYPLWOHRUWPWJOWPUWOUYNUWTUYOUWOUYNUWTUWOUYNAWRWSGZUWTUWOUYNK
      ZUWPWRUDEZMZUYTVUAUWPHVUBUYNUWPHMZUWOVUDUWPHWTUYMUWPHXAXBXCXDZXEXFVUAUXFW
      RUNDZVUCUYTLVUAUWPSDZUXFVUAUWPHSVUEXHXGUXJUXFVUGLUXKAVCXIOZXJWRXKDVUFXLWR
      XMOAWRXNXOXPUWOUYTKBXQDZUWTABCXTBXRZVNXSYAUYOUWPYBDZUWOUWTUYOUWPRYBUYOYCY
      DXGUWOVUKUWTUWOVUKKVUIUWTABCUUHVUJVNYAZYEYFYGUYHVUKUWOUWTUYHUWPQYBUYHYCUU
      AXGVULYEYFYGUWOUYAUWTUWOUYAKZUAYHZBUUBEZEZRTGZUAAUUCZUWTVUMVURBUUDEZRTGZU
      WTVUMUWORUHDZVUTVURLUWOUYAUUEZYIUAVUSBRVUOACVUSYJZVUOYJZUUFXOUWOVUTUWTYOU
      YAUWOVUTUWTVUSBACVVCUUGYAUMUUIVURURVUQURZUAAYKVUMUWTVUQUAAUUJVUMVVEUWTUAA
      VUMVUNADZVVEKZKZVUIUWTVVHABVUOVUNCVVDVUMUWOVVGVVBUMZVUMVVFVVEUUKZVVHVUPPU
      WPVVHVUPSDZPSDZVUPPTGZPVUPTGVUPPMVVFVVKVUMVVEVUNBVUOACVVDUULUUMVVLVVHYLVF
      VVHVUPUWPPTVVHUWOUXFVVFVUPUWPTGVVIVUMUXFVVGVUMVUGUXFVUMUWPPSUWOUYAVSZYLXG
      VUHXJUMZVVJVUNBVUOACVVDUUNYMVUMUYAVVGVVNUMZUUOZVVHPRRVUPUUPJZYNJZVUPTVVHP
      RRYNJZVVSTYPVVARSDZVVHVVRRUGEDZVVTVVSTGYIYQVVHVVAVVRUHDZRVVRYRGVWBVVAVVHY
      IVFVVHVVRVVHRYBDZVUPUIDZVVRSDZYDVVHUWOUXFVVFVWEVVIVVOVVJVUNBVUOACVVDUUQYM
      ZRVUPUURYSZUUSZVVHRHHWCJZVVRYRUUTVVHHVVRUEGZVWJVVRYRGZVVHVWKVVRHYRGZURZVV
      HVWMVUQVUMVVFVVEUVAVVHHVVRUGEDZVVSRHYNJZTGZVWMVUQVVHVVAVWFVWOVWQYOYIVWHVV
      AVWFVWOVWQRVVRHYTUVBYSVVHVWCHUHDVWOVWMLVWIUVCVVRHUVKXOVVHVVSVUPVWPRTVVHVU
      PVVSVVHVUPRUBYHZYNJZTGZUBSYKZVUPVVSMZVVHVWAVVMVXAYQVVQVWTVVMUBRSVWRRMZVWS
      PVUPTVXCVWSVVTPVWRRRYNUVDYPUVEUVFUVGYSVVHVWDVWEVXAVXBLYDVWGVUPRUBUVHYSXPZ
      UVIVWPRMZVVHRUVJDVXEUVLRUVMOVFUVNUVOUVPVVHHUPDVVRUPDVWKVWNLUVQVVHVVRVWHUV
      RHVVRUWBYSVOVVHHSDVWFVWKVWLLXHVWHHVVRUVSYSXPUVTRVVRUWCWARRVVRYTUWAUWDVXDU
      WEVUPPUWFUWGVVPUWHUWIVUJVNUWJUWKUWLYAYFYGUXNVUKUWOUWTUXNUWPNYBUXNYCUWMXGV
      ULYEYFYGUWNXS $.

    ${
      ghmcyg.1 $e |- C = ( Base ` H ) $.
      $( The image of a cyclic group under a surjective group homomorphism is
         cyclic.  (Contributed by Mario Carneiro, 21-Apr-2016.) $)
      ghmcyg $p |- ( ( F e. ( G GrpHom H ) /\ F : B -onto-> C ) ->
        ( G e. CycGrp -> H e. CycGrp ) ) $=
        ( vn vx vy vm vz wcel cz cv cfv co wceq wrex wa ccyg cmg cmpt cghm cgrp
        crn wfo eqid iscyg simprbi ghmgrp2 ad2antrr wf ad2antlr simprl ffvelrnd
        fof simplr foeq2 ad2antll mpbird foelrn sylan cvv wral ovex rgenw oveq1
        wb cbvmptv fveq2 rexrnmptw ax-mp sylib simp-4l ghmmulg syl3anc rexbidva
        eqeq2d simpr mpbid iscygd rexlimdvaa syl5 ) DUAMZHNHOZIOZDUBPZQZUCZUFZA
        RZIASZCDEUDQMZABCUGZTZEUAMZWEDUEMWMIAWHHDFWHUHZUIUJWPWLWQIAWPWGAMZWLTZT
        ZJBEUBPZKEWGCPZGXBUHZWNEUEMWOWTDECUKULXAABWGCWOABCUMWNWTABCUQUNWPWSWLUO
        ZUPXAJOZBMZTZXFKOZWGWHQZCPZRZKNSZXFXIXCXBQZRZKNSXHXFLOZCPZRZLWKSZXMXAWK
        BCUGZXGXSXAXTWOWNWOWTURWLXTWOVIWPWSWKABCUSUTVALWKBXFCVBVCXJVDMZKNVEXSXM
        VIYAKNXIWGWHVFVGXRXLKLNXJWJVDHKNWIXJWFXIWGWHVHVJXPXJRXQXKXFXPXJCVKVSVLV
        MVNXHXLXOKNXHXINMZTZXKXNXFYCWNYBWSXKXNRWNWOWTXGYBVOXHYBVTXAWSXGYBXEULAW
        HXBCDEXIWGFWRXDVPVQVSVRWAWBWCWD $.
    $}

    cyggex.o $e |- E = ( gEx ` G ) $.
    $( The exponent of a cyclic group is ` 0 ` if the group is infinite,
       otherwise it equals the order of the group.  (Contributed by Mario
       Carneiro, 24-Apr-2016.) $)
    cyggex2 $p |- ( G e. CycGrp ->
      E = if ( B e. Fin , ( # ` B ) , 0 ) ) $=
      ( vn vx vy wcel cgrp cz cv cfv wceq wa cc0 eqid cn0 cdvds wbr ccyg cmg co
      cmpt crn crab c0 wne cfn chash cif iscyg2 wex cod ssrab2 sselid cyggenod2
      n0 simpr jca ex gexcl adantr hashcl adantl 0nn0 a1i ifclda breq2 gexdvds3
      wn adantlr nn0z dvds0 3syl ifbothda simprr gexod eqbrtrrd dvdseq syl22anc
      adantrr syld exlimdv syl5bi imp sylbi ) CUAICJIZFKFLGLCUBMZUCUDUEANZGAUFZ
      UGUHZOBAUIIZAUJMZPUKZNZGAWIFWKCDWIQZWKQZULWHWLWPWLHLZWKIZHUMWHWPHWKURWHWT
      WPHWHWTWSAIZWSCUNMZMZWONZOZWPWHWTXEWHWTOZXAXDXFWKAWSWJGAUOWHWTUSUPGAWIFWK
      CXBWSDWQWRXBQZUQUTVAWHXEWPWHXEOZBRIZWORIBWOSTZWOBSTWPWHXIXEBCJADEVBVCZXHW
      MWNPRWMWNRIXHAVDVEPRIXHWMVKZOZVFVGVHWMBWNSTZBPSTZXJXHWNPWNWOBSVIPWOBSVIWH
      WMXNXEBCADEVJVLXMXIBKIXOXHXIXLXKVCBVMBVNVOVPXHXCWOBSWHXAXDVQWHXAXCBSTXDWS
      BCXBADEXGVRWBVSBWOVTWAVAWCWDWEWFWG $.

    $( The exponent of a finite cyclic group is the order of the group.
       (Contributed by Mario Carneiro, 24-Apr-2016.) $)
    cyggex $p |- ( ( G e. CycGrp /\ B e. Fin ) -> E = ( # ` B ) ) $=
      ( ccyg wcel cfn chash cfv cc0 cif cyggex2 iftrue sylan9eq ) CFGAHGZBPAIJZ
      KLQABCDEMPQKNO $.

    $( A finite abelian group is cyclic iff the exponent equals the order of
       the group.  (Contributed by Mario Carneiro, 21-Apr-2016.) $)
    cyggexb $p |- ( ( G e. Abel /\ B e. Fin ) ->
      ( G e. CycGrp <-> E = ( # ` B ) ) ) $=
      ( vx vn vy cabl wcel cfn wa ccyg cfv wceq cv simplr syl2anc eqid wb chash
      wi cyggex expcom adantl cod wrex simpll cgrp ablgrp ad2antrr gexcl2 gexex
      cn eqeq2d cz cmg co cmpt crn crab cyggenod c0 wne ne0i iscyg2 syl syl5ibr
      baib sylbird expdimp sylbid rexlimdva mpd ex impbid ) CIJZAKJZLZCMJZBAUAN
      ZOZVRVTWBUBVQVTVRWBABCDEUCUDUEVSWBVTVSWBLZFPZCUFNZNZBOZFAUGZVTWCVQBUNJZWH
      VQVRWBUHWCCUIJZVRWIVQWJVRWBCUJUKZVQVRWBQZBCADEULRFBCWEADEWESZUMRWCWGVTFAW
      CWDAJZLZWGWFWAOZVTWOBWAWFVSWBWNQUOWCWNWPVTWCWNWPLZWDGUPGPHPCUQNZURUSUTAOH
      AVAZJZVTWCWJVRWTWQTWKWLHAWRGWSCWEWDDWRSZWSSZWMVBRWTVTWCWSVCVDZWSWDVEWCWJV
      TXCTWKVTWJXCHAWRGWSCDXAXBVFVIVGVHVJVKVLVMVNVOVP $.
  $}

  ${
    $d n x y A $.  $d f n x y G $.  $d n y S $.  $d n x .x. $.  $d n x y X $.
    $d f H $.
    $( Cyclicity is a group property, i.e. it is preserved under isomorphism.
       (Contributed by Mario Carneiro, 21-Apr-2016.) $)
    giccyg $p |- ( G ~=g H -> ( G e. CycGrp -> H e. CycGrp ) ) $=
      ( vf cgic wbr cgim co c0 wne ccyg wcel wi brgic cv wex cbs cfv eqid sylbi
      n0 cghm wfo gimghm wf1o gimf1o f1ofo syl ghmcyg syl2anc exlimiv ) ABDEABF
      GZHIZAJKBJKLZABMULCNZUKKZCOUMCUKTUOUMCUOUNABUAGKAPQZBPQZUNUBZUMABUNUCUOUP
      UQUNUDURUPUQABUNUPRZUQRZUEUPUQUNUFUGUPUQUNABUSUTUHUIUJSS $.

    cycsubgcyg.x $e |- X = ( Base ` G ) $.
    cycsubgcyg.t $e |- .x. = ( .g ` G ) $.
    cycsubgcyg.s $e |- S = ran ( x e. ZZ |-> ( x .x. A ) ) $.
    $( The cyclic subgroup generated by ` A ` is a cyclic group.  (Contributed
       by Mario Carneiro, 24-Apr-2016.) $)
    cycsubgcyg $p |- ( ( G e. Grp /\ A e. X ) ->
      ( G |`s S ) e. CycGrp ) $=
      ( vy vn cgrp wcel wa co cfv eqid cz cv wceq cress cbs cmg csubg cycsubgcl
      cmpt crn simpld eqeltrid subggrp syl simprd eleqtrrdi subgbas wrex eleq2d
      eleqtrd biimpar simpr eleqtrdi oveq1 cbvmptv ovex elrnmpti sylib ad2antrr
      subgmulg syl3anc eqeq2d rexbidva mpbid syldan iscygd ) ELMBFMNZJECUAOZUBP
      ZVOUCPZKVOBVPQVQQZVNCEUDPZMZVOLMVNCARASZBDOZUFZUGZVSIVNWDVSMZBWDMZABDWCEF
      GHWCQUEZUHUIZCEVOVOQZUJUKVNBCVPVNBWDCVNWEWFWGULIUMZVNVTCVPTWHCEVOWIUNUKZU
      QVNJSZVPMZWLCMZWLKSZBVQOZTZKRUOZVNWNWMVNCVPWLWKUPURVNWNNZWLWOBDOZTZKRUOZW
      RWSWLWDMXBWSWLCWDVNWNUSIUTKRWTWLWCAKRWBWTWAWOBDVAVBWOBDVCVDVEWSXAWQKRWSWO
      RMZNZWTWPWLXDVTXCBCMZWTWPTVNVTWNXCWHVFWSXCUSVNXEWNXCWJVFCVQDEVOWOBHWIVRVG
      VHVIVJVKVLVM $.
  $}

  ${
    $d n A $.  $d n B $.  $d n G $.
    cycsubgcyg2.b $e |- B = ( Base ` G ) $.
    cycsubgcyg2.k $e |- K = ( mrCls ` ( SubGrp ` G ) ) $.
    $( The cyclic subgroup generated by ` A ` is a cyclic group.  (Contributed
       by Mario Carneiro, 27-Apr-2016.) $)
    cycsubgcyg2 $p |- ( ( G e. Grp /\ A e. B ) ->
      ( G |`s ( K ` { A } ) ) e. CycGrp ) $=
      ( vn cgrp wcel wa csn cfv cress co cz cv cmg cmpt crn eqid oveq2d eqeltrd
      ccyg cycsubg2 cycsubgcyg ) CHIABIJZCAKDLZMNCGOGPACQLZNRZSZMNUCUFUGUJCMGAU
      HUICDBEUHTZUITFUDUAGAUJUHCBEUKUJTUEUB $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Group sum operation
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d f g k m n x y z .+ $.  $d f g k m n x y z A $.  $d f g k m n x y z ph $.
    $d g x y z .0. $.  $d f g m n x y z G $.  $d f k m n x y z M $.  $d x V $.
    $d f g k m n x y z B $.  $d f g k m n x y z F $.  $d f g k m n x y z H $.
    $d f g k m n x y z W $.
    gsumval3.b $e |- B = ( Base ` G ) $.
    gsumval3.0 $e |- .0. = ( 0g ` G ) $.
    gsumval3.p $e |- .+ = ( +g ` G ) $.
    gsumval3.z $e |- Z = ( Cntz ` G ) $.
    gsumval3.g $e |- ( ph -> G e. Mnd ) $.
    gsumval3.a $e |- ( ph -> A e. V ) $.
    gsumval3.f $e |- ( ph -> F : A --> B ) $.
    gsumval3.c $e |- ( ph -> ran F C_ ( Z ` ran F ) ) $.
    ${
      gsumval3a.t $e |- ( ph -> W e. Fin ) $.
      gsumval3a.n $e |- ( ph -> W =/= (/) ) $.
      ${
        gsumval3a.w $e |- W = ( F supp .0. ) $.
        gsumval3a.i $e |- ( ph -> -. A e. ran ... ) $.
        $( Value of the group sum operation over an index set with finite
           support.  (Contributed by Mario Carneiro, 7-Dec-2014.)  (Revised by
           AV, 29-May-2019.) $)
        gsumval3a $p |- ( ph -> ( G gsum F ) = ( iota x E. f
          ( f : ( 1 ... ( # ` W ) ) -1-1-onto-> W /\
            x = ( seq 1 ( .+ , ( F o. f ) ) ` ( # ` W ) ) ) ) ) $=
          ( vz vy vm vn cgsu co crn cv wceq wral crab wss cfz wcel cseq cfv cuz
          wa wrex wex cio chash wf1o ccom cif cmnd eqid csupp ccnv cvv csn cdif
          c1 cima a1i fexd c0g fvexi suppimacnv sylancl gsumvallem2 syl difeq2d
          eqcomd imaeq2d 3eqtrd gsumval c0 wne wn sseq2d jca adantr fex cin wfn
          ffnd simpr df-f sylanbrc disjdif fimacnvdisj sylbid necon3ad iffalsed
          wf ex mpd ) AHGUIUJGUKZUEULZUFULZEUJXOUMXOXNEUJXOUMVBUFDUNUEDUOZUPZKC
          UQUKURZCUGULZUHULZUQUJUMBULZXTEGXSUSUTUMVBUHXSVAUTVCUGVDBVEZVQJVFUTZU
          QUJJFULZVGYAYCEGYDVHVQUSUTUMVBFVDBVEZVIZVIYFYEABUFCDEFUGUHGHXPVJJIKUE
          MNOXPVKZAJGKVLUJZGVMZVNKVOZVPZVRZYIVNXPVPZVRJYHUMZAUCVSAGVNURZKVNURZY
          HYLUMZACDIGSRVTKHWANWBZGVNVNKWCZWDAYKYMYIAYJXPVNAXPYJAHVJURXPYJUMQUEU
          FDEHXPKMNOYGWEWFZWHWGWIWJQRSWKAXQKYFAJWLWMXQWNUBAXQJWLAXQXMYJUPZJWLUM
          ZAXPYJXMYTWOAUUAUUBAUUAVBZJYHYLWLYNUUCUCVSUUCYOYPYQUUCCDGXJZCIURZVBZY
          OAUUFUUAAUUDUUESRWPWQCDIGWRWFYRYSWDUUCCYJGXJZYJYKWSWLUMYLWLUMUUCGCWTZ
          UUAUUGAUUHUUAACDGSXAWQAUUAXBCYJGXCXDYJVNXECYJYKGXFWDWJXKXGXHXLXIAXRYB
          YEUDXIWJ $.
      $}

      gsumval3a.s $e |- ( ph -> W C_ A ) $.
      $( The group sum as defined in ~ gsumval3a is uniquely defined.
         (Contributed by Mario Carneiro, 8-Dec-2014.) $)
      gsumval3eu $p |- ( ph -> E! x E. f
        ( f : ( 1 ... ( # ` W ) ) -1-1-onto-> W /\
          x = ( seq 1 ( .+ , ( F o. f ) ) ` ( # ` W ) ) ) ) $=
        ( vg vy vz vk c1 chash cfv cfz co cv wf1o ccom cseq wceq wa wex weq wal
        wi weu cn wcel c0 wn neneqd cfn fz1f1o syl ord mpd simprd excom exancom
        fvex biidd ceqsexv bitri exbii sylibr exdistrv an4 crn ccnv cmnd adantr
        wo mndcl 3expb sylan wss sselda adantrr simprr cntzi syl2anc w3a mndass
        cuz simpld nnuz eleqtrdi wf frnd f1ocnv simprl f1oco f1of wfn ffnd fssd
        fvco3 ffvelrnda fnfvelrn eqeltrd fveq2d f1ocnvfv2 eqtr2d 3eqtr4d seqf1o
        syl2an2r eqeq12 syl5ibrcom expimpd syl5bir exlimdvv eqeq1 anbi2d exbidv
        alrimivv f1oeq1 coeq2 seqeq3d fveq1d eqeq2d anbi12d cbvexvw bitrdi eu4
        sylanbrc ) AUHJUIUJZUKULZJFUMZUNZBUMZUUCEGUUEUOZUHUPZUJZUQZURZFUSZBUSZU
        UMUUDJUDUMZUNZUEUMZUUCEGUUOUOZUHUPZUJZUQZURZUDUSZURZBUEUTZVBZUEVABVAUUM
        BVCAUUFFUSZUUNAUUCVDVEZUVGAJVFUQZVGUVHUVGURZAJVFUBVHAUVIUVJAJVIVEUVIUVJ
        WIUAJFVJVKVLVMZVNUUNUULBUSZFUSUVGUULBFVOUVLUUFFUVLUUKUUFURBUSUUFUUFUUKB
        VPUUFUUFBUUJUUCUUIVQUUKUUFVRVSVTWAVTWBAUVFBUEUVDUULUVBURZUDUSFUSAUVEUUL
        UVBFUDWCAUVMUVEFUDUVMUUFUUPURZUUKUVAURZURAUVEUUFUUPUUKUVAWDAUVNUVOUVEAU
        VNURZUVEUVOUUJUUTUQUVPBUEUFGWEZEDUGUUOWFZUUEUOZUURUUHUHUUCUVPHWGVEZUUGD
        VEZUUQDVEZURUUGUUQEULZDVEZAUVTUVNQWHZUVTUWAUWBUWDDEHUUGUUQMOWJWKWLUVPUU
        GUVQVEZUUQUVQVEZURURUUGUVQLUJZVEZUWGUWCUUQUUGEULUQUVPUWFUWIUWGUVPUVQUWH
        UUGAUVQUWHWMUVNTWHWNWOUVPUWFUWGWPEUVQHUUGUUQLOPWQWRUVPUVTUWAUWBUFUMZDVE
        WSUWCUWJEULUUGUUQUWJEULEULUQUWEDEHUUGUUQUWJMOWTWLUVPUUCVDUHXAUJAUVHUVNA
        UVHUVGUVKXBWHXCXDUVPCDGACDGXEUVNSWHZXFUVPJUUDUVRUNZUUFUUDUUDUVSUNZUVPUU
        PUWLAUUFUUPWPZUUDJUUOXGVKAUUFUUPXHZUUDJUUDUVRUUEXIWRZUVPUUGUUDVEZURUUGU
        URUJZUUGUUOUJZGUJZUVQUVPUUDJUUOXEZUWQUWRUWTUQUVPUUPUXAUWNUUDJUUOXJVKZUU
        DJUUGGUUOXNWLUVPGCXKUWQUWSCVEUWTUVQVEUVPCDGUWKXLUVPUUDCUUGUUOUVPUUDJCUU
        OUXBAJCWMUVNUCWHXMZXOCUWSGXPYCXQUVPUGUMZUUDVEZURZUXDUUEUJZGUJZUXDUVSUJZ
        UUOUJZGUJZUXDUUHUJZUXIUURUJZUXFUXGUXJGUXFUXJUXGUVRUJZUUOUJZUXGUXFUXIUXN
        UUOUVPUUDJUUEXEZUXEUXIUXNUQUVPUUFUXPUWOUUDJUUEXJVKZUUDJUXDUVRUUEXNWLXRU
        VPUUPUXEUXGJVEUXOUXGUQUWNUVPUUDJUXDUUEUXQXOUUDJUXGUUOXSYCXTXRUVPUXPUXEU
        XLUXHUQUXQUUDJUXDGUUEXNWLUVPUUDCUUOXEUXEUXIUUDVEUXMUXKUQUXCUVPUUDUUDUXD
        UVSUVPUWMUUDUUDUVSXEUWPUUDUUDUVSXJVKXOUUDCUXIGUUOXNYCYAYBUUGUUJUUQUUTYD
        YEYFYGYHYGYLUUMUVCBUEUVEUUMUUFUUQUUJUQZURZFUSUVCUVEUULUXSFUVEUUKUXRUUFU
        UGUUQUUJYIYJYKUXSUVBFUDFUDUTZUUFUUPUXRUVAUUDJUUEUUOYMUXTUUJUUTUUQUXTUUC
        UUIUUSUXTUUHUUREUHUUEUUOGYNYOYPYQYRYSYTUUAUUB $.
    $}

    gsumval3.m $e |- ( ph -> M e. NN ) $.
    gsumval3.h $e |- ( ph -> H : ( 1 ... M ) -1-1-> A ) $.
    gsumval3.n $e |- ( ph -> ( F supp .0. ) C_ ran H ) $.
    gsumval3.w $e |- W = ( ( F o. H ) supp .0. ) $.
    $( Lemma 1 for ~ gsumval3 .  (Contributed by AV, 31-May-2019.) $)
    gsumval3lem1 $p |- ( ( ( ph /\ W =/= (/) )
           /\ ( -. A e. ran ... /\ f Isom < , < ( ( 1 ... ( # ` W ) ) , W ) ) )
                          -> ( H o. f ) : ( 1 ... ( # ` ( F supp .0. ) ) )
                                          -1-1-onto-> ( F supp .0. ) ) $=
      ( c0 wne wa cfz crn wcel wn c1 chash cfv co clt wiso csupp ccom wf1o cres
      cv cima wf1 wss ad2antrr cdm suppssdm eqsstri wf f1f syl fco fssdm f1ores
      syl2anc imaeq2i cvv wfun wceq fexd ovex fex sylancl f1fun jca31 imacosupp
      jca imp eqtrid f1oeq3d mpbid isof1o ad2antll f1oco wb f1of frn 3syl cores
      f1oeq1 cfn fzfi ssfi sylancr a1i imaeq2d eqtrd hasheqf1od oveq2d f1oeq2d
      ) AKUFUGZUHZBUIUJUKULZUMKUNUOZUIUPZKUQUQEVCZURZUHZUHZXQFLUSUPZHXRUTZVAZUM
      YBUNUOZUIUPZYBYCVAYAXQYBHKVBZXRUTZVAZYDYAKYBYGVAZXQKXRVAZYIYAKHKVDZYGVAZY
      JYAUMIUIUPZBHVEZKYNVFZYMAYOXMXTUCVGAYPXMXTAYNCKFHUTZKYQLUSUPZYQVHUEYQLVIV
      JABCFVKYNBHVKZYNCYQVKTAYOYSUCYNBHVLZVMZYNBCFHVNVQVOZVGYNBKHVPVQZYAYLYBKYG
      YAYLHYRVDZYBKYRHUEVRYAFVSUKZHVSUKZUHZHVTZYBHUJVFZUHZUHZUUDYBWAZAUUKXMXTAU
      UEUUFUUJABCJFTSWBZAYOUUFUCYOYSYNVSUKUUFYTUMIUIWCYNBVSHWDWEVMAUUHUUIAYOUUH
      UCYNBHWFVMUDWIZWGVGUUGUUJUULFHVSVSLWHWJZVMWKWLWMXSYKXNXOXQKUQUQXRWNWOZXQK
      YBYGXRWPVQYAXRUJKVFZYHYCWAYIYDWQYAYKXQKXRVKUUQUUPXQKXRWRXQKXRWSWTHXRKXAXQ
      YBYHYCXBWTWMYAXQYFYBYCYAXPYEUMUIYAKYBXCYGAKXCUKZXMXTAYNXCUKZYPUURUMIXDZUU
      BYNKXEXFVGYAYMYJUUCYAYLYBKYGYAYLUUDYBYAKYRHKYRWAYAUEXGXHYAUUKUULAUUKXMXTA
      UUEUUFUUJUUMAYNBXCHUUAUUSAUUTXGWBUUNWGVGUUOVMXIWLWMXJXKXLWM $.

    $( Lemma 2 for ~ gsumval3 .  (Contributed by AV, 31-May-2019.) $)
    gsumval3lem2 $p |- ( ( ( ph /\ W =/= (/) )
           /\ ( -. A e. ran ... /\ f Isom < , < ( ( 1 ... ( # ` W ) ) , W ) ) )
      -> ( G gsum F ) = ( seq 1 ( .+ , ( F o. ( H o. f ) ) ) ` ( # ` W ) ) ) $=
      ( vg vx c0 wne wa cfz crn wcel wn c1 chash cfv co cv wiso csupp wf1o ccom
      clt cseq wceq wex cgsu cvv cfn wf1 wf f1f syl fzfid fexd sylancl ad2antrr
      vex coexg gsumval3lem1 cres wss fzfi cdm suppssdm eqsstri fcod fssdm ssfi
      sylancr cima f1ores syl2anc imaeq2i wfun ovex f1fun imacosupp sylc adantr
      fex jca eqtrid f1oeq3d mpbid hasheqf1od fveq2d f1oeq1 coeq2 fveq1d eqeq2d
      seqeq3d anbi12d spcedv wb wal cio weu cmnd cen f1f1orn f1oen3g enfi mpbii
      wbr ssfid neeq1i wi supp0cosupp0 necon3d syl5bi imp frnd sstrd gsumval3eu
      iota1 eqid simprl gsumval3a eqeq1d bitr4d alrimiv fvex eqeq1 anbi2d eqeq2
      exbidv bibi12d spcv ) AKUHUIZUJZBUKULUMUNZUOKUPUQZUKURKVDVDEUSZUTZUJZUJZU
      OFLVAURZUPUQZUKURZUUSUFUSZVBZUUNDFHUUOVCZVCZUOVEZUQZUUTDFUVBVCZUOVEZUQZVF
      ZUJZUFVGZGFVHURZUVGVFZUURUVLUVAUUSUVDVBZUVGUUTUVFUQZVFZUJUFVIUVDAUVDVIUMZ
      UUKUUQAHVIUMZUUOVIUMUVSAUOIUKURZBVJHAUWABHVKZUWABHVLZUCUWABHVMVNZAUOIVOVP
      ZEVSHUUOVIVIVTVQVRUURUVPUVRABCDEFGHIJKLMNOPQRSTUAUBUCUDUEWAUURUUNUUTUVFUU
      RKUUSVJHKWBZAKVJUMZUUKUUQAUWAVJUMZKUWAWCZUWGUOIWDZAUWACKFHVCZKUWKLVAURZUW
      KWEUEUWKLWFWGAUWABCFHTUWDWHWIZUWAKWJWKVRUURKHKWLZUWFVBZKUUSUWFVBUURUWBUWI
      UWOAUWBUUKUUQUCVRAUWIUUKUUQUWMVRUWABKHWMWNUURUWNUUSKUWFUULUWNUUSVFUUQUULU
      WNHUWLWLZUUSKUWLHUEWOAUWPUUSVFZUUKAFVIUMZUVTUJZHWPZUUSHULZWCZUJUWQAUWRUVT
      ABCJFTSVPZAUWCUWAVIUMUVTUWDUOIUKWQUWABVIHXBVQZXCAUWTUXBAUWBUWTUCUWABHWRVN
      UDXCFHVIVILWSWTXAXDXAXEXFXGXHXCUVBUVDVFZUVCUVPUVKUVRUVAUUSUVBUVDXIUXEUVJU
      VQUVGUXEUUTUVIUVFUXEUVHUVEDUOUVBUVDFXJXMXKXLXNXOUURUVCUGUSZUVJVFZUJZUFVGZ
      UVNUXFVFZXPZUGXQUVMUVOXPZUURUXKUGUURUXIUXIUGXRZUXFVFZUXJUURUXIUGXSUXIUXNX
      PUURUGBCDUFFGJUUSLMNOPQAGXTUMUUKUUQRVRZABJUMUUKUUQSVRZABCFVLUUKUUQTVRZAFU
      LZUXRMUQWCUUKUUQUAVRZAUUSVJUMUUKUUQAUXAUUSAUWHUXAVJUMZUWJAUWAUXAYAYFZUWHU
      XTXPAUVTUWAUXAHVBZUYAUWEAUWBUYBUCUWABHYBVNUWAUXAHVIYCWNUWAUXAYDVNYEUDYGVR
      ZUULUUSUHUIZUUQAUUKUYDUUKUWLUHUIZAUYDKUWLUHUEYHAUWRUVTUYEUYDYIUXCUXDUWSUU
      SUHUWLUHFHVIVILYJYKWNYLYMXAZUURUUSUXABAUXBUUKUUQUDVRAUXABWCUUKUUQAUWABHUW
      DYNVRYOYPUXIUGYQVNUURUVNUXMUXFUURUGBCDUFFGJUUSLMNOPQUXOUXPUXQUXSUYCUYFUUS
      YRUULUUMUUPYSYTUUAUUBUUCUXKUXLUGUVGUUNUVFUUDUXFUVGVFZUXIUVMUXJUVOUYGUXHUV
      LUFUYGUXGUVKUVCUXFUVGUVJUUEUUFUUHUXFUVGUVNUUGUUIUUJVNXF $.

    $( Value of the group sum operation over an arbitrary finite set.
       (Contributed by Mario Carneiro, 15-Dec-2014.)  (Revised by AV,
       31-May-2019.) $)
    gsumval3 $p |- ( ph -> ( G gsum F )
                           = ( seq 1 ( .+ , ( F o. H ) ) ` M ) ) $=
      ( vx vm vn vf vy vz vk cgsu co ccom c1 cseq cfv wceq c0 wa cmpt cmnd wcel
      gsumz syl2anc adantr cv feqmptd csn crn ccnv cfz wf wf1 f1f ad2antrr wf1o
      syl f1f1orn f1ocnv f1of 3syl ffvelrnda fvco3 simpr difeq2d eqtrdi cvv fco
      cdif csupp wss a1i ovexd suppssr syldan sylan fveq2d sylibr adantlr sylib
      wn eqtrd oveq2d mndlid cuz cn eleq2d biimpar 3eqtr4d wne wrex wfn ffn cdm
      cz wb chash clt wiso wex wor cfn cr sstrdi ltso soss mpisyl fz1iso simprr
      sstri isof1o coass seqcoll2 expr exlimdv mpd eqtr4d ex rexlimdvw eleqtrrd
      dif0 eqimss2i fvexi f1ocnvfv2 3eqtr3rd fvex elsn eldif sylan2br pm2.61dan
      c0g anassrs mpteq2dva mndidcl syl2anc2 eleqtrdi seqid3 cxp cpw fzf ovelrn
      nnuz mp2b wrel frel reldm0 eqeq1d bitrd coeq1 oveq1d supp0 eqtrid syl6bir
      fdmd co01 ax-mp necon3d imp eqnetrrd fzn0 feq2d mpbid gsumval2 frn fzssuz
      sseqtrd uzssz zssre fzfi cen wbr fexd f1oen3g mpbii cn0 nnnn0d hasheqf1od
      enfi hashfz1 eqtr3d mndcl 3expb sselda cntzi anasss mndass f1oeq2d mpbird
      w3a frnd f1oco wfo dffn4 fof fssd cid cres f1ococnv2 coeq1d eqtr2d coeq2d
      fcoi2 eqtr4di fveq1d seqf1o mndrid eluzfz1 ne0i eqnetrd necon3bii adantrr
      fdm dm0rn0 simprl difeq1d ad4ant14 syl5bi suppssdm eqsstri fz1ssnn nnssre
      fssdm ssfi sylancr gsumval3lem2 simplr fveq1i eqtr3id pm2.61d pm2.61dane
      ) AFEULUMZHDEGUNZUOUPUQZURZJUSAJUSURZUTZFUEBKVAZULUMZKVULVUNAVUSKURZVUPAF
      VBVCZBIVCVUTQRBUEFIKNVDVEVFVUQEVURFULVUQEUEBUEVGZEUQZVAZVURAEVVDURVUPAUEB
      CESVHVFVUQUEBVVCKVUQVVBBVCZUTZVVCKVIVCZVVCKURZVVFVVBGVJZVCZVVGVUQVVJVVGVV
      EVUQVVJUTZVVHVVGVVKVVBGVKZUQZVUMUQZVVMGUQZEUQZKVVCVVKUOHVLUMZBGVMZVVMVVQV
      CVVNVVPURAVVRVUPVVJAVVQBGVNZVVRUBVVQBGVOZVRZVPVUQVVIVVQVVBVVLVUQVVQVVIGVQ
      ZVVIVVQVVLVQVVIVVQVVLVMAVWBVUPAVVSVWBUBVVQBGVSVRZVFZVVQVVIGVTVVIVVQVVLWAW
      BWCZVVQBVVMEGWDVEVUQVVJVVMVVQJWJZVCVVNKURVVKVVMVVQVWFVWEVUQVWFVVQURVVJVUQ
      VWFVVQUSWJVVQVUQJUSVVQAVUPWEWFVVQUUBWGZVFUUAVUQVVQCWHVUMWHJVVMKAVVQCVUMVM
      ZVUPABCEVMZVVRVWHSVWAVVQBCEGWIVEZVFZVUMKWKUMZJWLZVUQJVWLUDUUCZWMZVUQUOHVL
      WNZKWHVCZVUQKFUULNUUDZWMZWOWPVVKVVOVVBEVUQVWBVVJVVOVVBURVWDVVQVVIVVBGUUEW
      QWRUUFVVCKVVBEUUGUUHZWSWTVUQVVEVVJXBZVVGAVVEVXAUTZVVGVUPVXBAVVBBVVIWJZVCZ
      VVGVVBBVVIUUIAVXDUTVVHVVGABCWHEIVVIVVBKSUCRVWQAVWRWMWOZVWTWSUUJWTUUMUUKVW
      TXAUUNXCXDVUQUEDVUMUOHKAKKDUMKURZVUPAVVAKCVCZVXFQCFKMNUUOZCDFKKMONXEUUPVF
      AHUOXFUQZVCZVUPAHXGVXIUAUVCUUQZVFVUQVVBVVQVCZVVBVWFVCZVVBVUMUQKURVUQVXMVX
      LVUQVWFVVQVVBVWGXHXIVUQVVQCWHVUMWHJVVBKVWKVWOVWPVWSWOWPUURXJAJUSXKZUTZBVL
      VJVCZVUOVXPBUFVGZUGVGZVLUMZURZUGXPXLZUFXPXLZVXOVUOXPXPUUSZXPUUTZVLVMVLVYC
      XMVXPVYBXQUVAVYCVYDVLXNUFUGXPXPBVLUVBUVDVXOVYAVUOUFXPVXOVXTVUOUGXPVXOVXTV
      UOVXOVXTUTZVULVXRDEVXQUPUQZVUNVYECDEFVXQVXRVBMOAVVAVXNVXTQVPVYEVXSUSXKVXR
      VXQXFUQZVCVYEBVXSUSVXOVXTWEZVXOBUSXKZVXTAVXNVYIABUSJUSABUSURZEUSURZVUPAVY
      KEXOZUSURZVYJAVWIEUVEVYKVYMXQSBCEUVFEUVGWBAVYLBUSABCESUVOUVHUVIVYKJVWLUSU
      DVYKVWLUSKWKUMZUSVYKVUMUSKWKVYKVUMUSGUNUSEUSGUVJGUVPWGUVKVWQVYNUSURVWRWHK
      UVLUVQWGUVMUVNUVRUVSVFUVTVXQVXRUWAXAVYEVWIVXSCEVMAVWIVXNVXTSVPVYEBVXSCEVY
      HUWBUWCUWDVYEUOVVIXRUQZVLUMZVVIXSXSUHVGZXTZUHYAZVUNVYFURZVYEVVIXSYBZVVIYC
      VCZVYSVYEVVIYDWLYDXSYBZWUAVYEVVIVXSYDVYEVVIBVXSAVVIBWLZVXNVXTAVVSVVRWUDUB
      VVTVVQBGUWEWBZVPVYHUWGZVXSVYGYDVXQVXRUWFVYGXPYDVXQUWHUWIYKYKYEYFVVIYDXSYG
      YHAWUBVXNVXTAVVQYCVCZWUBUOHUWJZAVVQVVIUWKUWLZWUGWUBXQAGWHVCVWBWUIAVVQBYCG
      VWAWUGAWUHWMZUWMVWCVVQVVIGWHUWNVEVVQVVIUWSVRUWOVPVVIXSUHYIVEVYEVYRVYTUHVX
      OVXTVYRVYTVXOVXTVYRUTZUTZHDEVYQUNZUOUPZUQVYOWUNUQVUNVYFWULHVYOWUNAHVYOURV
      XNWUKAVVQXRUQZHVYOAHUWPVCWUOHURAHUAUWQHUWTVRAVVQVVIYCGWUJVWCUWRUXAVPZWRWU
      LUEUIUJEVJZDCUKVYQVKZGUNZWUMVUMUOHWULVVAVVBCVCZUIVGZCVCZUTZVVBWVADUMZCVCZ
      AVVAVXNWUKQVPZVVAWUTWVBWVECDFVVBWVAMOUXBUXCZWQZWULVVBWUQVCZWVAWUQVCZWVDWV
      AVVBDUMURZWULWVIUTVVBWUQLUQZVCWVJWVKWULWUQWVLVVBAWUQWVLWLVXNWUKTVPUXDDWUQ
      FVVBWVALOPUXEWQUXFWULVVAWUTWVBUJVGZCVCUXJWVDWVMDUMVVBWVAWVMDUMDUMURWVFCDF
      VVBWVAWVMMOUXGWQAVXJVXNWUKVXKVPWULBCEAVWIVXNWUKSVPZUXKWULVVIVVQWURVQZVWBV
      VQVVQWUSVQWULVVQVVIVYQVQZWVOWULWVPVYPVVIVYQVQZWULVYRWVQVXOVXTVYRYJZVYPVVI
      XSXSVYQYLZVRWULVVQVYPVVIVYQWULHVYOUOVLWUPXDUXHUXIZVVQVVIVYQVTZVRAVWBVXNWU
      KVWCVPZVVQVVIVVQWURGUXLVEWULVVQWUQVVBWUMWULBWUQEVMZVVQBVYQVMVVQWUQWUMVMWU
      LVWIBWUQEUXMZWWCWVNVWIEBXMWWDBCEXNBEUXNXABWUQEUXOWBWULVVQVVIBVYQWULWVPVVQ
      VVIVYQVMWVTVVQVVIVYQWAVRAWUDVXNWUKWUEVPUXPVVQBWUQEVYQWIVEWCWULUKVGZVVQVCZ
      UTWWEVUMUQZWWEWUMWUSUNZUQZWWEWUSUQWUMUQZWULWWGWWIURWWFWULWWEVUMWWHWULVUME
      VYQWUSUNZUNWWHWULGWWKEWULGVYQWURUNZGUNZWWKWULWWMUXQVVIUXRZGUNZGWULWWLWWNG
      WULWVPWWLWWNURWVTVVQVVIVYQUXSVRUXTWULVWBVVQVVIGVMZWWOGURWWBVVQVVIGWAZVVQV
      VIGUYCWBUYAVYQWURGYMWGUYBEVYQWUSYMUYDUYEVFWULVVQVVQWUSVMZWWFWWIWWJURWULVV
      IVVQWURVMZWWPWWRWULWVPWVOWWSWVTWWAVVIVVQWURWAWBWULVWBWWPWWBWWQVRVVQVVIVVQ
      WURGWIVEVVQVVQWWEWUMWUSWDWQXCUYFWULVVIDCUEUIEVYQWUMVXQVXRKWULVVAWUTKVVBDU
      MVVBURZWVFCDFVVBKMONXEZWQWULVVAWUTVVBKDUMVVBURZWVFCDFVVBKMONUYGZWQWVHWULV
      VAVXGWVFVXHVRWVRAVVIUSXKZVXNWUKAGXOZUSXKWXDAWXEVVQUSAVVSVVRWXEVVQURUBVVTV
      VQBGUYMWBAVXJUOVVQVCVVQUSXKVXKUOHUYHVVQUOUYIWBUYJWXEUSVVIUSGUYNUYKXAVPVXO
      VXTVVIVXSWLVYRWUFUYLWULVVBVXSVCZVVEVVCCVCWULVVEWXFWULBVXSVVBVXOVXTVYRUYOZ
      XHXIWULBCVVBEWVNWCWPWULVVBVXSVVIWJZVCZVXDVVHWULVXDWXIWULVXCWXHVVBWULBVXSV
      VIWXGUYPXHXIAVXDVVHVXNWUKVXEUYQWPWULVYPVVIVYQVMZWVAVYPVCWVAWUMUQWVAVYQUQZ
      EUQURWULVYRWVQWXJWVRWVSVYPVVIVYQWAWBVYPVVIWVAEVYQWDWQYNXJYOYPYQYRYSYTYTUY
      RVXOVXPXBZVUOVXOWXLUTZUOJXRUQZVLUMZJXSXSVYQXTZUHYAZVUOAWXQVXNWXLAJXSYBZJY
      CVCZWXQAJYDWLWUCWXRAJVVQYDAVVQCJVUMJVWLVUMXOUDVUMKUYSUYTVWJVUCZVVQXGYDHVU
      AVUBYKYEYFJYDXSYGYHAWUGJVVQWLZWXSWUHWXTVVQJVUDVUEJXSUHYIVEVPWXMWXPVUOUHVX
      OWXLWXPVUOVXOWXLWXPUTZUTZVULWXNDEGVYQUNUNZUOUPUQVUNABCDUHEFGHIJKLMNOPQRST
      UAUBUCUDVUFWYCJDCUEUIVUMVYQWYDUOHKWYCVVAWUTWWTAVVAVXNWYBQVPZWXAWQWYCVVAWU
      TWXBWYEWXCWQWYCVVAWVCWVEWYEWVGWQWYCVVAVXGWYEVXHVRVXOWXLWXPYJZAVXNWYBVUGAW
      YAVXNWYBWXTVPWYCVVQCVVBVUMAVWHVXNWYBVWJVPZWCWYCVVQCWHVUMWHJVVBKWYGVWMWYCV
      WNWMWYCUOHVLWNVWQWYCVWRWMWOWYCWVAWXOVCZUTWVAWYDUQWVAVUMVYQUNZUQZWXKVUMUQZ
      WVAWYIWYDEGVYQYMVUHWYCWXOJVYQVMZWYHWYJWYKURWYCWXPWXOJVYQVQWYLWYFWXOJXSXSV
      YQYLWXOJVYQWAWBWXOJWVAVUMVYQWDWQVUIYNYRYOYPYQYSVUJVUK $.
  $}

  ${
    $d k A $.  $d k F $.  $d k ph $.  $d k W $.
    gsumcllem.f $e |- ( ph -> F : A --> B ) $.
    gsumcllem.a $e |- ( ph -> A e. V ) $.
    gsumcllem.z $e |- ( ph -> Z e. U ) $.
    gsumcllem.s $e |- ( ph -> ( F supp Z ) C_ W ) $.
    $( Lemma for ~ gsumcl and related theorems.  (Contributed by Mario
       Carneiro, 15-Dec-2014.)  (Revised by Mario Carneiro, 24-Apr-2016.)
       (Revised by AV, 31-May-2019.) $)
    gsumcllem $p |- ( ( ph /\ W = (/) ) -> F = ( k e. A |-> Z ) ) $=
      ( c0 wceq wa cv cmpt wcel cdif feqmptd adantr difeq2 dif0 biimpar suppssr
      cfv eqtrdi eleq2d sylan2 anassrs mpteq2dva eqtrd ) AHNOZPZFEBEQZFUGZRZEBI
      RAFUROUNAEBCFJUAUBUOEBUQIAUNUPBSZUQIOZUNUSPAUPBHTZSZUTUNVBUSUNVABUPUNVABN
      TBHNBUCBUDUHUIUEABCDFGHUPIJMKLUFUJUKULUM $.
  $}

  ${
    $d f k x .0. $.  $d f k x B $.  $d f k x F $.  $d f k x G $.  $d f k x H $.
    $d k x A $.  $d x C $.  $d f k x ph $.  $d k V $.  $d f k W $.
    gsumzcl.b $e |- B = ( Base ` G ) $.
    gsumzcl.0 $e |- .0. = ( 0g ` G ) $.
    gsumzcl.z $e |- Z = ( Cntz ` G ) $.
    gsumzcl.g $e |- ( ph -> G e. Mnd ) $.
    gsumzcl.a $e |- ( ph -> A e. V ) $.
    gsumzcl.f $e |- ( ph -> F : A --> B ) $.
    gsumzcl.c $e |- ( ph -> ran F C_ ( Z ` ran F ) ) $.
    ${
      gsumzres.s $e |- ( ph -> ( F supp .0. ) C_ W ) $.
      gsumzres.w $e |- ( ph -> F finSupp .0. ) $.
      $( Extend a finite group sum by padding outside with zeroes.
         (Contributed by Mario Carneiro, 24-Apr-2016.)  (Revised by AV,
         31-May-2019.) $)
      gsumzres $p |- ( ph -> ( G gsum ( F |` W ) ) = ( G gsum F ) ) $=
        ( adantr wss vf vk csupp co c0 wceq cres cgsu chash cfv cn wcel c1 wf1o
        cfz cv wex cin cmpt cmnd cvv inex1g syl gsumz syl2anc eqtr4d resres wfn
        wa ffn fnresdm 3syl reseq1d eqtr3id c0g fvexi a1i ssid gsumcllem resmpt
        wf inss1 ax-mp eqtrdi eqtr3d oveq2d 3eqtr4d ex cplusg ccom cseq crn wfo
        f1ofo ad2antll eqsstrd cores seqeq3d fveq1d fssres sylancl feq1d biimpa
        forn eqid syldan resss rnssi cntzidss simprl f1of1 suppssdm fssdm ssind
        wf1 f1ss wi fexd ressuppss sseq2 syl5ibr adantl gsumval3 sseqtrrid expr
        impcom exlimdv expimpd cfsupp wbr wo wfun fsuppimp simprd fz1f1o mpjaod
        cfn ) ADHUCUDZUEUFZEDGUGZUHUDZEDUHUDZUFZYRUIUJZUKULZUMUUDUOUDZYRUAUPZUN
        ZUAUQZVIZAYSUUCAYSVIZEUBBGURZHUSZUHUDZEUBBHUSZUHUDZUUAUUBAUUNUUPUFYSAUU
        NHUUPAEUTULZUULVAULZUUNHUFMABFULZUURNBGFVBVCZUULUBEVAHKVDVEAUUQUUSUUPHU
        FMNBUBEFHKVDVEVFSUUKYTUUMEUHUUKDUULUGZYTUUMAUVAYTUFYSAUVADBUGZGUGYTDBGV
        GAUVBDGABCDWAZDBVHUVBDUFOBCDVJBDVKVLVMVNZSUUKUVAUUOUULUGZUUMUUKDUUOUULA
        BCVAUBDFYRHONHVAULZAHEVOKVPZVQYRYRTAYRVRZVQVSZVMUULBTZUVEUUMUFBGWBZUBBU
        ULHVTWCWDWEWFUUKDUUOEUHUVIWFWGWHAUUEUUIUUCAUUEVIUUHUUCUAAUUEUUHUUCAUUEU
        UHVIZVIZUUDEWIUJZYTUUGWJZUMWKZUJUUDUVNDUUGWJZUMWKZUJUUAUUBUVMUUDUVPUVRU
        VMUVOUVQUVNUMUVMUUGWLZGTUVOUVQUFUVMUVSYRGUUHUVSYRUFZAUUEUUHUUFYRUUGWMZU
        VTUUFYRUUGWNZUUFYRUUGXDZVCWOZAYRGTUVLQSWPDUUGGWQVCWRWSUVMUULCUVNYTEUUGU
        UDVAUVOHUCUDZHIJKUVNXEZLAUUQUVLMSZAUURUVLUUTSAUVLUULCUVAWAZUULCYTWAZUVM
        UVCUVJUWHAUVCUVLOSZUVKBCUULDWTXAAUWHUWIAUULCUVAYTUVDXBXCXFAYTWLZUWKIUJT
        ZUVLADWLZUWMIUJTZUWKUWMTUWLPYTDDGXGXHUWMUWKEILXIXASAUUEUUHXJZUVMUUFYRUU
        GXOZYRUULTZUUFUULUUGXOUUHUWPAUUEUUFYRUUGXKWOZAUWQUVLAYRBGABCYRDDHXLOXMZ
        QXNSUUFYRUULUUGXPVEUVLAYTHUCUDZUVSTZUUHAUXAXQZUUEUUHUWAUVTUXBUWBUWCAUXA
        UVTUWTYRTZADVAULUVFUXCABCFDONXRUVGGDVAVAHXSXAUVSYRUWTXTYAVLYBYFUWEXEYCU
        VMBCUVNDEUUGUUDFUVQHUCUDZHIJKUWFLUWGAUUSUVLNSUWJAUWNUVLPSUWOUVMUWPYRBTZ
        UUFBUUGXOUWRAUXEUVLUWSSUUFYRBUUGXPVEUVMYRYRUVSUVHUWDYDUXDXEYCWGYEYGYHAD
        HYIYJZYRYQULZYSUUJYKRUXFDYLUXGDHYMYNYRUAYOVLYP $.
    $}

    ${
      gsumzcl2.w $e |- ( ph -> ( F supp .0. ) e. Fin ) $.
      $( Closure of a finite group sum.  This theorem has a weaker hypothesis
         than ~ gsumzcl , because it is not required that ` F ` is a function
         (actually, the hypothesis always holds for any proper class ` F ` ).
         (Contributed by Mario Carneiro, 24-Apr-2016.)  (Revised by AV,
         1-Jun-2019.) $)
      gsumzcl2 $p |- ( ph -> ( G gsum F ) e. B ) $=
        ( co wcel wa adantr vf vk vx csupp c0 wceq cgsu chash cfv cn c1 cv wf1o
        cfz wex cmpt cvv c0g fvexi a1i ssidd gsumcllem cmnd gsumz syl2anc eqtrd
        oveq2d mndidcl syl eqeltrd ex cplusg ccom cseq eqid wf crn simprl f1of1
        wss wf1 ad2antll suppssdm fssdm f1ss ssid f1ofo forn sseqtrrid gsumval3
        wfo cuz nnuz eleqtrdi f1f fco ffvelrnda mndcl 3expb sylan seqcl exlimdv
        expr expimpd cfn wo fz1f1o mpjaod ) ADGUDQZUEUFZEDUGQZCRZXIUHUIZUJRZUKX
        MUNQZXIUAULZUMZUAUOZSZAXJXLAXJSZXKGCXTXKEUBBGUPZUGQZGXTDYAEUGABCUQUBDFX
        IGNMGUQRAGEURJUSUTAXIVAVBVGAYBGUFZXJAEVCRZBFRZYCLMBUBEFGJVDVETVFAGCRZXJ
        AYDYFLCEGIJVHVITVJVKAXNXRXLAXNSXQXLUAAXNXQXLAXNXQSZSZXKXMEVLUIZDXPVMZUK
        VNUICYHBCYIDEXPXMFYJGUDQZGHIJYIVOZKAYDYGLTZAYEYGMTABCDVPZYGNTZADVQZYPHU
        IVTYGOTAXNXQVRZYHXOXIXPWAZXIBVTZXOBXPWAZXQYRAXNXOXIXPVSWBAYSYGABCXIDDGW
        CNWDTXOXIBXPWEVEZYHXIXIXPVQZXIWFXQUUBXIUFZAXNXQXOXIXPWKUUCXOXIXPWGXOXIX
        PWHVIWBWIYKVOWJYHUBUCYICYJUKXMYHXMUJUKWLUIYQWMWNYHXOCUBULZYJYHYNXOBXPVP
        ZXOCYJVPYOYHYTUUEUUAXOBXPWOVIXOBCDXPWPVEWQYHYDUUDCRZUCULZCRZSUUDUUGYIQC
        RZYMYDUUFUUHUUICYIEUUDUUGIYLWRWSWTXAVJXCXBXDAXIXERXJXSXFPXIUAXGVIXH $.
    $}

    gsumzcl.w $e |- ( ph -> F finSupp .0. ) $.
    $( Closure of a finite group sum.  (Contributed by Mario Carneiro,
       24-Apr-2016.)  (Revised by AV, 1-Jun-2019.) $)
    gsumzcl $p |- ( ph -> ( G gsum F ) e. B ) $=
      ( fsuppimpd gsumzcl2 ) ABCDEFGHIJKLMNOADGPQR $.

    gsumzf1o.h $e |- ( ph -> H : C -1-1-onto-> A ) $.
    $( Re-index a finite group sum using a bijection.  (Contributed by Mario
       Carneiro, 24-Apr-2016.)  (Revised by AV, 2-Jun-2019.) $)
    gsumzf1o $p |- ( ph -> ( G gsum F ) = ( G gsum ( F o. H ) ) ) $=
      ( cvv vf vk vx csupp co c0 wceq cgsu ccom chash cfv cn wcel c1 cfz cv wex
      wf1o cmpt cmnd gsumz syl2anc wf1 f1of1 syl f1dmex eqtr4d adantr c0g fvexi
      wa a1i ssidd gsumcllem oveq2d f1of ffvelrnda feqmptd eqidd fmptco 3eqtr4d
      wf cplusg cseq ccnv cid cres f1ococnv2 coeq1d wss ad2antll suppssdm fssdm
      ex f1ss fcoi2 3syl eqtrd coass eqtr3di coeq2d eqtr4di seqeq3d fveq1d eqid
      f1f crn simprl ssid wfo f1ofo forn sseqtrrid gsumval3 fco rncoss cntzidss
      sylancl f1ocnv f1co cdif cima fexd suppimacnv eqcomd 3sstr4d imass2 cnvco
      csn imaeq1i imaco eqtri rnco2 3sstr4g f1oexrnex coexg sseq1d mpbird expr
      wb exlimdv expimpd cfsupp wbr cfn wo wfun fsuppimp simprd fz1f1o mpjaod )
      AEIUDUEZUFUGZFEUHUEZFEGUIZUHUEZUGZUULUJUKZULUMZUNUURUOUEZUULUAUPZURZUAUQZ
      VKZAUUMUUQAUUMVKZFUBBIUSZUHUEZFUCDIUSZUHUEZUUNUUPAUVGUVIUGUUMAUVGIUVIAFUT
      UMZBHUMZUVGIUGNOBUBFHILVAVBAUVJDTUMZUVIIUGNADBGVCZUVKUVLADBGURZUVMSDBGVDV
      EODBHGVFVBZDUCFTILVAVBVGVHUVEEUVFFUHABCTUBEHUULIPOITUMZAIFVILVJZVLAUULVMV
      NZVOUVEUUOUVHFUHUVEUCUBDBUCUPZGUKZIIGEUVEDBUVSGADBGWBZUUMAUVNUWASDBGVPVEZ
      VHZVQUVEUCDBGUWCVRUVRUBUPUVTUGIVSVTVOWAWNAUUSUVCUUQAUUSVKUVBUUQUAAUUSUVBU
      UQAUUSUVBVKZVKZUURFWCUKZEUVAUIZUNWDZUKUURUWFUUOGWEZUVAUIZUIZUNWDZUKUUNUUP
      UWEUURUWHUWLUWEUWGUWKUWFUNUWEUWGEGUWJUIZUIUWKUWEUVAUWMEUWEGUWIUIZUVAUIZUV
      AUWMUWEUWOWFBWGZUVAUIZUVAUWEUWNUWPUVAUWEUVNUWNUWPUGAUVNUWDSVHDBGWHVEWIUWE
      UUTBUVAVCZUUTBUVAWBUWQUVAUGUWEUUTUULUVAVCZUULBWJZUWRUVBUWSAUUSUUTUULUVAVD
      WKAUWTUWDABCUULEEIWLPWMVHUUTUULBUVAWOVBZUUTBUVAXFUUTBUVAWPWQWRGUWIUVAWSWT
      XAEGUWJWSXBXCXDUWEBCUWFEFUVAUURHUWGIUDUEZIJKLUWFXEZMAUVJUWDNVHZAUVKUWDOVH
      ABCEWBZUWDPVHAEXGZUXFJUKWJZUWDQVHAUUSUVBXHZUXAUWEUULUULUVAXGZUULXIUVBUXIU
      ULUGZAUUSUVBUUTUULUVAXJUXJUUTUULUVAXKUUTUULUVAXLVEWKZXMUXBXEXNUWEDCUWFUUO
      FUWJUURTUWKIUDUEZIJKLUXCMUXDAUVLUWDUVOVHADCUUOWBZUWDAUXEUWAUXMPUWBDBCEGXO
      VBVHAUUOXGZUXNJUKWJZUWDAUXGUXNUXFWJUXOQEGXPUXFUXNFJMXQXRVHUXHUWEBDUWIVCZU
      WRUUTDUWJVCAUXPUWDAUVNBDUWIURUXPSDBGXSBDUWIVDWQVHUXAUUTBDUWIUVAXTVBUWEUUO
      IUDUEZUWJXGZWJZUUOWEZTIYIYAZYBZUXRWJZUWEUWIEWEZUYAYBZYBZUWIUXIYBZUYBUXRUW
      EUYEUXIWJUYFUYGWJUWEUULUULUYEUXIUWEUULVMAUYEUULUGUWDAUULUYEAETUMZUVPUULUY
      EUGABCHEPOYCZUVQETTIYDXRYEVHUXKYFUYEUXIUWIYGVEUYBUWIUYDUIZUYAYBUYFUXTUYJU
      YAEGYHYJUWIUYDUYAYKYLUWIUVAYMYNAUXSUYCYTUWDAUXQUYBUXRAUUOTUMZUVPUXQUYBUGA
      UYHGTUMZUYKUYIAUVNUVKUYLSODBGHYOVBEGTTYPVBUVQUUOTTIYDXRYQVHYRUXLXEXNWAYSU
      UAUUBAEIUUCUUDZUULUUEUMZUUMUVDUUFRUYMEUUGUYNEIUUHUUIUULUAUUJWQUUK $.
  $}

  ${
    gsumcl.b $e |- B = ( Base ` G ) $.
    gsumcl.z $e |- .0. = ( 0g ` G ) $.
    gsumcl.g $e |- ( ph -> G e. CMnd ) $.
    gsumcl.a $e |- ( ph -> A e. V ) $.
    gsumcl.f $e |- ( ph -> F : A --> B ) $.

    ${
      gsumres.s $e |- ( ph -> ( F supp .0. ) C_ W ) $.
      gsumres.w $e |- ( ph -> F finSupp .0. ) $.
      $( Extend a finite group sum by padding outside with zeroes.
         (Contributed by Mario Carneiro, 15-Dec-2014.)  (Revised by Mario
         Carneiro, 24-Apr-2016.)  (Revised by AV, 3-Jun-2019.) $)
      gsumres $p |- ( ph -> ( G gsum ( F |` W ) ) = ( G gsum F ) ) $=
        ( ccntz cfv eqid ccmn wcel cmnd cmnmnd syl cntzcmnf gsumzres ) ABCDEFGH
        EPQZIJUFRZAESTEUATKEUBUCLMABCDEUFIUGKMUDNOUE $.
    $}

    ${
      gsumcl2.w $e |- ( ph -> ( F supp .0. ) e. Fin ) $.
      $( Closure of a finite group sum.  This theorem has a weaker hypothesis
         than ~ gsumcl , because it is not required that ` F ` is a function
         (actually, the hypothesis always holds for any proper class ` F ` ).
         (Contributed by Mario Carneiro, 15-Dec-2014.)  (Revised by Mario
         Carneiro, 24-Apr-2016.)  (Revised by AV, 3-Jun-2019.) $)
      gsumcl2 $p |- ( ph -> ( G gsum F ) e. B ) $=
        ( ccntz cfv eqid ccmn wcel cmnd cmnmnd syl cntzcmnf gsumzcl2 ) ABCDEFGE
        NOZHIUDPZAEQRESRJETUAKLABCDEUDHUEJLUBMUC $.
    $}

    gsumcl.w $e |- ( ph -> F finSupp .0. ) $.
    $( Closure of a finite group sum.  (Contributed by Mario Carneiro,
       15-Dec-2014.)  (Revised by Mario Carneiro, 24-Apr-2016.)  (Revised by
       AV, 3-Jun-2019.) $)
    gsumcl $p |- ( ph -> ( G gsum F ) e. B ) $=
      ( fsuppimpd gsumcl2 ) ABCDEFGHIJKLADGMNO $.

    gsumf1o.h $e |- ( ph -> H : C -1-1-onto-> A ) $.
    $( Re-index a finite group sum using a bijection.  (Contributed by Mario
       Carneiro, 15-Dec-2014.)  (Revised by Mario Carneiro, 24-Apr-2016.)
       (Revised by AV, 3-Jun-2019.) $)
    gsumf1o $p |- ( ph -> ( G gsum F ) = ( G gsum ( F o. H ) ) ) $=
      ( ccntz cfv eqid wcel ccmn cmnd cmnmnd syl cntzcmnf gsumzf1o ) ABCDEFGHIF
      QRZJKUGSZAFUATFUBTLFUCUDMNABCEFUGJUHLNUEOPUF $.
  $}

  ${
    gsumreidx.b $e |- B = ( Base ` G ) $.
    gsumreidx.z $e |- .0. = ( 0g ` G ) $.
    gsumreidx.g $e |- ( ph -> G e. CMnd ) $.
    gsumreidx.f $e |- ( ph -> F : ( M ... N ) --> B ) $.
    gsumreidx.h $e |- ( ph -> H : ( M ... N ) -1-1-onto-> ( M ... N ) ) $.
    $( Re-index a finite group sum using a bijection.  Corresponds to the first
       equation in [Lang] p. 5 with ` M = 1 ` .  (Contributed by AV,
       26-Dec-2023.) $)
    gsumreidx $p |- ( ph -> ( G gsum F ) = ( G gsum ( F o. H ) ) ) $=
      ( cfz co cvv ovexd fzfid wcel c0g fvexi a1i fdmfifsupp gsumf1o ) AFGNOZBU
      ECDEPHIJKAFGNQLAUEBCPHLAFGRHPSAHDTJUAUBUCMUD $.
  $}

  ${
    gsumzsubmcl.0 $e |- .0. = ( 0g ` G ) $.
    gsumzsubmcl.z $e |- Z = ( Cntz ` G ) $.
    gsumzsubmcl.g $e |- ( ph -> G e. Mnd ) $.
    gsumzsubmcl.a $e |- ( ph -> A e. V ) $.
    gsumzsubmcl.s $e |- ( ph -> S e. ( SubMnd ` G ) ) $.
    gsumzsubmcl.f $e |- ( ph -> F : A --> S ) $.
    gsumzsubmcl.c $e |- ( ph -> ran F C_ ( Z ` ran F ) ) $.
    gsumzsubmcl.w $e |- ( ph -> F finSupp .0. ) $.
    $( Closure of a group sum in a submonoid.  (Contributed by Mario Carneiro,
       24-Apr-2016.)  (Revised by AV, 3-Jun-2019.) $)
    gsumzsubmcl $p |- ( ph -> ( G gsum F ) e. S ) $=
      ( co cfv eqid syl cress cgsu cbs c0g ccntz csubmnd wcel cmnd submmnd wceq
      wf submbas feq3d mpbid crn cin ssind wss resscntz syl2anc sseqtrrd cfsupp
      frnd subm0 breqtrd gsumzcl gsumsubm 3eltr4d ) AECUAQZDUBQVIUCRZEDUBQCABVJ
      DVIFVIUDRZVIUERZVJSVKSVLSZACEUFRZUGZVIUHUGMCVIEVISZUITLABCDUKBVJDUKNACVJD
      BAVOCVJUJMCVIEVPULTZUMUNADUOZVRHRZCUPZVRVLRZAVRVSCOABCDNVCZUQAVOVRCURWAVT
      UJMWBCVREVIVNVLHVPJVMUSUTVAADGVKVBPAVOGVKUJMCVIEGVPIVDTVEVFABCDEVIFLMNVPV
      GVQVH $.
  $}

  ${
    gsumsubmcl.z $e |- .0. = ( 0g ` G ) $.
    gsumsubmcl.g $e |- ( ph -> G e. CMnd ) $.
    gsumsubmcl.a $e |- ( ph -> A e. V ) $.
    gsumsubmcl.s $e |- ( ph -> S e. ( SubMnd ` G ) ) $.
    gsumsubmcl.f $e |- ( ph -> F : A --> S ) $.
    gsumsubmcl.w $e |- ( ph -> F finSupp .0. ) $.
    $( Closure of a group sum in a submonoid.  (Contributed by Mario Carneiro,
       10-Jan-2015.)  (Revised by Mario Carneiro, 24-Apr-2016.)  (Revised by
       AV, 3-Jun-2019.) $)
    gsumsubmcl $p |- ( ph -> ( G gsum F ) e. S ) $=
      ( ccntz cfv eqid ccmn wcel cmnd syl cmnmnd cbs csubmnd submss gsumzsubmcl
      wss fssd cntzcmnf ) ABCDEFGENOZHUIPZAEQRESRIEUATJKLABEUBOZDEUIUKPZUJIABCU
      KDLACEUCORCUKUFKUKCEULUDTUGUHMUE $.
  $}

  ${
    gsumsubgcl.z $e |- .0. = ( 0g ` G ) $.
    gsumsubgcl.g $e |- ( ph -> G e. Abel ) $.
    gsumsubgcl.a $e |- ( ph -> A e. V ) $.
    gsumsubgcl.s $e |- ( ph -> S e. ( SubGrp ` G ) ) $.
    gsumsubgcl.f $e |- ( ph -> F : A --> S ) $.
    gsumsubgcl.w $e |- ( ph -> F finSupp .0. ) $.
    $( Closure of a group sum in a subgroup.  (Contributed by Mario Carneiro,
       15-Dec-2014.)  (Revised by AV, 3-Jun-2019.) $)
    gsumsubgcl $p |- ( ph -> ( G gsum F ) e. S ) $=
      ( cabl wcel ccmn ablcmn syl csubg cfv csubmnd subgsubm gsumsubmcl ) ABCDE
      FGHAENOEPOIEQRJACESTOCEUATOKCEUBRLMUC $.
  $}

  ${
    $d f k n w x y z .+ $.  $d k x .0. $.  $d f k n w x y z F $.  $d f k x G $.
    $d k x A $.  $d k w x y z B $.  $d f k n w x y H $.  $d f k n w x y z ph $.
    $d x y S $.  $d x V $.  $d f k n w x y z W $.  $d k x Z $.
    gsumzadd.b $e |- B = ( Base ` G ) $.
    gsumzadd.0 $e |- .0. = ( 0g ` G ) $.
    gsumzadd.p $e |- .+ = ( +g ` G ) $.
    gsumzadd.z $e |- Z = ( Cntz ` G ) $.
    gsumzadd.g $e |- ( ph -> G e. Mnd ) $.
    gsumzadd.a $e |- ( ph -> A e. V ) $.
    gsumzadd.fn $e |- ( ph -> F finSupp .0. ) $.
    gsumzadd.hn $e |- ( ph -> H finSupp .0. ) $.
    ${
      gsumzaddlem.w $e |- W = ( ( F u. H ) supp .0. ) $.
      gsumzaddlem.f $e |- ( ph -> F : A --> B ) $.
      gsumzaddlem.h $e |- ( ph -> H : A --> B ) $.
      gsumzaddlem.1 $e |- ( ph -> ran F C_ ( Z ` ran F ) ) $.
      gsumzaddlem.2 $e |- ( ph -> ran H C_ ( Z ` ran H ) ) $.
      gsumzaddlem.3 $e |- ( ph ->
        ran ( F oF .+ H ) C_ ( Z ` ran ( F oF .+ H ) ) ) $.
      gsumzaddlem.4 $e |- ( ( ph /\ ( x C_ A /\ k e. ( A \ x ) ) ) ->
        ( F ` k ) e. ( Z ` { ( G gsum ( H |` x ) ) } ) ) $.
      $( The sum of two group sums.  (Contributed by Mario Carneiro,
         25-Apr-2016.)  (Revised by AV, 5-Jun-2019.) $)
      gsumzaddlem $p |- ( ph ->
        ( G gsum ( F oF .+ H ) ) = ( ( G gsum F ) .+ ( G gsum H ) ) ) $=
        ( vf vy vn vz vw c0 wceq cof co cgsu chash cfv cn wcel c1 cfz cv wex wa
        wf1o cmnd mndidcl syl mndlid syl2anc adantr cvv c0g fvexi a1i csupp cun
        cmpt fexd suppun sseqtrrdi gsumcllem gsumz eqtrd uncom oveq12d ad2antrr
        oveq2d ex ccom cseq mndcl 3expb sylan cuz wf wf1 wss f1of1 ad2antll cdm
        nnuz suppssdm fdmd eqtrdi ffvelrnda ffnd inidm fnfco eqidd ofval adantl
        fco wfn adantlr syldan seqcl ffvelrn syl2an cima cres cdif wral wi expr
        csn crn wb sseqtrid eqid gsumval3 eqcomd off sseq2d mpbird suppssr cfn
        oveq1i offval2 mpteq2dv 3eqtr4rd caovclg eleqtrdi uneq12d unidm eqtr2id
        simprl dmun 3sstr4d f1ss f1f ovexd ofco fveq1d cfzo caddc elfzouz fzss2
        elfzouz2 sselda fzofzp1 fvco3 fveq2 eleq1d wal ralrimiv alrimiv imassrn
        frnd sstrid vex imaex sseq1 difeq2 reseq2 sneqd fveq2d eleq2d raleqbidv
        imbi12d spcv sylc fzp1nel f1elima syl3anc mtbiri eldifd rspcdva eqeltrd
        fssresd resss rnssi cntzidss sylancl eleqtrrdi f1ores dmres inss1 sstrd
        cin df-ima eqimss2i cores ax-mp resco eqtr4i fveq1i fvres eqtrid eqtr2d
        seqfveq fvex elsn sylibr cntzi mnd4g seqcaopr3 ccnv eldifi sylan2 f1ofo
        wfo forn 3eqtrd suppss ovex suppimacnv mp2an 3eqtr4d exlimdv expimpd wo
        coex fsuppun eqeltrid fz1f1o mpjaod ) AKUNUOZHGIEUPZUQZURUQZHGURUQZHIUR
        UQZEUQZUOZKUSUTZVAVBZVCVUIVDUQZKUIVEZVHZUIVFZVGZAVUAVUHAVUAVGZLLEUQZLVU
        GVUDAVUQLUOZVUAAHVIVBZLDVBZVURRAVUSVUTRDHLNOVJVKZDEHLLNPOVLVMZVNZVUPVUE
        LVUFLEVUPVUEHBCLWAZURUQZLVUPGVVDHURACDVOBGJKLUCSLVOVBZALHVPOVQZVRZAGLVS
        UQZGIVTZLVSUQZKAGIVOLACDJIUDSWBWCZUBWDWEZWKAVVELUOZVUAAVUSCJVBZVVNRSCBH
        JLOWFVMVNZWGVUPVUFVVELVUPIVVDHURACDVOBIJKLUDSVVHAILVSUQZVVKKAVVQIGVTZLV
        SUQZVVKAIGVOLACDJGUCSWBWCZVVJVVRLVSGIWHUUAZWDUBWDWEZWKVVPWGWIVUPVUDVVEL
        VUPVUCVVDHURVUPVUCBCVUQWAVVDVUPBCLLEGIJDDAVVOVUASVNAVUTVUABVEZCVBZVVAWJ
        ZVWEVVMVWBUUBVUPBCVUQLVVCUUCWGWKVVPWGUUDWLAVUJVUNVUHAVUJVGVUMVUHUIAVUJV
        UMVUHAVUJVUMVGZVGZVUIEVUCVULWMZVCWNUTVUIEGVULWMZVCWNZUTZVUIEIVULWMZVCWN
        ZUTZEUQVUDVUGVWGBUJEEDFUKVWIVWLVWHVCVUIVWGULUMVWCUJVEDDDEVWGVUSULVEZDVB
        ZUMVEZDVBZVGVWOVWQEUQDVBZAVUSVWFRVNZVUSVWPVWRVWSDEHVWOVWQNPWOWPWQZUUEZV
        XBVWGVUIVAVCWRUTZAVUJVUMUUJZXEUUFVWGVUKDFVEZVWIVWGCDGWSZVUKCVULWSZVUKDV
        WIWSZAVXFVWFUCVNZVWGVUKCVULWTZVXGVWGVUKKVULWTZKCXAZVXJVUMVXKAVUJVUKKVUL
        XBXCAVXLVWFAVVKVVJXDZKCVVKVXMXAAVVJLXFVRKVVKUOAUBVRAVXMGXDZIXDZVTZCGIUU
        KAVXPCCVTCAVXNCVXOCACDGUCXGACDIUDXGUUGCUUHXHUUIUULVNVUKKCVULUUMVMZVUKCV
        ULUUNVKZVUKCDGVULXPVMZXIZVWGVUKDVXEVWLVWGCDIWSZVXGVUKDVWLWSZAVYAVWFUDVN
        ZVXRVUKCDIVULXPVMZXIZVWGVXEVUKVBZVGZVXEVWHUTZVXEVWIVWLVUBUQZUTZVXEVWIUT
        ZVXEVWLUTZEUQVWGVYHVYJUOVYFVWGVXEVWHVYIVWGCCCVUKEGIVULJJVOVWGCDGVXIXJZV
        WGCDIVYCXJZVXRAVVOVWFSVNZVYOVWGVCVUIVDUUOZCXKZUUPUUQVNVWGVUKVUKVYKVYLEV
        UKVWIVWLVOVOVXEVWGGCXQVXGVWIVUKXQVYMVXRCVUKGVULXLVMVWGICXQVXGVWLVUKXQVY
        NVXRCVUKIVULXLVMVYPVYPVUKXKVYGVYKXMVYGVYLXMXNWGVWGUKVEZVCVUIUURUQVBZVGZ
        DEHVYRVCUUSUQZVWLUTZVYRVWJUTVYRVWMUTZWUAVWIUTZNPAVUSVWFVYSRWJZVYTFBEDVW
        IVCVYRVYSVYRVXCVBVWGVYRVCVUIUUTXOZVYTVXEVCVYRVDUQZVBZVYFVYKDVBZVYTWUGVU
        KVXEVYTVUIVYRWRUTVBZWUGVUKXAZVYSWUJVWGVYRVCVUIUVBXOVYRVCVUIUVAVKZUVCZVW
        GVYFWUIVYSVXTXRXSVYTVUSVXEDVBZVWCDVBZVGZVXEVWCEUQDVBZWUEVUSWUNWUOWUQDEH
        VXEVWCNPWOWPZWQZXTVYTFBEDVWLVCVYRWUFVYTWUHVYFVYLDVBZWUMVWGVYFWUTVYSVYEX
        RXSWUSXTVWGVXHWUAVUKVBZWUDDVBVYSVXSVCVUIVYRUVDZVUKDWUAVWIYAYBVWGVYBWVAW
        UBDVBVYSVYDWVBVUKDWUAVWLYAYBVYTWUDWUCEUQZWUCWUDEUQZVYTWUDHIVULWUGYCZYDZ
        URUQZYIZMUTZVBWUCWVHVBZWVCWVDUOVYTWUDWUAVULUTZGUTZWVIVWGVXGWVAWUDWVLUOV
        YSVXRWVBVUKCWUAGVULUVEYBVYTVXEGUTZWVIVBZWVLWVIVBFCWVEYEZWVKVXEWVKUOWVMW
        VLWVIVXEWVKGUVFUVGVYTVWCCXAZWVMHIVWCYDZURUQZYIZMUTZVBZFCVWCYEZYFZYGZBUV
        HZWVECXAZWVNFWVOYFZAWWEVWFVYSAWWDBAWVPWWCAWVPVGWWAFWWBAWVPVXEWWBVBWWAUH
        YHUVIWLUVJWJVYTWVEVULYJZCVULWUGUVKVYTVUKCVULVWGVXGVYSVXRVNUVLUVMZWWDWWF
        WWGYGBWVEVULWUGUIUVNZUVOZVWCWVEUOZWVPWWFWWCWWGVWCWVECUVPWWLWWAWVNFWWBWV
        OVWCWVECUVQWWLWVTWVIWVMWWLWVSWVHMWWLWVRWVGWWLWVQWVFHURVWCWVEIUVRWKUVSUV
        TUWAUWBUWCUWDUWEVYTWVKCWVEVWGVXGWVAWVKCVBVYSVXRWVBVUKCWUAVULYAYBVYTWVKW
        VEVBZWUAWUGVBZVCVYRUWFVYTVXJWVAWUKWWMWWNYKVWGVXJVYSVXQVNZVYSWVAVWGWVBXO
        WULVUKCVULWUAWUGUWGUWHUWIUWJUWKUWLVYTWUCWVGUOWVJVYTWVGVYREWVFVULWUGYDZW
        MZVCWNUTWUCVYTWVEDEWVFHWWPVYRVOWWQLVSUQZLMNOPQWUEWVEVOVBVYTWWKVRVYTCDWV
        EIAVYAVWFVYSUDWJWWIUWMVYTIYJZWWSMUTXAZWVFYJZWWSXAWXAWXAMUTXAAWWTVWFVYSU
        FWJWVFIIWVEUWNUWOWWSWXAHMQUWPUWQVYTVYRVXCVAWUFXEUWRVYTWUGWVEWWPVHZWUGWV
        EWWPWTVYTVXJWUKWXBWWOWULVUKCWUGVULUWSVMWUGWVEWWPXBVKVYTWVFLVSUQZWVEVXOU
        XCZWWPYJZVYTWVFXDZWXCWXDWVFLXFWXFWXDUOVYTIWVEUWTVRYLVYTWVEWXDWXEWVEVXOU
        XAWVEWXEUOVYTVULWUGUXDZVRYLUXBWWRYMYNVYTEFWWQVWLVCVYRWUFWUHVXEWWQUTZVYL
        UOVYTWUHWXHVXEVWLWUGYDZUTVYLVXEWWQWXIWWQIWWPWMZWXIWXEWVEXAWWQWXJUOWVEWX
        EWXGUXEIWWPWVEUXFUXGIVULWUGUXHUXIUXJVXEWUGVWLUXKUXLXOUXNUXMWUCWVGVYRVWM
        UXOUXPUXQEWVHHWUDWUCMPQUXRVMYOUXSUXTVWGCDEVUCHVULVUIJVWHUYAVOLYIYEYCZLM
        NOPQVWTVYOVWGULUMCCCEDDDGIJJVXAVXIVYCVYOVYOVYQYPAVUCYJZWXLMUTXAVWFUGVNV
        XDVXQVWGCDBVUCWWHLVWGFBCCCEDDDGIJJVWGVUSWUPWUQVWTWURWQVXIVYCVYOVYOVYQYP
        VWGVWCCWWHYEVBZVGZVWCVUCUTZVWCGUTZVWCIUTZEUQZVUQLWXMVWGVWDWXOWXRUOVWCCW
        WHUYBVWGCCWXPWXQECGIJJVWCVYMVYNVYOVYOVYQVWGVWDVGZWXPXMWXSWXQXMXNUYCWXNW
        XPLWXQLEVWGCDVOGJWWHVWCLVXIVWGVVIWWHXAZVVIVVKXAZAWYAVWFVVLVNVUMWXTWYAYK
        AVUJVUMWWHVVKVVIVUMWWHKVVKVUMVUKKVULUYEWWHKUOVUKKVULUYDVUKKVULUYFVKUBXH
        ZYQXCYRZVYOVVFVWGVVGVRZYSVWGCDVOIJWWHVWCLVYCVWGVVQWWHXAZVVQVVKXAZVWGVVQ
        VVSVVKAVVQVVSXAVWFVVTVNVWAWDVUMWYEWYFYKAVUJVUMWWHVVKVVQWYBYQXCYRZVYOWYD
        YSWIAVURVWFWXMVVBWJUYGUYHVWHVOVBZVVFWXKVWHLVSUQZUOVUCVULGIVUBUYIWWJUYPV
        VGWYHVVFVGWYIWXKVWHVOVOLUYJYOUYKYNVWGVUEVWKVUFVWNEVWGCDEGHVULVUIJVWILVS
        UQZLMNOPQVWTVYOVXIAGYJZWYKMUTXAVWFUEVNVXDVXQWYCWYJYMYNVWGCDEIHVULVUIJVW
        LLVSUQZLMNOPQVWTVYOVYCAWWTVWFUFVNVXDVXQWYGWYLYMYNWIUYLYHUYMUYNAKYTVBVUA
        VUOUYOAKVVKYTUBAGILTUAUYQUYRKUIUYSVKUYT $.
    $}

    gsumzadd.s $e |- ( ph -> S e. ( SubMnd ` G ) ) $.
    gsumzadd.c $e |- ( ph -> S C_ ( Z ` S ) ) $.
    gsumzadd.f $e |- ( ph -> F : A --> S ) $.
    gsumzadd.h $e |- ( ph -> H : A --> S ) $.
    $( The sum of two group sums.  (Contributed by Mario Carneiro,
       25-Apr-2016.)  (Revised by AV, 5-Jun-2019.) $)
    gsumzadd $p |- ( ph ->
      ( G gsum ( F oF .+ H ) ) = ( ( G gsum F ) .+ ( G gsum H ) ) ) $=
      ( vx vk vy cun csupp co eqid csubmnd cfv wcel wss submss syl crn cntzidss
      fssd frnd syl2anc cof cv wa submcl 3expb sylan inidm off cdif cres adantr
      cgsu csn cvv cmnd vex a1i wf simpl fssres syl2an resss sylancl cfsupp wbr
      rnssi wfun cfn ffund funresd fsuppimpd fexd c0g fvexi ressuppss resfunexg
      ssfid wb isfsupp mpbir2and gsumzsubmcl snssd cntz2ss sstrd eldifi ffvelrn
      adantl sseldd gsumzaddlem ) AUDBCDUEFGHIFHUGJUHUIZJKLMNOPQRSXKUJABECFUBAE
      GUKULUMZECUNZTCEGLUOUPZUSABECHUCXNUSAEEKULZUNZFUQZEUNXQXQKULUNUAABEFUBUTE
      XQGKOURVAAXPHUQZEUNXRXRKULUNZUAABEHUCUTEXRGKOURVAZAXPFHDVBUIZUQZEUNYBYBKU
      LUNUAABEYAAUDUFBBBDEEEFHIIAXLUDVCZEUMZUFVCZEUMZVDYCYEDUIEUMZTXLYDYFYGDEGY
      CYENVEVFVGUBUCQQBVHVIUTEYBGKOURVAAYCBUNZUEVCZBYCVJUMZVDZVDZEGHYCVKZVMUIZV
      NZKULZYIFULZYLEXOYPAXPYKUAVLYLXMYOEUNXOYPUNAXMYKXNVLYLYNEYLYCEYMGVOJKMOAG
      VPUMYKPVLYCVOUMZYLUDVQZVRAXLYKTVLABEHVSYHYCEYMVSYKUCYHYJVTBEYCHWAWBYLXSYM
      UQZXRUNYTYTKULUNAXSYKXTVLYMHHYCWCWGXRYTGKOURWDYLYMJWEWFZYMWHZYMJUHUIZWIUM
      ZAUUBYKAYCHABEHUCWJZWKVLYLHJUHUIZUUCAUUFWIUMYKAHJSWLVLAUUCUUFUNZYKAHVOUMJ
      VOUMZUUGABEIHUCQWMJGWNMWOZYCHVOVOJWPWDVLWRAUUAUUBUUDVDWSZYKAYMVOUMZUUHUUJ
      AHWHYRUUKUUEYSHYCVOWQWDUUIYMVOVOJWTWDVLXAXBXCCEYOGKLOXDVAXEABEFVSYIBUMZYQ
      EUMYKUBYJUULYHYIBYCXFXHBEYIFXGWBXIXJ $.
  $}

  ${
    gsumadd.b $e |- B = ( Base ` G ) $.
    gsumadd.z $e |- .0. = ( 0g ` G ) $.
    gsumadd.p $e |- .+ = ( +g ` G ) $.
    gsumadd.g $e |- ( ph -> G e. CMnd ) $.
    gsumadd.a $e |- ( ph -> A e. V ) $.
    gsumadd.f $e |- ( ph -> F : A --> B ) $.
    gsumadd.h $e |- ( ph -> H : A --> B ) $.
    gsumadd.fn $e |- ( ph -> F finSupp .0. ) $.
    gsumadd.hn $e |- ( ph -> H finSupp .0. ) $.
    $( The sum of two group sums.  (Contributed by Mario Carneiro,
       19-Dec-2014.)  (Revised by Mario Carneiro, 25-Apr-2016.)  (Revised by
       AV, 5-Jun-2019.) $)
    gsumadd $p |- ( ph ->
      ( G gsum ( F oF .+ H ) ) = ( ( G gsum F ) .+ ( G gsum H ) ) ) $=
      ( cfv wcel eqid ccmn cmnd cmnmnd syl csubmnd submid ssid wss wceq cntzcmn
      ccntz sylancl sseqtrrid gsumzadd ) ABCDCEFGHIFULSZJKLUPUAZAFUBTZFUCTZMFUD
      UEZNQRAUSCFUFSTUTCFJUGUEACCCUPSZCUHZAURCCUIVACUJMVBCCFUPJUQUKUMUNOPUO $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.  $d .+ x $.
    gsummptfsadd.b $e |- B = ( Base ` G ) $.
    gsummptfsadd.z $e |- .0. = ( 0g ` G ) $.
    gsummptfsadd.p $e |- .+ = ( +g ` G ) $.
    gsummptfsadd.g $e |- ( ph -> G e. CMnd ) $.
    gsummptfsadd.a $e |- ( ph -> A e. V ) $.
    gsummptfsadd.c $e |- ( ( ph /\ x e. A ) -> C e. B ) $.
    gsummptfsadd.d $e |- ( ( ph /\ x e. A ) -> D e. B ) $.
    gsummptfsadd.f $e |- ( ph -> F = ( x e. A |-> C ) ) $.
    gsummptfsadd.h $e |- ( ph -> H = ( x e. A |-> D ) ) $.
    gsummptfsadd.w $e |- ( ph -> F finSupp .0. ) $.
    gsummptfsadd.v $e |- ( ph -> H finSupp .0. ) $.
    $( The sum of two group sums expressed as mappings.  (Contributed by AV,
       4-Apr-2019.)  (Revised by AV, 9-Jul-2019.) $)
    gsummptfsadd $p |- ( ph -> ( G gsum ( x e. A |-> ( C .+ D ) ) )
                             = ( ( G gsum F ) .+ ( G gsum H ) ) ) $=
      ( co cmpt cgsu cof offval2 eqcomd oveq2d fmpt3d gsumadd eqtrd ) AIBCEFGUD
      UEZUFUDIHJGUGUDZUFUDIHUFUDIJUFUDGUDAUNUOIUFAUOUNABCEFGHJKDDQRSTUAUHUIUJAC
      DGHIJKLMNOPQABCEDHTRUKABCFDJUASUKUBUCULUM $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.  $d .+ x $.
    gsummptfidmadd.b $e |- B = ( Base ` G ) $.
    gsummptfidmadd.p $e |- .+ = ( +g ` G ) $.
    gsummptfidmadd.g $e |- ( ph -> G e. CMnd ) $.
    gsummptfidmadd.a $e |- ( ph -> A e. Fin ) $.
    gsummptfidmadd.c $e |- ( ( ph /\ x e. A ) -> C e. B ) $.
    gsummptfidmadd.d $e |- ( ( ph /\ x e. A ) -> D e. B ) $.
    gsummptfidmadd.f $e |- F = ( x e. A |-> C ) $.
    gsummptfidmadd.h $e |- H = ( x e. A |-> D ) $.
    $( The sum of two group sums expressed as mappings with finite domain.
       (Contributed by AV, 23-Jul-2019.) $)
    gsummptfidmadd $p |- ( ph -> ( G gsum ( x e. A |-> ( C .+ D ) ) )
                             = ( ( G gsum F ) .+ ( G gsum H ) ) ) $=
      ( c0g cmpt cfn cfv eqid wceq a1i cvv fvexd fsuppmptdm gsummptfsadd ) ABCD
      EFGHIJUAISUBZKUJUCLMNOPHBCETUDAQUEJBCFTUDARUEABCHDUFEUJQNOAISUGZUHABCJDUF
      FUJRNPUKUHUI $.

    $( The sum of two group sums expressed as mappings with finite domain,
       using a function operation.  (Contributed by AV, 23-Jul-2019.) $)
    gsummptfidmadd2 $p |- ( ph ->
      ( G gsum ( F oF .+ H ) ) = ( ( G gsum F ) .+ ( G gsum H ) ) ) $=
      ( co cgsu cof cmpt cfn wceq a1i offval2 oveq2d gsummptfidmadd eqtrd ) AIH
      JGUASZTSIBCEFGSUBZTSIHTSIJTSGSAUJUKITABCEFGHJUCDDNOPHBCEUBUDAQUEJBCFUBUDA
      RUEUFUGABCDEFGHIJKLMNOPQRUHUI $.
  $}

  ${
    $d k .+ $.  $d k .0. $.  $d k A $.  $d k B $.  $d k C $.  $d k ph $.
    $d k D $.  $d k F $.  $d k G $.
    gsumzsplit.b $e |- B = ( Base ` G ) $.
    gsumzsplit.0 $e |- .0. = ( 0g ` G ) $.
    gsumzsplit.p $e |- .+ = ( +g ` G ) $.
    gsumzsplit.z $e |- Z = ( Cntz ` G ) $.
    gsumzsplit.g $e |- ( ph -> G e. Mnd ) $.
    gsumzsplit.a $e |- ( ph -> A e. V ) $.
    gsumzsplit.f $e |- ( ph -> F : A --> B ) $.
    gsumzsplit.c $e |- ( ph -> ran F C_ ( Z ` ran F ) ) $.
    gsumzsplit.w $e |- ( ph -> F finSupp .0. ) $.
    gsumzsplit.i $e |- ( ph -> ( C i^i D ) = (/) ) $.
    gsumzsplit.u $e |- ( ph -> A = ( C u. D ) ) $.
    $( Split a group sum into two parts.  (Contributed by Mario Carneiro,
       25-Apr-2016.)  (Revised by AV, 5-Jun-2019.) $)
    gsumzsplit $p |- ( ph -> ( G gsum F ) =
      ( ( G gsum ( F |` C ) ) .+ ( G gsum ( F |` D ) ) ) ) $=
      ( vk cv wcel cfv cif cmpt cof co cgsu cres crn csubmnd cmrc cvv c0g fvexi
      a1i fsuppmptif cmre cmnd cacs submacs acsmre 3syl frnd eqid mrccl syl2anc
      wss cress ccmn cntzspan wb submcmn2 syl mpbid wa mrcssidd adantr wfn ffnd
      fnfvelrn sylan sseldd subm0cl ifcld fmpttd gsumzadd feqmptd iftrue adantl
      wceq wn wi cin c0 noel eleq2 mtbiri elin sylnib imnan sylibr imp iffalsed
      oveq12d ffvelrnda mndrid syl2an2r eqtrd con2d mndlid wo cun eleq2d bitrdi
      elun biimpa mpjaodan mpteq2dva eqtr4d mndidcl eqidd offval2 reseq1d ssun1
      oveq2d sseqtrrid mpteq2ia resmpt 3eqtr4a cntzidss eldifn suppss2 gsumzres
      cdif ssun2 3eqtr4d ) AHUCBUCUDZDUEZUUAGUFZJUGZUHZUCBUUAEUEZUUCJUGZUHZFUIU
      JZUKUJHUUEUKUJZHUUHUKUJZFUJHGUKUJHGDULZUKUJZHGEULZUKUJZFUJABCFGUMZHUNUFZU
      OUFZUFZUUEHUUHIJKLMNOPQABCDUCGIUPJRQJUPUEAJHUQMURUSZTUTZABCEUCGIUPJRQUUTT
      UTZAUUQCVAUFUEZUUPCVKUUSUUQUEZAHVBUEZUUQCVCUFUEUVCPCHLVDUUQCVEVFZABCGRVGZ
      UUQUUPUURCUURVHZVIVJZAHUUSVLUJZVMUEZUUSUUSKUFVKZAUVEUUPUUPKUFVKUVKPSUUPHU
      VJUURKOUVHUVJVHZVNVJAUVDUVKUVLVOUVIUUSHUVJKUVMOVPVQVRZAUCBUUDUUSAUUABUEZV
      SZUUBUUCJUUSUVPUUPUUSUUCAUUPUUSVKUVOAUUQUUPUURCUVFUVHUVGVTWAAGBWBUVOUUCUU
      PUEABCGRWCBUUAGWDWEWFZAJUUSUEZUVOAUVDUVRUVIUUSHJMWGVQWAZWHWIZAUCBUUGUUSUV
      PUUFUUCJUUSUVQUVSWHWIZWJAGUUIHUKAGUCBUUDUUGFUJZUHZUUIAGUCBUUCUHZUWCAUCBCG
      RWKZAUCBUWBUUCUVPUUBUWBUUCWNUUFUVPUUBVSZUWBUUCJFUJZUUCUWFUUDUUCUUGJFUUBUU
      DUUCWNUVPUUBUUCJWLZWMUWFUUFUUCJUVPUUBUUFWOZUVPUUBUUFVSZWOUUBUWIWPUVPUUADE
      WQZUEZUWJAUWLWOZUVOAUWKWRWNZUWMUAUWNUWLUUAWRUEUUAWSUWKWRUUAWTXAVQWAUUADEX
      BXCUUBUUFXDXEZXFXGXHUVPUWGUUCWNZUUBAUVEUVOUUCCUEZUWPPABCUUAGRXIZCFHUUCJLN
      MXJXKWAXLUVPUUFVSZUWBJUUCFUJZUUCUWSUUDJUUGUUCFUWSUUBUUCJUVPUUFUUBWOZUVPUU
      BUUFUWOXMXFXGUUFUUGUUCWNUVPUUFUUCJWLZWMXHUVPUWTUUCWNZUUFAUVEUVOUWQUXCPUWR
      CFHUUCJLNMXNXKWAXLAUVOUUBUUFXOZAUVOUUADEXPZUEUXDABUXEUUAUBXQUUADEXSXRXTYA
      YBYCAUCBUUDUUGFUUEUUHICCQUVPUUBUUCJCUWRAJCUEZUVOAUVEUXFPCHJLMYDVQWAZWHZUV
      PUUFUUCJCUWRUXGWHZAUUEYEAUUHYEYFYCYIAUUMUUJUUOUUKFAUUMHUUEDULZUKUJUUJAUUL
      UXJHUKAUULUWDDULZUXJAGUWDDUWEYGADBVKZUXJUXKWNAUXEDBDEYHUBYJUXLUCDUUDUHUCD
      UUCUHUXJUXKUCDUUDUUCUWHYKUCBDUUDYLUCBDUUCYLYMVQYCYIABCUUEHIDJKLMOPQAUCBUU
      DCUXHWIAUVLUUEUMZUUSVKUXMUXMKUFVKUVNABUUSUUEUVTVGUUSUXMHKOYNVJABUUDUCIDJA
      UUABDYRUEZVSUUBUUCJUXNUXAAUUABDYOWMXGQYPUVAYQXLAUUOHUUHEULZUKUJUUKAUUNUXO
      HUKAUUNUWDEULZUXOAGUWDEUWEYGAEBVKZUXOUXPWNAUXEEBEDYSUBYJUXQUCEUUGUHUCEUUC
      UHUXOUXPUCEUUGUUCUXBYKUCBEUUGYLUCBEUUCYLYMVQYCYIABCUUHHIEJKLMOPQAUCBUUGCU
      XIWIAUVLUUHUMZUUSVKUXRUXRKUFVKUVNABUUSUUHUWAVGUUSUXRHKOYNVJABUUGUCIEJAUUA
      BEYRUEZVSUUFUUCJUXSUWIAUUABEYOWMXGQYPUVBYQXLXHYT $.
  $}

  ${
    gsumsplit.b $e |- B = ( Base ` G ) $.
    gsumsplit.z $e |- .0. = ( 0g ` G ) $.
    gsumsplit.p $e |- .+ = ( +g ` G ) $.
    gsumsplit.g $e |- ( ph -> G e. CMnd ) $.
    gsumsplit.a $e |- ( ph -> A e. V ) $.
    gsumsplit.f $e |- ( ph -> F : A --> B ) $.
    gsumsplit.w $e |- ( ph -> F finSupp .0. ) $.
    gsumsplit.i $e |- ( ph -> ( C i^i D ) = (/) ) $.
    gsumsplit.u $e |- ( ph -> A = ( C u. D ) ) $.
    $( Split a group sum into two parts.  (Contributed by Mario Carneiro,
       19-Dec-2014.)  (Revised by AV, 5-Jun-2019.) $)
    gsumsplit $p |- ( ph -> ( G gsum F ) =
      ( ( G gsum ( F |` C ) ) .+ ( G gsum ( F |` D ) ) ) ) $=
      ( wcel ccntz cfv eqid ccmn cmnd cmnmnd syl cntzcmnf gsumzsplit ) ABCDEFGH
      IJHUAUBZKLMUJUCZAHUDTHUETNHUFUGOPABCGHUJKUKNPUHQRSUI $.
  $}

  ${
    $d k A $.  $d k B $.  $d k C $.  $d k D $.  $d k ph $.
    gsumsplit2.b $e |- B = ( Base ` G ) $.
    gsumsplit2.z $e |- .0. = ( 0g ` G ) $.
    gsumsplit2.p $e |- .+ = ( +g ` G ) $.
    gsumsplit2.g $e |- ( ph -> G e. CMnd ) $.
    gsumsplit2.a $e |- ( ph -> A e. V ) $.
    gsumsplit2.f $e |- ( ( ph /\ k e. A ) -> X e. B ) $.
    gsumsplit2.w $e |- ( ph -> ( k e. A |-> X ) finSupp .0. ) $.
    gsumsplit2.i $e |- ( ph -> ( C i^i D ) = (/) ) $.
    gsumsplit2.u $e |- ( ph -> A = ( C u. D ) ) $.
    $( Split a group sum into two parts.  (Contributed by Mario Carneiro,
       19-Dec-2014.)  (Revised by AV, 5-Jun-2019.) $)
    gsumsplit2 $p |- ( ph -> ( G gsum ( k e. A |-> X ) ) =
      ( ( G gsum ( k e. C |-> X ) ) .+ ( G gsum ( k e. D |-> X ) ) ) ) $=
      ( cmpt cgsu co cres fmpttd gsumsplit ssun1 sseqtrrid resmptd oveq2d ssun2
      cun oveq12d eqtrd ) AHGBJUAZUBUCHUODUDZUBUCZHUOEUDZUBUCZFUCHGDJUAZUBUCZHG
      EJUAZUBUCZFUCABCDEFUOHIKLMNOPAGBJCQUERSTUFAUQVAUSVCFAUPUTHUBAGBDJADEULZDB
      DEUGTUHUIUJAURVBHUBAGBEJAVDEBEDUKTUHUIUJUMUN $.
  $}

  ${
    $d k A $.  $d k B $.  $d k C $.  $d k D $.  $d k ph $.
    gsummptfidmsplit.b $e |- B = ( Base ` G ) $.
    gsummptfidmsplit.p $e |- .+ = ( +g ` G ) $.
    gsummptfidmsplit.g $e |- ( ph -> G e. CMnd ) $.
    gsummptfidmsplit.a $e |- ( ph -> A e. Fin ) $.
    gsummptfidmsplit.y $e |- ( ( ph /\ k e. A ) -> Y e. B ) $.
    gsummptfidmsplit.i $e |- ( ph -> ( C i^i D ) = (/) ) $.
    gsummptfidmsplit.u $e |- ( ph -> A = ( C u. D ) ) $.
    $( Split a group sum expressed as mapping with a finite domain into two
       parts.  (Contributed by AV, 23-Jul-2019.) $)
    gsummptfidmsplit $p |- ( ph -> ( G gsum ( k e. A |-> Y ) )
                                    = ( ( G gsum ( k e. C |-> Y ) )
                                        .+ ( G gsum ( k e. D |-> Y ) ) ) ) $=
      ( cfn c0g cfv eqid cmpt cvv fvexd fsuppmptdm gsumsplit2 ) ABCDEFGHQIHRSZJ
      UFTKLMNAGBGBIUAZCUBIUFUGTMNAHRUCUDOPUE $.

    gsummptfidmsplitres.f $e |- F = ( k e. A |-> Y ) $.
    $( Split a group sum expressed as mapping with a finite domain into two
       parts using restrictions.  (Contributed by AV, 23-Jul-2019.) $)
    gsummptfidmsplitres $p |- ( ph -> ( G gsum F )
                                      = ( ( G gsum ( F |` C ) )
                                          .+ ( G gsum ( F |` D ) ) ) ) $=
      ( cfn c0g cfv eqid fmptd cvv fvexd fsuppmptdm gsumsplit ) ABCDEFHISITUAZK
      UHUBLMNAGBJCHORUCAGBHCUDJUHRNOAITUEUFPQUG $.
  $}

  ${
    $d B k $.  $d N k $.  $d ph k $.
    gsummptfzsplit.b $e |- B = ( Base ` G ) $.
    gsummptfzsplit.p $e |- .+ = ( +g ` G ) $.
    gsummptfzsplit.g $e |- ( ph -> G e. CMnd ) $.
    gsummptfzsplit.n $e |- ( ph -> N e. NN0 ) $.
    ${
      gsummptfzsplit.y $e |- ( ( ph /\ k e. ( 0 ... ( N + 1 ) ) )
                               -> Y e. B ) $.
      $( Split a group sum expressed as mapping with a finite set of sequential
         integers as domain into two parts, extracting a singleton from the
         right.  (Contributed by AV, 25-Oct-2019.) $)
      gsummptfzsplit $p |- ( ph
                         -> ( G gsum ( k e. ( 0 ... ( N + 1 ) ) |-> Y ) )
                            = ( ( G gsum ( k e. ( 0 ... N ) |-> Y ) )
                              .+ ( G gsum ( k e. { ( N + 1 ) } |-> Y ) ) ) ) $=
        ( cc0 c1 caddc co cfz csn wceq wcel cin c0 fzp1disj a1i cuz cfv cun cn0
        fzfid elnn0uz sylib fzsuc syl gsummptfidmsplit ) AMFNOPZQPZBMFQPZUORZCD
        EGHIJAMUOUILUQURUAUBSAMFUCUDAFMUEUFTZUPUQURUGSAFUHTUSKFUJUKMFULUMUN $.
    $}

    gsummptfzsplitl.y $e |- ( ( ph /\ k e. ( 0 ... N ) ) -> Y e. B ) $.
    $( Split a group sum expressed as mapping with a finite set of sequential
       integers as domain into two parts, , extracting a singleton from the
       left.  (Contributed by AV, 7-Nov-2019.) $)
    gsummptfzsplitl $p |- ( ph -> ( G gsum ( k e. ( 0 ... N ) |-> Y ) )
                            = ( ( G gsum ( k e. ( 1 ... N ) |-> Y ) )
                              .+ ( G gsum ( k e. { 0 } |-> Y ) ) ) ) $=
      ( cc0 cfz co c1 cin c0 wceq cun csn fzfid caddc incom 1e0p1 oveq1i ineq2d
      a1i cn0 wcel cuz elnn0uz biimpi fzpreddisj 3syl 3eqtrd fzpred uncom 0p1e1
      cfv uneq1i eqtri eqtrdi gsummptfidmsplit ) AMFNOZBPFNOZMUAZCDEGHIJAMFUBLA
      VFVGQZVGVFQZVGMPUCOZFNOZQZRVHVISAVFVGUDUHAVFVKVGVFVKSAPVJFNUEUFUHUGAFUIUJ
      ZFMUKUTUJZVLRSKVMVNFULUMZMFUNUOUPAVEVGVKTZVFVGTZAVMVNVEVPSKVOMFUQUOVPVKVG
      TVQVGVKURVKVFVGVJPFNUSUFVAVBVCVD $.
  $}

  ${
    $d f k x A $.  $d f k x B $.  $d f k x G $.  $d f .x. $.  $d f k x X $.
    gsumconst.b $e |- B = ( Base ` G ) $.
    gsumconst.m $e |- .x. = ( .g ` G ) $.
    $( Sum of a constant series.  (Contributed by Mario Carneiro, 19-Dec-2014.)
       (Revised by Mario Carneiro, 24-Apr-2016.) $)
    gsumconst $p |- ( ( G e. Mnd /\ A e. Fin /\ X e. B ) ->
      ( G gsum ( k e. A |-> X ) ) = ( ( # ` A ) .x. X ) ) $=
      ( vf vx wcel c0 wceq co cfv cn c1 wa eqid syl cmnd cfn w3a cmpt chash cfz
      cgsu cv wf1o wex cc0 simpl3 mulg0 fveq2 adantl hash0 eqtrdi oveq1d mpteq1
      c0g mpt0 oveq2d gsum0 3eqtr4rd ex cplusg ccom csn cxp cuz simprl eleqtrdi
      cseq nnuz simpr adantr fvmpt2 syl2anc wf ad2antll ffvelrnda feqmptd eqidd
      fmptco fveq1d elfznn fvconst2g syl2an 3eqtr4d seqfveq csupp simpl1 simpl2
      f1of ccntz fmpttd wss crn wb elcntzsn mpbir2and snssd snidg frnd cntzidss
      wf1 f1of1 cdm suppssdm dmmptss sstrid f1ofo forn sseqtrrd gsumval3 mulgnn
      a1i wfo expr exlimdv expimpd wo fz1f1o 3ad2ant2 mpjaod ) EUAKZAUBKZFBKZUC
      ZALMZEDAFUDZUGNZAUEOZFCNZMZYMPKZQYMUFNZAIUHZUIZIUJZRZYIYJYOYIYJRZUKFCNZEU
      TOZYNYLUUBYHUUCUUDMYFYGYHYJULBCEFUUDGUUDSZHUMTUUBYMUKFCUUBYMLUEOZUKYJYMUU
      FMYIALUEUNUOUPUQURUUBYLELUGNUUDUUBYKLEUGUUBYKDLFUDZLYJYKUUGMYIDALFUSUODFV
      AUQVBEUUDUUEVCUQVDVEYIYPYTYOYIYPRYSYOIYIYPYSYOYIYPYSRZRZYMEVFOZYKYRVGZQVM
      OYMUUJPFVHZVIZQVMZOZYLYNUUIUUJJUUKUUMQYMUUIYMPQVJOYIYPYSVKZVNVLUUIJUHZYQK
      ZRZUUQJYQFUDZOZFUUQUUKOZUUQUUMOZUUSUURYHUVAFMUUIUURVOUUIYHUURYFYGYHUUHULZ
      VPJYQFBUUTUUTSVQVRUUIUVBUVAMUURUUIUUQUUKUUTUUIJDYQAUUQYROZFFYRYKUUIYQAUUQ
      YRYSYQAYRVSYIYPYQAYRWNVTZWAUUIJYQAYRUVFWBUUIYKWCDUHZUVEMFWCWDWEVPUUIYHUUQ
      PKUVCFMUURUVDUUQYMWFPFUUQBWGWHWIWJUUIABUUJYKEYRYMUBUUKUUDWKNZUUDEWOOZGUUE
      UUJSZUVISZYFYGYHUUHWLYFYGYHUUHWMUUIDAFBUUIYHUVGAKZUVDVPWPUUIUULUULUVIOZWQ
      YKWRZUULWQUVNUVNUVIOWQUUIFUVMUUIFUVMKZYHFFUUJNZUVPMZUVDUUIUVPWCUUIYHUVOYH
      UVQRWSUVDBUUJEFFUVIGUVJUVKWTTXAXBUUIAUULYKUUIDAFUULUUIFUULKZUVLUUIYHUVRUV
      DFBXCTVPWPXDUULUVNEUVIUVKXEVRUUPYSYQAYRXFYIYPYQAYRXGVTUUIYKUUDWKNZAYRWRZU
      UIUVSYKXHZAYKUUDXIUWAAWQUUIDAFYKYKSXJXQXKYSUVTAMZYIYPYSYQAYRXRUWBYQAYRXLY
      QAYRXMTVTXNUVHSXOUUIYPYHYNUUOMUUPUVDBUUJUUNCEYMFGUVJHUUNSXPVRWIXSXTYAYGYF
      YJUUAYBYHAIYCYDYE $.
  $}

  ${
    $d k l A $.  $d l B $.  $d l G $.  $d l X $.
    gsumconstf.k $e |- F/_ k X $.
    gsumconstf.b $e |- B = ( Base ` G ) $.
    gsumconstf.m $e |- .x. = ( .g ` G ) $.
    $( Sum of a constant series.  (Contributed by Thierry Arnoux,
       5-Jul-2017.) $)
    gsumconstf $p |- ( ( G e. Mnd /\ A e. Fin /\ X e. B ) ->
      ( G gsum ( k e. A |-> X ) ) = ( ( # ` A ) .x. X ) ) $=
      ( vl cmnd wcel cfn w3a cmpt cgsu co chash cfv nfcv eqidd cbvmpt gsumconst
      weq oveq2i eqtrid ) EKLAMLFBLNEDAFOZPQEJAFOZPQARSFCQUGUHEPDJAFFJFTGDJUDFU
      AUBUEABCJEFHIUCUF $.
  $}

  ${
    $d k A $.  $d j B $.  $d j C $.  $d j k K $.  $d j k M $.  $d j k N $.
    $d j k ph $.
    gsummptshft.b $e |- B = ( Base ` G ) $.
    gsummptshft.z $e |- .0. = ( 0g ` G ) $.
    gsummptshft.g $e |- ( ph -> G e. CMnd ) $.
    gsummptshft.k $e |- ( ph -> K e. ZZ ) $.
    gsummptshft.m $e |- ( ph -> M e. ZZ ) $.
    gsummptshft.n $e |- ( ph -> N e. ZZ ) $.
    gsummptshft.a $e |- ( ( ph /\ j e. ( M ... N ) ) -> A e. B ) $.
    gsummptshft.c $e |- ( j = ( k - K ) -> A = C ) $.
    $( Index shift of a finite group sum over a finite set of sequential
       integers.  (Contributed by AV, 24-Aug-2019.) $)
    gsummptshft $p |- ( ph -> ( G gsum ( j e. ( M ... N ) |-> A ) )
                   = ( G gsum ( k e. ( ( M + K ) ... ( N + K ) ) |-> C ) ) ) $=
      ( wcel cfz co cmpt cgsu caddc cmin ccom cvv ovexd fmpttd eqid fzfid fvexi
      cv c0g fsuppmptdm mptfzshft gsumf1o wa cc wceq elfzelz zcnd npcan syl2anr
      a1i simpr eqeltrd cz wb jca adantr adantl zsubcld fzaddel syl12anc mpbird
      eqidd fmptco oveq2d eqtrd ) AGEIJUAUBZBUCZUDUBGWCFIHUEUBZJHUEUBZUAUBZFUNZ
      HUFUBZUCZUGZUDUBGFWFDUCZUDUBAWBCWFWCGWIUHKLMNAIJUAUIAEWBBCRUJAEWBWCCUHBKW
      CUKAIJULRKUHTAKGUOMUMVFUPAFHIJOPQUQURAWJWKGUDAFEWFWBWHBDWIWCAWGWFTZUSZWHW
      BTZWHHUEUBZWFTZWMWOWGWFWLWGUTTHUTTWOWGVAAWLWGWGWDWEVBZVCAHOVCWGHVDVEAWLVG
      VHWMIVITZJVITZUSZWHVITHVITZWNWPVJAWTWLAWRWSPQVKVLWMWGHWLWGVITAWQVMAXAWLOV
      LZVNXBWHHIJVOVPVQAWIVRAWCVRSVSVTWA $.
  $}

  ${
    $d k A $.  $d k x y B $.  $d f k x y F $.  $d f k x y G $.  $d f k x y H $.
    $d f k x y .0. $.  $d f k x y K $.  $d f k x y ph $.  $d k V $.
    gsumzmhm.b $e |- B = ( Base ` G ) $.
    gsumzmhm.z $e |- Z = ( Cntz ` G ) $.
    gsumzmhm.g $e |- ( ph -> G e. Mnd ) $.
    gsumzmhm.h $e |- ( ph -> H e. Mnd ) $.
    gsumzmhm.a $e |- ( ph -> A e. V ) $.
    gsumzmhm.k $e |- ( ph -> K e. ( G MndHom H ) ) $.
    gsumzmhm.f $e |- ( ph -> F : A --> B ) $.
    gsumzmhm.c $e |- ( ph -> ran F C_ ( Z ` ran F ) ) $.
    gsumzmhm.0 $e |- .0. = ( 0g ` G ) $.
    gsumzmhm.w $e |- ( ph -> F finSupp .0. ) $.
    $( Apply a group homomorphism to a group sum.  (Contributed by Mario
       Carneiro, 24-Apr-2016.)  (Revised by AV, 6-Jun-2019.) $)
    gsumzmhm $p |- ( ph -> ( H gsum ( K o. F ) ) = ( K ` ( G gsum F ) ) ) $=
      ( vf vk vx vy ccnv cvv csn cdif cima c0 wceq ccom cgsu co cfv chash cn c1
      wcel cfz cv wf1o wex wa c0g cmpt cmnd eqid gsumz syl2anc adantr cmhm mhm0
      syl eqtr4d mndidcl ad2antrr fvexi a1i csupp fexd suppimacnv ssid eqsstrdi
      gsumcllem cbs wf mhmf feqmptd fveq2 fmptco mpteq2dv oveq2d fveq2d 3eqtr4d
      eqtrd cplusg cseq mndcl 3expb sylan wf1 wss f1of1 ad2antll cnvimass fssdm
      ex f1ss f1f fco syl2an2r ffvelrnda cuz simprl nnuz eleqtrdi mhmlin fveq1i
      coass fvco3 eqtr2id seqhomo crn wfo f1ofo forn sseqtrrd gsumval3 cntzmhm2
      ccntz rnco2 fveq2i 3sstr4g eldifi syl2an suppssr 3eqtrd suppss cfn fz1f1o
      3eqtr4rd expr exlimdv expimpd wo fsuppimpd eqeltrrd mpjaod ) ADUEUFIUGUHZ
      UIZUJUKZFGDULZUMUNZEDUMUNZGUOZUKZUUKUPUOZUQUSZURUURUTUNZUUKUAVAZVBZUAVCZV
      DZAUULUUQAUULVDZFUBBFVEUOZVFZUMUNZIGUOZUUNUUPUVEUVHUVFUVIAUVHUVFUKZUULAFV
      GUSZBHUSZUVJNOBUBFHUVFUVFVHZVIVJVKAUVIUVFUKZUULAGEFVLUNUSZUVNPEFGUVFISUVM
      VMVNZVKVOUVEUUMUVGFUMUVEUUMUBBUVIVFZUVGUVEUBUCBCIUCVAZGUOZUVIDGAICUSZUULU
      BVABUSAEVGUSZUVTMCEIKSVPVNVQABCUFUBDHUUKIQOIUFUSZAIEVESVRZVSZADIVTUNZUUKU
      UKADUFUSUWBUWEUUKUKABCHDQOWAUWDDUFUFIWBVJZUUKWCWDZWEZAGUCCUVSVFUKUULAUCCF
      WFUOZGAUVOCUWIGWGZPCUWIEFGKUWIVHZWHVNZWIVKUVRIGWJWKAUVQUVGUKUULAUBBUVIUVF
      UVPWLVKWPWMUVEUUOIGUVEUUOEUBBIVFZUMUNZIUVEDUWMEUMUWHWMAUWNIUKZUULAUWAUVLU
      WOMOBUBEHISVIVJVKWPWNWOXHAUUSUVCUUQAUUSVDUVBUUQUAAUUSUVBUUQAUUSUVBVDZVDZU
      UREWQUOZDUVAULZURWRUOZGUOUURFWQUOZUUMUVAULZURWRUOUUPUUNUWQUCUDUWRUXACUWSU
      XBGURUURUWQUWAUVRCUSZUDVAZCUSZVDZUVRUXDUWRUNZCUSZAUWAUWPMVKZUWAUXCUXEUXHC
      UWREUVRUXDKUWRVHZWSWTXAUWQUUTCUVRUWSABCDWGZUWPUUTBUVAWGZUUTCUWSWGZQUWQUUT
      BUVAXBZUXLUWQUUTUUKUVAXBZUUKBXCUXNUVBUXOAUUSUUTUUKUVAXDXEUWQBCUUKDDUUJXFA
      UXKUWPQVKZXGUUTUUKBUVAXIVJZUUTBUVAXJVNUUTBCDUVAXKXLZXMUWQUURUQURXNUOAUUSU
      VBXOZXPXQUWQUVOUXFUXGGUOUVSUXDGUOUXAUNUKZAUVOUWPPVKUVOUXCUXEUXTCUWRUXAEFG
      UVRUXDKUXJUXAVHZXRWTXAUWQUVRUUTUSZVDUVRUXBUOUVRGUWSULZUOZUVRUWSUOGUOZUVRU
      XBUYCGDUVAXTXSUWQUXMUYBUYDUYEUKUXRUUTCUVRGUWSYAXAYBYCUWQUUOUWTGUWQBCUWRDE
      UVAUURHUWSIVTUNZIJKSUXJLUXIAUVLUWPOVKZUXPADYDZUYHJUOXCZUWPRVKZUXSUXQUWQUW
      EUUKUVAYDZAUWEUUKXCUWPUWGVKZUVBUYKUUKUKZAUUSUVBUUTUUKUVAYEUYMUUTUUKUVAYFU
      UTUUKUVAYGVNXEZYHUYFVHYIWNUWQBUWIUXAUUMFUVAUURHUXBUVFVTUNZUVFFYKUOZUWKUVM
      UYAUYPVHZAUVKUWPNVKUYGAUWJUWPUXKBUWIUUMWGUWLUXPBCUWIGDXKXLZUWQGUYHUIZUYSU
      YPUOZUUMYDZVUAUYPUOAUVOUWPUYIUYSUYTXCPUYJUYHUYHGEFUYPJLUYQYJXLGDYLZVUAUYS
      UYPVUBYMYNUXSUXQUWQUUMUVFVTUNUUKUYKUWQBUWIUCUUMUUKUVFUYRUWQUVRBUUKUHUSZVD
      ZUVRUUMUOZUVRDUOZGUOZUVIUVFUWQUXKUVRBUSVUEVUGUKVUCUXPUVRBUUKYOBCUVRGDYAYP
      VUDVUFIGUWQBCUFDHUUKUVRIUXPUYLUYGUWBUWQUWCVSYQWNAUVNUWPVUCUVPVQYRYSUYNYHU
      YOVHYIUUBUUCUUDUUEAUUKYTUSUULUVDUUFAUWEUUKYTUWFADITUUGUUHUUKUAUUAVNUUI $.
  $}

  ${
    gsummhm.b $e |- B = ( Base ` G ) $.
    gsummhm.z $e |- .0. = ( 0g ` G ) $.
    gsummhm.g $e |- ( ph -> G e. CMnd ) $.
    gsummhm.h $e |- ( ph -> H e. Mnd ) $.
    gsummhm.a $e |- ( ph -> A e. V ) $.
    gsummhm.k $e |- ( ph -> K e. ( G MndHom H ) ) $.
    gsummhm.f $e |- ( ph -> F : A --> B ) $.
    gsummhm.w $e |- ( ph -> F finSupp .0. ) $.
    $( Apply a group homomorphism to a group sum.  (Contributed by Mario
       Carneiro, 15-Dec-2014.)  (Revised by Mario Carneiro, 24-Apr-2016.)
       (Revised by AV, 6-Jun-2019.) $)
    gsummhm $p |- ( ph -> ( H gsum ( K o. F ) ) = ( K ` ( G gsum F ) ) ) $=
      ( ccntz cfv wcel eqid ccmn cmnd cmnmnd syl cntzcmnf gsumzmhm ) ABCDEFGHIE
      RSZJUHUAZAEUBTEUCTLEUDUEMNOPABCDEUHJUILPUFKQUG $.
  $}

  ${
    $d k x A $.  $d k x B $.  $d k C $.  $d x D $.  $d x E $.  $d k ph $.
    $d x G $.  $d x H $.  $d x X $.
    gsummhm2.b $e |- B = ( Base ` G ) $.
    gsummhm2.z $e |- .0. = ( 0g ` G ) $.
    gsummhm2.g $e |- ( ph -> G e. CMnd ) $.
    gsummhm2.h $e |- ( ph -> H e. Mnd ) $.
    gsummhm2.a $e |- ( ph -> A e. V ) $.
    gsummhm2.k $e |- ( ph -> ( x e. B |-> C ) e. ( G MndHom H ) ) $.
    gsummhm2.f $e |- ( ( ph /\ k e. A ) -> X e. B ) $.
    gsummhm2.w $e |- ( ph -> ( k e. A |-> X ) finSupp .0. ) $.
    gsummhm2.1 $e |- ( x = X -> C = D ) $.
    gsummhm2.2 $e |- ( x = ( G gsum ( k e. A |-> X ) ) -> C = E ) $.
    $( Apply a group homomorphism to a group sum, mapping version with implicit
       substitution.  (Contributed by Mario Carneiro, 5-May-2015.)  (Revised by
       AV, 6-Jun-2019.) $)
    gsummhm2 $p |- ( ph -> ( H gsum ( k e. A |-> D ) ) = E ) $=
      ( cmpt ccom cgsu co cfv fmpttd gsummhm fmptco oveq2d cbs eqid gsumcl wcel
      eqidd cv wceq eleq1d wf wral cmhm mhmf syl sylibr rspcdva fvmptd3 3eqtr3d
      fmpt ) AJBDEUDZGCLUDZUEZUFUGIVLUFUGZVKUHJGCFUDZUFUGHACDVLIJVKKMNOPQRSAGCL
      DTUIZUAUJAVMVOJUFAGBCDLEFVLVKTAVLUQAVKUQUBUKULABVNEHDVKJUMUHZVKUNZUCACDVL
      IKMNOPRVPUAUOZAEVQUPZHVQUPBDVNBURVNUSEHVQUCUTADVQVKVAZVTBDVBAVKIJVCUGUPWA
      SDVQIJVKNVQUNVDVEBDVQEVKVRVJVFVSVGVHVI $.
  $}

  ${
    $d x A $.  $d x y B $.  $d y C $.  $d x y K $.  $d x ph $.
    gsummptmhm.b $e |- B = ( Base ` G ) $.
    gsummptmhm.z $e |- .0. = ( 0g ` G ) $.
    gsummptmhm.g $e |- ( ph -> G e. CMnd ) $.
    gsummptmhm.h $e |- ( ph -> H e. Mnd ) $.
    gsummptmhm.a $e |- ( ph -> A e. V ) $.
    gsummptmhm.k $e |- ( ph -> K e. ( G MndHom H ) ) $.
    gsummptmhm.c $e |- ( ( ph /\ x e. A ) -> C e. B ) $.
    gsummptmhm.w $e |- ( ph -> ( x e. A |-> C ) finSupp .0. ) $.
    $( Apply a group homomorphism to a group sum expressed with a mapping.
       (Contributed by Thierry Arnoux, 7-Sep-2018.)  (Revised by AV,
       8-Sep-2019.) $)
    gsummptmhm $p |- ( ph -> ( H gsum ( x e. A |-> ( K ` C ) ) )
                                = ( K ` ( G gsum ( x e. A |-> C ) ) ) ) $=
      ( vy cgsu cmpt ccom co cfv cv eqidd wfn wceq cmhm wcel cbs eqid mhmf 3syl
      wf ffn dffn5 sylib fveq2 fmptco oveq2d fmpttd gsummhm eqtr3d ) AGHBCEUAZU
      BZTUCGBCEHUDZUAZTUCFVETUCHUDAVFVHGTABSCDESUEZHUDZVGVEHQAVEUFAHDUGZHSDVJUA
      UHAHFGUIUCUJDGUKUDZHUOVKPDVLFGHKVLULUMDVLHUPUNSDHUQURVIEHUSUTVAACDVEFGHIJ
      KLMNOPABCEDQVBRVCVD $.
  $}

  ${
    $d k x A $.  $d k x B $.  $d x G $.  $d k x N $.  $d k ph $.  $d k x .x. $.
    $d x X $.
    gsummulg.b $e |- B = ( Base ` G ) $.
    gsummulg.z $e |- .0. = ( 0g ` G ) $.
    gsummulg.t $e |- .x. = ( .g ` G ) $.
    gsummulg.a $e |- ( ph -> A e. V ) $.
    gsummulg.f $e |- ( ( ph /\ k e. A ) -> X e. B ) $.
    gsummulg.w $e |- ( ph -> ( k e. A |-> X ) finSupp .0. ) $.
    ${
      gsummulglem.g $e |- ( ph -> G e. CMnd ) $.
      gsummulglem.n $e |- ( ph -> N e. ZZ ) $.
      gsummulglem.o $e |- ( ph -> ( G e. Abel \/ N e. NN0 ) ) $.
      $( Lemma for ~ gsummulg and ~ gsummulgz .  (Contributed by Mario
         Carneiro, 7-Jan-2015.)  (Revised by AV, 6-Jun-2019.) $)
      gsummulglem $p |- ( ph -> ( G gsum ( k e. A |-> ( N .x. X ) ) ) =
                             ( N .x. ( G gsum ( k e. A |-> X ) ) ) ) $=
        ( wcel vx cv co cmpt cgsu ccmn cmnd cmnmnd syl cabl cmhm cn0 cz wi cghm
        wa mulgghm ghmmhm expcom mulgmhm ex mpjaod oveq2 gsummhm2 ) AUABCGUAUBZ
        DUCZGIDUCEGFEBIUDUEUCZDUCFFHIJKLQAFUFTZFUGTQFUHUINAFUJTZUACVFUDZFFUKUCT
        ZGULTZAGUMTZVIVKUNRVIVMVKVIVMUPVJFFUOUCTVKUACDFGKMUQFFVJURUIUSUIAVHVLVK
        UNQVHVLVKUACDFGKMUTVAUISVBOPVEIGDVCVEVGGDVCVD $.
    $}

    ${
      gsummulg.g $e |- ( ph -> G e. CMnd ) $.
      gsummulg.n $e |- ( ph -> N e. NN0 ) $.
      $( Nonnegative multiple of a group sum.  (Contributed by Mario Carneiro,
         15-Dec-2014.)  (Revised by Mario Carneiro, 7-Jan-2015.)  (Revised by
         AV, 6-Jun-2019.) $)
      gsummulg $p |- ( ph -> ( G gsum ( k e. A |-> ( N .x. X ) ) ) =
                             ( N .x. ( G gsum ( k e. A |-> X ) ) ) ) $=
        ( nn0zd wcel cn0 cabl olcd gsummulglem ) ABCDEFGHIJKLMNOPQAGRSAGUATFUBT
        RUCUD $.
    $}

    ${
      gsummulgz.g $e |- ( ph -> G e. Abel ) $.
      gsummulgz.n $e |- ( ph -> N e. ZZ ) $.
      $( Integer multiple of a group sum.  (Contributed by Mario Carneiro,
         7-Jan-2015.)  (Revised by AV, 6-Jun-2019.) $)
      gsummulgz $p |- ( ph -> ( G gsum ( k e. A |-> ( N .x. X ) ) ) =
                             ( N .x. ( G gsum ( k e. A |-> X ) ) ) ) $=
        ( cabl wcel ccmn ablcmn syl cn0 orcd gsummulglem ) ABCDEFGHIJKLMNOPAFST
        ZFUATQFUBUCRAUGGUDTQUEUF $.
    $}
  $}

  ${
    $d f k x y .0. $.  $d k A $.  $d f k x y F $.  $d f k x y ph $.  $d k V $.
    $d f k x y G $.  $d f k x y O $.
    gsumzoppg.b $e |- B = ( Base ` G ) $.
    gsumzoppg.0 $e |- .0. = ( 0g ` G ) $.
    gsumzoppg.z $e |- Z = ( Cntz ` G ) $.
    gsumzoppg.o $e |- O = ( oppG ` G ) $.
    gsumzoppg.g $e |- ( ph -> G e. Mnd ) $.
    gsumzoppg.a $e |- ( ph -> A e. V ) $.
    gsumzoppg.f $e |- ( ph -> F : A --> B ) $.
    gsumzoppg.c $e |- ( ph -> ran F C_ ( Z ` ran F ) ) $.
    gsumzoppg.n $e |- ( ph -> F finSupp .0. ) $.
    $( The opposite of a group sum is the same as the original.  (Contributed
       by Mario Carneiro, 25-Apr-2016.)  (Revised by AV, 6-Jun-2019.) $)
    gsumzoppg $p |- ( ph -> ( O gsum F ) = ( G gsum F ) ) $=
      ( cfv wcel vf vk vx vy ccnv cvv csn cdif cima c0 wceq cgsu co chash cn c1
      cfz cv wf1o wex wa cmpt cmnd oppgmnd syl oppgid syl2anc eqtr4d adantr c0g
      gsumz fvexi a1i csupp wss ssid suppimacnv sylancl sseq1d mpbiri gsumcllem
      fexd oveq2d 3eqtr4d cplusg ccom cseq crn csubmnd cmrc cuz simprl eleqtrdi
      ex nnuz wf wfo wfn ffn dffn4 sylib fof 3syl cacs cmre submacs acsmre eqid
      frnd mrcssidd fssd wf1 f1of1 ad2antll cnvimass fssdm f1ss ffvelrnda mrccl
      f1f fco oppgsubm submcl 3expb sylan oppgplus cress ccmn cntzspan submcmn2
      wb mpbid sselda cntzi eqtr4id anasss seqfeq4 mpbird gsumval3 cfn oppgcntz
      ccntz oppgbas sseqtrdi cdm suppssdm eqsstrrdi fssdmd f1ofo sseq2d exlimdv
      forn expr expimpd wo fsuppimpd eqeltrrd fz1f1o mpjaod ) ADUEUFHUGUHZUIZUJ
      UKZFDULUMZEDULUMZUKZUVAUNSZUOTZUPUVFUQUMZUVAUAURZUSZUAUTZVAZAUVBUVEAUVBVA
      ZFUBBHVBZULUMZEUVNULUMZUVCUVDAUVOUVPUKUVBAUVOHUVPAFVCTZBGTZUVOHUKAEVCTZUV
      QNEFMVDZVEOBUBFGHEFHMKVFZVKVGAUVSUVRUVPHUKNOBUBEGHKVKVGVHVIUVMDUVNFULABCU
      FUBDGUVAHPOHUFTZAHEVJKVLZVMADHVNUMZUVAVOZUVAUVAVOZUVAVPZAUWDUVAUVAADUFTUW
      BUWDUVAUKABCGDPOWBUWCDUFUFHVQVRZVSZVTZWAZWCUVMDUVNEULUWKWCWDWNAUVGUVKUVEA
      UVGVAUVJUVEUAAUVGUVJUVEAUVGUVJVAZVAZUVFFWESZDUVIWFZUPWGSUVFEWESZUWOUPWGSU
      VCUVDUWMUCUDUWNUWPDWHZEWISZWJSZSZUWOUPUVFUWMUVFUOUPWKSAUVGUVJWLZWOWMUWMUV
      HUWTUCURZUWOUWMBUWTDWPUVHBUVIWPZUVHUWTUWOWPUWMBUWQUWTDUWMBCDWPZBUWQDWQZBU
      WQDWPAUXDUWLPVIZUXDDBWRUXEBCDWSBDWTXABUWQDXBXCUWMUWRUWQUWSCUWMUVSUWRCXDST
      UWRCXESTZAUVSUWLNVIZCEJXFUWRCXGXCZUWSXHZUWMBCDUXFXIZXJXKUWMUVHBUVIXLZUXCU
      WMUVHUVAUVIXLZUVABVOZUXLUVJUXMAUVGUVHUVAUVIXMXNZUWMBCUVADDUUTXOUXFXPUVHUV
      ABUVIXQZVGUVHBUVIXTVEUVHBUWTDUVIYAVGXRUWMUWTFWISZTZUXBUWTTZUDURZUWTTZVAUX
      BUXTUWNUMZUWTTZUWMUWTUWRUXQUWMUXGUWQCVOUWTUWRTZUXIUXKUWRUWQUWSCUXJXSVGZEF
      MYBWMUXRUXSUYAUYCUWNUWTFUXBUXTUWNXHZYCYDYEUWMUXSUYAUYBUXBUXTUWPUMZUKUWMUX
      SVAZUYAVAUYBUXTUXBUWPUMZUYGUWPUWNEFUXBUXTUWPXHZMUYFYFUYHUXBUWTISZTUYAUYGU
      YIUKUWMUWTUYKUXBUWMEUWTYGUMZYHTZUWTUYKVOZUWMUVSUWQUWQISZVOZUYMUXHAUYPUWLQ
      VIZUWQEUYLUWSILUXJUYLXHZYIVGUWMUYDUYMUYNYKUYEUWTEUYLIUYRLYJVEYLYMUWPUWTEU
      XBUXTIUYJLYNYEYOYPYQUWMBCUWNDFUVIUVFGUWOHVNUMZHFUUBSZCEFMJUUCUWAUYFUYTXHU
      WMUVSUVQUXHUVTVEAUVRUWLOVIZUXFUWMUWQUYOUWQUYTSUYQUWQEFIMLUUAUUDUXAUWMUXMU
      XNUXLUXOAUXNUWLABCUVADPAUVAUWDDUUEUWHDHUUFUUGUUHVIUXPVGZUWMUWDUVIWHZVOZUW
      EUWMUWEUWFUWGAUWEUWFYKUWLUWIVIVTUVJVUDUWEYKAUVGUVJVUCUVAUWDUVJUVHUVAUVIWQ
      VUCUVAUKUVHUVAUVIUUIUVHUVAUVIUULVEUUJXNZYRUYSXHZYSUWMBCUWPDEUVIUVFGUYSHIJ
      KUYJLUXHVUAUXFUYQUXAVUBUWMVUDUWEAUWEUWLUWJVIVUEYRVUFYSWDUUMUUKUUNAUVAYTTU
      VBUVLUUOAUWDUVAYTUWHADHRUUPUUQUVAUAUURVEUUS $.
  $}

  ${
    gsumzinv.b $e |- B = ( Base ` G ) $.
    gsumzinv.0 $e |- .0. = ( 0g ` G ) $.
    gsumzinv.z $e |- Z = ( Cntz ` G ) $.
    gsumzinv.i $e |- I = ( invg ` G ) $.
    gsumzinv.g $e |- ( ph -> G e. Grp ) $.
    gsumzinv.a $e |- ( ph -> A e. V ) $.
    gsumzinv.f $e |- ( ph -> F : A --> B ) $.
    gsumzinv.c $e |- ( ph -> ran F C_ ( Z ` ran F ) ) $.
    gsumzinv.n $e |- ( ph -> F finSupp .0. ) $.
    $( Inverse of a group sum.  (Contributed by Mario Carneiro, 25-Apr-2016.)
       (Revised by AV, 6-Jun-2019.) $)
    gsumzinv $p |- ( ph -> ( G gsum ( I o. F ) ) = ( I ` ( G gsum F ) ) ) $=
      ( cfv wcel coppg ccom cgsu co eqid grpmndd wf grpinvf syl fco syl2anc crn
      cgrp cima ccntz cmhm wss cgim cghm invoppggim gimghm ghmmhm 4syl cntzmhm2
      rnco2 oppgcntz eqtri 3sstr4g cvv c0g fvexi a1i cbs wceq grpinvid fsuppco2
      fveq2i gsumzoppg cmnd oppgmnd gsumzmhm eqtr3d ) AEUASZFDUBZUCUDEWDUCUDEDU
      CUDFSABCWDEWCGHIJKLWCUEZAENUFZOACCFUGZBCDUGBCWDUGAEUMTZWGNCEFJMUHUIZPBCCF
      DUJUKAFDULZUNZWKWCUOSZSZWDULZWNISZAFEWCUPUDTZWJWJISUQWKWMUQAWHFEWCURUDTFE
      WCUSUDTWPNEFWCWEMUTEWCFVAEWCFVBVCZQWJWJFEWCWLILWLUEVDUKFDVEZWOWKISWMWNWKI
      WRVQWKEWCIWELVFVGVHABCGDFVIVIHHVITAHEVJKVKVLPWIOCVITACEVMJVKVLRAWHHFSHVNN
      EFHKMVOUIVPVRABCDEWCFGHIJLWFAEVSTWCVSTWFEWCWEVTUIOWQPQKRWAWB $.
  $}

  ${
    gsuminv.b $e |- B = ( Base ` G ) $.
    gsuminv.z $e |- .0. = ( 0g ` G ) $.
    gsuminv.p $e |- I = ( invg ` G ) $.
    gsuminv.g $e |- ( ph -> G e. Abel ) $.
    ${
      gsuminv.a $e |- ( ph -> A e. V ) $.
      gsuminv.f $e |- ( ph -> F : A --> B ) $.
      gsuminv.n $e |- ( ph -> F finSupp .0. ) $.
      $( Inverse of a group sum.  (Contributed by Mario Carneiro, 15-Dec-2014.)
         (Revised by Mario Carneiro, 4-May-2015.)  (Revised by AV,
         6-Jun-2019.) $)
      gsuminv $p |- ( ph -> ( G gsum ( I o. F ) ) = ( I ` ( G gsum F ) ) ) $=
        ( cabl wcel ccmn syl co ablcmn cmnd cmnmnd invghm sylib ghmmhm gsummhm
        cghm cmhm ) ABCDEEFGHIJAEPQZERQZLEUASZAUKEUBQULEUCSMAFEEUHTQZFEEUITQAUJ
        UMLCEFIKUDUEEEFUFSNOUG $.
    $}

    $d A x $.  $d B x $.  $d ph x $.
    gsummptfidminv.a $e |- ( ph -> A e. Fin ) $.
    gsummptfidminv.c $e |- ( ( ph /\ x e. A ) -> C e. B ) $.
    gsummptfidminv.f $e |- F = ( x e. A |-> C ) $.
    $( Inverse of a group sum expressed as mapping with a finite domain.
       (Contributed by AV, 23-Jul-2019.) $)
    gsummptfidminv $p |- ( ph
                           -> ( G gsum ( I o. F ) ) = ( I ` ( G gsum F ) ) ) $=
      ( cfn fmptd cvv wcel c0g fvexi a1i fsuppmptdm gsuminv ) ACDFGHQIJKLMNABCE
      DFOPRABCFDSEIPNOISTAIGUAKUBUCUDUE $.
  $}

  ${
    $d k .- $.  $d k .0. $.  $d k x B $.  $d k x G $.  $d k x H $.  $d k ph $.
    $d k A $.  $d k F $.
    gsumsub.b $e |- B = ( Base ` G ) $.
    gsumsub.z $e |- .0. = ( 0g ` G ) $.
    gsumsub.m $e |- .- = ( -g ` G ) $.
    gsumsub.g $e |- ( ph -> G e. Abel ) $.
    gsumsub.a $e |- ( ph -> A e. V ) $.
    gsumsub.f $e |- ( ph -> F : A --> B ) $.
    gsumsub.h $e |- ( ph -> H : A --> B ) $.
    gsumsub.fn $e |- ( ph -> F finSupp .0. ) $.
    gsumsub.hn $e |- ( ph -> H finSupp .0. ) $.
    $( The difference of two group sums.  (Contributed by Mario Carneiro,
       28-Dec-2014.)  (Revised by AV, 6-Jun-2019.) $)
    gsumsub $p |- ( ph ->
      ( G gsum ( F oF .- H ) ) = ( ( G gsum F ) .- ( G gsum H ) ) ) $=
      ( co wcel vk vx cminusg cfv ccom cplusg cof cgsu eqid cabl ccmn ablcmn wf
      syl wf1o cgrp ablgrp grpinvf1o fco syl2anc cvv c0g fvexi a1i cbs grpinvid
      f1of wceq fsuppco2 gsumadd gsuminv oveq2d eqtrd cv wa ffvelrnda grpsubval
      cmpt mpteq2dva feqmptd offval2 fvexd fveq2 fmptco 3eqtr4d gsumcl ) AEDEUC
      UDZFUEZEUFUDZUGSZUHSZEDUHSZEFUHSZWGUDZWISZEDFGUGSZUHSWLWMGSZAWKWLEWHUHSZW
      ISWOABCWIDEWHHIJKWIUIZAEUJTZEUKTMEULUNZNOACCWGUMZBCFUMBCWHUMACCWGUOXBACEW
      GJWGUIZAWTEUPTZMEUQUNZURCCWGVGUNZPBCCWGFUSUTQABCHFWGVAVAIIVATAIEVBKVCVDPX
      FNCVATACEVEJVCVDRAXDIWGUDIVHXEEWGIKXCVFUNVIVJAWRWNWLWIABCFEWGHIJKXCMNPRVK
      VLVMAWPWJEUHAUABUAVNZDUDZXGFUDZGSZVRUABXHXIWGUDZWISZVRWPWJAUABXJXLAXGBTVO
      ZXHCTXICTXJXLVHABCXGDOVPZABCXGFPVPZCWIEWGGXHXIJWSXCLVQUTVSAUABXHXIGDFHCCN
      XNXOAUABCDOVTZAUABCFPVTZWAAUABXHXKWIDWHHCVANXNXMXIWGWBXPAUAUBBCXIUBVNZWGU
      DXKFWGXOXQAUBCCWGXFVTXRXIWGWCWDWAWEVLAWLCTWMCTWQWOVHABCDEHIJKXANOQWFABCFE
      HIJKXANPRWFCWIEWGGWLWMJWSXCLVQUTWE $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.  $d .- x $.
    gsummptfssub.b $e |- B = ( Base ` G ) $.
    gsummptfssub.z $e |- .0. = ( 0g ` G ) $.
    gsummptfssub.s $e |- .- = ( -g ` G ) $.
    gsummptfssub.g $e |- ( ph -> G e. Abel ) $.
    gsummptfssub.a $e |- ( ph -> A e. V ) $.
    gsummptfssub.c $e |- ( ( ph /\ x e. A ) -> C e. B ) $.
    gsummptfssub.d $e |- ( ( ph /\ x e. A ) -> D e. B ) $.
    gsummptfssub.f $e |- ( ph -> F = ( x e. A |-> C ) ) $.
    gsummptfssub.h $e |- ( ph -> H = ( x e. A |-> D ) ) $.
    gsummptfssub.w $e |- ( ph -> F finSupp .0. ) $.
    gsummptfssub.v $e |- ( ph -> H finSupp .0. ) $.
    $( The difference of two group sums expressed as mappings.  (Contributed by
       AV, 7-Nov-2019.) $)
    gsummptfssub $p |- ( ph -> ( G gsum ( x e. A |-> ( C .- D ) ) )
                             = ( ( G gsum F ) .- ( G gsum H ) ) ) $=
      ( co cmpt cgsu cof offval2 eqcomd oveq2d fmpt3d gsumsub eqtrd ) AHBCEFJUD
      UEZUFUDHGIJUGUDZUFUDHGUFUDHIUFUDJUDAUNUOHUFAUOUNABCEFJGIKDDQRSTUAUHUIUJAC
      DGHIJKLMNOPQABCEDGTRUKABCFDIUASUKUBUCULUM $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.  $d .- x $.
    gsummptfidmsub.b $e |- B = ( Base ` G ) $.
    gsummptfidmsub.s $e |- .- = ( -g ` G ) $.
    gsummptfidmsub.g $e |- ( ph -> G e. Abel ) $.
    gsummptfidmsub.a $e |- ( ph -> A e. Fin ) $.
    gsummptfidmsub.c $e |- ( ( ph /\ x e. A ) -> C e. B ) $.
    gsummptfidmsub.d $e |- ( ( ph /\ x e. A ) -> D e. B ) $.
    gsummptfidmsub.f $e |- F = ( x e. A |-> C ) $.
    gsummptfidmsub.h $e |- H = ( x e. A |-> D ) $.
    $( The difference of two group sums expressed as mappings with finite
       domain.  (Contributed by AV, 7-Nov-2019.) $)
    gsummptfidmsub $p |- ( ph -> ( G gsum ( x e. A |-> ( C .- D ) ) )
                             = ( ( G gsum F ) .- ( G gsum H ) ) ) $=
      ( c0g cmpt cfn cfv eqid wceq a1i cvv fvexd fsuppmptdm gsummptfssub ) ABCD
      EFGHIJUAHSUBZKUJUCLMNOPGBCETUDAQUEIBCFTUDARUEABCGDUFEUJQNOAHSUGZUHABCIDUF
      FUJRNPUKUHUI $.
  $}

  ${
    $d k M $.
    gsumsnd.b $e |- B = ( Base ` G ) $.
    gsumsnd.g $e |- ( ph -> G e. Mnd ) $.
    gsumsnd.m $e |- ( ph -> M e. V ) $.
    gsumsnd.c $e |- ( ph -> C e. B ) $.
    gsumsnd.s $e |- ( ( ph /\ k = M ) -> A = C ) $.
    ${
      gsumsnfd.p $e |- F/ k ph $.
      gsumsnfd.c $e |- F/_ k C $.
      $( Group sum of a singleton, deduction form, using bound-variable
         hypotheses instead of distinct variable conditions.  (Contributed by
         Mario Carneiro, 19-Dec-2014.)  (Revised by Thierry Arnoux,
         28-Mar-2018.)  (Revised by AV, 11-Dec-2019.) $)
      gsumsnfd $p |- ( ph -> ( G gsum ( k e. { M } |-> A ) ) = C ) $=
        ( cgsu co c1 wcel wceq csn cmpt chash cfv cmg cv sylan2 mpteq2da oveq2d
        elsni cmnd cfn snfi a1i eqid gsumconstf syl3anc eqtrd hashsng syl mulg1
        oveq1d 3eqtrd ) AFEGUAZBUBZPQZVDUCUDZDFUEUDZQZRDVHQZDAVFFEVDDUBZPQZVIAV
        EVKFPAEVDBDNEUFZVDSAVMGTBDTVMGUJMUGUHUIAFUKSVDULSZDCSZVLVITJVNAGUMUNLVD
        CVHEFDOIVHUOZUPUQURAVGRDVHAGHSVGRTKGHUSUTVBAVOVJDTLCVHFDIVPVAUTVC $.
    $}

    $d k C $.  $d k ph $.
    $( Group sum of a singleton, deduction form.  (Contributed by Thierry
       Arnoux, 30-Jan-2017.)  (Proof shortened by AV, 11-Dec-2019.) $)
    gsumsnd $p |- ( ph -> ( G gsum ( k e. { M } |-> A ) ) = C ) $=
      ( nfv nfcv gsumsnfd ) ABCDEFGHIJKLMAENEDOP $.
  $}

  ${
    $d k B $.  $d k G $.  $d k M $.  $d k V $.
    gsumsnf.c $e |- F/_ k C $.
    gsumsnf.b $e |- B = ( Base ` G ) $.
    gsumsnf.s $e |- ( k = M -> A = C ) $.
    $( Group sum of a singleton, using bound-variable hypotheses instead of
       distinct variable conditions.  (Contributed by Mario Carneiro,
       19-Dec-2014.)  (Revised by Thierry Arnoux, 28-Mar-2018.)  (Proof
       shortened by AV, 11-Dec-2019.) $)
    gsumsnf $p |- ( ( G e. Mnd /\ M e. V /\ C e. B ) ->
      ( G gsum ( k e. { M } |-> A ) ) = C ) $=
      ( cmnd wcel w3a simp1 simp2 simp3 cv wceq adantl nfv nfel1 nf3an gsumsnfd
      ) EKLZFGLZCBLZMZABCDEFGIUDUEUFNUDUEUFOUDUEUFPDQFRACRUGJSUDUEUFDUDDTUEDTDC
      BHUAUBHUC $.
  $}

  ${
    $d k B $.  $d k C $.  $d k G $.  $d k M $.  $d k V $.
    gsumsn.b $e |- B = ( Base ` G ) $.
    gsumsn.s $e |- ( k = M -> A = C ) $.
    $( Group sum of a singleton.  (Contributed by Mario Carneiro, 19-Dec-2014.)
       (Revised by Mario Carneiro, 24-Apr-2016.)  (Proof shortened by AV,
       11-Dec-2019.) $)
    gsumsn $p |- ( ( G e. Mnd /\ M e. V /\ C e. B ) ->
      ( G gsum ( k e. { M } |-> A ) ) = C ) $=
      ( nfcv gsumsnf ) ABCDEFGDCJHIK $.
  $}

  ${
    $d k B $.  $d k C $.  $d k D $.  $d k G $.  $d k M $.  $d k N $.  $d k V $.
    $d k W $.
    gsumpr.b $e |- B = ( Base ` G ) $.
    gsumpr.p $e |- .+ = ( +g ` G ) $.
    gsumpr.s $e |- ( k = M -> A = C ) $.
    gsumpr.t $e |- ( k = N -> A = D ) $.
    $( Group sum of a pair.  (Contributed by AV, 6-Dec-2018.)  (Proof shortened
       by AV, 28-Jul-2019.) $)
    gsumpr $p |- ( ( G e. CMnd /\ ( M e. V /\ N e. W /\ M =/= N )
                     /\ ( C e. B /\ D e. B ) )
                   -> ( G gsum ( k e. { M , N } |-> A ) ) = ( C .+ D ) ) $=
      ( wcel cmpt cgsu co wceq ccmn wne w3a wa cpr csn cres simp1 cfn a1i cv wo
      prfi vex elpr eleq1a adantr 3ad2ant3 syl5com adantl jaoi sylbi impcom cin
      wi disjsn2 3ad2ant2 cun df-pr eqid gsummptfidmsplitres wss snsspr1 resmpt
      c0 mp1i oveq2d cmnd cmnmnd simpl gsumsn eqtrd snsspr2 simp2 simpr oveq12d
      syl3an ) GUAPZHJPZIKPZHIUBZUCZCBPZDBPZUDZUCZGFHIUEZAQZRSGWRHUFZUGZRSZGWRI
      UFZUGZRSZESCDESWPWQBWSXBEFWRGALMWHWLWOUHWQUIPWPHIUMUJFUKZWQPZWPABPZXFXEHT
      ZXEITZULWPXGVEZXEHIFUNUOXHXJXIXHACTZWPXGNWOWHXKXGVEZWLWMXLWNCBAUPUQURUSXI
      ADTZWPXGOWOWHXMXGVEZWLWNXNWMDBAUPUTURUSVAVBVCWLWHWSXBVDVOTZWOWKWIXOWJHIVF
      URVGWQWSXBVHTWPHIVIUJWRVJVKWPXACXDDEWPXAGFWSAQZRSZCWPWTXPGRWSWQVLWTXPTWPH
      IVMFWQWSAVNVPVQWHGVRPZWLWIWOWMXQCTGVSZWIWJWKUHWMWNVTABCFGHJLNWAWGWBWPXDGF
      XBAQZRSZDWPXCXTGRXBWQVLXCXTTWPHIWCFWQXBAVNVPVQWHXRWLWJWOWNYADTXSWIWJWKWDW
      MWNWEABDFGIKLOWAWGWBWFWB $.
  $}

  ${
    $d k A $.  $d k B $.  $d k G $.  $d k M $.  $d k ph $.  $d k Y $.
    gsumzunsnd.b $e |- B = ( Base ` G ) $.
    gsumzunsnd.p $e |- .+ = ( +g ` G ) $.
    gsumzunsnd.z $e |- Z = ( Cntz ` G ) $.
    gsumzunsnd.f $e |- F = ( k e. ( A u. { M } ) |-> X ) $.
    gsumzunsnd.g $e |- ( ph -> G e. Mnd ) $.
    gsumzunsnd.a $e |- ( ph -> A e. Fin ) $.
    gsumzunsnd.c $e |- ( ph -> ran F C_ ( Z ` ran F ) ) $.
    gsumzunsnd.x $e |- ( ( ph /\ k e. A ) -> X e. B ) $.
    gsumzunsnd.m $e |- ( ph -> M e. V ) $.
    gsumzunsnd.d $e |- ( ph -> -. M e. A ) $.
    gsumzunsnd.y $e |- ( ph -> Y e. B ) $.
    gsumzunsnd.s $e |- ( ( ph /\ k = M ) -> X = Y ) $.
    $( Append an element to a finite group sum, more general version of
       ~ gsumunsnd .  (Contributed by AV, 7-Oct-2019.) $)
    gsumzunsnd $p |- ( ph -> ( G gsum F )
                             = ( ( G gsum ( k e. A |-> X ) ) .+ Y ) ) $=
      ( cgsu co cres csn cmpt cun cfn c0g cfv eqid wcel snfi unfi sylancl cv wo
      elun wceq elsni sylan2 adantr eqeltrd jaodan sylan2b fmptd cvv expcom syl
      wa wi sylbi impcom fvexd fsuppmptdm wn cin disjsn sylibr eqidd gsumzsplit
      jaoi c0 reseq1i wss ssun1 resmpt mp1i eqtrid oveq2d ssun2 oveq12d gsumsnd
      3eqtrd ) AGFUEUFGFBUGZUEUFZGFHUHZUGZUEUFZDUFGEBJUIZUEUFZGEWTJUIZUEUFZDUFX
      DKDUFABWTUJZCBWTDFGUKGULUMZLMXHUNNOQABUKUOWTUKUOXGUKUORHUPBWTUQURZAEXGJCF
      EUSZXGUOZAXJBUOZXJWTUOZUTZJCUOZXJBWTVAZAXLXOXMTAXMVMJKCXMAXJHVBZJKVBXJHVC
      ZUDVDAKCUOZXMUCVEVFVGVHPVISAEXGFCVJJXHPXIXKAXOXKXNAXOVNZXPXLXTXMAXLXOTVKX
      MXQXTXRAXQXOAXQVMJKCUDAXSXQUCVEVFVKVLWEVOVPAGULVQVRAHBUOVSBWTVTWFVBUBBHWA
      WBAXGWCWDAWSXDXBXFDAWRXCGUEAWREXGJUIZBUGZXCFYABPWGBXGWHYBXCVBABWTWIEXGBJW
      JWKWLWMAXAXEGUEAXAYAWTUGZXEFYAWTPWGWTXGWHYCXEVBAWTBWNEXGWTJWJWKWLWMWOAXFK
      XDDAJCKEGHIMQUAUCUDWPWMWQ $.
  $}

  ${
    $d k A $.  $d k B $.  $d k G $.  $d k M $.  $d k ph $.
    gsumunsnd.b $e |- B = ( Base ` G ) $.
    gsumunsnd.p $e |- .+ = ( +g ` G ) $.
    gsumunsnd.g $e |- ( ph -> G e. CMnd ) $.
    gsumunsnd.a $e |- ( ph -> A e. Fin ) $.
    gsumunsnd.f $e |- ( ( ph /\ k e. A ) -> X e. B ) $.
    gsumunsnd.m $e |- ( ph -> M e. V ) $.
    gsumunsnd.d $e |- ( ph -> -. M e. A ) $.
    gsumunsnd.y $e |- ( ph -> Y e. B ) $.
    gsumunsnd.s $e |- ( ( ph /\ k = M ) -> X = Y ) $.
    ${
      gsumunsnfd.0 $e |- F/_ k Y $.
      $( Append an element to a finite group sum, using bound-variable
         hypotheses instead of distinct variable conditions.  (Contributed by
         Mario Carneiro, 19-Dec-2014.)  (Revised by AV, 11-Dec-2019.) $)
      gsumunsnfd $p |- ( ph -> ( G gsum ( k e. ( A u. { M } ) |-> X ) ) =
        ( ( G gsum ( k e. A |-> X ) ) .+ Y ) ) $=
        ( csn cun cmpt cgsu co cfn wcel snfi unfi sylancl cv wo elun wceq elsni
        sylan2 adantr eqeltrd jaodan sylan2b cin disjsn sylibr gsummptfidmsplit
        wa wn c0 eqidd ccmn cmnd cmnmnd syl nfv gsumsnfd oveq2d eqtrd ) AFEBGUA
        ZUBZIUCUDUEFEBIUCUDUEZFEVQIUCUDUEZDUEVSJDUEAVRCBVQDEFIKLMABUFUGVQUFUGVR
        UFUGNGUHBVQUIUJEUKZVRUGAWABUGZWAVQUGZULICUGZWABVQUMAWBWDWCOAWCVEIJCWCAW
        AGUNIJUNWAGUOSUPAJCUGWCRUQURUSUTAGBUGVFBVQVAVGUNQBGVBVCAVRVHVDAVTJVSDAI
        CJEFGHKAFVIUGFVJUGMFVKVLPRSAEVMTVNVOVP $.
    $}

    $d k Y $.
    $( Append an element to a finite group sum.  (Contributed by Mario
       Carneiro, 19-Dec-2014.)  (Revised by AV, 2-Jan-2019.)  (Proof shortened
       by AV, 11-Dec-2019.) $)
    gsumunsnd $p |- ( ph -> ( G gsum ( k e. ( A u. { M } ) |-> X ) ) =
      ( ( G gsum ( k e. A |-> X ) ) .+ Y ) ) $=
      ( nfcv gsumunsnfd ) ABCDEFGHIJKLMNOPQRSEJTUA $.
  $}

  ${
    $d k A $.  $d k B $.  $d k G $.  $d k M $.  $d k V $.  $d k ph $.
    gsumunsnf.0 $e |- F/_ k Y $.
    gsumunsnf.b $e |- B = ( Base ` G ) $.
    gsumunsnf.p $e |- .+ = ( +g ` G ) $.
    gsumunsnf.g $e |- ( ph -> G e. CMnd ) $.
    gsumunsnf.a $e |- ( ph -> A e. Fin ) $.
    gsumunsnf.f $e |- ( ( ph /\ k e. A ) -> X e. B ) $.
    gsumunsnf.m $e |- ( ph -> M e. V ) $.
    gsumunsnf.d $e |- ( ph -> -. M e. A ) $.
    gsumunsnf.y $e |- ( ph -> Y e. B ) $.
    gsumunsnf.s $e |- ( k = M -> X = Y ) $.
    $( Append an element to a finite group sum, using bound-variable hypotheses
       instead of distinct variable conditions.  (Contributed by Mario
       Carneiro, 19-Dec-2014.)  (Revised by Thierry Arnoux, 28-Mar-2018.)
       (Proof shortened by AV, 11-Dec-2019.) $)
    gsumunsnf $p |- ( ph -> ( G gsum ( k e. ( A u. { M } ) |-> X ) ) =
      ( ( G gsum ( k e. A |-> X ) ) .+ Y ) ) $=
      ( cv wceq adantl gsumunsnfd ) ABCDEFGHIJLMNOPQRSEUAGUBIJUBATUCKUD $.
  $}

  ${
    $d k A $.  $d k B $.  $d k G $.  $d k M $.  $d k ph $.  $d k Y $.
    gsumunsn.b $e |- B = ( Base ` G ) $.
    gsumunsn.p $e |- .+ = ( +g ` G ) $.
    gsumunsn.g $e |- ( ph -> G e. CMnd ) $.
    gsumunsn.a $e |- ( ph -> A e. Fin ) $.
    gsumunsn.f $e |- ( ( ph /\ k e. A ) -> X e. B ) $.
    gsumunsn.m $e |- ( ph -> M e. V ) $.
    gsumunsn.d $e |- ( ph -> -. M e. A ) $.
    gsumunsn.y $e |- ( ph -> Y e. B ) $.
    gsumunsn.s $e |- ( k = M -> X = Y ) $.
    $( Append an element to a finite group sum.  (Contributed by Mario
       Carneiro, 19-Dec-2014.)  (Proof shortened by AV, 8-Mar-2019.) $)
    gsumunsn $p |- ( ph -> ( G gsum ( k e. ( A u. { M } ) |-> X ) ) =
      ( ( G gsum ( k e. A |-> X ) ) .+ Y ) ) $=
      ( wceq cv adantl gsumunsnd ) ABCDEFGHIJKLMNOPQREUAGTIJTASUBUC $.
  $}

  ${
    $d k A $.  $d k B $.  $d k G $.  $d k M $.  $d k ph $.  $d k Y $.
    gsumdifsnd.b $e |- B = ( Base ` G ) $.
    gsumdifsnd.p $e |- .+ = ( +g ` G ) $.
    gsumdifsnd.g $e |- ( ph -> G e. CMnd ) $.
    gsumdifsnd.a $e |- ( ph -> A e. W ) $.
    gsumdifsnd.f $e |- ( ph -> ( k e. A |-> X ) finSupp ( 0g ` G ) ) $.
    gsumdifsnd.e $e |- ( ( ph /\ k e. A ) -> X e. B ) $.
    gsumdifsnd.m $e |- ( ph -> M e. A ) $.
    gsumdifsnd.y $e |- ( ph -> Y e. B ) $.
    gsumdifsnd.s $e |- ( ( ph /\ k = M ) -> X = Y ) $.
    $( Extract a summand from a finitely supported group sum.  (Contributed by
       AV, 21-Apr-2019.)  (Revised by AV, 28-Jul-2019.) $)
    gsumdifsnd $p |- ( ph -> ( G gsum ( k e. A |-> X ) )
                        = ( ( G gsum ( k e. ( A \ { M } ) |-> X ) ) .+ Y ) ) $=
      ( co cmpt cgsu csn cdif c0g cfv eqid cin c0 wss wceq snssd difin2 eqtr3di
      syl difid wcel difsnid eqcomd gsumsplit2 ccmn cmnmnd gsumsnd oveq2d eqtrd
      cun cmnd ) AFEBIUAUBTFEBGUCZUDZIUAUBTZFEVHIUAUBTZDTVJJDTABCVIVHDEFHIFUEUF
      ZKVLUGLMNPOAVHVHUDZVIVHUHZUIAVHBUJVMVNUKAGBQULVHVHBUMUOVHUPUNAVIVHVFZBAGB
      UQVOBUKQBGURUOUSUTAVKJVJDAICJEFGBKAFVAUQFVGUQMFVBUOQRSVCVDVE $.
  $}

  ${
    $d a A $.  $d a B $.  $d a F $.  $d a G $.  $d a ph $.  $d a X $.
    gsumpt.b $e |- B = ( Base ` G ) $.
    gsumpt.z $e |- .0. = ( 0g ` G ) $.
    gsumpt.g $e |- ( ph -> G e. Mnd ) $.
    gsumpt.a $e |- ( ph -> A e. V ) $.
    gsumpt.x $e |- ( ph -> X e. A ) $.
    gsumpt.f $e |- ( ph -> F : A --> B ) $.
    gsumpt.s $e |- ( ph -> ( F supp .0. ) C_ { X } ) $.
    $( Sum of a family that is nonzero at at most one point.  (Contributed by
       Stefan O'Rear, 7-Feb-2015.)  (Revised by Mario Carneiro, 25-Apr-2016.)
       (Revised by AV, 6-Jun-2019.) $)
    gsumpt $p |- ( ph -> ( G gsum F ) = ( F ` X ) ) $=
      ( va co cfv wss wcel csn cres cgsu cmpt snssd feqresmpt oveq2d ccntz eqid
      cv csubmnd cmrc cress ccmn cmnd cplusg wceq ffvelrnd eqidd wa wb elcntzsn
      crn syl mpbir2and cntzspan syl2anc cmre cacs submacs acsmre 3syl submcmn2
      mrccl mpbid wfn wral ffnd simpr fveq2d mrcssidd fvex snss sylibr ad2antrr
      wf eqeltrd wne cdif eldifsn cvv c0g fvexi suppssr sylan2br subm0cl adantr
      a1i anassrs pm2.61dane ralrimiva ffnfv sylanbrc frnd cntzidss cfsupp wfun
      wbr csupp cfn ffund snfi ssfi sylancr fexd isfsupp gsumzres fveq2 syl3anc
      gsumsn 3eqtr3d ) AEDGUAZUBZUCQEPYBPUJZDRZUDZUCQZEDUCQGDRZAYCYFEUCAPBCYBDN
      AGBMUEUFUGABCDEFYBHEUHRZIJYIUIZKLNAYHUAZEUKRZULRZRZYNYIRSZDVCZYNSYPYPYIRS
      AEYNUMQZUNTZYOAEUOTZYKYKYIRZSYRKAYHYTAYHYTTZYHCTZYHYHEUPRZQZUUDUQZABCGDNM
      URZAUUDUSAUUBUUAUUBUUEUTVAUUFCUUCEYHYHYIIUUCUIYJVBVDVEUEYKEYQYMYIYJYMUIZY
      QUIZVFVGAYNYLTZYRYOVAAYLCVHRTZYKCSUUIAYSYLCVIRTUUJKCEIVJYLCVKVLZAYHCUUFUE
      ZYLYKYMCUUGVNVGZYNEYQYIUUHYJVMVDVOABYNDADBVPYEYNTZPBVQBYNDWFABCDNVRAUUNPB
      AYDBTZUTZUUNYDGUUPYDGUQZUTZYEYHYNUURYDGDUUPUUQVSVTAYHYNTZUUOUUQAYKYNSUUSA
      YLYKYMCUUKUUGUULWAYHYNGDWBWCWDWEWGAUUOYDGWHZUUNAUUOUUTUTZUTYEHYNUVAAYDBYB
      WITYEHUQYDBGWJABCWKDFYBYDHNOLHWKTZAHEWLJWMWRZWNWOAHYNTZUVAAUUIUVDUUMYNEHJ
      WPVDWQWGWSWTXAPBYNDXBXCXDYNYPEYIYJXEVGOADHXFXHZDXGZDHXIQZXJTZABCDNXKAYBXJ
      TUVGYBSUVHGXLOYBUVGXMXNADWKTUVBUVEUVFUVHUTVAABCFDNLXOUVCDWKWKHXPVGVEXQAYS
      GBTUUBYGYHUQKMUUFYECYHPEGBIYDGDXRXTXSYA $.
  $}

  ${
    $d x y A $.  $d x B $.  $d y C $.  $d x y D $.  $d x E $.  $d x y ph $.
    gsummptf1o.x $e |- F/_ x H $.
    gsummptf1o.b $e |- B = ( Base ` G ) $.
    gsummptf1o.z $e |- .0. = ( 0g ` G ) $.
    gsummptf1o.i $e |- ( x = E -> C = H ) $.
    gsummptf1o.g $e |- ( ph -> G e. CMnd ) $.
    gsummptf1o.a $e |- ( ph -> A e. Fin ) $.
    gsummptf1o.d $e |- ( ph -> F C_ B ) $.
    gsummptf1o.f $e |- ( ( ph /\ x e. A ) -> C e. F ) $.
    gsummptf1o.e $e |- ( ( ph /\ y e. D ) -> E e. A ) $.
    gsummptf1o.h $e |- ( ( ph /\ x e. A ) -> E! y e. D x = E ) $.
    $( Re-index a finite group sum using a bijection.  (Contributed by Thierry
       Arnoux, 29-Mar-2018.) $)
    gsummptf1o $p |- ( ph -> ( G gsum ( x e. A |-> C ) )
      = ( G gsum ( y e. D |-> H ) ) ) $=
      ( cmpt cgsu co ccom cfn cv wcel wa wss adantr sseldd fmpttd cvv c0g fvexi
      eqid a1i fsuppmptdm wral wceq wreu wf1o ralrimiva f1ompt sylanbrc gsumf1o
      csb eqidd fmptcos nfv wnfc adantl csbiedf mpteq2dva eqtrd oveq2d ) AJBDFU
      CZUDUEJVSCGHUCZUFZUDUEJCGKUCZUDUEADEGVSJVTUGLNOQRABDFEABUHZDUIZUJIEFAIEUK
      WDSULTUMZUNABDVSEUOFLVSURRWELUOUIALJUPOUQUSUTAHDUIZCGVAWCHVBZCGVCZBDVAGDV
      TVDAWFCGUAVEZAWHBDUBVECBGDHVTVTURVFVGVHAWAWBJUDAWACGBHFVIZUCWBACBGDHFVTVS
      WIAVTVJAVSVJVKACGWJKACUHGUIUJZBHFKDWKBVLBKVMWKMUSUAWGFKVBWKPVNVOVPVQVRVQ
      $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x ph $.
    gsummptun.b $e |- B = ( Base ` W ) $.
    gsummptun.p $e |- .+ = ( +g ` W ) $.
    gsummptun.w $e |- ( ph -> W e. CMnd ) $.
    gsummptun.a $e |- ( ph -> ( A u. C ) e. Fin ) $.
    gsummptun.d $e |- ( ph -> ( A i^i C ) = (/) ) $.
    gsummptun.1 $e |- ( ( ph /\ x e. ( A u. C ) ) -> D e. B ) $.
    $( Group sum of a disjoint union, whereas sums are expressed as mappings.
       (Contributed by Thierry Arnoux, 28-Mar-2018.)  (Proof shortened by AV,
       11-Dec-2019.) $)
    gsummptun $p |- ( ph -> ( W gsum ( x e. ( A u. C ) |-> D ) ) =
      ( ( W gsum ( x e. A |-> D ) ) .+ ( W gsum ( x e. C |-> D ) ) ) ) $=
      ( cun eqidd gsummptfidmsplit ) ACEOZDCEGBHFIJKLNMARPQ $.
  $}

  ${
    $d G n $.  $d I n $.  $d X n $.  $d ph n $.  $d .0. n $.
    gsummpt1n0.0 $e |- .0. = ( 0g ` G ) $.
    gsummpt1n0.g $e |- ( ph -> G e. Mnd ) $.
    gsummpt1n0.i $e |- ( ph -> I e. W ) $.
    gsummpt1n0.x $e |- ( ph -> X e. I ) $.
    gsummpt1n0.f $e |- F = ( n e. I |-> if ( n = X , A , .0. ) ) $.
    ${
      $d A y $.  $d I n y $.  $d X y $.  $d .0. y $.
      gsummpt1n0.a $e |- ( ph -> A. n e. I A e. ( Base ` G ) ) $.
      $( If only one summand in a finite group sum is not zero, the whole sum
         equals this summand.  More general version of ~ gsummptif1n0 .
         (Contributed by AV, 11-Oct-2019.) $)
      gsummpt1n0 $p |- ( ph -> ( G gsum F ) = [_ X / n ]_ A ) $=
        ( vy co wceq wcel csupp cgsu cfv csb cbs eqid cif r19.21bi cmnd mndidcl
        cv wa syl adantr ifcld fmptd cmpt oveq1i cdif eldifsni adantl ifnefalse
        csn wne suppss2 eqsstrid gsumpt nfcv nfv nfcsb1v nfif weq eqeq1 csbeq1a
        ifbieq1d cbvmpt eqtri iftrue csbeq1 eqtrd rspcsbela syl2anc fvmptd3
        wral ) AEDUAQHDUBCHBUCZAFEUDUBZDEGHIWEUEZJKLMACFCUJZHRZBIUFZWEDAWGFSZUK
        WHBIWEABWESZCFOUGAIWESZWJAEUHSWLKWEEIWFJUIULUMUNNUOADITQCFWIUPZITQHVBZD
        WMITNUQAFWICGWNIAWGFWNURSZUKWGHVCZWIIRWOWPAWGFHUSUTWGHBIVAULLVDVEVFAPHP
        UJZHRZCWQBUCZIUFZWDFDWEDWMPFWTUPNCPFWIWTPWIVGWRCWSIWRCVHCWQBVICIVGVJCPV
        KWHWRBWSIWGWQHVLCWQBVMVNVOVPWRWTWSWDWRWSIVQCWQHBVRVSMAHFSWKCFWCWDWESMOC
        HFBWEVTWAWBVS $.
    $}

    $d A n $.
    gsummptif1n0.a $e |- ( ph -> A e. ( Base ` G ) ) $.
    $( If only one summand in a finite group sum is not zero, the whole sum
       equals this summand.  (Contributed by AV, 17-Feb-2019.)  (Proof
       shortened by AV, 11-Oct-2019.) $)
    gsummptif1n0 $p |- ( ph -> ( G gsum F ) = A ) $=
      ( cgsu co csb cbs wcel cfv ralrimivw gsummpt1n0 wceq csbconstg syl eqtrd
      ) AEDPQCHBRZBABCDEFGHIJKLMNABESUATCFOUBUCAHFTUHBUDMCHBFUEUFUG $.
  $}

  ${
    $d i B $.  $d i N $.
    gsummptcl.b $e |- B = ( Base ` G ) $.
    gsummptcl.g $e |- ( ph -> G e. CMnd ) $.
    gsummptcl.n $e |- ( ph -> N e. Fin ) $.
    gsummptcl.e $e |- ( ph -> A. i e. N X e. B ) $.
    $( Closure of a finite group sum over a finite set as map.  (Contributed by
       AV, 29-Dec-2018.) $)
    gsummptcl $p |- ( ph -> ( G gsum ( i e. N |-> X ) ) e. B ) $=
      ( cmpt cfn c0g cfv eqid wcel wral wf fmpt sylib cvv wfn fnmpt fndmfifsupp
      syl fvexd gsumcl ) AEBCEFKZDLDMNZGUIOHIAFBPCEQZEBUHRJCEBFUHUHOZSTAEUHUAUI
      AUJUHEUBJCEFUHBUKUCUEIADMUFUDUG $.

    gsummptfif1o.f $e |- F = ( i e. N |-> X ) $.
    gsummptfif1o.h $e |- ( ph -> H : C -1-1-onto-> N ) $.
    $( Re-index a finite group sum as map, using a bijection.  (Contributed by
       by AV, 23-Jul-2019.) $)
    gsummptfif1o $p |- ( ph -> ( G gsum F ) = ( G gsum ( F o. H ) ) ) $=
      ( cfn c0g cfv eqid wcel wral wf fmpt sylib cvv fvexd fdmfifsupp gsumf1o )
      AHBCEFGPFQRZJUISKLAIBTDHUAHBEUBMDHBIENUCUDZAHBEUEUIUJLAFQUFUGOUH $.
  $}

  ${
    $d i x y I $.  $d i x y B $.  $d x y G $.  $d x y M $.  $d x y N $.
    $d x y X $.  $d x y ph $.
    gsummptfzcl.b $e |- B = ( Base ` G ) $.
    gsummptfzcl.g $e |- ( ph -> G e. Mnd ) $.
    gsummptfzcl.n $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    gsummptfzcl.i $e |- ( ph -> I = ( M ... N ) ) $.
    gsummptfzcl.e $e |- ( ph -> A. i e. I X e. B ) $.
    $( Closure of a finite group sum over a finite set of sequential integers
       as map.  (Contributed by AV, 14-Dec-2018.) $)
    gsummptfzcl $p |- ( ph -> ( G gsum ( i e. I |-> X ) ) e. B ) $=
      ( vx vy co cfv cmnd wcel wa cmpt cgsu cplusg cseq eqid wral wf fmpt feq2d
      cfz syl5bb mpbid gsumval2 adantr sylib eqcomd eleq2d biimpa simprl simprr
      cv ffvelrnd mndcl syl3anc seqcl eqeltrd ) ADCEHUAZUBPGDUCQZVGFUDQBABVHVGD
      FGRIVHUEZJKAHBSCEUFZFGUJPZBVGUGZMVJEBVGUGZAVLCEBHVGVGUEUHZAEVKBVGLUIUKULU
      MANOVHBVGFGKANVAZVKSZTZEBVOVGVQVJVMAVJVPMUNVNUOAVPVOESAVKEVOAEVKLUPUQURVB
      AVOBSZOVAZBSZTZTDRSZVRVTVOVSVHPBSAWBWAJUNAVRVTUSAVRVTUTBVHDVOVSIVIVCVDVEV
      F $.
  $}

  ${
    $d j k x y z A $.  $d j k x y z F $.  $d j k x y z G $.  $d j k x y z ph $.
    $d j k B $.  $d j k D $.  $d j k x y z .0. $.
    gsum2d.b $e |- B = ( Base ` G ) $.
    gsum2d.z $e |- .0. = ( 0g ` G ) $.
    gsum2d.g $e |- ( ph -> G e. CMnd ) $.
    gsum2d.a $e |- ( ph -> A e. V ) $.
    gsum2d.r $e |- ( ph -> Rel A ) $.
    gsum2d.d $e |- ( ph -> D e. W ) $.
    gsum2d.s $e |- ( ph -> dom A C_ D ) $.
    gsum2d.f $e |- ( ph -> F : A --> B ) $.
    gsum2d.w $e |- ( ph -> F finSupp .0. ) $.
    $( Lemma 1 for ~ gsum2d .  (Contributed by Mario Carneiro, 28-Dec-2014.)
       (Revised by AV, 8-Jun-2019.) $)
    gsum2dlem1 $p |- ( ph -> ( G gsum ( k e. ( A " { j } )
                                         |-> ( j F k ) ) ) e. B ) $=
      ( cv csn cima co cmpt cvv wcel imaexg syl cop vex elimasn df-ov ffvelrnda
      cfv eqeltrid sylan2b fmpttd csupp crn cfn fsuppimpd rnfi cdif wceq biimpi
      wa opelrn con3i anim12i eldif 3imtr4i ssidd c0g a1i suppssr eqtrid sylan2
      wn fvexi suppss2 ssfid gsumcl2 ) ABEUAZUBZUCZCFWFWDFUAZGUDZUEZHUFKLMNABIU
      GWFUFUGOBWEIUHUIZAFWFWHCWGWFUGZAWDWGUJZBUGZWHCUGBWDWGEUKZFUKZULZAWMVGWHWL
      GUOZCWDWGGUMZABCWLGSUNUPUQURAGKUSUDZUTZWIKUSUDAWSVAUGWTVAUGAGKTVBWSVCUIAW
      FWHFUFWTKWGWFWTVDUGZAWLBWSVDUGZWHKVEWKWGWTUGZVSZVGWMWLWSUGZVSZVGXAXBWKWMX
      DXFWKWMWPVFXEXCWDWGWSWNWOVHVIVJWGWFWTVKWLBWSVKVLAXBVGWHWQKWRABCUFGIWSWLKS
      AWSVMOKUFUGAKHVNMVTVOVPVQVRWJWAWBWC $.

    $( Lemma for ~ gsum2d .  (Contributed by Mario Carneiro, 28-Dec-2014.)
       (Revised by AV, 8-Jun-2019.) $)
    gsum2dlem2 $p |- ( ph -> ( G gsum ( F |` ( A |` dom ( F supp .0. ) ) ) )
                               = ( G gsum ( j e. dom ( F supp .0. )
                   |-> ( G gsum ( k e. ( A " { j } ) |-> ( j F k ) ) ) ) ) ) $=
      ( vx vy vz csupp cdm cfn wcel cres cgsu csn cima cmpt wceq fsuppimpd dmfi
      co cv syl wi c0 cun reseq2 res0 eqtrdi reseq2d oveq2d mpteq1 mpt0 eqeq12d
      imbi2d weq eqidd wel wn wa cplusg cfv oveq1 cvv eqid adantr resexd wf wss
      ccmn resss fssres sylancl wbr wfun ffund funresd fexd c0g fvexi ressuppss
      cfsupp isfsupp mpbir2and cin simprr disjsn sylibr resindi 3eqtr3g resundi
      ssfid a1i gsumsplit ssun1 ssres2 resabs1 mp2b oveq2i ssun2 oveq12i simprl
      wb gsum2dlem1 ad2antrr vex sneq imaeq2d mpteq12dv eleq1d chvarvv gsumunsn
      c2nd cxp ccom df-ov cdif eldif mp1i eqtrd feqmptd reseq1d resmpt ax-mp
      cop imaexg elimasn ffvelrnda eqeltrid sylan2b fmpttd funmpt biimpi opelrn
      crn rnfi con3i anim12i 3imtr4i ssidd suppssr eqtrid sylan2 suppss2 mptexd
      2ndconst gsumf1o 1st2nd2 xp1st elsni opeq1d fveq2d eqtr4di mpteq2ia ressn
      wf1o mpteq1i eqtri xp2nd adantl wfo fo2nd fof oveq2 fmptco 3eqtr4a eqtr4d
      c1st ssv syl5ibr expcom a2d findcard2s mpcom ) GKUDUPZUEZUFUGZAHGBUWKUHZU
      HZUIUPZHEUWKHFBEUQZUJZUKZUWPFUQZGUPZULZUIUPZULZUIUPZUMZAUWJUFUGZUWLAGKTUN
      ZUWJUOURAHGBUAUQZUHZUHZUIUPZHEUXHUXBULZUIUPZUMZUSAHUTUIUPZUXOUMZUSAHGBUBU
      QZUHZUHZUIUPZHEUXQUXBULZUIUPZUMZUSAHGBUXQUCUQZUJZVAZUHZUHZUIUPZHEUYFUXBUL
      ZUIUPZUMZUSAUXEUSUAUBUCUWKUXHUTUMZUXNUXPAUYMUXKUXOUXMUXOUYMUXJUTHUIUYMUXJ
      GUTUHUTUYMUXIUTGUYMUXIBUTUHZUTUXHUTBVBBVCZVDVEGVCVDVFUYMUXLUTHUIUYMUXLEUT
      UXBULUTEUXHUTUXBVGEUXBVHVDVFVIVJUAUBVKZUXNUYCAUYPUXKUXTUXMUYBUYPUXJUXSHUI
      UYPUXIUXRGUXHUXQBVBVEVFUYPUXLUYAHUIEUXHUXQUXBVGVFVIVJUXHUYFUMZUXNUYLAUYQU
      XKUYIUXMUYKUYQUXJUYHHUIUYQUXIUYGGUXHUYFBVBVEVFUYQUXLUYJHUIEUXHUYFUXBVGVFV
      IVJUXHUWKUMZUXNUXEAUYRUXKUWOUXMUXDUYRUXJUWNHUIUYRUXIUWMGUXHUWKBVBVEVFUYRU
      XLUXCHUIEUXHUWKUXBVGVFVIVJAUXOVLUXQUFUGZUCUBVMVNZVOZAUYCUYLAVUAUYCUYLUSUY
      CUYLAVUAVOZUXTHGBUYEUHZUHZUIUPZHVPVQZUPZUYBVUEVUFUPZUMUXTUYBVUEVUFVRVUBUY
      IVUGUYKVUHVUBUYIHUYHUXRUHZUIUPZHUYHVUCUHZUIUPZVUFUPVUGVUBUYGCUXRVUCVUFUYH
      HVSKLMVUFVTZAHWEUGVUANWAZAUYGVSUGVUAABUYFIOWBWAAUYGCUYHWCZVUAABCGWCUYGBWD
      VUOSBUYFWFBCUYGGWGWHWAVUBUYHKWQWIZUYHWJZUYHKUDUPZUFUGZAVUQVUAAUYGGABCGSWK
      WLWAVUBUWJVURAUXFVUAUXGWAAVURUWJWDZVUAAGVSUGKVSUGZVUTABCIGSOWMZKHWNMWOZUY
      GGVSVSKWPWHWAXGAVUPVUQVUSVOXRZVUAAUYHVSUGVVAVVDAGUYGVSVVBWBVVCUYHVSVSKWRW
      HWAWSVUBBUXQUYEWTZUHUYNUXRVUCWTUTVUBVVEUTBVUBUYTVVEUTUMAUYSUYTXAZUXQUYDXB
      XCVEBUXQUYEXDUYOXEUYGUXRVUCVAUMVUBBUXQUYEXFXHXIVUJUXTVULVUEVUFVUIUXSHUIUX
      QUYFWDUXRUYGWDVUIUXSUMUXQUYEXJUXQUYFBXKGUXRUYGXLXMXNVUKVUDHUIUYEUYFWDVUCU
      YGWDVUKVUDUMUYEUXQXOUYEUYFBXKGVUCUYGXLXMXNXPVDVUBUYKUYBHFBUYEUKZUYDUWSGUP
      ZULZUIUPZVUFUPVUHVUBUXQCVUFEHUYDVSUXBVVJLVUMVUNAUYSUYTXQAUXBCUGZVUAEUBVMA
      BCDEFGHIJKLMNOPQRSTXSZXTUYDVSUGVUBUCYAXHVVFAVVJCUGZVUAAVVKUSAVVMUSEUCEUCV
      KZVVKVVMAVVNUXBVVJCVVNUXAVVIHUIVVNFUWRUWTVVGVVHVVNUWQUYEBUWPUYDYBZYCUWPUY
      DUWSGVRYDVFZYEVJVVLYFWAVVPYGVUBVVJVUEUYBVUFAVVJVUEUMZVUAAUXBHGBUWQUHZUHZU
      IUPZUMZUSAVVQUSEUCVVNVWAVVQAVVNUXBVVJVVTVUEVVPVVNVVSVUDHUIVVNVVRVUCGVVNUW
      QUYEBVVOVEVEVFVIVJAUXBHUXAYHUWQUWRYIZUHZYJZUIUPVVTAUWRCVWBUXAHVWCVSKLMNAB
      IUGUWRVSUGOBUWQIUUAURZAFUWRUWTCUWSUWRUGZAUWPUWSYTZBUGZUWTCUGBUWPUWSEYAZFY
      AZUUBZAVWHVOUWTVWGGVQZCUWPUWSGYKZABCVWGGSUUCUUDUUEUUFAUXAKWQWIZUXAWJZUXAK
      UDUPZUFUGZVWOAFUWRUWTUUGXHAUWJUUJZVWPAUXFVWRUFUGUXGUWJUUKURAUWRUWTFVSVWRK
      UWSUWRVWRYLUGZAVWGBUWJYLUGZUWTKUMVWFUWSVWRUGZVNZVOVWHVWGUWJUGZVNZVOVWSVWT
      VWFVWHVXBVXDVWFVWHVWKUUHVXCVXAUWPUWSUWJVWIVWJUUIUULUUMUWSUWRVWRYMVWGBUWJY
      MUUNAVWTVOUWTVWLKVWMABCVSGIUWJVWGKSAUWJUUOOVVAAVVCXHUUPUUQUURVWEUUSXGAUXA
      VSUGVVAVWNVWOVWQVOXRAFUWRUWTVSVWEUUTVVCUXAVSVSKWRWHWSUWPVSUGVWBUWRVWCUVKA
      VWIUWPUWRVSUVAYNUVBAVVSVWDHUIAUAVWBUXHGVQZULZUAVWBUWPUXHYHVQZGUPZULVVSVWD
      UAVWBVXEVXHUXHVWBUGZVXEUWPVXGYTZGVQVXHVXIUXHVXJGVXIUXHUXHUWCVQZVXGYTVXJUX
      HUWQUWRUVCVXIVXKUWPVXGVXIVXKUWQUGVXKUWPUMUXHUWQUWRUVDVXKUWPUVEURUVFYOUVGU
      WPVXGGYKUVHUVIAVVSUABVXEULZVVRUHZVXFAGVXLVVRAUABCGSYPYQVXMUAVVRVXEULZVXFV
      VRBWDVXMVXNUMBUWQWFUABVVRVXEYRYSUAVVRVWBVXEBUWPUVJUVLUVMVDAUAFVWBUWRVXGUW
      TVXHVWCUXAVXIVXGUWRUGAUXHUWQUWRUVNUVOAVWCUAVSVXGULZVWBUHZUAVWBVXGULZAYHVX
      OVWBAUAVSVSYHVSVSYHUVPVSVSYHWCAUVQVSVSYHUVRYNYPYQVWBVSWDVXPVXQUMVWBUWDUAV
      SVWBVXGYRYSVDAUXAVLUWSVXGUWPGUVSUVTUWAVFUWBYFWAVFYOVIUWEUWFUWGUWHUWI $.

    $( Write a sum over a two-dimensional region as a double sum.  (Contributed
       by Mario Carneiro, 28-Dec-2014.)  (Revised by AV, 8-Jun-2019.) $)
    gsum2d $p |- ( ph -> ( G gsum F ) = ( G gsum
      ( j e. D |-> ( G gsum ( k e. ( A " { j } ) |-> ( j F k ) ) ) ) ) ) $=
      ( csupp co cdm cres cgsu cv csn cima cmpt gsum2dlem2 cvv cxp cin suppssdm
      fssdm wrel wss relss sylc crn relssdmrn ssv xpss2 ax-mp sstrdi syl df-res
      ssind sseqtrrdi gsumres dmss resmptd oveq2d wcel gsum2dlem1 adantr fmpttd
      sstrd cdif wa wceq cop vex elimasn biimpi ad2antll eldifn ad2antrl opeldm
      nsyl eldifd cfv df-ov ssidd c0g fvexi a1i suppssr eqtrid syldan mpteq2dva
      wn anassrs cmnd ccmn cmnmnd imaexg gsumz syl2anc eqtrd suppss2 cfsupp wbr
      wfun cfn funmpt fsuppimpd dmfi wb mptexd isfsupp mpbir2and eqtr3d 3eqtr3d
      ssfid ) AHGBGKUAUBZUCZUDZUDUEUBHEYGHFBEUFZUGZUHZYIFUFZGUBZUIZUEUBZUIZUEUB
      ZHGUEUBHEDYOUIZUEUBZABCDEFGHIJKLMNOPQRSTUJABCGHIYHKLMNOSAYFBYGUKULZUMYHAY
      FBYTABCYFGGKUNSUOZAYFUPZYFYTUQAYFBUQZBUPUUBUUAPYFBURUSUUBYFYGYFUTZULZYTYF
      VAUUDUKUQUUEYTUQUUDVBUUDUKYGVCVDVEVFVHBYGVGVITVJAHYRYGUDZUEUBYQYSAUUFYPHU
      EAEDYGYOAYGBUCZDAUUCYGUUGUQUUAYFBVKVFRVRVLVMADCYRHJYGKLMNQAEDYOCAYOCVNYID
      VNABCDEFGHIJKLMNOPQRSTVOVPVQADYOEJYGKAYIDYGVSVNZVTZYOHFYKKUIZUEUBZKUUIYNU
      UJHUEUUIFYKYMKAUUHYLYKVNZYMKWAZAUUHUULVTZYIYLWBZBYFVSVNZUUMAUUNVTZUUOBYFU
      ULUUOBVNZAUUHUULUURBYIYLEWCZFWCZWDWEWFUUQYIYGVNZUUOYFVNUUHUVAXBAUULYIDYGW
      GWHYIYLYFUUSUUTWIWJWKAUUPVTYMUUOGWLKYIYLGWMABCUKGIYFUUOKSAYFWNOKUKVNZAKHW
      OMWPWQZWRWSWTXCXAVMAUUKKWAZUUHAHXDVNZYKUKVNZUVDAHXEVNUVENHXFVFABIVNUVFOBY
      JIXGVFYKFHUKKMXHXIVPXJQXKZAYRKXLXMZYRXNZYRKUAUBZXOVNZUVIAEDYOXPWQAYGUVJAY
      FXOVNYGXOVNAGKTXQYFXRVFUVGYEAYRUKVNUVBUVHUVIUVKVTXSAEDYOJQXTUVCYRUKUKKYAX
      IYBVJYCYD $.
  $}

  ${
    $d j k m n B $.  $d j k x y z D $.  $d j x y z E $.  $d j k m n x y z ph $.
    $d j k m n x y z A $.  $d j k m n x G $.  $d j k z U $.  $d m n x y z X $.
    $d k m n x y z C $.  $d j V $.  $d j k m n x z .0. $.
    gsum2d2.b $e |- B = ( Base ` G ) $.
    gsum2d2.z $e |- .0. = ( 0g ` G ) $.
    gsum2d2.g $e |- ( ph -> G e. CMnd ) $.
    gsum2d2.a $e |- ( ph -> A e. V ) $.
    gsum2d2.r $e |- ( ( ph /\ j e. A ) -> C e. W ) $.
    gsum2d2.f $e |- ( ( ph /\ ( j e. A /\ k e. C ) ) -> X e. B ) $.
    gsum2d2.u $e |- ( ph -> U e. Fin ) $.
    gsum2d2.n $e |- ( ( ph /\ ( ( j e. A /\ k e. C ) /\ -. j U k ) )
                      -> X = .0. ) $.
    $( Lemma for ~ gsum2d2 : show the function is finitely supported.
       (Contributed by Mario Carneiro, 28-Dec-2014.)  (Revised by AV,
       9-Jun-2019.) $)
    gsum2d2lem $p |- ( ph -> ( j e. A , k e. C |-> X ) finSupp .0. ) $=
      ( vz cmpo cfsupp wbr wfun csupp co cfn wcel eqid mpofun a1i csn ciun wral
      cv cxp wf ralrimivva fmpox sylib cdif wa cop wceq wex cfv nfv nfiu1 nfdif
      nfcv nfcri nfan nfmpo1 nfeq1 relxp rgenw reliun mpbir eldifi adantl elrel
      nffv sylancr nfmpo2 simprr fveq2d df-ov simprl eqeltrrd eldifad opeliunxp
      simpld simprd syldan ovmpt4g syl3anc eqtr3id eldifn ad2antrl eleq1d df-br
      wrel wn bitr4di mtbid 3eqtrd expr exlimd exlimimdd suppss ssfid ralrimiva
      jca cvv wb mpoexxg syl2anc c0g fvexi isfsupp mpbir2and ) AFGBDKUBZLUCUDZY
      CUEZYCLUFUGZUHUIZYEAFGBDKYCYCUJZUKULAEYFSAFBFUPZUMZDUQZUNZCUAYCELAKCUIZGD
      UOFBUOYLCYCURAYMFGBDRUSFGBDKCYCYHUTVAAUAUPZYLEVBZUIZVCZYNYIGUPZVDZVEZGVFZ
      YNYCVGZLVEZFAYPFAFVHFUAYOFYLEFBYKVIFEVKVJVLVMFUUBLFYNYCFGBDKVNFYNVKWCVOYQ
      YLXCZYNYLUIZUUAFVFUUDYKXCZFBUOUUFFBYJDVPVQFBYKVRVSYPUUEAYNYLEVTWAFGYNYLWB
      WDYQYTUUCGYQGVHGUUBLGYNYCFGBDKWEGYNVKWCVOAYPYTUUCAYPYTVCZVCZUUBYSYCVGZKLU
      UHYNYSYCAYPYTWFZWGUUHUUIYIYRYCUGZKYIYRYCWHUUHYIBUIZYRDUIZYMUUKKVEUUHUULUU
      MUUHYSYLUIUULUUMVCZUUHYSYLEUUHYNYSYOUUJAYPYTWIWJWKFBDYRWLVAZWMUUHUULUUMUU
      OWNAUUGUUNYMUUORWOFGBDKYCCYHWPWQWRAUUGUUNYIYREUDZXDZVCKLVEUUHUUNUUQUUOUUH
      YNEUIZUUPYPUURXDAYTYNYLEWSWTUUHUURYSEUIUUPUUHYNYSEUUJXAYIYREXBXEXFXNTWOXG
      XHXIXJXKXLAYCXOUIZLXOUIZYDYEYGVCXPABIUIDJUIZFBUOUUSPAUVAFBQXMFGBDKIJYCYHX
      QXRUUTALHXSNXTULYCXOXOLYAXRYB $.

    $( Write a group sum over a two-dimensional region as a double sum.  Note
       that ` C ( j ) ` is a function of ` j ` .  (Contributed by Mario
       Carneiro, 28-Dec-2014.) $)
    gsum2d2 $p |- ( ph -> ( G gsum ( j e. A , k e. C |-> X ) ) =
      ( G gsum ( j e. A |-> ( G gsum ( k e. C |-> X ) ) ) ) ) $=
      ( vm vn vx vy cmpo cgsu co cv csn cxp ciun cima cmpt wcel wral snex xpexg
      cvv wa sylancr ralrimiva iunexg syl2anc wrel relxp rgenw reliun mpbir a1i
      cdm cop wex eldm2 wceq eliunxp opth1 ad2antrl simprrl eqeltrd ex exlimdvv
      vex syl5bi exlimdv ssrdv wf ralrimivva eqid fmpox sylib gsum2d2lem gsum2d
      nfcv nfiu1 nfima nfmpo1 nfov nfmpt imaeq2d oveq1 mpteq12dv oveq2d elimasn
      sneq cbvmpt opeliunxp bitri baib eqrdv mpteq1d nfmpo2 oveq2 eqtrdi adantl
      simprl simprr ovmpt4g syl3anc anassrs mpteq2dva eqtrd eqtrid ) AHFGBDKUEZ
      UFUGHUABHUBFBFUHZUIZDUJZUKZUAUHZUIZULZYHUBUHZYCUGZUMZUFUGZUMZUFUGHFBHGDKU
      MZUFUGZUMZUFUGAYGCBUAUBYCHURILMNOABIUNYFURUNZFBUOYGURUNPAYSFBAYDBUNZUSZYE
      URUNDJUNYSYDUPQYEDURJUQUTVAFBYFIURVBVCYGVDZAUUBYFVDZFBUOUUCFBYEDVEVFFBYFV
      GVHVIPAUCYGVJZBUCUHZUUDUNUUEUDUHZVKZYGUNZUDVLAUUEBUNZUDUUEYGUCWBZVMAUUHUU
      IUDUUHUUGYDGUHZVKZVNZYTUUKDUNZUSZUSZGVLFVLAUUIFGBDUUGVOAUUPUUIFGAUUPUUIAU
      UPUSUUEYDBUUMUUEYDVNAUUOUUEUUFYDUUKUUJUDWBVPVQAUUMYTUUNVRVSVTWAWCWDWCWEAK
      CUNZGDUOFBUOYGCYCWFAUUQFGBDRWGFGBDKCYCYCWHZWIWJABCDEFGHIJKLMNOPQRSTWKWLAY
      OYRHUFAYOFBHUBYGYEULZYDYKYCUGZUMZUFUGZUMYRUAFBYNUVBFHYMUFFHWMFUFWMFUBYJYL
      FYGYIFBYFWNFYIWMWOFYHYKYCFYHWMFGBDKWPFYKWMWQWRWQUAUVBWMYHYDVNZYMUVAHUFUVC
      UBYJYLUUSUUTUVCYIYEYGYHYDXDWSYHYDYKYCWTXAXBXEAFBUVBYQUUAUVAYPHUFUUAUVAGDY
      DUUKYCUGZUMZYPYTUVAUVEVNAYTUVAUBDUUTUMUVEYTUBUUSDUUTYTGUUSDUUKUUSUNZYTUUN
      UVFUULYGUNUUOYGYDUUKFWBGWBXCFBDUUKXFXGXHXIXJUBGDUUTUVDGYDYKYCGYDWMFGBDKXK
      GYKWMWQUBUVDWMYKUUKYDYCXLXEXMXNUUAGDUVDKAYTUUNUVDKVNZAUUOUSYTUUNUUQUVGAYT
      UUNXOAYTUUNXPRFGBDKYCCUURXQXRXSXTYAXBXTYBXBYA $.

    gsumcom2.d $e |- ( ph -> D e. Y ) $.
    gsumcom2.c $e |- ( ph ->
      ( ( j e. A /\ k e. C ) <-> ( k e. D /\ j e. E ) ) ) $.
    $( Two-dimensional commutation of a group sum.  Note that while ` A ` and
       ` D ` are constants w.r.t. ` j , k ` , ` C ( j ) ` and ` E ( k ) ` are
       not.  (Contributed by Mario Carneiro, 28-Dec-2014.) $)
    gsumcom2 $p |- ( ph -> ( G gsum ( j e. A , k e. C |-> X ) ) =
      ( G gsum ( k e. D , j e. E |-> X ) ) ) $=
      ( vz vx vy cmpo cgsu co cv csn cxp ciun ccnv cuni cmpt ccom cvv wcel wral
      wa snex xpexg sylancr ralrimiva iunexg syl2anc ralrimivva eqid gsum2d2lem
      wf fmpox sylib wf1o wrel relxp rgenw reliun mpbir cnvf1o ax-mp relcnv cop
      wb wi nfv nfiu1 nfcnv nfel2 nfbi nfim weq eleq1d bibi12d imbi2d opeliunxp
      opeq2 3bitr4g vex opelcnv bitr4di chvarfv eqrelrdv f1oeq3d mpbiri gsumf1o
      opeq1 cfv csb wceq sneq cnveqd unieqd opswap eqtrdi df-ov eqtr4di mpomptx
      fveq2d nfcv nfcsb1v nfxp csbeq1a xpeq12d cbviun mpteq1i nfmpo2 nfov oveq2
      nfmpo1 oveq1 sylan9eq cbvmpox 3eqtr4i f1of syl fmpt sylibr eqidd fveq2 ex
      feqmptd fmptcof w3a ovmpt4g 3expia sylcom sylbird 3impib eqcomd mpoeq3dva
      3eqtr4a oveq2d eqtrd ) AJGHBDMUIZUJUKJUUQUFHEHULZUMZIUNZUOZUFULZUMZUPZUQZ
      URZUSZUJUKJHGEIMUIZUJUKAGBGULZUMZDUNZUOZCUVAUUQJUVFUTOPQRABKVAUVKUTVAZGBV
      BUVLUTVASAUVMGBAUVIBVAZVCUVJUTVADLVAUVMUVIVDTUVJDUTLVEVFVGGBUVKKUTVHVIAMC
      VAZHDVBGBVBUVLCUUQVMAUVOGHBDUAVJGHBDMCUUQUUQVKZVNVOZABCDFGHJKLMOPQRSTUAUB
      UCVLAUVAUVLUVFVPZUVAUVAUPZUVFVPZUVAVQZUVTUWAUUTVQZHEVBUWBHEUUSIVRVSHEUUTV
      TWAUFUVAWBWCAUVLUVSUVAUVFAUGUHUVLUVSUVLVQUVKVQZGBVBUWCGBUVJDVRVSGBUVKVTWA
      UVAWDAUGULZUURWEZUVLVAZUWEUVSVAZWFZWGZAUWDUHULZWEZUVLVAZUWKUVSVAZWFZWGHUH
      AUWNHAHWHUWLUWMHUWLHWHHUWKUVSHUVAHEUUTWIWJWKWLWMHUHWNZUWHUWNAUWOUWFUWLUWG
      UWMUWOUWEUWKUVLUURUWJUWDWSZWOUWOUWEUWKUVSUWPWOWPWQAUVIUURWEZUVLVAZUWQUVSV
      AZWFZWGUWIGUGAUWHGAGWHUWFUWGGGUWEUVLGBUVKWIWKUWGGWHWLWMGUGWNZUWTUWHAUXAUW
      RUWFUWSUWGUXAUWQUWEUVLUVIUWDUURXIZWOUXAUWQUWEUVSUXBWOWPWQAUWRUURUVIWEUVAV
      AZUWSAUVNUURDVAZVCZUUREVAZUVIIVAZVCZUWRUXCUEGBDUURWRHEIUVIWRWTUVIUURUVAGX
      AHXAXBXCXDXDXEXFXGZXHAUVGUVHJUJAUFUVAUVEUUQXJZURZHGEIUVIUURUUQUKZUIZUVGUV
      HUFUGEUWDUMZHUWDIXKZUNZUOZUXJURUGUHEUXOUWJUWDUUQUKZUIUXKUXMUGUHUFEUXOUXJU
      XRUVBUWKXLZUXJUWJUWDWEZUUQXJUXRUXSUVEUXTUUQUXSUVEUWKUMZUPZUQUXTUXSUVDUYBU
      XSUVCUYAUVBUWKXMXNXOUWDUWJXPXQYAUWJUWDUUQXRXSXTUFUVAUXQUXJHUGEUUTUXPUGUUT
      YBHUXNUXOHUXNYBHUWDIYCZYDHUGWNZUUSUXNIUXOUURUWDXMHUWDIYEZYFYGYHHGUGUHEIUX
      LUXOUXRUGIYBUYCUGUXLYBUHUXLYBHUWJUWDUUQHUWJYBGHBDMYIHUWDYBYJGUWJUWDUUQGUW
      JYBGHBDMYLGUWDYBYJUYEUYDGUHWNUXLUVIUWDUUQUKUXRUURUWDUVIUUQYKUVIUWJUWDUUQY
      MYNYOYPAUFUGUVAUVLUVEUWDUUQXJUXJUVFUUQAUVAUVLUVFVMZUVEUVLVAUFUVAVBAUVRUYF
      UXIUVAUVLUVFYQYRUFUVAUVLUVEUVFUVFVKYSYTAUVFUUAAUGUVLCUUQUVQUUDUWDUVEUUQUU
      BUUEAHGEIMUXLAUXFUXGUUFUXLMAUXFUXGUXLMXLZAUXHUXEUYGUEAUXEUVOUYGAUXEUVOUAU
      UCUVNUXDUVOUYGGHBDMUUQCUVPUUGUUHUUIUUJUUKUULUUMUUNUUOUUP $.
  $}

  ${
    $d j k .0. $.  $d j k G $.  $d j k ph $.  $d j k U $.  $d j k A $.
    $d j k B $.  $d j k C $.  $d j k F $.  $d j V $.
    gsumxp.b $e |- B = ( Base ` G ) $.
    gsumxp.z $e |- .0. = ( 0g ` G ) $.
    gsumxp.g $e |- ( ph -> G e. CMnd ) $.
    gsumxp.a $e |- ( ph -> A e. V ) $.
    gsumxp.r $e |- ( ph -> C e. W ) $.
    ${
      gsumxp.f $e |- ( ph -> F : ( A X. C ) --> B ) $.
      gsumxp.w $e |- ( ph -> F finSupp .0. ) $.
      $( Write a group sum over a cartesian product as a double sum.
         (Contributed by Mario Carneiro, 28-Dec-2014.)  (Revised by AV,
         9-Jun-2019.) $)
      gsumxp $p |- ( ph -> ( G gsum F ) = ( G gsum
        ( j e. A |-> ( G gsum ( k e. C |-> ( j F k ) ) ) ) ) ) $=
        ( cgsu co cxp cv csn cima cmpt cvv xpexd wrel a1i cdm wss dmxpss gsum2d
        relxp wcel wa cres crn df-ima cin df-res inxp eqtri simpr snssd sseqin2
        wceq sylib inv1 xpeq12d eqtrid rneqd c0 wne vex snnz rnxp ax-mp mpteq1d
        eqtrdi oveq2d mpteq2dva eqtrd ) AHGSTHEBHFBDUAZEUBZUCZUDZWEFUBGTZUEZSTZ
        UEZSTHEBHFDWHUEZSTZUEZSTAWDCBEFGHUFIKLMNABDIJOPUGWDUHABDUNUIOWDUJBUKABD
        ULUIQRUMAWKWNHSAEBWJWMAWEBUOZUPZWIWLHSWPFWGDWHWPWGWDWFUQZURZDWDWFUSWPWR
        WFDUAZURZDWPWQWSWPWQBWFUTZDUFUTZUAZWSWQWDWFUFUAUTXCWDWFVABDWFUFVBVCWPXA
        WFXBDWPWFBUKXAWFVGWPWEBAWOVDVEWFBVFVHXBDVGWPDVIUIVJVKVLWFVMVNWTDVGWEEVO
        VPWFDVQVRVTVKVSWAWBWAWC $.
    $}

    gsumcom.f $e |- ( ( ph /\ ( j e. A /\ k e. C ) ) -> X e. B ) $.
    gsumcom.u $e |- ( ph -> U e. Fin ) $.
    gsumcom.n $e |- ( ( ph /\ ( ( j e. A /\ k e. C ) /\ -. j U k ) )
                      -> X = .0. ) $.
    $( Commute the arguments of a double sum.  (Contributed by Mario Carneiro,
       28-Dec-2014.) $)
    gsumcom $p |- ( ph -> ( G gsum ( j e. A , k e. C |-> X ) ) =
      ( G gsum ( k e. C , j e. A |-> X ) ) ) $=
      ( wcel cv adantr wa wb ancom a1i gsumcom2 ) ABCDDEFGBHIJKJLMNOPADJUAFUBBU
      AZQUCRSTQUIGUBDUAZUDUJUIUDUEAUIUJUFUGUH $.
  $}

  ${
    $d j k A $.  $d j k B $.  $d j k C $.  $d j k G $.  $d j k U $.  $d j V $.
    $d j k .0. $.  $d j k ph $.  $d k W $.
    gsumcom3.b $e |- B = ( Base ` G ) $.
    gsumcom3.z $e |- .0. = ( 0g ` G ) $.
    gsumcom3.g $e |- ( ph -> G e. CMnd ) $.
    gsumcom3.a $e |- ( ph -> A e. V ) $.
    gsumcom3.r $e |- ( ph -> C e. W ) $.
    gsumcom3.f $e |- ( ( ph /\ ( j e. A /\ k e. C ) ) -> X e. B ) $.
    gsumcom3.u $e |- ( ph -> U e. Fin ) $.
    gsumcom3.n $e |- ( ( ph /\ ( ( j e. A /\ k e. C ) /\ -. j U k ) )
       -> X = .0. ) $.
    $( A commutative law for finitely supported iterated sums.  (Contributed by
       Stefan O'Rear, 2-Nov-2015.) $)
    gsumcom3 $p |- ( ph -> ( G gsum ( j e. A |-> ( G gsum ( k e. C |->
        X ) ) ) ) = ( G gsum ( k e. C |-> ( G gsum ( j e. A |-> X ) ) ) ) ) $=
      ( cmpo cgsu co cmpt gsumcom wcel cv adantr gsum2d2 ccnv ancom2s cfn cnvfi
      syl wa wbr wn wceq ancom vex brcnv notbii anbi12i sylan2b 3eqtr3d ) AHFGB
      DKUAUBUCHGFDBKUAUBUCHFBHGDKUDUBUCUDUBUCHGDHFBKUDUBUCUDUBUCABCDEFGHIJKLMNO
      PQRSTUEABCDEFGHIJKLMNOPADJUFFUGZBUFZQUHRSTUIADCBEUJZGFHJIKLMNOQABIUFGUGZD
      UFZPUHAVGVJKCUFRUKAEULUFVHULUFSEUMUNVJVGUOZVIVFVHUPZUQZUOAVGVJUOZVFVIEUPZ
      UQZUOKLURVKVNVMVPVJVGUSVLVOVIVFEGUTFUTVAVBVCTVDUIVE $.
  $}

  ${
    $d j k A $.  $d j k B $.  $d j k C $.  $d j k G $.  $d j k ph $.
    gsumcom3fi.b $e |- B = ( Base ` G ) $.
    gsumcom3fi.g $e |- ( ph -> G e. CMnd ) $.
    gsumcom3fi.a $e |- ( ph -> A e. Fin ) $.
    gsumcom3fi.r $e |- ( ph -> C e. Fin ) $.
    gsumcom3fi.f $e |- ( ( ph /\ ( j e. A /\ k e. C ) ) -> X e. B ) $.
    $( A commutative law for finite iterated sums.  (Contributed by Stefan
       O'Rear, 5-Sep-2015.) $)
    gsumcom3fi $p |- ( ph -> ( G gsum ( j e. A |-> ( G gsum ( k e. C |->
        X ) ) ) ) = ( G gsum ( k e. C |-> ( G gsum ( j e. A |-> X ) ) ) ) ) $=
      ( cxp cfn c0g cfv wcel cv wa eqid xpfi syl2anc wbr wn wceq biimpri adantl
      brxp pm2.24d impr gsumcom3 ) ABCDBDNZEFGOOHGPQZIUNUAJKLMABORDORUMORKLBDUB
      UCAESZBRFSZDRTZUOUPUMUDZUEHUNUFZAUQTURUSUQURAURUQUOUPBDUIUGUHUJUKUL $.
  $}

  ${
    $d A j k $.  $d B j k $.  $d C j k $.  $d G j k $.  $d F j k $.  $d V j $.
    $d W k $.  $d .0. j k $.  $d ph j k $.
    gsumxp2.b $e |- B = ( Base ` G ) $.
    gsumxp2.z $e |- .0. = ( 0g ` G ) $.
    gsumxp2.g $e |- ( ph -> G e. CMnd ) $.
    gsumxp2.a $e |- ( ph -> A e. V ) $.
    gsumxp2.r $e |- ( ph -> C e. W ) $.
    gsumxp2.f $e |- ( ph -> F : ( A X. C ) --> B ) $.
    gsumxp2.w $e |- ( ph -> F finSupp .0. ) $.
    $( Write a group sum over a cartesian product as a double sum in two ways.
       This corresponds to the first equation in [Lang] p. 6.  (Contributed by
       AV, 27-Dec-2023.) $)
    gsumxp2 $p |- ( ph
          -> ( G gsum ( k e. C |-> ( G gsum ( j e. A |-> ( j F k ) ) ) ) )
           = ( G gsum ( j e. A |-> ( G gsum ( k e. C |-> ( j F k ) ) ) ) ) ) $=
      ( co wcel cv cmpt cgsu csupp fovrnda fsuppimpd wa wbr wn wceq cop cfv cxp
      simpl opelxpi ad2antlr simpr eldifd cvv ssidd xpexd c0g fvexi a1i suppssr
      cdif syl2an2r ex df-br notbii df-ov eqeq1i 3imtr4g impr gsumcom3 eqcomd )
      AHEBHFDEUAZFUAZGSZUBUCSUBUCSHFDHEBVSUBUCSUBUCSABCDGKUDSZEFHIJVSKLMNOPAVQV
      RCBDGQUEAGKRUFAVQBTVRDTUGZVQVRVTUHZUIZVSKUJZAWAUGZVQVRUKZVTTZUIZWFGULZKUJ
      ZWCWDWEWHWJWEAWHWFBDUMZVTVFTWJAWAUNWEWHUGWFWKVTWAWFWKTAWHVQVRBDUOUPWEWHUQ
      URAWKCUSGUSVTWFKQAVTUTABDIJOPVAKUSTAKHVBMVCVDVEVGVHWBWGVQVRVTVIVJVSWIKVQV
      RGVKVLVMVNVOVP $.
  $}

  ${
    $d a x y I $.  $d a x y J $.  $d a R $.  $d a U $.  $d a x y Y $.
    $d a x y ph $.
    prdsgsum.y $e |- Y = ( S Xs_ ( x e. I |-> R ) ) $.
    prdsgsum.b $e |- B = ( Base ` R ) $.
    prdsgsum.z $e |- .0. = ( 0g ` Y ) $.
    prdsgsum.i $e |- ( ph -> I e. V ) $.
    prdsgsum.j $e |- ( ph -> J e. W ) $.
    prdsgsum.s $e |- ( ph -> S e. X ) $.
    prdsgsum.r $e |- ( ( ph /\ x e. I ) -> R e. CMnd ) $.
    prdsgsum.f $e |- ( ( ph /\ ( x e. I /\ y e. J ) ) -> U e. B ) $.
    prdsgsum.w $e |- ( ph -> ( y e. J |-> ( x e. I |-> U ) ) finSupp .0. ) $.
    $( Finite commutative sums in a product structure are taken componentwise.
       (Contributed by Stefan O'Rear, 1-Feb-2015.)  (Revised by Mario Carneiro,
       3-Jul-2015.)  (Revised by AV, 9-Jun-2019.) $)
    prdsgsum $p |- ( ph -> ( Y gsum ( y e. J |-> ( x e. I |-> U ) ) ) =
        ( x e. I |-> ( R gsum ( y e. J |-> U ) ) ) ) $=
      ( va cmpt cgsu co cv cfv wfn wceq cbs eqid ccmn fmpttd ffnd prdscmnd wcel
      wa wral anassrs ralrimiva prdsbasmpt2 adantr mpbird gsumcl prdsbasfn nfcv
      an32s wb nfmpt1 nfmpt dffn5f sylib simpr fvmpt2 syl2an2r mpteq2dva oveq2d
      nfov cmnd cmnmnd syl cmhm wf prdspjmhm syl2anc eleqtrd adantlr cfsupp wbr
      fveq1 gsummhm2 eqtr3d eqtr4d ) AMCIBHGUEZUEZUFUGZBHBUHZWRUIZUEZBHECIGUEZU
      FUGZUEAWRHUJWRXAUKAMULUIZBHEUEZFWRHLJMOXDUMZTRAHUNXEABHEUNUAUOZUPAIXDWQMK
      NXFQAXEFHLJMORTXGUQZSACIWPXDACUHIURZUSZWPXDURZGDURZBHUTZXJXLBHAWSHURZXIXL
      AXNXIXLUBVAZVIVBAXKXMVJXIABXDEFGHDLJUNMOXFTRAEUNURZBHUAVBPVCVDVEZUOUCVFVG
      BHWRBMWQUFBMVHBUFVHBCIWPBIVHBHGVKVLVTVMVNABHXCWTAXNUSZECIWSWPUIZUEZUFUGXC
      WTXRXTXBEUFXRCIXSGXRXNXIXLXSGUKAXNVOZXOBHGDWPWPUMVPVQVRVSXRUDIXDWSUDUHZUI
      ZXSCWTMEKWPNXFQAMUNURXNXHVDXRXPEWAURUAEWBWCZAIKURXNSVDXRUDXDYCUEMWSXEUIZW
      DUGMEWDUGXRUDWSXDXEFHJLMOXFAHJURXNRVDAFLURXNTVDAHWAXEWEXNABHEWAYDUOVDYAWF
      XRYEEMWDXRXNXPYEEUKYAUABHEUNXEXEUMVPWGVSWHAXIXKXNXQWIAWQNWJWKXNUCVDWSYBWP
      WLWSYBWRWLWMWNVRWO $.
  $}

  ${
    $d x y B $.  $d x y I $.  $d x y ph $.  $d x y .0. $.  $d x y J $.
    $d x y R $.  $d x y Y $.
    pwsgsum.y $e |- Y = ( R ^s I ) $.
    pwsgsum.b $e |- B = ( Base ` R ) $.
    pwsgsum.z $e |- .0. = ( 0g ` Y ) $.
    pwsgsum.i $e |- ( ph -> I e. V ) $.
    pwsgsum.j $e |- ( ph -> J e. W ) $.
    pwsgsum.r $e |- ( ph -> R e. CMnd ) $.
    pwsgsum.f $e |- ( ( ph /\ ( x e. I /\ y e. J ) ) -> U e. B ) $.
    pwsgsum.w $e |- ( ph -> ( y e. J |-> ( x e. I |-> U ) ) finSupp .0. ) $.
    $( Finite commutative sums in a power structure are taken componentwise.
       (Contributed by Stefan O'Rear, 1-Feb-2015.)  (Revised by Mario Carneiro,
       3-Jul-2015.)  (Revised by AV, 9-Jun-2019.) $)
    pwsgsum $p |- ( ph -> ( Y gsum ( y e. J |-> ( x e. I |-> U ) ) ) =
       ( x e. I |-> ( R gsum ( y e. J |-> U ) ) ) ) $=
      ( cmpt cgsu co csca cfv csn cxp ccmn wcel wceq eqid pwsval syl2anc oveq1d
      cprds cvv c0g fconstmpt oveq2i fvexd adantr cfsupp fveq2d eqtrid prdsgsum
      cv breqtrd eqtrd ) AKCHBGFUAUAZUBUCEUDUEZGEUFUGZUOUCZVIUBUCBGECHFUAUBUCUA
      AKVLVIUBAEUHUIZGIUIKVLUJRPEVJGUHIKMVJUKULUMZUNABCDEVJFGHIJUPVLVLUQUEZVKBG
      EUAVJUOBGEURUSNVOUKPQAEUDUTAVMBVFGUIRVASAVILVOVBTALKUQUEVOOAKVLUQVNVCVDVG
      VEVH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Group sums over (ranges of) integers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    nn0gsumfz.b $e |- B = ( Base ` G ) $.
    nn0gsumfz.0 $e |- .0. = ( 0g ` G ) $.
    nn0gsumfz.g $e |- ( ph -> G e. CMnd ) $.
    nn0gsumfz.f $e |- ( ph -> F e. ( B ^m NN0 ) ) $.
    ${
      $d F x $.  $d S x $.  $d .0. x $.
      fsfnn0gsumfsffz.s $e |- ( ph -> S e. NN0 ) $.
      fsfnn0gsumfsffz.h $e |- H = ( F |` ( 0 ... S ) ) $.
      $( Replacing a finitely supported function over the nonnegative integers
         by a function over a finite set of sequential integers in a finite
         group sum.  (Contributed by AV, 9-Oct-2019.) $)
      fsfnn0gsumfsffz $p |- ( ph -> ( A. x e. NN0 ( S < x -> ( F ` x ) = .0. )
                                   -> ( G gsum F ) = ( G gsum H ) ) ) $=
        ( cn0 cgsu co cvv wcel adantr cv clt wbr cfv wceq wi wral wa cc0 oveq2i
        cfz cres ccmn nn0ex a1i wf cmap elmapi syl c0g fvexi simpr suppssfz wss
        csupp cfsupp wfun w3a elmapfun 3jca fzfid anim1i suppssfifsupp syl2an2r
        cfn syldan gsumres eqtr2id ex ) ADBUAZUBUCVTEUDHUEUFBOUGZFEPQZFGPQZUEAW
        AUHZWCFEUIDUKQZULZPQWBGWFFPNUJWDOCEFRWEHIJAFUMSWAKTORSWDUNUOAOCEUPZWAAE
        COUQQZSZWGLECOURUSTWDBCDERHHRSZWDHFUTJVAZUOAWIWALTADOSWAMTAWAVBVCZAWAEH
        VEQWEVDZEHVFUCZWLAWIEVGZWJVHWMWEVOSZWMUHWNAWIWOWJLAWIWOLECOVIUSWJAWKUOV
        JAWPWMAUIDVKVLWEEWHRHVMVNVPVQVRVS $.
    $}

    $d B f $.  $d F f s x $.  $d G f $.  $d .0. f s x $.  $d ph f s $.
    nn0gsumfz.y $e |- ( ph -> F finSupp .0. ) $.
    $( Replacing a finitely supported function over the nonnegative integers by
       a function over a finite set of sequential integers in a finite group
       sum.  (Contributed by AV, 9-Oct-2019.) $)
    nn0gsumfz $p |- ( ph -> E. s e. NN0 E. f e. ( B ^m ( 0 ... s ) )
                             ( f = ( F |` ( 0 ... s ) )
                               /\ A. x e. NN0 ( s < x -> ( F ` x ) = .0. )
                               /\ ( G gsum F ) = ( G gsum f ) ) ) $=
      ( cv wceq cn0 wrex co cgsu wcel clt wbr cfv wi wral cc0 cfz cres w3a cmap
      cvv wa cfsupp fvexi jctir fsuppmapnn0ub sylc eqidd simpr ccmn adantr eqid
      c0g fsfnn0gsumfsffz imp fz0ssnn0 elmapssres sylancl wb eqeq1 oveq2 eqeq2d
      wss 3anbi13d adantl rspcedv mp3and ex reximdva mpd ) AHNZBNZUAUBWBEUCGOUD
      BPUEZHPQZDNZEUFWAUGRZUHZOZWCFESRZFWESRZOZUIZDCWFUJRZQZHPQAECPUJRTZGUKTZUL
      EGUMUBWDAWOWPLGFVCJUNUOMBCHEUKGUPUQAWCWNHPAWAPTZULZWCWNWRWCULZWGWGOZWCWIF
      WGSRZOZWNWSWGURWRWCUSWRWCXBWRBCWAEFWGGIJAFUTTWQKVAAWOWQLVAZAWQUSWGVBVDVEW
      SWLWTWCXBUIZDWGWMWSWOWFPVMWGWMTWRWOWCXCVAWAVFECPWFVGVHWHWLXDVIWSWHWHWTWKX
      BWCWEWGWGVJWHWJXAWIWEWGFSVKVLVNVOVPVQVRVSVT $.

    $( Replacing a finitely supported function over the nonnegative integers by
       a function over a finite set of sequential integers in a finite group
       sum.  (Contributed by AV, 9-Oct-2019.) $)
    nn0gsumfz0 $p |- ( ph -> E. s e. NN0 E. f e. ( B ^m ( 0 ... s ) )
                             ( G gsum F ) = ( G gsum f ) ) $=
      ( vx cv co wceq cn0 cgsu wrex reximi cc0 cfz cres clt wbr cfv wi wral w3a
      cmap nn0gsumfz simp3 syl ) ACNZDUAGNZUBOZUCPZUOMNZUDUEURDUFFPUGMQUHZEDROE
      UNROPZUIZCBUPUJOZSZGQSUTCVBSZGQSAMBCDEFGHIJKLUKVCVDGQVAUTCVBUQUSUTULTTUM
      $.
  $}

  ${
    $d B k $.  $d C x $.  $d S k x $.  $d .0. k x $.  $d ph x $.
    gsummptnn0fz.b $e |- B = ( Base ` G ) $.
    gsummptnn0fz.0 $e |- .0. = ( 0g ` G ) $.
    gsummptnn0fz.g $e |- ( ph -> G e. CMnd ) $.
    gsummptnn0fz.f $e |- ( ph -> A. k e. NN0 C e. B ) $.
    gsummptnn0fz.s $e |- ( ph -> S e. NN0 ) $.
    gsummptnn0fz.u $e |- ( ph -> A. k e. NN0 ( S < k -> C = .0. ) ) $.
    $( A final group sum over a function over the nonnegative integers (given
       as mapping) is equal to a final group sum over a finite interval of
       nonnegative integers.  (Contributed by AV, 10-Oct-2019.)  (Revised by
       AV, 3-Jul-2022.) $)
    gsummptnn0fz $p |- ( ph -> ( G gsum ( k e. NN0 |-> C ) )
                               = ( G gsum ( k e. ( 0 ... S ) |-> C ) ) ) $=
      ( vx cn0 wceq wral co wcel wa cv clt wbr cmpt cfv wi cgsu cc0 cfz csb nfv
      nfcsb1v nfeq1 nfim breq2 csbeq1a eqeq1d imbi12d cbvralw anim1ci rspcsbela
      sylib simpr syl jca adantr eqid fvmpts eqtrd ex imim2d ralimdva cmap fmpt
      mpd wf cvv wb cbs fvexi nn0ex pm3.2i elmapg mp1i mpbird cres wss fz0ssnn0
      resmpt ax-mp eqcomi fsfnn0gsumfsffz ) ADNUAZUBUCZWMEOCUDZUEZGPZUFZNOQZFWO
      UGRFEUHDUIRZCUDZUGRPAWNEWMCUJZGPZUFZNOQZWSADEUAZUBUCZCGPZUFZEOQXEMXIXDENO
      XINUKWNXCEWNEUKEXBGEWMCULUMUNXFWMPZXGWNXHXCXFWMDUBUOXJCXBGEWMCUPUQURUSVBA
      XDWRNOAWMOSZTZXCWQWNXLXCWQXLXCTZWPXBGXMXKXBBSZTZWPXBPXLXOXCXLXKXNAXKVCXLX
      KCBSEOQZTXNAXPXKKUTEWMOCBVAVDVEVFEWMCOWOBWOVGZVHVDXLXCVCVIVJVKVLVOANBDWOF
      XAGHIJAWOBOVMRSZOBWOVPZAXPXSKEOBCWOXQVNVBBVQSZOVQSZTXRXSVRAXTYABFVSHVTWAW
      BBOWOVQVQWCWDWELWOWTWFZXAWTOWGYBXAPDWHEOWTCWIWJWKWLVO $.
  $}

  ${
    $d B k $.  $d F k x $.  $d S k x $.  $d .0. k x $.  $d ph k x $.
    gsummptnn0fzfv.b $e |- B = ( Base ` G ) $.
    gsummptnn0fzfv.0 $e |- .0. = ( 0g ` G ) $.
    gsummptnn0fzfv.g $e |- ( ph -> G e. CMnd ) $.
    gsummptnn0fzfv.f $e |- ( ph -> F e. ( B ^m NN0 ) ) $.
    gsummptnn0fzfv.s $e |- ( ph -> S e. NN0 ) $.
    gsummptnn0fzfv.u $e |- ( ph
                               -> A. x e. NN0 ( S < x -> ( F ` x ) = .0. ) ) $.
    $( A final group sum over a function over the nonnegative integers (given
       as mapping to its function values) is equal to a final group sum over a
       finite interval of nonnegative integers.  (Contributed by AV,
       10-Oct-2019.) $)
    gsummptnn0fzfv $p |- ( ph -> ( G gsum ( k e. NN0 |-> ( F ` k ) ) )
                          = ( G gsum ( k e. ( 0 ... S ) |-> ( F ` k ) ) ) ) $=
      ( cv cfv wcel cn0 wi clt cmap co wf elmapi ffvelrn 3syl ralrimiv wbr wceq
      ex wral weq breq2 fveqeq2 imbi12d cbvralvw sylib gsummptnn0fz ) ACEOZFPZD
      EGHIJKAUTCQZERAFCRUAUBQRCFUCZUSRQZVASLFCRUDVBVCVARCUSFUEUJUFUGMADBOZTUHZV
      DFPHUIZSZBRUKDUSTUHZUTHUIZSZERUKNVGVJBERBEULVEVHVFVIVDUSDTUMVDUSHFUNUOUPU
      QUR $.
  $}

  ${
    $d B i k $.  $d C i $.  $d G i $.  $d M i k $.  $d .- i $.  $d ph i $.
    $d i k y $.
    telgsumfzs.b $e |- B = ( Base ` G ) $.
    telgsumfzs.g $e |- ( ph -> G e. Abel ) $.
    telgsumfzs.m $e |- .- = ( -g ` G ) $.
    $( Lemma for ~ telgsumfzs (induction step).  (Contributed by AV,
       23-Nov-2019.) $)
    telgsumfzslem $p |- ( ( y e. ( ZZ>= ` M )
                      /\ ( ph /\ A. k e. ( M ... ( ( y + 1 ) + 1 ) ) C e. B ) )
                 -> ( ( G gsum ( i e. ( M ... y )
                             |-> ( [_ i / k ]_ C .- [_ ( i + 1 ) / k ]_ C ) ) )
                    = ( [_ M / k ]_ C .- [_ ( y + 1 ) / k ]_ C )
                 -> ( G gsum ( i e. ( M ... ( y + 1 ) )
                             |-> ( [_ i / k ]_ C .- [_ ( i + 1 ) / k ]_ C ) ) )
                    = ( [_ M / k ]_ C .- [_ ( ( y + 1 ) + 1 ) / k ]_ C ) ) ) $=
      ( wcel c1 caddc co csb wceq adantr syl cv cuz cfv cfz wral wa cmpt cplusg
      cgsu eqid ccmn cabl ablcmn adantl fzfid cgrp ablgrp ad2antrl fzelp1 simpr
      csn rspcsbela syl2anr fzp1elp1 grpsubcl syl3anc cin c0 fzp1disj a1i fzsuc
      cun gsummptfidmsplit cvv cmnd grpmndd ovexd peano2uz eluzfz2 syl2an oveq1
      csbeq1 csbeq1d oveq12d gsumsnd eluzfz1 grpnpncan syl13anc 3eqtrd ex ) BUA
      ZHUBUCZMZADCMFHWKNOPZNOPZUDPZUEZUFZUFZGEHWKUDPZFEUAZDQZFXANOPZDQZIPZUGUIP
      ZFHDQZFWNDQZIPZRZGEHWNUDPZXEUGUIPZXGFWODQZIPZRWSXJUFZXLXFGEWNVAZXEUGUIPZG
      UHUCZPZXIXHXMIPZXRPZXNWSXLXSRXJWSXKCWTXPXREGXEJXRUJZWRGUKMZWMWRGULMZYCAYD
      WQKSGUMTUNWSHWNUOWSXAXKMZUFGUPMZXBCMZXDCMZXECMWSYFYEAYFWMWQAYDYFKGUQTZURZ
      SYEXAWPMWQYGWSXAHWNUSWRWQWMAWQUTZUNZFXAWPDCVBVCYEXCWPMWQYHWSXAHWNVDYLFXCW
      PDCVBVCCGIXBXDJLVEVFWTXPVGVHRWSHWKVIVJWMXKWTXPVLRWRHWKVKSVMSXOXFXIXQXTXRW
      SXJUTWSXQXTRXJWSXECXTEGWNVNJAGVOMWMWQAGYIVPURWSWKNOVQWSYFXHCMZXMCMZXTCMYJ
      WMWNWPMZWQYMWRWMWNXKMZYOWMWNWLMZYPHWKVRZHWNVSTWNHWNUSTYKFWNWPDCVBVTZWMWOW
      PMZWQYNWRWMWOWLMZYTWMYQUUAYRHWNVRTZHWOVSTYKFWOWPDCVBVTZCGIXHXMJLVEVFXAWNR
      ZXEXTRWSUUDXBXHXDXMIFXAWNDWBUUDFXCWODXAWNNOWAWCWDUNWESWDWSYAXNRZXJWSYFXGC
      MZYMYNUUEYJWMHWPMZWQUUFWRWMUUAUUGUUBHWOWFTYKFHWPDCVBVTYSUUCCXRGIXGXHXMJYB
      LWGWHSWIWJ $.

    $d B x y $.  $d C x y $.  $d G x y $.  $d M x y $.  $d N i k x $.
    $d .- x y $.  $d ph x y $.
    telgsumfzs.n $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    telgsumfzs.f $e |- ( ph -> A. k e. ( M ... ( N + 1 ) ) C e. B ) $.
    $( Telescoping group sum ranging over a finite set of sequential integers,
       using explicit substitution.  (Contributed by AV, 23-Nov-2019.) $)
    telgsumfzs $p |- ( ph -> ( G gsum ( i e. ( M ... N )
                          |-> ( [_ i / k ]_ C .- [_ ( i + 1 ) / k ]_ C ) ) )
                              = ( [_ M / k ]_ C .- [_ ( N + 1 ) / k ]_ C ) ) $=
      ( wcel c1 co cfz wceq oveq2d vx vy caddc wral cv csb cmpt cgsu cuz cfv wi
      wa oveq1 raleqdv anbi2d oveq2 mpteq1d csbeq1d eqeq12d imbi12d csn eluzel2
      cz syl adantr fzsn cmnd cabl cgrp grpmndd uzid peano2uz eluzfz1 rspcsbela
      ablgrp sylancom eluzfz2 syl3anc csbeq1 oveq12d adantl eqtrd telgsumfzslem
      grpsubcl gsumsnd ex wss cle wbr eluzelz peano2zd peano2z zred lep1d eluz2
      cr syl3anbrc fzss2 ssralv adantld a2and uzind4i expd mpcom mpd ) ACBOZEGI
      PUCQZRQZUDZFDGIRQZEDUEZCUFZEXKPUCQZCUFZHQZUGZUHQZEGCUFZEXGCUFZHQZSZNIGUIU
      JZOZAXIYAUKMYCAXIYAAXFEGUAUEZPUCQZRQZUDZULZFDGYDRQZXOUGZUHQZXREYECUFZHQZS
      ZUKAXFEGGPUCQZRQZUDZULZFDGGRQZXOUGZUHQZXREYOCUFZHQZSZUKAXFEGUBUEZPUCQZRQZ
      UDZULZFDGUUERQZXOUGZUHQZXREUUFCUFZHQZSZUKAXFEGUUFPUCQZRQZUDZULZFDUUGXOUGZ
      UHQZXREUUPCUFZHQZSZUKAXIULZYAUKUAUBGIYDGSZYHYRYNUUDUVFYGYQAUVFXFEYFYPUVFY
      EYOGRYDGPUCUMZTUNUOUVFYKUUAYMUUCUVFYJYTFUHUVFDYIYSXOYDGGRUPUQTUVFYLUUBXRH
      UVFEYEYOCUVGURTUSUTYDUUESZYHUUIYNUUOUVHYGUUHAUVHXFEYFUUGUVHYEUUFGRYDUUEPU
      CUMZTUNUOUVHYKUULYMUUNUVHYJUUKFUHUVHDYIUUJXOYDUUEGRUPUQTUVHYLUUMXRHUVHEYE
      UUFCUVIURTUSUTYDUUFSZYHUUSYNUVDUVJYGUURAUVJXFEYFUUQUVJYEUUPGRYDUUFPUCUMZT
      UNUOUVJYKUVAYMUVCUVJYJUUTFUHUVJDYIUUGXOYDUUFGRUPUQTUVJYLUVBXRHUVJEYEUUPCU
      VKURTUSUTYDISZYHUVEYNYAUVLYGXIAUVLXFEYFXHUVLYEXGGRYDIPUCUMZTUNUOUVLYKXQYM
      XTUVLYJXPFUHUVLDYIXJXOYDIGRUPUQTUVLYLXSXRHUVLEYEXGCUVMURTUSUTYRUUAFDGVAZX
      OUGZUHQUUCYRYTUVOFUHYRDYSUVNXOYRGVCOZYSUVNSAUVPYQAYCUVPMGIVBVDVEZGVFVDUQT
      YRXOBUUCDFGVCJAFVGOYQAFAFVHOFVIOZKFVOVDZVJVEUVQYRUVRXRBOZUUBBOZUUCBOAUVRY
      QUVSVEAYQGYPOZUVTYRYOYBOZUWBYRGYBOZUWCYRUVPUWDUVQGVKVDGGVLVDZGYOVMVDEGYPC
      BVNVPAYQYOYPOZUWAYRUWCUWFUWEGYOVQVDEYOYPCBVNVPBFHXRUUBJLWDVRXKGSZXOUUCSYR
      UWGXLXRXNUUBHEXKGCVSUWGEXMYOCXKGPUCUMURVTWAWEWBUUEYBOZAUUHUVDUUOUURUWHUUS
      UUOUVDUKAUBBCDEFGHJKLWCWFUWHUURUUHAUWHUUGUUQWGZUURUUHUKUWHUUPUUFUIUJOZUWI
      UWHUUFVCOUUPVCOUUFUUPWHWIUWJUWHUUEGUUEWJZWKZUWHUUFUWLWKUWHUUFUWHUUEVCOZUU
      FWPOUWKUWMUUFUUEWLWMVDWNUUFUUPWOWQUUFGUUPWRVDXFEUUGUUQWSVDWTXAXBXCXDXE $.
  $}

  ${
    $d A i $.  $d B i k $.  $d C k $.  $d D k $.  $d E k $.  $d G i $.
    $d L k $.  $d M i k $.  $d N i k $.  $d .- i $.  $d ph i k $.
    telgsumfz.b $e |- B = ( Base ` G ) $.
    telgsumfz.g $e |- ( ph -> G e. Abel ) $.
    telgsumfz.m $e |- .- = ( -g ` G ) $.
    telgsumfz.n $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    telgsumfz.f $e |- ( ph -> A. k e. ( M ... ( N + 1 ) ) A e. B ) $.
    telgsumfz.l $e |- ( k = i -> A = L ) $.
    telgsumfz.c $e |- ( k = ( i + 1 ) -> A = C ) $.
    telgsumfz.d $e |- ( k = M -> A = D ) $.
    telgsumfz.e $e |- ( k = ( N + 1 ) -> A = E ) $.
    $( Telescoping group sum ranging over a finite set of sequential integers,
       using implicit substitution, analogous to ~ telfsum .  (Contributed by
       AV, 23-Nov-2019.) $)
    telgsumfz $p |- ( ph -> ( G gsum ( i e. ( M ... N )
                                   |-> ( L .- C ) ) ) = ( D .- E ) ) $=
      ( cfz co cmpt cgsu cv csb c1 caddc wcel wa simpr adantl csbied eqcomd cvv
      wceq ovexd oveq12d mpteq2dva oveq2d telgsumfzs cuz elfvexd 3eqtrd ) AIFKM
      UCUDZJDLUDZUEZUFUDIFVGGFUGZBUHZGVJUIUJUDZBUHZLUDZUEZUFUDGKBUHZGMUIUJUDZBU
      HZLUDEHLUDAVIVOIUFAFVGVHVNAVJVGUKZULZJVKDVMLVTVKJVTGVJBJVGAVSUMGUGZVJURBJ
      URVTSUNUOUPVTVMDVTGVLBDUQVTVJUIUJUSWAVLURBDURVTTUNUOUPUTVAVBACBFGIKLMNOPQ
      RVCAVPEVRHLAGKBEUQAMVDKQVEWAKURBEURAUAUNUOAGVQBHUQAMUIUJUSWAVQURBHURAUBUN
      UOUTVF $.
  $}

  ${
    $d B i k $.  $d C i $.  $d G i $.  $d S i k $.  $d .- i $.  $d ph i $.
    telgsumfz0s.b $e |- B = ( Base ` G ) $.
    telgsumfz0s.g $e |- ( ph -> G e. Abel ) $.
    telgsumfz0s.m $e |- .- = ( -g ` G ) $.
    telgsumfz0s.s $e |- ( ph -> S e. NN0 ) $.
    telgsumfz0s.f $e |- ( ph -> A. k e. ( 0 ... ( S + 1 ) ) C e. B ) $.
    $( Telescoping finite group sum ranging over nonnegative integers, using
       explicit substitution.  (Contributed by AV, 24-Oct-2019.)  (Proof
       shortened by AV, 25-Nov-2019.) $)
    telgsumfz0s $p |- ( ph -> ( G gsum ( i e. ( 0 ... S )
                          |-> ( [_ i / k ]_ C .- [_ ( i + 1 ) / k ]_ C ) ) )
                              = ( [_ 0 / k ]_ C .- [_ ( S + 1 ) / k ]_ C ) ) $=
      ( cc0 cn0 cuz cfv nn0uz eleqtrdi telgsumfzs ) ABCEFGNHDIJKADONPQLRSMT $.
  $}

  ${
    $d A i $.  $d B k $.  $d C k $.  $d D k $.  $d E k $.  $d G i $.
    $d K i k $.  $d S i k $.  $d .- i $.  $d ph i k $.
    telgsumfz0.k $e |- K = ( Base ` G ) $.
    telgsumfz0.g $e |- ( ph -> G e. Abel ) $.
    telgsumfz0.m $e |- .- = ( -g ` G ) $.
    telgsumfz0.s $e |- ( ph -> S e. NN0 ) $.
    telgsumfz0.f $e |- ( ph -> A. k e. ( 0 ... ( S + 1 ) ) A e. K ) $.
    telgsumfz0.a $e |- ( k = i -> A = B ) $.
    telgsumfz0.c $e |- ( k = ( i + 1 ) -> A = C ) $.
    telgsumfz0.d $e |- ( k = 0 -> A = D ) $.
    telgsumfz0.e $e |- ( k = ( S + 1 ) -> A = E ) $.
    $( Telescoping finite group sum ranging over nonnegative integers, using
       implicit substitution, analogous to ~ telfsum .  (Contributed by AV,
       23-Nov-2019.) $)
    telgsumfz0 $p |- ( ph -> ( G gsum ( i e. ( 0 ... S )
                                        |-> ( B .- C ) ) ) = ( D .- E ) ) $=
      ( cc0 cfz co cmpt cgsu cv csb c1 caddc wcel wa simpr adantl csbied eqcomd
      weq wceq cvv ovexd oveq12d mpteq2dva oveq2d telgsumfz0s c0ex a1i 3eqtrd )
      AJGUBFUCUDZCDLUDZUEZUFUDJGVHHGUGZBUHZHVKUIUJUDZBUHZLUDZUEZUFUDHUBBUHZHFUI
      UJUDZBUHZLUDEILUDAVJVPJUFAGVHVIVOAVKVHUKZULZCVLDVNLWAVLCWAHVKBCVHAVTUMHGU
      QBCURWARUNUOUPWAVNDWAHVMBDUSWAVKUIUJUTHUGZVMURBDURWASUNUOUPVAVBVCAKBFGHJL
      MNOPQVDAVQEVSILAHUBBEUSUBUSUKAVEVFWBUBURBEURATUNUOAHVRBIUSAFUIUJUTWBVRURB
      IURAUAUNUOVAVG $.
  $}

  ${
    $d B i k $.  $d C i $.  $d G i $.  $d S i k $.  $d .0. i k $.  $d ph i $.
    $d .- i $.
    telgsums.b $e |- B = ( Base ` G ) $.
    telgsums.g $e |- ( ph -> G e. Abel ) $.
    telgsums.m $e |- .- = ( -g ` G ) $.
    telgsums.0 $e |- .0. = ( 0g ` G ) $.
    telgsums.f $e |- ( ph -> A. k e. NN0 C e. B ) $.
    telgsums.s $e |- ( ph -> S e. NN0 ) $.
    telgsums.u $e |- ( ph -> A. k e. NN0 ( S < k -> C = .0. ) ) $.
    $( Telescoping finitely supported group sum ranging over nonnegative
       integers, using explicit substitution.  (Contributed by AV,
       24-Oct-2019.) $)
    telgsums $p |- ( ph -> ( G gsum ( i e. NN0
        |-> ( [_ i / k ]_ C .- [_ ( i + 1 ) / k ]_ C ) ) ) = [_ 0 / k ]_ C ) $=
      ( cn0 wcel clt cvv cv csb c1 caddc cmpt cgsu cc0 cfz cabl ccmn ablcmn syl
      co wa cgrp ablgrp wral simpr rspcsbela syl2anc peano2nn0 syl2anr grpsubcl
      adantr syl3anc ralrimiva wceq wi rspsbca wb sbcimg sbcbr2g csbvarg breq2d
      wbr bitrd sbceq1g imbi12d elv sylib expcom imp31 cr nn0red nn0re ad2antlr
      wsbc ltp1d lttrd ex ovex ax-mp syld imp oveq12d grpidcl grpsubid syl2anc2
      eqtrd gsummptnn0fz wss cuz fzssuz nn0uz sseqtrrdi ssralv sylc telgsumfz0s
      cfv a1i syl3c oveq2d 0nn0 grpsubid1 3eqtrd ) AGEQFEUAZCUBZFXPUCUDUMZCUBZH
      UMZUEUFUMGEUGDUHUMXTUEUFUMFUGCUBZFDUCUDUMZCUBZHUMZYAABXTDEGIJMAGUIRZGUJRK
      GUKULAXTBRZEQAXPQRZUNZGUORZXQBRZXSBRZYFAYIYGAYEYIKGUPULZVDZYHYGCBRZFQUQZY
      JAYGURAYOYGNVDFXPQCBUSUTYGXRQRZYOYKAXPVAZNFXRQCBUSVBBGHXQXSJLVCVEVFOADXPS
      VOZXTIVGZVHEQYHYRYSYHYRUNZXTIIHUMZIYTXQIXSIHAYGYRXQIVGZADFUAZSVOZCIVGZVHZ
      FQUQZYGYRUUBVHZVHPYGUUGUUHYGUUGUNUUFFXPWGZUUHUUFFXPQVIUUIUUHVJEXPTRZUUIUU
      DFXPWGZUUEFXPWGZVHUUHUUDUUEFXPTVKUUJUUKYRUULUUBUUJUUKDFXPUUCUBZSVOYRFXPDU
      UCSTVLUUJUUMXPDSFXPTVMVNVPFXPCITVQVRVPVSVTWAULWBYHYRXSIVGZYHYRDXRSVOZUUNY
      HYRUUOYTDXPXRYHDWCRZYRAUUPYGADOWDZVDVDYGXPWCRAYRXPWEWFZYTXRYGYPAYRYQWFWDY
      HYRURYTXPUURWHWIWJYGYPUUGUUOUUNVHZAYQPYPUUGUNUUFFXRWGZUUSUUFFXRQVIXRTRZUU
      TUUSVJXPUCUDWKUVAUUTUUDFXRWGZUUEFXRWGZVHUUSUUDUUEFXRTVKUVAUVBUUOUVCUUNUVA
      UVBDFXRUUCUBZSVOUUOFXRDUUCSTVLUVAUVDXRDSFXRTVMVNVPFXRCITVQVRVPWLVTVBWMWNW
      OYTYIIBRUUAIVGYHYIYRYMVDBGIJMWPBGHIIJMLWQWRWSWJVFWTABCDEFGHJKLOAUGYBUHUMZ
      QXAYOYNFUVEUQAUVEUGXBXIZQUVEUVFXAAUGYBXCXJXDXENYNFUVEQXFXGXHAYDYAIHUMZYAA
      YCIYAHAYBQRZUUGDYBSVOZYCIVGZADQRUVHODVAULPADUUQWHUVHUUGUVIUVJVHZUVHUUGUNU
      UFFYBWGZUVKUUFFYBQVIYBTRZUVLUVKVJDUCUDWKUVMUVLUUDFYBWGZUUEFYBWGZVHUVKUUDU
      UEFYBTVKUVMUVNUVIUVOUVJUVMUVNDFYBUUCUBZSVOUVIFYBDUUCSTVLUVMUVPYBDSFYBTVMV
      NVPFYBCITVQVRVPWLVTWJXKXLAYIYABRZUVGYAVGYLAUGQRZYOUVQUVRAXMXJNFUGQCBUSUTB
      GHYAIJMLXNUTWSXO $.
  $}

  ${
    $d A i $.  $d B i k $.  $d C k $.  $d D k $.  $d E k $.  $d G i $.
    $d S i k $.  $d ph i k $.  $d .0. i k $.  $d .- i $.
    telgsum.b $e |- B = ( Base ` G ) $.
    telgsum.g $e |- ( ph -> G e. Abel ) $.
    telgsum.m $e |- .- = ( -g ` G ) $.
    telgsum.0 $e |- .0. = ( 0g ` G ) $.
    telgsum.f $e |- ( ph -> A. k e. NN0 A e. B ) $.
    telgsum.s $e |- ( ph -> S e. NN0 ) $.
    telgsum.u $e |- ( ph -> A. k e. NN0 ( S < k -> A = .0. ) ) $.
    telgsum.c $e |- ( k = i -> A = C ) $.
    telgsum.d $e |- ( k = ( i + 1 ) -> A = D ) $.
    telgsum.e $e |- ( k = 0 -> A = E ) $.
    $( Telescoping finitely supported group sum ranging over nonnegative
       integers, using implicit substitution.  (Contributed by AV,
       31-Dec-2019.) $)
    telgsum $p |- ( ph -> ( G gsum ( i e. NN0 |-> ( C .- D ) ) ) = E ) $=
      ( cn0 co cmpt cgsu cv csb c1 caddc cc0 wcel wa simpr adantl csbied eqcomd
      weq wceq peano2nn0 oveq12d mpteq2dva oveq2d telgsums cvv c0ex a1i 3eqtrd
      ) AJGUCDEKUDZUEZUFUDJGUCHGUGZBUHZHVKUIUJUDZBUHZKUDZUEZUFUDHUKBUHIAVJVPJUF
      AGUCVIVOAVKUCULZUMZDVLEVNKVRVLDVRHVKBDUCAVQUNHGURBDUSVRTUOUPUQVRVNEVRHVMB
      EUCVQVMUCULAVKUTUOHUGZVMUSBEUSVRUAUOUPUQVAVBVCACBFGHJKLMNOPQRSVDAHUKBIVEU
      KVEULAVFVGVSUKUSBIUSAUBUOUPVH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Internal direct products
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Introduce new constant symbols. $)
  $c DProd $. $( Direct product $)
  $c dProj $. $( Direct product projection $)

  $( Internal direct product of a family of subgroups. $)
  cdprd $a class DProd $.

  $( Projection operator for a direct product. $)
  cdpj $a class dProj $.

  ${
    $d g h .0. $.  $d f g h i s x y G $.  $d h x y I $.  $d g h K $.
    $d g h Z $.  $d x y ph $.  $d g h x y S $.  $d h x y V $.
    $( Define the internal direct product of a family of subgroups.
       (Contributed by Mario Carneiro, 21-Apr-2016.)  (Revised by AV,
       11-Jul-2019.) $)
    df-dprd $a |- DProd = ( g e. Grp , s e. { h |
      ( h : dom h --> ( SubGrp ` g ) /\ A. x e. dom h
       ( A. y e. ( dom h \ { x } ) ( h ` x ) C_ ( ( Cntz ` g ) ` ( h ` y ) ) /\
         ( ( h ` x ) i^i ( ( mrCls ` ( SubGrp ` g ) ) `
           U. ( h " ( dom h \ { x } ) ) ) ) = { ( 0g ` g ) } ) ) } |->
        ran ( f e. { h e. X_ x e. dom s ( s ` x ) | h finSupp ( 0g ` g ) }
              |-> ( g gsum f ) ) ) $.

    $( Define the projection operator for a direct product.  (Contributed by
       Mario Carneiro, 21-Apr-2016.) $)
    df-dpj $a |- dProj = ( g e. Grp , s e. ( dom DProd " { g } ) |->
        ( i e. dom s |->
      ( ( s ` i ) ( proj1 ` g ) ( g DProd ( s |` ( dom s \ { i } ) ) ) ) ) ) $.

    $( The domain of the internal direct product operation is a relation.
       (Contributed by Mario Carneiro, 25-Apr-2016.)  (Proof shortened by AV,
       11-Jul-2019.) $)
    reldmdprd $p |- Rel dom DProd $=
      ( vg vs vh vx vy vf cgrp cv cdm csubg cfv wf ccntz wss csn cdif wral cima
      cuni wa cmrc cin c0g wceq cab cfsupp wbr cixp crab cgsu co cmpt crn cdprd
      df-dprd reldmmpo ) ABGCHZIZAHZJKZUQLDHZUQKZEHUQKUSMKKNEURVAOPZQVBUQVCRSUT
      UAKKUBUSUCKZOUDTDURQTCUEFUQVDUFUGCDBHZIVAVEKUHUIUSFHUJUKULUMUNDEFACBUOUP
      $.

    dmdprd.z $e |- Z = ( Cntz ` G ) $.
    dmdprd.0 $e |- .0. = ( 0g ` G ) $.
    dmdprd.k $e |- K = ( mrCls ` ( SubGrp ` G ) ) $.
    $( The domain of definition of the internal direct product, which states
       that ` S ` is a family of subgroups that mutually commute and have
       trivial intersections.  (Contributed by Mario Carneiro, 25-Apr-2016.)
       (Proof shortened by AV, 11-Jul-2019.) $)
    dmdprd $p |- ( ( I e. V /\ dom S = I ) ->
      ( G dom DProd S <-> ( G e. Grp /\
        S : I --> ( SubGrp ` G ) /\ A. x e. I
        ( A. y e. ( I \ { x } ) ( S ` x ) C_ ( Z ` ( S ` y ) ) /\
        ( ( S ` x ) i^i ( K ` U. ( S " ( I \ { x } ) ) ) ) = { .0. } ) ) ) ) $=
      ( vh vg wcel wceq wa cfv wral cvv vf vs cdm cgrp cv csubg wf wss csn cdif
      cima cuni cin cab cdprd wbr w3a wi elex a1i expcom adantr adantrd wb wsbc
      fex df-sbc simpr dmeqd simplr eqtrd feq12d difeq1d fveq1d fveq2d imaeq12d
      sseq12d raleqbidv unieqd ineq12d eqeq1d anbi12d adantlr sbcied bitr3id ex
      pm5.21ndd anbi2d cop ccntz cmrc c0g ciun df-br cfsupp cixp crab cgsu cmpt
      cxp co crn fvex rgenw ixpexg ax-mp mptrabex rnex rgen2w df-dprd mpbi fdmi
      fmpox eleq2i fveq2 feq3d eqtr4di sseq2d ralbidv ineq2d eqeq12d opeliunxp2
      sneqd abbidv 3bitri 3anass 3bitr4g ) EGOZCUCZEPZQZDUDOZCMUEZUCZDUFRZYMUGZ
      AUEZYMRZBUEZYMRZIRZUHZBYNYQUIZUJZSZYRYMUUDUKZULZFRZUMZHUIZPZQZAYNSZQZMUNZ
      OZQZYLEYOCUGZYQCRZYSCRZIRZUHZBEUUCUJZSZUUSCUVCUKZULZFRZUMZUUJPZQZAESZQZQD
      CUOUCZUPZYLUURUVKUQYKUUPUVLYLYKCTOZUUPUVLUUPUVOURYKCUUOUSUTYKUURUVOUVKYHU
      URUVOURYJUURYHUVOEYOGCVFVAVBVCYKUVOUUPUVLVDUUPUUNMCVEYKUVOQZUVLUUNMCVGUVP
      UUNUVLMCTYKUVOVHYKYMCPZUUNUVLVDUVOYKUVQQZYPUURUUMUVKUVRYNEYOYMCYKUVQVHZUV
      RYNYIEUVRYMCUVSVIYHYJUVQVJVKZVLUVRUULUVJAYNEUVTUVRUUEUVDUUKUVIUVRUUBUVBBU
      UDUVCUVRYNEUUCUVTVMZUVRYRUUSUUAUVAUVRYQYMCUVSVNZUVRYTUUTIUVRYSYMCUVSVNVOV
      QVRUVRUUIUVHUUJUVRYRUUSUUHUVGUWBUVRUUGUVFFUVRUUFUVEUVRYMCUUDUVCUVSUWAVPVS
      VOVTWAWBVRWBWCWDWEWFWGWHUVNDCWIZUVMOUWCNUDNUEZUIYNUWDUFRZYMUGZYRYTUWDWJRZ
      RZUHZBUUDSZYRUUGUWEWKRZRZUMZUWDWLRZUIZPZQZAYNSZQZMUNZWTWMZOUUQDCUVMWNUVMU
      XAUWCUXATUOUAYMUWNWOUPZMAUBUEZUCZYQUXCRZWPZWQUWDUAUEWRXAZWSZXBZTOZUBUWTSN
      UDSUXATUOUGUXJNUBUDUWTUXHUXBUAMUXFUXGUXETOZAUXDSUXFTOUXKAUXDYQUXCXCXDAUXD
      UXETXEXFXGXHXINUBUDUWTUXITUOABUANMUBXJXMXKXLXNNUDUWTDCUUOUWDDPZUWSUUNMUXL
      UWFYPUWRUUMUXLUWEYOYMYNUWDDUFXOZXPUXLUWQUULAYNUXLUWJUUEUWPUUKUXLUWIUUBBUU
      DUXLUWHUUAYRUXLYTUWGIUXLUWGDWJRIUWDDWJXOJXQVNXRXSUXLUWMUUIUWOUUJUXLUWLUUH
      YRUXLUUGUWKFUXLUWKYOWKRFUXLUWEYOWKUXMVOLXQVNXTUXLUWNHUXLUWNDWLRHUWDDWLXOK
      XQYCYAWBXSWBYDYBYEYLUURUVKYFYG $.

    dmdprdd.1 $e |- ( ph -> G e. Grp ) $.
    dmdprdd.2 $e |- ( ph -> I e. V ) $.
    dmdprdd.3 $e |- ( ph -> S : I --> ( SubGrp ` G ) ) $.
    dmdprdd.4 $e |- ( ( ph /\ ( x e. I /\ y e. I /\ x =/= y ) ) ->
      ( S ` x ) C_ ( Z ` ( S ` y ) ) ) $.
    dmdprdd.5 $e |- ( ( ph /\ x e. I ) ->
      ( ( S ` x ) i^i ( K ` U. ( S " ( I \ { x } ) ) ) ) C_ { .0. } ) $.
    $( Show that a given family is a direct product decomposition.
       (Contributed by Mario Carneiro, 25-Apr-2016.)  (Revised by AV,
       11-Jul-2019.) $)
    dmdprdd $p |- ( ph -> G dom DProd S ) $=
      ( wcel cfv cdprd cdm wbr cgrp csubg wf cv wss csn cdif wral cima cuni cin
      wceq wne eldifsn necom anbi2i bitri 3exp2 imp4b syl5bi ralrimiv ffvelrnda
      subg0cl syl cbs cmre cacs adantr eqid subgacs acsmre 3syl cpw crn imassrn
      wa sstrid mresspw sstrd sspwuni sylib mrccl syl2anc elind snssd eqssd jca
      frnd ralrimiva w3a wb fdmd dmdprd mpbir3and ) AEDUAUBUCZEUDSZFEUETZDUFZBU
      GZDTZCUGZDTJTUHZCFXBUIUJZUKZXCDXFULZUMZGTZUNZIUIZUOZVSZBFUKZNPAXNBFAXBFSZ
      VSZXGXMXQXECXFXDXFSZXDFSZXBXDUPZVSZXQXEXRXSXDXBUPZVSYAXDFXBUQYBXTXSXDXBUR
      USUTAXPXSXTXEAXPXSXTXEQVAVBVCVDXQXKXLRXQIXKXQXCXJIXQXCWTSIXCSAFWTXBDPVEXC
      EILVFVGXQXJWTSZIXJSXQWTEVHTZVITSZXIYDUHZYCXQWSWTYDVJTSYEAWSXPNVKYDEYDVLVM
      WTYDVNVOZXQXHYDVPZUHYFXQXHWTYHXQXHDVQZWTDXFVRAYIWTUHXPAFWTDPWKVKVTXQYEWTY
      HUHYGWTYDWAVGWBXHYDWCWDWTXIGYDMWEWFXJEILVFVGWGWHWIWJWLAFHSDUBFUOWRWSXAXOW
      MWNOAFWTDPWOBCDEFGHIJKLMWPWFWQ $.
  $}

  $( A family of subgroups indexed by a proper class cannot be a family of
     subgroups for an internal direct product.  (Contributed by AV,
     13-Jul-2019.) $)
  dprddomprc $p |- ( dom S e/ _V -> -. G dom DProd S ) $=
    ( cdm cvv wnel wcel cdprd wbr wn dmexg con3i sylbi reldmdprd brrelex2i nsyl
    df-nel ) ACZDEZADFZBAGCZHRQDFZISIQDPSUAADJKLBATMNO $.

  ${
    dprddomcld.1 $e |- ( ph -> G dom DProd S ) $.
    dprddomcld.2 $e |- ( ph -> dom S = I ) $.
    $( If a family of subgroups is a family of subgroups for an internal direct
       product, then it is indexed by a set.  (Contributed by AV,
       13-Jul-2019.) $)
    dprddomcld $p |- ( ph -> I e. _V ) $=
      ( cdm wceq cdprd wbr cvv wcel df-nel dprddomprc sylbir con4i eleq1 syl5ib
      wn wnel sylc ) ABGZDHZCBIGJZDKLZFEUDUBKLZUCUEUFUDUFSUBKTUDSUBKMBCNOPUBDKQ
      RUA $.
  $}

  $( The internal direct product of a family of subgroups indexed by a proper
     class is empty.  (Contributed by AV, 13-Jul-2019.) $)
  dprdval0prc $p |- ( dom S e/ _V -> ( G DProd S ) = (/) ) $=
    ( cdm cvv wnel wcel wn cdprd co c0 wceq df-nel dmexg con3i reldmdprd ovprc2
    sylbi syl ) ACZDEZADFZGZBAHIJKTSDFZGUBSDLUAUCADMNQBAHOPR $.

  ${
    $d f g h i s y $.  $d g .0. $.  $d f A $.  $d f h i s I $.  $d f h i s S $.
    $d f g h i s G $.  $d s W $.
    dprdval.0 $e |- .0. = ( 0g ` G ) $.
    dprdval.w $e |- W = { h e. X_ i e. I ( S ` i ) | h finSupp .0. } $.
    $( The value of the internal direct product operation, which is a function
       mapping the (infinite, but finitely supported) cartesian product of
       subgroups (which mutually commute and have trivial intersections) to its
       (group) sum .  (Contributed by Mario Carneiro, 25-Apr-2016.)  (Revised
       by AV, 11-Jul-2019.) $)
    dprdval $p |- ( ( G dom DProd S /\ dom S = I ) ->
      ( G DProd S ) = ran ( f e. W |-> ( G gsum f ) ) ) $=
      ( vs vg cdprd wbr wceq cv cfv cvv wcel cgrp vy cdm wa cgsu cmpt crn simpl
      co cfsupp cixp crab wsbc reldmdprd brrelex2i adantr brrelex1i breq1 oveq1
      wi c0g fveq2 eqtr4di breq2d rabbidv mpteq12dv rneqd eqeq12d imbi12d csubg
      wf ccntz wss csn cdif wral cima cuni cmrc cin cab cop cxp ciun df-br fvex
      rgenw ixpexg ax-mp mptrabex rnex rgen2w df-dprd fmpox mpbi fdmi opeliunxp
      eleq2i 3bitri ovmpt4g mp3an3 sylbi vtoclg mpcom sbcth simpr oveq2d simplr
      syl dmeqd eqtrd ixpeq1d fveq1d ixpeq2dv rabeqdv eqidd sbcied mpbid mpd )
      EAMUBZNZAUBZFOZUCZXTEAMUHZBGEBPZUDUHZUEZUFZOZXTYBUGYCEKPZXSNZEYJMUHZBCPZH
      UINZCDYJUBZDPZYJQZUJZUKZYFUEZUFZOZUSZKAULZXTYIUSZYCARSZUUDXTUUFYBEAXSUMUN
      UOZUUCKARERSYKUUBEYJXSUMUPLPZYJXSNZUUHYJMUHZBYMUUHUTQZUINZCYRUKZUUHYEUDUH
      ZUEZUFZOZUSUUCLERUUHEOZUUIYKUUQUUBUUHEYJXSUQUURUUJYLUUPUUAUUHEYJMURUURUUO
      YTUURBUUMUUNYSYFUURUULYNCYRUURUUKHYMUIUURUUKEUTQHUUHEUTVAIVBVCVDUUHEYEUDU
      RVEVFVGVHUUIUUHTSZYJYMUBZUUHVIQZYMVJYPYMQZUAPYMQUUHVKQQVLUAUUTYPVMVNZVOUV
      BYMUVCVPVQUVAVRQQVSUUKVMOUCDUUTVOUCCVTZSZUCZUUQUUIUUHYJWAZXSSUVGLTUUHVMUV
      DWBWCZSUVFUUHYJXSWDXSUVHUVGUVHRMUUPRSZKUVDVOLTVOUVHRMVJUVILKTUVDUUOUULBCY
      RUUNYQRSZDYOVOYRRSUVJDYOYPYJWEWFDYOYQRWGWHWIWJZWKLKTUVDUUPRMDUABLCKWLZWMW
      NWOWQLTUVDYJWPWRUUSUVEUVIUUQUVKLKTUVDUUPMRUVLWSWTXAXBXCXDXHYCUUCUUEKARUUG
      YCYJAOZUCZYKXTUUBYIUVNYJAEXSYCUVMXEZVCUVNYLYDUUAYHUVNYJAEMUVOXFUVNYTYGUVN
      BYSYFGYFUVNYSYNCDFYPAQZUJZUKGUVNYNCYRUVQUVNYRDFYQUJUVQUVNDYOFYQUVNYOYAFUV
      NYJAUVOXIXTYBUVMXGXJXKUVNDFYQUVPUVNYPYJAUVOXLXMXJXNJVBUVNYFXOVEVFVGVHXPXQ
      XR $.

    $( A class ` A ` is an internal direct product iff it is the (group) sum of
       an infinite, but finitely supported cartesian product of subgroups
       (which mutually commute and have trivial intersections).  (Contributed
       by Mario Carneiro, 25-Apr-2016.)  (Revised by AV, 11-Jul-2019.) $)
    eldprd $p |- ( dom S = I -> ( A e. ( G DProd S )
                     <-> ( G dom DProd S /\ E. f e. W A = ( G gsum f ) ) ) ) $=
      ( cdprd co wcel cdm wbr wa wceq cv cgsu cop cfv elfvdm df-ov eleq2s df-br
      wrex sylibr pm4.71ri wb cmpt crn dprdval eleq2d eqid ovex elrnmpti bitrdi
      ancoms pm5.32da syl5bb ) AFBLMZNZFBLOZPZVCQBOGRZVEAFCSZTMZRCHUGZQVCVEVCFB
      UAZVDNZVEVKAVJLUBVBAVJLUCFBLUDUEFBVDUFUHUIVFVEVCVIVEVFVCVIUJVEVFQZVCACHVH
      UKZULZNVIVLVBVNABCDEFGHIJKUMUNCHVHAVMVMUOFVGTUPUQURUSUTVA $.
  $}

  ${
    $d x .0. $.  $d x y G $.  $d x y I $.  $d x K $.  $d x y S $.  $d x y X $.
    $d y Y $.  $d x y Z $.
    $( Reverse closure for the internal direct product.  (Contributed by Mario
       Carneiro, 25-Apr-2016.) $)
    dprdgrp $p |- ( G dom DProd S -> G e. Grp ) $=
      ( vx vy cdprd cdm wbr cgrp wcel csubg cfv wf ccntz wss csn wral wceq eqid
      cv cvv cdif cima cuni cmrc cin c0g wa wb reldmdprd brrelex2i dmexd dmdprd
      w3a sylancl ibi simp1d ) BAEFZGZBHIZAFZBJKZALZCSZAKZDSAKBMKZKNDUTVCOUAZPV
      DAVFUBUCVAUDKZKUEBUFKZOQUGCUTPZURUSVBVIUMZURUTTIUTUTQURVJUHURATBAUQUIUJUK
      UTRCDABUTVGTVHVEVERVHRVGRULUNUOUP $.

    $( The function ` S ` is a family of subgroups.  (Contributed by Mario
       Carneiro, 25-Apr-2016.) $)
    dprdf $p |- ( G dom DProd S -> S : dom S --> ( SubGrp ` G ) ) $=
      ( vx vy cdprd cdm wbr cgrp wcel csubg cfv wf ccntz wss csn wral wceq eqid
      cv cvv cdif cima cuni cmrc cin c0g wa wb reldmdprd brrelex2i dmexd dmdprd
      w3a sylancl ibi simp2d ) BAEFZGZBHIZAFZBJKZALZCSZAKZDSAKBMKZKNDUTVCOUAZPV
      DAVFUBUCVAUDKZKUEBUFKZOQUGCUTPZURUSVBVIUMZURUTTIUTUTQURVJUHURATBAUQUIUJUK
      UTRCDABUTVGTVHVEVERVHRVGRULUNUOUP $.

    dprdcntz.1 $e |- ( ph -> G dom DProd S ) $.
    dprdcntz.2 $e |- ( ph -> dom S = I ) $.
    $( The function ` S ` is a family of subgroups.  (Contributed by Mario
       Carneiro, 25-Apr-2016.) $)
    dprdf2 $p |- ( ph -> S : I --> ( SubGrp ` G ) ) $=
      ( cdm csubg cfv wf cdprd wbr dprdf syl feq2d mpbid ) ABGZCHIZBJZDRBJACBKG
      LSEBCMNAQDRBFOP $.

    dprdcntz.3 $e |- ( ph -> X e. I ) $.
    ${
      dprdcntz.4 $e |- ( ph -> Y e. I ) $.
      dprdcntz.5 $e |- ( ph -> X =/= Y ) $.
      dprdcntz.z $e |- Z = ( Cntz ` G ) $.
      $( The function ` S ` is a family having pairwise commuting values.
         (Contributed by Mario Carneiro, 25-Apr-2016.) $)
      dprdcntz $p |- ( ph -> ( S ` X ) C_ ( Z ` ( S ` Y ) ) ) $=
        ( vy vx cfv wss wceq wral wcel cv cdif 2fveq3 sseq2d sneq difeq2d fveq2
        csn sseq1d raleqbidv cima cuni csubg cmrc cin c0g wa cgrp cdprd cdm wbr
        wf w3a cvv dprddomcld eqid dmdprd syl2anc mpbid simp3d simpl ralimi syl
        wb rspcdva wne necomd eldifsn sylanbrc ) AEBPZNUAZBPGPZQZVTFBPGPZQNDEUH
        ZUBZFWAFRWBWDVTWAFGBUCUDAOUAZBPZWBQZNDWGUHZUBZSZWCNWFSODEWGERZWIWCNWKWF
        WMWJWEDWGEUEUFWMWHVTWBWGEBUGUIUJAWLWHBWKUKULCUMPZUNPZPUOCUPPZUHRZUQZODS
        ZWLODSACURTZDWNBVBZWSACBUSUTVAZWTXAWSVCZHADVDTBUTDRXBXCVNABCDHIVEIONBCD
        WOVDWPGMWPVFWOVFVGVHVIVJWRWLODWLWQVKVLVMJVOAFDTFEVPFWFTKAEFLVQFDEVRVSVO
        $.
    $}

    ${
      dprddisj.0 $e |- .0. = ( 0g ` G ) $.
      dprddisj.k $e |- K = ( mrCls ` ( SubGrp ` G ) ) $.
      $( The function ` S ` is a family having trivial intersections.
         (Contributed by Mario Carneiro, 25-Apr-2016.) $)
      dprddisj $p |- ( ph ->
        ( ( S ` X ) i^i ( K ` U. ( S " ( I \ { X } ) ) ) ) = { .0. } ) $=
        ( vx vy cv cfv csn cdif wceq wral cima cin fveq2 difeq2d imaeq2d unieqd
        cuni sneq fveq2d ineq12d eqeq1d ccntz wss wa cgrp wcel csubg wf cdm wbr
        cdprd w3a cvv wb dprddomcld eqid dmdprd syl2anc mpbid simp3d ralimi syl
        simpr rspcdva ) AMOZBPZBDVOQZRZUAZUGZEPZUBZGQZSZFBPZBDFQZRZUAZUGZEPZUBZ
        WCSMDFVOFSZWBWKWCWLVPWEWAWJVOFBUCWLVTWIEWLVSWHWLVRWGBWLVQWFDVOFUHUDUEUF
        UIUJUKAVPNOBPCULPZPUMNVRTZWDUNZMDTZWDMDTACUOUPZDCUQPBURZWPACBVAUSUTZWQW
        RWPVBZHADVCUPBUSDSWSWTVDABCDHIVEIMNBCDEVCGWMWMVFKLVGVHVIVJWOWDMDWNWDVMV
        KVLJVN $.
    $}
  $}

  ${
    $d h y z A $.  $d x B $.  $d h x y z F $.  $d x y z G $.  $d h i x y z I $.
    $d h .0. $.  $d x y z ph $.  $d h i x y z S $.  $d x X $.  $d y Z $.
    dprdff.w $e |- W = { h e. X_ i e. I ( S ` i ) | h finSupp .0. } $.
    dprdff.1 $e |- ( ph -> G dom DProd S ) $.
    dprdff.2 $e |- ( ph -> dom S = I ) $.
    $( The property of being a finitely supported function in the family
       ` S ` .  (Contributed by Mario Carneiro, 25-Apr-2016.)  (Revised by AV,
       11-Jul-2019.) $)
    dprdw $p |- ( ph -> ( F e. W <-> ( F Fn I /\
        A. x e. I ( F ` x ) e. ( S ` x ) /\ F finSupp .0. ) ) ) $=
      ( cv cfv wcel cfsupp wa cvv wi cixp wbr wfn wral w3a elex dprddomcld fnex
      a1i expcom adantrd wb fveq2 cbvixpv eleq2i elixp2 3anass 3bitri pm5.21ndd
      syl baib anbi1d breq1 elrab2 df-3an 3bitr4g ) AFEHENZCOZUAZPZFJQUBZRFHUCZ
      BNZFOVMCOZPBHUDZRZVKRFIPVLVOVKUEAVJVPVKAFSPZVJVPVJVQTAFVIUFUIAVLVQVOAHSPZ
      VLVQTACGHLMUGVLVRVQHSFUHUJUTUKVQVJVPULTAVJVQVPVJFBHVNUAZPVQVLVOUEVQVPRVIV
      SFEBHVHVNVGVMCUMUNUOBHVNFUPVQVLVOUQURVAUIUSVBDNZJQUBVKDFVIIVTFJQVCKVDVLVO
      VKVEVF $.

    ${
      dprdwd.3 $e |- ( ( ph /\ x e. I ) -> A e. ( S ` x ) ) $.
      dprdwd.4 $e |- ( ph -> ( x e. I |-> A ) finSupp .0. ) $.
      $( A mapping being a finitely supported function in the family ` S ` .
         (Contributed by Mario Carneiro, 25-Apr-2016.)  (Revised by AV,
         11-Jul-2019.)  (Proof shortened by OpenAI, 30-Mar-2020.) $)
      dprdwd $p |- ( ph -> ( x e. I |-> A ) e. W ) $=
        ( cv cfsupp wbr cfv wcel cmpt cixp crab breq1 wral ralrimiva dprddomcld
        cvv wb mptelixpg syl mpbird fveq2 cbvixpv eleqtrdi elrabd eleqtrrdi ) A
        BHCUAZEPZJQRZEFHFPZDSZUBZUCIAUTURJQREURVCUSURJQUDAURBHBPZDSZUBZVCAURVFT
        ZCVETZBHUEZAVHBHNUFAHUHTVGVIUIADGHLMUGBHCVEUHUJUKULBFHVEVBVDVADUMUNUOOU
        PKUQ $.
    $}

    dprdff.3 $e |- ( ph -> F e. W ) $.
    ${
      dprdff.b $e |- B = ( Base ` G ) $.
      $( A finitely supported function in ` S ` is a function into the base.
         (Contributed by Mario Carneiro, 25-Apr-2016.)  (Revised by AV,
         11-Jul-2019.) $)
      dprdff $p |- ( ph -> F : I --> B ) $=
        ( vx wfn cfv wcel wral cv wf cfsupp wbr dprdw mpbid simp1d simp2d csubg
        w3a wss dprdf2 ffvelrnda subgss syl sseld ralimdva mpd ffnfv sylanbrc
        wa ) AFHQZPUAZFRZBSZPHTZHBFUBAVBVDVCCRZSZPHTZFJUCUDZAFISVBVIVJUJNAPCDEF
        GHIJKLMUEUFZUGAVIVFAVBVIVJVKUHAVHVEPHAVCHSVAZVGBVDVLVGGUIRZSVGBUKAHVMVC
        CACGHLMULUMBVGGOUNUOUPUQURPHBFUSUT $.
    $}

    $( A finitely supported function in ` S ` has its ` X ` -th element in
       ` S ( X ) ` .  (Contributed by Mario Carneiro, 25-Apr-2016.)  (Revised
       by AV, 11-Jul-2019.) $)
    dprdfcl $p |- ( ( ph /\ X e. I ) -> ( F ` X ) e. ( S ` X ) ) $=
      ( vx cv cfv wcel wral fveq2 wfn cfsupp wbr w3a dprdw mpbid simp2d eleq12d
      wceq rspccva sylan ) AOPZEQZULBQZRZOGSZIGRIEQZIBQZRZAEGUAZUPEJUBUCZAEHRUT
      UPVAUDNAOBCDEFGHJKLMUEUFUGUOUSOIGULIUIUMUQUNURULIETULIBTUHUJUK $.

    $( A finitely supported function in ` S ` is a finitely supported function.
       (Contributed by Mario Carneiro, 25-Apr-2016.)  (Revised by AV,
       11-Jul-2019.) $)
    dprdffsupp $p |- ( ph -> F finSupp .0. ) $=
      ( vx wfn cv cfv wcel wral cfsupp wbr w3a dprdw mpbid simp3d ) AEGOZNPZEQU
      GBQRNGSZEITUAZAEHRUFUHUIUBMANBCDEFGHIJKLUCUDUE $.

    dprdfcntz.z $e |- Z = ( Cntz ` G ) $.
    $( A function on the elements of an internal direct product has pairwise
       commuting values.  (Contributed by Mario Carneiro, 25-Apr-2016.)
       (Revised by AV, 11-Jul-2019.) $)
    dprdfcntz $p |- ( ph -> ran F C_ ( Z ` ran F ) ) $=
      ( vy vz cfv wcel wa vx crn wfn cv wral wf eqid dprdff ffnd cplusg co wceq
      cbs ffvelrnda simpr fveq2d equcomd oveq12d wne cdprd cdm ad3antrrr simplr
      simpllr dprdcntz dprdfcl ad2antrr sseldd ad4ant13 cntzi syl2anc ralrimiva
      wbr pm2.61dane wb adantr oveq2 oveq1 eqeq12d ralrn syl mpbird frnd elcntz
      wss mpbir2and ffnfv sylanbrc ) AGEUBZJRZEAEGUCZPUDZERZWJSZPGUEGWJEUFAGFUM
      RZEAWOBCDEFGHIKLMNWOUGZUHZUIZAWNPGAWLGSZTZWNWMWOSZWMUAUDZFUJRZUKZXBWMXCUK
      ZULZUAWIUEZAGWOWLEWQUNWTXGWMQUDZERZXCUKZXIWMXCUKZULZQGUEZWTXLQGWTXHGSZTZX
      LWLXHXOWLXHULZTZWMXIXIWMXCXQWLXHEXOXPUOZUPXQXHWLEXQPQXRUQUPURXOWLXHUSZTZW
      MXHBRZJRZSXIYASZXLXTWLBRZYBWMXTBFGWLXHJAFBUTVAVMWSXNXSLVBABVAGULWSXNXSMVB
      AWSXNXSVDWTXNXSVCXOXSUOOVEWTWMYDSXNXSABCDEFGHWLIKLMNVFVGVHAXNYCWSXSABCDEF
      GHXHIKLMNVFVIXCYAFWMXIJXCUGZOVJVKVNVLWTWKXGXMVOAWKWSWRVPXFXLUAQGEXBXIULXD
      XJXEXKXBXIWMXCVQXBXIWMXCVRVSVTWAWBWTWIWOWEZWNXAXGTVOAYFWSAGWOEWQWCVPUAWMW
      OXCWIFJWPYEOWDWAWFVLPGWJEWGWHWC $.
  $}

  ${
    $d f x B $.  $d f h i x G $.  $d f h i x S $.
    dprdssv.b $e |- B = ( Base ` G ) $.
    $( The internal direct product of a family of subgroups is a subset of the
       base.  (Contributed by Mario Carneiro, 25-Apr-2016.) $)
    dprdssv $p |- ( G DProd S ) C_ B $=
      ( vx vf vh vi cdprd co cv wcel cdm wbr wceq cfv wa eqid cvv adantr cfsupp
      cgsu c0g cixp crab wrex eldprd ax-mp ccntz cmnd dprdgrp grpmndd reldmdprd
      wb brrelex2i dmexd simpl eqidd simpr dprdff dprdffsupp gsumzcl syl5ibrcom
      dprdfcntz eleq1 rexlimdva imp sylbi ssriv ) ECBIJZAEKZVJLZCBIMZNZVKCFKZUB
      JZOZFGKCUCPZUANGHBMZHKBPUDUEZUFZQZVKALZVSVSOVLWBUNVSRVKBFGHCVSVTVRVRRZVTR
      ZUGUHVNWAWCVNVQWCFVTVNVOVTLZQZWCVQVPALWGVSAVOCSVRCUIPZDWDWHRZVNCUJLWFVNCB
      CUKULTVNVSSLWFVNBSCBVMUMUOUPTWGABGHVOCVSVTVRWEVNWFUQZWGVSURZVNWFUSZDUTWGB
      GHVOCVSVTVRWHWEWJWKWLWIVDWGBGHVOCVSVTVRWEWJWKWLVAVBVKVPAVEVCVFVGVHVI $.
  $}

  ${
    $d k .- $.  $d h k x .+ $.  $d h n A $.  $d f h k x y F $.  $d h k x y H $.
    $d f h i k n x y G $.  $d f h i k n x y I $.  $d h x N $.  $d k n x y ph $.
    $d h k n x y .0. $.  $d f h i n x y S $.  $d f W $.  $d h n X $.
    eldprdi.0 $e |- .0. = ( 0g ` G ) $.
    eldprdi.w $e |- W = { h e. X_ i e. I ( S ` i ) | h finSupp .0. } $.
    eldprdi.1 $e |- ( ph -> G dom DProd S ) $.
    eldprdi.2 $e |- ( ph -> dom S = I ) $.
    ${
      dprdfid.3 $e |- ( ph -> X e. I ) $.
      dprdfid.4 $e |- ( ph -> A e. ( S ` X ) ) $.
      dprdfid.f $e |- F = ( n e. I |-> if ( n = X , A , .0. ) ) $.
      $( A function mapping all but one arguments to zero sums to the value of
         this argument in a direct product.  (Contributed by Mario Carneiro,
         25-Apr-2016.)  (Revised by AV, 14-Jul-2019.) $)
      dprdfid $p |- ( ph -> ( F e. W /\ ( G gsum F ) = A ) ) $=
        ( wcel cgsu co wceq cv cif cmpt wa ad2antrr simpr fveq2d eleqtrrd csubg
        cfv dprdf2 ffvelrnda subg0cl syl adantr ifclda cvv dprddomcld c0g fvexi
        wn a1i eqid sniffsupp dprdwd eqeltrid cbs cdprd cdm cgrp dprdgrp grpmnd
        wbr cmnd 3syl dprdff csupp csn oveq1i cdif wne adantl ifnefalse suppss2
        eldifsni eqsstrid gsumpt iftrue fvmptd3 eqtrd jca ) AGJTHGUAUBZBUCAGFIF
        UDZKUCZBLUEZUFZJSAFWRCDEHIJLNOPAWPITZUGZWQBLWPCUMZXAWQUGZBKCUMZXBABXDTW
        TWQRUHXCWPKCXAWQUIUJUKXALXBTZWQVDXAXBHULUMZTXEAIXFWPCACHIOPUNUOXBHLMUPU
        QURUSAFBWSIUTUTKLACHIOPVAZLUTTALHVBMVCVEWSVFVGVHVIZAWOKGUMBAIHVJUMZGHUT
        KLXIVFZMAHCVKVLVPHVMTHVQTOCHVNHVOVRXGQAXICDEGHIJLNOPXHXJVSAGLVTUBWSLVTU
        BKWAZGWSLVTSWBAIWRFUTXKLAWPIXKWCTZUGWPKWDZWRLUCXLXMAWPIKWHWEWPKBLWFUQXG
        WGWIWJAFKWRBIGXDSWQBLWKQRWLWMWN $.
    $}

    eldprdi.3 $e |- ( ph -> F e. W ) $.
    $( The domain of definition of the internal direct product, which states
       that ` S ` is a family of subgroups that mutually commute and have
       trivial intersections.  (Contributed by Mario Carneiro, 25-Apr-2016.)
       (Revised by AV, 14-Jul-2019.) $)
    eldprdi $p |- ( ph -> ( G gsum F ) e. ( G DProd S ) ) $=
      ( vf cgsu co cdprd wcel wceq cdm wbr cv wrex oveq2 rspceeqv sylancl wa wb
      eqid eldprd syl mpbir2and ) AFEPQZFBRQSZFBRUAUBZUNFOUCZPQZTOHUDZLAEHSUNUN
      TUSNUNUJOEHURUNUNUQEFPUEUFUGABUAGTUOUPUSUHUIMUNBOCDFGHIJKUKULUM $.

    ${
      dprdfinv.b $e |- N = ( invg ` G ) $.
      $( Take the inverse of a group sum over a family of elements of disjoint
         subgroups.  (Contributed by Mario Carneiro, 25-Apr-2016.)  (Revised by
         AV, 14-Jul-2019.) $)
      dprdfinv $p |- ( ph -> ( ( N o. F ) e. W /\
                            ( G gsum ( N o. F ) ) = ( N ` ( G gsum F ) ) ) ) $=
        ( vx wcel cfv cvv ccom cgsu co wceq cv cmpt cbs wf cgrp cdm wbr dprdgrp
        cdprd syl eqid grpinvf dprdff fcompt syl2anc wa csubg ffvelrnda dprdfcl
        dprdf2 subginvcl wfun cfsupp csupp wss dprddomcld mptexd a1i dprdffsupp
        funmpt ssidd c0g fvexi suppssr fveq2d grpinvid adantr eqtrd fsuppsssupp
        cdif suppss2 syl22anc dprdwd eqeltrd ccntz dprdfcntz gsumzinv jca ) AHE
        UAZIRFWMUBUCFEUBUCHSUDAWMQGQUEZESZHSZUFZIAFUGSZWRHUHZGWREUHWMWQUDAFUIRZ
        WSAFBUMUJUKWTMBFULUNZWRFHWRUOZPUPUNAWRBCDEFGIJLMNOXBUQZQHEGWRWRURUSAQWP
        BCDFGIJLMNAWNGRUTWNBSZFVASZRWOXDRWPXDRAGXEWNBABFGMNVDVBABCDEFGIWNJLMNOV
        CXDFHWOPVEUSAWQTRWQVFZEJVGUKWQJVHUCEJVHUCZVIWQJVGUKAQGWPTABFGMNVJZVKXFA
        QGWPVNVLABCDEFGIJLMNOVMZAGWPQTXGJAWNGXGWDRZUTZWPJHSZJXKWOJHAGWRTETXGWNJ
        XCAXGVOXHJTRAJFVPKVQVLVRVSAXLJUDZXJAWTXMXAFHJKPVTUNWAWBXHWEEWQTJWCWFWGW
        HAGWREFHTJFWISZXBKXNUOZPXAXHXCABCDEFGIJXNLMNOXOWJXIWKWL $.
    $}

    ${
      dprdfadd.4 $e |- ( ph -> H e. W ) $.
      ${
        dprdfadd.b $e |- .+ = ( +g ` G ) $.
        $( Take the sum of group sums over two families of elements of disjoint
           subgroups.  (Contributed by Mario Carneiro, 25-Apr-2016.)  (Revised
           by AV, 14-Jul-2019.) $)
        dprdfadd $p |- ( ph -> ( ( F oF .+ H ) e. W /\
          ( G gsum ( F oF .+ H ) ) = ( ( G gsum F ) .+ ( G gsum H ) ) ) ) $=
          ( wcel cfv vx vk vy cof co cgsu wceq cmpt cvv dprddomcld dprdfcl eqid
          cv cbs dprdff feqmptd offval2 wa csubg dprdf2 ffvelrnda subgcl cfsupp
          syl3anc wbr csupp cfn cun dprdffsupp fsuppunfi cdif wss ssun1 a1i c0g
          fvexi suppssr ssun2 oveq12d cgrp cdprd cdm dprdgrp syl grpidcl grplid
          syl2anc2 adantr eqtrd suppss2 wfun wb funmpt mptexd funisfsupp mpbird
          ssfid dprdwd eqeltrd ccntz grpmndd dprdfcntz csn cres cmnd csubmnd wf
          vex eldifi adantl ffvelrn syl2an snssd cntzsubm syl2anc wfn wral ffnd
          simprl fnssres fvres ad2antrr ad2antlr ffvelrnd subgss cntz2ss sselda
          mpdan wn simpr simplrr eldifbd nelne2 dprdcntz sseldd ralrimiva ffnfv
          wne sylanbrc crn resss rnssi cntzidss sylancl fssresd gsumzcl cntzrec
          fsuppres gsumzsubmcl mpbid fvex snss sylibr gsumzaddlem jca ) AFHBUDU
          EZJSGUUPUFUEGFUFUEGHUFUEBUEUGAUUPUAIUAUMZFTZUUQHTZBUEZUHZJAUAIUURUUSB
          FHUIUUQCTZUVBACGINOUJZACDEFGIJUUQKMNOPUKZACDEHGIJUUQKMNOQUKZAUAIGUNTZ
          FAUVFCDEFGIJKMNOPUVFULZUOZUPAUAIUVFHAUVFCDEHGIJKMNOQUVGUOZUPUQAUAUUTC
          DEGIJKMNOAUUQISURUVBGUSTZSUURUVBSUUSUVBSUUTUVBSAIUVJUUQCACGINOUTVAUVD
          UVEBUVBGUURUUSRVBVDAUVAKVCVEZUVAKVFUEZVGSZAFKVFUEZHKVFUEZVHZUVLAFHKAC
          DEFGIJKMNOPVIZACDEHGIJKMNOQVIZVJAIUUTUAUIUVPKAUUQIUVPVKSZURZUUTKKBUEZ
          KUVTUURKUUSKBAIUVFUIFUIUVPUUQKUVHUVNUVPVLAUVNUVOVMVNUVCKUISZAKGVOLVPV
          NZVQAIUVFUIHUIUVPUUQKUVIUVOUVPVLAUVOUVNVRVNUVCUWCVQVSAUWAKUGZUVSAGVTS
          ZKUVFSUWDAGCWAWBVEZUWENCGWCWDZUVFGKUVGLWEUVFBGKKUVGRLWFWGWHWIUVCWJWQA
          UVAWKZUVAUISUWBUVKUVMWLUWHAUAIUUTWMVNAUAIUUTUIUVCWNUWCUVAUIUIKWOVDWPW
          RWSZAUAIUVFBUBFGHUIFHVHKVFUEZKGWTTZUVGLRUWKULZAGUWGXAZUVCUVQUVRUWJULU
          VHUVIACDEFGIJKUWKMNOPUWLXBACDEHGIJKUWKMNOQUWLXBZACDEUUPGIJKUWKMNOUWIU
          WLXBAUUQIVLZUBUMZIUUQVKSZURZURZUWPFTZXCZGHUUQXDZUFUEZXCZUWKTZVLZUWTUX
          ESUWSUXDUXAUWKTZVLZUXFUWSUXCUXGUWSUUQUXGUXBGUIKUWKLUWLAGXESZUWRUWMWHZ
          UUQUISUWSUAXHVNZUWSUXIUXAUVFVLZUXGGXFTSUXJUWSUWTUVFAIUVFFXGUWPISZUWTU
          VFSUWRUVHUWQUXMUWOUWPIUUQXIXJZIUVFUWPFXKXLXMZUVFUXAGUWKUVGUWLXNXOUWSU
          XBUUQXPZUCUMZUXBTZUXGSZUCUUQXQUUQUXGUXBXGUWSHIXPUWOUXPUWSIUVFHAIUVFHX
          GUWRUVIWHZXRAUWOUWQXSZIUUQHXTXOUWSUXSUCUUQUWSUXQUUQSZURZUXRUXQHTZUXGU
          YBUXRUYDUGUWSUXQUUQHYAXJUYCUWPCTZUWKTZUXGUYDUYCUYEUVFVLZUXAUYEVLUYFUX
          GVLUYCUYEUVJSUYGUYCIUVJUWPCUYCCGIAUWFUWRUYBNYBZACWBIUGUWRUYBOYBZUTUWR
          UXMAUYBUXNYCZYDUVFUYEGUVGYEWDUYCUWTUYEUYCUXMUWTUYESUYJUYCCDEFGIJUWPKM
          UYHUYIAFJSUWRUYBPYBUKYHXMUVFUYEUXAGUWKUVGUWLYFXOUYCUXQCTZUYFUYDUYCCGI
          UXQUWPUWKUYHUYIUWSUUQIUXQUYAYGZUYJUYCUYBUWPUUQSYIUXQUWPYRUWSUYBYJUYCU
          WPIUUQAUWOUWQUYBYKYLUXQUWPUUQYMXOUWLYNUYCUXQISUYDUYKSUYLUYCCDEHGIJUXQ
          KMUYHUYIAHJSUWRUYBQYBUKYHYOYOWSYPUCUUQUXGUXBYQYSAUXBYTZUYMUWKTVLZUWRA
          HYTZUYOUWKTVLUYMUYOVLUYNUWNUXBHHUUQUUAUUBUYOUYMGUWKUWLUUCUUDWHZAUXBKV
          CVEUWRAHUIUUQKUVRUWCUUHWHZUUIXMUWSUXDUVFVLUXLUXHUXFWLUWSUXCUVFUWSUUQU
          VFUXBGUIKUWKUVGLUWLUXJUXKUWSIUVFUUQHUXTUYAUUEUYPUYQUUFXMUXOUVFUXDUXAG
          UWKUVGUWLUUGXOUUJUWTUXEUWPFUUKUULUUMUUNUUO $.
      $}

      dprdfsub.b $e |- .- = ( -g ` G ) $.
      $( Take the difference of group sums over two families of elements of
         disjoint subgroups.  (Contributed by Mario Carneiro, 25-Apr-2016.)
         (Revised by AV, 14-Jul-2019.) $)
      dprdfsub $p |- ( ph -> ( ( F oF .- H ) e. W /\
        ( G gsum ( F oF .- H ) ) = ( ( G gsum F ) .- ( G gsum H ) ) ) ) $=
        ( vk co vx cof wcel cgsu wceq cminusg cfv ccom cplusg cv cmpt wa dprdff
        cbs eqid ffvelrnda grpsubval syl2anc mpteq2dva dprddomcld feqmptd fvexd
        cvv offval2 wf1o wf cdprd cdm wbr cgrp dprdgrp syl grpinvf1o f1of fveq2
        fmptco 3eqtr4d dprdfinv simpld eqeltrd oveq2d simprd dprdssv sselid jca
        dprdfadd eldprdi eqtrd ) AEGIUBTZJUCFWIUDTZFEUDTZFGUDTZITZUEAWIEFUFUGZG
        UHZFUIUGZUBTZJASHSUJZEUGZWRGUGZITZUKSHWSWTWNUGZWPTZUKWIWQASHXAXCAWRHUCU
        LZWSFUNUGZUCWTXEUCXAXCUEAHXEWREAXEBCDEFHJKMNOPXEUOZUMZUPZAHXEWRGAXEBCDG
        FHJKMNOQXFUMZUPZXEWPFWNIWSWTXFWPUOZWNUOZRUQURUSASHWSWTIEGVCXEXEABFHNOUT
        ZXHXJASHXEEXGVAZASHXEGXIVAZVDASHWSXBWPEWOVCXEVCXMXHXDWTWNVBXNASUAHXEWTU
        AUJZWNUGXBGWNXJXOAUAXEXEWNAXEXEWNVEXEXEWNVFAXEFWNXFXLAFBVGVHVIFVJUCNBFV
        KVLVMXEXEWNVNVLVAXPWTWNVOVPVDVQZAWQJUCZFWQUDTZWKFWOUDTZWPTZUEZAWPBCDEFW
        OHJKLMNOPAWOJUCZXTWLWNUGZUEZABCDGFHWNJKLMNOQXLVRZVSXKWFZVSVTAWJXSWMAWIW
        QFUDXQWAAYAWKYDWPTZXSWMAXTYDWKWPAYCYEYFWBWAAXRYBYGWBAWKXEUCWLXEUCWMYHUE
        AFBVGTZXEWKXEBFXFWCZABCDEFHJKLMNOPWGWDAYIXEWLYJABCDGFHJKLMNOQWGWDXEWPFW
        NIWKWLXFXKXLRUQURVQWHWE $.
    $}

    $( The zero function is the only function that sums to zero in a direct
       product.  (Contributed by Mario Carneiro, 25-Apr-2016.)  (Revised by AV,
       14-Jul-2019.) $)
    dprdfeq0 $p |- ( ph ->
      ( ( G gsum F ) = .0. <-> F = ( x e. I |-> .0. ) ) ) $=
      ( co wceq cfv wcel ad2antrr vy cgsu cmpt wa cv eqid dprdff feqmptd adantr
      cbs csn cdif cima cuni csubg cmrc cin dprdfcl adantlr cif csg cof cdm wbr
      cdprd simpr dprdfid simpld dprdfsub simprd cvv dprddomcld fvex fvexi ifex
      c0g a1i fvexd eqidd wf offval2 oveq2d simplr oveq12d dprdgrp syl ffvelrnd
      cgrp grpsubid1 syl2anc eqtrd 3eqtr3d ccntz cmnd grpmnd 3syl cmre wss cacs
      csubmnd subgacs acsmre cpw crn imassrn dprdf2 frnd mresspw sstrid sspwuni
      sstrd sylib mrccl subgsubm oveq1 eleq1d grpsubid subg0cl eqeltrd mrcssidd
      fveq2d wfn ffnd difssd wne df-ne eldifsn biimpri sylan2br adantll fnfvima
      wn syl3anc elunii sseldd subgsubcl ifbothda fmpttd eqeltrrd dprdfcntz ex
      dprdffsupp gsumzsubmcl elind dprddisj eleqtrd elsni mpteq2dva gsumz oveq2
      eqeq1d syl5ibrcom impbid ) AGFUBPZJQZFBHJUCZQZAUUOUUQAUUOUDZFBHBUEZFRZUCZ
      UUPAFUVAQUUOABHGUJRZFAUVBCDEFGHIJLMNOUVBUFZUGZUHUIUURBHUUTJUURUUSHSZUDZUU
      TJUKZSUUTJQUVFUUTUUSCRZCHUUSUKZULZUMZUNZGUORZUPRZRZUQUVGUVFUVHUVOUUTAUVEU
      UTUVHSUUOACDEFGHIUUSJLMNOURUSZUVFGUAHUAUEZUUSQZUUTJUTZUVQFRZGVARZPZUCZUBP
      ZUUTUVOUVFGUAHUVSUCZFUWAVBPZUBPZGUWEUBPZUUNUWAPZUWDUUTUVFUWFISZUWGUWIQZUV
      FCDEUWEGFHUWAIJKLAGCVEVCVDZUUOUVEMTZACVCHQUUOUVENTZUVFUWEISZUWHUUTQZUVFUU
      TCDEUAUWEGHIUUSJKLUWMUWNUURUVEVFZUVPUWEUFVGZVHAFISUUOUVEOTZUWAUFZVIZVJUVF
      UWFUWCGUBUVFUAHUVSUVTUWAUWEFVKVKVKAHVKSZUUOUVEACGHMNVLZTZUVSVKSUVFUVQHSZU
      DZUVRUUTJUUSFVMJGVPKVNVOVQUXFUVQFVRUVFUWEVSUVFUAHUVBFAHUVBFVTUUOUVEUVDTZU
      HWAZWBUVFUWIUUTJUWAPZUUTUVFUWHUUTUUNJUWAUVFUWOUWPUWRVJAUUOUVEWCWDUVFGWHSZ
      UUTUVBSZUXIUUTQUVFUWLUXJUWMCGWEZWFZUVFHUVBUUSFUXGUWQWGZUVBGUWAUUTJUVCKUWT
      WIWJWKWLUVFHUVOUWCGVKJGWMRZKUXOUFZAGWNSZUUOUVEAUWLUXJUXQMUXLGWOWPZTUXDUVF
      UVOUVMSZUVOGWTRSUVFUVMUVBWQRSZUVLUVBWRZUXSUVFUXJUVMUVBWSRSUXTUXMUVBGUVCXA
      UVMUVBXBWPZUVFUVKUVBXCZWRUYAUVFUVKCXDZUYCCUVJXEUVFUYDUVMUYCUVFHUVMCAHUVMC
      VTUUOUVEACGHMNXFTZXGUVFUXTUVMUYCWRUYBUVMUVBXHWFXKXIUVKUVBXJXLZUVMUVLUVNUV
      BUVNUFZXMWJZUVOGXNWFUVFUAHUWBUVOUVRUUTUVTUWAPZUVOSJUVTUWAPZUVOSZUWBUVOSUX
      FUUTJUUTUVSQUYIUWBUVOUUTUVSUVTUWAXOXPJUVSQUYJUWBUVOJUVSUVTUWAXOXPUXFUVRUD
      ZUYIUUTUUTUWAPZUVOUYLUVTUUTUUTUWAUYLUVQUUSFUXFUVRVFYAWBUVFUYMUVOSUXEUVRUV
      FUYMJUVOUVFUXJUXKUYMJQUXMUXNUVBGUWAUUTJUVCKUWTXQWJUVFUXSJUVOSZUYHUVOGJKXR
      ZWFXSTXSUXFUVRYLZUDZUXSUYNUVTUVOSUYKUVFUXSUXEUYPUYHTZUYQUXSUYNUYRUYOWFUYQ
      UVLUVOUVTUVFUVLUVOWRUXEUYPUVFUVMUVLUVNUVBUYBUYGUYFXTTUYQUVTUVQCRZSZUYSUVK
      SZUVTUVLSUXFUYTUYPUVFCDEFGHIUVQJLUWMUWNUWSURUIUYQCHYBZUVJHWRUVQUVJSZVUAUV
      FVUBUXEUYPUVFHUVMCUYEYCTUYQHUVIYDUXEUYPVUCUVFUYPUXEUVQUUSYEZVUCUVQUUSYFVU
      CUXEVUDUDUVQHUUSYGYHYIYJHUVJCUVQYKYMUVTUYSUVKYNWJYOUVOGUWAJUVTUWTYPYMYQYR
      UVFCDEUWCGHIJUXOLUWMUWNUVFUWFUWCIUXHUVFUWJUWKUXAVHYSZUXPYTUVFCDEUWCGHIJLU
      WMUWNVUEUUBUUCYSUUDUVFCGHUVNUUSJUWMUWNUWQKUYGUUEUUFUUTJUUGWFUUHWKUUAAUUOU
      UQGUUPUBPZJQZAUXQUXBVUGUXRUXCHBGVKJKUUIWJUUQUUNVUFJFUUPGUBUUJUUKUULUUM $.

    dprdf11.4 $e |- ( ph -> H e. W ) $.
    $( Two group sums over a direct product that give the same value are equal
       as functions.  (Contributed by Mario Carneiro, 25-Apr-2016.)  (Revised
       by AV, 14-Jul-2019.) $)
    dprdf11 $p |- ( ph -> ( ( G gsum F ) = ( G gsum H ) <-> F = H ) ) $=
      ( vx wceq co wcel cv cfv wral cgsu csg wfn wb cbs eqid dprdff ffnd eqfnfv
      syl2anc cof cmpt dprdfsub simpld dprdfeq0 simprd eqeq1d cvv dprddomcld wa
      fvexd feqmptd offval2 ovex rgenw mpteqb ax-mp cgrp cdm wbr dprdgrp adantr
      cdprd ffvelrnda grpsubeq0 syl3anc ralbidva syl5bb 3bitr3d dprdssv eldprdi
      syl bitrd sselid 3bitr2rd ) AEGRZQUAZEUBZWJGUBZRZQHUCZFEUDSZFGUDSZFUEUBZS
      ZJRZWOWPRZAEHUFGHUFWIWNUGAHFUHUBZEAXABCDEFHIJLMNOXAUIZUJZUKAHXAGAXABCDGFH
      IJLMNPXBUJZUKQHEGULUMAFEGWQUNSZUDSZJRXEQHJUOZRZWSWNAQBCDXEFHIJKLMNAXEITZX
      FWRRZABCDEFGHWQIJKLMNOPWQUIZUPZUQURAXFWRJAXIXJXLUSUTAXHQHWKWLWQSZUOZXGRZW
      NAXEXNXGAQHWKWLWQEGVAVAVAABFHMNVBAWJHTZVCZWJEVDXQWJGVDAQHXAEXCVEAQHXAGXDV
      EVFUTXOXMJRZQHUCZAWNXMVATZQHUCXOXSUGXTQHWKWLWQVGVHQHXMJVAVIVJAXRWMQHXQFVK
      TZWKXATWLXATXRWMUGAYAXPAFBVPVLVMYAMBFVNWEZVOAHXAWJEXCVQAHXAWJGXDVQXAFWQWK
      WLJXBKXKVRVSVTWAWFWBAYAWOXATWPXATWSWTUGYBAFBVPSZXAWOXABFXBWCZABCDEFHIJKLM
      NOWDWGAYCXAWPYDABCDGFHIJKLMNPWDWGXAFWQWOWPJXBKXKVRVSWH $.
  $}

  ${
    $d f g h i k x y G $.  $d f g h i k x y S $.
    $( The internal direct product of a family of subgroups is a subgroup.
       (Contributed by Mario Carneiro, 25-Apr-2016.) $)
    dprdsubg $p |- ( G dom DProd S -> ( G DProd S ) e. ( SubGrp ` G ) ) $=
      ( vx vy vh vi vk vf vg wbr co cfv wcel cv eqid cgsu cvv wa wceq wrex wral
      cdprd cdm csubg cbs wss c0 wne csg dprdssv a1i c0g csn cxp cfsupp cixp id
      crab eqidd wfn fvex fnconstg mp1i fvconst2 adantl dprdf ffvelrnda subg0cl
      syl eqeltrd ralrimiva wnel df-nel dprddomprc sylbir con4i fczfsuppd dprdw
      wn mpbir3and eldprdi ne0d wb eldprd baibd anbi12d reeanv cof simpl simprl
      mpan simprr dprdfsub simprd simpld eqeltrrd syl5ibrcom rexlimdvva syl5bir
      oveq12 eleq1d sylbid ralrimivv cgrp w3a dprdgrp issubg4 ) BAUBUCJZBAUBKZB
      UDLZMZXIBUELZUFZXIUGUHZCNZDNZBUILZKZXIMZDXIUACXIUAZXMXHXLABXLOZUJUKXHXIBA
      UCZBULLZUMUNZPKXHAEFYDBYBENYCUOJEFYBFNALUPURZYCYCOZYEOZXHUQZXHYBUSZXHYDYE
      MYDYBUTZGNZYDLZYKALZMZGYBUAYDYCUOJYCQMZYJXHBULVAZYBYCQVBVCXHYNGYBXHYKYBMZ
      RZYLYCYMYQYLYCSXHYBYCYKYPVDVEYRYMXJMYCYMMXHYBXJYKAABVFVGYMBYCYFVHVIVJVKXH
      YBQQYCYBQMZXHYSVSYBQVLXHVSYBQVMABVNVOVPYOXHYPUKVQXHGAEFYDBYBYEYCYGYHYIVRV
      TWAWBXHXSCDXIXIXHXOXIMZXPXIMZRZXOBHNZPKZSZHYETZXPBINZPKZSZIYETZRZXSYBYBSZ
      XHUUBUUKWCYBOUULXHRYTUUFUUAUUJUULYTXHUUFXOAHEFBYBYEYCYFYGWDWEUULUUAXHUUJX
      PAIEFBYBYEYCYFYGWDWEWFWKUUKUUEUUIRZIYETHYETXHXSUUEUUIHIYEYEWGXHUUMXSHIYEY
      EXHUUCYEMZUUGYEMZRZRZXSUUMUUDUUHXQKZXIMUUQBUUCUUGXQWHKZPKZUURXIUUQUUSYEMZ
      UUTUURSZUUQAEFUUCBUUGYBXQYEYCYFYGXHUUPWIZUUQYBUSZXHUUNUUOWJXHUUNUUOWLXQOZ
      WMZWNUUQAEFUUSBYBYEYCYFYGUVCUVDUUQUVAUVBUVFWOWAWPUUMXRUURXIXOUUDXPUUHXQWT
      XAWQWRWSXBXCXHBXDMXKXMXNXTXEWCABXFCDXLXIBXQYAUVEXGVIVT $.
  $}

  ${
    $d h i n x G $.  $d h i n I $.  $d h i n x S $.  $d h n x X $.
    $d n x ph $.
    dprdub.1 $e |- ( ph -> G dom DProd S ) $.
    dprdub.2 $e |- ( ph -> dom S = I ) $.
    dprdub.3 $e |- ( ph -> X e. I ) $.
    $( Each factor is a subset of the internal direct product.  (Contributed by
       Mario Carneiro, 25-Apr-2016.) $)
    dprdub $p |- ( ph -> ( S ` X ) C_ ( G DProd S ) ) $=
      ( vx vn vh vi cfv cdprd co cv wcel wceq eqid adantr c0g cif cmpt cgsu wbr
      wa cfsupp cixp crab simpr dprdfid simprd simpld eldprdi eqeltrrd ex ssrdv
      cdm ) AIEBMZCBNOZAIPZUSQZVAUTQAVBUFZCJDJPERVACUAMZUBUCZUDOZVAUTVCVEKPVDUG
      UEKLDLPBMUHUIZQZVFVARZVCVABKLJVECDVGEVDVDSZVGSZACBNURUEVBFTZABURDRVBGTZAE
      DQVBHTAVBUJVESUKZULVCBKLVECDVGVDVJVKVLVMVCVHVIVNUMUNUOUPUQ $.
  $}

  ${
    $d f h i k G $.  $d f h i k I $.  $d f k ph $.  $d f h i k S $.
    $d f k T $.
    dprdlub.1 $e |- ( ph -> G dom DProd S ) $.
    dprdlub.2 $e |- ( ph -> dom S = I ) $.
    dprdlub.3 $e |- ( ph -> T e. ( SubGrp ` G ) ) $.
    dprdlub.4 $e |- ( ( ph /\ k e. I ) -> ( S ` k ) C_ T ) $.
    $( The direct product is smaller than any subgroup which contains the
       factors.  (Contributed by Mario Carneiro, 25-Apr-2016.) $)
    dprdlub $p |- ( ph -> ( G DProd S ) C_ T ) $=
      ( vf vh vi cdprd co cv cfv eqid wcel adantr c0g cfsupp wbr cixp crab cgsu
      cmpt crn cdm wceq dprdval syl2anc cvv ccntz cgrp cmnd dprdgrp grpmnd 3syl
      wa dprddomcld csubg csubmnd subgsubm syl wfn wral wf cbs simpr dprdff wss
      ffnd adantlr dprdfcl sseldd ralrimiva ffnfv sylanbrc dprdfcntz dprdffsupp
      gsumzsubmcl fmpttd frnd eqsstrd ) AEBNOZKLPEUAQZUBUCLMFMPBQUDUEZEKPZUFOZU
      GZUHZCAEBNUIUCZBUIFUJZWFWLUJGHBKLMEFWHWGWGRZWHRZUKULAWHCWKAKWHWJCAWIWHSZU
      TZFCWIEUMWGEUNQZWOWSRZWRWMEUOSEUPSAWMWQGTZBEUQEURUSAFUMSWQABEFGHVATWRCEVB
      QSZCEVCQSAXBWQITCEVDVEWRWIFVFDPZWIQZCSZDFVGFCWIVHWRFEVIQZWIWRXFBLMWIEFWHW
      GWPXAAWNWQHTZAWQVJZXFRVKVMWRXEDFWRXCFSZUTXCBQZCXDAXIXJCVLWQJVNWRBLMWIEFWH
      XCWGWPXAXGXHVOVPVQDFCWIVRVSWRBLMWIEFWHWGWSWPXAXGXHWTVTWRBLMWIEFWHWGWPXAXG
      XHWAWBWCWDWE $.
  $}

  ${
    $d k G $.  $d k K $.  $d k S $.
    dprdspan.k $e |- K = ( mrCls ` ( SubGrp ` G ) ) $.
    $( The direct product is the span of the union of the factors.
       (Contributed by Mario Carneiro, 25-Apr-2016.) $)
    dprdspan $p |- ( G dom DProd S -> ( G DProd S ) = ( K ` U. ran S ) ) $=
      ( vk cdprd cdm wbr co crn cuni cfv id eqidd csubg wcel wss syl wral iunss
      cbs cmre cgrp cacs dprdgrp eqid subgacs acsmre 3syl cv ciun wfn wceq ffnd
      dprdf fniunfv simpl simpr dprdub ralrimiva sylibr eqsstrrd dprdssv sstrdi
      mrccl syl2anc eqimss sylib r19.21bi mrcssidd adantr sstrd dprdlub mrcsscl
      wa dprdsubg syl3anc eqssd ) BAFGHZBAFIZAJKZCLZVSAWBEBAGZVSMVSWCNVSBOLZBUA
      LZUBLPZWAWEQWBWDPVSBUCPWDWEUDLPWFABUEWEBWEUFZUGWDWEUHUIZVSWAVTWEVSWAEWCEU
      JZALZUKZVTVSAWCULWKWAUMZVSWCWDAABUOUNEWCAUPRZVSWJVTQZEWCSWKVTQVSWNEWCVSWI
      WCPZVOZABWCWIVSWOUQWPWCNVSWOURUSUTEWCWJVTTVAVBZWEABWGVCVDZWDWACWEDVEVFWPW
      JWAWBVSWJWAQZEWCVSWKWAQZWSEWCSVSWLWTWMWKWAVGREWCWJWATVHVIVSWAWBQWOVSWDWAC
      WEWHDWRVJVKVLVMVSWFWAVTQVTWDPWBVTQWHWQABVPWDWACVTWEDVNVQVR $.
  $}

  ${
    $d x y A $.  $d x y G $.  $d x y ph $.  $d x y S $.
    dprdres.1 $e |- ( ph -> G dom DProd S ) $.
    dprdres.2 $e |- ( ph -> dom S = I ) $.
    dprdres.3 $e |- ( ph -> A C_ I ) $.
    $( Restriction of a direct product (dropping factors).  (Contributed by
       Mario Carneiro, 25-Apr-2016.) $)
    dprdres $p |- ( ph -> ( G dom DProd ( S |` A ) /\
      ( G DProd ( S |` A ) ) C_ ( G DProd S ) ) ) $=
      ( vx vy cdprd cdm wss wcel cfv cuni wceq syl eqid adantr cres wbr co cgrp
      csubg wf cv ccntz csn cdif wral cima cmrc cin c0g dprdgrp dprdf2 ad2antrr
      wa simplr sseldd eldifi adantl wne eldifsni necomd dprdcntz fvresd fveq2d
      fssresd 3sstr4d ralrimiva fvres ineq1d cbs cmre cacs subgacs acsmre resss
      3syl imass1 ax-mp ssdif imass2 sstrid unissd cpw crn imassrn subgss velpw
      sylibr ssriv sstrdi sspwuni sylib mrcssd sslin dprddisj sseqtrd ffvelrnda
      sselda syldan subg0cl sstrd mrccl syl2anc elind snssd eqssd eqtrd jca cvv
      frnd w3a wb dprddomcld ssexd fdmd dmdprd mpbir3and rnss mp2b a1i dprdspan
      uniss ) ADCBUAZKLZUBZDYHKUCZDCKUCZMAYJDUDNZBDUEOZYHUFZIUGZYHOZJUGZYHOZDUH
      OZOZMZJBYPUIZUJZUKZYQYHUUDULZPZYNUMOZOZUNZDUOOZUIZQZUSZIBUKZADCYIUBZYMFCD
      UPRZAEYNBCACDEFGUQZHVJZAUUNIBAYPBNZUSZUUEUUMUVAUUBJUUDUVAYRUUDNZUSZYPCOZY
      RCOZYTOYQUUAUVCCDEYPYRYTAUUPUUTUVBFURACLEQZUUTUVBGURUVCBEYPABEMZUUTUVBHUR
      ZAUUTUVBUTZVAUVCBEYRUVHUVBYRBNUVAYRBUUCVBVCZVAUVCYRYPUVBYRYPVDUVAYRBYPVEV
      CVFYTSZVGUVCYPBCUVIVHUVCYSUVEYTUVCYRBCUVJVHVIVKVLUVAUUJUVDUUIUNZUULUVAYQU
      VDUUIUUTYQUVDQAYPBCVMVCVNUVAUVLUULUVAUVLUVDCEUUCUJZULZPZUUHOZUNZUULUVAUUI
      UVPMUVLUVQMUVAYNUUGUUHUVODVOOZAYNUVRVPONZUUTAYMYNUVRVQONUVSUUQUVRDUVRSZVR
      YNUVRVSWAZTZUUHSZUVAUUFUVNUVAUUFCUUDULZUVNYHCMZUUFUWDMCBVTZYHCUUDWBWCUVAU
      VGUUDUVMMUWDUVNMAUVGUUTHTBEUUCWDUUDUVMCWEWAWFWGZUVAUVNUVRWHZMUVOUVRMUVAUV
      NCWIZUWHCUVMWJAUWIUWHMZUUTAUWIYNUWHAEYNCUURXOIYNUWHYPYNNYPUVRMYPUWHNUVRYP
      DUVTWKIUVRWLWMWNWOZTWFUVNUVRWPWQZWRUUIUVPUVDWSRUVACDEUUHYPUUKAUUPUUTFTAUV
      FUUTGTABEYPHXCZUUKSZUWCWTXAUVAUUKUVLUVAUVDUUIUUKUVAUVDYNNZUUKUVDNAUUTYPEN
      UWOUWMAEYNYPCUURXBXDUVDDUUKUWNXERUVAUUIYNNZUUKUUINUVAUVSUUGUVRMUWPUWBUVAU
      UGUVOUVRUWGUWLXFYNUUGUUHUVRUWCXGXHUUIDUUKUWNXERXIXJXKXLXMVLABXNNYHLBQYJYM
      YOUUOXPXQABEXNACDEFGXRHXSABYNYHUUSXTIJYHDBUUHXNUUKYTUVKUWNUWCYAXHYBZAYHWI
      ZPZUUHOZUWIPZUUHOZYKYLAYNUWSUUHUXAUVRUWAUWCUWSUXAMZAUWEUWRUWIMUXCUWFYHCYC
      UWRUWIYGYDYEAUWJUXAUVRMUWKUWIUVRWPWQWRAYJYKUWTQUWQYHDUUHUWCYFRAUUPYLUXBQF
      CDUUHUWCYFRVKXM $.
  $}

  ${
    $d a f h k x y G $.  $d a k x y ph $.  $d a f h k x y S $.  $d a f h k T $.
    $d f h k x y I $.
    dprdss.1 $e |- ( ph -> G dom DProd T ) $.
    dprdss.2 $e |- ( ph -> dom T = I ) $.
    dprdss.3 $e |- ( ph -> S : I --> ( SubGrp ` G ) ) $.
    dprdss.4 $e |- ( ( ph /\ k e. I ) -> ( S ` k ) C_ ( T ` k ) ) $.
    $( Create a direct product by finding subgroups inside each factor of
       another direct product.  (Contributed by Mario Carneiro,
       25-Apr-2016.) $)
    dprdss $p |- ( ph ->
      ( G dom DProd S /\ ( G DProd S ) C_ ( G DProd T ) ) ) $=
      ( vf vh wss cfv eqid wcel syl cv wceq adantr vx vy va cdprd cdm wbr csubg
      co cmrc cvv c0g ccntz cgrp dprdgrp dprddomcld wne wa wral ralrimiva fveq2
      w3a sseq12d rspcv mpan9 3ad2antr1 simpr1 simpr2 simpr3 dprdcntz wf dprdf2
      cbs ffvelrnd subgss rspcdva cntz2ss syl2anc sstrd csn cdif cima cuni cacs
      cin cmre subgacs acsmre 3syl ciun difss ssralv mpsyl ss2iun wfun funiunfv
      ffun 3sstr3d cpw crn imassrn frnd mresspw sstrid sylib mrcssd ss2in simpr
      sspwuni dprddisj sseqtrd dmdprdd cgsu cfsupp cixp crab wrex a1d wi ss2ixp
      rabss2 ssrexv anim12d wb fdm eldprd 3imtr4d ssrdv jca ) AEBUDUEZUFZEBUDUH
      ZECUDUHZMAUAUBBEFEUGNZUINZUJEUKNZEULNZYPOZYOOZYNOZAECYIUFZEUMPZGCEUNQZACE
      FGHUOIAUARZFPZUBRZFPZUUCUUEUPZVAZUQZUUCBNZUUCCNZUUEBNZYPNZAUUFUUDUUJUUKMZ
      UUGADRZBNZUUOCNZMZDFURZUUDUUNAUURDFJUSZUURUUNDUUCFUUOUUCSUUPUUJUUQUUKUUOU
      UCBUTUUOUUCCUTVBVCVDZVEUUIUUKUUECNZYPNZUUMUUICEFUUCUUEYPAYTUUHGTACUEFSZUU
      HHTAUUDUUFUUGVFAUUDUUFUUGVGZAUUDUUFUUGVHYQVIUUIUVBEVLNZMZUULUVBMZUVCUUMMU
      UIUVBYMPUVGUUIFYMUUECAFYMCVJZUUHACEFGHVKZTUVEVMUVFUVBEUVFOZVNQUUIUURUVHDF
      UUEUUOUUESUUPUULUUQUVBUUOUUEBUTUUOUUECUTVBAUUSUUHUUTTUVEVOUVFUVBUULEYPUVK
      YQVPVQVRVRAUUDUQZUUJBFUUCVSZVTZWAWBZYNNZWDZUUKCUVNWAZWBZYNNZWDZYOVSUVLUUN
      UVPUVTMUVQUWAMUVAUVLYMUVOYNUVSUVFUVLUUAYMUVFWCNPYMUVFWENPZAUUAUUDUUBTUVFE
      UVKWFYMUVFWGWHZYSUVLDUVNUUPWIZDUVNUUQWIZUVOUVSUVLUURDUVNURZUWDUWEMUVNFMUV
      LUUSUWFFUVMWJAUUSUUDUUTTUURDUVNFWKWLDUVNUUPUUQWMQUVLFYMBVJZBWNUWDUVOSAUWG
      UUDITFYMBWPDUVNBWOWHUVLUVICWNUWEUVSSAUVIUUDUVJTZFYMCWPDUVNCWOWHWQUVLUVRUV
      FWRZMUVSUVFMUVLUVRCWSZUWICUVNWTUVLUWJYMUWIUVLFYMCUWHXAUVLUWBYMUWIMUWCYMUV
      FXBQVRXCUVRUVFXHXDXEUUJUUKUVPUVTXFVQUVLCEFYNUUCYOAYTUUDGTAUVDUUDHTAUUDXGY
      RYSXIXJXKAUCYKYLAYJUCRZEKRXLUHSZKLRYOXMUFZLDFUUPXNZXOZXPZUQZYTUWLKUWMLDFU
      UQXNZXOZXPZUQZUWKYKPZUWKYLPZAYJYTUWPUWTAYTYJGXQAUWNUWRMZUWOUWSMUWPUWTXRAU
      USUXDUUTDFUUPUUQXSQUWMLUWNUWRXTUWLKUWOUWSYAWHYBAUWGBUEFSUXBUWQYCIFYMBYDUW
      KBKLDEFUWOYOYRUWOOYEWHAUVDUXCUXAYCHUWKCKLDEFUWSYOYRUWSOYEQYFYGYH $.
  $}

  ${
    $d x y z .0. $.  $d x y z G $.  $d x y z I $.  $d x y z V $.
    dprd0.0 $e |- .0. = ( 0g ` G ) $.
    $( A family consisting entirely of trivial groups is an internal direct
       product, the product of which is the trivial subgroup.  (Contributed by
       Mario Carneiro, 25-Apr-2016.) $)
    dprdz $p |- ( ( G e. Grp /\ I e. V ) ->
      ( G dom DProd ( x e. I |-> { .0. } ) /\
        ( G DProd ( x e. I |-> { .0. } ) ) = { .0. } ) ) $=
      ( vy vz wcel wa csn wceq cfv eqid cv wss adantr snssd subg0cl syl cdm wbr
      cgrp cmpt cdprd co csubg cmrc ccntz simpl simpr 0subg ad2antrr fmpttd wne
      w3a cbs grpidcl cntzsubg syldan simpr1 snex fvmpt3i simpr2 fveq2d 3sstr4d
      eqidd cdif cima cuni cin adantl cmre cacs subgacs acsmred cpw crn imassrn
      ineq1d frnd mresspw sstrd sstrid sspwuni sylib mrccl syl2anc df-ss eqimss
      wf eqtrd dmdprdd dmmptd dprdlub dprdsubg 3syl eqssd jca ) BUCIZCDIZJZBACE
      KZUDZUEUAUBZBXDUEUFZXCLXBGHXDBCBUGMZUHMZDEBUIMZXINZFXHNZWTXAUJWTXAUKXBACX
      CXGWTXCXGIZXAAOZCIBEFULZUMZUNZXBGOZCIZHOZCIZXQXSUOZUPZJZXCXCXIMZXQXDMZXSX
      DMZXIMXBXCYDPYBXBEYDXBYDXGIZEYDIWTXAXCBUQMZPYGXBEYHWTEYHIXAYHBEYHNZFURQRY
      HXCBXIYIXJUSUTYDBEFSTRQYCXRYEXCLZXBXRXTYAVAAXQXCXCCXDXMXQLXCVGXDNZEVBZVCZ
      TYCYFXCXIYCXTYFXCLXBXRXTYAVDAXSXCXCCXDXMXSLXCVGYKYLVCTVEVFXBXRJZYEXDCXQKV
      HZVIZVJZXHMZVKZXCLYSXCPYNYSXCYRVKZXCYNYEXCYRXRYJXBYMVLZVTYNXCYRPYTXCLYNEY
      RYNYRXGIZEYRIYNXGYHVMMIZYQYHPZUUBYNXGYHWTXGYHVNMIXAXRYHBYIVOUMVPZYNYPYHVQ
      ZPUUDYNYPXDVRZUUFXDYOVSYNUUGXGUUFYNCXGXDXBCXGXDWKXRXPQWAYNUUCXGUUFPUUEXGY
      HWBTWCWDYPYHWEWFXGYQXHYHXKWGWHYRBEFSTRXCYRWIWFWLYSXCWJTWMZXBXFXCXBXDXCGBC
      UUHXBAXDCXCXGYKXOWNWTXLXAXNQYNYJYEXCPUUAYEXCWJTWOXBEXFXBXEXFXGIEXFIUUHXDB
      WPXFBEFSWQRWRWS $.

    $( The empty family is an internal direct product, the product of which is
       the trivial subgroup.  (Contributed by Mario Carneiro, 25-Apr-2016.) $)
    dprd0 $p |- ( G e. Grp ->
      ( G dom DProd (/) /\ ( G DProd (/) ) = { .0. } ) ) $=
      ( vx cgrp wcel c0 csn cmpt cdprd cdm wbr co wceq cvv 0ex dprdz mpan2 mpt0
      wa breq2i oveq2i eqeq1i anbi12i sylib ) AEFZADGBHZIZJKZLZAUHJMZUGNZTZAGUI
      LZAGJMZUGNZTUFGOFUMPDAGOBCQRUJUNULUPUHGAUIDUGSZUAUKUOUGUHGAJUQUBUCUDUE $.
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y J $.  $d x y ph $.  $d x y S $.
    dprdf1o.1 $e |- ( ph -> G dom DProd S ) $.
    dprdf1o.2 $e |- ( ph -> dom S = I ) $.
    dprdf1o.3 $e |- ( ph -> F : J -1-1-onto-> I ) $.
    $( Rearrange the index set of a direct product family.  (Contributed by
       Mario Carneiro, 25-Apr-2016.) $)
    dprdf1o $p |- ( ph ->
      ( G dom DProd ( S o. F ) /\ ( G DProd ( S o. F ) ) = ( G DProd S ) ) ) $=
      ( cdprd wceq cfv cvv wcel syl syl2anc adantr cima cuni 3syl vx vy cdm wbr
      ccom co csubg cmrc c0g ccntz eqid cgrp dprdgrp wf1 wf1o dprddomcld f1dmex
      f1of1 wf dprdf2 fco cv wne w3a wa simpr1 ffvelrnd simpr2 simpr3 wb f1fveq
      f1of syl12anc necon3bid mpbird dprdcntz fvco3 fveq2d 3sstr4d csn cdif cin
      wss sylan imaco ccnv wfun wfo dff1o3 simprbi imadif f1ofo foima wfn f1ofn
      fnsnfv eqcomd difeq12d eqtrd imaeq2d eqtrid unieqd ineq12d eqimss dmdprdd
      ffvelrnda dprddisj crn rnco2 forn ffn fnima dprdspan 3eqtr4d jca ) ADBCUE
      ZJUCZUDZDXPJUFZDBJUFZKAUAUBXPDFDUGLZUHLZMDUILZDUJLZYDUKZYCUKZYBUKZADBXQUD
      ZDULNGBDUMOAFECUNZEMNFMNAFECUOZYIIFECUROZABDEGHUPFEMCUQPAEYABUSZFECUSZFYA
      XPUSABDEGHUTZAYJYMIFECVLOZFEYABCVAPAUAVBZFNZUBVBZFNZYPYRVCZVDZVEZYPCLZBLZ
      YRCLZBLZYDLYPXPLZYRXPLZYDLUUBBDEUUCUUEYDAYHUUAGQABUCEKZUUAHQUUBFEYPCAYMUU
      AYOQZAYQYSYTVFZVGUUBFEYRCUUJAYQYSYTVHZVGUUBUUCUUEVCYTAYQYSYTVIUUBUUCUUEYP
      YRUUBYIYQYSUUCUUEKYPYRKVJAYIUUAYKQUUKUULFEYPYRCVKVMVNVOYEVPUUBYMYQUUGUUDK
      ZUUJUUKFEYPBCVQZPUUBUUHUUFYDUUBYMYSUUHUUFKUUJUULFEYRBCVQPVRVSAYQVEZUUGXPF
      YPVTZWAZRZSZYBLZWBZYCVTZKUVAUVBWCUUOUVAUUDBEUUCVTZWAZRZSZYBLZWBUVBUUOUUGU
      UDUUTUVGAYMYQUUMYOUUNWDUUOUUSUVFYBUUOUURUVEUUOUURBCUUQRZRUVEBCUUQWEUUOUVH
      UVDBUUOUVHCFRZCUUPRZWAZUVDUUOYJCWFWGZUVHUVKKAYJYQIQZYJFECWHZUVLFECWIWJFUU
      PCWKTUUOUVIEUVJUVCUUOYJUVNUVIEKUVMFECWLZFECWMTUUOUVCUVJACFWNZYQUVCUVJKAYJ
      UVPIFECWOOFYPCWPWDWQWRWSWTXAXBVRXCUUOBDEYBUUCYCAYHYQGQAUUIYQHQAFEYPCYOXFY
      FYGXGWSUVAUVBXDOXEZAXPXHZSZYBLZBXHZSZYBLZXSXTAUVSUWBYBAUVRUWAAUVRBCXHZRZU
      WABCXIAUWEBERZUWAAUWDEBAYJUVNUWDEKIUVOFECXJTWTAYLBEWNUWFUWAKYNEYABXKEBXLT
      WSXAXBVRAXRXSUVTKUVQXPDYBYGXMOAYHXTUWCKGBDYBYGXMOXNXO $.
  $}

  ${
    dprdf1.1 $e |- ( ph -> G dom DProd S ) $.
    dprdf1.2 $e |- ( ph -> dom S = I ) $.
    dprdf1.3 $e |- ( ph -> F : J -1-1-> I ) $.
    $( Rearrange the index set of a direct product family.  (Contributed by
       Mario Carneiro, 25-Apr-2016.) $)
    dprdf1 $p |- ( ph ->
     ( G dom DProd ( S o. F ) /\ ( G DProd ( S o. F ) ) C_ ( G DProd S ) ) ) $=
      ( ccom cdprd cdm wbr co wss crn cres wceq simpld simprd wf1 f1f frn csubg
      3syl dprdres cfv dprdf2 fssresd fdmd wf1o f1f1orn syl dprdf1o cores ax-mp
      wf ssid breqtrdi oveq2i eqtr3id eqsstrd jca ) ADBCJZKLZMDVDKNZDBKNZOADBCP
      ZQZCJZVDVEADVJVEMZDVJKNZDVIKNZRZAVICDVHFADVIVEMZVMVGOZAVHBDEGHAFECUAZFECU
      QVHEOIFECUBFECUCUEZUFZSAVHDUDUGZVIAEVTVHBABDEGHUHVRUIUJAVQFVHCUKIFECULUMU
      NZSVHVHOVJVDRVHURBCVHUOUPZUSAVFVMVGAVFVLVMVJVDDKWBUTAVKVNWATVAAVOVPVSTVBV
      C $.
  $}

  ${
    $d x y A $.  $d x y G $.  $d x y H $.  $d x y S $.
    subgdprd.1 $e |- H = ( G |`s A ) $.
    $( A direct product in a subgroup.  (Contributed by Mario Carneiro,
       27-Apr-2016.) $)
    subgdmdprd $p |- ( A e. ( SubGrp ` G ) ->
      ( H dom DProd S <-> ( G dom DProd S /\ ran S C_ ~P A ) ) ) $=
      ( vx vy cfv wcel cvv wss wa adantr wb csn wral cin wceq eqid ad2antrr cdm
      csubg cdprd wbr crn cpw wi reldmdprd brrelex2i wf cv ccntz cdif cima cuni
      a1i c0g cbs ffvelrn ad2ant2lr subgss syl subgbas sseqtrrd biantrud simpll
      cmrc simplr eldifi ad2antll ffvelrnd resscntz syl2anc sseq2d ssin bitr4di
      bitr4d anassrs cmre cgrp cacs subgrcl subgacs acsmre 3syl subggrp imassrn
      ralbidva frn ad2antlr sstrid mresspw sstrd sspwuni sylib mrcssidd subsubg
      mrccl mpbid simpld mrcsscl syl3anc mpbir2and eqssd ineq2d eqeq12d anbi12d
      subg0 sneqd pm5.32da wfn elin velpw anbi2i bitri eqrdv anbi2d df-f anbi1i
      anass 3bitr4g anbi1d bitr3d dmexg adantl eqidd dmdprd 3anass bitrdi baibd
      w3a syl21anc an32 3bitr4d ex pm5.21ndd ) ACUBHZIZBJIZDBUCUAZUDZCBYTUDZBUE
      ZAUFZKZLZUUAYSUGYRDBYTUHUIUPUUFYSUGYRUUBYSUUECBYTUHUIMUPYRYSUUAUUFNYRYSLZ
      BUAZDUBHZBUJZFUKZBHZGUKZBHZDULHZHZKZGUUHUUKOZUMZPZUULBUUSUNZUOZUUIVGHZHZQ
      ZDUQHZOZRZLZFUUHPZLZUUHYQBUJZUUELZUULUUNCULHZHZKZGUUSPZUULUVBYQVGHZHZQZCU
      QHZOZRZLZFUUHPZLZUUAUUFYRUVKUWFNYSYRUUJUWELUVKUWFYRUUJUWEUVJYRUUJLZUWDUVI
      FUUHUWGUUKUUHIZLZUVQUUTUWCUVHUWIUVPUUQGUUSUWGUWHUUMUUSIZUVPUUQNUWGUWHUWJL
      ZLZUVPUVPUULAKZLZUUQUWLUWMUVPUWLUULDURHZAUWLUULUUIIZUULUWOKUUJUWHUWPYRUWJ
      UUHUUIUUKBUSUTUWOUULDUWOSZVAVBYRAUWORZUUJUWKACDEVCZTZVDVEUWLUUQUULUVOAQZK
      UWNUWLUUPUXAUULUWLYRUUNAKUUPUXARYRUUJUWKVFUWLUUNUWOAUWLUUNUUIIUUNUWOKUWLU
      UHUUIUUMBYRUUJUWKVHUWJUUMUUHIUWGUWHUUMUUHUURVIVJVKUWOUUNDUWQVAVBUWTVDAUUN
      CDYQUUOUVNEUVNSZUUOSZVLVMVNUULUVOAVOVPVQVRWHUWIUVTUVEUWBUVGUWIUVSUVDUULUW
      IUVSUVDUWIYQCURHZVSHIZUVBUVDKUVDYQIZUVSUVDKUWICVTIZYQUXDWAHIUXEYRUXGUUJUW
      HACWBZTUXDCUXDSZWCYQUXDWDWEZUWIUUIUVBUVCUWOUWIDVTIZUUIUWOWAHIUUIUWOVSHIZY
      RUXKUUJUWHACDEWFZTUWODUWQWCUUIUWOWDWEZUVCSZUWIUVAUWOUFZKUVBUWOKZUWIUVAUUI
      UXPUWIUVAUUCUUIBUUSWGUUJUUCUUIKZYRUWHUUHUUIBWIWJWKUWIUXLUUIUXPKUXNUUIUWOW
      LVBWMUVAUWOWNWOZWPUWIUXFUVDAKZUWIUVDUUIIZUXFUXTLZUWIUXLUXQUYAUXNUXSUUIUVB
      UVCUWOUXOWRVMYRUYAUYBNUUJUWHUVDACDEWQTWSWTYQUVBUVRUVDUXDUVRSZXAXBUWIUXLUV
      BUVSKUVSUUIIZUVDUVSKUXNUWIYQUVBUVRUXDUXJUYCUWIUVBAUXDUWIUVBUWOAUXSYRUWRUU
      JUWHUWSTVDZYRAUXDKUUJUWHUXDACUXIVATWMZWPUWIUYDUVSYQIZUVSAKZUWIUXEUVBUXDKU
      YGUXJUYFYQUVBUVRUXDUYCWRVMUWIUXEUVBAKYRUYHUXJUYEYRUUJUWHVFYQUVBUVRAUXDUYC
      XAXBYRUYDUYGUYHLNUUJUWHUVSACDEWQTXCUUIUVBUVCUVSUWOUXOXAXBXDXEUWIUWAUVFYRU
      WAUVFRUUJUWHACDUWAEUWASZXHTXIXFXGWHXJYRUUJUVMUWEYRBUUHXKZUXRLUYJUUCYQKZUU
      ELZLZUUJUVMYRUXRUYLUYJYRUXRUUCYQUUDQZKUYLYRUUIUYNUUCYRFUUIUYNYRUUKUUIIUUK
      YQIZUUKAKZLZUUKUYNIZUUKACDEWQUYRUYOUUKUUDIZLUYQUUKYQUUDXLUYSUYPUYOFAXMXNX
      OVPXPVNUUCYQUUDVOVPXQUUHUUIBXRUVMUYJUYKLZUUELUYMUVLUYTUUEUUHYQBXRXSUYJUYK
      UUEXTXOYAYBYCMUUGUUHJIZUUHUUHRZUXKUUAUVKNYSVUAYRBJYDYEZUUGUUHYFZYRUXKYSUX
      MMVUAVUBLZUUAUXKUVKVUEUUAUXKUUJUVJYKUXKUVKLFGBDUUHUVCJUVFUUOUXCUVFSUXOYGU
      XKUUJUVJYHYIYJYLUUGUUFUVLUWELZUUELUWFUUGUUBVUFUUEUUGVUAVUBUXGUUBVUFNVUCVU
      DYRUXGYSUXHMVUEUUBUXGVUFVUEUUBUXGUVLUWEYKUXGVUFLFGBCUUHUVRJUWAUVNUXBUYIUY
      CYGUXGUVLUWEYHYIYJYLYBUVLUWEUUEYMYIYNYOYP $.

    subgdprd.2 $e |- ( ph -> A e. ( SubGrp ` G ) ) $.
    subgdprd.3 $e |- ( ph -> G dom DProd S ) $.
    subgdprd.4 $e |- ( ph -> ran S C_ ~P A ) $.
    $( A direct product in a subgroup.  (Contributed by Mario Carneiro,
       27-Apr-2016.) $)
    subgdprd $p |- ( ph -> ( H DProd S ) = ( G DProd S ) ) $=
      ( cfv cdprd wcel wss syl eqid 3syl cpw sspwuni sylib mrcsscl crn csubg co
      cuni cmrc cbs cmre cgrp cacs subggrp subgacs acsmre subgrcl cdm wbr dprdf
      wf frn mresspw sstrd mrcssidd mrccl syl2anc syl3anc wa subsubg subgdmdprd
      wb mpbir2and eqidd dprdf2 frnd mpbid simpld eqssd wceq dprdspan 3eqtr4d )
      ACUAZUDZEUBJZUEJZJZVTDUBJZUEJZJZECKUCZDCKUCZAWCWFAWAEUFJZUGJLZVTWFMWFWALZ
      WCWFMAEUHLZWAWIUIJLWJABWDLZWLGBDEFUJNWIEWIOUKWAWIULPZAWDVTWEDUFJZADUHLZWD
      WOUIJLWDWOUGJLZAWMWPGBDUMNWODWOOUKWDWOULPZWEOZAVSWOQZMVTWOMZAVSWDWTADCKUN
      ZUOZCUNZWDCUQVSWDMHCDUPXDWDCURPAWQWDWTMWRWDWOUSNUTVSWORSZVAAWKWFWDLZWFBMZ
      AWQXAXFWRXEWDVTWEWOWSVBVCAWQVTBMZWMXGWRAVSBQMZXHIVSBRSGWDVTWEBWOWSTVDAWMW
      KXFXGVEVHGWFBDEFVFNVIWAVTWBWFWIWBOZTVDAWQVTWCMWCWDLZWFWCMWRAWAVTWBWIWNXJA
      VSWIQZMVTWIMZAVSWAXLAXDWACACEXDAECXBUOZXCXIHIAWMXNXCXIVEVHGBCDEFVGNVIZAXD
      VJVKVLAWJWAXLMWNWAWIUSNUTVSWIRSZVAAXKWCBMZAWCWALZXKXQVEZAWJXMXRWNXPWAVTWB
      WIXJVBVCAWMXRXSVHGWCBDEFVFNVMVNWDVTWEWCWOWSTVDVOAXNWGWCVPXOCEWBXJVQNAXCWH
      WFVPHCDWEWSVQNVR $.
  $}

  ${
    $d x y A $.  $d x y G $.  $d x y S $.  $d x y V $.
    $( A singleton family is an internal direct product, the product of which
       is the given subgroup.  (Contributed by Mario Carneiro, 25-Apr-2016.) $)
    dprdsn $p |- ( ( A e. V /\ S e. ( SubGrp ` G ) ) ->
      ( G dom DProd { <. A , S >. } /\
        ( G DProd { <. A , S >. } ) = S ) ) $=
      ( vx vy wcel cfv wa csn cdprd wceq eqid adantl syl wss cuni eqtrdi eqtrd
      c0 csubg cop cdm wbr cmrc cvv c0g ccntz cgrp subgrcl snex a1i wf1o f1osng
      co wf f1of simpr snssd fssd wne w3a simpr1 elsni simpr2 eqtr4d pm2.21ddne
      cv simpr3 cdif cima cin cbs cmre cacs adantr subgacs acsmre sneqd difeq2d
      3syl difid imaeq2d ima0 unieqd uni0 eqsstrd 0subg mrcsscl syl3anc subg0cl
      0ss ad2antlr fveq2d fvsng sylan9eqr eleqtrrd sstrd sseqin2 sylib dprdspan
      dmdprdd crn rnsnopg unisng mrcid sylancom jca ) ADGZBCUAHZGZIZCABUBJZKUCU
      DZCXMKUOZBLXLEFXMCAJZXJUEHZUFCUGHZCUHHZXSMXRMZXQMZXKCUIGZXIBCUJNZXPUFGXLA
      UKULXLXPBJZXJXMXLXPYDXMUMXPYDXMUPABDXJUNXPYDXMUQOXLBXJXIXKURUSUTXLEVHZXPG
      ZFVHZXPGZYEYGVAZVBIZYEXMHZYGXMHXSHPYEYGYJYEAYGYJYFYEALZXLYFYHYIVCYEAVDZOY
      JYHYGALXLYFYHYIVEYGAVDOVFXLYFYHYIVIVGXLYFIZYKXMXPYEJZVJZVKZQZXQHZVLZYSXRJ
      ZYNYSYKPYTYSLYNYSUUAYKYNXJCVMHZVNHGZYRUUAPUUAXJGZYSUUAPYNYBXJUUBVOHGZUUCX
      LYBYFYCVPZUUBCUUBMVQZXJUUBVRZWAYNYRTUUAYNYRTQTYNYQTYNYQXMTVKTYNYPTXMYNYPX
      PXPVJTYNYOXPXPYNYEAYFYLXLYMNVSVTXPWBRWCXMWDRWEWFRTUUAPYNUUAWLULWGYNYBUUDU
      UFCXRXTWHOXJYRXQUUAUUBYAWIWJZYNXRYKYNXRBYKXKXRBGXIYFBCXRXTWKWMYFXLYKAXMHB
      YFYEAXMYMWNABDXJWOWPWQUSWRYSYKWSWTUUIWGXBZXLXOXMXCZQZXQHZBXLXNXOUUMLUUJXM
      CXQYAXAOXLUUMBXQHZBXLUULBXQXLUULYDQZBXLUUKYDXIUUKYDLXKABDXDVPWEXKUUOBLXIB
      XJXENSWNXIXKUUCUUNBLXLYBUUEUUCYCUUGUUHWAXJBXQUUBYAXFXGSSXH $.
  $}

  ${
    $d f h n .0. $.  $d f h i n A $.  $d f h i n G $.  $d f h i n I $.
    $d f h n F $.  $d f n ph $.  $d f h i n S $.  $d f n X $.
    dmdprdsplitlem.0 $e |- .0. = ( 0g ` G ) $.
    dmdprdsplitlem.w $e |- W = { h e. X_ i e. I ( S ` i ) | h finSupp .0. } $.
    dmdprdsplitlem.1 $e |- ( ph -> G dom DProd S ) $.
    dmdprdsplitlem.2 $e |- ( ph -> dom S = I ) $.
    dmdprdsplitlem.3 $e |- ( ph -> A C_ I ) $.
    dmdprdsplitlem.4 $e |- ( ph -> F e. W ) $.
    dmdprdsplitlem.5 $e |- ( ph -> ( G gsum F ) e. ( G DProd ( S |` A ) ) ) $.
    $( Lemma for ~ dmdprdsplit .  (Contributed by Mario Carneiro, 25-Apr-2016.)
       (Revised by AV, 14-Jul-2019.) $)
    dmdprdsplitlem $p |- ( ( ph /\ X e. ( I \ A ) ) -> ( F ` X ) = .0. ) $=
      ( vn wcel vf cdif wa cgsu co cv wceq cfv cfsupp cres cixp crab wrex cdprd
      wbr cdm csubg wf wb dprdf2 fssresd fdm eqid eldprd 3syl simprd adantr cif
      mpbid simprr cbs simpld ad2antrr syl simprl dprdff feqmptd resmptd iftrue
      cmpt wss mpteq2ia eqtrdi eqtr4d oveq2d cvv ccntz cgrp cmnd dprdgrp grpmnd
      dprddomcld simplrl dprdfcl fvres adantl eleqtrd wn ffvelrnda subg0cl wfun
      ifclda csupp mptexd funmpt a1i dprdffsupp simpr eldifn eldifd ssidd ssexd
      ad2antlr suppssr adantlr syldan ifeq1da ifid suppss2 fsuppsssupp syl22anc
      c0g fvexi dprdwd dprdfcntz iffalsed gsumzres 3eqtrd dprdf11 fveq1d eldifi
      eleq1 fveq2 ifbieq1d fvex ifex fvmpt3i rexlimddv ) AJHBUBZTZUCZGFUDUEZGUA
      UFZUDUEZUGZJFUHZKUGUADUFKUIUODEBEUFCBUJZUHUKULZAUUEUAUUHUMZYTAGUUGUNUPZUO
      ZUUIAUUBGUUGUNUETZUUKUUIUCZRABGUQUHZUUGURZUUGUPBUGZUULUUMUSAHUUNBCACGHNOU
      TZPVAZBUUNUUGVBZUUBUUGUADEGBUUHKLUUHVCZVDVEVIZVFVGUUAUUCUUHTZUUEUCZUCZUUF
      JSHSUFZBTZUVEUUCUHZKVHZVTZUHZJBTZJUUCUHZKVHZKUVDJFUVIUVDUUBGUVIUDUEZUGFUV
      IUGUVDUUBUUDGUVIBUJZUDUEUVNUUAUVBUUEVJUVDUUCUVOGUDUVDUUCSBUVGVTZUVOUVDSBG
      VKUHZUUCUVDUVQUUGDEUUCGBUUHKUUTAUUKYTUVCAUUKUUIUVAVLVMZAUUPYTUVCAUUOUUPUU
      RUUSVNVMZUUAUVBUUEVOZUVQVCZVPZVQUVDUVOSBUVHVTUVPUVDSHBUVHABHWAYTUVCPVMVRS
      BUVHUVGUVFUVGKVSWBWCWDWEUVDHUVQUVIGWFBKGWGUHZUWALUWCVCZUVDGCUUJUOZGWHTGWI
      TAUWEYTUVCNVMZCGWJGWKVEAHWFTYTUVCACGHNOWLZVMZUVDUVQCDEUVIGHIKMUWFACUPHUGY
      TUVCOVMZUVDSUVHCDEGHIKMUWFUWIUVDUVEHTZUCZUVFUVGKUVECUHZUWKUVFUCUVGUVEUUGU
      HZUWLUWKUUGDEUUCGBUUHUVEKUUTUVDUUKUWJUVRVGUVDUUPUWJUVSVGUUAUVBUUEUWJWMWNU
      VFUWMUWLUGUWKUVEBCWOWPWQUWKKUWLTZUVFWRZUWKUWLUUNTUWNUVDHUUNUVECAHUUNCURYT
      UVCUUQVMWSUWLGKLWTVNVGXBUVDUVIWFTZUVIXAZUUCKUIUOUVIKXCUEUUCKXCUEZWAUVIKUI
      UOAUWPYTUVCASHUVHWFUWGXDVMUWQUVDSHUVHXEXFUVDUUGDEUUCGBUUHKUUTUVRUVSUVTXGU
      VDHUVHSWFUWRKUVDUVEHUWRUBTZUCZUVHUVFKKVHKUWTUVFUVGKKUWTUVFUVEBUWRUBTZUVGK
      UGZUWTUVFUCUVEBUWRUWTUVFXHUWSUVEUWRTWRUVDUVFUVEHUWRXIXMXJUVDUXAUXBUWSUVDB
      UVQWFUUCWFUWRUVEKUWBUVDUWRXKABWFTYTUVCABHWFUWGPXLVMKWFTUVDKGYBLYCZXFXNXOX
      PXQUVFKXRWCUWHXSUUCUVIWFKXTYAZYDZUWAVPUVDCDEUVIGHIKUWCMUWFUWIUXEUWDYEUVDH
      UVHSWFBKUVDUVEYSTZUCUVFUVGKUXFUWOUVDUVEHBXIWPYFUWHXSUXDYGYHUVDCDEFGUVIHIK
      LMUWFUWIAFITYTUVCQVMUXEYIVIYJUVDJHTZUVJUVMUGYTUXGAUVCJHBYKXMSJUVHUVMHUVIU
      VEJUGUVFUVKUVGUVLKUVEJBYLUVEJUUCYMYNUVIVCUVFUVGKUVEUUCYOUXCYPYQVNUVDUVKUV
      LKYTUVKWRAUVCJHBXIXMYFYHYR $.
  $}

  ${
    $d f h i x y C $.  $d f h i x y D $.  $d f h i x y G $.  $d f h i x y S $.
    $d f h x .0. $.  $d f h i x I $.  $d f x y ph $.  $d x y Z $.
    dprdcntz2.1 $e |- ( ph -> G dom DProd S ) $.
    dprdcntz2.2 $e |- ( ph -> dom S = I ) $.
    dprdcntz2.c $e |- ( ph -> C C_ I ) $.
    dprdcntz2.d $e |- ( ph -> D C_ I ) $.
    dprdcntz2.i $e |- ( ph -> ( C i^i D ) = (/) ) $.
    ${
      dprdcntz2.z $e |- Z = ( Cntz ` G ) $.
      $( The function ` S ` is a family of subgroups.  (Contributed by Mario
         Carneiro, 26-Apr-2016.) $)
      dprdcntz2 $p |- ( ph ->
        ( G DProd ( S |` C ) ) C_ ( Z ` ( G DProd ( S |` D ) ) ) ) $=
        ( cdprd cfv cdm wss wceq wcel adantr vx vy cres co dprdres simpld dmres
        wbr cin sseqtrrd df-ss sylib eqtrid cgrp cbs csubg dprdgrp eqid dprdssv
        syl cntzsubg cv wa fvres adantl dprdsubg sselda dprdf2 ffvelrnda syldan
        sylancl subgss syl2anc ad2antrr wn simpr wi c0 noel elin eleq2d bitr3id
        wne mtbiri imnan sylibr imp nelne2 dprdcntz eqsstrd dprdlub cntzrecd )
        ADBUCZEDCUCZNUDZGOZUAEBAEWMNPZUHEWMNUDEDNUDZQABDEFHIJUEUFAWMPBDPZUIZBDB
        UGABWSQWTBRABFWSJIUJBWSUKULUMAEUNSZWOEUOOZQWPEUPOZSAEDWQUHZXAHDEUQUTZXB
        WNEXBURZUSXBWOEGXFMVAVKAUAVBZBSZVCZXGWMOZXGDOZWPXHXJXKRAXGBDVDVEXIWOXKE
        GMXIEWNWQUHZWOXCSAXLXHAXLWOWRQACDEFHIKUEUFTZWNEVFUTAXHXGFSZXKXCSZABFXGJ
        VGZAFXCXGDADEFHIVHVIVJZXIWNXKGOZUBECXMAWNPZCRXHAXSCWSUIZCDCUGACWSQXTCRA
        CFWSKIUJCWSUKULUMTXIXAXKXBQZXRXCSAXAXHXETXIXOYAXQXBXKEXFVLUTXBXKEGXFMVA
        VMXIUBVBZCSZVCZYBWNOZYBDOZXRYCYEYFRXIYBCDVDVEYDDEFYBXGGAXDXHYCHVNAWSFRX
        HYCIVNXICFYBACFQXHKTVGXIXNYCXPTYDYCXGCSZVOZYBXGWCXIYCVPXIYHYCAXHYHAXHYG
        VCZVOXHYHVQAYIXGVRSZXGVSYIXGBCUIZSAYJXGBCVTAYKVRXGLWAWBWDXHYGWEWFWGTYBX
        GCWHVMMWIWJWKWLWJWK $.
    $}

    ${
      dprddisj2.0 $e |- .0. = ( 0g ` G ) $.
      $( The function ` S ` is a family of subgroups.  (Contributed by Mario
         Carneiro, 26-Apr-2016.)  (Revised by AV, 14-Jul-2019.) $)
      dprddisj2 $p |- ( ph ->
        ( ( G DProd ( S |` C ) ) i^i ( G DProd ( S |` D ) ) ) = { .0. } ) $=
        ( vx vh vi co wcel wceq ad2antrr vf cres cdprd cin csn cv inss1 cdm wbr
        wss dprdres simprd sstrid sseld cgsu cfsupp cfv cixp crab wrex wa wi wb
        eqid eldprd syl cmpt cbs simplr dprdff feqmptd cdif cun difeq2d difindi
        wo dif0 3eqtr3g eqimss2 sselda elun simprl dmdprdsplitlem simprr jaodan
        c0 sylib syldan mpteq2dva eqtrd oveq2d cmnd cvv cgrp dprdgrp dprddomcld
        grpmnd 3syl gsumz syl2anc ex eleq1 bitrdi velsn eqeq1 syl5bb syl5ibrcom
        elin imbi12d rexlimdva adantld sylbid com23 ssrdv csubg simpld dprdsubg
        mpdd subg0cl elind snssd eqssd ) AEDBUBZUCQZEDCUBZUCQZUDZGUEZANYGYHANUF
        ZYGRZYIEDUCQZRZYIYHRZAYGYKYIAYGYDYKYDYFUGAEYCUCUHZUIZYDYKUJZABDEFHIJUKZ
        ULUMUNAYLYJYMAYLEDYNUIZYIEUAUFZUOQZSZUAOUFGUPUIOPFPUFDUQURUSZUTZVAZYJYM
        VBZADUHFSZYLUUDVCIYIDUAOPEFUUBGMUUBVDZVEVFAUUCUUEYRAUUAUUEUAUUBAYSUUBRZ
        VAZUUEUUAYTYDRZYTYFRZVAZYTGSZVBUUIUULUUMUUIUULVAZYTENFGVGZUOQZGUUNYSUUO
        EUOUUNYSNFYIYSUQZVGUUOUUNNFEVHUQZYSUUNUURDOPYSEFUUBGUUGAYRUUHUULHTZAUUF
        UUHUULITZAUUHUULVIZUURVDVJVKUUNNFUUQGUUNYIFRZYIFBVLZRZYIFCVLZRZVPZUUQGS
        ZUUNUVBVAYIUVCUVEVMZRUVGUUNFUVIYIAFUVIUJZUUHUULAUVIFSUVJAFBCUDZVLFWFVLU
        VIFAUVKWFFLVNFBCVOFVQVRFUVIVSVFTVTYIUVCUVEWAWGUUNUVDUVHUVFUUNBDOPYSEFUU
        BYIGMUUGUUSUUTABFUJUUHUULJTUVAUUIUUJUUKWBWCUUNCDOPYSEFUUBYIGMUUGUUSUUTA
        CFUJUUHUULKTUVAUUIUUJUUKWDWCWEWHWIWJWKAUUPGSZUUHUULAEWLRZFWMRUVLAYREWNR
        UVMHDEWOEWQWRADEFHIWPFNEWMGMWSWTTWJXAUUAYJUULYMUUMUUAYJYTYGRUULYIYTYGXB
        YTYDYFXHXCYMYIGSUUAUUMNGXDYIYTGXEXFXIXGXJXKXLXMXRXNAGYGAYDYFGAYOYDEXOUQ
        ZRGYDRAYOYPYQXPYCEXQYDEGMXSWRAEYEYNUIZYFUVNRGYFRAUVOYFYKUJACDEFHIKUKXPY
        EEXQYFEGMXSWRXTYAYB $.
    $}
  $}

  ${
    $d i j k x y A $.  $d i k x C $.  $d i j k x y G $.  $d i I $.  $d i k K $.
    $d i j k x y ph $.  $d i j k x y S $.  $d i j X $.
    dprd2d.1 $e |- ( ph -> Rel A ) $.
    dprd2d.2 $e |- ( ph -> S : A --> ( SubGrp ` G ) ) $.
    dprd2d.3 $e |- ( ph -> dom A C_ I ) $.
    dprd2d.4 $e |- ( ( ph /\ i e. I ) ->
      G dom DProd ( j e. ( A " { i } ) |-> ( i S j ) ) ) $.
    dprd2d.5 $e |- ( ph -> G dom DProd
      ( i e. I |-> ( G DProd ( j e. ( A " { i } ) |-> ( i S j ) ) ) ) ) $.
    dprd2d.k $e |- K = ( mrCls ` ( SubGrp ` G ) ) $.
    $( The direct product of a collection of direct products.  (Contributed by
       Mario Carneiro, 26-Apr-2016.) $)
    dprd2dlem2 $p |- ( ( ph /\ X e. A ) -> ( S ` X ) C_
      ( G DProd ( j e. ( A " { ( 1st ` X ) } ) |-> ( ( 1st ` X ) S j ) ) ) ) $=
      ( wcel cfv co wceq wbr wa c2nd c1st csn cima cv cmpt cdprd cop df-ov wrel
      1st2nd sylan simpr eqeltrrd df-br sylibr wb adantr elrelimasn mpbird eqid
      syl oveq2 ovex fvmpt3i fveq2d 3eqtr4a sneq imaeq2d oveq1 mpteq12dv breq2d
      cdm wral ralrimiva wss 1stdm sseldd rspcdva dmmpti a1i dprdub eqsstrrd )
      AIBPZUAZICQZIUBQZEBIUCQZUDZUEZWIEUFZCRZUGZQZFWNUHRWFWIWHCRZWIWHUIZCQWOWGW
      IWHCUJWFWHWKPZWOWPSWFWRWIWHBTZWFWQBPWSWFIWQBABUKZWEIWQSJIBULUMZAWEUNUOWIW
      HBUPUQWFWTWRWSURAWTWEJUSWIWHBUTVCVAZEWHWMWPWKWNWLWHWICVDWNVBZWIWLCVEZVFVC
      WFIWQCXAVGVHWFWNFWKWHWFFEBDUFZUDZUEZXEWLCRZUGZUHVNZTZFWNXJTDGWIXEWISZXIWN
      FXJXLEXGXHWKWMXLXFWJBXEWIVIVJXEWIWLCVKVLVMAXKDGVOWEAXKDGMVPUSWFBVNZGWIAXM
      GVQWELUSAWTWEWIXMPJIBVRUMVSVTWNVNWKSWFEWKWMWNXDXCWAWBXBWCWD $.

    ${
      dprd2d.6 $e |- ( ph -> C C_ I ) $.
      $( The direct product of a collection of direct products.  (Contributed
         by Mario Carneiro, 26-Apr-2016.) $)
      dprd2dlem1 $p |- ( ph -> ( K ` U. ( S " ( A |` C ) ) ) = ( G DProd
        ( i e. C |-> ( G DProd ( j e. ( A " { i } ) |-> ( i S j ) ) ) ) ) ) $=
        ( cfv cdprd wcel wss vx vk cres cima cuni cv csn co cmpt crn csubg cgrp
        cbs cacs cmre cdm wbr dprdgrp syl eqid subgacs acsmre 3syl ciun wf wfun
        wceq ffun funiunfv wral c1st resss sseli dprd2dlem2 sylan2 cvv c2nd cop
        wa wrel 1st2nd syl2an simpr eqeltrrd fvex opelresi simplbi ovex imaeq2d
        oveq1 mpteq12dv oveq2d elrnmpt1s sylancl elssuni sstrd ralrimiva sylibr
        sneq iunss eqsstrrd cpw sselda syldan dmmpti a1i imassrn mresspw sstrid
        frnd sspwuni sylib mrccl syl2anc adantr oveq2 fvmpt3i adantl df-ov ffnd
        wfn ad2antrr simplr wb elrelimasn biimpa df-br sylanbrc fnfvima syl3anc
        eqeltrid mrcssidd eqsstrd dprdlub elpw fmpttd mrcssvd mrcssd mrcsscl
        vex eqssd dprdres simpld resmptd breqtrd dprdspan eqtr4d ) ADBCUCZUDZUE
        ZIQZECGFBEUFZUGZUDZUULFUFZDUHZUIZRUHZUIZUJZUEZIQZGUUSRUHZAUUKUVBAGUKQZU
        UJIUVAGUMQZAGULSZUVDUVEUNQSUVDUVEUOQSZAGEHUURUIZRUPZUQUVFNUVHGURUSUVEGU
        VEUTVAUVDUVEVBVCZOAUUJUAUUHUAUFZDQZVDZUVAABUVDDVEDVFUVMUUJVGKBUVDDVHUAU
        UHDVIVCAUVLUVATZUAUUHVJUVMUVATAUVNUAUUHAUVKUUHSZVSZUVLGFBUVKVKQZUGZUDZU
        VQUUODUHZUIZRUHZUVAUVOAUVKBSZUVLUWBTUUHBUVKBCVLZVMZABDEFGHIUVKJKLMNOVNV
        OUVPUWBUUTSZUWBUVATUVPUVQCSZUWBVPSUWFUVPUVQUVKVQQZVRZUUHSZUWGUVPUVKUWIU
        UHABVTZUWCUVKUWIVGUVOJUWEUVKBWAWBAUVOWCWDUWJUWGUWIBSCUVQUWHBUVKVQWEWFWG
        USGUWARWHECUURUWBUVQUUSVPUUSUTUULUVQVGZUUQUWAGRUWLFUUNUUPUVSUVTUWLUUMUV
        RBUULUVQWSWIUULUVQUUODWJWKWLWMWNUWBUUTWOUSWPWQUAUUHUVLUVAWTWRXAAUVAUUKU
        VEAUUTUUKXBZTUVAUUKTZACUWMUUSAECUURUWMAUULCSZVSZUURUUKTUURUWMSUWPUUQUUK
        UBGUUNAUWOUULHSGUUQUVIUQACHUULPXCMXDUUQUPUUNVGUWPFUUNUUPUUQUULUUODWHZUU
        QUTZXEXFAUUKUVDSZUWOAUVGUUJUVETZUWSUVJAUUIUVEXBZTUWTAUUIDUJZUXADUUHXGAU
        XBUVDUXAABUVDDKXJAUVGUVDUXATUVJUVDUVEXHUSWPXIUUIUVEXKXLZUVDUUJIUVEOXMXN
        ZXOUWPUBUFZUUNSZVSZUXEUUQQZUULUXEDUHZUUKUXFUXHUXIVGUWPFUXEUUPUXIUUNUUQU
        UOUXEUULDXPUWRUWQXQXRUXGUXIUUJUUKUXGUXIUUISUXIUUJTUXGUXIUULUXEVRZDQZUUI
        UULUXEDXSUXGDBYAZUUHBTZUXJUUHSZUXKUUISAUXLUWOUXFABUVDDKXTYBUXMUXGUWDXFU
        XGUWOUXJBSZUXNAUWOUXFYCUXGUULUXEBUQZUXOUWPUXFUXPAUXFUXPYDZUWOAUWKUXQJUU
        LUXEBYEUSXOYFUULUXEBYGXLCUULUXEBUBYTWFYHBUUHDUXJYIYJYKUXIUUIWOUSAUUJUUK
        TUWOUXFAUVDUUJIUVEUVJOUXCYLYBWPYMYNUURUUKGUUQRWHZYOWRYPXJUUTUUKXKXLZAUV
        DUUJIUVEUVJOYQWPYRAUVGUWNUWSUVBUUKTUVJUXSUXDUVDUVAIUUKUVEOYSYJUUAAGUUSU
        VIUQUVCUVBVGAGUVHCUCZUUSUVIAGUXTUVIUQGUXTRUHGUVHRUHTACUVHGHNUVHUPHVGAEH
        UURUVHUXRUVHUTXEXFPUUBUUCAEHCUURPUUDUUEUUSGIOUUFUSUUG $.
    $}

    $( The direct product of a collection of direct products.  (Contributed by
       Mario Carneiro, 26-Apr-2016.) $)
    dprd2da $p |- ( ph -> G dom DProd S ) $=
      ( cvv cfv wcel syl wss wceq vx vy eqid cv csn cima co cmpt cdprd cdm cres
      wbr ciun eqtrid wral ovex dmmpti reldmdprd brrelex2i dmexg 3syl eqeltrrid
      syl2anc wa cxp ressn sylancr eqeltrid ralrimiva eqeltrrd wne c1st imaeq2d
      c2nd sneq oveq1 mpteq12dv breq2d adantr 1stdm sylan rspcdva 3ad2antr1 a1i
      sseldd cop 1st2nd simpr df-br sylibr elrelimasn mpbird sneqd eqeq12d fvex
      wb opth necon3bid mpbid dprdcntz df-ov oveq2 fvmpt3i fveq2d 3eqtr4a eqtrd
      oveq1d oveq2d sseqtrrd ad2antrr eqsstrrd eqsstrd sstrd cdif cin cun snssd
      cuni sylib eqtrdi eleq1d simplbi crn imassrn frnd sstrid sspwuni mrcssidd
      mrccl difss ax-mp elrnmpt1s unissd mrcssd eqtr4di syl3anc sseqtrd subg0cl
      c0 dprdspan ccntz cgrp dprdgrp resiun2 iunid reseq2i eqtr3i wrel relssres
      c0g snex xpexg iunexg simpr2 eleqtrrd simplr3 simpr1 bitrdi baibd 3sstr3d
      w3a fveq1d dprd2dlem2 cbs dprdssv cntz2ss pm2.61dane clsm csubg cmre cacs
      dprdub subgacs acsmre ssequn1 eqtr2id reseq2d resundi difeq1d difundir wn
      undif2 eqtr3d neirr brresi sylbir syl6bi mtoi disjsn disj3 eqcomd imaundi
      eldifsni uneq2d unieqd uniun cpw mresspw unss12 lsmunss imass2 mpan2 rgen
      sseqtri ralbidv ralsn wfun ffund resss eqsstrri fdmd sseqtrrid funimassov
      wf biimpa ffvelrnd fmpttd wfn fnmpti fnressn opeq2d dprdsn simprd disjdif
      dprdsubg dprdcntz2 adantlr dprd2dlem1 resmpt oveq2i lsmsubg mrcsscl sslin
      lsmlub mpbi2and dprdres simpld df-ima unieqi fveq2i eqimss ss2in dprddisj
      ffvelrnda lsmub2 elind eqssd incom eqimss2 eldifsn simprl sselid opelresi
      elsni eleqtrdi xp2nd simprr baib bitrd sylanbrc sylancl eqeltrd eleqtrrdi
      ex syl5bi ralrimiv funimass4 lsmdisj2 dmdprdd ) AUAUBCFBHOFUUJPZFUUAPZVVK
      UCZVVJUCZNAFDGFEBDUDZUEZUFZVVNEUDZCUGZUHZUIUGZUHZUIUJZULZFUUBQZMVWAFUUCRZ
      ADGBVVOUKZUMZBOAVWGBGUKZBBDGVVOUMZUKVWGVWHDGVVOBUUDVWIGBDGUUEUUFUUGABUUHZ
      BUJZGSZVWHBTZIKBGUUIVCZUNAGOQVWFOQZDGUOVWGOQAGVWAUJZODGVVTVWAFVVSUIUPZVWA
      UCZUQZAVWCVWAOQVWPOQMFVWAVWBURUSVWAOUTVAVBAVWODGAVVNGQZVDZVWFVVOVVPVEZOBV
      VNVFVXAVVOOQVVPOQVXBOQVVNUUKVXAVVPVVSUJZOEVVPVVRVVSVVNVVQCUPVVSUCUQVXAFVV
      SVWBULZVVSOQVXCOQLFVVSVWBURUSVVSOUTVAVBVVOVVPOOUULVGVHVIDGVWFOOUUMVCVJJAU
      AUDZBQZUBUDZBQZVXEVXGVKZUVAZVDZVXECPZVXGCPZVVKPZSVXEVLPZVXGVLPZVXKVXOVXPT
      ZVDZVXEVNPZEBVXOUEZUFZVXOVVQCUGZUHZPZVXGVNPZVYCPZVVKPVXLVXNVXRVYCFVYAVXSV
      YEVVKVXKFVYCVWBULZVXQAVXHVXFVYGVXIAVXFVDZVXDVYGDGVXOVVNVXOTZVVSVYCFVWBVYI
      EVVPVVRVYAVYBVYIVVOVXTBVVNVXOVOVMVVNVXOVVQCVPVQZVRAVXDDGUOZVXFAVXDDGLVIZV
      SVYHVWKGVXOAVWLVXFKVSZAVWJVXFVXOVWKQIVXEBVTWAWEZWBZWCVSVYCUJVYATZVXREVYAV
      YBVYCVXOVVQCUPZVYCUCZUQZWDVXKVXSVYAQZVXQAVXHVXFVYTVXIVYHVYTVXOVXSBULZVYHV
      XOVXSWFZBQWUAVYHVXEWUBBAVWJVXFVXEWUBTZIVXEBWGZWAZAVXFWHVJVXOVXSBWIWJVYHVW
      JVYTWUAWPAVWJVXFIVSZVXOVXSBWKRWLZWCZVSVXRVYEBVXPUEZUFZVYAVXKVYEWUJQZVXQVX
      KWUKVXPVYEBULZVXKVXPVYEWFZBQZWULVXKVXGWUMBVXKVWJVXHVXGWUMTZAVWJVXJIVSZAVX
      FVXHVXIUUNZVXGBWGZVCZWUQVJVXPVYEBWIWJVXKVWJWUKWULWPWUPVXPVYEBWKRWLZVSVXRV
      XTWUIBVXRVXOVXPVXKVXQWHZWMVMZUUOVXRVXIVXSVYEVKVXFVXHVXIAVXQUUPVXRVXEVXGVX
      SVYEVXKVXEVXGTZVXQVXSVYETZVXKWVCWUBWUMTVXQWVDVDVXKVXEWUBVXGWUMVXKVWJVXFWU
      CWUPAVXFVXHVXIUUQWUDVCZWUSWNVXOVXSVXPVYEVXEVLWOZVXEVNWOZWQUURUUSWRWSVVLWT
      VXKVYDVXLTZVXQVXKVXOVXSCUGZWUBCPZVYDVXLVXOVXSCXAZVXKVYTVYDWVITZWUHEVXSVYB
      WVIVYAVYCVVQVXSVXOCXBVYRVYQXCZRVXKVXEWUBCWVEXDXEVSVXRVYFVXMVVKVXRVYFVYEEW
      UJVXPVVQCUGZUHZPZVXMVXRVYEVYCWVOVXREVYAVYBWUJWVNWVBVXRVXOVXPVVQCWVAXGVQUV
      BVXKWVPVXMTVXQVXKVXPVYECUGZWUMCPZWVPVXMVXPVYECXAZVXKWUKWVPWVQTWUTEVYEWVNW
      VQWUJWVOVVQVYEVXPCXBWVOUCZVXPVVQCUPZXCRVXKVXGWUMCWUSXDXEZVSXFXDUUTVXKVXOV
      XPVKZVDZVXLVXOVWAPZVXNVXKVXLWWESZWWCAVXHVXFWWFVXIVYHVXLFVYCUIUGZWWEABCDEF
      GHVXEIJKLMNUVCZVYHVXOGQZWWEWWGTVYNDVXOVVTWWGGVWAVYIVVSVYCFUIVYJXHVWRVWQXC
      RZXIWCVSWWDWWEVXPVWAPZVVKPZVXNWWDVWAFGVXOVXPVVKAVWCVXJWWCMXJVWPGTZWWDVWSW
      DVXKWWIWWCAVXHVXFWWIVXIVYNWCVSVXKVXPGQZWWCVXKVWKGVXPAVWLVXJKVSVXKVWJVXHVX
      PVWKQWUPWUQVXGBVTVCWEZVSVXKWWCWHVVLWTVXKWWLVXNSWWCVXKWWLFWVOUIUGZVVKPZVXN
      VXKWWKWWPVVKVXKWWNWWKWWPTWWODVXPVVTWWPGVWAVVNVXPTZVVSWVOFUIWWREVVPVVRWUJW
      VNWWRVVOWUIBVVNVXPVOVMVVNVXPVVQCVPVQZXHVWRVWQXCRXDVXKWWPFUVDPZSVXMWWPSWWQ
      VXNSWWTWVOFWWTUCZUVEVXKVXMWVPWWPWWBVXKWVOFWUJVYEVXKVXDFWVOVWBULDGVXPWWRVV
      SWVOFVWBWWSVRAVYKVXJVYLVSWWOWBWVOUJWUJTVXKEWUJWVNWVOWWAWVTUQWDWUTUVLXKWWT
      WWPVXMFVVKWXAVVLUVFVGXLVSXMXMUVGVYHVXLCBVXEUEZXNZUFZXRZHPZXOZVXLCBVXTUKZW
      XBXNZUFZXRZHPZCBGVXTXNZUKZUFZXRZHPZFUVHPZUGZXOZVVJUEZVYHWXFWXSSZWXGWXTSVY
      HFUVIPZWWTUVJPQZWXEWXSSWXSWYCQZWYBVYHVWDWYCWWTUVKPQWYDAVWDVXFVWEVSWWTFWXA
      UVMWYCWWTUVNVAZVYHWXEWXLWXQXPZWXSVYHWXEWXKWXPXPZWYGVYHWXEWXJWXOXPZXRWYHVY
      HWXDWYIVYHWXDCWXIWXNXPZUFWYIVYHWXCWYJCVYHWXCWXIWXNWXBXNZXPZWYJVYHWXCWXHWX
      NXPZWXBXNWYLVYHBWYMWXBVYHBBVXTWXMXPZUKZWYMVYHVWHBWYOAVWMVXFVWNVSVYHGWYNBV
      YHWYNVXTGXPZGVXTGUWBVYHVXTGSWYPGTVYHVXOGVYNXQZVXTGUVOXSUVPUVQUWCBVXTWXMUV
      RXTUVSWXHWXNWXBUVTXTVYHWYKWXNWXIVYHWXNWYKVYHWXNWXBXOYSTZWXNWYKTVYHVXEWXNQ
      ZUWAWYRVYHWYSVXOVXOVKZVXOUWDVYHWYSWUBWXNQZWYTVYHVXEWUBWXNWUEYAXUAVXOVXSWX
      NULZWYTVXOVXSWXNWIXUBVXOWXMQZWYTXUBXUCWUAWXMVXOVXSBWVGUWEYBVXOGVXOUWMRUWF
      UWGUWHWXNVXEUWIWJWXNWXBUWJXSUWKUWNXFVMCWXIWXNUWLXTUWOWXJWXOUWPXTVYHWXKWXL
      SWXPWXQSWYHWYGSVYHWYCWXKHWWTWYFNVYHWXJWWTUWQZSWXKWWTSZVYHWXJCYCZXUDCWXIYD
      VYHXUFWYCXUDAXUFWYCSVXFABWYCCJYEVSVYHWYDWYCXUDSWYFWYCWWTUWRRZXMZYFWXJWWTY
      GXSZYHVYHWYCWXPHWWTWYFNVYHWXOXUDSWXPWWTSZVYHWXOXUFXUDCWXNYDXUHYFWXOWWTYGX
      SZYHWXKWXLWXPWXQUWSVCXLVYHWXLWYCQZWXQWYCQZWYGWXSSVYHWYDXUEXULWYFXUIWYCWXK
      HWWTNYIVCZVYHWYDXUJXUMWYFXUKWYCWXPHWWTNYIVCZWXRWXLWXQFWXRUCZUWTVCXMVYHXUL
      XUMWXLWXQVVKPZSWYEXUNXUOVYHWXLWWGXUQVYHWXLVYCYCZXRZHPZWWGVYHWYCWXKHXUSWWT
      WYFNVYHWXJXURVYHWXJCVXTVYAVEZUFZXURWXIXVASWXJXVBSWXIWXHXVAWXHWXBYJBVXOVFZ
      UXDZWXIXVACUXAYKVYHXVBXURSZVXGVVNCUGZXURQZDVYAUOZUBVXTUOZVYHVXOVVNCUGZXUR
      QZDVYAUOZXVIXVLVYHXVKDVYAVVNVYAQXVJOQXVKVXOVVNCUPEVYAVYBXVJVVNVYCOVYRVVQV
      VNVXOCXBYLUXBUXCWDXVHXVLUBVXOWVFVXGVXOTZXVGXVKDVYAXVMXVFXVJXURVXGVXOVVNCV
      PYAUXEUXFWJVYHCUXGZXVACUJZSXVEXVIWPVYHBWYCCABWYCCUXNZVXFJVSZUXHZVYHBXVAXV
      OXVAWXHBXVCBVXTUXIZUXJVYHBWYCCXVQUXKUXLZUBDVXTVYAXURCUXMVCWLYFYMVYHXURXUD
      SXUSWWTSVYHXURWYCXUDVYHVYAWYCVYCVYHEVYAVYBWYCVYHVVQVYAQZVDZVYBVXOVVQWFZCP
      WYCVXOVVQCXAXWBBWYCXWCCAXVPVXFXWAJXJXWBVXOVVQBULZXWCBQVYHXWAXWDVYHVWJXWAX
      WDWPWUFVXOVVQBWKRUXOVXOVVQBWIXSUXPVHUXQYEXUGXMZXURWWTYGXSYNVYHVYGWWGXUTTV
      YOVYCFHNYTRXIZVYHWWGFVWAWXMUKZUIUGZVVKPZXUQVYHWWGFVWAVXTUKZUIUGZXWIVYHXWK
      FVXOWWGWFZUEZUIUGZWWGVYHXWJXWMFUIVYHXWJVXOWWEWFZUEZXWMVYHVWAGUXRWWIXWJXWP
      TDGVVTVWAVWQVWRUXSVYNGVXOVWAUXTVGVYHXWOXWLVYHWWEWWGVXOWWJUYAWMXFXHVYHFXWM
      VWBULZXWNWWGTZVYHWWIWWGWYCQZXWQXWRVDVYNVYHVYGXWSVYOVYCFUYERZVXOWWGFGUYBVC
      UYCXFVYHVXTWXMVWAFGVVKAVWCVXFMVSZWWMVYHVWSWDZWYQWXMGSZVYHGVXTYJZWDZVXTWXM
      XOYSTVYHVXTGUYDWDVVLUYFXKVYHWXQXWHVVKVYHWXQFDWXMVVTUHZUIUGXWHVYHBWXMCDEFG
      HWUFXVQVYMAVWTVXDVXFLUYGXXANXXEUYHXWGXXFFUIXXCXWGXXFTXXDDGWXMVVTUYIYKUYJY
      OZXDXIXMWXRWXLWXQFVVKXUPVVLUYKYPWYCWXEHWXSWWTNUYLYPWXFWXSVXLUYMRVYHWXRWXL
      VXLWXQFVVJXUPXUNABWYCVXECJVUDZXUOVVMVYHWXLVXLWXRUGZWXQXOZWYAVYHXXJWWEVWAW
      XMUFZXRZHPZXOZWYAVYHXXIWWESWXQXXMSZXXJXXNSVYHXXIWWGWWEVYHWXLWWGSZVXLWWGSZ
      XXIWWGSZXWFWWHVYHXULVXLWYCQZXWSXXPXXQVDXXRWPXUNXXHXWTWXRWXLVXLWWGFXUPUYNY
      PUYOWWJXIVYHWXQXXMTXXOVYHWXQXWHXXMXXGVYHXWHXWGYCZXRZHPZXXMVYHFXWGVWBULZXW
      HXYBTVYHXYCXWHFVWAUIUGSVYHWXMVWAFGXXAXXBXXEUYPUYQXWGFHNYTRXXLXYAHXXKXXTVW
      AWXMUYRUYSUYTYOXFWXQXXMVUARXXIWWEWXQXXMVUBVCVYHVWAFGHVXOVVJXXAXXBVYNVVMNV
      UCYQVYHVVJXXJVYHXXIWXQVVJVYHVXLXXIVVJVYHXULXXSVXLXXISXUNXXHWXRWXLVXLFXUPV
      UEVCVYHXXSVVJVXLQXXHVXLFVVJVVMYRRZWEVYHXUMVVJWXQQXUOWXQFVVJVVMYRRVUFXQVUG
      VYHWXLVXLXOVXLWXLXOZWYAWXLVXLVUHVYHXYEWYAVYHXYEVYDVYCVYAVXSUEZXNZUFZXRZHP
      ZXOZWYAVYHVXLVYDSZWXLXYJSXYEXYKSVYHWVHXYLVYHWVIWVJVYDVXLWVKVYHVYTWVLWUGWV
      MRVYHVXEWUBCWUEXDXEVXLVYDVUIRVYHWYCWXKHXYIWWTWYFNVYHWXJXYHVYHWXJXYHSZVXMX
      YHQZUBWXIUOZVYHXYNUBWXIVXGWXIQVXGWXHQZVXGVXEVKZVDZVYHXYNVXGWXHVXEVUJVYHXY
      RXYNVYHXYRVDZVXMVYCXYGUKZYCZXYHXYSVXMVXOVYECUGZYUAXYSVXMWVQYUBXYSVXMWVRWV
      QXYSVXGWUMCXYSVWJVXHWUOAVWJVXFXYRIXJXYSWXHBVXGXVSVYHXYPXYQVUKZVULWURVCZXD
      WVSYOXYSVXPVXOVYECXYSVXPVXTQZVXPVXOTZXYSWUMWXHQZYUEXYSVXGWUMWXHYUDYUCVJYU
      GYUEWUNVXTVXPVYEBVXGVNWOZVUMYBRVXPVXOVUNRZXGXFXYSVYEXYGQZYUBOQYUBYUAQXYSV
      YEVYAQZVYEVXSVKZYUJXYSVXGXVAQYUKXYSVXGWXHXVAYUCXVCVUOVXGVXTVYAVUPRXYSXYQY
      ULVYHXYPXYQVUQXYSVXGVXEVYEVXSXYSVXGVXETWUMWUBTZVYEVXSTZXYSVXGWUMVXEWUBYUD
      VYHWUCXYRWUEVSWNXYSYUFYUMYUNWPYUIYUMYUFYUNVXPVYEVXOVXSVXGVLWOYUHWQVURRVUS
      WRWSVYEVYAVXSVUJVUTVXOVYECUPEXYGVYBYUBVYEXYTOXYGVYASXYTEXYGVYBUHTVYAXYFYJ
      EVYAXYGVYBUYIYKVVQVYEVXOCXBYLVVAVVBVYCXYGUYRVVCVVDVVEVVFVYHXVNWXIXVOSXYMX
      YOWPXVRVYHWXIXVAXVOXVDXVTYFUBWXIXYHCVVGVCWLYMVYHXYHXUDSXYIWWTSVYHXYHXURXU
      DVYCXYGYDXWEYFXYHWWTYGXSYNVXLVYDWXLXYJVUBVCVYHVYCFVYAHVXSVVJVYOVYPVYHVYSW
      DWUGVVMNVUCYQVYHVVJXYEVYHVXLWXLVVJXYDVYHXULVVJWXLQXUNWXLFVVJVVMYRRVUFXQVU
      GUNVVHYQVVI $.

    $( The direct product of a collection of direct products.  (Contributed by
       Mario Carneiro, 25-Apr-2016.) $)
    dprd2db $p |- ( ph -> ( G DProd S ) = ( G DProd
      ( i e. I |-> ( G DProd ( j e. ( A " { i } ) |-> ( i S j ) ) ) ) ) ) $=
      ( cdprd co cuni cfv cima wceq crn cres csn cmpt cdm dprd2da dprdspan wrel
      cv wbr syl wss relssres syl2anc imaeq2d csubg wfn ffn fnima eqtr2d unieqd
      wf 3syl fveq2d ssidd dprd2dlem1 3eqtrd ) AFCOPZCUAZQZHRZCBGUBZSZQZHRFDGFE
      BDUIZUCSVOEUICPUDOPUDOPAFCOUEUJVHVKTABCDEFGHIJKLMNUFCFHNUGUKAVJVNHAVIVMAV
      MCBSZVIAVLBCABUHBUEGULVLBTIKBGUMUNUOABFUPRZCVBCBUQVPVITJBVQCURBCUSVCUTVAV
      DABGCDEFGHIJKLMNAGVEVFVG $.
  $}

  ${
    $d i j x y z G $.  $d i j x y z I $.  $d j x y z J $.  $d i j x y z ph $.
    $d x y z S $.
    dprd2d2.1 $e |- ( ( ph /\ ( i e. I /\ j e. J ) ) -> S e. ( SubGrp ` G ) )
        $.
    dprd2d2.2 $e |- ( ( ph /\ i e. I ) -> G dom DProd ( j e. J |-> S ) ) $.
    dprd2d2.3 $e |- ( ph -> G dom DProd
      ( i e. I |-> ( G DProd ( j e. J |-> S ) ) ) ) $.
    $( The direct product of a collection of direct products.  (Contributed by
       Mario Carneiro, 26-Apr-2016.) $)
    dprd2d2 $p |- ( ph -> ( G dom DProd ( i e. I , j e. J |-> S ) /\
      ( G DProd ( i e. I , j e. J |-> S ) ) = ( G DProd
      ( i e. I |-> ( G DProd ( j e. J |-> S ) ) ) ) ) ) $=
      ( vx vy vz cdprd co cmpt wcel wa nfcv wex cmpo cdm wbr wceq csn cxp csubg
      cv ciun cfv cmrc wrel wral relxp rgenw reliun mpbir ralrimivva eqid fmpox
      a1i wf sylib dmiun wss dmxpss simpr snssd sstrid ralrimiva iunss eqsstrid
      sylibr csb cima simprl ovmpt4g syl3anc anassrs mpteq2dva breqtrrd nfcsb1v
      simprr nfmpo1 nfov nfmpt nfbr csbeq1a oveq1 mpteq12dv breq2d mpan9 nfmpo2
      weq rspc oveq2 cbvmpt cop nfcri nfan eleq2d anbi2d equsexv simplr eqeltrd
      nfv biantrurd pm5.32da anass eqcom vex opth bitr2i anbi1i 3bitr3g bitr3id
      exbidv eleq1w ceqsexv excom elrelimasn ax-mp df-br eliunxp 3bitri bitr4di
      wb eqrdv mpteq1d eqtrid breqtrd oveq2d dprd2da dprd2db eqtr3d eqtrd jca )
      AECDFGBUAZNUBZUCEYRNOZECFEDGBPZNOZPZNOZUDACFCUHZUEZGUFZUIZYRKLEFEUGUJZUKU
      JZUUHULZAUUKUUGULZCFUMUULCFUUFGUNUOCFUUGUPUQZVAZABUUIQZDGUMCFUMUUHUUIYRVB
      AUUOCDFGHURCDFGBUUIYRYRUSZUTVCZAUUHUBCFUUGUBZUIZFCFUUGVDAUURFVEZCFUMUUSFV
      EAUUTCFAUUEFQZRZUURUUFFUUFGVFUVBUUEFAUVAVGVHVIVJCFUURFVKVMVLZAKUHZFQZRZED
      CUVDGVNZUVDDUHZYROZPZLUUHUVDUEVOZUVDLUHZYROZPZYSAEDGUUEUVHYROZPZYSUCZCFUM
      UVEEUVJYSUCZAUVQCFUVBEUUAUVPYSIUVBDGUVOBAUVAUVHGQZUVOBUDZAUVAUVSRZRUVAUVS
      UUOUVTAUVAUVSVPAUVAUVSWCHCDFGBYRUUIUUPVQVRVSVTZWAVJUVQUVRCUVDFCEUVJYSCESZ
      CYSSCDUVGUVICUVDGWBZCUVDUVHYRCUVDSCDFGBWDCUVHSWEWFZWGCKWNZUVPUVJEYSUWFDGU
      VOUVGUVICUVDGWHZUUEUVDUVHYRWIWJZWKWOWLUVFUVJLUVGUVMPUVNDLUVGUVIUVMLUVISDU
      VDUVLYRDUVDSCDFGBWMDUVLSWEUVHUVLUVDYRWPWQUVFLUVGUVKUVMUVFMUVGUVKUVFMUHZUV
      GQZUVDUWIWRZUUEUVHWRZUDZUWARZDTCTZUWIUVKQZUVFDMWNZUVHUVGQZRZDTUWNCTZDTUWJ
      UWOUVFUWSUWTDUWSUWFUWQUVSRZRZCTUVFUWTUXAUWSCKUWQUWRCUWQCXFCDUVGUWDWSWTUWF
      UVSUWRUWQUWFGUVGUVHUWGXAXBXCUVFUXBUWNCUVFUWFUWQRZUVSRUXCUWARUXBUWNUVFUXCU
      VSUWAUVFUXCRZUVAUVSUXDUUEUVDFUVFUWFUWQVPAUVEUXCXDXEXGXHUWFUWQUVSXIUXCUWMU
      WAUWMUWLUWKUDUXCUWKUWLXJUUEUVHUVDUWICXKDXKXLXMXNXOXQXPXQUWRUWJDUWIMXKDMUV
      GXRXSUWNDCXTXOUWPUVDUWIUUHUCZUWKUUHQUWOUUKUWPUXEYGUUMUVDUWIUUHYAYBUVDUWIU
      UHYCCDFGUWKYDYEYFYHYIYJZYKZAECFEUVPNOZPZKFEUVNNOZPZYSAEUUCUXIYSJACFUXHUUB
      UVBUVPUUAENUWBYLVTZWAAUXIKFEUVJNOZPUXKCKFUXHUXMKUXHSCEUVJNUWCCNSUWEWEUWFU
      VPUVJENUWHYLWQAKFUXMUXJUVFUVJUVNENUXFYLVTYJZYKZUUJUSZYMAYTEUXKNOUUDAUUHYR
      KLEFUUJUUNUUQUVCUXGUXOUXPYNAUXKUUCENAUXIUXKUUCUXNUXLYOYLYPYQ $.
  $}

  ${
    $d x .(+) $.  $d x y C $.  $d x D $.  $d x y G $.  $d x y I $.  $d x y S $.
    $d x y ph $.  $d y X $.  $d y Z $.
    dprdsplit.2 $e |- ( ph -> S : I --> ( SubGrp ` G ) ) $.
    dprdsplit.i $e |- ( ph -> ( C i^i D ) = (/) ) $.
    dprdsplit.u $e |- ( ph -> I = ( C u. D ) ) $.
    ${
      dmdprdsplit.z $e |- Z = ( Cntz ` G ) $.
      dmdprdsplit.0 $e |- .0. = ( 0g ` G ) $.
      ${
        dmdprdsplit2.1 $e |- ( ph -> G dom DProd ( S |` C ) ) $.
        dmdprdsplit2.2 $e |- ( ph -> G dom DProd ( S |` D ) ) $.
        dmdprdsplit2.3 $e |- ( ph ->
          ( G DProd ( S |` C ) ) C_ ( Z ` ( G DProd ( S |` D ) ) ) ) $.
        dmdprdsplit2.4 $e |- ( ph ->
          ( ( G DProd ( S |` C ) ) i^i ( G DProd ( S |` D ) ) ) = { .0. } ) $.
        ${
          dmdprdsplit2lem.k $e |- K = ( mrCls ` ( SubGrp ` G ) ) $.
          $( Lemma for ~ dmdprdsplit .  (Contributed by Mario Carneiro,
             26-Apr-2016.) $)
          dmdprdsplit2lem $p |- ( ( ph /\ X e. C ) ->
            ( ( Y e. I -> ( X =/= Y -> ( S ` X ) C_ ( Z ` ( S ` Y ) ) ) ) /\
           ( ( S ` X ) i^i ( K ` U. ( S " ( I \ { X } ) ) ) ) C_ { .0. } ) ) $=
            ( vy wcel wa wne cfv wss wi csn cdif cima cuni cin wo adantr eleq2d
            cun wceq elun bitrdi cdprd cdm wbr ad2antrr csubg sseqtrrid fssresd
            cres ssun1 fdmd simplr simprl simprr dprdcntz fvres ad2antlr fveq2d
            ad2antrl 3sstr3d exp32 co dprdub eqsstrrd cbs dprdssv ssun2 cntz2ss
            eqid sylancr jaod sylbid clsm cmre cgrp cacs dprdgrp subgacs acsmre
            sstrd syl difundir difeq1d c0 simpr snssd sslin incom eqtr3id sseq0
            3syl syl2anc disj3 sylib uneq2d 3eqtr4a imaeq2d eqtrdi unieqd uniun
            imaundi difss imass2 uniss imassrn sstrid sspwuni mrcssidd dprdspan
            crn df-ima unieqi eqtr4di sseqtrrd dprdsubg syl3anc mrcsscl sseqtrd
            fveq2i adantl subg0cl mp2b cpw mresspw unss12 mrccl lsmunss eqsstrd
            frnd mrcssd lsmsubg sselda ffvelrnda syldan wb lsmlub ssrind lsmub1
            mpbi2and sseldd elind eqssd resima2 mp1i ineq12d dprddisj eqtr3d cv
            a1i ciun wf wfun ffun funiunfv wral eldifi eldifsni ralrimiva iunss
            fvresd sylibr subgss cntzsubg cntzrecd lsmdisj3 jca ) AHBUCZUDZIFUC
            ZHIUEZHDUFZIDUFZKUFZUGZUHZUHUWJDFHUIZUJZUKZULZGUFZUMZJUIZUGUWGUWHIB
            UCZICUCZUNZUWNUWGUWHIBCUQZUCUXDUWGFUXEIAFUXEURUWFNUOZUPIBCUSUTUWGUX
            BUWNUXCUWGUXBUWIUWMUWGUXBUWIUDZUDZHDBVHZUFZIUXIUFZKUFUWJUWLUXHUXIEB
            HIKAEUXIVAVBZVCZUWFUXGQVDAUXIVBBURZUWFUXGABEVEUFZUXIAFUXOBDLAUXEBFB
            CVINVFZVGVJZVDAUWFUXGVKUWGUXBUWIVLUWGUXBUWIVMOVNUWFUXJUWJURZAUXGHBD
            VOZVPUXHUXKUWKKUXBUXKUWKURUWGUWIIBDVOVRVQVSVTUWGUXCUWIUWMUWGUXCUWIU
            DZUDZUWJEUXIVAWAZUWLUYAUWJUXJUYBUWFUXRAUXTUXSVPUYAUXIEBHAUXMUWFUXTQ
            VDAUXNUWFUXTUXQVDAUWFUXTVKWBWCUYAUYBEDCVHZVAWAZKUFZUWLAUYBUYEUGZUWF
            UXTSVDUYAUYDEWDUFZUGUWKUYDUGUYEUWLUGUYGUYCEUYGWHZWEUYAUWKIUYCUFZUYD
            UXCUYIUWKURUWGUWIICDVOVRUYAUYCECIAEUYCUXLVCZUWFUXTRVDAUYCVBCURUWFUX
            TACUXOUYCAFUXOCDLAUXECFCBWFNVFVGVJVDUWGUXCUWIVLWBWCUYGUYDUWKEKUYHOW
            GWIWSWSVTWJWKUWGUWTUWJDBUWOUJZUKZULZGUFZUYDEWLUFZWAZUMZUXAUWGUWSUYP
            UGZUWTUYQUGUWGUXOUYGWMUFUCZUWRUYPUGUYPUXOUCZUYRUWGEWNUCZUXOUYGWOUFU
            CUYSAVUAUWFAUXMVUAQUXIEWPWTUOZUYGEUYHWQUXOUYGWRXJZUWGUWRUYMDCUKZULZ
            UQZUYPUWGUWRUYLVUDUQZULVUFUWGUWQVUGUWGUWQDUYKCUQZUKVUGUWGUWPVUHDUWG
            UXEUWOUJUYKCUWOUJZUQUWPVUHBCUWOXAUWGFUXEUWOUXFXBUWGCVUIUYKUWGCUWOUM
            ZXCURZCVUIURUWGVUJCBUMZUGZVULXCURVUKUWGUWOBUGVUMUWGHBAUWFXDZXEUWOBC
            XFWTUWGVULBCUMZXCBCXGAVUOXCURUWFMUOXHVUJVULXIXKCUWOXLXMXNXOXPDUYKCX
            TXQXRUYLVUDXSXQUWGVUFUYNUYDUQZUYPUWGUYMUYNUGVUEUYDUGVUFVUPUGUWGUXOU
            YMGUYGVUCUAUWGUYMDBUKZULZUYGUYKBUGZUYLVUQUGUYMVURUGZBUWOYAZUYKBDYBU
            YLVUQYCUUAZUWGVUQUYGUUBZUGVURUYGUGUWGVUQDYIZVVCDBYDUWGVVDUXOVVCAVVD
            UXOUGUWFAFUXODLUUHUOUWGUYSUXOVVCUGVUCUXOUYGUUCWTWSZYEVUQUYGYFXMZYEZ
            YGUWGVUEVUEGUFZUYDUWGUXOVUEGUYGVUCUAUWGVUDVVCUGVUEUYGUGUWGVUDVVDVVC
            DCYDVVEYEVUDUYGYFXMYGAUYDVVHURUWFAUYDUYCYIZULZGUFZVVHAUYJUYDVVKURRU
            YCEGUAYHWTVUEVVJGVUDVVIDCYJYKYRYLUOYMUYMUYNVUEUYDUUDXKUWGUYNUXOUCZU
            YDUXOUCZVUPUYPUGUWGUYSUYMUYGUGVVLVUCVVGUXOUYMGUYGUAUUEXKZAVVMUWFAUY
            JVVMRUYCEYNWTUOZUYOUYNUYDEUYOWHZUUFXKWSUUGUWGVVLVVMUYNUYEUGUYTVVNVV
            OUWGUYNUYBUYEUWGUYNVURGUFZUYBUWGUXOUYMGVURUYGVUCUAVUTUWGVVBUVHVVFUU
            IAUYBVVQURUWFAUYBUXIYIZULZGUFZVVQAUXMUYBVVTURQUXIEGUAYHWTVURVVSGVUQ
            VVRDBYJYKYRYLUOYMZAUYFUWFSUOWSUYOUYNUYDEKVVPOUUJYOUXOUWRGUYPUYGUAYP
            YOUWSUYPUWJXFWTUWGUYOUWJUYNUYDEJKVVPAUWFHFUCUWJUXOUCZABFHUXPUUKAFUX
            OHDLUULUUMZVVNVVOPUWGUWJUYNUYOWAZUYDUMZUXAUWGVWEUYBUYDUMZUXAUWGVWDU
            YBUYDUWGUWJUYBUGZUYNUYBUGZVWDUYBUGZUWGUWJUXJUYBUWFUXRAUXSYSZUWGUXIE
            BHAUXMUWFQUOZAUXNUWFUXQUOZVUNWBWCVWAUWGVWBVVLUYBUXOUCZVWGVWHUDVWIUU
            NVWCVVNAVWMUWFAUXMVWMQUXIEYNWTUOUYOUWJUYNUYBEVVPUUOYOUURUUPAVWFUXAU
            RUWFTUOYQUWGJVWEUWGVWDUYDJUWGUWJVWDJUWGVWBVVLUWJVWDUGVWCVVNUYOUWJUY
            NEVVPUUQXKUWGVWBJUWJUCVWCUWJEJPYTWTUUSUWGVVMJUYDUCVVOUYDEJPYTWTUUTX
            EUVAUWGUXJUXIUYKUKZULZGUFZUMUWJUYNUMUXAUWGUXJUWJVWPUYNVWJUWGVWOUYMG
            UWGVWNUYLVUSVWNUYLURUWGVVADUYKBUVBUVCXRVQUVDUWGUXIEBGHJVWKVWLVUNPUA
            UVEUVFOUWGUYNUWJEKOVVNVWCUWGUYSUYMUWJKUFZUGVWQUXOUCZUYNVWQUGVUCUWGU
            YMUBUYKUBUVGZDUFZUVIZVWQUWGFUXODUVJZDUVKVXAUYMURAVXBUWFLUOFUXODUVLU
            BUYKDUVMXJUWGVWTVWQUGZUBUYKUVNVXAVWQUGUWGVXCUBUYKUWGVWSUYKUCZUDZVWS
            UXIUFUXJKUFVWTVWQVXEUXIEBVWSHKAUXMUWFVXDQVDAUXNUWFVXDUXQVDVXDVWSBUC
            UWGVWSBUWOUVOYSZAUWFVXDVKVXDVWSHUEUWGVWSBHUVPYSOVNVXEVWSBDVXFUVSVXE
            UXJUWJKUWFUXRAVXDUXSVPVQVSUVQUBUYKVWTVWQUVRUVTWCUWGVUAUWJUYGUGZVWRV
            UBUWGVWBVXGVWCUYGUWJEUYHUWAWTUYGUWJEKUYHOUWBXKUXOUYMGVWQUYGUAYPYOUW
            CUWDYQUWE $.
        $}

        $( The direct product splits into the direct product of any partition
           of the index set.  (Contributed by Mario Carneiro, 25-Apr-2016.) $)
        dmdprdsplit2 $p |- ( ph -> G dom DProd S ) $=
          ( cfv cvv wcel vx csubg cmrc eqid cres cdprd cdm wbr cgrp dprdgrp syl
          vy cun ssun1 sseqtrrid fssresd dprddomcld ssun2 unexg syl2anc eqeltrd
          fdmd cv wne wss wo wi eleq2d elun bitrdi wa cdif cima dmdprdsplit2lem
          csn cin c0 incom eqtr3id uncom eqtrdi dprdsubg cntzrecd jaodan simpld
          cuni co ex sylbid 3imp2 biimpa simprd syldan dmdprdd ) AUAULDEFEUBRZU
          CRZSGHLMWPUDZAEDBUEZUFUGZUHZEUITNWREUJUKAFBCUMZSKABSTCSTXASTAWREBNABW
          OWRAFWOBDIAXABFBCUNKUOUPVBUQADCUEZECOACWOXBAFWOCDIAXACFCBURKUOUPVBUQB
          CSSUSUTVAIAUAVCZFTZULVCZFTZXCXEVDZXCDRZXEDRHRVEZAXDXCBTZXCCTZVFZXFXGX
          IVGVGZAXDXCXATXLAFXAXCKVHXCBCVIVJZAXLXMAXLVKXMXHDFXCVOVLVMWFWPRVPGVOZ
          VEZAXJXMXPVKXKABCDEFWPXCXEGHIJKLMNOPQWQVNZACBDEFWPXCXEGHIACBVPBCVPVQB
          CVRJVSAFXACBUMKBCVTWALMONAEWRUFWGZEXBUFWGZEHLAWTXRWOTNWREWBUKAEXBWSUH
          XSWOTOXBEWBUKPWCAXSXRVPXRXSVPXOXRXSVRQVSWQVNZWDWEWHWIWJAXDXLXPAXDXLXN
          WKAXJXPXKAXJVKXMXPXQWLAXKVKXMXPXTWLWDWMWN $.
      $}

      $( The direct product splits into the direct product of any partition of
         the index set.  (Contributed by Mario Carneiro, 25-Apr-2016.) $)
      dmdprdsplit $p |- ( ph -> ( G dom DProd S <->
     ( ( G dom DProd ( S |` C ) /\ G dom DProd ( S |` D ) ) /\
       ( G DProd ( S |` C ) ) C_ ( Z ` ( G DProd ( S |` D ) ) ) /\
       ( ( G DProd ( S |` C ) ) i^i ( G DProd ( S |` D ) ) ) = { .0. } ) ) ) $=
        ( cdprd wbr wa co wss wceq adantr cdm cres cfv cin csn simpr csubg fdmd
        w3a cun ssun1 sseqtrrid dprdres simpld ssun2 jca c0 dprdcntz2 dprddisj2
        3jca wf simpr1l simpr1r simpr2 simpr3 dmdprdsplit2 impbida ) AEDNUAZOZE
        DBUBZVHOZEDCUBZVHOZPZEVJNQZEVLNQZHUCRZVOVPUDGUESZUIZAVIPZVNVQVRVTVKVMVT
        VKVOEDNQZRVTBDEFAVIUFZADUAFSVIAFEUGUCZDIUHTZVTBCUJZBFBCUKAFWESZVIKTZULZ
        UMUNVTVMVPWARVTCDEFWBWDVTWECFCBUOWGULZUMUNUPVTBCDEFHWBWDWHWIABCUDUQSZVI
        JTZLURVTBCDEFGWBWDWHWIWKMUSUTAVSPBCDEFGHAFWCDVAVSITAWJVSJTAWFVSKTLMVKVM
        VQVRAVBVKVMVQVRAVCAVNVQVRVDAVNVQVRVEVFVG $.
    $}

    dprdsplit.s $e |- .(+) = ( LSSum ` G ) $.
    dprdsplit.1 $e |- ( ph -> G dom DProd S ) $.
    $( The direct product is the binary subgroup product ("sum") of the direct
       products of the partition.  (Contributed by Mario Carneiro,
       25-Apr-2016.) $)
    dprdsplit $p |- ( ph -> ( G DProd S ) =
      ( ( G DProd ( S |` C ) ) .(+) ( G DProd ( S |` D ) ) ) ) $=
      ( cdprd co cfv wcel wss wa wceq adantr vx cres csubg fdmd ccntz cdm ssun1
      wbr cun sseqtrrid dprdres simpld dprdsubg syl cin c0g csn w3a dmdprdsplit
      ssun2 eqid mpbid simp2d lsmsubg syl3anc cv wo eleq2d bitrdi biimpa adantl
      elun fvres fssresd simpr dprdub lsmub1 syl2anc sstrd lsmub2 jaodan syldan
      eqsstrrd dprdlub simprd wb lsmlub mpbi2and eqssd ) AFEMNZFEBUBZMNZFECUBZM
      NZDNZAEWOUAFGLAGFUCOZEHUDZAWLWPPZWNWPPZWLWNFUEOZOQZWOWPPAFWKMUFZUHZWRAXCW
      LWJQZABEFGLWQABCUIZBGBCUGJUJZUKZULZWKFUMUNZAFWMXBUHZWSAXJWNWJQZACEFGLWQAX
      ECGCBUTJUJZUKZULZWMFUMUNZAXCXJRZXAWLWNUOFUPOZUQSZAFEXBUHZXPXAXRURLABCEFGX
      QWTHIJWTVAZXQVAUSVBVCDWLWNFWTKXTVDVEAUAVFZGPZYABPZYACPZVGZYAEOZWOQZAYBYEA
      YBYAXEPYEAGXEYAJVHYABCVLVIVJAYCYGYDAYCRZYFWLWOYHYFYAWKOZWLYCYIYFSAYABEVMV
      KYHWKFBYAAXCYCXHTAWKUFBSYCABWPWKAGWPBEHXFVNUDTAYCVOVPWCAWLWOQZYCAWRWSYJXI
      XODWLWNFKVQVRTVSAYDRZYFWNWOYKYFYAWMOZWNYDYLYFSAYACEVMVKYKWMFCYAAXJYDXNTAW
      MUFCSYDACWPWMAGWPCEHXLVNUDTAYDVOVPWCAWNWOQZYDAWRWSYMXIXODWLWNFKVTVRTVSWAW
      BWDAXDXKWOWJQZAXCXDXGWEAXJXKXMWEAWRWSWJWPPZXDXKRYNWFXIXOAXSYOLEFUMUNDWLWN
      WJFKWGVEWHWI $.
  $}

  ${
    dmdprdpr.z $e |- Z = ( Cntz ` G ) $.
    dmdprdpr.0 $e |- .0. = ( 0g ` G ) $.
    dmdprdpr.s $e |- ( ph -> S e. ( SubGrp ` G ) ) $.
    dmdprdpr.t $e |- ( ph -> T e. ( SubGrp ` G ) ) $.
    $( A singleton family is an internal direct product, the product of which
       is the given subgroup.  (Contributed by Mario Carneiro, 25-Apr-2016.) $)
    dmdprdpr $p |- ( ph -> ( G dom DProd { <. (/) , S >. , <. 1o , T >. } <->
        ( S C_ ( Z ` T ) /\ ( S i^i T ) = { .0. } ) ) ) $=
      ( c0 c1o cdprd wbr csn cfv wceq wa wcel c2o cop cpr cdm co wss cin wb cvv
      cres csubg 0ex dprdsn sylancr simpld wfn wf xpscf sylanbrc prid1 eleqtrri
      ffnd df2o3 fnressn sylancl fvpr0o syl opeq2d sneqd breqtrrd con0 1on 1oex
      eqtrd prid2 fvpr1o w3a wne 1n0 necomi disjsn2 cun df-pr eqtri dmdprdsplit
      mp1i a1i 3anass bitrdi mp2and oveq2d simprd fveq2d sseq12d ineq12d eqeq1d
      baibd ex anbi12d bitrd ) ADKBUAZLCUAZUBZMUCZNZDXBKOZUIZMUDZDXBLOZUIZMUDZF
      PZUEZXGXJUFZEOZQZRZBCFPZUEZBCUFZXNQZRADXFXCNZDXIXCNZXDXPUGZADWTOZXFXCADYD
      XCNZDYDMUDZBQZAKUHSBDUJPZSZYEYGRUKIKBDUHULUMZUNAXFKKXBPZUAZOZYDAXBTUOZKTS
      XFYMQATYHXBAYICYHSZTYHXBUPIJYHBCUQURZVAZKKLUBZTKLUKUSVBUTTKXBVCVDAYLWTAYK
      BKAYIYKBQIBCYHVEVFVGVHVMZVIADXAOZXIXCADYTXCNZDYTMUDZCQZALVJSYOUUAUUCRVKJL
      CDVJULUMZUNAXILLXBPZUAZOZYTAYNLTSXIUUGQYQLYRTKLVLVNVBUTTLXBVCVDAUUFXAAUUE
      CLAYOUUECQJBCYHVOVFVGVHVMZVIAYAYBRZYCAXDUUIXPAXDUUIXLXOVPUUIXPRAXEXHXBDTE
      FYPKLVQXEXHUFKQALKVRVSKLVTWETXEXHWAZQATYRUUJVBKLWBWCWFGHWDUUIXLXOWGWHWPWQ
      WIAXLXRXOXTAXGBXKXQAXGYFBAXFYDDMYSWJAYEYGYJWKVMZAXJCFAXJUUBCAXIYTDMUUHWJA
      UUAUUCUUDWKVMZWLWMAXMXSXNAXGBXJCUUKUULWNWOWRWS $.

    dprdpr.s $e |- .(+) = ( LSSum ` G ) $.
    dprdpr.1 $e |- ( ph -> S C_ ( Z ` T ) ) $.
    dprdpr.2 $e |- ( ph -> ( S i^i T ) = { .0. } ) $.
    $( A singleton family is an internal direct product, the product of which
       is the given subgroup.  (Contributed by Mario Carneiro, 26-Apr-2016.) $)
    dprdpr $p |- ( ph
        -> ( G DProd { <. (/) , S >. , <. 1o , T >. } ) = ( S .(+) T ) ) $=
      ( c0 c1o cdprd co c2o wceq cop cpr csn cres csubg cfv wcel xpscf sylanbrc
      wf wne cin 1n0 necomi disjsn2 mp1i cun df2o3 df-pr eqtri a1i cdm dmdprdpr
      wbr wss mpbir2and dprdsplit wfn 0ex prid1 eleqtrri fnressn sylancl fvpr0o
      ffnd syl opeq2d sneqd eqtrd oveq2d cvv dprdsn sylancr simprd prid2 fvpr1o
      wa 1oex con0 1on oveq12d ) AEOCUAZPDUAZUBZQREWNOUCZUDZQRZEWNPUCZUDZQRZBRC
      DBRAWOWRBWNESACEUEUFZUGZDXAUGZSXAWNUJJKXACDUHUIZOPUKWOWRULOTAPOUMUNOPUOUP
      SWOWRUQZTASOPUBZXEUROPUSUTVALAEWNQVBZVDCDGUFVECDULFUCTMNACDEFGHIJKVCVFVGA
      WQCWTDBAWQEWLUCZQRZCAWPXHEQAWPOOWNUFZUAZUCZXHAWNSVHZOSUGWPXLTASXAWNXDVOZO
      XFSOPVIVJURVKSOWNVLVMAXKWLAXJCOAXBXJCTJCDXAVNVPVQVRVSVTAEXHXGVDZXICTZAOWA
      UGXBXOXPWGVIJOCEWAWBWCWDVSAWTEWMUCZQRZDAWSXQEQAWSPPWNUFZUAZUCZXQAXMPSUGWS
      YATXNPXFSOPWHWEURVKSPWNVLVMAXTWMAXSDPAXCXSDTKCDXAWFVPVQVRVSVTAEXQXGVDZXRD
      TZAPWIUGXCYBYCWGWJKPDEWIWBWCWDVSWKVS $.
  $}

  ${
    $d h k x .0. $.  $d f g h i k s x G $.  $d f h x P $.  $d f g i k s x ph $.
    $d h C $.  $d f g h i k s x I $.  $d g s x Q $.  $d f k x W $.  $d h x X $.
    $d f h k x A $.  $d f g h i k s x S $.  $d x Y $.
    dpjfval.1 $e |- ( ph -> G dom DProd S ) $.
    dpjfval.2 $e |- ( ph -> dom S = I ) $.
    ${
      dpjlem.3 $e |- ( ph -> X e. I ) $.
      $( Lemma for theorems about direct product projection.  (Contributed by
         Mario Carneiro, 26-Apr-2016.) $)
      dpjlem $p |- ( ph -> ( G DProd ( S |` { X } ) ) = ( S ` X ) ) $=
        ( csn cres cdprd co cfv cop wfn wcel wceq csubg dprdf2 syl2anc ffnd cdm
        fnressn oveq2d wbr wa ffvelrnd dprdsn simprd eqtrd ) ACBEIJZKLCEEBMZNIZ
        KLZULAUKUMCKABDOEDPZUKUMQADCRMZBABCDFGSZUAHDEBUCTUDACUMKUBUEZUNULQZAUOU
        LUPPURUSUFHADUPEBUQHUGEULCDUHTUIUJ $.

      ${
        dpjcntz.z $e |- Z = ( Cntz ` G ) $.
        $( The two subgroups that appear in ~ dpjval commute.  (Contributed by
           Mario Carneiro, 26-Apr-2016.) $)
        dpjcntz $p |- ( ph ->
          ( S ` X ) C_ ( Z ` ( G DProd ( S |` ( I \ { X } ) ) ) ) ) $=
          ( cfv csn cres cdprd co wbr wss cin wceq cun dpjlem cdm wa c0g dprdf2
          cdif w3a c0 disjdif a1i undif2 snssd ssequn1 eqtr2id eqid dmdprdsplit
          sylib mpbid simp2d eqsstrrd ) AEBKCBELZMZNOZCBDVAUFZMZNOZFKZABCDEGHIU
          AACVBNUBZPCVEVHPUCZVCVGQZVCVFRCUDKZLSZACBVHPVIVJVLUGGAVAVDBCDVKFABCDG
          HUEVAVDRUHSAVADUIUJAVAVDTVADTZDVADUKAVADQVMDSAEDIULVADUMUQUNJVKUOUPUR
          USUT $.
      $}

      ${
        dpjdisj.0 $e |- .0. = ( 0g ` G ) $.
        $( The two subgroups that appear in ~ dpjval are disjoint.
           (Contributed by Mario Carneiro, 26-Apr-2016.) $)
        dpjdisj $p |- ( ph ->
          ( ( S ` X ) i^i ( G DProd ( S |` ( I \ { X } ) ) ) ) = { .0. } ) $=
          ( csn cres cdprd co cin cfv wbr wss wceq cun cdif dpjlem ineq1d ccntz
          cdm wa w3a dprdf2 disjdif a1i undif2 snssd ssequn1 sylib eqtr2id eqid
          c0 dmdprdsplit mpbid simp3d eqtr3d ) ACBEKZLZMNZCBDVBUAZLZMNZOZEBPZVG
          OFKZAVDVIVGABCDEGHIUBUCACVCMUEZQCVFVKQUFZVDVGCUDPZPRZVHVJSZACBVKQVLVN
          VOUGGAVBVEBCDFVMABCDGHUHVBVEOUQSAVBDUIUJAVBVETVBDTZDVBDUKAVBDRVPDSAED
          IULVBDUMUNUOVMUPJURUSUTVA $.
      $}

      dpjlsm.s $e |- .(+) = ( LSSum ` G ) $.
      $( The two subgroups that appear in ~ dpjval add to the full direct
         product.  (Contributed by Mario Carneiro, 26-Apr-2016.) $)
      dpjlsm $p |- ( ph -> ( G DProd S ) =
        ( ( S ` X ) .(+) ( G DProd ( S |` ( I \ { X } ) ) ) ) ) $=
        ( cdprd co csn cres cdif cfv dprdf2 cin wceq cun disjdif a1i undif2 wss
        c0 snssd ssequn1 sylib eqtr2id dprdsplit dpjlem oveq1d eqtrd ) ADCKLDCF
        MZNKLZDCEUNOZNKLZBLFCPZUQBLAUNUPBCDEACDEGHQUNUPRUESAUNEUAUBAUNUPTUNETZE
        UNEUCAUNEUDUSESAFEIUFUNEUGUHUIJGUJAUOURUQBACDEFGHIUKULUM $.
    $}

    dpjfval.p $e |- P = ( G dProj S ) $.
    ${
      dpjfval.q $e |- Q = ( proj1 ` G ) $.
      $( Value of the direct product projection (defined in terms of binary
         projection).  (Contributed by Mario Carneiro, 26-Apr-2016.) $)
      dpjfval $p |- ( ph -> P = ( i e. I |->
        ( ( S ` i ) Q ( G DProd ( S |` ( I \ { i } ) ) ) ) ) ) $=
        ( vg vs cdpj co cv cfv csn cdprd wceq cdif cres cmpt cgrp cdm cima cpj1
        cvv cmpo df-dpj a1i wa simprr dmeqd adantr simprl fveq2d eqtr4di fveq1d
        eqtrd difeq1d reseq12d oveq12d oveq123d mpteq12dv simpr imaeq2d dprdgrp
        sneqd wbr wcel syl wrel wb reldmdprd elrelimasn ax-mp sylibr dprddomcld
        mptexd ovmpodx eqtrid ) ABFDNOEGEPZDQZFDGWCRZUAZUBZSOZCOZUCZJALMFDUDSUE
        ZLPZRZUFZEMPZUEZWCWOQZWLWOWPWEUAZUBZSOZWLUGQZOZUCZWJNWKFRZUFZUHNLMUDWNX
        CUITALEMUJUKAWLFTZWODTZULZULZEWPXBGWIXIWPDUEZGXIWODAXFXGUMZUNAXJGTXHIUO
        UTZXIWQWDWTWHXACXIXAFUGQCXIWLFUGAXFXGUPZUQKURXIWCWODXKUSXIWLFWSWGSXMXIW
        ODWRWFXKXIWPGWEXLVAVBVCVDVEAXFULZWMXDWKXNWLFAXFVFVIVGAFDWKVJZFUDVKHDFVH
        VLAXODXEVKZHWKVMXPXOVNVOFDWKVPVQVRAEGWIUHADFGHIVSVTWAWB $.

      dpjval.3 $e |- ( ph -> X e. I ) $.
      $( Value of the direct product projection (defined in terms of binary
         projection).  (Contributed by Mario Carneiro, 26-Apr-2016.) $)
      dpjval $p |- ( ph -> ( P ` X ) =
        ( ( S ` X ) Q ( G DProd ( S |` ( I \ { X } ) ) ) ) ) $=
        ( vx cv cfv csn cdif cres cdprd co dpjfval wceq wa simpr fveq2d difeq2d
        cvv sneqd reseq2d oveq2d oveq12d ovexd fvmptd ) AMGMNZDOZEDFUNPZQZRZSTZ
        CTGDOZEDFGPZQZRZSTZCTFBUGABCDMEFHIJKUAAUNGUBZUCZUOUTUSVDCVFUNGDAVEUDZUE
        VFURVCESVFUQVBDVFUPVAFVFUNGVGUHUFUIUJUKLAUTVDCULUM $.
    $}

    ${
      dpjf.3 $e |- ( ph -> X e. I ) $.
      $( The ` X ` -th index projection is a function from the direct product
         to the ` X ` -th factor.  (Contributed by Mario Carneiro,
         26-Apr-2016.) $)
      dpjf $p |- ( ph -> ( P ` X ) : ( G DProd S ) --> ( S ` X ) ) $=
        ( cdprd co cfv wf csn cdif cres clsm cpj1 eqid c0g ccntz csubg ffvelrnd
        cplusg dprdf2 cdm wbr wcel wss difssd dprdres dprdsubg syl dpjdisj pj1f
        simpld dpjcntz dpjval dpjlsm feq12d mpbird ) ADCKLZFCMZFBMZNVDDCEFOZPZQ
        ZKLZDRMZLZVDVDVIDSMZLZNAVLDUEMZVJVDVIDDUAMZDUBMZVNTVJTZVOTZVPTZAEDUCMZF
        CACDEGHUFJUDADVHKUGUHZVIVTUIAWAVIVCUJAVGCDEGHAEVFUKULUQVHDUMUNACDEFVOGH
        JVRUOACDEFVPGHJVSURVLTZUPAVCVKVDVEVMABVLCDEFGHIWBJUSAVJCDEFGHJVQUTVAVB
        $.
    $}

    ${
      dpjidcl.3 $e |- ( ph -> A e. ( G DProd S ) ) $.
      dpjidcl.0 $e |- .0. = ( 0g ` G ) $.
      dpjidcl.w $e |- W = { h e. X_ i e. I ( S ` i ) | h finSupp .0. } $.
      $( The key property of projections: the sum of all the projections of
         ` A ` is ` A ` .  (Contributed by Mario Carneiro, 26-Apr-2016.)
         (Revised by AV, 14-Jul-2019.) $)
      dpjidcl $p |- ( ph -> ( ( x e. I |-> ( ( P ` x ) ` A ) ) e. W /\
        A = ( G gsum ( x e. I |-> ( ( P ` x ) ` A ) ) ) ) ) $=
        ( cfv wcel cvv vf vk cv cgsu co wceq cmpt cdprd cdm wbr wrex eldprd syl
        wa wb mpbid simprd adantr ad2antrr simpr dpjf ffvelrnd cfsupp csupp wss
        wfun dprddomcld mptexd funmpt a1i simprl dprdffsupp cdif cres cpj1 eqid
        csn eldifi dpjval fveq1d sylan2 simplrr cbs ccntz cmnd cgrp grpmnd 3syl
        dprdgrp dprdff crn dprdfcntz snssi adantl difss2d suppssdm fssdm ssconb
        wf syl2anc gsumzres eqtr4d cixp crab difss dprdres simpld dprdf2 fssres
        csubg sylancl fdmd feqmptd reseq1d resmpt ax-mp eqtrdi dprdfcl eleqtrrd
        fvres difexd ssdif sseli ssidd c0g suppssr suppss2 fsuppsssupp syl22anc
        fvexi dprdwd eqeltrd eldprdi cplusg clsm dprdsubg dpjdisj eqtrd oveq2d
        cun dpjcntz pj1rid sylanl2 mpdan simprr c0 disjdif undif2 snssd ssequn1
        sylib eqtr2id gsumzsplit feqresmpt gsumsn syl3anc oveq1d 3eqtrd eleqtrd
        cin fveq2 dpjlsm pj1eq mpteq2dva jca rexlimddv ) ACHUAUCZUDUEZUFZBICBUC
        ZDRZRZUGZJSZCHUVMUDUEZUFZUNUAJAHEUHUIZUJZUVIUAJUKZACHEUHUEZSZUVRUVSUNZO
        AEUIIUFZUWAUWBUOMCEUAFGHIJKPQULUMUPUQAUVGJSZUVIUNZUNZUVNUVPUWFBUVLEFGHI
        JKQAUVRUWELURZAUWCUWEMURZUWFUVJISZUNZUVTUVJERZCUVKUWJDEHIUVJAUVRUWEUWIL
        USZAUWCUWEUWIMUSZNUWFUWIUTZVAAUWAUWEUWIOUSZVBUWFUVMTSZUVMVFZUVGKVCUJZUV
        MKVDUEUVGKVDUEZVEUVMKVCUJAUWPUWEABIUVLTAEHILMVGZVHURUWQUWFBIUVLVIVJUWFE
        FGUVGHIJKQUWGUWHAUWDUVIVKZVLZUWFIUVLBTUWSKUWFUVJIUWSVMZSZUNZUVLCUWKHEIU
        VJVQZVMZVNZUHUEZHVORZUEZRZKUXDUWFUWIUVLUXLUFUVJIUWSVRZUWJCUVKUXKUWJDUXJ
        EHIUVJUWLUWMNUXJVPZUWNVSVTZWAUXECUXISZUXLKUFZUXECHUVGUXGVNZUDUEZUXIUXEC
        UVHUXSAUWDUVIUXDWBUXEIHWCRZUVGHTUXGKHWDRZUXTVPZPUYAVPZUWFHWESZUXDUWFUVR
        HWFSZUYDUWGEHWIZHWGZWHURAITSZUWEUXDUWTUSUWFIUXTUVGWSZUXDUWFUXTEFGUVGHIJ
        KQUWGUWHUXAUYBWJZURUXDUWFUWIUVGWKZUYKUYARVEUXMUWJEFGUVGHIJKUYAQUWLUWMUW
        FUWDUWIUXAURZUYCWLZWAUXEUXFUXCVEZUWSUXGVEZUXDUYNUWFUVJUXCWMWNZUXEUXFIVE
        ZUWSIVEZUYNUYOUOUXEUXFIUWSUYPWOUWFUYRUXDUWFIUXTUWSUVGUVGKWPUYJWQURUXFUW
        SIWRWTUPUWFUWRUXDUXBURXAXBUXDUWFUWIUXSUXISUXMUWJUXHFGUXRHUXGFUCKVCUJFGU
        XGGUCUXHRXCXDZKPUYSVPZUWJHUXHUVQUJZUXIUVTVEUWJUXGEHIUWLUWMUXGIVEZUWJIUX
        FXEZVJXFXGZUWJUXGHXJRZUXHUWJIVUEEWSVUBUXGVUEUXHWSUWJEHIUWLUWMXHZVUCIVUE
        UXGEXIXKXLZUWJUXRUBUXGUBUCZUVGRZUGZUYSUWJUXRUBIVUIUGZUXGVNZVUJUWJUVGVUK
        UXGUWJUBIUXTUVGUWFUYIUWIUYJURZXMXNVUBVULVUJUFVUCUBIUXGVUIXOXPXQUWJUBVUI
        UXHFGHUXGUYSKUYTVUDVUGUWJVUHUXGSZUNVUIVUHERZVUHUXHRZVUNUWJVUHISVUIVUOSV
        UHIUXFVRUWJEFGUVGHIJVUHKQUWLUWMUYLXRWAVUNVUPVUOUFUWJVUHUXGEXTWNXSUWJVUJ
        TSZVUJVFZUWRVUJKVDUEUWSVEVUJKVCUJAVUQUWEUWIAUBUXGVUITAIUXFTUWTYAZVHUSVU
        RUWJUBUXGVUIVIVJUWFUWRUWIUXBURUWJUXGVUIUBTUWSKVUHUXGUWSVMZSUWJVUHUXCSVU
        IKUFVUTUXCVUHVUBVUTUXCVEVUCUXGIUWSYBXPYCUWJIUXTTUVGTUWSVUHKVUMUWJUWSYDA
        UYHUWEUWIUWTUSZKTSUWJKHYEPYJVJYFWAAUXGTSUWEUWIVUSUSYGUVGVUJTKYHYIYKYLYM
        ZWAYLUXDUWFUWIUXPUXQUXMUWJUXJHYNRZHYORZUWKUXIHCKUYAVVCVPZVVDVPZPUYCUWJI
        VUEUVJEVUFUWNVBZUWJVUAUXIVUESVUDUXHHYPUMZUWJEHIUVJKUWLUWMUWNPYQZUWJEHIU
        VJUYAUWLUWMUWNUYCUUAZUXNUUBUUCUUDYRAUYHUWEUWTURYGUVGUVMTKYHYIYKUWFCUVHU
        VOAUWDUVIUUEUWFUVGUVMHUDUWFUVGBIUVJUVGRZUGUVMUWFBIUXTUVGUYJXMUWFBIUVLVV
        KUWJUVLUXLVVKUXOUWJUXLVVKUFZCUXIUWKUXJUERUXSUFZUWJCVVKUXSVVCUEZUFVVLVVM
        UNUWJCUVHHUVGUXFVNZUDUEZUXSVVCUEVVNAUWDUVIUWIWBUWJIUXTUXFUXGVVCUVGHTKUY
        AUYBPVVEUYCUWJUVRUYEUYDUWLUYFUYGWHZVVAVUMUYMUWJEFGUVGHIJKQUWLUWMUYLVLUX
        FUXGUUTUUFUFUWJUXFIUUGVJUWJUXFUXGYTUXFIYTZIUXFIUUHUWJUYQVVRIUFUWJUVJIUW
        NUUIZUXFIUUJUUKUULUUMUWJVVPVVKUXSVVCUWJVVPHUBUXFVUIUGZUDUEZVVKUWJVVOVVT
        HUDUWJUBIUXTUXFUVGVUMVVSUUNYSUWJUYDUWIVVKUXTSVWAVVKUFVVQUWNUWJIUXTUVJUV
        GVUMUWNVBVUIUXTVVKUBHUVJIUYBVUHUVJUVGUVAUUOUUPYRUUQUURUWJVVKUXSUXJVVCVV
        DUWKUXIHCKUYAVVEVVFPUYCVVGVVHVVIVVJUXNUWJCUVTUWKUXIVVDUEUWOUWJVVDEHIUVJ
        UWLUWMUWNVVFUVBUUSUWFEFGUVGHIJUVJKQUWGUWHUXAXRVVBUVCUPXGYRUVDXBYSYRUVEU
        VF $.

      dpjeq.c $e |- ( ph -> ( x e. I |-> C ) e. W ) $.
      $( Decompose a group sum into projections.  (Contributed by Mario
         Carneiro, 26-Apr-2016.)  (Revised by AV, 14-Jul-2019.) $)
      dpjeq $p |- ( ph -> ( A = ( G gsum ( x e. I |-> C ) ) <->
        A. x e. I ( ( P ` x ) ` A ) = C ) ) $=
        ( wceq cmpt cgsu cfv wral wcel dpjidcl simprd eqeq1d simpld dprdf11 cvv
        co cv wb fvex rgenw mpteqb mp1i 3bitrd ) ACIBJDUAZUBULZTIBJCBUMEUCZUCZU
        AZUBULZVATVDUTTZVCDTBJUDZACVEVAAVDKUEZCVETZABCEFGHIJKLMNOPQRUFZUGUHAFGH
        VDIUTJKLQRMNAVHVIVJUISUJVCUKUEZBJUDVFVGUNAVKBJCVBUOUPBJVCDUKUQURUS $.
    $}

    ${
      dpjid.3 $e |- ( ph -> A e. ( G DProd S ) ) $.
      $( The key property of projections: the sum of all the projections of
         ` A ` is ` A ` .  (Contributed by Mario Carneiro, 26-Apr-2016.) $)
      dpjid $p |- ( ph -> A = ( G gsum ( x e. I |-> ( ( P ` x ) ` A ) ) ) ) $=
        ( vh vi cv cfv cmpt c0g cfsupp wbr eqid cixp crab wcel cgsu wceq simprd
        co dpjidcl ) ABGCBNDOOPZLNFQOZRSLMGMNEOUAUBZUCCFUIUDUGUEABCDELMFGUKUJHI
        JKUJTUKTUHUF $.
    $}

    dpjlid.3 $e |- ( ph -> X e. I ) $.
    ${
      dpjlid.4 $e |- ( ph -> A e. ( S ` X ) ) $.
      $( The ` X ` -th index projection acts as the identity on elements of the
         ` X ` -th factor.  (Contributed by Mario Carneiro, 26-Apr-2016.) $)
      dpjlid $p |- ( ph -> ( ( P ` X ) ` A ) = A ) $=
        ( cfv csn cdif cres cdprd co eqid wcel cpj1 dpjval fveq1d wceq clsm c0g
        cplusg ccntz dprdf2 ffvelrnd cdm wbr wss difssd dprdres simpld dprdsubg
        csubg syl dpjdisj dpjcntz pj1lid mpdan eqtrd ) ABGCMZMBGDMZEDFGNZOZPZQR
        ZEUAMZRZMZBABVEVLACVKDEFGHIJVKSZKUBUCABVFTVMBUDLAVKEUGMZEUEMZVFVJEBEUFM
        ZEUHMZVOSVPSVQSZVRSZAFEURMZGDADEFHIUIKUJAEVIQUKULZVJWATAWBVJEDQRUMAVHDE
        FHIAFVGUNUOUPVIEUQUSADEFGVQHIKVSUTADEFGVRHIKVTVAVNVBVCVD $.

      dpjrid.0 $e |- .0. = ( 0g ` G ) $.
      dpjrid.5 $e |- ( ph -> Y e. I ) $.
      dpjrid.6 $e |- ( ph -> Y =/= X ) $.
      $( The ` Y ` -th index projection annihilates elements of other factors.
         (Contributed by Mario Carneiro, 26-Apr-2016.) $)
      dpjrid $p |- ( ph -> ( ( P ` Y ) ` A ) = .0. ) $=
        ( vx cfv wceq vh vi cif fveq2 fveq1d eqeq1 ifbid eqeq12d cmpt cgsu wral
        cv co cfsupp wbr cixp crab wcel eqid dprdfid simprd eqcomd cdprd dprdub
        sseldd simpld dpjeq mpbid rspcdva wne ifnefalse syl eqtrd ) ABHCSZSZHGT
        ZBIUCZIABRULZCSZSZVRGTZBIUCZTZVOVQTRFHVRHTZVTVOWBVQWDBVSVNVRHCUDUEWDWAV
        PBIVRHGUFUGUHABERFWBUIZUJUMZTWCRFUKAWFBAWEUAULIUNUOUAUBFUBULDSUPUQZURZW
        FBTZABDUAUBRWEEFWGGIOWGUSZJKMNWEUSUTZVAVBARBWBCDUAUBEFWGIJKLAGDSEDVCUMB
        ADEFGJKMVDNVEOWJAWHWIWKVFVGVHPVIAHGVJVQITQHGBIVKVLVM $.
    $}

    $( The direct product is the binary subgroup product ("sum") of the direct
       products of the partition.  (Contributed by Mario Carneiro,
       26-Apr-2016.) $)
    dpjghm $p |- ( ph ->
      ( P ` X ) e. ( ( G |`s ( G DProd S ) ) GrpHom G ) ) $=
      ( cfv csn cdif cres cdprd co cpj1 cress cghm eqid clsm cplusg ccntz csubg
      c0g dprdf2 ffvelrnd cdm wbr wss difssd dprdres simpld syl dpjdisj dpjcntz
      wcel dprdsubg pj1ghm dpjval dpjlsm oveq2d oveq1d 3eltr4d ) AFCKZDCEFLZMZN
      ZOPZDQKZPDVEVIDUAKZPZRPZDSPFBKDDCOPZRPZDSPAVJDUBKZVKVEVIDDUEKZDUCKZVPTVKT
      ZVQTZVRTZAEDUDKZFCACDEGHUFJUGADVHOUHUIZVIWBUQAWCVIVNUJAVGCDEGHAEVFUKULUMV
      HDURUNACDEFVQGHJVTUOACDEFVRGHJWAUPVJTZUSABVJCDEFGHIWDJUTAVOVMDSAVNVLDRAVK
      CDEFGHJVSVAVBVCVD $.

    $( The direct product is the binary subgroup product ("sum") of the direct
       products of the partition.  (Contributed by Mario Carneiro,
       26-Apr-2016.) $)
    dpjghm2 $p |- ( ph ->
      ( P ` X ) e. ( ( G |`s ( G DProd S ) ) GrpHom ( G |`s ( S ` X ) ) ) ) $=
      ( cfv cdprd co cress cghm wcel dpjghm csubg crn wss wb ffvelrnd dpjf frnd
      dprdf2 eqid resghm2b syl2anc mpbid ) AFBKZDDCLMZNMZDOMPZUJULDFCKZNMZOMPZA
      BCDEFGHIJQAUNDRKZPUJSUNTUMUPUAAEUQFCACDEGHUEJUBAUKUNUJABCDEFGHIJUCUDULDUO
      UJUNUOUFUGUHUI $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The Fundamental Theorem of Abelian Groups
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d a b g x B $.  $d a b g x G $.  $d a b g p K $.  $d a b g L $.  $d x O $.
    $d a b g .(+) $.  $d a b g x M $.  $d a b p x N $.  $d a b g p x ph $.
    $d x .0. $.
    ablfacrp.b $e |- B = ( Base ` G ) $.
    ablfacrp.o $e |- O = ( od ` G ) $.
    ablfacrp.k $e |- K = { x e. B | ( O ` x ) || M } $.
    ablfacrp.l $e |- L = { x e. B | ( O ` x ) || N } $.
    ablfacrp.g $e |- ( ph -> G e. Abel ) $.
    ablfacrp.m $e |- ( ph -> M e. NN ) $.
    ablfacrp.n $e |- ( ph -> N e. NN ) $.
    ablfacrp.1 $e |- ( ph -> ( M gcd N ) = 1 ) $.
    ablfacrp.2 $e |- ( ph -> ( # ` B ) = ( M x. N ) ) $.
    $( Lemma for ~ ablfacrp2 .  (Contributed by Mario Carneiro,
       19-Apr-2016.) $)
    ablfacrplem $p |- ( ph -> ( ( # ` K ) gcd N ) = 1 ) $=
      ( wcel cdvds vp vg chash cfv cgcd co c1 wceq c2 cuz cv wbr cprime wrex wa
      wn nprmdvds1 adantl adantr breq2d mtbird cress cod cbs cgrp cfn crab cabl
      cz nnzd oddvdssubg syl2anc eqeltrid ad2antrr eqid subggrp syl subgbas wss
      csubg cn0 cmul nnnn0d nn0mulcld eqeltrd cvv wb fvexi hashclb ax-mp sylibr
      ssrab3 ssfi sylancl eqeltrrd simplr simpr fveq2d breqtrd syl31anc rexeqdv
      odcau mpbird subgod sylan fveq2 breq1d elrab2 simprbi syl5ibcom rexlimdva
      eqbrtrrd breq1 mpd anim1d prmz hashcl nn0zd dvdsgcdb syl3anc 3imtr3d mtod
      ex nrexdv exprmfct nsyl cc0 wne nnne0d necon3ai gcdn0cl syl21anc elnn1uz2
      cn wo sylib ord mt3d ) AEUCUDZHUEUFZUGUHZYTUIUJUDSZAUAUKZYTTULZUAUMUNUUBA
      UUDUAUMAUUCUMSZUOZUUDUUCGHUEUFZTULZUUFUUHUUCUGTULZUUEUUIUPAUUCUQURUUFUUGU
      GUUCTAUUGUGUHUUEQUSUTVAUUFUUCYSTULZUUCHTULZUOZUUCGTULZUUKUOZUUDUUHUUFUUJU
      UMUUKUUFUUJUUMUUFUUJUOZUBUKZDEVBUFZVCUDZUDZUUCUHZUBEUNZUUMUUOUVAUUTUBUUQV
      DUDZUNZUUOUUQVESZUVBVFSUUEUUCUVBUCUDZTULUVCUUOEDVTUDZSZUVDAUVGUUEUUJAEBUK
      ZIUDZGTULZBCVGZUVFLADVHSGVISZUVKUVFSNAGOVJZBCDGIKJVKVLVMVNZEDUUQUUQVOZVPV
      QUUOEUVBVFUUOUVGEUVBUHUVNEDUUQUVOVRVQZAEVFSZUUEUUJACVFSZECVSUVQACUCUDZWAS
      ZUVRAUVSGHWBUFWARAGHAGOWCAHPWCWDWECWFSUVRUVTWGCDVDJWHCWFWIWJWKUVJBCELWLCE
      WMWNZVNWOAUUEUUJWPUUOUUCYSUVETUUFUUJWQUUOEUVBUCUVPWRWSUUCUBUUQUURUVBUVBVO
      UURVOZXBWTUUOUUTUBEUVBUVPXAXCUUOUUTUUMUBEUUOUUPESZUOZUUSGTULUUTUUMUWDUUPI
      UDZUUSGTUUOUVGUWCUWEUUSUHUVNUUPUURDUUQIEUVOKUWBXDXEUWCUWEGTULZUUOUWCUUPCS
      UWFUVJUWFBUUPCEUVHUUPUHUVIUWEGTUVHUUPIXFXGLXHXIURXLUUSUUCGTXMXJXKXNYCXOUU
      FUUCVISZYSVISZHVISZUULUUDWGUUEUWGAUUCXPURZAUWHUUEAYSAUVQYSWASUWAEXQVQXRZU
      SAUWIUUEAHPVJZUSZUUCYSHXSXTUUFUWGUVLUWIUUNUUHWGUWJAUVLUUEUVMUSUWMUUCGHXSX
      TYAYBYDYTUAYEYFAUUAUUBAYTYNSZUUAUUBYOAUWHUWIYSYGUHZHYGUHZUOZUPZUWNUWKUWLA
      HYGYHUWRAHPYIUWQHYGUWOUWPWQYJVQYSHYKYLYTYMYPYQYR $.

    ${
      ablfacrp.z $e |- .0. = ( 0g ` G ) $.
      ablfacrp.s $e |- .(+) = ( LSSum ` G ) $.
      $( A finite abelian group whose order factors into relatively prime
         integers, itself "factors" into two subgroups ` K , L ` that have
         trivial intersection and whose product is the whole group.  Lemma
         6.1C.2 of [Shapiro], p. 199.  (Contributed by Mario Carneiro,
         19-Apr-2016.) $)
      ablfacrp $p |- ( ph -> ( ( K i^i L ) = { .0. } /\ ( K .(+) L ) = B ) ) $=
        ( vg va vb cin csn wceq co cv cfv cdvds wbr wa crab ineq12i inrab eqtri
        wcel w3a c1 cgcd cz wi cn0 odcl adantl nn0zd nnzd adantr dvdsgcd 3impia
        syl3anc 3ad2ant1 breqtrd wb simp2 dvds1 3syl mpbid cgrp cabl ablgrp syl
        odeq1 syl2anc velsn sylibr rabssdv eqsstrid oddvdssubg eqeltrid subg0cl
        csubg elind snssd eqssd wss lsmsubg2 subgss cmg eqid mulg1 caddc bezout
        cmul ad2antrr eqeq1d cplusg simprl zmulcld simprr addcomd oveq1d simplr
        wrex zcnd mulgdir syl13anc eqtrd mulgcl ad2antlr chash nnmulcld eqeltrd
        cfn nnnn0d cvv fvexi hashclb dvdsmultr1d odmulgid syl31anc mpbird fveq2
        cbs breq1d elrab2 sylanbrc cc ax-mp oddvds2 mulassd zcn ad2antrl mulass
        mul12 lsmelvali syl22anc oveq1 eleq1d syl5ibrcom rexlimdvva mpd eqelssd
        sylbid eqeltrrd jca ) AFGUFZKUGZUHFGDUIZCUHAUUSUUTAUUSBUJZJUKZHULUMZUVC
        IULUMZUNZBCUOZUUTUUSUVDBCUOZUVEBCUOZUFUVGFUVHGUVINOUPUVDUVEBCUQURAUVFBC
        UUTAUVBCUSZUVFUTZUVBKUHZUVBUUTUSUVKUVCVAUHZUVLUVKUVCVAULUMZUVMUVKUVCHIV
        BUIZVAULAUVJUVFUVCUVOULUMZAUVJUNZUVCVCUSHVCUSZIVCUSZUVFUVPVDUVQUVCUVJUV
        CVEUSZAUVBEJCLMVFZVGVHAUVRUVJAHQVIZVJAUVSUVJAIRVIZVJUVCHIVKVMVLAUVJUVOV
        AUHZUVFSVNVOUVKUVJUVTUVNUVMVPAUVJUVFVQZUWAUVCVRVSVTUVKEWAUSZUVJUVMUVLVP
        AUVJUWFUVFAEWBUSZUWFPEWCWDZVNUWEUVBEJCKMUALWEWFVTBKWGWHWIWJAKUUSAFGKAFE
        WNUKZUSZKFUSAFUVHUWINAUWGUVRUVHUWIUSPUWBBCEHJMLWKWFWLZFEKUAWMWDAGUWIUSZ
        KGUSAGUVIUWIOAUWGUVSUVIUWIUSPUWCBCEIJMLWKWFWLZGEKUAWMWDWOWPWQAUCUVACAUV
        AUWIUSZUVACWRAUWGUWJUWLUWNPUWKUWMDFGEUBWSVMCUVAELWTWDAUCUJZCUSZUNZVAUWO
        EXAUKZUIZUWOUVAUWPUWSUWOUHACUWREUWOLUWRXBZXCVGUWQUVOHUDUJZXFUIZIUEUJZXF
        UIZXDUIZUHZUEVCXPUDVCXPZUWSUVAUSZAUXGUWPAUVRUVSUXGUWBUWCUDUEHIXEWFVJUWQ
        UXFUXHUDUEVCVCUWQUXAVCUSZUXCVCUSZUNZUNZUXFVAUXEUHZUXHUXLUVOVAUXEAUWDUWP
        UXKSXGXHUXLUXHUXMUXEUWOUWRUIZUVAUSUXLUXNUXDUWOUWRUIZUXBUWOUWRUIZEXIUKZU
        IZUVAUXLUXNUXDUXBXDUIZUWOUWRUIZUXRUXLUXEUXSUWOUWRUXLUXBUXDUXLUXBUXLHUXA
        AUVRUWPUXKUWBXGZUWQUXIUXJXJZXKZXQUXLUXDUXLIUXCAUVSUWPUXKUWCXGZUWQUXIUXJ
        XLZXKZXQXMXNUXLUWFUXDVCUSZUXBVCUSZUWPUXTUXRUHAUWFUWPUXKUWHXGZUYFUYCAUWP
        UXKXOZCUXQUWREUXDUXBUWOLUWTUXQXBZXRXSXTUXLUWJUWLUXOFUSZUXPGUSZUXRUVAUSA
        UWJUWPUXKUWKXGAUWLUWPUXKUWMXGUXLUXOCUSZUXOJUKZHULUMZUYLUXLUWFUYGUWPUYNU
        YIUYFUYJCUWREUXDUWOLUWTYAVMUXLUYPUWOJUKZHUXDXFUIZULUMZUXLUYQHIXFUIZUXCX
        FUIUYRULUXLUYQUYTUXCUXLUYQUWPUYQVEUSAUXKUWOEJCLMVFYBVHZUXLHIUYAUYDXKZUY
        EUXLUYQCYCUKZUYTULUXLUWFCYFUSZUWPUYQVUCULUMUYIAVUDUWPUXKAVUCVEUSZVUDAVU
        CUYTVETAUYTAHIQRYDYGYECYHUSVUDVUEVPCEYPLYICYHYJUUAWHXGUYJUWOEJCLMUUBVMA
        VUCUYTUHUWPUXKTXGVOZYKUXLHIUXCUXLHUYAXQZUXLIUYDXQZUXLUXCUYEXQUUCVOUXLUW
        FUWPUYGUVRUYPUYSVPUYIUYJUYFUYAUWOUWREHUXDJCLMUWTYLYMYNUVDUYPBUXOCFUVBUX
        OUHUVCUYOHULUVBUXOJYOYQNYRYSUXLUXPCUSZUXPJUKZIULUMZUYMUXLUWFUYHUWPVUIUY
        IUYCUYJCUWREUXBUWOLUWTYAVMUXLVUKUYQIUXBXFUIZULUMZUXLUYQUYTUXAXFUIZVULUL
        UXLUYQUYTUXAVUAVUBUYBVUFYKUXLHYTUSZIYTUSZUXAYTUSZVUNVULUHVUGVUHUXIVUQUW
        QUXJUXAUUDUUEVUOVUPVUQUTVUNHIUXAXFUIXFUIVULHIUXAUUFHIUXAUUGXTVMVOUXLUWF
        UWPUYHUVSVUKVUMVPUYIUYJUYCUYDUWOUWREIUXBJCLMUWTYLYMYNUVEVUKBUXPCGUVBUXP
        UHUVCVUJIULUVBUXPJYOYQOYRYSUXQDFGEUXOUXPUYKUBUUHUUIYEUXMUWSUXNUVAVAUXEU
        WOUWRUUJUUKUULUUPUUMUUNUUQUUOUUR $.
    $}

    $( The factors ` K , L ` of ~ ablfacrp have the expected orders (which
       allows for repeated application to decompose ` G ` into subgroups of
       prime-power order).  Lemma 6.1C.2 of [Shapiro], p. 199.  (Contributed by
       Mario Carneiro, 21-Apr-2016.) $)
    ablfacrp2 $p |- ( ph -> ( ( # ` K ) = M /\ ( # ` L ) = N ) ) $=
      ( wcel cdvds chash cfv wceq cn0 wbr cfn wss cmul nnnn0d nn0mulcld eqeltrd
      co cvv cbs fvexi hashclb ax-mp sylibr ssrab3 ssfi sylancl hashcl syl cgcd
      wb cv c1 csubg crab cabl nnzd oddvdssubg syl2anc eqeltrid lagsubg mulcomd
      cz nncnd eqtrd breqtrd ablfacrplem wa wi coprmdvds syl3anc mp2and gcdcomd
      nn0zd eqtr3d dvdscmul mpd clsm cin c0g eqid ablfacrp simprd fveq2d simpld
      csn ccntz ablcntzd lsmhash breqtrrd cc0 wne cn subg0cl ne0i 3syl hashnncl
      c0 mpbird nnne0d dvdsmulcr syl112anc mpbid dvdseq syl22anc dvdscmulr jca
      dvdsmulc ) AEUAUBZGUCZFUAUBZHUCZAYCUDSZGUDSYCGTUEZGYCTUEZYDAEUFSZYGACUFSZ
      ECUGYJACUAUBZUDSZYKAYLGHUHULZUDRAGHAGOUIZAHPUIZUJUKCUMSYKYMVECDUNJUOCUMUP
      UQURZBVFIUBZGTUEZBCELUSCEUTVAZEVBVCZYOAYCHGUHULZTUEZYCHVDULVGUCZYHAYCYLUU
      BTAEDVHUBZSYKYCYLTUEAEYSBCVIZUUELADVJSZGVQSZUUFUUESNAGOVKZBCDGIKJVLVMVNZY
      QDCEJVOVMAYLYNUUBRAGHAGOVRAHPVRVPVSZVTABCDEFGHIJKLMNOPQRWAAYCVQSZHVQSZUUH
      UUCUUDWBYHWCAYCUUAWHZAHPVKZUUIYCHGWDWEWFZAGYEUHULZYCYEUHULZTUEZYIAUUQYNUU
      RTAYEHTUEZUUQYNTUEZAYEYNTUEZYEGVDULVGUCZUUTAYEYLYNTAFUUESZYKYEYLTUEAFYRHT
      UEZBCVIZUUEMAUUGUUMUVFUUESNUUOBCDHIKJVLVMVNZYQDCFJVOVMRVTABCDFEHGIJKMLNPO
      AGHVDULHGVDULVGAGHUUIUUOWGQWIUUKWAAYEVQSZUUHUUMUVBUVCWBUUTWCAYEAFUFSZYEUD
      SZAYKFCUGUVIYQUVEBCFMUSCFUTVAZFVBVCZWHZUUIUUOYEGHWDWEWFZAUVHUUMUUHUUTUVAW
      CUVMUUOUUIGYEHWJWEWKAYLUURYNAEFDWLUBZULZUAUBYLUURAUVPCUAAEFWMDWNUBZWTUCZU
      VPCUCZABCUVODEFGHIUVQJKLMNOPQRUVQWOZUVOWOZWPZWQWRAUVOEFDUVQDXAUBZUWAUVTUW
      CWOZUUJUVGAUVRUVSUWBWSAEFDUWCUWDNUUJUVGXBYTUVKXCWIRWIZXDAUUHUULUVHYEXEXFU
      USYIVEUUIUUNUVMAYEAYEXGSZFXLXFZAUVDUVQFSUWGUVGFDUVQUVTXHFUVQXIXJAUVIUWFUW
      GVEUVKFXKVCXMXNYEGYCXOXPXQYCGXRXSZAUVJHUDSUUTHYETUEZYFUVLYPUVNAYCHUHULZUU
      RTUEZUWIAUWJYNUURTAYHUWJYNTUEZUUPAUULUUHUUMYHUWLWCUUNUUIUUOHYCGYBWEWKUWEX
      DAUUMUVHUULYCXEXFUWKUWIVEUUOUVMUUNAYCAYCGXGUWHOUKXNYCHYEXTXPXQYEHXRXSYA
      $.
  $}

  ${
    $d p q w x y B $.  $d p q x y D $.  $d a b p q w x y z ph $.  $d a b q S $.
    $d a b p q x y z A $.  $d p q x y O $.  $d p q x y z P $.  $d q x y z T $.
    $d a b p q x y z G $.
    ablfac1.b $e |- B = ( Base ` G ) $.
    ablfac1.o $e |- O = ( od ` G ) $.
    ablfac1.s $e |- S = ( p e. A |-> { x e. B |
      ( O ` x ) || ( p ^ ( p pCnt ( # ` B ) ) ) } ) $.
    ablfac1.g $e |- ( ph -> G e. Abel ) $.
    ablfac1.f $e |- ( ph -> B e. Fin ) $.
    ablfac1.1 $e |- ( ph -> A C_ Prime ) $.
    ${
      ablfac1.m $e |- M = ( P ^ ( P pCnt ( # ` B ) ) ) $.
      ablfac1.n $e |- N = ( ( # ` B ) / M ) $.
      $( Lemma for ~ ablfac1b .  Satisfy the assumptions of ablfacrp.
         (Contributed by Mario Carneiro, 26-Apr-2016.) $)
      ablfac1lem $p |- ( ( ph /\ P e. A ) -> ( ( M e. NN /\ N e. NN ) /\
        ( M gcd N ) = 1 /\ ( # ` B ) = ( M x. N ) ) ) $=
        ( wcel wa cn cgcd co c1 wceq chash cfv cmul cpc cprime sselda prmnn syl
        cexp c0 wne cabl cgrp ablgrp grpbn0 cfn wb hashnncl mpbird adantr pccld
        3syl nnexpcld eqeltrid cdiv cdvds wbr pcdvds syl2anc eqbrtrid nndivdvds
        mpbid jca oveq1i wn pcndvds2 oveq2i eqtri breq2i sylnibr nnzd coprm cn0
        cz prmz rpexp1i syl3anc mpd eqtrid nncnd nnne0d divcan2d eqtr2id 3jca
        wi ) AECTZUAZHUBTZIUBTZUAHIUCUDZUEUFDUGUHZHIUIUDZUFXCXDXEXCHEEXGUJUDZUO
        UDZUBRXCEXIXCEUKTZEUBTACUKEQULZEUMUNXCEXGXLAXGUBTZXBAXMDUPUQZAGURTGUSTX
        NOGUTDGLVAVHADVBTXMXNVCPDVDUNVEVFZVGZVIVJZXCIXGHVKUDZUBSXCHXGVLVMZXRUBT
        ZXCHXJXGVLRXCXKXMXJXGVLVMXLXOEXGVNVOVPXCXMXDXSXTVCXOXQXGHVQVOVRVJZVSXCX
        FXJIUCUDZUEHXJIUCRVTXCEIUCUDUEUFZYBUEUFZXCEIVLVMZWAZYCXCEXGXJVKUDZVLVMZ
        YEXCXKXMYHWAXLXOEXGWBVOIYGEVLIXRYGSHXJXGVKRWCWDWEWFXCXKIWJTZYFYCVCXLXCI
        YAWGZEIWHVOVRXCEWJTZYIXIWITYCYDXAXCXKYKXLEWKUNYJXPEIXIWLWMWNWOXCXHHXRUI
        UDXGIXRHUISWCXCXGHXCXGXOWPXCHXQWPXCHXQWQWRWSWT $.
    $}

    $( The factors of ~ ablfac1b are of prime power order.  (Contributed by
       Mario Carneiro, 26-Apr-2016.) $)
    ablfac1a $p |- ( ( ph /\ P e. A ) ->
      ( # ` ( S ` P ) ) = ( P ^ ( P pCnt ( # ` B ) ) ) ) $=
      ( wcel cfv chash co wceq wa cv cpc cexp cdvds wbr id oveq1 oveq12d breq2d
      crab rabbidv fvexi rabex fvmpt3i adantl fveq2d cdiv eqid cabl adantr cgcd
      cbs cn cmul ablfac1lem simp1d simpld simprd simp2d simp3d ablfacrp2 eqtrd
      c1 ) AECPZUAZEFQZRQBUBHQZEEDRQZUCSZUDSZUEUFZBDUKZRQZWAVPVQWCRVOVQWCTAIEVR
      IUBZWEVSUCSZUDSZUEUFZBDUKWCCFWEETZWHWBBDWIWGWAVRUEWIWEEWFVTUDWIUGWEEVSUCU
      HUIUJULLWHBDDGVCJUMUNUOUPUQVPWDWATVRVSWAURSZUEUFBDUKZRQWJTVPBDGWCWKWAWJHJ
      KWCUSWKUSAGUTPVOMVAVPWAVDPZWJVDPZVPWLWMUAZWAWJVBSVNTZVSWAWJVESTZABCDEFGWA
      WJHIJKLMNOWAUSWJUSVFZVGZVHVPWLWMWRVIVPWNWOWPWQVJVPWNWOWPWQVKVLVHVM $.

    $( Any abelian group is the direct product of factors of prime power order
       (with the exact order further matching the prime factorization of the
       group order).  (Contributed by Mario Carneiro, 21-Apr-2016.) $)
    ablfac1b $p |- ( ph -> G dom DProd S ) $=
      ( cfv eqid wcel syl co cdvds va csubg cmrc cvv c0g ccntz cabl cgrp ablgrp
      vb cprime wss prmex ssex cv chash cpc cexp wbr crab wa cz adantr cn prmnn
      sselda c0 wne grpbn0 wb hashnncl mpbird pccld nnexpcld oddvdssubg syl2anc
      cfn nnzd fmptd w3a simpr1 ffvelrnd simpr2 ablcntzd csn cdif cima cuni cin
      wf cdiv wceq oveq1 oveq12d breq2d rabbidv cbs fvexi fvmpt3i adantl eqimss
      id rabex cmre cacs subgacs acsmre 4syl cpw cres crn df-ima cmul ad3antrrr
      ad2antrr pcdvds eldifi ad2antlr sseldd cgcd c1 ablfac1lem simp1d eldifsni
      wi simpld necomd prmrp prmz rpexp12i syl112anc coprmdvds2 syl31anc mp2and
      cn0 mpd simp3d breqtrd syl3anc cmpt cc0 simprd dvdscmulr mpbid odcl nn0zd
      nnne0d dvdstr mpan2d ss2rabdv elpw sylibr reseq1i difss resmpt ax-mp frnd
      eqtri eqsstrid sspwuni sylib mrcsscl clsm simp2d ablfacrp sseqtrd dmdprdd
      ss2in ) AUAUJEFCFUBOZUCOZUDFUEOZFUFOZUVLPZUVKPZUVJPZAFUGQZFUHQZLFUIZRZACU
      KULZCUDQNCUKUMUNRAHCBUOZGOZHUOZUWCDUPOZUQSZURSZTUSZBDUTZUVIEAUWCCQZVAZUVP
      UWFVBQZUWHUVIQAUVPUWILVCUWJUWFUWJUWCUWEUWJUWCUKQZUWCVDQZACUKUWCNVFZUWCVEZ
      RUWJUWCUWDUWNAUWDVDQZUWIAUWPDVGVHZAUVQUWQUVSDFIVIRADVQQUWPUWQVJMDVKRVLZVC
      VMVNVRBDFUWFGJIVOVPKVSZAUAUOZCQZUJUOZCQZUWTUXBVHZVTZVAZUWTEOZUXBEOFUVLUVM
      AUVPUXELVCUXFCUVIUWTEACUVIEWJUXEUWSVCZAUXAUXCUXDWAWBUXFCUVIUXBEUXHAUXAUXC
      UXDWCWBWDAUXAVAZUXGECUWTWEZWFZWGZWHZUVJOZWIZUWBUWTUWTUWDUQSZURSZTUSZBDUTZ
      UWBUWDUXQWKSZTUSZBDUTZWIZUVKWEZUXIUXGUXSULZUXNUYBULZUXOUYCULUXIUXGUXSWLZU
      YEUXAUYGAHUWTUWHUXSCEUWCUWTWLZUWGUXRBDUYHUWFUXQUWBTUYHUWCUWTUWEUXPURUYHXB
      UWCUWTUWDUQWMWNWOWPKUWGBDDFWQIWRXCZWSWTUXGUXSXARUXIUVIFWQOZXDOQZUXMUYBULZ
      UYBUVIQZUYFUXIUVPUVQUVIUYJXEOQUYKAUVPUXALVCZUVRUYJFUYJPXFUVIUYJXGXHUXIUXL
      UYBXIZULUYLUXIUXLEUXKXJZXKUYOEUXKXLUXIUXKUYOUYPUXIHUXKUWHUYOUYPUXIUWCUXKQ
      ZVAZUWHUYBULUWHUYOQUYRUWGUYABDUYRUWADQZVAZUWGUWFUXTTUSZUYAUYTUXQUWFXMSZUX
      QUXTXMSZTUSZVUAUYTVUBUWDVUCTUYTUXQUWDTUSZUWFUWDTUSZVUBUWDTUSZUYTUWTUKQZUW
      PVUEUXIVUHUYQUYSACUKUWTNVFXOZAUWPUXAUYQUYSUWRXNZUWTUWDXPVPUYTUWLUWPVUFUYT
      CUKUWCAUVTUXAUYQUYSNXNUYQUWIUXIUYSUWCCUXJXQXRXSZVUJUWCUWDXPVPUYTUXQVBQZUW
      KUWDVBQUXQUWFXTSYAWLZVUEVUFVAVUGYEUYTUXQUXIUXQVDQZUYQUYSUXIVUNUXTVDQZUXIV
      UNVUOVAZUXQUXTXTSYAWLZUWDVUCWLZABCDUWTEFUXQUXTGHIJKLMNUXQPUXTPYBZYCZYFZXO
      ZVRZUYTUWFUYTUWCUWEUYTUWLUWMVUKUWORUYTUWCUWDVUKVUJVMZVNVRZUYTUWDVUJVRUYTU
      WTUWCXTSYAWLZVUMUYTVVFUWTUWCVHZUYTUWCUWTUYQUWCUWTVHUXIUYSUWCCUWTYDXRYGUYT
      VUHUWLVVFVVGVJVUIVUKUWTUWCYHVPVLUYTUWTVBQZUWCVBQZUXPYOQUWEYOQVVFVUMYEUYTV
      UHVVHVUIUWTYIRUYTUWLVVIVUKUWCYIRUYTUWTUWDVUIVUJVMVVDUWTUWCUXPUWEYJYKYPUWD
      UXQUWFYLYMYNUXIVURUYQUYSUXIVUPVUQVURVUSYQZXOYRUYTUWKUXTVBQZVULUXQUUAVHVUD
      VUAVJVVEUYTUXTUXIVUOUYQUYSUXIVUNVUOVUTUUBZXOVRZVVCUYTUXQVVBUUGUXQUWFUXTUU
      CYKUUDUYTUWBVBQUWKVVKUWGVUAVAUYAYEUYTUWBUYSUWBYOQUYRUWAFGDIJUUEWTUUFVVEVV
      MUWBUWFUXTUUHYSUUIUUJUWHUYBUYIUUKUULUYPHCUWHYTZUXKXJZHUXKUWHYTZEVVNUXKKUU
      MUXKCULVVOVVPWLCUXJUUNHCUXKUWHUUOUUPUURVSUUQUUSUXLUYBUUTUVAUXIUVPVVKUYMUY
      NUXIUXTVVLVRBDFUXTGJIVOVPUVIUXMUVJUYBUYJUVOUVBYSUXGUXSUXNUYBUVHVPUXIUYCUY
      DWLUXSUYBFUVCOZSDWLUXIBDVVQFUXSUYBUXQUXTGUVKIJUXSPUYBPUYNVVAVVLUXIVUPVUQV
      URVUSUVDVVJUVNVVQPUVEYFUVFUVG $.

    ablfac1c.d $e |- D = { w e. Prime | w || ( # ` B ) } $.
    ablfac1.2 $e |- ( ph -> D C_ A ) $.
    $( The factors of ~ ablfac1b cover the entire group.  (Contributed by Mario
       Carneiro, 21-Apr-2016.) $)
    ablfac1c $p |- ( ph -> ( G DProd S ) = B ) $=
      ( wcel wbr vq cfn cdprd wss cen wceq dprdssv a1i chash cfv cn0 cdvds ssfi
      co sylancl hashcl syl csubg cdm ablfac1b dprdsubg lagsubg syl2anc cpc cle
      cv cprime wral wa breq1 elrab2 sseld syl5bir impl cexp ablfac1a cress cbs
      crab fvexi rabex dmmpti dprdf2 ffvelrnda adantr simpr dprdub eqid subsubg
      wb mpbir2and subgbas eqeltrrd fveq2d breqtrrd eqbrtrrd cz sselda nn0zd cn
      c0 wne cabl cgrp ablgrp grpbn0 3syl hashnncl mpbird pccld pcdvdsb syl3anc
      syldan adantlr wn cc0 pceq0 biimpar c0g subg0cl nn0ge0d eqbrtrd pm2.61dan
      ne0i ralrimiva pc2dvds dvdseq syl22anc hashen mpbid fisseneq ) AEUBSZHGUC
      UNZEUDZYMEUETZYMEUFOYNAEGHKUGZUHAYMUIUJZEUIUJZUFZYOAYQUKSZYRUKSZYQYRULTZY
      RYQULTZYSAYMUBSZYTAYLYNUUDOYPEYMUMUOZYMUPUQZAYLUUAOEUPUQZAYMHURUJZSZYLUUB
      AHGUCUSTZUUIABDEGHIJKLMNOPUTZGHVAUQZOHEYMKVBVCAUUCUAVFZYRVDUNZUUMYQVDUNZV
      ETZUAVGVHZAUUPUAVGAUUMVGSZVIZUUMYRULTZUUPUUSUUTUUMDSZUUPAUURUUTUVAUURUUTV
      IUUMFSAUVACVFZYRULTUUTCUUMVGFUVBUUMYRULVJQVKAFDUUMRVLVMVNAUVAUUPUURAUVAVI
      ZUUPUUMUUNVOUNZYQULTZUVCUUMGUJZUIUJZUVDYQULABDEUUMGHIJKLMNOPVPUVCUVGHYMVQ
      UNZVRUJZUIUJZYQULUVCUVFUVHURUJSZUVIUBSUVGUVJULTUVCUVKUVFUUHSZUVFYMUDZADUU
      HUUMGAGHDUUKGUSDUFZAJDBVFIUJJVFZUVOYRVDUNVOUNULTZBEVSGUVPBEEHVRKVTWAMWBZU
      HWCWDUVCGHDUUMAUUJUVAUUKWEUVNUVCUVQUHAUVAWFWGUVCUUIUVKUVLUVMVIWJAUUIUVAUU
      LWEZUVFYMHUVHUVHWHZWIUQWKUVCYMUVIUBUVCUUIYMUVIUFUVRYMHUVHUVSWLUQZAUUDUVAU
      UEWEWMUVHUVIUVFUVIWHVBVCUVCYMUVIUIUVTWNWOWPUVCUURYQWQSZUUNUKSZUUPUVEWJADV
      GUUMPWRZAUWAUVAAYQUUFWSZWEAUVAUURUWBUWCUUSUUMYRAUURWFZAYRWTSZUURAUWFEXAXB
      ZAHXCSHXDSUWGNHXEEHKXFXGAYLUWFUWGWJOEXHUQXIWEZXJXMUUNUUMYQXKXLXIXNXMUUSUU
      TXOZVIUUNXPUUOVEUUSUUNXPUFZUWIUUSUURUWFUWJUWIWJUWEUWHUUMYRXQVCXRUUSXPUUOV
      ETUWIUUSUUOUUSUUMYQUWEAYQWTSZUURAUWKYMXAXBZAUUIHXSUJZYMSUWLUULYMHUWMUWMWH
      XTYMUWMYDXGAUUDUWKUWLWJUUEYMXHUQXIWEXJYAWEYBYCYEAYRWQSUWAUUCUUQWJAYRUUGWS
      UWDYRYQUAYFVCXIYQYRYGYHAUUDYLYSYOWJUUEOYMEYIVCYJYMEYKXL $.

    ablfac1eu.1 $e |- ( ph -> ( G dom DProd T /\ ( G DProd T ) = B ) ) $.
    ablfac1eu.2 $e |- ( ph -> dom T = A ) $.
    ablfac1eu.3 $e |- ( ( ph /\ q e. A ) -> C e. NN0 ) $.
    ablfac1eu.4 $e |- ( ( ph /\ q e. A ) -> ( # ` ( T ` q ) ) = ( q ^ C ) ) $.
    ${
      ablfac1eulem.1 $e |- ( ph -> P e. Prime ) $.
      ablfac1eulem.2 $e |- ( ph -> A e. Fin ) $.
      $( Lemma for ~ ablfac1eu .  (Contributed by Mario Carneiro,
         27-Apr-2016.) $)
      ablfac1eulem $p |- ( ph ->
        -. P || ( # ` ( G DProd ( T |` ( A \ { P } ) ) ) ) ) $=
        ( vy vz wss csn cdif cres cdprd co chash cfv cdvds wbr wn ssid cfn wcel
        wi cv c0 cun wceq sseq1 difeq1 0dif eqtrdi reseq2d oveq2d fveq2d breq2d
        res0 notbid imbi12d imbi2d c1 cprime nprmdvds1 syl c0g cdm cabl cgrp wa
        ablgrp eqid dprd0 3syl simprd fvex hashsng ax-mp mtbird ssun1 sstr mpan
        cvv a1d imim1i wo cmul clsm csubg simpld dprdf2 adantr ssdifssd fssresd
        simprr cin simprl disjsn sylibr difeq1d difindir dprdres ssdif dprdsubg
        wf mp1i dprdssv ssfi sylancl resabs1d cn0 hashcl nn0zd syl3anc ad2antrr
        cz eqtrd syldan adantl a2d difundir a1i dprdsplit ccntz ssun2 dprddisj2
        3eqtr3g fdmd dprdcntz2 lsmhash oveq12d euclemma bitrd simpr sneqd difid
        3eqtrd wb wne cexp unssbd snss sseldd prmdvdsexpr eqcom syl6ib necon3ad
        vex imp disjsn2 disj3 sylib dpjlem eqtr3d pm2.61dane orel2 sylbid con3d
        expr syl5 expcom findcard2s mpcom mpi ) ADDUKZHKJDHULZUMZUNZUOUPZUQURZU
        SUTZVAZDVBDVCVDAUWEUWLVEZUHAUIVFZDUKZHKJUWNUWFUMZUNZUOUPZUQURZUSUTZVAZV
        EZVEAVGDUKZHKVGUOUPZUQURZUSUTZVAZVEZVEAUJVFZDUKZHKJUXIUWFUMZUNZUOUPZUQU
        RZUSUTZVAZVEZVEAUXIMVFZULZVHZDUKZHKJUXTUWFUMZUNZUOUPZUQURZUSUTZVAZVEZVE
        AUWMVEUIUJMDUWNVGVIZUXBUXHAUYIUWOUXCUXAUXGUWNVGDVJUYIUWTUXFUYIUWSUXEHUS
        UYIUWRUXDUQUYIUWQVGKUOUYIUWQJVGUNZVGUYIUWPVGJUYIUWPVGUWFUMZVGUWNVGUWFVK
        UWFVLZVMVNJVRZVMVOVPVQVSVTWAUWNUXIVIZUXBUXQAUYNUWOUXJUXAUXPUWNUXIDVJUYN
        UWTUXOUYNUWSUXNHUSUYNUWRUXMUQUYNUWQUXLKUOUYNUWPUXKJUWNUXIUWFVKVNVOVPVQV
        SVTWAUWNUXTVIZUXBUYHAUYOUWOUYAUXAUYGUWNUXTDVJUYOUWTUYFUYOUWSUYEHUSUYOUW
        RUYDUQUYOUWQUYCKUOUYOUWPUYBJUWNUXTUWFVKVNVOVPVQVSVTWAUWNDVIZUXBUWMAUYPU
        WOUWEUXAUWLUWNDDVJUYPUWTUWKUYPUWSUWJHUSUYPUWRUWIUQUYPUWQUWHKUOUYPUWPUWG
        JUWNDUWFVKVNVOVPVQVSVTWAAUXGUXCAUXFHWBUSUTZAHWCVDZUYQVAZUGHWDWEZAUXEWBH
        USAUXEKWFURZULZUQURZWBAUXDVUBUQAKVGUOWGZUTZUXDVUBVIZAKWHVDKWIVDVUEVUFWJ
        RKWKKVUAVUAWLZWMWNWOZVPVUAXCVDVUCWBVIKWFWPVUAXCWQWRZVMVQWSXDUXIVCVDZUXR
        UXIVDVAZWJAUXQUYHVUKAUXQUYHVEZVEVUJAVUKVULUXQUYAUXPVEAVUKWJZUYHUYAUXJUX
        PUXIUXTUKZUYAUXJUXIUXSWTZUXIUXTDXAXBXEVUMUYAUXPUYGAVUKUYAUXPUYGVEAVUKUY
        AWJZWJZUYFUXOVUQUYFUXOHKJUXSUWFUMZUNZUOUPZUQURZUSUTZXFZUXOVUQUYFHUXNVVA
        XGUPZUSUTZVVCVUQUYEVVDHUSVUQUYEKUYCUXKUNZUOUPZKUYCVURUNZUOUPZKXHURZUPZU
        QURVVGUQURZVVIUQURZXGUPVVDVUQUYDVVKUQVUQUXKVURVVJUYCKUYBVUQDKXIURZUYBJA
        DVVNJYEVUPAJKDAKJVUDUTZKJUOUPZEVIUCXJZUDXKXLVUQUXTDUWFAVUKUYAXOZXMZXNZV
        UQUXIUXSXPZUWFUMUYKUXKVURXPVGVUQVWAVGUWFVUQVUKVWAVGVIAVUKUYAXQUXIUXRXRX
        SXTUXIUXSUWFYAUYLUUGZUYBUXKVURVHVIVUQUXIUXSUWFUUAUUBVVJWLZVUQKUYCVUDUTU
        YDVVPUKVUQUYBJKDAVVOVUPVVQXLAJWGDVIZVUPUDXLVVSYBXJZUUCVPVUQVVJVVGVVIKVU
        AKUUDURZVWCVUGVWFWLZVUQKVVFVUDUTZVVGVVNVDVUQVWHVVGUYDUKVUQUXKUYCKUYBVWE
        VUQUYBVVNUYCVVTUUHZVUNUXKUYBUKVUQVUOUXIUXTUWFYCYFZYBXJVVFKYDWEVUQKVVHVU
        DUTZVVIVVNVDVUQVWKVVIUYDUKVUQVURUYCKUYBVWEVWIUXSUXTUKVURUYBUKVUQUXSUXIU
        UEUXSUXTUWFYCYFZYBXJVVHKYDWEVUQUXKVURUYCKUYBVUAVWEVWIVWJVWLVWBVUGUUFVUQ
        UXKVURUYCKUYBVWFVWEVWIVWJVWLVWBVWGUUIVUQEVCVDZVVGEUKVVGVCVDAVWMVUPSXLZE
        VVFKOYGEVVGYHYIVUQVWMVVIEUKVVIVCVDVWNEVVHKOYGEVVIYHYIUUJVUQVVLUXNVVMVVA
        XGVUQVVGUXMUQVUQVVFUXLKUOVUQJUXKUYBVWJYJVOVPVUQVVIVUTUQVUQVVHVUSKUOVUQJ
        VURUYBVWLYJVOVPUUKUUQVQVUQUYRUXNYPVDVVAYPVDVVEVVCUURAUYRVUPUGXLZVUQUXNV
        UQUXMVCVDZUXNYKVDVUQVWMUXMEUKVWPVWNEUXLKOYGEUXMYHYIUXMYLWEYMVUQVVAVUQVU
        TVCVDZVVAYKVDVUQVWMVUTEUKVWQVWNEVUSKOYGEVUTYHYIVUTYLWEYMHUXNVVAUULYNUUM
        VUQVVBVAZVVCUXOVEVUQVWRUXRHVUQUXRHVIZWJZVVBUYQAUYSVUPVWSUYTYOVWTVVAWBHU
        SVWTVVAVUCWBVWTVUTVUBUQVWTVUTUXDVUBVWTVUSVGKUOVWTVUSUYJVGVWTVURVGJVWTVU
        RUWFUWFUMVGVWTUXSUWFUWFVWTUXRHVUQVWSUUNUUOXTUWFUUPVMVNUYMVMVOAVUFVUPVWS
        VUHYOYQVPVUIVMVQWSVUQUXRHUUSZWJZVVBHUXRFUUTUPZUSUTZVUQVXAVXDVAVUQVXDUXR
        HVUQVXDHUXRVIZVWSVUQUYRUXRWCVDFYKVDZVXDVXEVEVWOVUQDWCUXRADWCUKVUPTXLVUQ
        UXSDUKUXRDVDZVUQUXIUXSDVVRUVAUXRDMUVHUVBXSZUVCAVUPVXGVXFVXHUEYRHUXRFUVD
        YNHUXRUVEUVFUVGUVIVXBVVAVXCHUSVXBVVAUXRJURZUQURZVXCVXBVUTVXIUQVXBKJUXSU
        NZUOUPVUTVXIVXBVXKVUSKUOVXBUXSVURJVXBUXSUWFXPVGVIZUXSVURVIVXAVXLVUQUXRH
        UVJYSUXSUWFUVKUVLVNVOVXBJKDUXRAVVOVUPVXAVVQYOAVWDVUPVXAUDYOVUQVXGVXAVXH
        XLUVMUVNVPVUQVXJVXCVIZVXAAVUPVXGVXMVXHUFYRXLYQVQWSUVOVVBUXOUVPWEUVQUVRU
        VSYTUVTUWAYSYTUWBUWCUWD $.
    $}

    $( The factorization of ~ ablfac1b is unique, in that any other
       factorization into prime power factors (even if the exponents are
       different) must be equal to ` S ` .  (Contributed by Mario Carneiro,
       21-Apr-2016.) $)
    ablfac1eu $p |- ( ph -> T = S ) $=
      ( vy csubg cfv cdprd cdm wbr co wceq simpld dprdf2 ffnd ablfac1b cv chash
      cpc cexp cdvds crab cbs a1i wcel wa cfn wss adantr ffvelrnda subgss ssfid
      cen syl cn0 sselda nn0zd cz cprime cn prmnn c0 wne wb hashnncl nnzd simpr
      mpbird syl3anc prmz cle lagsubg syl2anc weq adantl cres cdif cmul dprdres
      id csn wf fssresd fdmd difssd dprdsubg cgcd c0g eqid subg0cl dprdssv ssfi
      c1 wi sylancl wn reseq2d oveq2d fveq2d fvres adantrr snssd cvv cc0 mp2and
      sylib mpd 3eqtrd hashen mpbid fisseneq cin dprdsplit simprd eqtr3d syldan
      disjdif cun adantlr fvexi rabex dmmpti odcl hashcl cgrp cabl ablgrp pccld
      nnexpcld odsubdvds cuz eqbrtrrd pcdvdsb syl3anbrc dvdsexp eqbrtrd dvdstrd
      grpbn0 eluz2 ssrabdv oveq1 oveq12d breq2d rabbidv fvmpt3i sseqtrrd nnnn0d
      pcdvds ne0d sneq difeq2d breq12d notbid wral cmpt ssrab3 ssidd clsm difss
      fssres eldif hashsng ax-mp iddvdsexp sylan eqeltrrd dvdstr breq1 sylanbrc
      fvex elrab2 ex con3d impr elnn0 nncnd exp0d eqtr4id snfi sylancr eqsstrrd
      ord sylan2b eqsstrd dprdlub lsmss2 undif2 ssequn1 eqtr2id jca eqtrd fzfid
      wo cfz w3a 3ad2ant2 dvdsle syl2anr 3impia 3ad2ant1 fznn mpbir2and rabssdv
      eqsstrid ablfac1eulem ralrimiva rspcdva coprm rpexp1i coprmdvds2 syl31anc
      ccntz inss1 inass ineq2i 3eqtri dprddisj2 dprdcntz2 lsmhash inundif snssi
      in0 eqcomi sseqin2 ad2antrr dpjlem simprr disjsn sylibr res0 eqtrdi dprd0
      anassrs pm2.61dan oveq1d 3eqtr3d breqtrd nnne0d dvdsmulcr dvdseq syl22anc
      syl112anc ablfac1a eqtr4d eqfnfvd ) ALDIHADJUGUHZIAIJDAJIUIUJZUKZJIUIULZE
      UMZUBUNZUCUOZUPADVVGHAHJDABDEHJKMNOPQRSUQHUJDUMAMDBURZKUHZMURZVVPEUSUHZUT
      ULZVAULZVBUKZBEVCZHVVTBEEJVDNUUAUUBZPUUCVEUOZUPALURZDVFZVGZVWDHUHZVHVFZVW
      DIUHZVWGVIVWIVWGVNUKZVWIVWGUMVWFEVWGAEVHVFZVWERVJZVWFVWGVVGVFVWGEVIADVVGV
      WDHVWCVKEVWGJNVLVOVMZVWFVWIVVOVWDVWDVVQUTULZVAULZVBUKZBEVCZVWGVWFVWPBEVWI
      VWFVWIVVGVFZVWIEVIADVVGVWDIVVMVKZEVWIJNVLVOZVWFVVNVWIVFZVGZVVOVWIUSUHZVWO
      VXBVVOVXBVVNEVFVVOVPVFVWFVWIEVVNVWTVQVVNJKENOUUDVOVRVWFVXCVSVFZVXAVWFVXCV
      WFVWIVHVFZVXCVPVFZVWFEVWIVWLVWTVMZVWIUUEVOZVRZVJVWFVWOVSVFZVXAVWFVWOVWFVW
      DVWNVWFVWDVTVFZVWDWAVFZADVTVWDSVQZVWDWBVOZVWFVWDVVQVXMAVVQWAVFZVWEAVXOEWC
      WDZAJUUFVFZVXPAJUUGVFZVXQQJUUHVOZEJNUUSVOAVWKVXOVXPWEREWFVOWIZVJZUUIZUUJZ
      WGZVJVXBVWRVXEVXAVVOVXCVBUKVWFVWRVXAVWSVJVWFVXEVXAVXGVJVWFVXAWHVVNVWIJKOU
      UKWJVWFVXCVWOVBUKZVXAVWFVXCVWDFVAULZVWOVBUEVWFVWDVSVFZFVPVFZVWNFUULUHVFZV
      YFVWOVBUKVWFVXKVYGVXMVWDWKVOZUDVWFFVSVFVWNVSVFFVWNWLUKZVYIVWFFUDVRVWFVWNV
      YBVRVWFVYKVYFVVQVBUKZVWFVXCVYFVVQVBUEVWFVWRVWKVXCVVQVBUKVWSVWLJEVWINWMWNU
      UMZVWFVXKVVQVSVFZVYHVYKVYLWEVXMVWFVVQVYAWGZUDFVWDVVQUUNWJWIFVWNUUTUUOVWDF
      VWNUUPWJUUQZVJUURUVAVWEVWGVWQUMAMVWDVWAVWQDHMLWOZVVTVWPBEVYQVVSVWOVVOVBVY
      QVVPVWDVVRVWNVAVYQXAVVPVWDVVQUTUVBUVCUVDUVEPVWBUVFWPUVGVWFVXCVWGUSUHZUMZV
      WJVWFVXCVWOVYRVWFVXFVWOVPVFVYEVWOVXCVBUKZVXCVWOUMVXHVWFVWOVYCUVHVYPVWFVWO
      JIGWQZGVWDXBZWRZWQZUIULZUSUHZWSULZVXCWUFWSULZVBUKZVYTVWFWUGVVQWUHVBVWFVWO
      VVQVBUKZWUFVVQVBUKZWUGVVQVBUKZVWFVXKVXOWUJVXMVYAVWDVVQUVIWNVWFWUEVVGVFZVW
      KWUKVWFJWUDVVHUKZWUMVWFWUNWUEJWUAUIULZVIVWFWUCWUAJGVWFJWUAVVHUKZWUOVVJVIZ
      VWFGIJDAVVIVWEVVLVJAIUJDUMVWEUCVJAGDVIZVWEUAVJZWTUNZVWFGVVGWUAVWFDVVGGIAD
      VVGIXCZVWEVVMVJWUSXDZXEZVWFGWUBXFZWTUNWUDJXGVOZVWLJEWUENWMWNVWFVXJWUFVSVF
      ZVYNVWOWUFXHULXNUMZWUJWUKVGWULXOVYDVWFWUFVWFWUFWAVFZWUEWCWDZVWFWUEJXIUHZV
      WFWUMWVJWUEVFWVEWUEJWVJWVJXJZXKVOUVJVWFWUEVHVFZWVHWVIWEVWFVWKWUEEVIWVLVWL
      EWUDJNXLEWUEXMXPZWUEWFVOWIZWGZVYOVWFVWDWUFXHULXNUMZWVGVWFVWDWUFVBUKZXQZWV
      PVWFVVNJWUAGVVNXBZWRZWQZUIULZUSUHZVBUKZXQZWVRBVTVWDBLWOZWWDWVQWWFVVNVWDWW
      CWUFVBWWFXAWWFWWBWUEUSWWFWWAWUDJUIWWFWVTWUCWUAWWFWVSWUBGVVNVWDUVKUVLXRXSX
      TUVMUVNAWWEBVTUVOVWEAWWEBVTAVVNVTVFZVGZUFCGEFGVVNMGUFURKUHVVSVBUKUFEVCUVP
      ZWUAJKLMNOWWIXJAVXRWWGQVJAVWKWWGRVJGVTVIWWHCURZVVQVBUKZCVTGTUVQVETWWHGUVR
      AWUPWUOEUMZVGWWGAWUPWWLAWUPWUQAGIJDVVLUCUAWTUNZAWUOJIDGWRZWQZUIULZJUVSUHZ
      ULZWUOEAWUOVVGVFZWWPVVGVFZWWPWUOVIWWRWUOUMAWUPWWSWWMWUAJXGVOZAJWWOVVHUKZW
      WTAWXBWWPVVJVIAWWNIJDVVLUCADGXFWTUNZWWOJXGVOAWWOWUOLJWWNWXCAWWNVVGWWOAWVA
      WWNDVIWWNVVGWWOXCVVMDGUVTDVVGWWNIUWAXPXEWXAAVWDWWNVFZVGVWDWWOUHZVWIWUOWXD
      WXEVWIUMAVWDWWNIYAWPWXDAVWEVWDGVFZXQZVGZVWIWUOVIVWDDGUWBAWXHVGZVWIWVJXBZW
      UOWXIVXEWXJVWIVIZWXJVWIVNUKZWXJVWIUMAVWEVXEWXGVXGYBZAVWEWXKWXGVWFWVJVWIVW
      FVWRWVJVWIVFVWSVWIJWVJWVKXKVOYCYBWXIWXJUSUHZVXCUMZWXLWXIWXNXNVXCWVJYDVFWX
      NXNUMJXIUWKWVJYDUWCUWDWXIVXCVYFVWDYEVAULXNAVWEVXCVYFUMZWXGUEYBWXIFYEVWDVA
      WXIFWAVFZXQZFYEUMZAVWEWXGWXRVWFWXQWXFVWFWXQWXFVWFWXQVGZVXKVWDVVQVBUKZWXFV
      WFVXKWXQVXMVJWXTVWDVYFVBUKZVYLWYAVWFVYGWXQWYBVYJVWDFUWEUWFVWFVYLWXQVYMVJV
      WFWYBVYLVGWYAXOZWXQVWFVYGVYFVSVFVYNWYCVYJVWFVXCVYFVSUEVXIUWGVYOVWDVYFVVQU
      WHWJVJYFWWKWYACVWDVTGWWJVWDVVQVBUWITUWLUWJUWMUWNUWOWXIWXQWXSWXIVYHWXQWXSU
      XNAVWEVYHWXGUDYBFUWPYGUXCYHXSWXIVWDWXIVWDAVWEVXLWXGVXNYBUWQUWRYIUWSWXIWXJ
      VHVFVXEWXOWXLWEWVJUWTWXMWXJVWIYJUXAYKWXJVWIYLWJZWXIWVJWUOAWVJWUOVFZWXHAWW
      SWYEWXAWUOJWVJWVKXKVOVJYCUXBUXDUXEUXFWWQWUOWWPJWWQXJZUXGWJAVVJWWREAGWWNWW
      QIJDVVMGWWNYMWCUMAGDYRVEAGWWNYSGDYSZDGDUXHAWURWYGDUMUAGDUXIYGUXJWYFVVLYNA
      VVIVVKUBYOYPYPZUXKVJAWUAUJGUMZWWGAGVVGWUAADVVGGIVVMUAXDXEZVJAWXFVYHWWGAWX
      FVWEVYHAGDVWDUAVQZUDYQYTAWXFVWDWUAUHZUSUHZVYFUMWWGAWXFVGZWYMVXCVYFWYNWYLV
      WIUSWXFWYLVWIUMZAVWDGIYAZWPXTAWXFVWEWXPWYKUEYQUXLYTAWWGWHAGVHVFWWGAXNVVQU
      XOULZGAXNVVQUXMAGWWKCVTVCWYQTAWWKCVTWYQAWWJVTVFZWWKUXPZWWJWYQVFZWWJWAVFZW
      WJVVQWLUKZWYRAXUAWWKWWJWBUXQAWYRWWKXUBWYRWWJVSVFVXOWWKXUBXOAWWJWKVXTWWJVV
      QUXRUXSUXTWYSVYNWYTXUAXUBVGWEAWYRVYNWWKAVVQVXTWGUYAWWJVVQUYBVOUYCUYDUYEVM
      VJUYFUYGVJVXMUYHVWFVXKWVFWVRWVPWEVXMWVOVWDWUFUYIWNYKVWFVYGWVFVWNVPVFWVPWV
      GXOVYJWVOVYBVWDWUFVWNUYJWJYHVVQVWOWUFUYKUYLYFVWFJWUAGWUBYMZWQZUIULZWUEWWQ
      ULZUSUHXUEUSUHZWUFWSULVVQWUHVWFWWQXUEWUEJWVJJUYMUHZWYFWVKXUHXJZVWFJXUDVVH
      UKZXUEVVGVFVWFXUJXUEWUOVIVWFXUCWUAJGWUTWVCXUCGVIVWFGWUBUYNVEZWTUNXUDJXGVO
      WVEVWFXUCWUCWUAJGWVJWUTWVCXUKWVDXUCWUCYMZWCUMVWFXULGWUBWUCYMZYMGWCYMWCGWU
      BWUCUYOXUMWCGWUBGYRUYPGVUCUYQVEZWVKUYRVWFXUCWUCWUAJGXUHWUTWVCXUKWVDXUNXUI
      UYSVWFVWKXUEEVIXUEVHVFVWLEXUDJNXLEXUEXMXPWVMUYTVWFXUFEUSVWFWUOXUFEVWFXUCW
      UCWWQWUAJGWVBXUNGXUCWUCYSZUMVWFXUOGGWUBVUAVUDVEWYFWUTYNAWWLVWEWYHVJYPXTVW
      FXUGVXCWUFWSVWFXUEVWIUSVWFWXFXUEVWIUMZVWFWXFVGZXUEJWUAWUBWQZUIULWYLVWIXUQ
      XUDXURJUIXUQXUCWUBWUAXUQWUBGVIZXUCWUBUMWXFXUSVWFVWDGVUBWPWUBGVUEYGXRXSXUQ
      WUAJGVWDVWFWUPWXFWUTVJAWYIVWEWXFWYJVUFVWFWXFWHVUGWXFWYOVWFWYPWPYIAVWEWXGX
      UPWXIXUEJWCUIULZWXJVWIWXIXUDWCJUIWXIXUDWUAWCWQWCWXIXUCWCWUAWXIWXGXUCWCUMA
      VWEWXGVUHGVWDVUIVUJXRWUAVUKVULXSAXUTWXJUMZWXHAJWCVVHUKZXVAAVXQXVBXVAVGVXS
      JWVJWVKVUMVOYOVJWYDYIVUNVUOXTVUPVUQVURVWFVXJVXDWVFWUFYEWDWUIVYTWEVYDVXIWV
      OVWFWUFWVNVUSWUFVWOVXCVUTVVCYKVXCVWOVVAVVBABDEVWDHJKMNOPQRSVVDVVEVWFVXEVW
      HVYSVWJWEVXGVWMVWIVWGYJWNYKVWIVWGYLWJVVF $.
  $}

  ${
    $d b k s t u v x y .0. $.  $d b k s t u v w x y A $.  $d a b n t w x y D $.
    $d a b k s t u v w x y .(+) $.  $d k E $.  $d a O $.  $d a b k s t w y P $.
    $d a k n s t v B $.  $d a b k n s t u v w x y G $.  $d b k s t u v w y U $.
    $d a k s t w C $.  $d a b k n s t u v w x y S $.  $d a b k n s t w x y W $.
    $d a b k n s t u v w x y ph $.  $d a b k n s t w y .x. $.
    $d s t w x y K $.
    pgpfac1.k $e |- K = ( mrCls ` ( SubGrp ` G ) ) $.
    pgpfac1.s $e |- S = ( K ` { A } ) $.
    pgpfac1.b $e |- B = ( Base ` G ) $.
    pgpfac1.o $e |- O = ( od ` G ) $.
    pgpfac1.e $e |- E = ( gEx ` G ) $.
    pgpfac1.z $e |- .0. = ( 0g ` G ) $.
    pgpfac1.l $e |- .(+) = ( LSSum ` G ) $.
    pgpfac1.p $e |- ( ph -> P pGrp G ) $.
    pgpfac1.g $e |- ( ph -> G e. Abel ) $.
    pgpfac1.n $e |- ( ph -> B e. Fin ) $.
    pgpfac1.oe $e |- ( ph -> ( O ` A ) = E ) $.
    ${
      pgpfac1.u $e |- ( ph -> U e. ( SubGrp ` G ) ) $.
      pgpfac1.au $e |- ( ph -> A e. U ) $.
      ${
        pgpfac1.w $e |- ( ph -> W e. ( SubGrp ` G ) ) $.
        pgpfac1.i $e |- ( ph -> ( S i^i W ) = { .0. } ) $.
        pgpfac1.ss $e |- ( ph -> ( S .(+) W ) C_ U ) $.
        pgpfac1.2 $e |- ( ph -> A. w e. ( SubGrp ` G )
          ( ( w C. U /\ A e. w ) -> -. ( S .(+) W ) C. w ) ) $.
        $( Lemma for ~ pgpfac1 .  (Contributed by Mario Carneiro,
           27-Apr-2016.) $)
        pgpfac1lem1 $p |- ( ( ph /\ C e. ( U \ ( S .(+) W ) ) ) ->
          ( ( S .(+) W ) .(+) ( K ` { C } ) ) = U ) $=
          ( co cdif wcel wa csn cfv wss wceq adantr csubg cmre cabl cgrp ablgrp
          cacs subgacs acsmre eldifi adantl snssd mrcsscl syl3anc wb subgss syl
          4syl sseldd mrcsncl syl2anc eqeltrid lsmsubg2 sselda sylan2 lsmlub wn
          mpbi2and wpss wi lsmub1 lsmub2 mrcssidd snssg mpbird eldifn ssnelpssd
          sseqtrrdi cv psseq1 anbi12d psseq2 notbid imbi12d wral rspcdva mpan2d
          eleq2 mt2d npss sylib mpd ) AEIHNGUMZUNUOZUPZXMEUQZLURZGUMZIUSZXRIUTZ
          XOXMIUSZXQIUSZXSAYAXNUKVAXOKVBURZDVCURUOZXPIUSIYCUOZYBAYDXNAKVDUOZKVE
          UOYCDVGURUOYDUDKVFDKRVHYCDVIVRZVAZXOEIXNEIUOZAEIXMVJZVKVLAYEXNUGVAZYC
          XPLIDPVMVNXOXMYCUOZXQYCUOZYEYAYBUPXSVOAYLXNAYFHYCUOZNYCUOZYLUDAHCUQZL
          URZYCQAYDCDUOYQYCUOYGAIDCAYEIDUSUGDIKRVPVQZUHVSZYCCLDPVTWAWBZUIGHNKUB
          WCVNVAZXOYDEDUOZYMYHXNAYIUUBYJAIDEYRWDWEZYCELDPVTWAZYKGXMXQIKUBWFVNWH
          XOXRIWIZWGXSXTWJXOUUEXMXRWIZXOXMXREXOYLYMXMXRUSUUAUUDGXMXQKUBWKWAZXOX
          QXREXOYLYMXQXRUSUUAUUDGXMXQKUBWLWAXOEXQUOZXPXQUSZXOYCXPLDYHPXOEDUUCVL
          WMXOUUBUUHUUIVOUUCEXQDWNVQWOVSXNEXMUOWGAEIXMWPVKWQXOUUECXRUOZUUFWGZXO
          XMXRCUUGACXMUOXNAHXMCAYNYOHXMUSYTUIGHNKUBWKWAACHUOZYPHUSZAYPYQHAYCYPL
          DYGPACDYSVLWMQWRACIUOUULUUMVOUHCHIWNVQWOVSVAVSXOBWSZIWIZCUUNUOZUPZXMU
          UNWIZWGZWJZUUEUUJUPZUUKWJBYCXRUUNXRUTZUUQUVAUUSUUKUVBUUOUUEUUPUUJUUNX
          RIWTUUNXRCXHXAUVBUURUUFUUNXRXMXBXCXDAUUTBYCXEXNULVAXOYFYLYMXRYCUOAYFX
          NUDVAUUAUUDGXMXQKUBWCVNXFXGXIXRIXJXKXL $.

        pgpfac1.c $e |- ( ph -> C e. ( U \ ( S .(+) W ) ) ) $.
        pgpfac1.mg $e |- .x. = ( .g ` G ) $.
        $( Lemma for ~ pgpfac1 .  (Contributed by Mario Carneiro,
           27-Apr-2016.) $)
        pgpfac1lem2 $p |- ( ph -> ( P .x. C ) e. ( S .(+) W ) ) $=
          ( vk vs vt va co wcel eldifbd wn c1 cv cmul caddc cz wrex csn eldifad
          cfv adantr cdif wceq csubg cprime cpgp wbr pgpprm syl prmz subgmulgcl
          wa syl3anc simpr eldifd pgpfac1lem1 syldan eleqtrrd ex eqid cabl cmre
          csg ablgrp subgacs acsmred wss subgss sseldd mrcsncl syl2anc eqeltrid
          cgrp cacs lsmsubg2 lsmelvalm cmpt crn cycsubg2 rexeqdv cvv wral rgenw
          ovex oveq2 eqeq2d rexrnmptw mp1i bitrd rexbidv rexcom cplusg ad2antrr
          wb sstrd sselda simplr mulgcl syl13anc 1zzd eqcom rexbidva cgcd nn0zd
          wi cn0 mpd rexlimdva grpsubadd zmulcld mulgdir mulgass oveq12d eqeq1d
          mulg1 eqtrd bitr4d 3bitr4g risset bitr4di syl5bb 3bitrd sylibd zmulcl
          1z id syl2anr zaddcl sylancr chash cdvds odcl cfn hashcl cexp gcdcomd
          pgphash oveq1d gcdaddm gcd1 eqtr3d cn c0 grpbn0 hashnncl mpbird pccld
          cpc wne rpexp1i 3eqtrd rpdvds syl32anc odbezout syl31anc 3expia eleq1
          oddvds2 imbi2d syl5ibcom syld mt3d ) AFEIUTZHOGUTZVAZEUWPVAZAEJUWPUNV
          BAUWQVCZVDUPVEZFVFUTZVGUTZEIUTZUWPVAZUPVHVIZUWRAUWSEUWPUWOVJMVLZGUTZV
          AZUXEAUWSUXHAUWSWDZEJUXGAEJVAZUWSAEJUWPUNVKZVMAUWSUWOJUWPVNVAUXGJVOUX
          IUWOJUWPAUWOJVAZUWSAJLVPVLZVAZFVHVAZUXJUXLUHAFVQVAZUXOAFLVRVSZUXPUDFL
          VTWAZFWBWAZUXKJILFEUOWCWEZVMAUWSWFWGABCDUWOFGHJKLMNOPQRSTUAUBUCUDUEUF
          UGUHUIUJUKULUMWHWIWJWKAUXHEUQVEZURVEZLWOVLZUTZVOZURUXFVIZUQUWPVIEUYAU
          WTUWOIUTZUYCUTZVOZUPVHVIZUQUWPVIZUXEAUQURGUWPUXFLUYCEUYCWLZUCALWMVAZH
          UXMVAOUXMVAUWPUXMVAZUEAHCVJMVLZUXMRAUXMDWNVLVAZCDVAUYOUXMVAAUXMDALXEV
          AZUXMDXFVLVAAUYMUYQUELWPWAZDLSWQWAWRZAJDCAUXNJDWSUHDJLSWTWAZUIXAUXMCM
          DQXBXCXDUJGHOLUCXGWEZAUYPUWODVAZUXFUXMVAUYSAJDUWOUYTUXTXAZUXMUWOMDQXB
          XCXHAUYFUYJUQUWPAUYFUYEURUPVHUYGXIZXJZVIZUYJAUYEURUXFVUEAUYQVUBUXFVUE
          VOUYRVUCUPUWOIVUDLMDSUOVUDWLZQXKXCXLUYGXMVAZUPVHXNVUFUYJYFAVUHUPVHUWT
          UWOIXPXOUYEUYIUPURVHUYGVUDXMVUGUYBUYGVOUYDUYHEUYBUYGUYAUYCXQXRXSXTYAY
          BUYKUYIUQUWPVIZUPVHVIAUXEUYIUQUPUWPVHYCAVUIUXDUPVHAUWTVHVAZWDZVUIUYAU
          XCVOZUQUWPVIUXDVUKUYIVULUQUWPVUKUYAUWPVAZWDZUYHEVOZUXCUYAVOZUYIVULVUN
          VUOEUYGLYDVLZUTZUYAVOZVUPVUNUYQUYADVAUYGDVAZEDVAZVUOVUSYFAUYQVUJVUMUY
          RYEZVUKUWPDUYAAUWPDWSVUJAUWPJDULUYTYGVMYHVUNUYQVUJVUBVUTVVBAVUJVUMYIZ
          AVUBVUJVUMVUCYEDILUWTUWOSUOYJWEAVVAVUJVUMAJDEUYTUXKXAZYEZDVUQLUYCUYAU
          YGESVUQWLZUYLUUAYKVUNUXCVURUYAVUNUXCVDEIUTZUXAEIUTZVUQUTZVURVUNUYQVDV
          HVAZUXAVHVAZVVAUXCVVIVOVVBVUNYLVUNUWTFVVCAUXOVUJVUMUXSYEZUUBVVEDVUQIL
          VDUXAESUOVVFUUCYKVUNVVGEVVHUYGVUQVUNVVAVVGEVOVVEDILESUOUUGWAVUNUYQVUJ
          UXOVVAVVHUYGVOVVBVVCVVLVVEDILUWTFESUOUUDYKUUEUUHUUFUUIEUYHYMUYAUXCYMU
          UJYNUQUXCUWPUUKUULYNUUMUUNUUOAUXDUWRUPVHVUKUSVEZUXCIUTZEVOZUSVHVIZUXD
          UWRYQZVUKUYQVVAUXBVHVAZUXBENVLZYOUTVDVOZVVPAUYQVUJUYRVMAVVAVUJVVDVMZV
          UKVVJVVKVVRUUQVUJVUJUXOVVKAVUJUURUXSUWTFUUPUUSVDUXAUUTUVAZVUKVVRVVSVH
          VADUVBVLZVHVAZUXBVWCYOUTZVDVOVVSVWCUVCVSZVVTVWBVUKVVSVUKVVAVVSYRVAVWA
          ELNDSTUVDWAYPAVWDVUJAVWCADUVEVAZVWCYRVAUFDUVFWAYPVMZVUKVWEVWCUXBYOUTF
          FVWCUVTUTZUVGUTZUXBYOUTZVDVUKUXBVWCVWBVWHUVHVUKVWCVWJUXBYOAVWCVWJVOZV
          UJAUXQVWGVWLUDUFFLDSUVIXCVMUVJVUKFUXBYOUTZVDVOZVWKVDVOZVUKFVDYOUTZVWM
          VDVUKVUJUXOVVJVWPVWMVOAVUJWFAUXOVUJUXSVMZVUKYLUWTFVDUVKWEVUKUXOVWPVDV
          OVWQFUVLWAUVMVUKUXOVVRVWIYRVAZVWNVWOYQVWQVWBAVWRVUJAFVWCUXRAVWCUVNVAZ
          DUVOUWAZAUYQVWTUYRDLSUVPWAAVWGVWSVWTYFUFDUVQWAUVRUVSVMFUXBVWIUWBWEYSU
          WCAVWFVUJAUYQVWGVVAVWFUYRUFVVDELNDSTUWJWEVMUXBVVSVWCUWDUWEUSEILUXBNDS
          TUOUWFUWGVUKVVOVVQUSVHVUKVVMVHVAZWDZUXDVVNUWPVAZYQZVVOVVQVXBUYNVXAVXD
          AUYNVUJVXAVUAYEVUKVXAWFUYNVXAUXDVXCUWPILVVMUXCUOWCUWHXCVVOVXCUWRUXDVV
          NEUWPUWIUWKUWLYTYSYTUWMUWN $.

        ${
          pgpfac1.m $e |- ( ph -> M e. ZZ ) $.
          pgpfac1.mw $e |- ( ph ->
            ( ( P .x. C ) ( +g ` G ) ( M .x. A ) ) e. W ) $.
          $( Lemma for ~ pgpfac1 .  (Contributed by Mario Carneiro,
             4-Jun-2016.) $)
          pgpfac1lem3a $p |- ( ph -> ( P || E /\ P || M ) ) $=
            ( vk cdvds wbr co wcel eldifbd wn c1o cen cpc cexp cc0 cprime cn wb
            wceq cpgp pgpprm syl cgrp ablgrp gexcl2 syl2anc pceq0 oveq2 syl6bir
            cfn cabl c1 cv cn0 chash cfv c0 wne grpbn0 hashnncl mpbird gexdvds3
            wrex pccld pgphash breqtrd breq2d rspcev pcprmpw2 mpbid prmnn nncnd
            eqcomd exp0d eqeq12d cmnd grpmndd gex1 bitrd sylibd wa csn wss cmre
            csubg cacs subgacs acsmred subgss mrcsncl eqeltrid lsmsubg2 syl3anc
            sseldd subg0cl snssd adantr eleqtrd cmul nnne0d subgmulgcl syl13anc
            cz mulgcl mulgass eldifad grpidcl en1eqsn sylan ex syld mt3d eqtr4d
            cdiv divcan1d cin nndivdvds zmulcld mrcssidd sseqtrrdi snssg cplusg
            nnzd prmz eqid mulgdi oveq1d gexid 3eqtr3rd oveq12d grplid eqeltrrd
            3eqtr2d elind elsni oddvds eqbrtrrd dvdscmulr syl112anc jca ) AFKUT
            VAZFNUTVAZAUVPEHPGVBZVCZAEJUVRUOVDAUVPVEZDVFVGVAZUVSAUVTFFKVHVBZVIV
            BZFVJVIVBZVNZUWAAUVTUWBVJVNZUWEAFVKVCZKVLVCZUWFUVTVMAFLVOVAZUWGUEFL
            VPVQZALVRVCZDWEVCZUWHALWFVCZUWKUFLVSVQZUGKLDTUBVTWAZFKWBWAUWBVJFVIW
            CWDAUWEKWGVNZUWAAUWCKUWDWGAKUWCAKFUSWHZVIVBZUTVAZUSWIWRZKUWCVNZAFDW
            JWKZVHVBZWIVCKFUXCVIVBZUTVAZUWTAFUXBUWJAUXBVLVCZDWLWMZAUWKUXGUWNDLT
            WNVQAUWLUXFUXGVMUGDWOVQWPWSAKUXBUXDUTAUWKUWLKUXBUTVAUWNUGKLDTUBWQWA
            AUWIUWLUXBUXDVNUEUGFLDTWTWAXAUWSUXEUSUXCWIUWQUXCVNUWRUXDKUTUWQUXCFV
            IWCXBXCWAAUWGUWHUWTUXAVMUWJUWOKFUSXDWAXEXHAFAFAUWGFVLVCZUWJFXFVQZXG
            ZXIXJALXKVCUWPUWAVMALUWNXLKLDTUBXMVQXNXOAUWAUVSAUWAXPZQXQZUVREAUXLU
            VRXRUWAAQUVRAUVRLXTWKZVCZQUVRVCAUWMHUXMVCZPUXMVCZUXNUFAHCXQZMWKZUXM
            SAUXMDXSWKVCCDVCZUXRUXMVCAUXMDAUWKUXMDYAWKVCUWNDLTYBVQYCZAJDCAJUXMV
            CJDXRUIDJLTYDVQZUJYIZUXMCMDRYEWAYFZUKGHPLUDYGYHUVRLQUCYJVQYKYLUXKED
            UXLAEDVCZUWAAJDEUYAAEJUVRUOUUAYIZYLAQDVCZUWADUXLVNAUWKUYFUWNDLQTUCU
            UBVQQDUUCUUDYMYIUUEUUFUUGZAKFUUIVBZFYNVBZUYHNYNVBZUTVAZUVQACOWKZUYI
            UYJUTAUYLKUYIUHAKFAKUWOXGUXJAFUXIYOUUJZUUHAUYLUYJUTVAZUYJCIVBZQVNZA
            UYOUXLVCUYPAUYOHPUUKUXLAHPUYOAUXOUYJYRVCZCHVCZUYOHVCUYCAUYHNAUYHAUV
            PUYHVLVCZUYGAUWHUXHUVPUYSVMUWOUXIKFUULWAXEZUURZUQUUMZAUYRUXQHXRZAUX
            QUXRHAUXMUXQMDUXTRACDUYBYKUUNSUUOACJVCUYRVUCVMUJCHJUUPVQWPHILUYJCUP
            YPYHZAUYHFEIVBZNCIVBZLUUQWKZVBZIVBZUYOPAVUIUYHVUEIVBZUYHVUFIVBZVUGV
            BZQUYOVUGVBZUYOAUWMUYHYRVCZVUEDVCZVUFDVCZVUIVULVNUFVUAAUWKFYRVCZUYD
            VUOUWNAUWGVUQUWJFUUSVQZUYEDILFETUPYSYHAUWKNYRVCZUXSVUPUWNUQUYBDILNC
            TUPYSYHDVUGILUYHVUEVUFTUPVUGUUTZUVAYQAQVUJUYOVUKVUGAUYIEIVBZKEIVBZV
            UJQAUYIKEIUYMUVBAUWKVUNVUQUYDVVAVUJVNUWNVUAVURUYEDILUYHFETUPYTYQAUY
            DVVBQVNUYEEIKLDQTUBUPUCUVCVQUVDAUWKVUNVUSUXSUYOVUKVNUWNVUAUQUYBDILU
            YHNCTUPYTYQUVEAUWKUYODVCVUMUYOVNUWNAHDUYOAUXOHDXRUYCDHLTYDVQVUDYIDV
            UGLUYOQTVUTUCUVFWAUVHAUXPVUNVUHPVCVUIPVCUKVUAURPILUYHVUHUPYPYHUVGUV
            IULYMUYOQUVJVQAUWKUXSUYQUYNUYPVMUWNUYBVUBCILUYJODQTUAUPUCUVKYHWPUVL
            AVUQVUSVUNUYHVJWMUYKUVQVMVURUQVUAAUYHUYTYOUYHFNUVMUVNXEUVO $.

          pgpfac1.d $e |- D = ( C ( +g ` G ) ( ( M / P ) .x. A ) ) $.
          $( Lemma for ~ pgpfac1 .  (Contributed by Mario Carneiro,
             27-Apr-2016.) $)
          pgpfac1lem3 $p |- ( ph -> E. t e. ( SubGrp ` G )
            ( ( S i^i t ) = { .0. } /\ ( S .(+) t ) = U ) ) $=
            ( vx vn vy va vb csn cfv co csubg wcel cin wceq wrex cabl cmre cgrp
            cv wa cacs ablgrp syl subgacs acsmre 3syl wss subgss cplusg eldifad
            sseldd mrcsncl syl2anc eqeltrid lsmub1 sstrd cdvds wbr pgpfac1lem3a
            cdiv cz simprd cc0 wne dvdsval2 syl3anc mpbid snssd subgmulgcl eqid
            wb subgcl lsmsubg2 cvv oveq2 adantr ad3antrrr cmul oveq1d subgsubcl
            zcnd cc wn eqtrid eleq1d sylibd c1 zmulcld syl13anc mulcomd mulgass
            eqtrd eqtr3d oveq2d eqeltrd rexlimdvva sylbid elin subg0cl eqeq1d
            zcn cprime cpgp pgpprm prmnn nnne0d mrcssidd sseqtrrdi snssg mpbird
            prmz csg lsmelvalm cmpt crn cycsubg2 rexeqdv wral ovex rgenw eqeq2d
            cn rexrnmptw ax-mp bitrdi rexbidv bitrd simpr simplrl simplrr nncnd
            divcan1d eldifbd wi 3expia impancom oveq1i grppncan mtod cgcd coprm
            caddc bezout eqeq1 2rexbidv syl5ibcom simprl simprr ad2antrl lsmub2
            oveq2i mulgdi divcan2d ad2antll mulgcl ablnncan ad2antrr syl5ibrcom
            mulgdir sselda eqeltrrd oveq1 syld mulg1 mt3d ex imdistanda 3imtr4g
            ssrdv elind eqssd lsmass cdif eldifd pgpfac1lem1 mpdan ineq2 rspcev
            sseqtrd anbi12d syl12anc ) ARGVGOVHZIVIZNVJVHZVKZJUYBVLZSVGZVMZJUYB
            IVIZLVMZJCVRZVLZUYFVMZJUYJIVIZLVMZVSZCUYCVNANVOVKZRUYCVKZUYAUYCVKZU
            YDUHUMAUYCEVPVHVKZGEVKZUYRANVQVKZUYCEVTVHVKUYSAUYPVUAUHNWAWBZENUBWC
            UYCEWDWEZALEGALUYCVKZLEWFUKELNUBWGWBZAGFPHWSVIZDKVIZNWHVHZVIZLVAAVU
            DFLVKVUGLVKVUILVKUKAFLJRIVIZUQWIZAJLVUGAJVUJLAJUYCVKZUYQJVUJWFAJDVG
            ZOVHZUYCUAAUYSDEVKZVUNUYCVKVUCALEDVUEULWJZUYCDOETWKWLWMZUMIJRNUFWNW
            LZUOWOAVULVUFWTVKZDJVKZVUGJVKVUQAHPWPWQZVUSAHMWPWQVVAABDEFHIJKLMNOP
            QRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTWRXAAHWTVKZHXBXCZPWTVKV
            VAVUSXJAHUUAVKZVVBAHNUUBWQVVDUGHNUUCWBZHUUJWBZAHAVVDHUVAVKVVEHUUDWB
            ZUUEZUSHPXDXEXFZAVUTVUMJWFZAVUMVUNJAUYCVUMOEVUCTADEVUPXGUUFUAUUGADL
            VKVUTVVJXJULDJLUUHWBUUIJKNVUFDURXHXEZWJVUHLNFVUGVUHXIZXKXEWMZWJZUYC
            GOETWKWLZIRUYANUFXLXEZAUYEUYFAUYEJRVLZUYFAVBUYEVVQAVBVRZJVKZVVRUYBV
            KZVSVVSVVRRVKZVSVVRUYEVKVVRVVQVKAVVSVVTVWAAVVSVSZVVTVVRBVRZVCVRZGKV
            IZNUUKVHZVIZVMZVCWTVNZBRVNZVWAAVVTVWJXJVVSAVVTVVRVWCVDVRZVWFVIZVMZV
            DUYAVNZBRVNVWJABVDIRUYANVWFVVRVWFXIZUFUMVVOUULAVWNVWIBRAVWNVWMVDVCW
            TVWEUUMZUUNZVNZVWIAVWMVDUYAVWQAVUAUYTUYAVWQVMVUBVVNVCGKVWPNOEUBURVW
            PXIZTUUOWLUUPVWEXMVKZVCWTUUQVWRVWIXJVWTVCWTVWDGKUURUUSVWMVWHVCVDWTV
            WEVWPXMVWSVWKVWEVMVWLVWGVVRVWKVWEVWCVWFXNUUTUVBUVCUVDUVEUVFXOVWBVWH
            VWABVCRWTVWBVWCRVKZVWDWTVKZVSZVSZVWHVWAVXDVWHVSZVVRVWGRVXDVWHUVGZVX
            EUYQVXAVWERVKVWGRVKAUYQVVSVXCVWHUMXPZVWBVXAVXBVWHUVHZVXEVWEVWDHWSVI
            ZHGKVIZKVIZRVXEVXIHXQVIZGKVIZVWEVXKVXEVXLVWDGKVXEVWDHVXEVWDVWBVXAVX
            BVWHUVIZXTZAHYAVKZVVSVXCVWHAHVVGUVJZXPZAVVCVVSVXCVWHVVHXPZUVKXRVXEV
            UAVXIWTVKZVVBUYTVXMVXKVMAVUAVVSVXCVWHVUBXPZVXEHVWDWPWQZVXTVXEVYBGVU
            JVKZAVYCYBVVSVXCVWHAVYCFVUJVKZAFLVUJUQUVLAVYCGVUGVWFVIZVUJVKZVYDAVU
            JUYCVKZVUGVUJVKZVYCVYFUVMAUYPVULUYQVYGUHVUQUMIJRNUFXLXEZAJVUJVUGVUR
            VVKWJVYGVYCVYHVYFVYGVYCVYHVYFVUJNVWFGVUGVWOXSUVNUVOWLAVYEFVUJAVYEVU
            IVUGVWFVIZFGVUIVUGVWFVAUVPAVUAFEVKZVUGEVKZVYJFVMVUBALEFVUEVUKWJZAJE
            VUGAVULJEWFVUQEJNUBWGWBVVKWJZEVUHNVWFFVUGUBVVLVWOUVQXEYCYDYEUVRZXPV
            XEVYBYBZHVWDUVSVIZYFVMZVYCVXEVVDVXBVYPVYRXJAVVDVVSVXCVWHVVEXPVXNHVW
            DUVTWLVXEVYRYFGKVIZVUJVKZVYCVXEVYRYFHVEVRZXQVIZVWDVFVRZXQVIZUWAVIZV
            MZVFWTVNVEWTVNZVYTVXEVYQWUEVMZVFWTVNVEWTVNZVYRWUGVXEVVBVXBWUIAVVBVV
            SVXCVWHVVFXPZVXNVEVFHVWDUWBWLVYRWUHWUFVEVFWTWTVYQYFWUEUWCUWDUWEVXEW
            UFVYTVEVFWTWTVXEWUAWTVKZWUCWTVKZVSZVSZVYTWUFWUEGKVIZVUJVKWUNWUOWUBG
            KVIZWUDGKVIZVUHVIZVUJWUNVUAWUBWTVKWUDWTVKUYTWUOWURVMVXEVUAWUMVYAXOZ
            WUNHWUAVXEVVBWUMWUJXOZVXEWUKWULUWFZYGWUNVWDWUCVXEVXBWUMVXNXOZVXEWUK
            WULUWGZYGVXEUYTWUMAUYTVVSVXCVWHVVNXPZXOZEVUHKNWUBWUDGUBURVVLUWRYHWU
            NVYGWUPVUJVKWUQVUJVKWURVUJVKVXEVYGWUMAVYGVVSVXCVWHVYIXPZXOZWUNWUPWU
            AVXJKVIZVUJWUNWUPWUAHXQVIZGKVIZWVHWUNWUBWVIGKWUNHWUAVXEVXPWUMVXRXOW
            UKWUAYAVKVXEWULWUAYTUWHYIXRWUNVUAWUKVVBUYTWVJWVHVMWUSWVAWUTWVEEKNWU
            AHGUBURYJYHYKWUNVYGWUKVXJVUJVKZWVHVUJVKWVGWVAVXEWVKWUMAWVKVVSVXCVWH
            ARVUJVXJAVULUYQRVUJWFZVUQUMIJRNUFUWIWLZAVXJHFKVIZPDKVIZVUHVIZRAVXJW
            VNHVUGKVIZVUHVIZWVPAVXJHVUIKVIZWVRGVUIHKVAUWJAUYPVVBVYKVYLWVSWVRVMU
            HVVFVYMVYNEVUHKNHFVUGUBURVVLUWKYHYCAWVQWVOWVNVUHAHVUFXQVIZDKVIZWVQW
            VOAVUAVVBVUSVUOWWAWVQVMVUBVVFVVIVUPEKNHVUFDUBURYJYHAWVTPDKAPHAPUSXT
            VXQVVHUWLXRYLYMYKUTYNZWJXPXOVUJKNWUAVXJURXHXEYNWUNWUQWUCVWEKVIZVUJW
            UNWUQWUCVWDXQVIZGKVIZWWCWUNWUDWWDGKWUNVWDWUCVXEVWDYAVKWUMVXOXOWULWU
            CYAVKVXEWUKWUCYTUWMYIXRWUNVUAWULVXBUYTWWEWWCVMWUSWVCWVBWVEEKNWUCVWD
            GUBURYJYHYKWUNVYGWULVWEVUJVKZWWCVUJVKWVGWVCVXEWWFWUMVXEVWCVVRVWFVIZ
            VWEVUJVXEWWGVWCVWGVWFVIVWEVXEVVRVWGVWCVWFVXFYMVXEENVWFVWCVWEUBVWOAU
            YPVVSVXCVWHUHXPVXEREVWCVXEUYQREWFVXGERNUBWGWBVXHWJVXEVUAVXBUYTVWEEV
            KVYAVXNWVDEKNVWDGUBURUWNXEUWOYKVXEVYGVWCVUJVKVVRVUJVKZWWGVUJVKWVFVX
            ERVUJVWCAWVLVVSVXCVWHWVMXPVXHWJVWBWWHVXCVWHAJVUJVVRVURUWSUWPVUJNVWF
            VWCVVRVWOXSXEUWTXOVUJKNWUCVWEURXHXEYNVUHVUJNWUPWUQVVLXKXEYNWUFVYSWU
            OVUJYFWUEGKUXAYDUWQYOUXBVXEVYSGVUJVXEUYTVYSGVMWVDEKNGUBURUXCWBYDYEY
            PUXDVXEVVBVVCVXBVYBVXTXJWUJVXSVXNHVWDXDXEXFZWUJWVDEKNVXIHGUBURYJYHY
            LVXEUYQVXTVXJRVKZVXKRVKVXGWWIAWWJVVSVXCVWHWWBXPRKNVXIVXJURXHXEYNRNV
            WFVWCVWEVWOXSXEYNUXEYOYPUXFVVRJUYBYQVVRJRYQUXGUXHUNUXRASUYEAJUYBSAV
            ULSJVKVUQJNSUEYRWBAUYDSUYBVKVVPUYBNSUEYRWBUXIXGUXJAVUJUYAIVIZUYHLAV
            ULUYQUYRWWKUYHVMVUQUMVVOIJRUYANUFUXKXEAGLVUJUXLVKWWKLVMAGLVUJVVMVYO
            UXMABDEGHIJLMNOQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUXNUXOYLUYOUYGUY
            IVSCUYBUYCUYJUYBVMZUYLUYGUYNUYIWWLUYKUYEUYFUYJUYBJUXPYSWWLUYMUYHLUY
            JUYBJIXNYSUXSUXQUXT $.
        $}

        $( Lemma for ~ pgpfac1 .  (Contributed by Mario Carneiro,
           27-Apr-2016.) $)
        pgpfac1lem4 $p |- ( ph -> E. t e. ( SubGrp ` G )
          ( ( S i^i t ) = { .0. } /\ ( S .(+) t ) = U ) ) $=
          ( vk vs co cv cplusg cfv wcel cin csn wceq csubg wrex csg pgpfac1lem2
          wa cz cabl cmre cgrp cacs ablgrp syl subgacs acsmre wss subgss sseldd
          3syl mrcsncl syl2anc lsmcom syl3anc eleqtrd eqid lsmelvalm mpbid cmpt
          eqeltrid crn cycsubg2 eqtrid rexeqdv cvv wral ovex rgenw oveq2 eqeq2d
          wb rexrnmptw ax-mp bitrdi rexbidv rexcom sylib ad2antrr adantr sselda
          simplr mulgcl cpgp wbr cprime pgpprm eldifad grpsubadd syl13anc eqcom
          prmz 3bitr4g rexbidva risset bitr4di cdiv cfn wpss cdif simprl simprr
          wn wi pgpfac1lem3 rexlimddv ) AGFJUSZUQUTZDJUSZMVAVBZUSZPVCZICUTZVDQV
          EZVFIUUFHUSKVFVKCMVGVBZVHUQVLAYTBUTZUUBMVIVBZUSZVFZBPVHZUQVLVHZUUEUQV
          LVHAUULUQVLVHZBPVHZUUNAYTUUIURUTZUUJUSZVFZURIVHZBPVHZUUPAYTPIHUSZVCUV
          AAYTIPHUSZUVBABDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPVJAMV
          MVCZIUUHVCPUUHVCZUVCUVBVFUFAIDVENVBZUUHSAUUHEVNVBVCZDEVCZUVFUUHVCAMVO
          VCZUUHEVPVBVCUVGAUVDUVIUFMVQVRZEMTVSUUHEVTWDAKEDAKUUHVCZKEWAUIEKMTWBV
          RZUJWCZUUHDNERWEWFWNZUKHIPMUDWGWHWIABURHPIMUUJYTUUJWJZUDUKUVNWKWLAUUT
          UUOBPAUUTUUSURUQVLUUBWMZWOZVHZUUOAUUSURIUVQAIUVFUVQSAUVIUVHUVFUVQVFUV
          JUVMUQDJUVPMNETUPUVPWJZRWPWFWQWRUUBWSVCZUQVLWTUVRUUOXEUVTUQVLUUADJXAX
          BUUSUULUQURVLUUBUVPWSUVSUUQUUBVFUURUUKYTUUQUUBUUIUUJXCXDXFXGXHXIWLUUL
          BUQPVLXJXKAUUMUUEUQVLAUUAVLVCZVKZUUMUUIUUDVFZBPVHUUEUWBUULUWCBPUWBUUI
          PVCZVKZUUKYTVFZUUDUUIVFZUULUWCUWEUVIUUIEVCUUBEVCZYTEVCZUWFUWGXEAUVIUW
          AUWDUVJXLZUWBPEUUIAPEWAZUWAAUVEUWKUKEPMTWBVRXMXNUWEUVIUWAUVHUWHUWJAUW
          AUWDXOAUVHUWAUWDUVMXLEJMUUADTUPXPWHAUWIUWAUWDAUVIGVLVCZFEVCUWIUVJAGMX
          QXRZGXSVCUWLUEGMXTGYEWDAKEFUVLAFKUVCUOYAWCEJMGFTUPXPWHXLEUUCMUUJUUIUU
          BYTTUUCWJUVOYBYCYTUUKYDUUIUUDYDYFYGBUUDPYHYIYGWLAUWAUUEVKZVKBCDEFFUUA
          GYJUSDJUSUUCUSZGHIJKLMNUUAOPQRSTUAUBUCUDAUWMUWNUEXMAUVDUWNUFXMAEYKVCU
          WNUGXMADOVBLVFUWNUHXMAUVKUWNUIXMADKVCUWNUJXMAUVEUWNUKXMAIPVDUUGVFUWNU
          LXMAUVCKWAUWNUMXMAUUIKYLDUUIVCVKUVCUUIYLYPYQBUUHWTUWNUNXMAFKUVCYMVCUW
          NUOXMUPAUWAUUEYNAUWAUUEYOUWOWJYRYS $.
      $}

      pgpfac1.3 $e |- ( ph -> A. s e. ( SubGrp ` G )
        ( ( s C. U /\ A e. s ) -> E. t e. ( SubGrp ` G )
          ( ( S i^i t ) = { .0. } /\ ( S .(+) t ) = s ) ) ) $.
      $( Lemma for ~ pgpfac1 .  (Contributed by Mario Carneiro,
         27-Apr-2016.) $)
      pgpfac1lem5 $p |- ( ph -> E. t e. ( SubGrp ` G )
        ( ( S i^i t ) = { .0. } /\ ( S .(+) t ) = U ) ) $=
        ( vw vv vu vb vy wpss cv cin csn wceq co wa csubg cfv wrex wcel wn wral
        wi crab ccrd cdm c0 wne wss crpss wor w3a cuni wal cfn cpw sylib adantr
        pwfi subgss 3ad2ant2 velpw sylibr rabssdv ssfid syl cmre cgrp cacs cabl
        finnum ablgrp subgacs acsmre 3syl sseldd mrcsncl syl2anc eqeltrid simpr
        snssd sstrd mrcssidd sseqtrrdi snssg mpbird psseq1 eleq2 anbi12d rspcev
        syl12anc rabn0 simpr1 simpr2 simpr3 fin1a2lem10 syl3anc alrimiv zornn0g
        wb weq ralrab rexbii r19.29 elrab ineq2 eqeq1d oveq2 cbvrexvw ad3antrrr
        ex cdif adantrr notbid impd rexlimdva wex simprrl psseq1d pssdif n0 cmg
        ad2antrr cpgp wbr simplr simprl1 pssssd simprl3 imbi2d ralbidv cbvralvw
        psseq2 imbi12d bitrdi simprr eqid pgpfac1lem4 expr exlimdv 3exp2 syl5bi
        sylan2b syl5 mpand syld 0subg subg0cl sseqin2 lsmss2 biimpar wo mrcsscl
        mpd eqsstrid sspss mpjaod ) AGHUNZGBUOZUPZMUQZURZGUWCFUSZHURZUTZBJVAVBZ
        VCZGHURZAUWBUIUOZHUNZCUWMVDZUTZNUOZUWMUNZVEZVGZUIUWJVFZNUJUOZHUNZCUXBVD
        ZUTZUJUWJVHZVCZUWKAUWBUXGAUWBUTZUWSUIUXFVFZNUXFVCZUXGUXHUXFVIVJVDZUXFVK
        VLZUKUOZUXFVMZUXMVKVLZUXMVNVOZVPZUXMVQZUXFVDZVGZUKVRUXJUXHUXFVSVDZUXKUX
        HDVTZUXFAUYBVSVDZUWBADVSVDZUYCUDDWCWAWBUXHUXEUJUWJUYBUXHUXBUWJVDZUXEVPU
        XBDVMZUXBUYBVDUYEUXHUYFUXEDUXBJQWDWEUJDWFWGWHWIZUXFWOWJUXHUXEUJUWJVCZUX
        LUXHGUWJVDZUWBCGVDZUYHAUYIUWBAGCUQZKVBZUWJPAUWJDWKVBVDZCDVDZUYLUWJVDAJW
        LVDZUWJDWMVBVDUYMAJWNVDZUYOUCJWPWJZDJQWQUWJDWRWSZAHDCAHUWJVDZHDVMUFDHJQ
        WDWJZUGWTZUWJCKDOXAXBXCZWBAUWBXDAUYJUWBAUYJUYKGVMZAUYKUYLGAUWJUYKKDUYRO
        AUYKHDACHUGXEZUYTXFXGPXHAUYNUYJVUCYDVUACGDXIWJXJWBUXEUWBUYJUTUJGUWJUXBG
        URUXCUWBUXDUYJUXBGHXKUXBGCXLXMXNXOUXEUJUWJXPWGUXHUXTUKUXHUXQUXSUXHUXQUT
        ZUXMUXFUXRUXHUXNUXOUXPXQZVUEUXOUXMVSVDUXPUXRUXMVDUXHUXNUXOUXPXRVUEUXFUX
        MUXHUYAUXQUYGWBVUFWIUXHUXNUXOUXPXSUXMXTYAWTYOYBNUIUKUXFYCYAUXIUXANUXFUX
        EUWPUWSUIUJUWJUJUIYEUXCUWNUXDUWOUXBUWMHXKUXBUWMCXLXMYFYGWAYOAUWFUWGUWQU
        RZUTZBUWJVCZNUXFVFZUXGUWKAUWQHUNZCUWQVDZUTZVUIVGNUWJVFVUJUHUXEVUMVUINUJ
        UWJUJNYEUXCVUKUXDVULUXBUWQHXKUXBUWQCXLXMZYFWGVUJUXGUTVUIUXAUTZNUXFVCAUW
        KVUIUXANUXFYHAVUOUWKNUXFUWQUXFVDAUWQUWJVDZVUMUTZVUOUWKVGUXEVUMUJUWQUWJV
        UNYIAVUQUTZVUIUXAUWKVUIGUXBUPZUWEURZGUXBFUSZUWQURZUTZUJUWJVCVURUXAUWKVG
        ZVUHVVCBUJUWJBUJYEZUWFVUTVUGVVBVVEUWDVUSUWEUWCUXBGYJYKVVEUWGVVAUWQUWCUX
        BGFYLYKXMYMVURVVCVVDUJUWJVURUYEUTZVUTVVBVVDVVFVUTVVBUXAUWKVVFVUTVVBUXAV
        PZUTZULUOZHVVAYPZVDZULUUAZUWKVVHVVAHUNZVVLVVHVVMVUKVURVUKUYEVVGAVUPVUKV
        ULUUBUUGVVHVVAUWQHVVFVUTVVBUXAXRZUUCXJZVVMVVJVKVLVVLVVAHUUDULVVJUUEWAWJ
        VVHVVKUWKULVVFVVGVVKUWKVVFVVGVVKUTZUTZUMBCDVVIEFGJUUFVBZHIJKLUXBMOPQRST
        UAAEJUUHUUIVUQUYEVVPUBYNAUYPVUQUYEVVPUCYNAUYDVUQUYEVVPUDYNACLVBIURVUQUY
        EVVPUEYNAUYSVUQUYEVVPUFYNACHVDVUQUYEVVPUGYNVURUYEVVPUUJVUTVVBUXAVVKVVFU
        UKVVQVVAHVVFVVGVVMVVKVVOYQUULVVQUMUOZHUNZCVVSVDZUTZVVAVVSUNZVEZVGZUMUWJ
        VFZUXAVUTVVBUXAVVKVVFUUMVVQVVBVWFUXAYDVVFVVGVVBVVKVVNYQVVBVWFVWBUWQVVSU
        NZVEZVGZUMUWJVFUXAVVBVWEVWIUMUWJVVBVWDVWHVWBVVBVWCVWGVVAUWQVVSXKYRUUNUU
        OVWIUWTUMUIUWJUMUIYEZVWBUWPVWHUWSVWJVVTUWNVWAUWOVVSUWMHXKVVSUWMCXLXMVWJ
        VWGUWRVVSUWMUWQUUQYRUURUUPUUSWJXJVVFVVGVVKUUTVVRUVAUVBUVCUVDUVRUVEYSYTU
        VFYSUVGYTUVHUVIUVJAUWLUWKAUWLUTZUWEUWJVDZGUWEUPZUWEURZGUWEFUSZHURZUWKAV
        WLUWLAUYOVWLUYQJMTUVKWJZWBVWKUWEGVMZVWNAVWRUWLAMGAUYIMGVDVUBGJMTUVLWJXE
        ZWBUWEGUVMWAAVWPUWLAVWOGHAUYIVWLVWRVWOGURVUBVWQVWSFGUWEJUAUVNYAYKUVOUWI
        VWNVWPUTBUWEUWJUWCUWEURZUWFVWNUWHVWPVWTUWDVWMUWEUWCUWEGYJYKVWTUWGVWOHUW
        CUWEGFYLYKXMXNXOYOAGHVMUWBUWLUVPAGUYLHPAUYMUYKHVMUYSUYLHVMUYRVUDUFUWJUY
        KKHDOUVQYAUVSGHUVTWAUWA $.
    $}

    pgpfac1.ab $e |- ( ph -> A e. B ) $.
    $( Factorization of a finite abelian p-group.  There is a direct product
       decomposition of any abelian group of prime-power order where one of the
       factors is cyclic and generated by an element of maximal order.
       (Contributed by Mario Carneiro, 27-Apr-2016.) $)
    pgpfac1 $p |- ( ph -> E. t e. ( SubGrp ` G )
      ( ( S i^i t ) = { .0. } /\ ( S .(+) t ) = B ) ) $=
      ( vs vu vx vy csubg cfv wcel cv cin csn wceq wrex cabl cgrp ablgrp subgid
      co wa 3syl cfn wi eleq1 eleq2 anbi12d eqeq2 anbi2d rexbidv imbi12d imbi2d
      wpss wal bi2.04 impexp imbi2i 3bitr4i albii df-ral r19.21v 3bitr2i psseq1
      wral ineq2 eqeq1d oveq2 cbvrexvw syl5bb cbvralvw cpgp wbr simprrl simprrr
      adantr simprl sylib pgpfac1lem5 exp32 syl5bir a2i sylbi findcard3 mp2and
      a1i mpcom ) ADIUIUJZUKZCDUKZGBULZUMZLUNZUOZGXKFVAZDUOZVBZBXHUPZAIUQUKZIUR
      UKXIUAIUSDIOUTVCUDDVDUKZAXIXJVBZXRVEZUBAUEULZXHUKZCYCUKZVBZXNXOYCUOZVBZBX
      HUPZVEZVEZAUFULZXHUKZCYLUKZVBZXNXOYLUOZVBZBXHUPZVEZVEZAYBVEUEUFDYCYLUOZYJ
      YSAUUAYFYOYIYRUUAYDYMYEYNYCYLXHVFYCYLCVGVHUUAYHYQBXHUUAYGYPXNYCYLXOVIVJVK
      VLVMYCDUOZYJYBAUUBYFYAYIXRUUBYDXIYEXJYCDXHVFYCDCVGVHUUBYHXQBXHUUBYGXPXNYC
      DXOVIVJVKVLVMYCYLVNZYKVEZUEVOZYTVEYLVDUKUUEAUUCYEVBZYIVEZUEXHWEZVEZYTUUEY
      DAUUGVEZVEZUEVOUUJUEXHWEUUIUUDUUKUEAUUCYJVEZVEAYDUUGVEZVEUUDUUKUULUUMAUUC
      YDYEYIVEZVEZVEYDUUCUUNVEZVEUULUUMUUCYDUUNVPYJUUOUUCYDYEYIVQVRUUGUUPYDUUCY
      EYIVQVRVSVRUUCAYJVPYDAUUGVPVSVTUUJUEXHWAAUUGUEXHWBWCAUUHYSUUHUGULZYLVNZCU
      UQUKZVBZGUHULZUMZXMUOZGUVAFVAZUUQUOZVBZUHXHUPZVEZUGXHWEZAYSUVHUUGUGUEXHUU
      QYCUOZUUTUUFUVGYIUVJUURUUCUUSYEUUQYCYLWDUUQYCCVGVHUVGXNXOUUQUOZVBZBXHUPUV
      JYIUVFUVLUHBXHUVAXKUOZUVCXNUVEUVKUVMUVBXLXMUVAXKGWFWGUVMUVDXOUUQUVAXKGFWH
      WGVHWIUVJUVLYHBXHUVJUVKYGXNUUQYCXOVIVJVKWJVLWKZAUVIYOYRAUVIYOVBZVBZBCDEFG
      YLHIJKLUEMNOPQRSAEIWLWMUVOTWPAXSUVOUAWPAXTUVOUBWPACKUJHUOUVOUCWPAUVIYMYNW
      NAUVIYMYNWOUVPUVIUUHAUVIYOWQUVNWRWSWTXAXBXCXFXDXGXE $.
  $}

  ${
    $d a s t u w x C $.  $d a r s t u w x G $.  $d r s K $.  $d a t u w x ph $.
    $d s t x B $.  $d w P $.  $d a r s t w x U $.  $d a s t W $.  $d r s X $.
    $d s T $.
    pgpfac.b $e |- B = ( Base ` G ) $.
    pgpfac.c $e |- C = { r e. ( SubGrp ` G ) |
      ( G |`s r ) e. ( CycGrp i^i ran pGrp ) } $.
    pgpfac.g $e |- ( ph -> G e. Abel ) $.
    pgpfac.p $e |- ( ph -> P pGrp G ) $.
    pgpfac.f $e |- ( ph -> B e. Fin ) $.
    ${
      pgpfac.u $e |- ( ph -> U e. ( SubGrp ` G ) ) $.
      pgpfac.a $e |- ( ph -> A. t e. ( SubGrp ` G ) ( t C. U ->
        E. s e. Word C ( G dom DProd s /\ ( G DProd s ) = t ) ) ) $.
      ${
        pgpfac.h $e |- H = ( G |`s U ) $.
        pgpfac.k $e |- K = ( mrCls ` ( SubGrp ` H ) ) $.
        pgpfac.o $e |- O = ( od ` H ) $.
        pgpfac.e $e |- E = ( gEx ` H ) $.
        pgpfac.0 $e |- .0. = ( 0g ` H ) $.
        pgpfac.l $e |- .(+) = ( LSSum ` H ) $.
        pgpfac.1 $e |- ( ph -> E =/= 1 ) $.
        pgpfac.x $e |- ( ph -> X e. U ) $.
        pgpfac.oe $e |- ( ph -> ( O ` X ) = E ) $.
        pgpfac.w $e |- ( ph -> W e. ( SubGrp ` H ) ) $.
        pgpfac.i $e |- ( ph -> ( ( K ` { X } ) i^i W ) = { .0. } ) $.
        pgpfac.s $e |- ( ph -> ( ( K ` { X } ) .(+) W ) = U ) $.
        ${
          pgpfac.2 $e |- ( ph -> S e. Word C ) $.
          pgpfac.4 $e |- ( ph -> G dom DProd S ) $.
          pgpfac.5 $e |- ( ph -> ( G DProd S ) = W ) $.
          pgpfac.t $e |- T = ( S ++ <" ( K ` { X } ) "> ) $.
          $( Lemma for ~ pgpfac .  (Contributed by Mario Carneiro,
             27-Apr-2016.)  (Revised by Mario Carneiro, 3-May-2016.) $)
          pgpfaclem1 $p |- ( ph -> E. s e. Word C
            ( G dom DProd s /\ ( G DProd s ) = U ) ) $=
            ( cword wcel cdprd cdm wbr co wceq cv wrex csn cfv csubg cress ccyg
            wa cpgp crn cin wss cbs cmre cgrp cacs subggrp eqid subgacs acsmred
            syl subgbas eleqtrd mrcsncl syl2anc wb subsubg simpld oveq1i simprd
            mpbid ressabs eqtrid eqeltrrd cprime pgpprm subgpgp brelrng syl3anc
            cycsubgcyg2 elind oveq2 eleq1d sylanbrc cats1cld cc0 chash cfzo c0g
            elrab2 wf sylancl c1 caddc cn0 cun eqtrdi oveq2d eqtrd cres cop wfn
            wrdfn breqtrrd cvv fvex mpbir cn 3eqtrd sneqd dprdsubg ccntz ssrab3
            wrdf fss c0 cz lencl nn0zd fzosn ineq2d fzodisj eqtr3di cs1 cconcat
            fveq2i s1cld ccatlen s1len oveq2i nn0uz eleqtrdi fzosplitsn cats1un
            cuz reseq1d wn fzonel fsnunres sylancr ssun2 snss eleqtrrid fnressn
            dprdsn fveq1i nn0cnd addid2d fveq2d eqtr4id eqeltri lbfzo0 ccatval3
            1nn a1i s1fv mp1i ablcntzd ineq12d incom subg0 eqtr4di dmdprdsplit2
            opeq2d 3eqtr4d clsm dprdsplit oveq12d lsmcom sseqtrrd subglsm breq2
            cabl subgss eqeq1d anbi12d rspcev syl12anc ) AHDVCZVDZKHVEVFZVGZKHV
            EVHZIVIZKRVJZUXJVGZKUXNVEVHZIVIZVQZRUXHVKADGHPVLZMVMZVBUSAUXTKVNVMZ
            VDZKUXTVOVHZVPVRVSZVTZVDZUXTDVDZAUYBUXTIWAZAUXTLVNVMZVDZUYBUYHVQZAU
            YILWBVMZWCVMVDPUYLVDZUYJAUYIUYLALWDVDZUYIUYLWEVMVDAIUYAVDZUYNUEIKLU
            GWFWJZUYLLUYLWGZWHWJWIAPIUYLUNAUYOIUYLVIUEIKLUGWKWJZWLZUYIPMUYLUHWM
            WNAUYOUYJUYKWOUEUXTIKLUGWPWJWTZWQZAVPUYDUYCALUXTVOVHZUYCVPAVUBKIVOV
            HZUXTVOVHZUYCLVUCUXTVOUGWRAUYOUYHVUDUYCVIUEAUYBUYHUYTWSZIUXTKUYAXAW
            NXBAUYNUYMVUBVPVDUYPUYSPUYLLMUYQUHXIWNXCZAEXDVDZUYCVPVDEUYCVRVGZUYC
            UYDVDAEKVRVGZVUGUCEKXEWJVUFAVUIUYBVUHUCVUAEUXTKXFWNEUYCVRXDVPXGXHXJ
            KSVJZVOVHZUYEVDZUYFSUXTUYADVUJUXTVIVUKUYCUYEVUJUXTKVOXKXLUAXSXMZXNZ
            AXOGXPVMZXQVHZVUOVLZHKXOHXPVMZXQVHZKXRVMZKUUAVMZAVUSDHXTZDUYAWAVUSU
            YAHXTAUXIVVBVUNDHUUCWJVULSUYADUAUUBVUSDUYAHUUDYAZAVUPVUOVUOYBYCVHZX
            QVHZVTVUPVUQVTUUEAVVEVUQVUPAVUOUUFVDVVEVUQVIAVUOAGUXHVDZVUOYDVDUSDG
            UUGWJZUUHVUOUUIWJUUJXOVUOVVDUUKUULZAVUSXOVVDXQVHZVUPVUQYEZAVURVVDXO
            XQAVURVUOUXTUUMZXPVMZYCVHZVVDAVURGVVKUUNVHZXPVMZVVMHVVNXPVBUUOAVVFV
            VKUXHVDZVVOVVMVIUSAUXTDVUMUUPZDDGVVKUUQWNXBVVLYBVUOYCUXTUURZUUSYFYG
            AVUOXOUVDVMZVDVVIVVJVIAVUOYDVVSVVGUUTUVAXOVUOUVBWJYHZVVAWGZVUTWGZAK
            GHVUPYIZUXJUTAVWCGVUOUXTYJZVLZYEZVUPYIZGAHVWFVUPAHVVNVWFVBAVVFUYGVV
            NVWFVIUSVUMGUXTDUVCWNXBUVEAGVUPYKZVUOVUPVDUVFVWGGVIAVVFVWHUSDGYLWJX
            OVUOUVGVUPGVUOUXTUVHYAYHZYMZAKVWEHVUQYIZUXJAKVWEUXJVGZKVWEVEVHZUXTV
            IZAVUOYNVDUYBVWLVWNVQGXPYOZVUAVUOUXTKYNUVNUVIZWQAVWKVUOVUOHVMZYJZVL
            ZVWEAHVUSYKZVUOVUSVDVWKVWSVIAUXIVWTVUNDHYLWJAVUOVVJVUSVUOVVJVDVUQVV
            JWAVUQVUPUVJVUOVVJVWOUVKYPVVTUVLVUSVUOHUVMWNAVWRVWDAVWQUXTVUOAVWQXO
            VUOYCVHZVVNVMZXOVVKVMZUXTAVWQVUOVVNVMVXBVUOHVVNVBUVOAVXAVUOVVNAVUOA
            VUOVVGUVPUVQUVRUVSAVVFVVPXOXOVVLXQVHVDZVXBVXCVIUSVVQVXDAVXDVVLYQVDV
            VLYBYQVVRUWCUVTVVLUWAYPUWDDGVVKXOUWBXHUXTYNVDVXCUXTVIAUXSMYOUXTYNUW
            EUWFYRUWMYSYHZYMZAKVWCVEVHZKVWKVEVHZKVVAVWAUBAKVWCUXJVGVXGUYAVDVWJV
            WCKYTWJZAKVWKUXJVGVXHUYAVDVXFVWKKYTWJUWGAUXTOVTZQVLVXGVXHVTZVUTVLUQ
            AVXKOUXTVTVXJAVXGOVXHUXTAVXGKGVEVHOAVWCGKVEVWIYGVAYHZAVXHVWMUXTAVWK
            VWEKVEVXEYGAVWLVWNVWPWSYHZUWHOUXTUWIYFAVUTQAVUTLXRVMZQAUYOVUTVXNVIU
            EIKLVUTUGVWBUWJWJUKUWKYSUWNUWLZAUXLUXTOKUWOVMZVHZUXTOFVHZIAUXLVXGVX
            HVXPVHOUXTVXPVHZVXQAVUPVUQVXPHKVUSVVCVVHVVTVXPWGZVXOUWPAVXGOVXHUXTV
            XPVXLVXMUWQAKUXBVDOUYAVDUYBVXSVXQVIUBAVXGOUYAVXLVXIXCVUAVXPOUXTKVXT
            UWRXHYRAUYOUYHOIWAVXQVXRVIUEVUEAOUYLIAOUYIVDOUYLWAUPUYLOLUYQUXCWJUY
            RUWSFVXPIUXTOKLUGVXTULUWTXHURYRUXRUXKUXMVQRHUXHUXNHVIZUXOUXKUXQUXMU
            XNHKUXJUXAVYAUXPUXLIUXNHKVEXKUXDUXEUXFUXG $.
        $}

        $( Lemma for ~ pgpfac .  (Contributed by Mario Carneiro, 27-Apr-2016.)
           (Revised by Mario Carneiro, 3-May-2016.) $)
        pgpfaclem2 $p |- ( ph -> E. s e. Word C
          ( G dom DProd s /\ ( G DProd s ) = U ) ) $=
          ( va cv cdprd cdm wbr co wceq wa cword wrex wpss wss wne csubg cfv wb
          wcel subsubg syl mpbid simprd chash cfn subgss ssfid hashcl nn0red c1
          cn0 cmul csn clt cvv c0g fvexi hashsng ax-mp csdm cgrp cacs cmre eqid
          subgrcl subgacs 4syl mrcssvd subgbas sseqtrrd eleqtrd mrcsncl syl2anc
          cbs acsmre subg0cl snssd mrcssidd snssg mpbird eqnetrd od1 3syl elsni
          fveqeq2d syl5ibrcom necon3ad mpd ssnelpssd php3 snfi hashsdom sylancr
          wn eqbrtrrid cr cc0 1red cn c0 ne0i hashnncl nngt0d cabl wi adantr
          ltmul1 syl112anc recnd mulid2d subgabl ablcntzd lsmhash fveq2d eqtr3d
          ccntz 3brtr3d ltned fveq2 necon3i df-pss sylanbrc psseq1 eqeq2 anbi2d
          rexbidv imbi12d simpld rspcdva breq2 oveq2 anbi12d cbvrexvw sylib cs1
          eqeq1d cconcat cpgp wral simprl simprrl simprrr pgpfaclem1 rexlimddv
          cin ) AIUQURZUSUTZVAZIUVTUSVBZMVCZVDZIPURZUWAVAZIUWFUSVBZGVCVDPDVEZVF
          UQUWIAUWGUWHMVCZVDZPUWIVFZUWEUQUWIVFAMGVGZUWLAMGVHZMGVIZUWMAMIVJVKZVM
          ZUWNAMJVJVKZVMZUWQUWNVDZUNAGUWPVMZUWSUWTVLUCMGIJUEVNVOVPZVQZAMVRVKZGV
          RVKZVIUWOAUXDUXEAUXDAMVSVMZUXDWEVMAGMACGUBAUXAGCVHUCCGIRVTVOWAZUXCWAZ
          MWBVOWCZAWDUXDWFVBZNWGZKVKZVRVKZUXDWFVBZUXDUXEWHAWDUXMWHVAZUXJUXNWHVA
          ZAWDOWGZVRVKZUXMWHOWIVMUXRWDVCOJWJUIWKOWIWLWMAUXRUXMWHVAZUXQUXLWNVAZA
          UXLVSVMZUXQUXLVGUXTAGUXLUXGAUXLJXHVKZGAUWRUXKKUYBAUWSJWOVMZUWRUYBWPVK
          VMUWRUYBWQVKVMZUNMJWSZUYBJUYBWRWTUWRUYBXIXAZUFXBAUXAGUYBVCUCGIJUEXCVO
          ZXDWAZAUXQUXLNAOUXLAUXLUWRVMZOUXLVMAUYDNUYBVMUYIUYFANGUYBULUYGXEZUWRN
          KUYBUFXFXGZUXLJOUIXJVOXKANUXLVMZUXKUXLVHZAUWRUXKKUYBUYFUFANUYBUYJXKXL
          ANGVMZUYLUYMVLULNUXLGXMVOXNANLVKZWDVINUXQVMZYHAUYOHWDUMUKXOAUYPUYOWDA
          UYOWDVCUYPOLVKWDVCZAUWSUYCUYQUNUYEJLOUGUIXPXQUYPNOWDLNOXRXSXTYAYBYCUX
          LUXQYDXGAUXQVSVMUYAUXSUXTVLOYEUYHUXQUXLYFYGXNYIAWDYJVMUXMYJVMUXDYJVMY
          KUXDWHVAUXOUXPVLAYLAUXMAUYAUXMWEVMUYHUXLWBVOWCUXIAUXDAUXDYMVMZMYNVIZA
          UWSOMVMUYSUNMJOUIXJMOYOXQAUXFUYRUYSVLUXHMYPVOXNYQWDUXMUXDUUAUUBVPAUXD
          AUXDUXIUUCUUDAUXLMFVBZVRVKUXNUXEAFUXLMJOJUUJVKZUJUIVUAWRZUYKUNUOAUXLM
          JVUAVUBAIYRVMZUXAJYRVMTUCGIJUEUUEXGUYKUNUUFUYHUXHUUGAUYTGVRUPUUHUUIUU
          KUULMGUXDUXEMGVRUUMUUNVOMGUUOUUPABURZGVGZUWGUWHVUDVCZVDZPUWIVFZYSZUWM
          UWLYSBUWPMVUDMVCZVUEUWMVUHUWLVUDMGUUQVUJVUGUWKPUWIVUJVUFUWJUWGVUDMUWH
          UURUUSUUTUVAUDAUWQUWNUXBUVBUVCYBUWKUWEPUQUWIUWFUVTVCZUWGUWBUWJUWDUWFU
          VTIUWAUVDVUKUWHUWCMUWFUVTIUSUVEUVJUVFUVGUVHAUVTUWIVMZUWEVDZVDBCDEFUVT
          UVTUXLUVIUVKVBZGHIJKLMNOPQRSAVUCVUMTYTAEIUVLVAVUMUAYTACVSVMVUMUBYTAUX
          AVUMUCYTAVUIBUWPUVMVUMUDYTUEUFUGUHUIUJAHWDVIVUMUKYTAUYNVUMULYTAUYOHVC
          VUMUMYTAUWSVUMUNYTAUXLMUVSUXQVCVUMUOYTAUYTGVCVUMUPYTAVULUWEUVNAVULUWB
          UWDUVOAVULUWBUWDUVPVUNWRUVQUVR $.
      $}

      $( Lemma for ~ pgpfac .  (Contributed by Mario Carneiro, 27-Apr-2016.)
         (Revised by Mario Carneiro, 3-May-2016.) $)
      pgpfaclem3 $p |- ( ph -> E. s e. Word C
        ( G dom DProd s /\ ( G DProd s ) = U ) ) $=
        ( wceq wa cfv wcel vx vw cv cdprd cdm wbr co cword wrex cress cgex wrd0
        c1 c0 c0g csn cabl cgrp ablgrp eqid dprd0 3syl adantr c1o csubg subg0cl
        cen syl cbs subgbas cmnd wb subggrp grpmnd gex1 eqbrtrd en1eqsn syl2anc
        biimpa eqeq2d anbi2d mpbird breq2 eqeq1d anbi12d rspcev sylancr wne cod
        oveq2 subgabl cfn wss subgss ssfid eqeltrrd gexcl2 gexex cmrc clsm cpgp
        cn cin subgpgp ad2antrr simprr simprl pgpfac1 ad3antrrr wpss wi simpllr
        simplrl eleqtrrd simplrr simprrl eqtr4d pgpfaclem2 rexlimddv pm2.61dane
        wral simprrr ) AGHUCZUDUEZUFZGYCUDUGZFQZRZHDUHZUIZGFUJUGZUKSZUMAYLUMQZR
        ZUNYITGUNYDUFZGUNUDUGZFQZRZYJDULYNYRYOYPGUOSZUPZQZRZAUUBYMAGUQTZGURTUUB
        LGUSGYSYSUTZVAVBVCYNYQUUAYOYNFYTYPYNYSFTZFVDVGUFFYTQAUUEYMAFGVESZTZUUEO
        FGYSUUDVFVHVCYNFYKVISZVDVGAFUUHQZYMAUUGUUIOFGYKYKUTZVJZVHZVCAYMUUHVDVGU
        FZAYKURTZYKVKTYMUUMVLAUUGUUNOFGYKUUJVMVHZYKVNYLYKUUHUUHUTZYLUTZVOVBVSVP
        YSFVQVRVTWAWBYHYRHUNYIYCUNQZYEYOYGYQYCUNGYDWCUURYFYPFYCUNGUDWJWDWEWFWGA
        YLUMWHZRZUAUCZYKWISZSYLQZYJUAUUHAUVCUAUUHUIZUUSAYKUQTZYLXBTZUVDAUUCUUGU
        VELOFGYKUUJWKVRZAUUNUUHWLTZUVFUUOAFUUHWLUULACFNAUUGFCWMOCFGJWNVHWOWPZYL
        YKUUHUUPUUQWQVRUAYLYKUVBUUHUUPUUQUVBUTZWRVRVCUUTUVAUUHTZUVCRZRZUVAUPYKV
        ESZWSSZSZUBUCZXCYKUOSZUPQZUVPUVQYKWTSZUGZUUHQZRZYJUBUVNUVMUBUVAUUHEUVTU
        VPYLYKUVOUVBUVRUVOUTZUVPUTUUPUVJUUQUVRUTZUVTUTZAEYKXAUFZUUSUVLAEGXAUFZU
        UGUWGMOEFGXDVRXEAUVEUUSUVLUVGXEAUVHUUSUVLUVIXEUUTUVKUVCXFUUTUVKUVCXGXHU
        VMUVQUVNTZUWCRZRZBCDEUVTFYLGYKUVOUVBUVQUVAUVRHIJKAUUCUUSUVLUWJLXIAUWHUU
        SUVLUWJMXIACWLTUUSUVLUWJNXIAUUGUUSUVLUWJOXIZABUCZFXJYEYFUWMQRHYIUIXKBUU
        FYAUUSUVLUWJPXIUUJUWDUVJUUQUWEUWFAUUSUVLUWJXLUWKUVAUUHFUUTUVKUVCUWJXMUW
        KUUGUUIUWLUUKVHZXNUUTUVKUVCUWJXOUVMUWIUWCXGUVMUWIUVSUWBXPUWKUWAUUHFUVMU
        WIUVSUWBYBUWNXQXRXSXSXT $.
    $}

    $( Full factorization of a finite abelian p-group, by iterating ~ pgpfac1 .
       There is a direct product decomposition of any abelian group of
       prime-power order into cyclic subgroups.  (Contributed by Mario
       Carneiro, 27-Apr-2016.)  (Revised by Mario Carneiro, 3-May-2016.) $)
    pgpfac $p |- ( ph -> E. s e. Word C
      ( G dom DProd s /\ ( G DProd s ) = B ) ) $=
      ( vt vx wcel cv wceq wa wrex wi vu csubg cfv cdprd cdm co cword cabl cgrp
      wbr ablgrp subgid 3syl cfn eleq1 eqeq2 anbi2d rexbidv imbi12d imbi2d wpss
      wal wral bi2.04 imbi2i 3bitr4i albii df-ral r19.21v 3bitr2i adantr simprr
      cpgp simprl psseq1 cbvralvw sylib pgpfaclem3 exp32 syl5bi findcard3 mpcom
      a1i a2d mpd ) ABEUBUCZOZEFPZUDUEUJZEWHUDUFZBQZRZFCUGZSZAEUHOZEUIOWGJEUKBE
      HULUMBUNOZAWGWNTZLAMPZWFOZWIWJWRQZRZFWMSZTZTZAUAPZWFOZWIWJXEQZRZFWMSZTZTZ
      AWQTMUABWRXEQZXCXJAXLWSXFXBXIWRXEWFUOXLXAXHFWMXLWTXGWIWRXEWJUPUQURUSUTWRB
      QZXCWQAXMWSWGXBWNWRBWFUOXMXAWLFWMXMWTWKWIWRBWJUPUQURUSUTWRXEVAZXDTZMVBZAX
      NXBTZMWFVCZTZXEUNOZXKXPWSAXQTZTZMVBYAMWFVCXSXOYBMAXNXCTZTAWSXQTZTXOYBYCYD
      AXNWSXBVDVEXNAXCVDWSAXQVDVFVGYAMWFVHAXQMWFVIVJXTAXRXJAXRXJTTXTAXRXFXIAXRX
      FRZRZNBCDXEEFGHIAWOYEJVKADEVMUJYEKVKAWPYELVKAXRXFVLYFXRNPZXEVAZWIWJYGQZRZ
      FWMSZTZNWFVCAXRXFVNXQYLMNWFWRYGQZXNYHXBYKWRYGXEVOYMXAYJFWMYMWTYIWIWRYGWJU
      PUQURUSVPVQVRVSWCWDVTWAWBWE $.
  $}

  ${
    $d a b c f h p q s t x y z A $.  $d s z F $.  $d a b c f g h q r s t y S $.
    $d a b c f g h j k n p r s t w x B $.  $d b c p x O $.  $d j k w x .x. $.
    $d a b c f g h j k n p q s t w x y z C $.  $d a b c f h p q t w x y W $.
    $d s H $.  $d a b c f h j k n p q s t w x y z ph $.  $d g s U $.
    $d a b c g j k n p r s t w x y z G $.
    ablfac.b $e |- B = ( Base ` G ) $.
    ablfac.c $e |- C = { r e. ( SubGrp ` G ) |
      ( G |`s r ) e. ( CycGrp i^i ran pGrp ) } $.
    ablfac.1 $e |- ( ph -> G e. Abel ) $.
    ablfac.2 $e |- ( ph -> B e. Fin ) $.
    ${
      ablfac.o $e |- O = ( od ` G ) $.
      ablfac.a $e |- A = { w e. Prime | w || ( # ` B ) } $.
      ablfac.s $e |- S = ( p e. A |-> { x e. B |
        ( O ` x ) || ( p ^ ( p pCnt ( # ` B ) ) ) } ) $.
      ablfac.w $e |- W = ( g e. ( SubGrp ` G ) |->
        { s e. Word C | ( G dom DProd s /\ ( G DProd s ) = g ) } ) $.
      $( Lemma for ~ ablfac .  (Contributed by Mario Carneiro, 27-Apr-2016.)
         (Revised by Mario Carneiro, 3-May-2016.) $)
      ablfaclem1 $p |- ( U e. ( SubGrp ` G ) -> ( W ` U ) =
        { s e. Word C | ( G dom DProd s /\ ( G DProd s ) = U ) } ) $=
        ( cv cdprd cdm wbr co wceq wa cword crab csubg cfv eqeq2 anbi2d rabbidv
        cress ccyg cpgp crn cin wcel fvex rabex2 wrdexi rabex fvmpt ) IHJMUDZUE
        UFUGZJVIUEUHZIUDZUIZUJZMFUKZULVJVKHUIZUJZMVOULJUMUNZLVLHUIZVNVQMVOVSVMV
        PVJVLHVKUOUPUQUCVQMVOFJNUDURUHUSUTVAVBVCNVRFQJUMVDVEVFVGVH $.

      ${
        ablfaclem2.f $e |- ( ph -> F : A --> Word C ) $.
        ablfaclem2.q $e |- ( ph ->
          A. y e. A ( F ` y ) e. ( W ` ( S ` y ) ) ) $.
        ablfaclem2.l $e |- L = U_ y e. A ( { y } X. dom ( F ` y ) ) $.
        ablfaclem2.g $e |- ( ph -> H : ( 0 ..^ ( # ` L ) ) -1-1-onto-> L ) $.
        $( Lemma for ~ ablfac .  (Contributed by Mario Carneiro, 27-Apr-2016.)
           (Proof shortened by Mario Carneiro, 3-May-2016.) $)
        ablfaclem2 $p |- ( ph -> ( W ` B ) =/= (/) ) $=
          ( vz cfv cv cdprd cdm wbr co wceq wa cword crab cabl wcel cgrp ablgrp
          c0 csubg subgid ablfaclem1 4syl wrex wne cmpo ccom cc0 chash cfzo csn
          wf cxp ciun wral ffvelrnda wrdf syl ffdmd ralrimivva eqid fmpox sylib
          anasss feq2i sylibr wf1o f1of fco syl2anc iswrdi cmpt r19.21bi cprime
          wss cdvds ssrab3 a1i ablfac1b cpc cexp cbs fvexi rabex dmmpti eleqtrd
          dprdf2 breq2 oveq2 eqeq1d anbi12d elrab simprbi dprdf feqmptd breqtrd
          simpld oveq2d simprd eqtr3d mpteq2dva eqtr4d dprd2d2 dprdf1o ablfac1c
          fdmd ssidd 3eqtrd rspcev syl12anc rabn0 eqnetrd ) AFOULZKPUMZUNUOZUPZ
          KUUAUNUQZFURZUSZPGUTZVAZVFAKVBVCKVDVCFKVGULZVCYTUUHURUAKVEFKSVHABDEFG
          HFIKNOPQRSTUAUBUCUDUEUFVIVJAUUFPUUGVKZUUHVFVLACUKECUMZJULZUOZUKUMZUUL
          ULZVMZLVNZUUGVCZKUUQUUBUPZKUUQUNUQZFURZUUJAVOMVPULZVQUQZGUUQVSZUURAMG
          UUPVSZUVCMLVSZUVDACEUUKVRUUMVTWAZGUUPVSZUVEAUUOGVCZUKUUMWBCEWBUVHAUVI
          CUKEUUMAUUKEVCZUUNUUMVCZUVIAUVJUSZUUMGUUNUULUVLVOUULVPULVQUQZGUULUVLU
          ULUUGVCZUVMGUULVSAEUUGUUKJUGWCGUULWDWEWFWCWKWGCUKEUUMUUOGUUPUUPWHWIWJ
          MUVGGUUPUIWLWMZAUVCMLWNUVFUJUVCMLWOWEUVCMGUUPLWPWQGUVBUUQWRWEAUUSUUTK
          UUPUNUQZURZAUUPLKMUVCAKUUPUUBUPZUVPKCEKUKUUMUUOWSZUNUQZWSZUNUQZURZAUU
          OCUKKEUUMAUVJUVKUUOUUIVCUVLUUMUUIUUNUULUVLKUULUUBUPZUUMUUIUULVSUVLUWD
          KUULUNUQZUUKHULZURZUVLUULUUCUUDUWFURZUSZPUUGVAZVCZUWDUWGUSZUVLUULUWFO
          ULZUWJAUULUWMVCCEUHWTUVLUWFUUIVCUWMUWJURAEUUIUUKHAHKEABEFHKNRSUCUEUAU
          BEXAXBADUMFVPULZXCUPDXAEUDXDXEZXFZHUOEURAREBUMNULRUMZUWQUWNXGUQXHUQXC
          UPZBFVAHUWRBFFKXISXJXKUEXLXEXNZWCABDEFGHUWFIKNOPQRSTUAUBUCUDUEUFVIWEX
          MUWKUVNUWLUWIUWLPUULUUGUUAUULURZUUCUWDUWHUWGUUAUULKUUBXOUWTUUDUWEUWFU
          UAUULKUNXPXQXRXSXTWEZYDZUULKYAWEZWCWKUVLKUULUVSUUBUXBUVLUKUUMUUIUULUX
          CYBZYCAKHUWAUUBUWPAHCEUWFWSUWAACEUUIHUWSYBACEUVTUWFUVLUWEUVTUWFUVLUUL
          UVSKUNUXDYEUVLUWDUWGUXAYFYGYHYIZYCYJZYDAMGUUPUVOYMUJYKZYDAUUTUVPUWBFA
          UUSUVQUXGYFAUVRUWCUXFYFAKHUNUQUWBFAHUWAKUNUXEYEABDEFEHKNRSUCUEUAUBUWO
          UDAEYNYLYGYOUUFUUSUVAUSPUUQUUGUUAUUQURZUUCUUSUUEUVAUUAUUQKUUBXOUXHUUD
          UUTFUUAUUQKUNXPXQXRYPYQUUFPUUGYRWMYS $.
      $}

      $( Lemma for ~ ablfac .  (Contributed by Mario Carneiro, 27-Apr-2016.)
         (Revised by Mario Carneiro, 3-May-2016.) $)
      ablfaclem3 $p |- ( ph -> ( W ` B ) =/= (/) ) $=
        ( vf vq vy vh vc va vt vb cword cv wf cfv wcel wral wa wne cfn wrex wex
        c0 c1 chash cfz co fzfid cdvds wbr cprime crab w3a cn prmnn 3ad2ant2 cz
        cle wi prmz cabl cgrp ablgrp grpbn0 3syl wb hashnncl 3ad2ant1 mpbir2and
        syl mpbird rabssdv eqsstrid ssfid cdprd cdm wceq cin wss csubg a1i cexp
        cpc ffvelrnda ssrab2 sylib eqtrd cress cpgp eqid syl2an2r sselda oveq2d
        cbs crn adantr syl2anc eqeltrrd sswrd simprbda jctild expimpd weq oveq2
        simplbda eleq1d cbvrabv 3adant3 mpd rabn0 ralrimiva cc0 ciun cfzo fveq2
        csn cxp fzofi sylancr eqtri cmpt dvdsle syl2anr 3impia nnzd fznn ssrab3
        dfin5 ablfac1b fvexi dmmpti ablfaclem1 eqsstrdi sseqin2 eqtr3id subgabl
        rabex dprdf2 ccyg subgbas fveq2d eqtr3d pccld nn0zd pcid eqtr4d subggrp
        ablfac1a subgss pgpfi2 pgpfac ax-mp subgdmdprd subgdprd ad2antrr eqcomd
        sseli cpw eqeq12d biimpd sylan2 subsubg ressabs simp3 sylanbrc reximdv2
        elrab2 sylibr eqnetrd eleq1 ac6sfi wf1o cen cn0 sneq dmeqd xpeq12d snfi
        cbviunv simprl wrdf eqeltrdi xpfi iunfi eqeltrid hashcl hashfzo0 hashen
        fdm mpbid bren breq1 breq1d oveq1 oveq12d breq2d rabbidv eqtrid cbvmptv
        id breq2 eqeq1d anbi12d mpteq2i simprll simprlr 2fveq3 eleq12d cbvralvw
        simprr ablfaclem2 expr exlimdv exlimddv ) ADFUKZUCULZUMZUDULZUYOUNZUYQG
        UNZKUNZUOZUDDUPZUQZEKUNVBURZUCADUSUOZUEULZUYTUOZUEUYNUTZUDDUPVUCUCVAAVC
        EVDUNZVEVFZDAVCVUIVGADCULZVUIVHVIZCVJVKZVUJTAVULCVJVUJAVUKVJUOZVULVLZVU
        KVUJUOZVUKVMUOZVUKVUIVQVIZVUNAVUQVULVUKVNVOAVUNVULVURVUNVUKVPUOVUIVMUOZ
        VULVURVRAVUKVSAVUSEVBURZAIVTUOZIWAUOVUTQIWBEIOWCWDAEUSUOZVUSVUTWEREWFWI
        WJZVUKVUIUUAUUBUUCVUOVUIVPUOZVUPVUQVURUQWEAVUNVVDVULAVUIVVCUUDWGVUKVUIU
        UEWIWHWKWLWMZAVUHUDDAUYQDUOZUQZVUGUEUYNVKZVBURVUHVVGVVHILULZWNWOZVIZIVV
        IWNVFZUYSWPZUQZLUYNVKZVBVVGVVHUYTVVOVVGVVHUYNUYTWQZUYTUEUYNUYTUUGVVGUYT
        UYNWRVVPUYTWPVVGUYTVVOUYNVVGUYSIWSUNZUOZUYTVVOWPADVVQUYQGAGIDABDEGIJNOS
        UAQRDVJWRAVULCVJDTUUFWTZUUHGWODWPANDBULZJUNZNULZVWBVUIXBVFZXAVFZVHVIZBE
        VKZGVWEBEEIXMOUUIUUPUAUUJWTUUQXCZABCDEFGUYSHIJKLMNOPQRSTUAUBUUKWIZVVNLU
        YNXDUULUYTUYNUUMXEUUNVWHXFVVGVVNLUYNUTZVVOVBURVVGIUYSXGVFZVVIVVJVIZVWJV
        VIWNVFZVWJXMUNZWPZUQZLVWJMULZXGVFZUURXHXNWQZUOZMVWJWSUNZVKZUKZUTVWIVVGV
        WMVXAUYQVWJLMVWMXIZVXAXIAVVAVVFVVRVWJVTUOQVWGUYSIVWJVWJXIZUUOXJVVGUYQVW
        JXHVIZUYQVJUOZVWMVDUNZUYQUYQVXGXBVFZXAVFZWPZADVJUYQVVSXKZVVGVXGUYQUYQVU
        IXBVFZXAVFZVXIVVGUYSVDUNVXGVXMVVGUYSVWMVDVVGVVRUYSVWMWPZVWGUYSIVWJVXDUU
        SWIZUUTABDEUYQGIJNOSUAQRVVSUVGUVAZVVGVXHVXLUYQXAVVGVXHUYQVXMXBVFZVXLVVG
        VXGVXMUYQXBVXPXLVVGVXFVXLVPUOVXQVXLWPVXKVVGVXLVVGUYQVUIVXKAVUSVVFVVCXOU
        VBUVCVXLUYQUVDXPXFXLUVEVVGVWJWAUOZVWMUSUOVXEVXFVXJUQWEVVGVVRVXRVWGUYSIV
        WJVXDUVFWIVVGUYSVWMUSVXOVVGEUYSAVVBVVFRXOVVGVVRUYSEWRVWGEUYSIOUVHWIWMXQ
        ZUYQVWJVWMVXCUVIXPWHVXSUVJVVGVWOVVNLVXBUYNVVGVVIVXBUOZVWOVVIUYNUOZVVNUQ
        VVGVXTUQVWOVVNVYAVXTVVGVVIVWTUKZUOZVWOVVNVRVXBVYBVVIVXAVWTWRVXBVYBWRVWS
        MVWTXDVXAVWTXRUVKUVPVVGVYCUQZVWKVWNVVNVYDVWKUQZVWNVVMVVKVYEVWNVVMVYEVWL
        VVLVWMUYSVYEUYSVVIIVWJVXDVYDVVRVWKVVGVVRVYCVWGXOZXOVYDVWKVVKVVIXNUYSUVQ
        WRZVYDVVRVWKVVKVYGUQWEVYFUYSVVIIVWJVXDUVLWIZXSZVYDVWKVVKVYGVYHYDUVMVYEU
        YSVWMVVGVXNVYCVWKVXOUVNUVOUVRUVSVYIXTYAUVTVVGVXBUYNVVIVVGVXAFWRVXBUYNWR
        VVGVXAVWJVUFXGVFZVWRUOZUEVWTVKFVWSVYKMUEVWTMUEYBZVWQVYJVWRVWPVUFVWJXGYC
        YEYFVVGVYKUEVWTFVVGVUFVWTUOZVYKVLZVUFVVQUOZIVUFXGVFZVWRUOZVUFFUOVVGVYMV
        YOVYKVVGVYMVYOVUFUYSWRZVVGVVRVYMVYOVYRUQWEVWGVUFUYSIVWJVXDUWAWIZXSYGVYN
        VYJVYPVWRVYNVVRVYRVYJVYPWPVVGVYMVVRVYKVWGWGVVGVYMVYRVYKVVGVYMVYOVYRVYSY
        DYGUYSVUFIVVQUWBXPVVGVYMVYKUWCXQIVWPXGVFZVWRUOVYQMVUFVVQFVYLVYTVYPVWRVW
        PVUFIXGYCYEPUWFUWDWKWLVXAFXRWIXKXTYAUWEYHVVNLUYNYIUWGUWHVUGUEUYNYIXEYJV
        UGVUAUDUEDUYNUCVUFUYRUYTUWIUWJXPAVUCUQZYKUDDUYQYOZUYRWOZYPZYLZVDUNZYMVF
        ZWUEUFULZUWKZUFVAZVUDWUAWUGWUEUWLVIZWUJWUAWUGVDUNWUFWPZWUKWUAWUEUSUOZWU
        FUWMUOWULWUAWUEUEDVUFYOZVUFUYOUNZWOZYPZYLZUSUDUEDWUDWUQUDUEYBZWUBWUNWUC
        WUPUYQVUFUWNWUSUYRWUOUYQVUFUYOYNZUWOUWPUWRZAVUEVUCWUQUSUOZUEDUPWURUSUOV
        VEWUAWVBUEDWUAVUFDUOUQZWUNUSUOWUPUSUOWVBVUFUWQWVCWUPYKWUOVDUNZYMVFZUSWV
        CWUOUYNUOWVEFWUOUMWUPWVEWPWUADUYNVUFUYOAUYPVUBUWSXCFWUOUWTWVEFWUOUXHWDY
        KWVDYQUXAWUNWUPUXBYRYJUEDWUQUXCXJUXDZWUEUXEWUFUXFWDWUAWUGUSUOWUMWULWUKW
        EYKWUFYQWVFWUGWUEUXGYRUXIWUGWUEUFUXJXEWUAWUIVUDUFAVUCWUIVUDAVUCWUIUQZUQ
        ZUGUEUHDEFGHUYOIWUHWUEJKUIMUJOPAVVAWVGQXOAVVBWVGRXOSDVUMUHULZVUIVHVIZUH
        VJVKTVULWVJCUHVJVUKWVIVUIVHUXKYFYSGNDVWFYTUJDUGULZJUNZUJULZWVMVUIXBVFZX
        AVFZVHVIZUGEVKZYTUANUJDVWFWVQNUJYBZVWFWVLVWDVHVIZUGEVKWVQVWEWVSBUGEBUGY
        BVWAWVLVWDVHVVTWVKJYNUXLYFWVRWVSWVPUGEWVRVWDWVOWVLVHWVRVWBWVMVWCWVNXAWV
        RUXSVWBWVMVUIXBUXMUXNUXOUXPUXQUXRYSKHVVQVVKVVLHULZWPZUQZLUYNVKZYTHVVQIU
        IULZVVJVIZIWWDWNVFZWVTWPZUQZUIUYNVKZYTUBHVVQWWCWWIWWBWWHLUIUYNLUIYBZVVK
        WWEWWAWWGVVIWWDIVVJUXTWWJVVLWWFWVTVVIWWDIWNYCUYAUYBYFUYCYSAUYPVUBWUIUYD
        WVHVUBWUOVUFGUNKUNZUOZUEDUPAUYPVUBWUIUYEVUAWWLUDUEDWUSUYRWUOUYTWWKWUTUY
        QVUFKGUYFUYGUYHXEWVAAVUCWUIUYIUYJUYKUYLYHUYM $.
    $}

    $( The Fundamental Theorem of (finite) Abelian Groups.  Any finite abelian
       group is a direct product of cyclic p-groups.  (Contributed by Mario
       Carneiro, 27-Apr-2016.)  (Revised by Mario Carneiro, 3-May-2016.) $)
    ablfac $p |- ( ph -> E. s e. Word C
      ( G dom DProd s /\ ( G DProd s ) = B ) ) $=
      ( vg vx vw vp cv wbr co crab cfv eqid cdprd cdm wceq wa cword c0 wne wrex
      csubg cmpt cabl wcel cgrp ablgrp subgid chash cdvds cprime cod ablfaclem1
      cpc cexp 4syl ablfaclem3 eqnetrrd rabn0 sylib ) ADEOZUAUBPZDVHUAQZBUCUDZE
      CUEZRZUFUGVKEVLUHABKDUISZVIVJKOUCUDEVLRUJZSZVMUFADUKULDUMULBVNULVPVMUCIDU
      NBDGUOALMMOBUPSZUQPMURRZBCNVRLODUSSZSNOZVTVQVAQVBQUQPLBRUJZBKDVSVOEFNGHIJ
      VSTZVRTZWATZVOTZUTVCALMVRBCWAKDVSVOEFNGHIJWBWCWDWEVDVEVKEVLVFVG $.

    ablfac2.m $e |- .x. = ( .g ` G ) $.
    ablfac2.s $e |- S = ( k e. dom w |->
      ran ( n e. ZZ |-> ( n .x. ( w ` k ) ) ) ) $.
    $( Choose generators for each cyclic group in ~ ablfac .  (Contributed by
       Mario Carneiro, 28-Apr-2016.) $)
    ablfac2 $p |- ( ph -> E. w e. Word B
      ( S : dom w --> C /\ G dom DProd S /\ ( G DProd S ) = B ) ) $=
      ( vx wceq wa wcel vs vj cv cdprd cdm wbr co wf w3a cword wrex wex cz cmpt
      cfv crn wral cfn chash cfzo wrdf ad2antlr fdmd fzofi eqeltrdi csubg ffdmd
      cc0 wss ffvelrnda cress ccyg cpgp cin oveq2 eleq1d elrab2 simplbi syl cmg
      subgss cbs simprbi elin1d cgrp eqid iscyg subgbas rexeqdv mpbird ad2antrr
      simpr simplr subgmulg syl3anc mpteq2dva rneqd adantr rexbidva ssrexv sylc
      eqeq12d ralrimiva mpteq2dv eqeq1d ac6sfi simprl feq2d mpbid iswrdi eleq2d
      syl2anc biimpa simprr simpl fveq2d oveq2d fveq2 rspccva sylan eqtri fmptd
      eqeltrd syldan cbvmptv raleqdv mpteq12 eqtrid dprdf eqtr4d breqtrrd eqtrd
      feqmptd simplrr 3jca jca ex eximdv mpd df-rex sylibr ablfac r19.29a ) AIU
      AUCZUDUEZUFZIUUDUDUGZCRZSZBUCZUEZDEUHZIEUUEUFZIEUDUGZCRZUIZBCUJZUKZUADUJZ
      AUUDUUSTZSZUUISZUUJUUQTZUUPSZBULZUURUVBUUDUEZCUUJUHZHUMHUCZGUCZUUJUOZFUGZ
      UNZUPZUVIUUDUOZRZGUVFUQZSZBULZUVEUVBUVFURTHUMUVHQUCZFUGZUNZUPZUVNRZQCUKZG
      UVFUQUVRUVBUVFVHUUDUSUOZUTUGZURUVBUWFDUUDUUTUWFDUUDUHAUUIDUUDVAVBZVCZVHUW
      EVDVEUVBUWDGUVFUVBUVIUVFTSZUVNCVIZUWCQUVNUKZUWDUWIUVNIVFUOZTZUWJUWIUVNDTZ
      UWMUVBUVFDUVIUUDUVBUWFDUUDUWGVGZVJZUWNUWMIUVNVKUGZVLVMUPZVNZTZIJUCZVKUGZU
      WSTUWTJUVNUWLDUXAUVNRUXBUWQUWSUXAUVNIVKVOVPLVQZVRVSZCUVNIKWAVSUWIUWKHUMUV
      HUVSUWQVTUOZUGZUNZUPZUWQWBUOZRZQUVNUKZUWIUXKUXJQUXIUKZUWIUWQVLTZUXLUWIVLU
      WRUWQUWIUWNUWTUWPUWNUWMUWTUXCWCVSWDUXMUWQWETUXLQUXIUXEHUWQUXIWFUXEWFZWGWC
      VSUWIUXJQUVNUXIUWIUWMUVNUXIRZUXDUVNIUWQUWQWFZWHVSZWIWJUWIUWCUXJQUVNUWIUVS
      UVNTZSZUWBUXHUVNUXIUXSUWAUXGUXSHUMUVTUXFUXSUVHUMTZSUWMUXTUXRUVTUXFRUWIUWM
      UXRUXTUXDWKUXSUXTWLUWIUXRUXTWMUVNUXEFIUWQUVHUVSOUXPUXNWNWOWPWQUWIUXOUXRUX
      QWRXBWSWJUWCQUVNCWTXAXCUWCUVOGQUVFCBUVSUVJRZUWBUVMUVNUYAUWAUVLUYAHUMUVTUV
      KUVSUVJUVHFVOXDWQXEXFXLUVBUVQUVDBUVBUVQUVDUVBUVQSZUVCUUPUYBUWFCUUJUHZUVCU
      YBUVGUYCUVBUVGUVPXGZUYBUVFUWFCUUJUVBUVFUWFRUVQUWHWRXHXICUWEUUJXJVSUYBUULU
      UMUUOUYBUBUUKHUMUVHUBUCZUUJUOZFUGZUNZUPZDEUYBUYEUUKTZUYEUVFTZUYIDTUYBUYJU
      YKUYBUUKUVFUYEUYBUVFCUUJUYDVCZXKXMUYBUYKSUYIUYEUUDUOZDUYBUVPUYKUYIUYMRZUV
      BUVGUVPXNZUVOUYNGUYEUVFUVIUYERZUVMUYIUVNUYMUYPUVLUYHUYPHUMUVKUYGUYPUXTSZU
      VJUYFUVHFUYQUVIUYEUUJUYPUXTXOXPXQWPWQUVIUYEUUDXRXBXSXTUYBUVFDUYEUUDUVBUVF
      DUUDUHUVQUWOWRVJYCYDEGUUKUVMUNZUBUUKUYIUNPGUBUUKUVMUYIUYPUVLUYHUYPHUMUVKU
      YGUYPUVJUYFUVHFUVIUYEUUJXRXQXDWQYEYAYBUYBIUUDEUUEUVBUUFUVQUVAUUFUUHXGWRZU
      YBEGUVFUVNUNZUUDUYBEUYRUYTPUYBUUKUVFRUVOGUUKUQZUYRUYTRUYLUYBVUAUVPUYOUYBU
      VOGUUKUVFUYLYFWJGUUKUVMUVFUVNYGXLYHUYBGUVFUWLUUDUYBUUFUVFUWLUUDUHUYSUUDIY
      IVSYMYJZYKUYBUUNUUGCUYBEUUDIUDVUBXQUVAUUFUUHUVQYNYLYOYPYQYRYSUUPBUUQYTUUA
      ACDIUAJKLMNUUBUUC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Simple groups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Definition and basic properties
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c SimpGrp $.

  $( Extend class notation with the class of simple groups. $)
  csimpg $a class SimpGrp $.

  $( Define class of all simple groups.  A simple group is a group ( ~ df-grp )
     with exactly two normal subgroups.  These are always the subgroup of all
     elements and the subgroup containing only the identity ( ~ simpgnsgbid ).
     (Contributed by Rohan Ridenour, 3-Aug-2023.) $)
  df-simpg $a |- SimpGrp = { g e. Grp | ( NrmSGrp ` g ) ~~ 2o } $.

  ${
    $d g G $.
    $( The predicate "is a simple group".  (Contributed by Rohan Ridenour,
       3-Aug-2023.) $)
    issimpg $p |- ( G e. SimpGrp <-> ( G e. Grp /\ ( NrmSGrp ` G ) ~~ 2o ) ) $=
      ( vg cnsg cfv c2o cen wbr cgrp csimpg wceq fveq2 breq1d df-simpg elrab2
      cv ) BOZCDZEFGACDZEFGBAHIPAJQREFPACKLBMN $.
  $}

  ${
    issimpgd.1 $e |- ( ph -> G e. Grp ) $.
    issimpgd.2 $e |- ( ph -> ( NrmSGrp ` G ) ~~ 2o ) $.
    $( Deduce a simple group from its properties.  (Contributed by Rohan
       Ridenour, 3-Aug-2023.) $)
    issimpgd $p |- ( ph -> G e. SimpGrp ) $=
      ( cgrp wcel cnsg cfv c2o cen wbr csimpg issimpg sylanbrc ) ABEFBGHIJKBLFC
      DBMN $.
  $}

  $( A simple group is a group.  (Contributed by Rohan Ridenour,
     3-Aug-2023.) $)
  simpggrp $p |- ( G e. SimpGrp -> G e. Grp ) $=
    ( csimpg wcel cgrp cnsg cfv c2o cen wbr issimpg simplbi ) ABCADCAEFGHIAJK
    $.

  ${
    simpggrpd.1 $e |- ( ph -> G e. SimpGrp ) $.
    $( A simple group is a group.  (Contributed by Rohan Ridenour,
       3-Aug-2023.) $)
    simpggrpd $p |- ( ph -> G e. Grp ) $=
      ( csimpg wcel cgrp simpggrp syl ) ABDEBFECBGH $.
  $}

  $( A simple group has two normal subgroups.  (Contributed by Rohan Ridenour,
     3-Aug-2023.) $)
  simpg2nsg $p |- ( G e. SimpGrp -> ( NrmSGrp ` G ) ~~ 2o ) $=
    ( csimpg wcel cgrp cnsg cfv c2o cen wbr issimpg simprbi ) ABCADCAEFGHIAJK
    $.

  ${
    trivnsimpgd.1 $e |- B = ( Base ` G ) $.
    trivnsimpgd.2 $e |- .0. = ( 0g ` G ) $.
    trivnsimpgd.3 $e |- ( ph -> G e. Grp ) $.
    trivnsimpgd.4 $e |- ( ph -> B = { .0. } ) $.
    $( Trivial groups are not simple.  (Contributed by Rohan Ridenour,
       3-Aug-2023.) $)
    trivnsimpgd $p |- ( ph -> -. G e. SimpGrp ) $=
      ( cnsg cfv c2o cen wbr csimpg wcel csn snnen2o trivnsgd breq1d mtbiri
      simpg2nsg nsyl ) ACIJZKLMZCNOAUDBPZKLMBQAUCUEKLABCDEFGHRSTCUAUB $.
  $}

  ${
    simpgntrivd.1 $e |- B = ( Base ` G ) $.
    simpgntrivd.2 $e |- .0. = ( 0g ` G ) $.
    simpgntrivd.3 $e |- ( ph -> G e. SimpGrp ) $.
    $( Simple groups are nontrivial.  (Contributed by Rohan Ridenour,
       3-Aug-2023.) $)
    simpgntrivd $p |- ( ph -> -. B = { .0. } ) $=
      ( csn wceq csimpg wcel adantr cgrp simpggrpd simpr trivnsimpgd pm2.65da
      wa ) ABDHIZCJKZATSGLASRBCDEFACMKSACGNLASOPQ $.
  $}

  ${
    $d x .0. $.  $d x B $.
    simpgnideld.1 $e |- B = ( Base ` G ) $.
    simpgnideld.2 $e |- .0. = ( 0g ` G ) $.
    simpgnideld.3 $e |- ( ph -> G e. SimpGrp ) $.
    $( A simple group contains a nonidentity element.  (Contributed by Rohan
       Ridenour, 3-Aug-2023.) $)
    simpgnideld $p |- ( ph -> E. x e. B -. x = .0. ) $=
      ( cv wceq wral wn wrex csn simpgntrivd c0 wne wb cgrp wcel cmnd simpggrpd
      grpmnd mndidcl 3syl ne0d eqsn syl mtbid rexnal sylibr ) ABIEJZBCKZLULLBCM
      ACENJZUMACDEFGHOACPQUNUMRACEADSTDUATECTADHUBDUCCDEFGUDUEUFBCEUGUHUIULBCUJ
      UK $.
  $}

  ${
    simpgnsgd.1 $e |- B = ( Base ` G ) $.
    simpgnsgd.2 $e |- .0. = ( 0g ` G ) $.
    simpgnsgd.3 $e |- ( ph -> G e. SimpGrp ) $.
    $( The only normal subgroups of a simple group are the group itself and the
       trivial group.  (Contributed by Rohan Ridenour, 3-Aug-2023.) $)
    simpgnsgd $p |- ( ph -> ( NrmSGrp ` G ) = { { .0. } , B } ) $=
      ( cnsg cfv csn c2o cfn wcel cen wbr a1i syl syl2anc cvv cbs cpr 2onn nnfi
      com simpg2nsg enfii simpggrpd 0idnsgd snex wceq fvex eqeltrdi simpgntrivd
      csimpg neqcomd enpr2d ensymd entr phpeqd ) ACHIZDJZBUAZAKLMZUTKNOZUTLMAKU
      DMZVCVEAUBPKUCQACUNMVDGCUEQZUTKUFRABCDEFACGUGUHAVDKVBNOUTVBNOVFAVBKAVABSS
      VASMADUIPABCTIZSBVGUJAEPCTUKULABVAABCDEFGUMUOUPUQUTKVBURRUS $.
  $}

  ${
    simpgnsgeqd.1 $e |- B = ( Base ` G ) $.
    simpgnsgeqd.2 $e |- .0. = ( 0g ` G ) $.
    simpgnsgeqd.3 $e |- ( ph -> G e. SimpGrp ) $.
    simpgnsgeqd.4 $e |- ( ph -> A e. ( NrmSGrp ` G ) ) $.
    $( A normal subgroup of a simple group is either the whole group or the
       trivial subgroup.  (Contributed by Rohan Ridenour, 3-Aug-2023.) $)
    simpgnsgeqd $p |- ( ph -> ( A = { .0. } \/ A = B ) ) $=
      ( csn cpr wcel wceq wo cnsg cfv simpgnsgd eleqtrd elpri syl ) ABEJZCKZLBU
      AMBCMNABDOPUBIACDEFGHQRBUACST $.
  $}

  ${
    $d ph x $.  $d x .0. $.  $d x B $.  $d x G $.
    2nsgsimpgd.1 $e |- B = ( Base ` G ) $.
    2nsgsimpgd.2 $e |- .0. = ( 0g ` G ) $.
    2nsgsimpgd.3 $e |- ( ph -> G e. Grp ) $.
    2nsgsimpgd.4 $e |- ( ph -> -. { .0. } = B ) $.
    2nsgsimpgd.5 $e |- ( ( ph /\ x e. ( NrmSGrp ` G ) ) ->
      ( x = { .0. } \/ x = B ) ) $.
    $( If any normal subgroup of a nontrivial group is either the trivial
       subgroup or the whole group, the group is simple.  (Contributed by Rohan
       Ridenour, 3-Aug-2023.) $)
    2nsgsimpgd $p |- ( ph -> G e. SimpGrp ) $=
      ( wcel wa wceq adantl simpr syl adantr eqeltrd adantlr cvv cfv csn cpr cv
      cnsg c2o cen wo elprg mpbird cgrp 0nsg nsgid elpri mpjaodan impbida eqrdv
      wb snex a1i cbs fvexi enpr2d eqbrtrd issimpgd ) ADHADUEUAZEUBZCUCZUFUGABV
      FVHABUDZVFKZVIVHKZAVJLVKVIVGMZVICMZUHZJVJVKVNURAVIVGCVFUINUJAVKLVLVJVMAVL
      VJVKAVLLVIVGVFAVLOAVGVFKZVLADUKKZVOHDEGULPQRSAVMVJVKAVMLVICVFAVMOACVFKZVM
      AVPVQHCDFUMPQRSVKVNAVIVGCUNNUOUPUQAVGCTTVGTKAEUSUTCTKACDVAFVBUTIVCVDVE $.
  $}

  ${
    $d ph x $.  $d x .0. $.  $d x B $.  $d x G $.
    simpgnsgbid.1 $e |- B = ( Base ` G ) $.
    simpgnsgbid.2 $e |- .0. = ( 0g ` G ) $.
    simpgnsgbid.3 $e |- ( ph -> G e. Grp ) $.
    simpgnsgbid.4 $e |- ( ph -> -. { .0. } = B ) $.
    $( A nontrivial group is simple if and only if its normal subgroups are
       exactly the group itself and the trivial subgroup.  (Contributed by
       Rohan Ridenour, 4-Aug-2023.) $)
    simpgnsgbid $p |- ( ph ->
    ( G e. SimpGrp <-> ( NrmSGrp ` G ) = { { .0. } , B } ) ) $=
      ( vx csimpg wcel cnsg cfv csn cpr wceq wa simpr simpgnsgd adantr wn cv wo
      cgrp simplr eleqtrd elpri syl 2nsgsimpgd impbida ) ACJKZCLMZDNZBOZPZAUKQB
      CDEFAUKRSAUOQZIBCDEFACUDKUOGTAUMBPUAUOHTUPIUBZULKZQZUQUNKUQUMPUQBPUCUSUQU
      LUNUPURRAUOURUEUFUQUMBUGUHUIUJ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Classification of abelian simple groups
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    ablsimpnosubgd.1 $e |- B = ( Base ` G ) $.
    ablsimpnosubgd.2 $e |- .0. = ( 0g ` G ) $.
    ablsimpnosubgd.3 $e |- ( ph -> G e. Abel ) $.
    ablsimpnosubgd.4 $e |- ( ph -> G e. SimpGrp ) $.
    ablsimpnosubgd.5 $e |- ( ph -> S e. ( SubGrp ` G ) ) $.
    ablsimpnosubgd.6 $e |- ( ph -> A e. S ) $.
    ablsimpnosubgd.7 $e |- ( ph -> -. A = .0. ) $.
    $( A subgroup of an abelian simple group containing a nonidentity element
       is the whole group.  (Contributed by Rohan Ridenour, 3-Aug-2023.) $)
    ablsimpnosubgd $p |- ( ph -> S = B ) $=
      ( csn wceq wcel elsni nsyl eleq2 cfv syl5ibcom mtod pm2.21d idd cnsg cabl
      csubg ablnsg eqcomd syl eleqtrd simpgnsgeqd mpjaod ) ADFNZOZDCOZUPAUOUPAU
      OBUNPZABFOUQMBFQRABDPUOUQLDUNBSUAUBUCAUPUDADCEFGHJADEUGTZEUETZKAEUFPZURUS
      OIUTUSUREUHUIUJUKULUM $.
  $}

  ${
    $d ph n $.  $d .x. n $.  $d A n $.  $d C n $.  $d B n $.  $d G n $.
    ablsimpg1gend.1 $e |- B = ( Base ` G ) $.
    ablsimpg1gend.2 $e |- .0. = ( 0g ` G ) $.
    ablsimpg1gend.3 $e |- .x. = ( .g ` G ) $.
    ablsimpg1gend.4 $e |- ( ph -> G e. Abel ) $.
    ablsimpg1gend.5 $e |- ( ph -> G e. SimpGrp ) $.
    ablsimpg1gend.6 $e |- ( ph -> A e. B ) $.
    ablsimpg1gend.7 $e |- ( ph -> -. A = .0. ) $.
    ablsimpg1gend.8 $e |- ( ph -> C e. B ) $.
    $( An abelian simple group is generated by any non-identity element.
       (Contributed by Rohan Ridenour, 3-Aug-2023.) $)
    ablsimpg1gend $p |- ( ph -> E. n e. ZZ C = ( n .x. A ) ) $=
      ( cz cv co cmpt simpggrpd cycsubgcld cycsubggend ablsimpnosubgd elrnmpt2d
      eqid crn eleqtrrd ) AFQFRBESZDFQUITZUJUFZADCUJUGZPABCULGHIJLMABCEFUJGIKUK
      AGMUANUBABCEFUJGIKUKNUCOUDUHUE $.
  $}

  ${
    $d ph x y z $.  $d x y z G $.
    ablsimpgcygd.1 $e |- ( ph -> G e. Abel ) $.
    ablsimpgcygd.2 $e |- ( ph -> G e. SimpGrp ) $.
    $( An abelian simple group is cyclic.  (Contributed by Rohan Ridenour,
       3-Aug-2023.)  (Proof shortened by Rohan Ridenour, 31-Oct-2023.) $)
    ablsimpgcygd $p |- ( ph -> G e. CycGrp ) $=
      ( vx vy vz cv c0g cfv wceq wn ccyg wcel cbs eqid simpgnideld cmg ad2antrr
      wa cgrp simpggrpd adantr simprl cabl csimpg simplrl simplrr ablsimpg1gend
      simpr iscygd rexlimddv ) AEHZBIJZKLZBMNEBOJZAEUPBUNUPPZUNPZDQAUMUPNZUOTZT
      ZFUPBRJZGBUMUQVBPZABUANUTABDUBUCAUSUOUDVAFHZUPNZTUMUPVDVBGBUNUQURVCABUENU
      TVECSABUFNUTVEDSAUSUOVEUGAUSUOVEUHVAVEUJUIUKUL $.
  $}

  ${
    $d y G $.  $d y .x. $.  $d y O $.  $d ph x y $.  $d x y .0. $.  $d x y B $.
    ablsimpgfindlem1.1 $e |- B = ( Base ` G ) $.
    ablsimpgfindlem1.2 $e |- .0. = ( 0g ` G ) $.
    ablsimpgfindlem1.3 $e |- .x. = ( .g ` G ) $.
    ablsimpgfindlem1.4 $e |- O = ( od ` G ) $.
    ablsimpgfindlem1.5 $e |- ( ph -> G e. Abel ) $.
    ablsimpgfindlem1.6 $e |- ( ph -> G e. SimpGrp ) $.
    $( Lemma for ~ ablsimpgfind .  An element of an abelian finite simple group
       which doesn't square to the identity has finite order.  (Contributed by
       Rohan Ridenour, 3-Aug-2023.)  (Proof shortened by Rohan Ridenour,
       31-Oct-2023.) $)
    ablsimpgfindlem1 $p |- ( ( ( ph /\ x e. B ) /\ ( 2 .x. x ) =/= .0. )
                             -> ( O ` x ) =/= 0 ) $=
      ( vy wcel co wne wceq 3ad2ant1 wa cv c2 cfv cc0 w3a cabl csimpg simpggrpd
      cz cgrp 2z a1i simp2 mulgcld simp3 neneqd ablsimpg1gend cmul c1 cdvds wbr
      cmin wn simprr simpl2 mulg1 syl adantr mulgassr syl13anc 3eqtr4rd zmulcld
      simprl wb 1zzd odcong syl112anc mpbird 0zd caddc 2t0e0 oveq1i 0p1e1 eqtri
      zneo neeqtrd oveq1 eqtr2di adantl cc 2cnd mulcld 1cnd npcan syl2an eqtr2d
      zcn ex necon3ad syl5 anabsi5 syl2anc zsubcld 0dvds mtbird rexlimddv 3expa
      nbrne2 ) ABUAZCOZUBZXIDPZGQZXIFUCZUDZQZAXJXMUEZXINUAZXLDPZRZXPNUIZXQXLCXI
      DNEGHIJAXJEUFOXMLSAXJEUGOXMMSXQCDEXKXIHJAXJEUJOZXMAEMUHSZXKYAOZXQUKZULAXJ
      XMUMZUNXQXLGAXJXMUOUPYFUQXQXRYAOZXTTZTZXNXKXRURZPZUSZVBPZUTZVAZXOYMYNVAZV
      CXPYIYOYKXIDPZYLXIDPZRZYIXIXSYRYQXQYGXTVDYIXJYRXIRAXJXMYHVEZCDEXIHJVFVGYI
      YBYGYDXJYQXSRXQYBYHYCVHZXQYGXTVMZYDYIYEULZYTCDEXRXKXIHJVIVJVKYIYBXJYKYAOY
      LYAOYOYSVNUUAYTYIXKXRUUCUUBVLZYIVOZXIDEYKYLFCGHKJIVPVQVRYIYPYMXORZYIYGXOY
      AOZUUFVCZUUBYIVSYGUUGUUHYGUUGTZYKYLQYGUUHUUIYKXKXOYJPZYLVTZPZYLXRXOWEUULY
      LRUUIUULXOYLUUKPZYLUUJXOYLUUKWAWBWCZWDULWFYGUUFYKYLYGUUFYKYLRYGUUFTYLYMYL
      UUKPZYKUUFYLUUORYGUUFUUOUUMYLYMXOYLUUKWGUUNWHWIYGYKWJZOYLUUPOUUOYKRUUFYGX
      KXRYGWKXRWQWLUUFWMYKYLWNWOWPWRWSWTXAXBYIYMYAOYPUUFVNYIYKYLUUDUUEXCYMXDVGX
      EXNXOYMYNXHXBXFXG $.

    $( Lemma for ~ ablsimpgfind .  An element of an abelian finite simple group
       which squares to the identity has finite order.  (Contributed by Rohan
       Ridenour, 3-Aug-2023.) $)
    ablsimpgfindlem2 $p |- ( ( ( ph /\ x e. B ) /\ ( 2 .x. x ) = .0. ) ->
      ( O ` x ) =/= 0 ) $=
      ( wcel wa c2 wceq cdvds wbr cc0 cv co cfv wn wne simpr cgrp w3a simpggrpd
      cz wb adantr 2z a1i 3jca oddvds syl mpbird 2ne0 neneqd 0dvds ax-mp nbrne2
      sylnibr syl2anc ) ABUAZCNZOZPVFDUBGQZOZVFFUCZPRSZTPRSZUDVKTUEVJVLVIVHVIUF
      VJEUGNZVGPUJNZUHZVLVIUKVHVPVIVHVNVGVOAVNVGAEMUIULAVGUFVOVHUMUNUOULVFDEPFC
      GHKJIUPUQURVJPTQZVMVJPTPTUEVJUSUNUTVOVMVQUKUMPVAVBVDVKTPRVCVE $.
  $}

  ${
    $d .x. n $.  $d A n $.  $d B n $.  $d n G $.  $d n O $.
    cycsubggenodd.1 $e |- B = ( Base ` G ) $.
    cycsubggenodd.2 $e |- .x. = ( .g ` G ) $.
    cycsubggenodd.3 $e |- O = ( od ` G ) $.
    cycsubggenodd.4 $e |- ( ph -> G e. Grp ) $.
    cycsubggenodd.5 $e |- ( ph -> A e. B ) $.
    cycsubggenodd.6 $e |- ( ph -> C = ran ( n e. ZZ |-> ( n .x. A ) ) ) $.
    $( Relationship between the order of a subgroup and the order of a
       generator of the subgroup.  (Contributed by Rohan Ridenour,
       3-Aug-2023.) $)
    cycsubggenodd $p |- ( ph ->
      ( O ` A ) = if ( C e. Fin , ( # ` C ) , 0 ) ) $=
      ( cfv cfn wcel chash cc0 cif cz cv cmpt crn cgrp wceq eqid syl2anc eqcomd
      co dfod2 eleq1d fveq2d ifbieq1d eqtrd ) ABHOZFUAFUBBEUJUCZUDZPQZURROZSTZD
      PQZDROZSTAGUEQBCQUPVAUFLMFBEUQGHCIKJUQUGUKUHAUSVBUTVCSAURDPADURNUIZULAURD
      RVDUMUNUO $.
  $}

  ${
    $d B n $.  $d n G $.  $d ph x n $.  $d x y G $.  $d ph x y $.  $d x y B $.
    $d y n $.
    ablsimpgfind.1 $e |- B = ( Base ` G ) $.
    ablsimpgfind.2 $e |- ( ph -> G e. Abel ) $.
    ablsimpgfind.3 $e |- ( ph -> G e. SimpGrp ) $.
    $( An abelian simple group is finite.  (Contributed by Rohan Ridenour,
       3-Aug-2023.) $)
    ablsimpgfind $p |- ( ph -> B e. Fin ) $=
      ( vx vn vy wcel wa cfv cc0 wne cv wrex eqid adantr cz ad2antrr wfal chash
      cfn cif simpr iffalsed c0g wceq simpgnideld neqne reximi syl cod cmg cgrp
      wn simpggrpd simprl cab cmpt crn cabl csimpg simplrr neneqd ablsimpg1gend
      co simprr mulgcld eqeltrd rexlimdvaa impbid abbi2dv eqtr4di cycsubggenodd
      ex rnmpt c2 ablsimpgfindlem2 ablsimpgfindlem1 pm2.61dane adantrr eqnetrrd
      rexlimddv pm2.21ddne efald ) ABUCJZAWGUPZKZUAWGBUBLZMUDZMWIWGWJMAWHUEUFAW
      KMNZWHAGOZCUGLZNZWLGBAWMWNUHUPZGBPWOGBPAGBCWNDWNQZFUIWPWOGBWMWNUJUKULAWMB
      JZWOKZKZWMCUMLZLZWKMWTWMBBCUNLZHCXADXCQZXAQZACUOJZWSACFUQZRAWRWOURZWTBIOZ
      HOZWMXCVGZUHZHSPZIUSHSXKUTZVAWTXMIBWTXIBJZXMWTXOXMWTXOKZWMBXIXCHCWNDWQXDA
      CVBJWSXOETACVCJWSXOFTWTWRXOXHRXPWMWNAWRWOXOVDVEWTXOUEVFVPWTXLXOHSWTXJSJZX
      LKZKZXIXKBWTXQXLVHXSBXCCXJWMDXDAXFWSXRXGTWTXQXLURWTWRXRXHRVIVJVKVLVMHISXK
      XNXNQVQVNVOAWRXBMNZWOAWRKXTVRWMXCVGWNAGBXCCXAWNDWQXDXEEFVSAGBXCCXAWNDWQXD
      XEEFVTWAWBWCWDRWEWF $.
  $}

  ${
    $d .x. n $.  $d A n $.  $d C n $.  $d B n $.  $d G n $.
    fincygsubgd.1 $e |- B = ( Base ` G ) $.
    fincygsubgd.2 $e |- .x. = ( .g ` G ) $.
    fincygsubgd.3 $e |- H = ( n e. ZZ |-> ( n .x. ( C .x. A ) ) ) $.
    fincygsubgd.4 $e |- ( ph -> G e. Grp ) $.
    fincygsubgd.5 $e |- ( ph -> A e. B ) $.
    fincygsubgd.6 $e |- ( ph -> C e. NN ) $.
    $( The subgroup referenced in ~ fincygsubgodd is a subgroup.  (Contributed
       by Rohan Ridenour, 3-Aug-2023.) $)
    fincygsubgd $p |- ( ph -> ran H e. ( SubGrp ` G ) ) $=
      ( co nnzd mulgcld cycsubgcld ) ADBEOCEFHGIJKLACEGDBIJLADNPMQR $.
  $}

  ${
    $d .x. n $.  $d A n $.  $d B n $.  $d C n $.  $d n G $.
    fincygsubgodd.1 $e |- B = ( Base ` G ) $.
    fincygsubgodd.2 $e |- .x. = ( .g ` G ) $.
    fincygsubgodd.3 $e |- D = ( ( # ` B ) / C ) $.
    fincygsubgodd.4 $e |- F = ( n e. ZZ |-> ( n .x. A ) ) $.
    fincygsubgodd.5 $e |- H = ( n e. ZZ |-> ( n .x. ( C .x. A ) ) ) $.
    fincygsubgodd.6 $e |- ( ph -> G e. Grp ) $.
    fincygsubgodd.7 $e |- ( ph -> A e. B ) $.
    fincygsubgodd.8 $e |- ( ph -> ran F = B ) $.
    fincygsubgodd.9 $e |- ( ph -> C || ( # ` B ) ) $.
    fincygsubgodd.10 $e |- ( ph -> B e. Fin ) $.
    fincygsubgodd.11 $e |- ( ph -> C e. NN ) $.
    $( Calculate the order of a subgroup of a finite cyclic group.
       (Contributed by Rohan Ridenour, 3-Aug-2023.) $)
    fincygsubgodd $p |- ( ph -> ( # ` ran H ) = D ) $=
      ( co cod cfv crn cfn wcel chash cc0 cdiv eqid cz cmpt rneqi cycsubggenodd
      cif cv eqtr3di iftrued oveq1d wceq cmul cgcd cgrp nnzd odmulg syl3anc cn0
      eqtrd odcl nn0z 3syl cdvds breqtrrd dvdsgcdidd nn0cnd mulgcld zcnd nnne0d
      odcld divmul2d mpbird eqtr3d eqtrid a1i wn iffalse sylan9eq cc hashelne0d
      hashcl nn0cn neqned divne0d eqnetrd neneqd adantr condan 3eqtrrd ) AEDBFU
      BZIUCUDZUDZJUEZUFUGZXCUHUDZUIUPZXEAECUHUDZDUJUBZXBMABXAUDZDUJUBZXHXBAXIXG
      DUJAXICUFUGZXGUIUPXGABCCFGIXAKLXAUKZPQAHUECGULGUQZBFUBUMZUERHXNNUNURUOAXK
      XGUITUSVIZUTAXJXBVAXIDXBVBUBZVAAXIDXIVCUBZXBVBUBZXPAIVDUGBCUGZDULUGXIXRVA
      PQADUAVEZBFIDXACKXLLVFVGAXQDXBVBADXIUAAXSXIVHUGXIULUGQBIXACKXLVJXIVKVLADX
      GXIVMSXOVNVOUTVIAXIXBDAXIABCIXAKXLQVTVPAXBAWTCIXAKXLACFIDBKLPXTQVQZVTVPAD
      XTVRZADUAVSZWAWBWCWDZAWTCXCFGIXAKLXLPYAXCGULXMWTFUBUMZUEVAAJYEOUNWEUOZAXD
      XEUIAXDEUIVAZAXDWFZEXFUIAEXBXFYDYFVIXDXEUIWGWHAYGWFYHAEUIAEXHUIEXHVAAMWEA
      XGDAXKXGVHUGXGWIUGTCWKXGWLVLYBAXGUIACBUFQTWJWMYCWNWOWPWQWRUSWS $.
  $}

  ${
    $d ph x y $.  $d x y B n $.  $d x y C n $.  $d x y n G $.
    fincygsubgodexd.1 $e |- B = ( Base ` G ) $.
    fincygsubgodexd.2 $e |- ( ph -> G e. CycGrp ) $.
    fincygsubgodexd.3 $e |- ( ph -> C || ( # ` B ) ) $.
    fincygsubgodexd.4 $e |- ( ph -> B e. Fin ) $.
    fincygsubgodexd.5 $e |- ( ph -> C e. NN ) $.
    $( A finite cyclic group has subgroups of every possible order.
       (Contributed by Rohan Ridenour, 3-Aug-2023.) $)
    fincygsubgodexd $p |- ( ph -> E. x e. ( SubGrp ` G ) ( # ` x ) = C ) $=
      ( vn vy cv cfv co wceq chash wcel eqid adantr cz cmg cmpt csubg wrex ccyg
      crn cgrp iscyg simprbi syl wa cdiv cyggrp simprl cn cdvds wb hashfingrpnn
      wbr nndivdvds syl2anc mpbid fincygsubgd fveq2d simprr cc0 wne divconjdvds
      simpr nnne0d cfn fincygsubgodd nncnd ddcand 3eqtrd rspcedeq1vd rexlimddv
      ad2antrr ) AKUAKMZLMZEUBNZOUCZUGCPZBMZQNZDPBEUDNZUELCAEUFRZWDLCUEZGWHEUHR
      ZWILCWBKEFWBSZUIUJUKAWACRZWDULZULZBKUAVTCQNZDUMOZWAWBOWBOUCZUGZWGWFDWNWAC
      WPWBKEWQFWKWQSZAWJWMAWHWJGEUNUKZTZAWLWDUOZAWPUPRZWMADWOUQUTZXCHAWOUPRDUPR
      XDXCURACEFWTIUSZJWODVAVBVCTZVDWNWEWRPZULZWFWRQNZWOWPUMOZDXHWEWRQWNXGVJVEW
      NXIXJPXGWNWACWPXJWBKWCEWQFWKXJSWCSWSXAXBAWLWDVFAWPWOUQUTZWMAXDDVGVHXKHADJ
      VKZDWOVIVBTACVLRWMITXFVMTAXJDPWMXGAWODAWOXEVNADJVNAWOXEVKXLVOVSVPVQVR $.
  $}

  ${
    $d ph x $.  $d x B $.  $d x G $.
    prmgrpsimpgd.1 $e |- B = ( Base ` G ) $.
    prmgrpsimpgd.2 $e |- ( ph -> G e. Grp ) $.
    prmgrpsimpgd.3 $e |- ( ph -> ( # ` B ) e. Prime ) $.
    $( A group of prime order is simple.  (Contributed by Rohan Ridenour,
       3-Aug-2023.) $)
    prmgrpsimpgd $p |- ( ph -> G e. SimpGrp ) $=
      ( vx c0g cfv eqid wceq c1 cprime wcel wa chash adantl cvv adantr a1i mp1i
      csn fveq2 fvexi hashsng eqtr3d eqeltrrd wn 1nprm pm2.65da cv cnsg nsgsubg
      csubg wo cfn cn0 wi cbs cn prmnn nnnn0d hashvnfin syl2anc ad2antrr subgss
      syl mpi wss ad2antlr simpr phphashrd olcd subg0cl vex hash1elsn cdvds wbr
      orcd lagsubg sylan2 ancoms cc0 wne ssfid hashcl hashelne0d neqned elnnne0
      wb sylanbrc dvdsprime mpbid mpjaodan 2nsgsimpgd ) AGBCCHIZDWPJZEAWPUBZBKZ
      LMNZAWSOZBPIZLMXAWRPIZXBLWSXCXBKAWRBPUCQWPRNXCLKXAWPCHWQUDWPRUEUAUFAXBMNZ
      WSFSUGWTUHXAUITUJGUKZCULINAXECUNINZXEWRKZXEBKZUOZXECUMAXFOZXEPIZXBKZXIXKL
      KZXJXLOZXHXGXNXEBABUPNZXFXLAXBXBKZXOXBJABRNZXBUQNXPXOURXQABCUSDUDTAXBAXDX
      BUTNFXBVAVGVBBXBRVCVDVHZVEXFXEBVIZAXLBXECDVFZVJXJXLVKVLVMXJXMOZXGXHYAXEWP
      RXJXMVKXFWPXENZAXMXECWPWQVNZVJXERNZYAGVOZTVPVSXJXKXBVQVRZXLXMUOZXFAYFAXFX
      OYFXRCBXEDVTWAWBXJXDXKUTNZYFYGWJAXDXFFSXJXKUQNZXKWCWDYHXJXEUPNYIXJBXEAXOX
      FXRSXFXSAXTQWEXEWFVGXJXKWCXJXEWPRXFYBAYCQYDXJYETWGWHXKWIWKXBXKWLVDWMWNWAW
      O $.
  $}

  ${
    $d x G $.  $d ph x y $.  $d x y B $.
    ablsimpgprmd.1 $e |- B = ( Base ` G ) $.
    ablsimpgprmd.2 $e |- ( ph -> G e. Abel ) $.
    ablsimpgprmd.3 $e |- ( ph -> G e. SimpGrp ) $.
    $( An abelian simple group has prime order.  (Contributed by Rohan
       Ridenour, 3-Aug-2023.) $)
    ablsimpgprmd $p |- ( ph -> ( # ` B ) e. Prime ) $=
      ( vy vx chash cfv wcel cv c1 wceq wo cn c0g wa simpr adantr cuz cdvds wbr
      c2 wi wral cprime wn csn cfn cgrp simpggrpd eqid grpidcl syl ablsimpgfind
      hash1elsn csimpg simpgntrivd pm2.65da hashfingrpnn elnn1uz2 sylib ord mpd
      w3a csubg ablsimpgcygd 3ad2ant1 simp3 simp2 fincygsubgodexd simpl1 simprl
      ccyg cnsg cabl ablnsg 3syl eleqtrrd simpgnsgeqd simplrr cvv fvexi hashsng
      fveq2d mp1i 3eqtr3d ex eqtr3d orim12d rexlimddv ralrimiv isprm2 sylanbrc
      3exp ) ABIJZUDUAJKZGLZWQUBUCZWSMNZWSWQNZOZUEZGPUFWQUGKAWQMNZUHWRAXEBCQJZU
      IZNAXERZBXFUJAXESAXFBKZXEACUKKXIACFULZBCXFDXFUMZUNUOTABUJKZXEABCDEFUPZTUQ
      XHBCXFDXKACURKZXEFTUSUTAXEWRAWQPKXEWROABCDXJXMVAWQVBVCVDVEAXDGPAWSPKZWTXC
      AXOWTVFZHLZIJZWSNZXCHCVGJZXPHBWSCDAXOCVOKWTACEFVHVIAXOWTVJAXOXLWTXMVIAXOW
      TVKVLXPXQXTKZXSRZRZXQXGNZXQBNZOXCYCXQBCXFDXKYCAXNAXOWTYBVMZFUOYCXQXTCVPJZ
      XPYAXSVNYCACVQKYGXTNYFECVRVSVTWAYCYDXAYEXBYCYDXAYCYDRZXRXGIJZWSMYHXQXGIYC
      YDSWFXPYAXSYDWBXFWCKYIMNYHXFCQXKWDXFWCWEWGWHWIYCYEXBYCYERZXRWSWQXPYAXSYEW
      BYJXQBIYCYESWFWJWIWKVEWLWPWMGWQWNWO $.
  $}

  ${
    ablsimpgd.1 $e |- B = ( Base ` G ) $.
    ablsimpgd.2 $e |- ( ph -> G e. Abel ) $.
    $( An abelian group is simple if and only if its order is prime.
       (Contributed by Rohan Ridenour, 3-Aug-2023.) $)
    ablsimpgd $p |- ( ph -> ( G e. SimpGrp <-> ( # ` B ) e. Prime ) ) $=
      ( csimpg wcel chash cprime wa cabl adantr simpr ablsimpgprmd cgrp ablgrpd
      cfv prmgrpsimpgd impbida ) ACFGZBHQIGZATJBCDACKGTELATMNAUAJBCDACOGUAACEPL
      AUAMRS $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Rings
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Multiplicative Group
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c mulGrp $. $( Multiplicative group $)

  $( Multiplicative group. $)
  cmgp $a class mulGrp $.

  $( Define a structure that puts the multiplication operation of a ring in the
     addition slot.  Note that this will not actually be a group for the
     average ring, or even for a field, but it will be a monoid, and ~ unitgrp
     shows that we get a group if we restrict to the elements that have
     inverses.  This allows us to formalize such notions as "the multiplication
     operation of a ring is a monoid" ( ~ ringmgp ) or "the multiplicative
     identity" in terms of the identity of a monoid ( ~ df-ur ).  (Contributed
     by Mario Carneiro, 21-Dec-2014.) $)
  df-mgp $a |- mulGrp = ( w e. _V |->
    ( w sSet <. ( +g ` ndx ) , ( .r ` w ) >. ) ) $.

  $( The multiplicative group operator is a function.  (Contributed by Mario
     Carneiro, 11-Mar-2015.) $)
  fnmgp $p |- mulGrp Fn _V $=
    ( vx cvv cv cnx cplusg cfv cmulr cop csts co cmgp ovex df-mgp fnmpti ) ABAC
    ZDEFOGFHZIJKOPILAMN $.

  ${
    $d r R $.  $d r .x. $.
    mgpval.1 $e |- M = ( mulGrp ` R ) $.
    mgpval.2 $e |- .x. = ( .r ` R ) $.
    $( Value of the multiplication group operation.  (Contributed by Mario
       Carneiro, 21-Dec-2014.) $)
    mgpval $p |- M = ( R sSet <. ( +g ` ndx ) , .x. >. ) $=
      ( vr cmgp cfv cnx cplusg cop csts co cvv wcel wceq cv cmulr id fveq2 ovex
      eqtr4di opeq2d oveq12d df-mgp fvmpt wn c0 reldmsets ovprc1 eqtr4d pm2.61i
      fvprc eqtri ) CAGHZAIJHZBKZLMZDANOZUOURPFAFQZUPUTRHZKZLMURNGUTAPZUTAVBUQL
      VCSVCVABUPVCVAARHBUTARTEUBUCUDFUEAUQLUAUFUSUGUOUHURAGUMAUQLUIUJUKULUN $.

    $( Value of the group operation of the multiplication group.  (Contributed
       by Mario Carneiro, 21-Dec-2014.) $)
    mgpplusg $p |- .x. = ( +g ` M ) $=
      ( cvv wcel cplusg cfv wceq cnx csts co cmulr plusgid c0 fvprc eqtrid cmgp
      cop fvexi setsid mpan2 mgpval fveq2i eqtr4di str0 fveq2d 3eqtr4a pm2.61i
      wn ) AFGZBCHIZJULBAKHIZBTLMZHIZUMULBFGBUPJBANEUAFBHFAOUBUCCUOHABCDEUDUEUF
      ULUKZPPHIBUMHUNOUGUQBANIPEANQRUQCPHUQCASIPDASQRUHUIUJ $.
  $}

  ${
    mgpbas.1 $e |- M = ( mulGrp ` R ) $.
    ${
      mgplemOLD.2 $e |- E = Slot N $.
      mgplemOLD.3 $e |- N e. NN $.
      mgplemOLD.4 $e |- N =/= 2 $.
      $( Obsolete version of ~ setsplusg as of 18-Oct-2024.  Lemma for
         ~ mgpbas .  (Contributed by Mario Carneiro, 5-Oct-2015.)
         (Proof modification is discouraged.)  (New usage is discouraged.) $)
      mgplemOLD $p |- ( E ` R ) = ( E ` M ) $=
        ( cfv cnx cplusg cmulr cop csts co ndxid wne c2 ndxarg plusgndx neeq12i
        mpbir setsnid eqid mgpval fveq2i eqtr4i ) ABIAJKIZALIZMNOZBICBIUIUHBABD
        FGPJBIZUHQDRQHUKDUHRBDFGSTUAUBUCCUJBAUICEUIUDUEUFUG $.
    $}

    ${
      mgpbas.2 $e |- B = ( Base ` R ) $.
      $( Base set of the multiplication group.  (Contributed by Mario Carneiro,
         21-Dec-2014.)  (Revised by Mario Carneiro, 5-Oct-2015.) $)
      mgpbas $p |- B = ( Base ` M ) $=
        ( cbs cfv cmulr eqid mgpval baseid basendxnplusgndx setsplusg eqtri ) A
        BFGCFGEBBHGZFCBOCDOIJKLMN $.

      $( Obsolete version of ~ mgpbas as of 18-Oct-2024.  Base set of the
         multiplication group.  (Contributed by Mario Carneiro, 21-Dec-2014.)
         (Revised by Mario Carneiro, 5-Oct-2015.)
         (Proof modification is discouraged.)  (New usage is discouraged.) $)
      mgpbasOLD $p |- B = ( Base ` M ) $=
        ( cbs cfv c1 df-base 1nn 1ne2 mgplemOLD eqtri ) ABFGCFGEBFCHDIJKLM $.
    $}

    ${
      mgpsca.s $e |- S = ( Scalar ` R ) $.
      $( The multiplication monoid has the same (if any) scalars as the
         original ring.  Mostly to simplify ~ pwsmgp .  (Contributed by Mario
         Carneiro, 12-Mar-2015.)  (Revised by Mario Carneiro, 5-May-2015.) $)
      mgpsca $p |- S = ( Scalar ` M ) $=
        ( csca cfv cmulr eqid mgpval scaid scandxnplusgndx setsplusg eqtri ) BA
        FGCFGEAAHGZFCAOCDOIJKLMN $.

      $( Obsolete version of ~ mgpsca as of 18-Oct-2024.  The multiplication
         monoid has the same (if any) scalars as the original ring.  Mostly to
         simplify ~ pwsmgp .  (Contributed by Mario Carneiro, 12-Mar-2015.)
         (Revised by Mario Carneiro, 5-May-2015.)
         (Proof modification is discouraged.)  (New usage is discouraged.) $)
      mgpscaOLD $p |- S = ( Scalar ` M ) $=
        ( csca cfv c5 df-sca 5nn c2 2re 2lt5 gtneii mgplemOLD eqtri ) BAFGCFGEA
        FCHDIJKHLMNOP $.
    $}

    $( Topology component of the multiplication group.  (Contributed by Mario
       Carneiro, 5-Oct-2015.) $)
    mgptset $p |- ( TopSet ` R ) = ( TopSet ` M ) $=
      ( cmulr cfv cts eqid mgpval tsetid tsetndxnplusgndx setsplusg ) AADEZFBAL
      BCLGHIJK $.

    $( Obsolete version of ~ mgptset as of 18-Oct-2024.  Topology component of
       the multiplication group.  (Contributed by Mario Carneiro, 5-Oct-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    mgptsetOLD $p |- ( TopSet ` R ) = ( TopSet ` M ) $=
      ( cts c9 df-tset 9nn c2 2re 2lt9 gtneii mgplemOLD ) ADBECFGHEIJKL $.

    ${
      mgptopn.2 $e |- J = ( TopOpen ` R ) $.
      $( Topology of the multiplication group.  (Contributed by Mario Carneiro,
         5-Oct-2015.) $)
      mgptopn $p |- J = ( TopOpen ` M ) $=
        ( ctopn cfv cts cbs crest co eqid topnval mgpbas mgptset 3eqtr2i ) BAFG
        AHGZAIGZJKCFGERQARLZQLMRQCRACDSNACDOMP $.
    $}

    ${
      mgpds.2 $e |- B = ( dist ` R ) $.
      $( Distance function of the multiplication group.  (Contributed by Mario
         Carneiro, 5-Oct-2015.) $)
      mgpds $p |- B = ( dist ` M ) $=
        ( cds cfv cmulr eqid mgpval dsid dsndxnplusgndx setsplusg eqtri ) ABFGC
        FGEBBHGZFCBOCDOIJKLMN $.

      $( Obsolete version of ~ mgpds as of 18-Oct-2024.  Distance function of
         the multiplication group.  (Contributed by Mario Carneiro,
         5-Oct-2015.)  (Proof modification is discouraged.)
         (New usage is discouraged.) $)
      mgpdsOLD $p |- B = ( dist ` M ) $=
        ( cds cfv c1 c2 cdc df-ds 1nn0 2nn decnncl 2re 2nn0 2lt10 declti gtneii
        1nn mgplemOLD eqtri ) ABFGCFGEBFCHIJZDKHILMNIUCOHIITPPQRSUAUB $.
    $}
  $}

  ${
    mgpress.1 $e |- S = ( R |`s A ) $.
    mgpress.2 $e |- M = ( mulGrp ` R ) $.
    $( Subgroup commutes with the multiplication group operator.  (Contributed
       by Mario Carneiro, 10-Jan-2015.)  (Proof shortened by AV,
       18-Oct-2024.) $)
    mgpress $p |- ( ( R e. V /\ A e. W ) -> ( M |`s A ) = ( mulGrp ` S ) ) $=
      ( wcel wa cbs cfv co cmgp wceq cvv eqid syl3anc cnx csts wss cress simplr
      simpr fvexi a1i mgpbas ressid2 simpll fveq2d 3eqtr4a cin cop cplusg cmulr
      mgpval oveq1i ressval2 ressmulr eqcomd ad2antlr opeq2d oveq12d eqtrid wne
      wn basendxnplusgndx necomi inex2 setscom mpanr12 sylancl eqtr4d pm2.61dan
      fvex ) BEIZAFIZJZBKLZAUAZDAUBMZCNLZOVRVTJZDBNLWAWBHWCVTDPIZVQWADOVRVTUDZW
      DWCDBNHUEZUFVPVQVTUCZAVSWADPFWAQZVSBDHVSQZUGZUHRWCCBNWCVTVPVQCBOWEVPVQVTU
      IWGAVSCBEFGWIUHRUJUKVRVTVFZJZDSKLZAVSULZUMZTMZBSUNLZBUOLZUMZTMZWOTMZWAWBD
      WTWOTBWRDHWRQZUPUQWLWKWDVQWAWPOVRWKUDZWDWLWFUFVPVQWKUCZAVSWADPFWHWJURRWLW
      BBWOTMZWSTMZXAWLWBCWQCUOLZUMZTMXFCXGWBWBQXGQUPWLCXEXHWSTWLWKVPVQCXEOXCVPV
      QWKUIZXDAVSCBEFGWIURRWLXGWRWQVQXGWROVPWKVQWRXGABCWRFGXBUSUTVAVBVCVDWLVPWQ
      WMVEZXAXFOZXIWMWQVGVHVPXJJWRPIWNPIXKBUOVOVSABKVOVIWQWMWRWNBEPPSUNVOSKVOVJ
      VKVLVMUKVN $.

    $( Obsolete version of ~ mgpress as of 18-Oct-2024.  Subgroup commutes with
       the multiplication group operator.  (Contributed by Mario Carneiro,
       10-Jan-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    mgpressOLD $p |- ( ( R e. V /\ A e. W )
                       -> ( M |`s A ) = ( mulGrp ` S ) ) $=
      ( wcel wa cbs cfv co cmgp wceq cvv eqid syl3anc cnx csts wss cress simplr
      simpr fvexi a1i mgpbas ressid2 simpll fveq2d 3eqtr4a cin cop cplusg cmulr
      mgpval oveq1i ressval2 ressmulr eqcomd ad2antlr opeq2d oveq12d eqtrid wne
      wn c2 c1 1ne2 necomi plusgndx basendx neeq12i mpbir inex2 setscom mpanr12
      fvex sylancl eqtr4d pm2.61dan ) BEIZAFIZJZBKLZAUAZDAUBMZCNLZOWDWFJZDBNLWG
      WHHWIWFDPIZWCWGDOWDWFUDZWJWIDBNHUEZUFWBWCWFUCZAWEWGDPFWGQZWEBDHWEQZUGZUHR
      WICBNWIWFWBWCCBOWKWBWCWFUIWMAWECBEFGWOUHRUJUKWDWFVFZJZDSKLZAWEULZUMZTMZBS
      UNLZBUOLZUMZTMZXATMZWGWHDXFXATBXDDHXDQZUPUQWRWQWJWCWGXBOWDWQUDZWJWRWLUFWB
      WCWQUCZAWEWGDPFWNWPURRWRWHBXATMZXETMZXGWRWHCXCCUOLZUMZTMXLCXMWHWHQXMQUPWR
      CXKXNXETWRWQWBWCCXKOXIWBWCWQUIZXJAWECBEFGWOURRWRXMXDXCWCXMXDOWBWQWCXDXMAB
      CXDFGXHUSUTVAVBVCVDWRWBXCWSVEZXGXLOZXOXPVGVHVEVHVGVIVJXCVGWSVHVKVLVMVNWBX
      PJXDPIWTPIXQBUOVRWEABKVRVOXCWSXDWTBEPPSUNVRSKVRVPVQVSVTUKWA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ring unit
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c 1r $.

  $( Extend class notation with ring unit. $)
  cur $a class 1r $.

  $( Define the multiplicative neutral element of a ring.  This definition
     works by extracting the ` 0g ` element, i.e. the neutral element in a
     group or monoid, and transferring it to the multiplicative monoid via the
     ` mulGrp ` function ( ~ df-mgp ).  See also ~ dfur2 , which derives the
     "traditional" definition as the unique element of a ring which is left-
     and right-neutral under multiplication.  (Contributed by NM, 27-Aug-2011.)
     (Revised by Mario Carneiro, 27-Dec-2014.) $)
  df-ur $a |- 1r = ( 0g o. mulGrp ) $.

  ${
    ringidval.g $e |- G = ( mulGrp ` R ) $.
    ringidval.u $e |- .1. = ( 1r ` R ) $.
    $( The value of the unity element of a ring.  (Contributed by NM,
       27-Aug-2011.)  (Revised by Mario Carneiro, 27-Dec-2014.) $)
    ringidval $p |- .1. = ( 0g ` G ) $=
      ( cur cfv cmgp c0g cvv wcel wceq ccom df-ur fveq1i wfn fnmgp fvco2 fvprc
      c0 mpan eqtrid wn 0g0 fveq2d 3eqtr4a pm2.61i fveq2i 3eqtr4i ) AFGZAHGZIGZ
      BCIGAJKZUJULLUMUJAIHMZGZULAFUNNOHJPUMUOULLQJIHARUAUBUMUCZTTIGUJULUDAFSUPU
      KTIAHSUEUFUGECUKIDUHUI $.
  $}

  ${
    $d e x B $.  $d e x R $.
    dfur2.b $e |- B = ( Base ` R ) $.
    dfur2.t $e |- .x. = ( .r ` R ) $.
    dfur2.u $e |- .1. = ( 1r ` R ) $.
    $( The multiplicative identity is the unique element of the ring that is
       left- and right-neutral on all elements under multiplication.
       (Contributed by Mario Carneiro, 10-Jan-2015.) $)
    dfur2 $p |- .1. = ( iota e ( e e. B /\
      A. x e. B ( ( e .x. x ) = x /\ ( x .x. e ) = x ) ) ) $=
      ( cmgp cfv eqid mgpbas mgpplusg ringidval grpidval ) ABDFCJKZEBCQQLZGMCDQ
      RHNCEQRIOP $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Semirings
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c SRing $.

  $( Extend class notation with the class of all semirings. $)
  csrg $a class SRing $.

  ${
    $d f n p r t x y z $.
    $( Define class of all semirings.  A semiring is a set equipped with two
       everywhere-defined internal operations, whose first one is an additive
       commutative monoid structure and the second one is a multiplicative
       monoid structure, and where multiplication is (left- and right-)
       distributive over addition.  Compared to the definition of a ring, this
       definition also adds that the additive identity is an absorbing element
       of the multiplicative law, as this cannot be deduced from distributivity
       alone.  Definition of [Golan] p. 1.  Note that our semirings are unital.
       Such semirings are sometimes called "rigs", being "rings without
       negatives".  (Contributed by Thierry Arnoux, 21-Mar-2018.) $)
    df-srg $a |- SRing = { f e. CMnd | ( ( mulGrp ` f ) e. Mnd /\
        [. ( Base ` f ) / r ]. [. ( +g ` f ) / p ]. [. ( .r ` f ) / t ].
        [. ( 0g ` f ) / n ]. A. x e. r ( A. y e. r A. z e. r
           ( ( x t ( y p z ) ) = ( ( x t y ) p ( x t z ) )
            /\ ( ( x p y ) t z ) = ( ( x t z ) p ( y t z ) ) )
            /\ ( ( n t x ) = n /\ ( x t n ) = n ) ) ) } $.
  $}

  ${
    $d b n p r t x y z .+ $.  $d b n p r t x y z .0. $.  $d r G $.
    $d b n p r t x y z .x. $.  $d b n p r t x y z B $.  $d b n p r t x y z R $.
    issrg.b $e |- B = ( Base ` R ) $.
    issrg.g $e |- G = ( mulGrp ` R ) $.
    issrg.p $e |- .+ = ( +g ` R ) $.
    issrg.t $e |- .x. = ( .r ` R ) $.
    issrg.0 $e |- .0. = ( 0g ` R ) $.
    $( The predicate "is a semiring".  (Contributed by Thierry Arnoux,
       21-Mar-2018.) $)
    issrg $p |- ( R e. SRing <-> ( R e. CMnd /\ G e. Mnd
      /\ A. x e. B ( A. y e. B A. z e. B
       ( ( x .x. ( y .+ z ) ) = ( ( x .x. y ) .+ ( x .x. z ) )
      /\ ( ( x .+ y ) .x. z ) = ( ( x .x. z ) .+ ( y .x. z ) ) )
      /\ ( ( .0. .x. x ) = .0. /\ ( x .x. .0. ) = .0. ) ) ) ) $=
      ( cfv cv co wceq wa wsbc vp vt vb vn vr ccmn wcel cmgp cmnd wral csrg w3a
      eleq1i bicomi cbs fvexi cplusg cvv cmulr a1i simplll simplr eqidd simpllr
      c0g oveqd oveq123d eqeq12d anbi12d raleqbidv sbcied sbc2ie anbi12i anbi2i
      simpr fveq2 eleq1d eqtr4di sbceq1d sbceqbid df-srg elrab2 3anass 3bitr4i
      ) FUFUGZFUHOZUIUGZAPZBPZCPZUAPZQZUBPZQZWHWIWMQZWHWJWMQZWKQZRZWHWIWKQZWJWM
      QZWPWIWJWMQZWKQZRZSZCUCPZUJZBXEUJZUDPZWHWMQZXHRZWHXHWMQZXHRZSZSZAXEUJZUDI
      TZUBGTZUAETZUCDTZSZSWEHUIUGZWHWIWJEQZGQZWHWIGQZWHWJGQZEQZRZWHWIEQZWJGQZYE
      WIWJGQZEQZRZSZCDUJZBDUJZIWHGQZIRZWHIGQZIRZSZSZADUJZSZSFUKUGWEYAUUBULXTUUC
      WEWGYAXSUUBYAWGHWFUIKUMUNXQUUBUCUADEDFUOJUPEFUQLUPXEDRZWKERZSZXPUUBUBGURG
      URUGUUFGFUSMUPUTUUFWMGRZSZXOUUBUDIURIURUGUUHIFVENUPUTUUHXHIRZSZXNUUAAXEDU
      UDUUEUUGUUIVAZUUJXGYOXMYTUUJXFYNBXEDUUKUUJXDYMCXEDUUKUUJWRYGXCYLUUJWNYCWQ
      YFUUJWHWHWLYBWMGUUFUUGUUIVBZUUJWHVCZUUJWKEWIWJUUDUUEUUGUUIVDZVFVGUUJWOYDW
      PYEWKEUUNUUJWMGWHWIUULVFUUJWMGWHWJUULVFZVGVHUUJWTYIXBYKUUJWSYHWJWJWMGUULU
      UJWKEWHWIUUNVFUUJWJVCVGUUJWPYEXAYJWKEUUNUUOUUJWMGWIWJUULVFVGVHVIVJVJUUJXJ
      YQXLYSUUJXIYPXHIUUJXHIWHWHWMGUULUUHUUIVOZUUMVGUUPVHUUJXKYRXHIUUJWHWHXHIWM
      GUULUUMUUPVGUUPVHVIVIVJVKVKVLVMVNUEPZUHOZUIUGZXOUDUUQVEOZTZUBUUQUSOZTZUAU
      UQUQOZTZUCUUQUOOZTZSXTUEFUFUKUUQFRZUUSWGUVGXSUVHUURWFUIUUQFUHVPVQUVHUVEXR
      UCUVFDUVHUVFFUOODUUQFUOVPJVRUVHUVCXQUAUVDEUVHUVDFUQOEUUQFUQVPLVRUVHUVAXPU
      BUVBGUVHUVBFUSOGUUQFUSVPMVRUVHXOUDUUTIUVHUUTFVEOIUUQFVEVPNVRVSVTVTVTVIABC
      UBUEUDUCUAWAWBWEYAUUBWCWD $.
  $}

  ${
    $d x y z R $.
    $( A semiring is a commutative monoid.  (Contributed by Thierry Arnoux,
       21-Mar-2018.) $)
    srgcmn $p |- ( R e. SRing -> R e. CMnd ) $=
      ( vx vy vz csrg wcel ccmn cmgp cfv cmnd cv cplusg cmulr wceq cbs wral c0g
      co wa eqid issrg simp1bi ) AEFAGFAHIZJFBKZCKZDKZALIZRAMIZRUDUEUHRUDUFUHRZ
      UGRNUDUEUGRUFUHRUIUEUFUHRUGRNSDAOIZPCUJPAQIZUDUHRUKNUDUKUHRUKNSSBUJPBCDUJ
      UGAUHUCUKUJTUCTUGTUHTUKTUAUB $.

    $( A semiring is a monoid.  (Contributed by Thierry Arnoux,
       21-Mar-2018.) $)
    srgmnd $p |- ( R e. SRing -> R e. Mnd ) $=
      ( csrg wcel ccmn cmnd srgcmn cmnmnd syl ) ABCADCAECAFAGH $.

    srgmgp.g $e |- G = ( mulGrp ` R ) $.
    $( A semiring is a monoid under multiplication.  (Contributed by Thierry
       Arnoux, 21-Mar-2018.) $)
    srgmgp $p |- ( R e. SRing -> G e. Mnd ) $=
      ( vx vy vz csrg wcel ccmn cmnd cv cplusg cfv co cmulr wceq cbs wral eqid
      wa c0g issrg simp2bi ) AGHAIHBJHDKZEKZFKZALMZNAOMZNUDUEUHNUDUFUHNZUGNPUDU
      EUGNUFUHNUIUEUFUHNUGNPTFAQMZREUJRAUAMZUDUHNUKPUDUKUHNUKPTTDUJRDEFUJUGAUHB
      UKUJSCUGSUHSUKSUBUC $.
  $}

  ${
    $d x y z B $.  $d x y z R $.  $d x y z .x. $.  $d x y z X $.  $d x y z Y $.
    $d x y z .+ $.  $d x y z Z $.
    srgi.b $e |- B = ( Base ` R ) $.
    srgi.p $e |- .+ = ( +g ` R ) $.
    srgi.t $e |- .x. = ( .r ` R ) $.
    $( Properties of a semiring.  (Contributed by NM, 26-Aug-2011.)  (Revised
       by Mario Carneiro, 6-Jan-2015.)  (Revised by Thierry Arnoux,
       1-Apr-2018.) $)
    srgi $p |- ( ( R e. SRing /\ ( X e. B /\ Y e. B /\ Z e. B ) )
           -> ( ( X .x. ( Y .+ Z ) ) = ( ( X .x. Y ) .+ ( X .x. Z ) )
                /\ ( ( X .+ Y ) .x. Z ) = ( ( X .x. Z ) .+ ( Y .x. Z ) ) ) ) $=
      ( vx vy vz wcel w3a wa co wceq cv wral csrg c0g ccmn cmgp cmnd eqid issrg
      cfv simp3bi r19.21bi simpld 3ad2antr1 simpr2 sylc simpr3 caovdig caovdirg
      rsp simprd jca ) CUANZEANFANGANOPEFGBQDQEFDQEGDQZBQREFBQGDQVBFGDQBQRVAKLM
      EFGABDBAVAKSZANZLSZANZMSZANZOPZVCVEVGBQDQVCVEDQVCVGDQZBQRZVCVEBQVGDQVJVEV
      GDQBQRZVIVKVLPZMATZVHVMVIVNLATZVFVNVAVFVDVOVHVAVDPVOCUBUHZVCDQVPRVCVPDQVP
      RPZVAVOVQPZKAVACUCNCUDUHZUENVRKATKLMABCDVSVPHVSUFIJVPUFUGUIUJUKULVAVDVFVH
      UMVNLAURUNVAVDVFVHUOVMMAURUNZUKUPVAKLMEFGABDBAVIVKVLVTUSUQUT $.
  $}

  ${
    srgcl.b $e |- B = ( Base ` R ) $.
    srgcl.t $e |- .x. = ( .r ` R ) $.
    $( Closure of the multiplication operation of a semiring.  (Contributed by
       NM, 26-Aug-2011.)  (Revised by Mario Carneiro, 6-Jan-2015.)  (Revised by
       Thierry Arnoux, 1-Apr-2018.) $)
    srgcl $p |- ( ( R e. SRing /\ X e. B /\ Y e. B ) -> ( X .x. Y ) e. B ) $=
      ( csrg wcel cmgp cfv cmnd co eqid srgmgp mgpbas mgpplusg mndcl syl3an1 )
      BHIBJKZLIDAIEAIDECMAIBTTNZOACTDEABTUAFPBCTUAGQRS $.

    $( Associative law for the multiplication operation of a semiring.
       (Contributed by NM, 27-Aug-2011.)  (Revised by Mario Carneiro,
       6-Jan-2015.)  (Revised by Thierry Arnoux, 1-Apr-2018.) $)
    srgass $p |- ( ( R e. SRing /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
                      ( ( X .x. Y ) .x. Z ) = ( X .x. ( Y .x. Z ) ) ) $=
      ( csrg wcel cmgp cfv cmnd w3a co wceq eqid srgmgp mgpbas mgpplusg mndass
      sylan ) BIJBKLZMJDAJEAJFAJNDECOFCODEFCOCOPBUCUCQZRACUCDEFABUCUDGSBCUCUDHT
      UAUB $.

    $d u x B $.  $d u x R $.  $d u x .x. $.
    $( The unit element of a semiring is unique.  (Contributed by NM,
       27-Aug-2011.)  (Revised by Mario Carneiro, 6-Jan-2015.)  (Revised by
       Thierry Arnoux, 1-Apr-2018.) $)
    srgideu $p |- ( R e. SRing ->
                E! u e. B A. x e. B ( ( u .x. x ) = x /\ ( x .x. u ) = x ) ) $=
      ( csrg wcel cmgp cfv cmnd cv co wceq wa wral wreu eqid srgmgp mndideu syl
      mgpbas mgpplusg ) DHIDJKZLIBMZAMZENUGOUGUFENUGOPACQBCRDUEUESZTABCEUECDUEU
      HFUCDEUEUHGUDUAUB $.
  $}

  ${
    $d B a b c $.  $d R a b $.  $d .x. a b c $.
    srgfcl.b $e |- B = ( Base ` R ) $.
    srgfcl.t $e |- .x. = ( .r ` R ) $.
    $( Functionality of the multiplication operation of a ring.  (Contributed
       by Steve Rodriguez, 9-Sep-2007.)  (Revised by AV, 24-Aug-2021.) $)
    srgfcl $p |- ( ( R e. SRing /\ .x. Fn ( B X. B ) )
                   -> .x. : ( B X. B ) --> B ) $=
      ( vc va vb csrg wcel cxp wfn wa crn wss wf simpr cv cfv wral co srgcl cop
      3expb ralrimivva fveq2 eleq1d eqcomi eleq1i bitrdi sylibr adantr fnfvrnss
      wceq df-ov ralxp syl2anc df-f sylanbrc ) BIJZCAAKZLZMZVBCNAOZVAACPUTVBQZV
      CVBFRZCSZAJZFVATZVDVEUTVIVBUTGRZHRZCUAZAJZHATGATVIUTVMGHAAUTVJAJVKAJVMABC
      VJVKDEUBUDUEVHVMFGHAAVFVJVKUCZUNZVHVNCSZAJVMVOVGVPAVFVNCUFUGVPVLAVLVPVJVK
      CUOUHUIUJUPUKULFVAACUMUQVAACURUS $.
  $}

  ${
    srgdi.b $e |- B = ( Base ` R ) $.
    srgdi.p $e |- .+ = ( +g ` R ) $.
    srgdi.t $e |- .x. = ( .r ` R ) $.
    $( Distributive law for the multiplication operation of a semiring.
       (Contributed by Steve Rodriguez, 9-Sep-2007.)  (Revised by Thierry
       Arnoux, 1-Apr-2018.) $)
    srgdi $p |- ( ( R e. SRing /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
                     ( X .x. ( Y .+ Z ) ) = ( ( X .x. Y ) .+ ( X .x. Z ) ) ) $=
      ( csrg wcel w3a wa co wceq srgi simpld ) CKLEALFALGALMNEFGBODOEFDOEGDOZBO
      PEFBOGDOSFGDOBOPABCDEFGHIJQR $.

    $( Distributive law for the multiplication operation of a semiring.
       (Contributed by Steve Rodriguez, 9-Sep-2007.)  (Revised by Thierry
       Arnoux, 1-Apr-2018.) $)
    srgdir $p |- ( ( R e. SRing /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
                     ( ( X .+ Y ) .x. Z ) = ( ( X .x. Z ) .+ ( Y .x. Z ) ) ) $=
      ( csrg wcel w3a wa co wceq srgi simprd ) CKLEALFALGALMNEFGBODOEFDOEGDOZBO
      PEFBOGDOSFGDOBOPABCDEFGHIJQR $.
  $}

  ${
    srgidcl.b $e |- B = ( Base ` R ) $.
    srgidcl.u $e |- .1. = ( 1r ` R ) $.
    $( The unit element of a semiring belongs to the base set of the semiring.
       (Contributed by NM, 27-Aug-2011.)  (Revised by Mario Carneiro,
       27-Dec-2014.)  (Revised by Thierry Arnoux, 1-Apr-2018.) $)
    srgidcl $p |- ( R e. SRing -> .1. e. B ) $=
      ( csrg wcel cmgp cfv cmnd eqid srgmgp mgpbas ringidval mndidcl syl ) BFGB
      HIZJGCAGBQQKZLAQCABQRDMBCQRENOP $.
  $}

  ${
    srg0cl.b $e |- B = ( Base ` R ) $.
    srg0cl.z $e |- .0. = ( 0g ` R ) $.
    $( The zero element of a semiring belongs to its base set.  (Contributed by
       Mario Carneiro, 12-Jan-2014.)  (Revised by Thierry Arnoux,
       1-Apr-2018.) $)
    srg0cl $p |- ( R e. SRing -> .0. e. B ) $=
      ( csrg wcel cmnd srgmnd mndidcl syl ) BFGBHGCAGBIABCDEJK $.
  $}

  ${
    $d x y B $.  $d x y I $.  $d x y R $.  $d x y .x. $.  $d x y .1. $.
    srgidm.b $e |- B = ( Base ` R ) $.
    srgidm.t $e |- .x. = ( .r ` R ) $.
    srgidm.u $e |- .1. = ( 1r ` R ) $.
    $( Lemma for ~ srglidm and ~ srgridm .  (Contributed by NM, 15-Sep-2011.)
       (Revised by Mario Carneiro, 27-Dec-2014.)  (Revised by Thierry Arnoux,
       1-Apr-2018.) $)
    srgidmlem $p |- ( ( R e. SRing /\ X e. B )
           -> ( ( .1. .x. X ) = X /\ ( X .x. .1. ) = X ) ) $=
      ( csrg wcel cmgp cfv cmnd co wceq wa eqid srgmgp mgpbas mgpplusg mndlrid
      ringidval sylan ) BIJBKLZMJEAJDECNEOEDCNEOPBUDUDQZRACUDEDABUDUEFSBCUDUEGT
      BDUDUEHUBUAUC $.

    $( The unit element of a semiring is a left multiplicative identity.
       (Contributed by NM, 15-Sep-2011.)  (Revised by Thierry Arnoux,
       1-Apr-2018.) $)
    srglidm $p |- ( ( R e. SRing /\ X e. B ) -> ( .1. .x. X ) = X ) $=
      ( csrg wcel wa co wceq srgidmlem simpld ) BIJEAJKDECLEMEDCLEMABCDEFGHNO
      $.

    $( The unit element of a semiring is a right multiplicative identity.
       (Contributed by NM, 15-Sep-2011.)  (Revised by Thierry Arnoux,
       1-Apr-2018.) $)
    srgridm $p |- ( ( R e. SRing /\ X e. B ) -> ( X .x. .1. ) = X ) $=
      ( csrg wcel wa co wceq srgidmlem simprd ) BIJEAJKDECLEMEDCLEMABCDEFGHNO
      $.

    $( Properties showing that an element ` I ` is the unity element of a
       semiring.  (Contributed by NM, 7-Aug-2013.)  (Revised by Thierry Arnoux,
       1-Apr-2018.) $)
    issrgid $p |- ( R e. SRing
      -> ( ( I e. B /\ A. x e. B ( ( I .x. x ) = x /\ ( x .x. I ) = x ) )
        <-> .1. = I ) ) $=
      ( vy csrg wcel cmgp cfv eqid mgpbas ringidval cv co wceq mgpplusg wa wral
      wreu wrex srgideu reurex syl ismgmid ) CKLZABDFJCMNZEBCUKUKOZGPCEUKULIQCD
      UKULHUAUJJRZARZDSUNTUNUMDSUNTUBABUCZJBUDUOJBUEAJBCDGHUFUOJBUGUHUI $.
  $}

  ${
    srgacl.b $e |- B = ( Base ` R ) $.
    srgacl.p $e |- .+ = ( +g ` R ) $.
    $( Closure of the addition operation of a semiring.  (Contributed by Mario
       Carneiro, 14-Jan-2014.)  (Revised by Thierry Arnoux, 1-Apr-2018.) $)
    srgacl $p |- ( ( R e. SRing /\ X e. B /\ Y e. B ) -> ( X .+ Y ) e. B ) $=
      ( csrg wcel cmnd co srgmnd mndcl syl3an1 ) CHICJIDAIEAIDEBKAICLABCDEFGMN
      $.

    $( Commutativity of the additive group of a semiring.  (Contributed by
       Thierry Arnoux, 1-Apr-2018.) $)
    srgcom $p |- ( ( R e. SRing /\ X e. B /\ Y e. B ) ->
      ( X .+ Y ) = ( Y .+ X ) ) $=
      ( csrg wcel ccmn co wceq srgcmn cmncom syl3an1 ) CHICJIDAIEAIDEBKEDBKLCMA
      BCDEFGNO $.
  $}

  ${
    $d x y z B $.  $d x y z R $.  $d x X $.  $d x y z .x. $.  $d x y z .0. $.
    srgz.b $e |- B = ( Base ` R ) $.
    srgz.t $e |- .x. = ( .r ` R ) $.
    srgz.z $e |- .0. = ( 0g ` R ) $.
    $( The zero of a semiring is a right-absorbing element.  (Contributed by
       Thierry Arnoux, 1-Apr-2018.) $)
    srgrz $p |- ( ( R e. SRing /\ X e. B ) -> ( X .x. .0. ) = .0. ) $=
      ( vx vy vz csrg wcel cv co wceq wral wa cfv eqid cplusg ccmn cmgp simp3bi
      cmnd issrg r19.21bi simprrd ralrimiva oveq1 eqeq1d rspcv mpan9 ) BLMZINZE
      COZEPZIAQDAMDECOZEPZUNUQIAUNUOAMRUOJNZKNZBUASZOCOUOUTCOUOVACOZVBOPUOUTVBO
      VACOVCUTVACOVBOPRKAQJAQZEUOCOEPZUQUNVDVEUQRRZIAUNBUBMBUCSZUEMVFIAQIJKAVBB
      CVGEFVGTVBTGHUFUDUGUHUIUQUSIDAUODPUPUREUODECUJUKULUM $.

    $( The zero of a semiring is a left-absorbing element.  (Contributed by AV,
       23-Aug-2019.) $)
    srglz $p |- ( ( R e. SRing /\ X e. B ) -> ( .0. .x. X ) = .0. ) $=
      ( vx vy vz csrg wcel cv co wceq wral wa cfv eqid cplusg ccmn cmgp simp3bi
      cmnd issrg r19.21bi simprld ralrimiva oveq2 eqeq1d rspcv mpan9 ) BLMZEINZ
      COZEPZIAQDAMEDCOZEPZUNUQIAUNUOAMRUOJNZKNZBUASZOCOUOUTCOUOVACOZVBOPUOUTVBO
      VACOVCUTVACOVBOPRKAQJAQZUQUOECOEPZUNVDUQVERRZIAUNBUBMBUCSZUEMVFIAQIJKAVBB
      CVGEFVGTVBTGHUFUDUGUHUIUQUSIDAUODPUPUREUODECUJUKULUM $.

    $d x Z $.  $d x ph $.
    srgisid.1 $e |- ( ph -> R e. SRing ) $.
    srgisid.2 $e |- ( ph -> Z e. B ) $.
    srgisid.3 $e |- ( ( ph /\ x e. B ) -> ( Z .x. x ) = Z ) $.
    $( In a semiring, the only left-absorbing element is the additive identity.
       Remark in [Golan] p. 1.  (Contributed by Thierry Arnoux, 1-May-2018.) $)
    srgisid $p |- ( ph -> Z = .0. ) $=
      ( co cv wceq wral ralrimiva csrg wcel srg0cl oveq2 eqeq1d rspcv mpd srgrz
      wi 3syl syl2anc eqtr3d ) AGFENZGFAGBOZENZGPZBCQZUKGPZAUNBCMRADSTZFCTUOUPU
      GKCDFHJUAUNUPBFCULFPUMUKGULFGEUBUCUDUHUEAUQGCTUKFPKLCDEGFHIJUFUIUJ $.
  $}

  ${
    srg1zr.b $e |- B = ( Base ` R ) $.
    srg1zr.p $e |- .+ = ( +g ` R ) $.
    srg1zr.t $e |- .* = ( .r ` R ) $.
    $( The only semiring with a base set consisting of one element is the zero
       ring (at least if its operations are internal binary operations).
       (Contributed by FL, 13-Feb-2010.)  (Revised by AV, 25-Jan-2020.) $)
    srg1zr $p |- ( ( ( R e. SRing /\ .+ Fn ( B X. B ) /\ .* Fn ( B X. B ) )
           /\ Z e. B ) -> ( B = { Z } <-> ( .+ = { <. <. Z , Z >. , Z >. }
                                     /\ .* = { <. <. Z , Z >. , Z >. } ) ) ) $=
      ( csn wceq wa wcel wfn cop cmgm wb cmnd adantr mndmgm mgmb1mgm1 cxp simpr
      csrg w3a pm4.24 srgmnd 3ad2ant1 syl simpl2 syl3anc cmgp cfv cplusg simpl1
      eqid srgmgp 3syl mgpplusg fneq1i biimpi 3ad2ant3 mgpbas eqcomi a1i eqeq1d
      bitrd anbi12d syl5bb ) AEIJZVIVIKCUCLZBAAUAZMZDVKMZUDZEALZKZBEENENIZJZDVQ
      JZKVIUEVPVIVRVIVSVPCOLZVOVLVIVRPVPCQLZVTVNWAVOVJVLWAVMCUFUGRCSUHVNVOUBZVJ
      VLVMVOUIABCEFGTUJVPVICUKULZUMULZVQJZVSVPWCOLZVOWDVKMZVIWEPVPVJWCQLWFVJVLV
      MVOUNCWCWCUOZUPWCSUQWBVNWGVOVMVJWGVLVMWGVKDWDCDWCWHHURZUSUTVARAWDWCEACWCW
      HFVBWDUOTUJVPWDDVQWDDJVPDWDWIVCVDVEVFVGVH $.

    srgen1zr.p $e |- Z = ( 0g ` R ) $.
    $( The only semiring with one element is the zero ring (at least if its
       operations are internal binary operations).  (Contributed by FL,
       14-Feb-2010.)  (Revised by AV, 25-Jan-2020.) $)
    srgen1zr $p |- ( ( R e. SRing /\ .+ Fn ( B X. B ) /\ .* Fn ( B X. B ) )
                     -> ( B ~~ 1o <-> ( .+ = { <. <. Z , Z >. , Z >. }
                                     /\ .* = { <. <. Z , Z >. , Z >. } ) ) ) $=
      ( csrg wcel cxp wfn w3a c1o cop csn wceq wa wb cen wbr 3ad2ant1 en1eqsnbi
      srg0cl adantl srg1zr bitrd mpdan ) CJKZBAALZMZDUKMZNZEAKZAOUAUBZBEEPEPQZR
      DUQRSZTUJULUOUMACEFIUEUCUNUOSUPAEQRZURUOUPUSTUNEAUDUFABCDEFGHUGUHUI $.
  $}

  ${
    $d x y B $.  $d x y R $.  $d x y .x. $.  $d x y .X. $.  $d x y X $.
    $d x N $.  $d x y Y $.
    srgmulgass.b $e |- B = ( Base ` R ) $.
    srgmulgass.m $e |- .x. = ( .g ` R ) $.
    srgmulgass.t $e |- .X. = ( .r ` R ) $.
    $( An associative property between group multiple and ring multiplication
       for semirings.  (Contributed by AV, 23-Aug-2019.) $)
    srgmulgass $p |- ( ( R e. SRing /\ ( N e. NN0 /\ X e. B /\ Y e. B ) ) ->
      ( ( N .x. X ) .X. Y ) = ( N .x. ( X .X. Y ) ) ) $=
      ( wcel co wceq wi wa cc0 oveq1 oveq1d eqeq12d adantl vx vy cn0 csrg cv c1
      w3a caddc imbi2d weq c0g cfv simpr adantr srglz syl2anc simpl mulg0 srgcl
      eqid syl syl3anc 3eqtr4d cplusg srgmnd mulgnn0p1 mulgnn0cl syl13anc eqtrd
      cmnd srgdir 3expb ancoms eqcomd sylan9eqr exp31 nn0ind expd 3impib impcom
      a2d ) EUCKZFAKZGAKZUGBUDKZEFCLZGDLZEFGDLZCLZMZWBWCWDWEWJNWBWCWDOZWEWJWKWE
      OZUAUEZFCLZGDLZWMWHCLZMZNWLPFCLZGDLZPWHCLZMZNWLUBUEZFCLZGDLZXBWHCLZMZNWLX
      BUFUHLZFCLZGDLZXGWHCLZMZNWLWJNUAUBEWMPMZWQXAWLXLWOWSWPWTXLWNWRGDWMPFCQRWM
      PWHCQSUIUAUBUJZWQXFWLXMWOXDWPXEXMWNXCGDWMXBFCQRWMXBWHCQSUIWMXGMZWQXKWLXNW
      OXIWPXJXNWNXHGDWMXGFCQRWMXGWHCQSUIWMEMZWQWJWLXOWOWGWPWIXOWNWFGDWMEFCQRWME
      WHCQSUIWLBUKULZGDLZXPWSWTWLWEWDXQXPMWKWEUMZWKWDWEWCWDUMUNZABDGXPHJXPUTZUO
      UPWLWRXPGDWLWCWRXPMWKWCWEWCWDUQUNZACBFXPHXTIURVARWLWHAKZWTXPMWLWEWCWDYBXR
      YAXSABDFGHJUSZVBACBWHXPHXTIURVAVCXBUCKZWLXFXKYDWLXFXKYDWLOZXFOXIXDWHBVDUL
      ZLZXJYEXIYGMXFYEXIXCFYFLZGDLZYGYEXHYHGDYEBVJKZYDWCXHYHMWLYJYDWEYJWKBVETTZ
      YDWLUQZWLWCYDYATZAYFCBXBFHIYFUTZVFVBRYEWEXCAKZWCWDYIYGMWLWEYDXRTYEYJYDWCY
      OYKYLYMACBXBFHIVGVBYMWLWDYDXSTAYFBDXCFGHYNJVKVHVIUNXFYEYGXEWHYFLZXJXDXEWH
      YFQYEXJYPYEYJYDYBXJYPMYKYLWLYBYDWEWKYBWEWCWDYBYCVLVMTAYFCBXBWHHIYNVFVBVNV
      OVIVPWAVQVRVSVT $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d K x $.  $d ph x y $.  $d .^ x y $.
    $d .X. x y $.
    srgpcomp.s $e |- S = ( Base ` R ) $.
    srgpcomp.m $e |- .X. = ( .r ` R ) $.
    srgpcomp.g $e |- G = ( mulGrp ` R ) $.
    srgpcomp.e $e |- .^ = ( .g ` G ) $.
    srgpcomp.r $e |- ( ph -> R e. SRing ) $.
    srgpcomp.a $e |- ( ph -> A e. S ) $.
    srgpcomp.b $e |- ( ph -> B e. S ) $.
    srgpcomp.k $e |- ( ph -> K e. NN0 ) $.
    srgpcomp.c $e |- ( ph -> ( A .X. B ) = ( B .X. A ) ) $.
    $( If two elements of a semiring commute, they also commute if one of the
       elements is raised to a higher power.  (Contributed by AV,
       23-Aug-2019.) $)
    srgpcomp $p |- ( ph -> ( ( K .^ B ) .X. A ) = ( A .X. ( K .^ B ) ) ) $=
      ( co wceq vx vy cn0 cv wi cc0 c1 caddc oveq1 oveq1d oveq2d eqeq12d imbi2d
      wcel weq cur cfv mgpbas eqid ringidval mulg0 csrg srgridm syl2anc srglidm
      syl 3eqtr4rd eqtrd wa cmnd srgmgp adantr simpr mgpplusg mulgnn0p1 syl3anc
      eqcomd mulgnn0cl srgass syl13anc 3eqtr4d sylan9eqr ex expcom nn0ind mpcom
      a2d ) IUCUNAICGSZBFSZBWHFSZTZQAUAUDZCGSZBFSZBWMFSZTZUEAUFCGSZBFSZBWQFSZTZ
      UEAUBUDZCGSZBFSZBXBFSZTZUEAXAUGUHSZCGSZBFSZBXGFSZTZUEAWKUEUAUBIWLUFTZWPWT
      AXKWNWRWOWSXKWMWQBFWLUFCGUIZUJXKWMWQBFXLUKULUMUAUBUOZWPXEAXMWNXCWOXDXMWMX
      BBFWLXACGUIZUJXMWMXBBFXNUKULUMWLXFTZWPXJAXOWNXHWOXIXOWMXGBFWLXFCGUIZUJXOW
      MXGBFXPUKULUMWLITZWPWKAXQWNWIWOWJXQWMWHBFWLICGUIZUJXQWMWHBFXRUKULUMAWRDUP
      UQZBFSZWSAWQXSBFACEUNZWQXSTPEGHCXSEDHLJURZDXSHLXSUSZUTMVAVFZUJABXSFSZBWSX
      TADVBUNZBEUNZYEBTNOEDFXSBJKYCVCVDAWQXSBFYDUKAYFYGXTBTNOEDFXSBJKYCVEVDVGVH
      XAUCUNZAXEXJAYHXEXJUEAYHVIZXEXJYIXEVIXHXCCFSZXIYIXHYJTXEYIXHXBCFSZBFSZYJY
      IXGYKBFYIHVJUNZYHYAXGYKTAYMYHAYFYMNDHLVKVFVLZAYHVMZAYAYHPVLZEFGHXACYBMDFH
      LKVNVOVPZUJYIXBCBFSZFSZXBBCFSZFSZYLYJYIYRYTXBFAYRYTTYHAYTYRRVQVLUKYIYFXBE
      UNZYAYGYLYSTAYFYHNVLZYIYMYHYAUUBYNYOYPEGHXACYBMVRVPZYPAYGYHOVLZEDFXBCBJKV
      SVTYIYFUUBYGYAYJUUATUUCUUDUUEYPEDFXBBCJKVSVTWAVHVLXEYIYJXDCFSZXIXCXDCFUIY
      IUUFBYKFSZXIYIYFYGUUBYAUUFUUGTUUCUUEUUDYPEDFBXBCJKVSVTYIYKXGBFYIXGYKYQVQU
      KVHWBVHWCWDWGWEWF $.

    srgpcompp.n $e |- ( ph -> N e. NN0 ) $.
    $( If two elements of a semiring commute, they also commute if the elements
       are raised to a higher power.  (Contributed by AV, 23-Aug-2019.) $)
    srgpcompp $p |- ( ph -> ( ( ( N .^ A ) .X. ( K .^ B ) ) .X. A )
                            = ( ( ( N + 1 ) .^ A ) .X. ( K .^ B ) ) ) $=
      ( co c1 caddc csrg wcel wceq cmnd cn0 srgmgp syl mgpbas mulgnn0cl syl3anc
      srgass syl13anc srgpcomp oveq2d eqtr4d mgpplusg mulgnn0p1 eqcomd oveq1d
      3eqtrd ) AJBGUAZICGUAZFUABFUAZVDVEBFUAZFUAZVDBFUAZVEFUAZJUBUCUABGUAZVEFUA
      ADUDUEZVDEUEZVEEUEZBEUEZVFVHUFOAHUGUEZJUHUEZVOVMAVLVPODHMUIUJZTPEGHJBEDHM
      KUKZNULUMZAVPIUHUECEUEVNVRRQEGHICVSNULUMZPEDFVDVEBKLUNUOAVHVDBVEFUAZFUAZV
      JAVGWBVDFABCDEFGHIKLMNOPQRSUPUQAVLVMVOVNVJWCUFOVTPWAEDFVDBVEKLUNUOURAVIVK
      VEFAVKVIAVPVQVOVKVIUFVRTPEFGHJBVSNDFHMLUSUTUMVAVBVC $.

    srgpcomppsc.t $e |- .x. = ( .g ` R ) $.
    srgpcomppsc.c $e |- ( ph -> C e. NN0 ) $.
    $( If two elements of a semiring commute, they also commute if the elements
       are raised to a higher power and a scalar multiplication is involved.
       (Contributed by AV, 23-Aug-2019.) $)
    srgpcomppsc $p |- ( ph -> ( ( C .x. ( ( N .^ A ) .X. ( K .^ B ) ) ) .X. A )
                         = ( C .x. ( ( ( N + 1 ) .^ A ) .X. ( K .^ B ) ) ) ) $=
      ( co c1 caddc csrg wcel cn0 wceq cmnd srgmgp syl mgpbas mulgnn0cl syl3anc
      w3a wa srgmulgass eqcomd syl13anc oveq1d srgmnd srgass eqtrd srgcl oveq2d
      srgpcompp 3eqtrd ) ADLBIUEZKCIUEZHUEZGUEZBHUEZDVKGUEZVLBHUEZHUEZDVMBHUEZG
      UEZDLUFUGUEBIUEVLHUEZGUEAVOVPVLHUEZBHUEZVRAVNWBBHAEUHUIZDUJUIZVKFUIZVLFUI
      ZVNWBUKQUDAJULUIZLUJUIBFUIZWFAWDWHQEJOUMUNZUBRFIJLBFEJOMUOZPUPUQZAWHKUJUI
      CFUIWGWJTSFIJKCWKPUPUQZWDWEWFWGURUSWBVNFEGHDVKVLMUCNUTVAVBVCAWDVPFUIZWGWI
      WCVRUKQAEULUIZWEWFWNAWDWOQEVDUNUDWLFGEDVKMUCUPUQWMRFEHVPVLBMNVEVBVFAVRDVK
      VQHUEZGUEZVTAWDWEWFVQFUIZVRWQUKQUDWLAWDWGWIWRQWMRFEHVLBMNVGUQFEGHDVKVQMUC
      NUTVBAWPVSDGAVSWPAWDWFWGWIVSWPUKQWLWMRFEHVKVLBMNVEVBVAVHVFAVSWADGABCEFHIJ
      KLMNOPQRSTUAUBVIVHVJ $.
  $}

  ${
    $d a b x B $.  $d a b x R $.  $d a b x X $.  $d a b x .x. $.
    srglmhm.b $e |- B = ( Base ` R ) $.
    srglmhm.t $e |- .x. = ( .r ` R ) $.
    $( Left-multiplication in a semiring by a fixed element of the ring is a
       monoid homomorphism, analogous to ~ ringlghm .  (Contributed by AV,
       23-Aug-2019.) $)
    srglmhm $p |- ( ( R e. SRing /\ X e. B ) ->
      ( x e. B |-> ( X .x. x ) ) e. ( R MndHom R ) ) $=
      ( va vb wcel wa cv co cfv wceq wral eqid oveq2 ovex fvmpt csrg cplusg c0g
      cmnd cmpt wf w3a cmhm srgmnd jca adantr srgcl 3expa fmpttd srgdi sylan2br
      3anass anassrs srgacl 3expb adantlr syl oveqan12d adantl ralrimivva srgrz
      3eqtr4d srg0cl eqtrd 3jca ismhm sylanbrc ) CUAJZEBJZKZCUDJZVPKZBBABEALZDM
      ZUEZUFZHLZILZCUBNZMZVTNZWBVTNZWCVTNZWDMZOZIBPHBPZCUCNZVTNZWLOZUGVTCCUHMJV
      MVQVNVMVPVPCUIZWOUJUKVOWAWKWNVOABVSBVMVNVRBJVSBJBCDEVRFGULUMUNVOWJHIBBVOW
      BBJZWCBJZKZKZEWEDMZEWBDMZEWCDMZWDMZWFWIVMVNWRWTXCOZVNWRKVMVNWPWQUGXDVNWPW
      QUQBWDCDEWBWCFWDQZGUOUPURWSWEBJZWFWTOVMWRXFVNVMWPWQXFBWDCWBWCFXEUSUTVAAWE
      VSWTBVTVRWEEDRVTQZEWEDSTVBWRWIXCOVOWPWQWGXAWHXBWDAWBVSXABVTVRWBEDRXGEWBDS
      TAWCVSXBBVTVRWCEDRXGEWCDSTVCVDVGVEVOWMEWLDMZWLVOWLBJZWMXHOVMXIVNBCWLFWLQZ
      VHUKAWLVSXHBVTVRWLEDRXGEWLDSTVBBCDEWLFGXJVFVIVJHIBBWDWDCCVTWLWLFFXEXEXJXJ
      VKVL $.

    $( Right-multiplication in a semiring by a fixed element of the ring is a
       monoid homomorphism, analogous to ~ ringrghm .  (Contributed by AV,
       23-Aug-2019.) $)
    srgrmhm $p |- ( ( R e. SRing /\ X e. B )
                    -> ( x e. B |-> ( x .x. X ) ) e. ( R MndHom R ) ) $=
      ( va vb wcel wa cv co cfv wceq w3a eqid oveq1 ovex fvmpt csrg cmnd cplusg
      cmpt wf wral c0g cmhm srgmnd jca adantr srgcl 3com23 fmpttd 3anrot 3anass
      3expa bitr3i srgdir sylan2br anassrs srgacl adantlr syl oveqan12d 3eqtr4d
      3expb adantl ralrimivva srg0cl srglz eqtrd 3jca ismhm sylanbrc ) CUAJZEBJ
      ZKZCUBJZVSKZBBABALZEDMZUDZUEZHLZILZCUCNZMZWCNZWEWCNZWFWCNZWGMZOZIBUFHBUFZ
      CUGNZWCNZWOOZPWCCCUHMJVPVTVQVPVSVSCUIZWRUJUKVRWDWNWQVRABWBBVPVQWABJZWBBJZ
      VPWSVQWTBCDWAEFGULUMUQUNVRWMHIBBVRWEBJZWFBJZKZKZWHEDMZWEEDMZWFEDMZWGMZWIW
      LVPVQXCXEXHOZVQXCKZVPXAXBVQPZXIXKVQXAXBPXJVQXAXBUOVQXAXBUPURBWGCDWEWFEFWG
      QZGUSUTVAXDWHBJZWIXEOVPXCXMVQVPXAXBXMBWGCWEWFFXLVBVGVCAWHWBXEBWCWAWHEDRWC
      QZWHEDSTVDXCWLXHOVRXAXBWJXFWKXGWGAWEWBXFBWCWAWEEDRXNWEEDSTAWFWBXGBWCWAWFE
      DRXNWFEDSTVEVHVFVIVRWPWOEDMZWOVRWOBJZWPXOOVPXPVQBCWOFWOQZVJUKAWOWBXOBWCWA
      WOEDRXNWOEDSTVDBCDEWOFGXQVKVLVMHIBBWGWGCCWCWOWOFFXLXLXQXQVNVO $.
  $}

  ${
    $d k x A $.  $d k x B $.  $d k ph $.  $d k x .x. $.  $d x R $.  $d x X $.
    $d k x Y $.
    srgsummulcr.b $e |- B = ( Base ` R ) $.
    srgsummulcr.z $e |- .0. = ( 0g ` R ) $.
    srgsummulcr.p $e |- .+ = ( +g ` R ) $.
    srgsummulcr.t $e |- .x. = ( .r ` R ) $.
    srgsummulcr.r $e |- ( ph -> R e. SRing ) $.
    srgsummulcr.a $e |- ( ph -> A e. V ) $.
    srgsummulcr.y $e |- ( ph -> Y e. B ) $.
    srgsummulcr.x $e |- ( ( ph /\ k e. A ) -> X e. B ) $.
    srgsummulcr.n $e |- ( ph -> ( k e. A |-> X ) finSupp .0. ) $.
    $( A finite semiring sum multiplied by a constant, analogous to
       ~ gsummulc1 .  (Contributed by AV, 23-Aug-2019.) $)
    srgsummulcr $p |- ( ph -> ( R gsum ( k e. A |-> ( X .x. Y ) ) ) =
      ( ( R gsum ( k e. A |-> X ) ) .x. Y ) ) $=
      ( vx cmpt cgsu csrg wcel ccmn srgcmn syl cmnd srgmnd cmhm srgrmhm syl2anc
      cv co oveq1 gsummhm2 ) AUABCUAUNZJFUOZIJFUOGEGBIUBUCUOZJFUOEEHIKLMAEUDUEZ
      EUFUEPEUGUHAVAEUIUEPEUJUHQAVAJCUEUACUSUBEEUKUOUEPRUACEFJLOULUMSTURIJFUPUR
      UTJFUPUQ $.

    $( A finite semiring sum multiplied by a constant, analogous to
       ~ gsummulc2 .  (Contributed by AV, 23-Aug-2019.) $)
    sgsummulcl $p |- ( ph -> ( R gsum ( k e. A |-> ( Y .x. X ) ) ) =
      ( Y .x. ( R gsum ( k e. A |-> X ) ) ) ) $=
      ( vx cmpt cgsu csrg wcel ccmn srgcmn syl cmnd srgmnd cmhm srglmhm syl2anc
      cv co oveq2 gsummhm2 ) AUABCJUAUNZFUOZJIFUOGJEGBIUBUCUOZFUOEEHIKLMAEUDUEZ
      EUFUEPEUGUHAVAEUIUEPEUJUHQAVAJCUEUACUSUBEEUKUOUEPRUACEFJLOULUMSTURIJFUPUR
      UTJFUPUQ $.
  $}

  ${
    srg1expzeq1.g $e |- G = ( mulGrp ` R ) $.
    srg1expzeq1.t $e |- .x. = ( .g ` G ) $.
    srg1expzeq1.1 $e |- .1. = ( 1r ` R ) $.
    $( The exponentiation (by a nonnegative integer) of the multiplicative
       identity of a semiring, analogous to ~ mulgnn0z .  (Contributed by AV,
       25-Nov-2019.) $)
    srg1expzeq1 $p |- ( ( R e. SRing /\ N e. NN0 ) -> ( N .x. .1. ) = .1. ) $=
      ( csrg wcel cmnd cn0 co wceq srgmgp cbs cfv eqid ringidval mulgnn0z sylan
      ) AIJDKJELJECBMCNADFODPQZBDECUBRGACDFHSTUA $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The binomial theorem for semirings
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  In this section, we prove the binomial theorem for semirings, ~ srgbinom ,
  which is a generalization of the binomial theorem for complex numbers,
  ~ binom : ` ( A + B ) ^ N ` is the sum from ` k = 0 ` to ` N ` of
  ` ( N _C k ) x. ( ( A ^ k ) x. ( B ^ ( N - k ) ) `.

  Note that the binomial theorem also holds in the non-unital case (that is, in
  a "rg") and actually, the additive unit is not needed in its proof either.
  Therefore, it can be proven in even more general cases.  An example is the
  "rg" (resp. "rg without a zero") of integrable nonnegative (resp. positive)
  functions on ` RR `.

  Special cases of the binomial theorem are ~ csrgbinom (binomial theorem for
  commutative semirings) and ~ crngbinom (binomial theorem for commutative
  rings).

$)

  ${
    srgbinom.s $e |- S = ( Base ` R ) $.
    srgbinom.m $e |- .X. = ( .r ` R ) $.
    srgbinom.t $e |- .x. = ( .g ` R ) $.
    srgbinom.a $e |- .+ = ( +g ` R ) $.
    srgbinom.g $e |- G = ( mulGrp ` R ) $.
    srgbinom.e $e |- .^ = ( .g ` G ) $.
    ${
      srgbinomlem.r $e |- ( ph -> R e. SRing ) $.
      srgbinomlem.a $e |- ( ph -> A e. S ) $.
      srgbinomlem.b $e |- ( ph -> B e. S ) $.
      srgbinomlem.c $e |- ( ph -> ( A .X. B ) = ( B .X. A ) ) $.
      srgbinomlem.n $e |- ( ph -> N e. NN0 ) $.
      $( Lemma 1 for ~ srgbinomlem .  (Contributed by AV, 23-Aug-2019.) $)
      srgbinomlem1 $p |- ( ( ph /\ ( D e. NN0 /\ E e. NN0 ) )
                            -> ( ( D .^ A ) .X. ( E .^ B ) ) e. S ) $=
        ( cn0 wcel wa csrg co adantr srgmgp syl simprl mgpbas mulgnn0cl syl3anc
        cmnd simprr srgcl ) ADUEUFZJUEUFZUGZUGZFUHUFZDBKUIZGUFZJCKUIZGUFZVEVGIU
        IGUFAVDVBTUJVCLUQUFZUTBGUFZVFAVIVBAVDVITFLRUKULUJZAUTVAUMAVJVBUAUJGKLDB
        GFLRNUNZSUOUPVCVIVACGUFZVHVKAUTVAURAVMVBUBUJGKLJCVLSUOUPGFIVEVGNOUSUP
        $.

      $( Lemma 2 for ~ srgbinomlem .  (Contributed by AV, 23-Aug-2019.) $)
      srgbinomlem2 $p |- ( ( ph /\ ( C e. NN0 /\ D e. NN0 /\ E e. NN0 ) )
                           -> ( C .x. ( ( D .^ A ) .X. ( E .^ B ) ) ) e. S ) $=
        ( cn0 wcel w3a cmnd csrg srgmnd syl adantr simpr1 srgbinomlem1 3adantr1
        wa co mulgnn0cl syl3anc ) ADUFUGZEUFUGZKUFUGZUHZUQGUIUGZVAEBLURKCLURJUR
        ZHUGZDVFIURHUGAVEVDAGUJUGVEUAGUKULUMAVAVBVCUNAVBVCVGVAABCEFGHIJKLMNOPQR
        STUAUBUCUDUEUOUPHIGDVFOQUSUT $.

      $d A k $.  $d B k $.  $d N k $.  $d R k $.  $d S k $.  $d .x. k $.
      $d .X. k $.  $d .^ k $.  $d ph k $.
      srgbinomlem.i $e |- ( ps -> ( N .^ ( A .+ B ) )
                        = ( R gsum ( k e. ( 0 ... N ) |-> ( ( N _C k )
                           .x. ( ( ( N - k ) .^ A ) .X. ( k .^ B ) ) ) ) ) ) $.
      $( Lemma 3 for ~ srgbinomlem .  (Contributed by AV, 23-Aug-2019.)  (Proof
         shortened by AV, 27-Oct-2019.) $)
      srgbinomlem3 $p |- ( ( ph /\ ps ) -> ( ( N .^ ( A .+ B ) ) .X. A )
                = ( R gsum ( k e. ( 0 ... ( N + 1 ) )
                             |-> ( ( N _C k ) .x. ( ( ( ( N + 1 ) - k ) .^ A )
                                                    .X. ( k .^ B ) ) ) ) ) ) $=
        ( wa co cc0 cfz cv cbc cmin cmpt cgsu c1 wceq adantl oveq1d csn c0g cfv
        caddc csrg wcel ccmn srgcmn syl cn0 simpl elfzelz bccl fznn0sub elfznn0
        cz syl2an srgbinomlem2 syl13anc gsummptfzsplit cmnd cvv srgmnd ovexd id
        nn0zd peano2zd syl2anc cc nn0cnd peano2cn 0nn0 eqeltrdi peano2nn0 oveq2
        subidd oveq1 oveq12d gsumsn syl3anc clt wbr wo nn0red ltp1d olcd bcval4
        srgbinomlem1 syl12anc mulg0 3eqtrd oveq2d fzfid nnnn0d fzelp1 ralrimiva
        eqid bccl2 sylan2 gsummptcl mndrid adantr srgpcomppsc 1cnd zcnd addsubd
        eqtr4d mpteq2dva fvexd fsuppmptdm srgsummulcr 3eqtr2rd eqtrd ) ABUFZMCD
        EUGKUGZCIUGFJUHMUIUGZMJUJZUKUGZMYOULUGZCKUGYODKUGZIUGZHUGZUMZUNUGZCIUGZ
        FJUHMUOVBUGZUIUGZYPUUDYOULUGZCKUGZYRIUGZHUGZUMUNUGZYLYMUUBCIBYMUUBUPAUE
        UQURAUUCUUJUPBAUUJFJYNUUIUMZUNUGZFJYNYTCIUGZUMZUNUGUUCAUUJUULFJUUDUSUUI
        UMUNUGZEUGUULFUTVAZEUGZUULAGEJFMUUINQAFVCVDZFVEVDTFVFVGZUDAYOUUEVDZUFAY
        PVHVDZUUFVHVDZYOVHVDZUUIGVDZAUUTVIAMVHVDZYOVNVDUVAUUTUDYOUHUUDVJYOMVKVO
        UUTUVBAYOUHUUDVLUQZUUTUVCAYOUUDVMUQACDYPUUFEFGHIYOKLMNOPQRSTUAUBUCUDVPZ
        VQVRAUUOUUPUULEAUUOMUUDUKUGZUUDUUDULUGZCKUGZUUDDKUGZIUGZHUGZUHUVLHUGZUU
        PAFVSVDZUUDVTVDUVMGVDZUUOUVMUPAUURUVOTFWAVGZAMUOVBWBAAUVHVHVDZUVIVHVDZU
        UDVHVDZUVPAWCZAUVEUUDVNVDZUVRUDAMAMUDWDWEZUUDMVKWFAUVIUHVHAUUDAMWGVDZUU
        DWGVDAMUDWHZMWIVGWNWJWKZAUVEUVTUDMWLVGZACDUVHUVIEFGHIUUDKLMNOPQRSTUAUBU
        CUDVPVQUUIGUVMJFUUDVTNYOUUDUPZYPUVHUUHUVLHYOUUDMUKWMUWHUUGUVJYRUVKIUWHU
        UFUVICKYOUUDUUDULWMURYOUUDDKWOWPWPWQWRAUVHUHUVLHAUVEUWBUUDUHWSWTZMUUDWS
        WTZXAUVHUHUPUDUWCAUWJUWIAMAMUDXBXCXDUUDMXEWRURAUVLGVDZUVNUUPUPAAUVSUVTU
        WKUWAUWFUWGACDUVIEFGHIUUDKLMNOPQRSTUAUBUCUDXFXGGHFUVLUUPNUUPXOZPXHVGXIX
        JAUVOUULGVDUUQUULUPUVQAGJFYNUUINUUSAUHMXKZAUVDJYNAYOYNVDZUFZAUVAUVBUVCU
        VDAUWNVIZUWNUVAAUWNYPYOMXPXLUQZUWNAUUTUVBYOUHMXMUVFXQUWNUVCAYOMVMUQZUVG
        VQXNXRGEFUULUUPNQUWLXSWFXIAUUNUUKFUNAJYNUUMUUIUWOUUMYPYQUOVBUGZCKUGZYRI
        UGZHUGUUIUWOCDYPFGHIKLYOYQNORSAUURUWNTXTACGVDUWNUAXTADGVDUWNUBXTUWRACDI
        UGDCIUGUPUWNUCXTUWNYQVHVDZAYOUHMVLUQZPUWQYAUWOUUHUXAYPHUWOUUGUWTYRIUWOU
        UFUWSCKUWOMUOYOAUWDUWNUWEXTUWOYBUWNYOWGVDAUWNYOYOUHMVJYCUQYDURURXJYEYFX
        JAYNGEFIJVTYTCUUPNUWLQOTAUHMUIWBUAUWOAUVAUXBUVCYTGVDUWPUWQUXCUWRACDYPYQ
        EFGHIYOKLMNOPQRSTUAUBUCUDVPVQAJYNUUAVTVTYTUUPUUAXOUWMUWOYPYSHWBAFUTYGYH
        YIYJXTYK $.

      $d A j k $.  $d B j $.  $d N j $.  $d R j $.  $d S j $.  $d .x. j $.
      $d .X. j $.  $d .^ j $.  $d ph j $.
      $( Lemma 4 for ~ srgbinomlem .  (Contributed by AV, 24-Aug-2019.)  (Proof
         shortened by AV, 19-Nov-2019.) $)
      srgbinomlem4 $p |- ( ( ph /\ ps ) -> ( ( N .^ ( A .+ B ) ) .X. B )
       = ( R gsum ( k e. ( 0 ... ( N + 1 ) )
                    |-> ( ( N _C ( k - 1 ) ) .x. ( ( ( ( N + 1 ) - k ) .^ A )
                                                   .X. ( k .^ B ) ) ) ) ) ) $=
        ( vj co cc0 cfz cv cbc cmin cmpt cgsu c1 caddc oveq1d cvv c0g cfv ovexd
        eqid wcel wa cn0 simpl elfzelz bccl syl2an fznn0sub adantl srgbinomlem2
        cz elfznn0 syl13anc fzfid fvexd fsuppmptdm srgsummulcr csrg ccmn srgcmn
        syl 1z a1i 0zd nn0zd srgcl syl3anc wceq oveq2 oveq1 oveq12d gsummptshft
        adantr cc nn0cnd zcnd 1cnd subsub3d oveq2d peano2zm srgmgp 0p1e1 oveq1i
        cmnd eleq2i wi syl5bi imp mgpbas mulgnn0cl cn elfznn nnm1nn0 srgmulgass
        sylbi eqcomd srgmnd srgass w3a mgpplusg mulgnn0p1 npcand 3eqtrd mpteq1i
        mpteq2dva cbvmptv eqtri oveq2i gsummptcl syl2anc 0nn0 clt wbr cr wb 0re
        mp1i eqtr3d csn nnnn0d ralrimiva mndlid id pm3.2i zsubcl nn0cn peano2cn
        0z subid1d peano2nn0 eqeltrd gsumsn 0lt1 breqtrrdi 1re 3pm3.2i ltsubadd
        mpbird orcd bcval4 mulg0 3eqtrrd gsummptfzsplitl cfn snfi eleq1d ralsng
        wo wral ax-mp sylibr cmncom eqtrd 3eqtr4d eqtrid sylan9eqr ) BAMCDEUGKU
        GZDIUGFJUHMUIUGZMJUJZUKUGZMUWAULUGZCKUGZUWADKUGZIUGZHUGZUMZUNUGZDIUGZFJ
        UHMUOUPUGZUIUGZMUWAUOULUGZUKUGZUWKUWAULUGZCKUGZUWEIUGZHUGZUMUNUGZBUVSUW
        IDIUEUQAFJUVTUWGDIUGZUMUNUGZUWJUWSAUVTGEFIJURUWGDFUSUTZNUXBVBZQOTAUHMUI
        VAUBAUWAUVTVCZVDZAUWBVEVCZUWCVEVCZUWAVEVCZUWGGVCZAUXDVFAMVEVCZUWAVMVCZU
        XFUXDUDUWAUHMVGUWAMVHVIUXDUXGAUWAUHMVJVKUXDUXHAUWAMVNVKACDUWBUWCEFGHIUW
        AKLMNOPQRSTUAUBUCUDVLVOZAJUVTUWHURURUWGUXBUWHVBAUHMVPUXEUWBUWFHVAAFUSVQ
        VRVSAUXAFUFUHUOUPUGZUWKUIUGZMUFUJZUOULUGZUKUGZMUXPULUGZCKUGZUXPDKUGZIUG
        ZHUGZDIUGZUMZUNUGFUFUXNUXQUWKUXOULUGZCKUGZHUGZUXODKUGZIUGZUMZUNUGZUWSAU
        WTGUYCJUFFUOUHMUXBNUXCAFVTVCZFWAVCZTFWBWCZUOVMVCZAWDWEAWFAMUDWGUXEUYLUX
        IDGVCZUWTGVCAUYLUXDTWOUXLAUYPUXDUBWOGFIUWGDNOWHWIUWAUXPWJZUWGUYBDIUYQUW
        BUXQUWFUYAHUWAUXPMUKWKUYQUWDUXSUWEUXTIUYQUWCUXRCKUWAUXPMULWKUQUWAUXPDKW
        LWMWMUQWNAUYDUYJFUNAUFUXNUYCUYIAUXOUXNVCZVDZUYCUXQUYFUXTIUGZHUGZDIUGUYG
        UXTIUGZDIUGZUYIUYSUYBVUADIUYSUYAUYTUXQHUYSUXSUYFUXTIUYSUXRUYECKUYSMUXOU
        OAMWPVCZUYRAMUDWQWOUYSUXOUYRUXOVMVCZAUXOUXMUWKVGZVKWRUYSWSWTUQUQXAUQUYS
        VUAVUBDIUYSVUBVUAUYSUYLUXQVEVCZUYFGVCZUXTGVCZVUBVUAWJAUYLUYRTWOZAUXJUXP
        VMVCZVUGUYRUDUYRVUEVUKVUFUXOXBWCUXPMVHVIZUYSLXFVCZUYEVEVCZCGVCZVUHAVUMU
        YRAUYLVUMTFLRXCWCZWOZAUYRVUNUYRUXOUOUWKUIUGZVCZAVUNUXNVURUXOUXMUOUWKUIX
        DXEZXGZVUSVUNXHAUXOUOUWKVJWEXIXJAVUOUYRUAWOGKLUYECGFLRNXKZSXLWIZUYSVUMU
        XPVEVCZUYPVUIVUQUYRVVDAUYRVUSVVDVVAVUSUXOXMVCVVDUXOUWKXNUXOXOWCXQVKZAUY
        PUYRUBWOZGKLUXPDVVBSXLWIZGFHIUXQUYFUXTNPOXPVOXRUQUYSVUCUYGUXTDIUGZIUGZU
        YGUXPUOUPUGZDKUGZIUGUYIUYSUYLUYGGVCZVUIUYPVUCVVIWJVUJUYSFXFVCZVUGVUHVVL
        AVVMUYRAUYLVVMTFXSWCZWOVULVVCGHFUXQUYFNPXLWIVVGVVFGFIUYGUXTDNOXTVOUYSVV
        HVVKUYGIUYSVUMVVDUYPVVHVVKWJVUQVVEVVFVUMVVDUYPYAVVKVVHGIKLUXPDVVBSFILRO
        YBYCXRWIXAUYSVVKUYHUYGIUYSVVJUXODKUYRVVJUXOWJAUYRUXOUOUYRUXOVUFWRUYRWSY
        DVKUQXAYEYEYGXAAUYKFJVURUWNUWPHUGZUWEIUGZUMZUNUGZUWSUYJVVQFUNUYJUFVURUY
        IUMVVQUFUXNVURUYIVUTYFUFJVURUYIVVPUXOUWAWJZUYGVVOUYHUWEIVVSUXQUWNUYFUWP
        HVVSUXPUWMMUKUXOUWAUOULWLXAVVSUYEUWOCKUXOUWAUWKULWKUQWMUXOUWADKWLWMYHYI
        YJAFJVURUWRUMZUNUGZFJUHUUAZUWRUMUNUGZVWAEUGZVVRUWSAUXBVWAEUGZVWAVWDAVVM
        VWAGVCZVWEVWAWJVVNAGJFVURUWRNUYNAUOUWKVPAUWRGVCZJVURAUWAVURVCZVDZAUWNVE
        VCZUWOVEVCZUXHVWGAVWHVFAUXJUWMVMVCZVWJVWHUDVWHUXKVWLUWAUOUWKVGUWAXBZWCU
        WMMVHZVIZVWHVWKAUWAUOUWKVJVKZVWHUXHAVWHUWAUWAUWKXNUUBVKZACDUWNUWOEFGHIU
        WAKLMNOPQRSTUAUBUCUDVLZVOUUCYKZGEFVWAUXBNQUXCUUDYLAUXBVWCVWAEAVWCMUHUOU
        LUGZUKUGZUWKUHULUGZCKUGZUHDKUGZIUGZHUGZUHVXEHUGZUXBAVVMUHVEVCZVXFGVCZVW
        CVXFWJVVNVXHAYMWEZAAVXAVEVCZVXBVEVCZVXHVXIAUUEAUXJVWTVMVCZVXKUDUHVMVCZU
        YOVDVXMAVXNUYOUUJWDUUFUHUOUUGYSZVWTMVHYLAUXJVXLUDUXJVXBUWKVEUXJUWKUXJVU
        DUWKWPVCMUUHMUUIWCUUKMUULZUUMWCZVXJACDVXAVXBEFGHIUHKLMNOPQRSTUAUBUCUDVL
        VOZUWRGVXFJFUHVENUWAUHWJZUWNVXAUWQVXEHVXSUWMVWTMUKUWAUHUOULWLXAVXSUWPVX
        CUWEVXDIVXSUWOVXBCKUWAUHUWKULWKUQUWAUHDKWLWMWMZUUNWIAVXAUHVXEHAUXJVXMVW
        TUHYNYOZMVWTYNYOZUVJVXAUHWJUDVXOAVYAVYBAVYAUHUXMYNYOZAUHUOUXMYNUHUOYNYO
        AUUOWEXDUUPUHYPVCZUOYPVCZVYDYAVYAVYCYQAVYDVYEVYDYRUUQYRUURUHUOUHUUSYSUU
        TUVAVWTMUVBWIUQAVXEGVCZVXGUXBWJAUYLVXCGVCZVXDGVCZVYFTAVUMVXLVUOVYGVUPVX
        QUAGKLVXBCVVBSXLWIAVUMVXHUYPVYHVUPVXJUBGKLUHDVVBSXLWIGFIVXCVXDNOWHWIGHF
        VXEUXBNUXCPUVCWCUVDUQYTAVVQVVTFUNAJVURVVPUWRVWIUYLVWJUWPGVCZUWEGVCZVVPU
        WRWJAUYLVWHTWOVWOVWIVUMVWKVUOVYIAVUMVWHVUPWOZVWPAVUOVWHUAWOGKLUWOCVVBSX
        LWIVWIVUMUXHUYPVYJVYKVWQAUYPVWHUBWOGKLUWADVVBSXLWIGFHIUWNUWPUWENPOXPVOY
        GXAAUWSVWAVWCEUGZVWDAGEJFUWKUWRNQUYNAUXJUWKVEVCUDVXPWCAUWAUWLVCZVDAVWJV
        WKUXHVWGAVYMVFAUXJVWLVWJVYMUDVYMUXKVWLUWAUHUWKVGVWMWCVWNVIVYMVWKAUWAUHU
        WKVJVKVYMUXHAUWAUWKVNVKVWRVOUVEAUYMVWFVWCGVCVYLVWDWJUYNVWSAGJFVWBUWRNUY
        NVWBUVFVCAUHUVGWEAVXIVWGJVWBUVKZVXRVXHVYNVXIYQYMVWGVXIJUHVEVXSUWRVXFGVX
        TUVHUVIUVLUVMYKGEFVWAVWCNQUVNWIUVOUVPUVQYEYTUVR $.

      $d .+ k $.
      $( Lemma for ~ srgbinom .  Inductive step, analogous to ~ binomlem .
         (Contributed by AV, 24-Aug-2019.) $)
      srgbinomlem $p |- ( ( ph /\ ps ) -> ( ( N + 1 ) .^ ( A .+ B ) ) =
                   ( R gsum ( k e. ( 0 ... ( N + 1 ) ) |-> ( ( ( N + 1 ) _C k )
                   .x. ( ( ( ( N + 1 ) - k ) .^ A ) .X. ( k .^ B ) ) ) ) ) ) $=
        ( wa co cc0 c1 caddc cfz cv cmin cmpt srgbinomlem3 srgbinomlem4 oveq12d
        cbc cgsu cmnd wcel cn0 w3a wceq csrg srgmgp srgmnd mndcl syl3anc adantr
        syl 3jca mgpbas mgpplusg mulgnn0p1 mulgnn0cl jca srgdi eqtrd cz elfzelz
        bcpasc syl2an oveq1d bccl peano2zm syl2an2r fznn0sub elfznn0 mulgnn0dir
        adantl srgcl syl13anc eqtr3d mpteq2dva oveq2d ccmn fzfid gsummptfidmadd
        srgcmn eqid 3eqtr4d ) ABUFZMCDEUGZKUGZCIUGZXEDIUGZEUGZFJUHMUIUJUGZUKUGZ
        MJULZURUGZXIXKUMUGZCKUGZXKDKUGZIUGZHUGZUNZUSUGZFJXJMXKUIUMUGZURUGZXPHUG
        ZUNZUSUGZEUGZXIXDKUGZFJXJXIXKURUGZXPHUGZUNZUSUGZXCXFXSXGYDEABCDEFGHIJKL
        MNOPQRSTUAUBUCUDUEUOABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUPUQXCYFXEXDIUGZXHXCL
        UTVAZMVBVAZXDGVAZVCZYFYKVDAYOBAYLYMYNAFVEVAZYLTFLRVFVKZUDAFUTVAZCGVAZDG
        VAZYNAYPYRTFVGVKZUAUBGEFCDNQVHVIZVLVJGIKLMXDGFLRNVMZSFILROVNVOVKXCYPXEG
        VAZYSYTVCZUFZYKXHVDAUUFBAYPUUETAUUDYSYTAYLYMYNUUDYQUDUUBGKLMXDUUCSVPVIU
        AUBVLVQVJGEFIXECDNQOVRVKVSAYJYEVDBAYJFJXJXQYBEUGZUNZUSUGYEAYIUUHFUSAJXJ
        YHUUGAXKXJVAZUFZXLYAUJUGZXPHUGZYHUUGUUJUUKYGXPHAYMXKVTVAZUUKYGVDUUIUDXK
        UHXIWAZXKMWBWCWDUUJYRXLVBVAZYAVBVAZXPGVAZUULUUGVDAYRUUIUUAVJZAYMUUMUUOU
        UIUDUUNXKMWEWCZAYMUUIXTVTVAZUUPUDUUJUUMUUTUUIUUMAUUNWKXKWFZVKXTMWEZWGUU
        JYPXNGVAZXOGVAZUUQAYPUUITVJUUJYLXMVBVAZYSUVCAYLUUIYQVJZUUIUVEAXKUHXIWHW
        KAYSUUIUAVJGKLXMCUUCSVPVIUUJYLXKVBVAZYTUVDUVFUUIUVGAXKXIWIWKAYTUUIUBVJG
        KLXKDUUCSVPVIGFIXNXONOWLVIZGEHFXLYAXPNPQWJWMWNWOWPAJXJGXQYBEXRFYCNQAYPF
        WQVATFWTVKAUHXIWRUUJYRUUOUUQXQGVAUURUUSUVHGHFXLXPNPVPVIUUJYRUUPUUQYBGVA
        UURAYMUUTUUPUUIUDUUIUUMUUTUUNUVAVKUVBWCUVHGHFYAXPNPVPVIXRXAYCXAWSVSVJXB
        $.
    $}

    $d A k n x $.  $d B k n x $.  $d N k n x $.  $d R k n x $.  $d S k n x $.
    $d .x. k n x $.  $d .^ k n x $.  $d .X. k n x $.  $d .+ k n x $.
    $( The binomial theorem for commuting elements of a semiring:
       ` ( A + B ) ^ N ` is the sum from ` k = 0 ` to ` N ` of
       ` ( N _C k ) x. ( ( A ^ k ) x. ( B ^ ( N - k ) ) ` (generalization of
       ~ binom ).  (Contributed by AV, 24-Aug-2019.) $)
    srgbinom $p |- ( ( ( R e. SRing /\ N e. NN0 )
                        /\ ( A e. S /\ B e. S /\ ( A .X. B ) = ( B .X. A ) ) )
                      -> ( N .^ ( A .+ B ) ) = ( R gsum ( k e. ( 0 ... N )
          |-> ( ( N _C k ) .x. ( ( ( N - k ) .^ A ) .X. ( k .^ B ) ) ) ) ) ) $=
      ( co wceq cc0 vx vn csrg wcel cn0 wa w3a cfz cv cbc cmin cmpt wi c1 caddc
      oveq1 oveq2 oveq1d oveq12d mpteq12dv oveq2d eqeq12d imbi2d c0g cfv simpr1
      cgsu cbs mgpbas eleqtrdi eqid mulg0 syl simpr2 cur srgidcl adantr srglidm
      ancli mulg1 eqtrd wb ringidval ax-mp sylib csn fz0sn a1i mpteq1d cmnd cvv
      srgmnd c0ex eqeltrrid eqeltrd 0nn0 bcn0 eqtrdi 0m0e0 gsumsn syl3anc mndcl
      id 3eqtr4rd simprl adantl simprr3 simpl srgbinomlem exp31 a2d nn0ind expd
      impcom imp ) DUCUDZKUEUDZUFAEUDZBEUDZABGRBAGRSZUGZKABCRZIRZDHTKUHRZKHUIZU
      JRZKYEUKRZAIRZYEBIRZGRZFRZULZVGRZSZXQXPYAYNUMXQXPYAYNXPYAUFZUAUIZYBIRZDHT
      YPUHRZYPYEUJRZYPYEUKRZAIRZYIGRZFRZULZVGRZSZUMYOTYBIRZDHTTUHRZTYEUJRZTYEUK
      RZAIRZYIGRZFRZULZVGRZSZUMYOUBUIZYBIRZDHTUUQUHRZUUQYEUJRZUUQYEUKRZAIRZYIGR
      ZFRZULZVGRZSZUMYOUUQUNUORZYBIRZDHTUVHUHRZUVHYEUJRZUVHYEUKRZAIRZYIGRZFRZUL
      ZVGRZSZUMYOYNUMUAUBKYPTSZUUFUUPYOUVSYQUUGUUEUUOYPTYBIUPUVSUUDUUNDVGUVSHYR
      UUCUUHUUMYPTTUHUQUVSYSUUIUUBUULFYPTYEUJUPUVSUUAUUKYIGUVSYTUUJAIYPTYEUKUPU
      RURUSUTVAVBVCYPUUQSZUUFUVGYOUVTYQUURUUEUVFYPUUQYBIUPUVTUUDUVEDVGUVTHYRUUC
      UUSUVDYPUUQTUHUQUVTYSUUTUUBUVCFYPUUQYEUJUPUVTUUAUVBYIGUVTYTUVAAIYPUUQYEUK
      UPURURUSUTVAVBVCYPUVHSZUUFUVRYOUWAYQUVIUUEUVQYPUVHYBIUPUWAUUDUVPDVGUWAHYR
      UUCUVJUVOYPUVHTUHUQUWAYSUVKUUBUVNFYPUVHYEUJUPUWAUUAUVMYIGUWAYTUVLAIYPUVHY
      EUKUPURURUSUTVAVBVCYPKSZUUFYNYOUWBYQYCUUEYMYPKYBIUPUWBUUDYLDVGUWBHYRUUCYD
      YKYPKTUHUQUWBYSYFUUBYJFYPKYEUJUPUWBUUAYHYIGUWBYTYGAIYPKYEUKUPURURUSUTVAVB
      VCYOUNTAIRZTBIRZGRZFRZJVDVEZUUOUUGYOUWFUNUWGUWGGRZFRZUWGYOUWEUWHUNFYOUWCU
      WGUWDUWGGYOAJVHVEZUDUWCUWGSYOAEUWJXPXRXSXTVFZEDJPLVIZVJUWJIJAUWGUWJVKZUWG
      VKZQVLVMYOBUWJUDUWDUWGSYOBEUWJXPXRXSXTVNZUWLVJUWJIJBUWGUWMUWNQVLVMUSVAYOU
      NDVOVEZUWPGRZFRZUWPSZUWIUWGSZYOUWRUNUWPFRZUWPYOUWQUWPUNFYOXPUWPEUDZUFZUWQ
      UWPSXPUXCYAXPUXBEDUWPLUWPVKZVPZVSVQEDGUWPUWPLMUXDVRVMVAXPUXAUWPSZYAXPUWPD
      VHVEZUDUXFUXGDUWPUXGVKZUXDVPUXGFDUWPUXHNVTVMVQWAUWPUWGSZUWSUWTWBDUWPJPUXD
      WCZUXIUWRUWIUWPUWGUXIUWQUWHUNFUXIUWPUWGUWPUWGGUXIXCZUXKUSVAUXKVBWDWEWAZYO
      UUODHTWFZUUMULZVGRZUWFYOUUNUXNDVGYOHUUHUXMUUMUUHUXMSYOWGWHWIVAYODWJUDZTWK
      UDZUWFEUDUXOUWFSXPUXPYADWLVQZUXQYOWMWHYOUWFUWGEUXLXPUWGEUDYAXPUWGUWPEUXJU
      XEWNVQWOUUMEUWFHDTWKLYETSZUUIUNUULUWEFUXSUUITTUJRZUNYETTUJUQTUEUDUXTUNSWP
      TWQWDWRUXSUUKUWCYIUWDGUXSUUJTAIUXSUUJTTUKRTYETTUKUQWSWRURYETBIUPUSUSWTXAW
      AYOYBUWJUDUUGUWGSYOYBEUWJYOUXPXRXSYBEUDUXRUWKUWOECDABLOXBXAUWLVJUWJIJYBUW
      GUWMUWNQVLVMXDUUQUEUDZYOUVGUVRUYAYOUVGUVRUYAYOUFUVGABCDEFGHIJUUQLMNOPQUYA
      XPYAXEYOXRUYAUWKXFYOXSUYAUWOXFXRXSXTXPUYAXGUYAYOXHUVGXCXIXJXKXLXMXNXO $.

    $( The binomial theorem for commutative semirings.  (Contributed by AV,
       24-Aug-2019.) $)
    csrgbinom $p |- ( ( ( R e. SRing /\ G e. CMnd /\ N e. NN0 )
                         /\ ( A e. S /\ B e. S ) )
                      -> ( N .^ ( A .+ B ) ) = ( R gsum ( k e. ( 0 ... N )
          |-> ( ( N _C k ) .x. ( ( ( N - k ) .^ A ) .X. ( k .^ B ) ) ) ) ) ) $=
      ( wcel wa co csrg ccmn cn0 w3a wceq cc0 cfz cbc cmin 3simpb adantr simprl
      cmpt cgsu simprr simpl2 mgpbas mgpplusg cmncom syl3anc srgbinom syl13anc
      cv ) DUARZJUBRZKUCRZUDZAERZBERZSZSZVDVFSZVHVIABGTBAGTUEZKABCTITDHUFKUGTKH
      VCZUHTKVNUITAITVNBITGTFTUMUNTUEVGVLVJVDVEVFUJUKVGVHVIULZVGVHVIUOZVKVEVHVI
      VMVDVEVFVJUPVOVPEGJABEDJPLUQDGJPMURUSUTABCDEFGHIJKLMNOPQVAVB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition and basic properties of unital rings
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Ring $.
  $c CRing $.

  $( Extend class notation with class of all (unital) rings. $)
  crg $a class Ring $.

  $( Extend class notation with class of all (unital) commutative rings. $)
  ccrg $a class CRing $.

  ${
    $d f p r t x y z $.
    $( Define class of all (unital) rings.  A unital ring is a set equipped
       with two everywhere-defined internal operations, whose first one is an
       additive group structure and the second one is a multiplicative monoid
       structure, and where the addition is left- and right-distributive for
       the multiplication.  Definition 1 in [BourbakiAlg1] p. 92 or definition
       of a ring with identity in part Preliminaries of [Roman] p. 19.  So that
       the additive structure must be abelian (see ~ ringcom ), care must be
       taken that in the case of a non-unital ring, the commutativity of
       addition must be postulated and cannot be proved from the other
       conditions.  (Contributed by NM, 18-Oct-2012.)  (Revised by Mario
       Carneiro, 27-Dec-2014.) $)
    df-ring $a |- Ring = { f e. Grp | ( ( mulGrp ` f ) e. Mnd /\
        [. ( Base ` f ) / r ]. [. ( +g ` f ) / p ]. [. ( .r ` f ) / t ].
        A. x e. r A. y e. r A. z e. r
           ( ( x t ( y p z ) ) = ( ( x t y ) p ( x t z ) )
            /\ ( ( x p y ) t z ) = ( ( x t z ) p ( y t z ) ) ) ) } $.

    $( Define class of all commutative rings.  (Contributed by Mario Carneiro,
       7-Jan-2015.) $)
    df-cring $a |- CRing = { f e. Ring | ( mulGrp ` f ) e. CMnd } $.
  $}

  ${
    $d b p r t x y z B $.  $d b p r t x y z .+ $.  $d b p r t x y z R $.
    $d r G $.  $d b p r t x y z .x. $.
    isring.b $e |- B = ( Base ` R ) $.
    isring.g $e |- G = ( mulGrp ` R ) $.
    isring.p $e |- .+ = ( +g ` R ) $.
    isring.t $e |- .x. = ( .r ` R ) $.
    $( The predicate "is a (unital) ring".  Definition of ring with unit in
       [Schechter] p. 187.  (Contributed by NM, 18-Oct-2012.)  (Revised by
       Mario Carneiro, 6-Jan-2015.) $)
    isring $p |- ( R e. Ring <-> ( R e. Grp /\ G e. Mnd
      /\ A. x e. B A. y e. B A. z e. B
       ( ( x .x. ( y .+ z ) ) = ( ( x .x. y ) .+ ( x .x. z ) )
      /\ ( ( x .+ y ) .x. z ) = ( ( x .x. z ) .+ ( y .x. z ) ) ) ) ) $=
      ( vp cv co wceq wa wral cfv oveqd vr vt crg wcel cgrp cmnd w3a cmgp cmulr
      vb wsbc cplusg cbs fveq2 eqtr4di eleq1d fvexd simpl fveq2d simpll simpllr
      cvv simpr eqidd simplr oveq123d eqeq12d anbi12d raleqbidv sbcied2 df-ring
      elrab2 3anass bitr4i ) FUCUDFUEUDZHUFUDZANZBNZCNZEOZGOZVQVRGOZVQVSGOZEOZP
      ZVQVREOZVSGOZWCVRVSGOZEOZPZQZCDRZBDRZADRZQZQVOVPWNUGUANZUHSZUFUDZVQVRVSMN
      ZOZUBNZOZVQVRXAOZVQVSXAOZWSOZPZVQVRWSOZVSXAOZXDVRVSXAOZWSOZPZQZCUJNZRZBXM
      RZAXMRZUBWPUISZUKZMWPULSZUKZUJWPUMSZUKZQWOUAFUEUCWPFPZWRVPYBWNYCWQHUFYCWQ
      FUHSHWPFUHUNJUOUPYCXTWNUJYADVBYCWPUMUQYCYAFUMSDWPFUMUNIUOYCXMDPZQZXRWNMXS
      EVBYEWPULUQYEXSFULSEYEWPFULYCYDURUSKUOYEWSEPZQZXPWNUBXQGVBYGWPUIUQYGXQFUI
      SGYGWPFUIYCYDYFUTUSLUOYGXAGPZQZXOWMAXMDYCYDYFYHVAZYIXNWLBXMDYJYIXLWKCXMDY
      JYIXFWEXKWJYIXBWAXEWDYIVQVQWTVTXAGYGYHVCZYIVQVDYIWSEVRVSYEYFYHVEZTVFYIXCW
      BXDWCWSEYLYIXAGVQVRYKTYIXAGVQVSYKTZVFVGYIXHWGXJWIYIXGWFVSVSXAGYKYIWSEVQVR
      YLTYIVSVDVFYIXDWCXIWHWSEYLYMYIXAGVRVSYKTVFVGVHVIVIVIVJVJVJVHABCUBUAUJMVKV
      LVOVPWNVMVN $.
  $}

  ${
    $d r G $.  $d r x y z R $.
    $( A ring is a group.  (Contributed by NM, 15-Sep-2011.) $)
    ringgrp $p |- ( R e. Ring -> R e. Grp ) $=
      ( vx vy vz crg wcel cgrp cmgp cfv cmnd cv cplusg cmulr wceq cbs wral eqid
      co wa isring simp1bi ) AEFAGFAHIZJFBKZCKZDKZALIZRAMIZRUCUDUGRUCUEUGRZUFRN
      UCUDUFRUEUGRUHUDUEUGRUFRNSDAOIZPCUIPBUIPBCDUIUFAUGUBUIQUBQUFQUGQTUA $.

    ringmgp.g $e |- G = ( mulGrp ` R ) $.
    $( A ring is a monoid under multiplication.  (Contributed by Mario
       Carneiro, 6-Jan-2015.) $)
    ringmgp $p |- ( R e. Ring -> G e. Mnd ) $=
      ( vx vy vz crg wcel cgrp cmnd cv cplusg cfv co cmulr wceq cbs wral eqid
      wa isring simp2bi ) AGHAIHBJHDKZEKZFKZALMZNAOMZNUCUDUGNUCUEUGNZUFNPUCUDUF
      NUEUGNUHUDUEUGNUFNPTFAQMZREUIRDUIRDEFUIUFAUGBUISCUFSUGSUAUB $.

    $( A commutative ring is a ring whose multiplication is a commutative
       monoid.  (Contributed by Mario Carneiro, 7-Jan-2015.) $)
    iscrng $p |- ( R e. CRing <-> ( R e. Ring /\ G e. CMnd ) ) $=
      ( vr cv cmgp cfv ccmn wcel ccrg wceq fveq2 eqtr4di eleq1d df-cring elrab2
      crg ) DEZFGZHIBHIDAQJRAKZSBHTSAFGBRAFLCMNDOP $.

    $( A commutative ring's multiplication operation is commutative.
       (Contributed by Mario Carneiro, 7-Jan-2015.) $)
    crngmgp $p |- ( R e. CRing -> G e. CMnd ) $=
      ( ccrg wcel crg ccmn iscrng simprbi ) ADEAFEBGEABCHI $.
  $}

  ${
    ringgrpd.1 $e |- ( ph -> R e. Ring ) $.
    $( A ring is a group.  (Contributed by SN, 16-May-2024.) $)
    ringgrpd $p |- ( ph -> R e. Grp ) $=
      ( crg wcel cgrp ringgrp syl ) ABDEBFECBGH $.
  $}

  $( A ring is a monoid under addition.  (Contributed by Mario Carneiro,
     7-Jan-2015.) $)
  ringmnd $p |- ( R e. Ring -> R e. Mnd ) $=
    ( crg wcel ringgrp grpmndd ) ABCAADE $.

  $( A ring is a magma.  (Contributed by AV, 31-Jan-2020.) $)
  ringmgm $p |- ( R e. Ring -> R e. Mgm ) $=
    ( crg wcel cmnd cmgm ringmnd mndmgm syl ) ABCADCAECAFAGH $.

  $( A commutative ring is a ring.  (Contributed by Mario Carneiro,
     7-Jan-2015.) $)
  crngring $p |- ( R e. CRing -> R e. Ring ) $=
    ( ccrg wcel crg cmgp cfv ccmn eqid iscrng simplbi ) ABCADCAEFZGCAKKHIJ $.

  ${
    crngringd.1 $e |- ( ph -> R e. CRing ) $.
    $( A commutative ring is a ring.  (Contributed by SN, 16-May-2024.) $)
    crngringd $p |- ( ph -> R e. Ring ) $=
      ( ccrg wcel crg crngring syl ) ABDEBFECBGH $.

    $( A commutative ring is a group.  (Contributed by SN, 16-May-2024.) $)
    crnggrpd $p |- ( ph -> R e. Grp ) $=
      ( crngringd ringgrpd ) ABABCDE $.
  $}

  $( Restricted functionality of the multiplicative group on rings.
     (Contributed by Mario Carneiro, 11-Mar-2015.) $)
  mgpf $p |- ( mulGrp |` Ring ) : Ring --> Mnd $=
    ( va crg cmnd cmgp cres wf wfn cv cfv wcel wral cvv wss fnmgp fnssres mp2an
    ssv fvres eqid ringmgp eqeltrd rgen ffnfv mpbir2an ) BCDBEZFUEBGZAHZUEIZCJZ
    ABKDLGBLMUFNBQLBDOPUIABUGBJUHUGDIZCUGBDRUGUJUJSTUAUBABCUEUCUD $.

  ${
    $d x y z B $.  $d x y z R $.  $d x y z .x. $.  $d x y z X $.  $d x y z Y $.
    $d x y z .+ $.  $d x y z Z $.
    ringi.b $e |- B = ( Base ` R ) $.
    ringi.p $e |- .+ = ( +g ` R ) $.
    ringi.t $e |- .x. = ( .r ` R ) $.
    $( Properties of a unital ring.  (Contributed by NM, 26-Aug-2011.)
       (Revised by Mario Carneiro, 6-Jan-2015.) $)
    ringi $p |- ( ( R e. Ring /\ ( X e. B /\ Y e. B /\ Z e. B ) )
           -> ( ( X .x. ( Y .+ Z ) ) = ( ( X .x. Y ) .+ ( X .x. Z ) )
                /\ ( ( X .+ Y ) .x. Z ) = ( ( X .x. Z ) .+ ( Y .x. Z ) ) ) ) $=
      ( vx vy vz wcel wa co wceq cv wral rsp crg w3a cgrp cmgp cmnd eqid isring
      cfv simp3bi adantr simpr1 sylc simpr2 simpr3 simpld caovdig caovdirg jca
      simprd ) CUANZEANFANGANUBOEFGBPDPEFDPEGDPZBPQEFBPGDPVAFGDPBPQUTKLMEFGABDB
      AUTKRZANZLRZANZMRZANZUBZOZVBVDVFBPDPVBVDDPVBVFDPZBPQZVBVDBPVFDPVJVDVFDPBP
      QZVIVKVLOZMASZVGVMVIVNLASZVEVNVIVOKASZVCVOUTVPVHUTCUCNCUDUHZUENVPKLMABCDV
      QHVQUFIJUGUIUJUTVCVEVGUKVOKATULUTVCVEVGUMVNLATULUTVCVEVGUNVMMATULZUOUPUTK
      LMEFGABDBAVIVKVLVRUSUQUR $.
  $}

  ${
    ringcl.b $e |- B = ( Base ` R ) $.
    ringcl.t $e |- .x. = ( .r ` R ) $.
    $( Closure of the multiplication operation of a ring.  (Contributed by NM,
       26-Aug-2011.)  (Revised by Mario Carneiro, 6-Jan-2015.) $)
    ringcl $p |- ( ( R e. Ring /\ X e. B /\ Y e. B ) -> ( X .x. Y ) e. B ) $=
      ( crg wcel cmgp cfv cmnd co eqid ringmgp mgpbas mgpplusg mndcl syl3an1 )
      BHIBJKZLIDAIEAIDECMAIBTTNZOACTDEABTUAFPBCTUAGQRS $.

    $( A commutative ring's multiplication operation is commutative.
       (Contributed by Mario Carneiro, 7-Jan-2015.) $)
    crngcom $p |- ( ( R e. CRing /\ X e. B /\ Y e. B ) ->
      ( X .x. Y ) = ( Y .x. X ) ) $=
      ( ccrg wcel cmgp ccmn co wceq eqid crngmgp mgpbas mgpplusg cmncom syl3an1
      cfv ) BHIBJTZKIDAIEAIDECLEDCLMBUAUANZOACUADEABUAUBFPBCUAUBGQRS $.

    $d x y B $.  $d x y R $.
    $( A commutative ring is a ring whose multiplication is a commutative
       monoid.  (Contributed by Mario Carneiro, 15-Jun-2015.) $)
    iscrng2 $p |- ( R e. CRing <-> ( R e. Ring /\
        A. x e. B A. y e. B ( x .x. y ) = ( y .x. x ) ) ) $=
      ( ccrg wcel crg cmgp cfv ccmn wa cv co wceq wral eqid iscrng cmnd ringmgp
      wb mgpbas mgpplusg iscmn baib syl pm5.32i bitri ) DHIDJIZDKLZMIZNUKAOZBOZ
      EPUOUNEPQBCRACRZNDULULSZTUKUMUPUKULUAIZUMUPUCDULUQUBUMURUPABCEULCDULUQFUD
      DEULUQGUEUFUGUHUIUJ $.

    $( Associative law for multiplication in a ring.  (Contributed by NM,
       27-Aug-2011.)  (Revised by Mario Carneiro, 6-Jan-2015.) $)
    ringass $p |- ( ( R e. Ring /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
                      ( ( X .x. Y ) .x. Z ) = ( X .x. ( Y .x. Z ) ) ) $=
      ( crg wcel cmgp cfv cmnd w3a co wceq eqid ringmgp mgpbas mgpplusg mndass
      sylan ) BIJBKLZMJDAJEAJFAJNDECOFCODEFCOCOPBUCUCQZRACUCDEFABUCUDGSBCUCUDHT
      UAUB $.

    $d u x B $.  $d u x R $.  $d u x .x. $.
    $( The unit element of a ring is unique.  (Contributed by NM, 27-Aug-2011.)
       (Revised by Mario Carneiro, 6-Jan-2015.) $)
    ringideu $p |- ( R e. Ring ->
                E! u e. B A. x e. B ( ( u .x. x ) = x /\ ( x .x. u ) = x ) ) $=
      ( crg wcel cmgp cfv cmnd cv co wceq wa wral wreu eqid ringmgp mndideu syl
      mgpbas mgpplusg ) DHIDJKZLIBMZAMZENUGOUGUFENUGOPACQBCRDUEUESZTABCEUECDUEU
      HFUCDEUEUHGUDUAUB $.
  $}

  ${
    ringdi.b $e |- B = ( Base ` R ) $.
    ringdi.p $e |- .+ = ( +g ` R ) $.
    ringdi.t $e |- .x. = ( .r ` R ) $.
    $( Distributive law for the multiplication operation of a ring
       (left-distributivity).  (Contributed by Steve Rodriguez, 9-Sep-2007.) $)
    ringdi $p |- ( ( R e. Ring /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
                     ( X .x. ( Y .+ Z ) ) = ( ( X .x. Y ) .+ ( X .x. Z ) ) ) $=
      ( crg wcel w3a wa co wceq ringi simpld ) CKLEALFALGALMNEFGBODOEFDOEGDOZBO
      PEFBOGDOSFGDOBOPABCDEFGHIJQR $.

    $( Distributive law for the multiplication operation of a ring
       (right-distributivity).  (Contributed by Steve Rodriguez,
       9-Sep-2007.) $)
    ringdir $p |- ( ( R e. Ring /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
                     ( ( X .+ Y ) .x. Z ) = ( ( X .x. Z ) .+ ( Y .x. Z ) ) ) $=
      ( crg wcel w3a wa co wceq ringi simprd ) CKLEALFALGALMNEFGBODOEFDOEGDOZBO
      PEFBOGDOSFGDOBOPABCDEFGHIJQR $.
  $}

  ${
    ringidcl.b $e |- B = ( Base ` R ) $.
    ringidcl.u $e |- .1. = ( 1r ` R ) $.
    $( The unit element of a ring belongs to the base set of the ring.
       (Contributed by NM, 27-Aug-2011.)  (Revised by Mario Carneiro,
       27-Dec-2014.) $)
    ringidcl $p |- ( R e. Ring -> .1. e. B ) $=
      ( crg wcel cmgp cfv cmnd eqid ringmgp mgpbas ringidval mndidcl syl ) BFGB
      HIZJGCAGBQQKZLAQCABQRDMBCQRENOP $.
  $}

  ${
    ring0cl.b $e |- B = ( Base ` R ) $.
    ring0cl.z $e |- .0. = ( 0g ` R ) $.
    $( The zero element of a ring belongs to its base set.  (Contributed by
       Mario Carneiro, 12-Jan-2014.) $)
    ring0cl $p |- ( R e. Ring -> .0. e. B ) $=
      ( crg wcel cgrp ringgrp grpidcl syl ) BFGBHGCAGBIABCDEJK $.
  $}

  ${
    $d x y B $.  $d x y I $.  $d x y R $.  $d x y .x. $.  $d x y .1. $.
    rngidm.b $e |- B = ( Base ` R ) $.
    rngidm.t $e |- .x. = ( .r ` R ) $.
    rngidm.u $e |- .1. = ( 1r ` R ) $.
    $( Lemma for ~ ringlidm and ~ ringridm .  (Contributed by NM, 15-Sep-2011.)
       (Revised by Mario Carneiro, 27-Dec-2014.) $)
    ringidmlem $p |- ( ( R e. Ring /\ X e. B )
           -> ( ( .1. .x. X ) = X /\ ( X .x. .1. ) = X ) ) $=
      ( crg wcel cmgp cfv cmnd co wceq wa eqid ringmgp mgpbas mgpplusg mndlrid
      ringidval sylan ) BIJBKLZMJEAJDECNEOEDCNEOPBUDUDQZRACUDEDABUDUEFSBCUDUEGT
      BDUDUEHUBUAUC $.

    $( The unit element of a ring is a left multiplicative identity.
       (Contributed by NM, 15-Sep-2011.) $)
    ringlidm $p |- ( ( R e. Ring /\ X e. B ) -> ( .1. .x. X ) = X ) $=
      ( crg wcel wa co wceq ringidmlem simpld ) BIJEAJKDECLEMEDCLEMABCDEFGHNO
      $.

    $( The unit element of a ring is a right multiplicative identity.
       (Contributed by NM, 15-Sep-2011.) $)
    ringridm $p |- ( ( R e. Ring /\ X e. B ) -> ( X .x. .1. ) = X ) $=
      ( crg wcel wa co wceq ringidmlem simprd ) BIJEAJKDECLEMEDCLEMABCDEFGHNO
      $.

    $( Properties showing that an element ` I ` is the unity element of a ring.
       (Contributed by NM, 7-Aug-2013.) $)
    isringid $p |- ( R e. Ring
      -> ( ( I e. B /\ A. x e. B ( ( I .x. x ) = x /\ ( x .x. I ) = x ) )
        <-> .1. = I ) ) $=
      ( vy crg wcel cmgp cfv eqid mgpbas ringidval cv co wceq wa wral wreu wrex
      mgpplusg ringideu reurex syl ismgmid ) CKLZABDFJCMNZEBCUKUKOZGPCEUKULIQCD
      UKULHUEUJJRZARZDSUNTUNUMDSUNTUAABUBZJBUCUOJBUDAJBCDGHUFUOJBUGUHUI $.
  $}

  ${
    $d B u $.  $d R u $.  $d X u $.  $d .x. u $.
    ringid.b $e |- B = ( Base ` R ) $.
    ringid.t $e |- .x. = ( .r ` R ) $.
    $( The multiplication operation of a unital ring has (one or more) identity
       elements.  (Contributed by Steve Rodriguez, 9-Sep-2007.)  (Revised by
       Mario Carneiro, 22-Dec-2013.)  (Revised by AV, 24-Aug-2021.) $)
    ringid $p |- ( ( R e. Ring /\ X e. B ) ->
                 E. u e. B ( ( u .x. X ) = X /\ ( X .x. u ) = X ) ) $=
      ( crg wcel wa cv co wceq cur cfv eqid ringidcl adantr wb eqeq1d rspcedvd
      oveq1 oveq2 anbi12d adantl ringidmlem ) CHIZEBIZJZAKZEDLZEMZEUJDLZEMZJZCN
      OZEDLZEMZEUPDLZEMZJZAUPBUGUPBIUHBCUPFUPPZQRUJUPMZUOVASUIVCULURUNUTVCUKUQE
      UJUPEDUBTVCUMUSEUJUPEDUCTUDUEBCDUPEFGVBUFUA $.
  $}

  ${
    $d B x $.  $d R x $.  $d X x $.  $d .x. x $.
    ringadd2.b $e |- B = ( Base ` R ) $.
    ringadd2.p $e |- .+ = ( +g ` R ) $.
    ringadd2.t $e |- .x. = ( .r ` R ) $.
    $( A ring element plus itself is two times the element.  (Contributed by
       Steve Rodriguez, 9-Sep-2007.)  (Revised by Mario Carneiro, 22-Dec-2013.)
       (Revised by AV, 24-Aug-2021.) $)
    ringadd2 $p |- ( ( R e. Ring /\ X e. B )
                     -> E. x e. B ( X .+ X ) = ( ( x .+ x ) .x. X ) ) $=
      ( crg wcel wa cv co wceq wrex ringid oveq12 anidms eqcomd simpll syl13anc
      simpr simplr ringdir eqeq2d syl5ibr adantrd reximdva mpd ) DJKZFBKZLZAMZF
      ENZFOZFUNENFOZLZABPFFCNZUNUNCNFENZOZABPABDEFGIQUMURVAABUMUNBKZLZUPVAUQUPV
      AVCUSUOUOCNZOUPVDUSUPVDUSOUOFUOFCRSTVCUTVDUSVCUKVBVBULUTVDOUKULVBUAUMVBUC
      ZVEUKULVBUDBCDEUNUNFGHIUEUBUFUGUHUIUJ $.

    rngo2times.u $e |- .1. = ( 1r ` R ) $.
    $( A ring element plus itself is two times the element.  "Two" in an
       arbitrary unital ring is the sum of the unit with itself.  (Contributed
       by AV, 24-Aug-2021.) $)
    rngo2times $p |- ( ( R e. Ring /\ A e. B )
                       -> ( A .+ A ) = ( ( .1. .+ .1. ) .x. A ) ) $=
      ( crg wcel wa co ringlidm eqcomd oveq12d wceq simpl ringidcl adantr simpr
      ringdir syl13anc eqtr4d ) DKLZABLZMZAACNFAENZUICNZFFCNAENZUHAUIAUICUHUIAB
      DEFAGIJOPZULQUHUFFBLZUMUGUKUJRUFUGSUFUMUGBDFGJTUAZUNUFUGUBBCDEFFAGHIUCUDU
      E $.
  $}

  ${
    $d y A $.  $d y B $.  $d y M $.  $d y .1. $.  $d y R $.
    ringidss.g $e |- M = ( ( mulGrp ` R ) |`s A ) $.
    ringidss.b $e |- B = ( Base ` R ) $.
    ringidss.u $e |- .1. = ( 1r ` R ) $.
    $( A subset of the multiplicative group has the multiplicative identity as
       its identity if the identity is in the subset.  (Contributed by Mario
       Carneiro, 27-Dec-2014.)  (Revised by Mario Carneiro, 30-Apr-2015.) $)
    ringidss $p |- ( ( R e. Ring /\ A C_ B /\ .1. e. A ) ->
      .1. = ( 0g ` M ) ) $=
      ( vy wcel cbs cfv eqid wceq co cvv oveqd 3ad2antl1 eqtr3d syldan crg cmgp
      wss w3a cplusg c0g simp3 mgpbas ressbas2 3ad2ant2 eleqtrd cv simp2 sselda
      eqsstrrd wa fvex eqeltrdi mgpplusg ressplusg syl adantr ringlidm ringridm
      cmulr ismgmid2 ) CUAJZABUCZDAJZUDZIEKLZEUELZDEEUFLZVKMVMMVLMVJDAVKVGVHVIU
      GVHVGAVKNVIABECUBLZFBCVNVNMZGUHUIUJZUKVJIULZVKJZVQBJZDVQVLOZVQNVJVKBVQVJV
      KABVPVGVHVIUMUOUNZVJVSUPZDVQCVELZOZVTVQWBWCVLDVQVJWCVLNZVSVJAPJWEVJAVKPVP
      EKUQURAWCVNEPFCWCVNVOWCMZUSUTVAVBZQVGVHVSWDVQNVIBCWCDVQGWFHVCRSTVJVRVSVQD
      VLOZVQNWAWBVQDWCOZWHVQWBWCVLVQDWGQVGVHVSWIVQNVIBCWCDVQGWFHVDRSTVF $.
  $}

  ${
    ringacl.b $e |- B = ( Base ` R ) $.
    ringacl.p $e |- .+ = ( +g ` R ) $.
    $( Closure of the addition operation of a ring.  (Contributed by Mario
       Carneiro, 14-Jan-2014.) $)
    ringacl $p |- ( ( R e. Ring /\ X e. B /\ Y e. B ) -> ( X .+ Y ) e. B ) $=
      ( crg wcel cgrp co ringgrp grpcl syl3an1 ) CHICJIDAIEAIDEBKAICLABCDEFGMN
      $.

    $( Commutativity of the additive group of a ring.  (See also ~ lmodcom .)
       (Contributed by G&eacute;rard Lang, 4-Dec-2014.) $)
    ringcom $p |- ( ( R e. Ring /\ X e. B /\ Y e. B ) ->
      ( X .+ Y ) = ( Y .+ X ) ) $=
      ( wcel co wceq cfv eqid ringacl syl3anc syl13anc ringdir ringlidm syl2anc
      oveq12d grpass crg w3a cur cmulr simp1 ringidcl simp2 simp3 ringdi eqtr3d
      syl eqtrd 3eqtr3d cgrp ringgrp 3eqtr4d wb grprcan mpbid 3com23 grplcan )
      CUAHZDAHZEAHZUBZDDEBIZBIZDEDBIZBIZJZVFVHJZVEDDBIZEBIZVFDBIZVGVIVEVMEBIZVN
      EBIZJZVMVNJZVEVLEEBIZBIZVFVFBIZVOVPVECUCKZWBBIZDCUDKZIZWCEWDIZBIZWBVFWDIZ
      WHBIZVTWAVEWCVFWDIZWGWIVEVBWCAHZVCVDWJWGJVBVCVDUEZVEVBWBAHZWMWKWLVEVBWMWL
      ACWBFWBLZUFUKZWOABCWBWBFGMNVBVCVDUGZVBVCVDUHZABCWDWCDEFGWDLZUIOVEVBWMWMVF
      AHZWJWIJWLWOWOABCDEFGMZABCWDWBWBVFFGWRPOUJVEWEVLWFVSBVEWEWBDWDIZXABIZVLVE
      VBWMWMVCWEXBJWLWOWOWPABCWDWBWBDFGWRPOVEXADXADBVEVBVCXADJWLWPACWDWBDFWRWNQ
      RZXCSULVEWFWBEWDIZXDBIZVSVEVBWMWMVDWFXEJWLWOWOWQABCWDWBWBEFGWRPOVEXDEXDEB
      VEVBVDXDEJWLWQACWDWBEFWRWNQRZXFSULSVEWHVFWHVFBVEVBWSWHVFJWLWTACWDWBVFFWRW
      NQRZXGSUMVECUNHZVLAHZVDVDVOVTJVEVBXHWLCUOUKZVEVBVCVCXIWLWPWPABCDDFGMNZWQW
      QABCVLEEFGTOVEXHWSVCVDVPWAJXJWTWPWQABCVFDEFGTOUPVEXHVMAHZVNAHZVDVQVRUQXJV
      EVBXIVDXLWLXKWQABCVLEFGMNVEVBWSVCXMWLWTWPABCVFDFGMNWQABCVMVNEFGUROUSVEXHV
      CVCVDVMVGJXJWPWPWQABCDDEFGTOVEXHVCVDVCVNVIJXJWPWQWPABCDEDFGTOUMVEXHWSVHAH
      ZVCVJVKUQXJWTVBVDVCXNABCEDFGMUTWPABCVFVHDFGVAOUS $.
  $}

  ${
    $d x y R $.
    $( A ring is an Abelian group.  (Contributed by NM, 26-Aug-2011.) $)
    ringabl $p |- ( R e. Ring -> R e. Abel ) $=
      ( vx vy crg wcel cbs cfv cplusg eqidd ringgrp cv eqid ringcom isabld ) AD
      EZBCAFGZAHGZAOPIOQIAJPQABKCKPLQLMN $.
  $}

  $( A ring is a commutative monoid.  (Contributed by Mario Carneiro,
     7-Jan-2015.) $)
  ringcmn $p |- ( R e. Ring -> R e. CMnd ) $=
    ( crg wcel cabl ccmn ringabl ablcmn syl ) ABCADCAECAFAGH $.

  ${
    $d u v w x y B $.  $d u v w x y K $.  $d u v w x y ph $.  $d u v w x y L $.
    ringpropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    ringpropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    ringpropd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    ringpropd.4 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( .r ` K ) y ) = ( x ( .r ` L ) y ) ) $.
    $( If two structures have the same group components (properties), one is a
       ring iff the other one is.  (Contributed by Mario Carneiro, 6-Dec-2014.)
       (Revised by Mario Carneiro, 6-Jan-2015.) $)
    ringpropd $p |- ( ph -> ( K e. Ring <-> L e. Ring ) ) $=
      ( vu vv vw wcel cfv co wceq wa wral oveqrspc2v cgrp cmgp cplusg cmulr cbs
      cmnd cv w3a crg wb simpll simprll simplrl simprlr ad2antrr eleqtrd simprr
      eqid grpcl syl3anc eleqtrrd syl12anc oveq2d eqtrd simplrr mgpbas mgpplusg
      mndcl oveq12d eqeq12d oveq1d anbi12d anassrs ralbidva 2ralbidva raleqbidv
      adantr raleqdv 3bitr3d pm5.32da df-3an 3bitr4g grppropd mndpropd 3anbi12d
      eqtrdi oveqi 3eqtr3g bitrd isring ) AEUANZEUBOZUFNZKUGZLUGZMUGZEUCOZPZEUD
      OZPZWNWOWSPZWNWPWSPZWQPZQZWNWOWQPZWPWSPZXBWOWPWSPZWQPZQZRZMEUEOZSZLXKSZKX
      KSZUHZFUANZFUBOZUFNZWNWOWPFUCOZPZFUDOZPZWNWOYAPZWNWPYAPZXSPZQZWNWOXSPZWPY
      APZYDWOWPYAPZXSPZQZRZMFUEOZSZLYMSZKYMSZUHZEUINFUINAXOWKWMYPUHZYQAWKWMRZXN
      RYSYPRXOYRAYSXNYPAYSRZXJMDSZLDSZKDSYLMDSZLDSZKDSXNYPYTUUAUUCKLDDYTWNDNZWO
      DNZRZRXJYLMDYTUUGWPDNZXJYLUJYTUUGUUHRZRZXDYFXIYKUUJWTYBXCYEUUJWTWNWRYAPZY
      BUUJAUUEWRDNWTUUKQAYSUUIUKZYTUUEUUFUUHULZUUJWRXKDUUJWKWOXKNZWPXKNZWRXKNAW
      KWMUUIUMZUUJWODXKYTUUEUUFUUHUNZADXKQZYSUUIGUOZUPZUUJWPDXKYTUUGUUHUQZUUSUP
      ZXKWQEWOWPXKURZWQURZUSUTUUSVAABCDDWSYAWNWRJTVBUUJWRXTWNYAUUJAUUFUUHWRXTQU
      ULUUQUVAABCDDWQXSWOWPITVBVCVDUUJXCXAXBXSPZYEUUJAXADNXBDNZXCUVEQUULUUJXAXK
      DUUJWMWNXKNZUUNXAXKNAWKWMUUIVEZUUJWNDXKUUMUUSUPZUUTXKWSWLWNWOXKEWLWLURZUV
      CVFZEWSWLUVJWSURZVGZVHUTUUSVAUUJXBXKDUUJWMUVGUUOXBXKNUVHUVIUVBXKWSWLWNWPU
      VKUVMVHUTUUSVAZABCDDWQXSXAXBITVBUUJXAYCXBYDXSUUJAUUEUUFXAYCQUULUUMUUQABCD
      DWSYAWNWOJTVBUUJAUUEUUHXBYDQUULUUMUVAABCDDWSYAWNWPJTVBZVIVDVJUUJXFYHXHYJU
      UJXFXEWPYAPZYHUUJAXEDNUUHXFUVPQUULUUJXEXKDUUJWKUVGUUNXEXKNUUPUVIUUTXKWQEW
      NWOUVCUVDUSUTUUSVAUVAABCDDWSYAXEWPJTVBUUJXEYGWPYAUUJAUUEUUFXEYGQUULUUMUUQ
      ABCDDWQXSWNWOITVBVKVDUUJXHXBXGXSPZYJUUJAUVFXGDNXHUVQQUULUVNUUJXGXKDUUJWMU
      UNUUOXGXKNUVHUUTUVBXKWSWLWOWPUVKUVMVHUTUUSVAABCDDWQXSXBXGITVBUUJXBYDXGYIX
      SUVOUUJAUUFUUHXGYIQUULUUQUVAABCDDWSYAWOWPJTVBVIVDVJVLVMVNVOYTUUBXMKDXKAUU
      RYSGVQZYTUUAXLLDXKUVRYTXJMDXKUVRVRVPVPYTUUDYOKDYMADYMQYSHVQZYTUUCYNLDYMUV
      SYTYLMDYMUVSVRVPVPVSVTWKWMXNWAWKWMYPWAWBAWKXPWMXRYPABCDEFGHIWCABCDWLXQADX
      KWLUEOGUVKWFADYMXQUEOHYMFXQXQURZYMURZVFWFABUGZDNCUGZDNRRUWBUWCWSPUWBUWCYA
      PUWBUWCWLUCOZPUWBUWCXQUCOZPJWSUWDUWBUWCUVMWGYAUWEUWBUWCFYAXQUVTYAURZVGWGW
      HWDWEWIKLMXKWQEWSWLUVCUVJUVDUVLWJKLMYMXSFYAXQUWAUVTXSURUWFWJWB $.

    $( If two structures have the same group components (properties), one is a
       commutative ring iff the other one is.  (Contributed by Mario Carneiro,
       8-Feb-2015.) $)
    crngpropd $p |- ( ph -> ( K e. CRing <-> L e. CRing ) ) $=
      ( crg wcel cmgp cfv ccmn wa ccrg cbs eqid co ringpropd mgpbas cv mgpplusg
      eqtrdi cmulr cplusg oveqi 3eqtr3g cmnpropd anbi12d iscrng 3bitr4g ) AEKLZ
      EMNZOLZPFKLZFMNZOLZPEQLFQLAUNUQUPUSABCDEFGHIJUAABCDUOURADERNZUORNGUTEUOUO
      SZUTSUBUEADFRNZURRNHVBFURURSZVBSUBUEABUCZDLCUCZDLPPVDVEEUFNZTVDVEFUFNZTVD
      VEUOUGNZTVDVEURUGNZTJVFVHVDVEEVFUOVAVFSUDUHVGVIVDVEFVGURVCVGSUDUHUIUJUKEU
      OVAULFURVCULUM $.
  $}

  ${
    $d x y K $.  $d x y L $.
    ringprop.b $e |- ( Base ` K ) = ( Base ` L ) $.
    ringprop.p $e |- ( +g ` K ) = ( +g ` L ) $.
    ringprop.m $e |- ( .r ` K ) = ( .r ` L ) $.
    $( If two structures have the same ring components (properties), one is a
       ring iff the other one is.  (Contributed by Mario Carneiro,
       11-Oct-2013.) $)
    ringprop $p |- ( K e. Ring <-> L e. Ring ) $=
      ( vx vy crg wcel wtru cbs cfv wceq a1i cv cplusg co wa oveqi cmulr eqidd
      wb ringpropd mptru ) AHIBHIUBJFGAKLZABJUEUAUEBKLMJCNFOZGOZAPLZQUFUGBPLZQM
      JUFUEIUGUEIRRZUHUIUFUGDSNUFUGATLZQUFUGBTLZQMUJUKULUFUGESNUCUD $.
  $}

  ${
    $d x .1. $.  $d x y z B $.  $d x y z ph $.  $d x y z R $.
    isringd.b $e |- ( ph -> B = ( Base ` R ) ) $.
    isringd.p $e |- ( ph -> .+ = ( +g ` R ) ) $.
    isringd.t $e |- ( ph -> .x. = ( .r ` R ) ) $.
    isringd.g $e |- ( ph -> R e. Grp ) $.
    isringd.c $e |- ( ( ph /\ x e. B /\ y e. B ) -> ( x .x. y ) e. B ) $.
    isringd.a $e |- ( ( ph /\ ( x e. B /\ y e. B /\ z e. B ) ) ->
                  ( ( x .x. y ) .x. z ) = ( x .x. ( y .x. z ) ) ) $.
    isringd.d $e |- ( ( ph /\ ( x e. B /\ y e. B /\ z e. B ) ) ->
                  ( x .x. ( y .+ z ) ) = ( ( x .x. y ) .+ ( x .x. z ) ) ) $.
    isringd.e $e |- ( ( ph /\ ( x e. B /\ y e. B /\ z e. B ) ) ->
                  ( ( x .+ y ) .x. z ) = ( ( x .x. z ) .+ ( y .x. z ) ) ) $.
    isringd.u $e |- ( ph -> .1. e. B ) $.
    isringd.i $e |- ( ( ph /\ x e. B ) -> ( .1. .x. x ) = x ) $.
    isringd.h $e |- ( ( ph /\ x e. B ) -> ( x .x. .1. ) = x ) $.
    $( Properties that determine a ring.  (Contributed by NM, 2-Aug-2013.) $)
    isringd $p |- ( ph -> R e. Ring ) $=
      ( cgrp wcel cmgp cfv cmnd cv cplusg co cmulr wceq wa cbs wral eqid mgpbas
      crg eqtrdi mgpplusg ismndd eleq2d 3anbi123d biimpar adantr eqidd oveq123d
      w3a oveqdr 3eqtr3d jca syldan ralrimivvva isring syl3anbrc ) AGUAUBGUCUDZ
      UEUBBUFZCUFZDUFZGUGUDZUHZGUIUDZUHZVOVPVTUHZVOVQVTUHZVRUHZUJZVOVPVRUHZVQVT
      UHZWCVPVQVTUHZVRUHZUJZUKZDGULUDZUMCWLUMBWLUMGUPUBMABCDEHVNIAEWLVNULUDJWLG
      VNVNUNZWLUNZUOUQAHVTVNUGUDLGVTVNWMVTUNZURUQNORSTUSAWKBCDWLWLWLAVOWLUBZVPW
      LUBZVQWLUBZVFZVOEUBZVPEUBZVQEUBZVFZWKAXCWSAWTWPXAWQXBWRAEWLVOJUTAEWLVPJUT
      AEWLVQJUTVAVBAXCUKZWEWJXDVOVPVQFUHZHUHVOVPHUHZVOVQHUHZFUHWAWDPXDVOVOXEVSH
      VTAHVTUJXCLVCZXDVOVDAXCCDFVRKVGVEXDXFWBXGWCFVRAFVRUJXCKVCZAXCBCHVTLVGAXCB
      DHVTLVGZVEVHXDVOVPFUHZVQHUHXGVPVQHUHZFUHWGWIQXDXKWFVQVQHVTXHAXCBCFVRKVGXD
      VQVDVEXDXGWCXLWHFVRXIXJAXCCDHVTLVGVEVHVIVJVKBCDWLVRGVTVNWNWMVRUNWOVLVM $.

    iscrngd.c $e |- ( ( ph /\ x e. B /\ y e. B ) ->
      ( x .x. y ) = ( y .x. x ) ) $.
    $( Properties that determine a commutative ring.  (Contributed by Mario
       Carneiro, 7-Jan-2015.) $)
    iscrngd $p |- ( ph -> R e. CRing ) $=
      ( crg wcel cmgp cfv ccmn ccrg isringd cbs eqid mgpbas eqtrdi cmulr cplusg
      mgpplusg ismndd iscmnd iscrng sylanbrc ) AGUBUCGUDUEZUFUCGUGUCABCDEFGHIJK
      LMNOPQRSTUHABCEHUTAEGUIUEZUTUIUEJVAGUTUTUJZVAUJUKULZAHGUMUEZUTUNUELGVDUTV
      BVDUJUOULZABCDEHUTIVCVENORSTUPUAUQGUTVBURUS $.
  $}

  ${
    rngz.b $e |- B = ( Base ` R ) $.
    rngz.t $e |- .x. = ( .r ` R ) $.
    rngz.z $e |- .0. = ( 0g ` R ) $.
    $( The zero of a unital ring is a left-absorbing element.  (Contributed by
       FL, 31-Aug-2009.) $)
    ringlz $p |- ( ( R e. Ring /\ X e. B ) -> ( .0. .x. X ) = .0. ) $=
      ( crg wcel wa co cplusg cfv wceq cgrp ringgrp grpidcl eqid adantr w3a syl
      grplid syl2anc2 oveq1d simpr ringdir syldan ringcl syl3anc grprid syl2anc
      3jca simpl eqcomd 3eqtr3d wb grplcan syl13anc mpbid ) BIJZDAJZKZEDCLZVDBM
      NZLZVDEVELZOZVDEOZVCEEVELZDCLZVDVFVGVCVJEDCVAVJEOZVBVABPJZEAJZVLBQZABEFHR
      ZAVEBEEFVESZHUCUDTUEVAVBVNVNVBUAVKVFOVCVNVNVBVAVNVBVAVMVNVOVPUBTZVRVAVBUF
      ZUMAVEBCEEDFVQGUGUHVCVMVDAJZVDVGOVAVMVBVOTZVCVAVNVBVTVAVBUNVRVSABCEDFGUIU
      JZVMVTKVGVDAVEBVDEFVQHUKUOULUPVCVMVTVNVTVHVIUQWAWBVRWBAVEBVDEVDFVQURUSUT
      $.

    $( The zero of a unital ring is a right-absorbing element.  (Contributed by
       FL, 31-Aug-2009.) $)
    ringrz $p |- ( ( R e. Ring /\ X e. B ) -> ( X .x. .0. ) = .0. ) $=
      ( crg wcel wa co cplusg cfv wceq cgrp ringgrp grpidcl grplid adantr simpr
      eqid syl2anc2 oveq2d w3a 3jca ringdi syldan ringcl mpd3an3 eqcomd syl2anc
      syl 3eqtr3d wb grprcan syl13anc mpbid ) BIJZDAJZKZDECLZVBBMNZLZEVBVCLZOZV
      BEOZVADEEVCLZCLZVBVDVEVAVHEDCUSVHEOZUTUSBPJZEAJZVJBQZABEFHRZAVCBEEFVCUBZH
      SUCTUDUSUTUTVLVLUEVIVDOVAUTVLVLUSUTUAUSVLUTUSVKVLVMVNUMTZVPUFAVCBCDEEFVOG
      UGUHVAVKVBAJZVBVEOUSVKUTVMTZUSUTVLVQVPABCDEFGUIUJZVKVQKVEVBAVCBVBEFVOHSUK
      ULUNVAVKVQVLVQVFVGUOVRVSVPVSAVCBVBEVBFVOUPUQUR $.
  $}

  ${
    $d x y z R $.
    $( Any ring is also a semiring.  (Contributed by Thierry Arnoux,
       1-Apr-2018.) $)
    ringsrg $p |- ( R e. Ring -> R e. SRing ) $=
      ( vx vy vz crg wcel ccmn cmgp cfv cmnd cv cplusg co cmulr wceq wa cbs c0g
      wral eqid csrg ringcmn ringmgp isring simp3bi ringlz ringrz jca ralrimiva
      cgrp r19.26 sylanbrc issrg syl3anbrc ) AEFZAGFAHIZJFZBKZCKZDKZALIZMANIZMU
      RUSVBMURUTVBMZVAMOURUSVAMUTVBMVCUSUTVBMVAMOPDAQIZSCVDSZARIZURVBMVFOZURVFV
      BMVFOZPZPBVDSZAUAFAUBAUPUPTZUCUOVEBVDSZVIBVDSVJUOAUJFUQVLBCDVDVAAVBUPVDTZ
      VKVATZVBTZUDUEUOVIBVDUOURVDFPVGVHVDAVBURVFVMVOVFTZUFVDAVBURVFVMVOVPUGUHUI
      VEVIBVDUKULBCDVDVAAVBUPVFVMVKVNVOVPUMUN $.
  $}

  ${
    ring1eq0.b $e |- B = ( Base ` R ) $.
    ring1eq0.u $e |- .1. = ( 1r ` R ) $.
    ring1eq0.z $e |- .0. = ( 0g ` R ) $.
    $( If one and zero are equal, then any two elements of a ring are equal.
       Alternately, every ring has one distinct from zero except the zero ring
       containing the single element ` { 0 } ` .  (Contributed by Mario
       Carneiro, 10-Sep-2014.) $)
    ring1eq0 $p |- ( ( R e. Ring /\ X e. B /\ Y e. B ) ->
      ( .1. = .0. -> X = Y ) ) $=
      ( crg wcel w3a wceq wa co oveq1d ringlz syl2anc eqtr4d ringlidm cmulr cfv
      simpr simpl1 simpl2 eqid simpl3 3eqtr3d ex ) BJKZDAKZEAKZLZCFMZDEMUMUNNZC
      DBUAUBZOZCEUPOZDEUOUQFDUPOZURUOCFDUPUMUNUCZPUOURFEUPOZUSUOCFEUPUTPUOUSFVA
      UOUJUKUSFMUJUKULUNUDZUJUKULUNUEZABUPDFGUPUFZIQRUOUJULVAFMVBUJUKULUNUGZABU
      PEFGVDIQRSSSUOUJUKUQDMVBVCABUPCDGVDHTRUOUJULUREMVBVEABUPCEGVDHTRUHUI $.
  $}

  ${
    $d B x y $.  $d R x y $.  $d .1. x y $.  $d .0. x y $.
    ring1ne0.b $e |- B = ( Base ` R ) $.
    ring1ne0.u $e |- .1. = ( 1r ` R ) $.
    ring1ne0.z $e |- .0. = ( 0g ` R ) $.
    $( If a ring has at least two elements, its one and zero are different.
       (Contributed by AV, 13-Apr-2019.) $)
    ring1ne0 $p |- ( ( R e. Ring /\ 1 < ( # ` B ) ) -> .1. =/= .0. ) $=
      ( vx vy cv wne wrex crg wcel c1 chash cfv wa cvv wi fvexi hashgt12el mpan
      clt wbr cbs adantl ring1eq0 necon3d 3expib adantr com3l rexlimivv mpcom
      w3a ) HJZIJZKZIALHALZBMNZOAPQUDUEZRZCDKZVAUSUTASNVAUSABUFEUAASHIUBUCUGURV
      BVCTHIAAVBUPANZUQANZRZURVCUTVFURVCTZTVAUTVDVEVGUTVDVEUOCDUPUQABCUPUQDEFGU
      HUIUJUKULUMUN $.
  $}

  ${
    $d X a $.  $d .0. a $.  $d .1. a $.  $d .x. a $.  $d ph a $.
    ringinvnzdiv.b $e |- B = ( Base ` R ) $.
    ringinvnzdiv.t $e |- .x. = ( .r ` R ) $.
    ringinvnzdiv.u $e |- .1. = ( 1r ` R ) $.
    ringinvnzdiv.z $e |- .0. = ( 0g ` R ) $.
    ringinvnzdiv.r $e |- ( ph -> R e. Ring ) $.
    ringinvnzdiv.x $e |- ( ph -> X e. B ) $.
    ringinvnzdiv.a $e |- ( ph -> E. a e. B ( a .x. X ) = .1. ) $.
    $( In a unitary ring, a left invertible element is different from zero iff
       ` .1. =/= .0. ` .  (Contributed by FL, 18-Apr-2010.)  (Revised by AV,
       24-Aug-2021.) $)
    ringinvnz1ne0 $p |- ( ph -> ( X =/= .0. <-> .1. =/= .0. ) ) $=
      ( co wceq wcel wa oveq2 cv wb wi ringrz sylan eqeq12 biimpd ex mpan9 syl5
      crg ringridm eqeq12d syl2anc ad2antrr impbid r19.29a necon3bid ) AFGEGAHU
      AZFDPZEQZFGQZEGQZUBHBAUSBRZSZVASZVBVCVBUTUSGDPZQZVFVCFGUSDTVEVGGQZVAVHVCU
      CZACUKRZVDVIMBCDUSGIJLUDUEVAVIVJVAVISVHVCUTEVGGUFUGUHUIUJVCFEDPZFGDPZQZVF
      VBEGFDTAVNVBUCZVDVAAVKFBRZVOMNVKVPSZVNVBVQVLFVMGBCDEFIJKULBCDFGIJLUDUMUGU
      NUOUJUPOUQUR $.

    $d Y a $.
    ringinvnzdiv.y $e |- ( ph -> Y e. B ) $.
    $( In a unitary ring, a left invertible element is not a zero divisor.
       (Contributed by FL, 18-Apr-2010.)  (Revised by Jeff Madsen,
       18-Apr-2010.)  (Revised by AV, 24-Aug-2021.) $)
    ringinvnzdiv $p |- ( ph -> ( ( X .x. Y ) = .0. <-> Y = .0. ) ) $=
      ( co wceq adantr cv wrex wi wcel wa crg ringlidm syl2anc eqcomd ad3antrrr
      oveq1 eqcoms adantl w3a simpr 3jca jca ringass syl eqtrd ringrz sylan9eqr
      oveq2 sylan 3eqtrd exp31 rexlimdva mpd ex impbid ) AFGDRZHSZGHSZAIUAZFDRZ
      ESZIBUBVLVMUCZPAVPVQIBAVNBUDZUEZVPVLVMVSVPUEZVLUEGEGDRZVNVKDRZHAGWASVRVPV
      LAWAGACUFUDZGBUDZWAGSNQBCDEGJKLUGUHUIUJVTWAWBSVLVTWAVOGDRZWBVPWAWESZVSWFE
      VOEVOGDUKULUMVTWCVRFBUDZWDUNZUEZWEWBSVSWIVPVSWCWHAWCVRNTVSVRWGWDAVRUOAWGV
      ROTAWDVRQTUPUQTBCDVNFGJKURUSUTTVLVTWBVNHDRZHVKHVNDVCVSWJHSZVPAWCVRWKNBCDV
      NHJKMVAVDTVBVEVFVGVHAVMVLVMAVKFHDRZHGHFDVCAWCWGWLHSNOBCDFHJKMVAUHVBVIVJ
      $.
  $}

  ${
    ringnegl.b $e |- B = ( Base ` R ) $.
    ringnegl.t $e |- .x. = ( .r ` R ) $.
    ringnegl.u $e |- .1. = ( 1r ` R ) $.
    ringnegl.n $e |- N = ( invg ` R ) $.
    ringnegl.r $e |- ( ph -> R e. Ring ) $.
    ringnegl.x $e |- ( ph -> X e. B ) $.
    $( Negation in a ring is the same as left multiplication by -1.
       ( ~ rngonegmn1l analog.)  (Contributed by Jeff Madsen, 19-Jun-2010.)
       (Revised by Mario Carneiro, 2-Jul-2014.) $)
    ringnegl $p |- ( ph -> ( ( N ` .1. ) .x. X ) = ( N ` X ) ) $=
      ( cfv co wceq wcel syl syl2anc eqid cplusg c0g crg ringidcl cgrp grpinvcl
      ringgrp ringdir syl13anc grprinv oveq1d ringlz eqtrd ringlidm 3eqtr3rd wb
      ringcl syl3anc grpinvid1 mpbird eqcomd ) AGFNZEFNZGDOZAVBVDPZGVDCUANZOZCU
      BNZPZAEVCVFOZGDOZEGDOZVDVFOZVHVGACUCQZEBQZVCBQZGBQZVKVMPLAVNVOLBCEHJUDRZA
      CUEQZVOVPAVNVSLCUGRZVRBCFEHKUFSZMBVFCDEVCGHVFTZIUHUIAVKVHGDOZVHAVJVHGDAVS
      VOVJVHPVTVRBVFCFEVHHWBVHTZKUJSUKAVNVQWCVHPLMBCDGVHHIWDULSUMAVLGVDVFAVNVQV
      LGPLMBCDEGHIJUNSUKUOAVSVQVDBQZVEVIUPVTMAVNVPVQWELWAMBCDVCGHIUQURBVFCFGVDV
      HHWBWDKUSURUTVA $.

    $( Negation in a ring is the same as right multiplication by -1.
       ( ~ rngonegmn1r analog.)  (Contributed by Jeff Madsen, 19-Jun-2010.)
       (Revised by Mario Carneiro, 2-Jul-2014.) $)
    rngnegr $p |- ( ph -> ( X .x. ( N ` .1. ) ) = ( N ` X ) ) $=
      ( cfv co wceq wcel syl syl2anc eqid cplusg c0g crg cgrp ringidcl grpinvcl
      ringgrp ringdi syl13anc grplinv oveq2d ringrz ringridm 3eqtr3rd wb ringcl
      eqtrd syl3anc grpinvid2 mpbird eqcomd ) AGFNZGEFNZDOZAVBVDPZVDGCUANZOZCUB
      NZPZAGVCEVFOZDOZVDGEDOZVFOZVHVGACUCQZGBQZVCBQZEBQZVKVMPLMACUDQZVQVPAVNVRL
      CUGRZAVNVQLBCEHJUERZBCFEHKUFSZVTBVFCDGVCEHVFTZIUHUIAVKGVHDOZVHAVJVHGDAVRV
      QVJVHPVSVTBVFCFEVHHWBVHTZKUJSUKAVNVOWCVHPLMBCDGVHHIWDULSUQAVLGVDVFAVNVOVL
      GPLMBCDEGHIJUMSUKUNAVRVOVDBQZVEVIUOVSMAVNVOVPWELMWABCDGVCHIUPURBVFCFGVDVH
      HWBWDKUSURUTVA $.
  $}

  ${
    ringneglmul.b $e |- B = ( Base ` R ) $.
    ringneglmul.t $e |- .x. = ( .r ` R ) $.
    ringneglmul.n $e |- N = ( invg ` R ) $.
    ringneglmul.r $e |- ( ph -> R e. Ring ) $.
    ringneglmul.x $e |- ( ph -> X e. B ) $.
    ringneglmul.y $e |- ( ph -> Y e. B ) $.
    $( Negation of a product in a ring.  ( ~ mulneg1 analog.)  (Contributed by
       Jeff Madsen, 19-Jun-2010.)  (Revised by Mario Carneiro, 2-Jul-2014.) $)
    ringmneg1 $p |- ( ph -> ( ( N ` X ) .x. Y ) = ( N ` ( X .x. Y ) ) ) $=
      ( cur cfv co crg wcel syl ringnegl wceq ringgrp ringidcl grpinvcl syl2anc
      cgrp eqid ringass syl13anc oveq1d ringcl syl3anc 3eqtr3d ) ACNOZEOZFDPZGD
      PZUOFGDPZDPZFEOZGDPUREOACQRZUOBRZFBRZGBRZUQUSUAKACUFRZUNBRZVBAVAVEKCUBSAV
      AVFKBCUNHUNUGZUCSBCEUNHJUDUELMBCDUOFGHIUHUIAUPUTGDABCDUNEFHIVGJKLTUJABCDU
      NEURHIVGJKAVAVCVDURBRKLMBCDFGHIUKULTUM $.

    $( Negation of a product in a ring.  ( ~ mulneg2 analog.)  (Contributed by
       Jeff Madsen, 19-Jun-2010.)  (Revised by Mario Carneiro, 2-Jul-2014.) $)
    ringmneg2 $p |- ( ph -> ( X .x. ( N ` Y ) ) = ( N ` ( X .x. Y ) ) ) $=
      ( co cur cfv crg wcel syl rngnegr wceq cgrp ringgrp eqid ringidcl syl2anc
      grpinvcl ringass syl13anc ringcl syl3anc oveq2d 3eqtr3rd ) AFGDNZCOPZEPZD
      NZFGUPDNZDNZUNEPFGEPZDNACQRZFBRZGBRZUPBRZUQUSUAKLMACUBRZUOBRZVDAVAVEKCUCS
      AVAVFKBCUOHUOUDZUESBCEUOHJUGUFBCDFGUPHIUHUIABCDUOEUNHIVGJKAVAVBVCUNBRKLMB
      CDFGHIUJUKTAURUTFDABCDUOEGHIVGJKMTULUM $.

    $( Double negation of a product in a ring.  ( ~ mul2neg analog.)
       (Contributed by Mario Carneiro, 4-Dec-2014.) $)
    ringm2neg $p |- ( ph -> ( ( N ` X ) .x. ( N ` Y ) ) = ( X .x. Y ) ) $=
      ( cfv co cgrp wcel crg ringgrp syl2anc syl grpinvcl ringmneg1 fveq2d wceq
      ringmneg2 ringcl syl3anc grpinvinv 3eqtrd ) AFENGENZDOFUKDOZENFGDOZENZENZ
      UMABCDEFUKHIJKLACPQZGBQZUKBQACRQZUPKCSUAZMBCEGHJUBTUCAULUNEABCDEFGHIJKLMU
      FUDAUPUMBQZUOUMUEUSAURFBQUQUTKLMBCDFGHIUGUHBCEUMHJUITUJ $.
  $}

  ${
    ringsubdi.b $e |- B = ( Base ` R ) $.
    ringsubdi.t $e |- .x. = ( .r ` R ) $.
    ringsubdi.m $e |- .- = ( -g ` R ) $.
    ringsubdi.r $e |- ( ph -> R e. Ring ) $.
    ringsubdi.x $e |- ( ph -> X e. B ) $.
    ringsubdi.y $e |- ( ph -> Y e. B ) $.
    ringsubdi.z $e |- ( ph -> Z e. B ) $.
    $( Ring multiplication distributes over subtraction.  ( ~ subdi analog.)
       (Contributed by Jeff Madsen, 19-Jun-2010.)  (Revised by Mario Carneiro,
       2-Jul-2014.) $)
    ringsubdi $p |- ( ph ->
      ( X .x. ( Y .- Z ) ) = ( ( X .x. Y ) .- ( X .x. Z ) ) ) $=
      ( cfv co wcel wceq syl2anc cminusg cplusg crg ringgrp syl grpinvcl ringdi
      cgrp syl13anc ringmneg2 oveq2d eqtrd grpsubval ringcl syl3anc 3eqtr4d
      eqid ) AFGHCUAPZPZCUBPZQZDQZFGDQZFHDQZURPZUTQZFGHEQZDQVCVDEQZAVBVCFUSDQZU
      TQZVFACUCRZFBRZGBRZUSBRZVBVJSLMNACUHRZHBRZVNAVKVOLCUDUEOBCURHIURUQZUFTBUT
      CDFGUSIUTUQZJUGUIAVIVEVCUTABCDURFHIJVQLMOUJUKULAVGVAFDAVMVPVGVASNOBUTCURE
      GHIVRVQKUMTUKAVCBRZVDBRZVHVFSAVKVLVMVSLMNBCDFGIJUNUOAVKVLVPVTLMOBCDFHIJUN
      UOBUTCUREVCVDIVRVQKUMTUP $.

    $( Ring multiplication distributes over subtraction.  ( ~ subdir analog.)
       (Contributed by Jeff Madsen, 19-Jun-2010.)  (Revised by Mario Carneiro,
       2-Jul-2014.) $)
    rngsubdir $p |- ( ph ->
      ( ( X .- Y ) .x. Z ) = ( ( X .x. Z ) .- ( Y .x. Z ) ) ) $=
      ( cfv co wcel wceq syl2anc cminusg crg cgrp ringgrp eqid grpinvcl ringdir
      cplusg syl ringmneg1 oveq2d eqtrd grpsubval oveq1d ringcl syl3anc 3eqtr4d
      syl13anc ) AFGCUAPZPZCUHPZQZHDQZFHDQZGHDQZUSPZVAQZFGEQZHDQVDVEEQZAVCVDUTH
      DQZVAQZVGACUBRZFBRZUTBRZHBRZVCVKSLMACUCRZGBRZVNAVLVPLCUDUINBCUSGIUSUEZUFT
      OBVACDFUTHIVAUEZJUGURAVJVFVDVAABCDUSGHIJVRLNOUJUKULAVHVBHDAVMVQVHVBSMNBVA
      CUSEFGIVSVRKUMTUNAVDBRZVEBRZVIVGSAVLVMVOVTLMOBCDFHIJUOUPAVLVQVOWALNOBCDGH
      IJUOUPBVACUSEVDVEIVSVRKUMTUQ $.
  $}

  ${
    $d x y B $.  $d x y R $.  $d x y .x. $.  $d x y .X. $.  $d x y X $.
    $d x N $.  $d x y Y $.
    mulgass2.b $e |- B = ( Base ` R ) $.
    mulgass2.m $e |- .x. = ( .g ` R ) $.
    mulgass2.t $e |- .X. = ( .r ` R ) $.
    $( An associative property between group multiple and ring multiplication.
       (Contributed by Mario Carneiro, 14-Jun-2015.) $)
    mulgass2 $p |- ( ( R e. Ring /\ ( N e. ZZ /\ X e. B /\ Y e. B ) ) ->
      ( ( N .x. X ) .X. Y ) = ( N .x. ( X .X. Y ) ) ) $=
      ( wcel co wceq cc0 oveq1 oveq1d eqeq12d cfv adantr syl3anc vx vy cz wi cv
      crg cneg caddc w3a c0g eqid ringlz 3adant3 simp3 mulg0 syl ringcl 3eqtr4d
      c1 3com23 cn0 wa cplusg cgrp simpl1 ringgrp adantl mulgp1 3ad2ant1 mulgcl
      nn0z simpl2 ringdir syl13anc eqtrd syl5ibr ex cminusg fveq2 nnz ringmneg1
      cn mulgneg zindd 3exp com24 3imp2 ) BUFKZEUCKZFAKZGAKZEFCLZGDLZEFGDLZCLZM
      ZWHWKWJWIWPWHWKWJWIWPUDUAUEZFCLZGDLZWQWNCLZMNFCLZGDLZNWNCLZMUBUEZFCLZGDLZ
      XDWNCLZMZXDUGZFCLZGDLZXIWNCLZMZXDUSUHLZFCLZGDLZXNWNCLZMZWPWHWKWJUIZUAUBEW
      QNMZWSXBWTXCXTWRXAGDWQNFCOPWQNWNCOQWQXDMZWSXFWTXGYAWRXEGDWQXDFCOPWQXDWNCO
      QWQXNMZWSXPWTXQYBWRXOGDWQXNFCOPWQXNWNCOQWQXIMZWSXKWTXLYCWRXJGDWQXIFCOPWQX
      IWNCOQWQEMZWSWMWTWOYDWRWLGDWQEFCOPWQEWNCOQXSBUJRZGDLZYEXBXCWHWKYFYEMWJABD
      GYEHJYEUKZULUMXSXAYEGDXSWJXAYEMWHWKWJUNZACBFYEHYGIUOUPPXSWNAKZXCYEMWHWJWK
      YIABDFGHJUQUTZACBWNYEHYGIUOUPURXSXDVAKZXHXRUDXHXRXSYKVBZXFWNBVCRZLZXGWNYM
      LZMXFXGWNYMOYLXPYNXQYOYLXPXEFYMLZGDLZYNYLXOYPGDYLBVDKZXDUCKZWJXOYPMYLWHYR
      WHWKWJYKVEZBVFZUPZYKYSXSXDVKVGZXSWJYKYHSZAYMCBXDFHIYMUKZVHTPYLWHXEAKZWJWK
      YQYNMYTYLYRYSWJUUFXSYRYKWHWKYRWJUUAVIZSUUCUUDACBXDFHIVJZTUUDWHWKWJYKVLAYM
      BDXEFGHUUEJVMVNVOYLYRYSYIXQYOMUUBUUCXSYIYKYJSAYMCBXDWNHIUUEVHTQVPVQXSXDWB
      KZXHXMUDXHXMXSUUIVBZXFBVRRZRZXGUUKRZMXFXGUUKVSUUJXKUULXLUUMUUJXKXEUUKRZGD
      LUULUUJXJUUNGDUUJYRYSWJXJUUNMXSYRUUIUUGSZUUIYSXSXDVTVGZXSWJUUIYHSZACBUUKX
      DFHIUUKUKZWCTPUUJABDUUKXEGHJUURWHWKWJUUIVEUUJYRYSWJUUFUUOUUPUUQUUHTWHWKWJ
      UUIVLWAVOUUJYRYSYIXLUUMMUUOUUPXSYIUUIYJSACBUUKXDWNHIUURWCTQVPVQWDWEWFWG
      $.
  $}

  ${
    $d Z a b c $.  $d M a b c $.
    ring1.m $e |- M = { <. ( Base ` ndx ) , { Z } >. ,
                       <. ( +g ` ndx ) , { <. <. Z , Z >. , Z >. } >. ,
                       <. ( .r ` ndx ) , { <. <. Z , Z >. , Z >. } >. } $.
    $( The (smallest) structure representing a _zero ring_.  (Contributed by
       AV, 28-Apr-2019.) $)
    ring1 $p |- ( Z e. V -> M e. Ring ) $=
      ( va vb vc wcel cfv cop co wceq wral cbs cvv ax-mp oveq2d oveq1d eqeq12d
      wa cgrp cmgp cmnd cv csn crg cnx cplusg cpr eqid grp1 snex rngbase eqcomi
      rngplusg eqcomd grppropstr sylibr mgpbas grpbase eqtr3i grpplusg mgpplusg
      mnd1 cmulr rngmulr 3eqtr3ri mndprop df-ov opex mpan eqtrid oveq12d eqtr4d
      fvsng oveq1 anbi12d 2ralbidv ralsng oveq2 ralbidv 3bitrd mpbir2and isring
      syl3anbrc ) CBHZAUAHZAUBIZUCHZEUDZFUDZGUDZCCJZCJZUEZKZWOKZWJWKWOKZWJWLWOK
      ZWOKZLZWRWLWOKZWSWPWOKZLZTZGCUEZMFXFMZEXFMZAUFHWFUGNIXFJUGUHIWOJUIZUAHWGC
      XIBXIUJZUKXFWOAXIXFANIZXFOHZXFXKLCULZXFWOAWOODUMPZUNWOOHZAUHIZWOLWNULZXOW
      OXPXFWOAWOODUOZUPPXJUQURWFXIUCHWICXIBXJVDWHXIXFWHNIXINIZXFAWHWHUJZXNUSXLX
      FXSLXMXFWOXIOXJUTPVAWOAVEIZXIUHIZWHUHIXOWOYALXQXFWOAWOODVFPZXOWOYBLXQXFWO
      XIOXJVBPAYAWHXTYAUJVCVGVHURWFXHCCCWOKZWOKZYDYDWOKZLZYDCWOKZYFLZWFYEYDYFWF
      YDCCWOWFYDWMWOIZCCCWOVIWMOHWFYJCLCCVJWMCOBVOVKVLZQWFYDCYDCWOYKYKVMZVNWFYH
      YDYFWFYDCCWOYKRYLVNWFXHCWPWOKZCWKWOKZCWLWOKZWOKZLZYNWLWOKZYOWPWOKZLZTZGXF
      MZFXFMZCYOWOKZYDYOWOKZLZYDWLWOKZYOYOWOKZLZTZGXFMZYGYITZXGUUCECBWJCLZXEUUA
      FGXFXFUUMXAYQXDYTUUMWQYMWTYPWJCWPWOVPUUMWRYNWSYOWOWJCWKWOVPZWJCWLWOVPZVMS
      UUMXBYRXCYSUUMWRYNWLWOUUNRUUMWSYOWPWOUUORSVQVRVSUUBUUKFCBWKCLZUUAUUJGXFUU
      PYQUUFYTUUIUUPYMUUDYPUUEUUPWPYOCWOWKCWLWOVPZQUUPYNYDYOWOWKCCWOVTZRSUUPYRU
      UGYSUUHUUPYNYDWLWOUURRUUPWPYOYOWOUUQQSVQWAVSUUJUULGCBWLCLZUUFYGUUIYIUUSUU
      DYEUUEYFUUSYOYDCWOWLCCWOVTZQUUSYOYDYDWOUUTQSUUSUUGYHUUHYFWLCYDWOVTUUSYOYD
      YOYDWOUUTUUTVMSVQVSWBWCEFGXFWOAWOWHXNXTXOWOXPLXQXRPYCWDWE $.
  $}

  $( Rings exist.  (Contributed by AV, 29-Apr-2019.) $)
  ringn0 $p |- Ring =/= (/) $=
    ( vz cv cvv wcel cnx cbs cfv csn cop cplusg cmulr ctp crg c0 wne eqid ring1
    vex ne0i mp2b ) ABZCDEFGUAHIEJGUAUAIUAIHZIEKGUBILZMDMNOARUCCUAUCPQMUCST $.

  ${
    $d x y z B $.  $d x y z R $.  $d x y z .x. $.  $d x y z X $.
    ringlghm.b $e |- B = ( Base ` R ) $.
    ringlghm.t $e |- .x. = ( .r ` R ) $.
    $( Left-multiplication in a ring by a fixed element of the ring is a group
       homomorphism.  (It is not usually a ring homomorphism.)  (Contributed by
       Mario Carneiro, 4-May-2015.) $)
    ringlghm $p |- ( ( R e. Ring /\ X e. B ) ->
      ( x e. B |-> ( X .x. x ) ) e. ( R GrpHom R ) ) $=
      ( vy vz crg wcel wa cfv cv co eqid wceq oveq2 ovex fvmpt cplusg cmpt cgrp
      ringgrp adantr ringcl 3expa fmpttd 3anass ringdi sylan2br anassrs ringacl
      w3a 3expb adantlr syl oveqan12d adantl 3eqtr4d isghmd ) CJKZEBKZLZHICUAMZ
      VECCABEANZDOZUBZBBFFVEPZVIVBCUCKVCCUDUEZVJVDABVGBVBVCVFBKVGBKBCDEVFFGUFUG
      UHVDHNZBKZINZBKZLZLZEVKVMVEOZDOZEVKDOZEVMDOZVEOZVQVHMZVKVHMZVMVHMZVEOZVBV
      CVOVRWAQZVCVOLVBVCVLVNUNWFVCVLVNUIBVECDEVKVMFVIGUJUKULVPVQBKZWBVRQVBVOWGV
      CVBVLVNWGBVECVKVMFVIUMUOUPAVQVGVRBVHVFVQEDRVHPZEVQDSTUQVOWEWAQVDVLVNWCVSW
      DVTVEAVKVGVSBVHVFVKEDRWHEVKDSTAVMVGVTBVHVFVMEDRWHEVMDSTURUSUTVA $.

    $( Right-multiplication in a ring by a fixed element of the ring is a group
       homomorphism.  (It is not usually a ring homomorphism.)  (Contributed by
       Mario Carneiro, 4-May-2015.) $)
    ringrghm $p |- ( ( R e. Ring /\ X e. B ) ->
      ( x e. B |-> ( x .x. X ) ) e. ( R GrpHom R ) ) $=
      ( vy vz crg wcel wa cfv cv co eqid wceq oveq1 ovex fvmpt cplusg cmpt cgrp
      ringgrp adantr ringcl 3expa an32s fmpttd df-3an ringdir sylan2br anass1rs
      w3a ringacl 3expb adantlr syl oveqan12d adantl 3eqtr4d isghmd ) CJKZEBKZL
      ZHICUAMZVFCCABANZEDOZUBZBBFFVFPZVJVCCUCKVDCUDUEZVKVEABVHBVCVGBKZVDVHBKZVC
      VLVDVMBCDVGEFGUFUGUHUIVEHNZBKZINZBKZLZLZVNVPVFOZEDOZVNEDOZVPEDOZVFOZVTVIM
      ZVNVIMZVPVIMZVFOZVCVRVDWAWDQZVRVDLVCVOVQVDUNWIVOVQVDUJBVFCDVNVPEFVJGUKULU
      MVSVTBKZWEWAQVCVRWJVDVCVOVQWJBVFCVNVPFVJUOUPUQAVTVHWABVIVGVTEDRVIPZVTEDST
      URVRWHWDQVEVOVQWFWBWGWCVFAVNVHWBBVIVGVNEDRWKVNEDSTAVPVHWCBVIVGVPEDRWKVPED
      STUSUTVAVB $.
  $}

  ${
    $d k x A $.  $d k x B $.  $d k x ph $.  $d k x .x. $.  $d x R $.  $d x X $.
    $d k x Y $.  $d x .0. $.
    gsummulc1.b $e |- B = ( Base ` R ) $.
    gsummulc1.z $e |- .0. = ( 0g ` R ) $.
    gsummulc1.p $e |- .+ = ( +g ` R ) $.
    gsummulc1.t $e |- .x. = ( .r ` R ) $.
    gsummulc1.r $e |- ( ph -> R e. Ring ) $.
    gsummulc1.a $e |- ( ph -> A e. V ) $.
    gsummulc1.y $e |- ( ph -> Y e. B ) $.
    gsummulc1.x $e |- ( ( ph /\ k e. A ) -> X e. B ) $.
    gsummulc1.n $e |- ( ph -> ( k e. A |-> X ) finSupp .0. ) $.
    $( A finite ring sum multiplied by a constant.  (Contributed by Mario
       Carneiro, 19-Dec-2014.)  (Revised by AV, 10-Jul-2019.) $)
    gsummulc1 $p |- ( ph -> ( R gsum ( k e. A |-> ( X .x. Y ) ) ) =
      ( ( R gsum ( k e. A |-> X ) ) .x. Y ) ) $=
      ( vx cv co cmpt cgsu crg wcel ccmn ringcmn syl cmnd ringmnd cghm ringrghm
      cmhm syl2anc ghmmhm oveq1 gsummhm2 ) AUABCUAUBZJFUCZIJFUCGEGBIUDUEUCZJFUC
      EEHIKLMAEUFUGZEUHUGPEUIUJAVCEUKUGPEULUJQAUACVAUDZEEUMUCUGZVDEEUOUCUGAVCJC
      UGVEPRUACEFJLOUNUPEEVDUQUJSTUTIJFURUTVBJFURUS $.

    $( A finite ring sum multiplied by a constant.  (Contributed by Mario
       Carneiro, 19-Dec-2014.)  (Revised by AV, 10-Jul-2019.) $)
    gsummulc2 $p |- ( ph -> ( R gsum ( k e. A |-> ( Y .x. X ) ) ) =
      ( Y .x. ( R gsum ( k e. A |-> X ) ) ) ) $=
      ( vx cv co cmpt cgsu crg wcel ccmn ringcmn syl cmnd ringmnd cghm ringlghm
      cmhm syl2anc ghmmhm oveq2 gsummhm2 ) AUABCJUAUBZFUCZJIFUCGJEGBIUDUEUCZFUC
      EEHIKLMAEUFUGZEUHUGPEUIUJAVCEUKUGPEULUJQAUACVAUDZEEUMUCUGZVDEEUOUCUGAVCJC
      UGVEPRUACEFJLOUNUPEEVDUQUJSTUTIJFURUTVBJFURUS $.
  $}

  ${
    $d i A $.  $d n B $.  $d i n G $.  $d i n N $.  $d n R $.  $d i n ph $.
    $d i n .0. $.
    gsummgp0.g $e |- G = ( mulGrp ` R ) $.
    gsummgp0.0 $e |- .0. = ( 0g ` R ) $.
    gsummgp0.r $e |- ( ph -> R e. CRing ) $.
    gsummgp0.n $e |- ( ph -> N e. Fin ) $.
    gsummgp0.a $e |- ( ( ph /\ n e. N ) -> A e. ( Base ` R ) ) $.
    gsummgp0.e $e |- ( ( ph /\ n = i ) -> A = B ) $.
    gsummgp0.b $e |- ( ph -> E. i e. N B = .0. ) $.
    $( If one factor in a finite group sum of the multiplicative group of a
       commutative ring is 0, the whole "sum" (i.e. product) is 0.
       (Contributed by AV, 3-Jan-2019.) $)
    gsummgp0 $p |- ( ph -> ( G gsum ( n e. N |-> A ) ) = .0. ) $=
      ( wceq cgsu co wcel cmpt cv wa csn cdif cun cmulr difsnid eqcomd ad2antrl
      cfv mpteq1d oveq2d cbs eqid mgpbas mgpplusg ccmn crngmgp syl adantr diffi
      ccrg cfn eldifi syl2an simprl neldifsnd crg cmnd crngring ringmnd mndidcl
      simpl 3syl wb eleq1 ad2antll mpbird weq adantlr gsumunsnd oveq2 ralrimiva
      sylan2 gsummptcl ringrz syl2an2r eqtrd 3eqtrd rexlimddv ) ACIQZGFHBUAZRSZ
      IQEHPAEUBZHTZWLUCZUCZWNGFHWOUDZUEZWSUFZBUAZRSGFWTBUARSZCDUGUKZSZIWRWMXBGR
      WRFHXABWPHXAQAWLWPXAHHWOUHUIUJULUMWRWTDUNUKZXDFGWOHBCXFDGJXFUOZUPZDXDGJXD
      UOZUQAGURTZWQADVCTZXJLDGJUSUTZVAAWTVDTZWQAHVDTXMMHWSVBUTZVAWRAFUBZHTZBXFT
      ZXOWTTZAWQVNXOHWSVEZNVFAWPWLVGWRWOHVHWRCXFTZIXFTZAYAWQADVITZDVJTYAAXKYBLD
      VKUTZDVLXFDIXGKVMVOVAWLXTYAVPAWPCIXFVQVRVSAFEVTBCQWQOWAWBWRXEXCIXDSZIWLXE
      YDQAWPCIXCXDWCVRAYBWQXCXFTZYDIQYCAYEWQAXFFGWTBXHXLXNAXQFWTXRAXPXQXSNWEWDW
      FVAXFDXDXCIXGXIKWGWHWIWJWK $.
  $}

  ${
    $d ph i j x y $.  $d B i j x y $.  $d I i j x y $.  $d J i j x y $.
    $d R i j x $.  $d .x. i j x y $.  $d V i $.  $d X i j y $.  $d Y i j x $.
    $d .0. i j $.
    gsumdixp.b $e |- B = ( Base ` R ) $.
    gsumdixp.t $e |- .x. = ( .r ` R ) $.
    gsumdixp.z $e |- .0. = ( 0g ` R ) $.
    gsumdixp.i $e |- ( ph -> I e. V ) $.
    gsumdixp.j $e |- ( ph -> J e. W ) $.
    gsumdixp.r $e |- ( ph -> R e. Ring ) $.
    gsumdixp.x $e |- ( ( ph /\ x e. I ) -> X e. B ) $.
    gsumdixp.y $e |- ( ( ph /\ y e. J ) -> Y e. B ) $.
    gsumdixp.xf $e |- ( ph -> ( x e. I |-> X ) finSupp .0. ) $.
    gsumdixp.yf $e |- ( ph -> ( y e. J |-> Y ) finSupp .0. ) $.
    $( Distribute a binary product of sums to a sum of binary products in a
       ring.  (Contributed by Mario Carneiro, 8-Mar-2015.)  (Revised by AV,
       10-Jul-2019.) $)
    gsumdixp $p |- ( ph ->
        ( ( R gsum ( x e. I |-> X ) ) .x. ( R gsum ( y e. J |-> Y ) ) ) =
          ( R gsum ( x e. I , y e. J |-> ( X .x. Y ) ) ) ) $=
      ( vi vj co cmpo cgsu cmpt cv cfv csupp cxp crg wcel ringcmn syl adantr wa
      wf fmpttd simpl ffvelrn syl2an simpr ringcl syl3anc cfn fsuppimpd syl2anc
      ccmn xpfi wbr wn wceq ianor brxp xchnxbir cdif simprl eldif biimpri sylan
      cvv ssidd c0g fvexi a1i suppssr syldan oveq1d ringlz simprr oveq2d ringrz
      wo eqtrd jaodan sylan2b anasss gsum2d2 nffvmpt1 nfcv nfov fveq2 oveqan12d
      weq cbvmpo w3a simp2 3adant3 eqid fvmpt2 simp3 3imp3i2an mpoeq3dva eqtrid
      oveq12d nfmpt cbvmpt eqtrdi 3expa mpteq2dva 3eqtr3d cplusg adantlr cfsupp
      mpteq2dv gsummulc2 gsumcl gsummulc1 3eqtrrd ) AEBCGHKLFUFZUGZUHUFZEBGECHY
      MUIZUHUFZUIZUHUFZEBGKECHLUIZUHUFZFUFZUIZUHUFEBGKUIZUHUFUUAFUFAEUDUEGHUDUJ
      ZUUDUKZUEUJZYTUKZFUFZUGZUHUFEUDGEUEHUUIUIZUHUFZUIZUHUFYOYSAGDHUUDMULUFZYT
      MULUFZUMZUDUEEIJUUIMNPAEUNUOZEVKUOSEUPUQZQAHJUOZUUEGUOZRURAUUTUUGHUOZUSZU
      SZUUQUUFDUOZUUHDUOZUUIDUOAUUQUVBSURZAGDUUDUTZUUTUVDUVBABGKDTVAZUUTUVAVBGD
      UUEUUDVCVDZAHDYTUTZUVAUVEUVBACHLDUAVAZUUTUVAVEHDUUGYTVCVDZDEFUUFUUHNOVFVG
      AUUNVHUOUUOVHUOUUPVHUOAUUDMUBVIAYTMUCVIUUNUUOVLVJAUVBUUEUUGUUPVMZVNZUUIMV
      OZUVNUVCUUEUUNUOZVNZUUGUUOUOZVNZWPZUVOUVPUVRUSUVTUVMUVPUVRVPUUEUUGUUNUUOV
      QVRUVCUVQUVOUVSUVCUVQUSZUUIMUUHFUFZMUWAUUFMUUHFUVCUVQUUEGUUNVSUOZUUFMVOUV
      CUUTUVQUWCAUUTUVAVTUWCUUTUVQUSUUEGUUNWAWBWCUVCGDWDUUDIUUNUUEMAUVGUVBUVHUR
      UVCUUNWEAGIUOUVBQURMWDUOUVCMEWFPWGWHZWIWJWKUVCUWBMVOZUVQUVCUUQUVEUWEUVFUV
      LDEFUUHMNOPWLVJURWQUVCUVSUSZUUIUUFMFUFZMUWFUUHMUUFFUVCUVSUUGHUUOVSUOZUUHM
      VOUVCUVAUVSUWHAUUTUVAWMUWHUVAUVSUSUUGHUUOWAWBWCUVCHDWDYTJUUOUUGMAUVJUVBUV
      KURUVCUUOWEAUUSUVBRURUWDWIWJWNUVCUWGMVOZUVSUVCUUQUVDUWIUVFUVIDEFUUFMNOPWO
      VJURWQWRWSWTXAAUUJYNEUHAUUJBCGHBUJZUUDUKZCUJZYTUKZFUFZUGYNUDUEBCGHUUIUWNB
      UUFUUHFBGKUUEXBBFXCBUUHXCXDZCUUFUUHFCUUFXCCFXCZCHLUUGXBZXDUDUWNXCUEUWNXCZ
      UDBXGZUECXGZUUFUWKUUHUWMFUUEUWJUUDXEZUUGUWLYTXEZXFXHABCGHUWNYMAUWJGUOZUWL
      HUOZXIZUWKKUWMLFUXEUXCKDUOZUWKKVOAUXCUXDXJAUXCUXFUXDTXKBGKDUUDUUDXLXMVJAU
      XCUXDUXDLDUOZUWMLVOAUXCUXDXNUACHLDYTYTXLXMXOXRZXPXQWNAUUMYREUHAUUMBGECHUW
      NUIZUHUFZUIYRUDBGUULUXJBEUUKUHBEXCBUHXCBUEHUUIBHXCUWOXSXDUDUXJXCUWSUUKUXI
      EUHUWSUUKUEHUWKUUHFUFZUIUXIUWSUEHUUIUXKUWSUUFUWKUUHFUXAWKYHUECHUXKUWNCUWK
      UUHFCUWKXCUWPUWQXDUWRUWTUUHUWMUWKFUXBWNXTYAWNXTABGUXJYQAUXCUSZUXIYPEUHUXL
      CHUWNYMAUXCUXDUWNYMVOUXHYBYCWNYCXQWNYDAYRUUCEUHABGYQUUBUXLHDEYEUKZEFCJLKM
      NPUXMXLZOAUUQUXCSURAUUSUXCRURTAUXDUXGUXCUAYFAYTMYGVMUXCUCURYIYCWNAGDUXMEF
      BIKUUAMNPUXNOSQAHDYTEJMNPUURRUVKUCYJTUBYKYL $.
  $}

  ${
    $d x y z I $.  $d x y z M $.  $d x y z ph $.  $d x y z R $.  $d x y z S $.
    $d x V $.  $d x W $.  $d x y z Y $.  $d x y z Z $.
    prdsmgp.y $e |- Y = ( S Xs_ R ) $.
    prdsmgp.m $e |- M = ( mulGrp ` Y ) $.
    prdsmgp.z $e |- Z = ( S Xs_ ( mulGrp o. R ) ) $.
    prdsmgp.i $e |- ( ph -> I e. V ) $.
    prdsmgp.s $e |- ( ph -> S e. W ) $.
    prdsmgp.r $e |- ( ph -> R Fn I ) $.
    $( The multiplicative monoid of a product is the product of the
       multiplicative monoids of the factors.  (Contributed by Mario Carneiro,
       11-Mar-2015.) $)
    prdsmgp $p |- ( ph ->
      ( ( Base ` M ) = ( Base ` Z ) /\ ( +g ` M ) = ( +g ` Z ) ) ) $=
      ( vx cbs cfv cmgp eqid vy vz wceq cplusg cv cixp ccom wa mgpbas wfn fvco2
      wcel sylan eqcomd fveq2d eqtrid ixpeq2dva eqcomi prdsbas2 cvv crn wss ssv
      fnmgp a1i fnco mp3an2i 3eqtr4d mgpplusg co cmpt cmpo mpteq2dva mpoeq123dv
      cmulr oveqd fnex syl2anc fndmd prdsmulr prdsplusg eqtr3id jca ) AEQRZIQRZ
      UCEUDRZIUDRZUCAPDPUEZBRZQRZUFPDWHSBUGZRZQRZUFWDWEAPDWJWMAWHDULZUHZWJWISRZ
      QRWMWJWIWPWPTWJTUIWOWPWLQWOWLWPABDUJZWNWLWPUCODSBWHUKUMUNUOUPUQAPWDBCDGFH
      JHQRZWDWRHEKWRTUIURZNMOUSAPWEWKCDGFILWETZNMSUTUJAWQBVAZUTVBZWKDUJZVDOXBAX
      AVCVEUTDSBVFVGZUSVHZAWFHVORZWGHXFEKXFTZVIAPUAWDWDUBDUBUEZWHRZXHUAUERZXHBR
      ZVORZVJZVKZVLPUAWEWEUBDXIXJXHWKRZUDRZVJZVKZVLXFWGAPUAWDWDXNWEWEXRXEXEAUBD
      XMXQAXHDULZUHZXLXPXIXJXTXLXKSRZUDRXPXKXLYAYATXLTVIXTYAXOUDXTXOYAAWQXSXOYA
      UCODSBXHUKUMUNUOUPVPVMVNAUBWDHBCXFPUADGUTJNAWQDFULZBUTULOMDFBVQVRWSADBOVS
      XGVTAUBWEIWGWKCPUADGUTLNAXCYBWKUTULXDMDFWKVQVRWTADWKXDVSWGTWAVHWBWC $.
  $}

  ${
    $d x B $.  $d x F $.  $d x G $.  $d x I $.  $d x R $.  $d x S $.  $d x V $.
    $d x ph $.  $d x W $.  $d x .x. $.  $d x Y $.
    prdsmulrcl.y $e |- Y = ( S Xs_ R ) $.
    prdsmulrcl.b $e |- B = ( Base ` Y ) $.
    prdsmulrcl.t $e |- .x. = ( .r ` Y ) $.
    prdsmulrcl.s $e |- ( ph -> S e. V ) $.
    prdsmulrcl.i $e |- ( ph -> I e. W ) $.
    prdsmulrcl.r $e |- ( ph -> R : I --> Ring ) $.
    prdsmulrcl.f $e |- ( ph -> F e. B ) $.
    prdsmulrcl.g $e |- ( ph -> G e. B ) $.
    $( A structure product of rings has closed binary operation.  (Contributed
       by Mario Carneiro, 11-Mar-2015.) $)
    prdsmulrcl $p |- ( ph -> ( F .x. G ) e. B ) $=
      ( wcel vx co cv cfv cmulr cmpt crg ffnd prdsmulrval cbs wral wa ffvelrnda
      adantr wfn simpr prdsbasprj eqid ringcl syl3anc prdsbasmpt mpbird eqeltrd
      ralrimiva ) AFGEUBUAHUAUCZFUDZVEGUDZVECUDZUEUDZUBZUFZBAUABCDEFGHIJKLMOPAH
      UGCQUHZRSNUIAVKBTVJVHUJUDZTZUAHUKAVNUAHAVEHTZULZVHUGTVFVMTVGVMTVNAHUGVECQ
      UMVPBCDFHVEIJKLMADITVOOUNZAHJTVOPUNZACHUOVOVLUNZAFBTVORUNAVOUPZUQVPBCDGHV
      EIJKLMVQVRVSAGBTVOSUNVTUQVMVHVIVFVGVMURVIURUSUTVDAUABCDVJHIJKLMOPVLVAVBVC
      $.
  $}

  ${
    $d w I $.  $d w x y z ph $.  $d w x y R $.  $d w x y S $.  $d w x y z Y $.
    $d w V $.  $d w W $.
    prdsringd.y $e |- Y = ( S Xs_ R ) $.
    prdsringd.i $e |- ( ph -> I e. W ) $.
    prdsringd.s $e |- ( ph -> S e. V ) $.
    prdsringd.r $e |- ( ph -> R : I --> Ring ) $.
    $( A product of rings is a ring.  (Contributed by Mario Carneiro,
       11-Mar-2015.) $)
    prdsringd $p |- ( ph -> Y e. Ring ) $=
      ( vx vw wcel cfv cmnd co crg eqid adantr vy vz cgrp cmgp cv cmulr wceq wa
      cplusg cbs wral wf wss ringgrp ssriv fss sylancl prdsgrpd ccom cprds cres
      mgpf fco2 sylancr prdsmndd eqidd ffnd prdsmgp simpld simprd oveqdr mpbird
      mndpropd w3a cmpt ffvelrnda simplr1 simpr prdsbasprj simpr2 simpr3 ringdi
      wfn syl13anc prdsplusgfval prdsmulrfval oveq12d 3eqtr4d mpteq2dva ringmnd
      oveq2d simpr1 prdsplusgcl prdsmulrval prdsmulrcl prdsplusgval ringdir jca
      oveq1d ralrimivvva isring syl3anbrc ) AGUCNGUDOZPNZLUEZUAUEZUBUEZGUIOZQZG
      UFOZQZXEXFXJQZXEXGXJQZXHQZUGZXEXFXHQZXGXJQZXMXFXGXJQZXHQZUGZUHZUBGUJOZUKU
      AYBUKLYBUKGRNABCDEFGHIJADRBULZRUCUMDUCBULKLRUCXEUNUODRUCBUPUQURAXDCUDBUSZ
      UTQZPNAYDCDEFYEYESZIJARPUDRVAULYCDPYDULVBKDRPUDBVCVDVEALUAXCUJOZXCYEAYGVF
      AYGYEUJOUGZXCUIOZYEUIOZUGZABCDXCFEGYEHXCSZYFIJADRBKVGZVHZVIAXEYGNXFYGNUHL
      UAYIYJAYHYKYNVJVKVMVLAYALUAUBYBYBYBAXEYBNZXFYBNZXGYBNZVNZUHZXOXTYSMDMUEZX
      EOZYTXIOZYTBOZUFOZQZVOMDYTXLOZYTXMOZUUCUIOZQZVOXKXNYSMDUUEUUIYSYTDNZUHZUU
      AYTXFOZYTXGOZUUHQZUUDQZUUAUULUUDQZUUAUUMUUDQZUUHQZUUEUUIUUKUUCRNZUUAUUCUJ
      OZNZUULUUTNZUUMUUTNZUUOUURUGYSDRYTBAYCYRKTZVPZUUKYBBCXEDYTEFGHYBSZYSCENZU
      UJAUVGYRJTZTZYSDFNZUUJAUVJYRITZTZYSBDWCZUUJAUVMYRYMTZTZYOYPYQAUUJVQZYSUUJ
      VRZVSZUUKYBBCXFDYTEFGHUVFUVIUVLUVOYSYPUUJAYOYPYQVTZTZUVQVSZUUKYBBCXGDYTEF
      GHUVFUVIUVLUVOYSYQUUJAYOYPYQWAZTZUVQVSZUUTUUHUUCUUDUUAUULUUMUUTSZUUHSZUUD
      SZWBWDUUKUUBUUNUUAUUDUUKYBXHBCXFXGDYTEFGHUVFUVIUVLUVOUVTUWCXHSZUVQWEWKUUK
      UUFUUPUUGUUQUUHUUKYBBCXJXEXFDYTEFGHUVFUVIUVLUVOUVPUVTXJSZUVQWFUUKYBBCXJXE
      XGDYTEFGHUVFUVIUVLUVOUVPUWCUWIUVQWFZWGWHWIYSMYBBCXJXEXIDEFGHUVFUVHUVKUVNA
      YOYPYQWLZYSYBXHBCXFXGDEFGHUVFUWHUVHUVKADPBULZYRAYCRPUMUWLKLRPXEWJUODRPBUP
      UQTZUVSUWBWMUWIWNYSMYBXHBCXLXMDEFGHUVFUVHUVKUVNYSYBBCXJXEXFDEFGHUVFUWIUVH
      UVKUVDUWKUVSWOYSYBBCXJXEXGDEFGHUVFUWIUVHUVKUVDUWKUWBWOZUWHWPWHYSMDYTXPOZU
      UMUUDQZVOMDUUGYTXROZUUHQZVOXQXSYSMDUWPUWRUUKUUAUULUUHQZUUMUUDQZUUQUULUUMU
      UDQZUUHQZUWPUWRUUKUUSUVAUVBUVCUWTUXBUGUVEUVRUWAUWDUUTUUHUUCUUDUUAUULUUMUW
      EUWFUWGWQWDUUKUWOUWSUUMUUDUUKYBXHBCXEXFDYTEFGHUVFUVIUVLUVOUVPUVTUWHUVQWEW
      SUUKUUGUUQUWQUXAUUHUWJUUKYBBCXJXFXGDYTEFGHUVFUVIUVLUVOUVTUWCUWIUVQWFWGWHW
      IYSMYBBCXJXPXGDEFGHUVFUVHUVKUVNYSYBXHBCXEXFDEFGHUVFUWHUVHUVKUWMUWKUVSWMUW
      BUWIWNYSMYBXHBCXMXRDEFGHUVFUVHUVKUVNUWNYSYBBCXJXFXGDEFGHUVFUWIUVHUVKUVDUV
      SUWBWOUWHWPWHWRWTLUAUBYBXHGXJXCUVFYLUWHUWIXAXB $.
  $}

  ${
    $d ph x y $.  $d R x y $.  $d S x y $.  $d Y x y $.
    prdscrngd.y $e |- Y = ( S Xs_ R ) $.
    prdscrngd.i $e |- ( ph -> I e. W ) $.
    prdscrngd.s $e |- ( ph -> S e. V ) $.
    prdscrngd.r $e |- ( ph -> R : I --> CRing ) $.
    $( A product of commutative rings is a commutative ring.  Since the
       resulting ring will have zero divisors in all nontrivial cases, this
       cannot be strengthened much further.  (Contributed by Mario Carneiro,
       11-Mar-2015.) $)
    prdscrngd $p |- ( ph -> Y e. CRing ) $=
      ( vx vy crg wcel cmgp cfv ccmn ccrg wf wss crngring fss sylancl prdsringd
      cv ssriv ccom cprds co eqid cres wfn wral cvv fnmgp fnssres mp2an crngmgp
      fvres eqeltrd rgen ffnfv mpbir2an fco2 sylancr prdscmnd eqidd wceq cplusg
      ssv cbs ffnd prdsmgp simpld simprd oveqdr cmnpropd mpbird iscrng sylanbrc
      wa ) AGNOGPQZROZGSOABCDEFGHIJADSBTZSNUADNBTKLSNLUFZUBUGDSNBUCUDUEAWDCPBUH
      ZUIUJZROAWGCDEFWHWHUKZIJASRPSULZTZWEDRWGTWKWJSUMZWFWJQZROZLSUNPUOUMSUOUAW
      LUPSVKUOSPUQURWNLSWFSOWMWFPQZRWFSPUTWFWOWOUKUSVAVBLSRWJVCVDKDSRPBVEVFVGAL
      MWCVLQZWCWHAWPVHAWPWHVLQVIZWCVJQZWHVJQZVIZABCDWCFEGWHHWCUKZWIIJADSBKVMVNZ
      VOAWFWPOMUFWPOWBLMWRWSAWQWTXBVPVQVRVSGWCXAVTWA $.
  $}

  ${
    $d ph x y $.  $d R x y $.  $d S x y $.  $d Y x y $.
    prds1.y $e |- Y = ( S Xs_ R ) $.
    prds1.i $e |- ( ph -> I e. W ) $.
    prds1.s $e |- ( ph -> S e. V ) $.
    prds1.r $e |- ( ph -> R : I --> Ring ) $.
    $( Value of the ring unit in a structure family product.  (Contributed by
       Mario Carneiro, 11-Mar-2015.) $)
    prds1 $p |- ( ph -> ( 1r o. R ) = ( 1r ` Y ) ) $=
      ( vx vy c0g cmgp ccom cfv cur eqid crg cprds co cmnd cres wf mgpf sylancr
      fco2 prds0g cbs eqidd wceq cplusg ffnd prdsmgp simpld cv wa simprd oveqdr
      wcel grpidpropd eqtr4d df-ur coeq1i coass eqtri ringidval 3eqtr4g ) ANOBP
      ZPZGOQZNQZRBPZGRQZAVKCVJUAUBZNQVMAVJCDEFVPVPSZIJATUCOTUDUEDTBUEDUCVJUEUFK
      DTUCOBUHUGUIALMVLUJQZVLVPAVRUKAVRVPUJQULZVLUMQZVPUMQZULZABCDVLFEGVPHVLSZV
      QIJADTBKUNUOZUPALUQVRVAMUQVRVAURLMVTWAAVSWBWDUSUTVBVCVNNOPZBPVKRWEBVDVENO
      BVFVGGVOVLWCVOSVHVI $.
  $}

  ${
    pwsring.y $e |- Y = ( R ^s I ) $.
    $( A structure power of a ring is a ring.  (Contributed by Mario Carneiro,
       11-Mar-2015.) $)
    pwsring $p |- ( ( R e. Ring /\ I e. V ) -> Y e. Ring ) $=
      ( crg wcel wa csca cfv csn cxp cprds co eqid pwsval cvv simpr fvexd wf
      fconst6g adantr prdsringd eqeltrd ) AFGZBCGZHZDAIJZBAKLZMNZFAUHBFCDEUHOPU
      GUIUHBQCUJUJOUEUFRUGAISUEBFUITUFBAFUAUBUCUD $.
  $}

  ${
    pws1.y $e |- Y = ( R ^s I ) $.
    pws1.o $e |- .1. = ( 1r ` R ) $.
    $( Value of the ring unit in a structure power.  (Contributed by Mario
       Carneiro, 11-Mar-2015.) $)
    pws1 $p |- ( ( R e. Ring /\ I e. V ) -> ( I X. { .1. } ) = ( 1r ` Y ) ) $=
      ( crg wcel cur cfv csca csn cxp ccom eqid cvv wfn c0g cmgp wa cprds simpr
      co pwsval fveq2d fvexd wf fconst6g adantr prds1 wceq crn wss fn0g ssv a1i
      fnmgp fnco mp3an12i df-ur fneq1i sylibr elex syl2anc sneqi xpeq2i eqtr4di
      fcoconst 3eqtr2rd ) AHIZCDIZUAZEJKALKZCAMNZUBUDZJKJVOOZCBMZNZVMEVPJAVNCHD
      EFVNPUEUFVMVOVNCQDVPVPPVKVLUCVMALUGVKCHVOUHVLCAHUIUJUKVMVQCAJKZMZNZVSVMJQ
      RZAQIZVQWBULVMSTOZQRZWCSQRTQRVMTUMZQUNZWFUOURWHVMWGUPUQQQSTUSUTQJWEVAVBVC
      VKWDVLAHVDUJJCQAVIVEVRWACBVTGVFVGVHVJ $.
  $}

  ${
    pwscrng.y $e |- Y = ( R ^s I ) $.
    $( A structure power of a commutative ring is a commutative ring.
       (Contributed by Mario Carneiro, 11-Mar-2015.) $)
    pwscrng $p |- ( ( R e. CRing /\ I e. V ) -> Y e. CRing ) $=
      ( ccrg wcel wa csca cfv csn cxp cprds co eqid pwsval cvv simpr fvexd wf
      fconst6g adantr prdscrngd eqeltrd ) AFGZBCGZHZDAIJZBAKLZMNZFAUHBFCDEUHOPU
      GUIUHBQCUJUJOUEUFRUGAISUEBFUITUFBAFUAUBUCUD $.
  $}

  ${
    pwsmgp.y $e |- Y = ( R ^s I ) $.
    pwsmgp.m $e |- M = ( mulGrp ` R ) $.
    pwsmgp.z $e |- Z = ( M ^s I ) $.
    pwsmgp.n $e |- N = ( mulGrp ` Y ) $.
    pwsmgp.b $e |- B = ( Base ` N ) $.
    pwsmgp.c $e |- C = ( Base ` Z ) $.
    pwsmgp.p $e |- .+ = ( +g ` N ) $.
    pwsmgp.q $e |- .+b = ( +g ` Z ) $.
    $( The multiplicative group of the power structure resembles the power of
       the multiplicative group.  (Contributed by Mario Carneiro,
       12-Mar-2015.) $)
    pwsmgp $p |- ( ( R e. V /\ I e. W ) -> ( B = C /\ .+ = .+b ) ) $=
      ( wcel wa wceq cbs cfv csca csn cxp cprds cmgp ccom cplusg cvv eqid simpr
      co fvexd fnconstg adantr prdsmgp simpld pwsval fveq2d eqtrid cpws sylancr
      wfn fvexi mgpsca eqcomi a1i sneqi xpeq2i fnmgp elex eqtr4id oveq12d eqtrd
      fcoconst 3eqtr4d 3eqtr4g simprd jca ) EIUAZFJUAZUBZABUCCDUCWFHUDUEZLUDUEZ
      ABWFEUFUEZFEUGUHZUIUPZUJUEZUDUEZWIUJWJUKZUIUPZUDUEZWGWHWFWMWPUCZWLULUEZWO
      ULUEZUCZWFWJWIFWLJUMWKWOWKUNWLUNWOUNWDWEUOZWFEUFUQWDWJFVGWEFEIURUSUTZVAWF
      HWLUDWFHKUJUEWLPWFKWKUJEWIFIJKMWIUNZVBVCVDZVCWFLWOUDWFLGFVEUPZWOOWFXEGUFU
      EZFGUGZUHZUIUPZWOWFGUMUAWEXEXIUCGEUJNVHXAGXFFUMJXEXEUNXFUNVBVFWFXFWIXHWNU
      IXFWIUCWFWIXFEWIGNXCVIVJVKWFXHFEUJUEZUGZUHZWNXGXKFGXJNVLVMWFUJUMVGEUMUAZW
      NXLUCVNWDXMWEEIVOUSUJFUMEVSVFVPVQVRVDZVCVTQRWAWFHULUEZLULUEZCDWFWRWSXOXPW
      FWQWTXBWBWFHWLULXDVCWFLWOULXNVCVTSTWAWC $.
  $}

  ${
    $d p q u v .+ $.  $d a b p q u v w x y z ph $.  $d a b p q u v w x y z U $.
    $d p q u x .1. $.  $d p q u v w B $.  $d a b p q u x y z F $.  $d p q R $.
    $d a b p q u v x y z V $.  $d p q u v .x. $.
    imasring.u $e |- ( ph -> U = ( F "s R ) ) $.
    imasring.v $e |- ( ph -> V = ( Base ` R ) ) $.
    imasring.p $e |- .+ = ( +g ` R ) $.
    imasring.t $e |- .x. = ( .r ` R ) $.
    imasring.o $e |- .1. = ( 1r ` R ) $.
    imasring.f $e |- ( ph -> F : V -onto-> B ) $.
    imasring.e1 $e |- ( ( ph /\ ( a e. V /\ b e. V ) /\ ( p e. V /\ q e. V ) )
      -> ( ( ( F ` a ) = ( F ` p ) /\ ( F ` b ) = ( F ` q ) )
        -> ( F ` ( a .+ b ) ) = ( F ` ( p .+ q ) ) ) ) $.
    imasring.e2 $e |- ( ( ph /\ ( a e. V /\ b e. V ) /\ ( p e. V /\ q e. V ) )
      -> ( ( ( F ` a ) = ( F ` p ) /\ ( F ` b ) = ( F ` q ) )
        -> ( F ` ( a .x. b ) ) = ( F ` ( p .x. q ) ) ) ) $.
    imasring.r $e |- ( ph -> R e. Ring ) $.
    $( The image structure of a ring is a ring.  (Contributed by Mario
       Carneiro, 14-Jun-2015.) $)
    imasring $p |- ( ph -> ( U e. Ring /\ ( F ` .1. ) = ( 1r ` U ) ) ) $=
      ( vu vv vw vx vy vz crg wcel cfv cur wceq cplusg cmulr imasbas eqidd cgrp
      c0g a1i ringgrp syl eqid imasgrp simpld cxp wf cv co wa cbs adantr simprl
      eleqtrd simprr ringcl syl3anc eleqtrrd caovclg imasmulf fovrn syl3an1 w3a
      wrex crn wfo forn eleq2d 3anbi123d wb fofn fvelrnb bitr3d 3reeanv bitr4di
      wi simp2 3ad2ant1 3adant3r3 simp3 simpr3 ringass syl13anc fveq2d 3adantr3
      wfn simpl imasmulval simpr1 3eqtr4d oveq1d 3adant3r1 oveq2d simp1 oveq12d
      3adantr1 eqeq12d syl5ibcom 3exp2 imp32 rexlimdv rexlimdvva sylbid ringacl
      imp ringdi 3adantr2 imasaddval 3adant3r2 ringdir ringidcl ffvelrnd biimpa
      fof simpr ringlidm syl2an2r eqtrd oveq2 rexlimdva id mpd3an3 isringd wral
      ringridm oveq1 jcad sylbird ralrimiv isringid mpbi2and eqcomd jca ) AFUIU
      JZGHUKZFULUKZUMAUCUDUEBFUNUKZFFUOUKZUUOABDFHIUINOSUBUPZAUUQUQAUURUQAFURUJ
      DUSUKZHUKFUSUKUMABCDFHIUUTJKLMNOCDUNUKUMAPUTSTADUIUJZDURUJUBDVAVBUUTVCVDV
      EABBVFBUURVGUCVHZBUJZUDVHZBUJZUVBUVDUURVIZBUJABDUUREFHIUIJKLMSUANOUBQUURV
      CZAUCUDKVHJVHIIIEAUVBIUJZUVDIUJZVJZVJZUVBUVDEVIZDVKUKZIUVKUVAUVBUVMUJZUVD
      UVMUJZUVLUVMUJAUVAUVJUBVLZUVKUVBIUVMAUVHUVIVMAIUVMUMZUVJOVLZVNZUVKUVDIUVM
      AUVHUVIVOUVRVNZUVMDEUVBUVDUVMVCZQVPVQUVRVRZVSVTUVBUVDBBBUURWAWBAUVCUVEUEV
      HZBUJZWCZUVFUWCUURVIZUVBUVDUWCUURVIZUURVIZUMZAUWEUFVHZHUKZUVBUMZUGVHZHUKZ
      UVDUMZUHVHZHUKZUWCUMZWCZUHIWDZUGIWDUFIWDZUWIAUWEUWLUFIWDZUWOUGIWDZUWRUHIW
      DZWCZUXAAUVBHWEZUJZUVDUXFUJZUWCUXFUJZWCZUWEUXEAUXGUVCUXHUVEUXIUWDAUXFBUVB
      AIBHWFZUXFBUMSIBHWGVBZWHZAUXFBUVDUXLWHAUXFBUWCUXLWHWIAHIXFZUXJUXEWJAUXKUX
      NSIBHWKVBZUXNUXGUXBUXHUXCUXIUXDUFIUVBHWLZUGIUVDHWLUHIUWCHWLWIVBWMUWLUWOUW
      RUFUGUHIIIWNWOZAUWTUWIUFUGIIAUWJIUJZUWMIUJZVJVJZUWSUWIUHIAUXRUXSUWPIUJZUW
      SUWIWPZWPAUXRUXSUYAUYBAUXRUXSUYAWCZVJZUWKUWNUURVIZUWQUURVIZUWKUWNUWQUURVI
      ZUURVIZUMUWSUWIUYDUWJUWMEVIZHUKZUWQUURVIZUWKUWMUWPEVIZHUKZUURVIZUYFUYHUYD
      UYIUWPEVIZHUKZUWJUYLEVIZHUKZUYKUYNUYDUYOUYQHUYDUVAUWJUVMUJZUWMUVMUJZUWPUV
      MUJZUYOUYQUMAUVAUYCUBVLZAUXRUXSUYSUYAAUXRUXSWCZUWJIUVMAUXRUXSWQAUXRUVQUXS
      OWRZVNWSZAUXRUXSUYTUYAVUCUWMIUVMAUXRUXSWTVUDVNWSZUYDUWPIUVMAUXRUXSUYAXAZA
      UVQUYCOVLVNZUVMDEUWJUWMUWPUWAQXBXCXDUYDAUYIIUJZUYAUYKUYPUMAUYCXGZAUXRUXSV
      UIUYAAUCUDUWJUWMIIIEUWBVSXEZVUGABDUUREFHIUYIUWPUIJKLMSUANOUBQUVGXHVQUYDAU
      XRUYLIUJZUYNUYRUMVUJAUXRUXSUYAXIZAUXSUYAVULUXRAUCUDUWMUWPIIIEUWBVSXPZABDU
      UREFHIUWJUYLUIJKLMSUANOUBQUVGXHVQXJUYDUYEUYJUWQUURAUXRUXSUYEUYJUMUYAABDUU
      REFHIUWJUWMUIJKLMSUANOUBQUVGXHWSZXKUYDUYGUYMUWKUURAUXSUYAUYGUYMUMUXRABDUU
      REFHIUWMUWPUIJKLMSUANOUBQUVGXHXLZXMXJUWSUYFUWFUYHUWHUWSUYEUVFUWQUWCUURUWS
      UWKUVBUWNUVDUURUWLUWOUWRXNZUWLUWOUWRWQZXOZUWLUWOUWRWTZXOUWSUWKUVBUYGUWGUU
      RVUQUWSUWNUVDUWQUWCUURVURVUTXOZXOXQXRXSXTYAYBYCYEAUWEUVBUVDUWCUUQVIZUURVI
      ZUVFUVBUWCUURVIZUUQVIZUMZAUWEUXAVVFUXQAUWTVVFUFUGIIUXTUWSVVFUHIAUXRUXSUYA
      UWSVVFWPZWPAUXRUXSUYAVVGUYDUWKUWNUWQUUQVIZUURVIZUYEUWKUWQUURVIZUUQVIZUMUW
      SVVFUYDUWKUWMUWPCVIZHUKZUURVIZUYJUWJUWPEVIZHUKZUUQVIZVVIVVKUYDUWJVVLEVIZH
      UKZUYIVVOCVIZHUKZVVNVVQUYDVVRVVTHUYDUVAUYSUYTVUAVVRVVTUMVUBVUEVUFVUHUVMCD
      EUWJUWMUWPUWAPQYFXCXDUYDAUXRVVLIUJZVVNVVSUMVUJVUMAUXSUYAVWBUXRAUCUDUWMUWP
      IIICUVKUVBUVDCVIZUVMIUVKUVAUVNUVOVWCUVMUJUVPUVSUVTUVMCDUVBUVDUWAPYDVQUVRV
      RZVSXPABDUUREFHIUWJVVLUIJKLMSUANOUBQUVGXHVQUYDAVUIVVOIUJZVVQVWAUMVUJVUKAU
      XRUYAVWEUXSAUCUDUWJUWPIIIEUWBVSYGZABDUUQCFHIUYIVVOUIJKLMSTNOUBPUUQVCZYHVQ
      XJUYDVVHVVMUWKUURAUXSUYAVVHVVMUMUXRABDUUQCFHIUWMUWPUIJKLMSTNOUBPVWGYHXLXM
      UYDUYEUYJVVJVVPUUQVUOAUXRUYAVVJVVPUMUXSABDUUREFHIUWJUWPUIJKLMSUANOUBQUVGX
      HYIZXOXJUWSVVIVVCVVKVVEUWSUWKUVBVVHVVBUURVUQUWSUWNUVDUWQUWCUUQVURVUTXOXOU
      WSUYEUVFVVJVVDUUQVUSUWSUWKUVBUWQUWCUURVUQVUTXOZXOXQXRXSXTYAYBYCYEAUWEUVBU
      VDUUQVIZUWCUURVIZVVDUWGUUQVIZUMZAUWEUXAVWMUXQAUWTVWMUFUGIIUXTUWSVWMUHIAUX
      RUXSUYAUWSVWMWPZWPAUXRUXSUYAVWNUYDUWKUWNUUQVIZUWQUURVIZVVJUYGUUQVIZUMUWSV
      WMUYDUWJUWMCVIZHUKZUWQUURVIZVVPUYMUUQVIZVWPVWQUYDVWRUWPEVIZHUKZVVOUYLCVIZ
      HUKZVWTVXAUYDVXBVXDHUYDUVAUYSUYTVUAVXBVXDUMVUBVUEVUFVUHUVMCDEUWJUWMUWPUWA
      PQYJXCXDUYDAVWRIUJZUYAVWTVXCUMVUJAUXRUXSVXFUYAAUCUDUWJUWMIIICVWDVSXEVUGAB
      DUUREFHIVWRUWPUIJKLMSUANOUBQUVGXHVQUYDAVWEVULVXAVXEUMVUJVWFVUNABDUUQCFHIV
      VOUYLUIJKLMSTNOUBPVWGYHVQXJUYDVWOVWSUWQUURAUXRUXSVWOVWSUMUYAABDUUQCFHIUWJ
      UWMUIJKLMSTNOUBPVWGYHWSXKUYDVVJVVPUYGUYMUUQVWHVUPXOXJUWSVWPVWKVWQVWLUWSVW
      OVWJUWQUWCUURUWSUWKUVBUWNUVDUUQVUQVURXOVUTXOUWSVVJVVDUYGUWGUUQVWIVVAXOXQX
      RXSXTYAYBYCYEAIBGHAUXKIBHVGSIBHYNVBAGUVMIAUVAGUVMUJUBUVMDGUWARYKVBOVRZYLZ
      AUVCUUOUVBUURVIZUVBUMZAUVCUXBVXJAUXGUVCUXBUXMAUXNUXGUXBWJUXOUXPVBWMZAUWLV
      XJUFIAUXRVJZUUOUWKUURVIZUWKUMUWLVXJVXLVXMGUWJEVIZHUKZUWKVXLAGIUJZUXRVXMVX
      OUMAUXRXGAVXPUXRVXGVLZAUXRYOABDUUREFHIGUWJUIJKLMSUANOUBQUVGXHVQVXLVXNUWJH
      AUVAUXRUYSVXNUWJUMUBAUXRUYSAIUVMUWJOWHYMZUVMDEGUWJUWAQRYPYQXDYRUWLVXMVXIU
      WKUVBUWKUVBUUOUURYSUWLUUAZXQXRYTYCZYEAUVCUVBUUOUURVIZUVBUMZAUVCUXBVYBVXKA
      UWLVYBUFIVXLUWKUUOUURVIZUWKUMUWLVYBVXLVYCUWJGEVIZHUKZUWKAUXRVXPVYCVYEUMVX
      QABDUUREFHIUWJGUIJKLMSUANOUBQUVGXHUUBVXLVYDUWJHAUVAUXRUYSVYDUWJUMUBVXRUVM
      DEGUWJUWAQRUUEYQXDYRUWLVYCVYAUWKUVBUWKUVBUUOUURUUFVXSXQXRYTYCZYEUUCZAUUPU
      UOAUUOFVKUKZUJZVXJVYBVJZUCVYHUUDZUUPUUOUMZAUUOBVYHVXHUUSVNAVYJUCVYHAUVBVY
      HUJUVCVYJABVYHUVBUUSWHAUVCVXJVYBVXTVYFUUGUUHUUIAUUNVYIVYKVJVYLWJVYGUCVYHF
      UURUUPUUOVYHVCUVGUUPVCUUJVBUUKUULUUM $.
  $}

  ${
    $d p q u x y .+ $.  $d p q u .1. $.  $d a b p q U $.  $d a b p q u x y V $.
    $d a b p q u .~ $.  $d a b p q u x y ph $.  $d p q u x y .x. $.
    $d p q u R $.
    qusring2.u $e |- ( ph -> U = ( R /s .~ ) ) $.
    qusring2.v $e |- ( ph -> V = ( Base ` R ) ) $.
    qusring2.p $e |- .+ = ( +g ` R ) $.
    qusring2.t $e |- .x. = ( .r ` R ) $.
    qusring2.o $e |- .1. = ( 1r ` R ) $.
    qusring2.r $e |- ( ph -> .~ Er V ) $.
    qusring2.e1 $e |- ( ph ->
      ( ( a .~ p /\ b .~ q ) -> ( a .+ b ) .~ ( p .+ q ) ) ) $.
    qusring2.e2 $e |- ( ph ->
      ( ( a .~ p /\ b .~ q ) -> ( a .x. b ) .~ ( p .x. q ) ) ) $.
    qusring2.x $e |- ( ph -> R e. Ring ) $.
    $( The quotient structure of a ring is a ring.  (Contributed by Mario
       Carneiro, 14-Jun-2015.) $)
    qusring2 $p |- ( ph -> ( U e. Ring /\ [ .1. ] .~ = ( 1r ` U ) ) ) $=
      ( vu vx vy crg wcel cec cur cfv wceq wa cv cmpt cqs cvv eqid wer cbs fvex
      eqeltrdi erex sylc qusval quslem co adantr simprl eleqtrd ringacl syl3anc
      simprr eleqtrrd ercpbl ringcl imasring divsfval eqcomd eqeq1d anbi2d
      mpbird ) AFUEUFZGCUGZFUHUIZUJZUKWAGUBHUBULCUGUMZUIZWCUJZUKAHCUNBDEFGWEHIJ
      KLAUBCDFWEHUOUEMNWEUPZAHCUQHUOUFCUOUFRAHDURUIZUONDURUSUTZHCUOVAVBZUAVCNOP
      QAUBCDFWEHUOUEMNWHWKUAVDAUBKULZLULZJULZIULZBCWEHUOUCUDRWJWHAUCULZHUFZUDUL
      ZHUFZUKZUKZWPWRBVEZWIHXADUEUFZWPWIUFZWRWIUFZXBWIUFAXCWTUAVFZXAWPHWIAWQWSV
      GAHWIUJWTNVFZVHZXAWRHWIAWQWSVKXGVHZWIBDWPWRWIUPZOVIVJXGVLSVMAUBWLWMWNWOEC
      WEHUOUCUDRWJWHXAWPWREVEZWIHXAXCXDXEXKWIUFXFXHXIWIDEWPWRXJPVNVJXGVLTVMUAVO
      AWDWGWAAWBWFWCAWFWBAUBGCWEHUORWJWHVPVQVRVSVT $.
  $}

  ${
    $d A k $.  $d B k $.  $d N k $.  $d R k $.  $d S k $.  $d .x. k $.
    $d .X. k $.  $d .^ k $.  $d .+ k $.
    crngbinom.s $e |- S = ( Base ` R ) $.
    crngbinom.m $e |- .X. = ( .r ` R ) $.
    crngbinom.t $e |- .x. = ( .g ` R ) $.
    crngbinom.a $e |- .+ = ( +g ` R ) $.
    crngbinom.g $e |- G = ( mulGrp ` R ) $.
    crngbinom.e $e |- .^ = ( .g ` G ) $.
    $( The binomial theorem for commutative rings (special case of
       ~ csrgbinom ): ` ( A + B ) ^ N ` is the sum from ` k = 0 ` to ` N ` of
       ` ( N _C k ) x. ( ( A ^ k ) x. ( B ^ ( N - k ) ) ` .  (Contributed by
       AV, 24-Aug-2019.) $)
    crngbinom $p |- ( ( ( R e. CRing /\ N e. NN0 ) /\ ( A e. S /\ B e. S ) )
                      -> ( N .^ ( A .+ B ) ) = ( R gsum ( k e. ( 0 ... N )
          |-> ( ( N _C k ) .x. ( ( ( N - k ) .^ A ) .X. ( k .^ B ) ) ) ) ) ) $=
      ( wcel wa co ccrg cn0 csrg ccmn w3a cc0 cfz cv cbc cmin cmpt crg crngring
      cgsu wceq ringsrg syl adantr crngmgp simpr 3jca csrgbinom sylan ) DUARZKU
      BRZSZDUCRZJUDRZVEUEAERBERSKABCTITDHUFKUGTKHUHZUITKVIUJTAITVIBITGTFTUKUNTU
      OVFVGVHVEVDVGVEVDDULRVGDUMDUPUQURVDVHVEDJPUSURVDVEUTVAABCDEFGHIJKLMNOPQVB
      VC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Opposite ring
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c oppR $. $( Opposite ring $)

  $( The opposite ring operation. $)
  coppr $a class oppR $.

  $( Define an opposite ring, which is the same as the original ring but with
     multiplication written the other way around.  (Contributed by Mario
     Carneiro, 1-Dec-2014.) $)
  df-oppr $a |- oppR = ( f e. _V |-> ( f sSet
    <. ( .r ` ndx ) , tpos ( .r ` f ) >. ) ) $.

  ${
    $d x R $.  $d x B $.  $d x .x. $.  $d x X $.  $d x Y $.
    opprval.1 $e |- B = ( Base ` R ) $.
    opprval.2 $e |- .x. = ( .r ` R ) $.
    opprval.3 $e |- O = ( oppR ` R ) $.
    $( Value of the opposite ring.  (Contributed by Mario Carneiro,
       1-Dec-2014.) $)
    opprval $p |- O = ( R sSet <. ( .r ` ndx ) , tpos .x. >. ) $=
      ( vx coppr cfv cnx cmulr ctpos cop csts co cvv wcel wceq cv fveq2 eqtr4di
      id tposeqd opeq2d oveq12d df-oppr ovex fvmpt wn c0 fvprc reldmsets ovprc1
      eqtr4d pm2.61i eqtri ) DBIJZBKLJZCMZNZOPZGBQRZURVBSHBHTZUSVDLJZMZNZOPVBQI
      VDBSZVDBVGVAOVHUCVHVFUTUSVHVECVHVEBLJCVDBLUAFUBUDUEUFHUGBVAOUHUIVCUJURUKV
      BBIULBVAOUMUNUOUPUQ $.

    opprmulfval.4 $e |- .xb = ( .r ` O ) $.
    $( Value of the multiplication operation of an opposite ring.  (Contributed
       by Mario Carneiro, 1-Dec-2014.) $)
    opprmulfval $p |- .xb = tpos .x. $=
      ( cmulr cfv ctpos cvv wcel wceq mulrid c0 coppr fvprc eqtrid cnx cop csts
      co opprval fveq2i fvexi tposex setsid mpan2 eqtr4id wn str0 eqtr2i fveq2d
      tpos0 tposeqd 3eqtr4a pm2.61i eqtri ) CEJKZDLZIBMNZVAVBOVCVABUAJKZVBUBUCU
      DZJKZVBEVEJABDEFGHUEUFVCVBMNVBVFODDBJGUGUHMVBJMBPUIUJUKVCULZQJKZQLZVAVBVI
      QVHUPJVDPUMUNVGEQJVGEBRKQHBRSTUOVGDQVGDBJKQGBJSTUQURUSUT $.

    $( Value of the multiplication operation of an opposite ring.  Hypotheses
       eliminated by a suggestion of Stefan O'Rear, 30-Aug-2015.  (Contributed
       by Mario Carneiro, 1-Dec-2014.)  (Revised by Mario Carneiro,
       30-Aug-2015.) $)
    opprmul $p |- ( X .xb Y ) = ( Y .x. X ) $=
      ( co ctpos opprmulfval oveqi ovtpos eqtri ) FGCLFGDMZLGFDLCRFGABCDEHIJKNO
      FGDPQ $.

    $( In a commutative ring, the opposite ring is equivalent to the original
       ring (for theorems like ~ unitpropd ).  (Contributed by Mario Carneiro,
       14-Jun-2015.) $)
    crngoppr $p |- ( ( R e. CRing /\ X e. B /\ Y e. B ) ->
        ( X .x. Y ) = ( X .xb Y ) ) $=
      ( ccrg wcel w3a co crngcom opprmul eqtr4di ) BLMFAMGAMNFGDOGFDOFGCOABDFGH
      IPABCDEFGHIJKQR $.
  $}

  ${
    $d x y z R $.  $d x y z O $.
    opprbas.1 $e |- O = ( oppR ` R ) $.
    ${
      opprlem.2 $e |- E = Slot ( E ` ndx ) $.
      opprlem.3 $e |- ( E ` ndx ) =/= ( .r ` ndx ) $.
      $( Lemma for ~ opprbas and ~ oppradd .  (Contributed by Mario Carneiro,
         1-Dec-2014.)  (Revised by AV, 6-Nov-2024.) $)
      opprlem $p |- ( E ` R ) = ( E ` O ) $=
        ( cfv cnx cmulr ctpos cop csts setsnid cbs eqid opprval fveq2i eqtr4i
        co ) ABGAHIGZAIGZJZKLSZBGCBGUBTBAEFMCUCBANGZAUACUDOUAODPQR $.
    $}

    ${
      opprlemOLD.2 $e |- E = Slot N $.
      opprlemOLD.3 $e |- N e. NN $.
      opprlemOLD.4 $e |- N < 3 $.
      $( Obsolete version of ~ opprlem as of 6-Nov-2024.  Lemma for ~ opprbas
         and ~ oppradd .  (Contributed by Mario Carneiro, 1-Dec-2014.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      opprlemOLD $p |- ( E ` R ) = ( E ` O ) $=
        ( cfv cnx cmulr ctpos cop csts co ndxid wne c3 nnrei eqid ltneii ndxarg
        mulrndx neeq12i mpbir setsnid cbs opprval fveq2i eqtr4i ) ABIAJKIZAKIZL
        ZMNOZBIDBIUMUKBABCFGPJBIZUKQCRQCRCGSHUAUOCUKRBCFGUBUCUDUEUFDUNBAUGIZAUL
        DUPTULTEUHUIUJ $.
    $}

    ${
      opprbas.2 $e |- B = ( Base ` R ) $.
      $( Base set of an opposite ring.  (Contributed by Mario Carneiro,
         1-Dec-2014.)  (Proof shortened by AV, 6-Nov-2024.) $)
      opprbas $p |- B = ( Base ` O ) $=
        ( cbs cfv baseid basendxnmulrndx opprlem eqtri ) ABFGCFGEBFCDHIJK $.

      $( Obsolete proof of ~ opprbas as of 6-Nov-2024.  Base set of an opposite
         ring.  (Contributed by Mario Carneiro, 1-Dec-2014.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      opprbasOLD $p |- B = ( Base ` O ) $=
        ( cbs cfv c1 df-base 1nn 1lt3 opprlemOLD eqtri ) ABFGCFGEBFHCDIJKLM $.
    $}

    ${
      oppradd.2 $e |- .+ = ( +g ` R ) $.
      $( Addition operation of an opposite ring.  (Contributed by Mario
         Carneiro, 1-Dec-2014.)  (Proof shortened by AV, 6-Nov-2024.) $)
      oppradd $p |- .+ = ( +g ` O ) $=
        ( cplusg cfv plusgid plusgndxnmulrndx opprlem eqtri ) ABFGCFGEBFCDHIJK
        $.

      $( Obsolete proof of ~ opprbas as of 6-Nov-2024.  Addition operation of
         an opposite ring.  (Contributed by Mario Carneiro, 1-Dec-2014.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      oppraddOLD $p |- .+ = ( +g ` O ) $=
        ( cplusg cfv c2 df-plusg 2nn 2lt3 opprlemOLD eqtri ) ABFGCFGEBFHCDIJKLM
        $.
    $}

    $( An opposite ring is a ring.  (Contributed by Mario Carneiro,
       1-Dec-2014.)  (Revised by Mario Carneiro, 30-Aug-2015.) $)
    opprring $p |- ( R e. Ring -> O e. Ring ) $=
      ( vx vy vz wcel cbs cfv cplusg cmulr wceq eqid a1i cv co opprmul syl13anc
      cgrp 3eqtr4g crg cur opprbas oppradd eqidd ringgrp grpprop sylib eqeltrid
      w3a ringcl 3com23 simpl simpr3 simpr2 simpr1 ringass eqcomd oveq1i oveq2i
      wa eqtri ringdir oveq12i ringdi ringidcl ringridm eqtrid ringlidm isringd
      ) AUAGZDEFAHIZAJIZBBKIZAUBIZVLBHILVKVLABCVLMZUCZNVMBJILVKVMABCVMMZUDZNVKV
      NUEVKASGBSGAUFABVQVSUGUHVKDOZVLGZEOZVLGZUJVTWBVNPZWBVTAKIZPZVLVLAVNWEBVTW
      BVPWEMZCVNMZQZVKWCWAWFVLGVLAWEWBVTVPWGUKULUIVKWAWCFOZVLGZUJZVAZWJWFWEPZWJ
      WBWEPZVTWEPZWDWJVNPZVTWBWJVNPZVNPZWMWPWNWMVKWKWCWAWPWNLVKWLUMZVKWAWCWKUNZ
      VKWAWCWKUOZVKWAWCWKUPZVLAWEWJWBVTVPWGUQRURWQWFWJVNPWNWDWFWJVNWIUSVLAVNWEB
      WFWJVPWGCWHQVBWSVTWOVNPWPWRWOVTVNVLAVNWEBWBWJVPWGCWHQZUTVLAVNWEBVTWOVPWGC
      WHQVBTWMWBWJVMPZVTWEPZWFWJVTWEPZVMPZVTXEVNPWDVTWJVNPZVMPWMVKWCWKWAXFXHLWT
      XBXAXCVLVMAWEWBWJVTVPVRWGVCRVLAVNWEBVTXEVPWGCWHQWDWFXIXGVMWIVLAVNWEBVTWJV
      PWGCWHQZVDTWMWJVTWBVMPZWEPZXGWOVMPZXKWJVNPXIWRVMPWMVKWKWAWCXLXMLWTXAXCXBV
      LVMAWEWJVTWBVPVRWGVERVLAVNWEBXKWJVPWGCWHQXIXGWRWOVMXJXDVDTVLAVOVPVOMZVFVK
      WAVAZVOVTVNPVTVOWEPVTVLAVNWEBVOVTVPWGCWHQVLAWEVOVTVPWGXNVGVHXOVTVOVNPVOVT
      WEPVTVLAVNWEBVTVOVPWGCWHQVLAWEVOVTVPWGXNVIVHVJ $.

    $( Bidirectional form of ~ opprring .  (Contributed by Mario Carneiro,
       6-Dec-2014.) $)
    opprringb $p |- ( R e. Ring <-> O e. Ring ) $=
      ( vx vy crg wcel opprring cfv eqid wtru cbs wceq opprbas a1i cv cplusg co
      wa cmulr coppr eqidd oppradd oveqi opprmul eqtr2i ringpropd sylibr impbii
      wb mptru ) AFGZBFGZABCHUMBUAIZFGZULBUNUNJZHULUOUJKDEALIZAUNKUQUBUQUNLIMKU
      QBUNUPUQABCUQJZNZNODPZEPZAQIZRUTVAUNQIZRMKUTUQGVAUQGSSZVBVCUTVAVBBUNUPVBA
      BCVBJUCUCUDOUTVAATIZRZUTVAUNTIZRZMVDVHVAUTBTIZRVFUQBVGVIUNUTVAUSVIJZUPVGJ
      UEUQAVIVEBVAUTURVEJCVJUEUFOUGUKUHUI $.

    ${
      oppr0.2 $e |- .0. = ( 0g ` R ) $.
      $( Additive identity of an opposite ring.  (Contributed by Mario
         Carneiro, 1-Dec-2014.) $)
      oppr0 $p |- .0. = ( 0g ` O ) $=
        ( vy vx cv cbs cfv wcel cplusg co wceq wa wral cio c0g eqid grpidval
        opprbas oppradd eqtr4i ) CFHZAIJZKUDGHZALJZMUFNUFUDUGMUFNOGUEPOFQBRJZGU
        EUGFACUESZUGSZETGUEUGFBUHUEABDUIUAUGABDUJUBUHSTUC $.
    $}

    ${
      oppr1.2 $e |- .1. = ( 1r ` R ) $.
      $( Multiplicative identity of an opposite ring.  (Contributed by Mario
         Carneiro, 1-Dec-2014.) $)
      oppr1 $p |- .1. = ( 1r ` O ) $=
        ( vx vy cmgp cfv c0g cv cmulr co wceq wa wral cio eqid opprmul eqeq1i
        cur cbs anbi12ci ralbii anbi2i iotabii opprbas mgpbas mgpplusg grpidval
        wcel 3eqtr4i ringidval 3eqtr4ri ) CHIZJIZAHIZJIZCUAIZBFKZAUBIZUKZUTGKZC
        LIZMZVCNZVCUTVDMZVCNZOZGVAPZOZFQVBUTVCALIZMZVCNZVCUTVLMZVCNZOZGVAPZOZFQ
        UPURVKVSFVJVRVBVIVQGVAVFVPVHVNVEVOVCVAAVDVLCUTVCVARZVLRZDVDRZSTVGVMVCVA
        AVDVLCVCUTVTWADWBSTUCUDUEUFGVAVDFUOUPVACUOUORZVAACDVTUGUHCVDUOWCWBUIUPR
        UJGVAVLFUQURVAAUQUQRZVTUHAVLUQWDWAUIURRUJULCUSUOWCUSRUMABUQWDEUMUN $.
    $}

    ${
      opprneg.2 $e |- N = ( invg ` R ) $.
      $( The negative function in an opposite ring.  (Contributed by Mario
         Carneiro, 5-Dec-2014.)  (Revised by Mario Carneiro, 2-Oct-2015.) $)
      opprneg $p |- N = ( invg ` O ) $=
        ( vx vy cbs cfv cv cplusg co c0g wceq crio cmpt cminusg eqid grpinvfval
        opprbas oppradd oppr0 eqtr4i ) BFAHIZGJFJAKIZLAMIZNGUDOPCQIZFGUDUEABUFU
        DRZUERZUFRZESFGUDUECUGUFUDACDUHTUEACDUIUAACUFDUJUBUGRSUC $.
    $}

    $( Being a subgroup is a symmetric property.  (Contributed by Mario
       Carneiro, 6-Dec-2014.) $)
    opprsubg $p |- ( SubGrp ` R ) = ( SubGrp ` O ) $=
      ( vx csubg cfv cgrp wcel cbs cress co w3a eqid cplusg grpprop cvv ressbas
      wceq elv ressplusg cv opprbas oppradd biid eqtr3i eqtr3d 3anbi123i issubg
      wss cin 3bitr4i eqriv ) DAEFZBEFZAGHZDUAZAIFZUIZAUPJKZGHZLBGHZURBUPJKZGHZ
      LUPUMHUPUNHUOVAURURUTVCABUQABCUQMZUBZANFZABCVFMZUCZOURUDUSVBUPUQUJZUSIFZV
      BIFZVIVJRDUPUQUSPAUSMZVDQSVIVKRDUPUQVBPBVBMZVEQSUEUSNFZVBNFZRDUPPHVFVNVOU
      PVFAUSPVLVGTUPVFBVBPVMVHTUFSOUGUQUPAVDUHUQUPBVEUHUKUL $.
  $}

  ${
    $d x y B $.  $d x y N $.  $d x y R $.  $d x y X $.  $d x y Y $.
    mulgass3.b $e |- B = ( Base ` R ) $.
    mulgass3.m $e |- .x. = ( .g ` R ) $.
    mulgass3.t $e |- .X. = ( .r ` R ) $.
    $( An associative property between group multiple and ring multiplication.
       (Contributed by Mario Carneiro, 14-Jun-2015.) $)
    mulgass3 $p |- ( ( R e. Ring /\ ( N e. ZZ /\ X e. B /\ Y e. B ) ) ->
        ( X .X. ( N .x. Y ) ) = ( N .x. ( X .X. Y ) ) ) $=
      ( vx vy wcel wa cfv co wceq eqid cvv a1i crg w3a coppr cmg cmulr opprring
      adantr simpr1 simpr3 simpr2 opprbas mulgass2 syl13anc opprmul 3eqtr3g cbs
      cz oveq2i wss ssv cv cplusg ovexd oppradd oveqi mulgpropd oveq2d 3eqtr4d
      oveqd ) BUAMZEUQMZFAMZGAMZUBZNZFEGBUCOZUDOZPZDPZEFGDPZVQPZFEGCPZDPEVTCPVO
      VRFVPUEOZPZEGFWCPZVQPZVSWAVOVPUAMZVKVMVLWDWFQVJWGVNBVPVPRZUFUGVJVKVLVMUHV
      JVKVLVMUIVJVKVLVMUJAVPVQWCEGFABVPWHHUKZVQRZWCRZULUMABWCDVPVRFHJWHWKUNWEVT
      EVQABWCDVPGFHJWHWKUNURUOVOWBVRFDVOCVQEGVOKLACVQBVPSIWJABUPOQVOHTAVPUPOQVO
      WITASUSVOAUTTVOKVAZSMLVAZSMNNZWLWMBVBOZVCWLWMWOPWLWMVPVBOZPQWNWOWPWLWMWOB
      VPWHWORVDVETVFZVIVGVOCVQEVTWQVIVH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Divisibility
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c ||r $. $( Ring divisibility relation $)
  $c Unit $. $( Ring unit $)
  $c Irred $. $( Ring irreducibles $)

  $( Ring divisibility relation. $)
  cdsr $a class ||r $.

  $( Ring unit. $)
  cui $a class Unit $.

  $( Ring irreducibles. $)
  cir $a class Irred $.

  ${
    $d b w x y z $.
    $( Define the (right) divisibility relation in a ring.  Access to the left
       divisibility relation is available through
       ` ( ||r `` ( oppR `` R ) ) ` .  (Contributed by Mario Carneiro,
       1-Dec-2014.) $)
    df-dvdsr $a |- ||r = ( w e. _V |-> { <. x , y >. | ( x e. ( Base ` w ) /\
      E. z e. ( Base ` w ) ( z ( .r ` w ) x ) = y ) } ) $.

    $( Define the set of units in a ring, that is, all elements with a left and
       right multiplicative inverse.  (Contributed by Mario Carneiro,
       1-Dec-2014.) $)
    df-unit $a |- Unit = ( w e. _V |->
      ( `' ( ( ||r ` w ) i^i ( ||r ` ( oppR ` w ) ) ) " { ( 1r ` w ) } ) ) $.

    $( Define the set of irreducible elements in a ring.  (Contributed by Mario
       Carneiro, 4-Dec-2014.) $)
    df-irred $a |- Irred = ( w e. _V |->
      [_ ( ( Base ` w ) \ ( Unit ` w ) ) / b ]_
        { z e. b | A. x e. b A. y e. b ( x ( .r ` w ) y ) =/= z } ) $.
  $}

  ${
    $d w x y z R $.
    reldvdsr.1 $e |- .|| = ( ||r ` R ) $.
    $( The divides relation is a relation.  (Contributed by Mario Carneiro,
       1-Dec-2014.) $)
    reldvdsr $p |- Rel .|| $=
      ( vx vw vz vy wrel cdsr cfv cv cbs wcel cmulr co wceq wrex cvv df-dvdsr
      wa relmptopab releqi mpbir ) AHBIJZHDKZEKZLJZMFKUEUFNJOGKPFUGQTEDGRBIDGFE
      SUAAUDCUBUC $.
  $}

  ${
    $d x y .|| $.  $d r x y z B $.  $d x y z X $.  $d x y z Y $.  $d x y Z $.
    $d r x y z R $.  $d r x y z .x. $.
    dvdsr.1 $e |- B = ( Base ` R ) $.
    dvdsr.2 $e |- .|| = ( ||r ` R ) $.
    ${
      dvdsr.3 $e |- .x. = ( .r ` R ) $.
      $( Value of the divides relation.  (Contributed by Mario Carneiro,
         1-Dec-2014.)  (Revised by Mario Carneiro, 6-Jan-2015.) $)
      dvdsrval $p |- .|| = { <. x , y >. |
        ( x e. B /\ E. z e. B ( z .x. x ) = y ) } $=
        ( vr cvv wcel cv wceq wrex wa cfv cbs c0 copab cdsr cmulr fveq2 eqtr4di
        co eleq2d rexeqdv anbi12d oveqd eqeq1d rexbidv anbi2d opabbidv df-dvdsr
        bitrd fvexi cab eqcom rexbii abbii abrexex eqeltri opabex3 fvmpt eqtrid
        a1i wn fvprc wne wex opabn0 nsyl2 adantr exlimivv sylbi necon1bi eqtr4d
        n0i pm2.61i ) FLMZEANZDMZCNZWBGUFZBNZOZCDPZQZABUAZOWAEFUBRZWJIKFWBKNZSR
        ZMZWDWBWLUCRZUFZWFOZCWMPZQZABUAWJLUBWLFOZWSWIABWTWSWCWQCDPZQWIWTWNWCWRX
        AWTWMDWBWTWMFSRZDWLFSUDHUEZUGWTWQCWMDXCUHUIWTXAWHWCWTWQWGCDWTWPWEWFWTWO
        GWDWBWTWOFUCRGWLFUCUDJUEUJUKULUMUPUNABCKUOWHABDDFSHUQZWHBURZLMWCXEWFWEO
        ZCDPZBURLWHXGBWGXFCDWEWFUSUTVACBDWEXDVBVCVGVDVEVFWAVHZETWJXHEWKTIFUBVIV
        FWAWJTWJTVJWIBVKAVKWAWIABVLWIWAABWCWAWHWCDTOWADWBVSXHDXBTHFSVIVFVMVNVOV
        PVQVRVT $.

      $( Value of the divides relation.  (Contributed by Mario Carneiro,
         1-Dec-2014.) $)
      dvdsr $p |- ( X .|| Y <-> ( X e. B /\ E. z e. B ( z .x. X ) = Y ) ) $=
        ( vx vy wbr cvv wcel wa cv co wceq wrex reldvdsr elex id ovex eqeltrrdi
        brrelex12i rexlimivw anim12i simpl eleq1d simpr eqeq12d rexbidv anbi12d
        oveq2d dvdsrval brabga pm5.21nii ) FGCMFNOZGNOZPFBOZAQZFERZGSZABTZPZFGC
        CDIUAUFVAUSVEUTFBUBVDUTABVDGVCNVDUCVBFEUDUEUGUHKQZBOZVBVGERZLQZSZABTZPV
        FKLFGCNNVGFSZVJGSZPZVHVAVLVEVOVGFBVMVNUIZUJVOVKVDABVOVIVCVJGVOVGFVBEVPU
        OVMVNUKULUMUNKLABCDEHIJUPUQUR $.

      $( Value of the divides relation.  (Contributed by Mario Carneiro,
         1-Dec-2014.) $)
      dvdsr2 $p |- ( X e. B -> ( X .|| Y <-> E. z e. B ( z .x. X ) = Y ) ) $=
        ( wbr wcel cv co wceq wrex dvdsr baib ) FGCKFBLAMFENGOABPABCDEFGHIJQR
        $.

      $( A left-multiple of ` X ` is divisible by ` X ` .  (Contributed by
         Mario Carneiro, 1-Dec-2014.) $)
      dvdsrmul $p |- ( ( X e. B /\ Y e. B ) -> X .|| ( Y .x. X ) ) $=
        ( vz wcel wa cv co wceq wrex wbr simpl simpr eqid eqeq1d rspcev sylancl
        oveq1 dvdsr sylanbrc ) EAKZFAKZLZUGJMZEDNZFEDNZOZJAPZEULBQUGUHRUIUHULUL
        OZUNUGUHSULTUMUOJFAUJFOUKULULUJFEDUDUAUBUCJABCDEULGHIUEUF $.
    $}

    $( Closure of a dividing element.  (Contributed by Mario Carneiro,
       5-Dec-2014.) $)
    dvdsrcl $p |- ( X .|| Y -> X e. B ) $=
      ( vx wbr wcel cv cmulr cfv co wceq wrex eqid dvdsr simplbi ) DEBIDAJHKDCL
      MZNEOHAPHABCTDEFGTQRS $.

    $( Closure of a dividing element.  (Contributed by Mario Carneiro,
       5-Dec-2014.) $)
    dvdsrcl2 $p |- ( ( R e. Ring /\ X .|| Y ) -> Y e. B ) $=
      ( vx wbr crg wcel cv cmulr cfv co wceq wrex wa eqid dvdsr 3expa syl5ibcom
      ringcl an32s eleq1 rexlimdva impr sylan2b ) DEBICJKZDAKZHLZDCMNZOZEPZHAQZ
      REAKZHABCULDEFGULSZTUIUJUOUPUIUJRZUNUPHAURUKAKZRUMAKZUNUPUIUSUJUTUIUSUJUT
      ACULUKDFUQUCUAUDUMEAUEUBUFUGUH $.

    $( An element in a (unital) ring divides itself.  (Contributed by Mario
       Carneiro, 1-Dec-2014.)  (Revised by Mario Carneiro, 30-Apr-2015.) $)
    dvdsrid $p |- ( ( R e. Ring /\ X e. B ) -> X .|| X ) $=
      ( crg wcel wa cur cfv cmulr co id eqid ringidcl dvdsrmul syl2anr ringlidm
      wbr breqtrd ) CGHZDAHZIDCJKZDCLKZMZDBUCUCUDAHDUFBTUBUCNACUDEUDOZPABCUEDUD
      EFUEOZQRACUEUDDEUHUGSUA $.

    $( Divisibility is transitive.  (Contributed by Mario Carneiro,
       1-Dec-2014.) $)
    dvdsrtr $p |- ( ( R e. Ring /\ Y .|| Z /\ Z .|| X ) -> Y .|| X ) $=
      ( vy vx crg wcel wbr wa cv cmulr co wceq wrex dvdsr cfv anbi12i an4 bitri
      eqid reeanv simplrl simpll simprr simprl syl3anc dvdsrmul syl2anc ringass
      ringcl syl13anc breqtrd oveq2 breq2d syl5ibcom rexlimdvva syl5bir expimpd
      id sylan9eq syl5bi 3impib ) CKLZEFBMZFDBMZEDBMZVIVJNZEALZFALZNZIOZECPUAZQ
      ZFRZIASZJOZFVQQZDRZJASZNZNZVHVKVLVMVTNZVNWDNZNWFVIWGVJWHIABCVQEFGHVQUEZTJ
      ABCVQFDGHWITUBVMVTVNWDUCUDVHVOWEVKWEVSWCNZJASIASVHVONZVKVSWCIJAAUFWKWJVKI
      JAAWKVPALZWAALZNZNZEWAVRVQQZBMWJVKWOEWAVPVQQZEVQQZWPBWOVMWQALZEWRBMVHVMVN
      WNUGZWOVHWMWLWSVHVOWNUHZWKWLWMUIZWKWLWMUJZACVQWAVPGWIUOUKABCVQEWQGHWIULUM
      WOVHWMWLVMWRWPRXAXBXCWTACVQWAVPEGWIUNUPUQWJWPDEBVSWCWPWBDVRFWAVQURWCVDVEU
      SUTVAVBVCVFVG $.

    ${
      dvdsrmul1.3 $e |- .x. = ( .r ` R ) $.
      $( The divisibility relation is preserved under right-multiplication.
         (Contributed by Mario Carneiro, 1-Dec-2014.) $)
      dvdsrmul1 $p |- ( ( R e. Ring /\ Z e. B /\ X .|| Y ) ->
        ( X .x. Z ) .|| ( Y .x. Z ) ) $=
        ( vx crg wcel wbr co cv wceq wrex wa dvdsr simplll simplr simpllr simpr
        ringcl syl3anc dvdsrmul sylancom ringass syl13anc breqtrrd oveq1 breq2d
        syl5ibcom rexlimdva expimpd syl5bi 3impia ) CLMZGAMZEFBNZEGDOZFGDOZBNZV
        AEAMZKPZEDOZFQZKARZSUSUTSZVDKABCDEFHIJTVJVEVIVDVJVESZVHVDKAVKVFAMZSZVBV
        GGDOZBNVHVDVMVBVFVBDOZVNBVKVLVBAMZVBVOBNVMUSVEUTVPUSUTVEVLUAZVJVEVLUBZU
        SUTVEVLUCZACDEGHJUEUFABCDVBVFHIJUGUHVMUSVLVEUTVNVOQVQVKVLUDVRVSACDVFEGH
        JUIUJUKVHVNVCVBBVGFGDULUMUNUOUPUQUR $.
    $}

    dvdsrneg.5 $e |- N = ( invg ` R ) $.
    $( An element divides its negative.  (Contributed by Mario Carneiro,
       1-Dec-2014.) $)
    dvdsrneg $p |- ( ( R e. Ring /\ X e. B ) -> X .|| ( N ` X ) ) $=
      ( crg wcel wa cur cfv cmulr co wbr id cgrp ringgrp eqid ringidcl grpinvcl
      syl2anc dvdsrmul syl2anr simpl simpr ringnegl breqtrd ) CIJZEAJZKZECLMZDM
      ZECNMZOZEDMBUKUKUNAJZEUPBPUJUKQUJCRJUMAJUQCSACUMFUMTZUAACDUMFHUBUCABCUOEU
      NFGUOTZUDUEULACUOUMDEFUSURHUJUKUFUJUKUGUHUI $.
  $}

  ${
    $d B x $.  $d R x $.  $d X x $.  $d .0. x $.
    dvdsr0.b $e |- B = ( Base ` R ) $.
    dvdsr0.d $e |- .|| = ( ||r ` R ) $.
    dvdsr0.z $e |- .0. = ( 0g ` R ) $.
    $( In a ring, zero is divisible by all elements.  ("Zero divisor" as a term
       has a somewhat different meaning, see ~ df-rlreg .)  (Contributed by
       Stefan O'Rear, 29-Mar-2015.) $)
    dvdsr01 $p |- ( ( R e. Ring /\ X e. B ) -> X .|| .0. ) $=
      ( vx crg wcel wa wbr cv cmulr cfv co wceq wrex ring0cl eqid ringlz eqeq1d
      oveq1 rspcev syl2an2r wb dvdsr2 adantl mpbird ) CJKZDAKZLDEBMZINZDCOPZQZE
      RZIASZUKEAKULEDUOQZERZURACEFHTACUODEFUOUAZHUBUQUTIEAUNERUPUSEUNEDUOUDUCUE
      UFULUMURUGUKIABCUODEFGVAUHUIUJ $.

    $( Only zero is divisible by zero.  (Contributed by Stefan O'Rear,
       29-Mar-2015.) $)
    dvdsr02 $p |- ( ( R e. Ring /\ X e. B ) -> ( .0. .|| X <-> X = .0. ) ) $=
      ( vx crg wcel wa wbr cv cmulr cfv wceq wrex wb adantr ring0cl eqid dvdsr2
      co syl ringrz eqeq1d eqcom bitrdi rexbidva c0 wne ringgrp grpbn0 r19.9rzv
      cgrp 3syl bitr4d bitrd ) CJKZDAKZLZEDBMZINZECOPZUDZDQZIARZDEQZVBEAKZVCVHS
      UTVJVAACEFHUATIABCVEEDFGVEUBZUCUEUTVHVISVAUTVHVIIARZVIUTVGVIIAUTVDAKLZVGE
      DQVIVMVFEDACVEVDEFVKHUFUGEDUHUIUJUTCUPKAUKULVIVLSCUMACFUNVIIAUOUQURTUS $.
  $}

  ${
    $d r .|| $.  $d r E $.  $d r .1. $.  $d r R $.
    unit.1 $e |- U = ( Unit ` R ) $.
    unit.2 $e |- .1. = ( 1r ` R ) $.
    ${
      unit.3 $e |- .|| = ( ||r ` R ) $.
      unit.4 $e |- S = ( oppR ` R ) $.
      unit.5 $e |- E = ( ||r ` S ) $.
      $( Property of being a unit of a ring.  A unit is an element that left-
         and right-divides one.  (Contributed by Mario Carneiro, 1-Dec-2014.)
         (Revised by Mario Carneiro, 8-Dec-2015.) $)
      isunit $p |- ( X e. U <-> ( X .|| .1. /\ X E .1. ) ) $=
        ( vr wcel wbr cui cfv cdsr coppr eqtr4di cvv wa cdm elfvdm eleq2s elexd
        cop df-br sylbi adantr cin ccnv csn cima cur wceq fveq2d ineq12d cnveqd
        fveq2 sneqd imaeq12d df-unit fvexi inex1 cnvex imaex eqtrid eleq2d wrel
        cv fvmpt wss inss1 reldvdsr relss mp2 eliniseg2 ax-mp brin bitri bitrdi
        wb pm5.21nii ) GDNZBUANZGEAOZGEFOZUBZWEBPUCZBWJNGBPQZDGBPUDHUEUFWGWFWHW
        GGEUGZANZWFGEAUHWMBRUCZBWNNWLBRQZAWLBRUDJUEUFUIUJWFWEGAFUKZULZEUMZUNZNZ
        WIWFDWSGWFDWKWSHMBMVKZRQZXASQZRQZUKZULZXAUOQZUMZUNWSUAPXABUPZXFWQXHWRXI
        XEWPXIXBAXDFXIXBWOAXABRUTJTXIXDCRQFXIXCCRXIXCBSQCXABSUTKTUQLTURUSXIXGEX
        IXGBUOQEXABUOUTITVAVBMVCWQWRWPAFABRJVDVEVFVGVLVHVIWTGEWPOZWIWPVJZWTXJWC
        WPAVMAVJXKAFVNABJVOWPAVPVQWPEGVRVSGEAFVTWAWBWD $.
    $}

    $( The multiplicative identity is a unit.  (Contributed by Mario Carneiro,
       1-Dec-2014.) $)
    1unit $p |- ( R e. Ring -> .1. e. U ) $=
      ( crg wcel cdsr cfv wbr coppr cbs ringidcl dvdsrid mpdan opprring opprbas
      eqid syl2anc isunit sylanbrc ) AFGZCCAHIZJZCCAKIZHIZJZCBGUBCALIZGZUDUHACU
      HRZEMZUHUCACUJUCRZNOUBUEFGUIUGAUEUERZPUKUHUFUECUHAUEUMUJQUFRZNSUCAUEBCUFC
      DEULUMUNTUA $.
  $}

  ${
    $d x B $.  $d x R $.  $d x U $.  $d x X $.
    unitcl.1 $e |- B = ( Base ` R ) $.
    unitcl.2 $e |- U = ( Unit ` R ) $.
    $( A unit is an element of the base set.  (Contributed by Mario Carneiro,
       1-Dec-2014.) $)
    unitcl $p |- ( X e. U -> X e. B ) $=
      ( wcel cur cfv cdsr wbr coppr eqid isunit simplbi dvdsrcl syl ) DCGZDBHIZ
      BJIZKZDAGRUADSBLIZJIZKTBUBCSUCDFSMTMZUBMUCMNOATBDSEUDPQ $.

    $( The set of units is contained in the base set.  (Contributed by Mario
       Carneiro, 5-Oct-2015.) $)
    unitss $p |- U C_ B $=
      ( vx cv unitcl ssriv ) FCAABCFGDEHI $.
  $}

  ${
    $d y R $.  $d x y S $.  $d x U $.
    opprunit.1 $e |- U = ( Unit ` R ) $.
    opprunit.2 $e |- S = ( oppR ` R ) $.
    $( Being a unit is a symmetric property, so it transfers to the opposite
       ring.  (Contributed by Mario Carneiro, 4-Dec-2014.) $)
    opprunit $p |- U = ( Unit ` S ) $=
      ( vx vy cfv cv cdsr wbr wa wcel cmulr co wceq wrex eqid opprbas opprmul
      cui cur coppr cbs eqtr2i eqeq1i rexbii anbi2i dvdsr 3bitr4i anbi2ci oppr1
      isunit eqriv ) FCBUAHZFIZAUBHZAJHZKZUPUQBJHZKZLVAUPUQBUCHZJHZKZLUPCMUPUOM
      USVDVAUPAUDHZMZGIZUPANHZOZUQPZGVEQZLVFVGUPVBNHZOZUQPZGVEQZLUSVDVKVOVFVJVN
      GVEVIVMUQVMUPVGBNHZOVIVEBVLVPVBVGUPVEABEVERZSZVPRZVBRZVLRZTVEAVPVHBUPVGVQ
      VHRZEVSTUEUFUGUHGVEURAVHUPUQVQURRZWBUIGVEVCVBVLUPUQVEBVBVTVRSVCRZWAUIUJUK
      URABCUQUTUPDUQRZWCEUTRZUMUTBVBUOUQVCUPUORAUQBEWEULWFVTWDUMUJUN $.
  $}

  ${
    $d y .1. $.  $d y R $.  $d y X $.
    crngunit.1 $e |- U = ( Unit ` R ) $.
    crngunit.2 $e |- .1. = ( 1r ` R ) $.
    crngunit.3 $e |- .|| = ( ||r ` R ) $.
    $( Property of being a unit in a commutative ring.  (Contributed by Mario
       Carneiro, 18-Apr-2016.) $)
    crngunit $p |- ( R e. CRing -> ( X e. U <-> X .|| .1. ) ) $=
      ( vy wcel wbr cfv wa cmulr co wceq wrex eqid dvdsr 3bitr4g ccrg coppr cbs
      cdsr cv crngoppr 3expa eqcomd an32s eqeq1d rexbidva opprbas anbi2d isunit
      pm5.32da pm4.24 ) BUAJZEDAKZEDBUBLZUDLZKZMURURMECJURUQVAURURUQEBUCLZJZIUE
      ZEUSNLZOZDPZIVBQZMVCVDEBNLZOZDPZIVBQZMVAURUQVCVHVLUQVCMZVGVKIVBVMVDVBJZMV
      FVJDUQVNVCVFVJPUQVNMVCMVJVFUQVNVCVJVFPVBBVEVIUSVDEVBRZVIRZUSRZVERZUFUGUHU
      IUJUKUOIVBUTUSVEEDVBBUSVQVOULUTRZVRSIVBABVIEDVOHVPSTUMABUSCDUTEFGHVQVSUNU
      RUPT $.
  $}

  ${
    dvdsunit.1 $e |- U = ( Unit ` R ) $.
    dvdsunit.3 $e |- .|| = ( ||r ` R ) $.
    $( A divisor of a unit is a unit.  (Contributed by Mario Carneiro,
       18-Apr-2016.) $)
    dvdsunit $p |- ( ( R e. CRing /\ Y .|| X /\ X e. U ) -> Y e. U ) $=
      ( ccrg wcel wbr wa cur cfv crg wi crngring eqid wb crngunit adantr 3expia
      cbs dvdsrtr sylan 3imtr4d 3impia ) BHIZEDAJZDCIZECIZUGUHKDBLMZAJZEUKAJZUI
      UJUGBNIZUHULUMOBPUNUHULUMBUBMZABUKEDUOQGUCUAUDUGUIULRUHABCUKDFUKQZGSTUGUJ
      UMRUHABCUKEFUPGSTUEUF $.
  $}

  ${
    unitmulcl.1 $e |- U = ( Unit ` R ) $.
    ${
      unitmulcl.2 $e |- .x. = ( .r ` R ) $.
      $( The product of units is a unit.  (Contributed by Mario Carneiro,
         2-Dec-2014.) $)
      unitmulcl $p |- ( ( R e. Ring /\ X e. U /\ Y e. U ) ->
        ( X .x. Y ) e. U ) $=
        ( crg wcel co cfv cdsr wbr eqid unitcl syl wa isunit sylib syl3anc wceq
        w3a cur coppr simp1 cbs simp3 simpld dvdsrmul1 ringlidm syl2anc breqtrd
        simp2 dvdsrtr opprring opprmul simprd opprbas ringridm eqtrid eqbrtrrid
        cmulr sylanbrc ) AHIZDCIZECIZUBZDEBJZAUCKZALKZMZVHVIAUDKZLKZMZVHCIVGVDV
        HEVJMEVIVJMZVKVDVEVFUEZVGVHVIEBJZEVJVGVDEAUFKZIZDVIVJMZVHVQVJMVPVGVFVSV
        DVEVFUGZVRACEVRNZFOPZVGVTDVIVMMZVGVEVTWDQVDVEVFUMZVJAVLCVIVMDFVINZVJNZV
        LNZVMNZRSZUHVRVJABDVIEWBWGGUITVGVDVSVQEUAVPWCVRABVIEWBGWFUJUKULVGVOEVIV
        MMZVGVFVOWKQWAVJAVLCVIVMEFWFWGWHWIRSZUHVRVJAVIVHEWBWGUNTVGVLHIZVHDVMMWD
        VNVGVDWMVPAVLWHUOPZVGVHEDVLVBKZJZDVMVRAWOBVLEDWBGWHWONZUPVGWPVIDWOJZDVM
        VGWMDVRIZWKWPWRVMMWNVGVEWSWEVRACDWBFOPZVGVOWKWLUQVRVMVLWOEVIDVRAVLWHWBU
        RZWIWQUITVGWRDVIBJZDVRAWOBVLVIDWBGWHWQUPVGVDWSXBDUAVPWTVRABVIDWBGWFUSUK
        UTULVAVGVTWDWJUQVRVMVLVIVHDXAWIUNTVJAVLCVIVMVHFWFWGWHWIRVC $.

      unitmulclb.1 $e |- B = ( Base ` R ) $.
      $( Reversal of ~ unitmulcl in a commutative ring.  (Contributed by Mario
         Carneiro, 18-Apr-2016.) $)
      unitmulclb $p |- ( ( R e. CRing /\ X e. B /\ Y e. B ) ->
        ( ( X .x. Y ) e. U <-> ( X e. U /\ Y e. U ) ) ) $=
        ( ccrg wcel w3a co wa wbr wi dvdsrmul syl2anc dvdsunit 3expia cfv simp1
        cdsr simp2 simp3 eqid crngcom breqtrrd jcad crngring 3ad2ant1 unitmulcl
        crg 3expib syl impbid ) BJKZEAKZFAKZLZEFCMZDKZEDKZFDKZNZUTVBVCVDUTUQEVA
        BUCUAZOZVBVCPUQURUSUBZUTEFECMZVAVFUTURUSEVIVFOUQURUSUDZUQURUSUEZAVFBCEF
        IVFUFZHQRABCEFIHUGUHUQVGVBVCVFBDVAEGVLSTRUTUQFVAVFOZVBVDPVHUTUSURVMVKVJ
        AVFBCFEIVLHQRUQVMVBVDVFBDVAFGVLSTRUIUTBUMKZVEVBPUQURVNUSBUJUKVNVCVDVBBC
        DEFGHULUNUOUP $.
    $}

    $d x y z G $.  $d m x y z R $.  $d m x y z U $.
    unitgrp.2 $e |- G = ( ( mulGrp ` R ) |`s U ) $.
    $( The base set of the group of units.  (Contributed by Mario Carneiro,
       25-Dec-2014.) $)
    unitgrpbas $p |- U = ( Base ` G ) $=
      ( cbs cfv wss wceq eqid unitss cmgp mgpbas ressbas2 ax-mp ) BAFGZHBCFGIPA
      BPJZDKBPCALGZEPARRJQMNO $.

    $( The group of units is a group under multiplication.  (Contributed by
       Mario Carneiro, 2-Dec-2014.) $)
    unitgrp $p |- ( R e. Ring -> G e. Grp ) $=
      ( vx vy vz vm wcel cfv wceq eqid cv co unitcl wa wbr wrex syl2anc crg cur
      cmulr cbs unitgrpbas a1i cvv cplusg cui cmgp mgpplusg ressplusg unitmulcl
      fvexi mp1i w3a 3anim123i ringass sylan2 1unit ringlidm coppr simpr isunit
      cdsr wb adantl dvdsr2 syl opprbas anbi12d reeanv simprl ad2antrr dvdsrmul
      simplll syl13anc simprrl opprmul simprrr eqtr3id 3eqtr3d ringridm 3brtr3d
      sylib simplr oveq1d oveq2d eqtrid breqtrd sylanbrc jca rexlimdvaa expimpd
      reximdv2 syl5bir sylbid mpd isgrpde ) AUAJZFGHBAUCKZCAUBKZBCUDKLWTABCDEUE
      UFBUGJXACUHKLWTBAUIDUNBXAAUJKZCUGEAXAXCXCMXAMZUKULUOAXABFNZGNZDXDUMXEBJZX
      FBJZHNZBJZUPWTXEAUDKZJZXFXKJZXIXKJZUPXEXFXAOXIXAOXEXFXIXAOXAOLXGXLXHXMXJX
      NXKABXEXKMZDPZXKABXFXODPXKABXIXODPUQXKAXAXEXFXIXOXDURUSABXBDXBMZUTXGWTXLX
      BXEXAOXELXPXKAXAXBXEXOXDXQVAUSWTXGQZXEXBAVEKZRZXEXBAVBKZVEKZRZQZXFXEXAOZX
      BLZGBSZXRXGYDWTXGVCXSAYABXBYBXEDXQXSMZYAMZYBMZVDWEXRYDYFGXKSZINZXEYAUCKZO
      ZXBLZIXKSZQZYGXRXTYKYCYPXRXLXTYKVFXGXLWTXPVGZGXKXSAXAXEXBXOYHXDVHVIXRXLYC
      YPVFYRIXKYBYAYMXEXBXKAYAYIXOVJZYJYMMZVHVIVKYQYFYOQZIXKSZGXKSXRYGYFYOGIXKX
      KVLXRUUBYFGXKBXRXMUUBXHYFQZXRXMQZUUAUUCIXKUUDYLXKJZUUAQZQZXHYFUUGXFXBXSRX
      FXBYBRXHUUGYLXEYLXAOZXFXBXSUUGUUEXLYLUUHXSRUUDUUEUUAVMZXRXLXMUUFYRVNZXKXS
      AXAYLXEXOYHXDVOTUUGXBYLXAOZXFXBXAOZYLXFUUGYEYLXAOZXFUUHXAOZUUKUULUUGWTXMX
      LUUEUUMUUNLWTXGXMUUFVPZXRXMUUFWFZUUJUUIXKAXAXFXEYLXOXDURVQUUGYEXBYLXAUUDU
      UEYFYOVRZWGUUGUUHXBXFXAUUGUUHYNXBXKAYMXAYAYLXEXOXDYIYTVSUUDUUEYFYOVTWAZWH
      WBUUGWTUUEUUKYLLUUOUUIXKAXAXBYLXOXDXQVATUUGWTXMUULXFLUUOUUPXKAXAXBXFXOXDX
      QWCTWBUURWDUUGXFXEXFYMOZXBYBUUGXMXLXFUUSYBRUUPUUJXKYBYAYMXFXEYSYJYTVOTUUG
      UUSYEXBXKAYMXAYAXEXFXOXDYIYTVSUUQWIWJXSAYABXBYBXFDXQYHYIYJVDWKUUQWLWMWNWO
      WPWQWRWS $.

    $( The group of units of a commutative ring is abelian.  (Contributed by
       Mario Carneiro, 19-Apr-2016.) $)
    unitabl $p |- ( R e. CRing -> G e. Abel ) $=
      ( ccrg wcel cgrp ccmn cabl crg crngring unitgrp syl cmgp cfv cmnd crngmgp
      eqid grpmndd subcmn syl2anc isabl sylanbrc ) AFGZCHGZCIGZCJGUEAKGUFALABCD
      EMNZUEAOPZIGCQGUGAUIUISRUECUHTBUICEUAUBCUCUD $.

    unitgrp.3 $e |- .1. = ( 1r ` R ) $.
    $( The identity of the multiplicative group is ` 1r ` .  (Contributed by
       Mario Carneiro, 2-Dec-2014.) $)
    unitgrpid $p |- ( R e. Ring -> .1. = ( 0g ` G ) ) $=
      ( crg wcel c0g cfv wceq 1unit cbs wss eqid unitss ringidss mp3an2 mpdan )
      AHIZCBIZCDJKLZABCEGMUABANKZOUBUCUDABUDPZEQBUDACDFUEGRST $.
  $}

  ${
    unitsubm.1 $e |- U = ( Unit ` R ) $.
    unitsubm.2 $e |- M = ( mulGrp ` R ) $.
    $( The group of units is a submonoid of the multiplicative monoid of the
       ring.  (Contributed by Mario Carneiro, 18-Jun-2015.) $)
    unitsubm $p |- ( R e. Ring -> U e. ( SubMnd ` M ) ) $=
      ( crg wcel csubmnd cfv cbs wss cur cress cmnd eqid unitss a1i 1unit cmgp
      co oveq1i unitgrp grpmndd w3a ringmgp mgpbas ringidval issubm2 mpbir3and
      wb syl ) AFGZBCHIGZBAJIZKZALIZBGZCBMTZNGZUOULUNABUNOZDPQABUPDUPOZRULURABU
      RDCASIBMEUAUBUCULCNGUMUOUQUSUDUJACEUEUNBURCUPUNACEUTUFAUPCEVAUGUROUHUKUI
      $.
  $}

  $c invr $.

  $( Extend class notation with multiplicative inverse. $)
  cinvr $a class invr $.

  $( Define multiplicative inverse.  (Contributed by NM, 21-Sep-2011.) $)
  df-invr $a |- invr = ( r e. _V |-> ( invg `
    ( ( mulGrp ` r ) |`s ( Unit ` r ) ) ) ) $.

  ${
    $d r G $.  $d r R $.
    invrfval.u $e |- U = ( Unit ` R ) $.
    invrfval.g $e |- G = ( ( mulGrp ` R ) |`s U ) $.
    invrfval.i $e |- I = ( invr ` R ) $.
    $( Multiplicative inverse function for a division ring.  (Contributed by
       NM, 21-Sep-2011.)  (Revised by Mario Carneiro, 25-Dec-2014.) $)
    invrfval $p |- I = ( invg ` G ) $=
      ( vr cinvr cfv cminusg cvv wceq cmgp cui cress co fveq2 eqtr4di c0 fveq2d
      wcel cv oveq12d df-invr fvex fvmpt fvprc wfn base0 eqid grpinvfn fn0 mpbi
      wn oveq1d eqtrid ress0 eqtrdi eqtr4d pm2.61i eqtri ) DAIJZCKJZGALUBZVCVDM
      HAHUCZNJZVFOJZPQZKJVDLIVFAMZVICKVJVIANJZBPQZCVJVGVKVHBPVFANRVJVHAOJBVFAOR
      ESUDFSUAHUECKUFUGVEUOZVCTKJZVDVMVCTVNAIUHVNTUIVNTMTTVNUJVNUKULVNUMUNSVMCT
      KVMCTBPQZTVMCVLVOFVMVKTBPANUHUPUQBURUSUAUTVAVB $.
  $}

  ${
    unitinvcl.1 $e |- U = ( Unit ` R ) $.
    unitinvcl.2 $e |- I = ( invr ` R ) $.
    $( The inverse of a unit exists and is a unit.  (Contributed by Mario
       Carneiro, 2-Dec-2014.) $)
    unitinvcl $p |- ( ( R e. Ring /\ X e. U ) -> ( I ` X ) e. U ) $=
      ( crg wcel cmgp cfv cress co cgrp eqid unitgrpbas invrfval grpinvcl sylan
      unitgrp ) AGHAIJBKLZMHDBHDCJBHABTETNZSBTCDABTEUAOABTCEUAFPQR $.

    $( The inverse of the inverse of a unit is the same element.  (Contributed
       by Mario Carneiro, 4-Dec-2014.) $)
    unitinvinv $p |- ( ( R e. Ring /\ X e. U ) -> ( I ` ( I ` X ) ) = X ) $=
      ( crg wcel cmgp cfv cress co cgrp wceq eqid unitgrpbas invrfval grpinvinv
      unitgrp sylan ) AGHAIJBKLZMHDBHDCJCJDNABUAEUAOZSBUACDABUAEUBPABUACEUBFQRT
      $.

    ${
      ringinvcl.3 $e |- B = ( Base ` R ) $.
      $( The inverse of a unit is an element of the ring.  (Contributed by
         Mario Carneiro, 2-Dec-2014.) $)
      ringinvcl $p |- ( ( R e. Ring /\ X e. U ) -> ( I ` X ) e. B ) $=
        ( crg wcel wa cfv unitinvcl unitcl syl ) BIJECJKEDLZCJPAJBCDEFGMABCPHFN
        O $.
    $}

    unitinvcl.3 $e |- .x. = ( .r ` R ) $.
    unitinvcl.4 $e |- .1. = ( 1r ` R ) $.
    $( A unit times its inverse is the identity.  (Contributed by Mario
       Carneiro, 2-Dec-2014.) $)
    unitlinv $p |- ( ( R e. Ring /\ X e. U ) -> ( ( I ` X ) .x. X ) = .1. ) $=
      ( crg wcel wa cfv co cmgp cress wceq eqid cvv c0g cgrp unitgrp unitgrpbas
      cplusg cui fvexi mgpplusg ressplusg ax-mp invrfval sylan unitgrpid adantr
      grplinv eqtr4d ) AKLZFCLZMFENFBOZAPNZCQOZUANZDUQVAUBLURUSVBRACVAGVASZUCCB
      VAEFVBACVAGVCUDCTLBVAUENRCAUFGUGCBUTVATVCABUTUTSIUHUIUJVBSACVAEGVCHUKUOUL
      UQDVBRURACDVAGVCJUMUNUP $.

    $( A unit times its inverse is the identity.  (Contributed by Mario
       Carneiro, 2-Dec-2014.) $)
    unitrinv $p |- ( ( R e. Ring /\ X e. U ) -> ( X .x. ( I ` X ) ) = .1. ) $=
      ( crg wcel wa cfv co cmgp cress wceq eqid cvv c0g cgrp unitgrp unitgrpbas
      cplusg cui fvexi mgpplusg ressplusg ax-mp invrfval sylan unitgrpid adantr
      grprinv eqtr4d ) AKLZFCLZMFFENBOZAPNZCQOZUANZDUQVAUBLURUSVBRACVAGVASZUCCB
      VAEFVBACVAGVCUDCTLBVAUENRCAUFGUGCBUTVATVCABUTUTSIUHUIUJVBSACVAEGVCHUKUOUL
      UQDVBRURACDVAGVCJUMUNUP $.
  $}

  ${
    1rinv.1 $e |- I = ( invr ` R ) $.
    1rinv.2 $e |- .1. = ( 1r ` R ) $.
    $( The inverse of the identity is the identity.  (Contributed by Mario
       Carneiro, 18-Jun-2015.) $)
    1rinv $p |- ( R e. Ring -> ( I ` .1. ) = .1. ) $=
      ( crg wcel cfv cmulr cbs wceq cui 1unit ringinvcl mpdan ringlidm unitrinv
      co eqid eqtr3d ) AFGZBBCHZAIHZRZUBBUAUBAJHZGZUDUBKUABALHZGZUFAUGBUGSZEMZU
      EAUGCBUIDUESZNOUEAUCBUBUKUCSZEPOUAUHUDBKUJAUCUGBCBUIDULEQOT $.
  $}

  ${
    0unit.1 $e |- U = ( Unit ` R ) $.
    0unit.2 $e |- .0. = ( 0g ` R ) $.
    0unit.3 $e |- .1. = ( 1r ` R ) $.
    $( The additive identity is a unit if and only if ` 1 = 0 ` , i.e. we are
       in the zero ring.  (Contributed by Mario Carneiro, 4-Dec-2014.) $)
    0unit $p |- ( R e. Ring -> ( .0. e. U <-> .1. = .0. ) ) $=
      ( crg wcel wceq wa cinvr cfv cmulr co eqid unitrinv cbs ringinvcl ringlz
      syldan eqtr3d simpr 1unit adantr eqeltrrd impbida ) AHIZDBIZCDJZUHUIKDDAL
      MZMZANMZOZCDAUMBCUKDEUKPZUMPZGQUHUIULARMZIUNDJUQABUKDEUOUQPZSUQAUMULDURUP
      FTUAUBUHUJKCDBUHUJUCUHCBIUJABCEGUDUEUFUG $.
  $}

  ${
    unitnegcl.1 $e |- U = ( Unit ` R ) $.
    unitnegcl.2 $e |- N = ( invg ` R ) $.
    $( The negative of a unit is a unit.  (Contributed by Mario Carneiro,
       4-Dec-2014.) $)
    unitnegcl $p |- ( ( R e. Ring /\ X e. U ) -> ( N ` X ) e. U ) $=
      ( crg wcel wa cfv cur cdsr wbr eqid syl2an breqtrd isunit dvdsrtr syl3anc
      dvdsrneg coppr simpl cbs cgrp unitcl grpinvcl syldan wceq grpinvinv simpr
      ringgrp simpld opprring adantr opprbas opprneg syl2anc simprd sylanbrc
      sylib ) AGHZDBHZIZDCJZAKJZALJZMZVDVEAUAJZLJZMZVDBHVCVAVDDVFMDVEVFMZVGVAVB
      UBVCVDVDCJZDVFVAVBVDAUCJZHZVDVLVFMVAAUDHZDVMHZVNVBAUKZVMABDVMNZEUEZVMACDV
      RFUFOZVMVFACVDVRVFNZFTUGVAVOVPVLDUHVBVQVSVMACDVRFUIOZPVCVKDVEVIMZVCVBVKWC
      IVAVBUJVFAVHBVEVIDEVENZWAVHNZVINZQUTZULVMVFAVEVDDVRWARSVCVHGHZVDDVIMWCVJV
      AWHVBAVHWEUMUNZVCVDVLDVIVCWHVNVDVLVIMWIVTVMVIVHCVDVMAVHWEVRUOZWFACVHWEFUP
      TUQWBPVCVKWCWGURVMVIVHVEVDDWJWFRSVFAVHBVEVIVDEWDWAWEWFQUS $.
  $}

  $c /r $.

  $( Extend class notation with ring division. $)
  cdvr $a class /r $.

  ${
    $d r x y $.
    $( Define ring division.  (Contributed by Mario Carneiro, 2-Jul-2014.) $)
    df-dvr $a |- /r = ( r e. _V
     |-> ( x e. ( Base ` r ) , y e. ( Unit ` r )
         |-> ( x ( .r ` r ) ( ( invr ` r ) ` y ) ) ) ) $.
  $}

  ${
    $d r x y B $.  $d r x y I $.  $d r x y R $.  $d r x y .x. $.  $d r x y U $.
    $d x y X $.  $d x y Y $.
    dvrval.b $e |- B = ( Base ` R ) $.
    dvrval.t $e |- .x. = ( .r ` R ) $.
    dvrval.u $e |- U = ( Unit ` R ) $.
    dvrval.i $e |- I = ( invr ` R ) $.
    dvrval.d $e |- ./ = ( /r ` R ) $.
    $( Division operation in a ring.  (Contributed by Mario Carneiro,
       2-Jul-2014.)  (Revised by Mario Carneiro, 2-Dec-2014.)  (Proof shortened
       by AV, 2-Mar-2024.) $)
    dvrfval $p |- ./ = ( x e. B , y e. U |-> ( x .x. ( I ` y ) ) ) $=
      ( cfv wceq cbs cui fveq2 eqtr4di c0 vr cdvr cv cmpo cvv cinvr cmulr eqidd
      co fveq1d oveq123d mpoeq123dv df-dvr fvexi mpoex fvmpt wn fvprc wo eqtrid
      wcel orcd 0mpo0 syl eqtr4d pm2.61i eqtri ) DEUBNZABCGAUCZBUCZHNZFUIZUDZME
      UEVAZVHVMOUAEABUAUCZPNZVOQNZVIVJVOUFNZNZVOUGNZUIZUDVMUEUBVOEOZABVPVQWACGV
      LWBVPEPNZCVOEPRISWBVQEQNGVOEQRKSWBVIVIVSVKVTFWBVTEUGNFVOEUGRJSWBVIUHWBVJV
      RHWBVREUFNHVOEUFRLSUJUKULABUAUMABCGVLCEPIUNGEQKUNUOUPVNUQZVHTVMEUBURWDCTO
      ZGTOZUSVMTOWDWEWFWDCWCTIEPURUTVBABCGVLVCVDVEVFVG $.

    $( Division operation in a ring.  (Contributed by Mario Carneiro,
       2-Jul-2014.)  (Revised by Mario Carneiro, 2-Dec-2014.) $)
    dvrval $p |- ( ( X e. B /\ Y e. U ) ->
      ( X ./ Y ) = ( X .x. ( I ` Y ) ) ) $=
      ( vx vy cv cfv co oveq1 wceq fveq2 oveq2d dvrfval ovex ovmpo ) NOGHAENPZO
      PZFQZDRGHFQZDRBGUHDRUFGUHDSUGHTUHUIGDUGHFUAUBNOABCDEFIJKLMUCGUIDUDUE $.
  $}

  ${
    dvrcl.b $e |- B = ( Base ` R ) $.
    dvrcl.o $e |- U = ( Unit ` R ) $.
    dvrcl.d $e |- ./ = ( /r ` R ) $.
    $( Closure of division operation.  (Contributed by Mario Carneiro,
       2-Jul-2014.) $)
    dvrcl $p |- ( ( R e. Ring /\ X e. B /\ Y e. U ) -> ( X ./ Y ) e. B ) $=
      ( crg wcel w3a co cinvr cfv cmulr wceq eqid dvrval 3adant1 3adant2 ringcl
      ringinvcl syld3an3 eqeltrd ) CJKZEAKZFDKZLEFBMZEFCNOZOZCPOZMZAUGUHUIUMQUF
      ABCULDUJEFGULRZHUJRZISTUFUGUHUKAKZUMAKUFUHUPUGACDUJFHUOGUCUAACULEUKGUNUBU
      DUE $.
  $}

  ${
    unitdvcl.o $e |- U = ( Unit ` R ) $.
    unitdvcl.d $e |- ./ = ( /r ` R ) $.
    $( The units are closed under division.  (Contributed by Mario Carneiro,
       2-Jul-2014.) $)
    unitdvcl $p |- ( ( R e. Ring /\ X e. U /\ Y e. U ) -> ( X ./ Y ) e. U ) $=
      ( crg wcel w3a co cinvr cfv cmulr wceq cbs eqid unitcl dvrval sylan
      3adant1 unitinvcl 3adant2 unitmulcl syld3an3 eqeltrd ) BHIZDCIZECIZJDEAKZ
      DEBLMZMZBNMZKZCUHUIUJUNOZUGUHDBPMZIUIUOUPBCDUPQZFRUPABUMCUKDEUQUMQZFUKQZG
      STUAUGUHUIULCIZUNCIUGUIUTUHBCUKEFUSUBUCBUMCDULFURUDUEUF $.

    dvrid.o $e |- .1. = ( 1r ` R ) $.
    $( A cancellation law for division.  ( ~ divid analog.)  (Contributed by
       Mario Carneiro, 18-Jun-2015.) $)
    dvrid $p |- ( ( R e. Ring /\ X e. U ) -> ( X ./ X ) = .1. ) $=
      ( crg wcel wa co cinvr cfv cmulr cbs wceq eqid unitcl adantl dvrval eqtrd
      sylancom unitrinv ) BIJZECJZKEEALZEEBMNZNBONZLZDUEUFEBPNZJZUGUJQUFULUEUKB
      CEUKRZFSTUKABUICUHEEUMUIRZFUHRZGUAUCBUICDUHEFUOUNHUDUB $.
  $}

  ${
    dvr1.b $e |- B = ( Base ` R ) $.
    dvr1.d $e |- ./ = ( /r ` R ) $.
    dvr1.o $e |- .1. = ( 1r ` R ) $.
    $( A cancellation law for division.  ( ~ div1 analog.)  (Contributed by
       Mario Carneiro, 18-Jun-2015.) $)
    dvr1 $p |- ( ( R e. Ring /\ X e. B ) -> ( X ./ .1. ) = X ) $=
      ( crg wcel wa co cinvr cfv cmulr cui wceq id eqid 1unit syl2anr ringridm
      dvrval 1rinv adantr oveq2d 3eqtrd ) CIJZEAJZKZEDBLZEDCMNZNZCONZLZEDUNLEUI
      UIDCPNZJUKUOQUHUIRCUPDUPSZHTABCUNUPULEDFUNSZUQULSZGUCUAUJUMDEUNUHUMDQUICD
      ULUSHUDUEUFACUNDEFURHUBUG $.
  $}

  ${
    dvrass.b $e |- B = ( Base ` R ) $.
    dvrass.o $e |- U = ( Unit ` R ) $.
    dvrass.d $e |- ./ = ( /r ` R ) $.
    dvrass.t $e |- .x. = ( .r ` R ) $.
    $( An associative law for division.  ( ~ divass analog.)  (Contributed by
       Mario Carneiro, 4-Dec-2014.) $)
    dvrass $p |- ( ( R e. Ring /\ ( X e. B /\ Y e. B /\ Z e. U ) ) ->
      ( ( X .x. Y ) ./ Z ) = ( X .x. ( Y ./ Z ) ) ) $=
      ( crg wcel w3a co cfv wceq syl2anc dvrval cinvr simpr1 simpr2 simpr3 eqid
      wa simpl ringinvcl ringass syl13anc ringcl 3adant3r3 oveq2d 3eqtr4d ) CMN
      ZFANZGANZHENZOZUFZFGDPZHCUAQZQZDPZFGVCDPZDPZVAHBPZFGHBPZDPUTUOUPUQVCANZVD
      VFRUOUSUGZUOUPUQURUBUOUPUQURUCZUTUOURVIVJUOUPUQURUDZACEVBHJVBUEZIUHSACDFG
      VCILUIUJUTVAANZURVGVDRUOUPUQVNURACDFGILUKULVLABCDEVBVAHILJVMKTSUTVHVEFDUT
      UQURVHVERVKVLABCDEVBGHILJVMKTSUMUN $.

    $( A cancellation law for division.  ( ~ divcan1 analog.)  (Contributed by
       Mario Carneiro, 2-Jul-2014.)  (Revised by Mario Carneiro,
       2-Dec-2014.) $)
    dvrcan1 $p |- ( ( R e. Ring /\ X e. B /\ Y e. U ) ->
      ( ( X ./ Y ) .x. Y ) = X ) $=
      ( crg wcel w3a co cfv wceq eqid 3adant2 eqtrd cinvr dvrval 3adant1 oveq1d
      simp1 ringinvcl unitcl 3ad2ant3 ringass syl13anc unitlinv oveq2d ringridm
      simp2 cur 3adant3 ) CLMZFAMZGEMZNZFGBOZGDOFGCUAPZPZDOZGDOZFUTVAVDGDURUSVA
      VDQUQABCDEVBFGHKIVBRZJUBUCUDUTVEFVCGDOZDOZFUTUQURVCAMZGAMZVEVHQUQURUSUEUQ
      URUSUNUQUSVIURACEVBGIVFHUFSUSUQVJURACEGHIUGUHACDFVCGHKUIUJUTVHFCUOPZDOZFU
      TVGVKFDUQUSVGVKQURCDEVKVBGIVFKVKRZUKSULUQURVLFQUSACDVKFHKVMUMUPTTT $.

    $( A cancellation law for division.  ( ~ divcan3 analog.)  (Contributed by
       Mario Carneiro, 2-Jul-2014.)  (Revised by Mario Carneiro,
       18-Jun-2015.) $)
    dvrcan3 $p |- ( ( R e. Ring /\ X e. B /\ Y e. U ) ->
      ( ( X .x. Y ) ./ Y ) = X ) $=
      ( crg wcel w3a co cur cfv wceq simp1 simp2 unitcl 3ad2ant3 simp3 syl13anc
      dvrass eqid dvrid 3adant2 oveq2d ringridm 3adant3 3eqtrd ) CLMZFAMZGEMZNZ
      FGDOGBOZFGGBOZDOZFCPQZDOZFUPUMUNGAMZUOUQUSRUMUNUOSUMUNUOTUOUMVBUNACEGHIUA
      UBUMUNUOUCABCDEFGGHIJKUEUDUPURUTFDUMUOURUTRUNBCEUTGIJUTUFZUGUHUIUMUNVAFRU
      OACDUTFHKVCUJUKUL $.
  $}

  ${
    dvreq1.b $e |- B = ( Base ` R ) $.
    dvreq1.o $e |- U = ( Unit ` R ) $.
    dvreq1.d $e |- ./ = ( /r ` R ) $.
    dvreq1.t $e |- .1. = ( 1r ` R ) $.
    $( A cancellation law for division.  ( ~ diveq1 analog.)  (Contributed by
       Mario Carneiro, 28-Apr-2016.) $)
    dvreq1 $p |- ( ( R e. Ring /\ X e. B /\ Y e. U ) ->
                   ( ( X ./ Y ) = .1. <-> X = Y ) ) $=
      ( crg wcel w3a co wceq cmulr cfv oveq1 3adant2 eqid dvrcan1 unitcl sylan2
      ringlidm eqeq12d syl5ib dvrid eqeq1d syl5ibrcom impbid ) CLMZFAMZGDMZNZFG
      BOZEPZFGPZUQUPGCQRZOZEGUSOZPUOURUPEGUSSUOUTFVAGABCUSDFGHIJUSUAZUBULUNVAGP
      ZUMUNULGAMVCACDGHIUCACUSEGHVBKUEUDTUFUGUOUQURGGBOZEPZULUNVEUMBCDEGIJKUHTU
      RUPVDEFGGBSUIUJUK $.
  $}

  ${
    ringinvdv.b $e |- B = ( Base ` R ) $.
    ringinvdv.u $e |- U = ( Unit ` R ) $.
    ringinvdv.d $e |- ./ = ( /r ` R ) $.
    ringinvdv.o $e |- .1. = ( 1r ` R ) $.
    ringinvdv.i $e |- I = ( invr ` R ) $.
    $( Write the inverse function in terms of division.  (Contributed by Mario
       Carneiro, 2-Jul-2014.) $)
    ringinvdv $p |- ( ( R e. Ring /\ X e. U ) -> ( I ` X ) = ( .1. ./ X ) ) $=
      ( crg wcel wa co cfv cmulr wceq ringidcl dvrval ringinvcl ringlidm syldan
      eqid sylan eqtr2d ) CMNZGDNZOEGBPZEGFQZCRQZPZUKUHEANUIUJUMSACEHKTABCULDFE
      GHULUEZILJUAUFUHUIUKANUMUKSACDFGILHUBACULEUKHUNKUCUDUG $.
  $}

  ${
    $d x y B $.  $d x y z K $.  $d x y z L $.  $d x y z ph $.
    rngidpropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    rngidpropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    rngidpropd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( .r ` K ) y ) = ( x ( .r ` L ) y ) ) $.
    $( The ring identity depends only on the ring's base set and multiplication
       operation.  (Contributed by Mario Carneiro, 26-Dec-2014.) $)
    rngidpropd $p |- ( ph -> ( 1r ` K ) = ( 1r ` L ) ) $=
      ( cmgp cfv c0g cur cbs eqid mgpbas eqtrdi cv wcel co cmulr mgpplusg oveqi
      wa cplusg 3eqtr3g grpidpropd ringidval 3eqtr4g ) AEJKZLKFJKZLKEMKZFMKZABC
      DUJUKADENKZUJNKGUNEUJUJOZUNOPQADFNKZUKNKHUPFUKUKOZUPOPQABRZDSCRZDSUDUDURU
      SEUAKZTURUSFUAKZTURUSUJUEKZTURUSUKUEKZTIUTVBURUSEUTUJUOUTOUBUCVAVCURUSFVA
      UKUQVAOUBUCUFUGEULUJUOULOUHFUMUKUQUMOUHUI $.

    $( The divisibility relation depends only on the ring's base set and
       multiplication operation.  (Contributed by Mario Carneiro,
       26-Dec-2014.) $)
    dvdsrpropd $p |- ( ph -> ( ||r ` K ) = ( ||r ` L ) ) $=
      ( vz cv cbs cfv wcel cmulr co wceq wrex wa eqid copab cdsr anassrs eqeq1d
      an32s rexbidva pm5.32da rexeqdv anbi12d 3bitr3d opabbidv dvdsrval 3eqtr4g
      wb eleq2d ) ACKZELMZNZBKZUPEOMZPZJKZQZBUQRZSZCJUAUPFLMZNZUSUPFOMZPZVBQZBV
      FRZSZCJUAEUBMZFUBMZAVEVLCJAUPDNZVCBDRZSVOVJBDRZSVEVLAVOVPVQAVOSVCVJBDAUSD
      NZVOVCVJUNAVRSVOSVAVIVBAVRVOVAVIQIUCUDUEUFUGAVOURVPVDADUQUPGUOAVCBDUQGUHU
      IAVOVGVQVKADVFUPHUOAVJBDVFHUHUIUJUKCJBUQVMEUTUQTVMTUTTULCJBVFVNFVHVFTVNTV
      HTULUM $.

    $( The set of units depends only on the ring's base set and multiplication
       operation.  (Contributed by Mario Carneiro, 26-Dec-2014.) $)
    unitpropd $p |- ( ph -> ( Unit ` K ) = ( Unit ` L ) ) $=
      ( vz cfv cv cdsr wbr wa wcel cbs eqid cmulr co cui cur rngidpropd anbi12d
      coppr breq2d dvdsrpropd breqd opprbas eqtrdi wceq ancom2s opprmul 3eqtr4g
      bitrd isunit 3bitr4g eqrdv ) AJEUAKZFUAKZAJLZEUBKZEMKZNZVAVBEUEKZMKZNZOZV
      AFUBKZFMKZNZVAVIFUEKZMKZNZOZVAUSPVAUTPAVHVAVIVCNZVAVIVFNZOVOAVDVPVGVQAVBV
      IVAVCABCDEFGHIUCZUFAVBVIVAVFVRUFUDAVPVKVQVNAVCVJVAVIABCDEFGHIUGUHAVFVMVAV
      IACBDVEVLADEQKZVEQKGVSEVEVERZVSRZUIUJADFQKZVLQKHWBFVLVLRZWBRZUIUJACLZDPZB
      LZDPZOOWGWEESKZTZWGWEFSKZTZWEWGVESKZTWEWGVLSKZTAWHWFWJWLUKIULVSEWMWIVEWEW
      GWAWIRVTWMRUMWBFWNWKVLWEWGWDWKRWCWNRUMUNUGUHUDUOVCEVEUSVBVFVAUSRVBRVCRVTV
      FRUPVJFVLUTVIVMVAUTRVIRVJRWCVMRUPUQUR $.

    $( The ring inverse function depends only on the ring's base set and
       multiplication operation.  (Contributed by Mario Carneiro, 26-Dec-2014.)
       (Revised by Mario Carneiro, 5-Oct-2015.) $)
    invrpropd $p |- ( ph -> ( invr ` K ) = ( invr ` L ) ) $=
      ( cmgp cfv cui cress co cbs wceq eqid wcel wa cvv cminusg cinvr unitpropd
      unitgrpbas a1i eqtrdi cmulr cplusg unitss sseqtrrid sselda anim12dan fvex
      cv syldan mgpplusg ressplusg ax-mp 3eqtr3g grpinvpropd invrfval 3eqtr4g
      oveqi ) AEJKZELKZMNZUAKFJKZFLKZMNZUAKEUBKZFUBKZABCVEVFVIVEVFOKPAEVEVFVEQZ
      VFQZUDUEAVEVHVIOKABCDEFGHIUCFVHVIVHQZVIQZUDUFABUNZVERZCUNZVERZSZSVPVREUGK
      ZNZVPVRFUGKZNZVPVRVFUHKZNVPVRVIUHKZNAVTVPDRZVRDRZSWBWDPAVQWGVSWHAVEDVPAEO
      KZVEDWIEVEWIQVLUIGUJZUKAVEDVRWJUKULIUOWAWEVPVRVETRWAWEPELUMVEWAVDVFTVMEWA
      VDVDQWAQUPUQURVCWCWFVPVRVHTRWCWFPFLUMVHWCVGVITVOFWCVGVGQWCQUPUQURVCUSUTEV
      EVFVJVLVMVJQVAFVHVIVKVNVOVKQVAVB $.
  $}

  ${
    $d b r x y z N $.  $d b r x y z R $.  $d b r z .x. $.  $d x y z X $.
    irred.1 $e |- B = ( Base ` R ) $.
    irred.2 $e |- U = ( Unit ` R ) $.
    irred.3 $e |- I = ( Irred ` R ) $.
    irred.4 $e |- N = ( B \ U ) $.
    irred.5 $e |- .x. = ( .r ` R ) $.
    $( An irreducible element of a ring is a non-unit that is not the product
       of two non-units.  (Contributed by Mario Carneiro, 4-Dec-2014.) $)
    isirred $p |- ( X e. I <-> ( X e. N /\
      A. x e. N A. y e. N ( x .x. y ) =/= X ) ) $=
      ( vz wcel cvv wral cfv cbs vr vb cv co wne wa cir cdm elfvdm eleq2s elexd
      cdif eldifi eleqtrdi elfvexd adantr crab cui cmulr wceq fvex difexg simpr
      mp1i simpl fveq2d eqtr4di difeq12d eqtrd oveqd neeq1d raleqbidv rabeqbidv
      csb csbied df-irred difexi rabex fvmpt eqtrid eleq2d neeq2 2ralbidv elrab
      eqeltri bitrdi pm5.21nii ) IGPZDQPZIHPZAUCZBUCZEUDZIUEZBHRAHRZUFZWHDUGUHZ
      DWQPIDUGSZGIDUGUILUJUKWJWIWOWJITDWJICDTSZICPICFULZHICFUMMUJJUNUOUPWIWHIWM
      OUCZUEZBHRZAHRZOHUQZPWPWIGXEIWIGWRXELUADUBUAUCZTSZXFURSZULZWKWLXFUSSZUDZX
      AUEZBUBUCZRZAXMRZOXMUQZVNXEQUGXFDUTZUBXIXPXEQXGQPXIQPXQXFTVAXGXHQVBVDXQXM
      XIUTZUFZXOXDOXMHXSXMXIHXQXRVCXSXIWTHXSXGCXHFXSXGWSCXSXFDTXQXRVEZVFJVGXSXH
      DURSFXSXFDURXTVFKVGVHMVGVIZXSXNXCAXMHYAXSXLXBBXMHYAXSXKWMXAXSXJEWKWLXSXJD
      USSEXSXFDUSXTVFNVGVJVKVLVLVMVOABOUAUBVPXDOHHWTQMCFCWSQJDTVAWEVQWEVRVSVTWA
      XDWOOIHXAIUTXBWNABHHXAIWMWBWCWDWFWG $.

    $( The property of being a non-irreducible (reducible) element in a ring.
       (Contributed by Mario Carneiro, 4-Dec-2014.) $)
    isnirred $p |- ( X e. B -> ( -. X e. I <-> ( X e. U \/
      E. x e. N E. y e. N ( x .x. y ) = X ) ) ) $=
      ( wcel cv wrex wn wa wral co wceq wo wne cdif eleq2i eldif bitri baibr wb
      df-ne ralbii ralnex bitr2i a1i anbi12d ioran isirred 3bitr4g con1bid ) IC
      OZIFOZAPBPEUAZIUBZBHQZAHQZUCZIGOZVAVBRZVFRZSIHOZVCIUDZBHTZAHTZSVGRVHVAVIV
      KVJVNVKVAVIVKICFUEZOVAVISHVOIMUFICFUGUHUIVJVNUJVAVNVERZAHTVJVMVPAHVMVDRZB
      HTVPVLVQBHVCIUKULVDBHUMUHULVEAHUMUNUOUPVBVFUQABCDEFGHIJKLMNURUSUT $.
  $}

  ${
    $d x y B $.  $d x y R $.  $d x y U $.  $d x y X $.
    isirred2.1 $e |- B = ( Base ` R ) $.
    isirred2.2 $e |- U = ( Unit ` R ) $.
    isirred2.3 $e |- I = ( Irred ` R ) $.
    isirred2.4 $e |- .x. = ( .r ` R ) $.
    $( Expand out the class difference from ~ isirred .  (Contributed by Mario
       Carneiro, 4-Dec-2014.) $)
    isirred2 $p |- ( X e. I <-> ( X e. B /\ -. X e. U /\
      A. x e. B A. y e. B ( ( x .x. y ) = X -> ( x e. U \/ y e. U ) ) ) ) $=
      ( wcel wral wa wn wi eldif wal bitri cdif cv co wne wo w3a anbi12i imbi1i
      wceq impexp pm4.56 df-ne imbi12i con34b bitr4i imbi2i 2albii r2al 3bitr4i
      an4 eqid isirred df-3an ) HCFUAZMZAUBZBUBZEUCZHUDZBVDNAVDNZOHCMZHFMPZOZVH
      HUIZVFFMZVGFMZUEZQZBCNACNZOHGMVKVLVSUFVEVMVJVSHCFRVFVDMZVGVDMZOZVIQZBSASV
      FCMZVGCMZOZVRQZBSASVJVSWCWGABWCWFVOPZVPPZOZOZVIQZWGWBWKVIWBWDWHOZWEWIOZOW
      KVTWMWAWNVFCFRVGCFRUGWDWHWEWIUTTUHWLWFWJVIQZQWGWFWJVIUJWOVRWFWOVQPZVNPZQV
      RWJWPVIWQVOVPUKVHHULUMVNVQUNUOUPTTUQVIABVDVDURVRABCCURUSUGABCDEFGVDHIJKVD
      VALVBVKVLVSVCUS $.
  $}

  ${
    $d x I $.  $d y z R $.  $d x y z S $.
    opprirred.1 $e |- S = ( oppR ` R ) $.
    opprirred.2 $e |- I = ( Irred ` R ) $.
    $( Irreducibility is symmetric, so the irreducible elements of the opposite
       ring are the same as the original ring.  (Contributed by Mario Carneiro,
       4-Dec-2014.) $)
    opprirred $p |- I = ( Irred ` S ) $=
      ( vx vz vy cir cfv cv cbs wcel cmulr co wne wral wa eqid isirred cui cdif
      ralcom opprmul neeq1i 2ralbii bitr4i anbi2i opprbas opprunit 3bitr4i
      eqriv ) FCBIJZFKZALJZAUAJZUBZMZGKZHKZANJZOZUNPZHUQQGUQQZRURUTUSBNJZOZUNPZ
      GUQQHUQQZRUNCMUNUMMVDVHURVDVCGUQQHUQQVHVCGHUQUQUCVGVCHGUQUQVFVBUNUOAVEVAB
      UTUSUOSZVASZDVESZUDUEUFUGUHGHUOAVAUPCUQUNVIUPSZEUQSZVJTHGUOBVEUPUMUQUNUOA
      BDVIUIABUPVLDUJUMSVMVKTUKUL $.
  $}

  ${
    $d x y z R $.  $d x y z .x. $.  $d x y z U $.  $d x y z X $.  $d x y z Y $.
    $d x y B $.  $d x y I $.  $d x y .0. $.
    irredn0.i $e |- I = ( Irred ` R ) $.
    ${
      irredn0.z $e |- .0. = ( 0g ` R ) $.
      $( The additive identity is not irreducible.  (Contributed by Mario
         Carneiro, 4-Dec-2014.) $)
      irredn0 $p |- ( ( R e. Ring /\ X e. I ) -> X =/= .0. ) $=
        ( vx vy crg wcel wa wn cfv cv co wceq wrex eqid adantr eqeq1d wne cmulr
        cui cbs wo ring0cl anim1i eldif sylibr ringlz mpdan oveq1 oveq2 rspc2ev
        cdif syl3anc ex orrd isnirred syl mpbird simpr eleq1 syl5ibcom necon3bd
        wb mpd ) AIJZCBJZKZDBJZLZCDUAVHVLVIVHVLDAUCMZJZGNZHNZAUBMZOZDPZHAUDMZVM
        UOZQGWAQZUEZVHVNWBVHVNLZWBVHWDKZDWAJZWFDDVQOZDPZWBWEDVTJZWDKWFVHWIWDVTA
        DVTRZFUFZUGDVTVMUHUIZWLVHWHWDVHWIWHWKVTAVQDDWJVQRZFUJUKSVSWHDVPVQOZDPGH
        DDWAWAVODPVRWNDVODVPVQULTVPDPWNWGDVPDDVQUMTUNUPUQURVHWIVLWCVFWKGHVTAVQV
        MBWADWJVMREWARWMUSUTVASVJVKCDVJVICDPVKVHVIVBCDBVCVDVEVG $.
    $}

    ${
      irredcl.b $e |- B = ( Base ` R ) $.
      $( An irreducible element is in the ring.  (Contributed by Mario
         Carneiro, 4-Dec-2014.) $)
      irredcl $p |- ( X e. I -> X e. B ) $=
        ( vx vy wcel cui cfv wn cv cmulr co wceq wo wi wral eqid isirred2
        simp1bi ) DCIDAIDBJKZILGMZHMZBNKZODPUDUCIUEUCIQRHASGASGHABUFUCCDFUCTEUF
        TUAUB $.
    $}

    ${
      irrednu.u $e |- U = ( Unit ` R ) $.
      $( An irreducible element is not a unit.  (Contributed by Mario Carneiro,
         4-Dec-2014.) $)
      irrednu $p |- ( X e. I -> -. X e. U ) $=
        ( vx vy wcel cbs cfv wn cv cmulr co wceq wo wi wral eqid isirred2
        simp2bi ) DCIDAJKZIDBILGMZHMZANKZODPUDBIUEBIQRHUCSGUCSGHUCAUFBCDUCTFEUF
        TUAUB $.
    $}

    ${
      irredn1.o $e |- .1. = ( 1r ` R ) $.
      $( The multiplicative identity is not irreducible.  (Contributed by Mario
         Carneiro, 4-Dec-2014.) $)
      irredn1 $p |- ( ( R e. Ring /\ X e. I ) -> X =/= .1. ) $=
        ( crg wcel cui cfv wn wceq eqid 1unit eleq1 syl5ibrcom necon3bd irrednu
        wne impel ) AGHZDAIJZHZKDBSDCHUAUCDBUAUCDBLBUBHAUBBUBMZFNDBUBOPQAUBCDEU
        DRT $.
    $}

    ${
      irredrmul.u $e |- U = ( Unit ` R ) $.
      irredrmul.t $e |- .x. = ( .r ` R ) $.
      $( The product of an irreducible element and a unit is irreducible.
         (Contributed by Mario Carneiro, 4-Dec-2014.) $)
      irredrmul $p |- ( ( R e. Ring /\ X e. I /\ Y e. U ) ->
        ( X .x. Y ) e. I ) $=
        ( vx vy vz wcel co cv wceq wrex wn eqid syl3anc crg w3a cbs cfv cdif wo
        simp2 cdvr simp1 simp3 unitdvcl 3com23 syl2anc irredcl 3ad2ant2 dvrcan3
        wi 3expia eleq1d sylibd ad2antrr eldifi ad2antrl dvrcl eldifn unitmulcl
        wa dvrcan1 eldifd simprr oveq1d ad2antlr dvrass syl13anc 3eqtr3d eqeq1d
        mtod oveq2 rspcev rexlimdvaa reximdva orim12d wb unitcl 3ad2ant3 ringcl
        isnirred syl 3imtr4d mt4d ) AUAMZEDMZFCMZUBZWLEFBNZDMZWKWLWMUGWNWOCMZJO
        ZKOZBNZWOPZKAUCUDZCUEZQZJXCQZUFZECMZWRLOZBNZEPZLXCQZJXCQZUFZWPRZWLRZWNW
        QXGXEXLWNWQWOFAUHUDZNZCMZXGWNWKWMWQXRUQWKWLWMUIZWKWLWMUJZWKWMWQXRWKWQWM
        XRXPACWOFHXPSZUKULURUMWNXQECWNWKEXBMZWMXQEPZXSWLWKYBWMXBADEGXBSZUNUOZXT
        XBXPABCEFYDHYAIUPTZUSUTWNXDXKJXCWNWRXCMZVGZXAXKKXCYHWSXCMZXAVGZVGZWSFXP
        NZXCMWRYLBNZEPZXKYKYLXBCYKWKWSXBMZWMYLXBMWNWKYGYJXSVAZYIYOYHXAWSXBCVBVC
        ZWNWMYGYJXTVAZXBXPACWSFYDHYAVDTYKYLCMZWSCMZYIYTRYHXAWSXBCVEVCYKYSYLFBNZ
        CMZYTYKWKWMYSUUBUQYPYRWKWMYSUUBWKYSWMUUBABCYLFHIVFULURUMYKUUAWSCYKWKYOW
        MUUAWSPYPYQYRXBXPABCWSFYDHYAIVHTUSUTVQVIYKWTFXPNZXQYMEYKWTWOFXPYHYIXAVJ
        VKYKWKWRXBMZYOWMUUCYMPYPYGUUDWNYJWRXBCVBVLYQYRXBXPABCWRWSFYDHYAIVMVNWNY
        CYGYJYFVAVOXJYNLYLXCXHYLPXIYMEXHYLWRBVRVPVSUMVTWAWBWNWOXBMZXNXFWCWNWKYB
        FXBMZUUEXSYEWMWKUUFWLXBACFYDHWDWEXBABEFYDIWFTJKXBABCDXCWOYDHGXCSZIWGWHW
        NYBXOXMWCYEJLXBABCDXCEYDHGUUGIWGWHWIWJ $.

      $( The product of a unit and an irreducible element is irreducible.
         (Contributed by Mario Carneiro, 4-Dec-2014.) $)
      irredlmul $p |- ( ( R e. Ring /\ X e. U /\ Y e. I ) ->
        ( X .x. Y ) e. I ) $=
        ( crg wcel w3a co coppr cfv cmulr cbs eqid opprmul opprring opprirred
        opprunit irredrmul syl3an1 3com23 eqeltrrid ) AJKZECKZFDKZLEFBMFEANOZPO
        ZMZDAQOZAUKBUJFEUMRIUJRZUKRZSUGUIUHULDKZUGUJJKUIUHUPAUJUNTUJUKCDFEAUJDU
        NGUAAUJCHUNUBUOUCUDUEUF $.
    $}

    ${
      irredmul.b $e |- B = ( Base ` R ) $.
      irredmul.u $e |- U = ( Unit ` R ) $.
      irredmul.t $e |- .x. = ( .r ` R ) $.
      $( If product of two elements is irreducible, then one of the elements
         must be a unit.  (Contributed by Mario Carneiro, 4-Dec-2014.) $)
      irredmul $p |- ( ( X e. B /\ Y e. B /\ ( X .x. Y ) e. I ) ->
        ( X e. U \/ Y e. U ) ) $=
        ( vx vy wcel co wo cv wceq wi wral wa isirred2 simp3bi eqid oveq1 eleq1
        wn eqeq1d orbi1d imbi12d oveq2 orbi2d rspc2v mpii syl5 3impia ) FANZGAN
        ZFGCOZENZFDNZGDNZPZUTLQZMQZCOZUSRZVDDNZVEDNZPZSZMATLATZUQURUAZVCUTUSANU
        SDNUGVLLMABCDEUSIJHKUBUCVMVLUSUSRZVCUSUDVKVNVCSFVECOZUSRZVAVIPZSLMFGAAV
        DFRZVGVPVJVQVRVFVOUSVDFVECUEUHVRVHVAVIVDFDUFUIUJVEGRZVPVNVQVCVSVOUSUSVE
        GFCUKUHVSVIVBVAVEGDUFULUJUMUNUOUP $.
    $}

    ${
      irredneg.n $e |- N = ( invg ` R ) $.
      $( The negative of an irreducible element is irreducible.  (Contributed
         by Mario Carneiro, 4-Dec-2014.) $)
      irredneg $p |- ( ( R e. Ring /\ X e. I ) -> ( N ` X ) e. I ) $=
        ( crg wcel wa cur cfv cmulr cbs eqid simpl irredcl adantl rngnegr cui
        co 1unit unitnegcl mpdan adantr irredrmul mpd3an3 eqeltrrd ) AGHZDBHZIZ
        DAJKZCKZALKZTZDCKBUJAMKZAUMUKCDUONZUMNZUKNZFUHUIOUIDUOHUHUOABDEUPPQRUHU
        IULASKZHZUNBHUHUTUIUHUKUSHUTAUSUKUSNZURUAAUSCUKVAFUBUCUDAUMUSBDULEVAUQU
        EUFUG $.

      irrednegb.b $e |- B = ( Base ` R ) $.
      $( An element is irreducible iff its negative is.  (Contributed by Mario
         Carneiro, 4-Dec-2014.) $)
      irrednegb $p |- ( ( R e. Ring /\ X e. B ) ->
        ( X e. I <-> ( N ` X ) e. I ) ) $=
        ( crg wcel wa irredneg adantlr wceq cgrp ringgrp grpinvinv sylan adantr
        cfv eqeltrrd impbida ) BIJZEAJZKZECJZEDTZCJZUCUFUHUDBCDEFGLMUEUHKUGDTZE
        CUEUIENZUHUCBOJUDUJBPABDEHGQRSUCUHUICJUDBCDUGFGLMUAUB $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ring primes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Token for the ring primes function. $)
  $c RPrime $.

  $( Syntax for the ring primes function. $)
  crpm $a class RPrime $.

  ${
    $d b d p w x y $.
    $( Define the function associating with a ring its set of prime elements.
       A prime element is a nonzero non-unit that satisfies an equivalent of
       Euclid's lemma ~ euclemma .  Prime elements are closely related to
       irreducible elements (see ~ df-irred ).  (Contributed by Mario Carneiro,
       17-Feb-2015.) $)
    df-rprm $a |- RPrime = ( w e. _V |-> [_ ( Base ` w ) / b ]_
   { p e. ( b \ ( ( Unit ` w ) u. { ( 0g ` w ) } ) ) | A. x e. b A. y e. b
  [. ( ||r ` w ) / d ]. ( p d ( x ( .r ` w ) y ) -> ( p d x \/ p d y ) ) } ) $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ring homomorphisms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c RingHom $. $( Ring homomorphism $)
  $c RingIso $. $( Ring isomorphism $)
  $c ~=r $. $( Ring isomorphism relation $)

  $( Extend class notation with the ring homomorphisms. $)
  crh $a class RingHom $.

  $( Extend class notation with the ring isomorphisms. $)
  crs $a class RingIso $.

  $( Extend class notation with the ring isomorphism relation. $)
  cric $a class ~=r $.

  ${
    $d r s v w f x y $.
    $( Define the set of ring homomorphisms from ` r ` to ` s ` .  (Contributed
       by Stefan O'Rear, 7-Mar-2015.) $)
    df-rnghom $a |- RingHom = ( r e. Ring , s e. Ring |->
      [_ ( Base ` r ) / v ]_ [_ ( Base ` s ) / w ]_
   { f e. ( w ^m v ) | ( ( f ` ( 1r ` r ) ) = ( 1r ` s ) /\ A. x e. v A. y e. v
   ( ( f ` ( x ( +g ` r ) y ) ) = ( ( f ` x ) ( +g ` s ) ( f ` y ) ) /\
     ( f ` ( x ( .r ` r ) y ) ) = ( ( f ` x ) ( .r ` s ) ( f ` y ) ) ) ) } ) $.

    $( Define the set of ring isomorphisms from ` r ` to ` s ` .  (Contributed
       by Stefan O'Rear, 7-Mar-2015.) $)
    df-rngiso $a |- RingIso = ( r e. _V , s e. _V |->
      { f e. ( r RingHom s ) | `' f e. ( s RingHom r ) } ) $.

    $( The property of a ring homomorphism can be decomposed into separate
       homomorphic conditions for addition and multiplication.  (Contributed by
       Stefan O'Rear, 7-Mar-2015.) $)
    dfrhm2 $p |- RingHom = ( r e. Ring , s e. Ring |->
          ( ( r GrpHom s ) i^i ( ( mulGrp ` r ) MndHom ( mulGrp ` s ) ) ) ) $=
      ( vv vw vf vx vy crg cv cbs cfv wceq co wa wral cmap crab wcel cab eqid
      crh cur cplusg cmulr csb cmpo cghm cmgp cmhm cin df-rnghom ancom r19.26-2
      anbi1i anass 3bitri rabbii fvex oveq12 ancoms wb raleqbi1dv adantr anbi2d
      raleq rabeqbidv csbie2 inrab 3eqtr4i wf cgrp ringgrp isghm3 syl2an df-rab
      abbi2dv elmap abbii eqtri eqtr4di w3a cmnd ringmgp mgpbas ringidval ismhm
      mgpplusg baib 3anass bitr4i ineq12d eqtr4id mpoeq3ia ) UABAHHCBIZJKZDAIZJ
      KZWNUBKZEIZKWPUBKZLZFIZGIZWNUCKZMWSKXBWSKZXCWSKZWPUCKZMLZXBXCWNUDKZMWSKXE
      XFWPUDKZMLZNZGCIZOZFXMOZNZEDIZXMPMZQZUEUEZUFBAHHWNWPUGMZWNUHKZWPUHKZUIMZU
      JZUFFGDCEABUKBAHHXTYEWNHRZWPHRZNZXTXHGWOOFWOOZEWQWOPMZQZXKGWOOFWOOZXANZEY
      JQZUJZYEXAXLGWOOZFWOOZNZEYJQZYIYMNZEYJQXTYOYRYTEYJYRYQXANYIYLNZXANYTXAYQU
      LYQUUAXAXHXKFGWOWOUMUNYIYLXAUOUPUQCDWOWQXSYSWNJURZWPJURZXMWOLZXQWQLZNZXPY
      REXRYJUUEUUDXRYJLXQWQXMWOPUSUTUUFXOYQXAUUDXOYQVAUUEXNYPFXMWOXLGXMWOVEVBVC
      VDVFVGYIYMEYJVHVIYHYAYKYDYNYHYAWOWQWSVJZYINZESZYKYHUUHEYAYFWNVKRWPVKRWSYA
      RUUHVAYGWNVLWPVLGFXDXGWNWPWSWOWQWOTZWQTZXDTXGTVMVNVPYKWSYJRZYINZESUUIYIEY
      JVOUUMUUHEUULUUGYIWQWOWSUUCUUBVQZUNVRVSVTYHYDUUGYLXAWAZESZYNYHUUOEYDYFYBW
      BRZYCWBRZWSYDRZUUOVAYGWNYBYBTZWCWPYCYCTZWCUUSUUQUURNUUOFGWOWQXIXJYBYCWSWT
      WRWOWNYBUUTUUJWDWQWPYCUVAUUKWDWNXIYBUUTXITWGWPXJYCUVAXJTWGWNWRYBUUTWRTWEW
      PWTYCUVAWTTWEWFWHVNVPYNUULYMNZESUUPYMEYJVOUVBUUOEUVBUUGYMNUUOUULUUGYMUUNU
      NUUGYLXAWIWJVRVSVTWKWLWMVS $.
  $}

  $( Define the ring isomorphism relation, analogous to ~ df-gic :  Two
     (unital) rings are said to be _isomorphic_ iff they are connected by at
     least one isomorphism.  Isomorphic rings share all global ring properties,
     but to relate local properties requires knowledge of a specific
     isomorphism.  (Contributed by AV, 24-Dec-2019.) $)
  df-ric $a |- ~=r = ( `' RingIso " ( _V \ 1o ) ) $.

  ${
    $d r s $.
    $( Reverse closure of a ring homomorphism.  (Contributed by Stefan O'Rear,
       7-Mar-2015.) $)
    rhmrcl1 $p |- ( F e. ( R RingHom S ) -> R e. Ring ) $=
      ( vr vs crg cv cghm co cmgp cfv cmhm cin crh dfrhm2 elmpocl1 ) DEFFDGZEGZ
      HIQJKRJKLIMABNCEDOP $.

    $( Reverse closure of a ring homomorphism.  (Contributed by Stefan O'Rear,
       7-Mar-2015.) $)
    rhmrcl2 $p |- ( F e. ( R RingHom S ) -> S e. Ring ) $=
      ( vr vs crg cv cghm co cmgp cfv cmhm cin crh dfrhm2 elmpocl2 ) DEFFDGZEGZ
      HIQJKRJKLIMABNCEDOP $.
  $}

  ${
    $d R r s $.  $d S r s $.
    isrhm.m $e |- M = ( mulGrp ` R ) $.
    isrhm.n $e |- N = ( mulGrp ` S ) $.
    $( A function is a ring homomorphism iff it preserves both addition and
       multiplication.  (Contributed by Stefan O'Rear, 7-Mar-2015.) $)
    isrhm $p |- ( F e. ( R RingHom S ) <-> ( ( R e. Ring /\ S e. Ring ) /\
          ( F e. ( R GrpHom S ) /\ F e. ( M MndHom N ) ) ) ) $=
      ( vr vs crh co wcel crg wa cghm cmhm cv cmgp cfv cin dfrhm2 elmpocl fveq2
      wceq oveq12 oveqan12d ineq12d ovex inex1 ovmpoa eleq2d elin eqcomi eleq2i
      oveq12i anbi2i bitri bitrdi biadanii ) CABJKZLZAMLBMLNZCABOKZLZCDEPKZLZNZ
      HIMMHQZIQZOKZVHRSZVIRSZPKZTZABJCIHUAZUBVBVACVCARSZBRSZPKZTZLZVGVBUTVSCHIA
      BMMVNVSJVHAUDZVIBUDZNVJVCVMVRVHAVIBOUEWAWBVKVPVLVQPVHARUCVIBRUCUFUGVOVCVR
      ABOUHUIUJUKVTVDCVRLZNVGCVCVRULWCVFVDVRVECVEVRDVPEVQPFGUOUMUNUPUQURUS $.

    $( A ring homomorphism is a homomorphism of multiplicative monoids.
       (Contributed by Stefan O'Rear, 7-Mar-2015.) $)
    rhmmhm $p |- ( F e. ( R RingHom S ) -> F e. ( M MndHom N ) ) $=
      ( crh co wcel cghm cmhm crg wa isrhm simprbi simprd ) CABHIJZCABKIJZCDELI
      JZRAMJBMJNSTNABCDEFGOPQ $.
  $}

  ${
    $d F f $.  $d R f r s $.  $d S f r s $.  $d V f r s $.  $d W f r s $.
    $( An isomorphism of rings is a homomorphism whose converse is also a
       homomorphism .  (Contributed by AV, 22-Oct-2019.) $)
    isrim0 $p |- ( ( R e. V /\ S e. W ) -> ( F e. ( R RingIso S )
                 <-> ( F e. ( R RingHom S ) /\ `' F e. ( S RingHom R ) ) ) ) $=
      ( vf vr vs wcel wa crs co cv ccnv crh crab cvv wceq a1i adantl cmpo rabex
      df-rngiso oveq12 ancoms eleq2d rabeqbidv adantr ovmpod cnveq eleq1d elrab
      elex ovex bitrdi ) ADIZBEIZJZCABKLZICFMZNZBAOLZIZFABOLZPZICVDICNZVBIZJURU
      SVECURGHABQQVAHMZGMZOLZIZFVIVHOLZPZVEKQKGHQQVMUARURFHGUCSURVIARZVHBRZJZJZ
      VKVCFVLVDVPVLVDRURVIAVHBOUDTVQVJVBVAVPVJVBRZURVOVNVRVHBVIAOUDUETUFUGUPAQI
      UQADUMUHUQBQIUPBEUMTVEQIURVCFVDABOUNUBSUIUFVCVGFCVDUTCRVAVFVBUTCUJUKULUO
      $.

    $( Reverse closure for an isomorphism of rings.  (Contributed by AV,
       22-Oct-2019.) $)
    rimrcl $p |- ( F e. ( R RingIso S ) -> ( R e. _V /\ S e. _V ) ) $=
      ( vr vs vf cvv cv ccnv crh co wcel crab crs df-rngiso elmpocl ) DEGGFHIEH
      ZDHZJKLFRQJKMABNCFEDOP $.
  $}

  $( A ring homomorphism is an additive group homomorphism.  (Contributed by
     Stefan O'Rear, 7-Mar-2015.) $)
  rhmghm $p |- ( F e. ( R RingHom S ) -> F e. ( R GrpHom S ) ) $=
    ( crh co wcel cghm cmgp cfv cmhm crg wa eqid isrhm simprbi simpld ) CABDEFZ
    CABGEFZCAHIZBHIZJEFZQAKFBKFLRUALABCSTSMTMNOP $.

  ${
    rhmf.b $e |- B = ( Base ` R ) $.
    rhmf.c $e |- C = ( Base ` S ) $.
    $( A ring homomorphism is a function.  (Contributed by Stefan O'Rear,
       8-Mar-2015.) $)
    rhmf $p |- ( F e. ( R RingHom S ) -> F : B --> C ) $=
      ( crh co wcel cghm wf rhmghm ghmf syl ) ECDHIJECDKIJABELCDEMCDEABFGNO $.
  $}

  ${
    rhmmul.x $e |- X = ( Base ` R ) $.
    rhmmul.m $e |- .x. = ( .r ` R ) $.
    rhmmul.n $e |- .X. = ( .r ` S ) $.
    $( A homomorphism of rings preserves multiplication.  (Contributed by Mario
       Carneiro, 12-Jun-2015.) $)
    rhmmul $p |- ( ( F e. ( R RingHom S ) /\ A e. X /\ B e. X ) ->
      ( F ` ( A .x. B ) ) = ( ( F ` A ) .X. ( F ` B ) ) ) $=
      ( crh co wcel cmgp cfv cmhm wceq eqid mgpplusg rhmmhm mgpbas syl3an1
      mhmlin ) GCDLMNGCOPZDOPZQMNAHNBHNABEMGPAGPBGPFMRCDGUEUFUESZUFSZUAHEFUEUFG
      ABHCUEUGIUBCEUEUGJTDFUFUHKTUDUC $.
  $}

  ${
    $d ph x y $.  $d B x y $.  $d C x y $.  $d F x y $.  $d .+ x y $.
    $d .+^ x y $.  $d R x y $.  $d S x y $.
    isrhmd.b $e |- B = ( Base ` R ) $.
    isrhmd.o $e |- .1. = ( 1r ` R ) $.
    isrhmd.n $e |- N = ( 1r ` S ) $.
    isrhmd.t $e |- .x. = ( .r ` R ) $.
    isrhmd.u $e |- .X. = ( .r ` S ) $.
    isrhmd.r $e |- ( ph -> R e. Ring ) $.
    isrhmd.s $e |- ( ph -> S e. Ring ) $.
    isrhmd.ho $e |- ( ph -> ( F ` .1. ) = N ) $.
    isrhmd.ht $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( F ` ( x .x. y ) ) = ( ( F ` x ) .X. ( F ` y ) ) ) $.
    ${
      isrhm2d.f $e |- ( ph -> F e. ( R GrpHom S ) ) $.
      $( Demonstration of ring homomorphism.  (Contributed by Mario Carneiro,
         13-Jun-2015.) $)
      isrhm2d $p |- ( ph -> F e. ( R RingHom S ) ) $=
        ( crg wcel cghm co cmgp cfv cmhm wa crh cmnd cbs wceq wral c0g w3a eqid
        wf ringmgp syl ghmf ralrimivva ringidval fveq2i 3eqtr3g mgpbas mgpplusg
        cv 3jca ismhm syl21anbrc jca isrhm ) AEUBUCZFUBUCZJEFUDUEUCZJEUFUGZFUFU
        GZUHUEUCZUIJEFUJUEUCQRAVPVSUAAVQUKUCZVRUKUCZDFULUGZJURZBVHZCVHZGUEJUGWD
        JUGWEJUGHUEUMZCDUNBDUNZVQUOUGZJUGZVRUOUGZUMZUPVSAVNVTQEVQVQUQZUSUTAVOWA
        RFVRVRUQZUSUTAWCWGWKAVPWCUAEFJDWBLWBUQZVAUTAWFBCDDTVBAIJUGKWIWJSIWHJEIV
        QWLMVCVDFKVRWMNVCVEVIBCDWBGHVQVRJWJWHDEVQWLLVFWBFVRWMWNVFEGVQWLOVGFHVRW
        MPVGWHUQWJUQVJVKVLEFJVQVRWLWMVMVK $.
    $}

    isrhmd.c $e |- C = ( Base ` S ) $.
    isrhmd.p $e |- .+ = ( +g ` R ) $.
    isrhmd.q $e |- .+^ = ( +g ` S ) $.
    isrhmd.f $e |- ( ph -> F : B --> C ) $.
    isrhmd.hp $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( F ` ( x .+ y ) ) = ( ( F ` x ) .+^ ( F ` y ) ) ) $.
    $( Demonstration of ring homomorphism.  (Contributed by Stefan O'Rear,
       8-Mar-2015.) $)
    isrhmd $p |- ( ph -> F e. ( R RingHom S ) ) $=
      ( crg wcel cgrp ringgrp syl isghmd isrhm2d ) ABCDHIJKLMNOPQRSTUAUBUCABCFG
      HIMDEOUDUEUFAHUIUJHUKUJTHULUMAIUIUJIUKUJUAIULUMUGUHUNUO $.
  $}

  ${
    rhm1.o $e |- .1. = ( 1r ` R ) $.
    rhm1.n $e |- N = ( 1r ` S ) $.
    $( Ring homomorphisms are required to fix 1.  (Contributed by Stefan
       O'Rear, 8-Mar-2015.) $)
    rhm1 $p |- ( F e. ( R RingHom S ) -> ( F ` .1. ) = N ) $=
      ( crh co wcel cmgp cfv c0g cmhm wceq eqid rhmmhm mhm0 syl ringidval
      fveq2i 3eqtr4g ) DABHIJZAKLZMLZDLZBKLZMLZCDLEUCDUDUGNIJUFUHOABDUDUGUDPZUG
      PZQUDUGDUHUEUEPUHPRSCUEDACUDUIFTUABEUGUJGTUB $.
  $}

  ${
    idrhm.b $e |- B = ( Base ` R ) $.
    $( The identity homomorphism on a ring.  (Contributed by AV,
       14-Feb-2020.) $)
    idrhm $p |- ( R e. Ring -> ( _I |` B ) e. ( R RingHom R ) ) $=
      ( crg wcel cid cres cghm co cmgp cfv cmhm wa crh id cgrp ringgrp syl cmnd
      idghm eqid ringmgp mgpbas idmhm jca isrhm syl21anbrc ) BDEZUHUHFAGZBBHIEZ
      UIBJKZUKLIEZMUIBBNIEUHOZUMUHUJULUHBPEUJBQABCTRUHUKSEULBUKUKUAZUBAUKABUKUN
      CUCUDRUEBBUIUKUKUNUNUFUG $.
  $}

  ${
    rhmf1o.b $e |- B = ( Base ` R ) $.
    rhmf1o.c $e |- C = ( Base ` S ) $.
    $( A ring homomorphism is bijective iff its converse is also a ring
       homomorphism.  (Contributed by AV, 22-Oct-2019.) $)
    rhmf1o $p |- ( F e. ( R RingHom S )
                   -> ( F : B -1-1-onto-> C <-> `' F e. ( S RingHom R ) ) ) $=
      ( crh co wcel wf1o wa crg cghm cmgp cfv cmhm jca adantr eqid ccnv rhmrcl2
      rhmrcl1 simpr wb rhmghm ghmf1o bicomd syl mpbird cbs eqidd wceq f1oeq123d
      mgpbas a1i biimpa rhmmhm mhmf1o isrhm sylanbrc wf rhmf ffnd adantl dff1o4
      wfn impbida ) ECDHIJZABEKZEUAZDCHIJZVIVJLZDMJZCMJZLZVKDCNIJZVKDOPZCOPZQIJ
      ZLVLVIVPVJVIVNVOCDEUBCDEUCRSVMVQVTVMVQVJVIVJUDVMECDNIJZVQVJUEVIWAVJCDEUFS
      WAVJVQCDEABFGUGUHUIUJVMVTVSUKPZVRUKPZEKZVIVJWDVIAWBBWCEEVIEULAWBUMVIACVSV
      STZFUOUPBWCUMVIBDVRVRTZGUOUPUNUQVMEVSVRQIJZVTWDUEVIWGVJCDEVSVRWEWFURSWGWD
      VTWBWCVSVREWBTWCTUSUHUIUJRDCVKVRVSWFWEUTVAVIVLLZEAVGVKBVGVJWHABEVIABEVBVL
      ABCDEFGVCSVDWHBAVKVLBAVKVBVIBADCVKGFVCVEVDABEVFVAVH $.

    $( An isomorphism of rings is a bijective homomorphism.  (Contributed by
       AV, 22-Oct-2019.) $)
    isrim $p |- ( ( R e. V /\ S e. W ) -> ( F e. ( R RingIso S )
                <-> ( F e. ( R RingHom S ) /\ F : B -1-1-onto-> C ) ) ) $=
      ( wcel wa crs co crh ccnv wf1o isrim0 wb wi rhmf1o bicomd pm5.32d bitrd
      a1i ) CFJDGJKZECDLMJECDNMJZEODCNMJZKUFABEPZKCDEFGQUEUFUGUHUFUGUHRSUEUFUHU
      GABCDEHITUAUDUBUC $.

    $( An isomorphism of rings is a bijection.  (Contributed by AV,
       22-Oct-2019.) $)
    rimf1o $p |- ( F e. ( R RingIso S ) -> F : B -1-1-onto-> C ) $=
      ( cvv wcel wa crs co wf1o rimrcl crh isrim simpr syl6bi mpcom ) CHIDHIJZE
      CDKLIZABEMZCDENTUAECDOLIZUBJUBABCDEHHFGPUCUBQRS $.

    $( An isomorphism of rings is a homomorphism.  (Contributed by AV,
       22-Oct-2019.) $)
    rimrhm $p |- ( F e. ( R RingIso S ) -> F e. ( R RingHom S ) ) $=
      ( cvv wcel wa crs co crh rimrcl wf1o isrim simpl syl6bi mpcom ) CHIDHIJZE
      CDKLIZECDMLIZCDENTUAUBABEOZJUBABCDEHHFGPUBUCQRS $.
  $}

  $( An isomorphism of rings is an isomorphism of their additive groups.
     (Contributed by AV, 24-Dec-2019.) $)
  rimgim $p |- ( F e. ( R RingIso S ) -> F e. ( R GrpIso S ) ) $=
    ( crs co wcel cghm cbs cfv wf1o cgim crh eqid rimrhm rhmghm rimf1o sylanbrc
    syl isgim ) CABDEFZCABGEFZAHIZBHIZCJCABKEFTCABLEFUAUBUCABCUBMZUCMZNABCORUBU
    CABCUDUEPUBUCABCUDUESQ $.

  $( The composition of ring homomorphisms is a homomorphism.  (Contributed by
     Mario Carneiro, 12-Jun-2015.) $)
  rhmco $p |- ( ( F e. ( T RingHom U ) /\ G e. ( S RingHom T ) ) ->
      ( F o. G ) e. ( S RingHom U ) ) $=
    ( crh co wcel crg ccom cghm cmgp cfv cmhm rhmrcl2 rhmghm syl2an eqid rhmmhm
    wa rhmrcl1 anim12ci ghmco mhmco jca isrhm sylanbrc ) DBCFGHZEABFGHZTZAIHZCI
    HZTDEJZACKGHZUMALMZCLMZNGHZTUMACFGHUHULUIUKBCDOABEUAUBUJUNUQUHDBCKGHEABKGHU
    NUIBCDPABEPABCDEUCQUHDBLMZUPNGHEUOURNGHUQUIBCDURUPURRZUPRZSABEUOURUORZUSSUO
    URUPDEUDQUEACUMUOUPVAUTUFUG $.

  ${
    $d g x y A $.  $d g x y B $.  $d g x y ph $.  $d g x y R $.  $d g x y Y $.
    $d g C $.  $d g F $.  $d g x y Z $.
    pwsco1rhm.y $e |- Y = ( R ^s A ) $.
    pwsco1rhm.z $e |- Z = ( R ^s B ) $.
    pwsco1rhm.c $e |- C = ( Base ` Z ) $.
    pwsco1rhm.r $e |- ( ph -> R e. Ring ) $.
    pwsco1rhm.a $e |- ( ph -> A e. V ) $.
    pwsco1rhm.b $e |- ( ph -> B e. W ) $.
    pwsco1rhm.f $e |- ( ph -> F : A --> B ) $.
    $( Right composition with a function on the index sets yields a ring
       homomorphism of structure powers.  (Contributed by Mario Carneiro,
       12-Jun-2015.) $)
    pwsco1rhm $p |- ( ph -> ( g e. C |-> ( g o. F ) ) e. ( Z RingHom Y ) ) $=
      ( wcel eqid vx vy crg cv ccom cmpt cghm cmgp cfv cmhm crh pwsring syl2anc
      co cmnd ringmnd syl pwsco1mhm cgrp wceq ringgrp ghmmhmb eleqtrrd cpws cbs
      wa ringmgp cmap pwsbas eqtr4di mgpbas eqtr3d mpteq1d cplusg pwsmgp simpld
      eqidd simprd oveqdr mhmpropd 3eltr4d jca isrhm syl21anbrc ) AKUCSZJUCSZFD
      FUDGUEZUFZKJUGUNZSZWHKUHUIZJUHUIZUJUNZSZVFWHKJUKUNSAEUCSZCISZWEOQECIKMULU
      MZAWOBHSZWFOPEBHJLULUMZAWJWNAWHKJUJUNZWIABCDEFGHIJKLMNAWOEUOSZOEUPUQZPQRU
      RAKUSSZJUSSZWIWTUTAWEXCWQKVAUQAWFXDWSJVAUQKJVBUMVCAFEUHUIZCVDUNZVEUIZWGUF
      XFXEBVDUNZUJUNWHWMABCXGXEFGHIXHXFXHTZXFTZXGTZAWOXEUOSZOEXEXETZVGUQZPQRURA
      FDXGWGAEVEUIZCVHUNZDXGAXPKVEUIZDAXAWPXPXQUTXBQXOECUOIKMXOTZVIUMNVJAXLWPXP
      XGUTXNQXOXECUOIXFXJXOEXEXMXRVKVIUMVLVMAUAUBWKVEUIZWLVEUIZWKWLXFXHAXSVQAXT
      VQAXSXGUTZWKVNUIZXFVNUIZUTZAWOWPYAYDVFOQXSXGYBYCECXEWKUCIKXFMXMXJWKTZXSTX
      KYBTYCTVOUMZVPAXTXHVEUIZUTZWLVNUIZXHVNUIZUTZAWOWRYHYKVFOPXTYGYIYJEBXEWLUC
      HJXHLXMXIWLTZXTTYGTYITYJTVOUMZVPAUAUDZXSSUBUDZXSSVFUAUBYBYCAYAYDYFVRVSAYN
      XTSYOXTSVFUAUBYIYJAYHYKYMVRVSVTWAWBKJWHWKWLYEYLWCWD $.
  $}

  ${
    $d g x y A $.  $d g x y ph $.  $d g x y R $.  $d g x y S $.  $d g x y Y $.
    $d g B $.  $d g F $.  $d g x y Z $.
    pwsco2rhm.y $e |- Y = ( R ^s A ) $.
    pwsco2rhm.z $e |- Z = ( S ^s A ) $.
    pwsco2rhm.b $e |- B = ( Base ` Y ) $.
    pwsco2rhm.a $e |- ( ph -> A e. V ) $.
    pwsco2rhm.f $e |- ( ph -> F e. ( R RingHom S ) ) $.
    $( Left composition with a ring homomorphism yields a ring homomorphism of
       structure powers.  (Contributed by Mario Carneiro, 12-Jun-2015.) $)
    pwsco2rhm $p |- ( ph -> ( g e. B |-> ( F o. g ) ) e. ( Y RingHom Z ) ) $=
      ( wcel co cfv syl eqid vx vy crg ccom cmpt cghm cmgp cmhm rhmrcl1 pwsring
      cv crh syl2anc rhmrcl2 rhmghm ghmmhm pwsco2mhm cgrp wceq ringgrp eleqtrrd
      wa ghmmhmb cpws cbs rhmmhm cmap pwsbas eqtr4di cmnd ringmgp mgpbas eqtr3d
      mpteq1d eqidd cplusg pwsmgp simpld simprd mhmpropd 3eltr4d jca syl21anbrc
      oveqdr isrhm ) AIUCPZJUCPZFCGFUKUDZUEZIJUFQZPZWIIUGRZJUGRZUHQZPZVBWIIJULQ
      PADUCPZBHPZWFAGDEULQPZWPODEGUISZNDBHIKUJUMZAEUCPZWQWGAWRXAODEGUNSZNEBHJLU
      JUMZAWKWOAWIIJUHQZWJABCDEFGHIJKLMNAGDEUFQPZGDEUHQPAWRXEODEGUOSDEGUPSUQAIU
      RPZJURPZWJXDUSAWFXFWTIUTSAWGXGXCJUTSIJVCUMVAAFDUGRZBVDQZVERZWHUEXIEUGRZBV
      DQZUHQWIWNABXJXHXKFGHXIXLXITZXLTZXJTZNAWRGXHXKUHQPODEGXHXKXHTZXKTZVFSUQAF
      CXJWHADVERZBVGQZCXJAXSIVERZCAWPWQXSXTUSWSNXRDBUCHIKXRTZVHUMMVIAXHVJPZWQXS
      XJUSAWPYBWSDXHXPVKSNXRXHBVJHXIXMXRDXHXPYAVLVHUMVMVNAUAUBWLVERZWMVERZWLWMX
      IXLAYCVOAYDVOAYCXJUSZWLVPRZXIVPRZUSZAWPWQYEYHVBWSNYCXJYFYGDBXHWLUCHIXIKXP
      XMWLTZYCTXOYFTYGTVQUMZVRAYDXLVERZUSZWMVPRZXLVPRZUSZAXAWQYLYOVBXBNYDYKYMYN
      EBXKWMUCHJXLLXQXNWMTZYDTYKTYMTYNTVQUMZVRAUAUKZYCPUBUKZYCPVBUAUBYFYGAYEYHY
      JVSWDAYRYDPYSYDPVBUAUBYMYNAYLYOYQVSWDVTWAWBIJWIWLWMYIYPWEWC $.
  $}

  ${
    f1ghm0to0.a $e |- A = ( Base ` R ) $.
    f1ghm0to0.b $e |- B = ( Base ` S ) $.
    f1ghm0to0.n $e |- N = ( 0g ` S ) $.
    f1ghm0to0.1 $e |- .0. = ( 0g ` R ) $.
    $( If a group homomorphism ` F ` is injective, it maps the zero of one
       group (and only the zero) to the zero of the other group.  (Contributed
       by AV, 24-Oct-2019.)  (Revised by Thierry Arnoux, 13-May-2023.) $)
    f1ghm0to0 $p |- ( ( F e. ( R GrpHom S ) /\ F : A -1-1-> B /\ X e. A ) -> (
       ( F ` X ) = N <-> X = .0. ) ) $=
      ( cghm co wcel wf1 w3a cfv wceq 3ad2ant1 ghmid eqeq2d wi simp2 simp3 cgrp
      ghmgrp1 grpidcl syl f1veqaeq syl12anc sylbird fveq2 sylan9eqr ex impbid )
      ECDMNOZABEPZGAOZQZGERZFSZGHSZUTVBVAHERZSZVCUTVDFVAUQURVDFSUSCDEHFLKUATZUB
      UTURUSHAOZVEVCUCUQURUSUDUQURUSUEUQURVGUSUQCUFOVGCDEUGACHILUHUITABGHEUJUKU
      LUTVCVBVCUTVAVDFGHEUMVFUNUOUP $.
  $}

  ${
    gim0to0ALT.a $e |- A = ( Base ` R ) $.
    gim0to0ALT.b $e |- B = ( Base ` S ) $.
    gim0to0ALT.n $e |- N = ( 0g ` S ) $.
    gim0to0ALT.0 $e |- .0. = ( 0g ` R ) $.
    ${
      $d A x $.  $d B x $.  $d F x $.  $d N x $.  $d R x $.  $d S x $.
      $d X x $.  $d .0. x $.
      $( Alternate proof for ~ f1ghm0to0 .  Using ~ ghmf1 does not make the
         proof shorter and requires disjoint variable restrictions!
         (Contributed by AV, 24-Oct-2019.)  (New usage is discouraged.)
         (Proof modification is discouraged.) $)
      f1rhm0to0ALT $p |- ( ( F e. ( R RingHom S ) /\ F : A -1-1-> B /\ X e. A )
                      -> ( ( F ` X ) = N <-> X = .0. ) ) $=
        ( vx co wcel cfv wceq wi syl fveq2 crh wf1 w3a wa cv wral rhmghm adantr
        cghm wb ghmf1 eqeq1d eqeq1 imbi12d rspcv adantl sylbid com23 3imp ghmid
        ex 3ad2ant1 sylan9eqr impbid ) ECDUANOZABEUBZGAOZUCZGEPZFQZGHQZVEVFVGVJ
        VKRZVEVGVFVLVEVGVFVLRVEVGUDZVFMUEZEPZFQZVNHQZRZMAUFZVLVMECDUINOZVFVSUJV
        EVTVGCDEUGZUHMCDFEABHIJLKUKSVGVSVLRVEVRVLMGAVNGQZVPVJVQVKWBVOVIFVNGETUL
        VNGHUMUNUOUPUQVAURUSVHVKVJVKVHVIHEPZFGHETVEVFWCFQZVGVEVTWDWACDEHFLKUTSV
        BVCVAVD $.
    $}

    $( A group isomorphism maps the zero of one group (and only the zero) to
       the zero of the other group.  (Contributed by AV, 24-Oct-2019.)
       (Revised by Thierry Arnoux, 23-May-2023.) $)
    gim0to0 $p |- ( ( F e. ( R GrpIso S ) /\ X e. A )
                    -> ( ( F ` X ) = N <-> X = .0. ) ) $=
      ( cgim co wcel wa cghm wf1 wceq syl w3a cfv wb gimghm gimf1o f1of1 anim1i
      wf1o jca df-3an sylibr f1ghm0to0 ) ECDMNOZGAOZPZECDQNOZABERZUNUAZGEUBFSGH
      SUCUOUPUQPZUNPURUMUSUNUMUPUQCDEUDUMABEUHUQABCDEIJUEABEUFTUIUGUPUQUNUJUKAB
      CDEFGHIJKLULT $.
  $}

  ${
    $d .0. x y $.  $d A x y $.  $d B x $.  $d F x y $.  $d N x y $.
    $d R x y $.  $d S x y $.
    kerf1ghm.a $e |- A = ( Base ` R ) $.
    kerf1ghm.b $e |- B = ( Base ` S ) $.
    kerf1ghm.n $e |- N = ( 0g ` R ) $.
    kerf1ghm.1 $e |- .0. = ( 0g ` S ) $.
    $( A group homomorphism ` F ` is injective if and only if its kernel is the
       singleton ` { N } ` .  (Contributed by Thierry Arnoux, 27-Oct-2017.)
       (Proof shortened by AV, 24-Oct-2019.)  (Revised by Thierry Arnoux,
       13-May-2023.) $)
    kerf1ghm $p |- ( F e. ( R GrpHom S ) -> ( F : A -1-1-> B <-> ( `' F " { .0.
       } ) = { N } ) ) $=
      ( vx vy wcel wceq wa cfv wb syl elsn cghm co wf1 ccnv csn cima simpl f1fn
      cv wfn adantl elpreima biimpa simpld simprd sylib wi w3a f1ghm0to0 biimpd
      fvex 3expa imp syl21anc ex velsn syl6ibr ssrdv cgrp ghmgrp1 grpidcl ghmid
      wss sylibr wf ghmf ffn 3syl mpbir2and snssd adantr eqssd wral csg simpr2l
      simpr2r simpr3 eqid ghmeqker syl31anc simpr1 eleqtrd ovex grpsubeq0 mpbid
      syl3anc 3anassrs ralrimivva dff13 sylanbrc impbida ) ECDUAUBNZABEUCZEUDGU
      EZUFZFUEZOZXBXCPZXEXFXHLXEXFXHLUIZXENZXIFOZXIXFNXHXJXKXHXJPZXHXIANZXIEQZG
      OZXKXHXJUGXLXMXNXDNZXHXJXMXPPZXHEAUJZXJXQRXCXRXBABEUHUKAXIXDEULSUMZUNXLXP
      XOXLXMXPXSUOXNGXIEVATUPXHXMPXOXKXBXCXMXOXKUQXBXCXMURXOXKABCDEGXIFHIKJUSUT
      VBVCVDVELFVFVGVHXBXFXEVMXCXBFXEXBFXENZFANZFEQZXDNZXBCVINZYACDEVJZACFHJVKS
      XBYBGOYCCDEFGJKVLYBGFEVATVNXBABEVOZXRXTYAYCPRCDEABHIVPZABEVQAFXDEULVRVSVT
      WAWBXBXGPZYFXNMUIZEQOZXIYIOZUQZMAWCLAWCXCXBYFXGYGWAYHYLLMAAYHXMYIANZPZPYJ
      YKXBXGYNYJYKXBXGYNYJURZPZXIYICWDQZUBZFOZYKYPYRXFNYSYPYRXEXFYPXBXMYMYJYRXE
      NZXBYOUGZXMYMXGYJXBWEZXMYMXGYJXBWFZXBXGYNYJWGXBXMYMURYJYTACDXIEXEYQYIGHKX
      EWHYQWHZWIUMWJXBXGYNYJWKWLYRFXIYIYQWMTUPYPYDXMYMYSYKRYPXBYDUUAYESUUBUUCAC
      YQXIYIFHJUUDWNWPWOWQVEWRLMABEWSWTXA $.
  $}

  ${
    $d h r s $.
    $( The relation "is isomorphic to" for (unital) rings.  (Contributed by AV,
       24-Dec-2019.) $)
    brric $p |- ( R ~=r S <-> ( R RingIso S ) =/= (/) ) $=
      ( vh vs vr cric crs cvv cxp df-ric cv ccnv crh co wcel crab wral wfn ovex
      wa rabexg mp1i rgen2 df-rngiso fnmpo ax-mp brwitnlem ) ABFGHHIZJCKLDKZEKZ
      MNOZCUJUIMNZPZHOZDHQEHQGUHRUNEDHHULHOUNUJHOUIHOTUJUIMSUKCULHUAUBUCEDHHUMG
      HCDEUDUEUFUG $.
  $}

  ${
    $d R f $.  $d S f $.
    $( The relation "is isomorphic to" for (unital) rings.  This theorem
       corresponds to Definition ~ df-risc of the ring isomorphism relation in
       JM's mathbox.  (Contributed by AV, 24-Dec-2019.) $)
    brric2 $p |- ( R ~=r S <-> ( ( R e. Ring /\ S e. Ring )
                                 /\ E. f f e. ( R RingIso S ) ) ) $=
      ( cric wbr crs co c0 wne cv wcel wex crg wa brric cvv crh cmgp cfv eqid
      n0 rimrcl ccnv isrim0 cghm cmhm isrhm simplbi adantr syl6bi mpcom exlimiv
      pm4.71ri 3bitri ) ABDEABFGZHICJZUOKZCLZAMKBMKNZURNABOCUOUAURUSUQUSCAPKBPK
      NZUQUSABUPUBUTUQUPABQGKZUPUCBAQGKZNUSABUPPPUDVAUSVBVAUSUPABUEGKUPARSZBRSZ
      UFGKNABUPVCVDVCTVDTUGUHUIUJUKULUMUN $.

    $( If two rings are (ring) isomorphic, their additive groups are (group)
       isomorphic.  (Contributed by AV, 24-Dec-2019.) $)
    ricgic $p |- ( R ~=r S -> R ~=g S ) $=
      ( vf cric wbr crg wcel wa cv crs co wex cgic brric2 rimgim brgici exlimiv
      cgim syl simplbiim ) ABDEAFGBFGHCIZABJKGZCLABMEZABCNUBUCCUBUAABRKGUCABUAO
      ABUAPSQT $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Division rings and fields
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c DivRing $.
  $c Field $.

  $( Extend class notation with class of all division rings. $)
  cdr $a class DivRing $.

  $( Class of fields. $)
  cfield $a class Field $.

  $( Define class of all division rings.  A division ring is a ring in which
     the set of units is exactly the nonzero elements of the ring.
     (Contributed by NM, 18-Oct-2012.) $)
  df-drng $a |- DivRing = { r e. Ring |
    ( Unit ` r ) = ( ( Base ` r ) \ { ( 0g ` r ) } ) } $.

  $( A _field_ is a commutative division ring.  (Contributed by Mario Carneiro,
     17-Jun-2015.) $)
  df-field $a |- Field = ( DivRing i^i CRing ) $.

  ${
    $d r B $.  $d r R $.  $d r U $.  $d r .0. $.
    isdrng.b $e |- B = ( Base ` R ) $.
    isdrng.u $e |- U = ( Unit ` R ) $.
    isdrng.z $e |- .0. = ( 0g ` R ) $.
    $( The predicate "is a division ring".  (Contributed by NM, 18-Oct-2012.)
       (Revised by Mario Carneiro, 2-Dec-2014.) $)
    isdrng $p |- ( R e. DivRing <-> ( R e. Ring /\ U = ( B \ { .0. } ) ) ) $=
      ( vr cv cui cfv cbs c0g csn cdif wceq crg cdr fveq2 eqtr4di sneqd eqeq12d
      difeq12d df-drng elrab2 ) HIZJKZUFLKZUFMKZNZOZPCADNZOZPHBQRUFBPZUGCUKUMUN
      UGBJKCUFBJSFTUNUHAUJULUNUHBLKAUFBLSETUNUIDUNUIBMKDUFBMSGTUAUCUBHUDUE $.

    $( Elementhood in the set of units when ` R ` is a division ring.
       (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    drngunit $p |- ( R e. DivRing ->
      ( X e. U <-> ( X e. B /\ X =/= .0. ) ) ) $=
      ( cdr wcel csn cdif wne wa crg wceq isdrng simprbi eleq2d eldifsn bitrdi
      ) BIJZDCJDAEKLZJDAJDEMNUBCUCDUBBOJCUCPABCEFGHQRSDAETUA $.
  $}

  ${
    drngui.b $e |- B = ( Base ` R ) $.
    drngui.z $e |- .0. = ( 0g ` R ) $.
    drngui.r $e |- R e. DivRing $.
    $( The set of units of a division ring.  (Contributed by Mario Carneiro,
       2-Dec-2014.) $)
    drngui $p |- ( B \ { .0. } ) = ( Unit ` R ) $=
      ( cui cfv csn cdif crg wcel wceq cdr wa eqid isdrng mpbi simpri eqcomi )
      BGHZACIJZBKLZUAUBMZBNLUCUDOFABUACDUAPEQRST $.
  $}

  $( A division ring is a ring.  (Contributed by NM, 8-Sep-2011.) $)
  drngring $p |- ( R e. DivRing -> R e. Ring ) $=
    ( cdr wcel crg cui cfv cbs c0g csn cdif wceq eqid isdrng simplbi ) ABCADCAE
    FZAGFZAHFZIJKPAOQPLOLQLMN $.

  $( A division ring is a group.  (Contributed by NM, 8-Sep-2011.) $)
  drnggrp $p |- ( R e. DivRing -> R e. Grp ) $=
    ( cdr wcel crg cgrp drngring ringgrp syl ) ABCADCAECAFAGH $.

  $( A field is a commutative division ring.  (Contributed by Mario Carneiro,
     17-Jun-2015.) $)
  isfld $p |- ( R e. Field <-> ( R e. DivRing /\ R e. CRing ) ) $=
    ( cdr ccrg cfield df-field elin2 ) ABCDEF $.

  ${
    $d x B $.  $d x G $.  $d x R $.  $d x .0. $.
    isdrng2.b $e |- B = ( Base ` R ) $.
    isdrng2.z $e |- .0. = ( 0g ` R ) $.
    isdrng2.g $e |- G = ( ( mulGrp ` R ) |`s ( B \ { .0. } ) ) $.
    $( A division ring can equivalently be defined as a ring such that the
       nonzero elements form a group under multiplication (from which it
       follows that this is the same group as the group of units).
       (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    isdrng2 $p |- ( R e. DivRing <-> ( R e. Ring /\ G e. Grp ) ) $=
      ( vx wcel cfv wceq wa cgrp eqid cress co adantr syl2anc wbr cvv cdif cmgp
      cdr crg cui csn isdrng adantl eqtr4di unitgrp eqeltrrd cv wne unitcl cdvr
      oveq2 c0g cmulr wss cbs difss mgpbas ressbas2 ax-mp grpidcl eldifsn sylib
      ad2antlr simprd simpll eldifad simpr dvrcan1 syl3anc dvrcl ringrz 3netr4d
      necon3i syl sylanbrc ssrdv cur cdsr coppr cminusg eldifi grpinvcl adantll
      ex dvdsrmul cplusg fvexi difexg mgpplusg ressplusg mp2b ringidcl ringlidm
      grplinv mpdan wb 1unit sseldd grpid mpbid breqtrd opprbas opprmul grprinv
      eqtrd eqtrid isunit eqelssd impbida pm5.32i bitri ) BUCIBUDIZBUEJZADUFZUA
      ZKZLZXQCMIZLZABXRDEXRNZFUGXQYAYCXQYAYCYBBUBJZXROPZCMYBYGYFXTOPZCYAYGYHKXQ
      XRXTYFOUPUHGUIXQYGMIYABXRYGYEYGNUJQUKYDHXRXTYDHXRXTYDHULZXRIZYIXTIZYDYJLZ
      YIAIZYIDUMZYKYJYMYDABXRYIEYEUNUHYLCUQJZYIBUOJZPZYIBURJZPZYQDYRPZUMYNYLYOD
      YSYTYLYOAIZYODUMZYLYOXTIZUUAUUBLYCUUCXQYJXTCYOXTAUSXTCUTJKAXSVAXTACYFGABY
      FYFNZEVBVCVDZYONZVEVHZYOADVFVGVIYLXQUUAYJYSYOKXQYCYJVJZYLYOAXSUUGVKZYDYJV
      LZAYPBYRXRYOYIEYEYPNZYRNZVMVNYLXQYQAIZYTDKUUHYLXQUUAYJUUMUUHUUIUUJAYPBXRY
      OYIEYEUUKVOVNABYRYQDEUULFVPRVQYIDYSYTYIDYQYRUPVRVSYIADVFVTWIWAZYDYKLZYIBW
      BJZBWCJZSYIUUPBWDJZWCJZSYJUUOYIYICWEJZJZYIYRPZUUPUUQUUOYMUVAAIZYIUVBUUQSY
      KYMYDYIAXSWFUHZUUOUVAAXSYCYKUVAXTIXQXTCUUTYIUUEUUTNZWGWHVKZAUUQBYRYIUVAEU
      UQNZUULWJRUUOUVBYOUUPYCYKUVBYOKXQXTYRCUUTYIYOUUEATIXTTIYRCWKJKABUTEWLAXST
      WMXTYRYFCTGBYRYFUUDUULWNWOWPZUUFUVEWSWHYDYOUUPKZYKYDUUPUUPYRPUUPKZUVIXQUV
      JYCXQUUPAIUVJABUUPEUUPNZWQABYRUUPUUPEUULUVKWRWTQYDYCUUPXTIUVJUVIXAXQYCVLY
      DXRXTUUPUUNXQUUPXRIYCBXRUUPYEUVKXBQXCXTYRCUUPYOUUEUVHUUFXDRXEQZXJXFUUOYIU
      VAYIUURURJZPZUUPUUSUUOYMUVCYIUVNUUSSUVDUVFAUUSUURUVMYIUVAABUURUURNZEXGUUS
      NZUVMNZWJRUUOUVNYIUVAYRPZUUPABUVMYRUURUVAYIEUULUVOUVQXHUUOUVRYOUUPYCYKUVR
      YOKXQXTYRCUUTYIYOUUEUVHUUFUVEXIWHUVLXJXKXFUUQBUURXRUUPUUSYIYEUVKUVGUVOUVP
      XLVTXMXNXOXP $.
  $}

  ${
    $d x y K $.  $d x y L $.
    drngprop.b $e |- ( Base ` K ) = ( Base ` L ) $.
    drngprop.p $e |- ( +g ` K ) = ( +g ` L ) $.
    drngprop.m $e |- ( .r ` K ) = ( .r ` L ) $.
    $( If two structures have the same ring components (properties), one is a
       division ring iff the other one is.  (Contributed by Mario Carneiro,
       11-Oct-2013.)  (Revised by Mario Carneiro, 28-Dec-2014.) $)
    drngprop $p |- ( K e. DivRing <-> L e. DivRing ) $=
      ( vx vy crg wcel cui cfv cbs c0g csn cdif wceq wa a1i co eqid eqidd cmulr
      cdr cv oveqi unitpropd cplusg grpidpropd difeq2d eqeq12d pm5.32i ringprop
      sneqd anbi1i bitri isdrng 3bitr4i ) AHIZAJKZALKZAMKZNZOZPZQZBHIZBJKZUTBMK
      ZNZOZPZQZAUCIBUCIVEURVKQVLURVDVKURUSVGVCVJURFGUTABURUTUAZUTBLKPURCRZFUDZG
      UDZAUBKZSVOVPBUBKZSPURVOUTIVPUTIQQZVQVRVOVPEUERUFURVBVIUTURVAVHURFGUTABVM
      VNVOVPAUGKZSVOVPBUGKZSPVSVTWAVOVPDUERUHUMUIUJUKURVFVKABCDEULUNUOUTAUSVAUT
      TUSTVATUPUTBVGVHCVGTVHTUPUQ $.
  $}

  ${
    drngmgp.b $e |- B = ( Base ` R ) $.
    drngmgp.z $e |- .0. = ( 0g ` R ) $.
    drngmgp.g $e |- G = ( ( mulGrp ` R ) |`s ( B \ { .0. } ) ) $.
    $( A division ring contains a multiplicative group.  (Contributed by NM,
       8-Sep-2011.) $)
    drngmgp $p |- ( R e. DivRing -> G e. Grp ) $=
      ( cdr wcel crg cgrp isdrng2 simprbi ) BHIBJICKIABCDEFGLM $.
  $}

  ${
    drngmcl.b $e |- B = ( Base ` R ) $.
    drngmcl.t $e |- .x. = ( .r ` R ) $.
    drngmcl.z $e |- .0. = ( 0g ` R ) $.
    $( The product of two nonzero elements of a division ring is nonzero.
       (Contributed by NM, 7-Sep-2011.) $)
    drngmcl $p |- ( ( R e. DivRing /\ X e. ( B \ { .0. } )
               /\ Y e. ( B \ { .0. } ) ) -> ( X .x. Y ) e. ( B \ { .0. } ) ) $=
      ( cdr wcel cmgp cfv csn cdif co eqid cbs wceq cvv cress drngmgp wss difss
      cgrp mgpbas ressbas2 ax-mp cplusg fvexi difexg mgpplusg ressplusg syl3an1
      mp2b grpcl ) BJKBLMZAFNZOZUAPZUEKDUSKEUSKDECPUSKABUTFGIUTQZUBUSCUTDEUSAUC
      USUTRMSAURUDUSAUTUQVAABUQUQQZGUFUGUHATKUSTKCUTUIMSABRGUJAURTUKUSCUQUTTVAB
      CUQVBHULUMUOUPUN $.
  $}

  ${
    drngid.b $e |- B = ( Base ` R ) $.
    drngid.z $e |- .0. = ( 0g ` R ) $.
    drngid.u $e |- .1. = ( 1r ` R ) $.
    drngid.g $e |- G = ( ( mulGrp ` R ) |`s ( B \ { .0. } ) ) $.
    $( A division ring's unit is the identity element of its multiplicative
       group.  (Contributed by NM, 7-Sep-2011.) $)
    drngid $p |- ( R e. DivRing -> .1. = ( 0g ` G ) ) $=
      ( cdr wcel cmgp cfv cui cress co c0g crg wceq eqid drngring unitgrpid syl
      csn cdif isdrng simprbi oveq2d eqtr4di fveq2d eqtrd ) BJKZCBLMZBNMZOPZQMZ
      DQMULBRKZCUPSBUABUNCUOUNTZUOTHUBUCULUODQULUOUMAEUDUEZOPDULUNUSUMOULUQUNUS
      SABUNEFURGUFUGUHIUIUJUK $.
  $}

  ${
    drngunz.z $e |- .0. = ( 0g ` R ) $.
    drngunz.u $e |- .1. = ( 1r ` R ) $.
    $( A division ring's unit is different from its zero.  (Contributed by NM,
       8-Sep-2011.) $)
    drngunz $p |- ( R e. DivRing -> .1. =/= .0. ) $=
      ( cdr wcel cbs cfv wne cui wa crg drngring eqid 1unit syl drngunit simprd
      mpbid ) AFGZBAHIZGZBCJZUABAKIZGZUCUDLUAAMGUFANAUEBUEOZEPQUBAUEBCUBOUGDRTS
      $.
  $}

  ${
    drngid2.b $e |- B = ( Base ` R ) $.
    drngid2.t $e |- .x. = ( .r ` R ) $.
    drngid2.o $e |- .0. = ( 0g ` R ) $.
    drngid2.u $e |- .1. = ( 1r ` R ) $.
    $( Properties showing that an element ` I ` is the identity element of a
       division ring.  (Contributed by Mario Carneiro, 11-Oct-2013.) $)
    drngid2 $p |- ( R e. DivRing
        -> ( ( I e. B /\ I =/= .0. /\ ( I .x. I ) = I ) <-> .1. = I ) ) $=
      ( cdr wcel wne co wceq cfv wa eqid cbs cvv w3a cmgp csn cdif cress df-3an
      c0g eldifsn anbi1i bitr4i cgrp wb drngmgp wss difss mgpbas ressbas2 ax-mp
      cplusg fvexi difexg mgpplusg ressplusg mp2b isgrpid2 syl5bb drngid eqeq1d
      syl bitr4d ) BKLZEALZEFMZEECNEOZUAZBUBPZAFUCZUDZUENZUGPZEOZDEOVOEVRLZVNQZ
      VKWAVOVLVMQZVNQWCVLVMVNUFWBWDVNEAFUHUIUJVKVSUKLWCWAULABVSFGIVSRZUMVRCVSVT
      EVRAUNVRVSSPOAVQUOVRAVSVPWEABVPVPRZGUPUQURATLVRTLCVSUSPOABSGUTAVQTVAVRCVP
      VSTWEBCVPWFHVBVCVDVTRVEVIVFVKDVTEABDVSFGIJWEVGVHVJ $.
  $}

  ${
    invrcl.b $e |- B = ( Base ` R ) $.
    invrcl.z $e |- .0. = ( 0g ` R ) $.
    invrcl.i $e |- I = ( invr ` R ) $.
    $( Closure of the multiplicative inverse in a division ring.  ( ~ reccl
       analog).  (Contributed by NM, 19-Apr-2014.) $)
    drnginvrcl $p |- ( ( R e. DivRing /\ X e. B /\ X =/= .0. )
             -> ( I ` X ) e. B ) $=
      ( cdr wcel wne cfv wa cui eqid drngunit crg wi drngring ringinvcl sylbird
      ex syl 3impib ) BIJZDAJZDEKZDCLAJZUEUFUGMDBNLZJZUHABUIDEFUIOZGPUEBQJZUJUH
      RBSULUJUHABUICDUKHFTUBUCUAUD $.

    $( The multiplicative inverse in a division ring is nonzero.  ( ~ recne0
       analog).  (Contributed by NM, 19-Apr-2014.) $)
    drnginvrn0 $p |- ( ( R e. DivRing /\ X e. B /\ X =/= .0. )
             -> ( I ` X ) =/= .0. ) $=
      ( cdr wcel wne w3a cfv wa cui crg wi drngring eqid drngunit unitinvcl syl
      ex 3imtr3d 3impib simprd ) BIJZDAJZDEKZLDCMZAJZUJEKZUGUHUIUKULNZUGDBOMZJZ
      UJUNJZUHUINUMUGBPJZUOUPQBRUQUOUPBUNCDUNSZHUAUCUBABUNDEFURGTABUNUJEFURGTUD
      UEUF $.
  $}

  ${
    drnginvrl.b $e |- B = ( Base ` R ) $.
    drnginvrl.z $e |- .0. = ( 0g ` R ) $.
    drnginvrl.t $e |- .x. = ( .r ` R ) $.
    drnginvrl.u $e |- .1. = ( 1r ` R ) $.
    drnginvrl.i $e |- I = ( invr ` R ) $.
    $( Property of the multiplicative inverse in a division ring.  ( ~ recid2
       analog).  (Contributed by NM, 19-Apr-2014.) $)
    drnginvrl $p |- ( ( R e. DivRing /\ X e. B /\ X =/= .0. )
             -> ( ( I ` X ) .x. X ) = .1. ) $=
      ( cdr wcel wne cfv co wceq wa cui eqid drngunit crg drngring unitlinv syl
      wi ex sylbird 3impib ) BMNZFANZFGOZFEPFCQDRZUKULUMSFBTPZNZUNABUOFGHUOUAZI
      UBUKBUCNZUPUNUGBUDURUPUNBCUODEFUQLJKUEUHUFUIUJ $.

    $( Property of the multiplicative inverse in a division ring.  ( ~ recid
       analog).  (Contributed by NM, 19-Apr-2014.) $)
    drnginvrr $p |- ( ( R e. DivRing /\ X e. B /\ X =/= .0. )
             -> ( X .x. ( I ` X ) ) = .1. ) $=
      ( cdr wcel wne cfv co wceq wa cui eqid drngunit crg drngring unitrinv syl
      wi ex sylbird 3impib ) BMNZFANZFGOZFFEPCQDRZUKULUMSFBTPZNZUNABUOFGHUOUAZI
      UBUKBUCNZUPUNUGBUDURUPUNBCUODEFUQLJKUEUHUFUIUJ $.
  $}

  ${
    drngmuleq0.b $e |- B = ( Base ` R ) $.
    drngmuleq0.o $e |- .0. = ( 0g ` R ) $.
    drngmuleq0.t $e |- .x. = ( .r ` R ) $.
    drngmuleq0.r $e |- ( ph -> R e. DivRing ) $.
    drngmuleq0.x $e |- ( ph -> X e. B ) $.
    drngmuleq0.y $e |- ( ph -> Y e. B ) $.
    $( A product is zero iff one of its factors is zero.  (Contributed by NM,
       8-Oct-2014.) $)
    drngmul0or $p |- ( ph ->
      ( ( X .x. Y ) = .0. <-> ( X = .0. \/ Y = .0. ) ) ) $=
      ( co wceq wa cfv wcel adantr syl2anc wo wn wne df-ne cinvr oveq2 ad2antlr
      cur cdr eqid drnginvrl syl3anc oveq1d crg drngring syl drnginvrcl ringass
      simpr syl13anc ringlidm 3eqtr3d adantlr ringrz syl5bir orrd ringlz eqeq1d
      ex oveq1 syl5ibrcom jaod impbid ) AEFDNZGOZEGOZFGOZUAZAVOVRAVOPZVPVQVPUBE
      GUCZVSVQEGUDVSVTVQVSVTPZECUEQZQZVNDNZWCGDNZFGVOWDWEOAVTVNGWCDUFUGAVTWDFOV
      OAVTPZWCEDNZFDNZCUHQZFDNZWDFWFWGWIFDWFCUIRZEBRZVTWGWIOAWKVTKSZAWLVTLSZAVT
      USZBCDWIWBEGHIJWIUJZWBUJZUKULUMWFCUNRZWCBRZWLFBRZWHWDOAWRVTAWKWRKCUOUPZSW
      FWKWLVTWSWMWNWOBCWBEGHIWQUQULZWNAWTVTMSBCDWCEFHJURUTAWJFOZVTAWRWTXCXAMBCD
      WIFHJWPVATSVBVCWAWRWSWEGOVSWRVTAWRVOXASSAVTWSVOXBVCBCDWCGHJIVDTVBVIVEVFVI
      AVPVOVQAVOVPGFDNZGOZAWRWTXEXAMBCDFGHJIVGTVPVNXDGEGFDVJVHVKAVOVQEGDNZGOZAW
      RWLXGXALBCDEGHJIVDTVQVNXFGFGEDUFVHVKVLVM $.

    $( A product is nonzero iff both its factors are nonzero.  (Contributed by
       NM, 18-Oct-2014.) $)
    drngmulne0 $p |- ( ph
     -> ( ( X .x. Y ) =/= .0. <-> ( X =/= .0. /\ Y =/= .0. ) ) ) $=
      ( co wne wceq wo wn wa drngmul0or necon3abid neanior bitr4di ) AEFDNZGOEG
      PFGPQZREGOFGOSAUEUDGABCDEFGHIJKLMTUAEGFGUBUC $.

    drngmuleq0.e $e |- ( ph -> Y =/= .0. ) $.
    $( An element is zero iff its product with a nonzero element is zero.
       (Contributed by NM, 8-Oct-2014.) $)
    drngmuleq0 $p |- ( ph -> ( ( X .x. Y ) = .0. <-> X = .0. ) ) $=
      ( co wceq wo drngmul0or wne wb wn df-ne orel2 orc impbid1 sylbi syl bitrd
      ) AEFDOGPEGPZFGPZQZUIABCDEFGHIJKLMRAFGSZUKUITZNULUJUAZUMFGUBUNUKUIUJUIUCU
      IUJUDUEUFUGUH $.
  $}

  ${
    opprdrng.1 $e |- O = ( oppR ` R ) $.
    $( The opposite of a division ring is also a division ring.  (Contributed
       by NM, 18-Oct-2014.) $)
    opprdrng $p |- ( R e. DivRing <-> O e. DivRing ) $=
      ( crg wcel cui cfv cbs c0g csn cdif wceq cdr opprringb anbi1i eqid isdrng
      wa opprbas opprunit oppr0 3bitr4i ) ADEZAFGZAHGZAIGZJKLZRBDEZUGRAMEBMEUCU
      HUGABCNOUEAUDUFUEPZUDPZUFPZQUEBUDUFUEABCUISABUDUJCTABUFCUKUAQUB $.
  $}

  ${
    $d x y z .0. $.  $d x y z .1. $.  $d x y z B $.  $d y z I $.  $d x y z R $.
    $d x y z ph $.  $d x y z .x. $.
    isdrngd.b $e |- ( ph -> B = ( Base ` R ) ) $.
    isdrngd.t $e |- ( ph -> .x. = ( .r ` R ) ) $.
    isdrngd.z $e |- ( ph -> .0. = ( 0g ` R ) ) $.
    isdrngd.u $e |- ( ph -> .1. = ( 1r ` R ) ) $.
    isdrngd.r $e |- ( ph -> R e. Ring ) $.
    isdrngd.n $e |- ( ( ph /\ ( x e. B /\ x =/= .0. )
            /\ ( y e. B /\ y =/= .0. ) ) -> ( x .x. y ) =/= .0. ) $.
    isdrngd.o $e |- ( ph -> .1. =/= .0. ) $.
    isdrngd.i $e |- ( ( ph /\ ( x e. B /\ x =/= .0. ) ) -> I e. B ) $.
    isdrngd.j $e |- ( ( ph /\ ( x e. B /\ x =/= .0. ) ) -> I =/= .0. ) $.
    ${
      isdrngd.k $e |- ( ( ph /\ ( x e. B /\ x =/= .0. ) ) ->
        ( I .x. x ) = .1. ) $.
      $( Properties that characterize a division ring among rings: it should be
         nonzero, have no nonzero zero-divisors, and every nonzero element
         ` x ` should have a left-inverse ` I ( x ) ` .  See ~ isdrngd for the
         characterization using right-inverses.  (Contributed by NM,
         2-Aug-2013.) $)
      isdrngd $p |- ( ph -> R e. DivRing ) $=
        ( wcel vz crg cmgp cfv cbs c0g csn cdif cress co cgrp wa cdr wceq difss
        wss sseqtrid eqid mgpbas ressbas2 syl cmulr cplusg fvex eqeltrdi difexg
        cvv mgpplusg ressplusg 3syl eqtrd wne eldifsn w3a ringcl syl3an1 3expib
        eleq2d anbi12d oveqd eleq12d 3impib 3adant2r 3adant3r sylanbrc syl3an3b
        cv 3imtr4d syl3an2b wi ringass 3anbi123d eqidd eqeq12d eldifi 3anim123i
        oveq123d impel cur ringidcl 3eltr4d ringlidm eqeq1d imp adantrr sylan2b
        ex isgrpd sneqd difeq12d oveq2d eleq1d anbi2d mpbi2and isdrng2 sylibr )
        AEUBTZEUCUDZEUEUDZEUFUDZUGZUHZUIUJZUKTZULZEUMTAXQXRDIUGZUHZUIUJZUKTZYEN
        ABCUAYGFYHHGAYGXSUPYGYHUEUDUNADYGXSDYFUOJUQYGXSYHXRYHURZXSEXRXRURZXSURZ
        USUTVAAFEVBUDZYHVCUDZKADVGTYGVGTYMYNUNADXSVGJEUEVDVEDYFVGVFYGYMXRYHVGYJ
        EYMXRYKYMURZVHVIVJVKBWGZYGTZAYPDTZYPIVLZULZCWGZYGTZYPUUAFUJZYGTZYPDIVMZ
        UUBAYTUUADTZUUAIVLZULZUUDUUADIVMAYTUUHVNUUCDTZUUCIVLUUDAYTUUFUUIUUGAYRU
        UFUUIYSAYRUUFUUIAYPXSTZUUAXSTZULYPUUAYMUJZXSTZYRUUFULUUIAUUJUUKUUMAXQUU
        JUUKUUMNXSEYMYPUUAYLYOVOVPVQAYRUUJUUFUUKADXSYPJVRZADXSUUAJVRZVSAUUCUULD
        XSAFYMYPUUAKVTZJWAWHWBWCWDOUUCDIVMWEWFWIAYRUUFUAWGZDTZVNZUUCUUQFUJZYPUU
        AUUQFUJZFUJZUNZYQUUBUUQYGTZVNAUUJUUKUUQXSTZVNZUULUUQYMUJZYPUUAUUQYMUJZY
        MUJZUNZUUSUVCAXQUVFUVJWJNXQUVFUVJXSEYMYPUUAUUQYLYOWKXGVAAYRUUJUUFUUKUUR
        UVEUUNUUOADXSUUQJVRWLAUUTUVGUVBUVIAUUCUULUUQUUQFYMKUUPAUUQWMWQAYPYPUVAU
        VHFYMKAYPWMZAFYMUUAUUQKVTWQWNWHYQYRUUBUUFUVDUURYPDYFWOUUADYFWOUUQDYFWOW
        PWRAGDTGIVLGYGTAEWSUDZXSGDAXQUVLXSTNXSEUVLYLUVLURZWTVAMJXAPGDIVMWEYQAYT
        GYPFUJZYPUNZUUEAYRUVOYSAYRUVOAUUJUVLYPYMUJZYPUNZYRUVOAXQUUJUVQWJNXQUUJU
        VQXSEYMUVLYPYLYOUVMXBXGVAUUNAUVNUVPYPAGUVLYPYPFYMKMUVKWQXCWHXDXEXFYQAYT
        HYGTZUUEAYTULHDTHIVLUVRQRHDIVMWEXFYQAYTHYPFUJGUNUUESXFXHAYIYDXQAYHYCUKA
        YGYBXRUIADXSYFYAJAIXTLXIXJXKXLXMXNXSEYCXTYLXTURYCURXOXP $.
    $}

    ${
      isdrngrd.k $e |- ( ( ph /\ ( x e. B /\ x =/= .0. ) ) ->
        ( x .x. I ) = .1. ) $.
      $( Properties that characterize a division ring among rings: it should be
         nonzero, have no nonzero zero-divisors, and every nonzero element
         ` x ` should have a right-inverse ` I ( x ) ` .  See ~ isdrngd for the
         characterization using left-inverses.  (Contributed by NM,
         10-Aug-2013.) $)
      isdrngrd $p |- ( ph -> R e. DivRing ) $=
        ( cfv vz coppr cdr wcel cmulr cbs eqid opprbas eqtrdi eqidd oppr0 oppr1
        c0g cur crg opprring syl cv wne wa w3a co wi wceq neeq1 anbi12d 3anbi2d
        eleq1w oveq1 neeq1d imbi12d 3anbi3d oveq2 3ad2ant1 oveqd opprmul 3com23
        eqtr4di eqnetrrd chvarvv adantr eqtr3d eqtrid isdrngd opprdrng sylibr )
        AEUBTZUCUDEUCUDABUADWGWGUETZGHIADEUFTZWGUFTJWIEWGWGUGZWIUGZUHUIAWHUJAIE
        UMTZWGUMTLEWGWLWJWLUGUKUIAGEUNTZWGUNTMEWMWGWJWMUGULUIAEUOUDWGUOUDNEWGWJ
        UPUQACURZDUDZWNIUSZUTZUAURZDUDZWRIUSZUTZVAZWNWRWHVBZIUSZVCZABURZDUDZXFI
        USZUTZXAVAZXFWRWHVBZIUSZVCCBWNXFVDZXBXJXDXLXMWQXIAXAXMWOXGWPXHCBDVHWNXF
        IVEVFVGXMXCXKIWNXFWRWHVIVJVKAWQXIVAZWNXFWHVBZIUSZVCXEBUAXFWRVDZXNXBXPXD
        XQXIXAAWQXQXGWSXHWTBUADVHXFWRIVEVFVLXQXOXCIXFWRWNWHVMVJVKAXIWQXPAXIWQVA
        ZXFWNFVBZXOIXRXSXFWNEUETZVBXOXRFXTXFWNAXIFXTVDZWQKVNVOWIEWHXTWGWNXFWKXT
        UGZWJWHUGZVPVROVSVQVTVTPQRAXIUTZHXFWHVBXFHXTVBZGWIEWHXTWGHXFWKYBWJYCVPY
        DXFHFVBYEGYDFXTXFHAYAXIKWAVOSWBWCWDEWGWJWEWF $.
    $}
  $}

  ${
    $d x y B $.  $d x y K $.  $d x y ph $.  $d x y L $.
    drngpropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    drngpropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    drngpropd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    drngpropd.4 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( .r ` K ) y ) = ( x ( .r ` L ) y ) ) $.
    $( If two structures have the same group components (properties), one is a
       division ring iff the other one is.  (Contributed by Mario Carneiro,
       27-Jun-2015.) $)
    drngpropd $p |- ( ph -> ( K e. DivRing <-> L e. DivRing ) ) $=
      ( crg wcel cui cfv cbs c0g wceq wa adantr eqid csn cdif cdr eqtr3d cplusg
      unitpropd cv adantlr grpidpropd sneqd difeq12d eqeq12d pm5.32da ringpropd
      co anbi1d bitrd isdrng 3bitr4g ) AEKLZEMNZEONZEPNZUAZUBZQZRZFKLZFMNZFONZF
      PNZUAZUBZQZRZEUCLFUCLAVGUTVNRVOAUTVFVNAUTRZVAVIVEVMAVAVIQUTABCDEFGHJUFSVP
      VBVJVDVLAVBVJQUTADVBVJGHUDSVPVCVKVPBCDEFADVBQUTGSADVJQUTHSABUGZDLCUGZDLRV
      QVREUENUOVQVRFUENUOQUTIUHUIUJUKULUMAUTVHVNABCDEFGHIJUNUPUQVBEVAVCVBTVATVC
      TURVJFVIVKVJTVITVKTURUS $.

    $( If two structures have the same group components (properties), one is a
       field iff the other one is.  (Contributed by Mario Carneiro,
       8-Feb-2015.) $)
    fldpropd $p |- ( ph -> ( K e. Field <-> L e. Field ) ) $=
      ( cdr wcel ccrg wa cfield drngpropd crngpropd anbi12d isfld 3bitr4g ) AEK
      LZEMLZNFKLZFMLZNEOLFOLAUAUCUBUDABCDEFGHIJPABCDEFGHIJQRESFST $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subrings of a ring
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c SubRing $.
  $c RingSpan $.

  $( Extend class notation with all subrings of a ring. $)
  csubrg $a class SubRing $.

  $( Extend class notation with span of a set of elements over a ring. $)
  crgspn $a class RingSpan $.

  ${
    $d w s t $.
    $( Define a subring of a ring as a set of elements that is a ring in its
       own right and contains the multiplicative identity.

       The additional constraint is necessary because the multiplicative
       identity of a ring, unlike the additive identity of a ring/group or the
       multiplicative identity of a field, cannot be identified by a local
       property.  Thus, it is possible for a subset of a ring to be a ring
       while not containing the true identity if it contains a false identity.
       For instance, the subset ` ( ZZ X. { 0 } ) ` of ` ( ZZ X. ZZ ) ` (where
       multiplication is componentwise) contains the false identity
       ` <. 1 , 0 >. ` which preserves every element of the subset and thus
       appears to be the identity of the subset, but is not the identity of the
       larger ring.  (Contributed by Stefan O'Rear, 27-Nov-2014.) $)
    df-subrg $a |- SubRing = ( w e. Ring |-> { s e. ~P ( Base ` w ) |
        ( ( w |`s s ) e. Ring /\ ( 1r ` w ) e. s ) } ) $.

    $( The ring-span of a set of elements in a ring is the smallest subring
       which contains all of them.  (Contributed by Stefan O'Rear,
       7-Dec-2014.) $)
    df-rgspn $a |- RingSpan = ( w e. _V |-> ( s e. ~P ( Base ` w ) |->
        |^| { t e. ( SubRing ` w ) | s C_ t } ) ) $.
  $}

  ${
    $d s A $.  $d r s B $.  $d r s .1. $.  $d r s R $.
    issubrg.b $e |- B = ( Base ` R ) $.
    issubrg.i $e |- .1. = ( 1r ` R ) $.
    $( The subring predicate.  (Contributed by Stefan O'Rear, 27-Nov-2014.)
       (Proof shortened by AV, 12-Oct-2020.) $)
    issubrg $p |- ( A e. ( SubRing ` R ) <->
      ( ( R e. Ring /\ ( R |`s A ) e. Ring ) /\ ( A C_ B /\ .1. e. A ) ) ) $=
      ( vr vs csubrg cfv wcel crg cress co wa cv cur cbs cpw eleq1d crab mptrcl
      wss df-subrg simpll wceq fveq2 eqtr4di pweqd oveq1 anbi12d rabeqbidv pwex
      fvexi rabex fvmpt eleq2d oveq2 eleq2 elrab anbi1i an12 3bitri ibar anbi1d
      elpw2 syl5bb bitrd pm5.21nii ) ACIJZKZCLKZVLCAMNZLKZOZABUCZDAKZOZOZGLGPZH
      PZMNZLKZVTQJZWAKZOZHVTRJZSZUAZIACGHUDZUBVLVNVRUEVLVKACWAMNZLKZDWAKZOZHBSZ
      UAZKZVSVLVJWPAGCWIWPLIVTCUFZWFWNHWHWOWRWGBWRWGCRJBVTCRUGEUHUIWRWCWLWEWMWR
      WBWKLVTCWAMUJTWRWDDWAWRWDCQJDVTCQUGFUHTUKULWJWNHWOBBCREUNZUMUOUPUQWQVNVRO
      ZVLVSWQAWOKZVNVQOZOVPXBOWTWNXBHAWOWAAUFZWLVNWMVQXCWKVMLWAACMURTWAADUSUKUT
      XAVPXBABWSVFVAVPVNVQVBVCVLVNVOVRVLVNVDVEVGVHVI $.
  $}

  ${
    subrgss.1 $e |- B = ( Base ` R ) $.
    $( A subring is a subset.  (Contributed by Stefan O'Rear, 27-Nov-2014.) $)
    subrgss $p |- ( A e. ( SubRing ` R ) -> A C_ B ) $=
      ( csubrg cfv wcel wss cur crg cress co wa eqid issubrg simprbi simpld ) A
      CEFGZABHZCIFZAGZRCJGCAKLJGMSUAMABCTDTNOPQ $.

    $( Every ring is a subring of itself.  (Contributed by Stefan O'Rear,
       30-Nov-2014.) $)
    subrgid $p |- ( R e. Ring -> B e. ( SubRing ` R ) ) $=
      ( crg wcel cress co wss cur cfv wa csubrg id ressid eqeltrd eqid ringidcl
      ssid jctil issubrg syl21anbrc ) BDEZUBBAFGZDEAAHZBIJZAEZKABLJEUBMZUBUCBDA
      BDCNUGOUBUFUDABUECUEPZQARSAABUECUHTUA $.
  $}

  ${
    subrgring.1 $e |- S = ( R |`s A ) $.
    $( A subring is a ring.  (Contributed by Stefan O'Rear, 27-Nov-2014.) $)
    subrgring $p |- ( A e. ( SubRing ` R ) -> S e. Ring ) $=
      ( csubrg cfv wcel cress co crg wa cbs wss cur eqid issubrg simplbi simprd
      eqeltrid ) ABEFGZCBAHIZJDTBJGZUAJGZTUBUCKABLFZMBNFZAGKAUDBUEUDOUEOPQRS $.

    $( A subring of a commutative ring is a commutative ring.  (Contributed by
       Mario Carneiro, 10-Jan-2015.) $)
    subrgcrng $p |- ( ( R e. CRing /\ A e. ( SubRing ` R ) ) -> S e. CRing ) $=
      ( ccrg wcel csubrg cfv wa crg cmgp ccmn subrgring adantl cress co mgpress
      eqid cmnd crngmgp ringmgp syl eqeltrd subcmn syl2an2r eqeltrrd sylanbrc
      iscrng ) BEFZABGHZFZIZCJFZCKHZLFCEFUKUMUIABCDMNZULBKHZAOPZUNLABCUPEUJDUPR
      ZQZUIUPLFUKUQSFUQLFBUPURTULUQUNSUSULUMUNSFUOCUNUNRZUAUBUCAUPUQUQRUDUEUFCU
      NUTUHUG $.
  $}

  $( Reverse closure for a subring predicate.  (Contributed by Mario Carneiro,
     3-Dec-2014.) $)
  subrgrcl $p |- ( A e. ( SubRing ` R ) -> R e. Ring ) $=
    ( csubrg cfv wcel crg cress co wa cbs wss cur eqid issubrg simplbi simpld )
    ABCDEZBFEZBAGHFEZQRSIABJDZKBLDZAEIATBUATMUAMNOP $.

  $( A subring is a subgroup.  (Contributed by Mario Carneiro, 3-Dec-2014.) $)
  subrgsubg $p |- ( A e. ( SubRing ` R ) -> A e. ( SubGrp ` R ) ) $=
    ( csubrg cfv wcel cgrp cbs wss cress co csubg crg subrgrcl ringgrp syl eqid
    subrgss subrgring issubg syl3anbrc ) ABCDEZBFEZABGDZHBAIJZFEZABKDEUABLEUBAB
    MBNOAUCBUCPZQUAUDLEUEABUDUDPRUDNOUCABUFST $.

  ${
    subrg0.1 $e |- S = ( R |`s A ) $.
    subrg0.2 $e |- .0. = ( 0g ` R ) $.
    $( A subring always has the same additive identity.  (Contributed by Stefan
       O'Rear, 27-Nov-2014.) $)
    subrg0 $p |- ( A e. ( SubRing ` R ) -> .0. = ( 0g ` S ) ) $=
      ( csubrg cfv wcel csubg c0g wceq subrgsubg subg0 syl ) ABGHIABJHIDCKHLABM
      ABCDEFNO $.
  $}

  ${
    subrg1cl.a $e |- .1. = ( 1r ` R ) $.
    $( A subring contains the multiplicative identity.  (Contributed by Stefan
       O'Rear, 27-Nov-2014.) $)
    subrg1cl $p |- ( A e. ( SubRing ` R ) -> .1. e. A ) $=
      ( csubrg cfv wcel cbs wss crg cress co wa eqid issubrg simprbi simprd ) A
      BEFGZABHFZIZCAGZRBJGBAKLJGMTUAMASBCSNDOPQ $.
  $}

  ${
    subrgbas.b $e |- S = ( R |`s A ) $.
    $( Base set of a subring structure.  (Contributed by Stefan O'Rear,
       27-Nov-2014.) $)
    subrgbas $p |- ( A e. ( SubRing ` R ) -> A = ( Base ` S ) ) $=
      ( csubrg cfv wcel csubg cbs wceq subrgsubg subgbas syl ) ABEFGABHFGACIFJA
      BKABCDLM $.
  $}

  ${
    $d S x $.  $d R x $.  $d A x $.
    subrg1.1 $e |- S = ( R |`s A ) $.
    subrg1.2 $e |- .1. = ( 1r ` R ) $.
    $( A subring always has the same multiplicative identity.  (Contributed by
       Stefan O'Rear, 27-Nov-2014.) $)
    subrg1 $p |- ( A e. ( SubRing ` R ) -> .1. = ( 1r ` S ) ) $=
      ( vx cfv wcel cur cbs cmulr co wceq wa eqid crg oveqd eqeq1d syldan sylan
      csubrg cv wral subrg1cl subrgbas eleqtrd subrgss eqsstrrd sselda subrgrcl
      ringidmlem ressmulr anbi12d biimpa ralrimiva wb isringid mpbi2and eqtr4id
      subrgring syl ) ABUBHZIZDBJHZCJHZFVDVECKHZIZVEGUCZCLHZMZVINZVIVEVJMZVINZO
      ZGVGUDZVFVENZVDVEAVGABVEVEPZUEABCEUFZUGVDVOGVGVDVIVGIVIBKHZIZVOVDVGVTVIVD
      VGAVTVSAVTBVTPZUHUIUJVDWAVEVIBLHZMZVINZVIVEWCMZVINZOZVOVDBQIWAWHABUKVTBWC
      VEVIWBWCPZVRULUAVDWHVOVDWEVLWGVNVDWDVKVIVDWCVJVEVIABCWCVCEWIUMZRSVDWFVMVI
      VDWCVJVIVEWJRSUNUOTTUPVDCQIVHVPOVQUQABCEVAGVGCVJVFVEVGPVJPVFPURVBUSUT $.
  $}

  ${
    subrgacl.p $e |- .+ = ( +g ` R ) $.
    $( A subring is closed under addition.  (Contributed by Mario Carneiro,
       2-Dec-2014.) $)
    subrgacl $p |- ( ( A e. ( SubRing ` R ) /\ X e. A /\ Y e. A ) ->
      ( X .+ Y ) e. A ) $=
      ( csubrg cfv wcel csubg co subrgsubg subgcl syl3an1 ) ACGHIACJHIDAIEAIDEB
      KAIACLBACDEFMN $.
  $}

  ${
    subrgmcl.p $e |- .x. = ( .r ` R ) $.
    $( A subgroup is closed under multiplication.  (Contributed by Mario
       Carneiro, 2-Dec-2014.) $)
    subrgmcl $p |- ( ( A e. ( SubRing ` R ) /\ X e. A /\ Y e. A ) ->
      ( X .x. Y ) e. A ) $=
      ( csubrg cfv wcel w3a cress co cmulr cbs crg eqid subrgring 3ad2ant1 wceq
      eleqtrd simp2 subrgbas simp3 ringcl syl3anc ressmulr oveqd 3eltr4d ) ABGH
      ZIZDAIZEAIZJZDEBAKLZMHZLZUNNHZDECLAUMUNOIZDUQIEUQIUPUQIUJUKURULABUNUNPZQR
      UMDAUQUJUKULUAUJUKAUQSULABUNUSUBRZTUMEAUQUJUKULUCUTTUQUNUODEUQPUOPUDUEUMC
      UODEUJUKCUOSULABUNCUIUSFUFRUGUTUH $.
  $}

  ${
    subrgsubm.1 $e |- M = ( mulGrp ` R ) $.
    $( A subring is a submonoid of the multiplicative monoid.  (Contributed by
       Mario Carneiro, 15-Jun-2015.) $)
    subrgsubm $p |- ( A e. ( SubRing ` R ) -> A e. ( SubMnd ` M ) ) $=
      ( csubrg cfv wcel csubmnd cbs wss cur cress co cmnd eqid subrgss subrg1cl
      cmgp crg ringmgp subrgrcl mgpress mpancom subrgring syl eqeltrd wb mgpbas
      wceq w3a ringidval issubm2 3syl mpbir3and ) ABEFZGZACHFGZABIFZJZBKFZAGZCA
      LMZNGZAURBUROZPABUTUTOZQUPVBBALMZRFZNBSGZUPVBVGUIABUAZABVFCSUOVFOZDUBUCUP
      VFSGVGNGABVFVJUDVFVGVGOTUEUFUPVHCNGUQUSVAVCUJUGVIBCDTURAVBCUTURBCDVDUHBUT
      CDVEUKVBOULUMUN $.
  $}

  ${
    $d x y z A $.  $d x y z .|| $.  $d x y E $.  $d x y z R $.  $d z S $.
    subrgdvds.1 $e |- S = ( R |`s A ) $.
    subrgdvds.2 $e |- .|| = ( ||r ` R ) $.
    subrgdvds.3 $e |- E = ( ||r ` S ) $.
    $( If an element divides another in a subring, then it also divides the
       other in the parent ring.  (Contributed by Mario Carneiro,
       4-Dec-2014.) $)
    subrgdvds $p |- ( A e. ( SubRing ` R ) -> E C_ .|| ) $=
      ( vx vy vz cfv wcel cv wbr cbs cmulr co wrex eqid csubrg reldvdsr a1i cop
      wrel wa subrgbas subrgss eqsstrrd sseld ressmulr oveqd eqeq1d rexbidv wss
      wceq wi ssrexv syl sylbird anim12d dvdsr 3imtr4g df-br 3imtr3g relssdv )
      ACUALZMZIJEBEUEVHEDHUBUCVHINZJNZEOZVIVJBOZVIVJUDZEMVMBMVHVIDPLZMZKNZVIDQL
      ZRZVJUPZKVNSZUFVICPLZMZVPVICQLZRZVJUPZKWASZUFVKVLVHVOWBVTWFVHVNWAVIVHVNAW
      AACDFUGAWACWATZUHUIZUJVHVTWEKVNSZWFVHWEVSKVNVHWDVRVJVHWCVQVPVIACDWCVGFWCT
      ZUKULUMUNVHVNWAUOWIWFUQWHWEKVNWAURUSUTVAKVNEDVQVIVJVNTHVQTVBKWABCWCVIVJWG
      GWJVBVCVIVJEVDVIVJBVDVEVF $.
  $}

  ${
    $d x A $.  $d x R $.  $d x U $.  $d x V $.
    subrguss.1 $e |- S = ( R |`s A ) $.
    subrguss.2 $e |- U = ( Unit ` R ) $.
    subrguss.3 $e |- V = ( Unit ` S ) $.
    $( A unit of a subring is a unit of the parent ring.  (Contributed by Mario
       Carneiro, 4-Dec-2014.) $)
    subrguss $p |- ( A e. ( SubRing ` R ) -> V C_ U ) $=
      ( vx cfv wcel wa cur cdsr wbr eqid wceq adantr cmulr co coppr simpr sylib
      csubrg cv isunit simpld subrg1 breqtrrd wss subrgdvds ssbrd mpd cinvr cbs
      subrgbas subrgss eqsstrrd unitcl adantl subrgring ringinvcl sylan opprbas
      sseldd crg dvdsrmul syl2anc opprmul unitrinv oveqd 3eqtr4d eqtrid breqtrd
      ressmulr sylanbrc ex ssrdv ) ABUDJZKZIEDVTIUEZEKZWADKZVTWBLZWABMJZBNJZOZW
      AWEBUAJZNJZOWCWDWAWECNJZOWGWDWACMJZWEWJWDWAWKWJOZWAWKCUAJZNJZOZWDWBWLWOLV
      TWBUBWJCWMEWKWNWAHWKPZWJPZWMPWNPUFUCUGVTWEWKQWBABCWEFWEPZUHRZUIWDWJWFWAWE
      VTWJWFUJWBAWFBCWJFWFPZWQUKRULUMWDWAWACUNJZJZWAWHSJZTZWEWIWDWABUOJZKXBXEKW
      AXDWIOWDCUOJZXEWAWDXFAXEVTAXFQWBABCFUPRVTAXEUJWBAXEBXEPZUQRURZWBWAXFKVTXF
      CEWAXFPZHUSUTVEWDXFXEXBXHVTCVFKZWBXBXFKABCFVAZXFCEXAWAHXAPZXIVBVCVEXEWIWH
      XCWAXBXEBWHWHPZXGVDWIPZXCPZVGVHWDXDWAXBBSJZTZWEXEBXCXPWHXBWAXGXPPZXMXOVIW
      DWAXBCSJZTZWKXQWEVTXJWBXTWKQXKCXSEWKXAWAHXLXSPWPVJVCWDXPXSWAXBVTXPXSQWBAB
      CXPVSFXRVORVKWSVLVMVNWFBWHDWEWIWAGWRWTXMXNUFVPVQVR $.
  $}

  ${
    subrginv.1 $e |- S = ( R |`s A ) $.
    subrginv.2 $e |- I = ( invr ` R ) $.
    subrginv.3 $e |- U = ( Unit ` S ) $.
    subrginv.4 $e |- J = ( invr ` S ) $.
    $( A subring always has the same inversion function, for elements that are
       invertible.  (Contributed by Mario Carneiro, 4-Dec-2014.) $)
    subrginv $p |- ( ( A e. ( SubRing ` R ) /\ X e. U ) ->
      ( I ` X ) = ( J ` X ) ) $=
      ( cfv wcel cur cmulr co wceq adantr eqid syl2an2r csubrg crg cbs subrgrcl
      wa wss subrgbas subrgss eqsstrrd subrgring ringinvcl sseldd unitcl adantl
      sylan cui subrguss sselda ringass syl13anc unitlinv ressmulr oveqd subrg1
      3eqtr4d oveq1d unitrinv oveq2d 3eqtr3d ringlidm ringridm ) ABUALZMZGDMZUE
      ZBNLZGELZBOLZPZGFLZVPVRPZVQVTVOVTGVRPZVQVRPZVTGVQVRPZVRPZVSWAVOBUBMZVTBUC
      LZMZGWGMVQWGMZWCWEQVMWFVNABUDZRVOCUCLZWGVTVMWKWGUFVNVMWKAWGABCHUGAWGBWGSZ
      UHUIRZVMCUBMZVNVTWKMABCHUJZWKCDFGJKWKSZUKUOULZVOWKWGGWMVNGWKMVMWKCDGWPJUM
      UNULVMWFVNGBUPLZMZWIWJVMDWRGABCWRDHWRSZJUQURZWGBWREGWTIWLUKTZWGBVRVTGVQWL
      VRSZUSUTVOWBVPVQVRVOVTGCOLZPZCNLZWBVPVMWNVNXEXFQWOCXDDXFFGJKXDSXFSVAUOVOV
      RXDVTGVMVRXDQVNABCVRVLHXCVBRVCVMVPXFQVNABCVPHVPSZVDRVEVFVOWDVPVTVRVMWFVNW
      SWDVPQWJXABVRWRVPEGWTIXCXGVGTVHVIVMWFVNWIVSVQQWJXBWGBVRVPVQWLXCXGVJTVMWFV
      NWHWAVTQWJWQWGBVRVPVTWLXCXGVKTVI $.
  $}

  ${
    subrgdv.1 $e |- S = ( R |`s A ) $.
    subrgdv.2 $e |- ./ = ( /r ` R ) $.
    subrgdv.3 $e |- U = ( Unit ` S ) $.
    subrgdv.4 $e |- E = ( /r ` S ) $.
    $( A subring always has the same division function, for elements that are
       invertible.  (Contributed by Mario Carneiro, 4-Dec-2014.) $)
    subrgdv $p |- ( ( A e. ( SubRing ` R ) /\ X e. A /\ Y e. U ) ->
      ( X ./ Y ) = ( X E Y ) ) $=
      ( cfv wcel cinvr cmulr co wceq eqid 3ad2ant1 csubrg w3a subrginv ressmulr
      3adant2 oveq2d oveqd eqtrd cbs cui wss simp2 sseldd subrguss simp3 dvrval
      subrgss syl2anc subrgbas eleqtrd 3eqtr4d ) ACUAMZNZGANZHENZUBZGHCOMZMZCPM
      ZQZGHDOMZMZDPMZQZGHBQZGHFQZVFVJGVLVIQVNVFVHVLGVIVCVEVHVLRVDACDEVGVKHIVGSZ
      KVKSZUCUEUFVFVIVMGVLVCVDVIVMRVEACDVIVBIVISZUDTUGUHVFGCUIMZNHCUJMZNVOVJRVF
      AVTGVCVDAVTUKVEAVTCVTSZUQTVCVDVEULZUMVFEWAHVCVDEWAUKVEACDWAEIWASZKUNTVCVD
      VEUOZUMVTBCVIWAVGGHWBVSWDVQJUPURVFGDUIMZNVEVPVNRVFGAWFWCVCVDAWFRVEACDIUST
      UTWEWFFDVMEVKGHWFSVMSKVRLUPURVA $.
  $}

  ${
    $d x y A $.  $d x y G $.  $d x I $.  $d x y R $.  $d x y V $.  $d x S $.
    $d x X $.
    subrgugrp.1 $e |- S = ( R |`s A ) $.
    subrgugrp.2 $e |- U = ( Unit ` R ) $.
    subrgugrp.3 $e |- V = ( Unit ` S ) $.
    ${
      subrgunit.4 $e |- I = ( invr ` R ) $.
      $( An element of a ring is a unit of a subring iff it is a unit of the
         parent ring and both it and its inverse are in the subring.
         (Contributed by Mario Carneiro, 4-Dec-2014.) $)
      subrgunit $p |- ( A e. ( SubRing ` R ) ->
        ( X e. V <-> ( X e. U /\ X e. A /\ ( I ` X ) e. A ) ) ) $=
        ( cfv wcel eqid wceq adantr wbr cmulr co syl2anc csubrg w3a wa subrguss
        sselda cbs unitcl subrgbas eleqtrrd cinvr crg subrgring ringinvcl sylan
        adantl subrginv 3eltr4d 3jca cur coppr simpr2 eleqtrd dvdsrmul subrgrcl
        simpr3 simpr1 unitlinv ressmulr subrg1 3eqtr3d breqtrd opprbas unitrinv
        cdsr oveqd opprmul eqtrid isunit sylanbrc impbida ) ABUALZMZGFMZGDMZGAM
        ZGELZAMZUBZWBWCUCZWDWEWGWBFDGABCDFHIJUDUEWIGCUFLZAWCGWJMZWBWJCFGWJNZJUG
        UOWBAWJOZWCABCHUHZPZUIWIGCUJLZLZWJWFAWBCUKMWCWQWJMABCHULWJCFWPGJWPNZWLU
        MUNABCFEWPGHKJWRUPWOUQURWBWHUCZGCUSLZCVNLZQGWTCUTLZVNLZQWCWSGWFGCRLZSZW
        TXAWSWKWFWJMZGXEXAQWSGAWJWBWDWEWGVAWBWMWHWNPZVBZWSWFAWJWBWDWEWGVEXGVBZW
        JXACXDGWFWLXANZXDNZVCTWSWFGBRLZSZBUSLZXEWTWSBUKMZWDXMXNOWBXOWHABVDPZWBW
        DWEWGVFZBXLDXNEGIKXLNZXNNZVGTWSXLXDWFGWBXLXDOWHABCXLWAHXRVHPZVOWBXNWTOW
        HABCXNHXSVIPZVJVKWSGWFGXBRLZSZWTXCWSWKXFGYCXCQXHXIWJXCXBYBGWFWJCXBXBNZW
        LVLXCNZYBNZVCTWSYCGWFXDSZWTWJCYBXDXBWFGWLXKYDYFVPWSGWFXLSZXNYGWTWSXOWDY
        HXNOXPXQBXLDXNEGIKXRXSVMTWSXLXDGWFXTVOYAVJVQVKXACXBFWTXCGJWTNXJYDYEVRVS
        VT $.
    $}

    subrgugrp.4 $e |- G = ( ( mulGrp ` R ) |`s U ) $.
    $( The units of a subring form a subgroup of the unit group of the original
       ring.  (Contributed by Mario Carneiro, 4-Dec-2014.) $)
    subrgugrp $p |- ( A e. ( SubRing ` R ) -> V e. ( SubGrp ` G ) ) $=
      ( vx vy cfv wcel cv cmulr co wral cinvr eqid csubrg csubg wss c0 subrguss
      wne wa crg cur subrgring 1unit ne0i 3syl w3a wceq ressmulr 3ad2ant1 oveqd
      unitmulcl syl3an1 eqeltrd 3expa ralrimiva subrginv unitinvcl sylan jca wb
      cgrp subrgrcl unitgrp unitgrpbas cvv cplusg fvexi cmgp mgpplusg ressplusg
      cui ax-mp invrfval issubg2 mpbir3and ) ABUAMZNZFEUBMNZFDUCZFUDUFZKOZLOZBP
      MZQZFNZLFRZWIBSMZMZFNZUGZKFRZABCDFGHIUEWECUHNZCUIMZFNWHABCGUJZCFXAIXATUKF
      XAULUMWEWRKFWEWIFNZUGZWNWQXDWMLFWEXCWJFNZWMWEXCXEUNZWLWIWJCPMZQZFXFWKXGWI
      WJWEXCWKXGUOXEABCWKWDGWKTZUPUQURWEWTXCXEXHFNXBCXGFWIWJIXGTUSUTVAVBVCXDWPW
      ICSMZMZFABCFWOXJWIGWOTZIXJTZVDWEWTXCXKFNXBCFXJWIIXMVEVFVAVGVCWEBUHNEVINWF
      WGWHWSUNVHABVJBDEHJVKKLDWKFEWOBDEHJVLDVMNWKEVNMUODBVSHVODWKBVPMZEVMJBWKXN
      XNTXIVQVRVTBDEWOHJXLWAWBUMWC $.
  $}

  ${
    $d u v w x y A $.  $d u v w .1. $.  $d u v w x y R $.  $d u v w x y .x. $.
    issubrg2.b $e |- B = ( Base ` R ) $.
    issubrg2.o $e |- .1. = ( 1r ` R ) $.
    issubrg2.t $e |- .x. = ( .r ` R ) $.
    $( Characterize the subrings of a ring by closure properties.  (Contributed
       by Mario Carneiro, 3-Dec-2014.) $)
    issubrg2 $p |- ( R e. Ring -> ( A e. ( SubRing ` R ) <->
                     ( A e. ( SubGrp ` R ) /\ .1. e. A /\
                       A. x e. A A. y e. A ( x .x. y ) e. A ) ) ) $=
      ( wcel cfv cv co w3a wa wceq syl adantlr syldan vu vv vw crg csubrg csubg
      wral subrgsubg subrg1cl subrgmcl 3expb ralrimivva 3jca cress simpl cplusg
      wss cbs simpr1 eqid subgbas ressplusg cmulr ressmulr subggrp simpr3 oveq1
      cgrp eleq1d oveq2 rspc2v syl5com 3impib subgss sseld 3anim123d imp ringdi
      ringass ringdir simpr2 ringlidm isringd jca issubrg syl21anbrc ex impbid2
      ringridm ) EUDKZCEUELKZCEUFLZKZGCKZAMZBMZFNZCKZBCUGACUGZOZWKWMWNWSCEUHCEG
      IUIWKWRABCCWKWOCKWPCKWRCEFWOWPJUJUKULUMWJWTWKWJWTPZWJECUNNZUDKCDUQZWNPWKW
      JWTUOXAUAUBUCCEUPLZXBFGXAWMCXBURLQWJWMWNWSUSZCEXBXBUTZVARXAWMXDXBUPLQXECX
      DEXBWLXFXDUTZVBRXAWMFXBVCLQXECEXBFWLXFJVDRXAWMXBVHKXECEXBXFVERXAUAMZCKZUB
      MZCKZXHXJFNZCKZXAWSXIXKPXMWJWMWNWSVFWRXMXHWPFNZCKABXHXJCCWOXHQWQXNCWOXHWP
      FVGVIWPXJQXNXLCWPXJXHFVJVIVKVLVMXAXIXKUCMZCKZOZXHDKZXJDKZXODKZOZXLXOFNXHX
      JXOFNZFNQZXAXQYAXAXIXRXKXSXPXTXACDXHXAWMXCXEDCEHVNRZVOZXACDXJYDVOXACDXOYD
      VOVPVQZWJYAYCWTDEFXHXJXOHJVSSTXAXQYAXHXJXOXDNFNXLXHXOFNZXDNQZYFWJYAYHWTDX
      DEFXHXJXOHXGJVRSTXAXQYAXHXJXDNXOFNYGYBXDNQZYFWJYAYIWTDXDEFXHXJXOHXGJVTSTW
      JWMWNWSWAZXAXIXRGXHFNXHQZXAXIXRYEVQZWJXRYKWTDEFGXHHJIWBSTXAXIXRXHGFNXHQZY
      LWJXRYMWTDEFGXHHJIWISTWCXAXCWNYDYJWDCDEGHIWEWFWGWH $.
  $}

  ${
    $d x y z O $.  $d x y z R $.
    opprsubrg.o $e |- O = ( oppR ` R ) $.
    $( Being a subring is a symmetric property.  (Contributed by Mario
       Carneiro, 6-Dec-2014.) $)
    opprsubrg $p |- ( SubRing ` R ) = ( SubRing ` O ) $=
      ( vx vy vz csubrg cfv cv wcel crg subrgrcl csubg cmulr co wral w3a a1i wb
      eqid opprringb sylibr cur wceq opprsubg eleq2d ralcom cbs opprmul 2ralbii
      eleq1i bitr4i 3anbi13d issubrg2 opprbas oppr1 sylbi 3bitr4d pm5.21nii
      eqriv ) DAGHZBGHZDIZVAJZAKJZVCVBJZVCALVFBKJZVEVCBLABCUAZUBVEVCAMHZJZAUCHZ
      VCJZEIZFIZANHZOZVCJZFVCPEVCPZQVCBMHZJZVLVNVMBNHZOZVCJZEVCPFVCPZQZVDVFVEVJ
      VTVRWDVLVEVIVSVCVIVSUDVEABCUERUFVRWDSVEVRVQEVCPFVCPWDVQEFVCVCUGWCVQFEVCVC
      WBVPVCAUHHZAWAVOBVNVMWFTZVOTZCWATZUIUKUJULRUMEFVCWFAVOVKWGVKTZWHUNVEVGVFW
      ESVHFEVCWFBWAVKWFABCWGUOAVKBCWJUPWIUNUQURUSUT $.
  $}

  ${
    $d r x y R $.  $d r x y S $.
    $( The intersection of a nonempty collection of subrings is a subring.
       (Contributed by Stefan O'Rear, 30-Nov-2014.)  (Revised by Mario
       Carneiro, 7-Dec-2014.) $)
    subrgint $p |- ( ( S C_ ( SubRing ` R ) /\ S =/= (/) ) ->
      |^| S e. ( SubRing ` R ) ) $=
      ( vx vy vr cfv wss c0 wne wa wcel cur wral sylan adantlr ralrimiva elint2
      cv eqid sylibr csubrg cint csubg cmulr subrgsubg ssriv sstr mpan2 subgint
      co ssel2 subrg1cl syl fvex simprl elinti imp simprr subrgmcl syl3anc ovex
      ralrimivva crg w3a wb ssn0 wex n0 subrgrcl exlimiv cbs issubrg2 mpbir3and
      sylbi 3syl ) BAUAFZGZBHIZJZBUBZVPKZVTAUCFZKZALFZVTKZCRZDRZAUDFZUJZVTKZDVT
      MCVTMZVQBWBGZVRWCVQVPWBGWLEVPWBERZAUEUFBVPWBUGUHBAUINVSWDWMKZEBMWEVSWNEBV
      SWMBKZJWMVPKZWNVQWOWPVRBVPWMUKOZWMAWDWDSZULUMPEWDBALUNQTVSWJCDVTVTVSWFVTK
      ZWGVTKZJZJZWIWMKZEBMWJXBXCEBXBWOJWPWFWMKZWGWMKZXCVSWOWPXAWQOXBWSWOXDVSWSW
      TUOWSWOXDWFBWMUPUQNXBWTWOXEVSWSWTURWTWOXEWGBWMUPUQNWMAWHWFWGWHSZUSUTPEWIB
      WFWGWHVAQTVBVSVPHIZAVCKZWAWCWEWKVDVEBVPVFXGWPEVGXHEVPVHWPXHEWMAVIVJVNCDVT
      AVKFZAWHWDXISWRXFVLVOVM $.
  $}

  $( The intersection of two subrings is a subring.  (Contributed by Stefan
     O'Rear, 30-Nov-2014.)  (Revised by Mario Carneiro, 7-Dec-2014.) $)
  subrgin $p |- ( ( A e. ( SubRing ` R ) /\ B e. ( SubRing ` R ) ) ->
    ( A i^i B ) e. ( SubRing ` R ) ) $=
    ( csubrg cfv wcel wa cpr cint cin intprg wss c0 prssi prnzg adantr subrgint
    wne syl2anc eqeltrrd ) ACDEZFZBUAFZGZABHZIZABJUAABUAUAKUDUEUALUEMRZUFUAFABU
    ANUBUGUCABUAOPCUEQST $.

  ${
    $d B a $.  $d R a $.
    subrgmre.b $e |- B = ( Base ` R ) $.
    $( The subrings of a ring are a Moore system.  (Contributed by Stefan
       O'Rear, 9-Mar-2015.) $)
    subrgmre $p |- ( R e. Ring -> ( SubRing ` R ) e. ( Moore ` B ) ) $=
      ( va crg wcel csubrg cfv cpw cv wi wss subrgss velpw sylibr ssrdv subrgid
      a1i c0 wne cint subrgint 3adant1 ismred ) BEFZBGHZADUEDUFAIZDJZUFFZUHUGFZ
      KUEUIUHALUJUHABCMDANORPABCQUHUFLUHSTUHUAUFFUEBUHUBUCUD $.
  $}

  ${
    $d x A $.  $d x R $.  $d x S $.  $d x .0. $.
    issubdrg.s $e |- S = ( R |`s A ) $.
    issubdrg.z $e |- .0. = ( 0g ` R ) $.
    issubdrg.i $e |- I = ( invr ` R ) $.
    $( Characterize the subfields of a division ring.  (Contributed by Mario
       Carneiro, 3-Dec-2014.) $)
    issubdrg $p |- ( ( R e. DivRing /\ A e. ( SubRing ` R ) ) ->
      ( S e. DivRing <-> A. x e. ( A \ { .0. } ) ( I ` x ) e. A ) ) $=
      ( cdr wcel cfv wa cdif syl wceq wb eqid ad2antlr wss csubrg cv wral cinvr
      csn cbs crg cui simpllr subrgring c0g simpr eldifsn sylib simpld subrgbas
      eleqtrd simprd subrg0 neeqtrd drngunit mpbir2and syl2anc subrginv 3eltr4d
      wne ringinvcl ralrimiva subrguss isdrng simprbi ad2antrr unitss sseqtrrid
      cin sseqtrd ssind subrgss difin2 simprl sseldd simprr subrgunit mpbir3and
      sseqtrrd w3a expr ralimdva imp dfss3 sylibr eqssd sneqd difeq12d sylanbrc
      eqtrd impbida ) CJKZBCUALKZMZDJKZAUBZELZBKZABFUEZNZUCZWTXAMZXDAXFXHXBXFKZ
      MZXBDUDLZLZDUFLZXCBXJDUGKZXBDUHLZKZXLXMKXJWSXNWRWSXAXIUIZBCDGUJZOXJXPXBXM
      KZXBDUKLZVFZXJXBBXMXJXBBKZXBFVFZXJXIYBYCMZXHXIULXBBFUMZUNZUOXJWSBXMPZXQBC
      DGUPZOZUQXJXBFXTXJYBYCYFURXJWSFXTPZXQBCDFGHUSZOUTXAXPXSYAMQWTXIXMDXOXBXTX
      MRZXORZXTRZVASVBZXMDXOXKXBYMXKRZYLVGVCXJWSXPXCXLPXQYOBCDXOEXKXBGIYMYPVDVC
      YIVEVHWTXGMZXNXOXMXTUEZNZPXAWSXNWRXGXRSYQXOXFYSYQXOXFYQXOCUFLZXENZBVOZXFY
      QXOUUABYQXOCUHLZUUAWSXOUUCTWRXGBCDUUCXOGUUCRZYMVISWRUUCUUAPZWSXGWRCUGKUUE
      YTCUUCFYTRZUUDHVJVKVLVPYQXMXOBXMDXOYLYMVMWSYGWRXGYHSZVNVQYQBYTTZXFUUBPWSU
      UHWRXGBYTCUUFVRZSBXEYTVSOWEYQXPAXFUCZXFXOTWTXGUUJWTXDXPAXFWTXIXDXPWTXIXDM
      ZMZXPXBUUCKZYBXDUULUUMXBYTKZYCUULBYTXBWSUUHWRUUKUUISUULYBYCUULXIYDWTXIXDV
      TYEUNZUOZWAUULYBYCUUOURWRUUMUUNYCMQWSUUKYTCUUCXBFUUFUUDHVAVLVBUUPWTXIXDWB
      WSXPUUMYBXDWFQWRUUKBCDUUCEXOXBGUUDYMIWCSWDWGWHWIAXFXOWJWKWLYQBXMXEYRUUGYQ
      FXTWSYJWRXGYKSWMWNWPXMDXOXTYLYMYNVJWOWQ $.
  $}

  ${
    $d A a $.  $d R a $.  $d S a $.
    subsubrg.s $e |- S = ( R |`s A ) $.
    $( A subring of a subring is a subring.  (Contributed by Mario Carneiro,
       4-Dec-2014.) $)
    subsubrg $p |- ( A e. ( SubRing ` R ) -> ( B e. ( SubRing ` S ) <->
      ( B e. ( SubRing ` R ) /\ B C_ A ) ) ) $=
      ( csubrg cfv wcel wss crg cress cbs adantr wceq eqid adantl subrgring jca
      wa co cur subrgrcl subrgss subrgbas sseqtrrd oveq1i ressabs eqtrid syldan
      eqeltrrd sstrd subrg1 subrg1cl eqeltrd issubrg syl21anbrc ad2antrl simprr
      adantrl sseqtrd impbida ) ACFGZHZBDFGHZBVBHZBAIZSZVCVDSZVEVFVHCJHZCBKTZJH
      ZBCLGZIZCUAGZBHZSVEVCVIVDACUBMVHDBKTZVJJVCVDVFVPVJNZVHBDLGZAVDBVRIZVCBVRD
      VROZUCPVCAVRNZVDACDEUDZMUEZVCVFSVPCAKTZBKTVJDWDBKEUFABCVBUGUHZUIVDVPJHZVC
      BDVPVPOQPUJVHVMVOVHBAVLWCVCAVLIVDAVLCVLOZUCMUKVHVNDUAGZBVCVNWHNZVDACDVNEV
      NOZULZMVDWHBHZVCBDWHWHOZUMPUNRBVLCVNWGWJUOUPWCRVCVGSZDJHZWFVSWLSVDVCWOVGA
      CDEQMWNVPVJJVCVFVQVEWEUSVEVKVCVFBCVJVJOQUQUNWNVSWLWNBAVRVCVEVFURVCWAVGWBM
      UTWNVNWHBVCWIVGWKMVEVOVCVFBCVNWJUMUQUJRBVRDWHVTWMUOUPVA $.

    $( The set of subrings of a subring are the smaller subrings.  (Contributed
       by Stefan O'Rear, 9-Mar-2015.) $)
    subsubrg2 $p |- ( A e. ( SubRing ` R ) ->
        ( SubRing ` S ) = ( ( SubRing ` R ) i^i ~P A ) ) $=
      ( va csubrg cfv wcel cpw cin cv wss wa subsubrg elin anbi2i bitr2i bitrdi
      velpw eqrdv ) ABFGZHZECFGZUAAIZJZUBEKZUCHUFUAHZUFALZMZUFUEHZAUFBCDNUJUGUF
      UDHZMUIUFUAUDOUKUHUGEASPQRT $.
  $}

  ${
    $d M x y $.  $d R x y $.  $d S x y $.
    issubrg3.m $e |- M = ( mulGrp ` R ) $.
    $( A subring is an additive subgroup which is also a multiplicative
       submonoid.  (Contributed by Mario Carneiro, 7-Mar-2015.) $)
    issubrg3 $p |- ( R e. Ring -> ( S e. ( SubRing ` R ) <->
        ( S e. ( SubGrp ` R ) /\ S e. ( SubMnd ` M ) ) ) ) $=
      ( vx vy crg wcel csubrg cfv csubg cur cv cmulr wral wa eqid 3anass bitrdi
      w3a co csubmnd cbs issubrg2 cmnd wss wb ringmgp subgss ringidval mgpplusg
      mgpbas issubm baibd syl2an pm5.32da bitr4d ) AGHZBAIJHZBAKJHZALJZBHZEMFMA
      NJZUABHFBOEBOZPZPZUTBCUBJHZPURUSUTVBVDTVFEFBAUCJZAVCVAVHQZVAQZVCQZUDUTVBV
      DRSURUTVGVEURCUEHZBVHUFZVGVEUGUTACDUHVHBAVIUIVLVGVMVEVLVGVMVBVDTVMVEPEFVH
      VCBCVAVHACDVIULAVACDVJUJAVCCDVKUKUMVMVBVDRSUNUOUPUQ $.
  $}

  ${
    resrhm.u $e |- U = ( S |`s X ) $.
    $( Restriction of a ring homomorphism to a subring is a homomorphism.
       (Contributed by Mario Carneiro, 12-Mar-2015.) $)
    resrhm $p |- ( ( F e. ( S RingHom T ) /\ X e. ( SubRing ` S ) ) ->
        ( F |` X ) e. ( U RingHom T ) ) $=
      ( crh co wcel csubrg cfv wa crg cres cghm cmgp cmhm rhmrcl2 syl2an eqid
      subrgring anim12ci csubg rhmghm subrgsubg resghm csubmnd rhmmhm subrgsubm
      cress resmhm wceq rhmrcl1 mgpress sylan oveq1d eleqtrd jca isrhm sylanbrc
      ) DABGHIZEAJKZIZLZCMIZBMIZLDENZCBOHIZVGCPKZBPKZQHZIZLVGCBGHIVAVFVCVEABDRE
      ACFUAUBVDVHVLVADABOHIEAUCKIVHVCABDUDEAUEABCDEFUFSVDVGAPKZEUJHZVJQHZVKVADV
      MVJQHIEVMUGKIVGVOIVCABDVMVJVMTZVJTZUHEAVMVPUIVMVJVNDEVNTUKSVDVNVIVJQVAAMI
      VCVNVIULABDUMEACVMMVBFVPUNUOUPUQURCBVGVIVJVITVQUSUT $.
  $}

  $( The equalizer of two ring homomorphisms is a subring.  (Contributed by
     Stefan O'Rear, 7-Mar-2015.)  (Revised by Mario Carneiro, 6-May-2015.) $)
  rhmeql $p |- ( ( F e. ( S RingHom T ) /\ G e. ( S RingHom T ) ) ->
    dom ( F i^i G ) e. ( SubRing ` S ) ) $=
    ( crh co wcel cin cdm csubrg cfv csubg cmgp csubmnd cghm rhmghm syl2an eqid
    wa rhmmhm ghmeql cmhm mhmeql crg wb rhmrcl1 adantr issubrg3 syl mpbir2and )
    CABEFZGZDUKGZSZCDHIZAJKGZUOALKGZUOAMKZNKGZULCABOFZGDUTGUQUMABCPABDPABCDUAQU
    LCURBMKZUBFZGDVBGUSUMABCURVAURRZVARZTABDURVAVCVDTURVACDUCQUNAUDGZUPUQUSSUEU
    LVEUMABCUFUGAUOURVCUHUIUJ $.

  $( The homomorphic image of a subring is a subring.  (Contributed by Stefan
     O'Rear, 10-Mar-2015.)  (Revised by Mario Carneiro, 6-May-2015.) $)
  rhmima $p |- ( ( F e. ( M RingHom N ) /\ X e. ( SubRing ` M ) ) ->
      ( F " X ) e. ( SubRing ` N ) ) $=
    ( crh co wcel csubrg cfv wa cima csubg cmgp csubmnd rhmghm subrgsubg ghmima
    cghm syl2an eqid rhmmhm subrgsubm mhmima crg wb rhmrcl2 adantr issubrg3 syl
    cmhm mpbir2and ) ABCEFGZDBHIGZJZADKZCHIGZUOCLIGZUOCMIZNIGZULABCRFGDBLIGUQUM
    BCAODBPBCDAQSULABMIZURUJFGDUTNIGUSUMBCAUTURUTTZURTZUADBUTVAUBAUTURDUCSUNCUD
    GZUPUQUSJUEULVCUMBCAUFUGCUOURVBUHUIUK $.

  $( The range of a ring homomorphism is a subring.  (Contributed by SN,
     18-Nov-2023.) $)
  rnrhmsubrg $p |- ( F e. ( M RingHom N ) -> ran F e. ( SubRing ` N ) ) $=
    ( crh co wcel crn cbs cfv cima csubrg cres df-ima wfn wceq eqid fnresdm syl
    rhmf ffnd rneqd eqtr2id crg rhmrcl1 subrgid rhmima mpdan eqeltrd ) ABCDEFZA
    GZABHIZJZCKIZUIULAUKLZGUJAUKMUIUNAUIAUKNUNAOUIUKCHIZAUKUOBCAUKPZUOPSTUKAQRU
    AUBUIUKBKIFZULUMFUIBUCFUQBCAUDUKBUPUERABCUKUFUGUH $.

  ${
    $d x y z B $.  $d y z M $.  $d x y z R $.  $d x y z S $.  $d x y z Z $.
    cntzsubr.b $e |- B = ( Base ` R ) $.
    cntzsubr.m $e |- M = ( mulGrp ` R ) $.
    cntzsubr.z $e |- Z = ( Cntz ` M ) $.
    $( Centralizers in a ring are subrings.  (Contributed by Stefan O'Rear,
       6-Sep-2015.)  (Revised by Mario Carneiro, 19-Apr-2016.) $)
    cntzsubr $p |- ( ( R e. Ring /\ S C_ B ) ->
        ( Z ` S ) e. ( SubRing ` R ) ) $=
      ( vx vz wcel wa cfv co wral wceq syl2anc ralrimiva wb sselid vy crg csubg
      wss csubrg csubmnd c0 wne cv cplusg cminusg mgpbas cntzssv a1i c0g simpll
      cmulr ssel2 adantll eqid ringlz ringrz eqtr4d simpr ring0cl adantr cntzel
      mgpplusg mpbird simpl2 cntzi simpl3 oveq12d simpl1l simp1r sselda ringdir
      ne0d w3a syl13anc ringdi 3eqtr4d simp1l simp2 simp3 ringacl syl3anc 3expa
      fveq2d simplll ringmneg1 ringmneg2 cgrp ringgrp ad2antrr grpinvcl issubg2
      simplr jca syl mpbir3and cmnd ringmgp cntzsubm sylan issubrg3 mpbir2and )
      BUBKZCAUDZLZCEMZBUEMKZXKBUCMKZXKDUFMKZXJXMXKAUDZXKUGUHZIUIZUAUIZBUJMZNZXK
      KZUAXKOZXQBUKMZMZXKKZLZIXKOZXOXJACDEABDGFULZHUMZUNXJXKBUOMZXJYJXKKZYJJUIZ
      BUQMZNZYLYJYMNZPZJCOZXJYPJCXJYLCKZLZYNYJYOYSXHYLAKZYNYJPXHXIYRUPZXIYRYTXH
      CAYLURUSZABYMYLYJFYMUTZYJUTZVAQYSXHYTYOYJPUUAUUBABYMYLYJFUUCUUDVBQVCRXJXI
      YJAKZYKYQSXHXIVDXHUUEXIABYJFUUDVEVFJAYMCDYJEYHBYMDGUUCVHZHVGQVIVRXJYFIXKX
      JXQXKKZLZYBYEUUHYAUAXKXJUUGXRXKKZYAXJUUGUUIVSZYAXTYLYMNZYLXTYMNZPZJCOZUUJ
      UUMJCUUJYRLZXQYLYMNZXRYLYMNZXSNZYLXQYMNZYLXRYMNZXSNZUUKUULUUOUUPUUSUUQUUT
      XSUUOUUGYRUUPUUSPZXJUUGUUIYRVJZUUJYRVDZYMCDXQYLEUUFHVKZQUUOUUIYRUUQUUTPXJ
      UUGUUIYRVLZUVDYMCDXRYLEUUFHVKQVMUUOXHXQAKZXRAKZYTUUKUURPXHXIUUGUUIYRVNZUU
      OXKAXQYIUVCTZUUOXKAXRYIUVFTZUUJCAYLXHXIUUGUUIVOZVPZAXSBYMXQXRYLFXSUTZUUCV
      QVTUUOXHYTUVGUVHUULUVAPUVIUVMUVJUVKAXSBYMYLXQXRFUVNUUCWAVTWBRUUJXIXTAKZYA
      UUNSUVLUUJXHUVGUVHUVOXHXIUUGUUIWCUUJXKAXQYIXJUUGUUIWDTUUJXKAXRYIXJUUGUUIW
      ETAXSBXQXRFUVNWFWGJAYMCDXTEYHUUFHVGQVIWHRUUHYEYDYLYMNZYLYDYMNZPZJCOZUUHUV
      RJCUUHYRLZUUPYCMUUSYCMUVPUVQUVTUUPUUSYCUUGYRUVBXJUVEUSWIUVTABYMYCXQYLFUUC
      YCUTZXHXIUUGYRWJZUVTXKAXQYIXJUUGYRWRTZUUHCAYLXHXIUUGWRZVPZWKUVTABYMYCYLXQ
      FUUCUWAUWBUWEUWCWLWBRUUHXIYDAKZYEUVSSUWDUUHBWMKZUVGUWFXHUWGXIUUGBWNZWOUUH
      XKAXQYIXJUUGVDTABYCXQFUWAWPQJAYMCDYDEYHUUFHVGQVIWSRXJUWGXMXOXPYGVSSXHUWGX
      IUWHVFIUAAXSXKBYCFUVNUWAWQWTXAXHDXBKXIXNBDGXCACDEYHHXDXEXHXLXMXNLSXIBXKDG
      XFVFXG $.
  $}

  ${
    $d B x $.  $d F y z $.  $d I x $.  $d I y z $.  $d R x $.  $d R y z $.
    $d W x $.  $d W y z $.  $d Y x $.  $d Y y z $.
    pwsdiagrhm.y $e |- Y = ( R ^s I ) $.
    pwsdiagrhm.b $e |- B = ( Base ` R ) $.
    pwsdiagrhm.f $e |- F = ( x e. B |-> ( I X. { x } ) ) $.
    $( Diagonal homomorphism into a structure power (Rings).  (Contributed by
       Mario Carneiro, 12-Mar-2015.)  (Revised by Mario Carneiro,
       6-May-2015.) $)
    pwsdiagrhm $p |- ( ( R e. Ring /\ I e. W ) -> F e. ( R RingHom Y ) ) $=
      ( vy vz crg wcel wa co cfv eqid cbs eqidd cghm cmgp cmhm crh pwsring cgrp
      simpl ringgrp pwsdiagghm sylan cpws cmnd ringmgp mgpbas pwsdiagmhm cplusg
      wceq pwsmgp simpld simprd oveqdr mhmpropd eleqtrrd jca isrhm syl21anbrc
      cv ) CMNZEFNZOZVHGMNDCGUAPNZDCUBQZGUBQZUCPZNZODCGUDPNVHVIUGCEFGHUEVJVKVOV
      HCUFNVIVKCUHABCDEFGHIJUIUJVJDVLVLEUKPZUCPZVNVHVLULNVIDVQNCVLVLRZUMABVLDEF
      VPVPRZBCVLVRIUNJUOUJVJKLVLSQZVMSQZVLVMVLVPVJVTTZVJWATWBVJWAVPSQZUQZVMUPQZ
      VPUPQZUQZWAWCWEWFCEVLVMMFGVPHVRVSVMRZWARWCRWERWFRURZUSVJKVGZVTNLVGZVTNOOW
      JWKVLUPQPTVJWJWANWKWANOKLWEWFVJWDWGWIUTVAVBVCVDCGDVLVMVRWHVEVF $.
  $}

  ${
    $d s x y B $.  $d s x y K $.  $d s x y ph $.  $d s x y L $.
    subrgpropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    subrgpropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    subrgpropd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    subrgpropd.4 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( .r ` K ) y ) = ( x ( .r ` L ) y ) ) $.
    $( If two structures have the same group components (properties), they have
       the same set of subrings.  (Contributed by Mario Carneiro,
       9-Feb-2015.) $)
    subrgpropd $p |- ( ph -> ( SubRing ` K ) = ( SubRing ` L ) ) $=
      ( vs cfv crg wcel co wa wceq cvv eqid elv csubrg cv cbs wss cur ringpropd
      cress ineq2d ressbas eqtrdi cplusg elinel2 anim12i ressplusg oveqi sylan2
      cin 3eqtr3g cmulr anbi12d eqtr3d sseq2d rngidpropd eleq1d issubrg 3bitr4g
      ressmulr eqrdv ) AKEUALZFUALZAEMNZEKUBZUGOZMNZPZVLEUCLZUDZEUELZVLNZPZPFMN
      ZFVLUGOZMNZPZVLFUCLZUDZFUELZVLNZPZPVLVINVLVJNAVOWDVTWIAVKWAVNWCABCDEFGHIJ
      UFABCVLDUQZVMWBAWJVLVPUQZVMUCLZADVPVLGUHWKWLQKVLVPVMREVMSZVPSZUITUJAWJVLW
      EUQZWBUCLZADWEVLHUHWOWPQKVLWEWBRFWBSZWESZUITUJBUBZWJNZCUBZWJNZPZAWSDNZXAD
      NZPZWSXAVMUKLZOZWSXAWBUKLZOZQWTXDXBXEWSVLDULXAVLDULUMZAXFPZWSXAEUKLZOWSXA
      FUKLZOXHXJIXMXGWSXAXMXGQKVLXMEVMRWMXMSUNTUOXNXIWSXAXNXIQKVLXNFWBRWQXNSUNT
      UOURUPXCAXFWSXAVMUSLZOZWSXAWBUSLZOZQXKXLWSXAEUSLZOWSXAFUSLZOXPXRJXSXOWSXA
      XSXOQKVLEVMXSRWMXSSVGTUOXTXQWSXAXTXQQKVLFWBXTRWQXTSVGTUOURUPUFUTAVQWFVSWH
      AVPWEVLADVPWEGHVAVBAVRWGVLABCDEFGHJVCVDUTUTVLVPEVRWNVRSVEVLWEFWGWRWGSVEVF
      VH $.
  $}

  ${
    $d f x y J $.  $d f x y K $.  $d f x y L $.  $d f x y M $.  $d f x y ph $.
    $d x y B $.  $d x y C $.
    rhmpropd.a $e |- ( ph -> B = ( Base ` J ) ) $.
    rhmpropd.b $e |- ( ph -> C = ( Base ` K ) ) $.
    rhmpropd.c $e |- ( ph -> B = ( Base ` L ) ) $.
    rhmpropd.d $e |- ( ph -> C = ( Base ` M ) ) $.
    rhmpropd.e $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( x ( +g ` J ) y ) = ( x ( +g ` L ) y ) ) $.
    rhmpropd.f $e |- ( ( ph /\ ( x e. C /\ y e. C ) ) ->
        ( x ( +g ` K ) y ) = ( x ( +g ` M ) y ) ) $.
    rhmpropd.g $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( x ( .r ` J ) y ) = ( x ( .r ` L ) y ) ) $.
    rhmpropd.h $e |- ( ( ph /\ ( x e. C /\ y e. C ) ) ->
        ( x ( .r ` K ) y ) = ( x ( .r ` M ) y ) ) $.
    $( Ring homomorphism depends only on the ring attributes of structures.
       (Contributed by Mario Carneiro, 12-Jun-2015.) $)
    rhmpropd $p |- ( ph -> ( J RingHom K ) = ( L RingHom M ) ) $=
      ( co wcel cfv vf crh crg cghm cmgp cmhm ringpropd anbi12d ghmpropd eleq2d
      wa cv cbs eqid mgpbas eqtrdi cmulr cplusg mgpplusg oveqi 3eqtr3g mhmpropd
      isrhm 3bitr4g eqrdv ) AUAFGUBRZHIUBRZAFUCSZGUCSZUKZUAULZFGUDRZSZVKFUETZGU
      ETZUFRZSZUKZUKHUCSZIUCSZUKZVKHIUDRZSZVKHUETZIUETZUFRZSZUKZUKVKVFSVKVGSAVJ
      WAVRWHAVHVSVIVTABCDFHJLNPUGABCEGIKMOQUGUHAVMWCVQWGAVLWBVKABCDEFGHIJKLMNOU
      IUJAVPWFVKABCDEVNVOWDWEADFUMTZVNUMTJWIFVNVNUNZWIUNUOUPAEGUMTZVOUMTKWKGVOV
      OUNZWKUNUOUPADHUMTZWDUMTLWMHWDWDUNZWMUNUOUPAEIUMTZWEUMTMWOIWEWEUNZWOUNUOU
      PABULZDSCULZDSUKUKWQWRFUQTZRWQWRHUQTZRWQWRVNURTZRWQWRWDURTZRPWSXAWQWRFWSV
      NWJWSUNUSUTWTXBWQWRHWTWDWNWTUNUSUTVAAWQESWRESUKUKWQWRGUQTZRWQWRIUQTZRWQWR
      VOURTZRWQWRWEURTZRQXCXEWQWRGXCVOWLXCUNUSUTXDXFWQWRIXDWEWPXDUNUSUTVAVBUJUH
      UHFGVKVNVOWJWLVCHIVKWDWEWNWPVCVDVE $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Sub-division rings
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c SubDRing $.
  $( Syntax for subfields (sub-division-rings). $)
  csdrg $a class SubDRing $.

  ${
    $d s w $.
    $( A sub-division-ring is a subset of a division ring's set which is a
       division ring under the induced operation.  If the overring is
       commutative this is a field; no special consideration is made of the
       fields in the center of a skew field.  (Contributed by Stefan O'Rear,
       3-Oct-2015.) $)
    df-sdrg $a |- SubDRing = ( w e. DivRing |->
        { s e. ( SubRing ` w ) | ( w |`s s ) e. DivRing } ) $.
  $}

  ${
    $d s w R $.  $d s S $.
    $( Property of a division subring.  (Contributed by Stefan O'Rear,
       3-Oct-2015.) $)
    issdrg $p |- ( S e. ( SubDRing ` R ) <-> ( R e. DivRing /\
        S e. ( SubRing ` R ) /\ ( R |`s S ) e. DivRing ) ) $=
      ( vw vs csdrg cfv wcel cdr csubrg cress co wa cv crab df-sdrg mptrcl wceq
      w3a fveq2 eleq1d oveq1 rabeqbidv rabex fvmpt eleq2d oveq2 bitrdi biadanii
      fvex elrab 3anass bitr4i ) BAEFZGZAHGZBAIFZGZABJKZHGZLZLUOUQUSRUNUOUTCHCM
      ZDMZJKZHGZDVAIFZNZEBACDOZPUOUNBAVBJKZHGZDUPNZGUTUOUMVJBCAVFVJHEVAAQZVDVID
      VEUPVAAISVKVCVHHVAAVBJUATUBVGVIDUPAIUIUCUDUEVIUSDBUPVBBQVHURHVBBAJUFTUJUG
      UHUOUQUSUKUL $.
  $}

  ${
    sdrgid.1 $e |- B = ( Base ` R ) $.
    $( Every division ring is a division subring of itself.  (Contributed by
       Thierry Arnoux, 21-Aug-2023.) $)
    sdrgid $p |- ( R e. DivRing -> B e. ( SubDRing ` R ) ) $=
      ( cdr wcel csubrg cfv cress csdrg crg drngring subrgid syl ressid eqeltrd
      co id issdrg syl3anbrc ) BDEZTABFGEZBAHPZDEABIGETQZTBJEUABKABCLMTUBBDABDC
      NUCOBARS $.

    $( A division subring is a subset of the base set.  (Contributed by Thierry
       Arnoux, 21-Aug-2023.) $)
    sdrgss $p |- ( S e. ( SubDRing ` R ) -> S C_ B ) $=
      ( csdrg cfv wcel cdr csubrg cress w3a wss issdrg subrgss 3ad2ant2 sylbi
      co ) CBEFGBHGZCBIFGZBCJQHGZKCALZBCMSRUATCABDNOP $.
  $}

  ${
    $d x R $.  $d x S $.  $d x .0. $.
    issdrg2.i $e |- I = ( invr ` R ) $.
    issdrg2.z $e |- .0. = ( 0g ` R ) $.
    $( Property of a division subring (closure version).  (Contributed by Mario
       Carneiro, 3-Oct-2015.) $)
    issdrg2 $p |- ( S e. ( SubDRing ` R ) <-> ( R e. DivRing /\
        S e. ( SubRing ` R ) /\ A. x e. ( S \ { .0. } ) ( I ` x ) e. S ) ) $=
      ( csdrg cfv wcel cdr csubrg cress co w3a cv csn cdif wa df-3an wral bitri
      issdrg eqid issubdrg pm5.32i 3bitr4i ) CBHIJBKJZCBLIJZBCMNZKJZOZUHUIAPDIC
      JACEQRUAZOZBCUCUHUISZUKSUOUMSULUNUOUKUMACBUJDEUJUDGFUEUFUHUIUKTUHUIUMTUGU
      B $.
  $}

  ${
    $d a b V $.  $d a E $.  $d a b X $.  $d a b Y $.
    $( Construction of a closure rule from a one-parameter _partial_ operation.
       (Contributed by Stefan O'Rear, 12-Sep-2015.) $)
    acsfn1p $p |- ( ( X e. V /\ A. b e. Y E e. X ) ->
        { a e. ~P X | A. b e. ( a i^i Y ) E e. a } e. ( ACS ` X ) ) $=
      ( wcel wral wa cpw cin cv csn wss wi crab ciin cacs cfv sseli riinrab vex
      inss2 biantrud snss bicomi elin 3bitr4g imbi1d ralbiia elpwi ssrind ralss
      wb adantl syl bitr4id rabbidva eqtrid cmre mreacs adantr ssralv ax-mp cfn
      simpll simpr inss1 ad2antlr snssd snfi a1i acsfn syl22anc ex ralimdva imp
      syl5 mreriincl syl2anc eqeltrrd ) CBGZACGZFDHZIZCJZFCDKZFLZMZELZNZAWJGZOZ
      EWFPZQKZWLFWJDKZHZEWFPZCRSZWEWOWMFWGHZEWFPWRWMFEWFWGUAWEWTWQEWFWEWJWFGZIZ
      WTWHWPGZWLOZFWGHZWQWMXDFWGWHWGGZWKXCWLXFWHWJGZXGWHDGZIWKXCXFXHXGWGDWHCDUC
      ZTUDXGWKWHWJFUBUEUFWHWJDUGUHUIUJXBWPWGNZWQXEUNXAXJWEXAWJCDWJCUKULUOWLFWPW
      GUMUPUQURUSWEWSWFUTSGZWNWSGZFWGHZWOWSGWBXKWDBCVAVBWBWDXMWDWCFWGHZWBXMWGDN
      WDXNOXIWCFWGDVCVDWBWCXLFWGWBXFIZWCXLXOWCIZWBWCWICNWIVEGZXLWBXFWCVFXOWCVGX
      PWHCXFWHCGWBWCWGCWHCDVHTVIVJXQXPWHVKVLWIABCEVMVNVOVPVRVQFWSWNWGWFVSVTWA
      $.
  $}

  ${
    $d s x y B $.  $d s x y R $.
    subrgacs.b $e |- B = ( Base ` R ) $.
    $( Closure property of subrings.  (Contributed by Stefan O'Rear,
       12-Sep-2015.) $)
    subrgacs $p |- ( R e. Ring -> ( SubRing ` R ) e. ( ACS ` B ) ) $=
      ( vx crg wcel csubrg cfv csubg cmgp csubmnd cacs cv wa eqid issubrg3 elin
      cin cvv syl bitr4di eqrdv cpw cmre fvexi mreacs mp1i cgrp ringgrp subgacs
      cbs cmnd ringmgp mgpbas submacs mreincl syl3anc eqeltrd ) BEFZBGHZBIHZBJH
      ZKHZRZALHZUSDUTVDUSDMZUTFVFVAFVFVCFNVFVDFBVFVBVBOZPVFVAVCQUAUBUSVEAUCZUDH
      FZVAVEFZVCVEFZVDVEFASFVIUSABUKCUESAUFUGUSBUHFVJBUIABCUJTUSVBULFVKBVBVGUMA
      VBABVBVGCUNUOTVAVCVEVHUPUQUR $.

    $( Closure property of division subrings.  (Contributed by Mario Carneiro,
       3-Oct-2015.) $)
    sdrgacs $p |- ( R e. DivRing -> ( SubDRing ` R ) e. ( ACS ` B ) ) $=
      ( vx vy vs cdr wcel cfv cv wceq wral wa cdif eqid wb wi eleq1d syl cvv wn
      csdrg csubrg c0g cinvr cif cpw crab cin cacs csn w3a issdrg2 3anass bitri
      baib subrgss velpw sylibr adantl iftrue biimprd eldifsni necon2bi pm2.21d
      wss 2thd eldifsn rbaibr ifnefalse imbi12d pm2.61ine ralbii2 difeq1 eleq2w
      wne raleqbidv syl5bb elrab3 pm5.32da bitr4d elin bitr4di eqrdv cmre fvexi
      cbs mreacs mp1i drngring subrgacs simplr df-ne drnginvrcl sylan2br ifclda
      crg 3expa ralrimiva acsfn1 sylancr mreincl syl3anc eqeltrd ) BGHZBUBIZBUC
      IZDJZBUDIZKZXHXHBUEIZIZUFZEJZHZDXNLZEAUGZUHZUIZAUJIZXEFXFXSXEFJZXFHZYAXGH
      ZYAXRHZMZYAXSHXEYBYCXLYAHZDYAXIUKZNZLZMZYEYBXEYJYBXEYCYIULXEYJMDBYAXKXIXK
      OZXIOZUMXEYCYIUNUOUPXEYCYDYIXEYCMYAXQHZYDYIPYCYMXEYCYAAVFYMYAABCUQFAURUSU
      TXPYIEYAXQXPXLXNHZDXNYGNZLXNYAKZYIXOYNDXNYOXHXNHZXOQZXHYOHZYNQZPXHXIXJYRY
      TXJXOYQXJXMXHXNXJXHXLVARVBXJYSYNYSXHXIXHXNXIVCVDVEVGXHXIVPZYQYSXOYNYSYQUU
      AXHXNXIVHVIUUAXMXLXNXHXIXHXLVJRVKVLVMYPYNYFDYOYHXNYAYGVNEFXLVOVQVRVSSVTWA
      YAXGXRWBWCWDXEXTXQWEIHZXGXTHZXRXTHZXSXTHATHZUUBXEABWGCWFZTAWHWIXEBWQHUUCB
      WJABCWKSXEUUEXMAHZDALUUDUUFXEUUGDAXEXHAHZMZXJXHXLAXEUUHXJWLXJUAUUIUUAXLAH
      ZXHXIWMXEUUHUUAUUJABXKXHXICYLYKWNWRWOWPWSXMTAEDWTXAXGXRXTXQXBXCXD $.
  $}

  ${
    $d x y B $.  $d y M $.  $d x y R $.  $d x y S $.  $d x y Z $.
    cntzsdrg.b $e |- B = ( Base ` R ) $.
    cntzsdrg.m $e |- M = ( mulGrp ` R ) $.
    cntzsdrg.z $e |- Z = ( Cntz ` M ) $.
    $( Centralizers in division rings/fields are subfields.  (Contributed by
       Mario Carneiro, 3-Oct-2015.) $)
    cntzsdrg $p |- ( ( R e. DivRing /\ S C_ B ) ->
        ( Z ` S ) e. ( SubDRing ` R ) ) $=
      ( vx vy wcel wss wa cfv cdif co wceq cress eqid syl2anc cdr csubrg cv c0g
      cinvr csn csdrg simpl crg drngring cntzsubr sylan cmulr oveq2 eqeq12d wne
      wral oveq1 eldifsn cminusg cui cmgp oveq1i invrfval isdrng simprbi oveq2d
      ccntz fveq2d eqtrid ad2antrr fveq1d csubg cgrp drngmgp ssdif ad2antlr cbs
      difss mgpbas ressbas2 ax-mp cntzsubg cin cntz2ss sylancl ssdifssd cntzssv
      simpr sselda mp1i elind fvexi resscntz sylancr eleqtrrd subginvcl eqeltrd
      cvv difexi cplusg mgpplusg ressplusg cntzi sylan2br anassrs adantr eldifi
      ad3antrrr adantl sselid eldifsni drnginvrcl ringrz ringlz eqtr4d pm2.61ne
      syl3anc ralrimiva wb simplr cntzel mpbird issdrg2 syl3anbrc ) BUAKZCALZMZ
      YFCENZBUBNKZIUCZBUENZNZYIKZIYIBUDNZUFZOZUQYIBUGNKYFYGUHZYFBUIKZYGYJBUJZAB
      CDEFGHUKULYHYNIYQYHYKYQKZMZYNYMJUCZBUMNZPZUUCYMUUDPZQZJCUQZUUBUUGJCUUBUUC
      CKZMZUUGYMYOUUDPZYOYMUUDPZQUUCYOUUCYOQUUEUUKUUFUULUUCYOYMUUDUNUUCYOYMUUDU
      RUOUUBUUIUUCYOUPZUUGUUIUUMMUUBUUCCYPOZKZUUGUUCCYOUSUUBYMUUNDAYPOZRPZVHNZN
      ZKUUOUUGUUBYMYKUUQUTNZNZUUSUUBYKYLUUTYFYLUUTQYGUUAYFYLDBVANZRPZUTNUUTBUVB
      UVCYLUVBSZDBVBNZUVBRGVCYLSZVDYFUVCUUQUTYFUVBUUPDRYFYSUVBUUPQABUVBYOFUVDYO
      SZVEVFVGVIVJVKVLUUBUUSUUQVMNKZYKUUSKUVAUUSKUUBUUQVNKZUUNUUPLZUVHYFUVIYGUU
      AABUUQYOFUVGDUVEUUPRGVCVOVKYGUVJYFUUACAYPVPVQZUUPUUNUUQUURUUPALUUPUUQVRNQ
      AYPVSUUPAUUQDUUQSZABDGFVTZWAWBUURSZWCTUUBYKUUNENZUUPWDZUUSUUBUVOUUPYKYHYQ
      UVOYKYHYIUVOYPYHYGUUNCLYIUVOLYFYGWICYPVSACUUNDEUVMHWEWFWGWJYHYQUUPYKYIALY
      QUUPLYHACDEUVMHWHZYIAYPVPWKWJWLUUBUUPWSKZUVJUUSUVPQAYPABVRFWMWTZUVKUUPUUN
      DUUQWSUUREUVLHUVNWNWOWPUUSUUQUUTYKUUTSWQTWRUUDUUNUUQYMUUCUURUVRUUDUUQXANQ
      UVSUUPUUDDUUQWSUVLBUUDDGUUDSZXBZXCWBUVNXDULXEXFUUJUUKYOUULUUJYSYMAKZUUKYO
      QYFYSYGUUAUUIYTXIZUUBUWBUUIUUBYFYKAKYKYOUPZUWBYHYFUUAYRXGUUBYIAYKUVQUUAYK
      YIKYHYKYIYPXHXJXKUUAUWDYHYKYIYOXLXJABYLYKYOFUVGUVFXMXRZXGZABUUDYMYOFUVTUV
      GXNTUUJYSUWBUULYOQUWCUWFABUUDYMYOFUVTUVGXOTXPXQXSUUBYGUWBYNUUHXTYFYGUUAYA
      UWEJAUUDCDYMEUVMUWAHYBTYCXSIBYIYLYOUVFUVGYDYE $.
  $}

  ${
    $d L s $.  $d R s $.  $d S s $.  $d ph s $.
    subdrgint.1 $e |- L = ( R |`s |^| S ) $.
    subdrgint.2 $e |- ( ph -> R e. DivRing ) $.
    subdrgint.3 $e |- ( ph -> S C_ ( SubRing ` R ) ) $.
    subdrgint.4 $e |- ( ph -> S =/= (/) ) $.
    subdrgint.5 $e |- ( ( ph /\ s e. S ) -> ( R |`s s ) e. DivRing ) $.
    $( The intersection of a nonempty collection of sub division rings is a sub
       division ring.  (Contributed by Thierry Arnoux, 21-Aug-2023.) $)
    subdrgint $p |- ( ph -> L e. DivRing ) $=
      ( wcel cfv cdif cress co cgrp wss syl wceq eqid crg cmgp cbs c0g csn cint
      cdr csubrg c0 wne subrgint syl2anc subrgring fveq2i oveq1i mgpress oveq1d
      difssd subrgss ressbas2 3syl sseqtrrd ressabs eqtr3d ciin eqtr3di difeq1d
      intiin oveq2d cmpt crn vex difexi dfiin3 iindif1 eqtr3id cvv difss mgpbas
      cv ax-mp fvexi ciun iinssiun wa csubg subrgsubg ssriv sstrdi subg0 adantr
      subgint sneqd difeq2d sselda ssdifd eqsstrrd sstrd eqsstrrid sylancr wral
      iunssd drngmgp sseqtrdi sylan eqcomd oveq12d simpr subrg0 difeq12d issubg
      eqeltrd eqeltrrd syl3anbrc ralrimiva rnmptss cdm dmmptg difexg a1i dm0rn0
      mprg eqnetrd necon3bii sylib subggrp eqeltrid isdrng2 sylanbrc ) ADUAKZDU
      BLZDUCLZDUDLZUEZMZNOZPKDUGKACUFZBUHLZKZYJACYRQCUIUJZYSHIBCUKULZYQBDFUMRAY
      PBYQNOZUBLZYONOZPYKUUCYONDUUBUBFUNUOAUUDBUBLZYONOZPAUUEYQNOZYONOZUUDUUFAU
      UGUUCYONABUGKZYSUUGUUCSGUUAYQBUUBUUEUGYRUUBTUUETZUPULUQAYSYOYQQUUHUUFSUUA
      AYOYLYQAYLYNURAYSYQBUCLZQYQYLSUUAYQUUKBUUKTZUSYQUUKDBFUULUTVAZVBYQYOUUEYR
      VCULVDAUUFUUEECEVTZVEZYNMZNOZPAYOUUPUUENAYLUUOYNAYQYLUUOUUMECVHVFVGVIAUUE
      ECUUNYNMZVJZVKZUFZNOZUUQPAUVAUUPUUENAUVAECUURVEZUUPECUURUUNYNEVLVMVNZAYTU
      VCUUPSIECUUNYNVORVPVIAUUEUUKBUDLZUEZMZNOZUVANOZUVBPAUVGVQKZUVAUVGQUVIUVBS
      UVGUVHUCUVGUUKQUVGUVHUCLZSUUKUVFVRUVGUUKUVHUUEUVHTZUUKBUUEUUJUULVSUTWAZWB
      ZAUVAUVCUVGUVDAUVCECUURWCZUVGAYTUVCUVOQIECUURWDRAECUURUVGAUUNCKZWEZUURUUN
      UVFMZUVGUVQUVFYNUUNUVQUVEYMAUVEYMSZUVPAYQBWFLZKZUVSACUVTQYTUWAACYRUVTHEYR
      UVTUUNBWGWHWIICBWLULYQBDUVEFUVETZWJRWKWMWNZUVQUUNUUKUVFUVQUUNYRKZUUNUUKQZ
      ACYRUUNHWOZUUNUUKBUULUSZRWPWQZXBWRWSUVGUVAUUEVQVCWTAUVAUVHWFLZKZUVIPKAUUT
      UWIQZUUTUIUJZUWJAUURUWIKZECXAUWKAUWMECUVQUVHPKZUURUVKQUVHUURNOZPKUWMAUWNU
      VPAUUIUWNGUUKBUVHUVEUULUWBUVLXCRWKUVQUURUVGUVKUWHUVMXDUVQUWOUUEUURNOZPUVQ
      UVJUURUVGQUWOUWPSUVNUWHUVGUURUUEVQVCWTUVQBUUNNOZUBLZUVRNOZUWPPUVQUUEUUNNO
      ZUURNOZUWSUWPUVQUWTUWRUURUVRNAUUIUVPUWTUWRSGUUNBUWQUUEUGCUWQTZUUJUPXEUVQU
      VRUURUWCXFXGUVQUVPUURUUNQUXAUWPSAUVPXHUVQUUNYNURUUNUURUUECVCULVDUVQUWSUWR
      UWQUCLZUWQUDLZUEZMZNOZPUVQUVRUXFUWRNUVQUUNUXCUVFUXEUVQUWDUWEUUNUXCSUWFUWG
      UUNUUKUWQBUXBUULUTVAUVQUVEUXDUVQUWDUVEUXDSUWFUUNBUWQUVEUXBUWBXIRWMXJVIUVQ
      UWQUGKUXGPKJUXCUWQUXGUXDUXCTUXDTUXGTXCRXLXMXLUVKUURUVHUVKTXKXNXOECUURUWIU
      USUUSTXPRAUUSXQZUIUJUWLAUXHCUIUXHCSZAUURVQKUXIECECUURVQXRUUNYNCXSYBXTIYCU
      XHUIUUTUIUUSYAYDYEUUTUVHWLULUVAUVHUVIUVITYFRXMXMXLXLYGYLDYPYMYLTYMTYPTYHY
      I $.
  $}

  ${
    $d R s $.  $d S s $.
    $( The intersection of a nonempty collection of sub division rings is a sub
       division ring.  (Contributed by Thierry Arnoux, 21-Aug-2023.) $)
    sdrgint $p |- ( ( R e. DivRing /\ S C_ ( SubDRing ` R ) /\ S =/= (/) ) ->
       |^| S e. ( SubDRing ` R ) ) $=
      ( vs cdr wcel csdrg cfv wss c0 wne w3a csubrg cress co simp1 simp2 issdrg
      cint cv simp2bi ssriv sstrdi simp3 subrgint syl2anc wa sselda simp3bi syl
      eqid subdrgint syl3anbrc ) ADEZBAFGZHZBIJZKZUMBRZALGZEZAURMNZDEURUNEUMUOU
      POZUQBUSHUPUTUQBUNUSUMUOUPPZCUNUSCSZUNEZUMVDUSEZAVDMNDEZAVDQZTUAUBZUMUOUP
      UCZABUDUEUQABVACVAUJVBVIVJUQVDBEUFVEVGUQBUNVDVCUGVEUMVFVGVHUHUIUKAURQUL
      $.
  $}

  ${
    $d P s $.  $d P x y $.  $d R s $.  $d R x y $.
    primefld.1 $e |- P = ( R |`s |^| ( SubDRing ` R ) ) $.
    $( The smallest sub division ring of a division ring, here named ` P ` , is
       a field, called the _Prime Field_ of ` R ` .  (Suggested by GL,
       4-Aug-2023.)  (Contributed by Thierry Arnoux, 21-Aug-2023.) $)
    primefld $p |- ( R e. DivRing -> P e. Field ) $=
      ( vs vx vy cdr wcel cfv wss cv co cbs eqid cmulr wceq wral syl wa syl2anc
      ccrg cfield csdrg id csubrg cress issdrg simp2bi ssriv a1i sdrgid simp3bi
      ne0d adantl subdrgint crg drngring cmgp ccntr ccntz ssidd cntzsdrg intss1
      cint mgpbas sseqtrdi cntrss sstrdi ressbas2 eqsstrrd adantr simprl sseldd
      cntrval simprr mgpplusg cntri cvv ssexd oveqdr 3eqtr3d ralrimivva iscrng2
      ressmulr sylanbrc isfld ) BGHZAGHZAUAHZAUBHWGBBUCIZADCWGUDZWJBUEIZJWGDWJW
      LDKZWJHZWGWMWLHZBWMUFLGHZBWMUGZUHUIUJWGWJBMIZWRBWRNZUKZUMWNWPWGWNWGWOWPWQ
      ULUNUOZWGAUPHZEKZFKZAOIZLZXDXCXELZPZFAMIZQEXIQWIWGWHXBXAAUQRWGXHEFXIXIWGX
      CXIHZXDXIHZSZSZXCXDBOIZLZXDXCXNLZXFXGXMXCBURIZUSIZHXDWRHXOXPPXMXIXRXCWGXI
      XRJXLWGXIWJVDZXRWGXSWRJXSXIPWGXSXRWRWGXSWRXQUTIZIZXRWGYAWJHZXSYAJWGWGWRWR
      JYBWKWGWRVAWRBWRXQXTWSXQNZXTNZVBTYAWJVCRWRXQXTWRBXQYCWSVEZYDVNVFZWRXQYEVG
      VHZXSWRABCWSVIRZYFVJVKWGXJXKVLVMXMXIWRXDWGXIWRJXLWGXIXSWRYHYGVJVKWGXJXKVO
      VMWRXNXQXCXDXRYEBXNXQYCXNNZVPXRNVQTWGXLEFXNXEWGXSVRHXNXEPWGXSWRWJWTYGVSXS
      BAXNVRCYIWDRZVTWGXLFEXNXEYJVTWAWBEFXIAXEXINXENWCWEAWFWE $.
  $}

  ${
    $d R s $.
    primefld0cl.1 $e |- .0. = ( 0g ` R ) $.
    $( The prime field contains the neutral element of the division ring.
       (Contributed by Thierry Arnoux, 22-Aug-2023.) $)
    primefld0cl $p |- ( R e. DivRing -> .0. e. |^| ( SubDRing ` R ) ) $=
      ( vs cdr wcel csdrg cfv csubg wss c0 wne cv wi csubrg cress co issdrg syl
      cint simp2bi subrgsubg a1i ssrdv eqid sdrgid ne0d subgint syl2anc subg0cl
      cbs ) AEFZAGHZTZAIHZFZBUNFULUMUOJUMKLUPULDUMUODMZUMFZUQUOFZNULURUQAOHFZUS
      URULUTAUQPQEFAUQRUAUQAUBSUCUDULUMAUKHZVAAVAUEUFUGUMAUHUIUNABCUJS $.
  $}

  ${
    $d R s $.
    primefld1cl.1 $e |- .1. = ( 1r ` R ) $.
    $( The prime field contains the multiplicative neutral element of the
       division ring.  (Contributed by Thierry Arnoux, 22-Aug-2023.) $)
    primefld1cl $p |- ( R e. DivRing -> .1. e. |^| ( SubDRing ` R ) ) $=
      ( vs cdr wcel csdrg cfv cint csubrg wss c0 wne cv wi cress issdrg simp2bi
      co a1i ssrdv cbs eqid sdrgid ne0d subrgint syl2anc subrg1cl syl ) AEFZAGH
      ZIZAJHZFZBULFUJUKUMKUKLMUNUJDUKUMDNZUKFZUOUMFZOUJUPUJUQAUOPSEFAUOQRTUAUJU
      KAUBHZURAURUCUDUEAUKUFUGULABCUHUI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Absolute value (abstract algebra)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c AbsVal $. $( Absolute value function $)

  $( The set of absolute values on a ring. $)
  cabv $a class AbsVal $.

  ${
    $d f r x y $.
    $( Define the set of absolute values on a ring.  An absolute value is a
       generalization of the usual absolute value function ~ df-abs to
       arbitrary rings.  (Contributed by Mario Carneiro, 8-Sep-2014.) $)
    df-abv $a |- AbsVal = ( r e. Ring |->
                            { f e. ( ( 0 [,) +oo ) ^m ( Base ` r ) ) |
      A. x e. ( Base ` r ) ( ( ( f ` x ) = 0 <-> x = ( 0g ` r ) ) /\
      A. y e. ( Base ` r )
        ( ( f ` ( x ( .r ` r ) y ) ) = ( ( f ` x ) x. ( f ` y ) ) /\
          ( f ` ( x ( +g ` r ) y ) ) <_ ( ( f ` x ) + ( f ` y ) ) ) ) } ) $.
  $}

  ${
    $d f r x y B $.  $d f x y F $.  $d f r .+ $.  $d f r x y R $.
    $d f r .x. $.  $d f r .0. $.
    abvfval.a $e |- A = ( AbsVal ` R ) $.
    abvfval.b $e |- B = ( Base ` R ) $.
    abvfval.p $e |- .+ = ( +g ` R ) $.
    abvfval.t $e |- .x. = ( .r ` R ) $.
    abvfval.z $e |- .0. = ( 0g ` R ) $.
    $( Value of the set of absolute values.  (Contributed by Mario Carneiro,
       8-Sep-2014.) $)
    abvfval $p |- ( R e. Ring -> A = { f e. ( ( 0 [,) +oo ) ^m B ) |
    A. x e. B ( ( ( f ` x ) = 0 <-> x = .0. ) /\ A. y e. B
      ( ( f ` ( x .x. y ) ) = ( ( f ` x ) x. ( f ` y ) ) /\
        ( f ` ( x .+ y ) ) <_ ( ( f ` x ) + ( f ` y ) ) ) ) } ) $=
      ( cfv cv wceq co wa wral vr crg wcel cabv cc0 wb cmul caddc cle cpnf cico
      wbr cmap c0g cmulr cplusg cbs fveq2 eqtr4di oveq2d eqeq2d bibi2d fveqeq2d
      oveqd fveq2d breq1d anbi12d raleqbidv rabeqbidv df-abv rabex fvmpt eqtrid
      crab ovex ) FUBUCCFUDOAPZHPZOZUEQZVPIQZUFZVPBPZGRZVQOVRWBVQOZUGRZQZVPWBER
      ZVQOZVRWDUHRZUIULZSZBDTZSZADTZHUEUJUKRZDUMRZVNZJUAFVSVPUAPZUNOZQZUFZVPWBW
      RUOOZRZVQOWEQZVPWBWRUPOZRZVQOZWIUIULZSZBWRUQOZTZSZAXJTZHWOXJUMRZVNWQUBUDW
      RFQZXMWNHXNWPXOXJDWOUMXOXJFUQODWRFUQURKUSZUTXOXLWMAXJDXPXOXAWAXKWLXOWTVTV
      SXOWSIVPXOWSFUNOIWRFUNURNUSVAVBXOXIWKBXJDXPXOXDWFXHWJXOXCWCWEVQXOXBGVPWBX
      OXBFUOOGWRFUOURMUSVDVCXOXGWHWIUIXOXFWGVQXOXEEVPWBXOXEFUPOEWRFUPURLUSVDVEV
      FVGVHVGVHVIABHUAVJWNHWPWODUMVOVKVLVM $.

    $( Elementhood in the set of absolute values.  (Contributed by Mario
       Carneiro, 8-Sep-2014.) $)
    isabv $p |- ( R e. Ring -> ( F e. A <-> ( F : B --> ( 0 [,) +oo ) /\
    A. x e. B ( ( ( F ` x ) = 0 <-> x = .0. ) /\ A. y e. B
      ( ( F ` ( x .x. y ) ) = ( ( F ` x ) x. ( F ` y ) ) /\
        ( F ` ( x .+ y ) ) <_ ( ( F ` x ) + ( F ` y ) ) ) ) ) ) ) $=
      ( vf cfv cc0 wceq co wa crg wcel cv wb cmul caddc cle wral cpnf cico cmap
      wbr wf abvfval eleq2d fveq1 eqeq1d bibi1d oveq12d eqeq12d breq12d anbi12d
      crab ralbidv elrab ovex cbs fvexi elmap anbi1i bitri bitrdi ) FUAUBZHCUBH
      AUCZOUCZPZQRZVNIRZUDZVNBUCZGSZVOPZVPVTVOPZUESZRZVNVTESZVOPZVPWCUFSZUGULZT
      ZBDUHZTZADUHZOQUIUJSZDUKSZVCZUBZDWNHUMZVNHPZQRZVRUDZWAHPZWSVTHPZUESZRZWFH
      PZWSXCUFSZUGULZTZBDUHZTZADUHZTZVMCWPHABCDEFGOIJKLMNUNUOWQHWOUBZXLTXMWMXLO
      HWOVOHRZWLXKADXOVSXAWKXJXOVQWTVRXOVPWSQVNVOHUPZUQURXOWJXIBDXOWEXEWIXHXOWB
      XBWDXDWAVOHUPXOVPWSWCXCUEXPVTVOHUPZUSUTXOWGXFWHXGUGWFVOHUPXOVPWSWCXCUFXPX
      QUSVAVBVDVBVDVEXNWRXLWNDHQUIUJVFDFVGKVHVIVJVKVL $.
  $}

  ${
    $d x y F $.  $d x y ph $.  $d x y R $.
    isabvd.a $e |- ( ph -> A = ( AbsVal ` R ) ) $.
    isabvd.b $e |- ( ph -> B = ( Base ` R ) ) $.
    isabvd.p $e |- ( ph -> .+ = ( +g ` R ) ) $.
    isabvd.t $e |- ( ph -> .x. = ( .r ` R ) ) $.
    isabvd.z $e |- ( ph -> .0. = ( 0g ` R ) ) $.
    isabvd.1 $e |- ( ph -> R e. Ring ) $.
    isabvd.2 $e |- ( ph -> F : B --> RR ) $.
    isabvd.3 $e |- ( ph -> ( F ` .0. ) = 0 ) $.
    isabvd.4 $e |- ( ( ph /\ x e. B /\ x =/= .0. ) -> 0 < ( F ` x ) ) $.
    isabvd.5 $e |- ( ( ph /\
      ( x e. B /\ x =/= .0. ) /\ ( y e. B /\ y =/= .0. ) ) ->
      ( F ` ( x .x. y ) ) = ( ( F ` x ) x. ( F ` y ) ) ) $.
    isabvd.6 $e |- ( ( ph /\
      ( x e. B /\ x =/= .0. ) /\ ( y e. B /\ y =/= .0. ) ) ->
      ( F ` ( x .+ y ) ) <_ ( ( F ` x ) + ( F ` y ) ) ) $.
    $( Properties that determine an absolute value.  (Contributed by Mario
       Carneiro, 8-Sep-2014.)  (Revised by Mario Carneiro, 4-Dec-2014.) $)
    isabvd $p |- ( ph -> F e. A ) $=
      ( cabv cfv wcel cbs cc0 cpnf cico co wf cv wceq c0g wb cmulr cplusg caddc
      cmul cle wbr wa wral wfn cr feq2d mpbid ffnd ffvelrnda 0le0 fveq2d eqtr3d
      breqtrrid adantr fveq2 breq2d syl5ibrcom wne w3a clt simp1 simp2 3ad2ant1
      eleqtrrd simp3 neeqtrrd syl3anc wi 0re 3adant3 ltle sylancr mpd pm2.61dne
      3expia elrege0 sylanbrc ralrimiva ffnfv gt0ne0d necon4d fveqeq2 oveq1 crg
      impbid eqid ringlz syl2anc sylan9eqr oveq1d ffvelrnd recnd mul02d 3eqtr4d
      cc eqtrd oveq2 ringrz oveq2d mul01d simpl1 syl oveqd simpl2 simprl simpl3
      simprr syl122anc pm2.61da2ne cgrp ringgrp grplid addge02d grprid addge01d
      eqbrtrd eqbrtrrd jca ralrimiv isabv mpbir2and ) AIGUBUCZDAIUUAUDZGUEUCZUF
      UGUHUIZIUJZBUKZIUCZUFULZUUFGUMUCZULZUNZUUFCUKZGUOUCZUIZIUCZUUGUULIUCZURUI
      ZULZUUFUULGUPUCZUIZIUCZUUGUUPUQUIZUSUTZVAZCUUCVBZVAZBUUCVBZAIUUCVCUUGUUDU
      DZBUUCVBUUEAUUCVDIAEVDIUJUUCVDIUJZQAEUUCVDILVEVFZVGAUVHBUUCAUUFUUCUDZVAZU
      UGVDUDZUFUUGUSUTZUVHAUUCVDUUFIUVJVHZUVLUVNUUFUUIUVLUVNUUJUFUUIIUCZUSUTZAU
      VQUVKAUFUFUVPUSVIAJIUCUVPUFAJUUIIOVJRVKZVLVMUUJUUGUVPUFUSUUFUUIIVNZVOVPAU
      VKUUFUUIVQZUVNAUVKUVTVRZUFUUGVSUTZUVNUWAAUUFEUDZUUFJVQZUWBAUVKUVTVTUWAUUF
      UUCEAUVKUVTWAAUVKEUUCULZUVTLWBWCUWAUUFUUIJAUVKUVTWDAUVKJUUIULZUVTOWBWESWF
      ZUWAUFVDUDUVMUWBUVNWGWHAUVKUVMUVTUVOWIUFUUGWJWKWLWNWMUUGWOWPWQBUUCUUDIWRW
      PAUVFBUUCUVLUUKUVEUVLUUHUUJUVLUUFUUIUUGUFAUVKUVTUUGUFVQUWAUUGUWGWSWNWTUVL
      UUHUUJUVPUFULZAUWHUVKUVRVMUUFUUIUFIXAVPXDUVLUVDCUUCAUVKUULUUCUDZUVDAUVKUW
      IVRZUURUVCUWJUURUUFUUIUULUUIUWJUUJVAZUVPUFUUOUUQUWJUWHUUJAUVKUWHUWIUVRWBZ
      VMUWKUUNUUIIUUJUWJUUNUUIUULUUMUIZUUIUUFUUIUULUUMXBUWJGXCUDZUWIUWMUUIULAUV
      KUWNUWIPWBZAUVKUWIWDZUUCGUUMUULUUIUUCXEZUUMXEZUUIXEZXFXGXHVJUWKUUQUFUUPUR
      UIUFUWKUUGUFUUPURUUJUWJUUGUVPUFUVSUWLXHZXIUWKUUPUWJUUPXNUDUUJUWJUUPUWJUUC
      VDUULIAUVKUVIUWIUVJWBZUWPXJZXKVMXLXOXMUWJUULUUIULZVAZUVPUFUUOUUQUWJUWHUXC
      UWLVMUXDUUNUUIIUXCUWJUUNUUFUUIUUMUIZUUIUULUUIUUFUUMXPUWJUWNUVKUXEUUIULUWO
      AUVKUWIWAZUUCGUUMUUFUUIUWQUWRUWSXQXGXHVJUXDUUQUUGUFURUIUFUXDUUPUFUUGURUXC
      UWJUUPUVPUFUULUUIIVNUWLXHZXRUXDUUGUWJUUGXNUDUXCUWJUUGUWJUUCVDUUFIUXAUXFXJ
      ZXKVMXSXOXMUWJUVTUULUUIVQZVAZVAZUUFUULHUIZIUCZUUOUUQUXKUXLUUNIUXKHUUMUUFU
      ULUXKAHUUMULAUVKUWIUXJXTZNYAYBVJUXKAUWCUWDUULEUDZUULJVQZUXMUUQULUXNUXKUUF
      UUCEAUVKUWIUXJYCUXKAUWEUXNLYAZWCZUXKUUFUUIJUWJUVTUXIYDUXKAUWFUXNOYAZWEZUX
      KUULUUCEAUVKUWIUXJYEUXQWCZUXKUULUUIJUWJUVTUXIYFUXSWEZTYGVKYHUWJUVCUUFUUIU
      ULUUIUWKUVAUUPUVBUSUWKUUTUULIUUJUWJUUTUUIUULUUSUIZUULUUFUUIUULUUSXBUWJGYI
      UDZUWIUYCUULULUWJUWNUYDUWOGYJYAZUWPUUCUUSGUULUUIUWQUUSXEZUWSYKXGXHVJUWKUV
      NUUPUVBUSUTZUWKUFUFUUGUSVIUWTVLUWJUVNUYGUNUUJUWJUUPUUGUXBUXHYLVMVFYOUXDUV
      AUUGUVBUSUXDUUTUUFIUXCUWJUUTUUFUUIUUSUIZUUFUULUUIUUFUUSXPUWJUYDUVKUYHUUFU
      LUYEUXFUUCUUSGUUFUUIUWQUYFUWSYMXGXHVJUXDUFUUPUSUTZUUGUVBUSUTZUXDUFUFUUPUS
      VIUXGVLUWJUYIUYJUNUXCUWJUUGUUPUXHUXBYNVMVFYOUXKUUFUULFUIZIUCZUVAUVBUSUXKU
      YKUUTIUXKFUUSUUFUULUXKAFUUSULUXNMYAYBVJUXKAUWCUWDUXOUXPUYLUVBUSUTUXNUXRUX
      TUYAUYBUAYGYPYHYQWNYRYQWQAUWNUUBUUEUVGVAUNPBCUUAUUCUUSGUUMIUUIUUAXEUWQUYF
      UWRUWSYSYAYTKWC $.
  $}

  ${
    $d x y .+ $.  $d x .0. $.  $d x y B $.  $d x y F $.  $d x y R $.  $d y Y $.
    $d f r x y $.  $d x y .x. $.  $d x y X $.
    abvf.a $e |- A = ( AbsVal ` R ) $.
    $( Reverse closure for the absolute value set.  (Contributed by Mario
       Carneiro, 8-Sep-2014.) $)
    abvrcl $p |- ( F e. A -> R e. Ring ) $=
      ( vr vx vf vy crg wcel cabv cfv cv cc0 wceq c0g wb co wa wral cmul cplusg
      cmulr caddc cle wbr cbs cpnf cico cmap crab df-abv mptrcl eleq2s ) BIJCBK
      LAEIFMZGMZLZNOUOEMZPLOQUOHMZURUCLRUPLUQUSUPLZUAROUOUSURUBLRUPLUQUTUDRUEUF
      SHURUGLZTSFVATGNUHUIRVAUJRUKKCBFHGEULUMDUN $.

    abvf.b $e |- B = ( Base ` R ) $.
    $( An absolute value is a function from the ring to the nonnegative real
       numbers.  (Contributed by Mario Carneiro, 8-Sep-2014.) $)
    abvfge0 $p |- ( F e. A -> F : B --> ( 0 [,) +oo ) ) $=
      ( vx vy wcel cc0 cpnf cico co cv cfv wceq wb wa wral eqid wf cmulr cplusg
      c0g cmul caddc cle wbr crg abvrcl isabv syl ibi simpld ) DAIZBJKLMDUAZGNZ
      DOZJPUQCUDOZPQUQHNZCUBOZMDOURUTDOZUEMPUQUTCUCOZMDOURVBUFMUGUHRHBSRGBSZUOU
      PVDRZUOCUIIUOVEQACDEUJGHABVCCVADUSEFVCTVATUSTUKULUMUN $.

    $( An absolute value is a function from the ring to the real numbers.
       (Contributed by Mario Carneiro, 8-Sep-2014.) $)
    abvf $p |- ( F e. A -> F : B --> RR ) $=
      ( wcel cc0 cpnf cico co wf cr wss abvfge0 rge0ssre fss sylancl ) DAGBHIJK
      ZDLSMNBMDLABCDEFOPBSMDQR $.

    $( An absolute value is a function from the ring to the real numbers.
       (Contributed by Mario Carneiro, 8-Sep-2014.) $)
    abvcl $p |- ( ( F e. A /\ X e. B ) -> ( F ` X ) e. RR ) $=
      ( wcel cr abvf ffvelrnda ) DAHBIEDABCDFGJK $.

    $( The absolute value of a number is greater than or equal to zero.
       (Contributed by Mario Carneiro, 8-Sep-2014.) $)
    abvge0 $p |- ( ( F e. A /\ X e. B ) -> 0 <_ ( F ` X ) ) $=
      ( wcel wa cfv cc0 cpnf cico co cle wbr abvfge0 ffvelrnda cr elrege0 syl
      simprbi ) DAHZEBHIEDJZKLMNZHZKUDOPZUCBUEEDABCDFGQRUFUDSHUGUDTUBUA $.

    ${
      abveq0.z $e |- .0. = ( 0g ` R ) $.
      $( The value of an absolute value is zero iff the argument is zero.
         (Contributed by Mario Carneiro, 8-Sep-2014.) $)
      abveq0 $p |- ( ( F e. A /\ X e. B ) -> ( ( F ` X ) = 0 <-> X = .0. ) ) $=
        ( vx vy wcel cv cfv cc0 wceq wb wral co wa cpnf cico cmulr cplusg caddc
        wf cmul cle wbr crg abvrcl eqid isabv syl simpl ralimi simpl2im fveqeq2
        ibi eqeq1 bibi12d rspccva sylan ) DALZJMZDNZOPZVEFPZQZJBRZEBLEDNOPZEFPZ
        QZVDBOUAUBSDUFZVIVEKMZCUCNZSDNVFVODNZUGSPVEVOCUDNZSDNVFVQUESUHUITKBRZTZ
        JBRZVJVDVNWATZVDCUJLVDWBQACDGUKJKABVRCVPDFGHVRULVPULIUMUNUSVTVIJBVIVSUO
        UPUQVIVMJEBVEEPVGVKVHVLVEEODURVEEFUTVAVBVC $.

      $( The absolute value of a nonzero number is nonzero.  (Contributed by
         Mario Carneiro, 8-Sep-2014.) $)
      abvne0 $p |- ( ( F e. A /\ X e. B /\ X =/= .0. ) -> ( F ` X ) =/= 0 ) $=
        ( wcel cfv cc0 wne wa abveq0 necon3bid biimp3ar ) DAJZEBJZEDKZLMEFMRSNT
        LEFABCDEFGHIOPQ $.

      $( The absolute value of a nonzero number is strictly positive.
         (Contributed by Mario Carneiro, 8-Sep-2014.) $)
      abvgt0 $p |- ( ( F e. A /\ X e. B /\ X =/= .0. ) -> 0 < ( F ` X ) ) $=
        ( wcel wne w3a cfv cr abvcl 3adant3 cc0 cle wbr abvge0 abvne0 ne0gt0d )
        DAJZEBJZEFKZLEDMZUCUDUFNJUEABCDEGHOPUCUDQUFRSUEABCDEGHTPABCDEFGHIUAUB
        $.
    $}

    ${
      abvmul.t $e |- .x. = ( .r ` R ) $.
      $( An absolute value distributes under multiplication.  (Contributed by
         Mario Carneiro, 8-Sep-2014.) $)
      abvmul $p |- ( ( F e. A /\ X e. B /\ Y e. B ) ->
        ( F ` ( X .x. Y ) ) = ( ( F ` X ) x. ( F ` Y ) ) ) $=
        ( vx vy wcel co cfv cmul wceq cv wral wa cc0 cpnf cico wf c0g wb cplusg
        caddc cle wbr crg abvrcl eqid isabv syl ibi simpl ralimi adantl fvoveq1
        simpl2im fveq2 oveq1d eqeq12d oveq2 fveq2d oveq2d rspc2v syl5com 3impib
        ) EAMZFBMZGBMZFGDNZEOZFEOZGEOZPNZQZVKKRZLRZDNEOZVTEOZWAEOZPNZQZLBSZKBSZ
        VLVMTVSVKBUAUBUCNEUDZWCUAQVTCUEOZQUFZWFVTWACUGOZNEOWCWDUHNUIUJZTZLBSZTZ
        KBSZWHVKWIWQTZVKCUKMVKWRUFACEHULKLABWLCDEWJHIWLUMJWJUMUNUOUPWPWGKBWOWGW
        KWNWFLBWFWMUQURUSURVAWFVSFWADNZEOZVPWDPNZQKLFGBBVTFQZWBWTWEXAVTFWAEDUTX
        BWCVPWDPVTFEVBVCVDWAGQZWTVOXAVRXCWSVNEWAGFDVEVFXCWDVQVPPWAGEVBVGVDVHVIV
        J $.
    $}

    abvtri.p $e |- .+ = ( +g ` R ) $.
    $( An absolute value satisfies the triangle inequality.  (Contributed by
       Mario Carneiro, 8-Sep-2014.) $)
    abvtri $p |- ( ( F e. A /\ X e. B /\ Y e. B ) ->
      ( F ` ( X .+ Y ) ) <_ ( ( F ` X ) + ( F ` Y ) ) ) $=
      ( vx vy wcel co cfv caddc cle wral wa wceq wbr cv cc0 cpnf cico wf c0g wb
      cmulr cmul crg abvrcl eqid isabv syl simpr ralimi adantl simpl2im fvoveq1
      ibi fveq2 oveq1d breq12d oveq2 fveq2d oveq2d rspc2v syl5com 3impib ) EAMZ
      FBMZGBMZFGCNZEOZFEOZGEOZPNZQUAZVKKUBZLUBZCNEOZVTEOZWAEOZPNZQUAZLBRZKBRZVL
      VMSVSVKBUCUDUENEUFZWCUCTVTDUGOZTUHZVTWADUIOZNEOWCWDUJNTZWFSZLBRZSZKBRZWHV
      KWIWQSZVKDUKMVKWRUHADEHULKLABCDWLEWJHIJWLUMWJUMUNUOVAWPWGKBWOWGWKWNWFLBWM
      WFUPUQURUQUSWFVSFWACNZEOZVPWDPNZQUAKLFGBBVTFTZWBWTWEXAQVTFWAECUTXBWCVPWDP
      VTFEVBVCVDWAGTZWTVOXAVRQXCWSVNEWAGFCVEVFXCWDVQVPPWAGEVBVGVDVHVIVJ $.
  $}

  ${
    abv0.a $e |- A = ( AbsVal ` R ) $.
    ${
      abv0.z $e |- .0. = ( 0g ` R ) $.
      $( The absolute value of zero is zero.  (Contributed by Mario Carneiro,
         8-Sep-2014.) $)
      abv0 $p |- ( F e. A -> ( F ` .0. ) = 0 ) $=
        ( wcel cbs cfv cc0 wceq crg abvrcl eqid ring0cl syl abveq0 mpbiri mpdan
        wa ) CAGZDBHIZGZDCIJKZUABLGUCABCEMUBBDUBNZFOPUAUCTUDDDKDNAUBBCDDEUEFQRS
        $.
    $}

    ${
      abv1.p $e |- .1. = ( 1r ` R ) $.
      ${
        abv1z.z $e |- .0. = ( 0g ` R ) $.
        $( The absolute value of one is one in a non-trivial ring.
           (Contributed by Mario Carneiro, 8-Sep-2014.) $)
        abv1z $p |- ( ( F e. A /\ .1. =/= .0. ) -> ( F ` .1. ) = 1 ) $=
          ( wcel wne wa cfv co cdiv c1 eqid adantr syl3anc wceq eqtr3d cmul cbs
          cr crg abvrcl ringidcl syl abvcl mpdan recnd cc0 simpl simpr divcan3d
          abvne0 cmulr ringlidm syl2an2r fveq2d abvmul oveq1d dividd ) DAIZCEJZ
          KZCDLZVFUAMZVFNMZVFOVEVFVFVEVFVCVFUCIZVDVCCBUBLZIZVIVCBUDIZVKABDFUEZV
          JBCVJPZGUFUGZAVJBDCFVNUHUIQUJZVPVEVCVKVDVFUKJVCVDULZVCVKVDVOQZVCVDUMA
          VJBDCEFVNHUORZUNVEVFVFNMVHOVEVFVGVFNVECCBUPLZMZDLZVFVGVEWACDVCVLVDVKW
          ACSVMVRVJBVTCCVNVTPZGUQURUSVEVCVKVKWBVGSVQVRVRAVJBVTDCCFVNWCUTRTVAVEV
          FVPVSVBTT $.
      $}

      $( The absolute value of one is one in a division ring.  (Contributed by
         Mario Carneiro, 8-Sep-2014.) $)
      abv1 $p |- ( ( R e. DivRing /\ F e. A ) -> ( F ` .1. ) = 1 ) $=
        ( wcel c0g cfv wne c1 wceq cdr id eqid drngunz abv1z syl2anr ) DAGZSCBH
        IZJCDIKLBMGSNBCTTOZFPABCDTEFUAQR $.
    $}

    abvneg.b $e |- B = ( Base ` R ) $.
    ${
      abvneg.p $e |- N = ( invg ` R ) $.
      $( The absolute value of a negative is the same as that of the positive.
         (Contributed by Mario Carneiro, 8-Sep-2014.) $)
      abvneg $p |- ( ( F e. A /\ X e. B ) ->
        ( F ` ( N ` X ) ) = ( F ` X ) ) $=
        ( wcel wa cfv wceq adantr eqid fveq2d c1 cmul co syl2anc cur c0g crg wi
        abvrcl cgrp ringgrp syl grpinvcl sylan ring1eq0 syl3anc imp wne c2 cexp
        simpr cmulr ringidcl abvcl mpdan recnd sqvald abvmul mpd3an23 ringmneg2
        cr ringnegl grpinvinv 3eqtrd 3eqtr2d abv1z eqtrd sq1 eqtr4di cc0 cle wb
        wbr abvge0 0le1 sq11 mpanr12 biimpa syldan adantlr oveq1d simpl mulid2d
        1re eqtr3d pm2.61dane ) DAJZFBJZKZFELZDLZFDLZMCUALZCUBLZWOWSWTMZKWPFDWO
        XAWPFMZWOCUCJZWPBJZWNXAXBUDWMXCWNACDGUEZNZWMCUFJZWNXDWMXCXGXECUGUHZBCEF
        HIUIUJWMWNUQZBCWSWPFWTHWSOZWTOZUKULUMPWOWSWTUNZKZQWRRSZWQWRXMWSELZDLZWR
        RSZXNWQXMXPQWRRWMXLXPQMZWNWMXLXPUOUPSZQUOUPSZMZXRWMXLKZXSQXTYBXSWSDLZQW
        MXSYCMXLWMXSXPXPRSZXOXOCURLZSZDLZYCWMXPWMXPWMXOBJZXPVGJZWMXGWSBJZYHXHWM
        XCYJXEBCWSHXJUSUHZBCEWSHIUITZABCDXOGHUTVAZVBVCWMYHYHYGYDMYLYLABCYEDXOXO
        GHYEOZVDVEWMYFWSDWMYFXOWSYESZELXOELZWSWMBCYEEXOWSHYNIXEYLYKVFWMYOXOEWMB
        CYEWSEWSHYNXJIXEYKVHPWMXGYJYPWSMXHYKBCEWSHIVITVJPVKNACWSDWTGXJXKVLVMVNV
        OWMYAXRWMYIVPXPVQVSZYAXRVRZYMWMYHYQYLABCDXOGHVTVAYIYQKQVGJVPQVQVSYRWJWA
        XPQWBWCTWDWEWFWGWOXQWQMXLWOXOFYESZDLZXQWQWOWMYHWNYTXQMWMWNWHWMYHWNYLNXI
        ABCYEDXOFGHYNVDULWOYSWPDWOBCYEWSEFHYNXJIXFXIVHPWKNWKWOXNWRMXLWOWRWOWRAB
        CDFGHUTVBWINWKWL $.
    $}

    ${
      abvsubtri.p $e |- .- = ( -g ` R ) $.
      $( An absolute value satisfies the triangle inequality.  (Contributed by
         Mario Carneiro, 4-Oct-2015.) $)
      abvsubtri $p |- ( ( F e. A /\ X e. B /\ Y e. B ) ->
        ( F ` ( X .- Y ) ) <_ ( ( F ` X ) + ( F ` Y ) ) ) $=
        ( wcel w3a co cfv cminusg cplusg caddc cle wceq eqid 3adant1 fveq2d wbr
        grpsubval crg abvrcl 3ad2ant1 ringgrp syl simp3 grpinvcl syl2anc abvtri
        cgrp syld3an3 abvneg 3adant2 oveq2d breqtrd eqbrtrd ) DAKZFBKZGBKZLZFGE
        MZDNFGCONZNZCPNZMZDNZFDNZGDNZQMZRVDVEVIDVBVCVEVISVABVHCVFEFGIVHTZVFTZJU
        DUAUBVDVJVKVGDNZQMZVMRVAVBVCVGBKZVJVQRUCVDCUNKZVCVRVDCUEKZVSVAVBVTVCACD
        HUFUGCUHUIVAVBVCUJBCVFGIVOUKULABVHCDFVGHIVNUMUOVDVPVLVKQVAVCVPVLSVBABCD
        VFGHIVOUPUQURUSUT $.
    $}

    abvrec.z $e |- .0. = ( 0g ` R ) $.
    ${
      abvrec.p $e |- I = ( invr ` R ) $.
      $( The absolute value distributes under reciprocal.  (Contributed by
         Mario Carneiro, 10-Sep-2014.) $)
      abvrec $p |- ( ( ( R e. DivRing /\ F e. A ) /\ ( X e. B /\ X =/= .0. ) )
        -> ( F ` ( I ` X ) ) = ( 1 / ( F ` X ) ) ) $=
        ( wcel wa wne cfv c1 cr abvcl syl3anc wceq simplr simprl syl2anc simpll
        cdr recnd simprr drnginvrcl cc0 abvne0 cmulr co cur cmul eqid drnginvrr
        fveq2d abvmul abv1 adantr 3eqtr3d mvllmuld ) CUELZDALZMZFBLZFGNZMZMZFDO
        ZFEOZDOZPVIVJVIVDVFVJQLVCVDVHUAZVEVFVGUBZABCDFHIRUCUFVIVLVIVDVKBLZVLQLV
        MVIVCVFVGVOVCVDVHUDZVNVEVFVGUGZBCEFGIJKUHSZABCDVKHIRUCUFVIVDVFVGVJUINVM
        VNVQABCDFGHIJUJSVIFVKCUKOZULZDOZCUMOZDOZVJVLUNULZPVIVTWBDVIVCVFVGVTWBTV
        PVNVQBCVSWBEFGIJVSUOZWBUOZKUPSUQVIVDVFVOWAWDTVMVNVRABCVSDFVKHIWEURSVEWC
        PTVHACWBDHWFUSUTVAVB $.
    $}

    ${
      abvdiv.p $e |- ./ = ( /r ` R ) $.
      $( The absolute value distributes under division.  (Contributed by Mario
         Carneiro, 10-Sep-2014.) $)
      abvdiv $p |- ( ( ( R e. DivRing /\ F e. A ) /\
                       ( X e. B /\ Y e. B /\ Y =/= .0. ) ) ->
                     ( F ` ( X ./ Y ) ) = ( ( F ` X ) / ( F ` Y ) ) ) $=
        ( wcel wa cfv co cmul wceq eqid syl3anc cdr wne w3a cinvr cmulr c1 cdiv
        simplr simpr1 simpll simpr2 simpr3 drnginvrcl abvmul 3adantr1 eqtrd cui
        abvrec oveq2d wb drngunit syl mpbir2and dvrval syl2anc fveq2d abvcl cc0
        cr recnd abvne0 divrecd 3eqtr4d ) DUAMZEAMZNZFBMZGBMZGHUBZUCZNZFGDUDOZO
        ZDUEOZPZEOZFEOZUFGEOZUGPZQPZFGCPZEOWGWHUGPWAWFWGWCEOZQPZWJWAVOVQWCBMZWF
        WMRVNVOVTUHZVPVQVRVSUIZWAVNVRVSWNVNVOVTUJZVPVQVRVSUKZVPVQVRVSULZBDWBGHJ
        KWBSZUMTABDWDEFWCIJWDSZUNTWAWLWIWGQVPVRVSWLWIRVQABDEWBGHIJKWTURUOUSUPWA
        WKWEEWAVQGDUQOZMZWKWERWPWAXCVRVSWRWSWAVNXCVRVSNUTWQBDXBGHJXBSZKVAVBVCBC
        DWDXBWBFGJXAXDWTLVDVEVFWAWGWHWAWGWAVOVQWGVIMWOWPABDEFIJVGVEVJWAWHWAVOVR
        WHVIMWOWRABDEGIJVGVEVJWAVOVRVSWHVHUBWOWRWSABDEGHIJKVKTVLVM $.
    $}

    ${
      abvdom.t $e |- .x. = ( .r ` R ) $.
      $( Any ring with an absolute value is a domain, which is to say that it
         contains no zero divisors.  (Contributed by Mario Carneiro,
         10-Sep-2014.) $)
      abvdom $p |- ( ( F e. A /\ ( X e. B /\ X =/= .0. ) /\
        ( Y e. B /\ Y =/= .0. ) ) -> ( X .x. Y ) =/= .0. ) $=
        ( wcel wne wa co cfv cc0 wceq syl3anc w3a simp1 simp2l simp3l abvmul cr
        cmul abvcl syl2anc recnd simp2r abvne0 mulne0d eqnetrd abv0 syl fveqeq2
        simp3r syl5ibrcom necon3d mpd ) EAMZFBMZFHNZOZGBMZGHNZOZUAZFGDPZEQZRNVJ
        HNVIVKFEQZGEQZUGPZRVIVBVCVFVKVNSVBVEVHUBZVBVCVDVHUCZVBVEVFVGUDZABCDEFGI
        JLUETVIVLVMVIVLVIVBVCVLUFMVOVPABCEFIJUHUIUJVIVMVIVBVFVMUFMVOVQABCEGIJUH
        UIUJVIVBVCVDVLRNVOVPVBVCVDVHUKABCEFHIJKULTVIVBVFVGVMRNVOVQVBVEVFVGURABC
        EGHIJKULTUMUNVIVJHVKRVIVKRSVJHSHEQRSZVIVBVRVOACEHIKUOUPVJHREUQUSUTVA $.
    $}
  $}

  ${
    $d x y A $.  $d x y C $.  $d x y F $.  $d x y R $.  $d x y S $.
    abvres.a $e |- A = ( AbsVal ` R ) $.
    abvres.s $e |- S = ( R |`s C ) $.
    abvres.b $e |- B = ( AbsVal ` S ) $.
    $( The restriction of an absolute value to a subring is an absolute value.
       (Contributed by Mario Carneiro, 4-Dec-2014.) $)
    abvres $p |- ( ( F e. A /\ C e. ( SubRing ` R ) ) -> ( F |` C ) e. B ) $=
      ( wcel cfv wa wceq adantl eqid cr cc0 syl3anc co fvresd vx vy csubrg cres
      cplusg cmulr c0g cabv a1i cbs subrgbas ressplusg ressmulr csubg subrgsubg
      subg0 syl crg subrgring wss abvf subrgss fssres syl2an subg0cl fvres 3syl
      wf abv0 adantr eqtrd wne w3a clt wbr simp1l sselda 3adant3 simp3 3ad2ant2
      abvgt0 breqtrrd cmul simp1r simp2l sseldd simp3l subrgmcl oveq12d 3eqtr4d
      cv abvmul caddc cle abvtri subrgacl 3brtr4d isabvd ) FAJZCDUCKZJZLZUAUBBC
      DUEKZEDUFKZFCUDZDUGKZBEUHKMXBIUIXACEUJKMWSCDEHUKNXAXCEUEKMWSCXCDEWTHXCOZU
      LNXAXDEUFKMWSCDEXDWTHXDOZUMNXBCDUNKJZXFEUGKMXAXIWSCDUONZCDEXFHXFOZUPUQXAE
      URJWSCDEHUSNWSDUJKZPFVHCXLUTZCPXEVHXAAXLDFGXLOZVACXLDXNVBZXLPCFVCVDXBXFXE
      KZXFFKZQXBXIXFCJXPXQMXJCDXFXKVEXFCFVFVGWSXQQMXAADFXFGXKVIVJVKXBUAWKZCJZXR
      XFVLZVMZQXRFKZXRXEKZVNYAWSXRXLJZXTQYBVNVOWSXAXSXTVPXBXSYDXTXBCXLXRXAXMWSX
      ONVQVRXBXSXTVSAXLDFXRXFGXNXKWARXSXBYCYBMXTXRCFVFVTWBXBXSXTLZUBWKZCJZYFXFV
      LZLZVMZXRYFXDSZFKZYBYFFKZWCSZYKXEKYCYFXEKZWCSYJWSYDYFXLJZYLYNMWSXAYEYIVPZ
      YJCXLXRYJXAXMWSXAYEYIWDZXOUQZXBXSXTYIWEZWFZYJCXLYFYSXBYEYGYHWGZWFZAXLDXDF
      XRYFGXNXHWLRYJYKCFYJXAXSYGYKCJYRYTUUBCDXDXRYFXHWHRTYJYCYBYOYMWCYJXRCFYTTZ
      YJYFCFUUBTZWIWJYJXRYFXCSZFKZYBYMWMSZUUFXEKYCYOWMSWNYJWSYDYPUUGUUHWNVOYQUU
      AUUCAXLXCDFXRYFGXNXGWORYJUUFCFYJXAXSYGUUFCJYRYTUUBCXCDXRYFXGWPRTYJYCYBYOY
      MWMUUDUUEWIWQWR $.
  $}

  ${
    $d x .0. $.  $d y z F $.  $d x y z ph $.  $d x y z R $.  $d x .x. $.
    $d x B $.
    abvtriv.a $e |- A = ( AbsVal ` R ) $.
    abvtriv.b $e |- B = ( Base ` R ) $.
    abvtriv.z $e |- .0. = ( 0g ` R ) $.
    abvtriv.f $e |- F = ( x e. B |-> if ( x = .0. , 0 , 1 ) ) $.
    ${
      abvtrivd.1 $e |- .x. = ( .r ` R ) $.
      abvtrivd.2 $e |- ( ph -> R e. Ring ) $.
      abvtrivd.3 $e |- ( ( ph /\ ( y e. B /\ y =/= .0. ) /\
        ( z e. B /\ z =/= .0. ) ) -> ( y .x. z ) =/= .0. ) $.
      $( The trivial absolute value.  (Contributed by Mario Carneiro,
         6-May-2015.) $)
      abvtrivd $p |- ( ph -> F e. A ) $=
        ( wceq cc0 c1 cplusg cfv cabv a1i cbs eqidd cmulr c0g cv cif cr wcel wa
        0re 1re ifcli fmptd crg ring0cl iftrue c0ex fvmpt 3syl wne w3a clt 0lt1
        eqeq1 ifbid 1ex ifex ifnefalse sylan9eq 3adant1 breqtrrid cmul co 1t1e1
        eqcomi 3ad2ant1 simp2l simp3l ringcl syl3anc syl neneqd iffalsed simp2r
        eqtrd simp3r oveq12d 3eqtr4a caddc cle wbr breq1 0le2 1le2 keephyp df-2
        c2 breqtri cgrp ringgrp eqid grpcl 3brtr4d isabvd ) ACDEFGUAUBZGHIJEGUC
        UBRAKUDFGUEUBRALUDAXIUFHGUGUBRAOUDJGUHUBRAMUDPABFBUIZJRZSTUJZUKIXLUKULA
        XJFULUMXKSTUKUNUOUPUDNUQAGURULZJFULJIUBSRPFGJLMUSBJXLSFIXKSTUTNVAVBVCAC
        UIZFULZXNJVDZVESTXNIUBZVFVGXOXPXQTRAXOXPXQXNJRZSTUJZTBXNXLXSFIXJXNRXKXR
        STXJXNJVHVINXRSTVAVJVKVBZXNJSTVLVMVNVOAXOXPUMZDUIZFULZYBJVDZUMZVEZTTTVP
        VQZXNYBHVQZIUBZXQYBIUBZVPVQYGTVRVSYFYIYHJRZSTUJZTYFYHFULZYIYLRYFXMXOYCY
        MAYAXMYEPVTAXOXPYEWAZAYAYCYDWBZFGHXNYBLOWCWDBYHXLYLFIXJYHRXKYKSTXJYHJVH
        VINYKSTVAVJVKVBWEYFYKSTYFYHJQWFWGWIYFXQTYJTVPYFXQXSTYFXOXQXSRYNXTWEYFXR
        STYFXNJAXOXPYEWHWFWGWIZYFYJYBJRZSTUJZTYFYCYJYRRYOBYBXLYRFIXJYBRXKYQSTXJ
        YBJVHVINYQSTVAVJVKVBWEYFYQSTYFYBJAYAYCYDWJWFWGWIZWKWLYFXNYBXIVQZJRZSTUJ
        ZTTWMVQZYTIUBZXQYJWMVQWNUUBUUCWNWOYFUUBXAUUCWNUUASXAWNWOTXAWNWOUUBXAWNW
        OSTSUUBXAWNWPTUUBXAWNWPWQWRWSWTXBUDYFYTFULZUUDUUBRYFGXCULZXOYCUUEAYAUUF
        YEAXMUUFPGXDWEVTYNYOFXIGXNYBLXIXEXFWDBYTXLUUBFIXJYTRXKUUASTXJYTJVHVINUU
        ASTVAVJVKVBWEYFXQTYJTWMYPYSWKXGXH $.
    $}

    $( The trivial absolute value.  (This theorem is true as long as ` R ` is a
       domain, but it is not true for rings with zero divisors, which violate
       the multiplication axiom; ~ abvdom is the converse of this remark.)
       (Contributed by Mario Carneiro, 8-Sep-2014.)  (Revised by Mario
       Carneiro, 6-May-2015.) $)
    abvtriv $p |- ( R e. DivRing -> F e. A ) $=
      ( vy vz cdr wcel cmulr cfv cv wne wa eldifsn eqid drngring w3a co drngmcl
      csn cdif biid syl3anbr sylib simprd abvtrivd ) DMNZAKLBCDDOPZEFGHIJUNUAZD
      UBUMKQZCNUPFRSZLQZCNURFRSZUCZUPURUNUDZCNZVAFRZUTVACFUFUGZNZVBVCSUMUMUQUPV
      DNUSURVDNVEUMUHUPCFTURCFTCDUNUPURFHUOIUEUIVACFTUJUKUL $.
  $}

  ${
    $d x y B $.  $d f x y K $.  $d f x y L $.  $d f x y ph $.
    abvpropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    abvpropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    abvpropd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    abvpropd.4 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( .r ` K ) y ) = ( x ( .r ` L ) y ) ) $.
    $( If two structures have the same ring components, they have the same
       collection of absolute values.  (Contributed by Mario Carneiro,
       4-Oct-2015.) $)
    abvpropd $p |- ( ph -> ( AbsVal ` K ) = ( AbsVal ` L ) ) $=
      ( cfv wcel co cv wceq wb wa wral anbi12d eqid vf cabv crg cbs cc0 cpnf wf
      cico c0g cmulr cmul cplusg caddc ringpropd eqtr3d feq2d grpidpropd adantr
      cle eqeq2d bibi2d fveqeq2d fveq2d breq1d anassrs raleqdv anbi2d raleqbidv
      wbr ralbidva 3bitr3d abvrcl isabv biadanii 3bitr4g eqrdv ) AUAEUBKZFUBKZA
      EUCLZEUDKZUEUFUHMZUANZUGZBNZWBKZUEOZWDEUIKZOZPZWDCNZEUJKZMZWBKWEWJWBKZUKM
      ZOZWDWJEULKZMZWBKZWEWMUMMZUSVIZQZCVTRZQZBVTRZQZQFUCLZFUDKZWAWBUGZWFWDFUIK
      ZOZPZWDWJFUJKZMZWBKWNOZWDWJFULKZMZWBKZWSUSVIZQZCXGRZQZBXGRZQZQWBVQLZWBVRL
      ZAVSXFXEYCABCDEFGHIJUNAWCXHXDYBAVTXGWAWBADVTXGGHUOUPAWIXACDRZQZBDRXKXSCDR
      ZQZBDRXDYBAYGYIBDAWDDLZQZWIXKYFYHYKWHXJWFYKWGXIWDAWGXIOYJABCDEFGHIUQURUTV
      AYKXAXSCDAYJWJDLZXAXSPAYJYLQQZWOXNWTXRYMWLXMWNWBJVBYMWRXQWSUSYMWQXPWBIVCV
      DSVEVJSVJAYGXCBDVTGAYFXBWIAXACDVTGVFVGVHAYIYABDXGHAYHXTXKAXSCDXGHVFVGVHVK
      SSYDVSXEVQEWBVQTZVLBCVQVTWPEWKWBWGYNVTTWPTWKTWGTVMVNYEXFYCVRFWBVRTZVLBCVR
      XGXOFXLWBXIYOXGTXOTXLTXITVMVNVOVP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Star rings
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c *Ring $.
  $c *rf $.

  $( Extend class notation with the functionalization of the *-ring
     involution. $)
  cstf $a class *rf $.

  $( Extend class notation with class of all *-rings. $)
  csr $a class *Ring $.

  ${
    $d f i x $.
    $( Define the functionalization of the involution in a star ring.  This is
       not strictly necessary but by having ` *r ` as an actual function we can
       state the principal properties of an involution much more cleanly.
       (Contributed by Mario Carneiro, 6-Oct-2015.) $)
    df-staf $a |- *rf = ( f e. _V |->
      ( x e. ( Base ` f ) |-> ( ( *r ` f ) ` x ) ) ) $.

    $( Define class of all star rings.  A star ring is a ring with an
       involution (conjugation) function.  Involution (unlike say the ring
       zero) is not unique and therefore must be added as a new component to
       the ring.  For example, two possible involutions for complex numbers are
       the identity function and complex conjugation.  Definition of involution
       in [Holland95] p. 204.  (Contributed by NM, 22-Sep-2011.)  (Revised by
       Mario Carneiro, 6-Oct-2015.) $)
    df-srng $a |- *Ring = { f | [. ( *rf ` f ) / i ].
      ( i e. ( f RingHom ( oppR ` f ) ) /\ i = `' i ) } $.
  $}

  ${
    $d x A $.  $d f x B $.  $d f x .* $.  $d f x R $.
    staffval.b $e |- B = ( Base ` R ) $.
    staffval.i $e |- .* = ( *r ` R ) $.
    staffval.f $e |- .xb = ( *rf ` R ) $.
    $( The functionalization of the involution component of a structure.
       (Contributed by Mario Carneiro, 6-Oct-2015.) $)
    staffval $p |- .xb = ( x e. B |-> ( .* ` x ) ) $=
      ( vf cstf cfv cv cmpt cvv wcel wceq cbs cstv eqtr4di c0 mpteq12dv df-staf
      fveq2 fveq1d crn csn cun eqid fvrn0 fmpti fvexi rnex p0ex unex fex2 mp3an
      wf a1i fvmpt wn fvprc mpt0 eqtrid mpteq1d eqtr4d pm2.61i eqtri ) DCJKZABA
      LZEKZMZHCNOZVHVKPICAILZQKZVIVMRKZKZMVKNJVMCPZAVNVPBVJVQVNCQKZBVMCQUCFSVQV
      IVOEVQVOCRKEVMCRUCGSUDUAAIUBBEUEZTUFZUGZVKUQBNOWANOVKNOABWAVJVKVKUHVJWAOV
      IBOEVIUIURUJBCQFUKVSVTEECRGUKULUMUNBWAVKNNUOUPUSVLUTZVHATVJMZVKWBVHTWCCJV
      AAVJVBSWBABTVJWBBVRTFCQVAVCVDVEVFVG $.

    $( The functionalization of the involution component of a structure.
       (Contributed by Mario Carneiro, 6-Oct-2015.) $)
    stafval $p |- ( A e. B -> ( .xb ` A ) = ( .* ` A ) ) $=
      ( vx cv cfv fveq2 staffval fvex fvmpt ) IAIJZEKAEKBDPAELIBCDEFGHMAENO $.

    $( The functionalization is equal to the original function, if it is a
       function on the right base set.  (Contributed by Mario Carneiro,
       6-Oct-2015.) $)
    staffn $p |- ( .* Fn B -> .xb = .* ) $=
      ( vx wfn cv cfv cmpt staffval wceq dffn5 biimpi eqtr4id ) DAIZCHAHJDKLZDH
      ABCDEFGMRDSNHADOPQ $.
  $}

  ${
    $d i r .* $.  $d i r O $.  $d i r R $.
    issrng.o $e |- O = ( oppR ` R ) $.
    issrng.i $e |- .* = ( *rf ` R ) $.
    $( The predicate "is a star ring".  (Contributed by NM, 22-Sep-2011.)
       (Revised by Mario Carneiro, 6-Oct-2015.) $)
    issrng $p |- ( R e. *Ring <-> ( .* e. ( R RingHom O ) /\ .* = `' .* ) ) $=
      ( vi vr csr wcel cv coppr cfv crh co ccnv wceq wa cstf crg eqtr4di eleq2i
      wsbc cab df-srng rhmrcl1 adantr cvv fvexd id fveq2 sylan9eqr simpl fveq2d
      oveq12d eleq12d cnveqd eqeq12d anbi12d sbcied elab3 bitri ) AHIAFJZGJZVCK
      LZMNZIZVBVBOZPZQZFVCRLZUBZGUCZIBACMNZIZBBOZPZQZHVLAGFUDUAVKVQGASVNASIVPAC
      BUEUFVCAPZVIVQFVJUGVRVCRUHVRVBVJPZQZVFVNVHVPVTVBBVEVMVSVRVBVJBVSUIVRVJARL
      BVCARUJETUKZVTVCAVDCMVRVSULZVTVDAKLCVTVCAKWBUMDTUNUOVTVBBVGVOWAVTVBBWAUPU
      QURUSUTVA $.

    $( The involution function in a star ring is an antiautomorphism.
       (Contributed by Mario Carneiro, 6-Oct-2015.) $)
    srngrhm $p |- ( R e. *Ring -> .* e. ( R RingHom O ) ) $=
      ( csr wcel crh co ccnv wceq issrng simplbi ) AFGBACHIGBBJKABCDELM $.
  $}

  $( A star ring is a ring.  (Contributed by Mario Carneiro, 6-Oct-2015.) $)
  srngring $p |- ( R e. *Ring -> R e. Ring ) $=
    ( csr wcel cstf cfv coppr crh co crg eqid srngrhm rhmrcl1 syl ) ABCADEZAAFE
    ZGHCAICANOOJNJKAONLM $.

  ${
    srngcnv.i $e |- .* = ( *rf ` R ) $.
    $( The involution function in a star ring is its own inverse function.
       (Contributed by Mario Carneiro, 6-Oct-2015.) $)
    srngcnv $p |- ( R e. *Ring -> .* = `' .* ) $=
      ( csr wcel coppr cfv crh co ccnv wceq eqid issrng simprbi ) ADEBAAFGZHIEB
      BJKABOOLCMN $.

    srngf1o.b $e |- B = ( Base ` R ) $.
    $( The involution function in a star ring is a bijection.  (Contributed by
       Mario Carneiro, 6-Oct-2015.) $)
    srngf1o $p |- ( R e. *Ring -> .* : B -1-1-onto-> B ) $=
      ( csr wcel wfn ccnv wf1o coppr cfv crh co cbs wf eqid srngrhm rhmf ffn
      3syl srngcnv fneq1d mpbid dff1o4 sylanbrc ) BFGZCAHZCIZAHZAACJUGCBBKLZMNG
      AUKOLZCPUHBCUKUKQDRAULBUKCEULQSAULCTUAZUGUHUJUMUGACUIBCDUBUCUDAACUEUF $.
  $}

  ${
    srngcl.i $e |- .* = ( *r ` R ) $.
    srngcl.b $e |- B = ( Base ` R ) $.
    $( The involution function in a star ring is closed in the ring.
       (Contributed by Mario Carneiro, 6-Oct-2015.) $)
    srngcl $p |- ( ( R e. *Ring /\ X e. B ) -> ( .* ` X ) e. B ) $=
      ( csr wcel wa cstf cfv wceq eqid stafval adantl wf1o wf srngf1o f1of syl
      ffvelrnda eqeltrrd ) BGHZDAHZIDBJKZKZDCKZAUDUFUGLUCDABUECFEUEMZNOUCAADUEU
      CAAUEPAAUEQABUEUHFRAAUESTUAUB $.

    $( The involution function in a star ring is an involution.  (Contributed
       by Mario Carneiro, 6-Oct-2015.) $)
    srngnvl $p |- ( ( R e. *Ring /\ X e. B ) -> ( .* ` ( .* ` X ) ) = X ) $=
      ( csr wcel wa cfv cstf wceq srngcl eqid stafval syl srngcnv adantr fveq1d
      ccnv adantl fveq2d wf1o srngf1o f1ocnvfv1 sylan 3eqtr3d eqtr3d ) BGHZDAHZ
      IZDCJZBKJZJZULCJZDUKULAHUNUOLABCDEFMULABUMCFEUMNZOPUKDUMJZUMJUQUMTZJZUNDU
      KUQUMURUIUMURLUJBUMUPQRSUKUQULUMUJUQULLUIDABUMCFEUPOUAUBUIAAUMUCUJUSDLABU
      MUPFUDAADUMUEUFUGUH $.

    ${
      srngadd.p $e |- .+ = ( +g ` R ) $.
      $( The involution function in a star ring distributes over addition.
         (Contributed by Mario Carneiro, 6-Oct-2015.) $)
      srngadd $p |- ( ( R e. *Ring /\ X e. B /\ Y e. B ) ->
        ( .* ` ( X .+ Y ) ) = ( ( .* ` X ) .+ ( .* ` Y ) ) ) $=
        ( csr wcel w3a co cstf cfv wceq eqid syl syl3an1 stafval coppr cghm crh
        srngrhm rhmghm oppradd ghmlin srngring ringacl 3ad2ant2 oveq12d 3eqtr3d
        crg 3ad2ant3 ) CJKZEAKZFAKZLZEFBMZCNOZOZEUTOZFUTOZBMZUSDOZEDOZFDOZBMUOU
        TCCUAOZUBMKZUPUQVAVDPUOUTCVHUCMKVICUTVHVHQZUTQZUDCVHUTUERBBCVHEUTFAHIBC
        VHVJIUFUGSURUSAKZVAVEPUOCUMKUPUQVLCUHABCEFHIUISUSACUTDHGVKTRURVBVFVCVGB
        UPUOVBVFPUQEACUTDHGVKTUJUQUOVCVGPUPFACUTDHGVKTUNUKUL $.
    $}

    srngmul.t $e |- .x. = ( .r ` R ) $.
    $( The involution function in a star ring distributes over multiplication,
       with a change in the order of the factors.  (Contributed by Mario
       Carneiro, 6-Oct-2015.) $)
    srngmul $p |- ( ( R e. *Ring /\ X e. B /\ Y e. B ) ->
      ( .* ` ( X .x. Y ) ) = ( ( .* ` Y ) .x. ( .* ` X ) ) ) $=
      ( csr wcel w3a co cstf cfv coppr wceq eqid syl3an1 stafval srngrhm rhmmul
      cmulr crh opprmul eqtrdi crg srngring ringcl syl 3ad2ant3 oveq12d 3eqtr3d
      3ad2ant2 ) BJKZEAKZFAKZLZEFCMZBNOZOZFUTOZEUTOZCMZUSDOZFDOZEDOZCMURVAVCVBB
      POZUCOZMZVDUOUTBVHUDMKUPUQVAVJQBUTVHVHRZUTRZUAEFBVHCVIUTAHIVIRZUBSABVICVH
      VCVBHIVKVMUEUFURUSAKZVAVEQUOBUGKUPUQVNBUHABCEFHIUISUSABUTDHGVLTUJURVBVFVC
      VGCUQUOVBVFQUPFABUTDHGVLTUKUPUOVCVGQUQEABUTDHGVLTUNULUM $.
  $}

  ${
    srng1.i $e |- .* = ( *r ` R ) $.
    srng1.t $e |- .1. = ( 1r ` R ) $.
    $( The conjugate of the ring identity is the identity.  (This is sometimes
       taken as an axiom, and indeed the proof here follows because we defined
       ` *r ` to be a ring homomorphism, which preserves 1; nevertheless, it is
       redundant, as can be seen from the proof of ~ issrngd .)  (Contributed
       by Mario Carneiro, 6-Oct-2015.) $)
    srng1 $p |- ( R e. *Ring -> ( .* ` .1. ) = .1. ) $=
      ( csr wcel cstf cfv crg cbs wceq srngring eqid ringidcl stafval coppr crh
      3syl co srngrhm oppr1 rhm1 syl eqtr3d ) AFGZBAHIZIZBCIZBUFAJGBAKIZGUHUILA
      MUJABUJNZEOBUJAUGCUKDUGNZPSUFUGAAQIZRTGUHBLAUGUMUMNZULUAAUMBUGBEABUMUNEUB
      UCUDUE $.
  $}

  ${
    srng0.i $e |- .* = ( *r ` R ) $.
    srng0.z $e |- .0. = ( 0g ` R ) $.
    $( The conjugate of the ring zero is zero.  (Contributed by Mario Carneiro,
       7-Oct-2015.) $)
    srng0 $p |- ( R e. *Ring -> ( .* ` .0. ) = .0. ) $=
      ( csr wcel cstf cfv crg cgrp cbs wceq srngring ringgrp grpidcl stafval co
      eqid 4syl coppr crh cghm srngrhm rhmghm oppr0 ghmid 3syl eqtr3d ) AFGZCAH
      IZIZCBIZCUJAJGAKGCALIZGULUMMANAOUNACUNSZEPCUNAUKBUODUKSZQTUJUKAAUAIZUBRGU
      KAUQUCRGULCMAUKUQUQSZUPUDAUQUKUEAUQUKCCEAUQCUREUFUGUHUI $.
  $}

  ${
    $d x y K $.  $d x y R $.  $d x y ph $.
    $( Ring base $)
    issrngd.k $e |- ( ph -> K = ( Base ` R ) ) $.
    $( Ring plus $)
    issrngd.p $e |- ( ph -> .+ = ( +g ` R ) ) $.
    $( Ring times $)
    issrngd.t $e |- ( ph -> .x. = ( .r ` R ) ) $.
    $( Involution (e.g., complex conjugate) $)
    issrngd.c $e |- ( ph -> .* = ( *r ` R ) ) $.
    issrngd.r $e |- ( ph -> R e. Ring ) $.
    $( Closure $)
    issrngd.cl $e |- ( ( ph /\ x e. K ) -> ( .* ` x ) e. K ) $.
    $( Distributive law over addition $)
    issrngd.dp $e |- ( ( ph /\ x e. K /\ y e. K )
           -> ( .* ` ( x .+ y ) ) = ( ( .* ` x ) .+ ( .* ` y ) ) ) $.
    $( Distributive law over multiplication $)
    issrngd.dt $e |- ( ( ph /\ x e. K /\ y e. K )
           -> ( .* ` ( x .x. y ) ) = ( ( .* ` y ) .x. ( .* ` x ) ) ) $.
    $( Idempotency $)
    issrngd.id $e |- ( ( ph /\ x e. K ) -> ( .* ` ( .* ` x ) ) = x ) $.
    $( Properties that determine a star ring.  (Contributed by Mario Carneiro,
       18-Nov-2013.)  (Revised by Mario Carneiro, 6-Oct-2015.) $)
    issrngd $p |- ( ph -> R e. *Ring ) $=
      ( cfv co wceq cstf coppr crh wcel ccnv csr cbs cplusg cmulr cur oppr1 crg
      eqid opprring cstv cv id fveq2 fveq2d eqeq12d wa ex eleq2d fveq1d fveq12d
      syl eqeq1d 3imtr3d imp eqcomd ringidcl rspcdva oveq1d wral eleq1d eleq12d
      ralrimiva ralrimiv 3expib anbi12d oveqd oveq123d ralrimivv fvoveq1 oveq2d
      rspc2va syl21anc ringlidm syl2anc 3eqtr3d stafval 3eqtr4d opprmul eqtr4di
      oveq2 eqtr4d ringcl 3expb sylan oveqan12d adantl opprbas oppradd staffval
      fmptd ringacl isrhmd cmpt wf1o wf fmpt sylibr r19.21bi rspccva syl5ibrcom
      adantrl eqeq2d adantrr impbid f1ocnv2d simprd eqtr4id issrng sylanbrc ) A
      EUARZEEUBRZUCSUDYEYEUEZTEUFUDABCEUGRZYHEUHRZYIEYFEUIRZYFUIRZEUJRZYEYLYHUM
      ZYLUMZEYLYFYFUMZYNUKYJUMZYKUMZMAEULUDZYFULUDMEYFYOUNVFAYLEUORZRZYTYSRZYLY
      ERZYLAYLYTYJSZUUCYSRZYTUUAAUUCUUAYTYJSZUUDAYLUUAYTYJABUPZUUFYSRZYSRZTZYLU
      UATBYHYLUUFYLTZUUFYLUUHUUAUUJUQUUJUUGYTYSUUFYLYSURZUSUTAUUIBYHAUUFYHUDZVA
      UUHUUFAUULUUHUUFTZAUUFHUDZUUFGRZGRZUUFTZUULUUMAUUNUUQQVBAHYHUUFIVCZAUUPUU
      HUUFAUUOUUGGYSLAUUFGYSLVDZVEVGVHVIVJZVQZAYRYLYHUDZMYHEYLYMYNVKVFZVLZVMAUV
      BYTYHUDZUUFCUPZYJSZYSRZUVFYSRZUUGYJSZTZCYHVNBYHVNUUDUUETZUVCAUUGYHUDZUVEB
      YHYLUUJUUGYTYHUUKVOAUVMBYHAUUNUUOHUDZUULUVMAUUNUVNNVBUURAUUOUUGHYHUUSIVPV
      HZVRUVCVLZAUVKBCYHYHAUUNUVFHUDZVAZUUFUVFFSZGRZUVFGRZUUOFSZTZUULUVFYHUDZVA
      ZUVKAUUNUVQUWCPVSAUUNUULUVQUWDUURAHYHUVFIVCVTZAUVTUVHUWBUVJAUVSUVGGYSLAFY
      JUUFUVFKWAVEAUWAUVIUUOUUGFYJKAUVFGYSLVDZUUSWBUTVHZWCUVKUVLYLUVFYJSZYSRZUV
      IYTYJSZTBCYLYTYHYHUUJUVHUWJUVJUWKUUFYLUVFYSYJWDUUJUUGYTUVIYJUUKWEUTUVFYTT
      ZUWJUUDUWKUUEUWLUWIUUCYSUVFYTYLYJWOUSUWLUVIUUAYTYJUVFYTYSURVMUTWFWGWPAYRU
      VEUUCYTTMUVPYHEYJYLYTYMYPYNWHWIZAUUCYTYSUWMUSWJAUVBUUBYTTUVCYLYHEYEYSYMYS
      UMZYEUMZWKVFUVDWLAUWEVAZUVHUUGUVIYKSZUVGYERZUUFYERZUVFYERZYKSZUWPUVHUVJUW
      QAUWEUVKUWHVIYHEYKYJYFUUGUVIYMYPYOYQWMWNUWPUVGYHUDZUWRUVHTAYRUWEUXBMYRUUL
      UWDUXBYHEYJUUFUVFYMYPWQWRWSUVGYHEYEYSYMUWNUWOWKVFUWEUXAUWQTAUULUWDUWSUUGU
      WTUVIYKUUFYHEYEYSYMUWNUWOWKZUVFYHEYEYSYMUWNUWOWKZWTXAWLYHEYFYOYMXBYIUMZYI
      EYFYOUXEXCABYHUUGYHYEAUULUVMUVOVIZBYHEYEYSYMUWNUWOXDZXEZUWPUUFUVFYISZYSRZ
      UUGUVIYISZUXIYERZUWSUWTYISZAUWEUXJUXKTZAUVRUUFUVFDSZGRZUUOUWADSZTZUWEUXNA
      UUNUVQUXROVSUWFAUXPUXJUXQUXKAUXOUXIGYSLADYIUUFUVFJWAVEAUUOUUGUWAUVIDYIJUU
      SUWGWBUTVHVIUWPUXIYHUDZUXLUXJTAYRUWEUXSMYRUULUWDUXSYHYIEUUFUVFYMUXEXFWRWS
      UXIYHEYEYSYMUWNUWOWKVFUWEUXMUXKTAUULUWDUWSUUGUWTUVIYIUXCUXDWTXAWLXGAYECYH
      UVIXHZYGCYHEYEYSYMUWNUWOXDZAYHYHYEXIYGUXTTABCYHYHUUGUVIYEUXGUXFAUVIYHUDZC
      YHAYHYHYEXJUYBCYHVNUXHCYHYHUVIYEUYAXKXLXMUWPUUFUVITZUVFUUGTZUWPUYDUYCUVFU
      VIYSRZTZAUWDUYFUULAUUIBYHVNUWDUYFUVAUUIUYFBUVFYHUUFUVFTZUUFUVFUUHUYEUYGUQ
      UYGUUGUVIYSUUFUVFYSURUSUTXNWSXPUYCUUGUYEUVFUUFUVIYSURXQXOUWPUYCUYDUUIAUUL
      UUIUWDUUTXRUYDUVIUUHUUFUVFUUGYSURXQXOXSXTYAYBEYEYFYOUWOYCYD $.
  $}

  ${
    $d .* x $.  $d a b x B $.  $d a b x R $.  $d a b x ph $.
    idsrngd.k $e |- B = ( Base ` R ) $.
    idsrngd.c $e |- .* = ( *r ` R ) $.
    idsrngd.r $e |- ( ph -> R e. CRing ) $.
    idsrngd.i $e |- ( ( ph /\ x e. B ) -> ( .* ` x ) = x ) $.
    $( A commutative ring is a star ring when the conjugate operation is the
       identity.  (Contributed by Thierry Arnoux, 19-Apr-2019.) $)
    idsrngd $p |- ( ph -> R e. *Ring ) $=
      ( cfv wceq wcel cv wa simpr fveq2d eqeq12d rspcdv mpd co va vb cplusg cbs
      cmulr a1i eqidd cstv ccrg crg crngring syl wral ralrimiva eqeltrd 3adant2
      adantr w3a cgrp ringgrp eqid grpcl syl3an1 3adant3 oveq12d eqtr4d crngcom
      ringcl 3eqtr4d eqtrd issrngd ) AUAUBDUCJZDDUEJZECCDUDJKAFUFAVLUGAVMUGEDUH
      JKAGUFADUILZDUJLZHDUKULZAUAMZCLZNZVQEJZVQCVSBMZEJZWAKZBCUMZVTVQKZAWDVRAWC
      BCIUNZUQVSWCWEBVQCAVROZVSWAVQKZNZWBVTWAVQWIWAVQEVSWHOZPWJQRSZWGUOAVRUBMZC
      LZURZVQWLVLTZEJZWOVTWLEJZVLTWNWDWPWOKZAWMWDVRAWDWMWFUQZUPZWNWCWRBWOCADUSL
      ZVRWMWOCLAVOXAVPDUTULCVLDVQWLFVLVAVBVCWNWAWOKZNZWBWPWAWOXCWAWOEWNXBOZPXDQ
      RSWNVTVQWQWLVLAVRWEWMWKVDZAWMWQWLKZVRAWMNZWDXFWSXGWCXFBWLCAWMOXGWAWLKZNZW
      BWQWAWLXIWAWLEXGXHOZPXJQRSUPZVEVFWNVQWLVMTZWLVQVMTZXLEJZWQVTVMTAVNVRWMXLX
      MKHCDVMVQWLFVMVAZVGVCWNWDXNXLKZWTWNWCXPBXLCAVOVRWMXLCLVPCDVMVQWLFXOVHVCWN
      WAXLKZNZWBXNWAXLXRWAXLEWNXQOZPXSQRSWNWQWLVTVQVMXKXEVEVIVSVTEJVTVQVSVTVQEW
      KPWKVJVK $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Left modules
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c LMod $.
  $c .sf $.

  $( Extend class notation with class of all left modules. $)
  clmod $a class LMod $.

  $( The functionalization of the scalar multiplication operation. $)
  cscaf $a class .sf $.

  ${
    $d a f g k p q r s t v w x y $.
    $( Define the class of all left modules, which are generalizations of left
       vector spaces.  A left module over a ring is an (Abelian) group
       (vectors) together with a ring (scalars) and a left scalar product
       connecting them.  (Contributed by NM, 4-Nov-2013.) $)
    df-lmod $a |- LMod = { g e. Grp | [. ( Base ` g ) / v ].
      [. ( +g ` g ) / a ]. [. ( Scalar ` g ) / f ]. [. ( .s ` g ) / s ].
      [. ( Base ` f ) / k ]. [. ( +g ` f ) / p ]. [. ( .r ` f ) / t ].
      ( f e. Ring /\ A. q e. k A. r e. k A. x e. v A. w e. v
                ( ( ( r s w ) e. v
                 /\ ( r s ( w a x ) ) = ( ( r s w ) a ( r s x ) )
                 /\ ( ( q p r ) s w ) = ( ( q s w ) a ( r s w ) )
               ) /\ ( ( ( q t r ) s w ) = ( q s ( r s w ) )
                 /\ ( ( 1r ` f ) s w ) = w ) ) ) } $.

    $( Define the functionalization of the ` .s ` operator.  This restricts the
       value of ` .s ` to the stated domain, which is necessary when working
       with restricted structures, whose operations may be defined on a larger
       set than the true base.  (Contributed by Mario Carneiro, 5-Oct-2015.) $)
    df-scaf $a |- .sf = ( g e. _V |-> ( x e. ( Base ` ( Scalar ` g ) ) ,
      y e. ( Base ` g ) |-> ( x ( .s ` g ) y ) ) ) $.
  $}

  ${
    $d a f g k p q r s v w x F $.  $d a f g k p q r s v w x K $.  $d r w x R $.
    $d a f g k p q r s v w x .+^ $.  $d a f g k p q r s v w x V $.  $d w x X $.
    $d a f g k p q r s v w x .+ $.  $d q r w x Q $.  $d a f g v W $.  $d w Y $.
    $d a f g k p q r s v w x .1. $.  $d a f g k p q r s t v w x .X. $.
    $d a f g k p q r s v w x .x. $.
    islmod.v $e |- V = ( Base ` W ) $.
    islmod.a $e |- .+ = ( +g ` W ) $.
    islmod.s $e |- .x. = ( .s ` W ) $.
    islmod.f $e |- F = ( Scalar ` W ) $.
    islmod.k $e |- K = ( Base ` F ) $.
    islmod.p $e |- .+^ = ( +g ` F ) $.
    islmod.t $e |- .X. = ( .r ` F ) $.
    islmod.u $e |- .1. = ( 1r ` F ) $.
    $( The predicate "is a left module".  (Contributed by NM, 4-Nov-2013.)
       (Revised by Mario Carneiro, 19-Jun-2014.) $)
    islmod $p |- ( W e. LMod <->
      ( W e. Grp /\ F e. Ring /\ A. q e. K A. r e. K A. x e. V A. w e. V
                ( ( ( r .x. w ) e. V
                 /\ ( r .x. ( w .+ x ) ) = ( ( r .x. w ) .+ ( r .x. x ) )
                 /\ ( ( q .+^ r ) .x. w ) = ( ( q .x. w ) .+ ( r .x. w ) )
               ) /\ ( ( ( q .X. r ) .x. w ) = ( q .x. ( r .x. w ) )
                 /\ ( .1. .x. w ) = w ) ) ) ) $=
      ( vf vs vv va vp vt vk vg clmod wcel cgrp crg cv co wceq w3a wral cur cfv
      wa cmulr wsbc cplusg cbs cvsca fveq2 eqtr4di sbceq1d sbceqbid fvexi simp3
      csca fveq2d oveq oveq1d eqeq1d anbi1d anbi2d 2ralbidv sbcie eleq1d eleq2d
      simp1 simp2 oveqd oveq2d eqeq12d eqeq2d 3anbi123d anbi12d raleqbidv bitrd
      syl5bb sbcbidv sbc3ie oveq12d eqtrd bitrdi df-lmod elrab2 3anass bitr4i
      bitri ) KUJUKKULUKZHUMUKZLUNZBUNZEUOZJUKZXGXHAUNZCUOZEUOZXIXGXKEUOZCUOZUP
      ZMUNZXGDUOZXHEUOZXQXHEUOZXICUOZUPZUQZXQXGFUOZXHEUOZXQXIEUOZUPZGXHEUOZXHUP
      ZVAZVAZBJURAJURZLIURZMIURZVAZVAXEXFYNUQUBUNZUMUKZXGXHUCUNZUOZUDUNZUKZXGXH
      XKUEUNZUOZYRUOZYSXGXKYRUOZUUBUOZUPZXQXGUFUNZUOZXHYRUOZXQXHYRUOZYSUUBUOZUP
      ZUQZXQXGUGUNZUOZXHYRUOZXQYSYRUOZUPZYPUSUTZXHYRUOZXHUPZVAZVAZBYTURAYTURZLU
      HUNZURMUVFURZVAZUGYPVBUTZVCZUFYPVDUTZVCZUHYPVEUTZVCZUCUIUNZVFUTZVCZUBUVOV
      MUTZVCZUEUVOVDUTZVCZUDUVOVEUTZVCZYOUIKULUJUVOKUPZUWCUVNUCEVCZUBHVCZUECVCZ
      UDJVCZYOUWDUWAUWGUDUWBJUWDUWBKVEUTJUVOKVEVGNVHUWDUVSUWFUEUVTCUWDUVTKVDUTC
      UVOKVDVGOVHUWDUVQUWEUBUVRHUWDUVRKVMUTHUVOKVMVGQVHUWDUVNUCUVPEUWDUVPKVFUTE
      UVOKVFVGPVHVIVJVJVJUWHXFYSJUKZXGXLYRUOZYSUUECUOZUPZUUJUUKYSCUOZUPZUQZYDXH
      YRUOZUURUPZGXHYRUOZXHUPZVAZVAZBJURZAJURZLUVFURZMUVFURZVAZUFDVCZUHIVCZUCEV
      CZYOUWEUXIUDUEUBJCHJKVENVKCKVDOVKHKVMQVKYTJUPZUUBCUPZYPHUPZUQZUVNUXHUCEUX
      MUVLUXGUHUVMIUXMUVMHVEUTIUXMYPHVEUXJUXKUXLVLZVNRVHUXMUVJUXFUFUVKDUXMUVKHV
      DUTDUXMYPHVDUXNVNSVHUXMUVJUVHUGFVCZUXFUXMUVHUGUVIFUXMUVIHVBUTFUXMYPHVBUXN
      VNTVHVIUXOYQUUNUWQUVBVAZVAZBYTURZAYTURZLUVFURMUVFURZVAZUXMUXFUVHUYAUGFFHV
      BTVKUUOFUPZUVGUXTYQUYBUVEUXSMLUVFUVFUYBUVDUXQABYTYTUYBUVCUXPUUNUYBUUSUWQU
      VBUYBUUQUWPUURUYBUUPYDXHYRXQXGUUOFVOVPVQVRVSVTVTVSWAUXMYQXFUXTUXEUXMYPHUM
      UXNWBUXMUXSUXCMLUVFUVFUXMUXRUXBAYTJUXJUXKUXLWDZUXMUXQUXABYTJUYCUXMUUNUWOU
      XPUWTUXMUUAUWIUUGUWLUUMUWNUXMYTJYSUYCWCUXMUUDUWJUUFUWKUXMUUCXLXGYRUXMUUBC
      XHXKUXJUXKUXLWEZWFWGUXMUUBCYSUUEUYDWFWHUXMUULUWMUUJUXMUUBCUUKYSUYDWFWIWJU
      XMUVBUWSUWQUXMUVAUWRXHUXMUUTGXHYRUXMUUTHUSUTGUXMYPHUSUXNVNUAVHVPVQVSWKWLW
      LVTWKWNWMVJVJWOWPUXFYOUCUHUFEIDEKVFPVKIHVERVKDHVDSVKYREUPZUVFIUPZUUHDUPZU
      QZUXEYNXFUYHUXDYMMUVFIUYEUYFUYGWEZUYHUXCYLLUVFIUYIUYHUXAYKABJJUYHUWOYCUWT
      YJUYHUWIXJUWLXPUWNYBUYHYSXIJUYHYREXGXHUYEUYFUYGWDZWFZWBUYHUWJXMUWKXOUYHYR
      EXGXLUYJWFUYHYSXIUUEXNCUYKUYHYREXGXKUYJWFWQWHUYHUUJXSUWMYAUYHUUJXRXHYRUOX
      SUYHUUIXRXHYRUYHUUHDXQXGUYEUYFUYGVLWFVPUYHYREXRXHUYJWFWRUYHUUKXTYSXICUYHY
      REXQXHUYJWFUYKWQWHWJUYHUWQYGUWSYIUYHUWPYEUURYFUYHYREYDXHUYJWFUYHUURXQXIYR
      UOYFUYHYSXIXQYRUYKWGUYHYREXQXIUYJWFWRWHUYHUWRYHXHUYHYREGXHUYJWFVQWKWKVTWL
      WLVSWPXDWSABUDUGUBUIUHUCLMUFUEWTXAXEXFYNXBXC $.

    $( Lemma for properties of a left module.  (Contributed by NM, 8-Dec-2013.)
       (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmodlema $p |- ( ( W e. LMod /\ ( Q e. K /\ R e. K )
          /\ ( X e. V /\ Y e. V ) ) ->
                ( ( ( R .x. Y ) e. V
                 /\ ( R .x. ( Y .+ X ) ) = ( ( R .x. Y ) .+ ( R .x. X ) )
                 /\ ( ( Q .+^ R ) .x. Y ) = ( ( Q .x. Y ) .+ ( R .x. Y ) )
               ) /\ ( ( ( Q .X. R ) .x. Y ) = ( Q .x. ( R .x. Y ) )
                 /\ ( .1. .x. Y ) = Y ) ) ) $=
      ( vw vx vr vq clmod wcel wa co wceq w3a cv wral cgrp islmod simp3bi oveq1
      crg oveq1d eqeq12d 3anbi3d anbi1d anbi12d 2ralbidv eleq1d oveq2 3anbi123d
      oveq12d oveq2d rspc2v mpan9 3anbi2d id syl5com 3impia ) KUFUGZCIUGDIUGUHZ
      LJUGMJUGUHZDMEUIZJUGZDMLAUIZEUIZVSDLEUIZAUIZUJZCDBUIZMEUIZCMEUIZVSAUIZUJZ
      UKZCDFUIZMEUIZCVSEUIZUJZGMEUIZMUJZUHZUHZVPVQUHDUBULZEUIZJUGZDWTUCULZAUIZE
      UIZXADXCEUIZAUIZUJZWFWTEUIZCWTEUIZXAAUIZUJZUKZWLWTEUIZCXAEUIZUJZGWTEUIZWT
      UJZUHZUHZUBJUMUCJUMZVRWSVPUDULZWTEUIZJUGZYBXDEUIZYCYBXCEUIZAUIZUJZUEULZYB
      BUIZWTEUIZYIWTEUIZYCAUIZUJZUKZYIYBFUIZWTEUIZYIYCEUIZUJZXRUHZUHZUBJUMUCJUM
      ZUDIUMUEIUMZVQYAVPKUNUGHURUGUUCUCUBABEFGHIJKUDUENOPQRSTUAUOUPUUBYAYDYHCYB
      BUIZWTEUIZXJYCAUIZUJZUKZCYBFUIZWTEUIZCYCEUIZUJZXRUHZUHZUBJUMUCJUMUEUDCDII
      YICUJZUUAUUNUCUBJJUUOYOUUHYTUUMUUOYNUUGYDYHUUOYKUUEYMUUFUUOYJUUDWTEYICYBB
      UQUSUUOYLXJYCAYICWTEUQUSUTVAUUOYSUULXRUUOYQUUJYRUUKUUOYPUUIWTEYICYBFUQUSY
      ICYCEUQUTVBVCVDYBDUJZUUNXTUCUBJJUUPUUHXMUUMXSUUPYDXBYHXHUUGXLUUPYCXAJYBDW
      TEUQZVEUUPYEXEYGXGYBDXDEUQUUPYCXAYFXFAUUQYBDXCEUQVHUTUUPUUEXIUUFXKUUPUUDW
      FWTEYBDCBVFUSUUPYCXAXJAUUQVIUTVGUUPUULXPXRUUPUUJXNUUKXOUUPUUIWLWTEYBDCFVF
      USUUPYCXACEUUQVIUTVBVCVDVJVKXTWSXBDWTLAUIZEUIZXAWCAUIZUJZXLUKZXSUHUCUBLMJ
      JXCLUJZXMUVBXSUVCXHUVAXBXLUVCXEUUSXGUUTUVCXDUURDEXCLWTAVFVIUVCXFWCXAAXCLD
      EVFVIUTVLVBWTMUJZUVBWKXSWRUVDXBVTUVAWEXLWJUVDXAVSJWTMDEVFZVEUVDUUSWBUUTWD
      UVDUURWADEWTMLAUQVIUVDXAVSWCAUVEUSUTUVDXIWGXKWIWTMWFEVFUVDXJWHXAVSAWTMCEV
      FUVEVHUTVGUVDXPWOXRWQUVDXNWMXOWNWTMWLEVFUVDXAVSCEUVEVIUTUVDXQWPWTMWTMGEVF
      UVDVMUTVCVCVJVNVO $.
  $}

  ${
    $d y z .+^ $.  $d r u w x y z B $.  $d r u w x y z ph $.  $d u w x y z V $.
    $d x y z .+ $.  $d r u w x W $.  $d x y z .x. $.  $d y z .X. $.
    $d x .1. $.
    islmodd.v $e |- ( ph -> V = ( Base ` W ) ) $.
    islmodd.a $e |- ( ph -> .+ = ( +g ` W ) ) $.
    islmodd.f $e |- ( ph -> F = ( Scalar ` W ) ) $.
    islmodd.s $e |- ( ph -> .x. = ( .s ` W ) ) $.
    islmodd.b $e |- ( ph -> B = ( Base ` F ) ) $.
    islmodd.p $e |- ( ph -> .+^ = ( +g ` F ) ) $.
    islmodd.t $e |- ( ph -> .X. = ( .r ` F ) ) $.
    islmodd.u $e |- ( ph -> .1. = ( 1r ` F ) ) $.
    islmodd.r $e |- ( ph -> F e. Ring ) $.
    $( Group operations $)
    islmodd.l $e |- ( ph -> W e. Grp ) $.
    $( Scalar product operation $)
    islmodd.w $e |- ( ( ph /\ x e. B /\ y e. V ) -> ( x .x. y ) e. V ) $.
    islmodd.c $e |- ( ( ph /\ ( x e. B /\ y e. V /\ z e. V ) )
        -> ( x .x. ( y .+ z ) ) = ( ( x .x. y ) .+ ( x .x. z ) ) ) $.
    islmodd.d $e |- ( ( ph /\ ( x e. B /\ y e. B /\ z e. V ) )
        -> ( ( x .+^ y ) .x. z ) = ( ( x .x. z ) .+ ( y .x. z ) ) ) $.
    islmodd.e $e |- ( ( ph /\ ( x e. B /\ y e. B /\ z e. V ) )
        -> ( ( x .X. y ) .x. z ) = ( x .x. ( y .x. z ) ) ) $.
    islmodd.g $e |- ( ( ph /\ x e. V ) -> ( .1. .x. x ) = x ) $.
    $( Properties that determine a left module.  See note in ~ isgrpd2
       regarding the ` ph ` on hypotheses that name structure components.
       (Contributed by Mario Carneiro, 22-Jun-2014.) $)
    islmodd $p |- ( ph -> W e. LMod ) $=
      ( vr vw vu cgrp wcel csca cfv crg cv cvsca co cbs cplusg w3a cmulr cur wa
      wceq wral clmod eqeltrrd 3expb ralrimivva weq oveq1 eleq1d oveq2 ad2ant2l
      wi rspc2v ralrimivvva oveq12d eqeq12d oveq2d oveq1d rspc3v 3com23 adantll
      mpan9 simpll 3exp2 imp43 sylan2 simprlr simprrr syl2anc 3jca ralrimiva id
      rspcv ad2antll jca32 anassrs eqtrd oveqd eleq12d eqidd oveq123d 3anbi123d
      mpd fveq2d eqeq1d anbi12d raleqbidv mpbid eqid islmod syl3anbrc ) AMULUMM
      UNUOZUPUMUIUQZUJUQZMURUOZUSZMUTUOZUMZXRXSUKUQZMVAUOZUSZXTUSZYAXRYDXTUSZYE
      USZVFZBUQZXRXQVAUOZUSZXSXTUSZYKXSXTUSZYAYEUSZVFZVBZYKXRXQVCUOZUSZXSXTUSZY
      KYAXTUSZVFZXQVDUOZXSXTUSZXSVFZVEZVEZUJYBVGZUKYBVGZUIXQUTUOZVGZBUUKVGZMVHU
      MUCAKXQUPPUBVIAXRXSHUSZLUMZXRXSYDFUSZHUSZUUNXRYDHUSZFUSZVFZYKXRGUSZXSHUSZ
      YKXSHUSZUUNFUSZVFZVBZYKXRIUSZXSHUSZYKUUNHUSZVFZJXSHUSZXSVFZVEZVEZUJLVGZUK
      LVGZUIEVGZBEVGUUMAUVPBUIEEAYKEUMZXREUMZVEZVEUVNUKUJLLAUVTYDLUMZXSLUMZVEZU
      VNAUVTUWCVEZVEZUVFUVJUVLUWEUUOUUTUVEAYKCUQZHUSZLUMZCLVGBEVGZUWDUUOAUWHBCE
      LAUVRUWFLUMUWHUDVJVKUVSUWBUWIUUOVQUVRUWAUWHUUOXRUWFHUSZLUMBCXRXSELBUIVLZU
      WGUWJLYKXRUWFHVMZVNCUJVLZUWJUUNLUWFXSXRHVOZVNVRVPWGAYKUWFDUQZFUSZHUSZUWGY
      KUWOHUSZFUSZVFZDLVGCLVGBEVGZUWDUUTAUWTBCDELLUEVSUVSUWCUXAUUTVQZUVRUVSUWAU
      WBUXBUVSUWBUWAUXBUWTUUTXRUWPHUSZUWJXRUWOHUSZFUSZVFXRXSUWOFUSZHUSZUUNUXDFU
      SZVFBCDXRXSYDELLUWKUWQUXCUWSUXEYKXRUWPHVMUWKUWGUWJUWRUXDFUWLYKXRUWOHVMVTW
      AUWMUXCUXGUXEUXHUWMUWPUXFXRHUWFXSUWOFVMWBUWMUWJUUNUXDFUWNWCWADUKVLZUXGUUQ
      UXHUUSUXIUXFUUPXRHUWOYDXSFVOWBUXIUXDUURUUNFUWOYDXRHVOWBWAWDWEVJWFWGUWEYKU
      WFGUSZUWOHUSZUWRUWFUWOHUSZFUSZVFZDLVGCEVGZUVEUWDAUVRUXOUVRUVSUWCWHZAUVRVE
      ZUXNCDELAUVRUWFEUMZUWOLUMZUXNAUVRUXRUXSUXNUFWIWJVKWKUWEUVSUWBUXOUVEVQAUVR
      UVSUWCWLZAUVTUWAUWBWMZUXNUVEUVAUWOHUSZUWRUXDFUSZVFCDXRXSELCUIVLZUXKUYBUXM
      UYCUYDUXJUVAUWOHUWFXRYKGVOWCUYDUXLUXDUWRFUWFXRUWOHVMZWBWADUJVLZUYBUVBUYCU
      VDUWOXSUVAHVOUYFUWRUVCUXDUUNFUWOXSYKHVOUWOXSXRHVOZVTWAVRWNXHWOUWEYKUWFIUS
      ZUWOHUSZYKUXLHUSZVFZDLVGCEVGZUVJUWDAUVRUYLUXPUXQUYKCDELAUVRUXRUXSUYKAUVRU
      XRUXSUYKUGWIWJVKWKUWEUVSUWBUYLUVJVQUXTUYAUYKUVJUVGUWOHUSZYKUXDHUSZVFCDXRX
      SELUYDUYIUYMUYJUYNUYDUYHUVGUWOHUWFXRYKIVOWCUYDUXLUXDYKHUYEWBWAUYFUYMUVHUY
      NUVIUWOXSUVGHVOUYFUXDUUNYKHUYGWBWAVRWNXHAJYKHUSZYKVFZBLVGZUWDUVLAUYPBLUHW
      PUWBUYQUVLVQUVTUWAUYPUVLBXSLBUJVLZUYOUVKYKXSYKXSJHVOUYRWQWAWRWSWGWTXAVKVK
      AUVQUULBEUUKAEKUTUOUUKRAKXQUTPXIXBZAUVPUUJUIEUUKUYSAUVOUUIUKLYBNAUVNUUHUJ
      LYBNAUVFYRUVMUUGAUUOYCUUTYJUVEYQAUUNYALYBAHXTXRXSQXCZNXDAUUQYGUUSYIAXRXRU
      UPYFHXTQAXRXEAFYEXSYDOXCXFAUUNYAUURYHFYEOUYTAHXTXRYDQXCXFWAAUVBYNUVDYPAUV
      AYMXSXSHXTQAGYLYKXRAGKVAUOYLSAKXQVAPXIXBXCAXSXEZXFAUVCYOUUNYAFYEOAHXTYKXS
      QXCUYTXFWAXGAUVJUUCUVLUUFAUVHUUAUVIUUBAUVGYTXSXSHXTQAIYSYKXRAIKVCUOYSTAKX
      QVCPXIXBXCVUAXFAYKYKUUNYAHXTQAYKXEUYTXFWAAUVKUUEXSAJUUDXSXSHXTQAJKVDUOUUD
      UAAKXQVDPXIXBVUAXFXJXKXKXLXLXLXLXMUKUJYEYLXTYSUUDXQUUKYBMUIBYBXNYEXNXTXNX
      QXNUUKXNYLXNYSXNUUDXNXOXP $.
  $}

  ${
    $d q r w x F $.  $d q r w x W $.
    $( A left module is a group.  (Contributed by NM, 8-Dec-2013.)  (Revised by
       Mario Carneiro, 25-Jun-2014.) $)
    lmodgrp $p |- ( W e. LMod -> W e. Grp ) $=
      ( vr vw vx vq clmod wcel cgrp csca cfv crg cv cvsca co cbs cplusg wceq wa
      wral eqid w3a cmulr cur islmod simp1bi ) AFGAHGAIJZKGBLZCLZAMJZNZAOJZGUGU
      HDLZAPJZNUINUJUGULUINUMNQELZUGUFPJZNUHUINUNUHUINUJUMNQUAUNUGUFUBJZNUHUINU
      NUJUINQUFUCJZUHUINUHQRRCUKSDUKSBUFOJZSEURSDCUMUOUIUPUQUFURUKABEUKTUMTUITU
      FTURTUOTUPTUQTUDUE $.

    lmodring.1 $e |- F = ( Scalar ` W ) $.
    $( The scalar component of a left module is a ring.  (Contributed by NM,
       8-Dec-2013.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmodring $p |- ( W e. LMod -> F e. Ring ) $=
      ( vr vw vx vq clmod wcel cgrp crg cv cfv co cbs cplusg wceq wa wral eqid
      cvsca w3a cmulr cur islmod simp2bi ) BHIBJIAKIDLZELZBUAMZNZBOMZIUGUHFLZBP
      MZNUINUJUGULUINUMNQGLZUGAPMZNUHUINUNUHUINUJUMNQUBUNUGAUCMZNUHUINUNUJUINQA
      UDMZUHUINUHQRREUKSFUKSDAOMZSGURSFEUMUOUIUPUQAURUKBDGUKTUMTUITCURTUOTUPTUQ
      TUEUF $.

    $( The scalar component of a left module is an additive group.
       (Contributed by NM, 8-Dec-2013.)  (Revised by Mario Carneiro,
       19-Jun-2014.) $)
    lmodfgrp $p |- ( W e. LMod -> F e. Grp ) $=
      ( clmod wcel crg cgrp lmodring ringgrp syl ) BDEAFEAGEABCHAIJ $.
  $}

  ${
    lmodbn0.b $e |- B = ( Base ` W ) $.
    $( The base set of a left module is nonempty.  (Contributed by NM,
       8-Dec-2013.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmodbn0 $p |- ( W e. LMod -> B =/= (/) ) $=
      ( clmod wcel cgrp c0 wne lmodgrp grpbn0 syl ) BDEBFEAGHBIABCJK $.
  $}

  ${
    lmodacl.f $e |- F = ( Scalar ` W ) $.
    lmodacl.k $e |- K = ( Base ` F ) $.
    lmodacl.p $e |- .+ = ( +g ` F ) $.
    $( Closure of ring addition for a left module.  (Contributed by NM,
       14-Jan-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmodacl $p |- ( ( W e. LMod /\ X e. K /\ Y e. K ) -> ( X .+ Y ) e. K ) $=
      ( clmod wcel cgrp co lmodfgrp grpcl syl3an1 ) DJKBLKECKFCKEFAMCKBDGNCABEF
      HIOP $.
  $}

  ${
    lmodmcl.f $e |- F = ( Scalar ` W ) $.
    lmodmcl.k $e |- K = ( Base ` F ) $.
    lmodmcl.t $e |- .x. = ( .r ` F ) $.
    $( Closure of ring multiplication for a left module.  (Contributed by NM,
       14-Jan-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmodmcl $p |- ( ( W e. LMod /\ X e. K /\ Y e. K ) -> ( X .x. Y ) e. K ) $=
      ( clmod wcel crg co lmodring ringcl syl3an1 ) DJKBLKECKFCKEFAMCKBDGNCBAEF
      HIOP $.
  $}

  ${
    lmodsn0.f $e |- F = ( Scalar ` W ) $.
    lmodsn0.b $e |- B = ( Base ` F ) $.
    $( The set of scalars in a left module is nonempty.  (Contributed by NM,
       8-Dec-2013.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmodsn0 $p |- ( W e. LMod -> B =/= (/) ) $=
      ( clmod wcel cgrp c0 wne lmodfgrp grpbn0 syl ) CFGBHGAIJBCDKABELM $.
  $}

  ${
    lmodvacl.v $e |- V = ( Base ` W ) $.
    lmodvacl.a $e |- .+ = ( +g ` W ) $.
    $( Closure of vector addition for a left module.  (Contributed by NM,
       8-Dec-2013.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmodvacl $p |- ( ( W e. LMod /\ X e. V /\ Y e. V ) -> ( X .+ Y ) e. V ) $=
      ( clmod wcel cgrp co lmodgrp grpcl syl3an1 ) CHICJIDBIEBIDEAKBICLBACDEFGM
      N $.

    $( Left module vector sum is associative.  (Contributed by NM,
       10-Jan-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmodass $p |- ( ( W e. LMod /\ ( X e. V /\ Y e. V /\ Z e. V ) ) ->
                    ( ( X .+ Y ) .+ Z ) = ( X .+ ( Y .+ Z ) ) ) $=
      ( clmod wcel cgrp w3a co wceq lmodgrp grpass sylan ) CIJCKJDBJEBJFBJLDEAM
      FAMDEFAMAMNCOBACDEFGHPQ $.

    $( Left cancellation law for vector sum.  (Contributed by NM, 12-Jan-2014.)
       (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmodlcan $p |- ( ( W e. LMod /\ ( X e. V /\ Y e. V /\ Z e. V ) ) ->
                     ( ( Z .+ X ) = ( Z .+ Y ) <-> X = Y ) ) $=
      ( clmod wcel cgrp w3a co wceq wb lmodgrp grplcan sylan ) CIJCKJDBJEBJFBJL
      FDAMFEAMNDENOCPBACDEFGHQR $.
  $}

  ${
    lmodvscl.v $e |- V = ( Base ` W ) $.
    lmodvscl.f $e |- F = ( Scalar ` W ) $.
    lmodvscl.s $e |- .x. = ( .s ` W ) $.
    lmodvscl.k $e |- K = ( Base ` F ) $.
    $( Closure of scalar product for a left module.  ( ~ hvmulcl analog.)
       (Contributed by NM, 8-Dec-2013.)  (Revised by Mario Carneiro,
       19-Jun-2014.) $)
    lmodvscl $p |- ( ( W e. LMod /\ R e. K /\ X e. V ) -> ( R .x. X ) e. V ) $=
      ( wcel wa co pm4.24 w3a cplusg cfv wceq eqid clmod biid cur simpld simp1d
      cmulr lmodlema syl3anb ) FUALZUIADLZUJUJMZGELZULULMZAGBNZELZUIUBUJOULOUIU
      KUMPZUOAGGFQRZNBNUNUNUQNZSZAACQRZNGBNURSZUPUOUSVAPAACUFRZNGBNAUNBNSCUCRZG
      BNGSMUQUTAABVBVCCDEFGGHUQTJIKUTTVBTVCTUGUDUEUH $.
  $}

  ${
    $d w x y B $.  $d w x y K $.  $d w x y .x. $.  $d w x y W $.  $d x y X $.
    $d x y Y $.
    scaffval.b $e |- B = ( Base ` W ) $.
    scaffval.f $e |- F = ( Scalar ` W ) $.
    scaffval.k $e |- K = ( Base ` F ) $.
    scaffval.a $e |- .xb = ( .sf ` W ) $.
    ${
      scaffval.s $e |- .x. = ( .s ` W ) $.
      $( The scalar multiplication operation as a function.  (Contributed by
         Mario Carneiro, 5-Oct-2015.)  (Proof shortened by AV, 2-Mar-2024.) $)
      scaffval $p |- .xb = ( x e. K , y e. B |-> ( x .x. y ) ) $=
        ( vw cfv wceq cbs cvsca eqtr4di c0 cscaf cv co cmpo cvv wcel csca fveq2
        fveq2d oveqd mpoeq123dv df-scaf crn csn cun fvexi rnex p0ex df-ov fvrn0
        unex cop eqeltri rgen2w mpoexw fvmpt wn fvprc wo eqtrid olcd syl eqtr4d
        0mpo0 pm2.61i eqtri ) DHUAOZABGCAUBZBUBZEUCZUDZLHUEUFZVQWAPNHABNUBZUGOZ
        QOZWCQOZVRVSWCROZUCZUDWAUEUAWCHPZABWEWFWHGCVTWIWEFQOGWIWDFQWIWDHUGOFWCH
        UGUHJSUIKSWIWFHQOZCWCHQUHISWIWGEVRVSWIWGHROEWCHRUHMSUJUKABNULABGCVTEUMZ
        TUNZUOZGFQKUPCHQIUPWKWLEEHRMUPUQURVAVTWMUFABGCVTVRVSVBZEOWMVRVSEUSEWNUT
        VCVDVEVFWBVGZVQTWAHUAVHWOGTPZCTPZVIWATPWOWQWPWOCWJTIHQVHVJVKABGCVTVNVLV
        MVOVP $.

      $( The scalar multiplication operation as a function.  (Contributed by
         Mario Carneiro, 5-Oct-2015.) $)
      scafval $p |- ( ( X e. K /\ Y e. B ) -> ( X .xb Y ) = ( X .x. Y ) ) $=
        ( vx vy cv co oveq12 scaffval ovex ovmpoa ) NOGHEANPZOPZCQGHCQBUBGUCHCR
        NOABCDEFIJKLMSGHCTUA $.

      $( If the scalar multiplication operation is already a function, the
         functionalization of it is equal to the original operation.
         (Contributed by Mario Carneiro, 5-Oct-2015.) $)
      scafeq $p |- ( .x. Fn ( K X. B ) -> .xb = .x. ) $=
        ( vx vy cxp wfn cv co cmpo scaffval wceq fnov biimpi eqtr4id ) CEANOZBL
        MEALPMPCQRZCLMABCDEFGHIJKSUDCUETLMEACUAUBUC $.
    $}

    $( The scalar multiplication operation is a function.  (Contributed by
       Mario Carneiro, 5-Oct-2015.) $)
    scaffn $p |- .xb Fn ( K X. B ) $=
      ( vx vy cv cvsca cfv co eqid scaffval ovex fnmpoi ) JKDAJLZKLZEMNZOBJKABU
      BCDEFGHIUBPQTUAUBRS $.

    $( The scalar multiplication operation is a function.  (Contributed by
       Mario Carneiro, 5-Oct-2015.) $)
    lmodscaf $p |- ( W e. LMod -> .xb : ( K X. B ) --> B ) $=
      ( vx vy clmod wcel cv cvsca cfv co wral cxp wf eqid 3expb ralrimivva fmpo
      lmodvscl scaffval sylib ) ELMZJNZKNZEOPZQZAMZKARJDRDASABTUHUMJKDAUHUIDMUJ
      AMUMUIUKCDAEUJFGUKUAZHUEUBUCJKDAULABJKABUKCDEFGHIUNUFUDUG $.
  $}

  ${
    lmodvsdi.v $e |- V = ( Base ` W ) $.
    lmodvsdi.a $e |- .+ = ( +g ` W ) $.
    lmodvsdi.f $e |- F = ( Scalar ` W ) $.
    lmodvsdi.s $e |- .x. = ( .s ` W ) $.
    lmodvsdi.k $e |- K = ( Base ` F ) $.
    $( Distributive law for scalar product (left-distributivity).
       ( ~ ax-hvdistr1 analog.)  (Contributed by NM, 10-Jan-2014.)  (Revised by
       Mario Carneiro, 22-Sep-2015.) $)
    lmodvsdi $p |- ( ( W e. LMod /\ ( R e. K /\ X e. V /\ Y e. V ) ) ->
                     ( R .x. ( X .+ Y ) ) = ( ( R .x. X ) .+ ( R .x. Y ) ) ) $=
      ( wcel co wceq wa cfv eqid clmod wi w3a cplusg cur lmodlema simpld simp2d
      cmulr 3expia anabsan2 exp4b com34 3imp2 ) GUAOZBEOZHFOZIFOZBHIAPCPBHCPZBI
      CPAPQZUOUPURUQUTUOUPURUQUTUOUPURUQRZUTUBUOUPUPRZVAUTUOVBVAUCZUSFOZUTBBDUD
      SZPHCPUSUSAPQZVCVDUTVFUCBBDUISZPHCPBUSCPQDUESZHCPHQRAVEBBCVGVHDEFGIHJKMLN
      VETVGTVHTUFUGUHUJUKULUMUN $.
  $}

  ${
    lmodvsdir.v $e |- V = ( Base ` W ) $.
    lmodvsdir.a $e |- .+ = ( +g ` W ) $.
    lmodvsdir.f $e |- F = ( Scalar ` W ) $.
    lmodvsdir.s $e |- .x. = ( .s ` W ) $.
    lmodvsdir.k $e |- K = ( Base ` F ) $.
    lmodvsdir.p $e |- .+^ = ( +g ` F ) $.
    $( Distributive law for scalar product (right-distributivity).
       ( ~ ax-hvdistr1 analog.)  (Contributed by NM, 10-Jan-2014.)  (Revised by
       Mario Carneiro, 22-Sep-2015.) $)
    lmodvsdir $p |- ( ( W e. LMod /\ ( Q e. K /\ R e. K /\ X e. V ) ) ->
                    ( ( Q .+^ R ) .x. X ) = ( ( Q .x. X ) .+ ( R .x. X ) ) ) $=
      ( wcel co wceq wa clmod w3a cmulr cfv cur lmodlema simpld simp3d anabsan2
      eqid 3expa exp42 3imp2 ) IUAQZCGQZDGQZJHQZCDBRJERCJERDJERZARSZUNUOUPUQUSU
      NUOUPTZTUQUSUNUTUQUQTZUSUNUTVAUBZURHQZDJJARERURURARSZUSVBVCVDUSUBCDFUCUDZ
      RJERCURERSFUEUDZJERJSTABCDEVEVFFGHIJJKLNMOPVEUJVFUJUFUGUHUKUIULUM $.
  $}

  ${
    lmodvsass.v $e |- V = ( Base ` W ) $.
    lmodvsass.f $e |- F = ( Scalar ` W ) $.
    lmodvsass.s $e |- .x. = ( .s ` W ) $.
    lmodvsass.k $e |- K = ( Base ` F ) $.
    lmodvsass.t $e |- .X. = ( .r ` F ) $.
    $( Associative law for scalar product.  ( ~ ax-hvmulass analog.)
       (Contributed by NM, 10-Jan-2014.)  (Revised by Mario Carneiro,
       22-Sep-2015.) $)
    lmodvsass $p |- ( ( W e. LMod /\ ( Q e. K /\ R e. K /\ X e. V ) ) ->
                      ( ( Q .X. R ) .x. X ) = ( Q .x. ( R .x. X ) ) ) $=
      ( wcel co wceq wa cfv eqid clmod w3a cplusg cur lmodlema simprld anabsan2
      3expa exp42 3imp2 ) HUAOZAFOZBFOZIGOZABDPICPABICPZCPQZUKULUMUNUPUKULUMRZR
      UNUPUKUQUNUNRZUPUKUQURUBUOGOBIIHUCSZPCPUOUOUSPQABEUCSZPICPAICPUOUSPQUBUPE
      UDSZICPIQUSUTABCDVAEFGHIIJUSTLKMUTTNVATUEUFUHUGUIUJ $.
  $}

  ${
    lmod0cl.f $e |- F = ( Scalar ` W ) $.
    lmod0cl.k $e |- K = ( Base ` F ) $.
    lmod0cl.z $e |- .0. = ( 0g ` F ) $.
    $( The ring zero in a left module belongs to the ring base set.
       (Contributed by NM, 11-Jan-2014.)  (Revised by Mario Carneiro,
       19-Jun-2014.) $)
    lmod0cl $p |- ( W e. LMod -> .0. e. K ) $=
      ( clmod wcel crg lmodring ring0cl syl ) CHIAJIDBIACEKBADFGLM $.
  $}

  ${
    lmod1cl.f $e |- F = ( Scalar ` W ) $.
    lmod1cl.k $e |- K = ( Base ` F ) $.
    lmod1cl.u $e |- .1. = ( 1r ` F ) $.
    $( The ring unit in a left module belongs to the ring base set.
       (Contributed by NM, 11-Jan-2014.)  (Revised by Mario Carneiro,
       19-Jun-2014.) $)
    lmod1cl $p |- ( W e. LMod -> .1. e. K ) $=
      ( clmod wcel crg lmodring ringidcl syl ) DHIBJIACIBDEKCBAFGLM $.
  $}

  ${
    lmodvs1.v $e |- V = ( Base ` W ) $.
    lmodvs1.f $e |- F = ( Scalar ` W ) $.
    lmodvs1.s $e |- .x. = ( .s ` W ) $.
    lmodvs1.u $e |- .1. = ( 1r ` F ) $.
    $( Scalar product with ring unit.  ( ~ ax-hvmulid analog.)  (Contributed by
       NM, 10-Jan-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmodvs1 $p |- ( ( W e. LMod /\ X e. V ) -> ( .1. .x. X ) = X ) $=
      ( clmod wcel wa cbs cfv co wceq eqid w3a cplusg simpl lmod1cl simpr cmulr
      adantr lmodlema simprrd syl122anc ) EKLZFDLZMUIBCNOZLZULUJUJBFAPZFQZUIUJU
      AUIULUJBCUKEHUKRZJUBUEZUPUIUJUCZUQUIULULMUJUJMSUMDLBFFETOZPAPUMUMURPZQBBC
      TOZPFAPUSQSBBCUDOZPFAPBUMAPQUNURUTBBAVABCUKDEFFGURRIHUOUTRVARJUFUGUH $.
  $}

  ${
    0vcl.v $e |- V = ( Base ` W ) $.
    0vcl.z $e |- .0. = ( 0g ` W ) $.
    $( The zero vector is a vector.  ( ~ ax-hv0cl analog.)  (Contributed by NM,
       10-Jan-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmod0vcl $p |- ( W e. LMod -> .0. e. V ) $=
      ( clmod wcel cgrp lmodgrp grpidcl syl ) BFGBHGCAGBIABCDEJK $.
  $}

  ${
    0vlid.v $e |- V = ( Base ` W ) $.
    0vlid.a $e |- .+ = ( +g ` W ) $.
    0vlid.z $e |- .0. = ( 0g ` W ) $.
    $( Left identity law for the zero vector.  ( ~ hvaddid2 analog.)
       (Contributed by NM, 10-Jan-2014.)  (Revised by Mario Carneiro,
       19-Jun-2014.) $)
    lmod0vlid $p |- ( ( W e. LMod /\ X e. V ) -> ( .0. .+ X ) = X ) $=
      ( clmod wcel cgrp co wceq lmodgrp grplid sylan ) CIJCKJDBJEDALDMCNBACDEFG
      HOP $.

    $( Right identity law for the zero vector.  ( ~ ax-hvaddid analog.)
       (Contributed by NM, 10-Jan-2014.)  (Revised by Mario Carneiro,
       19-Jun-2014.) $)
    lmod0vrid $p |- ( ( W e. LMod /\ X e. V ) -> ( X .+ .0. ) = X ) $=
      ( clmod wcel cgrp co wceq lmodgrp grprid sylan ) CIJCKJDBJDEALDMCNBACDEFG
      HOP $.

    $( Identity equivalent to the value of the zero vector.  Provides a
       convenient way to compute the value.  (Contributed by NM, 9-Mar-2014.)
       (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmod0vid $p |- ( ( W e. LMod /\ X e. V )
        -> ( ( X .+ X ) = X <-> .0. = X ) ) $=
      ( clmod wcel cgrp co wceq wb lmodgrp grpid sylan ) CIJCKJDBJDDALDMEDMNCOB
      ACDEFGHPQ $.
  $}

  ${
    lmod0vs.v $e |- V = ( Base ` W ) $.
    lmod0vs.f $e |- F = ( Scalar ` W ) $.
    lmod0vs.s $e |- .x. = ( .s ` W ) $.
    lmod0vs.o $e |- O = ( 0g ` F ) $.
    lmod0vs.z $e |- .0. = ( 0g ` W ) $.
    $( Zero times a vector is the zero vector.  Equation 1a of [Kreyszig]
       p. 51.  ( ~ ax-hvmul0 analog.)  (Contributed by NM, 12-Jan-2014.)
       (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmod0vs $p |- ( ( W e. LMod /\ X e. V ) -> ( O .x. X ) = .0. ) $=
      ( clmod wcel co cplusg cfv wceq eqid syl wa cbs simpl crg lmodring adantr
      ring0cl simpr syl13anc cgrp ringgrp grplid syl2anc oveq1d eqtr3d lmodvscl
      lmodvsdir wb syl3anc lmod0vid syldan mpbid eqcomd ) EMNZFDNZUAZGCFAOZVFVG
      VGEPQZOZVGRZGVGRZVFCCBPQZOZFAOZVIVGVFVDCBUBQZNZVPVEVNVIRVDVEUCZVFBUDNZVPV
      DVRVEBEIUEUFZVOBCVOSZKUGTZWAVDVEUHZVHVLCCABVODEFHVHSZIJVTVLSZUQUIVFVMCFAV
      FBUJNZVPVMCRVFVRWEVSBUKTWAVOVLBCCVTWDKULUMUNUOVDVEVGDNZVJVKURVFVDVPVEWFVQ
      WAWBCABVODEFHIJVTUPUSVHDEVGGHWCLUTVAVBVC $.
  $}

  ${
    lmodvs0.f $e |- F = ( Scalar ` W ) $.
    lmodvs0.s $e |- .x. = ( .s ` W ) $.
    lmodvs0.k $e |- K = ( Base ` F ) $.
    lmodvs0.z $e |- .0. = ( 0g ` W ) $.
    $( Anything times the zero vector is the zero vector.  Equation 1b of
       [Kreyszig] p. 51.  ( ~ hvmul0 analog.)  (Contributed by NM,
       12-Jan-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmodvs0 $p |- ( ( W e. LMod /\ X e. K ) -> ( X .x. .0. ) = .0. ) $=
      ( clmod wcel wa c0g cfv cmulr co wceq eqid adantr crg ringrz sylan oveq1d
      lmodring cbs simpl ring0cl syl lmod0vcl lmodvsass syl13anc lmod0vs syldan
      simpr oveq2d eqtrd 3eqtr3d ) DKLZECLZMZEBNOZBPOZQZFAQZVBFAQZEFAQZFVAVDVBF
      AUSBUALZUTVDVBRBDGUEZCBVCEVBIVCSZVBSZUBUCUDVAVEEVFAQZVGVAUSUTVBCLZFDUFOZL
      ZVEVLRUSUTUGUSUTUOVAVHVMUSVHUTVITCBVBIVKUHUIUSVOUTVNDFVNSZJUJTZEVBAVCBCVN
      DFVPGHIVJUKULVAVFFEAUSUTVOVFFRVQABVBVNDFFVPGHVKJUMUNZUPUQVRUR $.
  $}

  ${
    $d C x y $.  $d E x y $.  $d K x y $.  $d N x y $.  $d V x y $.
    $d W x y $.  $d X x y $.  $d .^ x y $.  $d .x. x y $.
    lmodvsmmulgdi.v $e |- V = ( Base ` W ) $.
    lmodvsmmulgdi.f $e |- F = ( Scalar ` W ) $.
    lmodvsmmulgdi.s $e |- .x. = ( .s ` W ) $.
    lmodvsmmulgdi.k $e |- K = ( Base ` F ) $.
    lmodvsmmulgdi.p $e |- .^ = ( .g ` W ) $.
    lmodvsmmulgdi.e $e |- E = ( .g ` F ) $.
    $( Distributive law for a group multiple of a scalar multiplication.
       (Contributed by AV, 2-Sep-2019.) $)
    lmodvsmmulgdi $p |- ( ( W e. LMod /\ ( C e. K /\ N e. NN0 /\ X e. V ) ) ->
                     ( N .^ ( C .x. X ) ) = ( ( N E C ) .x. X ) ) $=
      ( wcel co wceq oveq1 vx vy cn0 w3a clmod wi wa cv c1 caddc oveq1d eqeq12d
      cc0 imbi2d weq c0g simpr adantr eqid lmod0vs syl2anc simpl mulg0 lmodvscl
      cfv syl syl3anc 3eqtr4rd cplusg lmodgrp grpmndd ad2antll adantl mulgnn0p1
      cmnd lmodring ringmnd simprll mulgnn0cl lmodvsdir eqcomd eqtr3d sylan9eqr
      crg syl13anc eqtrd exp31 a2d nn0ind exp4c 3imp21 impcom ) AFQZGUCQZJHQZUD
      IUEQZGAJBRZDRZGACRZJBRZSZWNWMWOWPXAUFWNWMWOWPXAWMWOUGZWPUGZUAUHZWQDRZXDAC
      RZJBRZSZUFXCUMWQDRZUMACRZJBRZSZUFXCUBUHZWQDRZXMACRZJBRZSZUFXCXMUIUJRZWQDR
      ZXRACRZJBRZSZUFXCXAUFUAUBGXDUMSZXHXLXCYCXEXIXGXKXDUMWQDTYCXFXJJBXDUMACTUK
      ULUNUAUBUOZXHXQXCYDXEXNXGXPXDXMWQDTYDXFXOJBXDXMACTUKULUNXDXRSZXHYBXCYEXEX
      SXGYAXDXRWQDTYEXFXTJBXDXRACTUKULUNXDGSZXHXAXCYFXEWRXGWTXDGWQDTYFXFWSJBXDG
      ACTUKULUNXCEUPVEZJBRZIUPVEZXKXIXCWPWOYHYISXBWPUQZXBWOWPWMWOUQURZBEYGHIJYI
      KLMYGUSZYIUSZUTVAXCXJYGJBXCWMXJYGSXBWMWPWMWOVBURZFCEAYGNYLPVCVFUKXCWQHQZX
      IYISXCWPWMWOYOYJYNYKABEFHIJKLMNVDVGZHDIWQYIKYMOVCVFVHXMUCQZXCXQYBYQXCXQYB
      YQXCUGZXQUGXSXNWQIVIVEZRZYAYRXSYTSZXQYRIVOQZYQYOUUAWPUUBYQXBWPIIVJVKVLYQX
      CVBZXCYOYQYPVMHYSDIXMWQKOYSUSZVNVGURXQYRYTXPWQYSRZYAXNXPWQYSTYRXOAEVIVEZR
      ZJBRZUUEYAYRWPXOFQZWMWOUUHUUESXCWPYQYJVMYREVOQZYQWMUUIWPUUJYQXBWPEWDQUUJE
      ILVPEVQVFVLZUUCYQWMWOWPVRZFCEXMANPVSVGUULXCWOYQYKVMYSUUFXOABEFHIJKUUDLMNU
      UFUSZVTWEYRUUGXTJBYRXTUUGYRUUJYQWMXTUUGSUUKUUCUULFUUFCEXMANPUUMVNVGWAUKWB
      WCWFWGWHWIWJWKWL $.
  $}

  ${
    lmodfopne.t $e |- .x. = ( .sf ` W ) $.
    lmodfopne.a $e |- .+ = ( +f ` W ) $.
    lmodfopne.v $e |- V = ( Base ` W ) $.
    lmodfopne.s $e |- S = ( Scalar ` W ) $.
    lmodfopne.k $e |- K = ( Base ` S ) $.
    $( Lemma 1 for ~ lmodfopne .  (Contributed by AV, 2-Oct-2021.) $)
    lmodfopnelem1 $p |- ( ( W e. LMod /\ .+ = .x. ) -> V = K ) $=
      ( clmod wcel wceq cxp wfn wi wa ex com23 lmodscaf ffnd fneq1 fndmu syl6bi
      plusffn com13 impcom c0 wne wb lmodbn0 xp11 syl2anc simprbda expcom ax-mp
      syl6 mpd imp ) FLMZACNZEDNZVACDEOZPZVBVCQZVAVDECECBDFIJKGUAUBAEEOZPZVAVEV
      FQQEAFIHUFVHVEVAVFVHVEVAVFQVHVERZVBVAVCVIVBVGVDNZVAVCQVEVHVBVJQVBVHVEVJVB
      VHCVGPZVEVJQVGACUCVKVEVJVGVDCUDSUEUGUHVAVJVCVAVJVCEENZVAEUIUJZVMVJVCVLRUK
      EFIULZVNEEDEUMUNUOUPURTSTUQUSUT $.

    lmodfopne.0 $e |- .0. = ( 0g ` S ) $.
    lmodfopne.1 $e |- .1. = ( 1r ` S ) $.
    $( Lemma 2 for ~ lmodfopne .  (Contributed by AV, 2-Oct-2021.) $)
    lmodfopnelem2 $p |- ( ( W e. LMod /\ .+ = .x. )
                          -> ( .0. e. V /\ .1. e. V ) ) $=
      ( clmod wcel wceq wa eleq2 lmodfopnelem1 lmod0cl lmod1cl jca anbi12d syld
      ex syl5ibrcom imp ) GPQZACRZHFQZDFQZSZUJUKFERZUNUJUKUOABCEFGIJKLMUAUGUJUN
      UOHEQZDEQZSUJUPUQBEGHLMNUBDBEGLMOUCUDUOULUPUMUQFEHTFEDTUEUHUFUI $.

    $( The (functionalized) operations of a left module (over a nonzero ring)
       cannot be identical.  (Contributed by NM, 31-May-2008.)  (Revised by AV,
       2-Oct-2021.) $)
    lmodfopne $p |- ( ( W e. LMod /\ .1. =/= .0. ) -> .+ =/= .x. ) $=
      ( wcel wceq wa co adantr clmod wne lmodfopnelem2 c0g cplusg eqid lmod0vcl
      cfv simpl plusfval eqcomd syl2anr oveq ad2antlr eqtrd cgrp lmodgrp grprid
      syl2an cvsca lmod0cl jca scafval syl ancli lmodvs0 lmod1cl lmodvs1 adantl
      simpr ad2ant2rl 3eqtr2d wb grplcan syl13anc mpbid 3eqtrd 3eqtr3rd necon3d
      mpdan ex imp ) GUAPZDHUBACUBWCACDHWCACQZDHQZWCWDRZHFPZDFPZRZWEABCDEFGHIJK
      LMNOUCWFWIRZHGUDUHZGUEUHZSZHWKCSZHDWJWMHWKASZWNWIWGWKFPZWMWOQWFWGWHUIZWCW
      PWDFGWKKWKUFZUGZTZWGWPRWOWMFWLAGHWKKWLUFZJUJUKULWDWOWNQWCWIHWKACUMUNUOWFG
      UPPZWGWMHQWIWCXBWDGUQTZWQFWLGHWKKXAWRURUSWJWNHWKGUTUHZSZWKDWJHEPZWPRZWNXE
      QWFXGWIWCXGWDWCXFWPBEGHLMNVAZWSVBTTFCXDBEGHWKKLMIXDUFZVCVDWJWCXFRZXEWKQWF
      XJWIWCXJWDWCXFXHVETTXDBEGHWKLXIMWRVFVDWJDWKWLSZDDWLSZQZWKDQZWJXKDDDCSZXLW
      FXBWHXKDQWIXCWGWHVJZFWLGDWKKXAWRURUSWJXODDXDSZDWFDEPZWHXOXQQWIWCXRWDDBEGL
      MOVGTXPFCXDBEGDDKLMIXIVCUSWCWHXQDQWDWGXDDBFGDKLXIOVHVKUOWJXODDASZXLWDXOXS
      QWCWIWDXSXODDACUMUKUNWJWHWHRZXSXLQWIXTWFWIWHWHXPXPVBVIFWLAGDDKXAJUJVDUOVL
      WJXBWPWHWHXMXNVMWFXBWIXCTWFWPWIWTTWIWHWFXPVIZYAFWLGWKDDKXAVNVOVPVQVRVTWAV
      SWB $.
  $}

  ${
    $d x y B $.  $d x y G $.  $d x y K $.  $d x y ph $.  $d x y .x. $.
    $d y H $.
    lcomf.f $e |- F = ( Scalar ` W ) $.
    lcomf.k $e |- K = ( Base ` F ) $.
    lcomf.s $e |- .x. = ( .s ` W ) $.
    lcomf.b $e |- B = ( Base ` W ) $.
    lcomf.w $e |- ( ph -> W e. LMod ) $.
    lcomf.g $e |- ( ph -> G : I --> K ) $.
    lcomf.h $e |- ( ph -> H : I --> B ) $.
    lcomf.i $e |- ( ph -> I e. V ) $.
    $( A linear-combination sum is a function.  (Contributed by Stefan O'Rear,
       28-Feb-2015.) $)
    lcomf $p |- ( ph -> ( G oF .x. H ) : I --> B ) $=
      ( vx wcel vy clmod cv wa co lmodvscl 3expb sylan inidm off ) ASUAGGGCHBBE
      FIIAJUBTZSUCZHTZUAUCZBTZUDULUNCUEBTZOUKUMUOUPULCDHBJUNNKMLUFUGUHPQRRGUIUJ
      $.

    $d H x $.  $d Y x $.  $d .0. x $.
    lcomfsupp.z $e |- .0. = ( 0g ` W ) $.
    lcomfsupp.y $e |- Y = ( 0g ` F ) $.
    lcomfsupp.j $e |- ( ph -> G finSupp Y ) $.
    $( A linear-combination sum is finitely supported if the coefficients are.
       (Contributed by Stefan O'Rear, 28-Feb-2015.)  (Revised by AV,
       15-Jul-2019.) $)
    lcomfsupp $p |- ( ph -> ( G oF .x. H ) finSupp .0. ) $=
      ( vx cof co cfsupp wbr csupp cfn wcel fsuppimpd lcomf cv cdif wa cfv wceq
      eldifi wfn ffnd adantr simpr fnfvof syl22anc sylan2 cvv ssidd c0g suppssr
      fvexi oveq1d clmod ffvelrnda lmod0vs syl2an2r 3eqtrd suppss ssfid wfun wb
      a1i offun ovexd funisfsupp syl3anc mpbird ) AEFCUEZUFZLUGUHZWILUIUFZUJUKZ
      AEKUIUFZWKAEKUCULAGBUDWIWMLABCDEFGHIJMNOPQRSTUMAUDUNZGWMUOUKZUPZWNWIUQZWN
      EUQZWNFUQZCUFZKWSCUFZLWOAWNGUKZWQWTURZWNGWMUSZAXBUPEGUTZFGUTZGIUKZXBXCAXE
      XBAGHERVAZVBAXFXBAGBFSVAZVBAXGXBTVBAXBVCGCEFIWNVDVEVFWPWRKWSCAGHVGEIWMWNK
      RAWMVHTKVGUKAKDVIUBVKWBVJVLWOAXBXALURZXDAJVMUKXBWSBUKXJQAGBWNFSVNCDKBJWSL
      PMOUBUAVOVPVFVQVRVSAWIVTWIVGUKLVGUKZWJWLWAAGGCEFIIXHXITTWCAEFWHWDXKALJVIU
      AVKWBWIVGVGLWEWFWG $.
  $}

  ${
    lmodvnegcl.v $e |- V = ( Base ` W ) $.
    lmodvnegcl.n $e |- N = ( invg ` W ) $.
    $( Closure of vector negative.  (Contributed by NM, 18-Apr-2014.)  (Revised
       by Mario Carneiro, 19-Jun-2014.) $)
    lmodvnegcl $p |- ( ( W e. LMod /\ X e. V ) -> ( N ` X ) e. V ) $=
      ( clmod wcel cgrp cfv lmodgrp grpinvcl sylan ) CGHCIHDBHDAJBHCKBCADEFLM
      $.
  $}

  ${
    lmodvnegid.v $e |- V = ( Base ` W ) $.
    lmodvnegid.p $e |- .+ = ( +g ` W ) $.
    lmodvnegid.z $e |- .0. = ( 0g ` W ) $.
    lmodvnegid.n $e |- N = ( invg ` W ) $.
    $( Addition of a vector with its negative.  (Contributed by NM,
       18-Apr-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmodvnegid $p |- ( ( W e. LMod /\ X e. V ) -> ( X .+ ( N ` X ) ) = .0. ) $=
      ( clmod wcel cgrp cfv co wceq lmodgrp grprinv sylan ) DKLDMLECLEEBNAOFPDQ
      CADBEFGHIJRS $.
  $}

  ${
    lmodvneg1.v $e |- V = ( Base ` W ) $.
    lmodvneg1.n $e |- N = ( invg ` W ) $.
    lmodvneg1.f $e |- F = ( Scalar ` W ) $.
    lmodvneg1.s $e |- .x. = ( .s ` W ) $.
    lmodvneg1.u $e |- .1. = ( 1r ` F ) $.
    lmodvneg1.m $e |- M = ( invg ` F ) $.
    $( Minus 1 times a vector is the negative of the vector.  Equation 2 of
       [Kreyszig] p. 51.  (Contributed by NM, 18-Apr-2014.)  (Revised by Mario
       Carneiro, 19-Jun-2014.) $)
    lmodvneg1 $p |- ( ( W e. LMod /\ X e. V ) ->
                      ( ( M ` .1. ) .x. X ) = ( N ` X ) ) $=
      ( wcel cfv co wceq eqid eqtr3d clmod wa c0g cplusg cbs simpl cgrp lmod1cl
      lmodfgrp adantr grpinvcl syl2an2r simpr lmodvscl syl3anc lmod0vrid syldan
      lmodvnegcl lmodass syl13anc lmodvs1 oveq2d grplinv oveq1d lmod0vs 3eqtr3d
      lmodvsdir lmodvnegid lmod0vlid ) GUAOZHFOZUBZBDPZHAQZGUCPZGUDPZQZVNHEPZVJ
      VKVNFOZVQVNRVLVJVMCUEPZOZVKVSVJVKUFZVJCUGOZVKBVTOZWACGKUIZVJWDVKBCVTGKVTS
      ZMUHUJZVTCDBWFNUKULZVJVKUMZVMACVTFGHIKLWFUNUOZVPFGVNVOIVPSZVOSZUPUQVLVNHV
      RVPQZVPQZVOVRVPQZVQVRVLVNHVPQZVRVPQZWNWOVLVJVSVKVRFOZWQWNRWBWJWIEFGHIJURZ
      VPFGVNHVRIWKUSUTVLWPVOVRVPVLVNBHAQZVPQZWPVOVLWTHVNVPABCFGHIKLMVAVBVLVMBCU
      DPZQZHAQZCUCPZHAQXAVOVLXCXEHAVJWCVKWDXCXERWEWGVTXBCDBXEWFXBSZXESZNVCULVDV
      LVJWAWDVKXDXARWBWHWGWIVPXBVMBACVTFGHIWKKLWFXFVGUTACXEFGHVOIKLXGWLVEVFTVDT
      VLWMVOVNVPVPEFGHVOIWKWLJVHVBVJVKWRWOVRRWSVPFGVRVOIWKWLVIUQVFT $.
  $}

  ${
    lmodvsneg.b $e |- B = ( Base ` W ) $.
    lmodvsneg.f $e |- F = ( Scalar ` W ) $.
    lmodvsneg.s $e |- .x. = ( .s ` W ) $.
    lmodvsneg.n $e |- N = ( invg ` W ) $.
    lmodvsneg.k $e |- K = ( Base ` F ) $.
    lmodvsneg.m $e |- M = ( invg ` F ) $.
    lmodvsneg.w $e |- ( ph -> W e. LMod ) $.
    lmodvsneg.x $e |- ( ph -> X e. B ) $.
    lmodvsneg.r $e |- ( ph -> R e. K ) $.
    $( Multiplication of a vector by a negated scalar.  (Contributed by Stefan
       O'Rear, 28-Feb-2015.) $)
    lmodvsneg $p |- ( ph -> ( N ` ( R .x. X ) ) = ( ( M ` R ) .x. X ) ) $=
      ( wcel cur cfv cmulr co clmod wceq cgrp crg lmodring syl ringgrp ringidcl
      eqid grpinvcl syl2anc lmodvsass syl13anc ringnegl oveq1d lmodvscl syl3anc
      lmodvneg1 3eqtr3rd ) AEUAUBZGUBZCEUCUBZUDZJDUDZVECJDUDZDUDZCGUBZJDUDVIHUB
      ZAIUETZVEFTZCFTZJBTZVHVJUFQAEUGTZVDFTZVNAEUHTZVQAVMVSQEILUIUJZEUKUJAVSVRV
      TFEVDOVDUMZULUJFEGVDOPUNUOSRVECDVFEFBIJKLMOVFUMZUPUQAVGVKJDAFEVFVDGCOWBWA
      PVTSURUSAVMVIBTZVJVLUFQAVMVOVPWCQSRCDEFBIJKLMOUTVADVDEGHBIVIKNLMWAPVBUOVC
      $.
  $}

  ${
    lmodvsubcl.v $e |- V = ( Base ` W ) $.
    lmodvsubcl.m $e |- .- = ( -g ` W ) $.
    $( Closure of vector subtraction.  ( ~ hvsubcl analog.)  (Contributed by
       NM, 31-Mar-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmodvsubcl $p |- ( ( W e. LMod /\ X e. V /\ Y e. V ) ->
      ( X .- Y ) e. V ) $=
      ( clmod wcel cgrp co lmodgrp grpsubcl syl3an1 ) CHICJIDBIEBIDEAKBICLBCADE
      FGMN $.
  $}

  ${
    lmodcom.v $e |- V = ( Base ` W ) $.
    lmodcom.a $e |- .+ = ( +g ` W ) $.
    $( Left module vector sum is commutative.  (Contributed by G&eacute;rard
       Lang, 25-Jun-2014.) $)
    lmodcom $p |- ( ( W e. LMod /\ X e. V /\ Y e. V ) ->
                    ( X .+ Y ) = ( Y .+ X ) ) $=
      ( wcel co wceq cfv eqid syl3anc syl13anc lmodvacl lmodvs1 syl2anc oveq12d
      lmodvsdir lmodass clmod w3a csca cur cplusg cvsca cbs lmod1cl syl lmodacl
      simp1 simp2 simp3 lmodvsdi eqtr3d 3eqtr3d 3eqtr4d cgrp wb lmodgrp grprcan
      eqtrd mpbid 3com23 lmodlcan ) CUAHZDBHZEBHZUBZDDEAIZAIZDEDAIZAIZJZVJVLJZV
      IDDAIZEAIZVJDAIZVKVMVIVQEAIZVREAIZJZVQVRJZVIVPEEAIZAIZVJVJAIZVSVTVICUCKZU
      DKZWGWFUEKZIZDCUFKZIZWIEWJIZAIZWGVJWJIZWNAIZWDWEVIWIVJWJIZWMWOVIVFWIWFUGK
      ZHZVGVHWPWMJVFVGVHUKZVIVFWGWQHZWTWRWSVIVFWTWSWGWFWQCWFLZWQLZWGLZUHUIZXDWH
      WFWQCWGWGXAXBWHLZUJMVFVGVHULZVFVGVHUMZAWIWJWFWQBCDEFGXAWJLZXBUNNVIVFWTWTV
      JBHZWPWOJWSXDXDABCDEFGOZAWHWGWGWJWFWQBCVJFGXAXHXBXESNUOVIWKVPWLWCAVIWKWGD
      WJIZXKAIZVPVIVFWTWTVGWKXLJWSXDXDXFAWHWGWGWJWFWQBCDFGXAXHXBXESNVIXKDXKDAVI
      VFVGXKDJWSXFWJWGWFBCDFXAXHXCPQZXMRVBVIWLWGEWJIZXNAIZWCVIVFWTWTVHWLXOJWSXD
      XDXGAWHWGWGWJWFWQBCEFGXAXHXBXESNVIXNEXNEAVIVFVHXNEJWSXGWJWGWFBCEFXAXHXCPQ
      ZXPRVBRVIWNVJWNVJAVIVFXIWNVJJWSXJWJWGWFBCVJFXAXHXCPQZXQRUPVIVFVPBHZVHVHVS
      WDJWSVIVFVGVGXRWSXFXFABCDDFGOMZXGXGABCVPEEFGTNVIVFXIVGVHVTWEJWSXJXFXGABCV
      JDEFGTNUQVICURHZVQBHZVRBHZVHWAWBUSVIVFXTWSCUTUIVIVFXRVHYAWSXSXGABCVPEFGOM
      VIVFXIVGYBWSXJXFABCVJDFGOMXGBACVQVREFGVANVCVIVFVGVGVHVQVKJWSXFXFXGABCDDEF
      GTNVIVFVGVHVGVRVMJWSXFXGXFABCDEDFGTNUPVIVFXIVLBHZVGVNVOUSWSXJVFVHVGYCABCE
      DFGOVDXFABCVJVLDFGVENVC $.
  $}

  ${
    $d x y W $.
    $( A left module is an abelian group (of vectors, under addition).
       (Contributed by NM, 8-Dec-2013.)  (Revised by Mario Carneiro,
       25-Jun-2014.) $)
    lmodabl $p |- ( W e. LMod -> W e. Abel ) $=
      ( vx vy clmod wcel cbs cfv cplusg eqidd lmodgrp cv eqid lmodcom isabld )
      ADEZBCAFGZAHGZAOPIOQIAJQPABKCKPLQLMN $.

    $( A left module is a commutative monoid under addition.  (Contributed by
       NM, 7-Jan-2015.) $)
    lmodcmn $p |- ( W e. LMod -> W e. CMnd ) $=
      ( clmod wcel cabl ccmn lmodabl ablcmn syl ) ABCADCAECAFAGH $.
  $}

  ${
    lmodnegadd.v $e |- V = ( Base ` W ) $.
    lmodnegadd.p $e |- .+ = ( +g ` W ) $.
    lmodnegadd.t $e |- .x. = ( .s ` W ) $.
    lmodnegadd.n $e |- N = ( invg ` W ) $.
    lmodnegadd.r $e |- R = ( Scalar ` W ) $.
    lmodnegadd.k $e |- K = ( Base ` R ) $.
    lmodnegadd.i $e |- I = ( invg ` R ) $.
    lmodnegadd.w $e |- ( ph -> W e. LMod ) $.
    lmodnegadd.a $e |- ( ph -> A e. K ) $.
    lmodnegadd.b $e |- ( ph -> B e. K ) $.
    lmodnegadd.x $e |- ( ph -> X e. V ) $.
    lmodnegadd.y $e |- ( ph -> Y e. V ) $.
    $( Distribute negation through addition of scalar products.  (Contributed
       by NM, 9-Apr-2015.) $)
    lmodnegadd $p |- ( ph -> ( N ` ( ( A .x. X ) .+ ( B .x. Y ) ) )
           = ( ( ( I ` A ) .x. X ) .+ ( ( I ` B ) .x. Y ) ) ) $=
      ( co cfv cabl wcel clmod lmodabl syl lmodvscl syl3anc ablinvadd lmodvsneg
      wceq oveq12d eqtrd ) ABLFUFZCMFUFZDUFIUGZUTIUGZVAIUGZDUFZBGUGLFUFZCGUGMFU
      FZDUFAKUHUIZUTJUIZVAJUIZVBVEUQAKUJUIZVHUAKUKULAVKBHUILJUIVIUAUBUDBFEHJKLN
      RPSUMUNAVKCHUIMJUIVJUAUCUECFEHJKMNRPSUMUNJDKIUTVANOQUOUNAVCVFVDVGDAJBFEHG
      IKLNRPQSTUAUDUBUPAJCFEHGIKMNRPQSTUAUEUCUPURUS $.
  $}

  ${
    lmod4.v $e |- V = ( Base ` W ) $.
    lmod4.p $e |- .+ = ( +g ` W ) $.
    $( Commutative/associative law for left module vector sum.  (Contributed by
       NM, 4-Feb-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmod4 $p |- ( ( W e. LMod /\ ( X e. V /\ Y e. V ) /\ ( Z e. V /\ U e. V ) )
        -> ( ( X .+ Y ) .+ ( Z .+ U ) ) = ( ( X .+ Z ) .+ ( Y .+ U ) ) ) $=
      ( clmod wcel ccmn wa co wceq lmodcmn cmn4 syl3an1 ) DJKDLKECKFCKMGCKBCKME
      FANGBANANEGANFBANANODPCADBEFGHIQR $.

    lmodvaddsub4.m $e |- .- = ( -g ` W ) $.
    $( Relationship between vector subtraction and addition.  ( ~ hvsubadd
       analog.)  (Contributed by NM, 31-Mar-2014.)  (Revised by Mario Carneiro,
       19-Jun-2014.) $)
    lmodvsubadd $p |- ( ( W e. LMod /\ ( A e. V /\ B e. V /\ C e. V ) )
          -> ( ( A .- B ) = C <-> ( B .+ C ) = A ) ) $=
      ( clmod wcel cabl w3a co wceq wb lmodabl ablsubadd sylan ) GKLGMLAFLBFLCF
      LNABEOCPBCDOAPQGRFDGEABCHIJST $.

    $( Vector addition/subtraction law.  (Contributed by NM, 31-Mar-2014.)
       (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmodvaddsub4 $p |- ( ( W e. LMod /\ ( A e. V /\ B e. V ) /\
                           ( C e. V /\ D e. V ) ) ->
      ( ( A .+ B ) = ( C .+ D ) <-> ( A .- C ) = ( D .- B ) ) ) $=
      ( clmod wcel cabl wa co wceq wb lmodabl abladdsub4 syl3an1 ) HLMHNMAGMBGM
      OCGMDGMOABEPCDEPQACFPDBFPQRHSGEHFDABCIJKTUA $.

    $( Addition/subtraction cancellation law for vectors.  ( ~ hvpncan analog.)
       (Contributed by NM, 16-Apr-2014.)  (Revised by Mario Carneiro,
       19-Jun-2014.) $)
    lmodvpncan $p |- ( ( W e. LMod /\ A e. V /\ B e. V ) ->
                       ( ( A .+ B ) .- B ) = A ) $=
      ( clmod wcel cgrp co wceq lmodgrp grppncan syl3an1 ) FJKFLKAEKBEKABCMBDMA
      NFOECFDABGHIPQ $.

    $( Cancellation law for vector subtraction ( ~ npcan analog).  (Contributed
       by NM, 19-Apr-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmodvnpcan $p |- ( ( W e. LMod /\ A e. V /\ B e. V ) ->
                       ( ( A .- B ) .+ B ) = A ) $=
      ( clmod wcel cgrp co wceq lmodgrp grpnpcan syl3an1 ) FJKFLKAEKBEKABDMBCMA
      NFOECFDABGHIPQ $.
  $}

  ${
    lmodvsubval2.v $e |- V = ( Base ` W ) $.
    lmodvsubval2.p $e |- .+ = ( +g ` W ) $.
    lmodvsubval2.m $e |- .- = ( -g ` W ) $.
    lmodvsubval2.f $e |- F = ( Scalar ` W ) $.
    lmodvsubval2.s $e |- .x. = ( .s ` W ) $.
    lmodvsubval2.n $e |- N = ( invg ` F ) $.
    lmodvsubval2.u $e |- .1. = ( 1r ` F ) $.
    $( Value of vector subtraction in terms of addition.  ( ~ hvsubval analog.)
       (Contributed by NM, 31-Mar-2014.)  (Proof shortened by Mario Carneiro,
       19-Jun-2014.) $)
    lmodvsubval2 $p |- ( ( W e. LMod /\ A e. V /\ B e. V )
          -> ( A .- B ) = ( A .+ ( ( N ` .1. ) .x. B ) ) ) $=
      ( wcel co cfv clmod cminusg wceq eqid grpsubval 3adant1 lmodvneg1 3adant2
      w3a oveq2d eqtr4d ) JUARZAIRZBIRZUIZABGSZABJUBTZTZCSZAEHTBDSZCSUMUNUPUSUC
      ULICJUQGABKLUQUDZMUEUFUOUTURACULUNUTURUCUMDEFHUQIJBKVANOQPUGUHUJUK $.
  $}

  ${
    lmodsubvs.v $e |- V = ( Base ` W ) $.
    lmodsubvs.p $e |- .+ = ( +g ` W ) $.
    lmodsubvs.m $e |- .- = ( -g ` W ) $.
    lmodsubvs.t $e |- .x. = ( .s ` W ) $.
    lmodsubvs.f $e |- F = ( Scalar ` W ) $.
    lmodsubvs.k $e |- K = ( Base ` F ) $.
    lmodsubvs.n $e |- N = ( invg ` F ) $.
    lmodsubvs.w $e |- ( ph -> W e. LMod ) $.
    lmodsubvs.a $e |- ( ph -> A e. K ) $.
    lmodsubvs.x $e |- ( ph -> X e. V ) $.
    lmodsubvs.y $e |- ( ph -> Y e. V ) $.
    $( Subtraction of a scalar product in terms of addition.  (Contributed by
       NM, 9-Apr-2015.) $)
    lmodsubvs $p |- ( ph
          -> ( X .- ( A .x. Y ) ) = ( X .+ ( ( N ` A ) .x. Y ) ) ) $=
      ( co cur cfv clmod wcel wceq lmodvscl syl3anc eqid lmodvsubval2 cmulr crg
      cgrp lmodring ringgrp ringidcl grpinvcl syl2anc lmodvsass syl13anc oveq1d
      syl ringnegl eqtr3d oveq2d eqtrd ) AKBLDUDZGUDZKEUEUFZHUFZVJDUDZCUDZKBHUF
      ZLDUDZCUDAJUGUHZKIUHVJIUHZVKVOUITUBAVRBFUHZLIUHZVSTUAUCBDEFIJLMQPRUJUKKVJ
      CDVLEGHIJMNOQPSVLULZUMUKAVNVQKCAVMBEUNUFZUDZLDUDZVNVQAVRVMFUHZVTWAWEVNUIT
      AEUPUHZVLFUHZWFAEUOUHZWGAVRWITEJQUQVEZEURVEAWIWHWJFEVLRWBUSVEFEHVLRSUTVAU
      AUCVMBDWCEFIJLMQPRWCULZVBVCAWDVPLDAFEWCVLHBRWKWBSWJUAVFVDVGVHVI $.
  $}

  ${
    lmodsubdi.v $e |- V = ( Base ` W ) $.
    lmodsubdi.t $e |- .x. = ( .s ` W ) $.
    lmodsubdi.f $e |- F = ( Scalar ` W ) $.
    lmodsubdi.k $e |- K = ( Base ` F ) $.
    lmodsubdi.m $e |- .- = ( -g ` W ) $.
    lmodsubdi.w $e |- ( ph -> W e. LMod ) $.
    lmodsubdi.a $e |- ( ph -> A e. K ) $.
    lmodsubdi.x $e |- ( ph -> X e. V ) $.
    lmodsubdi.y $e |- ( ph -> Y e. V ) $.
    $( Scalar multiplication distributive law for subtraction.  ( ~ hvsubdistr1
       analogue, with longer proof since our scalar multiplication is not
       commutative.)  (Contributed by NM, 2-Jul-2014.) $)
    lmodsubdi $p |- ( ph
       -> ( A .x. ( X .- Y ) ) = ( ( A .x. X ) .- ( A .x. Y ) ) ) $=
      ( co cur cminusg cplusg clmod wcel wceq lmodvsubval2 syl3anc oveq2d cmulr
      cfv eqid crg lmodring syl rngnegr ringnegl eqtr4d oveq1d ringgrp ringidcl
      grpinvcl syl2anc lmodvsass syl13anc 3eqtr3d lmodvscl lmodvsdi 3eqtr4rd
      cgrp ) ABIJFTZCTBIDUAUKZDUBUKZUKZJCTZHUCUKZTZCTZBICTZBJCTZFTZAVKVQBCAHUDU
      EZIGUEZJGUEZVKVQUFPRSIJVPCVLDFVMGHKVPULZOMLVMULZVLULZUGUHUIAVSBVOCTZVPTZV
      SVNVTCTZVPTZVRWAAWHWJVSVPABVNDUJUKZTZJCTZVNBWLTZJCTZWHWJAWMWOJCAWMBVMUKWO
      AEDWLVLVMBNWLULZWGWFAWBDUMUEZPDHMUNUOZQUPAEDWLVLVMBNWQWGWFWSQUQURUSAWBBEU
      EZVNEUEZWDWNWHUFPQADVJUEZVLEUEZXAAWRXBWSDUTUOAWRXCWSEDVLNWGVAUOEDVMVLNWFV
      BVCZSBVNCWLDEGHJKMLNWQVDVEAWBXAWTWDWPWJUFPXDQSVNBCWLDEGHJKMLNWQVDVEVFUIAW
      BWTWCVOGUEZVRWIUFPQRAWBXAWDXEPXDSVNCDEGHJKMLNVGUHVPBCDEGHIVOKWEMLNVHVEAWB
      VSGUEZVTGUEZWAWKUFPAWBWTWCXFPQRBCDEGHIKMLNVGUHAWBWTWDXGPQSBCDEGHJKMLNVGUH
      VSVTVPCVLDFVMGHKWEOMLWFWGUGUHVIUR $.
  $}

  ${
    lmodsubdir.v $e |- V = ( Base ` W ) $.
    lmodsubdir.t $e |- .x. = ( .s ` W ) $.
    lmodsubdir.f $e |- F = ( Scalar ` W ) $.
    lmodsubdir.k $e |- K = ( Base ` F ) $.
    lmodsubdir.m $e |- .- = ( -g ` W ) $.
    lmodsubdir.s $e |- S = ( -g ` F ) $.
    lmodsubdir.w $e |- ( ph -> W e. LMod ) $.
    lmodsubdir.a $e |- ( ph -> A e. K ) $.
    lmodsubdir.b $e |- ( ph -> B e. K ) $.
    lmodsubdir.x $e |- ( ph -> X e. V ) $.
    $( Scalar multiplication distributive law for subtraction.  ( ~ hvsubdistr2
       analog.)  (Contributed by NM, 2-Jul-2014.) $)
    lmodsubdir $p |- ( ph
       -> ( ( A S B ) .x. X ) = ( ( A .x. X ) .- ( B .x. X ) ) ) $=
      ( cminusg cfv cplusg co cur clmod wcel wceq cgrp crg lmodring syl ringgrp
      eqid grpinvcl lmodvsdir syl13anc cmulr ringnegl oveq1d ringidcl lmodvsass
      syl2anc eqtr3d oveq2d grpsubval lmodvscl syl3anc lmodvsubval2 3eqtr4d
      eqtrd ) ABCFUBUCZUCZFUDUCZUEZKEUEZBKEUEZFUFUCZVMUCZCKEUEZEUEZJUDUCZUEZBCD
      UEZKEUEVRWAHUEZAVQVRVNKEUEZWCUEZWDAJUGUHZBGUHZVNGUHZKIUHZVQWHUIRSAFUJUHZC
      GUHZWKAFUKUHZWMAWIWORFJNULUMZFUNUMZTGFVMCOVMUOZUPVDUAWCVOBVNEFGIJKLWCUOZN
      MOVOUOZUQURAWGWBVRWCAVTCFUSUCZUEZKEUEZWGWBAXBVNKEAGFXAVSVMCOXAUOZVSUOZWRW
      PTUTVAAWIVTGUHZWNWLXCWBUIRAWMVSGUHZXFWQAWOXGWPGFVSOXEVBUMGFVMVSOWRUPVDTUA
      VTCEXAFGIJKLNMOXDVCURVEVFVLAWEVPKEAWJWNWEVPUISTGVOFVMDBCOWTWRQVGVDVAAWIVR
      IUHZWAIUHZWFWDUIRAWIWJWLXHRSUABEFGIJKLNMOVHVIAWIWNWLXIRTUACEFGIJKLNMOVHVI
      VRWAWCEVSFHVMIJLWSPNMWRXEVJVIVK $.
  $}

  ${
    lmodsubeq0.v $e |- V = ( Base ` W ) $.
    lmodsubeq0.o $e |- .0. = ( 0g ` W ) $.
    lmodsubeq0.m $e |- .- = ( -g ` W ) $.
    $( If the difference between two vectors is zero, they are equal.
       ( ~ hvsubeq0 analog.)  (Contributed by NM, 31-Mar-2014.)  (Revised by
       Mario Carneiro, 19-Jun-2014.) $)
    lmodsubeq0 $p |- ( ( W e. LMod /\ A e. V /\ B e. V )
                  -> ( ( A .- B ) = .0. <-> A = B ) ) $=
      ( clmod wcel cgrp co wceq wb lmodgrp grpsubeq0 syl3an1 ) EJKELKADKBDKABCM
      FNABNOEPDECABFGHIQR $.

    $( Subtraction of a vector from itself.  ( ~ hvsubid analog.)  (Contributed
       by NM, 16-Apr-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lmodsubid $p |- ( ( W e. LMod /\ A e. V ) -> ( A .- A ) = .0. ) $=
      ( clmod wcel cgrp co wceq lmodgrp grpsubid sylan ) DIJDKJACJAABLEMDNCDBAE
      FGHOP $.
  $}

  ${
    $d x y z K $.  $d x y z R $.  $d x y z .x. $.  $d x y z V $.  $d x y z W $.
    lmodvsghm.v $e |- V = ( Base ` W ) $.
    lmodvsghm.f $e |- F = ( Scalar ` W ) $.
    lmodvsghm.s $e |- .x. = ( .s ` W ) $.
    lmodvsghm.k $e |- K = ( Base ` F ) $.
    $( Scalar multiplication of the vector space by a fixed scalar is an
       endomorphism of the additive group of vectors.  (Contributed by Mario
       Carneiro, 5-May-2015.) $)
    lmodvsghm $p |- ( ( W e. LMod /\ R e. K ) ->
                      ( x e. V |-> ( R .x. x ) ) e. ( W GrpHom W ) ) $=
      ( wcel wa cfv cv co wceq oveq2 ovex fvmpt vy vz clmod cplusg cmpt lmodgrp
      eqid cgrp adantr lmodvscl 3expa fmpttd lmodvsdi 3exp2 imp43 3expb adantlr
      lmodvacl syl oveqan12d adantl 3eqtr4d isghmd ) GUCLZBELZMZUAUBGUDNZVGGGAF
      BAOZCPZUEZFFHHVGUGZVKVDGUHLVEGUFUIZVLVFAFVIFVDVEVHFLVIFLBCDEFGVHHIJKUJUKU
      LVFUAOZFLZUBOZFLZMZMZBVMVOVGPZCPZBVMCPZBVOCPZVGPZVSVJNZVMVJNZVOVJNZVGPZVD
      VEVNVPVTWCQZVDVEVNVPWHVGBCDEFGVMVOHVKIJKUMUNUOVRVSFLZWDVTQVDVQWIVEVDVNVPW
      IVGFGVMVOHVKURUPUQAVSVIVTFVJVHVSBCRVJUGZBVSCSTUSVQWGWCQVFVNVPWEWAWFWBVGAV
      MVIWAFVJVHVMBCRWJBVMCSTAVOVIWBFVJVHVOBCRWJBVOCSTUTVAVBVC $.
  $}

  ${
    $d q r w x y z B $.  $d q r w x y z F $.  $d q r w x y z ph $.
    $d q r w x y z G $.  $d q r w x y z K $.  $d q r w x y z L $.
    $d q r w x y z P $.
    lmodprop2d.b1 $e |- ( ph -> B = ( Base ` K ) ) $.
    lmodprop2d.b2 $e |- ( ph -> B = ( Base ` L ) ) $.
    lmodprop2d.f $e |- F = ( Scalar ` K ) $.
    lmodprop2d.g $e |- G = ( Scalar ` L ) $.
    lmodprop2d.p1 $e |- ( ph -> P = ( Base ` F ) ) $.
    lmodprop2d.p2 $e |- ( ph -> P = ( Base ` G ) ) $.
    lmodprop2d.1 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    lmodprop2d.2 $e |- ( ( ph /\ ( x e. P /\ y e. P ) ) ->
      ( x ( +g ` F ) y ) = ( x ( +g ` G ) y ) ) $.
    lmodprop2d.3 $e |- ( ( ph /\ ( x e. P /\ y e. P ) ) ->
      ( x ( .r ` F ) y ) = ( x ( .r ` G ) y ) ) $.
    lmodprop2d.4 $e |- ( ( ph /\ ( x e. P /\ y e. B ) ) ->
      ( x ( .s ` K ) y ) = ( x ( .s ` L ) y ) ) $.
    $( If two structures have the same components (properties), one is a left
       module iff the other one is.  This version of ~ lmodpropd also breaks up
       the components of the scalar ring.  (Contributed by Mario Carneiro,
       27-Jun-2015.) $)
    lmodprop2d $p |- ( ph -> ( K e. LMod <-> L e. LMod ) ) $=
      ( wcel vr vw vz vq cgrp crg cv cvsca cfv co wral w3a clmod wi lmodgrp a1i
      cbs cplusg wceq cur wa eqid islmod simp2bi simplr simprl ad2antrr eleqtrd
      cmulr simprr lmodvscl syl3anc eleqtrrd ralrimivva 3jcad syl5ibr ringpropd
      ex grppropd adantlr 3eltr4d wb adantr simprlr simprrr oveqrspc2v syl12anc
      simpll eleq1d simplr1 simprrl grpcl oveq2d eqtrd simplr3 ovrspc2v oveq12d
      syl21anc eqeq12d simplr2 simprll ringacl ad2ant2r oveq1d 3anbi123d ringcl
      ringidcl syl rngidpropd eqeq1d anbi12d anassrs 2ralbidva eleq2d raleqbidv
      3anbi1d anbi1d 3bitr3d 3bitr4g pm5.21ndd ) AHUETZFUFTZBUGZCUGZHUHUIZUJZDT
      ZCDUKBEUKZULZHUMTZIUMTZAYJYAYBYHYJYAUNAHUOUPYJYBUNAYJYAYBUAUGZUBUGZYEUJZH
      UQUIZTZYLYMUCUGZHURUIZUJZYEUJZYNYLYQYEUJZYRUJZUSZUDUGZYLFURUIZUJZYMYEUJZU
      UDYMYEUJZYNYRUJZUSZULZUUDYLFVIUIZUJZYMYEUJZUUDYNYEUJZUSZFUTUIZYMYEUJZYMUS
      ZVAZVAZUBYOUKZUCYOUKZUAFUQUIZUKZUDUVDUKZUCUBYRUUEYEUULUUQFUVDYOHUAUDYOVBZ
      YRVBZYEVBZLUVDVBZUUEVBZUULVBZUUQVBZVCZVDUPAYJYHAYJVAZYGBCEDUVOYCETZYDDTZV
      AZVAZYFYODUVSYJYCUVDTYDYOTYFYOTAYJUVRVEUVSYCEUVDUVOUVPUVQVFAEUVDUSZYJUVRN
      VGVHUVSYDDYOUVOUVPUVQVJADYOUSZYJUVRJVGZVHYCYEFUVDYOHYDUVGLUVIUVJVKVLUWBVM
      VNVRVOAYKYAYBYHYKYAAIUETZIUOABCDHIJKPVSZVPYKYBAGUFTZYKUWCUWEYLYMIUHUIZUJZ
      IUQUIZTZYLYMYQIURUIZUJZUWFUJZUWGYLYQUWFUJZUWJUJZUSZUUDYLGURUIZUJZYMUWFUJZ
      UUDYMUWFUJZUWGUWJUJZUSZULZUUDYLGVIUIZUJZYMUWFUJZUUDUWGUWFUJZUSZGUTUIZYMUW
      FUJZYMUSZVAZVAZUBUWHUKZUCUWHUKZUAGUQUIZUKZUDUXOUKZUCUBUWJUWPUWFUXCUXHGUXO
      UWHIUAUDUWHVBZUWJVBUWFVBZMUXOVBZUWPVBUXCVBUXHVBVCZVDABCEFGNOQRVQZVPAYKYHA
      YKVAZYGBCEDUYCUVRVAZYCYDUWFUJZUWHYFDUYDYKYCUXOTYDUWHTUYEUWHTAYKUVRVEUYDYC
      EUXOUYCUVPUVQVFAEUXOUSZYKUVROVGVHUYDYDDUWHUYCUVPUVQVJADUWHUSZYKUVRKVGZVHY
      CUWFGUXOUWHIYDUXRMUXSUXTVKVLAUVRYFUYEUSYKSVTUYHWAVNVRVOAYIYJYKWBAYIVAZYAY
      BUVFULUWCUWEUXQULYJYKUYIYAUWCYBUWEUVFUXQAYAUWCWBYIUWDWCAYBUWEWBYIUYBWCUYI
      YNDTZUUCUUJULZUUTVAZUBDUKZUCDUKZUAEUKZUDEUKUWGDTZUWOUXAULZUXKVAZUBDUKZUCD
      UKZUAEUKZUDEUKUVFUXQUYIUYNUYTUDUAEEUYIUUDETZYLETZVAZVAUYLUYRUCUBDDUYIVUDY
      QDTZYMDTZVAZUYLUYRWBUYIVUDVUGVAZVAZUYKUYQUUTUXKVUIUYJUYPUUCUWOUUJUXAVUIYN
      UWGDVUIAVUCVUFYNUWGUSAYIVUHWHZUYIVUBVUCVUGWDZUYIVUDVUEVUFWEZABCEDYEUWFYLY
      MSWFWGZWIVUIYTUWLUUBUWNVUIYTYLYSUWFUJZUWLVUIAVUCYSDTYTVUNUSVUJVUKVUIYSYOD
      VUIYAYMYOTYQYOTYSYOTYAYBYHAVUHWJVUIYMDYOVULAUWAYIVUHJVGZVHVUIYQDYOUYIVUDV
      UEVUFWKZVUOVHYOYRHYMYQUVGUVHWLVLVUOVMABCEDYEUWFYLYSSWFWGVUIYSUWKYLUWFVUIA
      VUFVUEYSUWKUSVUJVULVUPABCDDYRUWJYMYQPWFWGWMWNVUIUUBYNUUAUWJUJZUWNVUIAUYJU
      UADTZUUBVUQUSVUJVUIVUCVUFYHUYJVUKVULYAYBYHAVUHWOZBCEDDYEYLYMWPWRZVUIVUCVU
      EYHVURVUKVUPVUSBCEDDYEYLYQWPWRABCDDYRUWJYNUUAPWFWGVUIYNUWGUUAUWMUWJVUMVUI
      AVUCVUEUUAUWMUSVUJVUKVUPABCEDYEUWFYLYQSWFWGWQWNWSVUIUUGUWRUUIUWTVUIUUGUUF
      YMUWFUJZUWRVUIAUUFETVUFUUGVVAUSVUJVUIUUFUVDEVUIYBUUDUVDTZYLUVDTZUUFUVDTYA
      YBYHAVUHWTZVUIUUDEUVDUYIVUBVUCVUGXAZAUVTYIVUHNVGZVHZVUIYLEUVDVUKVVFVHZUVD
      UUEFUUDYLUVJUVKXBVLVVFVMVULABCEDYEUWFUUFYMSWFWGVUIUUFUWQYMUWFAVUDUUFUWQUS
      YIVUGABCEEUUEUWPUUDYLQWFXCXDWNVUIUUIUUHYNUWJUJZUWTVUIAUUHDTZUYJUUIVVIUSVU
      JVUIVUBVUFYHVVJVVEVULVUSBCEDDYEUUDYMWPWRVUTABCDDYRUWJUUHYNPWFWGVUIUUHUWSY
      NUWGUWJVUIAVUBVUFUUHUWSUSVUJVVEVULABCEDYEUWFUUDYMSWFWGVUMWQWNWSXEVUIUUPUX
      GUUSUXJVUIUUNUXEUUOUXFVUIUUNUUMYMUWFUJZUXEVUIAUUMETVUFUUNVVKUSVUJVUIUUMUV
      DEVUIYBVVBVVCUUMUVDTVVDVVGVVHUVDFUULUUDYLUVJUVLXFVLVVFVMVULABCEDYEUWFUUMY
      MSWFWGVUIUUMUXDYMUWFAVUDUUMUXDUSYIVUGABCEEUULUXCUUDYLRWFXCXDWNVUIUUOUUDYN
      UWFUJZUXFVUIAVUBUYJUUOVVLUSVUJVVEVUTABCEDYEUWFUUDYNSWFWGVUIYNUWGUUDUWFVUM
      WMWNWSVUIUURUXIYMVUIUURUUQYMUWFUJZUXIVUIAUUQETVUFUURVVMUSVUJVUIUUQUVDEVUI
      YBUUQUVDTVVDUVDFUUQUVJUVMXGXHVVFVMVULABCEDYEUWFUUQYMSWFWGVUIUUQUXHYMUWFAU
      UQUXHUSYIVUHABCEFGNORXIVGXDWNXJXKXKXLXMXMUYIUYOUVEUDEUVDAUVTYINWCZUYIUYNU
      VCUAEUVDVVNUYIUYMUVBUCDYOAUWAYIJWCZUYIUYLUVAUBDYOVVOUYIUYKUUKUUTUYIUYJYPU
      UCUUJUYIDYOYNVVOXNXPXQXOXOXOXOUYIVUAUXPUDEUXOAUYFYIOWCZUYIUYTUXNUAEUXOVVP
      UYIUYSUXMUCDUWHAUYGYIKWCZUYIUYRUXLUBDUWHVVQUYIUYQUXBUXKUYIUYPUWIUWOUXAUYI
      DUWHUWGVVQXNXPXQXOXOXOXOXRXEUVNUYAXSVRXT $.
  $}

  ${
    $d x y B $.  $d x y K $.  $d x y L $.  $d x y P $.  $d x y ph $.
    lmodpropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    lmodpropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    lmodpropd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    lmodpropd.4 $e |- ( ph -> F = ( Scalar ` K ) ) $.
    lmodpropd.5 $e |- ( ph -> F = ( Scalar ` L ) ) $.
    lmodpropd.6 $e |- P = ( Base ` F ) $.
    lmodpropd.7 $e |- ( ( ph /\ ( x e. P /\ y e. B ) ) ->
      ( x ( .s ` K ) y ) = ( x ( .s ` L ) y ) ) $.
    $( If two structures have the same components (properties), one is a left
       module iff the other one is.  (Contributed by Mario Carneiro,
       8-Feb-2015.)  (Revised by Mario Carneiro, 27-Jun-2015.) $)
    lmodpropd $p |- ( ph -> ( K e. LMod <-> L e. LMod ) ) $=
      ( cfv cbs fveq2d cplusg cmulr csca eqid eqtrid cv wcel wceq eqtr3d adantr
      wa oveqd lmodprop2d ) ABCDEGUAPZHUAPZGHIJULUBUMUBAEFQPZULQPNAFULQLRUCAEUN
      UMQPNAFUMQMRUCKABUDZEUECUDZEUEUIZUIZULSPUMSPUOUPURULUMSAULUMUFUQAFULUMLMU
      GUHZRUJURULTPUMTPUOUPURULUMTUSRUJOUK $.
  $}

  ${
    $d A k y $.  $d B k y $.  $d ph k y $.  $d .x. k y $.  $d Y y $.
    $d S k y $.  $d K k y $.  $d X k y $.  $d .0. k y $.  $d R y $.
    gsumvsmul.b $e |- B = ( Base ` R ) $.
    gsumvsmul.s $e |- S = ( Scalar ` R ) $.
    gsumvsmul.k $e |- K = ( Base ` S ) $.
    gsumvsmul.z $e |- .0. = ( 0g ` R ) $.
    gsumvsmul.p $e |- .+ = ( +g ` R ) $.
    gsumvsmul.t $e |- .x. = ( .s ` R ) $.
    gsumvsmul.r $e |- ( ph -> R e. LMod ) $.
    gsumvsmul.a $e |- ( ph -> A e. V ) $.
    gsumvsmul.x $e |- ( ph -> X e. K ) $.
    gsumvsmul.y $e |- ( ( ph /\ k e. A ) -> Y e. B ) $.
    gsumvsmul.n $e |- ( ph -> ( k e. A |-> Y ) finSupp .0. ) $.
    $( Pull a scalar multiplication out of a sum of vectors.  This theorem
       properly generalizes ~ gsummulc2 , since every ring is a left module
       over itself.  (Contributed by Stefan O'Rear, 6-Feb-2015.)  (Revised by
       Mario Carneiro, 5-May-2015.)  (Revised by AV, 10-Jul-2019.) $)
    gsumvsmul $p |- ( ph -> ( R gsum ( k e. A |-> ( X .x. Y ) ) ) =
          ( X .x. ( R gsum ( k e. A |-> Y ) ) ) ) $=
      ( vy cv co cmpt cgsu clmod wcel ccmn lmodcmn syl cmnd cghm cmhm lmodvsghm
      cmnmnd syl2anc ghmmhm oveq2 gsummhm2 ) AUEBCKUEUFZGUGZKLGUGHKEHBLUHUIUGZG
      UGEEJLMNQAEUJUKZEULUKZTEUMUNZAVHEUOUKVIEUSUNUAAUECVEUHZEEUPUGUKZVJEEUQUGU
      KAVGKIUKVKTUBUEKGFICENOSPURUTEEVJVAUNUCUDVDLKGVBVDVFKGVBVC $.
  $}

  ${
    $d B k $.  $d D d k $.  $d K k $.  $d S d $.  $d V d $.  $d W d $.
    $d Z d $.  $d ph d k $.  $d .* d k $.  $d .0. d $.
    mptscmfsupp0.d $e |- ( ph -> D e. V ) $.
    mptscmfsupp0.q $e |- ( ph -> Q e. LMod ) $.
    mptscmfsupp0.r $e |- ( ph -> R = ( Scalar ` Q ) ) $.
    mptscmfsupp0.k $e |- K = ( Base ` Q ) $.
    mptscmfsupp0.s $e |- ( ( ph /\ k e. D ) -> S e. B ) $.
    mptscmfsupp0.w $e |- ( ( ph /\ k e. D ) -> W e. K ) $.
    mptscmfsupp0.0 $e |- .0. = ( 0g ` Q ) $.
    mptscmfsupp0.z $e |- Z = ( 0g ` R ) $.
    mptscmfsupp0.m $e |- .* = ( .s ` Q ) $.
    mptscmfsupp0.f $e |- ( ph -> ( k e. D |-> S ) finSupp Z ) $.
    $( A mapping to a scalar product is finitely supported if the mapping to
       the scalar is finitely supported.  (Contributed by AV, 5-Oct-2019.) $)
    mptscmfsupp0 $p |- ( ph -> ( k e. D |-> ( S .* W ) ) finSupp .0. ) $=
      ( vd co cmpt cvv wcel wfun csupp cfn wss cfsupp wbr mptexd funmpt a1i c0g
      fvexi fsuppimpd cv cfv wne crab wceq csb simpr ralrimiva adantr rspcsbela
      wa wral syl2anc eqid fvmpts eqeq1d oveq1 csca fveq2d eqtrid clmod lmod0vs
      oveq1d eqtrd sylan9eqr wb csbov12g adantl ovex eqeltrdi mpbird ex necon3d
      ss2rabdv wfn rgenw fnmpt mp1i suppvalfn syl3anc syl 3sstr4d suppssfifsupp
      sylbid syl32anc ) AGCFKHUEZUFZUGUHXGUIZLUGUHZGCFUFZMUJUEZUKUHXGLUJUEZXKUL
      XGLUMUNAGCXFJNUOXHAGCXFUPUQXIALDURTUSUQZAXJMUCUTAUDVAZXGVBZLVCZUDCVDZXNXJ
      VBZMVCZUDCVDZXLXKAXPXSUDCAXNCUHZVKZXRMXOLYBXRMVEGXNFVFZMVEZXOLVEZYBXRYCMY
      BYAYCBUHZXRYCVEAYAVGZYBYAFBUHZGCVLZYFYGAYIYAAYHGCRVHZVIGXNCFBVJVMGXNFCXJB
      XJVNZVOVMVPYBYDYEYBYDVKYEYCGXNKVFZHUEZLVEZYDYBYMMYLHUEZLYCMYLHVQYBYODVRVB
      ZURVBZYLHUEZLYBMYQYLHYBMEURVBYQUAYBEYPURAEYPVEYAPVIVSVTWCYBDWAUHZYLIUHZYR
      LVEAYSYAOVIYBYAKIUHZGCVLZYTYGAUUBYAAUUAGCSVHVIGXNCKIVJVMHYPYQIDYLLQYPVNUB
      YQVNTWBVMWDWEYBYEYNWFYDYBXOYMLYBXOGXNXFVFZYMYBYAUUCUGUHXOUUCVEYGYBUUCYMUG
      YAUUCYMVEAGXNFKHCWGWHZYCYLHWIWJGXNXFCXGUGXGVNZVOVMUUDWDVPVIWKWLXDWMWNAXGC
      WOZCJUHZXIXLXQVEXFUGUHZGCVLUUFAUUHGCFKHWIWPGCXFXGUGUUEWQWRNXMUDXGJUGCLWSW
      TAXJCWOZUUGMUGUHZXKXTVEAYIUUIYJGCFXJBYKWQXANUUJAMEURUAUSUQUDXJJUGCMWSWTXB
      XKXGUGUGLXCXE $.
  $}

  ${
    $d A k $.  $d B k $.  $d P k $.  $d S k $.  $d X k $.  $d .x. k $.
    $d ph k $.
    mptscmfsuppd.b $e |- B = ( Base ` P ) $.
    mptscmfsuppd.s $e |- S = ( Scalar ` P ) $.
    mptscmfsuppd.n $e |- .x. = ( .s ` P ) $.
    mptscmfsuppd.p $e |- ( ph -> P e. LMod ) $.
    mptscmfsuppd.x $e |- ( ph -> X e. V ) $.
    mptscmfsuppd.z $e |- ( ( ph /\ k e. X ) -> Z e. B ) $.
    mptscmfsuppd.a $e |- ( ph -> A : X --> Y ) $.
    mptscmfsuppd.f $e |- ( ph -> A finSupp ( 0g ` S ) ) $.
    $( A function mapping to a scalar product in which one factor is finitely
       supported is finitely supported.  Formerly part of proof for ~ ply1coe .
       (Contributed by Stefan O'Rear, 21-Mar-2015.)  (Revised by AV,
       8-Aug-2019.)  (Proof shortened by AV, 18-Oct-2019.) $)
    mptscmfsuppd $p |- ( ph -> ( k e. X |-> ( ( A ` k ) .x. Z ) )
                               finSupp ( 0g ` P ) ) $=
      ( cfv cvv cv c0g csca wceq a1i wcel wa fvexd eqid cfsupp feqmptd eqbrtrrd
      cmpt mptscmfsupp0 ) AUAIDEGUBZBTZGFCHKDUCTZEUCTZPOEDUDTUEAMUFLAUPIUGUHUPB
      UIQURUJUSUJNABGIUQUNUSUKAGIJBRULSUMUO $.
  $}

  ${
    $d .X. q r w x $.  $d .X. s v $.  $d .x. q r w x $.  $d .x. s v $.
    $d K q r x $.  $d K s v $.  $d V q r w x $.  $d V s v $.  $d a r w $.
    $d a s v $.  $d b q r w $.  $d b s v $.  $d c s v $.  $d c w $.
    rmodislmod.v $e |- V = ( Base ` R ) $.
    rmodislmod.a $e |- .+ = ( +g ` R ) $.
    rmodislmod.s $e |- .x. = ( .s ` R ) $.
    rmodislmod.f $e |- F = ( Scalar ` R ) $.
    rmodislmod.k $e |- K = ( Base ` F ) $.
    rmodislmod.p $e |- .+^ = ( +g ` F ) $.
    rmodislmod.t $e |- .X. = ( .r ` F ) $.
    rmodislmod.u $e |- .1. = ( 1r ` F ) $.
    rmodislmod.r $e |- ( R e. Grp /\ F e. Ring
                         /\ A. q e. K A. r e. K A. x e. V A. w e. V
                     ( ( ( w .x. r ) e. V
                      /\ ( ( w .+ x ) .x. r ) = ( ( w .x. r ) .+ ( x .x. r ) )
                      /\ ( w .x. ( q .+^ r ) ) = ( ( w .x. q ) .+ ( w .x. r ) )
                    ) /\ ( ( w .x. ( q .X. r ) ) = ( ( w .x. q ) .x. r )
                      /\ ( w .x. .1. ) = w ) ) ) $.
    rmodislmod.m $e |- .* = ( s e. K , v e. V |-> ( v .x. s ) ) $.
    rmodislmod.l $e |- L = ( R sSet <. ( .s ` ndx ) , .* >. ) $.
    $( Lemma for ~ rmodislmod .  This is the part of the proof of ~ rmodislmod
       which requires the scalar ring to be commutative.  (Contributed by AV,
       3-Dec-2021.) $)
    rmodislmodlem $p |- ( ( F e. CRing /\ ( a e. K /\ b e. K /\ c e. V ) )
                          -> ( ( a .X. b ) .* c ) = ( a .* ( b .* c ) ) ) $=
      ( ccrg wcel cv w3a wa co wceq cgrp crg wral wi simprl 2ralimi ralrot3 wne
      grpbn0 3ad2ant1 ax-mp rspn0 weq oveq1 oveq2d oveq1d eqeq12d rspc3v 3com12
      c0 oveq2 syl5com sylbi eqcom syl6ibr 3ad2ant3 adantl crngcom 3expb expcom
      syl ancoms 3adant3 impcom eqtrd cvv oveq12 simp2 simp3 ovexd ovmpod simp1
      cmpo a1i simpl1 ringgrp 3ad2ant2 ralcom eleq1d rspc2v 3syl 3adant1 ringcl
      3expib 3eqtr4rd ) JULUMZRUNZLUMZSUNZLUMZTUNZNUMZUOZUPZXSXQGUQZXOGUQZXSXOX
      QHUQZGUQZXOXQXSKUQZKUQZYEXSKUQZYBYDXSXQXOHUQZGUQZYFYAYDYKURZXNFUSUMZJUTUM
      ZBUNZPUNZGUQZNUMZYOAUNZDUQYPGUQYQYSYPGUQDUQURZYOQUNZYPEUQGUQYOUUAGUQZYQDU
      QURZUOZYOUUAYPHUQZGUQZUUBYPGUQZURZYOIGUQYOURZUPZUPZBNVAANVAZPLVAQLVAZUOZY
      AYLVBZUIUUMYMUUOYNUUMUUHBNVAZANVAZPLVAQLVAZUUOUULUUQQPLLUUKUUHABNNUUDUUHU
      UIVCVDVDUURYAYKYDURZYLUURUUPPLVAQLVAZANVAZYAUUSVBUUPQPALLNVEUVAUUTYAUUSNV
      RVFZUVAUUTVBUUNUVBUIYMYNUVBUUMNFUAVGVHVIZUUTANVJVIXRXPXTUUTUUSVBUUHUUSYOX
      QYPHUQZGUQZYOXQGUQZYPGUQZURYOYJGUQZUVFXOGUQZURQPBXQXOXSLLNQSVKZUUFUVEUUGU
      VGUVJUUEUVDYOGUUAXQYPHVLVMUVJUUBUVFYPGUUAXQYOGVSVNVOPRVKZUVEUVHUVGUVIUVKU
      VDYJYOGYPXOXQHVSVMYPXOUVFGVSVOBTVKZUVHYKUVIYDYOXSYJGVLUVLUVFYCXOGYOXSXQGV
      LZVNVOVPVQVTWAYDYKWBWCWIWDVIWEYBYJYEXSGYAXNYJYEURZXPXRXNUVNVBZXTXRXPUVOXN
      XRXPUPUVNXNXRXPUVNLJHXQXOUEUGWFWGWHWJWKWLVMWMYAYHYDURXNYAYHXOYCKUQYDYAYGY
      CXOKYAOCXQXSLNCUNZOUNZGUQZYCKWNKOCLNUVRXAURYAUJXBZOSVKZCTVKZUPUVRYCURZYAU
      WAUVTUWBUVPXSUVQXQGWOWJWEXPXRXTWPXPXRXTWQZYAXSXQGWRWSVMYAOCXOYCLNUVRYDKWN
      UVSORVKZUVPYCURZUPUVRYDURZYAUWEUWDUWFUVPYCUVQXOGWOWJWEXPXRXTWTXRXTYCNUMZX
      PUUNXRXTUPZUWGVBZUIUUMYMUWIYNUUMYRBNVAZANVAZPLVAZQLVAZUWLUWIUULUWKQPLLUUK
      YRABNNYRYTUUCUUJXCVDVDLVRVFZUWMUWLVBUUNUWNUIYNYMUWNUUMYNJUSUMUWNJXDLJUEVG
      WIXEVIUWLQLVJVIUWLUWJPLVAZANVAZUWIUWJPALNXFUWPUWOUWHUWGUVBUWPUWOVBUVCUWOA
      NVJVIYRUWGUVFNUMPBXQXSLNPSVKYQUVFNYPXQYOGVSXGUVLUVFYCNUVMXGXHVTWAXIWDVIXJ
      YAYCXOGWRWSWMWEYAYIYFURXNYAOCYEXSLNUVRYFKWNUVSUVQYEURZUWAUPUVRYFURZYAUWAU
      WQUWRUVPXSUVQYEGWOWJWEXPXRYELUMZXTUUNXPXRUPUWSVBZUIYNYMUWTUUMYNXPXRUWSLJH
      XOXQUEUGXKXLXEVIWKUWCYAXSYEGWRWSWEXM $.

    $d F a b c $.  $d F s v $.  $d K a b c $.  $d L a $.  $d V a b c $.
    $d .1. a $.  $d .1. s v $.  $d .1. q r w x $.  $d .X. b c $.
    $d .+ a b c $.  $d .+ q r w x $.  $d .+ s v $.  $d .+^ q r w x $.
    $d .+^ s v $.  $d .+^ b c $.  $d .* a b c $.  $d a q x $.  $d c x $.
    $( The right module ` R ` induces a left module ` L ` by replacing the
       scalar multiplication with a reversed multiplication if the scalar ring
       is commutative.  The hypothesis "rmodislmod.r" is a definition of a
       right module analogous to Definition ~ df-lmod of a left module, see
       also ~ islmod .  (Contributed by AV, 3-Dec-2021.)  (Proof shortened by
       AV, 18-Oct-2024.) $)
    rmodislmod $p |- ( F e. CRing -> L e. LMod ) $=
      ( va vb vc ccrg wcel cbs cfv wceq cnx cvsca cop co baseid vscandxnbasendx
      csts necomi setsnid eqcomi fveq2i cplusg plusgid vscandxnplusgndx 3eqtr4i
      eqtri a1i csca scaid vscandxnscandx cgrp cvv crg cv w3a wral simp1i fvexi
      wa mpoexg mp2an vscaid setsid cmulr cur crngring eqtr4i grpprop mpbi cmpo
      weq oveq12 ancoms adantl simp2 simp3 ovmpod wi simpl1 2ralimi wne ringgrp
      ovexd grpbn0 syl 3ad2ant2 ax-mp rspn0 ralcom 3ad2ant1 oveq2 eleq1d rspc2v
      c0 oveq1 3adant1 syl5com sylbi 3ad2ant3 eqeltrd simp1 grpcl mp3an1 simpl2
      3syl oveq12d eqeq12d oveq1d oveq2d rspc3v 3com23 eqtrd eqtr4d simpl3 id
      ralrot3 3expib 3adant3 3eqtr4d rmodislmodlem ringidcl adantr simpr simprr
      rspcv islmodd ) JULUMZUIUJUKLDEKHIJNMNMUNUOZUPUUMNFUQURUOZKUSVCUTZUNUOZUU
      NNFUNUOZUUQRKUUOUNFVAUUOUQUNUOVBVDVEVLUUPMUNMUUPUHVFZVGVLZVMDMVHUOZUPUUMF
      VHUOZUUPVHUOZDUVAKUUOVHFVIUUOUQVHUOVJVDVEZSMUUPVHUHVGZVKVMJMVNUOZUPUUMFVN
      UOUUPVNUOJUVFKUUOVNFVOUUOUQVNUOVPVDVEUAMUUPVNUHVGVKVMKMURUOZUPUUMKUUPURUO
      ZUVGFVQUMZKVRUMZKUVHUPUVIJVSUMZBVTZPVTZGUTZNUMZUVLAVTZDUTZUVMGUTZUVNUVPUV
      MGUTZDUTZUPZUVLQVTZUVMEUTZGUTZUVLUWBGUTZUVNDUTZUPZWAZUVLUWBUVMHUTGUTUWEUV
      MGUTUPZUVLIGUTZUVLUPZWEZWEZBNWBANWBZPLWBQLWBZUFWCZLVRUMNVRUMUVJLJUNUBWDNF
      UNRWDOCLNCVTZOVTZGUTZVRVRKUGWFWGVQKURVRFWHWIWGUUPMURUUSVGVLVMLJUNUOUPUUMU
      BVMEJVHUOUPUUMUCVMHJWJUOUPUUMUDVMIJWKUOUPUUMUEVMJWLZMVQUMZUUMUVIUXAUWPFMU
      URNUUNNUURRVFUUTVLUVBUVCUVAUVDUVEWMWNWOVMUUMUIVTZLUMZUJVTZNUMZWAZUXBUXDKU
      TZUXDUXBGUTZNUXFOCUXBUXDLNUWSUXHKVRKOCLNUWSWPUPZUXFUGVMOUIWQZCUJWQZWEZUWS
      UXHUPZUXFUXKUXJUXMUWQUXDUWRUXBGWRWSZWTUUMUXCUXEXAUUMUXCUXEXBUXFUXDUXBGXIX
      CUVIUVKUWOWAZUXFUXHNUMZXDZUFUWOUVIUXQUVKUWOUVOBNWBZANWBZPLWBZQLWBZUXTUXQU
      WNUXSQPLLUWMUVOABNNUVOUWAUWGUWLXEXFXFLXTXGZUYAUXTXDUXOUYBUFUVKUVIUYBUWOUV
      KJVQUMZUYBJXHZLJUBXJXKXLXMZUXTQLXNXMUXTUXRPLWBZANWBZUXQUXRPALNXOUYGUYFUXF
      UXPNXTXGZUYGUYFXDUXOUYHUFUVIUVKUYHUWONFRXJXPXMZUYFANXNXMUXCUXEUYFUXPXDUUM
      UVOUXPUVLUXBGUTZNUMPBUXBUXDLNPUIWQZUVNUYJNUVMUXBUVLGXQZXRBUJWQZUYJUXHNUVL
      UXDUXBGYAZXRXSYBYCYDYKYEXMYFUUMUXCUXEUKVTZNUMZWAZWEUXBUXDUYODUTZKUTZUXHUY
      OUXBGUTZDUTZUXGUXBUYOKUTZDUTZUYQUYSVUAUPUUMUYQUYSUYRUXBGUTZVUAUYQOCUXBUYR
      LNUWSVUDKVRUXIUYQUGVMZUXJUWQUYRUPZWEUWSVUDUPZUYQVUFUXJVUGUWQUYRUWRUXBGWRW
      SWTUXCUXEUYPYGZUXEUYPUYRNUMZUXCUVIUXEUYPVUIUWPNDFUXDUYORSYHYIYBUYQUYRUXBG
      XIXCUXOUYQVUDVUAUPZXDZUFUWOUVIVUKUVKUWOUWABNWBANWBZPLWBZQLWBZVUKUWNVULQPL
      LUWMUWAABNNUVOUWAUWGUWLYJXFXFVUNVUMUYQVUJUYBVUNVUMXDUYEVUMQLXNXMUXCUYPUXE
      VUMVUJXDUWAVUJUVQUXBGUTZUYJUVPUXBGUTZDUTZUPUVLUYODUTZUXBGUTZUYJUYTDUTZUPP
      ABUXBUYOUXDLNNUYKUVRVUOUVTVUQUVMUXBUVQGXQUYKUVNUYJUVSVUPDUYLUVMUXBUVPGXQY
      LYMAUKWQZVUOVUSVUQVUTVVAUVQVURUXBGUVPUYOUVLDXQYNVVAVUPUYTUYJDUVPUYOUXBGYA
      YOYMUYMVUSVUDVUTVUAUYMVURUYRUXBGUVLUXDUYODYAYNUYMUYJUXHUYTDUYNYNYMYPYQYCX
      KYEXMYRWTUYQVUCVUAUPUUMUYQUXGUXHVUBUYTDUYQOCUXBUXDLNUWSUXHKVRVUEUXLUXMUYQ
      UXNWTVUHUXCUXEUYPXAUYQUXDUXBGXIXCUYQOCUXBUYOLNUWSUYTKVRVUEUXJCUKWQZWEZUWS
      UYTUPZUYQVVBUXJVVDUWQUYOUWRUXBGWRWSZWTVUHUXCUXEUYPXBUYQUYOUXBGXIXCYLWTYSU
      XCUXDLUMZUYPWAZUXBUXDEUTZUYOKUTZVUBUXDUYOKUTZDUTZUPUUMVVGUYOVVHGUTZUYTUYO
      UXDGUTZDUTZVVIVVKUXOVVGVVLVVNUPZXDZUFUWOUVIVVPUVKUWOUWGBNWBZANWBZPLWBQLWB
      ZVVPUWNVVRQPLLUWMUWGABNNUVOUWAUWGUWLYTXFXFVVSVVQPLWBQLWBZANWBZVVPVVQQPALL
      NUUBVWAVVTVVGVVOUYHVWAVVTXDUYIVVTANXNXMUWGVVOUVLUXBUVMEUTZGUTZUYJUVNDUTZU
      PUVLVVHGUTZUYJUVLUXDGUTZDUTZUPQPBUXBUXDUYOLLNQUIWQZUWDVWCUWFVWDVWHUWCVWBU
      VLGUWBUXBUVMEYAYOVWHUWEUYJUVNDUWBUXBUVLGXQYNYMPUJWQZVWCVWEVWDVWGVWIVWBVVH
      UVLGUVMUXDUXBEXQYOVWIUVNVWFUYJDUVMUXDUVLGXQYOYMBUKWQZVWEVVLVWGVVNUVLUYOVV
      HGYAVWJUYJUYTVWFVVMDUVLUYOUXBGYAUVLUYOUXDGYAYLYMYPYCYDXKYEXMVVGOCVVHUYOLN
      UWSVVLKVRUXIVVGUGVMZUWRVVHUPZVVBWEUWSVVLUPZVVGVVBVWLVWMUWQUYOUWRVVHGWRWSW
      TUXCVVFVVHLUMZUYPUXOUXCVVFWEVWNXDZUFUVKUVIVWOUWOUVKUYCVWOUYDUYCUXCVVFVWNL
      EJUXBUXDUBUCYHUUCXKXLXMUUDUXCVVFUYPXBZVVGUYOVVHGXIXCVVGVUBUYTVVJVVMDVVGOC
      UXBUYOLNUWSUYTKVRVWKVVCVVDVVGVVEWTUXCVVFUYPYGVWPVVGUYOUXBGXIXCVVGOCUXDUYO
      LNUWSVVMKVRVWKOUJWQZVVBWEUWSVVMUPZVVGVVBVWQVWRUWQUYOUWRUXDGWRWSWTUXCVVFUY
      PXAVWPVVGUYOUXDGXIXCYLUUEWTABCDEFGHIJKLMNOPQUIUJUKRSTUAUBUCUDUEUFUGUHUUFU
      UMUXBNUMZWEZIUXBKUTUXBIGUTZUXBVWTOCIUXBLNUWSVXAKVRUXIVWTUGVMUWRIUPZCUIWQZ
      WEUWSVXAUPZVWTVXCVXBVXDUWQUXBUWRIGWRWSWTUUMILUMZVWSUUMUVKVXEUWTLJIUBUEUUG
      XKUUHUUMVWSUUIVWTUXBIGXIXCUXOVWTVXAUXBUPZXDZUFUWOUVIVXGUVKUWOUWKBNWBZANWB
      ZPLWBZQLWBZVXJVXGUWNVXIQPLLUWMUWKABNNUWHUWIUWKUUJXFXFUYBVXKVXJXDUYEVXJQLX
      NXMVXJVXIVXGUYBVXJVXIXDUYEVXIPLXNXMVXIVXHVWTVXFUYHVXIVXHXDUYIVXHANXNXMVWS
      VXHVXFXDUUMUWKVXFBUXBNBUIWQZUWJVXAUVLUXBUVLUXBIGYAVXLUUAYMUUKWTYCXKYKYEXM
      YRUUL $.

    $( Obsolete version of ~ rmodislmod as of 18-Oct-2024.  The right module
       ` R ` induces a left module ` L ` by replacing the scalar multiplication
       with a reversed multiplication if the scalar ring is commutative.  The
       hypothesis "rmodislmod.r" is a definition of a right module analogous to
       Definition ~ df-lmod of a left module, see also ~ islmod .  (Contributed
       by AV, 3-Dec-2021.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    rmodislmodOLD $p |- ( F e. CRing -> L e. LMod ) $=
      ( va vb vc ccrg wcel cbs cfv wceq cnx cvsca cop csts co baseid c1 df-base
      1nn ndxarg 1re 1lt6 ltneii vscandx neeqtrri eqnetri setsnid eqcomi fveq2i
      c6 eqtri a1i cplusg plusgid c2 plusgndx 2lt6 3eqtr4i csca scaid c5 scandx
      2re 5re 5lt6 cgrp cvv crg cv w3a wa wral simp1i fvexi mpoexg mp2an vscaid
      setsid cmulr cur crngring oveq12 ancoms adantl simp2 simp3 ovmpod 2ralimi
      weq ovexd wi c0 wne grpbn0 syl 3ad2ant2 ax-mp rspn0 oveq2 3adant1 syl5com
      eleq1d oveq1 sylbi 3syl 3ad2ant3 simp1 grpcl oveq12d oveq1d oveq2d rspc3v
      eqeq12d eqtrd eqtr4i grpprop simpl1 ringgrp ralcom 3ad2ant1 rspc2v mp3an1
      eqeltrd simpl2 3com23 eqtr4d simpl3 ralrot3 3adant3 3eqtr4d rmodislmodlem
      mpbi cmpo 3expib ringidcl adantr simpr simprr id rspcv islmodd ) JULUMZUI
      UJUKLDEKHIJNMNMUNUOZUPUVHNFUQURUOZKUSUTVAZUNUOZUVINFUNUOZUVLRKUVJUNFVBUQU
      NUOVCUVJUNVCVDVEVFVCVPUVJVCVPVGVHVIVJVKVLVMVQUVKMUNMUVKUHVNZVOVQZVRDMVSUO
      ZUPUVHFVSUOZUVKVSUOZDUVPKUVJVSFVTUQVSUOWAUVJWBWAVPUVJWAVPWIWCVIVJVKVLVMZS
      MUVKVSUHVOZWDVRJMWEUOZUPUVHFWEUOUVKWEUOJUWAKUVJWEFWFUQWEUOWGUVJWHWGVPUVJW
      GVPWJWKVIVJVKVLVMUAMUVKWEUHVOWDVRKMURUOZUPUVHKUVKURUOZUWBFWLUMZKWMUMZKUWC
      UPUWDJWNUMZBWOZPWOZGVAZNUMZUWGAWOZDVAZUWHGVAZUWIUWKUWHGVAZDVAZUPZUWGQWOZU
      WHEVAZGVAZUWGUWQGVAZUWIDVAZUPZWPZUWGUWQUWHHVAGVAUWTUWHGVAUPZUWGIGVAZUWGUP
      ZWQZWQZBNWRANWRZPLWRQLWRZUFWSZLWMUMNWMUMUWELJUNUBWTNFUNRWTOCLNCWOZOWOZGVA
      ZWMWMKUGXAXBWLKURWMFXCXDXBUVKMURUVNVOVQVRLJUNUOUPUVHUBVREJVSUOUPUVHUCVRHJ
      XEUOUPUVHUDVRIJXFUOUPUVHUEVRJXGZMWLUMZUVHUWDUXPUXKFMUVMNUVINUVMRVNUVOVQUV
      QUVRUVPUVSUVTUUAUUBUURVRUVHUIWOZLUMZUJWOZNUMZWPZUXQUXSKVAZUXSUXQGVAZNUYAO
      CUXQUXSLNUXNUYCKWMKOCLNUXNUUSUPZUYAUGVROUIXOZCUJXOZWQZUXNUYCUPZUYAUYFUYEU
      YHUXLUXSUXMUXQGXHXIZXJUVHUXRUXTXKUVHUXRUXTXLUYAUXSUXQGXPXMUWDUWFUXJWPZUYA
      UYCNUMZXQZUFUXJUWDUYLUWFUXJUWJBNWRZANWRZPLWRZQLWRZUYOUYLUXIUYNQPLLUXHUWJA
      BNNUWJUWPUXBUXGUUCXNXNLXRXSZUYPUYOXQUYJUYQUFUWFUWDUYQUXJUWFJWLUMZUYQJUUDZ
      LJUBXTYAYBYCZUYOQLYDYCUYOUYMPLWRZANWRZUYLUYMPALNUUEVUBVUAUYAUYKNXRXSZVUBV
      UAXQUYJVUCUFUWDUWFVUCUXJNFRXTUUFYCZVUAANYDYCUXRUXTVUAUYKXQUVHUWJUYKUWGUXQ
      GVAZNUMPBUXQUXSLNPUIXOZUWIVUENUWHUXQUWGGYEZYHBUJXOZVUEUYCNUWGUXSUXQGYIZYH
      UUGYFYGYJYKYLYCUUIUVHUXRUXTUKWOZNUMZWPZWQUXQUXSVUJDVAZKVAZUYCVUJUXQGVAZDV
      AZUYBUXQVUJKVAZDVAZVULVUNVUPUPUVHVULVUNVUMUXQGVAZVUPVULOCUXQVUMLNUXNVUSKW
      MUYDVULUGVRZUYEUXLVUMUPZWQUXNVUSUPZVULVVAUYEVVBUXLVUMUXMUXQGXHXIXJUXRUXTV
      UKYMZUXTVUKVUMNUMZUXRUWDUXTVUKVVDUXKNDFUXSVUJRSYNUUHYFVULVUMUXQGXPXMUYJVU
      LVUSVUPUPZXQZUFUXJUWDVVFUWFUXJUWPBNWRANWRZPLWRZQLWRZVVFUXIVVGQPLLUXHUWPAB
      NNUWJUWPUXBUXGUUJXNXNVVIVVHVULVVEUYQVVIVVHXQUYTVVHQLYDYCUXRVUKUXTVVHVVEXQ
      UWPVVEUWLUXQGVAZVUEUWKUXQGVAZDVAZUPUWGVUJDVAZUXQGVAZVUEVUODVAZUPPABUXQVUJ
      UXSLNNVUFUWMVVJUWOVVLUWHUXQUWLGYEVUFUWIVUEUWNVVKDVUGUWHUXQUWKGYEYOYSAUKXO
      ZVVJVVNVVLVVOVVPUWLVVMUXQGUWKVUJUWGDYEYPVVPVVKVUOVUEDUWKVUJUXQGYIYQYSVUHV
      VNVUSVVOVUPVUHVVMVUMUXQGUWGUXSVUJDYIYPVUHVUEUYCVUODVUIYPYSYRUUKYGYAYLYCYT
      XJVULVURVUPUPUVHVULUYBUYCVUQVUODVULOCUXQUXSLNUXNUYCKWMVUTUYGUYHVULUYIXJVV
      CUXRUXTVUKXKVULUXSUXQGXPXMVULOCUXQVUJLNUXNVUOKWMVUTUYECUKXOZWQZUXNVUOUPZV
      ULVVQUYEVVSUXLVUJUXMUXQGXHXIZXJVVCUXRUXTVUKXLVULVUJUXQGXPXMYOXJUULUXRUXSL
      UMZVUKWPZUXQUXSEVAZVUJKVAZVUQUXSVUJKVAZDVAZUPUVHVWBVUJVWCGVAZVUOVUJUXSGVA
      ZDVAZVWDVWFUYJVWBVWGVWIUPZXQZUFUXJUWDVWKUWFUXJUXBBNWRZANWRZPLWRQLWRZVWKUX
      IVWMQPLLUXHUXBABNNUWJUWPUXBUXGUUMXNXNVWNVWLPLWRQLWRZANWRZVWKVWLQPALLNUUNV
      WPVWOVWBVWJVUCVWPVWOXQVUDVWOANYDYCUXBVWJUWGUXQUWHEVAZGVAZVUEUWIDVAZUPUWGV
      WCGVAZVUEUWGUXSGVAZDVAZUPQPBUXQUXSVUJLLNQUIXOZUWSVWRUXAVWSVXCUWRVWQUWGGUW
      QUXQUWHEYIYQVXCUWTVUEUWIDUWQUXQUWGGYEYPYSPUJXOZVWRVWTVWSVXBVXDVWQVWCUWGGU
      WHUXSUXQEYEYQVXDUWIVXAVUEDUWHUXSUWGGYEYQYSBUKXOZVWTVWGVXBVWIUWGVUJVWCGYIV
      XEVUEVUOVXAVWHDUWGVUJUXQGYIUWGVUJUXSGYIYOYSYRYGYJYAYLYCVWBOCVWCVUJLNUXNVW
      GKWMUYDVWBUGVRZUXMVWCUPZVVQWQUXNVWGUPZVWBVVQVXGVXHUXLVUJUXMVWCGXHXIXJUXRV
      WAVWCLUMZVUKUYJUXRVWAWQVXIXQZUFUWFUWDVXJUXJUWFUYRVXJUYSUYRUXRVWAVXILEJUXQ
      UXSUBUCYNUUTYAYBYCUUOUXRVWAVUKXLZVWBVUJVWCGXPXMVWBVUQVUOVWEVWHDVWBOCUXQVU
      JLNUXNVUOKWMVXFVVRVVSVWBVVTXJUXRVWAVUKYMVXKVWBVUJUXQGXPXMVWBOCUXSVUJLNUXN
      VWHKWMVXFOUJXOZVVQWQUXNVWHUPZVWBVVQVXLVXMUXLVUJUXMUXSGXHXIXJUXRVWAVUKXKVX
      KVWBVUJUXSGXPXMYOUUPXJABCDEFGHIJKLMNOPQUIUJUKRSTUAUBUCUDUEUFUGUHUUQUVHUXQ
      NUMZWQZIUXQKVAUXQIGVAZUXQVXOOCIUXQLNUXNVXPKWMUYDVXOUGVRUXMIUPZCUIXOZWQUXN
      VXPUPZVXOVXRVXQVXSUXLUXQUXMIGXHXIXJUVHILUMZVXNUVHUWFVXTUXOLJIUBUEUVAYAUVB
      UVHVXNUVCVXOUXQIGXPXMUYJVXOVXPUXQUPZXQZUFUXJUWDVYBUWFUXJUXFBNWRZANWRZPLWR
      ZQLWRZVYEVYBUXIVYDQPLLUXHUXFABNNUXCUXDUXFUVDXNXNUYQVYFVYEXQUYTVYEQLYDYCVY
      EVYDVYBUYQVYEVYDXQUYTVYDPLYDYCVYDVYCVXOVYAVUCVYDVYCXQVUDVYCANYDYCVXNVYCVY
      AXQUVHUXFVYABUXQNBUIXOZUXEVXPUWGUXQUWGUXQIGYIVYGUVEYSUVFXJYGYAYKYLYCYTUVG
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subspaces and spans in a left module
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c LSubSp $.

  $( Extend class notation with linear subspaces of a left module or left
     vector space. $)
  clss $a class LSubSp $.

  ${
    $d a b s x w $.
    $( Define the set of linear subspaces of a left module or left vector
       space.  (Contributed by NM, 8-Dec-2013.) $)
    df-lss $a |- LSubSp = ( w e. _V |->
     { s e. ( ~P ( Base ` w ) \ { (/) } ) |
        A. x e. ( Base ` ( Scalar ` w ) ) A. a e. s A. b e. s
          ( ( x ( .s ` w ) a ) ( +g ` w ) b ) e. s } ) $.
  $}

  ${
    $d s w .+ $.  $d s w x B $.  $d s w V $.  $d a b s w x W $.  $d s w .x. $.
    $d a b s x U $.
    lssset.f $e |- F = ( Scalar ` W ) $.
    lssset.b $e |- B = ( Base ` F ) $.
    lssset.v $e |- V = ( Base ` W ) $.
    lssset.p $e |- .+ = ( +g ` W ) $.
    lssset.t $e |- .x. = ( .s ` W ) $.
    lssset.s $e |- S = ( LSubSp ` W ) $.
    $( The set of all (not necessarily closed) linear subspaces of a left
       module or left vector space.  (Contributed by NM, 8-Dec-2013.)  (Revised
       by Mario Carneiro, 15-Jul-2014.) $)
    lssset $p |- ( W e. X -> S = { s e. ( ~P V \ { (/) } ) |
         A. x e. B A. a e. s A. b e. s ( ( x .x. a ) .+ b ) e. s } ) $=
      ( cfv cbs vw wcel clss cv co wral cpw csn cdif crab cvv wceq cvsca cplusg
      c0 elex csca fveq2 eqtr4di pweqd difeq1d fveq2d oveqd oveq1d eqtrd eleq1d
      2ralbidv raleqbidv rabeqbidv df-lss fvexi pwex difexi rabex fvmpt eqtrid
      syl ) HIUBZDHUCSZAUDZKUDZEUEZLUDZCUEZJUDZUBZLWEUFKWEUFZABUFZJGUGZUOUHZUIZ
      UJZRVRHUKUBVSWLULHIUPUAHVTWAUAUDZUMSZUEZWCWMUNSZUEZWEUBZLWEUFKWEUFZAWMUQS
      ZTSZUFZJWMTSZUGZWJUIZUJWLUKUCWMHULZXBWHJXEWKXFXDWIWJXFXCGXFXCHTSGWMHTUROU
      SUTVAXFWSWGAXABXFXAFTSBXFWTFTXFWTHUQSFWMHUQURMUSVBNUSXFWRWFKLWEWEXFWQWDWE
      XFWQWBWCWPUEWDXFWOWBWCWPXFWNEVTWAXFWNHUMSEWMHUMURQUSVCVDXFWPCWBWCXFWPHUNS
      CWMHUNURPUSVCVEVFVGVHVIAUAJKLVJWHJWKWIWJGGHTOVKVLVMVNVOVQVP $.

    $( The predicate "is a subspace" (of a left module or left vector space).
       (Contributed by NM, 8-Dec-2013.)  (Revised by Mario Carneiro,
       8-Jan-2015.) $)
    islss $p |- ( U e. S <-> ( U C_ V /\ U =/= (/)
          /\ A. x e. B A. a e. U A. b e. U ( ( x .x. a ) .+ b ) e. U ) ) $=
      ( wcel c0 wral vs cvv wss wne cv co w3a clss cfv elfvex eleq2s wceq fvprc
      cbs eqtrid sseq2d biimpcd ss0 syl6 necon1ad imp 3adant3 cpw csn cdif crab
      wn lssset eleq2d eldifsn fvexi elpw2 bitri eleq2 raleqbi1dv ralbidv elrab
      wa anbi1i df-3an 3bitr4i bitrdi pm5.21nii ) FDRZIUBRZFHUCZFSUDZAUEJUEEUFK
      UECUFZFRZKFTZJFTZABTZUGZWEFIUHUIDFIUHUJQUKWFWGWEWLWFWGWEWFWEFSWFWEVGZFSUC
      ZFSULWNWFWOWNHSFWNHIUNUISNIUNUMUOUPUQFURUSUTVAVBWEWDFWHUAUEZRZKWPTZJWPTZA
      BTZUAHVCZSVDVEZVFZRZWMWEDXCFABCDEGHIUBUAJKLMNOPQVHVIFXBRZWLVRWFWGVRZWLVRX
      DWMXEXFWLXEFXARZWGVRXFFXASVJXGWFWGFHHIUNNVKVLVSVMVSWTWLUAFXBWPFULWSWKABWR
      WJJWPFWQWIKWPFWPFWHVNVOVOVPVQWFWGWLVTWAWBWC $.
  $}

  ${
    $d a b x ph $.  $d a b x U $.  $d a b x W $.  $d a b B $.
    islssd.f $e |- ( ph -> F = ( Scalar ` W ) ) $.
    islssd.b $e |- ( ph -> B = ( Base ` F ) ) $.
    islssd.v $e |- ( ph -> V = ( Base ` W ) ) $.
    islssd.p $e |- ( ph -> .+ = ( +g ` W ) ) $.
    islssd.t $e |- ( ph -> .x. = ( .s ` W ) ) $.
    islssd.s $e |- ( ph -> S = ( LSubSp ` W ) ) $.
    islssd.u $e |- ( ph -> U C_ V ) $.
    islssd.z $e |- ( ph -> U =/= (/) ) $.
    islssd.c $e |- ( ( ph /\ ( x e. B /\ a e. U /\ b e. U ) ) ->
            ( ( x .x. a ) .+ b ) e. U ) $.
    $( Properties that determine a subspace of a left module or left vector
       space.  (Contributed by NM, 8-Dec-2013.)  (Revised by Mario Carneiro,
       8-Jan-2015.) $)
    islssd $p |- ( ph -> U e. S ) $=
      ( clss cfv cbs wss c0 wne cv cvsca co cplusg wcel wral csca sseqtrd 3exp2
      wa imp43 ralrimivva ex fveq2d eqtrd eleq2d oveq1d eleq1d 2ralbidv 3imtr3d
      oveqd ralrimiv eqid islss syl3anbrc eleqtrrd ) AGJUBUCZEAGJUDUCZUEGUFUGBU
      HZKUHZJUIUCZUJZLUHZJUKUCZUJZGULZLGUMKGUMZBJUNUCZUDUCZUMGVNULAGIVOSOUOTAWD
      BWFAVPCULZVPVQFUJZVTDUJZGULZLGUMKGUMZVPWFULWDAWGWKAWGUQWJKLGGAWGVQGULZVTG
      ULZWJAWGWLWMWJUAUPURUSUTACWFVPACHUDUCWFNAHWEUDMVAVBVCAWJWCKLGGAWIWBGAWIWH
      VTWAUJWBADWAWHVTPVHAWHVSVTWAAFVRVPVQQVHVDVBVEVFVGVIBWFWAVNVRGWEVOJKLWEVJW
      FVJVOVJWAVJVRVJVNVJVKVLRVM $.
  $}

  ${
    $d a b x U $.  $d a b x V $.  $d a b x W $.
    lssss.v $e |- V = ( Base ` W ) $.
    lssss.s $e |- S = ( LSubSp ` W ) $.
    $( A subspace is a set of vectors.  (Contributed by NM, 8-Dec-2013.)
       (Revised by Mario Carneiro, 8-Jan-2015.) $)
    lssss $p |- ( U e. S -> U C_ V ) $=
      ( vx va vb wcel wss c0 wne cv cvsca cfv co cplusg wral eqid islss simp1bi
      csca cbs ) BAJBCKBLMGNHNDOPZQINDRPZQBJIBSHBSGDUCPZUDPZSGUHUFAUEBUGCDHIUGT
      UHTEUFTUETFUAUB $.

    $( A subspace member is a vector.  (Contributed by NM, 11-Jan-2014.)
       (Revised by Mario Carneiro, 8-Jan-2015.) $)
    lssel $p |- ( ( U e. S /\ X e. U ) -> X e. V ) $=
      ( wcel lssss sselda ) BAHBCEABCDFGIJ $.

    $( The set of vectors in a left module is a subspace.  (Contributed by NM,
       8-Dec-2013.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lss1 $p |- ( W e. LMod -> V e. S ) $=
      ( vx va vb clmod wcel csca cfv cbs cplusg eqidd wceq a1i cv co eqid cvsca
      clss ssidd lmodbn0 w3a wa simpl lmodvscl 3adant3r3 simpr3 lmodvacl islssd
      syl3anc ) CIJZFCKLZMLZCNLZACUALZBUOBCGHUNUOOUNUPOBCMLPUNDQUNUQOUNUROACUBL
      PUNEQUNBUCBCDUDUNFRZUPJZGRZBJZHRZBJZUEZUFUNUSVAURSZBJZVDVFVCUQSBJUNVEUGUN
      UTVBVGVDUSURUOUPBCVADUOTURTUPTUHUIUNUTVBVDUJUQBCVFVCDUQTUKUMUL $.

    $d x S $.
    lssuni.w $e |- ( ph -> W e. LMod ) $.
    $( The union of all subspaces is the vector space.  (Contributed by NM,
       13-Mar-2015.) $)
    lssuni $p |- ( ph -> U. S = V ) $=
      ( vx cuni cv wss crab wceq rabid2 lssss mprgbir unieqi clmod wcel lss1
      unimax 3syl eqtrid ) ABIHJZCKZHBLZIZCBUFBUFMUEHBUEHBNBUDCDEFOPQADRSCBSUGC
      MGBCDEFTHCBUAUBUC $.
  $}

  ${
    $d a b x U $.  $d a b x W $.
    lssn0.s $e |- S = ( LSubSp ` W ) $.
    $( A subspace is not empty.  (Contributed by NM, 12-Jan-2014.)  (Revised by
       Mario Carneiro, 8-Jan-2015.) $)
    lssn0 $p |- ( U e. S -> U =/= (/) ) $=
      ( vx va vb wcel cbs cfv wss c0 wne cv cvsca co cplusg wral csca eqid
      islss simp2bi ) BAHBCIJZKBLMENFNCOJZPGNCQJZPBHGBRFBRECSJZIJZREUGUEAUDBUFU
      CCFGUFTUGTUCTUETUDTDUAUB $.
  $}

  $( The empty structure has no subspaces (for use with ~ fvco4i ).
     (Contributed by Stefan O'Rear, 31-Mar-2015.) $)
  00lss $p |- (/) = ( LSubSp ` (/) ) $=
    ( va c0 clss cfv wcel noel wceq wss base0 eqid lssss ss0 syl neneqd pm2.65i
    cv lssn0 2false eqriv ) ABBCDZAPZBEUATEZUAFUBUABGZUBUABHUCTUABBITJZKUALMUBU
    ABTUABUDQNORS $.

  ${
    $d x B $.  $d a b x .+ $.  $d a b x .x. $.  $d a b x U $.  $d a b x W $.
    $d a b X $.  $d b Y $.  $d a b x Z $.
    lsscl.f $e |- F = ( Scalar ` W ) $.
    lsscl.b $e |- B = ( Base ` F ) $.
    lsscl.p $e |- .+ = ( +g ` W ) $.
    lsscl.t $e |- .x. = ( .s ` W ) $.
    lsscl.s $e |- S = ( LSubSp ` W ) $.
    $( Closure property of a subspace.  (Contributed by NM, 8-Dec-2013.)
       (Revised by Mario Carneiro, 8-Jan-2015.) $)
    lsscl $p |- ( ( U e. S /\ ( Z e. B /\ X e. U /\ Y e. U ) ) ->
      ( ( Z .x. X ) .+ Y ) e. U ) $=
      ( vx va vb wcel co cv wral w3a cbs cfv wss c0 wne eqid islss simp3bi wceq
      oveq1 oveq1d eleq1d oveq2 rspc3v mpan9 ) ECSZPUAZQUAZDTZRUAZBTZESZREUBQEU
      BPAUBZJASHESIESUCJHDTZIBTZESZUSEGUDUEZUFEUGUHVFPABCDEFVJGQRKLVJUIMNOUJUKV
      EVIJVADTZVCBTZESVGVCBTZESPQRJHIAEEUTJULZVDVLEVNVBVKVCBUTJVADUMUNUOVAHULZV
      LVMEVOVKVGVCBVAHJDUPUNUOVCIULVMVHEVCIVGBUPUOUQUR $.
  $}

  ${
    lssvsubcl.m $e |- .- = ( -g ` W ) $.
    lssvsubcl.s $e |- S = ( LSubSp ` W ) $.
    $( Closure of vector subtraction in a subspace.  (Contributed by NM,
       31-Mar-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lssvsubcl $p |- ( ( ( W e. LMod /\ U e. S )
          /\ ( X e. U /\ Y e. U ) ) -> ( X .- Y ) e. U ) $=
      ( clmod wcel wa co cfv cbs wceq eqid lssel syl3anc syl eqeltrd csca cvsca
      cur cminusg cplusg ad2ant2lr ad2ant2l lmodvsubval2 cgrp lmodfgrp grpinvcl
      simpll lmod1cl syl2anc lmodvscl lmodcom simplr simprr simprl syl13anc
      lsscl ) DIJZBAJZKZEBJZFBJZKZKZEFCLZEDUAMZUCMZVJUDMZMZFDUBMZLZDUEMZLZBVHVB
      EDNMZJZFVRJZVIVQOVBVCVGULZVCVEVSVBVFABVRDEVRPZHQUFZVCVFVTVBVEABVRDFWBHQUG
      ZEFVPVNVKVJCVLVRDWBVPPZGVJPZVNPZVLPZVKPZUHRVHVQVOEVPLZBVHVBVSVOVRJZVQWJOW
      AWCVHVBVMVJNMZJZVTWKWAVHVJUIJZVKWLJZWMVHVBWNWAVJDWFUJSVHVBWOWAVKVJWLDWFWL
      PZWIUMSWLVJVLVKWPWHUKUNZWDVMVNVJWLVRDFWBWFWGWPUORVPVRDEVOWBWEUPRVHVCWMVFV
      EWJBJVBVCVGUQWQVDVEVFURVDVEVFUSWLVPAVNBVJDFEVMWFWPWEWGHVAUTTT $.
  $}

  ${
    lssvancl.v $e |- V = ( Base ` W ) $.
    lssvancl.p $e |- .+ = ( +g ` W ) $.
    lssvancl.s $e |- S = ( LSubSp ` W ) $.
    lssvancl.w $e |- ( ph -> W e. LMod ) $.
    lssvancl.u $e |- ( ph -> U e. S ) $.
    lssvancl.x $e |- ( ph -> X e. U ) $.
    lssvancl.y $e |- ( ph -> Y e. V ) $.
    lssvancl.n $e |- ( ph -> -. Y e. U ) $.
    $( Non-closure: if one vector belongs to a subspace but another does not,
       their sum does not belong.  Useful for obtaining a new vector not in a
       subspace.  TODO: notice similarity to ~ lspindp3 .  Can it be used along
       with ~ lspsnne1 , ~ lspsnne2 to shorten this proof?  (Contributed by NM,
       14-May-2015.) $)
    lssvancl1 $p |- ( ph -> -. ( X .+ Y ) e. U ) $=
      ( co wcel wa adantr csg cfv wceq cabl clmod lmodabl syl syl2anc ablpncan2
      lssel eqid syl3anc simpr lssvsubcl syl22anc eqeltrrd mtand ) AGHBQZDRZHDR
      PAUSSZURGFUAUBZQZHDAVBHUCZUSAFUDRZGERZHERVCAFUERZVDLFUFUGADCRZGDRZVEMNCDE
      FGIKUJUHOEBFVAGHIJVAUKZUIULTUTVFVGUSVHVBDRAVFUSLTAVGUSMTAUSUMAVHUSNTCDVAF
      URGVIKUNUOUPUQ $.

    $( Non-closure: if one vector belongs to a subspace but another does not,
       their sum does not belong.  Useful for obtaining a new vector not in a
       subspace.  (Contributed by NM, 20-May-2015.) $)
    lssvancl2 $p |- ( ph -> -. ( Y .+ X ) e. U ) $=
      ( co clmod wcel wceq lssel syl2anc lmodcom syl3anc lssvancl1 eqneltrrd )
      AGHBQZHGBQZDAFRSGESZHESUGUHTLADCSGDSUIMNCDEFGIKUAUBOBEFGHIJUCUDABCDEFGHIJ
      KLMNOPUEUF $.
  $}

  ${
    $d x S $.  $d x U $.  $d a b x W $.  $d y X $.  $d a b x y .0. $.
    lss0cl.z $e |- .0. = ( 0g ` W ) $.
    lss0cl.s $e |- S = ( LSubSp ` W ) $.
    $( The zero vector belongs to every subspace.  (Contributed by NM,
       12-Jan-2014.)  (Proof shortened by Mario Carneiro, 19-Jun-2014.) $)
    lss0cl $p |- ( ( W e. LMod /\ U e. S ) -> .0. e. U ) $=
      ( vx clmod wcel wa cv wex c0 wne lssn0 n0 sylib adantl cfv eqid w3a simp1
      csg co cbs wceq lssel 3adant1 lmodsubid lssvsubcl anabsan2 3impa eqeltrrd
      syl2anc 3expia exlimdv mpd ) CHIZBAIZJZGKZBIZGLZDBIZUSVCURUSBMNVCABCFOGBP
      QRUTVBVDGURUSVBVDURUSVBUAZVAVACUCSZUDZDBVEURVACUESZIZVGDUFURUSVBUBUSVBVIU
      RABVHCVAVHTZFUGUHVAVFVHCDVJEVFTZUIUNURUSVBVGBIZUTVBVLABVFCVAVAVKFUJUKULUM
      UOUPUQ $.

    $( The singleton of the zero vector is a subspace.  (Contributed by NM,
       13-Jan-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lsssn0 $p |- ( W e. LMod -> { .0. } e. S ) $=
      ( vx va vb wcel cfv cbs eqidd wceq a1i eqid cv co elsni syl eqtrd csca c0
      clmod cplusg cvsca csn clss lmod0vcl snssd wne c0g snnz w3a simpr2 oveq2d
      fvexi lmodvs0 3ad2antr1 simpr3 oveq12d lmod0vlid mpdan adantr ovex sylibr
      wa elsn islssd ) BUCIZFBUAJZKJZBUDJZABUEJZCUFZVJBKJZBGHVIVJLVIVKLVIVOLVIV
      LLVIVMLABUGJMVIENVICVOVOBCVOOZDUHZUIVNUBUJVICCBUKDUPULNVIFPZVKIZGPZVNIZHP
      ZVNIZUMZVFZVRVTVMQZWBVLQZCMWGVNIWEWGCCVLQZCWEWFCWBCVLWEWFVRCVMQZCWEVTCVRV
      MWEWAVTCMVIVSWAWCUNVTCRSUOVIWAVSWICMWCVMVJVKBVRCVJOVMOVKODUQURTWEWCWBCMVI
      VSWAWCUSWBCRSUTVIWHCMZWDVICVOIWJVQVLVOBCCVPVLODVAVBVCTWGCWFWBVLVDVGVEVH
      $.

    $( The zero subspace is included in every subspace.  ( ~ sh0le analog.)
       (Contributed by NM, 27-Mar-2014.)  (Revised by Mario Carneiro,
       19-Jun-2014.) $)
    lss0ss $p |- ( ( W e. LMod /\ X e. S ) -> { .0. } C_ X ) $=
      ( clmod wcel wa lss0cl snssd ) BGHCAHIDCACBDEFJK $.

    $( No subspace is smaller than the zero subspace.  ( ~ shle0 analog.)
       (Contributed by NM, 20-Apr-2014.)  (Revised by Mario Carneiro,
       19-Jun-2014.) $)
    lssle0 $p |- ( ( W e. LMod /\ X e. S )
         -> ( X C_ { .0. } <-> X = { .0. } ) ) $=
      ( clmod wcel wa csn wss wceq lss0ss biantrud eqss bitr4di ) BGHCAHIZCDJZK
      ZSRCKZICRLQTSABCDEFMNCROP $.

    $( A nonzero subspace has a nonzero vector.  ( ~ shne0i analog.)
       (Contributed by NM, 20-Apr-2014.)  (Proof shortened by Mario Carneiro,
       8-Jan-2015.) $)
    lssne0 $p |- ( X e. S -> ( X =/= { .0. } <-> E. y e. X y =/= .0. ) ) $=
      ( wcel cv wne wrex csn wceq wral wn c0 wb lssn0 eqsn syl ralbii bitr2di
      nne ralnex bitr3i necon1abid ) DBHZAIZEJZADKZDELZUGDUKMZUHEMZADNZUJOZUGDP
      JULUNQBDCGRADESTUNUIOZADNUOUPUMADUHEUCUAUIADUDUEUBUF $.
  $}

  ${
    lssvneln0.o $e |- .0. = ( 0g ` W ) $.
    lssvneln0.s $e |- S = ( LSubSp ` W ) $.
    lssvneln0.w $e |- ( ph -> W e. LMod ) $.
    lssvneln0.u $e |- ( ph -> U e. S ) $.
    lssvneln0.n $e |- ( ph -> -. X e. U ) $.
    $( A vector ` X ` which doesn't belong to a subspace ` U ` is nonzero.
       (Contributed by NM, 14-May-2015.)  (Revised by AV, 19-Jul-2022.) $)
    lssvneln0 $p |- ( ph -> X =/= .0. ) $=
      ( wcel wn wne wceq wi clmod lss0cl syl2anc eleq1a syl necon3bd mpd ) AECL
      ZMEFNKAUDEFAFCLZEFOUDPADQLCBLUEIJBCDFGHRSFCETUAUBUC $.
  $}

  ${
    lssneln0.o $e |- .0. = ( 0g ` W ) $.
    lssneln0.s $e |- S = ( LSubSp ` W ) $.
    lssneln0.w $e |- ( ph -> W e. LMod ) $.
    lssneln0.u $e |- ( ph -> U e. S ) $.
    lssneln0.x $e |- ( ph -> X e. V ) $.
    lssneln0.n $e |- ( ph -> -. X e. U ) $.
    $( A vector ` X ` which doesn't belong to a subspace ` U ` is nonzero.
       (Contributed by NM, 14-May-2015.)  (Revised by AV, 17-Jul-2022.)  (Proof
       shortened by AV, 19-Jul-2022.) $)
    lssneln0 $p |- ( ph -> X e. ( V \ { .0. } ) ) $=
      ( wcel wne csn cdif lssvneln0 eldifsn sylanbrc ) AFDNFGOFDGPQNLABCEFGHIJK
      MRFDGST $.
  $}

  ${
    $d x T $.  $d x U $.  $d x ph $.
    lssssr.o $e |- .0. = ( 0g ` W ) $.
    lssssr.s $e |- S = ( LSubSp ` W ) $.
    lssssr.w $e |- ( ph -> W e. LMod ) $.
    lssssr.t $e |- ( ph -> T C_ V ) $.
    lssssr.u $e |- ( ph -> U e. S ) $.
    lssssr.1 $e |- ( ( ph /\ x e. ( V \ { .0. } ) ) ->
      ( x e. T -> x e. U ) ) $.
    $( Conclude subspace ordering from nonzero vector membership.  ( ~ ssrdv
       analog.)  (Contributed by NM, 17-Aug-2014.)  (Revised by AV,
       13-Jul-2022.) $)
    lssssr $p |- ( ph -> T C_ U ) $=
      ( cv wcel wi wceq wa adantr simpr clmod syl2anc eqeltrd a1d wne sseld csn
      lss0cl ancrd cdif eldifsn sylan2br exp32 com23 imp4b pm2.61dane ssrdv
      syld ) ABDEABOZDPZUTEPZQZUTHAUTHRZSZVBVAVEUTHEAVDUAAHEPZVDAGUBPECPVFKMCEG
      HIJUIUCTUDUEAUTHUFZSVAUTFPZVASZVBAVAVIQVGAVAVHADFUTLUGUJTAVGVHVAVBAVHVGVC
      AVHVGVCVHVGSAUTFHUHUKPVCUTFHULNUMUNUOUPUSUQUR $.
  $}

  ${
    lssvacl.p $e |- .+ = ( +g ` W ) $.
    lssvacl.s $e |- S = ( LSubSp ` W ) $.
    $( Closure of vector addition in a subspace.  (Contributed by NM,
       11-Jan-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lssvacl $p |- ( ( ( W e. LMod /\ U e. S ) /\ ( X e. U /\ Y e. U ) )
       -> ( X .+ Y ) e. U ) $=
      ( clmod wcel wa csca cfv cur cvsca co cbs wceq simpll eqid lmodvs1 oveq1d
      ad2ant2lr syl2anc simplr lmod1cl ad2antrr simprl simprr syl13anc eqeltrrd
      lssel lsscl ) DIJZCBJZKZECJZFCJZKZKZDLMZNMZEDOMZPZFAPZEFAPCUTVDEFAUTUNEDQ
      MZJZVDERUNUOUSSUOUQVGUNURBCVFDEVFTZHULUCVCVBVAVFDEVHVATZVCTZVBTZUAUDUBUTU
      OVBVAQMZJZUQURVECJUNUOUSUEUNVMUOUSVBVAVLDVIVLTZVKUFUGUPUQURUHUPUQURUIVLAB
      VCCVADEFVBVIVNGVJHUMUJUK $.
  $}

  ${
    lssvscl.f $e |- F = ( Scalar ` W ) $.
    lssvscl.t $e |- .x. = ( .s ` W ) $.
    lssvscl.b $e |- B = ( Base ` F ) $.
    lssvscl.s $e |- S = ( LSubSp ` W ) $.
    $( Closure of scalar product in a subspace.  (Contributed by NM,
       11-Jan-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lssvscl $p |- ( ( ( W e. LMod /\ U e. S ) /\ ( X e. B /\ Y e. U ) )
       -> ( X .x. Y ) e. U ) $=
      ( clmod wcel wa co c0g cfv cplusg eqid cbs simpll lssel ad2ant2l lmodvscl
      wceq simprl syl3anc lmod0vrid syl2anc simplr simprr lss0cl lsscl syl13anc
      adantr eqeltrrd ) FMNZDBNZOZGANZHDNZOZOZGHCPZFQRZFSRZPZVEDVDURVEFUARZNZVH
      VEUFURUSVCUBZVDURVAHVINZVJVKUTVAVBUGZUSVBVLURVABDVIFHVITZLUCUDGCEAVIFHVNI
      JKUEUHVGVIFVEVFVNVGTZVFTZUIUJVDUSVAVBVFDNZVHDNURUSVCUKVMUTVAVBULUTVQVCBDF
      VFVPLUMUPAVGBCDEFHVFGIKVOJLUNUOUQ $.
  $}

  ${
    lssvnegcl.s $e |- S = ( LSubSp ` W ) $.
    lssvnegcl.n $e |- N = ( invg ` W ) $.
    $( Closure of negative vectors in a subspace.  (Contributed by Stefan
       O'Rear, 11-Dec-2014.) $)
    lssvnegcl $p |- ( ( W e. LMod /\ U e. S /\ X e. U ) -> ( N ` X ) e. U ) $=
      ( clmod wcel w3a csca cfv cur cminusg cvsca co wceq cbs eqid syl wa lssel
      lmodvneg1 sylan2 3impb simp1 simp2 crg lmodring 3ad2ant1 ringgrp ringidcl
      cgrp grpinvcl syl2anc simp3 lssvscl syl22anc eqeltrrd ) DHIZBAIZEBIZJZDKL
      ZMLZVDNLZLZEDOLZPZECLZBUTVAVBVIVJQZVAVBUAUTEDRLZIVKABVLDEVLSZFUBVHVEVDVFC
      VLDEVMGVDSZVHSZVESZVFSZUCUDUEVCUTVAVGVDRLZIZVBVIBIUTVAVBUFUTVAVBUGVCVDUMI
      ZVEVRIZVSVCVDUHIZVTUTVAWBVBVDDVNUIUJZVDUKTVCWBWAWCVRVDVEVRSZVPULTVRVDVFVE
      WDVQUNUOUTVAVBUPVRAVHBVDDVGEVNVOWDFUQURUS $.
  $}

  ${
    $d x y S $.  $d x y U $.  $d x y W $.
    lsssubg.s $e |- S = ( LSubSp ` W ) $.
    $( All subspaces are subgroups.  (Contributed by Stefan O'Rear,
       11-Dec-2014.) $)
    lsssubg $p |- ( ( W e. LMod /\ U e. S ) -> U e. ( SubGrp ` W ) ) $=
      ( vx vy clmod wcel wa csubg cfv cbs wss c0 wne wral eqid adantl ralrimiva
      cv cplusg co cminusg lssss lssn0 lssvacl anassrs lssvnegcl 3expa jca cgrp
      w3a wb lmodgrp adantr issubg2 syl mpbir3and ) CGHZBAHZIZBCJKHZBCLKZMZBNOZ
      ETZFTZCUAKZUBBHZFBPZVFCUCKZKBHZIZEBPZUTVDUSABVCCVCQZDUDRUTVEUSABCDUERVAVM
      EBVAVFBHZIZVJVLVQVIFBVAVPVGBHVIVHABCVFVGVHQZDUFUGSUSUTVPVLABVKCVFDVKQZUHU
      IUJSVACUKHZVBVDVEVNULUMUSVTUTCUNUOEFVCVHBCVKVOVRVSUPUQUR $.

    $( All subspaces are subgroups.  (Contributed by Mario Carneiro,
       19-Apr-2016.) $)
    lsssssubg $p |- ( W e. LMod -> S C_ ( SubGrp ` W ) ) $=
      ( vx clmod wcel csubg cfv cv lsssubg ex ssrdv ) BEFZDABGHZMDIZAFONFAOBCJK
      L $.
  $}

  ${
    $d a b x S $.  $d a b x U $.  $d a b x V $.  $d a b x W $.  $d a b x X $.
    islss3.x $e |- X = ( W |`s U ) $.
    islss3.v $e |- V = ( Base ` W ) $.
    islss3.s $e |- S = ( LSubSp ` W ) $.
    $( A linear subspace of a module is a subset which is a module in its own
       right.  (Contributed by Stefan O'Rear, 6-Dec-2014.)  (Revised by Mario
       Carneiro, 30-Apr-2015.) $)
    islss3 $p |- ( W e. LMod -> ( U e. S <-> ( U C_ V /\ X e. LMod ) ) ) $=
      ( vx wcel wa adantl cfv cbs wceq eqid eqidd syl co cvv va clmod wss lssss
      vb csca cplusg cvsca cmulr cur ressbas2 sylan2 ressplusg resssca ressvsca
      lmodring adantr csubg cgrp lsssubg subggrp cv lssvscl 3impb simpll simpr1
      crg w3a ad2antlr simpr2 sseldd simpr3 lmodvsdi lmodvsdir lmodvsass sselda
      syl13anc lmodvs1 adantlr syldan islmodd jca simprl fvex eqeltrdi a1i clss
      eqcomd eqsstrrd c0 wne lmodgrp ad2antll grpbn0 lsscl sylan islssd eqeltrd
      lss1 impbida ) DUBJZBAJZBCUCZEUBJZKZXAXBKZXCXDXBXCXAABCDGHUDZLZXFIUAUEDUF
      MZNMZDUGMZXIUGMZDUHMZXIUIMZXIUJMZXIBEXBXAXCBENMZOZXGXCXQXABCEDFGUKZLULXBX
      KEUGMZOZXABXKDEAFXKPZUMLXBXIEUFMZOZXABXIDEAFXIPZUNLXBXMEUHMZOZXABXMDEAFXM
      PZUOLXFXJQXFXLQXFXNQXFXOQXAXIVGJXBXIDYDUPUQXFBDURMJEUSJZABDHUTBDEFVARXFIV
      BZXJJZUAVBZBJZYIYKXMSZBJXJAXMBXIDYIYKYDYGXJPZHVCVDXFYJYLUEVBZBJZVHZKZXAYJ
      YKCJYOCJZYIYKYOXKSXMSYMYIYOXMSZXKSOXAXBYQVEXFYJYLYPVFYRBCYKXBXCXAYQXGVIZX
      FYJYLYPVJVKYRBCYOUUAXFYJYLYPVLVKXKYIXMXIXJCDYKYOGYAYDYGYNVMVQXFYJYKXJJZYP
      VHZKZXAYJUUBYSYIYKXLSYOXMSYTYKYOXMSZXKSOXAXBUUCVEZXFYJUUBYPVFZXFYJUUBYPVJ
      ZUUDBCYOXBXCXAUUCXGVIXFYJUUBYPVLVKZXKXLYIYKXMXIXJCDYOGYAYDYGYNXLPVNVQUUDX
      AYJUUBYSYIYKXNSYOXMSYIUUEXMSOUUFUUGUUHUUIYIYKXMXNXIXJCDYOGYDYGYNXNPVOVQXF
      YIBJYICJZXOYIXMSYIOZXFBCYIXHVPXAUUJUUKXBXMXOXICDYIGYDYGXOPVRVSVTWAWBXAXEK
      ZBXPAUULXCXQXAXCXDWCZXRRZUULIYBNMZXSAYEXPYBCDUAUEUULXIYBUULBTJZYCUULBXPTU
      UNENWDWEZBXIDETFYDUNRWHUULUUOQCDNMOUULGWFUULXKXSUULUUPXTUUQBXKDETFYAUMRWH
      UULXMYEUULUUPYFUUQBXMDETFYGUORWHADWGMOUULHWFUULXPBCUUNUUMWIUULYHXPWJWKXDY
      HXAXCEWLWMXPEXPPZWNRUULXPEWGMZJZYIUUOJYKXPJYOXPJVHYIYKYESYOXSSXPJXDUUTXAX
      CUUSXPEUURUUSPZWSWMUUOXSUUSYEXPYBEYKYOYIYBPUUOPXSPYEPUVAWOWPWQWRWT $.
  $}

  ${
    lsslss.x $e |- X = ( W |`s U ) $.
    lsslss.s $e |- S = ( LSubSp ` W ) $.
    $( A submodule is a module.  (Contributed by Stefan O'Rear,
       12-Dec-2014.) $)
    lsslmod $p |- ( ( W e. LMod /\ U e. S ) -> X e. LMod ) $=
      ( clmod wcel cbs cfv wss eqid islss3 simplbda ) CGHBAHBCIJZKDGHABOCDEOLFM
      N $.

    lsslss.t $e |- T = ( LSubSp ` X ) $.
    $( The subspaces of a subspace are the smaller subspaces.  (Contributed by
       Stefan O'Rear, 12-Dec-2014.) $)
    lsslss $p |- ( ( W e. LMod /\ U e. S ) ->
      ( V e. T <-> ( V e. S /\ V C_ U ) ) ) $=
      ( clmod wcel wa cbs cfv wss cress co wb eqid islss3 syl wceq lssss adantl
      lsslmod sseq2d anbi1d sstr2 mpan9 biantrurd oveq1i ressabs adantll eqtrid
      ressbas2 eleq1d ad2antrr 3bitr4d pm5.32da biancomd 3bitr2d ) EJKZCAKZLZDB
      KZDFMNZOZFDPQZJKZLZDCOZVILZDAKZVKLVDFJKVEVJRACEFGHUEBDVFFVHVHSVFSITUAVDVK
      VGVIVDCVFDVDCEMNZOZCVFUBVCVOVBACVNEVNSZHUCUDZCVNFEGVPUOUAUFUGVDVLVMVKVDVK
      VIVMVDVKLZEDPQZJKZDVNOZVTLZVIVMVRWAVTVDVOVKWAVQDCVNUHUIUJVRVHVSJVRVHECPQZ
      DPQZVSFWCDPGUKVCVKWDVSUBVBCDEAULUMUNUPVBVMWBRVCVKADVNEVSVSSVPHTUQURUSUTVA
      $.
  $}

  ${
    $d F a b c $.  $d W a b c $.  $d B a b c $.  $d V a b c $.  $d .x. a b c $.
    $d S a b c $.  $d U a b c $.
    islss4.f $e |- F = ( Scalar ` W ) $.
    islss4.b $e |- B = ( Base ` F ) $.
    islss4.v $e |- V = ( Base ` W ) $.
    islss4.t $e |- .x. = ( .s ` W ) $.
    islss4.s $e |- S = ( LSubSp ` W ) $.
    $( A linear subspace is a subgroup which respects scalar multiplication.
       (Contributed by Stefan O'Rear, 11-Dec-2014.)  (Revised by Mario
       Carneiro, 19-Apr-2016.) $)
    islss4 $p |- ( W e. LMod -> ( U e. S <-> ( U e. ( SubGrp ` W ) /\
          A. a e. B A. b e. U ( a .x. b ) e. U ) ) ) $=
      ( vc wcel cfv cv wral wa clmod csubg co lsssubg lssvscl ralrimivva jca c0
      wss wne cplusg subgss ad2antrl c0g eqid subg0cl ne0d subgcl 3exp ralrimdv
      wi adantl ralimdv impr islss syl3anbrc impbida ) GUAPZDBPZDGUBQPZHRZIRZCU
      CZDPZIDSZHASZTZVHVITZVJVPBDGNUDVRVNHIADABCDEGVKVLJMKNUEUFUGVHVQTDFUIZDUHU
      JZVMORZGUKQZUCDPZODSZIDSZHASZVIVJVSVHVPFDGLULUMVJVTVHVPVJDGUNQZDGWGWGUOUP
      UQUMVHVJVPWFVHVJTZVOWEHAWHVNWDIDWHVNWCODVJVNWADPZWCVAVAVHVJVNWIWCWBDGVMWA
      WBUOZURUSVBUTVCVCVDHAWBBCDEFGIOJKLWJMNVEVFVG $.
  $}

  ${
    $d a b k v x y z K $.  $d a b k v x y z .x. $.  $d a b k v x y z V $.
    $d k x F $.  $d a b k v x y z W $.  $d a b k v x y z X $.
    lss1d.v $e |- V = ( Base ` W ) $.
    lss1d.f $e |- F = ( Scalar ` W ) $.
    lss1d.t $e |- .x. = ( .s ` W ) $.
    lss1d.k $e |- K = ( Base ` F ) $.
    lss1d.s $e |- S = ( LSubSp ` W ) $.
    $( One-dimensional subspace (or zero-dimensional if ` X ` is the zero
       vector).  (Contributed by NM, 14-Jan-2014.)  (Proof shortened by Mario
       Carneiro, 19-Jun-2014.) $)
    lss1d $p |- ( ( W e. LMod /\ X e. V )
        -> { v | E. k e. K v = ( k .x. X ) } e. S ) $=
      ( wcel wa cfv co wceq wrex vx va vb vy vz clmod cplusg cab csca a1i eqidd
      cv cbs cvsca clss wi lmodvscl 3expa an32s eleq1a syl rexlimdva abssdv c0g
      c0 wne eqid lmod0cl nfcv nfre1 nfab nfne biidd ovex elabrex ne0d vtoclgaf
      adantr w3a eqeq1 rexbidv elab oveq1 eqeq2d cbvrexvw anbi12i reeanv bitr4i
      vex bitri simpll simprr simprll lmodmcl syl3anc simprlr lmodacl lmodvsdir
      cmulr simplr syl13anc lmodvsass oveq1d eqtr2d rspceeqv oveq2 oveq12 sylan
      syl2anc eqeq1d syl5ibrcom expr com23 rexlimdvva syl5bi com24 3imp2 sylibr
      expcomd islssd ) HUFOZIGOZPZUAFHUGQZBCAULZDULZICRZSZDFTZAUHZEGHUBUCEHUIQS
      YCKUJFEUMQSYCMUJGHUMQSYCJUJYCYDUKCHUNQSYCLUJBHUOQSYCNUJYCYIAGYCYHYEGOZDFY
      CYFFOZPYGGOZYHYKUPYAYLYBYMYAYLYBYMYFCEFGHIJKLMUQURUSYGGYEUTVAVBVCYCEVDQZF
      OZYJVEVFZYAYOYBEFHYNKMYNVGVHVRYPYPDYNFDYNVIDYJVEYIDAYHDFVJVKDVEVIVLYFYNSY
      PVMYLYJYGDAFYGYFICVNVOVPVQVAYCUAULZFOZUBULZYJOZUCULZYJOZVSPYQYSCRZUUAYDRZ
      YGSZDFTZUUDYJOYCYRYTUUBUUFYCUUBYTYRUUFYCYTUUBYRUUFUPZYTUUBPZYSUDULZICRZSZ
      UUAUEULZICRZSZPZUEFTUDFTZYCUUGUUHUUKUDFTZUUNUEFTZPUUPYTUUQUUBUURYTYSYGSZD
      FTZUUQYIUUTAYSUBWIYEYSSYHUUSDFYEYSYGVTWAWBUUSUUKDUDFYFUUISYGUUJYSYFUUIICW
      CWDWEWJUUBUUAYGSZDFTZUURYIUVBAUUAUCWIYEUUASYHUVADFYEUUAYGVTWAWBUVAUUNDUEF
      YFUULSYGUUMUUAYFUULICWCWDWEWJWFUUKUUNUDUEFFWGWHYCUUOUUGUDUEFFYCUUIFOZUULF
      OZPZPYRUUOUUFYCUVEYRUUOUUFUPYCUVEYRPZPZUUFUUOYQUUJCRZUUMYDRZYGSZDFTZUVGYQ
      UUIEWSQZRZUULEUGQZRZFOZUVIUVOICRZSUVKUVGYAUVMFOZUVDUVPYAYBUVFWKZUVGYAYRUV
      CUVRUVSYCUVEYRWLZYCUVCUVDYRWMZUVLEFHYQUUIKMUVLVGZWNWOZYCUVCUVDYRWPZUVNEFH
      UVMUULKMUVNVGZWQWOUVGUVQUVMICRZUUMYDRZUVIUVGYAUVRUVDYBUVQUWGSUVSUWCUWDYAY
      BUVFWTZYDUVNUVMUULCEFGHIJYDVGKLMUWEWRXAUVGUWFUVHUUMYDUVGYAYRUVCYBUWFUVHSU
      VSUVTUWAUWHYQUUICUVLEFGHIJKLMUWBXBXAXCXDDUVOFYGUVQUVIYFUVOICWCXEXIUUOUUEU
      VJDFUUOUUDUVIYGUUKUUCUVHSUUNUUDUVISYSUUJYQCXFUUCUVHUUAUUMYDXGXHXJWAXKXLXM
      XNXOXSXPXQYIUUFAUUDUUCUUAYDVNYEUUDSYHUUEDFYEUUDYGVTWAWBXRXT $.
  $}

  ${
    $d a b x y A $.  $d a b x y S $.  $d a b x y W $.
    lssintcl.s $e |- S = ( LSubSp ` W ) $.
    $( The intersection of a nonempty set of subspaces is a subspace.
       (Contributed by NM, 8-Dec-2013.)  (Revised by Mario Carneiro,
       19-Jun-2014.) $)
    lssintcl $p |- ( ( W e. LMod /\ A C_ S /\ A =/= (/) )
          -> |^| A e. S ) $=
      ( vx va vb vy wcel wss w3a cfv cbs eqidd cv eqid sylibr c0g wral wa clmod
      wne csca cplusg cvsca cint clss wceq a1i cuni intssuni2 3adant1 cpw lssss
      c0 velpw ssriv sspwuni mpbi sstrdi simpl1 sselda lss0cl syl2anc ralrimiva
      simp2 fvex elint2 ne0d co adantlr simplr1 simplr2 simpr elinti sylc lsscl
      simplr3 syl13anc ovex islssd ) CUAIZABJZAUOUBZKZECUCLZMLZCUDLZBCUELZAUFZW
      FCMLZCFGWEWFNWEWGNWEWKNWEWHNWEWINBCUGLUHWEDUIWEWJBUJZWKWCWDWJWLJWBABUKULB
      WKUMZJWLWKJHBWMHOZBIZWNWKJWNWMIBWNWKCWKPDUNHWKUPQUQBWKURUSUTWEWJCRLZWEWPW
      NIZHASWPWJIWEWQHAWEWNAIZTWBWOWQWBWCWDWRVAWEABWNWBWCWDVFVBZBWNCWPWPPDVCVDV
      EHWPACRVGVHQVIWEEOZWGIZFOZWJIZGOZWJIZKZTZWTXBWIVJZXDWHVJZWNIZHASXIWJIXGXJ
      HAXGWRTZWOXAXBWNIZXDWNIZXJWEWRWOXFWSVKXAXCXEWEWRVLXKXCWRXLXAXCXEWEWRVMXGW
      RVNZXBAWNVOVPXKXEWRXMXAXCXEWEWRVRXNXDAWNVOVPWGWHBWIWNWFCXBXDWTWFPWGPWHPWI
      PDVQVSVEHXIAXHXDWHVTVHQWA $.

    $( The intersection of two subspaces is a subspace.  (Contributed by NM,
       7-Mar-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lssincl $p |- ( ( W e. LMod /\ T e. S /\ U e. S )
         -> ( T i^i U ) e. S ) $=
      ( clmod wcel w3a cpr cint cin intprg 3adant1 wss c0 wne simp1 prssi prnzg
      wceq 3ad2ant2 lssintcl syl3anc eqeltrrd ) DFGZBAGZCAGZHZBCIZJZBCKZAUFUGUJ
      UKTUEBCAALMUHUEUIANZUIOPZUJAGUEUFUGQUFUGULUEBCARMUFUEUMUGBCASUAUIADEUBUCU
      D $.
  $}

  ${
    $d B a b x y $.  $d S a x y $.  $d W a b x y $.
    lssacs.b $e |- B = ( Base ` W ) $.
    lssacs.s $e |- S = ( LSubSp ` W ) $.
    $( The subspaces of a module comprise a Moore system on the vectors of the
       module.  (Contributed by Stefan O'Rear, 31-Jan-2015.) $)
    lssmre $p |- ( W e. LMod -> S e. ( Moore ` B ) ) $=
      ( va clmod wcel cpw cv wi wss lssss velpw sylibr a1i lss1 lssintcl ismred
      ssrdv ) CGHZBAFUAFBAIZFJZBHZUCUBHZKUAUDUCALUEBUCACDEMFANOPTBACDEQUCBCERS
      $.

    $( Submodules are an algebraic closure system.  (Contributed by Stefan
       O'Rear, 4-Apr-2015.) $)
    lssacs $p |- ( W e. LMod -> S e. ( ACS ` B ) ) $=
      ( vx vy vb va wcel cfv cv wral cbs wi a1i wb wa eqid cvv clmod csubg csca
      cvsca cpw crab cin cacs wss lssss inss2 ssrab2 sstri elpwid islss4 adantr
      co sseli weq eleq2w raleqbi1dv ralbidv elrab3 sylbir adantl anbi2d bitr4d
      velpw elin bitr4di ex pm5.21ndd eqrdv cmre fvexi mreacs mp1i cgrp lmodgrp
      subgacs lmodvscl 3expb ralrimivva acsfn1c sylancr mreincl syl3anc eqeltrd
      syl ) CUAJZBCUBKZFLZGLZCUDKZUQZHLZJZGWPMZFCUCKZNKZMZHAUEZUFZUGZAUHKZWJIBX
      DWJILZAUIZXFBJZXFXDJZXHXGOWJBXFACDEUJPXIXGOWJXIXFAXDXBXFXDXCXBWKXCUKXAHXB
      ULUMURUNPWJXGXHXIQWJXGRZXHXFWKJZXFXCJZRZXIXJXHXKWOXFJZGXFMZFWTMZRZXMWJXHX
      QQXGWTBWNXFWSACFGWSSZWTSZDWNSZEUOUPXJXLXPXKXGXLXPQZWJXGXFXBJYAIAVHXAXPHXF
      XBHIUSWRXOFWTWQXNGWPXFHIWOUTVAVBVCVDVEVFVGXFWKXCVIVJVKVLVMWJXEXBVNKJZWKXE
      JZXCXEJZXDXEJATJZYBWJACNDVOZTAVPVQWJCVRJYCCVSACDVTWIWJYEWOAJZGAMFWTMYDYFW
      JYGFGWTAWJWLWTJWMAJYGWLWNWSWTACWMDXRXTXSWAWBWCWOWTTAHFGWDWEWKXCXEXBWFWGWH
      $.
  $}

  ${
    $d x B $.  $d x F $.  $d x G $.  $d x I $.  $d x K $.  $d x R $.  $d x S $.
    $d x ph $.  $d x W $.  $d x Y $.
    prdsvscacl.y $e |- Y = ( S Xs_ R ) $.
    prdsvscacl.b $e |- B = ( Base ` Y ) $.
    prdsvscacl.t $e |- .x. = ( .s ` Y ) $.
    prdsvscacl.k $e |- K = ( Base ` S ) $.
    prdsvscacl.s $e |- ( ph -> S e. Ring ) $.
    prdsvscacl.i $e |- ( ph -> I e. W ) $.
    prdsvscacl.r $e |- ( ph -> R : I --> LMod ) $.
    prdsvscacl.f $e |- ( ph -> F e. K ) $.
    prdsvscacl.g $e |- ( ph -> G e. B ) $.
    prdsvscacl.sr $e |- ( ( ph /\ x e. I ) -> ( Scalar ` ( R ` x ) ) = S ) $.
    $( Pointwise scalar multiplication is closed in products of modules.
       (Contributed by Stefan O'Rear, 10-Jan-2015.) $)
    prdsvscacl $p |- ( ph -> ( F .x. G ) e. B ) $=
      ( co cv cfv cvsca cmpt crg clmod ffnd prdsvscaval wcel cbs wral ffvelrnda
      wa csca adantr fveq2d eqtr4di eleqtrrd wfn simpr prdsbasprj eqid lmodvscl
      syl3anc ralrimiva prdsbasmpt mpbird eqeltrd ) AGHFUCBIGBUDZHUEZVLDUEZUFUE
      ZUCZUGZCABCDEFGHIJUHKLMNOPQRAIUIDSUJZTUAUKAVQCULVPVNUMUEZULZBIUNAVTBIAVLI
      ULZUPZVNUIULGVNUQUEZUMUEZULVMVSULVTAIUIVLDSUOWBGJWDAGJULWATURWBWDEUMUEJWB
      WCEUMUBUSPUTVAWBCDEHIVLUHKLMNAEUHULWAQURAIKULWARURADIVBWAVRURAHCULWAUAURA
      WAVCVDGVOWCWDVSVNVMVSVEWCVEVOVEWDVEVFVGVHABCDEVPIUHKLMNQRVRVIVJVK $.
  $}

  ${
    $d y I $.  $d a b c y ph $.  $d y R $.  $d a b c y S $.  $d a b c y Y $.
    prdslmodd.y $e |- Y = ( S Xs_ R ) $.
    prdslmodd.s $e |- ( ph -> S e. Ring ) $.
    prdslmodd.i $e |- ( ph -> I e. V ) $.
    prdslmodd.rm $e |- ( ph -> R : I --> LMod ) $.
    prdslmodd.rs $e |- ( ( ph /\ y e. I ) -> ( Scalar ` ( R ` y ) ) = S ) $.
    $( The product of a family of left modules is a left module.  (Contributed
       by Stefan O'Rear, 10-Jan-2015.) $)
    prdslmodd $p |- ( ph -> Y e. LMod ) $=
      ( cfv crg cvv wcel co wa eqid adantr va vb vc cbs cvsca cmulr eqidd clmod
      cplusg cur fexd prdssca wf cgrp wss cv lmodgrp ssriv fss sylancl prdsgrpd
      elexd simprl simprr csca wceq adantlr prdsvscacl 3impb w3a cmpt ffvelrnda
      simplr1 fveq2d eleqtrrd ad2antrr ffnd simplr2 prdsbasprj simplr3 lmodvsdi
      simpr syl13anc prdsplusgfval oveq2d prdsvscafval oveq12d mpteq2dva simpr1
      wfn 3eqtr4d simpr2 simpr3 grpcl syl3anc prdsvscaval 3adantr3 prdsplusgval
      3adantr2 lmodvsdir oveqd oveq1d 3eqtr2rd ringacl lmodvsass ringcl lmodvs1
      simplr syl2anc eqtr3d ringidcl syl prdsbasfn dffn5 sylib islmodd ) AUAUBU
      CDUDMZGUIMZDUIMZGUEMZDUFMZDUJMZDGUDMZGAYCUGAXRUGAGCDNOHIAEUHFCKJUKULAXTUG
      AXQUGAXSUGAYAUGAYBUGIACDENFGHJIAEUHCUMZUHUNUOEUNCUMKUAUHUNUAUPZUQUREUHUNC
      USUTVAZAYEXQPZUBUPZYCPZYEYHXTQZYCPZAYGYIRZRBYCCDXTYEYHEXQOGHYCSZXTSZXQSZA
      DNPZYLITAEOPZYLAEFJVBZTAYDYLKTAYGYIVCAYGYIVDABUPZEPZYSCMZVEMZDVFZYLLVGVHZ
      VIAYGYIUCUPZYCPZVJZRZBEYEYSYHUUEXRQZMZUUAUEMZQZVKBEYSYJMZYSYEUUEXTQZMZUUA
      UIMZQZVKYEUUIXTQYJUUNXRQUUHBEUULUUQUUHYTRZYEYSYHMZYSUUEMZUUPQZUUKQZYEUUSU
      UKQZYEUUTUUKQZUUPQZUULUUQUURUUAUHPZYEUUBUDMZPZUUSUUAUDMZPUUTUVIPZUVBUVEVF
      AYTUVFUUGAEUHYSCKVLZVGUURYEXQUVGYGYIUUFAYTVMZAYTUVGXQVFZUUGAYTRZUUBDUDLVN
      ZVGVOUURYCCDYHEYSNOGHYMAYPUUGYTIVPZAYQUUGYTYRVPZACEWJZUUGYTAEUHCKVQZVPZYG
      YIUUFAYTVRZUUHYTWBZVSUURYCCDUUEEYSNOGHYMUVPUVQUVTYGYIUUFAYTVTZUWBVSUUPYEU
      UKUUBUVGUVIUUAUUSUUTUVISZUUPSZUUBSZUUKSZUVGSZWAWCUURUUJUVAYEUUKUURYCXRCDY
      HUUEEYSNOGHYMUVPUVQUVTUWAUWCXRSZUWBWDWEUURUUMUVCUUOUVDUUPUURYCCDXTYEYHEYS
      XQNOGHYMYNYOUVPUVQUVTUVLUWAUWBWFUURYCCDXTYEUUEEYSXQNOGHYMYNYOUVPUVQUVTUVL
      UWCUWBWFWGWKWHUUHBYCCDXTYEUUIEXQNOGHYMYNYOAYPUUGITZAYQUUGYRTZAUVRUUGUVSTZ
      AYGYIUUFWIUUHGUNPZYIUUFUUIYCPAUWMUUGYFTAYGYIUUFWLAYGYIUUFWMYCXRGYHUUEYMUW
      IWNWOWPUUHBYCXRCDYJUUNENOGHYMUWJUWKUWLAYGYIYKUUFUUDWQAYGUUFUUNYCPZYIAYGUU
      FRZRBYCCDXTYEUUEEXQOGHYMYNYOAYPUWOITAYQUWOYRTAYDUWOKTAYGUUFVCAYGUUFVDAYTU
      UCUWOLVGVHZWSUWIWRWKAYGYHXQPZUUFVJZRZBEYEYHXSQZUUTUUKQZVKBEUUOYSYHUUEXTQZ
      MZUUPQZVKUWTUUEXTQUUNUXBXRQUWSBEUXAUXDUWSYTRZUXDUVDYHUUTUUKQZUUPQZYEYHUUB
      UIMZQZUUTUUKQZUXAUXEUUOUVDUXCUXFUUPUXEYCCDXTYEUUEEYSXQNOGHYMYNYOAYPUWRYTI
      VPZAYQUWRYTYRVPZAUVRUWRYTUVSVPZYGUWQUUFAYTVMZYGUWQUUFAYTVTZUWSYTWBZWFUXEY
      CCDXTYHUUEEYSXQNOGHYMYNYOUXKUXLUXMYGUWQUUFAYTVRZUXOUXPWFZWGUXEUVFUVHYHUVG
      PZUVJUXJUXGVFAYTUVFUWRUVKVGZUXEYEXQUVGUXNAYTUVMUWRUVOVGZVOZUXEYHXQUVGUXQU
      YAVOZUXEYCCDUUEEYSNOGHYMUXKUXLUXMUXOUXPVSZUUPUXHYEYHUUKUUBUVGUVIUUAUUTUWD
      UWEUWFUWGUWHUXHSWTWCUXEUXIUWTUUTUUKUXEUXHXSYEYHUXEUUBDUIAYTUUCUWRLVGZVNXA
      XBXCWHUWSBYCCDXTUWTUUEEXQNOGHYMYNYOAYPUWRITZAYQUWRYRTZAUVRUWRUVSTZUWSYPYG
      UWQUWTXQPUYFAYGUWQUUFWIZAYGUWQUUFWLZXQXSDYEYHYOXSSXDWOAYGUWQUUFWMZWPUWSBY
      CXRCDUUNUXBENOGHYMUYFUYGUYHAYGUUFUWNUWQUWPWSUWSBYCCDXTYHUUEEXQOGHYMYNYOUY
      FUYGAYDUWRKTUYJUYKUYEVHZUWIWRWKUWSBEYEYHYAQZUUTUUKQZVKBEYEUXCUUKQZVKUYMUU
      EXTQYEUXBXTQUWSBEUYNUYOUXEUYOYEUXFUUKQZYEYHUUBUFMZQZUUTUUKQZUYNUXEUXCUXFY
      EUUKUXRWEUXEUVFUVHUXSUVJUYSUYPVFUXTUYBUYCUYDYEYHUUKUYQUUBUVGUVIUUAUUTUWDU
      WFUWGUWHUYQSXEWCUXEUYRUYMUUTUUKUXEUYQYAYEYHUXEUUBDUFUYEVNXAXBXCWHUWSBYCCD
      XTUYMUUEEXQNOGHYMYNYOUYFUYGUYHUWSYPYGUWQUYMXQPUYFUYIUYJXQDYAYEYHYOYASXFWO
      UYKWPUWSBYCCDXTYEUXBEXQNOGHYMYNYOUYFUYGUYHUYIUYLWPWKAYEYCPZRZBEYBYSYEMZUU
      KQZVKBEVUBVKZYBYEXTQYEVUABEVUCVUBVUAYTRZUUBUJMZVUBUUKQZVUCVUBVUEVUFYBVUBU
      UKAYTVUFYBVFUYTUVNUUBDUJLVNVGXBVUEUVFVUBUVIPVUGVUBVFAYTUVFUYTUVKVGVUEYCCD
      YEEYSNOGHYMAYPUYTYTIVPAYQUYTYTYRVPAUVRUYTYTUVSVPAUYTYTXHVUAYTWBVSUUKVUFUU
      BUVIUUAVUBUWDUWFUWGVUFSXGXIXJWHVUABYCCDXTYBYEEXQNOGHYMYNYOAYPUYTITZAYQUYT
      YRTZAUVRUYTUVSTZAYBXQPZUYTAYPVUKIXQDYBYOYBSXKXLTAUYTWBZWPVUAYEEWJYEVUDVFV
      UAYCCDYEENOGHYMVUHVUIVUJVULXMBEYEXNXOWKXP $.
  $}

  ${
    $d x I $.  $d x R $.  $d x V $.
    pwslmod.y $e |- Y = ( R ^s I ) $.
    $( A structure power of a left module is a left module.  (Contributed by
       Mario Carneiro, 11-Jan-2015.) $)
    pwslmod $p |- ( ( R e. LMod /\ I e. V ) -> Y e. LMod ) $=
      ( vx clmod wcel wa csca cfv csn cxp cprds eqid pwsval crg lmodring adantr
      co simpr wf fconst6g cv wceq fvconst2g adantlr fveq2d prdslmodd eqeltrd )
      AGHZBCHZIZDAJKZBALMZNTZGAUNBGCDEUNOZPUMFUOUNBCUPUPOUKUNQHULUNAUQRSUKULUAU
      KBGUOUBULBAGUCSUMFUDZBHZIURUOKZAJUKUSUTAUEULBAURGUFUGUHUIUJ $.
  $}

  $c LSpan $.

  $( Extend class notation with span of a set of vectors. $)
  clspn $a class LSpan $.

  ${
    $d w s t $.
    $( Define span of a set of vectors of a left module or left vector space.
       (Contributed by NM, 8-Dec-2013.) $)
    df-lsp $a |- LSpan = ( w e. _V |-> ( s e. ~P ( Base ` w ) |->
         |^| { t e. ( LSubSp ` w ) | s C_ t } ) ) $.
  $}

  ${
    $d p s t w S $.  $d s t U $.  $d p s t w V $.  $d s w W $.
    lspval.v $e |- V = ( Base ` W ) $.
    lspval.s $e |- S = ( LSubSp ` W ) $.
    lspval.n $e |- N = ( LSpan ` W ) $.
    $( The span function for a left vector space (or a left module).
       ( ~ df-span analog.)  (Contributed by NM, 8-Dec-2013.)  (Revised by
       Mario Carneiro, 19-Jun-2014.) $)
    lspfval $p |- ( W e. X
      -> N = ( s e. ~P V |-> |^| { t e. S | s C_ t } ) ) $=
      ( vw wcel clspn cfv cpw cv crab cint cbs clss wss cmpt wceq fveq2 eqtr4di
      cvv elex pweqd rabeqdv inteqd mpteq12dv df-lsp fvexi pwex mptex fvmpt syl
      eqtrid ) EFLZCEMNZGDOZGPAPUAZABQZRZUBZJUSEUFLUTVEUCEFUGKEGKPZSNZOZVBAVFTN
      ZQZRZUBVEUFMVFEUCZGVHVKVAVDVLVGDVLVGESNDVFESUDHUEUHVLVJVCVLVBAVIBVLVIETNB
      VFETUDIUEUIUJUKKAGULGVAVDDDESHUMUNUOUPUQUR $.

    $( The span operator on a left module maps subsets to subsets.
       (Contributed by Stefan O'Rear, 12-Dec-2014.) $)
    lspf $p |- ( W e. LMod -> N : ~P V --> S ) $=
      ( vs vp clmod wcel cpw cv wss crab cint lspfval wa c0 wne ssrab2 a1i wrex
      simpl lss1 elpwi sseq2 rspcev syl2an rabn0 sylibr lssintcl syl3anc fmpt3d
      ) DJKZHCLZHMZIMZNZIAOZPZABIABCDJHEFGQUOUQUPKZRZUOUTANZUTSTZVAAKUOVBUDVDVC
      USIAUAUBVCUSIAUCZVEUOCAKUQCNZVFVBACDEFUEUQCUFUSVGICAURCUQUGUHUIUSIAUJUKUT
      ADFULUMUN $.

    $( The span of a set of vectors (in a left module).  ( ~ spanval analog.)
       (Contributed by NM, 8-Dec-2013.)  (Revised by Mario Carneiro,
       19-Jun-2014.) $)
    lspval $p |- ( ( W e. LMod /\ U C_ V )
       -> ( N ` U ) = |^| { t e. S | U C_ t } ) $=
      ( vs clmod wcel wss wa cfv cv crab cint wceq cvv cmpt lspfval fveq1d eqid
      cpw adantr sseq1 rabbidv inteqd simpr fvexi elpw2 sylibr wrex lss1 rspcev
      cbs sseq2 sylan intexrab sylib fvmptd3 eqtrd ) FKLZCEMZNZCDOZCJEUEZJPZAPZ
      MZABQZRZUAZOZCVJMZABQZRZVDVGVOSVEVDCDVNABDEFKJGHIUBUCUFVFJCVMVRVHVNTVNUDV
      ICSZVLVQVSVKVPABVICVJUGUHUIVFVECVHLVDVEUJCEEFUQGUKULUMVFVPABUNZVRTLVDEBLV
      EVTBEFGHUOVPVEAEBVJECURUPUSVPABUTVAVBVC $.

    $( The span of a set of vectors is a subspace.  ( ~ spancl analog.)
       (Contributed by NM, 9-Dec-2013.)  (Revised by Mario Carneiro,
       19-Jun-2014.) $)
    lspcl $p |- ( ( W e. LMod /\ U C_ V ) -> ( N ` U ) e. S ) $=
      ( clmod wcel cpw wf cfv wss lspf cbs fvexi elpw2 biimpri ffvelrn syl2an )
      EIJDKZACLBUBJZBCMAJBDNZACDEFGHOUCUDBDDEPFQRSUBABCTUA $.

    $( The span of a singleton is a subspace (frequently used special case of
       ~ lspcl ).  (Contributed by NM, 17-Jul-2014.) $)
    lspsncl $p |- ( ( W e. LMod /\ X e. V ) -> ( N ` { X } ) e. S ) $=
      ( wcel clmod csn wss cfv snssi lspcl sylan2 ) ECIDJIEKZCLQBMAIECNAQBCDFGH
      OP $.

    lspprcl.w $e |- ( ph -> W e. LMod ) $.
    lspprcl.x $e |- ( ph -> X e. V ) $.
    lspprcl.y $e |- ( ph -> Y e. V ) $.
    $( The span of a pair is a subspace (frequently used special case of
       ~ lspcl ).  (Contributed by NM, 11-Apr-2015.) $)
    lspprcl $p |- ( ph -> ( N ` { X , Y } ) e. S ) $=
      ( clmod wcel cpr wss cfv prssd lspcl syl2anc ) AENOFGPZDQUBCRBOKAFGDLMSBU
      BCDEHIJTUA $.

    lsptpcl.z $e |- ( ph -> Z e. V ) $.
    $( The span of an unordered triple is a subspace (frequently used special
       case of ~ lspcl ).  (Contributed by NM, 22-May-2015.) $)
    lsptpcl $p |- ( ph -> ( N ` { X , Y , Z } ) e. S ) $=
      ( clmod wcel ctp wss cfv cpr csn df-tp prssd snssd unssd eqsstrid syl2anc
      cun lspcl ) AEPQFGHRZDSUKCTBQLAUKFGUAZHUBZUIDFGHUCAULUMDAFGDMNUDAHDOUEUFU
      GBUKCDEIJKUJUH $.
  $}

  ${
    lspsnsubg.v $e |- V = ( Base ` W ) $.
    lspsnsubg.n $e |- N = ( LSpan ` W ) $.
    $( The span of a singleton is an additive subgroup (frequently used special
       case of ~ lspcl ).  (Contributed by Mario Carneiro, 21-Apr-2016.) $)
    lspsnsubg $p |- ( ( W e. LMod /\ X e. V ) ->
        ( N ` { X } ) e. ( SubGrp ` W ) ) $=
      ( clmod wcel csn cfv clss csubg eqid lspsncl lsssubg syldan ) CGHDBHDIAJZ
      CKJZHQCLJHRABCDERMZFNRQCSOP $.
  $}

  ${
    $d a b $.
    $( ~ fvco4i lemma for linear spans.  (Contributed by Stefan O'Rear,
       4-Apr-2015.) $)
    00lsp $p |- (/) = ( LSpan ` (/) ) $=
      ( va vb c0 clspn cfv cpw wss crab cint cmpt cvv wcel wceq 0ex base0 ax-mp
      cv eqid eqtri mpbir 00lss lspfval cdm dmmpt wn wral rab0 inteqi int0 vprc
      eqneltri rgenw rabeq0 wrel wb mptrel reldm0 eqtr2i ) CDEZACFZAQBQGZBCHZIZ
      JZCCKLUSVDMNBCUSCCKAOUAUSRUBPVDCMZVDUCZCMZVFVCKLZAUTHZCAUTVCVDVDRUDVICMVH
      UEZAUTUFVJAUTVCKKVCCIKVBCVABUGUHUISUJUKULVHAUTUMTSVDUNVEVGUOAUTVCUPVDUQPT
      UR $.
  $}

  ${
    $d t S $.  $d t U $.  $d t W $.
    lspid.s $e |- S = ( LSubSp ` W ) $.
    lspid.n $e |- N = ( LSpan ` W ) $.
    $( The span of a subspace is itself.  ( ~ spanid analog.)  (Contributed by
       NM, 15-Dec-2013.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lspid $p |- ( ( W e. LMod /\ U e. S ) -> ( N ` U ) = U ) $=
      ( vt clmod wcel wa cfv cv wss crab cint cbs wceq eqid lssss lspval sylan2
      intmin adantl eqtrd ) DHIZBAIZJBCKZBGLMGANOZBUFUEBDPKZMUGUHQABUIDUIRZESGA
      BCUIDUJEFTUAUFUHBQUEGBAUBUCUD $.
  $}

  ${
    $d t T $.  $d t U $.  $d t V $.  $d t W $.
    lspss.v $e |- V = ( Base ` W ) $.
    lspss.n $e |- N = ( LSpan ` W ) $.
    $( A span is a set of vectors.  (Contributed by NM, 22-Feb-2014.)  (Revised
       by Mario Carneiro, 19-Jun-2014.) $)
    lspssv $p |- ( ( W e. LMod /\ U C_ V ) -> ( N ` U ) C_ V ) $=
      ( clmod wcel wss wa cfv clss eqid lspcl lssss syl ) DGHACIJABKZDLKZHQCIRA
      BCDERMZFNRQCDESOP $.

    $( Span preserves subset ordering.  ( ~ spanss analog.)  (Contributed by
       NM, 11-Dec-2013.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lspss $p |- ( ( W e. LMod /\ U C_ V /\ T C_ U )
          -> ( N ` T ) C_ ( N ` U ) ) $=
      ( vt clmod wcel wss w3a cv clss cfv crab cint syl wceq lspval wa wi sstr2
      simpl3 ss2rabdv intss simp1 simp3 simp2 sstrd syl2anc 3adant3 3sstr4d
      eqid ) EIJZBDKZABKZLZAHMZKZHENOZPZQZBUSKZHVAPZQZACOZBCOZURVEVBKVCVFKURVDU
      THVAURUSVAJZUAUQVDUTUBUOUPUQVIUDABUSUCRUEVEVBUFRURUOADKVGVCSUOUPUQUGURABD
      UOUPUQUHUOUPUQUIUJHVAACDEFVAUNZGTUKUOUPVHVFSUQHVABCDEFVJGTULUM $.

    $( A set of vectors is a subset of its span.  ( ~ spanss2 analog.)
       (Contributed by NM, 6-Feb-2014.)  (Revised by Mario Carneiro,
       19-Jun-2014.) $)
    lspssid $p |- ( ( W e. LMod /\ U C_ V ) -> U C_ ( N ` U ) ) $=
      ( vt clmod wcel wss wa clss cfv crab cint ssintub eqid lspval sseqtrrid
      cv ) DHIACJKAGTJGDLMZNOAABMGAUAPGUAABCDEUAQFRS $.

    $( The span of a set of vectors is idempotent.  (Contributed by NM,
       22-Feb-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lspidm $p |- ( ( W e. LMod /\ U C_ V )
                  -> ( N ` ( N ` U ) ) = ( N ` U ) ) $=
      ( clmod wcel wss cfv clss wceq eqid lspcl lspid syldan ) DGHACIABJZDKJZHQ
      BJQLRABCDERMZFNRQBDSFOP $.

    $( The span of union is the span of the union of spans.  (Contributed by
       NM, 22-Feb-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.) $)
    lspun $p |- ( ( W e. LMod /\ T C_ V /\ U C_ V )
       -> ( N ` ( T u. U ) ) = ( N ` ( ( N ` T ) u. ( N ` U ) ) ) ) $=
      ( clmod wcel wss w3a cun cfv simp1 unssd lspss syl3anc syl2anc lspssid
      a1i simp2 simp3 ssun1 ssun2 lspssv sstrd unss12 wceq lspidm sseqtrd eqssd
      3imp3i2an ) EHIZADJZBDJZKZABLZCMZACMZBCMZLZCMZUPUMVADJUQVAJZURVBJUMUNUONZ
      UPVAURDUPUSUTURUPUMUQDJZAUQJZUSURJVDUPABDUMUNUOUAZUMUNUOUBOZVFUPABUCTAUQC
      DEFGPQUPUMVEBUQJZUTURJVDVHVIUPBAUDTBUQCDEFGPQOZUPUMVEURDJZVDVHUQCDEFGUERZ
      UFUMUNUOAUSJZBUTJVCUPUMUNVMVDVGACDEFGSRBCDEFGSAUSBUTUGULUQVACDEFGPQUPVBUR
      CMZURUPUMVKVAURJVBVNJVDVLVJVAURCDEFGPQUPUMVEVNURUHVDVHUQCDEFGUIRUJUK $.
  $}

  ${
    lspssp.s $e |- S = ( LSubSp ` W ) $.
    lspssp.n $e |- N = ( LSpan ` W ) $.
    $( If a set of vectors is a subset of a subspace, then the span of those
       vectors is also contained in the subspace.  (Contributed by Mario
       Carneiro, 4-Sep-2014.) $)
    lspssp $p |- ( ( W e. LMod /\ U e. S /\ T C_ U ) -> ( N ` T ) C_ U ) $=
      ( clmod wcel wss w3a cfv cbs eqid lssss lspss syl3an2 wceq lspid 3adant3
      sseqtrd ) EHIZCAIZBCJZKBDLZCDLZCUCUBCEMLZJUDUEUFJACUGEUGNZFOBCDUGEUHGPQUB
      UCUFCRUDACDEFGSTUA $.
  $}

  ${
    $d W a b $.  $d U a b $.  $d K a b $.  $d F a b $.
    mrclsp.u $e |- U = ( LSubSp ` W ) $.
    mrclsp.k $e |- K = ( LSpan ` W ) $.
    mrclsp.f $e |- F = ( mrCls ` U ) $.
    $( Moore closure generalizes module span.  (Contributed by Stefan O'Rear,
       31-Jan-2015.) $)
    mrclsp $p |- ( W e. LMod -> K = F ) $=
      ( va vb clmod wcel cbs cfv cpw cv wss crab cint cmpt eqid lspfval mrcfval
      cmre wceq lssmre syl eqtr4d ) DJKZCHDLMZNHOIOPIAQRSZBIACUIDJHUITZEFUAUHAU
      IUCMKBUJUDUIADUKEUEHABUIIGUBUFUG $.
  $}

  ${
    lspsnss.s $e |- S = ( LSubSp ` W ) $.
    lspsnss.n $e |- N = ( LSpan ` W ) $.
    $( The span of the singleton of a subspace member is included in the
       subspace.  ( ~ spansnss analog.)  (Contributed by NM, 9-Apr-2014.)
       (Revised by Mario Carneiro, 4-Sep-2014.) $)
    lspsnss $p |- ( ( W e. LMod /\ U e. S /\ X e. U )
            -> ( N ` { X } ) C_ U ) $=
      ( wcel clmod csn wss cfv snssi lspssp syl3an3 ) EBHDIHBAHEJZBKPCLBKEBMAPB
      CDFGNO $.

    lspsnel3.w $e |- ( ph -> W e. LMod ) $.
    lspsnel3.u $e |- ( ph -> U e. S ) $.
    lspsnel3.x $e |- ( ph -> X e. U ) $.
    lspsnel3.y $e |- ( ph -> Y e. ( N ` { X } ) ) $.
    $( A member of the span of the singleton of a vector is a member of a
       subspace containing the vector.  ( ~ elspansn3 analog.)  (Contributed by
       NM, 4-Jul-2014.) $)
    lspsnel3 $p |- ( ph -> Y e. U ) $=
      ( csn cfv clmod wcel wss lspsnss syl3anc sseldd ) AFNDOZCGAEPQCBQFCQUBCRJ
      KLBCDEFHISTMUA $.
  $}

  ${
    lspprss.s $e |- S = ( LSubSp ` W ) $.
    lspprss.n $e |- N = ( LSpan ` W ) $.
    lspprss.w $e |- ( ph -> W e. LMod ) $.
    lspprss.u $e |- ( ph -> U e. S ) $.
    lspprss.x $e |- ( ph -> X e. U ) $.
    lspprss.y $e |- ( ph -> Y e. U ) $.
    $( The span of a pair of vectors in a subspace belongs to the subspace.
       (Contributed by NM, 12-Jan-2015.) $)
    lspprss $p |- ( ph -> ( N ` { X , Y } ) C_ U ) $=
      ( clmod wcel cpr wss cfv prssd lspssp syl3anc ) AENOCBOFGPZCQUBDRCQJKAFGC
      LMSBUBCDEHITUA $.
  $}

  ${
    lspsnid.v $e |- V = ( Base ` W ) $.
    lspsnid.n $e |- N = ( LSpan ` W ) $.
    $( A vector belongs to the span of its singleton.  ( ~ spansnid analog.)
       (Contributed by NM, 9-Apr-2014.)  (Revised by Mario Carneiro,
       19-Jun-2014.) $)
    lspsnid $p |- ( ( W e. LMod /\ X e. V ) -> X e. ( N ` { X } ) ) $=
      ( clmod wcel wa csn cfv wss snssi lspssid sylan2 wb snssg adantl mpbird )
      CGHZDBHZIDDJZAKZHZUBUCLZUATUBBLUEDBMUBABCEFNOUAUDUEPTDUCBQRS $.
  $}

  ${
    lspsnel5.v $e |- V = ( Base ` W ) $.
    lspsnel5.s $e |- S = ( LSubSp ` W ) $.
    lspsnel5.n $e |- N = ( LSpan ` W ) $.
    lspsnel5.w $e |- ( ph -> W e. LMod ) $.
    lspsnel5.a $e |- ( ph -> U e. S ) $.
    $( Relationship between a vector and the 1-dim (or 0-dim) subspace it
       generates.  (Contributed by NM, 8-Aug-2014.)  (Revised by Mario
       Carneiro, 8-Jan-2015.) $)
    lspsnel6 $p |- ( ph -> ( X e. U <-> ( X e. V /\ ( N ` { X } ) C_ U ) ) ) $=
      ( wcel csn cfv wss wa lssel sylan adantr clmod simpr lspsnss syl3anc ssel
      jca lspsnid syl5com impr impbida ) AGCMZGEMZGNDOZCPZQAUKQZULUNACBMZUKULLB
      CEFGHIRSUOFUAMZUPUKUNAUQUKKTAUPUKLTAUKUBBCDFGIJUCUDUFAULUNUKAULQGUMMZUNUK
      AUQULURKDEFGHJUGSUMCGUEUHUIUJ $.

    lspsnel5.x $e |- ( ph -> X e. V ) $.
    $( Relationship between a vector and the 1-dim (or 0-dim) subspace it
       generates.  (Contributed by NM, 8-Aug-2014.) $)
    lspsnel5 $p |- ( ph -> ( X e. U <-> ( N ` { X } ) C_ U ) ) $=
      ( wcel csn cfv wss lspsnel6 mpbirand ) AGCNGENGODPCQMABCDEFGHIJKLRS $.
  $}

  ${
    lspsnel5a.s $e |- S = ( LSubSp ` W ) $.
    lspsnel5a.n $e |- N = ( LSpan ` W ) $.
    lspsnel5a.w $e |- ( ph -> W e. LMod ) $.
    lspsnel5a.a $e |- ( ph -> U e. S ) $.
    lspsnel5a.x $e |- ( ph -> X e. U ) $.
    $( Relationship between a vector and the 1-dim (or 0-dim) subspace it
       generates.  (Contributed by NM, 20-Feb-2015.) $)
    lspsnel5a $p |- ( ph -> ( N ` { X } ) C_ U ) $=
      ( wcel csn cfv wss cbs eqid lssel syl2anc lspsnel5 mpbid ) AFCLZFMDNCOKAB
      CDEPNZEFUCQZGHIJACBLUBFUCLJKBCUCEFUDGRSTUA $.
  $}

  ${
    lspprid.v $e |- V = ( Base ` W ) $.
    lspprid.n $e |- N = ( LSpan ` W ) $.
    lspprid.w $e |- ( ph -> W e. LMod ) $.
    lspprid.x $e |- ( ph -> X e. V ) $.
    lspprid.y $e |- ( ph -> Y e. V ) $.
    $( A member of a pair of vectors belongs to their span.  (Contributed by
       NM, 14-May-2015.) $)
    lspprid1 $p |- ( ph -> X e. ( N ` { X , Y } ) ) $=
      ( cpr cfv wcel csn wss clmod prssd snsspr1 a1i lspss syl3anc clss lspprcl
      eqid lspsnel5 mpbird ) AEEFLZBMZNEOZBMUIPZADQNUHCPUJUHPZUKIAEFCJKRULAEFST
      UJUHBCDGHUAUBADUCMZUIBCDEGUMUEZHIAUMBCDEFGUNHIJKUDJUFUG $.

    $( A member of a pair of vectors belongs to their span.  (Contributed by
       NM, 14-May-2015.) $)
    lspprid2 $p |- ( ph -> Y e. ( N ` { X , Y } ) ) $=
      ( cpr cfv lspprid1 prcom fveq2i eleqtrdi ) AFFELZBMEFLZBMABCDFEGHIKJNRSBF
      EOPQ $.
  $}

  ${
    lspprvacl.v $e |- V = ( Base ` W ) $.
    lspprvacl.p $e |- .+ = ( +g ` W ) $.
    lspprvacl.n $e |- N = ( LSpan ` W ) $.
    lspprvacl.w $e |- ( ph -> W e. LMod ) $.
    lspprvacl.x $e |- ( ph -> X e. V ) $.
    lspprvacl.y $e |- ( ph -> Y e. V ) $.
    $( The sum of two vectors belongs to their span.  (Contributed by NM,
       20-May-2015.) $)
    lspprvacl $p |- ( ph -> ( X .+ Y ) e. ( N ` { X , Y } ) ) $=
      ( clmod wcel cpr cfv clss co eqid lspprcl lspprid1 lspprid2 syl22anc
      lssvacl ) AENOFGPCQZERQZOFUFOGUFOFGBSUFOKAUGCDEFGHUGTZJKLMUAACDEFGHJKLMUB
      ACDEFGHJKLMUCBUGUFEFGIUHUEUD $.
  $}

  ${
    $d x y N $.  $d x y U $.  $d x y ph $.
    lssats2.s $e |- S = ( LSubSp ` W ) $.
    lssats2.n $e |- N = ( LSpan ` W ) $.
    lssats2.w $e |- ( ph -> W e. LMod ) $.
    lssats2.u $e |- ( ph -> U e. S ) $.
    $( A way to express atomisticity (a subspace is the union of its atoms).
       (Contributed by NM, 3-Feb-2015.) $)
    lssats2 $p |- ( ph -> U = U_ x e. U ( N ` { x } ) ) $=
      ( vy cv csn cfv ciun wcel wa simpr adantr syl2anc wrex clmod eqid lspsnid
      cbs lssel sylan weq fveq2d eleq2d rspcev lspsnel5a sseld rexlimdva impbid
      sneq ex eliun bitr4di eqrdv ) AKDBDBLZMZENZOZAKLZDPZVEVCPZBDUAZVEVDPAVFVH
      AVFVHAVFQZVFVEVEMZENZPZVHAVFRVIFUBPZVEFUENZPZVLAVMVFISADCPZVFVOJCDVNFVEVN
      UCZGUFUGEVNFVEVQHUDTVGVLBVEDBKUHZVCVKVEVRVBVJEVAVEUPUIUJUKTUQAVGVFBDAVADP
      ZQZVCDVEVTCDEFVAGHAVMVSISAVPVSJSAVSRULUMUNUOBVEDVCURUSUT $.
  $}

  ${
    lspsnvsel.v $e |- V = ( Base ` W ) $.
    lspsnvsel.t $e |- .x. = ( .s ` W ) $.
    lspsnvsel.f $e |- F = ( Scalar ` W ) $.
    lspsnvsel.k $e |- K = ( Base ` F ) $.
    lspsnvsel.n $e |- N = ( LSpan ` W ) $.
    lspsnvsel.w $e |- ( ph -> W e. LMod ) $.
    lspsnvsel.a $e |- ( ph -> A e. K ) $.
    lspsnvsel.x $e |- ( ph -> X e. V ) $.
    $( A scalar product with a vector belongs to the span of its singleton.
       ( ~ spansnmul analog.)  (Contributed by NM, 2-Jul-2014.) $)
    lspsneli $p |- ( ph -> ( A .x. X ) e. ( N ` { X } ) ) $=
      ( wcel cfv syl2anc clmod csn clss eqid lspsncl lspsnid lssvscl syl22anc
      co ) AHUARZIUBFSZHUCSZRZBERIUKRZBICUIUKROAUJIGRZUMOQULFGHIJULUDZNUETPAUJU
      OUNOQFGHIJNUFTEULCUKDHBILKMUPUGUH $.
  $}

  ${
    $d k F $.  $d k v K $.  $d k v N $.  $d k v U $.  $d k v V $.  $d k v W $.
    $d k R $.  $d k v .x. $.  $d k v X $.
    lspsn.f $e |- F = ( Scalar ` W ) $.
    lspsn.k $e |- K = ( Base ` F ) $.
    lspsn.v $e |- V = ( Base ` W ) $.
    lspsn.t $e |- .x. = ( .s ` W ) $.
    lspsn.n $e |- N = ( LSpan ` W ) $.
    $( Span of the singleton of a vector.  (Contributed by NM, 14-Jan-2014.)
       (Proof shortened by Mario Carneiro, 19-Jun-2014.) $)
    lspsn $p |- ( ( W e. LMod /\ X e. V )
        -> ( N ` { X } ) = { v | E. k e. K v = ( k .x. X ) } ) $=
      ( wcel wa cfv cv wceq adantr clmod csn wrex cab clss eqid simpl lss1d cur
      co lmod1cl lmodvs1 eqcomd oveq1 rspceeqv syl2an2r wb eqeq1 rexbidv adantl
      elabg mpbird lspsnel5a wi lspsncl simpr lspsnid syl22anc eleq1a rexlimdva
      lssvscl syl abssdv eqssd ) HUAOZIGOZPZIUBFQZARZCRZIBUJZSZCEUCZAUDZVQHUEQZ
      WDFHIWEUFZNVOVPUGZAWEBCDEGHILJMKWFUHVQIWDOZIWASZCEUCZVODUIQZEOVPIWKIBUJZS
      WJWKDEHJKWKUFZUKVQWLIBWKDGHILJMWMULUMCWKEWAWLIVTWKIBUNUOUPVPWHWJUQVOWCWJA
      IGVSISWBWICEVSIWAURUSVAUTVBVCVQWCAVRVQWBVSVROZCEVQVTEOZPZWAVROZWBWNVDWPVO
      VRWEOZWOIVROZWQVQVOWOWGTVQWRWOWEFGHILWFNVETVQWOVFVQWSWOFGHILNVGTEWEBVRDHV
      TIJMKWFVKVHWAVRVSVIVLVJVMVN $.

    $( Member of span of the singleton of a vector.  ( ~ elspansn analog.)
       (Contributed by NM, 22-Feb-2014.)  (Revised by Mario Carneiro,
       19-Jun-2014.) $)
    lspsnel $p |- ( ( W e. LMod /\ X e. V )
       -> ( U e. ( N ` { X } ) <-> E. k e. K U = ( k .x. X ) ) ) $=
      ( vv wcel cv wceq wrex cvv clmod wa csn cfv co lspsn eleq2d ovex eqeltrdi
      cab id rexlimivw eqeq1 rexbidv elab3 bitrdi ) HUAPIGPUBZBIUCFUDZPBOQZCQZI
      AUEZRZCESZOUJZPBVARZCESZUQURVDBOACDEFGHIJKLMNUFUGVCVFOBTVEBTPCEVEBVATVEUK
      UTIAUHUIULUSBRVBVECEUSBVAUMUNUOUP $.

    $( Span of a scalar product of a singleton.  (Contributed by NM,
       23-Apr-2014.)  (Proof shortened by Mario Carneiro, 4-Sep-2014.) $)
    lspsnvsi $p |- ( ( W e. LMod /\ R e. K /\ X e. V )
        -> ( N ` { ( R .x. X ) } ) C_ ( N ` { X } ) ) $=
      ( clmod wcel w3a clss cfv csn co eqid simp1 wss simp3 snssd lspcl syl2anc
      simp2 lspsneli lspsnel5a ) GNOZADOZHFOZPZGQRZHSZERZEGAHBTUOUAZMUKULUMUBZU
      NUKUPFUCUQUOOUSUNHFUKULUMUDZUEUOUPEFGKURMUFUGUNABCDEFGHKLIJMUSUKULUMUHUTU
      IUJ $.
  $}

  ${
    $d k K $.  $d k N $.  $d k S $.  $d k V $.  $d k W $.  $d k X $.  $d k Y $.
    $d k .x. $.
    lspsnss2.v $e |- V = ( Base ` W ) $.
    lspsnss2.s $e |- S = ( Scalar ` W ) $.
    lspsnss2.k $e |- K = ( Base ` S ) $.
    lspsnss2.t $e |- .x. = ( .s ` W ) $.
    lspsnss2.n $e |- N = ( LSpan ` W ) $.
    lspsnss2.w $e |- ( ph -> W e. LMod ) $.
    lspsnss2.x $e |- ( ph -> X e. V ) $.
    lspsnss2.y $e |- ( ph -> Y e. V ) $.
    $( Comparable spans of singletons must have proportional vectors.  See
       ~ lspsneq for equal span version.  (Contributed by NM, 7-Jun-2015.) $)
    lspsnss2 $p |- ( ph ->
 ( ( N ` { X } ) C_ ( N ` { Y } ) <-> E. k e. K X = ( k .x. Y ) ) ) $=
      ( cfv wcel csn wss cv co wceq wrex clss clmod lspsncl syl2anc lspsnel5 wb
      eqid lspsnel bitr3d ) AIJUAFSZTZIUAFSUPUBIDUCJCUDUEDEUFZAHUGSZUPFGHIKUSUM
      ZOPAHUHTZJGTZUPUSTPRUSFGHJKUTOUIUJQUKAVAVBUQURULPRCIDBEFGHJLMKNOUNUJUO $.
  $}

  ${
    lspsnneg.v $e |- V = ( Base ` W ) $.
    lspsnneg.m $e |- M = ( invg ` W ) $.
    lspsnneg.n $e |- N = ( LSpan ` W ) $.
    $( Negation does not change the span of a singleton.  (Contributed by NM,
       24-Apr-2014.)  (Proof shortened by Mario Carneiro, 19-Jun-2014.) $)
    lspsnneg $p |- ( ( W e. LMod /\ X e. V )
        -> ( N ` { ( M ` X ) } ) = ( N ` { X } ) ) $=
      ( wcel cfv csn co eqid lmodvneg1 sneqd fveq2d wss cgrp lspsnvsi syl3anc
      clmod wa csca cur cminusg cvsca cbs simpl lmodfgrp lmod1cl syl2anc adantr
      grpinvcl simpr wceq lmodvnegcl syldan lmodgrp grpinvinv sylan eqtrd eqssd
      eqsstrrd ) DUAIZECIZUBZEAJZKZBJZEKZBJZVFVIDUCJZUDJZVLUEJZJZEDUFJZLZKZBJZV
      KVFVRVHBVFVQVGVPVMVLVNACDEFGVLMZVPMZVMMZVNMZNOPVFVDVOVLUGJZIZVEVSVKQVDVEU
      HZVDWEVEVDVLRIVMWDIWEVLDVTUIVMVLWDDVTWDMZWBUJWDVLVNVMWGWCUMUKULZVDVEUNVOV
      PVLWDBCDEVTWGFWAHSTVCVFVKVOVGVPLZKZBJZVIVFWJVJBVFWIEVFWIVGAJZEVDVEVGCIZWI
      WLUOACDEFGUPZVPVMVLVNACDVGFGVTWAWBWCNUQVDDRIVEWLEUODURCDAEFGUSUTVAOPVFVDW
      EWMWKVIQWFWHWNVOVPVLWDBCDVGVTWGFWAHSTVCVB $.
  $}

  ${
    lspsnsub.v $e |- V = ( Base ` W ) $.
    lspsnsub.s $e |- .- = ( -g ` W ) $.
    lspsnsub.n $e |- N = ( LSpan ` W ) $.
    lspsnsub.w $e |- ( ph -> W e. LMod ) $.
    lspsnsub.x $e |- ( ph -> X e. V ) $.
    lspsnsub.y $e |- ( ph -> Y e. V ) $.
    $( Swapping subtraction order does not change the span of a singleton.
       (Contributed by NM, 4-Apr-2015.) $)
    lspsnsub $p |- ( ph -> ( N ` { ( X .- Y ) } ) = ( N ` { ( Y .- X ) } ) ) $=
      ( co cminusg cfv csn wcel wceq syl3anc clmod lmodvsubcl eqid syl2anc cgrp
      lspsnneg lmodgrp syl grpinvsub sneqd fveq2d eqtr3d ) AFGBNZEOPZPZQZCPZUMQ
      CPZGFBNZQZCPAEUARZUMDRZUQURSKAVAFDRZGDRZVBKLMBDEFGHIUBTUNCDEUMHUNUCZJUFUD
      AUPUTCAUOUSAEUERZVCVDUOUSSAVAVFKEUGUHLMDEBUNFGHIVEUITUJUKUL $.
  $}

  ${
    lspsn0.z $e |- .0. = ( 0g ` W ) $.
    lspsn0.n $e |- N = ( LSpan ` W ) $.
    $( Span of the singleton of the zero vector.  ( ~ spansn0 analog.)
       (Contributed by NM, 15-Jan-2014.)  (Proof shortened by Mario Carneiro,
       19-Jun-2014.) $)
    lspsn0 $p |- ( W e. LMod -> ( N ` { .0. } ) = { .0. } ) $=
      ( clmod wcel csn clss cfv wceq eqid lsssn0 lspid mpdan ) BFGCHZBIJZGPAJPK
      QBCDQLZMQPABRENO $.

    $( Span of the empty set.  (Contributed by Mario Carneiro, 5-Sep-2014.) $)
    lsp0 $p |- ( W e. LMod -> ( N ` (/) ) = { .0. } ) $=
      ( clmod wcel c0 cfv csn clss wss lsssn0 0ss lspssp mp3an3 mpdan cbs lspcl
      eqid mpan2 lss0ss eqssd ) BFGZHAIZCJZUDUFBKIZGZUEUFLZUGBCDUGTZMUDUHHUFLUI
      UFNUGHUFABUJEOPQUDUEUGGZUFUELUDHBRIZLUKULNUGHAULBULTUJESUAUGBUECDUJUBQUC
      $.

    $( Union of the span of the empty set.  (Contributed by NM,
       14-Mar-2015.) $)
    lspuni0 $p |- ( W e. LMod -> U. ( N ` (/) ) = .0. ) $=
      ( clmod wcel c0 cfv cuni csn lsp0 unieqd c0g fvexi unisn eqtrdi ) BFGZHAI
      ZJCKZJCRSTABCDELMCCBNDOPQ $.
  $}

  ${
    lspun0.v $e |- V = ( Base ` W ) $.
    lspun0.o $e |- .0. = ( 0g ` W ) $.
    lspun0.n $e |- N = ( LSpan ` W ) $.
    lspun0.w $e |- ( ph -> W e. LMod ) $.
    lspun0.x $e |- ( ph -> X C_ V ) $.
    $( The span of a union with the zero subspace.  (Contributed by NM,
       22-May-2015.) $)
    lspun0 $p |- ( ph -> ( N ` ( X u. { .0. } ) ) = ( N ` X ) ) $=
      ( csn cun cfv wcel wss wceq syl syl2anc eqtrd clmod lmod0vcl snssd lspsn0
      lspun syl3anc uneq2d clss eqid lspcl lss0ss ssequn2 sylib fveq2d lspidm )
      AEFLZMBNZEBNZUPBNZMZBNZURADUAOZECPZUPCPUQVAQJKAFCAVBFCOJCDFGHUBRUCEUPBCDG
      IUEUFAVAURBNZURAUTURBAUTURUPMZURAUSUPURAVBUSUPQJBDFHIUDRUGAUPURPZVEURQAVB
      URDUHNZOZVFJAVBVCVHJKVGEBCDGVGUIZIUJSVGDURFHVIUKSUPURULUMTUNAVBVCVDURQJKE
      BCDGIUOSTT $.
  $}

  ${
    lspsneq0.v $e |- V = ( Base ` W ) $.
    lspsneq0.z $e |- .0. = ( 0g ` W ) $.
    lspsneq0.n $e |- N = ( LSpan ` W ) $.
    $( Span of the singleton is the zero subspace iff the vector is zero.
       (Contributed by NM, 27-Apr-2014.)  (Revised by Mario Carneiro,
       19-Jun-2014.) $)
    lspsneq0 $p |- ( ( W e. LMod /\ X e. V )
         -> ( ( N ` { X } ) = { .0. } <-> X = .0. ) ) $=
      ( clmod wcel wa csn cfv wceq lspsnid eleq2 syl5ibcom elsni syl6 lspsn0
      adantr sneq fveqeq2d syl5ibrcom impbid ) CIJZDBJZKZDLZAMZELZNZDENZUHULDUK
      JZUMUHDUJJULUNABCDFHOUJUKDPQDERSUHULUMUKAMUKNZUFUOUGACEGHTUAUMUIUKUKADEUB
      UCUDUE $.
  $}

  ${
    lspsneq0b.v $e |- V = ( Base ` W ) $.
    lspsneq0b.o $e |- .0. = ( 0g ` W ) $.
    lspsneq0b.n $e |- N = ( LSpan ` W ) $.
    lspsneq0b.w $e |- ( ph -> W e. LMod ) $.
    lspsneq0b.x $e |- ( ph -> X e. V ) $.
    lspsneq0b.y $e |- ( ph -> Y e. V ) $.
    lspsneq0b.e $e |- ( ph -> ( N ` { X } ) = ( N ` { Y } ) ) $.
    $( Equal singleton spans imply both arguments are zero or both are nonzero.
       (Contributed by NM, 21-Mar-2015.) $)
    lspsneq0b $p |- ( ph -> ( X = .0. <-> Y = .0. ) ) $=
      ( wceq wa csn cfv adantr wcel clmod lspsneq0 syl2anc biimpar eqtr3d mpbid
      wb eqtrd impbida ) AEGOZFGOZAUJPZFQBRZGQZOZUKULEQBRZUMUNAUPUMOZUJNSAUPUNO
      ZUJADUATZECTURUJUGZKLBCDEGHIJUBUCZUDUEAUOUKUGZUJAUSFCTVBKMBCDFGHIJUBUCZSU
      FAUKPZURUJVDUPUMUNAUQUKNSAUOUKVCUDUHAUTUKVASUFUI $.
  $}

  ${
    lmodindp1.v $e |- V = ( Base ` W ) $.
    lmodindp1.p $e |- .+ = ( +g ` W ) $.
    lmodindp1.o $e |- .0. = ( 0g ` W ) $.
    lmodindp1.n $e |- N = ( LSpan ` W ) $.
    lmodindp1.w $e |- ( ph -> W e. LMod ) $.
    lmodindp1.x $e |- ( ph -> X e. V ) $.
    lmodindp1.y $e |- ( ph -> Y e. V ) $.
    lmodindp1.q $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
    $( Two independent (non-colinear) vectors have nonzero sum.  (Contributed
       by NM, 22-Apr-2015.) $)
    lmodindp1 $p |- ( ph -> ( X .+ Y ) =/= .0. ) $=
      ( csn cfv wceq wcel wne co wa cminusg eqid lspsnneg syl2anc eqcomd adantr
      clmod cgrp wb lmodgrp syl grpinvid1 syl3anc biimpar sneqd fveq2d eqtrd ex
      necon3d mpd ) AFQCRZGQZCRZUAFGBUBZHUAPAVGHVDVFAVGHSZVDVFSAVHUCZVDFEUDRZRZ
      QZCRZVFAVDVMSVHAVMVDAEUJTZFDTZVMVDSMNVJCDEFIVJUEZLUFUGUHUIVIVLVECVIVKGAVK
      GSZVHAEUKTZVOGDTVQVHULAVNVRMEUMUNNODBEVJFGHIJKVPUOUPUQURUSUTVAVBVC $.
  $}

  ${
    lsslsp.x $e |- X = ( W |`s U ) $.
    lsslsp.m $e |- M = ( LSpan ` W ) $.
    lsslsp.n $e |- N = ( LSpan ` X ) $.
    lsslsp.l $e |- L = ( LSubSp ` W ) $.
    $( Spans in submodules correspond to spans in the containing module.
       (Contributed by Stefan O'Rear, 12-Dec-2014.)  TODO:  Shouldn't we swap
       ` M `` G ` and ` N `` G ` since we are computing a property of
       ` N `` G ` ?  (Like we say sin 0 = 0 and not 0 = sin 0.) - NM
       15-Mar-2015. $)
    lsslsp $p |- ( ( W e. LMod /\ U e. L /\ G C_ U ) ->
      ( M ` G ) = ( N ` G ) ) $=
      ( clmod wcel wss cfv wa 3adant3 eqid syl2anc lspssp w3a simp1 cbs lsslmod
      clss simp3 wceq lssss 3ad2ant2 ressbas2 syl sseqtrd lspcl wb lsslss mpbid
      simpld lspssid syl3anc sstrd mpbir2and eqssd ) FLMZACMZBANZUAZBDOZBEOZVFV
      CVHCMZBVHNZVGVHNVCVDVEUBZVFVIVHANZVFVHGUEOZMZVIVLPZVFGLMZBGUCOZNZVNVCVDVP
      VECAFGHKUDQZVFBAVQVCVDVEUFZVFAFUCOZNZAVQUGVDVCWBVECAWAFWARZKUHUIZAWAGFHWC
      UJUKULZVMBEVQGVQRZVMRZJUMSVCVDVNVOUNVECVMAVHFGHKWGUOQUPUQVFVPVRVJVSWEBEVQ
      GWFJURSCBVHDFKITUSVFVPVGVMMZBVGNZVHVGNVSVFWHVGCMZVGANZVFVCBWANZWJVKVFBAWA
      VTWDUTZCBDWAFWCKIUMSCBADFKITVCVDWHWJWKPUNVECVMAVGFGHKWGUOQVAVFVCWLWIVKWMB
      DWAFWCIURSVMBVGEGWGJTUSVB $.
  $}

  ${
    lss0v.x $e |- X = ( W |`s U ) $.
    lss0v.o $e |- .0. = ( 0g ` W ) $.
    lss0v.z $e |- Z = ( 0g ` X ) $.
    lss0v.l $e |- L = ( LSubSp ` W ) $.
    $( The zero vector in a submodule equals the zero vector in the including
       module.  (Contributed by NM, 15-Mar-2015.) $)
    lss0v $p |- ( ( W e. LMod /\ U e. L ) -> Z = .0. ) $=
      ( clmod wcel csn cuni c0 clspn cfv wceq eqid lsp0 wa lsslsp mp3an3 adantr
      wss 0ss lsslmod syl 3eqtr3rd unieqd c0g fvexi unisn 3eqtr3g ) CKLZABLZUAZ
      FMZNEMZNFEUQURUSUQOCPQZQZODPQZQZUSURUOUPOAUEVAVCRAUFAOBUTVBCDGUTSZVBSZJUB
      UCUOVAUSRUPUTCEHVDTUDUQDKLVCURRBACDGJUGVBDFIVETUHUIUJFFDUKIULUMEECUKHULUM
      UN $.
  $}

  ${
    $d a b x y z B $.  $d a b s t x y z K $.  $d a b s x y z ph $.  $d x y W $.
    $d a b s t x y z L $.  $d a b x y z P $.
    lsspropd.b1 $e |- ( ph -> B = ( Base ` K ) ) $.
    lsspropd.b2 $e |- ( ph -> B = ( Base ` L ) ) $.
    lsspropd.w $e |- ( ph -> B C_ W ) $.
    lsspropd.p $e |- ( ( ph /\ ( x e. W /\ y e. W ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    lsspropd.s1 $e |- ( ( ph /\ ( x e. P /\ y e. B ) ) ->
      ( x ( .s ` K ) y ) e. W ) $.
    lsspropd.s2 $e |- ( ( ph /\ ( x e. P /\ y e. B ) ) ->
      ( x ( .s ` K ) y ) = ( x ( .s ` L ) y ) ) $.
    lsspropd.p1 $e |- ( ph -> P = ( Base ` ( Scalar ` K ) ) ) $.
    lsspropd.p2 $e |- ( ph -> P = ( Base ` ( Scalar ` L ) ) ) $.
    $( If two structures have the same components (properties), they have the
       same subspace structure.  (Contributed by Mario Carneiro, 9-Feb-2015.)
       (Revised by Mario Carneiro, 14-Jun-2015.) $)
    lsspropd $p |- ( ph -> ( LSubSp ` K ) = ( LSubSp ` L ) ) $=
      ( vz cfv wcel eqid vs va vb clss cv cbs wss c0 wne cvsca cplusg wral csca
      co w3a wa wb wceq simpll simprl simplr simprrl sseldd ralrimivva ad2antrr
      ovrspc2v syl21anc simprrr oveqrspc2v syl12anc oveq1d eqtrd eleq1d anassrs
      2ralbidva ralbidva anbi2d pm5.32da 3anass 3bitr4g sseq2d raleqdv 3anbi13d
      3bitr3d islss eqrdv ) AUAFUDRZGUDRZAUAUEZFUFRZUGZWIUHUIZQUEZUBUEZFUJRZUNZ
      UCUEZFUKRZUNZWISZUCWIULUBWIULZQFUMRZUFRZULZUOZWIGUFRZUGZWLWMWNGUJRZUNZWQG
      UKRZUNZWISZUCWIULUBWIULZQGUMRZUFRZULZUOZWIWGSWIWHSAWIDUGZWLXAQEULZUOZXRWL
      XMQEULZUOZXEXQAXRWLXSUPZUPXRWLYAUPZUPXTYBAXRYCYDAXRUPZXSYAWLYEXAXMQEYEWME
      SZUPWTXLUBUCWIWIYEYFWNWISZWQWISZUPZWTXLUQYEYFYIUPZUPZWSXKWIYKWSWPWQXJUNZX
      KYKAWPHSZWQHSWSYLURAXRYJUSZYKYFWNDSZBUECUEWOUNHSZCDULBEULZYMYEYFYIUTZYKWI
      DWNAXRYJVAZYEYFYGYHVBVCZAYQXRYJAYPBCEDMVDVEBCEDHWOWMWNVFVGYKDHWQADHUGXRYJ
      KVEYKWIDWQYSYEYFYGYHVHVCVCABCHHWRXJWPWQLVIVJYKWPXIWQXJYKAYFYOWPXIURYNYRYT
      ABCEDWOXHWMWNNVIVJVKVLVMVNVOVPVQVRXRWLXSVSXRWLYAVSVTAXRWKXSXDWLADWJWIIWAA
      XAQEXCOWBWCAXRXGYAXPWLADXFWIJWAAXMQEXOPWBWCWDQXCWRWGWOWIXBWJFUBUCXBTXCTWJ
      TWRTWOTWGTWEQXOXJWHXHWIXNXFGUBUCXNTXOTXFTXJTXHTWHTWEVTWF $.

    lsppropd.v1 $e |- ( ph -> K e. X ) $.
    lsppropd.v2 $e |- ( ph -> L e. Y ) $.
    $( If two structures have the same components (properties), they have the
       same span function.  (Contributed by Mario Carneiro, 9-Feb-2015.)
       (Revised by Mario Carneiro, 14-Jun-2015.)  (Revised by AV,
       24-Apr-2024.) $)
    lsppropd $p |- ( ph -> ( LSpan ` K ) = ( LSpan ` L ) ) $=
      ( vs vt cbs cfv cpw cv wss clss crab cint cmpt clspn eqtr3d pweqd rabeqdv
      lsspropd inteqd mpteq12dv wcel wceq eqid lspfval syl 3eqtr4d ) AUAFUCUDZU
      EZUAUFUBUFUGZUBFUHUDZUIZUJZUKZUAGUCUDZUEZVGUBGUHUDZUIZUJZUKZFULUDZGULUDZA
      UAVFVJVMVPAVEVLADVEVLKLUMUNAVIVOAVGUBVHVNABCDEFGHKLMNOPQRUPUOUQURAFIUSVRV
      KUTSUBVHVRVEFIUAVEVAVHVAVRVAVBVCAGJUSVSVQUTTUBVNVSVLGJUAVLVAVNVAVSVAVBVCV
      D $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Homomorphisms and isomorphisms of left modules
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c LMHom $.
  $c LMIso $.
  $c ~=m $.

  $( Extend class notation with the generator of left module hom-sets. $)
  clmhm $a class LMHom $.

  $( The class of left module isomorphism sets. $)
  clmim $a class LMIso $.

  $( The class of the left module isomorphism relation. $)
  clmic $a class ~=m $.

  ${
    $d f s t w x B $.  $d f s t w y E $.  $d f s t w K $.  $d f s t w x y S $.
    $d f x y F $.  $d f g s t w x y T $.  $d f s t w .x. $.  $d f s t w .X. $.
    $d f s t w L $.
    $( A homomorphism of left modules is a group homomorphism which
       additionally preserves the scalar product.  This requires both
       structures to be left modules over the same ring.  (Contributed by
       Stefan O'Rear, 31-Dec-2014.) $)
    df-lmhm $a |- LMHom = ( s e. LMod , t e. LMod
     |-> { f e. ( s GrpHom t ) |
        [. ( Scalar ` s ) / w ]. ( ( Scalar ` t ) = w /\
          A. x e. ( Base ` w ) A. y e. ( Base ` s )
          ( f ` ( x ( .s ` s ) y ) ) = ( x ( .s ` t ) ( f ` y ) ) ) } ) $.

    $( An isomorphism of modules is a homomorphism which is also a bijection,
       i.e. it preserves equality as well as the group and scalar operations.
       (Contributed by Stefan O'Rear, 21-Jan-2015.) $)
    df-lmim $a |- LMIso = ( s e. LMod , t e. LMod |-> { g e. ( s LMHom t ) |
        g : ( Base ` s ) -1-1-onto-> ( Base ` t ) } ) $.

    $( Two modules are said to be isomorphic iff they are connected by at least
       one isomorphism.  (Contributed by Stefan O'Rear, 25-Jan-2015.) $)
    df-lmic $a |- ~=m = ( `' LMIso " ( _V \ 1o ) ) $.

    $( Lemma for module homomorphisms.  (Contributed by Stefan O'Rear,
       31-Dec-2014.) $)
    reldmlmhm $p |- Rel dom LMHom $=
      ( vs vt vw vx vy vf clmod cv csca cfv wceq cvsca co cbs wral wa wsbc cghm
      crab clmhm df-lmhm reldmmpo ) ABGGBHZIJCHZKDHZEHZAHZLJMFHZJUEUFUHJUCLJMKE
      UGNJODUDNJOPCUGIJQFUGUCRMSTDECBFAUAUB $.

    $( Lemma for module isomorphisms.  (Contributed by Stefan O'Rear,
       23-Aug-2015.) $)
    lmimfn $p |- LMIso Fn ( LMod X. LMod ) $=
      ( vs vt vg clmod cv cbs cfv wf1o clmhm co crab clmim df-lmim rabex fnmpoi
      ovex ) ABDDAEZFGBEZFGCEHZCQRIJZKLBCAMSCTQRIPNO $.

    islmhm.k $e |- K = ( Scalar ` S ) $.
    islmhm.l $e |- L = ( Scalar ` T ) $.
    islmhm.b $e |- B = ( Base ` K ) $.
    islmhm.e $e |- E = ( Base ` S ) $.
    islmhm.m $e |- .x. = ( .s ` S ) $.
    islmhm.n $e |- .X. = ( .s ` T ) $.
    $( Property of being a homomorphism of left modules.  (Contributed by
       Stefan O'Rear, 1-Jan-2015.)  (Proof shortened by Mario Carneiro,
       30-Apr-2015.) $)
    islmhm $p |- ( F e. ( S LMHom T ) <->
       ( ( S e. LMod /\ T e. LMod ) /\ ( F e. ( S GrpHom T ) /\ L = K /\
         A. x e. B A. y e. E ( F ` ( x .x. y ) ) = ( x .X. ( F ` y ) ) ) ) ) $=
      ( co wceq cfv vs vt vw vf clmhm wcel clmod wa cghm cv wral w3a csca cvsca
      cbs wsbc crab df-lmhm elmpocl oveq12 cvv fvexd simplr fveq2d simpr simpll
      eqtr4di eqtrd eqeq12d oveqd raleqbidv anbi12d sbcied rabeqbidv ovex rabex
      ovmpoa eleq2d fveq1 oveq2d 2ralbidv anbi2d 3anass bitr4i bitrdi biadanii
      elrab ) IDEUERZUFZDUGUFEUGUFUHZIDEUIRZUFZKJSZAUJZBUJZFRZITZWNWOITZGRZSZBH
      UKACUKZULZUAUBUGUGUBUJZUMTZUCUJZSZWNWOUAUJZUNTZRZUDUJZTZWNWOXJTZXCUNTZRZS
      ZBXGUOTZUKZAXEUOTZUKZUHZUCXGUMTZUPZUDXGXCUIRZUQZDEUEIABUCUBUDUAURZUSWJWII
      WMWPXJTZWNXLGRZSZBHUKZACUKZUHZUDWKUQZUFZXBWJWHYLIUAUBDEUGUGYDYLUEXGDSZXCE
      SZUHZYBYKUDYCWKXGDXCEUIUTYPXTYKUCYAVAYPXGUMVBYPXEYASZUHZXFWMXSYJYRXDKXEJY
      RXDEUMTKYRXCEUMYNYOYQVCZVDMVGYRXEDUMTZJYRXEYAYTYPYQVEYRXGDUMYNYOYQVFZVDVH
      LVGZVIYRXQYIAXRCYRXRJUOTCYRXEJUOUUBVDNVGYRXOYHBXPHYRXPDUOTHYRXGDUOUUAVDOV
      GYRXKYFXNYGYRXIWPXJYRXHFWNWOYRXHDUNTFYRXGDUNUUAVDPVGVJVDYRXMGWNXLYRXMEUNT
      GYRXCEUNYSVDQVGVJVIVKVKVLVMVNYEYKUDWKDEUIVOVPVQVRYMWLWMXAUHZUHXBYKUUCUDIW
      KXJISZYJXAWMUUDYHWTABCHUUDYFWQYGWSWPXJIVSUUDXLWRWNGWOXJIVSVTVIWAWBWGWLWMX
      AWCWDWEWF $.

    $( Property of a module homomorphism, similar to ~ ismhm .  (Contributed by
       Stefan O'Rear, 7-Mar-2015.) $)
    islmhm3 $p |- ( ( S e. LMod /\ T e. LMod ) -> ( F e. ( S LMHom T ) <->
       ( F e. ( S GrpHom T ) /\ L = K /\
         A. x e. B A. y e. E ( F ` ( x .x. y ) ) = ( x .X. ( F ` y ) ) ) ) ) $=
      ( co wcel clmod clmhm wa cghm wceq cv cfv wral w3a islmhm baib ) IDEUARSD
      TSETSUBIDEUCRSKJUDAUEZBUEZFRIUFUKULIUFGRUDBHUGACUGUHABCDEFGHIJKLMNOPQUIUJ
      $.
  $}

  ${
    $d F a b $.  $d S a b $.  $d T a b $.  $d L a b $.  $d K a b $.
    lmhmlem.k $e |- K = ( Scalar ` S ) $.
    lmhmlem.l $e |- L = ( Scalar ` T ) $.
    $( Non-quantified consequences of a left module homomorphism.  (Contributed
       by Stefan O'Rear, 1-Jan-2015.) $)
    lmhmlem $p |- ( F e. ( S LMHom T ) ->
        ( ( S e. LMod /\ T e. LMod ) /\ ( F e. ( S GrpHom T ) /\ L = K ) ) ) $=
      ( va vb co wcel clmod wa wceq cv cvsca cfv cbs wral eqid clmhm w3a islmhm
      cghm 3simpa anim2i sylbi ) CABUAJKALKBLKMZCABUDJKZEDNZHOZIOZAPQZJCQUKULCQ
      BPQZJNIARQZSHDRQZSZUBZMUHUIUJMZMHIUPABUMUNUOCDEFGUPTUOTUMTUNTUCURUSUHUIUJ
      UQUEUFUG $.

    $( A homomorphism of left modules constrains both modules to the same ring
       of scalars.  (Contributed by Stefan O'Rear, 1-Jan-2015.) $)
    lmhmsca $p |- ( F e. ( S LMHom T ) -> L = K ) $=
      ( clmhm co wcel clmod wa cghm wceq lmhmlem simprrd ) CABHIJAKJBKJLCABMIJE
      DNABCDEFGOP $.
  $}

  $( A homomorphism of left modules is a homomorphism of groups.  (Contributed
     by Stefan O'Rear, 1-Jan-2015.) $)
  lmghm $p |- ( F e. ( S LMHom T ) -> F e. ( S GrpHom T ) ) $=
    ( clmhm co wcel clmod wa cghm csca cfv wceq eqid lmhmlem simprld ) CABDEFAG
    FBGFHCABIEFBJKZAJKZLABCQPQMPMNO $.

  $( A homomorphism of left modules has a left module as codomain.
     (Contributed by Stefan O'Rear, 1-Jan-2015.) $)
  lmhmlmod2 $p |- ( F e. ( S LMHom T ) -> T e. LMod ) $=
    ( clmhm co wcel clmod cghm csca cfv wceq wa eqid lmhmlem simplrd ) CABDEFAG
    FBGFCABHEFBIJZAIJZKLABCQPQMPMNO $.

  $( A homomorphism of left modules has a left module as domain.  (Contributed
     by Stefan O'Rear, 1-Jan-2015.) $)
  lmhmlmod1 $p |- ( F e. ( S LMHom T ) -> S e. LMod ) $=
    ( clmhm co wcel clmod cghm csca cfv wceq wa eqid lmhmlem simplld ) CABDEFAG
    FBGFCABHEFBIJZAIJZKLABCQPQMPMNO $.

  ${
    lmhmf.b $e |- B = ( Base ` S ) $.
    lmhmf.c $e |- C = ( Base ` T ) $.
    $( A homomorphism of left modules is a function.  (Contributed by Stefan
       O'Rear, 1-Jan-2015.) $)
    lmhmf $p |- ( F e. ( S LMHom T ) -> F : B --> C ) $=
      ( clmhm co wcel cghm wf lmghm ghmf syl ) ECDHIJECDKIJABELCDEMCDEABFGNO $.
  $}

  ${
    $d K a b $.  $d S a b $.  $d T a b $.  $d E a b $.  $d .x. a b $.
    $d .X. a b $.  $d B a b $.  $d X a b $.  $d Y a b $.  $d F a b $.
    lmhmlin.k $e |- K = ( Scalar ` S ) $.
    lmhmlin.b $e |- B = ( Base ` K ) $.
    lmhmlin.e $e |- E = ( Base ` S ) $.
    lmhmlin.m $e |- .x. = ( .s ` S ) $.
    lmhmlin.n $e |- .X. = ( .s ` T ) $.
    $( A homomorphism of left modules is ` K ` -linear.  (Contributed by Stefan
       O'Rear, 1-Jan-2015.) $)
    lmhmlin $p |- ( ( F e. ( S LMHom T ) /\ X e. B /\ Y e. E ) ->
      ( F ` ( X .x. Y ) ) = ( X .X. ( F ` Y ) ) ) $=
      ( va co wcel cfv wceq vb clmhm cv wral wa cghm csca clmod w3a eqid islmhm
      simprbi simp3d fvoveq1 oveq1 eqeq12d fveq2d oveq2d rspc2v syl5com 3impib
      oveq2 fveq2 ) GBCUBQRZIARZJFRZIJDQZGSZIJGSZEQZTZVDPUCZUAUCZDQGSZVLVMGSZEQ
      ZTZUAFUDPAUDZVEVFUEVKVDGBCUFQRZCUGSZHTZVRVDBUHRCUHRUEVSWAVRUIPUAABCDEFGHV
      TKVTUJLMNOUKULUMVQVKIVMDQZGSZIVOEQZTPUAIJAFVLITVNWCVPWDVLIVMGDUNVLIVOEUOU
      PVMJTZWCVHWDVJWEWBVGGVMJIDVBUQWEVOVIIEVMJGVCURUPUSUTVA $.
  $}

  ${
    lmodvsinv.b $e |- B = ( Base ` W ) $.
    lmodvsinv.f $e |- F = ( Scalar ` W ) $.
    lmodvsinv.s $e |- .x. = ( .s ` W ) $.
    lmodvsinv.n $e |- N = ( invg ` W ) $.
    lmodvsinv.m $e |- M = ( invg ` F ) $.
    lmodvsinv.k $e |- K = ( Base ` F ) $.
    $( Multiplication of a vector by a negated scalar.  (Contributed by Stefan
       O'Rear, 28-Feb-2015.) $)
    lmodvsinv $p |- ( ( W e. LMod /\ R e. K /\ X e. B ) ->
        ( ( M ` R ) .x. X ) = ( N ` ( R .x. X ) ) ) $=
      ( wcel cfv co wceq syl clmod w3a cur cmulr cgrp lmodring 3ad2ant1 ringgrp
      simp1 crg ringidcl grpinvcl syl2anc simp2 simp3 lmodvsass syl13anc oveq1d
      eqid ringnegl lmodvscl lmodvneg1 3eqtr3d ) HUAPZBEPZIAPZUBZDUCQZFQZBDUDQZ
      RZICRZVIBICRZCRZBFQZICRVMGQZVGVDVIEPZVEVFVLVNSVDVEVFUIZVGDUEPZVHEPZVQVGDU
      JPZVSVDVEWAVFDHKUFUGZDUHTVGWAVTWBEDVHOVHUSZUKTEDFVHONULUMVDVEVFUNZVDVEVFU
      OVIBCVJDEAHIJKLOVJUSZUPUQVGVKVOICVGEDVJVHFBOWEWCNWBWDUTURVGVDVMAPVNVPSVRB
      CDEAHIJKLOVACVHDFGAHVMJMKLWCNVBUMVC $.
  $}

  ${
    lmodvsinv2.b $e |- B = ( Base ` W ) $.
    lmodvsinv2.f $e |- F = ( Scalar ` W ) $.
    lmodvsinv2.s $e |- .x. = ( .s ` W ) $.
    lmodvsinv2.n $e |- N = ( invg ` W ) $.
    lmodvsinv2.k $e |- K = ( Base ` F ) $.
    $( Multiplying a negated vector by a scalar.  (Contributed by Stefan
       O'Rear, 5-Sep-2015.) $)
    lmodvsinv2 $p |- ( ( W e. LMod /\ R e. K /\ X e. B ) ->
        ( R .x. ( N ` X ) ) = ( N ` ( R .x. X ) ) ) $=
      ( wcel co cfv wceq eqid syl2anc lmodvscl clmod w3a c0g cgrp simp1 lmodgrp
      cplusg syl simp3 grprinv simp2 grpinvcl lmodvsdi syl13anc lmodvs0 3eqtr3d
      oveq2d wb syl3anc grpinvid1 mpbird eqcomd ) GUANZBENZHANZUBZBHCOZFPZBHFPZ
      COZVFVHVJQZVGVJGUGPZOZGUCPZQZVFBHVIVLOZCOZBVNCOZVMVNVFVPVNBCVFGUDNZVEVPVN
      QVFVCVSVCVDVEUEZGUFUHZVCVDVEUIZAVLGFHVNIVLRZVNRZLUJSUQVFVCVDVEVIANZVQVMQV
      TVCVDVEUKZWBVFVSVEWEWAWBAGFHILULSZVLBCDEAGHVIIWCJKMUMUNVFVCVDVRVNQVTWFCDE
      GBVNJKMWDUOSUPVFVSVGANVJANZVKVOURWABCDEAGHIJKMTVFVCVDWEWHVTWFWGBCDEAGVIIJ
      KMTUSAVLGFVGVJVNIWCWDLUTUSVAVB $.
  $}

  ${
    $d x y z .+^ $.  $d x y z B $.  $d x y z C $.  $d x y z E $.  $d x y z F $.
    $d x y z .+ $.  $d x y z K $.  $d x y z L $.  $d x y z S $.  $d x y z T $.
    $d x z .x. $.  $d x z .X. $.
    islmhm2.b $e |- B = ( Base ` S ) $.
    islmhm2.c $e |- C = ( Base ` T ) $.
    islmhm2.k $e |- K = ( Scalar ` S ) $.
    islmhm2.l $e |- L = ( Scalar ` T ) $.
    islmhm2.e $e |- E = ( Base ` K ) $.
    islmhm2.p $e |- .+ = ( +g ` S ) $.
    islmhm2.q $e |- .+^ = ( +g ` T ) $.
    islmhm2.m $e |- .x. = ( .s ` S ) $.
    islmhm2.n $e |- .X. = ( .s ` T ) $.
    $( A one-equation proof of linearity of a left module homomorphism, similar
       to ~ df-lss .  (Contributed by Mario Carneiro, 7-Oct-2015.) $)
    islmhm2 $p |- ( ( S e. LMod /\ T e. LMod ) -> ( F e. ( S LMHom T ) <->
          ( F : B --> C /\ L = K /\ A. x e. E A. y e. B A. z e. B
  ( F ` ( ( x .x. y ) .+ z ) ) = ( ( x .X. ( F ` y ) ) .+^ ( F ` z ) ) ) ) ) $=
      ( clmod wcel wa clmhm co wf wceq cv cfv wral w3a lmhmf lmhmsca cghm lmghm
      adantr lmhmlmod1 simpr1 simpr2 syl3anc simpr3 ghmlin lmhmlin oveq1d eqtrd
      lmodvscl 3adant3r3 ralrimivvva 3jca cgrp lmodgrp anim12i cur crg lmodring
      adantl wi ad2antrr ringidcl oveq1 fvoveq1d eqeq12d 2ralbidv rspcv simplll
      eqid 3syl simprl lmodvs1 syl2anc simplrr fveq2d simpllr simplrl 2ralbidva
      ffvelrnd eqtr3d sylibd exp32 3imp2 jca isghm sylanbrc c0g ghmid ad3antrrr
      syl grpidcl oveq2 fveq2 oveq2d simprr grprid simplr3 cbs simplr2 eleqtrrd
      eqtr4di simplr1 ralimdvva 3exp2 com45 mpd wb islmhm3 mpbir3and impbida )
      HUEUFZIUEUFZUGZMHIUHUIUFZDEMUJZONUKZAULZBULZJUIZCULZFUIZMUMZYRYSMUMZKUIZU
      UAMUMZGUIZUKZCDUNZBDUNZALUNZUOZYOUULYNYOYPYQUUKDEHIMPQUPHIMNORSUQYOUUHABC
      LDDYOYRLUFZYSDUFZUUADUFZUOZUGZUUCYTMUMZUUFGUIZUUGUUQMHIURUIUFZYTDUFZUUOUU
      CUUSUKYOUUTUUPHIMUSUTUUQYLUUMUUNUVAYOYLUUPHIMVAUTYOUUMUUNUUOVBYOUUMUUNUUO
      VCYRJNLDHYSPRUCTVJZVDYOUUMUUNUUOVEFGHIYTMUUADPUAUBVFVDUUQUURUUEUUFGYOUUMU
      UNUURUUEUKZUUOLHIJKDMNYRYSRTPUCUDVGVKVHVIVLVMVTYNUULUGZYOUUTYQUVCBDUNALUN
      ZUVDHVNUFZIVNUFZUGZYPYSUUAFUIMUMZUUDUUFGUIZUKZCDUNBDUNZUGUUTYNUVHUULYLUVF
      YMUVGHVOZIVOZVPUTUVDYPUVLYNYPYQUUKVBYNYPYQUUKUVLYNYPYQUUKUVLWAYNYPYQUGZUG
      ZUUKNVQUMZYSJUIZUUAFUIMUMZUVQUUDKUIZUUFGUIZUKZCDUNBDUNZUVLUVPNVRUFZUVQLUF
      UUKUWCWAYLUWDYMUVONHRVSWBLNUVQTUVQWJZWCUUJUWCAUVQLYRUVQUKZUUHUWBBCDDUWFUU
      CUVSUUGUWAUWFYTUVRUUAMFYRUVQYSJWDWEUWFUUEUVTUUFGYRUVQUUDKWDVHWFWGWHWKUVPU
      WBUVKBCDDUVPUUNUUOUGZUGZUVSUVIUWAUVJUWHUVRYSUUAMFUWHYLUUNUVRYSUKYLYMUVOUW
      GWIUVPUUNUUOWLZJUVQNDHYSPRUCUWEWMWNWEUWHUVTUUDUUFGUWHOVQUMZUUDKUIZUVTUUDU
      WHUWJUVQUUDKUWHONVQYNYPYQUWGWOWPVHUWHYMUUDEUFZUWKUUDUKYLYMUVOUWGWQUWHDEYS
      MYNYPYQUWGWRUWIWTKUWJOEIUUDQSUDUWJWJWMWNXAVHWFWSXBXCXDXECBFGHIMDEPQUAUBXF
      XGZYNYPYQUUKVCUVDHXHUMZMUMZIXHUMZUKZUVEUVDUUTUWQUWMHIMUWNUWPUWNWJZUWPWJZX
      IXKYNYPYQUUKUWQUVEWAYNYPYQUWQUUKUVEYNYPYQUWQUUKUVEWAYNYPYQUWQUOZUGZUUIUVC
      ABLDUXAUUMUUNUGZUGZUUIYTUWNFUIZMUMZUUEUWOGUIZUKZUVCUXCUVFUWNDUFUUIUXGWAYL
      UVFYMUWTUXBUVMXJZDHUWNPUWRXLUUHUXGCUWNDUUAUWNUKZUUCUXEUUGUXFUXIUUBUXDMUUA
      UWNYTFXMWPUXIUUFUWOUUEGUUAUWNMXNXOWFWHWKUXCUXEUURUXFUUEUXCUXDYTMUXCUVFUVA
      UXDYTUKUXHUXCYLUUMUUNUVAYLYMUWTUXBWIUXAUUMUUNWLZUXAUUMUUNXPZUVBVDDFHYTUWN
      PUAUWRXQWNWPUXCUXFUUEUWPGUIZUUEUXCUWOUWPUUEGYPYQUWQYNUXBXRXOUXCUVGUUEEUFZ
      UXLUUEUKUXCYMUVGYLYMUWTUXBWQZUVNXKUXCYMYROXSUMZUFUWLUXMUXNUXCYRLUXOUXJUXC
      UXONXSUMLUXCONXSYPYQUWQYNUXBXTWPTYBYAUXCDEYSMYPYQUWQYNUXBYCUXKWTYRKOUXOEI
      UUDQSUDUXOWJVJVDEGIUUEUWPQUBUWSXQWNVIWFXBYDYEYFXDYGYNYOUUTYQUVEUOYHUULABL
      HIJKDMNORSTPUCUDYIUTYJYK $.
  $}

  ${
    $d ph x y $.  $d F x y $.  $d S x y $.  $d T x y $.  $d X x y $.
    $d J x y $.  $d N x y $.  $d K x y $.
    islmhmd.x $e |- X = ( Base ` S ) $.
    islmhmd.a $e |- .x. = ( .s ` S ) $.
    islmhmd.b $e |- .X. = ( .s ` T ) $.
    islmhmd.k $e |- K = ( Scalar ` S ) $.
    islmhmd.j $e |- J = ( Scalar ` T ) $.
    islmhmd.n $e |- N = ( Base ` K ) $.
    islmhmd.s $e |- ( ph -> S e. LMod ) $.
    islmhmd.t $e |- ( ph -> T e. LMod ) $.
    islmhmd.c $e |- ( ph -> J = K ) $.
    islmhmd.f $e |- ( ph -> F e. ( S GrpHom T ) ) $.
    islmhmd.l $e |- ( ( ph /\ ( x e. N /\ y e. X ) ) -> ( F ` ( x .x. y ) ) =
          ( x .X. ( F ` y ) ) ) $.
    $( Deduction for a module homomorphism.  (Contributed by Stefan O'Rear,
       4-Feb-2015.) $)
    islmhmd $p |- ( ph -> F e. ( S LMHom T ) ) $=
      ( clmod wcel cghm co wceq cfv wral w3a clmhm ralrimivva islmhm syl21anbrc
      cv 3jca ) ADUDUEEUDUEHDEUFUGUEZIJUHZBUPZCUPZFUGHUIUTVAHUIGUGUHZCLUJBKUJZU
      KHDEULUGUESTAURUSVCUBUAAVBBCKLUCUMUQBCKDEFGLHJIPQRMNOUNUO $.
  $}

  ${
    $d x y B $.  $d x y M $.  $d x y N $.  $d x y S $.  $d x y T $.
    $d x y .0. $.
    0lmhm.z $e |- .0. = ( 0g ` N ) $.
    0lmhm.b $e |- B = ( Base ` M ) $.
    0lmhm.s $e |- S = ( Scalar ` M ) $.
    0lmhm.t $e |- T = ( Scalar ` N ) $.
    $( The constant zero linear function between two modules.  (Contributed by
       Stefan O'Rear, 5-Sep-2015.) $)
    0lmhm $p |- ( ( M e. LMod /\ N e. LMod /\ S = T ) ->
        ( B X. { .0. } ) e. ( M LMHom N ) ) $=
      ( vx vy clmod wcel wceq cvsca cfv cbs eqid co w3a simp1 simp2 eqcomd cghm
      csn cxp simp3 cgrp lmodgrp 0ghm syl2an 3adant3 cv wa simpl2 simprl simpl3
      fveq2d eleqtrd lmodvs0 syl2anc c0g fvconst2 oveq2d ad2antll simpl1 simprr
      fvexi lmodvscl syl3anc syl 3eqtr4rd islmhmd ) DMNZEMNZBCOZUAZKLDEDPQZEPQZ
      AFUFUGZCBBRQZAHVSSZVTSZIJWBSZVOVPVQUBVOVPVQUCVRBCVOVPVQUHUDVOVPWADEUETNZV
      QVODUINEUINWFVPDUJEUJADEFGHUKULUMVRKUNZWBNZLUNZANZUOZUOZWGFVTTZFWGWIWAQZV
      TTZWGWIVSTZWAQZWLVPWGCRQZNWMFOVOVPVQWKUPWLWGWBWRVRWHWJUQZWLBCRVOVPVQWKURU
      SUTVTCWREWGFJWDWRSGVAVBWJWOWMOVRWHWJWNFWGVTAFWIFEVCGVIZVDVEVFWLWPANZWQFOW
      LVOWHWJXAVOVPVQWKVGWSVRWHWJVHWGVSBWBADWIHIWCWEVJVKAFWPWTVDVLVMVN $.
  $}

  ${
    $d x y B $.  $d x y M $.
    idlmhm.b $e |- B = ( Base ` M ) $.
    $( The identity function on a module is linear.  (Contributed by Stefan
       O'Rear, 4-Sep-2015.) $)
    idlmhm $p |- ( M e. LMod -> ( _I |` B ) e. ( M LMHom M ) ) $=
      ( vx vy clmod wcel cvsca cfv cid cres csca cbs eqid co syl cv wceq fvresi
      wa id eqidd cgrp cghm lmodgrp idghm lmodvscl 3expb ad2antll oveq2d eqtr4d
      islmhmd ) BFGZDEBBBHIZUNJAKZBLIZUPUPMIZACUNNZURUPNZUSUQNZUMUAZVAUMUPUBUMB
      UCGUOBBUDOGBUEABCUFPUMDQZUQGZEQZAGZTTZVBVDUNOZUOIZVGVBVDUOIZUNOVFVGAGZVHV
      GRUMVCVEVJVBUNUPUQABVDCUSURUTUGUHAVGSPVFVIVDVBUNVEVIVDRUMVCAVDSUIUJUKUL
      $.
  $}

  ${
    $d x y I $.  $d x y M $.
    invlmhm.b $e |- I = ( invg ` M ) $.
    $( The negative function on a module is linear.  (Contributed by Stefan
       O'Rear, 5-Sep-2015.) $)
    invlmhm $p |- ( M e. LMod -> I e. ( M LMHom M ) ) $=
      ( vx vy clmod wcel cvsca cfv csca cbs eqid eqidd cabl cghm lmodabl invghm
      id co cv sylib wceq w3a lmodvsinv2 eqcomd 3expb islmhmd ) BFGZDEBBBHIZUIA
      BJIZUJUJKIZBKIZULLZUILZUNUJLZUOUKLZUHRZUQUHUJMUHBNGABBOSGBPULBAUMCQUAUHDT
      ZUKGZETZULGZURUTUISAIZURUTAIUISZUBUHUSVAUCVCVBULURUIUJUKABUTUMUOUNCUPUDUE
      UFUG $.
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y M $.  $d x y N $.  $d x y O $.
    $( The composition of two module-linear functions is module-linear.
       (Contributed by Stefan O'Rear, 4-Sep-2015.) $)
    lmhmco $p |- ( ( F e. ( N LMHom O ) /\ G e. ( M LMHom N ) ) ->
        ( F o. G ) e. ( M LMHom O ) ) $=
      ( vx vy clmhm co wcel wa cvsca cfv csca cbs eqid clmod cghm wceq syl3anc
      ccom lmhmlmod1 adantl lmhmlmod2 adantr sylan9eq lmghm ghmco syl2an simplr
      lmhmsca cv simprl simprr lmhmlin fveq2d simpll ad2antlr eleqtrrd wf lmhmf
      ffvelrnda adantrl eqtrd wfn ffnd lmodvscl syl2an2r oveq2d 3eqtr4d islmhmd
      fvco2 ) ADEHIJZBCDHIJZKZFGCECLMZELMZABUAZENMZCNMZVTOMZCOMZWBPZVPPZVQPZVTP
      ZVSPZWAPZVNCQJZVMCDBUBZUCVMEQJVNDEAUDUEVMVNVSDNMZVTDEAWKVSWKPZWGUKCDBVTWK
      WFWLUKZUFVMADERIJBCDRIJVRCERIJVNDEAUGCDBUGCDEABUHUIVOFULZWAJZGULZWBJZKZKZ
      WNWPVPIZBMZAMZWNWPBMZAMZVQIZWTVRMZWNWPVRMZVQIWSXBWNXCDLMZIZAMZXEWSXAXIAWS
      VNWOWQXAXISVMVNWRUJVOWOWQUMZVOWOWQUNZWACDVPXHWBBVTWNWPWFWHWCWDXHPZUOTUPWS
      VMWNWKOMZJXCDOMZJZXJXESVMVNWRUQWSWNWAXNXKVNXNWASVMWRVNWKVTOWMUPURUSVOWQXP
      WOVOWBXOWPBVNWBXOBUTVMWBXOCDBWCXOPZVAUCZVBVCXNDEXHVQXOAWKWNXCWLXNPXQXMWEU
      OTVDVOBWBVEZWRWTWBJZXFXBSVOWBXOBXRVFZWSWIWOWQXTVNWIVMWRWJURXKXLWNVPVTWAWB
      CWPWCWFWDWHVGTWBABWTVLVHWSXGXDWNVQVOXSWRWQXGXDSYAXLWBABWPVLVHVIVJVK $.
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y M $.  $d x y N $.  $d x y .+ $.
    lmhmplusg.p $e |- .+ = ( +g ` N ) $.
    $( The pointwise sum of two linear functions is linear.  (Contributed by
       Stefan O'Rear, 5-Sep-2015.) $)
    lmhmplusg $p |- ( ( F e. ( M LMHom N ) /\ G e. ( M LMHom N ) ) ->
        ( F oF .+ G ) e. ( M LMHom N ) ) $=
      ( vx vy co wcel wa cvsca cfv cbs eqid adantr wceq syl3anc ad2antrr cvv cv
      clmhm cof csca clmod lmhmlmod1 lmhmlmod2 lmhmsca cabl cghm lmodabl adantl
      syl lmghm ghmplusg simpll simprl simprr lmhmlin simplr fveq2d eleqtrrd wf
      oveq12d lmhmf ffvelrnd ad2antlr lmodvsdi syl13anc wfn ffnd fvexd lmodvscl
      eqtr4d fnfvof syl22anc oveq2d 3eqtr4d islmhmd ) BDEUBIZJZCVTJZKZGHDEDLMZE
      LMZBCAUCIZEUDMZDUDMZWHNMZDNMZWJOZWDOZWEOZWHOZWGOZWIOZWADUEJZWBDEBUFZPWAEU
      EJZWBDEBUGZPZWAWGWHQWBDEBWHWGWNWOUHZPWCEUIJZBDEUJIZJZCXDJZWFXDJWCWSXCXAEU
      KUMWAXEWBDEBUNPWBXFWADECUNULABCDEFUORWCGUAZWIJZHUAZWJJZKZKZXGXIWDIZBMZXMC
      MZAIZXGXIBMZXICMZAIZWEIZXMWFMZXGXIWFMZWEIXLXPXGXQWEIZXGXRWEIZAIZXTXLXNYCX
      OYDAXLWAXHXJXNYCQWAWBXKUPWCXHXJUQZWCXHXJURZWIDEWDWEWJBWHXGXIWNWPWKWLWMUSR
      XLWBXHXJXOYDQWAWBXKUTYFYGWIDEWDWEWJCWHXGXIWNWPWKWLWMUSRVDXLWSXGWGNMZJXQEN
      MZJXRYIJXTYEQWAWSWBXKWTSXLXGWIYHYFWAYHWIQWBXKWAWGWHNXBVASVBXLWJYIXIBWAWJY
      IBVCWBXKWJYIDEBWKYIOZVESZYGVFXLWJYIXICWBWJYICVCWAXKWJYIDECWKYJVEVGZYGVFAX
      GWEWGYHYIEXQXRYJFWOWMYHOVHVIVNXLBWJVJZCWJVJZWJTJZXMWJJZYAXPQXLWJYIBYKVKZX
      LWJYICYLVKZXLDNVLZXLWQXHXJYPWAWQWBXKWRSYFYGXGWDWHWIWJDXIWKWNWLWPVMRWJABCT
      XMVOVPXLYBXSXGWEXLYMYNYOXJYBXSQYQYRYSYGWJABCTXIVOVPVQVRVS $.
  $}

  ${
    $d u v x y A $.  $d u v x y F $.  $d u v x y K $.  $d u v x y N $.
    $d v x y J $.  $d v x y M $.  $d u v x y .x. $.  $d v x y V $.
    lmhmvsca.v $e |- V = ( Base ` M ) $.
    lmhmvsca.s $e |- .x. = ( .s ` N ) $.
    lmhmvsca.j $e |- J = ( Scalar ` N ) $.
    lmhmvsca.k $e |- K = ( Base ` J ) $.
    $( The pointwise scalar product of a linear function and a constant is
       linear, over a commutative ring.  (Contributed by Mario Carneiro,
       22-Sep-2015.) $)
    lmhmvsca $p |- ( ( J e. CRing /\ A e. K /\ F e. ( M LMHom N ) ) ->
        ( ( V X. { A } ) oF .x. F ) e. ( M LMHom N ) ) $=
      ( vv wcel co cfv cbs eqid 3ad2ant3 wceq vx vy vu ccrg clmhm w3a cvsca csn
      cxp cof csca clmod lmhmlmod1 lmhmlmod2 lmhmsca cv cmpt ccom cvv fvexi a1i
      cghm simpl2 lmhmf ffvelrnda fconstmpt feqmptd offval2 eqidd fmptco eqtr4d
      wf oveq2 simp2 lmodvsghm syl2anc lmghm ghmco eqeltrd simpl1 simprl fveq2d
      wa cmulr eqtrid adantr eleqtrrd crngcom syl3anc oveq1d ffvelrnd lmodvsass
      simprr syl13anc 3eqtr3d lmodvscl 3expb sylan ffnd lmhmlin 3ad2antl3 mpdan
      wfn ofc1 oveq2d 3eqtr4d islmhmd ) DUDNZAENZCFGUEONZUFZUAUBFGFUGPZBHAUHUIZ
      CBUJOZDFUKPZXOQPZHIXLRZJXORZKXPRZXJXHFULNZXIFGCUMSZXJXHGULNZXIFGCUNSZXJXH
      DXOTXIFGCXODXRKUOSZXKXNUCGQPZAUCUPZBOZUQZCURZFGVBOZXKXNMHAMUPZCPZBOZUQYIX
      KMHAYLBXMCUSEYEHUSNZXKHFQIUTZVAXHXIXJYKHNVCXKHYEYKCXJXHHYECVLZXIHYEFGCIYE
      RZVDSZVEZXMMHAUQTXKMHAVFVAXKMHYECYRVGZVHXKMUCHYEYLYGYMCYHYSYTXKYHVIYFYLAB
      VMVJVKXKYHGGVBONZCYJNZYIYJNXKYBXIUUAYCXHXIXJVNUCABDEYEGYQKJLVOVPXJXHUUBXI
      FGCVQSFGGYHCVRVPVSXKUAUPZXPNZUBUPZHNZWCZWCZAUUCUUECPZBOZBOZUUCAUUIBOZBOZU
      UCUUEXLOZXNPZUUCUUEXNPZBOUUHAUUCDWDPZOZUUIBOZUUCAUUQOZUUIBOZUUKUUMUUHUURU
      UTUUIBUUHXHXIUUCENZUURUUTTXHXIXJUUGVTXHXIXJUUGVCZUUHUUCXPEXKUUDUUFWAXKEXP
      TUUGXKEDQPXPLXKDXOQYDWBWEWFWGZEDUUQAUUCLUUQRZWHWIWJUUHYBXIUVBUUIYENZUUSUU
      KTXKYBUUGYCWFZUVCUVDUUHHYEUUECXKYPUUGYRWFXKUUDUUFWMZWKZAUUCBUUQDEYEGUUIYQ
      KJLUVEWLWNUUHYBUVBXIUVFUVAUUMTUVGUVDUVCUVIUUCABUUQDEYEGUUIYQKJLUVEWLWNWOU
      UHUUNHNZUUOUUKTXKXTUUGUVJYAXTUUDUUFUVJUUCXLXOXPHFUUEIXRXQXSWPWQWRUUHHAUUJ
      BCUSEUUNYNUUHYOVAZUVCXKCHXCUUGXKHYECYRWSWFZUUHUUNCPUUJTZUVJXJXHUUGUVMXIXJ
      UUDUUFUVMXPFGXLBHCXOUUCUUEXRXSIXQJWTWQXAWFXDXBUUHUUPUULUUCBUUHUUFUUPUULTU
      VHUUHHAUUIBCUSEUUEUVKUVCUVLUUHUUFWCUUIVIXDXBXEXFXG $.
  $}

  ${
    $d F a b $.  $d S a b $.  $d T a b $.  $d X a b $.  $d Y a b $.
    lmhmf1o.x $e |- X = ( Base ` S ) $.
    lmhmf1o.y $e |- Y = ( Base ` T ) $.
    $( A bijective module homomorphism is also converse homomorphic.
       (Contributed by Stefan O'Rear, 25-Jan-2015.) $)
    lmhmf1o $p |- ( F e. ( S LMHom T ) ->
        ( F : X -1-1-onto-> Y <-> `' F e. ( T LMHom S ) ) ) $=
      ( va vb clmhm co wcel wf1o wa cvsca cfv cbs eqid adantr wceq ccnv lmhmsca
      csca clmod lmhmlmod2 lmhmlmod1 eqcomd cghm lmghm ghmf1o syl biimpa simpll
      wb cv fveq2d eleq2d biimpar adantrr wf f1ocnv f1of adantl adantrl lmhmlin
      ffvelrnda syl3anc f1ocnvfv2 ad2ant2l oveq2d eqtrd simplr lmodvscl syl2anc
      wi f1ocnvfv mpd islmhmd wfn lmhmf ffnd dff1o4 sylanbrc impbida ) CABJKLZD
      ECMZCUAZBAJKLZWEWFNZHIBABOPZAOPZWGAUCPZBUCPZWMQPZEGWJRZWKRZWMRZWLRZWNRWEB
      UDLWFABCUESWEAUDLZWFABCUFSZWEWLWMTWFWEWMWLABCWLWMWRWQUBUGSZWEWFWGBAUHKLZW
      ECABUHKLWFXBUNABCUIABCDEFGUJUKULWIHUOZWNLZIUOZELZNZNZXCXEWGPZWKKZCPZXCXEW
      JKZTZXLWGPXJTZXHXKXCXICPZWJKZXLXHWEXCWLQPZLZXIDLZXKXPTWEWFXGUMWIXDXRXFWIX
      RXDWIXQWNXCWIWLWMQXAUPUQURUSZWIXFXSXDWIEDXEWGWFEDWGUTZWEWFEDWGMYADECVAEDW
      GVBUKVCVFVDZXQABWKWJDCWLXCXIWRXQRZFWPWOVEVGXHXOXEXCWJWFXFXOXETWEXDDEXECVH
      VIVJVKXHWFXJDLZXMXNVOWEWFXGVLXHWSXRXSYDWIWSXGWTSXTYBXCWKWLXQDAXIFWRWPYCVM
      VGDEXJXLCVPVNVQVRWEWHNZCDVSZWGEVSWFWEYFWHWEDECDEABCFGVTWASYEEDWGWHYAWEEDB
      AWGGFVTVCWADECWBWCWD $.
  $}

  ${
    $d F a b c $.  $d S a b c $.  $d T a b c $.  $d U a b c $.  $d X a b c $.
    $d Y a b c $.
    lmhmima.x $e |- X = ( LSubSp ` S ) $.
    lmhmima.y $e |- Y = ( LSubSp ` T ) $.
    $( The image of a subspace under a homomorphism.  (Contributed by Stefan
       O'Rear, 1-Jan-2015.) $)
    lmhmima $p |- ( ( F e. ( S LMHom T ) /\ U e. X ) ->
        ( F " U ) e. Y ) $=
      ( va vb vc co wcel wa cfv cv cbs eqid adantr syl cima wral csca lmhmlmod1
      clmhm csubg cvsca cghm lmghm clmod simpr lsssubg syl2an2r wceq wrex wb wf
      ghmima wfn lmhmf ffn lssss fvelimabd simpll lmhmsca fveq2d eleq2d adantrr
      biimpa sselda adantrl lmhmlin syl3anc 3syl simplr simprr lssvscl syl22anc
      wss fnfvima eqeltrrd anassrs oveq2 eleq1d syl5ibcom rexlimdva sylbid impr
      ralrimivva lmhmlmod2 islss4 mpbir2and ) DABUELMZCEMZNZDCUAZFMZWPBUFOMZIPZ
      JPZBUGOZLZWPMZJWPUBIBUCOZQOZUBZWMDABUHLMWNCAUFOMZWRABDUIWMAUJMZWNWNXGABDU
      DZWMWNUKZECAGULUMABCDURUMWOXCIJXEWPWOWSXEMZWTWPMZXCWOXKNZXLKPZDOZWTUNZKCU
      OZXCWOXLXQUPXKWOKAQOZCWTDWOXRBQOZDUQZDXRUSZWMXTWNXRXSABDXRRZXSRZUTZSXRXSD
      VAZTWOWNCXRVSZXJECXRAYBGVBZTZVCSXMXPXCKCXMXNCMZNWSXOXALZWPMZXPXCWOXKYIYKW
      OXKYINZNZWSXNAUGOZLZDOZYJWPYMWMWSAUCOZQOZMZXNXRMZYPYJUNWMWNYLVDZWOXKYSYIW
      OXKYSWOXEYRWSWOXDYQQWMXDYQUNWNABDYQXDYQRZXDRZVESVFVGVIVHZWOYIYTXKWOCXRXNY
      HVJVKYRABYNXAXRDYQWSXNUUBYRRZYBYNRZXARZVLVMYMYAYFYOCMZYPWPMYMWMXTYAUUAYDY
      EVNYMWNYFWMWNYLVOZYGTYMXHWNYSYIUUHWOXHYLWMXHWNXISSUUIUUDWOXKYIVPYREYNCYQA
      WSXNUUBUUFUUEGVQVRXRCDYOVTVMWAWBXPYJXBWPXOWTWSXAWCWDWEWFWGWHWIWOBUJMZWQWR
      XFNUPWMUUJWNABDWJSXEFXAWPXDXSBIJUUCXERYCUUGHWKTWL $.

    $( The inverse image of a subspace under a homomorphism.  (Contributed by
       Stefan O'Rear, 1-Jan-2015.) $)
    lmhmpreima $p |- ( ( F e. ( S LMHom T ) /\ U e. Y ) ->
        ( `' F " U ) e. X ) $=
      ( va vb co wcel wa csubg cfv cv cvsca cbs eqid adantr ccnv cima wral csca
      clmhm lmghm clmod lmhmlmod2 lsssubg ghmpreima syl2an2r lmhmlmod1 ad2antrr
      cghm sylan simprl cnvimass wf lmhmf fssdm sselda adantrl lmodvscl syl3anc
      wceq simpll lmhmlin simplr lmhmsca fveq2d biimpar adantrr ffund fvimacnvi
      eleq2d wfun simprr lssvscl syl22anc eqeltrd wb wfn ffn elpreima mpbir2and
      3syl ralrimivva islss4 syl ) DABUEKLZCFLZMZDUACUBZELZWMANOLZIPZJPZAQOZKZW
      MLZJWMUCIAUDOZROZUCZWJDABUNKLWKCBNOLZWOABDUFWJBUGLZWKXDABDUHZFCBHUIUOABDC
      UJUKWLWTIJXBWMWLWPXBLZWQWMLZMZMZWTWSAROZLZWSDOZCLZXJAUGLZXGWQXKLZXLWJXOWK
      XIABDULZUMWLXGXHUPZWLXHXPXGWLWMXKWQWLXKBROZWMDDCUQWJXKXSDURZWKXKXSABDXKSZ
      XSSUSTZUTVAVBZWPWRXAXBXKAWQYAXASZWRSZXBSZVCVDXJXMWPWQDOZBQOZKZCXJWJXGXPXM
      YIVEWJWKXIVFXRYCXBABWRYHXKDXAWPWQYDYFYAYEYHSZVGVDXJXEWKWPBUDOZROZLZYGCLZY
      ICLWJXEWKXIXFUMWJWKXIVHWLXGYMXHWLYMXGWLYLXBWPWLYKXARWJYKXAVEWKABDXAYKYDYK
      SZVITVJVOVKVLWLDVPXIXHYNWLXKXSDYBVMWLXGXHVQWQCDVNUKYLFYHCYKBWPYGYOYJYLSHV
      RVSVTWLWTXLXNMWAZXIWLXTDXKWBYPYBXKXSDWCXKWSCDWDWFTWEWGWLXOWNWOXCMWAWJXOWK
      XQTXBEWRWMXAXKAIJYDYFYAYEGWHWIWE $.
  $}

  ${
    lmhmlsp.v $e |- V = ( Base ` S ) $.
    lmhmlsp.k $e |- K = ( LSpan ` S ) $.
    lmhmlsp.l $e |- L = ( LSpan ` T ) $.
    $( Homomorphisms preserve spans. $)

    $( Homomorphisms preserve spans.  (Contributed by Stefan O'Rear,
       1-Jan-2015.) $)
    lmhmlsp $p |- ( ( F e. ( S LMHom T ) /\ U C_ V ) ->
        ( F " ( K ` U ) ) = ( L ` ( F " U ) ) ) $=
      ( wcel wss cfv cima eqid adantr clmod clss lspcl syl2anc clmhm co wa wfun
      ccnv cbs wf lmhmf ffund lmhmlmod1 lmhmlmod2 crn imassrn sstrid lmhmpreima
      frnd syldan cdm incom wceq simpr fdmd sseqtrrd df-ss sylib eqtr2id dminss
      cin eqsstrdi lspssid imass2 sstrd lspssp syl3anc funimass2 lmhmima eqssd
      syl ) DABUAUBKZCGLZUCZDCEMZNZDCNZFMZWADUDWBDUEZWENZLZWCWELWAGBUFMZDVSGWID
      UGVTGWIABDHWIOZUHPZUIWAAQKZWGARMZKZCWGLWHVSWLVTABDUJPZVSVTWEBRMZKZWNWABQK
      ZWDWILZWQVSWRVTABDUKPZWAWDDULWIDCUMWAGWIDWKUPUNZWPWDFWIBWJWPOZJSTABWEDWMW
      PWMOZXBUOUQWACWFWDNZWGWACDURZCVHZXDWAXFCXEVHZCXECUSWACXELXGCUTWACGXEVSVTV
      AZWAGWIDWKVBVCCXEVDVEVFCDVGVIWAWDWELZXDWGLWAWRWSXIWTXAWDFWIBWJJVJTWDWEWFV
      KVRVLWMCWGEAXCIVMVNWBWEDVOTWAWRWCWPKZWDWCLZWEWCLWTVSVTWBWMKZXJWAWLVTXLWOX
      HWMCEGAHXCISTABWBDWMWPXCXBVPUQWACWBLZXKWAWLVTXMWOXHCEGAHIVJTCWBDVKVRWPWDW
      CFBXBJVMVNVQ $.
  $}

  $( The range of a homomorphism is a submodule.  (Contributed by Stefan
     O'Rear, 1-Jan-2015.) $)
  lmhmrnlss $p |- ( F e. ( S LMHom T ) -> ran F e. ( LSubSp ` T ) ) $=
    ( clmhm co wcel cbs cfv cima crn clss wf wfn wceq eqid lmhmf ffn fnima 3syl
    clmod lmhmlmod1 lss1 syl lmhmima mpdan eqeltrrd ) CABDEFZCAGHZIZCJZBKHZUGUH
    BGHZCLCUHMUIUJNUHULABCUHOZULOPUHULCQUHCRSUGUHAKHZFZUIUKFUGATFUOABCUAUNUHAUM
    UNOZUBUCABUHCUNUKUPUKOUDUEUF $.

  ${
    lmhmkerlss.k $e |- K = ( `' F " { .0. } ) $.
    lmhmkerlss.z $e |- .0. = ( 0g ` T ) $.
    lmhmkerlss.u $e |- U = ( LSubSp ` S ) $.
    $( The kernel of a homomorphism is a submodule.  (Contributed by Stefan
       O'Rear, 1-Jan-2015.) $)
    lmhmkerlss $p |- ( F e. ( S LMHom T ) -> K e. U ) $=
      ( clmhm co wcel ccnv csn cima clss cfv clmod lmhmlmod2 eqid lsssn0 mpdan
      syl lmhmpreima eqeltrid ) DABJKLZEDMFNZOZCGUFUGBPQZLZUHCLUFBRLUJABDSUIBFH
      UITZUAUCABUGDCUIIUKUDUBUE $.
  $}

  ${
    $d S a b $.  $d X a b $.  $d F a b $.  $d T a b $.  $d R a b $.
    $d U a b $.
    reslmhm.u $e |- U = ( LSubSp ` S ) $.
    reslmhm.r $e |- R = ( S |`s X ) $.
    $( Restriction of a homomorphism to a subspace.  (Contributed by Stefan
       O'Rear, 1-Jan-2015.) $)
    reslmhm $p |- ( ( F e. ( S LMHom T ) /\ X e. U ) ->
        ( F |` X ) e. ( R LMHom T ) ) $=
      ( va vb co wcel wa clmod cfv wceq cbs wral adantr eqid clmhm cres cghm cv
      csca cvsca lmhmlmod1 lsslmod sylan lmhmlmod2 csubg lmghm lsssubg syl2an2r
      w3a resghm lmhmsca resssca sylan9eq simpll simprl wss adantl ressbas2 syl
      lssss eleq2d biimpar adantrl sseldd lmhmlin syl3anc simplr lssvscl fvresd
      syl22anc fvres oveq2d 3eqtr4d ralrimivva fveq2d ressvsca fveqeq2d ralbidv
      oveqd raleqbidv mpbid 3jca islmhm syl21anbrc ) EBCUAKLZFDLZMZANLZCNLZEFUB
      ZACUCKLZCUEOZAUEOZPZIUDZJUDZAUFOZKZWPOXAXBWPOZCUFOZKZPZJAQOZRZIWSQOZRZUOW
      PACUAKLWKBNLZWLWNBCEUGZDFBAHGUHUIWKWOWLBCEUJSWMWQWTXLWKEBCUCKLWLFBUKOLZWQ
      BCEULWKXMWLXOXNDFBGUMUIBCAEFHUPUNWKWLWRBUEOZWSBCEXPWRXPTZWRTZUQFXPBADHXQU
      RZUSWMXAXBBUFOZKZWPOZXGPZJXIRZIXPQOZRXLWMYCIJYEXIWMXAYELZXBXILZMZMZYAEOZX
      AXBEOZXFKZYBXGYIWKYFXBBQOZLYJYLPWKWLYHUTWMYFYGVAZYIFYMXBWMFYMVBZYHWLYOWKD
      FYMBYMTZGVFVCZSWMYGXBFLZYFWMYRYGWMFXIXBWMYOFXIPYQFYMABHYPVDVEVGVHVIZVJYEB
      CXTXFYMEXPXAXBXQYETZYPXTTZXFTZVKVLYIYAFEYIXMWLYFYRYAFLWMXMYHWKXMWLXNSSWKW
      LYHVMYNYSYEDXTFXPBXAXBXQUUAYTGVNVPVOYIYRXGYLPYSYRXEYKXAXFXBFEVQVRVEVSVTWM
      YDXJIYEXKWMXPWSQWLXPWSPWKXSVCWAWMYCXHJXIWMYAXDXGWPWMXTXCXAXBWLXTXCPWKFXTB
      ADHUUAWBVCWEWCWDWFWGWHIJXKACXCXFXIWPWSWRWSTXRXKTXITXCTUUBWIWJ $.
  $}

  ${
    $d U x y $.  $d T x y $.  $d S x y $.  $d X x y $.  $d F x y $.
    $d L x y $.
    reslmhm2.u $e |- U = ( T |`s X ) $.
    reslmhm2.l $e |- L = ( LSubSp ` T ) $.
    $( Expansion of the codomain of a homomorphism.  (Contributed by Stefan
       O'Rear, 3-Feb-2015.)  (Revised by Mario Carneiro, 5-May-2015.) $)
    reslmhm2 $p |- ( ( F e. ( S LMHom U ) /\ T e. LMod /\ X e. L ) ->
        F e. ( S LMHom T ) ) $=
      ( vx vy co wcel clmod cvsca cfv csca cbs eqid 3ad2ant1 wceq w3a lmhmlmod1
      clmhm simp2 resssca 3ad2ant3 lmhmsca cghm lsssubg 3adant1 resghm2 syl2anc
      eqtrd csubg lmghm cv wa lmhmlin 3expb 3ad2antl1 simpl3 ressvsca oveqd syl
      eqtr4d islmhmd ) DACUCKLZBMLZFELZUAZIJABANOZBNOZDBPOZAPOZVNQOZAQOZVPRZVKR
      ZVLRZVNRZVMRZVORZVGVHAMLVIACDUBSVGVHVIUDVJVMCPOZVNVIVGVMWCTVHFVMBCEGWAUEU
      FVGVHWCVNTVIACDVNWCVTWCRUGSUMVJDACUHKLZFBUNOLZDABUHKLVGVHWDVIACDUOSVHVIWE
      VGEFBHUIUJABCDFGUKULVJIUPZVOLZJUPZVPLZUQZUQZWFWHVKKDOZWFWHDOZCNOZKZWFWMVL
      KZVGVHWJWLWOTZVIVGWGWIWQVOACVKWNVPDVNWFWHVTWBVQVRWNRURUSUTWKVIWPWOTVGVHVI
      WJVAVIVLWNWFWMFVLBCEGVSVBVCVDVEVF $.

    $( Expansion of the codomain of a homomorphism.  (Contributed by Stefan
       O'Rear, 3-Feb-2015.)  (Revised by Mario Carneiro, 5-May-2015.) $)
    reslmhm2b $p |- ( ( T e. LMod /\ X e. L /\ ran F C_ X ) ->
        ( F e. ( S LMHom T ) <-> F e. ( S LMHom U ) ) ) $=
      ( vx vy clmod wcel clmhm co wa cvsca cfv csca eqid wceq crn wss lmhmlmod1
      w3a adantl simpl1 lsslmod syl2anc resssca 3ad2ant2 lmhmsca sylan9req cghm
      simpl2 lmghm csubg wb lsssubg resghm2b stoic3 biimpa sylan2 lmhmlin 3expb
      cbs cv adantll simpll2 ressvsca oveqd eqtrd islmhmd simpr syl3anc impbida
      syl reslmhm2 ) BKLZFELZDUAFUBZUDZDABMNLZDACMNLZWAWBOZIJACAPQZCPQZDCRQZARQ
      ZWHVEQZAVEQZWJSZWESZWFSWHSZWGSWISZWBAKLWAABDUCUEWDVRVSCKLVRVSVTWBUFVRVSVT
      WBUNEFBCGHUGUHWAWBWGBRQZWHVSVRWOWGTVTFWOBCEGWOSZUIUJABDWHWOWMWPUKULWBWADA
      BUMNLZDACUMNLZABDUOWAWQWRVRVSFBUPQLVTWQWRUQEFBHURABCDFGUSUTVAVBWDIVFZWILZ
      JVFZWJLZOZOZWSXAWENDQZWSXADQZBPQZNZWSXFWFNZWBXCXEXHTZWAWBWTXBXJWIABWEXGWJ
      DWHWSXAWMWNWKWLXGSZVCVDVGXDVSXHXITVRVSVTWBXCVHVSXGWFWSXFFXGBCEGXKVIVJVPVK
      VLWAWCOWCVRVSWBWAWCVMVRVSVTWCUFVRVSVTWCUNABCDEFGHVQVNVO $.
  $}

  ${
    $d F x y z $.  $d G x y z $.  $d S x y z $.  $d T x y $.  $d U x y $.
    lmhmeql.u $e |- U = ( LSubSp ` S ) $.
    $( The equalizer of two module homomorphisms is a subspace.  (Contributed
       by Stefan O'Rear, 7-Mar-2015.) $)
    lmhmeql $p |- ( ( F e. ( S LMHom T ) /\ G e. ( S LMHom T ) ) ->
        dom ( F i^i G ) e. U ) $=
      ( vx vy vz co wcel wa cfv cv wral cbs wceq fveq2 eqid syl3anc clmhm csubg
      cin cdm cvsca csca cghm lmghm ghmeql syl2an crab eqeq12d lmhmlmod1 adantr
      wi clmod ad2antrr simplr simprl lmodvscl ad2antll simplll lmhmlin simpllr
      oveq2 3eqtr4d elrabd expr ralrimiva wb lmhmf ffnd fndmin eleq2 raleqbi1dv
      wfn ralrab bitrdi syl mpbird islss4 mpbir2and ) DABUAJZKZEWCKZLZDEUCUDZCK
      ZWGAUBMKZGNZHNZAUEMZJZWGKZHWGOZGAUFMZPMZOZWDDABUGJZKEWSKWIWEABDUHABEUHABD
      EUIUJWFWOGWQWFWJWQKZLZWOWKDMZWKEMZQZWMINZDMZXEEMZQZIAPMZUKZKZUOZHXIOZXAXL
      HXIXAWKXIKZXDXKXAXNXDLZLZXHWMDMZWMEMZQIWMXIXEWMQXFXQXGXRXEWMDRXEWMERULXPA
      UPKZWTXNWMXIKWFXSWTXOWDXSWEABDUMUNZUQWFWTXOURZXAXNXDUSZWJWLWPWQXIAWKXISZW
      PSZWLSZWQSZUTTXPWJXBBUEMZJZWJXCYGJZXQXRXDYHYIQXAXNXBXCWJYGVEVAXPWDWTXNXQY
      HQWDWEWTXOVBYAYBWQABWLYGXIDWPWJWKYDYFYCYEYGSZVCTXPWEWTXNXRYIQWDWEWTXOVDYA
      YBWQABWLYGXIEWPWJWKYDYFYCYEYJVCTVFVGVHVIXAWGXJQZWOXMVJWFYKWTWDDXIVPEXIVPY
      KWEWDXIBPMZDXIYLABDYCYLSZVKVLWEXIYLEXIYLABEYCYMVKVLIXIDEVMUJUNYKWOXKHXJOX
      MWNXKHWGXJWGXJWMVNVOXHXDXKHIXIXEWKQXFXBXGXCXEWKDRXEWKERULVQVRVSVTVIWFXSWH
      WIWRLVJXTWQCWLWGWPXIAGHYDYFYCYEFWAVSWB $.
  $}

  ${
    $d B g h $.  $d F g h $.  $d K g h $.  $d S g h $.  $d T g h $.
    $d X g h $.
    lspextmo.b $e |- B = ( Base ` S ) $.
    lspextmo.k $e |- K = ( LSpan ` S ) $.
    $( A linear function is completely determined (or overdetermined) by its
       values on a spanning subset.  (Contributed by Stefan O'Rear,
       7-Mar-2015.)  (Revised by NM, 17-Jun-2017.) $)
    lspextmo $p |- ( ( X C_ B /\ ( K ` X ) = B ) ->
        E* g e. ( S LMHom T ) ( g |` X ) = F ) $=
      ( vh wss cfv wceq wa cv cres wral wcel cdm ad2antrl weq wi clmhm co eqtr3
      wrmo cin inss1 dmss ax-mp wfn cbs wf eqid lmhmf ffnd adantrr fndmd simplr
      sseqtrid clmod clss lmhmlmod1 adantr lmhmeql simprr lspssp eqsstrrd eqssd
      syl3anc expr wb ffn 3syl fnreseql fneqeql syl2anc 3imtr4d syl5 ralrimivva
      simpll reseq1 eqeq1d rmo4 sylibr ) GAKZGFLZAMZNZDOZGPZEMZJOZGPZEMZNZDJUAZ
      UBZJBCUCUDZQDWSQWLDWSUFWIWRDJWSWSWPWKWNMZWIWJWSRZWMWSRZNZNZWQWKWNEUEXDGWJ
      WMUGZSZKZXFAMZWTWQWIXCXGXHWIXCXGNZNZXFAXJWJSZXFAXEWJKXFXKKWJWMUHXEWJUIUJX
      JAWJWIXCWJAUKZXGXDACULLZWJXAAXMWJUMWIXBAXMBCWJHXMUNZUOTUPZUQURUTXJAWGXFWF
      WHXIUSXJBVARZXFBVBLZRZXGWGXFKXCXPWIXGXAXPXBBCWJVCVDTXCXRWIXGBCXQWJWMXQUNZ
      VETWIXCXGVFXQGXFFBXSIVGVJVHVIVKXDXLWMAUKZWFWTXGVLXOXDXBAXMWMUMXTWIXAXBVFA
      XMBCWMHXNUOAXMWMVMVNZWFWHXCWAAWJWMGVOVJXDXLXTWQXHVLXOYAAWJWMVPVQVRVSVTWLW
      ODJWSWQWKWNEWJWMGWBWCWDWE $.
  $}

  ${
    $d Y x a b $.  $d R x a b $.  $d I x a b $.  $d B x a b $.  $d F a b $.
    $d W x a b $.
    pwsdiaglmhm.y $e |- Y = ( R ^s I ) $.
    pwsdiaglmhm.b $e |- B = ( Base ` R ) $.
    pwsdiaglmhm.f $e |- F = ( x e. B |-> ( I X. { x } ) ) $.
    $( Diagonal homomorphism into a structure power.  (Contributed by Stefan
       O'Rear, 24-Jan-2015.) $)
    pwsdiaglmhm $p |- ( ( R e. LMod /\ I e. W ) -> F e. ( R LMHom Y ) ) $=
      ( va vb clmod wcel wa cfv eqid co csn cvv cvsca csca simpl pwslmod pwssca
      cbs eqcomd cgrp cghm lmodgrp pwsdiagghm sylan cv cxp wceq simplr lmodvscl
      3expb adantlr fvdiagfn syl2anc cof oveq2d simpll simprl pwsdiagel adantrl
      ad2ant2l pwsvscafval id vex a1i ofc12 ad2antlr 3eqtrd eqtr4d islmhmd ) CM
      NZEFNZOZKLCGCUAPZGUAPZDGUBPZCUBPZWDUFPZBIWAQZWBQZWDQZWCQWEQZVRVSUCCEFGHUD
      VTWDWCCWDEMFGHWHUEUGVRCUHNVSDCGUIRNCUJABCDEFGHIJUKULVTKUMZWENZLUMZBNZOZOZ
      WJWLWARZDPZEWPSUNZWJWLDPZWBRZWOVSWPBNZWQWRUOVRVSWNUPZVRWNXAVSVRWKWMXAWJWA
      WDWEBCWLIWHWFWIUQURUSABDEFWPJUTVAWOWTWJEWLSUNZWBREWJSUNXCWAVBRZWRWOWSXCWJ
      WBVSWMWSXCUOVRWKABDEFWLJUTVHVCWOWJGUFPZCWBWAWDEWEMFXCGHXEQZWFWGWHWIVRVSWN
      VDXBVTWKWMVEVTWMXCXENWKWLBXECEMFGHIXFVFVGVIVSXDWRUOVRWNVSEWJWLWAFTTVSVJWJ
      TNVSKVKVLWLTNVSLVKVLVMVNVOVPVQ $.
  $}

  ${
    $d Y a b x $.  $d W a b x $.  $d U a b x $.  $d Z a b x $.  $d V a b x $.
    $d B a b x $.  $d C a b x $.  $d F a b $.  $d X a b x $.  $d T x $.
    pwssplit1.y $e |- Y = ( W ^s U ) $.
    pwssplit1.z $e |- Z = ( W ^s V ) $.
    pwssplit1.b $e |- B = ( Base ` Y ) $.
    pwssplit1.c $e |- C = ( Base ` Z ) $.
    pwssplit1.f $e |- F = ( x e. B |-> ( x |` V ) ) $.
    $( Splitting for structure powers, part 0: restriction is a function.
       (Contributed by Stefan O'Rear, 24-Jan-2015.) $)
    pwssplit0 $p |- ( ( W e. T /\ U e. X /\ V C_ U ) -> F : B --> C ) $=
      ( wcel wf wb pwselbasb wss w3a cv cres cbs cfv eqid 3adant3 biimpa simpl3
      wa fssresd cvv simp1 simp2 simp3 ssexd syl2anc adantr mpbird fmptd ) HDQZ
      EIQZGEUAZUBZABAUCZGUDZCFVEVFBQZUKZVGCQZGHUEUFZVGRZVIEVKGVFVEVHEVKVFRZVBVC
      VHVMSVDVKHEBDVFJILVKUGZNTUHUIVBVCVDVHUJULVEVJVLSZVHVEVBGUMQVOVBVCVDUNVEGE
      IVBVCVDUOVBVCVDUPUQVKHGCDVGKUMMVNOTURUSUTPVA $.

    $( Splitting for structure powers, part 1: restriction is an onto function.
       The only actual monoid law we need here is that the base set is
       nonempty.  (Contributed by Stefan O'Rear, 24-Jan-2015.) $)
    pwssplit1 $p |- ( ( W e. Mnd /\ U e. X /\ V C_ U ) -> F : B -onto-> C ) $=
      ( wcel wf wceq cun c0 va vb cmnd wss w3a cfv wrex wral wfo pwssplit0 cdif
      cv wa c0g csn cxp cbs cin cvv wb simp1 simp2 simp3 eqid pwselbasb syl2anc
      ssexd biimpa fvex fconst a1i simpl1 mndidcl syl fssd disjdif fun syl21anc
      snssd simpl3 undif sylib unidm feq23d mpbid simpl2 cres fvtresfn resundir
      wfn ffn fnresdm 3syl disjdifr fnconstg ax-mp fnresdisj mp1i mpbii uneq12d
      mpbird eqtrid un0 eqtrdi eqtr2d fveq2 rspceeqv ralrimiva dffo3 sylanbrc )
      GUCPZDHPZFDUDZUEZBCEQUAULZUBULZEUFZRUBBUGZUACUHBCEUIABCUCDEFGHIJKLMNOUJXN
      XRUACXNXOCPZUMZXODFUKZGUNUFZUOZUPZSZBPZXOYEEUFZRXRXTYFDGUQUFZYEQZXTFYASZY
      HYHSZYEQZYIXTFYHXOQZYAYHYDQFYAURTRZYLXNXSYMXNXKFUSPXSYMUTXKXLXMVAXNFDHXKX
      LXMVBXKXLXMVCVGYHGFCUCXOJUSLYHVDZNVEVFVHZXTYAYCYHYDYAYCYDQXTYAYBGUNVIZVJV
      KXTYBYHXTXKYBYHPXKXLXMXSVLZYHGYBYOYBVDVMVNVSVOYNXTFDVPVKFYAYHYHXOYDVQVRXT
      YJYKDYHYEXTXMYJDRXKXLXMXSVTFDWAWBYKYHRXTYHWCVKWDWEXTXKXLYFYIUTYRXKXLXMXSW
      FYHGDBUCYEIHKYOMVEVFXAZXTYGYEFWGZXOXTYFYGYTRYSABEFYEOWHVNXTYTXOTSZXOXTYTX
      OFWGZYDFWGZSUUAXOYDFWIXTUUBXOUUCTXTYMXOFWJUUBXORYPFYHXOWKFXOWLWMXTYAFURTR
      ZUUCTRZFDWNYDYAWJZUUDUUEUTXTYBUSPUUFYQYAYBUSWOWPYAFYDWQWRWSWTXBXOXCXDXEUB
      YEBXQYGXOXPYEEXFXGVFXHUBUABCEXIXJ $.

    $( Splitting for structure powers, part 2: restriction is a group
       homomorphism.  (Contributed by Stefan O'Rear, 24-Jan-2015.) $)
    pwssplit2 $p |- ( ( W e. Grp /\ U e. X /\ V C_ U ) ->
        F e. ( Y GrpHom Z ) ) $=
      ( cgrp wcel cfv co cres va wss w3a cplusg eqid simp1 simp2 pwsgrp syl2anc
      vb cvv simp3 ssexd pwssplit0 cv wa cof offres adantl adantr simpl2 simprl
      wceq pwsplusgval reseq1d fvtresfn oveqan12d 3eqtr4d grpcl 3expb sylan syl
      simprr ffvelrnda adantrr adantrl isghmd ) GPQZDHQZFDUBZUCZUAUJIUDRZJUDRZI
      JEBCMNWBUEZWCUEZWAVRVSIPQZVRVSVTUFZVRVSVTUGZGDHIKUHUIZWAVRFUKQZJPQWGWAFDH
      WHVRVSVTULUMZGFUKJLUHUIABCPDEFGHIJKLMNOUNZWAUAUOZBQZUJUOZBQZUPZUPZWMWOWBS
      ZFTZWMERZWOERZGUDRZUQZSZWSERZXAXBWCSWRWMWOXDSZFTZWMFTZWOFTZXDSZWTXEWQXHXK
      VCWAFXCWMWOBBURUSWRWSXGFWRBXCWBGWMWODPHIKMWAVRWQWGUTZVRVSVTWQVAWAWNWPVBWA
      WNWPVMXCUEZWDVDVEWQXEXKVCWAWNWPXAXIXBXJXDABEFWMOVFABEFWOOVFVGUSVHWRWSBQZX
      FWTVCWAWFWQXNWIWFWNWPXNBWBIWMWOMWDVIVJVKABEFWSOVFVLWRCXCWCGXAXBFPUKJLNXLW
      AWJWQWKUTWAWNXACQWPWABCWMEWLVNVOWAWPXBCQWNWABCWOEWLVNVPXMWEVDVHVQ $.

    $( Splitting for structure powers, part 3: restriction is a module
       homomorphism.  (Contributed by Stefan O'Rear, 24-Jan-2015.) $)
    pwssplit3 $p |- ( ( W e. LMod /\ U e. X /\ V C_ U ) ->
        F e. ( Y LMHom Z ) ) $=
      ( clmod wcel cfv eqid cvv va wss w3a cvsca csca cbs simp1 pwslmod syl2anc
      vb simp2 simp3 ssexd wceq pwssca eqtr3d cgrp co lmodgrp pwssplit2 syl3an1
      cghm cv wa cres csn cxp cof snex xpexg sylancl vex offres adantr 3ad2ant3
      xpssres oveq1d simpl1 simpl2 fveq2d eleq2d biimpar adantrr simprr reseq1d
      eqtrd pwsvscafval fvtresfn ad2antll oveq2d lmodvscl 3expb sylan pwssplit0
      3eqtr4d syl ffvelrnda adantrl islmhmd ) GPQZDHQZFDUBZUCZUAUJIJIUDRZJUDRZE
      JUERZIUERZXGUFRZBMXDSZXESZXGSZXFSXHSZXCWTXAIPQZWTXAXBUGZWTXAXBUKZGDHIKUHU
      IZXCWTFTQZJPQXNXCFDHXOWTXAXBULUMZGFTJLUHUIXCGUERZXFXGXCWTXQXSXFUNXNXRGXSF
      PTJLXSSZUOUIXCWTXAXSXGUNXNXOGXSDPHIKXTUOUIZUPWTGUQQXAXBEIJVBURQGUSABCDEFG
      HIJKLMNOUTVAXCUAVCZXHQZUJVCZBQZVDZVDZYBYDXDURZFVEZFYBVFZVGZYDERZGUDRZVHZU
      RZYHERZYBYLXEURYGDYJVGZYDYNURZFVEZYKYDFVEZYNURZYIYOYGYSYQFVEZYTYNURZUUAXC
      YSUUCUNZYFXCYQTQZYDTQUUDXCXAYJTQUUEXOYBVIDYJHTVJVKUJVLFYMYQYDTTVMVKVNYGUU
      BYKYTYNXCUUBYKUNZYFXBWTUUFXADYJFVPVOVNVQWFYGYHYRFYGYBBGXDYMXSDXSUFRZPHYDI
      KMYMSZXIXTUUGSZWTXAXBYFVRZWTXAXBYFVSXCYCYBUUGQZYEXCUUKYCXCUUGXHYBXCXSXGUF
      YAVTWAWBWCZXCYCYEWDWGWEYGYLYTYKYNYEYLYTUNXCYCABEFYDOWHWIWJWOYGYHBQZYPYIUN
      XCXMYFUUMXPXMYCYEUUMYBXDXGXHBIYDMXKXIXLWKWLWMABEFYHOWHWPYGYBCGXEYMXSFUUGP
      TYLJLNUUHXJXTUUIUUJXCXQYFXRVNUULXCYEYLCQYCXCBCYDEABCPDEFGHIJKLMNOWNWQWRWG
      WOWS $.
  $}

  ${
    $d F a b c $.  $d R a b c $.  $d S a b c $.  $d B a b c $.  $d C a b c $.
    islmim.b $e |- B = ( Base ` R ) $.
    islmim.c $e |- C = ( Base ` S ) $.
    $( An isomorphism of left modules is a bijective homomorphism.
       (Contributed by Stefan O'Rear, 21-Jan-2015.) $)
    islmim $p |- ( F e. ( R LMIso S ) <-> ( F e. ( R LMHom S ) /\
          F : B -1-1-onto-> C ) ) $=
      ( vc va vb co wcel clmod cv wf1o clmhm wa cbs cfv wceq clmim crab df-lmim
      w3a rabex oveq12 wb fveq2 eqtr4di f1oeq23 syl2an rabeqbidv elovmpo df-3an
      f1oeq1 elrab anbi2i lmhmlmod1 lmhmlmod2 jca adantr pm4.71ri bitr4i 3bitri
      ovex ) ECDUAKLCMLZDMLZEABHNZOZHCDPKZUBZLZUDVFVGQZVLQZEVJLZABEOZQZMMINZRSZ
      JNZRSZVHOZHVRVTPKZUBUAVKECDIJJHIUCWBHWCVRVTPVEUEVRCTZVTDTZQWBVIHWCVJVRCVT
      DPUFWDVSATWABTWBVIUGWEWDVSCRSAVRCRUHFUIWEWADRSBVTDRUHGUIVSAWABVHUJUKULUMV
      FVGVLUNVNVMVQQVQVLVQVMVIVPHEVJABVHEUOUPUQVQVMVOVMVPVOVFVGCDEURCDEUSUTVAVB
      VCVD $.

    $( An isomorphism of left modules is a bijection.  (Contributed by Stefan
       O'Rear, 21-Jan-2015.) $)
    lmimf1o $p |- ( F e. ( R LMIso S ) -> F : B -1-1-onto-> C ) $=
      ( clmim co wcel clmhm wf1o islmim simprbi ) ECDHIJECDKIJABELABCDEFGMN $.
  $}

  $( An isomorphism of modules is a homomorphism.  (Contributed by Stefan
     O'Rear, 21-Jan-2015.) $)
  lmimlmhm $p |- ( F e. ( R LMIso S ) -> F e. ( R LMHom S ) ) $=
    ( clmim co wcel clmhm cbs cfv wf1o eqid islmim simplbi ) CABDEFCABGEFAHIZBH
    IZCJNOABCNKOKLM $.

  $( An isomorphism of modules is an isomorphism of groups.  (Contributed by
     Stefan O'Rear, 21-Jan-2015.)  (Revised by Mario Carneiro, 6-May-2015.) $)
  lmimgim $p |- ( F e. ( R LMIso S ) -> F e. ( R GrpIso S ) ) $=
    ( clmim wcel cghm cbs cfv wf1o cgim clmhm lmimlmhm lmghm eqid lmimf1o isgim
    co syl sylanbrc ) CABDQEZCABFQEZAGHZBGHZCICABJQETCABKQEUAABCLABCMRUBUCABCUB
    NZUCNZOUBUCABCUDUEPS $.

  $( An isomorphism of left modules is a homomorphism whose converse is a
     homomorphism.  (Contributed by Mario Carneiro, 6-May-2015.) $)
  islmim2 $p |- ( F e. ( R LMIso S ) <-> ( F e. ( R LMHom S ) /\
        `' F e. ( S LMHom R ) ) ) $=
    ( clmim co wcel clmhm cbs cfv wf1o ccnv eqid islmim lmhmf1o pm5.32i bitri
    wa ) CABDEFCABGEFZAHIZBHIZCJZQRCKBAGEFZQSTABCSLZTLZMRUAUBABCSTUCUDNOP $.

  $( The converse of a bijective module homomorphism is a bijective module
     homomorphism.  (Contributed by Stefan O'Rear, 25-Jan-2015.)  (Revised by
     Mario Carneiro, 6-May-2015.) $)
  lmimcnv $p |- ( F e. ( S LMIso T ) -> `' F e. ( T LMIso S ) ) $=
    ( clmhm co wcel ccnv wa clmim wrel wceq cbs cfv eqid lmhmf frel syl islmim2
    wf dfrel2 sylib id eqeltrd anim1ci 3imtr4i ) CABDEZFZCGZBADEFZHUIUHGZUFFZHC
    ABIEFUHBAIEFUGUKUIUGUJCUFUGCJZUJCKUGALMZBLMZCSULUMUNABCUMNUNNOUMUNCPQCTUAUG
    UBUCUDABCRBAUHRUE $.

  ${
    $d R f $.  $d S f $.  $d F f $.
    $( The relation "is isomorphic to" for modules.  (Contributed by Stefan
       O'Rear, 25-Jan-2015.) $)
    brlmic $p |- ( R ~=m S <-> ( R LMIso S ) =/= (/) ) $=
      ( clmic clmim clmod cxp df-lmic lmimfn brwitnlem ) ABCDEEFGHI $.

    $( Prove isomorphic by an explicit isomorphism.  (Contributed by Stefan
       O'Rear, 25-Jan-2015.) $)
    brlmici $p |- ( F e. ( R LMIso S ) -> R ~=m S ) $=
      ( clmim co wcel c0 wne clmic wbr ne0i brlmic sylibr ) CABDEZFNGHABIJNCKAB
      LM $.

    $( Isomorphism implies the left side is a module.  (Contributed by Stefan
       O'Rear, 25-Jan-2015.) $)
    lmiclcl $p |- ( R ~=m S -> R e. LMod ) $=
      ( vf clmic wbr cv clmim co wcel wex clmod c0 wne brlmic n0 bitri lmimlmhm
      clmhm lmhmlmod1 syl exlimiv sylbi ) ABDEZCFZABGHZIZCJZAKIZUCUELMUGABNCUEO
      PUFUHCUFUDABRHIUHABUDQABUDSTUAUB $.

    $( Isomorphism implies the right side is a module.  (Contributed by Mario
       Carneiro, 6-May-2015.) $)
    lmicrcl $p |- ( R ~=m S -> S e. LMod ) $=
      ( vf clmic wbr cv clmim co wcel wex clmod c0 wne brlmic n0 bitri lmimlmhm
      clmhm lmhmlmod2 syl exlimiv sylbi ) ABDEZCFZABGHZIZCJZBKIZUCUELMUGABNCUEO
      PUFUHCUFUDABRHIUHABUDQABUDSTUAUB $.

    $( Module isomorphism is symmetric.  (Contributed by Stefan O'Rear,
       26-Feb-2015.) $)
    lmicsym $p |- ( R ~=m S -> S ~=m R ) $=
      ( vf clmic wbr clmim co c0 wne brlmic cv wcel wex n0 ccnv lmimcnv brlmici
      syl exlimiv sylbi ) ABDEABFGZHIZBADEZABJUBCKZUALZCMUCCUANUEUCCUEUDOZBAFGL
      UCABUDPBAUFQRSTT $.
  $}

  ${
    $d x y C $.  $d w z F $.  $d w z G $.  $d f w x y z J $.  $d f w x y z K $.
    $d f w x y z L $.  $d f w x y z M $.  $d w x y z P $.  $d f w x y z ph $.
    $d w x y B $.  $d x y Q $.
    lmhmpropd.a $e |- ( ph -> B = ( Base ` J ) ) $.
    lmhmpropd.b $e |- ( ph -> C = ( Base ` K ) ) $.
    lmhmpropd.c $e |- ( ph -> B = ( Base ` L ) ) $.
    lmhmpropd.d $e |- ( ph -> C = ( Base ` M ) ) $.
    lmhmpropd.1 $e |- ( ph -> F = ( Scalar ` J ) ) $.
    lmhmpropd.2 $e |- ( ph -> G = ( Scalar ` K ) ) $.
    lmhmpropd.3 $e |- ( ph -> F = ( Scalar ` L ) ) $.
    lmhmpropd.4 $e |- ( ph -> G = ( Scalar ` M ) ) $.
    lmhmpropd.p $e |- P = ( Base ` F ) $.
    lmhmpropd.q $e |- Q = ( Base ` G ) $.
    lmhmpropd.e $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( x ( +g ` J ) y ) = ( x ( +g ` L ) y ) ) $.
    lmhmpropd.f $e |- ( ( ph /\ ( x e. C /\ y e. C ) ) ->
        ( x ( +g ` K ) y ) = ( x ( +g ` M ) y ) ) $.
    lmhmpropd.g $e |- ( ( ph /\ ( x e. P /\ y e. B ) ) ->
        ( x ( .s ` J ) y ) = ( x ( .s ` L ) y ) ) $.
    lmhmpropd.h $e |- ( ( ph /\ ( x e. Q /\ y e. C ) ) ->
        ( x ( .s ` K ) y ) = ( x ( .s ` M ) y ) ) $.
    $( Module homomorphism depends only on the module attributes of structures.
       (Contributed by Mario Carneiro, 8-Oct-2015.) $)
    lmhmpropd $p |- ( ph -> ( J LMHom K ) = ( L LMHom M ) ) $=
      ( vf vz vw clmhm co clmod wcel wa cghm csca cfv wceq cvsca wral lmodpropd
      cbs w3a anbi12d oveqrspc2v adantlr fveq2d simpll simplrr 3eqtr4g eleqtrrd
      cv simprl wf simplrl eqid ghmf simprr eleqtrd ffvelrnd syl12anc 2ralbidva
      eqeq12d pm5.32da df-3an 3bitr4g eqtrid raleqbidv 3anbi23d ghmpropd eleq2d
      syl raleqdv 3anbi123d 3bitr3d islmhm eqrdv ) AUHJKUKULZLMUKULZAJUMUNZKUMU
      NZUOZUHVMZJKUPULZUNZKUQURZJUQURZUSZUIVMZUJVMZJUTURZULZXDURZXJXKXDURZKUTUR
      ZULZUSZUJJVCURZVAZUIXHVCURZVAZVDZUOLUMUNZMUMUNZUOZXDLMUPULZUNZMUQURZLUQUR
      ZUSZXJXKLUTURZULZXDURZXJXOMUTURZULZUSZUJLVCURZVAZUIYJVCURZVAZVDZUOXDWSUNX
      DWTUNAXCYFYCUUBAXAYDXBYEABCDFHJLNPUDRTUBUFVBABCEGIKMOQUESUAUCUGVBVEAXFIHU
      SZXRUJDVAZUIFVAZVDZXFUUCYQUJDVAZUIFVAZVDZYCUUBAXFUUCUOZUUEUOUUJUUHUOUUFUU
      IAUUJUUEUUHAUUJUOZXRYQUIUJFDUUKXJFUNZXKDUNZUOZUOZXNYNXQYPUUOXMYMXDAUUNXMY
      MUSUUJABCFDXLYLXJXKUFVFVGVHUUOAXJGUNXOEUNXQYPUSAUUJUUNVIZUUOXJFGUUKUULUUM
      VNUUOIVCURHVCURZGFUUOIHVCAXFUUCUUNVJVHUCUBVKVLUUOXOKVCURZEUUOXSUURXKXDUUO
      XFXSUURXDVOAXFUUCUUNVPJKXDXSUURXSVQZUURVQVRWMUUOXKDXSUUKUULUUMVSUUOADXSUS
      UUPNWMVTWAUUOAEUURUSUUPOWMVLABCGEXPYOXJXOUGVFWBWDWCWEXFUUCUUEWFXFUUCUUHWF
      WGAUUCXIUUEYBXFAIXGHXHSRWDAUUDXTUIFYAAFUUQYAUBAHXHVCRVHWHAXRUJDXSNWNWIWJA
      XFYHUUCYKUUHUUAAXEYGXDABCDEJKLMNOPQUDUEWKWLAIYIHYJUATWDAUUGYSUIFYTAFUUQYT
      UBAHYJVCTVHWHAYQUJDYRPWNWIWOWPVEUIUJYAJKXLXPXSXDXHXGXHVQXGVQYAVQUUSXLVQXP
      VQWQUIUJYTLMYLYOYRXDYJYIYJVQYIVQYTVQYRVQYLVQYOVQWQWGWR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subspace sum; bases for a left module
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c LBasis $.

  $( Extend class notation with the set of bases for a vector space. $)
  clbs $a class LBasis $.

  ${
    $d b n s w x y $.
    $( Define the set of bases to a left module or left vector space.
       (Contributed by Mario Carneiro, 24-Jun-2014.) $)
    df-lbs $a |- LBasis = ( w e. _V |-> { b e. ~P ( Base ` w ) |
 [. ( LSpan ` w ) / n ]. [. ( Scalar ` w ) / s ]. ( ( n ` b ) = ( Base ` w ) /\
       A. x e. b A. y e. ( ( Base ` s ) \ { ( 0g ` s ) } )
       -. ( y ( .s ` w ) x ) e. ( n ` ( b \ { x } ) ) ) } ) $.

    $(
    df-lbs @a |- LBasis = ( w e. _V |-> { b e. ~P ( Base ` w ) |
      ( ( ( LSpan ` w ) ` b ) = ( Base ` w ) /\ A. x e. ( ~P b i^i Fin )
       A. f e. ( ( Base ` ( Scalar ` w ) ) ^m x )
       ( ( w gsum ( f oF ( .s ` w ) ( _I |` x ) ) ) = ( 0g ` w ) ->
         f = ( x X. { ( 0g ` w ) } ) ) } ) @.

    df-lbs @a |- LBasis = ( w e. _V |-> { b e. ~P ( Base ` w ) |
      [. ( Base ` ( ( Scalar ` w ) freeLMod b ) ) / k ]. ( f e. k |->
        ( w gsum ( f oF ( .s ` w ) ( _I |` b ) ) ) ) :
           k -1-1-onto-> ( Base ` w ) } ) @.
    $)
  $}

  ${
    $d b x y B $.  $d b f n w y K $.  $d b f n w x y N $.  $d b f n w x y W $.
    $d x y F $.  $d b f n w .x. $.  $d b f n w V $.  $d b f n w y .0. $.
    islbs.v $e |- V = ( Base ` W ) $.
    islbs.f $e |- F = ( Scalar ` W ) $.
    islbs.s $e |- .x. = ( .s ` W ) $.
    islbs.k $e |- K = ( Base ` F ) $.
    islbs.j $e |- J = ( LBasis ` W ) $.
    islbs.n $e |- N = ( LSpan ` W ) $.
    islbs.z $e |- .0. = ( 0g ` F ) $.
    $( The predicate " ` B ` is a basis for the left module or vector space
       ` W ` ".  A subset of the base set is a basis if zero is not in the set,
       it spans the set, and no nonzero multiple of an element of the basis is
       in the span of the rest of the family.  (Contributed by Mario Carneiro,
       24-Jun-2014.)  (Revised by Mario Carneiro, 14-Jan-2015.) $)
    islbs $p |- ( W e. X -> ( B e. J <-> ( B C_ V /\ ( N ` B ) = V /\ A. x e. B
      A. y e. ( K \ { .0. } ) -. ( y .x. x ) e. ( N ` ( B \ { x } ) ) ) ) ) $=
      ( cfv vb vw vn vf wcel cv wceq co csn cdif wral cpw crab wss w3a cvv elex
      wn wa clbs cbs cvsca c0g csca wsbc clspn fveq2 eqtr4di pweqd fvexd adantr
      simplr fveq1d ad2antrr eqeq12d simpr fveq2d sneqd difeq12d eleq12d notbid
      oveqd raleqbidv ralbidv anbi12d sbcied2 rabeqbidv df-lbs fvexi pwex rabex
      fvmpt eqtrid eleq2d elpw2 anbi1i fveqeq2 difeq1 raleqbi1dv 3anass 3bitr4i
      syl elrab bitrdi ) JKUEZCFUECUAUFZHTZIUGZBUFZAUFZDUHZXFXJUIZUJZHTZUEZURZB
      GLUIZUJZUKZAXFUKZUSZUAIULZUMZUEZCIUNZCHTIUGZXKCXLUJZHTZUEZURZBXRUKZACUKZU
      OZXEFYCCXEJUPUEZFYCUGJKUQYNFJUTTYCQUBJXFUCUFZTZUBUFZVATZUGZXIXJYQVBTZUHZX
      MYOTZUEZURZBUDUFZVATZUUEVCTZUIZUJZUKZAXFUKZUSZUDYQVDTZVEZUCYQVFTZVEZUAYRU
      LZUMYCUPUTYQJUGZUUPYAUAUUQYBUURYRIUURYRJVATIYQJVAVGMVHZVIUURUUNYAUCUUOHUP
      UURYQVFVJUURUUOJVFTHYQJVFVGRVHUURYOHUGZUSZUULYAUDUUMEUPUVAYQVDVJUVAUUMJVD
      TZEUURUUMUVBUGUUTYQJVDVGVKNVHUVAUUEEUGZUSZYSXHUUKXTUVDYPXGYRIUVDXFYOHUURU
      UTUVCVLZVMUURYRIUGUUTUVCUUSVNVOUVDUUJXSAXFUVDUUDXPBUUIXRUVDUUFGUUHXQUVDUU
      FEVATGUVDUUEEVAUVAUVCVPZVQPVHUVDUUGLUVDUUGEVCTLUVDUUEEVCUVFVQSVHVRVSUVDUU
      CXOUVDUUAXKUUBXNUVDYTDXIXJUURYTDUGUUTUVCUURYTJVBTDYQJVBVGOVHVNWBUVDXMYOHU
      VEVMVTWAWCWDWEWFWFWGABUBUCUDUAWHYAUAYBIIJVAMWIZWJWKWLWMXBWNCYBUEZYFYLUSZU
      SYEUVIUSYDYMUVHYEUVICIUVGWOWPYAUVIUACYBXFCUGZXHYFXTYLXFCIHWQXSYKAXFCUVJXP
      YJBXRUVJXOYIUVJXNYHXKUVJXMYGHXFCXLWRVQWNWAWDWSWEXCYEYFYLWTXAXD $.
  $}

  ${
    $d y A $.  $d x y B $.  $d x y E $.  $d x y F $.  $d x y K $.  $d x y N $.
    $d x y .x. $.  $d x y W $.  $d x y .0. $.
    lbsss.v $e |- V = ( Base ` W ) $.
    lbsss.j $e |- J = ( LBasis ` W ) $.
    $( A basis is a set of vectors.  (Contributed by Mario Carneiro,
       24-Jun-2014.) $)
    lbsss $p |- ( B e. J -> B C_ V ) $=
      ( vy vx wcel wss clspn cfv wceq cv cvsca csn cdif wral clbs eqid csca cbs
      co wn c0g w3a cdm wb elfvdm eleq2s islbs syl ibi simp1d ) ABIZACJZADKLZLC
      MZGNHNZDOLZUCAUSPQUQLIUDGDUALZUBLZVAUELZPQRHARZUOUPURVDUFZUODSUGZIZUOVEUH
      VGADSLBADSUIFUJHGAUTVABVBUQCDVFVCEVATUTTVBTFUQTVCTUKULUMUN $.

    $( An element of a basis is a vector.  (Contributed by Mario Carneiro,
       24-Jun-2014.) $)
    lbsel $p |- ( ( B e. J /\ E e. B ) -> E e. V ) $=
      ( wcel lbsss sselda ) ACHADBACDEFGIJ $.

    lbssp.n $e |- N = ( LSpan ` W ) $.
    $( The span of a basis is the whole space.  (Contributed by Mario Carneiro,
       24-Jun-2014.) $)
    lbssp $p |- ( B e. J -> ( N ` B ) = V ) $=
      ( vy vx wcel wss cfv wceq cv csn cdif wral clbs eqid cvsca co wn csca cbs
      c0g w3a cdm wb elfvdm eleq2s islbs syl ibi simp2d ) ABKZADLZACMDNZIOJOZEU
      AMZUBAUSPQCMKUCIEUDMZUEMZVAUFMZPQRJARZUPUQURVDUGZUPESUHZKZUPVEUIVGAESMBAE
      SUJGUKJIAUTVABVBCDEVFVCFVATUTTVBTGHVCTULUMUNUO $.

    lbsind.f $e |- F = ( Scalar ` W ) $.
    lbsind.s $e |- .x. = ( .s ` W ) $.
    lbsind.k $e |- K = ( Base ` F ) $.
    lbsind.z $e |- .0. = ( 0g ` F ) $.
    $( A basis is linearly independent; that is, every element has a span which
       trivially intersects the span of the remainder of the basis.
       (Contributed by Mario Carneiro, 12-Jan-2015.) $)
    lbsind $p |- ( ( ( B e. J /\ E e. B ) /\ ( A e. K /\ A =/= .0. ) ) ->
        -. ( A .x. E ) e. ( N ` ( B \ { E } ) ) ) $=
      ( vy wcel vx wne wa csn cdif co cfv wn eldifsn wral wss wceq w3a clbs cdm
      cv wb elfvdm eleq2s islbs syl ibi simp3d oveq2 sneq difeq2d fveq2d notbid
      eleq12d oveq1 eleq1d rspc2v syl5com impl sylan2br ) AGTAKUBUCBFTZDBTZUCAG
      KUDUEZTZADCUFZBDUDZUEZHUGZTZUHZAGKUIVPVQVSWEVPSUPZUAUPZCUFZBWGUDZUEZHUGZT
      ZUHZSVRUJUABUJZVQVSUCWEVPBIUKZBHUGIULZWNVPWOWPWNUMZVPJUNUOZTZVPWQUQWSBJUN
      UGFBJUNURMUSUASBCEFGHIJWRKLOPQMNRUTVAVBVCWMWEWFDCUFZWCTZUHUASDABVRWGDULZW
      LXAXBWHWTWKWCWGDWFCVDXBWJWBHXBWIWABWGDVEVFVGVIVHWFAULZXAWDXCWTVTWCWFADCVJ
      VKVHVLVMVNVO $.
  $}

  ${
    lbsind2.j $e |- J = ( LBasis ` W ) $.
    lbsind2.n $e |- N = ( LSpan ` W ) $.
    lbsind2.f $e |- F = ( Scalar ` W ) $.
    lbsind2.o $e |- .1. = ( 1r ` F ) $.
    lbsind2.z $e |- .0. = ( 0g ` F ) $.
    $( A basis is linearly independent; that is, every element is not in the
       span of the remainder of the basis.  (Contributed by Mario Carneiro,
       25-Jun-2014.)  (Revised by Mario Carneiro, 12-Jan-2015.) $)
    lbsind2 $p |- ( ( ( W e. LMod /\ .1. =/= .0. ) /\ B e. J /\ E e. B ) ->
                   -. E e. ( N ` ( B \ { E } ) ) ) $=
      ( clmod wcel wne cfv cbs eqid syl2anc wa w3a cvsca co csn cdif wceq simp2
      simp1l simp3 lmodvs1 wn crg lmodring ringidcl 3syl simp1r lbsind syl22anc
      lbsel eqneltrrd ) GNOZBHPZUAZAEOZCAOZUBZBCGUCQZUDZCACUEUFFQZVGVBCGRQZOZVI
      CUGVBVCVEVFUIZVGVEVFVLVDVEVFUHZVDVEVFUJZACEVKGVKSZIUTTVHBDVKGCVPKVHSZLUKT
      VGVEVFBDRQZOZVCVIVJOULVNVOVGVBDUMOVSVMDGKUNVRDBVRSZLUOUPVBVCVEVFUQBAVHCDE
      VRFVKGHVPIJKVQVTMURUSVA $.

    $d x y .0. $.  $d x y B $.  $d x y C $.  $d x y J $.  $d x N $.  $d x V $.
    $d x y .1. $.  $d x y W $.
    lbspss.v $e |- V = ( Base ` W ) $.
    $( No proper subset of a basis spans the space.  (Contributed by Mario
       Carneiro, 25-Jun-2014.) $)
    lbspss $p |- ( ( ( W e. LMod /\ .1. =/= .0. ) /\ B e. J /\ C C. B ) ->
      ( N ` C ) =/= V ) $=
      ( vx vy wcel wne wa clmod wpss w3a cv wn cfv pssnel 3ad2ant3 simpl2 lbsss
      wex wss syl simprl sseldd csn simpl1l ssdifssd simpl3 pssssd sseld simprr
      cdif eleq1w notbid syl5ibrcom necon2ad jcad eldifsn syl6ibr ssrdv syl3anc
      lspss simpl1r lbsind2 syl211anc ssneldd nelne1 syl2anc necomd exlimddv
      weq ) HUARZCISZTZAERZBAUBZUCZPUDZARZWIBRZUEZTZBFUFZGSPWGWEWMPUKWFPBAUGUHW
      HWMTZGWNWOWIGRWIWNRUEGWNSWOAGWIWOWFAGULWEWFWGWMUIZAEGHOJUJUMZWHWJWLUNZUOW
      OWNAWIUPZVCZFUFZWIWOWCWTGULBWTULWNXAULWCWDWFWGWMUQZWOAGWSWQURWOQBWTWOQUDZ
      BRZXCARZXCWISZTXCWTRWOXDXEXFWOBAXCWOBAWEWFWGWMUSUTVAWOXDXCWIWOXDUEQPWBZWL
      WHWJWLVBXGXDWKQPBVDVEVFVGVHXCAWIVIVJVKBWTFGHOKVMVLWOWCWDWFWJWIXARUEXBWCWD
      WFWGWMVNWPWRACWIDEFHIJKLMNVOVPVQWIGWNVRVSVTWA $.
  $}

  ${
    $d a d e u .(+) $.  $d a d e u S $.  $d a d e u T $.  $d a d e u U $.
    $d a d e u W $.
    lsmcl.s $e |- S = ( LSubSp ` W ) $.
    lsmcl.p $e |- .(+) = ( LSSum ` W ) $.
    $( The sum of two subspaces is a subspace.  (Contributed by NM,
       4-Feb-2014.)  (Revised by Mario Carneiro, 19-Apr-2016.) $)
    lsmcl $p |- ( ( W e. LMod /\ T e. S /\ U e. S ) -> ( T .(+) U ) e. S ) $=
      ( va vu vd ve wcel co cfv cv wral wa eqid syl2anc syl22anc clmod w3a csca
      csubg cvsca cbs lmodabl 3ad2ant1 lsssubg 3adant3 3adant2 lsmsubg2 syl3anc
      cabl cplusg wceq wrex lsmelval adantr simpll1 simplr simpll2 simprl lssel
      simpll3 simprr lmodvsdi lssvscl lsmelvali eqeltrd oveq2 eleq1d syl5ibrcom
      wb syl13anc rexlimdvva sylbid impr ralrimivva islss4 mpbir2and ) EUALZCBL
      ZDBLZUBZCDAMZBLZWFEUDNZLZHOZIOZEUENZMZWFLZIWFPHEUCNZUFNZPZWEEUNLZCWHLZDWH
      LZWIWBWCWRWDEUGUHWBWCWSWDBCEFUIZUJZWBWDWTWCBDEFUIZUKZACDEGULUMWEWNHIWPWFW
      EWJWPLZWKWFLZWNWEXEQZXFWKJOZKOZEUONZMZUPZKDUQJCUQZWNWEXFXMVNZXEWEWSWTXNXB
      XDJKXJACDEWKXJRZGURSUSXGXLWNJKCDXGXHCLZXIDLZQZQZWNXLWJXKWLMZWFLXSXTWJXHWL
      MZWJXIWLMZXJMZWFXSWBXEXHEUFNZLZXIYDLZXTYCUPWBWCWDXEXRUTZWEXEXRVAZXSWCXPYE
      WBWCWDXEXRVBZXGXPXQVCZBCYDEXHYDRZFVDSXSWDXQYFWBWCWDXEXRVEZXGXPXQVFZBDYDEX
      IYKFVDSXJWJWLWOWPYDEXHXIYKXOWORZWLRZWPRZVGVOXSWSWTYACLZYBDLZYCWFLXSWBWCWS
      YGYIXASXSWBWDWTYGYLXCSXSWBWCXEXPYQYGYIYHYJWPBWLCWOEWJXHYNYOYPFVHTXSWBWDXE
      XQYRYGYLYHYMWPBWLDWOEWJXIYNYOYPFVHTXJACDEYAYBXOGVITVJXLWMXTWFWKXKWJWLVKVL
      VMVPVQVRVSWBWCWGWIWQQVNWDWPBWLWFWOYDEHIYNYPYKYOFVTUHWA $.
  $}

  ${
    $d j k v w .+ $.  $d j k F $.  $d j k v w K $.  $d j k v w N $.
    $d j k v w .x. $.  $d j k v w U $.  $d j k V $.  $d j k v w W $.
    $d j k v w X $.  $d j k v w Y $.  $d j k v w ph $.
    lsmspsn.v $e |- V = ( Base ` W ) $.
    lsmspsn.a $e |- .+ = ( +g ` W ) $.
    lsmspsn.f $e |- F = ( Scalar ` W ) $.
    lsmspsn.k $e |- K = ( Base ` F ) $.
    lsmspsn.t $e |- .x. = ( .s ` W ) $.
    lsmspsn.p $e |- .(+) = ( LSSum ` W ) $.
    lsmspsn.n $e |- N = ( LSpan ` W ) $.
    lsmspsn.w $e |- ( ph -> W e. LMod ) $.
    lsmspsn.x $e |- ( ph -> X e. V ) $.
    lsmspsn.y $e |- ( ph -> Y e. V ) $.
    $( Member of subspace sum of spans of singletons.  (Contributed by NM,
       8-Apr-2015.) $)
    lsmspsn $p |- ( ph -> ( U e. ( ( N ` { X } ) .(+) ( N ` { Y } ) )
            <-> E. j e. K E. k e. K U = ( ( j .x. X ) .+ ( k .x. Y ) ) ) ) $=
      ( vv vw csn cfv co wcel cv wceq wrex wa csubg wb clmod lspsnsubg lsmelval
      syl2anc lspsnel anbi12d biimpa biantrurd r19.41v rexbii 3bitrri 2rexbidva
      reeanv anbi1i bitrdi adantr simprl lspsneli simprr oveq1 eqeq2d ceqsrex2v
      rexrot4 oveq2 3bitrd ) AEMUGJUHZNUGJUHZCUIUJZEUEUKZUFUKZBUIZULZUFWCUMUEWB
      UMZWEFUKZMDUIZULZWFGUKZNDUIZULZUNZWHUNZUFWCUMUEWBUMZGIUMFIUMZEWKWNBUIZULZ
      GIUMFIUMAWBLUOUHZUJZWCXBUJZWDWIUPALUQUJZMKUJZXCUBUCJKLMOUAURUTAXENKUJZXDU
      BUDJKLNOUAURUTUEUFBCWBWCLEPTUSUTAWIWQGIUMZFIUMZUFWCUMUEWBUMWSAWHXIUEUFWBW
      CAWEWBUJZWFWCUJZUNZUNZWHWLFIUMZWOGIUMZUNZWHUNZXIXMXPWHAXLXPAXJXNXKXOAXEXF
      XJXNUPUBUCDWEFHIJKLMQROSUAVAUTAXEXGXKXOUPUBUDDWFGHIJKLNQROSUAVAUTVBVCVDXI
      WPGIUMZWHUNZFIUMXRFIUMZWHUNXQXHXSFIWPWHGIVEVFXRWHFIVEXTXPWHWLWOFGIIVIVJVG
      VKVHWQUEUFFGWBWCIIVSVKAWRXAFGIIAWJIUJZWMIUJZUNZUNZWKWBUJWNWCUJWRXAUPYDWJD
      HIJKLMOSQRUAAXEYCUBVLZAYAYBVMAXFYCUCVLVNYDWMDHIJKLNOSQRUAYEAYAYBVOAXGYCUD
      VLVNWHEWKWFBUIZULXAUEUFWKWNWBWCWLWGYFEWEWKWFBVPVQWOYFWTEWFWNWKBVTVQVRUTVH
      WA $.
  $}

  ${
    $d y z .(+) $.  $d y z T $.  $d y z U $.  $d y z V $.  $d y z W $.
    $d y z X $.  $d y z ph $.
    lsmelval2.v $e |- V = ( Base ` W ) $.
    lsmelval2.s $e |- S = ( LSubSp ` W ) $.
    lsmelval2.p $e |- .(+) = ( LSSum ` W ) $.
    lsmelval2.n $e |- N = ( LSpan ` W ) $.
    lsmelval2.w $e |- ( ph -> W e. LMod ) $.
    lsmelval2.t $e |- ( ph -> T e. S ) $.
    lsmelval2.u $e |- ( ph -> U e. S ) $.
    $( Subspace sum membership in terms of a sum of 1-dim subspaces (atoms),
       which can be useful for treating subspaces as projective lattice
       elements.  (Contributed by NM, 9-Aug-2014.) $)
    lsmelval2 $p |- ( ph -> ( X e. ( T .(+) U ) <-> ( X e. V /\ E. y e. T
       E. z e. U ( N ` { X } ) C_ ( ( N ` { y } ) .(+) ( N ` { z } ) ) ) ) ) $=
      ( wcel syl2anc co csn cfv cv wa wrex cplusg wceq csubg clmod lsssubg eqid
      wss wb lsmelval wi adantr simprl lssel lspsncl lspsnid lsmelvali syl22anc
      simprr eleq1a syl lsmcl syl3anc lspsnel6 sylibd reximdvva sylbid lsmless1
      lspsnel5a lsmless2 sstrd sseld sylbird impbid r19.42v rexbii bitri bitrdi
      rexlimdvva ) AKFGDUAZSZKISZKUBHUCBUDZUBHUCZCUDZUBHUCZDUAZUMZUEZCGUFZBFUFZ
      WGWMCGUFZBFUFUEZAWFWPAWFKWHWJJUGUCZUAZUHZCGUFBFUFZWPAFJUIUCZSZGXCSZWFXBUN
      AJUJSZFESZXDPQEFJMUKTZAXFGESZXEPREGJMUKTZBCWSDFGJKWSULZNUOTAXAWNBCFGAWHFS
      ZWJGSZUEZUEZXAKWLSZWNXOWTWLSZXAXPUPXOWIXCSZWKXCSZWHWISZWJWKSZXQXOXFWIESZX
      RAXFXNPUQZXOXFWHISZYBYCXOXGXLYDAXGXNQUQZAXLXMURZEFIJWHLMUSTZEHIJWHLMOUTTZ
      EWIJMUKTXOXFWKESZXSYCXOXFWJISZYIYCXOXIXMYJAXIXNRUQZAXLXMVDZEGIJWJLMUSTZEH
      IJWJLMOUTTZEWKJMUKTZXOXFYDXTYCYGHIJWHLOVATXOXFYJYAYCYMHIJWJLOVATWSDWIWKJW
      HWJXKNVBVCWTWLKVEVFXOEWLHIJKLMOYCXOXFYBYIWLESYCYHYNDEWIWKJMNVGVHVIZVJVKVL
      AWNWFBCFGXOWNXPWFYPXOWLWEKXOWLFWKDUAZWEXOXDXSWIFUMWLYQUMAXDXNXHUQZYOXOEFH
      JWHMOYCYEYFVNDWIFWKJNVMVHXOXDXEWKGUMYQWEUMYRAXEXNXJUQXOEGHJWJMOYCYKYLVNDF
      WKGJNVOVHVPVQVRWDVSWPWGWQUEZBFUFWRWOYSBFWGWMCGVTWAWGWQBFVTWBWC $.
  $}

  ${
    lsmsp.s $e |- S = ( LSubSp ` W ) $.
    lsmsp.n $e |- N = ( LSpan ` W ) $.
    lsmsp.p $e |- .(+) = ( LSSum ` W ) $.
    $( Subspace sum in terms of span.  (Contributed by NM, 6-Feb-2014.)  (Proof
       shortened by Mario Carneiro, 21-Jun-2014.) $)
    lsmsp $p |- ( ( W e. LMod /\ T e. S /\ U e. S )
       -> ( T .(+) U ) = ( N ` ( T u. U ) ) ) $=
      ( clmod wcel w3a co cun cfv wss lssss syl2anc sseldd syl3anc cbs 3ad2ant2
      simp1 3ad2ant3 unssd lspssid unssad unssbd csubg wa wb lsssssubg 3ad2ant1
      eqid simp2 simp3 lspcl lsmlub mpbi2and lsmcl lsmunss lspssp eqssd ) FJKZC
      BKZDBKZLZCDAMZCDNZEOZVGCVJPZDVJPZVHVJPZVGCDVJVGVDVIFUAOZPZVIVJPVDVEVFUCZV
      GCDVNVEVDCVNPVFBCVNFVNUNZGQUBVFVDDVNPVEBDVNFVQGQUDUEZVIEVNFVQHUFRZUGVGCDV
      JVSUHVGCFUIOZKZDVTKZVJVTKVKVLUJVMUKVGBVTCVDVEBVTPVFBFGULUMZVDVEVFUOSZVGBV
      TDWCVDVEVFUPSZVGBVTVJWCVGVDVOVJBKVPVRBVIEVNFVQGHUQRSACDVJFIURTUSVGVDVHBKV
      IVHPZVJVHPVPABCDFGIUTVGWAWBWFWDWEACDFIVARBVIVHEFGHVBTVC $.
  $}

  ${
    lsmsp2.v $e |- V = ( Base ` W ) $.
    lsmsp2.n $e |- N = ( LSpan ` W ) $.
    lsmsp2.p $e |- .(+) = ( LSSum ` W ) $.
    $( Subspace sum of spans of subsets is the span of their union.
       ( ~ spanuni analog.)  (Contributed by NM, 22-Feb-2014.)  (Revised by
       Mario Carneiro, 21-Jun-2014.) $)
    lsmsp2 $p |- ( ( W e. LMod /\ T C_ V /\ U C_ V )
       -> ( ( N ` T ) .(+) ( N ` U ) ) = ( N ` ( T u. U ) ) ) $=
      ( clmod wcel wss w3a cfv co cun clss wceq simp1 lspcl 3adant3 lsmsp lspun
      eqid 3adant2 syl3anc eqtr4d ) FJKZBELZCELZMZBDNZCDNZAOZULUMPDNZBCPDNUKUHU
      LFQNZKZUMUPKZUNUORUHUIUJSUHUIUQUJUPBDEFGUPUDZHTUAUHUJURUIUPCDEFGUSHTUEAUP
      ULUMDFUSHIUBUFBCDEFGHUCUG $.

    lsmssspx.t $e |- ( ph -> T C_ V ) $.
    lsmssspx.u $e |- ( ph -> U C_ V ) $.
    lsmssspx.w $e |- ( ph -> W e. LMod ) $.
    $( Subspace sum (in its extended domain) is a subset of the span of the
       union of its arguments.  (Contributed by NM, 6-Aug-2014.) $)
    lsmssspx $p |- ( ph -> ( T .(+) U ) C_ ( N ` ( T u. U ) ) ) $=
      ( co cfv clmod wss lspssv syl2anc lspssid wcel lsmless1x lsmless2x lsmsp2
      cun syl31anc sstrd wceq syl3anc sseqtrd ) ACDBNZCEOZDEOZBNZCDUEEOZAUKULDB
      NZUNAGPUAZULFQZDFQZCULQZUKUPQMAUQCFQZURMKCEFGHIRSZLAUQVAUTMKCEFGHITSFBCUL
      DGPHJUBUFAUQURUMFQZDUMQZUPUNQMVBAUQUSVCMLDEFGHIRSAUQUSVDMLDEFGHITSFBULDUM
      GPHJUCUFUGAUQVAUSUNUOUHMKLBCDEFGHIJUDUIUJ $.
  $}

  ${
    lsmpr.v $e |- V = ( Base ` W ) $.
    lsmpr.n $e |- N = ( LSpan ` W ) $.
    lsmpr.p $e |- .(+) = ( LSSum ` W ) $.
    lsmpr.w $e |- ( ph -> W e. LMod ) $.
    lsmpr.x $e |- ( ph -> X e. V ) $.
    lsmpr.y $e |- ( ph -> Y e. V ) $.
    $( The span of a pair of vectors equals the sum of the spans of their
       singletons.  (Contributed by NM, 13-Jan-2015.) $)
    lsmpr $p |- ( ph
         -> ( N ` { X , Y } ) = ( ( N ` { X } ) .(+) ( N ` { Y } ) ) ) $=
      ( csn cun cfv wcel wss wceq snssd cpr co clmod lspun syl3anc df-pr fveq2i
      a1i clss eqid lspsncl syl2anc lsmsp 3eqtr4d ) AFNZGNZOZCPZUOCPZUPCPZOCPZF
      GUAZCPZUSUTBUBZAEUCQZUODRUPDRURVASKAFDLTAGDMTUOUPCDEHIUDUEVCURSAVBUQCFGUF
      UGUHAVEUSEUIPZQZUTVFQZVDVASKAVEFDQVGKLVFCDEFHVFUJZIUKULAVEGDQVHKMVFCDEGHV
      IIUKULBVFUSUTCEVIIJUMUEUN $.
  $}

  ${
    lsppreli.v $e |- V = ( Base ` W ) $.
    lsppreli.p $e |- .+ = ( +g ` W ) $.
    lsppreli.t $e |- .x. = ( .s ` W ) $.
    lsppreli.f $e |- F = ( Scalar ` W ) $.
    lsppreli.k $e |- K = ( Base ` F ) $.
    lsppreli.n $e |- N = ( LSpan ` W ) $.
    lsppreli.w $e |- ( ph -> W e. LMod ) $.
    lsppreli.a $e |- ( ph -> A e. K ) $.
    lsppreli.b $e |- ( ph -> B e. K ) $.
    lsppreli.x $e |- ( ph -> X e. V ) $.
    lsppreli.y $e |- ( ph -> Y e. V ) $.
    $( A vector expressed as a sum belongs to the span of its components.
       (Contributed by NM, 9-Apr-2015.) $)
    lsppreli $p |- ( ph ->
      ( ( A .x. X ) .+ ( B .x. Y ) ) e. ( N ` { X , Y } ) ) $=
      ( csn cfv clsm csubg wcel clmod lspsnsubg syl2anc lspsneli eqid lsmelvali
      co cpr syl22anc lsmpr eleqtrrd ) ABKEUOZCLEUOZDUOZKUDHUEZLUDHUEZJUFUEZUOZ
      KLUPHUEAVCJUGUEZUHZVDVGUHZUTVCUHVAVDUHVBVFUHAJUIUHZKIUHVHSUBHIJKMRUJUKAVJ
      LIUHVISUCHIJLMRUJUKABEFGHIJKMOPQRSTUBULACEFGHIJLMOPQRSUAUCULDVEVCVDJUTVAN
      VEUMZUNUQAVEHIJKLMRVKSUBUCURUS $.
  $}

  ${
    lsmelpr.v $e |- V = ( Base ` W ) $.
    lsmelpr.n $e |- N = ( LSpan ` W ) $.
    lsmelpr.p $e |- .(+) = ( LSSum ` W ) $.
    lsmelpr.w $e |- ( ph -> W e. LMod ) $.
    lsmelpr.x $e |- ( ph -> X e. V ) $.
    lsmelpr.y $e |- ( ph -> Y e. V ) $.
    lsmelpr.z $e |- ( ph -> Z e. V ) $.
    $( Two ways to say that a vector belongs to the span of a pair of vectors.
       (Contributed by NM, 14-Jan-2015.) $)
    lsmelpr $p |- ( ph -> ( X e. ( N ` { Y , Z } )
           <-> ( N ` { X } ) C_ ( ( N ` { Y } ) .(+) ( N ` { Z } ) ) ) ) $=
      ( cpr cfv wcel csn wss co clss eqid lspprcl lspsnel5 lsmpr sseq2d bitrd )
      AFGHPCQZRFSCQZUITUJGSCQHSCQBUAZTAEUBQZUICDEFIULUCZJLAULCDEGHIUMJLNOUDMUEA
      UIUKUJABCDEGHIJKLNOUFUGUH $.
  $}

  ${
    lsppr0.v $e |- V = ( Base ` W ) $.
    lsppr0.z $e |- .0. = ( 0g ` W ) $.
    lsppr0.n $e |- N = ( LSpan ` W ) $.
    lsppr0.w $e |- ( ph -> W e. LMod ) $.
    lsppr0.x $e |- ( ph -> X e. V ) $.
    $( The span of a vector paired with zero equals the span of the singleton
       of the vector.  (Contributed by NM, 29-Aug-2014.) $)
    lsppr0 $p |- ( ph -> ( N ` { X , .0. } ) = ( N ` { X } ) ) $=
      ( cpr cfv csn clsm co eqid wcel syl wceq lmod0vcl lspsn0 oveq2d lspsnsubg
      clmod lsmpr csubg syl2anc lsm01 3eqtrd ) AEFLBMENBMZFNZBMZDOMZPUKULUNPZUK
      AUNBCDEFGIUNQZJKADUERZFCRJCDFGHUASUFAUMULUKUNAUQUMULTJBDFHIUBSUCAUKDUGMRZ
      UOUKTAUQECRURJKBCDEGIUDUHUNDUKFHUPUISUJ $.
  $}

  ${
    $d k l .+ $.  $d k l F $.  $d k l K $.  $d k l v N $.  $d k l .x. $.
    $d k l V $.  $d k l v W $.  $d k l v X $.  $d k l v Y $.  $d k l v ph $.
    lsppr.v $e |- V = ( Base ` W ) $.
    lsppr.a $e |- .+ = ( +g ` W ) $.
    lsppr.f $e |- F = ( Scalar ` W ) $.
    lsppr.k $e |- K = ( Base ` F ) $.
    lsppr.t $e |- .x. = ( .s ` W ) $.
    lsppr.n $e |- N = ( LSpan ` W ) $.
    lsppr.w $e |- ( ph -> W e. LMod ) $.
    lsppr.x $e |- ( ph -> X e. V ) $.
    lsppr.y $e |- ( ph -> Y e. V ) $.
    $( Span of a pair of vectors.  (Contributed by NM, 22-Aug-2014.) $)
    lsppr $p |- ( ph -> ( N ` { X , Y } )
          = { v | E. k e. K E. l e. K v = ( ( k .x. X ) .+ ( l .x. Y ) ) } ) $=
      ( cpr cfv csn cun cv wceq wrex cab df-pr fveq2i clsm clmod wcel wss snssd
      co lspun syl3anc clss eqid lspsncl syl2anc lsmspsn abbi2dv 3eqtr2d eqtrid
      lsmsp ) AKLUCZHUDKUEZLUEZUFZHUDZBUGZEUGKDURMUGLDURCURUHMGUIEGUIZBUJZVJVMH
      KLUKULAVNVKHUDZVLHUDZUFHUDZVRVSJUMUDZURZVQAJUNUOZVKIUPVLIUPVNVTUHTAKIUAUQ
      ALIUBUQVKVLHIJNSUSUTAWCVRJVAUDZUOZVSWDUOZWBVTUHTAWCKIUOWETUAWDHIJKNWDVBZS
      VCVDAWCLIUOWFTUBWDHIJLNWGSVCVDWAWDVRVSHJWGSWAVBZVIUTAVPBWBACWADVOEMFGHIJK
      LNOPQRWHSTUAUBVEVFVGVH $.

    $d k l v Z $.  $d v .+ $.  $d v .x. $.  $d v K $.
    $( Member of the span of a pair of vectors.  (Contributed by NM,
       10-Apr-2015.) $)
    lspprel $p |- ( ph -> ( Z e. ( N ` { X , Y } )
            <-> E. k e. K E. l e. K Z = ( ( k .x. X ) .+ ( l .x. Y ) ) ) ) $=
      ( vv cpr cfv wcel cv co wceq wrex cab lsppr eleq2d cvv eqeltrdi rexlimivw
      id ovex eqeq1 2rexbidv elab3 bitrdi ) ALJKUDGUEZUFLUCUGZDUGJCUHZMUGKCUHZB
      UHZUIZMFUJDFUJZUCUKZUFLVGUIZMFUJZDFUJZAVCVJLAUCBCDEFGHIJKMNOPQRSTUAUBULUM
      VIVMUCLUNVLLUNUFZDFVKVNMFVKLVGUNVKUQVEVFBURUOUPUPVDLUIVHVKDMFFVDLVGUSUTVA
      VB $.
  $}

  ${
    lspprabs.v $e |- V = ( Base ` W ) $.
    lspprabs.p $e |- .+ = ( +g ` W ) $.
    lspprabs.n $e |- N = ( LSpan ` W ) $.
    lspprabs.w $e |- ( ph -> W e. LMod ) $.
    lspprabs.x $e |- ( ph -> X e. V ) $.
    lspprabs.y $e |- ( ph -> Y e. V ) $.
    $( Absorption of vector sum into span of pair.  (Contributed by NM,
       27-Apr-2015.) $)
    lspprabs $p |- ( ph -> ( N ` { X , ( X .+ Y ) } ) = ( N ` { X , Y } ) ) $=
      ( cfv co wss wcel syl2anc sseldd syl3anc csn clsm cpr clss eqid lsssssubg
      csubg clmod syl lspsncl lsmub1 lsmcl lspsnid lsmelvali syl22anc lspsnel5a
      wa wb lmodvacl lsmlub mpbi2and csg lsmelvalmi cabl wceq lmodabl ablpncan2
      lsmcom 3eltr3d eqssd lsmpr 3eqtr4d ) AFUACNZFGBOZUACNZEUBNZOZVMGUACNZVPOZ
      FVNUCCNFGUCCNAVQVSAVMVSPZVOVSPZVQVSPZAVMEUGNZQZVRWCQZVTAEUDNZWCVMAEUHQZWF
      WCPKWFEWFUEZUFUIZAWGFDQZVMWFQZKLWFCDEFHWHJUJRZSZAWFWCVRWIAWGGDQZVRWFQZKMW
      FCDEGHWHJUJRZSZVPVMVREVPUEZUKRAWFVSCEVNWHJKAWGWKWOVSWFQKWLWPVPWFVMVREWHWR
      ULTZAWDWEFVMQZGVRQZVNVSQWMWQAWGWJWTKLCDEFHJUMRZAWGWNXAKMCDEGHJUMRBVPVMVRE
      FGIWRUNUOUPAWDVOWCQZVSWCQVTWAUQWBURWMAWFWCVOWIAWGVNDQZVOWFQZKAWGWJWNXDKLM
      BDEFGHIUSTZWFCDEVNHWHJUJRZSZAWFWCVSWIWSSVPVMVOVSEWRUTTVAAVMVQPZVRVQPZVSVQ
      PZAWDXCXIWMXHVPVMVOEWRUKRAWFVQCEGWHJKAWGWKXEVQWFQKWLXGVPWFVMVOEWHWRULTZAV
      NFEVBNZOZVOVMVPOZGVQAVPVOVMEXMVNFXMUEZWRXHWMAWGXDVNVOQKXFCDEVNHJUMRXBVCAE
      VDQZWJWNXNGVEAWGXQKEVFUIZLMDBEXMFGHIXPVGTAXQXCWDXOVQVEXRXHWMVPVOVMEWRVHTV
      IUPAWDWEVQWCQXIXJUQXKURWMWQAWFWCVQWIXLSVPVMVRVQEWRUTTVAVJAVPCDEFVNHJWRKLX
      FVKAVPCDEFGHJWRKLMVKVL $.
  $}

  ${
    lspvadd.v $e |- V = ( Base ` W ) $.
    lspvadd.a $e |- .+ = ( +g ` W ) $.
    lspvadd.n $e |- N = ( LSpan ` W ) $.
    $( The span of a vector sum is included in the span of its arguments.
       (Contributed by NM, 22-Feb-2014.)  (Proof shortened by Mario Carneiro,
       21-Jun-2014.) $)
    lspvadd $p |- ( ( W e. LMod /\ X e. V /\ Y e. V )
       -> ( N ` { ( X .+ Y ) } ) C_ ( N ` { X , Y } ) ) $=
      ( clmod wcel w3a clss cfv cpr co eqid wss 3adant1 syl2anc simp1 wa mpbird
      prssi lspcl lspssid wb prssg lssvacl syl21anc lspsnel5a ) DJKZECKZFCKZLZD
      MNZEFOZBNZBDEFAPZUPQZIULUMUNUAZUOULUQCRZURUPKZVAUMUNVBULEFCUDSZUPUQBCDGUT
      IUETZUOULVCEURKFURKUBZUSURKVAVEUOVFUQURRZUOULVBVGVAVDUQBCDGIUFTUMUNVFVGUG
      ULEFURCCUHSUCAUPURDEFHUTUIUJUK $.
  $}

  ${
    lspsntri.v $e |- V = ( Base ` W ) $.
    lspsntri.a $e |- .+ = ( +g ` W ) $.
    lspsntri.n $e |- N = ( LSpan ` W ) $.
    lspsntri.p $e |- .(+) = ( LSSum ` W ) $.
    $( Triangle-type inequality for span of a singleton.  (Contributed by NM,
       24-Feb-2014.)  (Revised by Mario Carneiro, 21-Jun-2014.) $)
    lspsntri $p |- ( ( W e. LMod /\ X e. V /\ Y e. V )
       -> ( N ` { ( X .+ Y ) } ) C_ ( ( N ` { X } ) .(+) ( N ` { Y } ) ) ) $=
      ( clmod wcel w3a co csn cfv cun wss snssd cpr lspvadd df-pr sseqtrdi wceq
      fveq2i simp1 simp2 simp3 lsmsp2 syl3anc sseqtrrd ) ELMZFDMZGDMZNZFGAOPCQZ
      FPZGPZRZCQZURCQUSCQBOZUPUQFGUAZCQVAACDEFGHIJUBVCUTCFGUCUFUDUPUMURDSUSDSVB
      VAUEUMUNUOUGUPFDUMUNUOUHTUPGDUMUNUOUITBURUSCDEHJKUJUKUL $.
  $}

  ${
    lspsntrim.v $e |- V = ( Base ` W ) $.
    lspsntrim.s $e |- .- = ( -g ` W ) $.
    lspsntrim.p $e |- .(+) = ( LSSum ` W ) $.
    lspsntrim.n $e |- N = ( LSpan ` W ) $.
    $( Triangle-type inequality for span of a singleton of vector difference.
       (Contributed by NM, 25-Apr-2014.)  (Revised by Mario Carneiro,
       21-Jun-2014.) $)
    lspsntrim $p |- ( ( W e. LMod /\ X e. V /\ Y e. V )
        -> ( N ` { ( X .- Y ) } ) C_ ( ( N ` { X } ) .(+) ( N ` { Y } ) ) ) $=
      ( clmod wcel w3a cfv co csn eqid 3adant2 wceq cminusg cplusg wss lspsntri
      lmodvnegcl syld3an3 grpsubval sneqd fveq2d 3adant1 lspsnneg eqcomd oveq2d
      wa 3sstr4d ) ELMZFDMZGDMZNZFGEUAOZOZEUBOZPZQZCOZFQCOZVAQCOZAPZFGBPZQZCOZV
      FGQCOZAPUPUQURVADMZVEVHUCUPURVMUQUTDEGHUTRZUESVBACDEFVAHVBRZKJUDUFUQURVKV
      ETUPUQURUNZVJVDCVPVIVCDVBEUTBFGHVOVNIUGUHUIUJUSVLVGVFAUSVGVLUPURVGVLTUQUT
      CDEGHVNKUKSULUMUO $.
  $}

  ${
    $d u v x y B $.  $d u v x y z K $.  $d u v x y z L $.  $d u v x y z ph $.
    $d u v x y F $.  $d u v x y G $.  $d v x y P $.  $d x y W $.
    lbspropd.b1 $e |- ( ph -> B = ( Base ` K ) ) $.
    lbspropd.b2 $e |- ( ph -> B = ( Base ` L ) ) $.
    lbspropd.w $e |- ( ph -> B C_ W ) $.
    lbspropd.p $e |- ( ( ph /\ ( x e. W /\ y e. W ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    lbspropd.s1 $e |- ( ( ph /\ ( x e. P /\ y e. B ) ) ->
      ( x ( .s ` K ) y ) e. W ) $.
    lbspropd.s2 $e |- ( ( ph /\ ( x e. P /\ y e. B ) ) ->
      ( x ( .s ` K ) y ) = ( x ( .s ` L ) y ) ) $.
    lbspropd.f $e |- F = ( Scalar ` K ) $.
    lbspropd.g $e |- G = ( Scalar ` L ) $.
    lbspropd.p1 $e |- ( ph -> P = ( Base ` F ) ) $.
    lbspropd.p2 $e |- ( ph -> P = ( Base ` G ) ) $.
    lbspropd.a $e |- ( ( ph /\ ( x e. P /\ y e. P ) ) ->
      ( x ( +g ` F ) y ) = ( x ( +g ` G ) y ) ) $.
    lbspropd.v1 $e |- ( ph -> K e. X ) $.
    lbspropd.v2 $e |- ( ph -> L e. Y ) $.
    $( If two structures have the same components (properties), they have the
       same set of bases.  (Contributed by Mario Carneiro, 9-Feb-2015.)
       (Revised by Mario Carneiro, 14-Jun-2015.)  (Revised by AV,
       24-Apr-2024.) $)
    lbspropd $p |- ( ph -> ( LBasis ` K ) = ( LBasis ` L ) ) $=
      ( vz vv vu clbs cfv cv cbs wss clspn wceq cvsca co csn cdif wcel c0g wral
      wn w3a simplll eldifi adantl simpr sselda adantr oveqrspc2v syl12anc csca
      wa fveq2i eqtrdi lsppropd fveq1d eleq12d notbid ralbidva ad2antrr difeq1d
      syl raleqdv grpidpropd sneqd difeq12d 3bitr3d anbi2d sseq2d anbi1d eqtr3d
      pm5.32da eqeq12d anbi12d 3anass 3bitr4g wb eqid islbs 3bitr4d eqrdv ) AUF
      HUIUJZIUIUJZAUFUKZHULUJZUMZXFHUNUJZUJZXGUOZUGUKZUHUKZHUPUJZUQZXFXMURUSZXI
      UJZUTZVCZUGFULUJZFVAUJZURZUSZVBZUHXFVBZVDZXFIULUJZUMZXFIUNUJZUJZYGUOZXLXM
      IUPUJZUQZXPYIUJZUTZVCZUGGULUJZGVAUJZURZUSZVBZUHXFVBZVDZXFXDUTZXFXEUTZAXHX
      KYEVNZVNZYHYKUUBVNZVNZYFUUCAXFDUMZUUFVNUUJXKUUBVNZVNUUGUUIAUUJUUFUUKAUUJV
      NZYEUUBXKUULYDUUAUHXFUULXMXFUTZVNZXSUGEYBUSZVBYPUGUUOVBYDUUAUUNXSYPUGUUOU
      UNXLUUOUTZVNZXRYOUUQXOYMXQYNUUQAXLEUTZXMDUTZXOYMUOAUUJUUMUUPVEZUUPUURUUNX
      LEYBVFVGUUNUUSUUPUULXFDXMAUUJVHVIVJABCEDXNYLXLXMRVKVLUUQXPXIYIUUQAXIYIUOU
      UTABCDEHIJKLMNOPQRAEXTHVMUJZULUJUAFUVAULSVOVPAEYQIVMUJZULUJUBGUVBULTVOVPU
      DUEVQZWDVRVSVTWAUUNXSUGUUOYCUUNEXTYBAEXTUOUUJUUMUAWBWCWEUUNYPUGUUOYTUUNEY
      QYBYSAEYQUOUUJUUMUBWBUUNYAYRAYAYRUOUUJUUMABCEFGUAUBUCWFWBWGWHWEWIWAWJWNAU
      UJXHUUFADXGXFMWKWLAUUJYHUUKUUHADYGXFNWKAXKYKUUBAXJYJXGYGAXFXIYIUVCVRADXGY
      GMNWMWOWLWPWIXHXKYEWQYHYKUUBWQWRAHKUTUUDYFWSUDUHUGXFXNFXDXTXIXGHKYAXGWTSX
      NWTXTWTXDWTXIWTYAWTXAWDAILUTUUEUUCWSUEUHUGXFYLGXEYQYIYGILYRYGWTTYLWTYQWTX
      EWTYIWTYRWTXAWDXBXC $.
  $}

  ${
    $d x y .(+) $.  $d x y P $.  $d x y ph $.  $d x y T $.  $d x y U $.
    $d x y W $.
    pj1lmhm.l $e |- L = ( LSubSp ` W ) $.
    pj1lmhm.s $e |- .(+) = ( LSSum ` W ) $.
    pj1lmhm.z $e |- .0. = ( 0g ` W ) $.
    pj1lmhm.p $e |- P = ( proj1 ` W ) $.
    pj1lmhm.1 $e |- ( ph -> W e. LMod ) $.
    pj1lmhm.2 $e |- ( ph -> T e. L ) $.
    pj1lmhm.3 $e |- ( ph -> U e. L ) $.
    pj1lmhm.4 $e |- ( ph -> ( T i^i U ) = { .0. } ) $.
    $( The left projection function is a linear operator.  (Contributed by
       Mario Carneiro, 15-Oct-2015.)  (Revised by Mario Carneiro,
       21-Apr-2016.) $)
    pj1lmhm $p |- ( ph -> ( T P U ) e. ( ( W |`s ( T .(+) U ) ) LMHom W ) ) $=
      ( co wcel cfv wceq vx vy cress clmhm cghm csca cv cvsca wral cplusg ccntz
      cbs eqid csubg clmod wss lsssssubg syl sseldd lmodabl ablcntzd pj1ghm a1i
      cabl wa pj1id adantrl oveq2d adantr simprl lssss cin pj1f simprr ffvelrnd
      csn pj2f lmodvsdi syl13anc eqtrd lsmcl syl3anc lssvscl pj1eq mpbid simpld
      syl22anc ralrimivva subgbas raleqdv ralbidv w3a lsslmod syl2anc cvv ax-mp
      wb ovex resssca ressvsca islmhm3 mpbir3and ) ADEBQZGDECQZUCQZGUDQRZXCXEGU
      EQRZGUFSZXHTZUAUGZUBUGZGUHSZQZXCSXJXKXCSZXLQZTZUBXEULSZUIZUAXHULSZUIZABGU
      JSZCDEGHGUKSZYAUMZJKYBUMZAFGUNSZDAGUORZFYEUPMFGIUQURZNUSZAFYEEYGOUSZPADEG
      YBYDAYFGVDRMGUTURYHYIVAZLVBXIAXHUMZVCAXPUBXDUIZUAXSUIXTAXPUAUBXSXDAXJXSRZ
      XKXDRZVEZVEZXPXMEDBQZSXJXKYQSZXLQZTZYPXMXOYSYAQZTXPYTVEYPXMXJXNYRYAQZXLQZ
      UUAYPXKUUBXJXLAYNXKUUBTYMABYACDEGXKHYBYCJKYDYHYIPYJLVFVGVHYPYFYMXNGULSZRY
      RUUDRUUCUUATAYFYOMVIZAYMYNVJZYPDUUDXNYPDFRZDUUDUPAUUGYONVIZFDUUDGUUDUMZIV
      KURYPXDDXKXCYPBYACDEGHYBYCJKYDADYERYOYHVIZAEYERYOYIVIZADEVLHVPTYOPVIZADEY
      BSUPYOYJVIZLVMAYMYNVNZVOZUSYPEUUDYRYPEFRZEUUDUPAUUPYOOVIZFEUUDGUUIIVKURYP
      XDEXKYQYPBYACDEGHYBYCJKYDUUJUUKUULUUMLVQUUNVOZUSYAXJXLXHXSUUDGXNYRUUIYCYK
      XLUMZXSUMZVRVSVTYPXOYSBYACDEGXMHYBYCJKYDUUJUUKUULUUMLYPYFXDFRZYMYNXMXDRUU
      EAUVAYOAYFUUGUUPUVAMNOCFDEGIJWAWBZVIUUFUUNXSFXLXDXHGXJXKYKUUSUUTIWCWGYPYF
      UUGYMXNDRXODRUUEUUHUUFUUOXSFXLDXHGXJXNYKUUSUUTIWCWGYPYFUUPYMYRERYSERUUEUU
      QUUFUURXSFXLEXHGXJYRYKUUSUUTIWCWGWDWEWFWHAYLXRUAXSAXPUBXDXQAXDYERXDXQTAFY
      EXDYGUVBUSXDGXEXEUMZWIURWJWKWEAXEUORZYFXFXGXIXTWLWQAYFUVAUVDMUVBFXDGXEUVC
      IWMWNMUAUBXSXEGXLXLXQXCXHXHXDWORZXHXEUFSTDECWRZXDXHGXEWOUVCYKWSWPYKUUTXQU
      MUVEXLXEUHSTUVFXDXLGXEWOUVCUUSWTWPUUSXAWNXB $.

    $( The left projection function is a linear operator.  (Contributed by
       Mario Carneiro, 15-Oct-2015.)  (Revised by Mario Carneiro,
       21-Apr-2016.) $)
    pj1lmhm2 $p |- ( ph ->
      ( T P U ) e. ( ( W |`s ( T .(+) U ) ) LMHom ( W |`s T ) ) ) $=
      ( co wcel cfv eqid cress clmhm pj1lmhm clmod crn wb ccntz csubg lsssssubg
      wss cplusg sseldd cabl lmodabl ablcntzd pj1f frnd reslmhm2b syl3anc mpbid
      syl ) ADEBQZGDECQZUAQZGUBQRZVBVDGDUAQZUBQRZABCDEFGHIJKLMNOPUCAGUDRZDFRVBU
      EDUJVEVGUFMNAVCDVBABGUKSZCDEGHGUGSZVITJKVJTZAFGUHSZDAVHFVLUJMFGIUIVAZNULZ
      AFVLEVMOULZPADEGVJVKAVHGUMRMGUNVAVNVOUOLUPUQVDGVFVBFDVFTIURUSUT $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Vector spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c LVec $.

  $( Extend class notation with class of all left vector spaces. $)
  clvec $a class LVec $.

  $( Define the class of all left vector spaces.  A left vector space over a
     division ring is an Abelian group (vectors) together with a division ring
     (scalars) and a left scalar product connecting them.  Some authors call
     this a "left module over a division ring", reserving "vector space" for
     those where the division ring is commutative, i.e., is a field.
     (Contributed by NM, 11-Nov-2013.) $)
  df-lvec $a |- LVec = { f e. LMod | ( Scalar ` f ) e. DivRing } $.

  ${
    $d f F $.  $d f W $.
    islvec.1 $e |- F = ( Scalar ` W ) $.
    $( The predicate "is a left vector space".  (Contributed by NM,
       11-Nov-2013.) $)
    islvec $p |- ( W e. LVec <-> ( W e. LMod /\ F e. DivRing ) ) $=
      ( vf cv csca cfv cdr wcel clmod clvec fveq2 eqtr4di eleq1d df-lvec elrab2
      wceq ) DEZFGZHIAHIDBJKRBQZSAHTSBFGARBFLCMNDOP $.

    $( The set of scalars of a left vector space is a division ring.
       (Contributed by NM, 17-Apr-2014.) $)
    lvecdrng $p |- ( W e. LVec -> F e. DivRing ) $=
      ( clvec wcel clmod cdr islvec simprbi ) BDEBFEAGEABCHI $.
  $}

  $( A left vector space is a left module.  (Contributed by NM, 9-Dec-2013.) $)
  lveclmod $p |- ( W e. LVec -> W e. LMod ) $=
    ( clvec wcel clmod csca cfv cdr eqid islvec simplbi ) ABCADCAEFZGCKAKHIJ $.

  ${
    lsslvec.x $e |- X = ( W |`s U ) $.
    lsslvec.s $e |- S = ( LSubSp ` W ) $.
    $( A vector subspace is a vector space.  (Contributed by NM,
       14-Mar-2015.) $)
    lsslvec $p |- ( ( W e. LVec /\ U e. S ) -> X e. LVec ) $=
      ( clvec wcel wa clmod csca cfv lveclmod lsslmod sylan wceq resssca adantl
      cdr eqid lvecdrng adantr eqeltrrd islvec sylanbrc ) CGHZBAHZIZDJHZDKLZSHD
      GHUFCJHUGUICMABCDEFNOUHCKLZUJSUGUKUJPUFBUKCDAEUKTZQRUFUKSHUGUKCULUAUBUCUJ
      DUJTUDUE $.
  $}

  ${
    lvecmul0or.v $e |- V = ( Base ` W ) $.
    lvecmul0or.s $e |- .x. = ( .s ` W ) $.
    lvecmul0or.f $e |- F = ( Scalar ` W ) $.
    lvecmul0or.k $e |- K = ( Base ` F ) $.
    lvecmul0or.o $e |- O = ( 0g ` F ) $.
    lvecmul0or.z $e |- .0. = ( 0g ` W ) $.
    lvecmul0or.w $e |- ( ph -> W e. LVec ) $.
    lvecmul0or.a $e |- ( ph -> A e. K ) $.
    lvecmul0or.x $e |- ( ph -> X e. V ) $.
    $( If a scalar product is zero, one of its factors must be zero.
       ( ~ hvmul0or analog.)  (Contributed by NM, 2-Jul-2014.) $)
    lvecvs0or $p |- ( ph -> ( ( A .x. X ) = .0. <-> ( A = O \/ X = .0. ) ) ) $=
      ( wceq co wo wa wn wne df-ne cinvr cfv oveq2 ad2antlr cmulr cur cdr clvec
      wcel adantr lvecdrng simpr eqid drnginvrl syl3anc oveq1d clmod drnginvrcl
      syl lveclmod lmodvsass lmodvs1 syl2anc 3eqtr3d adantlr lmodvs0 ex syl5bir
      syl13anc orrd lmod0vs oveq1 eqeq1d syl5ibrcom jaod impbid ) ABICUAZJTZBFT
      ZIJTZUBZAWDWGAWDUCZWEWFWEUDBFUEZWHWFBFUFWHWIWFWHWIUCZBDUGUHZUHZWCCUAZWLJC
      UAZIJWDWMWNTAWIWCJWLCUIUJAWIWMITWDAWIUCZWLBDUKUHZUAZICUAZDULUHZICUAZWMIWO
      WQWSICWODUMUOZBEUOZWIWQWSTWOHUNUOZXAAXCWIQUPDHMUQVEZAXBWIRUPZAWIURZEDWPWS
      WKBFNOWPUSZWSUSZWKUSZUTVAVBWOHVCUOZWLEUOZXBIGUOZWRWMTAXJWIAXCXJQHVFVEZUPW
      OXAXBWIXKXDXEXFEDWKBFNOXIVDVAZXEAXLWISUPWLBCWPDEGHIKMLNXGVGVOAWTITZWIAXJX
      LXOXMSCWSDGHIKMLXHVHVIUPVJVKWJXJXKWNJTWHXJWIAXJWDXMUPUPAWIXKWDXNVKCDEHWLJ
      MLNPVLVIVJVMVNVPVMAWEWDWFAWDWEFICUAZJTZAXJXLXQXMSCDFGHIJKMLOPVQVIWEWCXPJB
      FICVRVSVTAWDWFBJCUAZJTZAXJXBXSXMRCDEHBJMLNPVLVIWFWCXRJIJBCUIVSVTWAWB $.

    $( A scalar product is nonzero iff both of its factors are nonzero.
       (Contributed by NM, 3-Jan-2015.) $)
    lvecvsn0 $p |- ( ph ->
      ( ( A .x. X ) =/= .0. <-> ( A =/= O /\ X =/= .0. ) ) ) $=
      ( wne co wceq wo wn wa lvecvs0or necon3abid neanior bitr4di ) ABICUAZJTBF
      UBIJUBUCZUDBFTIJTUEAUKUJJABCDEFGHIJKLMNOPQRSUFUGBFIJUHUI $.
  $}

  ${
    lssvs0or.v $e |- V = ( Base ` W ) $.
    lssvs0or.t $e |- .x. = ( .s ` W ) $.
    lssvs0or.f $e |- F = ( Scalar ` W ) $.
    lssvs0or.k $e |- K = ( Base ` F ) $.
    lssvs0or.o $e |- .0. = ( 0g ` F ) $.
    lssvs0or.s $e |- S = ( LSubSp ` W ) $.
    lssvs0or.w $e |- ( ph -> W e. LVec ) $.
    lssvs0or.u $e |- ( ph -> U e. S ) $.
    lssvs0or.x $e |- ( ph -> X e. V ) $.
    lssvs0or.a $e |- ( ph -> A e. K ) $.
    $( If a scalar product belongs to a subspace, either the scalar component
       is zero or the vector component also belongs to the subspace.
       (Contributed by NM, 5-Apr-2015.) $)
    lssvs0or $p |- ( ph -> ( ( A .x. X ) e. U <-> ( A = .0. \/ X e. U ) ) ) $=
      ( co wcel wceq wo wne cinvr cfv cmulr cur cdr clvec lvecdrng syl ad2antrr
      wa simpr eqid drnginvrl syl3anc oveq1d clmod lveclmod drnginvrcl syl13anc
      lmodvsass lmodvs1 syl2anc 3eqtr3rd lssvscl syl22anc eqeltrd necon1bd orrd
      simplr ex orcomd oveq1 adantl c0g lmod0vs lss0cl adantr jaodan impbida )
      ABJDUBZEUCZBKUDZJEUCZUEAWGUPZWIWHWJWIWHWJWIBKWJBKUFZWIWJWKUPZJBFUGUHZUHZW
      FDUBZEWLWNBFUIUHZUBZJDUBZFUJUHZJDUBZWOJWLWQWSJDWLFUKUCZBGUCZWKWQWSUDAXAWG
      WKAIULUCZXARFINUMUNUOZAXBWGWKUAUOZWJWKUQZGFWPWSWMBKOPWPURZWSURZWMURZUSUTV
      AWLIVBUCZWNGUCZXBJHUCZWRWOUDAXJWGWKAXCXJRIVCUNZUOZWLXAXBWKXKXDXEXFGFWMBKO
      PXIVDUTZXEAXLWGWKTUOZWNBDWPFGHIJLNMOXGVFVEWLXJXLWTJUDXNXPDWSFHIJLNMXHVGVH
      VIWLXJECUCZXKWGWOEUCXNAXQWGWKSUOXOAWGWKVOGCDEFIWNWFNMOQVJVKVLVPVMVNVQAWHW
      GWIAWHUPWFKJDUBZEWHWFXRUDABKJDVRVSAXREUCWHAXRIVTUHZEAXJXLXRXSUDXMTDFKHIJX
      SLNMPXSURZWAVHAXJXQXSEUCXMSCEIXSXTQWBVHVLWCVLAWIUPXJXQXBWIWGAXJWIXMWCAXQW
      ISWCAXBWIUAWCAWIUQGCDEFIBJNMOQVJVKWDWE $.
  $}

  ${
    lvecmulcan.v $e |- V = ( Base ` W ) $.
    lvecmulcan.s $e |- .x. = ( .s ` W ) $.
    lvecmulcan.f $e |- F = ( Scalar ` W ) $.
    lvecmulcan.k $e |- K = ( Base ` F ) $.
    lvecmulcan.o $e |- .0. = ( 0g ` F ) $.
    lvecmulcan.w $e |- ( ph -> W e. LVec ) $.
    lvecmulcan.a $e |- ( ph -> A e. K ) $.
    lvecmulcan.x $e |- ( ph -> X e. V ) $.
    lvecmulcan.y $e |- ( ph -> Y e. V ) $.
    lvecmulcan.n $e |- ( ph -> A =/= .0. ) $.
    $( Cancellation law for scalar multiplication.  ( ~ hvmulcan analog.)
       (Contributed by NM, 2-Jul-2014.) $)
    lvecvscan $p |- ( ph -> ( ( A .x. X ) = ( A .x. Y ) <-> X = Y ) ) $=
      ( csg cfv co c0g wceq wo wne wb wn df-ne biorf sylbi syl clmod wcel clvec
      lveclmod lmodsubeq0 syl3anc lmodsubdi eqeq1d lmodvsubcl lvecvs0or 3bitr3d
      eqid lmodvscl 3bitr3rd ) AHIGUAUBZUCZGUDUBZUEZBJUEZVKUFZHIUEZBHCUCZBICUCZ
      UEZABJUGZVKVMUHZTVRVLUIVSBJUJVLVKUKULUMAGUNUOZHFUOZIFUOZVKVNUHAGUPUOVTPGU
      QUMZRSHIVHFGVJKVJVEZVHVEZURUSABVICUCZVJUEVOVPVHUCZVJUEZVMVQAWFWGVJABCDEVH
      FGHIKLMNWEWCQRSUTVAABCDEJFGVIVJKLMNOWDPQAVTWAWBVIFUOWCRSVHFGHIKWEVBUSVCAV
      TVOFUOZVPFUOZWHVQUHWCAVTBEUOZWAWIWCQRBCDEFGHKMLNVFUSAVTWKWBWJWCQSBCDEFGIK
      MLNVFUSVOVPVHFGVJKWDWEURUSVDVG $.
  $}

  ${
    lvecmulcan2.v $e |- V = ( Base ` W ) $.
    lvecmulcan2.s $e |- .x. = ( .s ` W ) $.
    lvecmulcan2.f $e |- F = ( Scalar ` W ) $.
    lvecmulcan2.k $e |- K = ( Base ` F ) $.
    lvecmulcan2.o $e |- .0. = ( 0g ` W ) $.
    lvecmulcan2.w $e |- ( ph -> W e. LVec ) $.
    lvecmulcan2.a $e |- ( ph -> A e. K ) $.
    lvecmulcan2.b $e |- ( ph -> B e. K ) $.
    lvecmulcan2.x $e |- ( ph -> X e. V ) $.
    lvecmulcan2.n $e |- ( ph -> X =/= .0. ) $.
    $( Cancellation law for scalar multiplication.  ( ~ hvmulcan2 analog.)
       (Contributed by NM, 2-Jul-2014.) $)
    lvecvscan2 $p |- ( ph -> ( ( A .x. X ) = ( B .x. X ) <-> A = B ) ) $=
      ( co csg cfv wceq c0g wo wn neneqd biorf orcom bitrdi syl eqid cgrp clmod
      wcel clvec lveclmod lmodfgrp grpsubcl syl3anc lvecvs0or lmodsubdir eqeq1d
      wb 3bitr2rd lmodvscl lmodsubeq0 grpsubeq0 3bitr3d ) ABIDUAZCIDUAZHUBUCZUA
      ZJUDZBCEUBUCZUAZEUEUCZUDZVKVLUDZBCUDZAVSVSIJUDZUFZVQIDUAZJUDVOAWBUGZVSWCV
      EAIJTUHWEVSWBVSUFWCWBVSUIWBVSUJUKULAVQDEFVRGHIJKLMNVRUMZOPAEUNUPZBFUPZCFU
      PZVQFUPAHUOUPZWGAHUQUPWJPHURULZEHMUSULZQRFEVPBCNVPUMZUTVASVBAWDVNJABCVPDE
      FVMGHIKLMNVMUMZWMWKQRSVCVDVFAWJVKGUPZVLGUPZVOVTVEWKAWJWHIGUPZWOWKQSBDEFGH
      IKMLNVGVAAWJWIWQWPWKRSCDEFGHIKMLNVGVAVKVLVMGHJKOWNVHVAAWGWHWIVSWAVEWLQRFE
      VPBCVRNWFWMVIVAVJ $.
  $}

  ${
    lvecinv.v $e |- V = ( Base ` W ) $.
    lvecinv.t $e |- .x. = ( .s ` W ) $.
    lvecinv.f $e |- F = ( Scalar ` W ) $.
    lvecinv.k $e |- K = ( Base ` F ) $.
    lvecinv.o $e |- .0. = ( 0g ` F ) $.
    lvecinv.i $e |- I = ( invr ` F ) $.
    lvecinv.w $e |- ( ph -> W e. LVec ) $.
    lvecinv.a $e |- ( ph -> A e. ( K \ { .0. } ) ) $.
    lvecinv.x $e |- ( ph -> X e. V ) $.
    lvecinv.y $e |- ( ph -> Y e. V ) $.
    $( Invert coefficient of scalar product.  (Contributed by NM,
       11-Apr-2015.) $)
    lvecinv $p |- ( ph -> ( X = ( A .x. Y ) <-> Y = ( ( I ` A ) .x. X ) ) ) $=
      ( co wceq cfv oveq2 cmulr cur cdr wcel wne clvec lvecdrng syl csn eldifad
      cdif eldifsni eqid drnginvrl syl3anc oveq1d lveclmod drnginvrcl lmodvsass
      clmod syl13anc lmodvs1 syl2anc 3eqtr3d sylan9eqr drnginvrr 3eqtr3rd eqcom
      sylan9eq impbida bitrdi ) AIBJCUBZUCZBEUDZICUBZJUCZJVTUCAVRWAVRAVTVSVQCUB
      ZJIVQVSCUEAVSBDUFUDZUBZJCUBZDUGUDZJCUBZWBJAWDWFJCADUHUIZBFUIZBKUJZWDWFUCA
      HUKUIZWHRDHNULUMZABFKUNZSUOZABFWMUPUIWJSBFKUQUMZFDWCWFEBKOPWCURZWFURZQUSU
      TVAAHVEUIZVSFUIZWIJGUIZWEWBUCAWKWRRHVBUMZAWHWIWJWSWLWNWOFDEBKOPQVCUTZWNUA
      VSBCWCDFGHJLNMOWPVDVFAWRWTWGJUCXAUACWFDGHJLNMWQVGVHVIVJAWAIBVTCUBZVQABVSW
      CUBZICUBZWFICUBZXCIAXDWFICAWHWIWJXDWFUCWLWNWOFDWCWFEBKOPWPWQQVKUTVAAWRWIW
      SIGUIZXEXCUCXAWNXBTBVSCWCDFGHILNMOWPVDVFAWRXGXFIUCXATCWFDGHILNMWQVGVHVLVT
      JBCUEVNVOVTJVMVP $.
  $}

  ${
    lspsnvs.v $e |- V = ( Base ` W ) $.
    lspsnvs.f $e |- F = ( Scalar ` W ) $.
    lspsnvs.t $e |- .x. = ( .s ` W ) $.
    lspsnvs.k $e |- K = ( Base ` F ) $.
    lspsnvs.o $e |- .0. = ( 0g ` F ) $.
    lspsnvs.n $e |- N = ( LSpan ` W ) $.
    $( A nonzero scalar product does not change the span of a singleton.
       ( ~ spansncol analog.)  (Contributed by NM, 23-Apr-2014.) $)
    lspsnvs $p |- ( ( W e. LVec /\ ( R e. K /\ R =/= .0. ) /\ X e. V )
        -> ( N ` { ( R .x. X ) } ) = ( N ` { X } ) ) $=
      ( wcel co csn cfv syl3anc clvec wne wa w3a clmod lveclmod 3ad2ant1 simp2l
      wss simp3 lspsnvsi cinvr cmulr wceq lvecdrng simp2r eqid drnginvrl oveq1d
      cur drnginvrcl lmodvsass syl13anc lmodvs1 syl2anc 3eqtr3d fveq2d lmodvscl
      cdr sneqd eqsstrrd eqssd ) GUAPZADPZAIUBZUCZHFPZUDZAHBQZRESZHRZESZVRGUEPZ
      VNVQVTWBUIVMVPWCVQGUFUGZVMVNVOVQUHZVMVPVQUJZABCDEFGHKMJLOUKTVRWBACULSZSZV
      SBQZRZESZVTVRWJWAEVRWIHVRWHACUMSZQZHBQZCUTSZHBQZWIHVRWMWOHBVRCVIPZVNVOWMW
      OUNVMVPWQVQCGKUOUGZWEVMVNVOVQUPZDCWLWOWGAIMNWLUQZWOUQZWGUQZURTUSVRWCWHDPZ
      VNVQWNWIUNWDVRWQVNVOXCWRWEWSDCWGAIMNXBVATZWEWFWHABWLCDFGHJKLMWTVBVCVRWCVQ
      WPHUNWDWFBWOCFGHJKLXAVDVEVFVJVGVRWCXCVSFPZWKVTUIWDXDVRWCVNVQXEWDWEWFABCDF
      GHJKLMVHTWHBCDEFGVSKMJLOUKTVKVL $.
  $}

  ${
    $d k N $.  $d k V $.  $d k W $.  $d k X $.  $d k Y $.  $d k ph $.
    lspsneleq.v $e |- V = ( Base ` W ) $.
    lspsneleq.o $e |- .0. = ( 0g ` W ) $.
    lspsneleq.n $e |- N = ( LSpan ` W ) $.
    lspsneleq.w $e |- ( ph -> W e. LVec ) $.
    lspsneleq.x $e |- ( ph -> X e. V ) $.
    lspsneleq.y $e |- ( ph -> Y e. ( N ` { X } ) ) $.
    lspsneleq.z $e |- ( ph -> Y =/= .0. ) $.
    $( Membership relation that implies equality of spans.  ( ~ spansneleq
       analog.)  (Contributed by NM, 4-Jul-2014.) $)
    lspsneleq $p |- ( ph -> ( N ` { Y } ) = ( N ` { X } ) ) $=
      ( vk csn cfv wcel wceq eqid cv cvsca co csca wrex clmod wb clvec lveclmod
      cbs syl lspsnel syl2anc simpr sneqd fveq2d c0g wne ad2antrr simplr oveq1d
      wa lmod0vs ad3antrrr 3eqtrd ex necon3d lspsnvs syl121anc eqtrd rexlimdva2
      mpd sylbid ) AFEPBQZRZFPZBQZVNSZMAVOFOUAZEDUBQZUCZSZODUDQZUJQZUEZVRADUFRZ
      ECRZVOWEUGADUHRZWFKDUIUKZLVTFOWCWDBCDEWCTZWDTZHVTTZJULUMAWBVROWDAVSWDRZVB
      ZWBVBZVQWAPZBQZVNWOVPWPBWOFWAWNWBUNUOUPWOWHWMVSWCUQQZURZWGWQVNSAWHWMWBKUS
      AWMWBUTWOFGURZWSAWTWMWBNUSWOVSWRFGWOVSWRSZFGSWOXAVBZFWAWREVTUCZGWNWBXAUTX
      BVSWREVTWOXAUNVAAXCGSZWMWBXAAWFWGXDWILVTWCWRCDEGHWJWLWRTZIVCUMVDVEVFVGVLA
      WGWMWBLUSVSVTWCWDBCDEWRHWJWLWKXEJVHVIVJVKVMVL $.
  $}

  ${
    lspsncmp.v $e |- V = ( Base ` W ) $.
    lspsncmp.o $e |- .0. = ( 0g ` W ) $.
    lspsncmp.n $e |- N = ( LSpan ` W ) $.
    lspsncmp.w $e |- ( ph -> W e. LVec ) $.
    lspsncmp.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    lspsncmp.y $e |- ( ph -> Y e. V ) $.
    $( Comparable spans of nonzero singletons are equal.  (Contributed by NM,
       27-Apr-2015.) $)
    lspsncmp $p |- ( ph
   -> ( ( N ` { X } ) C_ ( N ` { Y } ) <-> ( N ` { X } ) = ( N ` { Y } ) ) ) $=
      ( csn cfv wss wceq wcel adantr syl clvec clss eqid clmod lveclmod lspsncl
      wa syl2anc eldifad lspsnel5 biimpar wne cdif eldifsni lspsneleq ex eqimss
      impbid1 ) AENBOZFNBOZPZUSUTQZAVAVBAVAUGBCDFEGHIJADUARZVAKSAFCRZVAMSAEUTRV
      AADUBOZUTBCDEHVEUCZJAVCDUDRZKDUETZAVGVDUTVERVHMVEBCDFHVFJUFUHAECGNZLUIUJU
      KAEGULZVAAECVIUMRVJLECGUNTSUOUPUSUTUQUR $.
  $}

  ${
    lspsnne1.v $e |- V = ( Base ` W ) $.
    lspsnne1.o $e |- .0. = ( 0g ` W ) $.
    lspsnne1.n $e |- N = ( LSpan ` W ) $.
    lspsnne1.w $e |- ( ph -> W e. LVec ) $.
    lspsnne1.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    lspsnne1.y $e |- ( ph -> Y e. V ) $.
    lspsnne1.e $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
    $( Two ways to express that vectors have different spans.  (Contributed by
       NM, 28-May-2015.) $)
    lspsnne1 $p |- ( ph -> -. X e. ( N ` { Y } ) ) $=
      ( csn cfv wcel wn wne wss clss clvec lveclmod syl lspsncl syl2anc eldifad
      eqid clmod lspsnel5 notbid lspsncmp necon3bbid bitrd mpbird ) AEFOBPZQZRZ
      EOBPZUPSZNAURUSUPTZRUTAUQVAADUAPZUPBCDEHVBUHZJADUBQDUIQZKDUCUDZAVDFCQUPVB
      QVEMVBBCDFHVCJUEUFAECGOLUGUJUKAVAUSUPABCDEFGHIJKLMULUMUNUO $.
  $}

  ${
    lspsnne2.v $e |- V = ( Base ` W ) $.
    lspsnne2.n $e |- N = ( LSpan ` W ) $.
    lspsnne2.w $e |- ( ph -> W e. LMod ) $.
    lspsnne2.x $e |- ( ph -> X e. V ) $.
    lspsnne2.y $e |- ( ph -> Y e. V ) $.
    lspsnne2.e $e |- ( ph -> -. X e. ( N ` { Y } ) ) $.
    $( Two ways to express that vectors have different spans.  (Contributed by
       NM, 20-May-2015.) $)
    lspsnne2 $p |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $=
      ( csn cfv wcel wn wne wceq wss eqimss clss clmod lspsncl syl2anc lspsnel5
      eqid syl5ibr necon3bd mpd ) AEFMBNZOZPEMBNZUJQLAUKULUJULUJRUKAULUJSULUJTA
      DUANZUJBCDEGUMUFZHIADUBOFCOUJUMOIKUMBCDFGUNHUCUDJUEUGUHUI $.
  $}

  ${
    lspsnnecom.v $e |- V = ( Base ` W ) $.
    lspsnnecom.o $e |- .0. = ( 0g ` W ) $.
    lspsnnecom.n $e |- N = ( LSpan ` W ) $.
    lspsnnecom.w $e |- ( ph -> W e. LVec ) $.
    lspsnnecom.x $e |- ( ph -> X e. V ) $.
    lspsnnecom.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
    lspsnnecom.e $e |- ( ph -> -. X e. ( N ` { Y } ) ) $.
    $( Swap two vectors with different spans.  (Contributed by NM,
       20-May-2015.) $)
    lspsnnecom $p |- ( ph -> -. Y e. ( N ` { X } ) ) $=
      ( csn cfv clvec wcel clmod lveclmod syl eldifad lspsnne2 necomd lspsnne1
      ) ABCDFEGHIJKMLAEOBPFOBPABCDEFHJADQRDSRKDTUALAFCGOMUBNUCUDUE $.
  $}

  ${
    lspabs2.v $e |- V = ( Base ` W ) $.
    lspabs2.p $e |- .+ = ( +g ` W ) $.
    lspabs2.o $e |- .0. = ( 0g ` W ) $.
    lspabs2.n $e |- N = ( LSpan ` W ) $.
    lspabs2.w $e |- ( ph -> W e. LVec ) $.
    lspabs2.x $e |- ( ph -> X e. V ) $.
    ${
      lspabs2.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      lspabs2.e $e |- ( ph -> ( N ` { X } ) = ( N ` { ( X .+ Y ) } ) ) $.
      $( Absorption law for span of vector sum.  (Contributed by NM,
         30-Apr-2015.) $)
      lspabs2 $p |- ( ph -> ( N ` { X } ) = ( N ` { Y } ) ) $=
        ( csn cfv co wcel wss wceq csubg clmod clvec lveclmod lspsnsubg syl2anc
        clsm syl eldifad eqid lsmub2 oveq2d cpr lspprabs lmodvacl syl3anc lsmpr
        lsmidm 3eqtr3d 3eqtr3rd sseqtrd lspsncmp mpbid eqcomd ) AGQCRZFQCRZAVGV
        HUAVGVHUBAVGVHVGEUIRZSZVHAVHEUCRZTZVGVKTZVGVJUAAEUDTZFDTZVLAEUETVNMEUFU
        JZNCDEFILUGUHZAVNGDTZVMVPAGDHQOUKZCDEGILUGUHVIVHVGEVIULZUMUHAVHVHVISZVH
        FGBSZQCRZVISZVHVJAVHWCVHVIPUNAVLWAVHUBVQVIVHEVTUTUJAFWBUOCRFGUOCRWDVJAB
        CDEFGIJLVPNVSUPAVICDEFWBILVTVPNAVNVOVRWBDTVPNVSBDEFGIJUQURUSAVICDEFGILV
        TVPNVSUSVAVBVCACDEGFHIKLMONVDVEVF $.
    $}

    lspabs3.y $e |- ( ph -> Y e. V ) $.
    lspabs3.xy $e |- ( ph -> ( X .+ Y ) =/= .0. ) $.
    lspabs3.e $e |- ( ph -> ( N ` { X } ) = ( N ` { Y } ) ) $.
    $( Absorption law for span of vector sum.  (Contributed by NM,
       30-Apr-2015.) $)
    lspabs3 $p |- ( ph -> ( N ` { X } ) = ( N ` { ( X .+ Y ) } ) ) $=
      ( cfv wcel syl2anc co csn wss wceq clsm clss clvec clmod lveclmod lspsncl
      syl lsmcl syl3anc lspsnsubg eqeltrrd lspsnid lsmelvali syl22anc lspsnel5a
      csubg oveq2d lsmidm eqtr3d sseqtrd wne lmodvacl eldifsn sylanbrc lspsncmp
      eqid cdif mpbid eqcomd ) AFGBUAZUBCRZFUBCRZAVOVPUCVOVPUDAVOVPGUBCRZEUERZU
      AZVPAEUFRZVSCEVNVTVJZLAEUGSEUHSZMEUIUKZAWBVPVTSZVQVTSZVSVTSWCAWBFDSZWDWCN
      VTCDEFIWALUJTAWBGDSZWEWCOVTCDEGIWALUJTVRVTVPVQEWAVRVJZULUMAVPEUTRZSZVQWIS
      FVPSZGVQSZVNVSSAWBWFWJWCNCDEFILUNTZAVPVQWIQWMUOAWBWFWKWCNCDEFILUPTAWBWGWL
      WCOCDEGILUPTBVRVPVQEFGJWHUQURUSAVPVPVRUAZVSVPAVPVQVPVRQVAAWJWNVPUDWMVRVPE
      WHVBUKVCVDACDEVNFHIKLMAVNDSZVNHVEVNDHUBVKSAWBWFWGWOWCNOBDEFGIJVFUMPVNDHVG
      VHNVIVLVM $.
  $}

  ${
    $d j k K $.  $d j N $.  $d j k .0. $.  $d j S $.  $d j k .x. $.  $d j V $.
    $d j W $.  $d j k X $.  $d j k Y $.  $d j ph $.
    lspsneq.v $e |- V = ( Base ` W ) $.
    lspsneq.s $e |- S = ( Scalar ` W ) $.
    lspsneq.k $e |- K = ( Base ` S ) $.
    lspsneq.o $e |- .0. = ( 0g ` S ) $.
    lspsneq.t $e |- .x. = ( .s ` W ) $.
    lspsneq.n $e |- N = ( LSpan ` W ) $.
    lspsneq.w $e |- ( ph -> W e. LVec ) $.
    lspsneq.x $e |- ( ph -> X e. V ) $.
    lspsneq.y $e |- ( ph -> Y e. V ) $.
    $( Equal spans of singletons must have proportional vectors.  See
       ~ lspsnss2 for comparable span version.  TODO: can proof be shortened?
       (Contributed by NM, 21-Mar-2015.) $)
    lspsneq $p |- ( ph -> ( ( N ` { X } ) = ( N ` { Y } ) <->
      E. k e. ( K \ { .0. } ) X = ( k .x. Y ) ) ) $=
      ( vj csn cfv wceq cv co cdif wrex wa c0g cur wne clmod crg clvec lveclmod
      wcel syl lmodring ringidcl cdr lvecdrng drngunz eldifsn sylanbrc ad2antrr
      eqid 3syl lmod0vcl lmodvs1 syl2anc2 oveq2 adantl adantr lspsneq0b biimpar
      simpr 3eqtr4rd oveq1 rspceeqv syl2anc eqimss clss lspsncl lspsnel5 mpbird
      wb lspsnel mpbid simprl biimpd necon3d eqnetrrd lvecvsn0 simpld reximssdv
      wss imp pm2.61dane ex eldifi eldifsni lspsnvs syl121anc fveqeq2d biimprcd
      wi sneq syl6 rexlimdv impbid weq eqeq2d cbvrexvw bitrdi ) AIUBZFUCZJUBFUC
      ZUDZIUAUEZJCUFZUDZUAEKUBZUGZUHZIDUEZJCUFZUDZDYDUHAXSYEAXSYEAXSUIZYEJHUJUC
      ZYIJYJUDZUIZBUKUCZYDUQZIYMJCUFZUDYEAYNXSYKAYMEUQZYMKULZYNAHUMUQZBUNUQYPAH
      UOUQZYRRHUPURZBHMUSEBYMNYMVGZUTVHAYSBVAUQYQRBHMVBBYMKOUUAVCVHYMEKVDVEVFYL
      YMYJCUFZYJYOIAUUBYJUDZXSYKAYRYJGUQUUCYTGHYJLYJVGZVICYMBGHYJLMPUUAVJVKVFYK
      YOUUBUDYIJYJYMCVLVMYIIYJUDZYKYIFGHIJYJLUUDQAYRXSYTVNZAIGUQXSSVNZAJGUQZXST
      VNZAXSVQVOZVPVRUAYMYDYAYOIXTYMJCVSVTWAYIJYJULZUIZYBYBUAYDEYIYBUAEUHZUUKYI
      IXRUQZUUMYIUUNXQXRWQZXSUUOAXQXRWBVMYIHWCUCZXRFGHILUUPVGZQUUFAXRUUPUQZXSAY
      RUUHUURYTTUUPFGHJLUUQQWDWAVNUUGWEWFYIYRUUHUUNUUMWGUUFUUICIUABEFGHJMNLPQWH
      WAWIVNUULXTEUQZYBUIZUIZUUSXTKULZXTYDUQZUULUUSYBWJZUVAUVBUUKUVAYAYJULUVBUU
      KUIUVAIYAYJUUTYBUULUUSYBVQVMZUULIYJULZUUTYIUUKUVFYIIYJJYJYIUUEYKUUJWKWLWR
      VNWMUVAXTCBEKGHJYJLPMNOUUDYIYSUUKUUTAYSXSRVNVFUVDYIUUHUUKUUTUUIVFWNWIWOXT
      EKVDVEUVEWPWSWTAYBXSUAYDAUVCYAUBZFUCXRUDZYBXSXGAUVCUVHAUVCUIYSUUSUVBUUHUV
      HAYSUVCRVNUVCUUSAXTEYCXAVMUVCUVBAXTEKXBVMAUUHUVCTVNXTCBEFGHJKLMPNOQXCXDWT
      YBXSUVHYBXPUVGXRFIYAXHXEXFXIXJXKYBYHUADYDUADXLYAYGIXTYFJCVSXMXNXO $.
  $}

  ${
    $d i j k K $.  $d i j N $.  $d i j k O $.  $d i j k .x. $.  $d i j k X $.
    $d i j k Y $.  $d i j ph $.
    lspsneu.v $e |- V = ( Base ` W ) $.
    lspsneu.s $e |- S = ( Scalar ` W ) $.
    lspsneu.k $e |- K = ( Base ` S ) $.
    lspsneu.o $e |- O = ( 0g ` S ) $.
    lspsneu.t $e |- .x. = ( .s ` W ) $.
    lspsneu.z $e |- .0. = ( 0g ` W ) $.
    lspsneu.n $e |- N = ( LSpan ` W ) $.
    lspsneu.w $e |- ( ph -> W e. LVec ) $.
    lspsneu.x $e |- ( ph -> X e. V ) $.
    lspsneu.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
    $( Nonzero vectors with equal singleton spans have a unique proportionality
       constant.  (Contributed by NM, 31-May-2015.) $)
    lspsneu $p |- ( ph -> ( ( N ` { X } ) = ( N ` { Y } ) <->
      E! k e. ( K \ { O } ) X = ( k .x. Y ) ) ) $=
      ( vj vi csn cfv wceq cv co cdif wreu wrex weq wral eldifad lspsneq biimpd
      wa wi wcel w3a eqtr2 3ad2ant3 clvec simp1l syl simp2l simp2r wne eldifsni
      3syl lvecvscan2 mpbid 3exp ex ralrimdvv jcad oveq1 eqeq2d syl6ibr syl5ibr
      reu4 reurex impbid cbvreuvw bitrdi ) AJUEFUFKUEFUFUGZJUCUHZKCUIZUGZUCEGUE
      ZUJZUKZJDUHZKCUIZUGZDWLUKAWGWMAWGWJUCWLULZWJJUDUHZKCUIZUGZURZUCUDUMZUSZUD
      WLUNUCWLUNZURWMAWGWQXDAWGWQABCUCEFHIJKGMNOPQSTUAAKHLUEZUBUOZUPZUQAWGXCUCU
      DWLWLAWGWHWLUTZWRWLUTZURZXCUSAWGURZXJXAXBXKXJXAVAZWIWSUGZXBXAXKXMXJJWIWSV
      BVCXLWHWRCBEHIKLMQNORXLAIVDUTAWGXJXAVEZTVFXLWHEWKXKXHXIXAVGUOXLWREWKXKXHX
      IXAVHUOXLAKHUTXNXFVFXLAKHXEUJUTKLVIXNUBKHLVJVKVLVMVNVOVPVQWJWTUCUDWLXBWIW
      SJWHWRKCVRVSWBVTWMWGAWQWJUCWLWCXGWAWDWJWPUCDWLUCDUMWIWOJWHWNKCVRVSWEWF $.
  $}

  ${
    lspsnel4.v $e |- V = ( Base ` W ) $.
    lspsnel4.o $e |- .0. = ( 0g ` W ) $.
    lspsnel4.s $e |- S = ( LSubSp ` W ) $.
    lspsnel4.n $e |- N = ( LSpan ` W ) $.
    lspsnel4.w $e |- ( ph -> W e. LVec ) $.
    lspsnel4.u $e |- ( ph -> U e. S ) $.
    lspsnel4.x $e |- ( ph -> X e. V ) $.
    lspsnel4.y $e |- ( ph -> Y e. ( N ` { X } ) ) $.
    lspsnel4.z $e |- ( ph -> Y =/= .0. ) $.
    $( A member of the span of the singleton of a vector is a member of a
       subspace containing the vector.  ( ~ elspansn4 analog.)  (Contributed by
       NM, 4-Jul-2014.) $)
    lspsnel4 $p |- ( ph -> ( X e. U <-> Y e. U ) ) $=
      ( wcel adantr clmod clvec lveclmod syl simpr csn lspsnel3 lspsnid syl2anc
      wa cfv lspsneleq eleqtrrd impbida ) AGCSZHCSZAUOUJBCDFGHLMAFUASZUOAFUBSUQ
      NFUCUDZTACBSZUOOTAUOUEAHGUFDUKZSUOQTUGAUPUJBCDFHGLMAUQUPURTAUSUPOTAUPUEAG
      HUFDUKZSUPAGUTVAAUQGESGUTSURPDEFGJMUHUIADEFGHIJKMNPQRULUMTUGUN $.
  $}

  ${
    $d k v N $.  $d k v .0. $.  $d k v U $.  $d k V $.  $d k W $.  $d k v X $.
    $d k v ph $.
    lspdisj.v $e |- V = ( Base ` W ) $.
    lspdisj.o $e |- .0. = ( 0g ` W ) $.
    lspdisj.n $e |- N = ( LSpan ` W ) $.
    lspdisj.s $e |- S = ( LSubSp ` W ) $.
    lspdisj.w $e |- ( ph -> W e. LVec ) $.
    lspdisj.u $e |- ( ph -> U e. S ) $.
    lspdisj.x $e |- ( ph -> X e. V ) $.
    lspdisj.e $e |- ( ph -> -. X e. U ) $.
    $( The span of a vector not in a subspace is disjoint with the subspace.
       (Contributed by NM, 6-Apr-2015.) $)
    lspdisj $p |- ( ph -> ( ( N ` { X } ) i^i U ) = { .0. } ) $=
      ( cfv wcel wa syl2anc vv vk csn cin cv wceq cvsca co csca cbs clmod clvec
      wrex wb lveclmod syl eqid lspsnel biimpa adantrr wi simprr wn ad2antrr wo
      c0g simplr eqeltrrd simprl lssvs0or mpbid orcomd ord oveq1d lmod0vs exp32
      mpd 3eqtrd adantrl rexlimdv ex elin velsn 3imtr4g ssrdv wss lspsncl ssind
      lss0ss eqssd ) AGUCDQZCUDZHUCZAUAWLWMAUAUEZWKRZWNCRZSZWNHUFZWNWLRWNWMRAWQ
      WRAWQSZWNUBUEZGFUGQZUHZUFZUBFUIQZUJQZUMZWRAWOXFWPAWOXFAFUKRZGERZWOXFUNAFU
      LRZXGMFUOUPZOXAWNUBXDXEDEFGXDUQZXEUQZIXAUQZKURTUSUTWSXCWRUBXEAWPWTXERZXCW
      RVAVAWOAWPSZXNXCWRXOXNXCSZSZWNXBXDVFQZGXAUHZHXOXNXCVBZXQWTXRGXAXQGCRZVCZW
      TXRUFZAYBWPXPPVDXQYAYCXQYCYAXQXBCRYCYAVEXQWNXBCXTAWPXPVGVHXQWTBXACXDXEEFG
      XRIXMXKXLXRUQZLAXIWPXPMVDACBRZWPXPNVDAXHWPXPOVDZXOXNXCVIVJVKVLVMVQVNXQXGX
      HXSHUFAXGWPXPXJVDYFXAXDXREFGHIXKXMYDJVOTVRVPVSVTVQWAWNWKCWBUAHWCWDWEAWMWK
      CAXGWKBRZWMWKWFXJAXGXHYGXJOBDEFGILKWGTBFWKHJLWITAXGYEWMCWFXJNBFCHJLWITWHW
      J $.
  $}

  ${
    lspdisjb.v $e |- V = ( Base ` W ) $.
    lspdisjb.o $e |- .0. = ( 0g ` W ) $.
    lspdisjb.n $e |- N = ( LSpan ` W ) $.
    lspdisjb.s $e |- S = ( LSubSp ` W ) $.
    lspdisjb.w $e |- ( ph -> W e. LVec ) $.
    lspdisjb.u $e |- ( ph -> U e. S ) $.
    lspdisjb.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    $( A nonzero vector is not in a subspace iff its span is disjoint with the
       subspace.  (Contributed by NM, 23-Apr-2015.) $)
    lspdisjb $p |- ( ph
          -> ( -. X e. U <-> ( ( N ` { X } ) i^i U ) = { .0. } ) ) $=
      ( wcel csn wceq wa adantr wn cfv cin clvec eldifad simpr lspdisj wne cdif
      eldifsni syl wi clmod lveclmod lspsnid syl2anc eleq2 elsni syl6bi syl5bir
      elin expd mpan9 necon3ad mpd impbida ) AGCPZUAZGQDUBZCUCZHQZRZAVHSBCDEFGH
      IJKLAFUDPZVHMTACBPVHNTAGEPZVHAGEVKOUEZTAVHUFUGAVLSZGHUHZVHAVQVLAGEVKUIPVQ
      OGEHUJUKTVPVGGHAGVIPZVLVGGHRZULAFUMPZVNVRAVMVTMFUNUKVODEFGIKUOUPVLVRVGVSV
      RVGSGVJPZVLVSGVICVAVLWAGVKPVSVJVKGUQGHURUSUTVBVCVDVEVF $.
  $}

  ${
    lspdisj2.v $e |- V = ( Base ` W ) $.
    lspdisj2.o $e |- .0. = ( 0g ` W ) $.
    lspdisj2.n $e |- N = ( LSpan ` W ) $.
    lspdisj2.w $e |- ( ph -> W e. LVec ) $.
    lspdisj2.x $e |- ( ph -> X e. V ) $.
    lspdisj2.y $e |- ( ph -> Y e. V ) $.
    lspdisj2.q $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
    $( Unequal spans are disjoint (share only the zero vector).  (Contributed
       by NM, 22-Mar-2015.) $)
    lspdisj2 $p |- ( ph -> ( ( N ` { X } ) i^i ( N ` { Y } ) ) = { .0. } ) $=
      ( csn cfv wceq wa wcel adantr cin sneq fveq2d clmod clvec lveclmod lspsn0
      syl sylan9eqr ineq1d wss clss eqid lspsncl syl2anc lss0ss df-ss sylib wne
      eqtrd wn simpr simplr lspsneleq ex necon3ad mpd lspdisj pm2.61dane ) AEOZ
      BPZFOBPZUAZGOZQEGAEGQZRZVMVNVLUAZVNVPVKVNVLVOAVKVNBPZVNVOVJVNBEGUBUCADUDS
      ZVRVNQADUESZVSKDUFUHZBDGIJUGUHUIUJAVQVNQZVOAVNVLUKZWBAVSVLDULPZSZWCWAAVSF
      CSZWEWAMWDBCDFHWDUMZJUNUOZWDDVLGIWGUPUOVNVLUQURTUTAEGUSZRZWDVLBCDEGHIJWGA
      VTWIKTZAWEWIWHTAECSWILTWJVKVLUSZEVLSZVAAWLWINTWJWMVKVLWJWMVKVLQWJWMRBCDFE
      GHIJWJVTWMWKTWJWFWMAWFWIMTTWJWMVBAWIWMVCVDVEVFVGVHVI $.
  $}

  ${
    $d k l z N $.  $d k l z .0. $.  $d k l z .+ $.  $d k l V $.  $d k l z W $.
    $d k l z X $.  $d k l z Y $.  $d k l z Z $.  $d k l ph $.
    lspfixed.v $e |- V = ( Base ` W ) $.
    lspfixed.p $e |- .+ = ( +g ` W ) $.
    lspfixed.o $e |- .0. = ( 0g ` W ) $.
    lspfixed.n $e |- N = ( LSpan ` W ) $.
    lspfixed.w $e |- ( ph -> W e. LVec ) $.
    lspfixed.y $e |- ( ph -> Y e. V ) $.
    lspfixed.z $e |- ( ph -> Z e. V ) $.
    lspfixed.e $e |- ( ph -> -. X e. ( N ` { Y } ) ) $.
    lspfixed.f $e |- ( ph -> -. X e. ( N ` { Z } ) ) $.
    lspfixed.g $e |- ( ph -> X e. ( N ` { Y , Z } ) ) $.
    $( Show membership in the span of the sum of two vectors, one of which
       ( ` Y ` ) is fixed in advance.  (Contributed by NM, 27-May-2015.)
       (Revised by AV, 12-Jul-2022.) $)
    lspfixed $p |- ( ph
    -> E. z e. ( ( N ` { Z } ) \ { .0. } ) X e. ( N ` { ( Y .+ z ) } ) ) $=
      ( vk vl cv cvsca cfv co wceq csca cbs wrex csn wcel cdif eqid clvec clmod
      cpr lveclmod syl lspprel mpbid wa w3a cinvr clss 3ad2ant1 lspsncl syl2anc
      wne cdr c0g lvecdrng simp2l wn simpl3 simpr oveq1d lmod0vs eqtrd lmodvscl
      simpl1 simp2r syl3anc adantr lmod0vlid 3eqtrd simpl2r lspsnid syl22anc ex
      lssvscl eqeltrd necon3bd mpd drnginvrcl drnginvrn0 oveq1 sylan9eqr oveq2d
      lmod0vrid preq2 fveq2d lsppr0 eleqtrd lvecvsn0 mpbir2and eldifsn sylanbrc
      simp3 lmodvacl lspsnvs syl121anc lmodvsdi cur drnginvrl lmodvsass lmodvs1
      syl13anc cmulr 3eqtr3d sneqd eqtr3d oveq2 eleq2d rspcev 3exp rexlimdvv )
      AGUAUCZHFUDUEZUFZUBUCZJYIUFZCUFZUGZUBFUHUEZUIUEZUJUAYPUJZGHBUCZCUFZUKZDUE
      ZULZBJUKDUEZIUKUMZUJZAGHJUQZDUEZULZYQTACYIUAYOYPDEFHJGUBKLYOUNZYPUNZYIUNZ
      NAFUOULZFUPULZOFURUSZPQUTVAAYNUUEUAUBYPYPAYHYPULZYKYPULZVBZYNUUEAUUQYNVCZ
      YHYOVDUEZUEZYLYIUFZUUDULZGHUVACUFZUKZDUEZULZUUEUURUVAUUCULZUVAIVIZUVBUURU
      UMUUCFVEUEZULZUUTYPULZYLUUCULZUVGAUUQUUMYNUUNVFZAUUQUVJYNAUUMJEULZUVJUUNQ
      UVIDEFJKUVIUNZNVGVHZVFZUURYOVJULZUUOYHYOVKUEZVIZUVKUURUULUVRAUUQUULYNOVFZ
      YOFUUIVLUSZAUUOUUPYNVMZUURGUUCULZVNZUVTAUUQUWEYNSVFUURUWDYHUVSUURYHUVSUGZ
      UWDUURUWFVBZGYLUUCUWGGYMIYLCUFZYLAUUQYNUWFVOUWGYJIYLCUWGYJUVSHYIUFZIUWGYH
      UVSHYIUURUWFVPVQUWGUUMHEULZUWIIUGUWGAUUMAUUQYNUWFWAZUUNUSZUWGAUWJUWKPUSYI
      YOUVSEFHIKUUIUUKUVSUNZMVRVHVSVQUWGUUMYLEULZUWHYLUGUWLUURUWNUWFUURUUMUUPUV
      NUWNUVMAUUOUUPYNWBZAUUQUVNYNQVFZYKYIYOYPEFJKUUIUUKUUJVTWCZWDCEFYLIKLMWEVH
      WFUWGUUMUVJUUPJUUCULZUVLUWLUWGAUVJUWKUVPUSUUOUUPAYNUWFWGUWGAUWRUWKAUUMUVN
      UWRUUNQDEFJKNWHVHZUSYPUVIYIUUCYOFYKJUUIUUKUUJUVOWKZWIWLWJWMWNZYPYOUUSYHUV
      SUUJUWMUUSUNZWOWCZUURUUMUVJUUPUWRUVLUVMUVQUWOAUUQUWRYNUWSVFUWTWIYPUVIYIUU
      CYOFUUTYLUUIUUKUUJUVOWKWIUURUVHUUTUVSVIZYLIVIZUURUVRUUOUVTUXDUWBUWCUXAYPY
      OUUSYHUVSUUJUWMUXBWPWCZUURUXEYKUVSVIZJIVIZUURGHUKDUEZULZVNZUXGAUUQUXKYNRV
      FZUURUXJYKUVSUURYKUVSUGZUXJUURUXMVBZGYJUXIUXNGYMYJICUFZYJAUUQYNUXMVOUXNYL
      IYJCUXMUURYLUVSJYIUFZIYKUVSJYIWQUURUUMUVNUXPIUGUVMUWPYIYOUVSEFJIKUUIUUKUW
      MMVRVHWRWSUURUXOYJUGZUXMUURUUMYJEULZUXQUVMUURUUMUUOUWJUXRUVMUWCAUUQUWJYNP
      VFZYHYIYOYPEFHKUUIUUKUUJVTWCZCEFYJIKLMWTVHWDWFUURYJUXIULZUXMUURUUMUXIUVIU
      LZUUOHUXIULZUYAUVMAUUQUYBYNAUUMUWJUYBUUNPUVIDEFHKUVONVGVHVFUWCAUUQUYCYNAU
      UMUWJUYCUUNPDEFHKNWHVHVFYPUVIYIUXIYOFYHHUUIUUKUUJUVOWKWIWDWLWJWMWNUURUXKU
      XHUXLUURUXJJIUURJIUGZUXJUURUYDVBZGUUGUXIUYEAUUHAUUQYNUYDWATUSUYDUURUUGHIU
      QZDUEUXIUYDUUFUYFDJIHXAXBUURDEFHIKMNUVMUXSXCWRXDWJWMWNUURYKYIYOYPUVSEFJIK
      UUKUUIUUJUWMMUWAUWOUWPXEXFUURUUTYIYOYPUVSEFYLIKUUKUUIUUJUWMMUWAUXCUWQXEXF
      UVAUUCIXGXHUURGYMUKDUEZUVEUURGYMUYGAUUQYNXIUURUUMYMEULZYMUYGULUVMUURUUMUX
      RUWNUYHUVMUXTUWQCEFYJYLKLXJWCZDEFYMKNWHVHWLUURUUTYMYIUFZUKZDUEZUYGUVEUURU
      ULUVKUXDUYHUYLUYGUGUWAUXCUXFUYIUUTYIYOYPDEFYMUVSKUUIUUKUUJUWMNXKXLUURUYKU
      VDDUURUYJUVCUURUYJUUTYJYIUFZUVACUFZUVCUURUUMUVKUXRUWNUYJUYNUGUVMUXCUXTUWQ
      CUUTYIYOYPEFYJYLKLUUIUUKUUJXMXRUURUYMHUVACUURUUTYHYOXSUEZUFZHYIUFZYOXNUEZ
      HYIUFZUYMHUURUYPUYRHYIUURUVRUUOUVTUYPUYRUGUWBUWCUXAYPYOUYOUYRUUSYHUVSUUJU
      WMUYOUNZUYRUNZUXBXOWCVQUURUUMUVKUUOUWJUYQUYMUGUVMUXCUWCUXSUUTYHYIUYOYOYPE
      FHKUUIUUKUUJUYTXPXRUURUUMUWJUYSHUGUVMUXSYIUYRYOEFHKUUIUUKVUAXQVHXTVQVSYAX
      BYBXDUUBUVFBUVAUUDYRUVAUGZUUAUVEGVUBYTUVDDVUBYSUVCYRUVAHCYCYAXBYDYEVHYFYG
      WN $.
  $}

  ${
    $d j k N $.  $d j k V $.  $d j k W $.  $d j k X $.  $d j k Y $.
    $d j k Z $.  $d j k ph $.
    lspexch.v $e |- V = ( Base ` W ) $.
    lspexch.o $e |- .0. = ( 0g ` W ) $.
    lspexch.n $e |- N = ( LSpan ` W ) $.
    lspexch.w $e |- ( ph -> W e. LVec ) $.
    lspexch.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    lspexch.y $e |- ( ph -> Y e. V ) $.
    lspexch.z $e |- ( ph -> Z e. V ) $.
    lspexch.q $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Z } ) ) $.
    lspexch.e $e |- ( ph -> X e. ( N ` { Y , Z } ) ) $.
    $( Exchange property for span of a pair.  TODO: see if a version with Y,Z
       and X,Z reversed will shorten proofs (analogous to ~ lspexchn1 versus
       ~ lspexchn2 ); look for ~ lspexch and ~ prcom in same proof.  TODO:
       would a hypothesis of ` -. X e. ( N `` { Z } ) ` instead of
       ` ( N `` { X } ) =/= ( N `` { Z } ) ` be better overall?  This would be
       shorter and also satisfy the ` X =/= .0. ` condition.  Here and also
       lspindp* and all proofs affected by them (all in NM's mathbox); there
       are 58 hypotheses with the ` =/= ` pattern as of 24-May-2015.
       (Contributed by NM, 11-Apr-2015.) $)
    lspexch $p |- ( ph -> Y e. ( N ` { X , Z } ) ) $=
      ( cfv co wcel vj vk cv cvsca cplusg wceq csca cbs wrex cpr clvec lveclmod
      eqid clmod syl lspprel mpbid wa w3a cinvr cminusg csg 3ad2ant1 simp2r csn
      cdif eldifad lmodsubvs simp3 eqcomd wb lmodgrp lmodvscl syl3anc grpsubadd
      simp2l syl13anc mpbird eqtr3d c0g wne adantr oveq1 oveq1d lmod0vs syl2anc
      cgrp lmod0vlid eqtrd sylan9eqr lspsneli eqeltrd eldifsni lspsneleq ex mpd
      necon3d eldifsn sylanbrc lmodfgrp grpinvcl lmodvacl lvecinv clss lvecdrng
      lspprcl cdr drnginvrcl cur lmodvs1 crg lmodring ringidcl lsppreli lssvscl
      3syl eqeltrrd syl22anc 3exp rexlimdvv ) AEUAUCZFDUDRZSZUBUCZHYBSZDUERZSZU
      FZUBDUGRZUHRZUIUAYJUIZFEHUJBRZTZAEFHUJBRTYKQAYFYBUAYIYJBCDFHEUBIYFUMZYIUM
      ZYJUMZYBUMZKADUKTZDUNTZLDULZUOZNOUPUQAYHYMUAUBYJYJAYAYJTZYDYJTZURZYHYMAUU
      DYHUSZFYAYIUTRZRZEYDYIVARZRZHYBSZYFSZYBSZYLUUEUUKYCUFFUULUFUUEEYEDVBRZSZU
      UKYCUUEYDYFYBYIYJUUMUUHCDEHIYNUUMUMZYQYOYPUUHUMZUUEYRYSAUUDYRYHLVCZYTUOZA
      UUBUUCYHVDZUUEECGVEZAUUDECUUTVFTZYHMVCZVGZAUUDHCTZYHOVCZVHUUEUUNYCUFZYGEU
      FZUUEEYGAUUDYHVIZVJUUEDWGTZECTZYECTZYCCTZUVFUVGVKUUEYSUVIAUUDYSYHUUAVCZDV
      LUOUVCUUEYSUUCUVDUVKUURUUSUVEYDYBYIYJCDHIYOYQYPVMVNZUUEYSUUBFCTZUVLUURAUU
      BUUCYHVPZAUUDUVOYHNVCZYAYBYIYJCDFIYOYQYPVMVNCYFDUUMEYEYCIYNUUOVOVQVRVSUUE
      YAYBYIUUFYJCDUUKFYIVTRZIYQYOYPUVRUMZUUFUMZUUQUUEUUBYAUVRWAZYAYJUVRVEVFTUV
      PUUEEVEBRZHVEBRZWAZUWAAUUDUWDYHPVCUUEYAUVRUWBUWCUUEYAUVRUFZUWBUWCUFUUEUWE
      URZBCDHEGIJKUUEYRUWEUUQWBUUEUVDUWEUVEWBUWFEYEUWCUWFEYGYEUUEYHUWEUVHWBUWEU
      UEYGUVRFYBSZYEYFSZYEUWEYCUWGYEYFYAUVRFYBWCWDUUEUWHGYEYFSZYEUUEUWGGYEYFUUE
      YSUVOUWGGUFUURUVQYBYIUVRCDFGIYOYQUVSJWEWFWDUUEYSUVKUWIYEUFUURUVNYFCDYEGIY
      NJWHWFWIWJWIUUEYEUWCTUWEUUEYDYBYIYJBCDHIYQYOYPKUURUUSUVEWKWBWLUUEEGWAZUWE
      UUEUVAUWJUVBECGWMUOWBWNWOWQWPZYAYJUVRWRWSUUEYSUVJUUJCTZUUKCTUURUVCUUEYSUU
      IYJTZUVDUWLUURUUEYIWGTZUUCUWMUUEYSUWNUVMYIDYOWTUOUUSYJYIUUHYDYPUUPXAWFZUV
      EUUIYBYIYJCDHIYOYQYPVMVNYFCDEUUJIYNXBVNUVQXCUQUUEYSYLDXDRZTUUGYJTZUUKYLTU
      ULYLTUURUUEUWPBCDEHIUWPUMZKUURUVCUVEXFUUEYIXGTZUUBUWAUWQUUEYRUWSUUQYIDYOX
      EUOUVPUWKYJYIUUFYAUVRYPUVSUVTXHVNUUEYIXIRZEYBSZUUJYFSUUKYLUUEUXAEUUJYFUUE
      YSUVJUXAEUFUURUVCYBUWTYICDEIYOYQUWTUMZXJWFWDUUEUWTUUIYFYBYIYJBCDEHIYNYQYO
      YPKUURUUEYSYIXKTUWTYJTUURYIDYOXLYJYIUWTYPUXBXMXPUWOUVCUVEXNXQYJUWPYBYLYID
      UUGUUKYOYQYPUWRXOXRWLXSXTWP $.
  $}

  ${
    lspexchn1.v $e |- V = ( Base ` W ) $.
    lspexchn1.n $e |- N = ( LSpan ` W ) $.
    lspexchn1.w $e |- ( ph -> W e. LVec ) $.
    lspexchn1.x $e |- ( ph -> X e. V ) $.
    lspexchn1.y $e |- ( ph -> Y e. V ) $.
    lspexchn1.z $e |- ( ph -> Z e. V ) $.
    lspexchn1.q $e |- ( ph -> -. Y e. ( N ` { Z } ) ) $.
    lspexchn1.e $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
    $( Exchange property for span of a pair with negated membership.  TODO:
       look at uses of ~ lspexch to see if this will shorten proofs.
       (Contributed by NM, 20-May-2015.) $)
    lspexchn1 $p |- ( ph -> -. Y e. ( N ` { X , Z } ) ) $=
      ( cpr cfv wcel adantr csn c0g eqid clvec cdif clss clmod lveclmod lspsncl
      wa syl syl2anc lssneln0 wne lspsnne2 simpr lspexch mtand ) AFEGPBQRZEFGPB
      QROAURUIBCDFEDUAQZGHUSUBZIADUCRZURJSAFCUSTUDRURADUEQZGTBQZCDFUSUTVBUBZAVA
      DUFRZJDUGUJZAVEGCRZVCVBRVFMVBBCDGHVDIUHUKLNULSAECRURKSAVGURMSAFTBQVCUMURA
      BCDFGHIVFLMNUNSAURUOUPUQ $.
  $}

  ${
    lspexchn2.v $e |- V = ( Base ` W ) $.
    lspexchn2.n $e |- N = ( LSpan ` W ) $.
    lspexchn2.w $e |- ( ph -> W e. LVec ) $.
    lspexchn2.x $e |- ( ph -> X e. V ) $.
    lspexchn2.y $e |- ( ph -> Y e. V ) $.
    lspexchn2.z $e |- ( ph -> Z e. V ) $.
    lspexchn2.q $e |- ( ph -> -. Y e. ( N ` { Z } ) ) $.
    lspexchn2.e $e |- ( ph -> -. X e. ( N ` { Z , Y } ) ) $.
    $( Exchange property for span of a pair with negated membership.  TODO:
       look at uses of ~ lspexch to see if this will shorten proofs.
       (Contributed by NM, 24-May-2015.) $)
    lspexchn2 $p |- ( ph -> -. Y e. ( N ` { Z , X } ) ) $=
      ( cpr cfv wcel prcom fveq2i eleq2i sylnib lspexchn1 ) AFEGPZBQZRFGEPZBQZR
      ABCDEFGHIJKLMNAEGFPZBQZREFGPZBQZROUIUKEUHUJBGFSTUAUBUCUEUGFUDUFBEGSTUAUB
      $.
  $}

  ${
    lspindpi.v $e |- V = ( Base ` W ) $.
    lspindpi.n $e |- N = ( LSpan ` W ) $.
    lspindpi.w $e |- ( ph -> W e. LVec ) $.
    lspindpi.x $e |- ( ph -> X e. V ) $.
    lspindpi.y $e |- ( ph -> Y e. V ) $.
    lspindpi.z $e |- ( ph -> Z e. V ) $.
    lspindpi.e $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
    $( Partial independence property.  (Contributed by NM, 23-Apr-2015.) $)
    lspindpi $p |- ( ph
 -> ( ( N ` { X } ) =/= ( N ` { Y } ) /\ ( N ` { X } ) =/= ( N ` { Z } ) ) ) $=
      ( csn cfv wne wcel wss syl2anc cpr wn wceq clsm co csubg clss clmod clvec
      lveclmod syl eqid lsssssubg sseldd lsmub1 lsmpr sseqtrrd sseq1 syl5ibrcom
      lspsncl lspprcl lspsnel5 sylibrd necon3bd mpd lsmub2 jca ) AEOBPZFOBPZQZV
      HGOBPZQZAEFGUABPZRZUBZVJNAVNVHVIAVHVIUCZVHVMSZVNAVQVPVIVMSAVIVIVKDUDPZUEZ
      VMAVIDUFPZRZVKVTRZVIVSSADUGPZVTVIADUHRZWCVTSADUIRWDJDUJUKZWCDWCULZUMUKZAW
      DFCRVIWCRWELWCBCDFHWFIUTTUNZAWCVTVKWGAWDGCRVKWCRWEMWCBCDGHWFIUTTUNZVRVIVK
      DVRULZUOTAVRBCDFGHIWJWELMUPZUQVHVIVMURUSAWCVMBCDEHWFIWEAWCBCDFGHWFIWELMVA
      KVBZVCVDVEAVOVLNAVNVHVKAVHVKUCZVQVNAVQWMVKVMSAVKVSVMAWAWBVKVSSWHWIVRVIVKD
      WJVFTWKUQVHVKVMURUSWLVCVDVEVG $.
  $}

  ${
    lspindp1.v $e |- V = ( Base ` W ) $.
    lspindp1.o $e |- .0. = ( 0g ` W ) $.
    lspindp1.n $e |- N = ( LSpan ` W ) $.
    lspindp1.w $e |- ( ph -> W e. LVec ) $.
    ${
      lspindp1.y $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      lspindp1.z $e |- ( ph -> Y e. V ) $.
      lspindp1.x $e |- ( ph -> Z e. V ) $.
      lspindp1.q $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
      lspindp1.e $e |- ( ph -> -. Z e. ( N ` { X , Y } ) ) $.
      $( Alternate way to say 3 vectors are mutually independent (swap 1st and
         2nd).  (Contributed by NM, 11-Apr-2015.) $)
      lspindp1 $p |- ( ph
       -> ( ( N ` { Z } ) =/= ( N ` { Y } ) /\ -. X e. ( N ` { Z , Y } ) ) ) $=
        ( cfv wcel adantr csn wne cpr wn eldifad lspindpi simprd wa clvec simpr
        cdif lspexch mtand jca ) AHUABRZFUABRZUBZEHFUCBRSZUDAUOEUABRZUBUQABCDHE
        FIKLOAECGUAZMUENQUFUGAURHEFUCBRSQAURUHBCDEHGFIJKADUISURLTAECUTUKSURMTAH
        CSUROTAFCSURNTAUSUPUBURPTAURUJULUMUN $.

      $( Alternate way to say 3 vectors are mutually independent (rotate left).
         (Contributed by NM, 10-May-2015.) $)
      lspindp2l $p |- ( ph
      -> ( ( N ` { Y } ) =/= ( N ` { Z } ) /\ -. X e. ( N ` { Y , Z } ) ) ) $=
        ( csn cfv wne wcel wn lspindp1 simpld necomd simprd prcom fveq2i eleq2i
        cpr sylnib jca ) AFRBSZHRBSZTEFHUJZBSZUAZUBAUNUMAUNUMTZEHFUJZBSZUAZUBZA
        BCDEFGHIJKLMNOPQUCZUDUEAVAUQAURVBVCUFUTUPEUSUOBHFUGUHUIUKUL $.
    $}

    ${
      lspindp2.x $e |- ( ph -> X e. V ) $.
      lspindp2.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      lspindp2.z $e |- ( ph -> Z e. V ) $.
      lspindp2.q $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
      lspindp2.e $e |- ( ph -> -. Z e. ( N ` { X , Y } ) ) $.
      $( Alternate way to say 3 vectors are mutually independent (rotate
         right).  (Contributed by NM, 12-Apr-2015.) $)
      lspindp2 $p |- ( ph
      -> ( ( N ` { Z } ) =/= ( N ` { X } ) /\ -. Y e. ( N ` { Z , X } ) ) ) $=
        ( csn cfv cpr necomd wcel prcom fveq2i eleq2i sylnib lspindp1 ) ABCDFEG
        HIJKLNMOAERBSFRBSPUAAHEFTZBSZUBHFETZBSZUBQUIUKHUHUJBEFUCUDUEUFUG $.
    $}
  $}

  ${
    lspindp3.v $e |- V = ( Base ` W ) $.
    lspindp3.p $e |- .+ = ( +g ` W ) $.
    ${
      lspindp3.o $e |- .0. = ( 0g ` W ) $.
      lspindp3.n $e |- N = ( LSpan ` W ) $.
      lspindp3.w $e |- ( ph -> W e. LVec ) $.
      lspindp3.x $e |- ( ph -> X e. V ) $.
      lspindp3.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      lspindp3.e $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
      $( Independence of 2 vectors is preserved by vector sum.  (Contributed by
         NM, 26-Apr-2015.) $)
      lspindp3 $p |- ( ph -> ( N ` { X } ) =/= ( N ` { ( X .+ Y ) } ) ) $=
        ( csn cfv wcel adantr wne co wceq wa clvec simpr lspabs2 ex necon3d mpd
        cdif ) AFQCRZGQCRZUAULFGBUBQCRZUAPAULUNULUMAULUNUCZULUMUCAUOUDBCDEFGHIJ
        KLAEUESUOMTAFDSUONTAGDHQUKSUOOTAUOUFUGUHUIUJ $.
    $}

    lspindp4.n $e |- N = ( LSpan ` W ) $.
    lspindp4.w $e |- ( ph -> W e. LMod ) $.
    lspindp4.x $e |- ( ph -> X e. V ) $.
    lspindp4.y $e |- ( ph -> Y e. V ) $.
    lspindp4.z $e |- ( ph -> Z e. V ) $.
    lspindp4.e $e |- ( ph -> -. Z e. ( N ` { X , Y } ) ) $.
    $( (Partial) independence of 3 vectors is preserved by vector sum.
       (Contributed by NM, 26-Apr-2015.) $)
    lspindp4 $p |- ( ph -> -. Z e. ( N ` { X , ( X .+ Y ) } ) ) $=
      ( co cpr cfv lspprabs neleqtrrd ) AFFGBQRCSFGRCSHPABCDEFGIJKLMNTUA $.
  $}

  ${
    lvecindp.v $e |- V = ( Base ` W ) $.
    lvecindp.p $e |- .+ = ( +g ` W ) $.
    lvecindp.f $e |- F = ( Scalar ` W ) $.
    lvecindp.k $e |- K = ( Base ` F ) $.
    lvecindp.t $e |- .x. = ( .s ` W ) $.
    lvecindp.s $e |- S = ( LSubSp ` W ) $.
    lvecindp.w $e |- ( ph -> W e. LVec ) $.
    lvecindp.u $e |- ( ph -> U e. S ) $.
    lvecindp.x $e |- ( ph -> X e. V ) $.
    lvecindp.n $e |- ( ph -> -. X e. U ) $.
    lvecindp.y $e |- ( ph -> Y e. U ) $.
    lvecindp.z $e |- ( ph -> Z e. U ) $.
    lvecindp.a $e |- ( ph -> A e. K ) $.
    lvecindp.b $e |- ( ph -> B e. K ) $.
    lvecindp.e $e |- ( ph -> ( ( A .x. X ) .+ Y ) = ( ( B .x. X ) .+ Z ) ) $.
    $( Compute the ` X ` coefficient in a sum with an independent vector ` X `
       (first conjunct), which can then be removed to continue with the
       remaining vectors summed in expressions ` Y ` and ` Z ` (second
       conjunct).  Typically, ` U ` is the span of the remaining vectors.
       (Contributed by NM, 5-Apr-2015.)  (Revised by Mario Carneiro,
       21-Apr-2016.)  (Proof shortened by AV, 19-Jul-2022.) $)
    lvecindp $p |- ( ph -> ( A = B /\ Y = Z ) ) $=
      ( wceq csn clspn cfv ccntz eqid clmod wcel csubg clvec lveclmod lspsnsubg
      co c0g syl syl2anc wss lsssssubg sseldd lspdisj lmodabl ablcntzd lspsneli
      cabl subgdisj1 lssvneln0 lvecvscan2 mpbid subgdisj2 jca ) ABCUJZMNUJABLFV
      BZCLFVBZUJVTAWAMWBNDLUKKULUMZUMZGKKVCUMZKUNUMZPWEUOZWFUOZAKUPUQZLJUQWDKUR
      UMZUQAKUSUQWIUAKUTVDZUCWCJKLOWCUOZVAVEZAEWJGAWIEWJVFWKEKTVGVDUBVHZAEGWCJK
      LWEOWGWLTUAUBUCUDVIZAWDGKWFWHAWIKVMUQWKKVJVDWMWNVKZABFHIWCJKLOSQRWLWKUGUC
      VLZACFHIWCJKLOSQRWLWKUHUCVLZUEUFUIVNABCFHIJKLWEOSQRWGUAUGUHUCAEGKLWEWGTWK
      UBUDVOVPVQAWAMWBNDWDGKWEWFPWGWHWMWNWOWPWQWRUEUFUIVRVS $.
  $}

  ${
    lvecindp2.v $e |- V = ( Base ` W ) $.
    lvecindp2.p $e |- .+ = ( +g ` W ) $.
    lvecindp2.f $e |- F = ( Scalar ` W ) $.
    lvecindp2.k $e |- K = ( Base ` F ) $.
    lvecindp2.t $e |- .x. = ( .s ` W ) $.
    lvecindp2.o $e |- .0. = ( 0g ` W ) $.
    lvecindp2.n $e |- N = ( LSpan ` W ) $.
    lvecindp2.w $e |- ( ph -> W e. LVec ) $.
    lvecindp2.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    lvecindp2.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
    lvecindp2.a $e |- ( ph -> A e. K ) $.
    lvecindp2.b $e |- ( ph -> B e. K ) $.
    lvecindp2.c $e |- ( ph -> C e. K ) $.
    lvecindp2.d $e |- ( ph -> D e. K ) $.
    lvecindp2.q $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
    lvecindp2.e $e |- ( ph
       -> ( ( A .x. X ) .+ ( B .x. Y ) ) = ( ( C .x. X ) .+ ( D .x. Y ) ) ) $.
    $( Sums of independent vectors must have equal coefficients.  (Contributed
       by NM, 22-Mar-2015.) $)
    lvecindp2 $p |- ( ph -> ( A = C /\ B = D ) ) $=
      ( co wceq wa csn cfv ccntz eqid clmod wcel csubg clvec lveclmod lspsnsubg
      syl eldifad syl2anc lspdisj2 cabl lmodabl ablcntzd lspsneli subgdisjb wne
      mpbid cdif eldifsni lvecvscan2 anbi12d ) ABMGULZDMGULZUMZCNGULZENGULZUMZU
      NZBDUMZCEUMZUNAVTWCFULWAWDFULUMWFUKAVTWCWAWDFMUOJUPZNUOJUPZLOLUQUPZQUAWKU
      RZALUSUTZMKUTWILVAUPZUTALVBUTWMUCLVCVEZAMKOUOZUDVFZJKLMPUBVDVGZAWMNKUTWJW
      NUTWOANKWPUEVFZJKLNPUBVDVGZAJKLMNOPUAUBUCWQWSUJVHAWIWJLWKWLAWMLVIUTWOLVJV
      EWRWTVKABGHIJKLMPTRSUBWOUFWQVLADGHIJKLMPTRSUBWOUHWQVLACGHIJKLNPTRSUBWOUGW
      SVLAEGHIJKLNPTRSUBWOUIWSVLVMVOAWBWGWEWHABDGHIKLMOPTRSUAUCUFUHWQAMKWPVPZUT
      MOVNUDMKOVQVEVRACEGHIKLNOPTRSUAUCUGUIWSANXAUTNOVNUENKOVQVEVRVSVO $.
  $}

  ${
    lspsnsubn0.v $e |- V = ( Base ` W ) $.
    lspsnsubn0.o $e |- .0. = ( 0g ` W ) $.
    lspsnsubn0.m $e |- .- = ( -g ` W ) $.
    lspsnsubn0.w $e |- ( ph -> W e. LMod ) $.
    lspsnsubn0.x $e |- ( ph -> X e. V ) $.
    lspsnsubn0.y $e |- ( ph -> Y e. V ) $.
    lspsnsubn0.e $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
    $( Unequal singleton spans imply nonzero vector subtraction.  (Contributed
       by NM, 19-Mar-2015.) $)
    lspsnsubn0 $p |- ( ph -> ( X .- Y ) =/= .0. ) $=
      ( csn cfv wne wceq wcel co clmod wb lmodsubeq0 syl3anc sneq fveq2d syl6bi
      necon3d mpd ) AFPZCQZGPZCQZRFGBUAZHROAUOHULUNAUOHSZFGSZULUNSAEUBTFDTGDTUP
      UQUCLMNFGBDEHIJKUDUEUQUKUMCFGUFUGUHUIUJ $.
  $}

  ${
    $d x y z N $.  $d x y z .(+) $.  $d x y z T $.  $d x y z U $.  $d y z W $.
    $d x y z X $.  $d x y z ph $.
    lsmcv.v $e |- V = ( Base ` W ) $.
    lsmcv.s $e |- S = ( LSubSp ` W ) $.
    lsmcv.n $e |- N = ( LSpan ` W ) $.
    lsmcv.p $e |- .(+) = ( LSSum ` W ) $.
    lsmcv.w $e |- ( ph -> W e. LVec ) $.
    lsmcv.t $e |- ( ph -> T e. S ) $.
    lsmcv.u $e |- ( ph -> U e. S ) $.
    lsmcv.x $e |- ( ph -> X e. V ) $.
    $( Subspace sum has the covering property (using spans of singletons to
       represent atoms).  Similar to Exercise 5 of [Kalmbach] p. 153.
       ( ~ spansncvi analog.)  TODO: ugly proof; can it be shortened?
       (Contributed by NM, 2-Oct-2014.) $)
    lsmcv $p |- ( ( ph /\ T C. U /\ U C_ ( T .(+) ( N ` { X } ) ) )
      -> U = ( T .(+) ( N ` { X } ) ) ) $=
      ( syl wcel syl2anc vx vy vz csn cfv co wss w3a simp3 simp2 pssss cv wn wa
      wpss pssnel cplusg wceq wrex simpl3 simprl sseldd wb csubg clmod lveclmod
      wex clvec lsssssubg lspsncl eqid lsmelval 3ad2ant1 adantr c0g wne simp1rr
      mpbid simp2l wi oveq2 eqeq2d biimpac ad2antrr lssel lmod0vrid biimpd syl7
      ex exp4a 3imp eleq1 biimparc syl6an necon3bd mpd csg cabl lmodabl simp1l1
      simp2r ablpncan2 syl3anc simp1rl eqeltrrd simp1l2 sselda syl22anc simp12r
      lssvsubcl lspsneleq lspsnel5a eqsstrrd mpd3an23 rexlimdvv exlimddv lsmlub
      3exp mpbi2and eqssd ) ADEUOZEDIUDFUEZBUFZUGZUHZEYCAYAYDUIYEDEUGZYBEUGZYCE
      UGZYEYAYFAYAYDUJZDEUKZRYEUAULZESZYKDSZUMZUNZYGUAYEYAYOUAVGYIUADEUPRYEYOUN
      ZYKUBULZUCULZHUQUEZUFZURZUCYBUSUBDUSZYGYPYKYCSZUUBYPEYCYKAYAYDYOUTYEYLYNV
      AVBYEUUCUUBVCZYOAYAUUDYDADHVDUEZSZYBUUESZUUDACUUEDAHVESZCUUEUGAHVHSZUUHNH
      VFZRZCHKVIRZOVBZACUUEYBUULAUUHIGSZYBCSZUUKQCFGHIJKLVJZTVBZUBUCYSBDYBHYKYS
      VKZMVLTVMVNVRYPUUAYGUBUCDYBYPYQDSZYRYBSZUNZUUAYGYPUVAUUAUHZYRHVOUEZVPZYRE
      SZYGUVBYNUVDYLYNYEUVAUUAVQUVBYMYRUVCUVBUUSYRUVCURZYKYQURZYMYPUUSUUTUUAVSZ
      YPUVAUUAUVFUVGVTYPUVAUUAUVFUVGUUAUVFUNYKYQUVCYSUFZURZYPUVAUVGUVFUUAUVJUVF
      YTUVIYKYRUVCYQYSWAWBWCYPUVAUVJUVGVTYPUVAUNZUVJUVGUVKUVIYQYKUVKUUHYQGSZUVI
      YQURYEUUHYOUVAAYAUUHYDUUKVMWDUVKDCSZUUSUVLYEUVMYOUVAAYAUVMYDOVMWDYPUUSUUT
      VACDGHYQJKWEZTYSGHYQUVCJUURUVCVKZWFTWBWGWIWHWJWKUVGYMUUSYKYQDWLWMWNWOWPUV
      BYTYQHWQUEZUFZYREUVBHWRSZUVLYRGSZUVQYRURUVBUUIUVRYPUVAUUIUUAYEUUIYOAYAUUI
      YDNVMVNVMZUUIUUHUVRUUJHWSRRUVBUVMUUSUVLUVBAUVMAYAYDYOUVAUUAWTZORUVHUVNTUV
      BUUOUUTUVSUVBUUHUUNUUOUVBUUIUUHUVTUUJRZUVBAUUNUWAQRUUPTYPUUSUUTUUAXACYBGH
      YRJKWETGYSHUVPYQYRJUURUVPVKZXBXCUVBUUHECSZYTESYQESZUVQESUWBUVBAUWDUWAPRUV
      BYKYTEYPUVAUUAUIYLYNYEUVAUUAXDXEUVBYAUUSUWEAYAYDYOUVAUUAXFUVHYADEYQYJXGTC
      EUVPHYTYQUWCKXJXHXEUVBUVDUVEUHZYBYRUDFUEEUWFFGHIYRUVCJUVOLUVBUVDUUIUVEUVT
      VMZUWFAUUNUVBUVDAUVEUWAVMZQRUUSUUTYPUUAUVDUVEXIUVBUVDUVEUJXKUWFCEFHYRKLUW
      FUUIUUHUWGUUJRUWFAUWDUWHPRUVBUVDUVEUIXLXMXNXRXOWPXPAYAYFYGUNYHVCZYDAUUFUU
      GEUUESUWIUUMUUQACUUEEUULPVBBDYBEHMXQXCVMXSXT $.
  $}

  ${
    $d r s t z A $.  $d r s t x y z B $.  $d r s t z N $.  $d a s t x y z ph $.
    $d r F $.  $d a s t x y Q $.  $d r S $.  $d r s t z V $.  $d a r x y z W $.
    $d r s t z .+ $.  $d r s t z .x. $.  $d r z X $.  $d r s t z Y $.
    lspsolv.v $e |- V = ( Base ` W ) $.
    lspsolv.s $e |- S = ( LSubSp ` W ) $.
    lspsolv.n $e |- N = ( LSpan ` W ) $.
    ${
      lspsolv.f $e |- F = ( Scalar ` W ) $.
      lspsolv.b $e |- B = ( Base ` F ) $.
      lspsolv.p $e |- .+ = ( +g ` W ) $.
      lspsolv.t $e |- .x. = ( .s ` W ) $.
      lspsolv.q $e |- Q = { z e. V |
                            E. r e. B ( z .+ ( r .x. Y ) ) e. ( N ` A ) } $.
      lspsolv.w $e |- ( ph -> W e. LMod ) $.
      lspsolv.ss $e |- ( ph -> A C_ V ) $.
      lspsolv.y $e |- ( ph -> Y e. V ) $.
      lspsolv.x $e |- ( ph -> X e. ( N ` ( A u. { Y } ) ) ) $.
      $( Lemma for ~ lspsolv .  (Contributed by Mario Carneiro,
         25-Jun-2014.) $)
      lspsolvlem $p |- ( ph -> E. r e. B ( X .+ ( r .x. Y ) ) e. ( N ` A ) ) $=
        ( va vx vy vs vt wcel cv cfv wrex csn cun clmod wss ssrab3 a1i crab c0g
        co adantr eqid lmod0cl syl wceq lmod0vs syl2anc oveq2d sselda lmod0vrid
        eqtrd lspssid eqeltrd oveq1 eleq1d rspcev ssrabdv sseqtrrdi cur cminusg
        cgrp lmodfgrp lmod1cl grpinvcl lmodvneg1 lmodgrp grprinv lss0cl rexbidv
        wa lspcl elrab2 sylanbrc snssd unssd lspss syl3anc csca cbs cplusg clss
        cvsca ne0d weq cbvrexvw bitrdi anbi12i an4 bitri reeanv simp1ll simp1lr
        w3a simp1rl lmodvscl simp1rr lmodvacl cmulr simp2l lmodmcl simp2r lmod4
        lmodacl syl122anc lmodvsdir syl13anc oveq1d 3eqtr4d simp3l simp3r lsscl
        lmodvsass lmodvsdi 3exp rexlimdvv syl5bir expimpd syl5bi islssd sseqtrd
        exp4b 3imp2 lspid sseldd simprbi ) AMFUMZMOUNZNHVEZEVEZCJUOZUMZODUPZACN
        UQZURZJUOZFMAUUTFJUOZFALUSUMZFKUTZUUSFUTUUTUVAUTUDUVCABUNZUUMEVEZUUOUMZ
        ODUPZBKFUCVAVBZACUURFACUVGBKVCFAUVGBKCUEAUVDCUMZWOZIVDUOZDUMZUVDUVKNHVE
        ZEVEZUUOUMZUVGUVJUVBUVLAUVBUVIUDVFZIDLUVKSTUVKVGZVHVIUVJUVNUVDUUOUVJUVN
        UVDLVDUOZEVEZUVDUVJUVMUVRUVDEAUVMUVRVJZUVIAUVBNKUMZUVTUDUFHIUVKKLNUVRPS
        UBUVQUVRVGZVKVLVFVMUVJUVBUVDKUMUVSUVDVJUVPACKUVDUEVNEKLUVDUVRPUAUWBVOVL
        VPACUUOUVDAUVBCKUTZCUUOUTUDUECJKLPRVQVLVNVRUVFUVOOUVKDUULUVKVJZUVEUVNUU
        OUWDUUMUVMUVDEUULUVKNHVSVMVTWAVLWBUCWCANFAUWANUUMEVEZUUOUMZODUPZNFUMUFA
        IWDUOZIWEUOZUOZDUMZNUWJNHVEZEVEZUUOUMZUWGAIWFUMZUWHDUMZUWKAUVBUWOUDILSW
        GVIAUVBUWPUDUWHIDLSTUWHVGZWHVIDIUWIUWHTUWIVGZWIVLAUWMUVRUUOAUWMNNLWEUOZ
        UOZEVEZUVRAUWLUWTNEAUVBUWAUWLUWTVJUDUFHUWHIUWIUWSKLNPUWSVGZSUBUWQUWRWJV
        LVMALWFUMZUWAUXAUVRVJAUVBUXCUDLWKVIUFKELUWSNUVRPUAUWBUXBWLVLVPAUVBUUOGU
        MZUVRUUOUMUDAUVBUWCUXDUDUEGCJKLPQRWPVLZGUUOLUVRUWBQWMVLVRUWFUWNOUWJDUUL
        UWJVJZUWEUWMUUOUXFUUMUWLNEUULUWJNHVSVMVTWAVLUVGUWGBNKFUVDNVJZUVFUWFODUX
        GUVEUWEUUOUVDNUUMEVSVTWNUCWQWRZWSWTUUSFJKLPRXAXBAUVBFGUMUVAFVJUDAUHDEGH
        FIKLUIUJILXCUOVJASVBDIXDUOVJATVBKLXDUOVJAPVBELXEUOVJAUAVBHLXGUOVJAUBVBG
        LXFUOVJAQVBUVHAFNUXHXHAUHUNZDUMZUIUNZFUMZUJUNZFUMZUXIUXKHVEZUXMEVEZFUMZ
        AUXJUXLUXNUXQUXLUXNWOZUXKKUMZUXMKUMZWOZUXKUKUNZNHVEZEVEZUUOUMZUKDUPZUXM
        ULUNZNHVEZEVEZUUOUMZULDUPZWOZWOZAUXJWOZUXQUXRUXSUYFWOZUXTUYKWOZWOUYMUXL
        UYOUXNUYPUVGUYFBUXKKFBUIXIZUVGUXKUUMEVEZUUOUMZODUPUYFUYQUVFUYSODUYQUVEU
        YRUUOUVDUXKUUMEVSVTWNUYSUYEOUKDOUKXIZUYRUYDUUOUYTUUMUYCUXKEUULUYBNHVSVM
        VTXJXKUCWQUVGUYKBUXMKFBUJXIZUVGUXMUUMEVEZUUOUMZODUPUYKVUAUVFVUCODVUAUVE
        VUBUUOUVDUXMUUMEVSVTWNVUCUYJOULDOULXIZVUBUYIUUOVUDUUMUYHUXMEUULUYGNHVSV
        MVTXJXKUCWQXLUXSUYFUXTUYKXMXNUYNUYAUYLUXQUYLUYEUYJWOZULDUPUKDUPUYNUYAWO
        ZUXQUYEUYJUKULDDXOVUFVUEUXQUKULDDVUFUYBDUMZUYGDUMZWOZVUEUXQVUFVUIVUEXRZ
        UXPKUMZUXPUUMEVEZUUOUMZODUPZUXQVUJUVBUXOKUMZUXTVUKVUJAUVBAUXJUYAVUIVUEX
        PZUDVIZVUJUVBUXJUXSVUOVUQAUXJUYAVUIVUEXQZUXSUXTUYNVUIVUEXSZUXIHIDKLUXKP
        SUBTXTXBZUXSUXTUYNVUIVUEYAZEKLUXOUXMPUAYBXBVUJUXIUYBIYCUOZVEZUYGIXEUOZV
        EZDUMZUXPVVENHVEZEVEZUUOUMZVUNVUJUVBVVCDUMZVUHVVFVUQVUJUVBUXJVUGVVJVUQV
        URVUFVUGVUHVUEYDZVVBIDLUXIUYBSTVVBVGZYEXBZVUFVUGVUHVUEYFZVVDIDLVVCUYGST
        VVDVGZYHXBVUJVVHUXIUYDHVEZUYIEVEZUUOVUJUXPUXIUYCHVEZUYHEVEZEVEZUXOVVREV
        EZUYIEVEZVVHVVQVUJUVBVUOUXTVVRKUMZUYHKUMZVVTVWBVJVUQVUTVVAVUJUVBUXJUYCK
        UMZVWCVUQVURVUJUVBVUGUWAVWEVUQVVKVUJAUWAVUPUFVIZUYBHIDKLNPSUBTXTXBZUXIH
        IDKLUYCPSUBTXTXBVUJUVBVUHUWAVWDVUQVVNVWFUYGHIDKLNPSUBTXTXBEUYHKLUXOUXMV
        VRPUAYGYIVUJVVGVVSUXPEVUJVVGVVCNHVEZUYHEVEZVVSVUJUVBVVJVUHUWAVVGVWIVJVU
        QVVMVVNVWFEVVDVVCUYGHIDKLNPUASUBTVVOYJYKVUJVWHVVRUYHEVUJUVBUXJVUGUWAVWH
        VVRVJVUQVURVVKVWFUXIUYBHVVBIDKLNPSUBTVVLYQYKYLVPVMVUJVVPVWAUYIEVUJUVBUX
        JUXSVWEVVPVWAVJVUQVURVUSVWGEUXIHIDKLUXKUYCPUASUBTYRYKYLYMVUJUXDUXJUYEUY
        JVVQUUOUMVUJAUXDVUPUXEVIVURVUFVUIUYEUYJYNVUFVUIUYEUYJYODEGHUUOILUYDUYIU
        XISTUAUBQYPYKVRVUMVVIOVVEDUULVVEVJZVULVVHUUOVWJUUMVVGUXPEUULVVENHVSVMVT
        WAVLUVGVUNBUXPKFUVDUXPVJZUVFVUMODVWKUVEVULUUOUVDUXPUUMEVSVTWNUCWQWRYSYT
        UUAUUBUUCUUFUUGUUDGFJLQRUUHVLUUEUGUUIUUKMKUMUUQUVGUUQBMKFUVDMVJZUVFUUPO
        DVWLUVEUUNUUOUVDMUUMEVSVTWNUCWQUUJVI $.
    $}

    $( If ` X ` is in the span of ` A u. { Y } ` but not ` A ` , then ` Y ` is
       in the span of ` A u. { X } ` .  (Contributed by Mario Carneiro,
       25-Jun-2014.) $)
    lspsolv $p |- ( ( W e. LVec /\ ( A C_ V /\ Y e. V /\
                      X e. ( ( N ` ( A u. { Y } ) ) \ ( N ` A ) ) ) ) ->
                    Y e. ( N ` ( A u. { X } ) ) ) $=
      ( vr wcel wss cfv co eqid adantr wceq syl2anc syl3anc vz csn cun cdif w3a
      clvec wa cv cvsca cplusg csca cbs wrex crab lveclmod simpr1 simpr2 simpr3
      clmod eldifad lspsolvlem cinvr cmulr cur cdr c0g lvecdrng ad2antrr simprl
      wne wn lmod0vs oveq2d snssd unssd lspssv ssdifssd lmod0vrid eqtrd eqeltrd
      sseldd simprr oveq1 eleq1d syl5ibcom necon3bd drnginvrl oveq1d drnginvrcl
      eldifbd mpd lmodvsass syl13anc lmodvs1 3eqtr3d lspcl csg lmodvscl lmodcom
      lmodvpncan ssun1 a1i lspss lspssid snidg 3syl lssvsubcl syl22anc eqeltrrd
      elun2 lssvscl rexlimddv ) EUFLZADMZGDLZFAGUBZUCZCNZACNZUDZLZUEZUGZFKUHZGE
      UINZOZEUJNZOZXSLZGAFUBZUCZCNZLKEUKNZULNZYCUAAYNYGUAUHYFYGOXSLKYNUMUADUNZB
      YEYMCDEFGKHIJYMPZYNPZYGPZYEPZYOPXMEUSLZYBEUOQZXMXNXOYAUPZXMXNXOYAUQZYCFXR
      XSXMXNXOYAURZUTVAYCYDYNLZYIUGZUGZYDYMVBNZNZYFYEOZGYLUUGUUIYDYMVCNZOZGYEOZ
      YMVDNZGYEOZUUJGUUGUULUUNGYEUUGYMVELZUUEYDYMVFNZVJZUULUUNRXMUUPYBUUFYMEYPV
      GVHZYCUUEYIVIZUUGFUUQGYEOZYGOZXSLZVKUURUUGUVBXRXSUUGUVBFXTUUGUVBFEVFNZYGO
      ZFUUGUVAUVDFYGUUGYTXOUVAUVDRYCYTUUFUUAQZYCXOUUFUUCQZYEYMUUQDEGUVDHYPYSUUQ
      PZUVDPZVLSVMUUGYTFDLZUVEFRUVFUUGXTDFUUGXRDXSUUGYTXQDMXRDMUVFUUGAXPDYCXNUU
      FUUBQZUUGGDUVGVNVOXQCDEHJVPSVQYCYAUUFUUDQZWAZYGDEFUVDHYRUVIVRSVSUVLVTWJUU
      GUVCYDUUQUUGYIYDUUQRZUVCYCUUEYIWBZUVNYHUVBXSUVNYFUVAFYGYDUUQGYEWCVMWDWEWF
      WKZYNYMUUKUUNUUHYDUUQYQUVHUUKPZUUNPZUUHPZWGTWHUUGYTUUIYNLZUUEXOUUMUUJRUVF
      UUGUUPUUEUURUVTUUSUUTUVPYNYMUUHYDUUQYQUVHUVSWITZUUTUVGUUIYDYEUUKYMYNDEGHY
      PYSYQUVQWLWMUUGYTXOUUOGRUVFUVGYEUUNYMDEGHYPYSUVRWNSWOUUGYTYLBLZUVTYFYLLUU
      JYLLUVFUUGYTYKDMZUWBUVFUUGAYJDUVKUUGFDUVMVNVOZBYKCDEHIJWPSZUWAUUGYFFYGOZF
      EWQNZOZYFYLUUGYTYFDLZUVJUWHYFRUVFUUGYTUUEXOUWIUVFUUTUVGYDYEYMYNDEGHYPYSYQ
      WRTZUVMYFFYGUWGDEHYRUWGPZWTTUUGYTUWBUWFYLLFYLLUWHYLLUVFUWEUUGUWFYHYLUUGYT
      UWIUVJUWFYHRUVFUWJUVMYGDEYFFHYRWSTUUGXSYLYHUUGYTUWCAYKMZXSYLMUVFUWDUWLUUG
      AYJXAXBAYKCDEHJXCTUVOWAVTUUGYKYLFUUGYTUWCYKYLMUVFUWDYKCDEHJXDSUUGUVJFYJLF
      YKLUVMFDXEFYJAXJXFWABYLUWGEUWFFUWKIXGXHXIYNBYEYLYMEUUIYFYPYSYQIXKXHXIXL
      $.
  $}

  ${
    $d s W y z $.  $d X y z $.
    lssacsex.1 $e |- A = ( LSubSp ` W ) $.
    lssacsex.2 $e |- N = ( mrCls ` A ) $.
    lssacsex.3 $e |- X = ( Base ` W ) $.
    $( In a vector space, subspaces form an algebraic closure system whose
       closure operator has the exchange property.  Strengthening of ~ lssacs
       by ~ lspsolv .  (Contributed by David Moews, 1-May-2017.) $)
    lssacsex $p |- ( W e. LVec -> ( A e. ( ACS ` X ) /\
                                 A. s e. ~P X A. y e. X
                                 A. z e. ( ( N ` ( s u. { y } ) ) \ ( N ` s ) )
                                 y e. ( N ` ( s u. { z } ) ) ) ) $=
      ( wcel cfv cv csn cun cdif wral wa fveq1d ralrimiva clvec cacs cpw lssacs
      clmod lveclmod syl clspn wss simplll elpwid simplr simpr wceq eqid mrclsp
      simpllr 3syl difeq12d eleqtrrd lspsolv syl13anc eleqtrd jca ) EUAKZCFUBLK
      ZAMZGMZBMZNOZDLZKZBVHVGNOZDLZVHDLZPZQZAFQZGFUCZQVEEUEKZVFEUFZFCEJHUDUGVEV
      RGVSVEVHVSKZRZVQAFWCVGFKZRZVLBVPWEVIVPKZRZVGVJEUHLZLZVKWGVEVHFUIWDVIVMWHL
      ZVHWHLZPZKVGWIKVEWBWDWFUJZWGVHFVEWBWDWFUQUKWCWDWFULWGVIVPWLWEWFUMWGWJVNWK
      VOWGVMWHDWGVEVTWHDUNWMWACDWHEHWHUOZIUPURZSWGVHWHDWOSUSUTVHCWHFEVIVGJHWNVA
      VBWGVJWHDWOSVCTTTVD $.
  $}

  ${
    $d x N $.  $d x S $.  $d x U $.  $d x V $.  $d x W $.  $d x X $.
    $d x .0. $.
    lspsnat.v $e |- V = ( Base ` W ) $.
    lspsnat.z $e |- .0. = ( 0g ` W ) $.
    lspsnat.s $e |- S = ( LSubSp ` W ) $.
    lspsnat.n $e |- N = ( LSpan ` W ) $.
    $( There is no subspace strictly between the zero subspace and the span of
       a vector (i.e. a 1-dimensional subspace is an atom).  ( ~ h1datomi
       analog.)  (Contributed by NM, 20-Apr-2014.)  (Proof shortened by Mario
       Carneiro, 22-Jun-2014.) $)
    lspsnat $p |- ( ( ( W e. LVec /\ U e. S /\ X e. V ) /\
       U C_ ( N ` { X } ) ) -> ( U = ( N ` { X } ) \/ U = { .0. } ) ) $=
      ( vx wcel csn cfv wss wa wceq c0 cun clvec w3a wn wne cv wex simprl clmod
      cdif n0 simpl1 lveclmod syl simpl2 simprr eldifad lspsnel5a 0ss a1i ssdif
      simpl3 ad2antrl sseldd uncom eqtri fveq2i lsp0 difeq12d eleqtrrd syl13anc
      un0 lspsolv eleqtrdi eqssd expr exlimdv syl5bi necon1bd ssdif0 syl6ibr wb
      lssle0 syl2anc sylibd orrd ) EUAMZBAMZFDMZUBZBFNZCOZPZQZBWKRZBGNZRZWMWNUC
      ZBWOPZWPWMWQBWOUIZSRWRWMWNWSSWSSUDLUEZWSMZLUFWMWNLWSUJWMXAWNLWIWLXAWNWIWL
      XAQZQZBWKWIWLXAUGXCABCEFJKXCWFEUHMZWFWGWHXBUKZEULZUMZWFWGWHXBUNZXCWTNZCOZ
      BFXCABCEWTJKXGXHXCWTBWOWIWLXAUOZUPUQXCFSXITZCOZXJXCWFSDPZWHWTSWJTZCOZSCOZ
      UIZMFXMMXEXNXCDURUSWFWGWHXBVAXCWTWKWOUIZXRXCWSXSWTWLWSXSPWIXABWKWOUTVBXKV
      CXCXPWKXQWOXPWKRXCXOWJCXOWJSTWJSWJVDWJVKVEVFUSXCXDXQWORXGCEGIKVGUMVHVISAC
      DEWTFHJKVLVJXLXICXLXISTXISXIVDXIVKVEVFVMVCUQVNVOVPVQVRBWOVSVTWMXDWGWRWPWA
      WMWFXDWFWGWHWLUKXFUMWFWGWHWLUNAEBGIJWBWCWDWE $.
  $}

  ${
    $d y ph $.
    lspsncv0.v $e |- V = ( Base ` W ) $.
    lspsncv0.z $e |- .0. = ( 0g ` W ) $.
    lspsncv0.s $e |- S = ( LSubSp ` W ) $.
    lspsncv0.n $e |- N = ( LSpan ` W ) $.
    lspsncv0.w $e |- ( ph -> W e. LVec ) $.
    lspsncv0.x $e |- ( ph -> X e. V ) $.
    $( The span of a singleton covers the zero subspace, using Definition
       3.2.18 of [PtakPulmannova] p. 68 for "covers".)  (Contributed by NM,
       12-Aug-2014.)  (Revised by AV, 13-Jul-2022.) $)
    lspsncv0 $p |- ( ph
       -> -. E. y e. S ( { .0. } C. y /\ y C. ( N ` { X } ) ) ) $=
      ( csn wpss wn wi wa wcel cv cfv wral wrex wceq wss wne df-pss simpr nesym
      sylib sylbi clvec wo ad2antrr simplr lspsnat syl31anc orcomd ord ex com23
      npss syl6ibr syl5 ralrimiva ralinexa ) AHOZBUAZPZVIGODUBZPZQZRZBCUCVJVLSB
      CUDQAVNBCVJVIVHUEZQZAVICTZSZVMVJVHVIUFZVHVIUGZSZVPVHVIUHWAVTVPVSVTUIVHVIU
      JUKULVRVPVIVKUFZVIVKUEZRVMVRWBVPWCVRWBVPWCRVRWBSZVOWCWDWCVOWDFUMTZVQGETZW
      BWCVOUNAWEVQWBMUOAVQWBUPAWFVQWBNUOVRWBUICVIDEFGHIJKLUQURUSUTVAVBVIVKVCVDV
      EVFVJVLBCVGUK $.
  $}

  ${
    lspprat.v $e |- V = ( Base ` W ) $.
    lspprat.s $e |- S = ( LSubSp ` W ) $.
    lspprat.n $e |- N = ( LSpan ` W ) $.
    lspprat.w $e |- ( ph -> W e. LVec ) $.
    lspprat.u $e |- ( ph -> U e. S ) $.
    lspprat.x $e |- ( ph -> X e. V ) $.
    lspprat.y $e |- ( ph -> Y e. V ) $.
    lspprat.p $e |- ( ph -> U C. ( N ` { X , Y } ) ) $.
    ${
      lsppratlem1.o $e |- .0. = ( 0g ` W ) $.
      lsppratlem1.x2 $e |- ( ph -> x e. ( U \ { .0. } ) ) $.
      lsppratlem1.y2 $e |- ( ph -> y e. ( U \ ( N ` { x } ) ) ) $.
      $( Lemma for ~ lspprat .  Let ` x e. ( U \ { 0 } ) ` (if there is no such
         ` x ` then ` U ` is the zero subspace), and let
         ` y e. ( U \ ( N `` { x } ) ) ` (assuming the conclusion is false).
         The goal is to write ` X ` , ` Y ` in terms of ` x ` , ` y ` , which
         would normally be done by solving the system of linear equations.  The
         span equivalent of this process is ~ lspsolv (hence the name), which
         we use extensively below.  In this lemma, we show that since
         ` x e. ( N `` { X , Y } ) ` , either ` x e. ( N `` { Y } ) ` or
         ` X e. ( N `` { x , Y } ) ` .  (Contributed by NM, 29-Aug-2014.) $)
      lsppratlem1 $p |- ( ph
          -> ( x e. ( N ` { Y } ) \/ X e. ( N ` { x , Y } ) ) ) $=
        ( cv csn cfv wcel cpr wn cun clvec wss cdif adantr snssd pssssd eldifad
        wa sseldd prcom df-pr eqtri fveq2i eleqtrdi anim1i eldif sylibr lspsolv
        syl13anc eqtr3i ex orrd ) ABUCZJUDZFUEZUFZIVLJUGZFUEZUFZAVOUHZVRAVSUQZI
        VMVLUDUIZFUEZVQVTHUJUFZVMGUKZIGUFZVLVMIUDUIZFUEZVNULUFZIWBUFAWCVSOUMAWD
        VSAJGRUNUMAWEVSQUMVTVLWGUFZVSUQWHAWIVSAVLIJUGZFUEZWGAEWKVLAEWKSUOAVLEKU
        DUAUPURWJWFFWJJIUGWFIJUSJIUTVAVBVCVDVLWGVNVEVFVMDFGHVLILMNVGVHWAVPFJVLU
        GWAVPJVLUTJVLUSVIVBVCVJVK $.

      ${
        lsppratlem2.x1 $e |- ( ph -> X e. ( N ` { x , y } ) ) $.
        lsppratlem2.y1 $e |- ( ph -> Y e. ( N ` { x , y } ) ) $.
        $( Lemma for ~ lspprat .  Show that if ` X ` and ` Y ` are both in
           ` ( N `` { x , y } ) ` (which will be our goal for each of the two
           cases above), then ` ( N `` { X , Y } ) C_ U ` , contradicting the
           hypothesis for ` U ` .  (Contributed by NM, 29-Aug-2014.)  (Revised
           by Mario Carneiro, 5-Sep-2014.) $)
        lsppratlem2 $p |- ( ph -> ( N ` { X , Y } ) C_ U ) $=
          ( cpr cfv clvec wcel clmod lveclmod syl wss eldifad prssd lssss sstrd
          cv csn lspcl syl2anc lspprss ) AIJUEFUFBUQZCUQZUEZFUFZEADVEFHIJMNAHUG
          UHHUIUHZOHUJUKZAVFVDGULVEDUHVGAVDEGAVBVCEAVBEKURUAUMZAVCEVBURFUFUBUMZ
          UNAEDUHEGULPDEGHLMUOUKUPDVDFGHLMNUSUTUCUDVAADEFHVBVCMNVGPVHVIVAUP $.
      $}

      ${
        lsppratlem3.x3 $e |- ( ph -> x e. ( N ` { Y } ) ) $.
        $( Lemma for ~ lspprat .  In the first case of ~ lsppratlem1 , since
           ` x e/ ( N `` (/) ) ` , also ` Y e. ( N `` { x } ) ` , and since
           ` y e. ( N `` { X , Y } ) C_ ( N `` { X , x } ) ` and
           ` y e/ ( N `` { x } ) ` , we have ` X e. ( N `` { x , y } ) ` as
           desired.  (Contributed by NM, 29-Aug-2014.) $)
        lsppratlem3 $p |- ( ph
            -> ( X e. ( N ` { x , y } ) /\ Y e. ( N ` { x , y } ) ) ) $=
          ( cpr cfv wcel csn cun clvec wss cdif clmod lveclmod syl snssd lspssv
          cv syl2anc sseldd pssssd unssd lspcl df-pr lspssid unssbd ssun1 lspss
          a1i syl3anc c0 0ss uncom un0 eqtri fveq2i eleqtrrdi eldifbd wceq lsp0
          neleqtrrd eldifd syl13anc eleqtrdi eqsstrid lspssp sstrd ssdifd lssss
          lspsolv ssdifssd prssd snsspr1 jca ) AIBUQZCUQZUDZFUEZUFJWQUFAIWNUGZW
          OUGUHZFUEZWQAHUIUFZWRGUJIGUFWOWRIUGZUHZFUEZWRFUEZUKZUFIWTUFOAWNGAJUGZ
          FUEZGWNAHULUFZXGGUJXHGUJAXAXIOHUMUNZAJGRUOXGFGHLNUPURUCUSZUOZQAEXEUKZ
          XFWOAEXDXEAEIJUDZFUEZXDAEXOSUTAXIXDDUFZXNXDUJXOXDUJXJAXIXCGUJZXPXJAWR
          XBGXLAIGQUOVAZDXCFGHLMNVBURAXNXBXGUHXDIJVCAXBXGXDAWRXBXDAXIXQXCXDUJXJ
          XRXCFGHLNVDURVEAJXDAXEXDJAXIXQWRXCUJZXEXDUJXJXRXSAWRXBVFVHWRXCFGHLNVG
          VIAJVJWRUHZFUEZXEAXAVJGUJZJGUFWNVJXGUHZFUEZVJFUEZUKUFJYAUFOYBAGVKVHRA
          WNYDYEAWNXHYDUCYCXGFYCXGVJUHXGVJXGVLXGVMVNVOVPAYEKUGZWNAWNEYFUAVQAXIY
          EYFVRXJFHKTNVSUNVTWAVJDFGHWNJLMNWIWBXTWRFXTWRVJUHWRVJWRVLWRVMVNVOWCZU
          SUOVAWDDXNXDFHMNWEVIWFWGUBUSWRDFGHWOILMNWIWBWPWSFWNWOVCVOVPAXEWQJAXIW
          PGUJWRWPUJZXEWQUJXJAWNWOGXKAXMGWOAEGXEAEDUFEGUJPDEGHLMWHUNWJUBUSWKYHA
          WNWOWLVHWRWPFGHLNVGVIYGUSWM $.
      $}

      ${
        lsppratlem4.x3 $e |- ( ph -> X e. ( N ` { x , Y } ) ) $.
        $( Lemma for ~ lspprat .  In the second case of ~ lsppratlem1 ,
           ` y e. ( N `` { X , Y } ) C_ ( N `` { x , Y } ) ` and
           ` y e/ ( N `` { x } ) ` implies ` Y e. ( N `` { x , y } ) ` and thus
           ` X e. ( N `` { x , Y } ) C_ ( N `` { x , y } ) ` as well.
           (Contributed by NM, 29-Aug-2014.) $)
        lsppratlem4 $p |- ( ph
            -> ( X e. ( N ` { x , y } ) /\ Y e. ( N ` { x , y } ) ) ) $=
          ( cpr cfv wcel clmod wss clvec lveclmod syl csn lssss ssdifssd sseldd
          cv cdif lspprcl cun df-pr snsspr1 prssd lspssid syl2anc sstrid pssssd
          snssd snsspr2 eqsstrid lspssp syl3anc fveq2i sseqtrdi ssdifd syl13anc
          unssd sstrd lspsolv eleqtrrdi jca ) AIBUPZCUPZUDZFUEZUFJWDUFAWAJUDZFU
          EZWDIAHUGUFZWDDUFWEWDUHWFWDUHAHUIUFZWGOHUJUKZADFGHWAWBLMNWIAEKULZUQGW
          AAEGWJAEDUFEGUHPDEGHLMUMUKZUNUAUOZAEWAULZFUEZUQZGWBAEGWNWKUNUBUOZURAW
          EWMJULZUSZWDWAJUTZAWMWQWDAWMWCWDWAWBVAAWGWCGUHWCWDUHWIAWAWBGWLWPVBWCF
          GHLNVCVDVEAJWDAJWMWBULUSZFUEZWDAWHWMGUHJGUFWBWRFUEZWNUQZUFJXAUFOAWAGW
          LVGRAWOXCWBAEXBWNAEWFXBAEIJUDZFUEZWFAEXESVFAWGWFDUFXDWFUHXEWFUHWIADFG
          HWAJLMNWIWLRURAXDIULZWQUSWFIJUTAXFWQWFAIWFUCVGAWQWEWFWAJVHAWGWEGUHWEW
          FUHWIAWAJGWLRVBWEFGHLNVCVDVEVPVIDXDWFFHMNVJVKVQWEWRFWSVLVMVNUBUOWMDFG
          HWBJLMNVRVOWCWTFWAWBUTVLVSZVGVPVIDWEWDFHMNVJVKUCUOXGVT $.
      $}

      $( Lemma for ~ lspprat .  Combine the two cases and show a contradiction
         to ` U C. ( N `` { X , Y } ) ` under the assumptions on ` x ` and
         ` y ` .  (Contributed by NM, 29-Aug-2014.) $)
      lsppratlem5 $p |- ( ph -> ( N ` { X , Y } ) C_ U ) $=
        ( cv cpr cfv wcel wa wss clvec adantr wpss cdif lsppratlem3 lsppratlem4
        csn simpr lsppratlem1 mpjaodan simprl simprr lsppratlem2 mpdan ) AIBUCZ
        CUCZUDFUEZUFZJVEUFZUGZIJUDFUEZEUHAVCJUOFUEUFZVHIVCJUDFUEUFZAVJUGBCDEFGH
        IJKLMNAHUIUFZVJOUJAEDUFZVJPUJAIGUFZVJQUJAJGUFZVJRUJAEVIUKZVJSUJTAVCEKUO
        ULUFZVJUAUJAVDEVCUOFUEULUFZVJUBUJAVJUPUMAVKUGBCDEFGHIJKLMNAVLVKOUJAVMVK
        PUJAVNVKQUJAVOVKRUJAVPVKSUJTAVQVKUAUJAVRVKUBUJAVKUPUNABCDEFGHIJKLMNOPQR
        STUAUBUQURAVHUGBCDEFGHIJKLMNAVLVHOUJAVMVHPUJAVNVHQUJAVOVHRUJAVPVHSUJTAV
        QVHUAUJAVRVHUBUJAVFVGUSAVFVGUTVAVB $.
    $}

    ${
      $d y N $.  $d y .0. $.  $d y U $.  $d y ph $.  $d x y $.
      lsppratlem6.o $e |- .0. = ( 0g ` W ) $.
      $( Lemma for ~ lspprat .  Negating the assumption on ` y ` , we arrive
         close to the desired conclusion.  (Contributed by NM, 29-Aug-2014.) $)
      lsppratlem6 $p |- ( ph -> ( x e. ( U \ { .0. } )
       -> U = ( N ` { x } ) ) ) $=
        ( wcel vy cv csn cdif cfv wceq wa c0 wss cpr adantr clvec simprl simprr
        wpss wn lsppratlem5 ssnpss syl expr eq0rdv ssdif0 sylibr clmod lveclmod
        mt2d eldifi adantl lspsnel5a eqssd ex ) ABUBZDJUCZUDTZDVLUCEUEZUFAVNUGZ
        DVOVPDVOUDZUHUFDVOUIVPUAVQVPUAUBVQTZDHIUJEUEZUOZAVTVNRUKAVNVRVTUPZAVNVR
        UGZUGZVSDUIWAWCBUACDEFGHIJKLMAGULTZWBNUKADCTZWBOUKAHFTWBPUKAIFTWBQUKAVT
        WBRUKSAVNVRUMAVNVRUNUQVSDURUSUTVFVADVOVBVCVPCDEGVLLMAGVDTZVNAWDWFNGVEUS
        UKAWEVNOUKVNVLDTAVLDVMVGVHVIVJVK $.
    $}

    $d z N $.  $d z U $.  $d z V $.  $d z W $.  $d z ph $.
    $( A proper subspace of the span of a pair of vectors is the span of a
       singleton (an atom) or the zero subspace (if ` z ` is zero).  Proof
       suggested by Mario Carneiro, 28-Aug-2014.  (Contributed by NM,
       29-Aug-2014.) $)
    lspprat $p |- ( ph -> E. z e. V U = ( N ` { z } ) ) $=
      ( wceq wcel syl cv csn cfv wrex c0g c0 wss ssdif0 wa clmod clvec lveclmod
      cdif eqid lmod0vcl adantr simpr lss0ss syl2anc eqssd lspsn0 eqtr4d fveq2d
      sneq rspceeqv ex syl5bir wex lssss ssdifssd sseld lsppratlem6 jcad eximdv
      wne n0 df-rex 3imtr4g pm2.61dne ) ADBUAZUBZEUCZRZBFUDZDGUEUCZUBZUMZUFWGUF
      RDWFUGZAWDDWFUHAWHWDAWHUIZWEFSZDWFEUCZRWDAWJWHAGUJSZWJAGUKSWLMGULTZFGWEJW
      EUNZUOTUPWIDWFWKWIDWFAWHUQAWFDUGZWHAWLDCSZWOWMNCGDWEWNKURUSUPUTAWKWFRZWHA
      WLWQWMEGWEWNLVATUPVBBWEFWBWKDVTWERWAWFEVTWEVDVCVEUSVFVGAVTWGSZBVHVTFSZWCU
      IZBVHWGUFVOWDAWRWTBAWRWSWCAWGFVTADFWFAWPDFUGNCDFGJKVITVJVKABCDEFGHIWEJKLM
      NOPQWNVLVMVNBWGVPWCBFVQVRVS $.
  $}

  ${
    $d s x y z B $.  $d s x y z N $.  $d s x y z V $.  $d s x y z W $.
    $d s x J $.
    islbs2.v $e |- V = ( Base ` W ) $.
    islbs2.j $e |- J = ( LBasis ` W ) $.
    islbs2.n $e |- N = ( LSpan ` W ) $.
    $( An equivalent formulation of the basis predicate in a vector space: a
       subset is a basis iff no element is in the span of the rest of the set.
       (Contributed by Mario Carneiro, 14-Jan-2015.) $)
    islbs2 $p |- ( W e. LVec -> ( B e. J <-> ( B C_ V /\
      ( N ` B ) = V /\ A. x e. B -. x e. ( N ` ( B \ { x } ) ) ) ) ) $=
      ( vz vy wcel wss cfv wceq cv csn wa eqid adantr clvec cdif wral w3a lbsss
      adantl lbssp clmod csca cur c0g wne lveclmod cdr lvecdrng drngunz syl jca
      wn lbsind2 syl3an1 3expa ralrimiva 3jca cvsca co simpr1 simpr2 id difeq2d
      cbs sneq fveq2d eleq12d notbid simplr3 simprl rspcdva simpll simprr sylib
      eldifsn sseldd lspsnvs syl3anc sseq1d clss ssdifssd lspcl simpld lmodvscl
      syl2anc lspsnel5 3bitr4d mtbird ralrimivva wb islbs mpbir3and impbida ) F
      UALZBCLZBEMZBDNEOZAPZBXEQZUBZDNZLZUSZABUCZUDZXAXBRZXCXDXKXBXCXABCEFGHUEUF
      XBXDXABCDEFGHIUGUFXMXJABXAXBXEBLZXJXAFUHLZFUINZUJNZXPUKNZULZRXBXNXJXAXOXS
      FUMZXAXPUNLXSXPFXPSZUOXPXQXRXRSZXQSZUPUQURBXQXEXPCDFXRHIYAYCYBUTVAVBVCVDX
      AXLRZXBXCXDJPZKPZFVENZVFZBYFQZUBZDNZLZUSZJXPVKNZXRQUBZUCKBUCZXAXCXDXKVGZX
      AXCXDXKVHYDYMKJBYOYDYFBLZYEYOLZRZRZYLYFYKLZUUAXJUUBUSABYFXEYFOZXIUUBUUCXE
      YFXHYKUUCVIUUCXGYJDUUCXFYIBXEYFVLVJVMVNVOXCXDXKXAYTVPYDYRYSVQZVRUUAYHQDNZ
      YKMYIDNZYKMYLUUBUUAUUEUUFYKUUAXAYEYNLZYEXRULZRZYFELZUUEUUFOXAXLYTVSUUAYSU
      UIYDYRYSVTYEYNXRWBWAZUUABEYFYDXCYTYQTZUUDWCZYEYGXPYNDEFYFXRGYAYGSZYNSZYBI
      WDWEWFUUAFWGNZYKDEFYHGUUPSZIYDXOYTXAXOXLXTTTZUUAXOYJEMYKUUPLUURUUABEYIUUL
      WHUUPYJDEFGUUQIWIWLZUUAXOUUGUUJYHELUURUUAUUGUUHUUKWJUUMYEYGXPYNEFYFGYAUUN
      UUOWKWEWMUUAUUPYKDEFYFGUUQIUURUUSUUMWMWNWOWPXAXBXCXDYPUDWQXLKJBYGXPCYNDEF
      UAXRGYAUUNUUOHIYBWRTWSWT $.

    $( An equivalent formulation of the basis predicate: a subset is a basis
       iff it is a minimal spanning set.  (Contributed by Mario Carneiro,
       25-Jun-2014.) $)
    islbs3 $p |- ( W e. LVec -> ( B e. J <-> ( B C_ V /\
      ( N ` B ) = V /\ A. s ( s C. B -> ( N ` s ) C. V ) ) ) ) $=
      ( vx wcel wss cfv wpss w3a wa wne syl2anc eqid cvv clvec wceq cv wi lbsss
      wal adantl lbssp clmod lveclmod 3ad2ant1 pssss sylan9ssr 3adant1 csca cur
      lspssv c0g cdr lvecdrng drngunz syl lbspss syl3an1 df-pss sylanbrc 3expia
      jca alrimiv 3jca csn cdif wral simpr1 simpr2 simplr1 ssdifssd fvexi ssexg
      wn cbs sylancl simplr3 difssd simpr neldifsn nelne1 necomd psseq1 psseq1d
      fveq2 imbi12d spcgv syl3c simprbi simplr2 clss ad2antrr adantrr lspcl cun
      dfpss3 ssun1 undif1 sseqtrri lspssid simprr snssd sstrid syl3anc eqsstrrd
      unssd lspssp expr mtod ralrimiva wb islbs2 adantr mpbir3and impbida ) EUA
      KZABKZADLZACMZDUBZFUCZANZYGCMZDNZUDZFUFZOZYBYCPZYDYFYLYCYDYBABDEGHUEZUGYC
      YFYBABCDEGHIUHUGYNYKFYBYCYHYJYBYCYHOZYIDLZYIDQZYJYPEUIKZYGDLZYQYBYCYSYHEU
      JZUKYCYHYTYBYHYCYGADYGAULYOUMUNYGCDEGIUQRYBYSEUOMZUPMZUUBURMZQZPYCYHYRYBY
      SUUEUUAYBUUBUSKUUEUUBEUUBSZUTUUBUUCUUDUUDSZUUCSZVAVBVHAYGUUCUUBBCDEUUDHIU
      UFUUHUUGGVCVDYIDVEVFVGVIVJYBYMPZYCYDYFJUCZAUUJVKZVLZCMZKZVTZJAVMZYBYDYFYL
      VNYBYDYFYLVOUUIUUOJAUUIUUJAKZPZUUNDUUMLZUURUUMDNZUUSVTZUURUULTKZYLUULANZU
      UTUURUULDLZDTKUVBUURADUUKYDYFYLYBUUQVPVQZDEWAGVRUULDTVSWBYDYFYLYBUUQWCUUR
      UULALUULAQUVCUURAUUKWDUURAUULUURUUQUUJUULKVTAUULQUUIUUQWEUUJAWFUUJAUULWGW
      BWHUULAVEVFYKUVCUUTUDFUULTYGUULUBZYHUVCYJUUTYGUULAWIUVFYIUUMDYGUULCWKWJWL
      WMWNUUTUUMDLUVAUUMDXBWOVBUUIUUQUUNUUSUUIUUQUUNPZPZDYEUUMYDYFYLYBUVGWPUVHY
      SUUMEWQMZKZAUUMLYEUUMLYBYSYMUVGUUAWRZUVHYSUVDUVJUVKUUIUUQUVDUUNUVEWSZUVIU
      ULCDEGUVISZIWTRUVHAUULUUKXAZUUMAAUUKXAUVNAUUKXCAUUKXDXEUVHUULUUKUUMUVHYSU
      VDUULUUMLUVKUVLUULCDEGIXFRUVHUUJUUMUUIUUQUUNXGXHXLXIUVIAUUMCEUVMIXMXJXKXN
      XOXPYBYCYDYFUUPOXQYMJABCDEGHIXRXSXTYA $.
  $}

  ${
    $d A x $.  $d S x $.  $d W x $.  $d x X $.  $d x J $.
    lbsacsbs.1 $e |- A = ( LSubSp ` W ) $.
    lbsacsbs.2 $e |- N = ( mrCls ` A ) $.
    lbsacsbs.3 $e |- X = ( Base ` W ) $.
    lbsacsbs.4 $e |- I = ( mrInd ` A ) $.
    lbsacsbs.5 $e |- J = ( LBasis ` W ) $.
    $( Being a basis in a vector space is equivalent to being a basis in the
       associated algebraic closure system.  Equivalent to ~ islbs2 .
       (Contributed by David Moews, 1-May-2017.) $)
    lbsacsbs $p |- ( W e. LVec -> ( S e. J <-> ( S e. I /\ ( N ` S ) = X ) ) )
      $=
      ( vx wcel cfv wceq wn wral w3a wa clvec wss clspn cv csn cdif eqid islbs2
      lveclmod mrclsp fveq1d eqeq1d eleq2d notbid ralbidv 3anbi23d 3anan32 cmre
      clmod syl wb lssmre ismri 3syl anbi1d bitr4id 3bitrd ) FUANZBDNBGUBZBFUCO
      ZOZGPZMUDZBVMUEUFZVJOZNZQZMBRZSVIBEOZGPZVMVNEOZNZQZMBRZSZBCNZVTTZMBDVJGFJ
      LVJUGZUHVHVLVTVRWDVIVHVKVSGVHBVJEVHFUSNZVJEPFUIZAEVJFHWHIUJUTZUKULVHVQWCM
      BVHVPWBVHVOWAVMVHVNVJEWKUKUMUNUOUPVHWEVIWDTZVTTWGVIVTWDUQVHWFWLVTVHWIAGUR
      ONWFWLVAWJGAFJHVBMABCEGIKVCVDVEVFVG $.
  $}

  ${
    $d S x y z $.  $d T x y z $.  $d W x y z $.  $d x y z J $.
    lvecdim.1 $e |- J = ( LBasis ` W ) $.
    $( The dimension theorem for vector spaces: any two bases of the same
       vector space are equinumerous.  Proven by using ~ lssacsex and
       ~ lbsacsbs to show that being a basis for a vector space is equivalent
       to being a basis for the associated algebraic closure system, and then
       using ~ acsexdimd .  (Contributed by David Moews, 1-May-2017.) $)
    lvecdim $p |- ( ( W e. LVec /\ S e. J /\ T e. J ) -> S ~~ T ) $=
      ( vy vz vx wcel cfv cv csn cun wral wa eqid 3ad2ant1 simpld simprd wceq
      clvec w3a clss cmri cmrc cbs cacs cpw lssacsex simp2 lbsacsbs mpbid simp3
      cdif wb eqtr4d acsexdimd ) DUAIZACIZBCIZUBZFGDUCJZABVBUDJZVBUEJZDUFJZHVAV
      BVEUGJIZFKZHKZGKLMVDJIGVHVGLMVDJVHVDJUNNFVENHVEUHNZURUSVFVIOUTFGVBVDDVEHV
      BPZVDPZVEPZUIQZRVKVCPZVAVFVIVMSVAAVCIZAVDJZVETZVAUSVOVQOZURUSUTUJURUSUSVR
      UOUTVBAVCCVDDVEVJVKVLVNEUKQULZRVABVCIZBVDJZVETZVAUTVTWBOZURUSUTUMURUSUTWC
      UOUTVBBVCCVDDVEVJVKVLVNEUKQULZRVAVPVEWAVAVOVQVSSVAVTWBWDSUPUQ $.
  $}

  ${
    $d x J $.  $d m n r u v w x y ph $.  $d s t u w x y S $.  $d m n r v w T $.
    $d x z C $.  $d m n u w x y z N $.  $d u w x z V $.  $d m n r u v w x W $.
    $d m n s t u x y z A $.
    lbsext.v $e |- V = ( Base ` W ) $.
    lbsext.j $e |- J = ( LBasis ` W ) $.
    lbsext.n $e |- N = ( LSpan ` W ) $.
    lbsext.w $e |- ( ph -> W e. LVec ) $.
    lbsext.c $e |- ( ph -> C C_ V ) $.
    lbsext.x $e |- ( ph -> A. x e. C -. x e. ( N ` ( C \ { x } ) ) ) $.
    lbsext.s $e |- S = { z e. ~P V | ( C C_ z /\
                         A. x e. z -. x e. ( N ` ( z \ { x } ) ) ) } $.
    $( Lemma for ~ lbsext .  The set ` S ` is the set of all linearly
       independent sets containing ` C ` ; we show here that it is nonempty.
       (Contributed by Mario Carneiro, 25-Jun-2014.) $)
    lbsextlem1 $p |- ( ph -> S =/= (/) ) $=
      ( wcel wss cv cdif cpw csn cfv wn wral wa cbs fvexi elpw2 ssid jctil wceq
      sylibr sseq2 difeq1 fveq2d eleq2d notbid raleqbi1dv anbi12d sylanbrc ne0d
      elrab2 ) AEDADHUAZQZDDRZBSZDVGUBZTZGUCZQZUDZBDUEZUFZDEQADHRVENDHHIUGJUHUI
      UMAVMVFODUJUKDCSZRZVGVOVHTZGUCZQZUDZBVOUEZUFVNCDVDEVODULZVPVFWAVMVODDUNVT
      VLBVODWBVSVKWBVRVJVGWBVQVIGVODVHUOUPUQURUSUTPVCVAVB $.

    ${
      lbsext.p $e |- P = ( LSubSp ` W ) $.
      lbsext.a $e |- ( ph -> A C_ S ) $.
      lbsext.z $e |- ( ph -> A =/= (/) ) $.
      lbsext.r $e |- ( ph -> [C.] Or A ) $.
      lbsext.t $e |- T = U_ u e. A ( N ` ( u \ { x } ) ) $.
      $( Lemma for ~ lbsext .  Since ` A ` is a chain (actually, we only need
         it to be closed under binary union), the union ` T ` of the spans of
         each individual element of ` A ` is a subspace, and it contains all of
         ` U. A ` (except for our target vector ` x ` - we are trying to make
         ` x ` a linear combination of all the other vectors in some set from
         ` A ` ).  (Contributed by Mario Carneiro, 25-Jun-2014.) $)
      lbsextlem2 $p |- ( ph -> ( T e. P /\ ( U. A \ { x } ) C_ T ) ) $=
        ( vr vv vw vm vn vy wcel cuni cv csn cdif wss csca cfv cbs cplusg cvsca
        eqidd wceq a1i clss ciun wral clmod clvec lveclmod syl wa cpw wn ssrab3
        sstrdi sselda elpwid ssdifssd lspssv syl2an2r ralrimiva sylibr eqsstrid
        iunss c0 wne wrex lspcl lssn0 r19.2z syl2anc iunn0 sylib eqnetrd eleq2i
        co eliun weq difeq1 fveq2d eleq2d cbvrexvw 3bitri anbi12i reeanv bitr4i
        w3a cun crpss wor simp1l simp2 elssuni sspwuni sstrd simp1r ssun1 ssdif
        sorpssun lspss syl3anc simp3l sseldd ssun2 simp3r lsscl syl13anc eliuni
        mp1i eqid eleqtrrdi 3expia rexlimdvva syl5bi exp4b 3imp2 islssd eldifi
        adantl eldifn eldif lspssid adantlr sseld syl5bir mpan2d eluni2 3imtr4g
        ad2antlr reximdva mpd ex ssrdv sseqtrrdi jca ) AIGULEUMZBUNZUOZUPZIUQAU
        FMURUSZUTUSZMVAUSZGMVBUSZIUVBLMUGUHAUVBVCAUVCVCLMUTUSVDANVEAUVDVCAUVEVC
        GMVFUSVDAUAVEAIDEDUNZUUTUPZKUSZVGZLUEAUVHLUQZDEVHUVILUQAUVJDEAMVIULZUVF
        EULZUVGLUQZUVJAMVJULUVKQMVKVLZAUVLVMZUVFLUUTUVOUVFLAELVNZUVFAEHUVPUBFCU
        NZUQUUSUVQUUTUPKUSULVOBUVQVHVMCUVPHTVPVQZVRVSVTZUVGKLMNPWAWBWCDEUVHLWFW
        DWEAIUVIWGIUVIVDAUEVEAUVHWGWHZDEWIZUVIWGWHAEWGWHUVTDEVHUWAUCAUVTDEUVOUV
        HGULZUVTAUVKUVLUVMUWBUVNUVSGUVGKLMNUAPWJWBGUVHMUAWKVLWCUVTDEWLWMDEUVHWN
        WOWPAUFUNZUVCULZUGUNZIULZUHUNZIULZUWCUWEUVEWRUWGUVDWRZIULZAUWDUWFUWHUWJ
        UWFUWHVMZUWEUIUNZUUTUPZKUSZULZUWGUJUNZUUTUPZKUSZULZVMZUJEWIUIEWIZAUWDVM
        ZUWJUWKUWOUIEWIZUWSUJEWIZVMUXAUWFUXCUWHUXDUWFUWEUVIULUWEUVHULZDEWIUXCIU
        VIUWEUEWQDUWEEUVHWSUXEUWODUIEDUIWTZUVHUWNUWEUXFUVGUWMKUVFUWLUUTXAXBXCXD
        XEUWHUWGUVIULUWGUVHULZDEWIUXDIUVIUWGUEWQDUWGEUVHWSUXGUWSDUJEDUJWTZUVHUW
        RUWGUXHUVGUWQKUVFUWPUUTXAXBXCXDXEXFUWOUWSUIUJEEXGXHUXBUWTUWJUIUJEEUXBUW
        LEULUWPEULVMZUWTUWJUXBUXIUWTXIZUWIUVIIUXJUWLUWPXJZEULZUWIUXKUUTUPZKUSZU
        LZUWIUVIULUXJEXKXLZUXIUXLUXJAUXPAUWDUXIUWTXMZUDVLUXBUXIUWTXNEUWLUWPYAWM
        ZUXJUXNGULZUWDUWEUXNULUWGUXNULUXOUXJUVKUXMLUQZUXSUXJAUVKUXQUVNVLZUXJUXK
        LUUTUXJUXKUURLUXJUXLUXKUURUQUXRUXKEXOVLUXJAUURLUQZUXQAEUVPUQUYBUVRELXPW
        OVLXQVTZGUXMKLMNUAPWJWMAUWDUXIUWTXRUXJUWNUXNUWEUXJUVKUXTUWMUXMUQZUWNUXN
        UQUYAUYCUWLUXKUQUYDUXJUWLUWPXSUWLUXKUUTXTYKUWMUXMKLMNPYBYCUXBUXIUWOUWSY
        DYEUXJUWRUXNUWGUXJUVKUXTUWQUXMUQZUWRUXNUQUYAUYCUWPUXKUQUYEUXJUWPUWLYFUW
        PUXKUUTXTYKUWQUXMKLMNPYBYCUXBUXIUWOUWSYGYEUVCUVDGUVEUXNUVBMUWEUWGUWCUVB
        YLUVCYLUVDYLUVEYLUAYHYIDUXKUVHUXNEUWIUVFUXKVDUVGUXMKUVFUXKUUTXAXBYJWMUE
        YMYNYOYPYQYRYSAUVAUVIIAUKUVAUVIAUKUNZUVAULZUYFUVIULZAUYGVMZUYFUURULZUYH
        UYGUYJAUYFUURUUTYTUUAUYIUYFUVFULZDEWIUYFUVHULZDEWIUYJUYHUYIUYKUYLDEUYIU
        VLVMZUYKUYFUUTULVOZUYLUYGUYNAUVLUYFUURUUTUUBUUKUYKUYNVMUYFUVGULUYMUYLUY
        FUVFUUTUUCUYMUVGUVHUYFAUVLUVGUVHUQZUYGAUVKUVLUVMUYOUVNUVSUVGKLMNPUUDWBU
        UEUUFUUGUUHUULDUYFEUUIDUYFEUVHWSUUJUUMUUNUUOUEUUPUUQ $.

      $( Lemma for ~ lbsext .  A chain in ` S ` has an upper bound in ` S ` .
         (Contributed by Mario Carneiro, 25-Jun-2014.) $)
      lbsextlem3 $p |- ( ph -> U. A e. S ) $=
        ( vy cuni cpw wcel wss cv csn cdif cfv wn wral wa ssrab3 sstrdi sspwuni
        sylib cbs fvexi elpw2 sylibr cint crab ssintub wi simpl ss2rabi eqsstri
        a1i intss syl sstrid c0 wne intssuni sstrd eluni2 w3a cun clmod simpll1
        clvec lveclmod crpss wor simpll2 simplr sorpssun syl12anc sseldd sselid
        wrex elpwid ssdifssd ssun2 ssdif mp1i lspss syl3anc simpr difeq1 fveq2d
        wceq sseq2 eleq2d notbid raleqbi1dv anbi12d elrab2 simprbi simprd elun1
        simpll3 sylc pm2.65da nrexdv ciun lbsextlem2 simpld lssss lspid syl2anc
        rsp sseqtrd 3ad2ant1 sseqtrdi sseld eliun syl6ib mtod rexlimdv3a syl5bi
        ralrimiv jca sylanbrc ) AEUGZLUHZUIZFYTUJZBUKZYTUUDULZUMZKUNZUIZUOZBYTU
        PZUQZYTHUIAYTLUJZUUBAEUUAUJUULAEHUUAUBFCUKZUJZUUDUUMUUEUMZKUNZUIZUOZBUU
        MUPZUQZCUUAHTURZUSELUTVAYTLLMVBNVCVDVEAUUCUUJAFEVFZYTAFUUNCUUAVGZVFZUVB
        CFUUAVHAEUVCUJUVDUVBUJAEHUVCUBHUUTCUUAVGUVCTUUTUUNCUUAUUTUUNVIUUMUUAUIU
        UNUUSVJVMVKVLUSEUVCVNVOVPAEVQVRUVBYTUJUCEVSVOVTAUUIBYTUUDYTUIUUDUFUKZUI
        ZUFEWPAUUIUFUUDEWAAUVFUUIUFEAUVEEUIZUVFWBZUUHUUDDUKZUUEUMZKUNZUIZDEWPZU
        VHUVLDEUVHUVIEUIZUQZUVLUUDUVEUVIWCZUUEUMZKUNZUIZUVOUVLUQZUVKUVRUUDUVTMW
        DUIZUVQLUJUVJUVQUJZUVKUVRUJUVTAUWAAUVGUVFUVNUVLWEZAMWFUIUWAQMWGVOZVOUVT
        UVPLUUEUVTUVPLUVTHUUAUVPUVAUVTEHUVPUVTAEHUJUWCUBVOUVTEWHWIZUVGUVNUVPEUI
        UVTAUWEUWCUDVOAUVGUVFUVNUVLWJUVHUVNUVLWKEUVEUVIWLWMWNZWOWQWRUVIUVPUJUWB
        UVTUVIUVEWSUVIUVPUUEWTXAUVJUVQKLMNPXBXCUVOUVLXDWNUVTUVSUOZBUVPUPZUUDUVP
        UIZUWGUVTUVPHUIZUWHUWFUWJFUVPUJZUWHUWJUVPUUAUIUWKUWHUQZUUTUWLCUVPUUAHUU
        MUVPXGZUUNUWKUUSUWHUUMUVPFXHUURUWGBUUMUVPUWMUUQUVSUWMUUPUVRUUDUWMUUOUVQ
        KUUMUVPUUEXEXFXIXJXKXLTXMXNXOVOUVTUVFUWIAUVGUVFUVNUVLXQUUDUVEUVIXPVOUWG
        BUVPYGXRXSXTUVHUUHUUDDEUVKYAZUIUVMUVHUUGUWNUUDUVHUUGIUWNAUVGUUGIUJUVFAU
        UGIKUNZIAUWAILUJZUUFIUJZUUGUWOUJUWDAIGUIZUWPAUWRUWQABCDEFGHIJKLMNOPQRST
        UAUBUCUDUEYBZYCZGILMNUAYDVOAUWRUWQUWSXOUUFIKLMNPXBXCAUWAUWRUWOIXGUWDUWT
        GIKMUAPYEYFYHYIUEYJYKDUUDEUVKYLYMYNYOYPYQYRUUTUUKCYTUUAHUUMYTXGZUUNUUCU
        USUUJUUMYTFXHUURUUIBUUMYTUXAUUQUUHUXAUUPUUGUUDUXAUUOUUFKUUMYTUUEXEXFXIX
        JXKXLTXMYS $.
    $}

    $d s ph $.
    lbsext.k $e |- ( ph -> ~P V e. dom card ) $.
    $( Lemma for ~ lbsext . ~ lbsextlem3 satisfies the conditions for the
       application of Zorn's lemma ~ zorn (thus invoking AC), and so there is a
       maximal linearly independent set extending ` C ` .  Here we prove that
       such a set is a basis.  (Contributed by Mario Carneiro, 25-Jun-2014.) $)
    lbsextlem4 $p |- ( ph -> E. s e. J C C_ s ) $=
      ( wss wcel vt vy vu vw cv wpss wn wral ccrd cdm c0 wne crpss wor w3a cuni
      wi wal wrex cpw csn cdif cfv wa ssrab3 ssnum sylancl lbsextlem1 clss ciun
      clvec adantr eqid simpr1 simpr2 simpr3 lbsextlem3 alrimiv zornn0g syl3anc
      ex simprl weq sseq2 difeq1 fveq2d eleq2d notbid raleqbi1dv anbi12d elrab2
      sylib simpld elpwid clmod lveclmod syl lspssv syl2anc cun ssun1 a1i ssun2
      wceq wel vsnid sselii lspssid eldifn adantl ssneldd nelne1 sylancr necomd
      df-pss sylanbrc psseq2 simplrr eldifi snssd unssd cbs fvexi sylibr simprd
      elpw2 sstrdi ad2antrr ssdifssd adantrr simprrr difundir cin simprrl nelsn
      nelne2 disjsn disj3 uneq2d eleqtrd eqtr4id rsp sylc eldifd lspsolv undif1
      syl13anc ssequn2 eqtrid expr mtod imnan ralrimiv difssd lspss vex id sneq
      difeq2d difun2 eqtrdi eleq12d ralsn ralun jca rspcdva eq0rdv ssdif0 eqssd
      pm2.65da wb islbs2 mpbir3and reximssdv ) AJUEZUAUEZUFZUGZUAEUHZDUVOSZJFEA
      EUIUJZTZEUKULUBUEZESZUWCUKULZUWCUMUNZUOZUWCUPETZUQZUBURUVSJEUSAHUTZUWATEU
      WJSUWBRDCUEZSZBUEZUWKUWMVAZVBZGVCZTZUGZBUWKUHZVDZCUWJEQVEUWJEVFVGABCDEFGH
      IKLMNOPQVHAUWIUBAUWGUWHAUWGVDBCUCUWCDIVIVCZEUCUWCUCUEUWNVBGVCVJZFGHIKLMAI
      VKTZUWGNVLADHSUWGOVLAUWMDUWNVBGVCTUGBDUHUWGPVLQUXAVMZAUWDUWEUWFVNAUWDUWEU
      WFVOAUWDUWEUWFVPUXBVMVQWAVRJUAUBEVSVTAUVOETZUVSVDZVDZUVOFTZUVOHSZUVOGVCZH
      XDZUWMUVOUWNVBZGVCZTZUGZBUVOUHZUXGUVOHUXGUVOUWJTZUVTUXPVDZUXGUXEUXQUXRVDA
      UXEUVSWBUWTUXRCUVOUWJECJWCZUWLUVTUWSUXPUWKUVODWDUWRUXOBUWKUVOUXSUWQUXNUXS
      UWPUXMUWMUXSUWOUXLGUWKUVOUWNWEWFWGWHWIWJQWKWLZWMWNZUXGUXJHUXGIWOTZUXIUXJH
      SAUYBUXFAUXCUYBNIWPWQVLZUYAUVOGHIKMWRWSUXGHUXJVBZUKXDHUXJSUXGUDUYDUXGUDUE
      ZUYDTZUVOUVOUYEVAZWTZUFZUXGUYFVDZUVOUYHSZUVOUYHULUYIUYKUYJUVOUYGXAZXBUYJU
      YHUVOUYJUYEUYHTUDJXEUGZUYHUVOULUYGUYHUYEUYGUVOXCUDXFXGUYJUVOUXJUYEUXGUVOU
      XJSZUYFUXGUYBUXIUYNUYCUYAUVOGHIKMXHWSVLUYFUYEUXJTZUGUXGUYEHUXJXIXJZXKZUYE
      UYHUVOXLXMXNUVOUYHXOXPUYJUVRUYIUGUAEUYHUVPUYHXDUVQUYIUVPUYHUVOXQWHAUXEUVS
      UYFXRUYJUYHUWJTZDUYHSZUWMUYHUWNVBZGVCZTZUGZBUYHUHZVDZUYHETUYJUYHHSUYRUYJU
      VOUYGHUXGUXIUYFUYAVLUYJUYEHUYFUYEHTZUXGUYEHUXJXSXJZXTYAUYHHHIYBKYCYFYDUYJ
      UYSVUDUYJDUVOUYHUXGUVTUYFUXGUVTUXPUXGUXQUXRUXTYEZWMZVLUYLYGUYJVUCBUVOUHVU
      CBUYGUHZVUDUYJVUCBUVOUYJBJXEZVUBVDZUGVUKVUCUQUYJVULUYOUYPUXGUYFVULUYOUXGU
      YFVULVDZVDZUYEUXLUWNWTZGVCZUXJVUNUXCUXLHSVUFUWMUXLUYGWTZGVCZUXMVBTUYEVUPT
      AUXCUXFVUMNYHVUNUVOHUWNUXGUXIVUMUYAVLYIUXGUYFVUFVULVUGYJVUNUWMVURUXMVUNUW
      MVUAVURUXGUYFVUKVUBYKVUNUYTVUQGVUNUYTUXLUYGUWNVBZWTVUQUVOUYGUWNYLVUNUYGVU
      SUXLVUNUYGUWNYMUKXDZUYGVUSXDVUNUWMUYGTUGZVUTVUNUWMUYEULZVVAVUNVUKUYMVVBUX
      GUYFVUKVUBYNZUXGUYFUYMVULUYQYJUWMUYEUVOYPWSUWMUYEYOWQUYGUWMYQYDUYGUWNYRWL
      YSUUAWFYTVUNUXPVUKUXOUXGUXPVUMUXGUVTUXPVUHYEZVLVVCUXOBUVOUUBUUCUUDUXLUXAG
      HIUWMUYEKUXDMUUEUUGVUNVUOUVOGVUNVUOUVOUWNWTZUVOUVOUWNUUFVUNUWNUVOSVVEUVOX
      DVUNUWMUVOVVCXTUWNUVOUUHWLUUIWFYTUUJUUKVUKVUBUULYDUUMUYJUYEUVOUYGVBZGVCZT
      ZUGZVUJUYJVVGUXJUYEUXGVVGUXJSZUYFUXGUYBUXIVVFUVOSVVJUYCUYAUXGUVOUYGUUNVVF
      UVOGHIKMUUOVTVLUYPXKVUCVVIBUYEUDUUPBUDWCZVUBVVHVVKUWMUYEVUAVVGVVKUUQVVKUY
      TVVFGVVKUYTUYHUYGVBVVFVVKUWNUYGUYHUWMUYEUURUUSUVOUYGUUTUVAWFUVBWHUVCYDVUC
      BUVOUYGUVDWSUVEUWTVUECUYHUWJEUWKUYHXDZUWLUYSUWSVUDUWKUYHDWDUWRVUCBUWKUYHV
      VLUWQVUBVVLUWPVUAUWMVVLUWOUYTGUWKUYHUWNWEWFWGWHWIWJQWKXPUVFUVJUVGHUXJUVHY
      DUVIVVDUXGUXCUXHUXIUXKUXPUOUVKAUXCUXFNVLBUVOFGHIKLMUVLWQUVMVUIUVN $.
  $}

  ${
    $d s x y z C $.  $d s y J $.  $d s x y z N $.  $d s y z V $.  $d s x y W $.
    lbsex.j $e |- J = ( LBasis ` W ) $.
    ${
      lbsex.v $e |- V = ( Base ` W ) $.
      lbsex.n $e |- N = ( LSpan ` W ) $.
      $( For any linearly independent subset ` C ` of ` V ` , there is a basis
         containing the vectors in ` C ` .  (Contributed by Mario Carneiro,
         17-May-2015.) $)
      lbsextg $p |- ( ( ( W e. LVec /\ ~P V e. dom card ) /\ C C_ V /\
                       A. x e. C -. x e. ( N ` ( C \ { x } ) ) ) ->
                     E. s e. J C C_ s ) $=
        ( vy vz wcel wa wss cv cdif cfv wn wral clvec cpw ccrd cdm csn w3a crab
        simp1l simp2 simp3 id sneq difeq2d fveq2d eleq12d notbid cbvralvw sylib
        weq anbi2i rabbii simp1r lbsextlem4 ) FUAMZEUBZUCUDMZNZBEOZAPZBVIUEZQZD
        RZMZSZABTZUFZKLBBLPZOZVIVQVJQZDRZMZSZAVQTZNZLVEUGCDEFGIHJVDVFVHVOUHVGVH
        VOUIVPVOKPZBWEUEZQZDRZMZSZKBTVGVHVOUJVNWJAKBAKUSZVMWIWKVIWEVLWHWKUKZWKV
        KWGDWKVJWFBVIWEULZUMUNUOUPUQURWDVRWEVQWFQZDRZMZSZKVQTZNLVEWCWRVRWBWQAKV
        QWKWAWPWKVIWEVTWOWLWKVSWNDWKVJWFVQWMUMUNUOUPUQUTVAVDVFVHVOVBVC $.

      $( For any linearly independent subset ` C ` of ` V ` , there is a basis
         containing the vectors in ` C ` .  (Contributed by Mario Carneiro,
         25-Jun-2014.)  (Revised by Mario Carneiro, 17-May-2015.) $)
      lbsext $p |- ( ( W e. LVec /\ C C_ V /\
                       A. x e. C -. x e. ( N ` ( C \ { x } ) ) ) ->
                     E. s e. J C C_ s ) $=
        ( clvec wcel cpw ccrd cdm wa wss cv csn cvv cdif cfv wn wral wrex fvexi
        cbs pwex numth3 ax-mp jctr lbsextg syl3an1 ) FKLZUNEMZNOLZPBEQARZBUQSUA
        DUBLUCABUDBGRQGCUEUNUPUOTLUPEEFUGIUFUHUOTUIUJUKABCDEFGHIJULUM $.
    $}

    $( Every vector space has a basis.  This theorem is an AC equivalent; this
       is the forward implication.  (Contributed by Mario Carneiro,
       17-May-2015.) $)
    lbsexg $p |- ( ( CHOICE /\ W e. LVec ) -> J =/= (/) ) $=
      ( vs vx wac clvec wcel wa c0 cv wss wrex wne cbs cfv cpw ccrd cvv eqid id
      cdm fvex pwex wceq dfac10 biimpi eleqtrrid csn cdif clspn wn wral lbsextg
      0ss ral0 mp3an23 syl2anr rexn0 syl ) FBGHZIJDKLZDAMZAJNVAVABOPZQZRUBZHZVC
      FVAUAFVESVFVDBOUCUDFVFSUEUFUGUHVAVGIJVDLEKZJVHUIUJBUKPZPHULZEJUMVCVDUOVJE
      UPEJAVIVDBDCVDTVITUNUQURVBDAUSUT $.

    $( Every vector space has a basis.  This theorem is an AC equivalent.
       (Contributed by Mario Carneiro, 25-Jun-2014.) $)
    lbsex $p |- ( W e. LVec -> J =/= (/) ) $=
      ( wac clvec wcel c0 wne axac3 lbsexg mpan ) DBEFAGHIABCJK $.
  $}

  ${
    $d x y B $.  $d x y F $.  $d x y G $.  $d x y K $.  $d x y ph $.
    $d x y L $.  $d x y P $.
    lvecprop2d.b1 $e |- ( ph -> B = ( Base ` K ) ) $.
    lvecprop2d.b2 $e |- ( ph -> B = ( Base ` L ) ) $.
    lvecprop2d.f $e |- F = ( Scalar ` K ) $.
    lvecprop2d.g $e |- G = ( Scalar ` L ) $.
    lvecprop2d.p1 $e |- ( ph -> P = ( Base ` F ) ) $.
    lvecprop2d.p2 $e |- ( ph -> P = ( Base ` G ) ) $.
    lvecprop2d.1 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    lvecprop2d.2 $e |- ( ( ph /\ ( x e. P /\ y e. P ) ) ->
      ( x ( +g ` F ) y ) = ( x ( +g ` G ) y ) ) $.
    lvecprop2d.3 $e |- ( ( ph /\ ( x e. P /\ y e. P ) ) ->
      ( x ( .r ` F ) y ) = ( x ( .r ` G ) y ) ) $.
    lvecprop2d.4 $e |- ( ( ph /\ ( x e. P /\ y e. B ) ) ->
      ( x ( .s ` K ) y ) = ( x ( .s ` L ) y ) ) $.
    $( If two structures have the same components (properties), one is a left
       vector space iff the other one is.  This version of ~ lvecpropd also
       breaks up the components of the scalar ring.  (Contributed by Mario
       Carneiro, 27-Jun-2015.) $)
    lvecprop2d $p |- ( ph -> ( K e. LVec <-> L e. LVec ) ) $=
      ( wcel clmod cdr wa clvec lmodprop2d drngpropd anbi12d islvec 3bitr4g ) A
      HUATZFUBTZUCIUATZGUBTZUCHUDTIUDTAUJULUKUMABCDEFGHIJKLMNOPQRSUEABCEFGNOQRU
      FUGFHLUHGIMUHUI $.
  $}

  ${
    $d x y B $.  $d x y K $.  $d x y L $.  $d x y P $.  $d x y ph $.
    lvecpropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    lvecpropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    lvecpropd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    lvecpropd.4 $e |- ( ph -> F = ( Scalar ` K ) ) $.
    lvecpropd.5 $e |- ( ph -> F = ( Scalar ` L ) ) $.
    lvecpropd.6 $e |- P = ( Base ` F ) $.
    lvecpropd.7 $e |- ( ( ph /\ ( x e. P /\ y e. B ) ) ->
      ( x ( .s ` K ) y ) = ( x ( .s ` L ) y ) ) $.
    $( If two structures have the same components (properties), one is a left
       vector space iff the other one is.  (Contributed by Mario Carneiro,
       27-Jun-2015.) $)
    lvecpropd $p |- ( ph -> ( K e. LVec <-> L e. LVec ) ) $=
      ( clmod wcel csca cfv cdr wa clvec lmodpropd eqtr3d eleq1d anbi12d islvec
      eqid 3bitr4g ) AGPQZGRSZTQZUAHPQZHRSZTQZUAGUBQHUBQAUJUMULUOABCDEFGHIJKLMN
      OUCAUKUNTAFUKUNLMUDUEUFUKGUKUHUGUNHUNUHUGUI $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Ideals
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The subring algebra; ideals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c subringAlg $.
  $c ringLMod $.
  $c RSpan $. $( Ring span function $)
  $c LIdeal $.

  $( Extend class notation with the subring algebra generator. $)
  csra $a class subringAlg $.

  $( Extend class notation with the left module induced by a ring over
     itself. $)
  crglmod $a class ringLMod $.

  $( Ring left-ideal function. $)
  clidl $a class LIdeal $.

  $( Ring span function. $)
  crsp $a class RSpan $.

  ${
    $d w s $.
    $( Any ring can be regarded as a left algebra over any of its subrings.
       The function ` subringAlg ` associates with any ring and any of its
       subrings the left algebra consisting in the ring itself regarded as a
       left algebra over the subring.  It has an inner product which is simply
       the ring product.  (Contributed by Mario Carneiro, 27-Nov-2014.)
       (Revised by Thierry Arnoux, 16-Jun-2019.) $)
    df-sra $a |- subringAlg = ( w e. _V |-> ( s e. ~P ( Base ` w ) |->
                          ( ( ( w sSet <. ( Scalar ` ndx ) , ( w |`s s ) >. )
                                  sSet <. ( .s ` ndx ) , ( .r ` w ) >. )
                                  sSet <. ( .i ` ndx ) , ( .r ` w ) >. ) ) ) $.

    $( Any ring can be regarded as a left algebra over itself.  The function
       ` ringLMod ` associates with any ring the left algebra consisting in the
       ring itself regarded as a left algebra over itself.  It has an inner
       product which is simply the ring product.  (Contributed by Stefan
       O'Rear, 6-Dec-2014.) $)
    df-rgmod $a |- ringLMod = ( w e. _V |->
                                     ( ( subringAlg ` w ) ` ( Base ` w ) ) ) $.

    $( Define the class of left ideals of a given ring.  An ideal is a
       submodule of the ring viewed as a module over itself.  (Contributed by
       Stefan O'Rear, 31-Mar-2015.) $)
    df-lidl $a |- LIdeal = ( LSubSp o. ringLMod ) $.

    $( Define the linear span function in a ring (Ideal generator).
       (Contributed by Stefan O'Rear, 4-Apr-2015.) $)
    df-rsp $a |- RSpan = ( LSpan o. ringLMod ) $.
  $}

  ${
    $d s S $.  $d s V $.  $d s w W $.
    $( Lemma for ~ srabase through ~ sravsca .  (Contributed by Mario Carneiro,
       27-Nov-2014.)  (Revised by Thierry Arnoux, 16-Jun-2019.) $)
    sraval $p |- ( ( W e. V /\ S C_ ( Base ` W ) ) ->
        ( ( subringAlg ` W ) ` S ) = ( ( ( W
        sSet <. ( Scalar ` ndx ) , ( W |`s S ) >. )
        sSet <. ( .s ` ndx ) , ( .r ` W ) >. )
        sSet <. ( .i ` ndx ) , ( .r ` W ) >. ) ) $=
      ( vs vw wcel cbs cfv wa cnx cv cress co cop csts cmulr cvv opeq2d oveq12d
      wceq wss csca cvsca cip csra cmpt elex adantr fveq2 pweqd oveq1 mpteq12dv
      cpw id df-sra fvex mptex fvmpt syl simpr oveq2d oveq1d elpw2 sylibr ovexd
      pwex fvmptd ) CBFZACGHZUAZIZDACJUBHZCDKZLMZNZOMZJUCHZCPHZNZOMZJUDHZVRNZOM
      ZCVLCALMZNZOMZVSOMZWBOMVIUMZCUEHZQVKCQFZWIDWHWCUFZTVHWJVJCBUGUHECDEKZGHZU
      MZWLVLWLVMLMZNZOMZVQWLPHZNZOMZWAWRNZOMZUFWKQUEWLCTZDWNXBWHWCXCWMVIWLCGUIU
      JXCWTVTXAWBOXCWQVPWSVSOXCWLCWPVOOXCUNXCWOVNVLWLCVMLUKRSXCWRVRVQWLCPUIZRSX
      CWRVRWAXDRSULEDUODWHWCVICGUPZVFUQURUSVKVMATZIZVTWGWBOXGVPWFVSOXGVOWECOXGV
      NWDVLXGVMACLVKXFUTVARVAVBVBVKVJAWHFVHVJUTAVIXEVCVDVKWGWBOVEVG $.

    srapart.a $e |- ( ph -> A = ( ( subringAlg ` W ) ` S ) ) $.
    srapart.s $e |- ( ph -> S C_ ( Base ` W ) ) $.
    ${
      sralem.1 $e |- E = Slot ( E ` ndx ) $.
      sralem.2 $e |- ( Scalar ` ndx ) =/= ( E ` ndx ) $.
      sralem.3 $e |- ( .s ` ndx ) =/= ( E ` ndx ) $.
      sralem.4 $e |- ( .i ` ndx ) =/= ( E ` ndx ) $.
      $( Lemma for ~ srabase and similar theorems.  (Contributed by Mario
         Carneiro, 4-Oct-2015.)  (Revised by Thierry Arnoux, 16-Jun-2019.)
         (Revised by AV, 29-Oct-2024.) $)
      sralem $p |- ( ph -> ( E ` W ) = ( E ` A ) ) $=
        ( cfv wceq cnx co cop csts necomi setsnid c0 cvv wcel cress cvsca cmulr
        wa csca cip 3eqtri adantl cbs wss sraval sylan2 eqtrd fveq2d eqtr4id wn
        csra str0 fvprc adantr fv2prc sylan9eqr 3eqtr4a pm2.61ian ) EUAUBZAEDLZ
        BDLZMVGAUFZVHENUGLZECUCOZPQOZNUDLZEUELZPQOZNUHLZVOPQOZDLZVIVHVMDLVPDLVS
        VLVKDEHVKNDLZIRSVOVNDVMHVNVTJRSVOVQDVPHVQVTKRSUIVJBVRDVJBCEUSLLZVRABWAM
        VGFUJAVGCEUKLULWAVRMGCUAEUMUNUOUPUQVGURZAUFZTTDLVHVIDVTHUTWBVHTMAEDVAVB
        WCBTDAWBBWATFECUSVCVDUPVEVF $.
    $}

    ${
      sralemOLD.1 $e |- E = Slot N $.
      sralemOLD.2 $e |- N e. NN $.
      sralemOLD.3 $e |- ( N < 5 \/ 8 < N ) $.
      $( Obsolete version of ~ sralem as of 29-Oct-2024.  Lemma for ~ srabase
         and similar theorems.  (Contributed by Mario Carneiro, 4-Oct-2015.)
         (Revised by Thierry Arnoux, 16-Jun-2019.)
         (Proof modification is discouraged.)  (New usage is discouraged.) $)
      sralemOLD $p |- ( ph -> ( E ` W ) = ( E ` A ) ) $=
        ( cfv wne c5 clt wbr c8 5re ltnei c6 cvv wcel wceq wa cnx csca cress co
        cop csts cvsca cmulr cip ndxid wo nnrei necomd 5lt8 8re lttri mpan jaoi
        syl ax-mp ndxarg scandx neeq12i mpbir setsnid 5lt6 6re mpan2 6lt8 ipndx
        vscandx 3eqtri csra adantl cbs sraval sylan2 eqtrd fveq2d eqtr4id wn c0
        wss str0 fvprc adantr fv2prc sylan9eqr 3eqtr4a pm2.61ian ) FUAUBZAFDLZB
        DLZUCWOAUDZWPFUEUFLZFCUGUHZUIUJUHZUEUKLZFULLZUIUJUHZUEUMLZXCUIUJUHZDLZW
        QWPXADLXDDLXGWTWSDFDEIJUNZUEDLZWSMENMZENOPZQEOPZUOZXJKXKXJXLXKNEENEJUPZ
        RSUQXLNEOPZXJNQOPZXLXOURNQERUSXNUTVANERXNSVCVBVDXIEWSNDEIJVEZVFVGVHVIXC
        XBDXAXHXIXBMETMZXMXRKXKXRXLXKTEXKETOPZTEMXKNTOPXSVJENTXNRVKUTVLETXNVKSV
        CUQXLTEOPZXRTQOPXLXTVMTQEVKUSXNUTVATEVKXNSVCVBVDXIEXBTXQVOVGVHVIXCXEDXD
        XHXIXEMEQMZXMYAKXKYAXLXKQEXKEQOPZQEMXKXPYBURENQXNRUSUTVLEQXNUSSVCUQQEUS
        XNSVBVDXIEXEQXQVNVGVHVIVPWRBXFDWRBCFVQLLZXFABYCUCWOGVRAWOCFVSLWGYCXFUCH
        CUAFVTWAWBWCWDWOWEZAUDZWFWFDLWPWQDEIWHYDWPWFUCAFDWIWJYEBWFDAYDBYCWFGFCV
        QWKWLWCWMWN $.
    $}

    $( Base set of a subring algebra.  (Contributed by Stefan O'Rear,
       27-Nov-2014.)  (Revised by Mario Carneiro, 4-Oct-2015.)  (Revised by
       Thierry Arnoux, 16-Jun-2019.)  (Revised by AV, 29-Oct-2024.) $)
    srabase $p |- ( ph -> ( Base ` W ) = ( Base ` A ) ) $=
      ( cbs baseid scandxnbasendx vscandxnbasendx ipndxnbasendx sralem ) ABCGDE
      FHIJKL $.

    $( Obsolete proof of ~ srabase as of 29-Oct-2024.  Base set of a subring
       algebra.  (Contributed by Stefan O'Rear, 27-Nov-2014.)  (Revised by
       Mario Carneiro, 4-Oct-2015.)  (Revised by Thierry Arnoux, 16-Jun-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    srabaseOLD $p |- ( ph -> ( Base ` W ) = ( Base ` A ) ) $=
      ( cbs c1 df-base 1nn c5 clt wbr c8 1lt5 orci sralemOLD ) ABCGHDEFIJHKLMNH
      LMOPQ $.

    $( Additive operation of a subring algebra.  (Contributed by Stefan O'Rear,
       27-Nov-2014.)  (Revised by Mario Carneiro, 4-Oct-2015.)  (Revised by
       Thierry Arnoux, 16-Jun-2019.)  (Revised by AV, 29-Oct-2024.) $)
    sraaddg $p |- ( ph -> ( +g ` W ) = ( +g ` A ) ) $=
      ( cplusg plusgid scandxnplusgndx vscandxnplusgndx ipndxnplusgndx sralem )
      ABCGDEFHIJKL $.

    $( Obsolete proof of ~ sraaddg as of 29-Oct-2024.  Additive operation of a
       subring algebra.  (Contributed by Stefan O'Rear, 27-Nov-2014.)  (Revised
       by Mario Carneiro, 4-Oct-2015.)  (Revised by Thierry Arnoux,
       16-Jun-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sraaddgOLD $p |- ( ph -> ( +g ` W ) = ( +g ` A ) ) $=
      ( cplusg c2 df-plusg 2nn c5 clt wbr c8 2lt5 orci sralemOLD ) ABCGHDEFIJHK
      LMNHLMOPQ $.

    $( Multiplicative operation of a subring algebra.  (Contributed by Stefan
       O'Rear, 27-Nov-2014.)  (Revised by Mario Carneiro, 4-Oct-2015.)
       (Revised by Thierry Arnoux, 16-Jun-2019.)  (Revised by AV,
       29-Oct-2024.) $)
    sramulr $p |- ( ph -> ( .r ` W ) = ( .r ` A ) ) $=
      ( cmulr mulrid scandxnmulrndx vscandxnmulrndx ipndxnmulrndx sralem ) ABCG
      DEFHIJKL $.

    $( Obsolete proof of ~ sramulr as of 29-Oct-2024.  Multiplicative operation
       of a subring algebra.  (Contributed by Stefan O'Rear, 27-Nov-2014.)
       (Revised by Mario Carneiro, 4-Oct-2015.)  (Revised by Thierry Arnoux,
       16-Jun-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sramulrOLD $p |- ( ph -> ( .r ` W ) = ( .r ` A ) ) $=
      ( cmulr c3 df-mulr 3nn c5 clt wbr c8 3lt5 orci sralemOLD ) ABCGHDEFIJHKLM
      NHLMOPQ $.

    $( The set of scalars of a subring algebra.  (Contributed by Stefan O'Rear,
       27-Nov-2014.)  (Revised by Mario Carneiro, 4-Oct-2015.)  (Revised by
       Thierry Arnoux, 16-Jun-2019.) $)
    srasca $p |- ( ph -> ( W |`s S ) = ( Scalar ` A ) ) $=
      ( cvv cress co csca cfv wceq cnx cop csts scaid wne c5 c6 c0 wa cvsca cip
      wcel cmulr 5lt6 ltneii scandx vscandx neeq12i mpbir setsnid c8 5lt8 ipndx
      5re eqtri ovexd setsid sylan2 csra adantl cbs sraval eqtrd fveq2d 3eqtr4a
      wss wn str0 reldmress ovprc1 adantr fv2prc sylan9eqr pm2.61ian ) DGUDZADC
      HIZBJKZLVQAUAZDMJKZVRNOIZJKZWBMUBKZDUEKZNOIZMUCKZWENOIZJKZVRVSWCWFJKWIWEW
      DJWBPWAWDQRSQRSUPUFUGWARWDSUHUIUJUKULWEWGJWFPWAWGQRUMQRUMUPUNUGWARWGUMUHU
      OUJUKULUQAVQVRGUDVRWCLADCHURGVRJGDPUSUTVTBWHJVTBCDVAKKZWHABWJLVQEVBAVQCDV
      CKVHWJWHLFCGDVDUTVEVFVGVQVIZAUAZTTJKVRVSJWAPVJWKVRTLADCHVKVLVMWLBTJAWKBWJ
      TEDCVAVNVOVFVGVP $.

    $( The scalar product operation of a subring algebra.  (Contributed by
       Stefan O'Rear, 27-Nov-2014.)  (Revised by Mario Carneiro, 4-Oct-2015.)
       (Revised by Thierry Arnoux, 16-Jun-2019.) $)
    sravsca $p |- ( ph -> ( .r ` W ) = ( .s ` A ) ) $=
      ( cvv wcel cmulr cfv cvsca wceq cnx co cop csts vscaid c6 c8 c0 cress cip
      wa csca ovex fvex setsid mp2an wne 6re ltneii vscandx ipndx neeq12i mpbir
      6lt8 setsnid eqtri csra adantl cbs wss sraval sylan2 eqtrd fveq2d eqtr4id
      wn str0 fvprc adantr fv2prc sylan9eqr 3eqtr4a pm2.61ian ) DGHZADIJZBKJZLV
      PAUCZVQDMUDJDCUANOZPNZMKJZVQOPNZMUBJZVQOPNZKJZVRVQWCKJZWFWAGHVQGHVQWGLDVT
      PUEDIUFGVQKGWAQUGUHVQWDKWCQWBWDUIRSUIRSUJUPUKWBRWDSULUMUNUOUQURVSBWEKVSBC
      DUSJJZWEABWHLVPEUTAVPCDVAJVBWHWELFCGDVCVDVEVFVGVPVHZAUCZTTKJVQVRKWBQVIWIV
      QTLADIVJVKWJBTKAWIBWHTEDCUSVLVMVFVNVO $.

    $( The inner product operation of a subring algebra.  (Contributed by
       Thierry Arnoux, 16-Jun-2019.) $)
    sraip $p |- ( ph -> ( .r ` W ) = ( .i ` A ) ) $=
      ( cvv wcel cmulr cfv cip wceq wa cnx co cop csts ipid csra c0 cress cvsca
      csca ovex fvex setsid mp2an adantl cbs sraval sylan2 eqtrd fveq2d eqtr4id
      wss wn str0 fvprc adantr fv2prc sylan9eqr 3eqtr4a pm2.61ian ) DGHZADIJZBK
      JZLVDAMZVEDNUCJDCUAOPQOZNUBJVEPZQOZNKJZVEPQOZKJZVFVJGHVEGHVEVMLVHVIQUDDIU
      EGVEKGVJRUFUGVGBVLKVGBCDSJJZVLABVNLVDEUHAVDCDUIJUOVNVLLFCGDUJUKULUMUNVDUP
      ZAMZTTKJVEVFKVKRUQVOVETLADIURUSVPBTKAVOBVNTEDCSUTVAUMVBVC $.

    $( Topology component of a subring algebra.  (Contributed by Mario
       Carneiro, 4-Oct-2015.)  (Revised by Thierry Arnoux, 16-Jun-2019.)
       (Revised by AV, 29-Oct-2024.) $)
    sratset $p |- ( ph -> ( TopSet ` W ) = ( TopSet ` A ) ) $=
      ( cts tsetid cnx cfv csca wne cip slotstnscsi simp1i necomi simp2i simp3i
      cvsca sralem ) ABCGDEFHIGJZIKJZUAUBLZUAISJZLZUAIMJZLZNOPUAUDUCUEUGNQPUAUF
      UCUEUGNRPT $.

    $( Obsolete proof of ~ sratset as of 29-Oct-2024.  Topology component of a
       subring algebra.  (Contributed by Mario Carneiro, 4-Oct-2015.)  (Revised
       by Thierry Arnoux, 16-Jun-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sratsetOLD $p |- ( ph -> ( TopSet ` W ) = ( TopSet ` A ) ) $=
      ( cts c9 df-tset 9nn c8 clt wbr c5 8lt9 olci sralemOLD ) ABCGHDEFIJKHLMHN
      LMOPQ $.

    $( Topology component of a subring algebra.  (Contributed by Mario
       Carneiro, 4-Oct-2015.)  (Revised by Thierry Arnoux, 16-Jun-2019.) $)
    sratopn $p |- ( ph -> ( TopOpen ` W ) = ( TopOpen ` A ) ) $=
      ( srabase sratset topnpropd ) ADBABCDEFGABCDEFHI $.

    $( Distance function of a subring algebra.  (Contributed by Mario Carneiro,
       4-Oct-2015.)  (Revised by Thierry Arnoux, 16-Jun-2019.)  (Revised by AV,
       29-Oct-2024.) $)
    srads $p |- ( ph -> ( dist ` W ) = ( dist ` A ) ) $=
      ( cds dsid cnx cfv csca wne cvsca slotsdnscsi simp1i necomi simp2i simp3i
      cip sralem ) ABCGDEFHIGJZIKJZUAUBLZUAIMJZLZUAISJZLZNOPUAUDUCUEUGNQPUAUFUC
      UEUGNRPT $.

    $( Obsolete proof of ~ srads as of 29-Oct-2024.  Distance function of a
       subring algebra.  (Contributed by Mario Carneiro, 4-Oct-2015.)  (Revised
       by Thierry Arnoux, 16-Jun-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sradsOLD $p |- ( ph -> ( dist ` W ) = ( dist ` A ) ) $=
      ( cds c1 c2 cdc df-ds 1nn0 2nn decnncl c8 clt wbr c5 1nn 2nn0 8nn0 declti
      8lt10 olci sralemOLD ) ABCGHIJZDEFKHILMNOUFPQUFRPQHIOSTUAUCUBUDUE $.
  $}

  ${
    $d x y z S $.  $d x y A $.  $d x y z W $.
    sralmod.a $e |- A = ( ( subringAlg ` W ) ` S ) $.
    $( The subring algebra is a left module.  (Contributed by Stefan O'Rear,
       27-Nov-2014.) $)
    sralmod $p |- ( S e. ( SubRing ` W ) -> A e. LMod ) $=
      ( vx vy vz cfv wcel cplusg co wceq eqid cgrp cv wa adantr elin2d syl13anc
      w3a csubrg cbs cin cmulr cur cress subrgss srabase sraaddg srasca sravsca
      csra a1i ressbas ressplusg ressmulr subrg1 subrgring crg subrgrcl ringgrp
      eqidd oveqdr grppropd mpbid 3ad2ant1 elinel2 3ad2ant2 simp3 ringcl simpr1
      syl syl3anc simpr2 simpr3 ringdi ringdir ringass ringlidm sylan islmodd )
      BCUAHZIZEFGBCUBHZUCZCJHZWFCUDHZWGCUEHZCBUFKZWDAWCABCABCULHHLWCDUMZBWDCWDM
      ZUGZUHZWCABCWJWLUIZWCABCWJWLUJWCABCWJWLUKBWDWIWBCWIMZWKUNBWFCWIWBWOWFMZUO
      BCWIWGWBWOWGMZUPBCWIWHWOWHMZUQBCWIWOURWCCNIZANIWCCUSIZWSBCUTZCVAVLWCEFWDC
      AWCWDVBWMWCEOZWDIZFOZWDIZPEFWFAJHWNVCVDVEWCXBWEIZXETWTXCXEXBXDWGKZWDIWCXF
      WTXEXAVFXFWCXCXEXBBWDVGVHWCXFXEVIWDCWGXBXDWKWQVJVMWCXFXEGOZWDIZTZPZWTXCXE
      XIXBXDXHWFKWGKXGXBXHWGKZWFKLWCWTXJXAQXKBWDXBWCXFXEXIVKRWCXFXEXIVNWCXFXEXI
      VOWDWFCWGXBXDXHWKWPWQVPSWCXFXDWEIZXITZPZWTXCXEXIXBXDWFKXHWGKXLXDXHWGKZWFK
      LWCWTXNXAQZXOBWDXBWCXFXMXIVKRZXOBWDXDWCXFXMXIVNRZWCXFXMXIVOZWDWFCWGXBXDXH
      WKWPWQVQSXOWTXCXEXIXGXHWGKXBXPWGKLXQXRXSXTWDCWGXBXDXHWKWQVRSWCWTXCWHXBWGK
      XBLXAWDCWGWHXBWKWQWRVSVTWA $.
  $}

  ${
    $d a b A $.  $d a b ph $.  $d a b W $.
    sralmod0.a $e |- ( ph -> A = ( ( subringAlg ` W ) ` S ) ) $.
    sralmod0.z $e |- ( ph -> .0. = ( 0g ` W ) ) $.
    sralmod0.s $e |- ( ph -> S C_ ( Base ` W ) ) $.
    $( The subring module inherits a zero from its ring.  (Contributed by
       Stefan O'Rear, 27-Dec-2014.) $)
    sralmod0 $p |- ( ph -> .0. = ( 0g ` A ) ) $=
      ( va vb c0g cfv cbs eqidd srabase cv wcel wa cplusg sraaddg oveqdr eqtrd
      grpidpropd ) AEDKLBKLGAIJDMLZDBAUDNABCDFHOAIPUDQJPUDQRIJDSLBSLABCDFHTUAUC
      UB $.
  $}

  ${
    $d x y .0. $.  $d x y D $.  $d x y I $.  $d x y .+ $.  $d x y ph $.
    $d x y S $.  $d x y .x. $.
    issubrngd.s $e |- ( ph -> S = ( I |`s D ) ) $.
    issubrngd.z $e |- ( ph -> .0. = ( 0g ` I ) ) $.
    issubrngd.p $e |- ( ph -> .+ = ( +g ` I ) ) $.
    issubrngd.ss $e |- ( ph -> D C_ ( Base ` I ) ) $.
    issubrngd.zcl $e |- ( ph -> .0. e. D ) $.
    issubrngd.acl $e |- ( ( ph /\ x e. D /\ y e. D ) -> ( x .+ y ) e. D ) $.
    issubrngd.ncl $e |- ( ( ph /\ x e. D ) -> ( ( invg ` I ) ` x ) e. D ) $.
    issubrngd.o $e |- ( ph -> .1. = ( 1r ` I ) ) $.
    issubrngd.t $e |- ( ph -> .x. = ( .r ` I ) ) $.
    issubrngd.ocl $e |- ( ph -> .1. e. D ) $.
    issubrngd.tcl $e |- ( ( ph /\ x e. D /\ y e. D ) -> ( x .x. y ) e. D ) $.
    issubrngd.g $e |- ( ph -> I e. Ring ) $.
    $( Prove a subring by closure (definition version).  (Contributed by Stefan
       O'Rear, 7-Dec-2014.) $)
    issubrngd2 $p |- ( ph -> D e. ( SubRing ` I ) ) $=
      ( csubrg cfv wcel csubg cur cv cmulr wral crg cgrp ringgrp syl issubgrpd2
      co eqeltrrd wa oveqdr 3expb ralrimivva w3a wb cbs eqid issubrg2 mpbir3and
      ) ADIUCUDUEZDIUFUDUEZIUGUDZDUEZBUHZCUHZIUIUDZUPZDUEZCDUJBDUJZABCDEFIJKLMN
      OPQAIUKUEZIULUEUBIUMUNUOAHVJDRTUQAVPBCDDAVLDUEZVMDUEZURZURVLVMGUPZVODAWAB
      CGVNSUSAVSVTWBDUEUAUTUQVAAVRVHVIVKVQVBVCUBBCDIVDUDZIVNVJWCVEVJVEVNVEVFUNV
      G $.
  $}

  ${
    $d W a $.
    $( ` ringLMod ` is a function.  (Contributed by Stefan O'Rear,
       6-Dec-2014.) $)
    rlmfn $p |- ringLMod Fn _V $=
      ( va cvv cv cbs cfv csra crglmod fvex df-rgmod fnmpti ) ABACZDEZKFEZEGLMH
      AIJ $.

    $( Value of the ring module.  (Contributed by Stefan O'Rear,
       31-Mar-2015.) $)
    rlmval $p |- ( ringLMod ` W ) = ( ( subringAlg ` W ) ` ( Base ` W ) ) $=
      ( va cvv wcel crglmod cfv cbs csra wceq fveq2 fveq12d df-rgmod fvex fvmpt
      cv wn c0 0fv eqcomi fvprc fveq1d 3eqtr4a pm2.61i ) ACDZAEFZAGFZAHFZFZIBAB
      OZGFZUIHFZFUHCEUIAIUJUFUKUGUIAHJUIAGJKBLUFUGMNUDPZQUFQFZUEUHUMQUFRSAETULU
      FUGQAHTUAUBUC $.

    $( Value of the set of ring ideals.  (Contributed by Stefan O'Rear,
       31-Mar-2015.) $)
    lidlval $p |- ( LIdeal ` W ) = ( LSubSp ` ( ringLMod ` W ) ) $=
      ( clidl cfv clss crglmod ccom df-lidl fveq1i 00lss wfun rlmfn fnfun ax-mp
      cvv wfn fvco4i eqtri ) ABCADEFZCAECDCABRGHDEAIENOEJKNELMPQ $.

    $( Value of the ring span function.  (Contributed by Stefan O'Rear,
       4-Apr-2015.) $)
    rspval $p |- ( RSpan ` W ) = ( LSpan ` ( ringLMod ` W ) ) $=
      ( crsp cfv clspn crglmod ccom df-rsp 00lsp cvv wfn wfun rlmfn fnfun ax-mp
      fveq1i fvco4i eqtri ) ABCADEFZCAECDCABRGODEAHEIJEKLIEMNPQ $.
  $}

  $( Value of the ring module extended.  (Contributed by AV, 2-Dec-2018.)
     (Revised by Thierry Arnoux, 16-Jun-2019.) $)
  rlmval2 $p |- ( W e. X -> ( ringLMod ` W )
                          = ( ( ( W sSet <. ( Scalar ` ndx ) , W >. )
                                    sSet <. ( .s ` ndx ) , ( .r ` W ) >. )
                                    sSet <. ( .i ` ndx ) , ( .r ` W ) >. ) ) $=
    ( wcel crglmod cfv cbs csra cnx csca cress co cop csts cvsca cmulr cip wceq
    rlmval a1i oveq1d wss ssid sraval mpan2 eqid ressid opeq2d oveq2d 3eqtrd )
    ABCZADEZAFEZAGEEZAHIEZAULJKZLZMKZHNEAOEZLZMKZHPEURLZMKZAUNALZMKZUSMKZVAMKUK
    UMQUJARSUJULULUAUMVBQULUBULBAUCUDUJUTVEVAMUJUQVDUSMUJUPVCAMUJUOAUNULABULUEU
    FUGUHTTUI $.

  $( Base set of the ring module.  (Contributed by Stefan O'Rear,
     31-Mar-2015.) $)
  rlmbas $p |- ( Base ` R ) = ( Base ` ( ringLMod ` R ) ) $=
    ( cbs cfv crglmod wceq wtru csra rlmval a1i ssidd srabase mptru ) ABCZADCZB
    CEFNMANMAGCCEFAHIFMJKL $.

  $( Vector addition in the ring module.  (Contributed by Stefan O'Rear,
     31-Mar-2015.) $)
  rlmplusg $p |- ( +g ` R ) = ( +g ` ( ringLMod ` R ) ) $=
    ( cplusg cfv crglmod wceq wtru cbs csra rlmval a1i ssidd sraaddg mptru ) AB
    CADCZBCEFNAGCZANOAHCCEFAIJFOKLM $.

  $( Zero vector in the ring module.  (Contributed by Stefan O'Rear,
     6-Dec-2014.)  (Revised by Mario Carneiro, 2-Oct-2015.) $)
  rlm0 $p |- ( 0g ` R ) = ( 0g ` ( ringLMod ` R ) ) $=
    ( c0g cfv crglmod wceq wtru cbs csra rlmval a1i eqidd ssidd sralmod0 mptru
    ) ABCZADCZBCEFPAGCZAOPQAHCCEFAIJFOKFQLMN $.

  $( Subtraction in the ring module.  (Contributed by Thierry Arnoux,
     30-Jun-2019.) $)
  rlmsub $p |- ( -g ` R ) = ( -g ` ( ringLMod ` R ) ) $=
    ( csg cfv crglmod wceq wtru cbs rlmbas cplusg rlmplusg grpsubpropd mptru
    a1i ) ABCADCZBCEFANAGCNGCEFAHMAICNICEFAJMKL $.

  $( Ring multiplication in the ring module.  (Contributed by Mario Carneiro,
     6-Oct-2015.) $)
  rlmmulr $p |- ( .r ` R ) = ( .r ` ( ringLMod ` R ) ) $=
    ( cmulr cfv crglmod wceq wtru cbs csra rlmval a1i ssidd sramulr mptru ) ABC
    ADCZBCEFNAGCZANOAHCCEFAIJFOKLM $.

  $( Scalars in the ring module.  (Contributed by Stefan O'Rear,
     6-Dec-2014.) $)
  rlmsca $p |- ( R e. X -> R = ( Scalar ` ( ringLMod ` R ) ) ) $=
    ( wcel cbs cfv cress co crglmod csca eqid ressid csra wceq rlmval a1i ssidd
    srasca eqtr3d ) ABCZAADEZFGAAHEZIETABTJKSUATAUATALEEMSANOSTPQR $.

  $( Scalars in the ring module.  (Contributed by Stefan O'Rear,
     1-Apr-2015.) $)
  rlmsca2 $p |- ( _I ` R ) = ( Scalar ` ( ringLMod ` R ) ) $=
    ( cid cfv cbs cress co crglmod csca cvv wcel wceq fvi eqid ressid eqtr4d wn
    c0 fvprc reldmress wtru ovprc1 pm2.61i csra rlmval ssidd srasca mptru eqtri
    a1i ) ABCZAADCZEFZAGCZHCZAIJZUJULKUOUJAULAILUKAIUKMNOUOPUJQULABRAUKESUAOUBU
    LUNKTUMUKAUMUKAUCCCKTAUDUITUKUEUFUGUH $.

  $( Scalar multiplication in the ring module.  (Contributed by Stefan O'Rear,
     31-Mar-2015.) $)
  rlmvsca $p |- ( .r ` R ) = ( .s ` ( ringLMod ` R ) ) $=
    ( cmulr cfv crglmod cvsca wceq wtru cbs csra rlmval a1i ssidd sravsca mptru
    ) ABCADCZECFGOAHCZAOPAICCFGAJKGPLMN $.

  $( Topology component of the ring module.  (Contributed by Mario Carneiro,
     6-Oct-2015.) $)
  rlmtopn $p |- ( TopOpen ` R ) = ( TopOpen ` ( ringLMod ` R ) ) $=
    ( ctopn cfv crglmod wceq wtru cbs csra rlmval a1i ssidd sratopn mptru ) ABC
    ADCZBCEFNAGCZANOAHCCEFAIJFOKLM $.

  $( Metric component of the ring module.  (Contributed by Mario Carneiro,
     6-Oct-2015.) $)
  rlmds $p |- ( dist ` R ) = ( dist ` ( ringLMod ` R ) ) $=
    ( cds cfv crglmod wceq wtru cbs csra rlmval a1i ssidd srads mptru ) ABCADCZ
    BCEFNAGCZANOAHCCEFAIJFOKLM $.

  $( The ring module is a module.  (Contributed by Stefan O'Rear,
     6-Dec-2014.) $)
  rlmlmod $p |- ( R e. Ring -> ( ringLMod ` R ) e. LMod ) $=
    ( crg wcel crglmod cfv cbs csra rlmval csubrg eqid subrgid sralmod eqeltrid
    clmod syl ) ABCZADEAFEZAGEEZNAHPQAIECRNCQAQJKRQARJLOM $.

  $( The ring module over a division ring is a vector space.  (Contributed by
     Mario Carneiro, 4-Oct-2015.) $)
  rlmlvec $p |- ( R e. DivRing -> ( ringLMod ` R ) e. LVec ) $=
    ( cdr wcel crglmod cfv clmod clvec crg drngring rlmlmod syl rlmsca eqeltrrd
    csca id eqid islvec sylanbrc ) ABCZADEZFCZTNEZBCTGCSAHCUAAIAJKSAUBBABLSOMUB
    TUBPQR $.

  ${
    $d R t u x y $.
    $( Subgroup sum of the ring module.  (Contributed by Thierry Arnoux,
       9-Apr-2024.) $)
    rlmlsm $p |- ( R e. V -> ( LSSum ` R ) = ( LSSum ` ( ringLMod ` R ) ) ) $=
      ( vt vu vx vy wcel clsm cfv cbs cpw cv cplusg co cmpo crn crglmod lsmfval
      eqid cvv wceq fvex rlmbas rlmplusg mp1i eqtr4d ) ABGZAHIZCDAJIZKZUJEFCLDL
      ELFLAMIZNOPOZAQIZHIZEFDCUIUKUHABUISUKSUHSRUMTGUNULUAUGAQUBEFDCUIUKUNUMTAU
      CAUDUNSRUEUF $.
  $}

  ${
    $d x y R $.
    $( Vector negation in the ring module.  (Contributed by Stefan O'Rear,
       6-Dec-2014.)  (Revised by Mario Carneiro, 5-Jun-2015.) $)
    rlmvneg $p |- ( invg ` R ) = ( invg ` ( ringLMod ` R ) ) $=
      ( vx vy cminusg cfv crglmod wceq wtru cbs eqidd rlmbas a1i cv wcel cplusg
      wa rlmplusg oveqd grpinvpropd mptru ) ADEAFEZDEGHBCAIEZAUAHUBJUBUAIEGHAKL
      HBMZUBNCMZUBNPPZAOEZUAOEZUCUDUFUGGUEAQLRST $.

    $( Functionalized scalar multiplication in the ring module.  (Contributed
       by Mario Carneiro, 6-Oct-2015.) $)
    rlmscaf $p |- ( +f ` ( mulGrp ` R ) ) = ( .sf ` ( ringLMod ` R ) ) $=
      ( vx vy cmgp cfv cplusf cbs cv cmulr co cmpo crglmod eqid mgpbas mgpplusg
      cscaf plusffval cid rlmbas rlmsca2 baseid strfvi rlmvsca scaffval eqtr4i
      cnx ) ADEZFEZBCAGEZUIBHCHAIEZJKALEZPEZBCUIUJUHUGUIAUGUGMZUIMZNAUJUGUMUJMO
      UHMQBCUIULUJAREUIUKASATAGUFGEUIUAUNUBULMAUCUDUE $.
  $}

  ${
    $d R f x $.  $d V f $.  $d W f $.  $d X f x $.
    $( The value of an infinite Cartesian product of the base of a left module
       over a ring with a singleton.  (Contributed by AV, 3-Dec-2018.) $)
    ixpsnbasval $p |- ( ( R e. V /\ X e. W )
         -> X_ x e. { X } ( Base ` ( ( { X } X. { ( ringLMod ` R ) } ) ` x ) )
            = { f | ( f Fn { X } /\ ( f ` X ) e. ( Base ` R ) ) } ) $=
      ( wcel wa csn cv crglmod cfv cbs csb cab wceq adantl fveq2d eqtrd cvv cxp
      cixp wfn ixpsnval csbfv2g csbvarg fvexd anim1ci xpsng fveq1d fvsng rlmbas
      cop syl eqtr4di eleq2d anbi2d abbidv ) BDGZFEGZHZAFIZAJZVBBKLZIUAZLZMLZUB
      ZCJZVBUCZFVILZAFVGNZGZHZCOZVJVKBMLZGZHZCOUTVHVOPUSAVGCEFUDQVAVNVRCVAVMVQV
      JVAVLVPVKVAVLVDMLZVPVAVLFVELZMLZVSUTVLWAPUSUTVLAFVFNZMLWAAFVFEMUEUTWBVTMU
      TWBAFVCNZVELVTAFVCEVEUEUTWCFVEAFEUFRSRSQVAVTVDMVAVTFFVDUMIZLZVDVAFVEWDVAU
      TVDTGZHZVEWDPUSWFUTUSBKUGUHZFVDETUIUNUJVAWGWEVDPWHFVDETUKUNSRSBULUOUPUQUR
      S $.
  $}

  ${
    lidlss.b $e |- B = ( Base ` W ) $.
    lidlss.i $e |- I = ( LIdeal ` W ) $.
    $( An ideal is a subset of the base set.  (Contributed by Stefan O'Rear,
       28-Mar-2015.) $)
    lidlss $p |- ( U e. I -> U C_ B ) $=
      ( crglmod cfv cbs rlmbas eqtri clidl clss lidlval lssss ) CBADGHZADIHPIHE
      DJKCDLHPMHFDNKO $.
  $}

  ${
    $d B x $.  $d I a b x $.  $d R a b x $.
    islidl.s $e |- U = ( LIdeal ` R ) $.
    islidl.b $e |- B = ( Base ` R ) $.
    islidl.p $e |- .+ = ( +g ` R ) $.
    islidl.t $e |- .x. = ( .r ` R ) $.
    $( Predicate of being a (left) ideal.  (Contributed by Stefan O'Rear,
       1-Apr-2015.) $)
    islidl $p |- ( I e. U <-> ( I C_ B /\ I =/= (/) /\
          A. x e. B A. a e. I A. b e. I ( ( x .x. a ) .+ b ) e. I ) ) $=
      ( cid cfv crglmod rlmsca2 cbs eqtri cplusg cnx baseid strfvi rlmbas cmulr
      rlmplusg cvsca rlmvsca clidl clss lidlval islss ) ABCFEGDNOBDPOZHIDQDRUAR
      OBUBKUCBDROUMROKDUDSCDTOUMTOLDUFSEDUEOUMUGOMDUHSFDUIOUMUJOJDUKSUL $.
  $}

  ${
    lidlcl.u $e |- U = ( LIdeal ` R ) $.
    ${
      lidl0cl.z $e |- .0. = ( 0g ` R ) $.
      $( An ideal contains 0.  (Contributed by Stefan O'Rear, 3-Jan-2015.) $)
      lidl0cl $p |- ( ( R e. Ring /\ I e. U ) -> .0. e. I ) $=
        ( crg wcel wa crglmod cfv c0g rlm0 eqtri clmod clss rlmlmod simpr clidl
        eqid lidlval eleqtrdi lss0cl syl2an2r eqeltrid ) AGHZCBHZIZDAJKZLKZCDAL
        KUJFAMNUFUIOHUGCUIPKZHUJCHAQUHCBUKUFUGRBASKUKEAUANUBUKCUIUJUJTUKTUCUDUE
        $.
    $}

    ${
      lidlacl.p $e |- .+ = ( +g ` R ) $.
      $( An ideal is closed under addition.  (Contributed by Stefan O'Rear,
         3-Jan-2015.) $)
      lidlacl $p |- ( ( ( R e. Ring /\ I e. U ) /\ ( X e. I /\ Y e. I ) ) ->
          ( X .+ Y ) e. I ) $=
        ( crg wcel wa co crglmod cfv cplusg rlmplusg eqtri oveqi clmod eqid jca
        clss rlmlmod adantr simpr clidl lidlval eleqtrdi lssvacl sylan eqeltrid
        ) BIJZDCJZKZEDJFDJKZKEFALEFBMNZONZLZDAUQEFABONUQHBPQRUNUPSJZDUPUBNZJZKU
        OURDJUNUSVAULUSUMBUCUDUNDCUTULUMUECBUFNUTGBUGQUHUAUQUTDUPEFUQTUTTUIUJUK
        $.
    $}

    ${
      lidlnegcl.n $e |- N = ( invg ` R ) $.
      $( An ideal contains negatives.  (Contributed by Stefan O'Rear,
         3-Jan-2015.) $)
      lidlnegcl $p |- ( ( R e. Ring /\ I e. U /\ X e. I ) ->
          ( N ` X ) e. I ) $=
        ( crg wcel w3a cfv crglmod cminusg rlmvneg eqtri fveq1i clmod clss eqid
        rlmlmod 3ad2ant1 simpr clidl lidlval eleqtrdi 3adant3 lssvnegcl syl3anc
        wa simp3 eqeltrid ) AHIZCBIZECIZJZEDKEALKZMKZKZCEDUQDAMKUQGANOPUOUPQIZC
        UPRKZIZUNURCIULUMUSUNATUAULUMVAUNULUMUICBUTULUMUBBAUCKUTFAUDOUEUFULUMUN
        UJUTCUQUPEUTSUQSUGUHUK $.
    $}

    $d x y I $.  $d x y R $.  $d x y U $.
    $( An ideal is a subgroup of the additive group.  (Contributed by Mario
       Carneiro, 14-Jun-2015.) $)
    lidlsubg $p |- ( ( R e. Ring /\ I e. U ) -> I e. ( SubGrp ` R ) ) $=
      ( vx vy crg wcel wa csubg cfv cbs wss c0 wne cplusg wral eqid ralrimiva
      cv cminusg lidlss adantl c0g lidl0cl ne0d lidlacl anassrs lidlnegcl 3expa
      co jca cgrp w3a wb ringgrp adantr issubg2 syl mpbir3and ) AGHZCBHZIZCAJKH
      ZCALKZMZCNOZETZFTZAPKZUKCHZFCQZVHAUAKZKCHZIZECQZVBVFVAVECBAVERZDUBUCVCCAU
      DKZABCVRDVRRUEUFVCVOECVCVHCHZIZVLVNVTVKFCVCVSVICHVKVJABCVHVIDVJRZUGUHSVAV
      BVSVNABCVMVHDVMRZUIUJULSVCAUMHZVDVFVGVPUNUOVAWCVBAUPUQEFVEVJCAVMVQWAWBURU
      SUT $.

    ${
      lidlsubcl.m $e |- .- = ( -g ` R ) $.
      $( An ideal is closed under subtraction.  (Contributed by Stefan O'Rear,
         28-Mar-2015.)  (Proof shortened by OpenAI, 25-Mar-2020.) $)
      lidlsubcl $p |- ( ( ( R e. Ring /\ I e. U ) /\ ( X e. I /\ Y e. I ) ) ->
          ( X .- Y ) e. I ) $=
        ( crg wcel wa co w3a csubg cfv lidlsubg 3adant3 simp3l simp3r subgsubcl
        syl3anc 3expa ) AIJZCBJZECJZFCJZKZEFDLCJZUCUDUGMCANOJZUEUFUHUCUDUIUGABC
        GPQUCUDUEUFRUCUDUEUFSCADEFHTUAUB $.
    $}

    lidlcl.b $e |- B = ( Base ` R ) $.
    ${
      lidlmcl.t $e |- .x. = ( .r ` R ) $.
      $( An ideal is closed under left-multiplication by elements of the full
         ring.  (Contributed by Stefan O'Rear, 3-Jan-2015.) $)
      lidlmcl $p |- ( ( ( R e. Ring /\ I e. U ) /\ ( X e. B /\ Y e. I ) ) ->
          ( X .x. Y ) e. I ) $=
        ( crg wcel wa co crglmod cfv cvsca eqtri cbs eqid cmulr oveqi clss csca
        rlmvsca clmod rlmlmod ad2antrr simpr clidl lidlval adantr rlmsca fveq2d
        eleqtrdi eqtrid eleq2d biimpa ad2ant2r simprr lssvscl syl22anc eqeltrid
        ) BKLZEDLZMZFALZGELZMZMZFGCNFGBOPZQPZNZECVLFGCBUAPVLJBUERUBVJVKUFLZEVKU
        CPZLZFVKUDPZSPZLZVHVMELVDVNVEVIBUGUHVFVPVIVFEDVOVDVEUIDBUJPVOHBUKRUOULV
        DVGVSVEVHVDVGVSVDAVRFVDABSPVRIVDBVQSBKUMUNUPUQURUSVFVGVHUTVRVOVLEVQVKFG
        VQTVLTVRTVOTVAVBVC $.
    $}

    ${
      $d B a $.  $d I a $.  $d .1. a $.  $d R a $.  $d U a $.
      lidl1el.o $e |- .1. = ( 1r ` R ) $.
      $( An ideal contains 1 iff it is the unit ideal.  (Contributed by Stefan
         O'Rear, 3-Jan-2015.)  (Revised by Wolf Lammen, 6-Sep-2020.) $)
      lidl1el $p |- ( ( R e. Ring /\ I e. U ) -> ( .1. e. I <-> I = B ) ) $=
        ( va crg wcel wa wceq wss lidlss ad2antlr cv cmulr cfv co eqid ringridm
        ad2ant2rl lidlmcl ancom2s eqeltrrd ssrdv eqssd ex ringidcl adantr eleq2
        expr syl5ibrcom impbid ) BJKZECKZLZDEKZEAMZURUSUTURUSLZEAUQEANUPUSAECBG
        FOPVAIAEURUSIQZAKZVBEKURUSVCLLVBDBRSZTZVBEUPVCVEVBMUQUSABVDDVBGVDUAZHUB
        UCURVCUSVEEKABVDCEVBDFGVFUDUEUFUMUGUHUIURUSUTDAKZUPVGUQABDGHUJUKEADULUN
        UO $.
    $}
  $}

  ${
    lidl0.u $e |- U = ( LIdeal ` R ) $.
    ${
      lidl0.z $e |- .0. = ( 0g ` R ) $.
      $( Every ring contains a zero ideal.  (Contributed by Stefan O'Rear,
         3-Jan-2015.) $)
      lidl0 $p |- ( R e. Ring -> { .0. } e. U ) $=
        ( crg wcel csn crglmod cfv clss clmod rlmlmod c0g rlm0 eqtri lsssn0 syl
        eqid clidl lidlval eleqtrrdi ) AFGZCHZAIJZKJZBUCUELGUDUFGAMUFUECCANJUEN
        JEAOPUFSQRBATJUFDAUAPUB $.
    $}

    lidl1.b $e |- B = ( Base ` R ) $.
    $( Every ring contains a unit ideal.  (Contributed by Stefan O'Rear,
       3-Jan-2015.) $)
    lidl1 $p |- ( R e. Ring -> B e. U ) $=
      ( crg wcel crglmod cfv clss clmod rlmlmod cbs rlmbas eqtri eqid syl clidl
      lss1 lidlval eleqtrrdi ) BFGZABHIZJIZCUBUCKGAUDGBLUDAUCABMIUCMIEBNOUDPSQC
      BRIUDDBTOUA $.
  $}

  ${
    lidlacs.b $e |- B = ( Base ` W ) $.
    lidlacs.i $e |- I = ( LIdeal ` W ) $.
    $( The ideal system is an algebraic closure system on the base set.
       (Contributed by Stefan O'Rear, 4-Apr-2015.) $)
    lidlacs $p |- ( W e. Ring -> I e. ( ACS ` B ) ) $=
      ( crg wcel crglmod cfv clss cacs clidl lidlval eqtri clmod rlmlmod rlmbas
      cbs eqid lssacs syl eqeltrid ) CFGZBCHIZJIZAKIZBCLIUEECMNUCUDOGUEUFGCPAUE
      UDACRIUDRIDCQNUESTUAUB $.
  $}

  ${
    rspcl.k $e |- K = ( RSpan ` R ) $.
    ${
      rspcl.b $e |- B = ( Base ` R ) $.
      ${
        rspcl.u $e |- U = ( LIdeal ` R ) $.
        $( The span of a set of ring elements is an ideal.  (Contributed by
           Stefan O'Rear, 3-Jan-2015.)  (Revised by Mario Carneiro,
           2-Oct-2015.) $)
        rspcl $p |- ( ( R e. Ring /\ G C_ B ) -> ( K ` G ) e. U ) $=
          ( crg wcel crglmod cfv clmod wss rlmlmod cbs rlmbas eqtri clidl clss
          lidlval crsp clspn rspval lspcl sylan ) BIJBKLZMJDANDELCJBOCDEAUGABPL
          UGPLGBQRCBSLUGTLHBUAREBUBLUGUCLFBUDRUEUF $.
      $}

      $( The span of a set of ring elements contains those elements.
         (Contributed by Stefan O'Rear, 3-Jan-2015.) $)
      rspssid $p |- ( ( R e. Ring /\ G C_ B ) -> G C_ ( K ` G ) ) $=
        ( crg wcel crglmod cfv clmod wss rlmlmod rlmbas eqtri crsp clspn rspval
        cbs lspssid sylan ) BGHBIJZKHCALCCDJLBMCDAUBABSJUBSJFBNODBPJUBQJEBROTUA
        $.

      ${
        rsp1.o $e |- .1. = ( 1r ` R ) $.
        $( The span of the identity element is the unit ideal.  (Contributed by
           Stefan O'Rear, 3-Jan-2015.) $)
        rsp1 $p |- ( R e. Ring -> ( K ` { .1. } ) = B ) $=
          ( crg wcel csn cfv wceq wss ringidcl snssd rspssid mpdan fvexi snss
          cur sylibr clidl wb eqid rspcl lidl1el mpbid ) BHIZCCJZDKZIZUJALZUHUI
          UJMZUKUHUIAMZUMUHCAABCFGNOZABUIDEFPQCUJCBTGRSUAUHUJBUBKZIZUKULUCUHUNU
          QUOABUPUIDEFUPUDZUEQABUPCUJURFGUFQUG $.
      $}
    $}

    ${
      rsp0.z $e |- .0. = ( 0g ` R ) $.
      $( The span of the zero element is the zero ideal.  (Contributed by
         Stefan O'Rear, 3-Jan-2015.) $)
      rsp0 $p |- ( R e. Ring -> ( K ` { .0. } ) = { .0. } ) $=
        ( crg wcel crglmod cfv clmod csn wceq rlmlmod c0g rlm0 eqtri crsp clspn
        rspval lspsn0 syl ) AFGAHIZJGCKZBIUCLAMBUBCCANIUBNIEAOPBAQIUBRIDASPTUA
        $.
    $}

    ${
      rspssp.u $e |- U = ( LIdeal ` R ) $.
      $( The ideal span of a set of elements in a ring is contained in any
         subring which contains those elements.  (Contributed by Stefan O'Rear,
         3-Jan-2015.) $)
      rspssp $p |- ( ( R e. Ring /\ I e. U /\ G C_ I ) -> ( K ` G ) C_ I ) $=
        ( crg wcel crglmod cfv clmod wss rlmlmod clidl clss lidlval eqtri clspn
        crsp rspval lspssp syl3an1 ) AHIAJKZLIDBICDMCEKDMANBCDEUDBAOKUDPKGAQREA
        TKUDSKFAUARUBUC $.
    $}
  $}

  ${
    mrcrsp.u $e |- U = ( LIdeal ` R ) $.
    mrcrsp.k $e |- K = ( RSpan ` R ) $.
    mrcrsp.f $e |- F = ( mrCls ` U ) $.
    $( Moore closure generalizes ideal span.  (Contributed by Stefan O'Rear,
       4-Apr-2015.) $)
    mrcrsp $p |- ( R e. Ring -> K = F ) $=
      ( crg wcel crglmod clmod wceq rlmlmod clidl clss lidlval eqtri crsp clspn
      cfv rspval mrclsp syl ) AHIAJTZKIDCLAMBCDUDBANTUDOTEAPQDARTUDSTFAUAQGUBUC
      $.
  $}

  ${
    $d I x $.  $d .0. x $.
    lidlnz.u $e |- U = ( LIdeal ` R ) $.
    lidlnz.z $e |- .0. = ( 0g ` R ) $.
    $( A nonzero ideal contains a nonzero element.  (Contributed by Stefan
       O'Rear, 3-Jan-2015.) $)
    lidlnz $p |- ( ( R e. Ring /\ I e. U /\ I =/= { .0. } ) ->
        E. x e. I x =/= .0. ) $=
      ( crg wcel csn wne w3a cv wn wa wex wrex wpss wss lidl0cl necomd sylanbrc
      snssd simp3 df-pss pssnel syl velsn necon3bbii anbi2i exbii df-rex bitr4i
      3adant3 sylib ) BHIZDCIZDEJZKZLZAMZDIZVAURIZNZOZAPZVAEKZADQZUTURDRZVFUTUR
      DSZURDKVIUPUQVJUSUPUQOEDBCDEFGTUCUNUTDURUPUQUSUDUAURDUEUBAURDUFUGVFVBVGOZ
      APVHVEVKAVDVGVBVCVAEAEUHUIUJUKVGADULUMUO $.
  $}

  ${
    $d U a b $.  $d R a b $.  $d B a b $.  $d .0. a b $.
    drngnidl.b $e |- B = ( Base ` R ) $.
    drngnidl.z $e |- .0. = ( 0g ` R ) $.
    drngnidl.u $e |- U = ( LIdeal ` R ) $.
    $( A division ring has only the two trivial ideals.  (Contributed by Stefan
       O'Rear, 3-Jan-2015.)  (Revised by Wolf Lammen, 6-Sep-2020.) $)
    drngnidl $p |- ( R e. DivRing -> U = { { .0. } , B } ) $=
      ( va vb wcel cv wa wceq wne cfv ad2antrr simplr syl3anc wss eqid animorrl
      cdr csn cpr wo cur wrex crg drngring simpr lidlnz wel cinvr simpll lidlss
      cmulr co adantl sselda adantrr simprr drnginvrl drnginvrcl simprl lidlmcl
      syl22anc eqeltrrd rexlimdvaa imp syldan wb lidl1el sylan mpbid pm2.61dane
      adantr olcd vex elpr sylibr ex ssrdv lidl0 lidl1 prssd syl eqssd ) BUBJZC
      DUCZAUDZWHHCWJWHHKZCJZWKWJJZWHWLLZWKWIMZWKAMZUEZWMWNWQWKWIWNWOWPUAWNWKWIN
      ZLZWPWOWSBUFOZWKJZWPWNWRIKZDNZIWKUGZXAWSBUHJZWLWRXDWHXEWLWRBUIZPWHWLWRQWN
      WRUJIBCWKDGFUKRWNXDXAWNXCXAIWKWNIHULZXCLZLZXBBUMOZOZXBBUPOZUQZWTWKXIWHXBA
      JZXCXMWTMWHWLXHUNZWNXGXNXCWNWKAXBWLWKASWHAWKCBEGUOURUSUTZWNXGXCVAZABXLWTX
      JXBDEFXLTZWTTZXJTZVBRXIXEWLXKAJZXGXMWKJWHXEWLXHXFPWHWLXHQXIWHXNXCYAXOXPXQ
      ABXJXBDEFXTVCRWNXGXCVDABXLCWKXKXBGEXRVEVFVGVHVIVJWNXAWPVKZWRWHXEWLYBXFABC
      WTWKGEXSVLVMVPVNVQVOWKWIAHVRVSVTWAWBWHXEWJCSXFXEWIACBCDGFWCABCGEWDWEWFWG
      $.
  $}

  ${
    $d x y B $.  $d x y K $.  $d x y L $.  $d x y ph $.  $d x y W $.
    lidlpropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    lidlpropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    lidlpropd.3 $e |- ( ph -> B C_ W ) $.
    lidlpropd.4 $e |- ( ( ph /\ ( x e. W /\ y e. W ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    lidlpropd.5 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( .r ` K ) y ) e. W ) $.
    lidlpropd.6 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( .r ` K ) y ) = ( x ( .r ` L ) y ) ) $.
    $( The left ideals and ring span of a ring depend only on the ring
       components.  Here ` W ` is expected to be either ` B ` (when closure is
       available) or ` _V ` (when strong equality is available).  (Contributed
       by Mario Carneiro, 14-Jun-2015.) $)
    lidlrsppropd $p |- ( ph ->
      ( ( LIdeal ` K ) = ( LIdeal ` L ) /\ ( RSpan ` K ) = ( RSpan ` L ) ) ) $=
      ( cfv crglmod cbs eqtrdi wcel wa co clidl wceq crsp clss rlmbas cv cplusg
      rlmplusg oveqi 3eqtr3g cvsca cmulr rlmvsca eqeltrrid csca cid baseid eqid
      strfvi rlmsca2 fveq2i eqtri lsspropd lidlval 3eqtr4g clspn fvexd lsppropd
      cnx cvv rspval jca ) AEUANZFUANZUBEUCNZFUCNZUBAEONZUDNFONZUDNVMVNABCDDVQV
      RGADEPNZVQPNHEUEQZADFPNZVRPNIFUEQZJABUFZGRCUFZGRSSWCWDEUGNZTWCWDFUGNZTWCW
      DVQUGNZTWCWDVRUGNZTKWEWGWCWDEUHUIWFWHWCWDFUHUIUJZAWCDRWDDRSSZWCWDVQUKNZTZ
      WCWDEULNZTZGWMWKWCWDEUMUIZLUNZWJWNWCWDFULNZTWLWCWDVRUKNZTMWOWQWRWCWDFUMUI
      UJZADVSVQUONZPNZHVSEUPNZPNXAEPVIPNZVSUQVSURUSXBWTPEUTVAVBQZADWAVRUONZPNZI
      WAFUPNZPNXFFPXCWAUQWAURUSXGXEPFUTVAVBQZVCEVDFVDVEAVQVFNVRVFNVOVPABCDDVQVR
      GVJVJVTWBJWIWPWSXDXHAEOVGAFOVGVHEVKFVKVEVL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Two-sided ideals and quotient rings
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c 2Ideal $.

  $( Ring two-sided ideal function. $)
  c2idl $a class 2Ideal $.

  $( Define the class of two-sided ideals of a ring.  A two-sided ideal is a
     left ideal which is also a right ideal (or a left ideal over the opposite
     ring).  (Contributed by Mario Carneiro, 14-Jun-2015.) $)
  df-2idl $a |- 2Ideal = ( r e. _V |->
    ( ( LIdeal ` r ) i^i ( LIdeal ` ( oppR ` r ) ) ) ) $.

  ${
    $d r I $.  $d r J $.  $d r R $.
    2idlval.i $e |- I = ( LIdeal ` R ) $.
    2idlval.o $e |- O = ( oppR ` R ) $.
    2idlval.j $e |- J = ( LIdeal ` O ) $.
    2idlval.t $e |- T = ( 2Ideal ` R ) $.
    $( Definition of a two-sided ideal.  (Contributed by Mario Carneiro,
       14-Jun-2015.) $)
    2idlval $p |- T = ( I i^i J ) $=
      ( vr c2idl cfv cin cvv wceq clidl coppr fveq2 eqtr4di c0 cv ineq12d fvexi
      fveq2d df-2idl inex1 fvmpt wn fvprc wss inss1 eqtrid sseq0 sylancr eqtr4d
      wcel pm2.61i eqtri ) BAKLZCDMZIANUPZUSUTOJAJUAZPLZVBQLZPLZMUTNKVBAOZVCCVE
      DVFVCAPLZCVBAPRFSVFVEEPLDVFVDEPVFVDAQLEVBAQRGSUDHSUBJUECDCAPFUCUFUGVAUHZU
      STUTAKUIVHUTCUJCTOUTTOCDUKVHCVGTFAPUIULUTCUMUNUOUQUR $.
  $}

  ${
    2idlcpbl.x $e |- X = ( Base ` R ) $.
    2idlcpbl.r $e |- E = ( R ~QG S ) $.
    2idlcpbl.i $e |- I = ( 2Ideal ` R ) $.
    2idlcpbl.t $e |- .x. = ( .r ` R ) $.
    $( The coset equivalence relation for a two-sided ideal is compatible with
       ring multiplication.  (Contributed by Mario Carneiro, 14-Jun-2015.) $)
    2idlcpbl $p |- ( ( R e. Ring /\ S e. I ) ->
        ( ( A E C /\ B E D ) -> ( A .x. B ) E ( C .x. D ) ) ) $=
      ( wcel wbr co cfv eqid syl2anc crg csg simpll w3a csubg wer clidl 2idlval
      coppr elin2 simplbi ad2antlr lidlsubg eqger syl simprl ersym cabl ringabl
      wa wss wb ad2antrr lidlss eqgabl simp2d simprr simp1d ringcl syl3anc cgrp
      mpbid wceq ringgrp grpnnncan2 syl13anc ringsubdi simp3d syl22anc eqeltrrd
      lidlmcl cmulr opprmul rngsubdir eqtrid opprring simprbi opprbas lidlsubcl
      mpbir3and ex ) EUAOZFIOZUTZACHPZBDHPZUTZABGQZCDGQZHPZWNWQUTZWTWRJOZWSJOZW
      SWREUBRZQZFOZXAWLAJOZBJOZXBWLWMWQUCZXACJOZXGACXDQZFOZXACAHPZXJXGXLUDZXAAC
      HJXAFEUEROZJHUFXAWLFEUGRZOZXOXIWMXQWLWQWMXQFEUIRZUGRZOZFXPXSIEIXPXSXRXPSZ
      XRSZXSSZMUHUJZUKULZEXPFYAUMTHEJFKLUNUOWNWOWPUPUQXAEUROZFJVAZXMXNVBWLYFWMW
      QEUSVCZXAXQYGYEJFXPEKYAVDUOZCAHFEXDJKXDSZLVETVLZVFZXAXHDJOZDBXDQZFOZXAWPX
      HYMYOUDZWNWOWPVGXAYFYGWPYPVBYHYIBDHFEXDJKYJLVETVLZVHZJEGABKNVIVJZXAWLXJYM
      XCXIXAXJXGXLYKVHZXAXHYMYOYQVFZJEGCDKNVIVJZXAWSCBGQZXDQZWRUUCXDQZXDQZXEFXA
      EVKOZXCXBUUCJOZUUFXEVMWLUUGWMWQEVNVCUUBYSXAWLXJXHUUHXIYTYRJEGCBKNVIVJJEXD
      WSWRUUCKYJVOVPXAWLXQUUDFOUUEFOUUFFOXIYEXACYNGQZUUDFXAJEGXDCDBKNYJXIYTUUAY
      RVQXAWLXQXJYOUUIFOXIYEYTXAXHYMYOYQVRJEGXPFCYNYAKNWAVSVTXABXKXRWBRZQZUUEFX
      AUUKXKBGQUUEJEUUJGXRBXKKNYBUUJSZWCXAJEGXDACBKNYJXIYLYTYRWDWEXAXRUAOZXTXHX
      LUUKFOWLUUMWMWQEXRYBWFVCWMXTWLWQWMXQXTYDWGULYRXAXJXGXLYKVRJXRUUJXSFBXKYCJ
      EXRYBKWHUULWAVSVTEXPFXDUUDUUEYAYJWIVSVTXAYFYGWTXBXCXFUDVBYHYIWRWSHFEXDJKY
      JLVETWJWK $.
  $}

  ${
    $d y z F $.  $d a b c d x y z I $.  $d c d .1. $.  $d a b c d x y z R $.
    $d a b c d x y z S $.  $d a b c d x y z U $.  $d a b c d x y z X $.
    qusring.u $e |- U = ( R /s ( R ~QG S ) ) $.
    qusring.i $e |- I = ( 2Ideal ` R ) $.
    ${
      qus1.o $e |- .1. = ( 1r ` R ) $.
      $( The multiplicative identity of the quotient ring.  (Contributed by
         Mario Carneiro, 14-Jun-2015.) $)
      qus1 $p |- ( ( R e. Ring /\ S e. I ) ->
          ( U e. Ring /\ [ .1. ] ( R ~QG S ) = ( 1r ` U ) ) ) $=
        ( vd vc va vb wcel cfv co wceq eqid syl cv wbr crg cplusg cqg cmulr cbs
        wa cqus a1i csubg wer clidl coppr 2idlval elin2 simplbi lidlsubg sylan2
        eqger cnsg cabl ringabl adantr eleqtrrd eqgcpbl 2idlcpbl simpl qusring2
        wi ablnsg ) AUAMZBEMZUFZAUBNZABUCOZAAUDNZCDAUENZIJKLCAVNUGOPVLFUHVPVPPV
        LVPQZUHVMQZVOQZHVLBAUINZMZVPVNUJVKVJBAUKNZMZWAVKWCBAULNZUKNZMBWBWEEAEWB
        WEWDWBQZWDQWEQGUMUNUOAWBBWFUPUQZVNAVPBVQVNQZURRVLBAUSNZMKSZJSZVNTLSZISZ
        VNTUFWJWLVMOWKWMVMOVNTVHVLBVTWIWGVLAUTMZWIVTPVJWNVKAVAVBAVIRVCWJWLWKWMV
        MVNAVPBVQWHVRVDRWJWLWKWMABVOVNEVPVQWHGVSVEVJVKVFVG $.
    $}

    $( If ` S ` is a two-sided ideal in ` R ` , then ` U = R / S ` is a ring,
       called the quotient ring of ` R ` by ` S ` .  (Contributed by Mario
       Carneiro, 14-Jun-2015.) $)
    qusring $p |- ( ( R e. Ring /\ S e. I ) -> U e. Ring ) $=
      ( crg wcel wa cur cfv cqg co cec wceq eqid qus1 simpld ) AGHBDHICGHAJKZAB
      LMNCJKOABCSDEFSPQR $.

    qusrhm.x $e |- X = ( Base ` R ) $.
    qusrhm.f $e |- F = ( x e. X |-> [ x ] ( R ~QG S ) ) $.
    $( If ` S ` is a two-sided ideal in ` R ` , then the "natural map" from
       elements to their cosets is a ring homomorphism from ` R ` to
       ` R / S ` .  (Contributed by Mario Carneiro, 15-Jun-2015.) $)
    qusrhm $p |- ( ( R e. Ring /\ S e. I ) -> F e. ( R RingHom U ) ) $=
      ( wcel cfv eqid co cec cvv a1i wceq cv vy vz vd vc va vb crg wa cmulr cur
      simpl qusring cqg csubg clidl coppr 2idlval elin2 simplbi lidlsubg sylan2
      wer eqger syl fvexi divsfval qus1 simprd eqtrd cqus 2idlcpbl ringcl 3expb
      cbs adantlr caovclg qusmulval adantr oveq12d 3eqtr4rd cnsg ringabl ablnsg
      cghm cabl eleqtrrd qusghm isrhm2d ) BUGLZCFLZUHZUAUBGBDBUIMZDUIMZBUJMZEDU
      JMZJWNNZWONWLNZWMNZWIWJUKZBCDFHIULWKWNEMWNBCUMOZPZWOWKAWNWTEGQWKCBUNMZLZG
      WTVBZWJWICBUOMZLZXCWJXFCBUPMZUOMZLCXEXHFBFXEXHXGXENZXGNXHNIUQURUSBXECXIUT
      VAZWTBGCJWTNZVCVDZGQLZWKGBVNJVEZRKVFWKDUGLXAWOSBCDWNFHIWPVGVHVIWKUATZGLZU
      BTZGLZUHZUHZXOWTPZXQWTPZWMOZXOXQWLOZWTPZXOEMZXQEMZWMOYDEMWKXPXRYCYESWKWTB
      WMWLDGXOXQUGUCUDUEUFDBWTVJOSWKHRGBVNMSWKJRXLWSUETUFTUDTZUCTZBCWLWTFGJXKIW
      QVKWKUAUBYHYIGGGWLWIXSYDGLZWJWIXPXRYJGBWLXOXQJWQVLVMVOVPWQWRVQVMXTYFYAYGY
      BWMXTAXOWTEGQWKXDXSXLVRZXMXTXNRZKVFXTAXQWTEGQYKYLKVFVSXTAYDWTEGQYKYLKVFVT
      WKCBWAMZLEBDWDOLWKCXBYMXJWKBWELZYMXBSWIYNWJBWBVRBWCVDWFAEBDGCJHKWGVDWH $.
  $}

  ${
    $d x y O $.  $d x y R $.
    crng2idl.i $e |- I = ( LIdeal ` R ) $.
    ${
      crngridl.o $e |- O = ( oppR ` R ) $.
      $( In a commutative ring, the left and right ideals coincide.
         (Contributed by Mario Carneiro, 14-Jun-2015.) $)
      crngridl $p |- ( R e. CRing -> I = ( LIdeal ` O ) ) $=
        ( vx vy wcel clidl cfv wceq crsp cbs cvv eqid a1i cv cplusg co wa eqidd
        ccrg opprbas wss oppradd oveqi cmulr ovexd crngoppr lidlrsppropd simpld
        ssv 3expb eqtrid ) AUBHZBAIJZCIJZDUOUPUQKALJCLJKUOFGAMJZACNUOURUAURCMJK
        UOURACEUROZUCPURNUDUOURULPFQZGQZARJZSUTVACRJZSKUOUTNHVANHTTVBVCUTVAVBAC
        EVBOUEUFPUOUTURHZVAURHZTTUTVAAUGJZUHUOVDVEUTVAVFSUTVACUGJZSKURAVGVFCUTV
        AUSVFOEVGOUIUMUJUKUN $.
    $}

    $( In a commutative ring, a two-sided ideal is the same as a left ideal.
       (Contributed by Mario Carneiro, 14-Jun-2015.) $)
    crng2idl $p |- ( R e. CRing -> I = ( 2Ideal ` R ) ) $=
      ( ccrg wcel coppr cfv clidl cin c2idl inidm eqid crngridl eqtr3id 2idlval
      ineq2d eqtr4di ) ADEZBBAFGZHGZIZAJGZRBBBIUABKRBTBABSCSLZMPNAUBBTSCUCTLUBL
      OQ $.
  $}

  ${
    $d a b c d u v x y I $.  $d a b c d u v x y R $.  $d a b c d u v x y S $.
    $d a b c d u v x y U $.
    quscrng.u $e |- U = ( R /s ( R ~QG S ) ) $.
    quscrng.i $e |- I = ( LIdeal ` R ) $.
    $( The quotient of a commutative ring by an ideal is a commutative ring.
       (Contributed by Mario Carneiro, 15-Jun-2015.) $)
    quscrng $p |- ( ( R e. CRing /\ S e. I ) -> U e. CRing ) $=
      ( vx vy vd vc va wcel wa crg cv cfv co wceq eqid cec vu vv ccrg cmulr cbs
      wral c2idl crngring adantr simpr crng2idl eleqtrd qusring syl2anc cqg cqs
      vb cvv cqus eqidd ovexd qusbas eleq2d anbi12d oveq2 oveq1 eqeq12d crngcom
      a1i ad4ant134 eceq1d csubg wer lidlsubg sylan eqger syl wi 2idlcpbl 3expb
      wbr qusmulval 3expa an32s 3eqtr4rd ectocld expl sylbird ralrimivv iscrng2
      ringcl sylanbrc ) AUCLZBDLZMZCNLZGOZHOZCUDPZQZWRWQWSQZRZHCUEPZUFGXCUFCUCL
      WOANLZBAUGPZLZWPWMXDWNAUHZUIZWOBDXEWMWNUJWMDXERWNADFUKUIULZABCXEEXESZUMUN
      WOXBGHXCXCWOWQXCLZWRXCLZMWQAUEPZABUOQZUPZLZWRXOLZMXBWOXPXKXQXLWOXOXCWQWOX
      NACXMURNCAXNUSQRWOEVIZWOXMUTZWOABUOVAXHVBZVCWOXOXCWRXTVCVDWOXPXQXBWQUAOZX
      NTZWSQZYBWQWSQZRZXBWOXPMUAWRXMXNXOXOSZYBWRRYCWTYDXAYBWRWQWSVEYBWRWQWSVFVG
      WOYAXMLZXPYEUBOZXNTZYBWSQZYBYIWSQZRYEWOYGMZUBWQXMXNXOYFYIWQRYJYCYKYDYIWQY
      BWSVFYIWQYBWSVEVGYLYHXMLZMZYAYHAUDPZQZXNTZYHYAYOQZXNTZYKYJYNYPYRXNWMYGYMY
      PYRRWNXMAYOYAYHXMSZYOSZVHVJVKWOYGYMYKYQRWOXNAWSYOCXMYAYHNIJKUQXRXSWOBAVLP
      LZXMXNVMWMXDWNUUBXGADBFVNVOXNAXMBYTXNSZVPVQZXHWOXDXFKOZJOZXNWAUQOZIOZXNWA
      MUUEUUGYOQUUFUUHYOQZXNWAVRXHXIUUEUUGUUFUUHABYOXNXEXMYTUUCXJUUAVSUNZWOXDUU
      FXMLZUUHXMLZMUUIXMLZXHXDUUKUULUUMXMAYOUUFUUHYTUUAWKVTVOZUUAWSSZWBWCWOYMYG
      YJYSRZWOYMYGUUPWOXNAWSYOCXMYHYANIJKUQXRXSUUDXHUUJUUNUUAUUOWBWCWDWEWFWDWFW
      GWHWIGHXCCWSXCSUUOWJWL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Principal ideal rings.  Divisibility in the integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c LPIdeal LPIR $.

  $( Ring left-principal-ideal function. $)
  clpidl $a class LPIdeal $.

  $( Class of left principal ideal rings. $)
  clpir $a class LPIR $.

  ${
    $d w g $.

    $( Define the class of left principal ideals of a ring, which are ideals
       with a single generator.  (Contributed by Stefan O'Rear, 3-Jan-2015.) $)
    df-lpidl $a |- LPIdeal = ( w e. Ring |->
        U_ g e. ( Base ` w ) { ( ( RSpan ` w ) ` { g } ) } ) $.

    $( Define the class of left principal ideal rings, rings where every left
       ideal has a single generator.  (Contributed by Stefan O'Rear,
       3-Jan-2015.) $)
    df-lpir $a |- LPIR = { w e. Ring | ( LIdeal ` w ) = ( LPIdeal ` w ) } $.
  $}

  ${
    $d R r g $.  $d P r g $.  $d B r g $.  $d r K g $.  $d U g $.  $d I g $.
    $d .0. g $.  $d B g $.
    lpival.p $e |- P = ( LPIdeal ` R ) $.
    ${
      lpival.k $e |- K = ( RSpan ` R ) $.
      lpival.b $e |- B = ( Base ` R ) $.
      $( Value of the set of principal ideals.  (Contributed by Stefan O'Rear,
         3-Jan-2015.) $)
      lpival $p |- ( R e. Ring -> P = U_ g e. B { ( K ` { g } ) } ) $=
        ( vr crg wcel clpidl cfv cbs cv csn crsp ciun wceq fveq2 sneqd iuneq12d
        fveq1d df-lpidl crn cun fvex rnex p0ex unex wss iunss fvrn0 snssi ax-mp
        c0 a1i mprgbir ssexi fvmpt iuneq1 fveq1i sneqi iuneq2i eqtri 3eqtr4g )
        CJKCLMDCNMZDOZPZCQMZMZPZRZBDAVIEMZPZRZICDIOZNMZVIVQQMZMZPZRVMJLVQCSZDVR
        VGWAVLVQCNTWBVTVKWBVIVSVJVQCQTUCUAUBIDUDVMVJUEZUPPZUFZWCWDVJCQUGUHUIUJV
        MWEUKVLWEUKZDVGDVGVLWEULWFVHVGKZVKWEKWFVJVIUMVKWEUNUOUQURUSUTFVPDVGVORZ
        VMAVGSVPWHSHDAVGVOVAUODVGVOVLVOVLSWGVNVKVIEVJGVBVCUQVDVEVF $.

      $( Property of being a principal ideal.  (Contributed by Stefan O'Rear,
         3-Jan-2015.) $)
      islpidl $p |- ( R e. Ring -> ( I e. P <-> E. g e. B
          I = ( K ` { g } ) ) ) $=
        ( crg wcel cv csn cfv ciun wceq wrex lpival eleq2d eliun rexbii bitrdi
        fvex elsn2 bitri ) CJKZEBKEDADLMZFNZMZOZKZEUHPZDAQZUFBUJEABCDFGHIRSUKEU
        IKZDAQUMDEAUITUNULDAEUHUGFUCUDUAUEUB $.
    $}

    ${
      lpi0.z $e |- .0. = ( 0g ` R ) $.
      $( The zero ideal is always principal.  (Contributed by Stefan O'Rear,
         3-Jan-2015.) $)
      lpi0 $p |- ( R e. Ring -> { .0. } e. P ) $=
        ( vg crg wcel csn crsp cfv wceq cbs wrex eqid ring0cl rsp0 eqcomd sneq
        cv fveq2d rspceeqv syl2anc islpidl mpbird ) BGHZCIZAHUGFTZIZBJKZKZLFBMK
        ZNZUFCULHUGUGUJKZLUMULBCULOZEPUFUNUGBUJCUJOZEQRFCULUKUNUGUHCLUIUGUJUHCS
        UAUBUCULABFUGUJDUPUOUDUE $.
    $}

    ${
      lpi1.b $e |- B = ( Base ` R ) $.
      $( The unit ideal is always principal.  (Contributed by Stefan O'Rear,
         3-Jan-2015.) $)
      lpi1 $p |- ( R e. Ring -> B e. P ) $=
        ( vg crg wcel csn crsp cfv wceq wrex cur eqid ringidcl rsp1 eqcomd sneq
        cv fveq2d rspceeqv syl2anc islpidl mpbird ) CGHZABHAFTZIZCJKZKZLFAMZUFC
        NKZAHAULIZUIKZLUKACULEULOZPUFUNAACULUIUIOZEUOQRFULAUJUNAUGULLUHUMUIUGUL
        SUAUBUCABCFAUIDUPEUDUE $.
    $}

    ${
      $d U r $.
      lpiss.u $e |- U = ( LIdeal ` R ) $.
      $( Principal ideal rings are where all ideals are principal.
         (Contributed by Stefan O'Rear, 3-Jan-2015.) $)
      islpir $p |- ( R e. LPIR <-> ( R e. Ring /\ U = P ) ) $=
        ( vr cv clidl cfv clpidl wceq crg clpir eqeq12d eqeq12i bitr4di df-lpir
        fveq2 elrab2 ) FGZHIZTJIZKZCAKZFBLMTBKZUCBHIZBJIZKUDUEUAUFUBUGTBHRTBJRN
        CUFAUGEDOPFQS $.

      $d P a g $.  $d U a g $.  $d R a g $.
      $( Principal ideals are a subclass of ideal.  (Contributed by Stefan
         O'Rear, 3-Jan-2015.) $)
      lpiss $p |- ( R e. Ring -> P C_ U ) $=
        ( va vg crg wcel cv csn crsp cfv wceq cbs wrex eqid islpidl wa wss
        snssi rspcl sylan2 eleq1 syl5ibrcom rexlimdva sylbid ssrdv ) BHIZFACUIF
        JZAIUJGJZKZBLMZMZNZGBOMZPUJCIZUPABGUJUMDUMQZUPQZRUIUOUQGUPUIUKUPIZSUQUO
        UNCIZUTUIULUPTVAUKUPUAUPBCULUMURUSEUBUCUJUNCUDUEUFUGUH $.

      $( Principal ideal rings are where all ideals are principal.
         (Contributed by Stefan O'Rear, 3-Jan-2015.) $)
      islpir2 $p |- ( R e. LPIR <-> ( R e. Ring /\ U C_ P ) ) $=
        ( clpir wcel crg wceq wa wss islpir eqss lpiss biantrud bitr4id pm5.32i
        bitri ) BFGBHGZCAIZJSCAKZJABCDELSTUASTUAACKZJUACAMSUBUAABCDENOPQR $.
    $}
  $}

  $( Principal ideal rings are rings.  (Contributed by Stefan O'Rear,
     24-Jan-2015.) $)
  lpirring $p |- ( R e. LPIR -> R e. Ring ) $=
    ( clpir wcel crg clidl cfv clpidl wceq eqid islpir simplbi ) ABCADCAEFZAGFZ
    HMALMILIJK $.

  $( Division rings are principal ideal.  (Contributed by Stefan O'Rear,
     3-Jan-2015.) $)
  drnglpir $p |- ( R e. DivRing -> R e. LPIR ) $=
    ( cdr wcel crg clidl cfv clpidl wss clpir drngring c0g csn cbs cpr drngnidl
    eqid lpi0 lpi1 prssd syl eqsstrd islpir2 sylanbrc ) ABCZADCZAEFZAGFZHAICAJZ
    UDUFAKFZLZAMFZNZUGUKAUFUIUKPZUIPZUFPZOUDUEULUGHUHUEUJUKUGUGAUIUGPZUNQUKUGAU
    PUMRSTUAUGAUFUPUOUBUC $.

  ${
    $d a x R $.  $d G a x $.  $d B a x $.  $d K a x $.  $d .|| a x $.
    rspsn.b $e |- B = ( Base ` R ) $.
    rspsn.k $e |- K = ( RSpan ` R ) $.
    rspsn.d $e |- .|| = ( ||r ` R ) $.
    $( Membership in principal ideals is closely related to divisibility.
       (Contributed by Stefan O'Rear, 3-Jan-2015.)  (Revised by Mario Carneiro,
       6-May-2015.) $)
    rspsn $p |- ( ( R e. Ring /\ G e. B ) ->
        ( K ` { G } ) = { x | G .|| x } ) $=
      ( va crg wcel wa cv cfv wceq wrex wb cbs eqtri wbr csn cmulr co eqcom a1i
      rexbidv crglmod rlmlmod cid rlmsca2 cnx baseid strfvi rlmbas rlmvsca crsp
      clmod clspn rspval lspsnel sylan eqid dvdsr2 adantl 3bitr4d abbi2dv ) DKL
      ZEBLZMZEANZCUAZAEUBFOZVJVKJNEDUCOZUDZPZJBQZVOVKPZJBQZVKVMLZVLVJVPVRJBVPVR
      RVJVKVOUEUFUGVHDUHOZURLVIVTVQRDUIVNVKJDUJOBFBWAEDUKDSULSOBUMGUNBDSOWASOGD
      UOTDUPFDUQOWAUSOHDUTTVAVBVIVLVSRVHJBCDVNEVKGIVNVCVDVEVFVG $.
  $}

  ${
    $d U x y $.  $d B x y $.  $d .|| x y $.  $d R x y $.  $d I x y $.
    $d K x y $.  $d G x y $.
    lidldvgen.b $e |- B = ( Base ` R ) $.
    lidldvgen.u $e |- U = ( LIdeal ` R ) $.
    lidldvgen.k $e |- K = ( RSpan ` R ) $.
    lidldvgen.d $e |- .|| = ( ||r ` R ) $.
    $( An element generates an ideal iff it is contained in the ideal and all
       elements are right-divided by it.  (Contributed by Stefan O'Rear,
       3-Jan-2015.) $)
    lidldvgen $p |- ( ( R e. Ring /\ I e. U /\ G e. B ) ->
        ( I = ( K ` { G } ) <-> ( G e. I /\ A. x e. I G .|| x ) ) ) $=
      ( vy wcel wceq cv wbr wral wa wss crg w3a csn simp1 simp3 rspssid syl2anc
      cfv snssd snssg 3ad2ant3 mpbird cab rspsn 3adant2 eleq2d vex breq2 bitrdi
      wb elab biimpd ralrimiv jca eleq2 raleq anbi12d syl5ibrcom wi df-ral ssab
      sylbb2 ad2antll adantr sseqtrrd simpl1 simpl2 snssi adantl rspssp syl3anc
      wal adantrr eqssd ex impbid ) DUANZGENZFBNZUBZGFUCZHUHZOZFGNZFAPZCQZAGRZS
      ZWJWRWMFWLNZWPAWLRZSWJWSWTWJWSWKWLTZWJWGWKBTXAWGWHWIUDWJFBWGWHWIUEUIBDWKH
      KIUFUGWIWGWSXAUTWHFWLBUJUKULWJWPAWLWJWOWLNZWPWJXBWOFMPZCQZMUMZNWPWJWLXEWO
      WGWIWLXEOWHMBCDFHIKLUNUOUPXDWPMWOAUQXCWOFCURVAUSVBVCVDWMWNWSWQWTGWLFVEWPA
      GWLVFVGVHWJWRWMWJWRSZGWLXFGWPAUMZWLWQGXGTZWJWNWQWOGNWPVIAWBXHWPAGVJWPAGVK
      VLVMWJWLXGOZWRWGWIXIWHABCDFHIKLUNUOVNVOWJWNWLGTZWQWJWNSWGWHWKGTZXJWGWHWIW
      NVPWGWHWIWNVQWNXKWJFGVRVSDEWKGHKJVTWAWCWDWEWF $.
  $}

  ${
    $d R x y $.  $d I x y $.  $d U x y $.  $d P x y $.  $d .|| x y $.
    lpigen.u $e |- U = ( LIdeal ` R ) $.
    lpigen.p $e |- P = ( LPIdeal ` R ) $.
    lpigen.d $e |- .|| = ( ||r ` R ) $.
    $( An ideal is principal iff it contains an element which right-divides all
       elements.  (Contributed by Stefan O'Rear, 3-Jan-2015.)  (Revised by Wolf
       Lammen, 6-Sep-2020.) $)
    lpigen $p |- ( ( R e. Ring /\ I e. U ) -> ( I e. P <->
        E. x e. I A. y e. I x .|| y ) ) $=
      ( crg wcel wa cv csn crsp cfv wrex wb eqid wceq cbs wbr islpidl lidldvgen
      adantr 3expa rexbidva simpr wss lidlss adantl sseld adantrd ancrd impbid2
      wral rexbidv2 3bitrd ) EKLZGFLZMZGDLZGANZOEPQZQUAZAEUBQZRZVDGLZVDBNCUCBGU
      QZMZAVGRVJAGRUTVCVHSVAVGDEAGVEIVETZVGTZUDUFVBVFVKAVGUTVAVDVGLZVFVKSBVGCEF
      VDGVEVMHVLJUEUGUHVBVKVJAVGGVBVNVKMVKVNVKUIVBVKVNVBVIVNVJVBGVGVDVAGVGUJUTV
      GGFEVMHUKULUMUNUOUPURUS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Nonzero rings and zero rings
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c NzRing $.

  $( The class of nonzero rings. $)
  cnzr $a class NzRing $.

  $( A nonzero or nontrivial ring is a ring with at least two values, or
     equivalently where 1 and 0 are different.  (Contributed by Stefan O'Rear,
     24-Feb-2015.) $)
  df-nzr $a |- NzRing = { r e. Ring | ( 1r ` r ) =/= ( 0g ` r ) } $.

  ${
    $d .1. r $.  $d R r $.  $d .0. r $.
    isnzr.o $e |- .1. = ( 1r ` R ) $.
    isnzr.z $e |- .0. = ( 0g ` R ) $.
    $( Property of a nonzero ring.  (Contributed by Stefan O'Rear,
       24-Feb-2015.) $)
    isnzr $p |- ( R e. NzRing <-> ( R e. Ring /\ .1. =/= .0. ) ) $=
      ( vr cv cur cfv c0g wne crg cnzr wceq fveq2 eqtr4di neeq12d df-nzr elrab2
      ) FGZHIZTJIZKBCKFALMTANZUABUBCUCUAAHIBTAHODPUCUBAJICTAJOEPQFRS $.

    $( One and zero are different in a nonzero ring.  (Contributed by Stefan
       O'Rear, 24-Feb-2015.) $)
    nzrnz $p |- ( R e. NzRing -> .1. =/= .0. ) $=
      ( cnzr wcel crg wne isnzr simprbi ) AFGAHGBCIABCDEJK $.
  $}

  $( A nonzero ring is a ring.  (Contributed by Stefan O'Rear, 24-Feb-2015.) $)
  nzrring $p |- ( R e. NzRing -> R e. Ring ) $=
    ( cnzr wcel crg cur cfv c0g wne eqid isnzr simplbi ) ABCADCAEFZAGFZHALMLIMI
    JK $.

  $( All division rings are nonzero.  (Contributed by Stefan O'Rear,
     24-Feb-2015.) $)
  drngnzr $p |- ( R e. DivRing -> R e. NzRing ) $=
    ( cdr wcel crg cur cfv c0g wne cnzr drngring eqid drngunz isnzr sylanbrc )
    ABCADCAEFZAGFZHAICAJAOPPKZOKZLAOPRQMN $.

  ${
    $d B x y $.  $d R x y $.
    isnzr2.b $e |- B = ( Base ` R ) $.
    $( Equivalent characterization of nonzero rings: they have at least two
       elements.  (Contributed by Stefan O'Rear, 24-Feb-2015.) $)
    isnzr2 $p |- ( R e. NzRing <-> ( R e. Ring /\ 2o ~<_ B ) ) $=
      ( vx vy wcel cfv wne wa c2o cdom wbr eqid c1o cv wceq wrex adantr cvv wb
      cnzr crg cur c0g isnzr csdm wn ringidcl ring0cl simpr df-ne neeq1 bitr3id
      neeq2 rspc2ev syl3anc ex wi ring1eq0 3expb necon3bd rexlimdvva impbid cbs
      fvexi 1sdom ax-mp bitr4di csuc com 1onn sucdom df-2o breq1i bitr4i bitrdi
      pm5.32i bitri ) BUAFBUBFZBUCGZBUDGZHZIZVSJAKLZIBVTWAVTMZWAMZUEVSWBWDVSWBN
      AUFLZWDVSWBDOZEOZPZUGZEAQDAQZWGVSWBWLVSWBWLWCVTAFZWAAFZWBWLVSWMWBABVTCWEU
      HRVSWNWBABWACWFUIRVSWBUJWKWBVTWIHZDEVTWAAAWKWHWIHWHVTPWOWHWIUKWHVTWIULUMW
      IWAVTUNUOUPUQVSWKWBDEAAVSWHAFZWIAFZIIWJVTWAVSWPWQVTWAPWJURABVTWHWIWACWEWF
      USUTVAVBVCASFWGWLTABVDCVEDEASVFVGVHWGNVIZAKLZWDNVJFWGWSTVKNAVLVGJWRAKVMVN
      VOVPVQVR $.
  $}

  ${
    isnzr2hash.b $e |- B = ( Base ` R ) $.
    $( Equivalent characterization of nonzero rings: they have at least two
       elements.  Analogous to ~ isnzr2 .  (Contributed by AV, 14-Apr-2019.) $)
    isnzr2hash $p |- ( R e. NzRing <-> ( R e. Ring /\ 1 < ( # ` B ) ) ) $=
      ( wcel cur cfv c0g wa c1 chash clt wbr eqid cxr cvv hashxrcl mp1i c2 fvex
      simpl cnzr crg wne isnzr ringidcl ring0cl cpr 1xr a1i prex cbs fvexi 1lt2
      wceq hashprg biimpa breqtrrid wss cle prss sylib hashss sylancr xrltletrd
      wi ex syl2anc imdistani ring1ne0 jca impbii bitri ) BUADBUBDZBEFZBGFZUCZH
      ZVMIAJFZKLZHZBVNVOVNMZVOMZUDVQVTVMVPVSVMVNADZVOADZVPVSVEABVNCWAUEABVOCWBU
      FWCWDHZVPVSWEVPHZIVNVOUGZJFZVRINDWFUHUIWGODWHNDWFVNVOUJWGOPQAODZVRNDWFABU
      KCULZAOPQWFIRWHKUMWEVPWHRUNVNVOAAUOUPUQWFWIWGAURZWHVRUSLWJWFWEWKWEVPTVNVO
      ABESBGSUTVAAWGOVBVCVDVFVGVHVTVMVPVMVSTABVNVOCWAWBVIVJVKVL $.
  $}

  ${
    opprnzr.1 $e |- O = ( oppR ` R ) $.
    $( The opposite of a nonzero ring is nonzero.  (Contributed by Mario
       Carneiro, 17-Jun-2015.) $)
    opprnzr $p |- ( R e. NzRing -> O e. NzRing ) $=
      ( cnzr wcel crg c2o cbs cfv cdom wbr nzrring opprring eqid isnzr2 simprbi
      syl opprbas sylanbrc ) ADEZBFEZGAHIZJKZBDETAFEZUAALABCMQTUDUCUBAUBNZOPUBB
      UBABCUEROS $.
  $}

  ${
    ringelnzr.z $e |- .0. = ( 0g ` R ) $.
    ringelnzr.b $e |- B = ( Base ` R ) $.
    $( A ring is nonzero if it has a nonzero element.  (Contributed by Stefan
       O'Rear, 6-Feb-2015.)  (Revised by Mario Carneiro, 13-Jun-2015.) $)
    ringelnzr $p |- ( ( R e. Ring /\ X e. ( B \ { .0. } ) ) -> R e. NzRing ) $=
      ( crg wcel csn cdif wa cur cfv wne cnzr simpl eldifsni adantl wceq wi mpd
      eldifi ring0cl adantr eqid ring1eq0 syl3anc necon3d isnzr sylanbrc ) BGHZ
      CADIZJHZKZUKBLMZDNZBOHUKUMPZUNCDNZUPUMURUKCADQRUNUODCDUNUKCAHZDAHZUODSCDS
      TUQUMUSUKCAULUBRUKUTUMABDFEUCUDABUOCDDFUOUEZEUFUGUHUABUODVAEUIUJ $.
  $}

  ${
    nzrunit.1 $e |- U = ( Unit ` R ) $.
    nzrunit.2 $e |- .0. = ( 0g ` R ) $.
    $( A unit is nonzero in any nonzero ring.  (Contributed by Mario Carneiro,
       6-Oct-2015.) $)
    nzrunit $p |- ( ( R e. NzRing /\ A e. U ) -> A =/= .0. ) $=
      ( cnzr wcel wne wn wceq cur cfv eqid nzrnz crg nzrring 0unit necon3bbid
      wb syl mpbird eleq1 notbid syl5ibrcom necon2ad imp ) BGHZACHZADIUHUIADUHU
      IJADKZDCHZJZUHULBLMZDIZBUMDUMNZFOUHBPHZULUNTBQUPUKUMDBCUMDEFUORSUAUBUJUIU
      KADCUCUDUEUFUG $.
  $}

  ${
    subrgnzr.1 $e |- S = ( R |`s A ) $.
    $( A subring of a nonzero ring is nonzero.  (Contributed by Mario Carneiro,
       15-Jun-2015.) $)
    subrgnzr $p |- ( ( R e. NzRing /\ A e. ( SubRing ` R ) ) ->
        S e. NzRing ) $=
      ( cnzr wcel csubrg cfv crg cur c0g wne subrgring adantl eqid nzrnz adantr
      wa wceq subrg1 subrg0 3netr3d isnzr sylanbrc ) BEFZABGHFZRZCIFZCJHZCKHZLC
      EFUFUHUEABCDMNUGBJHZBKHZUIUJUEUKULLUFBUKULUKOZULOZPQUFUKUISUEABCUKDUMTNUF
      ULUJSUEABCULDUNUANUBCUIUJUIOUJOUCUD $.
  $}

  $( A ring is a zero ring iff it is not a nonzero ring.  (Contributed by AV,
     14-Apr-2019.) $)
  0ringnnzr $p |- ( R e. Ring -> ( ( # ` ( Base ` R ) ) = 1
                                  <-> -. R e. NzRing ) ) $=
    ( wcel cbs cfv c1 wceq clt wbr wa wn ex wi cxr wb cvv bicomi wne simpr cc0
    c0 crg chash cnzr 1re ltnri breq2 mtbiri adantl intnand wo ianor pm2.21 cle
    fvex hashxrcl ax-mp 1xr xrlenlt mp2an cfn cn0 1nn0 hashbnd mp3an12i hasheq0
    cn hashcl mp1i biimpd necon3d impcom elnnne0 sylanbrc adantr mpcom nnle1eq1
    syl5com syl mpbid cgrp eqid grpbn0 syl11 sylbi jaoi com12 impbid isnzr2hash
    ringgrp notbii bitrdi ) AUABZACDZUBDZEFZWLEWNGHZIZJZAUCBZJWLWOWRWLWOWRWLWOI
    WPWLWOWPJZWLWOWPEEGHEUDUEWNEEGUFUGUHUIKWRWLWOWRWLJZWTUJWLWOLZWLWPUKXAXBWTWL
    WOULWTWNEUMHZXBXCWTWNMBZEMBXCWTNWMOBZXDACUNZWMOUOUPUQWNEURUSPWMTQZXCWOWLXGX
    CWOXGXCIZXCWOXGXCRZXHWNVFBZXCWONWMUTBZXHXJXEEVABXHXCXKXFVBXIWMEOVCVDXKWNVAB
    ZXHXJWMVGXGXLXJLXCXGXLXJXGXLIXLWNSQZXJXGXLRXLXGXMXLWNSWMTXLWNSFZWMTFZXEXNXO
    NXLXFWMOVEVHVIVJVKWNVLVMKVNVQVOWNVPVRVSKWLAVTBXGAWIWMAWMWAZWBVRWCWDWEWDWFWG
    WQWSWSWQWMAXPWHPWJWK $.

  ${
    0ring.b $e |- B = ( Base ` R ) $.
    0ring.0 $e |- .0. = ( 0g ` R ) $.
    $( If a ring has only one element, it is the zero ring.  According to
       Wikipedia ("Zero ring", 14-Apr-2019,
       ~ https://en.wikipedia.org/wiki/Zero_ring):  "The zero ring, denoted {0}
       or simply 0, consists of the one-element set {0} with the operations +
       and * defined so that 0 + 0 = 0 and 0 * 0 = 0.".  (Contributed by AV,
       14-Apr-2019.) $)
    0ring $p |- ( ( R e. Ring /\ ( # ` B ) = 1 ) -> B = { .0. } ) $=
      ( crg wcel chash cfv c1 wceq csn wi ring0cl c1o cen wbr cvv wb cbs syl5bi
      fvexi hashen1 ax-mp en1eqsn ex syl imp ) BFGZAHIJKZACLKZUICAGZUJUKMABCDEN
      UJAOPQZULUKARGUJUMSABTDUBARUCUDULUMUKCAUEUFUAUGUH $.

    0ring01eq.1 $e |- .1. = ( 1r ` R ) $.
    $( In a ring with only one element, i.e. a zero ring, the zero and the
       identity element are the same.  (Contributed by AV, 14-Apr-2019.) $)
    0ring01eq $p |- ( ( R e. Ring /\ ( # ` B ) = 1 ) -> .0. = .1. ) $=
      ( crg wcel chash cfv c1 wceq wa csn 0ring wi ringidcl eleq2 elsni syl5com
      eqcomd syl6bi adantr mpd ) BHIZAJKLMZNADOZMZDCMZABDEFPUFUIUJQUGUFCAIZUIUJ
      ABCEGRUIUKCUHIZUJAUHCSULCDCDTUBUCUAUDUE $.

    $( If the zero and the identity element of a ring are the same, the ring is
       the zero ring.  (Contributed by AV, 16-Apr-2019.) $)
    01eq0ring $p |- ( ( R e. Ring /\ .0. = .1. ) -> B = { .0. } ) $=
      ( crg wcel wceq chash cfv c1 csn wne wi cvv ax-mp c0 eqneqall cc0 clt wbr
      w3o cbs fvexi hashv01gt1 wb hasheq0 ne0i syl5com syl5bi ring0cl syl11 a1d
      wa ring1ne0 necomd ex a1i com13 3jaoi necon4d imp 0ring syldan ) BHIZDCJZ
      AKLZMJZADNJVGVHVJVGVIMDCVIUAJZVJMVIUBUCZUDZVGVIMOZDCOZPZPZAQIZVMABUEEUFZA
      QUGRVKVQVJVLDAIZVKVPVGVKASJZVTVPVRVKWAUHVSAQUIRVTASOWAVPADUJVPASTUKULABDE
      FUMUNVJVPVGVOVIMTUOVNVGVLVOVGVLVOPPVNVGVLVOVGVLUPCDABCDEGFUQURUSUTVAVBRVC
      VDABDEFVEVF $.

    $( In a unital ring the zero equals the unity iff the ring is the zero
       ring.  (Contributed by FL, 14-Feb-2010.)  (Revised by AV,
       23-Jan-2020.) $)
    0ring01eqbi $p |- ( R e. Ring -> ( B ~~ 1o <-> .1. = .0. ) ) $=
      ( crg wcel chash cfv c1 wceq c1o cen cvv fvexi mp1i wa ex wbr cbs hashen1
      wb 0ring01eq eqcomd eqcom csn 01eq0ring fveq2 hashsng eqtrd syl5bi impbid
      c0g syl bitr3d ) BHIZAJKZLMZANOUAZCDMZAPIUTVAUDURABUBEQAPUCRURUTVBURUTVBU
      RUTSDCABCDEFGUEUFTVBDCMZURUTCDUGURVCUTURVCSADUHZMZUTABCDEFGUIVEUSVDJKZLAV
      DJUJDPIVFLMVEDBUOFQDPUKRULUPTUMUNUQ $.
  $}

  ${
    rng1nnzr.m $e |- M = { <. ( Base ` ndx ) , { Z } >. ,
                       <. ( +g ` ndx ) , { <. <. Z , Z >. , Z >. } >. ,
                       <. ( .r ` ndx ) , { <. <. Z , Z >. , Z >. } >. } $.
    $( The (smallest) structure representing a zero ring is not a nonzero ring.
       (Contributed by AV, 29-Apr-2019.) $)
    rng1nnzr $p |- ( Z e. V -> M e/ NzRing ) $=
      ( wcel cnzr wn wnel cbs cfv chash c1 wceq csn cvv snex cop rngbase eqcomd
      mp1i fveq2d hashsng eqtrd crg wb ring1 0ringnnzr syl mpbid df-nel sylibr
      ) CBEZAFEGZAFHULAIJZKJZLMZUMULUOCNZKJLULUNUQKULUQUNUQOEUQUNMULCPUQCCQCQNZ
      AURODRTSUACBUBUCULAUDEUPUMUEABCDUFAUGUHUIAFUJUK $.
  $}

  ${
    ring1zr.b $e |- B = ( Base ` R ) $.
    ring1zr.p $e |- .+ = ( +g ` R ) $.
    ring1zr.t $e |- .* = ( .r ` R ) $.
    $( The only (unital) ring with a base set consisting of one element is the
       zero ring (at least if its operations are internal binary operations).
       Note:  The assumption ` R e. Ring ` could be weakened if a definition of
       a non-unital ring ("Rng") was available (it would be sufficient that the
       multiplication is closed).  (Contributed by FL, 13-Feb-2010.)  (Revised
       by AV, 25-Jan-2020.)  (Proof shortened by AV, 7-Feb-2020.) $)
    ring1zr $p |- ( ( ( R e. Ring /\ .+ Fn ( B X. B ) /\ .* Fn ( B X. B ) )
           /\ Z e. B ) -> ( B = { Z } <-> ( .+ = { <. <. Z , Z >. , Z >. }
                                     /\ .* = { <. <. Z , Z >. , Z >. } ) ) ) $=
      ( crg wcel csrg cxp wfn csn wceq cop wa wb ringsrg srg1zr syl3anl1 ) CIJC
      KJBAALZMDUBMEAJAENOBEEPEPNZODUCOQRCSABCDEFGHTUA $.

    $( The only (unital) ring with one element is the zero ring (at least if
       its operations are internal binary operations).  Note:  The assumption
       ` R e. Ring ` could be weakened if a definition of a non-unital ring
       ("Rng") was available (it would be sufficient that the multiplication is
       closed).  (Contributed by FL, 14-Feb-2010.)  (Revised by AV,
       25-Jan-2020.) $)
    rngen1zr $p |- ( ( ( R e. Ring /\ .+ Fn ( B X. B ) /\ .* Fn ( B X. B ) )
           /\ Z e. B ) -> ( B ~~ 1o <-> ( .+ = { <. <. Z , Z >. , Z >. }
                                     /\ .* = { <. <. Z , Z >. , Z >. } ) ) ) $=
      ( crg wcel cxp wfn w3a wa c1o cen wbr csn wceq cop en1eqsnbi adantl bitrd
      wb ring1zr ) CIJBAAKZLDUFLMZEAJZNAOPQZAERSZBEETETRZSDUKSNUHUIUJUDUGEAUAUB
      ABCDEFGHUEUC $.

    ringen1zr.0 $e |- Z = ( 0g ` R ) $.
    $( The only unital ring with one element is the zero ring (at least if its
       operations are internal binary operations).  Note:  The assumption
       ` R e. Ring ` could be weakened if a definition of a non-unital ring
       ("Rng") was available (it would be sufficient that the multiplication is
       closed).  (Contributed by FL, 15-Feb-2010.)  (Revised by AV,
       25-Jan-2020.) $)
    ringen1zr $p |- ( ( R e. Ring /\ .+ Fn ( B X. B ) /\ .* Fn ( B X. B ) )
                      -> ( B ~~ 1o <-> ( .+ = { <. <. Z , Z >. , Z >. }
                                     /\ .* = { <. <. Z , Z >. , Z >. } ) ) ) $=
      ( crg wcel cxp wfn w3a c1o cen wbr cop csn wceq ring0cl 3ad2ant1 rngen1zr
      wa wb mpdan ) CJKZBAALZMZDUHMZNEAKZAOPQBEERERSZTDULTUDUEUGUIUKUJACEFIUAUB
      ABCDEFGHUCUF $.
  $}

  ${
    rng1nfld.m $e |- M = { <. ( Base ` ndx ) , { Z } >. ,
                       <. ( +g ` ndx ) , { <. <. Z , Z >. , Z >. } >. ,
                       <. ( .r ` ndx ) , { <. <. Z , Z >. , Z >. } >. } $.
    $( The zero ring is not a field.  (Contributed by AV, 29-Apr-2019.) $)
    rng1nfld $p |- ( Z e. V -> M e/ Field ) $=
      ( wcel cfield wn wnel cdr cnzr rng1nnzr df-nel sylib drngnzr nsyl ccrg wa
      isfld wi simpl a1i syl5bi mtod sylibr ) CBEZAFEZGAFHUEUFAIEZUEAJEZUGUEAJH
      UHGABCDKAJLMANOUFUGAPEZQZUEUGARUJUGSUEUGUITUAUBUCAFLUD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Left regular elements.  More kinds of rings
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c RLReg $. $( Left regular elements $)
  $c Domn $. $( Class of domains $)
  $c IDomn $. $( Class of integral domains $)
  $c PID $. $( Class of principal ideal domains $)

  $( Set of left-regular elements in a ring. $)
  crlreg $a class RLReg $.

  $( Class of (ring theoretic) domains. $)
  cdomn $a class Domn $.

  $( Class of integral domains. $)
  cidom $a class IDomn $.

  $( Class of principal ideal domains. $)
  cpid $a class PID $.

  ${
    $d b r x y z $.
    $( Define the set of _left-regular elements_ in a ring as those elements
       which are not left zero divisors, meaning that multiplying a nonzero
       element on the left by a left-regular element gives a nonzero product.
       (Contributed by Stefan O'Rear, 22-Mar-2015.) $)
    df-rlreg $a |- RLReg = ( r e. _V |-> { x e. ( Base ` r ) |
            A. y e. ( Base ` r ) ( ( x ( .r ` r ) y ) = ( 0g ` r ) ->
                y = ( 0g ` r ) ) } ) $.

    $( A _domain_ is a nonzero ring in which there are no nontrivial zero
       divisors.  (Contributed by Mario Carneiro, 28-Mar-2015.) $)
    df-domn $a |- Domn = { r e. NzRing | [. ( Base ` r ) / b ].
    [. ( 0g ` r ) / z ]. A. x e. b A. y e. b ( ( x ( .r ` r ) y ) = z ->
                    ( x = z \/ y = z ) ) } $.

    $( An _integral domain_ is a commutative domain.  (Contributed by Mario
       Carneiro, 17-Jun-2015.) $)
    df-idom $a |- IDomn = ( CRing i^i Domn ) $.

    $( A _principal ideal domain_ is an integral domain satisfying the left
       principal ideal property.  (Contributed by Stefan O'Rear,
       29-Mar-2015.) $)
    df-pid $a |- PID = ( IDomn i^i LPIR ) $.
  $}

  ${
    $d B r x y $.  $d R r x y $.  $d .x. r $.  $d .0. r $.
    rrgval.e $e |- E = ( RLReg ` R ) $.
    rrgval.b $e |- B = ( Base ` R ) $.
    rrgval.t $e |- .x. = ( .r ` R ) $.
    rrgval.z $e |- .0. = ( 0g ` R ) $.
    $( Value of the set or left-regular elements in a ring.  (Contributed by
       Stefan O'Rear, 22-Mar-2015.) $)
    rrgval $p |- E = { x e. B | A. y e. B ( ( x .x. y ) = .0. -> y = .0. ) } $=
      ( vr crlreg cfv cv wceq crab cmulr cbs c0 co wi wral cvv wcel c0g eqtr4di
      fveq2 oveqd eqeq12d eqeq2d raleqbidv rabeqbidv df-rlreg fvexi rabex fvmpt
      imbi12d wn fvprc eqtrid rabeqdv rab0 eqtrdi eqtr4d pm2.61i eqtri ) FDMNZA
      OZBOZEUAZGPZVJGPZUBZBCUCZACQZHDUDUEZVHVPPLDVIVJLOZRNZUAZVRUFNZPZVJWAPZUBZ
      BVRSNZUCZAWEQVPUDMVRDPZWFVOAWECWGWEDSNZCVRDSUHIUGZWGWDVNBWECWIWGWBVLWCVMW
      GVTVKWAGWGVSEVIVJWGVSDRNEVRDRUHJUGUIWGWADUFNGVRDUFUHKUGZUJWGWAGVJWJUKURUL
      UMABLUNVOACCDSIUOUPUQVQUSZVHTVPDMUTWKVPVOATQTWKVOACTWKCWHTIDSUTVAVBVOAVCV
      DVEVFVG $.

    $d .x. x $.  $d X x $.  $d X y $.  $d .0. x $.
    $( Membership in the set of left-regular elements.  (Contributed by Stefan
       O'Rear, 22-Mar-2015.) $)
    isrrg $p |- ( X e. E <-> ( X e. B /\
          A. y e. B ( ( X .x. y ) = .0. -> y = .0. ) ) ) $=
      ( vx cv co wceq wi wral oveq1 eqeq1d imbi1d ralbidv rrgval elrab2 ) LMZAM
      ZDNZGOZUEGOZPZABQFUEDNZGOZUHPZABQLFBEUDFOZUIULABUMUGUKUHUMUFUJGUDFUEDRSTU
      ALABCDEGHIJKUBUC $.

    $d .x. y $.  $d Y y $.  $d .0. y $.
    $( Property of a left-regular element.  (Contributed by Stefan O'Rear,
       22-Mar-2015.) $)
    rrgeq0i $p |- ( ( X e. E /\ Y e. B ) ->
      ( ( X .x. Y ) = .0. -> Y = .0. ) ) $=
      ( vy wcel cv co wceq wi wral isrrg simprbi oveq2 eqeq1d eqeq1 rspcv mpan9
      imbi12d ) EDMZELNZCOZGPZUHGPZQZLARZFAMEFCOZGPZFGPZQZUGEAMUMLABCDEGHIJKSTU
      LUQLFAUHFPZUJUOUKUPURUIUNGUHFECUAUBUHFGUCUFUDUE $.

    $( Left-multiplication by a left regular element does not change zeroness.
       (Contributed by Stefan O'Rear, 28-Mar-2015.) $)
    rrgeq0 $p |- ( ( R e. Ring /\ X e. E /\ Y e. B ) ->
        ( ( X .x. Y ) = .0. <-> Y = .0. ) ) $=
      ( vx vy crg wcel w3a co wceq wi cv rrgeq0i simp1 wral rrgval ssrab3 simp2
      3adant1 sselid ringrz syl2anc oveq2 eqeq1d syl5ibrcom impbid ) BNOZEDOZFA
      OZPZEFCQZGRZFGRZUPUQUTVASUOABCDEFGHIJKUAUGURUTVAEGCQZGRZURUOEAOVCUOUPUQUB
      URDAELTMTZCQGRVDGRSMAUCLADLMABCDGHIJKUDUEUOUPUQUFUHABCEGIJKUIUJVAUSVBGFGE
      CUKULUMUN $.

    ${
      $d ph x y $.  $d E x $.  $d I x y $.  $d V x $.  $d Y x $.  $d .x. x y $.
      $d .0. x y $.
      rrgsupp.i $e |- ( ph -> I e. V ) $.
      rrgsupp.r $e |- ( ph -> R e. Ring ) $.
      rrgsupp.x $e |- ( ph -> X e. E ) $.
      rrgsupp.y $e |- ( ph -> Y : I --> B ) $.
      $( Left multiplication by a left regular element does not change the
         support set of a vector.  (Contributed by Stefan O'Rear, 28-Mar-2015.)
         (Revised by AV, 20-Jul-2019.) $)
      rrgsupp $p |- ( ph ->
                 ( ( ( I X. { X } ) oF .x. Y ) supp .0. ) = ( Y supp .0. ) ) $=
        ( vx vy cv csn cxp cof co cfv crab csupp wcel wa cmpt wceq adantr fvexd
        wne cvv fconstmpt feqmptd offval2 fveq1d simpr ovex fveq2 oveq2d fvmptg
        a1i eqid sylancl neeq1d rabbidva crg ffvelrnda rrgeq0 syl3anc necon3bid
        eqtrd wb wfn fnmpti fneq1 mpbiri syl c0g fvexi suppvalfn ffnd 3eqtr4d )
        ASUAZFHUBUCZIDUDUEZUFZJUOZSFUGZWHIUFZJUOZSFUGZWJJUHUEZIJUHUEZAWMHWNDUEZ
        JUOZSFUGWPAWLWTSFAWHFUIZUJZWKWSJXBWKWHTFHTUAZIUFZDUEZUKZUFZWSXBWHWJXFAW
        JXFULZXAATFHXDDWIIGEUPOAHEUIZXCFUIZQUMAXJUJXCIUNWITFHUKULATFHUQVFATFBIR
        URUSZUMUTXBXAWSUPUIXGWSULAXAVAHWNDVBTWHXEWSFUPXFXCWHULXDWNHDXCWHIVCVDXF
        VGZVEVHVPVIVJAWTWOSFXBWSJWNJXBCVKUIZXIWNBUIWSJULWNJULVQAXMXAPUMAXIXAQUM
        AFBWHIRVLBCDEHWNJKLMNVMVNVOVJVPAWJFVRZFGUIZJUPUIZWQWMULAXHXNXKXHXNXFFVR
        TFXEXFHXDDVBXLVSFWJXFVTWAWBOXPAJCWCNWDVFZSWJGUPFJWEVNAIFVRXOXPWRWPULAFB
        IRWFOXQSIGUPFJWEVNWG $.
    $}
  $}

  ${
    $d B x y $.  $d R x y $.
    rrgss.e $e |- E = ( RLReg ` R ) $.
    rrgss.b $e |- B = ( Base ` R ) $.
    $( Left-regular elements are a subset of the base set.  (Contributed by
       Stefan O'Rear, 22-Mar-2015.) $)
    rrgss $p |- E C_ B $=
      ( vx vy cv cmulr cfv co c0g wceq wi wral eqid rrgval ssrab3 ) FHGHZBIJZKB
      LJZMSUAMNGAOFACFGABTCUADETPUAPQR $.
  $}

  ${
    $d E x $.  $d R x y $.  $d U x y $.
    unitrrg.e $e |- E = ( RLReg ` R ) $.
    unitrrg.u $e |- U = ( Unit ` R ) $.
    $( Units are regular elements.  (Contributed by Stefan O'Rear,
       22-Mar-2015.) $)
    unitrrg $p |- ( R e. Ring -> U C_ E ) $=
      ( vx vy crg wcel cv wa cbs cfv cmulr co c0g wceq wi eqid adantr cinvr cur
      wral unitcl adantl oveq2 unitlinv oveq1d ringinvcl simpr ringass syl13anc
      simpll ringlidm adantlr 3eqtr3d ringrz syl2anc eqeq12d ralrimiva sylanbrc
      syl5ib isrrg ex ssrdv ) AHIZFBCVFFJZBIZVGCIZVFVHKZVGALMZIZVGGJZANMZOZAPMZ
      QZVMVPQZRZGVKUCVIVHVLVFVKABVGVKSZEUDUEZVJVSGVKVQVGAUAMZMZVOVNOZWCVPVNOZQV
      JVMVKIZKZVRVOVPWCVNUFWGWDVMWEVPWGWCVGVNOZVMVNOZAUBMZVMVNOZWDVMWGWHWJVMVNV
      JWHWJQWFAVNBWJWBVGEWBSZVNSZWJSZUGTUHWGVFWCVKIZVLWFWIWDQVFVHWFUMZVJWOWFVKA
      BWBVGEWLVTUITZVJVLWFWATVJWFUJVKAVNWCVGVMVTWMUKULVFWFWKVMQVHVKAVNWJVMVTWMW
      NUNUOUPWGVFWOWEVPQWPWQVKAVNWCVPVTWMVPSZUQURUSVBUTGVKAVNCVGVPDVTWMWRVCVAVD
      VE $.
  $}

  ${
    $d B b r x y z $.  $d R b r x y z $.  $d .x. b r z $.  $d .0. b r x y z $.
    isdomn.b $e |- B = ( Base ` R ) $.
    isdomn.t $e |- .x. = ( .r ` R ) $.
    isdomn.z $e |- .0. = ( 0g ` R ) $.
    $( Expand definition of a domain.  (Contributed by Mario Carneiro,
       28-Mar-2015.) $)
    isdomn $p |- ( R e. Domn <-> ( R e. NzRing /\
     A. x e. B A. y e. B ( ( x .x. y ) = .0. -> ( x = .0. \/ y = .0. ) ) ) ) $=
      ( vr vz vb cv cmulr cfv wceq wral c0g cbs fveq2 co wo wsbc cnzr cdomn cvv
      wi fvexd eqtr4di wa adantr simplr oveqdr eqeqan12d orbi12d adantl imbi12d
      id wb eqeq2 raleqbidv sbcied2 df-domn elrab2 ) AMZBMZJMZNOZUAZKMZPZVEVJPZ
      VFVJPZUBZUGZBLMZQZAVPQZKVGROZUCZLVGSOZUCVEVFEUAZFPZVEFPZVFFPZUBZUGZBCQZAC
      QZJDUDUEVGDPZVTWILWACUFWJVGSUHWJWADSOCVGDSTGUIWJVPCPZUJZVRWIKVSFUFWLVGRUH
      WLVSDROZFWJVSWMPWKVGDRTUKIUIWLVJFPZUJZVQWHAVPCWJWKWNULZWOVOWGBVPCWPWOVKWC
      VNWFWLWNVIWBVJFWJWKABVHEWJVHDNOEVGDNTHUIUMWNURUNWNVNWFUSWLWNVLWDVMWEVJFVE
      UTVJFVFUTUOUPUQVAVAVBVBABKJLVCVD $.
  $}

  ${
    $d x y .0. $.  $d x y B $.  $d x y R $.  $d x y .x. $.  $d x y X $.
    $d y Y $.
    $( A domain is a nonzero ring.  (Contributed by Mario Carneiro,
       28-Mar-2015.) $)
    domnnzr $p |- ( R e. Domn -> R e. NzRing ) $=
      ( vx vy cdomn wcel cnzr cv cmulr cfv co c0g wceq wo cbs wral eqid simplbi
      wi isdomn ) ADEAFEBGZCGZAHIZJAKIZLTUCLUAUCLMRCANIZOBUDOBCUDAUBUCUDPUBPUCP
      SQ $.

    $( A domain is a ring.  (Contributed by Mario Carneiro, 28-Mar-2015.) $)
    domnring $p |- ( R e. Domn -> R e. Ring ) $=
      ( cdomn wcel cnzr crg domnnzr nzrring syl ) ABCADCAECAFAGH $.

    domneq0.b $e |- B = ( Base ` R ) $.
    domneq0.t $e |- .x. = ( .r ` R ) $.
    domneq0.z $e |- .0. = ( 0g ` R ) $.
    $( In a domain, a product is zero iff it has a zero factor.  (Contributed
       by Mario Carneiro, 28-Mar-2015.) $)
    domneq0 $p |- ( ( R e. Domn /\ X e. B /\ Y e. B ) ->
        ( ( X .x. Y ) = .0. <-> ( X = .0. \/ Y = .0. ) ) ) $=
      ( vx vy wcel co wceq wo cv wi wral eqeq1d syl2anc cdomn w3a 3simpc isdomn
      cnzr simprbi 3ad2ant1 oveq1 eqeq1 orbi1d imbi12d oveq2 orbi2d rspc2va crg
      wa domnring simp3 ringlz syl5ibrcom simp2 ringrz jaod impbid ) BUALZDALZE
      ALZUBZDECMZFNZDFNZEFNZOZVHVFVGUPJPZKPZCMZFNZVNFNZVOFNZOZQZKARJARZVJVMQZVE
      VFVGUCVEVFWBVGVEBUELWBJKABCFGHIUDUFUGWAWCDVOCMZFNZVKVSOZQJKDEAAVNDNZVQWEV
      TWFWGVPWDFVNDVOCUHSWGVRVKVSVNDFUIUJUKVOENZWEVJWFVMWHWDVIFVOEDCULSWHVSVLVK
      VOEFUIUMUKUNTVHVKVJVLVHVJVKFECMZFNZVHBUOLZVGWJVEVFWKVGBUQUGZVEVFVGURABCEF
      GHIUSTVKVIWIFDFECUHSUTVHVJVLDFCMZFNZVHWKVFWNWLVEVFVGVAABCDFGHIVBTVLVIWMFE
      FDCULSUTVCVD $.

    $( In a domain, a product of nonzero elements is nonzero.  (Contributed by
       Mario Carneiro, 6-May-2015.) $)
    domnmuln0 $p |- ( ( R e. Domn /\ ( X e. B /\ X =/= .0. ) /\
      ( Y e. B /\ Y =/= .0. ) ) -> ( X .x. Y ) =/= .0. ) $=
      ( cdomn wcel wne wa co an4 wceq wo wn neanior wb domneq0 3expb necon3abid
      bitr4id biimpd expimpd syl5bi 3impib ) BJKZDAKZDFLZMZEAKZEFLZMZDECNZFLZUL
      UOMUJUMMZUKUNMZMUIUQUJUKUMUNOUIURUSUQUIURMZUSUQUTUSDFPEFPQZRUQDFEFSUTVAUP
      FUIUJUMUPFPVATABCDEFGHIUAUBUCUDUEUFUGUH $.
  $}

  ${
    $d B x y $.  $d E x $.  $d R x y $.  $d .0. x y $.
    isdomn2.b $e |- B = ( Base ` R ) $.
    isdomn2.t $e |- E = ( RLReg ` R ) $.
    isdomn2.z $e |- .0. = ( 0g ` R ) $.
    $( A ring is a domain iff all nonzero elements are nonzero-divisors.
       (Contributed by Mario Carneiro, 28-Mar-2015.) $)
    isdomn2 $p |- ( R e. Domn <-> ( R e. NzRing /\ ( B \ { .0. } ) C_ E ) ) $=
      ( vx vy wcel cv wceq wi wral wa imbi1i impexp bitri wn con34b cdomn cmulr
      cnzr cfv co csn cdif wss eqid isdomn dfss3 wne isrrg baib ralbiia eldifsn
      imbi2d ralbii2 ioran df-ne imbi12i 3bitr4i ralbii r19.21v bitr2i anbi2i
      wo ) BUAJBUCJZHKZIKZBUBUDZUEDLZVIDLZVJDLZVGZMZIANZHANZOVHADUFUGZCUHZOHIAB
      VKDEVKUIZGUJVRVTVHVTVICJZHVSNZVRHVSCUKVIDULZWBMZHANWDVLVNMZIANZMZHANWCVRW
      EWHHAVIAJZWBWGWDWBWIWGIABVKCVIDFEWAGUMUNUQUOWBWEHVSAVIVSJZWBMWIWDOZWBMWIW
      EMWJWKWBVIADUPPWIWDWBQRURVQWHHAVQWDWFMZIANWHVPWLIAVPVOSZVLSZMZWLVLVOTVMSZ
      VNSZOZWNMWPWQWNMZMWOWLWPWQWNQWMWRWNVMVNUSPWDWPWFWSVIDUTVLVNTVAVBRVCWDWFIA
      VDRVCVBVEVFR $.

    $( In a domain, any nonzero element is a nonzero-divisor.  (Contributed by
       Mario Carneiro, 28-Mar-2015.) $)
    domnrrg $p |- ( ( R e. Domn /\ X e. B /\ X =/= .0. ) -> X e. E ) $=
      ( cdomn wcel wne w3a csn cdif wss cnzr isdomn2 simprbi 3ad2ant1 simp2
      simp3 eldifsn sylanbrc sseldd ) BIJZDAJZDEKZLZAEMNZCDUEUFUICOZUGUEBPJUJAB
      CEFGHQRSUHUFUGDUIJUEUFUGTUEUFUGUADAEUBUCUD $.
  $}

  ${
    $d x y O $.  $d x y R $.
    opprdomn.1 $e |- O = ( oppR ` R ) $.
    $( The opposite of a domain is also a domain.  (Contributed by Mario
       Carneiro, 15-Jun-2015.) $)
    opprdomn $p |- ( R e. Domn -> O e. Domn ) $=
      ( vx vy cdomn wcel cnzr cv cmulr cfv co c0g wceq wo cbs wral domnnzr eqid
      wi opprnzr syl w3a domneq0 3com23 opprmul eqeq1i orcom 3bitr4g ralrimivva
      wb biimpd 3expb opprbas oppr0 isdomn sylanbrc ) AFGZBHGZDIZEIZBJKZLZAMKZN
      ZUTVDNZVAVDNZOZTZEAPKZQDVJQBFGURAHGUSARABCUAUBURVIDEVJVJURUTVJGZVAVJGZVIU
      RVKVLUCZVEVHVMVAUTAJKZLZVDNZVGVFOZVEVHURVLVKVPVQUKVJAVNVAUTVDVJSZVNSZVDSZ
      UDUEVCVOVDVJAVBVNBUTVAVRVSCVBSZUFUGVFVGUHUIULUMUJDEVJBVBVDVJABCVRUNWAABVD
      CVTUOUPUQ $.
  $}

  ${
    $d x y z A $.  $d x y z R $.
    abvn0b.b $e |- A = ( AbsVal ` R ) $.
    $( Another characterization of domains, hinted at in ~ abvtriv : a nonzero
       ring is a domain iff it has an absolute value.  (Contributed by Mario
       Carneiro, 6-May-2015.) $)
    abvn0b $p |- ( R e. Domn <-> ( R e. NzRing /\ A =/= (/) ) ) $=
      ( vx vy vz cdomn wcel cnzr c0 wne wa domnnzr cbs cfv c0g wceq eqid wral
      cv cc0 c1 cif cmpt cmulr domnring domnmuln0 abvtrivd ne0d jca co wo wi n0
      wex neanior an4 abvdom 3expib expdimp syl5bir necon4bd ralrimivva exlimiv
      wn syl5bi sylbi anim2i isdomn sylibr impbii ) BGHZBIHZAJKZLZVLVMVNBMVLADB
      NOZDTZBPOZQUAUBUCUDZVLDEFAVPBBUEOZVSVRCVPRZVRRZVSRVTRZBUFVPBVTETZFTZVRWAW
      CWBUGUHUIUJVOVMWDWEVTUKZVRQWDVRQWEVRQULZUMZFVPSEVPSZLVLVNWIVMVNVQAHZDUOWI
      DAUNWJWIDWJWHEFVPVPWJWDVPHZWEVPHZLZLZWGWFVRWGVEWDVRKZWEVRKZLZWNWFVRKZWDVR
      WEVRUPWJWMWQWRWMWQLWKWOLZWLWPLZLWJWRWKWLWOWPUQWJWSWTWRAVPBVTVQWDWEVRCWAWB
      WCURUSVFUTVAVBVCVDVGVHEFVPBVTVRWAWCWBVIVJVK $.
  $}

  $( A division ring is a domain.  (Contributed by Mario Carneiro,
     29-Mar-2015.) $)
  drngdomn $p |- ( R e. DivRing -> R e. Domn ) $=
    ( cdr wcel cnzr cbs cfv c0g csn cdif crlreg wss cdomn drngnzr cui wceq eqid
    crg isdrng simprbi drngring unitrrg syl eqsstrrd isdomn2 sylanbrc ) ABCZADC
    AEFZAGFZHIZAJFZKALCAMUFUIANFZUJUFAQCZUKUIOUGAUKUHUGPZUKPZUHPZRSUFULUKUJKATA
    UKUJUJPZUNUAUBUCUGAUJUHUMUPUOUDUE $.

  $( An integral domain is a commutative domain.  (Contributed by Mario
     Carneiro, 17-Jun-2015.) $)
  isidom $p |- ( R e. IDomn <-> ( R e. CRing /\ R e. Domn ) ) $=
    ( ccrg cdomn cidom df-idom elin2 ) ABCDEF $.

  $( A field is an integral domain.  (Contributed by Mario Carneiro,
     29-Mar-2015.)  (Proof shortened by SN, 11-Nov-2024.) $)
  fldidom $p |- ( R e. Field -> R e. IDomn ) $=
    ( cdr wcel ccrg wa cdomn cfield cidom drngdomn anim1ci isfld isidom 3imtr4i
    ) ABCZADCZEOAFCZEAGCAHCNPOAIJAKALM $.

  $( Obsolete version of ~ fldidom as of 11-Nov-2024.  (Contributed by Mario
     Carneiro, 29-Mar-2015.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  fldidomOLD $p |- ( R e. Field -> R e. IDomn ) $=
    ( cfield wcel ccrg cdomn cidom cdr simprbi simplbi drngdomn isidom sylanbrc
    isfld syl ) ABCZADCZAECZAFCOAGCZPAMZHORQORPSIAJNAKL $.

  ${
    $d x y A $.  $d x y B $.  $d y F $.  $d y ph $.  $d x y R $.  $d x y .x. $.
    $d y .1. $.  $d y .0. $.
    fidomndrng.b $e |- B = ( Base ` R ) $.
    ${
      fidomndrng.z $e |- .0. = ( 0g ` R ) $.
      fidomndrng.o $e |- .1. = ( 1r ` R ) $.
      fidomndrng.d $e |- .|| = ( ||r ` R ) $.
      fidomndrng.t $e |- .x. = ( .r ` R ) $.
      fidomndrng.r $e |- ( ph -> R e. Domn ) $.
      fidomndrng.x $e |- ( ph -> B e. Fin ) $.
      fidomndrng.a $e |- ( ph -> A e. ( B \ { .0. } ) ) $.
      fidomndrng.f $e |- F = ( x e. B |-> ( x .x. A ) ) $.
      $( Lemma for ~ fidomndrng .  (Contributed by Mario Carneiro,
         15-Jun-2015.) $)
      fidomndrnglem $p |- ( ph -> A .|| .1. ) $=
        ( wcel vy ccnv cfv co wbr csn eldifad wf1o wf wf1 cv wceq wral wne cdif
        wi wa eldifsni syl ad2antrr oveq1 ovex fvmpt adantl eqeq1d cdomn adantr
        wo wb simpr domneq0 syl3anc bitrd biimpa ord necon1ad ex ralrimiva cghm
        mpd cmpt crg domnring ringrghm syl2anc eqeltrid ghmf1 mpbird cen enrefg
        cfn f1finf1o mpbid f1ocnv f1of ringidcl ffvelrnd dvdsrmul cbvmptv eqtri
        3syl f1ocnvfv2 eqtr3d breqtrd ) ACHIUBZUCZCGUDZHEACDTZXFDTZCXGEUEACDJUF
        ZRUGZADDHXEADDIUHZDDXEUHDDXEUIADDIUJZXLAXMUAUKZIUCZJULZXNJULZUPZUADUMZA
        XRUADAXNDTZUQZXPXQYAXPUQZCJUNZXQAYCXTXPACDXJUOTYCRCDJURUSUTYBXQCJYBXQCJ
        ULZYAXPXQYDVHZYAXPXNCGUDZJULZYEYAXOYFJXTXOYFULABXNBUKZCGUDZYFDIYHXNCGVA
        ZSXNCGVBVCVDVEYAFVFTZXTXHYGYEVIAYKXTPVGAXTVJAXHXTXKVGDFGXNCJKOLVKVLVMVN
        VOVPVTVQVRAIFFVSUDZTXMXSVIAIBDYIWAZYLSAFWBTZXHYMYLTAYKYNPFWCUSZXKBDFGCK
        OWDWEWFUAFFJIDDJKKLLWGUSWHADDWIUEZDWKTZXMXLVIAYQYPQDWKWJUSQDDIWLWEWMZDD
        IWNDDXEWOXAAYNHDTZYODFHKMWPUSZWQZDEFGCXFKNOWRWEAXFIUCZXGHAXIUUBXGULUUAU
        AXFYFXGDIXNXFCGVAIYMUADYFWASBUADYIYFYJWSWTXFCGVBVCUSAXLYSUUBHULYRYTDDHI
        XBWEXCXD $.
    $}

    $( A finite domain is a division ring.  (Contributed by Mario Carneiro,
       15-Jun-2015.) $)
    fidomndrng $p |- ( B e. Fin -> ( R e. Domn <-> R e. DivRing ) ) $=
      ( vx vy wcel cdomn wa cfv wceq adantl wss eqid syl wb cv cdsr wbr cmulr
      co cfn cdr crg cui c0g csn cdif domnring cin c0 wn cur cnzr domnnzr nzrnz
      neneqd 0unit mtbird disjsn sylibr unitss reldisj ax-mp sylib coppr simplr
      wne cmpt simpll simpr fidomndrnglem opprbas oppr0 oppr1 opprdomn sylanbrc
      isunit eqelssd isdrng ex drngdomn impbid1 ) AUAFZBGFZBUBFZWCWDWEWCWDHZBUC
      FZBUDIZABUEIZUFZUGZJWEWDWGWCBUHKZWFDWHWKWFWHWJUIUJJZWHWKLZWFWIWHFZUKWMWFW
      OBULIZWIJZWFWPWIWFBUMFZWPWIVGWDWRWCBUNKBWPWIWPMZWIMZUONUPWFWGWOWQOWLBWHWP
      WIWHMZWTWSUQNURWHWIUSUTWHALWMWNOABWHCXAVAWHWJAVBVCVDWFDPZWKFZHZXBWPBQIZRX
      BWPBVEIZQIZRXBWHFXDEXBAXEBBSIZWPEAEPZXBXHTVHZWICWTWSXEMZXHMWCWDXCVFZWCWDX
      CVIZWFXCVJZXJMVKXDEXBAXGXFXFSIZWPEAXIXBXOTVHZWIABXFXFMZCVLBXFWIXQWTVMBWPX
      FXQWSVNXGMZXOMXDWDXFGFXLBXFXQVONXMXNXPMVKXEBXFWHWPXGXBXAWSXKXQXRVQVPVRABW
      HWICXAWTVSVPVTBWAWB $.

    $( A finite integral domain is a field.  (Contributed by Mario Carneiro,
       15-Jun-2015.) $)
    fiidomfld $p |- ( B e. Fin -> ( R e. IDomn <-> R e. Field ) ) $=
      ( wcel ccrg cdomn wa cidom cfield fidomndrng anbi2d isidom isfld biancomi
      cfn cdr 3bitr4g ) AODZBEDZBFDZGSBPDZGBHDBIDZRTUASABCJKBLUBSUABMNQ $.
  $}


$( TODO: this draft definition of UFDs uses ` PrIdl ` which is currently in
   JM's mathbox.  There is a need to unify the basic definitions of commutative
   algebra currently in set.mm (main part and mathboxes).
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Unique factorization domains
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  @( Token for the class of unique factorization domains. @)
  $c UFD $.

  @( Class of unique factorization domains. @)
  cufd $a class UFD $.

  ${
    $d i r $.
    @( Define the class of unique factorization domains.  A unique
       factorization domain (UFD for short), is a commutative ring with an
       absolute value (from ~ abvtriv this is equivalent to being a domain)
       such that every prime ideal contains a prime element (this is a
       characterization due to Irving Kaplansky).  (Contributed by Mario
       Carneiro, 17-Feb-2015.) @)
    df-ufd $a |- UFD = { r e. CRing | ( ( AbsVal ` r ) =/= (/) /\
                  A. i e. ( PrIdl ` r ) ( i i^i ( RPrime ` r ) ) =/= (/) ) } $.
  $}
$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  The complex numbers as an algebraic extensible structure
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constant symbols and define their syntactic properties. $)
  $c PsMet $.
  $c *Met $.
  $c Met $.
  $c ball $.
  $c fBas $.
  $c filGen $.
  $c MetOpen $.
  $c metUnif $.

  $( Extend class notation with the class of all pseudometric spaces. $)
  cpsmet $a class PsMet $.

  $( Extend class notation with the class of all extended metric spaces. $)
  cxmet $a class *Met $.

  $( Extend class notation with the class of all metrics. $)
  cmet $a class Met $.

  $( Extend class notation with the metric space ball function. $)
  cbl $a class ball $.

  $( Extend class definition to include the class of filter bases. $)
  cfbas $a class fBas $.

  $( Extend class definition to include the filter generating function. $)
  cfg $a class filGen $.

  $( Extend class notation with a function mapping each metric space to the
     family of its open sets. $)
  cmopn $a class MetOpen $.

  $( Extend class notation with the function mapping metrics to the uniform
     structure generated by that metric. $)
  cmetu $a class metUnif $.

  ${
    $d d x y z w $.
    $( Define the set of all pseudometrics on a given base set.  In a pseudo
       metric, two distinct points may have a distance zero.  (Contributed by
       Thierry Arnoux, 7-Feb-2018.) $)
    df-psmet $a |- PsMet = ( x e. _V |-> { d e. ( RR* ^m ( x X. x ) ) |
          A. y e. x ( ( y d y ) = 0 /\
          A. z e. x A. w e. x ( y d z ) <_ ( ( w d y ) +e ( w d z ) ) ) } ) $.

    $( Define the set of all extended metrics on a given base set.  The
       definition is similar to ~ df-met , but we also allow the metric to take
       on the value ` +oo ` .  (Contributed by Mario Carneiro, 20-Aug-2015.) $)
    df-xmet $a |- *Met = ( x e. _V |-> { d e. ( RR* ^m ( x X. x ) ) |
                 A. y e. x A. z e. x ( ( ( y d z ) = 0 <-> y = z ) /\
                 A. w e. x ( y d z ) <_ ( ( w d y ) +e ( w d z ) ) ) } ) $.

    $( Define the (proper) class of all metrics.  (A metric space is the
       metric's base set paired with the metric; see ~ df-ms .  However, we
       will often also call the metric itself a "metric space".)  Equivalent to
       Definition 14-1.1 of [Gleason] p. 223.  The 4 properties in Gleason's
       definition are shown by ~ met0 , ~ metgt0 , ~ metsym , and ~ mettri .
       (Contributed by NM, 25-Aug-2006.) $)
    df-met $a |- Met = ( x e. _V |-> { d e. ( RR ^m ( x X. x ) ) |
                 A. y e. x A. z e. x ( ( ( y d z ) = 0 <-> y = z ) /\
                 A. w e. x ( y d z ) <_ ( ( w d y ) + ( w d z ) ) ) } ) $.

    $( Define the metric space ball function.  See ~ blval for its value.
       (Contributed by NM, 30-Aug-2006.)  (Revised by Thierry Arnoux,
       11-Feb-2018.) $)
    df-bl $a |- ball = ( d e. _V |-> ( x e. dom dom d ,
      z e. RR* |-> { y e. dom dom d | ( x d y ) < z } ) ) $.

    $( Define a function whose value is the family of open sets of a metric
       space.  See ~ elmopn for its main property.  (Contributed by NM,
       1-Sep-2006.) $)
    df-mopn $a |- MetOpen = ( d e. U. ran *Met |->
      ( topGen ` ran ( ball ` d ) ) ) $.

    $( Define the class of all filter bases.  Note that a filter base on one
       set is also a filter base for any superset, so there is not a unique
       base set that can be recovered.  (Contributed by Jeff Hankins,
       1-Sep-2009.)  (Revised by Stefan O'Rear, 11-Jul-2015.) $)
    df-fbas $a |- fBas = ( w e. _V |-> { x e. ~P ~P w | ( x =/= (/) /\
      (/) e/ x /\ A. y e. x A. z e. x ( x i^i ~P ( y i^i z ) ) =/= (/) ) } ) $.

    $( Define the filter generating function.  (Contributed by Jeff Hankins,
       3-Sep-2009.)  (Revised by Stefan O'Rear, 11-Jul-2015.) $)
    df-fg $a |- filGen = ( w e. _V , x e. ( fBas ` w ) |->
        { y e. ~P w | ( x i^i ~P y ) =/= (/) } ) $.
  $}

  ${
    $d d a $.
    $( Define the function mapping metrics to the uniform structure generated
       by that metric.  (Contributed by Thierry Arnoux, 1-Dec-2017.)  (Revised
       by Thierry Arnoux, 11-Feb-2018.) $)
    df-metu $a |- metUnif = ( d e. U. ran PsMet |-> ( ( dom dom d X. dom dom d
      ) filGen ran ( a e. RR+ |-> ( `' d " ( 0 [,) a ) ) ) ) ) $.
  $}

  $c CCfld $.

  $( Extend class notation with the field of complex numbers. $)
  ccnfld $a class CCfld $.

  $( The field of complex numbers.  Other number fields and rings can be
     constructed by applying the ` |``s ` restriction operator, for instance
     ` ( CCfld |`` AA ) ` is the field of algebraic numbers.

     The contract of this set is defined entirely by ~ cnfldex , ~ cnfldadd ,
     ~ cnfldmul , ~ cnfldcj , ~ cnfldtset , ~ cnfldle , ~ cnfldds , and
     ~ cnfldbas .  We may add additional members to this in the future.
     (Contributed by Stefan O'Rear, 27-Nov-2014.)  (Revised by Thierry Arnoux,
     15-Dec-2017.)  (New usage is discouraged.) $)
  df-cnfld $a |- CCfld = ( ( { <. ( Base ` ndx ) , CC >. ,
      <. ( +g ` ndx ) , + >. , <. ( .r ` ndx ) , x. >. } u.
      { <. ( *r ` ndx ) , * >. } ) u.
    ( { <. ( TopSet ` ndx ) , ( MetOpen ` ( abs o. - ) ) >. ,
        <. ( le ` ndx ) , <_ >. ,
        <. ( dist ` ndx ) , ( abs o. - ) >. } u.
      { <. ( UnifSet ` ndx ) , ( metUnif ` ( abs o. - ) ) >. } ) ) $.

  $( The field of complex numbers is a structure.  (Contributed by Mario
     Carneiro, 14-Aug-2015.)  (Revised by Thierry Arnoux, 17-Dec-2017.) $)
  cnfldstr $p |- CCfld Struct <. 1 , ; 1 3 >. $=
    ( cnx cfv cc cop caddc cmul ctp ccj csn cun cle c1 c3 cdc c9 cc0 1nn0 declt
    c2 2nn ccnfld cbs cplusg cmulr cstv cts cabs cmin ccom cmopn cple cds cunif
    cmetu cstr df-cnfld c4 eqid srngstr 9nn tsetndx 9lt10 10nn plendx 0nn0 2pos
    decnncl dsndx strle3 3nn unifndx strle1 2nn0 2lt3 strleun 4lt9 eqbrtri ) UA
    AUBBCDAUCBEDAUDBFDGAUEBHDIJZAUFBZUGUHUIZUJBZDAUKBZKDAULBZVTDGZAUMBZVTUNBZDI
    ZJZJLLMNZDUOUPLUQOWIVRWHCEVRFHVRURUSOLSNZWIWIWDWGVSWBWCOLPNWJWAKVTUTVAVBVCV
    DLPSQVETVFRLSQTVGVHVIWEWIWFLMQVJVGVKVLLSMQVMVJVNRVOVPVOVQ $.

  $( The field of complex numbers is a set.  (Contributed by Stefan O'Rear,
     27-Nov-2014.)  (Revised by Mario Carneiro, 14-Aug-2015.)  (Revised by
     Thierry Arnoux, 17-Dec-2017.) $)
  cnfldex $p |- CCfld e. _V $=
    ( ccnfld c1 c3 cdc cop cstr wbr cvv wcel cnfldstr structex ax-mp ) ABBCDEZF
    GAHIJAMKL $.

  $( The base set of the field of complex numbers.  (Contributed by Stefan
     O'Rear, 27-Nov-2014.)  (Revised by Mario Carneiro, 6-Oct-2015.)  (Revised
     by Thierry Arnoux, 17-Dec-2017.) $)
  cnfldbas $p |- CC = ( Base ` CCfld ) $=
    ( cc cvv wcel ccnfld cbs cfv wceq c1 c3 cdc cop cnfldstr baseid cnx csn ctp
    cnex cun ssun1 sstri cplusg caddc cmulr cmul snsstp1 cstv ccj cts cabs cmin
    ccom cmopn cple cle cds cunif cmetu df-cnfld sseqtrri strfv ax-mp ) ABCADEF
    GQADEBHHIJKLMNEFAKZOVBNUAFUBKZNUCFUDKZPZDVBVCVDUEVEVENUFFUGKOZRZDVEVFSVGVGN
    UHFUIUJUKZULFKNUMFUNKNUOFVHKPNUPFVHUQFKORZRDVGVISURUSTTUTVA $.

  $( The addition operation of the field of complex numbers.  (Contributed by
     Stefan O'Rear, 27-Nov-2014.)  (Revised by Mario Carneiro, 6-Oct-2015.)
     (Revised by Thierry Arnoux, 17-Dec-2017.) $)
  cnfldadd $p |- + = ( +g ` CCfld ) $=
    ( caddc cvv wcel ccnfld cplusg cfv addex c1 c3 cdc cop cnfldstr plusgid cnx
    wceq csn ctp cun ssun1 sstri cbs cmulr cmul snsstp2 cstv ccj cabs cmin ccom
    cc cts cmopn cple cle cds cunif cmetu df-cnfld sseqtrri strfv ax-mp ) ABCAD
    EFOGADEBHHIJKLMNEFAKZPNUAFUJKZVBNUBFUCKZQZDVCVBVDUDVEVENUEFUFKPZRZDVEVFSVGV
    GNUKFUGUHUIZULFKNUMFUNKNUOFVHKQNUPFVHUQFKPRZRDVGVISURUSTTUTVA $.

  $( The multiplication operation of the field of complex numbers.
     (Contributed by Stefan O'Rear, 27-Nov-2014.)  (Revised by Mario Carneiro,
     6-Oct-2015.)  (Revised by Thierry Arnoux, 17-Dec-2017.) $)
  cnfldmul $p |- x. = ( .r ` CCfld ) $=
    ( cmul cvv wcel ccnfld cmulr cfv wceq mulex cdc cop cnfldstr mulrid cnx csn
    c1 c3 ctp cun ssun1 sstri cbs cc cplusg snsstp3 cstv ccj cts cabs cmin ccom
    caddc cmopn cple cle cds cunif cmetu df-cnfld sseqtrri strfv ax-mp ) ABCADE
    FGHADEBOOPIJKLMEFAJZNMUAFUBJZMUCFUKJZVBQZDVCVDVBUDVEVEMUEFUFJNZRZDVEVFSVGVG
    MUGFUHUIUJZULFJMUMFUNJMUOFVHJQMUPFVHUQFJNRZRDVGVISURUSTTUTVA $.

  $( The conjugation operation of the field of complex numbers.  (Contributed
     by Mario Carneiro, 6-Oct-2015.)  (Revised by Thierry Arnoux, 17-Dec-2017.)
     (Revised by Thierry Arnoux, 17-Dec-2017.) $)
  cnfldcj $p |- * = ( *r ` CCfld ) $=
    ( ccj cvv wcel ccnfld cstv cfv wceq cc wf cjf cnex fex2 mp3an c1 c3 cop cnx
    csn ctp cun cdc cnfldstr starvid cbs cplusg caddc cmulr cmul ssun2 cts cabs
    cmin ccom cmopn cple cunif cmetu ssun1 df-cnfld sseqtrri sstri strfv ax-mp
    cle cds ) ABCZADEFGHHAIHBCZVGVFJKKHHABBLMADEBNNOUAPUBUCQEFAPRZQUDFHPQUEFUFP
    QUGFUHPSZVHTZDVHVIUIVJVJQUJFUKULUMZUNFPQUOFVDPQVEFVKPSQUPFVKUQFPRTZTDVJVLUR
    USUTVAVBVC $.

  $( The topology component of the field of complex numbers.  (Contributed by
     Mario Carneiro, 14-Aug-2015.)  (Revised by Mario Carneiro, 6-Oct-2015.)
     (Revised by Thierry Arnoux, 17-Dec-2017.) $)
  cnfldtset $p |- ( MetOpen ` ( abs o. - ) ) = ( TopSet ` CCfld ) $=
    ( cabs cmin ccom cmopn cfv cvv wcel ccnfld cts wceq fvex c1 cdc cop cnx csn
    c3 ctp cun sstri cnfldstr tsetid cple cle cds snsstp1 cunif cmetu ssun1 cbs
    cc cplusg caddc cmulr cmul cstv ccj ssun2 df-cnfld sseqtrri strfv ax-mp ) A
    BCZDEZFGVDHIEJVCDKVDHIFLLQMNUAUBOIEVDNZPVEOUCEUDNZOUEEVCNZRZHVEVFVGUFVHVHOU
    GEVCUHENPZSZHVHVIUIVJOUJEUKNOULEUMNOUNEUONROUPEUQNPSZVJSHVJVKURUSUTTTVAVB
    $.

  $( The ordering of the field of complex numbers.  Note that this is not
     actually an ordering on ` CC ` , but we put it in the structure anyway
     because restricting to ` RR ` does not affect this component, so that
     ` ( CCfld |``s RR ) ` is an ordered field even though ` CCfld ` itself is
     not.  (Contributed by Mario Carneiro, 14-Aug-2015.)  (Revised by Mario
     Carneiro, 6-Oct-2015.)  (Revised by Thierry Arnoux, 17-Dec-2017.) $)
  cnfldle $p |- <_ = ( le ` CCfld ) $=
    ( cle ctsr wcel ccnfld cple cfv wceq letsr c1 c3 cdc cop cnfldstr pleid cnx
    csn cts ctp cun sstri cabs cmin ccom cmopn cds snsstp2 cunif cmetu ssun1 cc
    cbs cplusg caddc cmulr cmul cstv ccj ssun2 df-cnfld sseqtrri strfv ax-mp )
    ABCADEFGHADEBIIJKLMNOEFALZPOQFUAUBUCZUDFLZVCOUEFVDLZRZDVEVCVFUFVGVGOUGFVDUH
    FLPZSZDVGVHUIVIOUKFUJLOULFUMLOUNFUOLROUPFUQLPSZVISDVIVJURUSUTTTVAVB $.

  $( The metric of the field of complex numbers.  (Contributed by Mario
     Carneiro, 14-Aug-2015.)  (Revised by Mario Carneiro, 6-Oct-2015.)
     (Revised by Thierry Arnoux, 17-Dec-2017.) $)
  cnfldds $p |- ( abs o. - ) = ( dist ` CCfld ) $=
    ( cabs cmin ccom cvv wcel ccnfld cds cfv wceq cc cr wf cnex cop cnx csn ctp
    c1 cun sstri cxp absf subf fco mp2an xpex reex fex2 mp3an cdc cnfldstr dsid
    c3 cts cmopn cple cle snsstp3 cunif cmetu ssun1 cbs cplusg caddc cmulr cmul
    cstv ccj ssun2 df-cnfld sseqtrri strfv ax-mp ) ABCZDEZVNFGHIJJUAZKVNLZVPDEK
    DEVOJKALVPJBLVQUBUCVPJKABUDUEJJMMUFUGVPKVNDDUHUIVNFGDRRUMUJNUKULOGHVNNZPOUN
    HVNUOHNZOUPHUQNZVRQZFVSVTVRURWAWAOUSHVNUTHNPZSZFWAWBVAWCOVBHJNOVCHVDNOVEHVF
    NQOVGHVHNPSZWCSFWCWDVIVJVKTTVLVM $.

  $( The uniform structure component of the complex numbers.  (Contributed by
     Thierry Arnoux, 17-Dec-2017.) $)
  cnfldunif $p |- ( metUnif ` ( abs o. - ) ) = ( UnifSet ` CCfld ) $=
    ( cabs cmin ccom cmetu cfv cvv wcel ccnfld cunif wceq c1 c3 cdc cop cnx csn
    fvex ctp cun ssun2 cnfldstr unifid cts cmopn cle cds cbs cplusg caddc cmulr
    cple cc cmul cstv ccj df-cnfld sseqtrri sstri strfv ax-mp ) ABCZDEZFGVBHIEJ
    VADQVBHIFKKLMNUAUBOIEVBNPZOUCEVAUDENOUKEUENOUFEVANRZVCSZHVCVDTVEOUGEULNOUHE
    UINOUJEUMNROUNEUONPSZVESHVEVFTUPUQURUSUT $.

  $( The field of complex numbers is a function.  (Contributed by AV,
     14-Nov-2021.) $)
  cnfldfun $p |- Fun CCfld $=
    ( wfun cnx cfv cc cin c0 wceq wne fvex c1 c4 ltneii neeqtrri eqnetri c2 1nn
    c3 c9 2nn0 decltdi ccnfld cbs cop caddc cmulr cmul ctp cstv ccj csn cun cts
    cplusg cabs cmin ccom cmopn cple cle cds cunif cmetu wa cdm basendxnmulrndx
    basendxnplusgndx plusgndxnmulrndx cnex addex mulex funtp mp3an cvv wcel cjf
    fex mp2an funsn pm3.2i dmtpop dmsnop ineq12i basendx 1lt4 starvndx plusgndx
    wf 1re 2re 2lt4 mulrndx 3re 3lt4 disjtpsn eqtri funun tsetndx cc0 cdc 9lt10
    9re plendx 9nn0 leidi dsndx 10re 1nn0 0nn0 2pos declt ctsr letsr elexi absf
    2nn cr cxp subf xpex coex 3nn0 unifndx 3nn 3pos deccl nn0rei 2lt3 dmun 1lt9
    w3a 2lt9 3lt9 3pm3.2i ltleii undisj2 mpbi 4re 4lt9 gtneii 4nn0 1lt10 funeqi
    2lt10 3lt10 disjtp2 incom 4lt10 disjsn2 ax-mp undisj1 df-cnfld mpbir ) UAAB
    UBCZDUCBUMCZUDUCBUECZUFUCUGZBUHCZUIUCUJZUKZBULCZUNUOUPZUQCZUCBURCZUSUCBUTCZ
    UVAUCUGZBVACZUVAVBCZUCUJZUKZUKZAZUUSAZUVIAZVCUUSVDZUVIVDZEZFGUVKUVLUVMUUPAZ
    UURAZVCUUPVDZUURVDZEZFGUVLUVQUVRUUMUUNHUUMUUOHUUNUUOHUVQVFVEVGUUMUUNUUODUDU
    FBUBIBUMIBUEIVHVIVJVKVLUUQUIBUHIDDUIWGDVMVNZUIVMVNVOVHDDVMUIVPVQZVRVSUWAUUM
    UUNUUOUGZUUQUJZEZFUVSUWDUVTUWEUUMDUUNUDUUOUFVHVIVJVTZUUQUIUWCWAZWBUUMUUQHUU
    NUUQHUUOUUQHUWFFGUUMJUUQWCJKUUQJKWHWDLWEMNUUNOUUQWFOKUUQOKWIWJLWEMNUUOQUUQW
    KQKUUQQKWLWMLWEMNUUMUUNUUOUUQWNVLWOUUPUURWPVQUVEAZUVHAZVCUVEVDZUVHVDZEZFGUV
    MUWIUWJUUTUVCHUUTUVDHUVCUVDHUWIUUTRUVCWQRJWRWSZUVCRUWNXAWTLXBMNUUTRUVDWQRJO
    WSZUVDRUWOXAJORPSXCRXAXDZTLXEMNUVCUWNUVDXBUWNUWOUVDUWNUWOXFJWROXGXHXOXIXJLX
    EMNUUTUVCUVDUVBUSUVABULIBURIBUTIUVAUQIZUSXKXLXMZUNUODXPUNWGUWBUNVMVNXNVHDXP
    VMUNVPVQDDXQZDUOWGUWSVMVNUOVMVNXRDDVHVHXSUWSDVMUOVPVQXTZVKVLUVFUVGBVAIUVAVB
    IZVRVSUWMUUTUVCUVDUGZUVFUJZEZFUWKUXBUWLUXCUUTUVBUVCUSUVDUVAUWQUWRUWTVTZUVFU
    VGUXAWAZWBUUTUVFHUVCUVFHUVDUVFHUXDFGUUTRUVFWQRJQWSZUVFRUXGXAJQRPYAXCUWPTLYB
    MNUVCUWNUVFXBUWNUXGUVFUWNUXGXFJWRQXGXHYCYDXJLYBMNUVDUWOUVFXEUWOUXGUVFUWOUXG
    UWOJOXGSYEYFJOQXGSYCYGXJLYBMNUUTUVCUVDUVFWNVLWOUVEUVHWPVQVSUVPUVSUVTUKZUWKU
    WLUKZEZFUVNUXHUVOUXIUUPUURYHUVEUVHYHWBUVSUXIEFGZUVTUXIEFGZVCUXJFGUXKUXLUVSU
    WKEZFGZUVSUWLEZFGZVCUXKUXNUXPUXMUWDUXBEZFUVSUWDUWKUXBUWGUXEWBUUMUUTHZUUNUUT
    HZUUOUUTHZYJUUMUVCHZUUNUVCHZUUOUVCHZYJUUMUVDHZUUNUVDHZUUOUVDHZYJUXQFGUXRUXS
    UXTUUMJUUTWCJRUUTJRWHYILWQMNUUNOUUTWFORUUTORWIYKLWQMNUUOQUUTWKQRUUTQRWLYLLW
    QMNYMUYAUYBUYCUUMJUVCWCJUWNUVCJUWNWHUUALXBMNUUNOUVCWFOUWNUVCOUWNWIUUCLXBMNU
    UOQUVCWKQUWNUVCQUWNWLUUDLXBMNYMUYDUYEUYFUUMJUVDWCJUWOUVDJUWOWHJOJPSXGJRWHXA
    YIYNZTLXEMNUUNOUVDWFOUWOUVDOUWOWIJOOPSSORWIXAYKYNZTLXEMNUUOQUVDWKQUWOUVDQUW
    OWLJOQPSYAQRWLXAYLYNZTLXEMNYMUUMUUNUUOUUTUVCUVDUUEVLWOUXOUWDUXCEZFUVSUWDUWL
    UXCUWGUXFWBUUMUVFHUUNUVFHUUOUVFHUYJFGUUMJUVFWCJUXGUVFJUXGWHJQJPYAXGUYGTLYBM
    NUUNOUVFWFOUXGUVFOUXGWIJQOPYASUYHTLYBMNUUOQUVFWKQUXGUVFQUXGWLJQQPYAYAUYITLY
    BMNUUMUUNUUOUVFWNVLWOVSUVSUWKUWLYOYPUVTUWKEZFGZUVTUWLEZFGZVCUXLUYLUYNUYKUWE
    UXBEZFUVTUWEUWKUXBUWHUXEWBUYOUXBUWEEZFUWEUXBUUFUUTUUQHUVCUUQHUVDUUQHUYPFGUU
    TRUUQWQRKUUQKRYQYRYSWEMNUVCUWNUUQXBUWNKUUQKUWNYQUUGYSWEMNUVDUWOUUQXEUWOKUUQ
    KUWOYQJOKPSYTKRYQXAYRYNZTYSWEMNUUTUVCUVDUUQWNVLWOWOUYMUWEUXCEZFUVTUWEUWLUXC
    UWHUXFWBUUQUVFHUYRFGUUQKUVFWEKUXGUVFKUXGYQJQKPYAYTUYQTLYBMNUUQUVFUUHUUIWOVS
    UVTUWKUWLYOYPVSUVSUVTUXIUUJYPWOUUSUVIWPVQUAUVJUUKUUBUUL $.

  $( Alternate proof of ~ cnfldfun (much shorter proof, using ~ cnfldstr and
     ~ structn0fun : in addition, it must be shown that ` (/) e/ CCfld ` ).
     (Contributed by AV, 18-Nov-2021.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  cnfldfunALT $p |- Fun CCfld $=
    ( ccnfld cop c0 wceq wcel wn cnx cfv cc ccj wo cabs cmin wa fvex cnex opnzi
    nesymi cvv ax-mp c1 cdc cstr wbr wfun cnfldstr csn cdif structn0fun cin cbs
    c3 cplusg caddc cmulr cmul ctp cstv cts ccom cmopn cple cle cds cunif cmetu
    addex mulex w3o w3a 3ioran 0ex eltp xchnxbir mpbir3an wne wf cjf fex necomi
    mp2an nelsn pm3.2i ctsr letsr elexi absf subf xpex coex mtbir ioran anbi12i
    cr cxp bitri cun df-cnfld eleq2i elun orbi12i 3bitri disjsn disjdif2 funeqi
    mpbir sylib ) AUAUAULUBBZUCUDZAUEZUFXIACUGZUHZUEXJAXHUIXLAAXKUJCDZXLADXMCAE
    ZFXNCGUKHZIBZGUMHZUNBZGUOHZUPBZUQZEZCGURHZJBZUGZEZKZCGUSHZLMUTZVAHZBZGVBHZV
    CBZGVDHZYIBZUQZEZCGVEHZYIVFHZBZUGZEZKZKZUUDFZYBFZYFFZNZYQFZUUBFZNZNZUUHUUKU
    UFUUGUUFCXPDZFZCXRDZFZCXTDZFZXPCXOIGUKOPQRXRCXQUNGUMOVGQRXTCXSUPGUOOVHQRUUM
    UUOUUQVIUUNUUPUURVJYBUUMUUOUUQVKCXPXRXTVLVMVNVOCYDVPUUGYDCYCJGUROIIJVQISEZJ
    SEVRPIISJVSWAQVTCYDWBTWCUUIUUJYQCYKDZCYMDZCYODZVIZUVCFUUTFUVAFUVBFYKCYHYJGU
    SOYIVAOQRYMCYLVCGVBOVCWDWEWFQRYOCYNYIGVDOLMIWNLVQUUSLSEWGPIWNSLVSWAIIWOZIMV
    QUVDSEMSEWHIIPPWIUVDISMVSWAWJQRUUTUVAUVBVKVOCYKYMYOVLVMWKCYTVPUUJYTCYRYSGVE
    OYIVFOQVTCYTWBTWCWCUUEYGFZUUCFZNUULYGUUCWLUVEUUHUVFUUKYBYFWLYQUUBWLWMWPXFXN
    CYAYEWQZYPUUAWQZWQZECUVGEZCUVHEZKUUDAUVICWRWSCUVGUVHWTUVJYGUVKUUCCYAYEWTCYP
    UUAWTXAXBWKACXCXFAXKXDTXEXGT $.

  ${
    $d x y z A $.  $d x y B $.
    $( The extended real structure is a structure.  (Contributed by Mario
       Carneiro, 21-Aug-2015.) $)
    xrsstr $p |- RR*s Struct <. 1 , ; 1 2 >. $=
      ( vx vy cxr cv cle wbr cxne cxad co cif cmpo cxmu cordt cfv cxrs odrngstr
      df-xrs ) CABCCADZBDZEFSRGHIRSGHIJKHLEMNEOABQP $.

    $( The extended real structure is a set.  (Contributed by Mario Carneiro,
       21-Aug-2015.) $)
    xrsex $p |- RR*s e. _V $=
      ( vx vy cxrs cnx cbs cfv cxr cop cplusg cxad cmulr cxmu ctp cts cle cordt
      cv cxne co tpex cple cds wbr cif cmpo cun cvv df-xrs unex eqeltri ) CDEFG
      HZDIFJHZDKFLHZMZDNFOPFHZDUAFOHZDUBFABGGAQZBQZOUCURUQRJSUQURRJSUDUEHZMZUFU
      GABUHUNUTUKULUMTUOUPUSTUIUJ $.

    $( The base set of the extended real number structure.  (Contributed by
       Mario Carneiro, 21-Aug-2015.) $)
    xrsbas $p |- RR* = ( Base ` RR*s ) $=
      ( vx vy cxr cvv wcel cxrs cbs cfv wceq xrex cv cle wbr cxne cxad cif cmpo
      co cxmu cordt df-xrs odrngbas ax-mp ) CDECFGHIJCABCCAKZBKZLMUEUDNORUDUENO
      RPQOSLTHLDFABUAUBUC $.

    $( The addition operation of the extended real number structure.
       (Contributed by Mario Carneiro, 21-Aug-2015.) $)
    xrsadd $p |- +e = ( +g ` RR*s ) $=
      ( vx vy cxad cvv wcel cxrs cplusg cfv wceq cxr wf xaddf xrex xpex fex2 cv
      cxp cle cxne co mp3an wbr cif cmpo cxmu cordt df-xrs odrngplusg ax-mp ) C
      DEZCFGHIJJQZJCKUKDEJDEUJLJJMMNMUKJCDDOUAJABJJAPZBPZRUBUMULSCTULUMSCTUCUDC
      UERUFHRDFABUGUHUI $.

    $( The multiplication operation of the extended real number structure.
       (Contributed by Mario Carneiro, 21-Aug-2015.) $)
    xrsmul $p |- *e = ( .r ` RR*s ) $=
      ( vx vy cxmu cvv wcel cxrs cmulr cfv wceq cxr cxp wf xmulf xrex xpex cxne
      cv cle cxad co fex2 mp3an wbr cif cmpo cordt df-xrs odrngmulr ax-mp ) CDE
      ZCFGHIJJKZJCLUKDEJDEUJMJJNNONUKJCDDUAUBJABJJAQZBQZRUCUMULPSTULUMPSTUDUESC
      RUFHRDFABUGUHUI $.

    $( The topology component of the extended real number structure.
       (Contributed by Mario Carneiro, 21-Aug-2015.) $)
    xrstset $p |- ( ordTop ` <_ ) = ( TopSet ` RR*s ) $=
      ( vx vy cle cordt cfv cvv wcel cxrs cts wceq fvex cxr cv wbr cxne cxad co
      cif cmpo cxmu df-xrs odrngtset ax-mp ) CDEZFGUDHIEJCDKLABLLAMZBMZCNUFUEOP
      QUEUFOPQRSPTUDCFHABUAUBUC $.

    $( The ordering of the extended real number structure.  (Contributed by
       Mario Carneiro, 21-Aug-2015.) $)
    xrsle $p |- <_ = ( le ` RR*s ) $=
      ( vx vy cle cvv wcel cxrs cple cfv wceq cxr cxp xrex lerelxr ssexi cv wbr
      xpex cxne cxad co cif cmpo cxmu cordt df-xrs odrngle ax-mp ) CDECFGHICJJK
      JJLLQMNJABJJAOZBOZCPUIUHRSTUHUIRSTUAUBSUCCUDHCDFABUEUFUG $.

    $( The complex numbers form a commutative ring.  (Contributed by Mario
       Carneiro, 8-Jan-2015.) $)
    cncrng $p |- CCfld e. CRing $=
      ( vx vy vz ccnfld wcel wtru cc caddc cmul c1 cfv cnfldbas a1i cnfldadd cv
      wceq cc0 co 3adant1 adantl ccrg cbs cplusg cmulr cnfldmul cgrp cneg addcl
      addass 0cn addid2 negcl addcom mpancom negid eqtrd isgrpi mulcl w3a adddi
      mulass adddir 1cnd mulid2 mulid1 mulcom iscrngd mptru ) DUAEFABCGHDIJGDUB
      KPFLMHDUCKPFNMIDUDKPFUEMDUFEFABCGHDAOZUGZQLNVIBOZUHVIVKCOZUIUJVIUKVIULZVI
      GEZVJVIHRZVIVJHRZQVJGEVNVOVPPVMVJVIUMUNVIUOUPUQMVNVKGEZVIVKIRZGEFVIVKURSV
      NVQVLGEUSZVRVLIRVIVKVLIRZIRPFVIVKVLVATVSVIVKVLHRIRVRVIVLIRZHRPFVIVKVLUTTV
      SVIVKHRVLIRWAVTHRPFVIVKVLVBTFVCVNJVIIRVIPFVIVDTVNVIJIRVIPFVIVETVNVQVRVKVI
      IRPFVIVKVFSVGVH $.

    $( The complex numbers form a ring.  (Contributed by Stefan O'Rear,
       27-Nov-2014.) $)
    cnring $p |- CCfld e. Ring $=
      ( ccnfld ccrg wcel crg cncrng crngring ax-mp ) ABCADCEAFG $.

    $( The "multiplicative group" of the extended reals is a commutative monoid
       (even though the "additive group" is not a semigroup, see
       ~ xrsmgmdifsgrp .)  (Contributed by Mario Carneiro, 21-Aug-2015.) $)
    xrsmcmn $p |- ( mulGrp ` RR*s ) e. CMnd $=
      ( vx vy vz cxrs cmgp cfv ccmn wcel wtru cxr cxmu cbs wceq eqid c1 3adant1
      a1i cv co adantl xrsbas mgpbas cplusg xrsmul mgpplusg xmulcl xmulass rexr
      w3a cr 1re mp1i xmulid2 xmulid1 ismndd xmulcom iscmnd mptru ) DEFZGHIABJK
      USJUSLFMIJDUSUSNZUAUBQZKUSUCFMIDKUSUTUDUEQZIABCJKUSOVAVBARZJHZBRZJHZVCVEK
      SZJHIVCVEUFPVDVFCRZJHUIVGVHKSVCVEVHKSKSMIVCVEVHUGTOUJHOJHIUKOUHULVDOVCKSV
      CMIVCUMTVDVCOKSVCMIVCUNTUOVDVFVGVEVCKSMIVCVEUPPUQUR $.

    $( Zero is the zero element of the field of complex numbers.  (Contributed
       by Stefan O'Rear, 27-Nov-2014.) $)
    cnfld0 $p |- 0 = ( 0g ` CCfld ) $=
      ( ccnfld c0g cfv cc0 caddc co wceq 00id cgrp wcel cc wb crg ringgrp ax-mp
      cnring 0cn cnfldbas cnfldadd eqid grpid mp2an mpbi eqcomi ) ABCZDDDEFDGZU
      EDGZHAIJZDKJUFUGLAMJUHPANOQKEADUERSUETUAUBUCUD $.

    $( One is the unit element of the field of complex numbers.  (Contributed
       by Stefan O'Rear, 27-Nov-2014.) $)
    cnfld1 $p |- 1 = ( 1r ` CCfld ) $=
      ( vx ccnfld cur cfv c1 cc wcel cv cmul wceq wral ax-1cn mulid2 mulid1 jca
      co wa rgen pm3.2i crg cnring cnfldbas cnfldmul eqid isringid ax-mp eqcomi
      wb mpbi ) BCDZEEFGZEAHZIPULJZULEIPULJZQZAFKZQZUJEJZUKUPLUOAFULFGUMUNULMUL
      NORSBTGUQURUHUAAFBIUJEUBUCUJUDUEUFUIUG $.

    $( The additive inverse in the field of complex numbers.  (Contributed by
       Stefan O'Rear, 27-Nov-2014.) $)
    cnfldneg $p |- ( X e. CC -> ( ( invg ` CCfld ) ` X ) = -u X ) $=
      ( cc wcel ccnfld cminusg cfv cneg wceq caddc co cc0 negid wb negcl cnring
      cgrp crg ringgrp ax-mp cnfldbas cnfld0 eqid grpinvid1 mp3an1 mpdan mpbird
      cnfldadd ) ABCZADEFZFAGZHZAUJIJKHZALUHUJBCZUKULMZANDPCZUHUMUNDQCUOODRSBID
      UIAUJKTUGUAUIUBUCUDUEUF $.

    $( The functionalized addition operation of the field of complex numbers.
       (Contributed by Mario Carneiro, 2-Sep-2015.) $)
    cnfldplusf $p |- + = ( +f ` CCfld ) $=
      ( ccnfld cplusf cfv caddc cxp wfn wceq ax-addf ffn cnfldbas cnfldadd eqid
      cc wf plusfeq mp2b eqcomi ) ABCZDMMEZMDNDSFRDGHSMDIMDRAJKRLOPQ $.

    $( The subtraction operator in the field of complex numbers.  (Contributed
       by Mario Carneiro, 15-Jun-2015.) $)
    cnfldsub $p |- - = ( -g ` CCfld ) $=
      ( vx vy cc cv cmin co cmpo ccnfld cfv wcel caddc cnfldbas eqid wfn wf ffn
      wceq ax-mp fnov mpbi csg wa cminusg cneg cnfldadd grpsubval adantl oveq2d
      cnfldneg negsub 3eqtrrd mpoeq3ia cxp subf cgrp crg cnring ringgrp grpsubf
      mp2b 3eqtr4i ) ABCCADZBDZEFZGZABCCVBVCHUAIZFZGZEVFABCCVDVGVBCJZVCCJZUBZVG
      VBVCHUCIZIZKFVBVCUDZKFVDCKHVLVFVBVCLUEVLMVFMZUFVKVMVNVBKVJVMVNQVIVCUIUGUH
      VBVCUJUKULECCUMZNZEVEQVPCEOVQUNVPCEPRABCCESTVFVPNZVFVHQHUOJZVPCVFOVRHUPJV
      SUQHURRCHVFLVOUSVPCVFPUTABCCVFSTVA $.

    $( The complex numbers form a division ring.  (Contributed by Stefan
       O'Rear, 27-Nov-2014.) $)
    cndrng $p |- CCfld e. DivRing $=
      ( vx vy ccnfld cdr wcel wtru cc cmul c1 cv cdiv co cc0 cbs cfv a1i wne wa
      wceq adantl cnfldbas cnfldmul c0g cnfld0 cur cnfld1 cnring mulne0 3adant1
      cmulr crg ax-1ne0 reccl recne0 recid2 isdrngd mptru ) CDEFABGCHIIAJZKLZMG
      CNOSFUAPHCUJOSFUBPMCUCOSFUDPICUEOSFUFPCUKEFUGPURGEURMQRZBJZGEVAMQRURVAHLM
      QFURVAUHUIIMQFULPUTUSGEFURUMTUTUSMQFURUNTUTUSURHLISFURUOTUPUQ $.

    $( The division operation in the field of complex numbers.  (Contributed by
       Stefan O'Rear, 27-Nov-2014.)  (Revised by Mario Carneiro,
       2-Dec-2014.) $)
    cnflddiv $p |- / = ( /r ` CCfld ) $=
      ( vx vy vz cc cc0 cv cmul co wceq cmpo ccnfld cfv cdiv wa cnring cnfldbas
      wcel eqid cnfldmul eqtr3d csn cdif crio cdvr cnfld0 cndrng drngui dvrcan1
      cinvr crg mp3an1 oveq1d dvrcl wne simpr eldifsn sylib simpld simprd simpl
      divcan4d divval syl3anc dvrval mpoeq3ia df-div dvrfval 3eqtr4i ) ABDDEUAU
      BZBFZCFGHAFZICDUCZJABDVIVKVJKUILZLGHZJMKUDLZABDVIVLVNVKDQZVJVIQZNZVKVJVOH
      ZVLVNVRVKVJMHZVSVLVRVSVJGHZVJMHVTVSVRWAVKVJMKUJQZVPVQWAVKIODVOKGVIVKVJPDK
      EPUEUFUGZVORZSUHUKULVRVSVJWBVPVQVSDQODVOKVIVKVJPWCWDUMUKVRVJDQZVJEUNZVRVQ
      WEWFNVPVQUOVJDEUPUQZURZVRWEWFWGUSZVATVRVPWEWFVTVLIVPVQUTWHWICVKVJVBVCTDVO
      KGVIVMVKVJPSWCVMRZWDVDTVEABCVFABDVOKGVIVMPSWCWJWDVGVH $.

    $( The multiplicative inverse in the field of complex numbers.
       (Contributed by Mario Carneiro, 4-Dec-2014.) $)
    cnfldinv $p |- ( ( X e. CC /\ X =/= 0 ) ->
      ( ( invr ` CCfld ) ` X ) = ( 1 / X ) ) $=
      ( cc wcel cc0 wne wa csn cdif ccnfld cinvr c1 cdiv co wceq eldifsn cnring
      cfv crg cnfldbas cnfld0 cndrng drngui cnflddiv cnfld1 eqid ringinvdv mpan
      sylbir ) ABCADEFABDGHZCZAIJQZQKALMNZABDOIRCUJULPBLIUIKUKASBIDSTUAUBUCUDUK
      UEUFUGUH $.

    $( The group multiple function in the field of complex numbers.
       (Contributed by Mario Carneiro, 14-Jun-2015.) $)
    cnfldmulg $p |- ( ( A e. ZZ /\ B e. CC ) ->
        ( A ( .g ` CCfld ) B ) = ( A x. B ) ) $=
      ( vx vy cc wcel ccnfld cfv co cmul wceq cneg caddc oveq1 eqeq12d cnfldbas
      cv cc0 eqid eqtr4d cz cmg c1 cnfld0 mulg0 mul02 cn0 wi wa cmnd crg cnring
      ringmnd ax-mp cnfldadd mulgnn0p1 mp3an1 nn0cn adantr simpr syl5ibr expcom
      adddirp1d cminusg fveq2 mulgnegnn nncn mulneg1 sylan mulcl cnfldneg zindd
      cn syl impcom ) BEFZAUAFABGUBHZIZABJIZKZCQZBVQIZWABJIZKRBVQIZRBJIZKDQZBVQ
      IZWFBJIZKZWFLZBVQIZWJBJIZKZWFUCMIZBVQIZWNBJIZKZVTVPCDAWARKWBWDWCWEWARBVQN
      WARBJNOWAWFKWBWGWCWHWAWFBVQNWAWFBJNOWAWNKWBWOWCWPWAWNBVQNWAWNBJNOWAWJKWBW
      KWCWLWAWJBVQNWAWJBJNOWAAKWBVRWCVSWAABVQNWAABJNOVPWDRWEEVQGBRPUDVQSZUEBUFT
      WFUGFZVPWIWQUHWIWQWSVPUIZWGBMIZWHBMIZKWGWHBMNWTWOXAWPXBGUJFZWSVPWOXAKGUKF
      XCULGUMUNEMVQGWFBPWRUOUPUQWTWFBWSWFEFZVPWFURUSWSVPUTVCOVAVBWFVMFZVPWIWMUH
      WIWMXEVPUIZWGGVDHZHZWHXGHZKWGWHXGVEXFWKXHWLXIEVQGXGWFBPWRXGSVFXFWLWHLZXIX
      EXDVPWLXJKWFVGZWFBVHVIXFWHEFZXIXJKXEXDVPXLXKWFBVJVIWHVKVNTOVAVBVLVO $.

    $( The exponentiation operator in the field of complex numbers (for
       nonnegative exponents).  (Contributed by Mario Carneiro,
       15-Jun-2015.) $)
    cnfldexp $p |- ( ( A e. CC /\ B e. NN0 ) ->
        ( B ( .g ` ( mulGrp ` CCfld ) ) A ) = ( A ^ B ) ) $=
      ( vx vy cn0 wcel cc ccnfld cfv co cexp wceq wi cc0 c1 oveq1 oveq2 eqeq12d
      imbi2d cmul cmgp cmg cv caddc eqid cnfldbas mgpbas cnfld1 ringidval mulg0
      exp0 eqtr4d wa cmnd crg cnring ringmgp cnfldmul mgpplusg mulgnn0p1 mp3an1
      ax-mp ancoms expp1 syl5ibr expcom a2d nn0ind impcom ) BEFAGFZBAHUAIZUBIZJ
      ZABKJZLZVJCUCZAVLJZAVPKJZLZMVJNAVLJZANKJZLZMVJDUCZAVLJZAWCKJZLZMVJWCOUDJZ
      AVLJZAWGKJZLZMVJVOMCDBVPNLZVSWBVJWKVQVTVRWAVPNAVLPVPNAKQRSVPWCLZVSWFVJWLV
      QWDVRWEVPWCAVLPVPWCAKQRSVPWGLZVSWJVJWMVQWHVRWIVPWGAVLPVPWGAKQRSVPBLZVSVOV
      JWNVQVMVRVNVPBAVLPVPBAKQRSVJVTOWAGVLVKAOGHVKVKUEZUFUGZHOVKWOUHUIVLUEZUJAU
      KULWCEFZVJWFWJVJWRWFWJMWFWJVJWRUMZWDATJZWEATJZLWDWEATPWSWHWTWIXAWRVJWHWTL
      ZVKUNFZWRVJXBHUOFXCUPHVKWOUQVBGTVLVKWCAWPWQHTVKWOURUSUTVAVCAWCVDRVEVFVGVH
      VI $.

    $( The complex numbers form a *-ring.  (Contributed by Mario Carneiro,
       6-Oct-2015.) $)
    cnsrng $p |- CCfld e. *Ring $=
      ( vx ccnfld csr wcel wtru caddc cmul ccj cbs cfv wceq cnfldbas a1i cplusg
      vy cc cv adantl co 3adant1 cnfldadd cnfldmul cstv cnfldcj crg cnring cjcl
      cmulr cjadd wa mulcom fveq2d cjmul ancoms eqtrd cjcj issrngd mptru ) BCDE
      AOFBGHPPBIJKELMFBNJKEUAMGBUHJKEUBMHBUCJKEUDMBUEDEUFMAQZPDZUSHJZPDEUSUGRUT
      OQZPDZUSVBFSHJVAVBHJZFSKEUSVBUITUTVCUSVBGSZHJZVDVAGSZKEUTVCUJZVFVBUSGSZHJ
      ZVGVHVEVIHUSVBUKULVCUTVJVGKVBUSUMUNUOTUTVAHJUSKEUSUPRUQUR $.
  $}

  ${
    $d x y $.
    $( The "additive group" of the extended reals is a magma.  (Contributed by
       AV, 30-Jan-2020.) $)
    xrsmgm $p |- RR*s e. Mgm $=
      ( vx vy cxrs cmgm wcel cv cxad co cxr wral xaddcl rgen2 cc0 wb 0xr xrsbas
      xrsadd ismgmn0 ax-mp mpbir ) CDEZAFZBFZGHIEZBIJAIJZUDABIIUBUCKLMIEUAUENOA
      BMICGPQRST $.

    $( The "additive group" of the extended reals is not a semigroup.
       (Contributed by AV, 30-Jan-2020.) $)
    xrsnsgrp $p |- RR*s e/ Smgrp $=
      ( c1 cxr wcel cmnf cpnf w3a cxad wne cxrs csgrp wnel 1xr mnfxr wceq mp2an
      co cc0 ax-mp eqtri mnfaddpnf pnfxr 3pm3.2i xaddcom cr 1re xaddmnf2 oveq1i
      renepnf 0ne1 eqnetri oveq2i xaddid1 neeqtrri xrsbas xrsadd isnsgrp mp2 )
      ABCZDBCZEBCZFADGPZEGPZADEGPZGPZHIJKURUSUTLMUAUBVBAVDVBQAVBVCQVADEGVADAGPZ
      DURUSVAVENLMADUCOURAEHZVEDNLAUDCVFUEAUHRAUFOSUGTSUIUJVDAQGPZAVCQAGTUKURVG
      ANLAULRSUMBIADGEUNUOUPUQ $.
  $}

  $( The "additive group" of the extended reals is a magma but not a semigroup,
     and therefore also not a monoid nor a group, in contrast to the
     "multiplicative group", see ~ xrsmcmn .  (Contributed by AV,
     30-Jan-2020.) $)
  xrsmgmdifsgrp $p |- RR*s e. ( Mgm \ Smgrp ) $=
    ( cxrs cmgm csgrp cdif wcel wn xrsmgm xrsnsgrp neli eldif mpbir2an ) ABCDEA
    BEACEFGACHIABCJK $.

  ${
    $d x y z R $.
    xrs1mnd.1 $e |- R = ( RR*s |`s ( RR* \ { -oo } ) ) $.
    $( The extended real numbers, restricted to ` RR* \ { -oo } ` , form an
       additive monoid - in contrast to the full structure, see
       ~ xrsmgmdifsgrp .  (Contributed by Mario Carneiro, 27-Nov-2014.) $)
    xrs1mnd $p |- R e. Mnd $=
      ( vx vy vz wcel wtru cxr cmnf cxad cc0 cfv wceq cxrs cv co wne wa eldifsn
      mp1i cmnd csn cdif wss cbs difss xrsbas ressbas2 cvv cplusg difexi xrsadd
      xrex ressplusg xaddcl ad2ant2r xaddnemnf sylanbrc syl2anb 3adant1 xaddass
      w3a syl3anb adantl cr 0re rexr renemnf eldifi xaddid2 syl xaddid1d ismndd
      mptru ) AUAFGCDEHIUBZUCZJAKVPHUDVPAUELMGHVOUFVPHANBUGUHTVPUIFJAUJLMGHVOUM
      UKVPJNAUIBULUNTCOZVPFZDOZVPFZVQVSJPZVPFZGVRVQHFZVQIQZRZVSHFZVSIQZRZWBVTVQ
      HISZVSHISZWEWHRWAHFZWAIQWBWCWFWKWDWGVQVSUOUPVQVSUQWAHISURUSUTVRVTEOZVPFZV
      BWAWLJPVQVSWLJPJPMZGVRWEVTWHWMWLHFWLIQRWNWIWJWLHISVQVSWLVAVCVDKVEFZKVPFZG
      VFWOKHFKIQWPKVGKVHKHISURTGVRRZWCKVQJPVQMVRWCGVQHVOVIVDZVQVJVKWQVQWRVLVMVN
      $.

    $( The zero of the extended real number monoid.  (Contributed by Mario
       Carneiro, 21-Aug-2015.) $)
    xrs10 $p |- 0 = ( 0g ` R ) $=
      ( vx cc0 c0g cfv wceq wtru cxr cmnf csn cdif cxad wss cbs difss ax-mp cvv
      cxrs wcel xrsbas ressbas2 eqid cplusg xrex difexi xrsadd ressplusg cr 0re
      wne rexr renemnf eldifsn sylanbrc mp1i cv wa co eldifi adantl xaddid2 syl
      xaddid1d ismgmid2 mptru ) DAEFZGHCIJKZLZMDAVGVIINVIAOFGIVHPVIIASBUAUBQVGU
      CVIRTMAUDFGIVHUEUFVIMSARBUGUHQDUITZDVITZHUJVJDITDJUKVKDULDUMDIJUNUOUPHCUQ
      ZVITZURZVLITZDVLMUSVLGVMVOHVLIVHUTVAZVLVBVCVNVLVPVDVEVF $.

    $( The extended real numbers restricted to ` RR* \ { -oo } ` form a
       commutative monoid.  They are not a group because ` 1 + +oo = 2 + +oo `
       even though ` 1 =/= 2 ` .  (Contributed by Mario Carneiro,
       27-Nov-2014.) $)
    xrs1cmn $p |- R e. CMnd $=
      ( vx vy ccmn wcel cmnd cv cxad co wceq cxr cmnf csn wral eldifi cfv ax-mp
      cxrs cvv cdif xrs1mnd xaddcom syl2an rgen2 wss cbs xrsbas ressbas2 cplusg
      difss xrex difexi xrsadd ressplusg iscmn mpbir2an ) AEFAGFCHZDHZIJUSURIJK
      ZDLMNZUAZOCVBOABUBUTCDVBVBURVBFURLFUSLFUTUSVBFURLVAPUSLVAPURUSUCUDUECDVBI
      AVBLUFVBAUGQKLVAUKVBLASBUHUIRVBTFIAUJQKLVAULUMVBISATBUNUORUPUQ $.

    $( The nonnegative extended real numbers are a submonoid of the
       nonnegative-infinite extended reals.  (Contributed by Mario Carneiro,
       21-Aug-2015.) $)
    xrge0subm $p |- ( 0 [,] +oo ) e. ( SubMnd ` R ) $=
      ( vx vy cc0 cpnf co cfv wcel cxr cmnf wss cv cxad wral wa wceq cxrs ax-mp
      cvv cicc csubmnd csn cle wbr wne simpl ge0nemnf jca elxrge0 eldifsn ssriv
      cdif 3imtr4i 0e0iccpnf ge0xaddcl rgen2 cmnd w3a wb xrs1mnd difss ressbas2
      cbs xrsbas xrs10 cplusg xrex difexi xrsadd ressplusg issubm mpbir3an ) EF
      UAGZAUBHIZVNJKUCZUMZLZEVNIZCMZDMZNGVNIZDVNOCVNOZCVNVQVTJIZEVTUDUEZPZWDVTK
      UFZPVTVNIVTVQIWFWDWGWDWEUGVTUHUIVTUJVTJKUKUNULUOWBCDVNVNVTWAUPUQAURIVOVRV
      SWCUSUTABVACDVQNVNAEVQJLVQAVDHQJVPVBVQJARBVEVCSABVFVQTINAVGHQJVPVHVIVQNRA
      TBVJVKSVLSVM $.
  $}

  $( The nonnegative extended real numbers are a monoid.  (Contributed by Mario
     Carneiro, 30-Aug-2015.) $)
  xrge0cmn $p |- ( RR*s |`s ( 0 [,] +oo ) ) e. CMnd $=
    ( cxrs cxr cmnf csn cdif cress co ccmn wcel cc0 cpnf cicc cmnd eqid cfv cvv
    wss wceq ax-mp mp2an xrs1cmn csubmnd xrge0subm xrex difexi cbs difss xrsbas
    ressbas2 submss ressabs eqcomi submmnd subcmn ) ABCDZEZFGZHIAJKLGZFGZMIZUSH
    IUQUQNZUAURUQUBOIZUTUQVAUCZURUSUQUQURFGZUSUPPIURUPQZVDUSRBUOUDUEVBVEVCUPURU
    QUPBQUPUQUFORBUOUGUPBUQAVAUHUISUJSUPURAPUKTULZUMSURUQUSVFUNT $.

  ${
    $d x y A $.  $d x y B $.
    xrsds.d $e |- D = ( dist ` RR*s ) $.
    $( The metric of the extended real number structure.  (Contributed by Mario
       Carneiro, 20-Aug-2015.) $)
    xrsds $p |- D = ( x e. RR* , y e. RR* |->
            if ( x <_ y , ( y +e -e x ) , ( x +e -e y ) ) ) $=
      ( cxrs cds cfv cxr cv cle wbr cxne cxad cvv wcel wral xnegcl xaddcl xrex
      co cif cmpo wceq cxp wf wa syl2anr sylan2 ifcld rgen2 eqid fmpo mpbi xpex
      id fex2 mp3an cxmu cordt df-xrs odrngds ax-mp eqtr4i ) CEFGZABHHAIZBIZJKZ
      VFVELZMTZVEVFLZMTZUAZUBZDVMNOZVMVDUCHHUDZHVMUEZVONOHNOVNVLHOZBHPAHPVPVQAB
      HHVEHOZVFHOZUFVGVIVKHVSVSVHHOVIHOVRVSUOVEQVFVHRUGVSVRVJHOVKHOVFQVEVJRUHUI
      UJABHHVLHVMVMUKULUMHHSSUNSVOHVMNNUPUQHVMMURJUSGJNEABUTVAVBVC $.

    $( The metric of the extended real number structure.  (Contributed by Mario
       Carneiro, 20-Aug-2015.) $)
    xrsdsval $p |- ( ( A e. RR* /\ B e. RR* ) ->
      ( A D B ) = if ( A <_ B , ( B +e -e A ) , ( A +e -e B ) ) ) $=
      ( vx vy cxr cv cle wbr cxne cxad co cif wceq wa breq12 id xnegeq ovex
      oveqan12rd oveqan12d ifbieq12d xrsds ifex ovmpoa ) EFABGGEHZFHZIJZUHUGKZL
      MZUGUHKZLMZNABIJZBAKZLMZABKZLMZNCUGAOZUHBOZPUIUNUKUMUPURUGAUHBIQUTUSUHBUJ
      UOLUTRUGASUAUSUTUGAULUQLUSRUHBSUBUCEFCDUDUNUPURBUOLTAUQLTUEUF $.

    $( The metric of the extended real number structure coincides with the real
       number metric on the reals.  (Contributed by Mario Carneiro,
       3-Sep-2015.) $)
    xrsdsreval $p |- ( ( A e. RR /\ B e. RR ) ->
      ( A D B ) = ( abs ` ( A - B ) ) ) $=
      ( cr wcel wa co cle wbr cxne cxad cmin cxr wceq rexr rexsub adantr eqtr4d
      3expa cif cabs cfv xrsdsval syl2an ancoms abssuble0 letric orcanai 3com12
      wn abssubge0 syldan ifeqda eqtrd ) AEFZBEFZGZABCHZABIJZBAKLHZABKLHZUAZABM
      HZUBUCZUPANFBNFUSVCOUQAPBPABCDUDUEURUTVAVBVEURUTGVABAMHZVEURVAVFOZUTUQUPV
      GBAQUFRUPUQUTVEVFOABUGTSURUTUKZGVBVDVEURVBVDOVHABQRURVHBAIJZVEVDOZURUTVIA
      BUHUIUPUQVIVJUQUPVIVJBAULUJTUMSUNUO $.

    $( Lemma for ~ xrsdsreclb .  (Contributed by Mario Carneiro,
       3-Sep-2015.) $)
    xrsdsreclblem $p |- ( ( ( A e. RR* /\ B e. RR* /\ A =/= B ) /\ A <_ B ) ->
      ( ( B +e -e A ) e. RR -> ( A e. RR /\ B e. RR ) ) ) $=
      ( cxr wcel wne cle wbr cxne cxad co cr wi clt cmnf cpnf wceq syl eleq1d
      wa w3a necom xrleltne mnfxr a1i simpl1 simpl2 pnfnre neli mnfle xrlelttrd
      simpl3 xrltne syl3anc xaddpnf1 syl2anc mtbiri wn wb ngtmnft simpr xnegmnf
      xnegeq eqtrdi syl5ibcom sylbird mt3d xrre2 syl32anc pnfxr xnegcld xnegpnf
      oveq2d pnfge xrltletrd xltnegi eqbrtrrid xaddpnf2 nltpnft oveq1 ex 3expia
      jca 3adant3 syl5bi 3exp com34 3imp1 ) AEFZBEFZABGZABHIZBAJZKLZMFZAMFZBMFZ
      UAZNZWJWKWMWLWTWJWKWMWLWTNWLBAGZWJWKWMUBZWTABUCXBXAABOIZWTABUDWJWKXCWTNWM
      WJWKXCWTWJWKXCUBZWPWSXDWPUAZWQWRXEPEFZWJWKPAOIZXCWQXFXEUEUFZWJWKXCWPUGZWJ
      WKXCWPUHZXEXGBQKLZMFZXEXLQMFZQMUIUJZXEXKQMXEWKBPGZXKQRXJXEXFWKPBOIXOXHXJX
      EPABXHXIXJXEWJPAHIXIAUKSWJWKXCWPUMZULPBUNUOBUPUQTURXEXGUSZAPRZXLXEWJXRXQU
      TXIAVASXEWPXRXLXDWPVBZXRWOXKMXRWNQBKXRWNPJQAPVDVCVEVNTVFVGVHXPPABVIVJXEWJ
      WKQEFZXCBQOIZWRXIXJXTXEVKUFZXPXEYAQWNKLZMFZXEYDXMXNXEYCQMXEWNEFZWNPGZYCQR
      XEAXIVLZXEXFYEPWNOIYFXHYGXEPQJZWNOVMXEWJXTAQOIYHWNOIXIYBXEABQXIXJYBXPXEWK
      BQHIXJBVOSVPAQVQUOVRPWNUNUOWNVSUQTURXEYAUSZBQRZYDXEWKYJYIUTXJBVTSXEWPYJYD
      XSYJWOYCMBQWNKWATVFVGVHABQVIVJWDWBWCWEVGWFWGWHWI $.

    $( The metric of the extended real number structure is only real when both
       arguments are real.  (Contributed by Mario Carneiro, 3-Sep-2015.) $)
    xrsdsreclb $p |- ( ( A e. RR* /\ B e. RR* /\ A =/= B ) ->
      ( ( A D B ) e. RR <-> ( A e. RR /\ B e. RR ) ) ) $=
      ( cxr wcel wne w3a co cr wa cle wbr cxne cxad wceq 3adant3 wi eleq1 cc wn
      cif xrsdsval eleq1d imbi1d xrsdsreclblem wo xrletri orcanai necom 3anbi3i
      bitri sylanb ancom syl6ib syldan ifbothda sylbid cmin cabs cfv xrsdsreval
      3ancoma recn subcl syl2an abscld eqeltrd impbid1 ) AEFZBEFZABGZHZABCIZJFZ
      AJFZBJFZKZVMVOABLMZBANOIZABNOIZUBZJFZVRVMVNWBJVJVKVNWBPVLABCDUCQUDVSVTJFZ
      VRRWAJFZVRRZWCVRRVMVTWAVTWBPWDWCVRVTWBJSUEWAWBPWEWCVRWAWBJSUEABCDUFVMVSUA
      BALMZWFVMVSWGVJVKVSWGUGVLABUHQUIVMWGKWEVQVPKZVRVMVKVJBAGZHZWGWEWHRVMVJVKW
      IHWJVLWIVJVKABUJUKVJVKWIVCULBACDUFUMVQVPUNUOUPUQURVRVNABUSIZUTVAJABCDVBVR
      WKVPATFBTFWKTFVQAVDBVDABVEVFVGVHVI $.
  $}

  ${
    $d x y A $.
    cnsubglem.1 $e |- ( x e. A -> x e. CC ) $.
    cnsubglem.2 $e |- ( ( x e. A /\ y e. A ) -> ( x + y ) e. A ) $.
    ${
      cnsubmlem.3 $e |- 0 e. A $.
      $( Lemma for ~ nn0subm and friends.  (Contributed by Mario Carneiro,
         18-Jun-2015.) $)
      cnsubmlem $p |- A e. ( SubMnd ` CCfld ) $=
        ( ccnfld csubmnd cfv wcel cc wss cc0 cv caddc co wral ssriv rgen2 crg
        cmnd w3a cnring ringmnd cnfldbas cnfld0 cnfldadd issubm mp2b mpbir3an
        wb ) CGHIJZCKLZMCJZANBNOPCJZBCQACQZACKDRFUOABCCESGTJGUAJULUMUNUPUBUKUCG
        UDABKOCGMUEUFUGUHUIUJ $.
    $}

    cnsubglem.3 $e |- ( x e. A -> -u x e. A ) $.
    ${
      cnsubglem.4 $e |- B e. A $.
      $( Lemma for ~ resubdrg and friends.  (Contributed by Mario Carneiro,
         4-Dec-2014.) $)
      cnsubglem $p |- A e. ( SubGrp ` CCfld ) $=
        ( ccnfld csubg cfv wcel cc wss c0 wne cv caddc co wral cminusg wa ssriv
        ne0ii ralrimiva cneg wceq cnfldneg syl eqeltrd jca rgen crg cgrp w3a wb
        cnring ringgrp cnfldbas cnfldadd eqid issubg2 mp2b mpbir3an ) CIJKLZCMN
        ZCOPZAQZBQRSCLZBCTZVHIUAKZKZCLZUBZACTZACMEUCDCHUDVNACVHCLZVJVMVPVIBCFUE
        VPVLVHUFZCVPVHMLVLVQUGEVHUHUIGUJUKULIUMLIUNLVEVFVGVOUOUPUQIURABMRCIVKUS
        UTVKVAVBVCVD $.
    $}

    cnsubrglem.4 $e |- 1 e. A $.
    cnsubrglem.5 $e |- ( ( x e. A /\ y e. A ) -> ( x x. y ) e. A ) $.
    $( Lemma for ~ resubdrg and friends.  (Contributed by Mario Carneiro,
       4-Dec-2014.) $)
    cnsubrglem $p |- A e. ( SubRing ` CCfld ) $=
      ( ccnfld csubrg cfv wcel csubg c1 cv cmul co wral cnsubglem rgen2 crg w3a
      wb cnring cc cnfldbas cnfld1 cnfldmul issubrg2 ax-mp mpbir3an ) CIJKLZCIM
      KLZNCLZAOBOPQCLZBCRACRZABCNDEFGSGUOABCCHTIUALULUMUNUPUBUCUDABCUEIPNUFUGUH
      UIUJUK $.

    cnsubrglem.6 $e |- ( ( x e. A /\ x =/= 0 ) -> ( 1 / x ) e. A ) $.
    $( Lemma for ~ resubdrg and friends.  (Contributed by Mario Carneiro,
       4-Dec-2014.) $)
    cnsubdrglem $p |-
        ( A e. ( SubRing ` CCfld ) /\ ( CCfld |`s A ) e. DivRing ) $=
      ( ccnfld cfv wcel co cdr cc0 cdif cndrng eqid cnfld0 cc csubrg cnsubrglem
      cress cv cinvr csn wral wb issubdrg mp2an c1 cdiv wceq cnring ssriv ssdif
      crg wss ax-mp sseli cnfldbas drngui cnflddiv cnfld1 ringinvdv sylancr wne
      wa eldifsn sylbi eqeltrd mprgbir pm3.2i ) CJUAKLZJCUCMZNLZABCDEFGHUBZVPAU
      DZJUEKZKZCLZACOUFZPZJNLVNVPWAAWCUGUHQVQACJVOVSOVORSVSRZUIUJVRWCLZVTUKVRUL
      MZCWEJUQLVRTWBPZLVTWFUMUNWCWGVRCTURWCWGURACTDUOCTWBUPUSUTTULJWGUKVSVRVATJ
      OVASQVBVCVDWDVEVFWEVRCLVROVGVHWFCLVRCOVIIVJVKVLVM $.
  $}

  ${
    $d x y z R $.
    $( The rational numbers form a division subring of the complex numbers.
       (Contributed by Mario Carneiro, 4-Dec-2014.) $)
    qsubdrg $p |-
        ( QQ e. ( SubRing ` CCfld ) /\ ( CCfld |`s QQ ) e. DivRing ) $=
      ( vx vy cq cv qcn qaddcl qnegcl cz c1 1z sselii qmulcl qreccl cnsubdrglem
      zssq ) ABCADZEPBDZFPGHCIOJKPQLPMN $.

    $( The integers form a subring of the complex numbers.  (Contributed by
       Mario Carneiro, 4-Dec-2014.) $)
    zsubrg $p |- ZZ e. ( SubRing ` CCfld ) $=
      ( vx vy cz cv zcn zaddcl znegcl 1z zmulcl cnsubrglem ) ABCADZEKBDZFKGHKLI
      J $.

    $( The gaussian integers form a subring of the complex numbers.
       (Contributed by Mario Carneiro, 4-Dec-2014.) $)
    gzsubrg $p |- Z[i] e. ( SubRing ` CCfld ) $=
      ( vx vy cgz cv gzcn gzaddcl gznegcl c1 cz 1z zgz ax-mp gzmulcl cnsubrglem
      wcel ) ABCADZEPBDZFPGHIOHCOJHKLPQMN $.

    $( The nonnegative integers form a submonoid of the complex numbers.
       (Contributed by Mario Carneiro, 18-Jun-2015.) $)
    nn0subm $p |- NN0 e. ( SubMnd ` CCfld ) $=
      ( vx vy cn0 cv nn0cn nn0addcl 0nn0 cnsubmlem ) ABCADZEIBDFGH $.

    $( The nonnegative reals form a submonoid of the complex numbers.
       (Contributed by Mario Carneiro, 20-Jun-2015.) $)
    rege0subm $p |- ( 0 [,) +oo ) e. ( SubMnd ` CCfld ) $=
      ( vx vy cc0 cpnf cico co cv wcel rge0ssre sseli recnd 0e0icopnf cnsubmlem
      cr ge0addcl ) ABCDEFZAGZPHQPNQIJKQBGOLM $.

    $( The regular absolute value function on the complex numbers is in fact an
       absolute value under our definition.  (Contributed by Mario Carneiro,
       4-Dec-2014.) $)
    absabv $p |- abs e. ( AbsVal ` CCfld ) $=
      ( vx vy cabs ccnfld cfv wcel wtru caddc cmul cc0 wceq a1i wne wbr 3adant1
      cc cv wa co ad2ant2r cabv eqidd cbs cnfldbas cplusg cnfldadd cnfldmul c0g
      cmulr cnfld0 crg cnring cr wf absf clt absgt0 biimpa absmul abstri isabvd
      abs0 cle mptru ) CDUAEZFGABVEPHDICJGVEUBPDUCEKGUDLHDUEEKGUFLIDUIEKGUGLJDU
      HEKGUJLDUKFGULLPUMCUNGUOLJCEJKGVBLAQZPFZVFJMZJVFCEZUPNZGVGVHVJVFUQUROVGVH
      RZBQZPFZVLJMZRZVFVLISCEVIVLCEZISKZGVGVMVQVHVNVFVLUSTOVKVOVFVLHSCEVIVPHSVC
      NZGVGVMVRVHVNVFVLUTTOVAVD $.

    $( The integers are a subset of any subring of the complex numbers.
       (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    zsssubrg $p |- ( R e. ( SubRing ` CCfld ) -> ZZ C_ R ) $=
      ( vx ccnfld csubrg cfv wcel cz cv wa c1 cmg co cmul wceq ax-1cn cnfldmulg
      cc simpr sylancl adantr zcn adantl mulid1d eqtrd csubg subrgsubg subrg1cl
      cnfld1 eqid subgmulgcl syl3anc eqeltrrd ex ssrdv ) ACDEFZBGAUOBHZGFZUPAFU
      OUQIZUPJCKEZLZUPAURUTUPJMLZUPURUQJQFUTVANUOUQRZOUPJPSURUPUQUPQFUOUPUAUBUC
      UDURACUEEFZUQJAFZUTAFUOVCUQACUFTVBUOVDUQACJUHUGTAUSCUPJUSUIUJUKULUMUN $.

    $( The rational numbers are a subset of any subfield of the complex
       numbers.  (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    qsssubdrg $p |- ( ( R e. ( SubRing ` CCfld ) /\
      ( CCfld |`s R ) e. DivRing ) -> QQ C_ R ) $=
      ( vz vx vy ccnfld cfv wcel co wa cq cv cdiv wceq cn wrex cz ad2antrr eqid
      sseldd cc0 csubrg cdr elq cdvr cbs crg cui drngring ad2antlr wss zsssubrg
      cress subrgbas sseqtrd simprl c0g wne nnz ad2antll nnne0 cnfld0 subrg0 wb
      neeqtrd drngunit dvrcl syl3anc simpll cnflddiv subrgdv 3eltr4d syl5ibrcom
      mpbir2and eleq1 rexlimdvva syl5bi ssrdv ) AEUAFGZEAULHZUBGZIZBJABKZJGWBCK
      ZDKZLHZMZDNOCPOWAWBAGZCDWBUCWAWFWGCDPNWAWCPGZWDNGZIZIZWGWFWEAGWKWCWDVSUDF
      ZHZVSUEFZWEAWKVSUFGZWCWNGWDVSUGFZGZWMWNGVTWOVRWJVSUHUIWKPWNWCWKPAWNVRPAUJ
      VTWJAUKQZVRAWNMVTWJAEVSVSRZUMQZUNZWAWHWIUOZSWKWQWDWNGZWDVSUPFZUQZWKPWNWDX
      AWIWDPGWAWHWDURUSSWKWDTXDWIWDTUQWAWHWDUTUSVRTXDMVTWJAEVSTWSVAVBQVDVTWQXCX
      EIVCVRWJWNVSWPWDXDWNRZWPRZXDRVEUIVMZWNWLVSWPWCWDXFXGWLRZVFVGWKVRWCAGWQWEW
      MMVRVTWJVHWKPAWCWRXBSXHALEVSWPWLWCWDWSVIXGXIVJVGWTVKWBWEAVNVLVOVPVQ $.

    $( There are no subrings of the complex numbers strictly between ` RR ` and
       ` CC ` .  (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    cnsubrg $p |- ( ( R e. ( SubRing ` CCfld ) /\ RR C_ R ) ->
      R e. { RR , CC } ) $=
      ( vx ccnfld cfv wcel cr wss wa cc wceq c0 simplr syl ci co caddc ad2antll
      cmul sseldd syl3anc vy csubrg cpr wo cdif ssdif0 simpr eqssd sylan2br wne
      orcd cv wex n0 simpll cnfldbas subrgss cre cim replim recl c1 cdiv ax-icn
      a1i eldifi adantl recnd wn cc0 eldifn wb reim0b necon3bbid mpbid divcan4d
      imcl mulcl sylancr divrecd eqtr3d cneg cmin negsubd oveq1d pncan2d 3eqtrd
      recld renegcld cnfldadd subrgacl eqeltrrd rereccld cnfldmul subrgmcl expr
      eqeltrd adantrr ssrdv olcd ex exlimdv imp sylan2b pm2.61dane elprg adantr
      mpbird ) ACUBDZEZFAGZHZAFIUCEZAFJZAIJZUDZXLXPAFUEZKXQKJXLAFGZXPAFUFXLXRHZ
      XNXOXSAFXLXRUGXJXKXRLUHUKUIXQKUJXLBULZXQEZBUMZXPBXQUNXLYBXPXLYAXPBXLYAXPX
      LYAHZXOXNYCAIYCXJAIGXJXKYAUOZAICUPUQMZYCUAIAXLYAUAULZIEZYFAEXLYAYGHZHZYFY
      FURDZNYFUSDZROZPOZAYGYFYMJXLYAYFUTQYIXJYJAEYLAEZYMAEXJXKYHUOZYIFAYJXJXKYH
      LZYGYJFEXLYAYFVAQSYIXJNAEZYKAEYNYOXLYAYQYGYCNNXTUSDZROZVBYRVCOZROZAYCYSYR
      VCONUUAYCNYRNIEZYCVDVEYCYRYCXTIEZYRFEYCAIXTYEYAXTAEZXLXTAFVFVGZSZXTVQMZVH
      ZYCXTFEZVIZYRVJUJZYAUUJXLXTAFVKVGYCUUCUUJUUKVLUUFUUCUUIYRVJXTVMVNMVOZVPYC
      YSYRYCUUBYRIEYSIEVDUUHNYRVRVSZUUHUULVTWAYCXJYSAEYTAEUUAAEYDYCXTXTURDZWBZP
      OZYSAYCUUPXTUUNWCOUUNYSPOZUUNWCOYSYCXTUUNUUFYCUUNYCXTUUFWHZVHZWDYCXTUUQUU
      NWCYCUUCXTUUQJUUFXTUTMWEYCUUNYSUUSUUMWFWGYCXJUUDUUOAEUUPAEYDUUEYCFAUUOXJX
      KYALZYCUUNUURWISAPCXTUUOWJWKTWLYCFAYTUUTYCYRUUGUULWMSACRYSYTWNWOTWQWRYIFA
      YKYPYGYKFEXLYAYFVQQSACRNYKWNWOTAPCYJYLWJWKTWQWPWSUHWTXAXBXCXDXEXJXMXPVLXK
      AFIXIXFXGXH $.
  $}

  ${
    $d x y A $.  $d x y M $.
    cnmgpabl.m $e |- M = ( ( mulGrp ` CCfld ) |`s ( CC \ { 0 } ) ) $.
    $( The unit group of the complex numbers is an abelian group.  (Contributed
       by Mario Carneiro, 21-Jun-2015.) $)
    cnmgpabl $p |- M e. Abel $=
      ( ccnfld ccrg wcel cabl cncrng cc0 csn cdif cnfldbas cnfld0 cndrng drngui
      cc unitabl ax-mp ) CDEAFEGCOHIJAOCHKLMNBPQ $.

    $( The group identity element of nonzero complex number multiplication is
       one.  (Contributed by Steve Rodriguez, 23-Feb-2007.)  (Revised by AV,
       26-Aug-2021.) $)
    cnmgpid $p |- ( 0g ` M ) = 1 $=
      ( ccnfld crg wcel cc cc0 csn cdif wss c1 c0g cfv wceq cnring difss ax-1cn
      wne ax-1ne0 eldifsn mpbir2an w3a cnfldbas cnfld1 ringidss eqcomd mp3an )
      CDEZFGHZIZFJZKUJEZALMZKNOFUIPULKFEKGRQSKFGTUAUHUKULUBKUMUJFCKABUCUDUEUFUG
      $.

    ${
      cnmsubglem.1 $e |- ( x e. A -> x e. CC ) $.
      cnmsubglem.2 $e |- ( x e. A -> x =/= 0 ) $.
      cnmsubglem.3 $e |- ( ( x e. A /\ y e. A ) -> ( x x. y ) e. A ) $.
      cnmsubglem.4 $e |- 1 e. A $.
      cnmsubglem.5 $e |- ( x e. A -> ( 1 / x ) e. A ) $.
      $( Lemma for ~ rpmsubg and friends.  (Contributed by Mario Carneiro,
         21-Jun-2015.) $)
      cnmsubglem $p |- A e. ( SubGrp ` M ) $=
        ( cfv wcel cc cc0 wss wne cmul ccnfld wceq cvv csubg cdif c0 cv co wral
        csn cinvr wa eldifsn sylanbrc ssriv c1 ne0ii ralrimiva cnfldinv syl2anc
        cdiv eqeltrd jca rgen cabl cgrp w3a cnmgpabl ablgrp cbs difss cmgp eqid
        wb cnfldbas mgpbas ressbas2 ax-mp cplusg cnex difexg cnfldmul ressplusg
        mgpplusg mp2b cnfld0 cndrng drngui invrfval issubg2 mpbir3an ) CDUAKLZC
        MNUGZUBZOZCUCPZAUDZBUDQUECLZBCUFZWNRUHKZKZCLZUIZACUFZACWKWNCLZWNMLZWNNP
        ZWNWKLFGWNMNUJUKULUMCIUNWTACXBWPWSXBWOBCHUOXBWRUMWNURUEZCXBXCXDWRXESFGW
        NUPUQJUSUTVADVBLDVCLWIWLWMXAVDVKDEVEDVFABWKQCDWQWKMOWKDVGKSMWJVHWKMDRVI
        KZEMRXFXFVJZVLVMVNVOMTLWKTLQDVPKSVQMWJTVRWKQXFDTERQXFXGVSWAVTWBRWKDWQMR
        NVLWCWDWEEWQVJWFWGWBWH $.
    $}

    $( The positive reals form a multiplicative subgroup of the complex
       numbers.  (Contributed by Mario Carneiro, 21-Jun-2015.) $)
    rpmsubg $p |- RR+ e. ( SubGrp ` M ) $=
      ( vx vy crp cv rpcn rpne0 rpmulcl 1rp rpreccl cnmsubglem ) CDEABCFZGMHMDF
      IJMKL $.
  $}

  ${
    gzrng.1 $e |- Z = ( CCfld |`s Z[i] ) $.
    $( Lemma for ~ gzrngunit .  (Contributed by Mario Carneiro, 4-Dec-2014.) $)
    gzrngunitlem $p |- ( A e. ( Unit ` Z ) -> 1 <_ ( abs ` A ) ) $=
      ( cfv wcel c1 cle wbr c2 cexp co cc0 cgz ccnfld wceq wb gzsubrg ax-mp syl
      mp2b cui cabs sq1 cn ax-1ne0 csubrg subrgring eqid csubg subrgsubg cnfld0
      crg c0g subg0 cur cnfld1 subrg1 0unit nemtbir wn cn0 cbs unitcl gzabssqcl
      wo subrgbas elnn0 sylib ord gzcn abscld recnd sqeq0 abs00ad eleq1 biimpcd
      cc sylbid syld mt3i nnge1d eqbrtrid cr absge0d 0le1 le2sq mpanl12 syl2anc
      wa 1re mpbird ) ABUADZEZFAUBDZGHZFIJKZWNIJKZGHZWMWPFWQGUCWMWQWMWQUDEZLWLE
      ZWTFLUEMNUFDEZBULEWTFLOPQMNBCUGBWLFLWLUHZXAMNUIDELBUMDOQMNUJMNBLCUKUNTXAF
      BUODOQMNBFCUPUQRURTUSWMWSUTWQLOZWTWMWSXCWMWQVAEZWSXCVEWMAMEZXDMBWLAXAMBVB
      DOQMNBCVFRXBVCZAVDSWQVGVHVIWMXCWNLOZWTWMWNVQEXCXGPWMWNWMAWMXEAVQEXFAVJSZV
      KZVLWNVMSWMXGALOZWTWMAXHVNXJWMWTALWLVOVPVRVRVSVTWAWBWMWNWCEZLWNGHZWOWRPZX
      IWMAXHWDFWCELFGHXKXLWIXMWJWEFWNWFWGWHWK $.

    $( The units on ` ZZ [ _i ] ` are the gaussian integers with norm ` 1 ` .
       (Contributed by Mario Carneiro, 4-Dec-2014.) $)
    gzrngunit $p |- ( A e. ( Unit ` Z ) <->
      ( A e. Z[i] /\ ( abs ` A ) = 1 ) ) $=
      ( cfv wcel cgz cabs c1 wceq ccnfld gzsubrg ax-mp eqid cle wbr cdiv co cc0
      cc wne cui wa csubrg cbs subrgbas unitcl cinvr subrginv mpan gzcn 0red cr
      syl 1re a1i clt 0lt1 gzrngunitlem ltletrd gt0ne0d abs00ad necon3bid mpbid
      abscld cnfldinv syl2anc subrgring unitinvcl eqeltrrd 1cnd absdivd breqtrd
      eqtr3d 1div1e1 abs1 eqcomi oveq1i 3brtr4g wb lerec syl22anc mpbird letri3
      crg sylancl mpbir2and jca csn cdif adantr simpr ax-1ne0 fveq2 abs0 eqtrdi
      eqnetrd necon3i eldifsn sylanbrc simpl ccj cmul cexp absvalsqd oveq1d sq1
      c2 cjcld divcan3d 3eqtr2d gzcjcl eqeltrd cnfldbas cnfld0 cndrng subrgunit
      w3a drngui syl3anbrc impbii ) ABUADZEZAFEZAGDZHIZUBZYBYCYEFBYAAFJUCDEZFBU
      DDIKFJBCUELYAMZUFZYBYEYDHNOZHYDNOZYBYJHHPQZHYDPQZNOZYBHHGDZYDPQZYLYMNYBHH
      APQZGDZYPNYBYQYAEHYRNOYBABUGDZDZYQYAYBAJUGDZDZYTYQYGYBUUBYTIKFJBYAUUAYSAC
      UUAMZYHYSMZUHUIYBASEZARTZUUBYQIZYBYCUUEYIAUJZUMZYBYDRTZUUFYBYDYBRHYDYBUKH
      ULEZYBUNUOZYBAUUIVDZRHUPOZYBUQUOZABCURZUSZUTYBYDRARYBAUUIVAVBVCZAVEZVFVMB
      WDEZYBYTYAEYGUUTKFJBCVGLBYAYSAYHUUDVHUIVIYQBCURUMYBHAYBVJUUIUURVKVLVNHYOY
      DPYOHVOVPVQVRYBYDULEZRYDUPOUUKUUNYJYNVSUUMUUQUULUUOYDHVTWAWBUUPYBUVAUUKYE
      YJYKUBVSUUMUNYDHWCWEWFWGYFASRWHWIZEZYCUUBFEZYBYFUUEUUFUVCYCUUEYEUUHWJZYFU
      UJUUFYFYDHRYCYEWKZHRTYFWLUOWPARYDRARIYDRGDRARGWMWNWOWQUMZASRWRWSYCYEWTYFU
      UBAXADZFYFUUBYQAUVHXBQZAPQUVHYFUUEUUFUUGUVEUVGUUSVFYFUVIHAPYFYDXGXCQZUVIH
      YFAUVEXDYFUVJHXGXCQHYFYDHXGXCUVFXEXFWOVMXEYFUVHAYFAUVEXHUVEUVGXIXJYCUVHFE
      YEAXKWJXLYGYBUVCYCUVDXQVSKFJBUVBUUAYAACSJRXMXNXOXRYHUUCXPLXSXT $.
  $}

  ${
    $d f k n x A $.  $d f n x B $.  $d f k n x ph $.
    gsumfsum.1 $e |- ( ph -> A e. Fin ) $.
    gsumfsum.2 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    $( Relate a group sum on ` CCfld ` to a finite sum on the complex numbers.
       (Contributed by Mario Carneiro, 28-Dec-2014.) $)
    gsumfsum $p |- ( ph -> ( CCfld gsum ( k e. A |-> B ) ) = sum_ k e. A B ) $=
      ( vf vx c0 wceq ccnfld cgsu co csu cfv wcel cv wa cc0 cc vn cmpt chash cn
      c1 cfz wf1o wex mpteq1 mpt0 eqtrdi oveq2d cnfld0 gsum0 sum0 eqtr4i sumeq1
      wi eqtr4d a1i caddc ccom cseq cfn csupp ccntz cnfldbas cnfldadd eqid cmnd
      crg cnring ringmnd mp1i adantr wf fmpttd ccmn ringcmn cntzcmnf simprl wf1
      simprr f1of1 syl crn suppssdm fssdm wfo f1ofo forn 3syl sseqtrrd gsumval3
      sumfc fveq2 ffvelrnda f1of fvco3 fsum eqtr3id expr exlimdv expimpd fz1f1o
      sylan wo mpjaod ) ABIJZKDBCUBZLMZBCDNZJZBUCOZUDPZUEXNUFMZBGQZUGZGUHZRZXIX
      MURAXIXKICDNZXLXIXKKILMZYAXIXJIKLXIXJDICUBIDBICUIDCUJUKULYBSYAKSUMUNCDUOU
      PUKBICDUQUSUTAXOXSXMAXORXRXMGAXOXRXMAXOXRRZRZXKXNVAXJXQVBZUEVCOZXLYDBTVAX
      JKXQXNVDYESVEMZSKVFOZVGUMVHYHVIZKVKPZKVJPYDVLKVMVNABVDPZYCEVOABTXJVPYCADB
      CTFVQVOZYDBTXJKYHVGYIYJKVRPYDVLKVSVNYLVTAXOXRWAZYDXRXPBXQWBAXOXRWCZXPBXQW
      DWEYDXJSVEMZBXQWFZYDBTYOXJXJSWGYLWHYDXRXPBXQWIYPBJYNXPBXQWJXPBXQWKWLWMYGV
      IWNYDXLBHQZXJOZHNYFBCHDWOYDBYRUAQZXQOZXJOZHUAXQYEXNYQYTXJWPYMYNYDBTYQXJYL
      WQYDXPBXQVPZYSXPPYSYEOUUAJYDXRUUBYNXPBXQWRWEXPBYSXJXQWSXFWTXAUSXBXCXDAYKX
      IXTXGEBGXEWEXH $.
  $}

  ${
    $d k A $.  $d k x ph $.
    regsumfsum.1 $e |- ( ph -> A e. Fin ) $.
    regsumfsum.2 $e |- ( ( ph /\ k e. A ) -> B e. RR ) $.
    $( Relate a group sum on ` ( CCfld |``s RR ) ` to a finite sum on the
       reals.  Cf. ~ gsumfsum .  (Contributed by Thierry Arnoux,
       7-Sep-2018.) $)
    regsumfsum $p |- ( ph -> ( ( CCfld |`s RR ) gsum ( k e. A |-> B ) )
                         = sum_ k e. A B ) $=
      ( vx ccnfld cgsu co cr cc caddc cvv cc0 wcel a1i cv wa wceq cress csu cfn
      cmpt cnfldbas cnfldadd eqid cnfldex ax-resscn fmpttd 0red addid2d addid1d
      wss simpr jca gsumress recnd gsumfsum eqtr3d ) AHDBCUDZIJHKUAJZVAIJBCDUBA
      GBLMKVAHVBNUCOUEUFVBUGHNPAUHQEKLUNAUIQADBCKFUJAUKAGRZLPZSZOVCMJVCTVCOMJVC
      TVEVCAVDUOZULVEVCVFUMUPUQABCDEADRBPSCFURUSUT $.
  $}

  ${
    $d x y z A $.  $d y z M $.  $d y z N $.
    expmhm.1 $e |- N = ( CCfld |`s NN0 ) $.
    expmhm.2 $e |- M = ( mulGrp ` CCfld ) $.
    $( Exponentiation is a monoid homomorphism from addition to multiplication.
       (Contributed by Mario Carneiro, 18-Jun-2015.) $)
    expmhm $p |- ( A e. CC -> ( x e. NN0 |-> ( A ^ x ) ) e. ( N MndHom M ) ) $=
      ( vy vz cc wcel cn0 cexp co caddc cfv cmul wceq cc0 ax-mp ccnfld cv wf c1
      cmpt wral cmhm expcl fmpttd expadd 3expb nn0addcl adantl oveq2 eqid fvmpt
      wa ovex syl oveqan12d 3eqtr4d ralrimivva 0nn0 exp0 eqtrid csubmnd nn0subm
      cmnd w3a submmnd crg cnring ringmgp pm3.2i submbas cnfldbas mgpbas cplusg
      cbs cnfldadd ressplusg cnfldmul mgpplusg c0g cnfld0 subm0 ringidval ismhm
      cnfld1 mpbiran syl3anbrc ) BIJZKIAKBAUAZLMZUDZUBZGUAZHUAZNMZWNOZWPWNOZWQW
      NOZPMZQZHKUEGKUEZRWNOZUCQZWNDCUFMJZWKAKWMIBWLUGUHWKXCGHKKWKWPKJZWQKJZUPZU
      PZBWRLMZBWPLMZBWQLMZPMZWSXBWKXHXIXLXOQBWPWQUIUJXKWRKJZWSXLQXJXPWKWPWQUKUL
      AWRWMXLKWNWLWRBLUMWNUNZBWRLUQUOURXJXBXOQWKXHXIWTXMXAXNPAWPWMXMKWNWLWPBLUM
      XQBWPLUQUOAWQWMXNKWNWLWQBLUMXQBWQLUQUOUSULUTVAWKXEBRLMZUCRKJXEXRQVBARWMXR
      KWNWLRBLUMXQBRLUQUOSBVCVDXGDVGJZCVGJZUPWOXDXFVHXSXTKTVEOZJZXSVFKDTEVISTVJ
      JXTVKTCFVLSVMGHKINPDCWNUCRYBKDVROQVFKDTEVNSITCFVOVPYBNDVQOQVFKNTDYAEVSVTS
      TPCFWAWBYBRDWCOQVFKDTREWDWESTUCCFWHWFWGWIWJ $.
  $}

  ${
    $d x y z $.
    $( The nonnegative integers form a semiring (commutative by ~ subcmn ).
       (Contributed by Thierry Arnoux, 1-May-2018.) $)
    nn0srg $p |- ( CCfld |`s NN0 ) e. SRing $=
      ( vx vy vz ccnfld cn0 co wcel ccmn cfv cmnd caddc cmul wceq wa wral ax-mp
      cc0 eqid cvv cc cress csrg cmgp cv csubmnd cnring ringcmn nn0subm submcmn
      crg mp2an nn0ex mgpress wss c1 nn0sscn 1nn0 nn0mulcl rgen2 w3a wb ringmgp
      cnfldbas mgpbas cnfld1 cnfldmul mgpplusg issubm mpbir3an submmnd eqeltrri
      ringidval simpl nn0cnd simprl simprr adddid adddird jca ralrimivva mul02d
      nn0cn mul01d jca32 rgen ressbas2 cplusg cnfldadd ressplusg cmulr ressmulr
      cbs c0g ringmnd 0nn0 cnfld0 ress0g mp3an issrg ) DEUAFZUBGWTHGZWTUCIZJGAU
      DZBUDZCUDZKFLFXCXDLFZXCXELFZKFMZXCXDKFXELFXGXDXELFKFMZNZCEOBEOZQXCLFQMZXC
      QLFQMZNNZAEODHGZEDUEIGXADUJGZXOUFDUGPZUHEDWTWTRZUIUKDUCIZEUAFZXBJXOESGZXT
      XBMXQULEDWTXSHSXRXSRZUMUKEXSUEIGZXTJGYCETUNZUOEGZXFEGZBEOAEOZUPUQYFABEEXC
      XDURUSXSJGZYCYDYEYGUTVAXPYHUFDXSYBVBPABTLEXSUOTDXSYBVCVDDUOXSYBVEVLDLXSYB
      VFVGVHPVIEXTXSXTRVJPVKXNAEXCEGZXKXLXMYIXJBCEEYIXDEGZXEEGZNZNZXHXIYMXCXDXE
      YMXCYIYLVMVNZYMXDYIYJYKVOVNZYMXEYIYJYKVPVNZVQYMXCXDXEYNYOYPVRVSVTYIXCXCWB
      ZWAYIXCYQWCWDWEABCEKWTLXBQYDEWTWLIMUPETWTDXRVCWFPXBRYAKWTWGIMULEKDWTSXRWH
      WIPYALWTWJIMULEDWTLSXRVFWKPDJGZQEGYDQWTWMIMXPYRUFDWNPWOUPETDWTQXRVCWPWQWR
      WSVI $.
  $}

  ${
    $d x y z $.
    $( The nonnegative real numbers form a semiring (commutative by ~ subcmn ).
       (Contributed by Thierry Arnoux, 6-Sep-2018.) $)
    rge0srg $p |- ( CCfld |`s ( 0 [,) +oo ) ) e. SRing $=
      ( vx vy vz ccnfld cc0 cpnf co wcel cfv cmnd cv caddc cmul wceq wral ax-mp
      wa cc c1 cvv cico cress csrg ccmn cmgp csubmnd crg ringcmn rege0subm eqid
      cnring submcmn mp2an wss cr rge0ssre ax-resscn sstri cle wbr clt 1re 0le1
      ltpnf cxr w3a wb 0re pnfxr elico2 mpbir3an ge0mulcl rgen2 cnfldbas mgpbas
      ringmgp cnfld1 cnfldmul mgpplusg issubm mp2b submmnd simpll sselid simplr
      ringidval simpr adddid adddird jca ralrimiva sseli mul02d mul01d rgen cbs
      jca32 ressbas2 cnfldex ovex mgpress cnfldadd ressplusg cmulr ressmulr c0g
      cplusg ringmnd 0e0icopnf cnfld0 ress0g mp3an issrg ) DEFUAGZUBGZUCHXOUDHZ
      DUEIZXNUBGZJHZAKZBKZCKZLGMGXTYAMGZXTYBMGZLGNZXTYALGYBMGYDYAYBMGLGNZQZCXNO
      ZBXNOZEXTMGENZXTEMGENZQQZAXNODUDHZXNDUFIHXPDUGHZYMUKDUHPUIXNDXOXOUJZULUMX
      NXQUFIHZXSYPXNRUNZSXNHZYCXNHZBXNOAXNOZXNUORUPUQURZYRSUOHZESUSUTZSFVAUTZVB
      VCUUBUUDVBSVDPEUOHFVEHYRUUBUUCUUDVFVGVHVIEFSVJUMVKYSABXNXNXTYAVLVMYNXQJHY
      PYQYRYTVFVGUKDXQXQUJZVPABRMXNXQSRDXQUUEVNVODSXQUUEVQWFDMXQUUEVRVSVTWAVKXN
      XRXQXRUJWBPYLAXNXTXNHZYIYJYKUUFYHBXNUUFYAXNHZQZYGCXNUUHYBXNHZQZYEYFUUJXTY
      AYBUUJXNRXTUUAUUFUUGUUIWCWDZUUJXNRYAUUAUUFUUGUUIWEWDZUUJXNRYBUUAUUHUUIWGW
      DZWHUUJXTYAYBUUKUULUUMWIWJWKWKUUFXTXNRXTUUAWLZWMUUFXTUUNWNWQWOABCXNLXOMXR
      EYQXNXOWPINUUAXNRXODYOVNWRPDTHXNTHZXRXOUEINWSEFUAWTZXNDXOXQTTYOUUEXAUMUUO
      LXOXGINUUPXNLDXOTYOXBXCPUUOMXOXDINUUPXNDXOMTYOVRXEPDJHZEXNHYQEXOXFINYNUUQ
      UKDXHPXIUUAXNRDXOEYOVNXJXKXLXMVK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ring of integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  According to Wikipedia ("Integer", 25-May-2019,
  ~ https://en.wikipedia.org/wiki/Integer ) "The integers form a unital ring
  which is the most basic one, in the following sense: for any unital ring,
  there is a unique ring homomorphism from the integers into this ring.  This
  universal property, namely to be an initial object in the category of
  [[unital] rings, characterizes the ring ` Z ` ."  In set.mm, there was no
  explicit definition for the ring of integers until June 2019, but it was
  denoted by ` ( CCfld |``s ZZ ) ` , the field of complex numbers restricted to
  the integers.  In ~ zringring it is shown that this restriction is a ring (it
  is actually a principal ideal ring as shown in ~ zringlpir ), and ~ zringbas
  shows that its base set is the integers.  As of June 2019, there is an
  abbreviation of this expression as Definition ~ df-zring of the ring of
  integers.

  Remark: Instead of using the symbol "ZZrng" analogous to ` CCfld ` used for
  the field of complex numbers, we have chosen the version with an "i" to
  indicate that the ring of integers is a unital ring, see also Wikipedia ("Rng
  (algebra)", 9-Jun-2019, ~ https://en.wikipedia.org/wiki/Rng_(algebra) ).

$)

  $c ZZring $.

  $( Extend class notation with the (unital) ring of integers. $)
  zring $a class ZZring $.

  $( The (unital) ring of integers.  (Contributed by Alexander van der Vekens,
     9-Jun-2019.) $)
  df-zring $a |- ZZring = ( CCfld |`s ZZ ) $.

  $( The ring of integers is a commutative ring.  (Contributed by AV,
     13-Jun-2019.) $)
  zringcrng $p |- ZZring e. CRing $=
    ( ccnfld ccrg wcel csubrg cfv zring cncrng zsubrg df-zring subrgcrng mp2an
    cz ) ABCLADECFBCGHLAFIJK $.

  $( The ring of integers is a ring.  (Contributed by AV, 20-May-2019.)
     (Revised by AV, 9-Jun-2019.)  (Proof shortened by AV, 13-Jun-2019.) $)
  zringring $p |- ZZring e. Ring $=
    ( zring ccrg wcel crg zringcrng crngring ax-mp ) ABCADCEAFG $.

  $( The ring of integers is an (additive) abelian group.  (Contributed by AV,
     13-Jun-2019.) $)
  zringabl $p |- ZZring e. Abel $=
    ( zring crg wcel cabl zringring ringabl ax-mp ) ABCADCEAFG $.

  $( The ring of integers is an (additive) group.  (Contributed by AV,
     10-Jun-2019.) $)
  zringgrp $p |- ZZring e. Grp $=
    ( zring crg wcel cgrp zringring ringgrp ax-mp ) ABCADCEAFG $.

  $( The integers are the base of the ring of integers.  (Contributed by
     Thierry Arnoux, 31-Oct-2017.)  (Revised by AV, 9-Jun-2019.) $)
  zringbas $p |- ZZ = ( Base ` ZZring ) $=
    ( cz wss zring cbs cfv wceq zsscn ccnfld df-zring cnfldbas ressbas2 ax-mp
    cc ) AMBACDEFGAMCHIJKL $.

  $( The addition operation of the ring of integers.  (Contributed by Thierry
     Arnoux, 8-Nov-2017.)  (Revised by AV, 9-Jun-2019.) $)
  zringplusg $p |- + = ( +g ` ZZring ) $=
    ( cz cvv wcel caddc zring cplusg cfv zex ccnfld df-zring cnfldadd ressplusg
    wceq ax-mp ) ABCDEFGMHADIEBJKLN $.

  ${
    $d x y $.
    $( The multiplication (group power) operation of the group of integers.
       (Contributed by Thierry Arnoux, 31-Oct-2017.)  (Revised by AV,
       9-Jun-2019.) $)
    zringmulg $p |- ( ( A e. ZZ /\ B e. ZZ )
                      -> ( A ( .g ` ZZring ) B ) = ( A x. B ) ) $=
      ( vx vy cz wcel wa ccnfld cmg cfv co zring cmul csubg wceq c1 cv zcn eqid
      zaddcl znegcl 1z cnsubglem df-zring subgmulg mp3an1 zcnd cnfldmulg syldan
      cc simpr eqtr3d ) AEFZBEFZGZABHIJZKZABLIJZKZABMKZEHNJFUMUNUQUSOCDEPCQZRVA
      DQTVAUAUBUCEURUPHLABUPSUDURSUEUFUMUNBUJFUQUTOUOBUMUNUKUGABUHUIUL $.
  $}

  $( The multiplication operation of the ring of integers.  (Contributed by
     Thierry Arnoux, 1-Nov-2017.)  (Revised by AV, 9-Jun-2019.) $)
  zringmulr $p |- x. = ( .r ` ZZring ) $=
    ( cz cvv wcel cmul zring cmulr wceq ccnfld df-zring cnfldmul ressmulr ax-mp
    cfv zex ) ABCDEFMGNAHEDBIJKL $.

  $( The neutral element of the ring of integers.  (Contributed by Thierry
     Arnoux, 1-Nov-2017.)  (Revised by AV, 9-Jun-2019.) $)
  zring0 $p |- 0 = ( 0g ` ZZring ) $=
    ( ccnfld cmnd wcel cc0 cz cc wss zring c0g cfv wceq ccrg crg cncrng ringmnd
    crngring mp2b 0z zsscn df-zring cnfldbas cnfld0 ress0g mp3an ) ABCZDECEFGDH
    IJKALCAMCUENAPAOQRSEFAHDTUAUBUCUD $.

  $( The multiplicative neutral element of the ring of integers.  (Contributed
     by Thierry Arnoux, 1-Nov-2017.)  (Revised by AV, 9-Jun-2019.) $)
  zring1 $p |- 1 = ( 1r ` ZZring ) $=
    ( cz ccnfld csubrg cfv wcel c1 zring cur wceq zsubrg df-zring cnfld1 subrg1
    ax-mp ) ABCDEFGHDIJABGFKLMN $.

  $( The ring of integers is a nonzero ring.  (Contributed by AV,
     18-Apr-2020.) $)
  zringnzr $p |- ZZring e. NzRing $=
    ( zring cnzr wcel crg c1 cc0 zringring ax-1ne0 zring1 zring0 isnzr mpbir2an
    wne ) ABCADCEFMGHAEFIJKL $.

  ${
    $d x y z $.
    $( Ring divisibility in the ring of integers corresponds to ordinary
       divisibility in ` ZZ ` .  (Contributed by Stefan O'Rear, 3-Jan-2015.)
       (Revised by AV, 9-Jun-2019.) $)
    dvdsrzring $p |- || = ( ||r ` ZZring ) $=
      ( vx vy vz cv cz wcel wa cmul wceq wrex copab cdvds zring cdsr cfv anim1i
      co simpl zmulcl ancoms eleq1 syl5ibcom rexlimdva imp simpr impbii opabbii
      jca31 df-dvds zringbas eqid zringmulr dvdsrval 3eqtr4i ) ADZEFZBDZEFZGZCD
      ZUOHQZUQIZCEJZGZABKUPVCGZABKLMNOZVDVEABVDVEUSUPVCUPURRPVEUPURVCUPVCRUPVCU
      RUPVBURCEUPUTEFZGVAEFZVBURVGUPVHUTUOSTVAUQEUAUBUCUDUPVCUEUHUFUGABCUIABCEV
      FMHUJVFUKULUMUN $.
  $}

  ${
    $d I a $.  $d ph a $.
    zringlpirlem.i $e |- ( ph -> I e. ( LIdeal ` ZZring ) ) $.
    zringlpirlem.n0 $e |- ( ph -> I =/= { 0 } ) $.
    $( Lemma for ~ zringlpir .  A nonzero ideal of integers contains some
       positive integers.  (Contributed by Stefan O'Rear, 3-Jan-2015.)
       (Revised by AV, 9-Jun-2019.) $)
    zringlpirlem1 $p |- ( ph -> ( I i^i NN ) =/= (/) ) $=
      ( va cc0 wne cn wcel wa cfv wceq eleq1 syl5ibrcom zring cminusg ccnfld cz
      eqid adantr cv cin c0 cabs cneg simplr csubg csubrg subrgsubg ax-mp clidl
      zsubrg wss zringbas lidlss sselda df-zring subginv sylancr cc zcnd eqtr3d
      syl cnfldneg crg zringring simpr lidlnegcl mp3an2i eqeltrrd absord mpjaod
      wo zred nnabscl sylan elind ne0d csn wrex zring0 lidlnz r19.29a ) AEUAZFG
      ZBHUBZUCGEBAWDBIZJZWEJZWFWDUDKZWIBHWJWIWJWDLZWJBIZWJWDUEZLZWIWLWKWGAWGWEU
      FWJWDBMNWIWLWNWMBIZWHWOWEWHWDOPKZKZWMBWHWDQPKZKZWQWMWHRQUGKIZWDRIZWSWQLRQ
      UHKIWTULRQUIUJABRWDABOUKKZIZBRUMCRBXBOUNXBSZUOVCUPZRQOWRWPWDUQWRSWPSZURUS
      WHWDUTIWSWMLWHWDXEVAWDVDVCVBOVEIZWHXCWGWQBIVFAXCWGCTAWGVGOXBBWPWDXDXFVHVI
      VJTWJWMBMNWHWKWNVMWEWHWDWHWDXEVNVKTVLWHXAWEWJHIXEWDVOVPVQVRXGAXCBFVSGWEEB
      VTVFCDEOXBBFXDWAWBVIWC $.

    zringlpirlem.g $e |- G = inf ( ( I i^i NN ) , RR , < ) $.
    $( Lemma for ~ zringlpir .  A nonzero ideal of integers contains the least
       positive element.  (Contributed by Stefan O'Rear, 3-Jan-2015.)  (Revised
       by AV, 9-Jun-2019.)  (Revised by AV, 27-Sep-2020.) $)
    zringlpirlem2 $p |- ( ph -> G e. I ) $=
      ( cn cin cr clt cinf c1 cuz cfv wss c0 wne wcel inss2 nnuz sseqtri elin1d
      zringlpirlem1 infssuzcl sylancr eqeltrid ) ABCGHZIJKZCFACGUHAUGLMNZOUGPQU
      HUGRUGGUICGSTUAACDEUCUGLUDUEUBUF $.

    zringlpirlem.x $e |- ( ph -> X e. I ) $.
    $( Lemma for ~ zringlpir .  All elements of a nonzero ideal of integers are
       divided by the least one.  (Contributed by Stefan O'Rear, 3-Jan-2015.)
       (Revised by AV, 9-Jun-2019.)  (Proof shortened by AV, 27-Sep-2020.) $)
    zringlpirlem3 $p |- ( ph -> G || X ) $=
      ( wbr co cn wcel cle cz zring cfv c1 syl2anc cmul caddc cdvds cmo wceq wn
      cc0 wo clt cr crp clidl wss zringbas eqid lidlss syl sseldd zred cin cinf
      cuz c0 inss2 nnuz sseqtri zringlpirlem1 infssuzcl sylancr eqeltrid elin2d
      wne nnrpd modlt zmodcld nn0red nnred ltnled mpbid cdiv cfl cneg cmin zcnd
      nncnd nndivred flcld mulcld negsubd znegcld mulcomd mulneg2d eqtrd oveq2d
      wa modval 3eqtr4rd crg zringring zringlpirlem2 zringmulr lidlmcl syl22anc
      a1i zringplusg lidlacl eqeltrd simpr elind infssuzle eqbrtrid mtand elnn0
      adantr cn0 sylib orel1 sylc wb dvdsval3 mpbird ) ABDUAIZDBUBJZUEUCZAYAKLZ
      UDYCYBUFZYBAYCBYAMIZAYABUGIZYEUDADUHLZBUILZYFADACNDACOUJPZLZCNUKENCYIOULY
      IUMZUNUOHUPZUQZABACKBABCKURZUHUGUSZYNGAYNQUTPZUKZYNVAVJYOYNLYNKYPCKVBVCVD
      ZACEFVEYNQVFVGVHVIZVKZDBVLRAYABAYAADBYLYSVMZVNABYSVOVPVQAYCWMZBYOYAMGUUBY
      QYAYNLYOYAMIYRUUBCKYAAYACLYCAYADDBVRJZVSPZVTZBSJZTJZCADBUUDSJZVTZTJDUUHWA
      JZUUGYAADUUHADYLWBABUUDABYSWCZAUUDAUUCADBYMYSWDWEZWBZWFWGAUUFUUIDTAUUFBUU
      ESJUUIAUUEBAUUEAUUDUULWHZWBUUKWIABUUDUUKUUMWJWKWLAYGYHYAUUJUCYMYTDBWNRWOA
      OWPLZYJDCLUUFCLZUUGCLUUOAWQXBZEHAUUOYJUUENLBCLUUPUUQEUUNABCEFGWRNOSYICUUE
      BYKULWSWTXATOYICDUUFYKXCXDXAXEXLAYCXFXGYAYNQXHVGXIXJAYAXMLYDUUAYAXKXNYCYB
      XOXPABKLDNLXTYBXQYSYLBDXRRXS $.
  $}

  $( The additive inverse of an element of the ring of integers.  (Contributed
     by AV, 24-May-2019.)  (Revised by AV, 10-Jun-2019.) $)
  zringinvg $p |- ( A e. ZZ -> -u A = ( ( invg ` ZZring ) ` A ) ) $=
    ( cz wcel zring cminusg cfv cneg wceq caddc co cc0 zcn negidd cgrp zringgrp
    wb id znegcl zringbas zringplusg zring0 grpinvid1 mp3an2i mpbird eqcomd
    eqid ) ABCZADEFZFZAGZUGUIUJHZAUJIJKHZUGAALMDNCUGUGUJBCUKULPOUGQARBIDUHAUJKS
    TUAUHUFUBUCUDUE $.

  $( The units of ` ZZ ` are the integers with norm ` 1 ` , i.e. ` 1 ` and
     ` -u 1 ` .  (Contributed by Mario Carneiro, 5-Dec-2014.)  (Revised by AV,
     10-Jun-2019.) $)
  zringunit $p |- ( A e. ( Unit ` ZZring )
                    <-> ( A e. ZZ /\ ( abs ` A ) = 1 ) ) $=
    ( zring cfv wcel cz cabs c1 wceq eqid ccnfld cgz cress co ax-mp syl cc0 wne
    cc c2 cexp vx cui wa zringbas unitcl csubrg wss zsubrg cv zgz ssriv gzsubrg
    wb subsubrg mpbir2an df-zring ressabs mp2an eqtr4i subrguss sseli gzrngunit
    simprbi jca csn cdif cinvr zcn adantr simpr ax-1ne0 a1i eqnetrd abs0 eqtrdi
    fveq2 necon3i eldifsn sylanbrc simpl cdiv cnfldinv syl2anc cmul zre absresq
    cr oveq1d sqvald 3eqtr3rd 1cnd divmuld mpbird eqtrd eqeltrd cnfldbas cnfld0
    sq1 w3a cndrng drngui subrgunit syl3anbrc impbii ) ABUBCZDZAEDZAFCZGHZUCZXF
    XGXIEBXEAUDXEIZUEXFAJKLMZUBCZDZXIXEXMAEXLUFCDZXEXMUGXOEJUFCZDZEKUGZUHUAEKUA
    UIUJUKZKXPDZXOXQXRUCUMULKEJXLXLIZUNNUOEXLBXMXEBJELMZXLELMZUPXTXRYCYBHULXSKE
    JXPUQURUSXMIXKUTNVAXNAKDXIAXLYAVBVCOVDXJARPVEVFZDZXGAJVGCZCZEDZXFXJARDZAPQZ
    YEXGYIXIAVHVIZXJXHPQYJXJXHGPXGXIVJZGPQXJVKVLVMAPXHPAPHXHPFCPAPFVPVNVOVQOZAR
    PVRVSXGXIVTZXJYGAEXJYGGAWAMZAXJYIYJYGYOHYKYMAWBWCXJYOAHAAWDMZGHXJXHSTMZASTM
    ZGYPXJAWGDZYQYRHXGYSXIAWEVIAWFOXJYQGSTMGXJXHGSTYLWHWRVOXJAYKWIWJXJGAAXJWKYK
    YKYMWLWMWNYNWOXQXFYEXGYHWSUMUHEJBYDYFXEAUPRJPWPWQWTXAXKYFIXBNXCXD $.

  ${
    $d x y z $.
    $( The integers are a principal ideal ring.  (Contributed by Stefan O'Rear,
       3-Jan-2015.)  (Revised by AV, 9-Jun-2019.)  (Proof shortened by AV,
       27-Sep-2020.) $)
    zringlpir $p |- ZZring e. LPIR $=
      ( vx vy vz zring clpir crg clidl cfv clpidl wss zringring cv cc0 wa cdvds
      wcel wbr wral simpr eqid csn eleq1 wne wrex cn cin clt cinf zringlpirlem2
      cr simpl simpll simplr zringlpirlem3 ralrimiva wceq breq1 ralbidv syl2anc
      rspcev wb dvdsrzring lpigen mpan adantr mpbird zring0 lpi0 pm2.61ne ssriv
      mp1i islpir2 mpbir2an ) DEPDFPZDGHZDIHZJKAVOVPALZVOPZVQVPPZMUAZVPPZVQVTVQ
      VTVPUBVRVQVTUCZNZVSBLZCLZOQZCVQRZBVQUDZWCVQUEUFUJUGUHZVQPWIWEOQZCVQRZWHWC
      WIVQVRWBUKVRWBSWITZUIWCWJCVQWCWEVQPZNWIVQWEVRWBWMULVRWBWMUMWLWCWMSUNUOWGW
      KBWIVQWDWIUPWFWJCVQWDWIWEOUQURUTUSVRVSWHVAZWBVNVRWNKBCOVPDVOVQVOTZVPTZVBV
      CVDVEVFVNWAVRKVPDMWPVGVHVKVIVJVPDVOWPWOVLVM $.

    $( The integers are not a division ring, and therefore not a field.
       (Contributed by AV, 22-Oct-2021.) $)
    zringndrg $p |- ZZring e/ DivRing $=
      ( zring cdr wcel c2 cui cfv cz cabs c1 wceq wa 1ne2 nesymi cr cc0 cle wbr
      2re 0le2 mtbir absid mp2an eqeq1i intnan zringunit crg cdif zringbas eqid
      csn zring0 isdrng wne 2z 2ne0 eldifsn mpbir2an id eleqtrrid simplbiim mto
      nelir ) ABABCZDAEFZCZVEDGCZDHFZIJZKVHVFVHDIJIDLMVGDIDNCODPQVGDJRSDUAUBUCT
      UDDUETVCAUFCVDGOUJUGZJZVEGAVDOUHVDUIUKULVJDVIVDDVICVFDOUMUNUODGOUPUQVJURU
      SUTVAVB $.

    $( The integers are a cyclic group.  (Contributed by Mario Carneiro,
       21-Apr-2016.)  (Revised by AV, 9-Jun-2019.) $)
    zringcyg $p |- ZZring e. CycGrp $=
      ( vx vz zring ccyg wcel wtru cz cmg cfv zringbas eqid ccnfld csubg csubrg
      c1 cgrp df-zring cv co wceq zsubrg subrgsubg ax-mp subggrp mp1i 1zzd wrex
      cmul cc ax-1cn cnfldmulg mpan2 1z subgmulg mp3an13 mulid1d 3eqtr3rd oveq1
      zcn rspceeqv mpdan adantl iscygd mptru ) CDEFAGCHIZBCOJVEKZGLMIEZCPEFGLNI
      EVGUAGLUBUCZGLCQUDUEFUFARZGEZVIBRZOVESZTBGUGZFVJVIVIOVESZTVMVJVIOLHIZSZVI
      OUHSZVNVIVJOUIEVPVQTUJVIOUKULVGVJOGEVPVNTVHUMGVEVOLCVIOVOKQVFUNUOVJVIVIUS
      UPUQBVIGVLVNVIVKVIOVEURUTVAVBVCVD $.
  $}

  ${
    zringsubgval.m $e |- .- = ( -g ` ZZring ) $.
    $( Subtraction in the ring of integers.  (Contributed by AV,
       3-Aug-2019.) $)
    zringsubgval $p |- ( ( X e. ZZ /\ Y e. ZZ ) -> ( X - Y ) = ( X .- Y ) ) $=
      ( cz ccnfld csubg cfv wcel cmin co csubrg zsubrg subrgsubg ax-mp cnfldsub
      wceq zring df-zring subgsub mp3an1 ) EFGHIZBEICEIBCJKBCAKQEFLHIUBMEFNOEFR
      JABCPSDTUA $.
  $}

  $( The multiplication group of the ring of integers is the restriction of the
     multiplication group of the complex numbers to the integers.  (Contributed
     by AV, 15-Jun-2019.) $)
  zringmpg $p |- ( ( mulGrp ` CCfld ) |`s ZZ ) = ( mulGrp ` ZZring ) $=
    ( ccnfld cdr wcel cz cvv cmgp cfv cress zring wceq cndrng zex df-zring eqid
    co mgpress mp2an ) ABCDECAFGZDHOIFGJKLDAIRBEMRNPQ $.

  ${
    $d A x y $.  $d I y $.
    prmirred.i $e |- I = ( Irred ` ZZring ) $.
    $( A positive integer is irreducible over ` ZZ ` iff it is a prime number.
       (Contributed by Mario Carneiro, 5-Dec-2014.)  (Revised by AV,
       10-Jun-2019.) $)
    prmirredlem $p |- ( A e. NN -> ( A e. I <-> A e. Prime ) ) $=
      ( vy cn wcel cprime wa cfv cdvds wbr c1 wceq co cz cmul cc0 ad2antrr cabs
      syl vx c2 cuz cv wo wi wral wne zring crg zringring zring1 irredn1 anim2i
      mpan eluz2b3 sylibr cui cdiv ad2antrl simprr nnne0 dvdsval2 syl3anc mpbid
      nnz wb zcnd nncn divcan2d simplr eqeltrd zringbas eqid zringmulr irredmul
      cc zringunit baib nnnn0 nn0re nn0ge0 absidd eqeq1d bitrd cr nnre nndivred
      cn0 simprl cle nnred nngt0 divge0 syl22anc divmuld mulid1d 3bitrd orbi12d
      clt 1cnd expr ralrimiva isprm2 sylanbrc wn prmz 1nprm prmnn 3syl id eleq1
      syl5ibcom adantld syl5bi dvdsmul1 ad2antlr simpr breqtrd simplrl absdvdsb
      syl2anc breq1 eqeq1 imbi12d simprbi nnne0d simplrr mul02d 3netr4d necon3i
      mtoi oveq1 absne0d neneqd nn0abscl elnn0 sylib abscld recnd rspcdva eqcom
      ord mt3d mpd mulcand fveq2d absmuld 3eqtr3d eqeq12d bitrdi 3bitr2d mpbird
      ex ralrimivva isirred2 syl3anbrc adantl impbida ) AEFZABFZAGFZUUTUVAHZAUB
      UCIFZDUDZAJKZUVELMZUVEAMZUEZUFZDEUGZUVBUVCUUTALUHZHUVDUVAUVLUUTUIUJFUVAUV
      LUKUILBACULUMUOUNAUPUQUVCUVJDEUVCUVEEFZUVFUVIUVCUVMUVFHZHZUVEUIURIZFZAUVE
      USNZUVPFZUEZUVIUVOUVEOFZUVROFZUVEUVRPNZBFUVTUVMUWAUVCUVFUVEVFUTZUVOUVFUWB
      UVCUVMUVFVAUVOUWAUVEQUHZAOFZUVFUWBVGUWDUVMUWEUVCUVFUVEVBUTZUUTUWFUVAUVNAV
      FRZUVEAVCVDVEZUVOUWCABUVOAUVEUVOAUWHVHZUVMUVEVQFUVCUVFUVEVIUTZUWGVJUUTUVA
      UVNVKVLOUIPUVPBUVEUVRCVMUVPVNZVOVPVDUVOUVQUVGUVSUVHUVOUVQUVESIZLMZUVGUVOU
      WAUVQUWNVGZUWDUVQUWAUWNUVEVRVSZTUVOUWMUVELUVMUWMUVEMZUVCUVFUVMUVEWIFZUWQU
      VEVTUWRUVEUVEWAUVEWBWCTUTWDWEUVOUVSUVRSIZLMZUVHUVOUWBUVSUWTVGUWIUVSUWBUWT
      UVRVRVSTUVOUWTUVRLMUVELPNZAMUVHUVOUWSUVRLUVOUVRUVOAUVEUUTAWFFZUVAUVNAWGRZ
      UVCUVMUVFWJZWHUVOUXBQAWKKZUVEWFFQUVEWTKZQUVRWKKUXCUUTUXEUVAUVNUUTAWIFZUXE
      AVTZAWBZTRUVOUVEUXDWLUVMUXFUVCUVFUVEWMUTAUVEWNWOWCWDUVOAUVELUWJUWKUVOXAUW
      GWPUVOUXAUVEAUVOUVEUWKWQWDWRWEWSVEXBXCDAXDZXEUVBUVAUUTUVBUWFAUVPFZXFUAUDZ
      UVEPNZAMZUXLUVPFZUVQUEZUFZDOUGUAOUGUVAAXGZUVBUXKLGFZXHUXKUWFASIZLMZHUVBUX
      SAVRUVBUYAUXSUWFUVBUXTGFUYAUXSUVBUXTAGUVBUUTUXGUXTAMZAXIZUXHUXGAAWAUXIWCX
      JZUVBXKVLUXTLGXLXMXNXOYLUVBUXQUADOOUVBUXLOFZUWAHZHZUXNUXPUYGUXNHZUXPUXLSI
      ZLMZUYIAMZUEZUYHUYIAJKZUYLUYHUXLAJKZUYMUYHUXLUXMAJUYFUXLUXMJKUVBUXNUXLUVE
      XPXQUYGUXNXRZXSUYHUYEUWFUYNUYMVGUVBUYEUWAUXNXTZUVBUWFUYFUXNUXRRUXLAYAYBVE
      UYHUVJUYMUYLUFDEUYIUVEUYIMZUVFUYMUVIUYLUVEUYIAJYCUYQUVGUYJUVHUYKUVEUYILYD
      UVEUYIAYDWSYEUVBUVKUYFUXNUVBUVDUVKUXJYFRUYHUYIEFZUYIQMZUYHUYIQUYHUXLUYHUX
      LUYPVHZUYHUXMQUVEPNZUHUXLQUHUYHAQUXMVUAUYHAUVBUUTUYFUXNUYCRYGUYOUYHUVEUYH
      UVEUVBUYEUWAUXNYHZVHZYIYJUXLQUXMVUAUXLQUVEPYMYKTYNZYOUYHUYRUYSUYHUYIWIFZU
      YRUYSUEUYHUYEVUEUYPUXLYPTUYIYQYRUUCUUDUUAUUEUYHUXOUYJUVQUYKUYHUYEUXOUYJVG
      UYPUXOUYEUYJUXLVRVSTUYHUVQUWNUYIUWMPNZUYILPNZMZUYKUYHUWAUWOVUBUWPTUYHUWML
      UYIUYHUWMUYHUVEVUCYSYTUYHXAUYHUYIUYHUXLUYTYSYTZVUDUUFUYHVUHAUYIMUYKUYHVUF
      AVUGUYIUYHUXMSIUXTVUFAUYHUXMASUYOUUGUYHUXLUVEUYTVUCUUHUVBUYBUYFUXNUYDRUUI
      UYHUYIVUIWQUUJAUYIUUBUUKUULWSUUMUUNUUOUADOUIPUVPBAVMUWLCVOUUPUUQUURUUS $.

    $d I x $.
    $( The positive irreducible elements of ` ZZ ` are the prime numbers.  This
       is an alternative way to define ` Prime ` .  (Contributed by Mario
       Carneiro, 5-Dec-2014.)  (Revised by AV, 10-Jun-2019.) $)
    dfprm2 $p |- Prime = ( NN i^i I ) $=
      ( vx cprime cn cin cv wcel prmnn prmirredlem bicomd biadanii bitr4i eqriv
      wa elin ) CDEAFZCGZDHZREHZRAHZORQHSTUARITUASRABJKLREAPMN $.

    $( The irreducible elements of ` ZZ ` are exactly the prime numbers (and
       their negatives).  (Contributed by Mario Carneiro, 5-Dec-2014.)
       (Revised by AV, 10-Jun-2019.) $)
    prmirred $p |- ( A e. I <-> ( A e. ZZ /\ ( abs ` A ) e. Prime ) ) $=
      ( wcel cz cfv cprime zring zringbas wb cn wa cc0 wceq wo wi eleq1d adantl
      mpan ccnfld cabs irredcl cn0 cneg elnn0 crg wne zringring zring0 necon2bi
      irredn0 pm2.21d jao1i sylbi prmnn a1i prmirredlem pm5.21ndd nn0ge0 absidd
      cr nn0re bitr4d cminusg eqid irrednegb csubg csubrg zsubrg ax-mp df-zring
      subrgsubg subginv cc zcn cnfldneg syl eqtr3d bitrd adantr zre cle nn0ge0d
      le0neg1d mpbird absnidd 3bitr4d adantrl elznn0nn biimpi mpjaodan biadanii
      wbr nnnn0 ) ABDZAEDZAUAFZGDZEHBACIUBWPAUCDZWOWRJZAVADZAUDZKDZLZWSWTWPWSWO
      AGDZWRWSAKDZWOXEWSXFAMNZOWOXFPAUEXFXGWOXGWOXFWOAMHUFDZWOAMUGUHHBAMCUIUKSU
      JULUMUNXEXFPWSAUOUPXFWOXEJPWSABCUQUPURWSWQAGWSAAVBAUSUTQVCRWPXCWTXAWPXCLZ
      XBBDZXBGDZWOWRXCXJXKJWPXBBCUQRWPWOXJJXCWPWOAHVDFZFZBDZXJXHWPWOXNJUHEHBXLA
      CXLVEZIVFSWPXMXBBWPATVDFZFZXMXBETVGFDZWPXQXMNETVHFDXRVIETVLVJETHXPXLAVKXP
      VEXOVMSWPAVNDXQXBNAVOAVPVQVRQVSVTXIWQXBGXIAWPXAXCAWAVTZXIAMWBWMMXBWBWMZXC
      XTWPXCXBXBWNWCRXIAXSWDWEWFQWGWHWPWSXDOAWIWJWKWL $.
  $}

  ${
    $d x y z A $.  $d y z U $.
    expghm.m $e |- M = ( mulGrp ` CCfld ) $.
    expghm.u $e |- U = ( M |`s ( CC \ { 0 } ) ) $.
    $( Exponentiation is a group homomorphism from addition to multiplication.
       (Contributed by Mario Carneiro, 18-Jun-2015.)  (Revised by AV,
       10-Jun-2019.) $)
    expghm $p |- ( ( A e. CC /\ A =/= 0 ) ->
        ( x e. ZZ |-> ( A ^ x ) ) e. ( ZZring GrpHom U ) ) $=
      ( vy vz cc wcel cc0 wa cz cv cexp co cfv cmul wceq ccnfld wne csn cdif wf
      cmpt caddc wral zring cghm expclzlem 3expa fmpttd zaddcl adantl eqid ovex
      expaddz oveq2 fvmpt syl oveqan12d 3eqtr4d ralrimivva cgrp zringgrp cnring
      crg cnfldbas cnfld0 cndrng drngui cress oveq1i eqtri unitgrp ax-mp pm3.2i
      zringbas wss cbs difss mgpbas ressbas2 zringplusg cvv cplusg cui cnfldmul
      cmgp fvexi mgpplusg ressplusg isghm mpbiran sylanbrc ) BIJZBKUAZLZMIKUBZU
      CZAMBANZOPZUEZUDZGNZHNZUFPZXCQZXEXCQZXFXCQZRPZSZHMUGGMUGZXCUHCUIPJZWRAMXB
      WTWPWQXAMJXBWTJBXAUJUKULWRXLGHMMWRXEMJZXFMJZLZLZBXGOPZBXEOPZBXFOPZRPZXHXK
      BXEXFUQXRXGMJZXHXSSXQYCWRXEXFUMUNAXGXBXSMXCXAXGBOURXCUOZBXGOUPUSUTXQXKYBS
      WRXOXPXIXTXJYARAXEXBXTMXCXAXEBOURYDBXEOUPUSAXFXBYAMXCXAXFBOURYDBXFOUPUSVA
      UNVBVCXNUHVDJZCVDJZLXDXMLYEYFVETVGJYFVFTWTCITKVHVIVJVKZCDWTVLPTWIQZWTVLPF
      DYHWTVLEVMVNVOVPVQHGUFRUHCXCMWTVRWTIVSWTCVTQSIWSWAWTICDFITDEVHWBWCVPWDWTW
      EJRCWFQSWTTWGYGWJWTRDCWEFTRDEWHWKWLVPWMWNWO $.
  $}

  ${
    $d n x y B $.  $d f x y F $.  $d f n x y R $.  $d n .x. $.  $d n x y .1. $.
    mulgghm2.m $e |- .x. = ( .g ` R ) $.
    mulgghm2.f $e |- F = ( n e. ZZ |-> ( n .x. .1. ) ) $.
    ${
      mulgghm2.b $e |- B = ( Base ` R ) $.
      $( The powers of a group element give a homomorphism from ` ZZ ` to a
         group.  (Contributed by Mario Carneiro, 13-Jun-2015.)  (Revised by AV,
         12-Jun-2019.) $)
      mulgghm2 $p |- ( ( R e. Grp /\ .1. e. B )
                       -> F e. ( ZZring GrpHom R ) ) $=
        ( vx vy wcel wa zring cz cv co cfv wceq oveq1 cgrp wf caddc cplusg wral
        cghm simpl zringgrp jctil mulgcl 3expa an32s fmptd mulgdir 3exp2 zaddcl
        eqid imp42 adantl fvmpt syl oveqan12d 3eqtr4d ralrimivva jca zringplusg
        ovex zringbas isghm sylanbrc ) BUALZDALZMZNUALZVKMOAFUBZJPZKPZUCQZFRZVP
        FRZVQFRZBUDRZQZSZKOUEJOUEZMFNBUFQLVMVKVNVKVLUGUHUIVMVOWEVMEOEPZDCQZAFVK
        WFOLZVLWGALZVKWHVLWIACBWFDIGUJUKULHUMVMWDJKOOVMVPOLZVQOLZMZMZVRDCQZVPDC
        QZVQDCQZWBQZVSWCVKWLVLWNWQSZVKWJWKVLWRVKWJWKVLWRAWBCBVPVQDIGWBUQZUNUOUR
        ULWMVROLZVSWNSWLWTVMVPVQUPUSEVRWGWNOFWFVRDCTHVRDCVGUTVAWLWCWQSVMWJWKVTW
        OWAWPWBEVPWGWOOFWFVPDCTHVPDCVGUTEVQWGWPOFWFVQDCTHVQDCVGUTVBUSVCVDVEKJUC
        WBNBFOAVHIVFWSVIVJ $.
    $}

    mulgrhm.1 $e |- .1. = ( 1r ` R ) $.
    $( The powers of the element ` 1 ` give a ring homomorphism from ` ZZ ` to
       a ring.  (Contributed by Mario Carneiro, 14-Jun-2015.)  (Revised by AV,
       12-Jun-2019.) $)
    mulgrhm $p |- ( R e. Ring -> F e. ( ZZring RingHom R ) ) $=
      ( vx wcel cz zring cfv c1 co wceq cv oveq1 ovex fvmpt cmul cmulr zringbas
      vy crg zring1 zringmulr eqid zringring a1i id 1z ax-mp cbs ringidcl mulg1
      syl eqtrid wa ringgrp adantr simprr mulgcl syl3anc ringlidm syldan oveq2d
      simprl mulgass2 syl13anc mulgass 3eqtr4rd zmulcl adantl oveqan12d 3eqtr4d
      cgrp simpl cghm mulgghm2 syl2anc isrhm2d ) AUEJZIUDKLAUAAUBMZNECUCUFHUGWD
      UHZLUEJWCUIUJWCUKWCNEMZNCBOZCNKJWFWGPULDNDQZCBOZWGKEWHNCBRGNCBSTUMWCCAUNM
      ZJZWGCPWJACWJUHZHUOZWJBACWLFUPUQURWCIQZKJZUDQZKJZUSZUSZWNWPUAOZCBOZWNCBOZ
      WPCBOZWDOZWTEMZWNEMZWPEMZWDOZWSWNCXCWDOZBOZWNXCBOZXDXAWSXIXCWNBWCWRXCWJJZ
      XIXCPWSAVQJZWQWKXLWCXMWRAUTZVAZWCWOWQVBZWCWKWRWMVAZWJBAWPCWLFVCVDZWJAWDCX
      CWLWEHVEVFVGWSWCWOWKXLXDXJPWCWRVRWCWOWQVHZXQXRWJABWDWNCXCWLFWEVIVJWSXMWOW
      QWKXAXKPXOXSXPXQWJBAWNWPCWLFVKVJVLWSWTKJZXEXAPWRXTWCWNWPVMVNDWTWIXAKEWHWT
      CBRGWTCBSTUQWRXHXDPWCWOWQXFXBXGXCWDDWNWIXBKEWHWNCBRGWNCBSTDWPWIXCKEWHWPCB
      RGWPCBSTVOVNVPWCXMWKELAVSOJXNWMWJABCDEFGWLVTWAWB $.

    $( The powers of the element ` 1 ` give the unique ring homomorphism from
       ` ZZ ` to a ring.  (Contributed by Mario Carneiro, 14-Jun-2015.)
       (Revised by AV, 12-Jun-2019.) $)
    mulgrhm2 $p |- ( R e. Ring -> ( ZZring RingHom R ) = { F } ) $=
      ( vf wcel zring co cv wa wceq cz cmpt cfv zringbas c1 crg crh csn wf eqid
      cbs rhmf adantl feqmptd cghm rhmghm ad2antlr simpr ghmmulg syl3anc ccnfld
      cmg 1zzd cc ax-1cn cnfldmulg mpan2 1z adantr zringmulg eqtr4d zcn mulid1d
      cmul 3eqtr3d fveq2d zring1 oveq2d mpteq2dva eqtrd eqtr4di velsn sylibr ex
      rhm1 ssrdv mulgrhm snssd eqssd ) AUAJZKAUBLZEUCZWEIWFWGWEIMZWFJZWHWGJZWEW
      INZWHEOWJWKWHDPDMZCBLZQZEWKWHDPWLWHRZQWNWKDPAUFRZWHWIPWPWHUDWEPWPKAWHSWPU
      EUGUHUIWKDPWOWMWKWLPJZNZWLTKUQRZLZWHRZWLTWHRZBLZWOWMWRWHKAUJLJZWQTPJZXAXC
      OWIXDWEWQKAWHUKULWKWQUMWRURPWSBWHKAWLTSWSUEFUNUOWRWTWLWHWQWTWLOWKWQWLTUPU
      QRLZWLTVILZWTWLWQTUSJXFXGOZUTWLTVAVBZWQXEXFWTOVCWQXENXFXGWTWQXHXEXIVDWLTV
      EVFVBWQWLWLVGVHVJUHVKWRXBCWLBWIXBCOWEWQKATWHCVLHVTULVMVJVNVOGVPIEVQVRVSWA
      WEEWFABCDEFGHWBWCWD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Algebraic constructions based on the complex numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ZRHom $. $( Map the integers into a field $)
  $c ZMod $. $( Turn an abelian group into a ZZ-module $)
  $c chr $.
  $c Z/nZ $. $( Integers mod n $)

  $( Map the rationals into a field, or the integers into a ring. $)
  czrh $a class ZRHom $.

  $( Augment an abelian group with vector space operations to turn it into a
     ` ZZ ` -module. $)
  czlm $a class ZMod $.

  $( Syntax for ring characteristic. $)
  cchr $a class chr $.

  $( The ring of integers modulo ` n ` . $)
  czn $a class Z/nZ $.

  ${
    $d n z s f r $.
    $( Define the unique homomorphism from the integers into a ring.  This
       encodes the usual notation of ` n = 1r + 1r + ... + 1r ` for integers
       (see also ~ df-mulg ).  (Contributed by Mario Carneiro, 13-Jun-2015.)
       (Revised by AV, 12-Jun-2019.) $)
    df-zrh $a |- ZRHom = ( r e. _V |-> U. ( ZZring RingHom r ) ) $.

    $( Augment an abelian group with vector space operations to turn it into a
       ` ZZ ` -module.  (Contributed by Mario Carneiro, 2-Oct-2015.)  (Revised
       by AV, 12-Jun-2019.) $)
    df-zlm $a |- ZMod = ( g e. _V |-> ( ( g
      sSet <. ( Scalar ` ndx ) , ZZring >. )
      sSet <. ( .s ` ndx ) , ( .g ` g ) >. ) ) $.

    $( The characteristic of a ring is the smallest positive integer which is
       equal to 0 when interpreted in the ring, or 0 if there is no such
       positive integer.  (Contributed by Stefan O'Rear, 5-Sep-2015.) $)
    df-chr $a |- chr = ( g e. _V |-> ( ( od ` g ) ` ( 1r ` g ) ) ) $.

    $( Define the ring of integers ` mod n ` .  This is literally the quotient
       ring of ` ZZ ` by the ideal ` n ZZ ` , but we augment it with a total
       order.  (Contributed by Mario Carneiro, 14-Jun-2015.)  (Revised by AV,
       12-Jun-2019.) $)
    df-zn $a |- Z/nZ = ( n e. NN0 |-> [_ ZZring / z ]_
      [_ ( z /s ( z ~QG ( ( RSpan ` z ) ` { n } ) ) ) / s ]_
      ( s sSet <. ( le ` ndx ) , [_ ( ( ZRHom ` s ) |`
      if ( n = 0 , ZZ , ( 0 ..^ n ) ) ) / f ]_
        ( ( f o. <_ ) o. `' f ) >. ) ) $.
  $}

  ${
    $d r s $.  $d n N $.  $d n .1. $.  $d n r R $.  $d n .x. $.
    zrhval.l $e |- L = ( ZRHom ` R ) $.
    $( Define the unique homomorphism from the integers to a ring or field.
       (Contributed by Mario Carneiro, 13-Jun-2015.)  (Revised by AV,
       12-Jun-2019.) $)
    zrhval $p |- L = U. ( ZZring RingHom R ) $=
      ( vr vs czrh cfv zring crh co cuni cvv wcel wceq cv oveq2 unieqd crg cmgp
      c0 df-zrh ovex uniex fvmpt wn fvprc cghm cmhm dfrhm2 reldmmpo ovprc2 uni0
      cin eqtrdi eqtr4d pm2.61i eqtri ) BAFGZHAIJZKZCALMZURUTNDAHDOZIJZKUTLFVBA
      NVCUSVBAHIPQDUAUSHAIUBUCUDVAUEZURTUTAFUFVDUTTKTVDUSTHAIDERRVBEOZUGJVBSGVE
      SGUHJUMIEDUIUJUKQULUNUOUPUQ $.

    ${
      zrhval2.m $e |- .x. = ( .g ` R ) $.
      zrhval2.1 $e |- .1. = ( 1r ` R ) $.
      $( Alternate value of the ` ZRHom ` homomorphism.  (Contributed by Mario
         Carneiro, 12-Jun-2015.) $)
      zrhval2 $p |- ( R e. Ring -> L = ( n e. ZZ |-> ( n .x. .1. ) ) ) $=
        ( crg wcel zring crh co cuni cz cv cmpt zrhval csn eqid mulgrhm2 unieqd
        zex mptex unisn eqtrdi eqtrid ) AIJZEKALMZNZDODPCBMZQZAEFRUHUJULSZNULUH
        UIUMABCDULGULTHUAUBULDOUKUCUDUEUFUG $.

      $( Value of the ` ZRHom ` homomorphism.  (Contributed by Mario Carneiro,
         14-Jun-2015.) $)
      zrhmulg $p |- ( ( R e. Ring /\ N e. ZZ ) ->
        ( L ` N ) = ( N .x. .1. ) ) $=
        ( vn crg wcel cz cfv cv co cmpt zrhval2 fveq1d oveq1 eqid ovex sylan9eq
        fvmpt ) AJKZELKEDMEILINZCBOZPZMECBOZUDEDUGABCIDFGHQRIEUFUHLUGUEECBSUGTE
        CBUAUCUB $.
    $}

    $( The ` ZRHom ` homomorphism is the unique ring homomorphism from ` Z ` .
       (Contributed by Mario Carneiro, 15-Jun-2015.)  (Revised by AV,
       12-Jun-2019.) $)
    zrhrhmb $p |- ( R e. Ring -> ( F e. ( ZZring RingHom R ) <-> F = L ) ) $=
      ( vn crg wcel zring crh co csn wceq cz cv cur cfv cmg cmpt eqid mulgrhm2
      zrhval2 sneqd eqtr4d eleq2d czrh fvexi elsn2 bitrdi ) AFGZBHAIJZGBCKZGBCL
      UIUJUKBUIUJEMENAOPZAQPZJRZKUKAUMULEUNUMSZUNSULSZTUICUNAUMULECDUOUPUAUBUCU
      DBCCAUEDUFUGUH $.

    $( The ` ZRHom ` homomorphism is a homomorphism.  (Contributed by Mario
       Carneiro, 12-Jun-2015.)  (Revised by AV, 12-Jun-2019.) $)
    zrhrhm $p |- ( R e. Ring -> L e. ( ZZring RingHom R ) ) $=
      ( crg wcel zring crh co wceq eqid zrhrhmb mpbiri ) ADEBFAGHEBBIBJABBCKL
      $.
  $}

  ${
    zrh1.l $e |- L = ( ZRHom ` R ) $.
    zrh1.o $e |- .1. = ( 1r ` R ) $.
    $( Interpretation of 1 in a ring.  (Contributed by Stefan O'Rear,
       6-Sep-2015.) $)
    zrh1 $p |- ( R e. Ring -> ( L ` 1 ) = .1. ) $=
      ( crg wcel zring crh co c1 cfv wceq zrhrhm zring1 rhm1 syl ) AFGCHAIJGKCL
      BMACDNHAKCBOEPQ $.
  $}

  ${
    zrh0.l $e |- L = ( ZRHom ` R ) $.
    zrh0.z $e |- .0. = ( 0g ` R ) $.
    $( Interpretation of 0 in a ring.  (Contributed by Stefan O'Rear,
       6-Sep-2015.) $)
    zrh0 $p |- ( R e. Ring -> ( L ` 0 ) = .0. ) $=
      ( crg wcel zring crh co cghm cc0 cfv wceq zrhrhm rhmghm zring0 ghmid 3syl
      ) AFGBHAIJGBHAKJGLBMCNABDOHABPHABLCQERS $.
  $}

  ${
    $d x y B $.  $d x y K $.  $d x y L $.  $d x y ph $.
    zrhpropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    zrhpropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    zrhpropd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    zrhpropd.4 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( x ( .r ` K ) y ) = ( x ( .r ` L ) y ) ) $.
    $( The ` ZZ ` ring homomorphism depends only on the ring attributes of a
       structure.  (Contributed by Mario Carneiro, 15-Jun-2015.) $)
    zrhpropd $p |- ( ph -> ( ZRHom ` K ) = ( ZRHom ` L ) ) $=
      ( zring crh co cuni czrh cfv eqidd cv wcel wa cplusg rhmpropd unieqd eqid
      cbs cmulr zrhval 3eqtr4g ) AKELMZNKFLMZNEOPZFOPZAUIUJABCKUEPZDKEKFAUMQZGU
      NHABRZUMSCRZUMSTTZUOUPKUAPMQIUQUOUPKUFPMQJUBUCEUKUKUDUGFULULUDUGUH $.
  $}

  ${
    $d g G $.  $d g .x. $.
    zlmval.w $e |- W = ( ZMod ` G ) $.
    zlmval.m $e |- .x. = ( .g ` G ) $.
    $( Augment an abelian group with vector space operations to turn it into a
       ` ZZ ` -module.  (Contributed by Mario Carneiro, 2-Oct-2015.)  (Revised
       by AV, 12-Jun-2019.) $)
    zlmval $p |- ( G e. V -> W = ( ( G sSet <. ( Scalar ` ndx ) , ZZring >. )
                                       sSet <. ( .s ` ndx ) , .x. >. ) ) $=
      ( vg wcel czlm cfv cnx csca zring cop csts co cvsca cvv wceq cmg cv oveq1
      elex fveq2 eqtr4di opeq2d oveq12d df-zlm ovex fvmpt syl eqtrid ) BCHZDBIJ
      ZBKLJMNZOPZKQJZANZOPZEUMBRHUNUSSBCUCGBGUAZUOOPZUQUTTJZNZOPUSRIUTBSZVAUPVC
      UROUTBUOOUBVDVBAUQVDVBBTJAUTBTUDFUEUFUGGUHUPUROUIUJUKUL $.
  $}

  ${
    zlmbas.w $e |- W = ( ZMod ` G ) $.
    ${
      zlmlem.2 $e |- E = Slot ( E ` ndx ) $.
      zlmlem.3 $e |- ( E ` ndx ) =/= ( Scalar ` ndx ) $.
      zlmlem.4 $e |- ( E ` ndx ) =/= ( .s ` ndx ) $.
      $( Lemma for ~ zlmbas and ~ zlmplusg .  (Contributed by Mario Carneiro,
         2-Oct-2015.)  (Revised by AV, 3-Nov-2024.) $)
      zlmlem $p |- ( E ` G ) = ( E ` W ) $=
        ( cvv wcel cfv wceq cnx csca zring cop csts co cvsca setsnid c0 eqtr4id
        cmg eqtri eqid zlmval fveq2d czlm str0 eqcomi fveqprc pm2.61i ) BHIZBAJ
        ZCAJZKULUMBLMJZNOPQZLRJZBUBJZOPQZAJZUNUMUPAJUTNUOABEFSURUQAUPEGSUCULCUS
        AURBHCDURUDUEUFUAAUGBCTTAJALAJEUHUIDUJUK $.
    $}

    ${
      zlmlemOLD.2 $e |- E = Slot N $.
      zlmlemOLD.3 $e |- N e. NN $.
      zlmlemOLD.4 $e |- N < 5 $.
      $( Obsolete version of ~ zlmlem as of 3-Nov-2024.  Lemma for ~ zlmbas and
         ~ zlmplusg .  (Contributed by Mario Carneiro, 2-Oct-2015.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      zlmlemOLD $p |- ( E ` G ) = ( E ` W ) $=
        ( cvv cfv cnx zring cop csts co c5 clt c6 wbr c0 wcel wceq cvsca cmg cr
        csca ndxid ndxarg nnrei eqeltri eqbrtri ltneii scandx neeqtrri 5lt6 5re
        setsnid lttri mp2an vscandx eqtri eqid zlmval fveq2d eqtr4id str0 fvprc
        6re wn czlm eqtrid 3eqtr4a pm2.61i ) BIUAZBAJZDAJZUBVNVOBKUFJZLMNOZKUCJ
        ZBUDJZMNOZAJZVPVOVRAJWBLVQABACFGUGZKAJZPVQWDPWDCUEACFGUHZCGUIUJZWDCPQWE
        HUKZULUMUNUQVTVSAVRWCWDRVSWDRWFWDPQSPRQSWDRQSWGUOWDPRWFUPVHURUSULUTUNUQ
        VAVNDWAAVTBIDEVTVBVCVDVEVNVIZTTAJVOVPACFVFBAVGWHDTAWHDBVJJTEBVJVGVKVDVL
        VM $.
    $}

    ${
      zlmbas.2 $e |- B = ( Base ` G ) $.
      $( Base set of a ` ZZ ` -module.  (Contributed by Mario Carneiro,
         2-Oct-2015.)  (Revised by AV, 3-Nov-2024.) $)
      zlmbas $p |- B = ( Base ` W ) $=
        ( cbs cfv baseid cnx scandxnbasendx necomi cvsca vscandxnbasendx zlmlem
        csca eqtri ) ABFGCFGEFBCDHIOGIFGZJKILGQMKNP $.

      $( Obsolete version of ~ zlmbas as of 3-Nov-2024.  Base set of a ` ZZ `
         -module.  (Contributed by Mario Carneiro, 2-Oct-2015.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      zlmbasOLD $p |- B = ( Base ` W ) $=
        ( cbs cfv c1 df-base 1nn 1lt5 zlmlemOLD eqtri ) ABFGCFGEFBHCDIJKLM $.
    $}

    ${
      zlmplusg.2 $e |- .+ = ( +g ` G ) $.
      $( Group operation of a ` ZZ ` -module.  (Contributed by Mario Carneiro,
         2-Oct-2015.)  (Revised by AV, 3-Nov-2024.) $)
      zlmplusg $p |- .+ = ( +g ` W ) $=
        ( cplusg cfv plusgid csca scandxnplusgndx necomi cvsca vscandxnplusgndx
        cnx zlmlem eqtri ) ABFGCFGEFBCDHNIGNFGZJKNLGQMKOP $.

      $( Obsolete version of ~ zlmbas as of 3-Nov-2024.  Group operation of a
         ` ZZ ` -module.  (Contributed by Mario Carneiro, 2-Oct-2015.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      zlmplusgOLD $p |- .+ = ( +g ` W ) $=
        ( cplusg cfv c2 df-plusg 2nn 2lt5 zlmlemOLD eqtri ) ABFGCFGEFBHCDIJKLM
        $.
    $}

    ${
      zlmmulr.2 $e |- .x. = ( .r ` G ) $.
      $( Ring operation of a ` ZZ ` -module (if present).  (Contributed by
         Mario Carneiro, 2-Oct-2015.)  (Revised by AV, 3-Nov-2024.) $)
      zlmmulr $p |- .x. = ( .r ` W ) $=
        ( cmulr cfv mulrid cnx csca scandxnmulrndx necomi cvsca vscandxnmulrndx
        zlmlem eqtri ) ABFGCFGEFBCDHIJGIFGZKLIMGQNLOP $.

      $( Obsolete version of ~ zlmbas as of 3-Nov-2024.  Ring operation of a
         ` ZZ ` -module (if present).  (Contributed by Mario Carneiro,
         2-Oct-2015.)  (New usage is discouraged.)
         (Proof modification is discouraged.) $)
      zlmmulrOLD $p |- .x. = ( .r ` W ) $=
        ( cmulr cfv c3 df-mulr 3nn 3lt5 zlmlemOLD eqtri ) ABFGCFGEFBHCDIJKLM $.
    $}

    $( Scalar ring of a ` ZZ ` -module.  (Contributed by Mario Carneiro,
       2-Oct-2015.)  (Revised by AV, 12-Jun-2019.)  (Proof shortened by AV,
       2-Nov-2024.) $)
    zlmsca $p |- ( G e. V -> ZZring = ( Scalar ` W ) ) $=
      ( wcel cnx csca cfv zring cop csts cvsca cmg scaid vscandxnscandx setsnid
      co necomi crg wceq zringring setsid mpan2 eqid zlmval fveq2d 3eqtr4a ) AB
      EZAFGHZIJKQZGHZUJFLHZAMHZJKQZGHICGHUMULGUJNULUIORPUHISEIUKTUABIGSANUBUCUH
      CUNGUMABCDUMUDUEUFUG $.

    ${
      zlmvsca.2 $e |- .x. = ( .g ` G ) $.
      $( Scalar multiplication operation of a ` ZZ ` -module.  (Contributed by
         Mario Carneiro, 2-Oct-2015.) $)
      zlmvsca $p |- .x. = ( .s ` W ) $=
        ( cvv wcel cvsca cfv wceq cnx cop csts co vscaid fveq2d c0 fvprc eqtrid
        cmg csca zring ovex fvexi setsid mp2an zlmval eqtr4id str0 czlm 3eqtr4a
        wn pm2.61i ) BFGZACHIZJUNABKUAIUBLZMNZKHIZALMNZHIZUOUQFGAFGAUTJBUPMUCAB
        TEUDFAHFUQOUEUFUNCUSHABFCDEUGPUHUNULZQQHIAUOHUROUIVAABTIQEBTRSVACQHVACB
        UJIQDBUJRSPUKUM $.
    $}
  $}

  ${
    $d x y z G $.  $d x y z W $.
    zlmlmod.w $e |- W = ( ZMod ` G ) $.
    $( The ` ZZ ` -module operation turns an arbitrary abelian group into a
       left module over ` ZZ ` .  Also see ~ zlmassa .  (Contributed by Mario
       Carneiro, 2-Oct-2015.) $)
    zlmlmod $p |- ( G e. Abel <-> W e. LMod ) $=
      ( vx vy cabl wcel cz cplusg cfv caddc cmul c1 zring cbs wceq eqid a1i cv
      co vz clmod cmg zlmbas zlmplusg zlmsca cvsca zlmvsca zringplusg zringmulr
      zringbas cmulr cur zring1 crg zringring cgrp ablprop ablgrp sylbi syl3an1
      mulgcl mulgdi mulgdir sylan mulgass adantl islmodd lmodabl sylibr impbii
      w3a mulg1 ) AFGZBUBGZVNDEUAHAIJZKAUCJZLMNAOJZBVRBOJPVNVRABCVRQZUDZRVPBIJP
      VNVPABCVPQZUEZRAFBCUFVQBUGJPVNVQABCVQQZUHRHNOJPVNUKRKNIJPVNUIRLNULJPVNUJR
      MNUMJPVNUNRNUOGVNUPRVNBFGZBUQGABVTWBURZBUSUTVNAUQGZDSZHGZESZVRGWGWIVQTVRG
      AUSZVRVQAWGWIVSWCVBVAVRVPVQAWGWIUASZVSWCWAVCVNWFWHWIHGWKVRGVLZWGWIKTWKVQT
      WGWKVQTWIWKVQTZVPTPWJVRVPVQAWGWIWKVSWCWAVDVEVNWFWLWGWILTWKVQTWGWMVQTPWJVR
      VQAWGWIWKVSWCVFVEWGVRGMWGVQTWGPVNVRVQAWGVSWCVMVGVHVOWDVNBVIWEVJVK $.
  $}

  ${
    $d r O $.  $d r R $.  $d r .1. $.
    chrval.o $e |- O = ( od ` R ) $.
    chrval.u $e |- .1. = ( 1r ` R ) $.
    chrval.c $e |- C = ( chr ` R ) $.
    $( Definition substitution of the ring characteristic.  (Contributed by
       Stefan O'Rear, 5-Sep-2015.) $)
    chrval $p |- ( O ` .1. ) = C $=
      ( vr cchr cfv cvv wcel wceq cv cur cod fveq2 eqtr4di c0 fvprc df-chr fvex
      fveq12d fvmpt wn eqtrid fveq1d 0fv eqtrdi eqtr4d pm2.61i eqtr2i ) ABIJZCD
      JZGBKLZUMUNMHBHNZOJZUPPJZJUNKIUPBMZUQCURDUSURBPJZDUPBPQERUSUQBOJCUPBOQFRU
      CHUACDUBUDUOUEZUMSUNBITVAUNCSJSVACDSVADUTSEBPTUFUGCUHUIUJUKUL $.
  $}

  ${
    chrcl.c $e |- C = ( chr ` R ) $.
    $( Closure of the characteristic.  (Contributed by Mario Carneiro,
       23-Sep-2015.) $)
    chrcl $p |- ( R e. Ring -> C e. NN0 ) $=
      ( crg wcel cur cfv cod cn0 eqid chrval cbs ringidcl odcl syl eqeltrrid )
      BDEZABFGZBHGZGZIABRSSJZRJZCKQRBLGZETIEUCBRUCJZUBMRBSUCUDUANOP $.

    chrid.l $e |- L = ( ZRHom ` R ) $.
    chrid.z $e |- .0. = ( 0g ` R ) $.
    $( The canonical ` ZZ ` ring homomorphism applied to a ring's
       characteristic is zero.  (Contributed by Mario Carneiro,
       23-Sep-2015.) $)
    chrid $p |- ( R e. Ring -> ( L ` C ) = .0. ) $=
      ( crg wcel cfv cur cmg co cz wceq chrcl nn0zd eqid zrhmulg mpdan ringidcl
      cod chrval oveq1i cbs odid syl eqtr3id eqtrd ) BHIZACJZABKJZBLJZMZDUJANIU
      KUNOUJAABEPQBUMULCAFUMRZULRZSTUJUNULBUBJZJZULUMMZDURAULUMABULUQUQRZUPEUCU
      DUJULBUEJZIUSDOVABULVARZUPUAULUMBUQVADVBUTUOGUFUGUHUI $.

    $( The ` ZZ ` ring homomorphism is zero only at multiples of the
       characteristic.  (Contributed by Mario Carneiro, 23-Sep-2015.) $)
    chrdvds $p |- ( ( R e. Ring /\ N e. ZZ ) ->
      ( C || N <-> ( L ` N ) = .0. ) ) $=
      ( crg wcel cz wa cdvds wbr cur cfv cmg wceq eqid adantr cod chrval breq1i
      co cgrp cbs ringgrp ringidcl oddvds syl3anc bitr3id zrhmulg eqeq1d bitr4d
      wb simpr ) BIJZDKJZLZADMNZDBOPZBQPZUDZERZDCPZERUTVABUAPZPZDMNZUSVDVGADMAB
      VAVFVFSZVASZFUBUCUSBUEJZVABUFPZJZURVHVDUOUQVKURBUGTUQVMURVLBVAVLSZVJUHTUQ
      URUPVAVBBDVFVLEVNVIVBSZHUIUJUKUSVEVCEBVBVACDGVOVJULUMUN $.

    $( If two integers are congruent relative to the ring characteristic, their
       images in the ring are the same.  (Contributed by Mario Carneiro,
       24-Sep-2015.) $)
    chrcong $p |- ( ( R e. Ring /\ M e. ZZ /\ N e. ZZ ) ->
      ( C || ( M - N ) <-> ( L ` M ) = ( L ` N ) ) ) $=
      ( crg wcel cz co cdvds wbr cfv wceq eqid 3ad2ant1 zrhmulg w3a cur cmg cod
      cmin chrval breq1i cgrp cbs ringgrp ringidcl simp2 simp3 odcong syl112anc
      wb bitr3id 3adant3 3adant2 eqeq12d bitr4d ) BJKZDLKZELKZUAZADEUEMZNOZDBUB
      PZBUCPZMZEVHVIMZQZDCPZECPZQVGVHBUDPZPZVFNOZVEVLVPAVFNABVHVOVORZVHRZGUFUGV
      EBUHKZVHBUIPZKZVCVDVQVLUPVBVCVTVDBUJSVBVCWBVDWABVHWARZVSUKSVBVCVDULVBVCVD
      UMVHVIBDEVOWAFWCVRVIRZIUNUOUQVEVMVJVNVKVBVCVMVJQVDBVIVHCDHWDVSTURVBVDVNVK
      QVCBVIVHCEHWDVSTUSUTVA $.
  $}

  $( Nonzero rings are precisely those with characteristic not 1.  (Contributed
     by Stefan O'Rear, 6-Sep-2015.) $)
  chrnzr $p |- ( R e. Ring -> ( R e. NzRing <-> ( chr ` R ) =/= 1 ) ) $=
    ( crg wcel cnzr cur cfv c0g wne cchr c1 eqid isnzr baib cdvds wbr czrh wceq
    cz wb 1z chrdvds mpan2 cn0 chrcl dvds1 zrh1 eqeq1d 3bitr3d necon3bid bitr4d
    syl ) ABCZADCZAEFZAGFZHZAIFZJHUMULUPAUNUOUNKZUOKZLMULUQJUNUOULUQJNOZJAPFZFZ
    UOQZUQJQZUNUOQULJRCUTVCSTUQAVAJUOUQKZVAKZUSUAUBULUQUCCUTVDSUQAVEUDUQUEUKULV
    BUNUOAUNVAVFURUFUGUHUIUJ $.

  $( The characteristic restriction on ring homomorphisms.  (Contributed by
     Stefan O'Rear, 6-Sep-2015.) $)
  chrrhm $p |- ( F e. ( R RingHom S ) -> ( chr ` S ) || ( chr ` R ) ) $=
    ( crh co wcel cchr cfv cdvds czrh c0g wceq cz zring crg eqid syl syl2anc wb
    3syl wbr ccom wfn cbs rhmrcl1 zrhrhm zringbas rhmf ffn cn0 chrcl nn0z fvco2
    wf chrid fveq2d eqtrd rhmco mpdan rhmrcl2 zrhrhmb mpbid fveq1d rhmghm ghmid
    cghm 3eqtr3d chrdvds mpbird ) CABDEFZBGHZAGHZIUAZVLBJHZHZBKHZLZVJVLCAJHZUBZ
    HZAKHZCHZVOVPVJVTVLVRHZCHZWBVJVRMUCZVLMFZVTWDLVJVRNADEFZMAUDHZVRUNWEVJAOFZW
    GABCUEZAVRVRPZUFQZMWHNAVRUGWHPUHMWHVRUITVJWIVLUJFWFWJVLAVLPZUKVLULTZMCVRVLU
    MRVJWCWACVJWIWCWALWJVLAVRWAWMWKWAPZUOQUPUQVJVLVSVNVJVSNBDEFZVSVNLZVJWGWPWLN
    ABCVRURUSVJBOFZWPWQSABCUTZBVSVNVNPZVAQVBVCVJCABVFEFWBVPLABCVDABCWAVPWOVPPZV
    EQVGVJWRWFVMVQSWSWNVKBVNVLVPVKPWTXAVHRVI $.

  ${
    $d x y R $.
    $( The characteristic of a domain can only be zero or a prime.
       (Contributed by Stefan O'Rear, 6-Sep-2015.) $)
    domnchr $p |- ( R e. Domn -> ( ( chr ` R ) = 0 \/
        ( chr ` R ) e. Prime ) ) $=
      ( vx vy wcel cfv cc0 wceq wa co cdvds wbr cz cn0 eqid sylanbrc wb chrdvds
      syl zring syl2anc cdomn cchr cprime wn wne df-ne c2 cv cmul wo wi wral cn
      cuz c1 csn cdif crg domnring chrcl adantr simpr eldifsn eleqtrrdi domnnzr
      dfn2 cnzr nzrring chrnzr ibi eluz2b3 c0g cmulr crh ad2antrr zrhrhm simprl
      czrh simprr zringbas zringmulr rhmmul syl3anc eqeq1d simpll rhmf ffvelrnd
      cbs domneq0 bitrd biimpd zmulcl adantl orbi12d 3imtr4d ralrimivva syl5bir
      wf isprm6 ex orrd ) AUADZAUBEZFGZXCUCDZXDUDXCFUEZXBXEXCFUFXBXFXEXBXFHZXCU
      GUNEDZXCBUHZCUHZUIIZJKZXCXIJKZXCXJJKZUJZUKZCLULBLULXEXGXCUMDXCUOUEZXHXGXC
      MFUPUQZUMXGXCMDZXFXCXRDXBXSXFXBAURDZXSAUSZXCAXCNZUTRVAXBXFVBXCMFVCOVFVDXB
      XQXFXBAVGDZXQAVEYCXQYCXTYCXQPAVHAVIRVJRVAXCVKOXGXPBCLLXGXILDZXJLDZHZHZXKA
      VREZEZAVLEZGZXIYHEZYJGZXJYHEZYJGZUJZXLXOYGYKYPYGYKYLYNAVMEZIZYJGZYPYGYIYR
      YJYGYHSAVNIDZYDYEYIYRGYGXTYTXBXTXFYFYAVOZAYHYHNZVPRZXGYDYEVQZXGYDYEVSZXIX
      JSAUIYQYHLVTWAYQNZWBWCWDYGXBYLAWHEZDYNUUGDYSYPPXBXFYFWEYGLUUGXIYHYGYTLUUG
      YHWRUUCLUUGSAYHVTUUGNZWFRZUUDWGYGLUUGXJYHUUIUUEWGUUGAYQYLYNYJUUHUUFYJNZWI
      WCWJWKYGXTXKLDZXLYKPUUAYFUUKXGXIXJWLWMXCAYHXKYJYBUUBUUJQTYGXMYMXNYOYGXTYD
      XMYMPUUAUUDXCAYHXIYJYBUUBUUJQTYGXTYEXNYOPUUAUUEXCAYHXJYJYBUUBUUJQTWNWOWPB
      CXCWSOWTWQXA $.
  $}

  ${
    $d f n s z .<_ $.  $d f n s z N $.  $d n s z U $.
    znval.s $e |- S = ( RSpan ` ZZring ) $.
    $( The set ` n ZZ ` is an ideal in ` ZZ ` .  (Contributed by Mario
       Carneiro, 14-Jun-2015.)  (Revised by AV, 13-Jun-2019.) $)
    znlidl $p |- ( N e. ZZ -> ( S ` { N } ) e. ( LIdeal ` ZZring ) ) $=
      ( cz wcel zring crg csn wss cfv clidl zringring snssi zringbas eqid rspcl
      sylancr ) BDEFGEBHZDIRAJFKJZELBDMDFSRACNSOPQ $.

    znval.u $e |- U = ( ZZring /s ( ZZring ~QG ( S ` { N } ) ) ) $.
    $( The value of the ` Z/nZ ` structure.  It is defined as the quotient ring
       ` ZZ / n ZZ ` , with an "artificial" ordering added to make it a
       ` Toset ` .  (In other words, ` Z/nZ ` is a _ring_ with an _order_ , but
       it is not an _ordered ring_ , which as a term implies that the order is
       compatible with the ring operations in some way.)  (Contributed by Mario
       Carneiro, 12-Jun-2015.)  (Revised by AV, 13-Jun-2019.) $)
    zncrng2 $p |- ( N e. ZZ -> U e. CRing ) $=
      ( cz wcel zring ccrg csn cfv clidl zringcrng znlidl eqid quscrng sylancr
      ) CFGHIGCJAKZHLKZGBIGMACDNHRBSESOPQ $.

    znval.y $e |- Y = ( Z/nZ ` N ) $.
    znval.f $e |- F = ( ( ZRHom ` U ) |` W ) $.
    znval.w $e |- W = if ( N = 0 , ZZ , ( 0 ..^ N ) ) $.
    ${
      znval.l $e |- .<_ = ( ( F o. <_ ) o. `' F ) $.
      $( The value of the ` Z/nZ ` structure.  It is defined as the quotient
         ring ` ZZ / n ZZ ` , with an "artificial" ordering added to make it a
         ` Toset ` .  (In other words, ` Z/nZ ` is a _ring_ with an _order_ ,
         but it is not an _ordered ring_ , which as a term implies that the
         order is compatible with the ring operations in some way.)
         (Contributed by Mario Carneiro, 14-Jun-2015.)  (Revised by Mario
         Carneiro, 2-May-2016.)  (Revised by AV, 13-Jun-2019.) $)
      znval $p |- ( N e. NN0 -> Y = ( U sSet <. ( le ` ndx ) , .<_ >. ) ) $=
        ( vz cfv co zring cc0 wceq eqtr4di vn vs cn0 wcel czn cnx cple cop csts
        vf csn crsp cqg cqus czrh cfzo cif cres cle ccom ccnv csb crg zringring
        cv cz a1i wa cvv ovexd id simpr fveq2d simpl sneqd fveq12d oveq12d fvex
        resex simpll eqeq1d oveq2d ifbieq2d coeq1d cnveqd coeq12d csbied opeq2d
        sylan9eqr reseq12d df-zn ovex fvmpt eqtrid ) EUCUDGEUEOBUFUGOZDUHZUIPZJ
        UAENQUBNVEZWRUAVEZUKZWRULOZOZUMPZUNPZUBVEZWOUJXEUOOZWSRSZVFRWSUPPZUQZUR
        ZUJVEZUSUTZXKVAZUTZVBZUHZUIPZVBZVBWQUCUEWSESZNQXRWQVCQVCUDXSVDVGXSWRQSZ
        VHZUBXDXQWQVIYAWRXCUNVJYAXEXDSZVHZXEBXPWPUIYBYAXEXDBYBVKYAXDQQEUKZAOZUM
        PZUNPBYAWRQXCYFUNXSXTVLZYAWRQXBYEUMYGYAWTYDXAAYAXAQULOAYAWRQULYGVMHTYAW
        SEXSXTVNVOVPVQVQITWIZYCXODWOYCUJXJXNDVIXJVIUDYCXFXIXEUOVRVSVGYCXKXJSZVH
        ZXNCUSUTZCVAZUTDYJXLYKXMYLYJXKCUSYIYCXKXJCYIVKYCXJBUOOZFURCYCXFYMXIFYCX
        EBUOYHVMYCXIERSZVFREUPPZUQFYCXGYNXHYOVFYCWSERXSXTYBVTZWAYCWSERUPYPWBWCL
        TWJKTWIZWDYJXKCYQWEWFMTWGWHVQWGWGNUJUAUBWKBWPUIWLWMWN $.
    $}

    znle.l $e |- .<_ = ( le ` Y ) $.
    $( The value of the ` Z/nZ ` structure.  It is defined as the quotient ring
       ` ZZ / n ZZ ` , with an "artificial" ordering added to make it a
       ` Toset ` .  (In other words, ` Z/nZ ` is a _ring_ with an _order_ , but
       it is not an _ordered ring_ , which as a term implies that the order is
       compatible with the ring operations in some way.)  (Contributed by Mario
       Carneiro, 14-Jun-2015.)  (Revised by AV, 13-Jun-2019.) $)
    znle $p |- ( N e. NN0 -> .<_ = ( ( F o. <_ ) o. `' F ) ) $=
      ( wcel cple cfv cle ccom cvv cxr cn0 cnx ccnv cop csts co eqid znval wceq
      fveq2d zring csn cqg cqus ovexi czrh cres fvex resex eqeltri xrex lerelxr
      cxp xpex ssexi coex cnvex pleid setsid mp2an 3eqtr4g ) EUANZGOPBUBOPCQRZC
      UCZRZUDUEUFZOPZDVOVLGVPOABCVOEFGHIJKLVOUGUHUJMBSNVOSNVOVQUIBUKUKEULAPUMUF
      UNIUOVMVNCQCBUPPZFUQSKVRFBUPURUSUTZQTTVCTTVAVAVDVBVEVFCVSVGVFSVOOSBVHVIVJ
      VK $.
  $}

  ${
    $d x E $.  $d x K $.  $d x y N $.  $d x y U $.  $d x y Y $.
    znval2.s $e |- S = ( RSpan ` ZZring ) $.
    znval2.u $e |- U = ( ZZring /s ( ZZring ~QG ( S ` { N } ) ) ) $.
    znval2.y $e |- Y = ( Z/nZ ` N ) $.
    ${
      znval2.l $e |- .<_ = ( le ` Y ) $.
      $( Self-referential expression for the ` Z/nZ ` structure.  (Contributed
         by Mario Carneiro, 14-Jun-2015.)  (Revised by AV, 13-Jun-2019.) $)
      znval2 $p |- ( N e. NN0 -> Y = ( U sSet <. ( le ` ndx ) , .<_ >. ) ) $=
        ( cn0 wcel cnx cple cfv cc0 co ccom cop csts eqid czrh wceq cz cfzo cif
        cres cle ccnv znval znle opeq2d oveq2d eqtr4d ) DJKZEBLMNZBUANDOUBUCODU
        DPUEZUFZUGQUQUHQZRZSPBUOCRZSPABUQURDUPEFGHUQTZUPTZURTUIUNUTUSBSUNCURUOA
        BUQCDUPEFGHVAVBIUJUKULUM $.
    $}

    ${
      znbaslem.e $e |- E = Slot ( E ` ndx ) $.
      znbaslem.n $e |- ( E ` ndx ) =/= ( le ` ndx ) $.
      $( Lemma for ~ znbas .  (Contributed by Mario Carneiro, 14-Jun-2015.)
         (Revised by Mario Carneiro, 14-Aug-2015.)  (Revised by AV,
         13-Jun-2019.)  (Revised by AV, 9-Sep-2021.)  (Revised by AV,
         3-Nov-2024.) $)
      znbaslem $p |- ( N e. NN0 -> ( E ` U ) = ( E ` Y ) ) $=
        ( cn0 wcel cfv cnx cple cop csts co setsnid eqid znval2 fveq2d eqtr4id
        ) DKLZBCMBNOMZEOMZPQRZCMECMUFUECBIJSUDEUGCABUFDEFGHUFTUAUBUC $.
    $}

    ${
      znbaslemOLD.e $e |- E = Slot K $.
      znbaslemOLD.k $e |- K e. NN $.
      znbaslemOLD.l $e |- K < ; 1 0 $.
      $( Obsolete version of ~ znbaslem as of 3-Nov-2024.  Lemma for ~ znbas .
         (Contributed by Mario Carneiro, 14-Jun-2015.)  (Revised by Mario
         Carneiro, 14-Aug-2015.)  (Revised by AV, 13-Jun-2019.)  (Revised by
         AV, 9-Sep-2021.)  (New usage is discouraged.)
         (Proof modification is discouraged.) $)
      znbaslemOLD $p |- ( N e. NN0 -> ( E ` U ) = ( E ` Y ) ) $=
        ( cn0 wcel cfv cnx cple cop csts wne ndxid cc0 cdc ltneii ndxarg plendx
        co c1 nnrei neeq12i mpbir setsnid eqid znval2 fveq2d eqtr4id ) EMNZBCOB
        PQOZFQOZRSUGZCOFCOUSURCBCDJKUAPCOZURTDUHUBUCZTDVBDKUILUDVADURVBCDJKUEUF
        UJUKULUQFUTCABUSEFGHIUSUMUNUOUP $.
    $}

    $( The base set of ` Z/nZ ` is the same as the quotient ring it is based
       on.  (Contributed by Mario Carneiro, 15-Jun-2015.)  (Revised by AV,
       13-Jun-2019.)  (Revised by AV, 3-Nov-2024.) $)
    znbas2 $p |- ( N e. NN0 -> ( Base ` U ) = ( Base ` Y ) ) $=
      ( cbs baseid cnx cple cfv plendxnbasendx necomi znbaslem ) ABHCDEFGIJKLJH
      LMNO $.

    $( Obsolete version of ~ znbas2 as of 3-Nov-2024.  The base set of ` Z/nZ `
       is the same as the quotient ring it is based on.  (Contributed by Mario
       Carneiro, 15-Jun-2015.)  (Revised by AV, 13-Jun-2019.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    znbas2OLD $p |- ( N e. NN0 -> ( Base ` U ) = ( Base ` Y ) ) $=
      ( cbs c1 df-base 1nn 1lt10 znbaslemOLD ) ABHICDEFGJKLM $.

    $( The additive structure of ` Z/nZ ` is the same as the quotient ring it
       is based on.  (Contributed by Mario Carneiro, 15-Jun-2015.)  (Revised by
       AV, 13-Jun-2019.)  (Revised by AV, 3-Nov-2024.) $)
    znadd $p |- ( N e. NN0 -> ( +g ` U ) = ( +g ` Y ) ) $=
      ( cplusg plusgid cnx cple cfv plendxnplusgndx necomi znbaslem ) ABHCDEFGI
      JKLJHLMNO $.

    $( Obsolete version of ~ znadd as of 3-Nov-2024.  The additive structure of
       ` Z/nZ ` is the same as the quotient ring it is based on.  (Contributed
       by Mario Carneiro, 15-Jun-2015.)  (Revised by AV, 13-Jun-2019.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    znaddOLD $p |- ( N e. NN0 -> ( +g ` U ) = ( +g ` Y ) ) $=
      ( cplusg c2 df-plusg 2nn 2lt10 znbaslemOLD ) ABHICDEFGJKLM $.

    $( The multiplicative structure of ` Z/nZ ` is the same as the quotient
       ring it is based on.  (Contributed by Mario Carneiro, 15-Jun-2015.)
       (Revised by AV, 13-Jun-2019.)  (Revised by AV, 3-Nov-2024.) $)
    znmul $p |- ( N e. NN0 -> ( .r ` U ) = ( .r ` Y ) ) $=
      ( cmulr mulrid cnx cple cfv plendxnmulrndx necomi znbaslem ) ABHCDEFGIJKL
      JHLMNO $.

    $( Obsolete version of ~ znadd as of 3-Nov-2024.  The multiplicative
       structure of ` Z/nZ ` is the same as the quotient ring it is based on.
       (Contributed by Mario Carneiro, 15-Jun-2015.)  (Revised by AV,
       13-Jun-2019.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    znmulOLD $p |- ( N e. NN0 -> ( .r ` U ) = ( .r ` Y ) ) $=
      ( cmulr c3 df-mulr 3nn 3lt10 znbaslemOLD ) ABHICDEFGJKLM $.

    $( The ` ZZ ` ring homomorphism of ` Z/nZ ` is inherited from the quotient
       ring it is based on.  (Contributed by Mario Carneiro, 14-Jun-2015.)
       (Revised by AV, 13-Jun-2019.) $)
    znzrh $p |- ( N e. NN0 -> ( ZRHom ` U ) = ( ZRHom ` Y ) ) $=
      ( vx vy cn0 wcel cbs cfv eqidd znbas2 cv wa cplusg oveqdr cmulr zrhpropd
      znadd znmul ) CJKZHIBLMZBDUDUENABCDEFGOUDHPUEKIPUEKQZHIBRMDRMABCDEFGUBSUD
      UFHIBTMDTMABCDEFGUCSUA $.
  $}

  ${
    znbas.s $e |- S = ( RSpan ` ZZring ) $.
    znbas.y $e |- Y = ( Z/nZ ` N ) $.
    znbas.r $e |- R = ( ZZring ~QG ( S ` { N } ) ) $.
    $( The base set of ` Z/nZ ` structure.  (Contributed by Mario Carneiro,
       15-Jun-2015.)  (Revised by AV, 13-Jun-2019.) $)
    znbas $p |- ( N e. NN0 -> ( ZZ /. R ) = ( Base ` Y ) ) $=
      ( cn0 wcel cz cqs zring cqus co cbs cfv cvv crg a1i cqg wceq zringbas csn
      eqidd ovexi zringring qusbas oveq2i znbas2 eqtrd ) CHIZJAKLAMNZOPDOPUKALU
      LJQRUKULUDJLOPUAUKUBSAQIUKALCUCBPZTGUESLRIUKUFSUGBULCDEALUMTNLMGUHFUIUJ
      $.
  $}

  ${
    $d x y N $.  $d x y Y $.
    zncrng.y $e |- Y = ( Z/nZ ` N ) $.
    $( ` Z/nZ ` is a commutative ring.  (Contributed by Mario Carneiro,
       15-Jun-2015.) $)
    zncrng $p |- ( N e. NN0 -> Y e. CRing ) $=
      ( vx vy cn0 wcel zring csn crsp cfv cqg co cqus ccrg eqid cv cplusg cmulr
      oveqdr cz nn0z zncrng2 syl cbs eqidd znbas2 znadd znmul crngpropd mpbid
      wa ) AFGZHHAIHJKZKLMNMZOGZBOGUMAUAGUPAUBUNUOAUNPZUOPZUCUDUMDEUOUEKZUOBUMU
      SUFUNUOABUQURCUGUMDQUSGEQUSGULZDEUORKBRKUNUOABUQURCUHTUMUTDEUOSKBSKUNUOAB
      UQURCUITUJUK $.
  $}

  ${
    $d x A $.  $d x N $.  $d x .~ $.  $d x S $.
    znzrh2.s $e |- S = ( RSpan ` ZZring ) $.
    znzrh2.r $e |- .~ = ( ZZring ~QG ( S ` { N } ) ) $.
    znzrh2.y $e |- Y = ( Z/nZ ` N ) $.
    znzrh2.2 $e |- L = ( ZRHom ` Y ) $.
    $( The ` ZZ ` ring homomorphism maps elements to their equivalence classes.
       (Contributed by Mario Carneiro, 15-Jun-2015.)  (Revised by AV,
       13-Jun-2019.) $)
    znzrh2 $p |- ( N e. NN0 -> L = ( x e. ZZ |-> [ x ] .~ ) ) $=
      ( wcel czrh cfv cz cec zring cqus co wceq crg cn0 cv cmpt clidl zringring
      crh csn nn0z znlidl syl cqg oveq2i ccrg c2idl zringcrng crng2idl zringbas
      eqid ax-mp eceq2 mpteq2i qusrhm sylancr wb zncrng2 crngring zrhrhmb mpbid
      4syl znzrh eqtr2d eqtrid ) EUAKZDFLMZANAUBZBOZUCZJVMVQPBQRZLMZVNVMVQPVRUF
      RKZVQVSSZVMPTKEUGCMZPUDMZKZVTUEVMENKZWDEUHZCEGUIUJAPWBVRVQWCNBPWBUKRZPQHU
      LZPUMKWCPUNMSUOPWCWCURUPUSUQANVPVOWGOZBWGSVPWISHBWGVOUTUSVAVBVCVMWEVRUMKV
      RTKVTWAVDWFCVREGWHVEVRVFVRVQVSVSURVGVIVHCVREFGWHIVJVKVL $.

    $( The ` ZZ ` ring homomorphism maps elements to their equivalence classes.
       (Contributed by Mario Carneiro, 15-Jun-2015.)  (Revised by AV,
       13-Jun-2019.) $)
    znzrhval $p |- ( ( N e. NN0 /\ A e. ZZ ) -> ( L ` A ) = [ A ] .~ ) $=
      ( vx cn0 wcel cz cfv cv cec cmpt znzrh2 cvv fveq1d eceq1 eqid zring ovexi
      csn cqg ecexg ax-mp fvmpt sylan9eq ) ELMZANMADOAKNKPZBQZRZOABQZULADUOKBCD
      EFGHIJSUAKAUNUPNUOUMABUBUOUCBTMUPTMBUDEUFCOUGHUEATBUHUIUJUK $.
  $}

  ${
    $d x N $.
    znzrhfo.y $e |- Y = ( Z/nZ ` N ) $.
    znzrhfo.b $e |- B = ( Base ` Y ) $.
    znzrhfo.2 $e |- L = ( ZRHom ` Y ) $.
    $( The ` ZZ ` ring homomorphism is a surjection onto ` ZZ / n ZZ ` .
       (Contributed by Mario Carneiro, 15-Jun-2015.) $)
    znzrhfo $p |- ( N e. NN0 -> L : ZZ -onto-> B ) $=
      ( vx wcel cz wfo zring cfv cqg co crg cbs wceq a1i eqid cn0 csn crsp cmpt
      cv cec cqs cqus eqidd zringbas ovexd zringring quslem znbas eqtr4di foeq3
      cvv wb syl mpbid znzrh2 foeq1 mpbird ) CUAIZJABKZJAHJHUELCUBLUCMZMZNOZUFU
      DZKZVDJJVHUGZVIKZVJVDHVHLLVHUHOZVIJUQPVDVMUIJLQMRVDUJSVITVDLVGNUKLPIVDULS
      UMVDVKARVLVJURVDVKDQMAVHVFCDVFTZEVHTZUNFUOVKAJVIUPUSUTVDBVIRVEVJURHVHVFBC
      DVNVOEGVAJABVIVBUSVC $.
  $}

  ${
    $d x A $.  $d x B $.  $d x N $.  $d n x Y $.
    zncyg.y $e |- Y = ( Z/nZ ` N ) $.
    $( The group ` ZZ / n ZZ ` is cyclic for all ` n ` (including ` n = 0 ` ).
       (Contributed by Mario Carneiro, 21-Apr-2016.) $)
    zncyg $p |- ( N e. NN0 -> Y e. CycGrp ) $=
      ( vn vx cn0 wcel cgrp cz cv cmg cfv co cmpt crn cbs wceq syl eqid rneqd
      wrex ccyg crg ccrg crngring ringgrp cur ringidcl czrh zrhval2 wfo znzrhfo
      zncrng forn eqtr3d oveq2 mpteq2dv eqeq1d rspcev syl2anc iscyg sylanbrc )
      AFGZBHGZDIDJZEJZBKLZMZNZOZBPLZQZEVKUAZBUBGVCBUCGZVDVCBUDGVNABCUMBUERZBUFR
      VCBUGLZVKGZDIVEVPVGMZNZOZVKQZVMVCVNVQVOVKBVPVKSZVPSZUHRVCBUILZOZVTVKVCWDV
      SVCVNWDVSQVOBVGVPDWDWDSZVGSZWCUJRTVCIVKWDUKWEVKQVKWDABCWBWFULIVKWDUNRUOVL
      WAEVPVKVFVPQZVJVTVKWHVIVSWHDIVHVRVFVPVEVGUPUQTURUSUTEVKVGDBWBWGVAVB $.

    zndvds.2 $e |- L = ( ZRHom ` Y ) $.
    $( Express equality of equivalence classes in ` ZZ / n ZZ ` in terms of
       divisibility.  (Contributed by Mario Carneiro, 15-Jun-2015.) $)
    zndvds $p |- ( ( N e. NN0 /\ A e. ZZ /\ B e. ZZ ) ->
      ( ( L ` A ) = ( L ` B ) <-> N || ( A - B ) ) ) $=
      ( vx cfv wceq wcel cz cmin co cdvds zring eqid zringbas sylancr ccnfld wb
      cn0 w3a wbr eqcom csn crsp cqg cec znzrhval 3adant2 3adant3 eqeq12d csubg
      wer crg clidl zringring wss 3ad2ant1 snssd rspcl lidlsubg eqger syl simp3
      nn0z erth csg cabl zringabl lidlss eqgabl wa jca biantrurd df-3an bitr4di
      simp2 cab csubrg zsubrg subrgsubg mp1i cnfldsub df-zring subgsub syld3an1
      cv eqcomd dvdsrzring rspsn eleq12d ovex breq2 elab bitrdi 3bitr2d syl5bb
      ) ACIZBCIZJXAWTJZDUBKZALKZBLKZUCZDABMNZOUDZWTXAUEXFXBBPDUFZPUGIZIZUHNZUIZ
      AXLUIZJBAXLUDZXHXFXAXMWTXNXCXEXAXMJXDBXLXJCDEXJQZXLQZFGUJUKXCXDWTXNJXEAXL
      XJCDEXPXQFGUJULUMXFBAXLLXFXKPUNIKZLXLUOXFPUPKZXKPUQIZKZXRURXFXSXILUSYAURX
      FDLXCXDDLKZXEDVGUTZVALPXTXIXJXPRXTQZVBSZPXTXKYDVCSXLPLXKRXQVDVEXCXDXEVFZV
      HXFXOXEXDABPVIIZNZXKKZUCZYIXHXFPVJKXKLUSZXOYJUAVKXFYAYKYELXKXTPRYDVLVEBAX
      LXKPYGLRYGQZXQVMSXFYIXEXDVNZYIVNYJXFYMYIXFXEXDYFXCXDXEVSVOVPXEXDYIVQVRXFY
      IXGDHWIZOUDZHVTZKXHXFYHXGXKYPXFXGYHLTUNIKZXDXCXEXGYHJLTWAIKYQXFWBLTWCWDLT
      PMYGABWEWFYLWGWHWJXFXSYBXKYPJURYCHLOPDXJRXPWKWLSWMYOXHHXGABMWNYNXGDOWOWPW
      QWRWRWS $.

    zndvds0.3 $e |- .0. = ( 0g ` Y ) $.
    $( Special case of ~ zndvds when one argument is zero.  (Contributed by
       Mario Carneiro, 15-Jun-2015.) $)
    zndvds0 $p |- ( ( N e. NN0 /\ A e. ZZ ) ->
        ( ( L ` A ) = .0. <-> N || A ) ) $=
      ( cn0 wcel cz wa cfv cc0 wceq co cdvds wbr zring 3syl wb 0z zndvds mp3an3
      cmin crh cghm ccrg crg zncrng adantr crngring zrhrhm rhmghm zring0 eqeq2d
      ghmid simpr zcnd subid1d breq2d 3bitr3d ) CIJZAKJZLZABMZNBMZOZCANUEPZQRZV
      FEOCAQRVCVDNKJVHVJUAUBANBCDFGUCUDVEVGEVFVEBSDUFPJZBSDUGPJVGEOVEDUHJZDUIJV
      KVCVLVDCDFUJUKDULDBGUMTSDBUNSDBNEUOHUQTUPVEVIACQVEAVEAVCVDURUSUTVAVB $.
  $}

  ${
    $d x y B $.  $d x y z F $.  $d x y z N $.  $d x y z W $.  $d x y z Y $.
    znf1o.y $e |- Y = ( Z/nZ ` N ) $.
    znf1o.b $e |- B = ( Base ` Y ) $.
    znf1o.f $e |- F = ( ( ZRHom ` Y ) |` W ) $.
    znf1o.w $e |- W = if ( N = 0 , ZZ , ( 0 ..^ N ) ) $.
    $( The function ` F ` enumerates all equivalence classes in ` Z/nZ ` for
       each ` n ` .  When ` n = 0 ` , ` ZZ / 0 ZZ = ZZ / { 0 } ~~ ZZ ` so we
       let ` W = ZZ ` ; otherwise ` W = { 0 , ... , n - 1 } ` enumerates all
       the equivalence classes.  (Contributed by Mario Carneiro, 15-Jun-2015.)
       (Revised by Mario Carneiro, 2-May-2016.)  (Revised by AV,
       13-Jun-2019.) $)
    znf1o $p |- ( N e. NN0 -> F : W -1-1-onto-> B ) $=
      ( vx vy wcel cfv wceq cz co cc0 wa wbr wb vz cn0 wf1 wfo wf1o wf weq wral
      cv wi czrh cres wss ccrg crg zring crh zncrng crngring eqid zringbas rhmf
      zrhrhm 4syl cfzo sseq1 ssid elfzoelz ssriv keephyp eqsstri fssres sylancl
      cif feq1i sylibr cmin cdvds fveq1i fvres ad2antrl eqtrid ad2antll eqeq12d
      simpl simprl sselid simprr zndvds syl3anc cn wo elnn0 cmo moddvds crp cle
      cr clt zred nnrp adantr wne nnne0 ifnefalse syl eleqtrd elfzole1 elfzolt2
      modid syl22anc bitr3d breq1d id 0nn0 eqeltrdi sylan zsubcld zcnd subeq0ad
      0dvds 3bitrd jaoian sylanb biimpd ralrimivva sylanbrc wrex zmodfzo ancoms
      dff13 crn eleqtrrd zre modabs2 mpbid mpbird fveq2 rspceeqv syl2anc eqcomd
      syl2anr simpr nnnn0 iftrue eleq2d biimpar eleqtrrdi rexbiia ralrimiva wfn
      eqidd eqeq2d znzrhfo fofn eqeq1 rexbidv ralrn 3syl raleqdv dffo3 df-f1o
      forn ) CUBLZDABUCZDABUDZDABUEUVDDABUFZJUIZBMZKUIZBMZNZJKUGZUJZKDUHJDUHUVE
      UVDDAEUKMZDULZUFZUVGUVDOAUVOUFZDOUMUVQUVDEUNLEUOLUVOUPEUQPLUVRCEFUREUSEUV
      OUVOUTZVCOAUPEUVOVAGVBVDDCQNZOQCVEPZVNZOIUVTOOUMUWAOUMUWBOUMOUWAOUWBOVFUW
      AUWBOVFOVGJUWAOUVHQCVHVIZVJVKZOADUVOVLVMDABUVPHVOVPZUVDUVNJKDDUVDUVHDLZUV
      JDLZRZRZUVLUVMUWIUVLUVHUVOMZUVJUVOMZNZCUVHUVJVQPZVRSZUVMUWIUVIUWJUVKUWKUW
      IUVIUVHUVPMZUWJUVHBUVPHVSUWFUWOUWJNUVDUWGUVHDUVOVTWAWBUWIUVKUVJUVPMZUWKUV
      JBUVPHVSZUWGUWPUWKNUVDUWFUVJDUVOVTZWCWBWDUWIUVDUVHOLZUVJOLZUWLUWNTUVDUWHW
      EUWIDOUVHUWDUVDUWFUWGWFWGZUWIDOUVJUWDUVDUWFUWGWHWGZUVHUVJUVOCEFUVSWIWJUVD
      CWKLZUVTWLZUWHUWNUVMTZCWMZUXCUWHUXEUVTUXCUWHRZUVHCWNPZUVJCWNPZNZUWNUVMUXG
      UXCUWSUWTUXJUWNTUXCUWHWEUXGDOUVHUWDUXCUWFUWGWFZWGZUXGDOUVJUWDUXCUWFUWGWHZ
      WGZUVHUVJCWOWJUXGUXHUVHUXIUVJUXGUVHWRLCWPLZQUVHWQSZUVHCWSSZUXHUVHNUXGUVHU
      XLWTUXCUXOUWHCXAZXBZUXGUVHUWALZUXPUXGUVHDUWAUXKUXCDUWANZUWHUXCDUWBUWAIUXC
      CQXCUWBUWANCXDCQOUWAXEXFWBZXBZXGZUVHQCXHXFUXGUXTUXQUYDUVHQCXIXFUVHCXJXKUX
      GUVJWRLUXOQUVJWQSZUVJCWSSZUXIUVJNUXGUVJUXNWTUXSUXGUVJUWALZUYEUXGUVJDUWAUX
      MUYCXGZUVJQCXHXFUXGUYGUYFUYHUVJQCXIXFUVJCXJXKWDXLUVTUWHRZUWNQUWMVRSZUWMQN
      ZUVMUYICQUWMVRUVTUWHWEXMUYIUWMOLUYJUYKTUYIUVHUVJUVTUVDUWHUWSUVTCQUBUVTXNX
      OXPZUXAXQZUVTUVDUWHUWTUYLUXBXQZXRUWMYAXFUYIUVHUVJUYIUVHUYMXSUYIUVJUYNXSXT
      YBYCYDYBYEYFJKDABYKYGUVDUVGUVHUVKNZKDYHZJAUHZUVFUWEUVDUYPJUVOYLZUHZUYQUVD
      UYSUAUIZUVOMZUVKNZKDYHZUAOUHZUVDVUCUAOUVDUYTOLZRVUAUWKNZKDYHZVUCUVDUXDVUE
      VUGUXFUXCVUEVUGUVTUXCVUERZUYTCWNPZDLVUAVUIUVOMZNVUGVUHVUIUWADVUEUXCVUIUWA
      LUYTCYIYJZUXCUYAVUEUYBXBYMVUHVUJVUAVUHVUJVUANZCVUIUYTVQPVRSZVUHVUICWNPVUI
      NZVUMVUEUYTWRLUXOVUNUXCUYTYNUXRUYTCYOUUBVUHUXCVUIOLZVUEVUNVUMTUXCVUEWEVUH
      UWAOVUIUWCVUKWGZUXCVUEUUCZVUIUYTCWOWJYPVUHUVDVUOVUEVULVUMTUXCUVDVUECUUDXB
      VUPVUQVUIUYTUVOCEFUVSWIWJYQUUAKVUIDUWKVUJVUAUVJVUIUVOYRYSYTUVTVUERZUYTDLV
      UAVUANVUGVURUYTUWBDUVTUYTUWBLVUEUVTUWBOUYTUVTOUWAUUEUUFUUGIUUHVURVUAUULKU
      YTDUWKVUAVUAUVJUYTUVOYRYSYTYCYDVUBVUFKDUWGUVKUWKVUAUWGUVKUWPUWKUWQUWRWBUU
      MUUIVPUUJUVDOAUVOUDZUVOOUUKUYSVUDTAUVOCEFGUVSUUNZOAUVOUUOUYPVUCJUAOUVOUVH
      VUANUYOVUBKDUVHVUAUVKUUPUUQUURUUSYQUVDUYPJUYRAUVDVUSUYRANVUTOAUVOUVCXFUUT
      YPKJDABUVAYGDABUVBYG $.
  $}

  ${
    zzngim.y $e |- Y = ( Z/nZ ` 0 ) $.
    zzngim.2 $e |- L = ( ZRHom ` Y ) $.
    $( The ` ZZ ` ring homomorphism is an isomorphism for ` N = 0 ` .  (We only
       show group isomorphism here, but ring isomorphism follows, since it is a
       bijective ring homomorphism.)  (Contributed by Mario Carneiro,
       21-Apr-2016.)  (Revised by AV, 13-Jun-2019.) $)
    zzngim $p |- L e. ( ZZring GrpIso Y ) $=
      ( zring cgim co wcel cghm cbs cfv wf1o cc0 0nn0 mp2b eqid cres wceq ax-mp
      cz crg crh cn0 ccrg zncrng crngring zrhrhm rhmghm wfo wfn znzrhfo fnresdm
      czrh fofn reseq1i eqtr3i cif iftruei eqcomi znf1o zringbas isgim mpbir2an
      cfzo ) AEBFGHAEBIGHZTBJKZALZBUAHZAEBUBGHVEMUCHZBUDHVHNMBCUEBUFOBADUGEBAUH
      OVIVGNVFAMTBCVFPZATQZABUMKZTQTVFAUIZATUJVKARVIVMNVFAMBCVJDUKSTVFAUNTAULOA
      VLTDUOUPMMRZTMMVDGZUQTVNTVOMPURUSUTSTVFEBAVAVJVBVC $.
  $}

  ${
    $d x y .<_ $.  $d x A $.  $d x y z N $.  $d x y z X $.  $d x y z Y $.
    $d x B $.  $d x F $.
    znle2.y $e |- Y = ( Z/nZ ` N ) $.
    znle2.f $e |- F = ( ( ZRHom ` Y ) |` W ) $.
    znle2.w $e |- W = if ( N = 0 , ZZ , ( 0 ..^ N ) ) $.
    znle2.l $e |- .<_ = ( le ` Y ) $.
    $( The ordering of the ` Z/nZ ` structure.  (Contributed by Mario Carneiro,
       15-Jun-2015.)  (Revised by AV, 13-Jun-2019.) $)
    znle2 $p |- ( N e. NN0 -> .<_ = ( ( F o. <_ ) o. `' F ) ) $=
      ( cn0 wcel zring cfv co czrh cres cle ccom ccnv eqid crsp cqus znle znzrh
      csn cqg reseq1d eqtr4di coeq1d cnveqd coeq12d eqtrd ) CJKZBLLCUELUAMZMUFN
      UBNZOMZDPZQRZUQSZRAQRZASZRUNUOUQBCDEUNTZUOTZFUQTHIUCUMURUTUSVAUMUQAQUMUQE
      OMZDPAUMUPVDDUNUOCEVBVCFUDUGGUHZUIUMUQAVEUJUKUL $.

    znleval.x $e |- X = ( Base ` Y ) $.
    $( The ordering of the ` Z/nZ ` structure.  (Contributed by Mario Carneiro,
       15-Jun-2015.)  (Revised by AV, 13-Jun-2019.) $)
    znleval $p |- ( N e. NN0 -> ( A .<_ B <-> ( A e. X /\ B e. X /\
        ( `' F ` A ) <_ ( `' F ` B ) ) ) ) $=
      ( vx wcel wbr wa cle wceq wb cn0 ccnv cfv w3a cxp ccom znle2 cdm crn wrel
      wss relco relssdmrn ax-mp dmcoss df-rn wf1o znf1o f1ofo forn 3syl eqtr3id
      wfo sseqtrid rncoss sstrid xpss12 syl2anc eqsstrd brxp syl6ib pm4.71rd cv
      ssbrd wex adantr breqd brcog adantl eqcom wfn f1ocnv f1ofn simprl fnbrfvb
      bitr2id anbi1d exbidv bitrd breq1 ceqsexv cvv simprr sylancr breq2 syl5bb
      vex brcnvg sylancl biancomd bitr3id bitr4d 3bitrd pm5.32da df-3an bitr4di
      fvex ) EUAOZABDPZAGOZBGOZQZXIQZXJXKACUBZUCZBXNUCZRPZUDZXHXIXLXHXIABGGUEZP
      XLXHDXSABXHDCRUFZXNUFZXSCDEFHIJKLUGZXHYAYAUHZYAUIZUEZXSYAUJYAYEUKXTXNULYA
      UMUNXHYCGUKYDGUKYEXSUKXHXNUHZYCGXTXNUOXHYFCUIZGCUPXHFGCUQZFGCVCYGGSGCEFHI
      MJKURZFGCUSFGCUTVAZVBVDXHYDXTUIZGXTXNVEXHYGYKGCRVEYJVDVFYCGYDGVGVHVFVIVNA
      BGGVJVKVLXHXMXLXQQXRXHXLXIXQXHXLQZXIABYAPZNVMZXOSZYNBXTPZQZNVOZXQYLDYAABX
      HDYASXLYBVPVQYLYMAYNXNPZYPQZNVOZYRXLYMUUATXHNABXTXNGGVRVSYLYTYQNYLYSYOYPY
      OXOYNSZYLYSYNXOVTYLXNGWAZXJUUBYSTYLYHGFXNUQUUCXHYHXLYIVPFGCWBGFXNWCVAZXHX
      JXKWDGAYNXNWEVHWFWGWHWIYRXOBXTPZYLXQYPUUENXOAXNXGZYNXOBXTWJWKYLUUEXOYNRPZ
      YNBCPZQZNVOZXQYLXOWLOXKUUEUUJTUUFXHXJXKWMZNXOBCRWLGVRWNXQYNXPSZUUGQZNVOYL
      UUJUUGXQNXPBXNXGYNXPXORWOWKYLUUMUUINYLUUMUUGUUHYLUULUUHUUGYLUULBYNXNPZUUH
      UULXPYNSZYLUUNYNXPVTYLUUCXKUUOUUNTUUDUUKGBYNXNWEVHWPYLXKYNWLOUUNUUHTUUKNW
      QBYNGWLCWRWSWIWGWTWHXAXBWPXCXDXJXKXQXEXFWI $.

    $( The ordering of the ` Z/nZ ` structure.  (Contributed by Mario Carneiro,
       15-Jun-2015.)  (Revised by AV, 13-Jun-2019.) $)
    znleval2 $p |- ( ( N e. NN0 /\ A e. X /\ B e. X ) ->
                              ( A .<_ B <-> ( `' F ` A ) <_ ( `' F ` B ) ) ) $=
      ( cn0 wcel w3a wbr ccnv cfv wa cle znleval 3ad2ant1 3simpc df-3an bitr4di
      wb biantrurd bitr4d ) ENOZAGOZBGOZPZABDQZUKULACRZSBUOSUAQZPZUPUJUKUNUQUGU
      LABCDEFGHIJKLMUBUCUMUPUKULTZUPTUQUMURUPUJUKULUDUHUKULUPUEUFUI $.

    $( Lemma for ~ zntos .  (Contributed by Mario Carneiro, 15-Jun-2015.)
       (Revised by AV, 13-Jun-2019.) $)
    zntoslem $p |- ( N e. NN0 -> Y e. Toset ) $=
      ( vx vy wcel wbr cfv wa cr cz wb vz cn0 cpo cv wo wral ctos cvv czn fvexi
      a1i cbs wceq cple ccnv cle wf wss wf1o znf1o f1ocnv syl f1of cc0 cfzo cif
      sseq1 ssid fzossz keephyp eqsstri zssre sstri fss sylancl ffvelrnda leidd
      znleval2 3anidm23 mpbird w3a 3com23 anbi12d 3adant3 3adant2 letri3d f1of1
      co wf1 f1fveq sylan 3impb 3bitr2d biimpd wi 3ad2antr1 3ad2antr2 3ad2antr3
      syl3anc 3adant3r3 3adant3r1 3adant3r2 3imtr4d isposd letrid orbi12d 3expb
      letr ralrimivva istos sylanbrc ) CUBNZFUCNLUDZMUDZBOZXNXMBOZUEZMEUFLEUFFU
      GNXLLMUAEFBUHFUHNXLFCUIGUJUKEFULPUMXLKUKBFUNPUMXLJUKXLXMENZQZXMXMBOZXMAUO
      ZPZYBUPOZXSYBXLERXMYAXLEDYAUQZDRURERYAUQXLEDYAUSZYDXLDEAUSYEEACDFGKHIUTDE
      AVAVBZEDYAVCVBDSRDCVDUMZSVDCVEWHZVFZSIYGSSURYHSURYISURSYHSYISVGYHYISVGSVH
      VDCVIVJVKVLVMEDRYAVNVOZVPZVQXLXRXTYCTXMXMABCDEFGHIJKVRVSVTXLXRXNENZWAZXOX
      PQZXMXNUMZYMYNYBXNYAPZUPOZYPYBUPOZQYBYPUMZYOYMXOYQXPYRXMXNABCDEFGHIJKVRZX
      LYLXRXPYRTXNXMABCDEFGHIJKVRWBZWCYMYBYPXLXRYBRNZYLYKWDZXLYLYPRNZXRXLERXNYA
      YJVPZWEZWFXLXRYLYSYOTZXLEDYAWIZXRYLQUUGXLYEUUHYFEDYAWGVBEDXMXNYAWJWKWLWMW
      NXLXRYLUAUDZENZWAQZYQYPUUIYAPZUPOZQZYBUULUPOZXOXNUUIBOZQXMUUIBOZUUKUUBUUD
      UULRNZUUNUUOWOXLYLXRUUBUUJYKWPXLXRYLUUDUUJUUEWQXLXRUUJUURYLXLERUUIYAYJVPW
      RYBYPUULXHWSUUKXOYQUUPUUMXLXRYLXOYQTUUJYTWTXLYLUUJUUPUUMTXRXNUUIABCDEFGHI
      JKVRXAWCXLXRUUJUUQUUOTYLXMUUIABCDEFGHIJKVRXBXCXDXLXQLMEEXLXRYLXQYMXQYQYRU
      EYMYBYPUUCUUFXEYMXOYQXPYRYTUUAXFVTXGXILMEFBKJXJXK $.
  $}

  ${
    $d w x y z N $.  $d w x y z Y $.
    zntos.y $e |- Y = ( Z/nZ ` N ) $.
    $( The ` Z/nZ ` structure is a totally ordered set.  (The order is not
       respected by the operations, except in the case ` N = 0 ` when it
       coincides with the ordering on ` ZZ ` .)  (Contributed by Mario
       Carneiro, 15-Jun-2015.) $)
    zntos $p |- ( N e. NN0 -> Y e. Toset ) $=
      ( czrh cfv cc0 wceq cz cfzo co cif cres cple cbs eqid zntoslem ) BDEAFGHF
      AIJKZLZBMEZAQBNEZBCROQOSOTOP $.

    ${
      znhash.1 $e |- B = ( Base ` Y ) $.
      $( The ` Z/nZ ` structure has ` n ` elements.  (Contributed by Mario
         Carneiro, 15-Jun-2015.) $)
      znhash $p |- ( N e. NN -> ( # ` B ) = N ) $=
        ( cn wcel chash cfv cc0 cfzo co czrh wceq cz wf1o cen wbr eqid syl cres
        cif cn0 nnnn0 znf1o wne wb nnne0 ifnefalse f1oeq2 3syl mpbid ovex f1oen
        ensym hasheni 4syl hashfzo0 eqtrd ) BFGZAHIZJBKLZHIZBUTVBACMIBJNOVBUBZU
        AZPZVBAQRAVBQRVAVCNUTVDAVEPZVFUTBUCGZVGBUDZAVEBVDCDEVESVDSUETUTBJUFVDVB
        NVGVFUGBUHBJOVBUIVDVBAVEUJUKULVBAVEJBKUMUNVBAUOAVBUPUQUTVHVCBNVIBURTUS
        $.

      $( The ` Z/nZ ` structure is a finite ring.  (Contributed by Mario
         Carneiro, 2-May-2016.) $)
      znfi $p |- ( N e. NN -> B e. Fin ) $=
        ( cn wcel chash cfv cn0 cfn znhash nnnn0 eqeltrd cvv wb cbs fvexi ax-mp
        hashclb sylibr ) BFGZAHIZJGZAKGZUBUCBJABCDELBMNAOGUEUDPACQERAOTSUA $.
    $}

    $( The ` Z/nZ ` structure is a finite field when ` n ` is prime.
       (Contributed by Mario Carneiro, 15-Jun-2015.) $)
    znfld $p |- ( N e. Prime -> Y e. Field ) $=
      ( vx vy vz vw wcel syl cv cfv co wceq wo c2o wbr c2 wb wa cz cprime cidom
      cfield ccrg cdomn cn0 prmnn nnnn0 zncrng cnzr cmulr c0g cbs wral crg cdom
      cn crngring 4syl chash cle hash2 cuz prmuz2 eluzle eqid breqtrrd eqbrtrid
      wi znhash cfn cvv com 2onn nnfi ax-mp hashdom mp2an sylib isnzr2 sylanbrc
      fvex czrh wrex wfo znzrhfo foelrn anim12dan sylan reeanv cmul cdvds 3expb
      euclemma zring crh adantr zrhrhm simprl simprr zringbas zringmulr syl3anc
      rhmmul eqeq1d zmulcl zndvds0 syl2an bitr3d syl2an2r orbi12d biimpd oveq12
      3bitr4d eqeq1 orbi1d orbi2d sylan9bb imbi12d syl5ibrcom rexlimdvva syldan
      syl5bir imp ralrimivva isdomn isidom znfi fiidomfld mpbid ) AUAHZBUBHZBUC
      HZYKBUDHZBUEHZYLYKAUFHZYNYKAUQHZYPAUGZAUHZIZABCUIZIYKBUJHZDJZEJZBUKKZLZBU
      LKZMZUUCUUGMZUUDUUGMZNZVIZEBUMKZUNDUUMUNYOYKBUOHZOUUMUPPZUUBYKYQYPYNUUNYR
      YSUUABURUSZYKOUTKZUUMUTKZVAPZUUOYKUUQQUURVAVBYKQAUURVAYKAQVCKHQAVAPAVDQAV
      EIYKYQUURAMYRUUMABCUUMVFZVJIVGVHOVKHZUUMVLHUUSUUOROVMHUVAVNOVOVPBUMWBOUUM
      VLVQVRVSUUMBUUTVTWAYKUULDEUUMUUMYKUUCUUMHZUUDUUMHZSZUUCFJZBWCKZKZMZFTWDZU
      UDGJZUVFKZMZGTWDZSZUULYKTUUMUVFWEZUVDUVNYKYPUVOYTUUMUVFABCUUTUVFVFZWFIUVO
      UVBUVIUVCUVMFTUUMUUCUVFWGGTUUMUUDUVFWGWHWIYKUVNUULUVNUVHUVLSZGTWDFTWDYKUU
      LUVHUVLFGTTWJYKUVQUULFGTTYKUVETHZUVJTHZSZSZUULUVQUVGUVKUUELZUUGMZUVGUUGMZ
      UVKUUGMZNZVIUWAUWCUWFUWAAUVEUVJWKLZWLPZAUVEWLPZAUVJWLPZNZUWCUWFYKUVRUVSUW
      HUWKRAUVEUVJWNWMUWAUWGUVFKZUUGMZUWCUWHUWAUWLUWBUUGUWAUVFWOBWPLHZUVRUVSUWL
      UWBMUWAUUNUWNYKUUNUVTUUPWQBUVFUVPWRIYKUVRUVSWSZYKUVRUVSWTZUVEUVJWOBWKUUEU
      VFTXAXBUUEVFZXDXCXEYKYPUWGTHUWMUWHRUVTYTUVEUVJXFUWGUVFABUUGCUVPUUGVFZXGXH
      XIUWAUWDUWIUWEUWJYKYPUVTUVRUWDUWIRYTUWOUVEUVFABUUGCUVPUWRXGXJYKYPUVTUVSUW
      EUWJRYTUWPUVJUVFABUUGCUVPUWRXGXJXKXNXLUVQUUHUWCUUKUWFUVQUUFUWBUUGUUCUVGUU
      DUVKUUEXMXEUVHUUKUWDUUJNUVLUWFUVHUUIUWDUUJUUCUVGUUGXOXPUVLUUJUWEUWDUUDUVK
      UUGXOXQXRXSXTYAYCYDYBYEDEUUMBUUEUUGUUTUWQUWRYFWABYGWAYKUUMVKHZYLYMRYKYQUW
      SYRUUMABCUUTYHIUUMBUUTYIIYJ $.

    $( The ` Z/nZ ` structure is a domain (and hence a field) precisely when
       ` n ` is prime.  (Contributed by Mario Carneiro, 15-Jun-2015.) $)
    znidomb $p |- ( N e. NN -> ( Y e. IDomn <-> N e. Prime ) ) $=
      ( vx cn wcel c2 cfv wbr c1 wceq cz cle c2o syl wb ad2antrr ad2antrl cc0
      co cidom cprime wa cuz cv cdvds wo wi wral a1i nnz adantr cbs chash hash2
      2z cdom cnzr cdomn ccrg isidom simprbi domnnzr crg eqid isnzr2 adantl cfn
      cvv csn cpr df2o2 prfi eqeltri fvex hashdom mp2an sylibr eqbrtrrid znhash
      c0 breqtrd eluz2 syl3anbrc cdiv czrh c0g cmulr cmul cc wne nnne0 divcan1d
      nncn fveq2d crh ad2antlr domnring zrhrhm simprr dvdsval2 syl3anc zringbas
      zring mpbid zringmulr rhmmul iddvds cn0 zndvds0 syl2anc mpbird 3eqtr3d wf
      nnnn0 rhmf ffvelrnd domneq0 clt cr nnre nngt0 divgt0d elnnz sylanbrc 1red
      dvdsle 0lt1 lediv2 syl222anc nnle1eq1 div1d breq1d 3bitr3rd sylibd sylbid
      dvdseq expr syl21anc orim12d mpd ralrimiva isprm2 ex cfield znfld fldidom
      impbid1 ) AEFZBUAFZAUBFZUUIUUJUUKUUIUUJUCZAGUDHFZDUEZAUFIZUUNJKZUUNAKZUGZ
      UHZDEUIUUKUULGLFZALFZGAMIUUMUUTUULUPUJUUIUVAUUJAUKZULUULGBUMHZUNHZAMUULGN
      UNHZUVDMUOUULNUVCUQIZUVEUVDMIZUUJUVFUUIUUJBURFZUVFUUJBUSFZUVHUUJBUTFUVIBV
      AVBZBVCOUVHBVDFZUVFUVCBUVCVEZVFVBOVGNVHFUVCVIFUVGUVFPNWAWAVJZVKVHVLWAUVMV
      MVNBUMVONUVCVIVPVQVRVSUUIUVDAKUUJUVCABCUVLVTULWBGAWCWDUULUUSDEUULUUNEFZUU
      OUURUULUVNUUOUCZUCZAUUNWETZBWFHZHZBWGHZKZUUNUVRHZUVTKZUGZUURUVPUVSUWBBWHH
      ZTZUVTKZUWDUVPUVQUUNWITZUVRHZAUVRHZUWFUVTUVPUWHAUVRUVPAUUNUUIAWJFUUJUVOAW
      NQZUVNUUNWJFUULUUOUUNWNRUVNUUNSWKZUULUUOUUNWLRZWMWOUVPUVRXDBWPTFZUVQLFZUU
      NLFZUWIUWFKUVPUVKUWNUVPUVIUVKUUJUVIUUIUVOUVJWQZBWROBUVRUVRVEZWSOZUVPUUOUW
      OUULUVNUUOWTZUVPUWPUWLUVAUUOUWOPUVNUWPUULUUOUUNUKRZUWMUUIUVAUUJUVOUVBQZUU
      NAXAXBXEZUXAUVQUUNXDBWIUWEUVRLXCXFUWEVEZXGXBUVPUWJUVTKZAAUFIZUVPUVAUXFUXB
      AXHOUVPAXIFZUVAUXEUXFPUUIUXGUUJUVOAXOQZUXBAUVRABUVTCUWRUVTVEZXJXKXLXMUVPU
      VIUVSUVCFUWBUVCFUWGUWDPUWQUVPLUVCUVQUVRUVPUWNLUVCUVRXNUWSLUVCXDBUVRXCUVLX
      POZUXCXQUVPLUVCUUNUVRUXJUXAXQUVCBUWEUVSUWBUVTUVLUXDUXIXRXBXEUVPUWAUUPUWCU
      UQUVPUWAAUVQUFIZUUPUVPUXGUWOUWAUXKPUXHUXCUVQUVRABUVTCUWRUXIXJXKUVPUXKAUVQ
      MIZUUPUVPUVAUVQEFZUXKUXLUHUXBUVPUWOSUVQXSIUXMUXCUVPAUUNUUIAXTFZUUJUVOAYAQ
      ZUVNUUNXTFZUULUUOUUNYARZUUISAXSIZUUJUVOAYBQZUVNSUUNXSIZUULUUOUUNYBRZYCUVQ
      YDYEAUVQYGXKUVPUUNJMIZAJWETZUVQMIZUUPUXLUVPUXPUXTJXTFSJXSIZUXNUXRUYBUYDPU
      XQUYAUVPYFUYEUVPYHUJUXOUXSUUNJAYIYJUVNUYBUUPPUULUUOUUNYKRUVPUYCAUVQMUVPAU
      WKYLYMYNYOYPUVPUWCAUUNUFIZUUQUVPUXGUWPUWCUYFPUXHUXAUUNUVRABUVTCUWRUXIXJXK
      UVPUUNXIFZUXGUUOUYFUUQUHUVNUYGUULUUOUUNXORUXHUWTUYGUXGUCUUOUYFUUQUUNAYQYR
      YSYPYTUUAYRUUBDAUUCYEUUDUUKBUUEFUUJABCUUFBUUGOUUH $.
  $}

  ${
    $d m n x A $.  $d n x E $.  $d n x L $.  $d m n x N $.  $d n x U $.
    $d n x Y $.
    znchr.y $e |- Y = ( Z/nZ ` N ) $.
    $( Cyclic rings are defined by their characteristic.  (Contributed by
       Stefan O'Rear, 6-Sep-2015.) $)
    znchr $p |- ( N e. NN0 -> ( chr ` Y ) = N ) $=
      ( vx cn0 wcel cchr cfv wceq cv cdvds wbr wb wral wa czrh c0g crg syl eqid
      cz ccrg zncrng crngring nn0z chrdvds syl2an zndvds0 bitrd ralrimiva chrcl
      sylan2 dvdsext mpancom mpbird ) AEFZBGHZAIZUQDJZKLZAUSKLZMZDENZUPVBDEUPUS
      EFZOUTUSBPHZHBQHZIZVAUPBRFZUSUAFZUTVGMVDUPBUBFVHABCUCBUDSZUSUEZUQBVEUSVFU
      QTZVETZVFTZUFUGVDUPVIVGVAMVKUSVEABVFCVMVNUHULUIUJUQEFZUPURVCMUPVHVOVJUQBV
      LUKSDUQAUMUNUO $.

    znunit.u $e |- U = ( Unit ` Y ) $.
    ${
      znunit.l $e |- L = ( ZRHom ` Y ) $.
      $( The units of ` Z/nZ ` are the integers coprime to the base.
         (Contributed by Mario Carneiro, 18-Apr-2016.) $)
      znunit $p |- ( ( N e. NN0 /\ A e. ZZ ) ->
        ( ( L ` A ) e. U <-> ( A gcd N ) = 1 ) ) $=
        ( vn wcel cz cfv wbr co wceq wrex c1 wb syl cdvds vx vm cn0 wa cur cdsr
        cmulr cbs cgcd ccrg zncrng adantr eqid crngunit wfo znzrhfo fof ffvelrn
        cv wf sylancom dvdsr2 cmul cmin crn forn rexeqdv wfn oveq1 eqeq1d rexrn
        ffn 3syl bitr3d zring crh crg crngring zrhrhm simplr zringbas zringmulr
        simpr rhmmul syl3anc zrh1 eqeq12d simpll zmulcld 1zzd rexbidva ad2antrr
        zndvds nn0z gcddvds syl2anc simpld wi nn0zd adantrr dvdsmultr2 peano2zm
        gcdcld mpd simprd simprr dvdssub2 syl31anc mpbid dvds1 rexlimdvaa caddc
        bezout eqeq1 2rexbidv syl5ibcom cneg ad3antrrr dvdsmul1 zmulcl dvdsnegb
        dvdstrd zcnd cc zcn ad2antlr mulcomd oveq1d mulcld eqtr4d oveq2d negcld
        subnegd nncand eqtrd breqtrrd oveq2 breq2d syl5ibrcom 3bitrd rexlimdva
        reximdva syld impbid ) DUCJZAKJZUDZACLZBJZUUHEUELZEUFLZMZUAUSZUUHEUGLZN
        ZUUJOZUAEUHLZPZADUINZQOZUUGEUJJZUUIUULRUUEUVAUUFDEFUKULZUUKEBUUJUUHGUUJ
        UMZUUKUMZUNSUUGUUHUUQJZUULUURRUUEUUFKUUQCUTZUVEUUGKUUQCUOZUVFUUEUVGUUFU
        UQCDEFUUQUMZHUPULZKUUQCUQSZKUUQACURVAUAUUQUUKEUUNUUHUUJUVHUVDUUNUMZVBSU
        UGUURIUSZCLZUUHUUNNZUUJOZIKPZDUVLAVCNZQVDNZTMZIKPZUUTUUGUUPUACVEZPZUURU
        VPUUGUUPUAUWAUUQUUGUVGUWAUUQOUVIKUUQCVFSVGUUGUVFCKVHUWBUVPRUVJKUUQCVLUU
        PUVOUAIKCUUMUVMOUUOUVNUUJUUMUVMUUHUUNVIVJVKVMVNUUGUVOUVSIKUUGUVLKJZUDZU
        VQCLZQCLZOZUVOUVSUWDUWEUVNUWFUUJUWDCVOEVPNJZUWCUUFUWEUVNOUUGUWHUWCUUGEV
        QJZUWHUUGUVAUWIUVBEVRSZECHVSSULUUGUWCWCZUUEUUFUWCVTZUVLAVOEVCUUNCKWAWBU
        VKWDWEUWDUWIUWFUUJOUUGUWIUWCUWJULEUUJCHUVCWFSWGUWDUUEUVQKJZQKJZUWGUVSRU
        UEUUFUWCWHUWDUVLAUWKUWLWIZUWDWJUVQQCDEFHWMWEVNWKUUGUVTUUTUUGUVSUUTIKUUG
        UWCUVSUDZUDZUUSQTMZUUTUWQUUSUVQTMZUWRUWQUUSATMZUWSUWQUWTUUSDTMZUWQUUFDK
        JZUWTUXAUDUUEUUFUWPVTZUUEUXBUUFUWPDWNZWLZADWOWPZWQUWQUUSKJZUWCUUFUWTUWS
        WRUWQUUSUWQADUXCUXEXCZWSZUUGUWCUWCUVSUWKWTUXCUUSUVLAXAWEXDUWQUXGUWMUWNU
        USUVRTMUWSUWRRUXIUUGUWCUWMUVSUWOWTZUWQWJUWQUUSDUVRUXIUXEUWQUWMUVRKJUXJU
        VQXBSUWQUWTUXAUXFXEUUGUWCUVSXFYBUUSUVQQXGXHXIUWQUUSUCJUWRUUTRUXHUUSXJSX
        IXKUUGUUTQAUVLVCNZDUBUSZVCNZXLNZOZUBKPZIKPZUVTUUGUUSUXNOZUBKPIKPZUUTUXQ
        UUGUUFUXBUXSUUEUUFWCUUEUXBUUFUXDULIUBADXMWPUUTUXRUXOIUBKKUUSQUXNXNXOXPU
        UGUXPUVSIKUWDUXOUVSUBKUWDUXLKJZUDZUVSUXODUVQUXNVDNZTMUYADUXMXQZUYBTUYAD
        UXMTMZDUYCTMZUWDUXTUXBUYDUUEUXBUUFUWCUXTUXDXRZDUXLXSVAUYAUXBUXMKJZUYDUY
        ERUYFUWDUXTUXBUYGUYFDUXLXTVAZDUXMYAWPXIUYAUYBUVQUVQUYCVDNZVDNUYCUYAUXNU
        YIUVQVDUYAUXNUVQUXMXLNUYIUYAUXKUVQUXMXLUYAAUVLUYAAUWDUUFUXTUWLULYCZUWCU
        VLYDJUUGUXTUVLYEYFZYGYHUYAUVQUXMUYAUVLAUYKUYJYIZUYAUXMUYHYCZYMYJYKUYAUV
        QUYCUYLUYAUXMUYMYLYNYOYPUXOUVRUYBDTQUXNUVQVDYQYRYSUUAUUBUUCUUDYTYT $.
    $}

    $( The size of the unit group of ` Z/nZ ` .  (Contributed by Mario
       Carneiro, 19-Apr-2016.) $)
    znunithash $p |- ( N e. NN -> ( # ` U ) = ( phi ` N ) ) $=
      ( vx wcel cfv co wceq cc0 chash wa wf1o wb cz eqid bitrd 3syl cvv cn cphi
      cv cgcd c1 cfzo crab czrh cres ccnv cima dfphi2 cab cbs wfn cif cn0 nnnn0
      znf1o syl wne nnne0 ifnefalse reseq2 f1oeq1d f1oeq2 mpbid elpreima adantl
      f1ofn fvres eleq1d elfzoelz znunit syl2an pm5.32da abbi2dv df-rab eqtr4di
      fveq2d cen wbr wf1 wss f1ocnv f1of1 ovexd unitss fvexi f1imaen2g syl22anc
      a1i cui hasheni 3eqtr2rd ) BUAGZBUBHFUCZBUDIUEJZFKBUFIZUGZLHCUHHZWSUIZUJZ
      AUKZLHZALHZFBULWPXDWTLWPXDWQWSGZWRMZFUMWTWPXHFXDWPWQXDGZXGWQXBHZAGZMZXHWP
      WSCUNHZXBNZXBWSUOXIXLOWPBKJPWSUPZXMXAXOUIZNZXNWPBUQGZXQBURZXMXPBXOCDXMQZX
      PQXOQUSUTWPBKVAXOWSJZXQXNOBVBBKPWSVCYAXQXOXMXBNXNYAXOXMXPXBXOWSXAVDVEXOWS
      XMXBVFRSVGZWSXMXBVJWSWQAXBVHSWPXGXKWRWPXGMZXKWQXAHZAGZWRYCXJYDAXGXJYDJWPW
      QWSXAVKVIVLWPXRWQPGYEWROXGXSWQKBVMWQAXABCDEXAQVNVORVPRVQWRFWSVRVSVTWPXDAW
      AWBZXEXFJWPXMWSXCWCZWSTGAXMWDZATGZYFWPXNXMWSXCNYGYBWSXMXBWEXMWSXCWFSWPKBU
      FWGYHWPXMCAXTEWHWLYIWPACWMEWIWLXMWSAXCTWJWKXDAWNUTWO $.

    znrrg.e $e |- E = ( RLReg ` Y ) $.
    $( The regular elements of ` Z/nZ ` are exactly the units.  (This theorem
       fails for ` N = 0 ` , where all nonzero integers are regular, but only
       ` +- 1 ` are units.)  (Contributed by Mario Carneiro, 18-Apr-2016.) $)
    znrrg $p |- ( N e. NN -> E = U ) $=
      ( wcel cfv wceq cz syl co c1 cdvds wbr cmul ad2antrr syl2anc wb czrh wrex
      vx vn cn cv cbs wfo nnnn0 eqid znzrhfo rrgss sseli foelrn syl2an ex wi wa
      cn0 cgcd cdiv cc nncn cc0 wn simplr nnz wne nnne0 simpr necon3ai syl21anc
      gcdn0cl nncnd nnne0d divcan2d gcddvds simpld nnzd simprd simpll nndivdvds
      mpbid dvdsmulc syl3anc mpd eqbrtrrd cmulr c0g wf fof ffvelrnd rrgeq0i crh
      zring crg zncrng crngring zrhrhm zringbas zringmulr rhmmul eqeq1d zmulcld
      ccrg zndvds0 bitr3d 3imtr3d divcan1d mulid1d 3brtr4d 1zzd dvdscmulr dvds1
      syl112anc gcdcld znunit eleq1 imbi12d syl5ibrcom rexlimdva com23 mpdd wss
      mpbird ssrdv unitrrg eqssd ) CUEHZBAYIUCBAYIUCUFZBHZYJUDUFZDUAIZIZJZUDKUB
      ZYJAHZYIYKYPYIKDUGIZYMUHZYJYRHYPYKYICUSHZYSCUIZYRYMCDEYRUJZYMUJZUKZLBYRYJ
      YRDBGUUBULUMUDKYRYJYMUNUOUPYIYPYKYQYIYOYKYQUQZUDKYIYLKHZURZUUEYOYNBHZYNAH
      ZUQUUGUUHUUIUUGUUHURZUUIYLCUTMZNJZUUJUUKNOPZUULUUJCUUKVAMZUUKQMZUUNNQMZOP
      ZUUMUUJCUUNUUOUUPOUUJCYLUUNQMZOPZCUUNOPZUUJUUKUUNQMZCUUROUUJCUUKYICVBHUUF
      UUHCVCRZUUJUUKUUJUUFCKHZYLVDJZCVDJZURZVEZUUKUEHZYIUUFUUHVFZYIUVCUUFUUHCVG
      RZUUJCVDVHZUVGYIUVKUUFUUHCVIRUVFCVDUVDUVEVJVKLYLCVMVLZVNZUUJUUKUVLVOZVPUU
      JUUKYLOPZUVAUUROPZUUJUVOUUKCOPZUUJUUFUVCUVOUVQURUVIUVJYLCVQSZVRUUJUUKKHZU
      UFUUNKHZUVOUVPUQUUJUUKUVLVSZUVIUUJUUNUUJUVQUUNUEHZUUJUVOUVQUVRVTUUJYIUVHU
      VQUWBTYIUUFUUHWAUVLCUUKWBSWCZVSZUUNUUKYLWDWEWFWGUUJYNUUNYMIZDWHIZMZDWIIZJ
      ZUWEUWHJZUUSUUTUUJUUHUWEYRHUWIUWJUQUUGUUHVJUUJKYRUUNYMUUJYSKYRYMWJUUJYTYS
      YIYTUUFUUHUUARZUUDLKYRYMWKLUWDWLYRDUWFBYNUWEUWHGUUBUWFUJZUWHUJZWMSUUJUURY
      MIZUWHJZUWIUUSUUJUWNUWGUWHUUJYMWODWNMHZUUFUVTUWNUWGJUUJDWPHZUWPYIUWQUUFUU
      HYIDXEHZUWQYIYTUWRUUACDEWQLDWRLZRDYMUUCWSLUVIUWDYLUUNWODQUWFYMKWTXAUWLXBW
      EXCUUJYTUURKHUWOUUSTUWKUUJYLUUNUVIUWDXDUURYMCDUWHEUUCUWMXFSXGUUJYTUVTUWJU
      UTTUWKUWDUUNYMCDUWHEUUCUWMXFSXHWFUUJCUUKUVBUVMUVNXIUUJUUNUUJUUNUWCVNXJXKU
      UJUVSNKHUVTUUNVDVHUUQUUMTUWAUUJXLUWDUUJUUNUWCVOUUNUUKNXMXOWCUUJUUKUSHUUMU
      ULTUUJYLCUVIUVJXPUUKXNLWCUUJYTUUFUUIUULTUWKUVIYLAYMCDEFUUCXQSYEUPYOYKUUHY
      QUUIYJYNBXRYJYNAXRXSXTYAYBYCYFYIUWQABYDUWSDABGFYGLYH $.
  $}

  ${
    $d a b g i j k m n x z B $.  $d z E $.  $d a b g i j m n x z G $.
    $d m M $.  $d a j k m n x z .x. $.  $d a b g i j m n x z Y $.
    $d a i j k m n x L $.  $d x N $.  $d a b i j k m z ph $.
    $d a b i j k n x z F $.  $d a j k m n x z X $.
    cygzn.b $e |- B = ( Base ` G ) $.
    cygzn.n $e |- N = if ( B e. Fin , ( # ` B ) , 0 ) $.
    cygzn.y $e |- Y = ( Z/nZ ` N ) $.
    ${
      cygzn.m $e |- .x. = ( .g ` G ) $.
      cygzn.l $e |- L = ( ZRHom ` Y ) $.
      cygzn.e $e |- E = { x e. B | ran ( n e. ZZ |-> ( n .x. x ) ) = B } $.
      cygzn.g $e |- ( ph -> G e. CycGrp ) $.
      cygzn.x $e |- ( ph -> X e. E ) $.
      $( Lemma for ~ cygzn .  (Contributed by Mario Carneiro, 21-Apr-2016.) $)
      cygznlem1 $p |- ( ( ph /\ ( K e. ZZ /\ M e. ZZ ) ) ->
        ( ( L ` K ) = ( L ` M ) <-> ( K .x. X ) = ( M .x. X ) ) ) $=
        ( cz wcel wa cfv wceq cmin co cdvds wbr cod cn0 wb cfn chash cc0 hashcl
        cif adantl 0nn0 a1i ifclda eqeltrid adantr simprl simprr zndvds syl3anc
        wn cgrp ccyg cyggrp eqid cyggenod2 syl2anc eqtr4di breq1d cmpt iscyggen
        syl cv crn simplbi c0g odcong syl112anc 3bitr2d ) AHUBUCZJUBUCZUDZUDZHI
        UEJIUEUFZKHJUGUHZUIUJZLGUKUEZUEZWMUIUJZHLDUHJLDUHUFZWKKULUCZWHWIWLWNUMA
        WSWJAKCUNUCZCUOUEZUPURZULOAWTXAUPULWTXAULUCACUQUSUPULUCAWTVIUDUTVAVBVCV
        DAWHWIVEZAWHWIVFZHJIKMPRVGVHWKWPKWMUIAWPKUFWJAWPXBKAGVJUCZLFUCZWPXBUFAG
        VKUCXETGVLVTZUABCDEFGWOLNQSWOVMZVNVOOVPVDVQWKXELCUCZWHWIWQWRUMAXEWJXGVD
        AXIWJAXFXIUAXFXIEUBEWALDUHVRWBCUFBCDEFGLNQSVSWCVTVDXCXDLDGHJWOCGWDUEZNX
        HQXJVMWEWFWG $.

      cygzn.f $e |- F = ran ( m e. ZZ |-> <. ( L ` m ) , ( m .x. X ) >. ) $.
      $( Lemma for ~ cygzn .  (Contributed by Mario Carneiro, 23-Dec-2016.) $)
      cygznlem2a $p |- ( ph -> F : ( Base ` Y ) --> B ) $=
        ( vk cz cv cfv cmpt crn wf cbs wfun co cvv wcel wa cgrp ccyg cyggrp syl
        fvexd adantr simpr wceq ssrab3 sselid mulgcl syl3anc fveq2 wi cygznlem1
        oveq1 biimpd exp32 3imp2 fliftfund fliftf mpbid wfo chash hashcl adantl
        cn0 cfn cc0 cif 0nn0 a1i ifclda eqeltrid eqid znzrhfo fof feqmptd rneqd
        wn forn eqtr3d feq2d ) AEUDEUEZJUFZUGZUHZCHUIZMUJUFZCHUIAHUKXCAEUCWTWSL
        DULZUCUEZJUFZXFLDULZUMCHUDUBAWSUDUNZUOZWSJUTZXJIUPUNZXILCUNZXECUNAXLXIA
        IUQUNXLTIURUSVAAXIVBAXMXIAGCLFUDFUEBUEDULUGUHCVCBCGSVDUAVEVACDIWSLNQVFV
        GZWSXFJVHWSXFLDVKAXIXFUDUNZWTXGVCZXEXHVCZAXIXOXPXQVIAXIXOUOUOXPXQABCDFG
        IWSJXFKLMNOPQRSTUAVJVLVMVNVOAEWTXEUMCHUDUBXKXNVPVQAXBXDCHAJUHZXBXDAJXAA
        EUDXDJAUDXDJVRZUDXDJUIAKWBUNXSAKCWCUNZCVSUFZWDWEWBOAXTYAWDWBXTYAWBUNACV
        TWAWDWBUNAXTWOUOWFWGWHWIXDJKMPXDWJRWKUSZUDXDJWLUSWMWNAXSXRXDVCYBUDXDJWP
        USWQWRVQ $.

      $( Lemma for ~ cygzn .  (Contributed by Mario Carneiro, 21-Apr-2016.)
         (Revised by Mario Carneiro, 23-Dec-2016.) $)
      cygznlem2 $p |- ( ( ph /\ M e. ZZ ) ->
        ( F ` ( L ` M ) ) = ( M .x. X ) ) $=
        ( cv cfv co cvv cz wcel wa fvexd ovexd fveq2 oveq1 cbs cygznlem2a ffund
        fliftval ) AEEUDZJUEUSMDUFKJUEKMDUFUGUGHUHKUCAUSUHUIUJZUSJUKUTUSMDULUSK
        JUMUSKMDUNANUOUECHABCDEFGHIJLMNOPQRSTUAUBUCUPUQUR $.

      $( A cyclic group with ` n ` elements is isomorphic to ` ZZ / n ZZ ` .
         (Contributed by Mario Carneiro, 21-Apr-2016.) $)
      cygznlem3 $p |- ( ph -> G ~=g Y ) $=
        ( va vb vi vj cgim wcel cgic wbr cghm cbs cfv wf1o cplusg eqid cn0 ccrg
        vz co crg cgrp cfn chash cc0 cif hashcl adantl 0nn0 a1i ifclda eqeltrid
        wn wa zncrng crngring ringgrp 4syl ccyg cyggrp syl cygznlem2a wceq wrex
        cv wfo znzrhfo foelrn sylan anim12dan reeanv caddc adantr simprl simprr
        cz cmpt crn iscyggen simplbi mulgdir syl13anc zring crh zrhrhm zringbas
        rhmghm zringplusg ghmlin syl3anc fveq2d zaddcl cygznlem2 sylan2 adantrr
        adantrl oveq12d 3eqtr4d oveqan12d eqeq12d syl5ibrcom rexlimdvva syl5bir
        eqtr3d oveq12 fveq2 imp syldan isghmd wf1 wf wi cygznlem1 bitr4d biimpd
        weq wral eqeqan12d eqeq12 sylanbrc ralrimivva dff13 wb iscyggen2 simprd
        imbi12d mpbid oveq1 eqeq2d cbvrexvw fof adantlr eqcomd rspceeqv syl2anc
        ffvelrnda eqeq1 rexlimdva syl5bi ralimdva mpd dffo3 df-f1o isgim brgici
        rexbidv gicsym 3syl ) AHMIUGUTUHZMIUIUJIMUIUJAHMIUKUTUHMULUMZCHUNZUVIAU
        CUDMUOUMZIUOUMZMIHUVJCUVJUPZNUVLUPZUVMUPZAKUQUHZMURUHZMVAUHZMVBUHAKCVCU
        HZCVDUMZVEVFUQOAUVTUWAVEUQUVTUWAUQUHACVGVHVEUQUHAUVTVMVNVIVJVKVLZKMPVOZ
        MVPZMVQVRAIVSUHIVBUHZTIVTWAZABCDEFGHIJKLMNOPQRSTUAUBWBZAUCWEZUVJUHZUDWE
        ZUVJUHZVNZUWHUEWEZJUMZWCZUEWPWDZUWJUFWEZJUMZWCZUFWPWDZVNZUWHUWJUVLUTZHU
        MZUWHHUMZUWJHUMZUVMUTZWCZAUWIUWPUWKUWTAWPUVJJWFZUWIUWPAUVQUXHUWBUVJJKMP
        UVNRWGWAZUEWPUVJUWHJWHWIAUXHUWKUWTUXIUFWPUVJUWJJWHWIWJZAUXAUXGUXAUWOUWS
        VNZUFWPWDUEWPWDZAUXGUWOUWSUEUFWPWPWKZAUXKUXGUEUFWPWPAUWMWPUHZUWQWPUHZVN
        ZVNZUXGUXKUWNUWRUVLUTZHUMZUWNHUMZUWRHUMZUVMUTZWCUXQUWMUWQWLUTZLDUTZUWML
        DUTZUWQLDUTZUVMUTZUXSUYBUXQUWEUXNUXOLCUHZUYDUYGWCAUWEUXPUWFWMAUXNUXOWNZ
        AUXNUXOWOZAUYHUXPALGUHZUYHUAUYKUYHFWPFWEZLDUTZWQWRCWCBCDFGILNQSWSWTWAWM
        CUVMDIUWMUWQLNQUVPXAXBUXQUYCJUMZHUMZUXSUYDUXQUYNUXRHUXQJXCMUKUTUHZUXNUX
        OUYNUXRWCAUYPUXPAUVRUVSJXCMXDUTUHUYPAUVQUVRUWBUWCWAUWDMJRXEXCMJXGVRWMUY
        IUYJWLUVLXCMUWMJUWQWPXFXHUVOXIXJXKUXPAUYCWPUHUYOUYDWCUWMUWQXLABCDEFGHIJ
        UYCKLMNOPQRSTUAUBXMXNYDUXQUXTUYEUYAUYFUVMAUXNUXTUYEWCUXOABCDEFGHIJUWMKL
        MNOPQRSTUAUBXMXOZAUXOUYAUYFWCZUXNABCDEFGHIJUWQKLMNOPQRSTUAUBXMZXPZXQXRU
        XKUXCUXSUXFUYBUXKUXBUXRHUWHUWNUWJUWRUVLYEXKUWOUWSUXDUXTUXEUYAUVMUWHUWNH
        YFZUWJUWRHYFZXSXTYAYBYCYGYHYIAUVJCHYJZUVJCHWFZUVKAUVJCHYKZUXDUXEWCZUCUD
        YPZYLZUDUVJYQUCUVJYQVUCUWGAVUHUCUDUVJUVJAUWLUXAVUHUXJAUXAVUHUXAUXLAVUHU
        XMAUXKVUHUEUFWPWPUXQVUHUXKUXTUYAWCZUWNUWRWCZYLUXQVUIVUJUXQVUIUYEUYFWCVU
        JUXQUXTUYEUYAUYFUYQUYTXTABCDFGIUWMJUWQKLMNOPQRSTUAYMYNYOUXKVUFVUIVUGVUJ
        UWOUWSUXDUXTUXEUYAVUAVUBYRUWHUWNUWJUWRYSUUFYAYBYCYGYHUUAUCUDUVJCHUUBYTA
        VUEUSWEZUXDWCZUCUVJWDZUSCYQZVUDUWGAVUKUYMWCZFWPWDZUSCYQZVUNAUYHVUQAUYKU
        YHVUQVNZUAAUWEUYKVURUUCUWFBUSCDFGILNQSUUDWAUUGUUEAVUPVUMUSCVUPVUKUYFWCZ
        UFWPWDAVUKCUHZVNZVUMVUOVUSFUFWPFUFYPUYMUYFVUKUYLUWQLDUUHUUIUUJVVAVUSVUM
        UFWPVVAUXOVNZVUMVUSUYFUXDWCZUCUVJWDZVVBUWRUVJUHUYFUYAWCVVDVVAWPUVJUWQJV
        VAUXHWPUVJJYKAUXHVUTUXIWMWPUVJJUUKWAUUPVVBUYAUYFAUXOUYRVUTUYSUULUUMUCUW
        RUVJUXDUYAUYFUWHUWRHYFUUNUUOVUSVULVVCUCUVJVUKUYFUXDUUQUVFYAUURUUSUUTUVA
        UCUSUVJCHUVBYTUVJCHUVCYTUVJCMIHUVNNUVDYTMIHUVEMIUVGUVH $.
    $}

    $( A cyclic group with ` n ` elements is isomorphic to ` ZZ / n ZZ ` , and
       an infinite cyclic group is isomorphic to ` ZZ / 0 ZZ ~~ ZZ ` .
       (Contributed by Mario Carneiro, 21-Apr-2016.) $)
    cygzn $p |- ( G e. CycGrp -> G ~=g Y ) $=
      ( vg vn vx vm ccyg wcel cv cz cfv co cmpt crn eqid cmg wceq crab cgic wbr
      c0 wne wex cgrp iscyg2 simprbi n0 sylib wa czrh cop simpl simpr cygznlem3
      exlimddv ) BLMZHNZIOINJNBUAPZQRSAUBJAUCZMZBDUDUEHVAVDUFUGZVEHUHVABUIMVFJA
      VCIVDBEVCTZVDTZUJUKHVDULUMVAVEUNJAVCKIVDKOKNZDUOPZPVIVBVCQUPRSZBVJCVBDEFG
      VGVJTVHVAVEUQVAVEURVKTUSUT $.
  $}

  ${
    $d n G $.
    $( The "fundamental theorem of cyclic groups".  Cyclic groups are exactly
       the additive groups ` ZZ / n ZZ ` , for ` 0 <_ n ` (where ` n = 0 ` is
       the infinite cyclic group ` ZZ ` ), up to isomorphism.  (Contributed by
       Mario Carneiro, 21-Apr-2016.) $)
    cygth $p |- ( G e. CycGrp <-> E. n e. NN0 G ~=g ( Z/nZ ` n ) ) $=
      ( ccyg wcel czn cfv cgic wbr cn0 wrex cbs cfn chash cc0 cif hashcl adantl
      cv wn eqid wa 0nn0 a1i ifclda cygzn wceq fveq2 breq2d rspcev gicsym zncyg
      syl2anc giccyg syl2imc rexlimiv impbii ) BCDZBARZEFZGHZAIJZUQBKFZLDZVBMFZ
      NOZIDBVEEFZGHZVAUQVCVDNIVCVDIDUQVBPQNIDUQVCSUAUBUCUDVBBVEVFVBTVETVFTUEUTV
      GAVEIURVEUFUSVFBGURVEEUGUHUIULUTUQAIUTUSBGHURIDUSCDUQBUSUJURUSUSTUKUSBUMU
      NUOUP $.
  $}

  ${
    cygctb.b $e |- B = ( Base ` G ) $.
    cygctb.c $e |- C = ( Base ` H ) $.
    $( Cyclic groups are isomorphic precisely when they have the same order.
       (Contributed by Mario Carneiro, 21-Apr-2016.) $)
    cyggic $p |- ( ( G e. CycGrp /\ H e. CycGrp ) ->
      ( G ~=g H <-> B ~~ C ) ) $=
      ( ccyg wcel wa cgic wbr cfn chash cfv cc0 cif czn eqid cygzn adantl gicen
      cen ad2antrr wb enfi wceq hasheni ifbieq1d fveq2d ad2antlr gicsym eqbrtrd
      syl gictr syl2anc ex impbid2 ) CGHZDGHZIZCDJKZABUBKZABCDEFUAUTVBVAUTVBIZC
      ALHZAMNZOPZQNZJKZVGDJKVAURVHUSVBACVFVGEVFRVGRSUCVCVGBLHZBMNZOPZQNZDJVCVFV
      KQVCVDVIVEVJOVBVDVIUDUTABUETVBVEVJUFUTABUGTUHUIVCDVLJKZVLDJKUSVMURVBBDVKV
      LFVKRVLRSUJDVLUKUMULCVGDUNUOUPUQ $.
  $}

  ${
    $d f g n x y G $.  $d f g n x y I $.
    frgpcyg.g $e |- G = ( freeGrp ` I ) $.
    $( A free group is cyclic iff it has zero or one generator.  (Contributed
       by Mario Carneiro, 21-Apr-2016.)  (Proof shortened by AV,
       18-Apr-2021.) $)
    frgpcyg $p |- ( I ~<_ 1o <-> G e. CycGrp ) $=
      ( vx vn vf vg vy c1o wcel wceq cfv cvv eqid syl c1 zring co cz adantr wbr
      cdom ccyg csdm cen wo brdom2 c0 sdom1 cfrgp fveq2 eqtrid cgrp cbs frgpgrp
      0ex ax-mp 0frgp 0cyg mp2an eqeltrdi sylbi cuni cvrgp relen brrelex1i cefg
      cmg wf vrgpf en1uniel ffvelrnd cv wa ccom cop csn cghm wrex wreu zringgrp
      uniexd 1zzd fsnd en1b biimpi feq2d mpbird zringbas frgpup3 mp3an2i reurex
      wi fveq1 fvco3d 1z fvsng sylancl eqeq12d ad2antrr ghmf ad2antrl ffvelrnda
      syl5ib an32s cmpt wral cid cres mptresid wrmo syl3anc idghm fcoi2 feqmptd
      reurmo eqidd fmptco mulgghm2 syl2anc simprl eqeltrrd eleq2d simprr oveq1d
      oveq1 ghmco mulg1 eqtrd elsni fveq2d syl5ibrcom sylbid imp 3eqtr4d eqeq1d
      mpteq2dva coeq1 rmoi wb syl122anc eqtr3id id mprg sylib r19.21bi rspceeqv
      mpteqb expr syld rexlimdva mpd iscygd jaoi cabl cygabl frgpnabl con2i cfn
      wn c0g ablgrp grpidcl elbasfv 3syl com 1onn nnfi fidomtri2 impbii ) BIUBU
      AZAUCJZUVKBIUDUAZBIUEUAZUFUVLBIUGUVMUVLUVNUVMBUHKZUVLBUIUVOAUHUJLZUCUVOAB
      UJLUVPCBUHUJUKULUVPUMJZUVPUNLZIUEUAUVPUCJUHMJUVQUPUVPUHMUVPNZUOUQUVRUVPUV
      SUVRNZURUVRUVPUVTUSUTVAVBUVNDAUNLZAVHLZEABVCZBVDLZLZUWANZUWBNZUVNBMJZAUMJ
      ZBIUEVEVFZABMCUOOZUVNBUWAUWCUWDUVNUWHBUWAUWDVIZUWJBVGLZUWDABMUWAUWMNUWDNZ
      CUWFVJOZBVKZVLZUVNDVMZUWAJZVNZFVMZUWDVOZUWCPVPVQZKZFAQVRRZVSZUWREVMZUWEUW
      BRZKESVSZUWTUXDFUXEVTZUXFUVNUXJUWSQUMJUVNUWHBSUXCVIZUXJWAUWJUVNUXKUWCVQZS
      UXCVIUVNUWCPMSUVNBMUWJWBZUVNWCWDUVNBUXLSUXCUVNBUXLKZBWEWFZWGWHSUWDFUXCAQB
      MCWIUWNWJWKTUXDFUXEWLOUWTUXDUXIFUXEUWTUXAUXEJZVNUXDUWEUXALZPKZUXIUVNUXDUX
      RWMUWSUXPUXDUWCUXBLZUWCUXCLZKUVNUXRUWCUXBUXCWNUVNUXSUXQUXTPUVNBUWAUWCUXAU
      WDUWOUWPWOUVNUWCMJPSJUXTPKUXMWPUWCPMSWQWRWSXDWTUWTUXPUXRUXIUWTUXPUXRVNZVN
      UWRUXALZSJZUWRUYBUWEUWBRZKZUXIUVNUYAUWSUYCUVNUYAVNZUWASUWRUXAUXPUWASUXAVI
      UVNUXRAQUXAUWASUWFWIXAXBZXCZXEUVNUYAUWSUYEUYFUYEDUWAUYFDUWAUWRXFZDUWAUYDX
      FZKZUYEDUWAXGZUYFUYIXHUWAXIZUYJDUWAXJUYFGVMZUWDVOZUWDKZGAAVRRZXKZUYMUYQJZ
      UYMUWDVOZUWDKZUYJUYQJUYJUWDVOZUWDKZUYMUYJKUVNUYRUYAUVNUYPGUYQVTZUYRUVNUWI
      UWHUWLVUDUWKUWJUWOUWAUWDGUWDAABMCUWFUWNWJXLUYPGUYQXPOTUYFUWIUYSUVNUWIUYAU
      WKTZUWAAUWFXMOUYFUWLVUAUVNUWLUYAUWOTZBUWAUWDXNOUYFESUXHXFZUXAVOZUYJUYQUYF
      DEUWASUYBUXHUYDUXAVUGUYHUYFDUWASUXAUYGXOUYFVUGXQUXGUYBUWEUWBYFZXRUYFVUGQA
      VRRJZUXPVUHUYQJUYFUWIUWEUWAJZVUJVUEUVNVUKUYAUWQTZUWAAUWBUWEEVUGUWGVUGNUWF
      XSXTUVNUXPUXRYAAQAVUGUXAYGXTYBUYFHBHVMZUWDLZUXALZUWEUWBRZXFHBVUNXFVUBUWDU
      YFHBVUPVUNUYFVUMBJZVUPVUNKZUYFVUQVUMUXLJZVURUYFBUXLVUMUVNUXNUYAUXOTYCUYFV
      URVUSUXQUWEUWBRZUWEKUYFVUTPUWEUWBRZUWEUYFUXQPUWEUWBUVNUXPUXRYDYEUYFVUKVVA
      UWEKVULUWAUWBAUWEUWFUWGYHOYIVUSVUPVUTVUNUWEVUSVUOUXQUWEUWBVUSVUNUWEUXAVUS
      VUMUWCUWDVUMUWCYJYKZYKYEVVBWSYLYMYNYQUYFHDBUWAVUNUYDVUPUWDUYJUYFBUWAVUMUW
      DVUFXCUYFHBUWAUWDVUFXOZUYFUYJXQUWRVUNKUYBVUOUWEUWBUWRVUNUXAUKYEXRVVCYOUYP
      VUAVUCGUYQUYMUYJUYNUYMKUYOUYTUWDUYNUYMUWDYRYPUYNUYJKUYOVUBUWDUYNUYJUWDYRY
      PYSUUAUUBUWSUYKUYLYTDUWADUWAUWRUYDUWAUUHUWSUUCUUDUUEUUFXEEUYBSUXHUYDUWRVU
      IUUGXTUUIUUJUUKUULUUMUUNVBUVLAUUOJZUVKAUUPVVDUVKIBUDUAZUUTZVVEVVDABCUUQUU
      RVVDUWHIUUSJZUVKVVFYTVVDUWIAUVALZUWAJUWHAUVBUWAAVVHUWFVVHNUVCUWAAUJVVHBCU
      WFUVDUVEIUVFJVVGUVGIUVHUQBIMUVIWRWHOUVJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Signs as subgroup of the complex numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y M $.
    cnmsgnsubg.m $e |- M = ( ( mulGrp ` CCfld ) |`s ( CC \ { 0 } ) ) $.
    $( The signs form a multiplicative subgroup of the complex numbers.
       (Contributed by Stefan O'Rear, 28-Aug-2015.) $)
    cnmsgnsubg $p |- { 1 , -u 1 } e. ( SubGrp ` M ) $=
      ( vx c1 wcel wceq cc ax-1cn eqeltrdi neg1cn jaoi syl cc0 wne co wa oveq12
      cmul eqeltri cdiv vy cneg cpr cv wo elpri ax-1ne0 eqnetrd neg1ne0 mulid1i
      id a1i prid1 negex prid2 mulid2i neg1mulneg1e1 ccase syl2an oveq2 1div1e1
      1ex divneg2 mp3an negeqi eqtr3i cnmsubglem ) CUADDUBZUCZABCUDZVIEZVJDFZVJ
      VHFZUEZVJGEZVJDVHUFZVLVOVMVLVJDGVLUKZHIVMVJVHGVMUKZJIKLVKVNVJMNZVPVLVSVMV
      LVJDMVQDMNZVLUGULUHVMVJVHMVRVHMNVMUIULUHKLVKVNUAUDZDFZWAVHFZUEVJWAROZVIEZ
      WAVIEVPWADVHUFVLWBVMWCWEVLWBPWDDDROZVIVJDWADRQWFDVIDHUJDVHVBUMZSIVMWBPWDV
      HDROZVIVJVHWADRQWHVHVIVHJUJDVHDUNUOZSIVLWCPWDDVHROZVIVJDWAVHRQWJVHVIVHJUP
      WISIVMWCPWDVHVHROZVIVJVHWAVHRQWKDVIUQWGSIURUSWGVKVNDVJTOZVIEZVPVLWMVMVLWL
      DDTOZVIVJDDTUTWNDVIVAWGSIVMWLDVHTOZVIVJVHDTUTWOVHVIWNUBZWOVHDGEZWQVTWPWOF
      HHUGDDVCVDWNDVAVEVFWISIKLVG $.
  $}

  ${
    cnmsgngrp.u $e |- U = ( ( mulGrp ` CCfld ) |`s { 1 , -u 1 } ) $.
    $( The base set of the sign subgroup of the complex numbers.  (Contributed
       by Stefan O'Rear, 28-Aug-2015.) $)
    cnmsgnbas $p |- { 1 , -u 1 } = ( Base ` U ) $=
      ( c1 cneg cpr wss cbs cfv wceq wcel ax-1cn neg1cn prssi mp2an ccnfld cmgp
      cc eqid cnfldbas mgpbas ressbas2 ax-mp ) CCDZEZQFZUDAGHICQJUCQJUEKLCUCQMN
      UDQAOPHZBQOUFUFRSTUAUB $.

    $( The group of signs under multiplication.  (Contributed by Stefan O'Rear,
       28-Aug-2015.) $)
    cnmsgngrp $p |- U e. Grp $=
      ( c1 cneg cpr ccnfld cmgp cfv cc cc0 csn cdif cress wcel cvv wne mpbir2an
      co eldifsn mp2an cgrp eqid cnmsgnsubg wss wceq cnex difexi ax-1cn ax-1ne0
      csubg neg1cn neg1ne0 prssi ressabs eqtr4i subggrp ax-mp ) CCDZEZFGHZIJKZL
      ZMRZUJHNAUANVCVCUBUCUSVCAAUTUSMRZVCUSMRZBVBONUSVBUDZVEVDUEIVAUFUGCVBNZURV
      BNZVFVGCINCJPUHUICIJSQVHURINURJPUKULURIJSQCURVBUMTVBUSUTOUNTUOUPUQ $.
  $}

  ${
    $d w x y z D $.  $d w x y z N $.  $d w x y z S $.  $d w x y z V $.
    $d x y F $.  $d x y U $.
    psgnghm.s $e |- S = ( SymGrp ` D ) $.
    psgnghm.n $e |- N = ( pmSgn ` D ) $.
    psgnghm.f $e |- F = ( S |`s dom N ) $.
    psgnghm.u $e |- U = ( ( mulGrp ` CCfld ) |`s { 1 , -u 1 } ) $.
    $( The sign is a homomorphism from the finitary permutation group to the
       numeric signs.  (Contributed by Stefan O'Rear, 28-Aug-2015.) $)
    psgnghm $p |- ( D e. V -> N e. ( F GrpHom U ) ) $=
      ( vx vz vw wcel cfv cmul c1 wceq co wa vy cplusg cdm cneg cpr cbs wss cid
      cdif cfn crab eqid psgnfn fndmi ssrab3 ressbas2 ax-mp cnmsgnbas cvv fvexi
      cv ressplusg prex ccnfld cmgp cnfldmul mgpplusg csubg cgrp psgndmsubg syl
      subggrp cnmsgngrp a1i wral wf wfun fnfun funfn mpbi cgsu chash cexp cpmtr
      wfn crn cword wrex psgnvali wi lencl nn0zd m1expcl2 prcom eleqtrdi eleq1a
      cz 3syl adantld rexlimiv ralrimiv ffnfv sylanbrc cconcat ccatcl psgnvalii
      syl5 sylan2 cmnd symggrp grpmndd sswrd sseli gsumccat syl3an 3expb fveq2d
      symgtrf caddc ccatlen adantl oveq2d cc neg1cn cn0 ad2antll ad2antrl eqtrd
      expaddd 3eqtr3d oveq12 eqeqan12d an4s syl5ibrcom rexlimdvva reeanv sylibr
      wb anim12i impel isghmd ) AFNZKUABUBOZPDCEEUCZQQUDZUEZUUDBUFOZUGUUDDUFORK
      VAZUHUIUCUJNZKUUGUUDUUIKUUGUKZEUUGAUUJBEKGUUGULZUUJULHUMZUNUOUUDUUGDBIUUK
      UPUQZCJURUUDUSNUUCDUBORUUDDUFUUMUTUUDUUCBDUSIUUCULZVBUQUUFUSNPCUBORQUUEVC
      UUFPVDVEOZCUSJVDPUUOUUOULVFVGVBUQUUBUUDBVHONDVINABEFGHVJUUDBDIVLVKCVINUUB
      CJVMVNUUBEUUDWEZUUHEOZUUFNZKUUDVOUUDUUFEVPUUPUUBEVQZUUPEUUJWEUUSUULUUJEVR
      UQEVSVTVNUUBUURKUUDUUHUUDNZUUHBLVAZWASZRZUUQUUEUVAWBOZWCSZRZTZLAWDOWFZWGZ
      WHZUUBUURLAUUHUVHBEGUVHULZHWIZUVJUURWJUUBUVGUURLUVIUVAUVINZUVFUURUVCUVMUV
      DWQNZUVEUUFNUVFUURWJUVMUVDUVHUVAWKZWLUVNUVEUUEQUEUUFUVDWMUUEQWNWOUVEUUFUU
      QWPWRWSWTVNXGXAKUUDUUFEXBXCUUBUVGUAVAZBMVAZWASZRZUVPEOZUUEUVQWBOZWCSZRZTZ
      TZMUVIWHLUVIWHZUUHUVPUUCSZEOZUUQUVTPSZRZUUTUVPUUDNZTZUUBUWEUWJLMUVIUVIUUB
      UVMUVQUVINZTZTZUWJUWEUVBUVRUUCSZEOZUVEUWBPSZRZUWOBUVAUVQXDSZWASZEOZUUEUWT
      WBOZWCSZUWQUWRUWNUUBUWTUVINUXBUXDRUVHUVAUVQXEAUVHBEFUWTGUVKHXFXHUWOUXAUWP
      EUUBUVMUWMUXAUWPRZUUBBXINUVMUVAUUGWGZNUWMUVQUXFNUXEUUBBABFGXJXKUVIUXFUVAU
      VHUUGUGUVIUXFUGUUGAUVHBUVKGUUKXRUVHUUGXLUQZXMUVIUXFUVQUXGXMUUGUUCBUVAUVQU
      UKUUNXNXOXPXQUWOUXDUUEUVDUWAXSSZWCSUWRUWOUXCUXHUUEWCUWNUXCUXHRUUBUVHUVHUV
      AUVQXTYAYBUWOUUEUVDUWAUUEYCNUWOYDVNUWMUWAYENUUBUVMUVHUVQWKYFUVMUVDYENUUBU
      WMUVOYGYIYHYJUVCUVSUVFUWCUWJUWSYRUVCUVSTZUVFUWCTUWHUWQUWIUWRUXIUWGUWPEUUH
      UVBUVPUVRUUCYKXQUUQUVEUVTUWBPYKYLYMYNYOUWLUVJUWDMUVIWHZTUWFUUTUVJUWKUXJUV
      LMAUVPUVHBEGUVKHWIYSUVGUWDLMUVIUVIYPYQYTUUA $.
  $}

  ${
    $d x D $.  $d x S $.
    psgnghm2.s $e |- S = ( SymGrp ` D ) $.
    psgnghm2.n $e |- N = ( pmSgn ` D ) $.
    psgnghm2.u $e |- U = ( ( mulGrp ` CCfld ) |`s { 1 , -u 1 } ) $.
    $( The sign is a homomorphism from the finite symmetric group to the
       numeric signs.  (Contributed by Stefan O'Rear, 28-Aug-2015.) $)
    psgnghm2 $p |- ( D e. Fin -> N e. ( S GrpHom U ) ) $=
      ( vx cfn wcel cdm cress co cghm eqid psgnghm cbs wceq cvv fvexi cdif crab
      cfv wss cid wral sygbasnfpfi ralrimiva rabid2 sylibr psgnfn fndmi eqtr4di
      cv eqimss csymg cpsgn dmex ressid2 mp3an23 3syl oveq1d eleqtrd ) AIJZDBDK
      ZLMZCNMBCNMABCVFDIEFVFOZGPVDVFBCNVDBQUCZVERVHVEUDZVFBRZVDVHHUNZUEUAKIJZHV
      HUBZVEVDVLHVHUFVHVMRVDVLHVHVHAVKBEVHOZUGUHVLHVHUIUJVMDVHAVMBDHEVNVMOFUKUL
      UMVHVEUOVIBSJVESJVJBAUPETDDAUQFTURVEVHVFBSSVGVNUSUTVAVBVC $.
  $}

  ${
    psgninv.s $e |- S = ( SymGrp ` D ) $.
    psgninv.n $e |- N = ( pmSgn ` D ) $.
    psgninv.p $e |- P = ( Base ` S ) $.
    $( The sign of a permutation equals the sign of the inverse of the
       permutation.  (Contributed by SO, 9-Jul-2018.) $)
    psgninv $p |- ( ( D e. Fin /\ F e. P ) -> ( N ` `' F ) = ( N ` F ) ) $=
      ( wcel cfv c1 cdiv co ccnfld cress wceq eqid cc cc0 syl ccnv cminusg cmgp
      cfn wa cneg cpr cghm psgnghm2 ghminv sylan symginv adantl fveq2d csn cdif
      cinvr csubg cnmsgnsubg wf cnmsgnbas ghmf ffvelrnda cvv cnex difexi ax-1cn
      wss ax-1ne0 eldifsn mpbir2an neg1cn neg1ne0 prssi ressabs eqcomi cnfldbas
      mp2an cnfld0 cndrng drngui invrfval subginv sylancr sselid sylib cnfldinv
      eqtr3d 3eqtr3d wo fvex elpr 1div1e1 oveq2 id 3eqtr4a divneg2 mp3an negeqi
      wne eqtr3i jaoi sylbi eqtrd ) AUDIZDBIZUEZDUAZEJZKDEJZLMZXJXGDCUBJZJZEJZX
      JNUCJZKKUFZUGZOMZUBJZJZXIXKXEECXRUHMIZXFXNXTPACXREFGXRQZUIZBCXREXLXSDHXLQ
      ZXSQZUJUKXGXMXHEXFXMXHPXEABDCXLFHYDULUMUNXGXJNUQJZJZXTXKXGXQXORSUOZUPZOMZ
      URJIXJXQIZYGXTPYJYJQZUSXEBXQDEXEYABXQEUTYCCXREBXQHXRYBVAVBTVCZXQYJXRYFXSX
      JYJXQOMZXRYIVDIXQYIVHZYNXRPRYHVEVFKYIIZXPYIIZYOYPKRIZKSWTZVGVIKRSVJVKYQXP
      RIXPSWTVLVMXPRSVJVKKXPYIVNVRZYIXQXOVDVOVRVPNYIYJYFRNSVQVSVTWAYLYFQWBYEWCW
      DXGXJRIXJSWTUEZYGXKPXGXJYIIUUAXGXQYIXJYTYMWEXJRSVJWFXJWGTWHWIXGYKXKXJPZYM
      YKXJKPZXJXPPZWJUUBXJKXPDEWKWLUUCUUBUUDUUCKKLMZKXKXJWMXJKKLWNUUCWOWPUUDKXP
      LMZXPXKXJUUEUFZUUFXPYRYRYSUUGUUFPVGVGVIKKWQWRUUEKWMWSXAXJXPKLWNUUDWOWPXBX
      CTXD $.

    $( Multiplicativity of the permutation sign function.  (Contributed by SO,
       9-Jul-2018.) $)
    psgnco $p |- ( ( D e. Fin /\ F e. P /\ G e. P ) -> ( N ` ( F o. G ) ) =
        ( ( N ` F ) x. ( N ` G ) ) ) $=
      ( cfn wcel cplusg cfv co cmul wceq eqid ccnfld c1 cvv ccom symgov 3adant1
      w3a fveq2d cmgp cneg cress cghm psgnghm2 prex cnfldmul mgpplusg ressplusg
      cpr ax-mp ghmlin syl3an1 eqtr3d ) AJKZDBKZEBKZUDZDECLMZNZFMZDEUAZFMDFMEFM
      ONZVCVEVGFVAVBVEVGPUTABVDCDEGIVDQZUBUCUEUTFCRUFMZSSUGZUOZUHNZUINKVAVBVFVH
      PACVMFGHVMQZUJVDOCVMDFEBIVIVLTKOVMLMPSVKUKVLOVJVMTVNROVJVJQULUMUNUPUQURUS
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Embedding of permutation signs into a ring
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Embedding of permutation signs into an arbitrary ring is a homomorphism.
     (Contributed by SO, 9-Jul-2018.) $)
  zrhpsgnmhm $p |- ( ( R e. Ring /\ A e. Fin ) -> ( ( ZRHom ` R ) o.
      ( pmSgn ` A ) ) e. ( ( SymGrp ` A ) MndHom ( mulGrp ` R ) ) ) $=
    ( crg wcel cfv zring cmgp cmhm co syl ccnfld c1 cress csubmnd cz wss cc cc0
    eqid wa czrh cpsgn ccom cfn crh zrhrhm rhmmhm cneg cpr cghm psgnghm2 ghmmhm
    csymg cdif csubg cnmsgnsubg subgsubm ax-mp wb cnring cnfldbas cnfld0 cndrng
    drngui unitsubm subsubm mp2b mpbi simpli 1z neg1z prssi mp2an csubrg zsubrg
    csn subrgsubm zringmpg eqcomi mpbir2an cvv wceq zex ressabs resmhm2 sylancl
    oveq1i eqtr3i mhmco syl2an ) BCDZBUAEZFGEZBGEZHIDZAUBEZAUMEZWMHIDZWLWPUCWQW
    NHIDAUDDZWKWLFBUEIDWOBWLWLSUFFBWLWMWNWMSWNSUGJWSWPWQKGEZLLUHZUIZMIZHIDZXBWM
    NEDZWRWSWPWQXCUJIDXDAWQXCWPWQSWPSXCSUKWQXCWPULJXEXBWTNEZDZXBOPZXGXBQRVPUNZP
    ZXBWTXIMIZNEDZXGXJTZXBXKUOEDXLXKXKSZUPXBXKUQURKCDXIXFDXLXMUSUTKXIWTQKRVAVBV
    CVDWTSZVEXBXIWTXKXNVFVGVHVILODXAODXHVJVKLXAOVLVMZOKVNEDOXFDXEXGXHTUSVOOKWTX
    OVQXBOWTWMWTOMIZWMVRVSVFVGVTWQWMXCWPXBXQXBMIZXCWMXBMIOWADXHXRXCWBWCXPOXBWTW
    AWDVMXQWMXBMVRWGWHWEWFWQWMWNWLWPWIWJ $.

  ${
    zrhpsgninv.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    zrhpsgninv.y $e |- Y = ( ZRHom ` R ) $.
    zrhpsgninv.s $e |- S = ( pmSgn ` N ) $.
    $( The embedded sign of a permutation equals the embedded sign of the
       inverse of the permutation.  (Contributed by SO, 9-Jul-2018.) $)
    zrhpsgninv $p |- ( ( R e. Ring /\ N e. Fin /\ F e. P ) ->
        ( ( Y o. S ) ` `' F ) = ( ( Y o. S ) ` F ) ) $=
      ( crg wcel cfn cfv wceq eqid c1 co 3ad2ant2 syl2anc fvco3 ccnv ccom csymg
      w3a psgninv 3adant1 fveq2d ccnfld cmgp cneg cpr cbs wf cghm psgnghm2 ghmf
      cress syl cminusg symginv 3ad2ant3 cgrp symggrp grpinvcl eqeltrrd 3eqtr4d
      simp3 ) BJKZELKZDAKZUDZDUAZCMZFMZDCMZFMZVLFCUBZMZDVQMZVKVMVOFVIVJVMVONVHE
      AEUCMZDCVTOZIGUEUFUGVKAUHUIMPPUJUKUQQZULMZCUMZVLAKVRVNNVIVHWDVJVICVTWBUNQ
      KWDEVTWBCWAIWBOUOVTWBCAWCGWCOUPURRZVKDVTUSMZMZVLAVJVHWGVLNVIEADVTWFWAGWFO
      ZUTVAVKVTVBKZVJWGAKVIVHWIVJEVTLWAVCRVHVIVJVGZAVTWFDGWHVDSVEAWCVLFCTSVKWDV
      JVSVPNWEWJAWCDFCTSVF $.
  $}

  ${
    $d D d $.  $d N d $.
    evpmss.s $e |- S = ( SymGrp ` D ) $.
    evpmss.p $e |- P = ( Base ` S ) $.
    $( Even permutations are permutations.  (Contributed by SO, 9-Jul-2018.) $)
    evpmss $p |- ( pmEven ` D ) C_ P $=
      ( vd cvv wcel cevpm cfv cpsgn ccnv c1 cima wceq cress cbs eqid eqsstrdi
      co wss csn cv fveq2 cnveqd imaeq1d df-evpm cnvex imaex fvmpt cdm cnvimass
      fvex ccnfld cmgp cneg cpr cghm wf psgnghm ghmf fdm 3syl ressbasss eqsstrd
      sstrid wn c0 fvprc 0ss pm2.61i ) AGHZAIJZBUAVLVMAKJZLZMUBZNZBFAFUCZKJZLZV
      PNVQGIVRAOZVTVOVPWAVSVNVRAKUDUEUFFUGVOVPVNAKUMUHUIUJVLVQVNUKZBVNVPULVLWBC
      WBPTZQJZBVLVNWCUNUOJMMUPUQPTZURTHWDWEQJZVNUSWBWDOACWEWCVNGDVNRWCRZWERUTWC
      WEVNWDWFWDRWFRVAWDWFVNVBVCWBBWCCWGEVDSVFVEVLVGVMVHBAIVIBVJSVK $.

    psgnevpmb.n $e |- N = ( pmSgn ` D ) $.
    $( A class is an even permutation if it is a permutation with sign 1.
       (Contributed by SO, 9-Jul-2018.) $)
    psgnevpmb $p |- ( D e. Fin -> ( F e. ( pmEven ` D ) <->
        ( F e. P /\ ( N ` F ) = 1 ) ) ) $=
      ( vd cfn wcel cevpm cfv ccnv c1 cima wceq cvv cpsgn syl csn wa elex fveq2
      eqtr4di cnveqd imaeq1d df-evpm fvexi cnvex imaex fvmpt eleq2d ccnfld cmgp
      cv cneg cpr cress co cbs wf wfn cghm eqid psgnghm2 ghmf ffn fniniseg 3syl
      wb bitrd ) AJKZDALMZKDENZOUAZPZKZDBKDEMOQUBZVMVNVQDVMARKVNVQQAJUCIAIUPZSM
      ZNZVPPVQRLVTAQZWBVOVPWCWAEWCWAASMEVTASUDHUEUFUGIUHVOVPEEASHUIUJUKULTUMVMB
      UNUOMOOUQURUSUTZVAMZEVBZEBVCVRVSVKVMECWDVDUTKWFACWDEFHWDVEVFCWDEBWEGWEVEV
      GTBWEEVHBODEVIVJVL $.

    $( A permutation which is odd (i.e. not even) has sign -1.  (Contributed by
       SO, 9-Jul-2018.) $)
    psgnodpm $p |- ( ( D e. Fin /\ F e. ( P \ ( pmEven ` D ) ) ) ->
        ( N ` F ) = -u 1 ) $=
      ( cfn wcel cevpm cfv cdif wa c1 wceq wn cneg adantr co wo eldif simpr a1d
      ancrd wb psgnevpmb sylibrd con3d impr sylan2b ccnfld cmgp cress cghm eqid
      cpr wf psgnghm2 cnmsgnbas ghmf syl eldifi adantl ffvelrnd fvex elpr sylib
      orel1 sylc ) AIJZDBAKLZMJZNZDELZOPZQZVPVOORZPZUAZVSVMVKDBJZDVLJZQZNVQDBVL
      UBVKWAWCVQVKWANZVPWBWDVPWAVPNZWBWDVPWAWDWAVPVKWAUCUDUEVKWBWEUFWAABCDEFGHU
      GSUHUIUJUKVNVOOVRUQZJVTVNBWFDEVNECULUMLWFUNTZUOTJZBWFEURVKWHVMACWGEFHWGUP
      ZUSSCWGEBWFGWGWIUTVAVBVMWAVKDBVLVCVDVEVOOVRDEVFVGVHVPVSVIVJ $.

    $( A permutation which is even has sign 1.  (Contributed by SO,
       9-Jul-2018.) $)
    psgnevpm $p |- ( ( D e. Fin /\ F e. ( pmEven ` D ) ) ->
        ( N ` F ) = 1 ) $=
      ( cfn wcel cevpm cfv c1 wceq psgnevpmb simplbda ) AIJDAKLJDBJDELMNABCDEFG
      HOP $.

    $( If a permutation has sign -1 it is odd (not even).  (Contributed by SO,
       9-Jul-2018.) $)
    psgnodpmr $p |- ( ( D e. Fin /\ F e. P /\ ( N ` F ) = -u 1 ) ->
        F e. ( P \ ( pmEven ` D ) ) ) $=
      ( cfn wcel cfv c1 cneg wceq w3a wne neg1rr cc0 clt wbr cevpm simp2 adantr
      wn wa wi psgnevpm ex neg1lt0 0lt1 0re 1re lttri mp2an gtneii neeq1 mpbiri
      syl6 necon2bd 3impia eldifd ) AIJZDBJZDEKZLMZNZODBAUAKZVBVCVFUBVBVCVFDVGJ
      ZUDVBVCUEZVHVDVEVIVHVDLNZVDVEPZVBVHVJUFVCVBVHVJABCDEFGHUGUHUCVJVKLVEPVELQ
      VERSTRLSTVELSTUIUJVERLQUKULUMUNUOVDLVEUPUQURUSUTVA $.
  $}

  ${
    zrhpsgnevpm.y $e |- Y = ( ZRHom ` R ) $.
    zrhpsgnevpm.s $e |- S = ( pmSgn ` N ) $.
    zrhpsgnevpm.o $e |- .1. = ( 1r ` R ) $.
    $( The sign of an even permutation embedded into a ring is the
       multiplicative neutral element of the ring.  (Contributed by SO,
       9-Jul-2018.) $)
    zrhpsgnevpm $p |- ( ( R e. Ring /\ N e. Fin /\ F e. ( pmEven ` N ) ) ->
        ( ( Y o. S ) ` F ) = .1. ) $=
      ( crg wcel cfn cevpm cfv w3a c1 cbs co wceq eqid ccom csymg cmgp cneg cpr
      ccnfld cress wf cghm psgnghm2 ghmf 3ad2ant2 evpmss sseli 3ad2ant3 syl2anc
      syl fvco3 psgnevpm 3adant1 fveq2d zrh1 3ad2ant1 3eqtrd ) AJKZELKZDEMNZKZO
      ZDFBUANZDBNZFNZPFNZCVIEUBNZQNZUFUCNPPUDUEUGRZQNZBUHZDVOKZVJVLSVFVEVRVHVFB
      VNVPUIRKVREVNVPBVNTZHVPTUJVNVPBVOVQVOTZVQTUKUQULVHVEVSVFVGVODEVOVNVTWAUMU
      NUOVOVQDFBURUPVIVKPFVFVHVKPSVEEVOVNDBVTWAHUSUTVAVEVFVMCSVHACFGIVBVCVD $.

    zrhpsgnodpm.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    zrhpsgnodpm.i $e |- I = ( invg ` R ) $.
    $( The sign of an odd permutation embedded into a ring is the additive
       inverse of the multiplicative neutral element of the ring.  (Contributed
       by SO, 9-Jul-2018.) $)
    zrhpsgnodpm $p |- ( ( R e. Ring /\ N e. Fin /\ F e. ( P \
        ( pmEven ` N ) ) ) -> ( ( Y o. S ) ` F ) = ( I ` .1. ) ) $=
      ( wcel cfv c1 co wceq eqid zring crg cfn cevpm cdif ccom cneg ccnfld cmgp
      w3a cpr cress cbs wf csymg cghm psgnghm2 ghmf syl 3ad2ant2 3ad2ant3 fvco3
      eldifi syl2anc psgnodpm 3adant1 fveq2d cminusg crh zrhrhm rhmghm zringbas
      cz a1i ghminv zringinvg ax-mp eqcomi fveq2i zrh1 3eqtr3d 3ad2ant1 3eqtrd
      1z ) BUANZGUBNZEAGUCOZUDNZUIZEHCUEOZECOZHOZPUFZHOZDFOZWHAUGUHOPWLUJUKQZUL
      OZCUMZEANZWIWKRWEWDWQWGWECGUNOZWOUOQNWQGWSWOCWSSZJWOSUPWSWOCAWPLWPSUQURUS
      WGWDWRWEEAWFVBUTAWPEHCVAVCWHWJWLHWEWGWJWLRWDGAWSECWTLJVDVEVFWDWEWMWNRWGWD
      PTVGOZOZHOZPHOZFOZWMWNWDHTBUOQNZPVLNZXCXERWDHTBVHQNXFBHIVITBHVJURXGWDWCVM
      VLTBHXAFPVKXASMVNVCXCWMRWDXBWLHWLXBXGWLXBRWCPVOVPVQVRVMWDXDDFBDHIKVSVFVTW
      AWB $.
  $}

  ${
    $d P p $.  $d Q p $.
    cofipsgn.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    cofipsgn.s $e |- S = ( pmSgn ` N ) $.
    $( Composition of any class ` Y ` and the sign function for a finite
       permutation.  (Contributed by AV, 27-Dec-2018.)  (Revised by AV,
       3-Jul-2022.) $)
    cofipsgn $p |- ( ( N e. Fin /\ Q e. P )
                         -> ( ( Y o. S ) ` Q ) = ( Y ` ( S ` Q ) ) ) $=
      ( vp cfn wcel wa cv cid cdif cdm crab wfn cfv wceq eqid ccom csymg psgnfn
      difeq1 dmeqd eleq1d simpr sygbasnfpfi elrabd fvco2 sylancr ) DIJZBAJZKZCH
      LZMNZOZIJZHAPZQBUSJBECUARBCRERSADUSDUBRZCHUTTZFUSTGUCUNURBMNZOZIJHBAUOBSZ
      UQVCIVDUPVBUOBMUDUEUFULUMUGADBUTVAFUHUIUSECBUJUK $.
  $}

  ${
    zrhpsgnelbas.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    zrhpsgnelbas.s $e |- S = ( pmSgn ` N ) $.
    zrhpsgnelbas.y $e |- Y = ( ZRHom ` R ) $.
    $( Embedding of permutation signs into a ring results in an element of the
       ring.  (Contributed by AV, 1-Jan-2019.) $)
    zrhpsgnelbas $p |- ( ( R e. Ring /\ N e. Fin /\ Q e. P )
                         -> ( Y ` ( S ` Q ) ) e. ( Base ` R ) ) $=
      ( cfv c1 wcel wceq eqid eqeltrd 3ad2ant1 fveq2 eleq1d syl5ibr neg1z wo wi
      cneg cpr crg cfn w3a cbs psgnran 3adant1 cur zrh1 ringidcl cmg co zrhmulg
      elpri cz mpan2 ringgrp a1i mulgcld jaoi syl mpcom ) BDJZKKUCZUDLZCUELZEUF
      LZBALZUGZVFFJZCUHJZLZVJVKVHVIABDEGHUIUJVHVFKMZVFVGMZUAVLVOUBZVFKVGUQVPVRV
      QVLVOVPKFJZVNLZVIVJVTVKVIVSCUKJZVNCWAFIWANZULVNCWAVNNZWBUMZOPVPVMVSVNVFKF
      QRSVLVOVQVGFJZVNLZVIVJWFVKVIWEVGWACUNJZUOZVNVIVGURLZWEWHMTCWGWAFVGIWGNZWB
      UPUSVIVNWGCVGWAWCWJCUTWIVITVAWDVBOPVQVMWEVNVFVGFQRSVCVDVE $.

    $( Embedding of permutation signs into a ring results in an element of the
       ring.  (Contributed by AV, 1-Jan-2019.)  (Proof shortened by AV,
       3-Jul-2022.) $)
    zrhcopsgnelbas $p |- ( ( R e. Ring /\ N e. Fin /\ Q e. P )
                           -> ( ( Y o. S ) ` Q ) e. ( Base ` R ) ) $=
      ( crg wcel cfn w3a ccom cfv cbs wceq cofipsgn 3adant1 zrhpsgnelbas
      eqeltrd ) CJKZELKZBAKZMBFDNOZBDOFOZCPOUCUDUEUFQUBABDEFGHRSABCDEFGHITUA $.
  $}

  ${
    $d S f g $.  $d D f g $.  $d P f g $.  $d F f g $.
    evpmodpmf1o.s $e |- S = ( SymGrp ` D ) $.
    evpmodpmf1o.p $e |- P = ( Base ` S ) $.
    $( The function for performing an even permutation after a fixed odd
       permutation is one to one onto all odd permutations.  (Contributed by
       SO, 9-Jul-2018.) $)
    evpmodpmf1o $p |- ( ( D e. Fin /\ F e. ( P \ ( pmEven ` D ) ) ) ->
        ( f e. ( pmEven ` D ) |-> ( F ( +g ` S ) f ) ) :
            ( pmEven ` D ) -1-1-onto-> ( P \ ( pmEven ` D ) ) ) $=
      ( vg wcel cfv wa co cmpt c1 wceq ad2antrr eqid syl3anc cmul adantr cfn cv
      cevpm cdif cplusg cminusg cneg simpll cgrp symggrp eldifi ad2antlr evpmss
      cpsgn sseli adantl grpcl ccnfld cmgp cpr cress cghm psgnghm2 cvv cnfldmul
      mgpplusg ressplusg ghmlin psgnodpm psgnevpm adantlr oveq12d ax-1cn mulm1i
      prex ax-mp eqtrdi eqtrd psgnodpmr fmpttd grpinvcl syl2an ccnv symginv syl
      fveq2d psgninv syl2anc oveq1d neg1mulneg1e1 3eqtrd wb psgnevpmb mpbir2and
      ccom cid cres eqidd oveq2 fmptco grplinv grpass syl13anc grplid mpteq2dva
      c0g 3eqtr3d mptresid eqtr4di grprinv fcof1od ) AUAIZEBAUCJZUDZIZKZXMXNDXM
      EDUBZCUEJZLZMZHXNECUFJZJZHUBZXRLZMZXPDXMXSXNXPXQXMIZKZXLXSBIZXSAUNJZJZNUG
      ZOXSXNIXLXOYFUHYGCUIIZEBIZXQBIZYHXLYLXOYFACUAFUJZPZXOYMXLYFEBXMUKZULZYFYN
      XPXMBXQABCFGUMUOUPZBXRCEXQGXRQZUQRYGYJEYIJZXQYIJZSLZYKYGYICURUSJZNYKUTZVA
      LZVBLIZYMYNYJUUCOXLUUGXOYFACUUFYIFYIQZUUFQZVCZPYRYSXRSCUUFEYIXQBGYTUUEVDI
      SUUFUEJONYKVOUUESUUDUUFVDUUIURSUUDUUDQVEVFVGVPZVHRYGUUCYKNSLYKYGUUAYKUUBN
      SXPUUAYKOZYFABCEYIFGUUHVIZTXLYFUUBNOXOABCXQYIFGUUHVJVKVLNVMVNVQVRABCXSYIF
      GUUHVSRZVTXPHXNYDXMXPYCXNIZKZYDXMIZYDBIZYDYIJZNOZUUPYLYBBIZYCBIZUURXLYLXO
      UUOYOPZXPUVAUUOXLYLYMUVAXOYOYQBCYAEGYAQZWAWBZTZUUOUVBXPYCBXMUKUPZBXRCYBYC
      GYTUQRUUPUUSYBYIJZYCYIJZSLZEWCZYIJZYKSLZNUUPUUGUVAUVBUUSUVJOXLUUGXOUUOUUJ
      PUVFUVGXRSCUUFYBYIYCBGYTUUKVHRUUPUVHUVLUVIYKSUUPYBUVKYIXOYBUVKOZXLUUOXOYM
      UVNYQABECYAFGUVDWDWEULWFXLUUOUVIYKOXOABCYCYIFGUUHVIVKVLUUPUVMYKYKSLNUUPUV
      LYKYKSUUPUVLUUAYKUUPXLYMUVLUUAOXLXOUUOUHXOYMXLUUOYQULZABCEYIFUUHGWGWHXPUU
      LUUOUUMTVRWIWJVQWKXLUUQUURUUTKWLXOUUOABCYDYIFGUUHWMPWNZVTXPYEXTWOZDXMXQMZ
      WPXMWQXPUVQDXMYBXSXRLZMUVRXPDHXMXNXSYDUVSXTYEUUNXPXTWRZXPYEWRZYCXSYBXRWSW
      TXPDXMUVSXQYGYBEXRLZXQXRLZCXFJZXQXRLZUVSXQYGUWBUWDXQXRYGYLYMUWBUWDOYPYRBX
      RCYAEUWDGYTUWDQZUVDXAWHWIYGYLUVAYMYNUWCUVSOYPXPUVAYFUVETYRYSBXRCYBEXQGYTX
      BXCYGYLYNUWEXQOYPYSBXRCXQUWDGYTUWFXDWHXGXEVRDXMXHXIXPXTYEWOZHXNYCMZWPXNWQ
      XPUWGHXNEYDXRLZMUWHXPHDXNXMYDXSUWIYEXTUVPUWAUVTXQYDEXRWSWTXPHXNUWIYCUUPEY
      BXRLZYCXRLZUWDYCXRLZUWIYCXPUWKUWLOUUOXPUWJUWDYCXRXLYLYMUWJUWDOXOYOYQBXRCY
      AEUWDGYTUWFUVDXJWBWITUUPYLYMUVAUVBUWKUWIOUVCUVOUVFUVGBXRCEYBYCGYTXBXCUUPY
      LUVBUWLYCOUVCUVGBXRCYCUWDGYTUWFXDWHXGXEVRHXNXHXIXK $.

    pmtrodpm.t $e |- T = ran ( pmTrsp ` D ) $.
    $( A transposition is an odd permutation.  (Contributed by SO,
       9-Jul-2018.) $)
    pmtrodpm $p |- ( ( D e. Fin /\ F e. T ) -> F e. ( P \ ( pmEven ` D ) ) ) $=
      ( cfn wcel wa cpsgn cfv c1 cneg wceq cevpm cdif simpl adantl symgtrf eqid
      sseli psgnpmtr psgnodpmr syl3anc ) AIJZEDJZKUGEBJZEALMZMNOPZEBAQMRJUGUHSU
      HUIUGDBEBADCHFGUAUCTUHUKUGAEDCUJFHUJUBZUDTABCEUJFGULUEUF $.
  $}

  ${
    $d K q $.  $d K w $.  $d N w $.  $d P q $.  $d Q w $.  $d S w $.  $d T w $.
    psgnfix.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    psgnfix.t $e |- T = ran ( pmTrsp ` ( N \ { K } ) ) $.
    psgnfix.s $e |- S = ( SymGrp ` ( N \ { K } ) ) $.
    $( A permutation of a finite set fixing one element is generated by
       transpositions not involving the fixed element.  (Contributed by AV,
       13-Jan-2019.) $)
    psgnfix1 $p |- ( ( N e. Fin /\ K e. N )
                      -> ( Q e. { q e. P | ( q ` K ) = K }
                 -> E. w e. Word T ( Q |` ( N \ { K } ) ) = ( S gsum w ) ) ) $=
      ( cfn wcel wa cv cfv wceq crab cbs eqid csn cdif cres cgsu co cword csymg
      wrex fveq2i symgfixelsi adantll wb diffi ad2antrr psgnfitr syl mpbid ex )
      GLMZFGMZNZCFHOPFQHBRZMZCGFUAZUBZUCZDAOUDUEQAEUFUHZVAVCNZVFDSPZMZVGUTVCVJU
      SVEBVBVICFGHIVBTDVEUGPSKUIVETUJUKVHVELMZVJVGULUSVKUTVCGVDUMUNAVIVFEDVEKVI
      TJUOUPUQUR $.

    $d Q q $.  $d R w $.  $d Z w $.
    psgnfix.z $e |- Z = ( SymGrp ` N ) $.
    psgnfix.r $e |- R = ran ( pmTrsp ` N ) $.
    $( A permutation of a finite set fixing one element is generated by
       transpositions not involving the fixed element.  (Contributed by AV,
       17-Jan-2019.) $)
    psgnfix2 $p |- ( ( N e. Fin /\ K e. N )
                      -> ( Q e. { q e. P | ( q ` K ) = K }
                           -> E. w e. Word R Q = ( Z gsum w ) ) ) $=
      ( wcel wa cv cfv cbs cfn wceq crab cgsu co cword wrex elrabi adantl csymg
      wb fveq2i eqtr4i psgnfitr bicomd ad2antrr mpbird ex ) HUAPZGHPZQZCGJRSGUB
      ZJBUCPZCIARUDUEUBADUFUGZVAVCQVDCBPZVCVEVAVBJCBUHUIUSVDVEUKUTVCUSVEVDABCDI
      HNBHUJSZTSITSKIVFTNULUMOUNUOUPUQUR $.

    $d k q $.  $d K i k n $.  $d N i k n $.  $d P k $.  $d Q k $.  $d R k $.
    $d S i k n $.  $d T k $.  $d U i k n $.  $d W i k n $.  $d Z i k n $.
    $( Lemma 1 for ~ psgndif .  (Contributed by AV, 27-Jan-2019.) $)
    psgndiflemB $p |- ( ( ( N e. Fin /\ K e. N )
                   /\ Q e. { q e. P | ( q ` K ) = K } )
  -> ( ( W e. Word T /\ ( Q |` ( N \ { K } ) ) = ( S gsum W ) )
    -> ( ( U e. Word R /\ ( # ` W ) = ( # ` U )
         /\ A. i e. ( 0 ..^ ( # ` W ) ) ( ( ( U ` i ) ` K ) = K
            /\ A. n e. ( N \ { K } ) ( ( W ` i ) ` n ) = ( ( U ` i ) ` n ) ) )
                                                   -> Q = ( Z gsum U ) ) ) ) $=
      ( cfv wceq vk cfn wcel wa cv crab cword csn cdif cres cgsu chash wral cc0
      co cfzo w3a wfn elrabi csymg eqid symgbasf ffn 3syl ad3antlr simpl adantr
      wf simp1 cbs eqcomi fveq2i eqtri gsmtrcl syl2an ad3antrrr simpr wss sswrd
      wi symgtrf sseld ax-mp 3ad2ant1 adantl 3jca ralimi 3ad2ant3 oveq2 raleqdv
      eqcoms 3ad2ant2 mpbird gsmsymgrfix sylc eqcomd fveq2 fveq1 eqeq1d simprbi
      wb elrab sylan9eqr 3eqtr4d ex com12 wn neqne anim12i eldifsn sylibr exp31
      wne fvresd imp impcom weq eqeq12d diffi ancri ad2antrl simpr2 incom indif
      jca cin gsmsymgreq anim2i rspcdva 3eqtr3d pm2.61i eqfnfvd ) JUBUCZIJUCZUD
      ZBIMUEZSZITZMAUFUCZUDZKEUGZUCZBJIUHZUIZUJZDKUKUOZTZUDZFCUGZUCZKULSZFULSZT
      ZIGUEZFSZSITZHUEZUUNKSSUUQUUOSTHUUDUMZUDZGUNUUKUPUOZUMZUQZBLFUKUOZTYTUUHU
      DZUVBUDZUAJBUVCYSBJURZYOUUHUVBYSBAUCZJJBVHUVFYRMBAUSJABJUTSZUVHVAZNVBJJBV
      CVDVEUVEUVCAUCZJJUVCVHUVCJURUVDYMUUJUVJUVBYTYMUUHYOYMYSYMYNVFZVGVGUUJUUMU
      VAVIALCJFQAUVHVJSLVJSZNUVHLVJLUVHQVKVLVMRVNVOJAUVCUVHUVINVBJJUVCVCVDUAUEZ
      ITZUVEUVMJUCZUDZUVMBSZUVMUVCSZTZVTUVPUVNUVSUVEUVNUVSVTUVOUVEUVNUVSUVEUVNU
      DIIUVCSZUVQUVRUVEIUVTTUVNUVEUVTIUVEYMYNFUVLUGZUCZUQUUPGUNUULUPUOZUMZUVTIT
      UVEYMYNUWBYOYMYSUUHUVBUVKVPYOYNYSUUHUVBYMYNVQVPUVBUWBUVDUUJUUMUWBUVACUVLV
      RZUUJUWBVTUVLJCLRQUVLVAZWAUWEUUIUWAFCUVLVSWBWCWDWEZWFUVEUWDUUPGUUTUMZUVBU
      WHUVDUVAUUJUWHUUMUUSUUPGUUTUUPUURVFWGWHWEUVBUWDUWHXAZUVDUUMUUJUWIUVAUUMUU
      PGUWCUUTUWCUUTTUULUUKUULUUKUNUPWIWKWJWLWEWMUVLLGIJFQUWFWNWOWPVGUVNUVEUVQI
      BSZIUVMIBWQYSUWJITZYOUUHUVBYSUVGUWKYRUWKMBAYPBTYQUWJIIYPBWRWSXBWTVEXCUVNU
      VRUVTTUVEUVMIUVCWQWEXDXEVGXFUVNXGZUVPUVSUWLUVPUDZUVMUUESZUVMUUFSZUVQUVRUV
      PUWNUWOTZUWLUUHUWPYTUVBUVOUUGUWPUUBUVMUUEUUFWRWEVEWEUVPUWLUWNUVQTZUVEUVOU
      WLUWQVTZYOUVOUWRVTYSUUHUVBYOUVOUWLUWQYOUVOUDZUWLUDZUVMUUDBUWTUVOUVMIXMZUD
      ZUVMUUDUCZUWSUVOUWLUXAYOUVOVQUVMIXHZXIUVMJIXJZXKXNXLVPXOXPUWMUUQUUFSZUUQU
      VCSZTZUWOUVRTHUUDUVMHUAXQUXFUWOUXGUVRUUQUVMUUFWQUUQUVMUVCWQXRUWMUUDUBUCZY
      MUDZKDVJSZUGZUCZUWBUUMUQZUDZUURGUUTUMZUXHHUUDUMUVEUXOUWLUVOUVEUXJUXNYOUXJ
      YSUUHUVBYMUXJYNYMUXIJUUCXSXTVGVPUVEUXMUWBUUMUVDUXMUVBUUBUXMYTUUGEUXKVRZUU
      BUXMVTUXKUUDEDOPUXKVAZWAUXQUUAUXLKEUXKVSWBWCYAVGUWGUVDUUJUUMUVAYBWFYEYAUV
      EUXPUWLUVOUVBUXPUVDUVAUUJUXPUUMUUSUURGUUTUUPUURVQWGWHWEYAUXKUVLDFGHUUDJUU
      DKLPUXRQUWFUUDJYFZUUDUXSJUUDYFUUDUUDJYCJUUCYDVMVKYGWOUVPUWLUXCUVOUWLUXCVT
      UVEUVOUWLUXCUVOUWLUDUXBUXCUWLUXAUVOUXDYHUXEXKXEWEXPYIYJXEYKYLXL $.

    $d K r $.  $d N r $.  $d P r $.  $d Q q r $.  $d R i r $.  $d S r $.
    $d U r $.  $d T i n r $.  $d W i n r w $.
    $( Lemma 2 for ~ psgndif .  (Contributed by AV, 31-Jan-2019.) $)
    psgndiflemA $p |- ( ( ( N e. Fin /\ K e. N )
                   /\ Q e. { q e. P | ( q ` K ) = K } )
   -> ( ( W e. Word T /\ ( Q |` ( N \ { K } ) ) = ( S gsum W ) /\ U e. Word R )
                   -> ( Q = ( ( SymGrp ` N ) gsum U )
                        -> ( -u 1 ^ ( # ` W ) ) = ( -u 1 ^ ( # ` U ) ) ) ) ) $=
      ( wa cfv wceq co vr vi vn vw cfn wcel crab cword csn cdif cres cgsu csymg
      cv w3a c1 cneg chash cexp wi wral cc0 cfzo wrex fveq2 eqeq1d oveq2d fveq1
      fveq1d ralbidv anbi2d anbi12d rexbidv rspccv pmtrdifwrdel2 syl11 3ad2ant1
      raleqbidv com12 ad2antlr imp oveq2 adantr ad3antlr simplll simprr3 3simpa
      simplrl adantl simplrr psgndiflemB imp31 eqcomd syl23anc id eqcomi oveq1i
      eqtrdi eqtrd psgnuni ex rexlimiva mpcom ) HUEUFZGHUFZQBGKUNRGSKAUGUFZQZIE
      UHZUFZBHGUIUJZUKDIULTSZFCUHZUFZUOZBHUMRZFULTZSZUPUQZIURRZUSTZXRFURRUSTZSZ
      UTZXSUAUNZURRZSZGUBUNZYDRZRGSZUCUNZYGIRZRZYJYHRZSZUCXJVAZQZUBVBXSVCTZVAZQ
      ZUAXLVDZXGXNQZYCXGXNYTXEXNYTUTXDXFXNXEYTXIXKXEYTUTXMUDUNZURRZYESZYIYJYGUU
      BRZRZYMSZUCXJVAZQZUBVBUUCVCTZVAZQZUAXLVDZUDXHVAXIYTXEUUMYTUDIXHUUBISZUULY
      SUAXLUUNUUDYFUUKYRUUNUUCXSYEUUBIURVEZVFUUNUUIYPUBUUJYQUUNUUCXSVBVCUUOVGUU
      NUUHYOYIUUNUUGYNUCXJUUNUUFYLYMUUNYJUUEYKYGUUBIVHVIVFVJVKVRVLVMVNUCUDUACEU
      BGHMPVOVPVQVSVTWAYSUUAYCUTUAXLYDXLUFZYSQZUUAYCUUQUUAQZXQYBUURXQQZXTXRYEUS
      TZYAYSXTUUTSZUUPUUAXQYFUVAYRXSYEXRUSWBWCWDUUSHCJUEYDFOPUUAXDUUQXQXDXEXFXN
      WEVTUUPYSUUAXQWEZUURXMXQXIXKXMXGUUQWFWCUUSJYDULTZBJFULTZUUSXGXIXKQZUUPYFY
      RUVCBSUUQXGXNXQWHUUAUVEUUQXQXNUVEXGXIXKXMWGWIVTUVBUURYFXQUUPYFYRUUAWHWCUU
      RYRXQUUPYFYRUUAWJWCXGUVEQUUPYFYRUOZQBUVCXGUVEUVFBUVCSABCDEYDUBUCGHIJKLMNO
      PWKWLWMWNXQBUVDSUURXQBXPUVDXQWOXOJFULJXOOWPWQWRWIWSWTWSXAXAXBXCXA $.
  $}

  ${
    $d K q r s w $.  $d N r s w $.  $d P q r s w $.  $d Q q r s w $.
    $d S r s $.  $d Z s w $.
    psgndif.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    psgndif.s $e |- S = ( pmSgn ` N ) $.
    psgndif.z $e |- Z = ( pmSgn ` ( N \ { K } ) ) $.
    $( Embedding of permutation signs restricted to a set without a single
       element into a ring.  (Contributed by AV, 31-Jan-2019.) $)
    psgndif $p |- ( ( N e. Fin /\ K e. N )
                     -> ( Q e. { q e. P | ( q ` K ) = K }
                          -> ( Z ` ( Q |` ( N \ { K } ) ) ) = ( S ` Q ) ) ) $=
      ( vw vs vr wcel wa cv cfv wceq co eqid cfn crab cdif cres csymg cgsu cneg
      csn chash cexp cpmtr crn cword wrex cio psgnfix2 imp ad2antrr psgndiflemA
      c1 wi w3a 3anassrs adantlrr wb eqeq1 ad2antll sylibrd ralrimiva r19.29imd
      adantr rexlimdva2 psgnfix1 simp-4l simpr simp-4r 3jca syl3c eqcomd impbid
      ex iotabidv cbs diffi symgfixelsi adantll psgnvalfi syl2anc elrabi syl2an
      simpl 3eqtr4d ) EUANZDENZOZBDGPQDRZGAUBZNZBEDUHZUCZUDZFQZBCQZRWOWROZXAWTU
      EQZKPZUFSRZLPZUTUGZXFUIQUJSZRZOZKWTUKQULZUMZUNZLUOZBEUEQZMPZUFSRZXHXIXRUI
      QUJSZRZOZMEUKQULZUMZUNZLUOZXBXCXDXOYELXDXOYEXDXLYEKXNXDXFXNNZOZXLOZXSYAMY
      DXDXSMYDUNZYGXLWOWRYJMABYCXEXMDEXQGHXMTZXETZXQTZYCTZUPUQURYIXSYAVAMYDYIXR
      YDNZOXSXJXTRZYAYHXGYOXSYPVAZXKXDYGXGYOYQXDYGXGYOVBZYQABYCXEXMXRDEXFXQGHYK
      YLYMYNUSZUQVCVDYIYAYPVEZYOXKYTYHXGXHXJXTVFVGVKVHVIVJVLXDYBXOMYDXDYOOZYBOZ
      XGXKKXNXDXGKXNUNZYOYBWOWRUUCKABXEXMDEGHYKYLVMUQURUUBXGXKVAKXNUUBYGOXGXTXJ
      RZXKUUAXSYGXGUUDVAYAUUAXSOZYGOZXGUUDUUFXGOZXJXTUUGXDYRXSYPXDYOXSYGXGVNUUG
      YGXGYOUUFYGXGUUEYGVOVKUUFXGVOXDYOXSYGXGVPVQUUEXSYGXGUUAXSVOURYSVRVSWAVDUU
      BXKUUDVEZYGYAUUHUUAXSXHXTXJVFVGVKVHVIVJVLVTWBXDWTUANZXAXEWCQZNZXBXPRWMUUI
      WNWREWSWDURWNWRUUKWMWTAWQUUJBDEGHWQTUUJTZWTTWEWFKUUJWTXAXMXEFLYLUULYKJWGW
      HWOWMBANXCYFRWRWMWNWKWPGBAWIMAEBYCXQCLYMHYNIWGWJWLWA $.
  $}

  ${
    $d K q $.  $d P q $.  $d Q q $.
    copsgndif.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    copsgndif.s $e |- S = ( pmSgn ` N ) $.
    copsgndif.z $e |- Z = ( pmSgn ` ( N \ { K } ) ) $.
    $( Embedding of permutation signs restricted to a set without a single
       element into a ring.  (Contributed by AV, 31-Jan-2019.)  (Revised by AV,
       5-Jul-2022.) $)
    copsgndif $p |- ( ( N e. Fin /\ K e. N )
                          -> ( Q e. { q e. P | ( q ` K ) = K }
                             -> ( ( Y o. Z ) ` ( Q |` ( N \ { K } ) ) )
                                = ( ( Y o. S ) ` Q ) ) ) $=
      ( cfn wcel wa cv cfv wceq ccom eqid cofipsgn crab csn cdif psgndif fveq2d
      cres imp csymg ad2antrr symgfixelsi adantll syl2anc elrabi sylan2 adantlr
      cbs diffi 3eqtr4d ex ) ELMZDEMZNZBDHOPDQZHAUAZMZBEDUBZUCZUFZFGRPZBFCRPZQV
      BVENZVHGPZFPZBCPZFPZVIVJVKVLVNFVBVEVLVNQABCDEGHIJKUDUGUEVKVGLMZVHVGUHPUPP
      ZMZVIVMQUTVPVAVEEVFUQUIVAVEVRUTVGAVDVQBDEHIVDSVQSZVGSUJUKVQVHGVGFVSKTULUT
      VEVJVOQZVAVEUTBAMVTVCHBAUMABCEFIJTUNUOURUS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The ordered field of real numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c RRfld $.

  $( Extend class notation with the field of real numbers. $)
  crefld $a class RRfld $.

  $( The field of real numbers.  (Contributed by Thierry Arnoux,
     30-Jun-2019.) $)
  df-refld $a |- RRfld = ( CCfld |`s RR ) $.

  $( The base of the field of reals.  (Contributed by Thierry Arnoux,
     1-Nov-2017.) $)
  rebase $p |- RR = ( Base ` RRfld ) $=
    ( cr cc wss crefld cbs cfv wceq ax-resscn ccnfld df-refld cnfldbas ressbas2
    ax-mp ) ABCADEFGHABDIJKLM $.

  ${
    $d x y $.
    $( The multiplication (group power) operation of the group of reals.
       (Contributed by Thierry Arnoux, 1-Nov-2017.) $)
    remulg $p |- ( ( N e. ZZ /\ A e. RR )
      -> ( N ( .g ` RRfld ) A ) = ( N x. A ) ) $=
      ( vx vy cz wcel cr wa ccnfld cmg cfv co crefld cmul csubg wceq c1 cv recn
      eqid readdcl 1re cnsubglem df-refld subgmulg mp3an1 simpr recnd cnfldmulg
      renegcl cc syldan eqtr3d ) BEFZAGFZHZBAIJKZLZBAMJKZLZBANLZGIOKFUNUOURUTPC
      DGQCRZSVBDRUAVBUJUBUCGUSUQIMBAUQTUDUSTUEUFUNUOAUKFURVAPUPAUNUOUGUHBAUIULU
      M $.

    $( The real numbers form a division subring of the complex numbers.
       (Contributed by Mario Carneiro, 4-Dec-2014.)  (Revised by Thierry
       Arnoux, 30-Jun-2019.) $)
    resubdrg $p |- ( RR e. ( SubRing ` CCfld ) /\ RRfld e. DivRing ) $=
      ( vx vy cr ccnfld csubrg cfv wcel crefld wa cress co recn readdcl renegcl
      cdr cv 1re remulcl rereccl cnsubdrglem df-refld eleq1i anbi2i mpbir ) CDE
      FGZHOGZIUEDCJKZOGZIABCAPZLUIBPZMUINQUIUJRUISTUFUHUEHUGOUAUBUCUD $.

    resubgval.m $e |- .- = ( -g ` RRfld ) $.
    $( Subtraction in the field of real numbers.  (Contributed by Thierry
       Arnoux, 30-Jun-2019.) $)
    resubgval $p |- ( ( X e. RR /\ Y e. RR ) -> ( X - Y ) = ( X .- Y ) ) $=
      ( cr ccnfld csubg cfv wcel cmin co wceq csubrg crefld cdr resubdrg simpli
      subrgsubg ax-mp cnfldsub df-refld subgsub mp3an1 ) EFGHIZBEICEIBCJKBCAKLE
      FMHIZUDUENOIPQEFRSEFNJABCTUADUBUC $.
  $}

  $( The addition operation of the field of reals.  (Contributed by Thierry
     Arnoux, 21-Jan-2018.) $)
  replusg $p |- + = ( +g ` RRfld ) $=
    ( cr cvv wcel caddc crefld cplusg cfv wceq reex df-refld cnfldadd ressplusg
    ccnfld ax-mp ) ABCDEFGHIADMEBJKLN $.

  $( The multiplication operation of the field of reals.  (Contributed by
     Thierry Arnoux, 1-Nov-2017.) $)
  remulr $p |- x. = ( .r ` RRfld ) $=
    ( cr cvv wcel cmul crefld cmulr wceq reex ccnfld df-refld cnfldmul ressmulr
    cfv ax-mp ) ABCDEFMGHAIEDBJKLN $.

  $( The neutral element of the field of reals.  (Contributed by Thierry
     Arnoux, 1-Nov-2017.) $)
  re0g $p |- 0 = ( 0g ` RRfld ) $=
    ( ccnfld cmnd wcel cc0 cr wss crefld c0g cfv wceq ccrg crg crngring ringmnd
    cc cncrng mp2b 0re ax-resscn df-refld cnfldbas cnfld0 ress0g mp3an ) ABCZDE
    CEOFDGHIJAKCALCUEPAMANQRSEOAGDTUAUBUCUD $.

  $( The multiplicative neutral element of the field of reals.  (Contributed by
     Thierry Arnoux, 1-Nov-2017.) $)
  re1r $p |- 1 = ( 1r ` RRfld ) $=
    ( cr ccnfld csubrg cfv wcel c1 crefld cur wceq cdr resubdrg simpli df-refld
    cnfld1 subrg1 ax-mp ) ABCDEZFGHDIQGJEKLABGFMNOP $.

  $( The ordering relation of the field of reals.  (Contributed by Thierry
     Arnoux, 21-Jan-2018.) $)
  rele2 $p |- <_ = ( le ` RRfld ) $=
    ( cr cvv wcel cle crefld cple cfv wceq ccnfld df-refld cnfldle ressle ax-mp
    reex ) ABCDEFGHNAIDBEJKLM $.

  $( The ordering relation of the field of reals.  (Contributed by Thierry
     Arnoux, 21-Jan-2018.) $)
  relt $p |- < = ( lt ` RRfld ) $=
    ( clt cle cid cdif crefld cplt cfv dflt2 wcel wceq ccnfld cr cress df-refld
    cvv ovexi rele2 eqid pltfval ax-mp eqtr4i ) ABCDZEFGZHEOIUCUBJEKLMNPOUCEBQU
    CRSTUA $.

  $( The distance of the field of reals.  (Contributed by Thierry Arnoux,
     20-Jun-2019.) $)
  reds $p |- ( abs o. - ) = ( dist ` RRfld ) $=
    ( cr cvv wcel cabs cmin ccom crefld cds cfv wceq reex ccnfld cnfldds ressds
    df-refld ax-mp ) ABCDEFZGHIJKAQLGBOMNP $.

  $( The division operation of the field of reals.  (Contributed by Thierry
     Arnoux, 1-Nov-2017.) $)
  redvr $p |- ( ( A e. RR /\ B e. RR /\ B =/= 0 )
    -> ( A ( /r ` RRfld ) B ) = ( A / B ) ) $=
    ( wcel cc0 wne w3a cdiv crefld cdvr cfv ccnfld csubrg cui wceq cdr resubdrg
    cr co simpli eqid simp1 wa 3simpc wb simpri rebase drngunit sylibr df-refld
    re0g ax-mp cnflddiv subrgdv mp3an2i eqcomd ) AQCZBQCZBDEZFZABGRZABHIJZRZQKL
    JCZUSUPBHMJZCZUTVBNVCHOCZPSUPUQURUAUSUQURUBZVEUPUQURUCVFVEVGUDVCVFPUEQHVDBD
    UFVDTZUJUGUKUHQGKHVDVAABUIULVHVATUMUNUO $.

  $( The real numbers are a totally ordered set.  (Contributed by Thierry
     Arnoux, 21-Jan-2018.) $)
  retos $p |- RRfld e. Toset $=
    ( vx crefld ctos wcel cr clt wor cid cres cle wss ltso cv wbr idref mprgbir
    leid cvv wa wb ccnfld cress df-refld ovexi rebase rele2 relt tosso mpbir2an
    ax-mp ) BCDZEFGZHEIJKZLUMAMZUNJNAEAEJOUNQPBRDUKULUMSTBUAEUBUCUDEFBJRUEUFUGU
    HUJUI $.

  $( The real numbers form a field.  (Contributed by Thierry Arnoux,
     1-Nov-2017.) $)
  refld $p |- RRfld e. Field $=
    ( crefld cfield wcel cdr ccrg cr ccnfld csubrg cfv resubdrg simpri cress co
    df-refld cncrng simpli eqid subrgcrng mp2an eqeltri isfld mpbir2an ) ABCADC
    ZAECFGHICZUCJKAGFLMZENGECUDUEECOUDUCJPFGUEUEQRSTAUAUB $.

  $( The conjugation operation of the field of real numbers.  (Contributed by
     Thierry Arnoux, 30-Jun-2019.) $)
  refldcj $p |- * = ( *r ` RRfld ) $=
    ( cr cvv wcel ccj crefld cstv cfv wceq reex ccnfld df-refld ressstarv ax-mp
    cnfldcj ) ABCDEFGHIAJEDBKNLM $.

  $( The real numbers form a star ring.  (Contributed by Thierry Arnoux,
     19-Apr-2019.) $)
  recrng $p |- RRfld e. *Ring $=
    ( vx crefld csr wcel wtru cr ccj rebase refldcj ccrg cdr cfield refld isfld
    wa mpbi simpri a1i cv cfv wceq cjre adantl idsrngd mptru ) BCDEAFBGHIBJDZEB
    KDZUFBLDUGUFOMBNPQRASZFDUHGTUHUAEUHUBUCUDUE $.

  ${
    $d F x $.  $d I x $.  $d V x $.
    $( The group sum over the real numbers, expressed as a finite sum.
       (Contributed by Thierry Arnoux, 22-Jun-2019.)  (Proof shortened by AV,
       19-Jul-2019.) $)
    regsumsupp $p |- ( ( F : I --> RR /\ F finSupp 0 /\ I e. V )
      -> ( RRfld gsum F ) = sum_ x e. ( F supp 0 ) ( F ` x ) ) $=
      ( cr wf cc0 cfsupp wcel crefld cgsu co ccnfld cc cnfldbas ax-resscn caddc
      ccmn wa wceq wbr w3a csupp cres cv cfv cmpt csu cnfld0 crg cnring ringcmn
      mp1i simp3 wss simp1 fss sylancl ssidd gsumres cnfldadd df-refld a1i 0red
      simp2 simpr addid2d addid1d jca gsumress eqtr2d suppssdm feqresmpt oveq2d
      fssdm fsuppimpd simpl1 sselda ffvelrnd sselid gsumfsum 3eqtrd ) CEBFZBGHU
      AZCDIZUBZJBKLZMBBGUCLZUDZKLZMAWHAUEZBUFZUGZKLWHWLAUHWFWJMBKLWGWFCNBMDWHGO
      UIMUJIMRIWFUKMULUMZWCWDWEUNZWFWCENUOZCNBFWCWDWEUPZPCENBUQURWFWHUSWCWDWEVE
      ZUTWFACNQEBMJRDGOVAVBWNWOWPWFPVCWQWFVDWFWKNIZSZGWKQLWKTWKGQLWKTWTWKWFWSVF
      ZVGWTWKXAVHVIVJVKWFWIWMMKWFACEWHBWQWFCEWHBBGVLWQVOZVMVNWFWHWLAWFBGWRVPWFW
      KWHIZSZENWLPXDCEWKBWCWDWEXCVQWFWHCWKXBVRVSVTWAWB $.
  $}

  ${
    $d x y $.
    rzgrp.r $e |- R = ( RRfld /s ( RRfld ~QG ZZ ) ) $.
    $( The quotient group ` RR / ZZ ` is a group.  (Contributed by Thierry
       Arnoux, 26-Jan-2020.) $)
    rzgrp $p |- R e. Grp $=
      ( vx vy cz crefld cfv wcel cv caddc co wb cr csubrg ccnfld ax-mp mpbir2an
      wral wa recnd cnsg cgrp csubg wss zsubrg zssre resubdrg df-refld subsubrg
      cdr simpli subrgsubg simpl simpr addcomd eleq1d rgen2 rebase isnsg qusgrp
      replusg ) EFUAGHZAUBHVBEFUCGHZCIZDIZJKZEHVEVDJKZEHLZDMRCMREFNGHZVCVIEONGZ
      HZEMUDZUEUFMVJHZVIVKVLSLVMFUJHUGUKMEOFUHUIPQEFULPVHCDMMVDMHZVEMHZSZVFVGEV
      PVDVEVPVDVNVOUMTVPVEVNVOUNTUOUPUQCDJEFMURVAUSQEFABUTP $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Generalized pre-Hilbert and Hilbert spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c PreHil $.
  $c .if $.

  $( Extend class notation with class of all pre-Hilbert spaces. $)
  cphl $a class PreHil $.

  $( Extend class notation with inner product function. $)
  cipf $a class .if $.

  ${
    $d f g h v F $.  $d f g h v ., $.  $d f g h v x y V $.  $d f g h v x y W $.
    $d f g h v .* $.  $d f g h v .0. $.  $d f g h v Z $.
    $( Define the class of all pre-Hilbert spaces (inner product spaces) over
       arbitrary fields with involution.  (Some textbook definitions are more
       restrictive and require the field of scalars to be the field of real or
       complex numbers).  (Contributed by NM, 22-Sep-2011.) $)
    df-phl $a |- PreHil = { g e. LVec |
      [. ( Base ` g ) / v ]. [. ( .i ` g ) / h ]. [. ( Scalar ` g ) / f ].
        ( f e. *Ring /\ A. x e. v
         ( ( y e. v |-> ( y h x ) ) e. ( g LMHom ( ringLMod ` f ) )
        /\ ( ( x h x ) = ( 0g ` f ) -> x = ( 0g ` g ) )
        /\ A. y e. v ( ( *r ` f ) ` ( x h y ) ) = ( y h x ) ) ) } $.

    $( Define the inner product function.  Usually we will use ` .i ` directly
       instead of ` .if ` , and they have the same behavior in most cases.  The
       main advantage of ` .if ` is that it is a guaranteed function
       ( ~ ipffn ), while ` .i ` only has closure ( ~ ipcl ).  (Contributed by
       Mario Carneiro, 12-Aug-2015.) $)
    df-ipf $a |- .if = ( g e. _V |->
      ( x e. ( Base ` g ) , y e. ( Base ` g ) |-> ( x ( .i ` g ) y ) ) ) $.

    isphl.v $e |- V = ( Base ` W ) $.
    isphl.f $e |- F = ( Scalar ` W ) $.
    isphl.h $e |- ., = ( .i ` W ) $.
    isphl.o $e |- .0. = ( 0g ` W ) $.
    isphl.i $e |- .* = ( *r ` F ) $.
    isphl.z $e |- Z = ( 0g ` F ) $.
    $( The predicate "is a generalized pre-Hilbert (inner product) space".
       (Contributed by NM, 22-Sep-2011.)  (Revised by Mario Carneiro,
       7-Oct-2015.) $)
    isphl $p |- ( W e. PreHil <-> ( W e. LVec /\ F e. *Ring /\ A. x e. V
          ( ( y e. V |-> ( y ., x ) ) e. ( W LMHom ( ringLMod ` F ) )
         /\ ( ( x ., x ) = Z -> x = .0. )
         /\ A. y e. V ( .* ` ( x ., y ) ) = ( y ., x ) ) ) ) $=
      ( wcel co cfv wceq fveq2d vf vv vh vg cphl clvec cv cmpt crglmod clmhm wi
      csr wral w3a wa c0g cstv csca wsbc cip cbs cvv fvexd id eqtr4di sylan9eqr
      simpll eleq1d simpllr simplll eqtrd simplr oveqd mpteq12dv oveq12d eqeq2d
      eleq12d eqeq12d imbi12d fveq12d raleqbidv 3anbi123d anbi12d sbcied df-phl
      elrab2 3anass bitr4i ) GUEPGUFPZCULPZBFBUGZAUGZDQZUHZGCUIRZUJQZPZWLWLDQZI
      SZWLHSZUKZWLWKDQZERZWMSZBFUMZUNZAFUMZUOZUOWIWJXGUNUAUGZULPZBUBUGZWKWLUCUG
      ZQZUHZUDUGZXIUIRZUJQZPZWLWLXLQZXIUPRZSZWLXOUPRZSZUKZWLWKXLQZXIUQRZRZXMSZB
      XKUMZUNZAXKUMZUOZUAXOURRZUSZUCXOUTRZUSZUBXOVARZUSXHUDGUFUEXOGSZYPXHUBYQVB
      YRXOVAVCYRXKYQSZUOZYNXHUCYOVBYTXOUTVCYTXLYOSZUOZYLXHUAYMVBUUBXOURVCUUBXIY
      MSZUOZXJWJYKXGUUDXICULUUCUUBXIYMCUUCVDUUBYMGURRCUUBXOGURYRYSUUAVGTKVEVFZV
      HUUDYJXFAXKFUUDXKYQFYRYSUUAUUCVIUUDYQGVARFUUDXOGVAYRYSUUAUUCVJZTJVEVKZUUD
      XRWQYDXAYIXEUUDXNWNXQWPUUDBXKXMFWMUUGUUDXLDWKWLUUDXLYODYTUUAUUCVLUUDYOGUT
      RDUUDXOGUTUUFTLVEVKZVMZVNUUDXOGXPWOUJUUFUUDXICUIUUETVOVQUUDYAWSYCWTUUDXSW
      RXTIUUDXLDWLWLUUHVMUUDXTCUPRIUUDXICUPUUETOVEVRUUDYBHWLUUDYBGUPRHUUDXOGUPU
      UFTMVEVPVSUUDYHXDBXKFUUGUUDYGXCXMWMUUDYEXBYFEUUDYFCUQREUUDXICUQUUETNVEUUD
      XLDWLWKUUHVMVTUUIVRWAWBWAWCWDWDWDABUBUAUDUCWEWFWIWJXGWGWH $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x C $.  $d y G $.  $d x y ., $.  $d x y .* $.
    $d y F $.  $d x K $.  $d x .0. $.  $d x .x. $.  $d x y V $.  $d x y W $.
    $d x Z $.
    $( A pre-Hilbert space is a left vector space.  (Contributed by Mario
       Carneiro, 7-Oct-2015.) $)
    phllvec $p |- ( W e. PreHil -> W e. LVec ) $=
      ( vy vx cphl wcel clvec csca cfv csr cbs cv cip co cmpt crglmod clmhm c0g
      wceq wral eqid wi cstv w3a isphl simp1bi ) ADEAFEAGHZIEBAJHZBKZCKZALHZMZN
      AUFOHPMEUIUIUJMUFQHZRUIAQHZRUAUIUHUJMUFUBHZHUKRBUGSUCCUGSCBUFUJUNUGAUMULU
      GTUFTUJTUMTUNTULTUDUE $.

    $( A pre-Hilbert space is a left module.  (Contributed by Mario Carneiro,
       7-Oct-2015.) $)
    phllmod $p |- ( W e. PreHil -> W e. LMod ) $=
      ( cphl wcel clvec clmod phllvec lveclmod syl ) ABCADCAECAFAGH $.

    phlsrng.f $e |- F = ( Scalar ` W ) $.
    $( The scalar ring of a pre-Hilbert space is a star ring.  (Contributed by
       Mario Carneiro, 7-Oct-2015.) $)
    phlsrng $p |- ( W e. PreHil -> F e. *Ring ) $=
      ( vy vx cphl wcel clvec csr cbs cfv cv cip co cmpt crglmod wceq wral eqid
      c0g clmhm wi cstv w3a isphl simp2bi ) BFGBHGAIGDBJKZDLZELZBMKZNZOBAPKUANG
      UIUIUJNATKZQUIBTKZQUBUIUHUJNAUCKZKUKQDUGRUDEUGREDAUJUNUGBUMULUGSCUJSUMSUN
      SULSUEUF $.

    phllmhm.h $e |- ., = ( .i ` W ) $.
    phllmhm.v $e |- V = ( Base ` W ) $.
    ${
      phllmhm.g $e |- G = ( x e. V |-> ( x ., A ) ) $.
      $( The inner product of a pre-Hilbert space is linear in its left
         argument.  (Contributed by Mario Carneiro, 7-Oct-2015.) $)
      phllmhm $p |- ( ( W e. PreHil /\ A e. V ) ->
        G e. ( W LMHom ( ringLMod ` F ) ) ) $=
        ( vy wcel cv co cmpt cfv wral wceq eqid cphl crglmod clmhm c0g cstv w3a
        clvec csr isphl simp3bi simp1 ralimi syl oveq2 mpteq2dv eqtr4di rspccva
        wi eleq1d sylan ) GUAMZAFANZLNZEOZPZGCUBQUCOZMZLFRZBFMDVFMZVAVGVCVCEOCU
        DQZSVCGUDQZSURZVCVBEOCUEQZQVDSAFRZUFZLFRZVHVAGUGMCUHMVPLACEVMFGVKVJJHIV
        KTVMTVJTUIUJVOVGLFVGVLVNUKULUMVGVILBFVCBSZVEDVFVQVEAFVBBEOZPDVQAFVDVRVC
        BVBEUNUOKUPUSUQUT $.
    $}

    ${
      ipcl.f $e |- K = ( Base ` F ) $.
      $( Closure of the inner product operation in a pre-Hilbert space.
         (Contributed by Mario Carneiro, 7-Oct-2015.) $)
      ipcl $p |- ( ( W e. PreHil /\ A e. V /\ B e. V ) -> ( A ., B ) e. K ) $=
        ( vx cphl wcel co cv wral wa cfv cbs cmpt wf crglmod clmhm eqid phllmhm
        rlmbas eqtri lmhmf fmpt sylibr wceq oveq1 eleq1d rspccva stoic3 3com23
        syl ) GMNZBFNZAFNZABDOZENZUSUTLPZBDOZENZLFQZVAVCUSUTRZFELFVEUAZUBZVGVHV
        IGCUCSZUDONVJLBCVIDFGHIJVIUEZUFFEGVKVIJECTSVKTSKCUGUHUIURLFEVEVIVLUJUKV
        FVCLAFVDAULVEVBEVDABDUMUNUOUPUQ $.
    $}

    ${
      ipcj.i $e |- .* = ( *r ` F ) $.
      $( Conjugate of an inner product in a pre-Hilbert space.  Equation I1 of
         [Ponnusamy] p. 362.  (Contributed by NM, 1-Feb-2007.)  (Revised by
         Mario Carneiro, 7-Oct-2015.) $)
      ipcj $p |- ( ( W e. PreHil /\ A e. V /\ B e. V ) ->
        ( .* ` ( A ., B ) ) = ( B ., A ) ) $=
        ( vx vy wcel co cfv wceq cv wral c0g cphl wa crglmod clmhm wi w3a clvec
        cmpt csr eqid isphl simp3bi simp3 ralimi syl fvoveq1 oveq2 fveq2d oveq1
        eqeq12d rspc2v syl5com 3impib ) GUANZAFNZBFNZABDOZEPZBADOZQZVDLRZMRZDOE
        PZVLVKDOZQZMFSZLFSZVEVFUBVJVDMFVNUHGCUCPUDONZVKVKDOCTPZQVKGTPZQUEZVPUFZ
        LFSZVQVDGUGNCUINWCLMCDEFGVTVSJHIVTUJKVSUJUKULWBVPLFVRWAVPUMUNUOVOVJAVLD
        OZEPZVLADOZQLMABFFVKAQVMWEVNWFVKAVLEDUPVKAVLDUQUTVLBQZWEVHWFVIWGWDVGEVL
        BADUQURVLBADUSUTVAVBVC $.
    $}

    ${
      ip0l.z $e |- Z = ( 0g ` F ) $.
      $( Orthogonality (meaning inner product is 0) is commutative.
         (Contributed by NM, 17-Apr-2008.)  (Revised by Mario Carneiro,
         7-Oct-2015.) $)
      iporthcom $p |- ( ( W e. PreHil /\ A e. V /\ B e. V ) ->
        ( ( A ., B ) = Z <-> ( B ., A ) = Z ) ) $=
        ( wcel co cfv wceq 3ad2ant1 eqid syl stafval eqtrd cphl w3a cstf cbs wb
        wf1 wf1o phlsrng srngf1o f1of1 3syl ipcl clmod phllmod lmod0cl syl12anc
        csr f1fveq cstv ipcj srng0 eqeq12d bitr3d ) FUALZAELZBELZUBZABDMZCUCNZN
        ZGVINZOZVHGOZBADMZGOVGCUDNZVOVIUFZVHVOLZGVOLZVLVMUEVGCUQLZVOVOVIUGVPVDV
        EVSVFCFHUHPZVOCVIVIQZVOQZUIVOVOVIUJUKABCDVOEFHIJWBULZVGFUMLZVRVDVEWDVFF
        UNPCVOFGHWBKUORZVOVOVHGVIURUPVGVJVNVKGVGVJVHCUSNZNZVNVGVQVJWGOWCVHVOCVI
        WFWBWFQZWASRABCDWFEFHIJWHUTTVGVKGWFNZGVGVRVKWIOWEGVOCVIWFWBWHWASRVGVSWI
        GOVTCWFGWHKVARTVBVC $.

      ip0l.o $e |- .0. = ( 0g ` W ) $.
      $( Inner product with a zero first argument.  Part of proof of Theorem
         6.44 of [Ponnusamy] p. 361.  (Contributed by NM, 5-Feb-2007.)
         (Revised by Mario Carneiro, 7-Oct-2015.) $)
      ip0l $p |- ( ( W e. PreHil /\ A e. V ) -> ( .0. ., A ) = Z ) $=
        ( vx cphl wcel co cfv wceq 3syl c0g wa cv clmod phllmod lmodgrp grpidcl
        cmpt cgrp adantr oveq1 eqid ovex fvmpt crglmod clmhm cghm phllmhm lmghm
        syl rlm0 eqtri ghmid eqtr3d ) ENOZADOZUAZFMDMUBZACPZUGZQZFACPZGVFFDOZVJ
        VKRVDVLVEVDEUCOEUHOVLEUDEUEDEFJLUFSUIMFVHVKDVIVGFACUJVIUKZFACULUMUSVFVI
        EBUNQZUOPOVIEVNUPPOVJGRMABVICDEHIJVMUQEVNVIUREVNVIFGLGBTQVNTQKBUTVAVBSV
        C $.

      $( Inner product with a zero second argument.  (Contributed by NM,
         5-Feb-2007.)  (Revised by Mario Carneiro, 7-Oct-2015.) $)
      ip0r $p |- ( ( W e. PreHil /\ A e. V ) -> ( A ., .0. ) = Z ) $=
        ( cphl wcel wa co cfv wceq adantr syl cstv ip0l fveq2d phllmod lmod0vcl
        clmod eqid ipcj 3expa an32s mpdan csr phlsrng srng0 3eqtr3d ) EMNZADNZO
        ZFACPZBUAQZQZGUTQZAFCPZGURUSGUTABCDEFGHIJKLUBUCURFDNZVAVCRZUREUFNZVDUPV
        FUQEUDSDEFJLUETUPVDUQVEUPVDUQVEFABCUTDEHIJUTUGZUHUIUJUKURBULNZVBGRUPVHU
        QBEHUMSBUTGVGKUNTUO $.

      $( The inner product of a vector with itself is zero iff the vector is
         zero.  Part of Definition 3.1-1 of [Kreyszig] p. 129.  (Contributed by
         NM, 24-Jan-2008.)  (Revised by Mario Carneiro, 7-Oct-2015.) $)
      ipeq0 $p |- ( ( W e. PreHil /\ A e. V ) ->
        ( ( A ., A ) = Z <-> A = .0. ) ) $=
        ( vx vy wcel co wceq cv wral cfv cphl wa wi cmpt crglmod clmhm cstv w3a
        clvec csr isphl simp3bi simp2 ralimi oveq12 anidms eqeq1d eqeq1 imbi12d
        eqid syl rspccva sylan ip0l oveq1 syl5ibrcom impbid ) EUAOZADOZUBZAACPZ
        GQZAFQZVHMRZVNCPZGQZVNFQZUCZMDSZVIVLVMUCZVHNDNRZVNCPZUDEBUETUFPOZVRVNWA
        CPBUGTZTWBQNDSZUHZMDSZVSVHEUIOBUJOWGMNBCWDDEFGJHILWDUTKUKULWFVRMDWCVRWE
        UMUNVAVRVTMADVNAQZVPVLVQVMWHVOVKGWHVOVKQVNAVNACUOUPUQVNAFURUSVBVCVJVLVM
        FACPZGQABCDEFGHIJKLVDVMVKWIGAFACVEUQVFVG $.
    $}

    ${
      $d x .+ $.
      ipdir.g $e |- .+ = ( +g ` W ) $.
      ipdir.p $e |- .+^ = ( +g ` F ) $.
      $( Distributive law for inner product (right-distributivity).  Equation
         I3 of [Ponnusamy] p. 362.  (Contributed by NM, 25-Aug-2007.)  (Revised
         by Mario Carneiro, 7-Oct-2015.) $)
      ipdir $p |- ( ( W e. PreHil /\ ( A e. V /\ B e. V /\ C e. V ) ) ->
        ( ( A .+ B ) ., C ) = ( ( A ., C ) .+^ ( B ., C ) ) ) $=
        ( vx wcel co cfv wceq syl cphl w3a wa cv cmpt crglmod cghm eqid phllmhm
        clmhm 3ad2antr3 lmghm simpr1 simpr2 cplusg rlmplusg eqtri syl3anc clmod
        ghmlin phllmod lmodvacl syl3an1 3adant3r3 oveq1 fvmpt3i oveq12d 3eqtr3d
        ovex ) IUAPZAHPZBHPZCHPZUBUCZABDQZOHOUDZCGQZUEZRZAVRRZBVRRZEQZVOCGQZACG
        QZBCGQZEQVNVRIFUFRZUGQPZVKVLVSWBSVNVRIWFUJQPZWGVJVKVMWHVLOCFVRGHIJKLVRU
        HZUIUKIWFVRULTVJVKVLVMUMZVJVKVLVMUNZDEIWFAVRBHLMEFUORWFUORNFUPUQUTURVNV
        OHPZVSWCSVJVKVLWLVMVJIUSPVKVLWLIVADHIABLMVBVCVDOVOVQWCHVRVPVOCGVEWIVPCG
        VIZVFTVNVTWDWAWEEVNVKVTWDSWJOAVQWDHVRVPACGVEWIWMVFTVNVLWAWESWKOBVQWEHVR
        VPBCGVEWIWMVFTVGVH $.

      $( Distributive law for inner product (left-distributivity).
         (Contributed by NM, 20-Nov-2007.)  (Revised by Mario Carneiro,
         7-Oct-2015.) $)
      ipdi $p |- ( ( W e. PreHil /\ ( A e. V /\ B e. V /\ C e. V ) ) ->
        ( A ., ( B .+ C ) ) = ( ( A ., B ) .+^ ( A ., C ) ) ) $=
        ( wcel co cfv wceq syl3anc ipcj cphl wa cstv simpl simpr2 simpr3 simpr1
        w3a ipdir syl13anc fveq2d csr cbs phlsrng eqid ipcl srngadd eqtrd clmod
        adantr phllmod lmodvacl oveq12d 3eqtr3d ) IUAOZAHOZBHOZCHOZUHZUBZBCDPZA
        GPZFUCQZQZBAGPZVMQZCAGPZVMQZEPZAVKGPZABGPZACGPZEPVJVNVOVQEPZVMQZVSVJVLW
        CVMVJVEVGVHVFVLWCRVEVIUDZVEVFVGVHUEZVEVFVGVHUFZVEVFVGVHUGZBCADEFGHIJKLM
        NUIUJUKVJFULOZVOFUMQZOZVQWJOZWDVSRVEWIVIFIJUNUTVJVEVGVFWKWEWFWHBAFGWJHI
        JKLWJUOZUPSVJVEVHVFWLWEWGWHCAFGWJHIJKLWMUPSWJEFVMVOVQVMUOZWMNUQSURVJVEV
        KHOZVFVNVTRWEVJIUSOZVGVHWOVEWPVIIVAUTWFWGDHIBCLMVBSWHVKAFGVMHIJKLWNTSVJ
        VPWAVRWBEVJVEVGVFVPWARWEWFWHBAFGVMHIJKLWNTSVJVEVHVFVRWBRWEWGWHCAFGVMHIJ
        KLWNTSVCVD $.

      ip2di.1 $e |- ( ph -> W e. PreHil ) $.
      ip2di.2 $e |- ( ph -> A e. V ) $.
      ip2di.3 $e |- ( ph -> B e. V ) $.
      ip2di.4 $e |- ( ph -> C e. V ) $.
      ip2di.5 $e |- ( ph -> D e. V ) $.
      $( Distributive law for inner product.  (Contributed by NM, 17-Apr-2008.)
         (Revised by Mario Carneiro, 7-Oct-2015.) $)
      ip2di $p |- ( ph -> ( ( A .+ B ) ., ( C .+ D ) ) =
       ( ( ( A ., C ) .+^ ( B ., D ) ) .+^ ( ( A ., D ) .+^ ( B ., C ) ) ) ) $=
        ( cphl wcel wceq clmod phllmod syl lmodvacl syl3anc ipdir syl13anc ipdi
        co ccmn cbs cfv csr crg phlsrng srngring ringcmn 4syl eqid cmncom eqtrd
        ipcl oveq12d cmn4 syl122anc 3eqtrd ) ABCFUMDEFUMZIUMZBVKIUMZCVKIUMZGUMZ
        BDIUMZBEIUMZGUMZCEIUMZCDIUMZGUMZGUMZVPVSGUMVQVTGUMGUMZAKUBUCZBJUCZCJUCZ
        VKJUCZVLVOUDQRSAKUEUCZDJUCZEJUCZWGAWDWHQKUFUGTUAFJKDENOUHUIBCVKFGHIJKLM
        NOPUJUKAVMVRVNWAGAWDWEWIWJVMVRUDQRTUABDEFGHIJKLMNOPULUKAVNVTVSGUMZWAAWD
        WFWIWJVNWKUDQSTUACDEFGHIJKLMNOPULUKAHUNUCZVTHUOUPZUCZVSWMUCZWKWAUDAWDHU
        QUCHURUCWLQHKLUSHUTHVAVBZAWDWFWIWNQSTCDHIWMJKLMNWMVCZVFUIZAWDWFWJWOQSUA
        CEHIWMJKLMNWQVFUIZWMGHVTVSWQPVDUIVEVGAWLVPWMUCZVQWMUCZWOWNWBWCUDWPAWDWE
        WIWTQRTBDHIWMJKLMNWQVFUIAWDWEWJXAQRUABEHIWMJKLMNWQVFUIWSWRWMGHVTVPVQVSW
        QPVHVIVJ $.
    $}

    ${
      ipsubdir.m $e |- .- = ( -g ` W ) $.
      ipsubdir.s $e |- S = ( -g ` F ) $.
      $( Distributive law for inner product subtraction.  (Contributed by NM,
         20-Nov-2007.)  (Revised by Mario Carneiro, 7-Oct-2015.) $)
      ipsubdir $p |- ( ( W e. PreHil /\ ( A e. V /\ B e. V /\ C e. V ) ) ->
        ( ( A .- B ) ., C ) = ( ( A ., C ) S ( B ., C ) ) ) $=
        ( wcel co wceq cfv syl3anc eqid cphl wa cplusg simpl cgrp clmod phllmod
        w3a adantr simpr1 simpr2 grpsubcl simpr3 ipdir syl13anc grpnpcan oveq1d
        lmodgrp syl eqtr3d cbs wb lmodfgrp ipcl grpsubadd mpbird eqcomd ) IUAOZ
        AHOZBHOZCHOZUHZUBZACFPZBCFPZDPZABGPZCFPZVMVPVRQZVRVOEUCRZPZVNQZVMVQBIUC
        RZPZCFPZWAVNVMVHVQHOZVJVKWEWAQVHVLUDZVMIUEOZVIVJWFVMIUFOZWHVHWIVLIUGUIZ
        IURUSZVHVIVJVKUJZVHVIVJVKUKZHIGABLMULSZWMVHVIVJVKUMZVQBCWCVTEFHIJKLWCTZ
        VTTZUNUOVMWDACFVMWHVIVJWDAQWKWLWMHWCIGABLWPMUPSUQUTVMEUEOZVNEVARZOZVOWS
        OZVRWSOZVSWBVBVMWIWRWJEIJVCUSVMVHVIVKWTWGWLWOACEFWSHIJKLWSTZVDSVMVHVJVK
        XAWGWMWOBCEFWSHIJKLXCVDSVMVHWFVKXBWGWNWOVQCEFWSHIJKLXCVDSWSVTEDVNVOVRXC
        WQNVEUOVFVG $.

      $( Distributive law for inner product subtraction.  (Contributed by NM,
         20-Nov-2007.)  (Revised by Mario Carneiro, 7-Oct-2015.) $)
      ipsubdi $p |- ( ( W e. PreHil /\ ( A e. V /\ B e. V /\ C e. V ) ) ->
        ( A ., ( B .- C ) ) = ( ( A ., B ) S ( A ., C ) ) ) $=
        ( wcel co wceq cfv syl3anc eqid cphl w3a cplusg simpl simpr1 cgrp clmod
        wa phllmod adantr lmodgrp simpr2 simpr3 grpsubcl ipdi syl13anc grpnpcan
        syl oveq2d eqtr3d cbs wb lmodfgrp ipcl grpsubadd mpbird eqcomd ) IUAOZA
        HOZBHOZCHOZUBZUHZABFPZACFPZDPZABCGPZFPZVMVPVRQZVRVOEUCRZPZVNQZVMAVQCIUC
        RZPZFPZWAVNVMVHVIVQHOZVKWEWAQVHVLUDZVHVIVJVKUEZVMIUFOZVJVKWFVMIUGOZWIVH
        WJVLIUIUJZIUKURZVHVIVJVKULZVHVIVJVKUMZHIGBCLMUNSZWNAVQCWCVTEFHIJKLWCTZV
        TTZUOUPVMWDBAFVMWIVJVKWDBQWLWMWNHWCIGBCLWPMUQSUSUTVMEUFOZVNEVARZOZVOWSO
        ZVRWSOZVSWBVBVMWJWRWKEIJVCURVMVHVIVJWTWGWHWMABEFWSHIJKLWSTZVDSVMVHVIVKX
        AWGWHWNACEFWSHIJKLXCVDSVMVHVIWFXBWGWHWOAVQEFWSHIJKLXCVDSWSVTEDVNVOVRXCW
        QNVEUPVFVG $.

      ip2subdi.p $e |- .+ = ( +g ` F ) $.
      ip2subdi.1 $e |- ( ph -> W e. PreHil ) $.
      ip2subdi.2 $e |- ( ph -> A e. V ) $.
      ip2subdi.3 $e |- ( ph -> B e. V ) $.
      ip2subdi.4 $e |- ( ph -> C e. V ) $.
      ip2subdi.5 $e |- ( ph -> D e. V ) $.
      $( Distributive law for inner product subtraction.  (Contributed by Mario
         Carneiro, 8-Oct-2015.) $)
      ip2subdi $p |- ( ph -> ( ( A .- B ) ., ( C .- D ) ) =
        ( ( ( A ., C ) .+ ( B ., D ) ) S ( ( A ., D ) .+ ( B ., C ) ) ) ) $=
        ( co cbs cfv eqid crg wcel cabl clmod cphl phllmod syl lmodring ringabl
        ipcl syl3anc ablsubsub4 oveq1d wceq lmodvsubcl ipsubdir ipsubdi oveq12d
        syl13anc ringgrp grpsubcl ablsubsub 3eqtrd ringacl abladdsub 3eqtr4d
        cgrp ) ABDIUDZBEIUDZGUDZCDIUDZGUDZCEIUDZFUDZVOVPVRFUDZGUDZVTFUDZBCJUDDE
        JUDZIUDZVOVTFUDWBGUDZAVSWCVTFAHUEUFZFHGVOVPVRWHUGZRQAHUHUIZHUJUIZALUKUI
        ZWJALULUIZWLSLUMUNZHLMUOUNZHUPUNZAWMBKUIZDKUIZVOWHUIZSTUBBDHIWHKLMNOWIU
        QURZAWMWQEKUIZVPWHUIZSTUCBEHIWHKLMNOWIUQURZAWMCKUIZWRVRWHUIZSUAUBCDHIWH
        KLMNOWIUQURZUSUTAWFBWEIUDZCWEIUDZGUDZVQVRVTGUDZGUDWAAWMWQXDWEKUIZWFXIVA
        STUAAWLWRXAXKWNUBUCJKLDEOPVBURBCWEGHIJKLMNOPQVCVFAXGVQXHXJGAWMWQWRXAXGV
        QVASTUBUCBDEGHIJKLMNOPQVDVFAWMXDWRXAXHXJVASUAUBUCCDEGHIJKLMNOPQVDVFVEAW
        HFHGVQVRVTWIRQWPAHVNUIZWSXBVQWHUIAWJXLWOHVGUNWTXCWHHGVOVPWIQVHURXFAWMXD
        XAVTWHUIZSUAUCCEHIWHKLMNOWIUQURZVIVJAWKWSXMWBWHUIZWGWDVAWPWTXNAWJXBXEXO
        WOXCXFWHFHVPVRWIRVKURWHFHGVOVTWBWIRQVLVFVM $.
    $}

    ipdir.f $e |- K = ( Base ` F ) $.
    ${
      ipass.s $e |- .x. = ( .s ` W ) $.
      ipass.p $e |- .X. = ( .r ` F ) $.
      $( Associative law for inner product.  Equation I2 of [Ponnusamy] p. 363.
         (Contributed by NM, 25-Aug-2007.)  (Revised by Mario Carneiro,
         7-Oct-2015.) $)
      ipass $p |- ( ( W e. PreHil /\ ( A e. K /\ B e. V /\ C e. V ) ) ->
        ( ( A .x. B ) ., C ) = ( A .X. ( B ., C ) ) ) $=
        ( vx wcel co cfv cphl wa cmpt crglmod clmhm wceq eqid phllmhm 3ad2antr3
        cv simpr1 simpr2 cmulr cvsca rlmvsca eqtri lmhmlin syl3anc clmod adantr
        w3a phllmod lmodvscl oveq1 ovex fvmpt3i syl oveq2d 3eqtr3d ) JUARZAHRZB
        IRZCIRZVAZUBZABDSZQIQUJZCGSZUCZTZABVSTZESZVPCGSZABCGSZESVOVSJFUDTZUESRZ
        VKVLVTWBUFVJVKVMWFVLQCFVSGIJKLMVSUGZUHUIVJVKVLVMUKZVJVKVLVMULZHJWEDEIVS
        FABKNMOEFUMTWEUNTPFUOUPUQURVOVPIRZVTWCUFVOJUSRZVKVLWJVJWKVNJVBUTWHWIADF
        HIJBMKONVCURQVPVRWCIVSVQVPCGVDWGVQCGVEZVFVGVOWAWDAEVOVLWAWDUFWIQBVRWDIV
        SVQBCGVDWGWLVFVGVHVI $.

      ipassr.i $e |- .* = ( *r ` F ) $.
      $( "Associative" law for second argument of inner product (compare
         ~ ipass ).  (Contributed by NM, 25-Aug-2007.)  (Revised by Mario
         Carneiro, 7-Oct-2015.) $)
      ipassr $p |- ( ( W e. PreHil /\ ( A e. V /\ B e. V /\ C e. K ) ) ->
        ( A ., ( C .x. B ) ) = ( ( A ., B ) .X. ( .* ` C ) ) ) $=
        ( wcel co cphl w3a cfv simpl simpr3 simpr2 simpr1 ipass syl13anc fveq2d
        wa wceq clmod phllmod adantr lmodvscl syl3anc ipcj phlsrng ipcl srngmul
        csr 3eqtr3d oveq1d eqtrd ) KUASZAJSZBJSZCISZUBZUKZACBDTZGTZBAGTZHUCZCHU
        CZETZABGTZVPETVKVLAGTZHUCZCVNETZHUCZVMVQVKVSWAHVKVFVIVHVGVSWAULVFVJUDZV
        FVGVHVIUEZVFVGVHVIUFZVFVGVHVIUGZCBADEFGIJKLMNOPQUHUIUJVKVFVLJSZVGVTVMUL
        WCVKKUMSZVIVHWGVFWHVJKUNUOWDWECDFIJKBNLPOUPUQWFVLAFGHJKLMNRURUQVKFVBSZV
        IVNISZWBVQULVFWIVJFKLUSUOWDVKVFVHVGWJWCWEWFBAFGIJKLMNOUTUQIFEHCVNROQVAU
        QVCVKVOVRVPEVKVFVHVGVOVRULWCWEWFBAFGHJKLMNRURUQVDVE $.

      $( "Associative" law for inner product.  Conjugate version of ~ ipassr .
         (Contributed by NM, 25-Aug-2007.)  (Revised by Mario Carneiro,
         7-Oct-2015.) $)
      ipassr2 $p |- ( ( W e. PreHil /\ ( A e. V /\ B e. V /\ C e. K ) ) ->
        ( ( A ., B ) .X. C ) = ( A ., ( ( .* ` C ) .x. B ) ) ) $=
        ( wcel co cphl w3a wa cfv simpl simpr1 simpr2 csr phlsrng simpr3 srngcl
        wceq syl2an2r ipassr syl13anc srngnvl oveq2d eqtr2d ) KUASZAJSZBJSZCISZ
        UBZUCZACHUDZBDTGTZABGTZVEHUDZETZVGCETVDUSUTVAVEISZVFVIULUSVCUEUSUTVAVBU
        FUSUTVAVBUGUSFUHSZVCVBVJFKLUIZUSUTVAVBUJZIFHCROUKUMABVEDEFGHIJKLMNOPQRU
        NUOVDVHCVGEUSVKVCVBVHCULVLVMIFHCROUPUMUQUR $.
    $}
  $}

  ${
    $d g x y ., $.  $d g x y V $.  $d g x y W $.  $d x y X $.  $d x y Y $.
    ipffval.1 $e |- V = ( Base ` W ) $.
    ipffval.2 $e |- ., = ( .i ` W ) $.
    ipffval.3 $e |- .x. = ( .if ` W ) $.
    $( The inner product operation as a function.  (Contributed by Mario
       Carneiro, 12-Oct-2015.)  (Proof shortened by AV, 2-Mar-2024.) $)
    ipffval $p |- .x. = ( x e. V , y e. V |-> ( x ., y ) ) $=
      ( vg cipf cfv cv co cmpo cvv wceq cbs cip c0 wcel fveq2 mpoeq123dv df-ipf
      eqtr4di oveqd crn csn cun fvexi rnex p0ex unex df-ov fvrn0 eqeltri rgen2w
      cop mpoexw fvmpt wn fvprc wo eqtrid olcd 0mpo0 syl eqtr4d pm2.61i eqtri )
      CFKLZABEEAMZBMZDNZOZIFPUAZVKVOQJFABJMZRLZVRVLVMVQSLZNZOVOPKVQFQZABVRVRVTE
      EVNWAVRFRLZEVQFRUBGUEZWCWAVSDVLVMWAVSFSLDVQFSUBHUEUFUCABJUDABEEVNDUGZTUHZ
      UIZEFRGUJZWGWDWEDDFSHUJUKULUMVNWFUAABEEVNVLVMURZDLWFVLVMDUNDWHUOUPUQUSUTV
      PVAZVKTVOFKVBWIETQZWJVCVOTQWIWJWJWIEWBTGFRVBVDVEABEEVNVFVGVHVIVJ $.

    $( The inner product operation as a function.  (Contributed by Mario
       Carneiro, 14-Aug-2015.) $)
    ipfval $p |- ( ( X e. V /\ Y e. V ) -> ( X .x. Y ) = ( X ., Y ) ) $=
      ( vx vy cv co oveq12 ipffval ovex ovmpoa ) JKEFCCJLZKLZBMEFBMARESFBNJKABC
      DGHIOEFBPQ $.

    $( If the inner product operation is already a function, the
       functionalization of it is equal to the original operation.
       (Contributed by Mario Carneiro, 14-Aug-2015.) $)
    ipfeq $p |- ( ., Fn ( V X. V ) -> .x. = ., ) $=
      ( vx vy cxp wfn cv co cmpo ipffval wceq fnov biimpi eqtr4id ) BCCJKZAHICC
      HLILBMNZBHIABCDEFGOTBUAPHICCBQRS $.
  $}

  ${
    $d x y K $.  $d x y V $.  $d x y W $.
    ipffn.1 $e |- V = ( Base ` W ) $.
    ipffn.2 $e |- ., = ( .if ` W ) $.
    $( The inner product operation is a function.  (Contributed by Mario
       Carneiro, 20-Sep-2015.) $)
    ipffn $p |- ., Fn ( V X. V ) $=
      ( vx vy cv cip cfv co eqid ipffval ovex fnmpoi ) FGBBFHZGHZCIJZKAFGARBCDR
      LEMPQRNO $.

    phlipf.s $e |- S = ( Scalar ` W ) $.
    phlipf.k $e |- K = ( Base ` S ) $.
    $( The inner product operation is a function.  (Contributed by Mario
       Carneiro, 14-Aug-2015.) $)
    phlipf $p |- ( W e. PreHil -> ., : ( V X. V ) --> K ) $=
      ( vx vy cphl wcel cv cip cfv co wral cxp wf eqid 3expb ralrimivva ipffval
      ipcl fmpo sylib ) ELMZJNZKNZEOPZQZCMZKDRJDRDDSCBTUHUMJKDDUHUIDMUJDMUMUIUJ
      AUKCDEHUKUAZFIUEUBUCJKDDULCBJKBUKDEFUNGUDUFUG $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ., $.  $d x V $.  $d x W $.
    ip2eq.h $e |- ., = ( .i ` W ) $.
    ip2eq.v $e |- V = ( Base ` W ) $.
    $( Two vectors are equal iff their inner products with all other vectors
       are equal.  (Contributed by NM, 24-Jan-2008.)  (Revised by Mario
       Carneiro, 7-Oct-2015.) $)
    ip2eq $p |- ( ( W e. PreHil /\ A e. V /\ B e. V ) -> ( A = B <->
      A. x e. V ( x ., A ) = ( x ., B ) ) ) $=
      ( wcel wceq co csg cfv eqid syl3an1 oveq1 syl c0g wb syl3anc cphl cv wral
      w3a oveq2 ralrimivw wi clmod phllmod lmodvsubcl eqeq12d rspcv simp1 simp2
      csca simp3 ipsubdi syl13anc eqeq1d ipeq0 syl2anc bitr3d cgrp cbs 3ad2ant1
      lmodfgrp ipcl grpsubeq0 lmodgrp 3bitr3d sylibd impbid2 ) FUAIZBEIZCEIZUDZ
      BCJZAUBZBDKZVRCDKZJZAEUCZVQWAAEBCVRDUEUFVPWBBCFLMZKZBDKZWDCDKZJZVQVPWDEIZ
      WBWGUGVMFUHIZVNVOWHFUIZWCEFBCHWCNZUJOZWAWGAWDEVRWDJVSWEVTWFVRWDBDPVRWDCDP
      UKULQVPWEWFFUOMZLMZKZWMRMZJZWDFRMZJZWGVQVPWDWDDKZWPJZWQWSVPWTWOWPVPVMWHVN
      VOWTWOJVMVNVOUMZWLVMVNVOUNZVMVNVOUPZWDBCWNWMDWCEFWMNZGHWKWNNZUQURUSVPVMWH
      XAWSSXBWLWDWMDEFWRWPXEGHWPNZWRNZUTVAVBVPWMVCIZWEWMVDMZIZWFXJIZWQWGSVPWIXI
      VMVNWIVOWJVEWMFXEVFQVPVMWHVNXKXBWLXCWDBWMDXJEFXEGHXJNZVGTVPVMWHVOXLXBWLXD
      WDCWMDXJEFXEGHXMVGTXJWMWNWEWFWPXMXGXFVHTVMFVCIZVNVOWSVQSVMWIXNWJFVIQEFWCB
      CWRHXHWKVHOVJVKVL $.
  $}

  ${
    $d q x y z ph $.  $d q w x y z W $.
    $( Set of vectors $)
    isphld.v $e |- ( ph -> V = ( Base ` W ) ) $.
    $( Vector addition $)
    isphld.a $e |- ( ph -> .+ = ( +g ` W ) ) $.
    $( Scalar product $)
    isphld.s $e |- ( ph -> .x. = ( .s ` W ) ) $.
    $( Inner product (Hermitian form) $)
    isphld.i $e |- ( ph -> I = ( .i ` W ) ) $.
    $( Zero vector $)
    isphld.z $e |- ( ph -> .0. = ( 0g ` W ) ) $.
    $( Set of scalars $)
    isphld.f $e |- ( ph -> F = ( Scalar ` W ) ) $.
    $( Division ring (skew field) base $)
    isphld.k $e |- ( ph -> K = ( Base ` F ) ) $.
    $( Division ring (skew field) plus $)
    isphld.p $e |- ( ph -> .+^ = ( +g ` F ) ) $.
    $( Division ring (skew field) times $)
    isphld.t $e |- ( ph -> .X. = ( .r ` F ) ) $.
    $( Involution (e.g., complex conjugate) $)
    isphld.c $e |- ( ph -> .* = ( *r ` F ) ) $.
    $( Division ring zero $)
    isphld.o $e |- ( ph -> O = ( 0g ` F ) ) $.
    isphld.l $e |- ( ph -> W e. LVec ) $.
    isphld.r $e |- ( ph -> F e. *Ring ) $.
    $( Closure of inner product $)
    isphld.cl $e |- ( ( ph /\ x e. V /\ y e. V ) -> ( x I y ) e. K ) $.
    $( Distributive law for inner product $)
    isphld.d $e |- ( ( ph /\ q e. K /\ ( x e. V /\ y e. V /\ z e. V ) ) ->
      ( ( ( q .x. x ) .+ y ) I z ) = ( ( q .X. ( x I z ) ) .+^ ( y I z ) ) ) $.
    $( Nonsingularity $)
    isphld.ns $e |- ( ( ph /\ x e. V /\ ( x I x ) = O ) -> x = .0. ) $.
    $( Conjugation law $)
    isphld.cj $e |- ( ( ph /\ x e. V /\ y e. V )
            -> ( .* ` ( x I y ) ) = ( y I x ) ) $.
    $( Properties that determine a pre-Hilbert (inner product) space.
       (Contributed by Mario Carneiro, 18-Nov-2013.)  (Revised by Mario
       Carneiro, 7-Oct-2015.) $)
    isphld $p |- ( ph -> W e. PreHil ) $=
      ( vw clvec wcel csca cfv csr cbs cv cip co cmpt crglmod clmhm c0g wceq wi
      cstv wral w3a cphl eqeltrrd wa oveq1 cbvmptv wf cvsca cplusg cmulr 3expib
      eleq2d anbi12d oveqd eqtrd eleq12d 3imtr3d impl an32s fmptd ralrimiva weq
      fveq2d oveq2 mpteq2dv feq1d rspccva sylan eqidd 3anrot 3anbi123d oveq123d
      3exp bitr3id eqeq12d imbi12d imp31 3exp2 impancom 3imp2 clss lveclmod syl
      clmod adantr eqid lss1 sylancom ovex fvmpt3i simpr2 oveq2d simpr3 oveq12d
      lsscl 3eqtr4d ralrimivvva wb crg lmodring rlmlmod 3syl rlmbas fvex rlmsca
      cvv ax-mp rlmplusg rlmvsca islmhm2 syl2anc eleq1d eqeltrid eqeq2d fveq12d
      mpbir3and imp expdimp ralrimiv 3jca isphl syl3anbrc ) AOUPUQZOURUSZUTUQCO
      VAUSZCVBZBVBZOVCUSZVDZVEZOUUPVFUSZVGVDZUQZUUSUUSUUTVDZUUPVHUSZVIZUUSOVHUS
      ZVIZVJZUUSUURUUTVDZUUPVKUSZUSZUVAVIZCUUQVLZVMZBUUQVLOVNUQUIAIUUPUTUCUJVOA
      UVQBUUQAUUSUUQUQZVPZUVEUVKUVPUVSUVBUOUUQUOVBZUUSUUTVDZVEZUVDCUOUUQUVAUWAU
      URUVTUUSUUTVQVRAUOUUQUVTDVBZUUTVDZVEZUVDUQZDUUQVLUVRUWBUVDUQZAUWFDUUQAUWC
      UUQUQZVPZUWFUUQUUPVAUSZUWEVSZUUPUUPVIZQVBZUUSOVTUSZVDZUUROWAUSZVDZUWEUSZU
      WMUUSUWEUSZUUPWBUSZVDZUURUWEUSZUUPWAUSZVDZVIZCUUQVLBUUQVLQUWJVLZAUUQUWJUO
      UUQUVTUURUUTVDZVEZVSZCUUQVLUWHUWKAUXICUUQAUURUUQUQZVPBUUQUVLUWJUXHAUVRUXJ
      UVLUWJUQZAUVRUXJUXKAUUSNUQZUURNUQZVPZUUSUURJVDZLUQZUVRUXJVPZUXKAUXLUXMUXP
      UKWCAUXLUVRUXMUXJANUUQUUSRWDZANUUQUURRWDZWEZAUXOUVLLUWJAJUUTUUSUURUAWFZAL
      IVAUSUWJUDAIUUPVAUCWOWGZWHWIWJWKUOBUUQUXGUVLUVTUUSUURUUTVQVRWLWMUXIUWKCUW
      CUUQCDWNZUUQUWJUXHUWEUYCUOUUQUXGUWDUURUWCUVTUUTWPWQWRWSWTUWIUUPXAUWIUXEQB
      CUWJUUQUUQUWIUWMUWJUQZUVRUXJVMZVPZUWQUWCUUTVDZUWMUUSUWCUUTVDZUWTVDZUURUWC
      UUTVDZUXCVDZUWRUXDUWIUYDUVRUXJUYGUYKVIZAUYDUWHUVRUXJUYLVJVJAUYDVPUWHUVRUX
      JUYLAUYDUWHUVRUXJVMZUYLAUWMLUQZUXLUXMUWCNUQZVMZUWMUUSGVDZUUREVDZUWCJVDZUW
      MUUSUWCJVDZHVDZUURUWCJVDZFVDZVIZVJUYDUYMUYLVJAUYNUYPVUDULXEALUWJUWMUYBWDA
      UYPUYMVUDUYLUYPUYOUXLUXMVMAUYMUYOUXLUXMXBAUYOUWHUXLUVRUXMUXJANUUQUWCRWDUX
      RUXSXCXFAUYSUYGVUCUYKAUYRUWQUWCUWCJUUTUAAUYQUWOUURUUREUWPSAGUWNUWMUUSTWFA
      UURXAXDAUWCXAXDAVUAUYIVUBUYJFUXCAFIWAUSUXCUEAIUUPWAUCWOWGAUWMUWMUYTUYHHUW
      TAHIWBUSUWTUFAIUUPWBUCWOWGAUWMXAAJUUTUUSUWCUAWFXDAJUUTUURUWCUAWFXDXGXHWIX
      IXJXKXLUYFUWQUUQUQZUWRUYGVIUWIUYEUUQOXMUSZUQZVUEUYFOXPUQZVUGUWIVUHUYEAVUH
      UWHAUUOVUHUIOXNXOZXQZXQVUFUUQOUUQXRZVUFXRZXSXOUWJUWPVUFUWNUUQUUPOUUSUURUW
      MUUPXRZUWJXRZUWPXRZUWNXRZVULYGXTUOUWQUWDUYGUUQUWEUVTUWQUWCUUTVQUWEXRZUVTU
      WCUUTYAZYBXOUYFUXAUYIUXBUYJUXCUYFUWSUYHUWMUWTUYFUVRUWSUYHVIUWIUYDUVRUXJYC
      UOUUSUWDUYHUUQUWEUVTUUSUWCUUTVQVUQVURYBXOYDUYFUXJUXBUYJVIUWIUYDUVRUXJYEUO
      UURUWDUYJUUQUWEUVTUURUWCUUTVQVUQVURYBXOYFYHYIUWIVUHUVCXPUQZUWFUWKUWLUXFVM
      YJVUJAVUSUWHAVUHUUPYKUQVUSVUIUUPOVUMYLUUPYMYNXQQBCUUQUWJUWPUXCOUVCUWNUWTU
      WJUWEUUPUUPVUKUUPYOVUMUUPYRUQUUPUVCURUSVIOURYPUUPYRYQYSVUNVUOUUPYTVUPUUPU
      UAUUBUUCUUHWMUWFUWGDUUSUUQDBWNZUWEUWBUVDVUTUOUUQUWDUWAUWCUUSUVTUUTWPWQUUD
      WSWTUUEAUVRUVKAUXLUUSUUSJVDZMVIZUUSPVIZVJUVRUVKAUXLVVBVVCUMXEUXRAVVBUVHVV
      CUVJAVVAUVFMUVGAJUUTUUSUUSUAWFAMIVHUSUVGUHAIUUPVHUCWOWGXGAPUVIUUSUBUUFXHW
      IUUIUVSUVOCUUQAUVRUXJUVOAUXNUXOKUSZUURUUSJVDZVIZUXQUVOAUXLUXMVVFUNWCUXTAV
      VDUVNVVEUVAAUXOUVLKUVMAKIVKUSUVMUGAIUUPVKUCWOWGUYAUUGAJUUTUURUUSUAWFXGWIU
      UJUUKUULWMBCUUPUUTUVMUUQOUVIUVGVUKVUMUUTXRUVIXRUVMXRUVGXRUUMUUN $.
  $}

  ${
    $d a b x y B $.  $d x y F $.  $d a b x y K $.  $d a b x y L $.  $d x y P $.
    $d a b x y ph $.
    phlpropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    phlpropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    phlpropd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    phlpropd.4 $e |- ( ph -> F = ( Scalar ` K ) ) $.
    phlpropd.5 $e |- ( ph -> F = ( Scalar ` L ) ) $.
    phlpropd.6 $e |- P = ( Base ` F ) $.
    phlpropd.7 $e |- ( ( ph /\ ( x e. P /\ y e. B ) ) ->
      ( x ( .s ` K ) y ) = ( x ( .s ` L ) y ) ) $.
    phlpropd.8 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( .i ` K ) y ) = ( x ( .i ` L ) y ) ) $.
    $( If two structures have the same components (properties), one is a
       pre-Hilbert space iff the other one is.  (Contributed by Mario Carneiro,
       8-Oct-2015.) $)
    phlpropd $p |- ( ph -> ( K e. PreHil <-> L e. PreHil ) ) $=
      ( vb wcel cfv wceq va clvec csca csr cbs cv cip co cmpt crglmod clmhm c0g
      wi cstv wral w3a lvecpropd eqtr3d eleq1d wa oveqrspc2v anass1rs mpteq2dva
      cphl adantr mpteq1d 3eqtr3d rlmbas eqtri a1i cvv fvex eqeltrdi rlmsca syl
      cplusg lmhmpropd fveq2d oveq2d eleq12d anabsan2 eqeq12d grpidpropd eqeq2d
      eqidd cvsca imbi12d fveq12d anassrs ralbidva raleqdv 3anbi123d eqid isphl
      3bitr3d 3bitr4g ) AGUBRZGUCSZUDRZQGUESZQUFZUAUFZGUGSZUHZUIZGWRUJSZUKUHZRZ
      XBXBXCUHZWRULSZTZXBGULSZTZUMZXBXAXCUHZWRUNSZSZXDTZQWTUOZUPZUAWTUOZUPHUBRZ
      HUCSZUDRZQHUESZXAXBHUGSZUHZUIZHYCUJSZUKUHZRZXBXBYFUHZYCULSZTZXBHULSZTZUMZ
      XBXAYFUHZYCUNSZSZYGTZQYEUOZUPZUAYEUOZUPGVDRHVDRAWQYBWSYDYAUUDABCDEFGHIJKL
      MNOUQAWRYCUDAFWRYCLMURZUSAXTUADUOUUCUADUOYAUUDAXTUUCUADAXBDRZUTZXHYKXNYQX
      SUUBUUGXEYHXGYJUUGQDXDUIQDYGUIXEYHUUGQDXDYGAXADRZUUFXDYGTABCDDXCYFXAXBPVA
      VBZVCUUGQDWTXDADWTTUUFIVEZVFUUGQDYEYGADYETUUFJVEZVFVGAXGYJTUUFAGFUJSZUKUH
      HUULUKUHXGYJABCDEEEFFGUULHUULIEUULUESZTAEFUESUUMNFVHVIVJZJUUNLAFVKRFUULUC
      STAFWRVKLGUCVLVMFVKVNVOZMUUONNKABUFZERCUFZERUTUTZUUPUUQUULVPSUHWEOUURUUPU
      UQUULWFSUHWEVQAUULXFGUKAFWRUJLVRVSAUULYIHUKAFYCUJMVRVSVGVEVTUUGXKYNXMYPUU
      GXIYLXJYMAUUFXIYLTABCDDXCYFXBXBPVAWAAXJYMTUUFAWRYCULUUEVRVEWBUUGXLYOXBAXL
      YOTUUFABCDGHIJKWCVEWDWGUUGXRQDUOUUAQDUOXSUUBUUGXRUUAQDUUGUUHUTXQYTXDYGAUU
      FUUHXQYTTAUUFUUHUTZUTXOYRXPYSAXPYSTUUSAWRYCUNUUEVRVEABCDDXCYFXBXAPVAWHWIU
      UIWBWJUUGXRQDWTUUJWKUUGUUAQDYEUUKWKWOWLWJAXTUADWTIWKAUUCUADYEJWKWOWLUAQWR
      XCXPWTGXLXJWTWMWRWMXCWMXLWMXPWMXJWMWNUAQYCYFYSYEHYOYMYEWMYCWMYFWMYOWMYSWM
      YMWMWNWP $.
  $}

  ${
    ssipeq.x $e |- X = ( W |`s U ) $.
    ssipeq.i $e |- ., = ( .i ` W ) $.
    ssipeq.p $e |- P = ( .i ` X ) $.
    $( The inner product on a subspace equals the inner product on the parent
       space.  (Contributed by AV, 19-Oct-2021.) $)
    ssipeq $p |- ( U e. S -> P = ., ) $=
      ( wcel cip cfv ressip eqtr4id ) CBJAFKLDICEFDBGHMN $.

    ssipeq.s $e |- S = ( LSubSp ` W ) $.
    $( The inner product on a subspace in terms of the inner product on the
       parent space.  (Contributed by NM, 28-Jan-2008.)  (Revised by AV,
       19-Oct-2021.) $)
    phssipval $p |- ( ( ( W e. PreHil /\ U e. S ) /\ ( A e. U /\ B e. U ) ) ->
                    ( A P B ) = ( A ., B ) ) $=
      ( wcel co wceq cphl wa ssipeq oveqd ad2antlr ) EDMZABCNABFNOGPMAEMBEMQUAC
      FABCDEFGHIJKRST $.
  $}

  ${
    $d S x y $.  $d U x y $.  $d W x y $.  $d X x y $.
    phssip.x $e |- X = ( W |`s U ) $.
    phssip.s $e |- S = ( LSubSp ` W ) $.
    phssip.i $e |- .x. = ( .if ` W ) $.
    phssip.p $e |- P = ( .if ` X ) $.
    $( The inner product (as a function) on a subspace is a restriction of the
       inner product (as a function) on the parent space.  (Contributed by NM,
       28-Jan-2008.)  (Revised by AV, 19-Oct-2021.) $)
    phssip $p |- ( ( W e. PreHil /\ U e. S ) -> P = ( .x. |` ( U X. U ) ) ) $=
      ( vx vy wcel cbs cfv cv cip cmpo eqid wceq cphl wa cxp cres ipffval csubg
      co clmod phllmod lsssubg sylan subgbas syl eqidd mpoeq123dv subgss resmpo
      wss syl2anc ssipeq adantl oveqd mpoeq3dv 3eqtr4rd eqtrid reseq1d eqtr4d
      a1i ) EUAMZDBMZUBZAKLENOZVLKPZLPZEQOZUGZRZDDUCZUDZCVRUDVKAKLFNOZVTVMVNFQO
      ZUGZRZVSKLAWAVTFVTSWASZJUEVKKLDDVPRZKLVTVTVPRVSWCVKKLDDVPVTVTVPVKDEUFOMZD
      VTTVIEUHMVJWFEUIBDEHUJUKZDEFGULUMZWHVKVPUNUOVKDVLURZWIVSWETVKWFWIWGVLDEVL
      SZUPUMZWKKLVLVLDDVPUQUSVKKLVTVTWBVPVKWAVOVMVNVJWAVOTVIWABDVOEFGVOSZWDUTVA
      VBVCVDVEVKCVQVRCVQTVKKLCVOVLEWJWLIUEVHVFVG $.
  $}

  ${
    $d S q x y z $.  $d U q x y z $.  $d W q x y z $.  $d X q x y z $.
    phlssphl.x $e |- X = ( W |`s U ) $.
    phlssphl.s $e |- S = ( LSubSp ` W ) $.
    $( A subspace of an inner product space (pre-Hilbert space) is an inner
       product space.  (Contributed by AV, 25-Sep-2022.) $)
    phlssphl $p |- ( ( W e. PreHil /\ U e. S ) -> X e. PreHil ) $=
      ( wcel cplusg cfv cbs c0g eqidd wceq eqid adantl co fveq2d 3ad2ant1 oveqd
      wb vx vy vz vq cphl wa csca cvsca cmulr cip cstv clmod lss0v sylan eqcomd
      phllmod clvec phllvec lsslvec csr resssca phlsrng adantr eqeltrd cv simpl
      ressbasss ipcl syl3an eleq2d mpbird ssipeq eleq1d biimpa 3adant3 3ad2ant3
      w3a sseli lmodvscl syl3anc 3ad2ant2 ipdir syl13anc ipass oveq1d ressplusg
      eqtrd ressvsca oveq123d eqeq12d oveqdr syl2an biimpd sylbid 3impia fveq1d
      ipeq0 ipcj isphld ) CUEGZBAGZUFZUAUBUCDHIZDUGIZHIZDUHIZXDUIIZXDDUJIZXDUKI
      ZXDJIZXDKIZDJIZDCKIZUDXBXLLXBXCLXBXFLXBXHLXBDKIZXMWTCULGZXAXNXMMCUPZBACDX
      MXNEXMNZXNNFUMUNUOXBXDLXBXJLXBXELXBXGLXBXILXBXKLWTCUQGXADUQGCURABCDEFUSUN
      XBXDCUGIZUTXAXDXRMWTXAXRXDBXRCDAEXRNZVAUOZOZWTXRUTGXAXRCXSVBVCVDXBUAVEZXL
      GZUBVEZXLGZVQZYBYDXHPZXJGZYBYDCUJIZPZXJGZYFYKYJXRJIZGZXBWTYCYBCJIZGZYEYDY
      NGZYMWTXAVFZXLYNYBBYNDCEYNNZVGZVRZXLYNYDYSVRZYBYDXRYIYLYNCXSYINZYRYLNZVHV
      IXBYCYKYMTZYEXAUUDWTXAXJYLYJXAXDXRJXTQVJORVKXBYCYHYKTZYEXAUUEWTXAYGYJXJXA
      XHYIYBYDXHABYICDEUUBXHNVLZSZVMORVKXBUDVEZXJGZYCYEUCVEZXLGZVQZVQZUUHYBXFPZ
      YDXCPZUUJXHPZUUHYBUUJXHPZXGPZYDUUJXHPZXEPZMZUUHYBCUHIZPZYDCHIZPZUUJYIPZUU
      HYBUUJYIPZXRUIIZPZYDUUJYIPZXRHIZPZMZUUMUVFUVCUUJYIPZUVJUVKPZUVLUUMWTUVCYN
      GZYPUUJYNGZUVFUVOMXBUUIWTUULYQRZUUMXOUUHYLGZYOUVPXBUUIXOUULWTXOXAXPVCRXBU
      UIUVSUULXBUUIUVSXBXJYLUUHXBXDXRJYAQVJVNVOZUULXBYOUUIYCYEYOUUKYTRVPZUUHUVB
      XRYLYNCYBYRXSUVBNZUUCVSVTUULXBYPUUIYEYCYPUUKUUAWAVPUULXBUVQUUIUUKYCUVQYEX
      LYNUUJYSVRVPVPZUVCYDUUJUVDUVKXRYIYNCXSUUBYRUVDNZUVKNWBWCUUMUVNUVIUVJUVKUU
      MWTUVSYOUVQUVNUVIMUVRUVTUWAUWCUUHYBUUJUVBUVHXRYIYLYNCXSUUBYRUUCUWBUVHNWDW
      CWEWGXBUUIUVAUVMTZUULXAUWEWTXAUUPUVFUUTUVLXAUUOUVEUUJUUJXHYIUUFXAUUNUVCYD
      YDXCUVDXAUVDXCBUVDCDAEUWDWFUOXAXFUVBUUHYBXAUVBXFBUVBCDAEUWBWHUOSXAYDLWIXA
      UUJLWIXAUURUVIUUSUVJXEUVKXAXDXRHXTQXAUUHUUHUUQUVGXGUVHXAXDXRUIXTQXAUUHLXA
      XHYIYBUUJUUFSWIXAXHYIYDUUJUUFSWIWJORVKXBYCYBYBXHPZXKMZYBXMMZXBYCUFZUWGYBY
      BYIPZXRKIZMZUWHUWIUWFUWJXKUWKXBYCUAUAXHYIXAXHYIMWTUUFOWKXBXKUWKMZYCXAUWMW
      TXAXDXRKXTQOVCWJUWIUWLUWHXBWTYOUWLUWHTYCYQYTYBXRYIYNCXMUWKXSUUBYRUWKNXQWQ
      WLWMWNWOYFYGXIIZYDYBXHPZMZYJXIIZYDYBYIPZMZYFUWQYJXRUKIZIZUWRXBYCUWQUXAMZY
      EXAUXBWTXAYJXIUWTXAXDXRUKXTQWPORXBWTYCYOYEYPUXAUWRMYQYTUUAYBYDXRYIUWTYNCX
      SUUBYRUWTNWRVIWGXBYCUWPUWSTZYEXAUXCWTXAUWNUWQUWOUWRXAYGYJXIUUGQXAXHYIYDYB
      UUFSWJORVKWS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Orthocomplements and closed subspaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ocv $.
  $c ClSubSp $.
  $c toHL $.

  $( Extend class notation with orthocomplement of a subset. $)
  cocv $a class ocv $.

  $( Extend class notation with set of closed subspaces. $)
  ccss $a class ClSubSp $.

  $( Extend class notation with the Hilbert lattice. $)
  cthl $a class toHL $.

  ${
    $d h s x y $.
    $( Define the orthocomplement function in a given set (which usually is a
       pre-Hilbert space): it associates with a subset its orthogonal subset
       (which in the case of a closed linear subspace is its orthocomplement).
       (Contributed by NM, 7-Oct-2011.) $)
    df-ocv $a |- ocv = ( h e. _V |-> ( s e. ~P ( Base ` h ) |->
   { x e. ( Base ` h ) | A. y e. s ( x ( .i ` h ) y )
           = ( 0g ` ( Scalar ` h ) ) } ) ) $.
  $}

  ${
    $d h s $.
    $( Define the set of closed (linear) subspaces of a given pre-Hilbert
       space.  (Contributed by NM, 7-Oct-2011.) $)
    df-css $a |- ClSubSp = ( h e. _V |->
      { s | s = ( ( ocv ` h ) ` ( ( ocv ` h ) ` s ) ) } ) $.
  $}

  $( Define the Hilbert lattice of closed subspaces of a given pre-Hilbert
     space.  (Contributed by Mario Carneiro, 25-Oct-2015.) $)
  df-thl $a |- toHL = ( h e. _V |-> ( ( toInc ` ( ClSubSp ` h ) ) sSet
    <. ( oc ` ndx ) , ( ocv ` h ) >. ) ) $.

  ${
    $d h s x y .0. $.  $d x y A $.  $d x B $.  $d h s x y V $.  $d h s x y W $.
    $d h s x y ., $.  $d s x y S $.
    ocvfval.v $e |- V = ( Base ` W ) $.
    ocvfval.i $e |- ., = ( .i ` W ) $.
    ocvfval.f $e |- F = ( Scalar ` W ) $.
    ocvfval.z $e |- .0. = ( 0g ` F ) $.
    ocvfval.o $e |- ._|_ = ( ocv ` W ) $.
    $( The orthocomplement operation.  (Contributed by NM, 7-Oct-2011.)
       (Revised by Mario Carneiro, 13-Oct-2015.) $)
    ocvfval $p |- ( W e. X -> ._|_ = ( s e. ~P V |->
                          { x e. V | A. y e. s ( x ., y ) = .0. } ) ) $=
      ( wcel cfv cv wceq cvv vh cocv cpw wral crab cmpt elex cbs cip csca fveq2
      c0g eqtr4di pweqd oveqd fveq2d eqeq12d ralbidv rabeqbidv mpteq12dv df-ocv
      co wf eqid fvexi ssrab2 elpwi2 a1i fmpti pwex fex2 mp3an fvmpt syl eqtrid
      ) GHPZEGUBQZJFUCZARZBRZDVBZISZBJRZUDZAFUEZUFZOVPGTPVQWFSGHUGUAGJUARZUHQZU
      CZVSVTWGUIQZVBZWGUJQZULQZSZBWCUDZAWHUEZUFWFTUBWGGSZJWIWPVRWEWQWHFWQWHGUHQ
      FWGGUHUKKUMZUNWQWOWDAWHFWRWQWNWBBWCWQWKWAWMIWQWJDVSVTWQWJGUIQDWGGUIUKLUMU
      OWQWMCULQIWQWLCULWQWLGUJQCWGGUJUKMUMUPNUMUQURUSUTABUAJVAVRVRWFVCVRTPZWSWF
      TPJVRVRWEWFWFVDWEVRPWCVRPWEFTFGUHKVEZWDAFVFVGVHVIFWTVJZXAVRVRWFTTVKVLVMVN
      VO $.

    $( Value of the orthocomplement of a subset (normally a subspace) of a
       pre-Hilbert space.  (Contributed by NM, 7-Oct-2011.)  (Revised by Mario
       Carneiro, 13-Oct-2015.) $)
    ocvval $p |- ( S C_ V ->
      ( ._|_ ` S ) = { x e. V | A. y e. S ( x ., y ) = .0. } ) $=
      ( vs cfv cv wceq cbs c0 wss cpw wcel co wral crab fvexi elpw2 cvv ocvfval
      cmpt fveq1d raleq rabbidv eqid rabex fvmpt sylan9eq 0fv cocv fvprc eqtrid
      wn ssrab2 sseq0 sylancr 3eqtr4a adantr pm2.61ian sylbir ) CGUACGUBZUCZCFP
      ZAQBQEUDIRZBCUEZAGUFZRZCGGHSJUGZUHHUIUCZVLVQVSVLVMCOVKVNBOQZUEZAGUFZUKZPV
      PVSCFWCABDEFGHUIIOJKLMNUJULOCWBVPVKWCVTCRWAVOAGVNBVTCUMUNWCUOVOAGVRUPUQUR
      VSVCZVQVLWDCTPTVMVPCUSWDCFTWDFHUTPTNHUTVAVBULWDVPGUAGTRVPTRVOAGVDWDGHSPTJ
      HSVAVBVPGVEVFVGVHVIVJ $.

    $( Elementhood in the orthocomplement of a subset (normally a subspace) of
       a pre-Hilbert space.  (Contributed by Mario Carneiro, 13-Oct-2015.) $)
    elocv $p |- ( A e. ( ._|_ ` S ) <->
        ( S C_ V /\ A e. V /\ A. x e. S ( A ., x ) = .0. ) ) $=
      ( vs vy cfv wcel wceq c0 wss cv wral w3a cdm cpw elfvdm crab cmpt cvv n0i
      co wa wn fvprc eqtrid fveq1d 0fv eqtrdi nsyl2 ocvfval syl dmeqd cbs fvexi
      cocv rabex dmmpti eleqtrd elpwid ocvval eleq2d oveq1 eqeq1d ralbidv elrab
      eqid bitrdi biadanii 3anass bitr4i ) BCFQZRZCGUAZBGRZBAUBZEULZISZACUCZUMZ
      UMWDWEWIUDWCWDWJWCCGWCCFUEZGUFZBCFUGWCWKOWLPUBZWFEULZISZAOUBUCZPGUHZUIZUE
      WLWCFWRWCHUJRZFWRSWCWBTSWSWBBUKWSUNZWBCTQTWTCFTWTFHVFQTNHVFUOUPUQCURUSUTP
      ADEFGHUJIOJKLMNVAVBVCOWLWQWRWPPGGHVDJVEVGWRVQVHUSVIVJWDWCBWOACUCZPGUHZRWJ
      WDWBXBBPACDEFGHIJKLMNVKVLXAWIPBGWMBSZWOWHACXCWNWGIWMBWFEVMVNVOVPVRVSWDWEW
      IVTWA $.

    $( Property of a member of the orthocomplement of a subset.  (Contributed
       by Mario Carneiro, 13-Oct-2015.) $)
    ocvi $p |- ( ( A e. ( ._|_ ` S ) /\ B e. S ) -> ( A ., B ) = .0. ) $=
      ( vx cfv wcel cv co wceq wral elocv simp3bi oveq2 eqeq1d rspccva sylan
      wss ) ACFPQZAORZESZITZOCUAZBCQABESZITZUICGUHAGQUMOACDEFGHIJKLMNUBUCULUOOB
      CUJBTUKUNIUJBAEUDUEUFUG $.
  $}

  ${
    $d r x y z ._|_ $.  $d r x y z S $.  $d r x y z V $.  $d r x y z W $.
    ocvss.v $e |- V = ( Base ` W ) $.
    ocvss.o $e |- ._|_ = ( ocv ` W ) $.
    $( The orthocomplement of a subset is a subset of the base.  (Contributed
       by Mario Carneiro, 13-Oct-2015.) $)
    ocvss $p |- ( ._|_ ` S ) C_ V $=
      ( vx vy cfv cv wcel wss cip co csca c0g wceq wral eqid elocv simp2bi
      ssriv ) GABIZCGJZUCKACLUDCKUDHJDMIZNDOIZPIZQHARHUDAUFUEBCDUGEUESUFSUGSFTU
      AUB $.

    $( A set is contained in its double orthocomplement.  (Contributed by Mario
       Carneiro, 13-Oct-2015.) $)
    ocvocv $p |- ( ( W e. PreHil /\ S C_ V ) ->
      S C_ ( ._|_ ` ( ._|_ ` S ) ) ) $=
      ( vx vy cphl wcel wss wa cfv cv cip co csca wceq sselda eqid c0g wral a1i
      ocvss simpr ocvi ancoms adantll wb simplll adantr iporthcom syl3anc mpbid
      ralrimiva elocv syl3anbrc ex ssrdv ) DIJZACKZLZGAABMZBMZVBGNZAJZVEVDJZVBV
      FLZVCCKZVECJZVEHNZDOMZPDQMZUAMZRZHVCUBVGVIVHABCDEFUDUCZVBACVEUTVAUESZVHVO
      HVCVHVKVCJZLZVKVEVLPVNRZVOVFVRVTVBVRVFVTVKVEAVMVLBCDVNEVLTZVMTZVNTZFUFUGU
      HVSUTVKCJVJVTVOUIUTVAVFVRUJVHVCCVKVPSVHVJVRVQUKVKVEVMVLCDVNWBWAEWCULUMUNU
      OHVEVCVMVLBCDVNEWAWBWCFUPUQURUS $.

    ocvlss.l $e |- L = ( LSubSp ` W ) $.
    $( The orthocomplement of a subset is a linear subspace of the pre-Hilbert
       space.  (Contributed by Mario Carneiro, 13-Oct-2015.) $)
    ocvlss $p |- ( ( W e. PreHil /\ S C_ V ) -> ( ._|_ ` S ) e. L ) $=
      ( vr vy vz vx wcel wa cfv co wral wceq adantr eqid cphl wss c0 wne cplusg
      cv cvsca cbs ocvss a1i c0g cip simpr clmod phllmod lmod0vcl simpll sselda
      csca syl ip0l syl2anc ralrimiva elocv syl3anbrc ne0d simpr1 simpr2 sselid
      lmodvscl syl3anc simpr3 lmodvacl adantlr ipdir syl13anc cmulr ipass sylan
      w3a ocvi oveq2d crg lmodring ringrz 3eqtrd oveq12d lmodfgrp grpidcl mpdan
      cgrp grplid 3syl ralrimivvva islss ) EUAMZADUBZNZACOZDUBZWSUCUDIUFZJUFZEU
      GOZPZKUFZEUEOZPZWSMZKWSQJWSQIEUSOZUHOZQWSBMWTWRACDEFGUIZUJWRWSEUKOZWRWQXL
      DMZXLLUFZEULOZPXIUKOZRZLAQXLWSMWPWQUMZWREUNMZXMWPXSWQEUOSZDEXLFXLTZUPUTWR
      XQLAWRXNAMZNWPXNDMZXQWPWQYBUQZWRADXNXRURZXNXIXODEXLXPXITZXOTZFXPTZYAVAVBV
      CLXLAXIXOCDEXPFYGYFYHGVDVEVFWRXHIJKXJWSWSWRXAXJMZXBWSMZXEWSMZVTZNZWQXGDMZ
      XGXNXOPZXPRZLAQXHWRWQYLXRSYMXSXDDMZXEDMZYNWRXSYLXTSZYMXSYIXBDMZYQYSWRYIYJ
      YKVGZYMWSDXBXKWRYIYJYKVHZVIZXAXCXIXJDEXBFYFXCTZXJTZVJVKZYMWSDXEXKWRYIYJYK
      VLZVIZXFDEXDXEFXFTZVMVKYMYPLAYMYBNZYOXDXNXOPZXEXNXOPZXIUEOZPZXPXPUUMPZXPU
      UJWPYQYRYCYOUUNRWRYBWPYLYDVNZYMYQYBUUFSYMYRYBUUHSWRYBYCYLYEVNZXDXEXNXFUUM
      XIXODEYFYGFUUIUUMTZVOVPUUJUUKXPUULXPUUMUUJUUKXAXBXNXOPZXIVQOZPZXAXPUUTPZX
      PUUJWPYIYTYCUUKUVARUUPYMYIYBUUASZYMYTYBUUCSUUQXAXBXNXCUUTXIXOXJDEYFYGFUUE
      UUDUUTTZVRVPUUJUUSXPXAUUTYMYJYBUUSXPRUUBXBXNAXIXOCDEXPFYGYFYHGWAVSWBUUJXI
      WCMZYIUVBXPRUUJXSUVEYMXSYBYSSZXIEYFWDUTUVCXJXIUUTXAXPUUEUVDYHWEVBWFYMYKYB
      UULXPRUUGXEXNAXIXOCDEXPFYGYFYHGWAVSWGUUJXSXIWKMZUUOXPRZUVFXIEYFWHUVGXPXJM
      UVHXJXIXPUUEYHWIXJUUMXIXPXPUUEUURYHWLWJWMWFVCLXGAXIXOCDEXPFYGYFYHGVDVEWNI
      XJXFBXCWSXIDEJKYFUUEFUUIUUDHWOVE $.
  $}

  ${
    $d x L $.  $d x ._|_ $.  $d x y S $.  $d x y T $.  $d x y W $.  $d x .0. $.
    ocv2ss.o $e |- ._|_ = ( ocv ` W ) $.
    $( Orthocomplements reverse subset inclusion.  (Contributed by Mario
       Carneiro, 13-Oct-2015.) $)
    ocv2ss $p |- ( T C_ S -> ( ._|_ ` S ) C_ ( ._|_ ` T ) ) $=
      ( vx vy wss cfv cbs cv wcel cip co csca c0g wral w3a eqid elocv sstr2 idd
      wceq ssralv 3anim123d 3imtr4g ssrdv ) BAHZFACIZBCIZUHADJIZHZFKZUKLZUMGKDM
      IZNDOIZPIZUCZGAQZRBUKHZUNURGBQZRUMUILUMUJLUHULUTUNUNUSVABAUKUAUHUNUBURGBA
      UDUEGUMAUPUOCUKDUQUKSZUOSZUPSZUQSZETGUMBUPUOCUKDUQVBVCVDVEETUFUG $.

    ocvin.l $e |- L = ( LSubSp ` W ) $.
    ocvin.z $e |- .0. = ( 0g ` W ) $.
    $( An orthocomplement has trivial intersection with the original subspace.
       (Contributed by Mario Carneiro, 16-Oct-2015.) $)
    ocvin $p |- ( ( W e. PreHil /\ S e. L ) ->
      ( S i^i ( ._|_ ` S ) ) = { .0. } ) $=
      ( vx cphl wcel wa cfv cin csn cv wceq cip eqid wss co csca c0g cbs ancoms
      ocvi adantl wb simpll lssel ad2ant2lr ipeq0 syl2anc mpbid ex elin 3imtr4g
      velsn ssrdv phllmod ocvlss sylan2 lssincl syl3an1 mpd3an3 lss0ss syl2an2r
      clmod lssss eqssd ) DJKZABKZLZAACMZNZEOZVMIVOVPVMIPZAKZVQVNKZLZVQEQZVQVOK
      VQVPKVMVTWAVMVTLZVQVQDRMZUADUBMZUCMZQZWAVTWFVMVSVRWFVQVQAWDWCCDUDMZDWEWGS
      ZWCSZWDSZWESZFUFUEUGWBVKVQWGKZWFWAUHVKVLVTUIVLVRWLVKVSBAWGDVQWHGUJUKVQWDW
      CWGDEWEWJWIWHWKHULUMUNUOVQAVNUPIEURUQUSVKDVHKZVLVOBKZVPVOTDUTZVKVLVNBKZWN
      VLVKAWGTWPBAWGDWHGVIABCWGDWHFGVAVBVKWMVLWPWNWOBAVNDGVCVDVEBDVOEHGVFVGVJ
      $.
  $}

  ${
    ocvlsp.v $e |- V = ( Base ` W ) $.
    ocvlsp.o $e |- ._|_ = ( ocv ` W ) $.
    $( Two ways to say that ` S ` and ` T ` are orthogonal subspaces.
       (Contributed by Mario Carneiro, 23-Oct-2015.) $)
    ocvsscon $p |- ( ( W e. PreHil /\ S C_ V /\ T C_ V ) ->
      ( S C_ ( ._|_ ` T ) <-> T C_ ( ._|_ ` S ) ) ) $=
      ( cphl wcel wss w3a cfv ocvocv 3adant2 ocv2ss sstr2 syl2im 3adant3 impbid
      ) EHIZADJZBDJZKZABCLZJZBACLZJZUCBUDCLZJZUEUHUFJUGTUBUIUABCDEFGMNUDACEGOBU
      HUFPQUCAUFCLZJZUGUJUDJUETUAUKUBACDEFGMRUFBCEGOAUJUDPQS $.

    ocvlsp.n $e |- N = ( LSpan ` W ) $.
    $( The orthocomplement of a linear span.  (Contributed by Mario Carneiro,
       23-Oct-2015.) $)
    ocvlsp $p |- ( ( W e. PreHil /\ S C_ V ) ->
      ( ._|_ ` ( N ` S ) ) = ( ._|_ ` S ) ) $=
      ( cphl wcel wss wa cfv clmod phllmod lspssid ocv2ss syl ocvocv syldan a1i
      sylan ocvss clss adantr eqid ocvlss lspssp syl3anc sstrd eqssd ) EIJZADKZ
      LZABMZCMZACMZUNAUOKZUPUQKULENJZUMUREOZABDEFHPUBUOACEGQRUNUQUQCMZCMZUPULUM
      UQDKZUQVBKVCUNACDEFGUCUAZUQCDEFGSTUNUOVAKZVBUPKUNUSVAEUDMZJZAVAKVEULUSUMU
      TUEULUMVCVGVDUQVFCDEFGVFUFZUGTACDEFGSVFAVABEVHHUHUIVAUOCEGQRUJUK $.
  $}

  ${
    $d x y V $.  $d x y W $.
    ocvz.v $e |- V = ( Base ` W ) $.
    ocvz.o $e |- ._|_ = ( ocv ` W ) $.
    $( The orthocomplement of the empty set.  (Contributed by Mario Carneiro,
       23-Oct-2015.) $)
    ocv0 $p |- ( ._|_ ` (/) ) = V $=
      ( vx vy c0 cfv cv cip co csca c0g wceq wral crab wss 0ss eqid ocvval ral0
      ax-mp rgenw rabid2 mpbir eqtr4i ) HAIZFJGJCKIZLCMIZNIZOZGHPZFBQZBHBRUHUNO
      BSFGHUJUIABCUKDUITUJTUKTEUAUCBUNOUMFBPUMFBULGUBUDUMFBUEUFUG $.

    ocvz.z $e |- .0. = ( 0g ` W ) $.
    $( The orthocomplement of the zero subspace.  (Contributed by Mario
       Carneiro, 23-Oct-2015.) $)
    ocvz $p |- ( W e. PreHil -> ( ._|_ ` { .0. } ) = V ) $=
      ( cphl wcel c0 clspn cfv csn clmod wceq phllmod eqid lsp0 syl fveq2d ocv0
      wss 0ss ocvlsp mpan2 eqtrdi eqtr3d ) CHIZJCKLZLZALZDMZALBUHUJULAUHCNIUJUL
      OCPUICDGUIQZRSTUHUKJALZBUHJBUBUKUNOBUCJUIABCEFUMUDUEABCEFUAUFUG $.

    $( The orthocomplement of the base set.  (Contributed by Mario Carneiro,
       23-Oct-2015.) $)
    ocv1 $p |- ( W e. PreHil -> ( ._|_ ` V ) = { .0. } ) $=
      ( cphl wcel cfv cin csn wss wceq ocvss sseqin2 mpbi clss clmod phllmod
      eqid lss1 syl ocvin mpdan eqtr3id ) CHIZBAJZBUHKZDLZUHBMUIUHNBABCEFOUHBPQ
      UGBCRJZIZUIUJNUGCSIULCTUKBCEUKUAZUBUCBUKACDFUMGUDUEUF $.
  $}

  ${
    $d y z A $.  $d y z B $.  $d z ._|_ $.  $d x y z V $.  $d x y W $.
    inocv.o $e |- ._|_ = ( ocv ` W ) $.
    $( The orthocomplement of a union.  (Contributed by Mario Carneiro,
       23-Oct-2015.) $)
    unocv $p |- ( ._|_ ` ( A u. B ) ) = ( ( ._|_ ` A ) i^i ( ._|_ ` B ) ) $=
      ( vz vy cfv cv wcel wss wral anbi12i bitri w3a eqid elocv 3anan12 3bitr4i
      wa cun cin cbs cip co csca c0g wceq unss bicomi ralunb anbi2i elin anandi
      an4 eqriv ) FABUAZCHZACHZBCHZUBZFIZDUCHZJZUQVCKZVBGIDUDHZUEDUFHZUGHZUHZGU
      QLZTZTZVDAVCKZVIGALZTZBVCKZVIGBLZTZTZTZVBURJZVBVAJZVKVSVDVKVMVPTZVNVQTZTV
      SVEWCVJWDWCVEABVCUIUJVIGABUKMVMVPVNVQUONULWAVEVDVJOVLGVBUQVGVFCVCDVHVCPZV
      FPZVGPZVHPZEQVEVDVJRNVBUSJZVBUTJZTVDVOTZVDVRTZTWBVTWIWKWJWLWIVMVDVNOWKGVB
      AVGVFCVCDVHWEWFWGWHEQVMVDVNRNWJVPVDVQOWLGVBBVGVFCVCDVHWEWFWGWHEQVPVDVQRNM
      VBUSUTUMVDVOVRUNSSUP $.

    iunocv.v $e |- V = ( Base ` W ) $.
    $( The orthocomplement of an indexed union.  (Contributed by Mario
       Carneiro, 23-Oct-2015.) $)
    iunocv $p |- ( ._|_ ` U_ x e. A B ) = ( V i^i |^|_ x e. A ( ._|_ ` B ) ) $=
      ( vz vy cfv cv wcel wss wral wa wi wal bitri eqid ciun ciin cin csca wceq
      cip co iunss wrex eliun imbi1i r19.23v bitr4i albii df-ral ralbii ralcom4
      c0g 3bitr4i anbi12i r19.26 eliin elocv 3anan12 baib ralbidv bitr2d syl5bb
      w3a pm5.32i elin eqriv ) IABCUAZDKZEABCDKZUBZUCZILZEMZVMENZVRJLZFUFKZUGFU
      DKZURKZUEZJVMOZPZPZVSVRVPMZPVRVNMZVRVQMVSWGWIWGCENZWEJCOZPZABOZVSWIWGWKAB
      OZWLABOZPWNVTWOWFWPABCEUHWAVMMZWEQZJRWACMZWEQZABOZJRZWFWPWRXAJWRWSABUIZWE
      QXAWQXCWEAWABCUJUKWSWEABULUMUNWEJVMUOWPWTJRZABOXBWLXDABWEJCUOUPWTAJBUQSUS
      UTWKWLABVAUMVSWIVRVOMZABOWNAVRBVOEVBVSXEWMABXEVSWMXEWKVSWLVIVSWMPJVRCWCWB
      DEFWDHWBTZWCTZWDTZGVCWKVSWLVDSVEVFVGVHVJWJVTVSWFVIWHJVRVMWCWBDEFWDHXFXGXH
      GVCVTVSWFVDSVREVPVKUSVL $.
  $}

  ${
    $d s w ._|_ $.  $d s S $.  $d s w W $.
    cssval.o $e |- ._|_ = ( ocv ` W ) $.
    cssval.c $e |- C = ( ClSubSp ` W ) $.
    $( The set of closed subspaces of a pre-Hilbert space.  (Contributed by NM,
       7-Oct-2011.)  (Revised by Mario Carneiro, 13-Oct-2015.) $)
    cssval $p |- ( W e. X -> C = { s | s = ( ._|_ ` ( ._|_ ` s ) ) } ) $=
      ( vw wcel cvv cv cfv wceq cab elex ccss cocv fveq2 cbs fvex fveq1d eqeq2d
      eqtr4di fveq12d abbidv df-css cpw pwex wss eqid ocvss elpw mpbir eqeltrdi
      id abssi ssexi fvmpt eqtrid syl ) CDICJIZAEKZVBBLZBLZMZENZMCDOVAACPLVFGHC
      VBVBHKZQLZLZVHLZMZENVFJPVGCMZVKVEEVLVJVDVBVLVIVCVHBVLVHCQLBVGCQRFUCZVLVBV
      HBVMUAUDUBUEHEUFVFCSLZUGZVNCSTUHVEEVOVEVBVDVOVEUOVDVOIVDVNUIVCBVNCVNUJFUK
      VDVNVCBTULUMUNUPUQURUSUT $.

    $( The predicate "is a closed subspace" (of a pre-Hilbert space).
       (Contributed by NM, 7-Oct-2011.)  (Revised by Mario Carneiro,
       13-Oct-2015.) $)
    iscss $p |- ( W e. X -> ( S e. C <-> S = ( ._|_ ` ( ._|_ ` S ) ) ) ) $=
      ( vs wcel cv cfv wceq cab cssval eleq2d cvv id fvex eqeltrdi 2fveq3 elab3
      eqeq12d bitrdi ) DEIZBAIBHJZUECKCKZLZHMZIBBCKZCKZLZUDAUHBACDEHFGNOUGUKHBP
      UKBUJPUKQUICRSUEBLZUEBUFUJULQUEBCCTUBUAUC $.

    $( Property of a closed subspace (of a pre-Hilbert space).  (Contributed by
       Mario Carneiro, 13-Oct-2015.) $)
    cssi $p |- ( S e. C -> S = ( ._|_ ` ( ._|_ ` S ) ) ) $=
      ( wcel cfv wceq ccss cdm wb elfvdm eleq2s iscss syl ibi ) BAGZBBCHCHIZRDJ
      KZGZRSLUABDJHABDJMFNABCDTEFOPQ $.
  $}

  ${
    cssss.v $e |- V = ( Base ` W ) $.
    cssss.c $e |- C = ( ClSubSp ` W ) $.
    $( A closed subspace is a subset of the base.  (Contributed by Mario
       Carneiro, 13-Oct-2015.) $)
    cssss $p |- ( S e. C -> S C_ V ) $=
      ( wcel cocv cfv eqid cssi ocvss eqsstrdi ) BAGBBDHIZIZNICABNDNJZFKONCDEPL
      M $.

    ocvcss.o $e |- ._|_ = ( ocv ` W ) $.
    $( It is sufficient to prove that the double orthocomplement is a subset of
       the target set to show that the set is a closed subspace.  (Contributed
       by Mario Carneiro, 13-Oct-2015.) $)
    iscss2 $p |- ( ( W e. PreHil /\ S C_ V ) ->
      ( S e. C <-> ( ._|_ ` ( ._|_ ` S ) ) C_ S ) ) $=
      ( cphl wcel wss wa cfv wceq wb iscss adantr ocvocv eqss baib syl bitrd )
      EIJZBDKZLZBAJZBBCMCMZNZUGBKZUCUFUHOUDABCEIHGPQUEBUGKZUHUIOBCDEFHRUHUJUIBU
      GSTUAUB $.

    $( The orthocomplement of any set is a closed subspace.  (Contributed by
       Mario Carneiro, 13-Oct-2015.) $)
    ocvcss $p |- ( ( W e. PreHil /\ S C_ V ) -> ( ._|_ ` S ) e. C ) $=
      ( cphl wcel wss wa cfv ocvocv ocv2ss syl wb ocvss a1i iscss2 sylan2
      mpbird ) EIJZBDKZLZBCMZAJZUFCMZCMUFKZUEBUHKUIBCDEFHNUHBCEHOPUDUCUFDKZUGUI
      QUJUDBCDEFHRSAUFCDEFGHTUAUB $.
  $}

  ${
    css0.c $e |- C = ( ClSubSp ` W ) $.
    $( The zero subspace is a closed subspace.  (Contributed by Mario Carneiro,
       13-Oct-2015.) $)
    cssincl $p |- ( ( W e. PreHil /\ A e. C /\ B e. C ) ->
                    ( A i^i B ) e. C ) $=
      ( cphl wcel cin cocv cfv cun cbs wss eqid ocvss unssi ocvcss mpan2 cssi
      wa ineqan12d unocv eqtr4di eleq1d syl5ibrcom 3impib ) DFGZACGZBCGZABHZCGZ
      UGUKUHUITZADIJZJZBUMJZKZUMJZCGZUGUPDLJZMURUNUOUSAUMUSDUSNZUMNZOBUMUSDUTVA
      OPCUPUMUSDUTEVAQRULUJUQCULUJUNUMJZUOUMJZHUQUHUIAVBBVCCAUMDVAESCBUMDVAESUA
      UNUOUMDVAUBUCUDUEUF $.

    css0.z $e |- .0. = ( 0g ` W ) $.
    $( The zero subspace is a closed subspace.  (Contributed by Mario Carneiro,
       13-Oct-2015.) $)
    css0 $p |- ( W e. PreHil -> { .0. } e. C ) $=
      ( cphl wcel cbs cfv cocv csn eqid ocv1 wss ssid ocvcss mpan2 eqeltrrd ) B
      FGZBHIZBJIZIZCKAUATBCTLZUALZEMSTTNUBAGTOATUATBUCDUDPQR $.
  $}

  ${
    css1.v $e |- V = ( Base ` W ) $.
    css1.c $e |- C = ( ClSubSp ` W ) $.
    $( The whole space is a closed subspace.  (Contributed by Mario Carneiro,
       13-Oct-2015.) $)
    css1 $p |- ( W e. PreHil -> V e. C ) $=
      ( cphl wcel c0 cocv cfv eqid ocv0 wss 0ss ocvcss mpan2 eqeltrrid ) CFGZBH
      CIJZJZASBCDSKZLRHBMTAGBNAHSBCDEUAOPQ $.
  $}

  ${
    csslss.c $e |- C = ( ClSubSp ` W ) $.
    csslss.l $e |- L = ( LSubSp ` W ) $.
    $( A closed subspace of a pre-Hilbert space is a linear subspace.
       (Contributed by Mario Carneiro, 13-Oct-2015.) $)
    csslss $p |- ( ( W e. PreHil /\ S e. C ) -> S e. L ) $=
      ( cphl wcel wa cocv cfv wceq eqid cssi adantl cbs wss ocvss a1i ocvlss
      sylan2 eqeltrd ) DGHZBAHZIBBDJKZKZUEKZCUDBUGLUCABUEDUEMZENOUDUCUFDPKZQZUG
      CHUJUDBUEUIDUIMZUHRSUFCUEUIDUKUHFTUAUB $.
  $}

  ${
    $d x y z ._|_ $.  $d x y z ph $.  $d x y z S $.  $d y z V $.  $d y z W $.
    lsmcss.c $e |- C = ( ClSubSp ` W ) $.
    lsmcss.j $e |- V = ( Base ` W ) $.
    lsmcss.o $e |- ._|_ = ( ocv ` W ) $.
    lsmcss.p $e |- .(+) = ( LSSum ` W ) $.
    lsmcss.1 $e |- ( ph -> W e. PreHil ) $.
    lsmcss.2 $e |- ( ph -> S C_ V ) $.
    lsmcss.3 $e |- ( ph ->
      ( ._|_ ` ( ._|_ ` S ) ) C_ ( S .(+) ( ._|_ ` S ) ) ) $.
    $( A subset of a pre-Hilbert space whose double orthocomplement has a
       projection decomposition is a closed subspace.  This is the core of the
       proof that a topologically closed subspace is algebraically closed in a
       Hilbert space.  (Contributed by Mario Carneiro, 13-Oct-2015.) $)
    lsmcss $p |- ( ph -> S e. C ) $=
      ( wcel cfv co wceq eqid syl2anc vx vy vz cv cplusg wrex wi sseld clmod wb
      wss cphl phllmod syl ocvss a1i lsmelvalx syl3anc sylibd c0g csca ad2antrr
      wa cip simplrl sseldd simplrr sselid ipdir syl13anc ocvi iporthcom oveq1d
      mpbid cgrp lmodfgrp ipcl grplid 3eqtrd simpr eqtr3d oveq2d lmodgrp grprid
      cbs ipeq0 eqtrd eqeltrd ex eleq1 imbi12d syl5ibrcom rexlimdvva syld ssrdv
      pm2.43d iscss2 mpbird ) ADBOZDEPZEPZDUKZAUAXADAUAUDZXAOZXCDOZAXDXCUBUDZUC
      UDZGUEPZQZRZUCWTUFUBDUFZXDXEUGZAXDXCDWTCQZOZXKAXAXMXCNUHAGUIOZDFUKZWTFUKZ
      XNXKUJAGULOZXOLGUMZUNZMXQADEFGIJUOZUPUBUCFXHCDWTGUIXCIXHSZKUQURUSAXJXLUBU
      CDWTAXFDOZXGWTOZVCZVCZXLXJXIXAOZXIDOZUGYFYGYHYFYGVCZXIXFDYIXIXFGUTPZXHQZX
      FYIXGYJXFXHYIXGXGGVDPZQZGVAPZUTPZRZXGYJRZYIXIXGYLQZYMYOYIYRXFXGYLQZYMYNUE
      PZQZYOYMYTQZYMYIXRXFFOZXGFOZUUDYRUUARAXRYEYGLVBZYIDFXFAXPYEYGMVBAYCYDYGVE
      ZVFZYIWTFXGYAAYCYDYGVGZVHZUUIXFXGXGXHYTYNYLFGYNSZYLSZIYBYTSZVIVJYIYSYOYMY
      TYIXGXFYLQYORZYSYORZYIYDYCUUMUUHUUFXGXFDYNYLEFGYOIUUKUUJYOSZJVKTYIXRUUDUU
      CUUMUUNUJUUEUUIUUGXGXFYNYLFGYOUUJUUKIUUOVLURVNVMYIYNVOOZYMYNWEPZOZUUBYMRY
      IXOUUPYIXRXOUUEXSUNYNGUUJVPUNYIXRUUDUUDUURUUEUUIUUIXGXGYNYLUUQFGUUJUUKIUU
      QSZVQURUUQYTYNYMYOUUSUULUUOVRTVSYIYGYDYRYORYFYGVTUUHXIXGWTYNYLEFGYOIUUKUU
      JUUOJVKTWAYIXRUUDYPYQUJUUEUUIXGYNYLFGYJYOUUJUUKIUUOYJSZWFTVNWBYIGVOOZUUCY
      KXFRAUVAYEYGAXOUVAXTGWCUNVBUUGFXHGXFYJIYBUUTWDTWGUUFWHWIXJXDYGXEYHXCXIXAW
      JXCXIDWJWKWLWMWNWPWOAXRXPWSXBUJLMBDEFGIHJWQTWR $.
  $}

  ${
    $d x y z C $.  $d x V $.  $d x y z W $.
    cssmre.v $e |- V = ( Base ` W ) $.
    cssmre.c $e |- C = ( ClSubSp ` W ) $.
    $( The closed subspaces of a pre-Hilbert space are a Moore system.  Unlike
       many of our other examples of closure systems, this one is _not_ usually
       an algebraic closure system ~ df-acs : consider the Hilbert space of
       sequences ` NN --> RR ` with convergent sum; the subspace of all
       sequences with finite support is the classic example of a non-closed
       subspace, but for every finite set of sequences of finite support, there
       is a finite-dimensional (and hence closed) subspace containing all of
       the sequences, so if closed subspaces were an algebraic closure system
       this would violate ~ acsfiel .  (Contributed by Mario Carneiro,
       13-Oct-2015.) $)
    cssmre $p |- ( W e. PreHil -> C e. ( Moore ` V ) ) $=
      ( vx vy vz cphl wcel cv wi wss sylibr ssrdv cfv wa ocv2ss sseldd sstrd c0
      cpw cssss a1i css1 wne w3a cint cocv wal intss1 eqid 3syl ad2antll simprl
      velpw wceq simpl2 simprr cssi syl eleqtrrd expr alrimiv elint ex wb simp1
      cuni intssuni 3ad2ant3 simp2 3ad2ant1 sspwuni sylib iscss2 syl2anc mpbird
      vex ismred ) CIJZABFWAFABUBZFKZAJZWCWBJZLWAWDWCBMWEAWCBCDEUCFBUPNUDOZABCD
      EUEWAWCAMZWCUAUFZUGZWCUHZAJZWJCUIPZPZWLPZWJMZWIGWNWJWIGKZWNJZWPWJJZWIWQQZ
      HKZWCJZWPWTJZLZHUJWRWSXCHWIWQXAXBWIWQXAQZQZWPWTWLPZWLPZWTXEWNXGWPXAWNXGMZ
      WIWQXAWJWTMXFWMMXHWTWCUKWTWJWLCWLULZRWMXFWLCXIRUMUNWIWQXAUOSXEWTAJWTXGUQX
      EWCAWTWAWGWHXDURWIWQXAUSSAWTWLCXIEUTVAVBVCVDHWPWCGVSVENVFOWIWAWJBMWKWOVGW
      AWGWHVHWIWJWCVIZBWHWAWJXJMWGWCVJVKWIWCWBMXJBMWIWCAWBWAWGWHVLWAWGAWBMWHWFV
      MTWCBVNVOTAWJWLBCDEXIVPVQVRVT $.
  $}

  ${
    mrccss.v $e |- V = ( Base ` W ) $.
    mrccss.o $e |- ._|_ = ( ocv ` W ) $.
    mrccss.c $e |- C = ( ClSubSp ` W ) $.
    mrccss.f $e |- F = ( mrCls ` C ) $.
    $( The Moore closure corresponding to the system of closed subspaces is the
       double orthocomplement operation.  (Contributed by Mario Carneiro,
       13-Oct-2015.) $)
    mrccss $p |- ( ( W e. PreHil /\ S C_ V ) ->
      ( F ` S ) = ( ._|_ ` ( ._|_ ` S ) ) ) $=
      ( cphl wcel wss wa cfv cmre cssmre adantr sylan ocv2ss ocvocv a1i mrcsscl
      ocvss ocvcss sylan2 syl3anc mrcssid 3syl wceq mrccl cssi sseqtrrd eqssd
      syl ) FKLZBEMZNZBCOZBDOZDOZURAEPOLZBVAMVAALZUSVAMUPVBUQAEFGIQZRBDEFGHUAUQ
      UPUTEMZVCVEUQBDEFGHUDUBAUTDEFGIHUEUFABCVAEJUCUGURVAUSDOZDOZUSURBUSMZVFUTM
      VAVGMUPVBUQVHVDABCEJUHSUSBDFHTUTVFDFHTUIURUSALZUSVGUJUPVBUQVIVDABCEJUKSAU
      SDFHIULUOUMUN $.
  $}

  ${
    $d x y C $.  $d h x y I $.  $d h ._|_ $.  $d h x y W $.
    thlval.k $e |- K = ( toHL ` W ) $.
    ${
      thlval.c $e |- C = ( ClSubSp ` W ) $.
      thlval.i $e |- I = ( toInc ` C ) $.
      thlval.o $e |- ._|_ = ( ocv ` W ) $.
      $( Value of the Hilbert lattice.  (Contributed by Mario Carneiro,
         25-Oct-2015.) $)
      thlval $p |- ( W e. V -> K = ( I sSet <. ( oc ` ndx ) , ._|_ >. ) ) $=
        ( vh wcel cvv cfv cop csts ccss cipo cocv eqtr4di cnx co wceq elex cthl
        coc cv fveq2 fveq2d opeq2d oveq12d df-thl ovex fvmpt eqtrid syl ) FELFM
        LZCBUAUFNZDOZPUBZUCFEUDUQCFUENUTGKFKUGZQNZRNZURVASNZOZPUBUTMUEVAFUCZVCB
        VEUSPVFVCARNBVFVBARVFVBFQNAVAFQUHHTUIITVFVDDURVFVDFSNDVAFSUHJTUJUKKULBU
        SPUMUNUOUP $.
    $}

    ${
      thlbas.c $e |- C = ( ClSubSp ` W ) $.
      $( Base set of the Hilbert lattice of closed subspaces.  (Contributed by
         Mario Carneiro, 25-Oct-2015.) $)
      thlbas $p |- C = ( Base ` K ) $=
        ( cvv wcel cbs cfv wceq cnx ccss eqid wne c1 1nn0 fveq2d fvprc eqtrid
        c0 cipo coc cocv cop csts co fvexi ipobas ax-mp baseid cdc 1lt10 declti
        1re 1nn ltneii basendx ocndx neeq12i mpbir setsnid eqtri thlval eqtr4id
        wn base0 cthl 3eqtr4a pm2.61i ) CFGZABHIZJVJAAUAIZKUBIZCUCIZUDUEUFZHIZV
        KAVLHIZVPAFGAVQJACLEUGAVLFVLMZUHUIVNVMHVLUJKHIZVMNOOOUKZNOVTUNOOOUOPPUL
        UMUPVSOVMVTUQURUSUTVAVBVJBVOHAVLBVNFCDEVRVNMVCQVDVJVEZTTHIAVKVFWAACLITE
        CLRSWABTHWABCVGITDCVGRSQVHVI $.

      ${
        thlle.i $e |- I = ( toInc ` C ) $.
        thlle.l $e |- .<_ = ( le ` I ) $.
        $( Ordering on the Hilbert lattice of closed subspaces.  (Contributed
           by Mario Carneiro, 25-Oct-2015.) $)
        thlle $p |- .<_ = ( le ` K ) $=
          ( vx vy cvv wcel cple cfv wceq wne c1 c0 ccss cnx coc cocv csts pleid
          cop cc0 cdc 10re 1nn0 0nn0 1nn 0lt1 declt ltneii plendx ocndx neeq12i
          co mpbir setsnid eqtri eqid thlval fveq2d eqtr4id wn cv cpr wss copab
          str0 fvexi ipolerval ax-mp eqtr4i wex opabn0 vex prss elfvex ad2antrr
          wa eleq2s sylanbr exlimivv sylbi necon1bi eqtrid cthl 3eqtr4a pm2.61i
          fvprc ) ELMZDCNOZPWNDBUAUBOZEUCOZUFUDUSZNOZWODBNOZWSIWQWPNBUEUANOZWPQ
          RUGUHZRRUHZQXBXCUIRUGRUJUKULUMUNUOXAXBWPXCUPUQURUTVAVBWNCWRNABCWQLEFG
          HWQVCVDVEVFWNVGZSSNODWONXAUEVLXDDJVHZKVHZVIAVJZXEXFVJZWCZJKVKZSDWTXJI
          ALMXJWTPAETGVMJKABLHVNVOVPWNXJSXJSQXIKVQJVQWNXIJKVRXIWNJKXGXEAMZXFAMZ
          WCXHWNXEXFAJVSKVSVTXKWNXLXHWNXEETOAXEETWAGWDWBWEWFWGWHWIXDCSNXDCEWJOS
          FEWJWMWIVEWKWL $.
      $}

      ${
        thlleval.l $e |- .<_ = ( le ` K ) $.
        $( Ordering on the Hilbert lattice of closed subspaces.  (Contributed
           by Mario Carneiro, 25-Oct-2015.) $)
        thlleval $p |- ( ( S e. C /\ T e. C ) -> ( S .<_ T <-> S C_ T ) ) $=
          ( cvv wcel wbr wss wb ccss fvexi cipo cfv eqid cple eqtr4i mp3an1
          thlle ipole ) AJKBAKCAKBCELBCMNAFOHPAAQRZEJBCUESZEDTRUETRZIAUEDUGFGHU
          FUGSUCUAUDUB $.
      $}
    $}

    ${
      thloc.c $e |- ._|_ = ( ocv ` W ) $.
      $( Orthocomplement on the Hilbert lattice of closed subspaces.
         (Contributed by Mario Carneiro, 25-Oct-2015.) $)
      thloc $p |- ._|_ = ( oc ` K ) $=
        ( cvv wcel coc cfv wceq ccss cipo cocv ocid eqid fveq2d c0 fvprc eqtrid
        cthl cnx csts co fvex fvexi setsid mp2an thlval eqtr4id wn str0 3eqtr4a
        cop pm2.61i ) CFGZBAHIZJUOBCKIZLIZUAHIZBUMUBUCZHIZUPURFGBFGBVAJUQLUDBCM
        EUEFBHFURNUFUGUOAUTHUQURABFCDUQOUROEUHPUIUOUJZQQHIBUPHUSNUKVBBCMIQECMRS
        VBAQHVBACTIQDCTRSPULUN $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Orthogonal projection and orthonormal bases
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c proj $.
  $c Hil $.
  $c OBasis $.

  $( Extend class notation with orthogonal projection function. $)
  cpj $a class proj $.

  $( Extend class notation with class of all Hilbert spaces. $)
  chil $a class Hil $.

  $( Extend class notation with the set of orthonormal bases. $)
  cobs $a class OBasis $.

  ${
    $d b h x y $.
    $( Define orthogonal projection onto a subspace.  This is just a wrapping
       of ~ df-pj1 , but we restrict the domain of this function to only total
       projection functions.  (Contributed by Mario Carneiro, 16-Oct-2015.) $)
    df-pj $a |- proj = ( h e. _V |-> ( ( x e. ( LSubSp ` h ) |->
      ( x ( proj1 ` h ) ( ( ocv ` h ) ` x ) ) ) i^i
        ( _V X. ( ( Base ` h ) ^m ( Base ` h ) ) ) ) ) $.

    $( Define class of all Hilbert spaces.  Based on Proposition 4.5, p. 176,
       Gudrun Kalmbach, Quantum Measures and Spaces, Kluwer, Dordrecht, 1998.
       (Contributed by NM, 7-Oct-2011.)  (Revised by Mario Carneiro,
       16-Oct-2015.) $)
    df-hil $a |- Hil = { h e. PreHil | dom ( proj ` h ) = ( ClSubSp ` h ) } $.

    $( Define the set of all orthonormal bases for a pre-Hilbert space.  An
       orthonormal basis is a set of mutually orthogonal vectors with norm 1
       and such that the linear span is dense in the whole space.  (As this is
       an "algebraic" definition, before we have topology available, we express
       this denseness by saying that the double orthocomplement is the whole
       space, or equivalently, the single orthocomplement is trivial.)
       (Contributed by Mario Carneiro, 23-Oct-2015.) $)
    df-obs $a |- OBasis = ( h e. PreHil |-> { b e. ~P ( Base ` h ) |
      ( A. x e. b A. y e. b ( x ( .i ` h ) y ) =
        if ( x = y , ( 1r ` ( Scalar ` h ) ) , ( 0g ` ( Scalar ` h ) ) ) /\
        ( ( ocv ` h ) ` b ) = { ( 0g ` h ) } ) } ) $.

    $d w x ._|_ $.  $d w x L $.  $d w x P $.  $d w x V $.  $d w x W $.
    $d x T $.
    pjfval.v $e |- V = ( Base ` W ) $.
    pjfval.l $e |- L = ( LSubSp ` W ) $.
    pjfval.o $e |- ._|_ = ( ocv ` W ) $.
    pjfval.p $e |- P = ( proj1 ` W ) $.
    pjfval.k $e |- K = ( proj ` W ) $.
    $( The value of the projection function.  (Contributed by Mario Carneiro,
       16-Oct-2015.) $)
    pjfval $p |- K =
      ( ( x e. L |-> ( x P ( ._|_ ` x ) ) ) i^i ( _V X. ( V ^m V ) ) ) $=
      ( cfv co cvv cmap cxp cin clss c0 vw cpj cv cmpt wcel wceq cocv cbs fveq2
      cpj1 eqtr4di eqidd fveq1d oveq123d mpteq12dv oveq12d xpeq2d ineq12d df-pj
      fvexi inex1 ovex inex2 xpex wf wss eqid ovexd fmpti fssxp ssrin mp2b inxp
      sseqtri ssexi fvmpt fvprc inss1 eqtrid mpteq1d mpt0 eqtrdi sylancr eqtr4d
      wn sseq0 pm2.61i eqtri ) CGUBMZADAUCZWJEMZBNZUDZOFFPNZQZRZLGOUEZWIWPUFUAG
      AUAUCZSMZWJWJWRUGMZMZWRUJMZNZUDZOWRUHMZXEPNZQZRWPOUBWRGUFZXDWMXGWOXHAWSXC
      DWLXHWSGSMZDWRGSUIIUKXHWJWJXAWKXBBXHXBGUJMBWRGUJUIKUKXHWJULXHWJWTEXHWTGUG
      MEWRGUGUIJUKUMUNUOXHXFWNOXHXEFXEFPXHXEGUHMFWRGUHUIHUKZXJUPUQURAUAUSWPDORZ
      OWNRZQZXKXLDODGSIUTVAWNOFFPVBVCVDWPDOQZWORZXMDOWMVEWMXNVFWPXOVFADOWLWMWMV
      GWJDUEWJWKBVHVIDOWMVJWMXNWOVKVLDOOWNVMVNVOVPWQWEZWITWPGUBVQXPWPWMVFWMTUFW
      PTUFWMWOVRXPWMATWLUDTXPADTWLXPDXITIGSVQVSVTAWLWAWBWPWMWFWCWDWGWH $.

    $( A subspace is in the domain of the projection function iff the subspace
       admits a projection decomposition of the whole space.  (Contributed by
       Mario Carneiro, 16-Oct-2015.) $)
    pjdm $p |- ( T e. dom K <->
      ( T e. L /\ ( T P ( ._|_ ` T ) ) : V --> V ) ) $=
      ( vx cfv co wcel ccnv crn cvv cin cv cmap wf wceq id fveq2 oveq12d eleq1d
      cdm cbs fvexi elmap bitrdi cmpt cima crab cnvin cnvxp ineq2i eqtri pjfval
      cres cxp cnveqi df-res 3eqtr4i rneqi dfdm4 df-ima eqid mptpreima elrab2 )
      MUAZVMENZAOZFFUBOZPZFFBBENZAOZUCZMBDCUIZVMBUDZVQVSVPPVTWBVOVSVPWBVMBVNVRA
      WBUEVMBEUFUGUHFFVSFGUJHUKZWCULUMWAMDVOUNZQZVPUOZVQMDUPCQZRWEVPVBZRWAWFWGW
      HWDSVPVCZTZQZWEVPSVCZTZWGWHWKWEWIQZTWMWDWIUQWNWLWESVPURUSUTCWJMACDEFGHIJK
      LVAVDWEVPVEVFVGCVHWEVPVIVFMDVOVPWDWDVJVKUTVL $.
  $}

  ${
    $d x L $.  $d x V $.  $d x W $.
    pjpm.v $e |- V = ( Base ` W ) $.
    pjpm.l $e |- L = ( LSubSp ` W ) $.
    pjpm.k $e |- K = ( proj ` W ) $.
    $( The projection map is a partial function from subspaces of the
       pre-Hilbert space to total operators.  (Contributed by Mario Carneiro,
       16-Oct-2015.) $)
    pjpm $p |- K e. ( ( V ^m V ) ^pm L ) $=
      ( vx cmap co wcel wfun cxp wss cfv cvv cin eqid eqsstri inv1 cv cocv cpj1
      cpm cmpt pjfval inss1 funmpt funss mp2 ovexd fmpti fssxp ssrin mp2b incom
      wf inxp eqtri xpeq12i sseqtri ovex clss fvexi elpm mpbir2an ) ACCIJZBUDJK
      ALZABVGMZNAHBHUAZVJDUBOZOZDUCOZJZUEZNVOLVHAVOPVGMZQZVOHVMABVKCDEFVKRVMRGU
      FZVOVPUGSHBVNUHAVOUIUJABPMZVPQZVIAVQVTVRBPVOUQVOVSNVQVTNHBPVNVOVORVJBKVJV
      LVMUKULBPVOUMVOVSVPUNUOSVTBPQZPVGQZMVIBPPVGURWABWBVGBTWBVGPQVGPVGUPVGTUSU
      TUSVAVGBACCIVBBDVCFVDVEVF $.
  $}

  ${
    $d x y K $.  $d x y ._|_ $.  $d x y P $.  $d x T $.  $d x y W $.
    pjfval2.o $e |- ._|_ = ( ocv ` W ) $.
    pjfval2.p $e |- P = ( proj1 ` W ) $.
    pjfval2.k $e |- K = ( proj ` W ) $.
    $( Value of the projection map with implicit domain.  (Contributed by Mario
       Carneiro, 16-Oct-2015.) $)
    pjfval2 $p |- K = ( x e. dom K |-> ( x P ( ._|_ ` x ) ) ) $=
      ( vy cfv cv co cmpt cvv cbs cin wcel wa copab df-mpt clss cmap wceq df-xp
      cxp cdm ineq12i eqid pjfval pjdm eleq1 fvex elmap bitr2di anbi2d pm5.32ri
      wf syl5bb an32 vex biantrur anbi2i 3bitri opabbii inopab 3eqtr4i ) AEUAJZ
      AKZVHDJBLZMZNEOJZVKUBLZUEZPVHVGQZIKZVIUCZRZAISZVHNQZVOVLQZRZAISZPZCACUFZV
      IMZVJVRVMWBAIVGVITAINVLUDUGABCVGDVKEVKUHZVGUHZFGHUIVHWDQZVPRZAISVQWARZAIS
      WEWCWIWJAIWIVNVTRZVPRVQVTRWJVPWHWKWHVNVKVKVIUQZRVPWKBVHCVGDVKEWFWGFGHUJVP
      WLVTVNVPVTVIVLQWLVOVIVLUKVKVKVIEOULZWMUMUNUOURUPVNVTVPUSVTWAVQVSVTAUTVAVB
      VCVDAIWDVITVQWAAIVEVFVF $.

    $( Value of the projection map.  (Contributed by Mario Carneiro,
       16-Oct-2015.) $)
    pjval $p |- ( T e. dom K -> ( K ` T ) = ( T P ( ._|_ ` T ) ) ) $=
      ( vx cv cfv co cdm wceq id fveq2 oveq12d pjfval2 ovex fvmpt ) IBIJZUADKZA
      LBBDKZALCMCUABNZUABUBUCAUDOUABDPQIACDEFGHRBUCAST $.
  $}

  ${
    pjdm2.v $e |- V = ( Base ` W ) $.
    pjdm2.l $e |- L = ( LSubSp ` W ) $.
    pjdm2.o $e |- ._|_ = ( ocv ` W ) $.
    pjdm2.s $e |- .(+) = ( LSSum ` W ) $.
    pjdm2.k $e |- K = ( proj ` W ) $.
    $( A subspace is in the domain of the projection function iff the subspace
       admits a projection decomposition of the whole space.  (Contributed by
       Mario Carneiro, 16-Oct-2015.) $)
    pjdm2 $p |- ( W e. PreHil ->
      ( T e. dom K <-> ( T e. L /\ ( T .(+) ( ._|_ ` T ) ) = V ) ) ) $=
      ( cdm wcel cfv co wf wa eqid syl cpj1 cphl wceq wb cplusg c0g ccntz csubg
      clmod wss phllmod adantr lsssssubg simpr sseldd lssss ocvlss sylan2 ocvin
      pjdm cabl lmodabl ablcntzd pj1f adantl fssd eqcomd syl5ibcom feq2 biimpcd
      fdm eqeq2d impbid pm5.32da syl5bb ) BCMNBDNZFFBBEOZGUAOZPZQZRGUBNZVPBVQAP
      ZFUCZRVRBCDEFGHIJVRSZLUTWAVPVTWCWAVPRZWBFVSQZVTWCUDWEWBBFVSWEVRGUEOZABVQG
      GUFOZGUGOZWGSKWHSZWISZWEDGUHOZBWEGUINZDWLUJWAWMVPGUKULZDGIUMTZWAVPUNUOZWE
      DWLVQWOVPWABFUJZVQDNDBFGHIUPZBDEFGHJIUQURUOZBDEGWHJIWJUSWEBVQGWIWKWEWMGVA
      NWNGVBTWPWSVCWDVDVPWQWAWRVEVFWFVTWCWFWBVSMZUCVTWCWFWTWBWBFVSVKVGVTWTFWBFF
      VSVKVLVHWCWFVTWBFFVSVIVJVMTVNVO $.
  $}

  ${
    $d x K $.  $d x T $.  $d x W $.
    pjf.k $e |- K = ( proj ` W ) $.
    $( A projection is a linear operator.  (Contributed by Mario Carneiro,
       16-Oct-2015.) $)
    pjff $p |- ( W e. PreHil -> K : dom K --> ( W LMHom W ) ) $=
      ( vx cphl wcel cdm cv cocv cpj1 co clmhm wa clsm cress eqid adantr syldan
      cfv wceq clss c0g clmod phllmod cbs pjdm2 simprbda wss syl ocvlss cin csn
      lssss ocvin pj1lmhm simplbda oveq2d ressid eqtrd oveq1d eleqtrd pjfval2
      fmptd ) BEFZDAGZDHZVFBISZSZBJSZKZBBLKZAVDVFVEFZMZVJBVFVHBNSZKZOKZBLKVKVMV
      IVNVFVHBUASZBBUBSZVQPZVNPZVRPZVIPZVDBUCFVLBUDQVDVLVFVQFZVOBUESZTZVNVFAVQV
      GWDBWDPZVSVGPZVTCUFZUGZVDVLVFWDUHZVHVQFVMWCWJWIVQVFWDBWFVSUMUIVFVQVGWDBWF
      WGVSUJRVDVLWCVFVHUKVRULTWIVFVQVGBVRWGVSWAUNRUOVMVPBBLVMVPBWDOKZBVMVOWDBOV
      DVLWCWEWHUPUQVDWKBTVLWDBEWFURQUSUTVADVIAVGBWGWBCVBVC $.

    pjf.v $e |- V = ( Base ` W ) $.
    $( A projection is a function on the base set.  (Contributed by Mario
       Carneiro, 16-Oct-2015.) $)
    pjf $p |- ( T e. dom K -> ( K ` T ) : V --> V ) $=
      ( cdm wcel cfv wf cocv cpj1 co clss eqid pjdm simprbi pjval feq1d mpbird
      ) ABGHZCCABIZJCCAADKIZIDLIZMZJZUAADNIZHUFUDABUGUCCDFUGOUCOZUDOZEPQUACCUBU
      EUDABUCDUHUIERST $.

    $( A projection is a function from the base set to the subspace.
       (Contributed by Mario Carneiro, 16-Oct-2015.) $)
    pjf2 $p |- ( ( W e. PreHil /\ T e. dom K ) -> ( K ` T ) : V --> T ) $=
      ( cphl wcel cdm wa cocv cfv co wf eqid wss syl wceq sseldd syldan phllmod
      clsm cpj1 cplusg c0g ccntz clss csubg clmod adantr lsssssubg pjdm2 ocvlss
      simprbda lssss cin ocvin cabl lmodabl ablcntzd pj1f pjval adantl simplbda
      csn eqcomd feq12d mpbid ) DGHZABIHZJZAADKLZLZDUBLZMZAAVMDUCLZMZNCAABLZNVK
      VPDUDLZVNAVMDDUELZDUFLZVSOVNOZVTOZWAOZVKDUGLZDUHLZAVKDUIHZWEWFPVIWGVJDUAU
      JZWEDWEOZUKQZVIVJAWEHZVOCRZVNABWEVLCDFWIVLOZWBEULZUNZSZVKWEWFVMWJVIVJACPZ
      VMWEHVKWKWQWOWEACDFWIUOQAWEVLCDFWMWIUMTSZVIVJWKAVMUPVTVERWOAWEVLDVTWMWIWC
      UQTVKAVMDWAWDVKWGDURHWHDUSQWPWRUTVPOZVAVKVOCAVQVRVKVRVQVJVRVQRVIVPABVLDWM
      WSEVBVCVFVIVJWKWLWNVDVGVH $.

    $( A projection is a surjection onto the subspace.  (Contributed by Mario
       Carneiro, 16-Oct-2015.) $)
    pjfo $p |- ( ( W e. PreHil /\ T e. dom K ) -> ( K ` T ) : V -onto-> T ) $=
      ( vx cphl wcel cdm wa cfv wf wceq co eqid wss syl sseldd syldan pjf2 frnd
      crn wfo cocv cpj1 pjval ad2antlr fveq1d cplusg clsm c0g ccntz csubg clmod
      cv clss phllmod adantr lsssssubg pjdm2 simprbda lssss ocvlss cin csn cabl
      ocvin lmodabl ablcntzd pj1lid eqtrd wfn sselda fnfvelrn syl2an2r eqeltrrd
      ffnd eqelssd dffo2 sylanbrc ) DHIZABJIZKZCAABLZMWEUCZANCAWEUDABCDEFUAZWDG
      WFAWDCAWEWGUBWDGUPZAIZKZWHWELZWHWFWJWKWHAADUELZLZDUFLZOZLWHWJWHWEWOWCWEWO
      NWBWIWNABWLDWLPZWNPZEUGUHUIWDWNDUJLZDUKLZAWMDWHDULLZDUMLZWRPWSPZWTPZXAPZW
      DDUQLZDUNLZAWDDUOIZXEXFQWBXGWCDURUSZXEDXEPZUTRZWBWCAXEIZAWMWSOCNWSABXEWLC
      DFXIWPXBEVAVBZSZWDXEXFWMXJWBWCACQZWMXEIWDXKXNXLXEACDFXIVCRZAXEWLCDFWPXIVD
      TSZWBWCXKAWMVEWTVFNXLAXEWLDWTWPXIXCVHTWDAWMDXAXDWDXGDVGIXHDVIRXMXPVJWQVKV
      LWDWECVMWIWHCIWKWFIWDCAWEWGVRWDACWHXOVNCWHWEVOVPVQVSCAWEVTWA $.
  $}

  ${
    $d x C $.  $d x K $.  $d x W $.
    pjcss.k $e |- K = ( proj ` W ) $.
    pjcss.c $e |- C = ( ClSubSp ` W ) $.
    $( A projection subspace is an (algebraically) closed subspace.
       (Contributed by Mario Carneiro, 16-Oct-2015.) $)
    pjcss $p |- ( W e. PreHil -> dom K C_ C ) $=
      ( vx cphl wcel cdm cv wa clsm cfv cocv cbs eqid simpl clss wss co wceq ex
      pjdm2 simprbda lssss syl ocvss simplbda sseqtrrid lsmcss ssrdv ) CGHZFBIZ
      AULFJZUMHZUNAHULUOKZACLMZUNCNMZCOMZCEUSPZURPZUQPZULUOQUPUNCRMZHZUNUSSULUO
      VDUNUNURMZUQTZUSUAZUQUNBVCURUSCUTVCPZVAVBDUCZUDVCUNUSCUTVHUEUFUPUSVEURMVF
      VEURUSCUTVAUGULUOVDVGVIUHUIUJUBUK $.
  $}

  ${
    ocvpj.k $e |- K = ( proj ` W ) $.
    ocvpj.o $e |- ._|_ = ( ocv ` W ) $.
    $( The orthocomplement of a projection subspace is a projection subspace.
       (Contributed by Mario Carneiro, 16-Oct-2015.) $)
    ocvpj $p |- ( ( W e. PreHil /\ T e. dom K ) -> ( ._|_ ` T ) e. dom K ) $=
      ( cphl wcel cdm wa cfv co wceq wss eqid syl syldan adantr sseldd pjdm2 wb
      clss clsm ccss pjcss sselda cssss ocvlss cabl csubg clmod phllmod lmodabl
      lsssssubg csslss lsmcom syl3anc cssi oveq2d simplbda 3eqtr3d mpbir2and
      cbs ) DGHZABIZHZJZACKZVEHZVHDUBKZHZVHVHCKZDUCKZLZDVCKZMZVDVFAVONZVKVGADUD
      KZHZVQVDVEVRAVRBDEVROZUEUFZVRAVODVOOZVTUGPAVJCVODWBFVJOZUHQZVGVHAVMLZAVHV
      MLZVNVOVGDUIHZVHDUJKZHAWHHWEWFMVGDUKHZWGVDWIVFDULRZDUMPVGVJWHVHVGWIVJWHNW
      JVJDWCUNPZWDSVGVJWHAWKVDVFVSAVJHZWAVRAVJDVTWCUOQSVMVHADVMOZUPUQVGAVLVHVMV
      GVSAVLMWAVRACDFVTURPUSVDVFWLWFVOMVMABVJCVODWBWCFWMETUTVAVDVIVKVPJUAVFVMVH
      BVJCVODWBWCFWMETRVB $.
  $}

  ${
    $d h C $.  $d h H $.  $d h K $.
    ishil.k $e |- K = ( proj ` H ) $.
    ishil.c $e |- C = ( ClSubSp ` H ) $.
    $( The predicate "is a Hilbert space" (over a *-division ring).  A Hilbert
       space is a pre-Hilbert space such that all closed subspaces have a
       projection decomposition.  (Contributed by NM, 7-Oct-2011.)  (Revised by
       Mario Carneiro, 22-Jun-2014.) $)
    ishil $p |- ( H e. Hil <-> ( H e. PreHil /\ dom K = C ) ) $=
      ( vh cv cpj cfv cdm ccss wceq cphl chil fveq2 eqtr4di dmeqd df-hil elrab2
      eqeq12d ) FGZHIZJZUAKIZLCJZALFBMNUABLZUCUEUDAUFUBCUFUBBHICUABHODPQUFUDBKI
      AUABKOEPTFRS $.
  $}

  ${
    $d s C $.  $d s H $.
    ishil2.v $e |- V = ( Base ` H ) $.
    ishil2.s $e |- .(+) = ( LSSum ` H ) $.
    ishil2.o $e |- ._|_ = ( ocv ` H ) $.
    ishil2.c $e |- C = ( ClSubSp ` H ) $.
    $( The predicate "is a Hilbert space" (over a *-division ring).
       (Contributed by NM, 7-Oct-2011.)  (Revised by Mario Carneiro,
       22-Jun-2014.) $)
    ishil2 $p |- ( H e. Hil
        <-> ( H e. PreHil /\ A. s e. C ( s .(+) ( ._|_ ` s ) ) = V ) ) $=
      ( chil wcel cphl cfv wceq wa wral eqid wss wb cpj cdm cv ishil pjcss eqss
      co baib syl dfss3 bitrdi csslss pjdm2 baibd syldan ralbidva bitrd pm5.32i
      clss bitri ) CKLCMLZCUANZUBZAOZPVAFUCZVEDNBUGEOZFAQZPACVBVBRZJUDVAVDVGVAV
      DVEVCLZFAQZVGVAVDAVCSZVJVAVCASZVDVKTAVBCVHJUEVDVLVKVCAUFUHUIFAVCUJUKVAVIV
      FFAVAVEALVECUSNZLZVIVFTAVEVMCJVMRZULVAVIVNVFBVEVBVMDECGVOIHVHUMUNUOUPUQUR
      UT $.
  $}

  ${
    $d b h x y ., $.  $d b h ._|_ $.  $d b h x y .0. $.  $d x y P $.  $d y Q $.
    $d b h x y .1. $.  $d b x y B $.  $d b h V $.  $d b h x y W $.  $d b h Y $.
    isobs.v $e |- V = ( Base ` W ) $.
    isobs.h $e |- ., = ( .i ` W ) $.
    isobs.f $e |- F = ( Scalar ` W ) $.
    isobs.u $e |- .1. = ( 1r ` F ) $.
    isobs.z $e |- .0. = ( 0g ` F ) $.
    ${
      isobs.o $e |- ._|_ = ( ocv ` W ) $.
      isobs.y $e |- Y = ( 0g ` W ) $.
      $( The predicate "is an orthonormal basis" (over a pre-Hilbert space).
         (Contributed by Mario Carneiro, 23-Oct-2015.) $)
      isobs $p |- ( B e. ( OBasis ` W ) <-> ( W e. PreHil /\ B C_ V /\
        ( A. x e. B A. y e. B ( x ., y ) = if ( x = y , .1. , .0. ) /\
          ( ._|_ ` B ) = { Y } ) ) ) $=
        ( cfv wceq vh vb cobs wcel cphl wss cv co cif wral csn w3a cip csca cur
        wa c0g cocv cbs cpw crab df-obs mptrcl fveq2 eqtr4di pweqd oveqd fveq2d
        ifeq12d eqeq12d 2ralbidv sneqd anbi12d rabeqbidv fvexi pwex rabex fvmpt
        fveq1d eleq2d raleq raleqbi1dv elrab elpw2 anbi1i bitri bitrdi biadanii
        fveqeq2 3anass bitr4i ) CIUCSZUDZIUEUDZCHUFZAUGZBUGZFUHZWPWQTZDKUIZTZBC
        UJZACUJZCGSJUKZTZUPZUPZUPWNWOXFULWMWNXGUAUEWPWQUAUGZUMSZUHZWSXHUNSZUOSZ
        XKUQSZUIZTZBUBUGZUJAXPUJZXPXHURSZSZXHUQSZUKZTZUPZUBXHUSSZUTZVAZUCCIABUA
        UBVBZVCWNWMCXABXPUJZAXPUJZXPGSZXDTZUPZUBHUTZVAZUDZXGWNWLYNCUAIYFYNUEUCX
        HITZYCYLUBYEYMYPYDHYPYDIUSSHXHIUSVDLVEVFYPXQYIYBYKYPXOXAABXPXPYPXJWRXNW
        TYPXIFWPWQYPXIIUMSFXHIUMVDMVEVGYPWSXLDXMKYPXLEUOSDYPXKEUOYPXKIUNSEXHIUN
        VDNVEZVHOVEYPXMEUQSKYPXKEUQYQVHPVEVIVJVKYPXSYJYAXDYPXPXRGYPXRIURSGXHIUR
        VDQVEVSYPXTJYPXTIUQSJXHIUQVDRVEVLVJVMVNYGYLUBYMHHIUSLVOZVPVQVRVTYOCYMUD
        ZXFUPXGYLXFUBCYMXPCTYIXCYKXEYHXBAXPCXABXPCWAWBXPCXDGWIVMWCYSWOXFCHYRWDW
        EWFWGWHWNWOXFWJWK $.
    $}

    $( The inner product of two elements of an orthonormal basis.  (Contributed
       by Mario Carneiro, 23-Oct-2015.) $)
    obsip $p |- ( ( B e. ( OBasis ` W ) /\ P e. B /\ Q e. B ) ->
                  ( P ., Q ) = if ( P = Q , .1. , .0. ) ) $=
      ( vx vy cfv wcel co wceq cobs cif cv wral wa cocv c0g csn cphl eqid isobs
      wss simp3bi simpld oveq1 eqeq1 ifbid eqeq12d oveq2 rspc2v syl5com 3impib
      eqeq2 ) AHUAQRZBARZCARZBCFSZBCTZDIUBZTZVDOUCZPUCZFSZVKVLTZDIUBZTZPAUDOAUD
      ZVEVFUEVJVDVQAHUFQZQHUGQZUHTZVDHUIRAGULVQVTUEOPADEFVRGHVSIJKLMNVRUJVSUJUK
      UMUNVPVJBVLFSZBVLTZDIUBZTOPBCAAVKBTZVMWAVOWCVKBVLFUOWDVNWBDIVKBVLUPUQURVL
      CTZWAVGWCVIVLCBFUSWEWBVHDIVLCBVCUQURUTVAVB $.
  $}

  ${
    obsipid.h $e |- ., = ( .i ` W ) $.
    obsipid.f $e |- F = ( Scalar ` W ) $.
    obsipid.u $e |- .1. = ( 1r ` F ) $.
    $( A basis element has unit length.  (Contributed by Mario Carneiro,
       23-Oct-2015.) $)
    obsipid $p |- ( ( B e. ( OBasis ` W ) /\ A e. B ) -> ( A ., A ) = .1. ) $=
      ( cobs cfv wcel wa co wceq c0g cif cbs eqid obsip 3anidm23 iftruei eqtrdi
      ) BFJKLZABLZMAAENZAAOZCDPKZQZCUDUEUFUIOBAACDEFRKZFUHUJSGHIUHSTUAUGCUHASUB
      UC $.
  $}

  ${
    $d x y B $.  $d x y W $.
    $( Reverse closure for an orthonormal basis.  (Contributed by Mario
       Carneiro, 23-Oct-2015.) $)
    obsrcl $p |- ( B e. ( OBasis ` W ) -> W e. PreHil ) $=
      ( vx vy cobs cfv wcel cphl cbs wss cv cip wceq csca cur c0g cif wral eqid
      co cocv csn wa isobs simp1bi ) ABEFGBHGABIFZJCKZDKZBLFZTUGUHMBNFZOFZUJPFZ
      QMDARCARABUAFZFBPFZUBMUCCDAUKUJUIUMUFBUNULUFSUISUJSUKSULSUMSUNSUDUE $.

    obsss.v $e |- V = ( Base ` W ) $.
    $( An orthonormal basis is a subset of the base set.  (Contributed by Mario
       Carneiro, 23-Oct-2015.) $)
    obsss $p |- ( B e. ( OBasis ` W ) -> B C_ V ) $=
      ( vx vy cobs cfv wcel cphl wss cv cip co wceq csca cur c0g wral eqid cocv
      cif csn wa isobs simp2bi ) ACGHICJIABKELZFLZCMHZNUGUHOCPHZQHZUJRHZUBOFASE
      ASACUAHZHCRHZUCOUDEFAUKUJUIUMBCUNULDUITUJTUKTULTUMTUNTUEUF $.
  $}

  ${
    $d x y B $.  $d x y W $.
    obsocv.z $e |- .0. = ( 0g ` W ) $.
    $( A basis element is nonzero.  (Contributed by Mario Carneiro,
       23-Oct-2015.) $)
    obsne0 $p |- ( ( B e. ( OBasis ` W ) /\ A e. B ) -> A =/= .0. ) $=
      ( cobs cfv wcel csca cur c0g wne cdr cphl clvec obsrcl phllvec eqid wceq
      wa lvecdrng 3syl adantr drngunz syl cip co obsipid eqeq1d wb obsss sselda
      cbs ipeq0 syl2an2r bitr3d necon3bid mpbid ) BCFGHZABHZTZCIGZJGZVBKGZLZADL
      VAVBMHZVEUSVFUTUSCNHZCOHVFBCPZCQVBCVBRZUAUBUCVBVCVDVDRZVCRZUDUEVAVCVDADVA
      AACUFGZUGZVDSZVCVDSADSZVAVMVCVDABVCVBVLCVLRZVIVKUHUIUSVGUTACUMGZHVNVOUJVH
      USBVQABVQCVQRZUKULAVBVLVQCDVDVIVPVRVJEUNUOUPUQUR $.

    obsocv.o $e |- ._|_ = ( ocv ` W ) $.
    $( An orthonormal basis has trivial orthocomplement.  (Contributed by Mario
       Carneiro, 23-Oct-2015.) $)
    obsocv $p |- ( B e. ( OBasis ` W ) -> ( ._|_ ` B ) = { .0. } ) $=
      ( vx vy cobs cfv wcel cv cip co wceq csca cur c0g wral eqid cif csn isobs
      cphl cbs wss wa simp3bi simprd ) ACIJKZGLZHLZCMJZNUKULOCPJZQJZUNRJZUAOHAS
      GASZABJDUBOZUJCUDKACUEJZUFUQURUGGHAUOUNUMBUSCDUPUSTUMTUNTUOTUPTFEUCUHUI
      $.
  $}

  ${
    obs2ocv.o $e |- ._|_ = ( ocv ` W ) $.
    obs2ocv.v $e |- V = ( Base ` W ) $.
    $( The double orthocomplement (closure) of an orthonormal basis is the
       whole space.  (Contributed by Mario Carneiro, 23-Oct-2015.) $)
    obs2ocv $p |- ( B e. ( OBasis ` W ) -> ( ._|_ ` ( ._|_ ` B ) ) = V ) $=
      ( cobs cfv wcel c0g csn eqid obsocv fveq2d cphl wceq obsrcl ocvz eqtrd
      syl ) ADGHIZABHZBHDJHZKZBHZCUAUBUDBABDUCUCLZEMNUADOIUECPADQBCDUCFEUFRTS
      $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x W $.
    obselocv.o $e |- ._|_ = ( ocv ` W ) $.
    $( A basis element is in the orthocomplement of a subset of the basis iff
       it is not in the subset.  (Contributed by Mario Carneiro,
       23-Oct-2015.) $)
    obselocv $p |- ( ( B e. ( OBasis ` W ) /\ C C_ B /\ A e. B ) ->
       ( A e. ( ._|_ ` C ) <-> -. A e. C ) ) $=
      ( vx cobs cfv wcel wss w3a wn wa c0g eqid wceq cin 3ad2ant1 syl2anc clspn
      wne obsne0 3adant2 csn elin clmod cbs cphl obsrcl phllmod syl simp2 obsss
      sstrd lspssid ssrind ocvlsp ineq2d clss lspcl ocvin sseqtrd sseld syl5bir
      wi eqtr3d elsni syl6 necon3ad mpd imnan sylibr con2d cv cip co csca simpr
      eleq1 syl5ibrcom con3d cur cif simpl1 simpl3 sselda obsip syl3anc iffalse
      wral eqeq2d syl5ibcom syld ralrimdva simp3 sseldd elocv df-3an bitri baib
      wb sylibrd impbid ) BEHIJZCBKZABJZLZACDIZJZACJZMZXHXKXJXHXKXJNZMZXKXJMVFX
      HAEOIZUBZXNXEXGXPXFABEXOXOPZUCUDXHXMAXOXHXMAXOUEZJZAXOQXMACXIRZJXHXSACXIU
      FXHXTXRAXHXTCEUAIZIZXIRZXRXHCYBXIXHEUGJZCEUHIZKZCYBKXHEUIJZYDXEXFYGXGBEUJ
      SZEUKULZXHCBYEXEXFXGUMZXEXFBYEKXGBYEEYEPZUNSZUOZCYAYEEYKYAPZUPTUQXHYBYBDI
      ZRZYCXRXHYOXIYBXHYGYFYOXIQYHYMCYADYEEYKFYNURTUSXHYGYBEUTIZJZYPXRQYHXHYDYF
      YRYIYMYQCYAYEEYKYQPZYNVATYBYQDEXOFYSXQVBTVGVCVDVEAXOVHVIVJVKXKXJVLVMVNXHX
      LAGVOZEVPIZVQZEVRIZOIZQZGCWKZXJXHXLUUEGCXHYTCJZNZXLAYTQZMZUUEUUHUUIXKUUHX
      KUUIUUGXHUUGVSAYTCVTWAWBUUHUUBUUIUUCWCIZUUDWDZQZUUJUUEUUHXEXGYTBJUUMXEXFX
      GUUGWEXEXFXGUUGWFXHCBYTYJWGBAYTUUKUUCUUAYEEUUDYKUUAPZUUCPZUUKPUUDPZWHWIUU
      JUULUUDUUBUUIUUKUUDWJWLWMWNWOXHYFAYEJZXJUUFXBYMXHBYEAYLXEXFXGWPWQXJYFUUQN
      ZUUFXJYFUUQUUFLUURUUFNGACUUCUUADYEEUUDYKUUNUUOUUPFWRYFUUQUUFWSWTXATXCXD
      $.
  $}

  ${
    $d x B $.  $d x C $.  $d x W $.
    $( A basis has no proper subsets that are also bases.  (Contributed by
       Mario Carneiro, 23-Oct-2015.) $)
    obs2ss $p |- ( ( B e. ( OBasis ` W ) /\ C e. ( OBasis ` W ) /\ C C_ B ) ->
                   C = B ) $=
      ( vx cobs cfv wcel wss w3a simp3 cv wa c0g wne eqid obsne0 3ad2antl1 cocv
      wn wceq obselocv 3expa 3adantl2 csn simpl2 obsocv syl eleq2d elsni syl6bi
      wb sylbird necon1ad mpd eqelssd ) ACEFZGZBUPGZBAHZIZDBAUQURUSJUTDKZAGZLZV
      ACMFZNZVABGZUQURVBVEUSVAACVDVDOZPQVCVFVAVDVCVFSZVABCRFZFZGZVAVDTZUQUSVBVK
      VHUKZURUQUSVBVMVAABVICVIOZUAUBUCVCVKVAVDUDZGVLVCVJVOVAVCURVJVOTUQURUSVBUE
      BVICVDVGVNUFUGUHVAVDUIUJULUMUNUO $.
  $}

  ${
    $d x y B $.  $d x J $.  $d x y N $.  $d x y W $.
    obslbs.j $e |- J = ( LBasis ` W ) $.
    obslbs.n $e |- N = ( LSpan ` W ) $.
    obslbs.c $e |- C = ( ClSubSp ` W ) $.
    $( An orthogonal basis is a linear basis iff the span of the basis elements
       is closed (which is usually not true).  (Contributed by Mario Carneiro,
       29-Oct-2015.) $)
    obslbs $p |- ( B e. ( OBasis ` W ) -> ( B e. J <-> ( N ` B ) e. C ) ) $=
      ( vx vy cfv wcel wceq wss eqid syl2anc wb syl wi wa cobs cocv cphl obsrcl
      cbs obsss ocvlsp fveq2d obs2ocv eqtrd eqeq2d iscss clvec wpss wal phllvec
      cv wn wex pssnel adantl c0g csn wne pssss ad2antlr simpr obselocv syl3anc
      simpll obsne0 nelsn nelne1 expcom sylbird npss clmod phllmod sstrd lspssv
      ad2antrr ocv1 eqeq12d syl5ib embantd syl5bi necon1ad syld expimpd exlimdv
      fveq2 mpd ex alrimiv w3a islbs3 3anan32 bitrdi baibd syl12anc 3bitr4rd )
      AEUAKLZADKZXCEUBKZKZXDKZMZXCEUEKZMZXCBLZACLZXBXFXHXCXBXFAXDKZXDKXHXBXEXLX
      DXBEUCLZAXHNZXEXLMAEUDZAXHEXHOZUFZADXDXHEXPXDOZGUGPUHAXDXHEXRXPUIUJUKXBXM
      XJXGQXOBXCXDEUCXRHULRXBEUMLZXNIUQZAUNZXTDKZXHUNZSZIUOZXKXIQXBXMXSXOEUPRXQ
      XBYDIXBYAYCXBYATZJUQZALZYGXTLURZTZJUSZYCYAYKXBJXTAUTVAYFYJYCJYFYHYIYCYFYH
      TZYIXTXDKZEVBKZVCZVDZYCYLYIYGYMLZYPYLXBXTANZYHYQYIQXBYAYHVJZYAYRXBYHXTAVE
      VFZYFYHVGZYGAXTXDEXRVHVIYLYGYOLURZYQYPSYLYGYNVDZUUBYLXBYHUUCYSUUAYGAEYNYN
      OZVKPYGYNVLRYQUUBYPYGYMYOVMVNRVOYLYCYMYOYCURYBXHNZYBXHMZSYLYMYOMZYBXHVPYL
      UUEUUFUUGYLEVQLZXTXHNZUUEXBUUHYAYHXBXMUUHXOEVRRWAYLXTAXHYTXBXNYAYHXQWAVSZ
      XTDXHEXPGVTPUUFYBXDKZXHXDKZMYLUUGYBXHXDWKYLUUKYMUULYOYLXMUUIUUKYMMXBXMYAY
      HXOWAZUUJXTDXDXHEXPXRGUGPYLXMUULYOMUUMXDXHEYNXPXRUUDWBRWCWDWEWFWGWHWIWJWL
      WMWNXSXKXNYETZXIXSXKXNXIYEWOUUNXITACDXHEIXPFGWPXNXIYEWQWRWSWTXA $.
  $}

$( End $[ set-algstr.mm $] $)


$( Begin $[ set-linalg.mm $] $)
$(
###############################################################################
  BASIC LINEAR ALGEBRA
###############################################################################

  According to Wikipedia ("Linear algebra", 03-Mar-2019,
  ~ https://en.wikipedia.org/wiki/Linear_algebra ) "Linear algebra is the
  branch of mathematics concerning linear equations [[...], linear functions
  [[...] and their representations through matrices and vector spaces."  Or
  according to the Merriam-Webster dictionary ("linear algebra", 12-Mar-2019,
  ~ https://www.merriam-webster.com/dictionary/linear%20algebra ) "Definition
  of linear algebra: a branch of mathematics that is concerned with
  mathematical structures closed under the operations of addition and scalar
  multiplication and that includes the theory of systems of linear equations,
  matrices, determinants, vector spaces, and linear transformations."  Dealing
  with modules (over rings) instead of vector spaces (over fields) allows for a
  more unified approach.  Therefore, linear equations, matrices, determinants,
  are usually regarded as "over a ring" in this part.

  Unless otherwise stated, the rings of scalars need not be commutative
  (see ~ df-cring ), but the existence of a multiplicative neutral element is
  always assumed (our rings are unital, see ~ df-ring ).

  For readers knowing vector spaces but unfamiliar with modules: the elements
  of a module are still called "vectors" and they still form a group under
  addition, with a zero vector as neutral element, like in a vector space.
  Like in a vector space, vectors can be multiplied by scalars, with the usual
  rules, the only difference being that the scalars are only required to form a
  ring, and not necessarily a field or a division ring.  Note that any vector
  space is a (special kind of) module, so any theorem proved below for modules
  applies to any vector space.

$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Vectors and free modules
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Direct sum of left modules
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  <HTML>
  According to Wikipedia ("Direct sum of modules", 28-Mar-2019,
~ https://en.wikipedia.org/wiki/Direct_sum_of_modules ) "Let R be a ring, and
{ M<sub>i</sub>: i &isin; I } a family of left R-modules indexed by the set I.
The direct sum of {M<sub>i</sub>} is then defined to be the set of all
sequences (&alpha;<sub>i</sub>) where &alpha;<sub>i</sub> &isin; M<sub>i</sub>
and &alpha;<sub>i</sub> = 0 for cofinitely many indices i.  (The direct product
is analogous but the indices do not need to cofinitely vanish.)".  In this
definition, "cofinitely many" means "almost all" or "for all but finitely
many".  Furthemore, "This set inherits the module structure via componentwise
addition and scalar multiplication. Explicitly, two such sequences &alpha; and
&beta; can be added by writing (&alpha; + &beta;)<sub>i</sub> =
&alpha;<sub>i</sub> + &beta;<sub>i</sub> for all i (note that this is again
zero for all but finitely many indices), and such a sequence can be multiplied
with an element r from R by defining r(&alpha;)<sub>i</sub> =
(r&alpha;)<sub>i</sub> for all i.".
<br>
In [Lang] p. 128, the definition of the direct sum of left modules
is based on direct sums of abelian groups ("We define on [the direct sum of
abelian groups M<sub>i</sub>] M a structure of A-module: If
(x<sub>i</sub>)<sub>i &isin; I</sub> is an element of M, i.e. a familiy of
elements x<sub>i</sub> &isin; M<sub>i</sub> such that x<sub>i</sub> = 0 for
almost all i, and if a &isin; A, then we define a(x<sub>i</sub>)<sub>i &isin;
I</sub> = (ax<sub>i</sub>)<sub>i &isin; I</sub>, that is we define
multiplication by a componentwise.") which itself is based on the direct
product of abelian groups ([Lang] p. 36: "Let {A<sub>i</sub>}<sub>i &isin;
I</sub> be a family of abelian groups. We define their direct sum A ... to be
the subset of the direct product ... consisting of all families
(x<sub>i</sub>)<sub>i &isin; I</sub> with x<sub>i</sub> &isin; A<sub>i</sub>
such that x<sub>i</sub> = 0 for all but a finite number of indices i").
<br>
In short, the <b>direct sum</b> of a familiy of (left) modules
{M<sub>i</sub>}<sub>i &isin; I</sub> is the restriction of the direct product
of {M<sub>i</sub>}<sub>i &isin; I</sub> to the elements with index function
having finite support, as formalized by Definition ~ df-dsmm .
</HTML>

$)

  $c (+)m $.

  $( Class of module direct sum generator. $)
  cdsmm $a class (+)m $.

  ${
    $d s r f x $.
    $( The direct sum of a family of Abelian groups or left modules is the
       induced group structure on finite linear combinations of elements, here
       represented as functions with finite support.  (Contributed by Stefan
       O'Rear, 7-Jan-2015.) $)
    df-dsmm $a |- (+)m = ( s e. _V , r e. _V |-> ( ( s Xs_ r ) |`s
        { f e. X_ x e. dom r ( Base ` ( r ` x ) ) |
          { x e. dom r | ( f ` x ) =/= ( 0g ` ( r ` x ) ) } e. Fin } ) ) $.
  $}

  ${
    $d S s r f x $.  $d R s r f x $.  $d B s r $.
    $( The direct sum is a well-behaved binary operator.  (Contributed by
       Stefan O'Rear, 7-Jan-2015.) $)
    reldmdsmm $p |- Rel dom (+)m $=
      ( vs vr vx vf cvv cv cprds cfv c0g wne cdm crab cfn wcel cixp cress cdsmm
      co cbs df-dsmm reldmmpo ) ABEEAFBFZGRCFZDFHUCUBHZIHJCUBKZLMNDCUEUDSHOLPRQ
      CDABTUA $.

    dsmmval.b $e |- B = { f e. ( Base ` ( S Xs_ R ) ) |
        { x e. dom R | ( f ` x ) =/= ( 0g ` ( R ` x ) ) } e. Fin } $.
    $( Value of the module direct sum.  (Contributed by Stefan O'Rear,
       7-Jan-2015.) $)
    dsmmval $p |- ( R e. V -> ( S (+)m R ) = ( ( S Xs_ R ) |`s B ) ) $=
      ( vs vr wcel cvv cdsmm co cprds cress wceq cv cfv crab cbs c0g wne cdm wa
      elex cfn cixp oveq12 eqid vex a1i eqidd prdsbas fveq2d eqtr3d simpr dmeqd
      fveq1d neeq2d rabeqbidv eleq1d eqtr4di oveq12d df-dsmm ovex ovmpoa ovprc1
      wn c0 reldmdsmm ress0 reldmprds oveq1d eqtr4d adantr pm2.61ian syl ) CFJC
      KJZDCLMZDCNMZBOMZPZCFUEDKJZVRWBHIDCKKHQZIQZNMZAQZEQRZWGWERZUARZUBZAWEUCZS
      ZUFJZEAWLWITRUGZSZOMWALWDDPZWECPZUDZWFVTWPBOWDDWECNUHZWSWPWHWGCRZUARZUBZA
      CUCZSZUFJZEVTTRZSBWSWNXFEWOXGWSWFTRZWOXGWSAXHWFWEWDWLKKWFUIWDKJWSHUJUKWEK
      JWSIUJUKXHUIWSWLULUMWSWFVTTWTUNUOWSWMXEUFWSWKXCAWLXDWSWECWQWRUPZUQWSWJXBW
      HWSWIXAUAWSWGWECXIURUNUSUTVAUTGVBVCAEHIVDVTBOVEVFWCVHZWBVRXJVSVIBOMZWAXJV
      SVIXKDCLVJVGBVKVBXJVTVIBODCNVLVGVMVNVOVPVQ $.

    $( Base set of the module direct sum.  (Contributed by Stefan O'Rear,
       7-Jan-2015.) $)
    dsmmbase $p |- ( R e. V -> B = ( Base ` ( S (+)m R ) ) ) $=
      ( wcel cvv cdsmm co cbs cfv wceq elex cprds cress wss cv eqid c0g wne cdm
      crab cfn ssrab3 ressbas2 ax-mp dsmmval fveq2d eqtr4id syl ) CFHCIHZBDCJKZ
      LMZNCFOUMBDCPKZBQKZLMZUOBUPLMZRBURNASZESMUTCMUAMUBACUCUDUEHEUSBGUFBUSUQUP
      UQTUSTUGUHUMUNUQLABCDEIGUIUJUKUL $.
  $}

  ${
    $d S f x $.  $d R f x $.
    dsmmval2.b $e |- B = ( Base ` ( S (+)m R ) ) $.
    $( Self-referential definition of the module direct sum.  (Contributed by
       Stefan O'Rear, 7-Jan-2015.)  (Revised by Stefan O'Rear, 6-May-2015.) $)
    dsmmval2 $p |- ( S (+)m R ) = ( ( S Xs_ R ) |`s B ) $=
      ( vx vf cdsmm co cprds cbs cfv cress cvv wcel wceq cv crab eqid oveq2i c0
      c0g wne cdm cfn ssrab2 ressbas2 ax-mp dsmmval fveq2d oveq2d 3eqtr4a ress0
      wss wn eqcomi reldmdsmm ovprc2 reldmprds oveq1d pm2.61i eqtr4i ) CBGHZCBI
      HZVBJKZLHZVCALHBMNZVBVEOVFVCEPZFPKVGBKUAKUBEBUCQUDNZFVCJKZQZLHZVCVKJKZLHV
      BVEVJVLVCLVJVIUMVJVLOVHFVIUEVJVIVKVCVKRVIRUFUGSEVJBCFMVJRUHZVFVDVLVCLVFVB
      VKJVMUIUJUKVFUNZTTVDLHZVBVEVOTVDULUOCBGUPUQVNVCTVDLCBIURUQUSUKUTAVDVCLDSV
      A $.
  $}

  ${
    $d S f x $.  $d R f x $.  $d P f x $.  $d I f x $.  $d V f x $.
    dsmmbas2.p $e |- P = ( S Xs_ R ) $.
    dsmmbas2.b $e |- B = { f e. ( Base ` P ) |
        dom ( f \ ( 0g o. R ) ) e. Fin } $.
    $( Base set of the direct sum module using the ~ fndmin abbreviation.
       (Contributed by Stefan O'Rear, 1-Feb-2015.) $)
    dsmmbas2 $p |- ( ( R Fn I /\ I e. V ) -> B = ( Base ` ( S (+)m R ) ) ) $=
      ( vx wfn wcel wa c0g cfn cbs cfv crab wceq cvv cv ccom cdif cdm cdsmm wne
      co cprds fveq2i rabeqi simpll fvco2 sylan neeq2d eqid reldmprds strov2rcl
      rabbidva adantl simplr simpr prdsbasfn fn0g dffn2 mpbi biimpi fco sylancr
      ffnd syl fndmdif syl2anc fndm rabeqdv 3eqtr4d eleq1d eqtrid fnex dsmmbase
      wf eqtrd ) CFKZFGLZMZAEUAZNCUBZUCUDZOLZEBPQZRZDCUEUGPQZIWDWJJUAZWEQZWLCQN
      QZUFZJCUDZRZOLZEDCUHUGZPQZRZWKWDWJWHEWTRXAWHEWIWTBWSPHUIUJWDWHWREWTWDWEWT
      LZMZWGWQOXCWMWLWFQZUFZJFRZWOJFRZWGWQXCXEWOJFXCWLFLZMXDWNWMXCWBXHXDWNSWBWC
      XBUKZFNCWLULUMUNURXCWEFKWFFKZWGXFSXCWTCDWEFTGWSWSUOZWTUOZXBDTLWDWTCWSUHDW
      EXKXLUPUQUSWBWCXBUTXIWDXBVAVBXCWBXJXIWBFTWFWBTTNVTZFTCVTZFTWFVTNTKXMVCTNV
      DVEWBXNFCVDVFFTTNCVGVHVIVJJFWEWFVKVLXCWBWQXGSXIWBWOJWPFFCVMVNVJVOVPURVQWD
      CTLXAWKSFGCVRJXACDETXAUOVSVJWAVQ $.
  $}

  ${
    $d S f $.  $d R f $.  $d I f $.

    $( For finite products, the direct sum is just the module product.  See
       also the observation in [Lang] p. 129.  (Contributed by Stefan O'Rear,
       1-Feb-2015.) $)
    dsmmfi $p |- ( ( R Fn I /\ I e. Fin ) -> ( S (+)m R ) = ( S Xs_ R ) ) $=
      ( vf wfn cfn wcel wa co cprds cbs cfv cress eqid cdm wceq wss cvv ax-mp
      c0 cdsmm dsmmval2 cv c0g ccom cdif crab wral noel reldmprds ovprc1 fveq2d
      wn base0 eqtr4di eleq2d mtbiri con4i adantl simplr simpll simpr prdsbasfn
      fndmd eqeltrd dmss sylancl ralrimiva rabid2 sylibr dsmmbas2 eqtr2d oveq2d
      difss ssfi ovex ressid eqtrdi eqtrid ) ACEZCFGZHZBAUAIZBAJIZWCKLZMIZWDWEA
      BWENUBWBWFWDWDKLZMIZWDWBWEWGWDMWBWGDUCZUDAUEZUFZOZFGZDWGUGZWEWBWMDWGUHWGW
      NPWBWMDWGWBWIWGGZHZWIOZFGWLWQQZWMWPWQCFWPCWIWPWGABWICRFWDWDNZWGNZWOBRGZWB
      XAWOXAUMZWOWITGWIUIXBWGTWIXBWGTKLTXBWDTKBAJUJUKULUNUOUPUQURUSVTWAWOUTZVTW
      AWOVAWBWOVBVCVDXCVEWKWIQWRWIWJVNWKWIVFSWQWLVOVGVHWMDWGVIVJWNWDABDCFWSWNNV
      KVLVMWDRGWHWDPBAJVPWGWDRWTVQSVRVS $.
  $}

  ${
    $d S a b $.  $d R a b $.  $d X a b $.  $d I a b $.
    dsmmelbas.p $e |- P = ( S Xs_ R ) $.
    dsmmelbas.c $e |- C = ( S (+)m R ) $.
    dsmmelbas.b $e |- B = ( Base ` P ) $.
    dsmmelbas.h $e |- H = ( Base ` C ) $.
    dsmmelbas.i $e |- ( ph -> I e. V ) $.
    dsmmelbas.r $e |- ( ph -> R Fn I ) $.
    $( Membership in the finitely supported hull of a structure product in
       terms of the index set.  (Contributed by Stefan O'Rear, 11-Jan-2015.) $)
    dsmmelbas $p |- ( ph -> ( X e. H <-> ( X e. B /\ { a e. I |
          ( X ` a ) =/= ( 0g ` ( R ` a ) ) } e. Fin ) ) ) $=
      ( wcel cfv cbs vb cv c0g wne cdm crab cfn cprds co cdsmm fveq2i eqtri cvv
      wa wceq wfn fnex syl2anc dsmmbase syl eqtr4id eleq2d fveq1 neeq1d rabbidv
      eqid eleq1d elrab eqtr2i eleq2i a1i fndm rabeq 3syl anbi12d syl5bb bitrd
      wb ) AJGRJKUBZUAUBZSZVSESUCSZUDZKEUEZUFZUGRZUAFEUHUIZTSZUFZRZJBRZVSJSZWBU
      DZKHUFZUGRZUNZAGWIJAGFEUJUIZTSZWIGCTSWROCWQTMUKULAEUMRZWIWRUOAEHUPZHIRWSQ
      PHIEUQURKWIEFUAUMWIVFUSUTVAVBWJJWHRZWMKWDUFZUGRZUNAWPWFXCUAJWHVTJUOZWEXBU
      GXDWCWMKWDXDWAWLWBVSVTJVCVDVEVGVHAXAWKXCWOXAWKVRAWHBJBDTSWHNDWGTLUKVIVJVK
      AXBWNUGAWTWDHUOXBWNUOQHEVLWMKWDHVMVNVGVOVPVQ $.
  $}

  ${
    $d ph a $.  $d P a $.  $d S a $.  $d R a $.  $d .0. a $.  $d .+ a $.
    $d J a $.  $d K a $.  $d I a $.
    dsmmcl.p $e |- P = ( S Xs_ R ) $.
    dsmmcl.h $e |- H = ( Base ` ( S (+)m R ) ) $.
    dsmmcl.i $e |- ( ph -> I e. W ) $.
    dsmmcl.s $e |- ( ph -> S e. V ) $.
    dsmmcl.r $e |- ( ph -> R : I --> Mnd ) $.
    ${
      dsmm0cl.z $e |- .0. = ( 0g ` P ) $.
      $( The all-zero vector is contained in the finite hull, since its support
         is empty and therefore finite.  This theorem along with the next one
         effectively proves that the finite hull is a "submonoid", although
         that does not exist as a defined concept yet.  (Contributed by Stefan
         O'Rear, 11-Jan-2015.) $)
      dsmm0cl $p |- ( ph -> .0. e. H ) $=
        ( va wcel cfv c0g wceq cbs cv wne crab cfn cmnd prdsmndd mndidcl syl c0
        eqid wn wral wa ccom prds0g eqtr4di adantr fveq1d wfn ffnd fvco2 eqtr3d
        sylan nne sylibr ralrimiva rabeq0 eqeltrdi cdsmm co dsmmelbas mpbir2and
        0fin ) AIEQIBUARZQZPUBZIRZVQCRSRZUCZPFUDZUEQABUFQVPACDFGHBJLMNUGVOBIVOU
        KZOUHUIAWAUJUEAVTULZPFUMWAUJTAWCPFAVQFQZUNZVRVSTWCWEVQSCUOZRZVRVSWEVQWF
        IAWFITWDAWFBSRIACDFGHBJLMNUPOUQURUSACFUTWDWGVSTAFUFCNVAZFSCVQVBVDVCVRVS
        VEVFVGVTPFVHVFVNVIAVODCVJVKZBCDEFHIPJWIUKWBKLWHVLVM $.
    $}

    ${
      dsmmacl.j $e |- ( ph -> J e. H ) $.
      dsmmacl.k $e |- ( ph -> K e. H ) $.
      dsmmacl.a $e |- .+ = ( +g ` P ) $.
      $( The finite hull is closed under addition.  (Contributed by Stefan
         O'Rear, 11-Jan-2015.) $)
      dsmmacl $p |- ( ph -> ( J .+ K ) e. H ) $=
        ( wcel va co cbs cfv cv c0g wne crab cfn eqid cdsmm cmnd ffnd dsmmelbas
        mpbid simpld prdsplusgcl cplusg adantr wfn simpr prdsplusgfval rabbidva
        wa neeq1d cun simprd unfi syl2anc wceq neorian bicomi con1bii ffvelrnda
        wo wn mndlid syl2anc2 oveq12 eqeq1d syl5ibrcom syl5bi necon1ad ss2rabdv
        mndidcl unrab sseqtrrdi ssfid eqeltrd mpbir2and ) AHICUBZFTWKBUCUDZTUAU
        EZWKUDZWMDUDZUFUDZUGZUAGUHZUITAWLCDEHIGJKBLWLUJZSONPAHWLTZWMHUDZWPUGZUA
        GUHZUITZAHFTWTXDVDQAWLEDUKUBZBDEFGKHUALXEUJZWSMNAGULDPUMZUNUOZUPZAIWLTZ
        WMIUDZWPUGZUAGUHZUITZAIFTXJXNVDRAWLXEBDEFGKIUALXFWSMNXGUNUOZUPZUQAWRXAX
        KWOURUDZUBZWPUGZUAGUHZUIAWQXSUAGAWMGTZVDZWNXRWPYBWLCDEHIGWMJKBLWSAEJTYA
        OUSAGKTYANUSADGUTYAXGUSAWTYAXIUSAXJYAXPUSSAYAVAVBVEVCAXCXMVFZXTAXDXNYCU
        ITAWTXDXHVGAXJXNXOVGXCXMVHVIAXTXBXLVOZUAGUHYCAXSYDUAGYBYDXRWPYDVPXAWPVJ
        XKWPVJVDZYBXRWPVJZYEYDYDYEVPXAWPXKWPVKVLVMYBYFYEWPWPXQUBZWPVJZYBWOULTWP
        WOUCUDZTYHAGULWMDPVNYIWOWPYIUJZWPUJZWEYIXQWOWPWPYJXQUJYKVQVRYEXRYGWPXAW
        PXKWPXQVSVTWAWBWCWDXBXLUAGWFWGWHWIAWLXEBDEFGKWKUALXFWSMNXGUNWJ $.
    $}
  $}

  ${
    $d x S $.  $d x R $.  $d x X $.  $d x Y $.  $d x I $.  $d x B $.
    $d ph x $.  $d J x $.
    prdsinvgd2.y $e |- Y = ( S Xs_ R ) $.
    prdsinvgd2.i $e |- ( ph -> I e. W ) $.
    prdsinvgd2.s $e |- ( ph -> S e. V ) $.
    prdsinvgd2.r $e |- ( ph -> R : I --> Grp ) $.
    prdsinvgd2.b $e |- B = ( Base ` Y ) $.
    prdsinvgd2.n $e |- N = ( invg ` Y ) $.
    prdsinvgd2.x $e |- ( ph -> X e. B ) $.
    prdsinvgd2.j $e |- ( ph -> J e. I ) $.
    $( Negation of a single coordinate in a structure product.  (Contributed by
       Stefan O'Rear, 11-Jan-2015.) $)
    prdsinvgd2 $p |- ( ph -> ( ( N ` X ) ` J ) =
        ( ( invg ` ( R ` J ) ) ` ( X ` J ) ) ) $=
      ( cfv vx cminusg cmpt prdsinvgd fveq1d wcel wceq 2fveq3 fveq12d eqid fvex
      cv fveq2 fvmpt syl eqtrd ) AFJGTZTFUAEUAULZJTZURCTUBTZTZUCZTZFJTZFCTUBTZT
      ZAFUQVBAUABCDEGHIJKLMNOPQRUDUEAFEUFVCVFUGSUAFVAVFEVBURFUGUSVDUTVEURFUBCUH
      URFJUMUIVBUJVDVEUKUNUOUP $.
  $}

  ${
    $d H a b $.  $d P a b $.  $d S a b $.  $d R a b $.  $d I b $.  $d ph a b $.
    dsmmsubg.p $e |- P = ( S Xs_ R ) $.
    dsmmsubg.h $e |- H = ( Base ` ( S (+)m R ) ) $.
    dsmmsubg.i $e |- ( ph -> I e. W ) $.
    dsmmsubg.s $e |- ( ph -> S e. V ) $.
    dsmmsubg.r $e |- ( ph -> R : I --> Grp ) $.
    $( The finite hull of a product of groups is additionally closed under
       negation and thus is a subgroup of the product.  (Contributed by Stefan
       O'Rear, 11-Jan-2015.) $)
    dsmmsubg $p |- ( ph -> H e. ( SubGrp ` P ) ) $=
      ( va vb cfv wcel wceq cgrp eqid cplusg cress co c0g eqidd cdsmm cbs cprds
      cv wne cdm crab cfn cvv fexd dsmmbase syl ssrab2 eqsstrrdi fveq2i 3sstr4g
      wf cmnd wss grpmnd ssriv fss sylancl dsmm0cl 3ad2ant1 simp2 simp3 dsmmacl
      w3a wa cminusg prdsgrpd adantr sselda grpinvcl syl2anc wfn ffnd dsmmelbas
      simpr mpbid simprd ad2antrr prdsinvgd2 adantrr ad2antll ffvelrnda adantlr
      fveq2 grpinvid 3eqtrd expr necon3d ss2rabdv ssfid mpbir2and issubgrpd2 )
      ANOEBUAPZBEUBUCZBBUDPZAXDUEAXEUEAXCUEADCUFUCZUGPZDCUHUCZUGPZEBUGPZAXGOUIZ
      NUIZPZXKCPZUDPZUJZOCUKULUMQZNXIULZXIACUNQXRXGRAFSHCMKUOOXRCDNUNXRTUPUQXQN
      XIURUSJBXHUGIUTVAZABCDEFGHXEIJKLAFSCVBZSVCVDFVCCVBZMNSVCXLVEVFFSVCCVGVHZX
      ETVIAXLEQZXKEQZVNBXCCDEFXLXKGHIJAYCFHQZYDKVJAYCDGQZYDLVJAYCYAYDYBVJAYCYDV
      KAYCYDVLXCTVMAYCVOZXLBVPPZPZEQYIXJQZXKYIPZXOUJZOFULZUMQYGBSQZXLXJQZYJAYNY
      CACDFGHBIKLMVQZVRAEXJXLXSVSZXJBYHXLXJTZYHTZVTWAYGXPOFULZYMYGYOYTUMQZYGYCY
      OUUAVOAYCWEYGXJXFBCDEFHXLOIXFTZYRJAYEYCKVRZACFWBYCAFSCMWCVRZWDWFWGYGYLXPO
      FYGXKFQZVOZXMXOYKXOYGUUEXMXORZYKXORYGUUEUUGVOVOYKXMXNVPPZPZXOUUHPZXOYGUUE
      YKUUIRUUGUUFXJCDFXKYHGHXLBIAYEYCUUEKWHAYFYCUUELWHAXTYCUUEMWHYRYSYGYOUUEYQ
      VRYGUUEWEWIWJUUGUUIUUJRYGUUEXMXOUUHWNWKYGUUEUUJXORZUUGUUFXNSQZUUKAUUEUULY
      CAFSXKCMWLWMXNUUHXOXOTUUHTWOUQWJWPWQWRWSWTYGXJXFBCDEFHYIOIUUBYRJUUCUUDWDX
      AYPXB $.
  $}

  ${
    $d ph a b x $.  $d S a b x $.  $d R a b x $.  $d I a b x $.  $d P a b x $.
    $d U a b $.  $d H a b x $.
    dsmmlss.i $e |- ( ph -> I e. W ) $.
    dsmmlss.s $e |- ( ph -> S e. Ring ) $.
    dsmmlss.r $e |- ( ph -> R : I --> LMod ) $.
    dsmmlss.k $e |- ( ( ph /\ x e. I ) -> ( Scalar ` ( R ` x ) ) = S ) $.

    ${
      dsmmlss.p $e |- P = ( S Xs_ R ) $.
      dsmmlss.u $e |- U = ( LSubSp ` P ) $.
      dsmmlss.h $e |- H = ( Base ` ( S (+)m R ) ) $.
      $( The finite hull of a product of modules is additionally closed under
         scalar multiplication and thus is a linear subspace of the product.
         (Contributed by Stefan O'Rear, 11-Jan-2015.) $)
      dsmmlss $p |- ( ph -> H e. U ) $=
        ( wcel cfv clmod eqid va vb csubg cv cvsca co wral csca cbs crg wf cgrp
        wss lmodgrp ssriv fss sylancl dsmmsubg wa c0g wne crab prdslmodd adantr
        cfn simprl simprr wb cdsmm ffnd dsmmelbas mpbid simpld lmodvscl syl3anc
        simprd wceq ad2antrr wfn cvv fexd prdssca fveq2d eleq2d biimpar adantrr
        simpr prdsvscafval adantlr simplrl eqtrd eleqtrrd lmodvs0 syl2anc oveq2
        ffvelrnda eqeq1d syl5ibrcom impr expr necon3d ss2rabdv ssfid ralrimivva
        mpbir2and islss4 syl ) AGFQZGCUCRQZUAUDZUBUDZCUERZUFZGQZUBGUGUACUHRZUIR
        ZUGZACDEGHUJINPJKAHSDUKSULUMHULDUKLUASULXJUNUOHSULDUPUQURAXNUAUBXPGAXJX
        PQZXKGQZUSZUSZXNXMCUIRZQZBUDZXMRZYDDRZUTRZVAZBHVBZVEQZYACSQZXRXKYBQZYCA
        YKXTABDEHICNKJLMVCZVDAXRXSVFYAYLYDXKRZYGVAZBHVBZVEQZYAXSYLYQUSZAXRXSVGA
        XSYRVHXTAYBEDVIUFZCDEGHIXKBNYSTZYBTZPJAHSDLVJZVKVDVLZVMZXJXLXOXPYBCXKUU
        AXOTZXLTZXPTZVNVOYAYPYIYAYLYQUUCVPYAYHYOBHYAYDHQZUSZYNYGYEYGYAUUHYNYGVQ
        ZYEYGVQYAUUHUUJUSUSYEXJYNYFUERZUFZYGYAUUHYEUULVQUUJUUIYBDEXLXJXKHYDEUIR
        ZUJICNUUAUUFUUMTAEUJQXTUUHKVRAHIQXTUUHJVRADHVSXTUUHUUBVRYAXJUUMQZUUHAXR
        UUNXSAUUNXRAUUMXPXJAEXOUIACDEUJVTNKAHSIDLJWAWBZWCWDWEWFVDYAYLUUHUUDVDYA
        UUHWGWHWFYAUUHUUJUULYGVQZUUIUUPUUJXJYGUUKUFZYGVQZUUIYFSQZXJYFUHRZUIRZQU
        URAUUHUUSXTAHSYDDLWPWIUUIXJXPUVAAXRXSUUHWJAUUHUVAXPVQXTAUUHUSZUUTXOUIUV
        BUUTEXOMAEXOVQUUHUUOVDWKWCWIWLUUKUUTUVAYFXJYGUUTTUUKTUVATYGTWMWNUUJUULU
        UQYGYNYGXJUUKWOWQWRWSWKWTXAXBXCAXNYCYJUSVHXTAYBYSCDEGHIXMBNYTUUAPJUUBVK
        VDXEXDAYKXHXIXQUSVHYMXPFXLGXOYBCUAUBUUEUUGUUAUUFOXFXGXE $.
    $}

    ${
      dsmmlmod.c $e |- C = ( S (+)m R ) $.
      $( The direct sum of a family of modules is a module.  See also the
         remark in [Lang] p. 128.  (Contributed by Stefan O'Rear,
         11-Jan-2015.) $)
      dsmmlmod $p |- ( ph -> C e. LMod ) $=
        ( cprds co clmod wcel cdsmm cbs cfv eqid prdslmodd cress dsmmval2 eqtri
        clss dsmmlss lsslmod syl2anc ) AEDMNZOPEDQNZRSZUIUESZPCOPABDEFGUIUITZIH
        JKUAABUIDEULUKFGHIJKUMULTZUKTZUFULUKUICCUJUIUKUBNLUKDEUOUCUDUNUGUH $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Free modules
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  According to Wikipedia ("Free module", 03-Mar-2019,
  ~ https://en.wikipedia.org/wiki/Free_module ) "In mathematics, a free module
  is a module that has a basis - that is, a generating set consisting of
  linearly independent elements.  Every vector space is a free module, but, if
  the ring of the coefficients is not a division ring (not a field in the
  commutative case), then there exist nonfree modules."  The same definition
  is used in [Lang] p. 135: "By a free module we shall mean a module which
  admits a basis, or the zero module."

  In the following, a free module is defined as the direct sum of copies of a
  ring regarded as a left module over itself, see ~ df-frlm .  Since a module
  has a basis if and only if it is isomorphic to a free module as defined by
  ~ df-frlm (see ~ lmisfree ), the two definitions are essentially equivalent.
  The free modules as defined by ~ df-frlm are also taken as a motivation to
  introduce free modules by [Lang] p. 135.

$)

  $c freeLMod $.

  $( Class of free module generator. $)
  cfrlm $a class freeLMod $.

  ${
    $d r i $.
    $( Define the function associating with a ring and a set the direct sum
       indexed by that set of copies of that ring regarded as a left module
       over itself.  Recall from ~ df-dsmm that an element of a direct sum has
       finitely many nonzero coordinates.  (Contributed by Stefan O'Rear,
       1-Feb-2015.) $)
    df-frlm $a |- freeLMod = ( r e. _V , i e. _V |->
                                  ( r (+)m ( i X. { ( ringLMod ` r ) } ) ) ) $.
  $}

  ${
    $d R r i $.  $d I r i $.  $d W r i $.
    frlmval.f $e |- F = ( R freeLMod I ) $.
    $( Value of the "free module" function.  (Contributed by Stefan O'Rear,
       1-Feb-2015.) $)
    frlmval $p |- ( ( R e. V /\ I e. W ) -> F =
                                  ( R (+)m ( I X. { ( ringLMod ` R ) } ) ) ) $=
      ( vr vi wcel cfrlm co crglmod cfv csn cxp cdsmm cvv wceq elex cv wa fveq2
      id sneqd xpeq2d oveq12d xpeq1 oveq2d df-frlm ovex ovmpo syl2an eqtrid ) A
      DIZCEIZUABACJKZACALMZNZOZPKZFUNAQICQIUPUTRUOADSCESGHACQQGTZHTZVALMZNZOZPK
      UTJAVBUROZPKVAARZVAAVEVFPVGUCVGVDURVBVGVCUQVAALUBUDUEUFVBCRVFUSAPVBCURUGU
      HHGUIAUSPUJUKULUM $.

    $( The free module is a module.  (Contributed by Stefan O'Rear,
       1-Feb-2015.) $)
    frlmlmod $p |- ( ( R e. Ring /\ I e. W ) -> F e. LMod ) $=
      ( vi crg wcel wa crglmod cfv csn cxp cdsmm clmod frlmval simpr csca wceq
      co simpl wf rlmlmod adantr fconst6g cv fvex fvconst2 adantl fveq2d rlmsca
      syl ad2antrr eqtr4d eqid dsmmlmod eqeltrd ) AGHZCDHZIZBACAJKZLMZNTZOABCGD
      EPUTFVCVBACDURUSQURUSUAUTVAOHZCOVBUBURVDUSAUCUDCVAOUEULUTFUFZCHZIZVEVBKZR
      KVARKZAVGVHVARVFVHVASUTCVAVEAJUGUHUIUJURAVISUSVFAGUKUMUNVCUOUPUQ $.

    ${
      frlmpws.b $e |- B = ( Base ` F ) $.
      $( The free module as a restriction of the power module.  (Contributed by
         Stefan O'Rear, 1-Feb-2015.) $)
      frlmpws $p |- ( ( R e. V /\ I e. W ) ->
          F = ( ( ( ringLMod ` R ) ^s I ) |`s B ) ) $=
        ( wcel wa crglmod cfv co cprds cress cbs eqid wceq oveq1d cvv csn cdsmm
        cxp dsmmval2 rlmsca adantr frlmval eqcomd fveq2d eqtr4di oveq12d eqtrid
        csca cpws fvex pwsval mpan adantl 3eqtr4d ) BEIZDFIZJZBDBKLZUAUCZUBMZVC
        UMLZVDNMZAOMZCVCDUNMZAOMVBVEBVDNMZVEPLZOMVHVKVDBVKQUDVBVJVGVKAOVBBVFVDN
        UTBVFRVABEUEUFSVBVKCPLAVBVECPVBCVEBCDEFGUGZUHUIHUJUKULVLVBVIVGAOVAVIVGR
        ZUTVCTIVAVMBKUOVCVFDTFVIVIQVFQUPUQURSUS $.

      frlmlss.u $e |- U = ( LSubSp ` ( ( ringLMod ` R ) ^s I ) ) $.
      $( The base set of the free module is a subspace of the power module.
         (Contributed by Stefan O'Rear, 1-Feb-2015.) $)
      frlmlss $p |- ( ( R e. Ring /\ I e. W ) -> B e. U ) $=
        ( crg wcel cfv co cbs fveq2d cprds clss clmod wceq eqid crglmod csn cxp
        vi wa cdsmm frlmval eqtrid simpr simpl rlmlmod adantr fconst6g syl csca
        wf cv fvex fvconst2 adantl rlmsca ad2antrr eqtr4d dsmmlss cpws cvv mpan
        pwsval eqcomd oveq1d eqtr2d eqtr4di eleqtrd eqeltrd ) BJKZEFKZUEZABEBUA
        LZUBUCZUFMZNLZCVQADNLWAHVQDVTNBDEJFGUGOUHVQWABVSPMZQLZCVQUDWBVSBWCWAEFV
        OVPUIVOVPUJVQVRRKZERVSUPVOWDVPBUKULEVRRUMUNVQUDUQZEKZUEZWEVSLZUOLVRUOLZ
        BWGWHVRUOWFWHVRSVQEVRWEBUAURZUSUTOVOBWISVPWFBJVAZVBVCWBTWCTWATVDVQWCVRE
        VEMZQLCVQWBWLQVQWLWIVSPMZWBVPWLWMSZVOVRVFKVPWNWJVRWIEVFFWLWLTWITVHVGUTV
        QWIBVSPVOWIBSVPVOBWIWKVIULVJVKOIVLVMVN $.
    $}

    $( The finite free module is a power of the ring module.  (Contributed by
       Stefan O'Rear, 1-Feb-2015.) $)
    frlmpwsfi $p |- ( ( R e. V /\ I e. Fin ) ->
        F = ( ( ringLMod ` R ) ^s I ) ) $=
      ( wcel cfn wa crglmod cfv csn cxp cdsmm cprds wceq cvv mpan adantl eqid
      co csca cpws wfn fnconstg ax-mp dsmmfi rlmsca adantr oveq1d eqtrd frlmval
      fvex pwsval 3eqtr4d ) ADFZCGFZHZACAIJZKLZMTZURUAJZUSNTZBURCUBTZUQUTAUSNTZ
      VBUPUTVDOZUOUSCUCZUPVEURPFZVFAIULZCURPUDUEUSACUFQRUQAVAUSNUOAVAOUPADUGUHU
      IUJABCDGEUKUPVCVBOZUOVGUPVIVHURVACPGVCVCSVASUMQRUN $.

    $( The ring of scalars of a free module.  (Contributed by Stefan O'Rear,
       1-Feb-2015.) $)
    frlmsca $p |- ( ( R e. V /\ I e. W ) -> R = ( Scalar ` F ) ) $=
      ( wcel wa crglmod cfv csca cpws co cbs cress wceq cvv fvex eqid pwssca
      mpan adantl resssca ax-mp eqtrdi rlmsca adantr frlmpws fveq2d 3eqtr4d ) A
      DGZCEGZHZAIJZKJZUNCLMZBNJZOMZKJZABKJUMUOUPKJZUSULUOUTPZUKUNQGULVAAIRUNUOC
      QEUPUPSUOSTUAUBUQQGUTUSPBNRUQUTUPURQURSUTSUCUDUEUKAUOPULADUFUGUMBURKUQABC
      DEFUQSUHUIUJ $.

    ${
      frlm0.z $e |- .0. = ( 0g ` R ) $.
      $( Zero in a free module (ring constraint is stronger than necessary, but
         allows use of ~ frlmlss ).  (Contributed by Stefan O'Rear,
         4-Feb-2015.) $)
      frlm0 $p |- ( ( R e. Ring /\ I e. W ) ->
        ( I X. { .0. } ) = ( 0g ` F ) ) $=
        ( crg wcel wa crglmod cfv cpws co c0g cbs wceq clmod eqid sylan csn cxp
        cress csubg clss rlmlmod pwslmod frlmlss lsssubg syl2anc subg0 syl cmnd
        cgrp lmodgrp grpmnd 3syl rlm0 eqtri pws0g frlmpws fveq2d 3eqtr4d ) AHIZ
        CDIZJZAKLZCMNZOLZVHBPLZUCNZOLZCEUAUBZBOLVFVJVHUDLIZVIVLQVFVHRIZVJVHUELZ
        IVNVDVGRIZVEVOAUFZVGCDVHVHSZUGTVJAVPBCDFVJSZVPSZUHVPVJVHWAUIUJVJVHVKVIV
        KSVISUKULVDVGUMIZVEVMVIQVDVQVGUNIWBVRVGUOVGUPUQVGCDVHEVSEAOLVGOLGAURUSU
        TTVFBVKOVJABCHDFVTVAVBVC $.
    $}

    ${
      $d N k x $.  $d R k x $.  $d B x $.  $d I k x $.  $d W k x $.
      $d V k x $.  $d .0. k x $.
      frlmbas.n $e |- N = ( Base ` R ) $.
      frlmbas.z $e |- .0. = ( 0g ` R ) $.
      frlmbas.b $e |- B = { k e. ( N ^m I ) | k finSupp .0. } $.
      $( Base set of the free module.  (Contributed by Stefan O'Rear,
         1-Feb-2015.)  (Revised by AV, 23-Jun-2019.) $)
      frlmbas $p |- ( ( R e. V /\ I e. W ) -> B = ( Base ` F ) ) $=
        ( wcel c0g cfv cbs wceq cvv adantl vx crglmod csn cxp ccom cdif cdm cfn
        wa cv cprds co crab cdsmm fvex fnconstg ax-mp eqid dsmmbas2 mpan cfsupp
        wfn wbr cmap csupp wne fvco2 fvconst2 fveq2d eqtri eqtr4di eqtrd neeq2d
        rlm0 rabbidva elmapfn crn wss fn0g ssv fnco mp3an fndmdif sylancl fvexi
        simplr a1i suppvalfn syl3anc 3eqtr4d eleq1d wfun wb elmapfun funisfsupp
        w3a 3jca syl bitr4d cpws rlmbas pwsbas csca pwsval rlmsca adantr oveq1d
        id eqtr4d rabeqdv eqtr3d eqtrid frlmval ) BGNZEHNZUIZCUJZOEBUBPZUCUDZUE
        ZUFUGZUHNZCBXSUKULZQPZUMZBXSUNULZQPZADQPXOYEYGRZXNXSEVBZXOYHXRSNZYIBUBU
        OZEXRSUPUQZYEYCXSBCEHYCURYEURUSUTTXPAXQIVAVCZCFEVDULZUMZYEMXPYBCYNUMYOY
        EXPYBYMCYNXPXQYNNZUIZYBXQIVEULZUHNZYMYQYAYRUHYQUAUJZXQPZYTXTPZVFZUAEUMZ
        UUAIVFZUAEUMZYAYRYQUUCUUEUAEYQYTENZUIZUUBIUUAUUHUUBYTXSPZOPZIUUGUUBUUJR
        ZYQYIUUGUUKYLEOXSYTVGUTTUUHUUJXROPZIUUHUUIXROUUGUUIXRRYQEXRYTYKVHTVIIBO
        PUULLBVNVJVKVLVMVOYQXQEVBZXTEVBZYAUUDRYPUUMXPXQFEVPTZOSVBYIXSVQZSVRUUNV
        SYLUUPVTSEOXSWAWBUAEXQXTWCWDYQUUMXOISNZYRUUFRUUOXNXOYPWFUUQYQIBOLWEZWGU
        AXQHSEIWHWIWJWKYQXQWLZYPUUQWPZYMYSWMYPUUTXPYPUUSYPUUQXQFEWNYPXHUUQYPUUR
        WGWQTXQYNSIWOWRWSVOXPYBCYNYDXPYNXREWTULZQPZYDXOYNUVBRZXNYJXOUVCYKFXRESH
        UVAUVAURZFBQPXRQPKBXAVJXBUTTXPUVAYCQXPUVAXRXCPZXSUKULZYCXOUVAUVFRZXNYJX
        OUVGYKXRUVEESHUVAUVDUVEURXDUTTXPBUVEXSUKXNBUVERXOBGXEXFXGXIVIVLXJXKXLXP
        DYFQBDEGHJXMVIWJ $.
    $}

    ${
      $d X k $.  $d R k $.  $d I k $.  $d V k $.  $d W k $.  $d F k $.
      $d N k $.  $d .0. k $.
      frlmelbas.n $e |- N = ( Base ` R ) $.
      frlmelbas.z $e |- .0. = ( 0g ` R ) $.
      frlmelbas.b $e |- B = ( Base ` F ) $.
      $( Membership in the base set of the free module.  (Contributed by Stefan
         O'Rear, 1-Feb-2015.)  (Revised by AV, 23-Jun-2019.) $)
      frlmelbas $p |- ( ( R e. V /\ I e. W )
                    -> ( X e. B <-> ( X e. ( N ^m I ) /\ X finSupp .0. ) ) ) $=
        ( vk wcel wa cv cfsupp wbr cmap co crab cbs eqid frlmbas eqtr4id eleq2d
        cfv breq1 elrab bitrdi ) BFODGOPZHAOHNQZIRSZNEDTUAZUBZOHUOOHIRSZPULAUPH
        ULACUCUHUPMUPBNCDEFGIJKLUPUDUEUFUGUNUQNHUOUMHIRUIUJUK $.
    $}

    ${
      frlmrcl.b $e |- B = ( Base ` F ) $.
      $( If a free module is inhabited, this is sufficient to conclude that the
         ring expression defines a set.  (Contributed by Stefan O'Rear,
         3-Feb-2015.) $)
      frlmrcl $p |- ( X e. B -> R e. _V ) $=
        ( vr vi cfrlm cvv cv crglmod cfv csn cxp cdsmm co df-frlm reldmmpo
        strov2rcl ) ADCJBEFGHIKKHLZILUBMNOPQRJIHSTUA $.
    $}

    ${
      frlmbasfsupp.z $e |- .0. = ( 0g ` R ) $.
      frlmbasfsupp.b $e |- B = ( Base ` F ) $.
      $( Elements of the free module are finitely supported.  (Contributed by
         Stefan O'Rear, 3-Feb-2015.)  (Revised by Thierry Arnoux, 21-Jun-2019.)
         (Proof shortened by AV, 20-Jul-2019.) $)
      frlmbasfsupp $p |- ( ( I e. W /\ X e. B ) -> X finSupp .0. ) $=
        ( wcel wa cbs cfv cmap co cfsupp wbr simpr cvv wb frlmrcl simpl syl2an2
        eqid frlmelbas mpbid simprd ) DEKZFAKZLZFBMNZDOPKZFGQRZUKUJUMUNLZUIUJSU
        JBTKUIUIUJUOUAABCDFHJUBUIUJUCABCDULTEFGHULUEIJUFUDUGUH $.
    $}

    ${
      frlmbasmap.n $e |- N = ( Base ` R ) $.
      frlmbasmap.b $e |- B = ( Base ` F ) $.
      $( Elements of the free module are set functions.  (Contributed by Stefan
         O'Rear, 3-Feb-2015.)  (Proof shortened by AV, 21-Jul-2019.) $)
      frlmbasmap $p |- ( ( I e. W /\ X e. B ) -> X e. ( N ^m I ) ) $=
        ( wcel wa cmap co c0g cfv cfsupp wbr simpr cvv wb frlmrcl simpl syl2an2
        eqid frlmelbas mpbid simpld ) DFKZGAKZLZGEDMNKZGBOPZQRZUKUJULUNLZUIUJSU
        JBTKUIUIUJUOUAABCDGHJUBUIUJUCABCDETFGUMHIUMUEJUFUDUGUH $.

      $( Elements of the free module are functions.  (Contributed by Stefan
         O'Rear, 3-Feb-2015.) $)
      frlmbasf $p |- ( ( I e. W /\ X e. B ) -> X : I --> N ) $=
        ( wcel wa cmap co wf frlmbasmap wb cvv cbs fvexi elmapg adantr mpbid
        mpan ) DFKZGAKZLGEDMNKZDEGOZABCDEFGHIJPUEUGUHQZUFERKUEUIEBSITEDGRFUAUDU
        BUC $.
    $}
  $}

  ${
    frlmlvec.1 $e |- F = ( R freeLMod I ) $.
    $( The free module over a division ring is a left vector space.
       (Contributed by Steven Nguyen, 29-Apr-2023.) $)
    frlmlvec $p |- ( ( R e. DivRing /\ I e. W ) -> F e. LVec ) $=
      ( cdr wcel clmod csca cfv clvec crg drngring frlmlmod sylan frlmsca simpl
      wa eqeltrrd eqid islvec sylanbrc ) AFGZCDGZRZBHGZBIJZFGBKGUCALGUDUFAMABCD
      ENOUEAUGFABCFDEPUCUDQSUGBUGTUAUB $.
  $}

  ${
    $d a I $.  $d a N $.  $d a R $.  $d a V $.
    frlmfibas.f $e |- F = ( R freeLMod I ) $.
    frlmfibas.n $e |- N = ( Base ` R ) $.
    $( The base set of the finite free module as a set exponential.
       (Contributed by AV, 6-Dec-2018.) $)
    frlmfibas $p |- ( ( R e. V /\ I e. Fin ) -> ( N ^m I ) = ( Base ` F ) ) $=
      ( va wcel cfn wa cmap co cv c0g cfv cfsupp wbr adantl eqid crab wral wceq
      cbs cvv wf elmapi simpl fvexd fdmfifsupp ralrimiva rabid2 sylibr frlmbas
      eqtrd ) AEIZCJIZKZDCLMZHNZAOPZQRZHUSUAZBUDPURVBHUSUBZUSVCUCUQVDUPUQVBHUSU
      QUTUSIZKZCDUTUEVAVECDUTUFUQUTDCUGSUQVEUHVFAOUIUJUKSVBHUSULUMVCAHBCDEJVAFG
      VATVCTUNUO $.

    elfrlmbasn0.b $e |- B = ( Base ` F ) $.
    $( If the dimension of a free module over a ring is not 0, every element of
       its base set is not empty.  (Contributed by AV, 10-Feb-2019.) $)
    elfrlmbasn0 $p |- ( ( I e. V /\ I =/= (/) ) -> ( X e. B -> X =/= (/) ) ) $=
      ( wcel wf c0 wne frlmbasf ex wceq f0dom0 biimprd necon3d com12 sylan9 ) D
      FKZGAKZDEGLZDMNZGMNZUCUDUEABCDEFGHIJOPUEUFUGUEGMDMUEDMQGMQGDERSTUAUB $.
  $}

  ${
    frlmplusgval.y $e |- Y = ( R freeLMod I ) $.
    frlmplusgval.b $e |- B = ( Base ` Y ) $.
    frlmplusgval.r $e |- ( ph -> R e. V ) $.
    frlmplusgval.i $e |- ( ph -> I e. W ) $.
    frlmplusgval.f $e |- ( ph -> F e. B ) $.
    frlmplusgval.g $e |- ( ph -> G e. B ) $.
    frlmplusgval.a $e |- .+ = ( +g ` R ) $.
    frlmplusgval.p $e |- .+b = ( +g ` Y ) $.
    $( Addition in a free module.  (Contributed by Stefan O'Rear, 1-Feb-2015.)
       (Revised by Stefan O'Rear, 6-May-2015.) $)
    frlmplusgval $p |- ( ph -> ( F .+b G ) = ( F oF .+ G ) ) $=
      ( cfv co crglmod cpws cplusg cof cbs cress wcel wceq eqid frlmpws syl2anc
      fveq2d fvex ressplusg ax-mp 3eqtr4g oveqd fvexd eqtrid ressbasss eqsstrdi
      cvv sseldd rlmplusg eqtri pwsplusgval eqtrd ) AFGDUAFGEUBTZHUCUAZUDTZUAFG
      CUEUAADVKFGAKUDTVJKUFTZUGUAZUDTZDVKAKVMUDAEIUHZHJUHZKVMUINOVLEKHIJLVLUJUK
      ULUMSVLVCUHVKVNUIKUFUNVLVKVJVMVCVMUJVKUJZUOUPUQURAVJUFTZCVKVIFGHVCJVJVJUJ
      VRUJZAEUBUSOABVRFABVJBUGUAZUFTZVRABVLWAMAKVTUFAVOVPKVTUINOBEKHIJLMUKULUMU
      TBVRVTVJVTUJVSVAVBZPVDABVRGWBQVDCEUDTVIUDTREVEVFVQVGVH $.
  $}

  ${
    frlmsubval.y $e |- Y = ( R freeLMod I ) $.
    frlmsubval.b $e |- B = ( Base ` Y ) $.
    frlmsubval.r $e |- ( ph -> R e. Ring ) $.
    frlmsubval.i $e |- ( ph -> I e. W ) $.
    frlmsubval.f $e |- ( ph -> F e. B ) $.
    frlmsubval.g $e |- ( ph -> G e. B ) $.
    frlmsubval.a $e |- .- = ( -g ` R ) $.
    frlmsubval.p $e |- M = ( -g ` Y ) $.
    $( Subtraction in a free module.  (Contributed by Thierry Arnoux,
       30-Jun-2019.) $)
    frlmsubgval $p |- ( ph -> ( F M G ) = ( F oF .- G ) ) $=
      ( cfv wcel co crglmod cpws csg cof crg wceq frlmpws syl2anc fveq2d eqtrid
      cress oveqd csubg clmod clss rlmlmod eqid pwslmod frlmlss lsssubg subgsub
      syl syl3anc cgrp cbs lmodgrp 3syl frlmbasmap rlmbas pwsbas eleqtrd rlmsub
      cmap eqtri pwssub syl22anc 3eqtr2d ) ADEGUADECUBSZFUCUAZBULUAZUDSZUAZDEVT
      UDSZUAZDEHUEUAZAGWBDEAGJUDSWBRAJWAUDACUFTZFITZJWAUGMNBCJFUFIKLUHUIUJUKUMA
      BVTUNSTZDBTZEBTZWEWCUGAVTUOTZBVTUPSZTZWIAVSUOTZWHWLAWGWOMCUQZVCNVSFIVTVTU
      RZUSUIAWGWHWNMNBCWMJFIKLWMURZUTUIWMBVTWRVAUIOPBVTWAWDWBDEWDURZWAURWBURVBV
      DAVSVETZWHDVTVFSZTEXATWEWFUGAWGWOWTMWPVSVGVHZNADCVFSZFVNUAZXAAWHWJDXDTNOB
      CJFXCIDKXCURZLVIUIAWTWHXDXAUGXBNXCVSFVEIVTWQCVJVKUIZVLAEXDXAAWHWKEXDTNPBC
      JFXCIEKXELVIUIXFVLXAVSDEFHWDIVTWQXAURHCUDSVSUDSQCVMVOWSVPVQVR $.
  $}

  ${
    frlmvscafval.y $e |- Y = ( R freeLMod I ) $.
    frlmvscafval.b $e |- B = ( Base ` Y ) $.
    frlmvscafval.k $e |- K = ( Base ` R ) $.
    frlmvscafval.i $e |- ( ph -> I e. W ) $.
    frlmvscafval.a $e |- ( ph -> A e. K ) $.
    frlmvscafval.x $e |- ( ph -> X e. B ) $.
    frlmvscafval.v $e |- .xb = ( .s ` Y ) $.
    frlmvscafval.t $e |- .x. = ( .r ` R ) $.
    $( Scalar multiplication in a free module.  (Contributed by Stefan O'Rear,
       1-Feb-2015.)  (Revised by Stefan O'Rear, 6-May-2015.) $)
    frlmvscafval $p |- ( ph -> ( A .xb X ) = ( ( I X. { A } ) oF .x. X ) ) $=
      ( cfv co crglmod cpws cvsca csn cxp cof cvv wcel wceq frlmrcl syl frlmpws
      cress syl2anc fveq2d fvexi eqid ressvsca ax-mp 3eqtr4g oveqd csca rlmvsca
      cbs cmulr eqtri fvexd rlmsca eqtrid ressbasss eqsstrdi sseldd pwsvscafval
      eleqtrd eqtrd ) ABJEUABJDUBTZGUCUAZUDTZUAGBUEUFJFUGUAAEVSBJAKUDTVRCUNUAZU
      DTZEVSAKVTUDADUHUIZGIUIKVTUJAJCUIWBQCDKGJLMUKULZOCDKGUHILMUMUOZUPRCUHUIVS
      WAUJCKVEMUQCVSVRVTUHVTURZVSURZUSUTVAVBABVRVETZVQVSFVQVCTZGWHVETZUHIJVRVRU
      RWGURZFDVFTVQUDTSDVDVGWFWHURWIURADUBVHOABHWIPAHDVETWINADWHVEAWBDWHUJWCDUH
      VIULUPVJVOACWGJACVTVETZWGACKVETWKMAKVTVEWDUPVJCWGVTVRWEWJVKVLQVMVNVP $.
  $}

  ${
    frlmvplusgvalc.f $e |- F = ( R freeLMod I ) $.
    frlmvplusgvalc.b $e |- B = ( Base ` F ) $.
    frlmvplusgvalc.r $e |- ( ph -> R e. V ) $.
    frlmvplusgvalc.i $e |- ( ph -> I e. W ) $.
    frlmvplusgvalc.x $e |- ( ph -> X e. B ) $.
    frlmvplusgvalc.y $e |- ( ph -> Y e. B ) $.
    frlmvplusgvalc.j $e |- ( ph -> J e. I ) $.
    frlmvplusgvalc.a $e |- .+ = ( +g ` R ) $.
    frlmvplusgvalc.p $e |- .+b = ( +g ` F ) $.
    $( Coordinates of a sum with respect to a basis in a free module.
       (Contributed by AV, 16-Jan-2023.) $)
    frlmvplusgvalc $p |- ( ph -> ( ( X .+b Y ) ` J )
                                  = ( ( X ` J ) .+ ( Y ` J ) ) ) $=
      ( co cfv cof frlmplusgval fveq1d wfn wcel wceq cmap wf frlmbasmap syl2anc
      cbs eqid cvv fvexd elmapd mpbid ffnd fnfvof syl22anc eqtrd ) AHKLDUBZUCHK
      LCUDUBZUCZHKUCHLUCCUBZAHVDVEABCDEKLGIJFMNOPQRTUAUEUFAKGUGLGUGGJUHZHGUHVFV
      GUIAGEUNUCZKAKVIGUJUBZUHZGVIKUKAVHKBUHVKPQBEFGVIJKMVIUOZNULUMAVIGKUPJAEUN
      UQZPURUSUTAGVILALVJUHZGVILUKAVHLBUHVNPRBEFGVIJLMVLNULUMAVIGLUPJVMPURUSUTP
      SGCKLJHVAVBVC $.
  $}

  ${
    frlmvscaval.y $e |- Y = ( R freeLMod I ) $.
    frlmvscaval.b $e |- B = ( Base ` Y ) $.
    frlmvscaval.k $e |- K = ( Base ` R ) $.
    frlmvscaval.i $e |- ( ph -> I e. W ) $.
    frlmvscaval.a $e |- ( ph -> A e. K ) $.
    frlmvscaval.x $e |- ( ph -> X e. B ) $.
    frlmvscaval.j $e |- ( ph -> J e. I ) $.
    frlmvscaval.v $e |- .xb = ( .s ` Y ) $.
    frlmvscaval.t $e |- .x. = ( .r ` R ) $.
    $( Coordinates of a scalar multiple with respect to a basis in a free
       module.  (Contributed by Stefan O'Rear, 3-Feb-2015.) $)
    frlmvscaval $p |- ( ph -> ( ( A .xb X ) ` J ) = ( A .x. ( X ` J ) ) ) $=
      ( cfv csn cxp cof frlmvscafval fveq1d wfn wcel wceq fnconstg syl frlmbasf
      co wf syl2anc ffnd fnfvof syl22anc fvconst2g oveq1d 3eqtrd ) AHBKEUNZUBHG
      BUCUDZKFUEUNZUBZHVDUBZHKUBZFUNZBVHFUNAHVCVEABCDEFGIJKLMNOPQRTUAUFUGAVDGUH
      ZKGUHGJUIZHGUIZVFVIUJABIUIZVJQGBIUKULAGIKAVKKCUIGIKUOPRCDLGIJKMONUMUPUQPS
      GFVDKJHURUSAVGBVHFAVMVLVGBUJQSGBHIUTUPVAVB $.
  $}

  ${
    $d I i $.  $d X i $.  $d Z i $.  $d ph i $.
    frlmplusgvalb.f $e |- F = ( R freeLMod I ) $.
    frlmplusgvalb.b $e |- B = ( Base ` F ) $.
    frlmplusgvalb.i $e |- ( ph -> I e. W ) $.
    frlmplusgvalb.x $e |- ( ph -> X e. B ) $.
    frlmplusgvalb.z $e |- ( ph -> Z e. B ) $.
    frlmplusgvalb.r $e |- ( ph -> R e. Ring ) $.
    ${
      $d Y i $.  $d .+b i $.
      frlmplusgvalb.y $e |- ( ph -> Y e. B ) $.
      frlmplusgvalb.a $e |- .+ = ( +g ` R ) $.
      frlmplusgvalb.p $e |- .+b = ( +g ` F ) $.
      $( Addition in a free module at the coordinates.  (Contributed by AV,
         16-Jan-2023.) $)
      frlmplusgvalb $p |- ( ph -> ( Z = ( X .+b Y )
                    <-> A. i e. I ( Z ` i ) = ( ( X ` i ) .+ ( Y ` i ) ) ) ) $=
        ( co wceq cv cfv wral wfn wb cmap wcel wf eqid frlmbasmap syl2anc fvexd
        cbs cvv elmapd mpbid ffnd cgrp clmod crg frlmlmod lmodgrp grpcl syl3anc
        syl eqfnfv wa adantr simpr frlmvplusgvalc eqeq2d ralbidva bitrd ) ALJKD
        UBZUCZFUDZLUEZVSVQUEZUCZFHUFZVTVSJUEVSKUECUBZUCZFHUFALHUGVQHUGVRWCUHAHE
        UPUEZLALWFHUIUBZUJZHWFLUKAHIUJZLBUJWHOQBEGHWFILMWFULZNUMUNAWFHLUQIAEUPU
        OZOURUSUTAHWFVQAVQWGUJZHWFVQUKAWIVQBUJZWLOAGVAUJZJBUJZKBUJZWMAGVBUJZWNA
        EVCUJZWIWQROEGHIMVDUNGVEVHPSBDGJKNUAVFVGBEGHWFIVQMWJNUMUNAWFHVQUQIWKOUR
        USUTFHLVQVIUNAWBWEFHAVSHUJZVJZWAWDVTWTBCDEGHVSVCIJKMNAWRWSRVKAWIWSOVKAW
        OWSPVKAWPWSSVKAWSVLTUAVMVNVOVP $.
    $}

    $d A i $.  $d .xb i $.
    frlmvscavalb.k $e |- K = ( Base ` R ) $.
    frlmvscavalb.a $e |- ( ph -> A e. K ) $.
    frlmvscavalb.v $e |- .xb = ( .s ` F ) $.
    frlmvscavalb.t $e |- .x. = ( .r ` R ) $.
    $( Scalar multiplication in a free module at the coordinates.  (Contributed
       by AV, 16-Jan-2023.) $)
    frlmvscavalb $p |- ( ph -> ( Z = ( A .xb X )
                     <-> A. i e. I ( Z ` i ) = ( A .x. ( X ` i ) ) ) ) $=
      ( co wceq cv cfv wral wfn wb cmap wf frlmbasmap syl2anc cvv cbs fvexi a1i
      wcel elmapd mpbid ffnd clmod crg frlmlmod eleqtrdi frlmsca fveq2d eleqtrd
      csca eqid lmodvscl syl3anc eqfnfv adantr simpr frlmvscaval ralbidva bitrd
      wa eqeq2d ) AMBLEUDZUEZGUFZMUGZWDWBUGZUEZGIUHZWEBWDLUGFUDZUEZGIUHAMIUIWBI
      UIWCWHUJAIJMAMJIUKUDZUSZIJMULAIKUSZMCUSWLPRCDHIJKMNTOUMUNAJIMUOKJUOUSAJDU
      PTUQURZPUTVAVBAIJWBAWBWKUSZIJWBULAWMWBCUSZWOPAHVCUSZBHVJUGZUPUGZUSLCUSZWP
      ADVDUSZWMWQSPDHIKNVEUNABDUPUGZWSABJXBUATVFADWRUPAXAWMDWRUESPDHIVDKNVGUNVH
      VIQBEWRWSCHLOWRVKUBWSVKVLVMCDHIJKWBNTOUMUNAJIWBUOKWNPUTVAVBGIMWBVNUNAWGWJ
      GIAWDIUSZVTZWFWIWEXDBCDEFIWDJKLHNOTAWMXCPVOABJUSXCUAVOAWTXCQVOAXCVPUBUCVQ
      WAVRVS $.

    $d C i $.  $d Y i $.  $d .+b i $.
    frlmvplusgscavalb.y $e |- ( ph -> Y e. B ) $.
    frlmvplusgscavalb.a $e |- .+ = ( +g ` R ) $.
    frlmvplusgscavalb.p $e |- .+b = ( +g ` F ) $.
    frlmvplusgscavalb.c $e |- ( ph -> C e. K ) $.
    $( Addition combined with scalar multiplication in a free module at the
       coordinates.  (Contributed by AV, 16-Jan-2023.) $)
    frlmvplusgscavalb $p |- ( ph -> ( Z = ( ( A .xb X ) .+b ( C .xb Y ) )
                       <-> A. i e. I ( Z ` i ) = ( ( A .x. ( X ` i ) )
                                                .+ ( C .x. ( Y ` i ) ) ) ) ) $=
      ( co wceq cv cfv wral wcel csca cbs crg frlmlmod syl2anc eleqtrdi frlmsca
      clmod fveq2d eleqtrd lmodvscl syl3anc frlmplusgvalb wa adantr frlmvscaval
      eqid simpr oveq12d eqeq2d ralbidva bitrd ) AQBOHULZDPHULZFULUMJUNZQUOZWBV
      TUOZWBWAUOZEULZUMZJLUPWCBWBOUOIULZDWBPUOIULZEULZUMZJLUPACEFGJKLNVTWAQRSTA
      KVEUQZBKURUOZUSUOZUQOCUQZVTCUQAGUTUQZLNUQZWLUCTGKLNRVAVBZABGUSUOZWNABMWSU
      EUDVCAGWMUSAWPWQGWMUMUCTGKLUTNRVDVBVFZVGUABHWMWNCKOSWMVNZUFWNVNZVHVIUBUCA
      WLDWNUQPCUQZWACUQWRADWSWNADMWSUKUDVCWTVGUHDHWMWNCKPSXAUFXBVHVIUIUJVJAWGWK
      JLAWBLUQZVKZWFWJWCXEWDWHWEWIEXEBCGHILWBMNOKRSUDAWQXDTVLZABMUQXDUEVLAWOXDU
      AVLAXDVOZUFUGVMXEDCGHILWBMNPKRSUDXFADMUQXDUKVLAXCXDUHVLXGUFUGVMVPVQVRVS
      $.
  $}

  ${
    $d x y B $.  $d x y I $.  $d x y ph $.  $d x y .0. $.  $d x y J $.
    $d x y R $.  $d x y Y $.
    frlmgsum.y $e |- Y = ( R freeLMod I ) $.
    frlmgsum.b $e |- B = ( Base ` Y ) $.
    frlmgsum.z $e |- .0. = ( 0g ` Y ) $.
    frlmgsum.i $e |- ( ph -> I e. V ) $.
    frlmgsum.j $e |- ( ph -> J e. W ) $.
    frlmgsum.r $e |- ( ph -> R e. Ring ) $.
    frlmgsum.f $e |- ( ( ph /\ y e. J ) -> ( x e. I |-> U ) e. B ) $.
    frlmgsum.w $e |- ( ph -> ( y e. J |-> ( x e. I |-> U ) ) finSupp .0. ) $.
    $( Finite commutative sums in a free module are taken componentwise.
       (Contributed by Stefan O'Rear, 1-Feb-2015.)  (Revised by Mario Carneiro,
       5-Jul-2015.)  (Revised by AV, 23-Jun-2019.) $)
    frlmgsum $p |- ( ph -> ( Y gsum ( y e. J |-> ( x e. I |-> U ) ) ) =
       ( x e. I |-> ( R gsum ( y e. J |-> U ) ) ) ) $=
      ( cmpt cgsu co crglmod cfv cpws cress crg wcel frlmpws syl2anc oveq1d cbs
      wceq cplusg cvv c0g eqid ovexd wss frlmlss lssss syl fmpttd clmod rlmlmod
      clss pwslmod lss0cl cmnd cv wa ccmn lmodcmn cmnmnd mndlrid sylan gsumress
      pwsmnd rlmbas wf frlmbasf syl2an2r fvmptelrn anasss cfsupp fveq2d lsssubg
      an32s csubg subg0 eqtr4d eqtrid breqtrd pwsgsum mptexd fvexd a1i rlmplusg
      gsumpropd mpteq2dv 3eqtr2d ) AKCHBGFUAZUAZUBUCEUDUEZGUFUCZDUGUCZXDUBUCXFX
      DUBUCZBGECHFUAZUBUCZUAZAKXGXDUBAEUHUIZGIUIZKXGUNRPDEKGUHIMNUJUKZULABHXFUM
      UEZXFUOUEZDXDXFXGUPJXFUQUEZXOURZXPURZXGURZAXEGUFUSQADXFVGUEZUIZDXOUTAXLXM
      YBRPDEYAKGIMNYAURZVAUKZYADXOXFXRYCVBVCACHXCDSVDAXFVEUIZYBXQDUIAXEVEUIZXMY
      EAXLYFREVFVCZPXEGIXFXFURZVHUKZYDYADXFXQXQURZYCVIUKAXFVJUIZBVKZXOUIXQYLXPU
      CYLUNYLXQXPUCYLUNVLAXEVJUIZXMYKAXEVMUIZYMAYFYNYGXEVNVCZXEVOVCPXEGIXFYHVSU
      KXOXPXFYLXQXRXSYJVPVQVRAXHBGXEXIUBUCZUAXKABCEUMUEZXEFGHIJXFXQYHEVTZYJPQYO
      AYLGUIZCVKHUIZFYQUIZAYTYSUUAAYTVLBGFYQAXMYTXCDUIGYQXCWAPSDEKGYQIXCMYQURNW
      BWCWDWIWEAXDLXQWFTALKUQUEZXQOAUUBXGUQUEZXQAKXGUQXNWGADXFWJUEUIZXQUUCUNAYE
      YBUUDYIYDYADXFYCWHUKDXFXGXQXTYJWKVCWLWMWNWOABGXJYPAXIEXEUPUHUPACHFJQWPRAE
      UDWQYQXEUMUEUNAYRWREUOUEXEUOUEUNAEWSWRWTXAWLXB $.
  $}

  ${
    $d Y x $.  $d R x $.  $d U x $.  $d Z x $.  $d V x $.  $d B x $.  $d C x $.
    $d X x $.
    frlmsplit2.y $e |- Y = ( R freeLMod U ) $.
    frlmsplit2.z $e |- Z = ( R freeLMod V ) $.
    frlmsplit2.b $e |- B = ( Base ` Y ) $.
    frlmsplit2.c $e |- C = ( Base ` Z ) $.
    frlmsplit2.f $e |- F = ( x e. B |-> ( x |` V ) ) $.
    $( Restriction is homomorphic on free modules.  (Contributed by Stefan
       O'Rear, 3-Feb-2015.)  (Proof shortened by AV, 21-Jul-2019.) $)
    frlmsplit2 $p |- ( ( R e. Ring /\ U e. X /\ V C_ U ) ->
        F e. ( Y LMHom Z ) ) $=
      ( wcel cfv co eqid cvv crg wss w3a crglmod cpws cress clmhm cbs cres cmpt
      cv clss wceq simp1 simp2 frlmlss syl2anc lssss 3syl eqtr4di clmod rlmlmod
      resmpt pwssplit3 syl3an1 reslmhm wb 3ad2ant1 simp3 ssexd pwslmod rneqd wa
      crn cmap c0g cfsupp wbr frlmbasf sylan simpl3 fssresd fvex elmapg sylancr
      adantr mpbird frlmbasfsupp fvexd fsuppres frlmelbas mpbir2and fmpttd frnd
      wf eqsstrd reslmhm2b syl3anc mpbid eqeltrrd frlmpws oveq12d eleqtrrd ) DU
      APZEHPZGEUBZUCZFDUDQZEUERZBUFRZXHGUERZCUFRZUGRZIJUGRXGAXIUHQZAUKZGUIZUJZB
      UIZFXMXGXRABXPUJZFXGBXIULQZPZBXNUBXRXSUMXGXDXEYAXDXEXFUNZXDXEXFUOZBDXTIEH
      KMXTSZUPUQZXTBXNXIXNSZYDURAXNBXPVCUSZOUTXGXRXJXKUGRPZXRXMPZXGXQXIXKUGRPZY
      AYHXDXHVAPZXEXFYJDVBZAXNXKUHQZEXQGXHHXIXKXISXKSZYFYMSXQSVDVEYEXJXIXKXTXQB
      YDXJSVFUQXGXKVAPZCXKULQZPZXRVNZCUBYHYIVGXGYKGTPZYOXDXEYKXFYLVHXGGEHYCXDXE
      XFVIVJZXHGTXKYNVKUQXGXDYSYQYBYTCDYPJGTLNYPSZUPUQXGYRXSVNCXGXRXSYGVLXGBCXS
      XGABXPCXGXOBPZVMZXPCPZXPDUHQZGVORPZXPDVPQZVQVRZUUCUUFGUUEXPWOZUUCEUUEGXOX
      GXEUUBEUUEXOWOYCBDIEUUEHXOKUUESZMVSVTXDXEXFUUBWAWBXGUUFUUIVGZUUBXGUUETPYS
      UUKDUHWCYTUUEGXPTTWDWEWFWGUUCXOTGUUGXGXEUUBXOUUGVQVRYCBDIEHXOUUGKUUGSZMWH
      VTUUCDVPWIWJXGUUDUUFUUHVMVGZUUBXGXDYSUUMYBYTCDJGUUEUATXPUUGLUUJUULNWKUQWF
      WLWMWNWPXJXKXLXRYPCXLSUUAWQWRWSWTXGIXJJXLUGXGXDXEIXJUMYBYCBDIEUAHKMXAUQXG
      XDYSJXLUMYBYTCDJGUATLNXAUQXBXC $.
  $}

  ${
    $d x B $.  $d x I $.  $d x J $.  $d x R $.  $d x U $.  $d x .0. $.
    $d x V $.  $d x Y $.
    frlmsslss.y $e |- Y = ( R freeLMod I ) $.
    frlmsslss.u $e |- U = ( LSubSp ` Y ) $.
    frlmsslss.b $e |- B = ( Base ` Y ) $.
    frlmsslss.z $e |- .0. = ( 0g ` R ) $.

    ${
      frlmsslss.c $e |- C = { x e. B | ( x |` J ) = ( J X. { .0. } ) } $.
      $( A subset of a free module obtained by restricting the support set is a
         submodule. ` J ` is the set of forbidden unit vectors.  (Contributed
         by Stefan O'Rear, 4-Feb-2015.) $)
      frlmsslss $p |- ( ( R e. Ring /\ I e. V /\ J C_ I ) -> C e. U ) $=
        ( wcel co wceq cvv eqid crg wss w3a cv cres cfrlm c0g cfv csn cxp simp1
        crab simp2 simp3 ssexd frlm0 syl2anc eqeq2d rabbidv cmpt cbs frlmsplit2
        eqtrid clmhm ccnv cima fvex mptiniseg ax-mp eqcomi lmhmkerlss eqeltrd
        syl ) DUAPZFHPZGFUBZUCZCAUDGUEZDGUFQZUGUHZRZABULZEVQCVRGJUIUJZRZABULWBO
        VQWDWAABVQWCVTVRVQVNGSPWCVTRVNVOVPUKVQGFHVNVOVPUMVNVOVPUNUODVSGSJVSTZNU
        PUQURUSVCVQABVRUTZIVSVDQPWBEPABVSVAUHZDFWFGHIVSKWEMWGTWFTZVBIVSEWFWBVTW
        FVEVTUIVFZWBVTSPWIWBRVSUGVGABVRVTWFSWHVHVIVJVTTLVKVMVL $.
    $}

    ${
      frlmsslss2.c $e |- C = { x e. B | ( x supp .0. ) C_ J } $.
      $( A subset of a free module obtained by restricting the support set is a
         submodule. ` J ` is the set of permitted unit vectors.  (Contributed
         by Stefan O'Rear, 5-Feb-2015.)  (Revised by AV, 23-Jun-2019.) $)
      frlmsslss2 $p |- ( ( R e. Ring /\ I e. V /\ J C_ I ) -> C e. U ) $=
        ( wcel wss wceq crab wfn crg w3a cv cdif cres csn cxp csupp cun cvv cin
        co wa c0 wb cbs cfv wf eqid frlmbasf 3ad2antl2 ffnd simpl3 undif fneq2d
        sylib mpbird simpr c0g fvexi fnsuppres syl121anc rabbidva eqtrid difssd
        a1i disjdif frlmsslss syld3an3 eqeltrd ) DUAPZFHPZGFQZUBZCAUCZFGUDZUEWF
        JUFUGRZABSZEWDCWEJUHULGQZABSWHOWDWIWGABWDWEBPZUMZWEGWFUIZTZWJJUJPZGWFUK
        UNRZWIWGUOWKWMWEFTWKFDUPUQZWEWBWAWJFWPWEURWCBDIFWPHWEKWPUSMUTVAVBWKWLFW
        EWKWCWLFRWAWBWCWJVCGFVDVFVEVGWDWJVHWNWKJDVINVJVPWOWKGFVQVPGWFWEUJBJVKVL
        VMVNWAWBWCWFFQWHEPWDFGVOABWHDEFWFHIJKLMNWHUSVRVSVT $.
    $}
  $}

  ${
    frlmbas3.f $e |- F = ( R freeLMod ( N X. M ) ) $.
    frlmbas3.b $e |- B = ( Base ` R ) $.
    frlmbas3.v $e |- V = ( Base ` F ) $.
    $( An element of the base set of a finite free module with a Cartesian
       product as index set as operation value.  (Contributed by AV,
       14-Feb-2019.) $)
    frlmbas3 $p |- ( ( ( R e. W /\ X e. V ) /\ ( N e. Fin /\ M e. Fin )
                       /\ ( I e. N /\ J e. M ) ) -> ( I X J ) e. B ) $=
      ( wcel wa cfn w3a cxp cmap syl cbs cfv eleq2i biimpi adantl 3ad2ant1 wceq
      co wf xpfi anim12i 3adant3 frlmfibas eleqtrrd elmapi simp3l simp3r fovrnd
      simpl ) BINZJHNZOZGPNFPNOZDGNZEFNZOZQZDEAGFJVGJAGFRZSUHZNVHAJUIVGJCUAUBZV
      IVBVCJVJNZVFVAVKUTVAVKHVJJMUCUDUEUFVGUTVHPNZOZVIVJUGVBVCVMVFVBUTVCVLUTVAU
      SGFUJUKULBCVHAIKLUMTUNJAVHUOTVBVCVDVEUPVBVCVDVEUQUR $.
  $}

  ${
    $d A a b $.  $d B i j $.  $d M a b i j $.  $d N a b i j $.  $d Z i j $.
    $d ph a b i j $.
    mpofrlmd.f $e |- F = ( R freeLMod ( N X. M ) ) $.
    mpofrlmd.v $e |- V = ( Base ` F ) $.
    mpofrlmd.s $e |- ( ( i = a /\ j = b ) -> A = B ) $.
    mpofrlmd.a $e |- ( ( ph /\ i e. N /\ j e. M ) -> A e. X ) $.
    mpofrlmd.b $e |- ( ( ph /\ a e. N /\ b e. M ) -> B e. Y ) $.
    mpofrlmd.e $e |- ( ph -> ( N e. U /\ M e. W /\ Z e. V ) ) $.
    $( Elements of the free module are mappings with two arguments defined by
       their operation values.  (Contributed by AV, 20-Feb-2019.)  (Proof
       shortened by AV, 3-Jul-2022.) $)
    mpofrlmd $p |- ( ph -> ( Z = ( a e. N , b e. M |-> B )
                              <-> A. i e. N A. j e. M ( i Z j ) = A ) ) $=
      ( cxp cvv wcel wa cbs cfv wf wfn w3a xpexg anim1i 3impa syl eqid frlmbasf
      ffn 3syl fnmpoovd ) AJICBMFGONPQAJIUDZUEUFZOKUFZUGZVBDUHUIZOUJOVBUKAJEUFZ
      ILUFZVDULVEUCVGVHVDVEVGVHUGVCVDJIELUMUNUOUPKDHVBVFUEORVFUQSURVBVFOUSUTTUA
      UBVA $.
  $}

  ${
    $d B f g x $.  $d I f g x $.  $d R f g x $.  $d V f g x $.  $d W f g x $.
    frlmphl.y $e |- Y = ( R freeLMod I ) $.
    frlmphl.b $e |- B = ( Base ` R ) $.
    frlmphl.t $e |- .x. = ( .r ` R ) $.
    $( The inner product of a free module.  (Contributed by Thierry Arnoux,
       20-Jun-2019.) $)
    frlmip $p |- ( ( I e. W /\ R e. V ) -> ( f e. ( B ^m I ) , g e. ( B ^m I )
      |-> ( R gsum ( x e. I |-> ( ( f ` x ) .x. ( g ` x ) ) ) ) ) = ( .i ` Y )
      ) $=
      ( wcel cfv co cbs wceq eqid cvv wa cip csra csn cxp cprds cress cmap cmpt
      cgsu cmpo cfrlm crglmod cpws frlmpws ancoms csca ressid eqidd wss eqimssi
      a1i srasca eqtr3d oveq1d adantl rlmval fveq2i eqtr4i oveq1i pwsval adantr
      cv fvex mpan eqtr4d oveq12d eqtrid fveq2d ax-mp simpr snex xpexg mpan2 c0
      ressip wne snnz dmxp mp1i prdsip cixp prdsbas fvconst2 3eqtr4rd ixpeq2dva
      cdm srabase fvexi ixpconstg cmulr sraip eqtr2id oveqd mpteq2ia mpoeq123dv
      3eqtrd oveq2i eqtrd eqtr3id eqtr2d ) GINZCHNZUAZJUBOCGBCUCOZOZUDZUEZUFPZJ
      QOZUGPZUBOZEFBGUHPZYCCAGAVMZEVMOZYDFVMOZDPZUIZUJPZUKZXNJYAUBXNJCGULPZYAKX
      NYKCUMOZGUNPZYKQOZUGPZYAXMXLYKYORYNCYKGHIYKSYNSUOUPXNXSYMXTYNUGXNXSXPUQOZ
      XRUFPZYMXMXSYQRXLXMCYPXRUFXMCBUGPCYPBCHLURXMXPBCXMXPUSBCQOZUTZXMBYRLVAZVB
      VCVDVEVFXLYMYQRZXMXPTNXLUUABXOVNZXPYPGTIYMYLXPGUNYLYRXOOXPCVGBYRXOLVHVIVJ
      YPSVKVOVLVPXTYNRXNJYKQKVHVBVQVPVRVSXNYBXSUBOZYJXTTNUUCYBRJQVNXTXSYAUUCTYA
      SUUCSZWFVTXNUUCEFXSQOZUUECAGYEYFYDXROZUBOZPZUIZUJPZUKYJXNAUUEXSXRCEFUUCGH
      TXSSZXLXMWAZXLXRTNZXMXLXQTNUUMXPWBGXQITWCWDVLZUUESZXQWEWGXRWQGRXNXPUUBWHG
      XQWIWJZUUDWKXNEFUUEUUEUUJYCYCYIXNUUEAGUUFQOZWLAGBWLZYCXNAUUEXSXRCGHTUUKUU
      LUUNUUOUUPWMXNAGUUQBYDGNZUUQBRXNUUSYRXPQOBUUQUUSXPBCUUSXPUSYSUUSYTVBZWRBY
      RRUUSLVBUUSUUFXPQGXPYDUUBWNZVSWOVFWPXLUURYCRZXMXLBTNUVBBCQLWSAGBITWTWDVLX
      GZUVCUUJYIRXNUUIYHCUJAGUUHYGUUSUUGDYEYFUUSDCXAOUUGMUUSUUFBCUVAUUTXBXCXDXE
      XHVBXFXIXJXK $.

    $d B f g x $.  $d F f g x $.  $d G f g x $.  $d I f g x $.  $d R f g x $.
    $d V f g x $.  $d W f g x $.  $d X f g x $.  $d .x. f g x $.
    frlmphl.v $e |- V = ( Base ` Y ) $.
    frlmphl.j $e |- ., = ( .i ` Y ) $.
    $( The inner product of a free module.  (Contributed by Thierry Arnoux,
       21-Jun-2019.) $)
    frlmipval $p |- ( ( ( I e. W /\ R e. X ) /\ ( F e. V /\ G e. V ) )
      -> ( F ., G ) = ( R gsum ( F oF .x. G ) ) ) $=
      ( vx wcel co cgsu vf vg wa cof cfv cmpt cmap cmpo wfn frlmbasmap ad2ant2r
      cv wf elmapi ffn 3syl ad2ant2rl simpll inidm eqidd offval oveq2d cvv wceq
      ovexd fveq1 oveq1d mpteq2dv eqid ovmpog syl3anc cip frlmip adantr eqtr4di
      oveqd 3eqtr2rd ) GIRZBJRZUCZDHRZEHRZUCZUCZBDECUDSZTSBQGQULZDUEZWFEUEZCSZU
      FZTSZDEUAUBAGUGSZWLBQGWFUAULZUEZWFUBULZUEZCSZUFZTSZUHZSZDEFSWDWEWJBTWDQGG
      WGWHCGDEIIWDDWLRZGADUMDGUIVRWAXBVSWBHBKGAIDLMOUJUKZDAGUNGADUOUPWDEWLRZGAE
      UMEGUIVRWBXDVSWAHBKGAIELMOUJUQZEAGUNGAEUOUPVRVSWCURZXFGUSWDWFGRUCZWGUTXGW
      HUTVAVBWDXBXDWKVCRXAWKVDXCXEWDBWJTVEUAUBDEWLWLWSWKWTBQGWGWPCSZUFZTSVCWMDV
      DZWRXIBTXJQGWQXHXJWNWGWPCWFWMDVFVGVHVBWOEVDZXIWJBTXKQGXHWIXKWPWHWGCWFWOEV
      FVBVHVBWTVIVJVKWDWTFDEWDWTKVLUEZFVTWTXLVDWCQABCUAUBGJIKLMNVMVNPVOVPVQ $.

    $d B e f g h i x y z $.  $d I e f g h i x y z $.  $d R e f g h i x $.
    $d V e f g h i x y z $.  $d W f g h i x $.  $d Y e f g h i k x $.
    $d .0. f g h i x y $.  $d e f g h i k x y z ph $.  $d ., g h i x $.
    $d .x. e f g h i x y z $.  $d O g h i $.  $d .* x $.
    frlmphl.o $e |- O = ( 0g ` Y ) $.
    frlmphl.0 $e |- .0. = ( 0g ` R ) $.
    frlmphl.s $e |- .* = ( *r ` R ) $.
    frlmphl.f $e |- ( ph -> R e. Field ) $.
    frlmphl.m $e |- ( ( ph /\ g e. V /\ ( g ., g ) = .0. ) -> g = O ) $.
    frlmphl.u $e |- ( ( ph /\ x e. B ) -> ( .* ` x ) = x ) $.
    frlmphl.i $e |- ( ph -> I e. W ) $.
    $( Lemma for ~ frlmphl .  (Contributed by AV, 21-Jul-2019.) $)
    frlmphllem $p |- ( ( ph /\ g e. V /\ h e. V )
               -> ( x e. I |-> ( ( g ` x ) .x. ( h ` x ) ) ) finSupp .0. ) $=
      ( cv wcel w3a cfv co cmpt cfsupp wbr csupp cfn cof cmap wf 3ad2ant1 simp2
      frlmbasmap syl2anc elmapi syl ffnd simp3 inidm wa eqidd offval oveq1d cvv
      wfun wss ovexd wceq funmpt funeq mpbiri frlmbasfsupp crg cdr cfield isfld
      ccrg sylib simpld drngring ring0cl sylan suppofss1d fsuppsssupp fsuppimpd
      ringlz syl22anc eqeltrrd wb mptexd elexd funisfsupp mp3an2i mpbird ) AFUH
      ZLUIZGUHZLUIZUJZBIBUHZXEUKZXJXGUKZEULZUMZOUNUOZXNOUPULZUQUIZXIXEXGEURZULZ
      OUPULZXPUQXIXSXNOUPXIBIIXKXLEIXEXGMMXIICXEXIXECIUSULZUIZICXEUTXIIMUIZXFYB
      AXFYCXHUGVAZAXFXHVBZLDNICMXEPQSVCVDXECIVEVFZVGXIICXGXIXGYAUIZICXGUTXIYCXH
      YGYDAXFXHVHLDNICMXGPQSVCVDXGCIVEVFZVGYDYDIVIXIXJIUIVJZXKVKYIXLVKVLZVMXIXS
      VNUIZXSVOZXEOUNUOZXTXEOUPULVPZXTUQUIXIXEXGXRVQXIXSXNVRZYLYJYOYLXNVOZBIXMV
      SZXSXNVTWAVFXIYCXFYMYDYELDNIMXEOPUBSWBVDXIBICXEXGMEOYDXIDWCUIZOCUIAXFYRXH
      ADWDUIZYRAYSDWGUIZADWEUIYSYTVJUDDWFWHWIDWJVFVAZCDOQUBWKVFZYFYHXIYRXJCUIOX
      JEULOVRUUACDEXJOQRUBWPWLWMYKYLVJYMYNVJVJXSOXEXSVNOWNWOWQWRYPXIXNVNUIOVNUI
      XOXQWSYQXIBIXMMYDWTXIOCUUBXAXNVNVNOXBXCXD $.

    $( Conditions for a free module to be a pre-Hilbert space.  (Contributed by
       Thierry Arnoux, 21-Jun-2019.)  (Proof shortened by AV, 21-Jul-2019.) $)
    frlmphl $p |- ( ph -> Y e. PreHil ) $=
      ( vh vi vk vy vz ve cplusg cfv cvsca cbs wceq a1i eqidd cip c0g wcel csca
      vf cdr ccrg cfield wa isfld sylib simpld frlmsca syl2anc cmulr cstv clmod
      crg drngring syl frlmlmod eqeltrrd eqid islvec sylanbrc simprd idsrngd cv
      clvec w3a co cmpt cgsu 3ad2ant1 simp2 simp3 frlmipval syl22anc frlmbasmap
      cof cmap wf elmapi ffnd inidm offval oveq2d ccmn ringcmn adantr ffvelrnda
      eqtrd ringcl syl3anc fmpttd frlmphllem cfsupp weq wfn cvv fveq2d syl13anc
      fveq2 simpr ovexd mpteq2dva eqtrid wfun wbr csupp wi oveq12d fveq1 oveq1d
      id cmpo mpteq2dv simprl fveq1d simprr ovmpod gsumcl eqeltrd simp31 simp33
      simp32 cbvmptv oveq1i fneq1i fvmptd ringass funmpt funeqd anim12i 3adant2
      wss mpbiri frlmbasfsupp ring0cl ringrz sylan suppofss2d fsuppsssupp simp1
      eqbrtrrd eleq1w eqeq1d 3anbi23d eqeq1 imbi12d chvarvv gsummptfsadd frlmip
      eqtr4id cbvmpov eqtr4di eleqtrd lmodvscl frlmplusgval frlmvscaval fvmpt2d
      lmodvacl ffn 3syl ringdir 3eqtrd gsummulc2 eqtr4d 3eqtr4d crngcom eqeq12d
      wral ralrimiva rspcdva 3eqtr4rd isphld ) AFUGUHMUMUNZDUMUNZMUOUNZEDGICNKM
      JUIKMUPUNUQARURAUWPUSAUWRUSGMUTUNZUQASURJMVAUNUQATURADVEVBZHLVBZDMVCUNZUQ
      ZAUWTDVFVBZADVGVBUWTUXDVHUCDVIVJZVKZUFDMHVELOVLVMZCDUPUNZUQAPURAUWQUSEDVN
      UNUQAQURIDVOUNUQAUBURNDVAUNUQAUAURAMVPVBZUXBVEVBMWHVBADVQVBZUXAUXIAUWTUXJ
      UXFDVRVSZUFDMHLOVTVMZADUXBVEUXGUXFWAUXBMUXBWBZWCWDABCDIPUBAUWTUXDUXEWEZUE
      WFAFWGZKVBZUGWGZKVBZWIZUXOUXQGWJZDBHBWGZUXOUNZUYAUXQUNZEWJZWKZWLWJZCUXSUX
      TDUXOUXQEWSZWJZWLWJZUYFUXSUXAUXJUXPUXRUXTUYIUQAUXPUXAUXRUFWMZAUXPUXJUXRUX
      KWMZAUXPUXRWNZAUXPUXRWOZCDEUXOUXQGHKLVQMOPQRSWPWQUXSUYHUYEDWLUXSBHHUYBUYC
      EHUXOUXQLLUXSHCUXOUXSUXOCHWTWJZVBZHCUXOXAZUXSUXAUXPUYOUYJUYLKDMHCLUXOOPRW
      RZVMZUXOCHXBZVSZXCUXSHCUXQUXSUXQUYNVBZHCUXQXAZUXSUXAUXRVUAUYJUYMKDMHCLUXQ
      OPRWRZVMZUXQCHXBZVSZXCUYJUYJHXDZUXSUYAHVBZVHZUYBUSVUIUYCUSXEXFXKZUXSHCUYE
      DLNPUAAUXPDXGVBZUXRAUXJVUKUXKDXHVSZWMUYJUXSBHUYDCVUIUXJUYBCVBZUYCCVBZUYDC
      VBUXSUXJVUHUYKXIUXSHCUYAUXOUYTXJZUXSHCUYAUXQVUFXJZCDEUYBUYCPQXLXMXNABCDEF
      UGGHIJKLMNOPQRSTUAUBUCUDUEUFXOUUAUUBZAUIWGZCVBZUXPUXRUHWGZKVBZWIZWIZDBHVU
      RUYBUYAVUTUNZEWJZEWJZUYCVVDEWJZUWQWJZWKZWLWJZDBHVVFWKZWLWJZDBHVVGWKZWLWJZ
      UWQWJVURUXOUWRWJZUXQUWPWJZVUTGWJZVURUXOVUTGWJZEWJZUXQVUTGWJZUWQWJVVCBHCVV
      FVVGUWQVVKDVVMLNPUAUWQWBZAVUSVUKVVBVULWMAVUSUXAVVBUFWMZVVCVUHVHZUXJVUSVVE
      CVBZVVFCVBVVCUXJVUHAVUSUXJVVBUXKWMZXIZVVCVUSVUHAVUSVVBWNZXIZVWCUXJVUMVVDC
      VBZVWDVWFVVCHCUYAUXOVVCUYOUYPVVCUXAUXPUYOVWBAVUSUXPUXRVVAUUCZUYQVMZUYSVSX
      JZVVCHCUYAVUTVVCVUTUYNVBZHCVUTXAVVCUXAVVAVWMVWBAVUSUXPUXRVVAUUDZKDMHCLVUT
      OPRWRVMZVUTCHXBVSZXJZCDEUYBVVDPQXLXMZCDEVURVVEPQXLXMVWCUXJVUNVWIVVGCVBVWF
      VVCHCUYAUXQVVCVUAVUBVVCUXAUXRVUAVWBAVUSUXPUXRVVAUUEZVUCVMZVUEVSZXJZVWQCDE
      UYCVVDPQXLXMVVCVVKUSVVCVVMUSVVCBHVURUYBEWJZWKZVUTUYGWJZVVKNXPVVCVXEUJHVUR
      UJWGZUXOUNZEWJZWKZVUTUYGWJZVVKVXDVXIVUTUYGBUJHVXCVXHBUJXQUYBVXGVUREUYAVXF
      UXOYBXFUUFZUUGVVCVXJBHVXCVVDEWJZWKVVKVVCBHHVXCVVDEHVXIVUTLLVVCVXDHXRVXIHX
      RVVCHCVXDVVCBHVXCCVWCUXJVUSVUMVXCCVBZVWFVWHVWLCDEVURUYBPQXLXMZXNZXCZHVXDV
      XIVXKUUHVJVVCHCVUTVWPXCZVWBVWBVUGVWCUJUYAVXHVXCHVXIXSVWCVXIUSVWCUJBXQZVHZ
      VXGUYBVUREVXSVXFUYAUXOVWCVXRYCXTXFVVCVUHYCZVWCVURUYBEYDUUIVWCVVDUSXEVVCBH
      VXLVVFVWCUXJVUSVUMVWIVXLVVFUQVWFVWHVWLVWQCDEVURUYBVVDPQUUJYAZYEXKYFVVCVXE
      XSVBVXEYGZVUTNXPYHZVXENYIWJVUTNYIWJUUOVXENXPYHVVCVXDVUTUYGYDVVCVYBUKHUKWG
      ZVXDUNZVYDVUTUNZEWJZWKZYGUKHVYGUUKVVCVXEVYHVVCUKHHVYEVYFEHVXDVUTLLVXPVXQV
      WBVWBVUGVVCVYDHVBVHZVYEUSVYIVYFUSXEUULUUPVVCUXAVVAVHZVYCAVVBVYJVUSAUXAVVB
      VVAUFUXPUXRVVAWOUUMUUNKDMHLVUTNOUARUUQVSVVCUJHCVXDVUTLENVWBVVCUXJNCVBVWEC
      DNPUAUURVSVXOVWPVVCUXJVXFCVBVXFNEWJNUQVWECDEVXFNPQUAUUSUUTUVAVUTVXEXSNUVB
      WQUVDVVCAUXRVVAVVMNXPYHAVUSVVBUVCZVWSVWNABCDEUGUHGHIJKLMNOPQRSTUAUBUCAUXP
      UXOUXOGWJZNUQZWIZUXOJUQZYJAUXRUXQUXQGWJZNUQZWIZUXQJUQZYJFUGFUGXQZVYNVYRVY
      OVYSVYTUXPUXRVYMVYQAFUGKUVEVYTVYLVYPNVYTUXOUXQUXOUXQGVYTYNZWUAYKUVFUVGUXO
      UXQJUVHUVIUDUVJUEUFXOXMUVKVVCVVQDBHUYAVVPUNZVVDEWJZWKZWLWJZVVJVVCULVDVVPV
      UTUYNUYNDBHUYAULWGZUNZUYAVDWGZUNZEWJZWKZWLWJZWUEGXSAVUSGULVDUYNUYNWULYOZU
      QZVVBAGFUGUYNUYNUYFYOZWUMAGUWSWUOSAUXAUWTWUOUWSUQUFUXFBCDEFUGHVELMOPQUVLV
      MUVMULVDFUGUYNUYNWULUYFDBHUYBWUIEWJZWKZWLWJULFXQZWUKWUQDWLWURBHWUJWUPWURW
      UGUYBWUIEUYAWUFUXOYLYMYPXFVDUGXQZWUQUYEDWLWUSBHWUPUYDWUSWUIUYCUYBEUYAWUHU
      XQYLXFYPXFUVNUVOZWMZVVCWUFVVPUQZVDUHXQZVHVHZWUKWUDDWLWVDBHWUJWUCWVDWUGWUB
      WUIVVDEWVDUYAWUFVVPVVCWVBWVCYQYRWVDUYAWUHVUTVVCWVBWVCYSYRYKYPXFVVCUXAVVPK
      VBZVVPUYNVBVWBVVCUXIVVOKVBZUXRWVEAVUSUXIVVBUXLWMZVVCUXIVURUXBUPUNZVBUXPWV
      FWVGVVCVURCWVHVWGVVCCUXHWVHPVVCDUXBUPAVUSUXCVVBUXGWMXTYFUVPVWJVURUWRUXBWV
      HKMUXORUXMUWRWBZWVHWBUVQXMZVWSUWPKMVVOUXQRUWPWBZUWAXMKDMHCLVVPOPRWRVMVWOV
      VCDWUDWLYDYTVVCWUDVVIDWLVVCBHWUCVVHVWCWUCVXCUYCUWQWJZVVDEWJZVXLVVGUWQWJZV
      VHVWCWUBWVLVVDEVVCBHWVLVVPXSVVCVVPVVOUXQUWQWSWJBHWVLWKVVCKUWQUWPDVVOUXQHV
      QLMORVWEVWBWVJVWSVWAWVKUVRVVCBHHVXCUYCUWQHVVOUXQLLVVCVVOUYNVBZHCVVOXAVVOH
      XRVVCUXAWVFWVOVWBWVJKDMHCLVVOOPRWRVMVVOCHXBHCVVOUWBUWCVVCHCUXQVXAXCVWBVWB
      VUGVWCVURKDUWREHUYACLUXOMORPVVCUXAVUHVWBXIVWHVVCUXPVUHVWJXIVXTWVIQUVSVWCU
      YCUSXEXKVWCVXCUYCUWQYDUVTYMVWCUXJVXMVUNVWIWVMWVNUQVWFVXNVXBVWQCUWQDEVXCUY
      CVVDPVWAQUWDYAVWCVXLVVFVVGUWQVYAYMUWEYEXFXKVVCVVSVVLVVTVVNUWQVVCVVSVURDBH
      VVEWKZWLWJZEWJVVLVVCVVRWVQVUREVVCULVDUXOVUTUYNUYNWULWVQGXSWVAVVCWURWVCVHV
      HZWUKWVPDWLWVRBHWUJVVEWVRWUGUYBWUIVVDEWVRUYAWUFUXOVVCWURWVCYQYRWVRUYAWUHV
      UTVVCWURWVCYSYRYKYPXFVWKVWOVVCDWVPWLYDYTXFVVCHCUWQDEBLVVEVURNPUAVWAQVWEVW
      BVWGVWRVVCAUXPVVAWVPNXPYHVYKVWJVWNABCDEFUHGHIJKLMNOPQRSTUAUBUCUDUEUFXOXMU
      WFUWGVVCULVDUXQVUTUYNUYNWULVVNGXSWVAVVCULUGXQZWVCVHVHZWUKVVMDWLWVTBHWUJVV
      GWVTWUGUYCWUIVVDEWVTUYAWUFUXQVVCWVSWVCYQYRWVTUYAWUHVUTVVCWVSWVCYSYRYKYPXF
      VWTVWOVVCDVVMWLYDYTYKUWHUDUXSDBHUYCUYBEWJZWKZWLWJZUYFUXQUXOGWJUXTIUNZUXSW
      WBUYEDWLUXSBHWWAUYDVUIUXDVUNVUMWWAUYDUQUXSUXDVUHAUXPUXDUXRUXNWMXIVUPVUOCD
      EUYCUYBPQUWIXMYEXFUXSULVDUXQUXOUYNUYNWULWWCGXSAUXPWUNUXRWUTWMUXSWVSVDFXQZ
      VHVHZWUKWWBDWLWWFBHWUJWWAWWFWUGUYCWUIUYBEWWFUYAWUFUXQUXSWVSWWEYQYRWWFUYAW
      UHUXOUXSWVSWWEYSYRYKYPXFVUDUYRUXSDWWBWLYDYTUXSWWDUXTUYFUXSUYAIUNZUYAUQZWW
      DUXTUQBCUXTUYAUXTUQZWWGWWDUYAUXTUYAUXTIYBWWIYNUWJAUXPWWHBCUWKUXRAWWHBCUEU
      WLWMVUQUWMVUJXKUWNUWO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Standard basis (unit vectors)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
According to Wikipedia ("Standard basis", 16-Mar-2019,
~ https://en.wikipedia.org/wiki/Standard_basis ) "In mathematics, the standard
basis (also called natural basis) for a Euclidean space is the set of unit
vectors pointing in the direction of the axes of a Cartesian coordinate
system.", and ("Unit vector", 16-Mar-2019,
~ https://en.wikipedia.org/wiki/Unit_vector ) "In mathematics, a unit vector in
a normed vector space is a vector (often a spatial vector) of length 1.".
In the following, the term "unit vector" (or more specific "basic unit vector")
is used for the (special) unit vectors forming the standard basis of free
modules. However, the length of the unit vectors is not considered here, so it
is not required to regard normed spaces.
$)

  $c unitVec $.

  $( Class of basic unit vectors for an explicit free module. $)
  cuvc $a class unitVec $.

  ${
    $d r i j k $.
    $( ` ( ( R unitVec I ) `` j ) ` is the unit vector in ` ( R freeLMod I ) `
       along the ` j ` axis.  (Contributed by Stefan O'Rear, 1-Feb-2015.) $)
    df-uvc $a |- unitVec = ( r e. _V , i e. _V |-> ( j e. i |->
        ( k e. i |-> if ( k = j , ( 1r ` r ) , ( 0g ` r ) ) ) ) ) $.
  $}

  ${
    $d .1. i j k r $.  $d R i j k r $.  $d I i j k r $.  $d .0. i j k r $.
    uvcfval.u $e |- U = ( R unitVec I ) $.
    uvcfval.o $e |- .1. = ( 1r ` R ) $.
    uvcfval.z $e |- .0. = ( 0g ` R ) $.
    $( Value of the unit-vector generator for a free module.  (Contributed by
       Stefan O'Rear, 1-Feb-2015.) $)
    uvcfval $p |- ( ( R e. V /\ I e. W ) -> U = ( j e. I |->
            ( k e. I |-> if ( k = j , .1. , .0. ) ) ) ) $=
      ( vr vi wcel wa cmpt cvv wceq cfv cuvc co weq cif elex cv cur cmpo df-uvc
      c0g a1i simpr fveq2 eqtr4di ifeq12d adantr mpteq12dv adantl mptexg ovmpod
      simpl syl2an eqtrid ) AGOZFHOZPBAFUAUBZDFEFEDUCZCIUDZQZQZJVDAROZFROZVFVJS
      VEAGUEFHUEVKVLPZMNAFRRDNUFZEVNVGMUFZUGTZVOUJTZUDZQZQZVJUARUAMNRRVTUHSVMND
      EMUIUKVOASZVNFSZPZVTVJSVMWCDVNVSFVIWAWBULZWCEVNVRFVHWDWAVRVHSWBWAVGVPCVQI
      WAVPAUGTCVOAUGUMKUNWAVQAUJTIVOAUJUMLUNUOUPUQUQURVKVLVAVKVLULVLVJROVKDFVIR
      USURUTVBVC $.

    $d J j k $.
    $( Value of a single unit vector in a free module.  (Contributed by Stefan
       O'Rear, 3-Feb-2015.) $)
    uvcval $p |- ( ( R e. V /\ I e. W /\ J e. I ) ->
        ( U ` J ) = ( k e. I |-> if ( k = J , .1. , .0. ) ) ) $=
      ( vj wcel cfv cif cmpt cv wceq cvv w3a weq wa uvcfval fveq1d 3adant3 eqid
      eqeq2 ifbid mpteq2dv simp3 mptexg 3ad2ant2 fvmptd3 eqtrd ) AGNZEHNZFENZUA
      ZFBOZFMEDEDMUBZCIPZQZQZOZDEDRZFSZCIPZQZUPUQUTVESURUPUQUCFBVDABCMDEGHIJKLU
      DUEUFUSMFVCVIEVDTVDUGMRZFSZDEVBVHVKVAVGCIVJFVFUHUIUJUPUQURUKUQUPVITNURDEV
      HHULUMUNUO $.

    $d K k $.
    $( Value of a unit vector coordinate in a free module.  (Contributed by
       Stefan O'Rear, 3-Feb-2015.) $)
    uvcvval $p |- ( ( ( R e. V /\ I e. W /\ J e. I ) /\ K e. I ) ->
        ( ( U ` J ) ` K ) = if ( K = J , .1. , .0. ) ) $=
      ( vk wcel w3a cfv wceq cif cvv fvexi wa cv uvcval fveq1d adantr simpr cur
      cmpt c0g ifex eqeq1 ifbid eqid fvmptg sylancl eqtrd ) AGNDHNEDNOZFDNZUAZF
      EBPZPZFMDMUBZEQZCIRZUHZPZFEQZCIRZUQVAVFQURUQFUTVEABCMDEGHIJKLUCUDUEUSURVH
      SNVFVHQUQURUFVGCICAUGKTIAUILTUJMFVDVHDSVEVBFQVCVGCIVBFEUKULVEUMUNUOUP $.

    $( A coordinate of a unit vector is either 0 or 1.  (Contributed by Stefan
       O'Rear, 3-Feb-2015.) $)
    uvcvvcl $p |- ( ( ( R e. V /\ I e. W /\ J e. I ) /\ K e. I ) ->
        ( ( U ` J ) ` K ) e. { .0. , .1. } ) $=
      ( wcel w3a wa cfv wceq cpr cvv fvexi cif uvcvval cur c0g ifpr mp2an prcom
      eleqtri eqeltrdi ) AGMDHMEDMNFDMOFEBPPFEQZCIUAZICRZABCDEFGHIJKLUBUKCIRZUL
      CSMISMUKUMMCAUCKTIAUDLTUJCISSUEUFCIUGUHUI $.
  $}

  ${
    uvcvvcl2.u $e |- U = ( R unitVec I ) $.
    uvcvvcl2.b $e |- B = ( Base ` R ) $.
    uvcvvcl2.r $e |- ( ph -> R e. Ring ) $.
    uvcvvcl2.i $e |- ( ph -> I e. W ) $.
    uvcvvcl2.j $e |- ( ph -> J e. I ) $.
    uvcvvcl2.k $e |- ( ph -> K e. I ) $.
    $( A unit vector coordinate is a ring element.  (Contributed by Stefan
       O'Rear, 3-Feb-2015.) $)
    uvcvvcl2 $p |- ( ph -> ( ( U ` J ) ` K ) e. B ) $=
      ( cfv wceq cur crg wcel eqid c0g cif uvcvval syl31anc ring0cl syl eqeltrd
      ringidcl ifcld ) AGFDOOZGFPZCQOZCUAOZUBZBACRSZEHSFESGESUJUNPKLMNCDULEFGRH
      UMIULTZUMTZUCUDAUOUNBSKUOUKULUMBBCULJUPUHBCUMJUQUEUIUFUG $.
  $}

  ${
    uvcvv.u $e |- U = ( R unitVec I ) $.
    uvcvv.r $e |- ( ph -> R e. V ) $.
    uvcvv.i $e |- ( ph -> I e. W ) $.
    uvcvv.j $e |- ( ph -> J e. I ) $.

    ${
      uvcvv1.o $e |- .1. = ( 1r ` R ) $.
      $( The unit vector is one at its designated coordinate.  (Contributed by
         Stefan O'Rear, 3-Feb-2015.) $)
      uvcvv1 $p |- ( ph -> ( ( U ` J ) ` J ) = .1. ) $=
        ( cfv wceq c0g cif wcel eqid uvcvval syl31anc iftrue mp1i eqtrd ) AFFCN
        NZFFOZDBPNZQZDABGREHRFERZUIUEUHOJKLLBCDEFFGHUGIMUGSTUAUFUHDOAFSUFDUGUBU
        CUD $.
    $}

    ${
      uvcvv0.k $e |- ( ph -> K e. I ) $.
      uvcvv0.jk $e |- ( ph -> J =/= K ) $.
      uvcvv0.z $e |- .0. = ( 0g ` R ) $.
      $( The unit vector is zero at its designated coordinate.  (Contributed by
         Stefan O'Rear, 3-Feb-2015.) $)
      uvcvv0 $p |- ( ph -> ( ( U ` J ) ` K ) = .0. ) $=
        ( cfv wceq cur wcel cif uvcvval syl31anc wne nesym sylib iffalsed eqtrd
        eqid wn ) AFECQQZFERZBSQZIUAZIABGTDHTEDTFDTUKUNRKLMNBCUMDEFGHIJUMUIPUBU
        CAULUMIAEFUDULUJOEFUEUFUGUH $.
    $}
  $}

  ${
    $d U i j $.  $d Y i j $.  $d W i j $.  $d I i j $.  $d R i j $.
    $d B i j $.
    uvcff.u $e |- U = ( R unitVec I ) $.
    uvcff.y $e |- Y = ( R freeLMod I ) $.
    uvcff.b $e |- B = ( Base ` Y ) $.
    $( Domain and range of the unit vector generator; ring condition required
       to be sure 1 and 0 are actually in the ring.  (Contributed by Stefan
       O'Rear, 1-Feb-2015.)  (Proof shortened by AV, 21-Jul-2019.) $)
    uvcff $p |- ( ( R e. Ring /\ I e. W ) -> U : I --> B ) $=
      ( vi vj crg wcel wa cfv c0g eqid cv cvv a1i weq cur cif cmpt uvcfval cmap
      cbs co cfsupp wbr wf ringidcl ring0cl ifcld ad3antrrr fmpttd wb fvex mpan
      elmapg ad2antlr mpbird wfun csn cfn csupp wss mptexg funmpt snfi cdif wne
      eldifsni adantl neneqd iffalsed suppss2 suppssfifsupp frlmelbas mpbir2and
      simplr syl32anc adantr fmpt3d ) BLMZDEMZNZJDKDKJUAZBUBOZBPOZUCZUDZACBCWIJ
      KDLEWJGWIQZWJQZUEWGJRZDMZNZWLAMZWLBUGOZDUFUHMZWLWJUIUJZWQWTDWSWLUKZWQKDWK
      WSWEWKWSMWFWPKRZDMWEWHWIWJWSWSBWIWSQZWMULWSBWJXDWNUMUNUOUPWFWTXBUQZWEWPWS
      SMWFXEBUGURWSDWLSEUTUSVAVBWQWLSMZWLVCZWJSMZWOVDZVEMZWLWJVFUHXIVGXAWFXFWEW
      PKDWKEVHVAXGWQKDWKVITXHWQBPURTXJWQWOVJTWQDWKKEXIWJWQXCDXIVKMZNZWHWIWJXLXC
      WOXKXCWOVLWQXCDWOVMVNVOVPWEWFWPWAVQXIWLSSWJVRWBWGWRWTXANUQWPABFDWSLEWLWJH
      XDWNIVSWCVTWD $.

    $( In a nonzero ring, each unit vector is different.  (Contributed by
       Stefan O'Rear, 7-Feb-2015.)  (Revised by Mario Carneiro,
       14-Jun-2015.) $)
    uvcf1 $p |- ( ( R e. NzRing /\ I e. W ) -> U : I -1-1-> B ) $=
      ( vi vj wcel wa cv cfv wceq wral crg wne eqid cnzr wf nzrring uvcff sylan
      wi wf1 cur c0g nzrnz ad3antrrr simpllr simplrl uvcvv1 simpr necomd uvcvv0
      simplrr 3netr4d fveq1 necon3i syl ex necon4d ralrimivva dff13 sylanbrc )
      BUALZDELZMZDACUBZJNZCOZKNZCOZPVLVNPUFZKDQJDQDACUGVHBRLZVIVKBUCZABCDEFGHIU
      DUEVJVPJKDDVJVLDLZVNDLZMZMZVLVNVMVOWBVLVNSZVMVOSZWBWCMZVLVMOZVLVOOZSWDWEB
      UHOZBUIOZWFWGVHWHWISVIWAWCBWHWIWHTZWITZUJUKWEBCWHDVLREGVHVQVIWAWCVRUKZVHV
      IWAWCULZVJVSVTWCUMZWJUNWEBCDVNVLREWIGWLWMVJVSVTWCURWNWEVLVNWBWCUOUPWKUQUS
      VMVOWFWGVLVMVOUTVAVBVCVDVEJKDACVFVG $.
  $}

  ${
    $d U a b $.  $d R a b $.  $d I a b $.  $d Y a b $.  $d B a b $.
    $d .x. a b $.  $d W a b $.  $d X a b $.
    uvcresum.u $e |- U = ( R unitVec I ) $.
    uvcresum.y $e |- Y = ( R freeLMod I ) $.
    uvcresum.b $e |- B = ( Base ` Y ) $.
    uvcresum.v $e |- .x. = ( .s ` Y ) $.
    $( Any element of a free module can be expressed as a finite linear
       combination of unit vectors.  (Contributed by Stefan O'Rear,
       3-Feb-2015.)  (Proof shortened by Mario Carneiro, 5-Jul-2015.) $)
    uvcresum $p |- ( ( R e. Ring /\ I e. W /\ X e. B ) ->
        X = ( Y gsum ( X oF .x. U ) ) ) $=
      ( vb va wcel cfv co cmpt eqid wceq crg w3a cv cmulr cgsu cof cbs frlmbasf
      wf 3adant1 feqmptd c0g cmnd simpl1 ringmnd syl simpl2 simpr csn ffvelrnda
      cxp uvcff 3adant3 frlmvscafval adantr syl2anc fconstmpt a1i offval2 eqtrd
      wa clmod csca frlmlmod frlmsca fveq2d eleqtrd lmodvscl eqeltrrd fvmptelrn
      syl3anc an32s fmpttd 3ad2ant1 simp2 uvcvv0 oveq2d adantlr ringrz suppsssn
      wne simp3 gsumpt fveq2 fveq1d oveq12d fvmpt adantl cur ringridm mpteq2dva
      ovex uvcvv1 eqtr4d simp1 cvv wfun csupp cfn cfsupp mptexg 3ad2ant2 funmpt
      wss fvexd frlmbasfsupp fsuppimpd cdif eqcomd ssid eqsstrdi suppssr oveq1d
      wbr eldifi sylan2 lmod0vs 3eqtr3d suppss2 suppssfifsupp syl32anc frlmgsum
      ) BUAOZEFOZGAOZUBZGHMENEMUCZGPZNUCZYQDPZPZBUDPZQZRZRZUEQZHGDCUFQZUEQYPGNE
      BMEUUCRZUEQZRZUUFYPGNEYSGPZRUUJYPNEBUGPZGYNYOEUULGUIYMABHEUULFGJUULSZKUHU
      JZUKYPNEUUIUUKYPYSEOZVKZUUIYSUUHPZUUKUUPEUULUUHBFYSBULPZUUMUURSZUUPYMBUMO
      YMYNYOUUOUNZBUOUPYMYNYOUUOUQZYPUUOURZUUPMEUUCUULYPYQEOZUUOUUCUULOYPUVCVKZ
      NEUUCUULUVDYNUUDAOEUULUUDUIYMYNYOUVCUQZUVDYRYTCQZUUDAUVDUVFEYRUSVAZYTUUBU
      FQUUDUVDYRABCUUBEUULFYTHJKUUMUVEYPEUULYQGUUNUTZYPEAYQDYMYNEADUIYOABDEFHIJ
      KVBVCZUTZLUUBSZVDUVDNEYRUUAUUBUVGYTFUULUULUVEUVDYRUULOZUUOUVHVEUVDEUULYSY
      TUVDYNYTAOZEUULYTUIUVEUVJABHEUULFYTJUUMKUHVFZUTUVGNEYRRTUVDNEYRVGVHUVDNEU
      ULYTUVNUKVIVJZUVDHVLOZYRHVMPZUGPZOUVMUVFAOYPUVPUVCYMYNUVPYOBHEFJVNVCZVEUV
      DYRUULUVRUVHYPUULUVRTUVCYPBUVQUGYMYNBUVQTYOBHEUAFJVOVCZVPVEVQUVJYRCUVQUVR
      AHYTKUVQSZLUVRSVRWAVSZABHEUULFUUDJUUMKUHVFVTWBWCUUPEUUCMFYSUURUUPUVCYQYSW
      KZUBZUUCYRUURUUBQZUURUWDUUAUURYRUUBUWDBDEYQYSUAFUURIUUPUVCYMUWCUUTWDZUUPU
      VCYNUWCUVAWDUUPUVCUWCWEUUPUVCUUOUWCUVBWDUUPUVCUWCWLUUSWFWGUWDYMUVLUWEUURT
      UWFUUPUVCUVLUWCYPUVCUVLUUOUVHWHVCUULBUUBYRUURUUMUVKUUSWIVFVJUVAWJWMUUPUUQ
      UUKYSYSDPZPZUUBQZUUKUUOUUQUWITYPMYSUUCUWIEUUHYQYSTZYRUUKUUAUWHUUBYQYSGWNU
      WJYSYTUWGYQYSDWNWOWPUUHSUUKUWHUUBXBWQWRUUPUWIUUKBWSPZUUBQZUUKUUPUWHUWKUUK
      UUBUUPBDUWKEYSUAFIUUTUVAUVBUWKSZXCWGUUPYMUUKUULOUWLUUKTUUTYPEUULYSGUUNUTU
      ULBUUBUWKUUKUUMUVKUWMWTVFVJVJVJXAXDYPNMABUUCEEFFHHULPZJKUWNSZYMYNYOWEZUWP
      YMYNYOXEUWBYPUUEXFOZUUEXGZUWNXFOGUURXHQZXIOUUEUWNXHQUWSXNUUEUWNXJYDYNYMUW
      QYOMEUUDFXKXLUWRYPMEUUDXMVHYPHULXOYPGUURYNYOGUURXJYDYMABHEFGUURJUUSKXPUJX
      QYPEUUDMFUWSUWNYPYQEUWSXROZVKZUVFUVQULPZYTCQZUUDUWNUXAYRUXBYTCYPEUULXFGFU
      WSYQUXBUUNYPGUXBXHQUWSUWSYPUXBUURGXHYPUVQBULYPBUVQUVTXSVPWGUWSXTYAUWPYPUV
      QULXOYBYCUWTYPUVCUVFUUDTYQEUWSYEZUVOYFUXAUVPUVMUXCUWNTYPUVPUWTUVSVEUWTYPU
      VCUVMUXDUVJYFCUVQUXBAHYTUWNKUWALUXBSUWOYGVFYHUWPYIUWSUUEXFXFUWNYJYKYLXDYP
      UUGUUEHUEYPUUGMEUVFRUUEYPMEYRYTCGDFUULAUWPUVHUVJYPMEUULGUUNUKYPMEADUVIUKV
      IYPMEUVFUUDUVOXAVJWGXD $.
  $}

  ${
    $d x B $.  $d x F $.  $d x I $.  $d x J $.  $d x K $.  $d x L $.  $d x R $.
    $d x .0. $.  $d x ph $.  $d x U $.  $d x V $.  $d x .x. $.  $d x X $.
    frlmssuvc1.f $e |- F = ( R freeLMod I ) $.
    frlmssuvc1.u $e |- U = ( R unitVec I ) $.
    frlmssuvc1.b $e |- B = ( Base ` F ) $.
    frlmssuvc1.k $e |- K = ( Base ` R ) $.
    frlmssuvc1.t $e |- .x. = ( .s ` F ) $.
    frlmssuvc1.z $e |- .0. = ( 0g ` R ) $.
    frlmssuvc1.c $e |- C = { x e. B | ( x supp .0. ) C_ J } $.
    frlmssuvc1.r $e |- ( ph -> R e. Ring ) $.
    frlmssuvc1.i $e |- ( ph -> I e. V ) $.
    frlmssuvc1.j $e |- ( ph -> J C_ I ) $.

    ${
      frlmssuvc1.l $e |- ( ph -> L e. J ) $.
      frlmssuvc1.x $e |- ( ph -> X e. K ) $.
      $( A scalar multiple of a unit vector included in a support-restriction
         subspace is included in the subspace.  (Contributed by Stefan O'Rear,
         5-Feb-2015.)  (Revised by AV, 24-Jun-2019.) $)
      frlmssuvc1 $p |- ( ph -> ( X .x. ( U ` L ) ) e. C ) $=
        ( clmod wcel clss cfv csca cbs crg frlmlmod syl2anc wss eqid frlmsslss2
        co syl3anc frlmsca fveq2d eqtrid eleqtrd csupp wf uvcff sseldd ffvelrnd
        wceq frlmbasf cv cdif wa adantr eldifi adantl cin c0 wne disjdif disjne
        simpr mp3an2ani uvcvv0 suppss sseq1d elrab2 sylanbrc lssvscl syl22anc
        oveq1 ) AHUHUIZDHUJUKZUIZNHULUKZUMUKZUILGUKZDUIZNWSFUTDUIAEUNUIZIMUIZWN
        UCUDEHIMPUOUPAXAXBJIUQWPUCUDUEBCDEWOIJMHOPWOURZRUAUBUSVAANKWRUGAKEUMUKW
        RSAEWQUMAXAXBEWQVKUCUDEHIUNMPVBUPVCVDVEAWSCUIZWSOVFUTZJUQZWTAICLGAXAXBI
        CGVGUCUDCEGIMHQPRVHUPAJILUEUFVIZVJZAIKBWSJOAXBXDIKWSVGUDXHCEHIKMWSPSRVL
        UPABVMZIJVNZUIZVOEGILXIUNMOQAXAXKUCVPAXBXKUDVPALIUIXKXGVPXKXIIUIAXIIJVQ
        VRJXJVSVTVKALJUIXKXKLXIWAJIWBUFAXKWDJXJLXIWCWEUAWFWGXIOVFUTZJUQXFBWSCDX
        IWSVKXLXEJXIWSOVFWMWHUBWIWJWRWOFDWQHNWSWQURTWRURXCWKWL $.
    $}

    ${
      frlmssuvc2.l $e |- ( ph -> L e. ( I \ J ) ) $.
      frlmssuvc2.x $e |- ( ph -> X e. ( K \ { .0. } ) ) $.
      $( A nonzero scalar multiple of a unit vector not included in a
         support-restriction subspace is not included in the subspace.
         (Contributed by Stefan O'Rear, 5-Feb-2015.)  (Revised by AV,
         24-Jun-2019.) $)
      frlmssuvc2 $p |- ( ph -> -. ( X .x. ( U ` L ) ) e. C ) $=
        ( cfv co wcel csupp wss wa cv wne crab wn wceq fveq2 neeq1d eldifad cur
        cmulr csn crg uvcff syl2anc ffvelrnd frlmvscaval uvcvv1 oveq2d ringridm
        wf eqid 3eqtrd cdif eldifsni syl eqnetrd elrabd eldifbd nelss wfn clmod
        cvv csca frlmlmod frlmsca fveq2d eleqtrd lmodvscl syl3anc frlmbasf ffnd
        cbs eqtrid c0g fvexi a1i suppvalfn sseq1d mtbird intnand elrab2 sylnibr
        oveq1 ) ANLGUHZFUIZCUJZXHOUKUIZJULZUMXHDUJAXKXIAXKBUNZXHUHZOUOZBIUPZJUL
        ZALXOUJLJUJUQXPUQAXNLXHUHZOUOBLIXLLURXMXQOXLLXHUSUTALIJUFVAZAXQNOAXQNLX
        GUHZEVCUHZUINEVBUHZXTUIZNANCEFXTILKMXGHPRSUDANKOVDZUGVAZAICLGAEVEUJZIMU
        JZICGVMUCUDCEGIMHQPRVFVGXRVHZXRTXTVNZVIAXSYANXTAEGYAILVEMQUCUDXRYAVNZVJ
        VKAYENKUJYBNURUCYDKEXTYANSYHYIVLVGVOANKYCVPUJNOUOUGNKOVQVRVSVTALIJUFWAL
        XOJWBVGAXJXOJAXHIWCYFOWEUJZXJXOURAIKXHAYFXIIKXHVMUDAHWDUJZNHWFUHZWOUHZU
        JXGCUJXIAYEYFYKUCUDEHIMPWGVGANKYMYDAKEWOUHYMSAEYLWOAYEYFEYLURUCUDEHIVEM
        PWHVGWIWPWJYGNFYLYMCHXGRYLVNTYMVNWKWLCEHIKMXHPSRWMVGWNUDYJAOEWQUAWRWSBX
        HMWEIOWTWLXAXBXCXLOUKUIZJULXKBXHCDXLXHURYNXJJXLXHOUKXFXAUBXDXE $.
    $}
  $}

  ${
    $d Y x y z $.  $d U x y z $.  $d B x y $.  $d .0. x y $.  $d R x y z $.
    $d C y z $.  $d I x y z $.  $d V x y z $.  $d J x y z $.  $d K x y z $.
    frlmsslsp.y $e |- Y = ( R freeLMod I ) $.
    frlmsslsp.u $e |- U = ( R unitVec I ) $.
    frlmsslsp.k $e |- K = ( LSpan ` Y ) $.
    frlmsslsp.b $e |- B = ( Base ` Y ) $.
    frlmsslsp.z $e |- .0. = ( 0g ` R ) $.
    frlmsslsp.c $e |- C = { x e. B | ( x supp .0. ) C_ J } $.
    $( A subset of a free module obtained by restricting the support set is
       spanned by the relevant unit vectors.  (Contributed by Stefan O'Rear,
       6-Feb-2015.)  (Revised by AV, 24-Jun-2019.) $)
    frlmsslsp $p |- ( ( R e. Ring /\ I e. V /\ J C_ I ) ->
        ( K ` ( U " J ) ) = C ) $=
      ( wcel cfv adantr vy vz crg wss w3a cima clmod clss frlmlmod 3adant3 eqid
      frlmsslss2 cv wa csupp co uvcff simp3 sselda ffvelrnd cbs simpl2 frlmbasf
      wral wf syl2anc simpll1 simpll2 eldifi adantl wne elneeldif uvcvv0 suppss
      cdif adantll wceq oveq1 sseq1d elrab2 sylanbrc ralrimiva wfun cdm wb fdmd
      ffund sseqtrrd funimass4 mpbird lspssp syl3anc cof cgsu simpl1 ssrab3 a1i
      cvsca uvcresum c0g cabl lmodabl syl csubg crn imassrn frnd sstrid lsssubg
      lspcl wfn 3ad2antl2 ffnd inidm offn syldan adantrr simprr fnfvof syl22anc
      csca sseli sylan2 adantrl frlmsca fveq2d eleqtrd lspssid wi funfvima2 imp
      cvv suppssr ad2antrr eqtrd oveq1d lmod0vs eqeltrd cfn syl2an sseldd wn id
      lssvscl anassrs adantlrr simplrr simpr eldifd simprbi fvexi eqtrid lss0cl
      ffvelrnda pm2.61dan expr ralrimiv ffnfv cfsupp wbr frlmbasfsupp fsuppimpd
      dffn2 sylib ssidd ffvelrn ssfid cmap simp2 frlmbasmap elmapfn offun ovexd
      3eqtrd fvexd funisfsupp gsumsubgcl eqelssd ) DUCRZFIRZGFUDZUEZUAEGUFZHSZC
      UWBJUGRZCJUHSZRUWCCUDZUWDCUDUVSUVTUWEUWADJFILUIUJZABCDUWFFGIJKLUWFUKZOPQU
      LUWBUWGUAUMZESZCRZUAGVDZUWBUWLUAGUWBUWJGRZUNZUWKBRZUWKKUOUPZGUDZUWLUWOFBU
      WJEUWBFBEVEZUWNUVSUVTUWSUWABDEFIJMLOUQUJZTUWBGFUWJUVSUVTUWAURZUSZUTZUWOFD
      VASZAUWKGKUWOUVTUWPFUXDUWKVEUVSUVTUWAUWNVBUXCBDJFUXDIUWKLUXDUKZOVCVFUWOAU
      MZFGVOZRZUNDEFUWJUXFUCIKMUVSUVTUWAUWNUXHVGUVSUVTUWAUWNUXHVHUWOUWJFRUXHUXB
      TUXHUXFFRZUWOUXFFGVIVJUWNUXHUWJUXFVKUWBGFUWJUXFVLVPPVMVNUXFKUOUPZGUDZUWRA
      UWKBCUXFUWKVQUXJUWQGUXFUWKKUOVRVSQVTWAWBUWBEWCZGEWDZUDZUWGUWMWEUWBFBEUWTW
      GZUWBGFUXMUXAUWBFBEUWTWFWHZUAGCEWIVFWJUWFUWCCHJUWINWKWLUWBUWJCRZUNZUWJJUW
      JEJWRSZWMZUPZWNUPZUWDUXRUVSUVTUWJBRZUWJUYBVQUVSUVTUWAUXQWOUVSUVTUWAUXQVBZ
      UWBCBUWJCBUDUWBUXKABCQWPZWQUSZBDUXSEFIUWJJMLOUXSUKZWSWLUXRFUWDUYAJIJWTSZU
      YHUKZUWBJXARZUXQUWBUWEUYJUWHJXBXCTUYDUWBUWDJXDSRZUXQUWBUWEUWDUWFRZUYKUWHU
      WBUWEUWCBUDZUYLUWHUWBUWCEXEBEGXFUWBFBEUWTXGXHZUWFUWCHBJOUWINXJVFZUWFUWDJU
      WIXIVFTUXRUYAFXKZUBUMZUYASZUWDRZUBFVDFUWDUYAVEUWBUXQUYCUYPUYFUWBUYCUNZFFU
      XSFUWJEIIUYTFUXDUWJUVTUVSUYCFUXDUWJVEZUWABDJFUXDIUWJLUXEOVCXLZXMZUWBEFXKZ
      UYCUWBFBEUWTXMZTUVSUVTUWAUYCVBZVUFFXNXOZXPUXRUYSUBFUWBUXQUYQFRZUYSUWBUXQV
      UHUNZUNZUYRUYQUWJSZUYQESZUXSUPZUWDVUJUWJFXKZVUDUVTVUHUYRVUMVQUWBUXQVUNVUH
      UWBUXQUYCVUNUYFVUCXPXQUWBVUDVUIVUETUVSUVTUWAVUIVBUWBUXQVUHXRFUXSUWJEIUYQX
      SXTVUJUYQGRZVUMUWDRZUWBUXQVUOVUPVUHUWBUXQVUOVUPUWBUXQVUOUNZUNZUWEUYLVUKJY
      ASZVASZRVULUWDRVUPUWBUWEVUQUWHTUWBUYLVUQUYOTVURVUKUXDVUTVURFUXDUYQUWJUWBU
      XQVUAVUOUXQUWBUYCVUACBUWJUYEYBZVUBYCZXQUWBVUOVUHUXQUWBGFUYQUXAUSYDUTUWBUX
      DVUTVQVUQUWBDVUSVAUVSUVTDVUSVQUWADJFUCILYEUJZYFTYGVURUWCUWDVULUWBUWCUWDUD
      ZVUQUWBUWEUYMVVDUWHUYNUWCHBJONYHVFTUWBVUOVULUWCRZUXQUWBVUOVVEUWBUXLUXNVUO
      VVEYIUXOUXPGUYQEYJVFYKYDUUAVUTUWFUXSUWDVUSJVUKVULVUSUKZUYGVUTUKUWIUUDXTUU
      EUUFVUJVUOUUBZUNZVUMUYHUWDVVHVUMVUSWTSZVULUXSUPZUYHVVHVUKVVIVULUXSVVHVUKK
      VVIVVHUXRUYQUXGRVUKKVQVUJUXRVVGUWBUXQUXRVUHUXRUUCXQTVVHUYQFGUWBUXQVUHVVGU
      UGVUJVVGUUHUUIUXRFUXDYLUWJIGUYQKVVBUXQUWJKUOUPZGUDZUWBUXQUYCVVLUXKVVLAUWJ
      BCUXFUWJVQUXJVVKGUXFUWJKUOVRVSQVTUUJVJUYDKYLRZUXRKDWTPUUKZWQYMVFUWBKVVIVQ
      ZVUIVVGUWBKDWTSVVIPUWBDVUSWTVVCYFUULZYNYOYPVVHUWEVULBRZVVJUYHVQUWBUWEVUIV
      VGUWHYNZVUJVVQVVGUWBVUHVVQUXQUWBFBUYQEUWTUUNYDTUXSVUSVVIBJVULUYHOVVFUYGVV
      IUKZUYIYQVFYOVVHUWEUYLUYHUWDRVVRUWBUYLVUIVVGUYOYNUWFUWDJUYHUYIUWIUUMVFYRU
      UOYRUUPUUQUBFUWDUYAUURWAUXRUYAUYHUUSUUTZUYAUYHUOUPZYSRZUXRVVKVWAUXRUVTUYC
      VVKYSRUYDUYFUVTUYCUNUWJKBDJFIUWJKLPOUVAUVBVFUWBUXQUYCVWAVVKUDUYFUYTFYLAUY
      AVVKUYHUYTUYPFYLUYAVEVUGFUYAUVCUVDUYTUXFFVVKVORZUNZUXFUYASZUXFUWJSZUXFESZ
      UXSUPZVVIVWGUXSUPZUYHVWDVUNVUDUVTUXIVWEVWHVQUYTVUNVWCVUCTUWBVUDUYCVWCVUEY
      NUVSUVTUWAUYCVWCVHVWCUXIUYTUXFFVVKVIZVJFUXSUWJEIUXFXSXTVWDVWFVVIVWGUXSVWD
      VWFKVVIUYTFUXDYLUWJIVVKUXFKVUBUYTVVKUVEVUFVVMUYTVVNWQYMUWBVVOUYCVWCVVPYNY
      OYPVWDUWEVWGBRZVWIUYHVQUWBUWEUYCVWCUWHYNUYTUWSUXIVWKVWCUWBUWSUYCUWTTVWJFB
      UXFEUVFYTUXSVUSVVIBJVWGUYHOVVFUYGVVSUYIYQVFUVNVNXPUVGUXRUYAWCUYAYLRUYHYLR
      VVTVWBWEUXRFFUXSUWJEIIUXRUWJUXDFUVHUPRZVUNUWBUVTUYCVWLUXQUVSUVTUWAUVIVVAB
      DJFUXDIUWJLUXEOUVJYTUWJUXDFUVKXCUXRFBEUWBUWSUXQUWTTXMUYDUYDUVLUXRUWJEUXTU
      VMUXRJWTUVOUYAYLYLUYHUVPWLWJUVQYRUVR $.
  $}

  ${
    $d F a b c $.  $d U a b c $.  $d J a b c $.  $d R a b c $.  $d I a b c $.
    $d V a b c $.
    frlmlbs.f $e |- F = ( R freeLMod I ) $.
    frlmlbs.u $e |- U = ( R unitVec I ) $.
    frlmlbs.j $e |- J = ( LBasis ` F ) $.
    $( The unit vectors comprise a basis for a free module.  (Contributed by
       Stefan O'Rear, 6-Feb-2015.)  (Proof shortened by AV, 21-Jul-2019.) $)
    frlmlbs $p |- ( ( R e. Ring /\ I e. V ) -> ran U e. J ) $=
      ( vb va vc wcel cfv wss wceq csn cdif wral eqid crg wa crn clspn cv cvsca
      cbs co wn csca uvcff frnd csupp crab cima suppssdm frlmbasf adantll fssdm
      c0g wf ralrimiva rabid2 sylibr ssid frlmsslsp mp3an3 wfn ffn fnima fveq2d
      3syl 3eqtr2rd simpll simplr difssd vsnid snssi ad2antrl eleqtrrid frlmsca
      dfss4 sylib difeq12d eleq2d biimpar adantrl frlmssuvc2 wf1 ccnv wfun cnzr
      sneqd ringelnzr syl2anc uvcf1 df-f1 simprbi imadif f1fn syl simprl fnsnfv
      eqcomd eqtr2d syl3anc eqtrd neleqtrrd ralrimivva wb oveq2 difeq2d eleq12d
      sneq notbid ralbidv ralrn mpbird cvv cfrlm ovexi islbs ax-mp syl3anbrc
      w3a ) AUAMZDFMZUBZBUCZCUGNZOZYICUDNZNZYJPZJUEZKUEZCUFNZUHZYIYPQZRZYLNZMZU
      IZJCUJNZUGNZUUDUTNZQZRZSZKYISZYIEMZYHDYJBYJABDFCHGYJTZUKZULYHYJYPAUTNZUMU
      HZDOZKYJUNZBDUOZYLNZYMYHUUPKYJSYJUUQPYHUUPKYJYHYPYJMZUBDAUGNZUUOYPYPUUNUP
      YGUUTDUVAYPVAYFYJACDUVAFYPGUVATZUULUQURUSVBUUPKYJVCVDYFYGDDOUUSUUQPDVEKYJ
      UUQABDDYLFCUUNGHYLTZUULUUNTZUUQTVFVGYHUURYIYLYHDYJBVAZBDVHZUURYIPZUUMDYJB
      VIZDBVJZVLVKVMYHUUJYOLUEZBNZYQUHZYIUVKQZRZYLNZMZUIZJUUHSZLDSZYHUVQLJDUUHY
      HUVJDMZYOUUHMZUBZUBZUVOUUODUVJQZRZOKYJUNZUVLUWCKYJUWFAYQBCDUWEUVAUVJFYOUU
      NGHUULUVBYQTZUVDUWFTZYFYGUWBVNZYFYGUWBVOZUWCDUWDVPZUWCUVJUWDDUWERZLVQUWCU
      WDDOZUWLUWDPUVTUWMYHUWAUVJDVRVSUWDDWBWCVTYHUWAYOUVAUUNQZRZMZUVTYHUWPUWAYH
      UWOUUHYOYHUVAUUEUWNUUGYHAUUDUGACDUAFGWAZVKYHUUNUUFYHAUUDUTUWQVKWMWDWEWFWG
      ZWHUWCUVOBUWEUOZYLNZUWFUWCUVNUWSYLUWCUWSUURBUWDUOZRZUVNUWCDYJBWIZBWJWKZUW
      SUXBPUWCAWLMZYGUXCUWCYFUWPUXEUWIUWRUVAAYOUUNUVDUVBWNWOUWJYJABDFCHGUULWPWO
      ZUXCUVEUXDDYJBWQWRDUWDBWSVLUWCUURYIUXAUVMUWCUXCUVFUVGUXFDYJBWTZUVIVLUWCUV
      MUXAUWCUVFUVTUVMUXAPUWCUXCUVFUXFUXGXAYHUVTUWAXBDUVJBXCWOXDWDXEVKUWCYFYGUW
      EDOUWTUWFPUWIUWJUWKKYJUWFABDUWEYLFCUUNGHUVCUULUVDUWHVFXFXGXHXIYHUVEUVFUUJ
      UVSXJUUMUVHUUIUVRKLDBYPUVKPZUUCUVQJUUHUXHUUBUVPUXHYRUVLUUAUVOYPUVKYOYQXKU
      XHYTUVNYLUXHYSUVMYIYPUVKXNXLVKXMXOXPXQVLXRCXSMUUKYKYNUUJYEXJCADXTGYAKJYIY
      QUUDEUUEYLYJCXSUUFUULUUDTUWGUUETIUVCUUFTYBYCYD $.
  $}

  ${
    $d R x y z w $.  $d I x y z w $.  $d F x y z w $.  $d B x y z w $.
    $d C x y z w $.  $d .x. x y z w $.  $d E y z w $.  $d A x y z w $.
    $d X x y z w $.  $d K x y z w $.  $d ph x y z w $.  $d Y x y z w $.
    $d U x y z w $.  $d T x y z w $.
    frlmup.f $e |- F = ( R freeLMod I ) $.
    frlmup.b $e |- B = ( Base ` F ) $.
    frlmup.c $e |- C = ( Base ` T ) $.
    frlmup.v $e |- .x. = ( .s ` T ) $.
    frlmup.e $e |- E = ( x e. B |-> ( T gsum ( x oF .x. A ) ) ) $.
    frlmup.t $e |- ( ph -> T e. LMod ) $.
    frlmup.i $e |- ( ph -> I e. X ) $.
    frlmup.r $e |- ( ph -> R = ( Scalar ` T ) ) $.
    frlmup.a $e |- ( ph -> A : I --> C ) $.
    $( Any assignment of unit vectors to target vectors can be extended
       (uniquely) to a homomorphism from a free module to an arbitrary other
       module on the same base ring.  (Contributed by Stefan O'Rear,
       7-Feb-2015.)  (Proof shortened by AV, 21-Jul-2019.) $)
    frlmup1 $p |- ( ph -> E e. ( F LMHom T ) ) $=
      ( vy vz vw cvsca cfv csca cbs eqid crg wcel lmodring syl eqeltrd frlmlmod
      clmod syl2anc wceq frlmsca eqtr3d cplusg cgrp lmodgrp cv cof co wa wi weq
      cgsu eleq1w anbi2d oveq2d eleq1d imbi12d c0g ccmn lmodcmn adantr ad2antrr
      oveq1 simprl fveq2d eleqtrd simprr lmodvscl syl3anc wf frlmbasf sylan off
      inidm cvv wfun csupp cfn wss cfsupp wbr ovexd ffund fvexd frlmbasfsupp wb
      eqcomd breq2d fsuppimpd lmod0vs sylancom suppssof1 suppssfifsupp syl32anc
      mpbird ssidd gsumcl chvarvv fmptd feq1d adantrr adantrl ovex fvmpt oveq1d
      ffnd offn wfn oveqd ffvelrnda syl13anc eqtrd simpr fnfvof oveq12d 3eqtr4d
      syl22anc ad2antll cmpt feqmptd cmulr eleqtrrd breq1d gsumadd frlmplusgval
      lmodvacl 3expb lmodvsdir eqfnfvd ad2antrl isghmd eleq2d biimpar gsumvsmul
      eqbrtrrd dffn2 sylib simplrl adantlrl adantlr lmodvsass simplrr mpteq2dva
      frlmvscaval islmhmd ) AUBUCJGJUEUFZHIGUGUFZJUGUFZUVFUHUFZDNUVDUIZPUVFUIZU
      VEUIZUVGUIZAFUJUKZKLUKZJUPUKZAFUVEUJTAGUPUKZUVEUJUKRUVEGUVJULUMUNZSFJKLMU
      OUQZRAFUVEUVFTAUVLUVMFUVFURUVPSFJKUJLMUSUQZUTZAUBUCJVAUFZGVAUFZJGIDENOUVT
      UIZUWAUIZAUVNJVBUKUVQJVCUMAUVOGVBUKRGVCUMABDGBVDZCHVEZVFZVJVFZEIAUCVDZDUK
      ZVGZGUWHCUWEVFZVJVFZEUKZVHAUWDDUKZVGZUWGEUKZVHUCBUCBVIZUWJUWOUWMUWPUWQUWI
      UWNAUCBDVKVLUWQUWLUWGEUWQUWKUWFGVJUWHUWDCUWEWAVMVNVOUWJKEUWKGLGVPUFZOUWRU
      IZAGVQUKZUWIAUVOUWTRGVRUMZVSAUVMUWISVSZUWJBUBKKKHFUHUFZEEUWHCLLUWJUWDUXCU
      KZUBVDZEUKZVGZVGZUVOUWDUVEUHUFZUKUXFUWDUXEHVFEUKAUVOUWIUXGRVTUXHUWDUXCUXI
      UWJUXDUXFWBAUXCUXIURZUWIUXGAFUVEUHTWCZVTWDUWJUXDUXFWEUWDHUVEUXIEGUXEOUVJP
      UXIUIZWFWGAUVMUWIKUXCUWHWHZSDFJKUXCLUWHMUXCUIZNWIWJZAKECWHZUWIUAVSZUXBUXB
      KWLZWKZUWJUWKWMUKUWKWNUWRWMUKUWHUVEVPUFZWOVFZWPUKUWKUWRWOVFUYAWQUWKUWRWRW
      SZUWJUWHCUWEWTUWJKEUWKUXSXAUWJGVPXBUWJUWHUXTUWJUWHUXTWRWSZUWHFVPUFZWRWSZA
      UVMUWIUYESDFJKLUWHUYDMUYDUINXCWJAUYCUYEXDUWIAUXTUYDUWHWRAUYDUXTAFUVEVPTWC
      XEXFVSXMXGUWJUDUWHCKEWMUYAHUXCLUXTUWRUWJUYAXNUWJUDVDZEUKZUVOUXTUYFHVFUWRU
      RAUVOUWIUYGRVTHUVEUXTEGUYFUWROUVJPUXTUIUWSXHXIUXOUXQUXBUWJUVEVPXBXJUYAUWK
      WMWMUWRXKXLZXOXPQXQAUXEDUKZUWIVGZVGZGUXECUWEVFZUWKUWAVEVFZVJVFZGUYLVJVFZU
      WLUWAVFUXEUWHUVTVFZIUFZUXEIUFZUWHIUFZUWAVFUYKKEUWAUYLGUWKLUWROUWSUWCAUWTU
      YJUXAVSAUVMUYJSVSZAUYIKEUYLWHZUWIUWJKEUWKWHZVHAUYIVGZVUAVHUCUBUCUBVIZUWJV
      UCVUBVUAVUDUWIUYIAUCUBDVKVLZVUDKEUWKUYLUWHUXECUWEWAZXRVOUXSXPZXSAUWIVUBUY
      IUXSXTAUYIUYLUWRWRWSZUWIUWJUYBVHVUCVUHVHUCUBVUDUWJVUCUYBVUHVUEVUDUWKUYLUW
      RWRVUFUUAVOUYHXPXSAUWIUYBUYIUYHXTUUBUYKUYQGUYPCUWEVFZVJVFZUYNUYKUYPDUKZUY
      QVUJURAUVNUYJVUKUVQUVNUYIUWIVUKUVTDJUXEUWHNUWBUUDUUEWJBUYPUWGVUJDIUWDUYPU
      RUWFVUIGVJUWDUYPCUWEWAVMQGVUIVJYAYBUMUYKVUIUYMGVJUYKVUIUXEUWHFVAUFZVEVFZC
      UWEVFZUYMUYKUYPVUMCUWEUYKDVULUVTFUXEUWHKUJLJMNAUVLUYJUVPVSUYTAUYIUWIWBAUY
      IUWIWEVULUIUWBUUCYCUYKBKVUNUYMUYKKKHKVUMCLLUYKKKVULKUXEUWHLLUYKKUXCUXEAUY
      IKUXCUXEWHZUWIAUVMUYIVUOSDFJKUXCLUXEMUXNNWIWJXSZYDZUYKKUXCUWHAUWIUXMUYIUX
      OXTZYDZUYTUYTUXRYEZACKYFZUYJAKECUAYDZVSUYTUYTUXRYEUYKKKUWAKUYLUWKLLAUYIUY
      LKYFZUWIVUCKEUYLVUGYDXSZAUWIUWKKYFZUYIUWJKEUWKUXSYDXTZUYTUYTUXRYEUYKUWDKU
      KZVGZUWDVUMUFZUWDCUFZHVFZUWDUYLUFZUWDUWKUFZUWAVFZUWDVUNUFZUWDUYMUFZVVHUWD
      UXEUFZUWDUWHUFZVULVFZVVJHVFZVVQVVJHVFZVVRVVJHVFZUWAVFZVVKVVNVVHVVTVVQVVRU
      VEVAUFZVFZVVJHVFZVWCVVHVVSVWEVVJHVVHVULVWDVVQVVRAVULVWDURUYJVVGAFUVEVATWC
      VTYGYCVVHUVOVVQUXIUKVVRUXIUKZVVJEUKZVWFVWCURAUVOUYJVVGRVTVVHVVQUXCUXIUYKK
      UXCUWDUXEVUPYHAUXJUYJVVGUXKVTZWDVVHVVRUXCUXIUYKKUXCUWDUWHVURYHVWIWDUYKKEU
      WDCAUXPUYJUAVSYHUWAVWDVVQVVRHUVEUXIEGVVJOUWCUVJPUXLVWDUIUUFYIYJVVHVVIVVSV
      VJHVVHUXEKYFZUWHKYFZUVMVVGVVIVVSURUYKVWJVVGVUQVSZUYKVWKVVGVUSVSZAUVMUYJVV
      GSVTZUYKVVGYKZKVULUXEUWHLUWDYLYOYCVVHVVLVWAVVMVWBUWAVVHVWJVVAUVMVVGVVLVWA
      URVWLAVVAUYJVVGVVBVTZVWNVWOKHUXECLUWDYLYOVVHVWKVVAUVMVVGVVMVWBURZVWMVWPVW
      NVWOKHUWHCLUWDYLZYOYMYNVVHVUMKYFZVVAUVMVVGVVOVVKURUYKVWSVVGVUTVSVWPVWNVWO
      KHVUMCLUWDYLYOVVHVVCVVEUVMVVGVVPVVNURUYKVVCVVGVVDVSUYKVVEVVGVVFVSVWNVWOKU
      WAUYLUWKLUWDYLYOYNUUGYJVMYJUYKUYRUYOUYSUWLUWAUYIUYRUYOURAUWIBUXEUWGUYODIB
      UBVIUWFUYLGVJUWDUXECUWEWAVMQGUYLVJYAYBUUHUWIUYSUWLURAUYIBUWHUWGUWLDIBUCVI
      UWFUWKGVJUWDUWHCUWEWAVMQGUWKVJYAYBZYPYMYNUUIAUXEUVGUKZUWIVGZVGZGUXEUWHUVD
      VFZCUWEVFZVJVFZUXEUWLHVFZVXDIUFZUXEUYSHVFZVXCGBKUXEVVMHVFZYQZVJVFUXEGBKVV
      MYQZVJVFZHVFVXFVXGVXCKEUWAGUVEHBUXILUXEVVMUWROUVJUXLUWSUWCPAUVOVXBRVSAUVM
      VXBSVSZAVXAUXEUXIUKZUWIAVXOVXAAUXIUVGUXEAUVEUVFUHUVSWCZUUJUUKXSVXCKEUWDUW
      KAUWIVUBVXAUXSXTZYHAUWIVXLUWRWRWSVXAUWJUWKVXLUWRWRUWJBKEUWKUXSYRUYHUUMXTU
      ULVXCVXEVXKGVJVXCVXEBKUWDVXEUFZYQVXKVXCBKWMVXEVXCVXEKYFKWMVXEWHVXCKKHKVXD
      CLLVXCKUXCVXDVXCUVMVXDDUKZKUXCVXDWHVXNVXCUVNVXAUWIVXSAUVNVXBUVQVSAVXAUWIW
      BAVXAUWIWEUXEUVDUVFUVGDJUWHNUVIUVHUVKWFWGZDFJKUXCLVXDMUXNNWIUQYDZAVVAVXBV
      VBVSVXNVXNUXRYEKVXEUUNUUOYRVXCBKVXRVXJVXCVVGVGZUXEVVRFYSUFZVFZVVJHVFZUXEV
      WBHVFZVXRVXJVYBVYEUXEVVRUVEYSUFZVFZVVJHVFZVYFVYBVYDVYHVVJHVYBVYCVYGUXEVVR
      AVYCVYGURVXBVVGAFUVEYSTWCVTYGYCVYBUVOVXOVWGVWHVYIVYFURAUVOVXBVVGRVTVYBUXE
      UVGUXIAVXAUWIVVGUUPZAUXIUVGURVXBVVGVXPVTYTAUWIVVGVWGVXAUWJVVGVGVVRUXCUXIU
      WJKUXCUWDUWHUXOYHAUXJUWIVVGUXKVTWDUUQAVVGVWHVXBAKEUWDCUAYHUURUXEVVRHVYGUV
      EUXIEGVVJOUVJPUXLVYGUIUUSYIYJVYBVXRUWDVXDUFZVVJHVFZVYEVYBVXDKYFZVVAUVMVVG
      VXRVYLURVXCVYMVVGVYAVSAVVAVXBVVGVVBVTZAUVMVXBVVGSVTZVXCVVGYKZKHVXDCLUWDYL
      YOVYBVYKVYDVVJHVYBUXEDFUVDVYCKUWDUXCLUWHJMNUXNVYOVYBUXEUVGUXCVYJAUXCUVGUR
      VXBVVGAFUVFUHUVRWCVTYTAVXAUWIVVGUUTVYPUVHVYCUIUVBYCYJVYBVVMVWBUXEHVYBVWKV
      VAUVMVVGVWQVXCVWKVVGAUWIVWKVXAUWJKUXCUWHUXOYDXTVSVYNVYOVYPVWRYOVMYNUVAYJV
      MVXCUWLVXMUXEHVXCUWKVXLGVJVXCBKEUWKVXQYRVMVMYNVXCVXSVXHVXFURVXTBVXDUWGVXF
      DIUWDVXDURUWFVXEGVJUWDVXDCUWEWAVMQGVXEVJYAYBUMUWIVXIVXGURAVXAUWIUYSUWLUXE
      HVWTVMYPYNUVC $.

    ${
      frlmup.y $e |- ( ph -> Y e. I ) $.
      frlmup.u $e |- U = ( R unitVec I ) $.
      $( The evaluation map has the intended behavior on the unit vectors.
         (Contributed by Stefan O'Rear, 7-Feb-2015.)  (Proof shortened by AV,
         21-Jul-2019.) $)
      frlmup2 $p |- ( ph -> ( E ` ( U ` Y ) ) = ( A ` Y ) ) $=
        ( cfv cof co cgsu wcel wceq crg wf csca clmod eqid lmodring syl eqeltrd
        uvcff syl2anc ffvelrnd cv oveq1 oveq2d ovex fvmpt c0g ccmn cmnd lmodcmn
        cmnmnd 3syl cbs frlmbasf fveq2d feq3d mpbid csn cdif wa wfn ffnd adantr
        lcomf eldifi adantl fnfvof syl22anc eldifsni necomd uvcvv0 eqtrd oveq1d
        wne ffvelrn syl2an lmod0vs 3eqtrd suppss gsumpt cur uvcvv1 lmodvs1 ) AN
        IUFZJUFZGXECHUGZUHZUIUHZNXHUFZNCUFZAXEDUJZXFXIUKALDNIAFULUJZLMUJZLDIUMA
        FGUNUFZULUBAGUOUJZXOULUJTXOGXOUPZUQURUSZUADFILMKUEOPUTVAUDVBZBXEGBVCZCX
        GUHZUIUHXIDJXTXEUKYAXHGUIXTXECXGVDVESGXHUIVFVGURALEXHGMNGVHUFZQYBUPZAXP
        GVIUJGVJUJTGVKGVLVMUAUDAEHXOXECLXOVNUFZMGXQYDUPRQTALFVNUFZXEUMZLYDXEUMA
        XNXLYFUAXSDFKLYEMXEOYEUPPVOVAZAYEYDXELAFXOVNUBVPVQVRUCUAWEZALEBXHNVSZYB
        YHAXTLYIVTUJZWAZXTXHUFZXTXEUFZXTCUFZHUHZXOVHUFZYNHUHZYBYKXELWBZCLWBZXNX
        TLUJZYLYOUKAYRYJALYEXEYGWCZWDAYSYJALECUCWCZWDAXNYJUAWDZYJYTAXTLYIWFZWGZ
        LHXECMXTWHWIYKYMYPYNHYKYMFVHUFZYPYKFILNXTULMUUFUEAXMYJXRWDUUCANLUJZYJUD
        WDUUEYJNXTWOAYJXTNXTLNWJWKWGUUFUPWLAUUFYPUKYJAFXOVHUBVPWDWMWNYKXPYNEUJZ
        YQYBUKAXPYJTWDALECUMYTUUHYJUCUUDLEXTCWPWQHXOYPEGYNYBQXQRYPUPYCWRVAWSWTX
        AAXJNXEUFZXKHUHZXOXBUFZXKHUHZXKAYRYSXNUUGXJUUJUKUUAUUBUAUDLHXECMNWHWIAU
        UIUUKXKHAUUIFXBUFZUUKAFIUUMLNULMUEXRUAUDUUMUPXCAFXOXBUBVPWMWNAXPXKEUJUU
        LXKUKTALENCUCUDVBHUUKXOEGXKQXQRUUKUPXDVAWSWS $.
    $}

    $d ph u $.  $d I u x $.  $d A u $.  $d E u $.  $d R u $.
    frlmup.k $e |- K = ( LSpan ` T ) $.
    $( The range of such an evaluation map is the finite linear combinations of
       the target vectors and also the span of the target vectors.
       (Contributed by Stefan O'Rear, 6-Feb-2015.) $)
    frlmup3 $p |- ( ph -> ran E = ( K ` ran A ) ) $=
      ( vu cuvc co crn clspn cfv cima clmhm wcel wss wceq frlmup1 wf csca clmod
      crg eqid lmodring syl eqeltrd uvcff syl2anc frnd lmhmlsp lmhmf ffnd fnima
      clbs frlmlbs lbssp eqcomd imaeq2d eqtr3d ccom imaco fnco syl3anc cv fvco2
      wfn wa sylan adantr frlmup2 eqtr2d eqfnfvd imaeq1d 3eqtr3a fveq2d 3eqtr4d
      simpr ) AIFKUEUFZUGZJUHUIZUIZUJZIWPUJZLUIZIUGZCUGZLUIAIJGUKUFULZWPDUMZWSX
      AUNABCDEFGHIJKMNOPQRSTUAUBUOZAKDWOAFUSULZKMULZKDWOUPAFGUQUIZUSUAAGURULZXI
      USULSXIGXIUTVAVBVCZTDFWOKMJWOUTZNOVDVEZVFZJGWPIWQLDOWQUTZUCVGVEAIDUJZXBWS
      AIDWCZXPXBUNADEIAXDDEIUPXFDEJGIOPVHVBVIZDIVJVBADWRIAWRDAWPJVKUIZULZWRDUNA
      XGXHXTXKTFWOJKXSMNXLXSUTZVLVEWPXSWQDJOYAXOVMVBVNVOVPAXCWTLAIWOVQZKUJZIWOK
      UJZUJXCWTIWOKVRACKUJZYCXCACYBKAUDKCYBAKECUBVIZAXQWOKWCZXEYBKWCXRAKDWOXMVI
      ZXNDKIWOVSVTAUDWAZKULZWDZYIYBUIZYIWOUIIUIZYICUIAYGYJYLYMUNYHKIWOYIWBWEYKB
      CDEFGHWOIJKMYINOPQRAXJYJSWFAXHYJTWFAFXIUNYJUAWFAKECUPYJUBWFAYJWNXLWGWHWIW
      JACKWCYEXCUNYFKCVJVBVPAYDWPIAYGYDWPUNYHKWOVJVBVOWKWLWM $.
  $}

  ${
    $d A m x $.  $d A y $.  $d C x y $.  $d F m x $.  $d F y $.  $d I x y $.
    $d R x $.  $d T m x $.  $d T y $.  $d U m x $.  $d U y $.  $d X x y $.
    frlmup4.r $e |- R = ( Scalar ` T ) $.
    frlmup4.f $e |- F = ( R freeLMod I ) $.
    frlmup4.u $e |- U = ( R unitVec I ) $.
    frlmup4.c $e |- C = ( Base ` T ) $.
    $( Universal property of the free module by existential uniqueness.
       (Contributed by Stefan O'Rear, 7-Mar-2015.) $)
    frlmup4 $p |- ( ( T e. LMod /\ I e. X /\ A : I --> C ) ->
        E! m e. ( F LMHom T ) ( m o. U ) = A ) $=
      ( vx wcel wceq cfv eqid wfn syl2anc vy clmod wf w3a cv ccom clmhm co wrex
      wrmo wreu cbs cvsca cof cgsu cmpt simp1 simp2 csca a1i simp3 frlmup1 ovex
      crn wss fnmpti crg lmodring 3ad2ant1 uvcff ffnd frnd mp3an2i ffn 3ad2ant3
      fnco adantr simpr fvco2 simpl1 simpl2 simpl3 frlmup2 eqtrd eqfnfvd eqeq1d
      wa coeq1 rspcev cres ccnv wi wral ffund funcoeqres ex ralrimivw syl clspn
      wfun clbs frlmlbs lbssp lspextmo rmoim sylc reu5 sylanbrc ) DUBOZHIOZHBAU
      CZUDZFUEZEUFZAPZFGDUGUHZUIZXOFXPUJZXOFXPUKXLNGULQZDNUEADUMQZUNUHZUOUHZUPZ
      XPOYCEUFZAPZXQXLNAXSBCDXTYCGHIKXSRZMXTRZYCRZXIXJXKUQXIXJXKURZCDUSQPZXLJUT
      XIXJXKVAVBXLUAHYDAYCXSSXLEHSZEVDZXSVEZYDHSNXSYBYCDYAUOVCYHVFXLHXSEXLCVGOZ
      XJHXSEUCZXIXJYNXKCDJVHVIZYIXSCEHIGLKYFVJTZVKXLHXSEYQVLZXSHYCEVPVMXKXIAHSX
      JHBAVNVOXLUAUEZHOZWGZYSYDQZYSEQYCQZYSAQUUAYKYTUUBUUCPUUAHXSEXLYOYTYQVQVKX
      LYTVRZHYCEYSVSTUUANAXSBCDXTEYCGHIYSKYFMYGYHXIXJXKYTVTXIXJXKYTWAYJUUAJUTXI
      XJXKYTWBUUDLWCWDWEXOYEFYCXPXMYCPXNYDAXMYCEWHWFWITXLXOXMYLWJAEWKUFZPZWLZFX
      PWMZUUFFXPUJZXRXLEWTZUUHXLHXSEYQWNUUJUUGFXPUUJXOUUFXMEAWOWPWQWRXLYMYLGWSQ
      ZQXSPZUUIYRXLYLGXAQZOZUULXLYNXJUUNYPYICEGHUUMIKLUUMRZXBTYLUUMUUKXSGYFUUOU
      UKRZXCWRXSGDFUUEUUKYLYFUUPXDTXOUUFFXPXEXFXOFXPXGXH $.
  $}

  ${
    $d B a f $.  $d F a f $.  $d I a f $.  $d K a f $.  $d M a f $.
    $d N a f $.  $d S a f $.  $d X a f $.  $d .0. a f $.  $d .x. a f $.
    $d ph a f $.
    ellspd.n $e |- N = ( LSpan ` M ) $.
    ellspd.v $e |- B = ( Base ` M ) $.
    ellspd.k $e |- K = ( Base ` S ) $.
    ellspd.s $e |- S = ( Scalar ` M ) $.
    ellspd.z $e |- .0. = ( 0g ` S ) $.
    ellspd.t $e |- .x. = ( .s ` M ) $.

    ${
      $d V a f $.
      ellspd.f $e |- ( ph -> F : I --> B ) $.
      ellspd.m $e |- ( ph -> M e. LMod ) $.
      ellspd.i $e |- ( ph -> I e. V ) $.
      $( The elements of the span of an indexed collection of basic vectors are
         those vectors which can be written as finite linear combinations of
         basic vectors.  (Contributed by Stefan O'Rear, 7-Feb-2015.)  (Revised
         by AV, 24-Jun-2019.)  (Revised by AV, 11-Apr-2024.) $)
      ellspd $p |- ( ph -> ( X e. ( N ` ( F " I ) ) <->
                             E. f e. ( K ^m I ) ( f finSupp .0. /\
                                         X = ( M gsum ( f oF .x. F ) ) ) ) ) $=
        ( va cima cfv wcel cv cof co cgsu wceq cfrlm cbs wrex cab cfsupp wbr wa
        cmap crn wfn ffn fnima 3syl fveq2d cmpt eqid rnmpt csca frlmup3 eqtr3id
        wf a1i eqtr4d eleq2d cvv ovex eleq1 mpbiri rexlimivw eqeq1 rexbidv crab
        elab3 fvexi frlmbas sylancr eqcomd rexeqdv breq1 rexrab bitrdi syl5bb
        bitrd ) ALFGUDZJUEZUFLUCUGZIEUGZFDUHUIZUJUIZUKZECGULUIZUMUEZUNZUCUOZUFZ
        WRMUPUQZLWTUKZUREHGUSUIZUNZAWPXELAWPFUTZJUEZXEAWOXKJAGBFVLFGVAWOXKUKTGB
        FVBGFVCVDVEAXEEXCWTVFZUTXLEUCXCWTXMXMVGZVHAEFXCBCIDXMXBGJKXBVGZXCVGOSXN
        UAUBCIVIUEUKAQVMTNVJVKVNVOXFXHEXCUNZAXJXDXPUCLVPXHLVPUFZEXCXHXQWTVPUFIW
        SUJVQLWTVPVRVSVTWQLUKXAXHEXCWQLWTWAWBWDAXPXHEWQMUPUQZUCXIWCZUNXJAXHEXCX
        SAXSXCACVPUFGKUFXSXCUKCIVIQWEUBXSCUCXBGHVPKMXOPRXSVGWFWGWHWIXRXGXHEUCXI
        WQWRMUPWJWKWLWMWN $.
    $}

    ${
      elfilspd.f $e |- ( ph -> F : I --> B ) $.
      elfilspd.m $e |- ( ph -> M e. LMod ) $.
      elfilspd.i $e |- ( ph -> I e. Fin ) $.
      $( Simplified version of ~ ellspd when the spanning set is finite: all
         linear combinations are then acceptable.  (Contributed by Stefan
         O'Rear, 7-Feb-2015.)  (Proof shortened by AV, 21-Jul-2019.) $)
      elfilspd $p |- ( ph -> ( X e. ( N ` ( F " I ) ) <->
          E. f e. ( K ^m I ) X = ( M gsum ( f oF .x. F ) ) ) ) $=
        ( cima cfv wcel cv cfsupp wbr cof co cgsu wceq cmap wrex cfn ellspd cvv
        wa wf elmapi adantl adantr c0g a1i fdmfifsupp biantrurd rexbidva bitr4d
        fvexi ) AKFGUBJUCUDEUEZLUFUGZKIVIFDUHUIUJUIUKZUQZEHGULUIZUMVKEVMUMABCDE
        FGHIJUNKLMNOPQRSTUAUOAVKVLEVMAVIVMUDZUQZVJVKVOGHVIUPLVNGHVIURAVIHGUSUTA
        GUNUDVNUAVALUPUDVOLCVBQVHVCVDVEVFVG $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Independent sets and families
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  <HTML>
  According to the definition in [Lang] p. 129: "A subset S of a module M is
  said to be <b>linearly independent</b> (over A) if whenever we have a linear
  combination &sum;<sub>x&isin;S</sub>a<sub>x</sub>x which is equal to 0,
  then a<sub>x</sub> = 0 for all x &isin; S", and according to the Definition
  in [Lang] p. 130: "a familiy {x<sub>i</sub>}<sub>i&isin;I</sub> of elements
  of M is said to be <b>linearly independent</b> (over A) if whenever we have a
  linear combination &sum;<sub>i&isin;I</sub>a<sub>i</sub>x<sub>i</sub> = 0,
  then a<sub>i</sub> = 0 for all i &isin; I."  These definitions correspond to
  Definitions ~ df-linds and ~ df-lindf respectively, where it is claimed
  that a nonzero summand can be extracted
  (&sum;<sub>i&isin;{I\{j}}</sub>a<sub>i</sub>x<sub>i</sub> =
  -a<sub>j</sub>x<sub>j</sub>)
  and be represented as a linear combination of the remaining elements of the
  family.
  </HTML>

$)

$( TODO: After introducing a definition of "linear combination", it should be
shown that these definitions are actually equivalent. $)

  $c LIndF LIndS $.

  $( The class relationship of independent families in a module. $)
  clindf $a class LIndF $.

  $( The class generator of independent sets in a module. $)
  clinds $a class LIndS $.

  ${
    $d f w s x k $.
    $( An independent family is a family of vectors, no nonzero multiple of
       which can be expressed as a linear combination of other elements of the
       family.  This is almost, but not quite, the same as a function into an
       independent set.

       This is a defined concept because it matters in many cases whether
       independence is taken at a set or family level.  For instance, a number
       is transcedental iff its nonzero powers are linearly independent.  Is 1
       transcedental?  It has only one nonzero power.

       We can almost define family independence as a family of unequal elements
       with independent range, as ~ islindf3 , but taking that as primitive
       would lead to unpleasant corner case behavior with the zero ring.

       This is equivalent to the common definition of having no nontrivial
       representations of zero ( ~ islindf4 ) and only one representation for
       each element of the range ( ~ islindf5 ).  (Contributed by Stefan
       O'Rear, 24-Feb-2015.) $)
    df-lindf $a |- LIndF = { <. f , w >. | ( f : dom f --> ( Base ` w ) /\
            [. ( Scalar ` w ) / s ]. A. x e. dom f
                A. k e. ( ( Base ` s ) \ { ( 0g ` s ) } )
                  -. ( k ( .s ` w ) ( f ` x ) ) e.
                      ( ( LSpan ` w ) ` ( f " ( dom f \ { x } ) ) ) ) } $.

    $( An independent set is a set which is independent as a family.  See also
       ~ islinds3 and ~ islinds4 .  (Contributed by Stefan O'Rear,
       24-Feb-2015.) $)
    df-linds $a |- LIndS = ( w e. _V |->
          { s e. ~P ( Base ` w ) | ( _I |` s ) LIndF w } ) $.
  $}

  ${
    $d f k s w x $.
    $( The independent-family predicate is a proper relation and can be used
       with ~ brrelex1i .  (Contributed by Stefan O'Rear, 24-Feb-2015.) $)
    rellindf $p |- Rel LIndF $=
      ( vf vw vk vx vs cv cdm cbs cfv wf cvsca co csn cdif cima clspn wcel wral
      wn c0g csca wsbc wa clindf df-lindf relopabiv ) AFZGZBFZHIUGJCFDFZUGIUIKI
      LUGUHUJMNOUIPIIQSCEFZHIUKTIMNRDUHREUIUAIUBUCABUDDBACEUEUF $.
  $}

  ${
    $d W s w $.  $d X s $.
    islinds.b $e |- B = ( Base ` W ) $.
    $( Property of an independent set of vectors in terms of an independent
       family.  (Contributed by Stefan O'Rear, 24-Feb-2015.) $)
    islinds $p |- ( W e. V -> ( X e. ( LIndS ` W ) <->
          ( X C_ B /\ ( _I |` X ) LIndF W ) ) ) $=
      ( vs vw wcel clinds cfv cbs cpw cid cres clindf wbr wa wss cv wceq eleq2d
      crab cvv elex fveq2 pweqd breq2 rabeqbidv df-linds fvex pwex rabex reseq2
      fvmpt syl breq1d elrab bitrdi elpw2 sseq2i bitr4i anbi1i ) CBHZDCIJZHZDCK
      JZLZHZMDNZCOPZQZDARZVJQVCVEDMFSZNZCOPZFVGUBZHVKVCVDVPDVCCUCHVDVPTCBUDGCVN
      GSZOPZFVQKJZLZUBVPUCIVQCTZVRVOFVTVGWAVSVFVQCKUEUFVQCVNOUGUHGFUIVOFVGVFCKU
      JZUKULUNUOUAVOVJFDVGVMDTVNVICOVMDMUMUPUQURVHVLVJVHDVFRVLDVFWBUSAVFDEUTVAV
      BUR $.

    $( An independent set of vectors is a set of vectors.  (Contributed by
       Stefan O'Rear, 24-Feb-2015.) $)
    linds1 $p |- ( X e. ( LIndS ` W ) -> X C_ B ) $=
      ( clinds cfv wcel wss cid cres clindf wbr wa cdm wb elfvdm islinds simpld
      syl ibi ) CBEFGZCAHZICJBKLZUAUBUCMZUABENZGUAUDOCBEPAUEBCDQSTR $.
  $}

  $( An independent set of vectors is independent as a family.  (Contributed by
     Stefan O'Rear, 24-Feb-2015.) $)
  linds2 $p |- ( X e. ( LIndS ` W ) -> ( _I |` X ) LIndF W ) $=
    ( clinds cfv wcel cbs wss cid cres clindf wbr wa cdm wb elfvdm eqid islinds
    syl ibi simprd ) BACDEZBAFDZGZHBIAJKZUAUCUDLZUAACMZEUAUENBACOUBUFABUBPQRST
    $.

  ${
    $d B f w $.  $d F f k w x $.  $d K f w $.  $d N f k w $.  $d .x. f w $.
    $d W f k w x $.  $d .0. f k w $.  $d f s $.  $d k s $.  $d s w x $.
    islindf.b $e |- B = ( Base ` W ) $.
    islindf.v $e |- .x. = ( .s ` W ) $.
    islindf.k $e |- K = ( LSpan ` W ) $.
    islindf.s $e |- S = ( Scalar ` W ) $.
    islindf.n $e |- N = ( Base ` S ) $.
    islindf.z $e |- .0. = ( 0g ` S ) $.
    $( Property of an independent family of vectors.  (Contributed by Stefan
       O'Rear, 24-Feb-2015.) $)
    islindf $p |- ( ( W e. Y /\ F e. X ) -> ( F LIndF W <->
          ( F : dom F --> B /\ A. x e. dom F A. k e. ( N \ { .0. } )
                -. ( k .x. ( F ` x ) ) e.
                    ( K ` ( F " ( dom F \ { x } ) ) ) ) ) ) $=
      ( cfv wceq vf vw vs wcel clindf wbr cdm wf cv co csn cdif cima wn wral wa
      wb cbs cvsca clspn csca wsbc feq1 adantr dmeq fveq2 eqtr4di adantl feq23d
      c0g bitrd fvex sneqd difeq12d raleqdv ralbidv sbcie fveq2d eqidd oveq123d
      fveq1 imaeq1 difeq1d imaeq2d eqtrd fveq12d eleq12d notbid syl5bb df-lindf
      raleqbidv anbi12d brabga ancoms ) FJUDIKUDFIUEUFFUGZBFUHZEUIZAUIZFSZDUJZF
      WOWRUKZULZUMZGSZUDZUNZEHLUKZULZUOZAWOUOZUPZUQUAUIZUGZUBUIZURSZXLUHZWQWRXL
      SZXNUSSZUJZXLXMXAULZUMZXNUTSZSZUDZUNZEUCUIZURSZYFVJSZUKZULZUOZAXMUOZUCXNV
      ASZVBZUPXKUAUBFIUEJKXLFTZXNITZUPZXPWPYNXJYQXPXMXOFUHZWPYOXPYRUQYPXMXOXLFV
      CVDYQXMXOWOBFYOXMWOTYPXLFVEZVDZYPXOBTYOYPXOIURSBXNIURVFMVGVHVIVKYNYEEYMUR
      SZYMVJSZUKZULZUOZAXMUOZYQXJYLUUFUCYMXNVAVLYFYMTZYKUUEAXMUUGYEEYJUUDUUGYGU
      UAYIUUCYFYMURVFUUGYHUUBYFYMVJVFVMVNVOVPVQYQUUEXIAXMWOYTYQYEXFEUUDXHYPUUDX
      HTYOYPUUAHUUCXGYPUUACURSHYPYMCURYPYMIVASCXNIVAVFPVGZVRQVGYPUUBLYPUUBCVJSL
      YPYMCVJUUHVRRVGVMVNVHYQYDXEYQXSWTYCXDYQWQWQXQWSXRDYPXRDTYOYPXRIUSSDXNIUSV
      FNVGVHYQWQVSYOXQWSTYPWRXLFWAVDVTYQYAXCYBGYPYBGTYOYPYBIUTSGXNIUTVFOVGVHYOY
      AXCTYPYOYAFXTUMXCXLFXTWBYOXTXBFYOXMWOXAYSWCWDWEVDWFWGWHWKWKWIWLAUBUAEUCWJ
      WMWN $.

    $( Expanded property of an independent set of vectors.  (Contributed by
       Stefan O'Rear, 24-Feb-2015.) $)
    islinds2 $p |- ( W e. Y -> ( F e. ( LIndS ` W ) <->
          ( F C_ B /\ A. x e. F A. k e. ( N \ { .0. } )
                -. ( k .x. x ) e. ( K ` ( F \ { x } ) ) ) ) ) $=
      ( wcel wa wral clinds cfv wss cid cres clindf wbr cdm wf cv csn cdif cima
      co wn islinds cvv wb cbs fvexi adantl resiexg syl islindf syldan pm5.32da
      ssex dmresi raleqi fvresi oveq2d wceq difeq1i imaeq2i difss resiima ax-mp
      eqtri fveq2i a1i eleq12d notbid ralbidv bitri anbi2i wf1o f1oi f1of feq2i
      ralbiia mpbir fss mpan biantrurd bitr4id pm5.32i 3bitrd ) IJRZFIUAUBRFBUC
      ZUDFUEZIUFUGZSWSWTUHZBWTUIZEUJZAUJZWTUBZDUNZWTXBXEUKZULZUMZGUBZRZUOZEHKUK
      ULZTZAXBTZSZSZWSXDXEDUNZFXHULZGUBZRZUOZEXNTZAFTZSZBJIFLUPWRWSXAXQWRWSWTUQ
      RZXAXQURWRWSSFUQRZYGWSYHWRFBBIUSLUTVGVAFUQVBVCABCDEWTGHIUQJKLMNOPQVDVEVFX
      RYFURWRWSXQYEWSXQXCYESYEXPYEXCXPXOAFTYEXOAXBFFVHZVIXOYDAFXEFRZXMYCEXNYJXL
      YBYJXGXSXKYAYJXFXEXDDFXEVJVKXKYAVLYJXJXTGXJWTXTUMZXTXIXTWTXBFXHYIVMVNXTFU
      CYKXTVLFXHVOFXTVPVQVRVSVTWAWBWCWJWDWEWSXCYEXBFWTUIZWSXCYLFFWTUIZFFWTWFYMF
      WGFFWTWHVQXBFFWTYIWIWKXBFBWTWLWMWNWOWPVTWQ $.

    $d B k $.  $d B x $.  $d I k $.  $d I x $.  $d X k $.  $d X x $.  $d Y k $.
    $d Y x $.
    $( Property of an independent family of vectors with prior constrained
       domain and codomain.  (Contributed by Stefan O'Rear, 26-Feb-2015.) $)
    islindf2 $p |- ( ( W e. Y /\ I e. X /\ F : I --> B ) -> ( F LIndF W <->
          A. x e. I A. k e. ( N \ { .0. } ) -. ( k .x. ( F ` x ) ) e.
                  ( K ` ( F " ( I \ { x } ) ) ) ) ) $=
      ( wcel wf w3a clindf wbr cdm cv cfv co csn cdif cima wn wral wa cvv simp1
      wb simp3 fexd islindf syl2anc wss ffdm simpld 3ad2ant3 biantrurd wceq fdm
      simp2 difeq1d imaeq2d fveq2d eleq2d notbid ralbidv raleqbidv 3bitr2d ) JL
      TZGKTZGBFUAZUBZFJUCUDZFUEZBFUAZEUFAUFZFUGDUHZFWCWEUIZUJZUKZHUGZTZULZEIMUI
      UJZUMZAWCUMZUNZWOWFFGWGUJZUKZHUGZTZULZEWMUMZAGUMWAVRFUOTWBWPUQVRVSVTUPWAG
      BKFVRVSVTURVRVSVTVIUSABCDEFHIJUOLMNOPQRSUTVAWAWDWOVTVRWDVSVTWDWCGVBGBFVCV
      DVEVFWAWNXBAWCGVTVRWCGVGVSGBFVHVEZWAWLXAEWMWAWKWTWAWJWSWFWAWIWRHWAWHWQFWA
      WCGWGXCVJVKVLVMVNVOVPVQ $.
  $}

  ${
    $d F k x $.  $d W k x $.
    lindff.b $e |- B = ( Base ` W ) $.
    $( Functional property of a linearly independent family.  (Contributed by
       Stefan O'Rear, 24-Feb-2015.) $)
    lindff $p |- ( ( F LIndF W /\ W e. Y ) -> F : dom F --> B ) $=
      ( vk vx clindf wbr wcel wa cdm wf cv cfv csn cdif wral cvv eqid cima csca
      cvsca co clspn wn cbs c0g simpl wb rellindf brrelex1i sylan2 ancoms mpbid
      islindf simpld ) BCHIZCDJZKZBLZABMZFNGNZBOCUCOZUDBVAVCPQUACUEOZOJUFFCUBOZ
      UGOZVFUHOZPQRGVARZUTURVBVIKZURUSUIUSURURVJUJZURUSBSJVKBCHUKULGAVFVDFBVEVG
      CSDVHEVDTVETVFTVGTVHTUPUMUNUOUQ $.
  $}

  ${
    $d a A $.  $d a e E $.  $d a e F $.  $d a e K $.  $d a e N $.  $d a e W $.
    $d a e .0. $.  $d a e .x. $.
    lindfind.s $e |- .x. = ( .s ` W ) $.
    lindfind.n $e |- N = ( LSpan ` W ) $.
    lindfind.l $e |- L = ( Scalar ` W ) $.
    lindfind.z $e |- .0. = ( 0g ` L ) $.
    lindfind.k $e |- K = ( Base ` L ) $.
    $( A linearly independent family is independent: no nonzero element
       multiple can be expressed as a linear combination of the others.
       (Contributed by Stefan O'Rear, 24-Feb-2015.) $)
    lindfind $p |- ( ( ( F LIndF W /\ E e. dom F ) /\
          ( A e. K /\ A =/= .0. ) ) -> -. ( A .x. ( F ` E ) ) e.
            ( N ` ( F " ( dom F \ { E } ) ) ) ) $=
      ( va ve wcel wa cfv cvv clindf wbr cdm wne cdif cv co cima wn wral simplr
      csn eldifsn biimpri adantl cbs wf simpll csca ad2antrl rellindf brrelex1i
      elbasfv ad2antrr eqid islindf syl2anc mpbid simprd wceq fveq2 oveq2d sneq
      wb difeq2d imaeq2d fveq2d eleq12d notbid oveq1 eleq1d rspc2va syl21anc )
      DHUAUBZCDUCZQZRZAEQZAIUDZRZRZWFAEIULUEZQZOUFZPUFZDSZBUGZDWEWOULZUEZUHZGSZ
      QZUIZOWLUJPWEUJZACDSZBUGZDWECULZUEZUHZGSZQZUIZWDWFWJUKWJWMWGWMWJAEIUMUNUO
      WKWEHUPSZDUQZXDWKWDXNXDRZWDWFWJURWKHTQZDTQZWDXOVNWHXPWGWIEFUSAHLNVCUTWDXQ
      WFWJDHUAVAVBVDPXMFBODGEHTTIXMVEJKLNMVFVGVHVIXCXLWNXEBUGZXJQZUIPOCAWEWLWOC
      VJZXBXSXTWQXRXAXJXTWPXEWNBWOCDVKVLXTWTXIGXTWSXHDXTWRXGWEWOCVMVOVPVQVRVSWN
      AVJZXSXKYAXRXFXJWNAXEBVTWAVSWBWC $.

    $( A linearly independent set is independent: no nonzero element multiple
       can be expressed as a linear combination of the others.  (Contributed by
       Stefan O'Rear, 24-Feb-2015.) $)
    lindsind $p |- ( ( ( F e. ( LIndS ` W ) /\ E e. F ) /\
      ( A e. K /\ A =/= .0. ) ) -> -. ( A .x. E ) e. ( N ` ( F \ { E } ) ) ) $=
      ( va ve clinds cfv wcel wa wne csn cdif cv co wral simplr eldifsn biimpri
      wn adantl cbs wss cdm wb elfvdm eqid islinds2 syl ibi ad2antrr wceq oveq2
      simprd sneq difeq2d fveq2d eleq12d notbid oveq1 eleq1d rspc2va syl21anc )
      DHQRSZCDSZTZAESAIUATZTVOAEIUBUCZSZOUDZPUDZBUEZDWAUBZUCZGRZSZUJZOVRUFPDUFZ
      ACBUEZDCUBZUCZGRZSZUJZVNVOVQUGVQVSVPVSVQAEIUHUIUKVNWHVOVQVNDHULRZUMZWHVNW
      PWHTZVNHQUNZSVNWQUODHQUPPWOFBODGEHWRIWOUQJKLNMURUSUTVDVAWGWNVTCBUEZWLSZUJ
      POCADVRWACVBZWFWTXAWBWSWEWLWACVTBVCXAWDWKGXAWCWJDWACVEVFVGVHVIVTAVBZWTWMX
      BWSWIWLVTACBVJVKVIVLVM $.
  $}

  ${
    lindfind2.k $e |- K = ( LSpan ` W ) $.
    lindfind2.l $e |- L = ( Scalar ` W ) $.
    $( In a linearly independent family in a module over a nonzero ring, no
       element is contained in the span of any non-containing set.
       (Contributed by Stefan O'Rear, 24-Feb-2015.) $)
    lindfind2 $p |- ( ( ( W e. LMod /\ L e. NzRing ) /\
          F LIndF W /\ E e. dom F ) -> -. ( F ` E ) e.
            ( K ` ( F " ( dom F \ { E } ) ) ) ) $=
      ( clmod wcel cnzr wa clindf wbr cdm cfv cbs eqid syl2anc adantl 3ad2ant1
      w3a cur cvsca co csn cdif cima wceq simp1l wf simp2 lindff simp3 ffvelrnd
      lmodvs1 c0g wne wn crg nzrring ringidcl nzrnz lindfind syl22anc eqneltrrd
      syl ) EHIZDJIZKZBELMZABNZIZUAZDUBOZABOZEUCOZUDZVOBVKAUEUFUGCOZVMVGVOEPOZI
      VQVOUHVGVHVJVLUIZVMVKVSABVMVJVGVKVSBUJVIVJVLUKZVTVSBEHVSQZULRVIVJVLUMZUNV
      PVNDVSEVOWBGVPQZVNQZUORVMVJVLVNDPOZIZVNDUPOZUQZVQVRIURWAWCVIVJWGVLVHWGVGV
      HDUSIWGDUTWFDVNWFQZWEVAVFSTVIVJWIVLVHWIVGDVNWHWEWHQZVBSTVNVPABWFDCEWHWDFG
      WKWJVCVDVE $.

    $( In a linearly independent set in a module over a nonzero ring, no
       element is contained in the span of any non-containing set.
       (Contributed by Stefan O'Rear, 24-Feb-2015.) $)
    lindsind2 $p |- ( ( ( W e. LMod /\ L e. NzRing ) /\
          F e. ( LIndS ` W ) /\ E e. F ) -> -. E e. ( K ` ( F \ { E } ) ) ) $=
      ( clmod wcel cnzr wa clinds cfv w3a cid cres cdif cima 3ad2ant3 wceq cdm
      csn clindf wbr wn linds2 3ad2ant2 dmresi eleq2i biimpri lindfind2 syl3anc
      simp1 fvresi difeq1i imaeq2i wss difss resiima ax-mp eqtri fveq2i eleq12d
      wb a1i mtbid ) EHIDJIKZBELMIZABIZNZAOBPZMZVKVKUAZAUBZQZRZCMZIZABVNQZCMZIZ
      VJVGVKEUCUDZAVMIZVRUEVGVHVIUMVHVGWBVIEBUFUGVIVGWCVHWCVIVMBABUHZUIUJSAVKCD
      EFGUKULVIVGVRWAVDVHVIVLAVQVTBAUNVQVTTVIVPVSCVPVKVSRZVSVOVSVKVMBVNWDUOUPVS
      BUQWEVSTBVNURBVSUSUTVAVBVEVCSVF $.
  $}

  ${
    $d F x y $.  $d L x y $.  $d W x y $.
    lindff1.b $e |- B = ( Base ` W ) $.
    lindff1.l $e |- L = ( Scalar ` W ) $.
    $( A linearly independent family over a nonzero ring has no repeated
       elements.  (Contributed by Stefan O'Rear, 24-Feb-2015.) $)
    lindff1 $p |- ( ( W e. LMod /\ L e. NzRing /\ F LIndF W ) ->
        F : dom F -1-1-> B ) $=
      ( vx vy clmod wcel cnzr clindf cv cfv wral syl2anc wa wne wss adantr wceq
      wbr w3a cdm wf weq wi wf1 simp3 simp1 lindff csn cdif clspn wn simpl1 crn
      cima imassrn frnd eqid lspssid wfun ffund simprll eldifsn biimpri adantlr
      sstrid jca adantl funfvima sylc sseldd simpl2 simprlr lindfind2 syl211anc
      simpl3 nelne2 expr necon4d ralrimivva dff13 sylanbrc ) DIJZCKJZBDLUBZUCZB
      UDZABUEZGMZBNZHMZBNZUAGHUFUGZHWJOGWJOWJABUHWIWHWFWKWFWGWHUIWFWGWHUJABDIEU
      KPZWIWPGHWJWJWIWLWJJZWNWJJZQZQWLWNWMWOWIWTWLWNRZWMWORZWIWTXAQZQZWMBWJWNUL
      UMZURZDUNNZNZJWOXHJUOZXBXDXFXHWMXDWFXFASZXFXHSWFWGWHXCUPZWIXJXCWIXFBUQABX
      EUSWIWJABWQUTVITXFXGADEXGVAZVBPXDBVCZWRQWLXEJZWMXFJXDXMWRWIXMXCWIWJABWQVD
      TWIWRWSXAVEVJXCXNWIWRXAXNWSXNWRXAQWLWJWNVFVGVHVKXEWLBVLVMVNXDWFWGWHWSXIXK
      WFWGWHXCVOWFWGWHXCVSWIWRWSXAVPWNBXGCDXLFVQVRWMWOXHVTPWAWBWCGHWJABWDWE $.
  $}

  ${
    $d F k x y $.  $d W k x y $.
    $( The range of an independent family is an independent set.  (Contributed
       by Stefan O'Rear, 24-Feb-2015.) $)
    lindfrn $p |- ( ( W e. LMod /\ F LIndF W ) -> ran F e. ( LIndS ` W ) ) $=
      ( vk vx vy clmod wcel wa cfv cbs wss cv csn cdif wn wral eqid adantr wne
      wb clindf wbr crn clinds cvsca clspn csca c0g cdm lindff ancoms frnd cima
      co wf simpll imassrn sstrid wfun ffund eldifsn wceq wrex wi funfn fvelrnb
      wfn sylbi difss jctr ad2antrr simpl fveq2 necon3i sylanbrc funfvima2 sylc
      adantl expr neeq1 eleq1 syl5ibcom rexlimdva sylbid impd ssrdv sylan lspss
      imbi12d syl5bi syl3anc adantrr simplr ad2antll eldifsni lindfind syl22anc
      simprl eldifi ssneldd ralrimivva funfnd oveq2 sneq difeq2d fveq2d eleq12d
      notbid ralbidv ralrn syl mpbird islinds2 mpbir2and ) BFGZABUAUBZHZAUCZBUD
      IGZXRBJIZKZCLZDLZBUEIZUNZXRYCMZNZBUFIZIZGZOZCBUGIZJIZYLUHIZMZNZPZDXRPZXQA
      UIZXTAXPXOYSXTAUOXTABFXTQZUJUKZULZXQYRYBELZAIZYDUNZXRUUDMZNZYHIZGZOZCYPPZ
      EYSPZXQUUJECYSYPXQUUCYSGZYBYPGZHZHZUUHAYSUUCMZNZUMZYHIZUUEXQUUMUUHUUTKZUU
      NXQUUMHXOUUSXTKZUUGUUSKZUVAXOXPUUMUPXQUVBUUMXQUUSXRXTAUURUQUUBURRXQAUSZUU
      MUVCXQYSXTAUUAUTZUVDUUMHZDUUGUUSYCUUGGYCXRGZYCUUDSZHUVFYCUUSGZYCXRUUDVAUV
      FUVGUVHUVIUVFUVGYBAIZYCVBZCYSVCZUVHUVIVDZUVDUVGUVLTZUUMUVDAYSVGZUVNAVECYS
      YCAVFVHRUVFUVKUVMCYSUVFYBYSGZHUVJUUDSZUVJUUSGZVDUVKUVMUVFUVPUVQUVRUVFUVPU
      VQHZHUVDUURYSKZHZYBUURGZUVRUVDUWAUUMUVSUVDUVTYSUUQVIVJVKUVSUWBUVFUVSUVPYB
      UUCSZUWBUVPUVQVLUVQUWCUVPYBUUCUVJUUDYBUUCAVMVNVRYBYSUUCVAVOVRUURYBAVPVQVS
      UVKUVQUVHUVRUVIUVJYCUUDVTUVJYCUUSWAWIWBWCWDWEWJWFWGUUGUUSYHXTBYTYHQZWHWKW
      LUUPXPUUMYBYMGZYBYNSZUUEUUTGOXOXPUUOWMXQUUMUUNWRUUNUWEXQUUMYBYMYOWSWNUUNU
      WFXQUUMYBYMYNWOWNYBYDUUCAYMYLYHBYNYDQZUWDYLQZYNQZYMQZWPWQWTXAXQUVOYRUULTX
      QAUVEXBYQUUKDEYSAYCUUDVBZYKUUJCYPUWKYJUUIUWKYEUUEYIUUHYCUUDYBYDXCUWKYGUUG
      YHUWKYFUUFXRYCUUDXDXEXFXGXHXIXJXKXLXOXSYAYRHTXPDXTYLYDCXRYHYMBFYNYTUWGUWD
      UWHUWJUWIXMRXN $.
  $}

  ${
    $d F k x $.  $d G k x $.  $d K k x $.  $d W k x $.
    $( Rearranging and deleting elements from an independent family gives an
       independent family.  (Contributed by Stefan O'Rear, 24-Feb-2015.) $)
    f1lindf $p |- ( ( W e. LMod /\ F LIndF W /\ G : K -1-1-> dom F ) ->
        ( F o. G ) LIndF W ) $=
      ( vk vx clmod wcel clindf cfv wf cdif cima eqid syl2anc wa adantr wss cvv
      wceq wbr cdm wf1 w3a ccom cbs cv cvsca co csn clspn wn csca lindff ancoms
      c0g wral 3adant3 f1f 3ad2ant3 fco ffdmd wne simpl2 eleq2d biimpa ffvelrnd
      fdmd adantrr eldifi ad2antll eldifsni lindfind syl22anc wi wfn f1fn fvco2
      oveq2d eleq1d simpl1 imassrn frnd sstrid imaco difeq1d imaeq2d ccnv df-f1
      crn simprbi imadif syl eqtrd fnsnfv sylan difeq2d ssdifd eqsstrrd eqsstrd
      wfun imass2 eqsstrid lspss syl3anc syldan sseld sylbid mtod ralrimivva wb
      simp1 rellindf brrelex1i 3ad2ant2 simp3 dmexd f1dmex fexd coexg mpbir2and
      islindf ) DGHZADIUAZCAUBZBUCZUDZABUEZDIUAZYHUBZDUFJZYHKZEUGZFUGZYHJZDUHJZ
      UIZYHYJYNUJZLZMZDUKJZJZHZULZEDUMJZUFJZUUEUPJZUJZLZUQFYJUQZYGCYKYHYGYEYKAK
      ZCYEBKZCYKYHKYCYDUUKYFYDYCUUKYKADGYKNZUNUOURZYFYCUULYDCYEBUSUTZCYEYKABVAO
      ZVBYGUUDFEYJUUIYGYNYJHZYMUUIHZPZPZUUCYMYNBJZAJZYPUIZAYEUVAUJZLZMZUUAJZHZU
      UTYDUVAYEHZYMUUFHZYMUUGVCZUVHULYCYDYFUUSVDYGUUQUVIUURYGUUQPZCYEYNBYGUULUU
      QUUOQYGUUQYNCHZYGYJCYNYGCYKYHUUPVHZVEVFZVGVIUURUVJYGUUQYMUUFUUHVJVKUURUVK
      YGUUQYMUUFUUGVLVKYMYPUVAAUUFUUEUUADUUGYPNZUUANZUUENZUUGNZUUFNZVMVNYGUUQUU
      CUVHVOUURUVLUUCUVCUUBHUVHUVLYQUVCUUBUVLYOUVBYMYPUVLBCVPZUVMYOUVBTYGUWAUUQ
      YFYCUWAYDCYEBVQUTZQUVOCABYNVROVSVTUVLUUBUVGUVCYGUUQUVMUUBUVGRZUVOYGUVMPZY
      CUVFYKRZYTUVFRUWCYCYDYFUVMWAYGUWEUVMYGUVFAWJYKAUVEWBYGYEYKAUUNWCWDQUWDYTA
      BYSMZMZUVFABYSWEUWDUWFUVERUWGUVFRUWDUWFBCMZBYRMZLZUVEYGUWFUWJTUVMYGUWFBCY
      RLZMZUWJYGYSUWKBYGYJCYRUVNWFWGYGBWHXAZUWLUWJTYFYCUWMYDYFUULUWMCYEBWIWKUTC
      YRBWLWMWNQUWDUWJUWHUVDLUVEUWDUVDUWIUWHYGUWAUVMUVDUWITUWBCYNBWOWPWQUWDUWHY
      EUVDUWDUWHBWJYEBCWBUWDCYEBYGUULUVMUUOQWCWDWRWSWTUWFUVEAXBWMXCYTUVFUUAYKDU
      UMUVQXDXEXFXGXHVIXIXJYGYCYHSHZYIYLUUJPXKYCYDYFXLYGASHZBSHUWNYDYCUWOYFADIX
      MXNXOZYGCYESBUUOYGYFYESHCSHYCYDYFXPYGASUWPXQCYESBXROXSABSSXTOFYKUUEYPEYHU
      UAUUFDSGUUGUUMUVPUVQUVRUVTUVSYBOYA $.
  $}

  $( Any restriction of an independent family is independent.  (Contributed by
     Stefan O'Rear, 24-Feb-2015.) $)
  lindfres $p |- ( ( W e. LMod /\ F LIndF W ) -> ( F |` X ) LIndF W ) $=
    ( clmod wcel clindf wbr wa cres cid cdm ccom coires1 resdmres eqtri wf1 wss
    wf1o f1oi ax-mp f1of1 resss dmss f1ss mp2an f1lindf mp3an3 eqbrtrrid ) BDEZ
    ABFGZHACIZAJUKKZIZLZBFUNAULIUKAULMACNOUIUJULAKZUMPZUNBFGULULUMPZULUOQZUPULU
    LUMRUQULSULULUMUATUKAQURACUBUKAUCTULULUOUMUDUEAUMULBUFUGUH $.

  $( Any subset of an independent set is independent.  (Contributed by Stefan
     O'Rear, 24-Feb-2015.) $)
  lindsss $p |- ( ( W e. LMod /\ F e. ( LIndS ` W ) /\ G C_ F ) ->
      G e. ( LIndS ` W ) ) $=
    ( clmod wcel clinds cfv wss w3a cbs cid cres clindf wbr linds1 adantl sstr2
    wa eqid wb syl5com 3impia linds2 3ad2ant2 lindfres syl2anc resabs1 3ad2ant3
    simp1 breq1d mpbid islinds 3ad2ant1 mpbir2and ) CDEZACFGZEZBAHZIZBUPEZBCJGZ
    HZKBLZCMNZUOUQURVBUOUQRAVAHZURVBUQVEUOVACAVASZOPBAVAQUAUBUSKALZBLZCMNZVDUSU
    OVGCMNZVIUOUQURUIUQUOVJURCAUCUDVGCBUEUFURUOVIVDTUQURVHVCCMKBAUGUJUHUKUOUQUT
    VBVDRTURVADCBVFULUMUN $.

  $( A family constructed from non-repeated elements of an independent set is
     independent.  (Contributed by Stefan O'Rear, 26-Feb-2015.) $)
  f1linds $p |- ( ( W e. LMod /\ S e. ( LIndS ` W ) /\ F : D -1-1-> S ) ->
      F LIndF W ) $=
    ( clmod wcel clinds cfv wf1 w3a cid cres ccom clindf wceq wf fcoi2 3ad2ant3
    f1f wbr syl cdm simp1 linds2 3ad2ant2 wb dmresi f1eq3 ax-mp biimpri f1lindf
    syl3anc eqbrtrrd ) DEFZBDGHFZABCIZJZKBLZCMZCDNUPUNUSCOZUOUPABCPUTABCSABCQUA
    RUQUNURDNTZAURUBZCIZUSDNTUNUOUPUCUOUNVAUPDBUDUEUPUNVCUOVCUPVBBOVCUPUFBUGVBB
    ACUHUIUJRURCADUKULUM $.

  ${
    islindf3.l $e |- L = ( Scalar ` W ) $.
    $( In a nonzero ring, independent families can be equivalently
       characterized as renamings of independent sets.  (Contributed by Stefan
       O'Rear, 26-Feb-2015.) $)
    islindf3 $p |- ( ( W e. LMod /\ L e. NzRing ) -> ( F LIndF W <->
          ( F : dom F -1-1-> _V /\ ran F e. ( LIndS ` W ) ) ) ) $=
      ( wcel cnzr wa clindf wbr cdm cvv wf1 crn clinds cfv cbs wss eqid lindff1
      clmod 3expa ssv f1ss sylancl lindfrn adantlr jca simpll simprr wf1o f1of1
      f1f1orn syl ad2antrl f1linds syl3anc impbida ) CTEZBFEZGZACHIZAJZKALZAMZC
      NOEZGZUTVAGZVCVEVGVBCPOZALZVHKQVCURUSVAVIVHABCVHRDSUAVHUBVBVHKAUCUDURVAVE
      USACUEUFUGUTVFGURVEVBVDALZVAURUSVFUHUTVCVEUIVCVJUTVEVCVBVDAUJVJVBKAULVBVD
      AUKUMUNVBVDACUOUPUQ $.
  $}

  ${
    $d B k x $.  $d C k x $.  $d F k x $.  $d G k x $.  $d I k x $.
    $d S k x $.  $d T k x $.
    lindfmm.b $e |- B = ( Base ` S ) $.
    lindfmm.c $e |- C = ( Base ` T ) $.
    $( Linear independence of a family is unchanged by injective linear
       functions.  (Contributed by Stefan O'Rear, 26-Feb-2015.)  (Revised by
       Stefan O'Rear, 6-May-2015.) $)
    lindfmm $p |- ( ( G e. ( S LMHom T ) /\ G : B -1-1-> C /\ F : I --> B ) ->
        ( F LIndF S <-> ( G o. F ) LIndF T ) ) $=
      ( vk vx co wcel cvv wb wa cfv wral eqid syl3anc clmhm wf1 w3a clindf ccom
      wf wbr rellindf brrelex1i simp3 dmfex syl2anr ex f1f fco sylan 3adant1 wi
      cv cvsca csn cdif cima clspn wn csca cbs c0g eldifi wss simpllr lmhmlmod1
      clmod ad3antrrr simprr simprl simpl ffvelrn syl2an crn imassrn frn adantr
      lmodvscl sstrid ad2antlr lspssv syl2anc f1elima wceq simplll wfn ad2antrl
      lmhmlin fvco2 oveq2d eqtr4d lmhmlsp fveq2i eqtr4di eleq12d bitr3d anassrs
      imaco notbid sylan2 ralbidva lmhmsca fveq2d sneqd difeq12d raleqdv bitr4d
      ffn ad2antrr islindf2 lmhmlmod2 ad2ant2lr 3bitr4d exp32 3impia pm5.21ndd
      ) FCDUALMZABFUBZGAEUFZUCZGNMZECUDUGZFEUEZDUDUGZYFYHYGYHENMYEYGYFECUDUHUIY
      CYDYEUJGANEUKULUMYFYJYGYJYINMGBYIUFZYGYFYIDUDUHUIYDYEYKYCYDABFUFYEYKABFUN
      GABFEUOUPZUQGBNYIUKULUMYCYDYEYGYHYJOZURYCYDPZYEYGYMYNYEYGPZPZJUSZKUSZEQZC
      UTQZLZEGYRVAVBZVCZCVDQZQZMZVEZJCVFQZVGQZUUHVHQZVAZVBZRZKGRZYQYRYIQZDUTQZL
      ZYIUUBVCZDVDQZQZMZVEZJDVFQZVGQZUVCVHQZVAZVBZRZKGRZYHYJYPUUMUVHKGYPYRGMZPZ
      UUMUVBJUULRUVHUVKUUGUVBJUULYQUULMUVKYQUUIMZUUGUVBOZYQUUIUUKVIYPUVJUVLUVMY
      PUVJUVLPZPZUUFUVAUVOUUAFQZFUUEVCZMZUUFUVAUVOYDUUAAMZUUEAVJZUVRUUFOYCYDYOU
      VNVKUVOCVMMZUVLYSAMZUVSYCUWAYDYOUVNCDFVLZVNZYPUVJUVLVOZYPYEUVJUWBUVNYNYEY
      GVPZUVJUVLVQZGAYREVRVSZYQYTUUHUUIACYSHUUHSZYTSZUUISZWDTUVOUWAUUCAVJZUVTUW
      DYOUWLYNUVNYOUUCEVTZAEUUBWAYEUWMAVJYGGAEWBWCWEWFZUUCUUDACHUUDSZWGWHABFUUA
      UUEWITUVOUVPUUQUVQUUTUVOUVPYQYSFQZUUPLZUUQUVOYCUVLUWBUVPUWQWJYCYDYOUVNWKZ
      UWEUWHUUICDYTUUPAFUUHYQYSUWIUWKHUWJUUPSZWNTUVOUUOUWPYQUUPYPEGWLZUVJUUOUWP
      WJUVNYEUWTYNYGGAEXNWMUWGGFEYRWOVSWPWQUVOUVQFUUCVCZUUSQZUUTUVOYCUWLUVQUXBW
      JUWRUWNCDUUCFUUDUUSAHUWOUUSSZWRWHUURUXAUUSFEUUBXDWSWTXAXBXEXCXFXGUVKUVBJU
      VGUULYCUVGUULWJYDYOUVJYCUVDUUIUVFUUKYCUVCUUHVGCDFUUHUVCUWIUVCSZXHZXIYCUVE
      UUJYCUVCUUHVHUXEXIXJXKVNXLXMXGYPUWAYGYEYHUUNOYCUWAYDYOUWCXOYNYEYGVOZUWFKA
      UUHYTJEGUUDUUICNVMUUJHUWJUWOUWIUWKUUJSXPTYPDVMMZYGYKYJUVIOYCUXGYDYOCDFXQX
      OUXFYDYEYKYCYGYLXRKBUVCUUPJYIGUUSUVDDNVMUVEIUWSUXCUXDUVDSUVESXPTXSXTYAYB
      $.

    $( Linear independence of a set is unchanged by injective linear functions.
       (Contributed by Stefan O'Rear, 26-Feb-2015.) $)
    lindsmm $p |- ( ( G e. ( S LMHom T ) /\ G : B -1-1-> C /\ F C_ B ) ->
        ( F e. ( LIndS ` S ) <-> ( G " F ) e. ( LIndS ` T ) ) ) $=
      ( wcel wf1 cres clindf wbr wa clinds cfv wb wf wf1o clmod co wss w3a ccom
      clmhm cid cima ibar 3ad2ant3 f1oi f1of ax-mp fss sylancr lindfmm syld3an3
      simp3 bitr3d lmhmlmod1 3ad2ant1 islinds syl lmhmlmod2 adantr simpr f1ores
      f1of1 3adant1 f1linds syl3anc crn df-ima lindfrn eqeltrid impbida coires1
      sylan breq1i bitr4di 3bitr4d ) FCDUEUAIZABFJZEAUBZUCZWCUFEKZCLMZNZFWEUDZD
      LMZECOPIZFEUGZDOPZIZWDWFWGWIWCWAWFWGQWBWCWFUHUIWAWBWCEAWERZWFWIQWDEEWERZW
      CWNEEWESWOEUJEEWEUKULWAWBWCUQEEAWEUMUNABCDWEFEGHUOUPURWDCTIZWJWGQWAWBWPWC
      CDFUSUTATCEGVAVBWDWMFEKZDLMZWIWDWMWRWDWMNDTIZWMEWKWQJZWRWDWSWMWAWBWSWCCDF
      VCUTZVDWDWMVEWDWTWMWBWCWTWAWBWCNEWKWQSWTABEFVFEWKWQVGVBVHVDEWKWQDVIVJWDWR
      NWKWQVKZWLFEVLWDWSWRXBWLIXAWQDVMVQVNVOWHWQDLFEVPVRVSVT $.

    $( The monomorphic image of an independent set is independent.
       (Contributed by Stefan O'Rear, 26-Feb-2015.) $)
    lindsmm2 $p |- ( ( G e. ( S LMHom T ) /\ G : B -1-1-> C /\
          F e. ( LIndS ` S ) ) -> ( G " F ) e. ( LIndS ` T ) ) $=
      ( clmhm co wcel wf1 clinds cfv w3a cima simp3 wss wb linds1 lindsmm mpbid
      syl3an3 ) FCDIJKZABFLZECMNKZOUFFEPDMNKZUDUEUFQUFUDUEEARUFUGSACEGTABCDEFGH
      UAUCUB $.
  $}

  ${
    $d F k x $.  $d S k x $.  $d U k x $.  $d W k x $.  $d X k x $.
    lsslindf.u $e |- U = ( LSubSp ` W ) $.
    lsslindf.x $e |- X = ( W |`s S ) $.
    $( Linear independence is unchanged by working in a subspace.  (Contributed
       by Stefan O'Rear, 24-Feb-2015.)  (Revised by Stefan O'Rear,
       6-May-2015.) $)
    lsslindf $p |- ( ( W e. LMod /\ S e. U /\ ran F C_ S ) ->
        ( F LIndF X <-> F LIndF W ) ) $=
      ( vk vx wcel wss cvv clindf wb wa cbs cfv wral eqid wceq clmod crn w3a wi
      wbr rellindf brrelex1i a1i cdm wf cv cvsca co csn cdif cima clspn wn csca
      c0g simpr ressbasss fss sylancl wfn ffn simp3 lssss 3ad2ant2 ressbas2 syl
      adantl sseqtrd adantr sylanbrc impbida simpl2 resssca eqcomd fveq2d sneqd
      df-f difeq12d ressvsca oveqd simpl1 imassrn simpl3 sstrid syl3anc eleq12d
      lsslsp notbid raleqbidv ralbidv anbi12d cress ovexi islindf sylan 3bitr4d
      3ad2antl1 ex pm5.21ndd ) DUAJZABJZCUBZAKZUCZCLJZCEMUEZCDMUEZXKXJUDXICEMUF
      UGUHXLXJUDXICDMUFUGUHXIXJXKXLNXIXJOZCUIZEPQZCUJZHUKZIUKZCQZEULQZUMZCXNXRU
      NUOZUPZEUQQZQZJZURZHEUSQZPQZYHUTQZUNZUOZRZIXNRZOZXNDPQZCUJZXQXSDULQZUMZYC
      DUQQZQZJZURZHDUSQZPQZUUDUTQZUNZUOZRZIXNRZOZXKXLXMXPYQYNUUJXIXPYQNXJXIXPYQ
      XIXPOXPXOYPKYQXIXPVAAYPEDGYPSZVBXNXOYPCVCVDXIYQOCXNVEZXGXOKZXPYQUUMXIXNYP
      CVFVLXIUUNYQXIXGAXOXEXFXHVGXIAYPKZAXOTXFXEUUOXHBAYPDUULFVHVIAYPEDGUULVJVK
      VMVNXNXOCWBVOVPVNXMYMUUIIXNXMYGUUCHYLUUHXMYIUUEYKUUGXMYHUUDPXMXFYHUUDTXEX
      FXHXJVQZXFUUDYHAUUDDEBGUUDSZVRVSVKZVTXMYJUUFXMYHUUDUTUURVTWAWCXMYFUUBXMYA
      YSYEUUAXMXTYRXQXSXMXFXTYRTUUPXFYRXTAYRDEBGYRSZWDVSVKWEXMUUAYEXMXEXFYCAKUU
      AYETXEXFXHXJWFUUPXMYCXGACYBWGXEXFXHXJWHWIAYCBYTYDDEGYTSZYDSZFWLWJVSWKWMWN
      WOWPXIELJZXJXKYONUVBXIEDAWQGWRUHIXOYHXTHCYDYIELLYJXOSXTSUVAYHSYISYJSWSWTX
      EXFXJXLUUKNXHIYPUUDYRHCYTUUEDLUAUUFUULUUSUUTUUQUUESUUFSWSXBXAXCXD $.

    $( Linear independence is unchanged by working in a subspace.  (Contributed
       by Stefan O'Rear, 24-Feb-2015.) $)
    lsslinds $p |- ( ( W e. LMod /\ S e. U /\ F C_ S ) ->
        ( F e. ( LIndS ` X ) <-> F e. ( LIndS ` W ) ) ) $=
      ( clmod wcel wss cbs cfv clindf wbr wa clinds eqid 3ad2ant2 wb cvv sseq2d
      w3a cid cres wceq lssss ressbas2 sstr2 mpan9 simpl3 impbida bitr3d rnresi
      syl sseq1i lsslindf syl3an3br anbi12d cress islinds mp1i 3ad2ant1 3bitr4d
      crn ovexi ) DHIZABIZCAJZUBZCEKLZJZUCCUDZEMNZOZCDKLZJZVLDMNZOZCEPLIZCDPLIZ
      VIVKVPVMVQVIVHVKVPVIAVJCVGVFAVJUEZVHVGAVOJZWABAVODVOQZFUFZAVOEDGWCUGUNRUA
      VIVHVPVIWBVHVPVGVFWBVHWDRCAVOUHUIVFVGVHVPUJUKULVHVFVGVLVDZAJVMVQSWECACUMU
      OABVLDEFGUPUQURETIVSVNSVIEDAUSGVEVJTECVJQUTVAVFVGVTVRSVHVOHDCWCUTVBVC $.
  $}

  ${
    $d K k x $.  $d W k x $.  $d X k x $.
    islbs4.b $e |- B = ( Base ` W ) $.
    islbs4.j $e |- J = ( LBasis ` W ) $.
    islbs4.k $e |- K = ( LSpan ` W ) $.
    $( A basis is an independent spanning set.  This could have been used as
       alternative definition of a basis:
       ` LBasis = ( w e. _V |-> { b e. ~P ( Base `` w ) | ( ( ( LSpan `` w ) `
       ` `` b ) = ( Base `` w ) /\ b e. ( LIndS `` w ) ) } ) ` .  (Contributed
       by Stefan O'Rear, 24-Feb-2015.) $)
    islbs4 $p |- ( X e. J <-> ( X e. ( LIndS ` W ) /\ ( K ` X ) = B ) ) $=
      ( vk vx wcel cvv clinds cfv wa clbs elfvex cv csn eqid wceq eleq2s adantr
      wss cvsca co cdif wn csca cbs c0g wral w3a islbs 3anan32 islinds2 bitr4id
      anbi1d bitrd pm5.21nii ) EBKZDLKZEDMNKZECNAUAZOZVBEDPNBEDPQGUBVCVBVDEDMQU
      CVBVAEAUDZVDIRJRZDUENZUFEVGSUGCNKUHIDUINZUJNZVIUKNZSUGULJEULZUMZVEJIEVHVI
      BVJCADLVKFVITZVHTZVJTZGHVKTZUNVBVMVFVLOZVDOVEVFVDVLUOVBVCVRVDJAVIVHIECVJD
      LVKFVOHVNVPVQUPURUQUSUT $.
  $}

  ${
    $d J a $.  $d W a $.
    lbslinds.j $e |- J = ( LBasis ` W ) $.
    $( A basis is independent.  (Contributed by Stefan O'Rear, 24-Feb-2015.) $)
    lbslinds $p |- J C_ ( LIndS ` W ) $=
      ( va clinds cfv cv wcel clspn cbs wceq eqid islbs4 simplbi ssriv ) DABEFZ
      DGZAHQPHQBIFZFBJFZKSARBQSLCRLMNO $.
  $}

  ${
    islinds3.b $e |- B = ( Base ` W ) $.
    islinds3.k $e |- K = ( LSpan ` W ) $.
    islinds3.x $e |- X = ( W |`s ( K ` Y ) ) $.
    islinds3.j $e |- J = ( LBasis ` X ) $.
    $( A subset is linearly independent iff it is a basis of its span.
       (Contributed by Stefan O'Rear, 25-Feb-2015.) $)
    islinds3 $p |- ( W e. LMod -> ( Y e. ( LIndS ` W ) <-> Y e. J ) ) $=
      ( wcel clinds cfv wceq wa wss wi linds1 a1i eqid clmod clspn ressbasss wb
      cbs sstrdi adantr clss simpl lspcl lspssid lsslsp syl3anc lspssv ressbas2
      syl eqtr3d biantrud lsslinds bicomd anbi1d bitrd pm5.21ndd islbs4 bitr4di
      ex ) DUAKZFDLMKZFELMKZFEUBMZMZEUEMZNZOZFBKVGFAPZVHVNVHVOQVGADFGRSVNVOQVGV
      IVOVMVIFVLAVLEFVLTZRFCMZAEDIGUCUFUGSVGVOVHVNUDVGVOOZVHVHVMOVNVRVMVHVRVQVK
      VLVRVGVQDUHMZKZFVQPZVQVKNVGVOUIZVSFCADGVSTZHUJZFCADGHUKZVQFVSCVJDEIHVJTZW
      CULUMVRVQAPVQVLNFCADGHUNVQAEDIGUOUPUQURVRVHVIVMVRVIVHVRVGVTWAVIVHUDWBWDWE
      VQVSFDEWCIUSUMUTVAVBVFVCVLBVJEFVPJWFVDVE $.
  $}

  ${
    $d J b $.  $d W b x $.  $d Y b x $.
    islinds4.j $e |- J = ( LBasis ` W ) $.
    $( A set is independent in a vector space iff it is a subset of some basis.
       This is an axiom of choice equivalent.  (Contributed by Stefan O'Rear,
       24-Feb-2015.) $)
    islinds4 $p |- ( W e. LVec ->
        ( Y e. ( LIndS ` W ) <-> E. b e. J Y C_ b ) ) $=
      ( vx clvec wcel clinds cfv cv wss wrex wa cbs eqid ad2antrr simpr syl3anc
      csn cdif clspn wral simpl linds1 adantl clmod csca cnzr lveclmod lvecdrng
      wn cdr drngnzr simplr lindsind2 syl211anc ralrimiva lbsext lbslinds sseli
      syl ex ad2antlr lindsss rexlimdva2 impbid ) BGHZCBIJZHZCDKZLZDAMZVHVJVMVH
      VJNZVHCBOJZLZFKZCVQTUABUBJZJHULZFCUCVMVHVJUDVJVPVHVOBCVOPZUEUFVNVSFCVNVQC
      HZNBUGHZBUHJZUIHZVJWAVSVHWBVJWABUJZQVHWDVJWAVHWCUMHWDWCBWCPZUKWCUNVBQVHVJ
      WAUOVNWARVQCVRWCBVRPZWFUPUQURFCAVRVOBDEVTWGUSSVCVHVLVJDAVHVKAHZNZVLNWBVKV
      IHZVLVJVHWBWHVLWEQWHWJVHVLAVIVKABEUTVAVDWIVLRVKCBVESVFVG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Characterization of free modules
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    lmimlbs.j $e |- J = ( LBasis ` S ) $.
    lmimlbs.k $e |- K = ( LBasis ` T ) $.
    $( The isomorphic image of a basis is a basis.  (Contributed by Stefan
       O'Rear, 26-Feb-2015.) $)
    lmimlbs $p |- ( ( F e. ( S LMIso T ) /\ B e. J ) -> ( F " B ) e. K ) $=
      ( clmim co wcel wa cima clinds cfv clspn cbs wceq clmhm eqid wf1 lmimlmhm
      wf1o lmimf1o f1of1 lbslinds sseli lindsmm2 syl2an3an lbssp adantl imaeq2d
      syl wss lbsss lmhmlsp syl2an wfo adantr f1ofo foima 3syl 3eqtr3d sylanbrc
      islbs4 ) DBCIJKZAEKZLZDAMZCNOKZVICPOZOZCQOZRVIFKVFDBCSJKZBQOZVMDUAZVGABNO
      ZKVJBCDUBZVFVOVMDUCZVPVOVMBCDVOTZVMTZUDZVOVMDUEUMEVQAEBGUFUGVOVMBCADVTWAU
      HUIVHDABPOZOZMZDVOMZVLVMVHWDVODVGWDVORVFAEWCVOBVTGWCTZUJUKULVFVNAVOUNWEVL
      RVGVRAEVOBVTGUOBCADWCVKVOVTWGVKTZUPUQVHVSVOVMDURWFVMRVFVSVGWBUSVOVMDUTVOV
      MDVAVBVCVMFVKCVIWAHWHVEVD $.

    $d J b f $.  $d K b f $.  $d S b f $.  $d T b f $.
    $( Having a basis is an isomorphism invariant.  (Contributed by Stefan
       O'Rear, 26-Feb-2015.) $)
    lmiclbs $p |- ( S ~=m T -> ( J =/= (/) -> K =/= (/) ) ) $=
      ( vf vb clmic wbr cv clmim co wcel wex c0 wne wi brlmic n0 wa cima syl5bi
      bitri lmimlbs ne0d ex exlimdv exlimiv sylbi ) ABIJZGKZABLMZNZGOZCPQZDPQZR
      ZUKUMPQUOABSGUMTUDUNURGUPHKZCNZHOUNUQHCTUNUTUQHUNUTUQUNUTUADULUSUBUSABULC
      DEFUEUFUGUHUCUIUJ $.
  $}

  ${
    $d B j k l $.  $d B x y $.  $d F j k l $.  $d F x y $.  $d I j k l $.
    $d I x y $.  $d I z $.  $d L j x $.  $d R k l $.  $d R x y $.  $d R z $.
    $d .x. j k l $.  $d .x. x y $.  $d W j k l $.  $d W x y $.  $d X j k l $.
    $d X x y $.  $d X z $.  $d Y j k l $.  $d Y x y $.  $d Y z $.
    $d .0. j l x y $.  $d x z $.
    islindf4.b $e |- B = ( Base ` W ) $.
    islindf4.r $e |- R = ( Scalar ` W ) $.
    islindf4.t $e |- .x. = ( .s ` W ) $.
    islindf4.z $e |- .0. = ( 0g ` W ) $.
    islindf4.y $e |- Y = ( 0g ` R ) $.
    islindf4.l $e |- L = ( Base ` ( R freeLMod I ) ) $.
    $( A family is independent iff it has no nontrivial representations of
       zero.  (Contributed by Stefan O'Rear, 28-Feb-2015.) $)
    islindf4 $p |- ( ( W e. LMod /\ I e. X /\ F : I --> B ) ->
        ( F LIndF W <-> A. x e. L ( ( W gsum ( x oF .x. F ) ) = .0. ->
              x = ( I X. { Y } ) ) ) ) $=
      ( wcel wceq cvv vk vj vl vy vz clmod wf w3a cv cfv co csn cdif cima clspn
      wn cbs wral cof cgsu cxp wi clindf wbr cminusg raldifsni cfsupp cres cmap
      wa crab cop cun cplusg simpll1 simprll ffvelrn 3ad2antl3 adantr lmodvsinv
      eqid syl3anc eqeq1d cgrp lmodgrp syl lmodvscl ccmn lmodcmn simpll2 difexg
      wb simprlr elmapi wss simpll3 difss fssres sylancl lcomf simprr lcomfsupp
      gsumcl grpinvid2 simplr fsnunf2 wfun cdm wnel simpr anim12i notbid syl5bb
      simpl 3syl jca adantl bicomd a1i eqcomd vex wfn ffnd oveq1d eqtrd syl2anc
      oveq2d imbi12d 3bitr4d breq1 oveq1 bitr4di wrex 3ad2ant2 fvexi grpinvnzcl
      imbi1d sylan imbi2d ralbidva fdm neldifsnd df-nel eleq2 mpbird funsnfsupp
      elmapfun biimpd impr cin c0 disjdifr difsnid gsumsplit snex simpl3 simpl2
      unex fexd offres sylancr neldifsn fsnunres fnressn fnfvof syl22anc eleq2d
      cmpt fndm mtbiri fsnunfv opeq2d sneqd ovex fmptsn mp2an 3eqtrd cmnd eqidd
      mp3an12 cmnmnd gsumsn oveq12d eqtr2d 3bitrd anassrs pm5.74da impexp fveq1
      2ralbidva bitr4d ralrab resima eqcomi fveq2i eleq2i simpl1 ellspd r19.23v
      ralxpmap ralbidv cfrlm csca frlmbas mpan eqtr4id raleqdv eldifi grpinvinv
      lmodfgrp syl2an rspceeqv eleq1d ralxfrd 3ad2ant1 fvconst2 eqeq2d islindf2
      fveq2 c0g frlmbasf 3ad2antl2 fnconstg eqfnfv r19.21v ralbii ralcom bitr3i
      ax-mp bitrdi ) HUFRZFIRZFBEUGZUHZUAUIZUBUIZEUJZDUKZEFUYPULZUMZUNZHUOUJZUJ
      ZRZUPZUACUQUJZJULZUMZURZUBFURHAUIZEDUSZUKZUTUKZKSZUYPVUJUJZUYPFVUGVAZUJZS
      ZVBZAGURZUBFURZEHVCVDVUNVUJVUPSZVBZAGURZUYNVUIVUTUBFUYNUYPFRZVJZUCUIZCVEU
      JZUJZUYQDUKZVUCRZUPZUCVUHURZVUNVUOJSZVBZAGURZVUIVUTVVMVVKVVGJSZVBZUCVUFUR
      ZVVFVVPVVKUCVUFJVFVVFUDUIZJVGVDZVVJHVVTEUYTVHZVUKUKZUTUKZSZVJZVVQVBZUDVUF
      UYTVIUKZURZUCVUFURZVVOAUEUIZJVGVDZUEVUFFVIUKZVKZURZVVSVVPVVFVWJVUJJVGVDZV
      VOVBZAVWMURZVWOVVFVWJVVTUYPVVGVLZULZVMZJVGVDZHVXAEVUKUKZUTUKZKSZUYPVXAUJZ
      JSZVBZVBZUDVWHURUCVUFURZVWRVVFVWGVXIUCUDVUFVWHVVFVVGVUFRZVVTVWHRZVJZVJZVW
      AVWEVVQVBZVBZVWAVXHVBVWGVXIVXNVWAVXOVXHVVFVXMVWAVXOVXHWLVVFVXMVWAVJZVJZVW
      EVXEVVQVXGVXRVWEVVGUYQDUKZHVEUJZUJZVWDSZVWDVXSHVNUJZUKZKSZVXEVXRVVJVYAVWD
      VXRUYKVXKUYQBRZVVJVYASUYKUYLUYMVVEVXQVOZVVFVXKVXLVWAVPZVVFVYFVXQUYMUYKVVE
      VYFUYLFBUYPEVQVRVSZBVVGDCVUFVVHVXTHUYQLMNVXTWAZVVHWAZVUFWAZVTWBWCVXRHWDRZ
      VXSBRZVWDBRVYBVYEWLVXRUYKVYMVYGHWEWFVXRUYKVXKVYFVYNVYGVYHVYIVVGDCVUFBHUYQ
      LMNVYLWGWBZVXRUYTBVWCHTKLOVXRUYKHWHRZVYGHWIZWFZVXRUYLUYTTRZUYKUYLUYMVVEVX
      QWJZFUYSIWKZWFZVXRBDCVVTVWBUYTVUFTHMVYLNLVYGVXRVXLUYTVUFVVTUGZVVFVXKVXLVW
      AWMVVTVUFUYTWNZWFZVXRUYMUYTFWOZUYTBVWBUGZUYKUYLUYMVVEVXQWPZFUYSWQZFBUYTEW
      RZWSZWUBWTVXRBDCVVTVWBUYTVUFTHJKMVYLNLVYGWUEWUKWUBOPVVFVXMVWAXAXBXCBVYCHV
      XTVXSVWDKLVYCWAZOVYJXDWBVXRVYDVXDKVXRVXDHVXCUYTVHZUTUKZHVXCUYSVHZUTUKZVYC
      UKVYDVXRFBUYTUYSVYCVXCHIKLOWULVYRVYTVXRBDCVXAEFVUFIHMVYLNLVYGVXRWUCVVEVXK
      FVUFVXAUGWUEUYNVVEVXQXEZVYHFVUFVVTUYPVVGXFWBZWUHVYTWTZVXRBDCVXAEFVUFIHJKM
      VYLNLVYGWURWUHVYTOPVVFVXMVWAVXBVXNVWAVXBVXNVVEVXKVJZVVTXGZUYPVVTXHZXIZVJZ
      VJZVWAVXBWLVXNWUTWVDVVFVVEVXMVXKUYNVVEXJVXKVXLXNXKVXMWVDVVFVXLWVDVXKVXLWV
      AWVCVVTVUFUYTUUGVXLWUCWVBUYTSZWVCWUDUYTVUFVVTUUAWVFWVCUYPUYTRZUPZWVFUYPFU
      UBWVCUYPWVBRZUPZWVFWVHUYPWVBUUCWVFWVIWVGWVBUYTUYPUUDXLXMUUEXOXPXQXQXPWVEV
      XBVWAVVTFVUFUYPVVGJUUFXRWFZUUHUUIXBUYTUYSUUJUUKSVXRUYSFUULXSVXRVVEFUYTUYS
      VMZSWUQVVEWVLFFUYPUUMXTWFUUNVXRWUNVWDWUPVXSVYCVXRWUMVWCHUTVXRWUMVXAUYTVHZ
      VWBVUKUKZVWCVXRVXATRETRZWUMWVNSVVTVWTUDYAVWSUUOUURVVFWVOVXQVVFFBIEUYKUYLU
      YMVVEUUPZUYKUYLUYMVVEUUQUUSVSUYTDVXAETTUUTUVAVXRWVMVVTVWBVUKVXRVVTUYTYBZW
      VHWVMVVTSVXRUYTVUFVVTWUEYCZUYPFUVBZUYTVVTUYPVVGUVCWSYDYEYGVXRWUPHAUYSVXSU
      VHZUTUKZVXSVXRWUOWVTHUTVXRWUOUYPUYPVXCUJZVLZULZUYPVXSVLZULZWVTVXRVXCFYBVV
      EWUOWWDSVXRFBVXCWUSYCWUQFUYPVXCUVDYFVXRWWCWWEVXRWWBVXSUYPVXRWWBVXFUYQDUKZ
      VXSVXRVXAFYBEFYBUYLVVEWWBWWGSVXRFVUFVXAWURYCVXRFBEWUHYCVYTWUQFDVXAEIUYPUV
      EUVFVXRVXFVVGUYQDVXRWVQWVJVXFVVGSZWVRWVQWVIWVGWVSWVQWVBUYTUYPUYTVVTUVIUVG
      UVJUYPTRZVVGTRWVJWWHUBYAZUCYAVVTTTUYPVVGUVKUVTXOZYDYEUVLUVMWWFWVTSZVXRWWI
      VXSTRWWLWWJVVGUYQDUVNAUYPVXSTTUVOUVPXSUVQYGVXRHUVRRZWWIVYNWWAVXSSVXRUYKVY
      PWWMVYGVYQHUWAXOWWIVXRWWJXSVYOVXSBVXSAHUYPTLVUJUYPSVXSUVSUWBWBYEUWCUWDWCU
      WEVXRVVGVXFJVXRVXFVVGWWKXTWCYHUWFUWGVWGVXPWLVXNVWAVWEVVQUWHXSVXNVXBVWAVXH
      VXNVWAVXBWVKXRYQYIUWJVVEVWRVXJWLUYNVWQVXIUCVUFFAUDUYPVUJVXASZVWPVXBVVOVXH
      VUJVXAJVGYJWWNVUNVXEVVNVXGWWNVUMVXDKWWNVULVXCHUTVUJVXAEVUKYKYGWCWWNVUOVXF
      JUYPVUJVXAUWIWCYHYHUWTXQUWKVWLVWPVVOAUEVWMVWKVUJJVGYJUWLYLVVFVVRVWIUCVUFV
      VFVVRVWFUDVWHYMZVVQVBVWIVVFVVKWWOVVQVVKVVJVWBUYTUNZVUBUJZRVVFWWOVUCWWQVVJ
      VUAWWPVUBWWPVUAEUYTUWMUWNUWOUWPVVFBCDUDVWBUYTVUFHVUBTVVJJVUBWAZLVYLMPNVVF
      UYMWUFWUGWVPWUIWUJWSUYKUYLUYMVVEUWQUYNVYSVVEUYLUYKVYSUYMWUAYNVSUWRXMYQVWF
      VVQUDVWHUWSYLUXAVVFVVOAGVWNVVFGCFUXBUKZUQUJZVWNQUYNVWNWWTSZVVEUYLUYKWXAUY
      MCTRUYLWXACHUXCMYOVWNCUEWWSFVUFTIJWWSWAZVYLPVWNWAUXDUXEYNVSUXFUXGYIXMUYNV
      UIVVMWLZVVEUYKUYLWXCUYMUYKVUEVVLUAUCVVIVUHVUHUYKCWDRZVVGVUHRVVIVUHRCHMUXJ
      ZVUFCVVHVVGJVYLPVYKYPYRUYKUYOVUHRZVJZUYOVVHUJZVUHRZUYOWXHVVHUJZSUYOVVISZU
      CVUHYMUYKWXDWXFWXIWXEVUFCVVHUYOJVYLPVYKYPYRWXGWXJUYOUYKWXDUYOVUFRWXJUYOSW
      XFWXEUYOVUFVUGUXHVUFCVVHUYOVYLVYKUXIUXKXTUCWXHVUHVVIWXJUYOVVGWXHVVHUXSUXL
      YFWXKVUEVVLWLUYKWXKVUDVVKWXKUYRVVJVUCUYOVVIUYQDYKUXMXLXQUXNUXOVSVVFVUSVVO
      AGVVFVUJGRZVJZVURVVNVUNWXMVUQJVUOWXMVVEVUQJSUYNVVEWXLXEFJUYPJCUXTPYOZUXPW
      FUXQYSYTYIYTUBBCDUAEFVUBVUFHIUFJLNWWRMVYLPUXRUYNVVDVUNVURUBFURZVBZAGURZVV
      AUYNVVCWXPAGUYNWXLVJZVVBWXOVUNWXRVUJFYBVUPFYBZVVBWXOWLWXRFVUFVUJUYLUYKWXL
      FVUFVUJUGUYMGCWWSFVUFIVUJWXBVYLQUYAUYBYCJTRWXSWXNFJTUYCUYIUBFVUJVUPUYDWSY
      SYTWXQVUSUBFURZAGURVVAWXTWXPAGVUNVURUBFUYEUYFVUSAUBGFUYGUYHUYJYI $.
  $}

  ${
    $d ph x y $.  $d A x y $.  $d B x y $.  $d C x y $.  $d E y $.  $d F x y $.
    $d I x y $.  $d R x $.  $d T x y $.  $d .x. x y $.  $d X x y $.
    islindf5.f $e |- F = ( R freeLMod I ) $.
    islindf5.b $e |- B = ( Base ` F ) $.
    islindf5.c $e |- C = ( Base ` T ) $.
    islindf5.v $e |- .x. = ( .s ` T ) $.
    islindf5.e $e |- E = ( x e. B |-> ( T gsum ( x oF .x. A ) ) ) $.
    islindf5.t $e |- ( ph -> T e. LMod ) $.
    islindf5.i $e |- ( ph -> I e. X ) $.
    islindf5.r $e |- ( ph -> R = ( Scalar ` T ) ) $.
    islindf5.a $e |- ( ph -> A : I --> C ) $.
    $( A family is independent iff the linear combinations homomorphism is
       injective.  (Contributed by Stefan O'Rear, 28-Feb-2015.) $)
    islindf5 $p |- ( ph -> ( A LIndF T <-> E : B -1-1-> C ) ) $=
      ( vy clindf wbr cv cfv c0g wceq wi wral wf1 cof co cgsu csn cxp cfrlm cbs
      csca clmod wcel wf wb eqid islindf4 syl3anc wa oveq1 oveq2d adantl eqeq1d
      ovex fvmpt crg lmodring eqeltrd frlm0 syl2anc fveq2d xpeq2d eqtr3d adantr
      syl sneqd eqeq2d imbi12d ralbidva eqcomd oveq1d eqtr4di bitr4d clmhm cghm
      raleqdv frlmup1 lmghm ghmf1 3syl ) ACGUCUDZUBUEZIUFZGUGUFZUHZWTJUGUFZUHZU
      IZUBDUJZDEIUKZAWSGWTCHULZUMZUNUMZXBUHZWTKGUSUFZUGUFZUOZUPZUHZUIZUBXMKUQUM
      ZURUFZUJZXGAGUTVAZKLVAZKECVBWSYAVCRSUAUBEXMHCKXTGLXNXBOXMVDZPXBVDZXNVDXTV
      DVEVFAXGXRUBDUJYAAXFXRUBDAWTDVAZVGZXCXLXEXQYGXAXKXBYFXAXKUHABWTGBUEZCXIUM
      ZUNUMXKDIYHWTUHYIXJGUNYHWTCXIVHVIQGXJUNVLVMVJVKYGXDXPWTAXDXPUHYFAKFUGUFZU
      OZUPZXDXPAFVNVAYCYLXDUHAFXMVNTAYBXMVNVARXMGYDVOWCVPSFJKLYJMYJVDVQVRAYKXOK
      AYJXNAFXMUGTVSWDVTWAWBWEWFWGAXRUBXTDAXTJURUFDAXSJURAXSFKUQUMJAXMFKUQAFXMT
      WHWIMWJVSNWJWNWKWKAIJGWLUMVAIJGWMUMVAXHXGVCABCDEFGHIJKLMNOPQRSTUAWOJGIWPU
      BJGXBIDEXDNOXDVDYEWQWRWK $.
  $}

  ${
    $d ph x $.  $d A x $.  $d B x $.  $d C x $.  $d F x $.  $d I x $.
    $d N x $.  $d R x $.  $d T x $.  $d .x. x $.  $d X x $.
    indlcim.f $e |- F = ( R freeLMod I ) $.
    indlcim.b $e |- B = ( Base ` F ) $.
    indlcim.c $e |- C = ( Base ` T ) $.
    indlcim.v $e |- .x. = ( .s ` T ) $.
    indlcim.n $e |- N = ( LSpan ` T ) $.
    indlcim.e $e |- E = ( x e. B |-> ( T gsum ( x oF .x. A ) ) ) $.
    indlcim.t $e |- ( ph -> T e. LMod ) $.
    indlcim.i $e |- ( ph -> I e. X ) $.
    indlcim.r $e |- ( ph -> R = ( Scalar ` T ) ) $.
    indlcim.a $e |- ( ph -> A : I -onto-> J ) $.
    indlcim.l $e |- ( ph -> A LIndF T ) $.
    indlcim.s $e |- ( ph -> ( N ` J ) = C ) $.
    $( An independent, spanning family extends to an isomorphism from a free
       module.  (Contributed by Stefan O'Rear, 26-Feb-2015.) $)
    indlcim $p |- ( ph -> E e. ( F LMIso T ) ) $=
      ( clmhm co wcel wf1o clmim wfn crn wss wfo fofn syl cdm clindf wbr lindff
      wf clmod syl2anc frnd df-f sylanbrc frlmup1 wf1 wceq islindf5 cfv frlmup3
      mpbid forn fveq2d 3eqtrd dff1o5 islmim ) AIJGUGUHUIDEIUJZIJGUKUHUIABCDEFG
      HIJKNOPQRTUAUBUCACKULZCUMZEUNKECVBAKLCUOZWAUDKLCUPUQACURZECACGUSUTZGVCUIW
      DECVBUEUAECGVCQVAVDVEKECVFVGZVHADEIVIZIUMZEVJVTAWEWGUEABCDEFGHIJKNOPQRTUA
      UBUCWFVKVNAWHWBMVLLMVLEABCDEFGHIJKMNOPQRTUAUBUCWFSVMAWBLMAWCWBLVJUDKLCVOU
      QVPUFVQDEIVRVGDEJGIPQVSVG $.
  $}

  ${
    $d B e $.  $d F e $.  $d I e $.  $d J e $.  $d W e $.  $d B x $.  $d F x $.
    $d I x $.  $d J x $.  $d W x $.  $d e x $.
    lbslcic.f $e |- F = ( Scalar ` W ) $.
    lbslcic.j $e |- J = ( LBasis ` W ) $.
    $( A module with a basis is isomorphic to a free module with the same
       cardinality.  (Contributed by Stefan O'Rear, 26-Feb-2015.) $)
    lbslcic $p |- ( ( W e. LMod /\ B e. J /\ I ~~ B ) ->
        W ~=m ( F freeLMod I ) ) $=
      ( ve vx wcel cen wbr cv co cbs cfv clmim cvv eqid adantr clmod wf1o cfrlm
      w3a clmic wex simp3 bren sylib wa cvsca cgsu cmpt ccnv clspn simpl1 relen
      cof brrelex1i 3ad2ant3 csca wceq a1i wfo f1ofo adantl clinds wf1 lbslinds
      clindf sseli 3ad2ant2 f1of1 f1linds syl3anc lbssp indlcim lmimcnv brlmici
      3syl exlimddv ) EUAJZADJZCAKLZUDZCAHMZUBZEBCUCNZUELZHWEWDWGHUFWBWCWDUGCAH
      UHUIWEWGUJZIWHOPZEIMWFEUKPZURNULNUMZWHEQNJWMUNZEWHQNJWIWJIWFWKEOPZBEWLWMW
      HCAEUOPZRWHSWKSWOSZWLSWPSZWMSWBWCWDWGUPZWECRJZWGWDWBWTWCCAKUQUSUTTBEVAPVB
      WJFVCWGCAWFVDWECAWFVEVFWJWBAEVGPZJZCAWFVHZWFEVJLWSWEXBWGWCWBXBWDDXAADEGVI
      VKVLTWGXCWECAWFVMVFCAWFEVNVOWEAWPPWOVBZWGWCWBXDWDADWPWOEWQGWRVPVLTVQWHEWM
      VREWHWNVSVTWA $.
  $}

  ${
    $d F j k $.  $d J j k $.  $d W j k $.
    lmisfree.j $e |- J = ( LBasis ` W ) $.
    lmisfree.f $e |- F = ( Scalar ` W ) $.
    $( A module has a basis iff it is isomorphic to a free module.  In settings
       where isomorphic objects are not distinguished, it is common to define
       "free module" as any module with a basis; thus for instance ~ lbsex
       might be described as "every vector space is free".  (Contributed by
       Stefan O'Rear, 26-Feb-2015.) $)
    lmisfree $p |- ( W e. LMod -> ( J =/= (/) <->
        E. k W ~=m ( F freeLMod k ) ) ) $=
      ( vj wcel c0 wne cv cfrlm co clmic wbr wex vex syl cvv eqid clmod lbslcic
      n0 wa cen enref mp3an3 weq oveq2 breq2d spcev exlimdv syl5bi clbs lmicsym
      ex cfv lmiclcl cuvc crn crg lmodring frlmlbs sylancl ne0d lmiclbs exlimiv
      sylc impbid1 ) DUAHZCIJZDBAKZLMZNOZAPZVKGKZCHZGPVJVOGCUCVJVQVOGVJVQVOVJVQ
      UDDBVPLMZNOZVOVJVQVPVPUEOVSVPGQZUFVPBVPCDFEUBUGVNVSAVPVTAGUHVMVRDNVLVPBLU
      IUJUKRUPULUMVNVKAVNVMDNOVMUNUQZIJZVKDVMUOVNVJWBDVMURVJWABVLUSMZUTZVJBVAHV
      LSHWDWAHBDFVBAQBWCVMVLWASVMTWCTWATZVCVDVERVMDWACWEEVFVHVGVI $.
  $}

  ${
    $d F k $.  $d W k $.
    lvecisfrlm.f $e |- F = ( Scalar ` W ) $.
    $( Every vector space is isomorphic to a free module.  (Contributed by AV,
       7-Mar-2019.) $)
    lvecisfrlm $p |- ( W e. LVec -> E. k W ~=m ( F freeLMod k ) ) $=
      ( clvec wcel clbs cfv c0 wne cv cfrlm co clmic wbr wex eqid lbsex clmod
      wb lveclmod lmisfree syl mpbid ) CEFZCGHZIJZCBAKLMNOAPZUFCUFQZRUECSFUGUHT
      CUAABUFCUIDUBUCUD $.
  $}

  ${
    $d R f g $.  $d S f g $.  $d T f g $.
    $( The composition of two isomorphisms of modules is an isomorphism of
       modules.  (Contributed by AV, 10-Mar-2019.) $)
    lmimco $p |- ( ( F e. ( S LMIso T ) /\ G e. ( R LMIso S ) )
                    -> ( F o. G ) e. ( R LMIso T ) ) $=
      ( clmim co wcel clmhm cbs cfv wf1o ccom eqid islmim lmhmco ad2ant2r f1oco
      wa ad2ant2l sylanbrc syl2anb ) DBCFGHDBCIGHZBJKZCJKZDLZSZEABIGHZAJKZUDELZ
      SZDEMZACFGHZEABFGHUDUEBCDUDNZUENZOUIUDABEUINZUNOUGUKSULACIGHZUIUEULLZUMUC
      UHUQUFUJDEABCPQUFUJURUCUHUIUDUEDERTUIUEACULUPUOOUAUB $.

    $( Module isomorphism is transitive.  (Contributed by AV, 10-Mar-2019.) $)
    lmictra $p |- ( ( R ~=m S /\ S ~=m T ) -> R ~=m T ) $=
      ( vg vf clmic wbr clmim co c0 wne brlmic cv wcel n0 wi wa exlimiv syl2anb
      wex ccom lmimco brlmici syl ex com12 imp ) ABFGABHIZJKZBCHIZJKZACFGZBCFGA
      BLBCLUIDMZUHNZDTZEMZUJNZETZULUKDUHOEUJOUOURULUNURULPDURUNULUQUNULPEUQUNUL
      UQUNQUPUMUAZACHINULABCUPUMUBACUSUCUDUERUFRUGSS $.
  $}

  ${
    uvcf1o.u $e |- U = ( R unitVec I ) $.
    $( In a nonzero ring, the mapping of the index set of a free module onto
       the unit vectors of the free module is a 1-1 onto function.
       (Contributed by AV, 10-Mar-2019.) $)
    uvcf1o $p |- ( ( R e. NzRing /\ I e. W ) -> U : I -1-1-onto-> ran U ) $=
      ( cnzr wcel wa cfrlm co cbs cfv wf1 crn wf1o eqid uvcf1 f1f1orn syl ) AFG
      CDGHCACIJZKLZBMCBNBOUAABCDTETPUAPQCUABRS $.

    $d U u $.  $d W u $.  $d I u $.  $d R u $.
    $( In a nonzero ring, the number of unit vectors of a free module
       corresponds to the dimension of the free module.  (Contributed by AV,
       10-Mar-2019.) $)
    uvcendim $p |- ( ( R e. NzRing /\ I e. W ) -> I ~~ ran U ) $=
      ( vu cnzr wcel wa crn cv wf1o wex cen wbr cvv cuvc ovexi a1i wi uvcf1o wb
      wceq f1oeq1 eqcoms biimpd syl7 imp spcimedv pm2.43i bren sylibr ) AGHCDHI
      ZCBJZFKZLZFMZCUNNOUMUQUMUPUMFBPBPHUMBACQERSUMUOBUCZUMUPTUMCUNBLZUMURUPABC
      DEUAURUSUPTTUMURUSUPUSUPUBBUOCUNBUOUDUEUFSUGUHUIUJCUNFUKUL $.
  $}

  $( A free module is isomorphic to a free module over the same (nonzero) ring,
     with the same cardinality.  (Contributed by AV, 10-Mar-2019.) $)
  frlmisfrlm $p |- ( ( R e. NzRing /\ I e. Y /\ I ~~ J ) ->
        ( R freeLMod I ) ~=m ( R freeLMod J ) ) $=
    ( cnzr wcel cen wbr w3a cfrlm co csca cfv clmic clmod cuvc crn eqid 3adant3
    sylan clbs crg nzrring frlmlmod frlmlbs simp3 uvcendim entr syl2anc lbslcic
    ensymd syl3anc wceq frlmsca oveq1d breqtrrd ) AEFZBDFZBCGHZIZABJKZVALMZCJKZ
    ACJKNUTVAOFZABPKZQZVAUAMZFZCVFGHZVAVCNHUQURVDUSUQAUBFZURVDAUCZAVABDVARZUDTS
    UQURVHUSUQVJURVHVKAVEVABVGDVLVERZVGRZUETSUTCBGHBVFGHZVIUTBCUQURUSUFUKUQURVO
    USAVEBDVMUGSCBVFUHUIVFVBCVGVAVBRVNUJULUTAVBCJUQURAVBUMUSAVABEDVLUNSUOUP $.

  $( Every free module is isomorphic to the free module of "column vectors" of
     the same dimension over the same (nonzero) ring.  (Contributed by AV,
     10-Mar-2019.) $)
  frlmiscvec $p |- ( ( R e. NzRing /\ I e. Y )
                   -> ( R freeLMod I ) ~=m ( R freeLMod ( I X. { (/) } ) ) ) $=
    ( cnzr wcel c0 csn cxp cen wbr cfrlm co clmic cvv simpr 0ex xpsneng sylancl
    wa ensymd frlmisfrlm mpd3an3 ) ADEZBCEZBBFGHZIJZABKLAUEKLMJUCUDSUDFNEZUFUCU
    DOPUDUGSUEBBFCNQTRABUECUAUB $.


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Associative algebras
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c AssAlg $. $( Associative algebra $)
  $c AlgSpan $. $( Algebraic span $)
  $c algSc $.

  $( Associative algebra. $)
  casa $a class AssAlg $.

  $( Algebraic span function. $)
  casp $a class AlgSpan $.

  $( Class of algebra scalar injection function. $)
  cascl $a class algSc $.

  ${
    $d f r s t w x y $.
    $( Definition of an associative algebra.  An associative algebra is a set
       equipped with a left-module structure on a (commutative) ring, coupled
       with a multiplicative internal operation on the vectors of the module
       that is associative and distributive for the additive structure of the
       left-module (so giving the vectors a ring structure) and that is also
       bilinear under the scalar product.  (Contributed by Mario Carneiro,
       29-Dec-2014.) $)
    df-assa $a |- AssAlg = { w e. ( LMod i^i Ring )
      | [. ( Scalar ` w ) / f ].
        ( f e. CRing /\ A. r e. ( Base ` f ) A. x e. ( Base ` w )
        A. y e. ( Base ` w ) [. ( .s ` w ) / s ]. [. ( .r ` w ) / t ].
      ( ( ( r s x ) t y ) = ( r s ( x t y ) ) /\
        ( x t ( r s y ) ) = ( r s ( x t y ) ) ) ) } $.

    $( Define the algebraic span of a set of vectors in an algebra.
       (Contributed by Mario Carneiro, 7-Jan-2015.) $)
    df-asp $a |- AlgSpan = ( w e. AssAlg |-> ( s e. ~P ( Base ` w ) |->
      |^| { t e. ( ( SubRing ` w ) i^i ( LSubSp ` w ) ) | s C_ t } ) ) $.

    $( Every unital algebra contains a canonical homomorphic image of its ring
       of scalars as scalar multiples of the unit.  This names the
       homomorphism.  (Contributed by Mario Carneiro, 8-Mar-2015.) $)
    df-ascl $a |- algSc = ( w e. _V |-> ( x e. ( Base ` ( Scalar ` w ) ) |->
            ( x ( .s ` w ) ( 1r ` w ) ) ) ) $.
  $}

  ${
    $d r x y A $.  $d f r w B $.  $d f r w F $.  $d f r w x y V $.  $d x y X $.
    $d f r s t w x y .x. $.  $d f r s t w x y .X. $.  $d f r s t w x y W $.
    $d y Y $.
    isassa.v $e |- V = ( Base ` W ) $.
    isassa.f $e |- F = ( Scalar ` W ) $.
    isassa.b $e |- B = ( Base ` F ) $.
    isassa.s $e |- .x. = ( .s ` W ) $.
    isassa.t $e |- .X. = ( .r ` W ) $.
    $( The properties of an associative algebra.  (Contributed by Mario
       Carneiro, 29-Dec-2014.) $)
    isassa $p |- ( W e. AssAlg <-> ( ( W e. LMod /\ W e. Ring /\ F e. CRing )
                   /\ A. r e. B A. x e. V A. y e. V
      ( ( ( r .x. x ) .X. y ) = ( r .x. ( x .X. y ) ) /\
        ( x .X. ( r .x. y ) ) = ( r .x. ( x .X. y ) ) ) ) ) $=
      ( wcel cv co wceq wa cfv vf vs vt casa clmod crg cin ccrg wral cmulr wsbc
      vw w3a cvsca cbs csca fvexd fveq2 eqtr4di simpr eleq1d fveq2d wb ad2antrr
      eqtrd simplr oveqd eqidd oveq123d eqeq12d anbi12d sbcied raleqbidv adantr
      cvv sbcied2 df-assa elrab2 anass elin anbi1i df-3an bitr4i 3bitr2i ) HUDO
      HUEUFUGZOZFUHOZIPZAPZDQZBPZEQZWHWIWKEQZDQZRZWIWHWKDQZEQZWNRZSZBGUIZAGUIZI
      CUIZSZSWFWGSZXBSHUEOZHUFOZWGUMZXBSUAPZUHOZWHWIUBPZQZWKUCPZQZWHWIWKXLQZXJQ
      ZRZWIWHWKXJQZXLQZXORZSZUCULPZUJTZUKZUBYAUNTZUKZBYAUOTZUIZAYFUIZIXHUOTZUIZ
      SZUAYAUPTZUKXCULHWEUDYAHRZYKXCUAYLFVOYMYAUPUQYMYLHUPTFYAHUPURKUSYMXHFRZSZ
      XIWGYJXBYOXHFUHYMYNUTZVAYOYHXAIYICYOYIFUOTCYOXHFUOYPVBLUSYMYHXAVCYNYMYGWT
      AYFGYMYFHUOTGYAHUOURJUSZYMYEWSBYFGYQYMYCWSUBYDVOYMYAUNUQYMXJYDRZSZXTWSUCY
      BVOYSYAUJUQYSXLYBRZSZXPWOXSWRUUAXMWLXOWNUUAXKWJWKWKXLEUUAXLYBEYSYTUTUUAYB
      HUJTZEYMYBUUBRYRYTYAHUJURVDNUSVEZUUAXJDWHWIUUAXJYDDYMYRYTVFUUAYDHUNTZDYMY
      DUUDRYRYTYAHUNURVDMUSVEZVGUUAWKVHVIUUAWHWHXNWMXJDUUEUUAWHVHUUAXLEWIWKUUCV
      GVIZVJUUAXRWQXOWNUUAWIWIXQWPXLEUUCUUAWIVHUUAXJDWHWKUUEVGVIUUFVJVKVLVLVMVM
      VNVMVKVPABULUCUAUBIVQVRWFWGXBVSXDXGXBXDXEXFSZWGSXGWFUUGWGHUEUFVTWAXEXFWGW
      BWCWAWD $.

    $( The properties of an associative algebra.  (Contributed by Mario
       Carneiro, 29-Dec-2014.) $)
    assalem $p |- ( ( W e. AssAlg /\ ( A e. B /\ X e. V /\ Y e. V ) ) ->
      ( ( ( A .x. X ) .X. Y ) = ( A .x. ( X .X. Y ) ) /\
        ( X .X. ( A .x. Y ) ) = ( A .x. ( X .X. Y ) ) ) ) $=
      ( vr wcel co wceq oveq1 eqeq12d vx vy casa cv wa wral w3a crg ccrg isassa
      clmod simprbi oveq1d oveq2d anbi12d oveq2 rspc3v mpan9 ) GUCPZOUDZUAUDZCQ
      ZUBUDZDQZUTVAVCDQZCQZRZVAUTVCCQZDQZVFRZUEZUBFUFUAFUFOBUFZABPHFPIFPUGAHCQZ
      IDQZAHIDQZCQZRZHAICQZDQZVPRZUEZUSGUKPGUHPEUIPUGVLUAUBBCDEFGOJKLMNUJULVKWA
      AVACQZVCDQZAVECQZRZVAAVCCQZDQZWDRZUEVMVCDQZAHVCDQZCQZRZHWFDQZWKRZUEOUAUBA
      HIBFFUTARZVGWEVJWHWOVDWCVFWDWOVBWBVCDUTAVACSUMUTAVECSZTWOVIWGVFWDWOVHWFVA
      DUTAVCCSUNWPTUOVAHRZWEWLWHWNWQWCWIWDWKWQWBVMVCDVAHACUPUMWQVEWJACVAHVCDSUN
      ZTWQWGWMWDWKVAHWFDSWRTUOVCIRZWLVQWNVTWSWIVNWKVPVCIVMDUPWSWJVOACVCIHDUPUNZ
      TWSWMVSWKVPWSWFVRHDVCIACUPUNWTTUOUQUR $.

    $( Left-associative property of an associative algebra.  (Contributed by
       Mario Carneiro, 29-Dec-2014.) $)
    assaass $p |- ( ( W e. AssAlg /\ ( A e. B /\ X e. V /\ Y e. V ) ) ->
      ( ( A .x. X ) .X. Y ) = ( A .x. ( X .X. Y ) ) ) $=
      ( casa wcel w3a wa co wceq assalem simpld ) GOPABPHFPIFPQRAHCSIDSAHIDSCSZ
      THAICSDSUCTABCDEFGHIJKLMNUAUB $.

    $( Right-associative property of an associative algebra.  (Contributed by
       Mario Carneiro, 29-Dec-2014.) $)
    assaassr $p |- ( ( W e. AssAlg /\ ( A e. B /\ X e. V /\ Y e. V ) ) ->
      ( X .X. ( A .x. Y ) ) = ( A .x. ( X .X. Y ) ) ) $=
      ( casa wcel w3a wa co wceq assalem simprd ) GOPABPHFPIFPQRAHCSIDSAHIDSCSZ
      THAICSDSUCTABCDEFGHIJKLMNUAUB $.
  $}

  ${
    $d x y z W $.  $d z F $.
    $( An associative algebra is a left module.  (Contributed by Mario
       Carneiro, 5-Dec-2014.) $)
    assalmod $p |- ( W e. AssAlg -> W e. LMod ) $=
      ( vz vx vy casa wcel clmod crg csca cfv ccrg w3a cv cvsca cmulr wceq wral
      co cbs eqid wa isassa simplbi simp1d ) AEFZAGFZAHFZAIJZKFZUEUFUGUILBMZCMZ
      ANJZRDMZAOJZRUJUKUMUNRULRZPUKUJUMULRUNRUOPUADASJZQCUPQBUHSJZQCDUQULUNUHUP
      ABUPTUHTUQTULTUNTUBUCUD $.

    $( An associative algebra is a ring.  (Contributed by Mario Carneiro,
       5-Dec-2014.) $)
    assaring $p |- ( W e. AssAlg -> W e. Ring ) $=
      ( vz vx vy casa wcel clmod crg csca cfv ccrg w3a cv cvsca cmulr wceq wral
      co cbs eqid wa isassa simplbi simp2d ) AEFZAGFZAHFZAIJZKFZUEUFUGUILBMZCMZ
      ANJZRDMZAOJZRUJUKUMUNRULRZPUKUJUMULRUNRUOPUADASJZQCUPQBUHSJZQCDUQULUNUHUP
      ABUPTUHTUQTULTUNTUBUCUD $.

    assasca.f $e |- F = ( Scalar ` W ) $.
    $( An associative algebra's scalar field is a commutative ring.
       (Contributed by Mario Carneiro, 7-Jan-2015.) $)
    assasca $p |- ( W e. AssAlg -> F e. CRing ) $=
      ( vz vx vy casa wcel clmod crg ccrg w3a cv cvsca cfv wceq cbs wral eqid
      co cmulr wa isassa simplbi simp3d ) BGHZBIHZBJHZAKHZUFUGUHUILDMZEMZBNOZTF
      MZBUAOZTUJUKUMUNTULTZPUKUJUMULTUNTUOPUBFBQOZREUPRDAQOZREFUQULUNAUPBDUPSCU
      QSULSUNSUCUDUE $.
  $}

  ${
    assa2ass.v $e |- V = ( Base ` W ) $.
    assa2ass.f $e |- F = ( Scalar ` W ) $.
    assa2ass.b $e |- B = ( Base ` F ) $.
    assa2ass.m $e |- .* = ( .r ` F ) $.
    assa2ass.s $e |- .x. = ( .s ` W ) $.
    assa2ass.t $e |- .X. = ( .r ` W ) $.
    $( Left- and right-associative property of an associative algebra.  Notice
       that the scalars are commuted!  (Contributed by AV, 14-Aug-2019.) $)
    assa2ass $p |- ( ( W e. AssAlg /\ ( A e. B /\ C e. B )
                    /\ ( X e. V /\ Y e. V ) ) ->
      ( ( A .x. X ) .X. ( C .x. Y ) ) = ( ( C .* A ) .x. ( X .X. Y ) ) ) $=
      ( wcel wa co casa wceq simp1 simpr 3ad2ant2 clmod assalmod simpl lmodvscl
      w3a syl3an 3ad2ant3 assaassr syl13anc assaass eqcomd lmodvsass oveq1d crg
      3ad2ant1 ccrg assasca crngring adantr adantl ringcl syl3anc 3adant3 eqtrd
      syl 3eqtrd ) IUARZABRZCBRZSZJHRZKHRZSZUJZAJDTZCKDTETZCVTKETDTZCVTDTZKETZC
      AGTZJKETDTZVSVLVNVTHRZVQWAWBUBVLVOVRUCZVOVLVNVRVMVNUDZUEZVLIUFRZVOVMVRVPW
      GIUGZVMVNUHZVPVQUHZADFBHIJLMPNUIUKZVRVLVQVOVPVQUDULZCBDEFHIVTKLMNPQUMUNVS
      VLVNWGVQWBWDUBWHWJWOWPVLVNWGVQUJSWDWBCBDEFHIVTKLMNPQUOUPUNVSWDWEJDTZKETZW
      FVSWKVNVMVPWDWRUBVLVOWKVRWLUTWJVOVLVMVRWMUEVRVLVPVOWNULZWKVNVMVPUJSZWCWQK
      EWTWQWCCADGFBHIJLMPNOUQUPURUNVSVLWEBRZVPVQWRWFUBWHVLVOXAVRVLVOSFUSRZVNVMX
      AVLXBVOVLFVARXBFIMVBFVCVJVDVOVNVLWIVEVOVMVLWMVEBFGCANOVFVGVHWSWPWEBDEFHIJ
      KLMNPQUOUNVIVK $.
  $}

  ${
    $d r x y B $.  $d r x y ph $.  $d x y V $.  $d r x y W $.
    isassad.v $e |- ( ph -> V = ( Base ` W ) ) $.
    isassad.f $e |- ( ph -> F = ( Scalar ` W ) ) $.
    isassad.b $e |- ( ph -> B = ( Base ` F ) ) $.
    isassad.s $e |- ( ph -> .x. = ( .s ` W ) ) $.
    isassad.t $e |- ( ph -> .X. = ( .r ` W ) ) $.
    isassad.1 $e |- ( ph -> W e. LMod ) $.
    isassad.2 $e |- ( ph -> W e. Ring ) $.
    isassad.3 $e |- ( ph -> F e. CRing ) $.
    isassad.4 $e |- ( ( ph /\ ( r e. B /\ x e. V /\ y e. V ) ) ->
      ( ( r .x. x ) .X. y ) = ( r .x. ( x .X. y ) ) ) $.
    isassad.5 $e |- ( ( ph /\ ( r e. B /\ x e. V /\ y e. V ) ) ->
      ( x .X. ( r .x. y ) ) = ( r .x. ( x .X. y ) ) ) $.
    $( Sufficient condition for being an associative algebra.  (Contributed by
       Mario Carneiro, 5-Dec-2014.) $)
    isassad $p |- ( ph -> W e. AssAlg ) $=
      ( clmod wcel crg csca cfv ccrg w3a cv cvsca co cmulr wceq wa cbs eqeltrrd
      wral casa 3jca jca ralrimivvva eqtrd oveqd eqidd oveq123d eqeq12d anbi12d
      fveq2d raleqbidv mpbid eqid isassa sylanbrc ) AIUAUBZIUCUBZIUDUEZUFUBZUGJ
      UHZBUHZIUIUEZUJZCUHZIUKUEZUJZVQVRWAWBUJZVSUJZULZVRVQWAVSUJZWBUJZWEULZUMZC
      IUNUEZUPZBWKUPZJVOUNUEZUPZIUQUBAVMVNVPPQAGVOUFLRUOURAVQVREUJZWAFUJZVQVRWA
      FUJZEUJZULZVRVQWAEUJZFUJZWSULZUMZCHUPZBHUPZJDUPWOAXDJBCDHHAVQDUBVRHUBWAHU
      BUGUMWTXCSTUSUTAXFWMJDWNADGUNUEWNMAGVOUNLVGVAAXEWLBHWKKAXDWJCHWKKAWTWFXCW
      IAWQWCWSWEAWPVTWAWAFWBOAEVSVQVRNVBAWAVCVDAVQVQWRWDEVSNAVQVCAFWBVRWAOVBVDZ
      VEAXBWHWSWEAVRVRXAWGFWBOAVRVCAEVSVQWANVBVDXGVEVFVHVHVHVIBCWNVSWBVOWKIJWKV
      JVOVJWNVJVSVJWBVJVKVL $.
  $}

  ${
    $d x y z A $.  $d x y z L $.  $d x y z S $.  $d x y z W $.
    issubassa.s $e |- S = ( W |`s A ) $.
    issubassa.l $e |- L = ( LSubSp ` W ) $.
    $( A subring that is also a subspace is a subalgebra.  The key theorem is
       ~ islss3 .  (Contributed by Mario Carneiro, 7-Jan-2015.) $)
    issubassa3 $p |- ( ( W e. AssAlg /\ ( A e. ( SubRing ` W ) /\ A e. L ) ) ->
      S e. AssAlg ) $=
      ( vy vz vx wcel cfv wa csca cbs cvsca wceq ad2antrl eqid cv co casa cmulr
      subrgbas resssca eqidd ressvsca ressmulr clmod assalmod simpr lsslmod crg
      csubrg syl2an subrgring ccrg assasca adantr w3a idd wss subrgss 3anim123d
      sseld imp assaass adantlr syldan assaassr isassad ) DUAJZADUMKZJZACJZLZLZ
      GHDMKZNKZDOKZDUBKZVQABIVMABNKPVKVNADBEUCQVMVQBMKPVKVNAVQDBVLEVQRZUDQVPVRU
      EVMVSBOKPVKVNAVSDBVLEVSRZUFQVMVTBUBKPVKVNADBVTVLEVTRZUGQVKDUHJVNBUHJVODUI
      VMVNUJCADBEFUKUNVMBULJVKVNADBEUOQVKVQUPJVOVQDWAUQURVPISZVRJZGSZAJZHSZAJZU
      SZWEWFDNKZJZWHWKJZUSZWDWFVSTWHVTTWDWFWHVTTVSTZPZVPWJWNVPWEWEWGWLWIWMVPWEU
      TVPAWKWFVMAWKVAVKVNAWKDWKRZVBQZVDVPAWKWHWRVDVCVEZVKWNWPVOWDVRVSVTVQWKDWFW
      HWQWAVRRZWBWCVFVGVHVPWJWNWFWDWHVSTVTTWOPZWSVKWNXAVOWDVRVSVTVQWKDWFWHWQWAW
      TWBWCVIVGVHVJ $.

    issubassa.v $e |- V = ( Base ` W ) $.
    issubassa.o $e |- .1. = ( 1r ` W ) $.
    $( The subalgebras of an associative algebra are exactly the subrings
       (under the ring multiplication) that are simultaneously subspaces (under
       the scalar multiplication from the vector space).  (Contributed by Mario
       Carneiro, 7-Jan-2015.) $)
    issubassa $p |- ( ( W e. AssAlg /\ .1. e. A /\ A C_ V ) ->
      ( S e. AssAlg <-> ( A e. ( SubRing ` W ) /\ A e. L ) ) ) $=
      ( casa wcel wss wa crg assaring adantl jca clmod assalmod csubrg cress co
      w3a cfv simpl1 syl eqeltrrid simpl3 simpl2 issubrg syl21anbrc islss3 3syl
      wb mpbir2and issubassa3 3ad2antl1 impbida ) FKLZCALZAEMZUDZBKLZAFUAUELZAD
      LZNZVCVDNZVEVFVHFOLZFAUBUCZOLVBVANVEVHUTVIUTVAVBVDUFZFPUGVHVJBOGVDBOLVCBP
      QUHVHVBVAUTVAVBVDUIZUTVAVBVDUJRAEFCIJUKULVHVFVBBSLZVLVDVMVCBTQVHUTFSLVFVB
      VMNUOVKFTDAEFBGIHUMUNUPRUTVAVGVDVBABDFGHUQURUS $.
  $}

  ${
    $d x y z A $.  $d x y z S $.  $d x y z W $.
    sraassa.a $e |- A = ( ( subringAlg ` W ) ` S ) $.
    $( The subring algebra over a commutative ring is an associative algebra.
       (Contributed by Mario Carneiro, 6-Oct-2015.) $)
    sraassa $p |- ( ( W e. CRing /\ S e. ( SubRing ` W ) ) ->
      A e. AssAlg ) $=
      ( vy vz vx wcel cfv wa cmulr co cbs wceq eqid adantl crg adantr cv cplusg
      ccrg csubrg cress a1i wss subrgss srabase srasca subrgbas sravsca sramulr
      clmod sralmod crngring eqidd sraaddg oveqdr ringpropd mpbid subrgcrng w3a
      csra simpr1 sseldd simpr2 simpr3 ringass syl13anc crngmgp ad2antrr mgpbas
      cmgp ccmn mgpplusg cmn12 isassad ) CUAHZBCUBIHZJZEFBCKIZVTCBUCLZCMIZAGVSA
      BCABCVBIINVSDUDZVRBWBUEZVQBWBCWBOZUFPZUGZVSABCWCWFUHVRBWAMINVQBCWAWAOZUIP
      VSABCWCWFUJVSABCWCWFUKZVRAULHVQABCDUMPVSCQHZAQHVQWJVRCUNRZVSGEWBCAVSWBUOW
      GVSGSZWBHZESZWBHZJZGECTIATIVSABCWCWFUPUQVSWPGEVTAKIWIUQURUSBCWAWHUTVSWLBH
      ZWOFSZWBHZVAZJZWJWMWOWSWLWNVTLWRVTLWLWNWRVTLVTLZNVSWJWTWKRXABWBWLVSWDWTWF
      RVSWQWOWSVCVDZVSWQWOWSVEZVSWQWOWSVFZWBCVTWLWNWRWEVTOZVGVHXACVLIZVMHZWOWMW
      SWNWLWRVTLVTLXBNVQXHVRWTCXGXGOZVIVJXDXCXEWBVTXGWNWLWRWBCXGXIWEVKCVTXGXIXF
      VNVOVHVP $.
  $}

  $( The ring module over a commutative ring is an associative algebra.
     (Contributed by Mario Carneiro, 6-Oct-2015.) $)
  rlmassa $p |- ( R e. CRing -> ( ringLMod ` R ) e. AssAlg ) $=
    ( ccrg wcel cbs cfv csubrg crglmod casa crg crngring subrgid rlmval sraassa
    eqid syl mpdan ) ABCZADEZAFECZAGEZHCQAICSAJRARNKOTRAALMP $.

  ${
    $d r w x y z K $.  $d r w x y z L $.  $d r w x y z P $.  $d r w x y z ph $.
    $d w x y z B $.
    assapropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    assapropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    assapropd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    assapropd.4 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( .r ` K ) y ) = ( x ( .r ` L ) y ) ) $.
    assapropd.5 $e |- ( ph -> F = ( Scalar ` K ) ) $.
    assapropd.6 $e |- ( ph -> F = ( Scalar ` L ) ) $.
    assapropd.7 $e |- P = ( Base ` F ) $.
    assapropd.8 $e |- ( ( ph /\ ( x e. P /\ y e. B ) ) ->
      ( x ( .s ` K ) y ) = ( x ( .s ` L ) y ) ) $.
    $( If two structures have the same components (properties), one is an
       associative algebra iff the other one is.  (Contributed by Mario
       Carneiro, 8-Feb-2015.) $)
    assapropd $p |- ( ph -> ( K e. AssAlg <-> L e. AssAlg ) ) $=
      ( wcel co wceq wral vr vz vw clmod wa casa wi assalmod assaring lmodpropd
      crg jca a1i syl5ibr ringpropd jcad wb csca cfv ccrg cv cvsca cmulr eqtr3d
      w3a cbs eleq1d adantr simpll simplrl simprl fveq2d eqtrid eleqtrd simprrl
      3anbi123d syl lmodvscl syl3anc eleqtrrd simprrr oveqrspc2v syl12anc eqtrd
      oveq1d simplrr ringcl oveq2d eqeq12d anbi12d 2ralbidva ralbidva raleqbidv
      eqid anassrs raleqdv 3bitr3d isassa 3bitr4g ex pm5.21ndd ) AGUDQZGUKQZUEZ
      GUFQZHUFQZXEXDUGAXEXBXCGUHGUIULUMAXFXBXCXFXBAHUDQZHUHABCDEFGHIJKMNOPUJZUN
      XFXCAHUKQZHUIABCDGHIJKLUOZUNUPAXDXEXFUQAXDUEZXBXCGURUSZUTQZVEZUAVAZUBVAZG
      VBUSZRZUCVAZGVCUSZRZXOXPXSXTRZXQRZSZXPXOXSXQRZXTRZYCSZUEZUCGVFUSZTZUBYITZ
      UAXLVFUSZTZUEXGXIHURUSZUTQZVEZXOXPHVBUSZRZXSHVCUSZRZXOXPXSYSRZYQRZSZXPXOX
      SYQRZYSRZUUBSZUEZUCHVFUSZTZUBUUHTZUAYNVFUSZTZUEXEXFXKXNYPYMUULAXNYPUQXDAX
      BXGXCXIXMYOXHXJAXLYNUTAFXLYNMNVDVGVPVHXKYHUCDTZUBDTZUAETUUGUCDTZUBDTZUAET
      YMUULXKUUNUUPUAEXKXOEQZUEYHUUGUBUCDDXKUUQXPDQZXSDQZUEZYHUUGUQXKUUQUUTUEZU
      EZYDUUCYGUUFUVBYAYTYCUUBUVBYAXRXSYSRZYTUVBAXRDQUUSYAUVCSAXDUVAVIZUVBXRYID
      UVBXBXOYLQZXPYIQZXRYIQAXBXCUVAVJZUVBXOEYLXKUUQUUTVKZUVBAEYLSZUVDAEFVFUSZY
      LOAFXLVFMVLVMZVQVNZUVBXPDYIXKUUQUURUUSVOZUVBADYISZUVDIVQZVNZXOXQXLYLYIGXP
      YIWNZXLWNZXQWNZYLWNZVRVSUVOVTXKUUQUURUUSWAZABCDDXTYSXRXSLWBWCUVBXRYRXSYSU
      VBAUUQUURXRYRSUVDUVHUVMABCEDXQYQXOXPPWBWCWEWDUVBYCXOYBYQRZUUBUVBAUUQYBDQY
      CUWBSUVDUVHUVBYBYIDUVBXCUVFXSYIQZYBYIQAXBXCUVAWFUVPUVBXSDYIUWAUVOVNZYIGXT
      XPXSUVQXTWNZWGVSUVOVTABCEDXQYQXOYBPWBWCUVBYBUUAXOYQUVBAUURUUSYBUUASUVDUVM
      UWAABCDDXTYSXPXSLWBWCWHWDZWIUVBYFUUEYCUUBUVBYFXPYEYSRZUUEUVBAUURYEDQYFUWG
      SUVDUVMUVBYEYIDUVBXBUVEUWCYEYIQUVGUVLUWDXOXQXLYLYIGXSUVQUVRUVSUVTVRVSUVOV
      TABCDDXTYSXPYELWBWCUVBYEUUDXPYSUVBAUUQUUSYEUUDSUVDUVHUWAABCEDXQYQXOXSPWBW
      CWHWDUWFWIWJWOWKWLXKUUNYKUAEYLAUVIXDUVKVHXKUUMYJUBDYIAUVNXDIVHZXKYHUCDYIU
      WHWPWMWMXKUUPUUJUAEUUKAEUUKSXDAEUVJUUKOAFYNVFNVLVMVHXKUUOUUIUBDUUHADUUHSX
      DJVHZXKUUGUCDUUHUWIWPWMWMWQWJUBUCYLXQXTXLYIGUAUVQUVRUVTUVSUWEWRUBUCUUKYQY
      SYNUUHHUAUUHWNYNWNUUKWNYQWNYSWNWRWSWTXA $.
  $}

  ${
    $d s t w L $.  $d s t S $.  $d t T $.  $d s t w V $.  $d s t w W $.
    aspval.a $e |- A = ( AlgSpan ` W ) $.
    aspval.v $e |- V = ( Base ` W ) $.
    ${
      aspval.l $e |- L = ( LSubSp ` W ) $.
      $( Value of the algebraic closure operation inside an associative
         algebra.  (Contributed by Mario Carneiro, 7-Jan-2015.) $)
      aspval $p |- ( ( W e. AssAlg /\ S C_ V ) -> ( A ` S ) =
        |^| { t e. ( ( SubRing ` W ) i^i L ) | S C_ t } ) $=
        ( vs vw wcel wss cfv cv csubrg crab cint wceq cbs casa wa cpw cmpt casp
        cin clss fveq2 eqtr4di pweqd ineq12d inteqd mpteq12dv df-asp fvexi pwex
        rabeqdv mptex fvmpt eqtrid fveq1d adantr eqid sseq1 rabbidv simpr elpw2
        cvv sylibr wrex assaring subrgid clmod assalmod lss1 elind sseq2 rspcev
        crg syl sylan intexrab sylib fvmptd3 eqtrd ) FUALZCEMZUBZCBNZCJEUCZJOZA
        OZMZAFPNZDUFZQZRZUDZNZCWLMZAWOQZRZWFWIWSSWGWFCBWRWFBFUENWRGKFJKOZTNZUCZ
        WMAXCPNZXCUGNZUFZQZRZUDWRUAUEXCFSZJXEXJWJWQXKXDEXKXDFTNEXCFTUHHUIUJXKXI
        WPXKWMAXHWOXKXFWNXGDXCFPUHXKXGFUGNDXCFUGUHIUIUKUQULUMKAJUNJWJWQEEFTHUOZ
        UPURUSUTVAVBWHJCWQXBWJWRVHWRVCWKCSZWPXAXMWMWTAWOWKCWLVDVEULWHWGCWJLWFWG
        VFCEXLVGVIWHWTAWOVJZXBVHLWFEWOLWGXNWFWNDEWFFVSLEWNLFVKEFHVLVTWFFVMLEDLF
        VNDEFHIVOVTVPWTWGAEWOWLECVQVRWAWTAWOWBWCWDWE $.

      $( The algebraic span of a set of vectors is a vector subspace.
         (Contributed by Mario Carneiro, 7-Jan-2015.) $)
      asplss $p |- ( ( W e. AssAlg /\ S C_ V ) -> ( A ` S ) e. L ) $=
        ( vt casa wcel wss wa cfv cv csubrg cin crab cint cvv clmod c0 assalmod
        aspval wne adantr ssrab2 inss2 sstri a1i fvex eqeltrrdi sylibr lssintcl
        intex syl3anc eqeltrd ) EJKZBDLZMZBANZBIOLZIEPNZCQZRZSZCIABCDEFGHUDZUTE
        UAKZVECLZVEUBUEZVFCKURVHUSEUCUFVIUTVEVDCVBIVDUGVCCUHUIUJUTVFTKVJUTVFVAT
        VGBAUKULVEUOUMVECEHUNUPUQ $.

      $( The algebraic span of a subalgebra is itself.  ( ~ spanid analog.)
         (Contributed by Mario Carneiro, 7-Jan-2015.) $)
      aspid $p |- ( ( W e. AssAlg /\ S e. ( SubRing ` W ) /\ S e. L ) ->
        ( A ` S ) = S ) $=
        ( vt casa wcel csubrg cfv w3a cv wss cin crab cint wceq 3ad2ant2 aspval
        simp1 subrgss syl2anc wa 3simpc elin sylibr intmin syl eqtrd ) EJKZBELM
        ZKZBCKZNZBAMZBIOPIUNCQZRSZBUQUMBDPZURUTTUMUOUPUCUOUMVAUPBDEGUDUAIABCDEF
        GHUBUEUQBUSKZUTBTUQUOUPUFVBUMUOUPUGBUNCUHUIIBUSUJUKUL $.
    $}

    $( The algebraic span of a set of vectors is a subring of the algebra.
       (Contributed by Mario Carneiro, 7-Jan-2015.) $)
    aspsubrg $p |- ( ( W e. AssAlg /\ S C_ V ) ->
      ( A ` S ) e. ( SubRing ` W ) ) $=
      ( vt casa wcel wss wa cfv cv csubrg clss cin crab cint eqid cvv aspval c0
      ssrab2 inss1 sstri fvex eqeltrrdi intex sylibr subrgint sylancr eqeltrd
      wne ) DHIBCJKZBALZBGMJZGDNLZDOLZPZQZRZUQGABURCDEFURSUAZUNUTUQJUTUBUMZVAUQ
      IUTUSUQUPGUSUCUQURUDUEUNVATIVCUNVAUOTVBBAUFUGUTUHUIDUTUJUKUL $.

    $( Span preserves subset ordering.  ( ~ spanss analog.)  (Contributed by
       Mario Carneiro, 7-Jan-2015.) $)
    aspss $p |- ( ( W e. AssAlg /\ S C_ V /\ T C_ S ) ->
      ( A ` T ) C_ ( A ` S ) ) $=
      ( vt casa wcel wss w3a cv csubrg cfv crab cint syl wceq aspval clss wa wi
      cin simpl3 sstr2 ss2rabdv intss simp1 simp3 simp2 syl2anc 3adant3 3sstr4d
      sstrd eqid ) EIJZBDKZCBKZLZCHMZKZHENOEUAOZUDZPZQZBVAKZHVDPZQZCAOZBAOZUTVH
      VEKVFVIKUTVGVBHVDUTVAVDJZUBUSVGVBUCUQURUSVLUECBVAUFRUGVHVEUHRUTUQCDKVJVFS
      UQURUSUIUTCBDUQURUSUJUQURUSUKUOHACVCDEFGVCUPZTULUQURVKVISUSHABVCDEFGVMTUM
      UN $.

    $( A set of vectors is a subset of its span.  ( ~ spanss2 analog.)
       (Contributed by Mario Carneiro, 7-Jan-2015.) $)
    aspssid $p |- ( ( W e. AssAlg /\ S C_ V ) -> S C_ ( A ` S ) ) $=
      ( vt casa wcel wss wa cv csubrg cfv clss cin crab cint ssintub eqid
      aspval sseqtrrid ) DHIBCJKBGLJGDMNDONZPZQRBBANGBUDSGABUCCDEFUCTUAUB $.
  $}

  ${
    $d w x K $.  $d w x .1. $.  $d w x .x. $.  $d w x W $.  $d x X $.
    asclfval.a $e |- A = ( algSc ` W ) $.
    asclfval.f $e |- F = ( Scalar ` W ) $.
    asclfval.k $e |- K = ( Base ` F ) $.
    asclfval.s $e |- .x. = ( .s ` W ) $.
    asclfval.o $e |- .1. = ( 1r ` W ) $.
    $( Function value of the algebraic scalars function.  (Contributed by Mario
       Carneiro, 8-Mar-2015.) $)
    asclfval $p |- A = ( x e. K |-> ( x .x. .1. ) ) $=
      ( vw cascl cfv cmpt cbs csca eqtr4di c0 cv cvv wcel wceq cur cvsca fveq2d
      co fveq2 eqidd oveq123d mpteq12dv df-ascl mptfvmpt wn mpt0 eqtrid mpteq1d
      fvprc base0 eqtr4d pm2.61i eqtri ) BGNOZAFAUAZDCUHZPZHGUBUCZVDVGUDAMVFQNA
      MUAZROZQOZVEVIUEOZVIUFOZUHZPFUBEGVIGUDZAVKVNFVFVOVKEQOZFVOVJEQVOVJGROZEVI
      GRUIISUGJSVOVEVEVLDVMCVOVMGUFOCVIGUFUIKSVOVEUJVOVLGUEODVIGUEUILSUKULAMUMJ
      UNVHUOZVDATVFPZVGVRVDTVSGNUSAVFUPSVRAFTVFVRFVPTJVRVPTQOTVRETQVREVQTIGRUSU
      QUGUTSUQURVAVBVC $.

    $( Value of a mapped algebra scalar.  (Contributed by Mario Carneiro,
       8-Mar-2015.) $)
    asclval $p |- ( X e. K -> ( A ` X ) = ( X .x. .1. ) ) $=
      ( vx cv co oveq1 asclfval ovex fvmpt ) MGMNZCBOGCBOEATGCBPMABCDEFHIJKLQGC
      BRS $.
  $}

  ${
    $d K x $.  $d W x $.
    asclfn.a $e |- A = ( algSc ` W ) $.
    asclfn.f $e |- F = ( Scalar ` W ) $.
    asclfn.k $e |- K = ( Base ` F ) $.
    $( Unconditional functionality of the algebra scalars function.
       (Contributed by Mario Carneiro, 9-Mar-2015.) $)
    asclfn $p |- A Fn K $=
      ( vx cv cur cfv cvsca co ovex eqid asclfval fnmpti ) HCHIZDJKZDLKZMARSTNH
      ATSBCDEFGTOSOPQ $.
  $}

  ${
    $d x y A $.  $d x B $.  $d x y F $.  $d x K $.  $d x y ph $.  $d x y W $.
    asclf.a $e |- A = ( algSc ` W ) $.
    asclf.f $e |- F = ( Scalar ` W ) $.
    asclf.r $e |- ( ph -> W e. Ring ) $.
    asclf.l $e |- ( ph -> W e. LMod ) $.
    ${
      asclf.k $e |- K = ( Base ` F ) $.
      asclf.b $e |- B = ( Base ` W ) $.
      $( The algebra scalars function is a function into the base set.
         (Contributed by Mario Carneiro, 4-Jul-2015.) $)
      asclf $p |- ( ph -> A : K --> B ) $=
        ( vx cv cur cfv cvsca wcel adantr eqid co clmod simpr ringidcl lmodvscl
        wa crg syl syl3anc asclfval fmptd ) AMEMNZFOPZFQPZUAZCBAULERZUFFUBRZUPU
        MCRZUOCRAUQUPJSAUPUCAURUPAFUGRURICFUMLUMTZUDUHSULUNDECFUMLHUNTZKUEUIMBU
        NUMDEFGHKUTUSUJUK $.
    $}

    $( The algebra scalars function is a group homomorphism.  (Contributed by
       Mario Carneiro, 4-Jul-2015.) $)
    asclghm $p |- ( ph -> A e. ( F GrpHom W ) ) $=
      ( vx vy cplusg cfv cbs eqid crg wcel syl co wceq asclval lmodring ringgrp
      clmod asclf cv cur cvsca adantr simprl simprr ringidcl lmodvsdir syl13anc
      cgrp wa grpcl 3expb sylan oveqan12d adantl 3eqtr4d isghmd ) AIJCKLZDKLZCD
      BCMLZDMLZVENZVFNZVCNZVDNZACOPZCUNPZADUCPZVKHCDFUAQCUBQZADOPZDUNPGDUBQABVF
      CVEDEFGHVGVHUDAIUEZVEPZJUEZVEPZUOZUOZVPVRVCRZDUFLZDUGLZRZVPWCWDRZVRWCWDRZ
      VDRZWBBLZVPBLZVRBLZVDRZWAVMVQVSWCVFPZWEWHSAVMVTHUHAVQVSUIAVQVSUJAWMVTAVOW
      MGVFDWCVHWCNZUKQUHVDVCVPVRWDCVEVFDWCVHVJFWDNZVGVIULUMWAWBVEPZWIWESAVLVTWP
      VNVLVQVSWPVEVCCVPVRVGVIUPUQURBWDWCCVEDWBEFVGWOWNTQVTWLWHSAVQVSWJWFWKWGVDB
      WDWCCVEDVPEFVGWOWNTBWDWCCVEDVREFVGWOWNTUSUTVAVB $.
  $}

  ${
    ascl0.a $e |- A = ( algSc ` W ) $.
    ascl0.f $e |- F = ( Scalar ` W ) $.
    ascl0.l $e |- ( ph -> W e. LMod ) $.
    ascl0.r $e |- ( ph -> W e. Ring ) $.
    $( The scalar 0 embedded into a left module corresponds to the 0 of the
       left module if the left module is also a ring.  (Contributed by AV,
       31-Jul-2019.) $)
    ascl0 $p |- ( ph -> ( A ` ( 0g ` F ) ) = ( 0g ` W ) ) $=
      ( c0g cfv cur cvsca co cbs wcel wceq cgrp clmod syl eqid lmodfgrp grpidcl
      asclval crg ringidcl lmod0vs syl2anc eqtrd ) ACIJZBJZUIDKJZDLJZMZDIJZAUIC
      NJZOZUJUMPACQOZUPADROZUQGCDFUASUOCUIUOTZUITZUBSBULUKCUODUIEFUSULTZUKTZUCS
      AURUKDNJZOZUMUNPGADUDOVDHVCDUKVCTZVBUESULCUIVCDUKUNVEFVAUTUNTUFUGUH $.

    $( The scalar 1 embedded into a left module corresponds to the 1 of the
       left module if the left module is also a ring.  (Contributed by AV,
       31-Jul-2019.) $)
    ascl1 $p |- ( ph -> ( A ` ( 1r ` F ) ) = ( 1r ` W ) ) $=
      ( cur cfv cvsca co cbs wcel wceq crg clmod syl eqid ringidcl lmodring
      asclval lmodvs1 syl2anc eqtrd ) ACIJZBJZUFDIJZDKJZLZUHAUFCMJZNZUGUJOACPNZ
      ULADQNZUMGCDFUARUKCUFUKSZUFSZTRBUIUHCUKDUFEFUOUISZUHSZUBRAUNUHDMJZNZUJUHO
      GADPNUTHUSDUHUSSZURTRUIUFCUSDUHVAFUQUPUCUDUE $.
  $}

  ${
    asclmul1.a $e |- A = ( algSc ` W ) $.
    asclmul1.f $e |- F = ( Scalar ` W ) $.
    asclmul1.k $e |- K = ( Base ` F ) $.
    asclmul1.v $e |- V = ( Base ` W ) $.
    asclmul1.t $e |- .X. = ( .r ` W ) $.
    asclmul1.s $e |- .x. = ( .s ` W ) $.
    $( Left multiplication by a lifted scalar is the same as the scalar
       operation.  (Contributed by Mario Carneiro, 9-Mar-2015.) $)
    asclmul1 $p |- ( ( W e. AssAlg /\ R e. K /\ X e. V ) ->
        ( ( A ` R ) .X. X ) = ( R .x. X ) ) $=
      ( casa wcel cfv co wceq w3a cur eqid 3ad2ant2 oveq1d simp1 simp2 assaring
      asclval crg 3ad2ant1 ringidcl syl simp3 assaass syl13anc ringlidm syl2anc
      oveq2d 3eqtrd ) HPQZBFQZIGQZUAZBARZIDSBHUBRZCSZIDSZBVFIDSZCSZBICSVDVEVGID
      VBVAVEVGTVCACVFEFHBJKLOVFUCZUIUDUEVDVAVBVFGQZVCVHVJTVAVBVCUFVAVBVCUGVDHUJ
      QZVLVAVBVMVCHUHUKZGHVFMVKULUMVAVBVCUNZBFCDEGHVFIMKLONUOUPVDVIIBCVDVMVCVII
      TVNVOGHDVFIMNVKUQURUSUT $.

    $( Right multiplication by a lifted scalar is the same as the scalar
       operation.  (Contributed by Mario Carneiro, 9-Mar-2015.) $)
    asclmul2 $p |- ( ( W e. AssAlg /\ R e. K /\ X e. V ) ->
        ( X .X. ( A ` R ) ) = ( R .x. X ) ) $=
      ( wcel cfv co wceq oveq2d casa w3a cur asclval 3ad2ant2 simp1 simp2 simp3
      eqid crg assaring 3ad2ant1 ringidcl syl assaassr syl13anc ringridm 3eqtrd
      syl2anc ) HUAPZBFPZIGPZUBZIBAQZDRIBHUCQZCRZDRZBIVEDRZCRZBICRVCVDVFIDVAUTV
      DVFSVBACVEEFHBJKLOVEUIZUDUETVCUTVAVBVEGPZVGVISUTVAVBUFUTVAVBUGUTVAVBUHZVC
      HUJPZVKUTVAVMVBHUKULZGHVEMVJUMUNBFCDEGHIVEMKLONUOUPVCVHIBCVCVMVBVHISVNVLG
      HDVEIMNVJUQUSTUR $.
  $}

  ${
    ascldimul.a $e |- A = ( algSc ` W ) $.
    ascldimul.f $e |- F = ( Scalar ` W ) $.
    ascldimul.k $e |- K = ( Base ` F ) $.
    ascldimul.t $e |- .X. = ( .r ` W ) $.
    ascldimul.s $e |- .x. = ( .r ` F ) $.
    $( The algebra scalars function distributes over multiplication.
       (Contributed by Mario Carneiro, 8-Mar-2015.)  (Proof shortened by SN,
       5-Nov-2023.) $)
    ascldimul $p |- ( ( W e. AssAlg /\ R e. K /\ S e. K ) ->
        ( A ` ( R .x. S ) ) = ( ( A ` R ) .X. ( A ` S ) ) ) $=
      ( wcel co cfv wceq 3ad2ant1 eqid syl casa w3a cur cvsca clmod simp2 simp3
      cbs assalmod assaring ringidcl lmodvsass syl13anc lmodring ringcl syl3an1
      asclval asclf ffvelrnda 3adant2 asclmul1 syld3an3 3ad2ant3 oveq2d 3eqtr4d
      crg eqtrd ) HUANZBGNZCGNZUBZBCDOZHUCPZHUDPZOZBCVMVNOZVNOZVLAPZBAPCAPZEOZV
      KHUENZVIVJVMHUHPZNZVOVQQVHVIWAVJHUIZRVHVIVJUFVHVIVJUGVKHVFNZWCVHVIWEVJHUJ
      ZRWBHVMWBSZVMSZUKTBCVNDFGWBHVMWGJVNSZKMULUMVKVLGNZVRVOQVHFVFNZVIVJWJVHWAW
      KWDFHJUNTGFDBCKMUOUPAVNVMFGHVLIJKWIWHUQTVKVTBVSVNOZVQVHVIVJVSWBNZVTWLQVHV
      JWMVIVHGWBCAVHAWBFGHIJWFWDKWGURUSUTABVNEFGWBHVSIJKWGLWIVAVBVKVSVPBVNVJVHV
      SVPQVIAVNVMFGHCIJKWIWHUQVCVDVGVE $.
  $}

  ${
    asclinvg.a $e |- A = ( algSc ` W ) $.
    asclinvg.r $e |- R = ( Scalar ` W ) $.
    asclinvg.k $e |- B = ( Base ` R ) $.
    asclinvg.i $e |- I = ( invg ` R ) $.
    asclinvg.j $e |- J = ( invg ` W ) $.
    $( The group inverse (negation) of a lifted scalar is the lifted negation
       of the scalar.  (Contributed by AV, 2-Sep-2019.) $)
    asclinvg $p |- ( ( W e. LMod /\ W e. Ring /\ C e. B )
                     -> ( J ` ( A ` C ) ) = ( A ` ( I ` C ) ) ) $=
      ( clmod wcel crg w3a cghm co cfv wceq simp2 simp1 asclghm simp3 wa ghminv
      eqcomd syl2anc ) GMNZGONZCBNZPZADGQRNZUKCASFSZCESASZTULADGHIUIUJUKUAUIUJU
      KUBUCUIUJUKUDUMUKUEUOUNBDGAEFCJKLUFUGUH $.
  $}

  ${
    $d x y A $.  $d x y F $.  $d x y W $.
    asclrhm.a $e |- A = ( algSc ` W ) $.
    asclrhm.f $e |- F = ( Scalar ` W ) $.
    $( The scalar injection is a ring homomorphism.  (Contributed by Mario
       Carneiro, 8-Mar-2015.) $)
    asclrhm $p |- ( W e. AssAlg -> A e. ( F RingHom W ) ) $=
      ( vx casa wcel cbs cfv cmulr cur eqid assasca crngringd assaring assalmod
      vy cv co ascl1 wceq ascldimul 3expb asclghm isrhm2d ) CGHZFRBIJZBCBKJZCKJ
      ZBLJZACLJZUHMZUKMULMUIMZUJMZUGBBCENOCPZUGABCDECQZUPUAUGFSZUHHRSZUHHURUSUI
      TAJURAJUSAJUJTUBAURUSUIUJBUHCDEUMUOUNUCUDUGABCDEUPUQUEUF $.
  $}

  ${
    $d N x y $.  $d .1. x y $.  $d W x y $.
    rnascl.a $e |- A = ( algSc ` W ) $.
    rnascl.o $e |- .1. = ( 1r ` W ) $.
    rnascl.n $e |- N = ( LSpan ` W ) $.
    $( The set of injected scalars is also interpretable as the span of the
       identity.  (Contributed by Mario Carneiro, 9-Mar-2015.) $)
    rnascl $p |- ( W e. AssAlg -> ran A = ( N ` { .1. } ) ) $=
      ( vx vy casa wcel crn cv cvsca cfv co wceq csca cbs eqid cab csn asclfval
      wrex rnmpt clmod assalmod crg assaring ringidcl syl lspsn syl2anc eqtr4id
      ) DJKZALHMIMBDNOZPZQIDROZSOZUDHUAZBUBCOZIHUSUQAIAUPBURUSDEURTZUSTZUPTZFUC
      UEUODUFKBDSOZKZVAUTQDUGUODUHKVFDUIVEDBVETZFUJUKHUPIURUSCVEDBVBVCVGVDGULUM
      UN $.
  $}

  ${
    $d x y A $.  $d x y L $.  $d x y S $.  $d x y W $.
    issubassa2.a $e |- A = ( algSc ` W ) $.
    issubassa2.l $e |- L = ( LSubSp ` W ) $.
    $( A subring of a unital algebra is a subspace and thus a subalgebra iff it
       contains all scalar multiples of the identity.  (Contributed by Mario
       Carneiro, 9-Mar-2015.) $)
    issubassa2 $p |- ( ( W e. AssAlg /\ S e. ( SubRing ` W ) ) ->
        ( S e. L <-> ran A C_ S ) ) $=
      ( vx vy wcel cfv wa wss wceq eqid ad2antrr ad2antlr cv co wral cbs csubrg
      casa crn cur clspn rnascl clmod assalmod simpr subrg1cl lspsnel5a eqsstrd
      csubg cvsca csca subrgsubg simplll simprl subrgss sselda adantrl asclmul1
      csn cmulr syl3anc simpllr simplr wfn asclfn fnfvelrn sylan sseldd adantrr
      a1i simprr subrgmcl eqeltrrd ralrimivva wb islss4 syl mpbir2and impbida )
      DUBIZBDUAJIZKZBCIZAUCZBLZWFWGKZWHDUDJZVCDUEJZJZBWDWHWMMWEWGAWKWLDEWKNZWLN
      ZUFOWJCBWLDWKFWOWDDUGIZWEWGDUHZOWFWGUIWEWKBIWDWGBDWKWNUJPUKULWFWIKZWGBDUM
      JIZGQZHQZDUNJZRZBIZHBSGDUOJZTJZSZWEWSWDWIBDUPPWRXDGHXFBWRWTXFIZXABIZKZKZW
      TAJZXADVDJZRZXCBXKWDXHXADTJZIZXNXCMWDWEWIXJUQWRXHXIURWRXIXPXHWRBXOXAWEBXO
      LWDWIBXODXONZUSPUTVAAWTXBXMXEXFXODXAEXENZXFNZXQXMNZXBNZVBVEXKWEXLBIZXIXNB
      IWDWEWIXJVFWRXHYBXIWRXHKWHBXLWFWIXHVGWRAXFVHZXHXLWHIYCWRAXEXFDEXRXSVIVNXF
      WTAVJVKVLVMWRXHXIVOBDXMXLXAXTVPVEVQVRWDWGWSXGKVSZWEWIWDWPYDWQXFCXBBXEXODG
      HXRXSXQYAFVTWAOWBWC $.
  $}

  ${
    rnasclsubrg.c $e |- C = ( algSc ` W ) $.
    rnasclsubrg.w $e |- ( ph -> W e. AssAlg ) $.
    $( The scalar multiples of the unit vector form a subring of the vectors.
       (Contributed by SN, 5-Nov-2023.) $)
    rnasclsubrg $p |- ( ph -> ran C e. ( SubRing ` W ) ) $=
      ( casa wcel csca cfv crh co crn csubrg eqid asclrhm rnrhmsubrg 3syl ) ACF
      GBCHIZCJKGBLCMIGEBRCDRNOBRCPQ $.
  $}

  ${
    rnasclmulcl.c $e |- C = ( algSc ` W ) $.
    rnasclmulcl.x $e |- .X. = ( .r ` W ) $.
    rnasclmulcl.w $e |- ( ph -> W e. AssAlg ) $.
    $( (Vector) multiplication is closed for scalar multiples of the unit
       vector.  (Contributed by SN, 5-Nov-2023.) $)
    rnasclmulcl $p |- ( ( ph /\
        ( X e. ran C /\ Y e. ran C ) ) ->
                ( X .X. Y ) e. ran C ) $=
      ( crn wcel co csubrg cfv rnasclsubrg subrgmcl syl3an1 3expb ) AEBJZKZFSKZ
      EFCLSKZASDMNKTUAUBABDGIOSDCEFHPQR $.
  $}

  ${
    rnasclassa.a $e |- A = ( algSc ` W ) $.
    rnasclassa.u $e |- U = ( W |`s ran A ) $.
    rnasclassa.w $e |- ( ph -> W e. AssAlg ) $.
    $( The scalar multiples of the unit vector form a subalgebra of the
       vectors.  (Contributed by SN, 16-Nov-2023.) $)
    rnasclassa $p |- ( ph -> U e. AssAlg ) $=
      ( crn wss casa wcel ssidd csubrg cfv wi rnasclsubrg clss eqid issubassa2
      wa issubassa3 expr sylbird syl2anc mpd ) ABHZUFIZCJKZAUFLADJKZUFDMNKZUGUH
      OGABDEGPUIUJTUGUFDQNZKZUHBUFUKDEUKRZSUIUJULUHUFCUKDFUMUAUBUCUDUE $.
  $}

  ${
    $d S x $.  $d W x $.  $d X x $.
    ressascl.a $e |- A = ( algSc ` W ) $.
    ressascl.x $e |- X = ( W |`s S ) $.
    $( The injection of scalars is invariant between subalgebras and
       superalgebras.  (Contributed by Mario Carneiro, 9-Mar-2015.) $)
    ressascl $p |- ( S e. ( SubRing ` W ) -> A = ( algSc ` X ) ) $=
      ( vx csubrg cfv wcel csca cbs cv cur cvsca co cmpt cascl eqid asclfval
      resssca fveq2d ressvsca eqidd subrg1 oveq123d mpteq12dv 3eqtr4g ) BCHIZJZ
      GCKIZLIZGMZCNIZCOIZPZQGDKIZLIZUMDNIZDOIZPZQADRIZUJGULUPURVAUJUKUQLBUKCDUI
      FUKSZUAUBUJUMUMUNUSUOUTBUOCDUIFUOSZUCUJUMUDBCDUNFUNSZUEUFUGGAUOUNUKULCEVC
      ULSVDVETGVBUTUSUQURDVBSUQSURSUTSUSSTUH $.
  $}

  ${
    $d x y z K $.  $d x y z L $.  $d x y z P $.  $d x y z ph $.  $d x y W $.
    $d z F $.  $d z G $.
    asclpropd.f $e |- F = ( Scalar ` K ) $.
    asclpropd.g $e |- G = ( Scalar ` L ) $.
    asclpropd.1 $e |- ( ph -> P = ( Base ` F ) ) $.
    asclpropd.2 $e |- ( ph -> P = ( Base ` G ) ) $.
    asclpropd.3 $e |- ( ( ph /\ ( x e. P /\ y e. W ) ) ->
      ( x ( .s ` K ) y ) = ( x ( .s ` L ) y ) ) $.
    asclpropd.4 $e |- ( ph -> ( 1r ` K ) = ( 1r ` L ) ) $.
    asclpropd.5 $e |- ( ph -> ( 1r ` K ) e. W ) $.
    $( If two structures have the same components (properties), one is an
       associative algebra iff the other one is.  The last hypotheses on ` 1r `
       can be discharged either by letting ` W = _V ` (if strong equality is
       known on ` .s ` ) or assuming ` K ` is a ring.  (Contributed by Mario
       Carneiro, 5-Jul-2015.) $)
    asclpropd $p |- ( ph -> ( algSc ` K ) = ( algSc ` L ) ) $=
      ( vz cfv cmpt eqid cbs cv cur cvsca co cascl wcel wceq oveqrspc2v anassrs
      wa mpidan oveq2d adantr eqtrd mpteq2dva mpteq1d 3eqtr3d asclfval 3eqtr4g
      ) AQEUARZQUBZGUCRZGUDRZUEZSZQFUARZVBHUCRZHUDRZUEZSZGUFRZHUFRZAQDVESQDVJSV
      FVKAQDVEVJAVBDUGZUKVEVBVCVIUEZVJAVNVCIUGZVEVOUHZPAVNVPVQABCDIVDVIVBVCNUIU
      JULAVOVJUHVNAVCVHVBVIOUMUNUOUPAQDVAVELUQAQDVGVJMUQURQVLVDVCEVAGVLTJVATVDT
      VCTUSQVMVIVHFVGHVMTKVGTVITVHTUSUT $.
  $}

  ${
    $d x C $.  $d x R $.  $d x S $.  $d x V $.  $d x W $.
    aspval2.a $e |- A = ( AlgSpan ` W ) $.
    aspval2.c $e |- C = ( algSc ` W ) $.
    aspval2.r $e |- R = ( mrCls ` ( SubRing ` W ) ) $.
    aspval2.v $e |- V = ( Base ` W ) $.
    $( The algebraic closure is the ring closure when the generating set is
       expanded to include all scalars. _EDITORIAL_ :  In light of this, is
       ` AlgSpan ` independently needed?  (Contributed by Stefan O'Rear,
       9-Mar-2015.) $)
    aspval2 $p |- ( ( W e. AssAlg /\ S C_ V ) -> ( A ` S ) =
        ( R ` ( ran C u. S ) ) ) $=
      ( vx wcel wss wa cfv crab cint cab wceq eqid casa csubrg clss cin crn cun
      cv elin anbi1i anass issubassa2 anbi1d unss bitrdi pm5.32da syl5bb abbidv
      bitri adantr df-rab 3eqtr4g inteqd aspval cmre crg assaring subrgmre csca
      syl cbs assalmod asclf frnd simpr unssd mrcval syl2an2r 3eqtr4d ) FUALZDE
      MZNZDKUGZMZKFUBOZFUCOZUDZPZQBUEZDUFZWBMZKWDPZQZDAOWICOZWAWGWKWAWBWFLZWCNZ
      KRZWBWDLZWJNZKRZWGWKVSWPWSSVTVSWOWRKWOWQWBWELZWCNZNZVSWRWOWQWTNZWCNXBWNXC
      WCWBWDWEUHUIWQWTWCUJURVSWQXAWJVSWQNZXAWHWBMZWCNWJXDWTXEWCBWBWEFHWETZUKULW
      HDWBUMUNUOUPUQUSWCKWFUTWJKWDUTVAVBKADWEEFGJXFVCVSWDEVDOLZVTWIEMWMWLSVSFVE
      LXGFVFZEFJVGVIWAWHDEVSWHEMVTVSFVHOZVJOZEBVSBEXIXJFHXITXHFVKXJTJVLVMUSVSVT
      VNVOWDWICEKIVPVQVR $.
  $}

  ${
    assamulgscm.v $e |- V = ( Base ` W ) $.
    assamulgscm.f $e |- F = ( Scalar ` W ) $.
    assamulgscm.b $e |- B = ( Base ` F ) $.
    assamulgscm.s $e |- .x. = ( .s ` W ) $.
    assamulgscm.g $e |- G = ( mulGrp ` F ) $.
    assamulgscm.p $e |- .^ = ( .g ` G ) $.
    assamulgscm.h $e |- H = ( mulGrp ` W ) $.
    assamulgscm.e $e |- E = ( .g ` H ) $.
    $( Lemma 1 for ~ assamulgscm (induction base).  (Contributed by AV,
       26-Aug-2019.) $)
    assamulgscmlem1 $p |- ( ( ( A e. B /\ X e. V ) /\ W e. AssAlg )
                     -> ( 0 E ( A .x. X ) ) = ( ( 0 .^ A ) .x. ( 0 E X ) ) ) $=
      ( wcel wa casa cur cfv cc0 wceq clmod assalmod crg assaring eqid ringidcl
      co lmodvs1 eqcomd syl2anc adantl simpll simplr lmodvscl syl3anc ringidval
      syl mgpbas mulg0 oveq12d 3eqtr4d ) ABTZKITZUAZJUBTZUAZJUCUDZFUCUDZVMCUMZU
      EAKCUMZDUMZUEAEUMZUEKDUMZCUMVKVMVOUFZVJVKJUGTZVMITZVTJUHZVKJUITWBJUJIJVML
      VMUKZULVCWAWBUAVOVMCVNFIJVMLMOVNUKZUNUOUPUQVLVPITZVQVMUFVLWAVHVIWFVKWAVJW
      CUQVHVIVKURZVHVIVKUSZACFBIJKLMONUTVAIDHVPVMIJHRLVDZJVMHRWDVBZSVEVCVLVRVNV
      SVMCVLVHVRVNUFWGBEGAVNBFGPNVDFVNGPWEVBQVEVCVLVIVSVMUFWHIDHKVMWIWJSVEVCVFV
      G $.

    $( Lemma for ~ assamulgscm (induction step).  (Contributed by AV,
       26-Aug-2019.) $)
    assamulgscmlem2 $p |- ( y e. NN0 -> ( ( ( A e. B /\ X e. V )
       /\ W e. AssAlg ) -> ( ( y E ( A .x. X ) ) = ( ( y .^ A ) .x. ( y E X ) )
                     -> ( ( y + 1 ) E ( A .x. X ) )
                        = ( ( ( y + 1 ) .^ A ) .x. ( ( y + 1 ) E X ) ) ) ) ) $=
      ( cv cn0 wcel wa casa co wceq c1 caddc cmulr cfv crg assaring ringmgp syl
      cmnd adantl adantr simpll clmod assalmod simplr lmodvscl syl3anc mgpplusg
      mgpbas eqid mulgnn0p1 oveq1 csca cbs simprr ccrg assasca crngring 3syl wi
      simpl a1i fveq2i eqtrdi eleq2d biimpcd mulgnn0cl simprlr assaass syl13anc
      imp eqcomi assaassr oveq2d eqcomd peano2nn0 lmodvsass 3eqtrd fveq2d oveqd
      w3a simprll eqtrd oveq1d sylan9eqr exp31 ) AUAZUBUCZBCUCZLJUCZUDZKUEUCZUD
      ZXDBLDUFZEUFZXDBFUFZXDLEUFZDUFZUGZXDUHUIUFZXKEUFZXQBFUFZXQLEUFZDUFZUGXEXJ
      UDZXPUDZXRXLXKKUJUKZUFZYAYCIUPUCZXEXKJUCZXRYEUGYBYFXPXJYFXEXIYFXHXIKULUCY
      FKUMKISUNUOUQUQZURXEXJXPUSYBYGXPXJYGXEXJKUTUCZXFXGYGXIYIXHKVAUQZXFXGXIUSX
      FXGXIVBBDGCJKLMNPOVCVDUQZURJYDEIXDXKJKISMVFZTKYDISYDVGZVEZVHVDXPYBYEXOXKY
      DUFZYAXLXOXKYDVIYBYOXMXNXKYDUFZDUFZXMBKVJUKZUJUKZUFZXTDUFZYAYBXIXMYRVKUKZ
      UCZXNJUCZYGYOYQUGXEXHXIVLZYBHUPUCZXEBUUBUCZUUCXJUUFXEXIUUFXHXIGVMUCGULUCU
      UFGKNVNGVOGHQUNVPUQUQZXEXJVRZXJUUGXEXHXIUUGXFXIUUGVQXGXIXFUUGXICUUBBXICGV
      KUKZUUBCUUJUGXIOVSGYRVKNVTWAWBWCURWHUQZUUBFHXDBUUBGHQYRGVKGYRNWIVTVFRWDVD
      ZYBYFXEXGUUDYHUUIXEXFXGXIWEZJEIXDLYLTWDVDZYKXMUUBDYDYRJKXNXKMYRVGZUUBVGZP
      YMWFWGYBYQXMBXNLYDUFZDUFZDUFXMBXTDUFZDUFZUUAYBYPUURXMDYBXIUUGUUDXGYPUURUG
      UUEUUKUUNUUMBUUBDYDYRJKXNLMUUOUUPPYMWJWGWKYBUURUUSXMDYBUUQXTBDYBXTUUQYBYF
      XEXGXTUUQUGYHUUIUUMJYDEIXDLYLTYNVHVDWLWKWKYBYIUUCUUGXTJUCZUUTUUAUGXJYIXEY
      JUQUULUUKYBYFXQUBUCZXGUVAYHXEUVBXJXDWMURUUMJEIXQLYLTWDVDYIUUCUUGUVAWRUDUU
      AUUTXMBDYSYRUUBJKXTMUUOPUUPYSVGWNWLWGWOYBYTXSXTDYBXSYTYBXSXMBGUJUKZUFZYTY
      BUUFXEXFXSUVDUGUUHUUIXEXFXGXIWSCUVCFHXDBCGHQOVFRGUVCHQUVCVGVEVHVDYBUVCYSX
      MBYBGYRUJGYRUGYBNVSWPWQWTWLXAWOXBWTXC $.

    $d A x y $.  $d B x y $.  $d E x y $.  $d N x y $.  $d V x y $.
    $d W x y $.  $d X x y $.  $d .x. x y $.  $d .^ x y $.
    $( Exponentiation of a scalar multiplication in an associative algebra:
       ` ( a .x. X ) ^ N = ( a ^ N ) .X. ( X ^ N ) ` .  (Contributed by AV,
       26-Aug-2019.) $)
    assamulgscm $p |- ( ( W e. AssAlg /\ ( N e. NN0 /\ A e. B /\ X e. V ) )
       -> ( N E ( A .x. X ) ) = ( ( N .^ A ) .x. ( N E X ) ) ) $=
      ( vx vy cn0 wcel w3a casa co wceq wi wa cv c1 caddc oveq1 oveq12d eqeq12d
      cc0 imbi2d weq assamulgscmlem1 assamulgscmlem2 nn0ind exp4c 3imp impcom
      a2d ) IUCUDZABUDZLJUDZUEKUFUDZIALCUGZDUGZIAEUGZILDUGZCUGZUHZVGVHVIVJVPUIV
      GVHVIVJVPVHVIUJVJUJZUAUKZVKDUGZVRAEUGZVRLDUGZCUGZUHZUIVQUQVKDUGZUQAEUGZUQ
      LDUGZCUGZUHZUIVQUBUKZVKDUGZWIAEUGZWILDUGZCUGZUHZUIVQWIULUMUGZVKDUGZWOAEUG
      ZWOLDUGZCUGZUHZUIVQVPUIUAUBIVRUQUHZWCWHVQXAVSWDWBWGVRUQVKDUNXAVTWEWAWFCVR
      UQAEUNVRUQLDUNUOUPURUAUBUSZWCWNVQXBVSWJWBWMVRWIVKDUNXBVTWKWAWLCVRWIAEUNVR
      WILDUNUOUPURVRWOUHZWCWTVQXCVSWPWBWSVRWOVKDUNXCVTWQWAWRCVRWOAEUNVRWOLDUNUO
      UPURVRIUHZWCVPVQXDVSVLWBVOVRIVKDUNXDVTVMWAVNCVRIAEUNVRILDUNUOUPURABCDEFGH
      JKLMNOPQRSTUTWIUCUDVQWNWTUBABCDEFGHJKLMNOPQRSTVAVFVBVCVDVE $.
  $}

  ${
    $d x y z G $.  $d x y z W $.
    zlmassa.w $e |- W = ( ZMod ` G ) $.
    $( The ` ZZ ` -module operation turns a ring into an associative algebra
       over ` ZZ ` .  Also see ~ zlmlmod .  (Contributed by Mario Carneiro,
       2-Oct-2015.) $)
    zlmassa $p |- ( G e. Ring <-> W e. AssAlg ) $=
      ( vy vz vx crg wcel casa cz cmg cfv cmulr zring cbs wceq eqid zlmbas a1i
      cv zlmsca zringbas cvsca zlmvsca zlmmulr cabl clmod ringabl zlmlmod sylib
      cplusg zlmplusg ringprop biimpi ccrg zringcrng mulgass2 mulgass3 assaring
      isassad sylibr impbii ) AGHZBIHZVCDEJAKLZAMLZNAOLZBFVGBOLPVCVGABCVGQZRZSA
      GBCUAJNOLPVCUBSVEBUCLPVCVEABCVEQZUDSVFBMLPVCVFABCVFQZUEZSVCAUFHBUGHAUHABC
      UIUJVCBGHZABVIAUKLZABCVNQULVLUMZUNNUOHVCUPSVGAVEVFFTZDTZETZVHVJVKUQVGAVEV
      FVPVQVRVHVJVKURUTVDVMVCBUSVOVAVB $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Abstract multivariate polynomials
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c mPwSer $. $( Multivariate power series $)
  $c mVar $. $( Multivariate power series variables $)
  $c mPoly $. $( Multivariate polynomial $)
  $c <bag $. $( Order on terms $)
  $c ordPwSer $. $( Order on power series $)

  $( Multivariate power series. $)
  cmps $a class mPwSer $.

  $( Multivariate power series variables. $)
  cmvr $a class mVar $.

  $( Multivariate polynomials. $)
  cmpl $a class mPoly $.

  $( Ordering on terms of a multivariate polynomial. $)
  cltb $a class <bag $.

  $( Ordered set of power series. $)
  copws $a class ordPwSer $.

  ${
    $d b d f g h i k p r s w x y z $.
    $( Define the algebra of power series over the index set ` i ` and with
       coefficients from the ring ` r ` .  (Contributed by Mario Carneiro,
       21-Mar-2015.) $)
    df-psr $a |- mPwSer = ( i e. _V , r e. _V |->
    [_ { h e. ( NN0 ^m i ) | ( `' h " NN ) e. Fin } / d ]_
    [_ ( ( Base ` r ) ^m d ) / b ]_
    ( { <. ( Base ` ndx ) , b >. ,
        <. ( +g ` ndx ) , ( oF ( +g ` r ) |` ( b X. b ) ) >. ,
        <. ( .r ` ndx ) ,
          ( f e. b , g e. b |-> ( k e. d |->
            ( r gsum ( x e. { y e. d | y oR <_ k } |->
            ( ( f ` x ) ( .r ` r ) ( g ` ( k oF - x ) ) ) ) ) ) ) >. } u.
      { <. ( Scalar ` ndx ) , r >. ,
        <. ( .s ` ndx ) , ( x e. ( Base ` r ) , f e. b |->
             ( ( d X. { x } ) oF ( .r ` r ) f ) ) >. ,
        <. ( TopSet ` ndx ) ,
             ( Xt_ ` ( d X. { ( TopOpen ` r ) } ) ) >. } ) ) $.

    $( Define the generating elements of the power series algebra.
       (Contributed by Mario Carneiro, 7-Jan-2015.) $)
    df-mvr $a |- mVar = ( i e. _V , r e. _V |-> ( x e. i |->
      ( f e. { h e. ( NN0 ^m i ) | ( `' h " NN ) e. Fin } |->
        if ( f = ( y e. i |-> if ( y = x , 1 , 0 ) ) ,
             ( 1r ` r ) , ( 0g ` r ) ) ) ) ) $.

    $( Define the subalgebra of the power series algebra generated by the
       variables; this is the polynomial algebra (the set of power series with
       finite degree).  (Contributed by Mario Carneiro, 7-Jan-2015.)  (Revised
       by AV, 25-Jun-2019.) $)
    df-mpl $a |- mPoly = ( i e. _V , r e. _V |-> [_ ( i mPwSer r ) / w ]_
      ( w |`s { f e. ( Base ` w ) | f finSupp ( 0g ` r ) } ) ) $.

    $( Define a well-order on the set of all finite bags from the index set
       ` i ` given a wellordering ` r ` of ` i ` .  (Contributed by Mario
       Carneiro, 8-Feb-2015.) $)
    df-ltbag $a |- <bag = ( r e. _V , i e. _V |-> { <. x , y >. |
      ( { x , y } C_ { h e. ( NN0 ^m i ) | ( `' h " NN ) e. Fin } /\
        E. z e. i ( ( x ` z ) < ( y ` z ) /\
          A. w e. i ( z r w -> ( x ` w ) = ( y ` w ) ) ) ) } ) $.

    $( Define a total order on the set of all power series in ` s ` from the
       index set ` i ` given a wellordering ` r ` of ` i ` and a totally
       ordered base ring ` s ` .  (Contributed by Mario Carneiro,
       8-Feb-2015.) $)
    df-opsr $a |- ordPwSer = ( i e. _V , s e. _V |-> ( r e. ~P ( i X. i )
   |-> [_ ( i mPwSer s ) / p ]_ ( p sSet <. ( le ` ndx ) , { <. x , y >. |
     ( { x , y } C_ ( Base ` p ) /\ ( [. { h e. ( NN0 ^m i ) | ( `' h " NN ) e.
      Fin } / d ]. E. z e. d ( ( x ` z ) ( lt ` s ) ( y ` z ) /\ A. w e. d
     ( w ( r <bag i ) z -> ( x ` w ) = ( y ` w ) ) ) \/ x = y ) ) } >. ) ) ) $.
  $}

  ${
    $d h i r y $.  $d b d i r .+b $.  $d b d i r J $.  $d b d f g i k r x ph $.
    $d b d f g i k r x B $.  $d b d f g h i k r x I $.  $d b d f g i k r x R $.
    $d b d f g k x y D $.  $d b d i r .X. $.  $d b d i r .xb $.
    $( The multivariate power series constructor is a proper binary operator.
       (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    reldmpsr $p |- Rel dom mPwSer $=
      ( vi vr vd vh vb vf vg vk vx vy cvv cv cmap co crab cfv cnx cop cof cxp
      ccnv cima cfn wcel cn0 cbs cplusg cres cmulr cle cofr cmin cmpt cgsu cmpo
      cn wbr ctp csca cvsca csn cts ctopn cpt cun csb cmps df-psr reldmmpo ) AB
      KKCDLUAUPUBUCUDDUEALMNOEBLZUFPZCLZMNQUFPELZRQUGPVJUGPSVMVMTUHRQUIPFGVMVMH
      VLVJIJLHLZUJUKUQJVLOILZFLZPVNVOULSNGLPVJUIPZNUMUNNUMUORURQUSPVJRQUTPIFVKV
      MVLVOVATVPVQSNUORQVBPVLVJVCPVATVDPRURVEVFVFVGIJFGDAHBECVHVI $.

    psrval.s $e |- S = ( I mPwSer R ) $.
    psrval.k $e |- K = ( Base ` R ) $.
    psrval.a $e |- .+ = ( +g ` R ) $.
    psrval.m $e |- .x. = ( .r ` R ) $.
    psrval.o $e |- O = ( TopOpen ` R ) $.
    psrval.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    psrval.b $e |- ( ph -> B = ( K ^m D ) ) $.
    psrval.p $e |- .+b = ( oF .+ |` ( B X. B ) ) $.
    psrval.t $e |- .X. = ( f e. B , g e. B |-> ( k e. D |->
            ( R gsum ( x e. { y e. D | y oR <_ k } |->
            ( ( f ` x ) .x. ( g ` ( k oF - x ) ) ) ) ) ) ) $.
    psrval.v $e |- .xb =
      ( x e. K , f e. B |-> ( ( D X. { x } ) oF .x. f ) ) $.
    psrval.j $e |- ( ph -> J = ( Xt_ ` ( D X. { O } ) ) ) $.
    psrval.i $e |- ( ph -> I e. W ) $.
    psrval.r $e |- ( ph -> R e. X ) $.
    $( Value of the multivariate power series structure.  (Contributed by Mario
       Carneiro, 29-Dec-2014.) $)
    psrval $p |- ( ph -> S = ( { <. ( Base ` ndx ) , B >. ,
        <. ( +g ` ndx ) , .+b >. , <. ( .r ` ndx ) , .X. >. } u.
      { <. ( Scalar ` ndx ) , R >. , <. ( .s ` ndx ) , .xb >. ,
         <. ( TopSet ` ndx ) , J >. } ) ) $=
      ( vi vr vd vb cmps co cnx cbs cfv cop cplusg cmulr ctp csca cvsca cts cun
      cvv cv ccnv cn cima cfn wcel cn0 cmap crab cof cxp cres cle cofr wbr cmin
      cmpt cgsu cmpo csn ctopn cpt csb wceq df-psr a1i wa simprl oveq2d eqtr4di
      rabeq csbeq1d ovex rabex eqeltrrdi simplrr fveq2d oveq12d ad2antrr eqtr4d
      syl simpr opeq2d adantr ofeqd xpeq12d reseq12d oveqd mpteq12dv mpoeq123dv
      tpeq123d xpeq1d eqidd oveq123d sneqd ad3antrrr uneq12d csbied eqtrd elexd
      tpex unex ovmpod eqtrid ) AIQHUTVAVBVCVDZDVEZVBVFVDZGVEZVBVGVDZLVEZVHZVBV
      IVDZHVEZVBVJVDZJVEZVBVKVDZRVEZVHZVLZUCAUPUQQHVMVMUROVNVOVPVQVRVSZOVTUPVNZ
      WAVAZWBZUSUQVNZVCVDZURVNZWAVAZYRUSVNZVEZYTUUQVFVDZWCZUVAUVAWDZWEZVEZUUBMN
      UVAUVAPUUSUUQBCVNPVNZWFWGWHZCUUSWBZBVNZMVNZVDZUVHUVKWIWCVANVNVDZUUQVGVDZV
      AZWJZWKVAZWJZWLZVEZVHZUUEUUQVEZUUGBMUURUVAUUSUVKWMZWDZUVLUVOWCZVAZWLZVEZU
      UIUUSUUQWNVDZWMZWDZWOVDZVEZVHZVLZWPZWPZUULUTVMUTUPUQVMVMUWRWLWQABCMNOUPPU
      QUSURWRWSAUUNQWQZUUQHWQZWTZWTZUWRUREUWQWPUULUXBURUUPEUWQUXBUUPUUMOVTQWAVA
      ZWBZEUXBUUOUXCWQUUPUXDWQUXBUUNQVTWAAUWSUWTXAXBUUMOUUOUXCXDXNUHXCZXEUXBURE
      UWQUULVMUXBEUUPVMUXEUUMOUUOVTUUNWAXFXGXHUXBUUSEWQZWTZUWQUSDUWPWPUULUXGUSU
      UTDUWPUXGUUTSEWAVAZDUXGUURSUUSEWAUXGUURHVCVDSUXGUUQHVCAUWSUWTUXFXIZXJUDXC
      ZUXBUXFXOZXKADUXHWQUXAUXFUIXLXMZXEUXGUSDUWPUULVMUXGDUUTVMUXLUURUUSWAXFXHU
      XGUVADWQZWTZUWBUUDUWOUUKUXNUVBYSUVGUUAUWAUUCUXNUVADYRUXGUXMXOZXPUXNUVFGYT
      UXNUVFFWCZDDWDZWEGUXNUVDUXPUVEUXQUXNUVCFUXNUVCHVFVDFUXNUUQHVFUXGUWTUXMUXI
      XQZXJUEXCXRUXNUVADUVADUXOUXOXSXTUJXCXPUXNUVTLUUBUXNUVTMNDDPEHBUVICEWBZUVM
      UVNKVAZWJZWKVAZWJZWLLUXNMNUVAUVAUVSDDUYCUXOUXOUXNPUUSUVREUYBUXGUXFUXMUXKX
      QZUXNUUQHUVQUYAWKUXRUXNBUVJUVPUXSUXTUXNUXFUVJUXSWQUYDUVICUUSEXDXNUXNUVOKU
      VMUVNUXNUVOHVGVDKUXNUUQHVGUXRXJUFXCZYAYBXKYBYCUKXCXPYDUXNUWCUUFUWIUUHUWNU
      UJUXNUUQHUUEUXRXPUXNUWHJUUGUXNUWHBMSDEUWDWDZUVLKWCZVAZWLJUXNBMUURUVAUWGSD
      UYHUXGUURSWQUXMUXJXQUXOUXNUWEUYFUVLUVLUWFUYGUXNUVOKUYEXRUXNUUSEUWDUYDYEUX
      NUVLYFYGYCULXCXPUXNUWMRUUIUXNUWMETWMZWDZWOVDZRUXNUWLUYJWOUXNUUSEUWKUYIUYD
      UXNUWJTUXNUWJHWNVDTUXNUUQHWNUXRXJUGXCYHXSXJARUYKWQUXAUXFUXMUMYIXMXPYDYJYK
      YLYKYLAQUAUNYMAHUBUOYMUULVMVSAUUDUUKYSUUAUUCYNUUFUUHUUJYNYOWSYPYQ $.
  $}

  $( The multivariate power series structure is a function.  (Contributed by
     Mario Carneiro, 8-Feb-2015.) $)
  psrvalstr $p |- ( { <. ( Base ` ndx ) , B >. ,
      <. ( +g ` ndx ) , .+ >. , <. ( .r ` ndx ) , .X. >. } u.
    { <. ( Scalar ` ndx ) , R >. , <. ( .s ` ndx ) , .x. >. ,
       <. ( TopSet ` ndx ) , J >. } ) Struct <. 1 , 9 >. $=
    ( c1 c3 c5 c9 cnx cbs cfv cop cplusg cmulr ctp csca cvsca cts rngstr c6 5nn
    eqid scandx 5lt6 6nn vscandx 6lt9 9nn tsetndx strle3 3lt5 strleun ) GHIJKLM
    ANKOMBNKPMENQZKRMZCNKSMZDNKTMZFNQABUOEUOUDUAUPUQURIUBJCDFUCUEUFUGUHUIUJUKUL
    UMUN $.

  ${
    $d f j k m n u v w x y z F $.  $d f j k m n x y G $.  $d m n x y z V $.
    $d f m n w x y z I $.  $d j k m u v w z ph $.  $d j k m n u v w x z S $.
    $d j k m B $.  $d j k m n u v w x y z D $.  $d f m n u v w x y z X $.
    $d f k m u v w x y z Y $.
    psrbag.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
    $( Elementhood in the set of finite bags.  (Contributed by Mario Carneiro,
       29-Dec-2014.) $)
    psrbag $p |- ( I e. V -> ( F e. D <->
      ( F : I --> NN0 /\ ( `' F " NN ) e. Fin ) ) ) $=
      ( wcel cn0 cmap co ccnv cn cima cfn wa wf cv wceq cnveq cvv eleq1d elrab2
      imaeq1d wb nn0ex elmapg mpan anbi1d syl5bb ) CAGCHDIJZGZCKZLMZNGZODEGZDHC
      PZUNOBQZKZLMZNGUNBCUJAUQCRZUSUMNUTURULLUQCSUCUAFUBUOUKUPUNHTGUOUKUPUDUEHD
      CTEUFUGUHUI $.

    $( A finite bag is a function.  (Contributed by Mario Carneiro,
       29-Dec-2014.)  Remove a sethood antecedent.  (Revised by SN,
       30-Jul-2024.) $)
    psrbagf $p |- ( F e. D -> F : I --> NN0 ) $=
      ( wcel cv ccnv cn cima cfn cn0 cmap co crab wf eleq2i elrabi elmapi syl
      sylbi ) CAFCBGHIJKFZBLDMNZOZFZDLCPZAUDCEQUECUCFUFUBBCUCRCLDSTUA $.

    $( Obsolete version of ~ psrbag as of 6-Aug-2024.  (Contributed by Mario
       Carneiro, 29-Dec-2014.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    psrbagfOLD $p |- ( ( I e. V /\ F e. D ) -> F : I --> NN0 ) $=
      ( wcel cn0 wf ccnv cn cima cfn psrbag simprbda ) DEGCAGDHCICJKLMGABCDEFNO
      $.

    $( Finite bags have finite support.  (Contributed by Stefan O'Rear,
       9-Mar-2015.)  (Revised by AV, 18-Jul-2019.)  Remove a sethood
       antecedent.  (Revised by SN, 7-Aug-2024.) $)
    psrbagfsupp $p |- ( F e. D -> F finSupp 0 ) $=
      ( wcel cc0 cfsupp wbr ccnv cn cima cfn cn0 wf cvv wa id psrbagf ffnd wb
      fndmexd psrbag biimpa mpancom simprd frnnn0fsuppg mpdan mpbird ) CAFZCGHI
      ZCJKLMFZUJDNCOZULDPFZUJUMULQZUJDCAUJRUJDNCABCDESZTUBUNUJUOABCDPEUCUDUEUFU
      JUMUKULUAUPCDAUGUHUI $.

    $( Obsolete version of ~ psrbagfsupp as of 7-Aug-2024.  (Contributed by
       Stefan O'Rear, 9-Mar-2015.)  (Revised by AV, 18-Jul-2019.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    psrbagfsuppOLD $p |- ( ( X e. D /\ I e. V ) -> X finSupp 0 ) $=
      ( wcel wa cc0 cfsupp wbr ccnv cn cima cfn cn0 wf psrbag biimpac simprd wb
      simpr psrbagfOLD ancoms frnnn0fsupp syl2anc mpbird ) EAGZCDGZHZEIJKZELMNO
      GZUJCPEQZULUIUHUMULHABECDFRSTUJUIUMUKULUAUHUIUBUIUHUMABECDFUCUDECDUEUFUG
      $.

    ${
      $d f y N $.
      $( A bag containing one element is a finite bag.  (Contributed by Mario
         Carneiro, 7-Jan-2015.)  (Revised by AV, 8-Jul-2019.) $)
      snifpsrbag $p |- ( ( I e. V /\ N e. NN0 )
                         -> ( y e. I |-> if ( y = X , N , 0 ) ) e. D ) $=
        ( wcel cn0 wa cv wceq cc0 cif cmpt a1i adantr cvv wb wf ccnv cima simpr
        cn cfn 0nn0 ifcld fmpttd cfsupp c0ex eqid sniffsupp frnnn0fsupp adantlr
        wbr id bicomd mpdan mpbird psrbag mpbir2and ) DFIZEJIZKZADALZGMZENOZPZB
        IZDJVIUAZVIUBUEUCUFIZVEADVHJVEVHJIVFDIVEVGENJVCVDUDNJIVEUGQUHRUIZVEVLVI
        NUJUPZVCVNVDVCAEVIDFSGNVCUQNSIVCUKQVIULUMRVEVKVLVNTVMVEVKKVNVLVCVKVNVLT
        VDVIDFUNUOURUSUTVCVJVKVLKTVDBCVIDFHVARVB $.
    $}

    $( The constant function equal to zero is a finite bag.  (Contributed by
       AV, 8-Jul-2019.) $)
    fczpsrbag $p |- ( I e. V -> ( x e. I |-> 0 ) e. D ) $=
      ( vn wcel cc0 cmpt weq cif wceq ifid eqcomi a1i mpteq2dv cn0 0nn0 cv
      snifpsrbag mpan2 eqeltrd ) DEHZADIJADAGKZIILZJZBUDADIUFIUFMUDUFIUEINOPQUD
      IRHUGBHSABCDIEGTFUAUBUC $.

    $d a b c $.
    $( The support of a dominated bag is smaller than the dominating bag.
       (Contributed by Mario Carneiro, 29-Dec-2014.)  Remove a sethood
       antecedent.  (Revised by SN, 5-Aug-2024.) $)
    psrbaglesupp $p |- ( ( F e. D /\ G : I --> NN0 /\ G oR <_ F )
                                     -> ( `' G " NN ) C_ ( `' F " NN ) ) $=
      ( vc va vb vx wcel cn0 cle wbr cc0 cvv wceq cv cfv wa wf cofr w3a ccnv cn
      cima csupp co cdm cin wral relopabiv brrelex1i 3ad2ant3 simp2 frnnn0suppg
      df-ofr syl2anc cdif eldifi simp3 ffnd 3ad2ant1 simp1 inidm eqidd ofrfvalg
      psrbagf mpbid r19.21bi sylan2 wss eqimss syl a1i suppssrg breqtrd ffvelrn
      c0ex syl2an nn0ge0d cr wb nn0red letri3 sylancl mpbir2and suppss eqsstrrd
      0re ) CAKZELDUAZDCMUBZNZUCZDUDUEUFZDOUGUHZCUDUEUFZWODPKZWLWQWPQWNWKWSWLDC
      WMGRZHRZSWTIRZSMNGXAUIXBUIUJUKHIWMGMHIUQULUMUNZWKWLWNUOZDEPUPURWOELJDWROX
      DWOJRZEWRUSKZTZXEDSZOQZXHOMNZOXHMNZXGXHXECSZOMXFWOXEEKZXHXLMNZXEEWRUTZWOX
      NJEWOWNXNJEUKWKWLWNVAWOJEEXHXLMEDCPAWOELDXDVBWOELCWKWLELCUAZWNABCEFVHVCZV
      BXCWKWLWNVDZEVEWOXMTZXHVFXSXLVFVGVIVJVKWOELPCAWRXEOXQWOCOUGUHZWRQZXTWRVLW
      OWKXPYAXRXQCEAUPURXTWRVMVNXROPKWOVSVOVPVQXGXHWOWLXMXHLKXFXDXOELXEDVRVTZWA
      XGXHWBKOWBKXIXJXKTWCXGXHYBWDWJXHOWEWFWGWHWI $.
    $( $j usage 'psrbaglesupp' avoids 'ax-rep'; $)

    $( Obsolete version of ~ psrbaglesupp as of 5-Aug-2024.  (Contributed by
       Mario Carneiro, 29-Dec-2014.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    psrbaglesuppOLD $p |- ( ( I e. V /\ ( F e. D /\
      G : I --> NN0 /\ G oR <_ F ) ) -> ( `' G " NN ) C_ ( `' F " NN ) ) $=
      ( vx wcel cn0 wf cle wbr wa ccnv cn cima cc0 csupp wceq w3a co frnnn0supp
      cofr 3ad2antr2 simpr2 cv cdif cfv eldifi wral simpr3 psrbagfOLD 3ad2antr1
      ffnd simpl inidm eqidd ofrfval mpbid r19.21bi sylan2 cvv eqimss 3syl c0ex
      wss jca a1i suppssr breqtrd ffvelrn syl2an nn0ge0d cr wb nn0red mpbir2and
      0re letri3 sylancl suppss eqsstrrd ) EFIZCAIZEJDKZDCLUDMZUAZNZDOPQZDRSUBZ
      COPQZWDWEWFWKWJTWGDEFUCUEWIEJHDWLRWDWEWFWGUFZWIHUGZEWLUHIZNZWNDUIZRTZWQRL
      MZRWQLMZWPWQWNCUIZRLWOWIWNEIZWQXALMZWNEWLUJZWIXCHEWIWGXCHEUKWDWEWFWGULWIH
      EEWQXALEDCFFWIEJDWMUOWIEJCWDWFWEEJCKZWGABCEFGUMUNZUOWDWHUPZXGEUQWIXBNZWQU
      RXHXAURUSUTVAVBWIEJVCCFWLWNRXFWIWDXENCRSUBZWLTXIWLVGWIWDXEXGXFVHCEFUCXIWL
      VDVEXGRVCIWIVFVIVJVKWPWQWIWFXBWQJIWOWMXDEJWNDVLVMZVNWPWQVOIRVOIWRWSWTNVPW
      PWQXJVQVSWQRVTWAVRWBWC $.

    $( The set of finite bags is downward-closed.  (Contributed by Mario
       Carneiro, 29-Dec-2014.)  Remove a sethood antecedent.  (Revised by SN,
       5-Aug-2024.) $)
    psrbaglecl $p |- ( ( F e. D /\ G : I --> NN0 /\ G oR <_ F ) -> G e. D ) $=
      ( wcel cn0 wf cle cofr ccnv cn cima cfn wa cvv wb psrbag syl wbr simp2 id
      w3a simp1 psrbagf ffnd 3ad2ant1 mpbid simprd psrbaglesupp ssfid mpbir2and
      fndmexd ) CAGZEHDIZDCJKUAZUDZDAGZUPDLMNZOGZUOUPUQUBURCLMNZUTUREHCIZVBOGZU
      RUOVCVDPZUOUPUQUEUREQGZUOVERUOUPVFUQUOECAUOUCUOEHCABCEFUFUGUNUHZABCEQFSTU
      IUJABCDEFUKULURVFUSUPVAPRVGABDEQFSTUM $.

    $( Obsolete version of ~ psrbaglecl as of 5-Aug-2024.  (Contributed by
       Mario Carneiro, 29-Dec-2014.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    psrbagleclOLD $p |- ( ( I e. V /\
      ( F e. D /\ G : I --> NN0 /\ G oR <_ F ) ) -> G e. D ) $=
      ( wcel cn0 wf cle cofr wa ccnv cn cima cfn wb psrbag adantr simpr2 simpr1
      wbr w3a mpbid simprd psrbaglesuppOLD ssfid mpbir2and ) EFHZCAHZEIDJZDCKLU
      CZUDZMZDAHZULDNOPZQHZUJUKULUMUAUOCNOPZUQUOEICJZUSQHZUOUKUTVAMZUJUKULUMUBU
      JUKVBRUNABCEFGSTUEUFABCDEFGUGUHUJUPULURMRUNABDEFGSTUI $.

    $( The sum of two finite bags is a finite bag.  (Contributed by Mario
       Carneiro, 9-Jan-2015.)  Shorten proof and remove a sethood antecedent.
       (Revised by SN, 7-Aug-2024.) $)
    psrbagaddcl $p |- ( ( F e. D /\ G e. D ) -> ( F oF + G ) e. D ) $=
      ( vx vy wcel wa caddc co cn0 wf cfn cvv cv adantl cc0 csupp cof ccnv cima
      cn nn0addcl psrbagf adantr simpl ffnd fndmexd inidm wceq ovex frnnn0suppg
      off sylancr cun cfsupp wbr psrbagfsupp fsuppunfi 0nn0 a1i suppofssd ssfid
      00id eqeltrrd wb psrbag syl mpbir2and ) CAIZDAIZJZCDKUAZLZAIZEMVPNZVPUBUD
      UCZOIZVNGHEEEKMMMCDPPGQZMIHQZMIJWAWBKLMIVNWAWBUERVLEMCNVMABCEFUFUGZVMEMDN
      VLABDEFUFRZVNECAVLVMUHVNEMCWCUIUJZWEEUKUOZVNVPSTLZVSOVNVPPIVRWGVSULCDVOUM
      WFVPEPUNUPVNCSTLDSTLUQWGVNCDSVLCSURUSVMABCEFUTUGVMDSURUSVLABDEFUTRVAVNEMC
      DPKSWESMIVNVBVCWCWDSSKLSULVNVFVCVDVEVGVNEPIVQVRVTJVHWEABVPEPFVIVJVK $.

    $( Obsolete version of ~ psrbagaddcl as of 7-Aug-2024.  (Contributed by
       Mario Carneiro, 9-Jan-2015.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    psrbagaddclOLD $p |- ( ( I e. V /\ F e. D /\ G e. D ) ->
      ( F oF + G ) e. D ) $=
      ( vx wcel caddc co cn0 wf ccnv cfn wa cc0 csupp syl2anc cvv vy w3a cof cn
      cima cv nn0addcl adantl simp2 wb psrbag 3ad2ant1 mpbid simpld simp3 simp1
      inidm off cmpt wceq frnnn0supp fvexd feqmptd offval2 oveq1d eqtr3d simprd
      cfv cun eqeltrd unfi cdif wss ssun1 a1i c0ex suppssr ssun2 oveq12d eqtrdi
      00id suppss2 ssfid mpbir2and ) EFIZCAIZDAIZUBZCDJUCKZAIZELWIMZWINUDUEZOIZ
      WHHUAEEEJLLLCDFFHUFZLIUAUFZLIPWNWOJKLIWHWNWOUGUHWHELCMZCNUDUEZOIZWHWFWPWR
      PZWEWFWGUIWEWFWFWSUJWGABCEFGUKULUMZUNZWHELDMZDNUDUEZOIZWHWGXBXDPZWEWFWGUO
      WEWFWGXEUJWGABDEFGUKULUMZUNZWEWFWGUPZXHEUQURZWHWLHEWNCVHZWNDVHZJKZUSZQRKZ
      OWHWIQRKZWLXNWHWEWKXOWLUTXHXIWIEFVASWHWIXMQRWHHEXJXKJCDFTTXHWHWNEIPZWNCVB
      XPWNDVBWHHELCXAVCWHHELDXGVCVDVEVFWHCQRKZDQRKZVIZXNWHXQOIXROIXSOIWHXQWQOWH
      WEWPXQWQUTXHXACEFVASWHWPWRWTVGVJWHXRXCOWHWEXBXRXCUTXHXGDEFVASWHXBXDXFVGVJ
      XQXRVKSWHEXLHFXSQWHWNEXSVLIPZXLQQJKQXTXJQXKQJWHELTCFXSWNQXAXQXSVMWHXQXRVN
      VOXHQTIWHVPVOZVQWHELTDFXSWNQXGXRXSVMWHXRXQVRVOXHYAVQVSWAVTXHWBWCVJWEWFWJW
      KWMPUJWGABWIEFGUKULWD $.

    $( The analogue of the statement " ` 0 <_ G <_ F ` implies
       ` 0 <_ F - G <_ F ` " for finite bags.  (Contributed by Mario Carneiro,
       29-Dec-2014.)  Remove a sethood antecedent.  (Revised by SN,
       5-Aug-2024.) $)
    psrbagcon $p |- ( ( F e. D /\ G : I --> NN0 /\ G oR <_ F )
                 -> ( ( F oF - G ) e. D /\ ( F oF - G ) oR <_ F ) ) $=
      ( vx wcel cn0 wf cle wbr cmin cfv wral cvv 3ad2ant1 wa mpbid wb cofr ccnv
      w3a cof co cn cima cfn wfn cv psrbagf ffnd simp2 fndmexd inidm offn eqidd
      id ofval simp3 ofrfval r19.21bi ffvelrnda syl2anc eqeltrd ralrimiva ffnfv
      nn0sub sylanbrc simp1 psrbag syl simprd wss nn0ge0d subge02d psrbaglesupp
      cc0 nn0red mpbird syl3anc ssfid mpbir2and jca ) CAHZEIDJZDCKUAZLZUCZCDMUD
      UEZAHZWJCWGLZWIWKEIWJJZWJUBUFUGZUHHZWIWJEUIGUJZWJNZIHZGEOWMWIEEMECDPPWEWF
      CEUIWHWEEICABCEFUKZULZQZWIEIDWEWFWHUMZULZWEWFEPHZWHWEECAWEURWTUNQZXEEUOZU
      PZWIWRGEWIWPEHRZWQWPCNZWPDNZMUEZIWIEEXIXJMECDPPWPXAXCXEXEXFXHXIUQZXHXJUQZ
      USZXHXJXIKLZXKIHZWIXOGEWIWHXOGEOWEWFWHUTWIGEEXJXIKEDCPPXCXAXEXEXFXMXLVASV
      BXHXJIHXIIHXOXPTWIEIWPDXBVCZWIEIWPCWEWFEICJZWHWSQVCZXJXIVHVDSVEVFGEIWJVGV
      IZWICUBUFUGZWNWIXRYAUHHZWIWEXRYBRZWEWFWHVJZWIXDWEYCTXEABCEPFVKVLSVMWIWEWM
      WLWNYAVNYDXTWIWLXKXIKLZGEOWIYEGEXHVRXJKLYEXHXJXQVOXHXIXJXHXIXSVSXHXJXQVSV
      PSVFWIGEEXKXIKEWJCPPXGXAXEXEXFXNXLVAVTZABCWJEFVQWAWBWIXDWKWMWORTXEABWJEPF
      VKVLWCYFWD $.

    $( Obsolete version of ~ psrbagcon as of 5-Aug-2024.  (Contributed by Mario
       Carneiro, 29-Dec-2014.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    psrbagconOLD $p |- ( ( I e. V /\ ( F e. D /\ G : I --> NN0 /\
      G oR <_ F ) ) -> ( ( F oF - G ) e. D /\ ( F oF - G ) oR <_ F ) ) $=
      ( vx wcel cn0 wf cle wbr wa cmin co cfv wral wb mpbid cofr w3a cof cn cfn
      ccnv cima wfn cv simpr1 psrbag adantr simpld ffnd simpr2 simpl inidm offn
      eqidd simpr3 ofrfval r19.21bi ffvelrnda nn0sub syl2anc ralrimiva sylanbrc
      ofval eqeltrd ffnfv simprd wss cc0 nn0ge0d cr nn0re subge02 syl2an mpbird
      psrbaglesuppOLD syl13anc ssfid mpbir2and jca ) EFIZCAIZEJDKZDCLUAZMZUBZNZ
      CDOUCPZAIZWLCWHMZWKWMEJWLKZWLUFUDUGZUEIZWKWLEUHHUIZWLQZJIZHERWOWKEEOECDFF
      WKEJCWKEJCKZCUFUDUGZUEIZWKWFXAXCNZWEWFWGWIUJZWEWFXDSWJABCEFGUKULTZUMZUNZW
      KEJDWEWFWGWIUOZUNZWEWJUPZXKEUQZURZWKWTHEWKWREINZWSWRCQZWRDQZOPZJWKEEXOXPO
      ECDFFWRXHXJXKXKXLXNXOUSZXNXPUSZVHZXNXPXOLMZXQJIZWKYAHEWKWIYAHERWEWFWGWIUT
      WKHEEXPXOLEDCFFXJXHXKXKXLXSXRVATVBXNXPJIZXOJIZYAYBSWKEJWRDXIVCZWKEJWRCXGV
      CZXPXOVDVETVIVFHEJWLVJVGZWKXBWPWKXAXCXFVKWKWEWFWOWNWPXBVLXKXEYGWKWNXQXOLM
      ZHERWKYHHEXNVMXPLMZYHXNXPYEVNXNYDYCYIYHSZYFYEYDXOVOIXPVOIYJYCXOVPXPVPXOXP
      VQVRVETVFWKHEEXQXOLEWLCFFXMXHXKXKXLXTXRVAVSZABCWLEFGVTWAWBWEWMWOWQNSWJABW
      LEFGUKULWCYKWD $.

    $( There are finitely many bags dominated by a given bag.  (Contributed by
       Mario Carneiro, 29-Dec-2014.)  (Revised by Mario Carneiro, 25-Jan-2015.)
       Remove a sethood antecedent.  (Revised by SN, 5-Aug-2024.) $)
    psrbaglefi $p |- ( F e. D -> { y e. D | y oR <_ F } e. Fin ) $=
      ( vx wcel cv cle cc0 cfv cfz co cfn wa cn0 a1i wss cvv cofr wbr crab cixp
      cab df-rab wf psrbagf adantrd ss2ixp fz0ssnn0 mprg sseli elixpconst sylib
      wi vex wb wral wfn ffn adantl elixp baib syl cuz cz ffvelrn adantll nn0uz
      eleqtrdi ffvelrnda nn0zd elfz5 syl2anc ralbidva ffnd simpl inidm ofrfvalg
      adantr bitr4d psrbaglecl 3expia pm4.71rd 3bitrrd pm5.21ndd abbi1dv eqtrid
      eqidd ex ccnv cn cima cmap wceq cnveq imaeq1d eleq1d elrab2 simprbi fzfid
      cdif csn csupp frnnn0suppg mpdan eqimss c0ex suppssrg oveq2d fz0sn eqtrdi
      id ixpfi2 eqeltrd ) DBHZAIZDJUAUBZABUCZGEKGIZDLZMNZUDZOXQXTXRBHZXSPZAUEYD
      XSABUFXQYFAYDXQEQXRUGZYFXRYDHZXQYEYGXSYEYGUPXQBCXREFUHRUIYHYGUPXQYHXRGEQU
      DZHYGYDYIXRYCQSZYDYISGEGEYCQUJYJYAEHZYBUKRULUMGEQXRAUQZUNUORXQYGYFYHURXQY
      GPZYHYAXRLZYCHZGEUSZXSYFYMXREUTZYHYPURYGYQXQEQXRVAVBZYHYQYPGEYCXRYLVCVDVE
      YMYPYNYBJUBZGEUSXSYMYOYSGEYMYKPZYNKVFLZHYBVGHYOYSURYTYNQUUAYGYKYNQHXQEQYA
      XRVHVIVJVKYTYBYMEQYADXQEQDUGZYGBCDEFUHZWAVLVMYNKYBVNVOVPYMGEEYNYBJEXRDTBY
      RXQDEUTYGXQEQDUUCVQWAXRTHYMYLRXQYGVREVSYTYNWJYTYBWJVTWBYMXSYEXQYGXSYEBCDX
      REFWCWDWEWFWKWGWHWIXQGEYCDWLZWMWNZKXQDQEWONZHUUEOHZCIZWLZWMWNZOHUUGCDUUFB
      UUHDWPZUUJUUEOUUKUUIUUDWMUUHDWQWRWSFWTXAXQYKPKYBXBXQYAEUUEXCHPZYCKXDZWPYC
      UUMSUULYCKKMNUUMUULYBKKMXQEQTDBUUEYAKUUCXQDKXENZUUEWPZUUNUUESXQUUBUUOUUCD
      EBXFXGUUNUUEXHVEXQXNKTHXQXIRXJXKXLXMYCUUMXHVEXOXP $.

    $( Obsolete version of ~ psrbaglefi as of 6-Aug-2024.  (Contributed by
       Mario Carneiro, 29-Dec-2014.)  (Revised by Mario Carneiro, 25-Jan-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    psrbaglefiOLD $p |- ( ( I e. V /\ F e. D ) ->
      { y e. D | y oR <_ F } e. Fin ) $=
      ( vx wcel wa cv cle cc0 cfv co cfn cn0 cn wb wss cofr wbr crab cfz df-rab
      cixp cab ccnv cima psrbag adantr simpl syl6bi adantrd ss2ixp fz0ssnn0 a1i
      wf mprg sseli vex elixpconst sylib wral wfn ffn adantl elixp baib syl cuz
      wi ffvelrn adantll nn0uz eleqtrdi psrbagfOLD nn0zd elfz5 syl2anc ralbidva
      cz ffvelrnda ffnd simpll inidm eqidd ofrfval psrbagleclOLD 3exp2 pm4.71rd
      bitr4d imp31 3bitrrd ex pm5.21ndd abbi1dv eqtrid cmap simpr cnveq imaeq1d
      wceq eleq1d elrab2 simprd fzfid cdif csn cvv csupp frnnn0supp eqimss 3syl
      jca c0ex suppssr oveq2d fz0sn eqtrdi ixpfi2 eqeltrd ) EFIZDBIZJZAKZDLUAUB
      ZABUCZHEMHKZDNZUDOZUFZPYEYHYFBIZYGJZAUGYLYGABUEYEYNAYLYEEQYFURZYNYFYLIZYE
      YMYOYGYEYMYOYFUHRUIPIZJZYOYCYMYRSYDBCYFEFGUJUKYOYQULUMUNYPYOVLYEYPYFHEQUF
      ZIYOYLYSYFYKQTZYLYSTHEHEYKQUOYTYIEIZYJUPUQUSUTHEQYFAVAZVBVCUQYEYOYNYPSYEY
      OJZYPYIYFNZYKIZHEVDZYGYNUUCYFEVEZYPUUFSYOUUGYEEQYFVFVGZYPUUGUUFHEYKYFUUBV
      HVIVJUUCUUFUUDYJLUBZHEVDYGUUCUUEUUIHEUUCUUAJZUUDMVKNZIYJWBIUUEUUISUUJUUDQ
      UUKYOUUAUUDQIYEEQYIYFVMVNVOVPUUJYJUUCEQYIDYEEQDURZYOBCDEFGVQZUKZWCVRUUDMY
      JVSVTWAUUCHEEUUDYJLEYFDFFUUHUUCEQDUUNWDYCYDYOWEZUUOEWFUUJUUDWGUUJYJWGWHWL
      UUCYGYMYCYDYOYGYMVLYCYDYOYGYMBCDYFEFGWIWJWMWKWNWOWPWQWRYEHEYKDUHZRUIZMYED
      QEWSOZIZUUQPIZYEYDUUSUUTJYCYDWTCKZUHZRUIZPIUUTCDUURBUVADXCZUVCUUQPUVDUVBU
      UPRUVADXAXBXDGXEVCXFYEUUAJMYJXGYEYIEUUQXHIJZYKMXIZXCYKUVFTUVEYKMMUDOUVFUV
      EYJMMUDYEEQXJDFUUQYIMUUMYEYCUULJDMXKOZUUQXCUVGUUQTYEYCUULYCYDULZUUMXODEFX
      LUVGUUQXMXNUVHMXJIYEXPUQXQXRXSXTYKUVFXMVJYAYB $.

    psrbagconf1o.s $e |- S = { y e. D | y oR <_ F } $.
    $( The complement of a bag is a bag.  (Contributed by Mario Carneiro,
       29-Dec-2014.)  Remove a sethood antecedent.  (Revised by SN,
       6-Aug-2024.) $)
    psrbagconcl $p |- ( ( F e. D /\ X e. S ) -> ( F oF - X ) e. S ) $=
      ( wcel wa cmin cof co cle cofr wbr cn0 breq1 elrab2 wf simpl simpr simpld
      cv sylib psrbagf syl simprd psrbagcon syl3anc sylibr ) EBJZGCJZKZEGLMNZBJ
      UPEOPZQZKZUPCJUOUMFRGUAZGEUQQZUSUMUNUBUOGBJZUTUOVBVAUOUNVBVAKUMUNUCAUEZEU
      QQZVAAGBCVCGEUQSITUFZUDBDGFHUGUHUOVBVAVEUIBDEGFHUJUKVDURAUPBCVCUPEUQSITUL
      $.

    $( Obsolete version of ~ psrbagconcl as of 6-Aug-2024.  (Contributed by
       Mario Carneiro, 29-Dec-2014.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    psrbagconclOLD $p |- ( ( I e. V /\ F e. D /\ X e. S ) ->
      ( F oF - X ) e. S ) $=
      ( wcel w3a cmin cof co cle wbr wa breq1 elrab2 cofr cn0 simp1 simp2 simp3
      wf cv sylib simpld psrbagfOLD syl2anc simprd psrbagconOLD syl13anc sylibr
      ) FGKZEBKZHCKZLZEHMNOZBKUTEPUAZQZRZUTCKUSUPUQFUBHUFZHEVAQZVCUPUQURUCZUPUQ
      URUDUSUPHBKZVDVFUSVGVEUSURVGVERUPUQURUEAUGZEVAQZVEAHBCVHHEVASJTUHZUIBDHFG
      IUJUKUSVGVEVJULBDEHFGIUMUNVIVBAUTBCVHUTEVASJTUO $.

    $( Bag complementation is a bijection on the set of bags dominated by a
       given bag ` F ` .  (Contributed by Mario Carneiro, 29-Dec-2014.)  Remove
       a sethood antecedent.  (Revised by SN, 6-Aug-2024.) $)
    psrbagconf1o $p |- ( F e. D ->
      ( x e. S |-> ( F oF - x ) ) : S -1-1-onto-> S ) $=
      ( vn wcel cmin wa cfv wceq cn0 wf psrbagf wfn ffnd vz cv cof co cmpt eqid
      psrbagconcl wral wb adantr ffvelrnda cle cofr wbr ssrab3 sseli adantl syl
      adantrl simprl sselid nn0cn subsub23 syl3an syl3anc eqcom 3bitr4g fndmexd
      cc inidm eqidd ofval eqeq2d 3bitr4d ralbidva eqfnfv syl2anc adantrr f1o2d
      cvv ) FCKZAUADDFAUBZLUCZUDZFUAUBZWCUDZADWDUEZWGUFBCDEFGWBHIUGZBCDEFGWEHIU
      GZWAWBDKZWEDKZMZMZJUBZWBNZWNWFNZOZJGUHZWNWENZWNWDNZOZJGUHZWBWFOZWEWDOZWMW
      QXAJGWMWNGKMZWOWNFNZWSLUDZOZWSXFWOLUDZOZWQXAXEXGWOOZXIWSOZXHXJXEXFPKZWSPK
      ZWOPKZXKXLUIZWMGPWNFWAGPFQWLCEFGHRZUJUKWMGPWNWEWAWKGPWEQZWJWAWKMZWECKZXRW
      KXTWADCWEBUBFULUMUNBCDIUOZUPUQCEWEGHRURZUSUKWMGPWNWBWMWBCKGPWBQWMDCWBYAWA
      WJWKUTZVACEWBGHRURZUKXMXFVIKXNWSVIKXOWOVIKXPXFVBWSVBWOVBXFWSWOVCVDVEWOXGV
      FWSXIVFVGXEWPXGWOWMGGXFWSLGFWEVTVTWNWAFGSWLWAGPFXQTUJZWAWKWEGSZWJXSGPWEYB
      TUSZWMGWBDYCWMGPWBYDTZVHZYIGVJZXEXFVKZXEWSVKVLVMXEWTXIWSWMGGXFWOLGFWBVTVT
      WNYEYHYIYIYJYKXEWOVKVLVMVNVOWMWBGSWFGSXCWRUIYHWMGPWFWMWFCKGPWFQWMDCWFYAWA
      WKWFDKWJWIUSVACEWFGHRURTJGWBWFVPVQWMYFWDGSZXDXBUIYGWAWJYLWKWAWJMZGPWDYMWD
      CKGPWDQYMDCWDYAWHVACEWDGHRURTVRJGWEWDVPVQVNVS $.

    $( Obsolete version of ~ psrbagconf1o as of 6-Aug-2024.  (Contributed by
       Mario Carneiro, 29-Dec-2014.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    psrbagconf1oOLD $p |- ( ( I e. V /\ F e. D ) ->
      ( x e. S |-> ( F oF - x ) ) : S -1-1-onto-> S ) $=
      ( vn wcel wa cmin cn0 wf psrbagfOLD syl2anc wceq cfv vz cof cmpt eqid cle
      cv co cofr wbr simpll simplr simpr breq1 elrab2 sylib simpld psrbagconOLD
      simprd syl13anc sylibr wral ralrimiva oveq2 eleq1d sylan adantr ffvelrnda
      rspccva wb ssrab3 simprr sselid adantrr cc nn0cn subsub23 syl3anc 3bitr4g
      syl3an eqcom inidm eqidd ofval eqeq2d 3bitr4d ralbidva wfn adantrl eqfnfv
      ffnd f1o2d ) GHLZFCLZMZAUADDFAUFZNUBZUGZFUAUFZWPUGZADWQUCZWTUDWNWODLZMZWQ
      CLZWQFUEUHZUIZMZWQDLZXBWLWMGOWOPZWOFXDUIZXFWLWMXAUJZWLWMXAUKXBWLWOCLZXHXJ
      XBXKXIXBXAXKXIMWNXAULBUFZFXDUIZXIBWOCDXLWOFXDUMJUNUOZUPCEWOGHIQRZXBXKXIXN
      URCEFWOGHIUQUSXMXEBWQCDXLWQFXDUMJUNUTZWNXGADVAWRDLZWSDLZWNXGADXPVBXGXRAWR
      DWOWRSWQWSDWOWRFWPVCVDVHVEZWNXAXQMZMZKUFZWOTZYBWSTZSZKGVAZYBWRTZYBWQTZSZK
      GVAZWOWSSZWRWQSZYAYEYIKGYAYBGLMZYCYBFTZYGNUGZSZYGYNYCNUGZSZYEYIYMYOYCSZYQ
      YGSZYPYRYMYNOLZYGOLZYCOLZYSYTVIZYAGOYBFWNGOFPXTCEFGHIQVFZVGYAGOYBWRYAWLWR
      CLGOWRPWLWMXTUJZYADCWRXMBCDJVJZWNXAXQVKVLCEWRGHIQRZVGYAGOYBWOWNXAXHXQXOVM
      ZVGUUAYNVNLUUBYGVNLUUCYCVNLUUDYNVOYGVOYCVOYNYGYCVPVSVQYCYOVTYGYQVTVRYMYDY
      OYCYAGGYNYGNGFWRHHYBYAGOFUUEWJZYAGOWRUUHWJZUUFUUFGWAZYMYNWBZYMYGWBWCWDYMY
      HYQYGYAGGYNYCNGFWOHHYBUUJYAGOWOUUIWJZUUFUUFUULUUMYMYCWBWCWDWEWFYAWOGWGWSG
      WGYKYFVIUUNYAGOWSYAWLWSCLGOWSPUUFYADCWSUUGWNXQXRXAXSWHVLCEWSGHIQRWJKGWOWS
      WIRYAWRGWGWQGWGYLYJVIUUKYAGOWQYAWLXCGOWQPUUFYADCWQUUGWNXAXGXQXPVMVLCEWQGH
      IQRWJKGWRWQWIRWEWK $.

    gsumbagdiagOLD.i $e |- ( ph -> I e. V ) $.
    gsumbagdiagOLD.f $e |- ( ph -> F e. D ) $.
    $( Obsolete version of ~ gsumbagdiaglem as of 6-Aug-2024.  (Contributed by
       Mario Carneiro, 5-Jan-2015.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    gsumbagdiaglemOLD $p |- ( ( ph /\
        ( X e. S /\ Y e. { x e. D | x oR <_ ( F oF - X ) } ) ) ->
        ( Y e. S /\ X e. { x e. D | x oR <_ ( F oF - Y ) } ) ) $=
      ( vz wcel cle wbr cn0 vu vv vw cv cmin co cofr crab wa simprr breq1 elrab
      cof simpld simprd wf adantr simprl elrab2 psrbagfOLD syl2anc psrbagconOLD
      sylib syl13anc w3a wi cr nn0re letr syl3an adantl caoftrn mp2and sylanbrc
      cfv wral ffvelrnda caddc leaddsub2 leaddsub bitr3d syl3anc ralbidva ovexd
      wb cvv feqmptd ffnd inidm eqidd offval ofrfval2 3bitr4d mpbid elrabd jca
      ) AJEQZKBUDZGJUEUMZUFZRUGZSZBDUHQZUIZUIZKEQZJWRGKWSUFZXASZBDUHQXEKDQZKGXA
      SZXFXEXIKWTXASZXEXCXIXKUIAWQXCUJXBXKBKDWRKWTXAUKULVCZUNZXEXKWTGXASZXJXEXI
      XKXLUOZXEWTDQZXNXEHIQZGDQZHTJUPZJGXASZXPXNUIAXQXDNUQZAXRXDOUQZXEXQJDQZXSY
      AXEYCXTXEWQYCXTUIAWQXCURCUDZGXASZXTCJDEYDJGXAUKMUSVCZUNZDFJHILUTVAZXEYCXT
      YFUODFGJHILVBVDZUOXEUAUBUCHRTRRKWTGIYAXEXQXIHTKUPYAXMDFKHILUTVAZXEXQXPHTW
      TUPYAXEXPXNYIUNDFWTHILUTVAXEXQXRHTGUPYAYBDFGHILUTVAZUAUDZTQZUBUDZTQZUCUDZ
      TQZVEYLYNRSYNYPRSUIYLYPRSVFZXEYMYLVGQYOYNVGQYQYPVGQYRYLVHYNVHYPVHYLYNYPVI
      VJVKVLVMYEXJCKDEYDKGXAUKMUSVNXEXHJXGXASZBJDWRJXGXAUKYGXEXKYSXOXEPUDZKVOZY
      TGVOZYTJVOZUEUFZRSZPHVPUUCUUBUUAUEUFZRSZPHVPXKYSXEUUEUUGPHXEYTHQUIZUUCTQZ
      UUATQZUUBTQZUUEUUGWEZXEHTYTJYHVQZXEHTYTKYJVQZXEHTYTGYKVQUUIUUCVGQZUUJUUAV
      GQZUUKUUBVGQZUULUUCVHUUAVHUUBVHUUOUUPUUQVEUUCUUAVRUFUUBRSUUEUUGUUCUUAUUBV
      SUUCUUAUUBVTWAVJWBWCXEPHUUAUUDRKWTITWFYAUUNUUHUUBUUCUEWDXEPHTKYJWGXEPHHUU
      BUUCUEHGJIIXEHTGYKWHZXEHTJYHWHYAYAHWIZUUHUUBWJZUUHUUCWJWKWLXEPHUUCUUFRJXG
      ITWFYAUUMUUHUUBUUAUEWDXEPHTJYHWGXEPHHUUBUUAUEHGKIIUURXEHTKYJWHYAYAUUSUUTU
      UHUUAWJWKWLWMWNWOWP $.

    gsumbagdiagOLD.b $e |- B = ( Base ` G ) $.
    gsumbagdiagOLD.g $e |- ( ph -> G e. CMnd ) $.
    gsumbagdiagOLD.x $e |- ( ( ph /\
      ( j e. S /\ k e. { x e. D | x oR <_ ( F oF - j ) } ) ) -> X e. B ) $.
    $( Obsolete version of ~ gsumbagdiag as of 6-Aug-2024.  (Contributed by
       Mario Carneiro, 5-Jan-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    gsumbagdiagOLD $p |- ( ph ->
      ( G gsum ( j e. S , k e. { x e. D | x oR <_ ( F oF - j ) } |-> X ) ) =
      ( G gsum ( k e. S , j e. { x e. D | x oR <_ ( F oF - k ) } |-> X ) ) ) $=
      ( cv cmin cof co cle cofr wbr crab cxp cfn cvv c0g cfv eqid psrbaglefiOLD
      wcel syl2anc eqeltrid wa ccnv cn cima cn0 cmap ovex rab2ex xpfi wn simprl
      wceq gsumbagdiaglemOLD simpld brxp sylanbrc pm2.24d impr impbida gsumcom2
      a1i ) AFDBUBZJHUBZUCUDZUEUFUGZUHZBEUIZFFFUJZHIWAJIUBZWCUEWDUHBEUIZKUKULNU
      KKUMUNZSWJUOTAFCUBJWDUHCEUIZUKPALMUQJEUQWKUKUQQRCEGJLMOUPURUSZWFULUQAWBFU
      QZUTWEGUBVAVBVCUKUQBGVDLVEUEEOVDLVEVFVGVTUAAFUKUQZWNWGUKUQWLWLFFVHURAWMWH
      WFUQZUTZWBWHWGUHZVINWJVKZAWPUTZWQWRWSWMWHFUQZWQAWMWOVJWSWTWBWIUQZABCEFGJL
      MWBWHOPQRVLZVMWBWHFFVNVOVPVQWLAWPWTXAUTXBABCEFGJLMWHWBOPQRVLVRVS $.

    psrass1lemOLD.y $e |- ( k = ( n oF - j ) -> X = Y ) $.
    $( Obsolete version of ~ psrass1lem as of 7-Aug-2024.  (Contributed by
       Mario Carneiro, 5-Jan-2015.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    psrass1lemOLD $p |- ( ph ->
    ( G gsum ( n e. S |->
      ( G gsum ( j e. { x e. D | x oR <_ n } |-> Y ) ) ) ) =
    ( G gsum ( j e. S |->
      ( G gsum ( k e. { x e. D | x oR <_ ( F oF - j ) } |-> X ) ) ) ) ) $=
      ( vm vz cv cmin cof co cle cofr wbr crab cmpt cgsu cmpo gsumbagdiaglemOLD
      csb wcel wa ccom anassrs fmpttd wf1o adantr ssrab3 psrbagconclOLD syl3anc
      simpr sselid eqid psrbagconf1oOLD syl2anc f1of syl fco cfv cn0 psrbagfOLD
      wf wceq ffvelrnda ssrab2 nn0cn sub32 syl3an mpteq2dva cvv feqmptd offval2
      cc ovexd 3eqtr4d eqeltrrd nfcv nfcsb1v csbeq1a cbvmpt csbeq1 fmptco feq1d
      a1i cfn c0g psrbaglefiOLD eqeltrid wn simprl simpld brxp sylanbrc pm2.24d
      mpbid impr gsum2d2 3eqtr3d ccnv wfun csupp cfsupp cmap ovex rabexg mptexg
      wss 3syl funmpt fvexd suppssdm dmmptss sstri suppssfifsupp syl32anc eqidd
      cdm cres oveq2d gsumf1o eqtrd fvmptelrn anasss syldan gsumbagdiagOLD xpfi
      cxp ccmn cn cima rabex2 gsumcl f1ocnv coass f1ococnv2 coeq2d eqtrid breq2
      rabbidv csbie oveq1 csbeq1d eqtr3id mpteq12dv coeq1d coires1 resmpt ax-mp
      cid ssid eqtri mp1i mptexd ) ALUEFLHBUGZKUEUGZUHUIZUJZUKULZUMZBEUNZIUVPHU
      GZUVOUJZOUSZUOZUPUJZUOZUPUJZLHFLUEUVMKUVTUVOUJZUVQUMZBEUNZUWBUOZUPUJZUOZU
      PUJZLJFLHUVMJUGZUVQUMZBEUNZPUOZUPUJZUOZUPUJZLHFLIUWIOUOZUPUJZUOZUPUJALUEH
      FUVSUWBUQUPUJLHUEFUWIUWBUQUPUJUWFUWMABCDEFGUEHKLMNUWBQRSTUAUBAUVNFUTZUVTU
      VSUTZVAZUVTFUTZUVNUWIUTZVAZUWBDUTZABCEFGKMNUVNUVTQRSTURZAUXGUXHUXJAUXGVAZ
      UEUWIUWBDUXLUWIDUXAUEUWIUWGUVNUVOUJZUOZVBZWAZUWIDUWJWAUXLUWIDUXAWAUWIUWIU
      XNWAZUXPUXLIUWIODAUXGIUGUWIUTODUTUCVCVDZUXLUWIUWIUXNVEZUXQUXLMNUTZUWGEUTZ
      UXSAUXTUXGSVFZUXLFEUWGCUGKUVQUMZCEFRVGZUXLUXTKEUTZUXGUWGFUTUYBAUYEUXGTVFZ
      AUXGVJZCEFGKMNUVTQRVHVIVKZUEBEUWIGUWGMNQUWIVLZVMVNZUWIUWIUXNVOVPUWIUWIDUX
      AUXNVQVNUXLUWIDUXOUWJUXLUEJUWIUWIUWAIUWNOUSZUWBUXNUXAUXLUXHVAZUXMUWAUWIUY
      LUFMUFUGZKVRZUYMUVTVRZUHUJZUYMUVNVRZUHUJZUOUFMUYNUYQUHUJZUYOUHUJZUOUXMUWA
      UYLUFMUYRUYTUYLUYMMUTVAZUYNVSUTZUYOVSUTZUYQVSUTZUYRUYTWBZUYLMVSUYMKUYLUXT
      UYEMVSKWAUXLUXTUXHUYBVFZUXLUYEUXHUYFVFEGKMNQVTVNZWCZUYLMVSUYMUVTUYLUXTUVT
      EUTMVSUVTWAVUFUYLFEUVTUYDUXLUXGUXHUYGVFVKEGUVTMNQVTVNZWCZUYLMVSUYMUVNUYLU
      XTUVNEUTMVSUVNWAVUFUYLUWIEUVNUWHBEWDUXLUXHVJZVKEGUVNMNQVTVNZWCZVUBUYNWLUT
      VUCUYOWLUTVUDUYQWLUTVUEUYNWEUYOWEUYQWEUYNUYOUYQWFWGVIWHUYLUFMUYPUYQUHUWGU
      VNNWIVSVUFVUAUYNUYOUHWMVUMUYLUFMUYNUYOUHKUVTNVSVSVUFVUHVUJUYLUFMVSKVUGWJZ
      UYLUFMVSUVTVUIWJZWKUYLUFMVSUVNVULWJZWKUYLUFMUYSUYOUHUVPUVTNWIVSVUFVUAUYNU
      YQUHWMVUJUYLUFMUYNUYQUHKUVNNVSVSVUFVUHVUMVUNVUPWKVUOWKWNZUYLUXTUYAUXHUXMU
      WIUTVUFUXLUYAUXHUYHVFVUKBEUWIGUWGMNUVNQUYIVHVIWOUXLUEUWIUXMUWAVUQWHUXAJUW
      IUYKUOWBUXLIJUWIOUYKJOWPIUWNOWQIUWNOWRWSXCIUWNUWAOWTXAZXBXNUUAUUBZUUCZUUD
      AFDUVSFFUUFZUEHLXDXDUWBLXEVRZUAVVBVLZUBAFUYCCEUNZXDRAUXTUYEVVDXDUTSTCEGKM
      NQXFVNXGZAUXDVAZUXTUVPEUTUVSXDUTZAUXTUXDSVFZVVFFEUVPUYDVVFUXTUYEUXDUVPFUT
      VVHAUYEUXDTVFAUXDVJCEFGKMNUVNQRVHVIZVKBEGUVPMNQXFVNZVUTAFXDUTZVVKVVAXDUTV
      VEVVEFFUUEVNZAUXFUVNUVTVVAUMZXHUWBVVBWBZAUXFVAZVVMVVNVVOUXDUXGVVMAUXDUXEX
      IVVOUXGUXHUXKXJUVNUVTFFXKXLXMXOXPAFDUWIVVAHUELXDXDUWBVVBUAVVCUBVVEUXLUXTU
      YAUWIXDUTZUYBUYHBEGUWGMNQXFVNZVUSVVLAUXIUVTUVNVVAUMZXHVVNAUXIVAZVVRVVNVVS
      UXGUXDVVRAUXGUXHXIVVSUXDUXEABCEFGKMNUVTUVNQRSTURXJUVTUVNFFXKXLXMXOXPXQAUW
      TLUWSUEFUVPUOZVBZUPUJUWFAFDFUWSLVVTXDVVBUAVVCUBVVEAFDUWEVVTXRZVBZWAZFDUWS
      WAAFDUWEWAFFVWBWAZVWDAUEFUWDDVVFUVSDUWCLXDVVBUAVVCALUUGUTZUXDUBVFVVJVVFHU
      VSUWBDAUXDUXEUXJVUTVCVDVVFUWCWIUTZUWCXSZVVBWIUTZVVGUWCVVBXTUJZUVSYFZUWCVV
      BYAUMVVFEWIUTZUVSWIUTVWGVWLVVFGUGXRUUHUUIXDUTGVSMYBUJEQVSMYBYCUUJZXCUVRBE
      WIYDHUVSUWBWIYEYGVWHVVFHUVSUWBYHXCVVFLXEYIVVJVWKVVFVWJUWCYPUVSUWCVVBYJHUV
      SUWBUWCUWCVLYKYLXCUVSUWCWIWIVVBYMYNUUKVDAFFVVTVEZFFVWBVEVWEAUXTUYEVWNSTUE
      CEFGKMNQRVMVNZFFVVTUULFFVWBVOYGFFDUWEVWBVQVNAFDVWCUWSAVWAVWBVBZUWSUVHFYQZ
      VBZVWCUWSAVWPUWSVVTVWBVBZVBVWRUWSVVTVWBUUMAVWSVWQUWSAVWNVWSVWQWBVWOFFVVTU
      UNVPUUOUUPAVWAUWEVWBAUEJFFUVPUWRUWDVVTUWSVVIAVVTYOAUWSYOUWNUVPWBZUWQUWCLU
      PVWTHUWPPUVSUWBVWTUWOUVRBEUWNUVPUVMUVQUUQUURVWTPIUWNUVTUVOUJZOUSUWBIVXAOP
      UWNUVTUVOYCUDUUSVWTIVXAUWAOUWNUVPUVTUVOUUTUVAUVBUVCYRXAZUVDVWRUWSWBAVWRUW
      SFYQZUWSUWSFUVEFFYFVXCUWSWBFUVIJFFUWRUVFUVGUVJXCXQXBXNAUWSWIUTUWSXSZVWIVV
      KUWSVVBXTUJZFYFZUWSVVBYAUMAJFUWRWIAFVVDWIRVWLVVDWIUTAVWMUYCCEWIYDUVKXGUVL
      VXDAJFUWRYHXCALXEYIVVEVXFAVXEUWSYPFUWSVVBYJJFUWRUWSUWSVLYKYLXCFUWSWIWIVVB
      YMYNVWOYSAVWAUWELUPVXBYRYTAUXCUWLLUPAHFUXBUWKUXLUXBLUXOUPUJUWKUXLUWIDUWIU
      XALUXNXDVVBUAVVCAVWFUXGUBVFVVQUXRUXLUXAWIUTZUXAXSZVWIVVPUXAVVBXTUJZUWIYFZ
      UXAVVBYAUMUXLVWLUWIWIUTVXGVWLUXLVWMXCUWHBEWIYDIUWIOWIYEYGVXHUXLIUWIOYHXCU
      XLLXEYIVVQVXJUXLVXIUXAYPUWIUXAVVBYJIUWIOUXAUXAVLYKYLXCUWIUXAWIWIVVBYMYNUY
      JYSUXLUXOUWJLUPVURYRYTWHYRWN $.
  $}

  ${
    $d D u v w x $.  $d D y $.  $d D x z $.  $d F f $.  $d F u v w x $.
    $d F y $.  $d F x z $.  $d I f $.  $d I z $.  $d S u v w $.  $d S z $.
    $d X f $.  $d X u v w x $.  $d X y $.  $d X x z $.  $d Y f $.
    $d Y u v w x $.  $d Y y $.  $d Y x z $.  $d ph u v w $.  $d ph z $.
    gsumbagdiag.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
    gsumbagdiag.s $e |- S = { y e. D | y oR <_ F } $.
    gsumbagdiag.f $e |- ( ph -> F e. D ) $.
    $( Lemma for ~ gsumbagdiag .  (Contributed by Mario Carneiro, 5-Jan-2015.)
       Remove a sethood hypothesis.  (Revised by SN, 6-Aug-2024.) $)
    gsumbagdiaglem $p |- ( ( ph /\
      ( X e. S /\ Y e. { x e. D | x oR <_ ( F oF - X ) } ) ) ->
      ( Y e. S /\ X e. { x e. D | x oR <_ ( F oF - Y ) } ) ) $=
      ( vz wcel cmin cle wbr cn0 cvv vu vv vw cv cof co cofr simprr breq1 elrab
      crab wa sylib simpld simprd wf adantr simprl elrab2 psrbagf syl psrbagcon
      syl3anc ffnd fndmexd w3a wi cr letr syl3an adantl caoftrn mp2and sylanbrc
      nn0re cfv wral ffvelrnda caddc leaddsub2 leaddsub bitr3d ralbidva feqmptd
      wb ovexd inidm eqidd offval ofrfval2 3bitr4d mpbid elrabd jca ) AIEOZJBUD
      ZGIPUEZUFZQUGZRZBDUKOZULZULZJEOZIWPGJWQUFZWSRZBDUKOXCJDOZJGWSRZXDXCXGJWRW
      SRZXCXAXGXIULAWOXAUHWTXIBJDWPJWRWSUIUJUMZUNZXCXIWRGWSRZXHXCXGXIXJUOZXCWRD
      OZXLXCGDOZHSIUPZIGWSRZXNXLULAXOXBMUQZXCIDOZXPXCXSXQXCWOXSXQULAWOXAURCUDZG
      WSRZXQCIDEXTIGWSUILUSUMZUNZDFIHKUTVAZXCXSXQYBUODFGIHKVBVCZUOXCUAUBUCHQSQQ
      JWRGTXCHGDXRXCHSGXCXOHSGUPXRDFGHKUTVAZVDZVEZXCXGHSJUPXKDFJHKUTVAZXCXNHSWR
      UPXCXNXLYEUNDFWRHKUTVAYFUAUDZSOZUBUDZSOZUCUDZSOZVFYJYLQRYLYNQRULYJYNQRVGZ
      XCYKYJVHOYMYLVHOYOYNVHOYPYJVOYLVOYNVOYJYLYNVIVJVKVLVMYAXHCJDEXTJGWSUILUSV
      NXCXFIXEWSRZBIDWPIXEWSUIYCXCXIYQXMXCNUDZJVPZYRGVPZYRIVPZPUFZQRZNHVQUUAYTY
      SPUFZQRZNHVQXIYQXCUUCUUENHXCYRHOULZUUASOZYSSOZYTSOZUUCUUEWEZXCHSYRIYDVRZX
      CHSYRJYIVRZXCHSYRGYFVRUUGUUAVHOZUUHYSVHOZUUIYTVHOZUUJUUAVOYSVOYTVOUUMUUNU
      UOVFUUAYSVSUFYTQRUUCUUEUUAYSYTVTUUAYSYTWAWBVJVCWCXCNHYSUUBQJWRTSTYHUULUUF
      YTUUAPWFXCNHSJYIWDXCNHHYTUUAPHGITTYGXCHSIYDVDYHYHHWGZUUFYTWHZUUFUUAWHWIWJ
      XCNHUUAUUDQIXETSTYHUUKUUFYTYSPWFXCNHSIYDWDXCNHHYTYSPHGJTTYGXCHSJYIVDYHYHU
      UPUUQUUFYSWHWIWJWKWLWMWN $.

    $d B j k $.  $d D j k z $.  $d F j k $.  $d G j k $.  $d I f y $.
    $d S j k $.  $d ph j k $.  $d f j k y $.  $d j k x $.
    gsumbagdiag.b $e |- B = ( Base ` G ) $.
    gsumbagdiag.g $e |- ( ph -> G e. CMnd ) $.
    gsumbagdiag.x $e |- ( ( ph /\
      ( j e. S /\ k e. { x e. D | x oR <_ ( F oF - j ) } ) ) -> X e. B ) $.
    $( Two-dimensional commutation of a group sum over a "triangular" region.
       ~ fsum0diag analogue for finite bags.  (Contributed by Mario Carneiro,
       5-Jan-2015.)  Remove a sethood hypothesis.  (Revised by SN,
       6-Aug-2024.) $)
    gsumbagdiag $p |- ( ph ->
      ( G gsum ( j e. S , k e. { x e. D | x oR <_ ( F oF - j ) } |-> X ) ) =
      ( G gsum ( k e. S , j e. { x e. D | x oR <_ ( F oF - k ) } |-> X ) ) ) $=
      ( wcel cmin cof cle cofr wbr crab cxp cfn cvv c0g cfv eqid psrbaglefi syl
      cv co eqeltrid wa ccnv cn cima cn0 cmap ovex rab2ex a1i xpfi syl2anc wceq
      simprl gsumbagdiaglem simpld brxp sylanbrc pm2.24d impr impbida gsumcom2
      wn ) AFDBUOZJHUOZUAUBZUPUCUDZUEZBEUFZFFFUGZHIVTJIUOZWBUPWCUEBEUFZKUHUIMUH
      KUJUKZQWIULRAFCUOJWCUECEUFZUHOAJETWJUHTPCEGJLNUMUNUQZWEUITAWAFTZURWDGUOUS
      UTVAUHTBGVBLVCUPENVBLVCVDVEVFSAFUHTZWMWFUHTWKWKFFVGVHAWLWGWETZURZWAWGWFUE
      ZVSMWIVIZAWOURZWPWQWRWLWGFTZWPAWLWNVJWRWSWAWHTZABCEFGJLWAWGNOPVKZVLWAWGFF
      VMVNVOVPWKAWOWSWTURXAABCEFGJLWGWANOPVKVQVR $.

    $d B j k m $.  $d D j k m n x $.  $d D j m y $.  $d D j m x z $.
    $d F f j m x $.  $d F j k m n x $.  $d G j m n $.  $d I f m x $.
    $d S m n $.  $d X m n $.  $d Y k m $.  $d ph m $.
    psrass1lem.y $e |- ( k = ( n oF - j ) -> X = Y ) $.
    $( A group sum commutation used by ~ psrass1 .  (Contributed by Mario
       Carneiro, 5-Jan-2015.)  Remove a sethood hypothesis.  (Revised by SN,
       7-Aug-2024.) $)
    psrass1lem $p |- ( ph ->
      ( G gsum ( n e. S |->
        ( G gsum ( j e. { x e. D | x oR <_ n } |-> Y ) ) ) ) =
      ( G gsum ( j e. S |->
        ( G gsum ( k e. { x e. D | x oR <_ ( F oF - j ) } |-> X ) ) ) ) ) $=
      ( vm vz cmin cof cle cofr wbr crab csb cmpt cgsu cmpo wcel gsumbagdiaglem
      cv co wa ccom wf anassrs fmpttd wf1o ssrab3 psrbagconcl sylan sselid eqid
      psrbagconf1o syl f1of fcod cfv cn0 adantr psrbagf ffvelrnda simplr ssrab2
      wceq simpr cc nn0cn sub32 syl3an syl3anc mpteq2dva cvv ffnd fndmexd ovexd
      feqmptd offval2 3eqtr4d eqeltrrd nfcv nfcsb1v csbeq1a cbvmpt fmptco feq1d
      a1i mpbid cfn c0g psrbaglefi eqeltrid simprl simpld brxp sylanbrc pm2.24d
      wn impr gsum2d2 3eqtr3d ccnv wfun wss cfsupp cmap ovex rabexg mptexg 3syl
      csupp funmpt fvexd cdm suppssdm dmmptss sstri suppssfifsupp syl32anc cres
      eqidd oveq2d gsumf1o eqtrd csbeq1 fvmptelrn anasss syldan gsumbagdiag cxp
      xpfi syl2anc ccmn cn cima rabex2 gsumcl f1ocnv cid coass f1ococnv2 coeq2d
      eqtrid breq2 rabbidv csbie oveq1 csbeq1d eqtr3id mpteq12dv coeq1d coires1
      ssid resmpt ax-mp eqtri mp1i mptexd ) ALUCFLHBUQZKUCUQZUEUFZURZUGUHZUIZBE
      UJZIUVRHUQZUVQURZNUKZULZUMURZULZUMURZLHFLUCUVOKUWBUVQURZUVSUIZBEUJZUWDULZ
      UMURZULZUMURZLJFLHUVOJUQZUVSUIZBEUJZOULZUMURZULZUMURZLHFLIUWKNULZUMURZULZ
      UMURALUCHFUWAUWDUNUMURLHUCFUWKUWDUNUMURUWHUWOABCDEFGUCHKLMUWDPQRSTAUVPFUO
      ZUWBUWAUOZUSZUWBFUOZUVPUWKUOZUSZUWDDUOZABCEFGKMUVPUWBPQRUPZAUXIUXJUXLAUXI
      USZUCUWKUWDDUXNUWKDUXCUCUWKUWIUVPUVQURZULZUTZVAUWKDUWLVAUXNUWKUWKDUXCUXPU
      XNIUWKNDAUXIIUQUWKUONDUOUAVBVCZUXNUWKUWKUXPVDZUWKUWKUXPVAUXNUWIEUOZUXSUXN
      FEUWICUQKUVSUIZCEFQVEZAKEUOZUXIUWIFUORCEFGKMUWBPQVFVGVHZUCBEUWKGUWIMPUWKV
      IZVJVKZUWKUWKUXPVLVKVMUXNUWKDUXQUWLUXNUCJUWKUWKUWCIUWPNUKZUWDUXPUXCUXNUXJ
      USZUXOUWCUWKUYHUDMUDUQZKVNZUYIUWBVNZUEURZUYIUVPVNZUEURZULUDMUYJUYMUEURZUY
      KUEURZULUXOUWCUYHUDMUYNUYPUYHUYIMUOUSZUYJVOUOZUYKVOUOZUYMVOUOZUYNUYPWAZUY
      HMVOUYIKUYHUYCMVOKVAUXNUYCUXJAUYCUXIRVPVPEGKMPVQVKZVRZUYHMVOUYIUWBUYHUWBE
      UOMVOUWBVAUYHFEUWBUYBAUXIUXJVSVHEGUWBMPVQVKZVRZUYHMVOUYIUVPUYHUVPEUOMVOUV
      PVAUYHUWKEUVPUWJBEVTUXNUXJWBZVHEGUVPMPVQVKZVRZUYRUYJWCUOUYSUYKWCUOUYTUYMW
      CUOVUAUYJWDUYKWDUYMWDUYJUYKUYMWEWFWGWHUYHUDMUYLUYMUEUWIUVPWIWIVOUYHMUVPUW
      KVUFUYHMVOUVPVUGWJWKZUYQUYJUYKUEWLVUHUYHUDMUYJUYKUEKUWBWIVOVOVUIVUCVUEUYH
      UDMVOKVUBWMZUYHUDMVOUWBVUDWMZWNUYHUDMVOUVPVUGWMZWNUYHUDMUYOUYKUEUVRUWBWIW
      IVOVUIUYQUYJUYMUEWLVUEUYHUDMUYJUYMUEKUVPWIVOVOVUIVUCVUHVUJVULWNVUKWNWOZUX
      NUXTUXJUXOUWKUOUYDBEUWKGUWIMUVPPUYEVFVGWPUXNUCUWKUXOUWCVUMWHUXCJUWKUYGULW
      AUXNIJUWKNUYGJNWQIUWPNWRIUWPNWSWTXCIUWPUWCNUUAXAZXBXDUUBUUCZUUDZUUEAFDUWA
      FFUUFZUCHLXEXEUWDLXFVNZSVURVIZTAFUYACEUJZXEQAUYCVUTXEUORCEGKMPXGVKXHZAUXF
      USZUVREUOUWAXEUOZVVBFEUVRUYBAUYCUXFUVRFUORCEFGKMUVPPQVFVGZVHBEGUVRMPXGVKZ
      VUPAFXEUOZVVFVUQXEUOVVAVVAFFUUGUUHZAUXHUVPUWBVUQUIZXNUWDVURWAZAUXHUSZVVHV
      VIVVJUXFUXIVVHAUXFUXGXIVVJUXIUXJUXMXJUVPUWBFFXKXLXMXOXPAFDUWKVUQHUCLXEXEU
      WDVURSVUSTVVAUXNUXTUWKXEUOZUYDBEGUWIMPXGVKZVUOVVGAUXKUWBUVPVUQUIZXNVVIAUX
      KUSZVVMVVIVVNUXIUXFVVMAUXIUXJXIVVNUXFUXGABCEFGKMUWBUVPPQRUPXJUWBUVPFFXKXL
      XMXOXPXQAUXBLUXAUCFUVRULZUTZUMURUWHAFDFUXALVVOXEVURSVUSTVVAAFDUWGVVOXRZUT
      ZVAFDUXAVAAFFDUWGVVQAUCFUWFDVVBUWADUWELXEVURSVUSALUUIUOZUXFTVPVVEVVBHUWAU
      WDDAUXFUXGUXLVUPVBVCVVBUWEWIUOZUWEXSZVURWIUOZVVCUWEVURYGURZUWAXTZUWEVURYA
      UIVVBEWIUOZUWAWIUOVVTVWEVVBGUQXRUUJUUKXEUOGVOMYBUREPVOMYBYCUULZXCUVTBEWIY
      DHUWAUWDWIYEYFVWAVVBHUWAUWDYHXCVVBLXFYIVVEVWDVVBVWCUWEYJUWAUWEVURYKHUWAUW
      DUWEUWEVIYLYMXCUWAUWEWIWIVURYNYOUUMVCAFFVVOVDZFFVVQVDFFVVQVAAUYCVWGRUCCEF
      GKMPQVJVKZFFVVOUUNFFVVQVLYFVMAFDVVRUXAAVVPVVQUTZUXAUUOFYPZUTZVVRUXAAVWIUX
      AVVOVVQUTZUTVWKUXAVVOVVQUUPAVWLVWJUXAAVWGVWLVWJWAVWHFFVVOUUQVKUURUUSAVVPU
      WGVVQAUCJFFUVRUWTUWFVVOUXAVVDAVVOYQAUXAYQUWPUVRWAZUWSUWELUMVWMHUWROUWAUWD
      VWMUWQUVTBEUWPUVRUVOUVSUUTUVAVWMOIUWPUWBUVQURZNUKUWDIVWNNOUWPUWBUVQYCUBUV
      BVWMIVWNUWCNUWPUVRUWBUVQUVCUVDUVEUVFYRXAZUVGVWKUXAWAAVWKUXAFYPZUXAUXAFUVH
      FFXTVWPUXAWAFUVIJFFUWTUVJUVKUVLXCXQXBXDAUXAWIUOUXAXSZVWBVVFUXAVURYGURZFXT
      ZUXAVURYAUIAJFUWTWIAFVUTWIQVWEVUTWIUOAVWFUYACEWIYDUVMXHUVNVWQAJFUWTYHXCAL
      XFYIVVAVWSAVWRUXAYJFUXAVURYKJFUWTUXAUXAVIYLYMXCFUXAWIWIVURYNYOVWHYSAVVPUW
      GLUMVWOYRYTAUXEUWNLUMAHFUXDUWMUXNUXDLUXQUMURUWMUXNUWKDUWKUXCLUXPXEVURSVUS
      AVVSUXITVPVVLUXRUXNUXCWIUOZUXCXSZVWBVVKUXCVURYGURZUWKXTZUXCVURYAUIUXNVWEU
      WKWIUOVWTVWEUXNVWFXCUWJBEWIYDIUWKNWIYEYFVXAUXNIUWKNYHXCUXNLXFYIVVLVXCUXNV
      XBUXCYJUWKUXCVURYKIUWKNUXCUXCVIYLYMXCUWKUXCWIWIVURYNYOUYFYSUXNUXQUWLLUMVU
      NYRYTWHYRWO $.
  $}

  ${
    $d g h k x y D $.  $d f g h k x y I $.  $d g h k x K $.  $d g h k x ph $.
    $d g h k x R $.  $d x V $.
    psrbas.s $e |- S = ( I mPwSer R ) $.
    psrbas.k $e |- K = ( Base ` R ) $.
    psrbas.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
    psrbas.b $e |- B = ( Base ` S ) $.
    ${
      psrbas.i $e |- ( ph -> I e. V ) $.
      $( The base set of the multivariate power series structure.  (Contributed
         by Mario Carneiro, 28-Dec-2014.)  (Revised by Mario Carneiro,
         2-Oct-2015.)  (Proof shortened by AV, 8-Jul-2019.) $)
      psrbas $p |- ( ph -> B = ( K ^m D ) ) $=
        ( vx co cbs cfv cop c0 vg vh vk vy cvv wcel cmap wceq wa cnx cplusg cof
        cxp cres cmulr cle cofr wbr crab cmin cmpt cgsu cmpo ctp csca cvsca csn
        cv cts ctopn cpt cun eqid eqidd adantr simpr psrval fveq2d c1 psrvalstr
        ovex c9 baseid snsstp1 ssun1 sstri strfv ax-mp 3eqtr4g wn cmps reldmpsr
        ovprc2 adantl eqtrid base0 wne fvprc cc0 fczpsrbag ne0d fvexi ccnv cima
        syl cn cfn cn0 rabex2 map0 sylanbrc eqtr4d pm2.61dan ) ADUEUFZBHCUGPZUH
        AXNUIZEQRZUJQRXOSZUJUKRDUKRZULXOXOUMUNZSZUJUORUAUBXOXOUCCDOUDVHUCVHZUPU
        QURUDCUSOVHZUAVHZRYBYCUTULPUBVHRDUORZPVAVBPVAVCZSZVDZUJVERDSUJVFROUAHXO
        CYCVGUMYDYEULPVCZSUJVIRCDVJRZVGUMVKRZSVDZVLZQRZBXOXPEYMQXPOUDXOCXSXTDEY
        IYEYFUAUBFUCGYKHYJIUEJKXSVMYEVMYJVMLXPXOVNXTVMYFVMYIVMXPYKVNAGIUFZXNNVO
        AXNVPVQVRMXOUEUFXOYNUHHCUGWAXOYMQUEVSWBSXOXTDYIYFYKVTWCXRVGYHYMXRYAYGWD
        YHYLWEWFWGWHWIAXNWJZUIZBTXOYQXQTQRBTYQETQYQEGDWKPZTJYPYRTUHAGDWKWLWMWNW
        OVRMWPWIYQHTUHCTWQXOTUHYQHDQRZTKYPYSTUHADQWRWNWOYQCOGWSVAZAYTCUFZYPAYOU
        UANOCFGILWTXEVOXAHCHDQKXBFVHXCXFXDXGUFFXHGUGPCLXHGUGWAXIXJXKXLXM $.
    $}

    psrelbas.x $e |- ( ph -> X e. B ) $.
    $( An element of the set of power series is a function on the coefficients.
       (Contributed by Mario Carneiro, 28-Dec-2014.) $)
    psrelbas $p |- ( ph -> X : D --> K ) $=
      ( cmap co wcel wf cvv cn0 cmps reldmpsr elbasov syl simpld psrbas eleqtrd
      wa cbs fvexi cv ccnv cn cima cfn ovex rabex2 elmap sylib ) AIHCOPZQCHIRAI
      BUTNABCDEFGHSJKLMAGSQZDSQZAIBQVAVBUHNIBEUAGDUBJMUCUDUEUFUGHCIHDUIKUJFUKUL
      UMUNUOQFTGOPCLTGOUPUQURUS $.
  $}

  ${
    $d f I $.
    psrelbasfun.s $e |- S = ( I mPwSer R ) $.
    psrelbasfun.b $e |- B = ( Base ` S ) $.
    $( An element of the set of power series is a function.  (Contributed by
       AV, 17-Jul-2019.) $)
    psrelbasfun $p |- ( X e. B -> Fun X ) $=
      ( vf wcel cv ccnv cn cima cfn cn0 cmap co crab cbs eqid id psrelbas ffund
      cfv ) EAIZHJKLMNIHODPQRZBSUDZEUEAUFBCHDUGEFUGTUFTGUEUAUBUC $.
  $}

  ${
    $d f g k x B $.  $d f g h k x y I $.  $d f g k x ph $.  $d f g k x R $.
    psrplusg.s $e |- S = ( I mPwSer R ) $.
    psrplusg.b $e |- B = ( Base ` S ) $.
    psrplusg.a $e |- .+ = ( +g ` R ) $.
    psrplusg.p $e |- .+b = ( +g ` S ) $.
    $( The addition operation of the multivariate power series structure.
       (Contributed by Mario Carneiro, 28-Dec-2014.)  (Revised by Mario
       Carneiro, 2-Oct-2015.) $)
    psrplusg $p |- .+b = ( oF .+ |` ( B X. B ) ) $=
      ( cvv cplusg cfv cnx cbs cop cv co eqid c0 vf vg vk vh vx vy wcel cof cxp
      wa cres wceq cmulr ccnv cn cima cfn cn0 cmap crab cle cofr cmin cmpt cgsu
      wbr cmpo ctp csca cvsca csn cts ctopn cpt simpl psrbas eqidd simpr psrval
      fveq2d fvexi xpex ofexg c1 c9 psrvalstr plusgid snsstp2 ssun1 sstri strfv
      cun mp2b 3eqtr4g cmps reldmpsr ovprc eqtrid str0 base0 xpeq2d xp0 reseq2d
      wn eqtrdi res0 eqtr4d pm2.61i ) FKUGZDKUGZUJZCBUHZAAUIZUKZULXKELMZNOMAPZN
      LMZXNPZNUMMUAUBAAUCUDQUNUOUPUQUGUDURFUSRUTZDUEUFQUCQZVAVBVFUFXSUTUEQZUAQZ
      MXTYAVCUHRUBQMDUMMZRVDVERVDVGZPZVHZNVIMDPNVJMUEUADOMZAXSYAVKUIYBYCUHRVGZP
      NVLMXSDVMMZVKUIVNMZPVHZWLZLMZCXNXKEYLLXKUEUFAXSBXNDEYHYCYDUAUBUDUCFYJYGYI
      KKGYGSZIYCSYISXSSZXKAXSDEUDFYGKGYNYOHXIXJVOZVPXNSYDSYHSXKYJVQYPXIXJVRVSVT
      JXMKUGXNKUGXNYMULAAAEOHWAZYQWBXMBKWCXNYLLKWDWEPAXNDYHYDYJWFWGXRVKYFYLXPXR
      YEWHYFYKWIWJWKWMWNXKXDZCTXNYRXOTLMCTYRETLYREFDWORTGFDWOWPWQWRZVTJLXQWGWSW
      NYRXNXLTUKTYRXMTXLYRXMATUITYRATAYREOMTOMATYRETOYSVTHWTWNXAAXBXEXCXLXFXEXG
      XH $.

    psradd.x $e |- ( ph -> X e. B ) $.
    psradd.y $e |- ( ph -> Y e. B ) $.
    $( The addition operation of the multivariate power series structure.
       (Contributed by Mario Carneiro, 28-Dec-2014.) $)
    psradd $p |- ( ph -> ( X .+b Y ) = ( X oF .+ Y ) ) $=
      ( co cof cxp cres psrplusg oveqi ofmresval eqtrid ) AHIDPHICQZBBRSZPHIUDP
      DUEHIBCDEFGJKLMTUAABBCHINOUBUC $.
  $}

  ${
    $d f I $.  $d x y ph $.  $d x y R $.  $d x y X $.  $d y Y $.
    psraddcl.s $e |- S = ( I mPwSer R ) $.
    psraddcl.b $e |- B = ( Base ` S ) $.
    psraddcl.p $e |- .+ = ( +g ` S ) $.
    psraddcl.r $e |- ( ph -> R e. Grp ) $.
    psraddcl.x $e |- ( ph -> X e. B ) $.
    psraddcl.y $e |- ( ph -> Y e. B ) $.
    $( Closure of the power series addition operation.  (Contributed by Mario
       Carneiro, 28-Dec-2014.) $)
    psraddcl $p |- ( ph -> ( X .+ Y ) e. B ) $=
      ( vf co cv wcel cmap cvv vx vy cplusg cfv cof cbs ccnv cn cima cfn cn0 wf
      crab cgrp eqid grpcl 3expb sylan psrelbas ovex rabex a1i inidm fvex elmap
      wa off sylibr psradd cmps reldmpsr elbasov syl simpld psrbas 3eltr4d ) AG
      HDUCUDZUEPZDUFUDZOQUGUHUIUJRZOUKFSPZUMZSPZGHCPBAWBVSVRULVRWCRAUAUBWBWBWBV
      QVSVSVSGHTTADUNRZUAQZVSRZUBQZVSRZVFWEWGVQPVSRZLWDWFWHWIVSVQDWEWGVSUOZVQUO
      ZUPUQURABWBDEOFVSGIWJWBUOZJMUSABWBDEOFVSHIWJWLJNUSWBTRAVTOWAUKFSUTVAZVBZW
      NWBVCVGVSWBVRDUFVDWMVEVHABVQCDEFGHIJWKKMNVIABWBDEOFVSTIWJWLJAFTRZDTRZAGBR
      WOWPVFMGBEVJFDVKIJVLVMVNVOVP $.
  $}

  ${
    $d f g k x B $.  $d f g k x y D $.  $d f g h k x y I $.  $d f g k x ph $.
    $d f g k x F $.  $d f g k x G $.  $d f g k x .x. $.  $d f g k x R $.
    $d k x y X $.
    psrmulr.s $e |- S = ( I mPwSer R ) $.
    psrmulr.b $e |- B = ( Base ` S ) $.
    psrmulr.m $e |- .x. = ( .r ` R ) $.
    psrmulr.t $e |- .xb = ( .r ` S ) $.
    psrmulr.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    $( The multiplication operation of the multivariate power series structure.
       (Contributed by Mario Carneiro, 28-Dec-2014.)  (Revised by Mario
       Carneiro, 2-Oct-2015.)  (Proof shortened by AV, 2-Mar-2024.) $)
    psrmulr $p |- .xb = ( f e. B , g e. B |-> ( k e. D |->
            ( R gsum ( x e. { y e. D | y oR <_ k } |->
            ( ( f ` x ) .x. ( g ` ( k oF - x ) ) ) ) ) ) ) $=
      ( cfv c0 cvv wcel wa cv cle cofr wbr crab cmin cof co cmpt cgsu cmpo wceq
      cmulr cnx cbs cop cplusg ctp csca cvsca csn cxp cts ctopn cpt eqid psrbas
      cun simpl psrplusg eqidd simpr psrval fveq2d fvexi mpoex psrvalstr mulrid
      c1 c9 snsstp3 ssun1 sstri strfv ax-mp 3eqtr4g wn str0 cmps reldmpsr ovprc
      eqcomi eqtrid wo base0 olcd 0mpo0 syl 3eqtr4a pm2.61i ) MUAUBZEUAUBZUCZGI
      JCCLDEABUDLUDZUEUFUGBDUHAUDZIUDZSXGXHUIUJUKJUDSHUKULUMUKULZUNZUOXFFUPSZUQ
      URSCUSZUQUTSFUTSZUSZUQUPSZXKUSZVAZUQVBSEUSUQVCSAIEURSZCDXHVDVEXIHUJUKUNZU
      SUQVFSDEVGSZVDVEVHSZUSVAZVKZUPSZGXKXFFYDUPXFABCDEUTSZXNEFXTHXKIJKLMYBXSYA
      UAUANXSVIZYFVIZPYAVIRXFCDEFKMXSUANYGROXDXEVLZVJCYFXNEFMNOYHXNVIVMXKVIXTVI
      XFYBVNYIXDXEVOVPVQQXKUAUBXKYEUOIJCCXJCFUROVRZYJVSXKYDUPUAWBWCUSCXNEXTXKYB
      VTWAXQVDXRYDXMXOXQWDXRYCWEWFWGWHWIXFWJZTUPSZTGXKTYLUPXPWAWKWOYKGXLYLQYKFT
      UPYKFMEWLUKTNMEWLWMWNWPZVQWPYKCTUOZYNWQXKTUOYKYNYNYKFURSTURSCTYKFTURYMVQO
      WRWIWSIJCCXJWTXAXBXC $.

    psrmulfval.i $e |- ( ph -> F e. B ) $.
    psrmulfval.r $e |- ( ph -> G e. B ) $.
    $( The multiplication operation of the multivariate power series structure.
       (Contributed by Mario Carneiro, 28-Dec-2014.) $)
    psrmulfval $p |- ( ph -> ( F .xb G ) = ( k e. D |->
            ( R gsum ( x e. { y e. D | y oR <_ k } |->
            ( ( F ` x ) .x. ( G ` ( k oF - x ) ) ) ) ) ) ) $=
      ( vf vg wcel co cv cle cofr wbr crab cfv cmin cof cmpt cgsu wceq wa fveq1
      oveqan12d mpteq2dv oveq2d psrmulr ccnv cn cima cfn cmap ovex rabex2 mptex
      cn0 ovmpoa syl2anc ) ALDUDMDUDLMHUEKEFBCUFKUFZUGUHUICEUJZBUFZLUKZVNVPULUM
      UEZMUKZIUEZUNZUOUEZUNZUPTUAUBUCLMDDKEFBVOVPUBUFZUKZVRUCUFZUKZIUEZUNZUOUEZ
      UNWCHWDLUPZWFMUPZUQZKEWJWBWMWIWAFUOWMBVOWHVTWKWLWEVQWGVSIVPWDLURVRWFMURUS
      UTVAUTBCDEFGHIUBUCJKNOPQRSVBKEWBJUFVCVDVEVFUDJVKNVGUEESVKNVGVHVIVJVLVM $.

    psrmulval.r $e |- ( ph -> X e. D ) $.
    $( The multiplication operation of the multivariate power series structure.
       (Contributed by Mario Carneiro, 28-Dec-2014.) $)
    psrmulval $p |- ( ph -> ( ( F .xb G ) ` X ) =
            ( R gsum ( k e. { y e. D | y oR <_ X } |->
            ( ( F ` k ) .x. ( G ` ( X oF - k ) ) ) ) ) ) $=
      ( vx cfv cle cofr wbr crab cmin cof cmpt cgsu psrmulfval fveq1d wcel wceq
      co cv breq2 rabbidv fvoveq1 oveq2d mpteq12dv eqid ovex fvmpt syl eqtrd )
      ANKLGUQZUDNUCDEJBURZUCURZUEUFZUGZBDUHZJURZKUDZVKVOUIUJZUQLUDZHUQZUKZULUQZ
      UKZUDZEJVJNVLUGZBDUHZVPNVOVQUQLUDZHUQZUKZULUQZANVIWBAJBCDEFGHIUCKLMOPQRST
      UAUMUNANDUOWCWIUPUBUCNWAWIDWBVKNUPZVTWHEULWJJVNVSWEWGWJVMWDBDVKNVJVLUSUTW
      JVRWFVPHVKNVOLVQVAVBVCVBWBVDEWHULVEVFVGVH $.
  $}

  ${
    $d k x B $.  $d k x ph $.  $d k x R $.  $d k x X $.  $d k x Y $.
    $d k x y D $.  $d f k x y I $.
    psrmulcl.s $e |- S = ( I mPwSer R ) $.
    psrmulcl.b $e |- B = ( Base ` S ) $.
    psrmulcl.t $e |- .x. = ( .r ` S ) $.
    psrmulcl.r $e |- ( ph -> R e. Ring ) $.
    psrmulcl.x $e |- ( ph -> X e. B ) $.
    psrmulcl.y $e |- ( ph -> Y e. B ) $.
    ${
      psrmulcl.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
      $( Closure of the power series multiplication operation.  (Contributed by
         Mario Carneiro, 29-Dec-2014.) $)
      psrmulcllem $p |- ( ph -> ( X .x. Y ) e. B ) $=
        ( vy co wcel vk vx cv cle cofr wbr crab cfv cmin cof cmpt cgsu cbs cmap
        cmulr wf wa cfn c0g eqid ccmn adantr ringcmn psrbaglefi adantl ad2antrr
        crg syl psrelbas simpr breq1 elrab sylib simpld ffvelrnd simplr psrbagf
        cn0 simprd psrbagcon syl3anc ringcl fmpttd fvexd fdmfifsupp gsumcl fvex
        cvv ccnv cima ovex rabex2 elmap sylibr psrmulfval cmps reldmpsr elbasov
        cn psrbas 3eltr4d ) AUACDUBRUCZUAUCZUDUEZUFZRCUGZUBUCZIUHZXCXGUIUJSZJUH
        ZDUOUHZSZUKZULSZUKZDUMUHZCUNSZIJFSBACXPXOUPXOXQTAUACXNXPAXCCTZUQZXFXPXM
        DURDUSUHZXPUTZXTUTXSDVGTZDVATAYBXRNVBDVCVHXRXFURTARCGXCHQVDVEZXSUBXFXLX
        PXSXGXFTZUQZYBXHXPTXJXPTXLXPTAYBXRYDNVFYECXPXGIACXPIUPXRYDABCDEGHXPIKYA
        QLOVIVFYEXGCTZXGXCXDUFZYEYDYFYGUQXSYDVJXEYGRXGCXBXGXCXDVKVLVMZVNZVOYECX
        PXIJACXPJUPXRYDABCDEGHXPJKYAQLPVIVFYEXICTZXIXCXDUFZYEXRHVRXGUPZYGYJYKUQ
        AXRYDVPYEYFYLYICGXGHQVQVHYEYFYGYHVSCGXCXGHQVTWAVNVOXPDXKXHXJYAXKUTZWBWA
        WCZXSXFXPXMWHXTYNYCXSDUSWDWEWFWCXPCXODUMWGGUCWIWSWJURTGVRHUNSCQVRHUNWKW
        LWMWNAUBRBCDEFXKGUAIJHKLYMMQOPWOABCDEGHXPWHKYAQLAHWHTZDWHTZAIBTYOYPUQOI
        BEWPHDWQKLWRVHVNWTXA $.
    $}

    $( Closure of the power series multiplication operation.  (Contributed by
       Mario Carneiro, 29-Dec-2014.) $)
    psrmulcl $p |- ( ph -> ( X .x. Y ) e. B ) $=
      ( vf cv ccnv cn cima cfn wcel cn0 cmap co crab eqid psrmulcllem ) ABOPQRS
      TUAOUBFUCUDUEZCDEOFGHIJKLMNUHUFUG $.
  $}

  ${
    $d f h w x y z I $.  $d f w x z ph $.  $d f w x z R $.  $d f w x z S $.
    psrsca.s $e |- S = ( I mPwSer R ) $.
    psrsca.i $e |- ( ph -> I e. V ) $.
    psrsca.r $e |- ( ph -> R e. W ) $.
    $( The scalar field of the multivariate power series structure.
       (Contributed by Mario Carneiro, 28-Dec-2014.) $)
    psrsca $p |- ( ph -> R = ( Scalar ` S ) ) $=
      ( vx vf vh cnx cbs cfv cop cplusg cmulr csca eqid vy vz vw ctp cvsca ccnv
      cv cn cima cfn wcel cn0 cmap crab csn cxp cof cmpo cts ctopn cpt cun wceq
      co c1 psrvalstr scaid snsstp1 ssun2 sstri strfv syl psrbas psrplusg eqidd
      c9 psrmulr psrval fveq2d eqtr4d ) ABMNOCNOZPMQOCQOZPMROCROZPUDZMSOBPZMUEO
      JKBNOZWALUGUFUHUIUJUKLULDUMVDUNZJUGUOUPKUGBROZUQVDURZPZMUSOWGBUTOZUOUPVAO
      ZPZUDZVBZSOZCSOABFUKBWPVCIBWOSFVEVPPWAWBBWIWCWLVFVGWEUOWNWOWEWJWMVHWNWDVI
      VJVKVLACWOSAJUAWAWGBQOZWBBCWIWHWCKUBLUCDWLWFWKEFGWFTZWQTZWHTZWKTWGTZAWAWG
      BCLDWFEGWRXAWATZHVMWAWQWBBCDGXBWSWBTVNJUAWAWGBCWCWHKUBLUCDGXBWTWCTXAVQWIT
      AWLVOHIVRVSVT $.
  $}

  ${
    $d f g k x B $.  $d f x F $.  $d f g h k x y I $.  $d f x K $.  $d f x X $.
    $d f g k x y D $.  $d f g k x R $.  $d f g k x .x. $.  $d f x .xb $.
    psrvsca.s $e |- S = ( I mPwSer R ) $.
    psrvsca.n $e |- .xb = ( .s ` S ) $.
    psrvsca.k $e |- K = ( Base ` R ) $.
    psrvsca.b $e |- B = ( Base ` S ) $.
    psrvsca.m $e |- .x. = ( .r ` R ) $.
    psrvsca.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    $( The scalar multiplication operation of the multivariate power series
       structure.  (Contributed by Mario Carneiro, 28-Dec-2014.)  (Revised by
       Mario Carneiro, 2-Oct-2015.)  (Proof shortened by AV, 2-Nov-2024.) $)
    psrvscafval $p |- .xb = ( x e. K , f e. B |->
      ( ( D X. { x } ) oF .x. f ) ) $=
      ( cvsca cfv c0 vy vg vk cvv wcel wa cv csn cxp cof co cmpo cnx cbs cplusg
      wceq cop cmulr ctp csca cts ctopn cpt cun eqid simpl psrbas psrmulr eqidd
      psrplusg simpr psrval fveq2d fvexi mpoex c1 psrvalstr snsstp2 ssun2 sstri
      c9 vscaid strfv ax-mp 3eqtr4g wn wfn fn0 mpbir cmps reldmpsr ovprc eqtrid
      str0 elbasov con3i eq0rdv xpeq2d eqtrdi fneq12d mpbiri fnov sylib pm2.21d
      xp0 wi a1d 3imp mpoeq3dva eqtr4d pm2.61i ) JUDUEZDUDUEZUFZFAHKBCAUGZUHUIH
      UGZGUJUKZULZUPXNERSZUMUNSBUQUMUOSEUOSZUQUMURSEURSZUQUSZUMUTSDUQZUMRSZXRUQ
      ZUMVASCDVBSZUHUIVCSZUQZUSZVDZRSZFXRXNEYJRXNAUABCDUOSZXTDEXRGYAHUBIUCJYGKY
      FUDUDLNYLVEZPYFVEQXNBCDEIJKUDLNQOXLXMVFZVGBYLXTDEJLOYMXTVEVJAUABCDEYAGHUB
      IUCJLOPYAVEQVHXRVEXNYGVIYNXLXMVKVLVMMXRUDUEXRYKUPAHKBXQKDUNNVNBEUNOVNVOXR
      YJRUDVPWAUQBXTDXRYAYGVQWBYEUHYIYJYCYEYHVRYIYBVSVTWCWDWEXNWFZFAHKBXOXPFUKZ
      ULZXRYOFKBUIZWGZFYQUPYOYSTTWGZYTTTUPTVETWHWIYOYRTFTYOXSTRSFTYOETRYOEJDWJU
      KTLJDWJWKWLWMVMMRYDWBWNWEYOYRKTUITYOBTKYOHBXPBUEZXNXPBEWJJDWKLOWOWPZWQWRK
      XEWSWTXAAHKBFXBXCYOAHKBXQYPYOXOKUEZUUAXQYPUPZYOUUAUUDXFUUCYOUUAUUDUUBXDXG
      XHXIXJXK $.

    psrvsca.x $e |- ( ph -> X e. K ) $.
    psrvsca.y $e |- ( ph -> F e. B ) $.
    $( The scalar multiplication operation of the multivariate power series
       structure.  (Contributed by Mario Carneiro, 28-Dec-2014.) $)
    psrvsca $p |- ( ph -> ( X .xb F ) = ( ( D X. { X } ) oF .x. F ) ) $=
      ( vx vf wcel co csn cxp wceq cv sneq xpeq2d oveq1d oveq2 psrvscafval ovex
      cof ovmpo syl2anc ) ALKUCIBUCLIFUDCLUEZUFZIGUOZUDZUGSTUAUBLIKBCUAUHZUEZUF
      ZUBUHZUTUDVAFUSVEUTUDVBLUGZVDUSVEUTVFVCURCVBLUIUJUKVEIUSUTULUABCDEFGUBHJK
      MNOPQRUMUSIUTUNUPUQ $.

    psrvscaval.y $e |- ( ph -> Y e. D ) $.
    $( The scalar multiplication operation of the multivariate power series
       structure.  (Contributed by Mario Carneiro, 28-Dec-2014.) $)
    psrvscaval $p |- ( ph -> ( ( X .xb F ) ` Y ) = ( X .x. ( F ` Y ) ) ) $=
      ( co cfv csn cxp cof psrvsca fveq1d wcel wceq cvv cv ccnv cn cima cfn cn0
      cmap ovex rabex2 a1i psrelbas ffnd wa eqidd ofc1 mpdan eqtrd ) AMLIFUCZUD
      MCLUEUFIGUGUCZUDZLMIUDZGUCZAMVJVKABCDEFGHIJKLNOPQRSTUAUHUIAMCUJZVLVNUKUBA
      CLVMGIULKMCULUJAHUMUNUOUPUQUJHURJUSUCCSURJUSUTVAVBTACKIABCDEHJKINPSQUAVCV
      DAVOVEVMVFVGVHVI $.
  $}

  ${
    $d f x y I $.  $d x y K $.  $d x y ph $.  $d x y R $.  $d x y X $.
    $d y F $.
    psrvscacl.s $e |- S = ( I mPwSer R ) $.
    psrvscacl.n $e |- .x. = ( .s ` S ) $.
    psrvscacl.k $e |- K = ( Base ` R ) $.
    psrvscacl.b $e |- B = ( Base ` S ) $.
    psrvscacl.r $e |- ( ph -> R e. Ring ) $.
    psrvscacl.x $e |- ( ph -> X e. K ) $.
    psrvscacl.y $e |- ( ph -> F e. B ) $.
    $( Closure of the power series scalar multiplication operation.
       (Contributed by Mario Carneiro, 29-Dec-2014.) $)
    psrvscacl $p |- ( ph -> ( X .x. F ) e. B ) $=
      ( vf wcel co cvv vx vy cv ccnv cn cima cfn cn0 cmap csn cxp cmulr cfv cof
      crab wf crg wa eqid ringcl 3expb sylan fconst6g psrelbas ovex rabex inidm
      syl a1i off cbs fvexi elmap sylibr psrvsca reldmpsr elbasov simpld psrbas
      cmps 3eltr4d ) AQUCUDUEUFUGRZQUHGUISZUOZIUJUKZFCULUMZUNSZHWDUISZIFESBAWDH
      WGUPWGWHRAUAUBWDWDWDWFHHHWEFTTACUQRZUAUCZHRZUBUCZHRZURWJWLWFSHRZNWIWKWMWN
      HCWFWJWLLWFUSZUTVAVBAIHRWDHWEUPOWDIHVCVHABWDCDQGHFJLWDUSZMPVDWDTRAWBQWCUH
      GUIVEVFZVIZWRWDVGVJHWDWGHCVKLVLWQVMVNABWDCDEWFQFGHIJKLMWOWPOPVOABWDCDQGHT
      JLWPMAGTRZCTRZAFBRWSWTURPFBDVTGCVPJMVQVHVRVSWA $.
  $}

  ${
    $d x .0. $.  $d r s t x y z ph $.  $d r s t x y z R $.  $d r s t x y z S $.
    $d x D $.  $d f x y z I $.  $d x y N $.  $d x y X $.
    psrgrp.s $e |- S = ( I mPwSer R ) $.
    psrgrp.i $e |- ( ph -> I e. V ) $.
    psrgrp.r $e |- ( ph -> R e. Grp ) $.
    ${
      psr0cl.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
      psr0cl.o $e |- .0. = ( 0g ` R ) $.
      psr0cl.b $e |- B = ( Base ` S ) $.
      $( The zero element of the ring of power series.  (Contributed by Mario
         Carneiro, 29-Dec-2014.) $)
      psr0cl $p |- ( ph -> ( D X. { .0. } ) e. B ) $=
        ( cbs cmap co wcel cn0 csn cxp cfv cgrp eqid grpidcl fconst6g 3syl fvex
        wf cv ccnv cn cima cfn ovex rabex2 elmap sylibr psrbas eleqtrrd ) ACIUA
        UBZDPUCZCQRZBACVCVBUJZVBVDSADUDSIVCSVELVCDIVCUEZNUFCIVCUGUHVCCVBDPUIFUK
        ULUMUNUOSFTGQRCMTGQUPUQURUSABCDEFGVCHJVFMOKUTVA $.

      psr0lid.p $e |- .+ = ( +g ` S ) $.
      psr0lid.x $e |- ( ph -> X e. B ) $.
      $( The zero element of the ring of power series is a left identity.
         (Contributed by Mario Carneiro, 29-Dec-2014.) $)
      psr0lid $p |- ( ph -> ( ( D X. { .0. } ) .+ X ) = X ) $=
        ( wcel vx csn cxp co cplusg cfv cof eqid psr0cl psradd cbs cv ccnv cima
        cvv cn cfn cn0 cmap ovex rabex2 a1i psrelbas c0g fvexi cgrp wceq grplid
        sylan caofid0l eqtrd ) ACKUBUCZJDUDVLJEUEUFZUGUDJABVMDEFHVLJLQVMUHZRABC
        EFGHIKLMNOPQUISUJAUACKVMEUKUFZJUOUOCUOTAGULUMUPUNUQTGURHUSUDCOURHUSUTVA
        VBABCEFGHVOJLVOUHZOQSVCKUOTAKEVDPVEVBAEVFTUAULZVOTKVQVMUDVQVGNVOVMEVQKV
        PVNPVHVIVJVK $.
    $}

    ${
      psrnegcl.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
      psrnegcl.i $e |- N = ( invg ` R ) $.
      psrnegcl.b $e |- B = ( Base ` S ) $.
      psrnegcl.z $e |- ( ph -> X e. B ) $.
      $( The negative function in the ring of power series.  (Contributed by
         Mario Carneiro, 29-Dec-2014.) $)
      psrnegcl $p |- ( ph -> ( N o. X ) e. B ) $=
        ( cbs cmap wf ccom cfv co wcel wf1o eqid grpinvf1o syl psrelbas syl2anc
        f1of fco fvex cv ccnv cn cima cfn cn0 ovex rabex2 elmap sylibr eleqtrrd
        psrbas ) AHJUAZDRUBZCSUCZBACVGVFTZVFVHUDAVGVGHTZCVGJTVIAVGVGHUEVJAVGDHV
        GUFZOMUGVGVGHUKUHABCDEFGVGJKVKNPQUICVGVGHJULUJVGCVFDRUMFUNUOUPUQURUDFUS
        GSUCCNUSGSUTVAVBVCABCDEFGVGIKVKNPLVEVD $.

      psrlinv.o $e |- .0. = ( 0g ` R ) $.
      psrlinv.p $e |- .+ = ( +g ` S ) $.
      $( The negative function in the ring of power series.  (Contributed by
         Mario Carneiro, 29-Dec-2014.) $)
      psrlinv $p |- ( ph -> ( ( N o. X ) .+ X ) = ( D X. { .0. } ) ) $=
        ( vx vy ccom cplusg cfv cof co cv cmpt csn cxp cvv cbs wcel ccnv cn cfn
        cima cn0 cmap ovex rabex2 wa fvexd eqid psrelbas ffvelrnda feqmptd wf1o
        a1i wf grpinvf1o f1of syl fmptco offval2 psrnegcl psradd fconstmpt cgrp
        fveq2 wceq grplinv syl2an2r mpteq2dva eqtr4id 3eqtr4d ) AIKUDZKEUEUFZUG
        UHUBCUBUIZKUFZIUFZWLWJUHZUJZWIKDUHCLUKULZAUBCWMWLWJWIKUMUMEUNUFZCUMUOAG
        UIUPUQUSURUOGUTHVAUHCPUTHVAVBVCVKAWKCUOZVDWLIVEACWQWKKABCEFGHWQKMWQVFZP
        RSVGZVHZAUBUCCWQWLUCUIZIUFWMKIXAAUBCWQKWTVIZAUCWQWQIAWQWQIVJWQWQIVLAWQE
        IWSQOVMWQWQIVNVOVIXBWLIWBVPXCVQABWJDEFHWIKMRWJVFZUAABCEFGHIJKMNOPQRSVRS
        VSAWPUBCLUJWOUBCLVTAUBCWNLAEWAUOWRWLWQUOWNLWCOXAWQWJEIWLLWSXDTQWDWEWFWG
        WH $.
    $}

    $( The ring of power series is a group.  (Contributed by Mario Carneiro,
       29-Dec-2014.) $)
    psrgrp $p |- ( ph -> S e. Grp ) $=
      ( vx vy vf cfv cv wcel co w3a eqid psrelbas adantr psradd vz vr vs vt cbs
      cplusg cminusg ccom ccnv cn cima cfn cn0 cmap crab c0g csn cxp eqidd cgrp
      3ad2ant1 simp2 simp3 psraddcl cof cvv ovex rabex a1i simpr1 simpr2 simpr3
      wa wceq grpass sylan caofass oveq1d oveq2d 3eqtr4d 3adant3r3 psr0cl simpr
      psr0lid psrnegcl psrlinv isgrpd ) AIJUACUELZCUFLZCBUGLZIMZUHKMUIUJUKULNZK
      UMDUNOZUOZBUPLZUQURAWHUSAWIUSAWKWHNZJMZWHNZPWHWIBCDWKWQFWHQZWIQZAWPBUTNZW
      RHVAAWPWRVBAWPWRVCVDZAWPWRUAMZWHNZPZVMZWKWQWIOZXCBUFLZVEZOZWKWQXCWIOZXIOZ
      XGXCWIOWKXKWIOXFWKWQXIOZXCXIOWKWQXCXIOZXIOXJXLXFUBUCUDWNXHXHBUELZXHWKWQXC
      XHVFWNVFNXFWLKWMUMDUNVGVHVIXFWHWNBCKDXOWKFXOQZWNQZWSAWPWRXDVJZRXFWHWNBCKD
      XOWQFXPXQWSAWPWRXDVKZRXFWHWNBCKDXOXCFXPXQWSAWPWRXDVLZRXFXAUBMZXONUCMZXONU
      DMZXONPYAYBXHOYCXHOYAYBYCXHOXHOVNAXAXEHSZXOXHBYAYBYCXPXHQZVOVPVQXFXGXMXCX
      IXFWHXHWIBCDWKWQFWSYEWTXRXSTVRXFXKXNWKXIXFWHXHWIBCDWQXCFWSYEWTXSXTTVSVTXF
      WHXHWIBCDXGXCFWSYEWTAWPWRXGWHNXDXBWAXTTXFWHXHWIBCDWKXKFWSYEWTXRXFWHWIBCDW
      QXCFWSWTYDXSXTVDTVTAWHWNBCKDEWOFGHXQWOQZWSWBAWPVMZWHWNWIBCKDEWKWOFADENWPG
      SZAXAWPHSZXQYFWSWTAWPWCZWDYGWHWNBCKDWJEWKFYHYIXQWJQZWSYJWEYGWHWNWIBCKDWJE
      WKWOFYHYIXQYKWSYJYFWTWFWG $.

    ${
      psr0.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
      psr0.o $e |- O = ( 0g ` R ) $.
      psr0.z $e |- .0. = ( 0g ` S ) $.
      $( The zero element of the ring of power series.  (Contributed by Mario
         Carneiro, 29-Dec-2014.) $)
      psr0 $p |- ( ph -> .0. = ( D X. { O } ) ) $=
        ( csn cfv wceq eqid wcel cxp cplusg co cbs psr0cl psr0lid cgrp wb grpid
        psrgrp syl2anc mpbid ) ABGPUAZUMDUBQZUCUMRZIUMRZADUDQZBUNCDEFHUMGJKLMNU
        QSZUNSZAUQBCDEFHGJKLMNURUEZUFADUGTUMUQTUOUPUHACDFHJKLUJUTUQUNDUMIURUSOU
        IUKUL $.
    $}

    ${
      psrneg.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
      psrneg.i $e |- N = ( invg ` R ) $.
      psrneg.b $e |- B = ( Base ` S ) $.
      psrneg.m $e |- M = ( invg ` S ) $.
      psrneg.x $e |- ( ph -> X e. B ) $.
      $( The negative function of the ring of power series.  (Contributed by
         Mario Carneiro, 29-Dec-2014.) $)
      psrneg $p |- ( ph -> ( M ` X ) = ( N o. X ) ) $=
        ( cfv ccom wceq cplusg co c0g csn eqid psrlinv psr0 eqtr4d cgrp wcel wb
        cxp psrgrp psrnegcl grpinvid2 syl3anc mpbird ) AKHTIKUAZUBZUTKEUCTZUDZE
        UETZUBZAVCCDUETZUFUNVDABCVBDEFGIJKVFLMNOPQSVFUGZVBUGZUHACDEFGVFJVDLMNOV
        GVDUGZUIUJAEUKULKBULUTBULVAVEUMADEGJLMNUOSABCDEFGIJKLMNOPQSUPBVBEHKUTVD
        QVHVIRUQURUS $.
    $}
  $}

  ${
    $d k x .+ $.  $d f x y z .0. $.  $d f g h j k n r s t w x y z I $.
    $d k K $.  $d k u v w x A $.  $d j k n x z B $.
    $d f g h j k n r s t u v w x y z R $.  $d g h j k n u v w x y z D $.
    $d y z U $.  $d f g h j k n u v w x y z X $.
    $d j k n r s t u v w x y z ph $.  $d g h j k r w x y V $.  $d k x y .x. $.
    $d f g h j k n x Z $.  $d r s t x y z S $.  $d x y .1. $.  $d j k x .X. $.
    $d f g h j k n u v w x Y $.
    psrring.s $e |- S = ( I mPwSer R ) $.
    psrring.i $e |- ( ph -> I e. V ) $.
    psrring.r $e |- ( ph -> R e. Ring ) $.
    $( The ring of power series is a left module.  (Contributed by Mario
       Carneiro, 29-Dec-2014.) $)
    psrlmod $p |- ( ph -> S e. LMod ) $=
      ( vf vr cfv eqidd wcel syl cv eqid co csn cvv psrvsca vx vy vz cbs cplusg
      vs vt cvsca cmulr cur crg psrsca cgrp ringgrp psrgrp 3ad2ant1 simp2 simp3
      w3a psrvscacl wa ccnv cn cima cfn cn0 cmap crab cxp cof ovex rabex a1i wf
      simpr1 fconst6g simpr2 psrelbas simpr3 adantr ringdi caofdi psradd oveq2d
      wceq sylan oveq12d 3eqtr4d psraddcl ringdir caofdir ofc12 oveq1d 3eqtr2rd
      3adant3r3 ringacl syl3anc ringass ringcl ringidcl simpr ringlidm caofid0l
      caofass eqtrd islmodd ) AUAUBUCBUDKZCUEKZBUEKZCUHKZBUIKZBUJKZBCUDKZCAXMLA
      XHLABCDEUKFGHULAXJLAXGLAXILAXKLAXLLHABCDEFGABUKMZBUMMZHBUNNZUOAUAOZXGMZUB
      OZXMMZUSXMBCXJXSDXGXQFXJPZXGPZXMPZAXRXNXTHUPAXRXTUQAXRXTURUTZAXRXTUCOZXMM
      ZUSZVAZIOVBVCVDVEMZIVFDVGQZVHZXQRVIZXSYEXHQZXKVJZQZXQXSXJQZXQYEXJQZXIVJZQ
      ZXQYMXJQYPYQXHQYHYLXSYEYRQZYNQYLXSYNQZYLYEYNQZYRQYOYSYHJUFUGYKXIXGXKYLXSY
      EXGXISYKSMZYHYIIYJVFDVGVKVLZVMYHXRYKXGYLVNZAXRXTYFVOZYKXQXGVPZNYHXMYKBCID
      XGXSFYBYKPZYCAXRXTYFVQZVRYHXMYKBCIDXGYEFYBUUHYCAXRXTYFVSZVRYHXNJOZXGMZUFO
      ZXGMUGOZXGMUSZUUKUUMUUNXIQXKQUUKUUMXKQZUUKUUNXKQZXIQWEAXNYGHVTZXGXIBXKUUK
      UUMUUNYBXIPZXKPZWAWFWBYHYMYTYLYNYHXMXIXHBCDXSYEFYCUUSXHPZUUIUUJWCWDYHYPUU
      AYQUUBYRYHXMYKBCXJXKIXSDXGXQFYAYBYCUUTUUHUUFUUITYHXMYKBCXJXKIYEDXGXQFYAYB
      YCUUTUUHUUFUUJTWGWHYHXMYKBCXJXKIYMDXGXQFYAYBYCUUTUUHUUFYHXMXHBCDXSYEFYCUV
      AAXOYGXPVTUUIUUJWITYHXMXIXHBCDYPYQFYCUUSUVAAXRXTYPXMMYFYDWOYHXMBCXJYEDXGX
      QFYAYBYCUURUUFUUJUTWCWHAXRXSXGMZYFUSZVAZYKXQXSXIQZRVIZYEYNQZYQXSYEXJQZYRQ
      ZUVEYEXJQYQUVHXHQUVDUVIUUBYKXSRVIZYEYNQZYRQYLUVJYRQZYEYNQUVGUVDYQUUBUVHUV
      KYRUVDXMYKBCXJXKIYEDXGXQFYAYBYCUUTUUHAXRUVBYFVOZAXRUVBYFVSZTUVDXMYKBCXJXK
      IYEDXGXSFYAYBYCUUTUUHAXRUVBYFVQZUVNTZWGUVDJUFUGYKXIXGXKYEYLUVJXGXISUUCUVD
      UUDVMZUVDXMYKBCIDXGYEFYBUUHYCUVNVRZUVDXRUUEUVMUUGNZUVDUVBYKXGUVJVNUVOYKXS
      XGVPNZUVDXNUUOUUKUUMXIQUUNXKQUUQUUMUUNXKQZXIQWEAXNUVCHVTZXGXIBXKUUKUUMUUN
      YBUUSUUTWJWFWKUVDUVLUVFYEYNUVDYKXQXSXISXGXGUVQUVMUVOWLWMWNUVDXMYKBCXJXKIY
      EDXGUVEFYAYBYCUUTUUHUVDXNXRUVBUVEXGMUWBUVMUVOXGXIBXQXSYBUUSWPWQUVNTUVDXMX
      IXHBCDYQUVHFYCUUSUVAUVDXMBCXJYEDXGXQFYAYBYCUWBUVMUVNUTUVDXMBCXJYEDXGXSFYA
      YBYCUWBUVOUVNUTZWCWHUVDYKXQXSXKQZRVIZYEYNQZYLUVHYNQZUWDYEXJQXQUVHXJQUVDUW
      GYLUVKYNQYLUVJYNQZYEYNQUWFUVDUVHUVKYLYNUVPWDUVDJUFUGYKXKXKXGXKYLUVJYEXKSU
      VQUVSUVTUVRUVDXNUUOUUPUUNXKQUUKUWAXKQWEUWBXGBXKUUKUUMUUNYBUUTWRWFXDUVDUWH
      UWEYEYNUVDYKXQXSXKSXGXGUVQUVMUVOWLWMWNUVDXMYKBCXJXKIYEDXGUWDFYAYBYCUUTUUH
      UVDXNXRUVBUWDXGMUWBUVMUVOXGBXKXQXSYBUUTWSWQUVNTUVDXMYKBCXJXKIUVHDXGXQFYAY
      BYCUUTUUHUVMUWCTWHAXQXMMZVAZXLXQXJQYKXLRVIXQYNQXQUWJXMYKBCXJXKIXQDXGXLFYA
      YBYCUUTUUHUWJXNXLXGMAXNUWIHVTZXGBXLYBXLPZWTNZAUWIXAZTUWJJYKXLXKXGXQSXGUUC
      UWJUUDVMUWJXMYKBCIDXGXQFYBUUHYCUWNVRUWMUWJXNUULXLUUKXKQUUKWEUWKXGBXKXLUUK
      YBUUTUWLXBWFXCXEXF $.

    ${
      psr1cl.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
      psr1cl.z $e |- .0. = ( 0g ` R ) $.
      psr1cl.o $e |- .1. = ( 1r ` R ) $.
      psr1cl.u $e |- U =
        ( x e. D |-> if ( x = ( I X. { 0 } ) , .1. , .0. ) ) $.
      psr1cl.b $e |- B = ( Base ` S ) $.
      $( The identity element of the ring of power series.  (Contributed by
         Mario Carneiro, 29-Dec-2014.) $)
      psr1cl $p |- ( ph -> U e. B ) $=
        ( cbs cfv cmap co wf wcel cv cc0 csn cxp wceq cif eqid ringidcl ring0cl
        crg ifcld syl adantr fmptd fvex ccnv cn cima cfn cn0 ovex rabex2 sylibr
        elmap psrbas eleqtrrd ) AGEUAUBZDUCUDZCADVMGUEGVNUFABDBUGZJUHUIUJUKZHLU
        LZVMGAVQVMUFZVODUFAEUPUFZVROVSVPHLVMVMEHVMUMZRUNVMELVTQUOUQURUSSUTVMDGE
        UAVAIUGVBVCVDVEUFIVFJUCUDDPVFJUCVGVHVJVIACDEFIJVMKMVTPTNVKVL $.

      psrlidm.t $e |- .x. = ( .r ` S ) $.
      psrlidm.x $e |- ( ph -> X e. B ) $.
      $( The identity element of the ring of power series is a left identity.
         (Contributed by Mario Carneiro, 29-Dec-2014.)  (Proof shortened by AV,
         8-Jul-2019.) $)
      psrlidm $p |- ( ph -> ( U .x. X ) = X ) $=
        ( vy vz vg co cbs cfv eqid psr1cl psrmulcl psrelbas ffnd cv wcel wa cle
        cofr wbr crab cmin cof cmulr cmpt cgsu cc0 csn cxp simpr psrmulval cres
        adantr breq1 fconstmpt fczpsrbag syl eqeltrid wral wf psrbagf ffvelrnda
        cn0 adantl nn0ge0d ralrimiva wfn 0nn0 fconst6 mp1i inidm wceq fvconst2g
        ffn a1i sylan eqidd ofrfval mpbird elrabd snssd resmptd oveq2d cvv ccmn
        crg ringcmn ccnv cima cfn cmap ovex rab2ex ad2antrr elrab simpld syldan
        sylib simprd psrbagcon syl3anc ffvelrnd ringcl fmpttd cif eldifi sylan2
        cn cdif eqeq1 ifbid cur fvexi c0g fvmpt eqtrd syl2anc fveq2d oveq12d wn
        ifex eldifn velsn sylnib iffalsed oveq1d ringlz suppss2 wfun wss cfsupp
        rabex2 mptrabex funmpt snfi suppssfifsupp syl32anc gsumres cmnd ringmnd
        csupp iftrue nn0cn subid1d caofid0r ringlidm eqeltrd fveq2 oveq2 gsumsn
        3eqtr3d 3eqtrd eqfnfvd ) AUEDHMGUHZMADEUIUJZUVOACDEFJKUVPUVOOUVPUKZRUBA
        CEFGKHMOUBUCQABCDEFHIJKLNOPQRSTUAUBULZUDUMUNUOADUVPMACDEFJKUVPMOUVQRUBU
        DUNZUOAUEUPZDUQZURZUVTUVOUJEUFUGUPZUVTUSUTZVAZUGDVBZUFUPZHUJZUVTUWGVCVD
        ZUHZMUJZEVEUJZUHZVFZVGUHZKVHVIVJZHUJZUVTUWPUWIUHZMUJZUWLUHZUVTMUJZUWBUG
        CDEFGUWLJUFHMKUVTOUBUWLUKZUCRAHCUQUWAUVRVNZAMCUQUWAUDVNAUWAVKZVLUWBEUWN
        UWPVIZVMZVGUHEUFUXEUWMVFZVGUHZUWOUWTUWBUXFUXGEVGUWBUFUWFUXEUWMUWBUWPUWF
        UWBUWEUWPUVTUWDVAZUGUWPDUWCUWPUVTUWDVOAUWPDUQZUWAAUWPBKVHVFZDBKVHVPAKLU
        QZUXKDUQPBDJKLRVQVRVSVNZUWBUXIVHBUPZUVTUJZUSVAZBKVTUWBUXPBKUWBUXNKUQZUR
        ZUXOUWBKWDUXNUVTUWAKWDUVTWAADJUVTKRWBWEZWCWFWGUWBBKKVHUXOUSKUWPUVTLLKWD
        UWPWAUWPKWHUWBKVHWDWIWJKWDUWPWOWKUWBKWDUVTUXSUOAUXLUWAPVNZUXTKWLUWBVHWD
        UQZUXQUXNUWPUJVHWMUYAUWBWIWPZKVHUXNWDWNWQUXRUXOWRWSWTXAXBXCXDUWBUWFUVPU
        WNEXEUXENUVQSAEXFUQZUWAAEXGUQZUYCQEXHVRVNUWFXEUQUWBUWEJUPXIYIXJXKUQZUGJ
        WDKXLUHZDRWDKXLXMZXNWPZUWBUFUWFUWMUVPUWBUWGUWFUQZURZUYDUWHUVPUQZUWKUVPU
        QZUWMUVPUQAUYDUWAUYIQXOUWBUYIUWGDUQZUYKUYJUYMUWGUVTUWDVAZUYJUYIUYMUYNUR
        ZUWBUYIVKUWEUYNUGUWGDUWCUWGUVTUWDVOXPXSZXQZUWBDUVPUWGHUWBCDEFJKUVPHOUVQ
        RUBUXCUNWCXRUYJDUVPUWJMADUVPMWAUWAUYIUVSXOUYJUWJDUQZUWJUVTUWDVAZUYJUWAK
        WDUWGWAZUYNUYRUYSURUWBUWAUYIUXDVNUYJUYMUYTUYQDJUWGKRWBVRUYJUYMUYNUYPXTD
        JUVTUWGKRYAYBXQYCZUVPEUWLUWHUWKUVQUXBYDYBYEUWBUWFUWMUFXEUXENUWBUWGUWFUX
        EYJUQZURZUWMNUWKUWLUHZNVUCUWHNUWKUWLVUCUWHUWGUWPWMZINYFZNVUCUYMUWHVUFWM
        VUCUYMUYNVUBUWBUYIUYOUWGUWFUXEYGZUYPYHXQBUWGUXNUWPWMZINYFZVUFDHUXNUWGWM
        VUHVUEINUXNUWGUWPYKYLUAVUEINIEYMTYNZNEYOSYNZUUBYPVRVUCVUEINVUCUWGUXEUQZ
        VUEVUBVULUUAUWBUWGUWFUXEUUCWEUFUWPUUDUUEUUFYQUUGVUCUYDUYLVUDNWMAUYDUWAV
        UBQXOVUBUWBUYIUYLVUGVUAYHUVPEUWLUWKNUVQUXBSUUHYRYQUYHUUIZUWBUWNXEUQZUWN
        UUJZNXEUQZUXEXKUQZUWNNUVBUHUXEUUKUWNNUULVAVUNUWBUWEUFUGDUWMUYEJUYFDRUYG
        UUMUUNWPVUOUWBUFUWFUWMUUOWPVUPUWBVUKWPVUQUWBUWPUUPWPVUMUXEUWNXEXENUUQUU
        RUUSUWBEUUTUQZUXJUWTUVPUQUXHUWTWMUWBUYDVURAUYDUWAQVNZEUVAVRUXMUWBUWTUXA
        UVPUWBUWTIUXAUWLUHZUXAUWBUWQIUWSUXAUWLUWBUXJUWQIWMUXMBUWPVUIIDHVUHINUVC
        UAVUJYPVRUWBUWRUVTMUWBUFKVHVCWDUVTLWDUXTUXSUYBUWGWDUQZUWGVHVCUHUWGWMUWB
        VVAUWGUWGUVDUVEWEUVFYSYTUWBUYDUXAUVPUQVUTUXAWMVUSADUVPUVTMUVSWCZUVPEUWL
        IUXAUVQUXBTUVGYRYQZVVBUVHUWMUVPUWTUFEUWPDUVQVUEUWHUWQUWKUWSUWLUWGUWPHUV
        IVUEUWJUWRMUWGUWPUVTUWIUVJYSYTUVKYBUVLVVCUVMUVN $.

      $( The identity element of the ring of power series is a right identity.
         (Contributed by Mario Carneiro, 29-Dec-2014.)  (Proof shortened by AV,
         8-Jul-2019.) $)
      psrridm $p |- ( ph -> ( X .x. U ) = X ) $=
        ( vy vz vg vw co cbs cfv eqid psr1cl psrmulcl psrelbas ffnd cv wcel cle
        cofr wbr crab cmin cof cmulr cmpt cgsu adantr simpr psrmulval csn breq1
        wa cres cn0 wf psrbagf adantl nn0re leidd caofref elrabd resmptd oveq2d
        cvv ccmn crg ringcmn syl ccnv cn cima cfn cmap ovex rab2ex a1i ad2antrr
        snssd elrab simpld ffvelrnd simprd psrbagcon syl3anc ringcl fmpttd cdif
        sylib cc0 cxp wceq cif eldifi sylan2 eqeq1 ifbid cur fvexi c0g fvmpt wn
        ifex wne eldifsni necomd wb wss nn0sscn fss sylancl ofsubeq0 necon3bbid
        cc mpbird iffalsed eqtrd ringrz syl2anc fveq2d wfun csupp cfsupp mptexd
        suppss2 funmpt snfi suppssfifsupp gsumres cmnd ringmnd mpbiri fconstmpt
        syl32anc fczpsrbag eqeltrid iftrue ringridm eqeltrd fveq2 oveq2 oveq12d
        ffvelrnda gsumsn 3eqtr3d 3eqtrd eqfnfvd ) AUEDMHGUIZMADEUJUKZUVHACDEFJK
        UVIUVHOUVIULZRUBACEFGKMHOUBUCQUDABCDEFHIJKLNOPQRSTUAUBUMZUNUOUPADUVIMAC
        DEFJKUVIMOUVJRUBUDUOZUPAUEUQZDURZVMZUVMUVHUKEUFUGUQZUVMUSUTZVAZUGDVBZUF
        UQZMUKZUVMUVTVCVDZUIZHUKZEVEUKZUIZVFZVGUIZUVMMUKZUVMUVMUWBUIZHUKZUWEUIZ
        UWIUVOUGCDEFGUWEJUFMHKUVMOUBUWEULZUCRAMCURUVNUDVHAHCURUVNUVKVHZAUVNVIZV
        JUVOEUWGUVMVKZVNZVGUIEUFUWPUWFVFZVGUIZUWHUWLUVOUWQUWREVGUVOUFUVSUWPUWFU
        VOUVMUVSUVOUVRUVMUVMUVQVAUGUVMDUVPUVMUVMUVQVLUWOUVOUFKUSVOUVMLAKLURZUVN
        PVHZUVNKVOUVMVPZADJUVMKRVQVRZUVTVOURZUVTUVTUSVAUVOUXDUVTUVTVSVTVRWAWBWS
        WCWDUVOUVSUVIUWGEWEUWPNUVJSAEWFURZUVNAEWGURZUXEQEWHWIVHUVSWEURUVOUVRJUQ
        WJWKWLWMURUGJVOKWNUIDRVOKWNWOWPWQZUVOUFUVSUWFUVIUVOUVTUVSURZVMZUXFUWAUV
        IURZUWDUVIURUWFUVIURAUXFUVNUXHQWRZUXIDUVIUVTMADUVIMVPUVNUXHUVLWRUXIUVTD
        URZUVTUVMUVQVAZUXIUXHUXLUXMVMUVOUXHVIUVRUXMUGUVTDUVPUVTUVMUVQVLWTXIZXAZ
        XBZUXIDUVIUWCHUVODUVIHVPUXHUVOCDEFJKUVIHOUVJRUBUWNUOVHUXIUWCDURZUWCUVMU
        VQVAZUXIUVNKVOUVTVPZUXMUXQUXRVMUVOUVNUXHUWOVHUXIUXLUXSUXODJUVTKRVQWIZUX
        IUXLUXMUXNXCDJUVMUVTKRXDXEXAZXBUVIEUWEUWAUWDUVJUWMXFXEXGUVOUVSUWFUFWEUW
        PNUVOUVTUVSUWPXHURZVMZUWFUWANUWEUIZNUYCUWDNUWAUWEUYCUWDUWCKXJVKXKZXLZIN
        XMZNUYCUXQUWDUYGXLUYBUVOUXHUXQUVTUVSUWPXNZUYAXOBUWCBUQZUYEXLZINXMZUYGDH
        UYIUWCXLUYJUYFINUYIUWCUYEXPXQUAUYFINIEXRTXSZNEXTSXSZYCYAWIUYCUYFINUYCUY
        FYBUVMUVTYDUYCUVTUVMUYBUVTUVMYDUVOUVTUVSUVMYEVRYFUYCUYFUVMUVTUYBUVOUXHU
        YFUVMUVTXLYGZUYHUXIUWTKYNUVMVPZKYNUVTVPZUYNUVOUWTUXHUXAVHUVOUYOUXHUVOUX
        BVOYNYHZUYOUXCYIKVOYNUVMYJYKZVHUXIUXSUYQUYPUXTYIKVOYNUVTYJYKKUVMUVTLYLX
        EXOYMYOYPYQWDUYBUVOUXHUYDNXLZUYHUXIUXFUXJUYSUXKUXPUVIEUWEUWANUVJUWMSYRY
        SXOYQUXGUUEZUVOUWGWEURUWGUUAZNWEURZUWPWMURZUWGNUUBUIUWPYHUWGNUUCVAUVOUF
        UVSUWFWEUXGUUDVUAUVOUFUVSUWFUUFWQVUBUVOUYMWQVUCUVOUVMUUGWQUYTUWPUWGWEWE
        NUUHUUNUUIUVOEUUJURZUVNUWLUVIURUWSUWLXLUVOUXFVUDAUXFUVNQVHZEUUKWIUWOUVO
        UWLUWIUVIUVOUWLUWIIUWEUIZUWIUVOUWKIUWIUWEUVOUWKUYEHUKZIUVOUWJUYEHUVOUWJ
        UYEXLZUVMUVMXLZUVMULUVOUWTUYOUYOVUHVUIYGUXAUYRUYRKUVMUVMLYLXEUULYTUVOUY
        EDURZVUGIXLAVUJUVNAUYEUHKXJVFZDUHKXJUUMAUWTVUKDURPUHDJKLRUUOWIUUPVHBUYE
        UYKIDHUYJINUUQUAUYLYAWIYQWDUVOUXFUWIUVIURVUFUWIXLVUEADUVIUVMMUVLUVCZUVI
        EUWEIUWIUVJUWMTUURYSYQZVULUUSUWFUVIUWLUFEUVMDUVJUVTUVMXLZUWAUWIUWDUWKUW
        EUVTUVMMUUTVUNUWCUWJHUVTUVMUVMUWBUVAYTUVBUVDXEUVEVUMUVFUVG $.
    $}

    ${
      psrass.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
      psrass.t $e |- .X. = ( .r ` S ) $.
      psrass.b $e |- B = ( Base ` S ) $.
      psrass.x $e |- ( ph -> X e. B ) $.
      psrass.y $e |- ( ph -> Y e. B ) $.
      ${
        psrass.z $e |- ( ph -> Z e. B ) $.
        $( Associative identity for the ring of power series.  (Contributed by
           Mario Carneiro, 5-Jan-2015.) $)
        psrass1 $p |- ( ph ->
          ( ( X .X. Y ) .X. Z ) = ( X .X. ( Y .X. Z ) ) ) $=
          ( vx vk vg vj vh vn vz co cbs cfv eqid psrmulcl psrelbas ffnd cv wcel
          cle cofr wbr crab cmin cof cmulr cmpt cgsu simpr ccmn crg ringcmn syl
          wa adantr ad2antrr wf breq1 elrab sylib simpld ffvelrnd ad3antrrr cn0
          simplr psrbagf simprd psrbagcon ringcl anasss wceq fveq2 oveq2 fveq2d
          syl3anc oveq12d oveq2d psrass1lem psrmulval oveq1d cfn c0g psrbaglefi
          cplusg cvv a1i fsuppmptdm gsummulc1 ringass syl13anc adantl ffvelrnda
          fvex cc nn0cn nnncan2 syl3an mpteq2dva feqmptd offval2 3eqtr4d eqtr4d
          ovexd 3eqtr2d wfun w3a csupp wss cfsupp ccnv cn cima cmap ovex rab2ex
          mptex funmpt 3pm3.2i cdm suppssdm dmmptss sstri suppssfifsupp eqfnfvd
          syl12anc gsummulc2 ) AUBCJKFUIZLFUIZJKLFUIZFUIZACDUJUKZUUFABCDEGHUUIU
          UFMUUIULZPRABDEFHUUELMRQOABDEFHJKMRQOSTUMZUAUMUNUOACUUIUUHABCDEGHUUIU
          UHMUUJPRABDEFHJUUGMRQOSABDEFHKLMRQOTUAUMZUMUNUOAUBUPZCUQZVLZDUCUDUPZU
          UMURUSZUTZUDCVAZUCUPZUUEUKZUUMUUTVBVCZUIZLUKZDVDUKZUIZVEZVFUIZDUEUUSU
          EUPZJUKZUUMUVIUVBUIZUUGUKZUVEUIZVEZVFUIZUUMUUFUKUUMUUHUKUUODUCUUSDUEU
          FUPZUUTUUQUTZUFCVAZUVJUUTUVIUVBUIZKUKZUVKUVSUVBUIZLUKZUVEUIZUVEUIZVEZ
          VFUIZVEZVFUIDUEUUSDUGUVPUVKUUQUTZUFCVAZUVJUGUPZKUKZUVKUWJUVBUIZLUKZUV
          EUIZUVEUIZVEVFUIZVEZVFUIUVHUVOUUOUFUDUUICUUSGUEUGUCUUMDHUWOUWDPUUSULA
          UUNVGZUUJADVHUQZUUNADVIUQZUWSODVJVKVMUUOUVIUUSUQZUWJUWIUQZUWOUUIUQZUU
          OUXAVLZUXBVLZUWTUVJUUIUQZUWNUUIUQZUXCUXDUWTUXBAUWTUUNUXAOVNZVMZUXDUXF
          UXBUXDCUUIUVIJACUUIJVOZUUNUXAABCDEGHUUIJMUUJPRSUNZVNUXDUVICUQZUVIUUMU
          UQUTZUXDUXAUXLUXMVLUUOUXAVGUURUXMUDUVICUUPUVIUUMUUQVPVQVRZVSZVTZVMUXE
          UWTUWKUUIUQUWMUUIUQUXGUXIUXECUUIUWJKACUUIKVOZUUNUXAUXBABCDEGHUUIKMUUJ
          PRTUNZWAUXEUWJCUQZUWJUVKUUQUTZUXEUXBUXSUXTVLUXDUXBVGUWHUXTUFUWJCUVPUW
          JUVKUUQVPVQVRZVSZVTUXECUUIUWLLACUUILVOZUUNUXAUXBABCDEGHUUILMUUJPRUAUN
          ZWAUXEUWLCUQZUWLUVKUUQUTZUXEUVKCUQZHWBUWJVOZUXTUYEUYFVLUXDUYGUXBUXDUY
          GUVKUUMUUQUTZUXDUUNHWBUVIVOZUXMUYGUYIVLAUUNUXAWCUXDUXLUYJUXOCGUVIHPWD
          ZVKUXDUXLUXMUXNWECGUUMUVIHPWFWMVSZVMUXEUXSUYHUYBCGUWJHPWDVKUXEUXSUXTU
          YAWECGUVKUWJHPWFWMVSVTUUIDUVEUWKUWMUUJUVEULZWGWMZUUIDUVEUVJUWNUUJUYMW
          GWMWHUWJUVSWIZUWNUWCUVJUVEUYOUWKUVTUWMUWBUVEUWJUVSKWJUYOUWLUWALUWJUVS
          UVKUVBWKWLWNWOWPUUOUVGUWGDVFUUOUCUUSUVFUWFUUOUUTUUSUQZVLZUVFDUEUVRUVJ
          UVTUVEUIZVEZVFUIZUVDUVEUIDUEUVRUYRUVDUVEUIZVEZVFUIUWFUYQUVAUYTUVDUVEU
          YQUFBCDEFUVEGUEJKHUUTMRUYMQPAJBUQZUUNUYPSVNAKBUQZUUNUYPTVNUYQUUTCUQZU
          UTUUMUUQUTZUYQUYPVUEVUFVLUUOUYPVGUURVUFUDUUTCUUPUUTUUMUUQVPVQVRZVSZWQ
          WRUYQUVRUUIDXBUKZDUVEUEWSUYRUVDDWTUKZUUJVUJULZVUIULZUYMAUWTUUNUYPOVNZ
          UYQVUEUVRWSUQVUHUFCGUUTHPXAVKZUYQCUUIUVCLAUYCUUNUYPUYDVNUYQUVCCUQZUVC
          UUMUUQUTZUYQUUNHWBUUTVOZVUFVUOVUPVLAUUNUYPWCUYQVUEVUQVUHCGUUTHPWDVKZU
          YQVUEVUFVUGWECGUUMUUTHPWFWMVSVTZUYQUVIUVRUQZVLZUWTUXFUVTUUIUQZUYRUUIU
          QUYQUWTVUTVUMVMZVVACUUIUVIJAUXJUUNUYPVUTUXKWAVVAUXLUVIUUTUUQUTZVVAVUT
          UXLVVDVLUYQVUTVGUVQVVDUFUVICUVPUVIUUTUUQVPVQVRZVSZVTZVVACUUIUVSKAUXQU
          UNUYPVUTUXRWAVVAUVSCUQZUVSUUTUUQUTZVVAVUEUYJVVDVVHVVIVLUYQVUEVUTVUHVM
          VVAUXLUYJVVFUYKVKZVVAUXLVVDVVEWECGUUTUVIHPWFWMVSVTZUUIDUVEUVJUVTUUJUY
          MWGWMZUYQUEUVRUYSUUIXCUYRVUJUYSULVUNVVLVUJXCUQZUYQDWTXKZXDXEXFUYQVUBU
          WEDVFUYQUEUVRVUAUWDVVAVUAUVJUVTUVDUVEUIZUVEUIZUWDVVAUWTUXFVVBUVDUUIUQ
          ZVUAVVPWIVVCVVGVVKUYQVVQVUTVUSVMUUIDUVEUVJUVTUVDUUJUYMXGXHVVAUWCVVOUV
          JUVEVVAUWBUVDUVTUVEVVAUWAUVCLVVAUHHUHUPZUUMUKZVVRUVIUKZVBUIZVVRUUTUKZ
          VVTVBUIZVBUIZVEUHHVVSVWBVBUIZVEUWAUVCVVAUHHVWDVWEVVAVVRHUQVLZVVSWBUQZ
          VWBWBUQZVVTWBUQZVWDVWEWIZVVAHWBVVRUUMUUOHWBUUMVOZUYPVUTUUNVWKACGUUMHP
          WDXIVNZXJZVVAHWBVVRUUTUYQVUQVUTVURVMZXJZVVAHWBVVRUVIVVJXJZVWGVVSXLUQV
          WHVWBXLUQVWIVVTXLUQVWJVVSXMVWBXMVVTXMVVSVWBVVTXNXOWMXPVVAUHHVWAVWCVBU
          VKUVSIXCXCUYQHIUQZVUTAVWQUUNUYPNVNVMZVWFVVSVVTVBYAVWFVWBVVTVBYAVVAUHH
          VVSVVTVBUUMUVIIWBWBVWRVWMVWPVVAUHHWBUUMVWLXQZVVAUHHWBUVIVVJXQZXRVVAUH
          HVWBVVTVBUUTUVIIWBWBVWRVWOVWPVVAUHHWBUUTVWNXQZVWTXRXRVVAUHHVVSVWBVBUU
          MUUTIWBWBVWRVWMVWOVWSVXAXRXSWLWOWOXTXPWOYBXPWOUUOUVNUWQDVFUUOUEUUSUVM
          UWPUXDUVMUVJDUGUWIUWNVEZVFUIZUVEUIUWPUXDUVLVXCUVJUVEUXDUFBCDEFUVEGUGK
          LHUVKMRUYMQPAVUDUUNUXATVNALBUQZUUNUXAUAVNUYLWQWOUXDUWIUUIVUIDUVEUGWSU
          WNUVJVUJUUJVUKVULUYMUXHUXDUYGUWIWSUQZUYLUFCGUVKHPXAVKZUXPUYNUXDVXBXCU
          QZVXBYCZVVMYDZVXEVXBVUJYEUIZUWIYFZVXBVUJYGUTVXIUXDVXGVXHVVMUGUWIUWNUW
          HGUPYHYIYJWSUQUFGWBHYKUICPWBHYKYLYMYNUGUWIUWNYOVVNYPXDVXFVXKUXDVXJVXB
          YQUWIVXBVUJYRUGUWIUWNVXBVXBULYSYTXDUWIVXBXCXCVUJUUAUUCUUDXTXPWOXSUUOU
          DBCDEFUVEGUCUUELHUUMMRUYMQPAUUEBUQUUNUUKVMAVXDUUNUAVMUWRWQUUOUDBCDEFU
          VEGUEJUUGHUUMMRUYMQPAVUCUUNSVMAUUGBUQUUNUULVMUWRWQXSUUB $.

        psrdi.a $e |- .+ = ( +g ` S ) $.
        $( Distributive law for the ring of power series (left-distributivity).
           (Contributed by Mario Carneiro, 7-Jan-2015.) $)
        psrdi $p |- ( ph ->
          ( X .X. ( Y .+ Z ) ) = ( ( X .X. Y ) .+ ( X .X. Z ) ) ) $=
          ( vk vx vy cv cle cofr wbr crab cfv cmin cof co cmpt cgsu cplusg wcel
          cmulr wa wceq eqid psradd fveq1d ad2antrr ssrab2 simplr simpr syl2anc
          psrbagconcl sselid cvv cbs wf psrelbas ffnd ccnv cn cima cfn cn0 cmap
          rabex2 a1i inidm eqidd ofval mpdan eqtrd oveq2d crg ffvelrnd syl13anc
          ovex ringdi mpteq2dva psrbaglefi adantl ringcl syl3anc offval2 eqtr4d
          ccmn adantr ringcmn gsummptfidmadd2 cgrp psraddcl psrmulfval psrmulcl
          syl ringgrp ovexd 3eqtr4d ) AUDCEUEUFUGUDUGZUHUIUJZUFCUKZUEUGZKULZXPX
          SUMUNUOZLMDUOZULZEUTULZUOZUPZUQUOZUPUDCEUEXRXTYALULZYDUOZUPZUQUOZEUEX
          RXTYAMULZYDUOZUPZUQUOZEURULZUOZUPZKYBGUOKLGUOZKMGUOZDUOZAUDCYGYQAXPCU
          SZVAZYGEYJYNYPUNZUOZUQUOYQUUCYFUUEEUQUUCYFUEXRYIYMYPUOZUPUUEUUCUEXRYE
          UUFUUCXSXRUSZVAZYEXTYHYLYPUOZYDUOZUUFUUHYCUUIXTYDUUHYCYALMUUDUOZULZUU
          IAYCUULVBUUBUUGAYAYBUUKABYPDEFILMNSYPVCZUCUAUBVDVEVFUUHYACUSZUULUUIVB
          UUHXRCYAXQUFCVGZUUHUUBUUGYAXRUSAUUBUUGVHUUCUUGVIZUFCXRHXPIXSQXRVCVKVJ
          VLZUUHCCYHYLYPCLMVMVMYAUUHCEVNULZLACUURLVOUUBUUGABCEFHIUURLNUURVCZQSU
          AVPVFZVQUUHCUURMACUURMVOUUBUUGABCEFHIUURMNUUSQSUBVPVFZVQCVMUSZUUHHUGV
          RVSVTWAUSHWBIWCUOCQWBIWCWOWDZWEZUVDCWFUUHUUNVAZYHWGUVEYLWGWHWIWJWKUUH
          EWLUSZXTUURUSZYHUURUSZYLUURUSZUUJUUFVBAUVFUUBUUGPVFZUUHCUURXSKACUURKV
          OUUBUUGABCEFHIUURKNUUSQSTVPVFUUHXRCXSUUOUUPVLWMZUUHCUURYALUUTUUQWMZUU
          HCUURYAMUVAUUQWMZUURYPEYDXTYHYLUUSUUMYDVCZWPWNWJWQUUCUEXRYIYMYPYJYNWA
          UURUURUUBXRWAUSAUFCHXPIQWRWSZUUHUVFUVGUVHYIUURUSUVJUVKUVLUUREYDXTYHUU
          SUVNWTXAZUUHUVFUVGUVIYMUURUSUVJUVKUVMUUREYDXTYLUUSUVNWTXAZUUCYJWGUUCY
          NWGXBXCWKUUCUEXRUURYIYMYPYJEYNUUSUUMUUCUVFEXDUSAUVFUUBPXEEXFXLUVOUVPU
          VQYJVCYNVCXGWJWQAUEUFBCEFGYDHUDKYBINSUVNRQTABDEFILMNSUCAUVFEXHUSPEXMX
          LUAUBXIXJAUUAYSYTUUDUOYRABYPDEFIYSYTNSUUMUCABEFGIKLNSRPTUAXKABEFGIKMN
          SRPTUBXKVDAUDCYKYOYPYSYTVMVMVMUVBAUVCWEUUCEYJUQXNUUCEYNUQXNAUEUFBCEFG
          YDHUDKLINSUVNRQTUAXJAUEUFBCEFGYDHUDKMINSUVNRQTUBXJXBWJXO $.

        $( Distributive law for the ring of power series
           (right-distributivity).  (Contributed by Mario Carneiro,
           7-Jan-2015.) $)
        psrdir $p |- ( ph ->
          ( ( X .+ Y ) .X. Z ) = ( ( X .X. Z ) .+ ( Y .X. Z ) ) ) $=
          ( vk vx vy cv cle cofr wbr crab co cfv cmin cof cmpt cgsu cplusg wcel
          cmulr wa wceq eqid psradd fveq1d ad2antrr ssrab2 simpr sselid cvv cbs
          wf psrelbas ffnd ccnv cima cfn cn0 cmap ovex rabex2 inidm eqidd ofval
          cn a1i mpdan eqtrd oveq1d ffvelrnd simplr psrbagconcl syl2anc ringdir
          crg syl13anc mpteq2dva psrbaglefi adantl ringcl syl3anc eqtr4d oveq2d
          offval2 ccmn adantr ringcmn syl gsummptfidmadd2 cgrp ringgrp psraddcl
          psrmulfval psrmulcl ovexd 3eqtr4d ) AUDCEUEUFUGUDUGZUHUIUJZUFCUKZUEUG
          ZKLDULZUMZXQXTUNUOULZMUMZEUTUMZULZUPZUQULZUPUDCEUEXSXTKUMZYDYEULZUPZU
          QULZEUEXSXTLUMZYDYEULZUPZUQULZEURUMZULZUPZYAMGULKMGULZLMGULZDULZAUDCY
          HYRAXQCUSZVAZYHEYKYOYQUOZULZUQULYRUUDYGUUFEUQUUDYGUEXSYJYNYQULZUPUUFU
          UDUEXSYFUUGUUDXTXSUSZVAZYFYIYMYQULZYDYEULZUUGUUIYBUUJYDYEUUIYBXTKLUUE
          ULZUMZUUJAYBUUMVBUUCUUHAXTYAUULABYQDEFIKLNSYQVCZUCTUAVDVEVFUUIXTCUSZU
          UMUUJVBUUIXSCXTXRUFCVGZUUDUUHVHZVIZUUICCYIYMYQCKLVJVJXTUUICEVKUMZKACU
          USKVLUUCUUHABCEFHIUUSKNUUSVCZQSTVMVFZVNUUICUUSLACUUSLVLUUCUUHABCEFHIU
          USLNUUTQSUAVMVFZVNCVJUSZUUIHUGVOWEVPVQUSHVRIVSULCQVRIVSVTWAZWFZUVECWB
          UUIUUOVAZYIWCUVFYMWCWDWGWHWIUUIEWOUSZYIUUSUSZYMUUSUSZYDUUSUSZUUKUUGVB
          AUVGUUCUUHPVFZUUICUUSXTKUVAUURWJZUUICUUSXTLUVBUURWJZUUICUUSYCMACUUSMV
          LUUCUUHABCEFHIUUSMNUUTQSUBVMVFUUIXSCYCUUPUUIUUCUUHYCXSUSAUUCUUHWKUUQU
          FCXSHXQIXTQXSVCWLWMVIWJZUUSYQEYEYIYMYDUUTUUNYEVCZWNWPWHWQUUDUEXSYJYNY
          QYKYOVQUUSUUSUUCXSVQUSAUFCHXQIQWRWSZUUIUVGUVHUVJYJUUSUSUVKUVLUVNUUSEY
          EYIYDUUTUVOWTXAZUUIUVGUVIUVJYNUUSUSUVKUVMUVNUUSEYEYMYDUUTUVOWTXAZUUDY
          KWCUUDYOWCXDXBXCUUDUEXSUUSYJYNYQYKEYOUUTUUNUUDUVGEXEUSAUVGUUCPXFEXGXH
          UVPUVQUVRYKVCYOVCXIWHWQAUEUFBCEFGYEHUDYAMINSUVORQABDEFIKLNSUCAUVGEXJU
          SPEXKXHTUAXLUBXMAUUBYTUUAUUEULYSABYQDEFIYTUUANSUUNUCABEFGIKMNSRPTUBXN
          ABEFGILMNSRPUAUBXNVDAUDCYLYPYQYTUUAVJVJVJUVCAUVDWFUUDEYKUQXOUUDEYOUQX
          OAUEUFBCEFGYEHUDKMINSUVORQTUBXMAUEUFBCEFGYEHUDLMINSUVORQUAUBXMXDWHXP
          $.
      $}

      ${
        psrass23l.k $e |- K = ( Base ` R ) $.
        psrass23l.n $e |- .x. = ( .s ` S ) $.
        psrass23l.a $e |- ( ph -> A e. K ) $.
        $( Associative identity for the ring of power series.  Part of
           ~ psrass23 which does not require the scalar ring to be commutative.
           (Contributed by Mario Carneiro, 7-Jan-2015.)  (Revised by AV,
           14-Aug-2019.) $)
        psrass23l $p |- ( ph -> ( ( A .x. X ) .X. Y )
                                = ( A .x. ( X .X. Y ) ) ) $=
          ( vk vx vy cv cle cofr wbr crab cfv cmin cof cmulr cmpt cgsu wcel cbs
          co adantr eleqtrdi ad2antrr ssrab2 simpr sselid psrvscaval oveq1d crg
          wa eqid psrelbas ffvelrnd simplr psrbagconcl syl2anc ringass syl13anc
          wceq mpteq2dva oveq2d cplusg cfn c0g psrbaglefi adantl ringcl syl3anc
          eqtrd cvv wfun w3a csupp wss cfsupp ccnv cn cima cn0 cmap ovex rabex2
          mptrabex funmpt fvex 3pm3.2i a1i suppssdm dmmptss sstri suppssfifsupp
          cdm syl12anc gsummulc2 psrvscacl psrmulfval csn cxp psrvsca fconstmpt
          psrmulcl ovexd offval2 3eqtr4d ) AUFDEUGUHUIUFUIZUJUKULZUHDUMZUGUIZBM
          GVBZUNZYGYJUOUPVBZNUNZEUQUNZVBZURZUSVBZURUFDBEUGYIYJMUNZYNYOVBZURZUSV
          BZYOVBZURZYKNHVBBMNHVBZGVBZAUFDYRUUCAYGDUTZVLZYREUGYIBYTYOVBZURZUSVBU
          UCUUHYQUUJEUSUUHUGYIYPUUIUUHYJYIUTZVLZYPBYSYOVBZYNYOVBZUUIUULYLUUMYNY
          OUULCDEFGYOIMJEVAUNZBYJOUDUUOVMZTYOVMZRUUHBUUOUTZUUKUUHBKUUOABKUTUUGU
          EVCZUCVDZVCZAMCUTUUGUUKUAVEZUULYIDYJYHUHDVFZUUHUUKVGZVHZVIVJUULEVKUTZ
          UURYSUUOUTZYNUUOUTZUUNUUIWAAUVFUUGUUKQVEZUVAUULDUUOYJMUULCDEFIJUUOMOU
          UPRTUVBVNUVEVOZUULDUUOYMNUULCDEFIJUUONOUUPRTANCUTUUGUUKUBVEVNUULYIDYM
          UVCUULUUGUUKYMYIUTAUUGUUKVPUVDUHDYIIYGJYJRYIVMVQVRVHVOZUUOEYOBYSYNUUP
          UUQVSVTWKWBWCUUHYIUUOEWDUNZEYOUGWEYTBEWFUNZUUPUVMVMUVLVMUUQAUVFUUGQVC
          UUGYIWEUTZAUHDIYGJRWGWHZUUTUULUVFUVGUVHYTUUOUTUVIUVJUVKUUOEYOYSYNUUPU
          UQWIWJUUHUUAWLUTZUUAWMZUVMWLUTZWNZUVNUUAUVMWOVBZYIWPZUUAUVMWQULUVSUUH
          UVPUVQUVRYHUGUHDYTIUIWRWSWTWEUTIXAJXBVBDRXAJXBXCXDZXEUGYIYTXFEWFXGXHX
          IUVOUWAUUHUVTUUAXNYIUUAUVMXJUGYIYTUUAUUAVMXKXLXIYIUUAWLWLUVMXMXOXPWKW
          BAUGUHCDEFHYOIUFYKNJOTUUQSRACEFGMJKBOUDUCTQUEUAXQUBXRAUUFDBXSXTZUUEYO
          UPVBUUDACDEFGYOIUUEJKBOUDUCTUUQRUEACEFHJMNOTSQUAUBYCYAAUFDBUUBYOUWCUU
          EWLKWLDWLUTAUWBXIUUSUUHEUUAUSYDUWCUFDBURWAAUFDBYBXIAUGUHCDEFHYOIUFMNJ
          OTUUQSRUAUBXRYEWKYF $.
      $}

      psrcom.c $e |- ( ph -> R e. CRing ) $.
      $( Commutative law for the ring of power series.  (Contributed by Mario
         Carneiro, 7-Jan-2015.) $)
      psrcom $p |- ( ph -> ( X .X. Y ) = ( Y .X. X ) ) $=
        ( vx vk vg vj vz cv cle cofr wbr crab cfv cmin cof cmulr cmpt cgsu wcel
        co wa ccom cbs cfn c0g eqid ccmn crg ringcmn adantr psrbaglefi ad2antrr
        syl adantl psrelbas simpr breq1 elrab sylib simpld ffvelrnd cn0 psrbagf
        simplr simprd psrbagcon syl3anc ringcl fmpttd cvv wfun csupp wss cfsupp
        wf ccnv cn cima cmap rabex2 a1i rabexg mptexd funmpt fvexd cdm suppssdm
        ovex dmmptss sstri suppssfifsupp syl32anc wf1o psrbagconf1o psrbagconcl
        gsumf1o syl2anc eqidd fveq2 oveq2 fveq2d oveq12d fmptco ffvelrnda nn0cn
        wceq nncan syl2an mpteq2dva feqmptd offval2 3eqtr4d oveq2d ccrg crngcom
        cc eqtrd psrmulfval ) AUACDUBUCUFZUAUFZUGUHZUIZUCCUJZUBUFZJUKZYRUUBULUM
        ZURZKUKZDUNUKZURZUOZUPURZUOUACDUDUUAUDUFZKUKZYRUUKUUDURZJUKZUUGURZUOZUP
        URZUOJKFURKJFURAUACUUJUUQAYRCUQZUSZUUJDUUIUDUUAUUMUOZUTZUPURUUQUUSUUADV
        AUKZUUAUUIDUUTVBDVCUKZUVBVDZUVCVDADVEUQZUURADVFUQZUVENDVGVKVHUURUUAVBUQ
        ZAUCCGYRHOVIVLZUUSUBUUAUUHUVBUUSUUBUUAUQZUSZUVFUUCUVBUQUUFUVBUQUUHUVBUQ
        AUVFUURUVINVJUVJCUVBUUBJACUVBJWMZUURUVIABCDEGHUVBJLUVDOQRVMZVJUVJUUBCUQ
        ZUUBYRYSUIZUVJUVIUVMUVNUSUUSUVIVNYTUVNUCUUBCYQUUBYRYSVOVPVQZVRZVSUVJCUV
        BUUEKACUVBKWMZUURUVIABCDEGHUVBKLUVDOQSVMZVJUVJUUECUQZUUEYRYSUIZUVJUURHV
        TUUBWMZUVNUVSUVTUSAUURUVIWBUVJUVMUWAUVPCGUUBHOWAVKUVJUVMUVNUVOWCCGYRUUB
        HOWDWEVRVSUVBDUUGUUCUUFUVDUUGVDZWFWEWGUUSUUIWHUQUUIWIZUVCWHUQUVGUUIUVCW
        JURZUUAWKZUUIUVCWLUIUUSUBUUAUUHWHUUSCWHUQZUUAWHUQUWFUUSGUFWNWOWPVBUQGVT
        HWQURCOVTHWQXFWRWSYTUCCWHWTVKXAUWCUUSUBUUAUUHXBWSUUSDVCXCUVHUWEUUSUWDUU
        IXDUUAUUIUVCXEUBUUAUUHUUIUUIVDXGXHWSUUAUUIWHWHUVCXIXJUURUUAUUAUUTXKAUDU
        CCUUAGYRHOUUAVDZXLVLXNUUSUVAUUPDUPUUSUVAUDUUAUUNYRUUMUUDURZKUKZUUGURZUO
        UUPUUSUDUBUUAUUAUUMUUHUWJUUTUUIUUSUUKUUAUQZUSZUURUWKUUMUUAUQAUURUWKWBZU
        USUWKVNZUCCUUAGYRHUUKOUWGXMXOUUSUUTXPUUSUUIXPUUBUUMYDZUUCUUNUUFUWIUUGUU
        BUUMJXQUWOUUEUWHKUUBUUMYRUUDXRXSXTYAUUSUDUUAUWJUUOUWLUWJUUNUULUUGURZUUO
        UWLUWIUULUUNUUGUWLUWHUUKKUWLUEHUEUFZYRUKZUWRUWQUUKUKZULURZULURZUOUEHUWS
        UOUWHUUKUWLUEHUXAUWSUWLUWQHUQUSZUWRVTUQZUWSVTUQZUXAUWSYDZUWLHVTUWQYRUUS
        HVTYRWMZUWKUURUXFACGYRHOWAVLVHZYBZUWLHVTUWQUUKUWLUUKCUQZHVTUUKWMZUWLUXI
        UUKYRYSUIZUWLUWKUXIUXKUSUWNYTUXKUCUUKCYQUUKYRYSVOVPVQZVRZCGUUKHOWAVKZYB
        ZUXCUWRYNUQUWSYNUQUXEUXDUWRYCUWSYCUWRUWSYEYFXOYGUWLUEHUWRUWTULYRUUMIVTW
        HAHIUQUURUWKMVJZUXHUWTWHUQUXBUWRUWSULXFWSUWLUEHVTYRUXGYHZUWLUEHUWRUWSUL
        YRUUKIVTVTUXPUXHUXOUXQUWLUEHVTUUKUXNYHZYIYIUXRYJXSYKUWLDYLUQZUUNUVBUQUU
        LUVBUQUWPUUOYDAUXSUURUWKTVJUWLCUVBUUMJAUVKUURUWKUVLVJUWLUUMCUQZUUMYRYSU
        IZUWLUURUXJUXKUXTUYAUSUWMUXNUWLUXIUXKUXLWCCGYRUUKHOWDWEVRVSUWLCUVBUUKKA
        UVQUURUWKUVRVJUXMVSUVBDUUGUUNUULUVDUWBYMWEYOYGYOYKYOYGAUBUCBCDEFUUGGUAJ
        KHLQUWBPORSYPAUDUCBCDEFUUGGUAKJHLQUWBPOSRYPYJ $.

      psrass.k $e |- K = ( Base ` R ) $.
      psrass.n $e |- .x. = ( .s ` S ) $.
      psrass.a $e |- ( ph -> A e. K ) $.
      $( Associative identities for the ring of power series.  (Contributed by
         Mario Carneiro, 7-Jan-2015.)  (Proof shortened by AV, 25-Nov-2019.) $)
      psrass23 $p |- ( ph -> ( ( ( A .x. X ) .X. Y ) = ( A .x. ( X .X. Y ) ) /\
        ( X .X. ( A .x. Y ) ) = ( A .x. ( X .X. Y ) ) ) ) $=
        ( vk vx vy vu vv vw co wceq psrass23l cv cle cofr wbr crab cfv cmin cof
        cmulr cmpt cgsu wcel wa cbs eqid adantr eleqtrdi ad2antrr ssrab2 simplr
        simpr psrbagconcl sselid psrvscaval oveq2d psrelbas ffvelrnd ccrg 3expb
        syl2anc crngcom sylan crg w3a ringass eqtrd mpteq2dva cplusg psrbaglefi
        caov12d cfn c0g adantl ringcl syl3anc cvv wfun csupp wss cfsupp ccnv cn
        cima cn0 cmap ovex rabex2 mptrabex funmpt fvex 3pm3.2i a1i cdm suppssdm
        dmmptss sstri suppssfifsupp syl12anc gsummulc2 psrvscacl psrmulfval csn
        cxp psrmulcl psrvsca fconstmpt offval2 3eqtr4d jca ) ABMGUMNHUMBMNHUMZG
        UMZUNMBNGUMZHUMZYPUNABCDEFGHIJKLMNOPQRSTUAUBUDUEUFUOAUGDEUHUIUPUGUPZUQU
        RUSZUIDUTZUHUPZMVAZYSUUBVBVCUMZYQVAZEVDVAZUMZVEZVFUMZVEUGDBEUHUUAUUCUUD
        NVAZUUFUMZVEZVFUMZUUFUMZVEZYRYPAUGDUUIUUNAYSDVGZVHZUUIEUHUUABUUKUUFUMZV
        EZVFUMUUNUUQUUHUUSEVFUUQUHUUAUUGUURUUQUUBUUAVGZVHZUUGUUCBUUJUUFUMZUUFUM
        UURUVAUUEUVBUUCUUFUVACDEFGUUFINJEVIVAZBUUDOUEUVCVJZTUUFVJZRUUQBUVCVGUUT
        UUQBKUVCABKVGUUPUFVKZUDVLZVKZANCVGUUPUUTUBVMZUVAUUADUUDYTUIDVNZUVAUUPUU
        TUUDUUAVGAUUPUUTVOUUQUUTVPZUIDUUAIYSJUUBRUUAVJVQWEVRZVSVTUVAUJUKULUUCBU
        UJUVCUUFUVADUVCUUBMUVACDEFIJUVCMOUVDRTAMCVGUUPUUTUAVMWAUVAUUADUUBUVJUVK
        VRWBZUVHUVADUVCUUDNUVACDEFIJUVCNOUVDRTUVIWAUVLWBZUVAEWCVGZUJUPZUVCVGZUK
        UPZUVCVGZVHUVPUVRUUFUMZUVRUVPUUFUMUNZAUVOUUPUUTUCVMUVOUVQUVSUWAUVCEUUFU
        VPUVRUVDUVEWFWDWGUVAEWHVGZUVQUVSULUPZUVCVGWIUVTUWCUUFUMUVPUVRUWCUUFUMUU
        FUMUNAUWBUUPUUTQVMZUVCEUUFUVPUVRUWCUVDUVEWJWGWOWKWLVTUUQUUAUVCEWMVAZEUU
        FUHWPUUKBEWQVAZUVDUWFVJUWEVJUVEAUWBUUPQVKUUPUUAWPVGZAUIDIYSJRWNWRZUVGUV
        AUWBUUCUVCVGUUJUVCVGUUKUVCVGUWDUVMUVNUVCEUUFUUCUUJUVDUVEWSWTUUQUULXAVGZ
        UULXBZUWFXAVGZWIZUWGUULUWFXCUMZUUAXDZUULUWFXEUSUWLUUQUWIUWJUWKYTUHUIDUU
        KIUPXFXGXHWPVGIXIJXJUMDRXIJXJXKXLZXMUHUUAUUKXNEWQXOXPXQUWHUWNUUQUWMUULX
        RUUAUULUWFXSUHUUAUUKUULUULVJXTYAXQUUAUULXAXAUWFYBYCYDWKWLAUHUICDEFHUUFI
        UGMYQJOTUVESRUAACEFGNJKBOUEUDTQUFUBYEYFAYPDBYGYHZYOUUFVCUMUUOACDEFGUUFI
        YOJKBOUEUDTUVERUFACEFHJMNOTSQUAUBYIYJAUGDBUUMUUFUWPYOXAKXADXAVGAUWOXQUV
        FUUMXAVGUUQEUULVFXKXQUWPUGDBVEUNAUGDBYKXQAUHUICDEFHUUFIUGMNJOTUVESRUAUB
        YFYLWKYMYN $.
    $}

    $( The ring of power series is a ring.  (Contributed by Mario Carneiro,
       29-Dec-2014.) $)
    psrring $p |- ( ph -> S e. Ring ) $=
      ( vx vy vz vr vf cfv cv wcel eqidd w3a eqid adantr cplusg cmulr ccnv cima
      cbs cn cfn cn0 cmap co crab cc0 csn cxp wceq cur c0g cif cmpt crg ringgrp
      cgrp psrgrp 3ad2ant1 simp2 simp3 psrmulcl wa simpr1 simpr2 simpr3 psrass1
      syl psrdi psrdir psr1cl simpr psrlidm psrridm isringd ) AIJKCUENZCUANZCCU
      BNZLMOUCUFUDUGPMUHDUIUJUKZLODULUMUNUOBUPNZBUQNZURUSZAWAQAWBQAWCQABCDEFGAB
      UTPZBVBPHBVAVMVCAIOZWAPZJOZWAPZRWABCWCDWIWKFWASZWCSZAWJWHWLHVDAWJWLVEAWJW
      LVFVGAWJWLKOZWAPZRZVHZWAWDBCWCMDEWIWKWOFADEPZWQGTZAWHWQHTZWDSZWNWMAWJWLWP
      VIZAWJWLWPVJZAWJWLWPVKZVLWRWAWDWBBCWCMDEWIWKWOFWTXAXBWNWMXCXDXEWBSZVNWRWA
      WDWBBCWCMDEWIWKWOFWTXAXBWNWMXCXDXEXFVOALWAWDBCWGWEMDEWFFGHXBWFSZWESZWGSZW
      MVPAWJVHZLWAWDBCWCWGWEMDEWIWFFAWSWJGTZAWHWJHTZXBXGXHXIWMWNAWJVQZVRXJLWAWD
      BCWCWGWEMDEWIWFFXKXLXBXGXHXIWMWNXMVSVT $.

    psr1.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
    psr1.z $e |- .0. = ( 0g ` R ) $.
    psr1.o $e |- .1. = ( 1r ` R ) $.
    psr1.u $e |- U = ( 1r ` S ) $.
    $( The identity element of the ring of power series.  (Contributed by Mario
       Carneiro, 8-Jan-2015.) $)
    psr1 $p |- ( ph ->
      U = ( x e. D |-> if ( x = ( I X. { 0 } ) , .1. , .0. ) ) ) $=
      ( vy wcel cv cc0 csn cxp wceq cif cmpt cbs cmulr co wa wral psr1cl adantr
      cfv eqid crg simpr psrlidm psrridm ralrimiva wb psrring isringid mpbi2and
      jca syl ) ABCBUAIUBUCUDUEGKUFUGZEUHUOZTZVHSUAZEUIUOZUJVKUEZVKVHVLUJVKUEZU
      KZSVIULZFVHUEZABVICDEVHGHIJKLMNOPQVHUPZVIUPZUMAVOSVIAVKVITZUKZVMVNWABVICD
      EVLVHGHIJVKKLAIJTVTMUNZADUQTVTNUNZOPQVRVSVLUPZAVTURZUSWABVICDEVLVHGHIJVKK
      LWBWCOPQVRVSWDWEUTVFVAAEUQTVJVPUKVQVBADEIJLMNVCSVIEVLFVHVSWDRVDVGVE $.
  $}

  ${
    $d f I $.  $d x y z ph $.  $d f x y z R $.  $d x y z S $.
    psrcnrg.s $e |- S = ( I mPwSer R ) $.
    psrcnrg.i $e |- ( ph -> I e. V ) $.
    psrcnrg.r $e |- ( ph -> R e. CRing ) $.
    $( The ring of power series is commutative ring.  (Contributed by Mario
       Carneiro, 10-Jan-2015.) $)
    psrcrng $p |- ( ph -> S e. CRing ) $=
      ( vx vy vf crg wcel cfv ccrg syl cbs eqid cv 3ad2ant1 cmgp crngring cmulr
      ccmn psrring wceq mgpbas a1i cplusg mgpplusg cmnd ringmgp w3a ccnv cn cfn
      cima cn0 cmap co crab simp2 simp3 psrcom iscmnd iscrng sylanbrc ) ACLMZCU
      ANZUDMCOMABCDEFGABOMZBLMZHBUBPZUEZAIJCQNZCUCNZVIVNVIQNUFAVNCVIVIRZVNRZUGU
      HVOVIUINUFACVOVIVPVORZUJUHAVHVIUKMVMCVIVPULPAISZVNMZJSZVNMZUMVNKSUNUOUQUP
      MKURDUSUTVAZBCVOKDEVSWAFAVTDEMWBGTAVTVKWBVLTWCRVRVQAVTWBVBAVTWBVCAVTVJWBH
      TVDVECVIVPVFVG $.

    $( The ring of power series is an associative algebra.  (Contributed by
       Mario Carneiro, 29-Dec-2014.) $)
    psrassa $p |- ( ph -> S e. AssAlg ) $=
      ( vy vz vx vf cbs cfv eqidd wcel cv co adantr eqid cvsca cmulr psrsca crg
      ccrg crngring syl psrlmod psrring w3a wa wceq ccnv cima cfn cn0 cmap crab
      cn simpr2 simpr3 simpr1 psrass23 simpld simprd isassad ) AIJBMNZCUANZCUBN
      ZBCMNZCKAVJOABCDEUEFGHUCAVGOAVHOAVIOABCDEFGABUEPZBUDPZHBUFUGZUHABCDEFGVMU
      IHAKQZVGPZIQZVJPZJQZVJPZUJZUKZVNVPVHRVRVIRVNVPVRVIRVHRZULZVPVNVRVHRVIRWBU
      LZWAVNVJLQUMUSUNUOPLUPDUQRURZBCVHVILDVGEVPVRFADEPVTGSAVLVTVMSWETVITVJTAVO
      VQVSUTAVOVQVSVAAVKVTHSVGTVHTAVOVQVSVBVCZVDWAWCWDWFVEVF $.
  $}

  ${
    $d k x B $.  $d k x H $.  $d k x ph $.  $d k x R $.  $d k x S $.  $d x T $.
    $d f k x y I $.  $d k x X $.  $d k x Y $.
    resspsr.s $e |- S = ( I mPwSer R ) $.
    resspsr.h $e |- H = ( R |`s T ) $.
    resspsr.u $e |- U = ( I mPwSer H ) $.
    resspsr.b $e |- B = ( Base ` U ) $.
    resspsr.p $e |- P = ( S |`s B ) $.
    resspsr.2 $e |- ( ph -> T e. ( SubRing ` R ) ) $.
    $( A restricted power series algebra has the same base set.  (Contributed
       by Mario Carneiro, 3-Jul-2015.) $)
    resspsrbas $p |- ( ph -> B = ( Base ` P ) ) $=
      ( vf cbs cfv cvv c0 wss wceq wcel wa cv ccnv cn cima cfn cn0 cmap co crab
      fvex csubrg subrgbas syl eqid subrgss eqsstrrd adantr mapss sylancr simpr
      psrbas 3sstr4d wn cmps reldmpsr ovprc1 eqtrid adantl fveq2d base0 3eqtr4g
      0ss eqsstrdi pm2.61dan ressbas2 ) ABEQRZUAZBCQRUBAISUCZWAAWBUDZHQRZPUEUFU
      GUHUIUCPUJIUKULUMZUKULZDQRZWEUKULZBVTWCWGSUCWDWGUAZWFWHUADQUNAWIWBAWDFWGA
      FDUORUCZFWDUBOFDHKUPUQAWJFWGUAOFWGDWGURZUSUQUTVAWDWGWESVBVCWCBWEHGPIWDSLW
      DURWEURZMAWBVDZVEWCVTWEDEPIWGSJWKWLVTURZWMVEVFAWBVGZUDZBTVTWPGQRTQRBTWPGT
      QWOGTUBAWOGIHVHULTLIHVHVIVJVKVLVMMVNVOVTVPVQVRBVTCENWNVSUQ $.

    $( A restricted power series algebra has the same addition operation.
       (Contributed by Mario Carneiro, 3-Jul-2015.) $)
    resspsradd $p |- ( ( ph /\ ( X e. B /\ Y e. B ) ) ->
        ( X ( +g ` U ) Y ) = ( X ( +g ` P ) Y ) ) $=
      ( wcel cfv co vf wa cplusg cof eqid simprl simprr psradd cbs cv ccnv cima
      cn cfn cn0 cmap crab wss cvv fvex csubrg wceq subrgbas syl eqsstrrd mapss
      subrgss sylancr adantr cmps reldmpsr elbasov simpld psrbas 3sstr4d sseldd
      ad2antrl ressplusg ofeqd oveqd eqtrd fvexi mp1i 3eqtr2d ) AJBRZKBRZUBZUBZ
      JKGUCSZTJKHUCSZUDZTZJKEUCSZTZJKCUCSZTWHBWJWIHGIJKNOWJUEWIUEAWEWFUFZAWEWFU
      GZUHWHWNJKDUCSZUDZTWLWHEUISZWRWMDEIJKLWTUEZWRUEZWMUEZWHBWTJWHHUISZUAUJUKU
      MULUNRUAUOIUPTUQZUPTZDUISZXEUPTZBWTAXFXHURZWGAXGUSRXDXGURXIDUIUTAXDFXGAFD
      VASZRZFXDVBQFDHMVCVDAXKFXGURQFXGDXGUEZVGVDVEXDXGXEUSVFVHVIWHBXEHGUAIXDUSN
      XDUEXEUEZOWHIUSRZHUSRZWEXNXOUBAWFJBGVJIHVKNOVLVQVMZVNWHWTXEDEUAIXGUSLXLXM
      XAXPVNVOZWPVPWHBWTKXQWQVPUHWHWSWKJKWHWRWJAWRWJVBZWGAXKXRQFWRDHXJMXBVRVDVI
      VSVTWAWHWMWOJKBUSRWMWOVBWHBGUIOWBBWMECUSPXCVRWCVTWD $.

    $( A restricted power series algebra has the same multiplication operation.
       (Contributed by Mario Carneiro, 3-Jul-2015.) $)
    resspsrmul $p |- ( ( ph /\ ( X e. B /\ Y e. B ) ) ->
        ( X ( .r ` U ) Y ) = ( X ( .r ` P ) Y ) ) $=
      ( wcel cfv co vk vf vx vy wa cmulr cv ccnv cn cima cfn cn0 cmap crab cofr
      cle wbr cmin cof cmpt cgsu eqid psrbaglefi adantl csubmnd csubg subrgsubg
      csubrg syl subgsubm ad2antrr ad3antrrr cbs simprl psrelbas adantr ffvelrn
      wf elrabi syl2an subrgbas eleqtrrd simprr ssrab2 simplr simpr psrbagconcl
      wceq syl2anc sselid ffvelrnd subrgmcl syl3anc gsumsubm ressmulr mpteq2dva
      fmpttd oveqd oveq2d eqtrd wss cvv subrgss eqsstrrd mapss sylancr reldmpsr
      fvex cmps elbasov ad2antrl simpld psrbas sseldd psrmulfval 3eqtr4rd fvexi
      3sstr4d mp1i ) AJBRZKBRZUEZUEZJKGUFSZTZJKEUFSZTZJKCUFSZTYCUAUBUGUHUIUJUKR
      UBULIUMTUNZDUCUDUGUAUGZUPUOUQZUDYIUNZUCUGZJSZYJYMURUSTZKSZDUFSZTZUTZVATZU
      TUAYIHUCYLYNYPHUFSZTZUTZVATZUTYGYEYCUAYIYTUUDYCYJYIRZUEZYTHYSVATUUDUUFYLF
      YSDHUKUUEYLUKRYCUDYIUBYJIYIVBZVCVDAFDVESRZYBUUEAFDVFSRZUUHAFDVHSZRZUUIQFD
      VGVIFDVJVIVKUUFUCYLYRFUUFYMYLRZUEZUUKYNFRYPFRYRFRAUUKYBUUEUULQVLZUUMYNHVM
      SZFUUFYIUUOJVRZYMYIRYNUUORUULYCUUPUUEYCBYIHGUBIUUOJNUUOVBZUUGOAXTYAVNZVOV
      PYKUDYMYIVSYIUUOYMJVQVTUUMUUKFUUOWHZUUNFDHMWAZVIZWBUUMYPUUOFUUMYIUUOYOKYC
      YIUUOKVRUUEUULYCBYIHGUBIUUOKNUUQUUGOAXTYAWCZVOVKUUMYLYIYOYKUDYIWDUUMUUEUU
      LYOYLRYCUUEUULWEUUFUULWFUDYIYLUBYJIYMUUGYLVBWGWIWJWKUVAWBFDYQYNYPYQVBZWLW
      MWQMWNUUFYSUUCHVAUUFUCYLYRUUBUUMYQUUAYNYPAYQUUAWHZYBUUEUULAUUKUVDQFDHYQUU
      JMUVCWOVIVLWRWPWSWTWPYCUCUDEVMSZYIDEYFYQUBUAJKILUVEVBZUVCYFVBZUUGYCBUVEJY
      CUUOYIUMTZDVMSZYIUMTZBUVEAUVHUVJXAZYBAUVIXBRUUOUVIXAUVKDVMXHAUUOFUVIAUUKU
      USQUUTVIAUUKFUVIXAQFUVIDUVIVBZXCVIXDUUOUVIYIXBXEXFVPYCBYIHGUBIUUOXBNUUQUU
      GOYCIXBRZHXBRZXTUVMUVNUEAYAJBGXIIHXGNOXJXKXLZXMYCUVEYIDEUBIUVIXBLUVLUUGUV
      FUVOXMXRZUURXNYCBUVEKUVPUVBXNXOYCUCUDBYIHGYDUUAUBUAJKINOUUAVBYDVBUUGUURUV
      BXOXPYCYFYHJKBXBRYFYHWHYCBGVMOXQBECYFXBPUVGWOXSWRWT $.

    $( A restricted power series algebra has the same scalar multiplication
       operation.  (Contributed by Mario Carneiro, 3-Jul-2015.) $)
    resspsrvsca $p |- ( ( ph /\ ( X e. T /\ Y e. B ) ) ->
        ( X ( .s ` U ) Y ) = ( X ( .s ` P ) Y ) ) $=
      ( cfv co eqid vf wcel wa cvsca cv ccnv cn cima cfn cn0 cmap csn cxp cmulr
      crab cof cbs simprl csubrg adantr subrgbas syl eleqtrd simprr psrvsca wss
      wceq subrgss resspsrbas ressbasss eqsstrdi ressmulr ofeq 3syl oveqd eqtrd
      sseldd cvv fvexi ressvsca mp1i 3eqtr2d ) AJFUBZKBUBZUCZUCZJKGUDRZSUAUEUFU
      GUHUIUBUAUJIUKSUOZJULUMZKHUNRZUPZSZJKEUDRZSZJKCUDRZSWFBWHHGWGWJUAKIHUQRZJ
      NWGTWPTOWJTWHTZWFJFWPAWCWDURZWFFDUSRZUBZFWPVGAWTWEQUTZFDHMVAVBVCAWCWDVDZV
      EWFWNWIKDUNRZUPZSWLWFEUQRZWHDEWMXCUAKIDUQRZJLWMTZXFTZXETZXCTZWQWFFXFJWFWT
      FXFVFXAFXFDXHVHVBWRVQWFBXEKABXEVFWEABCUQRXEABCDEFGHILMNOPQVIBXECEPXIVJVKU
      TXBVQVEWFXDWKWIKWFWTXCWJVGXDWKVGXAFDHXCWSMXJVLXCWJVMVNVOVPWFWMWOJKBVRUBWM
      WOVGWFBGUQOVSBWMECVRPXGVTWAVOWB $.
  $}

  ${
    $d x y B $.  $d x H $.  $d x y S $.  $d x y T $.  $d x y U $.  $d x y V $.
    $d f x y I $.  $d f x y R $.
    subrgpsr.s $e |- S = ( I mPwSer R ) $.
    subrgpsr.h $e |- H = ( R |`s T ) $.
    subrgpsr.u $e |- U = ( I mPwSer H ) $.
    subrgpsr.b $e |- B = ( Base ` U ) $.
    $( A subring of the base ring induces a subring of power series.
       (Contributed by Mario Carneiro, 3-Jul-2015.) $)
    subrgpsr $p |- ( ( I e. V /\ T e. ( SubRing ` R ) ) ->
        B e. ( SubRing ` S ) ) $=
      ( vx vf wcel cfv crg cbs adantl eqid vy csubrg wa cress co simpl subrgrcl
      wss cur psrring subrgring wceq a1i simpr resspsrbas resspsradd resspsrmul
      cv ringpropd mpbid ressbasss eqsstrdi ccnv cima cfn cn0 cmap crab cc0 csn
      cn wf cxp c0g cif psr1 subrg1cl csubg subrgsubg subg0cl syl ifcld eleqtrd
      subrgbas adantr fmpt3d fvex ovex rabex sylibr psrbas eleqtrrd jca issubrg
      elmap syl21anbrc ) GHOZDBUBPOZUCZCQOCAUDUEZQOZACRPZUHZCUIPZAOZUCACUBPOWSB
      CGHIWQWRUFZWRBQOWQDBUGSZUJWSEQOXAWSFEGHKXFWRFQOWQDBFJUKSUJWSMUAAEWTAERPUL
      WSLUMWSAWTBCDEFGIJKLWTTZWQWRUNZUOZWSAWTBCDEFGMURZUAURZIJKLXHXIUPWSAWTBCDE
      FGXKXLIJKLXHXIUQUSUTWSXCXEWSAWTRPXBXJAXBWTCXHXBTZVAVBWSXDFRPZNURVCVKVDVEO
      ZNVFGVGUEZVHZVGUEZAWSXQXNXDVLXDXROWSMXQXKGVIVJVMULZBUIPZBVNPZVOZXNXDWSMXQ
      BCXDXTNGHYAIXFXGXQTZYATZXTTZXDTZVPWSYBXNOXKXQOWSYBDXNWRYBDOWQWRXSXTYADDBX
      TYEVQWRDBVRPOYADODBVSDBYAYDVTWAWBSWRDXNULWQDBFJWDSWCWEWFXNXQXDFRWGXONXPVF
      GVGWHWIWOWJWSAXQFENGXNHKXNTYCLXFWKWLWMAXBCXDXMYFWNWP $.
  $}

  ${
    $d f i r x .0. $.  $d f i r x .1. $.  $d f i r x y D $.  $d f F $.
    $d y W $.  $d f h i r x y I $.  $d f i r x R $.  $d f h x y X $.
    mvrfval.v $e |- V = ( I mVar R ) $.
    mvrfval.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    mvrfval.z $e |- .0. = ( 0g ` R ) $.
    mvrfval.o $e |- .1. = ( 1r ` R ) $.
    mvrfval.i $e |- ( ph -> I e. W ) $.
    mvrfval.r $e |- ( ph -> R e. Y ) $.
    $( Value of the generating elements of the power series structure.
       (Contributed by Mario Carneiro, 7-Jan-2015.) $)
    mvrfval $p |- ( ph -> V = ( x e. I |-> ( f e. D |->
        if ( f = ( y e. I |-> if ( y = x , 1 , 0 ) ) , .1. , .0. ) ) ) ) $=
      ( wceq vi vr cmvr co cv c1 cc0 cif cmpt cvv wcel elexd mptexd ccnv cn cfn
      cima cn0 cmap crab cur cfv c0g simpl oveq2d rabeqdv eqtr4di mpteq1 adantr
      wa eqeq2d simpr fveq2d ifbieq12d mpteq12dv df-mvr ovmpoga syl3anc eqtrid
      ) AJIEUCUDZBIGDGUEZCICUEBUETUFUGUHZUIZTZFMUHZUIZUIZNAIUJUKEUJUKWGUJUKVTWG
      TAIKRULAELSULABIWFKRUMUAUBIEUJUJBUAUEZGHUEUNUOUQUPUKZHURWHUSUDZUTZWACWHWB
      UIZTZUBUEZVAVBZWNVCVBZUHZUIZUIWGUCUJWHITZWNETZVJZBWHWRIWFWSWTVDZXAGWKWQDW
      EXAWKWIHURIUSUDZUTDXAWIHWJXCXAWHIURUSXBVEVFOVGXAWMWDWOWPFMXAWLWCWAWSWLWCT
      WTCWHIWBVHVIVKXAWOEVAVBFXAWNEVAWSWTVLZVMQVGXAWPEVCVBMXAWNEVCXDVMPVGVNVOVO
      BCGHUAUBVPVQVRVS $.

    mvrval.x $e |- ( ph -> X e. I ) $.
    $( Value of the generating elements of the power series structure.
       (Contributed by Mario Carneiro, 7-Jan-2015.) $)
    mvrval $p |- ( ph -> ( V ` X ) = ( f e. D |->
        if ( f = ( y e. I |-> if ( y = X , 1 , 0 ) ) , .1. , .0. ) ) ) $=
      ( vx cfv cv wceq c1 cc0 cif cmpt mvrfval fveq1d wcel eqeq2 ifbid mpteq2dv
      eqeq2d eqid ccnv cn cima cfn cn0 cmap ovex rabex2 mptex fvmpt syl eqtrd
      co ) AKIUBKUAHFCFUCZBHBUCZUAUCZUDZUEUFUGZUHZUDZEMUGZUHZUHZUBZFCVJBHVKKUDZ
      UEUFUGZUHZUDZEMUGZUHZAKIVSAUABCDEFGHIJLMNOPQRSUIUJAKHUKVTWFUDTUAKVRWFHVSV
      LKUDZFCVQWEWGVPWDEMWGVOWCVJWGBHVNWBWGVMWAUEUFVLKVKULUMUNUOUMUNVSUPFCWEGUC
      UQURUSUTUKGVAHVBVICOVAHVBVCVDVEVFVGVH $.

    ${
      mvrval2.f $e |- ( ph -> F e. D ) $.
      $( Value of the generating elements of the power series structure.
         (Contributed by Mario Carneiro, 7-Jan-2015.) $)
      mvrval2 $p |- ( ph -> ( ( V ` X ) ` F ) =
          if ( F = ( y e. I |-> if ( y = X , 1 , 0 ) ) , .1. , .0. ) ) $=
        ( vf cfv cv wceq cc0 cif cmpt mvrval fveq1d wcel eqeq1 ifbid eqid fvexi
        c1 cur c0g ifex fvmpt syl eqtrd ) AGKIUCZUCGUBCUBUDZBHBUDKUEUPUFUGUHZUE
        ZEMUGZUHZUCZGVEUEZEMUGZAGVCVHABCDEUBFHIJKLMNOPQRSTUIUJAGCUKVIVKUEUAUBGV
        GVKCVHVDGUEVFVJEMVDGVEULUMVHUNVJEMEDUQQUOMDURPUOUSUTVAVB $.
    $}

    $( The ` X i ` -th coefficient of the term ` X i ` is ` 1 ` .  (Contributed
       by Mario Carneiro, 7-Jan-2015.) $)
    mvrid $p |- ( ph -> ( ( V ` X ) ` ( y e. I |-> if ( y = X , 1 , 0 ) ) )
        = .1. ) $=
      ( c1 cv wceq cc0 cif cmpt cfv wcel cn0 snifpsrbag sylancl mvrval2 iftruei
      1nn0 eqid eqtrdi ) ABGBUAJUBTUCUDUEZJHUFUFUPUPUBZELUDEABCDEFUPGHIJKLMNOPQ
      RSAGIUGTUHUGUPCUGQUMBCFGTIJNUIUJUKUQELUPUNULUO $.
  $}

  ${
    $d f h x y z I $.  $d f x y ph $.  $d f x R $.  $d x y V $.  $d y z W $.
    $d x B $.
    mvrf.s $e |- S = ( I mPwSer R ) $.
    mvrf.v $e |- V = ( I mVar R ) $.
    mvrf.b $e |- B = ( Base ` S ) $.
    mvrf.i $e |- ( ph -> I e. W ) $.
    mvrf.r $e |- ( ph -> R e. Ring ) $.
    $( The power series variable function is a function from the index set to
       elements of the power series structure representing ` X i ` for each
       ` i ` .  (Contributed by Mario Carneiro, 29-Dec-2014.) $)
    mvrf $p |- ( ph -> V : I --> B ) $=
      ( vx vf vh vy cv wcel cmap eqid ccnv cn cima cfn cn0 co crab wceq cc0 cif
      c1 cmpt cur cfv c0g crg mvrfval wa cbs wf ringidcl ring0cl ifcld ad2antrr
      syl fmpttd fvex ovex rabex elmap sylibr psrbas adantr eleqtrrd fmpt3d ) A
      MENOQUAUBUCUDRZOUEESUFZUGZNQZPEPQMQZUHUKUIUJULUHZCUMUNZCUOUNZUJZULZBFAMPV
      RCWBNOEFGUPWCIVRTZWCTZWBTZKLUQAVTERZURZWECUSUNZVRSUFZBWJVRWKWEUTWEWLRWJNV
      RWDWKAWDWKRWIVSVRRAWAWBWCWKACUPRZWBWKRLWKCWBWKTZWHVAVEAWMWCWKRLWKCWCWNWGV
      BVEVCVDVFWKVRWECUSVGVPOVQUEESVHVIVJVKABWLUHWIABVRCDOEWKGHWNWFJKVLVMVNVO
      $.

    ${
      mvrf1.z $e |- .0. = ( 0g ` R ) $.
      mvrf1.o $e |- .1. = ( 1r ` R ) $.
      mvrf1.n $e |- ( ph -> .1. =/= .0. ) $.
      $( The power series variable function is injective if the base ring is
         nonzero.  (Contributed by Mario Carneiro, 29-Dec-2014.) $)
      mvrf1 $p |- ( ph -> V : I -1-1-> B ) $=
        ( vz c1 cc0 vx vy vh wf cv cfv wceq wi wral wf1 mvrf wcel wa wne adantr
        wn w3a cif cmpt simp2r fveq1d ccnv cn cima cfn cn0 cmap co crg 3ad2ant1
        crab eqid simp2ll mvrid simp2lr 1nn0 snifpsrbag sylancl mvrval2 3eqtr3d
        simp3 wb mpteqb 0nn0 ifcli mprg iftrue eqeq1 ifbid eqeq12d rspcv syl5bi
        a1i syl ax-1ne0 necon3abid mpbii iffalse nsyl2 syl6 mtod eqtrd necon1ad
        3expia mpd expr ralrimivva dff13 sylanbrc ) AFBGUDUAUEZGUFZUBUEZGUFZUGZ
        XJXLUGZUHZUBFUIUAFUIFBGUJABCDFGHJKLMNUKAXPUAUBFFAXJFULZXLFULZUMZXNXOAXS
        XNUMZUMZEIUNZXOAYBXTQUOYAXOEIAXTXOUPZEIUGAXTYCUQZERFRUEZXJUGZSTURZUSZRF
        YEXLUGZSTURZUSUGZEIURZIYDYHXKUFYHXMUFEYLYDYHXKXMAXSXNYCUTVAYDRUCUEVBVCV
        DVEULUCVFFVGVHVKZCEUCFGHXJVIIKYMVLZOPAXTFHULZYCMVJZAXTCVIULYCNVJZXQXRXN
        AYCVMZVNYDRYMCEUCYHFGHXLVIIKYNOPYPYQXQXRXNAYCVOYDYOSVFULYHYMULYPVPRYMUC
        FSHXJYNVQVRVSVTYDYKUPYLIUGYDYKXOAXTYCWAYDYKSXOSTURZUGZXOYDXQYKYTUHYRYKY
        GYJUGZRFUIZXQYTYGVFULZYKUUBWBRFRFYGYJVFWCUUCYEFULYFSTVFVPWDWEWMWFUUAYTR
        XJFYFYGSYJYSYFSTWGYFYIXOSTYEXJXLWHWIWJWKWLWNYTYSTUGZXOYTSTUNUUDUPWOYTUU
        DSTSYSTWHWPWQXOSTWRWSWTXAYKEIWRWNXBXDXCXEXFXGUAUBFBGXHXI $.
    $}

    mvrcl2.x $e |- ( ph -> X e. I ) $.
    $( A power series variable is an element of the base set.  (Contributed by
       Mario Carneiro, 29-Dec-2014.) $)
    mvrcl2 $p |- ( ph -> ( V ` X ) e. B ) $=
      ( mvrf ffvelrnd ) AEBHFABCDEFGIJKLMONP $.
  $}

  ${
    $d f B $.  $d f i r s I $.  $d f i r s R $.  $d i r s S $.  $d i r s U $.
    $d f X $.  $d f .0. $.
    $( The multivariate polynomial constructor is a proper binary operator.
       (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    reldmmpl $p |- Rel dom mPoly $=
      ( vi vr vs vf cvv cv cmps co c0g cfv cfsupp wbr cbs crab cress csb df-mpl
      cmpl reldmmpo ) ABEECAFBFZGHCFZDFTIJKLDUAMJNOHPRCDABQS $.

    mplval.p $e |- P = ( I mPoly R ) $.
    mplval.s $e |- S = ( I mPwSer R ) $.
    mplval.b $e |- B = ( Base ` S ) $.
    mplval.z $e |- .0. = ( 0g ` R ) $.
    ${
      mplval.u $e |- U = { f e. B | f finSupp .0. } $.
      $( Value of the set of multivariate polynomials.  (Contributed by Mario
         Carneiro, 7-Jan-2015.)  (Revised by Mario Carneiro, 2-Oct-2015.)
         (Revised by AV, 25-Jun-2019.) $)
      mplval $p |- P = ( S |`s U ) $=
        ( vs co cress cvv wceq cmps eqtr4di vi vr cmpl wa cv c0g cfv cfsupp wbr
        wcel cbs crab csb ovexd oveq12 sylan9eqr fveq2d simplr breq2d rabeqbidv
        id oveq12d csbied df-mpl ovmpoa wn reldmmpl ovprc ress0 reldmpsr eqtrid
        ovex c0 oveq1d eqtr4d pm2.61i eqtri ) BGCUCOZDEPOZIGQUJCQUJUDZVRVSRUAUB
        GCQQNUAUEZUBUEZSOZNUEZFUEZWBUFUGZUHUIZFWDUKUGZULZPOZUMVSUCWAGRZWBCRZUDZ
        NWCWJVSQWMWAWBSUNWMWDWCRZUDZWDDWIEPWOWDGCSOZDWNWMWDWCWPWNVAWAGWBCSUOUPJ
        TZWOWIWEHUHUIZFAULEWOWGWRFWHAWOWHDUKUGAWOWDDUKWQUQKTWOWFHWEUHWOWFCUFUGH
        WOWBCUFWKWLWNURUQLTUSUTMTVBVCNFUAUBVDDEPVLVEVTVFZVRVMEPOZVSWSVRVMWTGCUC
        VGVHEVITWSDVMEPWSDWPVMJGCSVJVHVKVNVOVPVQ $.
    $}

    mplbas.u $e |- U = ( Base ` P ) $.
    $( Base set of the set of multivariate polynomials.  (Contributed by Mario
       Carneiro, 7-Jan-2015.)  (Revised by Mario Carneiro, 2-Oct-2015.)
       (Revised by AV, 25-Jun-2019.) $)
    mplbas $p |- U = { f e. B | f finSupp .0. } $=
      ( cbs cfv cv cfsupp wbr crab wss wceq ssrab2 mplval ressbas2 ax-mp eqtr4i
      eqid ) EBNOZFPHQRZFASZMUJATUJUHUAUIFAUBUJABDABCDUJFGHIJKLUJUGUCKUDUEUF $.

    $( Property of being a polynomial.  (Contributed by Mario Carneiro,
       7-Jan-2015.)  (Revised by Mario Carneiro, 2-Oct-2015.)  (Revised by AV,
       25-Jun-2019.) $)
    mplelbas $p |- ( X e. U <-> ( X e. B /\ X finSupp .0. ) ) $=
      ( vf cv cfsupp wbr breq1 mplbas elrab2 ) NOZHPQGHPQNGAEUAGHPRABCDENFHIJKL
      MST $.
  $}

  ${
    mplrcl.p $e |- P = ( I mPoly R ) $.
    mplrcl.b $e |- B = ( Base ` P ) $.
    $( Reverse closure for the polynomial index set.  (Contributed by Stefan
       O'Rear, 19-Mar-2015.)  (Revised by Mario Carneiro, 30-Aug-2015.) $)
    mplrcl $p |- ( X e. B -> I e. _V ) $=
      ( cmpl reldmmpl strov2rcl ) ACBHDEFGIJ $.

    mplelsfi.z $e |- .0. = ( 0g ` R ) $.
    mplelsfi.f $e |- ( ph -> F e. B ) $.
    mplelsfi.r $e |- ( ph -> R e. V ) $.
    $( A polynomial treated as a coefficient function has finitely many nonzero
       terms.  (Contributed by Stefan O'Rear, 22-Mar-2015.)  (Revised by AV,
       25-Jun-2019.) $)
    mplelsfi $p |- ( ph -> F finSupp .0. ) $=
      ( wcel cfsupp wbr cmps co cbs eqid cfv mplelbas simprbi syl ) AEBNZEHOPZL
      UEEFDQRZSUAZNUFUHCDUGBFEHIUGTUHTKJUBUCUD $.
  $}

  ${
    $d f B $.  $d f I $.  $d f R $.  $d f S $.
    mplval2.p $e |- P = ( I mPoly R ) $.
    mplval2.s $e |- S = ( I mPwSer R ) $.
    mplval2.u $e |- U = ( Base ` P ) $.
    $( Self-referential expression for the set of multivariate polynomials.
       (Contributed by Mario Carneiro, 7-Jan-2015.)  (Revised by Mario
       Carneiro, 2-Oct-2015.) $)
    mplval2 $p |- P = ( S |`s U ) $=
      ( vf cbs cfv c0g eqid mplbas mplval ) CJKZABCDIEBLKZFGPMZQMZPABCDIEQFGRSH
      NO $.

    mplbasss.b $e |- B = ( Base ` S ) $.
    $( The set of polynomials is a subset of the set of power series.
       (Contributed by Mario Carneiro, 7-Jan-2015.)  (Revised by Mario
       Carneiro, 2-Oct-2015.) $)
    mplbasss $p |- U C_ B $=
      ( vf cv c0g cfv cfsupp wbr eqid mplbas ssrab3 ) KLCMNZOPKAEABCDEKFTGHJTQI
      RS $.
  $}

  ${
    $d f I $.
    mplelf.p $e |- P = ( I mPoly R ) $.
    mplelf.k $e |- K = ( Base ` R ) $.
    mplelf.b $e |- B = ( Base ` P ) $.
    mplelf.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
    mplelf.x $e |- ( ph -> X e. B ) $.
    $( A polynomial is defined as a function on the coefficients.  (Contributed
       by Mario Carneiro, 7-Jan-2015.)  (Revised by Mario Carneiro,
       2-Oct-2015.) $)
    mplelf $p |- ( ph -> X : D --> K ) $=
      ( cmps co cbs cfv eqid mplbasss sselid psrelbas ) AGEOPZQRZCEUCFGHIUCSZKM
      UDSZABUDIUDDEUCBGJUELUFTNUAUB $.
  $}

  ${
    $d f g k u x y .0. $.  $d f g x y A $.  $d f g B $.  $d g u D $.  $d f I $.
    $d k u v w x y ph $.  $d k v w R $.  $d f g k u v w y S $.  $d k u v w U $.
    mplsubglem.s $e |- S = ( I mPwSer R ) $.
    mplsubglem.b $e |- B = ( Base ` S ) $.
    mplsubglem.z $e |- .0. = ( 0g ` R ) $.
    mplsubglem.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
    mplsubglem.i $e |- ( ph -> I e. W ) $.
    mplsubglem.0 $e |- ( ph -> (/) e. A ) $.
    mplsubglem.a $e |- ( ( ph /\ ( x e. A /\ y e. A ) ) -> ( x u. y ) e. A ) $.
    mplsubglem.y $e |- ( ( ph /\ ( x e. A /\ y C_ x ) ) -> y e. A ) $.
    mplsubglem.u $e |- ( ph -> U = { g e. B | ( g supp .0. ) e. A } ) $.
    ${
      mplsubglem.r $e |- ( ph -> R e. Grp ) $.
      $( If ` A ` is an ideal of sets (a nonempty collection closed under
         subset and binary union) of the set ` D ` of finite bags (the primary
         applications being ` A = Fin ` and ` A = ~P B ` for some ` B ` ), then
         the set of all power series whose coefficient functions are supported
         on an element of ` A ` is a subgroup of the set of all power series.
         (Contributed by Mario Carneiro, 12-Jan-2015.)  (Revised by AV,
         16-Jul-2019.) $)
      mplsubglem $p |- ( ph -> U e. ( SubGrp ` S ) ) $=
        ( vu vv vk csubg cfv wcel wss c0 wne cv cplusg co wral cminusg wa csupp
        crab ssrab2 eqsstrdi csn cxp psr0cl wceq cbs cgrp eqid grpidcl fconst6g
        wf 3syl cdif eldifi c0g fvexi fvconst2 syl adantl suppss eqeltrd eleq2d
        ss0 oveq1 eleq1d elrab bitrdi mpbir2and ne0d ad2antrr weq biimpa simpld
        adantr psraddcl cvv cun wi wal ovexd sseq2 imbi1d albidv expr ralrimiva
        alrimiv simprd ralrimivva uneq1 uneq2 rspc2va syl21anc rspcdva psrelbas
        cof psradd fveq1d ffnd ccnv cn cima cfn cn0 cmap a1i eqidd sylan2 sscon
        ovex ax-mp sseli ssidd suppssr sseq1 eleq1 imbi12d spcgv syl3c syl2anc2
        rabex2 inidm ofval ssun1 adantlr ssun2 oveq12d grplid grpinvcl syl2an2r
        3eqtrd psrgrp ccom psrneg oveq1d wfn grpinvfn grpinvid suppcoss eqsstrd
        eqtrd jca w3a wb issubg2 mpbir3and ) AIHUHUIUJZIEUKZIULUMZUEUNZUFUNZHUO
        UIZUPZIUJZUFIUQZUVKHURUIZUIZIUJZUSZUEIUQZAIKUNZNUTUPZDUJZKEVAZEUCUWDKEV
        BVCAIFNVDVEZAUWFIUJZUWFEUJZUWFNUTUPZDUJZAEFGHJLMNOSUDRQPVFAUWIULDAUWIUL
        UKUWIULVGAFGVHUIZUEUWFULNAGVIUJZNUWKUJZFUWKUWFVMUDUWKGNUWKVJZQVKZFNUWKV
        LVNUVKFULVOUJZUVKUWFUINVGZAUWPUVKFUJUWQUVKFULVPFNUVKNGVQQVRZVSVTWAWBUWI
        WEVTTWCAUWGUWFUWEUJUWHUWJUSAIUWEUWFUCWDUWDUWJKUWFEUWBUWFVGUWCUWIDUWBUWF
        NUTWFWGWHWIWJWKAUVTUEIAUVKIUJZUSZUVPUVSUWTUVOUFIUWTUVLIUJZUSZUVOUVNEUJZ
        UVNNUTUPZDUJZUXBEUVMGHLUVKUVLOPUVMVJZAUWLUWSUXAUDWLZUWTUVKEUJZUXAUWTUXH
        UVKNUTUPZDUJZAUWSUXHUXJUSZAUWSUVKUWEUJUXKAIUWEUVKUCWDUWDUXJKUVKEKUEWMUW
        CUXIDUWBUVKNUTWFWGWHWIWNZWOZWPZUXBUVLEUJZUVLNUTUPZDUJZUWTUXAUXOUXQUSZUW
        TUXAUVLUWEUJUXRUWTIUWEUVLAIUWEVGZUWSUCWPZWDUWDUXQKUVLEKUFWMUWCUXPDUWBUV
        LNUTWFWGWHWIWNZWOZWQZUXBUXDWRUJCUNZUXIUXPWSZUKZUYDDUJZWTZCXAZUXDUYEUKZU
        XEUXBUVNNUTXBUXBUYDBUNZUKZUYGWTZCXAZUYIBDUYEUYKUYEVGZUYMUYHCUYOUYLUYFUY
        GUYKUYEUYDXCXDXEAUYNBDUQZUWSUXAAUYNBDAUYKDUJZUSUYMCAUYQUYLUYGUBXFXHXGZW
        LUXBUXJUXQUYKUYDWSZDUJZCDUQBDUQZUYEDUJZUWTUXJUXAUWTUXHUXJUXLXIZWPUXBUXO
        UXQUYAXIAVUAUWSUXAAUYTBCDDUAXJWLUYTVUBUXIUYDWSZDUJBCUXIUXPDDUYKUXIVGZUY
        SVUDDUYKUXIUYDXKWGUYDUXPVGVUDUYEDUYDUXPUXIXLWGXMXNXOUXBFUWKUGUVNUYENUXB
        EFGHJLUWKUVNOUWNRPUYCXPUXBUGUNZFUYEVOZUJZUSZVUFUVNUIZVUFUVKUVLGUOUIZXQU
        PZUIZVUFUVKUIZVUFUVLUIZVUKUPZNUXBVUJVUMVGVUHUXBVUFUVNVULUXBEVUKUVMGHLUV
        KUVLOPVUKVJZUXFUXNUYBXRXSWPVUHUXBVUFFUJZVUMVUPVGVUFFUYEVPUXBFFVUNVUOVUK
        FUVKUVLWRWRVUFUXBFUWKUVKUWTFUWKUVKVMUXAUWTEFGHJLUWKUVKOUWNRPUXMXPZWPXTU
        XBFUWKUVLUXBEFGHJLUWKUVLOUWNRPUYBXPZXTFWRUJZUXBJUNYAYBYCYDUJJYELYFUPFRY
        ELYFYKUUBZYGZVVCFUUCUXBVURUSZVUNYHVVDVUOYHUUDYIVUIVUPNNVUKUPZNVUIVUNNVU
        ONVUKVUHUXBVUFFUXIVOZUJZVUNNVGZVUGVVFVUFUXIUYEUKVUGVVFUKUXIUXPUUEUXIUYE
        FYJYLYMUWTVVGVVHUXAUWTFUWKWRUVKWRUXIVUFNVUSUWTUXIYNVVAUWTVVBYGZNWRUJZUW
        TUWRYGZYOUUFYIVUHUXBVUFFUXPVOZUJVUONVGVUGVVLVUFUXPUYEUKVUGVVLUKUXPUXIUU
        GUXPUYEFYJYLYMUXBFUWKWRUVLWRUXPVUFNVUTUXBUXPYNVVCVVJUXBUWRYGYOYIUUHUXBV
        VENVGZVUHUXBUWLUWMVVMUXGUWOUWKVUKGNNUWNVUQQUUIUUAWPUVBUULWBUYHUYJUXEWTC
        UXDWRUYDUXDVGUYFUYJUYGUXEUYDUXDUYEYPUYDUXDDYQYRYSYTUXBUVOUVNUWEUJUXCUXE
        USUXBIUWEUVNAUXSUWSUXAUCWLWDUWDUXEKUVNEUWBUVNVGUWCUXDDUWBUVNNUTWFWGWHWI
        WJXGUWTUVSUVREUJZUVRNUTUPZDUJZAHVIUJZUWSUXHVVNAGHLMOSUDUUMZUXMEHUVQUVKP
        UVQVJZUUJUUKUWTVVOWRUJUYDUXIUKZUYGWTZCXAZVVOUXIUKZVVPUWTUVRNUTXBUWTUYNV
        WBBDUXIVUEUYMVWACVUEUYLVVTUYGUYKUXIUYDXCXDXEAUYPUWSUYRWPVUCXOUWTVVOGURU
        IZUVKUUNZNUTUPUXIUWTUVRVWENUTUWTEFGHJLUVQVWDMUVKOALMUJUWSSWPAUWLUWSUDWP
        ZRVWDVJZPVVSUXMUUOUUPUWTUWKFVWDUVKWRWRNNVWDUWKUUQUWTUWKGVWDUWNVWGUURYGV
        USVVIVVKUWTUWLNVWDUINVGVWFGVWDNQVWGUUSVTUUTUVAVWAVWCVVPWTCVVOWRUYDVVOVG
        VVTVWCUYGVVPUYDVVOUXIYPUYDVVODYQYRYSYTUWTUVSUVRUWEUJVVNVVPUSUWTIUWEUVRU
        XTWDUWDVVPKUVREUWBUVRVGUWCVVODUWBUVRNUTWFWGWHWIWJUVCXGAVVQUVHUVIUVJUWAU
        VDUVEVVRUEUFEUVMIHUVQPUXFVVSUVFVTUVG $.
    $}

    mpllsslem.r $e |- ( ph -> R e. Ring ) $.
    $( If ` A ` is an ideal of subsets (a nonempty collection closed under
       subset and binary union) of the set ` D ` of finite bags (the primary
       applications being ` A = Fin ` and ` A = ~P B ` for some ` B ` ), then
       the set of all power series whose coefficient functions are supported on
       an element of ` A ` is a linear subspace of the set of all power series.
       (Contributed by Mario Carneiro, 12-Jan-2015.)  (Revised by AV,
       16-Jul-2019.) $)
    mpllsslem $p |- ( ph -> U e. ( LSubSp ` S ) ) $=
      ( vu vv vw cbs cfv cplusg clss cvsca crg psrsca eqidd wceq a1i csubg wcel
      vk wss cgrp ringgrp syl mplsubglem subgss c0g c0 wne eqid subg0cl ne0i cv
      3syl w3a wa co adantr csupp simprl simprr crab eleq2d oveq1 eleq1d bitrdi
      elrab mpbid simpld psrvscacl cvv wi ovex sseq2 imbi1d albidv wral alrimiv
      wal expr ralrimiva simprd rspcdva psrelbas cmulr eldifi adantl psrvscaval
      cdif ssidd ccnv cn cima cfn cn0 cmap rabex2 fvexi suppssr oveq2d syl2an2r
      ringrz 3eqtrd suppss sseq1 eleq1 imbi12d mpbir2and 3adantr3 simpr3 subgcl
      spcgv syl3c syl3anc islssd ) AUEGUHUIZHUJUIZHUKUIZHULUIZIGEHUFUGAGHLMUMOS
      UDUNAYPUOEHUHUIUPAPUQAYQUOAYSUOAYRUOAIHURUIUSZIEVAABCDEFGHIJKLMNOPQRSTUAU
      BUCAGUMUSZGVBUSUDGVCVDVEZEIHPVFVDAYTHVGUIZIUSIVHVIUUBIHUUCUUCVJVKIUUCVLVN
      AUEVMZYPUSZUFVMZIUSZUGVMZIUSZVOZVPYTUUDUUFYSVQZIUSZUUIUUKUUHYQVQIUSAYTUUJ
      UUBVRAUUEUUGUULUUIAUUEUUGVPZVPZUULUUKEUSZUUKNVSVQZDUSZUUNEGHYSUUFLYPUUDOY
      SVJZYPVJZPAUUAUUMUDVRAUUEUUGVTZUUNUUFEUSZUUFNVSVQZDUSZUUNUUGUVAUVCVPZAUUE
      UUGWAUUNUUGUUFKVMZNVSVQZDUSZKEWBZUSUVDUUNIUVHUUFAIUVHUPUUMUCVRZWCUVGUVCKU
      UFEUVEUUFUPUVFUVBDUVEUUFNVSWDWEWGWFWHZWIZWJZUUNUUPWKUSZCVMZUVBVAZUVNDUSZW
      LZCWSZUUPUVBVAZUUQUVMUUNUUKNVSWMUQUUNUVNBVMZVAZUVPWLZCWSZUVRBDUVBUVTUVBUP
      ZUWBUVQCUWDUWAUVOUVPUVTUVBUVNWNWOWPAUWCBDWQUUMAUWCBDAUVTDUSZVPUWBCAUWEUWA
      UVPUBWTWRXAVRUUNUVAUVCUVJXBXCUUNFYPUTUUKUVBNUUNEFGHJLYPUUKOUUSRPUVLXDUUNU
      TVMZFUVBXIUSZVPZUWFUUKUIUUDUWFUUFUIZGXEUIZVQUUDNUWJVQZNUWHEFGHYSUWJJUUFLY
      PUUDUWFOUURUUSPUWJVJZRUUNUUEUWGUUTVRUUNUVAUWGUVKVRUWGUWFFUSUUNUWFFUVBXFXG
      XHUWHUWINUUDUWJUUNFYPWKUUFWKUVBUWFNUUNEFGHJLYPUUFOUUSRPUVKXDUUNUVBXJFWKUS
      UUNJVMXKXLXMXNUSJXOLXPVQFRXOLXPWMXQUQNWKUSUUNNGVGQXRUQXSXTUUNUWKNUPZUWGAU
      UAUUMUUEUWMUDUUTYPGUWJUUDNUUSUWLQYBYAVRYCYDUVQUVSUUQWLCUUPWKUVNUUPUPUVOUV
      SUVPUUQUVNUUPUVBYEUVNUUPDYFYGYLYMUUNUULUUKUVHUSUUOUUQVPUUNIUVHUUKUVIWCUVG
      UUQKUUKEUVEUUKUPUVFUUPDUVEUUKNVSWDWEWGWFYHYIAUUEUUGUUIYJYQIHUUKUUHYQVJYKY
      NYO $.
  $}

  ${
    $d k n x A $.  $d f g k n x y I $.  $d g k n x y ph $.  $d f g k x y R $.
    $d f g k x y S $.  $d n x y D $.  $d x y U $.  $d f g k x X $.
    $d f g k x Y $.  $d x .x. $.  $d k y W $.  $d f g k .0. $.
    mplsubg.s $e |- S = ( I mPwSer R ) $.
    mplsubg.p $e |- P = ( I mPoly R ) $.
    mplsubg.u $e |- U = ( Base ` P ) $.
    mplsubg.i $e |- ( ph -> I e. W ) $.
    $( Lemma for ~ mplsubg and ~ mpllss .  (Contributed by AV, 16-Jul-2019.) $)
    mplsubglem2 $p |- ( ph -> U = { g e. ( Base ` S )
                                    | ( g supp ( 0g ` R ) ) e. Fin } ) $=
      ( cv c0g cfv cfsupp crab wcel eqid cvv wbr cbs csupp co mplbas wa wfun wb
      cfn psrelbasfun adantl simpr fvexd funisfsupp syl3anc rabbidva eqtrid ) A
      EFMZCNOZPUAZFDUBOZQURUSUCUDUIRZFVAQVABCDEFGUSJIVASZUSSKUEAUTVBFVAAURVARZU
      FZURUGZVDUSTRUTVBUHVDVFAVACDGURIVCUJUKAVDULVECNUMURVATUSUNUOUPUQ $.

    ${
      mplsubg.r $e |- ( ph -> R e. Grp ) $.
      $( The set of polynomials is closed under addition, i.e. it is a subgroup
         of the set of power series.  (Contributed by Mario Carneiro,
         8-Jan-2015.)  (Proof shortened by AV, 16-Jul-2019.) $)
      mplsubg $p |- ( ph -> U e. ( SubGrp ` S ) ) $=
        ( vx vy vf vg cfn cv wcel eqid cbs cfv ccnv cn cima cn0 cmap co crab c0
        c0g 0fin a1i wa cun unfi adantl wss ssfi mplsubglem2 mplsubglem ) AMNQD
        UAUBZORUCUDUEQSOUFFUGUHUIZCDEOPFGCUKUBZHVBTVDTVCTKUJQSAULUMMRZQSZNRZQSZ
        UNVEVGUOQSAVEVGUPUQVFVGVEURUNVHAVEVGUSUQABCDEPFGHIJKUTLVA $.
    $}

    mpllss.r $e |- ( ph -> R e. Ring ) $.
    $( The set of polynomials is closed under scalar multiplication, i.e. it is
       a linear subspace of the set of power series.  (Contributed by Mario
       Carneiro, 7-Jan-2015.)  (Proof shortened by AV, 16-Jul-2019.) $)
    mpllss $p |- ( ph -> U e. ( LSubSp ` S ) ) $=
      ( vx vy vf vg cfn cv wcel eqid cbs cfv ccnv cn cima cn0 cmap co crab 0fin
      c0g c0 a1i wa cun unfi adantl wss ssfi mplsubglem2 mpllsslem ) AMNQDUAUBZ
      ORUCUDUEQSOUFFUGUHUIZCDEOPFGCUKUBZHVBTVDTVCTKULQSAUJUMMRZQSZNRZQSZUNVEVGU
      OQSAVEVGUPUQVFVGVEURUNVHAVEVGUSUQABCDEPFGHIJKUTLVA $.

    ${
      mplsubrglem.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
      mplsubrglem.z $e |- .0. = ( 0g ` R ) $.
      mplsubrglem.p $e |- A = ( oF + " ( ( X supp .0. )
                                         X. ( Y supp .0. ) ) ) $.
      mplsubrglem.t $e |- .x. = ( .r ` R ) $.
      mplsubrglem.x $e |- ( ph -> X e. U ) $.
      mplsubrglem.y $e |- ( ph -> Y e. U ) $.
      $( Lemma for ~ mplsubrg .  (Contributed by Mario Carneiro, 9-Jan-2015.)
         (Revised by AV, 18-Jul-2019.) $)
      mplsubrglem $p |- ( ph -> ( X ( .r ` S ) Y ) e. U ) $=
        ( vg vk vx vy vn cmulr cfv cbs wcel cfsupp wbr mplbasss sselid psrmulcl
        co eqid cvv cfn csupp wss ovexd psrelbasfun syl c0g fvexi a1i caddc cof
        wfun cxp cres crn cima eqtri wfo mplelbas simprbi fsuppxpfi syl2anc wfn
        df-ima cv ofmres ovex dffn4 mpbi fofi sylancl eqeltrid psrelbas cdif wa
        fnmpoi cle cofr crab cmin cmpt cgsu adantr eldifi adantl psrmulval wceq
        crg ad2antrr mplelf ssrab2 simpr psrbagconcl ffvelrnd ringlz syl5ibrcom
        wf oveq1 eqeq1d ringrz wn wo cn0 psrbagf ffvelrnda cc mpteq2dva feqmptd
        nn0cn offval2 wb eldif baib ssidd cmap suppssr ex sylbird pncan3 syl2an
        oveq2 3eqtr4d simplr eqeltrd ovres w3a fnovrn eleqtrrdi mp3an1 eqeltrrd
        eldifbd nsyl ianor sylib ccnv cn rabex2 orim12d mpd mpjaod cmnd ringmnd
        oveq2d psrbaglefi gsumz 3eqtrd suppss suppssfifsupp syl32anc sylanbrc )
        ALMFUKULZUTZFUMULZUNZUVNNUOUPZUVNHUNAUVOEFUVMJLMOUVOVAZUVMVAZSAHUVOLUVO
        DEFHJPOQUVRUQZUDURZAHUVOMUVTUEURZUSZAUVNVBUNUVNVNZNVBUNZBVCUNUVNNVDUTBV
        EUVQALMUVMVFAUVPUWDUWCUVOEFJUVNOUVRVGVHUWEANEVIUAVJZVKABVLVMZLNVDUTZMNV
        DUTZVOZVPZVQZVCBUWGUWJVRUWLUBUWGUWJWFVSZAUWJVCUNZUWJUWLUWKVTZUWLVCUNALN
        UOUPZMNUOUPZUWNALHUNZUWPUDUWRLUVOUNZUWPUVODEFHJLNPOUVRUAQWAWBVHAMHUNZUW
        QUEUWTMUVOUNZUWQUVODEFHJMNPOUVRUAQWAWBVHLMNWCWDUWKUWJWEZUWOIUFUWHUWIIWG
        ZUFWGZUWGUTUWKUWHUWIVLIUFWHUXCUXDUWGWIWRZUWJUWKWJWKUWJUWLUWKWLWMWNACEUM
        ULZUGUVNBNAUVOCEFIJUXFUVNOUXFVAZTUVRUWCWOAUGWGZCBWPZUNZWQZUXHUVNULEUHUI
        WGUXHWSWTUPZUICXAZUHWGZLULZUXHUXNXBVMUTZMULZGUTZXCZXDUTEUHUXMNXCZXDUTZN
        UXKUIUVOCEFUVMGIUHLMJUXHOUVRUCUVSTAUWSUXJUWAXEAUXAUXJUWBXEUXJUXHCUNZAUX
        HCBXFXGZXHUXKUXSUXTEXDUXKUHUXMUXRNUXKUXNUXMUNZWQZUXONXIZUXRNXIZUXQNXIZU
        YEUYGUYFNUXQGUTZNXIZUYEEXJUNZUXQUXFUNUYJAUYKUXJUYDSXKZUYECUXFUXPMACUXFM
        XSUXJUYDAHCDEIJUXFMPUXGQTUEXLXKZUYEUXMCUXPUXLUICXMZUYEUYBUYDUXPUXMUNUXK
        UYBUYDUYCXEZUXKUYDXNZUICUXMIUXHJUXNTUXMVAXOWDURZXPUXFEGUXQNUXGUCUAXQWDU
        YFUXRUYINUXONUXQGXTYAXRUYEUYGUYHUXONGUTZNXIZUYEUYKUXOUXFUNUYSUYLUYECUXF
        UXNLACUXFLXSUXJUYDAHCDEIJUXFLPUXGQTUDXLXKZUYEUXMCUXNUYNUYPURZXPUXFEGUXO
        NUXGUCUAYBWDUYHUXRUYRNUXQNUXOGUUCYAXRUYEUXNUWHUNZYCZUXPUWIUNZYCZYDZUYFU
        YHYDUYEVUBVUDWQZYCVUFUYEUXNUXPUWGUTZBUNVUGUYEVUHCBUYEVUHUXHUXIUYEUJJUJW
        GZUXNULZVUIUXHULZVUJXBUTZVLUTZXCUJJVUKXCVUHUXHUYEUJJVUMVUKUYEVUIJUNWQZV
        UJYEUNZVUKYEUNZVUMVUKXIZUYEJYEVUIUXNUYEUXNCUNZJYEUXNXSVUACIUXNJTYFVHZYG
        ZUYEJYEVUIUXHUYEUYBJYEUXHXSUYOCIUXHJTYFVHZYGZVUOVUJYHUNVUKYHUNVUQVUPVUJ
        YKVUKYKVUJVUKUUAUUBWDYIUYEUJJVUJVULVLUXNUXPKYEVBAJKUNUXJUYDRXKZVUTVUNVU
        KVUJXBVFUYEUJJYEUXNVUSYJZUYEUJJVUKVUJXBUXHUXNKYEYEVVCVVBVUTUYEUJJYEUXHV
        VAYJZVVDYLYLVVEUUDAUXJUYDUUEUUFUUMVUGUXNUXPUWKUTZVUHBUXNUXPUWHUWIUWGUUG
        UXBVUBVUDVVFBUNUXEUXBVUBVUDUUHVVFUWLBUWHUWIUXNUXPUWKUUIUWMUUJUUKUULUUNV
        UBVUDUUOUUPUYEVUCUYFVUEUYHUYEVUCUXNCUWHWPUNZUYFUYEVURVVGVUCYMVUAVVGVURV
        UCUXNCUWHYNYOVHUYEVVGUYFUYECUXFVBLVBUWHUXNNUYTUYEUWHYPCVBUNUYEUXCUUQUUR
        VRVCUNIYEJYQUTCTYEJYQWIUUSVKZUWEUYEUWFVKZYRYSYTUYEVUEUXPCUWIWPUNZUYHUYE
        UXPCUNZVVJVUEYMUYQVVJVVKVUEUXPCUWIYNYOVHUYEVVJUYHUYECUXFVBMVBUWIUXPNUYM
        UYEUWIYPVVHVVIYRYSYTUUTUVAUVBYIUVEUXKEUVCUNZUXMVCUNZUYANXIUXKUYKVVLAUYK
        UXJSXEEUVDVHUXKUYBVVMUYCUICIUXHJTUVFVHUXMUHEVCNUAUVGWDUVHUVIBUVNVBVBNUV
        JUVKUVODEFHJUVNNPOUVRUAQWAUVL $.
    $}

    $( The set of polynomials is closed under multiplication, i.e. it is a
       subring of the set of power series.  (Contributed by Mario Carneiro,
       9-Jan-2015.) $)
    mplsubrg $p |- ( ph -> U e. ( SubRing ` S ) ) $=
      ( vx vk vf cfv wcel co eqid cvv vy csubrg csubg cur cv cmulr wral ringgrp
      crg cgrp syl mplsubg cbs c0g cfsupp wbr psrring ringidcl ccnv cn cima cfn
      cn0 cmap crab cc0 csn cxp wceq cif cmpt psr1 wfun w3a csupp ovex mptrabex
      wss funmpt fvex 3pm3.2i a1i snfi cdif wne eldifsni adantl ifnefalse rabex
      suppss2 suppssfifsupp syl12anc eqbrtrd mplelbas sylanbrc caddc cof adantr
      wa simprl simprr mplsubrglem ralrimivva wb issubrg2 mpbir3and ) AEDUBPQZE
      DUCPQZDUDPZEQZMUEZUAUEZDUFPZREQZUAEUGMEUGZABCDEFGHIJKACUIQZCUJQLCUHUKULAX
      IDUMPZQZXICUNPZUOUPXJADUIQZXRACDFGHKLUQZXQDXIXQSZXISZURUKAXINOUEUSUTVAVBQ
      ZOVCFVDRZVEZNUEZFVFVGVHZVICUDPZXSVJZVKZXSUOANYFCDXIYIOFGXSHKLYFSZXSSZYISY
      CVLAYKTQZYKVMZXSTQZVNZYHVGZVBQZYKXSVORYRVRYKXSUOUPYQAYNYOYPYDNOYEYJVCFVDV
      PZVQNYFYJVSCUNVTWAWBYSAYHWCWBAYFYJNTYRXSAYGYFYRWDQZWSYGYHWEZYJXSVIUUAUUBA
      YGYFYHWFWGYGYHYIXSWHUKYFTQAYDOYEYTWIWBWJYRYKTTXSWKWLWMXQBCDEFXIXSIHYBYMJW
      NWOAXNMUAEEAXKEQZXLEQZWSZWSWPWQXKXSVORXLXSVORVHVAZYFBCDCUFPZEOFGXKXLXSHIJ
      AFGQUUEKWRAXPUUELWRYLYMUUFSUUGSAUUCUUDWTAUUCUUDXAXBXCAXTXGXHXJXOVNXDYAMUA
      EXQDXMXIYBYCXMSXEUKXF $.
  $}

  ${
    $d f I $.
    mpl0.p $e |- P = ( I mPoly R ) $.
    mpl0.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
    mpl0.o $e |- O = ( 0g ` R ) $.
    mpl0.z $e |- .0. = ( 0g ` P ) $.
    mpl0.i $e |- ( ph -> I e. W ) $.
    mpl0.r $e |- ( ph -> R e. Grp ) $.
    $( The zero polynomial.  (Contributed by Mario Carneiro, 9-Jan-2015.) $)
    mpl0 $p |- ( ph -> .0. = ( D X. { O } ) ) $=
      ( c0g cfv csn cxp eqid cmps cbs csubg wcel wceq mplsubg mplval2 subg0 syl
      co psr0 eqtr3d eqtrid ) AICPQZBGRSZMAFDUAUJZPQZUNUOACUBQZUPUCQUDUQUNUEACD
      UPURFHUPTZJURTZNOUFURUPCUQCDUPURFJUSUTUGUQTZUHUIABDUPEFGHUQUSNOKLVAUKULUM
      $.
  $}

  ${
    mpladd.p $e |- P = ( I mPoly R ) $.
    mpladd.b $e |- B = ( Base ` P ) $.
    mpladd.a $e |- .+ = ( +g ` R ) $.
    mpladd.g $e |- .+b = ( +g ` P ) $.
    mpladd.x $e |- ( ph -> X e. B ) $.
    mpladd.y $e |- ( ph -> Y e. B ) $.
    $( The addition operation on multivariate polynomials.  (Contributed by
       Mario Carneiro, 9-Jan-2015.)  (Revised by Mario Carneiro,
       2-Oct-2015.) $)
    mpladd $p |- ( ph -> ( X .+b Y ) = ( X oF .+ Y ) ) $=
      ( cbs cfv eqid cplusg cvv cmps co wcel wceq fvexi mplval2 ressplusg ax-mp
      eqtr4i mplbasss sselid psradd ) AGFUAUBZPQZDEFUMGHIUMRZUNRZLECSQZUMSQZMBT
      UCURUQUDBCPKUEBURUMCTCFUMBGJUOKUFURRUGUHUIABUNHUNCFUMBGJUOKUPUJZNUKABUNIU
      SOUKUL $.
  $}

  ${
    $d I f $.
    mplneg.p $e |- P = ( I mPoly R ) $.
    mplneg.b $e |- B = ( Base ` P ) $.
    mplneg.n $e |- N = ( invg ` R ) $.
    mplneg.m $e |- M = ( invg ` P ) $.
    mplneg.i $e |- ( ph -> I e. V ) $.
    mplneg.r $e |- ( ph -> R e. Grp ) $.
    mplneg.x $e |- ( ph -> X e. B ) $.
    $( The negative function on multivariate polynomials.  (Contributed by SN,
       25-May-2024.) $)
    mplneg $p |- ( ph -> ( M ` X ) = ( N o. X ) ) $=
      ( vf cfv wcel eqid cmps cminusg ccom wceq mplsubg mplval2 subginv syl2anc
      co csubg cbs cv ccnv cn cima cfn cn0 cmap crab mplbasss syl psrneg eqtr3d
      sseli ) AIEDUAUIZUBRZRZIFRZGIUCABVEUJRSIBSZVGVHUDACDVEBEHVETZJKNOUEPBVECV
      FFICDVEBEJVJKUFVFTZMUGUHAVEUKRZQULUMUNUOUPSQUQEURUIUSZDVEQEVFGHIVJNOVMTLV
      LTZVKAVIIVLSPBVLIVLCDVEBEJVJKVNUTVDVAVBVC $.
  $}

  ${
    $d k x y D $.  $d k x F $.  $d k x G $.  $d h k x y I $.  $d k x ph $.
    $d k x .x. $.  $d k x R $.
    mplmul.p $e |- P = ( I mPoly R ) $.
    mplmul.b $e |- B = ( Base ` P ) $.
    mplmul.m $e |- .x. = ( .r ` R ) $.
    mplmul.t $e |- .xb = ( .r ` P ) $.
    mplmul.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    mplmul.f $e |- ( ph -> F e. B ) $.
    mplmul.g $e |- ( ph -> G e. B ) $.
    $( The multiplication operation on multivariate polynomials.  (Contributed
       by Mario Carneiro, 9-Jan-2015.) $)
    mplmul $p |- ( ph -> ( F .xb G ) = ( k e. D |->
            ( R gsum ( x e. { y e. D | y oR <_ k } |->
            ( ( F ` x ) .x. ( G ` ( k oF - x ) ) ) ) ) ) ) $=
      ( cmps co cbs cfv eqid cmulr cvv wcel fvexi mplval2 ressmulr ax-mp eqtr4i
      wceq mplbasss sselid psrmulfval ) ABCNGUBUCZUDUEZEGUSHIJKLMNUSUFZUTUFZQHF
      UGUEZUSUGUEZRDUHUIVDVCUODFUDPUJDUSFVDUHFGUSDNOVAPUKVDUFULUMUNSADUTLUTFGUS
      DNOVAPVBUPZTUQADUTMVEUAUQUR $.
  $}

  ${
    $d x D $.  $d f x I $.  $d x .1. $.  $d x ph $.  $d f x R $.  $d x W $.
    $d f x .0. $.
    mpl1.p $e |- P = ( I mPoly R ) $.
    mpl1.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
    mpl1.z $e |- .0. = ( 0g ` R ) $.
    mpl1.o $e |- .1. = ( 1r ` R ) $.
    mpl1.u $e |- U = ( 1r ` P ) $.
    mpl1.i $e |- ( ph -> I e. W ) $.
    mpl1.r $e |- ( ph -> R e. Ring ) $.
    $( The identity element of the ring of polynomials.  (Contributed by Mario
       Carneiro, 10-Jan-2015.) $)
    mpl1 $p |- ( ph ->
      U = ( x e. D |-> if ( x = ( I X. { 0 } ) , .1. , .0. ) ) ) $=
      ( cfv eqid cur cv cc0 csn cxp wceq cif cmpt cmps cbs csubrg wcel mplsubrg
      co mplval2 subrg1 syl psr1 eqtr3d eqtrid ) AFDUASZBCBUBIUCUDUEUFGKUGUHZPA
      IEUIUNZUASZVAVBADUJSZVCUKSULVDVAUFADEVCVEIJVCTZLVETZQRUMVEVCDVDDEVCVEILVF
      VGUOVDTZUPUQABCEVCVDGHIJKVFQRMNOVHURUSUT $.
  $}

  ${
    mplsca.p $e |- P = ( I mPoly R ) $.
    mplsca.i $e |- ( ph -> I e. V ) $.
    mplsca.r $e |- ( ph -> R e. W ) $.
    $( The scalar field of a multivariate polynomial structure.  (Contributed
       by Mario Carneiro, 9-Jan-2015.) $)
    mplsca $p |- ( ph -> R = ( Scalar ` P ) ) $=
      ( cmps co csca cfv eqid psrsca cbs cvv wcel wceq fvex mplval2 resssca
      ax-mp eqtrdi ) ACDCJKZLMZBLMZACUEDEFUENZHIOBPMZQRUFUGSBPTUIUFUEBQBCUEUIDG
      UHUINUAUFNUBUCUD $.
  $}

  ${
    mplvsca2.p $e |- P = ( I mPoly R ) $.
    mplvsca2.s $e |- S = ( I mPwSer R ) $.
    mplvsca2.n $e |- .x. = ( .s ` P ) $.
    $( The scalar multiplication operation on multivariate polynomials.
       (Contributed by Mario Carneiro, 9-Jan-2015.) $)
    mplvsca2 $p |- .x. = ( .s ` S ) $=
      ( cvsca cfv cbs cvv wcel wceq fvex eqid mplval2 ressvsca ax-mp eqtr4i ) D
      AIJZCIJZHAKJZLMUBUANAKOUCUBCALABCUCEFGUCPQUBPRST $.
  $}

  ${
    $d h I $.
    mplvsca.p $e |- P = ( I mPoly R ) $.
    mplvsca.n $e |- .xb = ( .s ` P ) $.
    mplvsca.k $e |- K = ( Base ` R ) $.
    mplvsca.b $e |- B = ( Base ` P ) $.
    mplvsca.m $e |- .x. = ( .r ` R ) $.
    mplvsca.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    mplvsca.x $e |- ( ph -> X e. K ) $.
    mplvsca.f $e |- ( ph -> F e. B ) $.
    $( The scalar multiplication operation on multivariate polynomials.
       (Contributed by Mario Carneiro, 9-Jan-2015.)  (Revised by Mario
       Carneiro, 2-Oct-2015.) $)
    mplvsca $p |- ( ph -> ( X .xb F ) = ( ( D X. { X } ) oF .x. F ) ) $=
      ( cmps co cbs cfv eqid mplvsca2 mplbasss sselid psrvsca ) AJEUAUBZUCUDZCE
      UJFGHIJKLUJUEZDEUJFJMULNUFOUKUEZQRSABUKIUKDEUJBJMULPUMUGTUHUI $.

    mplvscaval.y $e |- ( ph -> Y e. D ) $.
    $( The scalar multiplication operation on multivariate polynomials.
       (Contributed by Mario Carneiro, 9-Jan-2015.) $)
    mplvscaval $p |- ( ph -> ( ( X .xb F ) ` Y ) = ( X .x. ( F ` Y ) ) ) $=
      ( co cfv csn cxp cof mplvsca fveq1d wcel wceq cvv cv ccnv cn cima cfn cn0
      cmap ovex rabex2 a1i cbs eqid mplelf ffnd wa eqidd ofc1 mpdan eqtrd ) AML
      IFUCZUDMCLUEUFIGUGUCZUDZLMIUDZGUCZAMVLVMABCDEFGHIJKLNOPQRSTUAUHUIAMCUJZVN
      VPUKUBACLVOGIULKMCULUJAHUMUNUOUPUQUJHURJUSUCCSURJUSUTVAVBTACEVCUDZIABCDEH
      JVRINVRVDQSUAVEVFAVQVGVOVHVIVJVK $.
  $}

  ${
    $d f x y I $.  $d x ph $.  $d x R $.  $d x V $.  $d y W $.  $d f x y X $.
    mvrcl.s $e |- P = ( I mPoly R ) $.
    mvrcl.v $e |- V = ( I mVar R ) $.
    mvrcl.b $e |- B = ( Base ` P ) $.
    mvrcl.i $e |- ( ph -> I e. W ) $.
    mvrcl.r $e |- ( ph -> R e. Ring ) $.
    mvrcl.x $e |- ( ph -> X e. I ) $.
    $( A power series variable is a polynomial.  (Contributed by Mario
       Carneiro, 9-Jan-2015.) $)
    mvrcl $p |- ( ph -> ( V ` X ) e. B ) $=
      ( vy vf cfv wcel eqid cvv vx cmps co cbs c0g cfsupp wbr mvrcl2 wfun cv c1
      wceq cc0 cif cmpt csn cfn csupp wss fvexd ccnv cn cima cmap crab psrelbas
      cn0 ffund snfi a1i cdif wa cur crg adantr wne simpr eldifsn sylib mvrval2
      simpld simprd neneqd iffalsed suppssfifsupp syl32anc mplelbas sylanbrc
      eqtrd suppss ) AHFQZEDUBUCZUDQZRWKDUEQZUFUGZWKBRAWMDWLEFGHWLSZJWMSZLMNUHZ
      AWKTRWKUIWNTROEOUJHULUKUMUNUOZUPZUQRZWKWNURUCWTUSWOAHFUTAPUJVAVBVCUQRPVGE
      VDUCVEZDUDQZWKAWMXBDWLPEXCWKWPXCSXBSZWQWRVFZVHADUEUTXAAWSVIVJAXBXCUAWKWTW
      NXEAUAUJZXBWTVKRZVLZXFWKQXFWSULZDVMQZWNUNWNXHOXBDXJPXFEFGHVNWNJXDWNSZXJSA
      EGRXGLVOADVNRXGMVOAHERXGNVOXHXFXBRZXFWSVPZXHXGXLXMVLAXGVQXFXBWSVRVSZWAVTX
      HXIXJWNXHXFWSXHXLXMXNWBWCWDWIWJWTWKTTWNWEWFWMCDWLBEWKWNIWPWQXKKWGWH $.
  $}

  ${
    mplgrp.p $e |- P = ( I mPoly R ) $.
    $( The polynomial ring is a group.  (Contributed by Mario Carneiro,
       9-Jan-2015.) $)
    mplgrp $p |- ( ( I e. V /\ R e. Grp ) -> P e. Grp ) $=
      ( wcel cgrp wa cbs cmps co csubg eqid simpl simpr mplsubg mplval2 subggrp
      cfv syl ) CDFZBGFZHZAISZCBJKZLSFAGFUCABUEUDCDUEMZEUDMZUAUBNUAUBOPUDUEAABU
      EUDCEUFUGQRT $.

    $( The polynomial ring is a left module.  (Contributed by Mario Carneiro,
       9-Jan-2015.) $)
    mpllmod $p |- ( ( I e. V /\ R e. Ring ) -> P e. LMod ) $=
      ( wcel crg wa cmps co clmod cbs cfv clss eqid simpl simpr psrlmod mplval2
      mpllss lsslmod syl2anc ) CDFZBGFZHZCBIJZKFALMZUFNMZFAKFUEBUFCDUFOZUCUDPZU
      CUDQZRUEABUFUGCDUIEUGOZUJUKTUHUGUFAABUFUGCEUIULSUHOUAUB $.

    $( The polynomial ring is a ring.  (Contributed by Mario Carneiro,
       9-Jan-2015.) $)
    mplring $p |- ( ( I e. V /\ R e. Ring ) -> P e. Ring ) $=
      ( wcel crg wa cbs cfv cmps co eqid simpl simpr mplsubrg mplval2 subrgring
      csubrg syl ) CDFZBGFZHZAIJZCBKLZSJFAGFUCABUEUDCDUEMZEUDMZUAUBNUAUBOPUDUEA
      ABUEUDCEUFUGQRT $.

    $( The polynomial ring is a vector space.  (Contributed by SN,
       29-Feb-2024.) $)
    mpllvec $p |- ( ( I e. V /\ R e. DivRing ) -> P e. LVec ) $=
      ( wcel cdr wa clmod csca cfv clvec crg drngring sylan2 simpl simpr mplsca
      mpllmod eqeltrrd eqid islvec sylanbrc ) CDFZBGFZHZAIFZAJKZGFALFUEUDBMFUGB
      NABCDESOUFBUHGUFABCDGEUDUEPUDUEQZRUITUHAUHUAUBUC $.

    $( The polynomial ring is a commutative ring.  (Contributed by Mario
       Carneiro, 9-Jan-2015.) $)
    mplcrng $p |- ( ( I e. V /\ R e. CRing ) -> P e. CRing ) $=
      ( wcel ccrg wa cmps co cbs cfv csubrg eqid simpl simpr psrcrng crg adantl
      crngring mplsubrg mplval2 subrgcrng syl2anc ) CDFZBGFZHZCBIJZGFAKLZUHMLFA
      GFUGBUHCDUHNZUEUFOZUEUFPQUGABUHUICDUJEUINZUKUFBRFUEBTSUAUIUHAABUHUICEUJUL
      UBUCUD $.

    $( The polynomial ring is an associative algebra.  (Contributed by Mario
       Carneiro, 9-Jan-2015.) $)
    mplassa $p |- ( ( I e. V /\ R e. CRing ) -> P e. AssAlg ) $=
      ( wcel ccrg wa casa cbs cfv cmps csubrg clss eqid simpl crg crngring syl
      co adantl mplsubrg mpllss cur wb simpr psrassa subrg1cl subrgss issubassa
      wss mplval2 syl3anc mpbir2and ) CDFZBGFZHZAIFZAJKZCBLTZMKFZUSUTNKZFZUQABU
      TUSCDUTOZEUSOZUOUPPZUPBQFUOBRUAZUBZUQABUTUSCDVDEVEVFVGUCUQUTIFUTUDKZUSFZU
      SUTJKZUKZURVAVCHUEUQBUTCDVDVFUOUPUFUGUQVAVJVHUSUTVIVIOZUHSUQVAVLVHUSVKUTV
      KOZUISUSAVIVBVKUTABUTUSCEVDVEULVBOVNVMUJUMUN $.
  $}

  ${
    $d f C $.  $d f H $.  $d f I $.  $d f ph $.  $d f R $.
    ressmpl.s $e |- S = ( I mPoly R ) $.
    ressmpl.h $e |- H = ( R |`s T ) $.
    ressmpl.u $e |- U = ( I mPoly H ) $.
    ressmpl.b $e |- B = ( Base ` U ) $.
    ressmpl.1 $e |- ( ph -> I e. V ) $.
    ressmpl.2 $e |- ( ph -> T e. ( SubRing ` R ) ) $.
    ${
      ressmplbas2.w $e |- W = ( I mPwSer H ) $.
      ressmplbas2.c $e |- C = ( Base ` W ) $.
      ressmplbas2.k $e |- K = ( Base ` S ) $.
      $( The base set of a restricted polynomial algebra consists of power
         series in the subring which are also polynomials (in the parent ring).
         (Contributed by Mario Carneiro, 3-Jul-2015.) $)
      ressmplbas2 $p |- ( ph -> B = ( C i^i K ) ) $=
        ( vf cv c0g cfv cfsupp wbr cab cin cmps co cbs wss wceq csubrg subrgpsr
        wcel eqid syl2anc subrgss syl df-ss subrg0 breq2d abbidv ineq12d eqcomd
        sylib crab mplbas dfrab3 eqtri ineq2i inass eqtr4i 3eqtr4g ) ACUBUCZHUD
        UEZUFUGZUBUHZUIZCIDUJUKZULUEZUIZVQDUDUEZUFUGZUBUHZUIZBCJUIZAWHWAAWDCWGV
        TACWCUMZWDCUNACWBUOUEUQZWJAIKUQFDUOUEUQZWKQRCDWBFLHIKWBURZNSTUPUSCWCWBW
        CURZUTVACWCVBVHAWFVSUBAWEVRVQUFAWLWEVRUNRFDHWENWEURZVCVAVDVEVFVGBVSUBCV
        IWACGHLBUBIVROSTVRURPVJVSUBCVKVLWICWCWGUIZUIWHJWPCJWFUBWCVIWPWCEDWBJUBI
        WEMWMWNWOUAVJWFUBWCVKVLVMCWCWGVNVOVP $.
    $}

    ressmpl.p $e |- P = ( S |`s B ) $.
    $( A restricted polynomial algebra has the same base set.  (Contributed by
       Mario Carneiro, 3-Jul-2015.) $)
    ressmplbas $p |- ( ph -> B = ( Base ` P ) ) $=
      ( cbs cfv eqid wss wceq cmps cin ressmplbas2 inss2 eqsstrdi ressbas2 syl
      co ) ABERSZUABCRSUBABIHUCUJZRSZUKUDUKABUMDEFGHIUKJULKLMNOPULTUMTUKTZUEUMU
      KUFUGBUKCEQUNUHUI $.

    $( A restricted polynomial algebra has the same addition operation.
       (Contributed by Mario Carneiro, 3-Jul-2015.) $)
    ressmpladd $p |- ( ( ph /\ ( X e. B /\ Y e. B ) ) ->
        ( X ( +g ` U ) Y ) = ( X ( +g ` P ) Y ) ) $=
      ( cfv wcel wa cmps cplusg cbs cress wceq eqid mplbasss anim12i resspsradd
      sseli sylan2 cvv fvexi mplval2 ressplusg ax-mp oveqi fvex 3eqtr3i 3eqtr3g
      co ) AKBUAZLBUAZUBZUBKLIHUCVCZUDTZVCZKLIDUCVCZVGUETZUFVCZUDTZVCZKLGUDTZVC
      KLCUDTZVCVFAKVKUAZLVKUAZUBVIVNUGVDVQVEVRBVKKVKGHVGBIOVGUHZPVKUHZUIZULBVKL
      WAULUJAVKVLDVJFVGHIKLVJUHZNVSVTVLUHZRUKUMVHVOKLBUNUAZVHVOUGBGUEPUOZBVHVGG
      UNGHVGBIOVSPUPVHUHUQURUSVMVPKLVJUDTZEUDTZVMVPEUETZUNUAWFWGUGEUEUTWHWFVJEU
      NEDVJWHIMWBWHUHUPWFUHZUQURVKUNUAWFVMUGVGUEUTVKWFVJVLUNWCWIUQURWDWGVPUGWEB
      WGECUNSWGUHUQURVAUSVB $.

    $( A restricted polynomial algebra has the same multiplication operation.
       (Contributed by Mario Carneiro, 3-Jul-2015.) $)
    ressmplmul $p |- ( ( ph /\ ( X e. B /\ Y e. B ) ) ->
        ( X ( .r ` U ) Y ) = ( X ( .r ` P ) Y ) ) $=
      ( cfv wcel wa cmps co cmulr cbs cress wceq eqid mplbasss sseli resspsrmul
      anim12i sylan2 fvexi mplval2 ressmulr ax-mp oveqi fvex 3eqtr3i 3eqtr3g
      cvv ) AKBUAZLBUAZUBZUBKLIHUCUDZUETZUDZKLIDUCUDZVGUFTZUGUDZUETZUDZKLGUETZU
      DKLCUETZUDVFAKVKUAZLVKUAZUBVIVNUHVDVQVEVRBVKKVKGHVGBIOVGUIZPVKUIZUJZUKBVK
      LWAUKUMAVKVLDVJFVGHIKLVJUIZNVSVTVLUIZRULUNVHVOKLBVCUAZVHVOUHBGUFPUOZBVGGV
      HVCGHVGBIOVSPUPVHUIUQURUSVMVPKLVJUETZEUETZVMVPEUFTZVCUAWFWGUHEUFUTWHVJEWF
      VCEDVJWHIMWBWHUIUPWFUIZUQURVKVCUAWFVMUHVGUFUTVKVJVLWFVCWCWIUQURWDWGVPUHWE
      BECWGVCSWGUIUQURVAUSVB $.

    $( A restricted power series algebra has the same scalar multiplication
       operation.  (Contributed by Mario Carneiro, 3-Jul-2015.) $)
    ressmplvsca $p |- ( ( ph /\ ( X e. T /\ Y e. B ) ) ->
        ( X ( .s ` U ) Y ) = ( X ( .s ` P ) Y ) ) $=
      ( cfv wcel wa cmps cvsca cbs cress wceq eqid mplbasss resspsrvsca sylanr2
      co sseli cvv fvexi mplval2 ressvsca ax-mp oveqi fvex 3eqtr3i 3eqtr3g ) AK
      FUAZLBUAZUBUBKLIHUCULZUDTZULZKLIDUCULZVEUETZUFULZUDTZULZKLGUDTZULKLCUDTZU
      LVDAVCLVIUAVGVLUGBVILVIGHVEBIOVEUHZPVIUHZUIUMAVIVJDVHFVEHIKLVHUHZNVOVPVJU
      HZRUJUKVFVMKLBUNUAZVFVMUGBGUEPUOZBVFVEGUNGHVEBIOVOPUPVFUHUQURUSVKVNKLVHUD
      TZEUDTZVKVNEUETZUNUAWAWBUGEUEUTWCWAVHEUNEDVHWCIMVQWCUHUPWAUHZUQURVIUNUAWA
      VKUGVEUEUTVIWAVHVJUNVRWDUQURVSWBVNUGVTBWBECUNSWBUHUQURVAUSVB $.
  $}

  ${
    subrgmpl.s $e |- S = ( I mPoly R ) $.
    subrgmpl.h $e |- H = ( R |`s T ) $.
    subrgmpl.u $e |- U = ( I mPoly H ) $.
    subrgmpl.b $e |- B = ( Base ` U ) $.
    $( A subring of the base ring induces a subring of polynomials.
       (Contributed by Mario Carneiro, 3-Jul-2015.) $)
    subrgmpl $p |- ( ( I e. V /\ T e. ( SubRing ` R ) ) ->
        B e. ( SubRing ` S ) ) $=
      ( wcel csubrg cfv wa cmps co cbs eqid wss cin simpl simpr ressmplbas2 crg
      subrgpsr subrgrcl mplsubrg subrgin syl2anc eqeltrd inss2 eqsstrdi mplval2
      adantl wb subsubrg syl mpbir2and ) GHMZDBNOMZPZACNOMZAGBQRZNOZMZACSOZUAZV
      CAGFQRZSOZVHUBZVFVCAVKBCDEFGVHHVJIJKLVAVBUCZVAVBUDVJTZVKTZVHTZUEZVCVKVFMV
      HVFMZVLVFMVKBVEDVJFGHVETZJVNVOUGVCCBVEVHGHVSIVPVMVBBUFMVADBUHUPUIZVKVHVEU
      JUKULVCAVLVHVQVKVHUMUNVCVRVDVGVIPUQVTVHAVECCBVEVHGIVSVPUOURUSUT $.
  $}

  ${
    $d x B $.  $d x y H $.  $d f x y z I $.  $d x y ph $.  $d x V $.  $d z W $.
    $d x y R $.
    subrgmvr.v $e |- V = ( I mVar R ) $.
    subrgmvr.i $e |- ( ph -> I e. W ) $.
    subrgmvr.r $e |- ( ph -> T e. ( SubRing ` R ) ) $.
    subrgmvr.h $e |- H = ( R |`s T ) $.
    $( The variables in a subring polynomial algebra are the same as the
       original ring.  (Contributed by Mario Carneiro, 4-Jul-2015.) $)
    subrgmvr $p |- ( ph -> V = ( I mVar H ) ) $=
      ( vx vy vf vz cv wcel cmpt cfv eqid ccnv cn cima cfn cmap co crab wceq c1
      cn0 cc0 cif cur c0g csubrg subrg1 syl subrg0 ifeq12d mpteq2dv crg mvrfval
      cmvr subrgrcl cvv cress ovexi a1i 3eqtr4d ) ALEMNPUAUBUCUDQNUJEUEUFUGZMPO
      EOPLPUHUIUKULRUHZBUMSZBUNSZULZRZRLEMVJVKDUMSZDUNSZULZRZRFEDVCUFZALEVOVSAM
      VJVNVRAVKVLVPVMVQACBUOSQZVLVPUHJCBDVLKVLTZUPUQAWAVMVQUHJCBDVMKVMTZURUQUSU
      TUTALOVJBVLMNEFGVAVMHVJTZWCWBIAWABVAQJCBVDUQVBALOVJDVPMNEVTGVEVQVTTWDVQTV
      PTIDVEQADBCVFKVGVHVBVI $.

    subrgmvrf.u $e |- U = ( I mPoly H ) $.
    subrgmvrf.b $e |- B = ( Base ` U ) $.
    $( The variables in a polynomial algebra are contained in every subring
       algebra.  (Contributed by Mario Carneiro, 4-Jul-2015.) $)
    subrgmvrf $p |- ( ph -> V : I --> B ) $=
      ( vx cfv wcel eqid adantr wfn cv wral wf cmps cbs csubrg crg subrgrcl syl
      co mvrf ffnd wa cmvr wceq subrgmvr fveq1d subrgring simpr mvrcl ralrimiva
      eqeltrd ffnfv sylanbrc ) AHGUAPUBZHQZBRZPGUCGBHUDAGGCUEUKZUFQZHAVJCVIGHIV
      ISJVJSKADCUGQRZCUHRLDCUIUJULUMAVHPGAVFGRZUNZVGVFGFUOUKZQZBAVGVOUPVLAVFHVN
      ACDFGHIJKLMUQURTVMBEFGVNIVFNVNSOAGIRVLKTAFUHRZVLAVKVPLDCFMUSUJTAVLUTVAVCV
      BPGBHVDVE $.
  $}

  ${
    $d j k x y z D $.  $d f j k x z I $.  $d j k y z ph $.  $d f j k x y z X $.
    $d j k y .0. $.  $d j k y .1. $.  $d j k y R $.  $d f j k x y z Y $.
    $d x W $.
    mplmon.s $e |- P = ( I mPoly R ) $.
    mplmon.b $e |- B = ( Base ` P ) $.
    mplmon.z $e |- .0. = ( 0g ` R ) $.
    mplmon.o $e |- .1. = ( 1r ` R ) $.
    mplmon.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
    mplmon.i $e |- ( ph -> I e. W ) $.
    mplmon.r $e |- ( ph -> R e. Ring ) $.
    mplmon.x $e |- ( ph -> X e. D ) $.
    $( A monomial is a polynomial.  (Contributed by Mario Carneiro,
       9-Jan-2015.) $)
    mplmon $p |- ( ph -> ( y e. D |-> if ( y = X , .1. , .0. ) ) e. B ) $=
      ( cv wceq cif cmpt cmps co cbs cfv wcel cfsupp wbr cmap crg eqid ringidcl
      wf ring0cl ifcld syl adantr fmpttd fvex ccnv cn cima cfn cn0 rabex2 elmap
      ovex sylibr psrbas eleqtrrd cvv wfun w3a csn csupp wss mptex funmpt fvexi
      c0g 3pm3.2i a1i snfi wa wne eldifsni adantl neneqd iffalsed suppssfifsupp
      cdif suppss2 syl12anc mplelbas sylanbrc ) ABDBUAZKUBZGLUCZUDZIFUEUFZUGUHZ
      UIXBLUJUKZXBCUIAXBFUGUHZDULUFZXDADXFXBUPXBXGUIABDXAXFAXAXFUIZWSDUIAFUMUIZ
      XHSXIWTGLXFXFFGXFUNZPUOXFFLXJOUQURUSUTVAXFDXBFUGVBHUAVCVDVEVFUIHVGIULUFDQ
      VGIULVJVHZVIVKAXDDFXCHIXFJXCUNZXJQXDUNZRVLVMAXBVNUIZXBVOZLVNUIZVPZKVQZVFU
      IZXBLVRUFXRVSXEXQAXNXOXPBDXAXKVTBDXAWALFWCOWBWDWEXSAKWFWEADXABVNXRLAWSDXR
      WNUIZWGZWTGLYAWSKXTWSKWHAWSDKWIWJWKWLDVNUIAXKWEWOXRXBVNVNLWMWPXDEFXCCIXBL
      MXLXMONWQWR $.

    mplmonmul.t $e |- .x. = ( .r ` P ) $.
    mplmonmul.x $e |- ( ph -> Y e. D ) $.
    $( The product of two monomials adds the exponent vectors together.  For
       example, the product of ` ( x ^ 2 ) ( y ^ 2 ) ` with
       ` ( y ^ 1 ) ( z ^ 3 ) ` is ` ( x ^ 2 ) ( y ^ 3 ) ( z ^ 3 ) ` , where the
       exponent vectors ` <. 2 , 2 , 0 >. ` and ` <. 0 , 1 , 3 >. ` are added
       to give ` <. 2 , 3 , 3 >. ` .  (Contributed by Mario Carneiro,
       9-Jan-2015.) $)
    mplmonmul $p |- ( ph -> ( ( y e. D |-> if ( y = X , .1. , .0. ) ) .x.
                              ( y e. D |-> if ( y = Y , .1. , .0. ) ) ) =
                      ( y e. D |-> if ( y = ( X oF + Y ) , .1. , .0. ) ) ) $=
      ( vk vj vx vz cv wceq cif cmpt cle cofr wbr crab cfv cmin cof cmulr caddc
      co cgsu eqid mplmon mplmul eqeq1 ifbid cbvmptv wcel wa cres simpr resmptd
      csn snssd oveq2d cmnd cbs crg ad2antrr ringmnd syl iftrue cur fvexi fvmpt
      ssrab2 simplr psrbagconcl syl2anc c0g ifex oveq12d ringidcl ring0cl ifcld
      sselid ringlidm wral cn0 wb wf psrbagf ffvelrnda adantr adantlr cc subadd
      nn0cn syl3an syl3anc eqcom bitrdi ralbidva cvv mpteqb ovexd fvexd 3bitr4g
      feqmptd offval2 eqeq12d 3bitr4d 3eqtrd eqeltrrd eqeltrd ffvelrnd iffalsed
      mprg c0 mplelf cfn adantl cdif wss cmap a1i suppss2 sylan2 fveq2 oveq2 wn
      fveq2d gsumsn gsum0 cin disjsn wfn ringcl fmpttd ffn 3syl biimpa sylan2br
      fnresdisj breq1 nn0red nn0addge1 ralrimiva ofrfval2 mpbird elrabd rabbidv
      cr breq2 eleq2d syl5ibrcom con3dimp 3eqtr4a ccmn ringcmn psrbaglefi ssdif
      pm2.61dan ax-mp sseli wne eldifsni neneqd ccnv cn cima ovex rabex2 oveq1d
      suppssr eldifi ringlz eqtrd rabex wfun w3a cfsupp mptrabex funmpt 3pm3.2i
      csupp snfi suppssfifsupp syl12anc gsumres eqtr3d mpteq2dva eqtrid eqtr4d
      ) ABDBUIZLUJZHNUKZULZBDUXGMUJZHNUKZULZGVBUEDFUFUGUIZUEUIZUMUNZUOZUGDUPZUF
      UIZUXJUQZUXOUXSURUSZVBZUXMUQZFUTUQZVBZULZVCVBZULZBDUXGLMVAUSVBZUJZHNUKZUL
      ZAUFUGCDEFGUYDIUEUXJUXMJOPUYDVDZUCSABCDEFHIJKLNOPQRSTUAUBVEZABCDEFHIJKMNO
      PQRSTUAUDVEZVFAUYLUEDUXOUYIUJZHNUKZULUYHBUEDUYKUYQUXGUXOUJUYJUYPHNUXGUXOU
      YIVGVHVIAUEDUYQUYGAUXODVJZVKZFUYFLVOZVLZVCVBZUYQUYGUYSLUXRVJZVUBUYQUJUYSV
      UCVKZVUBFUFUYTUYEULZVCVBZLUXJUQZUXOLUYAVBZUXMUQZUYDVBZUYQVUDVUAVUEFVCVUDU
      FUXRUYTUYEVUDLUXRUYSVUCVMZVPVNVQVUDFVRVJZLDVJZVUJFVSUQZVJVUFVUJUJVUDFVTVJ
      ZVULAVUOUYRVUCUAWAZFWBWCAVUMUYRVUCUBWAZVUDVUJUYQVUNVUDVUJHVUHMUJZHNUKZUYD
      VBZVUSUYQVUDVUGHVUIVUSUYDVUDVUMVUGHUJVUQBLUXIHDUXJUXHHNWDUXJVDHFWERWFZWGW
      CVUDVUHDVJVUIVUSUJVUDUXRDVUHUXQUGDWHZVUDUYRVUCVUHUXRVJAUYRVUCWIZVUKUGDUXR
      IUXOJLSUXRVDZWJWKWRBVUHUXLVUSDUXMUXGVUHUJUXKVURHNUXGVUHMVGVHUXMVDVURHNVVA
      NFWLQWFZWMWGWCWNVUDVUOVUSVUNVJZVUTVUSUJVUPVUDVUOVVFVUPVUOVURHNVUNVUNFHVUN
      VDZRWOVUNFNVVGQWPWQWCZVUNFUYDHVUSVVGUYMRWSWKVUDVURUYPHNVUDUHJUHUIZUXOUQZV
      VILUQZURVBZULZUHJVVIMUQZULZUJZUHJVVJULZUHJVVKVVNVAVBZULZUJZVURUYPVUDVVLVV
      NUJZUHJWTZVVJVVRUJZUHJWTZVVPVVTVUDVWAVWCUHJVUDVVIJVJZVKZVWAVVRVVJUJZVWCVW
      FVVJXAVJZVVKXAVJZVVNXAVJZVWAVWGXBZVUDJXAVVIUXOVUDUYRJXAUXOXCVVCDIUXOJSXDW
      CZXEZUYSVWEVWIVUCUYSJXAVVILUYSVUMJXALXCAVUMUYRUBXFZDILJSXDWCZXEZXGZUYSVWE
      VWJVUCUYSJXAVVIMAJXAMXCZUYRAMDVJVWRUDDIMJSXDWCXFZXEZXGVWHVVJXHVJVWIVVKXHV
      JVWJVVNXHVJVWKVVJXJVVKXJVVNXJVVJVVKVVNXIXKXLVVRVVJXMXNXOVVLXPVJVVPVWBXBUH
      JUHJVVLVVNXPXQVWEVVJVVKURXRYJVVJXPVJVVTVWDXBUHJUHJVVJVVRXPXQVWEVVIUXOXSYJ
      XTVUDVUHVVMMVVOVUDUHJVVJVVKURUXOLKXAXAAJKVJZUYRVUCTWAVWMVWQVUDUHJXAUXOVWL
      YAZUYSLUHJVVKULUJVUCUYSUHJXALVWOYAZXFYBUYSMVVOUJVUCUYSUHJXAMVWSYAZXFYCVUD
      UXOVVQUYIVVSVXBUYSUYIVVSUJVUCUYSUHJVVKVVNVALMKXAXAAVXAUYRTXFZVWPVWTVXCVXD
      YBZXFYCYDVHZYEZVUDVUSUYQVUNVXGVVHYFYGUYEVUNVUJUFFLDVVGUXSLUJZUXTVUGUYCVUI
      UYDUXSLUXJUUAVXIUYBVUHUXMUXSLUXOUYAUUBUUDWNUUEXLVXHYEUYSVUCUUCZVKZFYKVCVB
      NVUBUYQFNQUUFVXKVUAYKFVCVXJUYSUXRUYTUUGYKUJZVUAYKUJZUXRLUUHUYSVXLVXMUYSUX
      RVUNUYFXCUYFUXRUUIVXLVXMXBUYSUFUXRUYEVUNUYSUXSUXRVJZVKZVUOUXTVUNVJUYCVUNV
      JZUYEVUNVJAVUOUYRVXNUAWAZVXODVUNUXSUXJADVUNUXJXCZUYRVXNACDEFIJVUNUXJOVVGP
      SUYNYLZWAVXOUXRDUXSVVBUYSVXNVMZWRYHVXODVUNUYBUXMADVUNUXMXCUYRVXNACDEFIJVU
      NUXMOVVGPSUYOYLWAVXOUXRDUYBVVBVXOUYRVXNUYBUXRVJAUYRVXNWIVXTUGDUXRIUXOJUXS
      SVVDWJWKWRYHZVUNFUYDUXTUYCVVGUYMUUJXLUUKZUXRVUNUYFUULUXRUYTUYFUUPUUMUUNUU
      OVQVXKUYPHNUYSUYPVUCUYSVUCUYPLUXNUYIUXPUOZUGDUPZVJUYSVYCLUYIUXPUOZUGLDUXN
      LUYIUXPUUQVWNUYSVYEVVKVVRUMUOZUHJWTUYSVYFUHJUYSVWEVKZVVKUVEVJVWJVYFVYGVVK
      VWPUURVWTVVKVVNUUSWKUUTUYSUHJVVKVVRUMLUYIKXAXPVXEVWPVYGVVKVVNVAXRVXCVXFUV
      AUVBUVCUYPUXRVYDLUYPUXQVYCUGDUXOUYIUXNUXPUVFUVDUVGUVHUVIYIUVJUVOUYSUXRVUN
      UYFFYMUYTNVVGQUYSVUOFUVKVJAVUOUYRUAXFFUVLWCUYRUXRYMVJAUGDIUXOJSUVMYNVYBUY
      SUXRUYEUFXPUYTNUYSUXSUXRUYTYOZVJZVKZUYENUYCUYDVBZNVYJUXTNUYCUYDVYIUYSUXSD
      UYTYOZVJUXTNUJVYHVYLUXSUXRDYPVYHVYLYPVVBUXRDUYTUVNUVPUVQUYSDVUNXPUXJXPUYT
      UXSNAVXRUYRVXSXFUYSDUXIBXPUYTNUYSUXGVYLVJZVKZUXHHNVYNUXGLVYMUXGLUVRUYSUXG
      DLUVSYNUVTYIDXPVJUYSIUIUWAUWBUWCYMVJIXAJYQVBDSXAJYQUWDUWEZYRZYSVYPNXPVJZU
      YSVVEYRUWGYTUWFVYIUYSVXNVYKNUJZUXSUXRUYTUWHVXOVUOVXPVYRVXQVYAVUNFUYDUYCNV
      VGUYMQUWIWKYTUWJUXRXPVJUYSUXQUGDVYOUWKYRYSZUYSUYFXPVJZUYFUWLZVYQUWMZUYTYM
      VJZUYFNUWRVBUYTYPUYFNUWNUOWUBUYSVYTWUAVYQUXQUFUGDUYEVYOUWOUFUXRUYEUWPVVEU
      WQYRWUCUYSLUWSYRVYSUYTUYFXPXPNUWTUXAUXBUXCUXDUXEUXF $.
  $}

  ${
    $d i k n w x z .^ $.  $d i k n w x y z .1. $.  $d k B $.  $d i k w x z G $.
    $d f i k n w x y z I $.  $d k x y N $.  $d i k n w x y z ph $.  $d f y R $.
    $d i k n w x y z D $.  $d i k w x z P $.  $d i k n w x z V $.
    $d f i k n w x y z .0. $.  $d f k n w x y z X $.  $d f i k w x y z Y $.
    $d i k y W $.  $d k w x z .x. $.
    mplcoe1.p $e |- P = ( I mPoly R ) $.
    mplcoe1.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
    mplcoe1.z $e |- .0. = ( 0g ` R ) $.
    mplcoe1.o $e |- .1. = ( 1r ` R ) $.
    mplcoe1.i $e |- ( ph -> I e. W ) $.
    ${
      mplcoe1.b $e |- B = ( Base ` P ) $.
      mplcoe1.n $e |- .x. = ( .s ` P ) $.
      mplcoe1.r $e |- ( ph -> R e. Ring ) $.
      mplcoe1.x $e |- ( ph -> X e. B ) $.
      $( Decompose a polynomial into a finite sum of monomials.  (Contributed
         by Mario Carneiro, 9-Jan-2015.) $)
      mplcoe1 $p |- ( ph -> X = ( P gsum ( k e. D |->
        ( ( X ` k ) .x. ( y e. D |-> if ( y = k , .1. , .0. ) ) ) ) ) ) $=
        ( vw vx vz csupp co cv cfv weq cif cmpt cgsu wcel cbs mplelf feqmptd wa
        eqid wceq iftrue adantl wn cdif eldif cvv ssidd ccnv cima cfn cmap ovex
        cn cn0 rabex2 a1i c0g suppssr pm2.61dan mpteq2dva eqtr4d wss cfsupp wbr
        fvexi wi mplelbas syl wel csn sseq1 mpteq1 eqtrdi oveq2d eleq2 iffalsed
        mpteq2dv eqeq12d imbi12d imbi2d cxp crg fconstmpt cplusg syl2anc adantr
        c0 ifbid ffvelrnda fveq2d eleqtrd simpr mplmon lmodvscl syl3anc oveq12d
        wf sylibr cof ad2antrr ifcld fmpttd fvex wfun w3a mptex 3pm3.2i suppss2
        funmpt suppssfifsupp syl12anc eqidd offval2 eqtrd iftrued wo a2d oveq1d
        3eqtr4d ifeq2d ifid eqtr3di sylan2br anassrs suppssdm simprbi fsuppimpd
        fssdm cmps cun mpt0 gsum0 noel mtbiri cgrp ringgrp mpl0 a1d ssun1 sstr2
        ax-mp imim1i oveq1 ccmn mplring ringcmn simprr unssad sselda clmod csca
        simprll mpllmod mplsca adantlr syldan vex simprlr unssbd ffvelrnd fveq2
        snss equequ2 gsumunsn cmulr ring0cl elmap psrbas eleqtrrd eldifn mpladd
        sylanbrc ovexd ringidcl grplid velsn sylib eqneltrd elun2 grprid sylnib
        mplvsca ringridm wb elun orcom bitri biorf bitr4id 3eqtrrd syl5ibr expr
        ringrz expcom findcard2s mpcom mpd resmptd eldifi eqtrid lmod0vs sylan2
        syl5 cres gsumres eqtr3d ) AMEJMNUGUHZJUIZMUJZBDBJUKZHNULZUMZGUHZUMZUNU
        HZEJDUYNUMZUNUHZAMBDBUIZUYHUOZUYSMUJZNULZUMZUYPAMBDVUAUMVUCABDFUPUJZMAC
        DEFIKVUDMOVUDUTZTPUCUQZURABDVUBVUAAUYSDUOZUSZUYTVUBVUAVAZUYTVUIVUHUYTVU
        ANVBVCAVUGUYTVDZVUIVUGVUJUSAUYSDUYHVEZUOZVUIUYSDUYHVFAVULUSZUYTVUAVUAUL
        VUBVUAVUMUYTVUANVUAADVUDVGMVGUYHUYSNVUFAUYHVHZDVGUOZAIUIVIVNVJVKUOIVOKV
        LUHDPVOKVLVMVPZVQZNVGUOZANFVRQWFZVQZVSUUAUYTVUAUUBUUCUUDUUEVTWAWBAUYHDW
        CZUYPVUCVAZADVUDUYHMMNUUFVUFUUIZUYHVKUOZAVVAVVBWGZAMNAMCUOZMNWDWEZUCVVF
        MKFUUJUHZUPUJZUOVVGVVIEFVVHCKMNOVVHUTZVVIUTZQTWHUUGWIUUHZAUDUIZDWCZEJVV
        MUYNUMZUNUHZBDBUDWJZVUANULZUMZVAZWGZWGAXHDWCZEVRUJZBDNUMZVAZWGZWGAUEUIZ
        DWCZEJVWGUYNUMZUNUHZBDBUEWJZVUANULZUMZVAZWGZWGAVWGUFUIZWKZUUKZDWCZEJVWR
        UYNUMZUNUHZBDUYSVWRUOZVUANULZUMZVAZWGZWGAVVEWGUDUEUFUYHVVMXHVAZVWAVWFAV
        XGVVNVWBVVTVWEVVMXHDWLVXGVVPVWCVVSVWDVXGVVPEXHUNUHVWCVXGVVOXHEUNVXGVVOJ
        XHUYNUMXHJVVMXHUYNWMJUYNUULWNWOEVWCVWCUTZUUMWNVXGBDVVRNVXGVVQVUANVXGVVQ
        UYSXHUOUYSUUNVVMXHUYSWPUUOWQWRWSWTXAUDUEUKZVWAVWOAVXIVVNVWHVVTVWNVVMVWG
        DWLVXIVVPVWJVVSVWMVXIVVOVWIEUNJVVMVWGUYNWMWOVXIBDVVRVWLVXIVVQVWKVUANVVM
        VWGUYSWPXIWRWSWTXAVVMVWRVAZVWAVXFAVXJVVNVWSVVTVXEVVMVWRDWLVXJVVPVXAVVSV
        XDVXJVVOVWTEUNJVVMVWRUYNWMWOVXJBDVVRVXCVXJVVQVXBVUANVVMVWRUYSWPXIWRWSWT
        XAVVMUYHVAZVWAVVEAVXKVVNVVAVVTVVBVVMUYHDWLVXKVVPUYPVVSVUCVXKVVOUYOEUNJV
        VMUYHUYNWMWOVXKBDVVRVUBVXKVVQUYTVUANVVMUYHUYSWPXIWRWSWTXAAVWEVWBAVWCDNW
        KXBVWDADEFIKNLVWCOPQVXHSAFXCUOZFUUPUOZUBFUUQZWIZUURBDNXDWNUUSVWGVKUOZUF
        UEWJVDZUSZAVWOVXFAVXRVWOVXFWGVWOVWSVWNWGAVXRUSZVXFVWSVWHVWNVWGVWRWCVWSV
        WHWGVWGVWQUUTVWGVWRDUVAUVBUVCVXSVWSVWNVXEAVXRVWSVWNVXEWGVWNVXEAVXRVWSUS
        ZUSZVWJVWPMUJZBDBUFUKZHNULZUMZGUHZEXEUJZUHZVWMVYFVYGUHZVAVWJVWMVYFVYGUV
        DVYAVXAVYHVXDVYIVYAVWGCVYGJEVWPVGUYNVYFTVYGUTZAEUVEUOZVXTAEXCUOZVYKAKLU
        OZVXLVYLSUBEFKLOUVFXFEUVGWIZXGAVXPVXQVWSUVMZVYAJUEWJUYIDUOZUYNCUOZVYAVW
        GDUYIVYAVWGVWQDAVXRVWSUVHZUVIUVJAVYPVYQVXTAVYPUSZEUVKUOZUYJEUVLUJZUPUJZ
        UOUYMCUOZVYQVYSVYMVXLVYTAVYMVYPSXGZAVXLVYPUBXGZEFKLOUVNZXFZVYSUYJVUDWUB
        ADVUDUYIMVUFXJVYSFWUAUPAFWUAVAZVYPAEFKLXCOSUBUVOZXGZXKXLVYSBCDEFHIKLUYI
        NOTQRPWUDWUEAVYPXMXNZUYJGWUAWUBCEUYMTWUAUTZUAWUBUTZXOXPZUVPUVQVWPVGUOVY
        AUFUVRZVQAVXPVXQVWSUVSZVYAVYTVYBWUBUOVYECUOVYFCUOAVYTVXTAVYMVXLVYTSUBWU
        FXFXGVYAVYBVUDWUBVYADVUDVWPMADVUDMXRVXTVUFXGZVYAVWQDWCVWPDUOVYAVWGVWQDV
        YRUVTVWPDWUOUWCXSZUWAZVYAFWUAUPAWUHVXTWUIXGXKXLVYABCDEFHIKLVWPNOTQRPAVY
        MVXTSXGZAVXLVXTUBXGZWURXNZVYBGWUAWUBCEVYETWULUAWUMXOXPZJUFUKZUYJVYBUYMV
        YEGUYIVWPMUWBWVDBDUYLVYDWVDUYKVYCHNJUFBUWDXIWRXQUWEVYAVYIVWMVYFFXEUJZXT
        UHBDVWLVYBVYDFUWFUJZUHZWVEUHZUMVXDVYACEWVEVYGFKVWMVYFOTWVEUTZVYJVYAVWMV
        VIUOVWMNWDWEZVWMCUOVYAVWMVUDDVLUHZVVIVYADVUDVWMXRVWMWVKUOVYABDVWLVUDVYA
        VUGUSZVWKVUANVUDVYADVUDUYSMWUQXJANVUDUOZVXTVUGAVXLWVMUBVUDFNVUEQUWGZWIY
        AYBZYCVUDDVWMFUPYDVUPUWHXSVYAVVIDFVVHIKVUDLVVJVUEPVVKWUTUWIUWJVYAVWMVGU
        OZVWMYEZVURYFZVXPVWMNUGUHVWGWCWVJWVRVYAWVPWVQVURBDVWLVUPYGBDVWLYJVUSYHV
        QVYOVYADVWLBVGVWGNVYAUYSDVWGVEUOZUSVWKVUANWVSVWKVDVYAUYSDVWGUWKVCWQVUOV
        YAVUPVQZYIVWGVWMVGVGNYKYLVVIEFVVHCKVWMNOVVJVVKQTWHUWMWVCUWLVYABDVWLWVGW
        VEVWMVYFVGVUDVGWVTWVOWVLVYBVYDWVFUWNVYAVWMYMVYAVYFDVYBWKXBZVYEWVFXTUHBD
        WVGUMVYACDEFGWVFIVYEKVUDVYBOUAVUETWVFUTZPWUSWVBUXCVYABDVYBVYDWVFWWAVYEV
        GVUDVUDWVTVYAVYBVUDUOZVUGWUSXGAVYDVUDUOZVXTVUGAVXLWWDUBVXLVYCHNVUDVUDFH
        VUERUWOWVNYBWIYAWWABDVYBUMVAVYABDVYBXDVQVYAVYEYMYNYOYNVYABDWVHVXCWVLUYS
        VWQUOZWVHVXCVAWVLWWEUSZNVYBWVEUHZVUAWVHVXCWWFWWGVYBVUAVYAWWGVYBVAZVUGWW
        EVYAVXMWWCWWHVYAVXLVXMWVAVXNWIWUSVUDWVEFVYBNVUEWVIQUWPXFYAWWFUYSVWPMWWF
        WWEVYCWVLWWEXMBVWPUWQZUWRZXKWBWWFVWLNWVGVYBWVEWWFVWKVUANWWFUYSVWPVWGWWJ
        VYAVXQVUGWWEWUPYAUWSWQWWFWVGVYBHWVFUHZVYBWWFVYDHVYBWVFWWFVYCHNWWJYPWOVY
        AWWKVYBVAZVUGWWEVYAVXLWWCWWLWVAWUSVUDFWVFHVYBVUEWWBRUXDXFYAYOXQWWFVXBVU
        ANWWEVXBWVLUYSVWQVWGUWTVCYPYTWVLWWEVDZUSZVWLNWVEUHZVWLWVHVXCWVLWWOVWLVA
        ZWWMWVLVXMVWLVUDUOWWPAVXMVXTVUGVXOYAWVOVUDWVEFVWLNVUEWVIQUXAXFXGWWNWVGN
        VWLWVEWWNWVGVYBNWVFUHZNWWNVYDNVYBWVFWWNVYCHNWWNWWEVYCWVLWWMXMWWIUXBWQWO
        VYAWWQNVAZVUGWWMVYAVXLWWCWWRWVAWUSVUDFWVFVYBNVUEWWBQUXNXFYAYOWOWWNVXBVW
        KVUANWWMVXBVWKUXEWVLWWMVXBWWEVWKYQZVWKVXBVWKWWEYQWWSUYSVWGVWQUXFVWKWWEU
        XGUXHWWEVWKUXIUXJVCXIYTVTWAUXKWSUXLUXMYRUYDUXOYRUXPUXQUXRWBAEUYQUYHUYEZ
        UNUHUYPUYRAWWTUYOEUNAJDUYHUYNVVCUXSWOADCUYQEVGUYHVWCTVXHVYNVUQAJDUYNCWU
        NYCADUYNJVGUYHVWCAUYIVUKUOZUSZUYNNUYMGUHZVWCWXBUYJNUYMGADVUDVGMVGUYHUYI
        NVUFVUNVUQVUTVSYSWXAAVYPWXCVWCVAUYIDUYHUXTVYSWXCWUAVRUJZUYMGUHZVWCVYSNW
        XDUYMGVYSNFVRUJWXDQVYSFWUAVRWUJXKUYAYSVYSVYTWUCWXEVWCVAWUGWUKGWUAWXDCEU
        YMVWCTWULUAWXDUTVXHUYBXFYOUYCYOVUQYIZAUYQVGUOZUYQYEZVWCVGUOZYFZVVDUYQVW
        CUGUHUYHWCUYQVWCWDWEWXJAWXGWXHWXIJDUYNVUPYGJDUYNYJEVRYDYHVQVVLWXFUYHUYQ
        VGVGVWCYKYLUYFUYGYO $.
    $}

    mplcoe2.g $e |- G = ( mulGrp ` P ) $.
    mplcoe2.m $e |- .^ = ( .g ` G ) $.
    mplcoe2.v $e |- V = ( I mVar R ) $.
    ${
      mplcoe3.r $e |- ( ph -> R e. Ring ) $.
      mplcoe3.x $e |- ( ph -> X e. I ) $.
      mplcoe3.n $e |- ( ph -> N e. NN0 ) $.
      $( Decompose a monomial in one variable into a power of a variable.
         (Contributed by Mario Carneiro, 7-Jan-2015.)  (Proof shortened by AV,
         18-Jul-2019.) $)
      mplcoe3 $p |- ( ph -> ( y e. D |-> if ( y = ( k e. I |->
        if ( k = X , N , 0 ) ) , .1. , .0. ) ) = ( N .^ ( V ` X ) ) ) $=
        ( vx vn cn0 wcel cv wceq cc0 cif cmpt cfv co wi csn c1 caddc ifeq1 ifid
        cxp eqtrdi mpteq2dv fconstmpt eqtr4di eqeq2d ifbid oveq1 eqeq12d imbi2d
        cur cbs eqid mvrcl mgpbas ringidval mulg0 syl mpl1 eqtr2d wa cof adantr
        cmulr crg snifpsrbag sylan syl2an mplmonmul mvrval eqcomd oveq2d simplr
        1nn0 a1i 0nn0 ifcl sylancl ifcli eqidd offval2 iftrue oveq12d eqtr4d wn
        00id iffalse 3eqtr4a pm2.61i mpteq2i cmnd mplring syl2anc ringmgp simpr
        3eqtr3rd mgpplusg mulgnn0p1 syl3anc syl5ibr expcom a2d nn0ind mpcom ) L
        UJUKABCBULZHKHULZOUMZLUNUOZUPZUMZFPUOZUPZLOMUQZIURZUMZUGABCYIHKYKUHULZU
        NUOZUPZUMZFPUOZUPZYTYQIURZUMZUSABCYIKUNUTVEZUMZFPUOZUPZUNYQIURZUMZUSABC
        YIHKYKUIULZUNUOZUPZUMZFPUOZUPZUUNYQIURZUMZUSABCYIHKYKUUNVAVBURZUNUOZUPZ
        UMZFPUOZUPZUVBYQIURZUMZUSAYSUSUHUILYTUNUMZUUGUUMAUVJUUEUUKUUFUULUVJBCUU
        DUUJUVJUUCUUIFPUVJUUBUUHYIUVJUUBHKUNUPUUHUVJHKUUAUNUVJUUAYKUNUNUOUNYKYT
        UNUNVCYKUNVDVFVGHKUNVHVIVJVKVGYTUNYQIVLVMVNYTUUNUMZUUGUVAAUVKUUEUUSUUFU
        UTUVKBCUUDUURUVKUUCUUQFPUVKUUBUUPYIUVKHKUUAUUOYKYTUUNUNVCVGVJVKVGYTUUNY
        QIVLVMVNYTUVBUMZUUGUVIAUVLUUEUVGUUFUVHUVLBCUUDUVFUVLUUCUVEFPUVLUUBUVDYI
        UVLHKUUAUVCYKYTUVBUNVCVGVJVKVGYTUVBYQIVLVMVNYTLUMZUUGYSAUVMUUEYPUUFYRUV
        MBCUUDYOUVMUUCYNFPUVMUUBYMYIUVMHKUUAYLYKYTLUNVCVGVJVKVGYTLYQIVLVMVNAUUL
        DVOUQZUUKAYQDVPUQZUKZUULUVNUMAUVODEKMNOQUDUVOVQZUAUEUFVRZUVOIJYQUVNUVOD
        JUBUVQVSZDUVNJUBUVNVQZVTUCWAWBABCDEUVNFGKNPQRSTUVTUAUEWCWDUUNUJUKZAUVAU
        VIAUWAUVAUVIUSUVAUVIAUWAWEZUUSYQDWHUQZURZUUTYQUWCURZUMUUSUUTYQUWCVLUWBU
        VGUWDUVHUWEUWBUUSBCYIHKYKVAUNUOZUPZUMFPUOUPZUWCURBCYIUUPUWGVBWFURZUMZFP
        UOZUPUWDUVGUWBBUVOCDEUWCFGKNUUPUWGPQUVQSTRAKNUKZUWAUAWGZAEWIUKZUWAUEWGZ
        AUWLUWAUUPCUKUAHCGKUUNNORWJWKUWCVQZAUWLVAUJUKZUWGCUKUWAUAUWQUWAWRWSHCGK
        VANORWJWLWMUWBUWHYQUUSUWCUWBYQUWHUWBHCEFBGKMNOWIPUDRSTUWMUWOAOKUKUWAUFW
        GWNWOWPUWBBCUWKUVFUWBUWJUVEFPUWBUWIUVDYIUWBUWIHKUUOUWFVBURZUPUVDUWBHKUU
        OUWFVBUUPUWGNUJUJUWMUWBYJKUKZWEZUWAUNUJUKUUOUJUKAUWAUWSWQWTYKUUNUNUJXAX
        BUWFUJUKUWTYKVAUNUJWRWTXCWSUWBUUPXDUWBUWGXDXEHKUWRUVCYKUWRUVCUMYKUWRUVB
        UVCYKUUOUUNUWFVAVBYKUUNUNXFYKVAUNXFXGYKUVBUNXFXHYKXIZUNUNVBURUNUWRUVCXJ
        UXAUUOUNUWFUNVBYKUUNUNXKYKVAUNXKXGYKUVBUNXKXLXMXNVFVJVKVGXTUWBJXOUKZUWA
        UVPUVHUWEUMAUXBUWAADWIUKZUXBAUWLUWNUXCUAUEDEKNQXPXQDJUBXRWBWGAUWAXSAUVP
        UWAUVRWGUVOUWCIJUUNYQUVSUCDUWCJUBUWPYAYBYCVMYDYEYFYGYH $.
    $}

    $d G y $.  $d V y $.  $d .^ y $.
    ${
      $d G l $.  $d V l $.  $d Y l y $.  $d .^ l $.  $d ph l y $.
      mplcoe5.r $e |- ( ph -> R e. Ring ) $.
      mplcoe5.y $e |- ( ph -> Y e. D ) $.
      mplcoe5.c $e |- ( ph -> A. x e. I A. y e. I
                               ( ( V ` y ) ( +g ` G ) ( V ` x ) )
                                = ( ( V ` x ) ( +g ` G ) ( V ` y ) ) ) $.
      ${
        $d S k l y x $.
        mplcoe5.s $e |- ( ph -> S C_ I ) $.
        $( Lemma for ~ mplcoe4 .  (Contributed by AV, 7-Oct-2019.) $)
        mplcoe5lem $p |- ( ph -> ran ( k e. S |-> ( ( Y ` k ) .^ ( V ` k ) ) )
              C_ ( ( Cntz ` G ) ` ran ( k e. S
                                        |-> ( ( Y ` k ) .^ ( V ` k ) ) ) ) ) $=
          ( vl cv cfv co cmpt crn ccntz wss cplusg wceq wral wcel wi cvv wb vex
          wrex eqid elrnmpt fveq2 oveq12d eqeq2d cbvrexvw wa cbs cmulr mgpplusg
          mp1i eqcomi csrg crg mplring syl2anc ringsrg syl adantr ringmgp sseld
          cmnd cn0 imdistani wf ccnv cn cima cfn psrbag simpld ffvelrnda sselda
          mpbid mgpbas mulgnn0cl syl3anc adantlr syldan oveq2d oveq1d anim12dan
          mvrcl eqeq12d rspc2v syl11 expd mpcom impl srgpcomp oveq12 syl5ibrcom
          ancoms rexlimdva com23 syl5bi sylbid imp32 ralrimivva eleqtrdi fmpttd
          frnd sscntz mpbird ) AJGJUKZPULZYKNULZKUMZUNZUOZYPLUPULZULUQZBUKZCUKZ
          LURULZUMZYTYSUUAUMZUSZCYPUTBYPUTZAUUDBCYPYPAYSYPVAZYTYPVAZUUDAUUFYSYN
          USZJGVFZUUGUUDVBYSVCVAUUFUUIVDABVEJGYNYSYOVCYOVGZVHVQAUUGUUIUUDAUUGYT
          YNUSZJGVFZUUIUUDVBZYTVCVAUUGUULVDACVEJGYNYTYOVCUUJVHVQUULYTUJUKZPULZU
          UNNULZKUMZUSZUJGVFAUUMUUKUURJUJGYKUUNUSZYNUUQYTUUSYLUUOYMUUPKYKUUNPVI
          YKUUNNVIVJVKVLAUURUUMUJGAUUNGVAZVMZUUIUURUUDUVAUUHUURUUDVBJGUVAYKGVAZ
          VMZUUHUURUUDUVCUUDUUHUURVMZYNUUQUUAUMZUUQYNUUAUMZUSUVCUUQYMEEVNULZUUA
          KLYLUVGVGZEVOULZUUAEUVILUCUVIVGVPVRZUCUDUVAEVSVAZUVBAUVKUUTAEVTVAZUVK
          AMOVAZFVTVAZUVLUBUFEFMORWAWBZEWCWDWEWEZUVAUUQUVGVAZUVBUVALWHVAZUUOWIV
          AZUUPUVGVAZUVQAUVRUUTAUVLUVRUVOELUCWFWDZWEUVAAUUNMVAZVMUVSAUUTUWBAGMU
          UNUIWGWJAMWIUUNPAMWIPWKZPWLWMWNWOVAZAPDVAZUWCUWDVMZUGAUVMUWEUWFVDUBDI
          PMOSWPWDWTWQZWRWDZUVAUVGEFMNOUUNRUEUVHAUVMUUTUBWEAUVNUUTUFWEAGMUUNUIW
          SZXIZUVGKLUUOUUPUVGELUCUVHXAZUDXBXCWEAUVBYMUVGVAUUTAUVBVMZUVGEFMNOYKR
          UEUVHAUVMUVBUBWEAUVNUVBUFWEAGMYKUIWSZXIZXDZAUVBYLWIVAZUUTAUVBYKMVAZUW
          PUWMAMWIYKPUWGWRZXEXDUVCYMUUPEUVGUUAKLUUOUVHUVJUCUDUVPUWOUVAUVTUVBUWJ
          WEUVAUVSUVBUWHWEAUUTUVBYMUUPUUAUMZUUPYMUUAUMZUSZYTNULZYSNULZUUAUMZUXC
          UXBUUAUMZUSZCMUTBMUTZAUUTUVBVMZUXAVBUHUXGAUXHUXAUWBUWQVMUXGUXAAUXHVMU
          XFUXAUXBUUPUUAUMZUUPUXBUUAUMZUSBCUUNYKMMYSUUNUSZUXDUXIUXEUXJUXKUXCUUP
          UXBUUAYSUUNNVIZXFUXKUXCUUPUXBUUAUXLXGXJYTYKUSZUXIUWSUXJUWTUXMUXBYMUUP
          UUAYTYKNVIZXGUXMUXBYMUUPUUAUXNXFXJXKAUUTUWBUVBUWQUWIUWMXHXLXMXNXOXPXP
          UVDUUBUVEUUCUVFYSYNYTUUQUUAXQUURUUHUUCUVFUSYTUUQYSYNUUAXQXSXJXRXMXTYA
          XTYBYCYAYCYDYEAYPLVNULZUQZUXPYRUUEVDAGUXOYOAJGYNUXOUWLUVRUWPYMUXOVAYN
          UXOVAAUVRUVBUWAWEUWLAUWQVMUWPAUVBUWQAGMYKUIWGWJUWRWDUWLYMUVGUXOUWNUWK
          YFUXOKLYLYMUXOVGZUDXBXCYGYHZUXRBCUXOUUAYPYPLYQUXQUUAVGYQVGYIWBYJ $.
      $}

      $d D a b $.  $d G a b $.  $d I a b $.  $d P a $.  $d R b $.  $d V a b $.
      $d W b $.  $d Y a b $.  $d a b f $.  $d a b k x y z $.  $d .^ a b $.
      $d .0. a b $.  $d .1. a b $.  $d ph a b $.
      $( Decompose a monomial into a finite product of powers of variables.
         Instead of assuming that ` R ` is a commutative ring (as in
         ~ mplcoe2 ), it is sufficient that ` R ` is a ring and all the
         variables of the multivariate polynomial commute.  (Contributed by AV,
         7-Oct-2019.) $)
      mplcoe5 $p |- ( ph -> ( y e. D |-> if ( y = Y , .1. , .0. ) )
                    = ( G gsum ( k e. I |-> ( ( Y ` k ) .^ ( V ` k ) ) ) ) ) $=
        ( vi vw vz va vb cv wceq cif cmpt ccnv cn cima wcel cfv cc0 co cgsu cn0
        wf cfn wa wb psrbag syl mpbid simpld feqmptd iftrue adantl wn eldif cvv
        cdif wss frnnn0supp syl2anc eqimss c0ex a1i suppssr ifeq2d ifid eqtr3di
        csupp sylan2br pm2.61dan mpteq2dva eqtr4d eqeq2d ifbid mpteq2dv wel csn
        wi c0 cur sseq1 eleq2 iffalsed mpteq1 eqtrdi oveq2d eqid eqeq12d imbi2d
        imbi12d weq caddc adantr crg ffvelrnda 0nn0 ifcl sylancl fmpttd suppss2
        sstrid eqidd nn0cnd iftrued oveq12d simpr 3eqtr4d wo eqtrd fveq2 oveq1d
        wral mplcoe5lem mvrcl mulgnn0cl syl3anc a2d anassrs cres cnvimass fssdm
        simprd cxp cun noel mtbiri fconstmpt eqtr4di mpt0 ringidval gsum0 ssun1
        mpl1 a1d sstr2 ax-mp imim1i cmulr oveq1 cof cbs simprll eldifn eqeltrrd
        ssfid mpbir2and ssun2 simprr vex snss sylibr ffvelrnd mplmonmul mplcoe3
        snifpsrbag offval2 addid2d elsni simprlr ad2antrr fveq2d sselid addid1d
        eqneltrd velsn sylnib orcom bitri biorf bitr4id 3eqtr3rd ccntz mgpplusg
        elun mgpbas cmnd mplring ringmgp cplusg cbvral2vw sselda adantlr syldan
        sylib gsumzunsnd syl5ibr expr expcom findcard2s mpcom mpd resmptd ssidd
        syl5 eldifi sylan2 wfun cfsupp wbr mptexd funmpt suppssfifsupp syl32anc
        mulg0 fvexd gsumzres 3eqtr2d ) ACDCUMZOUNZGPUOZUPCDUYKUHLUHUMZOUQURUSZU
        TZUYNOVAZVBUOZUPZUNZGPUOZUPZKILIUMZOVAZVUCMVAZJVCZUPZVDVCZACDUYMVUAAUYL
        UYTGPAOUYSUYKAOUHLUYQUPUYSAUHLVEOALVEOVFZUYOVGUTZAODUTZVUIVUJVHZUFALNUT
        ZVUKVULVIUADHOLNRVJVKVLZVMZVNAUHLUYRUYQAUYNLUTZVHZUYPUYRUYQUNZUYPVURVUQ
        UYPUYQVBVOVPAVUPUYPVQZVURVUPVUSVHAUYNLUYOVTZUTZVURUYNLUYOVRAVVAVHZUYPUY
        QUYQUOUYRUYQVVBUYPUYQVBUYQALVEVSONUYOUYNVBVUOAOVBWKVCZUYOUNZVVCUYOWAAVU
        MVUIVVDUAVUOOLNWBWCVVCUYOWDVKZUAVBVSUTAWEWFZWGWHUYPUYQWIWJWLUUAWMWNWOWP
        WQWRAVUBKIUYOVUFUPZVDVCZKVUGUYOUUBZVDVCVUHAUYOLWAZVUBVVHUNZALVEUYOOOURU
        UCVUOUUDZVUJAVVJVVKXAZAVUIVUJVUNUUEZAUIUMZLWAZCDUYKUHLUHUIWSZUYQVBUOZUP
        ZUNZGPUOZUPZKIVVOVUFUPZVDVCZUNZXAZXAAXBLWAZCDUYKLVBWTUUFZUNZGPUOZUPZEXC
        VAZUNZXAZXAABUMZLWAZCDUYKUHLUHBWSZUYQVBUOZUPZUNZGPUOZUPZKIVWOVUFUPZVDVC
        ZUNZXAZXAAVWOUJUMZWTZUUGZLWAZCDUYKUHLUYNVXIUTZUYQVBUOZUPZUNZGPUOZUPZKIV
        XIVUFUPZVDVCZUNZXAZXAAVVMXAUIBUJUYOVVOXBUNZVWFVWNAVYAVVPVWGVWEVWMVVOXBL
        XDVYAVWBVWKVWDVWLVYACDVWAVWJVYAVVTVWIGPVYAVVSVWHUYKVYAVVSUHLVBUPVWHVYAU
        HLVVRVBVYAVVQUYQVBVYAVVQUYNXBUTUYNUUHVVOXBUYNXEUUIXFWRUHLVBUUJUUKWPWQWR
        VYAVWDKXBVDVCVWLVYAVWCXBKVDVYAVWCIXBVUFUPXBIVVOXBVUFXGIVUFUULXHXIKVWLEV
        WLKUBVWLXJZUUMZUUNXHXKXMXLUIBXNZVWFVXFAVYDVVPVWPVWEVXEVVOVWOLXDVYDVWBVX
        BVWDVXDVYDCDVWAVXAVYDVVTVWTGPVYDVVSVWSUYKVYDUHLVVRVWRVYDVVQVWQUYQVBVVOV
        WOUYNXEWQWRWPWQWRVYDVWCVXCKVDIVVOVWOVUFXGXIXKXMXLVVOVXIUNZVWFVXTAVYEVVP
        VXJVWEVXSVVOVXILXDVYEVWBVXPVWDVXRVYECDVWAVXOVYEVVTVXNGPVYEVVSVXMUYKVYEU
        HLVVRVXLVYEVVQVXKUYQVBVVOVXIUYNXEWQWRWPWQWRVYEVWCVXQKVDIVVOVXIVUFXGXIXK
        XMXLVVOUYOUNZVWFVVMAVYFVVPVVJVWEVVKVVOUYOLXDVYFVWBVUBVWDVVHVYFCDVWAVUAV
        YFVVTUYTGPVYFVVSUYSUYKVYFUHLVVRUYRVYFVVQUYPUYQVBVVOUYOUYNXEWQWRWPWQWRVY
        FVWCVVGKVDIVVOUYOVUFXGXIXKXMXLAVWMVWGAVWLVWKVWLACDEFVWLGHLNPQRSTVYBUAUE
        UUPVYBWJUUQVWOVGUTZUJBWSVQZVHZAVXFVXTAVYIVXFVXTXAVXFVXJVXEXAAVYIVHZVXTV
        XJVWPVXEVWOVXIWAVXJVWPXAVWOVXHUUOZVWOVXILUURUUSUUTVYJVXJVXEVXSAVYIVXJVX
        EVXSXAVXEVXSAVYIVXJVHZVHZVXBVXGOVAZVXGMVAZJVCZEUVAVAZVCZVXDVYPVYQVCZUNV
        XBVXDVYPVYQUVBVYMVXPVYRVXRVYSVYMVXBCDUYKUHLUHUJXNZVYNVBUOZUPZUNGPUOUPZV
        YQVCCDUYKVWSWUBXOUVCVCZUNZGPUOZUPVYRVXPVYMCEUVDVAZDEFVYQGHLNVWSWUBPQWUG
        XJZSTRAVUMVYLUAXPZAFXQUTZVYLUEXPZVYMVWSDUTZLVEVWSVFZVWSUQURUSZVGUTZVYMU
        HLVWRVEVYMVUPVHZUYQVEUTZVBVEUTZVWRVEUTZVYMLVEUYNOAVUIVYLVUOXPZXRZXSVWQU
        YQVBVEXTYAZYBZVYMVWSVBWKVCZWUNVGVYMVUMWUMWVDWUNUNWUIWVCVWSLNWBWCVYMVWOW
        VDAVYGVYHVXJUVEZVYMLVWRUHNVWOVBVYMUYNLVWOVTUTZVHVWQUYQVBWVFVWQVQVYMUYNL
        VWOUVFVPXFWUIYCUVHUVGVYMVUMWULWUMWUOVHVIWUIDHVWSLNRVJVKUVIVYQXJZVYMVUMV
        YNVEUTZWUBDUTWUIVYMLVEVXGOWUTVYMVXHLWAVXGLUTVYMVXHVXILVXHVWOUVJZAVYIVXJ
        UVKZYDVXGLUJUVLUVMUVNZUVOZUHDHLVYNNVXGRUVRWCUVPVYMWUCVYPVXBVYQVYMCDEFGH
        UHJKLVYNMNVXGPQRSTWUIUBUCUDWUKWVKWVLUVQXIVYMCDWUFVXOVYMWUEVXNGPVYMWUDVX
        MUYKVYMWUDUHLVWRWUAXOVCZUPVXMVYMUHLVWRWUAXOVWSWUBNVEVEWUIWVBWUPWVHWURWU
        AVEUTVYMWVHVUPWVLXPXSVYTVYNVBVEXTYAVYMVWSYEVYMWUBYEUVSVYMUHLWVMVXLWUPUY
        NVXHUTZWVMVXLUNWUPWVNVHZVBUYQXOVCUYQWVMVXLWVOUYQWVOUYQWUPWUQWVNWVAXPYFU
        VTWVOVWRVBWUAUYQXOWVOVWQUYQVBWVOUYNVXGVWOWVNVYTWUPUYNVXGUWAVPZVYMVYHVUP
        WVNAVYGVYHVXJUWBZUWCUWGXFWVOWUAVYNUYQWVOVYTVYNVBWVPYGWVOUYNVXGOWVPUWDWO
        YHWVOVXKUYQVBWVOVXHVXIUYNWVIWUPWVNYIUWEYGYJWUPWVNVQZVHZVWRVBXOVCVWRWVMV
        XLWVSVWRWVSVWRWUPWUSWVRWVBXPYFUWFWVSWUAVBVWRXOWVSVYTVYNVBWVSWVNVYTWUPWV
        RYIUHVXGUWHUWIXFXIWVSVXKVWQUYQVBWVRVXKVWQVIWUPWVRVXKWVNVWQYKZVWQVXKVWQW
        VNYKWVTUYNVWOVXHUWQVWQWVNUWJUWKWVNVWQUWLUWMVPWQYJWMWNYLWPWQWRUWNVYMVWOW
        UGVYQIVXQKVXGLVUFVYPKUWOVAZWUGEKUBWUHUWRZEVYQKUBWVGUWPWWAXJZVXQXJAKUWSU
        TZVYLAEXQUTZWWDAVUMWUJWWEUAUEEFLNQUWTWCEKUBUXAVKZXPZWVEVYMUKULDEFVXIGHI
        JKLMNOPQRSTWUIUBUCUDWUKAVUKVYLUFXPAULUMZMVAZUKUMZMVAZKUXBVAZVCZWWKWWIWW
        LVCZUNZULLYOUKLYOZVYLAUYKMVAZVWOMVAZWWLVCZWWRWWQWWLVCZUNZCLYOBLYOWWPUGW
        XAWWOWWQWWKWWLVCZWWKWWQWWLVCZUNBCUKULLLBUKXNZWWSWXBWWTWXCWXDWWRWWKWWQWW
        LVWOWWJMYMZXIWXDWWRWWKWWQWWLWXEYNXKCULXNZWXBWWMWXCWWNWXFWWQWWIWWKWWLUYK
        WWHMYMZYNWXFWWQWWIWWKWWLWXGXIXKUXCUXGXPWVJYPVYMIBWSVUCLUTZVUFWUGUTZVYMV
        WOLVUCVYMVWOVXILVYKWVJYDUXDAWXHWXIVYLAWXHVHZWWDVUDVEUTVUEWUGUTZWXIAWWDW
        XHWWFXPALVEVUCOVUOXRWXJWUGEFLMNVUCQUDWUHAVUMWXHUAXPAWUJWXHUEXPAWXHYIYQZ
        WUGJKVUDVUEWWBUCYRYSZUXEUXFWVKWVQVYMWWDWVHVYOWUGUTVYPWUGUTWWGWVLVYMWUGE
        FLMNVXGQUDWUHWUIWUKWVKYQWUGJKVYNVYOWWBUCYRYSIUJXNZVUFVYPUNVYMWXNVUDVYNV
        UEVYOJVUCVXGOYMVUCVXGMYMYHVPUXHXKUXIUXJYTUXQUXKYTUXLUXMUXNAVVIVVGKVDAIL
        UYOVUFVVLUXOXIALWUGVUGKNUYOVWLWWAWWBVYCWWCWWFUAAILVUFWUGWXMYBABCDEFLGHI
        JKLMNOPQRSTUAUBUCUDUEUFUGALUXPYPALVUFINUYOVWLAVUCVUTUTZVHZVUFVBVUEJVCZV
        WLWXPVUDVBVUEJALVEVSONUYOVUCVBVUOVVEUAVVFWGYNWXPWXKWXQVWLUNWXOAWXHWXKVU
        CLUYOUXRWXLUXSWUGJKVUEVWLWWBVYCUCUYGVKYLUAYCZAVUGVSUTVUGUXTZVWLVSUTVUJV
        UGVWLWKVCUYOWAVUGVWLUYAUYBAILVUFNUAUYCWXSAILVUFUYDWFAEXCUYHVVNWXRUYOVUG
        VSVSVWLUYEUYFUYIUYJYL $.
    $}

    ${
      mplcoe2.r $e |- ( ph -> R e. CRing ) $.
      mplcoe2.y $e |- ( ph -> Y e. D ) $.
      $( Decompose a monomial into a finite product of powers of variables.
         (The assumption that ` R ` is a commutative ring is not strictly
         necessary, because the submonoid of monomials is in the center of the
         multiplicative monoid of polynomials, but it simplifies the proof.)
         (Contributed by Mario Carneiro, 10-Jan-2015.)  (Proof shortened by AV,
         18-Oct-2019.) $)
      mplcoe2 $p |- ( ph -> ( y e. D |-> if ( y = Y , .1. , .0. ) ) =
        ( G gsum ( k e. I |-> ( ( Y ` k ) .^ ( V ` k ) ) ) ) ) $=
        ( vx ccrg wcel crg crngring syl cv cfv cplusg co wa cbs mplcrng syl2anc
        wceq adantr eqid simprr mvrcl simprl mgpplusg eqcomi crngcom ralrimivva
        cmulr syl3anc mplcoe5 ) AUFBCDEFGHIJKLMNOPQRSTUAUBUCAEUGUHZEUIUHZUDEUJU
        KZUEABULZLUMZUFULZLUMZJUNUMZUOVSVQVTUOUTZUFBKKAVRKUHZVPKUHZUPZUPZDUGUHZ
        VQDUQUMZUHVSWGUHWAAWFWDAKMUHZVMWFTUDDEKMPURUSVAWEWGDEKLMVPPUCWGVBZAWHWD
        TVAZAVNWDVOVAZAWBWCVCVDWEWGDEKLMVRPUCWIWJWKAWBWCVEVDWGDVTVQVSWIDVJUMZVT
        DWLJUAWLVBVFVGVHVKVIVL $.
    $}
  $}

  ${
    $d k u v x z A $.  $d k u v x y z ph $.  $d f k y z R $.  $d k y z W $.
    $d f k u v x y z I $.  $d k u v x y z P $.  $d k u v x y z V $.
    mplbas2.p $e |- P = ( I mPoly R ) $.
    mplbas2.s $e |- S = ( I mPwSer R ) $.
    mplbas2.v $e |- V = ( I mVar R ) $.
    mplbas2.a $e |- A = ( AlgSpan ` S ) $.
    mplbas2.i $e |- ( ph -> I e. W ) $.
    mplbas2.r $e |- ( ph -> R e. CRing ) $.
    $( An alternative expression for the set of polynomials, as the smallest
       subalgebra of the set of power series that contains all the variable
       generators.  (Contributed by Mario Carneiro, 10-Jan-2015.) $)
    mplbas2 $p |- ( ph -> ( A ` ran V ) = ( Base ` P ) ) $=
      ( vf cfv wcel eqid co cvv vx vk vy vz vu vv crn cbs casa psrassa mplbasss
      wss a1i wfn cv wral wf ccrg crg crngring syl mvrf ffnd adantr simpr mvrcl
      wa ralrimiva ffnfv sylanbrc frnd syl3anc csubrg clss wceq mplsubrg mpllss
      aspss aspid sseqtrd ccnv cn cima cfn cn0 cmap crab cur c0g cif cmpt cvsca
      cgsu mplcoe1 cabl mplring syl2anc ringabl rabex csubg aspsubrg wb mplval2
      subsubrg mpbir2and subrgsubg clmod mpllmod ad2antrr asplss psrlmod lsslss
      ovex csca mplelf ffvelrnda mplsca fveq2d eleqtrd cmgp ccmn ad3antrrr wfun
      cmg fmpttd csupp cfsupp wbr funmpt fvexd cc0 adantl suppssr oveq1d eldifi
      cdif eqtrd suppss2 suppssfifsupp eqeltrd mplcoe2 ringidval mplcrng psrbag
      crngmgp csubmnd simplll biimpa simpld aspssid fnfvelrn sylan sseldd cmulr
      mgpbas mgpplusg subrgmcl syl3an1 mulgnn0subcl mptexd simprd elrabi elmapi
      subrg1cl frnnn0supp eqimss c0ex sylanl2 mulg0 syl32anc gsumsubmcl lssvscl
      subrgsubm syl22anc mptrabex fvex 3pm3.2i mplelbas simprbi fsuppimpd ssidd
      w3a mplmon lmod0vs sylan2 syl12anc gsumsubgcl eqelssd ) AUAGUGZBPZCUHPZAU
      WJUWKBPZUWKAEUIQZUWKEUHPZULZUWIUWKULUWJUWLULADEFHJMNUJZUWOAUWNCDEUWKFIJUW
      KRZUWNRZUKUMAFUWKGAGFUNZUAUOZGPUWKQZUAFUPFUWKGUQAFUWNGAUWNDEFGHJKUWRMADUR
      QZDUSQZNDUTVAZVBZVCZAUXAUAFAUWTFQZVGUWKCDFGHUWTIKUWQAFHQZUXGMVDAUXCUXGUXD
      VDAUXGVEVFVHUAFUWKGVIVJVKBUWKUWIUWNELUWRVRVLAUWMUWKEVMPZQZUWKEVNPZQZUWLUW
      KVOUWPACDEUWKFHJIUWQMUXDVPZACDEUWKFHJIUWQMUXDVQZBUWKUXKUWNELUWRUXKRZVSVLV
      TZAUWTUWKQZVGZUWTCUBOUOWAWBWCWDQZOWEFWFSZWGZUBUOZUWTPZUCUYAUCUOUYBVODWHPZ
      DWIPZWJWKZCWLPZSZWKZWMSUWJUXRUCUWKUYACDUYGUYDOUBFHUWTUYEIUYARZUYERZUYDRZA
      UXHUXQMVDZUWQUYGRZAUXCUXQUXDVDZAUXQVEZWNUXRUYAUWJUYICTCWIPZUYQRZACWOQZUXQ
      ACUSQZUYSAUXHUXCUYTMUXDCDFHIWPWQCWRVAVDUYATQUXRUXSOUXTWEFWFXMZWSUMZAUWJCW
      TPQZUXQAUWJCVMPQZVUCAVUDUWJUXIQZUWJUWKULZAUWMUWIUWNULZVUEUWPAFUWNGUXEVKZB
      UWIUWNELUWRXAWQUXPAUXJVUDVUEVUFVGXBUXMUWKUWJECCDEUWKFIJUWQXCZXDVAXEZUWJCX
      FVAVDUXRUBUYAUYHUWJUXRUYBUYAQZVGZCXGQZUWJCVNPZQZUYCCXNPZUHPZQUYFUWJQUYHUW
      JQAVUMUXQVUKAUXHUXCVUMMUXDCDFHIXHWQXIZAVUOUXQVUKAVUOUWJUXKQZVUFAUWMVUGVUS
      UWPVUHBUWIUXKUWNELUWRUXOXJWQUXPAEXGQUXLVUOVUSVUFVGXBADEFHJMUXDXKUXNUXKVUN
      UWKUWJECVUIUXOVUNRZXLWQXEXIVULUYCDUHPZVUQUXRUYAVVAUYBUWTUXRUWKUYACDOFVVAU
      WTIVVARUWQUYJUYPXOZXPVULDVUPUHUXRDVUPVOVUKUXRCDFHUSIUYMUYOXQZVDXRXSVULUYF
      CXTPZUDFUDUOZUYBPZVVEGPZVVDYDPZSZWKZWMSUWJVULUCUYACDUYDOUDVVHVVDFGHUYBUYE
      IUYJUYKUYLAUXHUXQVUKMXIZVVDRZVVHRZKAUXBUXQVUKNXIUXRVUKVEZUUAVULFUWJVVJVVD
      HCWHPZCVVOVVDVVLVVORZUUBZAVVDYAQZUXQVUKACURQZVVRAUXHUXBVVSMNCDFHIUUCWQCVV
      DVVLUUEVAZXIVVKVULVUDUWJVVDUUFPQAVUDUXQVUKVUJXIUWJCVVDVVLUVMVAVULUDFVVIUW
      JVULVVEFQZVGZAVVFWEQVVGUWJQVVIUWJQAUXQVUKVWAUUGVULFWEVVEUYBVULFWEUYBUQZUY
      BWAWBWCZWDQZUXRVUKVWCVWEVGZUXRUXHVUKVWFXBUYMUYAOUYBFHUYJUUDVAUUHZUUIXPVWB
      UWIUWJVVGAUWIUWJULZUXQVUKVWAAUWMVUGVWHUWPVUHBUWIUWNELUWRUUJWQYBVULUWSVWAV
      VGUWIQAUWSUXQVUKUXFXIFVVEGUUKUULUUMAUEUFUWKCUUNPZUWJVVHVVDVVFYAVVGVVOUWKC
      VVDVVLUWQUUOZVVMCVWIVVDVVLVWIRZUUPVVTUXPAVUDUEUOZUWJQUFUOZUWJQVWLVWMVWISU
      WJQVUJUWJCVWIVWLVWMVWKUUQUURVVQAVUDVVOUWJQVUJUWJCVVOVVPUVDVAUUSVLYEVULVVJ
      TQZVVJYCZVVOTQVWEVVJVVOYFSVWDULVVJVVOYGYHAVWNUXQVUKAUDFVVIHMUUTXIVWOVULUD
      FVVIYIUMVULCWHYJVULVWCVWEVWGUVAVULFVVIUDHVWDVVOVULVVEFVWDYPQZVGZVVIYKVVGV
      VHSZVVOVWQVVFYKVVGVVHVUKUXRUYBUXTQZVWPVVFYKVOUXSOUYBUXTUVBUXRVWSVGZFWETUY
      BHVWDVVEYKVWSVWCUXRUYBWEFUVCYLZVWTUYBYKYFSZVWDVOZVXBVWDULVWTUXHVWCVXCAUXH
      UXQVWSMXIZVXAUYBFHUVEWQVXBVWDUVFVAVXDYKTQVWTUVGUMYMUVHYNVWQVVGUWKQVWRVVOV
      OVWQUWKCDFGHVVEIKUWQAUXHUXQVUKVWPMYBAUXCUXQVUKVWPUXDYBVWPVWAVULVVEFVWDYOY
      LVFUWKVVHVVDVVGVVOVWJVVQVVMUVIVAYQVVKYRVWDVVJTTVVOYSUVJUVKYTVUQVUNUYGUWJV
      UPCUYCUYFVUPRZUYNVUQRVUTUVLUVNYEUXRUYITQZUYIYCZUYQTQZUWBZUWTUYEYFSZWDQUYI
      UYQYFSVXJULUYIUYQYGYHVXIUXRVXFVXGVXHUXSUBOUXTUYHVUAUVOUBUYAUYHYICWIUVPUVQ
      UMUXRUWTUYEUXQUWTUYEYGYHZAUXQUWTUWNQVXKUWNCDEUWKFUWTUYEIJUWRUYKUWQUVRUVSY
      LUVTUXRUYAUYHUBTVXJUYQUXRUYBUYAVXJYPQZVGZUYHVUPWIPZUYFUYGSZUYQVXMUYCVXNUY
      FUYGVXMUYCUYEVXNUXRUYAVVATUWTTVXJUYBUYEVVBUXRVXJUWAVUBUXRDWIYJYMUXRUYEVXN
      VOVXLUXRDVUPWIVVCXRVDYQYNVXLUXRVUKVXOUYQVOZUYBUYAVXJYOVULVUMUYFUWKQVXPVUR
      VULUCUWKUYACDUYDOFHUYBUYEIUWQUYKUYLUYJVVKAUXCUXQVUKUXDXIVVNUWCUYGVUPVXNUW
      KCUYFUYQUWQVXEUYNVXNRUYRUWDWQUWEYQVUBYRVXJUYITTUYQYSUWFUWGYTUWH $.
  $}

  ${
    $d i r x y D $.  $d h i r w x y z I $.  $d h x y ph $.  $d i r w x y z T $.
    ltbval.c $e |- C = ( T <bag I ) $.
    ltbval.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    ltbval.i $e |- ( ph -> I e. V ) $.
    ltbval.t $e |- ( ph -> T e. W ) $.
    $( Value of the well-order on finite bags.  (Contributed by Mario Carneiro,
       8-Feb-2015.) $)
    ltbval $p |- ( ph -> C = { <. x , y >. | ( { x , y } C_ D /\
        E. z e. I ( ( x ` z ) < ( y ` z ) /\
          A. w e. I ( z T w -> ( x ` w ) = ( y ` w ) ) ) ) } ) $=
      ( cv wceq wa wcel vr vi cltb co cpr wss cfv clt wbr wi wral wrex cvv elex
      copab ccnv cn cima cfn cn0 cmap crab simpr oveq2d rabeq syl eqtr4di simpl
      sseq2d breqd imbi1d raleqbidv anbi2d rexeqbidv opabbidv df-ltbag vex prss
      anbi12d anbi1i cxp ovex rabex2 xpex opabssxp ssexi eqeltrri ovmpoa syl2an
      opabbii syl2anc eqtrid ) AFHJUCUDZBQZCQZUEZGUFZDQZWNUGWRWOUGUHUIZWREQZHUI
      ZWTWNUGWTWOUGRZUJZEJUKZSZDJULZSZBCUOZMAHLTZJKTZWMXHRZPOXIHUMTJUMTXKXJHLUN
      JKUNUAUBHJUMUMWPIQUPUQURUSTZIUTUBQZVAUDZVBZUFZWSWRWTUAQZUIZXBUJZEXMUKZSZD
      XMULZSZBCUOXHUCXQHRZXMJRZSZYCXGBCYFXPWQYBXFYFXOGWPYFXOXLIUTJVAUDZVBZGYFXN
      YGRXOYHRYFXMJUTVAYDYEVCZVDXLIXNYGVEVFNVGVIYFYAXEDXMJYIYFXTXDWSYFXSXCEXMJY
      IYFXRXAXBYFXQHWRWTYDYEVHVJVKVLVMVNVSVOBCDEIUBUAVPWNGTWOGTSZXFSZBCUOZXHUMY
      KXGBCYJWQXFWNWOGBVQCVQVRVTWJYLGGWAGGXLIYGGNUTJVAWBWCZYMWDXFBCGGWEWFWGWHWI
      WKWL $.

    ltbwe.w $e |- ( ph -> T We I ) $.
    $( The finite bag order is a well-order, given a well-order of the index
       set.  (Contributed by Mario Carneiro, 2-Jun-2015.) $)
    ltbwe $p |- ( ph -> C We D ) $=
      ( vx vy cfv clt cc0 cn0 wcel vz vw wwe cv wbr wceq wi wral wrex copab cxp
      wa cin cfsupp cmap co crab coi chash cres eqid breq1 cbvrabv nn0uz ltweuz
      com cuz weeq2 mpbiri mp1i c0 wne 0nn0 ne0i hashgval2 om2uzoi oieq2 eqtr4i
      0z ax-mp peano1 fvres hash0 eqtr2i wemapwe wb ccnv cn cima cfn csupp wfun
      cvv elmapfun adantl simpr a1i funisfsupp syl3anc elmapi frnnn0supp eleq1d
      c0ex syl2an bitr2d rabbidva eqtrid syl mpbird weinxp sylib cpr wss ltbval
      wf df-xp vex prss opabbii ineq1i inopab incom 3eqtr3i eqtrdi weeq1 ) ACBU
      CZCUAUDZNUDZPYGOUDZPQUEYGUBUDZDUEYJYHPYJYIPUFUGUBFUHULUAFUIZNOUJZCCUKZUMZ
      UCZACYLUCZYOAYPEUDZRUNUEZESFUOUPZUQZYLUCZANOUAUBFSDQYLYTFDURZUSVFUTZRYLVA
      YRYHRUNUEENYSYQYHRUNVBVCMSRVGPZUFZSQUCZAVDUUEUUFUUDQUCRVESUUDQVHVIVJRSTSV
      KVLAVMSRVNVJUUBVAUUCUUDQURZSQURZNRUUCVSNVOVPUUEUUHUUGUFVDSUUDQVQVTVRVKUUC
      PZVKUSPZRVKVFTUUIUUJUFWAVKVFUSWBVTWCWDWEACYTUFYPUUAWFACYQWGWHWIZWJTZEYSUQ
      YTJAUULYREYSAYQYSTZULZYRYQRWKUPZWJTZUULUUNYQWLZUUMRWMTZYRUUPWFUUMUUQAYQSF
      WNWOAUUMWPUURUUNXCWQYQYSWMRWRWSAFGTZFSYQXOZUUPUULWFUUMKYQSFWTUUSUUTULUUOU
      UKWJYQFGXAXBXDXEXFXGCYTYLVHXHXICYLXJXKABYNUFYFYOWFABYHYIXLCXMZYKULNOUJZYN
      ANOUAUBBCDEFGHIJKLXNUVANOUJZYLUMYMYLUMUVBYNUVCYMYLYMYHCTYICTULZNOUJUVCNOC
      CXPUVDUVANOYHYICNXQOXQXRXSWDXTUVAYKNOYAYMYLYBYCYDCBYNYEXHXI $.
  $}

  ${
    $d r .<_ $.  $d i p s B $.  $d d h i p r s w x y z I $.  $d r w x y z ph $.
    $d d i p s .< $.  $d d i p s w z D $.  $d i p r s S $.  $d r w x y z T $.
    $d d i p r s w x y z R $.
    $( Lemma for ordered power series.  (Contributed by Stefan O'Rear,
       2-Oct-2015.) $)
    reldmopsr $p |- Rel dom ordPwSer $=
      ( vi vs vr vp vx vy vz vw vd vh cvv cv cxp cpw cmps co cfv wbr wceq wa wi
      cnx cple cpr cbs wss cplt cltb wral wrex ccnv cima cfn wcel cn0 cmap crab
      cn wsbc wo copab cop csts csb cmpt copws df-opsr reldmmpo ) ABKKCALZVIMND
      VIBLZOPDLZUBUCQELZFLZUDVKUEQUFGLZVLQVNVMQVJUGQRHLZVNCLVIUHPRVOVLQVOVMQSUA
      HILZUITGVPUJIJLUKURULUMUNJUOVIUPPUQUSVLVMSUTTEFVAVBVCPVDVEVFEFGHJABCDIVGV
      H $.

    opsrval.s $e |- S = ( I mPwSer R ) $.
    opsrval.o $e |- O = ( ( I ordPwSer R ) ` T ) $.
    opsrval.b $e |- B = ( Base ` S ) $.
    opsrval.q $e |- .< = ( lt ` R ) $.
    opsrval.c $e |- C = ( T <bag I ) $.
    opsrval.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    opsrval.l $e |- .<_ = { <. x , y >. | ( { x , y } C_ B /\
      ( E. z e. D ( ( x ` z ) .< ( y ` z ) /\
        A. w e. D ( w C z -> ( x ` w ) = ( y ` w ) ) ) \/ x = y ) ) } $.
    opsrval.i $e |- ( ph -> I e. V ) $.
    opsrval.r $e |- ( ph -> R e. W ) $.
    opsrval.t $e |- ( ph -> T C_ ( I X. I ) ) $.
    $( The value of the "ordered power series" function.  This is the same as
       ` mPwSer ` ~ psrval , but with the addition of a well-order on ` I ` we
       can turn a strict order on ` R ` into a strict order on the power series
       structure.  (Contributed by Mario Carneiro, 8-Feb-2015.) $)
    opsrval $p |- ( ph -> O = ( S sSet <. ( le ` ndx ) , .<_ >. ) ) $=
      ( vr vi vs vp vd copws co cfv cnx cple cop csts cv cpr wss cltb wceq wral
      wbr wi wa wrex wo copab cxp cpw cvv wcel cmpt elexd xpexd pwexg 3syl cmps
      mptexg cbs cplt ccnv cn cima cfn cn0 cmap crab wsbc csb simpl pweqd ovexd
      sqxpeqd id oveq12 sylan9eqr eqtr4di fveq2d sseq2d rabex a1i adantr oveq2d
      ovex rabeq simpr simpllr breqd imbi1d raleqbidv anbi12d rexeqbidv sbcied2
      syl orbi1d opeq2d oveq12d csbied mpteq12dv df-opsr ovmpoga syl3anc oveq1d
      opabbidv ralbidv anbi2d rexbidv sselpwd fvmptd eqtrid ) APLNIUNUOZUPJUQUR
      UPZOUSZUTUOZTAUILJYQBVAZCVAZVBZFVCZDVAZYTUPZUUDUUAUPZKVGZEVAZUUDUIVAZNVDU
      OZVGZUUHYTUPUUHUUAUPVEZVHZEHVFZVIZDHVJZYTUUAVEZVKZVIZBCVLZUSZUTUOZYSNNVMZ
      VNZYPVOANVOVPIVOVPUIUVDUVBVQZVOVPZYPUVEVEANQUFVRAIRUGVRAUVCVOVPUVDVOVPUVF
      ANNQQUFUFVSZUVCVOVTUIUVDUVBVOWCWAUJUKNIVOVOUIUJVAZUVHVMZVNZULUVHUKVAZWBUO
      ZULVAZYQUUBUVMWDUPZVCZUUEUUFUVKWEUPZVGZUUHUUDUUIUVHVDUOZVGZUULVHZEUMVAZVF
      ZVIZDUWAVJZUMMVAWFWGWHWIVPZMWJUVHWKUOZWLZWMZUUQVKZVIZBCVLZUSZUTUOZWNZVQUV
      EUNVOUVHNVEZUVKIVEZVIZUIUVJUWNUVDUVBUWQUVIUVCUWQUVHNUWOUWPWOZWRWPUWQULUVL
      UWMUVBVOUWQUVHUVKWBWQUWQUVMUVLVEZVIZUVMJUWLUVAUTUWTUVMNIWBUOZJUWSUWQUVMUV
      LUXAUWSWSUVHNUVKIWBWTXASXBZUWTUWKUUTYQUWTUWJUUSBCUWTUVOUUCUWIUURUWTUVNFUU
      BUWTUVNJWDUPFUWTUVMJWDUXBXCUAXBXDUWTUWHUUPUUQUWTUWDUUPUMUWGHVOUWGVOVPUWTU
      WEMUWFWJUVHWKXIXEXFUWTUWGUWEMWJNWKUOZWLZHUWTUWFUXCVEUWGUXDVEUWTUVHNWJWKUW
      QUWOUWSUWRXGZXHUWEMUWFUXCXJXSUDXBUWTUWAHVEZVIZUWCUUODUWAHUWTUXFXKZUXGUVQU
      UGUWBUUNUXGUVPKUUEUUFUXGUVPIWEUPKUXGUVKIWEUWOUWPUWSUXFXLXCUBXBXMUXGUVTUUM
      EUWAHUXHUXGUVSUUKUULUXGUVRUUJUUHUUDUXGUVHNUUIVDUWTUWOUXFUXEXGXHXMXNXOXPXQ
      XRXTXPYIYAYBYCYDBCDEMUJUKUIULUMYEYFYGAUUILVEZVIZUVAYRJUTUXJUUTOYQUXJUUTUU
      CUUGUUHUUDGVGZUULVHZEHVFZVIZDHVJZUUQVKZVIZBCVLOUXJUUSUXQBCUXJUURUXPUUCUXJ
      UUPUXOUUQUXJUUOUXNDHUXJUUNUXMUUGUXJUUMUXLEHUXJUUKUXKUULUXJUUJGUUHUUDUXJUU
      JLNVDUOGUXJUUILNVDAUXIXKYHUCXBXMXNYJYKYLXTYKYIUEXBYAXHALUVCVOUVGUHYMAJYRU
      TWQYNYO $.
  $}

  ${
    $d x y B $.  $d w z D $.  $d h w x y z I $.  $d w x y z R $.
    $d w x y z ph $.  $d w x y z T $.
    opsrle.s $e |- S = ( I mPwSer R ) $.
    opsrle.o $e |- O = ( ( I ordPwSer R ) ` T ) $.
    opsrle.b $e |- B = ( Base ` S ) $.
    opsrle.q $e |- .< = ( lt ` R ) $.
    opsrle.c $e |- C = ( T <bag I ) $.
    opsrle.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    opsrle.l $e |- .<_ = ( le ` O ) $.
    opsrle.t $e |- ( ph -> T C_ ( I X. I ) ) $.
    $( An alternative expression for the set of polynomials, as the smallest
       subalgebra of the set of power series that contains all the variable
       generators.  (Contributed by Mario Carneiro, 8-Feb-2015.)  (Revised by
       Mario Carneiro, 2-Oct-2015.) $)
    opsrle $p |- ( ph -> .<_ = { <. x , y >. | ( { x , y } C_ B /\
      ( E. z e. D ( ( x ` z ) .< ( y ` z ) /\
        A. w e. D ( w C z -> ( x ` w ) = ( y ` w ) ) ) \/ x = y ) ) } ) $=
      ( cvv wcel wa cv cpr wss cfv wbr wceq wi wral wrex wo copab cple cnx csts
      cop co eqid simprl simprr cxp adantr opsrval fveq2d cmps ovexi fvexi xpex
      cbs vex anbi1i opabbii opabssxp eqsstrri ssexi pleid setsid mp2an 3eqtr4g
      prss wn c0 copws reldmopsr ovprc adantl fveq1d eqtrid 0fv eqtrdi reldmpsr
      str0 base0 xpeq2d xp0 sseq0 sylancr eqtr4d pm2.61dan ) ANUEUFZIUEUFZUGZOB
      UHZCUHZUIFUJZDUHZXIUKXLXJUKKULEUHZXLGULXMXIUKXMXJUKUMUNEHUOUGDHUPXIXJUMUQ
      ZUGZBCURZUMAXHUGZPUSUKZJUTUSUKZXPVBVAVCZUSUKZOXPXQPXTUSXQBCDEFGHIJKLMNXPP
      UEUEQRSTUAUBXPVDAXFXGVEAXFXGVFALNNVGUJXHUDVHVIVJUCJUEUFXPUEUFXPYAUMJNIVKQ
      VLXPFFVGZFFFJVOSVMZYCVNXPXIFUFXJFUFUGZXNUGZBCURYBYEXOBCYDXKXNXIXJFBVPCVPW
      FVQVRXNBCFFVSVTZWAUEXPUSUEJWBWCWDWEAXHWGZUGZOWHXPYHXRWHUSUKOWHYHPWHUSYHPL
      WHUKZWHYHPLNIWIVCZUKYIRYHLYJWHYGYJWHUMANIWIWJWKWLWMWNLWOWPVJUCUSXSWBWRWEY
      HXPYBUJYBWHUMXPWHUMYFYHYBFWHVGWHYHFWHFYHJVOUKWHVOUKFWHYHJWHVOYHJNIVKVCZWH
      QYGYKWHUMANIVKWQWKWLWNVJSWSWEWTFXAWPXPYBXBXCXDXE $.
  $}

  ${
    $d h w x y z I $.  $d w x y z R $.  $d x y S $.  $d w x y z T $.  $d z W $.
    $d w x y z ph $.  $d x z V $.
    opsrval2.s $e |- S = ( I mPwSer R ) $.
    opsrval2.o $e |- O = ( ( I ordPwSer R ) ` T ) $.
    opsrval2.l $e |- .<_ = ( le ` O ) $.
    opsrval2.i $e |- ( ph -> I e. V ) $.
    opsrval2.r $e |- ( ph -> R e. W ) $.
    opsrval2.t $e |- ( ph -> T C_ ( I X. I ) ) $.
    $( Self-referential expression for the ordered power series structure.
       (Contributed by Mario Carneiro, 8-Feb-2015.) $)
    opsrval2 $p |- ( ph -> O = ( S sSet <. ( le ` ndx ) , .<_ >. ) ) $=
      ( vx vy cfv cv eqid vz vw vh cnx cple cpr cbs wss cplt wbr cltb wceq ccnv
      co wi cn cima cfn wcel cn0 cmap crab wral wa wrex wo copab opsrval opsrle
      cop csts opeq2d oveq2d eqtr4d ) AGCUDUERZPSZQSZUFCUGRZUHUASZVPRVSVQRBUIRZ
      UJUBSZVSDEUKUNZUJWAVPRWAVQRULUOUBUCSUMUPUQURUSUCUTEVAUNVBZVCVDUAWCVEVPVQU
      LVFVDPQVGZVJZVKUNCVOFVJZVKUNAPQUAUBVRWBWCBCVTDUCEWDGHIJKVRTZVTTZWBTZWCTZW
      DTMNOVHAWFWECVKAFWDVOAPQUAUBVRWBWCBCVTDUCEFGJKWGWHWIWJLOVIVLVMVN $.
  $}

  ${
    opsrbas.s $e |- S = ( I mPwSer R ) $.
    opsrbas.o $e |- O = ( ( I ordPwSer R ) ` T ) $.
    opsrbas.t $e |- ( ph -> T C_ ( I X. I ) ) $.
    ${
      opsrbaslem.1 $e |- E = Slot ( E ` ndx ) $.
      opsrbaslem.2 $e |- ( E ` ndx ) =/= ( le ` ndx ) $.
      $( Get a component of the ordered power series structure.  (Contributed
         by Mario Carneiro, 8-Feb-2015.)  (Revised by Mario Carneiro,
         2-Oct-2015.)  (Revised by AV, 9-Sep-2021.)  (Revised by AV,
         1-Nov-2024.) $)
      opsrbaslem $p |- ( ph -> ( E ` S ) = ( E ` O ) ) $=
        ( cvv wcel wa cfv cple co fveq2d c0 wceq cnx csts setsnid simprl simprr
        cop eqid cxp wss adantr opsrval2 eqtr4id cmps copws 0fv eqcomi reldmpsr
        wn ovprc reldmopsr fveq1d 3eqtr4a 3eqtr4g adantl pm2.61dan ) AFMNZBMNZO
        ZCEPZGEPZUAZAVIOZVJCUBQPZGQPZUGUCRZEPVKVOVNECKLUDVMGVPEVMBCDFVOGMMHIVOU
        HAVGVHUEAVGVHUFADFFUIUJVIJUKULSUMVIUSZVLAVQCGEVQFBUNRZDFBUORZPZCGVQTDTP
        ZVRVTWATDUPUQFBUNURUTVQDVSTFBUOVAUTVBVCHIVDSVEVF $.
    $}

    ${
      opsrbaslemOLD.1 $e |- E = Slot N $.
      opsrbaslemOLD.2 $e |- N e. NN $.
      opsrbaslemOLD.3 $e |- N < ; 1 0 $.
      $( Obsolete version of ~ opsrbaslem as of 1-Nov-2024.  Get a component of
         the ordered power series structure.  (Contributed by Mario Carneiro,
         8-Feb-2015.)  (Revised by Mario Carneiro, 2-Oct-2015.)  (Revised by
         AV, 9-Sep-2021.)  (New usage is discouraged.)
         (Proof modification is discouraged.) $)
      opsrbaslemOLD $p |- ( ph -> ( E ` S ) = ( E ` O ) ) $=
        ( cvv wcel wa cfv co c0 wceq cnx cple cop csts ndxid wne cc0 cdc ltneii
        c1 nnrei ndxarg plendx neeq12i mpbir setsnid eqid simprl simprr cxp wss
        adantr opsrval2 fveq2d eqtr4id cmps copws 0fv eqcomi reldmpsr reldmopsr
        wn ovprc fveq1d 3eqtr4a adantl 3eqtr4g pm2.61dan ) AFOPZBOPZQZCERZHERZU
        AAWBQZWCCUBUCRZHUCRZUDUESZERWDWGWFECEGLMUFUBERZWFUGGUKUHUIZUGGWJGMULNUJ
        WIGWFWJEGLMUMUNUOUPUQWEHWHEWEBCDFWGHOOIJWGURAVTWAUSAVTWAUTADFFVAVBWBKVC
        VDVEVFAWBVMZQZCHEWLFBVGSZDFBVHSZRZCHWKWMWOUAAWKTDTRZWMWOWPTDVIVJFBVGVKV
        NWKDWNTFBVHVLVNVOVPVQIJVRVEVS $.
    $}

    $( The base set of the ordered power series structure.  (Contributed by
       Mario Carneiro, 8-Feb-2015.)  (Revised by Mario Carneiro, 30-Aug-2015.)
       (Revised by AV, 1-Nov-2024.) $)
    opsrbas $p |- ( ph -> ( Base ` S ) = ( Base ` O ) ) $=
      ( cbs baseid cnx cple cfv plendxnbasendx necomi opsrbaslem ) ABCDJEFGHIKL
      MNLJNOPQ $.

    $( Obsolete version of ~ opsrbaslem as of 1-Nov-2024.  The base set of the
       ordered power series structure.  (Contributed by Mario Carneiro,
       8-Feb-2015.)  (Revised by Mario Carneiro, 30-Aug-2015.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    opsrbasOLD $p |- ( ph -> ( Base ` S ) = ( Base ` O ) ) $=
      ( cbs c1 df-base 1nn 1lt10 opsrbaslemOLD ) ABCDJEKFGHILMNO $.

    $( The addition operation of the ordered power series structure.
       (Contributed by Mario Carneiro, 8-Feb-2015.)  (Revised by Mario
       Carneiro, 30-Aug-2015.)  (Revised by AV, 1-Nov-2024.) $)
    opsrplusg $p |- ( ph -> ( +g ` S ) = ( +g ` O ) ) $=
      ( cplusg plusgid cnx cple cfv plendxnplusgndx necomi opsrbaslem ) ABCDJEF
      GHIKLMNLJNOPQ $.

    $( Obsolete version of ~ opsrplusg as of 1-Nov-2024.  The addition
       operation of the ordered power series structure.  (Contributed by Mario
       Carneiro, 8-Feb-2015.)  (Revised by Mario Carneiro, 30-Aug-2015.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    opsrplusgOLD $p |- ( ph -> ( +g ` S ) = ( +g ` O ) ) $=
      ( cplusg c2 df-plusg 2nn 2lt10 opsrbaslemOLD ) ABCDJEKFGHILMNO $.

    $( The multiplication operation of the ordered power series structure.
       (Contributed by Mario Carneiro, 8-Feb-2015.)  (Revised by Mario
       Carneiro, 30-Aug-2015.)  (Revised by AV, 1-Nov-2024.) $)
    opsrmulr $p |- ( ph -> ( .r ` S ) = ( .r ` O ) ) $=
      ( cmulr mulrid cnx cple cfv plendxnmulrndx necomi opsrbaslem ) ABCDJEFGHI
      KLMNLJNOPQ $.

    $( Obsolete version of ~ opsrmulr as of 1-Nov-2024.  The multiplication
       operation of the ordered power series structure.  (Contributed by Mario
       Carneiro, 8-Feb-2015.)  (Revised by Mario Carneiro, 30-Aug-2015.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    opsrmulrOLD $p |- ( ph -> ( .r ` S ) = ( .r ` O ) ) $=
      ( cmulr c3 df-mulr 3nn 3lt10 opsrbaslemOLD ) ABCDJEKFGHILMNO $.

    $( The scalar product operation of the ordered power series structure.
       (Contributed by Mario Carneiro, 8-Feb-2015.)  (Revised by Mario
       Carneiro, 30-Aug-2015.)  (Revised by AV, 1-Nov-2024.) $)
    opsrvsca $p |- ( ph -> ( .s ` S ) = ( .s ` O ) ) $=
      ( cvsca vscaid cnx cple cfv plendxnvscandx necomi opsrbaslem ) ABCDJEFGHI
      KLMNLJNOPQ $.

    $( Obsolete version of ~ opsrvsca as of 1-Nov-2024.  The scalar product of
       the ordered power series structure.  (Contributed by Mario Carneiro,
       8-Feb-2015.)  (Revised by Mario Carneiro, 30-Aug-2015.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    opsrvscaOLD $p |- ( ph -> ( .s ` S ) = ( .s ` O ) ) $=
      ( cvsca c6 df-vsca 6nn 6lt10 opsrbaslemOLD ) ABCDJEKFGHILMNO $.

    opsrsca.i $e |- ( ph -> I e. V ) $.
    opsrsca.r $e |- ( ph -> R e. W ) $.
    $( The scalar ring of the ordered power series structure.  (Contributed by
       Mario Carneiro, 8-Feb-2015.)  (Revised by Mario Carneiro, 30-Aug-2015.)
       (Revised by AV, 1-Nov-2024.) $)
    opsrsca $p |- ( ph -> R = ( Scalar ` O ) ) $=
      ( csca cfv psrsca scaid cnx cple plendxnscandx necomi opsrbaslem eqtrd )
      ABCNOFNOABCEGHILMPABCDNEFIJKQRSORNOTUAUBUC $.

    $( Obsolete version of ~ opsrsca as of 1-Nov-2024.  The scalar ring of the
       ordered power series structure.  (Contributed by Mario Carneiro,
       8-Feb-2015.)  (Revised by Mario Carneiro, 30-Aug-2015.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    opsrscaOLD $p |- ( ph -> R = ( Scalar ` O ) ) $=
      ( csca cfv psrsca c5 df-sca 5nn 5lt10 opsrbaslemOLD eqtrd ) ABCNOFNOABCEG
      HILMPABCDNEQFIJKRSTUAUB $.
  $}

  ${
    $d a b x y B $.  $d w x y z C $.  $d h w x y z I $.  $d a b h w x y z ph $.
    $d w x y z D $.  $d w x y z .< $.  $d w x y z R $.  $d w x y z T $.
    $d a b ps $.
    opsrso.o $e |- O = ( ( I ordPwSer R ) ` T ) $.
    opsrso.i $e |- ( ph -> I e. V ) $.
    opsrso.r $e |- ( ph -> R e. Toset ) $.
    opsrso.t $e |- ( ph -> T C_ ( I X. I ) ) $.
    opsrso.w $e |- ( ph -> T We I ) $.
    ${
      opsrtoslem.s $e |- S = ( I mPwSer R ) $.
      opsrtoslem.b $e |- B = ( Base ` S ) $.
      opsrtoslem.q $e |- .< = ( lt ` R ) $.
      opsrtoslem.c $e |- C = ( T <bag I ) $.
      opsrtoslem.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
      opsrtoslem.ps $e |- ( ps <-> E. z e. D ( ( x ` z ) .< ( y ` z ) /\
        A. w e. D ( w C z -> ( x ` w ) = ( y ` w ) ) ) ) $.
      opsrtoslem.l $e |- .<_ = ( le ` O ) $.
      $( Lemma for ~ opsrtos .  (Contributed by Mario Carneiro, 8-Feb-2015.) $)
      opsrtoslem1 $p |- ( ph -> .<_ =
        ( ( { <. x , y >. | ps } i^i ( B X. B ) ) u. ( _I |` B ) ) ) $=
        ( cv cpr wss cfv wbr wceq wi wral wa wrex weq wo copab cxp cin cid cres
        cun opsrle unopab wcel inopab df-xp ineq2i vex prss anbi1i ancom bitr3i
        opabbii 3eqtr4i equcom anbi2i eleq1w biimpac pm4.71i an32 eqtri uneq12i
        opabresid 3bitri orbi1i andi 3eqtr4ri eqtrdi ) APCUKZDUKZULGUMZEUKZWPUN
        WSWQUNLUOFUKZWSHUOWTWPUNWTWQUNUPUQFIURUSEIUTZCDVAZVBZUSZCDVCZBCDVCZGGVD
        ZVEZVFGVGZVHZACDEFGHIJKLMNOPQUDSUEUFUGUHUJUBVIWRBUSZCDVCZWRXBUSZCDVCZVH
        XKXMVBZCDVCXJXEXKXMCDVJXHXLXIXNXFWPGVKZWQGVKZUSZCDVCZVEBXRUSZCDVCXHXLBX
        RCDVLXGXSXFCDGGVMVNXKXTCDXKXRBUSXTXRWRBWPWQGCVODVOVPZVQXRBVRVSVTWAXIXPD
        CVAZUSZCDVCXNCDGWJYCXMCDYCXPXBUSZXQUSZXRXBUSXMYCYDYEXBYBXPCDWBWCYDXQXBX
        PXQCDGWDWEWFVSXPXBXQWGXRWRXBYAVQWKVTWHWIXDXOCDXDWRBXBVBZUSXOYFXCWRBXAXB
        UIWLWCWRBXBWMVSVTWNWO $.

      $( Lemma for ~ opsrtos .  (Contributed by Mario Carneiro, 8-Feb-2015.) $)
      opsrtoslem2 $p |- ( ph -> O e. Toset ) $=
        ( va cbs cfv cplt wor cid cres wss ctos wcel copab cxp cin cmap wwe cvv
        vb co xpexd ssexd ltbwe cple wa eqid tosso ibi syl simpld wbr wceq wral
        cv wi opabbii wemapso syl2anc wb psrbas soeq2 mpbird soinxp sylib copws
        wrex cdif fvexi pltfval ax-mp cun difundir resss ssdif0 mpbi uneq2i un0
        c0 3eqtri opsrtoslem1 difeq1d wrel relinxp a1i cop wn df-br ideq bitr3i
        vex brin simprbi brxp sonr syl2im pm2.01d breq2 bitrdi notbid syl5ibcom
        ex syl5bi con2d eldif mpbiran syl6ibr relssdv disj2 sylibr disj3 eqtrid
        opex 3eqtr4a soeq1 opsrbas mpbid reseq2d eqsstrrdi sseqtrrd sylanbrc
        ssun2 ) AQULUMZQUNUMZUOZUPUUJUQZPURZQUSUTZAGUUKUOZUULAUUPGBCDVAZGGVBZVC
        ZUOZAGUUQUOZUUTAUVAJULUMZIVDVHZUUQUOZAIHVEUVBLUOZUVDAHIMNORVFUGUHTAMOOV
        BVFAOORRTTVIUBVJUCVKAUVEUPUVBUQJVLUMZURZAJUSUTZUVEUVGVMZUAUVHUVIUVBLJUV
        FUSUVBVNZUVFVNUFVOVPVQVRCDEFIUVBHLUUQBEWBZCWBZUMUVKDWBZUMLVSFWBZUVKHVSU
        VNUVLUMUVNUVMUMVTWCFIWAVMEIWNCDUIWDWEWFAGUVCVTUVAUVDWGAGIJKNOUVBRUDUVJU
        HUETWHGUVCUUQWIVQWJGUUQWKWLZAUUKUUSVTUUPUUTWGAUUKPUPWOZUUSQVFUTZUUKUVPV
        TQMOJWMVHSWPZVFUUKQPUJUUKVNZWQWRAUUSUPGUQZWSZUPWOZUUSUPWOZUVPUUSUWBUWCU
        VTUPWOZWSUWCXFWSUWCUUSUVTUPWTUWDXFUWCUVTUPURUWDXFVTUPGXAUVTUPXBXCXDUWCX
        EXGAPUWAUPABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJXHZXIAUUSUPVCXFVTZUUS
        UWCVTAUUSVFUPWOZURUWFAUKVGUUSUWGUUSXJAGGUUQXKXLAUKWBZVGWBZXMZUUSUTZUWJU
        PUTZXNZUWJUWGUTZAUWLUWKUWLUWHUWIVTZAUWKXNZUWLUWHUWIUPVSUWOUWHUWIUPXOUWH
        UWIVGXRXPXQAUWHUWHUUSVSZXNZUWOUWPAUWQAUUTUWQUWHGUTZUWRUVOUWQUWHUWHUURVS
        ZUWSUWQUWHUWHUUQVSUWTUWHUWHUUQUURXSXTUWTUWSUWSUWHUWHGGYAXTVQUUTUWSUWRGU
        WHUUSYBYIYCYDUWOUWQUWKUWOUWQUWHUWIUUSVSUWKUWHUWIUWHUUSYEUWHUWIUUSXOYFYG
        YHYJYKUWNUWJVFUTUWMUWHUWIYTUWJVFUPYLYMYNYOUUSUPYPYQUUSUPYRWLUUAYSGUUKUU
        SUUBVQWJAGUUJVTUUPUULWGAGKULUMUUJUEAJKMOQUDSUBUUCYSZGUUJUUKWIVQUUDAUUMU
        WAPAUUMUVTUWAAGUUJUPUXAUUEUVTUUSUUIUUFUWEUUGUVQUUOUULUUNVMWGUVRUUJUUKQP
        VFUUJVNUJUVSVOWRUUH $.
    $}

    $( The ordered power series structure is a totally ordered set.
       (Contributed by Mario Carneiro, 10-Jan-2015.) $)
    opsrtos $p |- ( ph -> O e. Toset ) $=
      ( vz vx vy vw vh cv cfv co eqid cplt wbr cltb wceq ccnv cima cfn wcel cn0
      wi cn cmap crab wral wa wrex cmps cbs cple biid opsrtoslem2 ) ALQZMQZRVBN
      QZRBUARZUBOQZVBCDUCSZUBVFVCRVFVDRUDUJOPQUEUKUFUGUHPUIDULSUMZUNUOLVHUPZMNL
      ODBUQSZURRZVGVHBVJVECPDEUSRZEFGHIJKVJTVKTVETVGTVHTVIUTVLTVA $.

    opsrso.l $e |- .<_ = ( lt ` O ) $.
    opsrso.b $e |- B = ( Base ` O ) $.
    $( The ordered power series structure is a totally ordered set.
       (Contributed by Mario Carneiro, 10-Jan-2015.) $)
    opsrso $p |- ( ph -> .<_ Or B ) $=
      ( wor cid cres cple ctos cfv wss wcel opsrtos eqid tosso ibi syl simpld
      wa ) ABFPZQBRGSUAZUBZAGTUCZUKUMUJZACDEGHIJKLMUDUNUOBFGULTOULUENUFUGUHUI
      $.
  $}

  ${
    $d x y I $.  $d x y O $.  $d x y ph $.  $d x y R $.
    opsrcrng.o $e |- O = ( ( I ordPwSer R ) ` T ) $.
    opsrcrng.i $e |- ( ph -> I e. V ) $.
    opsrcrng.r $e |- ( ph -> R e. CRing ) $.
    opsrcrng.t $e |- ( ph -> T C_ ( I X. I ) ) $.
    $( The ring of ordered power series is commutative ring.  (Contributed by
       Mario Carneiro, 10-Jan-2015.) $)
    opsrcrng $p |- ( ph -> O e. CRing ) $=
      ( vx vy cmps ccrg wcel cfv cv cplusg oveqdr cmulr co eqid psrcrng opsrbas
      cbs eqidd wa opsrplusg opsrmulr crngpropd mpbid ) ADBMUAZNOENOABULDFULUBZ
      HIUCAKLULUEPZULEAUNUFABULCDEUMGJUDAKQUNOLQUNOUGZKLULRPERPABULCDEUMGJUHSAU
      OKLULTPETPABULCDEUMGJUISUJUK $.

    $( The ring of ordered power series is an associative algebra.
       (Contributed by Mario Carneiro, 29-Dec-2014.) $)
    opsrassa $p |- ( ph -> O e. AssAlg ) $=
      ( vx vy casa wcel eqid cbs cfv cv wa oveqdr cmps co psrassa eqidd opsrbas
      cplusg opsrplusg cmulr opsrmulr ccrg psrsca opsrsca cvsca assapropd mpbid
      opsrvsca ) ADBUAUBZMNEMNABUQDFUQOZHIUCAKLUQPQZBPQZBUQEAUSUDABUQCDEURGJUEA
      KRZUSNLRUSNZSZKLUQUFQEUFQABUQCDEURGJUGTAVCKLUQUHQEUHQABUQCDEURGJUITABUQDF
      UJURHIUKABUQCDEFUJURGJHIULUTOAVAUTNVBSKLUQUMQEUMQABUQCDEURGJUPTUNUO $.
  $}

  ${
    $d ph x $.  $d B x $.  $d I x $.  $d V x $.
    mvrf2.p $e |- P = ( I mPoly R ) $.
    mvrf2.v $e |- V = ( I mVar R ) $.
    mvrf2.b $e |- B = ( Base ` P ) $.
    mvrf2.i $e |- ( ph -> I e. W ) $.
    mvrf2.r $e |- ( ph -> R e. Ring ) $.
    $( The power series/polynomial variable function maps indices to
       polynomials.  (Contributed by Stefan O'Rear, 8-Mar-2015.) $)
    mvrf2 $p |- ( ph -> V : I --> B ) $=
      ( vx wfn cv cfv wcel wral eqid adantr wf cmps co mvrf ffnd wa simpr mvrcl
      cbs crg ralrimiva ffnfv sylanbrc ) AFENMOZFPBQZMEREBFUAAEEDUBUCZUIPZFAUQD
      UPEFGUPSIUQSKLUDUEAUOMEAUNEQZUFBCDEFGUNHIJAEGQURKTADUJQURLTAURUGUHUKMEBFU
      LUM $.
  $}

  ${
    $d ph y $.  $d B y $.  $d D y $.  $d I f $.  $d K f y $.  $d .1. y $.
    $d R y $.  $d X y $.  $d .0. y $.
    mplmon2.p $e |- P = ( I mPoly R ) $.
    mplmon2.v $e |- .x. = ( .s ` P ) $.
    mplmon2.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
    mplmon2.o $e |- .1. = ( 1r ` R ) $.
    mplmon2.z $e |- .0. = ( 0g ` R ) $.
    mplmon2.b $e |- B = ( Base ` R ) $.
    mplmon2.i $e |- ( ph -> I e. W ) $.
    mplmon2.r $e |- ( ph -> R e. Ring ) $.
    mplmon2.k $e |- ( ph -> K e. D ) $.
    mplmon2.x $e |- ( ph -> X e. B ) $.
    $( Express a scaled monomial.  (Contributed by Stefan O'Rear,
       8-Mar-2015.) $)
    mplmon2 $p |- ( ph -> ( X .x. ( y e. D |-> if ( y = K , .1. , .0. ) ) ) =
        ( y e. D |-> if ( y = K , X , .0. ) ) ) $=
      ( cv wceq cif cmpt csn cxp cmulr cfv cof cbs eqid mplmon mplvsca cvv wcel
      co ccnv cn cima cfn cn0 cmap ovex rabex2 a1i adantr wa cur fvexi c0g ifex
      fconstmpt eqidd offval2 oveq2 eqeq1d crg ringridm syl2anc iftrue sylan9eq
      eqcomd wn ringrz iffalse ifbothda mpteq2dv 3eqtrd ) AMBDBUEZKUFZHNUGZUHZG
      UTDMUIUJZWPFUKULZUMUTBDMWOWRUTZUHBDWNMNUGZUHAEUNULZDEFGWRIWPJCMOPTXAUOZWR
      UOZQUDABXADEFHIJLKNOXBSRQUAUBUCUPUQABDMWOWRWQWPURCURDURUSAIUEVAVBVCVDUSIV
      EJVFUTDQVEJVFVGVHVIAMCUSZWMDUSZUDVJWOURUSAXEVKWNHNHFVLRVMNFVNSVMVOVIWQBDM
      UHUFABDMVPVIAWPVQVRABDWSWTWNMHWRUTZWTUFMNWRUTZWTUFWSWTUFAHNHWOUFXFWSWTHWO
      MWRVSVTNWOUFXGWSWTNWOMWRVSVTAWNXFMWTAFWAUSZXDXFMUFUBUDCFWRHMTXCRWBWCWNWTM
      WNMNWDWFWEAWNWGZXGNWTAXHXDXGNUFUBUDCFWRMNTXCSWHWCXIWTNWNMNWIWFWEWJWKWL $.
  $}

  ${
    $d I f x $.  $d K f x $.
    psrbag0.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
    $( The empty bag is a bag.  (Contributed by Stefan O'Rear, 9-Mar-2015.) $)
    psrbag0 $p |- ( I e. V -> ( I X. { 0 } ) e. D ) $=
      ( wcel cc0 csn cxp cn0 wf ccnv cn cima cfn wa 0nn0 c0 cin wceq c0ex incom
      fconst6 fconst wn 0nnn disjsn mpbir eqtri fimacnvdisj 0fin eqeltri pm3.2i
      mp2an psrbag mpbiri ) CDFCGHZIZAFCJURKZURLMNZOFZPUSVACGJQUCUTROCUQURKUQMS
      ZRTUTRTCGUAUDVBMUQSZRUQMUBVCRTGMFUEUFMGUGUHUICUQMURUJUNUKULUMABURCDEUOUP
      $.

    $( A singleton bag is a bag.  (Contributed by Stefan O'Rear,
       9-Mar-2015.) $)
    psrbagsn $p |- ( I e. V -> ( x e. I |-> if ( x = K , 1 , 0 ) ) e. D ) $=
      ( wcel c1 cc0 cn0 cn cfn wa wtru a1i crab wss ssfi mp2an cv wceq cif cmpt
      wf ccnv cima 1nn0 0nn0 ifcli fmpttd mptru eqid mptpreima csn snfi cab cin
      inss1 dfrab2 df-sn 3sstr4i wi wn 0nnn iffalse eleq1d mtbiri con4i ss2rabi
      eqeltri pm3.2i psrbag mpbiri ) DFHADAUAZEUBZIJUCZUDZBHDKVRUEZVRUFLUGZMHZN
      VSWAVSOADVQKVQKHOVODHZNVPIJKUHUIUJPUKULVTVQLHZADQZMADVQLVRVRUMUNVPADQZMHZ
      WDWERWDMHEUOZMHWEWGRWFEUPVPAUQZDURWHWEWGWHDUSVPADUTAEVAVBWGWESTWCVPADWCVP
      VCWBVPWCVPVDZWCJLHVEWIVQJLVPIJVFVGVHVIPVJWEWDSTVKVLBCVRDFGVMVN $.
  $}

  ${
    $d ph y $.  $d B y $.  $d D y $.  $d I f y $.  $d R f y $.  $d W y $.
    $d X y $.  $d .0. f y $.
    mplascl.p $e |- P = ( I mPoly R ) $.
    mplascl.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
    mplascl.z $e |- .0. = ( 0g ` R ) $.
    mplascl.b $e |- B = ( Base ` R ) $.
    mplascl.a $e |- A = ( algSc ` P ) $.
    mplascl.i $e |- ( ph -> I e. W ) $.
    mplascl.r $e |- ( ph -> R e. Ring ) $.
    mplascl.x $e |- ( ph -> X e. B ) $.
    $( Value of the scalar injection into the polynomial algebra.  (Contributed
       by Stefan O'Rear, 9-Mar-2015.) $)
    mplascl $p |- ( ph -> ( A ` X ) =
          ( y e. D |-> if ( y = ( I X. { 0 } ) , X , .0. ) ) ) $=
      ( cfv cur cvsca cc0 csn cxp wceq cif cmpt csca cbs wcel crg mplsca fveq2d
      co cv eqtrid eleqtrd eqid asclval syl mpl1 oveq2d psrbag0 mplmon2 3eqtrd
      ) AKCUAZKFUBUAZFUCUAZUPZKBEBUQIUDUEUFZUGZGUBUAZLUHUIZVJUPBEVMKLUHUIAKFUJU
      AZUKUAZULVHVKUGAKDVQTADGUKUAVQPAGVPUKAFGIJUMMRSUNUOURUSCVJVIVPVQFKQVPUTVQ
      UTVJUTZVIUTZVAVBAVIVOKVJABEFGVIVNHIJLMNOVNUTZVSRSVCVDABDEFGVJVNHIVLJKLMVR
      NVTOPRSAIJULVLEULREHIJNVEVBTVFVG $.
  $}

  ${
    mplasclf.p $e |- P = ( I mPoly R ) $.
    mplasclf.b $e |- B = ( Base ` P ) $.
    mplasclf.k $e |- K = ( Base ` R ) $.
    mplasclf.a $e |- A = ( algSc ` P ) $.
    mplasclf.i $e |- ( ph -> I e. W ) $.
    mplasclf.r $e |- ( ph -> R e. Ring ) $.
    $( The scalar injection is a function into the polynomial algebra.
       (Contributed by Stefan O'Rear, 9-Mar-2015.) $)
    mplasclf $p |- ( ph -> A : K --> B ) $=
      ( wf cfv cbs wcel crg eqid wa mplring mpllmod asclf syl2anc mplsca fveq2d
      csca eqtrid feq2d mpbird ) AGCBODUHPZQPZCBOZAFHRZESRZUNMNUOUPUABCULUMDLUL
      TDEFHIUBDEFHIUCUMTJUDUEAGUMCBAGEQPUMKAEULQADEFHSIMNUFUGUIUJUK $.
  $}

  ${
    $d x A $.  $d x C $.  $d f x y H $.  $d f x y I $.  $d x K $.  $d x y ph $.
    $d f x y R $.  $d x y T $.  $d x y W $.  $d x X $.
    subrgascl.p $e |- P = ( I mPoly R ) $.
    subrgascl.a $e |- A = ( algSc ` P ) $.
    subrgascl.h $e |- H = ( R |`s T ) $.
    subrgascl.u $e |- U = ( I mPoly H ) $.
    subrgascl.i $e |- ( ph -> I e. W ) $.
    subrgascl.r $e |- ( ph -> T e. ( SubRing ` R ) ) $.
    ${
      subrgascl.c $e |- C = ( algSc ` U ) $.
      $( The scalar injection function in a subring algebra is the same up to a
         restriction to the subring.  (Contributed by Mario Carneiro,
         4-Jul-2015.) $)
      subrgascl $p |- ( ph -> C = ( A |` T ) ) $=
        ( cfv eqid wcel vx vy cres wfn csca cbs asclfn csubrg wceq subrgbas syl
        vf cvv cress ovexi a1i mplsca fveq2d fneq2d mpbiri wss subrgrcl subrgss
        eqtrd crg fnssres syl2anc cv wa fvres adantl ccnv cn cima cfn cmap crab
        cn0 co cc0 csn cxp c0g cif subrg0 ifeq2d adantr mpteq2dv sselda mplascl
        cmpt subrgring eleq2d biimpa 3eqtr4d eqtr2d eqfnfvd ) AUAFCBFUCZACFUDCG
        UERZUFRZUDCWSWTGQWSSWTSUGAFWTCAFHUFRZWTAFEUHRTZFXAUIPFEHMUJUKZAHWSUFAGH
        IJUMNOHUMTAHEFUNMUOUPUQURVDUSUTABEUFRZUDZFXDVAZWRFUDAXEBDUERZUFRZUDBXGX
        HDLXGSXHSUGAXDXHBAEXGUFADEIJVEKOAXBEVETZPFEVBUKZUQURUSUTAXBXFPFXDEXDSZV
        CUKZXDFBVFVGAUAVHZFTZVIZXMWRRZXMBRZXMCRZXNXPXQUIAXMFBVJVKXOUBULVHVLVMVN
        VOTULVRIVPVSVQZUBVHIVTWAWBUIZXMEWCRZWDZWKUBXSXTXMHWCRZWDZWKXQXRXOUBXSYB
        YDAYBYDUIXNAXTYAYCXMAXBYAYCUIPFEHYAMYASZWEUKWFWGWHXOUBBXDXSDEULIJXMYAKX
        SSZYEXKLAIJTXNOWGZAXIXNXJWGAFXDXMXLWIWJXOUBCXAXSGHULIJXMYCNYFYCSXASQYGA
        HVETZXNAXBYHPFEHMWLUKWGAXNXMXATAFXAXMXCWMWNWJWOWPWQ $.
    $}

    subrgasclcl.b $e |- B = ( Base ` U ) $.
    subrgasclcl.k $e |- K = ( Base ` R ) $.
    subrgasclcl.x $e |- ( ph -> X e. K ) $.
    $( The scalars in a polynomial algebra are in the subring algebra iff the
       scalar value is in the subring.  (Contributed by Mario Carneiro,
       4-Jul-2015.) $)
    subrgasclcl $p |- ( ph -> ( ( A ` X ) e. B <-> X e. T ) ) $=
      ( vx vf cfv wcel wa cbs cv cc0 csn cxp wceq c0g cif ccnv cn cima cfn cmap
      cn0 co crab iftrue eleq1d cmpt wral cmps eqid csubrg crg subrgrcl mplascl
      syl adantr wss subrgring mplsubrg subrgss sselda eqeltrrd psrelbas sylibr
      wf fmpt psrbag0 rspcdva subrgbas eleqtrrd cascl subrgascl fveq1d sylan9eq
      cres fvres csca mplring mpllmod asclf syl2anc mplsca fveq2d eleq2d biimpa
      eqtrd ffvelrnd impbida ) ALBUDZCUEZLFUEZAXHUFZLHUGUDZFXJUBUHIUIUJUKZULZLE
      UMUDZUNZXKUEZLXKUEUBUCUHUOUPUQURUEUCUTIUSVAVBZXLXMXOLXKXMLXNVCVDXJXQXKUBX
      QXOVEZWCXPUBXQVFXJIHVGVAZUGUDZXQHXSUCIXKXRXSVHZXKVHXQVHZXTVHZXJXGXRXTAXGX
      RULXHAUBBJXQDEUCIKLXNMYBXNVHTNQAFEVIUDUEZEVJUERFEVKVMUAVLVNACXTXGACXSVIUD
      UECXTVOAGHXSCIKYAPSQAYDHVJUEZRFEHOVPVMZVQCXTXSYCVRVMVSVTWAUBXQXKXOXRXRVHW
      DWBXJIKUEZXLXQUEAYGXHQVNXQUCIKYBWEVMWFAFXKULZXHAYDYHRFEHOWGVMZVNWHAXIUFZL
      GWIUDZUDZXGCAXIYLLBFWMZUDXGALYKYMABYKDEFGHIKMNOPQRYKVHZWJWKLFBWNWLYJGWOUD
      ZUGUDZCLYKAYPCYKWCZXIAYGYEYQQYFYGYEUFYKCYOYPGYNYOVHGHIKPWPGHIKPWQYPVHSWRW
      SVNAXILYPUEAFYPLAFXKYPYIAHYOUGAGHIKVJPQYFWTXAXDXBXCXEVTXF $.
  $}

  ${
    mplmon2cl.p $e |- P = ( I mPoly R ) $.
    mplmon2cl.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
    mplmon2cl.z $e |- .0. = ( 0g ` R ) $.
    mplmon2cl.c $e |- C = ( Base ` R ) $.
    mplmon2cl.i $e |- ( ph -> I e. W ) $.

    ${
      $d ph y $.  $d C y $.  $d D y $.  $d I f $.  $d K f y $.  $d R y $.
      $d X y $.  $d .0. y $.
      mplmon2cl.r $e |- ( ph -> R e. Ring ) $.
      mplmon2cl.b $e |- B = ( Base ` P ) $.
      mplmon2cl.x $e |- ( ph -> X e. C ) $.
      mplmon2cl.k $e |- ( ph -> K e. D ) $.
      $( A scaled monomial is a polynomial.  (Contributed by Stefan O'Rear,
         8-Mar-2015.) $)
      mplmon2cl $p |- ( ph -> ( y e. D |-> if ( y = K , X , .0. ) ) e. B ) $=
        ( cv wceq cur cfv cif cmpt cvsca co eqid mplmon2 clmod wcel cbs mpllmod
        csca crg syl2anc mplsca fveq2d eqtrid eleqtrd lmodvscl syl3anc eqeltrrd
        mplmon ) ALBEBUCJUDZGUEUFZMUGUHZFUIUFZUJZBEVHLMUGUHCABDEFGVKVIHIJKLMNVK
        UKZOVIUKZPQRSUBUAULAFUMUNZLFUQUFZUOUFZUNVJCUNVLCUNAIKUNGURUNVORSFGIKNUP
        USALDVQUAADGUOUFVQQAGVPUOAFGIKURNRSUTVAVBVCABCEFGVIHIKJMNTPVNORSUBVGLVK
        VPVQCFVJTVPUKVMVQUKVDVEVF $.
    $}

    $d ph y $.  $d C y $.  $d D y $.  $d F y $.  $d G y $.  $d I f $.
    $d R y $.  $d .x. y $.  $d X f y $.  $d Y f y $.  $d .0. y $.
    mplmon2mul.r $e |- ( ph -> R e. CRing ) $.
    mplmon2mul.t $e |- .xb = ( .r ` P ) $.
    mplmon2mul.u $e |- .x. = ( .r ` R ) $.
    mplmon2mul.x $e |- ( ph -> X e. D ) $.
    mplmon2mul.y $e |- ( ph -> Y e. D ) $.
    mplmon2mul.f $e |- ( ph -> F e. C ) $.
    mplmon2mul.g $e |- ( ph -> G e. C ) $.
    $( Product of scaled monomials.  (Contributed by Stefan O'Rear,
       8-Mar-2015.) $)
    mplmon2mul $p |- ( ph -> ( ( y e. D |-> if ( y = X , F , .0. ) ) .xb
            ( y e. D |-> if ( y = Y , G , .0. ) ) ) =
          ( y e. D |-> if ( y = ( X oF + Y ) , ( F .x. G ) , .0. ) ) ) $=
      ( cv wceq cur cfv cif cmpt cvsca co caddc cof casa wcel csca ccrg mplassa
      cbs syl2anc mplsca fveq2d eqtrid eleqtrd crg crngring syl mplmon assalmod
      clmod lmodvscl syl3anc assaass syl13anc assaassr oveq2d cmulr psrbagaddcl
      eqid mplmonmul eqtr2id oveqd oveq1d 3eqtr2d 3eqtrd mplmon2 oveq12d ringcl
      lmodvsass 3eqtr3d ) AJBDBUIZNUJZFUKULZPUMUNZEUOULZUPZKBDWPOUJZWRPUMUNZWTU
      PZGUPZJKHUPZBDWPNOUQURUPZUJZWRPUMUNZWTUPZBDWQJPUMUNZBDXBKPUMUNZGUPBDXHXFP
      UMUNAXEJWSXDGUPZWTUPZJKWSXCGUPZWTUPZWTUPZXJAEUSUTZJEVAULZVDULZUTZWSEVDULZ
      UTZXDYBUTZXEXNUJALMUTFVBUTZXRUAUBEFLMQVCVEZAJCXTUGACFVDULXTTAFXSVDAEFLMVB
      QUAUBVFZVGVHZVIZABYBDEFWRILMNPQYBWDZSWRWDZRUAAYEFVJUTZUBFVKVLZUEVMZAEVOUT
      ZKXTUTZXCYBUTZYDAXRYOYFEVNVLZAKCXTUHYHVIZABYBDEFWRILMOPQYJSYKRUAYMUFVMZKW
      TXSXTYBEXCYJXSWDZWTWDZXTWDZVPVQJXTWTGXSYBEWSXDYJUUAUUCUUBUCVRVSAXMXPJWTAX
      RYPYCYQXMXPUJYFYSYNYTKXTWTGXSYBEWSXCYJUUAUUCUUBUCVTVSWAAXQJKXIWTUPZWTUPZJ
      KXSWBULZUPZXIWTUPZXJAXPUUDJWTAXOXIKWTABYBDEFGWRILMNOPQYJSYKRUAYMUEUCUFWEW
      AWAAYOYAYPXIYBUTUUHUUEUJYRYIYSABYBDEFWRILMXGPQYJSYKRUAYMANDUTODUTXGDUTUEU
      FDINOLRWCVEZVMJKWTUUFXSXTYBEXIYJUUAUUBUUCUUFWDWNVSAUUGXFXIWTAUUFHJKAHFWBU
      LUUFUDAFXSWBYGVGWFWGWHWIWJAXAXKXDXLGABCDEFWTWRILNMJPQUUBRYKSTUAYMUEUGWKAB
      CDEFWTWRILOMKPQUUBRYKSTUAYMUFUHWKWLABCDEFWTWRILXGMXFPQUUBRYKSTUAYMUUIAYLJ
      CUTKCUTXFCUTYMUGUHCFHJKTUDWMVQWKWO $.
  $}

  ${
    $d w x y z .+ $.  $d w x y z B $.  $d x y C $.  $d x I $.  $d w x y z ph $.
    $d w x y z H $.  $d x K $.  $d x y .x. $.  $d x V $.  $d w x y z Y $.
    mplind.sk $e |- K = ( Base ` R ) $.
    mplind.sv $e |- V = ( I mVar R ) $.
    mplind.sy $e |- Y = ( I mPoly R ) $.
    mplind.sp $e |- .+ = ( +g ` Y ) $.
    mplind.st $e |- .x. = ( .r ` Y ) $.
    mplind.sc $e |- C = ( algSc ` Y ) $.
    mplind.sb $e |- B = ( Base ` Y ) $.
    mplind.p $e |- ( ( ph /\ ( x e. H /\ y e. H ) ) -> ( x .+ y ) e. H ) $.
    mplind.t $e |- ( ( ph /\ ( x e. H /\ y e. H ) ) -> ( x .x. y ) e. H ) $.
    mplind.s $e |- ( ( ph /\ x e. K ) -> ( C ` x ) e. H ) $.
    mplind.v $e |- ( ( ph /\ x e. I ) -> ( V ` x ) e. H ) $.
    mplind.x $e |- ( ph -> X e. B ) $.
    mplind.i $e |- ( ph -> I e. W ) $.
    mplind.r $e |- ( ph -> R e. CRing ) $.
    $( Prove a property of polynomials by "structural" induction, under a
       simplified model of structure which loses the sum of products structure.
       The commutativity condition is stronger than strictly needed.
       (Contributed by Stefan O'Rear, 11-Mar-2015.) $)
    mplind $p |- ( ph -> X e. H ) $=
      ( vz vw cin crn cmps casp cfv casa wcel cbs wss eqid psrassa inss2 csubrg
      co ccrg crg crngring syl mplsubrg subrgss sstrid wfn wral mvrf2 ralrimiva
      ffnd fnfvrnss syl2anc frnd ssind aspss syl3anc mplbas2 eqtr4di clss csubg
      cv wceq cur c0 wne cminusg a1i csca crh mplassa asclrhm rhm1 fveq2 eleq1d
      wa mplsca eqeltrrd ringidcl fveq2d eqtrid eleqtrrd rspcdva assaring elind
      ne0d elinel1 anim12i caovclg sylan2 assalmod lmodgrp adantr simprl elin2d
      cgrp clmod simprr grpcl anassrs simpr ringnegl simpl cghm rhmghm grpinvcl
      ghminv elin1d jca w3a wb mpbir3and ralrimivva simprbda eqtrd ringcl cvsca
      ringgrp syl12anc issubg2 issubrg2 mplval2 subsubrg mpllss asclmul1 syldan
      lmodvscl islss4 mpbir2and lsslss syl21anc aspid 3sstr3d sseldd ) AIDNADID
      ULZNALUMZJGUNVEZUOUPZUPZUVAUVDUPZDUVAAUVCUQURZUVAUVCUSUPZUTUVBUVAUTUVEUVF
      UTAGUVCJMUVCVAZUHUIVBZAUVADUVHIDVCZADUVCVDUPZURZDUVHUTAOGUVCDJMUVIRUBUHAG
      VFURZGVGURUIGVHVIZVJZDUVHUVCUVHVAZVKVIVLAUVBIDALJVMBWHZLUPIURZBJVNUVBIUTA
      JDLADOGJLMRQUBUHUVOVOZVQAUVSBJUFVPBJILVRVSAJDLUVTVTWAUVDUVAUVBUVHUVCUVDVA
      ZUVQWBWCAUVEOUSUPDAUVDOGUVCJLMRUVIQUWAUHUIWDUBWEAUVGUVAUVLURZUVAUVCWFUPZU
      RZUVFUVAWIUVJAUVMUVAOVDUPURZUWBUVPAUWEUVAOWGUPURZOWJUPZUVAURZUVRCWHZHVEZU
      VAURZCUVAVNBUVAVNZAUWFUVADUTZUVAWKWLZUJWHZUKWHZFVEZUVAURZUKUVAVNZUWOOWMUP
      ZUPZUVAURZXBZUJUVAVNZUWMAUVKWNAUVAUWGAIDUWGAOWOUPZWJUPZEUPZUWGIAEUXEOWPVE
      URZUXGUWGWIAOUQURZUXHAJMURUVNUXIUHUIOGJMRWQVSZEUXEOUAUXEVAZWRVIZUXEOUXFEU
      WGUXFVAZUWGVAZWSVIZAUVREUPZIURZUXGIURBKUXFUVRUXFWIUXPUXGIUVRUXFEWTXAAUXQB
      KUEVPZAUXFUXEUSUPZKAUXEVGURZUXFUXSURZAGUXEVGAOGJMVFRUHUIXCZUVOXDZUXSUXEUX
      FUXSVAZUXMXEVIZAKGUSUPUXSPAGUXEUSUYBXFXGZXHXIXDAOVGURZUWGDURAUXIUYGUXJOXJ
      VIZDOUWGUBUXNXEVIXKZXLAUXCUJUVAAUWOUVAURZXBZUWSUXBUYKUWRUKUVAAUYJUWPUVAUR
      ZUWRAUYJUYLXBZXBZIDUWQUYMAUWOIURZUWPIURZXBUWQIURUYJUYOUYLUYPUWOIDXMUWPIDX
      MXNABCUWOUWPIIIFUCXOXPUYNOYBURZUWODURZUWPDURZUWQDURAUYQUYMAOYCURZUYQAUXIU
      YTUXJOXQVIZOXRVIZXSUYNIDUWOAUYJUYLXTYAUYNIDUWPAUYJUYLYDYADFOUWOUWPUBSYEWC
      XKYFVPUYKIDUXAUYKUWGUWTUPZUWOHVEZUXAIUYKDOHUWGUWTUWOUBTUXNUWTVAZAUYGUYJUY
      HXSUYKIDUWOAUYJYGZYAZYHUYKAVUCIURZUYOVUDIURAUYJYIAVUHUYJAUXFUXEWMUPZUPZEU
      PZVUCIAVUKUXGUWTUPZVUCAEUXEOYJVEURZUYAVUKVULWIAUXHVUMUXLUXEOEYKVIUYEUXSUX
      EOEVUIUWTUXFUYDVUIVAZVUEYMVSAUXGUWGUWTUXOXFUUAAUXQVUKIURBKVUJUVRVUJWIUXPV
      UKIUVRVUJEWTXAUXRAVUJUXSKAUXEYBURZUYAVUJUXSURAUXTVUOUYCUXEUUDVIUYEUXSUXEV
      UIUXFUYDVUNYLVSUYFXHXIXDXSUYKIDUWOVUFYNABCVUCUWOIIIHUDXOUUEXDUYKUYQUYRUXA
      DURAUYQUYJVUBXSVUGDOUWTUWOUBVUEYLVSXKYOVPAUYQUWFUWMUWNUXDYPYQVUBUJUKDFUVA
      OUWTUBSVUEUUFVIYRZUYIAUWKBCUVAUVAAUVRUVAURZUWIUVAURZXBZXBZIDUWJVUSAUVRIUR
      ZUWIIURZXBUWJIURVUQVVAVURVVBUVRIDXMUWIIDXMXNUDXPVUTUYGUVRDURUWIDURUWJDURA
      UYGVUSUYHXSVUTIDUVRAVUQVURXTYAVUTIDUWIAVUQVURYDYADOHUVRUWIUBTUUBWCXKYSAUY
      GUWEUWFUWHUWLYPYQUYHBCUVADOHUWGUBUXNTUUGVIYRUVMUWEUWBUWMDUVAUVCOOGUVCDJRU
      VIUBUUHZUUIYTVSAUVCYCURZDUWCURZUVAOWFUPZURZUWDAUVGVVDUVJUVCXQVIAOGUVCDJMU
      VIRUBUHUVOUUJAVVGUWFUWOUWPOUUCUPZVEZUVAURZUKUVAVNUJUXSVNZVUPAVVJUJUKUXSUV
      AAUWOUXSURZUYLXBZXBZIDVVIVVNUWOEUPZUWPHVEZVVIIVVNUXIVVLUYSVVPVVIWIAUXIVVM
      UXJXSAVVLUYLXTZVVNIDUWPAVVLUYLYDZYAZEUWOVVHHUXEUXSDOUWPUAUXKUYDUBTVVHVAZU
      UKWCAVVMVVOIURZUYPXBVVPIURVVNVWAUYPVVNUXQVWABKUWOUVRUWOWIUXPVVOIUVRUWOEWT
      XAAUXQBKVNVVMUXRXSVVNUWOUXSKVVQAKUXSWIVVMUYFXSXHXIVVNIDUWPVVRYNYOABCVVOUW
      PIIIHUDXOUULXDVVNUYTVVLUYSVVIDURAUYTVVMVUAXSVVQVVSUWOVVHUXEUXSDOUWPUBUXKV
      VTUYDUUMWCXKYSAUYTVVGUWFVVKXBYQVUAUXSVVFVVHUVAUXEDOUJUKUXKUYDUBVVTVVFVAZU
      UNVIUUOVVDVVEXBVVGUWDUWMUWCVVFDUVAUVCOVVCUWCVAZVWBUUPYTUUQUVDUVAUWCUVHUVC
      UWAUVQVWCUURWCUUSUGUUTYN $.
  $}

  ${
    $d ph k y $.  $d B k $.  $d D k y $.  $d I f k y $.  $d P k y $.
    $d R f k y $.  $d W y k $.  $d X f k y $.  $d .0. f k y $.
    mplcoe4.p $e |- P = ( I mPoly R ) $.
    mplcoe4.d $e |- D = { f e. ( NN0 ^m I ) | ( `' f " NN ) e. Fin } $.
    mplcoe4.z $e |- .0. = ( 0g ` R ) $.
    mplcoe4.b $e |- B = ( Base ` P ) $.
    mplcoe4.i $e |- ( ph -> I e. W ) $.
    mplcoe4.r $e |- ( ph -> R e. Ring ) $.
    mplcoe4.x $e |- ( ph -> X e. B ) $.
    $( Decompose a polynomial into a finite sum of scaled monomials.
       (Contributed by Stefan O'Rear, 8-Mar-2015.) $)
    mplcoe4 $p |- ( ph -> X = ( P gsum ( k e. D |->
              ( y e. D |-> if ( y = k , ( X ` k ) , .0. ) ) ) ) ) $=
      ( cfv cv weq cur cif cmpt cvsca co cgsu eqid mplcoe1 wcel wa adantr simpr
      cbs crg mplelf ffvelrnda mplmon2 mpteq2dva oveq2d eqtrd ) AKEHDHUAZKTZBDB
      HUBZFUCTZLUDUEEUFTZUGZUEZUHUGEHDBDVEVDLUDUEZUEZUHUGABCDEFVGVFGHIJKLMNOVFU
      IZQPVGUIZRSUJAVIVKEUHAHDVHVJAVCDUKZULBFUOTZDEFVGVFGIVCJVDLMVMNVLOVOUIZAIJ
      UKVNQUMAFUPUKVNRUMAVNUNADVOVCKACDEFGIVOKMVPPNSUQURUSUTVAVB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Polynomial evaluation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c evalSub $. $( Evaluation of a multivariate polynomial in a subring $)
  $c eval $. $( Evaluation of a multivariate polynomial $)

  $( Evaluation of a multivariate polynomial in a subring. $)
  ces $a class evalSub $.

  $( Evaluation of a multivariate polynomial. $)
  cevl $a class eval $.

  ${
    $d b f g i r s w x $.
    $( Define the evaluation map for the polynomial algebra.  The function
       ` ( ( I evalSub S ) `` R ) : V --> ( S ^m ( S ^m I ) ) ` makes sense
       when ` I ` is an index set, ` S ` is a ring, ` R ` is a subring of
       ` S ` , and where ` V ` is the set of polynomials in ` ( I mPoly R ) ` .
       This function maps an element of the formal polynomial algebra (with
       coefficients in ` R ` ) to a function from assignments ` I --> S ` of
       the variables to elements of ` S ` formed by evaluating the polynomial
       with the given assignments.  (Contributed by Stefan O'Rear,
       11-Mar-2015.) $)
    df-evls $a |- evalSub = ( i e. _V , s e. CRing |-> [_ ( Base ` s ) / b ]_
      ( r e. ( SubRing ` s ) |-> [_ ( i mPoly ( s |`s r ) ) / w ]_
        ( iota_ f e. ( w RingHom ( s ^s ( b ^m i ) ) )
        ( ( f o. ( algSc ` w ) ) = ( x e. r |-> ( ( b ^m i ) X. { x } ) ) /\
          ( f o. ( i mVar ( s |`s r ) ) ) = ( x e. i |-> ( g e. ( b ^m i ) |->
        ( g ` x ) ) ) ) ) ) ) $.

    $( A simplification of ` evalSub ` when the evaluation ring is the same as
       the coefficient ring.  (Contributed by Stefan O'Rear, 19-Mar-2015.) $)
    df-evl $a |- eval = ( i e. _V , r e. _V |->
      ( ( i evalSub r ) ` ( Base ` r ) ) ) $.
  $}

  ${
    $d i j x y z I $.  $d i j x y z J $.  $d x y z ph $.  $d i j y z X $.
    $d z .0. $.  $d x y B $.  $d i j x y z .x. $.  $d i j x z Y $.
    evlslem4.b $e |- B = ( Base ` R ) $.
    evlslem4.z $e |- .0. = ( 0g ` R ) $.
    evlslem4.t $e |- .x. = ( .r ` R ) $.
    evlslem4.r $e |- ( ph -> R e. Ring ) $.
    evlslem4.x $e |- ( ( ph /\ x e. I ) -> X e. B ) $.
    evlslem4.y $e |- ( ( ph /\ y e. J ) -> Y e. B ) $.
    evlslem4.i $e |- ( ph -> I e. V ) $.
    evlslem4.j $e |- ( ph -> J e. W ) $.
    $( The support of a tensor product of ring element families is contained in
       the product of the supports.  (Contributed by Stefan O'Rear,
       8-Mar-2015.)  (Revised by AV, 18-Jul-2019.) $)
    evlslem4 $p |- ( ph -> ( ( x e. I , y e. J |-> ( X .x. Y ) ) supp .0. )
                             C_ ( ( ( x e. I |-> X ) supp .0. )
                                  X. ( ( y e. J |-> Y ) supp .0. ) ) ) $=
      ( vz vi vj co cmpo csupp cxp cv c1st cfv cmpt c2nd wcel w3a simp2 3adant3
      wceq eqid fvmpt2 syl2anc simp3 3imp3i2an oveq12d mpoeq3dva nffvmpt1 fveq2
      nfcv nfov oveqan12d cbvmpo cop cvv wa vex simplbiim mpompt eqtr4i eqtr3di
      eqop2 oveq1d cdif wo cun difxp eleq2i elun bitri xp1st fmpttd ssidd fvexi
      c0g a1i suppssr sylan2 crg wf xp2nd ffvelrn syl2an ringlz syl2an2r oveq2d
      eqtrd ringrz jaodan sylan2b xpexd suppss2 eqsstrd ) ABCGHKLFUEZUFZMUGUEUB
      GHUHZUBUIZUJUKZBGKULZUKZXOUMUKZCHLULZUKZFUEZULZMUGUEXQMUGUEZXTMUGUEZUHZAX
      MYCMUGABCGHBUIZXQUKZCUIZXTUKZFUEZUFZXMYCABCGHYKXLAYGGUNZYIHUNZUOZYHKYJLFY
      OYMKDUNZYHKURAYMYNUPAYMYPYNRUQBGKDXQXQUSUTVAAYMYNYNLDUNYJLURAYMYNVBSCHLDX
      TXTUSUTVCVDVEYLUCUDGHUCUIZXQUKZUDUIZXTUKZFUEZUFYCBCUCUDGHYKUUAUCYKVHUDYKV
      HBYRYTFBGKYQVFBFVHBYTVHVICYRYTFCYRVHCFVHCHLYSVFVIYGYQURYIYSURYHYRYJYTFYGY
      QXQVGYIYSXTVGVJVKUCUDUBGHYBUUAXOYQYSVLURXOVMVMUHUNXPYQURZXSYSURZVNYBUUAUR
      XOYQYSUCVOUDVOVTUUBUUCXRYRYAYTFXPYQXQVGXSYSXTVGVJVPVQVRVSWAAXNYBUBVMYFMXO
      XNYFWBZUNZAXOGYDWBZHUHZUNZXOGHYEWBZUHZUNZWCZYBMURZUUEXOUUGUUJWDZUNUULUUDU
      UNXOYDYEGHWEWFXOUUGUUJWGWHAUUHUUMUUKAUUHVNZYBMYAFUEZMUUOXRMYAFUUHAXPUUFUN
      XRMURXOUUFHWIAGDVMXQIYDXPMABGKDRWJZAYDWKTMVMUNAMEWMOWLWNZWOWPWAAEWQUNZUUH
      YADUNZUUPMURQAHDXTWRXSHUNUUTUUHACHLDSWJZXOUUFHWSHDXSXTWTXADEFYAMNPOXBXCXE
      AUUKVNZYBXRMFUEZMUVBYAMXRFUUKAXSUUIUNYAMURXOGUUIWSAHDVMXTJYEXSMUVAAYEWKUA
      UURWOWPXDAUUSUUKXRDUNZUVCMURQAGDXQWRXPGUNUVDUUKUUQXOGUUIWIGDXPXQWTXADEFXR
      MNPOXFXCXEXGXHAGHIJTUAXIXJXK $.
  $}

  ${
    $d ph y z $.  $d B h $.  $d B y z $.  $d C y z $.  $d G z $.  $d I h $.
    $d .x. y z $.  $d .0. z $.
    psrbagev1.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    psrbagev1.c $e |- C = ( Base ` T ) $.
    psrbagev1.x $e |- .x. = ( .g ` T ) $.
    psrbagev1.z $e |- .0. = ( 0g ` T ) $.
    psrbagev1.t $e |- ( ph -> T e. CMnd ) $.
    psrbagev1.b $e |- ( ph -> B e. D ) $.
    psrbagev1.g $e |- ( ph -> G : I --> C ) $.
    $( A bag of multipliers provides the conditions for a valid sum.
       (Contributed by Stefan O'Rear, 9-Mar-2015.)  (Revised by AV,
       18-Jul-2019.)  (Revised by AV, 11-Apr-2024.)  Remove a sethood
       hypothesis.  (Revised by SN, 7-Aug-2024.) $)
    psrbagev1 $p |- ( ph -> ( ( B oF .x. G ) : I --> C
                              /\ ( B oF .x. G ) finSupp .0. ) ) $=
      ( cvv wcel cc0 vy vz cof co wf cfsupp wbr cmnd cv cmnmndd mulgnn0cl 3expb
      cn0 wa sylan psrbagf syl ffnd fndmexd inidm off csupp cfn wss ovexd offun
      wfun c0g fvexi a1i psrbagfsupp fsuppimpd ssidd wceq adantl c0ex suppssof1
      mulg0 suppssfifsupp syl32anc jca ) AICBHFUCZUDZUEWCJUFUGZAUAUBIIIFUMCCBHR
      RAEUHSZUAUIZUMSZUBUIZCSZUNWFWHFUDCSZAEOUJWEWGWIWJCFEWFWHLMUKULUOABDSZIUMB
      UEPDGBIKUPUQZQAIBDPAIUMBWLURZUSZWNIUTVAAWCRSWCVGJRSZBTVBUDZVCSWCJVBUDWPVD
      WDABHWBVEAIIFBHRRWMAICHQURWNWNVFWOAJEVHNVIVJABTAWKBTUFUGPDGBIKVKUQVLAUBBH
      ICRWPFUMRTJAWPVMWITWHFUDJVNACFEWHJLNMVRVOWLQWNTRSAVPVJVQWPWCRRJVSVTWA $.

    psrbagev1.i $e |- ( ph -> I e. W ) $.
    $( Obsolete version of ~ psrbagev1 as of 7-Aug-2024.  (Contributed by
       Stefan O'Rear, 9-Mar-2015.)  (Revised by AV, 18-Jul-2019.)  (Revised by
       AV, 11-Apr-2024.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    psrbagev1OLD $p |- ( ph -> ( ( B oF .x. G ) : I --> C
                              /\ ( B oF .x. G ) finSupp .0. ) ) $=
      ( wcel vy vz cof co wf cfsupp wbr cn0 cv wa cmnmndd mulgnn0cl 3expb sylan
      cmnd psrbagfOLD syl2anc inidm off cvv wfun cc0 csupp cfn ovexd ffnd offun
      wss fvexi psrbagfsuppOLD fsuppimpd ssidd wceq mulg0 adantl c0ex suppssof1
      c0g a1i suppssfifsupp syl32anc jca ) AICBHFUCZUDZUEWDKUFUGZAUAUBIIIFUHCCB
      HJJAEUOTZUAUIZUHTZUBUIZCTZUJWGWIFUDCTZAEPUKWFWHWJWKCFEWGWIMNULUMUNAIJTZBD
      TZIUHBUESQDGBIJLUPUQZRSSIURUSAWDUTTWDVAKUTTZBVBVCUDZVDTWDKVCUDWPVHWEABHWC
      VEAIIFBHJJAIUHBWNVFAICHRVFSSVGWOAKEVROVIVSABVBAWMWLBVBUFUGQSDGIJBLVJUQVKA
      UBBHICUTWPFUHJVBKAWPVLWJVBWIFUDKVMACFEWIKMONVNVOWNRSVBUTTAVPVSVQWPWDUTUTK
      VTWAWB $.
  $}

  ${
    $d B h $.  $d I h $.
    psrbagev2.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    psrbagev2.c $e |- C = ( Base ` T ) $.
    psrbagev2.x $e |- .x. = ( .g ` T ) $.
    psrbagev2.t $e |- ( ph -> T e. CMnd ) $.
    psrbagev2.b $e |- ( ph -> B e. D ) $.
    psrbagev2.g $e |- ( ph -> G : I --> C ) $.
    $( Closure of a sum using a bag of multipliers.  (Contributed by Stefan
       O'Rear, 9-Mar-2015.)  (Proof shortened by AV, 18-Jul-2019.)  (Revised by
       AV, 11-Apr-2024.)  Remove a sethood hypothesis.  (Revised by SN,
       7-Aug-2024.) $)
    psrbagev2 $p |- ( ph -> ( T gsum ( B oF .x. G ) ) e. C ) $=
      ( cof co cvv c0g cfv eqid ovexd wf cfsupp psrbagev1 simpld fndmexd simprd
      wbr ffnd gsumcl ) AICBHFPZQZERESTZKUNUAZMAIUMRABHULUBAICUMAICUMUCZUMUNUDU
      IZABCDEFGHIUNJKLUOMNOUEZUFZUJUGUSAUPUQURUHUK $.

    psrbagev2OLD.i $e |- ( ph -> I e. W ) $.
    $( Obsolete version of ~ psrbagev2 as of 7-Aug-2024.  (Contributed by
       Stefan O'Rear, 9-Mar-2015.)  (Proof shortened by AV, 18-Jul-2019.)
       (Revised by AV, 11-Apr-2024.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    psrbagev2OLD $p |- ( ph -> ( T gsum ( B oF .x. G ) ) e. C ) $=
      ( cof co c0g cfv eqid wf cfsupp wbr psrbagev1OLD simpld simprd gsumcl ) A
      ICBHFRSZEJETUAZLUKUBZNQAICUJUCZUJUKUDUEZABCDEFGHIJUKKLMULNOPQUFZUGAUMUNUO
      UHUI $.
  $}

  ${
    $d ph i j k y $.  $d B i j k x y z $.  $d D i j k x y z $.  $d E i j z $.
    $d I h i j k $.  $d .x. i j $.  $d P i j k x y z $.  $d R h i j k $.
    $d S i j $.  $d W i j k $.  $d .0. h i j k x y $.  $d .0. z $.
    evlslem2.p $e |- P = ( I mPoly R ) $.
    evlslem2.b $e |- B = ( Base ` P ) $.
    evlslem2.m $e |- .x. = ( .r ` S ) $.
    evlslem2.z $e |- .0. = ( 0g ` R ) $.
    evlslem2.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    evlslem2.i $e |- ( ph -> I e. W ) $.
    evlslem2.r $e |- ( ph -> R e. CRing ) $.
    evlslem2.s $e |- ( ph -> S e. CRing ) $.
    evlslem2.e1 $e |- ( ph -> E e. ( P GrpHom S ) ) $.
    evlslem2.e2 $e |- ( ( ph /\ ( ( x e. B /\ y e. B ) /\ ( j e. D /\
      i e. D ) ) ) -> ( E ` ( k e. D |-> if ( k = ( j oF + i ) , ( ( x ` j )
      ( .r ` R ) ( y ` i ) ) , .0. ) ) ) = ( ( E ` ( k e. D |-> if ( k = j ,
      ( x ` j ) , .0. ) ) ) .x. ( E ` ( k e. D |->
      if ( k = i , ( y ` i ) , .0. ) ) ) ) ) $.
    $( A linear function on the polynomial ring which is multiplicative on
       scaled monomials is generally multiplicative.  (Contributed by Stefan
       O'Rear, 9-Mar-2015.)  (Revised by AV, 11-Apr-2024.) $)
    evlslem2 $p |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( E ` ( x ( .r ` P ) y ) ) = ( ( E ` x ) .x. ( E ` y ) ) ) $=
      ( vz cv wcel wa wceq cfv cif cmpt cgsu co cmulr ccom cmpo cvv c0g eqid cn
      ccnv cima cfn cn0 cmap rabex2 a1i crg crngring syl mplring syl2anc adantr
      ovex ccrg cbs ad2antrr simprl mplelf ffvelrnda simpr mplmon2cl simprr wbr
      cfsupp wral wfun w3a csupp wss mptex fvex 3pm3.2i mplelsfi fsuppimpd cdif
      funmpt ssidd fvexi suppssr ifeq1d ifid mpteq2dv csn cxp cgrp ringgrp mpl0
      eqtrdi fconstmpt eqtr4d suppss2 suppssfifsupp syl12anc ralrimiva cbvralvw
      fveq1 breq1d sylib adantrr fveq2 adantrl gsumdixp fveq2d wf gsummhm eqtrd
      oveq2d eqidd fmptco oveq12d ffvelrnd suppssfv 3eqtr4d mplcoe4 fmpttd ccmn
      r19.21bi equequ2 ifbieq1d cbvmptv eqbrtrid ringcmn cmnd ringmnd xpex cmhm
      cghm ghmmhm ringcl syl3anc ralrimivva fmpo mpoex mpofun xpfi evlslem4 cof
      caddc mplmon2mul anassrs 3impb mpoeq3dva feqmptd fmpoco ghmid 3eqtr2d
      ghmf ) ABUIZDUJZCUIZDUJZUKZUKZFLEMEMUIZLUIZULZUVTUVMUMZQUNZUOZUOZUPUQZFKE
      MEUVSKUIZULZUWGUVOUMZQUNZUOZUOZUPUQZFURUMZUQZNUMZHNUWEUSZUPUQZHNUWLUSZUPU
      QZIUQZUVMUVOUWNUQZNUMUVMNUMZUVONUMZIUQUVRUWPFLKEEUWDUWKUWNUQZUTZUPUQZNUMH
      NUXFUSZUPUQZUXAUVRUWOUXGNUVRLKDFUWNEEVAVAUWDUWKFVBUMZSUWNVCZUXJVCZEVAUJZU
      VRJUIVEVDVFVGUJJVHOVIUQEUBVHOVIVRVJZVKZUXOAFVLUJZUVQAOPUJZGVLUJZUXPUCAGVS
      UJZUXRUDGVMVNZFGOPRVOVPZVQZUVRUVTEUJZUKZMDGVTUMZEFGJOUVTPUWBQRUBUAUYEVCZA
      UXQUVQUYCUCWAAUXRUVQUYCUXTWASUVREUYEUVTUVMUVRDEFGJOUYEUVMRUYFSUBAUVNUVPWB
      ZWCWDZUVRUYCWEWFZUVRUWGEUJZUKZMDUYEEFGJOUWGPUWIQRUBUAUYFAUXQUVQUYJUCWAAUX
      RUVQUYJUXTWASUVREUYEUWGUVOUVRDEFGJOUYEUVORUYFSUBAUVNUVPWGZWCWDZUVRUYJWEWF
      ZAUVNUWEUXJWIWHZUVPAUYOBDALEMEUWAUVTUVOUMZQUNZUOZUOZUXJWIWHZCDWJUYOBDWJAU
      YTCDAUVPUKZUYSVAUJZUYSWKZUXJVAUJZWLZUVOQWMUQZVGUJUYSUXJWMUQVUFWNUYTVUEVUA
      VUBVUCVUDLEUYRUXNWOLEUYRXAFVBWPZWQVKVUAUVOQVUADFGUVOOVSQRSUAAUVPWEZAUXSUV
      PUDVQWRWSVUAEUYRLVAVUFUXJVUAUVTEVUFWTUJZUKZUYRMEQUOZUXJVUJMEUYQQVUJUYQUWA
      QQUNQVUJUWAUYPQQVUAEUYEVAUVOVAVUFUVTQVUADEFGJOUYEUVORUYFSUBVUHWCVUAVUFXBU
      XMVUAUXNVKZQVAUJVUAQGVBUAXCVKXDXEUWAQXFXMXGAUXJVUKULUVPVUIAUXJEQXHXIVUKAE
      FGJOQPUXJRUBUAUXLUCAUXRGXJUJUXTGXKVNXLMEQXNXMWAXOVULXPVUFUYSVAVAUXJXQXRZX
      SUYTUYOCBDUVOUVMULZUYSUWEUXJWIVUNLEUYRUWDVUNMEUYQUWCVUNUWAUYPUWBQUVTUVOUV
      MYAXEXGXGYBXTYCUUBYDZUVRUWLUYSUXJWIKLEUWKUYRUWGUVTULZMEUWJUYQVUPUWHUWAUWI
      UYPQKLMUUCUWGUVTUVOYEUUDXGUUEAUVPUYTUVNVUMYFUUFZYGYHUVREEXIZDUXFFHNVAUXJS
      UXLAFUUAUJZUVQAUXPVUSUYAFUUGVNVQZUVRHVLUJZHUUHUJAVVAUVQAHVSUJVVAUEHVMVNVQ
      ZHUUIVNZVURVAUJUVREEUXNUXNUUJVKANFHUUKUQUJZUVQANFHUULUQUJZVVDUFFHNUUMVNVQ
      ZUVRUXEDUJZKEWJLEWJVURDUXFYIUVRVVGLKEEUVRUYCUYJUKZUKZUXPUWDDUJZUWKDUJZVVG
      AUXPUVQVVHUYAWAUVRUYCVVJUYJUYIYDUVRUYJVVKUYCUYNYFDFUWNUWDUWKSUXKUUNUUOZUU
      PLKEEUXEDUXFUXFVCZUUQYCUVRUXFVAUJZUXFWKZVUDWLZUWEUXJWMUQZUWLUXJWMUQZXIZVG
      UJZUXFUXJWMUQVVSWNUXFUXJWIWHVVPUVRVVNVVOVUDLKEEUXEUXNUXNUURLKEEUXEUXFVVMU
      USVUGWQVKUVRVVQVGUJZVVRVGUJZVVTUVRUWEUXJVUOWSZUVRUWLUXJVUQWSZVVQVVRUUTVPU
      VRLKDFUWNEEVAVAUWDUWKUXJSUXLUXKUYBUYIUYNUXOUXOUVAVVSUXFVAVAUXJXQXRYJUVRHL
      KEEUXENUMZUTZUPUQHLKEEUWDNUMZUWKNUMZIUQZUTZUPUQZUXIUXAUVRVWFVWJHUPUVRLKEE
      VWEVWIUVRUYCUYJVWEVWIULVVIVWEMEUVSUVTUWGUVCUVBUQULUWBUWIGURUMZUQQUNUOZNUM
      ZVWIVVIUXEVWMNVVIMUYEEFGUWNVWLJUWBUWIOPUVTUWGQRUBUAUYFAUXQUVQVVHUCWAAUXSU
      VQVVHUDWAUXKVWLVCUVRUYCUYJWBUVRUYCUYJWGUVRUYCUWBUYEUJUYJUYHYDUVRUYJUWIUYE
      UJUYCUYMYFUVDYHAUVQVVHVWNVWIULUGUVEYKUVFUVGYLUVRUXHVWFHUPUVRLKUHEEDUXEUHU
      IZNUMZVWEUXFNVVLUVRUXFYMANUHDVWPUOULUVQAUHDHVTUMZNAVVEDVWQNYIZUFFHNDVWQSV
      WQVCZUVLVNZUVHVQZVWOUXENYEUVIYLUVRUXAHLEVWGUOZUPUQZHKEVWHUOZUPUQZIUQVWKUV
      RUWRVXCUWTVXEIUVRUWQVXBHUPUVRLUHEDUWDVWPVWGUWENUYIUVRUWEYMVXAVWOUWDNYEYNY
      LUVRUWSVXDHUPUVRKUHEDUWKVWPVWHUWLNUYNUVRUWLYMVXAVWOUWKNYEYNYLYOUVRLKVWQHI
      EEVAVAVWGVWHHVBUMZVWSTVXFVCZUXOUXOVVBUYDDVWQUWDNAVWRUVQUYCVWTWAUYIYPUYKDV
      WQUWKNAVWRUVQUYJVWTWAUYNYPUVRVXBVAUJZVXBWKZVXFVAUJZWLZVWAVXBVXFWMUQVVQWNZ
      VXBVXFWIWHVXKUVRVXHVXIVXJLEVWGUXNWOLEVWGXAHVBWPZWQVKVWCAVXLUVQALUWDEVANVV
      QVAUXJVXFAVVQXBAVVEUXJNUMVXFULUFFHNUXJVXFUXLVXGUVJVNZUWDVAUJAUYCUKMEUWCUX
      NWOVKVUDAVUGVKZYQVQVVQVXBVAVAVXFXQXRUVRVXDVAUJZVXDWKZVXJWLZVWBVXDVXFWMUQV
      VRWNZVXDVXFWIWHVXRUVRVXPVXQVXJKEVWHUXNWOKEVWHXAVXMWQVKVWDAVXSUVQAKUWKEVAN
      VVRVAUXJVXFAVVRXBVXNUWKVAUJAUYJUKMEUWJUXNWOVKVXOYQVQVVRVXDVAVAVXFXQXRYGYK
      YRUVKUVRUXBUWONUVRUVMUWFUVOUWMUWNUVRMDEFGJLOPUVMQRUBUASAUXQUVQUCVQZAUXRUV
      QUXTVQZUYGYSZUVRMDEFGJKOPUVOQRUBUASVXTVYAUYLYSZYOYHUVRUXCUWRUXDUWTIUVRUXC
      UWFNUMUWRUVRUVMUWFNVYBYHUVREDUWEFHNVAUXJSUXLVUTVVCUXOVVFUVRLEUWDDUYIYTVUO
      YJXOUVRUXDUWMNUMUWTUVRUVOUWMNVYCYHUVREDUWLFHNVAUXJSUXLVUTVVCUXOVVFUVRKEUW
      KDUYNYTVUQYJXOYOYR $.
  $}

  ${
    $d b p x .0. $.  $d p B $.  $d b y z C $.  $d b p x y z D $.  $d b p F $.
    $d b p y z .^ $.  $d b h p x A $.  $d h I $.  $d x K $.  $d b x y z ph $.
    $d b p y z G $.  $d b p x H $.  $d b p S $.  $d b p y T $.  $d b p .x. $.
    $d x R $.
    evlslem3.p $e |- P = ( I mPoly R ) $.
    evlslem3.b $e |- B = ( Base ` P ) $.
    evlslem3.c $e |- C = ( Base ` S ) $.
    evlslem3.k $e |- K = ( Base ` R ) $.
    evlslem3.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    evlslem3.t $e |- T = ( mulGrp ` S ) $.
    evlslem3.x $e |- .^ = ( .g ` T ) $.
    evlslem3.m $e |- .x. = ( .r ` S ) $.
    evlslem3.v $e |- V = ( I mVar R ) $.
    evlslem3.e $e |- E = ( p e. B |-> ( S gsum ( b e. D |->
              ( ( F ` ( p ` b ) ) .x. ( T gsum ( b oF .^ G ) ) ) ) ) ) $.
    evlslem3.i $e |- ( ph -> I e. W ) $.
    evlslem3.r $e |- ( ph -> R e. CRing ) $.
    evlslem3.s $e |- ( ph -> S e. CRing ) $.
    evlslem3.f $e |- ( ph -> F e. ( R RingHom S ) ) $.
    evlslem3.g $e |- ( ph -> G : I --> C ) $.
    evlslem3.z $e |- .0. = ( 0g ` R ) $.
    evlslem3.a $e |- ( ph -> A e. D ) $.
    evlslem3.q $e |- ( ph -> H e. K ) $.
    $( Lemma for ~ evlseu .  Polynomial evaluation of a scaled monomial.
       (Contributed by Stefan O'Rear, 8-Mar-2015.)  (Revised by AV,
       11-Apr-2024.) $)
    evlslem3 $p |- ( ph -> ( E ` ( x e. D |-> if ( x = A , H , .0. ) ) ) =
          ( ( F ` H ) .x. ( T gsum ( A oF .^ G ) ) ) ) $=
      ( vy vz cv wceq cif cmpt cfv cof co cgsu wcel ccrg crg crngring mplmon2cl
      syl fveq1 fveq2d oveq1d mpteq2dv oveq2d ovex fvmpt eqid eqeq1 ifbid simpr
      wa cvv c0g fvexi ifexd adantr fvmptd3 mpteq2dva cmnd ringmnd ccnv cn cima
      a1i cfn cn0 cmap rabex2 crh wf rhmf ring0cl ifcld ffvelrnd mgpbas crngmgp
      ccmn cmnmnd ad2antrr simprl simprr mulgnn0cl syl3anc psrbagf adantl inidm
      off wfun csupp wss cfsupp wbr cdif cc0 eldifi ffvelrn syl2an 3eqtrd eqtrd
      wfn ffnd ffund fvexd wb psrbag simplbda fnfvof syl22anc wo elnn0 sylib wn
      eldifn ad2antlr elpreimad mtand orcnd mulg0 suppss suppssfifsupp syl32anc
      gsumcl ringcl fmpttd eldifsnneq iffalsed cghm rhmghm ghmid sylan2 syl2anc
      csn ringlz suppss2 gsumpt iftrue oveq1 oveq12d ) ABFBVEZCVFZQUBVGZVHZMVIZ
      IUDFUDVEZUWAVIZOVIZJUWCPNVJZVKZVLVKZKVKZVHZVLVKZCUDFUWCCVFZQUBVGZOVIZUWHK
      VKZVHZVIZQOVIZJCPUWFVKZVLVKZKVKZAUWADVMUWBUWKVFABDSFGHLRCUAQUBUEUIUTUHUOA
      HVNVMHVOVMZUPHVPVRZUFVBVAVQUCUWAIUDFUWCUCVEZVIZOVIZUWHKVKZVHZVLVKUWKDMUXD
      UWAVFZUXHUWJIVLUXIUDFUXGUWIUXIUXFUWEUWHKUXIUXEUWDOUWCUXDUWAVSVTWAWBWCUNIU
      WJVLWDWEVRAUWKIUWPVLVKUWQAUWJUWPIVLAUDFUWIUWOAUWCFVMZWJZUWEUWNUWHKUXKUWDU
      WMOUXKBUWCUVTUWMFUWAWKUWAWFUVRUWCVFUVSUWLQUBUVRUWCCWGWHAUXJWIAUWMWKVMUXJA
      UWLQUBSWKVBUBWKVMAUBHWLUTWMXCWNWOWPVTWAWQWCAFEUWPIWKCIWLVIZUGUXLWFZAIVOVM
      ZIWRVMAIVNVMZUXNUQIVPVRZIWSVRFWKVMALVEWTXAXBXDVMLXERXFVKFUIXERXFWDXGXCZVA
      AUDFUWOEUXKUXNUWNEVMZUWHEVMZUWOEVMAUXNUXJUXPWOAUXRUXJASEUWMOAOHIXHVKVMZSE
      OXIURSEHIOUHUGXJVRAUWLQUBSVBAUXBUBSVMUXCSHUBUHUTXKVRXLXMWOUXKREUWGJUAJWLV
      IZEIJUJUGXNZUYAWFZAJXPVMZUXJAUXOUYDUQIJUJXOVRZWOARUAVMZUXJUOWOZUXKVCVDRRR
      NXEEEUWCPUAUAUXKVCVEZXEVMZVDVEZEVMZWJZWJJWRVMZUYIUYKUYHUYJNVKEVMAUYMUXJUY
      LAUYDUYMUYEJXQVRXRUXKUYIUYKXSUXKUYIUYKXTENJUYHUYJUYBUKYAYBUXJRXEUWCXIZAFL
      UWCRUIYCYDZAREPXIZUXJUSWOZUYGUYGRYEYFZUXKUWGWKVMZUWGYGUYAWKVMUWCWTXAXBZXD
      VMZUWGUYAYHVKUYTYIUWGUYAYJYKUYSUXKUWCPUWFWDXCUXKREUWGUYRUUAUXKJWLUUBAUXJU
      YNVUAAUYFUXJUYNVUAWJUUCUOFLUWCRUAUIUUDVRUUEUXKREVCUWGUYTUYAUYRUXKUYHRUYTY
      LVMZWJZUYHUWGVIZUYHUWCVIZUYHPVIZNVKZYMVUFNVKZUYAVUCUWCRYSZPRYSZUYFUYHRVMZ
      VUDVUGVFUXKVUIVUBUXKRXEUWCUYOYTZWOAVUJUXJVUBAREPUSYTXRAUYFUXJVUBUOXRVUBVU
      KUXKUYHRUYTYNZYDRNUWCPUAUYHUUFUUGVUCVUEYMVUFNVUCVUEXAVMZVUEYMVFZVUCVUEXEV
      MZVUNVUOUUHUXKUYNVUKVUPVUBUYOVUMRXEUYHUWCYOYPVUEUUIUUJVUCVUNUYHUYTVMZVUBV
      UQUUKUXKUYHRUYTUULYDVUCVUNWJRUYHXAUWCUXKVUIVUBVUNVULXRVUBVUKUXKVUNVUMUUMV
      UCVUNWIUUNUUOUUPWAVUCVUFEVMZVUHUYAVFUXKUYPVUKVURVUBUYQVUMREUYHPYOYPENJVUF
      UYAUYBUYCUKUUQVRYQUURUYTUWGWKWKUYAUUSUUTUVAZEIKUWNUWHUGULUVBYBUVCAFUWOUDW
      KCUVKZUXLAUWCFVUTYLVMZWJZUWOUXLUWHKVKZUXLVVBUWNUXLUWHKVVBUWNUBOVIZUXLVVBU
      WMUBOVVAUWMUBVFAVVAUWLQUBUWCFCUVDUVEYDVTAVVDUXLVFZVVAAOHIUVFVKVMZVVEAUXTV
      VFURHIOUVGVRHIOUBUXLUTUXMUVHVRWOYRWAVVBUXNUXSVVCUXLVFAUXNVVAUXPWOVVAAUXJU
      XSUWCFVUTYNVUSUVIEIKUWHUXLUGULUXMUVLUVJYRUXQUVMUVNYRACFVMUWQUXAVFVAUDCUWO
      UXAFUWPUWLUWNUWRUWHUWTKUWLUWMQOUWLQUBUVOVTUWLUWGUWSJVLUWCCPUWFUVPWCUVQUWP
      WFUWRUWTKWDWEVRYQ $.
  $}

  ${
    evlslem1.p $e |- P = ( I mPoly R ) $.
    evlslem1.b $e |- B = ( Base ` P ) $.
    evlslem1.c $e |- C = ( Base ` S ) $.
    evlslem1.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    evlslem1.t $e |- T = ( mulGrp ` S ) $.
    evlslem1.x $e |- .^ = ( .g ` T ) $.
    evlslem1.m $e |- .x. = ( .r ` S ) $.
    evlslem1.v $e |- V = ( I mVar R ) $.
    evlslem1.e $e |- E = ( p e. B |-> ( S gsum ( b e. D |->
              ( ( F ` ( p ` b ) ) .x. ( T gsum ( b oF .^ G ) ) ) ) ) ) $.
    evlslem1.i $e |- ( ph -> I e. W ) $.
    evlslem1.r $e |- ( ph -> R e. CRing ) $.
    evlslem1.s $e |- ( ph -> S e. CRing ) $.
    evlslem1.f $e |- ( ph -> F e. ( R RingHom S ) ) $.
    evlslem1.g $e |- ( ph -> G : I --> C ) $.

    ${
      $d ph b x $.  $d C b x $.  $d D b $.  $d G x $.  $d I h $.  $d .x. x $.
      $d R b $.  $d S b x $.  $d T x $.  $d .^ x $.  $d Y b $.  $d b h $.
      evlslem6.y $e |- ( ph -> Y e. B ) $.
      $( Lemma for ~ evlseu .  Finiteness and consistency of the top-level sum.
         (Contributed by Stefan O'Rear, 9-Mar-2015.)  (Revised by AV,
         26-Jul-2019.)  (Revised by AV, 11-Apr-2024.) $)
      evlslem6 $p |- ( ph -> ( ( b e. D |-> ( ( F ` ( Y ` b ) ) .x.
          ( T gsum ( b oF .^ G ) ) ) ) : D --> C /\ ( b e. D |->
          ( ( F ` ( Y ` b ) ) .x. ( T gsum ( b oF .^ G ) ) ) )
          finSupp ( 0g ` S ) ) ) $=
        ( vx cv cfv cof co cgsu cmpt wf c0g cfsupp wbr wcel wa crg crngring syl
        ccrg adantr cbs eqid rhmf mplelf ffvelrnda ffvelrnd mgpbas ccmn crngmgp
        crh simpr psrbagev2 ringcl syl3anc fmpttd cvv wfun cfn wss ccnv cn cima
        csupp cn0 cmap ovexd rabexd mptexd funmpt fvexd mplelsfi fsuppimpd wceq
        a1i feqmptd oveq1d eqimss2 cghm rhmghm ghmid 3syl suppssfv ringlz sylan
        suppssov1 suppssfifsupp syl32anc jca ) ADCTDTUQZRURZMURZHYBNLUSUTVAUTZI
        UTZVBZVCYGGVDURZVEVFZATDYFCAYBDVGZVHZGVIVGZYDCVGYECVGYFCVGAYLYJAGVLVGZY
        LULGVJVKZVMYKFVNURZCYCMAYOCMVCZYJAMFGWCUTVGZYPUMYOCFGMYOVOZUCVPVKVMADYO
        YBRABDEFJOYORUAYRUBUDUOVQZVRVSYKYBCDHLJNOUDCGHUEUCVTUFAHWAVGZYJAYMYTULG
        HUEWBVKVMAYJWDAOCNVCYJUNVMWEZCGIYDYEUCUGWFWGWHAYGWIVGYGWJZYHWIVGRFVDURZ
        WPUTZWKVGYGYHWPUTUUDWLYIATDYFWIAJUQWMWNWOWKVGJWQOWRUTDWIUDAWQOWRWSWTXAU
        UBATDYFXBXGAGVDXCZARUUCABEFROVLUUCUAUBUUCVOZUOUKXDXEATUPYDYEDCUUDIWIWIY
        HYHATYCDWIMUUDWIUUCYHAUUDTDYCVBZUUCWPUTZXFUUHUUDWLARUUGUUCWPATDYORYSXHX
        IUUHUUDXJVKAYQMFGXKUTVGUUCMURYHXFUMFGMXLFGMUUCYHUUFYHVOZXMXNYKYBRXCAFVD
        XCXOAYLUPUQZCVGYHUUJIUTYHXFYNCGIUUJYHUCUGUUIXPXQYKYCMXCUUAUUEXRUUDYGWIW
        IYHXSXTYA $.
    $}

    $d x A $.  $d b p v w x y z B $.  $d b p x y z C $.  $d b p v w x y z ph $.
    $d w x y z E $.  $d b p x F $.  $d b p x z T $.  $d x V $.
    $d b p v w x y z D $.  $d b h p v w x y z I $.  $d b h p v w x y z R $.
    $d b p v x z G $.  $d b p v w x y z P $.  $d b p w x y z S $.
    $d b p v w z .x. $.  $d b p v x z .^ $.  $d v w x y z W $.
    evlslem1.a $e |- A = ( algSc ` P ) $.
    $( Lemma for ~ evlseu , give a formula for (the unique) polynomial
       evaluation homomorphism.  (Contributed by Stefan O'Rear, 9-Mar-2015.)
       (Proof shortened by AV, 26-Jul-2019.)  (Revised by AV, 11-Apr-2024.) $)
    evlslem1 $p |- ( ph -> ( E e. ( P RingHom S ) /\
          ( E o. A ) = F /\ ( E o. V ) = G ) ) $=
      ( vx vy vw vz vv crh co wcel ccom wceq cplusg cfv cmulr cur crg crngringd
      eqid syl2anc cv fveq2 wa cc0 csn c0g cif cmpt cof cgsu adantr fveq2d ccrg
      simpr wf syl evlslem3 cvv fvexd feqmptd offval2 ffvelrnda mulg0 mpteq2dva
      a1i mgpbas oveq2d ccmn rhmf syl2an2r 3eqtrd ringidcl oveq1d rhm1 ringgrpd
      eqtrd cn0 cmap cfsupp wbr evlslem6 simpld simprd wfn simprl mplelf simprr
      ovex ffnd ad2antrr syl3anc ffvelrnd psrbagev2 ovexd eqidd eqtr4d mpteq2dv
      fveq1 fvmpt ad2antll oveq12d 3eqtr4d caddc offval adantrl c1 adantl gsumz
      mplring cbs 2fveq3 eqeq12d cxp mplascl psrbag0 cz 0zd fconstmpt ringidval
      cmnd crngmgp cmnmndd ringridm ralrimiva rspcdva csca casa mplassa asclrhm
      mplsca eleqtrrd 3eqtr3d ringcmn ccnv cima cfn rabex2 gsumcl fmptd simplrl
      simplrr mpladd fveq1d fnfvof syl22anc cghm rhmghm ghmlin ringdir syl13anc
      cn gsumadd cgrp grpcl isghmd cmgp rhmmhm simprll simprrl simprlr mgpplusg
      cmhm simprrr mhmlin mulgnn0dir inidm psrbagev1 cmn4 syl122anc psrbagaddcl
      psrbagf ringcl evlslem2 isrhmd crn wss fnmpti frnd fnco fvco2 sylan mvrf2
      eqfnfvd mvrval psrbagsn 1nn0 0nn0 ifcli oveq1 eqeq1d mulg1 iftrue iffalse
      wn ifbothda adantlr ifcld fmpttd cdif eldifsnneq suppss2 gsumpt fvex 3jca
      ringlidm ) ALFHVAVBVCLBVDZNVELQVDZOVEAUPUQCDFVFVGZHVFVGZFHFVHVGZJFVIVGZLH
      VIVGZUBVUDVLZVUEVLZVUCVLUGAPRVCZGVJVCZFVJVCUJAGUKVKZFGPRUAUUBVMZAHULVKZAG
      VIVGZBVGZLVGZVUMNVGZVUDLVGVUEAUPVNZBVGZLVGZVUQNVGZVEZVUOVUPVEUPGUUCVGZVUM
      VUQVUMVEVUSVUOVUTVUPVUQVUMLBUUDVUQVUMNVOUUEAVVAUPVVBAVUQVVBVCZVPZVUSUQEUQ
      VNZPVQVRUUFZVEVUQGVSVGZVTWAZLVGVUTIVVFOMWBZVBZWCVBZJVBZVUTVVDVURVVHLVVDUQ
      BVVBEFGKPRVUQVVGUAUDVVGVLZVVBVLZUOAVUHVVCUJWDZAVUIVVCVUJWDAVVCWGZUUGWEVVD
      UQVVFCDEFGHIJKLMNOVUQPVVBQRVVGSTUAUBUCVVNUDUEUFUGUHUIVVOAGWFVCZVVCUKWDAHW
      FVCZVVCULWDANGHVAVBVCZVVCUMWDAPDOWHZVVCUNWDVVMAVVFEVCZVVCAVUHVWAUJEKPRUDU
      UHWIWDVVPWJVVDVVLVUTVUEJVBZVUTVVDVVKVUEVUTJAVVKVUEVEVVCAVVKIUPPVUEWAZWCVB
      ZVUEAVVJVWCIWCAVVJUPPVQVUQOVGZMVBZWAVWCAUPPVQVWEMVVFORUUIWKUJAVUQPVCZVPZU
      UJVWHVUQOWLVVFUPPVQWAVEAUPPVQUUKWRAUPPDOUNWMWNAUPPVWFVUEVWHVWEDVCZVWFVUEV
      EAPDVUQOUNWOZDMIVWEVUEDHIUEUCWSZHVUEIUEVUGUULZUFWPWIWQXIWTAIUUMVCZVUHVWDV
      UEVEAIAVVRIXAVCZULHIUEUUNWIZUUOZUJPUPIRVUEVWLUUAVMXIWDWTAHVJVCZVVCVUTDVCV
      WBVUTVEVULAVVBDVUQNAVVSVVBDNWHZUMVVBDGHNVVNUCXBWIZWODHJVUEVUTUCUGVUGUUPXC
      XIXDZUUQAVUIVUMVVBVCZVUJVVBGVUMVVNVUMVLZXEWIZUURAVUNVUDLABGFVAVBZVCZVUNVU
      DVEABFUUSVGZFVAVBZVXDAFUUTVCZBVXGVCAVUHVVQVXHUJUKFGPRUAUVAVMBVXFFUOVXFVLU
      VBWIAGVXFFVAAFGPRWFUAUJUKUVCXFUVDZGFVUMBVUDVXBVUFXGWIWEAVVSVUPVUEVEZUMGHV
      UMNVUEVXBVUGXGWIZUVEAUPUQCEFGHJKURUSUTLPRVVGUAUBUGVVMUDUJUKULAUPUQVUAVUBF
      HLCDUBUCVUAVLZVUBVLZAFVUKXHZAHVULXHASCHTETVNZSVNZVGZNVGZIVXOOVVIVBWCVBZJV
      BZWAZWCVBZDLAVXPCVCZVPZEDVYAHWKHVSVGZUCVYEVLZAHXAVCZVYCAVWQVYGVULHUVFWIZW
      DEWKVCZVYDKVNUVGUWDUVHUVIVCKXJPXKVBEUDXJPXKYAUVJZWRVYDEDVYAWHZVYAVYEXLXMZ
      VYDCDEFGHIJKLMNOPQRVXPSTUAUBUCUDUEUFUGUHUIAVUHVYCUJWDAVVQVYCUKWDAVVRVYCUL
      WDAVVSVYCUMWDAVVTVYCUNWDAVYCWGXNZXOVYDVYKVYLVYMXPUVKUIUVLZAVUQCVCZVVECVCZ
      VPZVPZHTEVXOVUQVVEVUAVBZVGZNVGZVXSJVBZWAZWCVBZHTEVXOVUQVGZNVGZVXSJVBZWAZW
      CVBZHTEVXOVVEVGZNVGZVXSJVBZWAZWCVBZVUBVBZVYSLVGZVUQLVGZVVELVGZVUBVBVYRWUD
      HWUHWUMVUBWBVBZWCVBWUOVYRWUCWUSHWCVYRWUCTEWUGWULVUBVBZWAWUSVYRTEWUBWUTVYR
      VXOEVCZVPZWUBWUFWUKVUBVBZVXSJVBZWUTWVBWUAWVCVXSJWVBWUAWUEWUJGVFVGZVBZNVGZ
      WVCWVBVYTWVFNWVBVYTVXOVUQVVEWVEWBVBZVGZWVFWVBVXOVYSWVHWVBCFWVEVUAGPVUQVVE
      UAUBWVEVLZVXLAVYOVYPWVAUVMAVYOVYPWVAUVNUVOUVPWVBVUQEXQZVVEEXQZVYIWVAWVIWV
      FVEVYRWVKWVAVYREVVBVUQVYRCEFGKPVVBVUQUAVVNUBUDAVYOVYPXRZXSZYBWDVYRWVLWVAV
      YREVVBVVEVYRCEFGKPVVBVVEUAVVNUBUDAVYOVYPXTZXSZYBWDVYIWVBVYJWRVYRWVAWGZEWV
      EVUQVVEWKVXOUVQUVRXIWEWVBNGHUVSVBVCZWUEVVBVCWUJVVBVCWVGWVCVEAWVRVYQWVAAVV
      SWVRUMGHNUVTWIYCVYREVVBVXOVUQWVNWOZVYREVVBVXOVVEWVPWOZWVEVUBGHWUENWUJVVBV
      VNWVJVXMUWAYDXIXFWVBVWQWUFDVCWUKDVCVXSDVCWVDWUTVEAVWQVYQWVAVULYCWVBVVBDWU
      ENAVWRVYQWVAVWSYCZWVSYEWVBVVBDWUJNWWAWVTYEWVBVXODEIMKOPUDVWKUFAVWNVYQWVAV
      WOYCWVQAVVTVYQWVAUNYCYFDVUBHJWUFWUKVXSUCVXMUGUWBUWCXIWQVYRTEWUGWULVUBWUHW
      UMWKWKWKVYIVYRVYJWRZWVBWUFVXSJYGWVBWUKVXSJYGVYRWUHYHVYRWUMYHWNYIWTVYREDVU
      BWUHHWUMWKVYEUCVYFVXMAVYGVYQVYHWDWWBVYREDWUHWHZWUHVYEXLXMZVYRCDEFGHIJKLMN
      OPQRVUQSTUAUBUCUDUEUFUGUHUIAVUHVYQUJWDZAVVQVYQUKWDZAVVRVYQULWDZAVVSVYQUMW
      DZAVVTVYQUNWDZWVMXNZXOVYREDWUMWHZWUMVYEXLXMZVYRCDEFGHIJKLMNOPQRVVESTUAUBU
      CUDUEUFUGUHUIWWEWWFWWGWWHWWIWVOXNZXOVYRWWCWWDWWJXPVYRWWKWWLWWMXPUWEXIVYRV
      YSCVCZWUPWUDVEVYRFUWFVCZVYOVYPWWNAWWOVYQVXNWDWVMWVOCVUAFVUQVVEUBVXLUWGYDS
      VYSVYBWUDCLVXPVYSVEZVYAWUCHWCWWPTEVXTWUBWWPVXRWUAVXSJWWPVXQVYTNVXOVXPVYSY
      KWEXFYJWTUIHWUCWCYAYLWIVYRWUQWUIWURWUNVUBVYRVYOWUQWUIVEWVMSVUQVYBWUICLVXP
      VUQVEZVYAWUHHWCWWQTEVXTWUGWWQVXRWUFVXSJWWQVXQWUENVXOVXPVUQYKWEXFYJWTUIHWU
      HWCYAYLWIVYPWURWUNVEAVYOSVVEVYBWUNCLVXPVVEVEZVYAWUMHWCWWRTEVXTWULWWRVXRWU
      KVXSJWWRVXQWUJNVXOVXPVVEYKWEXFYJWTUIHWUMWCYAYLYMYNYOZUWHAVYQUSVNZEVCZURVN
      ZEVCZVPZVPZVPZWWTVUQVGZWXBVVEVGZGVHVGZVBZNVGZIWWTWXBYPWBVBZOVVIVBZWCVBZJV
      BZWXGNVGZIWWTOVVIVBZWCVBZJVBZWXHNVGZIWXBOVVIVBZWCVBZJVBZJVBZUTEUTVNZWXLVE
      WXJVVGVTWALVGUTEWYEWWTVEWXGVVGVTWALVGZUTEWYEWXBVEWXHVVGVTWALVGZJVBWXFWXOW
      XPWXTJVBZWXRWYBJVBZJVBZWYDWXFWXKWYHWXNWYIJWXFNGUWIVGZIUWOVBVCZWXGVVBVCZWX
      HVVBVCZWXKWYHVEAWYLWXEAVVSWYLUMGHNWYKIWYKVLZUEUWJWIWDWXFEVVBWWTVUQWXFCEFG
      KPVVBVUQUAVVNUBUDAVYOVYPWXDUWKXSAVYQWXAWXCUWLZYEZWXFEVVBWXBVVEWXFCEFGKPVV
      BVVEUAVVNUBUDAVYOVYPWXDUWMXSAVYQWXAWXCUWPZYEZVVBWXIJWYKINWXGWXHVVBGWYKWYO
      VVNWSGWXIWYKWYOWXIVLZUWNHJIUEUGUWNZUWQYDAWXDWXNWYIVEVYQAWXDVPZWXNIWXQWYAJ
      WBVBZWCVBWYIXUBWXMXUCIWCXUBUTPWYEWWTVGZWYEWXBVGZYPVBZWYEOVGZMVBZWAUTPXUDX
      UGMVBZXUEXUGMVBZJVBZWAWXMXUCXUBUTPXUHXUKXUBWYEPVCZVPZVWMXUDXJVCXUEXJVCXUG
      DVCXUHXUKVEAVWMWXDXULVWPYCXUBPXJWYEWWTXUBWXAPXJWWTWHAWXAWXCXRZEKWWTPUDUXD
      WIZWOXUBPXJWYEWXBWXCPXJWXBWHAWXAEKWXBPUDUXDYMZWOXUBPDWYEOAVVTWXDUNWDZWODJ
      MIXUDXUEXUGVWKUFXUAUWRUWCWQXUBUTPXUFXUGMWXLORWKWKAVUHWXDUJWDZXUMXUDXUEYPY
      GXUMWYEOWLXUBUTPPXUDXUEYPPWWTWXBRRXUBPXJWWTXUOYBZXUBPXJWXBXUPYBZXURXURPUW
      SZXUMXUDYHZXUMXUEYHZYQAOUTPXUGWAVEWXDAUTPDOUNWMWDWNXUBUTPXUIXUJJWXQWYARWK
      WKXURXUMXUDXUGMYGXUMXUEXUGMYGXUBUTPPXUDXUGMPWWTORRXUSAOPXQWXDAPDOUNYBZWDZ
      XURXURXVAXVBXUMXUGYHZYQXUBUTPPXUEXUGMPWXBORRXUTXVEXURXURXVAXVCXVFYQWNYOWT
      XUBPDJWXQIWYARVUEVWKVWLXUAAVWNWXDVWOWDZXURXUBPDWXQWHZWXQVUEXLXMZXUBWWTDEI
      MKOPVUEUDVWKUFVWLXVGXUNXUQUWTZXOXUBPDWYAWHZWYAVUEXLXMZXUBWXBDEIMKOPVUEUDV
      WKUFVWLXVGAWXAWXCXTZXUQUWTZXOXUBXVHXVIXVJXPXUBXVKXVLXVNXPUWEXIYRYNWXFVWNW
      XPDVCWXTDVCWXRDVCZWYBDVCZWYJWYDVEAVWNWXEVWOWDWXFVVBDWXGNAVWRWXEVWSWDZWYQY
      EWXFVVBDWXHNXVQWYSYEAWXDXVOVYQXUBWWTDEIMKOPUDVWKUFXVGXUNXUQYFYRAWXDXVPVYQ
      XUBWXBDEIMKOPUDVWKUFXVGXVMXUQYFYRDJIWYBWXPWXTWXRVWKXUAUXAUXBXIWXFUTWXLCDE
      FGHIJKLMNOWXJPVVBQRVVGSTUAUBUCVVNUDUEUFUGUHUIAVUHWXEUJWDZAVVQWXEUKWDZAVVR
      WXEULWDZAVVSWXEUMWDZAVVTWXEUNWDZVVMWXDWXLEVCAVYQEKWWTWXBPUDUXCYMWXFVUIWYM
      WYNWXJVVBVCAVUIWXEVUJWDWYQWYSVVBGWXIWXGWXHVVNWYTUXEYDWJWXFWYFWXSWYGWYCJWX
      FUTWWTCDEFGHIJKLMNOWXGPVVBQRVVGSTUAUBUCVVNUDUEUFUGUHUIXVRXVSXVTXWAXWBVVMW
      YPWYQWJWXFUTWXBCDEFGHIJKLMNOWXHPVVBQRVVGSTUAUBUCVVNUDUEUFUGUHUIXVRXVSXVTX
      WAXWBVVMWYRWYSWJYNYOUXFUCVXLVXMVYNWWSUXGAUPVVBUYSNALCXQZBVVBXQZBUXHCUXIUY
      SVVBXQXWCASCVYBLHVYAWCYAUIUXJWRZAVVBCBAVXEVVBCBWHVXIVVBCGFBVVNUBXBWIZYBZA
      VVBCBXWFUXKCVVBLBUXLYDAVVBDNVWSYBVVDVUQUYSVGZVUSVUTAXWDVVCXWHVUSVEXWGVVBL
      BVUQUXMUXNVWTXIUXPAUPPUYTOAXWCQPXQZQUXHCUXIUYTPXQXWEAPCQACFGPQRUAUHUBUJVU
      JUXOZYBZAPCQXWJUXKCPLQUXLYDXVDVWHVUQUYTVGZVUQQVGZLVGZVWEAXWIVWGXWLXWNVEXW
      KPLQVUQUXMUXNVWHXWNUQEVVEUSPWWTVUQVEZYSVQVTZWAZVEVUMVVGVTWAZLVGVUPIXWQOVV
      IVBZWCVBZJVBZVWEVWHXWMXWRLVWHUSEGVUMUQKPQRVUQWFVVGUHUDVVMVXBAVUHVWGUJWDZA
      VVQVWGUKWDZAVWGWGZUXQWEVWHUQXWQCDEFGHIJKLMNOVUMPVVBQRVVGSTUAUBUCVVNUDUEUF
      UGUHUIXXBXXCAVVRVWGULWDAVVSVWGUMWDAVVTVWGUNWDVVMAXWQEVCZVWGAVUHXXEUJUSEKP
      VUQRUDUXRWIWDAVXAVWGVXCWDWJVWHXXAVUEVWEJVBZVWEVWHVUPVUEXWTVWEJAVXJVWGVXKW
      DVWHXWTIUSPXWOWWTOVGZVUEVTZWAZWCVBVUQXXIVGZVWEVWHXWSXXIIWCAXWSXXIVEVWGAXW
      SUSPXWPXXGMVBZWAXXIAUSPXWPXXGMXWQORXJDUJXWPXJVCAWWTPVCZVPZXWOYSVQXJUXSUXT
      UYAWRAPDWWTOUNWOZAXWQYHAUSPDOUNWMWNAUSPXXKXXHXWOYSXXGMVBZXXHVEVQXXGMVBZXX
      HVEXXKXXHVEXXMYSVQYSXWPVEXXOXXKXXHYSXWPXXGMUYBUYCVQXWPVEXXPXXKXXHVQXWPXXG
      MUYBUYCXXMXWOVPZXXOXXGXXHXXQXXGDVCZXXOXXGVEXXMXXRXWOXXNWDDMIXXGVWKUFUYDWI
      XWOXXHXXGVEXXMXWOXXGVUEUYEZYTYIXXMXWOUYGZVPXXPVUEXXHXXMXXPVUEVEZXXTXXMXXR
      XYAXXNDMIXXGVUEVWKVWLUFWPWIWDXXTXXHVUEVEZXXMXWOXXGVUEUYFZYTYIUYHWQXIWDWTV
      WHPDXXIIRVUQVUEVWKVWLAVWMVWGVWPWDXXBXXDVWHUSPXXHDVWHXXLVPXWOXXGVUEDAXXLXX
      RVWGXXNUYIAVUEDVCZVWGXXLAVWQXYDVULDHVUEUCVUGXEWIYCUYJUYKVWHPXXHUSRVUQVRZV
      UEWWTPXYEUYLVCZXYBVWHXYFXXTXYBWWTPVUQUYMXYCWIYTXXBUYNUYOVWGXXJVWEVEAUSVUQ
      XXHVWEPXXIXWOXXHXXGVWEXXSWWTVUQOVOXIXXIVLVUQOUYPYLYTXDYNAVWQVWGVWIXXFVWEV
      EVULVWJDHJVUEVWEUCUGVUGUYRXCXIXDXIUXPUYQ $.
  $}

  ${
    $d m n A $.  $d x y C $.  $d m n x y F $.  $d m n x y G $.  $d m x y z I $.
    $d m n x y P $.  $d m n x y ph $.  $d x y z R $.  $d m n x y S $.
    $d m n V $.
    evlseu.p $e |- P = ( I mPoly R ) $.
    evlseu.c $e |- C = ( Base ` S ) $.
    evlseu.a $e |- A = ( algSc ` P ) $.
    evlseu.v $e |- V = ( I mVar R ) $.
    evlseu.i $e |- ( ph -> I e. W ) $.
    evlseu.r $e |- ( ph -> R e. CRing ) $.
    evlseu.s $e |- ( ph -> S e. CRing ) $.
    evlseu.f $e |- ( ph -> F e. ( R RingHom S ) ) $.
    evlseu.g $e |- ( ph -> G : I --> C ) $.
    $( For a given interpretation of the variables ` G ` and of the scalars
       ` F ` , this extends to a homomorphic interpretation of the polynomial
       ring in exactly one way.  (Contributed by Stefan O'Rear, 9-Mar-2015.)
       (Revised by AV, 11-Apr-2024.) $)
    evlseu $p |- ( ph -> E! m e. ( P RingHom S )
            ( ( m o. A ) = F /\ ( m o. V ) = G ) ) $=
      ( vx vy vz vn cv ccom wceq wa crh co wrex wrmo wreu cbs cfv ccnv cima cfn
      wcel cn0 cmap crab cmgp cmg cof cgsu cmulr cmpt w3a evlslem1 coeq1 eqeq1d
      cn eqid anbi12d rspcev 3impb syl crn cun cres wral wfun ccrg crg crngring
      wi mplasclf ffund funcoeqres sylan mvrf2 anim12dan ex resundi uneq12 syl6
      eqtrid ralrimivw eqtr3 cin cdm wss cmrc cmps casp cascl casa psrassa mvrf
      csubrg frnd aspval2 syl2anc mplbas2 cpw mplsubrg mplval2 subsubrg2 fveq2d
      ressascl eqtr4id rneqd fveq12d cmre assaring subrgmre 3syl eqsstrrd unssd
      uneq1d syl3anc ad2antrr wfn wb wf rhmf ffn adantr submrc 3eqtr3d ad2antlr
      eqtr2d mplring simpr rhmeql mrcsscl eqsstrd simprl fnreseql fneqeql2 syl5
      simprr 3imtr4d ralrimivva reseq1 rmo4 sylibr rmoim sylc reu5 sylanbrc ) A
      GUFZBUGZHUHZUVDKUGZIUHZUIZGDFUJUKZULZUVIGUVJUMZUVIGUVJUNAUBDUOUPZFUCUDUFU
      QVNURUSUTUDVAJVBUKVCZUCUFZUBUFUPHUPFVDUPZUVOIUVPVEUPZVFUKVGUKFVHUPZUKVIVG
      UKVIZUVJUTZUVSBUGZHUHZUVSKUGZIUHZVJUVKABUVMCUVNDEFUVPUVRUDUVSUVQHIJKLUBUC
      MUVMVOZNUVNVOUVPVOUVQVOUVRVOPUVSVOQRSTUAOVKUVTUWBUWDUVKUVIUWBUWDUIGUVSUVJ
      UVDUVSUHZUVFUWBUVHUWDUWFUVEUWAHUVDUVSBVLVMUWFUVGUWCIUVDUVSKVLVMVPVQVRVSAU
      VIUVDBVTZKVTZWAZWBZHBUQUGZIKUQUGZWAZUHZWHZGUVJWCUWNGUVJUMZUVLAUWOGUVJAUVI
      UVDUWGWBZUWKUHZUVDUWHWBZUWLUHZUIZUWNAUVIUXAAUVFUWRUVHUWTABWDUVFUWRAEUOUPZ
      UVMBABUVMDEJUXBLMUWEUXBVOOQAEWEUTEWFUTZREWGVSZWIZWJUVDBHWKWLAKWDUVHUWTAJU
      VMKAUVMDEJKLMPUWEQUXDWMZWJUVDKIWKWLWNWOUXAUWJUWQUWSWAUWMUVDUWGUWHWPUWQUWK
      UWSUWLWQWSWRWTAUWNUEUFZUWIWBZUWMUHZUIZUVDUXGUHZWHZUEUVJWCGUVJWCUWPAUXLGUE
      UVJUVJUXJUWJUXHUHZAUVDUVJUTZUXGUVJUTZUIZUIZUXKUWJUXHUWMXAUXQUWIUVDUXGXBXC
      ZXDZUVMUXRXDZUXMUXKUXQUXSUXTUXQUXSUIZUVMUWIDXLUPZXEUPZUPZUXRAUVMUYDUHUXPU
      XSAUWHJEXFUKZXGUPZUPZUYEXHUPZVTZUWHWAZUYEXLUPZXEUPZUPZUVMUYDAUYEXIUTZUWHU
      YEUOUPZXDUYGUYMUHAEUYEJLUYEVOZQRXJZAJUYOKAUYOEUYEJKLUYPPUYOVOZQUXDXKXMUYF
      UYHUYLUWHUYOUYEUYFVOZUYHVOZUYLVOZUYRXNXOAUYFDEUYEJKLMUYPPUYSQRXPAUYDUYJUY
      KUVMXQXBZXEUPZUPZUYMAUWIUYJUYCVUCAUYBVUBXEAUVMUYKUTZUYBVUBUHADEUYEUVMJLUY
      PMUWEQUXDXRZUVMUYEDDEUYEUVMJMUYPUWEXSZXTVSYAAUWGUYIUWHABUYHABDXHUPZUYHOAV
      UEUYHVUHUHVUFUYHUVMUYEDUYTVUGYBVSYCYDZYLYEAUYKUYOYFUPUTZVUEUYJUVMXDVUDUYM
      UHAUYNUYEWFUTVUJUYQUYEYGUYOUYEUYRYHYIVUFAUYIUWHUVMAUYIUWGUVMVUIAUXBUVMBUX
      EXMZYJAJUVMKUXFXMZYKUYKUVMUYJUYLVUCUYOVUAVUCVOUUAYMUUDUUBYNUYAUYBUVMYFUPU
      TZUXSUXRUYBUTZUYDUXRXDAVUMUXPUXSADWFUTZVUMAJLUTUXCVUOQUXDDEJLMUUEXOUVMDUW
      EYHVSYNUXQUXSUUFUXPVUNAUXSDFUVDUXGUUGUUCUYBUWIUYCUXRUVMUYCVOUUHYMUUIWOUXQ
      UVDUVMYOZUXGUVMYOZUWIUVMXDUXMUXSYPUXQUXNUVMCUVDYQVUPAUXNUXOUUJUVMCDFUVDUW
      ENYRUVMCUVDYSYIZUXQUXOUVMCUXGYQVUQAUXNUXOUUNUVMCDFUXGUWENYRUVMCUXGYSYIZUX
      QUWGUWHUVMAUWGUVMXDUXPVUKYTAUWHUVMXDUXPVULYTYKUVMUVDUXGUWIUUKYMUXQVUPVUQU
      XKUXTYPVURVUSUVMUVDUXGUULXOUUOUUMUUPUWNUXIGUEUVJUXKUWJUXHUWMUVDUXGUWIUUQV
      MUURUUSUVIUWNGUVJUUTUVAUVIGUVJUVBUVC $.
  $}

  ${
    $d a b f g i r s w x I $.  $d a b f g i r s w x S $.
    $( Well-behaved binary operation property of ` evalSub ` .  (Contributed by
       Stefan O'Rear, 19-Mar-2015.) $)
    reldmevls $p |- Rel dom evalSub $=
      ( vi vs vb vr vw vf vx vg cvv ccrg cv cbs cfv csubrg cress ccom cmpt wceq
      co csb cmpl cascl cmap csn cxp cmvr wa cpws crh crio ces df-evls reldmmpo
      ) ABIJCBKZLMDUNNMEAKZUNDKZOSZUASFKZEKZUBMPGUPCKUOUCSZGKZUDUEQRURUOUQUFSPG
      UOHUTVAHKMQQRUGFUSUNUTUHSUISUJTQTUKGEFHABDCULUM $.

    mpfrcl.q $e |- Q = ran ( ( I evalSub S ) ` R ) $.
    $( Reverse closure for the set of polynomial functions.  (Contributed by
       Stefan O'Rear, 19-Mar-2015.) $)
    mpfrcl $p |- ( X e. Q -> ( I e. _V /\ S e. CRing /\
          R e. ( SubRing ` S ) ) ) $=
      ( vb vr vw vf vx vg wcel co cfv c0 wceq cv cmpt csb va vi ces crn wne cvv
      vs ccrg csubrg w3a ne0i eleq2s rneq rn0 eqtrdi necon3i wa fveq1 reldmevls
      0fv ovprc1 necon1ai wex wi n0 cbs cress cmpl cascl ccom cmap csn cxp cmvr
      cpws crh crio df-evls elmpocl2 a1d exlimiv sylbi jcai syl wn fvex nfcsb1v
      cdm nfmpt csbeq1a mpteq2dv csbief fveq2 adantl csbeq1d id oveq1 oveqan12d
      nfcv oveq2 oveqan12rd oveq2d adantr xpeq1d eqeq2d simpl mpteq1d mpteq12dv
      coeq2d eqeq12d anbi12d riotaeqbidv csbeq2dv eqtrd eqtrid mptex dmeqd eqid
      ovmpoa dmmptss eqsstrdi ssneld ndmfv syl6 necon1ad com12 df-3an sylibr
      3syl ) EAMBDCUCNZOZUDZPUEZYKPUEZDUFMZCUHMZBCUIOZMZUJZYMEYLAYLEUKFULYKPYLP
      YKPQZYLPUDPYKPUMUNUOUPYNYOYPUQZYRUQYSYNUUAYRYNYJPUEZUUAYJPYKPYJPQYKBPOPBY
      JPURBUTUOUPUUBYOYPYOYJPDCUCUSVAVBUUBUARZYJMZUAVCYOYPVDZUAYJVEUUDUUEUAUUDY
      PYOUBUGUFUHGUGRZVFOZHUUFUIOZIUBRZUUFHRZVGNZVHNZJRZIRZVIOVJZKUUJGRZUUIVKNZ
      KRZVLZVMZSZQZUUMUUIUUKVNNZVJZKUUILUUQUURLROZSZSZQZUQZJUUNUUFUUQVONZVPNZVQ
      ZTZSZTZDCUCUUCKIJLUBUGHGVRZVSVTWAWBWCWDUUAYNYRUUAYRYKPUUAYRWEBYJWHZMWEYTU
      UAUVQYQBUUAUVQHYQGCVFOZIDCUUJVGNZVHNZUUOKUUJUUPDVKNZUUSVMZSZQZUUMDUVSVNNZ
      VJZKDLUWAUVESZSZQZUQZJUUNCUWAVONZVPNZVQZTZTZSZWHYQUUAYJUWPUBUGDCUFUHUVOUW
      PUCUUIDQZUUFCQZUQZUVOHUUHGUUGUVMTZSZUWPGUUGUVNUXAUUFVFWFGHUUHUWTGUUHWSGUU
      GUVMWGWIUUPUUGQHUUHUVMUWTGUUGUVMWJWKWLUWSHUUHUWTYQUWOUWRUUHYQQUWQUUFCUIWM
      WNUWSUWTGUVRUVMTUWOUWSGUUGUVRUVMUWRUUGUVRQUWQUUFCVFWMWNWOUWSGUVRUVMUWNUWS
      UVMIUVTUVLTUWNUWSIUULUVTUVLUWQUWRUUIDUUKUVSVHUWQWPZUUFCUUJVGWQZWRWOUWSIUV
      TUVLUWMUWSUVIUWJJUVKUWLUWSUVJUWKUUNVPUWRUWQUUFCUUQUWAVOUWRWPUUIDUUPVKWTZX
      AXBUWSUVBUWDUVHUWIUWSUVAUWCUUOUWSKUUJUUTUWBUWSUUQUWAUUSUWQUUQUWAQUWRUXDXC
      ZXDWKXEUWSUVDUWFUVGUWHUWSUVCUWEUUMUWQUWRUUIDUUKUVSVNUXBUXCWRXIUWSKUUIUVFD
      UWGUWQUWRXFUWSLUUQUWAUVEUXEXGXHXJXKXLXMXNXMXNXHXOUVPHYQUWOCUIWFXPXSXQHYQU
      WOUWPUWPXRXTYAYBBYJYCYDYEYFWCYOYPYRYGYHYI $.
  $}

  ${
    $d I b f g i r s w x $.  $d R f r x $.  $d S b f g i r s w x $.  $d T f $.
    $d W f $.
    evlsval.q $e |- Q = ( ( I evalSub S ) ` R ) $.
    evlsval.w $e |- W = ( I mPoly U ) $.
    evlsval.v $e |- V = ( I mVar U ) $.
    evlsval.u $e |- U = ( S |`s R ) $.
    evlsval.t $e |- T = ( S ^s ( B ^m I ) ) $.
    evlsval.b $e |- B = ( Base ` S ) $.
    evlsval.a $e |- A = ( algSc ` W ) $.
    evlsval.x $e |- X = ( x e. R |-> ( ( B ^m I ) X. { x } ) ) $.
    evlsval.y $e |- Y = ( x e. I |-> ( g e. ( B ^m I ) |-> ( g ` x ) ) ) $.
    $( Value of the polynomial evaluation map function.  (Contributed by Stefan
       O'Rear, 11-Mar-2015.)  (Revised by AV, 18-Sep-2021.) $)
    evlsval $p |- ( ( I e. Z /\ S e. CRing /\ R e. ( SubRing ` S ) ) ->
        Q = ( iota_ f e. ( W RingHom T ) ( ( f o. A ) = X /\
              ( f o. V ) = Y ) ) ) $=
      ( vr vi vs vb vw wcel ccrg csubrg cfv w3a cv cress co cmpl cascl ccom cbs
      cmap csn cxp cmpt wceq cmvr cpws crh crio ces cvv elex csb adantl csbeq1d
      wa fveq2 fvex a1i simplr fveq2d simpll oveq1 ad2antlr ovexd simprr simprl
      oveq12d coeq2d xpeq1d mpteq2dv eqeq12d oveq1d mpteq1d anbi12d riotaeqbidv
      mpteq12dv anassrs csbied eqtrd df-evls mptex ovmpoa fveq1d eqtrid 3adant3
      sylan oveq2 oveq2d mpteq1 eqeq1d eqid riotaex fvmpt oveq2i oveq1i oveq12i
      wtru eqtri wb fveq2i coeq2i xpeq1i mpteq2i eqeq12i mpteq12i anbi12i mptru
      eqtr4di 3ad2ant3 ) KPUKZFULUKZEFUMUNZUKZUODEUFYOIUPZKFUFUPZUQURZUSURZUTUN
      ZVAZAYRFVBUNZKVCURZAUPZVDZVEZVFZVGZYQKYSVHURZVAZAKJUUDUUEJUPUNZVFZVFZVGZV
      RZIYTFUUDVIURZVJURZVKZVFZUNZYQBVAZNVGZYQLVAZOVGZVRZIMGVJURZVKZYMYNDUVAVGY
      PYMYNVRDEKFVLURZUNZUVAQYMKVMUKZYNUVJUVAVGKPVNUVKYNVREUVIUUTUGUHKFVMULUIUH
      UPZVBUNZUFUVLUMUNZUJUGUPZUVLYRUQURZUSURZYQUJUPZUTUNZVAZAYRUIUPZUVOVCURZUU
      FVEZVFZVGZYQUVOUVPVHURZVAZAUVOJUWBUULVFZVFZVGZVRZIUVRUVLUWBVIURZVJURZVKZV
      OZVFZVOZUUTVLUVOKVGZUVLFVGZVRZUWQUIUUCUWPVOUUTUWTUIUVMUUCUWPUWSUVMUUCVGUW
      RUVLFVBVSVPVQUWTUIUUCUWPUUTVMUUCVMUKUWTFVBVTWAUWTUWAUUCVGZVRZUFUVNUWOYOUU
      SUXBUVLFUMUWRUWSUXAWBWCUXBUWOUJYTUWNVOUUSUXBUJUVQYTUWNUXBUVOKUVPYSUSUWRUW
      SUXAWDUWSUVPYSVGUWRUXAUVLFYRUQWEWFWJVQUXBUJYTUWNUUSVMUXBKYSUSWGUWTUXAUVRY
      TVGZUWNUUSVGUWTUXAUXCVRZVRZUWKUUPIUWMUURUXEUVRYTUWLUUQVJUWTUXAUXCWHZUXEUV
      LFUWBUUDVIUWRUWSUXDWBZUXEUWAUUCUVOKVCUWTUXAUXCWIUWRUWSUXDWDZWJZWJWJUXEUWE
      UUIUWJUUOUXEUVTUUBUWDUUHUXEUVSUUAYQUXEUVRYTUTUXFWCWKUXEAYRUWCUUGUXEUWBUUD
      UUFUXIWLWMWNUXEUWGUUKUWIUUNUXEUWFUUJYQUXEUVOKUVPYSVHUXHUXEUVLFYRUQUXGWOWJ
      WKUXEAUVOUWHKUUMUXHUXEJUWBUUDUULUXIWPWSWNWQWRWTXAXBWSXAXBAUJIJUGUHUFUIXCU
      FYOUUSFUMVTXDXEXFXIXGXHYPYMUVAUVHVGYNYPUVAYQKFEUQURZUSURZUTUNZVAZAEUUGVFZ
      VGZYQKUXJVHURZVAZUUNVGZVRZIUXKUUQVJURZVKZUVHUFEUUSUYAYOUUTYREVGZUUPUXSIUU
      RUXTUYBYTUXKUUQVJUYBYSUXJKUSYREFUQXJZXKZWOUYBUUIUXOUUOUXRUYBUUBUXMUUHUXNU
      YBUUAUXLYQUYBYTUXKUTUYDWCWKAYREUUGXLWNUYBUUKUXQUUNUYBUUJUXPYQUYBYSUXJKVHU
      YCXKWKXMWQWRUUTXNUXSIUXTXOXPUVHUYAVGXTUVFUXSIUVGUXTUVGUXTVGXTMUXKGUUQVJMK
      HUSURUXKRHUXJKUSTXQYAZGFCKVCURZVIURUUQUAUYFUUDFVICUUCKVCUBXRZXQYAXSWAUVFU
      XSYBXTUVCUXOUVEUXRUVBUXMNUXNBUXLYQBMUTUNUXLUCMUXKUTUYEYCYAYDNAEUYFUUFVEZV
      FUXNUDAEUYHUUGUYFUUDUUFUYGYEYFYAYGUVDUXQOUUNLUXPYQLKHVHURUXPSHUXJKVHTXQYA
      YDOAKJUYFUULVFZVFUUNUEAKUYIUUMJUYFUULUUDUULUYGUULXNYHYFYAYGYIWAWRYJYKYLXB
      $.

    $d A m $.  $d B g $.  $d B x $.  $d I m $.  $d Q m $.  $d R g m $.
    $d S m $.  $d T m x $.  $d V m $.  $d W m $.  $d X m $.  $d Y m $.
    $d Z g m x $.
    $( Characterizing properties of the polynomial evaluation map function.
       (Contributed by Stefan O'Rear, 12-Mar-2015.)  (Revised by AV,
       18-Sep-2021.) $)
    evlsval2 $p |- ( ( I e. Z /\ S e. CRing /\ R e. ( SubRing ` S ) ) ->
        ( Q e. ( W RingHom T ) /\ ( ( Q o. A ) = X /\ ( Q o. V ) = Y ) ) ) $=
      ( vm wcel ccrg csubrg cfv w3a cv ccom wceq crh crab crio evlsval wreu cbs
      wa co eqid simp1 subrgcrng 3adant1 cmap cvv simp2 pwscrng sylancl csn cxp
      ovex cmpt cres wss subrgss 3ad2ant3 resmptd eqtr4di crg crngring 3ad2ant2
      pwsdiagrhm simp3 resrhm syl2anc eqeltrrd wf wb fvexi simpl1 elmapg biimpa
      sylancr simplr ffvelrnd fmpttd simpl2 pwselbasb mpbird fmptd riotacl2 syl
      evlseu eqeltrd coeq1 eqeq1d anbi12d elrab sylib ) JOUFZFUGUFZEFUHUIUFZUJZ
      DUEUKZBULZMUMZXPKULZNUMZUTZUELGUNVAZUOZUFDYBUFDBULZMUMZDKULZNUMZUTZUTXODY
      AUEYBUPZYCABCDEFGHUEIJKLMNOPQRSTUAUBUCUDUQXOYAUEYBURYIYCUFXOBGUSUIZLHGUEM
      NJKOQYJVBZUBRXLXMXNVCXMXNHUGUFXLEFHSVDVEXOXMCJVFVAZVGUFZGUGUFXLXMXNVHCJVF
      VMZFYLVGGTVIVJXOACYLAUKZVKVLZVNZEVOZMHGUNVAZXOYRAEYPVNMXOACEYPXNXLECVPXME
      CFUAVQVRVSUCVTXOYQFGUNVAUFZXNYRYSUFXOFWAUFZYMYTXMXLUUAXNFWBWCYNACFYQYLVGG
      TUAYQVBWDVJXLXMXNWEFGHYQESWFWGWHXOAJIYLYOIUKZUIZVNZYJNXOYOJUFZUTZUUDYJUFZ
      YLCUUDWIZUUFIYLUUCCUUFUUBYLUFZUTJCYOUUBUUFUUIJCUUBWIZUUFCVGUFXLUUIUUJWJCF
      USUAWKXLXMXNUUEWLCJUUBVGOWMWOWNXOUUEUUIWPWQWRUUFXMYMUUGUUHWJXLXMXNUUEWSYN
      CFYLYJUGUUDGVGTUAYKWTVJXAUDXBXEYAUEYBXCXDXFYAYHUEDYBXPDUMZXRYEXTYGUUKXQYD
      MXPDBXGXHUUKXSYFNXPDKXGXHXIXJXK $.
  $}

  ${
    $d B x y $.  $d I x y $.  $d R x y $.  $d S x y $.  $d T x $.  $d V x y $.
    evlsrhm.q $e |- Q = ( ( I evalSub S ) ` R ) $.
    evlsrhm.w $e |- W = ( I mPoly U ) $.
    evlsrhm.u $e |- U = ( S |`s R ) $.
    evlsrhm.t $e |- T = ( S ^s ( B ^m I ) ) $.
    evlsrhm.b $e |- B = ( Base ` S ) $.
    $( Polynomial evaluation is a homomorphism (into the product ring).
       (Contributed by Stefan O'Rear, 12-Mar-2015.) $)
    evlsrhm $p |- ( ( I e. V /\ S e. CRing /\ R e. ( SubRing ` S ) ) ->
        Q e. ( W RingHom T ) ) $=
      ( vx vy wcel cfv co eqid ccrg csubrg w3a crh cascl ccom cmap csn cxp cmpt
      cv wceq cmvr wa evlsval2 simpld ) GHQDUAQCDUBRQUCBIEUDSQBIUERZUFOCAGUGSZO
      UKZUHUIUJZULBGFUMSZUFOGPURUSPUKRUJUJZULUNOUQABCDEFPGVAIUTVBHJKVATLMNUQTUT
      TVBTUOUP $.
  $}

  ${
    $d B x y $.  $d I x y $.  $d R x y $.  $d S x y $.  $d V x y $.  $d X x $.
    evlssca.q $e |- Q = ( ( I evalSub S ) ` R ) $.
    evlssca.w $e |- W = ( I mPoly U ) $.
    evlssca.u $e |- U = ( S |`s R ) $.
    evlssca.b $e |- B = ( Base ` S ) $.
    evlssca.a $e |- A = ( algSc ` W ) $.
    evlssca.i $e |- ( ph -> I e. V ) $.
    evlssca.s $e |- ( ph -> S e. CRing ) $.
    evlssca.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evlssca.x $e |- ( ph -> X e. R ) $.
    $( Polynomial evaluation maps scalars to constant functions.  (Contributed
       by Stefan O'Rear, 13-Mar-2015.)  (Proof shortened by AV,
       18-Sep-2021.) $)
    evlssca $p |- ( ph -> ( Q ` ( A ` X ) ) = ( ( B ^m I ) X. { X } ) ) $=
      ( vx vy ccom cfv cmap co csn cxp cmpt cpws crh wcel wceq cmvr ccrg csubrg
      cv wa eqid evlsval2 syl3anc simprld fveq1d cbs crg subrgring syl mplasclf
      wf subrgss ressbas2 3syl feq2d mpbird fvco3 syl2anc sneq xpeq2d ovex snex
      wss xpex fvmpt 3eqtr3d ) AKDBUCZUDZKUAECHUEUFZUAUQZUGZUHZUIZUDZKBUDDUDZWG
      KUGZUHZAKWEWKADJFWGUJUFZUKUFULZWEWKUMZDHGUNUFZUCUAHUBWGWHUBUQUDUIUIZUMZAH
      IULFUOULEFUPUDULZWQWRXAURURQRSUABCDEFWPGUBHWSJWKWTILMWSUSNWPUSOPWKUSZWTUS
      UTVAVBVCAEJVDUDZBVIZKEULZWFWMUMAXEGVDUDZXDBVIABXDJGHXGIMXDUSXGUSPQAXBGVEU
      LSEFGNVFVGVHAEXGXDBAXBECWAEXGUMSECFOVJECGFNOVKVLVMVNTEXDKDBVOVPAXFWLWOUMT
      UAKWJWOEWKWHKUMWIWNWGWHKVQVRXCWGWNCHUEVSKVTWBWCVGWD $.
  $}

  ${
    $d B g x $.  $d I g x $.  $d R g x $.  $d S g x $.  $d W g x $.
    $d X g x $.
    evlsvar.q $e |- Q = ( ( I evalSub S ) ` R ) $.
    evlsvar.v $e |- V = ( I mVar U ) $.
    evlsvar.u $e |- U = ( S |`s R ) $.
    evlsvar.b $e |- B = ( Base ` S ) $.
    evlsvar.i $e |- ( ph -> I e. W ) $.
    evlsvar.s $e |- ( ph -> S e. CRing ) $.
    evlsvar.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evlsvar.x $e |- ( ph -> X e. I ) $.
    $( Polynomial evaluation maps variables to projections.  (Contributed by
       Stefan O'Rear, 12-Mar-2015.)  (Proof shortened by AV, 18-Sep-2021.) $)
    evlsvar $p |- ( ph -> ( Q ` ( V ` X ) ) =
          ( g e. ( B ^m I ) |-> ( g ` X ) ) ) $=
      ( cfv vx ccom cmap co cv cmpt cmpl cpws crh wcel csn cxp wceq ccrg csubrg
      cascl wa eqid evlsval2 syl3anc simprrd fveq1d wfn cbs crg subrgring mvrf2
      syl ffnd fvco2 syl2anc fveq2 mpteq2dv ovex mptex fvmpt 3eqtr3d ) AKCIUBZT
      ZKUAHGBHUCUDZUAUEZGUEZTZUFZUFZTZKITCTZGVTKWBTZUFZAKVRWEACHFUGUDZEVTUHUDZU
      IUDUJZCWJUPTZUBUADVTWAUKULUFZUMZVRWEUMZAHJUJEUNUJDEUOTUJZWLWOWPUQUQPQRUAW
      MBCDEWKFGHIWJWNWEJLWJURZMNWKUROWMURWNURWEURZUSUTVAVBAIHVCKHUJZVSWGUMAHWJV
      DTZIAXAWJFHIJWRMXAURPAWQFVEUJRDEFNVFVHVGVISHCIKVJVKAWTWFWIUMSUAKWDWIHWEWA
      KUMGVTWCWHWAKWBVLVMWSGVTWHBHUCVNVOVPVHVQ $.
  $}

  ${
    $d B x $.  $d N x $.  $d Q x $.  $d ph x $.
    evlsgsumadd.q $e |- Q = ( ( I evalSub S ) ` R ) $.
    evlsgsumadd.w $e |- W = ( I mPoly U ) $.
    evlsgsumadd.0 $e |- .0. = ( 0g ` W ) $.
    evlsgsumadd.u $e |- U = ( S |`s R ) $.
    evlsgsumadd.p $e |- P = ( S ^s ( K ^m I ) ) $.
    evlsgsumadd.k $e |- K = ( Base ` S ) $.
    evlsgsumadd.b $e |- B = ( Base ` W ) $.
    evlsgsumadd.i $e |- ( ph -> I e. V ) $.
    evlsgsumadd.s $e |- ( ph -> S e. CRing ) $.
    evlsgsumadd.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evlsgsumadd.y $e |- ( ( ph /\ x e. N ) -> Y e. B ) $.
    evlsgsumadd.n $e |- ( ph -> N C_ NN0 ) $.
    evlsgsumadd.f $e |- ( ph -> ( x e. N |-> Y ) finSupp .0. ) $.
    $( Polynomial evaluation maps (additive) group sums to group sums.
       (Contributed by SN, 13-Feb-2024.) $)
    evlsgsumadd $p |- ( ph -> ( Q ` ( W gsum ( x e. N |-> Y ) ) )
                                     = ( P gsum ( x e. N |-> ( Q ` Y ) ) ) ) $=
      ( cfv cmpt cgsu co cvv crg wcel ccmn csubrg subrgring syl mplring syl2anc
      ringcmn cmap cmnd ccrg crngring ovex jctir pwsring ringmnd 3syl cn0 nn0ex
      a1i ssexd crh cghm cmhm evlsrhm syl3anc rhmghm ghmmhm gsummptmhm eqcomd
      wa ) ADBKNEUIUJUKULMBKNUJUKULEUIABKCNMDEUMOUBRAMUNUOZMUPUOAILUOZHUNUOZWFU
      CAFGUQUIUOZWHUEFGHSURUSMHILQUTVAMVBUSAGUNUOZJIVCULZUMUOZWEDUNUODVDUOAWJWL
      AGVEUOZWJUDGVFUSJIVCVGVHGWKUMDTVIDVJVKAKVLUMVLUMUOAVMVNUGVOAEMDVPULUOZEMD
      VQULUOEMDVRULUOAWGWMWIWNUCUDUEJEFGDHILMPQSTUAVSVTMDEWAMDEWBVKUFUHWCWD $.
  $}

  ${
    $d B x $.  $d N x $.  $d Q x $.  $d ph x $.
    evlsgsummul.q $e |- Q = ( ( I evalSub S ) ` R ) $.
    evlsgsummul.w $e |- W = ( I mPoly U ) $.
    evlsgsummul.g $e |- G = ( mulGrp ` W ) $.
    evlsgsummul.1 $e |- .1. = ( 1r ` W ) $.
    evlsgsummul.u $e |- U = ( S |`s R ) $.
    evlsgsummul.p $e |- P = ( S ^s ( K ^m I ) ) $.
    evlsgsummul.h $e |- H = ( mulGrp ` P ) $.
    evlsgsummul.k $e |- K = ( Base ` S ) $.
    evlsgsummul.b $e |- B = ( Base ` W ) $.
    evlsgsummul.i $e |- ( ph -> I e. V ) $.
    evlsgsummul.s $e |- ( ph -> S e. CRing ) $.
    evlsgsummul.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evlsgsummul.y $e |- ( ( ph /\ x e. N ) -> Y e. B ) $.
    evlsgsummul.n $e |- ( ph -> N C_ NN0 ) $.
    evlsgsummul.f $e |- ( ph -> ( x e. N |-> Y ) finSupp .1. ) $.
    $( Polynomial evaluation maps (multiplicative) group sums to group sums.
       (Contributed by SN, 13-Feb-2024.) $)
    evlsgsummul $p |- ( ph -> ( Q ` ( G gsum ( x e. N |-> Y ) ) )
                                     = ( H gsum ( x e. N |-> ( Q ` Y ) ) ) ) $=
      ( cfv cmpt cgsu co mgpbas ringidval ccrg wcel ccmn csubrg syl2anc mplcrng
      cvv subrgcrng crngmgp syl crg cmap wa cmnd crngring jctir pwsring ringmgp
      ovex 3syl cn0 nn0ex a1i crh cmhm evlsrhm syl3anc rhmmhm gsummptmhm eqcomd
      ssexd ) AKBNQEUMUNUOUPJBNQUNUOUPEUMABNCQJKEVEICPJTUFUQPIJTUAURAPUSUTZJVAU
      TALOUTZHUSUTZWJUGAGUSUTZFGVBUMUTZWLUHUIFGHUBVFVCPHLOSVDVCPJTVGVHAGVIUTZML
      VJUPZVEUTZVKDVIUTKVLUTAWOWQAWMWOUHGVMVHMLVJVQVNGWPVEDUCVODKUDVPVRANVSVEVS
      VEUTAVTWAUKWIAEPDWBUPUTZEJKWCUPUTAWKWMWNWRUGUHUIMEFGDHLOPRSUBUCUEWDWEPDEJ
      KTUDWFVHUJULWGWH $.
  $}

  ${
    evlspw.q $e |- Q = ( ( I evalSub S ) ` R ) $.
    evlspw.w $e |- W = ( I mPoly U ) $.
    evlspw.g $e |- G = ( mulGrp ` W ) $.
    evlspw.e $e |- .^ = ( .g ` G ) $.
    evlspw.u $e |- U = ( S |`s R ) $.
    evlspw.p $e |- P = ( S ^s ( K ^m I ) ) $.
    evlspw.h $e |- H = ( mulGrp ` P ) $.
    evlspw.k $e |- K = ( Base ` S ) $.
    evlspw.b $e |- B = ( Base ` W ) $.
    evlspw.i $e |- ( ph -> I e. V ) $.
    evlspw.s $e |- ( ph -> S e. CRing ) $.
    evlspw.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evlspw.n $e |- ( ph -> N e. NN0 ) $.
    evlspw.x $e |- ( ph -> X e. B ) $.
    $( Polynomial evaluation for subrings maps the exponentiation of a
       polynomial to the exponentiation of the evaluated polynomial.
       (Contributed by SN, 29-Feb-2024.) $)
    evlspw $p |-
                   ( ph -> ( Q ` ( N .^ X ) ) = ( N ( .g ` H ) ( Q ` X ) ) ) $=
      ( cmhm co wcel cn0 cfv cmg wceq ccrg csubrg evlsrhm syl3anc rhmmhm mgpbas
      crh syl eqid mhmmulg ) ADIJUKULUMZMUNUMPBUMMPHULDUOMPDUOJUPUOZULUQADOCVDU
      LUMZVHAKNUMFURUMEFUSUOUMVJUFUGUHLDEFCGKNOQRUAUBUDUTVAOCDIJSUCVBVEUIUJBHVI
      DIJMPBOISUEVCTVIVFVGVA $.
  $}

  ${
    evlsvarpw.q $e |- Q = ( ( I evalSub S ) ` R ) $.
    evlsvarpw.w $e |- W = ( I mPoly U ) $.
    evlsvarpw.g $e |- G = ( mulGrp ` W ) $.
    evlsvarpw.e $e |- .^ = ( .g ` G ) $.
    evlsvarpw.x $e |- X = ( ( I mVar U ) ` Y ) $.
    evlsvarpw.u $e |- U = ( S |`s R ) $.
    evlsvarpw.p $e |- P = ( S ^s ( B ^m I ) ) $.
    evlsvarpw.h $e |- H = ( mulGrp ` P ) $.
    evlsvarpw.b $e |- B = ( Base ` S ) $.
    evlsvarpw.i $e |- ( ph -> I e. V ) $.
    evlsvarpw.y $e |- ( ph -> Y e. I ) $.
    evlsvarpw.s $e |- ( ph -> S e. CRing ) $.
    evlsvarpw.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evlsvarpw.n $e |- ( ph -> N e. NN0 ) $.
    $( Polynomial evaluation for subrings maps the exponentiation of a variable
       to the exponentiation of the evaluated variable.  (Contributed by SN,
       21-Feb-2024.) $)
    evlsvarpw $p |-
                   ( ph -> ( Q ` ( N .^ X ) ) = ( N ( .g ` H ) ( Q ` X ) ) ) $=
      ( cbs cfv eqid cmvr csubrg wcel crg subrgring syl mvrcl eqeltrid evlspw
      co ) ANUKULZCDEFGHIJKBLMNOQRSTUBUCUDUEVDUMZUFUHUIUJAOPKGUNVCZULVDUAAVDNGK
      VFMPRVFUMVEUFAEFUOULUPGUQUPUIEFGUBURUSUGUTVAVB $.
  $}

  ${
    $d B i r $.  $d I i r $.  $d R i r $.
    evlval.q $e |- Q = ( I eval R ) $.
    evlval.b $e |- B = ( Base ` R ) $.
    $( Value of the simple/same ring evaluation map.  (Contributed by Stefan
       O'Rear, 19-Mar-2015.)  (Revised by Mario Carneiro, 12-Jun-2015.) $)
    evlval $p |- Q = ( ( I evalSub R ) ` B ) $=
      ( vi vr cevl co ces cfv cvv wcel wa wceq cv cbs eqtr4di c0 oveq12 fveq12d
      fveq2 adantl df-evl fvex ovmpoa mpondm0 0fv reldmevls ovprc fveq1d eqtr4d
      wn pm2.61i eqtri ) BDCIJZADCKJZLZEDMNCMNOZUQUSPGHDCMMHQZRLZGQZVAKJZLZUSIV
      CDPZVACPZOVBAVDURVCDVACKUAVGVBAPVFVGVBCRLAVACRUCFSUDUBGHUEZAURUFUGUTUNZUQ
      ATLZUSVIUQTVJGHVEIDCMMVHUHAUISVIAURTDCKUJUKULUMUOUP $.

    evlrhm.w $e |- W = ( I mPoly R ) $.
    evlrhm.t $e |- T = ( R ^s ( B ^m I ) ) $.
    $( The simple evaluation map is a ring homomorphism.  (Contributed by Mario
       Carneiro, 12-Jun-2015.) $)
    evlrhm $p |- ( ( I e. V /\ R e. CRing ) -> Q e. ( W RingHom T ) ) $=
      ( wcel ccrg wa cress co cmpl crh adantl eqid cfv crg crngring subrgid syl
      csubrg evlval evlsrhm mpd3an3 wceq ressid oveq2d eqtr4di oveq1d eleqtrd )
      EFLZCMLZNZBECAOPZQPZDRPZGDRPUPUQACUFUALZBVALURCUBLZVBUQVCUPCUCSACIUDUEABA
      CDUSEFUTABCEHIUGUTTUSTKIUHUIURUTGDRURUTECQPGURUSCEQUQUSCUJUPACMIUKSULJUMU
      NUO $.
  $}

  ${
    evlsscasrng.q $e |- Q = ( ( I evalSub S ) ` R ) $.
    evlsscasrng.o $e |- O = ( I eval S ) $.
    evlsscasrng.w $e |- W = ( I mPoly U ) $.
    evlsscasrng.u $e |- U = ( S |`s R ) $.
    evlsscasrng.p $e |- P = ( I mPoly S ) $.
    evlsscasrng.b $e |- B = ( Base ` S ) $.
    evlsscasrng.a $e |- A = ( algSc ` W ) $.
    evlsscasrng.c $e |- C = ( algSc ` P ) $.
    evlsscasrng.i $e |- ( ph -> I e. V ) $.
    evlsscasrng.s $e |- ( ph -> S e. CRing ) $.
    evlsscasrng.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evlsscasrng.x $e |- ( ph -> X e. R ) $.
    $( The evaluation of a scalar of a subring yields the same result as
       evaluated as a scalar over the ring itself.  (Contributed by AV,
       12-Sep-2019.) $)
    evlsscasrng $p |- ( ph -> ( Q ` ( A ` X ) ) = ( O ` ( C ` X ) ) ) $=
      ( cfv ces co cmap csn cxp cress cmpl cascl ccrg wcel ressid eqcomd oveq2d
      wceq syl eqtrid fveq2d fveq1d eqid crg csubrg crngring subrgid wss sseldd
      3syl subrgss evlssca eqtrd evlval a1i 3eqtr4rd ) ANDUGZCJHUHUIUGZUGZCJUJU
      INUKULZVTKUGNBUGFUGAWBNJHCUMUIZUNUIZUOUGZUGZWAUGWCAVTWGWAANDWFADEUOUGWFUB
      AEWEUOAEJHUNUIWESAHWDJUNAHUPUQZHWDVAUDWHWDHCHUPTURUSVBUTVCVDVCVEVDAWFCWAC
      HWDJLWENWAVFWEVFWDVFTWFVFUCUDAWHHVGUQCHVHUGZUQUDHVICHTVJVMAGCNAGWIUQGCVKU
      EGCHTVNVBUFVLVOVPAVTKWAKWAVAACKHJPTVQVRVEABCFGHIJLMNOQRTUAUCUDUEUFVOVS $.
  $}

  ${
    evlsca.q $e |- Q = ( I eval S ) $.
    evlsca.w $e |- W = ( I mPoly S ) $.
    evlsca.b $e |- B = ( Base ` S ) $.
    evlsca.a $e |- A = ( algSc ` W ) $.
    evlsca.i $e |- ( ph -> I e. V ) $.
    evlsca.s $e |- ( ph -> S e. CRing ) $.
    evlsca.x $e |- ( ph -> X e. B ) $.
    $( Simple polynomial evaluation maps scalars to constant functions.
       (Contributed by AV, 12-Sep-2019.) $)
    evlsca $p |- ( ph -> ( Q ` ( A ` X ) ) = ( ( B ^m I ) X. { X } ) ) $=
      ( co cfv eqid wcel cress cmpl cascl ces cmap csn cxp ccrg csubrg crngring
      crg subrgid 3syl evlsscasrng evlssca eqtr3d ) AIFECUAQZUBQZUCRZRCFEUDQRZR
      IBRDRCFUEQIUFUGAUSCBHUTCEUQFDGURIUTSZJURSZUQSZKLUSSZMNOAEUHTEUKTCEUIRTOEU
      JCELULUMZPUNAUSCUTCEUQFGURIVAVBVCLVDNOVEPUOUP $.
  $}

  ${
    $d A g $.  $d B g $.  $d I g $.  $d R g $.  $d S g $.  $d X g $.
    evlsvarsrng.q $e |- Q = ( ( I evalSub S ) ` R ) $.
    evlsvarsrng.o $e |- O = ( I eval S ) $.
    evlsvarsrng.v $e |- V = ( I mVar U ) $.
    evlsvarsrng.u $e |- U = ( S |`s R ) $.
    evlsvarsrng.b $e |- B = ( Base ` S ) $.
    evlsvarsrng.i $e |- ( ph -> I e. A ) $.
    evlsvarsrng.s $e |- ( ph -> S e. CRing ) $.
    evlsvarsrng.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evlsvarsrng.x $e |- ( ph -> X e. I ) $.
    $( The evaluation of the variable of polynomials over subring yields the
       same result as evaluated as variable of the polynomials over the ring
       itself.  (Contributed by AV, 12-Sep-2019.) $)
    evlsvarsrng $p |- ( ph -> ( Q ` ( V ` X ) ) = ( O ` ( V ` X ) ) ) $=
      ( vg cfv cmap co cv cmpt evlsvar ces cmvr wceq evlval a1i fveq1d subrgmvr
      cress eqid ccrg wcel ressid syl eqcomd oveq2d 3eqtr2d fveq2d crg crngring
      csubrg subrgid 3syl 3eqtrrd eqtrd ) AKJUBZDUBUACHUCUDKUAUEUBUFZVLIUBZACDE
      FGUAHJBKLNOPQRSTUGAVNVLCHFUHUDUBZUBKHFCUOUDZUIUDZUBZVOUBVMAVLIVOIVOUJACIF
      HMPUKULUMAVLVRVOAKJVQAJHGUIUDZHFUIUDZVQJVSUJANULAFEGHVTBVTUPQSOUNAFVPHUIA
      VPFAFUQURZVPFUJRCFUQPUSUTVAVBVCUMVDACVOCFVPUAHVQBKVOUPVQUPVPUPPQRAWAFVEUR
      CFVGUBURRFVFCFPVHVITUGVJVK $.
  $}

  ${
    $d B g $.  $d I g $.  $d S g $.  $d W g $.  $d X g $.
    evlvar.q $e |- Q = ( I eval S ) $.
    evlvar.v $e |- V = ( I mVar S ) $.
    evlvar.b $e |- B = ( Base ` S ) $.
    evlvar.i $e |- ( ph -> I e. W ) $.
    evlvar.s $e |- ( ph -> S e. CRing ) $.
    evlvar.x $e |- ( ph -> X e. I ) $.
    $( Simple polynomial evaluation maps variables to projections.
       (Contributed by AV, 12-Sep-2019.) $)
    evlvar $p |- ( ph -> ( Q ` ( V ` X ) ) =
          ( g e. ( B ^m I ) |-> ( g ` X ) ) ) $=
      ( cress co cfv eqid wcel cmvr ces cmap cmpt ccrg crg csubrg crngring 3syl
      cv subrgid evlsvarsrng evlsvar subrgmvr fveq1d eqcomd fveq2d 3eqtr3rd ) A
      IFDBPQZUAQZRZBFDUBQRZRVACREBFUCQIEUJRUDIGRZCRAHBVBBDUSFCUTIVBSZJUTSZUSSZL
      MNADUETDUFTBDUGRTNDUHBDLUKUIZOULABVBBDUSEFUTHIVDVEVFLMNVGOUMAVAVCCAVCVAAI
      GUTADBUSFGHKMVGVFUNUOUPUQUR $.
  $}

  ${
    mpfconst.b $e |- B = ( Base ` S ) $.
    mpfconst.q $e |- Q = ran ( ( I evalSub S ) ` R ) $.
    mpfconst.i $e |- ( ph -> I e. V ) $.
    mpfconst.s $e |- ( ph -> S e. CRing ) $.
    mpfconst.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    ${
      mpfconst.x $e |- ( ph -> X e. R ) $.
      $( Constants are multivariate polynomial functions.  (Contributed by
         Mario Carneiro, 19-Mar-2015.) $)
      mpfconst $p |- ( ph -> ( ( B ^m I ) X. { X } ) e. Q ) $=
        ( co cfv cress eqid cbs wcel cmap csn cxp ces crn cmpl evlssca wfn cpws
        crh wf ccrg csubrg evlsrhm syl3anc rhmf ffn 3syl csca crg subrgring syl
        cascl mplring mpllmod asclf syl2anc wss wceq subrgss ressbas2 cvv ovexd
        wa mplsca fveq2d eqtrd eleqtrd ffvelrnd fnfvelrn eqeltrrd eleqtrrdi ) A
        BFUAOZHUBUCZDFEUDOPZUEZCAHFEDQOZUFOZVCPZPZWEPZWDWFAWIBWEDEWGFGWHHWERZWH
        RZWGRZIWIRZKLMNUGAWEWHSPZUHZWJWPTWKWFTAWEWHEWCUIOZUJOTZWPWRSPZWEUKWQAFG
        TZEULTDEUMPTZWSKLMBWEDEWRWGFGWHWLWMWNWRRIUNUOWPWTWHWRWEWPRZWTRUPWPWTWEU
        QURAWHUSPZSPZWPHWIAXAWGUTTZXEWPWIUKKAXBXFMDEWGWNVAVBXAXFVNWIWPXDXEWHWOX
        DRWHWGFGWMVDWHWGFGWMVEXERXCVFVGAHDXENADWGSPZXEAXBDBVHDXGVIMDBEIVJDBWGEW
        NIVKURAWGXDSAWHWGFGVLWMKAEDQVMVOVPVQVRVSWPWJWEVTVGWAJWB $.
    $}

    $d B f $.  $d I f $.  $d J f $.  $d R f $.  $d S f $.  $d V f $.
    mpfproj.j $e |- ( ph -> J e. I ) $.
    $( Projections are multivariate polynomial functions.  (Contributed by
       Mario Carneiro, 20-Mar-2015.) $)
    mpfproj $p |- ( ph -> ( f e. ( B ^m I ) |-> ( f ` J ) ) e. Q ) $=
      ( co cfv eqid cbs wcel cress cmvr ces cmap cmpt evlsvar crn cmpl wfn cpws
      cv crh wf ccrg csubrg evlsrhm syl3anc rhmf ffn crg subrgring syl fnfvelrn
      3syl mvrcl syl2anc eleqtrrdi eqeltrrd ) AHGEDUAPZUBPZQZDGEUCPQZQZFBGUDPZH
      FUKQUECABVLDEVIFGVJIHVLRZVJRZVIRZJLMNOUFAVMVLUGZCAVLGVIUHPZSQZUIZVKVTTVMV
      RTAVLVSEVNUJPZULPTZVTWBSQZVLUMWAAGITEUNTDEUOQTZWCLMNBVLDEWBVIGIVSVOVSRZVQ
      WBRJUPUQVTWDVSWBVLVTRZWDRURVTWDVLUSVDAVTVSVIGVJIHWFVPWGLAWEVIUTTNDEVIVQVA
      VBOVEVTVKVLVCVFKVGVH $.
  $}

  ${
    mpfsubrg.q $e |- Q = ran ( ( I evalSub S ) ` R ) $.
    $( Polynomial functions are a subring.  (Contributed by Mario Carneiro,
       19-Mar-2015.)  (Revised by Mario Carneiro, 6-May-2015.)  (Revised by AV,
       19-Sep-2021.) $)
    mpfsubrg $p |- ( ( I e. V /\ S e. CRing /\ R e. ( SubRing ` S ) ) ->
        Q e. ( SubRing ` ( S ^s ( ( Base ` S ) ^m I ) ) ) ) $=
      ( wcel ccrg csubrg cfv w3a ces co cress cmpl cbs cima eqid syl crg crn wf
      cmap cpws crh wceq evlsrhm rhmf wfn ffn fnima 3syl eqtr4id mplring sylan2
      subrgring 3adant2 subrgid rhmima syl2anc eqeltrd ) DEGZCHGZBCIJGZKZABDCLM
      JZDCBNMZOMZPJZQZCCPJZDUCMUDMZIJZVEAVFUAZVJFVEVFVHVLUEMGZVIVLPJZVFUBZVJVNU
      FZVKVFBCVLVGDEVHVFRVHRZVGRZVLRVKRUGZVIVPVHVLVFVIRZVPRUHVQVFVIUIVRVIVPVFUJ
      VIVFUKSULUMVEVOVIVHIJGZVJVMGWAVEVHTGZWCVBVDWDVCVDVBVGTGWDBCVGVTUPVHVGDEVS
      UNUOUQVIVHWBURSVFVHVLVIUSUTVA $.

    ${
      mpff.b $e |- B = ( Base ` S ) $.
      $( Polynomial functions are functions.  (Contributed by Mario Carneiro,
         19-Mar-2015.) $)
      mpff $p |- ( F e. Q -> F : ( B ^m I ) --> B ) $=
        ( wcel cmap co cbs cfv cpws ccrg cvv eqcomi oveq1i oveq2i csubrg mpfrcl
        eqid simp2d ovexd w3a wss mpfsubrg subrgss 3syl id sseldd pwselbas ) EB
        IZADAFJKZDDLMZFJKZNKZLMZOEUQPUPUNDNUOAFJAUOHQRSHURUBZUMFPIZDOIZCDTMIZBC
        DFEGUAZUCUMAFJUDUMBUREUMUTVAVBUEBUQTMIBURUFVCBCDFPGUGBURUQUSUHUIUMUJUKU
        L $.
    $}

    ${
      mpfaddcl.p $e |- .+ = ( +g ` S ) $.
      $( The sum of multivariate polynomial functions.  (Contributed by Mario
         Carneiro, 19-Mar-2015.) $)
      mpfaddcl $p |- ( ( F e. Q /\ G e. Q ) -> ( F oF .+ G ) e. Q ) $=
        ( wcel cbs cfv cmap co ccrg cvv eqid csubrg syl sseldd wa cplusg mpfrcl
        cpws cof w3a adantr simp2d ovexd wss mpfsubrg subrgss simpl pwsplusgval
        simpr subrgacl 3expib mpcom eqeltrrd ) EBJZFBJZUAZEFDDKLZGMNZUDNZUBLZNZ
        EFAUENBVBVEKLZAVFDEFVDOPVEVEQVHQZVBGPJZDOJZCDRLJZUTVJVKVLUFZVABCDGEHUCU
        GZUHVBVCGMUIVBBVHEVBBVERLJZBVHUJVBVMVOVNBCDGPHUKSZBVHVEVIULSZUTVAUMTVBB
        VHFVQUTVAUOTIVFQZUNVOVBVGBJZVPVOUTVAVSBVFVEEFVRUPUQURUS $.
    $}

    ${
      mpfmulcl.t $e |- .x. = ( .r ` S ) $.
      $( The product of multivariate polynomial functions.  (Contributed by
         Mario Carneiro, 19-Mar-2015.) $)
      mpfmulcl $p |- ( ( F e. Q /\ G e. Q ) -> ( F oF .x. G ) e. Q ) $=
        ( wcel cbs cfv cmap co ccrg cvv eqid csubrg syl sseldd wa cmulr cof w3a
        cpws mpfrcl adantr simp2d ovexd mpfsubrg subrgss simpl simpr pwsmulrval
        wss subrgmcl 3expib mpcom eqeltrrd ) EAJZFAJZUAZEFCCKLZGMNZUENZUBLZNZEF
        DUCNAVBVEKLZCVFDEFVDOPVEVEQVHQZVBGPJZCOJZBCRLJZUTVJVKVLUDZVAABCGEHUFUGZ
        UHVBVCGMUIVBAVHEVBAVERLJZAVHUOVBVMVOVNABCGPHUJSZAVHVEVIUKSZUTVAULTVBAVH
        FVQUTVAUMTIVFQZUNVOVBVGAJZVPVOUTVAVSAVEVFEFVRUPUQURUS $.
    $}
  $}

  ${
    $d ch i x $.  $d et x $.  $d ph f g i j $.  $d ph y $.  $d ps f g i j $.
    $d ps y $.  $d rh x $.  $d si x $.  $d ta x $.  $d th x $.  $d ze x $.
    $d A x y $.  $d B f g i x $.  $d I f g i j x $.  $d I y $.  $d .+ f g x $.
    $d Q f g $.  $d R f g i j $.  $d R y $.  $d S f g i j $.  $d S y $.
    $d .x. f g x $.  $d i y $.  $d j y $.
    mpfind.cb $e |- B = ( Base ` S ) $.
    mpfind.cp $e |- .+ = ( +g ` S ) $.
    mpfind.ct $e |- .x. = ( .r ` S ) $.
    mpfind.cq $e |- Q = ran ( ( I evalSub S ) ` R ) $.
    mpfind.ad $e |- ( ( ph /\ ( ( f e. Q /\ ta ) /\ ( g e. Q /\ et ) ) ) ->
        ze ) $.
    mpfind.mu $e |- ( ( ph /\ ( ( f e. Q /\ ta ) /\ ( g e. Q /\ et ) ) ) ->
        si ) $.
    mpfind.wa $e |- ( x = ( ( B ^m I ) X. { f } ) -> ( ps <-> ch ) ) $.
    mpfind.wb $e |- ( x = ( g e. ( B ^m I ) |-> ( g ` f ) ) ->
        ( ps <-> th ) ) $.
    mpfind.wc $e |- ( x = f -> ( ps <-> ta ) ) $.
    mpfind.wd $e |- ( x = g -> ( ps <-> et ) ) $.
    mpfind.we $e |- ( x = ( f oF .+ g ) -> ( ps <-> ze ) ) $.
    mpfind.wf $e |- ( x = ( f oF .x. g ) -> ( ps <-> si ) ) $.
    mpfind.wg $e |- ( x = A -> ( ps <-> rh ) ) $.
    mpfind.co $e |- ( ( ph /\ f e. R ) -> ch ) $.
    mpfind.pr $e |- ( ( ph /\ f e. I ) -> th ) $.
    mpfind.a $e |- ( ph -> A e. Q ) $.
    $( Prove a property of polynomials by "structural" induction, under a
       simplified model of structure which loses the sum of products structure.
       (Contributed by Mario Carneiro, 19-Mar-2015.) $)
    mpfind $p |- ( ph -> rh ) $=
      ( vy vi vj cab wcel cv ces co cfv wceq cress cmpl cbs crn eleqtrdi wfn wb
      wrex cmap cpws cvv ccrg csubrg w3a crh mpfrcl eqid evlsrhm rhmf 3syl ffnd
      wf syl fvelrnb mpbid wfun ccnv cima ffund cplusg cmulr crg syl2anc adantr
      wa elpreima simpld syl3anc cof ffvelrnd eqtrd fnfvelrn syl2an2r eleqtrrdi
      fvimacnvi jca wi fvex vex elab bitr3id anbi12d ovex oveq12 eleq1d imbi12d
      eleq1 vtocl2 syl12anc eqeltrd mpbir2and adantlr cmgp mgpplusg eleq2d wral
      csn cxp ralrimiva cbvralvw sylib r19.21bi simpr cmpt simp1d simp2d simp3d
      cascl cmvr subrgcrng crngring mplring simprl simprr ringacl rhmghm ghmlin
      cghm ovexd pwsplusgval anbi2d ringcl cmhm rhmmhm mgpbas mhmlin pwsmulrval
      simpl bi2anan9 csca casa mplassa asclrhm mplsca fveq2d biimpa wss subrgss
      ressbas2 biimpar evlssca snex xpex sneq xpeq2d syldan mvrcl evlsvar mptex
      sylibr fveq2 mpteq2dv mplind syl5ibcom rexlimdva mpd elabg ) AKBJUTZVAZIA
      UQVBZOTPVCVDVEZVEZKVFZUQTPOVGVDZVHVDZVIVEZVNZUWOAKUWQVJZVAZUXCAKNUXDUPUDV
      KAUWQUXBVLZUXEUXCVMAUXBPLTVOVDZVPVDZVIVEZUWQATVQVAZPVRVAZOPVSVEVAZVTZUWQU
      XAUXHWAVDVAZUXBUXIUWQWHZAKNVAZUXMUPNOPTKUDWBWIZLUWQOPUXHUWTTVQUXAUWQWCZUX
      AWCZUWTWCZUXHWCZUAWDZUXBUXIUXAUXHUWQUXBWCZUXIWCZWEWFZWGZUQUXBKUWQWJWIWKAU
      WSUWOUQUXBAUWPUXBVAZXAZUWRUWNVAZUWSUWOAUWQWLZUYGUWPUWQWMUWNWNZVAUYIAUXBUX
      IUWQUYEWOZUYHURUSUXBUXAUUDVEZUXAWPVEZUWTUXAWQVEZUYKTUWTVIVEZTUWTUUEVDZVQU
      WPUXAUYPWCUYQWCZUXSUYNWCZUYOWCZUYMWCZUYCAURVBZUYKVAZUSVBZUYKVAZXAZVUBVUDU
      YNVDZUYKVAZUYGAVUFXAZVUHVUGUXBVAZVUGUWQVEZUWNVAZVUIUXAWRVAZVUBUXBVAZVUDUX
      BVAZVUJAVUMVUFAUXJUWTWRVAZVUMAUXJUXKUXLUXQUUAZAUWTVRVAZVUPAUXKUXLVURAUXJU
      XKUXLUXQUUBZAUXJUXKUXLUXQUUCZOPUWTUXTUUFWSZUWTUUGWIZUXAUWTTVQUXSUUHWSWTZV
      UIVUNVUBUWQVEZUWNVAZVUIVUCVUNVVEXAZAVUCVUEUUIZAVUCVVFVMZVUFAUXFVVHUYFUXBV
      UBUWNUWQXBWIWTWKXCZVUIVUOVUDUWQVEZUWNVAZVUIVUEVUOVVKXAZAVUCVUEUUJZAVUEVVL
      VMZVUFAUXFVVNUYFUXBVUDUWNUWQXBWIWTWKXCZUXBUYNUXAVUBVUDUYCUYSUUKXDVUIVUKVV
      DVVJMXEZVDZUWNVUIVUKVVDVVJUXHWPVEZVDZVVQVUIUWQUXAUXHUUNVDVAZVUNVUOVUKVVSV
      FAVVTVUFAUXMUXNVVTUXQUYBUXAUXHUWQUULWFWTVVIVVOUYNVVRUXAUXHVUBUWQVUDUXBUYC
      UYSVVRWCZUUMXDVUIUXIMVVRPVVDVVJUXGVRVQUXHUYAUYDAUXKVUFVUSWTZVUILTVOUUOZVU
      IUXBUXIVUBUWQAUXOVUFUYEWTZVVIXFZVUIUXBUXIVUDUWQVWDVVOXFZUBVWAUUPXGVUIAVVD
      NVAZVVEXAZVVJNVAZVVKXAZVVQUWNVAZAVUFUVDZVUIVWGVVEVUIVVDUXDNAUXFVUFVUNVVDU
      XDVAUYFVVIUXBVUBUWQXHXIUDXJAUYJVUFVUCVVEUYLVVGVUBUWNUWQXKXIXLZVUIVWIVVKVU
      IVVJUXDNAUXFVUFVUOVVJUXDVAUYFVVOUXBVUDUWQXHXIUDXJAUYJVUFVUEVVKUYLVVMVUDUW
      NUWQXKXIXLZARVBZNVAZEXAZSVBZNVAZFXAZXAZXAZGXMAVWHVWJXAZXAZVWKXMRSVVDVVJVU
      BUWQXNZVUDUWQXNZVWOVVDVFZVWRVVJVFZXAZVXBVXDGVWKVXIVXAVXCAVXGVWQVWHVXHVWTV
      WJVXGVWPVWGEVVEVWOVVDNYCEVWOUWNVAVXGVVEBEJVWORXOUIXPVWOVVDUWNYCXQXRVXHVWS
      VWIFVVKVWRVVJNYCFVWRUWNVAVXHVVKBFJVWRSXOUJXPVWRVVJUWNYCXQXRUVEUUQZGVWOVWR
      VVPVDZUWNVAVXIVWKBGJVXKVWOVWRVVPXSUKXPVXIVXKVVQUWNVWOVVDVWRVVJVVPXTYAXQYB
      UEYDYEYFAVUHVUJVULXAVMZVUFAUXFVXLUYFUXBVUGUWNUWQXBWIWTYGYHAVUFVUBVUDUYOVD
      ZUYKVAZUYGVUIVXNVXMUXBVAZVXMUWQVEZUWNVAZVUIVUMVUNVUOVXOVVCVVIVVOUXBUXAUYO
      VUBVUDUYCUYTUURXDVUIVXPVVDVVJQXEZVDZUWNVUIVXPVVDVVJUXHWQVEZVDZVXSVUIUWQUX
      AYIVEZUXHYIVEZUUSVDVAZVUNVUOVXPVYAVFAVYDVUFAUXMUXNVYDUXQUYBUXAUXHUWQVYBVY
      CVYBWCZVYCWCZUUTWFWTVVIVVOUXBUYOVXTVYBVYCUWQVUBVUDUXBUXAVYBVYEUYCUVAUXAUY
      OVYBVYEUYTYJUXHVXTVYCVYFVXTWCZYJUVBXDVUIUXIPVXTQVVDVVJUXGVRVQUXHUYAUYDVWB
      VWCVWEVWFUCVYGUVCXGVUIAVWHVWJVXSUWNVAZVWLVWMVWNVXBHXMVXDVYHXMRSVVDVVJVXEV
      XFVXIVXBVXDHVYHVXJHVWOVWRVXRVDZUWNVAVXIVYHBHJVYIVWOVWRVXRXSULXPVXIVYIVXSU
      WNVWOVVDVWRVVJVXRXTYAXQYBUFYDYEYFAVXNVXOVXQXAVMZVUFAUXFVYJUYFUXBVXMUWNUWQ
      XBWIWTYGYHAVUBUYPVAZVUBUYMVEZUYKVAZUYGAVYKXAZVYMVYLUXBVAZVYLUWQVEZUWNVAZV
      YNUXAUVFVEZVIVEZUXBVUBUYMAVYSUXBUYMWHZVYKAUXAUVGVAZUYMVYRUXAWAVDVAVYTAUXJ
      VURWUAVUQVVAUXAUWTTVQUXSUVHWSUYMVYRUXAVUAVYRWCUVIVYSUXBVYRUXAUYMVYSWCUYCW
      EWFWTAVYKVUBVYSVAAUYPVYSVUBAUWTVYRVIAUXAUWTTVQVRUXSVUQVVAUVJUVKYKUVLXFVYN
      VYPUXGVUBYMZYNZUWNVYNUYMLUWQOPUWTTVQUXAVUBUXRUXSUXTUAVUAAUXJVYKVUQWTAUXKV
      YKVUSWTAUXLVYKVUTWTAVUBOVAZVYKAOUYPVUBAUXLOLUVMOUYPVFVUTOLPUAUVNOLUWTPUXT
      UAUVOWFYKUVPZUVQAVYKWUDWUCUWNVAZWUEAWUFUROACROYLWUFUROYLACROUNYOCWUFRUROC
      UXGVWOYMZYNZUWNVAVWOVUBVFZWUFBCJWUHUXGWUGLTVOXSZVWOUVRUVSUGXPWUIWUHWUCUWN
      WUIWUGWUBUXGVWOVUBUVTUWAYAXQYPYQYRUWBYFAVYMVYOVYQXAVMZVYKAUXFWUKUYFUXBVYL
      UWNUWQXBWIWTYGYHAVUBTVAZVUBUYQVEZUYKVAZUYGAWULXAZWUNWUMUXBVAZWUMUWQVEZUWN
      VAZWUOUXBUXAUWTTUYQVQVUBUXSUYRUYCAUXJWULVUQWTZAVUPWULVVBWTAWULYSZUWCWUOWU
      QSUXGVUBVWRVEZYTZUWNWUOLUWQOPUWTSTUYQVQVUBUXRUYRUXTUAWUSAUXKWULVUSWTAUXLW
      ULVUTWTWUTUWDAWVBUWNVAZURTASUXGVWOVWRVEZYTZUWNVAZRTYLWVCURTYLAWVFRTAVWOTV
      AXADWVFUOBDJWVESUXGWVDWUJUWEUHXPUWFYOWVFWVCRURTWUIWVEWVBUWNWUISUXGWVDWVAV
      WOVUBVWRUWGUWHYAYPYQYRYFAWUNWUPWURXAVMZWULAUXFWVGUYFUXBWUMUWNUWQXBWIWTYGY
      HAUYGYSAUXJUYGVUQWTAVURUYGVVAWTUWIUWPUWNUWQXKXIUWRKUWNYCUWJUWKUWLAUXPUWOI
      VMUPBIJKNUMUWMWIWK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Additional definitions for (multivariate) polynomials
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c selectVars $. $( Treat polynomial as a polynomial of polynomials $)
  $c mHomP $. $( Homogeneous polynomials $)
  $c mPSDer $. $( Polynomial or power series derivative $)
  $c AlgInd $. $( Algebraically independent $)

  $( Select a subset of variables in a multivariate polynomial. $)
  cslv $a class selectVars $.

  $( Multivariate polynomials. $)
  cmhp $a class mHomP $.

  $( Power series partial derivative function. $)
  cpsd $a class mPSDer $.

  $( Algebraically independent. $)
  cai $a class AlgInd $.

  ${
    $d c d f g h i j k n r t u v w x y $.

    $( Define the "variable selection" function.  The function
       ` ( ( I selectVars R ) `` J ) ` maps elements of ` ( I mPoly R ) `
       bijectively onto ` ( J mPoly ( ( I \ J ) mPoly R ) ) ` in the natural
       way, for example if ` I = { x , y } ` and ` J = { y } ` it would map
       ` 1 + x + y + x y e. ( { x , y } mPoly ZZ ) ` to
       ` ( 1 + x ) + ( 1 + x ) y e. ( { y } mPoly ( { x } mPoly ZZ ) ) ` .
       This, for example, allows one to treat a multivariate polynomial as a
       univariate polynomial with coefficients in a polynomial ring with one
       less variable.  (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    df-selv $a |- selectVars = ( i e. _V , r e. _V |->
      ( j e. ~P i |-> ( f e. ( Base ` ( i mPoly r ) ) |->
        [_ ( ( i \ j ) mPoly r ) / u ]_
        [_ ( j mPoly u ) / t ]_
        [_ ( algSc ` t ) / c ]_
        [_ ( c o. ( algSc ` u ) ) / d ]_
        ( ( ( ( i evalSub t ) ` ran d ) ` ( d o. f ) ) `
          ( x e. i |-> if ( x e. j , ( ( j mVar u ) ` x ) ,
            ( c ` ( ( ( i \ j ) mVar r ) ` x ) ) ) ) ) ) ) ) $.

    $( Define the subspaces of order- ` n ` homogeneous polynomials.
       (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    df-mhp $a |- mHomP = ( i e. _V , r e. _V |-> ( n e. NN0 |->
      { f e. ( Base ` ( i mPoly r ) ) | ( f supp ( 0g ` r ) ) C_
        { g e. { h e. ( NN0 ^m i ) | ( `' h " NN ) e. Fin } |
          ( ( CCfld |`s NN0 ) gsum g ) = n } } ) ) $.

    $( Define the differentiation operation on multivariate polynomials.
       (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    df-psd $a |- mPSDer = ( i e. _V , r e. _V |-> ( x e. i |->
      ( f e. ( Base ` ( i mPwSer r ) ) |->
        ( k e. { h e. ( NN0 ^m i ) | ( `' h " NN ) e. Fin } |->
          ( ( ( k ` x ) + 1 ) ( .g ` r ) ( f `
            ( k oF + ( y e. i |-> if ( y = x , 1 , 0 ) ) ) ) ) ) ) ) ) $.

    $( Define the predicate "the set ` v ` is algebraically independent in the
       algebra ` w ` ".  A collection of vectors is algebraically independent
       if no nontrivial polynomial with elements from the subset evaluates to
       zero.  (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    df-algind $a |- AlgInd = ( w e. _V , k e. ~P ( Base ` w ) |->
      { v e. ~P ( Base ` w ) | Fun `' ( f e. ( Base ` ( v mPoly ( w |`s k ) ) )
        |-> ( ( ( ( v evalSub w ) ` k ) ` f ) ` ( _I |` v ) ) ) } ) $.
  $}

  ${
    $d I i r j f u t c d x $.  $d R i r j f u t c d x $.  $d ph i r $.
    selvffval.i $e |- ( ph -> I e. V ) $.
    selvffval.r $e |- ( ph -> R e. W ) $.
    $( Value of the "variable selection" function.  (Contributed by SN,
       4-Nov-2023.) $)
    selvffval $p |- ( ph -> ( I selectVars R ) =
      ( j e. ~P I |-> ( f e. ( Base ` ( I mPoly R ) ) |->
        [_ ( ( I \ j ) mPoly R ) / u ]_
        [_ ( j mPoly u ) / t ]_
        [_ ( algSc ` t ) / c ]_
        [_ ( c o. ( algSc ` u ) ) / d ]_
        ( ( ( ( I evalSub t ) ` ran d ) ` ( d o. f ) ) `
          ( x e. I |-> if ( x e. j , ( ( j mVar u ) ` x ) ,
            ( c ` ( ( ( I \ j ) mVar R ) ` x ) ) ) ) ) ) ) ) $=
      ( cv cmpl co cfv csb wceq vi vr cvv cpw cbs cdif cascl ccom wel cmvr cmpt
      cif crn ces cslv cmpo df-selv wa pweq adantr oveq12 fveq2d difeq1 oveq12d
      a1i simpr oveq1 fveq1d ifeq2d mpteq12dv fveq12d csbeq2dv csbeq12dv adantl
      simpl elexd pwexd mptexd ovmpod ) AUAUBHEUCUCGUAOZUDZFVTUBOZPQZUERZCVTGOZ
      UFZWBPQZDWECOZPQZKDOZUGRZLKOZWHUGRUHZBVTBGUIZBOZWEWHUJQRZWOWFWBUJQZRZWLRZ
      ULZUKZLOZFOUHZXBUMZVTWJUNQZRZRZRZSZSZSZSZUKZUKZGHUDZFHEPQZUERZCHWEUFZEPQZ
      DWIKWKLWMBHWNWPWOXREUJQZRZWLRZULZUKZXCXDHWJUNQZRZRZRZSZSZSZSZUKZUKZUOUCUO
      UAUBUCUCXNUPTABCDFUAGUBKLUQVEVTHTZWBETZURZXNYNTAYQGWAXMXOYMYOWAXOTYPVTHUS
      UTYQFWDXLXQYLYQWCXPUEVTHWBEPVAVBYQCWGXKXSYKYQWFXRWBEPYOWFXRTYPVTHWEVCUTZY
      OYPVFZVDYQDWIXJYJYQKWKXIYIYQLWMXHYHYQXAYDXGYGYQXCXFYFYQXDXEYEYOXEYETYPVTH
      WJUNVGUTVHVHYQBVTWTHYCYOYPVOYQWNWSYBWPYQWRYAWLYQWOWQXTYQWFXRWBEUJYRYSVDVH
      VBVIVJVKVLVLVLVMVJVJVNAHIMVPAEJNVPAGXOYMUCAHIMVQVRVS $.

    $d J j f u t c d x $.  $d ph j $.
    selvfval.j $e |- ( ph -> J C_ I ) $.
    $( Value of the "variable selection" function.  (Contributed by SN,
       4-Nov-2023.) $)
    selvfval $p |- ( ph -> ( ( I selectVars R ) ` J ) =
      ( f e. ( Base ` ( I mPoly R ) ) |->
        [_ ( ( I \ J ) mPoly R ) / u ]_
        [_ ( J mPoly u ) / t ]_
        [_ ( algSc ` t ) / c ]_
        [_ ( c o. ( algSc ` u ) ) / d ]_
        ( ( ( ( I evalSub t ) ` ran d ) ` ( d o. f ) ) `
          ( x e. I |-> if ( x e. J , ( ( J mVar u ) ` x ) ,
            ( c ` ( ( ( I \ J ) mVar R ) ` x ) ) ) ) ) ) ) $=
      ( cmpl co cfv cv csb vj cbs cdif cascl ccom wel cmvr cif cmpt crn ces cpw
      wcel cslv cvv selvffval difeq2 oveq1d oveq1 eleq2 fveq1d fveq2d ifbieq12d
      wceq mpteq2dv csbeq2dv csbeq12dv adantl sselpwd fvex mptexg mp1i fvmptd )
      AUAHFGEPQZUBRZCGUASZUCZEPQZDVPCSZPQZKDSZUDRZLKSZVSUDRUEZBGBUAUFZBSZVPVSUG
      QZRZWFVQEUGQZRZWCRZUHZUIZLSZFSUEWNUJGWAUKQRRZRZTZTZTZTZUIZFVOCGHUCZEPQZDH
      VSPQZKWBLWDBGWFHUMZWFHVSUGQZRZWFXBEUGQZRZWCRZUHZUIZWORZTZTZTZTZUIZGULGEUN
      QUOABCDEFUAGIJKLMNUPVPHVDZXAXRVDAXSFVOWTXQXSCVRWSXCXPXSVQXBEPVPHGUQZURXSD
      VTWRXDXOVPHVSPUSXSKWBWQXNXSLWDWPXMXSWMXLWOXSBGWLXKXSWEXEWHWKXGXJVPHWFUTXS
      WFWGXFVPHVSUGUSVAXSWJXIWCXSWFWIXHXSVQXBEUGXTURVAVBVCVEVBVFVFVGVGVEVHAHGIM
      OVIVOUOUMXRUOUMAVNUBVJFVOXQUOVKVLVM $.
  $}

  ${
    $d I f u t c d x $.  $d R f u t c d x $.  $d ph f $.  $d J f u t c d x $.
    $d F f u t c d $.  $d U u t c d x $.  $d T u t c d $.  $d C u t c d x $.
    $d D u t c d $.
    selvval.p $e |- P = ( I mPoly R ) $.
    selvval.b $e |- B = ( Base ` P ) $.
    selvval.u $e |- U = ( ( I \ J ) mPoly R ) $.
    selvval.t $e |- T = ( J mPoly U ) $.
    selvval.c $e |- C = ( algSc ` T ) $.
    selvval.d $e |- D = ( C o. ( algSc ` U ) ) $.
    selvval.i $e |- ( ph -> I e. V ) $.
    selvval.r $e |- ( ph -> R e. W ) $.
    selvval.j $e |- ( ph -> J C_ I ) $.
    selvval.f $e |- ( ph -> F e. B ) $.
    $( Value of the "variable selection" function.  (Contributed by SN,
       4-Nov-2023.) $)
    selvval $p |- ( ph -> ( ( ( I selectVars R ) ` J ) ` F ) =
      ( ( ( ( I evalSub T ) ` ran D ) ` ( D o. F ) ) `
        ( x e. I |-> if ( x e. J , ( ( J mVar U ) ` x ) ,
          ( C ` ( ( ( I \ J ) mVar R ) ` x ) ) ) ) ) ) $=
      ( vu vt vc vd vf cslv co cfv cdif cmpl cv ccom wcel cmvr cif cmpt crn ces
      cascl csb cbs cvv selvfval wceq coeq2 fveq2d fveq1d csbeq2dv adantl eqtri
      fveq2i eleqtrdi fvex csbex fvmptd ovex eqeq2i oveq2 fveq2 coeq2d mpteq2dv
      ifeq1d csbeq12dv coeq1 fveq1 ifeq2d fvexi coex rneq fveq12d sylbir eqtrdi
      a1i csbie ) AJLKGUJUKULZULUEKLUMZGUNUKZUFLUEUOZUNUKZUGUFUOZVCULZUHUGUOZXB
      VCULZUPZBKBUOZLUQZXILXBURUKZULZXIWTGURUKULZXFULZUSZUTZUHUOZJUPZXQVAZKXDVB
      UKZULZULZULZVDZVDZVDZVDZBKXJXILIURUKZULZXMDULZUSZUTZEJUPZEVAZKHVBUKZULZUL
      ZULZAUIJUEXAUFXCUGXEUHXHXPXQUIUOZUPZYAULZULZVDZVDZVDZVDZYGKGUNUKZVEULZWSV
      FABUEUFGUIKLMNUGUHUAUBUCVGYSJVHZUUFYGVHAUUIUEXAUUEYFUUIUFXCUUDYEUUIUGXEUU
      CYDUUIUHXHUUBYCUUIXPUUAYBUUIYTXRYAYSJXQVIVJVKVLVLVLVLVMAJCUUHUDCFVEULUUHP
      FUUGVEOVOVNVPYGVFUQAUEXAYFUFXCYEUGXEYDUHXHYCXPYBVQVRVRVRVRWQVSUEXAYFYRWTG
      UNVTXBXAVHXBIVHZYFYRVHIXAXBQWAUUJYFUFLIUNUKZUGXEUHXFIVCULZUPZBKXJYIXNUSZU
      TZYBULZVDZVDZVDYRUUJUFXCYEUUKUURXBILUNWBUUJUGXEYDUUQUUJUHXHYCUUMUUPUUJXGU
      ULXFXBIVCWCWDUUJXPUUOYBUUJBKXOUUNUUJXJXLYIXNUUJXIXKYHXBILURWBVKWFWEVJWGVL
      WGUFUUKUURYRLIUNVTXDUUKVHXDHVHZUURYRVHHUUKXDRWAUUSUURUGHVCULZUHUUMUUOXRXS
      YOULZULZULZVDZVDYRUUSUGXEUUQUUTUVDXDHVCWCUUSUHUUMUUPUVCUUSUUOYBUVBUUSXRYA
      UVAUUSXSXTYOXDHKVBWBVKVKVKVLWGUGUUTUVDYRHVCVQXFUUTVHXFDVHZUVDYRVHDUUTXFSW
      AUVEUVDUHDUULUPZYLUVBULZVDYRUVEUHUUMUVCUVFUVGXFDUULWHUVEUUOYLUVBUVEBKUUNY
      KUVEXJXNYJYIXMXFDWIWJWEVJWGUHUVFUVGYRDUULDHVCSWKIVCVQWLXQUVFVHXQEVHZUVGYR
      VHEUVFXQTWAUVHYLUVBYQUVHXRYMUVAYPUVHXSYNYOXQEWMVJXQEJWHWNVKWOWRWPWOWRWPWO
      WRWPWOWRWP $.
  $}

  ${
    $d f g h n $.  $d I f h i n r $.  $d R f i n r $.  $d D g i r $.
    $d .0. i r $.  $d B f i r $.
    mhpfval.h $e |- H = ( I mHomP R ) $.
    mhpfval.p $e |- P = ( I mPoly R ) $.
    mhpfval.b $e |- B = ( Base ` P ) $.
    mhpfval.0 $e |- .0. = ( 0g ` R ) $.
    mhpfval.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    mhpfval.i $e |- ( ph -> I e. V ) $.
    mhpfval.r $e |- ( ph -> R e. W ) $.
    $( Value of the "homogeneous polynomial" function.  (Contributed by Steven
       Nguyen, 25-Aug-2023.) $)
    mhpfval $p |- ( ph -> H = ( n e. NN0 |->
      { f e. B |
       ( f supp .0. ) C_ { g e. D | ( ( CCfld |`s NN0 ) gsum g ) = n } } ) ) $=
      ( vi vr cmhp co cn0 csupp ccnfld cress cgsu wceq crab wss cmpt wcel elexd
      cv cvv c0g cfv ccnv cn cima cfn cmap cmpl cbs oveq12 eqtr4di fveq2d fveq2
      oveq2d adantl oveq2 rabeqdv adantr sseq12d rabeqbidv mpteq2dv nn0ex mptex
      wa df-mhp ovmpoa syl2anc eqtrid ) AJKEUDUEZIUFFUQZNUGUEZUHUFUIUEGUQUJUEIU
      QUKZGCULZUMZFBULZUNZOAKURUOEURUOWGWNUKAKLTUPAEMUAUPUBUCKEURURIUFWHUCUQZUS
      UTZUGUEZWJGHUQVAVBVCVDUOZHUFUBUQZVEUEZULZULZUMZFWSWOVFUEZVGUTZULZUNWNUDWS
      KUKZWOEUKZWBZIUFXFWMXIXCWLFXEBXIXEDVGUTBXIXDDVGXIXDKEVFUEDWSKWOEVFVHPVIVJ
      QVIXIWQWIXBWKXHWQWIUKXGXHWPNWHUGXHWPEUSUTNWOEUSVKRVIVLVMXGXBWKUKXHXGWJGXA
      CXGXAWRHUFKVEUEZULCXGWRHWTXJWSKUFVEVNVOSVIVOVPVQVRVSFGHUBIUCWCIUFWMVTWAWD
      WEWF $.

    $d N f g n $.  $d B n $.  $d D n $.  $d .0. n $.  $d ph n $.
    mhpval.n $e |- ( ph -> N e. NN0 ) $.
    $( Value of the "homogeneous polynomial" function.  (Contributed by Steven
       Nguyen, 25-Aug-2023.) $)
    mhpval $p |- ( ph -> ( H ` N ) = { f e. B |
         ( f supp .0. ) C_ { g e. D | ( ( CCfld |`s NN0 ) gsum g ) = N } } ) $=
      ( vn cv csupp co ccnfld cn0 cress cgsu wceq wss cvv mhpfval eqeq2 rabbidv
      crab sseq2d adantl wcel cbs fvexi rabex a1i fvmptd ) AUCKFUDNUEUFZUGUHUIU
      FGUDUJUFZUCUDZUKZGCUQZULZFBUQZVFVGKUKZGCUQZULZFBUQZUHIUMABCDEFGHUCIJLMNOP
      QRSTUAUNVHKUKZVLVPUKAVQVKVOFBVQVJVNVFVQVIVMGCVHKVGUOUPURUPUSUBVPUMUTAVOFB
      BDVAQVBVCVDVE $.

    $d X f $.  $d .0. f $.  $d D f $.
    $( Property of being a homogeneous polynomial.  (Contributed by Steven
       Nguyen, 25-Aug-2023.) $)
    ismhp $p |- ( ph -> ( X e. ( H ` N ) <-> ( X e. B /\
       ( X supp .0. ) C_ { g e. D | ( ( CCfld |`s NN0 ) gsum g ) = N } ) ) ) $=
      ( vf cfv wcel cv csupp co ccnfld cn0 cress cgsu wceq wss wa mhpval eleq2d
      crab oveq1 sseq1d elrab bitrdi ) AMJHUDZUEMUCUFZNUGUHZUIUJUKUHFUFULUHJUMF
      CURZUNZUCBURZUEMBUEMNUGUHZVFUNZUOAVCVHMABCDEUCFGHIJKLNOPQRSTUAUBUPUQVGVJU
      CMBVDMUMVEVIVFVDMNUGUSUTVAVB $.

    ismhp2.1 $e |- ( ph -> X e. B ) $.
    ${
      ismhp2.2 $e |- ( ph ->
           ( X supp .0. ) C_ { g e. D | ( ( CCfld |`s NN0 ) gsum g ) = N } ) $.
      $( Deduce a homogeneous polynomial from its properties.  (Contributed by
         SN, 25-May-2024.) $)
      ismhp2 $p |- ( ph -> X e. ( H ` N ) ) $=
        ( cfv wcel csupp co ccnfld cn0 cress cgsu wceq crab wss ismhp mpbir2and
        cv ) AMJHUEUFMBUFMNUGUHUIUJUKUHFURULUHJUMFCUNUOUCUDABCDEFGHIJKLMNOPQRST
        UAUBUPUQ $.
    $}

    $d N d g $.  $d D d $.  $d .0. d $.  $d X d $.  $d ph d $.
    $( A polynomial is homogeneous iff the degree of every nonzero term is the
       same.  (Contributed by SN, 22-Jul-2024.) $)
    ismhp3 $p |- ( ph -> ( X e. ( H ` N ) <-> A. d e. D
               ( ( X ` d ) =/= .0. -> ( ( CCfld |`s NN0 ) gsum d ) = N ) ) ) $=
      ( vg cfv wcel csupp co ccnfld cn0 cress cv cgsu wceq crab wss wa wne wral
      wi ismhp biantrurd wal wfn cvv wb cbs eqid mplelf c0g fvexi a1i elsuppfng
      ffnd syl3anc weq oveq2 eqeq1d elrab imbi12d imdistan bitr4di albidv dfss2
      df-ral 3bitr4g 3bitr2d ) ALIGUEUFLBUFZLMUGUHZUIUJUKUHZUDULZUMUHZIUNZUDCUO
      ZUPZUQWONULZLUEMURZWJWPUMUHZIUNZUTZNCUSZABCDEUDFGHIJKLMOPQRSTUAUBVAAWHWOU
      CVBAWPWIUFZWPWNUFZUTZNVCWPCUFZWTUTZNVCWOXAAXDXFNAXDXEWQUQZXEWSUQZUTXFAXBX
      GXCXHALCVDWHMVEUFZXBXGVFACEVGUEZLABCDEFHXJLPXJVHQSUCVIVNUCXIAMEVJRVKVLWPL
      BVECMVMVOXCXHVFAWMWSUDWPCUDNVPWLWRIWKWPWJUMVQVRVSVLVTXEWQWSWAWBWCNWIWNWDW
      TNCWEWFWG $.
  $}

  ${
    $d I g h $.  $d N g $.
    mhpmpl.h $e |- H = ( I mHomP R ) $.
    mhpmpl.p $e |- P = ( I mPoly R ) $.
    mhpmpl.b $e |- B = ( Base ` P ) $.
    mhpmpl.i $e |- ( ph -> I e. V ) $.
    mhpmpl.r $e |- ( ph -> R e. W ) $.
    mhpmpl.n $e |- ( ph -> N e. NN0 ) $.
    mhpmpl.x $e |- ( ph -> X e. ( H ` N ) ) $.
    $( A homogeneous polynomial is a polynomial.  (Contributed by Steven
       Nguyen, 25-Aug-2023.) $)
    mhpmpl $p |- ( ph -> X e. B ) $=
      ( vg vh co cfv wcel c0g csupp ccnfld cn0 cress cv cgsu wceq ccnv cima cfn
      cn cmap crab wss eqid ismhp simprbda mpdan ) AJGEUAUBZJBUBZQAVBVCJDUCUAZU
      DTUEUFUGTRUHUITGUJRSUHUKUNULUMUBSUFFUOTUPZUPUQABVECDRSEFGHIJVDKLMVDURVEUR
      NOPUSUTVA $.
  $}

  ${
    $d g h $.  $d D g $.  $d I h $.  $d N g $.
    mhpdeg.h $e |- H = ( I mHomP R ) $.
    mhpdeg.0 $e |- .0. = ( 0g ` R ) $.
    mhpdeg.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    mhpdeg.i $e |- ( ph -> I e. V ) $.
    mhpdeg.r $e |- ( ph -> R e. W ) $.
    mhpdeg.n $e |- ( ph -> N e. NN0 ) $.
    mhpdeg.x $e |- ( ph -> X e. ( H ` N ) ) $.
    $( All nonzero terms of a homogeneous polynomial have degree ` N ` .
       (Contributed by Steven Nguyen, 25-Aug-2023.) $)
    mhpdeg $p |- ( ph -> ( X supp .0. ) C_
                            { g e. D | ( ( CCfld |`s NN0 ) gsum g ) = N } ) $=
      ( co cfv wcel csupp ccnfld cn0 cress cv cgsu wceq crab wss cmpl cbs ismhp
      eqid simplbda mpdan ) AKHFUAUBZKLUCTUDUEUFTDUGUHTHUIDBUJUKZSAURKGCULTZUMU
      AZUBUSAVABUTCDEFGHIJKLMUTUOVAUONOPQRUNUPUQ $.
  $}

  ${
    $d g h $.  $d D g $.  $d I h $.  $d N g $.
    mhp0cl.h $e |- H = ( I mHomP R ) $.
    mhp0cl.0 $e |- .0. = ( 0g ` R ) $.
    mhp0cl.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    mhp0cl.i $e |- ( ph -> I e. V ) $.
    mhp0cl.r $e |- ( ph -> R e. Grp ) $.
    mhp0cl.n $e |- ( ph -> N e. NN0 ) $.
    $( The zero polynomial is homogeneous.  Under ~ df-mhp , it has any
       (nonnegative integer) degree which loosely corresponds to the value
       "undefined".  The values ` -oo ` and ` 0 ` are also used in Metamath (by
       ~ df-mdeg and ~ df-dgr respectively) and the literature:
       ~ https://math.stackexchange.com/a/1796314/593843 .  (Contributed by SN,
       12-Sep-2023.) $)
    mhp0cl $p |- ( ph -> ( D X. { .0. } ) e. ( H ` N ) ) $=
      ( vg co cgrp eqid wcel cmpl cbs cfv csn cxp mpl0 syl2anc grpidcl eqeltrrd
      c0g mplgrp syl csupp ccnfld cn0 cress cgsu wceq crab wss fczsupp0 eqsstri
      cv c0 0ss a1i ismhp2 ) AFCUAQZUBUCZBVHCPDEFGHRBIUDUEZIJVHSZVISZKLMNOAVHUJ
      UCZVJVIABVHCDFIHVMVKLKVMSZMNUFAVHRTZVMVITAFHTCRTVOMNVHCFHVKUKUGVIVHVMVLVN
      UHULUIVJIUMQZUNUOUPQPVCUQQGURPBUSZUTAVPVDVQBIVAVQVEVBVFVG $.
  $}

  ${
    $d ph d y $.  $d C d y $.  $d A d $.  $d R d h y $.  $d I d h y $.
    $d V k $.  $d I k $.  $d V y $.  $d K y $.
    mhpsclcl.h $e |- H = ( I mHomP R ) $.
    mhpsclcl.p $e |- P = ( I mPoly R ) $.
    mhpsclcl.a $e |- A = ( algSc ` P ) $.
    mhpsclcl.k $e |- K = ( Base ` R ) $.
    mhpsclcl.i $e |- ( ph -> I e. V ) $.
    mhpsclcl.r $e |- ( ph -> R e. Ring ) $.
    mhpsclcl.c $e |- ( ph -> C e. K ) $.
    $( A scalar (or constant) polynomial has degree 0.  Compare ~ deg1scl .  In
       other contexts, there may be an exception for the zero polynomial, but
       under ~ df-mhp the zero polynomial can be any degree (see ~ mhp0cl ) so
       there is no exception.  (Contributed by SN, 25-May-2024.) $)
    mhpsclcl $p |- ( ph -> ( A ` C ) e. ( H ` 0 ) ) $=
      ( cfv cc0 wcel wceq vd vh vy vk cv c0g wne ccnfld cn0 cress co cgsu wi cn
      ccnv cima cfn cmap crab wral wa csn cxp cif cvv eqid adantr mplascl eqeq1
      crg weq ifbid adantl simpr fvexd fvmptd neeq1d iffalse necon1ai fconstmpt
      ifexd cmpt oveq2i cmnd csubmnd nn0subm submmnd ax-mp cnfld0 subm0 sylancr
      gsumz eqtrid oveq2 eqeq1d syl5ibrcom syl5 ralrimiva cbs 0nn0 a1i mplasclf
      sylbid ffvelrnd ismhp3 mpbird ) ACBQZRFQSUAUEZXGQZEUFQZUGZUHUIUJUKZXHULUK
      ZRTZUMZUAUBUEUOUNUPUQSUBUIGURUKUSZUTAXOUAXPAXHXPSZVAZXKXHGRVBVCZTZCXJVDZX
      JUGZXNXRXIYAXJXRUCXHUCUEZXSTZCXJVDZYAXPXGVEXRUCBHXPDEUBGICXJKXPVFZXJVFZML
      AGISZXQNVGZAEVJSXQOVGACHSXQPVGVHUCUAVKZYEYATXRYJYDXTCXJYCXHXSVIVLVMAXQVNA
      YAVESXQAXTCXJHVEPAEUFVOWAVGVPVQYBXTXRXNXTYAXJXTCXJVRVSXRXNXTXLXSULUKZRTXR
      YKXLUDGRWBZULUKZRXSYLXLULUDGRVTWCXRXLWDSZYHYMRTUIUHWEQSZYNWFUIXLUHXLVFZWG
      WHYIGUDXLIRYORXLUFQTWFUIXLUHRYPWIWJWHWLWKWMXTXMYKRXHXSXLULWNWOWPWQXCWRADW
      SQZXPDEUBFGRIVJXGXJUAJKYQVFZYGYFNORUISAWTXAAHYQCBABYQDEGHIKYRMLNOXBPXDXEX
      F $.
  $}

  ${
    $d I d h $.  $d ph d y $.  $d R d $.  $d X d h y $.  $d V d $.  $d I y $.
    $d W y $.
    mhpvarcl.h $e |- H = ( I mHomP R ) $.
    mhpvarcl.v $e |- V = ( I mVar R ) $.
    mhpvarcl.i $e |- ( ph -> I e. W ) $.
    mhpvarcl.r $e |- ( ph -> R e. Ring ) $.
    mhpvarcl.x $e |- ( ph -> X e. I ) $.
    $( A power series variable is a polynomial of degree 1.  (Contributed by
       SN, 25-May-2024.) $)
    mhpvarcl $p |- ( ph -> ( V ` X ) e. ( H ` 1 ) ) $=
      ( cfv c1 wcel ccnfld cn0 co wceq eqid vd vh vy cv c0g wne cress cgsu ccnv
      wi cn cima cfn cmap crab wral wa cc0 cif cmpt wn cur iffalse adantr simpr
      mvrval2 eqeq1d syl5ibr necon1ad csubmnd nn0subm cnfld0 subm0 cmnd submmnd
      crg ax-mp mp1i cbs 1nn0 submbas eleqtri a1i gsummptif1n0 oveq2 syl5ibrcom
      syld ralrimiva cmpl mvrcl ismhp3 mpbird ) AGEMZNCMOUAUDZWMMZBUEMZUFZPQUGR
      ZWNUHRZNSZUJZUAUBUDUIUKULUMOUBQDUNRUOZUPAXAUAXBAWNXBOZUQZWQWNUCDUCUDGSNUR
      USUTZSZWTXDXFWOWPXFVAWOWPSXDXFBVBMZWPUSZWPSXFXGWPVCXDWOXHWPXDUCXBBXGUBWND
      EFGVPWPIXBTZWPTZXGTADFOXCJVDZABVPOXCKVDAGDOXCLVDZAXCVEVFVGVHVIXDWTXFWRXEU
      HRZNSXDNUCXEWRDFGURQPVJMOZURWRUEMSVKQWRPURWRTZVLVMVQXNWRVNOXDVKQWRPXOVOVR
      XKXLXETNWRVSMZOXDNQXPVTXNQXPSVKQWRPXOWAVQWBWCWDXFWSXMNWNXEWRUHWEVGWFWGWHA
      DBWIRZVSMZXBXQBUBCDNFVPWMWPUAHXQTZXRTZXJXIJKNQOAVTWCAXRXQBDEFGXSIXTJKLWJW
      KWL $.
  $}

  ${
    $d ph b d e i x $.  $d P d e x $.  $d Q d e x $.  $d R d e x $.  $d V c $.
    $d I b c d e h i x $.  $d N b c e i x $.  $d M b c e i x $.  $d .x. x $.
    mhpmulcl.h $e |- H = ( I mHomP R ) $.
    mhpmulcl.y $e |- Y = ( I mPoly R ) $.
    mhpmulcl.t $e |- .x. = ( .r ` Y ) $.
    mhpmulcl.i $e |- ( ph -> I e. V ) $.
    mhpmulcl.r $e |- ( ph -> R e. Ring ) $.
    mhpmulcl.m $e |- ( ph -> M e. NN0 ) $.
    mhpmulcl.n $e |- ( ph -> N e. NN0 ) $.
    mhpmulcl.p $e |- ( ph -> P e. ( H ` M ) ) $.
    mhpmulcl.q $e |- ( ph -> Q e. ( H ` N ) ) $.
    $( A product of homogeneous polynomials is a homogeneous polynomial whose
       degree is the sum of the degrees of the factors.  Compare ~ mdegmulle2
       (which shows less-than-or-equal instead of equal).  (Contributed by SN,
       22-Jul-2024.) $)
    mhpmulcl $p |- ( ph -> ( P .x. Q ) e. ( H ` ( M + N ) ) ) $=
      ( vx vh ve vc vd vi vb co caddc cfv wcel cv c0g wne ccnfld cn0 cress cgsu
      wceq wi ccnv cn cima cfn cmap crab wral wa cle cofr wbr cmin cof cmpt cvv
      cmulr cbs crg mhpmpl mplmul adantr breq2 rabbidv fvoveq1 oveq2d mpteq12dv
      eqid adantl simpr ovexd fvmptd neeq1d cdif simp-4l wn oveq2 eqeq1d simplr
      necon3bbid elrabi syl elrabd notrab eleqtrrdi mplelf ovex rabex a1i fvexd
      mhpdeg suppssr syl2anc oveq1d ad4antr simp-4r ffvelrnd eqtrd nn0subm ccmn
      cc0 ax-mp wf psrbagf ffnd eqidd syl3anc ffvelrnda mpbid cfsupp wfun csupp
      wb c0ex isfsupp sylancl mpbir2and nn0cnd mpteq2dva feqmptd offval2 ringlz
      psrbagconcl ringrz wo csubmnd submbas cnfld0 subm0 cplusg nn0ex ressplusg
      cnfldadd cnring ringcmn submcmn mp2an ad3antrrr simpllr inidm simpl breq1
      offval elrab simprbi ofrval nn0sub fmpt3d ffund jctir frnsuppeq sylc dfn2
      csn imaeq2i eqtr4di psrbag simprd eqeltrd elexd cun psrbagfsupp fsuppunfi
      offun 0m0e0 suppofssd ssfid gsumadd pncan3d 3eqtr4d eqtr3d eqnetrd oveq12
      0nn0 necon3ad neorian sylibr mpjaodan cmnd ringmnd ad2antrr gsumz necon1d
      mpd ex sylbid ralrimiva nn0addcld mplring ringcl ismhp3 mpbird ) ABCEUHZH
      IUIUHZFUJUKUAULZUXLUJZDUMUJZUNZUOUPUQUHZUXNURUHZUXMUSZUTZUAUBULVAVBVCVDUK
      ZUBUPGVEUHZVFZVGAUYAUAUYDAUXNUYDUKZVHZUXQDUCUDULZUXNVIVJZVKZUDUYDVFZUCULZ
      BUJZUXNUYKVLVMZUHZCUJZDVPUJZUHZVNZURUHZUXPUNUXTUYFUXOUYSUXPUYFUEUXNDUCUYG
      UEULZUYHVKZUDUYDVFZUYLUYTUYKUYMUHCUJZUYPUHZVNZURUHZUYSUYDUXLVOAUXLUEUYDVU
      FVNUSUYEAUCUDKVQUJZUYDKDEUYPUBUEBCGMVUGWGZUYPWGZNUYDWGZAVUGKDFGHJVRBLMVUH
      OPQSVSZAVUGKDFGIJVRCLMVUHOPRTVSZVTWAUYTUXNUSZVUFUYSUSUYFVUMVUEUYRDURVUMUC
      VUBVUDUYJUYQVUMVUAUYIUDUYDUYTUXNUYGUYHWBWCVUMVUCUYOUYLUYPUYTUXNUYKCUYMWDW
      EWFWEWHAUYEWIUYFDUYRURWJWKWLUYFUXSUXMUYSUXPUYFUXSUXMUNZUYSUXPUSUYFVUNVHZU
      YSDUCUYJUXPVNZURUHZUXPVUOUYRVUPDURVUOUCUYJUYQUXPVUOUYKUYJUKZVHZUXRUYKURUH
      ZHUNZUYQUXPUSUXRUYNURUHZIUNZVUSVVAVHZUYQUXPUYOUYPUHZUXPVVDUYLUXPUYOUYPVVD
      AUYKUYDUXRUYGURUHZHUSZUDUYDVFZWMZUKUYLUXPUSAUYEVUNVURVVAWNVVDUYKVVGWOZUDU
      YDVFVVIVVDVVJVVAUDUYKUYDUYGUYKUSZVVGVUTHVVKVVFVUTHUYGUYKUXRURWPWQWSVVDVUR
      UYKUYDUKZVUOVURVVAWRZUYIUDUYKUYDWTZXAVUSVVAWIXBVVGUDUYDXCXDAUYDDVQUJZVOBV
      OVVHUYKUXPAVUGUYDKDUBGVVOBMVVOWGZVUHVUJVUKXEAUYDDUDUBFGHJVRBUXPLUXPWGZVUJ
      OPQSXJUYDVOUKAUYBUBUYCUPGVEXFXGZXHZADUMXIZXKXLXMVVDDVRUKZUYOVVOUKVVEUXPUS
      AVWAUYEVUNVURVVAPXNVVDUYDVVOUYNCVVDVUGUYDKDUBGVVOCMVVPVUHVUJACVUGUKZUYEVU
      NVURVVAVULXNXEVVDUYNUYJUKZUYNUYDUKZVVDUYEVURVWCAUYEVUNVURVVAXOVVMUDUYDUYJ
      UBUXNGUYKVUJUYJWGUUBZXLUYIUDUYNUYDWTZXAXPVVODUYPUYOUXPVVPVUIVVQUUAXLXQVUS
      VVCVHZUYQUYLUXPUYPUHZUXPVWGUYOUXPUYLUYPVWGAUYNUYDVVFIUSZUDUYDVFZWMZUKUYOU
      XPUSAUYEVUNVURVVCWNVWGUYNVWIWOZUDUYDVFVWKVWGVWLVVCUDUYNUYDUYGUYNUSZVWIVVB
      IVWMVVFVVBIUYGUYNUXRURWPWQWSVWGVWCVWDVWGUYEVURVWCAUYEVUNVURVVCXOVUOVURVVC
      WRVWEXLVWFXAVUSVVCWIXBVWIUDUYDXCXDAUYDVVOVOCVOVWJUYNUXPAVUGUYDKDUBGVVOCMV
      VPVUHVUJVULXEAUYDDUDUBFGIJVRCUXPLVVQVUJOPRTXJVVSVVTXKXLWEVWGVWAUYLVVOUKVW
      HUXPUSAVWAUYEVUNVURVVCPXNVWGUYDVVOUYKBVWGVUGUYDKDUBGVVOBMVVPVUHVUJABVUGUK
      ZUYEVUNVURVVCVUKXNXEVUSVVLVVCVURVVLVUOVVNWHZWAXPVVODUYPUYLUXPVVPVUIVVQUUC
      XLXQVUSVUTHUSVVBIUSVHZWOZVVAVVCUUDVUSVUTVVBUIUHZUXMUNVWQVUSVWRUXSUXMVUSUX
      RUYKUYNUIVMUHZURUHVWRUXSVUSGUPUIUYKUXRUYNJXTUPUOUUEUJUKZUPUXRVQUJUSXRUPUX
      RUOUXRWGZUUFYAVWTXTUXRUMUJUSXRUPUXRUOXTVXAUUGUUHYAUPVOUKUIUXRUUIUJUSUUJUP
      UIUOUXRVOVXAUULUUKYAUXRXSUKZVUSUOXSUKZVWTVXBUOVRUKVXCUUMUOUUNYAXRUPUOUXRV
      XAUUOUUPXHAGJUKZUYEVUNVUROUUQZVUSVVLGUPUYKYBZVWOUYDUBUYKGVUJYCXAZVUSUFGUF
      ULZUXNUJZVXHUYKUJZVLUHZUPUYNVUSUFGGVXIVXJVLGUXNUYKJJVUSGUPUXNVUSUYEGUPUXN
      YBAUYEVUNVURUURZUYDUBUXNGVUJYCXAZYDZVUSGUPUYKVXGYDZVXEVXEGUUSZVUSVXHGUKZV
      HZVXIYEZVXRVXJYEZUVBVXRVXJVXIVIVKZVXKUPUKZVXRVUSUYKUXNUYHVKZVXQVYAVUSVXQU
      UTVXRVURVYCVUOVURVXQWRVURVVLVYCUYIVYCUDUYKUYDUYGUYKUXNUYHUVAUVCUVDXAVUSVX
      QWIVUSGGVXJVXIVIGUYKUXNJJVXHVXOVXNVXEVXEVXPVXTVXSUVEYFVXRVXJUPUKVXIUPUKVY
      AVYBYLVUSGUPVXHUYKVXGYGVUSGUPVXHUXNVXMYGVXJVXIUVFXLYHUVGVUSUYKXTYIVKZUYKY
      JZUYKXTYKUHZVDUKZVUSGUPUYKVXGUVHVUSVYFUYKVAZVBVCZVDVUSVYFVYHUPXTUVMWMZVCZ
      VYIVUSVXDXTVOUKZVHVXFVYFVYKUSVUSVXDVYLVXEYMUVIVXGUPUYKGJVOXTUVJUVKVBVYJVY
      HUVLUVNUVOVUSVXFVYIVDUKZVUSVVLVXFVYMVHZVWOVUSVXDVVLVYNYLVXEUYDUBUYKGJVUJU
      VPXAYHUVQUVRVUSUYKVOUKVYLVYDVYEVYGVHYLVUSUYKUYDVWOUVSYMUYKVOVOXTYNYOYPZVU
      SUYNXTYIVKZUYNYJZUYNXTYKUHZVDUKZVUSGGVLUXNUYKJJVXNVXOVXEVXEUWCVUSUXNXTYKU
      HVYFUVTVYRVUSUXNUYKXTVUSUYEUXNXTYIVKVXLUYDUBUXNGVUJUWAXAVYOUWBVUSGUPUXNUY
      KJVLXTVXEXTUPUKVUSUWMXHVXMVXGXTXTVLUHXTUSVUSUWDXHUWEUWFVUSUYNVOUKVYLVYPVY
      QVYSVHYLVUSUXNUYKUYMWJYMUYNVOVOXTYNYOYPUWGVUSVWSUXNUXRURVUSUGGUGULZUYKUJZ
      VYTUXNUJZWUAVLUHZUIUHZVNUGGWUBVNVWSUXNVUSUGGWUDWUBVUSVYTGUKVHZWUAWUBWUEWU
      AVUSGUPVYTUYKVXGYGZYQWUEWUBVUSGUPVYTUXNVXMYGZYQUWHYRVUSUGGWUAWUCUIUYKUYNJ
      VOVOVXEWUEVYTUYKXIWUEWUBWUAVLWJVUSUGGUPUYKVXGYSZVUSUGGWUBWUAVLUXNUYKJUPUP
      VXEWUGWUFVUSUGGUPUXNVXMYSZWUHYTYTWUIUWIWEUWJUYFVUNVURWRUWKVUSVWPVWRUXMVWP
      VWRUXMUSUTVUSVUTHVVBIUIUWLXHUWNUXCVUTHVVBIUWOUWPUWQYRWEVUODUWRUKZUYJVOUKV
      UQUXPUSAWUJUYEVUNAVWAWUJPDUWSXAUWTUYIUDUYDVVRXGUYJUCDVOUXPVVQUXAYOXQUXDUX
      BUXEUXFAVUGUYDKDUBFGUXMJVRUXLUXPUALMVUHVVQVUJOPAHIQRUXGAKVRUKZVWNVWBUXLVU
      GUKAVXDVWAWUKOPKDGJMUXHXLVUKVULVUGKEBCVUHNUXIYFUXJUXK $.
  $}

  ${
    $d .^ x y $.  $d H x y $.  $d M x y $.  $d N x $.  $d X x y $.
    $d ph x y $.
    mhppwdeg.h $e |- H = ( I mHomP R ) $.
    mhppwdeg.p $e |- P = ( I mPoly R ) $.
    mhppwdeg.t $e |- T = ( mulGrp ` P ) $.
    mhppwdeg.e $e |- .^ = ( .g ` T ) $.
    mhppwdeg.i $e |- ( ph -> I e. V ) $.
    mhppwdeg.r $e |- ( ph -> R e. Ring ) $.
    mhppwdeg.m $e |- ( ph -> M e. NN0 ) $.
    mhppwdeg.n $e |- ( ph -> N e. NN0 ) $.
    mhppwdeg.x $e |- ( ph -> X e. ( H ` M ) ) $.
    $( Degree of a homogeneous polynomial raised to a power.  General version
       of ~ deg1pw .  (Contributed by SN, 26-Jul-2024.) $)
    mhppwdeg $p |- ( ph -> ( N .^ X ) e. ( H ` ( M x. N ) ) ) $=
      ( vx vy cn0 wcel co cmul cfv cv cc0 caddc wceq oveq1 oveq2 fveq2d eleq12d
      c1 cur cascl csca crg mplsca eqid clmod mpllmod syl2anc mplring ascl1 cbs
      eqtrd ringidcl syl mhpsclcl eqeltrrd mhpmpl mgpbas ringidval mulg0 nn0cnd
      mul01d 3eltr4d wa cmulr ad2antrr simplr nn0mulcld simpr mhpmulcl mgpplusg
      cmnd ringmgp mulgnn0p1 syl3anc 1cnd adddid mulid1d oveq2d nn0indd mpdan
      cc ) AIUCUDIKEUEZHIUFUEZFUGZUDZSAUAUHZKEUEZHXDUFUEZFUGZUDUIKEUEZHUIUFUEZF
      UGZUDUBUHZKEUEZHXKUFUEZFUGZUDZXKUPUJUEZKEUEZHXPUFUEZFUGZUDXCUAUBIXDUIUKZX
      EXHXGXJXDUIKEULXTXFXIFXDUIHUFUMUNUOXDXKUKZXEXLXGXNXDXKKEULYAXFXMFXDXKHUFU
      MUNUOXDXPUKZXEXQXGXSXDXPKEULYBXFXRFXDXPHUFUMUNUOXDIUKZXEWTXGXBXDIKEULYCXF
      XAFXDIHUFUMUNUOABUQUGZUIFUGZXHXJACUQUGZBURUGZUGZYDYEAYHBUSUGZUQUGZYGUGYDA
      YFYJYGACYIUQABCGJUTMPQVAUNUNAYGYIBYGVBZYIVBAGJUDZCUTUDZBVCUDPQBCGJMVDVEAY
      LYMBUTUDZPQBCGJMVFVEZVGVIAYGYFBCFGCVHUGZJLMYKYPVBZPQAYMYFYPUDQYPCYFYQYFVB
      VJVKVLVMAKBVHUGZUDZXHYDUKAYRBCFGHJUTKLMYRVBZPQRTVNZYREDKYDYRBDNYTVOZBYDDN
      YDVBVPOVQVKAXIUIFAHAHRVRZVSUNVTAXKUCUDZWAZXOWAZXLKBWBUGZUEZXMHUJUEZFUGXQX
      SUUFXLKCUUGFGXMHJBLMUUGVBZAYLUUDXOPWCAYMUUDXOQWCUUFHXKAHUCUDUUDXORWCZAUUD
      XOWDZWEUUKUUEXOWFAKHFUGUDUUDXOTWCWGUUFDWIUDZUUDYSXQUUHUKAUUMUUDXOAYNUUMYO
      BDNWJVKWCUULAYSUUDXOUUAWCYRUUGEDXKKUUBOBUUGDNUUJWHWKWLUUFXRUUIFUUFXRXMHUP
      UFUEZUJUEUUIUUFHXKUPAHWSUDUUDXOUUCWCZUUFXKUULVRUUFWMWNUUFUUNHXMUJUUFHUUOW
      OWPVIUNVTWQWR $.
  $}

  ${
    $d I g h $.  $d N g $.
    mhpaddcl.h $e |- H = ( I mHomP R ) $.
    mhpaddcl.p $e |- P = ( I mPoly R ) $.
    mhpaddcl.a $e |- .+ = ( +g ` P ) $.
    mhpaddcl.i $e |- ( ph -> I e. V ) $.
    mhpaddcl.r $e |- ( ph -> R e. Grp ) $.
    mhpaddcl.n $e |- ( ph -> N e. NN0 ) $.
    mhpaddcl.x $e |- ( ph -> X e. ( H ` N ) ) $.
    mhpaddcl.y $e |- ( ph -> Y e. ( H ` N ) ) $.
    $( Homogeneous polynomials are closed under addition.  (Contributed by SN,
       26-Aug-2023.) $)
    mhpaddcl $p |- ( ph -> ( X .+ Y ) e. ( H ` N ) ) $=
      ( vh co vg cbs cfv cv ccnv cn cima cfn wcel cn0 cmap crab cgrp c0g mplgrp
      eqid syl2anc mhpmpl grpcl syl3anc csupp cun ccnfld cress cgsu wceq cplusg
      cof mpladd oveq1d cvv ovexd rabexd grpidcl mplelf grplid suppofssd mhpdeg
      syl eqsstrd unssd sstrd ismhp2 ) ABUBUCZSUDUEUFUGUHUIZSUJFUKTZULZBDUASEFG
      HUMIJCTZDUNUCZKLWDUPZWIUPZWGUPZNOPABUMUIZIWDUIJWDUIWHWDUIAFHUIDUMUIZWMNOB
      DFHLUOUQAWDBDEFGHUMIKLWJNOPQURZAWDBDEFGHUMJKLWJNOPRURZWDCBIJWJMUSUTAWHWIV
      ATZIWIVATZJWIVATZVBZVCUJVDTUAUDVETGVFUAWGULZAWQIJDVGUCZVHTZWIVATWTAWHXCWI
      VAAWDBXBCDFIJLWJXBUPZMWOWPVIVJAWGDUBUCZIJVKXBWIAWESWFWGVKWLAUJFUKVLVMAWNW
      IXEUIZOXEDWIXEUPZWKVNVSZAWDWGBDSFXEILXGWJWLWOVOAWDWGBDSFXEJLXGWJWLWPVOAWN
      XFWIWIXBTWIVFOXHXEXBDWIWIXGXDWKVPUQVQVTAWRWSXAAWGDUASEFGHUMIWIKWKWLNOPQVR
      AWGDUASEFGHUMJWIKWKWLNOPRVRWAWBWC $.
  $}

  ${
    $d I g h $.  $d N g $.
    mhpinvcl.h $e |- H = ( I mHomP R ) $.
    mhpinvcl.p $e |- P = ( I mPoly R ) $.
    mhpinvcl.m $e |- M = ( invg ` P ) $.
    mhpinvcl.i $e |- ( ph -> I e. V ) $.
    mhpinvcl.r $e |- ( ph -> R e. Grp ) $.
    mhpinvcl.n $e |- ( ph -> N e. NN0 ) $.
    mhpinvcl.x $e |- ( ph -> X e. ( H ` N ) ) $.
    $( Homogeneous polynomials are closed under taking the opposite.
       (Contributed by SN, 12-Sep-2023.) $)
    mhpinvcl $p |- ( ph -> ( M ` X ) e. ( H ` N ) ) $=
      ( vh cfv wcel co vg cbs cv ccnv cn cima cfn cn0 cmap crab cgrp c0g mplgrp
      eqid syl2anc mhpmpl grpinvcl csupp ccnfld cgsu wceq cminusg mplneg oveq1d
      cress ccom cvv wfn grpinvfn a1i mplelf ovex rabex fvexd grpinvid suppcoss
      syl eqsstrd mhpdeg sstrd ismhp2 ) ABUBRZQUCUDUEUFUGSZQUHEUITZUJZBCUAQDEGH
      UKIFRZCULRZJKWBUNZWGUNZWEUNZMNOABUKSZIWBSWFWBSAEHSCUKSZWKMNBCEHKUMUOAWBBC
      DEGHUKIJKWHMNOPUPZWBBFIWHLUQUOAWFWGURTZIWGURTZUSUHVETUAUCUTTGVAUAWEUJAWNC
      VBRZIVFZWGURTWOAWFWQWGURAWBBCEFWPHIKWHWPUNZLMNWMVCVDACUBRZWEWPIVGVGWGWGWP
      WSVHAWSCWPWSUNZWRVIVJAWBWEBCQEWSIKWTWHWJWMVKWEVGSAWCQWDUHEUIVLVMVJACULVNA
      WLWGWPRWGVANCWPWGWIWRVOVQVPVRAWECUAQDEGHUKIWGJWIWJMNOPVSVTWA $.
  $}

  ${
    $d N x y $.  $d H x y $.  $d P x y $.  $d ph x y $.  $d I h $.
    mhpsubg.h $e |- H = ( I mHomP R ) $.
    mhpsubg.p $e |- P = ( I mPoly R ) $.
    mhpsubg.i $e |- ( ph -> I e. V ) $.
    mhpsubg.r $e |- ( ph -> R e. Grp ) $.
    mhpsubg.n $e |- ( ph -> N e. NN0 ) $.
    $( Homogeneous polynomials form a subgroup of the polynomials.
       (Contributed by SN, 25-Sep-2023.) $)
    mhpsubg $p |- ( ph -> ( H ` N ) e. ( SubGrp ` P ) ) $=
      ( vx vy vh cfv wcel cv eqid adantr csubg cbs wss c0 wne cplusg co cminusg
      wral wa cgrp cn0 simpr mhpmpl ex ssrdv ccnv cn cima cfn cmap crab c0g csn
      cxp mhp0cl ne0d simplr mhpaddcl ralrimiva mhpinvcl jca w3a mplgrp syl2anc
      wb issubg2 syl mpbir3and ) AFDPZBUAPQZVTBUBPZUCZVTUDUEZMRZNRZBUFPZUGVTQZN
      VTUIZWEBUHPZPVTQZUJZMVTUIZAMVTWBAWEVTQZWEWBQAWNUJZWBBCDEFGUKWEHIWBSZAEGQZ
      WNJTZACUKQZWNKTZAFULQZWNLTZAWNUMZUNUOUPAVTORUQURUSUTQOULEVAUGVBZCVCPZVDVE
      AXDCODEFGXEHXESXDSJKLVFVGAWLMVTWOWIWKWOWHNVTWOWFVTQZUJBWGCDEFGWEWFHIWGSZW
      OWQXFWRTWOWSXFWTTWOXAXFXBTAWNXFVHWOXFUMVIVJWOBCDEWJFGWEHIWJSZWRWTXBXCVKVL
      VJABUKQZWAWCWDWMVMVPAWQWSXIJKBCEGIVNVOMNWBWGVTBWJWPXGXHVQVRVS $.
  $}

  ${
    $d N g $.  $d I g h $.  $d R k $.  $d F k $.  $d ph k $.  $d .x. k $.
    $d X k $.
    mhpvscacl.h $e |- H = ( I mHomP R ) $.
    mhpvscacl.p $e |- P = ( I mPoly R ) $.
    mhpvscacl.t $e |- .x. = ( .s ` P ) $.
    mhpvscacl.k $e |- K = ( Base ` R ) $.
    mhpvscacl.i $e |- ( ph -> I e. V ) $.
    mhpvscacl.r $e |- ( ph -> R e. Ring ) $.
    mhpvscacl.n $e |- ( ph -> N e. NN0 ) $.
    mhpvscacl.x $e |- ( ph -> X e. K ) $.
    mhpvscacl.f $e |- ( ph -> F e. ( H ` N ) ) $.
    $( Homogeneous polynomials are closed under scalar multiplication.
       (Contributed by SN, 25-Sep-2023.) $)
    mhpvscacl $p |- ( ph -> ( X .x. F ) e. ( H ` N ) ) $=
      ( vh vg vk cbs cfv cv ccnv cn cima cfn wcel cn0 cmap co crab crg c0g eqid
      clmod csca mpllmod syl2anc eleqtrdi mplsca fveq2d eleqtrd mhpmpl lmodvscl
      syl3anc csupp ccnfld cress cgsu wceq mplelf wa cmulr adantr eldifi adantl
      cdif mplvscaval cvv ssidd ovexd rabexd fvexd suppssr oveq2d ringrz 3eqtrd
      suppss mhpdeg sstrd ismhp2 ) ABUDUEZUAUFUGUHUIUJUKZUAULGUMUNZUOZBCUBUAFGI
      JUPKEDUNZCUQUEZLMWPURZXAURZWSURZPQRABUSUKZKBUTUEZUDUEZUKEWPUKZWTWPUKAGJUK
      CUPUKZXEPQBCGJMVAVBAKCUDUEZXGAKHXJSOVCACXFUDABCGJUPMPQVDVEVFAWPBCFGIJUPEL
      MXBPQRTVGZKDXFXGWPBEXBXFURNXGURVHVIZAWTXAVJUNEXAVJUNZVKULVLUNUBUFVMUNIVNU
      BWSUOAWSHUCWTXMXAAWPWSBCUAGHWTMOXBXDXLVOAUCUFZWSXMWAUKZVPZXNWTUEKXNEUEZCV
      QUEZUNKXAXRUNZXAXPWPWSBCDXRUAEGHKXNMNOXBXRURZXDAKHUKZXOSVRAXHXOXKVRXOXNWS
      UKAXNWSXMVSVTWBXPXQXAKXRAWSHWCEWCXMXNXAAWPWSBCUAGHEMOXBXDXKVOAXMWDAWQUAWR
      WSWCXDAULGUMWEWFACUQWGWHWIAXSXAVNZXOAXIYAYBQSHCXRKXAOXTXCWJVBVRWKWLAWSCUB
      UAFGIJUPEXALXCXDPQRTWMWNWO $.
  $}

  ${
    $d N a b $.  $d H a b $.  $d P a b $.  $d ph a b $.
    mhplss.h $e |- H = ( I mHomP R ) $.
    mhplss.p $e |- P = ( I mPoly R ) $.
    mhplss.i $e |- ( ph -> I e. V ) $.
    mhplss.r $e |- ( ph -> R e. Ring ) $.
    mhplss.n $e |- ( ph -> N e. NN0 ) $.
    $( Homogeneous polynomials form a linear subspace of the polynomials.
       (Contributed by SN, 25-Sep-2023.) $)
    mhplss $p |- ( ph -> ( H ` N ) e. ( LSubSp ` P ) ) $=
      ( va vb cfv wcel cbs wa eqid adantr clss csubg cv cvsca co wral csca cgrp
      crg ringgrp syl mhpsubg cn0 mplsca fveq2d eleq2d biimpar simprr mhpvscacl
      adantrr ralrimivva clmod wb mpllmod syl2anc islss4 mpbir2and ) AFDOZBUAOZ
      PZVHBUBOPZMUCZNUCZBUDOZUEVHPZNVHUFMBUGOZQOZUFZABCDEFGHIJACUIPZCUHPKCUJUKL
      ULAVOMNVQVHAVLVQPZVMVHPZRZRBCVNVMDECQOZFGVLHIVNSZWCSAEGPZWBJTAVSWBKTAFUMP
      WBLTAVTVLWCPZWAAWFVTAWCVQVLACVPQABCEGUIIJKUNUOUPUQUTAVTWAURUSVAABVBPZVJVK
      VRRVCAWEVSWGJKBCEGIVDVEVQVIVNVHVPBQOZBMNVPSVQSWHSWDVISVFUKVG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Univariate polynomials
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  According to Wikipedia ("Polynomial", 23-Dec-2019,
  ~ https://en.wikipedia.org/wiki/Polynomial ) "A polynomial in one
  indeterminate is called a _univariate polynomial_, a polynomial in more than
  one indeterminate is called a multivariate polynomial."  In this sense
  univariate polynomials are defined as multivariate polynomials restricted to
  one indeterminate/polynomial variable in the following, see ~ ply1bascl2 .

  According to the definition in Wikipedia "a polynomial can either be zero or
  can be written as the sum of a finite number of nonzero terms. Each term
  consists of the product of a number - called the coefficient of the term -
  and a finite number of indeterminates, raised to nonnegative integer
  powers.".  By this, a _term_ of a univariate polynomial (often also called
  "polynomial term") is the product of a coefficient (usually a member of the
  underlying ring) and the variable, raised to a nonnegative integer power.

  A (univariate) polynomial which has only one term is called (univariate)
  _monomial_ - therefore, the notions "term" and "monomial" are often used
  synonymously, see also the definition in [Lang] p. 102.  Sometimes, however,
  a monomial is defined as _power product_, "a product of powers of variables
  with nonnegative integer exponents", see Wikipedia ("Monomial", 23-Dec-2019,
  ~ https://en.wikipedia.org/wiki/Mononomial ).  In [Lang] p. 101, such terms
  are called "primitive monomials".  To avoid any ambiguity, the notion
  "primitive monomial" is used for such power products ("x^i") in the
  following, whereas the synonym for "term" ("a_i x^i") will be "scaled
  monomial".

$)

  $( Introduce new constant symbols. $)
  $c PwSer1 $. $( Univariate power series $)
  $c var1 $. $( Univariate power series variable $)
  $c Poly1 $. $( Univariate polynomial $)
  $c coe1 $. $( Coefficient function for a univariate polynomial $)
  $c toPoly1 $. $( Univariate -> multivariate $)

  $( Univariate power series. $)
  cps1 $a class PwSer1 $.

  $( The base variable of a univariate power series. $)
  cv1 $a class var1 $.

  $( Univariate polynomials. $)
  cpl1 $a class Poly1 $.

  $( Coefficient function for a univariate polynomial. $)
  cco1 $a class coe1 $.

  $( Convert a univariate polynomial representation to multivariate. $)
  ctp1 $a class toPoly1 $.

  ${
    $d f n r $.
    $( Define the algebra of univariate power series.  (Contributed by Mario
       Carneiro, 29-Dec-2014.) $)
    df-psr1 $a |- PwSer1 = ( r e. _V |-> ( ( 1o ordPwSer r ) ` (/) ) ) $.

    $( Define the base element of a univariate power series (the ` X ` element
       of the set ` R [ X ] ` of polynomials and also the ` X ` in the set
       ` R [ [ X ] ] ` of power series).  (Contributed by Mario Carneiro,
       8-Feb-2015.) $)
    df-vr1 $a |- var1 = ( r e. _V |-> ( ( 1o mVar r ) ` (/) ) ) $.

    $( Define the algebra of univariate polynomials.  (Contributed by Mario
       Carneiro, 9-Feb-2015.) $)
    df-ply1 $a |- Poly1 = ( r e. _V |->
      ( ( PwSer1 ` r ) |`s ( Base ` ( 1o mPoly r ) ) ) ) $.

    $( Define the coefficient function for a univariate polynomial.
       (Contributed by Stefan O'Rear, 21-Mar-2015.) $)
    df-coe1 $a |- coe1 = ( f e. _V |-> ( n e. NN0 |->
      ( f ` ( 1o X. { n } ) ) ) ) $.

    $( Define a function which maps a coefficient function for a univariate
       polynomial to the corresponding polynomial object.  (Contributed by
       Mario Carneiro, 12-Jun-2015.) $)
    df-toply1 $a |- toPoly1 = ( f e. _V |-> ( n e. ( NN0 ^m 1o ) |->
      ( f ` ( n ` (/) ) ) ) ) $.
  $}

  $( The set of finite bags on ` 1o ` is just the set of all functions from
     ` 1o ` to ` NN0 ` .  (Contributed by Mario Carneiro, 9-Feb-2015.) $)
  psr1baslem $p |- ( NN0 ^m 1o ) =
    { f e. ( NN0 ^m 1o ) | ( `' f " NN ) e. Fin } $=
    ( cn0 c1o cmap co cv ccnv cn cima cfn wcel crab wceq rabid2 wss c0 csn snfi
    df1o2 eqeltri cnvimass elmapi fssdm ssfi sylancr mprgbir ) BCDEZAFZGHIZJKZA
    UGLMUJAUGUJAUGNUHUGKZCJKUICOUJCPQJSPRTUKCBUIUHUHHUAUHBCUBUCCUIUDUEUF $.

  ${
    $d r R $.
    psr1val.1 $e |- S = ( PwSer1 ` R ) $.
    $( Value of the ring of univariate power series.  (Contributed by Mario
       Carneiro, 8-Feb-2015.) $)
    psr1val $p |- S = ( ( 1o ordPwSer R ) ` (/) ) $=
      ( vr cps1 cfv c0 c1o copws co cvv wcel wceq cv oveq2 fveq1d df-psr1 fvmpt
      fvex wn 0fv eqcomi fvprc reldmopsr ovprc2 3eqtr4a pm2.61i eqtri ) BAEFZGH
      AIJZFZCAKLZUIUKMDAGHDNZIJZFUKKEUMAMGUNUJUMAHIOPDQGUJSRULTZGGGFZUIUKUPGGUA
      UBAEUCUOGUJGHAIUDUEPUFUGUH $.

    $( The ring of univariate power series is a commutative ring.  (Contributed
       by Mario Carneiro, 8-Feb-2015.) $)
    psr1crng $p |- ( R e. CRing -> S e. CRing ) $=
      ( ccrg wcel c0 c1o con0 psr1val 1on a1i id cxp wss 0ss opsrcrng ) ADEZAFG
      BHABCIGHEQJKQLFGGMZNQROKP $.

    $( The ring of univariate power series is an associative algebra.
       (Contributed by Mario Carneiro, 8-Feb-2015.) $)
    psr1assa $p |- ( R e. CRing -> S e. AssAlg ) $=
      ( ccrg wcel c0 c1o con0 psr1val 1on a1i id cxp wss 0ss opsrassa ) ADEZAFG
      BHABCIGHEQJKQLFGGMZNQROKP $.

    $( The ordered power series structure is a totally ordered set.
       (Contributed by Mario Carneiro, 2-Jun-2015.) $)
    psr1tos $p |- ( R e. Toset -> S e. Toset ) $=
      ( ctos wcel c0 c1o con0 psr1val 1on a1i id cxp wss 0ss wwe 0we1 opsrtos )
      ADEZAFGBHABCIGHESJKSLFGGMZNSTOKGFPSQKR $.

    psr1bas2.b $e |- B = ( Base ` S ) $.
    ${
      psr1bas2.o $e |- O = ( 1o mPwSer R ) $.
      $( The base set of the ring of univariate power series.  (Contributed by
         Mario Carneiro, 3-Jul-2015.) $)
      psr1bas2 $p |- B = ( Base ` O ) $=
        ( cbs cfv wceq wtru c0 c1o psr1val cxp wss 0ss a1i opsrbas mptru eqtr4i
        ) ACHIZDHIZFUCUBJKBDLMCGBCENLMMOZPKUDQRSTUA $.
    $}

    psr1bas.k $e |- K = ( Base ` R ) $.
    $( The base set of the ring of univariate power series.  (Contributed by
       Mario Carneiro, 8-Feb-2015.) $)
    psr1bas $p |- B = ( K ^m ( NN0 ^m 1o ) ) $=
      ( vf cn0 c1o cmap co wceq wtru cmps con0 eqid psr1baslem psr1bas2 wcel
      1on a1i psrbas mptru ) ADIJKLZKLMNAUEBJBOLZHJDPUFQZGHRABCUFEFUGSJPTNUAUBU
      CUD $.
  $}

  ${
    $d f h i r x y R $.
    vr1val.1 $e |- X = ( var1 ` R ) $.
    $( The value of the generator of the power series algebra (the ` X ` in
       ` R [ [ X ] ] ` ).  Since all univariate polynomial rings over a fixed
       base ring ` R ` are isomorphic, we don't bother to pass this in as a
       parameter; internally we are actually using the empty set as this
       generator and ` 1o = { (/) } ` is the index set (but for most purposes
       this choice should not be visible anyway).  (Contributed by Mario
       Carneiro, 8-Feb-2015.)  (Revised by Mario Carneiro, 12-Jun-2015.) $)
    vr1val $p |- X = ( ( 1o mVar R ) ` (/) ) $=
      ( vr vi vx vf vh vy cvv wcel c0 c1o cmvr co cfv wceq cv1 cv cmpt oveq2 wn
      fveq1d df-vr1 fvex fvmpt eqtrid fvprc 0fv 3eqtr4g ccnv cima cfn cmap crab
      cn cn0 c1 cc0 cif cur c0g df-mvr reldmmpo ovprc2 eqtr4d pm2.61i ) AJKZBLM
      ANOZPZQVHBARPZVJCDALMDSZNOZPVJJRVLAQLVMVIVLAMNUAUCDUDLVIUEUFUGVHUBZBLLPZV
      JVNVKLBVOARUHCLUIUJVNLVILMANEDJJFESZGHSUKUPULUMKHUQVPUNOUOGSIVPISFSQURUSU
      TTQVLVAPVLVBPUTTTNFIGHEDVCVDVEUCVFVG $.

    vr1cl2.2 $e |- S = ( PwSer1 ` R ) $.
    vr1cl2.3 $e |- B = ( Base ` S ) $.
    $( The variable ` X ` is a member of the power series algebra
       ` R [ [ X ] ] ` .  (Contributed by Mario Carneiro, 8-Feb-2015.) $)
    vr1cl2 $p |- ( R e. Ring -> X e. B ) $=
      ( crg wcel c0 c1o cmvr co cfv vr1val cmps cbs con0 eqid a1i 1on id mvrcl2
      0lt1o psr1val cxp wss 0ss opsrbas eqtr4di eleqtrd eqeltrid ) BHIZDJKBLMZN
      ZABDEOUMUOKBPMZQNZAUMUQBUPKUNRJUPSZUNSUQSKRIUMUATUMUBJKIUMUDTUCUMUQCQNAUM
      BUPJKCURBCFUEJKKUFZUGUMUSUHTUIGUJUKUL $.
  $}

  ${
    $d r x y R $.  $d r x y S $.
    ply1val.1 $e |- P = ( Poly1 ` R ) $.
    ${
      ply1val.2 $e |- S = ( PwSer1 ` R ) $.
      $( The value of the set of univariate polynomials.  (Contributed by Mario
         Carneiro, 9-Feb-2015.) $)
      ply1val $p |- P = ( S |`s ( Base ` ( 1o mPoly R ) ) ) $=
        ( vr cpl1 cfv c1o cmpl co cbs cress cvv wcel wceq cps1 eqtr4di c0 fvprc
        cv fveq2 oveq2 fveq2d oveq12d df-ply1 ovex fvmpt wn ress0 eqtrid oveq1d
        eqtr4d pm2.61i eqtri ) ABGHZCIBJKZLHZMKZDBNOZUPUSPFBFUAZQHZIVAJKZLHZMKU
        SNGVABPZVBCVDURMVEVBBQHZCVABQUBERVEVCUQLVABIJUCUDUEFUFCURMUGUHUTUIZUPSU
        RMKZUSVGUPSVHBGTURUJRVGCSURMVGCVFSEBQTUKULUMUNUO $.

      ply1bas.u $e |- U = ( Base ` P ) $.
      $( The value of the base set of univariate polynomials.  (Contributed by
         Mario Carneiro, 9-Feb-2015.) $)
      ply1bas $p |- U = ( Base ` ( 1o mPoly R ) ) $=
        ( cbs cfv c1o cmpl co wceq cmps eqid psr1bas2 mplbasss ply1val ressbas2
        wss ax-mp eqtr4i ) DAHIZJBKLZHIZGUECHIZTUEUCMUFUDBJBNLZUEJUDOUGOZUEOUFB
        CUGFUFOZUHPQUEUFACABCEFRUISUAUB $.

      $( Univariate polynomials form a linear subspace of the set of univariate
         power series.  (Contributed by Mario Carneiro, 9-Feb-2015.) $)
      ply1lss $p |- ( R e. Ring -> U e. ( LSubSp ` S ) ) $=
        ( vx vy crg wcel c1o co cfv con0 a1i cbs cvv c0 wa cmps clss ply1bas id
        cmpl eqid 1on mpllss eqidd psr1val cxp wss 0ss opsrbas ssv cv opsrplusg
        cplusg oveqdr cvsca ovexd opsrvsca csca psrsca opsrsca lsspropd eleqtrd
        fveq2d ) BJKZDLBUAMZUBNCUBNVILBUEMZBVJDLOVJUFZVKUFABCDEFGUCLOKVIUGPZVIU
        DZUHVIHIVJQNZBQNZVJCRVIVOUIVIBVJSLCVLBCFUJZSLLUKZULVIVRUMPZUNVORULVIVOU
        OPVIHUPZRKIUPZRKTHIVJURNCURNVIBVJSLCVLVQVSUQUSVIVTVPKWAVOKTZTVTWAVJUTNZ
        VAVIWBHIWCCUTNVIBVJSLCVLVQVSVBUSVIBVJVCNQVIBVJLOJVLVMVNVDVHVIBCVCNQVIBV
        JSLCOJVLVQVSVMVNVEVHVFVG $.

      $( Univariate polynomials form a subring of the set of univariate power
         series.  (Contributed by Mario Carneiro, 9-Feb-2015.) $)
      ply1subrg $p |- ( R e. Ring -> U e. ( SubRing ` S ) ) $=
        ( vx vy wcel c1o co csubrg cfv con0 eqid a1i c0 cv cplusg crg cmps cmpl
        ply1bas 1on id mplsubrg cbs eqidd psr1val cxp wss 0ss opsrbas opsrplusg
        wa oveqdr cmulr opsrmulr subrgpropd eleqtrd ) BUAJZDKBUBLZMNCMNVBKBUCLZ
        BVCDKOVCPZVDPABCDEFGUDKOJVBUEQVBUFUGVBHIVCUHNZVCCVBVFUIVBBVCRKCVEBCFUJZ
        RKKUKZULVBVHUMQZUNVBHSVFJISVFJUPZHIVCTNCTNVBBVCRKCVEVGVIUOUQVBVJHIVCURN
        CURNVBBVCRKCVEVGVIUSUQUTVA $.
    $}

    $( The ring of univariate polynomials is a commutative ring.  (Contributed
       by Mario Carneiro, 9-Feb-2015.) $)
    ply1crng $p |- ( R e. CRing -> P e. CRing ) $=
      ( ccrg wcel cps1 cfv c1o cmpl co cbs csubrg psr1crng ply1bas crg crngring
      eqid ply1subrg syl eqeltrrid ply1val subrgcrng syl2anc ) BDEZBFGZDEHBIJKG
      ZUELGZEADEBUEUEQZMUDUFAKGZUGABUEUICUHUIQZNUDBOEUIUGEBPABUEUICUHUJRSTUFUEA
      ABUECUHUAUBUC $.

    $( The ring of univariate polynomials is an associative algebra.
       (Contributed by Mario Carneiro, 9-Feb-2015.) $)
    ply1assa $p |- ( R e. CRing -> P e. AssAlg ) $=
      ( ccrg wcel casa cbs cfv cps1 csubrg clss crg crngring eqid ply1subrg syl
      ply1lss cur co cress wss wa wb psr1assa subrg1cl subrgss c1o cmpl ply1val
      ply1bas oveq2i eqtr4i issubassa syl3anc mpbir2and ) BDEZAFEZAGHZBIHZJHEZU
      RUSKHZEZUPBLEZUTBMZABUSURCUSNZURNZOPZUPVCVBVDABUSURCVEVFQPUPUSFEUSRHZUREZ
      URUSGHZUAZUQUTVBUBUCBUSVEUDUPUTVIVGURUSVHVHNZUEPUPUTVKVGURVJUSVJNZUFPURAV
      HVAVJUSAUSUGBUHSGHZTSUSURTSABUSCVEUIURVNUSTABUSURCVEVFUJUKULVANVMVLUMUNUO
      $.
  $}

  ${
    psr1rcl.p $e |- P = ( PwSer1 ` R ) $.
    psr1rcl.b $e |- B = ( Base ` P ) $.
    $( A univariate power series is a multivariate power series on one index.
       (Contributed by Stefan O'Rear, 25-Mar-2015.) $)
    psr1bascl $p |- ( F e. B -> F e. ( Base ` ( 1o mPwSer R ) ) ) $=
      ( wcel c1o cmps co cbs cfv id eqid psr1bas2 eleqtrdi ) DAGZDAHCIJZKLQMACB
      REFRNOP $.

    psr1basf.k $e |- K = ( Base ` R ) $.
    $( Univariate power series base set elements are functions.  (Contributed
       by Stefan O'Rear, 25-Mar-2015.) $)
    psr1basf $p |- ( F e. B -> F : ( NN0 ^m 1o ) --> K ) $=
      ( cn0 c1o cmap co wf elmapi psr1bas eleq2s ) IJKLZEDMDEQKLADEQNACBEFGHOP
      $.
  $}

  ${
    ply1rcl.p $e |- P = ( Poly1 ` R ) $.
    ply1rcl.b $e |- B = ( Base ` P ) $.
    ply1basf.k $e |- K = ( Base ` R ) $.
    $( Univariate polynomial base set elements are functions.  (Contributed by
       Stefan O'Rear, 21-Mar-2015.) $)
    ply1basf $p |- ( F e. B -> F : ( NN0 ^m 1o ) --> K ) $=
      ( va wcel c1o cmpl co cbs cfv cn0 cmap eqid psr1baslem id eleqtrdi mplelf
      cps1 ply1bas ) DAJZKCLMZNOZPKQMUFCIKEDUFRHUGRISUEDAUGUETBCCUCOZAFUHRGUDUA
      UB $.
  $}

  ${
    ply1bascl.p $e |- P = ( Poly1 ` R ) $.
    ply1bascl.b $e |- B = ( Base ` P ) $.
    $( A univariate polynomial is a univariate power series.  (Contributed by
       Stefan O'Rear, 25-Mar-2015.) $)
    ply1bascl $p |- ( F e. B -> F e. ( Base ` ( PwSer1 ` R ) ) ) $=
      ( cps1 cfv cbs c1o cmpl co eqid ply1val ressbasss eqsstri sseli ) ACGHZIH
      ZDABIHSFJCKLIHSBRBCRERMNSMOPQ $.

    $( A univariate polynomial is a multivariate polynomial on one index.
       (Contributed by Stefan O'Rear, 25-Mar-2015.) $)
    ply1bascl2 $p |- ( F e. B -> F e. ( Base ` ( 1o mPoly R ) ) ) $=
      ( wcel c1o cmpl co cbs cfv cps1 eqid ply1bas eleq2i biimpi ) DAGDHCIJKLZG
      ARDBCCMLZAESNFOPQ $.
  $}

  ${
    $d F f n $.
    coe1fval.a $e |- A = ( coe1 ` F ) $.
    $( Value of the univariate polynomial coefficient function.  (Contributed
       by Stefan O'Rear, 21-Mar-2015.) $)
    coe1fval $p |- ( F e. V -> A =
        ( n e. NN0 |-> ( F ` ( 1o X. { n } ) ) ) ) $=
      ( vf wcel cvv cn0 c1o cv csn cxp cfv cmpt wceq elex cco1 fveq1 mpteq2dv
      df-coe1 nn0ex mptex fvmpt eqtrid syl ) CDGCHGZABIJBKLMZCNZOZPCDQUGACRNUJE
      FCBIUHFKZNZOUJHRUKCPBIULUIUHUKCSTFBUABIUIUBUCUDUEUF $.

    ${
      $d N n $.
      $( Value of an evaluated coefficient in a polynomial coefficient vector.
         (Contributed by Stefan O'Rear, 21-Mar-2015.) $)
      coe1fv $p |- ( ( F e. V /\ N e. NN0 ) -> ( A ` N ) =
            ( F ` ( 1o X. { N } ) ) ) $=
        ( wcel cn0 cfv c1o csn cxp cmpt coe1fval fveq1d wceq sneq xpeq2d fveq2d
        vn cv eqid fvex fvmpt sylan9eq ) BDFZCGFCAHCSGISTZJZKZBHZLZHICJZKZBHZUE
        CAUJASBDEMNSCUIUMGUJUFCOZUHULBUNUGUKIUFCPQRUJUAULBUBUCUD $.

      $( Value of a multivariate coefficient in terms of the coefficient
         vector.  (Contributed by Stefan O'Rear, 21-Mar-2015.) $)
      fvcoe1 $p |- ( ( F e. V /\ X e. ( NN0 ^m 1o ) ) ->
          ( F ` X ) = ( A ` ( X ` (/) ) ) ) $=
        ( wcel cn0 c1o cmap co wa cfv csn cxp wceq df1o2 nn0ex 0ex mapsnconst
        c0 adantl fveq2d wf elmapi 0lt1o ffvelrn sylancl coe1fv sylan2 eqtr4d )
        BCFZDGHIJFZKZDBLHTDLZMNZBLZUNALZUMDUOBULDUOOUKGHDTPQRSUAUBULUKUNGFZUQUP
        OULHGDUCTHFURDGHUDUEHGTDUFUGABUNCEUHUIUJ $.
    $}

    ${
      coe1f2.b $e |- B = ( Base ` P ) $.
      coe1f2.p $e |- P = ( PwSer1 ` R ) $.
      ${
        $d F x y $.
        coe1fval3.g $e |- G = ( y e. NN0 |-> ( 1o X. { y } ) ) $.
        $( Univariate power series coefficient vectors expressed as a function
           composition.  (Contributed by Stefan O'Rear, 25-Mar-2015.) $)
        coe1fval3 $p |- ( F e. B -> A = ( F o. G ) ) $=
          ( vx wcel cn0 c1o cv cfv cmpt cvv wf csn cxp ccom coe1fval co cbs wss
          cmap wceq eqid psr1basf ssv fss sylancl wa fconst6g adantl nn0ex 1oex
          elmap sylibr a1i id feqmptd fveq2 fmptco syl eqtr4d ) FCMZBANOAPZUAUB
          ZFQZRZFGUCZBAFCHUDVINOUHUEZSFTZVNVMUIVIVOEUFQZFTVQSUGVPCDEFVQJIVQUJUK
          VQULVOVQSFUMUNVPALNVOVKLPZFQVLGFVPVJNMZUOONVKTZVKVOMVSVTVPOVJNUPUQNOV
          KURUSUTVAGANVKRUIVPKVBVPLVOSFVPVCVDVRVKFVEVFVGVH $.
      $}

      $d B x $.  $d F x $.
      coe1f2.k $e |- K = ( Base ` R ) $.
      $( Functionality of univariate power series coefficient vectors.
         (Contributed by Stefan O'Rear, 25-Mar-2015.) $)
      coe1f2 $p |- ( F e. B -> A : NN0 --> K ) $=
        ( vx wcel cn0 wf c1o cv csn cxp cmpt ccom cmap co psr1basf c0 df1o2 0ex
        wf1o nn0ex eqid mapsnf1o3 f1of ax-mp fco sylancl coe1fval3 feq1d mpbird
        ) EBLZMFANMFEKMOKPQRSZTZNZURMOUAUBZFENMVBUSNZVABCDEFIHJUCMVBUSUGVCKMOUS
        UDUEUHUFUSUIZUJMVBUSUKULMVBFEUSUMUNURMFAUTKABCDEUSGHIVDUOUPUQ $.
    $}

    coe1f.b $e |- B = ( Base ` P ) $.
    coe1f.p $e |- P = ( Poly1 ` R ) $.
    ${
      $d F y $.
      coe1fval2.g $e |- G = ( y e. NN0 |-> ( 1o X. { y } ) ) $.
      $( Univariate polynomial coefficient vectors expressed as a function
         composition.  (Contributed by Stefan O'Rear, 21-Mar-2015.) $)
      coe1fval2 $p |- ( F e. B -> A = ( F o. G ) ) $=
        ( wcel cps1 cfv cbs ccom wceq ply1bascl eqid coe1fval3 syl ) FCLFEMNZON
        ZLBFGPQCDEFJIRABUCUBEFGHUCSUBSKTUA $.
    $}

    coe1f.k $e |- K = ( Base ` R ) $.
    $( Functionality of univariate polynomial coefficient vectors.
       (Contributed by Stefan O'Rear, 21-Mar-2015.) $)
    coe1f $p |- ( F e. B -> A : NN0 --> K ) $=
      ( wcel cps1 cfv cbs cn0 wf ply1bascl eqid coe1f2 syl ) EBKEDLMZNMZKOFAPBC
      DEIHQAUBUADEFGUBRUARJST $.

    $( A coefficient of a univariate polynomial over a class/ring is an element
       of this class/ring.  (Contributed by AV, 9-Oct-2019.) $)
    coe1fvalcl $p |- ( ( F e. B /\ N e. NN0 ) -> ( A ` N ) e. K ) $=
      ( wcel cn0 coe1f ffvelrnda ) EBLMFGAABCDEFHIJKNO $.
  $}

  ${
    $d B y $.  $d F y $.  $d x y $.
    coe1sfi.a $e |- A = ( coe1 ` F ) $.
    coe1sfi.b $e |- B = ( Base ` P ) $.
    coe1sfi.p $e |- P = ( Poly1 ` R ) $.
    coe1sfi.z $e |- .0. = ( 0g ` R ) $.
    $( Finite support of univariate polynomial coefficient vectors.
       (Contributed by Stefan O'Rear, 21-Mar-2015.)  (Revised by AV,
       19-Jul-2019.) $)
    coe1sfi $p |- ( F e. B -> A finSupp .0. ) $=
      ( vx vy wcel cn0 c1o co c0 cfv eqid cvv cmap cmpt ccnv cfsupp df1o2 nn0ex
      ccom 0ex mapsncnv coe1fval2 cmpl cbs ply1bascl2 cpl1 elbasfv mplelsfi wf1
      cv wf1o mapsnf1o2 f1ocnv f1of1 mp2b a1i c0g fvexi id fsuppco eqbrtrd ) EB
      MZAEKNOUAPZQKURRUBZUCZUGFUDLABCDEVMGHIKLNOVLQUEUFUHVLSZUIUJVJEVMBTNVKFVJO
      DUKPZULRZVODEOTFVOSVPSJBCDEIHUMBCUNEDIHUOUPNVKVMUQZVJVKNVLUSNVKVMUSVQKNOV
      LQUEUFUHVNUTVKNVLVANVKVMVBVCVDFTMVJFDVEJVFVDVJVGVHVI $.

    coe1fvalcl.k $e |- K = ( Base ` R ) $.
    $d A g $.  $d K g $.  $d .0. g $.
    $( The coefficient vector of a univariate polynomial is a finitely
       supported mapping from the nonnegative integers to the elements of the
       coefficient class/ring for the polynomial.  (Contributed by AV,
       3-Oct-2019.) $)
    coe1fsupp $p |- ( F e. B -> A e. { g e. ( K ^m NN0 ) | g finSupp .0. } ) $=
      ( wcel cv cfsupp wbr cn0 cmap cvv co breq1 wf coe1f wa wb cbs fvexi nn0ex
      pm3.2i elmapg mp1i mpbird coe1sfi elrabd ) FBNZEOZHPQAHPQEAGRSUAZUQAHPUBU
      PAURNZRGAUCZABCDFGIJKMUDGTNZRTNZUEUSUTUFUPVAVBGDUGMUHUIUJGRATTUKULUMABCDF
      HIJKLUNUO $.
  $}

  ${
    $d B k s x $.  $d M c $.  $d M k s x $.  $d R c $.  $d R k s x $.
    $d .0. c $.  $d .0. s x $.
    mptcoe1fsupp.p $e |- P = ( Poly1 ` R ) $.
    mptcoe1fsupp.b $e |- B = ( Base ` P ) $.
    mptcoe1fsupp.0 $e |- .0. = ( 0g ` R ) $.
    $( A mapping involving coefficients of polynomials is finitely supported.
       (Contributed by AV, 12-Oct-2019.) $)
    mptcoe1fsupp $p |- ( ( R e. Ring /\ M e. B )
                      -> ( k e. NN0 |-> ( ( coe1 ` M ) ` k ) ) finSupp .0. ) $=
      ( vx vs vc wcel wa cfv cv cvv cn0 eqid wbr crg cbs cco1 c0g fvexi adantll
      a1i coe1fvalcl clt wceq wi wral wrex csb cmap cfsupp crab simpr coe1fsupp
      co elrabi 3syl jctir coe1sfi adantl fsuppmapnn0ub sylc csbfv eqtrid exp31
      a2d ralimdva reximdva mpd mptnn0fsupp ) CUAMZEAMZNZJCUBOZDPZEUCOZOZDQFKFQ
      MZVRFCUDIUEZUGVQVTRMWBVSMVPWAABCEVSVTWASZHGVSSZUHUFVRKPZJPZUITZWHWAOZFUJZ
      UKZJRULZKRUMZWIDWHWBUNZFUJZUKZJRULZKRUMVRWAVSRUOUTZMZWCNWAFUPTZWNVRWTWCVR
      VQWALPFUPTZLWSUQMWTVPVQURWAABCLEVSFWEHGIWFUSXBLWAWSVAVBWDVCVQXAVPWAABCEFW
      EHGIVDVEJVSKWAQFVFVGVRWMWRKRVRWGRMNZWLWQJRXCWHRMNZWIWKWPXDWIWKWPXDWINZWKN
      WOWJFDWHWAVHXEWKURVIVJVKVLVMVNVO $.
  $}

  ${
    $d A a n s $.  $d R a $.  $d .0. a n s $.
    coe1ae0.a $e |- A = ( coe1 ` F ) $.
    coe1ae0.b $e |- B = ( Base ` P ) $.
    coe1ae0.p $e |- P = ( Poly1 ` R ) $.
    coe1ae0.z $e |- .0. = ( 0g ` R ) $.
    $( The coefficient vector of a univariate polynomial is 0 almost
       everywhere.  (Contributed by AV, 19-Oct-2019.) $)
    coe1ae0 $p |- ( F e. B -> E. s e. NN0 A. n e. NN0
                              ( s < n -> ( A ` n ) = .0. ) ) $=
      ( va cv cfsupp wbr cfv cn0 wcel wi cbs cmap crab wceq wral wrex coe1fsupp
      co clt eqid wa breq1 elrab cvv c0g fvexi a1i fsuppmapnn0ub impancom sylbi
      sylan2 mpcom ) AMNZGOPZMDUAQZRUBUHZUCSZFBSZHNENZUIPVIAQGUDTERUEHRUFZABCDM
      FVEGIJKLVEUJUGVGAVFSZAGOPZUKVHVJTVDVLMAVFVCAGOULUMVKVHVLVJVHVKGUNSZVLVJTV
      MVHGDUOLUPUQEVEHAUNGURVAUSUTVB $.
  $}

  ${
    vr1cl.x $e |- X = ( var1 ` R ) $.
    vr1cl.p $e |- P = ( Poly1 ` R ) $.
    vr1cl.b $e |- B = ( Base ` P ) $.
    $( The generator of a univariate polynomial algebra is contained in the
       base set.  (Contributed by Stefan O'Rear, 19-Mar-2015.) $)
    vr1cl $p |- ( R e. Ring -> X e. B ) $=
      ( crg wcel c0 c1o cmvr co cfv vr1val cmpl com eqid cps1 a1i ply1bas 0lt1o
      1onn id mvrcl eqeltrid ) CHIZDJKCLMZNACDEOUGAKCPMZCKUHQJUIRUHRBCCSNZAFUJR
      GUAKQIUGUCTUGUDJKIUGUBTUEUF $.
  $}

  ${
    $d ph x y $.  $d O x y $.  $d S x y $.
    opsr0.s $e |- S = ( I mPwSer R ) $.
    opsr0.o $e |- O = ( ( I ordPwSer R ) ` T ) $.
    opsr0.t $e |- ( ph -> T C_ ( I X. I ) ) $.
    $( Zero in the ordered power series ring.  (Contributed by Stefan O'Rear,
       23-Mar-2015.)  (Revised by Mario Carneiro, 2-Oct-2015.) $)
    opsr0 $p |- ( ph -> ( 0g ` S ) = ( 0g ` O ) ) $=
      ( vx vy cbs cfv eqidd opsrbas cv wcel wa cplusg opsrplusg grpidpropd
      oveqdr ) AJKCLMZCFAUCNABCDEFGHIOAJPUCQKPUCQRJKCSMFSMABCDEFGHITUBUA $.

    $( One in the ordered power series ring.  (Contributed by Stefan O'Rear,
       23-Mar-2015.)  (Revised by Mario Carneiro, 2-Oct-2015.) $)
    opsr1 $p |- ( ph -> ( 1r ` S ) = ( 1r ` O ) ) $=
      ( vx vy cbs cfv eqidd opsrbas cv wcel wa cmulr opsrmulr oveqdr rngidpropd
      ) AJKCLMZCFAUCNABCDEFGHIOAJPUCQKPUCQRJKCSMFSMABCDEFGHITUAUB $.
  $}

  ${
    mplplusg.y $e |- Y = ( I mPoly R ) $.
    mplplusg.s $e |- S = ( I mPwSer R ) $.
    ${
      mplplusg.p $e |- .+ = ( +g ` Y ) $.
      $( Value of addition in a polynomial ring.  (Contributed by Stefan
         O'Rear, 21-Mar-2015.)  (Revised by Mario Carneiro, 2-Oct-2015.) $)
      mplplusg $p |- .+ = ( +g ` S ) $=
        ( cplusg cfv cbs cvv wcel wceq fvex eqid mplval2 ressplusg ax-mp eqtr4i
        ) AEIJZCIJZHEKJZLMUBUANEKOUCUBCELEBCUCDFGUCPQUBPRST $.
    $}

    ${
      mplmulr.n $e |- .x. = ( .r ` Y ) $.
      $( Value of multiplication in a polynomial ring.  (Contributed by Stefan
         O'Rear, 21-Mar-2015.)  (Revised by Mario Carneiro, 2-Oct-2015.) $)
      mplmulr $p |- .x. = ( .r ` S ) $=
        ( cmulr cfv cbs cvv wcel wceq fvex eqid mplval2 ressmulr ax-mp eqtr4i )
        CEIJZBIJZHEKJZLMUBUANEKOUCBEUBLEABUCDFGUCPQUBPRST $.
    $}
  $}

  ${
    psr1plusg.y $e |- Y = ( PwSer1 ` R ) $.
    psr1plusg.s $e |- S = ( 1o mPwSer R ) $.
    ${
      psr1plusg.p $e |- .+ = ( +g ` Y ) $.
      $( Value of addition in a univariate power series ring.  (Contributed by
         Stefan O'Rear, 21-Mar-2015.)  (Revised by Mario Carneiro,
         2-Oct-2015.) $)
      psr1plusg $p |- .+ = ( +g ` S ) $=
        ( cplusg cfv wceq wtru c0 c1o psr1val cxp wss 0ss a1i opsrplusg mptru
        eqtr4i ) ADHIZCHIZGUCUBJKBCLMDFBDENLMMOZPKUDQRSTUA $.
    $}

    ${
      psr1vscafval.n $e |- .x. = ( .s ` Y ) $.
      $( Value of scalar multiplication in a univariate power series ring.
         (Contributed by Stefan O'Rear, 21-Mar-2015.)  (Revised by Mario
         Carneiro, 2-Oct-2015.) $)
      psr1vsca $p |- .x. = ( .s ` S ) $=
        ( cvsca cfv wceq wtru c0 c1o psr1val cxp wss 0ss a1i opsrvsca mptru
        eqtr4i ) CDHIZBHIZGUCUBJKABLMDFADENLMMOZPKUDQRSTUA $.
    $}

    ${
      psr1mulr.n $e |- .x. = ( .r ` Y ) $.
      $( Value of multiplication in a univariate power series ring.
         (Contributed by Stefan O'Rear, 21-Mar-2015.)  (Revised by Mario
         Carneiro, 2-Oct-2015.) $)
      psr1mulr $p |- .x. = ( .r ` S ) $=
        ( cmulr cfv wceq wtru c0 c1o psr1val cxp wss 0ss a1i opsrmulr mptru
        eqtr4i ) CDHIZBHIZGUCUBJKABLMDFADENLMMOZPKUDQRSTUA $.
    $}
  $}

  ${
    ply1plusg.y $e |- Y = ( Poly1 ` R ) $.
    ply1plusg.s $e |- S = ( 1o mPoly R ) $.
    ${
      ply1plusg.p $e |- .+ = ( +g ` Y ) $.
      $( Value of addition in a univariate polynomial ring.  (Contributed by
         Stefan O'Rear, 21-Mar-2015.)  (Revised by Mario Carneiro,
         4-Jul-2015.) $)
      ply1plusg $p |- .+ = ( +g ` S ) $=
        ( cplusg cfv c1o cmps co cps1 eqid mplplusg psr1plusg cmpl cbs cvv wcel
        wceq fvex ply1val ressplusg ax-mp 3eqtr2i eqtr4i ) ADHIZCHIZGUIJBKLZHIB
        MIZHIZUHUIBUJJCFUJNZUINOULBUJUKUKNZUMULNZPJBQLZRIZSTULUHUAUPRUBUQULUKDS
        DBUKEUNUCUOUDUEUFUG $.
    $}

    ${
      ply1vscafval.n $e |- .x. = ( .s ` Y ) $.
      $( Value of scalar multiplication in a univariate polynomial ring.
         (Contributed by Stefan O'Rear, 21-Mar-2015.)  (Revised by Mario
         Carneiro, 4-Jul-2015.) $)
      ply1vsca $p |- .x. = ( .s ` S ) $=
        ( cvsca cfv c1o cmps co cps1 eqid mplvsca2 psr1vsca cmpl cbs cvv wcel
        wceq fvex ply1val ressvsca ax-mp 3eqtr2i eqtr4i ) CDHIZBHIZGUIJAKLZHIAM
        IZHIZUHBAUJUIJFUJNZUINOAUJULUKUKNZUMULNZPJAQLZRIZSTULUHUAUPRUBUQULUKDSD
        AUKEUNUCUOUDUEUFUG $.
    $}

    ${
      ply1mulr.n $e |- .x. = ( .r ` Y ) $.
      $( Value of multiplication in a univariate polynomial ring.  (Contributed
         by Stefan O'Rear, 21-Mar-2015.)  (Revised by Mario Carneiro,
         4-Jul-2015.) $)
      ply1mulr $p |- .x. = ( .r ` S ) $=
        ( cmulr cfv c1o cmps co cps1 eqid mplmulr psr1mulr cmpl cbs cvv wcel
        wceq fvex ply1val ressmulr ax-mp 3eqtr2i eqtr4i ) CDHIZBHIZGUIJAKLZHIAM
        IZHIZUHAUJUIJBFUJNZUINOAUJULUKUKNZUMULNZPJAQLZRIZSTULUHUAUPRUBUQUKDULSD
        AUKEUNUCUOUDUEUFUG $.
    $}
  $}

  ${
    ressply1.s $e |- S = ( Poly1 ` R ) $.
    ressply1.h $e |- H = ( R |`s T ) $.
    ressply1.u $e |- U = ( Poly1 ` H ) $.
    ressply1.b $e |- B = ( Base ` U ) $.
    ressply1.2 $e |- ( ph -> T e. ( SubRing ` R ) ) $.
    ${
      ressply1bas2.w $e |- W = ( PwSer1 ` H ) $.
      ressply1bas2.c $e |- C = ( Base ` W ) $.
      ressply1bas2.k $e |- K = ( Base ` S ) $.
      $( The base set of a restricted polynomial algebra consists of power
         series in the subring which are also polynomials (in the parent ring).
         (Contributed by Mario Carneiro, 3-Jul-2015.) $)
      ressply1bas2 $p |- ( ph -> B = ( C i^i K ) ) $=
        ( c1o eqid cmpl co con0 cmps ply1bas wcel 1on psr1bas2 cps1 ressmplbas2
        a1i cfv ) ABCDSDUAUBZFSHUAUBZHSIUCSHUDUBZUMTLUNTGHJBMPNUESUCUFAUGUKOUOT
        ZCHJUOPQUPUHEDDUIULZIKUQTRUEUJ $.
    $}

    ressply1.p $e |- P = ( S |`s B ) $.
    $( A restricted polynomial algebra has the same base set.  (Contributed by
       Mario Carneiro, 3-Jul-2015.) $)
    ressply1bas $p |- ( ph -> B = ( Base ` P ) ) $=
      ( cbs cfv wss wceq cps1 eqid cin ressply1bas2 inss2 eqsstrdi ressbas2 syl
      ) ABEOPZQBCOPRABHSPZOPZUGUAUGABUIDEFGHUGUHIJKLMUHTUITUGTZUBUIUGUCUDBUGCEN
      UJUEUF $.

    $( A restricted polynomial algebra has the same addition operation.
       (Contributed by Mario Carneiro, 3-Jul-2015.) $)
    ressply1add $p |- ( ( ph /\ ( X e. B /\ Y e. B ) ) ->
        ( X ( +g ` U ) Y ) = ( X ( +g ` P ) Y ) ) $=
      ( co cplusg cfv eqid wcel c1o cmpl cress con0 cps1 ply1bas 1on ressmpladd
      wa a1i ply1plusg oveqi cvv wceq cbs fvexi ressplusg ax-mp 3eqtr3i 3eqtr4g
      ) AIBUAJBUAUJUJIJUBHUCQZRSZQIJUBDUCQZBUDQZRSZQIJGRSZQIJCRSZQABVEDVDFVBHUB
      UEIJVDTZLVBTZGHHUFSZBMVKTNUGUBUEUAAUHUKOVETZUIVGVCIJVGHVBGMVJVGTULUMVHVFI
      JERSZVDRSZVHVFVMDVDEKVIVMTZULBUNUAZVMVHUOBGUPNUQZBVMECUNPVOURUSVPVNVFUOVQ
      BVNVDVEUNVLVNTURUSUTUMVA $.

    $( A restricted polynomial algebra has the same multiplication operation.
       (Contributed by Mario Carneiro, 3-Jul-2015.) $)
    ressply1mul $p |- ( ( ph /\ ( X e. B /\ Y e. B ) ) ->
        ( X ( .r ` U ) Y ) = ( X ( .r ` P ) Y ) ) $=
      ( co cmulr cfv eqid wcel wa c1o cmpl con0 cps1 ply1bas 1on a1i ressmplmul
      cress ply1mulr oveqi cvv wceq cbs fvexi ressmulr ax-mp 3eqtr3i 3eqtr4g )
      AIBUAJBUAUBUBIJUCHUDQZRSZQIJUCDUDQZBUKQZRSZQIJGRSZQIJCRSZQABVEDVDFVBHUCUE
      IJVDTZLVBTZGHHUFSZBMVKTNUGUCUEUAAUHUIOVETZUJVGVCIJHVBVGGMVJVGTULUMVHVFIJE
      RSZVDRSZVHVFDVDVMEKVIVMTZULBUNUAZVMVHUOBGUPNUQZBECVMUNPVOURUSVPVNVFUOVQBV
      DVEVNUNVLVNTURUSUTUMVA $.

    $( A restricted power series algebra has the same scalar multiplication
       operation.  (Contributed by Mario Carneiro, 3-Jul-2015.) $)
    ressply1vsca $p |- ( ( ph /\ ( X e. T /\ Y e. B ) ) ->
        ( X ( .s ` U ) Y ) = ( X ( .s ` P ) Y ) ) $=
      ( co cvsca cfv eqid wcel c1o cmpl cress con0 cps1 ply1bas 1on ressmplvsca
      wa a1i ply1vsca oveqi cvv wceq cbs fvexi ressvsca ax-mp 3eqtr3i 3eqtr4g )
      AIFUAJBUAUJUJIJUBHUCQZRSZQIJUBDUCQZBUDQZRSZQIJGRSZQIJCRSZQABVEDVDFVBHUBUE
      IJVDTZLVBTZGHHUFSZBMVKTNUGUBUEUAAUHUKOVETZUIVGVCIJHVBVGGMVJVGTULUMVHVFIJE
      RSZVDRSZVHVFDVDVMEKVIVMTZULBUNUAZVMVHUOBGUPNUQZBVMECUNPVOURUSVPVNVFUOVQBV
      NVDVEUNVLVNTURUSUTUMVA $.
  $}

  ${
    $d x y R $.  $d x y S $.  $d x y T $.
    subrgply1.s $e |- S = ( Poly1 ` R ) $.
    subrgply1.h $e |- H = ( R |`s T ) $.
    subrgply1.u $e |- U = ( Poly1 ` H ) $.
    subrgply1.b $e |- B = ( Base ` U ) $.
    $( A subring of the base ring induces a subring of polynomials.
       (Contributed by Mario Carneiro, 3-Jul-2015.) $)
    subrgply1 $p |- ( T e. ( SubRing ` R ) -> B e. ( SubRing ` S ) ) $=
      ( vx vy csubrg cfv wcel c1o cmpl eqid wceq a1i con0 cps1 ply1bas subrgmpl
      co 1on mpan eqidd cv wa cplusg ply1plusg oveqdr cmulr ply1mulr subrgpropd
      cbs eleqtrrd ) DBMNOZAPBQUEZMNZCMNPUAOUSAVAOUFABUTDPFQUEZFPUAUTRZHVBREFFU
      BNZAIVDRJUCUDUGUSKLCUQNZCUTUSVEUHVEUTUQNSUSCBBUBNZVEGVFRVERUCTUSKUIVEOLUI
      VEOUJZKLCUKNZUTUKNZVHVISUSVHBUTCGVCVHRULTUMUSVGKLCUNNZUTUNNZVJVKSUSBUTVJC
      GVCVJRUOTUMUPUR $.

    $d B s t $.  $d F s t $.  $d S s t $.  $d U s t $.  $d ph s t $.
    gsumply1subr.s $e |- ( ph -> T e. ( SubRing ` R ) ) $.
    gsumply1subr.a $e |- ( ph -> A e. V ) $.
    gsumply1subr.f $e |- ( ph -> F : A --> B ) $.
    $( Evaluate a group sum in a polynomial ring over a subring.  (Contributed
       by AV, 22-Sep-2019.)  (Proof shortened by AV, 31-Jan-2020.) $)
    gsumply1subr $p |- ( ph -> ( S gsum F ) = ( U gsum F ) ) $=
      ( co cfv wcel vt vs cgsu cress csubmnd subrgply1 csubg subrgsubg subgsubm
      csubrg syl 3syl eqid gsumsubm cvv fexd ovexd fvexi a1i oveq2i ressply1bas
      cpl1 cbs eqcomd crg cmgm subrgring ringmgm cv wa cplusg wceq simpl eleq2d
      biimpcd adantr impcom adantl ressply1add syl12anc ffund frnd gsummgmpropd
      wi crn sseqtrd eqtrd ) AEHUCRECUDRZHUCRGHUCRABCHEWHJPAFDUJSTZCEUJSTZCEUES
      TZOCDEFGIKLMNUFZWJCEUGSTWKCEUHCEUIUKULQWHUMZUNAUAHWHGUOUOUOUBABCJHQPUPAEC
      UDUQGUOTAGIVBMURUSAGVCSZWHVCSZAWNWHDEFGIKLMWNUMOCWNEUDNUTVAVDAWIWHVETZWHV
      FTOWIWJWPWLCEWHWMVGUKWHVHULAUBVIZWOTZUAVIZWOTZVJZVJZWQWSGVKSRZWQWSWHVKSRZ
      XBAWQCTZWSCTZXCXDVLAXAVMXAAXEWRAXEWDWTAWRXEAWOCWQACWOACWHDEFGIKLMNOWMVAZV
      DZVNVOVPVQXAAXFWTAXFWDWRAWTXFAWOCWSXHVNVOVRVQACWHDEFGIWQWSKLMNOWMVSVTVDAB
      CHQWAAHWECWOABCHQWBXGWFWCWG $.
  $}

  ${
    $d I a $.
    psrbaspropd.e $e |- ( ph -> ( Base ` R ) = ( Base ` S ) ) $.
    $( Property deduction for power series base set.  (Contributed by Stefan
       O'Rear, 27-Mar-2015.) $)
    psrbaspropd $p |- ( ph -> ( Base ` ( I mPwSer R ) ) =
                              ( Base ` ( I mPwSer S ) ) ) $=
      ( va cvv wcel cmps co cbs wceq wa cmap eqid psrbas eqtr4d reldmpsr ovprc1
      cfv cv ccnv cima cfn cn0 crab simpr adantr oveq1d fveq2d adantl pm2.61dan
      cn wn c0 ) ADGHZDBIJZKTZDCIJZKTZLZAUPMZURBKTZFUAUBUMUCUDHFUEDNJUFZNJZUTVB
      URVDBUQFDVCGUQOVCOVDOZUROAUPUGZPVBUTCKTZVDNJVEVBUTVDCUSFDVHGUSOVHOVFUTOVG
      PVBVCVHVDNAVCVHLUPEUHUIQQUPUNZVAAVIUQUSKVIUQUOUSDBIRSDCIRSQUJUKUL $.
  $}

  ${
    $d ph a b d y $.  $d ph x $.  $d B x y $.  $d I a b d $.  $d I c $.
    $d R a b d y $.  $d R x $.  $d S a b d y $.  $d S x $.  $d a x $.
    $d c d $.  $d d x $.
    psrplusgpropd.b1 $e |- ( ph -> B = ( Base ` R ) ) $.
    psrplusgpropd.b2 $e |- ( ph -> B = ( Base ` S ) ) $.
    psrplusgpropd.p $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( x ( +g ` R ) y ) = ( x ( +g ` S ) y ) ) $.
    $( Property deduction for power series addition.  (Contributed by Stefan
       O'Rear, 27-Mar-2015.)  (Revised by Mario Carneiro, 3-Oct-2015.) $)
    psrplusgpropd $p |- ( ph -> ( +g ` ( I mPwSer R ) ) =
                                ( +g ` ( I mPwSer S ) ) ) $=
      ( va vb vd vc cplusg cfv co wcel eqid cvv cof cmps cbs cxp cres cmpo ccnv
      cv w3a cn cima cfn cmap crab cmpt wa wceq simpl1 simp2 psrelbas ffvelrnda
      cn0 syl eleqtrrd simp3 oveqrspc2v syl12anc mpteq2dva ffnd rabex a1i inidm
      ovex eqidd offval 3eqtr4d eqtr3d psrbaspropd mpoeq12 syl2anc eqtrd ofmres
      mpoeq3dva 3eqtr4g psrplusg ) AEOPZUAZGEUBQZUCPZWIUDUEZFOPZUAZGFUBQZUCPZWN
      UDUEZWHOPZWMOPZAKLWIWIKUHZLUHZWGQZUFZKLWNWNWRWSWLQZUFZWJWOAXAKLWIWIXBUFZX
      CAKLWIWIWTXBAWRWIRZWSWIRZUIZMNUHUGUJUKULRZNVBGUMQZUNZMUHZWRPZXKWSPZWFQZUO
      MXJXLXMWKQZUOWTXBXGMXJXNXOXGXKXJRZUPZAXLDRXMDRXNXOUQAXEXFXPURZXQXLEUCPZDX
      GXJXSXKWRXGWIXJEWHNGXSWRWHSZXSSZXJSZWISZAXEXFUSUTZVAXQADXSUQXRHVCZVDXQXMX
      SDXGXJXSXKWSXGWIXJEWHNGXSWSXTYAYBYCAXEXFVEUTZVAYEVDABCDDWFWKXLXMJVFVGVHXG
      MXJXJXLXMWFXJWRWSTTXGXJXSWRYDVIZXGXJXSWSYFVIZXJTRXGXHNXIVBGUMVMVJVKZYIXJV
      LZXQXLVNZXQXMVNZVOXGMXJXJXLXMWKXJWRWSTTYGYHYIYIYJYKYLVOVPWCAWIWNUQZYMXDXC
      UQAEFGADXSFUCPHIVQVRZYNKLWIWIWNWNXBVSVTWAWIWIWFKLWBWNWNWKKLWBWDWIWFWPEWHG
      XTYCWFSWPSWEWNWKWQFWMGWMSWNSWKSWQSWEWD $.

    $( Property deduction for polynomial base set.  (Contributed by Stefan
       O'Rear, 27-Mar-2015.)  (Proof shortened by AV, 19-Jul-2019.) $)
    mplbaspropd $p |- ( ph -> ( Base ` ( I mPoly R ) ) =
                              ( Base ` ( I mPoly S ) ) ) $=
      ( va cmpl co cbs cfv wceq c0g cfsupp wbr eqid wcel wa cv cmps crab eqtr3d
      psrbaspropd adantr wb grpidpropd breq2d rabeqbidv mplbas 3eqtr4g reldmmpl
      cvv wn c0 ovprc1 eqtr4d fveq2d adantl pm2.61dan ) AGUPUAZGELMZNOZGFLMZNOZ
      PZAVDUBZKUCZEQOZRSZKGEUDMZNOZUEVKFQOZRSZKGFUDMZNOZUEVFVHVJVMVQKVOVSAVOVSP
      VDAEFGADENOFNOHIUFUGUHAVMVQUIVDAVLVPVKRABCDEFHIJUJUKUHULVOVEEVNVFKGVLVETV
      NTVOTVLTVFTUMVSVGFVRVHKGVPVGTVRTVSTVPTVHTUMUNVDUQZVIAVTVEVGNVTVEURVGGELUO
      USGFLUOUSUTVAVBVC $.
  $}

  ${
    $d B b c e f $.  $d F b c e f $.  $d G b c e f $.  $d I a b c d e f $.
    $d R b c e f $.  $d S b c $.  $d Z b c $.
    psropprmul.y $e |- Y = ( I mPwSer R ) $.
    psropprmul.s $e |- S = ( oppR ` R ) $.
    psropprmul.z $e |- Z = ( I mPwSer S ) $.
    psropprmul.t $e |- .x. = ( .r ` Y ) $.
    psropprmul.u $e |- .xb = ( .r ` Z ) $.
    psropprmul.b $e |- B = ( Base ` Y ) $.
    $( Reversing multiplication in a ring reverses multiplication in the power
       series ring.  (Contributed by Stefan O'Rear, 27-Mar-2015.) $)
    psropprmul $p |- ( ( R e. Ring /\ F e. B /\ G e. B ) ->
        ( F .xb G ) = ( G .x. F ) ) $=
      ( va wcel co cfv vb ve vd vc vf crg w3a cv ccnv cn cima cfn cn0 cmap crab
      cle cofr wbr cmin cof cmulr cmpt cgsu ccom cbs cvv c0g eqid ccmn 3ad2ant1
      wa ringcmn adantr ovex rabex a1i simpll1 wf simp3 psrelbas elrabi ffvelrn
      syl2an ad2antrr ssrab2 psrbagconcl adantll sselid ffvelrnd ringcl syl3anc
      simp2 fmpttd wfun csupp cfsupp mptexg mp1i funmpt fvexd psrbaglefi adantl
      wss cdm suppssdm dmmptss suppssfifsupp syl32anc wf1o psrbagconf1o gsumf1o
      sstri eqidd wceq fveq2 oveq2 fveq2d oveq12d fmptco cmps reldmpsr 3ad2ant3
      strov2rcl psrbagf syl nn0cn nncan caonncan oveq2d opprmul mpteq2dva eqtrd
      cc eqtr4di mptex id cplusg psrmulfval fveq2i eleqtrd coppr opprbas 3eqtrd
      fvexi oppradd gsumpropd psrbaspropd eqtri 3eqtr4g 3eqtr4rd ) BUFRZFARZGAR
      ZUGZUAQUHUIUJUKULRZQUMHUNSZUOZBUBUCUHUAUHZUPUQURZUCUUQUOZUBUHZGTZUURUVAUS
      UTZSZFTZBVATZSZVBZVCSZVBUAUUQCUDUUTUDUHZFTZUURUVJUVCSZGTZCVATZSZVBZVCSZVB
      GFESFGDSUUNUAUUQUVIUVQUUNUURUUQRZVKZUVIBUVHUDUUTUVLVBZVDZVCSBUVPVCSZUVQUV
      SUUTBVETZUUTUVHBUVTVFBVGTZUWCVHZUWDVHUUNBVIRZUVRUUKUULUWFUUMBVLVJVMUUTVFR
      ZUVSUUSUCUUQUUOQUUPUMHUNVNVOVOZVPUVSUBUUTUVGUWCUVSUVAUUTRZVKZUUKUVBUWCRZU
      VEUWCRUVGUWCRUUKUULUUMUVRUWIVQUVSUUQUWCGVRZUVAUUQRUWKUWIUUNUWLUVRUUNAUUQB
      IQHUWCGKUWEUUQVHZPUUKUULUUMVSZVTVMUUSUCUVAUUQWAUUQUWCUVAGWBWCUWJUUQUWCUVD
      FUUNUUQUWCFVRUVRUWIUUNAUUQBIQHUWCFKUWEUWMPUUKUULUUMWLZVTWDUWJUUTUUQUVDUUS
      UCUUQWEUVRUWIUVDUUTRUUNUCUUQUUTQUURHUVAUWMUUTVHZWFWGWHWIUWCBUVFUVBUVEUWEU
      VFVHZWJWKWMUVSUVHVFRZUVHWNZUWDVFRUUTULRZUVHUWDWOSZUUTXCZUVHUWDWPURUWGUWRU
      VSUWHUBUUTUVGVFWQWRUWSUVSUBUUTUVGWSVPUVSBVGWTUVRUWTUUNUCUUQQUURHUWMXAXBUX
      BUVSUXAUVHXDUUTUVHUWDXEUBUUTUVGUVHUVHVHXFXLVPUUTUVHVFVFUWDXGXHUVRUUTUUTUV
      TXIUUNUDUCUUQUUTQUURHUWMUWPXJXBXKUVSUWAUVPBVCUVSUWAUDUUTUVMUURUVLUVCSZFTZ
      UVFSZVBUVPUVSUDUBUUTUUTUVLUVGUXEUVTUVHUVRUVJUUTRZUVLUUTRUUNUCUUQUUTQUURHU
      VJUWMUWPWFWGUVSUVTXMUVSUVHXMUVAUVLXNZUVBUVMUVEUXDUVFUVAUVLGXOUXGUVDUXCFUV
      AUVLUURUVCXPXQXRXSUVSUDUUTUXEUVOUVSUXFVKZUXEUVMUVKUVFSUVOUXHUXDUVKUVMUVFU
      XHUXCUVJFUXHUBUEUURUVJUMHUSVFUUNHVFRZUVRUXFUUMUUKUXIUULABIXTHGKPYAYCYBWDU
      VSHUMUURVRZUXFUVRUXJUUNUUQQUURHUWMYDXBVMUXFHUMUVJVRZUVSUXFUVJUUQRUXKUUSUC
      UVJUUQWAUUQQUVJHUWMYDYEXBUVAUMRZUEUHZUMRZVKUVAUVAUXMUSSUSSUXMXNZUXHUXLUVA
      YMRUXMYMRUXOUXNUVAYFUXMYFUVAUXMYGWCXBYHXQYIUWCBUVNUVFCUVKUVMUWEUWQLUVNVHZ
      YJYNYKYLYIUUNUWBUVQXNZUVRUUKUULUXQUUMUUKUVPBCVFUFVFUVPVFRUUKUDUUTUVOUWHYO
      VPUUKYPCVFRUUKCBUUALUUDVPUWCCVETXNZUUKUWCBCLUWEUUBZVPBYQTZCYQTXNUUKUXTBCL
      UXTVHUUEVPUUFVJVMUUCYKUUNUBUCAUUQBIEUVFQUAGFHKPUWQNUWMUWNUWOYRUUNUDUCJVET
      ZUUQCJDUVNQUAFGHMUYAVHUXPOUWMUUNFAUYAUWOUUNHBXTSZVETZHCXTSZVETAUYAUUNBCHU
      XRUUNUXSVPUUGAIVETUYCPIUYBVEKYSUUHJUYDVEMYSUUIZYTUUNGAUYAUWNUYEYTYRUUJ $.
  $}

  ${
    ply1opprmul.y $e |- Y = ( Poly1 ` R ) $.
    ply1opprmul.s $e |- S = ( oppR ` R ) $.
    ply1opprmul.z $e |- Z = ( Poly1 ` S ) $.
    ply1opprmul.t $e |- .x. = ( .r ` Y ) $.
    ply1opprmul.u $e |- .xb = ( .r ` Z ) $.
    ply1opprmul.b $e |- B = ( Base ` Y ) $.
    $( Reversing multiplication in a ring reverses multiplication in the
       univariate polynomial ring.  (Contributed by Stefan O'Rear,
       27-Mar-2015.) $)
    ply1opprmul $p |- ( ( R e. Ring /\ F e. B /\ G e. B ) ->
        ( F .xb G ) = ( G .x. F ) ) $=
      ( wcel c1o co cfv eqid crg cmps cbs wceq id cps1 ply1bascl psr1bascl cmpl
      syl ply1mulr mplmulr psropprmul syl3an ) BUAPZUOFAPZFQBUBRZUCSZPZGAPZGURP
      ZFGDRGFERUDUOUEUPFBUFSZUCSZPUSAHBFJOUGVCVBBFVBTZVCTZUHUJUTGVCPVAAHBGJOUGV
      CVBBGVDVEUHUJURBCDEFGQUQQCUBRZUQTZKVFTZBUQEQQBUIRZVITZVGBVIEHJVJMUKULCVFD
      QQCUIRZVKTZVHCVKDILVLNUKULURTUMUN $.
  $}

  $( Lemma for ~ ply1basfvi and ~ deg1fvi .  (Contributed by Stefan O'Rear,
     28-Mar-2015.) $)
  00ply1bas $p |- (/) = ( Base ` ( Poly1 ` (/) ) ) $=
    ( va c0 cpl1 cfv cbs cv wcel noel c1o cc0 csn cxp cn0 cmap co wf eqid base0
    ply1basf 0nn0 fconst6 nn0ex 1oex elmap mpbir ffvelrn sylancl 2false eqriv
    mto ) ABBCDZEDZAFZBGUMULGZUMHUNIJKLZUMDZBGZUPHUNMINOZBUMPUOURGZUQULUKBUMBUK
    QULQRSUSIMUOPIJMTUAMIUOUBUCUDUEURBUOUMUFUGUJUHUI $.

  $( Protection compatibility of the univariate polynomial base set.
     (Contributed by Stefan O'Rear, 27-Mar-2015.) $)
  ply1basfvi $p |- ( Base ` ( Poly1 ` R ) ) =
      ( Base ` ( Poly1 ` ( _I ` R ) ) ) $=
    ( cvv wcel cpl1 cfv cbs cid wceq eqcomd fveq2d wn c0 base0 00ply1bas eqtr3i
    fvi fvprc 3eqtr4a pm2.61i ) ABCZADEZFEZAGEZDEZFEZHTUAUDFTAUCDTUCAABPIJJTKZL
    FEZLDEZFEZUBUELUGUIMNOUFUALFADQJUFUDUHFUFUCLDAGQJJRS $.

  $( Protection compatibility of the univariate polynomial addition.
     (Contributed by Stefan O'Rear, 27-Mar-2015.) $)
  ply1plusgfvi $p |- ( +g ` ( Poly1 ` R ) ) =
      ( +g ` ( Poly1 ` ( _I ` R ) ) ) $=
    ( va cid cfv cpl1 cplusg cvv wcel wceq fveq2d c0 c1o cres eqid cxp cn0 cmap
    co wtru con0 fvi wn cmpl cof ply1plusg cmps mplplusg cbs psr1baslem 1on a1i
    base0 psrbas mptru cc0 csn wne wf 0nn0 fconst6 nn0ex 1oex elmap mpbir map0b
    ne0i mp2b eqtr2i psrplusg xp0 reseq2i 3eqtri res0 cnx plusgid eqtri 3eqtr4a
    str0 fvprc pm2.61i eqcomi ) ACDZEDZFDZAEDZFDZAGHZWDWFIWGWCWEFWGWBAEAGUAJJWG
    UBZKEDZFDZKFDZWDWFWJLKUCRZFDZWKUDZKMZWKWJKWLWIWINWLNZWJNUEWMLKUFRZFDZWNKKOZ
    MWOWMKWQLWLWPWQNZWMNUGKWKWRKWQLWTWQUHDZKPLQRZQRZKXAXCISXAXBKWQBLKTWTULBUIXA
    NLTHSUJUKUMUNLUOUPOZXBHZXBKUQXCKIXELPXDURLUOPUSUTPLXDVAVBVCVDXBXDVFXBVEVGVH
    WKNWRNVIWSKWNKVJVKVLWOKWKWNVMFVNFDVOVRVPVLWHWCWIFWHWBKEACVSJJWHWEKFAEVSJVQV
    TWA $.

  ${
    $d ph x y $.  $d B x y $.  $d R x y $.  $d S x y $.
    ply1baspropd.b1 $e |- ( ph -> B = ( Base ` R ) ) $.
    ply1baspropd.b2 $e |- ( ph -> B = ( Base ` S ) ) $.
    ply1baspropd.p $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( x ( +g ` R ) y ) = ( x ( +g ` S ) y ) ) $.
    $( Property deduction for univariate polynomial base set.  (Contributed by
       Stefan O'Rear, 27-Mar-2015.) $)
    ply1baspropd $p |- ( ph -> ( Base ` ( Poly1 ` R ) ) =
          ( Base ` ( Poly1 ` S ) ) ) $=
      ( c1o cmpl co cbs cfv cpl1 mplbaspropd cps1 eqid ply1bas 3eqtr4g ) AJEKLM
      NJFKLMNEONZMNZFONZMNZABCDEFJGHIPUAEEQNZUBUARUERUBRSUCFFQNZUDUCRUFRUDRST
      $.

    $( Property deduction for univariate polynomial addition.  (Contributed by
       Stefan O'Rear, 27-Mar-2015.) $)
    ply1plusgpropd $p |- ( ph -> ( +g ` ( Poly1 ` R ) ) =
          ( +g ` ( Poly1 ` S ) ) ) $=
      ( c1o cmpl co cplusg cfv cpl1 cmps eqid mplplusg 3eqtr4g ply1plusg
      psrplusgpropd ) AJEKLZMNZJFKLZMNZEONZMNZFONZMNZAJEPLZMNJFPLZMNUCUEABCDEFJ
      GHIUAUCEUJJUBUBQZUJQUCQRUEFUKJUDUDQZUKQUEQRSUGEUBUFUFQULUGQTUIFUDUHUHQUMU
      IQTS $.
  $}

  ${
    $d ph x y $.  $d I x y $.  $d O x y $.  $d R x y $.
    opsrring.o $e |- O = ( ( I ordPwSer R ) ` T ) $.
    opsrring.i $e |- ( ph -> I e. V ) $.
    opsrring.r $e |- ( ph -> R e. Ring ) $.
    opsrring.t $e |- ( ph -> T C_ ( I X. I ) ) $.
    $( Ordered power series form a ring.  (Contributed by Stefan O'Rear,
       22-Mar-2015.) $)
    opsrring $p |- ( ph -> O e. Ring ) $=
      ( vx vy cmps crg wcel cfv cv cplusg oveqdr cmulr eqid psrring cbs opsrbas
      co eqidd wa opsrplusg opsrmulr ringpropd mpbid ) ADBMUEZNOENOABULDFULUAZH
      IUBAKLULUCPZULEAUNUFABULCDEUMGJUDAKQUNOLQUNOUGZKLULRPERPABULCDEUMGJUHSAUO
      KLULTPETPABULCDEUMGJUISUJUK $.

    $( Ordered power series form a left module.  (Contributed by Stefan O'Rear,
       26-Mar-2015.) $)
    opsrlmod $p |- ( ph -> O e. LMod ) $=
      ( vx vy clmod wcel eqid cbs cfv cv wa cplusg cmps psrlmod eqidd opsrplusg
      co opsrbas oveqdr crg psrsca opsrsca cvsca opsrvsca lmodpropd mpbid ) ADB
      UAUEZMNEMNABUODFUOOZHIUBAKLUOPQZBPQZBUOEAUQUCABUOCDEUPGJUFAKRZUQNLRUQNZSK
      LUOTQETQABUOCDEUPGJUDUGABUODFUHUPHIUIABUOCDEFUHUPGJHIUJUROAUSURNUTSKLUOUK
      QEUKQABUOCDEUPGJULUGUMUN $.
  $}

  ${
    psr1ring.s $e |- S = ( PwSer1 ` R ) $.
    $( Univariate power series form a ring.  (Contributed by Stefan O'Rear,
       22-Mar-2015.) $)
    psr1ring $p |- ( R e. Ring -> S e. Ring ) $=
      ( crg wcel c0 c1o con0 psr1val 1on a1i id cxp wss 0ss opsrring ) ADEZAFGB
      HABCIGHEQJKQLFGGMZNQROKP $.
  $}

  ${
    ply1ring.p $e |- P = ( Poly1 ` R ) $.
    $( Univariate polynomials form a ring.  (Contributed by Stefan O'Rear,
       22-Mar-2015.) $)
    ply1ring $p |- ( R e. Ring -> P e. Ring ) $=
      ( crg wcel c1o cmpl co cbs cfv cps1 csubrg eqid ply1bas ply1subrg ply1val
      eqeltrrid subrgring syl ) BDEZFBGHIJZBKJZLJZEADETUAAIJZUCABUBUDCUBMZUDMZN
      ABUBUDCUEUFOQUAUBAABUBCUEPRS $.
  $}

  ${
    psr1lmod.p $e |- P = ( PwSer1 ` R ) $.
    $( Univariate power series form a left module.  (Contributed by Stefan
       O'Rear, 26-Mar-2015.) $)
    psr1lmod $p |- ( R e. Ring -> P e. LMod ) $=
      ( crg wcel c0 c1o con0 psr1val 1on a1i id cxp wss 0ss opsrlmod ) BDEZBFGA
      HBACIGHEQJKQLFGGMZNQROKP $.

    $( Scalars of a univariate power series ring.  (Contributed by Stefan
       O'Rear, 4-Jul-2015.) $)
    psr1sca $p |- ( R e. V -> R = ( Scalar ` P ) ) $=
      ( wcel c1o cmps co c0 con0 eqid psr1val cxp wss 0ss a1i 1on id opsrsca )
      BCEZBFBGHZIFAJCUAKBADLIFFMZNTUBOPFJETQPTRS $.

    $( Scalars of a univariate power series ring.  (Contributed by Stefan
       O'Rear, 26-Mar-2015.)  (Revised by Mario Carneiro, 4-Jul-2015.) $)
    psr1sca2 $p |- ( _I ` R ) = ( Scalar ` P ) $=
      ( cvv wcel cid cfv csca wceq fvi psr1sca eqtrd wn c0 cnx scaid str0 fvprc
      cps1 eqtrid fveq2d 3eqtr4a pm2.61i ) BDEZBFGZAHGZIUDUEBUFBDJABDCKLUDMZNNH
      GUEUFHOHGPQBFRUGANHUGABSGNCBSRTUAUBUC $.
  $}

  ${
    ply1lmod.p $e |- P = ( Poly1 ` R ) $.
    $( Univariate polynomials form a left module.  (Contributed by Stefan
       O'Rear, 26-Mar-2015.) $)
    ply1lmod $p |- ( R e. Ring -> P e. LMod ) $=
      ( crg wcel cps1 cfv clmod c1o cmpl co cbs clss eqid psr1lmod cpl1 ply1bas
      ply1lss eqeltrrid ply1val lsslmod syl2anc ) BDEZBFGZHEIBJKLGZUDMGZEAHEUDB
      UDNZOUCUEBPGZLGZUFUHBUDUIUHNZUGUINZQUHBUDUIUJUGUKRSUFUEUDAABUDCUGTUFNUAUB
      $.

    $( Scalars of a univariate polynomial ring.  (Contributed by Stefan O'Rear,
       26-Mar-2015.) $)
    ply1sca $p |- ( R e. V -> R = ( Scalar ` P ) ) $=
      ( wcel cps1 cfv csca eqid psr1sca c1o cmpl co cbs wceq fvex ply1val ax-mp
      cvv resssca eqtrdi ) BCEBBFGZHGZAHGZUBBCUBIZJKBLMZNGZSEUCUDOUFNPUGUCUBASA
      BUBDUEQUCITRUA $.

    $( Scalars of a univariate polynomial ring.  (Contributed by Stefan O'Rear,
       26-Mar-2015.) $)
    ply1sca2 $p |- ( _I ` R ) = ( Scalar ` P ) $=
      ( cvv wcel cid cfv csca wceq ply1sca eqtrd wn c0 fvprc cpl1 fveq2d fveq2i
      fvi cnx scaid str0 3eqtr4g eqtr4d pm2.61i ) BDEZBFGZAHGZIUEUFBUGBDRABDCJK
      UELZUFMUGBFNUHBOGZHGMHGUGMUHUIMHBONPAUIHCQHSHGTUAUBUCUD $.
  $}

  ${
    $d M x y $.  $d P x y $.  $d R x y $.
    ply1mpl0.m $e |- M = ( 1o mPoly R ) $.
    ply1mpl0.p $e |- P = ( Poly1 ` R ) $.
    ply1mpl0.z $e |- .0. = ( 0g ` P ) $.
    $( The univariate polynomial ring has the same zero as the corresponding
       multivariate polynomial ring.  (Contributed by Stefan O'Rear,
       23-Mar-2015.)  (Revised by Mario Carneiro, 3-Oct-2015.) $)
    ply1mpl0 $p |- .0. = ( 0g ` M ) $=
      ( vx vy c0g cfv wceq wtru cbs eqidd eqid a1i cv wcel cplusg c1o cmpl cps1
      co ply1bas fveq2i eqtr4i wa ply1plusg oveqdr grpidpropd mptru eqtri ) DAJ
      KZCJKZGUNUOLMHIANKZACMUPOUPCNKZLMUPUABUBUDZNKUQABBUCKZUPFUSPUPPUECURNEUFU
      GQMHRUPSIRUPSUHHIATKZCTKZUTVALMUTBCAFEUTPUIQUJUKULUM $.
  $}

  ${
    ply10s0.p $e |- P = ( Poly1 ` R ) $.
    ply10s0.b $e |- B = ( Base ` P ) $.
    ply10s0.m $e |- .* = ( .s ` P ) $.
    ply10s0.e $e |- .0. = ( 0g ` R ) $.
    $( Zero times a univariate polynomial is the zero polynomial ( ~ lmod0vs
       analog.)  (Contributed by AV, 2-Dec-2019.) $)
    ply10s0 $p |- ( ( R e. Ring /\ M e. B ) -> ( .0. .* M ) = ( 0g ` P ) ) $=
      ( crg wcel wa co csca cfv c0g wceq ply1sca eqid adantr fveq2d clmod sylan
      eqtrid oveq1d ply1lmod lmod0vs eqtrd ) CKLZEALZMZFEDNBOPZQPZEDNZBQPZULFUN
      EDULFCQPUNJULCUMQUJCUMRUKBCKGSUAUBUEUFUJBUCLUKUOUPRBCGUGDUMUNABEUPHUMTIUN
      TUPTUHUDUI $.
  $}

  ${
    $d x y M $.  $d x y P $.
    ply1mpl1.m $e |- M = ( 1o mPoly R ) $.
    ply1mpl1.p $e |- P = ( Poly1 ` R ) $.
    ply1mpl1.o $e |- .1. = ( 1r ` P ) $.
    $( The univariate polynomial ring has the same one as the corresponding
       multivariate polynomial ring.  (Contributed by Stefan O'Rear,
       23-Mar-2015.)  (Revised by Mario Carneiro, 3-Oct-2015.) $)
    ply1mpl1 $p |- .1. = ( 1r ` M ) $=
      ( vx vy cur cfv wceq wtru cbs eqidd eqid a1i cv wcel cmulr c1o co ply1bas
      cmpl cps1 fveq2i eqtr4i wa ply1mulr oveqdr rngidpropd mptru eqtri ) CAJKZ
      DJKZGUNUOLMHIANKZADMUPOUPDNKZLMUPUABUDUBZNKUQABBUEKZUPFUSPUPPUCDURNEUFUGQ
      MHRUPSIRUPSUHHIATKZDTKZUTVALMBDUTAFEUTPUIQUJUKULUM $.
  $}

  ${
    $d x y P $.  $d x y R $.
    ply1ascl.p $e |- P = ( Poly1 ` R ) $.
    ply1ascl.a $e |- A = ( algSc ` P ) $.
    $( The univariate polynomial ring inherits the multivariate ring's scalar
       function.  (Contributed by Stefan O'Rear, 28-Mar-2015.)  (Proof
       shortened by Fan Zheng, 26-Jun-2016.) $)
    ply1ascl $p |- A = ( algSc ` ( 1o mPoly R ) ) $=
      ( vx vy cascl cfv c1o cmpl cvv wcel wceq cbs csca eqid fveq2d a1i cur 1on
      co ply1sca id mplsca cv wa cvsca ply1vsca oveqdr ply1mpl1 fvexd asclpropd
      con0 wn c0 cpl1 fvprc eqtrid reldmmpl ovprc2 eqtr4d pm2.61i eqtri ) ABHIZ
      JCKUBZHIZECLMZVEVGNVHFGCOIZBPIZVFPIZBVFLVJQVKQVHCVJOBCLDUCRVHCVKOVHVFCJUN
      LVFQZJUNMVHUASVHUDUERVHFUFVIMGUFLMUGFGBUHIZVFUHIZVMVNNVHCVFVMBDVLVMQUISUJ
      BTIZVFTINVHBCVOVFVLDVOQUKSVHBTULUMVHUOZBVFHVPBUPVFVPBCUQIUPDCUQURUSJCKUTV
      AVBRVCVD $.
  $}

  ${
    subrg1ascl.p $e |- P = ( Poly1 ` R ) $.
    subrg1ascl.a $e |- A = ( algSc ` P ) $.
    subrg1ascl.h $e |- H = ( R |`s T ) $.
    subrg1ascl.u $e |- U = ( Poly1 ` H ) $.
    subrg1ascl.r $e |- ( ph -> T e. ( SubRing ` R ) ) $.
    ${
      subrg1ascl.c $e |- C = ( algSc ` U ) $.
      $( The scalar injection function in a subring algebra is the same up to a
         restriction to the subring.  (Contributed by Mario Carneiro,
         4-Jul-2015.) $)
      subrg1ascl $p |- ( ph -> C = ( A |` T ) ) $=
        ( c1o cmpl co con0 eqid ply1ascl wcel 1on a1i subrgascl ) ABCOEPQZEFOHP
        QZHORUESBDEIJTKUFSORUAAUBUCMCGHLNTUD $.
    $}

    subrg1asclcl.b $e |- B = ( Base ` U ) $.
    subrg1asclcl.k $e |- K = ( Base ` R ) $.
    subrg1asclcl.x $e |- ( ph -> X e. K ) $.
    $( The scalars in a polynomial algebra are in the subring algebra iff the
       scalar value is in the subring.  (Contributed by Mario Carneiro,
       4-Jul-2015.) $)
    subrg1asclcl $p |- ( ph -> ( ( A ` X ) e. B <-> X e. T ) ) $=
      ( c1o eqid cmpl con0 ply1ascl wcel 1on a1i cps1 cfv ply1bas subrgasclcl
      co ) ABCSEUAUKZEFSHUAUKZHSIUBJULTBDEKLUCMUMTSUBUDAUEUFOGHHUGUHZCNUNTPUIQR
      UJ $.
  $}

  ${
    subrgvr1.x $e |- X = ( var1 ` R ) $.
    subrgvr1.r $e |- ( ph -> T e. ( SubRing ` R ) ) $.
    subrgvr1.h $e |- H = ( R |`s T ) $.
    $( The variables in a subring polynomial algebra are the same as the
       original ring.  (Contributed by Mario Carneiro, 5-Jul-2015.) $)
    subrgvr1 $p |- ( ph -> X = ( var1 ` H ) ) $=
      ( c0 c1o cmvr co cfv cv1 con0 eqid wcel 1on a1i vr1val subrgmvr 3eqtr4g
      fveq1d ) AIJBKLZMIJDKLZMEDNMZAIUDUEABCDJUDOUDPJOQARSGHUAUCBEFTDUFUFPTUB
      $.

    subrgvr1cl.u $e |- U = ( Poly1 ` H ) $.
    subrgvr1cl.b $e |- B = ( Base ` U ) $.
    $( The variables in a polynomial algebra are contained in every subring
       algebra.  (Contributed by Mario Carneiro, 5-Jul-2015.) $)
    subrgvr1cl $p |- ( ph -> X e. B ) $=
      ( c0 c1o cmvr co cfv wcel con0 eqid vr1val wf cmpl 1on a1i cps1 subrgmvrf
      ply1bas 0lt1o ffvelrn sylancl eqeltrid ) AGMNCOPZQZBCGHUAANBUMUBMNRUNBRAB
      CDNFUCPZFNUMSUMTNSRAUDUEIJUOTEFFUFQZBKUPTLUHUGUINBMUMUJUKUL $.
  $}

  ${
    $d P a $.  $d R a $.  $d Y a b $.  $d .0. a $.
    coe1z.p $e |- P = ( Poly1 ` R ) $.
    coe1z.z $e |- .0. = ( 0g ` P ) $.
    coe1z.y $e |- Y = ( 0g ` R ) $.
    $( The coefficient vector of 0.  (Contributed by Stefan O'Rear,
       23-Mar-2015.) $)
    coe1z $p |- ( R e. Ring -> ( coe1 ` .0. ) = ( NN0 X. { Y } ) ) $=
      ( va vb vc crg wcel cn0 c1o cv csn cxp cmpt eqid wceq ccom cco1 cfv co wa
      cmap wf fconst6g adantl nn0ex 1oex elmap sylibr eqidd psr1baslem ply1mpl0
      cmpl con0 1on a1i ringgrp mpl0 fconstmpt eqtrdi fmptco ply1ring coe1fval2
      cbs ring0cl 3syl 3eqtr4d ) BKLZDHMNHOZPQZRZUAZHMCRZDUBUCZMCPZQZVLHIMMNUFU
      DZVNCCVODVLVMMLZUENMVNUGZVNWALWBWCVLNVMMUHUIMNVNUJUKULUMVLVOUNVLDWAVSQIWA
      CRVLWANBUQUDZBJNCURDWDSZJUOGABWDDWEEFUPNURLVLUSUTBVAVBIWACVCVDIOVNTCUNVEV
      LAKLDAVHUCZLVRVPTABEVFWFADWFSZFVIHVRWFABDVOVRSWGEVOSVGVJVTVQTVLHMCVCUTVK
      $.
  $}

  ${
    $d B a $.  $d F a $.  $d G a $.  $d .+b a $.
    coe1add.y $e |- Y = ( Poly1 ` R ) $.
    coe1add.b $e |- B = ( Base ` Y ) $.
    coe1add.p $e |- .+b = ( +g ` Y ) $.
    coe1add.q $e |- .+ = ( +g ` R ) $.
    $( The coefficient vector of an addition.  (Contributed by Stefan O'Rear,
       24-Mar-2015.) $)
    coe1add $p |- ( ( R e. Ring /\ F e. B /\ G e. B ) ->
      ( coe1 ` ( F .+b G ) ) = ( ( coe1 ` F ) oF .+ ( coe1 ` G ) ) ) $=
      ( va wcel co cn0 c1o ccom cfv eqid cvv crg w3a csn cxp cmpt cof cco1 cmpl
      cv cps1 ply1bas ply1plusg simp2 simp3 mpladd coeq1d cmap wfn cbs ply1basf
      ffnd 3ad2ant2 3ad2ant3 wf1o wf c0 df1o2 nn0ex 0ex mapsnf1o3 f1of mp1i a1i
      ovexd inidm ofco eqtrd ply1ring ringacl syl3an1 coe1fval2 oveq12d 3eqtr4d
      wceq syl ) DUAMZEAMZFAMZUBZEFCNZLOPLUIUCUDUEZQZEWKQZFWKQZBUFZNZWJUGRZEUGR
      ZFUGRZWONWIWLEFWONZWKQWPWIWJWTWKWIAPDUHNZBCDPEFXASZGDDUJRZAHXCSIUKKCDXAGH
      XBJULWFWGWHUMWFWGWHUNUOUPWIOPUQNZXDXDOBEFWKTTTWGWFEXDURWHWGXDDUSRZEAGDEXE
      HIXESZUTVAVBWHWFFXDURWGWHXDXEFAGDFXEHIXFUTVAVCOXDWKVDOXDWKVEWILOPWKVFVGVH
      VIWKSZVJOXDWKVKVLWIOPUQVNZXHOTMWIVHVMXDVOVPVQWIWJAMZWQWLWDWFGUAMWGWHXIGDH
      VRACGEFIJVSVTLWQAGDWJWKWQSIHXGWAWEWIWRWMWSWNWOWGWFWRWMWDWHLWRAGDEWKWRSIHX
      GWAVBWHWFWSWNWDWGLWSAGDFWKWSSIHXGWAVCWBWC $.

    $( A particular coefficient of an addition.  (Contributed by Stefan O'Rear,
       23-Mar-2015.) $)
    coe1addfv $p |- ( ( ( R e. Ring /\ F e. B /\ G e. B ) /\ X e. NN0 ) ->
        ( ( coe1 ` ( F .+b G ) ) ` X ) =
          ( ( ( coe1 ` F ) ` X ) .+ ( ( coe1 ` G ) ` X ) ) ) $=
      ( wcel cn0 co cco1 cfv wceq adantr eqid crg w3a wa cof coe1add fveq1d wfn
      cvv cbs coe1f ffnd 3ad2ant2 3ad2ant3 nn0ex simpr fnfvof syl22anc eqtrd
      a1i ) DUAMZEAMZFAMZUBZGNMZUCZGEFCOPQZQGEPQZFPQZBUDOZQZGVGQGVHQBOZVEGVFVIV
      CVFVIRVDABCDEFHIJKLUESUFVEVGNUGZVHNUGZNUHMZVDVJVKRVCVLVDVAUTVLVBVANDUIQZV
      GVGAHDEVOVGTJIVOTZUJUKULSVCVMVDVBUTVMVAVBNVOVHVHAHDFVOVHTJIVPUJUKUMSVNVEU
      NUSVCVDUONBVGVHUHGUPUQUR $.
  $}

  ${
    coe1sub.y $e |- Y = ( Poly1 ` R ) $.
    coe1sub.b $e |- B = ( Base ` Y ) $.
    coe1sub.p $e |- .- = ( -g ` Y ) $.
    coe1sub.q $e |- N = ( -g ` R ) $.
    $( A particular coefficient of a subtraction.  (Contributed by Stefan
       O'Rear, 23-Mar-2015.) $)
    coe1subfv $p |- ( ( ( R e. Ring /\ F e. B /\ G e. B ) /\ X e. NN0 ) ->
        ( ( coe1 ` ( F .- G ) ) ` X ) =
          ( ( ( coe1 ` F ) ` X ) N ( ( coe1 ` G ) ` X ) ) ) $=
      ( wcel cn0 cco1 cfv co wceq adantr eqid crg w3a wa cplusg simpl1 ply1ring
      cgrp ringgrp syl grpsubcl simpl3 simpr coe1addfv syl31anc 3ad2ant1 simpl2
      syl3an1 grpnpcan syl3anc fveq2d fveq1d eqtr3d wb coe1f 3ad2ant2 ffvelrnda
      cbs wf 3ad2ant3 grpsubadd syl13anc mpbird eqcomd ) BUAMZCAMZDAMZUBZGNMZUC
      ZGCOPZPZGDOPZPZFQZGCDEQZOPZPZVSWDWGRZWGWCBUDPZQZWARZVSGWEDHUDPZQZOPZPZWJW
      AVSVNWEAMZVPVRWOWJRVNVOVPVRUEVQWPVRVNHUGMZVOVPWPVNHUAMWQHBIUFHUHUIZAHECDJ
      KUJUQZSVNVOVPVRUKZVQVRULAWIWLBWEDGHIJWLTZWITZUMUNVSGWNVTVSWMCOVSWQVOVPWMC
      RVQWQVRVNVOWQVPWRUOSVNVOVPVRUPWTAWLHECDJXAKURUSUTVAVBVSBUGMZWABVGPZMWCXDM
      WGXDMWHWKVCVQXCVRVNVOXCVPBUHUOSVQNXDGVTVOVNNXDVTVHVPVTAHBCXDVTTJIXDTZVDVE
      VFVQNXDGWBVPVNNXDWBVHVOWBAHBDXDWBTJIXEVDVIVFVQNXDGWFVQWPNXDWFVHWSWFAHBWEX
      DWFTJIXEVDUIVFXDWIBFWAWCWGXEXBLVJVKVLVM $.
  $}

  ${
    $d A a $.  $d X a $.
    $( An equivalence for ~ coe1mul2 .  (Contributed by Stefan O'Rear,
       25-Mar-2015.) $)
    coe1mul2lem1 $p |- ( ( A e. NN0 /\ X e. ( NN0 ^m 1o ) ) ->
          ( X oR <_ ( 1o X. { A } ) <-> ( X ` (/) ) e. ( 0 ... A ) ) ) $=
      ( va cn0 wcel c1o co wa csn cxp cle wbr c0 con0 a1i cmpt adantl fconstmpt
      wceq wb cmap cofr cfv cc0 cfz cvv 1on fvexd simpll df1o2 nn0ex mapsnconst
      wral cv 0ex eqtrdi ofrfval2 wne 1n0 r19.3rzv mp1i wf elmapi 0lt1o ffvelrn
      sylancl biantrurd fznn0 adantr bitr4d 3bitr2d ) ADEZBDFUAGEZHZBFAIJZKUBLM
      BUCZAKLZCFUMZVQVPUDAUEGEZVNCFVPAKBVONUFDFNEVNUGOVNCUNFEZHMBUHVLVMVTUIVNBF
      VPIJZCFVPPVMBWASVLDFBMUJUKUOULQCFVPRUPVOCFAPSVNCFAROUQFMURVQVRTVNUSVQCFUT
      VAVNVQVPDEZVQHZVSVNWBVQVMWBVLVMFDBVBMFEWBBDFVCVDFDMBVEVFQVGVLVSWCTVMVPAVH
      VIVJVK $.

    $d H c $.  $d c d k $.
    coe1mul2lem2.h $e |- H = { d e. ( NN0 ^m 1o ) |
          d oR <_ ( 1o X. { k } ) } $.
    $( An equivalence for ~ coe1mul2 .  (Contributed by Stefan O'Rear,
       25-Mar-2015.) $)
    coe1mul2lem2 $p |- ( k e. NN0 ->
        ( c e. H |-> ( c ` (/) ) ) : H -1-1-onto-> ( 0 ... k ) ) $=
      ( cv cn0 wcel c1o cmap co c0 cfv cmpt cima wf1o wss ax-mp crab wceq df1o2
      cres cc0 cfz wf1 nn0ex 0ex eqid mapsnf1o2 csn cxp cle cofr wbr ssrab3 a1i
      f1of1 f1ores sylancr coe1mul2lem1 rabbidva fveq1 eleq1d cbvrabv mptpreima
      ccnv eqtr4di 3eqtr4g imaeq2d f1ofo fz0ssnn0 foimacnv mp2an eqtrdi f1oeq3d
      wfo wb resmpt f1oeq1 3syl bitrd mpbid ) AFZGHZBCGIJKZLCFZMZNZBOZWHBUBZPZB
      UCWCUDKZCBWGNZPZWDWEGWHUEZBWEQZWKWEGWHPZWOCGIWHLUAUFUGWHUHZUIZWEGWHUQRWPW
      DDFZIWCUJUKULUMUNZDWEBEUOUPZWEGBWHURUSWDWKBWLWJPZWNWDWIWLBWJWDWIWHWHVFWLO
      ZOZWLWDBXDWHWDXADWESZWGWLHZCWESZBXDWDXFLWTMZWLHZDWESXHWDXAXJDWEWCWTUTVAXG
      XJCDWEWFWTTWGXIWLLWFWTVBVCVDVGECWEWGWLWHWRVEVHVIWEGWHVPZWLGQXEWLTWQXKWSWE
      GWHVJRWCVKWEGWLWHVLVMVNVOWDWPWJWMTXCWNVQXBCWEBWGVRBWLWJWMVSVTWAWB $.
  $}

  ${
    $d a b c d k x $.  $d b c k x B $.  $d b c k x F $.  $d b c k x .x. $.
    $d b c k x G $.  $d b c k x R $.  $d k .xb $.
    coe1mul2.s $e |- S = ( PwSer1 ` R ) $.
    coe1mul2.t $e |- .xb = ( .r ` S ) $.
    coe1mul2.u $e |- .x. = ( .r ` R ) $.
    coe1mul2.b $e |- B = ( Base ` S ) $.
    $( The coefficient vector of multiplication in the univariate power series
       ring.  (Contributed by Stefan O'Rear, 25-Mar-2015.) $)
    coe1mul2 $p |- ( ( R e. Ring /\ F e. B /\ G e. B ) ->
        ( coe1 ` ( F .xb G ) ) = ( k e. NN0 |-> ( R gsum ( x e. ( 0 ... k ) |->
                ( ( ( coe1 ` F ) ` x ) .x.
                  ( ( coe1 ` G ) ` ( k - x ) ) ) ) ) ) ) $=
      ( vc wcel co cn0 c1o cfv eqid vd vb va crg w3a csn cxp cmpt ccom cle cofr
      cv wbr cmap crab cmin cof cgsu cco1 cc0 cfz fconst6g nn0ex con0 1on elexi
      wf elmap sylibr adantl eqidd cmps psr1bas2 psr1mulr psr1baslem psrmulfval
      simp2 simp3 breq2 rabbidv fvoveq1 oveq2d mpteq12dv fmptco psr1ring ringcl
      wceq syl3an1 coe1fval3 syl wa c0 cbs cfn c0g ccmn simpl1 ringcmn fzfi a1i
      simpll1 simpll2 coe1f2 elfznn0 ffvelrnd simpll3 syl3anc fmpttd cfsupp cvv
      fznn0sub wfun csupp wss mptex funmpt fvex 3pm3.2i suppssdm dmmptss pm3.2i
      cdm sstri suppssfifsupp mp2an coe1mul2lem2 gsumf1o breq1 elrab simprbi wb
      wf1o simplr elrabi syl2anc fveq2d oveq12d eqtrd eqtr4d mpteq2dva 0ex vex
      coe1mul2lem1 mpbid fveq2 oveq2 fvcoe1 df1o2 mapsnconst fvexd ofc12 coe1fv
      3eqtr4d ) CUDOZHBOZIBOZUEZHIEPZGQRGULZUFUGZUHZUIZGQCNUAULZUUTUJUKZUMZUAQR
      UNPZUOZNULZHSZUUTUVHUPUQZPZISZFPZUHZURPZUHUURUSSZGQCAUTUUSVAPZAULZHUSSZSZ
      UUSUVRUPPZIUSSZSZFPZUHZURPZUHUUQGUBQUVFUUTCNUVCUBULZUVDUMZUAUVFUOZUVIUWGU
      VHUVJPISZFPZUHZURPUVOUVAUURUUSQOZUUTUVFOZUUQUWMRQUUTVGUWNRUUSQVBQRUUTVCRV
      DVEVFVHVIVJUUQUVAVKUUQNUABUVFCRCVLPZEFUCUBHIRUWOTZBCDUWOJMUWPVMLCUWOEDJUW
      PKVNUCVOUUNUUOUUPVQUUNUUOUUPVRVPUWGUUTWGZUWLUVNCURUWQNUWIUWKUVGUVMUWQUWHU
      VEUAUVFUWGUUTUVCUVDVSVTUWQUWJUVLUVIFUWGUUTUVHIUVJWAWBWCWBWDUUQUURBOZUVPUV
      BWGUUNDUDOUUOUUPUWRCDJWEBDEHIMKWFWHGUVPBDCUURUVAUVPTMJUVATWIWJUUQGQUWFUVO
      UUQUWMWKZUWFCUWENUVGWLUVHSZUHZUIZURPUVOUWSUVQCWMSZUVGUWECUXAWNCWOSZUXCTZU
      XDTUWSUUNCWPOUUNUUOUUPUWMWQCWRWJUVQWNOZUWSUTUUSWSZWTUWSAUVQUWDUXCUWSUVRUV
      QOZWKZUUNUVTUXCOUWCUXCOUWDUXCOUUNUUOUUPUWMUXHXAUXIQUXCUVRUVSUXIUUOQUXCUVS
      VGUUNUUOUUPUWMUXHXBUVSBDCHUXCUVSTZMJUXEXCWJUXHUVRQOUWSUVRUUSXDVJXEUXIQUXC
      UWAUWBUXIUUPQUXCUWBVGUUNUUOUUPUWMUXHXFUWBBDCIUXCUWBTZMJUXEXCWJUXHUWAQOUWS
      UVRUTUUSXKVJXEUXCCFUVTUWCUXELWFXGXHUWEUXDXIUMZUWSUWEXJOZUWEXLZUXDXJOZUEUX
      FUWEUXDXMPZUVQXNZWKUXLUXMUXNUXOAUVQUWDUVQWNUXGVFXOAUVQUWDXPCWOXQXRUXFUXQU
      XGUXPUWEYBUVQUWEUXDXSAUVQUWDUWEUWETXTYCYAUVQUWEXJXJUXDYDYEWTUWMUVGUVQUXAY
      LUUQGUVGNUAUVGTYFVJYGUWSUXBUVNCURUWSUXBNUVGUWTUVSSZUUSUWTUPPZUWBSZFPZUHUV
      NUWSNAUVGUVQUWTUWDUYAUXAUWEUWSUVHUVGOZWKZUVHUUTUVDUMZUWTUVQOZUYBUYDUWSUYB
      UVHUVFOZUYDUVEUYDUAUVHUVFUVCUVHUUTUVDYHYIYJVJUYCUWMUYFUYDUYEYKUUQUWMUYBYM
      UYBUYFUWSUVEUAUVHUVFYNVJZUUSUVHUUCYOUUDZUWSUXAVKUWSUWEVKUVRUWTWGZUVTUXRUW
      CUXTFUVRUWTUVSUUEUYIUWAUXSUWBUVRUWTUUSUPUUFYPYQWDUWSNUVGUVMUYAUYCUVIUXRUV
      LUXTFUYCUUOUYFUVIUXRWGUUNUUOUUPUWMUYBXBUYGUVSHBUVHUXJUUGYOUYCUVLRUXSUFUGZ
      ISZUXTUYCUVKUYJIUYCUVKUUTRUWTUFUGZUVJPUYJUYCUVHUYLUUTUVJUYCUYFUVHUYLWGUYG
      QRUVHWLUUHVCUUAUUIWJWBUYCRUUSUWTUPVDXJXJRVDOUYCVEWTUUSXJOUYCGUUBWTUYCWLUV
      HUUJUUKYRYPUYCUUPUXSQOZUXTUYKWGUUNUUOUUPUWMUYBXFUYCUYEUYMUYHUWTUTUUSXKWJU
      WBIUXSBUXKUULYOYSYQYTYSWBYRYTUUM $.
  $}

  ${
    $d k x F $.  $d k x G $.  $d k x R $.  $d k .xb $.  $d k x .x. $.
    coe1mul.s $e |- Y = ( Poly1 ` R ) $.
    coe1mul.t $e |- .xb = ( .r ` Y ) $.
    coe1mul.u $e |- .x. = ( .r ` R ) $.
    coe1mul.b $e |- B = ( Base ` Y ) $.
    $( The coefficient vector of multiplication in the univariate polynomial
       ring.  (Contributed by Stefan O'Rear, 25-Mar-2015.) $)
    coe1mul $p |- ( ( R e. Ring /\ F e. B /\ G e. B ) ->
        ( coe1 ` ( F .xb G ) ) = ( k e. NN0 |-> ( R gsum ( x e. ( 0 ... k ) |->
                ( ( ( coe1 ` F ) ` x ) .x.
                  ( ( coe1 ` G ) ` ( k - x ) ) ) ) ) ) ) $=
      ( wcel cfv co cco1 cv eqid c1o crg cps1 cbs cn0 cc0 cfz cmin cmpt cgsu id
      wceq ply1bascl cmps cmpl ply1mulr mplmulr psr1mulr eqtr4i coe1mul2 syl3an
      cmulr ) CUANZVBGBNGCUBOZUCOZNHBNHVDNGHDPQOFUDCAUEFRZUFPARZGQOOVEVFUGPHQOO
      EPUHUIPUHUKVBUJBICGJMULBICHJMULAVDCVCDEFGHVCSZDTCUMPZVAOVCVAOZCVHDTTCUNPZ
      VJSZVHSZCVJDIJVKKUOUPCVHVIVCVGVLVISUQURLVDSUSUT $.
  $}

  ${
    ply1moncl.p $e |- P = ( Poly1 ` R ) $.
    ply1moncl.x $e |- X = ( var1 ` R ) $.
    ply1moncl.n $e |- N = ( mulGrp ` P ) $.
    ply1moncl.e $e |- .^ = ( .g ` N ) $.
    ply1moncl.b $e |- B = ( Base ` P ) $.
    $( Closure of the expression for a univariate primitive monomial.
       (Contributed by AV, 14-Aug-2019.) $)
    ply1moncl $p |- ( ( R e. Ring /\ D e. NN0 ) -> ( D .^ X ) e. B ) $=
      ( crg wcel cn0 wa cmnd co ply1ring adantr ringmgp syl simpr vr1cl syl3anc
      mgpbas mulgnn0cl ) DMNZBONZPFQNZUIGANZBGERANUHUJUIUHCMNUJCDHSCFJUAUBTUHUI
      UCUHUKUIACDGIHLUDTAEFBGACFJLUFKUGUE $.
  $}

  ${
    ply1tmcl.k $e |- K = ( Base ` R ) $.
    ply1tmcl.p $e |- P = ( Poly1 ` R ) $.
    ply1tmcl.x $e |- X = ( var1 ` R ) $.
    ply1tmcl.m $e |- .x. = ( .s ` P ) $.
    ply1tmcl.n $e |- N = ( mulGrp ` P ) $.
    ply1tmcl.e $e |- .^ = ( .g ` N ) $.
    ply1tmcl.b $e |- B = ( Base ` P ) $.
    $( Closure of the expression for a univariate polynomial term.
       (Contributed by Stefan O'Rear, 27-Mar-2015.)  (Proof shortened by AV,
       25-Nov-2019.) $)
    ply1tmcl $p |- ( ( R e. Ring /\ C e. K /\ D e. NN0 ) ->
        ( C .x. ( D .^ X ) ) e. B ) $=
      ( wcel co cfv crg cn0 w3a clmod ply1lmod 3ad2ant1 simp2 ply1moncl 3adant2
      cid ply1sca2 cbs cnx baseid strfvi lmodvscl syl3anc ) EUARZBHRZCUBRZUCDUD
      RZUSCJGSZARZBVBFSARURUSVAUTDELUEUFURUSUTUGURUTVCUSACDEGIJLMOPQUHUIBFEUJTH
      ADVBQDELUKNEULUMULTHUNKUOUPUQ $.
  $}

  ${
    $d a b x y .0. $.  $d b x y C $.  $d a b x y D $.  $d x F $.  $d b x y K $.
    $d x y .^ $.  $d x y A $.  $d x y N $.  $d x y P $.  $d x y X $.  $d x Y $.
    $d x y ph $.  $d a b x y R $.  $d x y .x. $.  $d x y .X. $.  $d x .xb $.
    coe1tm.z $e |- .0. = ( 0g ` R ) $.
    coe1tm.k $e |- K = ( Base ` R ) $.
    coe1tm.p $e |- P = ( Poly1 ` R ) $.
    coe1tm.x $e |- X = ( var1 ` R ) $.
    coe1tm.m $e |- .x. = ( .s ` P ) $.
    coe1tm.n $e |- N = ( mulGrp ` P ) $.
    coe1tm.e $e |- .^ = ( .g ` N ) $.
    $( Coefficient vector of a polynomial term.  (Contributed by Stefan O'Rear,
       27-Mar-2015.) $)
    coe1tm $p |- ( ( R e. Ring /\ C e. K /\ D e. NN0 ) ->
        ( coe1 ` ( C .x. ( D .^ X ) ) ) =
          ( x e. NN0 |-> if ( x = D , C , .0. ) ) ) $=
      ( c1o wceq vb vy va crg wcel cn0 w3a co cco1 cfv cv csn cxp cmpt ccom cc0
      c0 cif cbs eqid ply1tmcl coe1fval2 syl cmap wf fconst6g nn0ex 1oex sylibr
      elmap adantl eqidd cmvr cmpl cmgp cmg cur cvv mgpbas a1i cps1 ply1bas wss
      ssv cplusg ovexd cmulr mgpplusg ply1mulr eqtr3i oveqdr mulgpropd 3ad2ant1
      vr1val oveq123d oveq2d con0 psr1baslem simp1 0lt1o simp3 mplcoe3 ply1vsca
      1on elsni df1o2 eleq2s iftrued mpteq2dva fconstmpt eqtr4di 3ad2ant3 simp2
      wa eqeltrd mplmon2 3eqtr2d eqeq1 ifbid fmptco adantr eqeq2d fvconst2 mp1i
      fveq1 simpl3 fvconst2g sylancl eqeq12d syl5ib xpeq2d impbid1 bitrd 3eqtrd
      vex sneq ) EUDUEZBHUEZCUFUEZUGZBCJGUHZFUHZUIUJZUUBAUFSAUKZULZUMZUNZUOZAUF
      UUFUASUAUKZUQTZCUPURZUNZTZBKURZUNAUFUUDCTZBKURZUNYTUUBDUSUJZUEUUCUUHTUUQB
      CDEFGHIJMNOPQRUUQUTZVAAUUCUUQDEUUBUUGUUCUTUURNUUGUTVBVCYTAUBUFUFSVDUHZUUF
      UBUKZUULTZBKURZUUNUUGUUBUUDUFUEZUUFUUSUEZYTUVCSUFUUFVEUVDSUUDUFVFUFSUUFVG
      VHVJVIVKYTUUGVLYTUUBBCUQSEVMUHZUJZSEVNUHZVOUJZVPUJZUHZFUHBUBUUSUVAEVQUJZK
      URUNZFUHUBUUSUVBUNYTUUAUVJBFYTCCJUVFGUVIYQYRGUVITYSYQAUBUUQGUVIIUVHVRRUVI
      UTZUUQIUSUJTYQUUQDIQUURVSVTUUQUVHUSUJTYQUUQUVGUVHUVHUTZDEEWAUJZUUQNUVOUTU
      URWBVSVTUUQVRWCYQUUQWDVTYQUUDVRUEUUTVRUEXNZXNUUDUUTIWEUJZWFYQUVPAUBUVQUVH
      WEUJZUVQUVRTYQDWGUJZUVQUVRDUVSIQUVSUTZWHUVGUVSUVHUVNEUVGUVSDNUVGUTZUVTWIW
      HWJVTWKWLWMYTCVLJUVFTYTEJOWNVTWOWPYTUVLUVJBFYTUBUUSUVGEUVKUCUAUVIUVHSCUVE
      WQUQKUWAUCWRZLUVKUTZSWQUEYTXDVTZUVNUVMUVEUTYQYRYSWSZUQSUEZYTWTVTYQYRYSXAX
      BWPYTUBHUUSUVGEFUVKUCSUULWQBKUWAEUVGFDNUWAPXCUWBUWCLMUWDUWEYTUULSCULZUMZU
      USYTUULUASCUNUWHYTUASUUKCUUISUEZUUKCTYTUWIUUJCUPUUJUUIUQULSUUIUQXEXFXGXHV
      KXIUASCXJXKZYSYQUWHUUSUEZYRYSSUFUWHVEUWKSCUFVFUFSUWHVGVHVJVIXLXOYQYRYSXMX
      PXQUUTUUFTUVAUUMBKUUTUUFUULXRXSXTYTAUFUUNUUPYTUVCXNZUUMUUOBKUWLUUMUUFUWHT
      ZUUOUWLUULUWHUUFYTUULUWHTUVCUWJYAYBUWLUWMUUOUWMUQUUFUJZUQUWHUJZTUWLUUOUQU
      UFUWHYEUWLUWNUUDUWOCUWFUWNUUDTUWLWTSUUDUQAYOYCYDUWLYSUWFUWOCTYQYRYSUVCYFW
      TSCUQUFYGYHYIYJUUOUUEUWGSUUDCYPYKYLYMXSXIYN $.

    $( Nonzero coefficient of a polynomial term.  (Contributed by Stefan
       O'Rear, 27-Mar-2015.) $)
    coe1tmfv1 $p |- ( ( R e. Ring /\ C e. K /\ D e. NN0 ) ->
        ( ( coe1 ` ( C .x. ( D .^ X ) ) ) ` D ) = C ) $=
      ( vx wcel cn0 crg w3a co cco1 cfv wceq cif cmpt coe1tm fveq1d eqid iftrue
      cv simp3 simp2 fvmptd3 eqtrd ) DUASZAGSZBTSZUBZBABIFUCEUCUDUEZUEBRTRUMBUF
      ZAJUGZUHZUEAVABVBVERABCDEFGHIJKLMNOPQUIUJVARBVDATVEGVEUKVCAJULURUSUTUNURU
      SUTUOUPUQ $.

    ${
      coe1tmfv2.r $e |- ( ph -> R e. Ring ) $.
      coe1tmfv2.c $e |- ( ph -> C e. K ) $.
      coe1tmfv2.d $e |- ( ph -> D e. NN0 ) $.
      coe1tmfv2.f $e |- ( ph -> F e. NN0 ) $.
      coe1tmfv2.q $e |- ( ph -> D =/= F ) $.
      $( Zero coefficient of a polynomial term.  (Contributed by Stefan O'Rear,
         27-Mar-2015.) $)
      coe1tmfv2 $p |- ( ph ->
        ( ( coe1 ` ( C .x. ( D .^ X ) ) ) ` F ) = .0. ) $=
        ( vx co cco1 cfv cn0 wceq cif cmpt crg wcel coe1tm syl3anc fveq1d eqeq1
        cv eqid ifbid ring0cl syl ifcld fvmptd3 necomd neneqd iffalsed 3eqtrd )
        AHBCKGUFFUFUGUHZUHHUEUIUEUSZCUJZBLUKZULZUHHCUJZBLUKZLAHVJVNAEUMUNZBIUNC
        UIUNVJVNUJTUAUBUEBCDEFGIJKLMNOPQRSUOUPUQAUEHVMVPUIVNIVNUTVKHUJVLVOBLVKH
        CURVAUCAVOBLIUAAVQLIUNTIELNMVBVCVDVEAVOBLAHCACHUDVFVGVHVI $.
    $}

    coe1tmmul.b $e |- B = ( Base ` P ) $.
    coe1tmmul.t $e |- .xb = ( .r ` P ) $.
    coe1tmmul.u $e |- .X. = ( .r ` R ) $.
    coe1tmmul.a $e |- ( ph -> A e. B ) $.
    coe1tmmul.r $e |- ( ph -> R e. Ring ) $.
    coe1tmmul.c $e |- ( ph -> C e. K ) $.
    coe1tmmul.d $e |- ( ph -> D e. NN0 ) $.
    $( Coefficient vector of a polynomial multiplied on the right by a term.
       (Contributed by Stefan O'Rear, 27-Mar-2015.) $)
    coe1tmmul2 $p |- ( ph -> ( coe1 ` ( A .xb ( C .x. ( D .^ X ) ) ) ) =
          ( x e. NN0 |-> if ( D <_ x ,
              ( ( ( coe1 ` A ) ` ( x - D ) ) .X. C ) , .0. ) ) ) $=
      ( vy co cco1 cfv cn0 cc0 cfz cmin cmpt cgsu cle wbr cif crg wcel ply1tmcl
      cv wceq syl3anc coe1mul eqeq2 cvv cmnd adantr ringmnd syl ovex a1i simprr
      wa wb simprl nn0sub syl2anc mpbid cr nn0re ad2antrl nn0red subge02d fznn0
      nn0ge0d mpbir2and ad2antrr wf eqid coe1f elfznn0 adantl ffvelrnd fznn0sub
      ringcl fmpttd csn cdif eldifi wne eldifsn simplrl nn0cnd cc nncand eqcomd
      oveq2 eqeq2d syl5ibrcom necon3d impr coe1tmfv2 oveq2d ringrz sylan2 eqtrd
      sylan2b suppss2 gsumpt fveq2 fveq2d oveq12d fvmpt 3eqtrd anassrs ad2antll
      coe1tmfv1 wn ad2antlr clt ltnled mpbird mpteq2dva lelttrd gtned ifbothda
      gsumz sylancl ) ACEFOLULJULZIULUMUNZBUOHUKUPBVGZUQULZUKVGZCUMUNZUNZUUHUUJ
      URULZUUFUMUNZUNZKULZUSZUTULZUSZBUOFUUHVAVBZUUHFURULZUUKUNZEKULZPVCZUSAHVD
      VEZCDVEZUUFDVEZUUGUUSVHUHUGAUVEEMVEZFUOVEZUVGUHUIUJDEFGHJLMNORSTUAUBUCUDV
      FVIZUKDHIKBCUUFGSUEUFUDVJVIABUOUURUVDUUTUURUVCVHZUURPVHUURUVDVHAUUHUOVEZV
      TZUVCPUVCUVDUURVKPUVDUURVKAUVLUUTUVKAUVLUUTVTZVTZUURUVAUUQUNZUVBUUHUVAURU
      LZUUNUNZKULZUVCUVOUUIMUUQHVLUVAPRQUVOUVEHVMVEZAUVEUVNUHVNZHVOZVPUUIVLVEZU
      VOUPUUHUQVQZVRZUVOUVAUUIVEZUVAUOVEZUVAUUHVAVBZUVOUUTUWGAUVLUUTVSUVOUVIUVL
      UUTUWGWAAUVIUVNUJVNZAUVLUUTWBZFUUHWCWDWEUVOUPFVAVBUWHUVOFUWIWLUVOUUHFUVLU
      UHWFVEZAUUTUUHWGZWHAFWFVEZUVNAFUJWIZVNWJWEUVLUWFUWGUWHVTWAAUUTUVAUUHWKWHW
      MZUVOUKUUIUUPMUVOUUJUUIVEZVTZUVEUULMVEZUUOMVEUUPMVEAUVEUVNUWPUHWNZUWQUOMU
      UJUUKAUOMUUKWOZUVNUWPAUVFUWTUGUUKDGHCMUUKWPUDSRWQVPZWNUWPUUJUOVEZUVOUUJUU
      HWRZWSWTZUWQUOMUUMUUNAUOMUUNWOZUVNUWPAUVGUXEUVJUUNDGHUUFMUUNWPUDSRWQVPWNU
      WPUUMUOVEZUVOUUJUPUUHXAZWSWTMHKUULUUORUFXBVIXCUVOUUIUUPUKVLUVAXDZPUVOUUJU
      UIUXHXEVEZVTZUUPUULPKULZPUXJUUOPUULKUXJEFGHJLUUMMNOPQRSTUAUBUCAUVEUVNUXIU
      HWNAUVHUVNUXIUIWNAUVIUVNUXIUJWNUXIUXFUVOUXIUWPUXFUUJUUIUXHXFZUXGVPWSUXIUV
      OUWPUUJUVAXGZVTFUUMXGZUUJUUIUVAXHUVOUWPUXMUXNUWQFUUMUUJUVAUWQUUJUVAVHZFUU
      MVHZUUJUUHUUMURULZVHUWQUXQUUJUWQUUHUUJUWQUUHAUVLUUTUWPXIXJUWPUUJXKVEUVOUW
      PUUJUXCXJWSXLXMUXPUVAUXQUUJFUUMUUHURXNXOXPXQXRYDXSXTUXIUVOUWPUXKPVHZUXLUW
      QUVEUWRUXRUWSUXDMHKUULPRUFQYAZWDYBYCUWEYEYFUVOUWFUVPUVSVHUWOUKUVAUUPUVSUU
      IUUQUXOUULUVBUUOUVRKUUJUVAUUKYGUXOUUMUVQUUNUUJUVAUUHURXNYHYIUUQWPUVBUVRKV
      QYJVPUVOUVREUVBKUVOUVRFUUNUNZEUVOUVQFUUNUVOUUHFUVOUUHUWJXJUVOFUWIXJXLYHUV
      OUVEUVHUVIUXTEVHUWAAUVHUVNUIVNUWIEFGHJLMNOPQRSTUAUBUCYNVIYCXTYKYLUVMUUTYO
      ZVTZUURHUKUUIPUSZUTULZPUYBUUQUYCHUTUYBUKUUIUUPPUVMUYAUWPUUPPVHUVMUYAUWPVT
      ZVTZUUPUXKPUYFUUOPUULKUYFEFGHJLUUMMNOPQRSTUAUBUCAUVEUVLUYEUHWNZAUVHUVLUYE
      UIWNAUVIUVLUYEUJWNUWPUXFUVMUYAUXGYMUYFUUMFUWPUUMWFVEUVMUYAUWPUUMUXGWIYMZU
      YFUUMUUHFUYHUVLUWKAUYEUWLYPZAUWMUVLUYEUWNWNZUYFUPUUJVAVBUUMUUHVAVBUYFUUJU
      WPUXBUVMUYAUXCYMZWLUYFUUHUUJUYIUWPUUJWFVEUVMUYAUWPUUJUXCWIYMWJWEUYFUUHFYQ
      VBUYAUVMUYAUWPWBUYFUUHFUYIUYJYRYSUUAUUBXSXTUYFUVEUWRUXRUYGUYFUOMUUJUUKAUW
      TUVLUYEUXAWNUYKWTUXSWDYCYLYTXTAUYDPVHZUVLUYAAUVTUWCUYLAUVEUVTUHUWBVPUWDUU
      IUKHVLPQUUDUUEWNYCUUCYTYC $.

    $( Coefficient vector of a polynomial multiplied on the left by a term.
       (Contributed by Stefan O'Rear, 29-Mar-2015.) $)
    coe1tmmul $p |- ( ph -> ( coe1 ` ( ( C .x. ( D .^ X ) ) .xb A ) ) =
          ( x e. NN0 |-> if ( D <_ x ,
              ( C .X. ( ( coe1 ` A ) ` ( x - D ) ) ) , .0. ) ) ) $=
      ( vy co cco1 cfv cn0 cc0 cfz cmin cmpt cgsu cle wbr cif crg wcel ply1tmcl
      cv wceq syl3anc coe1mul wa eqeq2 cvv cmnd ad2antrr ringmnd ovexd simpr wb
      syl fznn0 ad2antlr mpbir2and wf eqid coe1f adantr elfznn0 syl2an fznn0sub
      ffvelrn ringcl fmpttd csn cdif ad3antrrr eldifi adantl eldifsni coe1tmfv2
      wne necomd oveq1d ringlz syl2anc sylan2 adantlr eqtrd suppss2 fveq2 oveq2
      gsumpt fveq2d oveq12d ovex fvmpt coe1tmfv1 wn elfzle2 syl5ibrcom necon3bd
      breq1 imp an32s mpteq2dva oveq2d gsumz ifbothda ) AEFOLULJULZCIULUMUNZBUO
      HUKUPBVGZUQULZUKVGZYIUMUNZUNZYKYMURULZCUMUNZUNZKULZUSZUTULZUSZBUOFYKVAVBZ
      EYKFURULZYQUNZKULZPVCZUSAHVDVEZYIDVEZCDVEZYJUUBVHUHAUUHEMVEZFUOVEZUUIUHUI
      UJDEFGHJLMNORSTUAUBUCUDVFVIZUGUKDHIKBYICGSUEUFUDVJVIABUOUUAUUGUUCUUAUUFVH
      UUAPVHUUAUUGVHAYKUOVEZVKZUUFPUUFUUGUUAVLPUUGUUAVLUUOUUCVKZUUAFYTUNZUUFUUP
      YLMYTHVMFPRQUUPUUHHVNVEZAUUHUUNUUCUHVOHVPZVTUUPUPYKUQVQZUUPFYLVEZUULUUCAU
      ULUUNUUCUJVOUUOUUCVRUUNUVAUULUUCVKVSAUUCFYKWAWBWCZUUOYLMYTWDUUCUUOUKYLYSM
      UUOYMYLVEZVKZUUHYOMVEZYRMVEZYSMVEAUUHUUNUVCUHVOZUUOUOMYNWDZYMUOVEZUVEUVCA
      UVHUUNAUUIUVHUUMYNDGHYIMYNWEUDSRWFVTWGYMYKWHZUOMYMYNWKWIUUOUOMYQWDZYPUOVE
      UVFUVCAUVKUUNAUUJUVKUGYQDGHCMYQWEUDSRWFVTWGYMUPYKWJUOMYPYQWKWIZMHKYOYRRUF
      WLVIWMWGUUPYLYSUKVMFWNZPUUPYMYLUVMWOVEZVKZYSPYRKULZPUVOYOPYRKUVOEFGHJLYMM
      NOPQRSTUAUBUCAUUHUUNUUCUVNUHWPAUUKUUNUUCUVNUIWPAUULUUNUUCUVNUJWPUVNUVIUUP
      UVNUVCUVIYMYLUVMWQZUVJVTWRUVNFYMXAZUUPUVNYMFYMYLFWSXBWRWTXCUUOUVNUVPPVHZU
      UCUVNUUOUVCUVSUVQUVDUUHUVFUVSUVGUVLMHKYRPRUFQXDXEZXFXGXHUUTXIXLUUPUUQFYNU
      NZUUEKULZUUFUUPUVAUUQUWBVHUVBUKFYSUWBYLYTYMFVHZYOUWAYRUUEKYMFYNXJUWCYPUUD
      YQYMFYKURXKXMXNYTWEUWAUUEKXOXPVTUUPUWAEUUEKAUWAEVHZUUNUUCAUUHUUKUULUWDUHU
      IUJEFGHJLMNOPQRSTUAUBUCXQVIVOXCXHXHUUOUUCXRZVKZUUAHUKYLPUSZUTULZPUWFYTUWG
      HUTUWFUKYLYSPUWFUVCVKZYSUVPPUWIYOPYRKUWIEFGHJLYMMNOPQRSTUAUBUCAUUHUUNUWEU
      VCUHWPAUUKUUNUWEUVCUIWPAUULUUNUWEUVCUJWPUVCUVIUWFUVJWRUUOUVCUWEUVRUVDUWEU
      VRUVDUUCFYMUVDUUCFYMVHYMYKVAVBZUVCUWJUUOYMUPYKXSWRFYMYKVAYBXTYAYCYDWTXCUU
      OUVCUVSUWEUVTXGXHYEYFUWFUURYLVMVEUWHPVHAUURUUNUWEAUUHUURUHUUSVTVOUWFUPYKU
      QVQYLUKHVMPQYGXEXHYHYEXH $.

    coe1tmmul2fv.y $e |- ( ph -> Y e. NN0 ) $.
    $( Function value of a right-multiplication by a term in the shifted
       domain.  (Contributed by Stefan O'Rear, 27-Mar-2015.) $)
    coe1tmmul2fv $p |- ( ph -> ( ( coe1 ` ( A .xb ( C .x. ( D .^ X ) ) ) ) `
            ( D + Y ) ) = ( ( ( coe1 ` A ) ` Y ) .X. C ) ) $=
      ( vx caddc cco1 cfv cn0 cle wbr cmin cif cmpt coe1tmmul2 fveq1d wcel wceq
      co nn0addcld breq2 fvoveq1 oveq1d ifbieq1d eqid ovex c0g fvexi ifex fvmpt
      cv cr nn0red nn0addge1 syl2anc iftrued nn0cnd pncan2d fveq2d 3eqtrd eqtrd
      syl ) AEOUMVFZBDENKVFIVFHVFUNUOZUOWJULUPEULVRZUQURZWLEUSVFBUNUOZUOZDJVFZP
      UTZVAZUOZOWNUOZDJVFZAWJWKWRAULBCDEFGHIJKLMNPQRSTUAUBUCUDUEUFUGUHUIUJVBVCA
      WSEWJUQURZWJEUSVFZWNUOZDJVFZPUTZXEXAAWJUPVDWSXFVEAEOUJUKVGULWJWQXFUPWRWLW
      JVEZWMXBWPXEPWLWJEUQVHXGWOXDDJWLWJEWNUSVIVJVKWRVLXBXEPXDDJVMPGVNQVOVPVQWI
      AXBXEPAEVSVDOUPVDXBAEUJVTUKEOWAWBWCAXDWTDJAXCOWNAEOAEUJWDAOUKWDWEWFVJWGWH
      $.
  $}

  ${
    $d x A $.  $d x D $.  $d x N $.  $d x P $.  $d x R $.  $d x X $.  $d x Y $.
    $d x .^ $.  $d x .0. $.  $d x ph $.  $d x .x. $.
    coe1pwmul.z $e |- .0. = ( 0g ` R ) $.
    coe1pwmul.p $e |- P = ( Poly1 ` R ) $.
    coe1pwmul.x $e |- X = ( var1 ` R ) $.
    coe1pwmul.n $e |- N = ( mulGrp ` P ) $.
    coe1pwmul.e $e |- .^ = ( .g ` N ) $.
    coe1pwmul.b $e |- B = ( Base ` P ) $.
    coe1pwmul.t $e |- .x. = ( .r ` P ) $.
    coe1pwmul.r $e |- ( ph -> R e. Ring ) $.
    coe1pwmul.a $e |- ( ph -> A e. B ) $.
    coe1pwmul.d $e |- ( ph -> D e. NN0 ) $.
    $( Coefficient vector of a polynomial multiplied on the left by a variable
       power.  (Contributed by Stefan O'Rear, 1-Apr-2015.) $)
    coe1pwmul $p |- ( ph -> ( coe1 ` ( ( D .^ X ) .x. A ) ) =
          ( x e. NN0 |-> if ( D <_ x ,
              ( ( coe1 ` A ) ` ( x - D ) ) , .0. ) ) ) $=
      ( cur cfv co cvsca cco1 cn0 cle wbr cmin cmulr cif cmpt cbs eqid crg wcel
      cv ringidcl coe1tmmul csca wceq ply1sca fveq2d oveq1d clmod ply1lmod cmnd
      syl ply1ring ringmgp vr1cl mgpbas mulgnn0cl syl3anc lmodvs1 syl2anc eqtrd
      3syl fvoveq1d wa ad2antrr wf coe1f simplr simpr nn0sub2 ffvelrnd ringlidm
      ifeq1da mpteq2dva 3eqtr3d ) AGUCUDZEKIUEZFUFUDZUEZCHUEUGUDBUHEBUSZUIUJZWN
      WREUKUEZCUGUDZUDZGULUDZUEZLUMZUNWOCHUEUGUDBUHWSXBLUMZUNABCDWNEFGHWPXCIGUO
      UDZJKLMXGUPZNOWPUPZPQRSXCUPZUATAGUQURZWNXGURTXGGWNXHWNUPZUTVJUBVAAWQWOCUG
      HAWQFVBUDZUCUDZWOWPUEZWOAWNXNWOWPAGXMUCAXKGXMVCTFGUQNVDVJVEVFAFVGURZWODUR
      ZXOWOVCAXKXPTFGNVHVJAJVIURZEUHURZKDURZXQAXKFUQURXRTFGNVKFJPVLVTUBAXKXTTDF
      GKONRVMVJDIJEKDFJPRVNQVOVPWPXNXMDFWORXMUPXIXNUPVQVRVSWAABUHXEXFAWRUHURZWB
      ZWSXDXBLYBWSWBZXKXBXGURXDXBVCAXKYAWSTWCYCUHXGWTXAAUHXGXAWDZYAWSACDURYDUAX
      ADFGCXGXAUPRNXHWEVJWCYCXSYAWSWTUHURAXSYAWSUBWCAYAWSWFYBWSWGEWRWHVPWIXGGXC
      WNXBXHXJXLWJVRWKWLWM $.

    coe1pwmulfv.y $e |- ( ph -> Y e. NN0 ) $.
    $( Function value of a right-multiplication by a variable power in the
       shifted domain.  (Contributed by Stefan O'Rear, 1-Apr-2015.) $)
    coe1pwmulfv $p |- ( ph -> ( ( coe1 ` ( ( D .^ X ) .x. A ) ) ` ( D + Y ) ) =
          ( ( coe1 ` A ) ` Y ) ) $=
      ( vx caddc co cco1 cfv cn0 cv cle wbr cmin cif cmpt coe1pwmul fveq1d wcel
      wceq nn0addcld breq2 fvoveq1 ifbieq1d eqid fvex c0g fvexi ifex syl nn0red
      fvmpt cr nn0addge1 syl2anc iftrued nn0cnd pncan2d fveq2d 3eqtrd eqtrd ) A
      DKUEUFZDJHUFBGUFUGUHZUHWAUDUIDUDUJZUKULZWCDUMUFBUGUHZUHZLUNZUOZUHZKWEUHZA
      WAWBWHAUDBCDEFGHIJLMNOPQRSTUAUBUPUQAWIDWAUKULZWADUMUFZWEUHZLUNZWMWJAWAUIU
      RWIWNUSADKUBUCUTUDWAWGWNUIWHWCWAUSWDWKWFWMLWCWADUKVAWCWADWEUMVBVCWHVDWKWM
      LWLWEVELFVFMVGVHVKVIAWKWMLADVLURKUIURWKADUBVJUCDKVMVNVOAWLKWEADKADUBVPAKU
      CVPVQVRVSVT $.
  $}

  ${
    ply1scltm.k $e |- K = ( Base ` R ) $.
    ply1scltm.p $e |- P = ( Poly1 ` R ) $.
    ply1scltm.x $e |- X = ( var1 ` R ) $.
    ply1scltm.m $e |- .x. = ( .s ` P ) $.
    ply1scltm.n $e |- N = ( mulGrp ` P ) $.
    ply1scltm.e $e |- .^ = ( .g ` N ) $.
    ply1scltm.a $e |- A = ( algSc ` P ) $.
    $( A scalar is a term with zero exponent.  (Contributed by Stefan O'Rear,
       29-Mar-2015.) $)
    ply1scltm $p |- ( ( R e. Ring /\ F e. K ) ->
        ( A ` F ) = ( F .x. ( 0 .^ X ) ) ) $=
      ( wcel cfv co cbs crg wa cur cc0 wceq cid ply1sca2 cnx baseid strfvi eqid
      asclval adantl vr1cl mgpbas ringidval mulg0 syl adantr oveq2d eqtr4d ) CU
      AQZFGQZUBZFARZFBUCRZDSZFUDIESZDSVCVEVGUEVBADVFCUFRGBFPBCKUGCTUHTRGUIJUJMV
      FUKZULUMVDVHVFFDVBVHVFUEZVCVBIBTRZQVJVKBCILKVKUKZUNVKEHIVFVKBHNVLUOBVFHNV
      IUPOUQURUSUTVA $.
  $}

  ${
    $d x B $.  $d x K $.  $d x P $.  $d x R $.  $d x .x. $.  $d x .xb $.
    $d x X $.  $d x Y $.
    coe1sclmul.p $e |- P = ( Poly1 ` R ) $.
    coe1sclmul.b $e |- B = ( Base ` P ) $.
    coe1sclmul.k $e |- K = ( Base ` R ) $.
    coe1sclmul.a $e |- A = ( algSc ` P ) $.
    coe1sclmul.t $e |- .xb = ( .r ` P ) $.
    coe1sclmul.u $e |- .x. = ( .r ` R ) $.
    $( Coefficient vector of a polynomial multiplied on the left by a scalar.
       (Contributed by Stefan O'Rear, 29-Mar-2015.) $)
    coe1sclmul $p |- ( ( R e. Ring /\ X e. K /\ Y e. B ) ->
        ( coe1 ` ( ( A ` X ) .xb Y ) ) =
          ( ( NN0 X. { X } ) oF .x. ( coe1 ` Y ) ) ) $=
      ( vx wcel cfv co cn0 crg w3a cc0 cv1 cmgp cmg cvsca cco1 cle wbr cmin c0g
      cif cmpt csn cxp cof eqid simp3 simp1 simp2 0nn0 coe1tmmul wceq ply1scltm
      cv a1i 3adant3 fvoveq1d nn0ex simpl2 wa fvexd fconstmpt wf coe1f 3ad2ant3
      feqmptd offval2 nn0ge0 iftrued nn0cn subid1d fveq2d oveq2d eqtrd mpteq2ia
      cvv eqtr4di 3eqtr4d ) DUAQZHGQZIBQZUBZHUCDUDRZCUERZUFRZSCUGRZSZIESUHRPTUC
      PVFZUIUJZHWTUCUKSZIUHRZRZFSZDULRZUMZUNZHARZIESUHRTHUOUPZXCFUQSZWNPIBHUCCD
      EWRFWQGWPWOXFXFURLJWOURZWRURZWPURZWQURZKNOWKWLWMUSWKWLWMUTWKWLWMVAUCTQWNV
      BVGVCWNXIWSIUHEWKWLXIWSVDWMACDWRWQHGWPWOLJXLXMXNXOMVEVHVIWNXKPTHWTXCRZFSZ
      UNXHWNPTHXPFXJXCWHGWHTWHQWNVJVGWKWLWMWTTQZVKWNXRVLWTXCVMXJPTHUNVDWNPTHVNV
      GWNPTGXCWMWKTGXCVOWLXCBCDIGXCURKJLVPVQVRVSPTXGXQXRXGXEXQXRXAXEXFWTVTWAXRX
      DXPHFXRXBWTXCXRWTWTWBWCWDWEWFWGWIWJ $.

    $( A single coefficient of a polynomial multiplied on the left by a scalar.
       (Contributed by Stefan O'Rear, 1-Apr-2015.) $)
    coe1sclmulfv $p |- ( ( R e. Ring /\ ( X e. K /\ Y e. B ) /\ .0. e. NN0 )
       -> ( ( coe1 ` ( ( A ` X ) .xb Y ) ) ` .0. ) =
          ( X .x. ( ( coe1 ` Y ) ` .0. ) ) ) $=
      ( wcel cn0 cfv co crg w3a cco1 csn cxp cof wceq coe1sclmul 3adant3 fveq1d
      wa 3expb simp3 cvv nn0ex a1i simp2l cbs wf wfn simp2r eqid coe1f ffn 3syl
      eqidd ofc1 mpdan eqtrd ) DUAQZHGQZIBQZUKZJRQZUBZJHASIETUCSZSJRHUDUEIUCSZF
      UFTZSZHJVQSZFTZVOJVPVRVJVMVPVRUGZVNVJVKVLWBABCDEFGHIKLMNOPUHULUIUJVOVNVSW
      AUGVJVMVNUMVORHVTFVQUNGJRUNQVOUOUPVJVKVLVNUQVOVLRDURSZVQUSVQRUTVJVKVLVNVA
      VQBCDIWCVQVBLKWCVBVCRWCVQVDVEVOVNUKVTVFVGVHVI $.

    $( Coefficient vector of a polynomial multiplied on the right by a scalar.
       (Contributed by Stefan O'Rear, 29-Mar-2015.) $)
    coe1sclmul2 $p |- ( ( R e. Ring /\ X e. K /\ Y e. B ) ->
        ( coe1 ` ( Y .xb ( A ` X ) ) ) =
          ( ( coe1 ` Y ) oF .x. ( NN0 X. { X } ) ) ) $=
      ( vx wcel cfv co cn0 crg w3a cc0 cv1 cmgp cmg cvsca cco1 cle wbr cmin c0g
      cif cmpt csn cxp cof eqid simp3 simp1 simp2 0nn0 a1i coe1tmmul2 ply1scltm
      cv 3adant3 oveq2d fveq2d cvv nn0ex wa fvexd simpl2 coe1f feqmptd 3ad2ant3
      wceq fconstmpt offval2 nn0ge0 iftrued nn0cn subid1d oveq1d eqtrd mpteq2ia
      eqtr4di 3eqtr4d ) DUAQZHGQZIBQZUBZIHUCDUDRZCUERZUFRZSCUGRZSZESZUHRPTUCPVF
      ZUIUJZWTUCUKSZIUHRZRZHFSZDULRZUMZUNZIHARZESZUHRXCTHUOUPZFUQSZWMPIBHUCCDEW
      QFWPGWOWNXFXFURLJWNURZWQURZWOURZWPURZKNOWJWKWLUSWJWKWLUTWJWKWLVAUCTQWMVBV
      CVDWMXJWSUHWMXIWRIEWJWKXIWRVRWLACDWQWPHGWOWNLJXMXNXOXPMVEVGVHVIWMXLPTWTXC
      RZHFSZUNXHWMPTXQHFXCXKVJVJGTVJQWMVKVCWMWTTQZVLWTXCVMWJWKWLXSVNWLWJXCPTXQU
      NVRWKWLPTGXCXCBCDIGXCURKJLVOVPVQXKPTHUNVRWMPTHVSVCVTPTXGXRXSXGXEXRXSXAXEX
      FWTWAWBXSXDXQHFXSXBWTXCXSWTWTWCWDVIWEWFWGWHWI $.
  $}

  ${
    $d x y A $.  $d x y K $.  $d x P $.  $d x y R $.  $d x X $.  $d x .0. $.
    ply1scl.p $e |- P = ( Poly1 ` R ) $.
    ply1scl.a $e |- A = ( algSc ` P ) $.
    ${
      coe1scl.k $e |- K = ( Base ` R ) $.
      ${
        ply1sclf.b $e |- B = ( Base ` P ) $.
        $( A scalar polynomial is a polynomial.  (Contributed by Stefan O'Rear,
           28-Mar-2015.) $)
        ply1sclf $p |- ( R e. Ring -> A : K --> B ) $=
          ( crg wcel cid cfv ply1sca2 ply1ring ply1lmod cbs cnx baseid strfvi
          asclf ) DJKABDLMECGCDFNCDFOCDFPDQRQMESHTIUA $.

        $( The value of the algebra scalars function for (univariate)
           polynomials applied to a scalar results in a constant polynomial.
           (Contributed by AV, 27-Nov-2019.) $)
        ply1sclcl $p |- ( ( R e. Ring /\ S e. K ) -> ( A ` S ) e. B ) $=
          ( crg wcel ply1sclf ffvelrnda ) DKLFBEAABCDFGHIJMN $.
      $}

      coe1scl.z $e |- .0. = ( 0g ` R ) $.
      $( Coefficient vector of a scalar.  (Contributed by Stefan O'Rear,
         28-Mar-2015.) $)
      coe1scl $p |- ( ( R e. Ring /\ X e. K ) -> ( coe1 ` ( A ` X ) ) =
            ( x e. NN0 |-> if ( x = 0 , X , .0. ) ) ) $=
        ( crg wcel cfv cco1 cc0 co cn0 wceq eqid wa cv1 cmgp cmg cvsca cif cmpt
        cv ply1scltm fveq2d 0nn0 coe1tm mp3an3 eqtrd ) DLMZFEMZUAZFBNZONFPDUBNZ
        CUCNZUDNZQCUENZQZONZARAUHPSFGUFUGZUQURVCOBCDVBVAFEUTUSJHUSTZVBTZUTTZVAT
        ZIUIUJUOUPPRMVDVESUKAFPCDVBVAEUTUSGKJHVFVGVHVIULUMUN $.
    $}

    ${
      ply1sclid.k $e |- K = ( Base ` R ) $.
      $( Recover the base scalar from a scalar polynomial.  (Contributed by
         Stefan O'Rear, 28-Mar-2015.) $)
      ply1sclid $p |- ( ( R e. Ring /\ X e. K ) ->
          X = ( ( coe1 ` ( A ` X ) ) ` 0 ) ) $=
        ( vx crg wcel wa cc0 cfv cco1 cn0 cv wceq c0g eqid cif cmpt fveq1d 0nn0
        coe1scl iftrue fvmptg mpan adantl eqtr2d ) CJKZEDKZLZMEANONZNMIPIQMRZEC
        SNZUAZUBZNZEUMMUNURIABCDEUPFGHUPTUEUCULUSERZUKMPKULUTUDIMUQEPDURUOEUPUF
        URTUGUHUIUJ $.

      ply1sclf1.b $e |- B = ( Base ` P ) $.
      $( The polynomial scalar function is injective.  (Contributed by Stefan
         O'Rear, 28-Mar-2015.) $)
      ply1sclf1 $p |- ( R e. Ring -> A : K -1-1-> B ) $=
        ( vx vy wcel cv cfv wceq wral wa cc0 cco1 ply1sclid crg wf weq ply1sclf
        wi wf1 fveq2 fveq1d adantrr adantrl eqeq12d syl5ibr ralrimivva sylanbrc
        dff13 ) DUALZEBAUBJMZANZKMZANZOZJKUCZUEZKEPJEPEBAUFABCDEFGHIUDUPVCJKEEV
        AVBUPUQELZUSELZQQZRURSNZNZRUTSNZNZOVARVGVIURUTSUGUHVFUQVHUSVJUPVDUQVHOV
        EACDEUQFGHTUIUPVEUSVJOVDACDEUSFGHTUJUKULUMJKEBAUOUN $.
    $}

    ${
      ply1scl0.z $e |- .0. = ( 0g ` R ) $.
      ply1scl0.y $e |- Y = ( 0g ` P ) $.
      $( The zero scalar is zero.  (Contributed by Stefan O'Rear,
         29-Mar-2015.) $)
      ply1scl0 $p |- ( R e. Ring -> ( A ` .0. ) = Y ) $=
        ( crg wcel cfv cur cvsca co c0g cbs wceq eqid syl ring0cl baseid strfvi
        cid ply1sca2 cnx asclval fveq2d oveq1d clmod ply1lmod ply1ring ringidcl
        fvi eqtr4id lmod0vs syl2anc 3eqtrd ) CJKZEALZEBMLZBNLZOZCUDLZPLZVAVBOZD
        USECQLZKUTVCRVGCEVGSZHUAAVBVAVDVGBEGBCFUEZCQUFQLVGUBVHUCVBSZVASZUGTUSEV
        EVAVBUSECPLVEHUSVDCPCJUNUHUOUIUSBUJKVABQLZKZVFDRBCFUKUSBJKVMBCFULVLBVAV
        LSZVKUMTVBVDVEVLBVADVNVIVJVESIUPUQUR $.

      ply1scln0.k $e |- K = ( Base ` R ) $.
      $( Nonzero scalars create nonzero polynomials.  (Contributed by Stefan
         O'Rear, 29-Mar-2015.) $)
      ply1scln0 $p |- ( ( R e. Ring /\ X e. K /\ X =/= .0. ) ->
          ( A ` X ) =/= Y ) $=
        ( crg wcel wne w3a cfv wa wceq adantr cbs wf1 wb eqid ply1sclf1 ring0cl
        simpr f1fveq syl12anc biimpd necon3d 3impia ply1scl0 3ad2ant1 neeqtrd )
        CMNZEDNZEGOZPEAQZGAQZFUPUQURUSUTOUPUQRZUSUTEGVAUSUTSZEGSZVADBUAQZAUBZUQ
        GDNZVBVCUCUPVEUQAVDBCDHILVDUDUETUPUQUGUPVFUQDCGLJUFTDVDEGAUHUIUJUKULUPU
        QUTFSURABCFGHIJKUMUNUO $.
    $}

    ${
      ply1scl1.o $e |- .1. = ( 1r ` R ) $.
      ply1scl1.n $e |- N = ( 1r ` P ) $.
      $( The one scalar is the unit polynomial.  (Contributed by Stefan O'Rear,
         1-Apr-2015.) $)
      ply1scl1 $p |- ( R e. Ring -> ( A ` .1. ) = N ) $=
        ( crg wcel cfv cvsca co cur cbs wceq eqid ringidcl syl cid ply1sca2 cnx
        baseid strfvi asclval fvi fveq2d eqtr4di oveq1d clmod ply1lmod ply1ring
        lmodvs1 syl2anc 3eqtr2d ) CJKZDALZDEBMLZNZCUALZOLZEUSNZEUQDCPLZKURUTQVD
        CDVDRZHSAUSEVAVDBDGBCFUBZCPUCPLVDUDVEUEUSRZIUFTUQVBDEUSUQVBCOLDUQVACOCJ
        UGUHHUIUJUQBUKKEBPLZKZVCEQBCFULUQBJKVIBCFUMVHBEVHRZISTUSVBVAVHBEVJVFVGV
        BRUNUOUP $.
    $}
  $}

  ${
    ply1idvr1.p $e |- P = ( Poly1 ` R ) $.
    ply1idvr1.x $e |- X = ( var1 ` R ) $.
    ply1idvr1.n $e |- N = ( mulGrp ` P ) $.
    ply1idvr1.e $e |- .^ = ( .g ` N ) $.
    $( The identity of a polynomial ring expressed as power of the polynomial
       variable.  (Contributed by AV, 14-Aug-2019.) $)
    ply1idvr1 $p |- ( R e. Ring -> ( 0 .^ X ) = ( 1r ` P ) ) $=
      ( crg wcel cc0 co cur cfv cascl cvsca cbs wceq eqid csca ringidcl ply1sca
      ply1scltm mpdan fveq2d oveq1d clmod ply1lmod 0nn0 ply1moncl mpan2 lmodvs1
      cn0 syl2anc 3eqtrrd ply1scl1 eqtrd ) BJKZLECMZBNOZAPOZOZANOZUSVCVAUTAQOZM
      ZAUAOZNOZUTVEMZUTUSVABROZKVCVFSVJBVAVJTZVATZUBVBABVECVAVJDEVKFGVETZHIVBTZ
      UDUEUSVAVHUTVEUSBVGNABJFUCUFUGUSAUHKUTAROZKZVIUTSABFUIUSLUNKVPUJVOLABCDEF
      GHIVOTZUKULVEVHVGVOAUTVQVGTVMVHTUMUOUPVBABVAVDFVNVLVDTUQUR $.
  $}

  ${
    $d B k n s $.  $d F c k n s $.  $d G c k n s $.  $d R k n s $.
    $d .X. c n s $.  $d .0. c k n s $.
    cply1mul.p $e |- P = ( Poly1 ` R ) $.
    cply1mul.b $e |- B = ( Base ` P ) $.
    cply1mul.0 $e |- .0. = ( 0g ` R ) $.
    cply1mul.m $e |- .X. = ( .r ` P ) $.
    $( The product of two constant polynomials is a constant polynomial.
       (Contributed by AV, 18-Nov-2019.) $)
    cply1mul $p |- ( ( R e. Ring /\ ( F e. B /\ G e. B ) )
                      -> ( A. c e. NN ( ( ( coe1 ` F ) ` c ) = .0.
                                     /\ ( ( coe1 ` G ) ` c ) = .0. )
                      -> A. c e. NN ( ( coe1 ` ( F .X. G ) ) ` c ) = .0. ) ) $=
      ( wcel wa cfv wceq cn co cc0 wi vn vk vs crg cv cco1 wral cmin cmulr cmpt
      cfz cgsu cn0 cvv eqid coe1mul 3expb adantr oveq2 fvoveq1 oveq2d mpteq12dv
      adantl nnnn0 ovexd fvmptd r19.26 subid1d sylan9eqr simpll eqeltrd fveqeq2
      weq nncn rspcv syl cbs simprl elfznn0 coe1fvalcl syl2an ringrz syl2anc ex
      expcom com23 syldc com24 com13 wn wne neqne anim12ci elnnne0 sylibr oveq1
      expd eleq2i biimpi fznn0sub ringlz a1dd syld imp pm2.61i syl5bi mpteq2dva
      com14 impl cmnd ringmnd gsumz 3eqtrd ralrimiva cbvralvw ) CUDMZEAMZFAMZNZ
      NZHUEZEUFOZOGPZYAFUFOZOGPZNHQUGZYAEFDRUFOZOGPZHQUGZXTYFNZUAUEZYGOZGPZUAQU
      GYIYJYMUAQYJYKQMZNZYLCUBSYKUKRZUBUEZYBOZYKYQUHRZYDOZCUIOZRZUJZULRZCUBYPGU
      JZULRZGYOUCYKCUBSUCUEZUKRZYRUUGYQUHRYDOZUUARZUJZULRZUUDUMYGUNYJYGUCUMUULU
      JPZYNXTUUMYFXPXQXRUUMUBACDUUAUCEFBILUUAUOZJUPUQURURUCUAVMZUULUUDPYOUUOUUK
      UUCCULUUOUBUUHUUJYPUUBUUGYKSUKUSUUOUUIYTYRUUAUUGYKYQYDUHUTVAVBVAVCYNYKUMM
      YJYKVDVCYOCUUCULVEVFYOUUCUUECULYOUBYPUUBGYJYNYQYPMZUUBGPZXTYFYNUUPNZUUQTZ
      YFYCHQUGZYEHQUGZNZXTUUSYCYEHQVGYQSPZXTUVBUUSTTUVBXTUVCUUSUVAXTUVCUUSTTUUT
      UVAUURUVCXTUUQUVAUURUVCXTUUQTZUURUVCNZUVAYTGPZUVDUVEYSQMUVAUVFTUVEYSYKQUV
      CUURYSYKSUHRZYKYQSYKUHUSYNUVGYKPUUPYNYKYKVNVHURVIYNUUPUVCVJVKYEUVFHYSQYAY
      SGYDVLVOVPUVEXTUVFUUQXTUVEUVFUUQTXTUVENZUVFUUQUVFUVHUUBYRGUUARZGYTGYRUUAU
      SUVHXPYRCVQOZMZUVIGPXPXSUVEVJXTXQYQUMMZUVKUVEXPXQXRVRUURUVLUVCUUPUVLYNYQY
      KVSZVCURYBABCEUVJYQYBUOJIUVJUOZVTWAUVJCUUAYRGUVNUUNKWBWCVIWDWEWFWGWQWHVCW
      IUVBXTUVCWJZUUSUUTXTUVOUUSTTUVAUURXTUVOUUTUUQYNUUPXTUVOUUTUUQTZTTUVOUUPXT
      YNUVPUVOUUPXTYNUVPTTUVOUUPNZUUTYNXTUUQUVQUUTYRGPZYNUVDTZUVQYQQMZUUTUVRTUV
      QUVLYQSWKZNUVTUVOUWAUUPUVLYQSWLUVMWMYQWNWOYCUVRHYQQYAYQGYBVLVOVPUUPUVRUVS
      TUVOXTUVRYNUUPUUQXTUVRUUPUUQTYNXTUUPUVRUUQXTUUPUVRUUQTXTUUPNZUVRUUQUVRUWB
      UUBGYTUUARZGYRGYTUUAWPUWBXPYTUVJMZUWCGPXPXSUUPVJXTFBVQOZMZYSUMMUWDUUPXSUW
      FXPXRUWFXQXRUWFAUWEFJWRWSVCVCYQSYKWTYDUWEBCFUVJYSYDUOUWEUOIUVNVTWAUVJCUUA
      YTGUVNUUNKXAWCVIWDWDWFXBXHVCXCWHWDXHXDXHURWIXEXFXDXIXGVAYJUUFGPZYNXTUWGYF
      XPUWGXSXPCXJMYPUNMUWGCXKXPSYKUKVEYPUBCUNGKXLWCURURURXMXNYHYMHUAQYAYKGYGVL
      XOWOWD $.
  $}

  ${
    $d k A $.  $d k B $.  $d k K $.  $d k P $.  $d k R $.  $d k .x. $.
    ply1coefsupp.p $e |- P = ( Poly1 ` R ) $.
    ply1coefsupp.x $e |- X = ( var1 ` R ) $.
    ply1coefsupp.b $e |- B = ( Base ` P ) $.
    ply1coefsupp.n $e |- .x. = ( .s ` P ) $.
    ply1coefsupp.m $e |- M = ( mulGrp ` P ) $.
    ply1coefsupp.e $e |- .^ = ( .g ` M ) $.
    ply1coefsupp.a $e |- A = ( coe1 ` K ) $.
    $( The decomposition of a univariate polynomial is finitely supported.
       Formerly part of proof for ~ ply1coe .  (Contributed by Stefan O'Rear,
       21-Mar-2015.)  (Revised by AV, 8-Aug-2019.) $)
    ply1coefsupp $p |- ( ( R e. Ring /\ K e. B ) ->
          ( k e. NN0 |-> ( ( A ` k ) .x. ( k .^ X ) ) ) finSupp ( 0g ` P ) ) $=
      ( wcel cfv cn0 crg wa csca cvv cbs cv co eqid clmod ply1lmod adantr nn0ex
      a1i ply1ring ringmgp syl ad2antrr simpr vr1cl mgpbas mulgnn0cl syl3anc wf
      cmnd coe1f adantl c0g cfsupp wbr coe1sfi wceq ply1sca eqcomd mptscmfsuppd
      fveq2d breqtrrd ) DUARZHBRZUBZABCCUCSZEFUDTDUESZFUFZJGUGZMVTUHNVQCUIRVRCD
      KUJUKTUDRVSULUMVSWBTRZUBIVDRZWDJBRZWCBRVQWEVRWDVQCUARWECDKUNCIOUOUPUQVSWD
      URVQWFVRWDBCDJLKMUSUQBGIWBJBCIOMUTPVAVBVRTWAAVCVQABCDHWAQMKWAUHVEVFVSADVG
      SZVTVGSVHVRAWGVHVIVQABCDHWGQMKWGUHVJVFVSVTDVGVQVTDVKVRVQDVTCDUAKVLVMUKVOV
      PVN $.
  $}

  ${
    $d a k A $.  $d a b c k B $.  $d a b c x B $.  $d a b c d k K $.  $d x K $.
    $d a b M $.  $d a c k X $.  $d a k .^ $.  $d a b c d k R $.  $d x d R $.
    $d a b k .x. $.  $d k P $.
    ply1coe.p $e |- P = ( Poly1 ` R ) $.
    ply1coe.x $e |- X = ( var1 ` R ) $.
    ply1coe.b $e |- B = ( Base ` P ) $.
    ply1coe.n $e |- .x. = ( .s ` P ) $.
    ply1coe.m $e |- M = ( mulGrp ` P ) $.
    ply1coe.e $e |- .^ = ( .g ` M ) $.
    ply1coe.a $e |- A = ( coe1 ` K ) $.
    $( Decompose a univariate polynomial as a sum of powers.  (Contributed by
       Stefan O'Rear, 21-Mar-2015.)  (Revised by AV, 7-Oct-2019.) $)
    ply1coe $p |- ( ( R e. Ring /\ K e. B )
           -> K = ( P gsum ( k e. NN0 |-> ( ( A ` k ) .x. ( k .^ X ) ) ) ) ) $=
      ( wcel co cfv va vb vd vc vx crg wa c1o cmpl cn0 cmap cv wceq cur c0g cif
      cmpt cgsu c0 com eqid psr1baslem 1onn cps1 ply1bas ply1vsca simpl mplcoe1
      a1i simpr fvcoe1 adantll cmgp cmvr cmg simpll cplusg csn wral eqidd fveq2
      oveq1d oveq2d eqeq12d ralsn sylibr ralbidv df1o2 raleqbii mplcoe5 mpteq1i
      0ex raleqi oveq2i cmnd cvv mplring mpan ringmgp syl ad2antrr mgpbas ovexd
      cbs wss ssv cmulr ply1mulr mgpplusg eqtr3i oveqi mulgpropd oveqd ply1ring
      adantr elmapi 0lt1o ffvelrn sylancl adantl vr1cl mulgnn0cl syl3anc vr1val
      wf eqeltrd eqtr4di oveq12d gsumsn eqtrid 3eqtrd mpteq2dva ccom nn0ex cpl1
      mptex fvexi ply1plusg gsumpropd clmod ply1mpl0 ccmn mpllmod csca ply1lmod
      sylancr lmodcmn coe1f ffvelrnda ply1sca eqcomd fveq2d fmpttd ply1coefsupp
      eleqtrrd lmodvscl wf1o mapsnf1o2 gsumf1o oveq1 fmptco 3eqtrrd ) DUFRZHBRZ
      UGZHUHDUISZUAUJUHUKSZUAULZHTZUBUVGUBULZUVHUMDUNTZDUOTZUPUQZESZUQZURSUVFUA
      UVGUSUVHTZATZUVPJGSZESZUQZURSZCFUJFULZATZUWBJGSZESZUQZURSZUVEUBBUVGUVFDEU
      VKUCUAUHUTHUVLUVFVAZUCVBZUVLVAZUVKVAZUHUTRZUVEVCVICDDVDTZBKUWMVAMVEZDUVFE
      CKUWHNVFUVCUVDVGZUVCUVDVJVHUVEUVOUVTUVFURUVEUAUVGUVNUVSUVEUVHUVGRZUGZUVIU
      VQUVMUVREUVDUWPUVIUVQUMUVCAHBUVHQVKVLUWQUVMUVFVMTZUDUHUDULZUVHTZUWSUHDVNS
      ZTZUWRVOTZSZUQZURSZUVPJUXCSZUVRUWQUEUBUVGUVFDUVKUCUDUXCUWRUHUXAUTUVHUVLUW
      HUWIUWJUWKUWLUWQVCVIUWRVAZUXCVAZUXAVAUVCUVDUWPVPUVEUWPVJUWQUVJUXATZUEULZU
      XATZUWRVQTZSZUXLUXJUXMSZUMZUBUSVRZVSZUEUXQVSZUXPUBUHVSZUEUHVSUWQUXJUSUXAT
      ZUXMSZUYAUXJUXMSZUMZUBUXQVSZUXSUWQUYAUYAUXMSZUYFUMZUYEUWQUYFVTUYDUYGUBUSW
      LUVJUSUMZUYBUYFUYCUYFUYHUXJUYAUYAUXMUVJUSUXAWAZWBUYHUXJUYAUYAUXMUYIWCWDWE
      WFUXRUYEUEUSWLUXKUSUMZUXPUYDUBUXQUYJUXNUYBUXOUYCUYJUXLUYAUXJUXMUXKUSUXAWA
      ZWCUYJUXLUYAUXJUXMUYKWBWDWGWEWFUXTUXRUEUHUXQWHUXPUBUHUXQWHWMWIWFWJUWQUXFU
      WRUDUXQUXDUQZURSZUXGUXEUYLUWRURUDUHUXQUXDWHWKWNUWQUWRWORZUSWPRZUXGBRUYMUX
      GUMUVCUYNUVDUWPUVCUVFUFRZUYNUWLUVCUYPVCUVFDUHUTUWHWQWRUVFUWRUXHWSWTXAUYOU
      WQWLVIUWQUXGUVRBUVEUXGUVRUMUWPUVEUXCGUVPJUVEUAUBBUXCGUWRIWPUXIPBUWRXDTUMU
      VEBUVFUWRUXHUWNXBZVIBIXDTUMUVEBCIOMXBZVIBWPXEUVEBXFVIUVEUVHWPRUVJWPRUGUGZ
      UVHUVJUXMXCUVHUVJUXMSUVHUVJIVQTZSUMUYSUXMUYTUVHUVJCXGTZUXMUYTUVFVUAUWRUXH
      DUVFVUACKUWHVUAVAZXHXICVUAIOVUBXIXJXKVIXLXMXOZUWQIWORZUVPUJRZJBRZUVRBRUVC
      VUDUVDUWPUVCCUFRVUDCDKXNCIOWSWTZXAUWPVUEUVEUWPUHUJUVHYEUSUHRVUEUVHUJUHXPX
      QUHUJUSUVHXRXSXTZUVCVUFUVDUWPBCDJLKMYAZXABGIUVPJUYRPYBYCYFUXDBUXGUDUWRUSW
      PUYQUWSUSUMZUWTUVPUXBJUXCUWSUSUVHWAVUJUXBUYAJUWSUSUXAWADJLYDYGYHYIYCYJVUC
      YKYHYLWCUVEUWGUVFUWFURSUVFUWFUAUVGUVPUQZYMZURSUWAUVEUWFCUVFWPWPWPUWFWPRUV
      EFUJUWEYNYPVICWPRUVECDYOKYQVIUVEUHDUIXCCXDTZUVFXDTZUMUVEBVUMVUNMUWNXJVICV
      QTZUVFVQTUMUVEVUODUVFCKUWHVUOVAYRVIYSUVEUJBUVGUWFUVFVUKWPCUOTZUWNCDUVFVUP
      UWHKVUPVAUUAUVEUVFYTRZUVFUUBRUVEUWLUVCVUQVCUWOUVFDUHUTUWHUUCUUFUVFUUGWTUJ
      WPRUVEYNVIUVEFUJUWEBUVEUWBUJRZUGZCYTRZUWCCUUDTZXDTZRUWDBRZUWEBRUVCVUTUVDV
      URCDKUUEXAVUSUWCDXDTZVVBUVEUJVVDUWBAUVDUJVVDAYEUVCABCDHVVDQMKVVDVAUUHXTUU
      IVUSVVADXDUVCVVADUMUVDVURUVCDVVACDUFKUUJUUKXAUULUUOVUSVUDVURVUFVVCUVCVUDU
      VDVURVUGXAUVEVURVJUVCVUFUVDVURVUIXABGIUWBJUYRPYBYCUWCEVVAVVBBCUWDMVVAVANV
      VBVAUUPYCUUMABCDEFGHIJKLMNOPQUUNUVGUJVUKUUQUVEUAUJUHVUKUSWHYNWLVUKVAUURVI
      UUSUVEVULUVTUVFURUVEUAFUVGUJUVPUWEUVSVUKUWFVUHUVEVUKVTUVEUWFVTUWBUVPUMUWC
      UVQUWDUVREUWBUVPAWAUWBUVPJGUUTYHUVAWCUVBYK $.
  $}

  ${
    $d A k n $.  $d B n $.  $d C k n $.  $d K n $.  $d L n $.  $d P n $.
    $d R n $.
    eqcoe1ply1eq.p $e |- P = ( Poly1 ` R ) $.
    eqcoe1ply1eq.b $e |- B = ( Base ` P ) $.
    eqcoe1ply1eq.a $e |- A = ( coe1 ` K ) $.
    eqcoe1ply1eq.c $e |- C = ( coe1 ` L ) $.
    $( Two polynomials over the same ring are equal if they have identical
       coefficients.  (Contributed by AV, 7-Oct-2019.) $)
    eqcoe1ply1eq $p |- ( ( R e. Ring /\ K e. B /\ L e. B )
                         -> ( A. k e. NN0 ( A ` k ) = ( C ` k ) -> K = L ) ) $=
      ( vn wcel cfv wceq cn0 co cgsu eqid crg w3a cv wral wa cco1 cv1 cmg cvsca
      cmgp cmpt fveq2 eqeq12d rspccv adantl imp fveq1i 3eqtr3g oveq1d mpteq2dva
      wi oveq2d wb ply1coe 3adant3 3adant2 adantr mpbird ex ) EUANZGBNZHBNZUBZF
      UCZAOZVNCOZPZFQUDZGHPZVMVRUEZVSDMQMUCZGUFOZOZWAEUGOZDUJOZUHOZRZDUIOZRZUKZ
      SRZDMQWAHUFOZOZWGWHRZUKZSRZPZVTWJWODSVTMQWIWNVTWAQNZUEZWCWMWGWHWSWAAOZWAC
      OZWCWMVTWRWTXAPZVRWRXBVAVMVQXBFWAQVNWAPVOWTVPXAVNWAAULVNWACULUMUNUOUPWAAW
      BKUQWACWLLUQURUSUTVBVMVSWQVCVRVMGWKHWPVJVKGWKPVLWBBDEWHMWFGWEWDIWDTZJWHTZ
      WETZWFTZWBTVDVEVJVLHWPPVKWLBDEWHMWFHWEWDIXCJXDXEXFWLTVDVFUMVGVHVI $.

    $d B k $.  $d K k $.  $d L k $.  $d R k $.
    $( Two polynomials over the same ring are equal iff they have identical
       coefficients.  (Contributed by AV, 13-Oct-2019.) $)
    ply1coe1eq $p |- ( ( R e. Ring /\ K e. B /\ L e. B )
                       -> ( A. k e. NN0 ( A ` k ) = ( C ` k ) <-> K = L ) ) $=
      ( crg wcel w3a cfv wceq cn0 wa cco1 wral eqcoe1ply1eq fveq2 adantl adantr
      cv 3eqtr4g fveq1d ralrimiva ex impbid ) EMNGBNHBNOZFUFZAPUMCPQZFRUAZGHQZA
      BCDEFGHIJKLUBULUPUOULUPSZUNFRUQUMRNZSUMACUQACQURUQGTPZHTPZACUPUSUTQULGHTU
      CUDKLUGUEUHUIUJUK $.
  $}

  ${
    $d A k $.  $d K k n $.  $d P k $.  $d R k n $.  $d S k n $.  $d .0. k $.
    cply1coe0.k $e |- K = ( Base ` R ) $.
    cply1coe0.0 $e |- .0. = ( 0g ` R ) $.
    cply1coe0.p $e |- P = ( Poly1 ` R ) $.
    cply1coe0.b $e |- B = ( Base ` P ) $.
    cply1coe0.a $e |- A = ( algSc ` P ) $.
    $( All but the first coefficient of a constant polynomial ( i.e. a "lifted
       scalar") are zero.  (Contributed by AV, 16-Nov-2019.) $)
    cply1coe0 $p |- ( ( R e. Ring /\ S e. K )
                      -> A. n e. NN ( ( coe1 ` ( A ` S ) ) ` n ) = .0. ) $=
      ( vk wcel wa cfv wceq cc0 cn0 crg cv cco1 cif cvv cmpt coe1scl adantr weq
      cn wn nnne0 neneqd adantl wb eqeq1 notbid mpbird iffalsed nnnn0 c0g fvexi
      a1i fvmptd ralrimiva ) DUAOEGOPZFUBZEAQUCQZQHRFUJVFVGUJOZPZNVGNUBZSRZEHUD
      ZHTVHUEVFVHNTVMUFRVINACDGEHKMIJUGUHVJNFUIZPZVLEHVOVLUKZVGSRZUKZVJVRVNVIVR
      VFVIVGSVGULUMUNUHVNVPVRUOVJVNVLVQVKVGSUPUQUNURUSVIVGTOVFVGUTUNHUEOVJHDVAJ
      VBVCVDVE $.

    $d A n s $.  $d B k n $.  $d B s $.  $d K s $.  $d M k $.  $d M n s $.
    $d R s $.  $d .0. s $.
    $( A polynomial is constant (i.e. a "lifted scalar") iff all but the first
       coefficient are zero.  (Contributed by AV, 16-Nov-2019.) $)
    cply1coe0bi $p |- ( ( R e. Ring /\ M e. B ) -> ( E. s e. K M = ( A ` s )
                               <-> A. n e. NN ( ( coe1 ` M ) ` n ) = .0. ) ) $=
      ( wcel wa cfv wceq cn cc0 vk crg cv wrex cco1 cply1coe0 ad4ant13 wb fveq2
      wral fveq1d eqeq1d ralbidv adantl mpbird rexlimdva2 simpr 0nn0 coe1fvalcl
      cn0 eqid sylancl adantr eqeq2d w3a simpl csca cbs ply1ring ply1lmod asclf
      wf ply1sca eqcomd fveq2d eleqtrrd ffvelrnd 3jca cif cvv coe1scl syldan wn
      cmpt weq nnne0 neneqd eqeq1 notbid iffalsed nnnn0 c0g fvexi a1i fvmptd ex
      eqtrd ralimdva imp ply1sclid csn df-n0 raleqi c0ex eqeq12d ralunsn syl5bb
      cun mp1i mpbir2and eqcoe1ply1eq sylc rspcedvd impbid ) DUBOZGBOZPZGIUCZAQ
      ZRZIFUDZEUCZGUEQZQZHRZESUJZXQXTYFIFXQXRFOZPZXTPYFYBXSUEQZQZHRZESUJZXOYGYL
      XPXTABCDXREFHJKLMNUFUGXTYFYLUHYHXTYEYKESXTYDYJHXTYBYCYIGXSUEUIUKULUMUNUOU
      PXQYFYAXQYFPZXTGTYCQZAQZRZIYNFXQYNFOZYFXQXPTUTOZYQXOXPUQZURYCBCDGFTYCVAZM
      LJUSVBZVCXRYNRZXTYPUHYMUUBXSYOGXRYNAUIVDUNYMXOXPYOBOZVEZYDYBYOUEQZQZRZEUT
      UJZYPXQUUDYFXQXOXPUUCXOXPVFYSXQCVGQZVHQZBYNAXOUUJBAVLXPXOABUUIUUJCNUUIVAC
      DLVICDLVJUUJVAMVKVCXQYNDVHQZUUJXQXPYRYNUUKOYSURYCBCDGUUKTYTMLUUKVAUSVBXOU
      UJUUKRXPXOUUIDVHXODUUICDUBLVMVNVOVCVPVQVRVCYMUUHUUGESUJZYNTUUEQZRZXQYFUUL
      XQYEUUGESXQYBSOZPZYEUUGUUPYEPYDHUUFUUPYEUQUUPHUUFRYEUUPUUFHUUPUAYBUAUCZTR
      ZYNHVSZHUTUUEVTXQUUEUAUTUUSWDRZUUOXOXPYQUUTUUAUAACDFYNHLNJKWAWBVCUUPUAEWE
      ZPZUURYNHUVBUURWCZYBTRZWCZUUPUVEUVAUUOUVEXQUUOYBTYBWFWGUNVCUVAUVCUVEUHUUP
      UVAUURUVDUUQYBTWHWIUNUOWJUUOYBUTOXQYBWKUNHVTOUUPHDWLKWMWNWOVNVCWQWPWRWSXQ
      UUNYFXOXPYQUUNUUAACDFYNLNJWTWBVCUUHUUGESTXAXHZUJZYMUULUUNPZUUGEUTUVFXBXCT
      VTOUVGUVHUHYMXDUUGUUNESTVTUVDYDYNUUFUUMYBTYCUIYBTUUEUIXEXFXIXGXJYCBUUECDE
      GYOLMYTUUEVAXKXLXMWPXN $.
  $}

  ${
    coe1fzgsumd.p $e |- P = ( Poly1 ` R ) $.
    coe1fzgsumd.b $e |- B = ( Base ` P ) $.
    coe1fzgsumd.r $e |- ( ph -> R e. Ring ) $.
    coe1fzgsumd.k $e |- ( ph -> K e. NN0 ) $.
    ${
      $d B x y $.  $d K x y $.  $d M y $.  $d P y $.  $d R y $.  $d ph y $.
      $d m x y $.  $d a x y $.
      $( Lemma for ~ coe1fzgsumd (induction step).  (Contributed by AV,
         8-Oct-2019.) $)
      coe1fzgsumdlem $p |- ( ( m e. Fin /\ -. a e. m /\ ph )
      -> ( ( A. x e. m M e. B -> ( ( coe1 ` ( P gsum ( x e. m |-> M ) ) ) ` K )
                             = ( R gsum ( x e. m |-> ( ( coe1 ` M ) ` K ) ) ) )
        -> ( A. x e. ( m u. { a } ) M e. B
      -> ( ( coe1 ` ( P gsum ( x e. ( m u. { a } ) |-> M ) ) ) ` K )
         = ( R gsum ( x e. ( m u. { a } ) |-> ( ( coe1 ` M ) ` K ) ) ) ) ) ) $=
        ( vy wcel cmpt cgsu co cco1 cfv cv cfn wn w3a wral wi csn cun wa ralunb
        wceq csb cplusg nfcv nfcsb1v csbeq1a cbvmpt oveq2i cvv crg ply1ring syl
        eqid ccmn ringcmn 3ad2ant3 ad2antrr simpll1 rspcsbela expcom adantl imp
        adantr vex a1i simpll2 mpan csbeq1 gsumunsn syl5eq eqcomi oveq1i eqtrdi
        vsnid fveq2d fveq1d cn0 simplr gsummptcl coe1addfv syl31anc eqtrd oveq1
        sylan9eq cbs csbfv12 csbfv2g elv csbconstg fveq12i eqtri coe1f ffvelrnd
        wf eqeltrid nffv csbhypf eqtr2di exp31 com23 ex a2d imp4b syl5bi ) FUAZ
        UBOZIUAZXOOUCZAUDZHCOZBXOUEZGDBXOHPZQRZSTTZEBXOGHSTZTZPZQRZUKZUFZXTBXOX
        QUGZUHZUEZGDBYLHPZQRZSTZTZEBYLYFPZQRZUKZUFYMYAXTBYKUEZUIXSYJUIYTXTBXOYK
        UJXSYJYAUUAYTXSYAYIUUAYTUFZXSYAYIUUBUFXSYAUIZUUAYIYTUUCUUAYIYTUUCUUAUIZ
        YIUIYQYHGBXQHULZSTZTZEUMTZRZYSUUDYIYQYDUUGUUHRZUUIUUDYQGYCUUEDUMTZRZSTZ
        TZUUJUUDGYPUUMUUDYOUULSUUDYODNXOBNUAZHULZPZQRZUUEUUKRZUULUUDYODNYLUUPPZ
        QRUUSYNUUTDQBNYLHUUPNHUNZBUUOHUOZBUUOHUPZUQURUUDXOCUUKNDXQUSUUPUUEKUUKV
        CZXSDVDOZYAUUAAXPUVEXRADUTOZUVEAEUTOZUVFLDEJVAVBDVEVBVFVGZXPXRAYAUUAVHZ
        UUDUUOXOOZUUPCOZUUCUVJUVKUFZUUAYAUVLXSUVJYAUVKBUUOXOHCVIVJVKVMVLZXQUSOU
        UDIVNVOZXPXRAYAUUAVPZUUAUUECOZUUCXQYKOUUAUVPIWDBXQYKHCVIVQVKZBUUOXQHVRV
        SVTUURYCUUEUUKUUQYBDQYBUUQBNXOHUUPUVAUVBUVCUQWAURWBWCWEWFUUDUVGYCCOUVPG
        WGOZUUNUUJUKXSUVGYAUUAAXPUVGXRLVFVGUUDCBDXOHKUVHUVIXSYAUUAWHWIUVQXSUVRY
        AUUAAXPUVRXRMVFZVGZCUUHUUKEYCUUEGDJKUVDUUHVCZWJWKWLYDYHUUGUUHWMWNUUDUUI
        YSUKYIUUDYSENXOBUUOYFULZPZQRZUUGUUHRZUUIUUDYSENYLUWBPZQRUWEYRUWFEQBNYLY
        FUWBNYFUNZBUUOYFUOZBUUOYFUPZUQURUUDXOEWOTZUUHNEXQUSUWBUUGUWJVCZUWAXSEVD
        OZYAUUAAXPUWLXRAUVGUWLLEVEVBVFVGUVIUUDUVJUIZUWBGUUPSTZTZUWJUWBBUUOGULZB
        UUOYEULZTUWOBUUOGYEWPUWPGUWQUWNUWQUWNUKNBUUOHUSSWQWRUWPGUKNBUUOGUSWSWRW
        TXAUWMWGUWJGUWNUWMUVKWGUWJUWNXDUVMUWNCDEUUPUWJUWNVCKJUWKXBVBUUCUVRUUAUV
        JXSUVRYAUVSVMVGXCXEUVNUVOUUDWGUWJGUUFUUDUVPWGUWJUUFXDUVQUUFCDEUUEUWJUUF
        VCKJUWKXBVBUVTXCBNXQYFUUGBXQUNBGUUFBUUESBSUNBXQHUOXFBGUNXFBUAXQUKZGYEUU
        FUWRHUUESBXQHUPWEWFXGVSVTUWDYHUUGUUHUWCYGEQYGUWCBNXOYFUWBUWGUWHUWIUQWAU
        RWBXHVMWLXIXJXKXLXMXNXK $.
    $}

    $d B a m n $.  $d B x $.  $d K x $.  $d K a m n $.  $d N n x $.
    $d N m x $.  $d N a x $.  $d M a m n $.  $d P a m n $.  $d R a m n $.
    $d a m n ph $.
    coe1fzgsumd.m $e |- ( ph -> A. x e. N M e. B ) $.
    coe1fzgsumd.n $e |- ( ph -> N e. Fin ) $.
    $( Value of an evaluated coefficient in a finite group sum of polynomials.
       (Contributed by AV, 8-Oct-2019.) $)
    coe1fzgsumd $p |- ( ph -> ( ( coe1 ` ( P gsum ( x e. N |-> M ) ) ) ` K )
                          = ( R gsum ( x e. N |-> ( ( coe1 ` M ) ` K ) ) ) ) $=
      ( cgsu co cco1 cfv wceq wi vn vm va wcel wral cmpt cfn cv wa c0 csn raleq
      cun anbi2d mpteq1 oveq2d fveq2d fveq1d eqeq12d imbi12d c0g cn0 cxp oveq2i
      mpt0 eqid gsum0 eqtri fveq2i a1i crg coe1z syl cvv fvex fvconst2g sylancr
      3eqtrd eqtr4di adantr coe1fzgsumdlem 3expia a2d impexp 3imtr4g findcard2s
      wn expd mpcom mpd ) AGCUDZBHUEZFDBHGUFZOPZQRZRZEBHFGQRRZUFZOPZSZMHUGUDZAW
      LWTTNXAAWLWTAWKBUAUHZUEZUIZFDBXBGUFZOPZQRZRZEBXBWQUFZOPZSZTAWKBUJUEZUIZFD
      BUJGUFZOPZQRZRZEBUJWQUFZOPZSZTAWKBUBUHZUEZUIZFDBYAGUFZOPZQRZRZEBYAWQUFZOP
      ZSZTZAWKBYAUCUHZUKUMZUEZUIZFDBYMGUFZOPZQRZRZEBYMWQUFZOPZSZTZAWLUIZWTTUAUB
      UCHXBUJSZXDXMXKXTUUEXCXLAWKBXBUJULUNUUEXHXQXJXSUUEFXGXPUUEXFXOQUUEXEXNDOB
      XBUJGUOUPUQURUUEXIXREOBXBUJWQUOUPUSUTXBYASZXDYCXKYJUUFXCYBAWKBXBYAULUNUUF
      XHYGXJYIUUFFXGYFUUFXFYEQUUFXEYDDOBXBYAGUOUPUQURUUFXIYHEOBXBYAWQUOUPUSUTXB
      YMSZXDYOXKUUBUUGXCYNAWKBXBYMULUNUUGXHYSXJUUAUUGFXGYRUUGXFYQQUUGXEYPDOBXBY
      MGUOUPUQURUUGXIYTEOBXBYMWQUOUPUSUTXBHSZXDUUDXKWTUUHXCWLAWKBXBHULUNUUHXHWP
      XJWSUUHFXGWOUUHXFWNQUUHXEWMDOBXBHGUOUPUQURUUHXIWREOBXBHWQUOUPUSUTAXTXLAXQ
      EVARZXSAXQFDVARZQRZRFVBUUIUKVCZRZUUIAFXPUUKXPUUKSAXOUUJQXODUJOPUUJXNUJDOB
      GVEVDDUUJUUJVFZVGVHVIVJURAFUUKUULAEVKUDUUKUULSKDEUUIUUJIUUNUUIVFZVLVMURAU
      UIVNUDFVBUDUUMUUISEVAVOLVBUUIFVNVPVQVRXSEUJOPUUIXRUJEOBWQVEVDEUUIUUOVGVHV
      SVTYAUGUDZYLYAUDWGZUIZAYBYJTZTAYNUUBTZTYKUUCUURAUUSUUTUUPUUQAUUSUUTTABCDE
      UBFGUCIJKLWAWBWCAYBYJWDAYNUUBWDWEWFWHWIWJ $.
  $}

  ${
    $d B k $.  $d K k $.  $d ph k $.  $d .* k $.
    gsummonply1.p $e |- P = ( Poly1 ` R ) $.
    gsummonply1.b $e |- B = ( Base ` P ) $.
    gsummonply1.x $e |- X = ( var1 ` R ) $.
    gsummonply1.e $e |- .^ = ( .g ` ( mulGrp ` P ) ) $.
    gsummonply1.r $e |- ( ph -> R e. Ring ) $.
    gsummonply1.k $e |- K = ( Base ` R ) $.
    gsummonply1.m $e |- .* = ( .s ` P ) $.
    gsummonply1.0 $e |- .0. = ( 0g ` R ) $.
    gsummonply1.a $e |- ( ph -> A. k e. NN0 A e. K ) $.
    gsummonply1.f $e |- ( ph -> ( k e. NN0 |-> A ) finSupp .0. ) $.
    $( A finite group sum of scaled monomials is a univariate polynomial.
       (Contributed by AV, 8-Oct-2019.) $)
    gsumsmonply1 $p |- ( ph -> ( P gsum ( k e. NN0
                                          |-> ( A .* ( k .^ X ) ) ) ) e. B ) $=
      ( cn0 cv co cmpt cvv c0g cfv eqid crg wcel ccmn ply1ring ringcmn 3syl a1i
      nn0ex r19.21bi w3a 3ad2ant1 simp3 simp2 cmgp syl3anc mpd3an3 fmpttd clmod
      ply1tmcl ply1lmod csca wceq ply1sca ply1moncl sylan mptscmfsupp0 gsumcl
      syl ) AUBCFUBBFUCZJGUDZHUDZUEDUFDUGUHZMWAUIZAEUJUKZDUJUKDULUKPDELUMDUNUOU
      BUFUKAUQUPZAFUBVTCAVRUBUKZBIUKZVTCUKZAWFFUBTURZAWEWFUSWCWFWEWGAWEWCWFPUTA
      WEWFVAAWEWFVBCBVRDEHGIDVCUHZJQLNRWIUIZOMVHVDVEVFAIUBDEBFHCUFVSWAKWDAWCDVG
      UKPDELVIVQAWCEDVJUHVKPDEUJLVLVQMWHAWCWEVSCUKPCVRDEGWIJLNWJOMVMVNWBSRUAVOV
      P $.

    $d A n s x $.  $d K n $.  $d L k n s x $.  $d P k n s $.  $d R k n $.
    $d X n s $.  $d .0. k s n x $.  $d .^ k n s x $.  $d .* n s $.
    $d ph n s x $.
    gsummonply1.l $e |- ( ph -> L e. NN0 ) $.
    $( A coefficient of the polynomial represented as a sum of scaled monomials
       is the coefficient of the corresponding scaled monomial.  (Contributed
       by AV, 13-Oct-2019.) $)
    gsummoncoe1 $p |- ( ph -> ( ( coe1 ` ( P gsum ( k e. NN0
                       |-> ( A .* ( k .^ X ) ) ) ) ) ` L ) = [_ L / k ]_ A ) $=
      ( vs vx vn cv clt wbr cn0 cmpt cfv wceq wi wral wrex cgsu cco1 csb cfsupp
      co cmap wcel cvv wf r19.21bi fmpttd wb cbs fvexi a1i nn0ex elmapg sylancl
      mpbird c0g fsuppmapnn0ub mpd simpr ad2antrr rspcsbela syl2anc eqid fvmpts
      eqeq1d imbi2d biimpd ralimdva cc0 cfz ccmn ply1ring ringcmn 3syl 3ad2ant1
      crg w3a simp3 simp2 cmgp ply1tmcl syl3anc 3expia simplr nfv nfcsb1v nfeq1
      wa nfim weq breq2 csbeq1 imbi12d cbvralw csbid eqeq1i syl fveq2d eqtrd ex
      cmnd syl5bi imp ralrimiva adantr nfan ad3antrrr adantl mpteq2da oveq2d wn
      cif cle elfz2nn0 cr nn0re syld com12 com24 3eqtrd oveq1 csca syl5eq clmod
      ply1sca oveq1d ply1lmod ringmgp mgpbas mulgnn0cl lmod0vs sylan9eqr imim2d
      vr1cl gsummptnn0fz fveq1d elfznn0 simpll adantlr sylan2 fzfid coe1fzgsumd
      nfralw expcom syl11 coe1tm eqeq1 ifbid ring0cl ifcld fvmptd rspcva lelttr
      3jca nfcv wo animorr wne df-ne lttri2 syl2anr bitr3id exp4b expimpd com23
      3adant2 sylbi expd syl7 impcom iffalsed ringmnd ovex gsumz id eqcomd expr
      com13 mpcom imp31 pm3.2 nn0red lenlt syl2an syl3anbrc sylbird eqcom ax-mp
      a2d ifbi mpteq2i eleqtrdi impel gsummpt1n0 syl6com pm2.61i rexlimdva ) AU
      DUGZUEUGZUHUIZUXSFUJBUKZULZLUMZUNZUEUJUOZUDUJUPZJDFUJBFUGZKGVAZHVAZUKUQVA
      ZURULZULZFJBUSZUMZAUYALUTUIZUYFUBAUYAIUJVBVAVCZLVDVCUYOUYFUNAUYPUJIUYAVEZ
      AFUJBIABIVCZFUJUAVFZVGAIVDVCZUJVDVCUYPUYQVHUYTAIEVIRVJVKVLIUJUYAVDVDVMVNV
      OLEVPTVJUEIUDUYAVDLVQVNVRAUYEUYNUDUJAUXRUJVCZXHZUYEUXTFUXSBUSZLUMZUNZUEUJ
      UOZUYNVUBUYDVUEUEUJVUBUXSUJVCZXHZUYDVUEVUHUYCVUDUXTVUHUYBVUCLVUHVUGVUCIVC
      ZUYBVUCUMVUBVUGVSZVUHVUGUYRFUJUOZVUIVUJAVUKVUAVUGUAVTFUXSUJBIWAWBFUXSBUJU
      YAIUYAWCWDWBWEWFWGWHVUBVUFUYNVUBVUFXHZUYLJDFWIUXRWJVAZUYIUKUQVAZURULZULEF
      VUMJUYIURULZULZUKZUQVAZUYMVULJUYKVUOVULUYJVUNURVULCUYIUXRFDDVPULZNVUTWCZA
      DWKVCZVUAVUFAEWPVCZDWPVCZVVBQDEMWLZDWMWNVTAUYICVCZFUJUOZVUAVUFAVUKVVGUAAU
      YRVVFFUJAUYGUJVCZUYRVVFAVVHUYRWQZVVCUYRVVHVVFAVVHVVCUYRQWOAVVHUYRWRAVVHUY
      RWSCBUYGDEHGIDWTULZKRMOSVVJWCZPNXAXBZXCWHVRVTAVUAVUFXDVUBVUFUXRUYGUHUIZUY
      IVUTUMZUNZFUJUOZVUFVVMFUYGBUSZLUMZUNZFUJUOVUBVVPVUEVVSUEFUJUXTVUDFUXTFXEF
      VUCLFUXSBXFXGXIZVVSUEXEUEFXJZUXTVVMVUDVVRUXSUYGUXRUHXKVWAVUCVVQLFUXSUYGBX
      LWEXMXNVUBVVSVVOFUJVUBVVHXHZVVRVVNVVMVVRBLUMZVWBVVNVVQBLFBXOXPVWBVWCVVNVW
      CVWBUYILUYHHVAZVUTBLUYHHUUAVWBVWDDUUBULZVPULZUYHHVAZVUTVWBLVWFUYHHALVWFUM
      VUAVVHALEVPULVWFTAEVWEVPAVVCEVWEUMQDEWPMUUEXQXRUUCVTUUFVWBDUUDVCZUYHDVIUL
      ZVCZVWGVUTUMAVWHVUAVVHAVVCVWHQDEMUUGXQVTVWBVVJYAVCZVVHKVWIVCZVWJAVWKVUAVV
      HAVVCVVDVWKQVVEDVVJVVKUUHWNVTVUBVVHVSZAVWLVUAVVHAVVCVWLQVWIDEKOMVWIWCZUUN
      XQVTVWIGVVJUYGKVWIDVVJVVKVWNUUIPUUJXBHVWEVWFVWIDUYHVUTVWNVWEWCSVWFWCVVAUU
      KWBXSUULXTYBUUMWHYBYCUUOXRUUPVULFCDEJUYIVUMMNAVVCVUAVUFQVTAJUJVCZVUAVUFUC
      VTVUBVVFFVUMUOVUFVUBVVFFVUMVUBUYGVUMVCZXHVVIVVFVWPVUBVVHVVIUYGUXRUUQZVWBA
      VVHUYRAVUAVVHUURVWMAVVHUYRVUAUYSUUSUVNUUTVVLXQYDYEVULWIUXRUVAUVBVULVUSEFV
      UMJUYGUMZBLYLZUKZUQVAZUYMVULVURVWTEUQVULFVUMVUQVWSVUBVUFFVUBFXEVUEFUEUJFU
      JUVOVVTUVCYFVULVWPXHZUFJUFFXJZBLYLZVWSUJVUPIVXBVVCUYRVVHVUPUFUJVXDUKUMAVV
      CVUAVUFVWPQYGVULVWPUYRAVWPUYRUNVUAVUFVVHAUYRVWPAVVHUYRUYSUVDVWQUVEVTYCZVW
      PVVHVULVWQYHUFBUYGDEHGIVVJKLTRMOSVVKPUVFXBUFUGZJUMZVXDVWSUMVXBVXGVXCVWRBL
      VXFJUYGUVGUVHYHAVWOVUAVUFVWPUCYGVXBVWRBLIVXEALIVCZVUAVUFVWPAVVCVXHQIELRTU
      VIXQYGUVJUVKYIYJUXRJUHUIZVULVXAUYMUMZUNVULVXIVXJAVUAVUFVXIVXJUNZVWOAVUAVU
      FVXKUNUNUCVWOVUFVUAAVXKVWOVUFVUAAVXKUNUNZVWOVUFXHVXIUYMLUMZUNZVXLVUEVXNUE
      JUJUXSJUMZUXTVXIVUDVXMUXSJUXRUHXKVXOVUCUYMLFUXSJBXLWEXMUVLAVUAVXNVXKAVUAV
      XNVXKUNVUBVXIVXMVXJAVUAVXIVXMVXJUNAVUAVXIXHZXHZVXMVXJVXQVXMXHZVXAEFVUMLUK
      ZUQVAZLUYMVXRVWTVXSEUQVXRFVUMVWSLVXQVXMFVXQFXEFUYMLFJBXFXGYFVXRVWPXHVWRBL
      VXRVWPVWRYKZVXQVWPVYAUNZVXMVXPAVYBVUAVXIAVYBUNVUAVWPAVXIVYAVWPVUAAVXIVYAU
      NZUNAVWOVWPVUAVYCUCVWPVUAVWOVYCVWPVVHVUAUYGUXRYMUIZWQVUAVWOXHZVYCUNZUYGUX
      RYNVVHVYDVYFVUAVVHVYDVYFVVHVYEVYDVYCVVHVUAVWOVYDVYCUNVVHVUAXHZVWOVYDVXIVY
      AVYGVWOXHZVYDVXIXHZUYGJUHUIZVYAVYHUYGYOVCZUXRYOVCZJYOVCZVYIVYJUNVVHVYKVUA
      VWOUYGYPZVTVYGVYLVWOVUAVYLVVHUXRYPZYHYEVWOVYMVYGJYPZYHUYGUXRJUVMXBVYHVYJV
      YAVYHVYJXHZVYAJUYGUHUIZVYJUVPZVYHVYJVYRUVQVYAJUYGUVRZVYQVYSJUYGUVSVYHVYTV
      YSVHZVYJVWOVYMVYKWUAVYGVYPVVHVYKVUAVYNYEJUYGUVTUWAYEUWBVOXTYQUWCUWDUWEYCU
      WFUWGUWHUWIYRYSYCUWJYEYCUWKYIYJVXQVXTLUMZVXMVXQEYAVCZVUMVDVCZWUBAWUCVXPAV
      VCWUCQEUWLXQZYEWIUXRWJUWMZVUMFEVDLTUWNVNYEVXMLUYMUMVXQVXMUYMLVXMUWOUWPYHY
      TXTUWQUXIXTUWRXQXTYSUWSUWTYRVULVXIYKZVUBWUGXHZVXJVUBWUGWUHUNVUFVUBWUGUXAY
      EWUHBFVWTEVUMVDJLTAWUCVUAWUGWUEVTWUDWUHWUFVKVUBWUGJVUMVCZVUBWUGJUXRYMUIZW
      UIAVYMVYLWUJWUGVHVUAAJUCUXBVYOJUXRUXCUXDVUBWUJWUIVUBWUJXHVWOVUAWUJWUIAVWO
      VUAWUJUCVTAVUAWUJXDVUBWUJVSJUXRYNUXEXTUXFYCFVUMVWSUYGJUMZBLYLZVWRWUKVHVWS
      WULUMJUYGUXGVWRWUKBLUXJUXHUXKVUBBEVIULZVCZFVUMUOWUGVUBWUNFVUMVUBVVHWUNVWP
      AVVHWUNUNVUAAVVHWUNAVVHXHBIWUMUYSRUXLXTYEVWQUXMYDYEUXNUXOUXPXSYTXTYQUXQVR
      $.
  $}

  ${
    $d A l $.  $d B l $.  $d K k l $.  $d O k $.  $d P k l $.  $d Q k $.
    $d R k l $.  $d X k l $.  $d ph k l $.  $d .0. k l $.  $d .* k l $.
    $d .^ k l $.
    gsumply1eq.p $e |- P = ( Poly1 ` R ) $.
    gsumply1eq.x $e |- X = ( var1 ` R ) $.
    gsumply1eq.e $e |- .^ = ( .g ` ( mulGrp ` P ) ) $.
    gsumply1eq.r $e |- ( ph -> R e. Ring ) $.
    gsumply1eq.k $e |- K = ( Base ` R ) $.
    gsumply1eq.m $e |- .* = ( .s ` P ) $.
    gsumply1eq.0 $e |- .0. = ( 0g ` R ) $.
    gsumply1eq.a $e |- ( ph -> A. k e. NN0 A e. K ) $.
    gsumply1eq.f1 $e |- ( ph -> ( k e. NN0 |-> A ) finSupp .0. ) $.
    gsumply1eq.b $e |- ( ph -> A. k e. NN0 B e. K ) $.
    gsumply1eq.f2 $e |- ( ph -> ( k e. NN0 |-> B ) finSupp .0. ) $.
    gsumply1eq.o $e |- ( ph -> O = ( P gsum ( k e. NN0
                                              |-> ( A .* ( k .^ X ) ) ) ) ) $.
    gsumply1eq.q $e |- ( ph -> Q = ( P gsum ( k e. NN0
                                          |-> ( B .* ( k .^ X ) ) ) ) ) $.
    $( Two univariate polynomials given as (finitely supported) sum of scaled
       monomials are equal iff the corresponding coefficients are equal.
       (Contributed by AV, 21-Nov-2019.) $)
    gsumply1eq $p |- ( ph -> ( O = Q <-> A. k e. NN0 A = B ) ) $=
      ( vl wceq cv cco1 cfv cn0 wral crg wcel wb co cmpt cgsu eqid gsumsmonply1
      cbs eqeltrd w3a ply1coe1eq bicomd syl3anc wa csb adantr nfcv nfcsb1v nfov
      csbeq1a oveq1 oveq12d cbvmpt oveq2i eqtrdi fveq2d fveq1d nfv nfel1 eleq1d
      cbvralw sylib cfsupp eqbrtrrid simpr gsummoncoe1 csbcow csbid eqtri eqtrd
      wbr a1i oveq2d eqeq12d ralbidva bitrd ) AKEUHZGUIZKUJUKZUKZXBEUJUKZUKZUHZ
      GULUMZBCUHZGULUMAFUNUOZKDVBUKZUOZEXKUOZXAXHUPQAKDGULBXBLHUQZIUQZURZUSUQZX
      KUEABXKDFGHIJLMNXKUTZOPQRSTUAUBVAVCAEDGULCXNIUQZURZUSUQZXKUFACXKDFGHIJLMN
      XROPQRSTUCUDVAVCXJXLXMVDXHXAXCXKXEDFGKENXRXCUTXEUTVEVFVGAXGXIGULAXBULUOZV
      HZXDBXFCYCXDXBDUGULGUGUIZBVIZYDLHUQZIUQZURZUSUQZUJUKZUKZBYCXBXCYJYCKYIUJY
      CKXQYIAKXQUHYBUEVJXPYHDUSGUGULXOYGUGXOVKGYEYFIGYDBVLZGIVKZGYFVKZVMXBYDUHZ
      BYEXNYFIGYDBVNZXBYDLHVOZVPVQVRVSVTWAYCYKUGXBYEVIZBYCYEXKDFUGHIJXBLMNXROPA
      XJYBQVJZRSTAYEJUOZUGULUMZYBABJUOZGULUMUUAUAUUBYTGUGULUUBUGWBGYEJYLWCYOBYE
      JYPWDWEWFVJAUGULYEURZMWGWOYBAUUCGULBURMWGGUGULBYEUGBVKYLYPVQUBWHVJAYBWIZW
      JYRGXBBVIBGUGXBBWKGBWLWMVSWNYCXFXBDUGULGYDCVIZYFIUQZURZUSUQZUJUKZUKZCYCXB
      XEUUIYCEUUHUJYCEYAUUHAEYAUHYBUFVJYCXTUUGDUSXTUUGUHYCGUGULXSUUFUGXSVKGUUEY
      FIGYDCVLZYMYNVMYOCUUEXNYFIGYDCVNZYQVPVQWPWQWNVTWAYCUUJUGXBUUEVIZCYCUUEXKD
      FUGHIJXBLMNXROPYSRSTAUUEJUOZUGULUMZYBACJUOZGULUMUUOUCUUPUUNGUGULUUPUGWBGU
      UEJUUKWCYOCUUEJUULWDWEWFVJAUGULUUEURZMWGWOYBAUUQGULCURMWGGUGULCUUEUGCVKUU
      KUULVQUDWHVJUUDWJUUMGXBCVICGUGXBCWKGCWLWMVSWNWRWSWT $.
  $}

  ${
    $d A k $.  $d K k $.  $d N k $.  $d P k $.  $d R k $.  $d X k $.
    $d .X. k $.  $d .x. k $.  $d .^ k $.  $d .+ k $.
    cply1binom.p $e |- P = ( Poly1 ` R ) $.
    cply1binom.x $e |- X = ( var1 ` R ) $.
    cply1binom.a $e |- .+ = ( +g ` P ) $.
    cply1binom.m $e |- .X. = ( .r ` P ) $.
    cply1binom.t $e |- .x. = ( .g ` P ) $.
    cply1binom.g $e |- G = ( mulGrp ` P ) $.
    cply1binom.e $e |- .^ = ( .g ` G ) $.
    ${
      cply1binom.b $e |- B = ( Base ` P ) $.
      $( The binomial theorem for linear polynomials (monic polynomials of
         degree 1) over commutative rings: ` ( X + A ) ^ N ` is the sum from
         ` k = 0 ` to ` N ` of
         ` ( N _C k ) x. ( ( A ^ ( N - k ) ) x. ( X ^ k ) ) ` .  (Contributed
         by AV, 25-Aug-2019.) $)
      lply1binom $p |- ( ( R e. CRing /\ N e. NN0 /\ A e. B )
                      -> ( N .^ ( X .+ A ) ) = ( P gsum ( k e. ( 0 ... N )
          |-> ( ( N _C k ) .x. ( ( ( N - k ) .^ A ) .X. ( k .^ X ) ) ) ) ) ) $=
        ( ccrg wcel cn0 w3a co cc0 cfz cv cbc cmin cmpt cgsu ccmn wceq crngring
        crg ply1ring ringcmn 3ad2ant1 vr1cl syl simp3 cmncom syl3anc oveq2d cbs
        3syl cfv ply1crng simp2 eleq2i biimpi 3ad2ant3 eleqtrdi crngbinom eqtrd
        eqid syl22anc ) EUAUBZKUCUBZABUBZUDZKLADUEZIUEKALDUEZIUEZCHUFKUGUEKHUHZ
        UIUEKWFUJUEAIUEWFLIUEGUEFUEUKULUEZWBWCWDKIWBCUMUBZLBUBZWAWCWDUNVSVTWHWA
        VSEUPUBZCUPUBWHEUOZCEMUQCURVGUSVSVTWIWAVSWJWIWKBCELNMTUTVAZUSVSVTWAVBBD
        CLATOVCVDVEWBCUAUBZVTACVFVHZUBZLWNUBZWEWGUNVSVTWMWACEMVIUSVSVTWAVJWAVSW
        OVTWAWOBWNATVKVLVMVSVTWPWAVSLBWNWLTVNUSALDCWNFGHIJKWNVQPQORSVOVRVP $.
    $}

    $d S k $.
    lply1binomsc.k $e |- K = ( Base ` R ) $.
    lply1binomsc.s $e |- S = ( algSc ` P ) $.
    lply1binomsc.h $e |- H = ( mulGrp ` R ) $.
    lply1binomsc.e $e |- E = ( .g ` H ) $.
    $( The binomial theorem for linear polynomials (monic polynomials of degree
       1) over commutative rings, expressed by an element of this ring:
       ` ( X + A ) ^ N ` is the sum from ` k = 0 ` to ` N ` of
       ` ( N _C k ) x. ( ( A ^ ( N - k ) ) x. ( X ^ k ) ) ` .  (Contributed by
       AV, 25-Aug-2019.) $)
    lply1binomsc $p |- ( ( R e. CRing /\ N e. NN0 /\ A e. K )
                   -> ( N .^ ( X .+ ( S ` A ) ) ) = ( P gsum ( k e. ( 0 ... N )
                             |-> ( ( N _C k ) .x. ( ( S ` ( ( N - k ) E A ) )
                                                    .X. ( k .^ X ) ) ) ) ) ) $=
      ( ccrg wcel cn0 w3a cfv co cc0 cfz cv cbc cmin cmpt cgsu cbs wceq wf csca
      eqid crg crngring ply1ring syl 3ad2ant1 clmod asclf ply1sca fveq2d syl5eq
      ply1lmod feq2d mpbird simp3 ffvelrnd lply1binom syld3an3 wa cur cvsca cmg
      cmgp casa ply1assa adantr fznn0sub adantl eleq2d biimpa ringidcl syl13anc
      3adant2 assamulgscm eqcomd oveqd ringmgp mgpbas ringidval mulgnn0z syl2an
      cmnd oveq12d eqtrd asclval oveq2d simpr eleqtrdi mulgnn0cl syl3anc eqtrdi
      eleqtrrd 3eqtr4d oveq1d mpteq2dva ) DUGUHZNUIUHZAMUHZUJZNOAEUKZCULJULZBHU
      MNUNULZNHUOZUPULZNYFUQULZYCJULZYFOJULZGULZFULZURZUSULZBHYEYGYHAIULZEUKZYJ
      GULZFULZURZUSULXSXTYAYCBUTUKZUHYDYNVAYBMYTAEYBMYTEVBBVCUKZUTUKZYTEVBYBEYT
      UUAUUBBUDUUAVDZXSXTBVEUHZYAXSDVEUHZUUDDVFZBDPVGVHZVIXSXTBVJUHZYAXSUUEUUHU
      UFBDPVOVHVIUUBVDZYTVDZVKYBMUUBYTEYBMDUTUKZUUBUCYBDUUAUTXSXTDUUAVAZYABDUGP
      VLZVIZVMVNVPVQXSXTYAVRVSYCYTBCDFGHJKNOPQRSTUAUBUUJVTWAYBYMYSBUSYBHYEYLYRY
      BYFYEUHZWBZYKYQYGFUUPYIYPYJGUUPYHABWCUKZBWDUKZULZJULZYOUUQUURULZYIYPUUPUU
      TYHAUUAWFUKZWEUKZULZYHUUQJULZUURULZUVAUUPBWGUHZYHUIUHZAUUBUHZUUQYTUHZUUTU
      VFVAYBUVGUUOXSXTUVGYABDPWHVIWIUUOUVHYBYFUMNWJZWKZYBUVIUUOXSYAUVIXTXSYAUVI
      XSMUUBAXSMUUKUUBUCXSDUUAUTUUMVMVNWLWMWPWIZYBUVJUUOXSXTUVJYAXSUUDUVJUUGYTB
      UUQUUJUUQVDZWNVHVIWIAUUBUURJUVCUUAUVBKYHYTBUUQUUJUUCUUIUURVDZUVBVDUVCVDUA
      UBWQWOUUPUVDYOUVEUUQUURUUPUVCIYHAUUPIUVCYBIUVCVAZUUOXSXTUVPYAXSILWEUKUVCU
      FXSLUVBWEXSLDWFUKUVBUEXSDUUAWFUUMVMVNVMVNVIWIWRWSYBKXEUHZUVHUVEUUQVAUUOXS
      XTUVQYAXSUUDUVQUUGBKUAWTVHVIUVKYTJKYHUUQYTBKUAUUJXAUBBUUQKUAUVNXBXCXDXFXG
      UUPYCUUSYHJUUPUVIYCUUSVAUVMEUURUUQUUAUUBBAUDUUCUUIUVOUVNXHVHXIUUPYOUUBUHY
      PUVAVAUUPYOLUTUKZUUBUUPLXEUHZUVHAUVRUHZYOUVRUHYBUVSUUOXSXTUVSYAXSUUEUVSUU
      FDLUEWTVHVIWIUVLYBUVTUUOXSYAUVTXTXSYAWBAMUVRXSYAXJMDLUEUCXAXKWPWIUVRILYHA
      UVRVDUFXLXMUUPUUBUUKUVRUUPUUADUTUUPDUUAYBUULUUOUUNWIWRVMUUKDLUEUUKVDXAXNX
      OEUURUUQUUAUUBBYOUDUUCUUIUVOUVNXHVHXPXQXIXRXIXG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Univariate polynomial evaluation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c evalSub1 $. $( Evaluation of a univariate polynomial in a subring $)
  $c eval1 $. $( Evaluation of a univariate polynomial $)

  $( Evaluation of a univariate polynomial in a subring. $)
  ces1 $a class evalSub1 $.

  $( Evaluation of a univariate polynomial. $)
  ce1 $a class eval1 $.

  ${
    $d b r s x y $.
    $( Define the evaluation map for the univariate polynomial algebra.  The
       function ` ( S evalSub1 R ) : V --> ( S ^m S ) ` makes sense when ` S `
       is a ring and ` R ` is a subring of ` S ` , and where ` V ` is the set
       of polynomials in ` ( Poly1 `` R ) ` .  This function maps an element of
       the formal polynomial algebra (with coefficients in ` R ` ) to a
       function from assignments to the variable from ` S ` into an element of
       ` S ` formed by evaluating the polynomial with the given assignment.
       (Contributed by Mario Carneiro, 12-Jun-2015.) $)
    df-evls1 $a |- evalSub1 = ( s e. _V , r e. ~P ( Base ` s ) |->
      [_ ( Base ` s ) / b ]_ ( ( x e. ( b ^m ( b ^m 1o ) ) |-> ( x o.
        ( y e. b |-> ( 1o X. { y } ) ) ) ) o. ( ( 1o evalSub s ) ` r ) ) ) $.

    $( Define the evaluation map for the univariate polynomial algebra.  The
       function ` ( eval1 `` R ) : V --> ( R ^m R ) ` makes sense when ` R ` is
       a ring, and ` V ` is the set of polynomials in ` ( Poly1 `` R ) ` .
       This function maps an element of the formal polynomial algebra (with
       coefficients in ` R ` ) to a function from assignments to the variable
       from ` R ` into an element of ` R ` formed by evaluating the polynomial
       with the given assignment.  (Contributed by Mario Carneiro,
       12-Jun-2015.) $)
    df-evl1 $a |- eval1 = ( r e. _V |-> [_ ( Base ` r ) / b ]_
    ( ( x e. ( b ^m ( b ^m 1o ) ) |-> ( x o.
        ( y e. b |-> ( 1o X. { y } ) ) ) ) o. ( 1o eval r ) ) ) $.
  $}

  ${
    $d b r s x y $.
    $( Well-behaved binary operation property of ` evalSub1 ` .  (Contributed
       by AV, 7-Sep-2019.) $)
    reldmevls1 $p |- Rel dom evalSub1 $=
      ( vs vr vb vx vy cvv cv cbs cfv cpw c1o cmap co csn cxp cmpt ccom ces csb
      ces1 df-evls1 reldmmpo ) ABFAGZHIZJCUDDCGZUEKLMLMDGEUEKEGNOPQPBGKUCRMIQST
      DEABCUAUB $.

    $d R e $.  $d R s $.  $d S e $.  $d S s $.
    ply1frcl.q $e |- Q = ran ( S evalSub1 R ) $.
    $( Reverse closure for the set of univariate polynomial functions.
       (Contributed by AV, 9-Sep-2019.) $)
    ply1frcl $p |- ( X e. Q -> ( S e. _V /\ R e. ~P ( Base ` S ) ) ) $=
      ( ve vs vr vb vx vy wcel ces1 co c0 cvv cbs cfv cv c1o crn wne cpw eleq2s
      ne0i wceq rneq rn0 eqtrdi necon3i wex cop csn cxp ciun cdm cmap cmpt ccom
      wa n0 ces csb df-evls1 dmmpossx elfvdm df-ov fveq2 pweqd opeliunxp2 sylib
      sselid exlimiv sylbi 3syl ) DALCBMNZUAZOUBZVPOUBZCPLBCQRZUCZLUTZVRDVQAVQD
      UEEUDVPOVQOVPOUFVQOUAOVPOUGUHUIUJVSFSZVPLZFUKWBFVPVAWDWBFWDCBULZGPGSZUMWF
      QRZUCZUNUOZLWBWDMUPZWIWEGHPWHIWGJISZWKTUQNUQNJSKWKTKSUMUNURUSURHSTWFVBNRU
      SVCMJKGHIVDVEWEWJLWCWEMRVPWCWEMVFCBMVGUDVLGPWHCBWAWFCUFWGVTWFCQVHVIVJVKVM
      VNVO $.
  $}

  ${
    $d B b r s x y $.  $d E r s $.  $d R b r s $.  $d S b r s $.
    evls1fval.q $e |- Q = ( S evalSub1 R ) $.
    evls1fval.e $e |- E = ( 1o evalSub S ) $.
    evls1fval.b $e |- B = ( Base ` S ) $.
    $( Value of the univariate polynomial evaluation map function.
       (Contributed by AV, 7-Sep-2019.) $)
    evls1fval $p |- ( ( S e. V /\ R e. ~P B )
                     -> Q = ( ( x e. ( B ^m ( B ^m 1o ) )
              |-> ( x o. ( y e. B |-> ( 1o X. { y } ) ) ) ) o. ( E ` R ) ) ) $=
      ( vb wcel co c1o cmap cv ccom cvv wceq vs vr cpw wa ces1 csn cxp cmpt cfv
      elex adantr simpr ovex mptex fvex a1i cbs ces fveq2 eqtr4di csbeq1d fvexi
      coex csb oveq1 oveq12d mpteq1 coeq2d mpteq12dv coeq1d adantl csbied oveq2
      id fveq12d 3eqtrd pweqd df-evls1 ovmpox syl3anc syl5eq ) FHMZECUCZMZUDZDF
      EUENZACCOPNZPNZAQZBCOBQUFUGZUHZRZUHZEGUIZRZIWEFSMZWDWOSMZWFWOTWBWPWDFHUJU
      KWBWDULWQWEWMWNAWHWLCWGPUMUNEGUOVCUPUAUBFESUAQZUQUIZUCLWSALQZWTOPNZPNZWIB
      WTWJUHZRZUHZUBQZOWRURNZUIZRZVDZWOUESWCWRFTZXFETZUDZXJLCXIVDWMXHRZWOXMLWSC
      XIXMWSFUQUIZCXKWSXOTXLWRFUQUSZUKKUTVAXMLCXIXNSCSMXMCFUQKVBUPWTCTZXIXNTXMX
      QXEWMXHXQAXBXDWHWLXQWTCXAWGPXQVNWTCOPVEVFXQXCWKWIBWTCWJVGVHVIVJVKVLXMXHWN
      WMXMXFEXGGXKXGGTXLXKXGOFURNGWRFOURVMJUTUKXKXLULVOVHVPXKWSCXKWSXOCXPKUTVQA
      BUAUBLVRVSVTWA $.

    $d A x $.  $d E x $.  $d R x $.
    evls1val.m $e |- M = ( 1o mPoly ( S |`s R ) ) $.
    evls1val.k $e |- K = ( Base ` M ) $.
    $( Value of the univariate polynomial evaluation map.  (Contributed by AV,
       10-Sep-2019.) $)
    evls1val $p |- ( ( S e. CRing /\ R e. ( SubRing ` S ) /\ A e. K )
                     -> ( Q ` A ) = ( ( ( E ` R ) ` A )
                                      o. ( y e. B |-> ( 1o X. { y } ) ) ) ) $=
      ( vx wcel cfv c1o co wceq ccrg csubrg w3a cmap cv csn cxp cmpt wa cpw wss
      ccom subrgss adantl elpwg mpbird evls1fval syldan fveq1d 3adant3 cpws cbs
      wb wf crh con0 1on simp1 simp2 cress ces fveq1i eqid evlsrhm mp3an2i rhmf
      syl simp3 fvco3 syl2anc ffvelrnd ovex pwsbas sylancl eleqtrrd coeq1 fvexi
      cvv fvex mptex coex fvmpt 3eqtrd ) FUAPZEFUBQZPZBHPZUCZBDQZBOCCRUDSZUDSZO
      UEZACRAUEUFUGZUHZULZUHZEGQZULZQZBXGQZXFQZXJXDULZWNWPWSXITWQWNWPUIZBDXHWNW
      PECUJPZDXHTXMXNECUKZWPXOWNECFLUMUNWPXNXOVCWNECWOUOUNUPOACDEFGUAJKLUQURUSU
      TWRHFWTVASZVBQZXGVDZWQXIXKTWRXGIXPVESPZXRRVFPWRWNWPXSVGWNWPWQVHZWNWPWQVIC
      XGEFXPFEVJSZRVFIEGRFVKSKVLMYAVMXPVMZLVNVOHXQIXPXGNXQVMVPVQZWNWPWQVRZHXQBX
      FXGVSVTWRXJXAPXKXLTWRXJXQXAWRHXQBXGYCYDWAWRWNWTWHPXAXQTXTCRUDWBCFWTUAWHXP
      YBLWCWDWEOXJXEXLXAXFXBXJXDWFXFVMXJXDBXGWIACXCCFVBLWGWJWKWLVQWM $.
  $}

  ${
    $d B x y $.  $d R x $.  $d T x $.
    evl1rhmlem.b $e |- B = ( Base ` R ) $.
    evl1rhmlem.t $e |- T = ( R ^s B ) $.
    evl1rhmlem.f $e |- F = ( x e. ( B ^m ( B ^m 1o ) )
                             |-> ( x o. ( y e. B |-> ( 1o X. { y } ) ) ) ) $.
    $( Lemma for ~ evl1rhm and ~ evls1rhm (formerly part of the proof of
       ~ evl1rhm ):  The first function of the composition forming the
       univariate polynomial evaluation map function for a (sub)ring is a ring
       homomorphism.  (Contributed by AV, 11-Sep-2019.) $)
    evls1rhmlem $p |- ( R e. CRing
                                -> F e. ( ( R ^s ( B ^m 1o ) ) RingHom T ) ) $=
      ( ccrg wcel c1o cmap co cbs cv cmpt cvv eqid a1i cpws cfv csn ccom pwsbas
      cxp wceq ovex mpan2 mpteq1d syl5eq crngring fvexi wf1o wf df1o2 mapsnf1o3
      crh c0 0ex f1of mp1i pwsco1rhm eqeltrd ) DJKZFADCLMNZUANZOUBZAPBCLBPUCUFQ
      ZUDZQZVGEURNVEFACVFMNZVJQVKIVEAVLVHVJVEVFRKZVLVHUGCLMUHZCDVFJRVGVGSZGUEUI
      UJUKVECVFVHDAVIRREVGHVOVHSDULCRKVECDOGUMZTVMVEVNTCVFVIUNCVFVIUOVEBCLVIUSU
      PVPUTVISUQCVFVIVAVBVCVD $.
  $}

  ${
    $d B x y $.  $d R x y $.  $d S x y $.  $d T x $.  $d U x y $.  $d W x y $.
    evls1rhm.q $e |- Q = ( S evalSub1 R ) $.
    evls1rhm.b $e |- B = ( Base ` S ) $.
    evls1rhm.t $e |- T = ( S ^s B ) $.
    evls1rhm.u $e |- U = ( S |`s R ) $.
    evls1rhm.w $e |- W = ( Poly1 ` U ) $.
    $( Polynomial evaluation is a homomorphism (into the product ring).
       (Contributed by AV, 11-Sep-2019.) $)
    evls1rhm $p |- ( ( S e. CRing /\ R e. ( SubRing ` S ) )
                     -> Q e. ( W RingHom T ) ) $=
      ( vx vy wcel cfv wa c1o co eqid ccrg csubrg cmap cv csn cxp cmpt ccom ces
      crh cpw wceq wss subrgss adantl elpwg mpbird evls1fval syldan evls1rhmlem
      wb cpws cmpl con0 1on evlsrhm mp3an1 cbs eqidd cps1 ply1bas a1i ply1plusg
      cplusg oveqdr cmulr ply1mulr rhmpropd eleqtrrd rhmco syl2an2r eqeltrd ) D
      UAOZCDUBPZOZQZBMAARUCSZUCSMUDZNARNUDZUEUFUGUHUGZCRDUISZPZUHZGEUJSZWCWECAU
      KOZBWMULWFWOCAUMZWEWPWCCADIUNUOWEWOWPVAWCCAWDUPUOUQMNABCDWKUAHWKTIURUSWCW
      JDWGVBSZEUJSOWEWLGWQUJSZOWMWNOMNADEWJIJWJTUTWFWLRFVCSZWQUJSZWRRVDOWCWEWLW
      TOVEAWLCDWQFRVDWSWLTWSTZKWQTIVFVGWFMNGVHPZWQVHPZGWQWSWQWFXBVIWFXCVIZXBWSV
      HPULWFGFFVJPZXBLXETXBTVKVLXDWFWHXBOWIXBOQZMNGVNPZWSVNPZXGXHULWFXGFWSGLXAX
      GTVMVLVOWFWHXCOWIXCOQQZWHWIWQVNPSVIWFXFMNGVPPZWSVPPZXJXKULWFFWSXJGLXAXJTV
      QVLVOXIWHWIWQVPPSVIVRVSGWQEWJWLVTWAWB $.
  $}

  ${
    $d B x y z $.  $d R x y $.  $d S x y $.  $d X x y z $.  $d ph x y $.
    evls1sca.q $e |- Q = ( S evalSub1 R ) $.
    evls1sca.w $e |- W = ( Poly1 ` U ) $.
    evls1sca.u $e |- U = ( S |`s R ) $.
    evls1sca.b $e |- B = ( Base ` S ) $.
    evls1sca.a $e |- A = ( algSc ` W ) $.
    evls1sca.s $e |- ( ph -> S e. CRing ) $.
    evls1sca.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evls1sca.x $e |- ( ph -> X e. R ) $.
    $( Univariate polynomial evaluation maps scalars to constant functions.
       (Contributed by AV, 8-Sep-2019.) $)
    evls1sca $p |- ( ph -> ( Q ` ( A ` X ) ) = ( B X. { X } ) ) $=
      ( cfv wcel eqid vx vy vz c1o cmap co cv csn cxp cmpt ccom ces cmpl cbs wf
      cpws wceq crh con0 ccrg csubrg 1on evlsrhm mp3an2i rhmf syl crg subrgring
      csca ply1ring clmod ply1lmod asclf wss subrgss ressbas2 fveq2d eqtrd cps1
      ply1sca ply1bas a1i eqcomd feq23d mpbird ffvelrnd syl2anc ply1ascl eqtrdi
      fvco3 cascl fveq1d evlssca eqidd coeq1 adantl sseldd fconst6g ovex elmapd
      cvv fvexi snex xpex mptexd coexg fvmptd wa pm3.2i elmapg fconstmpt fmptco
      wb 3eqtrd cpw elpwg evls1fval 3eqtr4d ) AIBRZUACCUDUEUFZUEUFZUAUGZUBCUDUB
      UGZUHUIZUJZUKZUJZEUDFULUFZRZUKZRZUBCIUJZXSDRCIUHZUIZAYKXSYIRZYGRZXTYMUIZY
      GRZYLAUDGUMUFZUNRZFXTUPUFZUNRZYIUOZXSYTSYKYPUQAYIYSUUAURUFSZUUCUDUSSZAFUT
      SZEFVARZSZUUDVBOPCYIEFUUAGUDUSYSYITZYSTZLUUATMVCVDYTUUBYSUUAYIYTTUUBTVEVF
      AEYTIBAEYTBUOHVIRZUNRZHUNRZBUOABUUMUUKUULHNUUKTAGVGSZHVGSAUUHUUNPEFGLVHVF
      ZHGKVJVFAUUNHVKSUUOHGKVLVFUULTUUMTZVMAEYTUULUUMBAEGUNRZUULAECVNZEUUQUQAUU
      HUURPECFMVOZVFZECGFLMVPVFAGUUKUNAUUNGUUKUQUUOHGVGKVTVFVQVRAUUMYTUUMYTUQAH
      GGVSRZUUMKUVATUUPWAWBWCWDWEQWFYTUUBXSYGYIWJWGAYOYQYGAYOIYSWKRZRZYIRYQAXSU
      VCYIAIBUVBABHWKRZUVBBUVDUQANWBUVDHGKUVDTWHWIWLVQAUVBCYIEFGUDUSYSIUUIUUJLM
      UVBTUUEAVBWBOPQWMVRVQAYRYQYEUKZYLAUAYQYFUVEYAYGXAAYGWNYBYQUQYFUVEUQAYBYQY
      EWOWPAYQYASXTCYQUOZAICSUVFAECIUUTQWQXTICWRVFACXTYQXAXACXASZACFUNMXBZWBZXT
      XASACUDUEWSZWBWTWEAYQXASZYEXASUVEXASUVKAXTYMUVJIXCXDWBAUBCYDXAUVIXEYQYEXA
      XAXFWGXGAUBUCCXTYDIIYEYQAYCCSZXHZYDXTSZUDCYDUOZUVLUVOAUDYCCWRWPUVMUVGUUEX
      HZUVNUVOXMUVPUVMUVGUUEUVHVBXIWBCUDYDXAUSXJVFWEAYEWNYQUCXTIUJUQAUCXTIXKWBU
      CUGYDUQIWNXLVRXNAXSDYJAUUFECXOSZDYJUQOAUUHUVQPUUHUVQUURUUSECUUGXPWEVFUAUB
      CDEFYHUTJYHTMXQWGWLYNYLUQAUBCIXKWBXR $.
  $}

  ${
    $d B x $.  $d N x $.  $d Q x $.  $d ph x $.
    evls1gsumadd.q $e |- Q = ( S evalSub1 R ) $.
    evls1gsumadd.k $e |- K = ( Base ` S ) $.
    evls1gsumadd.w $e |- W = ( Poly1 ` U ) $.
    evls1gsumadd.0 $e |- .0. = ( 0g ` W ) $.
    evls1gsumadd.u $e |- U = ( S |`s R ) $.
    evls1gsumadd.p $e |- P = ( S ^s K ) $.
    evls1gsumadd.b $e |- B = ( Base ` W ) $.
    evls1gsumadd.s $e |- ( ph -> S e. CRing ) $.
    evls1gsumadd.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evls1gsumadd.y $e |- ( ( ph /\ x e. N ) -> Y e. B ) $.
    evls1gsumadd.n $e |- ( ph -> N C_ NN0 ) $.
    evls1gsumadd.f $e |- ( ph -> ( x e. N |-> Y ) finSupp .0. ) $.
    $( Univariate polynomial evaluation maps (additive) group sums to group
       sums.  (Contributed by AV, 14-Sep-2019.) $)
    evls1gsumadd $p |- ( ph -> ( Q ` ( W gsum ( x e. N |-> Y ) ) )
                         = ( P gsum ( x e. N |-> ( Q ` Y ) ) ) ) $=
      ( cfv cmpt cgsu co cvv crg wcel ccmn csubrg subrgring ply1ring ringcmn wa
      syl 3syl cmnd ccrg crngring cbs fvexi jctir pwsring ringmnd cn0 nn0ex a1i
      ssexd crh cghm cmhm evls1rhm syl2anc rhmghm ghmmhm gsummptmhm eqcomd ) AD
      BJLEUFUGUHUIKBJLUGUHUIEUFABJCLKDEUJMTQAHUKULZKUKULKUMULAFGUNUFULZWBUBFGHR
      UOUSKHPUPKUQUTAGUKULZIUJULZURDUKULDVAULAWDWEAGVBULZWDUAGVCUSIGVDOVEVFGIUJ
      DSVGDVHUTAJVIUJVIUJULAVJVKUDVLAEKDVMUIULZEKDVNUIULEKDVOUIULAWFWCWGUAUBIEF
      GDHKNOSRPVPVQKDEVRKDEVSUTUCUEVTWA $.
  $}

  ${
    $d B x $.  $d N x $.  $d Q x $.  $d ph x $.
    evls1gsummul.q $e |- Q = ( S evalSub1 R ) $.
    evls1gsummul.k $e |- K = ( Base ` S ) $.
    evls1gsummul.w $e |- W = ( Poly1 ` U ) $.
    evls1gsummul.g $e |- G = ( mulGrp ` W ) $.
    evls1gsummul.1 $e |- .1. = ( 1r ` W ) $.
    evls1gsummul.u $e |- U = ( S |`s R ) $.
    evls1gsummul.p $e |- P = ( S ^s K ) $.
    evls1gsummul.h $e |- H = ( mulGrp ` P ) $.
    evls1gsummul.b $e |- B = ( Base ` W ) $.
    evls1gsummul.s $e |- ( ph -> S e. CRing ) $.
    evls1gsummul.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evls1gsummul.y $e |- ( ( ph /\ x e. N ) -> Y e. B ) $.
    evls1gsummul.n $e |- ( ph -> N C_ NN0 ) $.
    evls1gsummul.f $e |- ( ph -> ( x e. N |-> Y ) finSupp .1. ) $.
    $( Univariate polynomial evaluation maps (multiplicative) group sums to
       group sums.  (Contributed by AV, 14-Sep-2019.) $)
    evls1gsummul $p |- ( ph -> ( Q ` ( G gsum ( x e. N |-> Y ) ) )
                         = ( H gsum ( x e. N |-> ( Q ` Y ) ) ) ) $=
      ( cfv cmpt cgsu co cvv mgpbas ringidval ccrg wcel ccmn subrgcrng ply1crng
      csubrg syl2anc crngmgp 3syl crg cmnd crngring syl cbs fvexi jctir pwsring
      wa ringmgp cn0 nn0ex a1i ssexd crh cmhm evls1rhm rhmmhm gsummptmhm eqcomd
      ) AKBMOEUJUKULUMJBMOUKULUMEUJABMCOJKEUNICNJSUDUONIJSTUPAHUQURZNUQURJUSURA
      GUQURZFGVBUJURZWFUEUFFGHUAUTVCNHRVANJSVDVEAGVFURZLUNURZVNDVFURKVGURAWIWJA
      WGWIUEGVHVILGVJQVKVLGLUNDUBVMDKUCVOVEAMVPUNVPUNURAVQVRUHVSAENDVTUMURZEJKW
      AUMURAWGWHWKUEUFLEFGDHNPQUBUARWBVCNDEJKSUCWCVIUGUIWDWE $.
  $}

  ${
    evls1pw.q $e |- Q = ( S evalSub1 R ) $.
    evls1pw.u $e |- U = ( S |`s R ) $.
    evls1pw.w $e |- W = ( Poly1 ` U ) $.
    evls1pw.g $e |- G = ( mulGrp ` W ) $.
    evls1pw.k $e |- K = ( Base ` S ) $.
    evls1pw.b $e |- B = ( Base ` W ) $.
    evls1pw.e $e |- .^ = ( .g ` G ) $.
    evls1pw.s $e |- ( ph -> S e. CRing ) $.
    evls1pw.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evls1pw.n $e |- ( ph -> N e. NN0 ) $.
    evls1pw.x $e |- ( ph -> X e. B ) $.
    $( Univariate polynomial evaluation for subrings maps the exponentiation of
       a polynomial to the exponentiation of the evaluated polynomial.
       (Contributed by SN, 29-Feb-2024.) $)
    evls1pw $p |- ( ph -> ( Q ` ( N .^ X ) )
                        = ( N ( .g ` ( mulGrp ` ( S ^s K ) ) ) ( Q ` X ) ) ) $=
      ( cpws co cmgp cfv cmhm wcel cn0 cmg wceq crh ccrg csubrg evls1rhm rhmmhm
      eqid syl2anc syl mgpbas mhmmulg syl3anc ) ACHEIUDUEZUFUGZUHUEUIZJUJUILBUI
      JLGUECUGJLCUGVEUKUGZUEULACKVDUMUEUIZVFAEUNUIDEUOUGUIVHTUAICDEVDFKMQVDURNO
      UPUSKVDCHVEPVEURUQUTUBUCBGVGCHVEJLBKHPRVASVGURVBVC $.
  $}

  ${
    evls1varpw.q $e |- Q = ( S evalSub1 R ) $.
    evls1varpw.u $e |- U = ( S |`s R ) $.
    evls1varpw.w $e |- W = ( Poly1 ` U ) $.
    evls1varpw.g $e |- G = ( mulGrp ` W ) $.
    evls1varpw.x $e |- X = ( var1 ` U ) $.
    evls1varpw.b $e |- B = ( Base ` S ) $.
    evls1varpw.e $e |- .^ = ( .g ` G ) $.
    evls1varpw.s $e |- ( ph -> S e. CRing ) $.
    evls1varpw.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evls1varpw.n $e |- ( ph -> N e. NN0 ) $.
    $( Univariate polynomial evaluation for subrings maps the exponentiation of
       a variable to the exponentiation of the evaluated variable.
       (Contributed by AV, 14-Sep-2019.) $)
    evls1varpw $p |- ( ph -> ( Q ` ( N .^ X ) )
                        = ( N ( .g ` ( mulGrp ` ( S ^s B ) ) ) ( Q ` X ) ) ) $=
      ( cbs cfv eqid csubrg wcel crg subrgring vr1cl 3syl evls1pw ) AJUBUCZCDEF
      GHBIJKLMNOQULUDZRSTUAADEUEUCUFFUGUFKULUFTDEFMUHULJFKPNUMUIUJUK $.
  $}

  ${
    $d i r $.  $d x A $.  $d b r x y B $.  $d b r x Q $.  $d b r x R $.
    evl1fval.o $e |- O = ( eval1 ` R ) $.
    evl1fval.q $e |- Q = ( 1o eval R ) $.
    evl1fval.b $e |- B = ( Base ` R ) $.
    $( Value of the simple/same ring evaluation map.  (Contributed by Mario
       Carneiro, 12-Jun-2015.) $)
    evl1fval $p |- O = ( ( x e. ( B ^m ( B ^m 1o ) ) |-> ( x o.
        ( y e. B |-> ( 1o X. { y } ) ) ) ) o. Q ) $=
      ( vr vb cvv c1o cmap co cv cmpt ccom cevl c0 vi wcel csn cxp wceq ce1 cfv
      cbs csb fvexd wa id fveq2 eqtr4di sylan9eqr oveq1d oveq12d mpteq1d coeq2d
      mpteq12dv simpl oveq2d coeq12d csbied df-evl1 ovex mptex ovexi coex fvmpt
      syl5eq wn fvprc co02 ces df-evl reldmmpo ovprc2 eqtr4d pm2.61i ) ELUBZFAC
      CMNOZNOZAPZBCMBPUCUDZQZRZQZDRZUEWAFEUFUGZWIGJEKJPZUHUGZAKPZWMMNOZNOZWDBWM
      WEQZRZQZMWKSOZRZUIWILUFWKEUEZKWLWTWILXAWKUHUJXAWMWLUEZUKZWRWHWSDXCAWOWQWC
      WGXCWMCWNWBNXBXAWMWLCXBULXAWLEUHUGCWKEUHUMIUNUOZXCWMCMNXDUPUQXCWPWFWDXCBW
      MCWEXDURUSUTXCWSMESOZDXCWKEMSXAXBVAVBHUNVCVDABJKVEWHDAWCWGCWBNVFVGDMESHVH
      VIVJVKWAVLZFWHTRZWIXFFTXGXFFWJTGEUFVMVKWHVNUNXFDTWHXFDXETHMESUAJLLWLUAPWK
      VOOUGSUAJVPVQVRVKUSVSVT $.

    evl1val.m $e |- M = ( 1o mPoly R ) $.
    evl1val.k $e |- K = ( Base ` M ) $.
    $( Value of the simple/same ring evaluation map.  (Contributed by Mario
       Carneiro, 12-Jun-2015.) $)
    evl1val $p |- ( ( R e. CRing /\ A e. K ) -> ( O ` A ) = ( ( Q ` A ) o.
        ( y e. B |-> ( 1o X. { y } ) ) ) ) $=
      ( vx wcel cfv c1o cmap co ccom ccrg csn cxp cmpt evl1fval fveq1i cpws cbs
      wa cv wceq crh con0 1on simpl eqid evlrhm sylancr rhmf syl fvco3 sylancom
      syl5eq ffvelrn crg cvv crngring adantr ovex pwsbas sylancl eleqtrrd coeq1
      wf fvex fvexi mptex coex fvmpt eqtrd ) EUAOZBFOZUIZBHPZBDPZNCCQRSZRSZNUJZ
      ACQAUJUBUCZUDZTZUDZPZWEWJTZWCWDBWLDTZPZWMBHWONACDEHIJKUEUFWAWBFEWFUGSZUHP
      ZDVNZWPWMUKWCDGWQULSOZWSWCQUMOWAWTUNWAWBUOCDEWQQUMGJKLWQUPZUQURFWRGWQDMWR
      UPUSUTZFWRBWLDVAVBVCWCWEWGOWMWNUKWCWEWRWGWAWBWSWEWROXBFWRBDVDVBWCEVEOZWFV
      FOWGWRUKWAXCWBEVGVHCQRVICEWFVEVFWQXAKVJVKVLNWEWKWNWGWLWHWEWJVMWLUPWEWJBDV
      OACWICEUHKVPVQVRVSUTVT $.
  $}

  ${
    $d B x y $.  $d R x $.
    evl1fval1.q $e |- Q = ( eval1 ` R ) $.
    evl1fval1.b $e |- B = ( Base ` R ) $.
    $( Lemma for ~ evl1fval1 .  (Contributed by AV, 11-Sep-2019.) $)
    evl1fval1lem $p |- ( R e. V -> Q = ( R evalSub1 B ) ) $=
      ( vx vy wcel ce1 cfv c1o cmap co cv csn cmpt ccom eqid wceq cxp cevl ces1
      evl1fval a1i ces cpw cbs fvexi pwid evls1fval evlval eqcomi coeq2i eqtrdi
      mpan2 3eqtr4a ) CDIZCJKZGAALMNMNGOHALHOPUAQRQZLCUBNZRZBCAUCNZGHAVACUSUSSV
      ASZFUDBUSTUREUEURVCUTALCUFNZKZRZVBURAAUGIVCVGTAACUHFUIUJGHAVCACVEDVCSVESF
      UKUPVFVAUTVAVFAVACLVDFULUMUNUOUQ $.

    $( Value of the simple/same ring evaluation map function for univariate
       polynomials.  (Contributed by AV, 11-Sep-2019.) $)
    evl1fval1 $p |- Q = ( R evalSub1 B ) $=
      ( cvv wcel ces1 co wceq evl1fval1lem wn c0 fvprc syl5eq reldmevls1 ovprc1
      ce1 cfv eqtr4d pm2.61i ) CFGZBCAHIZJABCFDEKUBLZBMUCUDBCRSMDCRNOCAHPQTUA
      $.
  $}

  ${
    $d x y B $.  $d x y P $.  $d x y R $.  $d x T $.
    evl1rhm.q $e |- O = ( eval1 ` R ) $.
    evl1rhm.w $e |- P = ( Poly1 ` R ) $.
    evl1rhm.t $e |- T = ( R ^s B ) $.
    evl1rhm.b $e |- B = ( Base ` R ) $.
    $( Polynomial evaluation is a homomorphism (into the product ring).
       (Contributed by Mario Carneiro, 12-Jun-2015.)  (Proof shortened by AV,
       13-Sep-2019.) $)
    evl1rhm $p |- ( R e. CRing -> O e. ( P RingHom T ) ) $=
      ( vx vy wcel c1o co crh eqid cbs cfv eqidd wceq ccrg cmap cv csn cxp cmpt
      ccom cevl evl1fval cpws evls1rhmlem cmpl con0 1on evlrhm mpan ply1bas a1i
      wa cplusg ply1plusg oveqdr cmulr ply1mulr rhmpropd eleqtrrd rhmco syl2anc
      cps1 eqeltrid ) CUALZEJAAMUBNZUBNJUCZKAMKUCZUDUEUFUGUFZMCUHNZUGZBDONZJKAV
      PCEFVPPZIUIVKVOCVLUJNZDONLVPBVTONZLVQVRLJKACDVOIHVOPUKVKVPMCULNZVTONZWAMU
      MLVKVPWCLUNAVPCVTMUMWBVSIWBPZVTPUOUPVKJKBQRZVTQRZBVTWBVTVKWESVKWFSZWEWBQR
      TVKBCCVIRZWEGWHPWEPUQURWGVKVMWELVNWELUSZJKBUTRZWBUTRZWJWKTVKWJCWBBGWDWJPV
      AURVBVKVMWFLVNWFLUSUSZVMVNVTUTRNSVKWIJKBVCRZWBVCRZWMWNTVKCWBWMBGWDWMPVDUR
      VBWLVMVNVTVCRNSVEVFBVTDVOVPVGVHVJ $.
  $}

  ${
    fveval1fvcl.q $e |- O = ( eval1 ` R ) $.
    fveval1fvcl.p $e |- P = ( Poly1 ` R ) $.
    fveval1fvcl.b $e |- B = ( Base ` R ) $.
    fveval1fvcl.u $e |- U = ( Base ` P ) $.
    fveval1fvcl.r $e |- ( ph -> R e. CRing ) $.
    fveval1fvcl.y $e |- ( ph -> Y e. B ) $.
    fveval1fvcl.m $e |- ( ph -> M e. U ) $.
    $( The function value of the evaluation function of a polynomial is an
       element of the underlying ring.  (Contributed by AV, 17-Sep-2019.) $)
    fveval1fvcl $p |- ( ph -> ( ( O ` M ) ` Y ) e. B ) $=
      ( cfv co cbs ccrg wcel cpws cvv eqid fvexi a1i evl1rhm rhmf 3syl ffvelrnd
      crh wf pwselbas ) ABBHFGPZABDBDBUAQZRPZSUMUNUBUNUCZKUOUCZMBUBTABDRKUDUEAE
      UOFGADSTGCUNUJQTEUOGUKMBCDUNGIJUPKUFEUOCUNGLUQUGUHOUIULNUI $.
  $}

  ${
    $d x y B $.  $d y R $.  $d x y X $.
    evl1sca.o $e |- O = ( eval1 ` R ) $.
    evl1sca.p $e |- P = ( Poly1 ` R ) $.
    evl1sca.b $e |- B = ( Base ` R ) $.
    evl1sca.a $e |- A = ( algSc ` P ) $.
    $( Polynomial evaluation maps scalars to constant functions.  (Contributed
       by Mario Carneiro, 12-Jun-2015.) $)
    evl1sca $p |- ( ( R e. CRing /\ X e. B ) ->
        ( O ` ( A ` X ) ) = ( B X. { X } ) ) $=
      ( vy vx wcel cfv c1o co cxp cmpt wceq eqid ccrg wa cevl csn ccom cmap cbs
      cv wf crg crngring adantr ply1sclf syl ffvelrn sylancom cmpl cps1 ply1bas
      evl1val syldan cress cascl ply1ascl ressid oveq2d fveq2d eqtr4id con0 1on
      fveq1d evlval a1i simpl csubrg subrgid simpr evlssca eqtrd coeq1d wral c0
      wf1o df1o2 fvexi 0ex mapsnf1o3 f1of mp1i sylibr fconstmpt fmptcof eqtr4di
      fmpt eqidd 3eqtrd ) DUAMZFBMZUBZFANZENZWTODUCPZNZKBOKUHUDQZRZUEZBOUFPZFUD
      ZQZXEUEZBXHQZWQWRWTCUGNZMZXAXFSWQWRBXLAUIZXMWSDUJMZXNWQXOWRDUKULZAXLCDBHJ
      IXLTZUMUNBXLFAUOUPKWTBXBDXLODUQPZEGXBTZIXRTCDDURNZXLHXTTXQUSUTVAWSXCXIXEW
      SXCFODBVBPZUQPZVCNZNZXBNXIWSWTYDXBWSFAYCWSAXRVCNYCACDHJVDWSYBXRVCWSYADOUQ
      WQYADSWRBDUAIVEULVFVGVHVKVGWSYCBXBBDYAOVIYBFBXBDOXSIVLYBTYATIYCTOVIMWSVJV
      MWQWRVNWSXOBDVONMXPBDIVPUNWQWRVQVRVSVTWSXJKBFRXKWSKLBXGXDFFXEXIWSBXGXEUIZ
      XDXGMKBWABXGXEWCYEWSKBOXEWBWDBDUGIWEWFXETZWGBXGXEWHWIKBXGXDXEYFWNWJWSXEWO
      XILXGFRSWSLXGFWKVMLUHXDSFWOWLKBFWKWMWP $.

    evl1scad.u $e |- U = ( Base ` P ) $.
    evl1scad.1 $e |- ( ph -> R e. CRing ) $.
    evl1scad.2 $e |- ( ph -> X e. B ) $.
    evl1scad.3 $e |- ( ph -> Y e. B ) $.
    $( Polynomial evaluation builder for scalars.  (Contributed by Mario
       Carneiro, 4-Jul-2015.) $)
    evl1scad $p |- ( ph ->
        ( ( A ` X ) e. U /\ ( ( O ` ( A ` X ) ) ` Y ) = X ) ) $=
      ( cfv wcel wceq crg wf crngring ply1sclf ffvelrnd csn cxp evl1sca syl2anc
      ccrg 3syl fveq1d fvconst2g eqtrd jca ) AHBRZFSIUPGRZRZHTACFHBAEUJSZEUASCF
      BUBOEUCBFDECKMLNUDUKPUEAURICHUFUGZRZHAIUQUTAUSHCSZUQUTTOPBCDEGHJKLMUHUIUL
      AVBICSVAHTPQCHICUMUIUNUO $.
  $}

  ${
    $d y z B $.  $d z R $.
    evl1var.q $e |- O = ( eval1 ` R ) $.
    evl1var.v $e |- X = ( var1 ` R ) $.
    evl1var.b $e |- B = ( Base ` R ) $.
    $( Polynomial evaluation maps the variable to the identity function.
       (Contributed by Mario Carneiro, 12-Jun-2015.) $)
    evl1var $p |- ( R e. CRing -> ( O ` X ) = ( _I |` B ) ) $=
      ( vy vz ccrg wcel cfv c1o co cv cmpt ccom c0 eqid cmvr cevl csn cmap ccnv
      cxp cid cres cpl1 cbs wceq crg crngring vr1cl syl cmpl cps1 ply1bas mpdan
      evl1val df1o2 fvexi 0ex mapsncnv coeq2i cress ressid oveq2d fveq1d vr1val
      eqtr4di fveq2d con0 evlval 1on a1i id csubrg subrgid 0lt1o evlsvar eqtr3d
      coeq1d eqtr3id wf1o mapsnf1o2 f1ococnv2 mp1i 3eqtrd ) BJKZDCLZDMBUANZLZHA
      MHOUBUEPZQZIAMUCNZRIOLPZWPUDZQZUFAUGZWIDBUHLZUILZKZWJWNUJWIBUKKZXBBULZXAW
      TBDFWTSZXASZUMUNHDAWKBXAMBUONZCEWKSZGXGSWTBBUPLZXAXEXISXFUQUSURWIWNWLWQQW
      RWQWMWLIHAMWPRUTABUIGVAZVBWPSZVCVDWIWLWPWQWIRMBAVENZTNZLZWKLWLWPWIXNDWKWI
      XNRMBTNZLDWIRXMXOWIXLBMTABJGVFVGVHBDFVIVJVKWIAWKABXLIMXMVLRAWKBMXHGVMXMSX
      LSGMVLKWIVNVOWIVPWIXCABVQLKXDABGVRUNRMKWIVSVOVTWAWBWCWOAWPWDWRWSUJWIIAMWP
      RUTXJVBXKWEWOAWPWFWGWH $.

    evl1vard.p $e |- P = ( Poly1 ` R ) $.
    evl1vard.u $e |- U = ( Base ` P ) $.
    evl1vard.1 $e |- ( ph -> R e. CRing ) $.
    evl1vard.2 $e |- ( ph -> Y e. B ) $.
    $( Polynomial evaluation builder for the variable.  (Contributed by Mario
       Carneiro, 4-Jul-2015.) $)
    evl1vard $p |- ( ph -> ( X e. U /\ ( ( O ` X ) ` Y ) = Y ) ) $=
      ( wcel cfv wceq ccrg syl crg crngring 3syl cid cres evl1var fveq1d fvresi
      vr1cl eqtrd jca ) AGEPZHGFQZQZHRADSPZDUAPULNDUBECDGJLMUIUCAUNHUDBUEZQZHAH
      UMUPAUOUMUPRNBDFGIJKUFTUGAHBPUQHROBHUHTUJUK $.
  $}

  ${
    $d B y $.
    evls1var.q $e |- Q = ( S evalSub1 R ) $.
    evls1var.x $e |- X = ( var1 ` U ) $.
    evls1var.u $e |- U = ( S |`s R ) $.
    evls1var.b $e |- B = ( Base ` S ) $.
    evls1var.s $e |- ( ph -> S e. CRing ) $.
    evls1var.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    $( Univariate polynomial evaluation for subrings maps the variable to the
       identity function.  (Contributed by AV, 13-Sep-2019.) $)
    evls1var $p |- ( ph -> ( Q ` X ) = ( _I |` B ) ) $=
      ( cfv eqid c1o co c0 wcel cbs vy cv1 ce1 cid cres subrgvr1 eqtr4id fveq2d
      ces cv csn cxp cmpt ccom cevl cmvr con0 0lt1o evlsvarsrng vr1val subrgmvr
      1on a1i fveq1d syl5eq coeq1d ccrg csubrg cress cmpl wceq cpl1 cps1 fveq2i
      3eqtr4d ply1bas eqcomi subrgvr1cl evls1val syl3anc crngring vr1cl evl1val
      crg 3syl syl2anc evl1var syl 3eqtrd ) AGCNEUBNZCNZWJEUCNZNZUDBUEZAGWJCAGF
      UBNWJIAEDFWJWJOZMJUFUGUHAWJDPEUIQZNZNZUABPUAUJUKULUMZUNZWJPEUOQZNZWSUNZWK
      WMAWRXBWSARPFUPQZNZWQNXEXANWRXBAUQBWQDEFPXAXDRWQOXAOZXDOJKPUQSAVBVCZLMRPS
      AURVCUSAWJXEWQAWJRPEUPQZNXEEWJWOUTARXHXDAEDFPXHUQXHOXGMJVAVDVEZUHAWJXEXAX
      IUHVOVFAEVGSZDEVHNSWJPEDVIQZVJQZTNZSWKWTVKLMAXMEDFVLNZFWJWOMJXNOXNTNZXMXK
      VLNZXKXKVMNZXOXPOXQOXNXPTFXKVLJVNVNVPVQVRUAWJBCDEWPXMXLHWPOKXLOXMOVSVTAXJ
      WJPEVJQZTNZSZWMXCVKLAXJEWDSXTLEWAXSEVLNZEWJWOYAOZYATNZXSYAEEVMNZYCYBYDOYC
      OVPVQWBWEUAWJBXAEXSXRWLWLOZXFKXROXSOWCWFVOAXJWMWNVKLBEWLWJYEWOKWGWHWI $.
  $}

  ${
    evls1scasrng.q $e |- Q = ( S evalSub1 R ) $.
    evls1scasrng.o $e |- O = ( eval1 ` S ) $.
    evls1scasrng.w $e |- W = ( Poly1 ` U ) $.
    evls1scasrng.u $e |- U = ( S |`s R ) $.
    evls1scasrng.p $e |- P = ( Poly1 ` S ) $.
    evls1scasrng.b $e |- B = ( Base ` S ) $.
    evls1scasrng.a $e |- A = ( algSc ` W ) $.
    evls1scasrng.c $e |- C = ( algSc ` P ) $.
    evls1scasrng.s $e |- ( ph -> S e. CRing ) $.
    evls1scasrng.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evls1scasrng.x $e |- ( ph -> X e. R ) $.
    $( The evaluation of a scalar of a subring yields the same result as
       evaluated as a scalar over the ring itself.  (Contributed by AV,
       13-Sep-2019.) $)
    evls1scasrng $p |- ( ph -> ( Q ` ( A ` X ) ) = ( O ` ( C ` X ) ) ) $=
      ( cfv ces1 co csn cxp cress cpl1 cascl ccrg wcel ressid eqcomd syl fveq2d
      wceq syl5eq fveq1d eqid crg csubrg crngring subrgid 3syl subrgss evls1sca
      wss sseldd eqtrd evl1fval1 a1i 3eqtr4rd ) ALDUDZHCUEUFZUDZCLUGUHZVOJUDLBU
      DFUDAVQLHCUIUFZUJUDZUKUDZUDZVPUDVRAVOWBVPALDWAADEUKUDWATAEVTUKAEHUJUDVTQA
      HVSUJAHULUMZHVSURUAWCVSHCHULRUNUOUPUQUSUQUSUTUQAWACVPCHVSVTLVPVAVTVAVSVAR
      WAVAUAAWCHVBUMCHVCUDZUMUAHVDCHRVEVFAGCLAGWDUMGCVIUBGCHRVGUPUCVJVHVKAVOJVP
      JVPURACJHNRVLVMUTABCFGHIKLMOPRSUAUBUCVHVN $.
  $}

  ${
    evls1varsrng.q $e |- Q = ( S evalSub1 R ) $.
    evls1varsrng.o $e |- O = ( eval1 ` S ) $.
    evls1varsrng.v $e |- V = ( var1 ` U ) $.
    evls1varsrng.u $e |- U = ( S |`s R ) $.
    evls1varsrng.b $e |- B = ( Base ` S ) $.
    evls1varsrng.s $e |- ( ph -> S e. CRing ) $.
    evls1varsrng.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    $( The evaluation of the variable of univariate polynomials over subring
       yields the same result as evaluated as variable of the polynomials over
       the ring itself.  (Contributed by AV, 12-Sep-2019.) $)
    evls1varsrng $p |- ( ph -> ( Q ` V ) = ( O ` V ) ) $=
      ( cfv cv1 wceq eqid wcel cid cres evls1var ces1 co cress evl1fval1 fveq1d
      a1i subrgvr1 ressid syl eqcomd fveq2d 3eqtr2d crg csubrg crngring subrgid
      ccrg 3syl 3eqtrrd eqtrd ) AHCPUABUBZHGPZABCDEFHIKLMNOUCAVEHEBUDUEZPEBUFUE
      ZQPZVFPVDAHGVFGVFRABGEJMUGUIUHAHVHVFAHFQPZEQPZVHHVIRAKUIAEDFVJVJSOLUJAEVG
      QAVGEAEUTTZVGERNBEUTMUKULUMUNUOUNABVFBEVGVHVFSVHSVGSMNAVKEUPTBEUQPTNEURBE
      MUSVAUCVBVC $.
  $}

  ${
    $d x y B $.  $d x y ph $.  $d x y R $.
    evl1addd.q $e |- O = ( eval1 ` R ) $.
    evl1addd.p $e |- P = ( Poly1 ` R ) $.
    evl1addd.b $e |- B = ( Base ` R ) $.
    evl1addd.u $e |- U = ( Base ` P ) $.
    evl1addd.1 $e |- ( ph -> R e. CRing ) $.
    evl1addd.2 $e |- ( ph -> Y e. B ) $.
    evl1addd.3 $e |- ( ph -> ( M e. U /\ ( ( O ` M ) ` Y ) = V ) ) $.

    ${
      evl1addd.4 $e |- ( ph -> ( N e. U /\ ( ( O ` N ) ` Y ) = W ) ) $.
      ${
        evl1addd.g $e |- .+b = ( +g ` P ) $.
        evl1addd.a $e |- .+ = ( +g ` R ) $.
        $( Polynomial evaluation builder for addition of polynomials.
           (Contributed by Mario Carneiro, 4-Jul-2015.) $)
        evl1addd $p |- ( ph ->
          ( ( M .+b N ) e. U /\ ( ( O ` ( M .+b N ) ) ` Y ) = ( V .+ W ) ) ) $=
          ( co wcel cfv wceq cgrp cpws cghm crh ccrg evl1rhm syl rhmghm ghmgrp1
          eqid simpld grpcl syl3anc cof cplusg ghmlin cbs cvv fvexi a1i wf rhmf
          ffvelrnd pwsplusgval eqtrd fveq1d wfn pwselbas fnfvof syl22anc simprd
          ffnd oveq12d 3eqtrd jca ) AHIEUDZGUEZMWCJUFZUFZKLDUDZUGACUHUEZHGUEZIG
          UEZWDAJCFBUIUDZUJUDUEZWHAJCWKUKUDUEZWLAFULUEWMRBCFWKJNOWKUQZPUMUNZCWK
          JUOUNZCWKJUPUNAWIMHJUFZUFZKUGZTURZAWJMIJUFZUFZLUGZUAURZGECHIQUBUSUTAW
          FMWQXADVAUDZUFZWRXBDUDZWGAMWEXEAWEWQXAWKVBUFZUDZXEAWLWIWJWEXIUGWPWTXD
          EXHCWKHJIGQUBXHUQZVCUTAWKVDUFZDXHFWQXABULVEWKWNXKUQZRBVEUEZABFVDPVFVG
          ZAGXKHJAWMGXKJVHWOGXKCWKJQXLVIUNZWTVJZAGXKIJXOXDVJZUCXJVKVLVMAWQBVNXA
          BVNXMMBUEXFXGUGABBWQABFBXKULWQWKVEWNPXLRXNXPVOVSABBXAABFBXKULXAWKVEWN
          PXLRXNXQVOVSXNSBDWQXAVEMVPVQAWRKXBLDAWIWSTVRAWJXCUAVRVTWAWB $.
      $}

      ${
        evl1subd.s $e |- .- = ( -g ` P ) $.
        evl1subd.d $e |- D = ( -g ` R ) $.
        $( Polynomial evaluation builder for subtraction of polynomials.
           (Contributed by Mario Carneiro, 4-Jul-2015.) $)
        evl1subd $p |- ( ph ->
          ( ( M .- N ) e. U /\ ( ( O ` ( M .- N ) ) ` Y ) = ( V D W ) ) ) $=
          ( co wcel cfv wceq cgrp cpws cghm crh ccrg evl1rhm syl rhmghm ghmgrp1
          eqid simpld grpsubcl syl3anc cof csg ghmsub cvv cbs crg crngring 3syl
          ringgrp fvexi a1i rhmf ffvelrnd pwssub syl22anc eqtrd fveq1d pwselbas
          wf wfn ffnd fnfvof simprd oveq12d 3eqtrd jca ) AGIHUDZFUEZMWGJUFZUFZK
          LCUDZUGADUHUEZGFUEZIFUEZWHAJDEBUIUDZUJUDUEZWLAJDWOUKUDUEZWPAEULUEZWQR
          BDEWOJNOWOUQZPUMUNZDWOJUOUNZDWOJUPUNAWMMGJUFZUFZKUGZTURZAWNMIJUFZUFZL
          UGZUAURZFDHGIQUBUSUTAWJMXBXFCVAUDZUFZXCXGCUDZWKAMWIXJAWIXBXFWOVBUFZUD
          ZXJAWPWMWNWIXNUGXAXEXIFDWOGJHXMIQUBXMUQZVCUTAEUHUEZBVDUEZXBWOVEUFZUEX
          FXRUEXNXJUGAWREVFUEXPREVGEVIVHXQABEVEPVJVKZAFXRGJAWQFXRJVSWTFXRDWOJQX
          RUQZVLUNZXEVMZAFXRIJYAXIVMZXREXBXFBCXMVDWOWSXTUCXOVNVOVPVQAXBBVTXFBVT
          XQMBUEXKXLUGABBXBABEBXRULXBWOVDWSPXTRXSYBVRWAABBXFABEBXRULXFWOVDWSPXT
          RXSYCVRWAXSSBCXBXFVDMWBVOAXCKXGLCAWMXDTWCAWNXHUAWCWDWEWF $.
      $}

      ${
        evl1muld.t $e |- .xb = ( .r ` P ) $.
        evl1muld.s $e |- .x. = ( .r ` R ) $.
        $( Polynomial evaluation builder for multiplication of polynomials.
           (Contributed by Mario Carneiro, 4-Jul-2015.) $)
        evl1muld $p |- ( ph ->
         ( ( M .xb N ) e. U /\ ( ( O ` ( M .xb N ) ) ` Y ) = ( V .x. W ) ) ) $=
          ( co wcel cfv wceq crg cpws crh ccrg eqid evl1rhm syl rhmrcl1 syl3anc
          simpld ringcl cof cmulr rhmmul cbs cvv fvexi rhmf ffvelrnd pwsmulrval
          a1i wf fveq1d wfn pwselbas ffnd fnfvof syl22anc simprd oveq12d 3eqtrd
          eqtrd jca ) AHIEUDZGUEZMWAJUFZUFZKLFUDZUGACUHUEZHGUEZIGUEZWBAJCDBUIUD
          ZUJUDUEZWFADUKUEWJRBCDWIJNOWIULZPUMUNZCWIJUOUNAWGMHJUFZUFZKUGZTUQZAWH
          MIJUFZUFZLUGZUAUQZGCEHIQUBURUPAWDMWMWQFUSUDZUFZWNWRFUDZWEAMWCXAAWCWMW
          QWIUTUFZUDZXAAWJWGWHWCXEUGWLWPWTHICWIEXDJGQUBXDULZVAUPAWIVBUFZDXDFWMW
          QBUKVCWIWKXGULZRBVCUEZABDVBPVDVHZAGXGHJAWJGXGJVIWLGXGCWIJQXHVEUNZWPVF
          ZAGXGIJXKWTVFZUCXFVGVSVJAWMBVKWQBVKXIMBUEXBXCUGABBWMABDBXGUKWMWIVCWKP
          XHRXJXLVLVMABBWQABDBXGUKWQWIVCWKPXHRXJXMVLVMXJSBFWMWQVCMVNVOAWNKWRLFA
          WGWOTVPAWHWSUAVPVQVRVT $.
      $}
    $}

    ${
      evl1vsd.4 $e |- ( ph -> N e. B ) $.
      evl1vsd.s $e |- .xb = ( .s ` P ) $.
      evl1vsd.t $e |- .x. = ( .r ` R ) $.
      $( Polynomial evaluation builder for scalar multiplication of
         polynomials.  (Contributed by Mario Carneiro, 4-Jul-2015.) $)
      evl1vsd $p |- ( ph ->
        ( ( N .xb M ) e. U /\ ( ( O ` ( N .xb M ) ) ` Y ) = ( N .x. V ) ) ) $=
        ( cascl cfv cmulr co wcel wceq wa eqid evl1scad evl1muld casa csca ccrg
        cbs ply1assa ply1sca fveq2d syl5eq eleqtrd simpld syl3anc eleq1d fveq1d
        syl asclmul1 eqeq1d anbi12d mpbid ) AICUCUDZUDZHCUEUDZUFZGUGZLVNJUDZUDZ
        IKFUFZUHZUIIHEUFZGUGZLVTJUDZUDZVRUHZUIABCDVMFGVLHJIKLMNOPQRAVKBCDGJILMN
        OVKUJZPQTRUKSVMUJZUBULAVOWAVSWDAVNVTGACUMUGZICUNUDZUPUDZUGHGUGZVNVTUHAD
        UOUGZWGQCDNUQVFAIBWITABDUPUDWIOADWHUPAWKDWHUHQCDUONURVFUSUTVAAWJLHJUDUD
        KUHSVBVKIEVMWHWIGCHWEWHUJWIUJPWFUAVGVCZVDAVQWCVRALVPWBAVNVTJWLUSVEVHVIV
        J $.
    $}

    ${
      evl1expd.f $e |- .xb = ( .g ` ( mulGrp ` P ) ) $.
      evl1expd.e $e |- .^ = ( .g ` ( mulGrp ` R ) ) $.
      evl1expd.4 $e |- ( ph -> N e. NN0 ) $.
      $( Polynomial evaluation builder for an exponential.  (Contributed by
         Mario Carneiro, 12-Jun-2015.) $)
      evl1expd $p |- ( ph ->
        ( ( N .xb M ) e. U /\ ( ( O ` ( N .xb M ) ) ` Y ) = ( N .^ V ) ) ) $=
        ( vx vy wcel cfv wceq cmgp cmnd cn0 crg ccrg crngring syl ply1ring eqid
        co ringmgp 3syl simpld mgpbas mulgnn0cl syl3anc cpws cmg evl1rhm rhmmhm
        crh mhmmulg cbs cvv eqidd cplusg wa fvexi pwsmgp sylancl wss ssv a1i cv
        cmhm ovexd simprd oveqdr mulgpropd oveqd fveq1d wf rhmf ffvelrnd syl5eq
        eqtrd eleqtrd pwsmulg syl23anc oveq2d jca ) AIHEUQZFUEZLWSJUFZUFZIKGUQZ
        UGACUHUFZUIUEZIUJUEZHFUEZWTADUKUEZCUKUEXEADULUEZXHQDUMUNZCDNUOCXDXDUPZU
        RUSUBAXGLHJUFZUFZKUGZSUTZFEXDIHFCXDXKPVAZTVBVCAXBLIXLDUHUFZBVDUQZVEUFZU
        QZUFZXCALXAXTAXAIXLDBVDUQZUHUFZVEUFZUQZXTAJXDYCWBUQUEZXFXGXAYEUGAJCYBVH
        UQUEZYFAXIYGQBCDYBJMNYBUPZOVFUNZCYBJXDYCXKYCUPZVGUNUBXOFEYDJXDYCIHXPTYD
        UPZVIVCAYDXSIXLAUCUDYCVJUFZYDXSYCXRVKYKXSUPZAYLVLAYLXRVJUFZUGZYCVMUFZXR
        VMUFZUGZAXIBVKUEZYOYRVNQBDVJOVOZYLYNYPYQDBXQYCULVKYBXRYHXQUPZXRUPZYJYLU
        PYNUPZYPUPYQUPVPVQZUTZYLVKVRAYLVSVTAUCWAZVKUEUDWAZVKUEVNZVNUUFUUGYPWCAU
        UHUCUDYPYQAYOYRUUDWDWEWFWGWMWHAYAIXMGUQZXCAXQUIUEZYSXFXLYNUELBUEYAUUIUG
        AXHUUJXJDXQUUAURUNYSAYTVTUBAXLYBVJUFZYNAFUUKHJAYGFUUKJWIYIFUUKCYBJPUUKU
        PZWJUNXOWKAUUKYLYNUUKYBYCYJUULVAUUEWLWNRLYNXQXSGBIVKXLXRUUBUUCYMUAWOWPA
        XMKIGAXGXNSWDWQWMWMWR $.
    $}
  $}

  ${
    pf1const.b $e |- B = ( Base ` R ) $.
    pf1const.q $e |- Q = ran ( eval1 ` R ) $.
    $( Constants are polynomial functions.  (Contributed by Mario Carneiro,
       12-Jun-2015.) $)
    pf1const $p |- ( ( R e. CRing /\ X e. B ) -> ( B X. { X } ) e. Q ) $=
      ( ccrg wcel wa csn cxp ce1 cfv crn cpl1 eqid cbs co wf adantr evl1sca wfn
      cpws crh evl1rhm rhmf ffn 3syl crg crngring ply1sclf syl ffvelrn sylancom
      cascl fnfvelrn syl2anc eqeltrrd eleqtrrdi ) CGHZDAHZIZADJKZCLMZNZBVBDCOMZ
      UOMZMZVDMZVCVEVGAVFCVDDVDPZVFPZEVGPZUAVBVDVFQMZUBZVHVMHZVIVEHVBVDVFCAUCRZ
      UDRHZVMVPQMZVDSVNUTVQVAAVFCVPVDVJVKVPPEUETVMVRVFVPVDVMPZVRPUFVMVRVDUGUHUT
      VAAVMVGSZVOVBCUIHZVTUTWAVACUJTVGVMVFCAVKVLEVSUKULAVMDVGUMUNVMVHVDUPUQURFU
      S $.

    $( The identity is a polynomial function.  (Contributed by Mario Carneiro,
       20-Mar-2015.) $)
    pf1id $p |- ( R e. CRing -> ( _I |` B ) e. Q ) $=
      ( ccrg wcel cid cres ce1 cfv crn cv1 eqid evl1var cpl1 cbs wfn cpws co wf
      crh evl1rhm rhmf ffn crg crngring syl fnfvelrn syl2anc eqeltrrd eleqtrrdi
      3syl vr1cl ) CFGZHAIZCJKZLZBUOCMKZUQKZUPURACUQUSUQNZUSNZDOUOUQCPKZQKZRZUS
      VDGZUTURGUOUQVCCASTZUBTGVDVGQKZUQUAVEAVCCVGUQVAVCNZVGNDUCVDVHVCVGUQVDNZVH
      NUDVDVHUQUEUMUOCUFGVFCUGVDVCCUSVBVIVJUNUHVDUSUQUIUJUKEUL $.

    $( Polynomial functions are a subring.  (Contributed by Mario Carneiro,
       19-Mar-2015.)  (Revised by Mario Carneiro, 6-May-2015.) $)
    pf1subrg $p |- ( R e. CRing -> Q e. ( SubRing ` ( R ^s B ) ) ) $=
      ( ccrg wcel ce1 cfv cpl1 cbs cima cpws co csubrg crn crh wf wfn eqid wceq
      evl1rhm rhmf ffn fnima 4syl eqtr4di casa ply1assa assaring subrgid rhmima
      crg 3syl syl2anc eqeltrrd ) CFGZCHIZCJIZKIZLZBCAMNZOIZUQVAURPZBUQURUSVBQN
      GZUTVBKIZURRURUTSVAVDUAAUSCVBURURTUSTZVBTDUBZUTVFUSVBURUTTZVFTUCUTVFURUDU
      TURUEUFEUGUQVEUTUSOIGZVAVCGVHUQUSUHGUSUMGVJUSCVGUIUSUJUTUSVIUKUNURUSVBUTU
      LUOUP $.
  $}

  ${
    $d x y z B $.  $d y E $.  $d x y F $.  $d x Q $.  $d x y R $.
    pf1rcl.q $e |- Q = ran ( eval1 ` R ) $.
    $( Reverse closure for the set of polynomial functions.  (Contributed by
       Mario Carneiro, 12-Jun-2015.) $)
    pf1rcl $p |- ( X e. Q -> R e. CRing ) $=
      ( vx vy wcel c0 wceq wn cfv c1o cmap co cv cmpt ccom crn eqid rneqi rnco2
      ccrg n0i cbs csn cxp cevl cima ce1 evl1fval 3eqtri cdm cin wss inss2 neq0
      wex cvv csubrg ces evlval mpfrcl simp2d exlimiv sylbi con1i sseq0 sylancr
      imadisj sylibr syl5eq nsyl2 ) CAGAHIBUBGZACUCVMJZAEBUDKZVOLMNMNEOZFVOLFOU
      EUFPQPZLBUGNZRZUHZHABUIKZRVQVRQZRVTDWAWBEFVOVRBWAWASVRSZVOSZUJTVQVRUAUKVN
      VQULZVSUMZHIZVTHIVNWFVSUNVSHIZWGWEVSUOWHVMWHJVPVSGZEUQVMEVSUPWIVMEWILURGV
      MVOBUSKGVSVOBLVPVRVOLBUTNKVOVRBLWCWDVATVBVCVDVEVFWFVSVGVHVQVSVIVJVKVL $.

    ${
      pf1f.b $e |- B = ( Base ` R ) $.
      $( Polynomial functions are functions.  (Contributed by Mario Carneiro,
         12-Jun-2015.) $)
      pf1f $p |- ( F e. Q -> F : B --> B ) $=
        ( wcel cpws cbs cfv ccrg cvv eqid pf1rcl fvexi a1i csubrg wss pf1subrg
        co subrgss 3syl id sseldd pwselbas ) DBGZACACAHTZIJZKDUGLUGMFUHMZBCDENZ
        ALGUFACIFOPUFBUHDUFCKGBUGQJGBUHRUJABCFESBUHUGUIUAUBUFUCUDUE $.

      mpfpf1.q $e |- E = ran ( 1o eval R ) $.
      $( Convert a multivariate polynomial function to univariate.
         (Contributed by Mario Carneiro, 12-Jun-2015.) $)
      mpfpf1 $p |- ( F e. E ->
          ( F o. ( y e. B |-> ( 1o X. { y } ) ) ) e. Q ) $=
        ( vx wcel cv c1o co cfv cbs ccom crn eqid cpws ccrg cevl wceq cpl1 wrex
        csn cxp cmpt cvv csubrg ces evlval rneqi mpfrcl simp2d id eleqtrdi cmpl
        eqtri cmap crh wf wfn con0 1on evlrhm sylancr cps1 ply1bas rhmf fvelrnb
        wb ffn 4syl mpbid ce1 evl1val evl1rhm fnfvelrn sylan eleqtrrdi eqeltrrd
        wa 3syl coeq1 eleq1d syl5ibcom rexlimdva sylc ) FEKZDUAKZJLZMDUBNZOZFUC
        ZJDUDOZPOZUEZFABMALUFUGUHZQZCKZWJMUIKWKBDUJOKEBDMFEWMRZBMDUKNOZRIWMXCBW
        MDMWMSZHULUMUSUNUOZWJFXBKZWRWJFEXBWJUPIUQWJWMMDURNZDBMUTNTNZVANKZWQXHPO
        ZWMVBWMWQVCXFWRVLWJMVDKWKXIVEXEBWMDXHMVDXGXDHXGSZXHSVFVGWQXJXGXHWMWPDDV
        HOZWQWPSZXLSWQSZVIZXJSVJWQXJWMVMJWQFWMVKVNVOWKWOXAJWQWKWLWQKZWCZWNWSQZC
        KWOXAXQWLDVPOZOZXRCAWLBWMDWQXGXSXSSZXDHXKXOVQXQXTXSRZCWKXSWQVCZXPXTYBKW
        KXSWPDBTNZVANKWQYDPOZXSVBYCBWPDYDXSYAXMYDSHVRWQYEWPYDXSXNYESVJWQYEXSVMW
        DWQWLXSVSVTGWAWBWOXRWTCWNFWSWEWFWGWHWI $.

      $( Convert a univariate polynomial function to multivariate.
         (Contributed by Mario Carneiro, 12-Jun-2015.) $)
      pf1mpf $p |- ( F e. Q ->
          ( F o. ( x e. ( B ^m 1o ) |-> ( x ` (/) ) ) ) e. E ) $=
        ( vy vz wcel cv cfv wceq cbs c1o co ccom eqid ccrg ce1 cpl1 wrex pf1rcl
        cmap c0 cmpt crn id eleqtrdi cpws crh wf wfn wb evl1rhm syl ffn fvelrnb
        rhmf 4syl mpbid wa cevl csn cxp cid cres cmpl cps1 ply1bas coeq1d coass
        evl1val ccnv df1o2 0ex mapsncnv coeq1i wf1o mapsnf1o2 f1ococnv1 eqtr3id
        fvexi mp1i coeq2d syl5eq cvv simpl ovexd con0 1on evlrhm mpan ffvelrnda
        pwselbas fcoi1 3eqtrd fnfvelrn sylan eleqtrrdi eqeltrd eleq1d syl5ibcom
        ffnd coeq1 rexlimdva sylc ) FCLZDUALZJMZDUBNZNZFOZJDUCNZPNZUDZFABQUFRZU
        GAMNUHZSZELZCDFGUEZXJFXMUIZLZXRXJFCYDXJUJGUKXJXMXPDBULRZUMRLZXQYFPNZXMU
        NXMXQUOYEXRUPXJXKYGYCBXPDYFXMXMTZXPTZYFTHUQURXQYHXPYFXMXQTZYHTVAXQYHXMU
        SJXQFXMUTVBVCXKXOYBJXQXKXLXQLZVDZXNXTSZELXOYBYMYNXLQDVERZNZEYMYNYPKBQKM
        VFVGUHZSZXTSZYPVHXSVIZSZYPYMXNYRXTKXLBYODXQQDVJRZXMYIYOTZHUUBTZXPDDVKNZ
        XQYJUUETYKVLZVOVMYMYSYPYQXTSZSUUAYPYQXTVNYMUUGYTYPYMUUGXTVPZXTSZYTUUHYQ
        XTAKBQXTUGVQBDPHWEZVRXTTZVSVTXSBXTWAUUIYTOYMABQXTUGVQUUJVRUUKWBXSBXTWCW
        FWDWGWHYMXSBYPUNUUAYPOYMBDXSDXSULRZPNZUAYPUULWIUULTZHUUMTZXKYLWJYMBQUFW
        KXKXQUUMXLYOXKYOUUBUULUMRLZXQUUMYOUNQWLLXKUUPWMBYODUULQWLUUBUUCHUUDUUNW
        NWOXQUUMUUBUULYOUUFUUOVAURZWPWQXSBYPWRURWSYMYPYOUIZEXKYOXQUOYLYPUURLXKX
        QUUMYOUUQXFXQXLYOWTXAIXBXCXOYNYAEXNFXTXGXDXEXHXI $.
    $}

    ${
      pf1addcl.a $e |- .+ = ( +g ` R ) $.
      $( The sum of multivariate polynomial functions.  (Contributed by Mario
         Carneiro, 12-Jun-2015.) $)
      pf1addcl $p |- ( ( F e. Q /\ G e. Q ) -> ( F oF .+ G ) e. Q ) $=
        ( wcel cbs cfv co ccrg cvv eqid adantr wf pf1f wb pwselbasb sylancl cof
        cpws cplusg pf1rcl fvexd fvex mpbird adantl pwsplusgval csubrg pf1subrg
        wa syl subrgacl 3expib mpcom eqeltrrd ) DBHZEBHZULZDECCIJZUBKZUCJZKZDEA
        UAKBUTVBIJZAVCCDEVALMVBVBNZVENZURCLHZUSBCDFUDOZUTCIUEUTDVEHZVAVADPZURVK
        USVABCDFVANZQOUTVHVAMHZVJVKRVICIUFZVACVAVELDVBMVFVLVGSTUGUTEVEHZVAVAEPZ
        USVPURVABCEFVLQUHUTVHVMVOVPRVIVNVACVAVELEVBMVFVLVGSTUGGVCNZUIBVBUJJHZUT
        VDBHZUTVHVRVIVABCVLFUKUMVRURUSVSBVCVBDEVQUNUOUPUQ $.
    $}

    ${
      pf1mulcl.t $e |- .x. = ( .r ` R ) $.
      $( The product of multivariate polynomial functions.  (Contributed by
         Mario Carneiro, 12-Jun-2015.) $)
      pf1mulcl $p |- ( ( F e. Q /\ G e. Q ) -> ( F oF .x. G ) e. Q ) $=
        ( wcel cbs cfv co ccrg cvv eqid adantr wf pf1f wb pwselbasb sylancl cof
        wa cpws cmulr pf1rcl fvexd mpbird adantl pwsmulrval csubrg pf1subrg syl
        fvex subrgmcl 3expib mpcom eqeltrrd ) DAHZEAHZUBZDEBBIJZUCKZUDJZKZDECUA
        KAUTVBIJZBVCCDEVALMVBVBNZVENZURBLHZUSABDFUEOZUTBIUFUTDVEHZVAVADPZURVKUS
        VAABDFVANZQOUTVHVAMHZVJVKRVIBIUMZVABVAVELDVBMVFVLVGSTUGUTEVEHZVAVAEPZUS
        VPURVAABEFVLQUHUTVHVMVOVPRVIVNVABVAVELEVBMVFVLVGSTUGGVCNZUIAVBUJJHZUTVD
        AHZUTVHVRVIVAABVLFUKULVRURUSVSAVBVCDEVQUNUOUPUQ $.
    $}
  $}

  ${
    $d a b f g x y .+ $.  $d a b f g w x y B $.  $d f x et $.  $d a b f g ph $.
    $d b x y A $.  $d x ch $.  $d a b f g y ps $.  $d b f g Q $.  $d a b w R $.
    $d x rh $.  $d x si $.  $d x ta $.  $d x th $.  $d a b f g x y .x. $.
    $d x ze $.
    pf1ind.cb $e |- B = ( Base ` R ) $.
    pf1ind.cp $e |- .+ = ( +g ` R ) $.
    pf1ind.ct $e |- .x. = ( .r ` R ) $.
    pf1ind.cq $e |- Q = ran ( eval1 ` R ) $.
    pf1ind.ad $e |- ( ( ph /\ ( ( f e. Q /\ ta ) /\ ( g e. Q /\ et ) ) ) ->
        ze ) $.
    pf1ind.mu $e |- ( ( ph /\ ( ( f e. Q /\ ta ) /\ ( g e. Q /\ et ) ) ) ->
        si ) $.
    pf1ind.wa $e |- ( x = ( B X. { f } ) -> ( ps <-> ch ) ) $.
    pf1ind.wb $e |- ( x = ( _I |` B ) -> ( ps <-> th ) ) $.
    pf1ind.wc $e |- ( x = f -> ( ps <-> ta ) ) $.
    pf1ind.wd $e |- ( x = g -> ( ps <-> et ) ) $.
    pf1ind.we $e |- ( x = ( f oF .+ g ) -> ( ps <-> ze ) ) $.
    pf1ind.wf $e |- ( x = ( f oF .x. g ) -> ( ps <-> si ) ) $.
    pf1ind.wg $e |- ( x = A -> ( ps <-> rh ) ) $.
    pf1ind.co $e |- ( ( ph /\ f e. B ) -> ch ) $.
    pf1ind.pr $e |- ( ph -> th ) $.
    pf1ind.a $e |- ( ph -> A e. Q ) $.
    $( Prove a property of polynomials by "structural" induction, under a
       simplified model of structure which loses the sum of products structure.
       (Contributed by Mario Carneiro, 12-Jun-2015.) $)
    pf1ind $p |- ( ph -> rh ) $=
      ( vb vw vy va cab wcel c1o cmap co c0 cv cfv cmpt ccom csn cxp cres coass
      cid ccnv df1o2 cbs 0ex eqid mapsncnv coeq2i wf1o wceq mapsnf1o2 f1ococnv2
      fvexi mp1i eqtr3id coeq2d syl5eq wf pf1f fcoi1 3syl eqtrd cof cevl crn wa
      wi mpfpf1 vex elab eleq1 bitr3id anbi1d oveq1 eleq1d imbi12d oveq2 expcom
      ovex an4s expimpd vtocl2ga syl2an expcomd impcom cvv mpff ffnd a1i syl5bi
      ofco sylibrd imp coeq1 weq cascl ccrg cmpl syl adantr crh con0 1on fveq2d
      sylan coeq1d sylibr eqeltrrd ces evlval rneqi ad2antrl ad2antll mapsnf1o3
      an4 anbi2d f1of ovexd inidm cpl1 ce1 pf1rcl csca mplassa sylancr ply1ascl
      casa asclrhm mplsca eleqtrrd rhmf ffvelrnda evl1val syl2anc evl1sca cress
      oveq1d ressid oveq2d eqtr4di fveq1d csubrg crngring subrgid simpr evlssca
      eqtr3d 3eqtr3d wral snex xpex ralrimiva sneq xpeq2d rspccva resiexg ax-mp
      eqeltrd el1o fveq2 sylbi mpteq2dv syl5ibrcom pf1mpf mpfind wb elabg mpbid
      crg ) AKBJUSZUTZIAKUOLVAVBVCZVDUOVEZVFZVGZVHZUPLVAUPVEVIVJVGZVHZKUXBAUXJK
      VMLVKZVHZKAUXJKUXGUXIVHZVHUXLKUXGUXIVLAUXMUXKKAUXMUXGUXGVNZVHZUXKUXNUXIUX
      GUOUPLVAUXGVDVOLOVPSWEZVQUXGVRZVSVTUXDLUXGWAUXOUXKWBAUOLVAUXGVDVOUXPVQUXQ
      WCUXDLUXGWDWFWGZWHWIAKNUTZLLKWJUXLKWBUNLNOKUBSWKLLKWLWMWNAUQVEZUXIVHZUXBU
      TUXDURVEZVIZVJZUXIVHZUXBUTUOUXDUYBUXEVFZVGZUXIVHZUXBUTZUYBUXIVHZUXBUTZUXE
      UXIVHZUXBUTZUYBUXEMWOZVCZUXIVHZUXBUTZUYBUXEPWOZVCZUXIVHZUXBUTZUXJUXBUTUQU
      XHLMVAOWPVCZWQZLOPURUOVASTUAVUBLVAOUUAVCVFLVUBOVAVUBVRZSUUBZUUCZAUYBVUCUT
      ZUYKWRUXEVUCUTZUYMWRWRZUYQVUIVUGVUHWRZUYKUYMWRZWRZAUYQVUGUYKVUHUYMUUGZAVU
      JVUKUYQAVUJWRZVUKUYJUYLUYNVCZUXBUTZUYQVUJAVUKVUPWSVUJVUKAVUPVUGUYJNUTZUYL
      NUTZVUKAWRZVUPWSZVUHUPLNOVUCUYBUBSVUCVRZWTZUPLNOVUCUXEUBSVVAWTZEFWRZAWRZG
      WSUYKFWRZAWRZUYJRVEZUYNVCZUXBUTZWSVUTQRUYJUYLNNQVEZUYJWBZVVEVVGGVVJVVLVVD
      VVFAVVLEUYKFEVVKUXBUTVVLUYKBEJVVKQXAUGXBVVKUYJUXBXCXDXEXEZGVVKVVHUYNVCZUX
      BUTVVLVVJBGJVVNVVKVVHUYNXKUIXBVVLVVNVVIUXBVVKUYJVVHUYNXFXGXDXHVVHUYLWBZVV
      GVUSVVJVUPVVOVVFVUKAVVOFUYMUYKFVVHUXBUTVVOUYMBFJVVHRXAUHXBVVHUYLUXBXCXDUU
      HXEZVVOVVIVUOUXBVVHUYLUYJUYNXIXGXHVVKNUTZVVHNUTZWRZVVDAGVVQEVVRFAGWSAVVQE
      WRVVRFWRWRZGUCXJXLXMXNXOXPXQVUNUYPVUOUXBVUNUXDUXDUXDLMUYBUXEUXIXRXRXRVUNU
      XDLUYBVUGUXDLUYBWJAVUHLVUCLOUYBVAVUFSXSUUDXTZVUNUXDLUXEVUHUXDLUXEWJAVUGLV
      UCLOUXEVAVUFSXSUUEXTZLUXDUXIWALUXDUXIWJVUNUPLVAUXIVDVOUXPVQUXIVRUUFLUXDUX
      IUUIWFZVUNLVAVBUUJZVWDLXRUTZVUNUXPYAZUXDUUKZYCXGYDXMYBYEAVUIVUAVUIVULAVUA
      VUMAVUJVUKVUAVUNVUKUYJUYLUYRVCZUXBUTZVUAVUJAVUKVWIWSVUJVUKAVWIVUGVUQVURVU
      SVWIWSZVUHVVBVVCVVEHWSVVGUYJVVHUYRVCZUXBUTZWSVWJQRUYJUYLNNVVLVVEVVGHVWLVV
      MHVVKVVHUYRVCZUXBUTVVLVWLBHJVWMVVKVVHUYRXKUJXBVVLVWMVWKUXBVVKUYJVVHUYRXFX
      GXDXHVVOVVGVUSVWLVWIVVPVVOVWKVWHUXBVVHUYLUYJUYRXIXGXHVVSVVDAHVVQEVVRFAHWS
      AVVTHUDXJXLXMXNXOXPXQVUNUYTVWHUXBVUNUXDUXDUXDLPUYBUXEUXIXRXRXRVWAVWBVWCVW
      DVWDVWFVWGYCXGYDXMYBYEUXTUYDWBUYAUYEUXBUXTUYDUXIYFXGUXTUYGWBUYAUYHUXBUXTU
      YGUXIYFXGUQURYGUYAUYJUXBUXTUYBUXIYFXGUQUOYGUYAUYLUXBUXTUXEUXIYFXGUXTUYOWB
      UYAUYPUXBUXTUYOUXIYFXGUXTUYSWBUYAUYTUXBUXTUYSUXIYFXGUXTUXHWBUYAUXJUXBUXTU
      XHUXIYFXGAUYBLUTZWRZLUYCVJZUYEUXBVWOUYBOUULVFZYHVFZVFZOUUMVFZVFZVWSVUBVFZ
      UXIVHZVWPUYEVWOOYIUTZVWSVAOYJVCZVPVFZUTVXAVXCWBAVXDVWNAUXSVXDUNNOKUBUUNYK
      ZYLZALVXFUYBVWRAVWROVXEYMVCZUTLVXFVWRWJAVWRVXEUUOVFZVXEYMVCZVXIAVXEUUSUTZ
      VWRVXKUTAVAYNUTZVXDVXLYOVXGVXEOVAYNVXEVRZUUPUUQVWRVXJVXEVWRVWQOVWQVRZVWRV
      RZUURZVXJVRUUTYKAOVXJVXEYMAVXEOVAYNYIVXNVXMAYOYAVXGUVAUVIUVBLVXFOVXEVWRSV
      XFVRZUVCYKUVDUPVWSLVUBOVXFVXEVWTVWTVRZVUDSVXNVXRUVEUVFAVXDVWNVXAVWPWBVXGV
      WRLVWQOVWTUYBVXSVXOSVXPUVGYQVWOVXBUYDUXIVWOUYBVAOLUVHVCZYJVCZYHVFZVFZVUBV
      FVXBUYDVWOVYCVWSVUBVWOUYBVYBVWRVWOVYBVXEYHVFVWRVWOVYAVXEYHVWOVXTOVAYJVWOV
      XDVXTOWBVXHLOYISUVJYKUVKYPVXQUVLUVMYPVWOVYBLVUBLOVXTVAYNVYAUYBVUEVYAVRVXT
      VRSVYBVRVXMVWOYOYAVXHALOUVNVFUTZVWNAVXDOUXAUTVYDVXGOUVOLOSUVPWMYLAVWNUVQU
      VRUVSYRUVTALVVKVIZVJZUXBUTZQLUWAVWNVWPUXBUTZAVYGQLAVVKLUTWRCVYGULBCJVYFLV
      YEUXPVVKUWBUWCUEXBYSUWDVYGVYHQUYBLQURYGZVYFVWPUXBVYIVYEUYCLVVKUYBUWEUWFXG
      UWGYQYTAUYBVAUTZUYIAUYIVYJUXMUXBUTAUXMUXKUXBUXRADUXKUXBUTUMBDJUXKVWEUXKXR
      UTUXPLXRUWHUWIUFXBYSUWJVYJUYHUXMUXBVYJUYGUXGUXIVYJUOUXDUYFUXFVYJUYBVDWBUY
      FUXFWBUYBUWKUYBVDUXEUWLUWMUWNYRXGUWOYEAUXSUXHVUCUTUNUOLNOVUCKUBSVVAUWPYKU
      WQYTAUXSUXCIUWRUNBIJKNUKUWSYKUWT $.
  $}

  ${
    $d O x $.  $d R y $.  $d U x $.  $d Y x $.  $d ph y $.
    evl1gsumd.q $e |- O = ( eval1 ` R ) $.
    evl1gsumd.p $e |- P = ( Poly1 ` R ) $.
    evl1gsumd.b $e |- B = ( Base ` R ) $.
    evl1gsumd.u $e |- U = ( Base ` P ) $.
    evl1gsumd.r $e |- ( ph -> R e. CRing ) $.
    evl1gsumd.y $e |- ( ph -> Y e. B ) $.

    ${
      $d B y $.  $d M y $.  $d O y $.  $d P y $.  $d U y $.  $d Y y $.
      $d a x y $.  $d m x y $.
      $( Lemma for ~ evl1gsumd (induction step).  (Contributed by AV,
         17-Sep-2019.) $)
      evl1gsumdlem $p |- ( ( m e. Fin /\ -. a e. m /\ ph )
     -> ( ( A. x e. m M e. U -> ( ( O ` ( P gsum ( x e. m |-> M ) ) ) ` Y )
                                = ( R gsum ( x e. m |-> ( ( O ` M ) ` Y ) ) ) )
          -> ( A. x e. ( m u. { a } ) M e. U
                -> ( ( O ` ( P gsum ( x e. ( m u. { a } ) |-> M ) ) ) ` Y )
            = ( R gsum ( x e. ( m u. { a } ) |-> ( ( O ` M ) ` Y ) ) ) ) ) ) $=
        ( vy wcel cfv cv cfn wn w3a wral cmpt cgsu co wceq wi csn cun wa ralunb
        csb cplusg nfcv nfcsb1v csbeq1a cbvmpt oveq2i cvv eqid crg crngring syl
        ccmn ply1ring ringcmn 3ad2ant3 ad2antrr simpll1 rspcsbela expcom adantl
        ccrg adantr imp vex a1i vsnid mpan csbeq1 gsumunsn syl5eq eqcomi oveq1i
        simpll2 eqtrdi fveq2d fveq1d simplr gsummptcl eqidd jca evl1addd simprd
        eqtrd oveq1 sylan9eq csbfv12 csbfv2g elv csbconstg fveval1fvcl eqeltrid
        fveq12i eqtri nffv csbhypf eqtr2di exp31 com23 ex a2d imp4b syl5bi ) GU
        AZUBSZKUAZXRSUCZAUDZHFSZBXRUEZJDBXRHUFZUGUHZITTZEBXRJHITZTZUFZUGUHZUIZU
        JZYCBXRXTUKZULZUEZJDBYOHUFZUGUHZITZTZEBYOYIUFZUGUHZUIZUJYPYDYCBYNUEZUMY
        BYMUMUUCYCBXRYNUNYBYMYDUUDUUCYBYDYLUUDUUCUJZYBYDYLUUEUJYBYDUMZUUDYLUUCU
        UFUUDYLUUCUUFUUDUMZYLUMYTYKJBXTHUOZITZTZEUPTZUHZUUBUUGYLYTYGUUJUUKUHZUU
        LUUGYTJYFUUHDUPTZUHZITZTZUUMUUGJYSUUPUUGYRUUOIUUGYRDRXRBRUAZHUOZUFZUGUH
        ZUUHUUNUHZUUOUUGYRDRYOUUSUFZUGUHUVBYQUVCDUGBRYOHUUSRHUQZBUURHURZBUURHUS
        ZUTVAUUGXRFUUNRDXTVBUUSUUHOUUNVCZYBDVGSZYDUUDAXSUVHYAADVDSZUVHAEVDSZUVI
        AEVPSZUVJPEVEVFZDEMVHVFDVIVFVJVKZXSYAAYDUUDVLZUUGUURXRSZUUSFSZUUFUVOUVP
        UJZUUDYDUVQYBUVOYDUVPBUURXRHFVMVNVOVQVRZXTVBSUUGKVSVTZXSYAAYDUUDWHZUUDU
        UHFSZUUFXTYNSUUDUWAKWABXTYNHFVMWBVOZBUURXTHWCWDWEUVAYFUUHUUNUUTYEDUGYEU
        UTBRXRHUUSUVDUVEUVFUTWFVAWGWIWJWKUUGUUOFSUUQUUMUIUUGCDUUKUUNEFYFUUHIYGU
        UJJLMNOYBUVKYDUUDAXSUVKYAPVJVKZYBJCSZYDUUDAXSUWDYAQVJVKZUUGYFFSYGYGUIUU
        GFBDXRHOUVMUVNYBYDUUDWLWMUUGYGWNWOUUGUWAUUJUUJUIUWBUUGUUJWNWOUVGUUKVCZW
        PWQWRYGYKUUJUUKWSWTUUGUULUUBUIYLUUGUUBERXRBUURYIUOZUFZUGUHZUUJUUKUHZUUL
        UUGUUBERYOUWGUFZUGUHUWJUUAUWKEUGBRYOYIUWGRYIUQZBUURYIURZBUURYIUSZUTVAUU
        GXRCUUKREXTVBUWGUUJNUWFYBEVGSZYDUUDAXSUWOYAAUVJUWOUVLEVIVFVJVKUVNUUGUVO
        UMZUWGJUUSITZTZCUWGBUURJUOZBUURYHUOZTUWRBUURJYHXAUWSJUWTUWQUWTUWQUIRBUU
        RHVBIXBXCUWSJUIRBUURJVBXDXCXGXHUWPCDEFUUSIJLMNOUUGUVKUVOUWCVQUUGUWDUVOU
        WEVQUVRXEXFUVSUVTUUGCDEFUUHIJLMNOUWCUWEUWBXEBRXTYIUUJBXTUQBJUUIBUUHIBIU
        QBXTHURXIBJUQXIBUAXTUIZJYHUUIUXAHUUHIBXTHUSWJWKXJWDWEUWIYKUUJUUKUWHYJEU
        GYJUWHBRXRYIUWGUWLUWMUWNUTWFVAWGXKVQWRXLXMXNXOXPXQXN $.
    $}

    evl1gsumd.m $e |- ( ph -> A. x e. N M e. U ) $.
    evl1gsumd.n $e |- ( ph -> N e. Fin ) $.
    $d B x $.  $d M a m n $.  $d N a m n x $.  $d O a m n $.  $d P a m n $.
    $d R a m n x $.  $d R x $.  $d U a m n $.  $d Y a m n $.  $d a m n ph x $.
    $( Polynomial evaluation builder for a finite group sum of polynomials.
       (Contributed by AV, 17-Sep-2019.) $)
    evl1gsumd $p |- ( ph -> ( ( O ` ( P gsum ( x e. N |-> M ) ) ) ` Y )
                            = ( R gsum ( x e. N |-> ( ( O ` M ) ` Y ) ) ) ) $=
      ( cgsu cfv vn vm va wcel wral cmpt co wceq cfn wi cv wa c0 csn cun anbi2d
      raleq mpteq1 oveq2d fveq2d fveq1d eqeq12d imbi12d cascl mpt0 oveq2i gsum0
      c0g eqid fveq2i crg ccrg crngring syl ply1scl0 eqcomd syl5eq cgrp ringgrp
      eqtri grpidcl evl1scad simprd eqtrd eqtr4di adantr wn evl1gsumdlem 3expia
      a2d impexp 3imtr4g findcard2s expd mpcom mpd ) AGFUDZBHUEZJDBHGUFZSUGZITZ
      TZEBHJGITTZUFZSUGZUHZQHUIUDZAWRXFUJRXGAWRXFAWQBUAUKZUEZULZJDBXHGUFZSUGZIT
      ZTZEBXHXCUFZSUGZUHZUJAWQBUMUEZULZJDBUMGUFZSUGZITZTZEBUMXCUFZSUGZUHZUJAWQB
      UBUKZUEZULZJDBYGGUFZSUGZITZTZEBYGXCUFZSUGZUHZUJZAWQBYGUCUKZUNUOZUEZULZJDB
      YSGUFZSUGZITZTZEBYSXCUFZSUGZUHZUJZAWRULZXFUJUAUBUCHXHUMUHZXJXSXQYFUUKXIXR
      AWQBXHUMUQUPUUKXNYCXPYEUUKJXMYBUUKXLYAIUUKXKXTDSBXHUMGURUSUTVAUUKXOYDESBX
      HUMXCURUSVBVCXHYGUHZXJYIXQYPUULXIYHAWQBXHYGUQUPUULXNYMXPYOUULJXMYLUULXLYK
      IUULXKYJDSBXHYGGURUSUTVAUULXOYNESBXHYGXCURUSVBVCXHYSUHZXJUUAXQUUHUUMXIYTA
      WQBXHYSUQUPUUMXNUUEXPUUGUUMJXMUUDUUMXLUUCIUUMXKUUBDSBXHYSGURUSUTVAUUMXOUU
      FESBXHYSXCURUSVBVCXHHUHZXJUUJXQXFUUNXIWRAWQBXHHUQUPUUNXNXBXPXEUUNJXMXAUUN
      XLWTIUUNXKWSDSBXHHGURUSUTVAUUNXOXDESBXHHXCURUSVBVCAYFXRAYCEVHTZYEAYCJUUOD
      VDTZTZITZTZUUOAJYBUURAYBDVHTZITUURYAUUTIYADUMSUGUUTXTUMDSBGVEVFDUUTUUTVIZ
      VGVTVJAUUTUUQIAUUQUUTAEVKUDZUUQUUTUHAEVLUDUVBOEVMVNZUUPDEUUTUUOLUUPVIZUUO
      VIZUVAVOVNVPUTVQVAAUUQFUDUUSUUOUHAUUPCDEFIUUOJKLMUVDNOAEVRUDZUUOCUDAUVBUV
      FUVCEVSVNCEUUOMUVEWAVNPWBWCWDYEEUMSUGUUOYDUMESBXCVEVFEUUOUVEVGVTWEWFYGUIU
      DZYRYGUDWGZULZAYHYPUJZUJAYTUUHUJZUJYQUUIUVIAUVJUVKUVGUVHAUVJUVKUJABCDEFUB
      GIJUCKLMNOPWHWIWJAYHYPWKAYTUUHWKWLWMWNWOWP $.
  $}

  ${
    $d B x $.  $d K x $.  $d N x $.  $d Q x $.  $d R x $.  $d ph x $.
    evl1gsumadd.q $e |- Q = ( eval1 ` R ) $.
    evl1gsumadd.k $e |- K = ( Base ` R ) $.
    evl1gsumadd.w $e |- W = ( Poly1 ` R ) $.
    evl1gsumadd.p $e |- P = ( R ^s K ) $.
    evl1gsumadd.b $e |- B = ( Base ` W ) $.
    evl1gsumadd.r $e |- ( ph -> R e. CRing ) $.
    evl1gsumadd.y $e |- ( ( ph /\ x e. N ) -> Y e. B ) $.
    evl1gsumadd.n $e |- ( ph -> N C_ NN0 ) $.
    ${
      evl1gsumadd.0 $e |- .0. = ( 0g ` W ) $.
      evl1gsumadd.f $e |- ( ph -> ( x e. N |-> Y ) finSupp .0. ) $.
      $( Univariate polynomial evaluation maps (additive) group sums to group
         sums.  Remark: the proof would be shorter if the theorem is proved
         directly instead of using ~ evls1gsumadd .  (Contributed by AV,
         15-Sep-2019.) $)
      evl1gsumadd $p |- ( ph -> ( Q ` ( W gsum ( x e. N |-> Y ) ) )
                         = ( P gsum ( x e. N |-> ( Q ` Y ) ) ) ) $=
        ( cmpt cgsu co cfv ces1 wceq evl1fval1 a1i fveq1d cpl1 ccrg wcel ressid
        cress syl eqcomd fveq2d syl5eq fvoveq1d cbs c0g eqid crg csubrg subrgid
        crngring 3syl cv wa adantr eleqtrd cfsupp eqtr4di breqtrrd evls1gsumadd
        eqtrd mpteq2dv oveq2d 3eqtrd ) AIBHJUBZUCUDZEUEWBFGUFUDZUEZDBHJWCUEZUBZ
        UCUDZDBHJEUEZUBZUCUDAWBEWCEWCUGAGEFLMUHUIZUJAWDFGUOUDZUKUEZWAUCUDWCUEWG
        AIWLWAWCUCAIFUKUEWLNAFWKUKAWKFAFULUMZWKFUGQGFULMUNUPUQURUSZUTABWLVAUEZD
        WCGFWKGHWLJWLVBUEZWCVCMWLVCWPVCWKVCOWOVCQAWMFVDUMGFVEUEUMQFVGGFMVFVHABV
        IHUMZVJZJCWORWRCIVAUEWOPWRIWLVAAIWLUGWQWNVKURUSVLSAWAKWPVMUAAWPIVBUEKAW
        LIVBAIWLWNUQURTVNVOVPVQAWFWIDUCABHWEWHAWHWEAJEWCWJUJUQVRVSVT $.
    $}

    ${
      $d C x $.
      evl1gsumaddval.f $e |- ( ph -> N e. Fin ) $.
      evl1gsumaddval.c $e |- ( ph -> C e. K ) $.
      $( Value of a univariate polynomial evaluation mapping an additive group
         sum to a group sum of the evaluated variable.  (Contributed by AV,
         17-Sep-2019.) $)
      evl1gsumaddval $p |- ( ph -> ( ( Q ` ( W gsum ( x e. N |-> Y ) ) ) ` C )
                         = ( R gsum ( x e. N |-> ( ( Q ` Y ) ` C ) ) ) ) $=
        ( wcel ralrimiva evl1gsumd ) ABHJGCKIFDLNMPQUAAKCUBBIRUCTUD $.
    $}

    evl1gsummul.1 $e |- .1. = ( 1r ` W ) $.
    evl1gsummul.g $e |- G = ( mulGrp ` W ) $.
    evl1gsummul.h $e |- H = ( mulGrp ` P ) $.
    evl1gsummul.f $e |- ( ph -> ( x e. N |-> Y ) finSupp .1. ) $.
    $( Univariate polynomial evaluation maps (multiplicative) group sums to
       group sums.  (Contributed by AV, 15-Sep-2019.) $)
    evl1gsummul $p |- ( ph -> ( Q ` ( G gsum ( x e. N |-> Y ) ) )
                         = ( H gsum ( x e. N |-> ( Q ` Y ) ) ) ) $=
      ( cfv cmpt cgsu cvv mgpbas ringidval ccrg wcel ccmn ply1crng crngmgp 3syl
      co crg wa cmnd crngring syl cbs fvexi jctir pwsring ringmgp cn0 nn0ex a1i
      ssexd crh cmhm evl1rhm rhmmhm gsummptmhm eqcomd ) AIBKMEUFUGUHURHBKMUGUHU
      REUFABKCMHIEUIGCLHUCRUJLGHUCUBUKAFULUMZLULUMHUNUMSLFPUOLHUCUPUQAFUSUMZJUI
      UMZUTDUSUMIVAUMAVTWAAVSVTSFVBVCJFVDOVEVFFJUIDQVGDIUDVHUQAKVIUIVIUIUMAVJVK
      UAVLAVSELDVMURUMEHIVNURUMSJLFDENPQOVOLDEHIUCUDVPUQTUEVQVR $.
  $}

  ${
    evl1varpw.q $e |- Q = ( eval1 ` R ) $.
    evl1varpw.w $e |- W = ( Poly1 ` R ) $.
    evl1varpw.g $e |- G = ( mulGrp ` W ) $.
    evl1varpw.x $e |- X = ( var1 ` R ) $.
    evl1varpw.b $e |- B = ( Base ` R ) $.
    evl1varpw.e $e |- .^ = ( .g ` G ) $.
    evl1varpw.r $e |- ( ph -> R e. CRing ) $.
    evl1varpw.n $e |- ( ph -> N e. NN0 ) $.
    $( Univariate polynomial evaluation maps the exponentiation of a variable
       to the exponentiation of the evaluated variable.  Remark: in contrast to
       ~ evl1gsumadd , the proof is shorter using ~ evls1varpw instead of
       proving it directly.  (Contributed by AV, 15-Sep-2019.) $)
    evl1varpw $p |- ( ph -> ( Q ` ( N .^ X ) )
                        = ( N ( .g ` ( mulGrp ` ( R ^s B ) ) ) ( Q ` X ) ) ) $=
      ( co cfv cmgp cress cv1 cpl1 cmg ces1 cpws wceq evl1fval1 a1i fveq2i ccrg
      eqtri wcel ressid eqcomd fveq2d syl5eq eqidd oveq123d fveq12d eqid csubrg
      syl crg crngring subrgid 3syl evls1varpw eqcomi oveq2d 3eqtrd ) AGIERZCSG
      DBUARZUBSZVMUCSZTSZUDSZRZDBUERZSGVNVSSZDBUFRTSUDSZRGICSZWARAVLVRCVSCVSUGA
      BCDJNUHZUIAGGIVNEVQAEDUCSZTSZUDSZVQEFUDSWFOFWEUDFHTSWELHWDTKUJULUJULAWEVP
      UDAWDVOTADVMUCAVMDADUKUMZVMDUGPBDUKNUNVCUOZUPUPUPUQAGURAIDUBSVNMADVMUBWHU
      PUQZUSUTABVSBDVMVQVPGVOVNVSVAVMVAVOVAVPVAVNVANVQVAPAWGDVDUMBDVBSUMPDVEBDN
      VFVGQVHAVTWBGWAAVNIVSCVSCUGACVSWCVIUIAIVNWIUOUTVJVK $.

    ${
      evl1varpwval.c $e |- ( ph -> C e. B ) $.
      evl1varpwval.h $e |- H = ( mulGrp ` R ) $.
      evl1varpwval.e $e |- E = ( .g ` H ) $.
      $( Value of a univariate polynomial evaluation mapping the exponentiation
         of a variable to the exponentiation of the evaluated variable.
         (Contributed by AV, 14-Sep-2019.) $)
      evl1varpwval $p |- ( ph -> ( ( Q ` ( N .^ X ) ) ` C ) = ( N E C ) ) $=
        ( cbs cfv wcel wceq eqid evl1vard cmg cmgp fveq2i eqtri evl1expd simprd
        co ) AJLGUPZKUDUEZUFCUQDUEUEJCFUPUGABKEGURFLJDCCMNQURUHZSUAABKEURDLCMPQ
        NUSSUAUIGHUJUEKUKUEZUJUERHUTUJOULUMFIUJUEEUKUEZUJUEUCIVAUJUBULUMTUNUO
        $.
    $}

    evl1scvarpw.t1 $e |- .X. = ( .s ` W ) $.
    evl1scvarpw.a $e |- ( ph -> A e. B ) $.
    ${
      evl1scvarpw.s $e |- S = ( R ^s B ) $.
      evl1scvarpw.t2 $e |- .xb = ( .r ` S ) $.
      evl1scvarpw.m $e |- M = ( mulGrp ` S ) $.
      evl1scvarpw.f $e |- F = ( .g ` M ) $.
      $( Univariate polynomial evaluation maps a multiple of an exponentiation
         of a variable to the multiple of an exponentiation of the evaluated
         variable.  (Contributed by AV, 18-Sep-2019.) $)
      evl1scvarpw $p |- ( ph -> ( Q ` ( A .X. ( N .^ X ) ) )
                       = ( ( B X. { A } ) .xb ( N F ( Q ` X ) ) ) ) $=
        ( co cfv cascl cmulr csn cxp casa wcel csca wceq ccrg ply1assa eleqtrdi
        cbs syl ply1sca eqcomd eleqtrrd cmnd cn0 crngring ply1ring ringmgp eqid
        fveq2d crg vr1cl mgpbas mulgnn0cl syl3anc asclmul1 crh evl1rhm ply1lmod
        clmod asclf ffvelrnd rhmmul evl1sca syl2anc cpws evl1varpw fveq2i eqtri
        cmgp cmg a1i oveqd eqtrd oveq12d 3eqtrd ) ABMOIUJZHUJZDUKBNULUKZUKZXANU
        MUKZUJZDUKZXDDUKZXADUKZGUJZCBUNUOZMODUKZJUJZGUJAXBXFDAXFXBANUPUQZBNURUK
        ZVCUKZUQXANVCUKZUQZXFXBUSAEUTUQZXNUBNEQVAVDABEVCUKZXPABCXTUETVBAXOEVCAX
        SXOEUSUBXSEXONEUTQVEVFVDVNVGZAKVHUQZMVIUQOXQUQZXRANVOUQZYBAEVOUQZYDAXSY
        EUBEVJVDZNEQVKVDZNKRVLVDUCAYEYCYFXQNEOSQXQVMZVPVDXQIKMOXQNKRYHVQUAVRVSZ
        XCBHXEXOXPXQNXAXCVMZXOVMZXPVMZYHXEVMZUDVTVSVFVNADNFWAUJUQZXDXQUQXRXGXJU
        SAXSYNUBCNEFDPQUFTWBVDAXPXQBXCAXCXQXOXPNYJYKYGAYENWDUQYFNEQWCVDYLYHWEYA
        WFYIXDXANFXEGDXQYHYMUGWGVSAXHXKXIXMGAXSBCUQXHXKUSUBUEXCCNEDBPQTYJWHWIAX
        IMXLECWJUJZWNUKZWOUKZUJXMACDEIKMNOPQRSTUAUBUCWKAYQJMXLAJYQJYQUSAJLWOUKY
        QUILYPWOLFWNUKYPUHFYOWNUFWLWMWLWMWPVFWQWRWSWT $.
    $}

    ${
      evl1scvarpwval.c $e |- ( ph -> C e. B ) $.
      evl1scvarpwval.h $e |- H = ( mulGrp ` R ) $.
      evl1scvarpwval.e $e |- E = ( .g ` H ) $.
      evl1scvarpwval.t $e |- .x. = ( .r ` R ) $.
      $( Value of a univariate polynomial evaluation mapping a multiple of an
         exponentiation of a variable to the multiple of the exponentiation of
         the evaluated variable.  (Contributed by AV, 18-Sep-2019.) $)
      evl1scvarpwval $p |- ( ph -> ( ( Q ` ( A .X. ( N .^ X ) ) ) ` C )
                            = ( A .x. ( N E C ) ) ) $=
        ( co cbs cfv wcel wceq eqid cmnd cn0 crg ccrg crngring ply1ring ringmgp
        syl vr1cl mgpbas mulgnn0cl syl3anc evl1varpwval jca evl1vsd simprd ) AB
        MOJUJZHUJZNUKULZUMDVMEULULBMDIUJZGUJUNACNFHGVNVLBEVODPQTVNUOZUBUFAVLVNU
        MZDVLEULULVOUNAKUPUMZMUQUMOVNUMZVQANURUMZVRAFURUMZVTAFUSUMWAUBFUTVCZNFQ
        VAVCNKRVBVCUCAWAVSWBVNNFOSQVPVDVCVNJKMOVNNKRVPVEUAVFVGACDEFIJKLMNOPQRST
        UAUBUCUFUGUHVHVIUEUDUIVJVK $.
    $}
  $}

  ${
    $d B x $.  $d C x $.  $d K x $.  $d M x $.  $d Q x $.  $d R x $.
    $d ph x $.
    evl1gsummon.q $e |- Q = ( eval1 ` R ) $.
    evl1gsummon.k $e |- K = ( Base ` R ) $.
    evl1gsummon.w $e |- W = ( Poly1 ` R ) $.
    evl1gsummon.b $e |- B = ( Base ` W ) $.
    evl1gsummon.x $e |- X = ( var1 ` R ) $.
    evl1gsummon.h $e |- H = ( mulGrp ` R ) $.
    evl1gsummon.e $e |- E = ( .g ` H ) $.
    evl1gsummon.g $e |- G = ( mulGrp ` W ) $.
    evl1gsummon.p $e |- .^ = ( .g ` G ) $.
    evl1gsummon.t1 $e |- .X. = ( .s ` W ) $.
    evl1gsummon.t2 $e |- .x. = ( .r ` R ) $.
    evl1gsummon.r $e |- ( ph -> R e. CRing ) $.
    evl1gsummon.a $e |- ( ph -> A. x e. M A e. K ) $.
    evl1gsummon.m $e |- ( ph -> M C_ NN0 ) $.
    evl1gsummon.f $e |- ( ph -> M e. Fin ) $.
    evl1gsummon.n $e |- ( ph -> A. x e. M N e. NN0 ) $.
    evl1gsummon.c $e |- ( ph -> C e. K ) $.
    $( Value of a univariate polynomial evaluation mapping an additive group
       sum of a multiple of an exponentiation of a variable to a group sum of
       the multiple of the exponentiation of the evaluated variable.
       (Contributed by AV, 18-Sep-2019.) $)
    evl1gsummon $p |- ( ph
              -> ( ( Q ` ( W gsum ( x e. M |-> ( A .X. ( N .^ X ) ) ) ) ) ` C )
                 = ( R gsum ( x e. M |-> ( A .x. ( N E C ) ) ) ) ) $=
      ( co cmpt cgsu cfv cpws eqid cv wcel clmod csca cbs crg ccrg crngring syl
      ply1lmod adantr r19.21bi wceq ply1sca fveq2d syl5eq eleqtrd cmnd ply1ring
      cn0 ringmgp vr1cl mgpbas mulgnn0cl lmodvscl evl1gsumaddval evl1scvarpwval
      wa syl3anc mpteq2dva oveq2d eqtrd ) AEQBOCPRKUPZIUPZUQURUPFUSUSGBOEWOFUSU
      SZUQZURUPGBOCPEJUPHUPZUQZURUPABDEGNUTUPZFGNOQWOSTUAWTVAUBUJABVBOVCZWIZQVD
      VCZCQVEUSZVFUSZVCWNDVCZWODVCAXCXAAGVGVCZXCAGVHVCZXGUJGVIVJZQGUAVKVJVLXBCN
      XEACNVCBOUKVMZANXEVNXAANGVFUSXETAGXDVFAXHGXDVNUJQGVHUAVOVJVPVQVLVRXBLVSVC
      ZPWAVCZRDVCZXFAXKXAAQVGVCZXKAXGXNXIQGUAVTVJQLUFWBVJVLAXLBOUNVMZXBXGXMAXGX
      AXIVLDQGRUCUAUBWCVJDKLPRDQLUFUBWDUGWEWJCIXDXEDQWNUBXDVAUHXEVAWFWJULUMUOWG
      AWQWSGURABOWPWRXBCNEFGHIJKLMPQRSUAUFUCTUGAXHXAUJVLXOUHXJAENVCXAUOVLUDUEUI
      WHWKWLWM $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Matrices
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  According to Wikipedia ("Matrix (mathemetics)", 02-Apr-2019,
  ~ https://en.wikipedia.org/wiki/Matrix_(mathematics) ) "A matrix is a
  rectangular array of numbers or other mathematical objects for which
  operations such as addition and multiplication are defined.  Most commonly, a
  matrix over a field F is a rectangular array of scalars each of which is a
  member of F.  The numbers, symbols or expressions in the matrix are called
  its entries or its elements.  The horizontal and vertical lines of entries in
  a matrix are called rows and columns, respectively.", and in the definition
  of [Lang] p. 503 "By an m x n matrix in [a commutative ring] R one means a
  doubly indexed family of elements of R, (a_ij), (i= 1,..., m and j = 1,... n)
  ...  We call the elements a_ij the coefficients or components of the matrix.
  A 1 x n matrix is called a row vector (of dimension, or size, n) and a m x 1
  matrix is called a column vector (of dimension, or size, m).  In general, we
  say that (m,n) is the size of the matrix, ...".  In contrast to these
  definitions, we denote any free module over a (not necessarily commutative)
  ring (in the meaning of ~ df-frlm ) with a Cartesian product as index set as
  "matrix".  The two sets of the Cartesian product even need neither to be
  ordered or a range of (nonnegative/positive) integers nor finite.  By this,
  the addition and scalar multiplication for matrices correspond to the
  addition (see ~ frlmplusgval ) and scalar multiplication (see
  ~ frlmvscafval ) for free modules.  Actually, there is no definition for
  (arbitrary) matrices:  Even the (general) matrix multiplication can be
  defined using functions from Cartesian products into a ring (which are
  elements of the base set of free modules), see ~ df-mamu .  Thus, a statement
  like "Then the set of m x n matrices in R is a module (i.e., an R-module)" as
  in [Lang] p. 504 follows immediately from ~ frlmlmod .

  However, for square matrices there is Definition ~ df-mat , defining the
  algebras of square matrices (of the same size over the same ring), extending
  the structure of the corresponding free module by the matrix multiplication
  as ring multiplication.

  A "usual" matrix (a_ij), (i = 1,..., m and j = 1,... n) would be represented
  as an element of (the base set of)
  ` ( R freeLMod ( ( 1 ... m ) X. ( 1 ... n ) ) ) `
  and a square matrix (a_ij), (i = 1,..., n and j = 1,... n) would be
  represented as an element of (the base set of) ` ( ( 1 ... n ) Mat R ) ` .

  Finally, it should be mentioned that our definitions of matrices include the
  zero-dimensional cases, which are excluded from the definitions of many
  authors, e.g., in [Lang] p. 503.  It is shown in ~ mat0dimbas0 that the empty
  set is the sole zero-dimensional matrix (also called "empty matrix", see
  Wikipedia
  ~ https://en.wikipedia.org/wiki/Matrix_(mathematics)#Empty_matrices).
  Its determinant is the ring unit, see ~ mdet0fv0 .

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The matrix multiplication
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This section is about the multiplication of m x n matrices.

$)

  $c maMul $.

  $( Syntax for the matrix multiplication operator. $)
  cmmul $a class maMul $.

  ${
    $d i j k m n o p r x y $.
    $( The operator which multiplies an m x n matrix with an n x p matrix, see
       also the definition in [Lang] p. 504.  Note that it is not generally
       possible to recover the dimensions from the matrix, since all n x 0 and
       all 0 x n matrices are represented by the empty set.  (Contributed by
       Stefan O'Rear, 4-Sep-2015.) $)
    df-mamu $a |- maMul = ( r e. _V , o e. _V |-> [_ ( 1st ` ( 1st ` o ) ) /
        m ]_ [_ ( 2nd ` ( 1st ` o ) ) / n ]_ [_ ( 2nd ` o ) / p ]_ ( x e. ( (
        Base ` r ) ^m ( m X. n ) ) , y e. ( ( Base ` r ) ^m ( n X. p ) ) |->
        ( i e. m , k e. p |-> ( r gsum ( j e. n |-> ( ( i x j ) ( .r ` r ) ( j
        y k ) ) ) ) ) ) ) $.
  $}

  ${
    $d i j k m n o p r x y $.  $d i j k o r x y M $.  $d i j k o r x y N $.
    $d i j k o r x y P $.  $d i j k o r x y R $.  $d i j k x y X $.
    $d i j k x y Y $.  $d i j k o r x y ph $.  $d o r x y B $.
    $d o r x y i k .x. $.  $d i j k I $.  $d i j k K $.
    mamufval.f $e |- F = ( R maMul <. M , N , P >. ) $.
    mamufval.b $e |- B = ( Base ` R ) $.
    mamufval.t $e |- .x. = ( .r ` R ) $.
    mamufval.r $e |- ( ph -> R e. V ) $.
    mamufval.m $e |- ( ph -> M e. Fin ) $.
    mamufval.n $e |- ( ph -> N e. Fin ) $.
    mamufval.p $e |- ( ph -> P e. Fin ) $.
    $( Functional value of the matrix multiplication operator.  (Contributed by
       Stefan O'Rear, 2-Sep-2015.) $)
    mamufval $p |- ( ph -> F =
        ( x e. ( B ^m ( M X. N ) ) , y e. ( B ^m ( N X. P ) ) |->
            ( i e. M , k e. P |-> ( R gsum ( j e. N |->
                ( ( i x j ) .x. ( j y k ) ) ) ) ) ) ) $=
      ( vr vo vm vn vp cotp cmmul cxp cmap cmpt cgsu cmpo cvv c1st cfv c2nd cbs
      co cv cmulr csb wceq df-mamu a1i wa fvex eqidd xpeq2 oveq2d id mpoeq123dv
      csbie xpeq12 xpeq1d adantr mpteq12dv syl5eq csbie2 simprl fveq2d ad2antll
      simpr eqtr4di fveq2 cfn wcel ot1stg syl3anc ot2ndg xpeq12d oveq12d ot3rdg
      eqtrd syl oveqd elexd otex ovex mpoex ovmpod ) AKFLMEUGZUHUSBCDLMUIZUJUSZ
      DMEUIZUJUSZHJLEFIMHUTIUTZBUTUSZXGJUTCUTUSZGUSZUKZULUSZUMZUMZOAUBUCFXBUNUN
      UDUCUTZUOUPZUOUPZUEXPUQUPZUFXOUQUPZBCUBUTZURUPZUDUTZUEUTZUIZUJUSZYAYCUFUT
      ZUIZUJUSZHJYBYFXTIYCXHXIXTVAUPZUSZUKZULUSZUMZUMZVBZVBVBZXNUHUNUHUBUCUNUNY
      PUMVCABCHIJUDUEUCUBUFVDVEAXTFVCZXOXBVCZVFZVFZYPBCYAXQXRUIZUJUSZYAXRXSUIZU
      JUSZHJXQXSXTIXRYJUKZULUSZUMZUMZXNUDUEXQXRYOUUHXPUOVGXPUQVGYBXQVCZYCXRVCZV
      FZYOBCYEYAYCXSUIZUJUSZHJYBXSYLUMZUMZUUHUFXSYNUUOXOUQVGYFXSVCZBCYEYHYMYEUU
      MUUNUUPYEVHUUPYGUULYAUJYFXSYCVIVJUUPHJYBYFYLYBXSYLUUPYBVHUUPVKUUPYLVHVLVL
      VMUUKBCYEUUMUUNUUBUUDUUGUUKYDUUAYAUJYBXQYCXRVNVJUUKUULUUCYAUJUUKYCXRXSUUI
      UUJWCZVOVJUUKHJYBXSYLXQXSUUFUUIUUIUUJUUIVKVPUUKXSVHUUKYKUUEXTULUUKIYCYJXR
      YJUUQUUKYJVHVQVJVLVLVRVSYTBCUUBUUDUUGXDXFXMYTYADUUAXCUJYTYAFURUPDYTXTFURA
      YQYRVTZWAPWDZYTXQLXRMYTXQXBUOUPZUOUPZLYRXQUVAVCAYQYRXPUUTUOXOXBUOWEZWAWBA
      UVALVCZYSALWFWGZMWFWGZEWFWGZUVCSTUALMEWFWFWFWHWIVPWNZYTXRUUTUQUPZMYRXRUVH
      VCAYQYRXPUUTUQUVBWAWBAUVHMVCZYSAUVDUVEUVFUVISTUALMEWFWFWFWJWIVPWNZWKWLYTY
      ADUUCXEUJUUSYTXRMXSEUVJYTXSXBUQUPZEYRXSUVKVCAYQXOXBUQWEWBAUVKEVCZYSAUVFUV
      LUALMEWFWMWOVPWNZWKWLYTHJXQXSUUFLEXLUVGUVMYTXTFUUEXKULUURYTIXRYJMXJUVJYTY
      IGXHXIYTYIFVAUPGYTXTFVAUURWAQWDWPVQWLVLVLVRAFNRWQXBUNWGALMEWRVEXNUNWGABCX
      DXFXMDXCUJWSDXEUJWSWTVEXAVR $.

    mamuval.x $e |- ( ph -> X e. ( B ^m ( M X. N ) ) ) $.
    mamuval.y $e |- ( ph -> Y e. ( B ^m ( N X. P ) ) ) $.
    $( Multiplication of two matrices.  (Contributed by Stefan O'Rear,
       2-Sep-2015.) $)
    mamuval $p |- ( ph -> ( X F Y ) = ( i e. M ,
            k e. P |-> ( R gsum ( j e. N |->
                ( ( i X j ) .x. ( j Y k ) ) ) ) ) ) $=
      ( vx vy cxp cmap co cv cmpt cgsu cmpo cvv mamufval wceq wa oveq oveqan12d
      adantl mpteq2dv oveq2d mpoeq3dv cfn wcel mpoexga syl2anc ovmpod ) AUDUEMN
      BJKUFUGUHBKCUFUGUHFHJCDGKFUIZGUIZUDUIZUHZVIHUIZUEUIZUHZEUHZUJZUKUHZULFHJC
      DGKVHVIMUHZVIVLNUHZEUHZUJZUKUHZULZIUMAUDUEBCDEFGHIJKLOPQRSTUAUNAVJMUOZVMN
      UOZUPZUPZFHJCVQWBWGVPWADUKWGGKVOVTWFVOVTUOAWDWEVKVRVNVSEVHVIVJMUQVIVLVMNU
      QURUSUTVAVBUBUCAJVCVDCVCVDWCUMVDSUAFHJCWBVCVCVEVFVG $.

    mamufv.i $e |- ( ph -> I e. M ) $.
    mamufv.k $e |- ( ph -> K e. P ) $.
    $( A cell in the multiplication of two matrices.  (Contributed by Stefan
       O'Rear, 2-Sep-2015.) $)
    mamufv $p |- ( ph -> ( I ( X F Y ) K ) = ( R gsum ( j e. N |->
        ( ( I X j ) .x. ( j Y K ) ) ) ) ) $=
      ( vi vk cv co cmpt cgsu cvv mamuval oveq1 oveq2 oveqan12d adantl mpteq2dv
      wceq wa oveq2d ovexd ovmpod ) AUFUGHIJCDFKUFUHZFUHZMUIZVEUGUHZNUIZEUIZUJZ
      UKUIDFKHVEMUIZVEINUIZEUIZUJZUKUIMNGUIULABCDEUFFUGGJKLMNOPQRSTUAUBUCUMAVDH
      USZVGIUSZUTZUTZVJVNDUKVRFKVIVMVQVIVMUSAVOVPVFVKVHVLEVDHVEMUNVGIVENUOUPUQU
      RVAUDUEADVNUKVBVC $.
  $}

  ${
    $d M i j k x y $.  $d N i j k x y $.  $d P i j k x y $.  $d R i j k x y $.
    $d V i j k x y $.
    mamudm.e $e |- E = ( R freeLMod ( M X. N ) ) $.
    mamudm.b $e |- B = ( Base ` E ) $.
    mamudm.f $e |- F = ( R freeLMod ( N X. P ) ) $.
    mamudm.c $e |- C = ( Base ` F ) $.
    mamudm.m $e |- .X. = ( R maMul <. M , N , P >. ) $.
    $( The domain of the matrix multiplication function.  (Contributed by AV,
       10-Feb-2019.) $)
    mamudm $p |- ( ( R e. V /\ ( M e. Fin /\ N e. Fin /\ P e. Fin ) )
                   -> dom .X. = ( B X. C ) ) $=
      ( vx vy wcel cfn co vi vk vj w3a wa cdm cbs cfv cmap cmulr cmpt cgsu cmpo
      cxp cv eqid simpl simpr1 simpr2 simpr3 mamufval dmeqd cvv mpoexga 3adant2
      wral wceq adantl a1d ralrimivv dmmpoga syl xpfi 3adant3 frlmfibas eqtr4di
      sylan2 3adant1 xpeq12d 3eqtrd ) DJRZHSRZISRZCSRZUDZUEZEUFPQDUGUHZHIUNZUIT
      ZWGICUNZUITZUAUBHCDUCIUAUOUCUOZPUOZTWLUBUOQUOZTDUJUHZTUKULTZUMZUMZUFZWIWK
      UNZABUNWFEWRWFPQWGCDWOUAUCUBEHIJOWGUPZWOUPWAWEUQWAWBWCWDURWAWBWCWDUSWAWBW
      CWDUTVAVBWFWQVCRZQWKVFPWIVFWSWTVGWFXBPQWIWKWFXBWMWIRWNWKRUEWEXBWAWBWDXBWC
      UAUBHCWPSSVDVEVHVIVJPQWIWKWQWRVCWRUPVKVLWFWIAWKBWFWIFUGUHZAWEWAWHSRZWIXCV
      GWBWCXDWDHIVMVNDFWHWGJKXAVOVQLVPWFWKGUGUHZBWEWAWJSRZWKXEVGWCWDXFWBICVMVRD
      GWJWGJMXAVOVQNVPVSVT $.

    mamufacex.g $e |- G = ( R freeLMod ( M X. P ) ) $.
    mamufacex.d $e |- D = ( Base ` G ) $.
    $( Every solution of the equation ` A * X = B ` for matrices ` A ` and
       ` B ` is a matrix.  (Contributed by AV, 10-Feb-2019.) $)
    mamufacex $p |- ( ( ( M =/= (/) /\ P =/= (/) ) /\ ( R e. V /\ Y e. D )
                        /\ ( M e. Fin /\ N e. Fin /\ P e. Fin ) )
                      -> ( ( X .X. Z ) = Y -> Z e. C ) ) $=
      ( wcel c0 wne wa cfn w3a co wceq wi 2a1 wn cdm cxp mamudm adantlr 3adant1
      simpl intnand ndmovg syl2an2 xpfi 3adant2 xpnz biimpi cbs cfv elfrlmbasn0
      eqeq1 eqid syl2an com13 adantl 3imp21 eqneqall syl5com com12 eqcoms com23
      ex syl6bi mpcom pm2.61i ) OBUCZJUDUEDUDUEUFZELUCZNCUCZUFZJUGUCZKUGUCZDUGU
      CZUHZUHZMOFUIZNUJZWEUKZUKWEWNWPULWEUMZWNWQWOUDUJZWRWNUFZWQWNFUNABUOUJZWRM
      AUCZWEUFUMWSWIWMXAWFWGWMXAWHABDEFGHJKLPQRSTUPUQURWTWEXBWRWNUSUTMOABFVAVBW
      SWPWTWEWSWPUDNUJWTWEUKZWOUDNVJXCNUDWTNUDUJZWEWNXDWEUKWRWNNUDUEZXDWEWIWFWM
      XEWHWFWMXEUKUKWGWMWFWHXEWMWFWHXEUKZWMJDUOZUGUCZXGUDUEZXFWFWJWLXHWKJDVCVDW
      FXIJDVEVFCEIXGEVGVHZUGNUAXJVKUBVIVLWAVMVNVOWENUDVPVQVNVRVSWBVTWCWAWD $.
  $}

  ${
    $d F i j k $.  $d G i j k $.  $d I i j k $.  $d M i j k $.  $d N i j k $.
    $d P i j k $.  $d B i j k $.  $d R i j k $.  $d V i j k $.  $d X i j k $.
    $d Y i j k $.  $d ph i j k $.
    mamures.f $e |- F = ( R maMul <. M , N , P >. ) $.
    mamures.g $e |- G = ( R maMul <. I , N , P >. ) $.
    mamures.b $e |- B = ( Base ` R ) $.
    mamures.r $e |- ( ph -> R e. V ) $.
    mamures.m $e |- ( ph -> M e. Fin ) $.
    mamures.n $e |- ( ph -> N e. Fin ) $.
    mamures.p $e |- ( ph -> P e. Fin ) $.
    mamures.i $e |- ( ph -> I C_ M ) $.
    mamures.x $e |- ( ph -> X e. ( B ^m ( M X. N ) ) ) $.
    mamures.y $e |- ( ph -> Y e. ( B ^m ( N X. P ) ) ) $.
    $( Rows in a matrix product are functions only of the corresponding rows in
       the left argument.  (Contributed by SO, 9-Jul-2018.) $)
    mamures $p |- ( ph -> ( ( X F Y ) |` ( I X. P ) ) =
        ( ( X |` ( I X. N ) ) G Y ) ) $=
      ( vi vj vk cv co cmulr cfv cmpt cgsu cmpo cxp cres wss wceq ssidd syl2anc
      resmpo w3a ovres 3ad2antl2 eqcomd oveq1d mpteq2dva oveq2d mpoeq3dva eqtrd
      wcel wa eqid mamuval reseq1d ssfid cmap wf elmapi syl fssresd cvv cfn cbs
      xpss1 fvexi a1i xpfi elmapd mpbird 3eqtr4d ) AUCUDHCDUEIUCUFZUEUFZKUGZWKU
      DUFZLUGZDUHUIZUGZUJZUKUGZULZGCUMZUNZUCUDGCDUEIWJWKKGIUMZUNZUGZWNWOUGZUJZU
      KUGZULZKLEUGZWTUNXCLFUGAXAUCUDGCWRULZXHAGHUOZCCUOXAXJUPTACUQUCUDHCGCWRUSU
      RAUCUDGCWRXGAWJGVIZWMCVIZUTZWQXFDUKXNUEIWPXEXNWKIVIZVJZWLXDWNWOXPXDWLXLAX
      OXDWLUPXMWJWKGIKVAVBVCVDVEVFVGVHAXIWSWTABCDWOUCUEUDEHIJKLMOWOVKZPQRSUAUBV
      LVMABCDWOUCUEUDFGIJXCLNOXQPAHGQTVNZRSAXCBXBVOUGVIXBBXCVPAHIUMZBXBKAKBXSVO
      UGVIXSBKVPUAKBXSVQVRAXKXBXSUOTGHIWCVRVSABXBXCVTWABVTVIABDWBOWDWEAGWAVIIWA
      VIXBWAVIXRRGIWFURWGWHUBVLWI $.
  $}

  ${
    $d x y B $.  $d x y I $.  $d x y M $.  $d x y .+ $.  $d x y X $.
    $d x y Y $.
    mndvcl.b $e |- B = ( Base ` M ) $.
    mndvcl.p $e |- .+ = ( +g ` M ) $.
    $( Tuple-wise additive closure in monoids.  (Contributed by Stefan O'Rear,
       5-Sep-2015.) $)
    mndvcl $p |- ( ( M e. Mnd /\ X e. ( B ^m I ) /\ Y e. ( B ^m I ) ) ->
        ( X oF .+ Y ) e. ( B ^m I ) ) $=
      ( vx vy cmnd wcel cmap co w3a wf cvv cv elmapi 3ad2ant2 wa mndcl 3ad2ant3
      cof 3expb 3ad2antl1 elmapex simprd inidm off wb cbs elmapg sylancr mpbird
      fvexi ) DKLZEACMNZLZFURLZOZEFBUDNZURLZCAVBPZVAIJCCCBAAAEFQQUQUSIRZALZJRZA
      LZUAVEVGBNALZUTUQVFVHVIABDVEVGGHUBUEUFUSUQCAEPUTEACSTUTUQCAFPUSFACSUCUSUQ
      CQLZUTUSAQLZVJEACUGUHTZVLCUIUJVAVKVJVCVDUKADULGUPVLACVBQQUMUNUO $.

    $d x y z B $.  $d x y z I $.  $d x y z M $.  $d x y z .+ $.  $d x y z X $.
    $d x y z Y $.  $d x y z Z $.  $d x .0. $.
    $( Tuple-wise associativity in monoids.  (Contributed by Stefan O'Rear,
       5-Sep-2015.) $)
    mndvass $p |- ( ( M e. Mnd /\ ( X e. ( B ^m I ) /\ Y e. ( B ^m I ) /\
            Z e. ( B ^m I ) ) ) ->
        ( ( X oF .+ Y ) oF .+ Z ) = ( X oF .+ ( Y oF .+ Z ) ) ) $=
      ( vx vy vz wcel co w3a cvv adantl wf elmapi cv cmnd cmap elmapex 3ad2ant1
      wa simprd 3ad2ant2 3ad2ant3 wceq mndass adantlr caofass ) DUAMZEACUBNZMZF
      UNMZGUNMZOZUEJKLCBBABEFGBPURCPMZUMUOUPUSUQUOAPMUSEACUCUFUDQURCAERZUMUOUPU
      TUQEACSUDQURCAFRZUMUPUOVAUQFACSUGQURCAGRZUMUQUOVBUPGACSUHQUMJTZAMKTZAMLTZ
      AMOVCVDBNVEBNVCVDVEBNBNUIURABDVCVDVEHIUJUKUL $.

    mndvlid.z $e |- .0. = ( 0g ` M ) $.
    $( Tuple-wise left identity in monoids.  (Contributed by Stefan O'Rear,
       5-Sep-2015.) $)
    mndvlid $p |- ( ( M e. Mnd /\ X e. ( B ^m I ) ) ->
        ( ( I X. { .0. } ) oF .+ X ) = X ) $=
      ( vx cmnd wcel cmap co wa cvv elmapex simprd adantl wf elmapi adantr wceq
      mndidcl cv mndlid adantlr caofid0l ) DKLZEACMNLZOJCFBAEPAUJCPLZUIUJAPLUKE
      ACQRSUJCAETUIEACUASUIFALUJADFGIUDUBUIJUEZALFULBNULUCUJABDULFGHIUFUGUH $.

    $( Tuple-wise right identity in monoids.  (Contributed by Stefan O'Rear,
       5-Sep-2015.) $)
    mndvrid $p |- ( ( M e. Mnd /\ X e. ( B ^m I ) ) ->
        ( X oF .+ ( I X. { .0. } ) ) = X ) $=
      ( vx cmnd wcel cmap co wa cvv elmapex simprd adantl wf elmapi adantr wceq
      mndidcl cv mndrid adantlr caofid0r ) DKLZEACMNLZOJCFBAEPAUJCPLZUIUJAPLUKE
      ACQRSUJCAETUIEACUASUIFALUJADFGIUDUBUIJUEZALULFBNULUCUJABDULFGHIUFUGUH $.
  $}

  ${
    $d x y B $.  $d x y G $.  $d x y I $.  $d x y N $.  $d x y .+ $.
    $d x y X $.  $d x y .0. $.
    grpvlinv.b $e |- B = ( Base ` G ) $.
    grpvlinv.p $e |- .+ = ( +g ` G ) $.
    grpvlinv.n $e |- N = ( invg ` G ) $.
    grpvlinv.z $e |- .0. = ( 0g ` G ) $.
    $( Tuple-wise left inverse in groups.  (Contributed by Stefan O'Rear,
       5-Sep-2015.) $)
    grpvlinv $p |- ( ( G e. Grp /\ X e. ( B ^m I ) ) ->
        ( ( N o. X ) oF .+ X ) = ( I X. { .0. } ) ) $=
      ( vy vx wcel co cvv adantl wf adantr cfv cgrp cmap wa ccom elmapex simprd
      elmapi grpidcl grpinvf cmpt wceq fcompt syl2an grplinv adantlr caofinvl
      cv ) CUANZFADUBONZUCLMDGBAFEFUDZEPAUSDPNZURUSAPNVAFADUEUFQUSDAFRZURFADUGZ
      QURGANUSACGHKUHSURAAERZUSACEHJUIZSURVDVBUTMDMUQFTETUJUKUSVEVCMEFDAAULUMUR
      LUQZANVFETVFBOGUKUSABCEVFGHIKJUNUOUP $.

    $( Tuple-wise right inverse in groups.  (Contributed by Mario Carneiro,
       22-Sep-2015.) $)
    grpvrinv $p |- ( ( G e. Grp /\ X e. ( B ^m I ) ) ->
        ( X oF .+ ( N o. X ) ) = ( I X. { .0. } ) ) $=
      ( vx wcel co wa cfv cmpt wceq wf cvv cgrp cmap cv ccom cof csn cxp simpll
      elmapi adantl ffvelrnda grprinv syl2anc mpteq2dva elmapex feqmptd grpinvf
      simprd fvexd fcompt syl2an offval2 fconstmpt a1i 3eqtr4d ) CUAMZFADUBNMZO
      ZLDLUCZFPZVJEPZBNZQLDGQZFEFUDZBUENDGUFUGZVHLDVLGVHVIDMZOZVFVJAMVLGRVFVGVP
      UHVHDAVIFVGDAFSZVFFADUIZUJZUKZABCEVJGHIKJULUMUNVHLDVJVKBFVNTATVGDTMZVFVGA
      TMWBFADUOURUJWAVQVJEUSVHLDAFVTUPVFAAESVRVNLDVKQRVGACEHJUQVSLEFDAAUTVAVBVO
      VMRVHLDGVCVDVE $.
  $}

  ${
    $d y z B $.  $d y z F $.  $d y I $.  $d y M $.  $d y N $.  $d y z .+ $.
    $d y .+^ $.  $d y z X $.  $d y z Y $.
    mhmvlin.b $e |- B = ( Base ` M ) $.
    mhmvlin.p $e |- .+ = ( +g ` M ) $.
    mhmvlin.q $e |- .+^ = ( +g ` N ) $.
    $( Tuple extension of monoid homomorphisms.  (Contributed by Stefan O'Rear,
       5-Sep-2015.) $)
    mhmvlin $p |- ( ( F e. ( M MndHom N ) /\ X e. ( B ^m I ) /\
          Y e. ( B ^m I ) ) -> ( F o. ( X oF .+ Y ) ) =
          ( ( F o. X ) oF .+^ ( F o. Y ) ) ) $=
      ( vy vz co wcel cfv cmpt ccom cvv cmhm cmap w3a cv cof wceq simpl1 elmapi
      wa wf 3ad2ant2 ffvelrnda 3ad2ant3 mhmlin syl3anc mpteq2dva mhmrcl1 adantr
      cmnd 3ad2antl1 mndcl elmapex feqmptd offval2 cbs eqid mhmf 3ad2ant1 fveq2
      simprd fmptco fvexd fcompt syl2anc 3eqtr4d ) DFGUAOPZHAEUBOZPZIVQPZUCZMEM
      UDZHQZWAIQZBOZDQZRMEWBDQZWCDQZCOZRDHIBUEOZSDHSZDISZCUEOVTMEWEWHVTWAEPZUIZ
      VPWBAPZWCAPZWEWHUFVPVRVSWLUGVTEAWAHVRVPEAHUJZVSHAEUHUKZULZVTEAWAIVSVPEAIU
      JZVRIAEUHUMZULZABCFGDWBWCJKLUNUOUPVTMNEAWDNUDZDQWEWIDWMFUSPZWNWOWDAPVPVRW
      LXCVSVPXCWLFGDUQURUTWRXAABFWBWCJKVAUOVTMEWBWCBHITAAVSVPETPZVRVSATPXDIAEVB
      VJUMZWRXAVTMEAHWQVCVTMEAIWTVCVDVTNAGVEQZDVPVRAXFDUJZVSAXFFGDJXFVFVGVHZVCX
      BWDDVIVKVTMEWFWGCWJWKTTTXEWMWBDVLWMWCDVLVTXGWPWJMEWFRUFXHWQMDHEAXFVMVNVTX
      GWSWKMEWGRUFXHWTMDIEAXFVMVNVDVO $.
  $}

  ${
    ringvcl.b $e |- B = ( Base ` R ) $.
    ringvcl.t $e |- .x. = ( .r ` R ) $.
    $( Tuple-wise multiplication closure in monoids.  (Contributed by Stefan
       O'Rear, 5-Sep-2015.) $)
    ringvcl $p |- ( ( R e. Ring /\ X e. ( B ^m I ) /\ Y e. ( B ^m I ) ) ->
        ( X oF .x. Y ) e. ( B ^m I ) ) $=
      ( crg wcel cmgp cfv cmnd cmap co cof eqid ringmgp mgpbas mgpplusg syl3an1
      mndvcl ) BIJBKLZMJEADNOZJFUDJEFCPOUDJBUCUCQZRACDUCEFABUCUEGSBCUCUEHTUBUA
      $.
  $}

  ${
    mamucl.b $e |- B = ( Base ` R ) $.
    mamucl.r $e |- ( ph -> R e. Ring ) $.

    ${
      $d i j k B $.  $d i j k M $.  $d i j k N $.  $d i j k P $.  $d i j k R $.
      $d i j k X $.  $d i j k Y $.  $d i j k ph $.
      mamucl.f $e |- F = ( R maMul <. M , N , P >. ) $.
      mamucl.m $e |- ( ph -> M e. Fin ) $.
      mamucl.n $e |- ( ph -> N e. Fin ) $.
      mamucl.p $e |- ( ph -> P e. Fin ) $.
      mamucl.x $e |- ( ph -> X e. ( B ^m ( M X. N ) ) ) $.
      mamucl.y $e |- ( ph -> Y e. ( B ^m ( N X. P ) ) ) $.
      $( Operation closure of matrix multiplication.  (Contributed by Stefan
         O'Rear, 2-Sep-2015.)  (Proof shortened by AV, 23-Jul-2019.) $)
      mamucl $p |- ( ph -> ( X F Y ) e. ( B ^m ( M X. P ) ) ) $=
        ( vi co wcel vk vj cv cfv cmpt cgsu cmpo cxp cmap crg eqid mamuval wral
        cmulr wa ringcmn syl adantr cfn ad2antrr wf elmapi simplrl simpr fovrnd
        ccmn simplrr ringcl syl3anc ralrimiva gsummptcl ralrimivva fmpo cvv cbs
        wb fvexi xpfi syl2anc elmapg sylancr bitr4id mpbid eqeltrd ) AHIESRUAFC
        DUBGRUCZUBUCZHSZWFUAUCZISZDUNUDZSZUEUFSZUGZBFCUHZUISZABCDWJRUBUAEFGUJHI
        LJWJUKZKMNOPQULAWLBTZUACUMRFUMZWMWOTZAWQRUAFCAWEFTZWHCTZUOZUOZBUBDGWKJA
        DVFTZXBADUJTZXDKDUPUQURAGUSTXBNURXCWKBTZUBGXCWFGTZUOZXEWGBTWIBTXFAXEXBX
        GKUTXHWEWFBFGHAFGUHZBHVAZXBXGAHBXIUISTXJPHBXIVBUQUTAWTXAXGVCXCXGVDZVEXH
        WFWHBGCIAGCUHZBIVAZXBXGAIBXLUISTXMQIBXLVBUQUTXKAWTXAXGVGVEBDWJWGWIJWPVH
        VIVJVKVLAWRWNBWMVAZWSRUAFCWLBWMWMUKVMABVNTWNUSTZWSXNVPBDVOJVQAFUSTCUSTX
        OMOFCVRVSBWNWMVNUSVTWAWBWCWD $.
    $}

    ${
      $d i j k l M $.  $d i j k F $.  $d i k G $.  $d i k H $.  $d i k l I $.
      $d i j k l P $.  $d i j k l X $.  $d i j k l Y $.  $d i j k l Z $.
      $d i j k l ph $.  $d j l B $.  $d j l N $.  $d j l O $.  $d j l R $.
      mamuass.m $e |- ( ph -> M e. Fin ) $.
      mamuass.n $e |- ( ph -> N e. Fin ) $.
      mamuass.o $e |- ( ph -> O e. Fin ) $.
      mamuass.p $e |- ( ph -> P e. Fin ) $.
      mamuass.x $e |- ( ph -> X e. ( B ^m ( M X. N ) ) ) $.
      mamuass.y $e |- ( ph -> Y e. ( B ^m ( N X. O ) ) ) $.
      mamuass.z $e |- ( ph -> Z e. ( B ^m ( O X. P ) ) ) $.
      mamuass.f $e |- F = ( R maMul <. M , N , O >. ) $.
      mamuass.g $e |- G = ( R maMul <. M , O , P >. ) $.
      mamuass.h $e |- H = ( R maMul <. M , N , P >. ) $.
      mamuass.i $e |- I = ( R maMul <. N , O , P >. ) $.
      $( Matrix multiplication is associative, see also statement in [Lang]
         p. 505.  (Contributed by Stefan O'Rear, 5-Sep-2015.) $)
      mamuass $p |- ( ph -> ( ( X F Y ) G Z ) = ( X H ( Y I Z ) ) ) $=
        ( vi vk vj vl co wceq cv wral wcel cmulr cfv cmpt cgsu ccmn crg ringcmn
        wa syl adantr cfn ad2antrr cxp cmap elmapi simplrl simpr fovrnd adantrl
        wf simprr simprl simplrr adantrr ringcl gsumcom3fi mamufv oveq1d cplusg
        eqid syl3anc c0g anassrs cvv ovexd fvexd fsuppmptdm gsummulc1 mpteq2dva
        ringass syl13anc oveq2d 3eqtr2d gsummulc2 eqtr4d 3eqtr4d ralrimivva wfn
        anass1rs mamucl wb ffn 3syl eqfnov2 syl2anc mpbird ) ALMEULZNFULZLMNHUL
        ZGULZUMZUHUNZUIUNZXNULZXRXSXPULZUMZUICUOUHIUOZAYBUHUIICAXRIUPZXSCUPZVDZ
        VDZDUJKXRUJUNZXMULZYHXSNULZDUQURZULZUSZUTULZDUKJXRUKUNZLULZYOXSXOULZYKU
        LZUSZUTULZXTYAYGDUJKDUKJYPYOYHMULZYJYKULZYKULZUSZUTULZUSZUTULDUKJDUJKUU
        CUSUTULZUSZUTULYNYTYGKBJUJUKDUUCOADVAUPZYFADVBUPZUUIPDVCVEVFAKVGUPZYFSV
        FZAJVGUPZYFRVFZYGYHKUPZYOJUPZVDZVDZUUJYPBUPZUUBBUPZUUCBUPAUUJYFUUQPVHZY
        GUUPUUSUUOYGUUPVDZXRYOBIJLAIJVIZBLVPZYFUUPALBUVCVJULUPZUVDUALBUVCVKVEVH
        AYDYEUUPVLYGUUPVMZVNZVOZUURUUJUUABUPZYJBUPZUUTUVAUURYOYHBJKMAJKVIZBMVPZ
        YFUUQAMBUVKVJULUPZUVLUBMBUVKVKVEVHYGUUOUUPVQYGUUOUUPVRVNZYGUUOUVJUUPYGU
        UOVDZYHXSBKCNAKCVIZBNVPZYFUUOANBUVPVJULUPZUVQUCNBUVPVKVEVHYGUUOVMZAYDYE
        UUOVSVNZVTZBDYKUUAYJOYKWFZWAWGZBDYKYPUUBOUWBWAWGWBYGYMUUFDUTYGUJKYLUUEU
        VOYLDUKJYPUUAYKULZUSZUTULZYJYKULDUKJUWDYJYKULZUSZUTULUUEUVOYIUWFYJYKUVO
        BKDYKUKEXRYHIJVBLMUDOUWBAUUJYFUUOPVHZAIVGUPZYFUUOQVHAUUMYFUUORVHZAUUKYF
        UUOSVHAUVEYFUUOUAVHAUVMYFUUOUBVHAYDYEUUOVLUVSWCWDUVOJBDWEURZDYKUKVGUWDY
        JDWHURZOUWMWFZUWLWFZUWBUWIUWKUVTYGUUOUUPUWDBUPZUURUUJUUSUVIUWPUVAUVHUVN
        BDYKYPUUAOUWBWAWGWIUVOUKJUWEWJWJUWDUWMUWEWFUWKUVOUUPVDYPUUAYKWKUVODWHWL
        WMWNUVOUWHUUDDUTUVOUKJUWGUUCYGUUOUUPUWGUUCUMZUURUUJUUSUVIUVJUWQUVAUVHUV
        NUWABDYKYPUUAYJOUWBWPWQWIWOWRWSWOWRYGYSUUHDUTYGUKJYRUUGUVBYRYPDUJKUUBUS
        ZUTULZYKULUUGUVBYQUWSYPYKUVBBCDYKUJHYOXSJKVBMNUGOUWBAUUJYFUUPPVHZAUUMYF
        UUPRVHAUUKYFUUPSVHZACVGUPZYFUUPTVHAUVMYFUUPUBVHAUVRYFUUPUCVHUVFAYDYEUUP
        VSWCWRUVBKBUWLDYKUJVGUUBYPUWMOUWNUWOUWBUWTUXAUVGYGUUOUUPUUTUWCXEUVBUJKU
        WRWJWJUUBUWMUWRWFUXAUVBUUOVDUUAYJYKWKUVBDWHWLWMWTXAWOWRXBYGBCDYKUJFXRXS
        IKVBXMNUEOUWBAUUJYFPVFZAUWJYFQVFZUULAUXBYFTVFZAXMBIKVIVJULUPYFABKDEIJLM
        OPUDQRSUAUBXFZVFAUVRYFUCVFAYDYEVRZAYDYEVQZWCYGBCDYKUKGXRXSIJVBLXOUFOUWB
        UXCUXDUUNUXEAUVEYFUAVFAXOBJCVIVJULUPYFABCDHJKMNOPUGRSTUBUCXFZVFUXGUXHWC
        XBXCAXNICVIZXDZXPUXJXDZXQYCXGAXNBUXJVJULZUPUXJBXNVPUXKABCDFIKXMNOPUEQST
        UXFUCXFXNBUXJVKUXJBXNXHXIAXPUXMUPUXJBXPVPUXLABCDGIJLXOOPUFQRTUAUXIXFXPB
        UXJVKUXJBXPXHXIUHUIICXNXPXJXKXL $.
    $}

    ${
      mamudi.f $e |- F = ( R maMul <. M , N , O >. ) $.
      mamudi.m $e |- ( ph -> M e. Fin ) $.
      mamudi.n $e |- ( ph -> N e. Fin ) $.
      mamudi.o $e |- ( ph -> O e. Fin ) $.

      ${
        $d i j k .+ $.  $d j B $.  $d i j k M $.  $d i j k O $.  $d i j k ph $.
        $d i k F $.  $d j N $.  $d i j k X $.  $d i j k Y $.  $d i j k Z $.
        $d j R $.
        mamudi.p $e |- .+ = ( +g ` R ) $.
        mamudi.x $e |- ( ph -> X e. ( B ^m ( M X. N ) ) ) $.
        mamudi.y $e |- ( ph -> Y e. ( B ^m ( M X. N ) ) ) $.
        mamudi.z $e |- ( ph -> Z e. ( B ^m ( N X. O ) ) ) $.
        $( Matrix multiplication distributes over addition on the left.
           (Contributed by Stefan O'Rear, 5-Sep-2015.)  (Proof shortened by AV,
           23-Jul-2019.) $)
        mamudi $p |- ( ph -> ( ( X oF .+ Y ) F Z ) =
            ( ( X F Z ) oF .+ ( Y F Z ) ) ) $=
          ( vi vk vj cof co wceq cv wral wcel wa cfv cmpt cgsu ccmn crg ringcmn
          cmulr syl adantr cfn ad2antrr cxp wf cmap elmapi simplrl simpr fovrnd
          simplrr eqid ringcl syl3anc gsummptfidmadd2 cop wfn 3syl xpfi syl2anc
          opelxpi adantlr adantll fnfvof syl22anc df-ov oveq12i 3eqtr4g ringdir
          ffn oveq1d syl13anc eqtrd mpteq2dva eqidd eqtr4d oveq2d simprl simprr
          offval2 mamufv oveq12d 3eqtr4d cmnd ringmnd mndvcl ralrimivva eqfnov2
          mamucl adantl wb mpbird ) AIJCUEZUFZKEUFZIKEUFZJKEUFZXLUFZUGZUBUHZUCU
          HZXNUFZXSXTXQUFZUGZUCHUIUBFUIZAYCUBUCFHAXSFUJZXTHUJZUKZUKZDUDGXSUDUHZ
          XMUFZYIXTKUFZDURULZUFZUMZUNUFZXSXTXOUFZXSXTXPUFZCUFZYAYBYHDUDGXSYIIUF
          ZYKYLUFZUMZUDGXSYIJUFZYKYLUFZUMZXLUFZUNUFDUUAUNUFZDUUDUNUFZCUFYOYRYHU
          DGBYTUUCCUUADUUDLRADUOUJZYGADUPUJZUUHMDUQUSUTAGVAUJZYGPUTZYHYIGUJZUKZ
          UUIYSBUJZYKBUJZYTBUJAUUIYGUULMVBZUUMXSYIBFGIAFGVCZBIVDZYGUULAIBUUQVEU
          FZUJZUURSIBUUQVFZUSVBAYEYFUULVGZYHUULVHZVIZUUMYIXTBGHKAGHVCZBKVDZYGUU
          LAKBUVEVEUFUJZUVFUAKBUVEVFUSVBUVCAYEYFUULVJVIZBDYLYSYKLYLVKZVLVMZUUMU
          UIUUBBUJZUUOUUCBUJUUPUUMXSYIBFGJAUUQBJVDZYGUULAJUUSUJZUVLTJBUUQVFZUSV
          BUVBUVCVIZUVHBDYLUUBYKLUVIVLVMZUUAVKUUDVKVNYHYNUUEDUNYHYNUDGYTUUCCUFZ
          UMUUEYHUDGYMUVQUUMYMYSUUBCUFZYKYLUFZUVQUUMYJUVRYKYLUUMXSYIVOZXMULZUVT
          IULZUVTJULZCUFZYJUVRUUMIUUQVPZJUUQVPZUUQVAUJZUVTUUQUJZUWAUWDUGUUMUUTU
          URUWEAUUTYGUULSVBUVAUUQBIWIVQUUMUVMUVLUWFAUVMYGUULTVBUVNUUQBJWIVQAUWG
          YGUULAFVAUJZUUJUWGOPFGVRVSVBYGUULUWHAYEUULUWHYFXSYIFGVTWAWBUUQCIJVAUV
          TWCWDXSYIXMWEYSUWBUUBUWCCXSYIIWEXSYIJWEWFWGWJUUMUUIUUNUVKUUOUVSUVQUGU
          UPUVDUVOUVHBCDYLYSUUBYKLRUVIWHWKWLWMYHUDGYTUUCCUUAUUDVABBUUKUVJUVPYHU
          UAWNYHUUDWNWSWOWPYHYPUUFYQUUGCYHBHDYLUDEXSXTFGUPIKNLUVIAUUIYGMUTZAUWI
          YGOUTZUUKAHVAUJZYGQUTZAUUTYGSUTAUVGYGUAUTZAYEYFWQZAYEYFWRZWTYHBHDYLUD
          EXSXTFGUPJKNLUVIUWJUWKUUKUWMAUVMYGTUTUWNUWOUWPWTXAXBYHBHDYLUDEXSXTFGU
          PXMKNLUVIUWJUWKUUKUWMAXMUUSUJZYGADXCUJZUUTUVMUWQAUUIUWRMDXDUSZSTBCUUQ
          DIJLRXEVMZUTUWNUWOUWPWTYHXSXTVOZXQULZUXAXOULZUXAXPULZCUFZYBYRYHXOFHVC
          ZVPZXPUXFVPZUXFVAUJZUXAUXFUJZUXBUXEUGAUXGYGAXOBUXFVEUFZUJZUXFBXOVDUXG
          ABHDEFGIKLMNOPQSUAXHZXOBUXFVFUXFBXOWIVQUTAUXHYGAXPUXKUJZUXFBXPVDUXHAB
          HDEFGJKLMNOPQTUAXHZXPBUXFVFUXFBXPWIVQUTAUXIYGAUWIUWLUXIOQFHVRVSUTYGUX
          JAXSXTFHVTXIUXFCXOXPVAUXAWCWDXSXTXQWEYPUXCYQUXDCXSXTXOWEXSXTXPWEWFWGX
          BXFAXNUXFVPZXQUXFVPZXRYDXJAXNUXKUJUXFBXNVDUXPABHDEFGXMKLMNOPQUWTUAXHX
          NBUXFVFUXFBXNWIVQAXQUXKUJZUXFBXQVDUXQAUWRUXLUXNUXRUWSUXMUXOBCUXFDXOXP
          LRXEVMXQBUXFVFUXFBXQWIVQUBUCFHXNXQXGVSXK $.
      $}

      ${
        $d i j k .+ $.  $d j B $.  $d i j k M $.  $d i j k O $.  $d i j k ph $.
        $d i k F $.  $d j N $.  $d i j k X $.  $d i j k Y $.  $d i j k Z $.
        $d j R $.
        mamudir.p $e |- .+ = ( +g ` R ) $.
        mamudir.x $e |- ( ph -> X e. ( B ^m ( M X. N ) ) ) $.
        mamudir.y $e |- ( ph -> Y e. ( B ^m ( N X. O ) ) ) $.
        mamudir.z $e |- ( ph -> Z e. ( B ^m ( N X. O ) ) ) $.
        $( Matrix multiplication distributes over addition on the right.
           (Contributed by Stefan O'Rear, 5-Sep-2015.)  (Proof shortened by AV,
           23-Jul-2019.) $)
        mamudir $p |- ( ph -> ( X F ( Y oF .+ Z ) ) =
            ( ( X F Y ) oF .+ ( X F Z ) ) ) $=
          ( vi vk vj cof co wceq cv wral wcel wa cfv cmpt cgsu ccmn crg ringcmn
          cmulr syl adantr cfn ad2antrr cxp wf cmap elmapi simplrl simpr fovrnd
          simplrr eqid ringcl syl3anc gsummptfidmadd2 cop wfn ffnd xpfi syl2anc
          opelxpi ancoms adantll fnfvof syl22anc df-ov oveq12i 3eqtr4g syl13anc
          oveq2d ringdi eqtrd eqidd offval2 eqtr4d simprl simprr mamufv oveq12d
          mpteq2dva 3eqtr4d cmnd ringmnd mndvcl mamucl ffn adantl ralrimivva wb
          3syl eqfnov2 mpbird ) AIJKCUEZUFZEUFZIJEUFZIKEUFZXLUFZUGZUBUHZUCUHZXN
          UFZXSXTXQUFZUGZUCHUIUBFUIZAYCUBUCFHAXSFUJZXTHUJZUKZUKZDUDGXSUDUHZIUFZ
          YIXTXMUFZDURULZUFZUMZUNUFZXSXTXOUFZXSXTXPUFZCUFZYAYBYHDUDGYJYIXTJUFZY
          LUFZUMZUDGYJYIXTKUFZYLUFZUMZXLUFZUNUFDUUAUNUFZDUUDUNUFZCUFYOYRYHUDGBY
          TUUCCUUADUUDLRADUOUJZYGADUPUJZUUHMDUQUSUTAGVAUJZYGPUTZYHYIGUJZUKZUUIY
          JBUJZYSBUJZYTBUJAUUIYGUULMVBZUUMXSYIBFGIAFGVCZBIVDZYGUULAIBUUQVEUFUJZ
          UURSIBUUQVFUSVBAYEYFUULVGYHUULVHZVIZUUMYIXTBGHJAGHVCZBJVDZYGUULAJBUVB
          VEUFZUJZUVCTJBUVBVFUSVBZUUTAYEYFUULVJZVIZBDYLYJYSLYLVKZVLVMZUUMUUIUUN
          UUBBUJZUUCBUJUUPUVAUUMYIXTBGHKAUVBBKVDZYGUULAKUVDUJZUVLUAKBUVBVFUSVBZ
          UUTUVGVIZBDYLYJUUBLUVIVLVMZUUAVKUUDVKVNYHYNUUEDUNYHYNUDGYTUUCCUFZUMUU
          EYHUDGYMUVQUUMYMYJYSUUBCUFZYLUFZUVQUUMYKUVRYJYLUUMYIXTVOZXMULZUVTJULZ
          UVTKULZCUFZYKUVRUUMJUVBVPKUVBVPUVBVAUJZUVTUVBUJZUWAUWDUGUUMUVBBJUVFVQ
          UUMUVBBKUVNVQAUWEYGUULAUUJHVAUJZUWEPQGHVRVSVBYGUULUWFAYFUULUWFYEUULYF
          UWFYIXTGHVTWAWBWBUVBCJKVAUVTWCWDYIXTXMWEYSUWBUUBUWCCYIXTJWEYIXTKWEWFW
          GWIUUMUUIUUNUUOUVKUVSUVQUGUUPUVAUVHUVOBCDYLYJYSUUBLRUVIWJWHWKWSYHUDGY
          TUUCCUUAUUDVABBUUKUVJUVPYHUUAWLYHUUDWLWMWNWIYHYPUUFYQUUGCYHBHDYLUDEXS
          XTFGUPIJNLUVIAUUIYGMUTZAFVAUJZYGOUTZUUKAUWGYGQUTZAUUSYGSUTZAUVEYGTUTA
          YEYFWOZAYEYFWPZWQYHBHDYLUDEXSXTFGUPIKNLUVIUWHUWJUUKUWKUWLAUVMYGUAUTUW
          MUWNWQWRWTYHBHDYLUDEXSXTFGUPIXMNLUVIUWHUWJUUKUWKUWLAXMUVDUJZYGADXAUJZ
          UVEUVMUWOAUUIUWPMDXBUSZTUABCUVBDJKLRXCVMZUTUWMUWNWQYHXSXTVOZXQULZUWSX
          OULZUWSXPULZCUFZYBYRYHXOFHVCZVPZXPUXDVPZUXDVAUJZUWSUXDUJZUWTUXCUGAUXE
          YGAXOBUXDVEUFZUJZUXDBXOVDUXEABHDEFGIJLMNOPQSTXDZXOBUXDVFUXDBXOXEXIUTA
          UXFYGAXPUXIUJZUXDBXPVDUXFABHDEFGIKLMNOPQSUAXDZXPBUXDVFUXDBXPXEXIUTAUX
          GYGAUWIUWGUXGOQFHVRVSUTYGUXHAXSXTFHVTXFUXDCXOXPVAUWSWCWDXSXTXQWEYPUXA
          YQUXBCXSXTXOWEXSXTXPWEWFWGWTXGAXNUXDVPZXQUXDVPZXRYDXHAXNUXIUJUXDBXNVD
          UXNABHDEFGIXMLMNOPQSUWRXDXNBUXDVFUXDBXNXEXIAXQUXIUJZUXDBXQVDUXOAUWPUX
          JUXLUXPUWQUXKUXMBCUXDDXOXPLRXCVMXQBUXDVFUXDBXQXEXIUBUCFHXNXQXJVSXK $.
      $}

      ${
        $d i k F $.  $d i j k M $.  $d i j k N $.  $d i j k O $.
        $d i j k .x. $.  $d i j k X $.  $d i j k Y $.  $d i j k Z $.
        $d i j k ph $.  $d j B $.  $d j R $.
        mamuvs1.t $e |- .x. = ( .r ` R ) $.
        mamuvs1.x $e |- ( ph -> X e. B ) $.
        mamuvs1.y $e |- ( ph -> Y e. ( B ^m ( M X. N ) ) ) $.
        mamuvs1.z $e |- ( ph -> Z e. ( B ^m ( N X. O ) ) ) $.
        $( Matrix multiplication distributes over scalar multiplication on the
           left.  (Contributed by Stefan O'Rear, 5-Sep-2015.) $)
        mamuvs1 $p |- ( ph -> ( ( ( ( M X. N ) X. { X } ) oF .x. Y ) F Z ) =
              ( ( ( M X. O ) X. { X } ) oF .x. ( Y F Z ) ) ) $=
          ( vi vk vj cxp csn cof co wceq wral wcel cmpt cgsu cplusg cfv cfn c0g
          cv wa eqid crg adantr ad2antrr cmap elmapi syl simplrl fovrnd simplrr
          wf simpr ringcl syl3anc ovexd fvexd fsuppmptdm gsummulc2 df-ov simprl
          cvv cop opelxpi sylan xpfi syl2anc wfn ffn 3syl eqcomi a1i ofc1 mpdan
          syl5eq oveq1d ringass syl13anc mpteq2dva oveq2d simprr mamufv 3eqtr4d
          eqtrd fconst6g wb cbs elmapg sylancr mpbird ringvcl adantl ralrimivva
          fvexi mamucl eqfnov2 ) AFGUEZIUFZUEZJDUGZUHZKEUHZFHUEZXPUEZJKEUHZXRUH
          ZUIZUBURZUCURZXTUHZYFYGYDUHZUIZUCHUJUBFUJZAYJUBUCFHAYFFUKZYGHUKZUSZUS
          ZCUDGYFUDURZXSUHZYPYGKUHZDUHZULZUMUHZIYFYGYCUHZDUHZYHYIYOCUDGIYFYPJUH
          ZYRDUHZDUHZULZUMUHICUDGUUEULZUMUHZDUHUUAUUCYOGBCUNUOZCDUDUPUUEICUQUOZ
          LUUKUTUUJUTRACVAUKZYNMVBZAGUPUKZYNPVBZAIBUKZYNSVBZYOYPGUKZUSZUULUUDBU
          KZYRBUKZUUEBUKAUULYNUURMVCZUUSYFYPBFGJAXOBJVJZYNUURAJBXOVDUHZUKZUVCTJ
          BXOVEZVFVCAYLYMUURVGYOUURVKZVHZUUSYPYGBGHKAGHUEZBKVJZYNUURAKBUVIVDUHU
          KZUVJUAKBUVIVEVFVCUVGAYLYMUURVIVHZBCDUUDYRLRVLVMYOUDGUUHVTVTUUEUUKUUH
          UTUUOUUSUUDYRDVNYOCUQVOVPVQYOYTUUGCUMYOUDGYSUUFUUSYSIUUDDUHZYRDUHZUUF
          UUSYQUVMYRDUUSYQYFYPWAZXSUOZUVMYFYPXSVRUUSUVOXOUKZUVPUVMUIYOYLUURUVQA
          YLYMVSZYFYPFGWBWCUUSXOIUUDDJUPBUVOAXOUPUKZYNUURAFUPUKZUUNUVSOPFGWDWEZ
          VCAUUPYNUURSVCZAJXOWFZYNUURAUVEUVCUWCTUVFXOBJWGWHVCUVOJUOZUUDUIUUSUVQ
          USUUDUWDYFYPJVRWIWJWKWLWMWNUUSUULUUPUUTUVAUVNUUFUIUVBUWBUVHUVLBCDIUUD
          YRLRWOWPXBWQWRYOUUBUUIIDYOBHCDUDEYFYGFGVAJKNLRUUMAUVTYNOVBZUUOAHUPUKZ
          YNQVBZAUVEYNTVBAUVKYNUAVBZUVRAYLYMWSZWTWRXAYOBHCDUDEYFYGFGVAXSKNLRUUM
          UWEUUOUWGAXSUVDUKZYNAUULXQUVDUKZUVEUWJMAUWKXOBXQVJZAUUPUWLSXOIBXCVFAB
          VTUKZUVSUWKUWLXDBCXELXLZUWABXOXQVTUPXFXGXHTBCDXOXQJLRXIVMZVBUWHUVRUWI
          WTYOYIYFYGWAZYDUOZUUCYFYGYDVRYOUWPYAUKZUWQUUCUIYNUWRAYFYGFHWBXJYOYAIU
          UBDYCUPBUWPAYAUPUKZYNAUVTUWFUWSOQFHWDWEZVBUUQAYCYAWFZYNAYCBYAVDUHZUKZ
          YABYCVJUXAABHCEFGJKLMNOPQTUAXMZYCBYAVEYABYCWGWHVBUWPYCUOZUUBUIYOUWRUS
          UUBUXEYFYGYCVRWIWJWKWLWMXAXKAXTYAWFZYDYAWFZYEYKXDAXTUXBUKYABXTVJUXFAB
          HCEFGXSKLMNOPQUWOUAXMXTBYAVEYABXTWGWHAYDUXBUKZYABYDVJUXGAUULYBUXBUKZU
          XCUXHMAUXIYABYBVJZAUUPUXJSYAIBXCVFAUWMUWSUXIUXJXDUWNUWTBYAYBVTUPXFXGX
          HUXDBCDYAYBYCLRXIVMYDBYAVEYABYDWGWHUBUCFHXTYDXNWEXH $.
      $}
    $}
  $}

  ${
    $d i k F $.  $d i j k M $.  $d i j k N $.  $d i j k O $.  $d i j k .x. $.
    $d i j k X $.  $d i j k Y $.  $d i j k Z $.  $d i j k ph $.  $d j B $.
    $d j R $.
    mamuvs2.r $e |- ( ph -> R e. CRing ) $.
    mamuvs2.b $e |- B = ( Base ` R ) $.
    mamuvs2.t $e |- .x. = ( .r ` R ) $.
    mamuvs2.f $e |- F = ( R maMul <. M , N , O >. ) $.
    mamuvs2.m $e |- ( ph -> M e. Fin ) $.
    mamuvs2.n $e |- ( ph -> N e. Fin ) $.
    mamuvs2.o $e |- ( ph -> O e. Fin ) $.
    mamuvs2.x $e |- ( ph -> X e. ( B ^m ( M X. N ) ) ) $.
    mamuvs2.y $e |- ( ph -> Y e. B ) $.
    mamuvs2.z $e |- ( ph -> Z e. ( B ^m ( N X. O ) ) ) $.
    $( Matrix multiplication distributes over scalar multiplication on the
       left.  (Contributed by Stefan O'Rear, 5-Sep-2015.)  (Proof shortened by
       AV, 22-Jul-2019.) $)
    mamuvs2 $p |- ( ph -> ( X F ( ( ( N X. O ) X. { Y } ) oF .x. Z ) ) =
          ( ( ( M X. O ) X. { Y } ) oF .x. ( X F Z ) ) ) $=
      ( vi vk vj cxp csn cof co wceq cv wral wcel cmpt cgsu cop cfv df-ov simpr
      simplrr opelxpi syl2anc cfn xpfi ad2antrr wfn cmap elmapi ffn 3syl eqcomi
      wa wf a1i ofc1 mpdan syl5eq oveq2d cmgp ccmn ccrg eqid crngmgp syl fovrnd
      mgpbas mgpplusg cmn12 syl13anc eqtrd mpteq2dva cplusg c0g crngring adantr
      simplrl crg ringcl syl3anc cvv ovexd fsuppmptdm gsummulc2 fconst6g wb cbs
      elmapg sylancr mpbird ringvcl simprl simprr mamufv adantl eqtr3id 3eqtr4d
      fvexd fvexi mamucl ralrimivva eqfnov2 ) AIGHUEZJUFZUEZKDUGZUHZEUHZFHUEZYB
      UEZIKEUHZYDUHZUIZUBUJZUCUJZYFUHZYLYMYJUHZUIZUCHUKUBFUKZAYPUBUCFHAYLFULZYM
      HULZVKZVKZCUDGYLUDUJZIUHZUUBYMYEUHZDUHZUMZUNUHZJCUDGUUCUUBYMKUHZDUHZUMZUN
      UHZDUHZYNYOUUAUUGCUDGJUUIDUHZUMZUNUHUULUUAUUFUUNCUNUUAUDGUUEUUMUUAUUBGULZ
      VKZUUEUUCJUUHDUHZDUHZUUMUUPUUDUUQUUCDUUPUUDUUBYMUOZYEUPZUUQUUBYMYEUQUUPUU
      SYAULZUUTUUQUIUUPUUOYSUVAUUAUUOURZAYRYSUUOUSZUUBYMGHUTVAUUPYAJUUHDKVBBUUS
      AYAVBULZYTUUOAGVBULZHVBULZUVDQRGHVCVAZVDAJBULZYTUUOTVDZAKYAVEZYTUUOAKBYAV
      FUHZULZYABKVLZUVJUAKBYAVGZYABKVHVIVDUUSKUPZUUHUIUUPUVAVKUUHUVOUUBYMKUQVJV
      MVNVOVPVQUUPCVRUPZVSULZUUCBULZUVHUUHBULZUURUUMUIAUVQYTUUOACVTULZUVQLCUVPU
      VPWAZWBWCVDUUPYLUUBBFGIAFGUEZBIVLZYTUUOAIBUWBVFUHULZUWCSIBUWBVGWCVDAYRYSU
      UOWOUVBWDZUVIUUPUUBYMBGHKAUVMYTUUOAUVLUVMUAUVNWCVDUVBUVCWDZBDUVPUUCJUUHBC
      UVPUWAMWECDUVPUWANWFWGWHWIWJVQUUAGBCWKUPZCDUDVBUUIJCWLUPZMUWHWAUWGWANACWP
      ULZYTAUVTUWILCWMWCZWNAUVEYTQWNZAUVHYTTWNZUUPUWIUVRUVSUUIBULAUWIYTUUOUWJVD
      UWEUWFBCDUUCUUHMNWQWRUUAUDGUUJWSWSUUIUWHUUJWAUWKUUPUUCUUHDWTUUACWLXPXAXBW
      IUUABHCDUDEYLYMFGVTIYEOMNAUVTYTLWNZAFVBULZYTPWNZUWKAUVFYTRWNZAUWDYTSWNZAY
      EUVKULZYTAUWIYCUVKULZUVLUWRUWJAUWSYABYCVLZAUVHUWTTYAJBXCWCABWSULZUVDUWSUW
      TXDBCXEMXQZUVGBYAYCWSVBXFXGXHUABCDYAYCKMNXIWRZWNAYRYSXJZAYRYSXKZXLUUAYOYL
      YMUOZYJUPZUULYLYMYJUQUUAUXFYGULZUXGUULUIYTUXHAYLYMFHUTXMUUAYGJUUKDYIVBBUX
      FAYGVBULZYTAUWNUVFUXIPRFHVCVAZWNUWLAYIYGVEZYTAYIBYGVFUHZULZYGBYIVLUXKABHC
      EFGIKMUWJOPQRSUAXRZYIBYGVGYGBYIVHVIWNUUAUXFYIUPZUUKUIUXHUUAUXOYLYMYIUHUUK
      YLYMYIUQUUABHCDUDEYLYMFGVTIKOMNUWMUWOUWKUWPUWQAUVLYTUAWNUXDUXEXLXNWNVNVOV
      PXOXSAYFYGVEZYJYGVEZYKYQXDAYFUXLULYGBYFVLUXPABHCEFGIYEMUWJOPQRSUXCXRYFBYG
      VGYGBYFVHVIAYJUXLULZYGBYJVLUXQAUWIYHUXLULZUXMUXRUWJAUXSYGBYHVLZAUVHUXTTYG
      JBXCWCAUXAUXIUXSUXTXDUXBUXJBYGYHWSVBXFXGXHUXNBCDYGYHYIMNXIWRYJBYGVGYGBYJV
      HVIUBUCFHYFYJXTVAXH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Square matrices
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  In the following, the square matrix algebra is defined as extensible
  structure ` Mat ` .  In this subsection, however, only square matrices and
  their basic properties are regarded.  This includes showing that
  ` ( N Mat R ) ` is a left module, see ~ matlmod .  That ` ( N Mat R ) ` is a
  ring and an associative algebra is shown in the next subsection, after
  theorems about the identity matrix are available.  Nevertheless,
  ` ( N Mat R ) ` is called "matrix ring" or "matrix algebra" already in this
  subsection.

$)

  $c Mat $.

  $( Syntax for the square matrix algebra. $)
  cmat $a class Mat $.

  ${
    $d n r $.
    $( Define the algebra of n x n matrices over a ring r.  (Contributed by
       Stefan O'Rear, 31-Aug-2015.) $)
    df-mat $a |- Mat = ( n e. Fin , r e. _V |-> ( ( r freeLMod ( n X. n ) )
        sSet <. ( .r ` ndx ) , ( r maMul <. n , n , n >. ) >. ) ) $.
  $}

  ${
    $d n r $.
    $( There is no matrix with a proper class either as dimension or as
       underlying ring.  (Contributed by AV, 28-Dec-2018.) $)
    matbas0pc $p |- ( -. ( N e. _V /\ R e. _V )
                      -> ( Base ` ( N Mat R ) ) = (/) ) $=
      ( vn vr cvv wcel wa wn cmat co cbs cfv c0 cfn cv cxp cfrlm cnx cmulr cotp
      cmmul cop csts df-mat reldmmpo ovprc fveq2d base0 eqtr4di ) BEFAEFGHZBAIJ
      ZKLMKLMUJUKMKBAICDNEDOZCOZUMPQJRSLULUMUMUMTUAJUBUCJICDUDUEUFUGUHUI $.

    $( There is no matrix for a not finite dimension or a proper class as the
       underlying ring.  (Contributed by AV, 28-Dec-2018.) $)
    matbas0 $p |- ( -. ( N e. Fin /\ R e. _V )
                    -> ( Base ` ( N Mat R ) ) = (/) ) $=
      ( vn vr cfn wcel cvv wa wn cmat co cbs cfv c0 cv cxp cfrlm cnx cmulr cotp
      cmmul cop csts df-mat mpondm0 fveq2d base0 eqtr4di ) BEFAGFHIZBAJKZLMNLMN
      UIUJNLCDDOZCOZULPQKRSMUKULULULTUAKUBUCKJBAEGCDUDUEUFUGUH $.
  $}

  ${
    $d n r G $.  $d n r N $.  $d n r R $.  $d n r .x. $.
    matval.a $e |- A = ( N Mat R ) $.
    matval.g $e |- G = ( R freeLMod ( N X. N ) ) $.
    matval.t $e |- .x. = ( R maMul <. N , N , N >. ) $.
    $( Value of the matrix algebra.  (Contributed by Stefan O'Rear,
       4-Sep-2015.) $)
    matval $p |- ( ( N e. Fin /\ R e. V ) ->
        A = ( G sSet <. ( .r ` ndx ) , .x. >. ) ) $=
      ( vn vr cfn wcel wa cmat co csts wceq cfrlm cmmul cnx cfv cop cvv elex cv
      cmulr cxp cotp id sqxpeqd oveqan12rd eqtr4di oteq123d opeq2d oveq12d ovex
      df-mat ovmpoa sylan2 syl5eq ) ELMZBFMZNAEBOPZDUAUGUBZCUCZQPZGVCVBBUDMVDVG
      RBFUEJKEBLUDKUFZJUFZVIUHZSPZVEVHVIVIVIUIZTPZUCZQPVGOVIERZVHBRZNZVKDVNVFQV
      QVKBEEUHZSPDVPVOVHBVJVRSVPUJZVOVIEVOUJZUKULHUMVQVMCVEVQVMBEEEUIZTPCVPVOVH
      BVLWATVSVOVIEVIEVIEVTVTVTUNULIUMUOUPJKURDVFQUQUSUTVA $.
  $}

  ${
    $d a b $.
    matrcl.a $e |- A = ( N Mat R ) $.
    matrcl.b $e |- B = ( Base ` A ) $.
    $( Reverse closure for the matrix algebra.  (Contributed by Stefan O'Rear,
       5-Sep-2015.) $)
    matrcl $p |- ( X e. B -> ( N e. Fin /\ R e. _V ) ) $=
      ( va vb wcel c0 wceq cfn cvv wa cbs cfv cmat co cv n0i wn cxp cfrlm cmulr
      cnx cotp cmmul cop csts df-mat mpondm0 syl5eq fveq2d base0 3eqtr4g nsyl2
      ) EBJBKLDMJCNJOZBEUAURUBZAPQKPQBKUSAKPUSADCRSKFHIITZHTZVAUCUDSUFUEQUTVAVA
      VAUGUHSUIUJSRDCMNHIUKULUMUNGUOUPUQ $.
  $}

  ${
    matbas.a $e |- A = ( N Mat R ) $.
    matbas.g $e |- G = ( R freeLMod ( N X. N ) ) $.
    $( The matrix ring has the same base set as its underlying group.
       (Contributed by Stefan O'Rear, 4-Sep-2015.) $)
    matbas $p |- ( ( N e. Fin /\ R e. V ) -> ( Base ` G ) = ( Base ` A ) ) $=
      ( cfn wcel wa cbs cfv cnx cmulr cotp cmmul co cop csts baseid eqid matval
      basendxnmulrndx setsnid fveq2d eqtr4id ) DHIBEIJZCKLCMNLZBDDDOPQZRSQZKLAK
      LUIUHKCTUCUDUGAUJKABUICDEFGUIUAUBUEUF $.

    $( The matrix ring has the same addition as its underlying group.
       (Contributed by Stefan O'Rear, 4-Sep-2015.) $)
    matplusg $p |- ( ( N e. Fin /\ R e. V ) -> ( +g ` G ) = ( +g ` A ) ) $=
      ( cfn wcel wa cplusg cfv cnx cmulr cotp cmmul co cop csts plusgid setsnid
      plusgndxnmulrndx eqid matval fveq2d eqtr4id ) DHIBEIJZCKLCMNLZBDDDOPQZRSQ
      ZKLAKLUIUHKCTUBUAUGAUJKABUICDEFGUIUCUDUEUF $.

    $( The matrix ring has the same scalars as its underlying linear structure.
       (Contributed by Stefan O'Rear, 4-Sep-2015.) $)
    matsca $p |- ( ( N e. Fin /\ R e. V ) ->
        ( Scalar ` G ) = ( Scalar ` A ) ) $=
      ( cfn wcel wa csca cfv cnx cmulr cotp cmmul co wne c5 c3 cop scaid gtneii
      csts 3lt5 scandx mulrndx neeq12i mpbir setsnid eqid matval fveq2d eqtr4id
      3re ) DHIBEIJZCKLCMNLZBDDDOPQZUAUDQZKLAKLURUQKCUBMKLZUQRSTRTSUOUEUCUTSUQT
      UFUGUHUIUJUPAUSKABURCDEFGURUKULUMUN $.

    $( The matrix ring has the same scalar multiplication as its underlying
       linear structure.  (Contributed by Stefan O'Rear, 4-Sep-2015.) $)
    matvsca $p |- ( ( N e. Fin /\ R e. V ) -> ( .s ` G ) = ( .s ` A ) ) $=
      ( cfn wcel wa cvsca cfv cnx cmulr cotp cmmul co cop c6 c3 csts vscaid 3re
      vscandx 3lt6 gtneii mulrndx neeqtrri eqnetri setsnid eqid matval eqtr4id
      fveq2d ) DHIBEIJZCKLCMNLZBDDDOPQZRUAQZKLAKLUQUPKCUBMKLSUPUDSTUPTSUCUEUFUG
      UHUIUJUOAURKABUQCDEFGUQUKULUNUM $.

    $d x y A $.  $d x y G $.  $d x y N $.  $d x y R $.  $d x y V $.
    $( The matrix ring has the same zero as its underlying linear structure.
       (Contributed by Stefan O'Rear, 4-Sep-2015.) $)
    mat0 $p |- ( ( N e. Fin /\ R e. V ) -> ( 0g ` G ) = ( 0g ` A ) ) $=
      ( vx vy cfn wcel wa cbs cfv eqidd matbas cv cplusg matplusg oveqdr
      grpidpropd ) DJKBEKLZHICMNZCAUBUCOABCDEFGPUBHQUCKIQUCKLHICRNARNABCDEFGSTU
      A $.

    $( The matrix ring has the same additive inverse as its underlying linear
       structure.  (Contributed by Stefan O'Rear, 4-Sep-2015.) $)
    matinvg $p |- ( ( N e. Fin /\ R e. V ) -> ( invg ` G ) = ( invg ` A ) ) $=
      ( vx vy cfn wcel wa cbs cfv eqidd matbas cv cplusg matplusg oveqdr
      grpinvpropd ) DJKBEKLZHICMNZCAUBUCOABCDEFGPUBHQUCKIQUCKLHICRNARNABCDEFGST
      UA $.
  $}

  ${
    $d i j N $.  $d i j R $.
    mat0op.a $e |- A = ( N Mat R ) $.
    mat0op.z $e |- .0. = ( 0g ` R ) $.
    $( Value of a zero matrix as operation.  (Contributed by AV,
       2-Dec-2018.) $)
    mat0op $p |- ( ( N e. Fin /\ R e. Ring )
                   -> ( 0g ` A ) = ( i e. N , j e. N |-> .0. ) ) $=
      ( cfn wcel crg wa cxp c0g cfv cmpo eqid cvv wceq cv co mat0 csn fconstmpo
      cfrlm simpr sqxpexg adantr frlm0 syl2anc eqcomi mpoeq3ia 3eqtr3a eqtr3d
      a1i ) EIJZBKJZLZBEEMZUEUAZNOZANOCDEEFPZABUTEKGUTQZUBURUSBNOZUCMZCDEEVDPZV
      AVBCDEEVDUDURUQUSRJZVEVASUPUQUFUPVGUQEIUGUHBUTUSRVDVCVDQUIUJVFVBSURCDEEVD
      FVDFSCTEJDTEJLFVDHUKUOULUOUMUN $.
  $}

  ${
    matsca2.a $e |- A = ( N Mat R ) $.
    $( The scalars of the matrix ring are the underlying ring.  (Contributed by
       Stefan O'Rear, 5-Sep-2015.) $)
    matsca2 $p |- ( ( N e. Fin /\ R e. V ) -> R = ( Scalar ` A ) ) $=
      ( cfn wcel wa cxp cfrlm co csca cfv wceq xpfi anidms frlmsca ancoms sylan
      eqid matsca eqtrd ) CFGZBDGZHBBCCIZJKZLMZALMUCUEFGZUDBUGNZUCUHCCOPUDUHUIB
      UFUEDFUFTZQRSABUFCDEUJUAUB $.
  $}

  ${
    matbas2.a $e |- A = ( N Mat R ) $.
    matbas2.k $e |- K = ( Base ` R ) $.
    $( The base set of the matrix ring as a set exponential.  (Contributed by
       Stefan O'Rear, 5-Sep-2015.)  (Proof shortened by AV, 16-Dec-2018.) $)
    matbas2 $p |- ( ( N e. Fin /\ R e. V ) ->
        ( K ^m ( N X. N ) ) = ( Base ` A ) ) $=
      ( cfn wcel wa cxp cmap co cfrlm cbs cfv wceq xpfi anidms anim1ci eqid syl
      frlmfibas matbas eqtrd ) DHIZBEIZJZCDDKZLMZBUINMZOPZAOPUHUGUIHIZJUJULQUFU
      MUGUFUMDDRSTBUKUICEUKUAZGUCUBABUKDEFUNUDUE $.

    matbas2i.b $e |- B = ( Base ` A ) $.
    $( A matrix is a function.  (Contributed by Stefan O'Rear, 11-Sep-2015.) $)
    matbas2i $p |- ( M e. B -> M e. ( K ^m ( N X. N ) ) ) $=
      ( wcel cbs cfv cxp cmap co id eleqtrdi cfn cvv wa wceq matrcl matbas2 syl
      eleqtrrd ) EBJZEAKLZDFFMNOZUFEBUGUFPIQUFFRJCSJTUHUGUAABCFEGIUBACDFSGHUCUD
      UE $.

    $d ph x y $.  $d N x y $.  $d K x y $.
    matbas2d.n $e |- ( ph -> N e. Fin ) $.
    matbas2d.r $e |- ( ph -> R e. V ) $.
    matbas2d.c $e |- ( ( ph /\ x e. N /\ y e. N ) -> C e. K ) $.
    $( The base set of the matrix ring as a mapping operation.  (Contributed by
       Stefan O'Rear, 11-Jul-2018.) $)
    matbas2d $p |- ( ph -> ( x e. N , y e. N |-> C ) e. B ) $=
      ( wcel wral cfn cvv cmpo cxp wf 3expb ralrimivva eqid fmpo sylib cmap cbs
      cv co cfv wceq matbas2 syl2anc eqtr4id eleq2d wb fvexi xpexd elmapg bitrd
      sylancr mpbird ) ABCIIFUAZEQZIIUBZHVFUCZAFHQZCIRBIRVIAVJBCIIABUKIQCUKIQVJ
      PUDUEBCIIFHVFVFUFUGUHAVGVFHVHUIULZQZVIAEVKVFAEDUJUMZVKMAISQGJQVKVMUNNODGH
      IJKLUOUPUQURAHTQVHTQVLVIUSHGUJLUTAIISSNNVAHVHVFTTVBVDVCVE $.
  $}

  ${
    $d N i j $.  $d X i j $.  $d Y i j $.
    eqmat.a $e |- A = ( N Mat R ) $.
    eqmat.b $e |- B = ( Base ` A ) $.
    $( Two square matrices of the same dimension are equal if they have the
       same entries.  (Contributed by AV, 25-Sep-2019.) $)
    eqmat $p |- ( ( X e. B /\ Y e. B ) -> ( X = Y
                           <-> A. i e. N A. j e. N ( i X j ) = ( i Y j ) ) ) $=
      ( wcel cxp wfn wceq cv co wral matbas2i elmapfn syl cbs cmap eqid eqfnov2
      wb cfv syl2an ) GBKZGFFLZMZHUIMZGHNDOZEOZGPULUMHPNEFQDFQUEHBKZUHGCUAUFZUI
      UBPZKUJABCUOGFIUOUCZJRGUOUISTUNHUPKUKABCUOHFIUQJRHUOUISTDEFFGHUDUG $.
  $}

  ${
    $d i j I $.  $d i j J $.  $d i j K $.  $d i j M $.  $d i j N $.
    matecl.a $e |- A = ( N Mat R ) $.
    matecl.k $e |- K = ( Base ` R ) $.
    $( Each entry (according to Wikipedia "Matrix (mathematics)", 30-Dec-2018,
       ~ https://en.wikipedia.org/wiki/Matrix_(mathematics)#Definition (or
       element or component or coefficient or cell) of a matrix is an element
       of the underlying ring.  (Contributed by AV, 16-Dec-2018.) $)
    matecl $p |- ( ( I e. N /\ J e. N /\ M e. ( Base ` A ) )
                   -> ( I M J ) e. K ) $=
      ( vi vj wcel cbs cfn cvv wa co wi a1i cv cfv w3a eqid matrcl 3ad2ant3 cxp
      cmap matbas2 eqcomd eleq2d wf fvexi sqxpexg elmapg syl2anr wfn wral ffnov
      wb oveq1 eleq1d oveq2 rspc2v com12 adantl syl5bi sylbid com13 3imp1 mpdan
      wceq ex ) CGLZDGLZFAMUAZLZUBGNLZBOLZPZCDFQZELZVPVMVSVNAVOBGFHVOUCUDUEVMVN
      VPVSWAVMVNVPVSWARRVSVPVMVNPZWAVSVPFEGGUFZUGQZLZWBWARZVSVOWDFVSWDVOABEGOHI
      UHUIUJVSWEWCEFUKZWFVREOLZWCOLWEWGUSVQWHVREBMIULSGNUMEWCFOOUNUOWGFWCUPZJTZ
      KTZFQZELZKGUQJGUQZPZVSWFJKGGEFURWOWFRVSWNWFWIWBWNWAWMWACWKFQZELJKCDGGWJCV
      KWLWPEWJCWKFUTVAWKDVKWPVTEWKDCFVBVAVCVDVESVFVGVGVHVLVIVJ $.

    matecld.b $e |- B = ( Base ` A ) $.
    matecld.i $e |- ( ph -> I e. N ) $.
    matecld.j $e |- ( ph -> J e. N ) $.
    matecld.m $e |- ( ph -> M e. B ) $.
    $( Each entry (according to Wikipedia "Matrix (mathematics)", 30-Dec-2018,
       ~ https://en.wikipedia.org/wiki/Matrix_(mathematics)#Definition (or
       element or component or coefficient or cell) of a matrix is an element
       of the underlying ring, deduction form.  (Contributed by AV,
       27-Nov-2019.) $)
    matecld $p |- ( ph -> ( I M J ) e. K ) $=
      ( wcel cbs cfv co eleqtrdi matecl syl3anc ) AEIPFIPHBQRZPEFHSGPMNAHCUCOLT
      BDEFGHIJKUAUB $.
  $}

  ${
    matplusg2.a $e |- A = ( N Mat R ) $.
    matplusg2.b $e |- B = ( Base ` A ) $.
    matplusg2.p $e |- .+b = ( +g ` A ) $.
    matplusg2.q $e |- .+ = ( +g ` R ) $.
    $( Addition in the matrix ring is cell-wise.  (Contributed by Stefan
       O'Rear, 5-Sep-2015.) $)
    matplusg2 $p |- ( ( X e. B /\ Y e. B ) -> ( X .+b Y ) = ( X oF .+ Y ) ) $=
      ( wcel wa co cplusg cfv cfn cvv eqid cxp cfrlm cof matrcl adantr matplusg
      wceq eqtr4di syl oveqd cbs simprd simpld xpfi simpl matbas eleqtrrd simpr
      syl2anc frlmplusgval eqtr3d ) GBMZHBMZNZGHEFFUAZUBOZPQZOGHDOGHCUCOVDVGDGH
      VDFRMZESMZNZVGDUGVBVJVCABEFGIJUDUEZVJVGAPQDAEVFFSIVFTZUFKUHUIUJVDVFUKQZCV
      GEGHVESRVFVLVMTVDVHVIVKULVDVHVHVERMVDVHVIVKUMZVNFFUNUSVDGBVMVBVCUOVDVMAUK
      QZBVDVJVMVOUGVKAEVFFSIVLUPUIJUHZUQVDHBVMVBVCURVPUQLVGTUTVA $.
  $}

  ${
    matvsca2.a $e |- A = ( N Mat R ) $.
    matvsca2.b $e |- B = ( Base ` A ) $.
    matvsca2.k $e |- K = ( Base ` R ) $.
    matvsca2.v $e |- .x. = ( .s ` A ) $.
    matvsca2.t $e |- .X. = ( .r ` R ) $.
    matvsca2.c $e |- C = ( N X. N ) $.
    $( Scalar multiplication in the matrix ring is cell-wise.  (Contributed by
       Stefan O'Rear, 5-Sep-2015.) $)
    matvsca2 $p |- ( ( X e. K /\ Y e. B ) ->
        ( X .x. Y ) = ( ( C X. { X } ) oF .X. Y ) ) $=
      ( wcel cxp co cfv wa cfrlm cvsca csn cof cfn cvv wceq matrcl eqid matvsca
      adantl syl eqtr4di oveqd cbs simpld xpfi syl2anc simpl simpr frlmvscafval
      matbas eleqtrrd xpeq1i oveq1i eqtr3d ) IGQZJBQZUAZIJDHHRZUBSZUCTZSZIJESCI
      UDZRZJFUEZSZVJVMEIJVJVMAUCTZEVJHUFQZDUGQZUAZVMVSUHVIWBVHABDHJKLUIULZADVLH
      UGKVLUJZUKUMNUNUOVJVNVKVORZJVQSVRVJIVLUPTZDVMFVKGUFJVLWDWFUJMVJVTVTVKUFQV
      JVTWAWCUQZWGHHURUSVHVIUTVJJBWFVHVIVAVJWFAUPTZBVJWBWFWHUHWCADVLHUGKWDVCUML
      UNVDVMUJOVBVPWEJVQCVKVOPVEVFUNVG $.
  $}

  ${
    $d x y A $.  $d x y N $.  $d x y R $.
    matlmod.a $e |- A = ( N Mat R ) $.
    $( The matrix ring is a linear structure.  (Contributed by Stefan O'Rear,
       4-Sep-2015.) $)
    matlmod $p |- ( ( N e. Fin /\ R e. Ring ) -> A e. LMod ) $=
      ( vx vy cfn wcel crg wa clmod cvv eqid cbs cfv eqidd cplusg oveqdr cvsca
      cv cxp cfrlm co sqxpexg frlmlmod ancoms sylan csca matbas matplusg matsca
      matvsca lmodpropd mpbid ) CGHZBIHZJZBCCUAZUBUCZKHZAKHUOURLHZUPUTCGUDUPVAU
      TBUSURLUSMZUEUFUGUQEFUSNOZUSUHOZNOZVDUSAUQVCPABUSCIDVBUIUQETZVCHFTVCHZJEF
      USQOAQOABUSCIDVBUJRUQVDPABUSCIDVBUKVEMUQVFVEHVGJEFUSSOASOABUSCIDVBULRUMUN
      $.

    $( The matrix ring is a group.  (Contributed by AV, 21-Dec-2019.) $)
    matgrp $p |- ( ( N e. Fin /\ R e. Ring ) -> A e. Grp ) $=
      ( cfn wcel crg wa clmod cgrp matlmod lmodgrp syl ) CEFBGFHAIFAJFABCDKALM
      $.
  $}

  ${
    matvscl.k $e |- K = ( Base ` R ) $.
    matvscl.a $e |- A = ( N Mat R ) $.
    matvscl.b $e |- B = ( Base ` A ) $.
    matvscl.s $e |- .x. = ( .s ` A ) $.
    $( Closure of the scalar multiplication in the matrix ring.  ( ~ lmodvscl
       analog.)  (Contributed by AV, 27-Nov-2019.) $)
    matvscl $p |- ( ( ( N e. Fin /\ R e. Ring ) /\ ( C e. K /\ X e. B ) )
                    -> ( C .x. X ) e. B ) $=
      ( cfn wcel crg wa clmod cfv cbs eqid csca co matlmod adantr fveq2d syl5eq
      matsca2 eleq2d biimpd adantrd imp simprr lmodvscl syl3anc ) GMNDONPZCFNZH
      BNZPZPAQNZCAUARZSRZNZUQCHEUBBNUOUSURADGJUCUDUOURVBUOUPVBUQUOUPVBUOFVACUOF
      DSRVAIUODUTSADGOJUGUEUFUHUIUJUKUOUPUQULCEUTVABAHKUTTLVATUMUN $.
  $}

  ${
    matsubg.a $e |- A = ( N Mat R ) $.
    matsubg.g $e |- G = ( R freeLMod ( N X. N ) ) $.
    $( The matrix ring has the same addition as its underlying group.
       (Contributed by AV, 2-Aug-2019.) $)
    matsubg $p |- ( ( N e. Fin /\ R e. V ) -> ( -g ` G ) = ( -g ` A ) ) $=
      ( cfn wcel wa matbas matplusg grpsubpropd ) DHIBEIJCAABCDEFGKABCDEFGLM $.
  $}

  ${
    matplusgcell.a $e |- A = ( N Mat R ) $.
    matplusgcell.b $e |- B = ( Base ` A ) $.
    ${
      matplusgcell.p $e |- .+b = ( +g ` A ) $.
      matplusgcell.q $e |- .+ = ( +g ` R ) $.
      $( Addition in the matrix ring is cell-wise.  (Contributed by AV,
         2-Aug-2019.) $)
      matplusgcell $p |- ( ( ( X e. B /\ Y e. B ) /\ ( I e. N /\ J e. N ) )
                      -> ( I ( X .+b Y ) J ) = ( ( I X J ) .+ ( I Y J ) ) ) $=
        ( wcel wa co cfv wceq adantr cof cop matplusg2 oveqd a1i cxp opelxp cfn
        df-ov wfn cbs cmap eqid matbas2i elmapfn syl adantl matrcl anidms inidm
        cvv xpfi eqcomi ofval sylan2br 3eqtrd ) IBOZJBOZPZFHOGHOPZPZFGIJDQZQZFG
        IJCUAQZQZFGUBZVNRZFGIQZFGJQZCQZVIVMVOSVJVIVLVNFGABCDEHIJKLMNUCUDTVOVQSV
        KFGVNUIUEVJVIVPHHUFZOZVQVTSFGHHUGVIWAWAVRVSCWAIJUHUHVPVGIWAUJZVHVGIEUKR
        ZWAULQZOWCABEWDIHKWDUMZLUNIWDWAUOUPTVHJWAUJZVGVHJWEOWGABEWDJHKWFLUNJWDW
        AUOUPUQVGWAUHOZVHVGHUHOZEVAOZPWHABEHIKLURWIWHWJWIWHHHVBUSTUPTZWKWAUTVPI
        RZVRSVIWBPZVRWLFGIUIVCUEVPJRZVSSWMVSWNFGJUIVCUEVDVEVF $.
    $}

    ${
      matsubgcell.s $e |- S = ( -g ` A ) $.
      matsubgcell.m $e |- .- = ( -g ` R ) $.
      $( Subtraction in the matrix ring is cell-wise.  (Contributed by AV,
         2-Aug-2019.) $)
      matsubgcell $p |- ( ( R e. Ring /\ ( X e. B /\ Y e. B )
                            /\ ( I e. N /\ J e. N ) )
                         -> ( I ( X S Y ) J ) = ( ( I X J ) .- ( I Y J ) ) ) $=
        ( wcel co cfv cfn wceq syl crg w3a cof cxp csg cvv matrcl simpld adantr
        cfrlm 3ad2ant2 simp1 eqid matsubg syl2anc eqtr4id oveqd cbs xpfi anidms
        wa eleq2i biimpi matbas eleqtrrd adantl frlmsubgval eqtrd df-ov opelxpi
        cop anim2i 3adant1 wfn cmap matbas2i elmapfn inidm eqcomi ofval syl5eq
        a1i ) CUAOZIBOZJBOZVAZEHOFHOVAZUBZEFIJDPZPEFIJGUCPZPZEFIPZEFJPZGPZWHWIW
        JEFWHWIIJCHHUDZUJPZUEQZPWJWHDWQIJWHDAUEQZWQMWHHROZWCWQWRSWFWCWSWGWDWSWE
        WDWSCUFOZABCHIKLUGZUHUIUKWCWFWGULZACWPHUAKWPUMZUNUOUPUQWHWPURQZCIJWOWQG
        RWPXCXDUMXBWFWCWOROZWGWDXEWEWDWSWTVAZXEXAWSXEWTWSXEHHUSUTUITUIZUKWFWCIX
        DOZWGWDXHWEWDIAURQZXDWDIXIOBXIILVBVCWDXFXDXISZXAACWPHUFKXCVDZTVEUIUKWFW
        CJXDOZWGWEXLWDWEJXIXDWEJXIOBXIJLVBVCWEXFXJABCHJKLUGXKTVEVFUKNWQUMVGVHUQ
        WHWKEFVKZWJQZWNEFWJVIWHWFXMWOOZVAZXNWNSWFWGXPWCWGXOWFEFHHVJVLVMWFWOWOWL
        WMGWOIJRRXMWDIWOVNZWEWDICURQZWOVOPZOXQABCXRIHKXRUMZLVPIXRWOVQTUIWEJWOVN
        ZWDWEJXSOYAABCXRJHKXTLVPJXRWOVQTVFXGXGWOVRXMIQZWLSXPWLYBEFIVIVSWBXMJQZW
        MSXPWMYCEFJVIVSWBVTTWAVH $.
    $}

    ${
      $d B x y $.  $d I x y $.  $d J x y $.  $d N x y $.  $d R x y $.
      $d X x y $.
      matinvgcell.v $e |- V = ( invg ` R ) $.
      matinvgcell.w $e |- W = ( invg ` A ) $.
      $( Additive inversion in the matrix ring is cell-wise.  (Contributed by
         AV, 17-Nov-2019.) $)
      matinvgcell $p |- ( ( R e. Ring /\ X e. B /\ ( I e. N /\ J e. N ) )
                        -> ( I ( W ` X ) J ) = ( V ` ( I X J ) ) ) $=
        ( vx wcel wa cfv co wceq eqid vy crg w3a c0g csg cgrp cfn matrcl simpld
        cvv simpl matgrp syl2an2 grpidcl syl simpr 3adant3 matsubgcell syld3an2
        jca grpinvval2 syl2anc oveqd cbs ringgrp 3ad2ant1 simp3 eleq2i 3ad2ant2
        biimpi df-3an sylanbrc matecl cmpo anim1i ancoms mat0op cv eqidd simp3r
        fvexd ovmpod eqcomd oveq1d eqtrd 3eqtr4d ) CUBOZIBOZDFOZEFOZPZUCZDEAUDQ
        ZIAUEQZRZRZDEWMRZDEIRZCUEQZRZDEIHQZRWRGQZWGWMBOZWHPZWHWKWPWTSWGWHXDWKWG
        WHPZXCWHXEAUFOZXCWHFUGOZWGWGXFWHXGCUJOABCFIJKUHUIZWGWHUKACFJULUMZBAWMKW
        MTZUNUOWGWHUPZUTUQABCWNDEWSFWMIJKWNTZWSTZURUSWLXAWODEWGWHXAWOSZWKXEXFWH
        XNXIXKBAWNHIWMKXLMXJVAVBUQVCWLXBCUDQZWRWSRZWTWLCUFOZWRCVDQZOZXBXPSWGWHX
        QWKCVEVFWLWIWJIAVDQZOZUCZXSWLWKYAYBWGWHWKVGZWHWGYAWKWHYABXTIKVHVJVIWIWJ
        YAVKVLACDEXRIFJXRTZVMUOXRCWSGWRXOYDXMLXOTZVAVBWLXOWQWRWSWLWQXOWLNUADEFF
        XOXOWMUJWGWHWMNUAFFXOVNSZWKXEXGWGPZYFWHWGYGWHXGWGXHVOVPACNUAFXOJYEVQUOU
        QWLNVRDSUAVRESPPXOVSWLWIWJYCUIWGWHWIWJVTWLCUDWAWBWCWDWEWF $.
    $}

    matvscacell.k $e |- K = ( Base ` R ) $.
    matvscacell.v $e |- .x. = ( .s ` A ) $.
    matvscacell.t $e |- .X. = ( .r ` R ) $.
    $( Scalar multiplication in the matrix ring is cell-wise.  (Contributed by
       AV, 7-Aug-2019.) $)
    matvscacell $p |- ( ( R e. Ring /\ ( X e. K /\ Y e. B )
                          /\ ( I e. N /\ J e. N ) )
                        -> ( I ( X .x. Y ) J ) = ( X .X. ( I Y J ) ) ) $=
      ( wcel co cfv wceq crg w3a cxp csn cof eqid matvsca2 oveqd 3ad2ant2 df-ov
      cop a1i opelxpi 3ad2ant3 cfn cvv matrcl simpld adantl xpfi syl2anc simp2l
      cbs cmap wfn eleq2i biimpi simp1 matbas2 eleqtrrd elmapfn syl eqcomi ofc1
      wa mpdan 3eqtrd ) CUAQZJHQZKBQZVOZFIQGIQVOZUBZFGJKDRZRZFGIIUCZJUDUCKEUERZ
      RZFGUKZWGSZJFGKRZERZWAVRWEWHTWBWAWDWGFGABWFCDEHIJKLMNOPWFUFUGUHUIWHWJTWCF
      GWGUJULWCWIWFQZWJWLTWBVRWMWAFGIIUMUNWCWFJWKEKUOHWIWCIUOQZWNWFUOQWAVRWNWBV
      TWNVSVTWNCUPQABCIKLMUQURUSUIZWOIIUTVAVRVSVTWBVBWCKCVCSZWFVDRZQKWFVEWCKAVC
      SZWQWAVRKWRQZWBVTWSVSVTWSBWRKMVFVGUSUIWCWNVRWQWRTWOVRWAWBVHACWPIUALWPUFVI
      VAVJKWPWFVKVLWIKSZWKTWCWMVOWKWTFGKUJVMULVNVPVQ $.
  $}

  ${
    $d J i j y z $.  $d N i j y z $.  $d R i j y z $.  $d U z $.  $d ph y z $.
    matgsum.a $e |- A = ( N Mat R ) $.
    matgsum.b $e |- B = ( Base ` A ) $.
    matgsum.z $e |- .0. = ( 0g ` A ) $.
    matgsum.i $e |- ( ph -> N e. Fin ) $.
    matgsum.j $e |- ( ph -> J e. W ) $.
    matgsum.r $e |- ( ph -> R e. Ring ) $.
    matgsum.f $e |- ( ( ph /\ y e. J ) -> ( i e. N , j e. N |-> U ) e. B ) $.
    matgsum.w $e |- ( ph -> ( y e. J
                              |-> ( i e. N , j e. N |-> U ) ) finSupp .0. ) $.
    $( Finite commutative sums in a matrix algebra are taken componentwise.
       (Contributed by AV, 26-Sep-2019.) $)
    matgsum $p |- ( ph -> ( A gsum ( y e. J |-> ( i e. N , j e. N |-> U ) ) ) =
       ( i e. N , j e. N |-> ( R gsum ( y e. J |-> U ) ) ) ) $=
      ( vz cmpo cmpt cgsu co cxp cfrlm cv c1st cfv c2nd csb cvv wcel cmat ovexi
      mptexd a1i ovexd cbs cfn wceq eqid matbas syl2anc eqcomd cplusg gsumpropd
      crg matplusg mpompts mpteq2dv oveq2d c0g xpfi eleqtrdi eqcomi jca 3eltr4d
      wa adantr syl cfsupp mpteq2i 3brtr4g mat0 breqtrrd frlmgsum eqtrd csbov2g
      fvex ax-mp csbeq2i csbmpt2 eqtri oveq2i 3eqtrri eqtr4i 3eqtrd ) ACBIGHJJF
      UBZUCZUDUEEJJUFZUGUEZXAUDUEZUAXBEBIGUAUHZUIUJZHXEUKUJZFULZULZUCZUDUEZUCZG
      HJJEBIFUCZUDUEZUBZAXACXCUMUMUMABIWTKQUQCUMUNACJEUOMUPURAEXBUGUSAXCUTUJZCU
      TUJZAJVAUNZEVIUNZXPXQVBZPRCEXCJVIMXCVCZVDZVEVFAXCVGUJZCVGUJZAXRXSYCYDVBPR
      CEXCJVIMYAVJVEVFVHAXDXCBIUAXBXIUCZUCZUDUEXLAXAYFXCUDABIWTYEWTYEVBAGHUAJJF
      VKZURVLVMAUABXPEXIXBIVAKXCXCVNUJZYAXPVCYHVCAXRXRXBVAUNPPJJVOVEQRABUHIUNZV
      TZWTXQYEXPYJWTDXQSNVPYEWTVBYJWTYEYGVQZURYJXRXSVTZXTAYLYIAXRXSPRVRWAYBWBVS
      AYFCVNUJZYHWCAXALYFYMWCTBIYEWTYKWDLYMOVQWEAXRXSYHYMVBPRCEXCJVIMYAWFVEWGWH
      WIXLXOVBAXLUAXBGXFHXGXNULZULZUCXOUAXBXKYOYOGXFEHXGXMULZUDUEZULZEGXFYPULZU
      DUEZXKGXFYNYQXGUMUNZYNYQVBXEUKWKZHXGEXMUDUMWJWLWMXFUMUNZYRYTVBXEUIWKZGXFE
      YPUDUMWJWLYSXJEUDYSGXFBIXHUCZULZXJGXFYPUUEUUAYPUUEVBUUBHBXGUMIFWNWLWMUUCU
      UFXJVBUUDGBXFUMIXHWNWLWOWPWQWDGHUAJJXNVKWRURWS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The matrix algebra
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The main result of this subsection are the theorems showing that
  ` ( N Mat R ) ` is a ring (see ~ matring ) and an associative algebra (see
  ~ matassa ).  Additionally, theorems for the identity matrix and transposed
  matrices are provided.

$)

  ${
    matmulr.a $e |- A = ( N Mat R ) $.
    matmulr.t $e |- .x. = ( R maMul <. N , N , N >. ) $.
    $( Multiplication in the matrix algebra.  (Contributed by Stefan O'Rear,
       4-Sep-2015.) $)
    matmulr $p |- ( ( N e. Fin /\ R e. V ) -> .x. = ( .r ` A ) ) $=
      ( cfn wcel wa cxp cfrlm co cnx cmulr cfv cop csts cvv wceq ovex cotp mp1i
      cmmul ovexi pm3.2i mulrid setsid eqid matval fveq2d eqtr4d ) DHIBEIJZCBDD
      KZLMZNOPCQRMZOPZAOPUOSIZCSIZJCUQTUMURUSBUNLUACBDDDUBUDGUEUFSCOSUOUGUHUCUM
      AUPOABCUODEFUOUIGUJUKUL $.
  $}

  ${
    $d i j B $.  $d i j M $.  $d i j ph $.
    mamumat1cl.b $e |- B = ( Base ` R ) $.
    mamumat1cl.r $e |- ( ph -> R e. Ring ) $.
    mamumat1cl.o $e |- .1. = ( 1r ` R ) $.
    mamumat1cl.z $e |- .0. = ( 0g ` R ) $.
    mamumat1cl.i $e |- I = ( i e. M , j e. M |-> if ( i = j , .1. , .0. ) ) $.
    mamumat1cl.m $e |- ( ph -> M e. Fin ) $.
    $( The identity matrix (as operation in maps-to notation) is a matrix.
       (Contributed by Stefan O'Rear, 2-Sep-2015.) $)
    mamumat1cl $p |- ( ph -> I e. ( B ^m ( M X. M ) ) ) $=
      ( wcel wral cv cvv cfn cxp cmap co wf weq cif wa crg ringidcl ring0cl syl
      ifcld adantr ralrimivva fmpo sylib wb fvexi syl2anc elmapg sylancr mpbird
      cbs xpfi ) AGBHHUAZUBUCPZVEBGUDZAEFUEZDIUFZBPZFHQEHQVGAVJEFHHAVJERHPFRHPU
      GACUHPZVJKVKVHDIBBCDJLUIBCIJMUJULUKUMUNEFHHVIBGNUOUPABSPVETPZVFVGUQBCVCJU
      RAHTPZVMVLOOHHVDUSBVEGSTUTVAVB $.

    $d i j A $.  $d i j J $.  $d i j .0. $.  $d i j .1. $.
    $( The components of the identity matrix (as operation in maps-to
       notation).  (Contributed by AV, 22-Jul-2019.) $)
    mat1comp $p |- ( ( A e. M /\ J e. M )
                     -> ( A I J ) = if ( A = J , .1. , .0. ) ) $=
      ( cif wceq cv weq eqeq1 ifbid eqeq2 cur fvexi c0g ifex ovmpo ) FGBIJJFGUA
      ZEKRBISZEKRHBGTZSZEKRFTZBSUJUMEKUNBULUBUCULISUMUKEKULIBUDUCPUKEKEDUENUFKD
      UGOUFUHUI $.

    $d k l m ph $.  $d k l m I $.  $d i j k l m M $.  $d k l m N $.
    $d k l m X $.
    mamulid.n $e |- ( ph -> N e. Fin ) $.
    ${
      $d m B $.  $d m .0. $.  $d k l F $.  $d m R $.
      mamulid.f $e |- F = ( R maMul <. M , M , N >. ) $.
      mamulid.x $e |- ( ph -> X e. ( B ^m ( M X. N ) ) ) $.
      $( The identity matrix (as operation in maps-to notation) is a left
         identity (for any matrix with the same number of rows).  (Contributed
         by Stefan O'Rear, 3-Sep-2015.)  (Proof shortened by AV,
         22-Jul-2019.) $)
      mamulid $p |- ( ph -> ( I F X ) = X ) $=
        ( vl vk vm co wceq cv wral wcel cmulr cfv cmpt cgsu crg eqid adantr cfn
        wa cxp cmap mamumat1cl simprl simprr mamufv ringmnd syl ad2antrr elmapi
        cmnd simplrl simpr fovrnd simplrr ringcl syl3anc fmpttd wne w3a weq cif
        wf 3adant3 simp2 mat1comp equcom ifbid eqtrd syl2anc ifnefalse 3ad2ant3
        wb a1i oveq1d ringlz suppsssn gsumpt oveq2 oveq1 oveq12d fvmpt ad2antrl
        ovex equequ1 equequ2 equid iftruei eqtrdi fvexi anidms fovrnda ringlidm
        cur ovmpo 3eqtrd ralrimivva wfn mamucl ffnd eqfnov2 mpbird ) AHKGUEZKUF
        ZUBUGZUCUGZYAUEZYCYDKUEZUFZUCJUHUBIUHZAYGUBUCIJAYCIUIZYDJUIZURZURZYECUD
        IYCUDUGZHUEZYMYDKUEZCUJUKZUEZULZUMUEYCYRUKZYFYLBJCYPUDGYCYDIIUNHKTMYPUO
        ZACUNUIZYKNUPZAIUQUIYKRUPZUUCAJUQUIYKSUPAHBIIUSZUTUEUIZYKABCDEFHILMNOPQ
        RVAZUPAKBIJUSZUTUEZUIZYKUAUPAYIYJVBZAYIYJVCVDYLIBYRCUQYCLMPYLUUACVIUIUU
        BCVEVFUUCUUJYLUDIYQBYLYMIUIZURZUUAYNBUIYOBUIZYQBUIAUUAYKUUKNVGZUULYCYMB
        IIHAUUDBHWAZYKUUKAUUEUUOUUFHBUUDVHVFVGAYIYJUUKVJZYLUUKVKZVLUULYMYDBIJKA
        UUGBKWAZYKUUKAUUIUURUAKBUUGVHVFZVGUUQAYIYJUUKVMVLZBCYPYNYOMYTVNVOVPYLIY
        QUDUQYCLYLUUKYMYCVQZVRZYQLYOYPUEZLUVBYNLYOYPUVBYNUDUBVSZDLVTZLUVBYIUUKY
        NUVEUFYLUUKYIUVAUUPWBYLUUKUVAWCYIUUKURZYNUBUDVSZDLVTUVEAYCBCDEFHYMILMNO
        PQRWDUVFUVGUVDDLUVGUVDWKUVFUBUDWEWLWFWGWHUVAYLUVELUFUUKYMYCDLWIWJWGWMYL
        UUKUVCLUFZUVAUULUUAUUMUVHUUNUUTBCYPYOLMYTPWNWHWBWGUUCWOWPYLYSYCYCHUEZYF
        YPUEZDYFYPUEZYFYIYSUVJUFAYJUDYCYQUVJIYRUVDYNUVIYOYFYPYMYCYCHWQYMYCYDKWR
        WSYRUOUVIYFYPXBWTXAYLUVIDYFYPYIUVIDUFZAYJYIUVLEFYCYCIIEFVSZDLVTDHUBFVSZ
        DLVTZEUBVSUVMUVNDLEUBFXCWFFUBVSZUVOUBUBVSZDLVTDUVPUVNUVQDLFUBUBXDWFUVQD
        LUBXEXFXGQDCXLOXHXMXIXAWMYLUUAYFBUIUVKYFUFUUBAYCYDBIJKUUSXJBCYPDYFMYTOX
        KWHXNXNXOAYAUUGXPKUUGXPYBYHWKAUUGBYAAYAUUHUIUUGBYAWAABJCGIIHKMNTRRSUUFU
        AXQYABUUGVHVFXRAUUGBKUUSXRUBUCIJYAKXSWHXT $.
    $}

    $d k B $.  $d k .0. $.  $d l m F $.  $d k R $.
    mamurid.f $e |- F = ( R maMul <. N , M , M >. ) $.
    mamurid.x $e |- ( ph -> X e. ( B ^m ( N X. M ) ) ) $.
    $( The identity matrix (as operation in maps-to notation) is a right
       identity (for any matrix with the same number of columns).  (Contributed
       by Stefan O'Rear, 3-Sep-2015.)  (Proof shortened by AV, 22-Jul-2019.) $)
    mamurid $p |- ( ph -> ( X F I ) = X ) $=
      ( vl vm vk co wceq cv wral wcel wa cmulr cfv cmpt cgsu crg adantr cfn cxp
      eqid cmap mamumat1cl simprl simprr mamufv cmnd ringmnd ad2antrr wf elmapi
      syl simplrl simpr fovrnd simplrr ringcl syl3anc wne w3a weq simp2 3adant3
      fmpttd cif mat1comp syl2anc ifnefalse 3ad2ant3 eqtrd oveq2d ringrz gsumpt
      suppsssn oveq2 oveq1 oveq12d fvmpt ad2antll equequ1 ifbid equequ2 iftruei
      ovex eqtrdi cur fvexi ovmpo anidms fovrnda ringridm 3eqtrd ralrimivva wfn
      wb mamucl ffnd eqfnov2 mpbird ) AKHGUEZKUFZUBUGZUCUGZXRUEZXTYAKUEZUFZUCIU
      HUBJUHZAYDUBUCJIAXTJUIZYAIUIZUJZUJZYBCUDIXTUDUGZKUEZYJYAHUEZCUKULZUEZUMZU
      NUEYAYOULZYCYIBICYMUDGXTYAJIUOKHTMYMUSZACUOUIZYHNUPZAJUQUIYHSUPAIUQUIYHRU
      PZYTAKBJIURZUTUEZUIZYHUAUPAHBIIURZUTUEUIZYHABCDEFHILMNOPQRVAZUPAYFYGVBAYF
      YGVCZVDYIIBYOCUQYALMPYIYRCVEUIYSCVFVJYTUUGYIUDIYNBYIYJIUIZUJZYRYKBUIZYLBU
      IYNBUIAYRYHUUHNVGZUUIXTYJBJIKAUUABKVHZYHUUHAUUCUULUAKBUUAVIVJZVGAYFYGUUHV
      KYIUUHVLZVMZUUIYJYABIIHAUUDBHVHZYHUUHAUUEUUPUUFHBUUDVIVJVGUUNAYFYGUUHVNZV
      MBCYMYKYLMYQVOVPWBYIIYNUDUQYALYIUUHYJYAVQZVRZYNYKLYMUEZLUUSYLLYKYMUUSYLUD
      UCVSZDLWCZLUUSUUHYGYLUVBUFYIUUHUURVTYIUUHYGUURUUQWAAYJBCDEFHYAILMNOPQRWDW
      EUURYIUVBLUFUUHYJYADLWFWGWHWIYIUUHUUTLUFZUURUUIYRUUJUVCUUKUUOBCYMYKLMYQPW
      JWEWAWHYTWLWKYIYPYCYAYAHUEZYMUEZYCDYMUEZYCYGYPUVEUFAYFUDYAYNUVEIYOUVAYKYC
      YLUVDYMYJYAXTKWMYJYAYAHWNWOYOUSYCUVDYMXBWPWQYGUVEUVFUFAYFYGUVDDYCYMYGUVDD
      UFEFYAYAIIEFVSZDLWCDHUCFVSZDLWCZEUCVSUVGUVHDLEUCFWRWSFUCVSZUVIUCUCVSZDLWC
      DUVJUVHUVKDLFUCUCWTWSUVKDLYAUSXAXCQDCXDOXEXFXGWIWQYIYRYCBUIUVFYCUFYSAXTYA
      BJIKUUMXHBCYMDYCMYQOXIWEXJXJXKAXRUUAXLKUUAXLXSYEXMAUUABXRAXRUUBUIUUABXRVH
      ABICGJIKHMNTSRRUAUUFXNXRBUUAVIVJXOAUUABKUUMXOUBUCJIXRKXPWEXQ $.
  $}

  ${
    $d a b x N $.  $d a b x R $.  $d x y z A $.  $d y z N $.  $d y z R $.
    $d x y z A $.  $d x y z N $.  $d x y z R $.
    matassa.a $e |- A = ( N Mat R ) $.
    $( Existence of the matrix ring, see also the statement in [Lang] p. 504:
       "For a given integer n > 0 the set of square n x n matrices form a
       ring."  (Contributed by Stefan O'Rear, 5-Sep-2015.) $)
    matring $p |- ( ( N e. Fin /\ R e. Ring ) -> A e. Ring ) $=
      ( vx vy va vb wcel crg wa cfv co eqid cv mamucl eleqtrd matplusg2 syl2anc
      wceq vz cfn cbs cxp cmap cplusg cotp cmmul weq cur c0g cmpo matbas2 eqidd
      cif matmulr matgrp simp1r simp1l simp2 simplr simpll simpr1 simpr2 simpr3
      w3a simp3 mamuass mamudir adantr oveq2d 3eqtr4d mamudi oveq1d simpr simpl
      cof mamumat1cl mamulid mamurid isringd ) CUBIZBJIZKZEFUABUCLZCCUDUEMZAUFL
      ZABCCCUGUHMZGHCCGHUIBUJLZBUKLZUOULZABWECJDWENZUMZWDWGUNABWHCJDWHNZUPABCDU
      QWDEOZWFIZFOZWFIZVFWECBWHCCWOWQWLWBWCWPWRURWNWBWCWPWRUSZWSWSWDWPWRUTWDWPW
      RVGPWDWPWRUAOZWFIZVFZKZWECBWHWHWHWHCCCWOWQWTWLWBWCXBVAZWBWCXBVBZXEXEXEWDW
      PWRXAVCZWDWPWRXAVDZWDWPWRXAVEZWNWNWNWNVHXCWOWQWTBUFLZVQZMZWHMWOWQWHMZWOWT
      WHMZXJMZWOWQWTWGMZWHMXLXMWGMZXCWEXIBWHCCCWOWQWTWLXDWNXEXEXEXINZXFXGXHVIXC
      XOXKWOWHXCWQAUCLZIZWTXRIXOXKTXCWQWFXRXGWDWFXRTXBWMVJZQZXCWTWFXRXHXTQAXRXI
      WGBCWQWTDXRNZWGNZXQRSVKXCXLXRIXMXRIZXPXNTXCXLWFXRXCWECBWHCCWOWQWLXDWNXEXE
      XEXFXGPXTQXCXMWFXRXCWECBWHCCWOWTWLXDWNXEXEXEXFXHPXTQZAXRXIWGBCXLXMDYBYCXQ
      RSVLXCWOWQXJMZWTWHMXMWQWTWHMZXJMZWOWQWGMZWTWHMXMYGWGMZXCWEXIBWHCCCWOWQWTW
      LXDWNXEXEXEXQXFXGXHVMXCYIYFWTWHXCWOXRIXSYIYFTXCWOWFXRXFXTQYAAXRXIWGBCWOWQ
      DYBYCXQRSVNXCYDYGXRIYJYHTYEXCYGWFXRXCWECBWHCCWQWTWLXDWNXEXEXEXGXHPXTQAXRX
      IWGBCXMYGDYBYCXQRSVLWDWEBWIGHWKCWJWLWBWCVOWINZWJNZWKNZWBWCVPVRWDWPKZWEBWI
      GHWHWKCCWOWJWLWBWCWPVAZYKYLYMWBWCWPVBZYPWNWDWPVOZVSYNWEBWIGHWHWKCCWOWJWLY
      OYKYLYMYPYPWNYQVTWA $.

    $( Existence of the matrix algebra, see also the statement in [Lang]
       p. 505:  "Then Mat_n(R) is an algebra over R" .  (Contributed by Stefan
       O'Rear, 5-Sep-2015.) $)
    matassa $p |- ( ( N e. Fin /\ R e. CRing ) -> A e. AssAlg ) $=
      ( vy vz vx wcel ccrg wa cbs cfv co cxp eqid wceq eleqtrd matvsca2 syl2anc
      cv cfn cvsca cotp cmmul cmap matbas2 matsca2 eqidd matmulr clmod crngring
      crg matlmod sylan2 matring simpr w3a csn cmulr cof ad2antlr simpll simpr1
      simpr2 simpr3 mamuvs1 adantr oveq1d mamucl 3eqtr4d simplr mamuvs2 isassad
      oveq2d ) CUAHZBIHZJZEFBKLZAUBLZBCCCUCUDMZBVRCCNZUEMZAGABVRCIDVROZUFZABCID
      UGVQVRUHVQVSUHABVTCIDVTOZUIVPVOBULHZAUJHBUKZABCDUMUNVPVOWFAULHWGABCDUOUNV
      OVPUPVQGTZVRHZETZWBHZFTZWBHZUQZJZWAWHURNZWJBUSLZUTZMZWLVTMWPWJWLVTMZWRMZW
      HWJVSMZWLVTMWHWTVSMZWOVRBWQVTCCCWHWJWLWCVPWFVOWNWGVAZWEVOVPWNVBZXEXEWQOZV
      QWIWKWMVCZVQWIWKWMVDZVQWIWKWMVEZVFWOXBWSWLVTWOWIWJAKLZHXBWSPXGWOWJWBXJXHV
      QWBXJPWNWDVGZQAXJWABVSWQVRCWHWJDXJOZWCVSOZXFWAOZRSVHWOWIWTXJHXCXAPXGWOWTW
      BXJWOVRCBVTCCWJWLWCXDWEXEXEXEXHXIVIXKQAXJWABVSWQVRCWHWTDXLWCXMXFXNRSZVJWO
      WJWPWLWRMZVTMXAWJWHWLVSMZVTMXCWOVRBWQVTCCCWJWHWLVOVPWNVKWCXFWEXEXEXEXHXGX
      IVLWOXQXPWJVTWOWIWLXJHXQXPPXGWOWLWBXJXIXKQAXJWABVSWQVRCWHWLDXLWCXMXFXNRSV
      NXOVJVM $.
  $}

  ${
    $d B j $.  $d I j $.  $d J j $.  $d N j $.  $d R j $.  $d X j $.  $d Y j $.
    matmulcell.a $e |- A = ( N Mat R ) $.
    matmulcell.b $e |- B = ( Base ` A ) $.
    matmulcell.m $e |- .X. = ( .r ` A ) $.
    $( Multiplication in the matrix ring for a single cell of a matrix.
       (Contributed by AV, 17-Nov-2019.)  (Revised by AV, 3-Jul-2022.) $)
    matmulcell $p |- ( ( R e. Ring /\ ( X e. B /\ Y e. B )
                         /\ ( I e. N /\ J e. N ) )
                       -> ( I ( X .X. Y ) J ) = ( R gsum ( j e. N |->
                           ( ( I X j ) ( .r ` R ) ( j Y J ) ) ) ) ) $=
      ( wcel wa co cfv eqid adantr 3ad2ant2 crg cotp cmmul cmulr cmpt cgsu wceq
      w3a cv wi cfn cvv matrcl matmulr eqtr4id a1d syl impcom 3adant3 oveqd cbs
      simp1 simpld cxp cmap matbas2i adantl simp3l simp3r mamufv eqtrd ) CUANZI
      BNZJBNZOZFHNZGHNZOZUHZFGIJDPZPFGIJCHHHUBUCPZPZPCEHFEUIZIPWCGJPCUDQZPUEUFP
      VSVTWBFGVSDWAIJVLVODWAUGZVRVOVLWEVMVLWEUJZVNVMHUKNZCULNZOZWFABCHIKLUMZWIW
      EVLWIDAUDQWAMACWAHULKWARZUNUOUPUQSURUSUTUTVSCVAQZHCWDEWAFGHHUAIJWKWLRZWDR
      VLVOVRVBVOVLWGVRVMWGVNVMWGWHWJVCSTZWNWNVOVLIWLHHVDVEPZNZVRVMWPVNABCWLIHKW
      MLVFSTVOVLJWONZVRVNWQVMABCWLJHKWMLVFVGTVLVOVPVQVHVLVOVPVQVIVJVK $.
  $}

  ${
    $d D i j $.  $d F i j $.  $d N i j k l m $.  $d R i j k l m $.
    $d X k l m $.  $d Y k l m $.  $d ph i j k l m $.  $d .x. k l $.
    mpomatmul.a $e |- A = ( N Mat R ) $.
    mpomatmul.b $e |- B = ( Base ` R ) $.
    mpomatmul.m $e |- .X. = ( .r ` A ) $.
    mpomatmul.t $e |- .x. = ( .r ` R ) $.
    mpomatmul.r $e |- ( ph -> R e. V ) $.
    mpomatmul.n $e |- ( ph -> N e. Fin ) $.
    mpomatmul.x $e |- X = ( i e. N , j e. N |-> C ) $.
    mpomatmul.y $e |- Y = ( i e. N , j e. N |-> E ) $.
    mpomatmul.c $e |- ( ( ph /\ i e. N /\ j e. N ) -> C e. B ) $.
    mpomatmul.e $e |- ( ( ph /\ i e. N /\ j e. N ) -> E e. B ) $.
    mpomatmul.d $e |- ( ( ph /\ ( k = i /\ m = j ) ) -> D = C ) $.
    mpomatmul.f $e |- ( ( ph /\ ( m = i /\ l = j ) ) -> F = E ) $.
    mpomatmul.1 $e |- ( ( ph /\ k e. N /\ m e. N ) -> D e. U ) $.
    mpomatmul.2 $e |- ( ( ph /\ m e. N /\ l e. N ) -> F e. W ) $.
    $( Multiplication of two N x N matrices given in maps-to notation.
       (Contributed by AV, 29-Oct-2019.) $)
    mpomatmul $p |- ( ph -> ( X .X. Y )
           = ( k e. N , l e. N |-> ( R gsum ( m e. N |-> ( D .x. F ) ) ) ) ) $=
      ( co cotp cmmul cv cmpt cgsu cmpo cfn wcel wceq wa cmulr cfv eqid matmulr
      eqtr4di oveqd syl2anc cbs cxp cmap w3a eleqtrdi matbas2d eqeltrid matbas2
      eqcomd eleqtrrd mamuval a1i weq wi equcom anbi12i sylan2b 3ad2ant1 adantr
      ex imp simpl2 simpl1 syl3anc ovmpod equcomi anim12i sylan2 simpl3 oveq12d
      simpr mpteq2dva oveq2d mpoeq3dva 3eqtrd ) ASTHUPZSTFPPPUQURUPZUPZLUAPPFMP
      LUSZMUSZSUPZXMUAUSZTUPZGUPZUTZVAUPZVBLUAPPFMPEOGUPZUTZVAUPZVBAPVCVDZFQVDZ
      XIXKVEUGUFYCYDVFZXKXIYEXJHSTYEXJBVGVHHBFXJPQUBXJVIZVJUDVKVLWBVMAFVNVHZPFG
      LMUAXJPPQSTYFYGVIZUEUFUGUGUGASBVNVHZYGPPVOVPUPZASJKPPDVBZYIUHAJKBYIDFYGPQ
      UBYHYIVIZUGUFAJUSPVDKUSPVDVQZDCYGUJUCVRVSVTAYCYDYJYIVEUGUFBFYGPQUBYHWAVMZ
      WCATYIYJATJKPPNVBZYIUIAJKBYINFYGPQUBYHYLUGUFYMNCYGUKUCVRVSVTYNWCWDALUAPPX
      SYBAXLPVDZXOPVDZVQZXRYAFVAYRMPXQXTYRXMPVDZVFZXNEXPOGYTJKXLXMPPDESISYKVEYT
      UHWEYTJLWFZKMWFZVFZDEVEZYRUUCUUDWGZYSAYPUUEYQAUUCUUDAUUCVFEDUUCALJWFZMKWF
      ZVFEDVEUUAUUFUUBUUGJLWHKMWHWIULWJWBWMWKWLWNAYPYQYSWOZYRYSXDZYTAYPYSEIVDAY
      PYQYSWPZUUHUUIUNWQWRYTJKXMXOPPNOTRTYOVEYTUIWEYTJMWFZKUAWFZVFZVFONYTUUMONV
      EZYRUUMUUNWGZYSAYPUUOYQAUUMUUNUUMAMJWFZUAKWFZVFUUNUUKUUPUULUUQJMWSKUAWSWT
      UMXAWMWKWLWNWBUUIAYPYQYSXBZYTAYSYQORVDUUJUUIUURUOWQWRXCXEXFXGXH $.
  $}

  ${
    $d i j x .0. $.  $d i j x .1. $.  $d i j x A $.  $d i j x N $.
    $d i j x R $.
    mat1.a $e |- A = ( N Mat R ) $.
    mat1.o $e |- .1. = ( 1r ` R ) $.
    mat1.z $e |- .0. = ( 0g ` R ) $.
    $( Value of an identity matrix, see also the statement in [Lang] p. 504:
       "The unit element of the ring of n x n matrices is the matrix I_n ...
       whose components are equal to 0 except on the diagonal, in which case
       they are equal to 1.".  (Contributed by Stefan O'Rear, 7-Sep-2015.) $)
    mat1 $p |- ( ( N e. Fin /\ R e. Ring ) -> ( 1r ` A ) =
        ( i e. N , j e. N |-> if ( i = j , .1. , .0. ) ) ) $=
      ( vx wcel crg wa cv wceq cbs cfv co eqid cfn cif cmpo cmulr wral cur cmap
      cxp simpr simpl mamumat1cl matbas2 eleqtrd cotp cmmul adantr oveqd simplr
      matmulr simpll eleq2d biimpar mamulid eqtr3d mamurid ralrimiva wb matring
      jca isringid syl mpbi2and ) FUALZBMLZNZDEFFDOEOPCGUBUCZAQRZLZVPKOZAUDRZSZ
      VSPZVSVPVTSZVSPZNZKVQUEZAUFRZVPPZVOVPBQRZFFUHUGSZVQVOWIBCDEVPFGWITZVMVNUI
      IJVPTZVMVNUJUKABWIFMHWKULZUMVOWEKVQVOVSVQLZNZWBWDWOVPVSBFFFUNUOSZSWAVSWOW
      PVTVPVSVOWPVTPWNABWPFMHWPTZUSUPZUQWOWIBCDEWPVPFFVSGWKVMVNWNURZIJWLVMVNWNU
      TZWTWQVOVSWJLWNVOWJVQVSWMVAVBZVCVDWOVSVPWPSWCVSWOWPVTVSVPWRUQWOWIBCDEWPVP
      FFVSGWKWSIJWLWTWTWQXAVEVDVIVFVOAMLVRWFNWHVGABFHVHKVQAVTWGVPVQTVTTWGTVJVKV
      L $.

    $d I i j $.  $d J i j $.  $d ph i j $.
    mat1ov.n $e |- ( ph -> N e. Fin ) $.
    mat1ov.r $e |- ( ph -> R e. Ring ) $.
    mat1ov.i $e |- ( ph -> I e. N ) $.
    mat1ov.j $e |- ( ph -> J e. N ) $.
    mat1ov.u $e |- U = ( 1r ` A ) $.
    $( Entries of an identity matrix, deduction form.  (Contributed by Stefan
       O'Rear, 10-Jul-2018.) $)
    mat1ov $p |- ( ph -> ( I U J ) = if ( I = J , .1. , .0. ) ) $=
      ( vi vj wceq weq cif cvv cur cfv cmpo cfn wcel crg mat1 syl2anc syl5eq cv
      wa eqeq12 ifbid adantl fvexi c0g ifex a1i ovmpod ) ARSFGHHRSUAZEIUBZFGTZE
      IUBZDUCADBUDUEZRSHHVDUFZQAHUGUHCUIUHVGVHTMNBCERSHIJKLUJUKULRUMZFTSUMZGTUN
      ZVDVFTAVKVCVEEIVIFVJGUOUPUQOPVFUCUHAVEEIECUDKURICUSLURUTVAVB $.
  $}

  ${
    mat1bas.a $e |- A = ( N Mat R ) $.
    mat1bas.b $e |- B = ( Base ` A ) $.
    mat1bas.i $e |- .1. = ( 1r ` ( N Mat R ) ) $.
    $( The identity matrix is a matrix.  (Contributed by AV, 15-Feb-2019.) $)
    mat1bas $p |- ( ( R e. Ring /\ N e. Fin ) -> .1. e. B ) $=
      ( crg wcel cfn wa cmat co eqid matring ancoms cbs cfv fveq2i ringidcl syl
      eqtri ) CIJZEKJZLECMNZIJZDBJUEUDUGUFCEUFOPQBUFDBARSUFRSGAUFRFTUCHUAUB $.
  $}

  ${
    $d i j .0. $.  $d i j A $.  $d i j N $.  $d i j R $.  $d i j .x. $.
    $d L i j $.  $d K i j $.
    matsc.a $e |- A = ( N Mat R ) $.
    matsc.k $e |- K = ( Base ` R ) $.
    matsc.m $e |- .x. = ( .s ` A ) $.
    matsc.z $e |- .0. = ( 0g ` R ) $.
    $( The identity matrix multiplied with a scalar.  (Contributed by Stefan
       O'Rear, 16-Jul-2018.) $)
    matsc $p |- ( ( N e. Fin /\ R e. Ring /\ L e. K ) -> ( L .x. ( 1r ` A ) ) =
        ( i e. N , j e. N |-> if ( i = j , L , .0. ) ) ) $=
      ( cfn wcel cfv co cmpo wceq eqid crg w3a cur cxp csn cmulr cof weq cif wa
      cbs simp3 3simpa matring ringidcl 3syl matvsca2 syl2anc cvv simp1 cv fvex
      c0g fvexi ifex a1i fconstmpo mat1 3adant3 offval22 ovif2 ringridm 3adant1
      simp13 ringrz ifeq12d syl5eq mpoeq3dv 3eqtrd ) HNOZBUAOZGFOZUBZGAUCPZCQZH
      HUDZGUEUDZWDBUFPZUGQZDEHHGDEUHZBUCPZIUIZWHQZRDEHHWJGIUIZRWCWBWDAUKPZOZWEW
      ISVTWAWBULWCVTWAUJAUAOWPVTWAWBUMABHJUNWOAWDWOTZWDTUOUPAWOWFBCWHFHGWDJWQKL
      WHTZWFTUQURWCDEHHGWLWHWGWDNNFUSVTWAWBUTZWSVTWAWBDVAHOZEVAHOZVNWLUSOWCWTXA
      UBWJWKIBUCVBIBVCMVDVEVFWGDEHHGRSWCDEHHGVGVFVTWAWDDEHHWLRSWBABWKDEHIJWKTZM
      VHVIVJWCDEHHWMWNWCWMWJGWKWHQZGIWHQZUIWNWJGWKIWHVKWCWJXCGXDIWAWBXCGSVTFBWH
      WKGKWRXBVLVMWAWBXDISVTFBWHGIKWRMVOVMVPVQVRVS $.
  $}

  ${
    $d F x y $.  $d G x y $.  $d H x y $.  $d R x y $.
    $( Distribution law for the function operation and the composition of
       functions.  (Contributed by Stefan O'Rear, 17-Jul-2018.) $)
    ofco2 $p |- ( ( ( F e. _V /\ G e. _V ) /\ ( Fun H /\
            ( F o. H ) e. _V /\ ( G o. H ) e. _V ) ) ->
        ( ( F oF R G ) o. H ) = ( ( F o. H ) oF R ( G o. H ) ) ) $=
      ( vx vy cvv wcel wa ccom co cdm cin cima cres cfv cmpt wfn wceq wss sylan
      wfun w3a cof ccnv cv simpr1 fvimacnvi funfnd dffn5 sylib reseq1d cnvimass
      resmpt ax-mp eqtrdi offval3 adantr fveq2 fmptco wral ovex rgenw eqid mp1i
      fnmpt fneq1d mpbird fndmd eqimss cores2 3syl funcnvres2 syl coeq2d eqtr3d
      oveq12d simpr2 simpr3 syl2anc dmco ineq12i inpreima eqtr4id simplr1 inss2
      dmcoss sstri a1i sselda fvco inss1 mpteq12dva eqtrd 3eqtr4d ) BGHCGHIZDUB
      ZBDJZGHZCDJZGHZUCZIZBCAUDZKZDDUEZBLZCLZMZNZOZJZEXJEUFZDPZBPZXNCPZAKZQZXED
      JZWRWTXDKZXCEFXJXIXNFUFZBPZYACPZAKZXQXKXEXCWQXMXJHXNXIHWPWQWSXAUGZXMXIDUH
      UAXCXKEDLZXNQZXJOZEXJXNQZXCDYGXJXCDYFRDYGSXCDYEUIEYFDUJUKULXJYFTYHYISDXIU
      MEYFXJXNUNUOUPWPXEFXIYDQSXBFABCGGUQURYAXNSYBXOYCXPAYAXNBUSYAXNCUSVQUTXCXE
      XFXIOUEZJZXSXLXCXELZXISYLXITYKXSSXCXIXEXCXEXIREXIXMBPZXMCPZAKZQZXIRZYOGHZ
      EXIVAYQXCYREXIYMYNAVBVCEXIYOYPGYPVDVFVEXCXIXEYPWPXEYPSXBEABCGGUQURVGVHVIY
      LXIVJXEDXIVKVLXCYJXKXEXCWQYJXKSYEXIDVMVNVOVPXCXTEWRLZWTLZMZXMWRPZXMWTPZAK
      ZQZXRXCWSXAXTUUESWPWQWSXAVRWPWQWSXAVSEAWRWTGGUQVTXCEUUAUUDXJXQXCUUAXFXGNZ
      XFXHNZMZXJYSUUFYTUUGBDWACDWAWBXCWQXJUUHSYEXGXHDWCVNWDXCXMUUAHZIZUUBXOUUCX
      PAUUJWQXMYFHZUUBXOSWQWSXAWPUUIWEZXCUUAYFXMUUAYFTZXCUUAYTYFYSYTWFCDWGWHWIW
      JXMBDWKVTUUJWQUUKUUCXPSUULXCUUAYFXMUUMXCUUAYSYFYSYTWLBDWGWHWIWJXMCDWKVTVQ
      WMWNWO $.

    $( The transposition of the value of a function operation for two functions
       is the value of the function operation for the two functions transposed.
       (Contributed by Stefan O'Rear, 17-Jul-2018.) $)
    oftpos $p |- ( ( F e. V /\ G e. W ) ->
        tpos ( F oF R G ) = ( tpos F oF R tpos G ) ) $=
      ( vx wcel wa cof co cvv csn ccom ctpos elex adantr adantl dftpos4 tposexg
      eqeltrrid cxp c0 cun cv ccnv cuni cmpt wfun wceq funmpt a1i ofco2 oveq12i
      syl23anc 3eqtr4g ) BDGZCEGZHZBCAIZJZFKKUAUBLUCZFUDLUEUFZUGZMZBVCMZCVCMZUS
      JZUTNBNZCNZUSJURBKGZCKGZVCUHZVEKGVFKGVDVGUIUPVJUQBDOPUQVKUPCEOQVLURFVAVBU
      JUKURVEVHKFBRZUPVHKGUQBDSPTURVFVIKFCRZUQVIKGUPCESQTABCVCULUNFUTRVHVEVIVFU
      SVMVNUMUO $.
  $}

  ${
    mattposcl.a $e |- A = ( N Mat R ) $.
    mattposcl.b $e |- B = ( Base ` A ) $.
    $( The transpose of a square matrix is a square matrix of the same size.
       (Contributed by SO, 9-Jul-2018.) $)
    mattposcl $p |- ( M e. B -> tpos M e. B ) $=
      ( wcel ctpos cbs cfv cxp cmap co wf eqid matbas2i cvv cfn syl elmapi 3syl
      tposf wb fvex matrcl simpld xpfi anidms elmapg sylancr wa matbas2 eqtr4di
      mpbird wceq eleqtrd ) DBHZDIZCJKZEELZMNZBURUSVBHZVAUTUSOZURDVBHVAUTDOVDAB
      CUTDEFUTPZGQDUTVAUAEEUTDUCUBURUTRHVASHZVCVDUDCJUEURESHZVFURVGCRHZABCEDFGU
      FZUGVGVFEEUHUITUTVAUSRSUJUKUOURVBAJKZBURVGVHULVBVJUPVIACUTERFVEUMTGUNUQ
      $.

    $( The transpose of the transpose of a square matrix is the square matrix
       itself.  (Contributed by SO, 17-Jul-2018.) $)
    mattpostpos $p |- ( M e. B -> tpos tpos M = M ) $=
      ( wcel wrel cdm ctpos wceq cxp cbs cfv wf cmap co eqid syl matbas2i relxp
      elmapi frel fdmd releqd mpbiri tpostpos2 syl2anc ) DBHZDIZDJZIZDKKDLUJEEM
      ZCNOZDPZUKUJDUOUNQRHUPABCUODEFUOSGUADUOUNUCTZUNUODUDTUJUMUNIEEUBUJULUNUJU
      NUODUQUEUFUGDUHUI $.
  $}

  ${
    mattposvs.a $e |- A = ( N Mat R ) $.
    mattposvs.b $e |- B = ( Base ` A ) $.
    mattposvs.k $e |- K = ( Base ` R ) $.
    mattposvs.v $e |- .x. = ( .s ` A ) $.
    $( The transposition of a matrix multiplied with a scalar equals the
       transposed matrix multiplied with the scalar, see also the statement in
       [Lang] p. 505.  (Contributed by Stefan O'Rear, 17-Jul-2018.) $)
    mattposvs $p |- ( ( X e. K /\ Y e. B ) ->
        tpos ( X .x. Y ) = ( X .x. tpos Y ) ) $=
      ( wcel cxp co ctpos wceq cvv cfn eqid wa csn cmulr cfv cof matrcl sqxpexg
      simpld snex xpexg sylancl oftpos mpancom tposconst oveq1i eqtrdi matvsca2
      syl adantl tposeqd mattposcl sylan2 3eqtr4d ) GEMZHBMZUAZFFNZGUBZNZHCUCUD
      ZUEZOZPZVIHPZVKOZGHDOZPGVNDOZVEVMVOQVDVEVMVIPZVNVKOZVOVIRMZVEVMVSQVEVGRMZ
      VHRMVTVEFSMZWAVEWBCRMABCFHIJUFUHFSUGURGUIVGVHRRUJUKVJVIHRBULUMVRVIVNVKFFG
      UNUOUPUSVFVPVLABVGCDVJEFGHIJKLVJTZVGTZUQUTVEVDVNBMVQVOQABCHFIJVAABVGCDVJE
      FGVNIJKLWCWDUQVBVC $.
  $}

  ${
    $d i j R $.  $d i j N $.  $d i j A $.
    mattpos1.a $e |- A = ( N Mat R ) $.
    mattpos1.o $e |- .1. = ( 1r ` A ) $.
    $( The transposition of the identity matrix is the identity matrix.
       (Contributed by Stefan O'Rear, 17-Jul-2018.) $)
    mattpos1 $p |- ( ( N e. Fin /\ R e. Ring ) -> tpos .1. = .1. ) $=
      ( vi vj cfn wcel wa cur cfv ctpos weq cif cmpo eqid mat1 cv crg wb equcom
      c0g tposmpo tposeqd a1i ifbid mpoeq3ia eqtrdi 3eqtr4a tposeqi 3eqtr4g ) D
      IJBUAJKZALMZNZUOCNCUNGHDDGHOZBLMZBUDMZPZQZNHGDDUTQZUPUOGHDDUTVAVARUEUNUOV
      AABURGHDUSEURRZUSRZSUFUNUOHGDDHGOZURUSPZQVBABURHGDUSEVCVDSHGDDVFUTHTDJGTD
      JKZVEUQURUSVEUQUBVGHGUCUGUHUIUJUKCUOFULFUM $.
  $}

  $( The transposition of an I X J -matrix is a J X I -matrix, see also the
     statement in [Lang] p. 505.  (Contributed by Stefan O'Rear,
     9-Jul-2018.) $)
  tposmap $p |- ( A e. ( B ^m ( I X. J ) ) ->
      tpos A e. ( B ^m ( J X. I ) ) ) $=
    ( cxp cmap co wcel ctpos wf elmapi tposf syl cvv wa wb elmapex cnvxp cnvexg
    ccnv eqeltrrid anim2i elmapg 3syl mpbird ) ABCDEZFGHZAIZBDCEZFGHZUIBUHJZUGU
    FBAJUKABUFKCDBALMUGBNHZUFNHZOULUINHZOUJUKPABUFQUMUNULUMUIUFTNCDRUFNSUAUBBUI
    UHNNUCUDUE $.

  ${
    $d F i j k $.  $d G i j k $.  $d M i j k $.  $d N i j k $.  $d P i j k $.
    $d B i j k $.  $d R i j k $.  $d X i j k $.  $d Y i j k $.  $d ph i j k $.
    mamutpos.f $e |- F = ( R maMul <. M , N , P >. ) $.
    mamutpos.g $e |- G = ( R maMul <. P , N , M >. ) $.
    mamutpos.b $e |- B = ( Base ` R ) $.
    mamutpos.r $e |- ( ph -> R e. CRing ) $.
    mamutpos.m $e |- ( ph -> M e. Fin ) $.
    mamutpos.n $e |- ( ph -> N e. Fin ) $.
    mamutpos.p $e |- ( ph -> P e. Fin ) $.
    mamutpos.x $e |- ( ph -> X e. ( B ^m ( M X. N ) ) ) $.
    mamutpos.y $e |- ( ph -> Y e. ( B ^m ( N X. P ) ) ) $.
    $( Behavior of transposes in matrix products, see also the statement in
       [Lang] p. 505.  (Contributed by Stefan O'Rear, 9-Jul-2018.) $)
    mamutpos $p |- ( ph -> tpos ( X F Y ) = ( tpos Y G tpos X ) ) $=
      ( co vj vi vk cv cmulr cfv cmpt cgsu cmpo ctpos eqid tposmpo wcel wa ccrg
      w3a wceq simpl1 syl cxp cmap wf elmapi simpl3 simpr fovrnd simpl2 crngcom
      syl3anc ovtpos oveq12i eqtr4di mpteq2dva oveq2d mpoeq3dva mamuval tposeqd
      3syl syl5eq tposmap 3eqtr4d ) AUAUBGCDUCHUAUDZUCUDZITZWCUBUDZJTZDUEUFZTZU
      GZUHTZUIZUJZUBUACGDUCHWEWCJUJZTZWCWBIUJZTZWGTZUGZUHTZUIZIJETZUJWMWOFTAWLU
      BUACGWJUIWTUAUBGCWJWKWKUKULAUBUACGWJWSAWECUMZWBGUMZUPZWIWRDUHXDUCHWHWQXDW
      CHUMZUNZWHWFWDWGTZWQXFDUOUMZWDBUMWFBUMWHXGUQXFAXHAXBXCXEURZNUSXFWBWCBGHIX
      FAIBGHUTZVATUMZXJBIVBXIRIBXJVCVRAXBXCXEVDXDXEVEZVFXFWCWEBHCJXFAJBHCUTZVAT
      UMZXMBJVBXISJBXMVCVRXLAXBXCXEVGVFBDWGWDWFMWGUKZVHVIWNWFWPWDWGWEWCJVJWCWBI
      VJVKVLVMVNVOVSAXAWKABCDWGUAUCUBEGHUOIJKMXONOPQRSVPVQABGDWGUBUCUAFCHUOWMWO
      LMXONQPOAXNWMBCHUTVATUMSJBHCVTUSAXKWOBHGUTVATUMRIBGHVTUSVPWA $.
  $}

  ${
    mattposm.a $e |- A = ( N Mat R ) $.
    mattposm.b $e |- B = ( Base ` A ) $.
    mattposm.t $e |- .x. = ( .r ` A ) $.
    $( Multiplying two transposed matrices results in the transposition of the
       product of the two matrices.  (Contributed by Stefan O'Rear,
       17-Jul-2018.) $)
    mattposm $p |- ( ( R e. CRing /\ X e. B /\ Y e. B ) ->
        tpos ( X .x. Y ) = ( tpos Y .x. tpos X ) ) $=
      ( ccrg wcel w3a co ctpos cfv eqid 3ad2ant3 matbas2i oveqd cmmul cbs simp1
      cotp cfn cvv matrcl cxp cmap 3ad2ant2 mamutpos cmulr wceq matmulr syl2anc
      simpld eqtr4id tposeqd 3eqtr4d ) CKLZFBLZGBLZMZFGCEEEUDUANZNZOGOZFOZVDNFG
      DNZOVFVGDNVCCUBPZECVDVDEEFGVDQZVJVIQZUTVAVBUCZVBUTEUELZVAVBVMCUFLABCEGHIU
      GUPRZVNVNVAUTFVIEEUHUINZLVBABCVIFEHVKISUJVBUTGVOLVAABCVIGEHVKISRUKVCVHVEV
      CDVDFGVCDAULPZVDJVCVMUTVDVPUMVNVLACVDEKHVJUNUOUQZTURVCDVDVFVGVQTUS $.
  $}

  ${
    $d B r $.  $d M r $.  $d N r $.  $d R r $.
    madetsumid.a $e |- A = ( N Mat R ) $.
    madetsumid.b $e |- B = ( Base ` A ) $.
    madetsumid.u $e |- U = ( mulGrp ` R ) $.
    $( Closure of a group sum over the diagonal coefficients of a square matrix
       over a commutative ring.  (Contributed by AV, 29-Dec-2018.)  (Proof
       shortened by AV, 23-Jul-2019.) $)
    matgsumcl $p |- ( ( R e. CRing /\ M e. B )
                    -> ( U gsum ( r e. N |-> ( r M r ) ) ) e. ( Base ` R ) ) $=
      ( ccrg wcel wa cbs cfv cv co eqid adantr simpr mgpbas ccmn crngmgp matrcl
      cfn cvv adantl simpld cxp cmap matbas2i elmapi fovrnd ralrimiva gsummptcl
      wf 3syl ) CKLZEBLZMZCNOZGDFGPZVBEQZVACDJVARZUAURDUBLUSCDJUCSUTFUELZCUFLZU
      SVEVFMURABCFEHIUDUGUHUTVCVALGFUTVBFLZMVBVBVAFFEUTFFUIZVAEUPZVGUTUSEVAVHUJ
      QLVIURUSTABCVAEFHVDIUKEVAVHULUQSUTVGTZVJUMUNUO $.

    $d P r $.
    madetsumid.y $e |- Y = ( ZRHom ` R ) $.
    madetsumid.s $e |- S = ( pmSgn ` N ) $.
    madetsumid.t $e |- .x. = ( .r ` R ) $.
    $( The identity summand in the Leibniz' formula of a determinant for a
       square matrix over a commutative ring.  (Contributed by AV,
       29-Dec-2018.) $)
    madetsumid $p |- ( ( R e. CRing /\ M e. B /\ P = ( _I |` N ) )
      -> ( ( ( Y o. S ) ` P ) .x. ( U gsum ( r e. N |-> ( ( P ` r ) M r ) ) ) )
         = ( U gsum ( r e. N |-> ( r M r ) ) ) ) $=
      ( wceq cfv co ccrg wcel cid cres w3a ccom cv cmpt cgsu fveq2 fveq1 oveq1d
      mpteq2dv oveq2d oveq12d 3ad2ant3 cur cfn cvv matrcl simpld csymg c0g czrh
      cpsgn coeq12i a1i eqid symgid adantl fveq12d cmhm crg crngring zrhpsgnmhm
      wa cmgp oveq2i eleqtrrdi sylan ringidval mhm0 syl fvresi mpteq2dva sylan2
      eqtrd cbs matgsumcl ringlidm syl2an2r 3adant3 ) DUAUBZHBUBZCUCIUDZRZUECJE
      UFZSZGKIKUGZCSZWSHTZUHZUITZFTZWOWQSZGKIWSWOSZWSHTZUHZUITZFTZGKIWSWSHTZUHZ
      UITZWPWMXDXJRWNWPWRXEXCXIFCWOWQUJWPXBXHGUIWPKIXAXGWPWTXFWSHWSCWOUKULUMUNU
      OUPWMWNXJXMRWPWMWNVPXJDUQSZXMFTZXMWNWMIURUBZXJXORWNXPDUSUBABDIHLMUTVAWMXP
      VPZXEXNXIXMFXQXEIVBSZVCSZDVDSZIVESZUFZSZXNXQWOXSWQYBWQYBRXQJXTEYAOPVFVGXP
      WOXSRWMIXRURXRVHVIVJVKXQYBXRGVLTZUBZYCXNRWMDVMUBZXPYEDVNZYFXPVPYBXRDVQSZV
      LTYDIDVOGYHXRVLNVRVSVTXRGYBXNXSXSVHDXNGNXNVHZWAWBWCWGXQXHXLGUIXQKIXGXKXQW
      SIUBZVPXFWSWSHYJXFWSRXQIWSWDVJULWEUNUOWFWMYFWNXMDWHSZUBXOXMRYGABDGHIKLMNW
      IYKDFXNXMYKVHQYIWJWKWGWLWG $.
  $}

  ${
    $d B n $.  $d M n $.  $d P n $.  $d R n $.  $d Q n $.
    matepmcl.a $e |- A = ( N Mat R ) $.
    matepmcl.b $e |- B = ( Base ` A ) $.
    matepmcl.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    $( Each entry of a matrix with an index as permutation of the other is an
       element of the underlying ring.  (Contributed by AV, 1-Jan-2019.) $)
    matepmcl $p |- ( ( R e. Ring /\ Q e. P /\ M e. B )
                            -> A. n e. N ( ( Q ` n ) M n ) e. ( Base ` R ) ) $=
      ( crg wcel w3a cv cfv co cbs wa eqid csymg symgfv 3ad2antl2 eleq2i biimpi
      simpr 3ad2ant3 adantr matecl syl3anc ralrimiva ) ELMZDCMZGBMZNZFOZDPZUPGQ
      ERPZMZFHUOUPHMZSUQHMZUTGARPZMZUSUMULUTVAUNHCDHUAPZUPVDTKUBUCUOUTUFUOVCUTU
      NULVCUMUNVCBVBGJUDUEUGUHAEUQUPURGHIURTUIUJUK $.

    $( Each entry of a matrix with an index as permutation of the other is an
       element of the underlying ring.  (Contributed by AV, 1-Jan-2019.) $)
    matepm2cl $p |- ( ( R e. Ring /\ Q e. P /\ M e. B )
                            -> A. n e. N ( n M ( Q ` n ) ) e. ( Base ` R ) ) $=
      ( crg wcel w3a cv cfv co cbs wa eqid simpr symgfv 3ad2antl2 eleq2i biimpi
      csymg 3ad2ant3 adantr matecl syl3anc ralrimiva ) ELMZDCMZGBMZNZFOZUPDPZGQ
      ERPZMZFHUOUPHMZSUTUQHMZGARPZMZUSUOUTUAUMULUTVAUNHCDHUFPZUPVDTKUBUCUOVCUTU
      NULVCUMUNVCBVBGJUDUEUGUHAEUPUQURGHIURTUIUJUK $.
  $}

  ${
    $d B n $.  $d M n $.  $d N n $.  $d P n $.  $d Q n $.  $d R n $.
    madetsmelbas.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    madetsmelbas.s $e |- S = ( pmSgn ` N ) $.
    madetsmelbas.y $e |- Y = ( ZRHom ` R ) $.
    madetsmelbas.a $e |- A = ( N Mat R ) $.
    madetsmelbas.b $e |- B = ( Base ` A ) $.
    madetsmelbas.g $e |- G = ( mulGrp ` R ) $.
    $( A summand of the determinant of a matrix belongs to the underlying ring.
       (Contributed by AV, 1-Jan-2019.) $)
    madetsmelbas $p |- ( ( R e. CRing /\ M e. B /\ Q e. P )
                         -> ( ( ( Y o. S ) ` Q ) ( .r ` R )
             ( G gsum ( n e. N |-> ( ( Q ` n ) M n ) ) ) ) e. ( Base ` R ) ) $=
      ( wcel cfv co ccrg w3a crg ccom cbs cmpt cgsu cmulr crngring 3ad2ant1 cfn
      cv cvv matrcl simpld 3ad2ant2 simp3 zrhcopsgnelbas syl3anc mgpbas crngmgp
      eqid ccmn wral simp2 matepmcl gsummptcl ringcl ) EUARZIBRZDCRZUBZEUCRZDKF
      UDSZEUESZRZHGJGULZDSVQITZUFUGTZVORVNVSEUHSZTVORVIVJVMVKEUIUJZVLVMJUKRZVKV
      PWAVJVIWBVKVJWBEUMRABEJIOPUNUOUPZVIVJVKUQZCDEFJKLMNURUSVLVOGHJVRVOEHQVOVB
      ZUTVIVJHVCRVKEHQVAUJWCVLVMVKVJVRVORGJVDWAWDVIVJVKVEABCDEGIJOPLVFUSVGVOEVT
      VNVSWEVTVBVHUS $.

    $( A summand of the determinant of a matrix belongs to the underlying ring.
       (Contributed by AV, 1-Jan-2019.) $)
    madetsmelbas2 $p |- ( ( R e. CRing /\ M e. B /\ Q e. P )
                         -> ( ( ( Y o. S ) ` Q ) ( .r ` R )
             ( G gsum ( n e. N |-> ( n M ( Q ` n ) ) ) ) ) e. ( Base ` R ) ) $=
      ( wcel cfv co ccrg w3a crg ccom cbs cmpt cgsu cmulr crngring 3ad2ant1 cfn
      cv cvv matrcl simpld 3ad2ant2 simp3 zrhcopsgnelbas syl3anc mgpbas crngmgp
      eqid ccmn wral simp2 matepm2cl gsummptcl ringcl ) EUARZIBRZDCRZUBZEUCRZDK
      FUDSZEUESZRZHGJGULZVQDSITZUFUGTZVORVNVSEUHSZTVORVIVJVMVKEUIUJZVLVMJUKRZVK
      VPWAVJVIWBVKVJWBEUMRABEJIOPUNUOUPZVIVJVKUQZCDEFJKLMNURUSVLVOGHJVRVOEHQVOV
      BZUTVIVJHVCRVKEHQVAUJWCVLVMVKVJVRVORGJVDWAWDVIVJVKVEABCDEGIJOPLVFUSVGVOEV
      TVNVSWEVTVBVHUS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Matrices of dimension 0 and 1
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  As already mentioned before, and shown in ~ mat0dimbas0 , the empty set is
  the sole zero-dimensional matrix (also called "empty matrix", see Wikipedia
  ~ https://en.wikipedia.org/wiki/Matrix_(mathematics)#Empty_matrices).  In the
  following, some properties of the empty matrix are shown, especially that the
  empty matrix over an arbitrary ring forms a commutative ring, see
  ~ mat0dimcrng .

  For the one-dimensional case, it can be shown that a ring of matrices with
  dimension 1 is isomorphic to the underlying ring, see ~ mat1ric .

$)

  $( The empty set is the one and only matrix of dimension 0, called "the empty
     matrix".  (Contributed by AV, 27-Feb-2019.) $)
  mat0dimbas0 $p |- ( R e. V -> ( Base ` ( (/) Mat R ) ) = { (/) } ) $=
    ( wcel cbs cfv c0 cxp cmap c1o cmat csn wceq 0xp a1i oveq2d fvex map0e eqid
    co cvv mp1i eqtrd cfn 0fin matbas2 mpan df1o2 3eqtr3d ) ABCZADEZFFGZHSZIFAJ
    SZDEZFKZUIULUJFHSZIUIUKFUJHUKFLUIFMNOUJTCUPILUIADPUJTQUAUBFUCCUIULUNLUDUMAU
    JFBUMRUJRUEUFIUOLUIUGNUH $.

  ${
    mat0dim.a $e |- A = ( (/) Mat R ) $.
    $( The zero of the algebra of matrices with dimension 0.  (Contributed by
       AV, 6-Aug-2019.) $)
    mat0dim0 $p |- ( R e. Ring -> ( 0g ` A ) = (/) ) $=
      ( crg wcel c0g cfv cbs c0 wceq cgrp cfn 0fin matring mpan ringgrp grpidcl
      eqid 3syl csn cmat co fveq2i mat0dimbas0 syl5eq eleq2d elsni syl6bi mpd )
      BDEZAFGZAHGZEZUKIJZUJADEZAKEUMILEUJUOMABICNOAPULAUKULRUKRQSUJUMUKITZEUNUJ
      ULUPUKUJULIBUAUBZHGUPAUQHCUCBDUDUEUFUKIUGUHUI $.

    $( The identity of the algebra of matrices with dimension 0.  (Contributed
       by AV, 6-Aug-2019.) $)
    mat0dimid $p |- ( R e. Ring -> ( 1r ` A ) = (/) ) $=
      ( crg wcel cur cfv cbs c0 wceq cfn 0fin matring mpan eqid ringidcl syl co
      csn cmat fveq2i mat0dimbas0 syl5eq eleq2d elsni syl6bi mpd ) BDEZAFGZAHGZ
      EZUIIJZUHADEZUKIKEUHUMLABICMNUJAUIUJOUIOPQUHUKUIISZEULUHUJUNUIUHUJIBTRZHG
      UNAUOHCUABDUBUCUDUIIUEUFUG $.

    $( The scalar multiplication in the algebra of matrices with dimension 0.
       (Contributed by AV, 6-Aug-2019.) $)
    mat0dimscm $p |- ( ( R e. Ring /\ X e. ( Base ` R ) )
                       -> ( X ( .s ` A ) (/) ) = (/) ) $=
      ( crg wcel cbs cfv wa c0 cvsca wceq simpl clmod csca cfn 0fin eleq2d eqid
      co matlmod sylancr matsca2 mpan fveq2d biimpa csn snid fveq2i mat0dimbas0
      0ex cmat syl5eq eleqtrrid adantr lmodvscl syl3anc elsni syl6bi sylc ) BEF
      ZCBGHZFZIZVACJAKHZTZAGHZFZVFJLZVAVCMZVDANFZCAOHZGHZFZJVGFZVHVDJPFZVAVKQVJ
      ABJDUAUBVAVCVNVAVBVMCVABVLGVPVABVLLQABJEDUCUDUERUFVAVOVCVAJJUGZVGJUKUHVAV
      GJBULTZGHVQAVRGDUIBEUJUMZUNUOCVEVLVMVGAJVGSVLSVESVMSUPUQVAVHVFVQFVIVAVGVQ
      VFVSRVFJURUSUT $.

    $d A x y $.
    $( The algebra of matrices with dimension 0 (over an arbitrary ring!) is a
       commutative ring.  (Contributed by AV, 10-Aug-2019.) $)
    mat0dimcrng $p |- ( R e. Ring -> A e. CRing ) $=
      ( vx vy crg wcel cv cfv co wceq cbs wral c0 0ex oveq1 oveq2 eqeq12d ralsn
      eqid ccrg cfn 0fin matring mpan cmat csn mat0dimbas0 eqcomi fveq2i eqeq1i
      cmulr wi wa eqidd bitri sylibr wb raleq raleqbi1dv adantr mpbird ex sylbi
      ralbidv mpcom iscrng2 sylanbrc ) BFGZAFGZDHZEHZAULIZJZVLVKVMJZKZEALIZMZDV
      QMZAUAGNUBGVIVJUCABNCUDUENBUFJZLIZNUGZKZVIVSBFUHWCVQWBKZVIVSUMWAVQWBVTALA
      VTCUIUJUKWDVIVSWDVIUNZVSVPEWBMZDWBMZWENNVMJZWHKZWGWEWHUOWGNVLVMJZVLNVMJZK
      ZEWBMZWIWFWMDNOVKNKZVPWLEWBWNVNWJVOWKVKNVLVMPVKNVLVMQRVESWLWIENOVLNKWJWHW
      KWHVLNNVMQVLNNVMPRSUPUQWDVSWGURVIVRWFDVQWBVPEVQWBUSUTVAVBVCVDVFDEVQAVMVQT
      VMTVGVH $.
  $}

  ${
    $d B r $.  $d E r $.  $d M r $.  $d R r $.  $d V r $.
    mat1dim.a $e |- A = ( { E } Mat R ) $.
    mat1dim.b $e |- B = ( Base ` R ) $.
    mat1dim.o $e |- O = <. E , E >. $.
    $( A matrix with dimension 1 is an ordered pair with an ordered pair (of
       the one and only pair of indices) as first component.  (Contributed by
       AV, 15-Aug-2019.) $)
    mat1dimelbas $p |- ( ( R e. Ring /\ E e. V )
                -> ( M e. ( Base ` A ) <-> E. r e. B M = { <. O , r >. } ) ) $=
      ( wcel wa csn wf cop wceq wrex wb cvv crg cbs cfv cxp cv cmap co cfn snfi
      simpl matbas2 eqcomd eleq2d sylancr fvexi pm3.2i xpexg elmapg bitrd xpsng
      snex mp1i anidms adantl feq2d opex fsn2 risset eqcom sylbb ad2antrl eqeq1
      rexbii sneqbg ax-mp eqid vex opth2 mpbiran bitri bitrdi rexbidv mpbird ex
      syl5bi sylbid wf1o f1o2sn f1of syl adantll wss snssi fssd feq1 syl5ibrcom
      rexlimdva impbid eqcomi opeq1i sneqi eqeq2i a1i ) CUALZDGLZMZEAUBUCZLZDNZ
      XIUDZBEOZEFHUEZPZNZQZHBRZXFXHEBXJUFUGZLZXKXFXIUHLZXDXHXRSDUIXDXEUJXSXDMZX
      GXQEXTXQXGACBXIUAIJUKULUMUNXFBTLXJTLZXRXKSBCUBJUOXITLZYBMYAXFYBYBDVAZYCUP
      XIXITTUQVBBXJETTURUNUSXFXKEDDPZXLPZNZQZHBRZXPXFXKYHXFXKYDNZBEOZYHXFXJYIBE
      XEXJYIQZXDXEYKDDGGUTVCVDVEYJYDEUCZBLZEYDYLPZNZQZMZXFYHYDBEDDVFZVGXFYQYHXF
      YQMZYHYLXLQZHBRZYMUUAXFYPYMXLYLQZHBRUUAHYLBVHUUBYTHBXLYLVIVMVJVKYSYGYTHBY
      QYGYTSZXFYPUUCYMYPYGYOYFQZYTEYOYFVLUUDYNYEQZYTYNTLUUDUUESYDYLVFYNYETVNVOU
      UEYDYDQYTYDVPYDYLYDXLYRHVQVRVSVTWAVDVDWBWCWDWEWFXFYGXKHBXFXLBLZMZXKYGXJBY
      FOUUGXJXLNZBYFXEUUFXJUUHYFOZXDXEUUFMXJUUHYFWGUUIDGBXLWHXJUUHYFWIWJWKUUFUU
      HBWLXFXLBWMVDWNXJBEYFWOWPWQWRXFYGXOHBYGXOSXFYFXNEYEXMYDFXLFYDKWSWTXAXBXCW
      BUSUS $.

    $d O r $.  $d X r $.
    $( A matrix with dimension 1 is an ordered pair with an ordered pair (of
       the one and only pair of indices) as first component.  (Contributed by
       AV, 15-Aug-2019.) $)
    mat1dimbas $p |- ( ( R e. Ring /\ E e. V /\ X e. B )
                     -> { <. O , X >. } e. ( Base ` A ) ) $=
      ( vr wcel cop csn wceq wrex cvv wb opex mpbird crg cv risset eqcom rexbii
      w3a cbs cfv sylbb2 3ad2ant3 eqeltri simp3 opthg sylancr sneqbg ax-mp eqid
      wa biantrur 3bitr4g rexbidv mat1dimelbas 3adant3 ) CUALZDFLZGBLZUFZEGMZNZ
      AUGUHLZVIEKUBZMZNOZKBPZVGVNGVKOZKBPZVFVDVPVEVFVKGOZKBPVPKGBUCVOVQKBGVKUDU
      EUIUJVGVMVOKBVGVHVLOZEEOZVOURZVMVOVGEQLVFVRVTREDDMQJDDSUKVDVEVFULEGEVKQBU
      MUNVHQLVMVRREGSVHVLQUOUPVSVOEUQUSUTVATVDVEVJVNRVFABCDVIEFKHIJVBVCT $.

    $d E x y $.  $d R x y $.  $d V x y $.
    $( The zero of the algebra of matrices with dimension 1.  (Contributed by
       AV, 15-Aug-2019.) $)
    mat1dim0 $p |- ( ( R e. Ring /\ E e. V )
                     -> ( 0g ` A ) = { <. O , ( 0g ` R ) >. } ) $=
      ( vx vy wcel wa c0g cfv csn cop wceq eqid cvv crg cmpo snfi anim2i ancomd
      cfn a1i mat0op syl simpr fvexd w3a eqidd mposn eqcomi opeq1i sneqi eqtrdi
      cv syl3anc eqtrd ) CUALZDFLZMZANOZJKDPZVFCNOZUBZEVGQZPZVDVFUFLZVBMVEVHRVD
      VBVKVCVKVBVKVCDUCUGUDUEACJKVFVGGVGSUHUIVDVCVCVGTLZVHVJRVBVCUJZVMVDCNUKVCV
      CVLULVHDDQZVGQZPVJJKDDVGVGTVGVHFFVHSJUSDRVGUMKUSDRVGUMUNVOVIVNEVGEVNIUOUP
      UQURUTVA $.

    $d A x y $.
    $( The identity of the algebra of matrices with dimension 1.  (Contributed
       by AV, 15-Aug-2019.) $)
    mat1dimid $p |- ( ( R e. Ring /\ E e. V )
                     -> ( 1r ` A ) = { <. O , ( 1r ` R ) >. } ) $=
      ( vx vy wcel wa cur cfv csn cif cop wceq eqid crg weq c0g cmpo cfn anim2i
      snfi a1i ancomd mat1 syl cvv simpr fvex ifex cv eqeq1 ifbid eqeq2 syl3anc
      mposn iftruei opeq2i sneqi eqtrdi opeq1i eqtr4di eqtrd ) CUALZDFLZMZANOZJ
      KDPZVMJKUBZCNOZCUCOZQZUDZEVORZPZVKVMUELZVIMVLVRSVKVIWAVJWAVIWAVJDUGUHUFUI
      ACVOJKVMVPGVOTVPTUJUKVKVRDDRZVORZPZVTVKVRWBDDSZVOVPQZRZPZWDVKVJVJWFULLZVR
      WHSVIVJUMZWJWIVKWEVOVPCNUNCUCUNUOUHJKDDVQDKUPZSZVOVPQULWFVRFFVRTJUPZDSVNW
      LVOVPWMDWKUQURWKDSWLWEVOVPWKDDUSURVAUTWGWCWFVOWBWEVOVPDTVBVCVDVEVSWCEWBVO
      IVFVDVGVH $.

    $d B x $.  $d O x $.  $d X x $.  $d Y x $.
    $( The scalar multiplication in the algebra of matrices with dimension 1.
       (Contributed by AV, 16-Aug-2019.) $)
    mat1dimscm $p |- ( ( ( R e. Ring /\ E e. V ) /\ ( X e. B /\ Y e. B ) )
                       -> ( X ( .s ` A ) { <. O , Y >. } )
                          = { <. O , ( X ( .r ` R ) Y ) >. } ) $=
      ( wcel wa csn cop cfv cvv syl adantl wceq vx crg cxp cmulr cof cmpt cvsca
      co wfn opex eqeltri anim2i ancomd fnsng xpsng fneq1d mpbird sneqi eqtr4di
      a1i anidms ad2antlr xpeq1d sylan snex inidm cv elsni eqcomi opeq1i eqtrdi
      wi fveq2 eqtrd fveq1d fvsng sylan9eq ex impcom offval simprl simpr df-3an
      cbs sylibr mat1dimbas eqid matvsca2 syl2anc 3anass biimpri adantlr ringcl
      w3a fmptsn sylancr 3eqtr4d ) CUBLZDFLZMZGBLZHBLZMZMZDNZXEUCZGNZUCZEHONZCU
      DPZUEUHZUAENZGHXJUHZUFZGXIAUGPZUHZEXMONZXDUAXLXLGHXJXLXHXIQQXDXHXLUIXLXGU
      CZXLUIZXDXSEGOZNZXLUIZXCYBWTXCEQLZXAMZYBXCXAYCXBYCXAYCXBEDDOZQKDDUJZUKZUT
      ULUMZEGQBUNRSXDXLXRYAXCXRYATZWTXCYDYIYHEGQBUORSUPUQXDXLXHXRXDXFXLXGWSXFXL
      TZWRXCWSYJWSWSMXFYENZXLDDFFUOZEYEKURUSVAVBVCUPUQXCXIXLUIZWTXAYCXBYMYCXAYG
      UTZEHQBUNVDSXLQLXDEVEUTZYOXLVFUAVGZXLLZXDYPXHPZGTZYQYPETZXDYSVLYPEVHZYTXD
      YSYTXDYREXHPZGYPEXHVMXDUUBEYAPZGXDEXHYAXDXHYKXGUCZYAXDXFYKXGWSXFYKTZWRXCW
      SUUEYLVAVBVCXCUUDYATZWTXCYEQLZXAMZUUFXCXAUUGXBUUGXAUUGXBYFUTULUMUUHUUDYEG
      OZNYAYEGQBUOUUIXTYEEGEYEKVIVJURVKRSVNVOXCUUCGTZWTXCYDUUJYHEGQBVPRSVNVQVRR
      VSYQXDYPXIPZHTZYQYTXDUULVLUUAYTXDUULYTXDUUKEXIPZHYPEXIVMXCUUMHTZWTXAYCXBU
      UNYNEHQBVPVDSVQVRRVSVTXDXAXIAWDPZLZXPXKTWTXAXBWAXDWRWSXBWNZUUPXDWTXBMUUQX
      CXBWTXAXBWBULWRWSXBWCWEABCDEFHIJKWFRAUUOXFCXOXJBXEGXIIUUOWGJXOWGXJWGZXFWG
      WHWIXDYCXMBLZXQXNTYGXDWRXAXBWNZUUSWRXCUUTWSUUTWRXCMWRXAXBWJWKWLBCXJGHJUUR
      WMRUAEXMQBWOWPWQ $.

    $d B k y $.  $d E k $.  $d O k x y $.  $d R k $.  $d V k $.  $d X k y $.
    $d Y k y $.
    $( The ring multiplication in the algebra of matrices with dimension 1.
       (Contributed by AV, 16-Aug-2019.)  (Proof shortened by AV,
       18-Apr-2021.) $)
    mat1dimmul $p |- ( ( ( R e. Ring /\ E e. V ) /\ ( X e. B /\ Y e. B ) )
                       -> ( { <. O , X >. } ( .r ` A ) { <. O , Y >. } )
                          = { <. O , ( X ( .r ` R ) Y ) >. } ) $=
      ( vk wcel cop csn cfv co wceq a1i cvv vx vy wa cmulr cotp cmmul cmpt cgsu
      crg cmpo cfn snfi simpl eqid matmulr eqcomd sylancr adantr oveqd cxp cmap
      cv wf opex adantl wb opeq1i sneqi xpsng anidms feq12d ad2antlr mpbird cbs
      fsnd fvexi snex xpex elmapd simpr mamuval ccmn ad2antrr wral df-ov fveq1i
      ringcmn eqtri anim2i ancomd fvsng syl syl5eq eqeltrd sylan ringcl syl3anc
      oveq2 oveq1 oveq12d eqcomi eleq12d ralsng gsummptcl oveq1d mpteq2dv mposn
      oveq2d cmnd ringmnd gsumsn opeq12d sneqd opeq2d 3eqtrd ) CUIMZDFMZUCZGBMZ
      HBMZUCZUCZEGNZOZEHNZOZAUDPZQYDYFCDOZYHYHUEUFQZQUAUBYHYHCLYHUAVBZLVBZYDQZY
      KUBVBZYFQZCUDPZQZUGZUHQZUJZEGHYOQZNZOZYBYGYIYDYFXRYGYIRZYAXRYHUKMZXPUUCDU
      LZXPXQUMZUUDXPUCYIYGACYIYHUIIYIUNZUOUPUQURUSYBBYHCYOUALUBYIYHYHUIYDYFUUGJ
      YOUNZXRXPYAUUFURZUUDYBUUESZUUJUUJYBYDBYHYHUTZVAQZMUUKBYDVCZYBUUMDDNZOZBUU
      NGNZOZVCZYBUUNGTBUUNTMZYBDDVDZSZYAXSXRXSXTUMVEZVOXQUUMUURVFXPYAXQUUKUUOBY
      DUUQYDUUQRXQYCUUPEUUNGKVGVHZSXQUUKUUORDDFFVIVJZVKVLVMYBBUUKYDTTBTMYBBCVNJ
      VPSZUUKTMYBYHYHDVQZUVFVRSZVSVMYBYFUULMUUKBYFVCZYBUVHUUOBUUNHNZOZVCZYBUUNH
      TBUVAYAXTXRXSXTVTVEZVOXQUVHUVKVFXPYAXQUUKUUOBYFUVJYFUVJRXQYEUVIEUUNHKVGVH
      ZSUVDVKVLVMYBBUUKYFTTUVEUVGVSVMWAYBYSUUNCLYHDYKYDQZYKDYFQZYOQZUGZUHQZNZOZ
      EDDYDQZDDYFQZYOQZNZOUUBYBXQXQUVRCVNPZMYSUVTRXRXQYAXPXQVTURZUWFYBUWELCYHUV
      PUWEUNXPCWBMXQYACWGWCUUJYBUVPUWEMZLYHWDZUWCBMZYBXPUWABMUWBBMUWIUUIYBUWAGB
      YBUWAUUNUUQPZGUWAUUNYDPUWJDDYDWEUUNYDUUQUVCWFWHYAUWJGRZXRYAUUSXSUCUWKYAXS
      UUSXTUUSXSUUSXTUUTSWIWJUUNGTBWKWLVEWMZUVBWNYBUWBHBYBUWBUUNUVJPZHUWBUUNYFP
      UWMDDYFWEUUNYFUVJUVMWFWHYAUWMHRZXRXSUUSXTUWNUUSXSUUTSUUNHTBWKWOVEWMZUVLWN
      BCYOUWAUWBJUUHWPWQZXQUWHUWIVFXPYAUWGUWILDFYKDRZUVPUWCUWEBUWQUVNUWAUVOUWBY
      OYKDDYDWRYKDDYFWSWTZUWEBRUWQBUWEJXASXBXCVLVMXDUAUBDDYRCLYHUVNYNYOQZUGZUHQ
      UWEUVRYSFFYSUNYJDRZYQUWTCUHUXALYHYPUWSUXAYLUVNYNYOYJDYKYDWSXEXFXHYMDRZUWT
      UVQCUHUXBLYHUWSUVPUXBYNUVOUVNYOYMDYKYFWRXHXFXHXGWQYBUVSUWDYBUUNEUVRUWCUUN
      ERYBEUUNKXASYBCXIMZXQUWIUVRUWCRXPUXCXQYACXJWCUWFUWPUVPBUWCLCDFJUWRXKWQXLX
      MYBUWDUUAYBUWCYTEYBUWAGUWBHYOUWLUWOWTXNXMXOXO $.

    $d A a b x y $.  $d B a b $.  $d E a b $.  $d O a b $.  $d R a b $.
    $d V a b $.
    $( The algebra of matrices with dimension 1 over a commutative ring is a
       commutative ring.  (Contributed by AV, 16-Aug-2019.) $)
    mat1dimcrng $p |- ( ( R e. CRing /\ E e. V ) -> A e. CRing ) $=
      ( vx vy va vb wcel wa cv co wceq csn cop ccrg crg cmulr cfv cbs wral snfi
      cfn crngring adantr matring sylancr wrex wb mat1dimelbas anbi12d sylan wi
      simpll simprl simprr eqid crngcom syl3anc opeq2d anim1i mat1dimmul pm3.22
      sneqd syl2an 3eqtr4d expr oveq12 ad4ant24 expcom ad2antlr rexlimdva2 impd
      imp sylbid ralrimivv iscrng2 sylanbrc ) CUANZDFNZOZAUBNZJPZKPZAUCUDZQZWIW
      HWJQZRZKAUEUDZUFJWNUFAUANWFDSZUHNCUBNZWGDUGWDWPWECUIZUJACWOGUKULWFWMJKWNW
      NWFWHWNNZWIWNNZOZWHELPZTSZRZLBUMZWIEMPZTSZRZMBUMZOZWMWDWPWEWTXIUNWQWPWEOZ
      WRXDWSXHABCDWHEFLGHIUOABCDWIEFMGHIUOUPUQWFXDXHWMWFXCXHWMURLBWFXABNZOZXCOZ
      XGWMMBXMXEBNZOZXGOXBXFWJQZXFXBWJQZWKWLXOXPXQRZXGXMXNXRXLXNXRURXCWFXKXNXRW
      FXKXNOZOZEXAXECUCUDZQZTZSZEXEXAYAQZTZSZXPXQXTYCYFXTYBYEEXTWDXKXNYBYERWDWE
      XSUSWFXKXNUTWFXKXNVABCYAXAXEHYAVBVCVDVEVIWFXJXSXPYDRWDWPWEWQVFZABCDEFXAXE
      GHIVGUQWFXJXNXKOXQYGRXSYHXKXNVHABCDEFXEXAGHIVGVJVKVLUJVSUJXCXGWKXPRXLXNWH
      XBWIXFWJVMVNXOXGWLXQRZXCXGYIURXLXNXGXCYIWIXFWHXBWJVMVOVPVSVKVQVQVRVTWAJKW
      NAWJWNVBWJVBWBWC $.
  $}

  ${
    mat1rhmval.k $e |- K = ( Base ` R ) $.
    mat1rhmval.a $e |- A = ( { E } Mat R ) $.
    mat1rhmval.b $e |- B = ( Base ` A ) $.
    mat1rhmval.o $e |- O = <. E , E >. $.
    mat1rhmval.f $e |- F = ( x e. K |-> { <. O , x >. } ) $.

    $d K x $.  $d O x $.
    $( There is a 1-1 function from a ring onto the ring of matrices with
       dimension 1 over this ring.  (Contributed by AV, 22-Dec-2019.) $)
    mat1f1o $p |- ( ( R e. Ring /\ E e. V ) -> F : K -1-1-onto-> B ) $=
      ( crg wcel csn cmap cvv wceq wa wf1o co cv cop cmpt cbs fvexi opex pm3.2i
      eqeltri cxp vex xpsn eqcomi mpteq2i mapsnf1o mp1i eqidd sneqi simpr xpsng
      a1i cfv sylancom eqtr4id oveq2d cfn simpl matbas2 sylancr eqtrd f1oeq123d
      snfi mpbird ) DOPZEIPZUAZGCFUBGGHQZRUCZAGHAUDZUEQZUFZUBZGSPZHSPZUAWDVRWEW
      FGDUGJUHHEEUEZSMEEUIUKZUJAGWCHSSAGWBVSWAQULZWIWBHWAWHAUMUNUOUPUQURVRGGCVT
      FWCFWCTVRNVCVRGUSVRCBUGVDZVTLVRVTGEQZWKULZRUCZWJVRVSWLGRVRVSWGQZWLHWGMUTV
      PVQVQWLWNTVPVQVAEEIIVBVEVFVGVRWKVHPVPWMWJTEVNVPVQVIBDGWKOKJVJVKVLVFVMVO
      $.

    $d E x $.  $d R x $.  $d V x $.  $d X x $.
    $( The value of the ring homomorphism ` F ` .  (Contributed by AV,
       22-Dec-2019.) $)
    mat1rhmval $p |- ( ( R e. Ring /\ E e. V /\ X e. K )
                       -> ( F ` X ) = { <. O , X >. } ) $=
      ( crg wcel cop csn cvv w3a cv wceq opeq2 sneqd simp3 snex a1i fvmptd3 ) D
      PQZEIQZJGQZUAZAJHAUBZRZSHJRZSZGFTOUNJUCUOUPUNJHUDUEUJUKULUFUQTQUMUPUGUHUI
      $.

    $( The value of the ring homomorphism ` F ` .  (Contributed by AV,
       22-Dec-2019.) $)
    mat1rhmelval $p |- ( ( R e. Ring /\ E e. V /\ X e. K )
                         -> ( E ( F ` X ) E ) = X ) $=
      ( wcel cfv cop cvv syl5eq crg w3a df-ov csn mat1rhmval fveq1d eqcomi wceq
      co fveq2i opex eqeltri simp3 fvsng sylancr eqtrd ) DUAPZEIPZJGPZUBZEEJFQZ
      UIEERZVAQZJEEVAUCUTVCVBHJRUDZQZJUTVBVAVDABCDEFGHIJKLMNOUEUFUTVEHVDQZJVBHV
      DHVBNUGUJUTHSPUSVFJUHHVBSNEEUKULUQURUSUMHJSGUNUOTUPT $.

    $( The value of the ring homomorphism ` F ` is a matrix with dimension 1.
       (Contributed by AV, 22-Dec-2019.) $)
    mat1rhmcl $p |- ( ( R e. Ring /\ E e. V /\ X e. K ) -> ( F ` X ) e. B ) $=
      ( crg wcel w3a cop cfv csn cbs mat1dimbas mat1rhmval wceq a1i 3eltr4d ) D
      PQEIQJGQRZHJSUABUBTZJFTCBGDEHIJLKNUCABCDEFGHIJKLMNOUDCUIUEUHMUFUG $.

    $d B x $.
    $( There is a function from a ring to the ring of matrices with dimension 1
       over this ring.  (Contributed by AV, 22-Dec-2019.) $)
    mat1f $p |- ( ( R e. Ring /\ E e. V ) -> F : K --> B ) $=
      ( crg wcel wa wf1o wf mat1f1o f1of syl ) DOPEIPQGCFRGCFSABCDEFGHIJKLMNTGC
      FUAUB $.

    $d A i j w x y $.  $d B w y $.  $d E i j w x y $.  $d F i j w x y $.
    $d K w y $.  $d R i j w y $.  $d V w y $.
    $( There is a group homomorphism from the additive group of a ring to the
       additive group of the ring of matrices with dimension 1 over this ring.
       (Contributed by AV, 22-Dec-2019.) $)
    mat1ghm $p |- ( ( R e. Ring /\ E e. V ) -> F e. ( R GrpHom A ) ) $=
      ( wcel cfv adantr co wceq syl3anc vw vy vi vj wa cplusg eqid cgrp ringgrp
      crg csn snfi simpl matgrp sylancr mat1f cv wral simpr adantl mat1rhmelval
      cfn oveq12d mat1rhmcl snidg jca matplusgcell syl21anc ringacl 3eqtr4rd wb
      oveq1 eqeq12d oveq2 2ralsng syl2anc mpbird matring eqmat isghmd ) DUJOZEI
      OZUEZUAUBDUFPZBUFPZDBFGCJLWDUGZWEUGZWADUHOWBDUIQWCEUKZVBOZWABUHOEULZWAWBU
      MZBDWHKUNUOABCDEFGHIJKLMNUPWCUAUQZGOZUBUQZGOZUEZUEZWLWNWDRZFPZWLFPZWNFPZW
      ERZSZUCUQZUDUQZWSRZXDXEXBRZSZUDWHURUCWHURZWQXIEEWSRZEEXBRZSZWQEEWTRZEEXAR
      ZWDRZWRXKXJWQXMWLXNWNWDWQWAWBWMXMWLSWCWAWPWKQZWCWBWPWAWBUSZQZWPWMWCWMWOUM
      UTZABCDEFGHIWLJKLMNVATWQWAWBWOXNWNSXPXRWPWOWCWMWOUSUTZABCDEFGHIWNJKLMNVAT
      VCWQWTCOZXACOZEWHOZYCUEZXKXOSWQWAWBWMYAXPXRXSABCDEFGHIWLJKLMNVDTZWQWAWBWO
      YBXPXRXTABCDEFGHIWNJKLMNVDTZWCYDWPWBYDWAWBYCYCEIVEZYGVFUTQBCWDWEDEEWHWTXA
      KLWGWFVGVHWQWAWBWRGOZXJWRSXPXRWQWAWMWOYHXPXSXTGWDDWLWNJWFVITZABCDEFGHIWRJ
      KLMNVATVJWCXIXLVKZWPWCWBWBYJXQXQXHEXEWSRZEXEXBRZSXLUCUDEEIIXDESXFYKXGYLXD
      EXEWSVLXDEXEXBVLVMXEESYKXJYLXKXEEEWSVNXEEEXBVNVMVOVPQVQWQWSCOZXBCOZXCXIVK
      WQWAWBYHYMXPXRYIABCDEFGHIWRJKLMNVDTWQBUJOZYAYBYNWCYOWPWCWIWAYOWJWKBDWHKVR
      UOQYEYFCWEBWTXALWGVITBCDUCUDWHWSXBKLVSVPVQVT $.

    ${
      $d B e w $.  $d E e $.  $d F e x y $.  $d K e $.  $d M w x y $.
      $d N w x y $.  $d R e $.  $d V e $.
      mat1mhm.m $e |- M = ( mulGrp ` R ) $.
      mat1mhm.n $e |- N = ( mulGrp ` A ) $.
      $( There is a monoid homomorphism from the multiplicative group of a ring
         to the multiplicative group of the ring of matrices with dimension 1
         over this ring.  (Contributed by AV, 22-Dec-2019.) $)
      mat1mhm $p |- ( ( R e. Ring /\ E e. V ) -> F e. ( M MndHom N ) ) $=
        ( wcel co vw vy vi vj ve crg wa cmnd wf cv cmulr cfv wceq wral cur cmhm
        w3a ringmgp adantr csn cfn snfi simpl matring sylancr syl mat1f ringmnd
        cmpt cgsu simpr simpll cbs eqid snidg ad2antlr simprl mat1rhmcl syl3anc
        matecld simprr ringcl oveq2 oveq1 oveq12d adantl mat1rhmelval eqtrd jca
        gsumsnd matmulcell 3eqtr4rd wb eqeq12d sylancom mpbird eqmat ralrimivva
        2ralsng syl2anc cop ringidcl mat1rhmval mpd3an3 mat1dimid eqtr4d mgpbas
        3jca mgpplusg ringidval ismhm syl21anbrc ) DUFSZEKSZUGZHUHSZIUHSZGCFUIZ
        UAUJZUBUJZDUKULZTZFULZXSFULZXTFULZBUKULZTZUMZUBGUNUAGUNZDUOULZFULZBUOUL
        ZUMZUQFHIUPTSXMXPXNDHQURUSXOBUFSZXQXOEUTZVASXMYNEVBXMXNVCBDYOMVDVEZBIRU
        RVFXOXRYIYMABCDEFGJKLMNOPVGXOYHUAUBGGXOXSGSZXTGSZUGZUGZYHUCUJZUDUJZYCTZ
        UUAUUBYGTZUMZUDYOUNUCYOUNZYTUUFEEYCTZEEYGTZUMZYTDUEYOEUEUJZYDTZUUJEYETZ
        YATZVIVJTZYBUUHUUGYTUUNEEYDTZEEYETZYATZYBYTUUMGUUQUEDEKLXODUHSZYSXMUURX
        NDVHUSUSXOXNYSXMXNVKZUSZYTXMUUOGSUUPGSUUQGSXMXNYSVLZYTBBVMULZDEEGYDYOML
        UVBVNZXNEYOSZXMYSEKVOZVPZUVFYTXMXNYQYDUVBSUVAUUTXOYQYRVQZABUVBDEFGJKXSL
        MUVCOPVRVSVTYTBUVBDEEGYEYOMLUVCUVFUVFYTXMXNYRYEUVBSUVAUUTXOYQYRWAZABUVB
        DEFGJKXTLMUVCOPVRVSVTGDYAUUOUUPLYAVNZWBVSUUJEUMZUUMUUQUMYTUVJUUKUUOUULU
        UPYAUUJEEYDWCUUJEEYEWDWEWFWJYTUUOXSUUPXTYAYTXMXNYQUUOXSUMUVAUUTUVGABCDE
        FGJKXSLMNOPWGVSYTXMXNYRUUPXTUMUVAUUTUVHABCDEFGJKXTLMNOPWGVSWEWHYTXMYDCS
        ZYECSZUGUVDUVDUGZUUHUUNUMUVAYTUVKUVLYTXMXNYQUVKUVAUUTUVGABCDEFGJKXSLMNO
        PVRVSZYTXMXNYRUVLUVAUUTUVHABCDEFGJKXTLMNOPVRVSZWIXNUVMXMYSXNUVDUVDUVEUV
        EWIVPBCDYFUEEEYOYDYEMNYFVNZWKVSYTXMXNYBGSZUUGYBUMUVAUUTYTXMYQYRUVQUVAUV
        GUVHGDYAXSXTLUVIWBVSZABCDEFGJKYBLMNOPWGVSWLXOUUFUUIWMZYSXMXNXNUVSUUSUUE
        EUUBYCTZEUUBYGTZUMUUIUCUDEEKKUUAEUMUUCUVTUUDUWAUUAEUUBYCWDUUAEUUBYGWDWN
        UUBEUMUVTUUGUWAUUHUUBEEYCWCUUBEEYGWCWNWSWOUSWPYTYCCSZYGCSZYHUUFWMYTXMXN
        UVQUWBUVAUUTUVRABCDEFGJKYBLMNOPVRVSYTYNUVKUVLUWCXOYNYSYPUSUVNUVOCBYFYDY
        ENUVPWBVSBCDUCUDYOYCYGMNWQWTWPWRXOYKJYJXAUTZYLXMXNYJGSZYKUWDUMXMUWEXNGD
        YJLYJVNZXBUSABCDEFGJKYJLMNOPXCXDBGDEJKMLOXEXFXHUAUBGCYAYFHIFYLYJGDHQLXG
        CBIRNXGDYAHQUVIXIBYFIRUVPXIDYJHQUWFXJBYLIRYLVNXJXKXL $.
    $}

    $( There is a ring homomorphism from a ring to the ring of matrices with
       dimension 1 over this ring.  (Contributed by AV, 22-Dec-2019.) $)
    mat1rhm $p |- ( ( R e. Ring /\ E e. V ) -> F e. ( R RingHom A ) ) $=
      ( crg wcel wa co cmgp cfv cghm cmhm crh simpl csn matring sylancr mat1ghm
      cfn snfi eqid mat1mhm jca isrhm syl21anbrc ) DOPZEIPZQZUPBOPZFDBUARPZFDST
      ZBSTZUBRPZQFDBUCRPUPUQUDZUREUEZUIPUPUSEUJVDBDVEKUFUGURUTVCABCDEFGHIJKLMNU
      HABCDEFGVAVBHIJKLMNVAUKZVBUKZULUMDBFVAVBVFVGUNUO $.

    $( There is a ring isomorphism from a ring to the ring of matrices with
       dimension 1 over this ring.  (Contributed by AV, 22-Dec-2019.) $)
    mat1rngiso $p |- ( ( R e. Ring /\ E e. V ) -> F e. ( R RingIso A ) ) $=
      ( crg wcel wa crs co crh wf1o mat1rhm mat1f1o wb csn snfi matring sylancr
      cfn simpl isrim syldan mpbir2and ) DOPZEIPZQZFDBRSPZFDBTSPZGCFUAZABCDEFGH
      IJKLMNUBABCDEFGHIJKLMNUCUNUOBOPZUQURUSQUDUPEUEZUIPUNUTEUFUNUOUJBDVAKUGUHG
      CDBFOOJLUKULUM $.
  $}

  ${
    $d A y $.  $d E x y $.  $d R x y $.  $d V y $.
    mat1ric.a $e |- A = ( { E } Mat R ) $.
    $( A ring is isomorphic to the ring of matrices with dimension 1 over this
       ring.  (Contributed by AV, 30-Dec-2019.) $)
    mat1ric $p |- ( ( R e. Ring /\ E e. V ) -> R ~=r A ) $=
      ( vx vy crg wcel wa crs co c0 wne cbs cfv cop cv csn eqid cric cmpt opeq2
      wbr weq sneqd cbvmptv mat1rngiso ne0d brric sylibr ) BHICDIJZBAKLZMNBAUAU
      DULUMFBOPZCCQZFRZQZSZUBZGAAOPZBCUSUNUODUNTEUTTUOTFGUNURUOGRZQZSFGUEUQVBUP
      VAUOUCUFUGUHUIBAUJUK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The subalgebras of diagonal and scalar matrices
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  According to Wikipedia ("Diagonal Matrix", 8-Dec-2019,
  ~ https://en.wikipedia.org/wiki/Diagonal_matrix ): "In linear algebra,
  a _diagonal matrix_ is a matrix in which the entries outside the main
  diagonal are all zero; the term usually refers to square matrices."  The
  diagonal matrices are mentioned in [Lang] p. 576, but without giving them a
  dedicated definition.  Furthermore, "A diagonal matrix with all its main
  diagonal entries equal is a _scalar matrix_, that is, a scalar multiple
  ` la .* I ` of the identity matrix ` I `.  Its effect on a vector is scalar
  multiplication by ` la ` [see ~ scmatscm !]".  The scalar multiples of the
  identity matrix are mentioned in [Lang] p. 504, but without giving them a
  special name.

  The main results of this subsection are the definitions of the sets of
  diagonal and scalar matrices ( ~ df-dmat and ~ df-scmat ), basic properties
  of (elements of) these sets, and theorems showing that the diagonal matrices
  form a subring of the ring of square matrices ( ~ dmatsrng ), that the scalar
  matrices form a subring of the ring of square matrices ( ~ scmatsrng ), that
  the scalar matrices form a subring of the ring of diagonal matrices
  ( ~ scmatsrng1 ) and that the ring of scalar matrices over a commutative ring
  is a commutative ring ( ~ scmatcrng ).

$)

  $c DMat ScMat $.

  $( Extend class notation for the algebra of diagonal matrices. $)
  cdmat $a class DMat $.

  $( Extend class notation for the algebra of scalar matrices. $)
  cscmat $a class ScMat $.

  ${
    $d i j m n r $.
    $( Define the set of n x n diagonal (square) matrices over a set (usually a
       ring) r, see definition in [Roman] p. 4 or Definition 3.12 in [Hefferon]
       p. 240.  (Contributed by AV, 8-Dec-2019.) $)
    df-dmat $a |- DMat = ( n e. Fin , r e. _V |->
                        { m e. ( Base ` ( n Mat r ) ) | A. i e. n A. j e. n
                                   ( i =/= j -> ( i m j ) = ( 0g ` r ) ) } ) $.
  $}

  ${
    $d a c m n r $.
    $( Define the algebra of n x n scalar matrices over a set (usually a ring)
       r, see definition in [Connell] p. 57:  "A _scalar matrix_ is a diagonal
       matrix for which all the diagonal terms are equal, i.e., a matrix of the
       form cI_n".  (Contributed by AV, 8-Dec-2019.) $)
    df-scmat $a |- ScMat = ( n e. Fin , r e. _V |-> [_ ( n Mat r ) / a ]_
                             { m e. ( Base ` a ) | E. c e. ( Base ` r )
                                         m = ( c ( .s ` a ) ( 1r ` a ) ) } ) $.
  $}

  ${
    $d B m n r $.  $d N i j m n r $.  $d R i j m n r $.  $d V n r $.
    $d .0. n r $.
    dmatval.a $e |- A = ( N Mat R ) $.
    dmatval.b $e |- B = ( Base ` A ) $.
    dmatval.0 $e |- .0. = ( 0g ` R ) $.
    dmatval.d $e |- D = ( N DMat R ) $.
    $( The set of ` N ` x ` N ` diagonal matrices over (a ring) ` R ` .
       (Contributed by AV, 8-Dec-2019.) $)
    dmatval $p |- ( ( N e. Fin /\ R e. V )
                    -> D = { m e. B | A. i e. N A. j e. N
                                     ( i =/= j -> ( i m j ) = .0. ) } ) $=
      ( wcel cv wceq cvv cfv cbs vn vr cfn wa cdmat wne wral crab c0g cmat cmpo
      co wi df-dmat a1i oveq12 fveq2d fveq2i eqtri eqtr4di adantl eqeq2d imbi2d
      simpl fveq2 raleqbidv rabeqbidv elex fvexi rabexg mp1i ovmpod syl5eq ) HU
      COZDIOZUDZCHDUEULEPZFPZUFZVQVRGPULZJQZUMZFHUGZEHUGZGBUHZNVPUAUBHDUCRVSVTU
      BPZUISZQZUMZFUAPZUGZEWJUGZGWJWFUJULZTSZUHZWEUERUEUAUBUCRWOUKQVPEFGUAUBUNU
      OWJHQZWFDQZUDZWOWEQVPWRWLWDGWNBWRWNHDUJULZTSZBWRWMWSTWJHWFDUJUPUQBATSWTLA
      WSTKURUSUTWRWKWCEWJHWPWQVDZWRWIWBFWJHXAWRWHWAVSWRWGJVTWQWGJQWPWQWGDUISJWF
      DUIVEMUTVAVBVCVFVFVGVAVNVOVDVODROVNDIVHVABROWEROVPBATLVIWDGBRVJVKVLVM $.

    $d M i j m $.  $d .0. m $.
    $( A ` N ` x ` N ` diagonal matrix over (a ring) ` R ` .  (Contributed by
       AV, 18-Dec-2019.) $)
    dmatel $p |- ( ( N e. Fin /\ R e. V )
                   -> ( M e. D <-> ( M e. B /\ A. i e. N A. j e. N
                                        ( i =/= j -> ( i M j ) = .0. ) ) ) ) $=
      ( vm wcel wa cv wceq wral cfn wne co wi crab dmatval eleq2d eqeq1d imbi2d
      oveq 2ralbidv elrab bitrdi ) HUAPDIPQZGCPGERZFRZUBZUOUPORZUCZJSZUDZFHTEHT
      ZOBUEZPGBPUQUOUPGUCZJSZUDZFHTEHTZQUNCVCGABCDEFOHIJKLMNUFUGVBVGOGBURGSZVAV
      FEFHHVHUTVEUQVHUSVDJUOUPURGUJUHUIUKULUM $.

    $( An ` N ` x ` N ` diagonal matrix over (the ring) ` R ` is an ` N ` x
       ` N ` matrix over (the ring) ` R ` .  (Contributed by AV,
       18-Dec-2019.) $)
    dmatmat $p |- ( ( N e. Fin /\ R e. V ) -> ( M e. D -> M e. B ) ) $=
      ( vi vj cfn wcel wa cv wne wral co wceq wi dmatel simpl syl6bi ) FOPDGPQE
      CPEBPZMRZNRZSUHUIEUAHUBUCNFTMFTZQUGABCDMNEFGHIJKLUDUGUJUEUF $.
  $}

  ${
    $d A i j $.  $d N i j $.  $d R i j $.
    dmatid.a $e |- A = ( N Mat R ) $.
    dmatid.b $e |- B = ( Base ` A ) $.
    dmatid.0 $e |- .0. = ( 0g ` R ) $.
    dmatid.d $e |- D = ( N DMat R ) $.
    $( The identity matrix is a diagonal matrix.  (Contributed by AV,
       19-Aug-2019.)  (Revised by AV, 18-Dec-2019.) $)
    dmatid $p |- ( ( N e. Fin /\ R e. Ring ) -> ( 1r ` A ) e. D ) $=
      ( vi vj wcel crg wa cur cfv cv wceq wral cfn wne co matring eqid ringidcl
      wi syl cif simpl adantr simpr adantl mat1ov ifnefalse sylan9eq ralrimivva
      ex dmatel mpbir2and ) EUAMZDNMZOZAPQZCMVDBMZKRZLRZUBZVFVGVDUCZFSZUGZLETKE
      TVCANMVEADEGUDBAVDHVDUEZUFUHVCVKKLEEVCVFEMZVGEMZOZOZVHVJVPVHVIVFVGSDPQZFU
      IFVPADVDVQVFVGEFGVQUEIVCVAVOVAVBUJUKVCVBVOVAVBULUKVOVMVCVMVNUJUMVOVNVCVMV
      NULUMVLUNVFVGVQFUOUPURUQABCDKLVDENFGHIJUSUT $.

    $d I i j $.  $d J j $.  $d X i j $.  $d .0. i j $.
    $( An extradiagonal entry of a diagonal matrix is equal to zero.
       (Contributed by AV, 19-Aug-2019.)  (Revised by AV, 18-Dec-2019.) $)
    dmatelnd $p |- ( ( ( N e. Fin /\ R e. Ring /\ X e. D )
                   /\ ( I e. N /\ J e. N /\ I =/= J ) ) -> ( I X J ) = .0. ) $=
      ( vi vj wcel wne co wceq wi cfn crg w3a wa wral dmatel neeq1 oveq1 eqeq1d
      cv imbi12d neeq2 oveq2 rspc2v com23 3impia com12 2a1i impd sylbid imp ) G
      UAPZDUBPZHCPZUCEGPZFGPZEFQZUCZEFHRZISZVBVCVDVHVJTZVBVCUDZVDHBPZNUJZOUJZQZ
      VNVOHRZISZTZOGUENGUEZUDVKABCDNOHGUBIJKLMUFVLVMVTVKVTVKTVLVMVHVTVJVEVFVGVT
      VJTVEVFUDVTVGVJVSVGVJTEVOQZEVOHRZISZTNOEFGGVNESZVPWAVRWCVNEVOUGWDVQWBIVNE
      VOHUHUIUKVOFSZWAVGWCVJVOFEULWEWBVIIVOFEHUMUIUKUNUOUPUQURUSUTUPVA $.

    $d D k x y $.  $d N k x y $.  $d R k x y $.  $d X k x y $.  $d Y k x y $.
    $( The product of two diagonal matrices.  (Contributed by AV, 19-Aug-2019.)
       (Revised by AV, 18-Dec-2019.) $)
    dmatmul $p |- ( ( ( N e. Fin /\ R e. Ring ) /\ ( X e. D /\ Y e. D ) )
                    -> ( X ( .r ` A ) Y ) = ( x e. N , y e. N
             |-> if ( x = y , ( ( x X y ) ( .r ` R ) ( x Y y ) ) , .0. ) ) ) $=
      ( wcel wa co wceq ad2antlr adantl vk cfn crg cmulr cfv cotp cmmul cv cmpt
      cgsu cmpo cif eqid matmulr adantr eqcomd oveqd cbs simplr simpll cxp cmap
      dmatmat imp matbas2i syl adantrr adantrl mamuval w3a csn cdif cplusg ccmn
      ringcmn cvv c0g ovexd fvexd fsuppmptdm simp2 simpr matecl syl3anc simplr3
      3ad2ant1 ringcl simp3 eleqtrdi a1d imp32 eqtr ancoms oveq2d adantlr oveq1
      wi oveq12d gsumdifsnd wne simprl eldifi eldifsni necomd dmatelnd syl13anc
      3jca oveq1d syl2anc eqtrd mpteq2dva cmnd diffi ringmnd anim12ci gsumz jca
      ringlz mndlid 3eqtrd iftrue eqtr4d wn simprr biimpcd sylbir impcom ringrz
      df-ne neeq1 neqne pm2.61ian anim2i ancomd iffalse mpoeq3dva ) GUBOZFUCOZP
      ZHEOZIEOZPZPZHICUDUEZQHIFGGGUFUGQZQABGGFUAGAUHZUAUHZHQZUUGBUHZIQZFUDUEZQZ
      UIZUJQZUKABGGUUFUUIRZUUFUUIHQZUUFUUIIQZUUKQZJULZUKUUCUUDUUEHIUUCUUEUUDYSU
      UEUUDRUUBCFUUEGUCKUUEUMZUNUOUPUQUUCFURUEZGFUUKAUABUUEGGUCHIUUTUVAUMZUUKUM
      ZYQYRUUBUSZYQYRUUBUTZUVEUVEYSYTHUVAGGVAVBQZOZUUAYSYTPHDOZUVGYSYTUVHCDEFHG
      UCJKLMNVCVDZCDFUVAHGKUVBLVEVFVGYSUUAIUVFOZYTYSUUAPIDOZUVJYSUUAUVKCDEFIGUC
      JKLMNVCVDCDFUVAIGKUVBLVEVFVHVIUUCABGGUUNUUSUUOUUCUUFGOZUUIGOZVJZUUNUUSRUU
      OUVNPZUUNUURUUSUVOUUNFUAGUUFVKZVLZUULUIZUJQZUURFVMUEZQJUURUVTQZUURUVOGUVA
      UVTUAFUUFUBUULUURUVBUVTUMZUVNFVNOZUUOUUCUVLUWCUVMYRUWCYQUUBFVOSWFTUVNYQUU
      OUUCUVLYQUVMUVEWFTZUVOUAGUUMVPVPUULFVQUEUUMUMUWDUVOUUGGOZPZUUHUUJUUKVRUVO
      FVQVSVTUWFYRUUHUVAOZUUJUVAOZUULUVAOUVNYRUUOUWEUUCUVLYRUVMUVDWFZSUWFUVLUWE
      HCURUEZOZUWGUVNUVLUUOUWEUUCUVLUVMWAZSUVOUWEWBZUVNUWKUUOUWEUUCUVLUWKUVMYSY
      TUWKUUAYSYTUWKCUWJEFHGUCJKUWJUMZMNVCVDVGWFSCFUUFUUGUVAHGKUVBWCZWDUWFUWEUV
      MIUWJOZUWHUWMUUCUVLUVMUUOUWEWEUVNUWPUUOUWEUUCUVLUWPUVMYSUUAUWPYTYSUUAUWPC
      UWJEFIGUCJKUWNMNVCZVDVHWFZSCFUUGUUIUVAIGKUVBWCZWDUVAFUUKUUHUUJUVBUVCWGWDU
      VNUVLUUOUWLTUVNUURUVAOZUUOUVNYRUUPUVAOZUUQUVAOZUWTUWIUVNUVLUVMUWKUXAUWLUU
      CUVLUVMWHZUUCUVLUWKUVMUUCHDUWJYSYTUVHUUAUVIVGLWIWFZCFUUFUUIUVAHGKUVBWCWDZ
      UVNUVLUVMUWPUXBUWLUXCUUCUVLUWPUVMYSYTUUAUWPYSUUAUWPWQYTUWQWJWKWFZCFUUFUUI
      UVAIGKUVBWCZWDUVAFUUKUUPUUQUVBUVCWGZWDTUVOUUGUUFRZPUUHUUPUUJUUQUUKUUOUXIU
      UHUUPRUVNUUOUXIPUUGUUIUUFHUXIUUOUUGUUIRUUGUUFUUIWLWMWNWOUXIUUJUUQRUVOUUGU
      UFUUIIWPTWRWSUVOUVSJUURUVTUVOUVSFUAUVQJUIZUJQZJUVOUVRUXJFUJUVOUAUVQUULJUV
      OUUGUVQOZPZUULJUUJUUKQZJUXMUUHJUUJUUKUXMYQYRYTVJZUVLUWEUUFUUGWTZUUHJRZUVN
      UXOUUOUXLUUCUVLUXOUVMUUCYQYRYTUVEUVDYSYTUUAXAXGWFZSUVNUVLUUOUXLUWLSUXLUWE
      UVOUUGGUVPXBTZUXLUXPUVOUXLUUGUUFUUGGUUFXCXDTCDEFUUFUUGGHJKLMNXEZXFXHUXMYR
      UWHUXNJRZUVNYRUUOUXLUWISUXMUWEUVMUWPUWHUXSUUCUVLUVMUUOUXLWEUVNUWPUUOUXLUW
      RSUWSWDUVAFUUKUUJJUVBUVCMXRZXIXJXKWNUVOFXLOZUVQUBOZPZUXKJRUVNUYEUUOUUCUVL
      UYEUVMYSUYEUUBYQUYDYRUYCGUVPXMFXNZXOUOWFTUVQUAFUBJMXPVFXJXHUVOUYCUWTPZUWA
      UURRUVNUYGUUOUVNUYCUWTUUCUVLUYCUVMYRUYCYQUUBUYFSWFUVNYRUXAUXBUWTUWIUXEUVN
      UVLUVMUWPUXBUWLUXCUWRUXGWDUXHWDXQTUVAUVTFUURJUVBUWBMXSVFXTUUOUUSUURRUVNUU
      OUURJYAUOYBUUOYCZUVNPZUUNFUAGJUIZUJQZJUUSUYIUUMUYJFUJUYIUAGUULJUUFUUGRZUY
      IUWEPZUULJRUYLUYMPZUULUUHJUUKQZJUYNUUJJUUHUUKUYNYQYRUUAVJZUWEUVMUUGUUIWTZ
      UUJJRUYMUYPUYLUVNUYPUYHUWEUUCUVLUYPUVMUUCYQYRUUAUVEUVDYSYTUUAYDXGWFSTUYLU
      YIUWEYDUYMUVMUYLUUCUVLUVMUYHUWEWEZTUYMUYLUYQUYIUYLUYQWQZUWEUYHUYSUVNUYHUU
      FUUIWTZUYSUUFUUIYIUYLUYTUYQUUFUUGUUIYJYEYFUOUOYGCDEFUUGUUIGIJKLMNXEXFWNUY
      MUYOJRZUYLUYMYRUWGVUAUVNYRUYHUWEUWISZUYMUVLUWEUWKUWGUVNUVLUYHUWEUWLSZUYIU
      WEWBZUVNUWKUYHUWEUXDSUWOWDUVAFUUKUUHJUVBUVCMYHXITXJUYLYCZUYMPZUULUXNJVUFU
      UHJUUJUUKVUFUXOUVLUWEUXPUXQUYMUXOVUEUVNUXOUYHUWEUXRSTUYMUVLVUEVUCTVUEUYIU
      WEYDVUEUXPUYMUUFUUGYKUOUXTXFXHUYMUYAVUEUYMYRUWHUYAVUBUYMUWEUVMUWPUWHVUDUY
      RUVNUWPUYHUWEUXFSUWSWDUYBXITXJYLXKWNUVNUYKJRZUYHUUCUVLVUGUVMYSVUGUUBYSUYC
      YQPVUGYSYQUYCYRUYCYQUYFYMYNGUAFUBJMXPVFUOWFTUYHJUUSRUVNUYHUUSJUUOUURJYOUP
      UOXTYLYPXT $.

    $d D i j $.  $d Y i j $.
    $( The difference of two diagonal matrices is a diagonal matrix.
       (Contributed by AV, 19-Aug-2019.)  (Revised by AV, 18-Dec-2019.) $)
    dmatsubcl $p |- ( ( ( N e. Fin /\ R e. Ring ) /\ ( X e. D /\ Y e. D ) )
                   -> ( X ( -g ` A ) Y ) e. D ) $=
      ( vi vj wcel crg wa co wceq adantr cfn csg cfv cv wne wi wral cgrp matgrp
      dmatmat imp adantrr adantrl eqid grpsubcl syl3anc anim12d matsubgcell w3a
      simpr simpll simprl 3jca simplrl simplrr dmatelnd syl13anc simprr oveq12d
      cbs ringgrp ring0cl jca adantl grpsubid ad3antrrr 3eqtrd ex ralrimivva wb
      syl dmatel mpbir2and ) EUAOZDPOZQZFCOZGCOZQZQZFGAUBUCZRZCOZWLBOZMUDZNUDZU
      EZWOWPWLRZHSZUFZNEUGMEUGZWJAUHOZFBOZGBOZWNWFXBWIADEIUITWFWGXCWHWFWGXCABCD
      FEPHIJKLUJZUKULWFWHXDWGWFWHXDABCDGEPHIJKLUJZUKUMBAWKFGJWKUNZUOUPWJWTMNEEW
      JWOEOZWPEOZQZQZWQWSXKWQQZWRWOWPFRZWOWPGRZDUBUCZRZHHXORZHXKWRXPSZWQXKWEXCX
      DQZXJXRWJWEXJWFWEWIWDWEUTTZTWJXSXJWFWIXSWFWGXCWHXDXEXFUQUKTWJXJUTABDWKWOW
      PXOEFGIJXGXOUNZURUPTXLXMHXNHXOXLWDWEWGUSZXHXIWQXMHSXKYBWQWJYBXJWJWDWEWGWD
      WEWIVAZXTWFWGWHVBVCTTWJXHXIWQVDZWJXHXIWQVEZXKWQUTZABCDWOWPEFHIJKLVFVGXLWD
      WEWHUSZXHXIWQXNHSXKYGWQWJYGXJWJWDWEWHYCXTWFWGWHVHVCTTYDYEYFABCDWOWPEGHIJK
      LVFVGVIWFXQHSZWIXJWQWFDUHOZHDVJUCZOZQZYHWEYLWDWEYIYKDVKYJDHYJUNZKVLVMVNYJ
      DXOHHYMKYAVOWAVPVQVRVSWFWMWNXAQVTWIABCDMNWLEPHIJKLWBTWC $.

    $d A x y $.  $d B x y $.  $d B z $.  $d D z $.  $d N z $.  $d R z $.
    $( The set of diagonal matrices is a subgroup of the matrix group/algebra.
       (Contributed by AV, 19-Aug-2019.)  (Revised by AV, 18-Dec-2019.) $)
    dmatsgrp $p |- ( ( R e. Ring /\ N e. Fin ) -> D e. ( SubGrp ` A ) ) $=
      ( vx vy vz crg wcel wa cfv cv wral ancoms cfn csubg wss c0 wne co dmatmat
      csg wi ssrdv cur dmatid ne0d dmatsubcl ancom1s ralrimivva cgrp wb matring
      w3a ringgrp eqid issubg4 3syl mpbir3and ) DNOZEUAOZPZCAUBQOZCBUCZCUDUEZKR
      ZLRZAUHQZUFCOZLCSKCSZVHMCBVGVFMRZCOVQBOUIABCDVQENFGHIJUGTUJVHCAUKQZVGVFVR
      COABCDEFGHIJULTUMVHVOKLCCVGVFVLCOVMCOPVOABCDEVLVMFGHIJUNUOUPVHANOZAUQOVIV
      JVKVPUTURVGVFVSADEGUSTAVAKLBCAVNHVNVBVCVDVE $.

    $d B m $.  $d N m $.  $d R m $.  $d X m $.  $d Y m $.  $d .0. i j m x y $.
    $( The product of two diagonal matrices is a diagonal matrix.  (Contributed
       by AV, 20-Aug-2019.)  (Revised by AV, 18-Dec-2019.) $)
    dmatmulcl $p |- ( ( ( N e. Fin /\ R e. Ring ) /\ ( X e. D /\ Y e. D ) )
                   -> ( X ( .r ` A ) Y ) e. D ) $=
      ( vx vy vi vj wcel wa wceq co vm cfn crg cmulr cfv cif cmpo wne wral crab
      cv wi oveq eqeq1d imbi2d 2ralbidv eqid simpll simplr 3ad2ant1 simp2 simp3
      cbs w3a dmatmat imp adantrr matecld adantrl ringcl syl3anc ring0cl adantl
      adantr ifcld matbas2d eqeq12 oveq12 oveq12d ifbieq1d simplrl simplrr ovex
      cvv eqidd c0g fvexi ifex a1i ovmpod ifnefalse eqtrd ex ralrimivva dmatmul
      elrabd dmatval 3eltr4d ) EUBQZDUCQZRZFCQZGCQZRZRZMNEEMUKZNUKZSZXFXGFTZXFX
      GGTZDUDUEZTZHUFZUGZOUKZPUKZUHZXOXPUAUKZTZHSZULZPEUIOEUIZUABUJZFGAUDUETCXE
      YBXQXOXPXNTZHSZULZPEUIOEUIUAXNBXRXNSZYAYFOPEEYGXTYEXQYGXSYDHXOXPXRXNUMUNU
      OUPXEMNABXMDDVCUEZEUCIYHUQZJWSWTXDURWSWTXDUSZXEXFEQZXGEQZVDZXHXLHYHYMWTXI
      YHQXJYHQXLYHQXEYKWTYLYJUTYMAAVCUEZDXFXGYHFEIYIYNUQZXEYKYLVAZXEYKYLVBZXEYK
      FYNQZYLXAXBYRXCXAXBYRAYNCDFEUCHIYOKLVEVFVGUTVHYMAYNDXFXGYHGEIYIYOYPYQXEYK
      GYNQZYLXAXCYSXBXAXCYSAYNCDGEUCHIYOKLVEVFVIUTVHYHDXKXIXJYIXKUQVJVKXEYKHYHQ
      ZYLXAYTXDWTYTWSYHDHYIKVLVMVNUTVOVPXEYFOPEEXEXOEQZXPEQZRRZXQYEUUCXQRZYDXOX
      PSZXOXPFTZXOXPGTZXKTZHUFZHUUDMNXOXPEEXMUUIXNWDUUDXNWEXFXOSXGXPSRZXMUUISUU
      DUUJXHUUEXLUUHHXFXOXGXPVQUUJXIUUFXJUUGXKXFXOXGXPFVRXFXOXGXPGVRVSVTVMXEUUA
      UUBXQWAXEUUAUUBXQWBUUIWDQUUDUUEUUHHUUFUUGXKWCHDWFKWGWHWIWJXQUUIHSUUCXOXPU
      UHHWKVMWLWMWNWPMNABCDEFGHIJKLWOXACYCSXDABCDOPUAEUCHIJKLWQVNWR $.

    $( The set of diagonal matrices is a subring of the matrix ring/algebra.
       (Contributed by AV, 20-Aug-2019.)  (Revised by AV, 18-Dec-2019.) $)
    dmatsrng $p |- ( ( R e. Ring /\ N e. Fin ) -> D e. ( SubRing ` A ) ) $=
      ( vx vy crg wcel wa cfv cv wral ancoms eqid cfn csubrg csubg cur cmulr co
      dmatsgrp dmatid dmatmulcl ralrimivva w3a matring issubrg2 syl mpbir3and
      wb ) DMNZEUANZOZCAUBPNZCAUCPNZAUDPZCNZKQZLQZAUEPZUFCNZLCRKCRZABCDEFGHIJUG
      URUQVCABCDEFGHIJUHSURUQVHURUQOVGKLCCABCDEVDVEFGHIJUIUJSUSAMNZUTVAVCVHUKUP
      URUQVIADEGULSKLCBAVFVBHVBTVFTUMUNUO $.

    $d C x y $.  $d D a b x y $.  $d N a b $.  $d R a b $.
    dmatcrng.c $e |- C = ( A |`s D ) $.
    $( The subring of diagonal matrices (over a commutative ring) is a
       commutative ring .  (Contributed by AV, 20-Aug-2019.)  (Revised by AV,
       18-Dec-2019.) $)
    dmatcrng $p |- ( ( R e. CRing /\ N e. Fin ) -> C e. CRing ) $=
      ( vx vy va vb wcel wa cfv co ccrg cfn crg cv cmulr wceq cbs wral crngring
      csubrg dmatsrng sylan subrgring syl cif cmpo w3a simp1lr eqid simp2 simp3
      dmatmat adantrr 3ad2ant1 matecld adantrl crngcom syl3anc ifeq1d mpoeq3dva
      anim2i dmatmul pm3.22 syl2an 3eqtr4d ralrimivva ancoms wb subrgbas eqcomd
      imp ressmulr oveqd eqeq12d raleqbidv mpbird iscrng2 sylanbrc ) EUAQZFUBQZ
      RZCUCQZMUDZNUDZCUESZTZWNWMWOTZUFZNCUGSZUHZMWSUHZCUAQWKDAUJSZQZWLWIEUCQZWJ
      XCEUIZABDEFGHIJKUKULZDACLUMUNWKXAWMWNAUESZTZWNWMXGTZUFZNDUHZMDUHZWJWIXLWJ
      WIRZXJMNDDXMWMDQZWNDQZRZRZOPFFOUDZPUDZUFZXRXSWMTZXRXSWNTZEUESZTZGUOZUPZOP
      FFXTYBYAYCTZGUOZUPZXHXIXQOPFFYEYHXQXRFQZXSFQZUQZXTYDYGGYLWIYAEUGSZQYBYMQY
      DYGUFWJWIXPYJYKURYLAAUGSZEXRXSYMWMFHYMUSZYNUSZXQYJYKUTZXQYJYKVAZXQYJWMYNQ
      ZYKXMXNYSXOXMXNYSAYNDEWMFUAGHYPJKVBWAVCVDVEYLAYNEXRXSYMWNFHYOYPYQYRXQYJWN
      YNQZYKXMXOYTXNXMXOYTAYNDEWNFUAGHYPJKVBWAVFVDVEYMEYCYAYBYOYCUSVGVHVIVJXMWJ
      XDRZXPXHYFUFWIXDWJXEVKZOPABDEFWMWNGHIJKVLULXMUUAXOXNRXIYIUFXPUUBXNXOVMOPA
      BDEFWNWMGHIJKVLVNVOVPVQWKXCXAXLVRXFXCWTXKMWSDXCDWSDACLVSVTZXCWRXJNWSDUUCX
      CWPXHWQXIXCWOXGWMWNXCXGWODACXGXBLXGUSWBVTZWCXCWOXGWNWMUUDWCWDWEWEUNWFMNWS
      CWOWSUSWOUSWGWH $.
  $}

  ${
    $d B i j $.  $d C i j $.  $d K i j $.  $d M i j $.  $d N i j $.
    $d R i j $.  $d .* i j $.
    dmatscmcl.k $e |- K = ( Base ` R ) $.
    dmatscmcl.a $e |- A = ( N Mat R ) $.
    dmatscmcl.b $e |- B = ( Base ` A ) $.
    dmatscmcl.s $e |- .* = ( .s ` A ) $.
    dmatscmcl.d $e |- D = ( N DMat R ) $.
    $( The multiplication of a diagonal matrix with a scalar is a diagonal
       matrix.  (Contributed by AV, 19-Dec-2019.) $)
    dmatscmcl $p |- ( ( ( N e. Fin /\ R e. Ring ) /\ ( C e. K /\ M e. D ) )
                      -> ( C .* M ) e. D ) $=
      ( vi vj wcel wa co wceq cfn crg cv wne c0g cfv wi wral eqid dmatmat com12
      simprl adantl impcom jca matvscl syldan dmatel adantr cmulr simp-4r simpr
      wb w3a anim1i 3jca matvscacell syl oveq2 ringrz ad5ant23 3eqtrd ex imim2d
      ralimdvva expimpd sylbid impr mpbir2and ) IUAQZEUBQZRZCGQZHDQZRZRZCHFSZDQ
      ZWGBQZOUCZPUCZUDZWJWKWGSZEUEUFZTZUGZPIUHOIUHZWBWEWCHBQZRZWIWFWCWRWBWCWDUL
      WEWBWRWDWBWRUGWCWBWDWRABDEHIUBWNKLWNUIZNUJUKUMUNUOABCEFGIHJKLMUPUQWBWCWDW
      QWBWCRZWDWRWLWJWKHSZWNTZUGZPIUHOIUHZRZWQWBWDXFVCWCABDEOPHIUBWNKLWTNURUSXA
      WRXEWQXAWRRZXDWPOPIIXGWJIQWKIQRZRZXCWOWLXIXCWOXIXCRZWMCXBEUTUFZSZCWNXKSZW
      NXJWAWSXHVDZWMXLTXIXNXCXIWAWSXHVTWAWCWRXHVAXGWSXHXAWCWRWBWCVBVEUSXGXHVBVF
      USABEFXKWJWKGICHKLJMXKUIZVGVHXCXLXMTXIXBWNCXKVIUMXIXMWNTZXCWAWCXPVTWRXHGE
      XKCWNJXOWTVJVKUSVLVMVNVOVPVQVRWBWHWIWQRVCWEABDEOPWGIUBWNKLWTNURUSVS $.
  $}

  ${
    $d B m n r $.  $d K c n r $.  $d N a c m n r $.  $d R a c m n r $.
    $d V a n r $.  $d .1. n r $.  $d .x. n r $.
    scmatval.k $e |- K = ( Base ` R ) $.
    scmatval.a $e |- A = ( N Mat R ) $.
    scmatval.b $e |- B = ( Base ` A ) $.
    scmatval.1 $e |- .1. = ( 1r ` A ) $.
    scmatval.t $e |- .x. = ( .s ` A ) $.
    scmatval.s $e |- S = ( N ScMat R ) $.
    $( The set of ` N ` x ` N ` scalar matrices over (a ring) ` R ` .
       (Contributed by AV, 18-Dec-2019.) $)
    scmatval $p |- ( ( N e. Fin /\ R e. V )
                     -> S = { m e. B | E. c e. K m = ( c .x. .1. ) } ) $=
      ( wceq cfv cbs vn vr va cfn wcel wa cscmat co cv wrex crab cvv cmat cvsca
      cur csb cmpo df-scmat ovexd fveq2 eqidd oveq123d eqeq2d rexbidv rabeqbidv
      a1i adantl csbied oveq12 fveq2d fveq2i eqtri eqtr4di rexeqbidv eqtrd elex
      simpl fvexi rabex ovmpod syl5eq ) IUDUEZCJUEZUFZDICUGUHGUIZKUIZFEUHZRZKHU
      JZGBUKZQWDUAUBICUDULUCUAUIZUBUIZUMUHZWEWFUCUIZUOSZWNUNSZUHZRZKWLTSZUJZGWN
      TSZUKZUPZWJUGULUGUAUBUDULXCUQRWDGUAUBUCKURVFWDWKIRZWLCRZUFZUFZXCWEWFWMUOS
      ZWMUNSZUHZRZKWSUJZGWMTSZUKZWJXGUCWMXBXNULXGWKWLUMUSWNWMRZXBXNRXGXOWTXLGXA
      XMWNWMTUTXOWRXKKWSXOWQXJWEXOWFWFWOXHWPXIWNWMUNUTXOWFVAWNWMUOUTVBVCVDVEVGV
      HXFXNWJRWDXFXLWIGXMBXFXMICUMUHZTSZBXFWMXPTWKIWLCUMVIZVJBATSXQNAXPTMVKVLVM
      XFXKWHKWSHXEWSHRXDXEWSCTSHWLCTUTLVMVGXFXJWGWEXFWFWFXHFXIEXFXIXPUNSZEXFWMX
      PUNXRVJEAUNSXSPAXPUNMVKVLVMXFWFVAXFXHXPUOSZFXFWMXPUOXRVJFAUOSXTOAXPUOMVKV
      LVMVBVCVNVEVGVOWBWCVQWCCULUEWBCJVPVGWJULUEWDWIGBBATNVRVSVFVTWA $.

    $d K m $.  $d M c m $.  $d .1. m $.  $d .x. m $.
    $( An ` N ` x ` N ` scalar matrix over (a ring) ` R ` .  (Contributed by
       AV, 18-Dec-2019.) $)
    scmatel $p |- ( ( N e. Fin /\ R e. V )
               -> ( M e. S <-> ( M e. B /\ E. c e. K M = ( c .x. .1. ) ) ) ) $=
      ( vm wcel wceq cfn wa cv co wrex crab scmatval eleq2d eqeq1 rexbidv elrab
      bitrdi ) IUASCJSUBZHDSHRUCZKUCFEUDZTZKGUEZRBUFZSHBSHUOTZKGUEZUBUMDURHABCD
      EFRGIJKLMNOPQUGUHUQUTRHBUNHTUPUSKGUNHUOUIUJUKUL $.

    $( A scalar matrix can be expressed as a multiplication of a scalar with
       the identity matrix.  (Contributed by AV, 30-Oct-2019.)  (Revised by AV,
       18-Dec-2019.) $)
    scmatscmid $p |- ( ( N e. Fin /\ R e. V /\ M e. S )
                       -> E. c e. K M = ( c .x. .1. ) ) $=
      ( cfn wcel cv co wceq wrex wa scmatel simplbda 3impa ) IRSZCJSZHDSZHKTFEU
      AUBKGUCZUHUIUDUJHBSUKABCDEFGHIJKLMNOPQUEUFUG $.
  $}

  ${
    scmatscmide.a $e |- A = ( N Mat R ) $.
    scmatscmide.b $e |- B = ( Base ` R ) $.
    scmatscmide.0 $e |- .0. = ( 0g ` R ) $.
    scmatscmide.1 $e |- .1. = ( 1r ` A ) $.
    scmatscmide.m $e |- .* = ( .s ` A ) $.
    $( An entry of a scalar matrix expressed as a multiplication of a scalar
       with the identity matrix.  (Contributed by AV, 30-Oct-2019.) $)
    scmatscmide $p |- ( ( ( N e. Fin /\ R e. Ring /\ C e. B )
                      /\ ( I e. N /\ J e. N ) )
                    -> ( I ( C .* .1. ) J ) = if ( I = J , C , .0. ) ) $=
      ( wcel wa co cfv wceq cfn crg w3a cmulr cur cif simpl2 simp3 matring eqid
      cbs syl 3adant3 jca adantr simpr matvscacell syl3anc simpl1 simprl simprr
      ringidcl mat1ov oveq2d ringridm 3adant1 ringrz ifeq12d syl5eq 3eqtrd
      ovif2 ) IUAPZDUBPZCBPZUCZFIPZHIPZQZQZFHCEGRRZCFHERZDUDSZRZCFHTZDUESZJUFZW
      BRZWDCJUFZVSVMVNEAUKSZPZQZVRVTWCTVLVMVNVRUGZVOWKVRVOVNWJVLVMVNUHVLVMWJVNV
      LVMQAUBPWJADIKUIWIAEWIUJZNVBULUMUNUOVOVRUPAWIDGWBFHBICEKWMLOWBUJZUQURVSWA
      WFCWBVSADEWEFHIJKWEUJZMVLVMVNVRUSWLVOVPVQUTVOVPVQVANVCVDVOWGWHTVRVOWGWDCW
      EWBRZCJWBRZUFWHWDCWEJWBVKVOWDWPCWQJVMVNWPCTVLBDWBWECLWNWOVEVFVMVNWQJTVLBD
      WBCJLWNMVGVFVHVIUOVJ $.

    $d B i j x y $.  $d N i j x y $.  $d R i j x y $.  $d S i j x y $.
    $d T i j x y $.  $d .1. i j x y $.  $d .0. i j x y $.  $d .* i j x y $.
    $d .x. i j x y $.
    scmatscmiddistr.t $e |- .x. = ( .r ` R ) $.
    scmatscmiddistr.m $e |- .X. = ( .r ` A ) $.
    $( Distributive law for scalar and ring multiplication for scalar matrices
       expressed as multiplications of a scalar with the identity matrix.
       (Contributed by AV, 19-Dec-2019.) $)
    scmatscmiddistr $p |- ( ( ( N e. Fin /\ R e. Ring )
                              /\ ( S e. B /\ T e. B ) )
             -> ( ( S .* .1. ) .X. ( T .* .1. ) ) = ( ( S .x. T ) .* .1. ) ) $=
      ( wcel co vi vj vx vy cfn crg wa weq cmulr cfv cif cmpo cdmat wceq simprl
      cv cur cbs eqid dmatid eqeltrid adantr jca dmatscmcl syldan oveqi dmatmul
      simprr syl5eq w3a simpll simplr 3jca 3ad2ant1 scmatscmide syl2anc oveq12d
      3simpc ifeq1d mpoeq3dva iftrue adantl ifeq1da cvv eqidd eqeq12 eqcomi a1i
      wral ifbieq1d ovex c0g fvexi ovmpod ringcl syl sylan eqtr4d ralrimivva wb
      ifex ring0cl ifcld matbas2d matring ringidcl matvscl eqmat mpbird eqtrd )
      JUESZCUFSZUGZDBSZEBSZUGZUGZDHITZEHITZGTZUAUBJJUAUBUHZUAUPZUBUPZXRTZYBYCXS
      TZCUIUJZTZKUKZULZDEFTZHITZXMXPXRJCUMTZSZXSYLSZUGZXTYIUNXQYMYNXMXPXNHYLSZU
      GYMXQXNYPXMXNXOUOZXMYPXPXMHAUQUJYLOAAURUJZYLCJKLYRUSZNYLUSZUTVAVBZVCAYRDY
      LCIBHJMLYSPYTVDVEXMXPXOYPUGYNXQXOYPXMXNXOVHZUUAVCAYREYLCIBHJMLYSPYTVDVEVC
      XMYOUGXTXRXSAUIUJZTYIGUUCXRXSRVFUAUBAYRYLCJXRXSKLYSNYTVGVIVEXQYIUAUBJJYAY
      ADKUKZYAEKUKZYFTZKUKZULZYKXQUAUBJJYHUUGXQYBJSZYCJSZVJZYAYGUUFKUUKYDUUDYEU
      UEYFUUKXKXLXNVJZUUIUUJUGZYDUUDUNXQUUIUULUUJXQXKXLXNXKXLXPVKZXKXLXPVLZYQVM
      VNXQUUIUUJVRZABDCHYBIYCJKLMNOPVOVPUUKXKXLXOVJZUUMYEUUEUNXQUUIUUQUUJXQXKXL
      XOUUNUUOUUBVMVNUUPABECHYBIYCJKLMNOPVOVPVQVSVTXQUUHUAUBJJYADEYFTZKUKZULZYK
      XQUAUBJJUUGUUSUUKYAUUFUURKYAUUFUURUNUUKYAUUDDUUEEYFYADKWAYAEKWAVQWBWCVTXQ
      UUTYKUNZUCUPZUDUPZUUTTZUVBUVCYKTZUNZUDJWIUCJWIZXQUVFUCUDJJXQUVBJSZUVCJSZU
      GZUGZUVDUCUDUHZYJKUKZUVEUVKUAUBUVBUVCJJUUSUVMUUTWDUVKUUTWEUAUCUHUBUDUHUGZ
      UUSUVMUNUVKUVNYAUVLUURYJKYBUVBYCUVCWFUURYJUNUVNYFFDEFYFQWGVFWHWJWBXQUVHUV
      IUOXQUVHUVIVHUVMWDSUVKUVLYJKDEFWKKCWLNWMXAWHWNXQXKXLYJBSZVJUVJUVEUVMUNXQX
      KXLUVOUUNUUOXQXLXNXOVJZUVOXQXLXNXOUUOYQUUBVMZBCFDEMQWOWPZVMABYJCHUVBIUVCJ
      KLMNOPVOWQWRWSXQUUTYRSYKYRSZUVAUVGWTXQUAUBAYRUUSCBJUFLMYSUUNUUOXQUUIUUSBS
      UUJXQYAUURKBXQUVPUURBSUVQBCYFDEMYFUSWOWPXMKBSZXPXLUVTXKBCKMNXBWBVBXCVNXDX
      MXPUVOHYRSZUGUVSXQUVOUWAUVRXMUWAXPXMAUFSUWAACJLXEYRAHYSOXFWPVBVCAYRYJCIBJ
      HMLYSPXGVEAYRCUCUDJUUTYKLYSXHVPXIXJXJXJ $.
  $}

  ${
    $d M c $.  $d M m $.  $d N c $.  $d R c $.
    scmatmat.a $e |- A = ( N Mat R ) $.
    scmatmat.b $e |- B = ( Base ` A ) $.
    scmatmat.s $e |- S = ( N ScMat R ) $.
    $( An ` N ` x ` N ` scalar matrix over (the ring) ` R ` is an ` N ` x ` N `
       matrix over (the ring) ` R ` .  (Contributed by AV, 18-Dec-2019.) $)
    scmatmat $p |- ( ( N e. Fin /\ R e. V ) -> ( M e. S -> M e. B ) ) $=
      ( vc cfn wcel wa cv cur cfv cvsca co eqid wceq wrex scmatel simpl syl6bi
      cbs ) FLMCGMNEDMEBMZEKOAPQZARQZSUAKCUFQZUBZNUGABCDUIUHUJEFGKUJTHIUHTUITJU
      CUGUKUDUE $.

    $d I c $.  $d J c $.  $d K c $.  $d S c $.
    scmate.k $e |- K = ( Base ` R ) $.
    scmate.0 $e |- .0. = ( 0g ` R ) $.
    $( An entry of an ` N ` x ` N ` scalar matrix over the ring ` R ` .
       (Contributed by AV, 18-Dec-2019.) $)
    scmate $p |- ( ( ( N e. Fin /\ R e. Ring /\ M e. S )
                     /\ ( I e. N /\ J e. N ) )
                   -> E. c e. K ( I M J ) = if ( I = J , c , .0. ) ) $=
      ( wcel wa co wceq cfn crg w3a cif wrex cur cfv cvsca eqid scmatscmid oveq
      cv wi simpll1 simpll2 simpr simplr scmatscmide syl31anc sylan9eqr ex mpid
      reximdva imp ) IUAQZCUBQZHDQZUCZEIQFIQRZEFHSZEFTKULZJUDZTZKGUEZVHVIHVKAUF
      UGZAUHUGZSZTZKGUEZVNABCDVPVOGHIUBKOLMVOUIZVPUIZNUJVHVIVSVNUMVHVIRZVRVMKGW
      BVKGQZRZVRVMVRWDVJEFVQSZVLEFHVQUKWDVEVFWCVIWEVLTVEVFVGVIWCUNVEVFVGVIWCUOW
      BWCUPVHVIWCUQAGVKCVOEVPFIJLOPVTWAURUSUTVAVCVAVBVD $.

    $d A i j $.  $d B c i j m $.  $d K i j $.  $d N c i j m $.  $d R i j m $.
    $( The set of an ` N ` x ` N ` scalar matrices over the ring ` R `
       expressed as a subset of ` N ` x ` N ` matrices over the ring ` R ` with
       certain properties for their entries.  (Contributed by AV, 31-Oct-2019.)
       (Revised by AV, 19-Dec-2019.) $)
    scmatmats $p |- ( ( N e. Fin /\ R e. Ring )
                    -> S = { m e. B | E. c e. K A. i e. N A. j e. N
                                      ( i m j ) = if ( i = j , c , .0. ) } ) $=
      ( wcel wa cv wceq cfn crg cur cfv co wrex crab weq cif wral eqid scmatval
      cvsca wb simpr adantr simpll matring ringidcl syl anim1ci matvscl syl2anc
      eqmat w3a simplll simpllr 3jca scmatscmide sylan 2ralbidva bitrd rexbidva
      eqeq2d rabbidva eqtrd ) IUAQZCUBQZRZDGSZKSZAUCUDZAUMUDZUEZTZKHUFZGBUGESZF
      SZVTUEZEFUHWAJUIZTZFIUJEIUJZKHUFZGBUGABCDWCWBGHIUBKOLMWBUKZWCUKZNULVSWFWM
      GBVSVTBQZRZWEWLKHWQWAHQZRZWEWIWGWHWDUEZTZFIUJEIUJZWLWSWPWDBQZWEXBUNWQWPWR
      VSWPUOUPWSVSWRWBBQZRXCVSWPWRUQWQXDWRVSXDWPVSAUBQXDACILURBAWBMWNUSUTUPVAAB
      WACWCHIWBOLMWOVBVCABCEFIVTWDLMVDVCWSXAWKEFIIWSWGIQWHIQRZRWTWJWIWSVQVRWRVE
      XEWTWJTWSVQVRWRVQVRWPWRVFVQVRWPWRVGWQWRUOVHAHWACWBWGWCWHIJLOPWNWOVIVJVNVK
      VLVMVOVP $.

    $d I i j $.  $d J j $.  $d K m $.  $d M i j $.  $d .0. i j m $.
    $( Alternate proof of ~ scmate :  An entry of an ` N ` x ` N ` scalar
       matrix over the ring ` R ` .  This prove makes use of ~ scmatmats but is
       longer and requires more distinct variables.  (Contributed by AV,
       19-Dec-2019.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    scmateALT $p |- ( ( ( N e. Fin /\ R e. Ring /\ M e. S )
                     /\ ( I e. N /\ J e. N ) )
                   -> E. c e. K ( I M J ) = if ( I = J , c , .0. ) ) $=
      ( vi vj wcel wceq vm cfn crg wa co cv cif wrex wi weq wral crab scmatmats
      eleq2d oveq eqeq1d 2ralbidv rexbidv elrab oveq1 eqeq1 ifbid eqeq12d oveq2
      eqeq2 rspc2v reximdv com12 adantl a1i syl5bi sylbid ex 3imp1 ) IUBSZCUCSZ
      HDSZEISFISUDZEFHUEZEFTZKUFZJUGZTZKGUHZVOVPVQVRWDUIZUIVOVPUDZVQHQUFZRUFZUA
      UFZUEZQRUJZWAJUGZTZRIUKQIUKZKGUHZUABULZSZWEWFDWPHABCDQRUAGIJKLMNOPUMUNWQH
      BSZWGWHHUEZWLTZRIUKQIUKZKGUHZUDZWFWEWOXBUAHBWIHTZWNXAKGXDWMWTQRIIXDWJWSWL
      WGWHWIHUOUPUQURUSXCWEUIWFXBWEWRVRXBWDVRXAWCKGWTWCEWHHUEZEWHTZWAJUGZTQREFI
      IWGETZWSXEWLXGWGEWHHUTXHWKXFWAJWGEWHVAVBVCWHFTZXEVSXGWBWHFEHVDXIXFVTWAJWH
      FEVEVBVCVFVGVHVIVJVKVLVMVN $.
  $}

  ${
    $d A i j k m x y $.  $d B i j k x y $.  $d C c k x y $.  $d C i j m $.
    $d K c k x y $.  $d K i j m $.  $d N c k x y $.  $d N c i j m $.
    $d R c k x y $.  $d R i j $.  $d R k m x y $.  $d S k x y $.
    $d S c i j m $.  $d .* i j k m x y $.  $d .X. i j $.
    scmatscm.k $e |- K = ( Base ` R ) $.
    scmatscm.a $e |- A = ( N Mat R ) $.
    scmatscm.b $e |- B = ( Base ` A ) $.
    scmatscm.t $e |- .* = ( .s ` A ) $.
    scmatscm.m $e |- .X. = ( .r ` A ) $.
    scmatscm.c $e |- S = ( N ScMat R ) $.
    $( The multiplication of a matrix with a scalar matrix corresponds to a
       scalar multiplication.  (Contributed by AV, 28-Dec-2019.) $)
    scmatscm $p |- ( ( ( N e. Fin /\ R e. Ring ) /\ C e. S )
                     -> E. c e. K A. m e. B ( C .X. m ) = ( c .* m ) ) $=
      ( vk wcel co vi vj vx vy cfn crg wa cv cur wceq wrex wral eqid scmatscmid
      cfv 3expa oveq1 cmulr cmpt cgsu csb simpr ad4antr adantr matring ringidcl
      syl anim1ci matvscl syl2anc anim1i matmulcell syl3anc weq c0g cif cvv w3a
      simpl cmpo df-3an sylibr ad3antrrr matsc eqeq12 ifbid adantl vex fvex a1i
      ifex ovmpod oveq1d mpteq2dva oveq2d ovif simp-6r simplrr ad2antrr matecld
      ringlz ifeq2d syl5eq cmnd ringmnd wb equcom ifbi ax-mp mpteq2i cbs eleq2i
      biimpi ringcl gsummpt1n0 3eqtrd csbov2g csbov1g csbvarg eqtrd matvscacell
      ralrimiva eqtr4d ralrimivva eqmat mpbird sylan9eqr ralrimdva reximdva mpd
      ex ) JUESZDUFSZUGZCESZUGZCKUHZAUIUOZHTZUJZKIUKZCGUHZFTZYQUUBHTZUJZGBULZKI
      UKYLYMYOUUAABDEHYRICJUFKLMNYRUMZOQUNUPYPYTUUFKIYPYQISZUGZYTUUEGBUUIUUBBSZ
      UGZYTUUEYTUUKUUCYSUUBFTZUUDCYSUUBFUQUUKUULUUDUJZUAUHZUBUHZUULTZUUNUUOUUDT
      ZUJZUBJULUAJULZUUKUURUAUBJJUUKUUNJSZUUOJSZUGZUGZUUPYQUUNUUOUUBTZDURUOZTZU
      UQUVCUUPDRJUUNRUHZYSTZUVGUUOUUBTZUVETZUSZUTTZRUUNYQUVIUVETZVAZUVFUVCYMYSB
      SZUUJUGZUVBUUPUVLUJYNYMYOUUHUUJUVBYLYMVBVCZUUKUVPUVBUUIUVOUUJUUIYNUUHYRBS
      ZUGUVOYPYNUUHYNYOVSZVDYPUVRUUHYNUVRYOYNAUFSZUVRADJMVEZBAYRNUUGVFVGVDVHABY
      QDHIJYRLMNOVIVJZVKVDUUKUVBVBZABDFRUUNUUOJYSUUBMNPVLVMUVCUVLDRJUARVNZYQDVO
      UOZVPZUVIUVETZUSZUTTDRJUWDUVMUWEVPZUSZUTTUVNUVCUVKUWHDUTUVCRJUVJUWGUVCUVG
      JSZUGZUVHUWFUVIUVEUWLUCUDUUNUVGJJUCUDVNZYQUWEVPZUWFYSVQUWLYLYMUUHVRZYSUCU
      DJJUWNVTUJUUIUWOUUJUVBUWKUUIYNUUHUGUWOYPYNUUHUVSVKYLYMUUHWAWBWCADHUCUDIYQ
      JUWEMLOUWEUMZWDVGUCUAVNUDRVNUGZUWNUWFUJUWLUWQUWMUWDYQUWEUCUHUUNUDUHUVGWEW
      FWGUVCUUTUWKUVBUUTUUKUUTUVAVSWGZVDUVCUWKVBZUWFVQSUWLUWDYQUWEKWHDVOWIWKWJW
      LWMWNWOUVCUWHUWJDUTUVCRJUWGUWIUWLUWGUWDUVMUWEUVIUVETZVPUWIUWDYQUWEUVIUVEW
      PUWLUWDUWTUWEUVMUWLYMUVIISUWTUWEUJYLYMYOUUHUUJUVBUWKWQZUWLABDUVGUUOIUUBJM
      LNUWSUUKUUTUVAUWKWRZUUKUUJUVBUWKUUIUUJVBZWSZWTIDUVEUVIUWELUVEUMZUWPXAVJXB
      XCWNWOUVCUVMRUWJDJUEUUNUWEUWPYNDXDSZYOUUHUUJUVBYMUXFYLDXEWGVCYNYLYOUUHUUJ
      UVBYLYMVSVCUWRRJUWIRUAVNZUVMUWEVPZUWDUXGXFUWIUXHUJUARXGUWDUXGUVMUWEXHXIXJ
      UVCUVMDXKUOZSZRJUWLYMYQUXISZUVIUXISUXJUXAUUIUXKUUJUVBUWKUUHUXKYPUUHUXKIUX
      IYQLXLXMWGWCUWLABDUVGUUOUXIUUBJMUXIUMZNUWSUXBUXDWTUXIDUVEYQUVIUXLUXEXNVMY
      BXOXPUVBUVNUVFUJZUUKUUTUXMUVAUUTUVNYQRUUNUVIVAZUVETUVFRUUNYQUVIUVEJXQUUTU
      XNUVDYQUVEUUTUXNRUUNUVGVAZUUOUUBTUVDRUUNUVGUUOUUBJXRUUTUXOUUNUUOUUBRUUNJX
      SWMXTWOXTVDWGXPUVCYMUUHUUJUGZUVBUUQUVFUJUVQUUKUXPUVBUUIUUHUUJYPUUHVBVKZVD
      UWCABDHUVEUUNUUOIJYQUUBMNLOUXEYAVMYCYDUUKUULBSZUUDBSZUUMUUSXFUUKUVTUVOUUJ
      UXRYNUVTYOUUHUUJUWAWCUUIUVOUUJUWBVDUXCBAFYSUUBNPXNVMUUKYNUXPUXSYPYNUUHUUJ
      UVSWSUXQABYQDHIJUUBLMNOVIVJABDUAUBJUULUUDMNYEVJYFYGYKYHYIYJ $.
  $}

  ${
    $d A c $.  $d N c $.  $d R c $.
    scmatid.a $e |- A = ( N Mat R ) $.
    scmatid.b $e |- B = ( Base ` A ) $.
    scmatid.e $e |- E = ( Base ` R ) $.
    scmatid.0 $e |- .0. = ( 0g ` R ) $.
    scmatid.s $e |- S = ( N ScMat R ) $.
    $( The identity matrix is a scalar matrix.  (Contributed by AV,
       20-Aug-2019.)  (Revised by AV, 18-Dec-2019.) $)
    scmatid $p |- ( ( N e. Fin /\ R e. Ring ) -> ( 1r ` A ) e. S ) $=
      ( vc wcel crg cur cfv co wceq eqid cfn wa cvsca cbs wrex matring ringidcl
      cv syl matsca2 eqcomd fveq2d adantl eqeltrd wb oveq1 eqeq2d clmod matlmod
      csca lmodvs1 syl2anc rspcedvd scmatel mpbir2and ) FUANZCONZUBZAPQZDNVIBNZ
      VIMUHZVIAUCQZRZSZMCUDQZUEVHAONVJACFHUFBAVIIVITZUGUIZVHVNVIAUTQZPQZVIVLRZS
      ZMVSVOVHVSCPQZVOVHVRCPVHCVRACFOHUJUKULVGWBVONVFVOCWBVOTZWBTUGUMUNVKVSSZVN
      WAUOVHWDVMVTVIVKVSVIVLUPUQUMVHVTVIVHAURNVJVTVISACFHUSVQVLVSVRBAVIIVRTVLTZ
      VSTVAVBUKVCABCDVLVIVOVIFOMWCHIVPWELVDVE $.

    ${
      $d A i j $.  $d B c i j m $.  $d E c i j $.  $d N i j m $.  $d R i j m $.
      $d S c $.  $d .0. c $.
      scmatdmat.d $e |- D = ( N DMat R ) $.
      $( A scalar matrix is a diagonal matrix.  (Contributed by AV,
         20-Aug-2019.)  (Revised by AV, 19-Dec-2019.) $)
      scmatdmat $p |- ( ( N e. Fin /\ R e. Ring ) -> ( M e. S -> M e. D ) ) $=
        ( vi vj vm wcel wa vc cfn crg wss wceq cif wral wrex crab wne ifnefalse
        cv co wi id sylan9eq ex ralimdva rexlimdva ss2rabdv adantr wb scmatmats
        a1i dmatval sseq12d mpbird simpr sseldd ) HUBSDUCSTZGESZGCSVJVKTZECGVLE
        CUDZPULZQULZRULZUMZVNVOUEUAULZIUFZUEZQHUGZPHUGZUAFUHZRBUIZVNVOUJZVQIUEZ
        UNZQHUGZPHUGZRBUIZUDZVJWKVKVJWCWIRBVJVPBSTZWBWIUAFWLVRFSTZWAWHPHWMVNHST
        ZVTWGQHVTWGUNWNVOHSTVTWEWFVTWEVQVSIVTUOVNVOVRIUKUPUQVDURURUSUTVAVJVMWKV
        BVKVJEWDCWJABDEPQRFHIUAJKNLMVCABCDPQRHUCIJKMOVEVFVAVGVJVKVHVIUQ $.
    $}

    ${
      $d A d e $.  $d E c d e $.  $d N d e $.  $d R d e $.  $d S c d $.
      $d X c d $.  $d Y c d $.
      $( The sum of two scalar matrices is a scalar matrix.  (Contributed by
         AV, 25-Dec-2019.) $)
      scmataddcl $p |- ( ( ( N e. Fin /\ R e. Ring ) /\ ( X e. S /\ Y e. S ) )
                         -> ( X ( +g ` A ) Y ) e. S ) $=
        ( wcel wa cfv co wceq eqid vc vd ve cfn crg cur cvsca cplusg scmatscmid
        cv wrex 3expa adantrr wi 3expia oveq12 adantl csca cbs matlmod ad2antrr
        clmod matsca2 fveq2d syl5eq eleq2d biimpd adantr imp biimpa matring syl
        ringidcl lmodvsdir syl13anc eqcomd simpll oveqd cgrp simpr simplr grpcl
        ringgrp syl3anc eqeltrd matvscl syl12anc wb oveq1 eqeq2d eqidd rspcedvd
        scmatel mpbir2and exp32 rexlimdva com23 syldc impcom mpd ) FUDOZCUEOZPZ
        GDOZHDOZPZPGUAUJZAUFQZAUGQZRZSZUAEUKZGHAUHQZRZDOZXCXDXLXEXAXBXDXLABCDXI
        XHEGFUEUALJKXHTZXITZNUIULUMXFXCXLXOUNZXEXCXRUNXDXCXEHUBUJZXHXIRZSZUBEUK
        ZXRXAXBXEYBABCDXIXHEHFUEUBLJKXPXQNUIUOXCYAXRUBEXCXSEOZPZXLYAXOYDXKYAXOU
        NUAEYDXGEOZPZXKYAXOYFXKYAPZPXNXJXTXMRZDYGXNYHSYFGXJHXTXMUPUQYFYHDOYGYFY
        HXGXSAURQZUHQZRZXHXIRZDYFYLYHYFAVBOZXGYIUSQZOZXSYNOZXHBOZYLYHSXCYMYCYEA
        CFJUTVAYDYEYOXCYEYOUNYCXCYEYOXCEYNXGXCECUSQYNLXCCYIUSACFUEJVCZVDVEZVFVG
        VHVIYDYPYEXCYCYPXCEYNXSYSVFVJVHXCYQYCYEXCAUEOYQACFJVKBAXHKXPVMVLVAZXMYJ
        XGXSXIYIYNBAXHKXMTYITXQYNTYJTVNVOVPYFYLDOZYLBOZYLUCUJZXHXIRZSZUCEUKZYFX
        CYKEOYQUUBXCYCYEVQYFYKXGXSCUHQZRZEYFYJUUGXGXSYFYICUHXCYICSYCYEXCCYIYRVP
        VAVDVRYFCVSOZYEYCUUHEOXCUUIYCYEXBUUIXACWCUQVAYDYEVTXCYCYEWAEUUGCXGXSLUU
        GTWBWDWEZYTABYKCXIEFXHLJKXQWFWGYFUUEYLYLSZUCYKEUUJUUCYKSZUUEUUKWHYFUULU
        UDYLYLUUCYKXHXIWIWJUQYFYLWKWLXCUUAUUBUUFPWHYCYEABCDXIXHEYLFUEUCLJKXPXQN
        WMVAWNWEVHWEWOWPWQWPWRUQWSWT $.

      $( The difference of two scalar matrices is a scalar matrix.
         (Contributed by AV, 20-Aug-2019.)  (Revised by AV, 19-Dec-2019.) $)
      scmatsubcl $p |- ( ( ( N e. Fin /\ R e. Ring ) /\ ( X e. S /\ Y e. S ) )
                         -> ( X ( -g ` A ) Y ) e. S ) $=
        ( wcel wa cfv co wceq eqid vc vd ve cfn crg cv cur cvsca csg scmatscmid
        wrex 3expa adantrr 3expia oveq12 adantl csca cbs clmod matlmod ad2antrr
        wi matsca2 fveq2d syl5eq eleq2d biimpd adantr biimpa matring lmodsubdir
        imp ringidcl syl eqcomd simpll oveqd cgrp ringgrp simpr simplr grpsubcl
        syl3anc eqeltrd matvscl syl12anc wb oveq1 eqeq2d eqidd rspcedvd scmatel
        mpbir2and exp32 rexlimdva com23 syldc impcom mpd ) FUDOZCUEOZPZGDOZHDOZ
        PZPGUAUFZAUGQZAUHQZRZSZUAEUKZGHAUIQZRZDOZXBXCXKXDWTXAXCXKABCDXHXGEGFUEU
        ALJKXGTZXHTZNUJULUMXEXBXKXNVBZXDXBXQVBXCXBXDHUBUFZXGXHRZSZUBEUKZXQWTXAX
        DYAABCDXHXGEHFUEUBLJKXOXPNUJUNXBXTXQUBEXBXREOZPZXKXTXNYCXJXTXNVBUAEYCXF
        EOZPZXJXTXNYEXJXTPZPXMXIXSXLRZDYFXMYGSYEGXIHXSXLUOUPYEYGDOYFYEYGXFXRAUQ
        QZUIQZRZXGXHRZDYEYKYGYEXFXRYIXHYHYHURQZXLBAXGKXPYHTYLTXLTYITXBAUSOYBYDA
        CFJUTVAYCYDXFYLOZXBYDYMVBYBXBYDYMXBEYLXFXBECURQYLLXBCYHURACFUEJVCZVDVEZ
        VFVGVHVLYCXRYLOZYDXBYBYPXBEYLXRYOVFVIVHXBXGBOZYBYDXBAUEOYQACFJVJBAXGKXO
        VMVNVAZVKVOYEYKDOZYKBOZYKUCUFZXGXHRZSZUCEUKZYEXBYJEOYQYTXBYBYDVPYEYJXFX
        RCUIQZRZEYEYIUUEXFXRYEYHCUIXBYHCSYBYDXBCYHYNVOVAVDVQYECVROZYDYBUUFEOXBU
        UGYBYDXAUUGWTCVSUPVAYCYDVTXBYBYDWAECUUEXFXRLUUETWBWCWDZYRABYJCXHEFXGLJK
        XPWEWFYEUUCYKYKSZUCYJEUUHUUAYJSZUUCUUIWGYEUUJUUBYKYKUUAYJXGXHWHWIUPYEYK
        WJWKXBYSYTUUDPWGYBYDABCDXHXGEYKFUEUCLJKXOXPNWLVAWMWDVHWDWNWOWPWOWQUPWRW
        S $.

      $d B c d $.
      $( The product of two scalar matrices is a scalar matrix.  (Contributed
         by AV, 21-Aug-2019.)  (Revised by AV, 19-Dec-2019.) $)
      scmatmulcl $p |- ( ( ( N e. Fin /\ R e. Ring ) /\ ( X e. S /\ Y e. S ) )
                         -> ( X ( .r ` A ) Y ) e. S ) $=
        ( wcel crg wa co wceq adantr vc vd ve cfn cmulr cfv cur cvsca wrex eqid
        cv scmatel oveq12 adantll simp-4l anim1ci scmatscmiddistr syl2anc simpl
        wi simplr simprr adantl ringcl syl3anc matring ringidcl syl syl12anc wb
        matvscl oveq1 eqeq2d eqidd rspcedvd mpbir2and exp32 imp exp31 rexlimdva
        eqeltrd expimpd com23 sylbid imp32 ) FUDOZCPOZQZGDOZHDOZGHAUEUFZRZDOZWH
        WIGBOZGUAUKZAUGUFZAUHUFZRZSZUAEUIZQZWJWMUTABCDWQWPEGFPUALJKWPUJZWQUJZNU
        LWHWJXAWMWHWJHBOZHUBUKZWPWQRZSZUBEUIZQXAWMUTZABCDWQWPEHFPUBLJKXBXCNULWH
        XDXHXIWHXDQZXGXIUBEXJXEEOZQZXAXGWMXLWNWTXGWMUTZXLWNQZWSXMUAEXNWOEOZQZWS
        XGWMXPWSQZXGQWLWRXFWKRZDWSXGWLXRSXPGWRHXFWKUMUNXQXRDOZXGXPXSWSXPXRWOXEC
        UEUFZRZWPWQRZDXPWHXOXKQXRYBSWHXDXKWNXOUOXNXKXOXJXKWNVAUPAECWOXEXTWKWPWQ
        FIJLMXBXCXTUJZWKUJUQURXNXOYBDOZXLXOYDUTZWNXJXKYEWHXKYEUTXDWHXKXOYDWHXKX
        OQZQZYDYBBOZYBUCUKZWPWQRZSZUCEUIZYGWHYAEOZWPBOZYHWHYFUSYGWGXOXKYMWFWGYF
        VAWHXKXOVBYFXKWHXKXOUSVCECXTWOXELYCVDVEZWHYNYFWHAPOYNACFJVFBAWPKXBVGVHT
        ABYACWQEFWPLJKXCVKVIYGYKYBYBSZUCYAEYOYIYASZYKYPVJYGYQYJYBYBYIYAWPWQVLVM
        VCYGYBVNVOWHYDYHYLQVJYFABCDWQWPEYBFPUCLJKXBXCNULTVPVQTVRTVRWATTWAVSVTWB
        WCVTWBWDWCWDWE $.
    $}

    $d A x y $.  $d B x y z $.  $d N x y z $.  $d R x y z $.  $d S x y z $.
    $( The set of scalar matrices is a subgroup of the matrix group/algebra.
       (Contributed by AV, 20-Aug-2019.)  (Revised by AV, 19-Dec-2019.) $)
    scmatsgrp $p |- ( ( N e. Fin /\ R e. Ring ) -> S e. ( SubGrp ` A ) ) $=
      ( vx vy vz wcel crg cfv cv wral cfn wa csubg wss c0 wne co scmatmat ssrdv
      csg cur scmatid ne0d scmatsubcl ralrimivva w3a wb matring ringgrp issubg4
      cgrp eqid 3syl mpbir3and ) FUAPCQPUBZDAUCRPZDBUDZDUEUFZMSZNSZAUJRZUGDPZND
      TMDTZVEODBABCDOSFQHILUHUIVEDAUKRABCDEFGHIJKLULUMVEVLMNDDABCDEFVIVJGHIJKLU
      NUOVEAQPAVAPVFVGVHVMUPUQACFHURAUSMNBDAVKIVKVBUTVCVD $.

    $( The set of scalar matrices is a subring of the matrix ring/algebra.
       (Contributed by AV, 21-Aug-2019.)  (Revised by AV, 19-Dec-2019.) $)
    scmatsrng $p |- ( ( N e. Fin /\ R e. Ring ) -> S e. ( SubRing ` A ) ) $=
      ( vx vy wcel crg cfv cv wral eqid cfn wa csubrg csubg cur cmulr scmatsgrp
      co scmatid scmatmulcl ralrimivva w3a wb matring issubrg2 syl mpbir3and )
      FUAOCPOUBZDAUCQOZDAUDQOZAUEQZDOZMRZNRZAUFQZUHDOZNDSMDSZABCDEFGHIJKLUGABCD
      EFGHIJKLUIURVFMNDDABCDEFVCVDGHIJKLUJUKURAPOUSUTVBVGULUMACFHUNMNDBAVEVAIVA
      TVETUOUPUQ $.

    $d C x y $.
    ${
      $d N a b x y $.  $d R a b $.  $d S a b $.
      scmatcrng.c $e |- C = ( A |`s S ) $.
      $( The subring of scalar matrices (over a commutative ring) is a
         commutative ring.  (Contributed by AV, 21-Aug-2019.) $)
      scmatcrng $p |- ( ( N e. Fin /\ R e. CRing ) -> C e. CRing ) $=
        ( vx vy va vb wcel co cfn ccrg wa crg cv cmulr cfv wceq cbs wral csubrg
        crngring scmatsrng sylan2 subrgring syl cif cmpo w3a simp1lr eqid simp2
        scmatmat imp adantrr 3ad2ant1 matecld adantrl crngcom syl3anc mpoeq3dva
        simp3 ifeq1d cdmat anim2i wi scmatdmat anim12d dmatmul syl2an2r 3eqtr4d
        ancomd ralrimivva wb subrgbas eqcomd ressmulr eqeq12d raleqbidv iscrng2
        oveqd mpbird sylanbrc ) GUASZDUBSZUCZCUDSZOUEZPUEZCUFUGZTZWSWRWTTZUHZPC
        UIUGZUJZOXDUJZCUBSWPEAUKUGZSZWQWOWNDUDSZXHDULZABDEFGHIJKLMUMUNZEACNUOUP
        WPXFWRWSAUFUGZTZWSWRXLTZUHZPEUJZOEUJZWPXOOPEEWPWRESZWSESZUCZUCZQRGGQUEZ
        RUEZUHZYBYCWRTZYBYCWSTZDUFUGZTZHUQZURZQRGGYDYFYEYGTZHUQZURZXMXNYAQRGGYI
        YLYAYBGSZYCGSZUSZYDYHYKHYPWOYEFSYFFSYHYKUHWNWOXTYNYOUTYPAAUIUGZDYBYCFWR
        GIKYQVAZYAYNYOVBZYAYNYOVLZYAYNWRYQSZYOWPXRUUAXSWPXRUUAAYQDEWRGUBIYRMVCV
        DVEVFVGYPAYQDYBYCFWSGIKYRYSYTYAYNWSYQSZYOWPXSUUBXRWPXSUUBAYQDEWSGUBIYRM
        VCVDVHVFVGFDYGYEYFKYGVAVIVJVMVKWPWNXIUCZXTWRGDVNTZSZWSUUDSZUCZXMYJUHWOX
        IWNXJVOZWPXTUUGWPXRUUEXSUUFWOWNXIXRUUEVPXJABUUDDEFWRGHIJKLMUUDVAZVQUNWO
        WNXIXSUUFVPXJABUUDDEFWSGHIJKLMUUIVQUNVRVDZQRABUUDDGWRWSHIJLUUIVSVTWPUUC
        XTUUFUUEUCXNYMUHUUHYAUUEUUFUUJWBQRABUUDDGWSWRHIJLUUIVSVTWAWCWPXHXFXQWDX
        KXHXEXPOXDEXHEXDEACNWEWFZXHXCXOPXDEUUKXHXAXMXBXNXHWTXLWRWSXHXLWTEACXLXG
        NXLVAWGWFZWKXHWTXLWSWRUULWKWHWIWIUPWLOPXDCWTXDVAWTVAWJWM $.
    $}

    $d D x $.
    scmatsgrp1.d $e |- D = ( N DMat R ) $.
    scmatsgrp1.c $e |- C = ( A |`s D ) $.
    $( The set of scalar matrices is a subgroup of the group/ring of diagonal
       matrices.  (Contributed by AV, 21-Aug-2019.) $)
    scmatsgrp1 $p |- ( ( N e. Fin /\ R e. Ring ) -> S e. ( SubGrp ` C ) ) $=
      ( vx vy wcel cfv cfn crg wa csubg cbs wss c0 wne cv csg co wral scmatdmat
      ssrdv wceq dmatsgrp ancoms subgbas eqcomd syl sseqtrrd cur scmatid adantr
      ne0d wi com12 impcom a1d imp32 eqid subgsub syl3anc scmatsubcl ralrimivva
      w3a eqeltrd cgrp csubrg dmatsrng subrgring ringgrp issubg4 3syl mpbir3and
      wb ) HUASZEUBSZUCZFCUDTSZFCUETZUFZFUGUHZQUIZRUIZCUJTZUKZFSZRFULQFULZWIFDW
      KWIQFDABDEFGWNHIJKLMNOUMZUNWIDAUDTSZWKDUOWHWGXAABDEHIJKMOUPUQZXADWKDACPUR
      USUTVAWIFAVBTABEFGHIJKLMNVCVEWIWRQRFFWIWNFSZWOFSZUCZUCZWQWNWOAUJTZUKZFXFX
      AWNDSZWODSZWQXHUOWIXAXEXBVDXEWIXIXCWIXIVFXDWIXCXIWTVGVDVHWIXCXDXJWIXDXJVF
      XCABDEFGWOHIJKLMNOUMVIVJXAXIXJVPXHWQDACXGWPWNWOXGVKPWPVKZVLUSVMABEFGHWNWO
      IJKLMNVNVQVOWICUBSZCVRSWJWLWMWSVPWFWIDAVSTSZXLWHWGXMABDEHIJKMOVTUQDACPWAU
      TCWBQRWKFCWPWKVKXKWCWDWE $.

    $( The set of scalar matrices is a subring of the ring of diagonal
       matrices.  (Contributed by AV, 21-Aug-2019.) $)
    scmatsrng1 $p |- ( ( N e. Fin /\ R e. Ring ) -> S e. ( SubRing ` C ) ) $=
      ( vx vy wcel cfv cfn crg wa csubrg csubg cv cmulr co wral scmatsgrp1 wceq
      cur dmatsrng ancoms subrg1 syl eqcomd scmatid eqeltrd ressmulr scmatmulcl
      eqid oveqdr ralrimivva w3a wb subrgring cbs issubrg2 3syl mpbir3and ) HUA
      SZEUBSZUCZFCUDTSZFCUETSZCULTZFSZQUFZRUFZCUGTZUHZFSZRFUIQFUIZABCDEFGHIJKLM
      NOPUJVNVQAULTZFVNWEVQVNDAUDTZSZWEVQUKVMVLWGABDEHIJKMOUMUNZDACWEPWEVBUOUPU
      QABEFGHIJKLMNURUSVNWCQRFFVNVSFSVTFSUCZUCWBVSVTAUGTZUHFVNWIQRWAWJVNWJWAVNW
      GWJWAUKWHDACWJWFPWJVBUTUPUQVCABEFGHVSVTIJKLMNVAUSVDVNWGCUBSVOVPVRWDVEVFWH
      DACPVGQRFCVHTZCWAVQWKVBVQVBWAVBVIVJVK $.
  $}

  ${
    $d A c e $.  $d C c e $.  $d K c e $.  $d N c e $.  $d R c e $.  $d S c $.
    $d X c e $.  $d .* c e $.
    smatvscl.k $e |- K = ( Base ` R ) $.
    smatvscl.a $e |- A = ( N Mat R ) $.
    smatvscl.s $e |- S = ( N ScMat R ) $.
    smatvscl.t $e |- .* = ( .s ` A ) $.
    $( Closure of the scalar multiplication in the ring of scalar matrices.
       ( ~ matvscl analog.)  (Contributed by AV, 24-Dec-2019.) $)
    smatvscl $p |- ( ( ( N e. Fin /\ R e. Ring ) /\ ( C e. K /\ X e. S ) )
                     -> ( C .* X ) e. S ) $=
      ( wcel crg wa co cbs cfv wceq eqid vc ve cfn cv cur wrex wi scmatel oveq2
      adantl csca cmulr matlmod ad3antrrr matsca2 fveq2d syl5eq eleq2d ad2antrr
      clmod biimpa matring ringidcl syl lmodvsass syl13anc eqcomd simplll oveqd
      adantr simp-4r simpllr eqcomi eleq2i biimpi syl3anc eqeltrd matvscl oveq1
      ringcl syl12anc eqcoms rspcedeq2vd wb mpbir2and rexlimdva2 expimpd sylbid
      ex com23 imp32 ) GUCMZCNMZOZBFMZHDMZBHEPZDMZWNWPWOWRWNWPHAQRZMZHUAUDZAUER
      ZEPZSZUACQRZUFZOZWOWRUGAWSCDEXBXEHGNUAXETJWSTZXBTZLKUHWNWOXGWRWNWOXGWRUGW
      NWOOZWTXFWRXJWTOZXDWRUAXEXKXAXEMZOZXDOWQBXCEPZDXDWQXNSXMHXCBEUIUJXMXNDMXD
      XMXNBXAAUKRZULRZPZXBEPZDXMXRXNXMAUTMZBXOQRZMZXAXTMZXBWSMZXRXNSWNXSWOWTXLA
      CGJUMUNXJYAWTXLWNWOYAWNFXTBWNFXEXTIWNCXOQACGNJUOZUPUQURVAUSXKXLYBXKXEXTXA
      XKCXOQWNCXOSZWOWTYDUSUPURVAWNYCWOWTXLWNANMYCACGJVBWSAXBXHXIVCVDUNZBXAEXPX
      OXTWSAXBXHXOTLXTTXPTVEVFVGXMXRDMZXRWSMZXRUBUDZXBEPZSZUBFUFZXMWNXQFMYCYHWN
      WOWTXLVHXMXQBXACULRZPZFXMXPYMBXAXMXOCULXJXOCSWTXLXJCXOWNYEWOYDVJVGUSUPVIX
      MWMWOXAFMZYNFMWLWMWOWTXLVKWNWOWTXLVLXLYOXKXLYOXEFXAFXEIVMVNVOUJFCYMBXAIYM
      TVTVPVQZYFAWSXQCEFGXBIJXHLVRWAXMUBXQFXRYJYPYIXQSYKXMYKXQYIXQYIXBEVSWBUJWC
      WNYGYHYLOWDWOWTXLAWSCDEXBFXRGNUBIJXHXILKUHUNWEVQVJVQWFWGWIWJWHWJWK $.
  $}

  ${
    $d A a x y $.  $d A m $.  $d N c m $.  $d N a x y $.  $d R a x y $.
    $d R c m $.  $d N c m $.  $d S a x y $.
    scmatlss.a $e |- A = ( N Mat R ) $.
    scmatlss.s $e |- S = ( N ScMat R ) $.
    $( The set of scalar matrices is a linear subspace of the matrix algebra.
       (Contributed by AV, 25-Dec-2019.) $)
    scmatlss $p |- ( ( N e. Fin /\ R e. Ring ) -> S e. ( LSubSp ` A ) ) $=
      ( va vx vy vm vc wcel crg wa cbs cfv eqidd cv co eqid cplusg clss matsca2
      cfn cur wceq wrex crab scmatval ssrab2 eqsstrdi c0g scmatid ne0d smatvscl
      cvsca w3a 3adantr3 simpr3 jca scmataddcl syldan islssd ) DUDLBMLNZGBOPZAU
      APZAUBPZAUPPZCBAOPZAHIABDMEUCVDVEQVDVIQVDVFQVDVHQVDVGQVDCJRKRAUEPZVHSUFKV
      EUGZJVIUHVIAVIBCVHVJJVEDMKVETZEVITZVJTVHTZFUIVKJVIUJUKVDCVJAVIBCVEDBULPZE
      VMVLVOTZFUMUNVDGRZVELZHRZCLZIRZCLZUQZVQVSVHSZCLZWBNWDWAVFSCLVDWCNWEWBVDVR
      VTWEWBAVQBCVHVEDVSVLEFVNUOURVDVRVTWBUSUTAVIBCVEDWDWAVOEVMVLVPFVAVBVC $.
  $}

  ${
    scmatstrbas.a $e |- A = ( N Mat R ) $.
    scmatstrbas.c $e |- C = ( N ScMat R ) $.
    scmatstrbas.s $e |- S = ( A |`s C ) $.
    $( The set of scalar matrices is the base set of the ring of corresponding
       scalar matrices.  (Contributed by AV, 26-Dec-2019.) $)
    scmatstrbas $p |- ( ( N e. Fin /\ R e. Ring ) -> ( Base ` S ) = C ) $=
      ( cfn wcel crg wa csubrg cfv cbs wceq c0g eqid scmatsrng subrgbas eqcomd
      syl ) EIJCKJLBAMNJZDONZBPAAONZCBCONZECQNZFUERUFRUGRGSUCBUDBADHTUAUB $.
  $}

  ${
    scmatrhmval.k $e |- K = ( Base ` R ) $.
    scmatrhmval.a $e |- A = ( N Mat R ) $.
    scmatrhmval.o $e |- .1. = ( 1r ` A ) $.
    scmatrhmval.t $e |- .* = ( .s ` A ) $.
    scmatrhmval.f $e |- F = ( x e. K |-> ( x .* .1. ) ) $.

    $d K x $.  $d R x $.  $d V x $.  $d X x $.  $d .1. x $.  $d .* x $.
    $( The value of the ring homomorphism ` F ` .  (Contributed by AV,
       22-Dec-2019.) $)
    scmatrhmval $p |- ( ( R e. V /\ X e. K ) -> ( F ` X ) = ( X .* .1. ) ) $=
      ( wcel wa cv co cvv oveq1 simpr ovexd fvmptd3 ) CIPZJGPZQZAJARZDFSJDFSGET
      OUHJDFUAUEUFUBUGJDFUCUD $.

    $d K c $.  $d N c $.  $d R c $.  $d X c $.  $d .* c $.  $d .1. c $.
    scmatrhmval.c $e |- C = ( N ScMat R ) $.
    $( The value of the ring homomorphism ` F ` is a scalar matrix.
       (Contributed by AV, 22-Dec-2019.) $)
    scmatrhmcl $p |- ( ( N e. Fin /\ R e. Ring /\ X e. K )
                       -> ( F ` X ) e. C ) $=
      ( vc wcel crg wceq cfn w3a cfv co scmatrhmval 3adant1 cbs cv 3simpa simp3
      wrex wa matring 3adant3 ringidcl syl matvscl syl12anc oveq1 eqeq2d adantl
      eqid wb eqidd rspcedvd scmatel mpbir2and eqeltrd ) IUARZDSRZJHRZUBZJFUCZJ
      EGUDZCVJVKVMVNTVIABDEFGHISJKLMNOUEUFVLVNCRZVNBUGUCZRZVNQUHZEGUDZTZQHUKZVL
      VIVJULVKEVPRZVQVIVJVKUIVIVJVKUJZVLBSRZWBVIVJWDVKBDILUMUNVPBEVPVBZMUOUPBVP
      JDGHIEKLWENUQURVLVTVNVNTZQJHWCVRJTZVTWFVCVLWGVSVNVNVRJEGUSUTVAVLVNVDVEVIV
      JVOVQWAULVCVKBVPDCGEHVNISQKLWEMNPVFUNVGVH $.

    $d C x $.  $d N x $.
    $( There is a function from a ring to any ring of scalar matrices over this
       ring.  (Contributed by AV, 25-Dec-2019.) $)
    scmatf $p |- ( ( N e. Fin /\ R e. Ring ) -> F : K --> C ) $=
      ( cfn wcel wa cfv eqid crg cv cur cbs c0g scmatid eqeltrid anim1ci syldan
      co smatvscl fmptd ) IPQDUAQRZAHAUBZEGUJZCFUMUNHQZUPECQZRUOCQUMUQUPUMEBUCS
      CLBBUDSZDCHIDUESZKURTJUSTOUFUGUHBUNDCGHIEJKOMUKUINUL $.

    $d C c y $.  $d F c y $.  $d K y $.  $d N c x y $.  $d R y $.
    $( There is a function from a ring onto any ring of scalar matrices over
       this ring.  (Contributed by AV, 26-Dec-2019.) $)
    scmatfo $p |- ( ( N e. Fin /\ R e. Ring ) -> F : K -onto-> C ) $=
      ( vy vc wcel crg wa cfn wf cv cfv wceq wrex wral wfo scmatf co scmatscmid
      cbs 3expa wi scmatrhmval adantll eqcomd eqeq2d biimpd reximdva adantr mpd
      eqid ralrimiva dffo3 sylanbrc ) IUARZDSRZTZHCFUBPUCZQUCZFUDZUEZQHUFZPCUGH
      CFUHABCDEFGHIJKLMNOUIVIVNPCVIVJCRZTVJVKEGUJZUEZQHUFZVNVGVHVOVRBBULUDZDCGE
      HVJISQJKVSVCLMOUKUMVIVRVNUNVOVIVQVMQHVIVKHRZTZVQVMWAVPVLVJWAVLVPVHVTVLVPU
      EVGABDEFGHISVKJKLMNUOUPUQURUSUTVAVBVDQPHCFVEVF $.

    $d F z $.  $d K i j z $.  $d N i j x y z $.  $d R i j z $.  $d .1. i j $.
    $d .* i j $.
    $( There is a 1-1 function from a ring to any ring of scalar matrices with
       positive dimension over this ring.  (Contributed by AV, 25-Dec-2019.) $)
    scmatf1 $p |- ( ( N e. Fin /\ N =/= (/) /\ R e. Ring )
                    -> F : K -1-1-> C ) $=
      ( vi wcel wceq wral wa vy vz vj cfn c0 wne crg w3a cfv wf1 scmatf 3adant2
      wf cv wi co wb simpr scmatrhmval syl2an eqeq12d 3adantl2 cbs matring eqid
      simpl ringidcl syl anim12ci matvscl syldan jca eqmat csn cdif cun difsnid
      eqcomd adantl raleqdv ralunsn c0g cif anim2i df-3an sylibr id scmatscmide
      oveq2 iftruei eqtrdi anbi2d 3bitrd ralbidva r19.26 rspn0 adantr simplbiim
      3ad2ant2 com12 sylbid ralrimivva dff13 sylanbrc ) IUDQZIUEUFZDUGQZUHZHCFU
      MZUAUNZFUIZUBUNZFUIZRZXJXLRZUOZUBHSUAHSHCFUJXEXGXIXFABCDEFGHIJKLMNOUKULXH
      XPUAUBHHXHXJHQZXLHQZTZTZXNXJEGUPZXLEGUPZRZXOXEXGXSXNYCUQXFXEXGTZXSTZXKYAX
      MYBYDXGXQXKYARXSXEXGURZXQXRVFZABDEFGHIUGXJJKLMNUSUTYDXGXRXMYBRXSYFXQXRURZ
      ABDEFGHIUGXLJKLMNUSUTVAVBXTYCPUNZUCUNZYAUPZYIYJYBUPZRZUCISZPISZXOXTYABVCU
      IZQZYBYPQZTZYCYOUQXEXGXSYSXFYEYQYRYDXSXQEYPQZTYQYDYTXSXQYDBUGQYTBDIKVDYPB
      EYPVEZLVGVHZYGVIBYPXJDGHIEJKUUAMVJVKYDXSXRYTTYRYDYTXSXRUUBYHVIBYPXLDGHIEJ
      KUUAMVJVKVLVBBYPDPUCIYAYBKUUAVMVHXTYOYMUCIYIVNZVOZSZXOTZPISZXOXEXGXSYOUUG
      UQXFYEYNUUFPIYEYIIQZTZYNYMUCUUDUUCVPZSZUUEYIYIYAUPZYIYIYBUPZRZTZUUFUUIYMU
      CIUUJUUHIUUJRYEUUHUUJIIYIVQVRVSVTUUHUUKUUOUQYEYMUUNUCUUDYIIYJYIRYKUULYLUU
      MYJYIYIYAWIYJYIYIYBWIVAWAVSUUIUUNXOUUEUUIUULXJUUMXLUUIUULYIYIRZXJDWBUIZWC
      ZXJYEXEXGXQUHZUUHUUHTZUULUURRUUHYEYDXQTUUSXSXQYDYGWDXEXGXQWEWFUUHUUHUUHUU
      HWGZUVAVLZBHXJDEYIGYIIUUQKJUUQVEZLMWHUTUUPXJUUQYIVEZWJWKUUIUUMUUPXLUUQWCZ
      XLYEXEXGXRUHZUUTUUMUVERUUHYEYDXRTUVFXSXRYDYHWDXEXGXRWEWFUVBBHXLDEYIGYIIUU
      QKJUVCLMWHUTUUPXLUUQUVDWJWKVAWLWMWNVBUUGXTXOUUGUUEPISXOPISZXTXOUOUUEXOPIW
      OXTUVGXOXHUVGXOUOZXSXFXEUVHXGXOPIWPWSWQWTWRWTXAXAXAXBUAUBHCFXCXD $.

    $( There is a bijection between a ring and any ring of scalar matrices with
       positive dimension over this ring.  (Contributed by AV, 26-Dec-2019.) $)
    scmatf1o $p |- ( ( N e. Fin /\ N =/= (/) /\ R e. Ring )
                    -> F : K -1-1-onto-> C ) $=
      ( cfn wcel c0 wne crg w3a wf1 wfo scmatf1 scmatfo 3adant2 df-f1o sylanbrc
      wf1o ) IPQZIRSZDTQZUAHCFUBHCFUCZHCFUIABCDEFGHIJKLMNOUDUJULUMUKABCDEFGHIJK
      LMNOUEUFHCFUGUH $.

    $d S y z $.
    scmatghm.s $e |- S = ( A |`s C ) $.
    $( There is a group homomorphism from the additive group of a ring to the
       additive group of the ring of scalar matrices over this ring.
       (Contributed by AV, 22-Dec-2019.) $)
    scmatghm $p |- ( ( N e. Fin /\ R e. Ring ) -> F e. ( R GrpHom S ) ) $=
      ( wcel cfv eqid vy vz cfn crg wa cplusg cbs cgrp ringgrp adantl csubg c0g
      scmatsgrp subggrp wf scmatf scmatstrbas feq3d mpbird cv csca wceq matsca2
      syl co cvv cscmat ovexi resssca mp1i eqtrd fveq2d oveqd oveq1d clmod clss
      adantr matlmod scmatlss lsslmod syl2anc syl5eq eleq2d adantrd imp adantld
      cur scmatid a1i 3eltr4d cvsca ressvsca ax-mp lmodvsdir syl13anc simpr w3a
      biimpd anim1i 3anass sylibr ringacl scmatrhmval ad2ant2lr oveq12d 3eqtr4d
      ad2ant2l isghmd ) JUCRZDUDRZUEZUAUBDUFSZEUFSZDEGIEUGSZKXNTZXLTZXMTZXJDUHR
      XIDUIUJXKCBUKSREUHRBBUGSZDCIJDULSZLXRTZKXSTZPUMCBEQUNVDXKIXNGUOICGUOABCDF
      GHIJKLMNOPUPXKXNCGIBCDEJLPQUQZURUSXKUAUTZIRZUBUTZIRZUEZUEZYCYEXLVEZFHVEZY
      CFHVEZYEFHVEZXMVEZYIGSZYCGSZYEGSZXMVEYHYJYCYEEVASZUFSZVEZFHVEZYMXKYJYTVBY
      GXKYIYSFHXKXLYRYCYEXKDYQUFXKDBVASZYQBDJUDLVCCVFRZUUAYQVBXKCJDVGPVHZCUUABE
      VFQUUATVIVJVKZVLVMVNVQYHEVORZYCYQUGSZRZYEUUFRZFXNRZYTYMVBXKUUEYGXKBVORCBV
      PSZRUUEBDJLVRBDCJLPVSUUJCBEQUUJTVTWAVQXKYGUUGXKYDUUGYFXKYDUUGXKIUUFYCXKID
      UGSUUFKXKDYQUGUUDVLWBZWCWRWDWEXKYGUUHXKYFUUHYDXKYFUUHXKIUUFYEUUKWCWRWFWEX
      KUUIYGXKBWGSZCFXNBXRDCIJXSLXTKYAPWHFUULVBXKMWIYBWJVQXMYRYCYEHYQUUFXNEFXOX
      QYQTUUBHEWKSVBUUCCHBEVFQNWLWMUUFTYRTWNWOVKYHXJYIIRZYNYJVBXKXJYGXIXJWPZVQY
      HXJYDYFWQZUUMYHXJYGUEUUOXKXJYGUUNWSXJYDYFWTXAIXLDYCYEKXPXBVDABDFGHIJUDYIK
      LMNOXCWAYHYOYKYPYLXMXJYDYOYKVBXIYFABDFGHIJUDYCKLMNOXCXDXJYFYPYLVBXIYDABDF
      GHIJUDYEKLMNOXCXGXEXFXH $.

    ${
      $d M y z $.  $d T y z $.
      scmatmhm.m $e |- M = ( mulGrp ` R ) $.
      scmatmhm.t $e |- T = ( mulGrp ` S ) $.
      $( There is a monoid homomorphism from the multiplicative group of a ring
         to the multiplicative group of the ring of scalar matrices over this
         ring.  (Contributed by AV, 29-Dec-2019.) $)
      scmatmhm $p |- ( ( N e. Fin /\ R e. Ring ) -> F e. ( M MndHom T ) ) $=
        ( vy vz cfn wcel crg wa cmnd cbs cfv wf cv cmulr wceq wral cur w3a cmhm
        co ringmgp adantl csubrg c0g eqid scmatsrng subrgring 3syl scmatf feq3d
        scmatstrbas mpbird scmatscmiddistr syl adantr oveqd eqtr3d simpr anim1i
        ressmulr 3anass sylibr ringcl scmatrhmval ad2ant2lr ad2ant2l ralrimivva
        syl2anc oveq12d 3eqtr4d ringidcl syl2anc2 matsca2 fveq2d oveq1d matlmod
        csca clmod matring lmodvs1 eqtrd subrg1 mgpbas mgpplusg ringidval ismhm
        3jca syl21anbrc ) LUDUEZDUFUEZUGZKUHUEZFUHUEZJEUIUJZHUKZUBULZUCULZDUMUJ
        ZUSZHUJZXOHUJZXPHUJZEUMUJZUSZUNZUCJUOUBJUOZDUPUJZHUJZEUPUJZUNZUQHKFURUS
        UEXIXKXHDKTUTVAXJCBVBUJZUEZEUFUEXLBBUIUJZDCJLDVCUJZNYLVDZMYMVDZRVEZCBES
        VFEFUAUTVGXJXNYEYIXJXNJCHUKABCDGHIJLMNOPQRVHXJXMCHJBCDELNRSVJVIVKXJYDUB
        UCJJXJXOJUEZXPJUEZUGZUGZXRGIUSZXOGIUSZXPGIUSZYBUSZXSYCYTUUBUUCBUMUJZUSU
        UAUUDBJDXOXPXQUUEGILYMNMYOOPXQVDZUUEVDZVLYTUUEYBUUBUUCXJUUEYBUNZYSXJYKU
        UHYPCBEUUEYJSUUGVSVMVNVOVPYTXIXRJUEZXSUUAUNXJXIYSXHXIVQZVNYTXIYQYRUQZUU
        IYTXIYSUGUUKXJXIYSUUJVRXIYQYRVTWAJDXQXOXPMUUFWBVMABDGHIJLUFXRMNOPQWCWGY
        TXTUUBYAUUCYBXIYQXTUUBUNXHYRABDGHIJLUFXOMNOPQWCWDXIYRYAUUCUNXHYQABDGHIJ
        LUFXPMNOPQWCWEWHWIWFXJYGGYHXJYGYFGIUSZGXJXIYFJUEYGUULUNUUJJDYFMYFVDZWJA
        BDGHIJLUFYFMNOPQWCWKXJUULBWPUJZUPUJZGIUSZGXJYFUUOGIXJDUUNUPBDLUFNWLWMWN
        XJBWQUEGYLUEZUUPGUNBDLNWOXJBUFUEUUQBDLNWRYLBGYNOWJVMIUUOUUNYLBGYNUUNVDP
        UUOVDWSWGWTWTXJYKGYHUNYPCBEGSOXAVMWTXFUBUCJXMXQYBKFHYHYFJDKTMXBXMEFUAXM
        VDXBDXQKTUUFXCEYBFUAYBVDXCDYFKTUUMXDEYHFUAYHVDXDXEXG $.
    $}

    $( There is a ring homomorphism from a ring to the ring of scalar matrices
       over this ring.  (Contributed by AV, 29-Dec-2019.) $)
    scmatrhm $p |- ( ( N e. Fin /\ R e. Ring ) -> F e. ( R RingHom S ) ) $=
      ( wcel cfv eqid cfn crg wa cghm co cmgp cmhm crh csubrg cbs c0g scmatsrng
      simpr subrgring syl scmatghm scmatmhm jca isrhm syl21anbrc ) JUARZDUBRZUC
      ZVBEUBRZGDEUDUERZGDUFSZEUFSZUGUERZUCGDEUHUERVAVBUMVCCBUISRVDBBUJSZDCIJDUK
      SZLVITKVJTPULCBEQUNUOVCVEVHABCDEFGHIJKLMNOPQUPABCDEVGFGHIVFJKLMNOPQVFTZVG
      TZUQURDEGVFVGVKVLUSUT $.

    $( There is a ring isomorphism from a ring to the ring of scalar matrices
       over this ring with positive dimension.  (Contributed by AV,
       29-Dec-2019.) $)
    scmatrngiso $p |- ( ( N e. Fin /\ N =/= (/) /\ R e. Ring )
                        -> F e. ( R RingIso S ) ) $=
      ( wcel crg cfv cfn c0 wne w3a crs crh wf1o scmatrhm 3adant2 scmatf1o wceq
      co cbs scmatstrbas f1oeq3d mpbird wa simp3 csubrg c0g scmatsrng subrgring
      wb eqid syl isrim 3imp3i2an mpbir2and ) JUARZJUBUCZDSRZUDZGDEUEULRZGDEUFU
      LRZIEUMTZGUGZVIVKVNVJABCDEFGHIJKLMNOPQUHUIVLVPICGUGABCDFGHIJKLMNOPUJVLVOC
      IGVIVKVOCUKVJBCDEJLPQUNUIUOUPVIVJVKVKESRZVMVNVPUQVCVIVJVKURVIVKUQCBUSTRVQ
      BBUMTZDCIJDUTTZLVRVDKVSVDPVACBEQVBVEIVODEGSSKVOVDVFVGVH $.
  $}

  ${
    $d A x $.  $d C x $.  $d N x $.  $d R x $.
    scmatric.a $e |- A = ( N Mat R ) $.
    scmatric.c $e |- C = ( N ScMat R ) $.
    scmatric.s $e |- S = ( A |`s C ) $.
    $( A ring is isomorphic to every ring of scalar matrices over this ring
       with positive dimension.  (Contributed by AV, 29-Dec-2019.) $)
    scmatric $p |- ( ( N e. Fin /\ N =/= (/) /\ R e. Ring ) -> R ~=r S ) $=
      ( vx cfn wcel c0 wne crg w3a crs co cric cfv eqid wbr cbs cur scmatrngiso
      cv cvsca cmpt ne0d brric sylibr ) EJKELMCNKOZCDPQZLMCDRUAUKULICUBSZIUEAUC
      SZAUFSZQUGZIABCDUNUPUOUMEUMTFUNTUOTUPTGHUDUHCDUIUJ $.
  $}

  ${
    $d R c $.
    $( The empty matrix over a ring is a scalar matrix (and therefore, by
       ~ scmatdmat , also a diagonal matrix).  (Contributed by AV,
       21-Dec-2019.) $)
    mat0scmat $p |- ( R e. Ring -> (/) e. ( (/) ScMat R ) ) $=
      ( vc crg wcel c0 cscmat co cmat cbs cfv cv cur cvsca wceq wrex csn 0ex wb
      eqid eqeq2d mat0dimbas0 eleqtrrid ringidcl oveq1 adantl mat0dimscm eqcomd
      snid mpdan rspcedvd mat0dimid oveq2d rexbidv mpbird cfn 0fin scmatel mpan
      wa mpbir2and ) ACDZEEAFGZDZEEAHGZIJZDZEBKZVDLJZVDMJZGZNZBAIJZOZVAEEPVEEQU
      HACUAUBVAVMEVGEVIGZNZBVLOVAVOEALJZEVIGZNZBVPVLVLAVPVLSZVPSUCZVGVPNZVOVRRV
      AWAVNVQEVGVPEVIUDTUEVAVQEVAVPVLDVQENVTVDAVPVDSZUFUIUGUJVAVKVOBVLVAVJVNEVA
      VHEVGVIVDAWBUKULTUMUNEUODVAVCVFVMUSRUPVDVEAVBVIVHVLEECBVSWBVESVHSVISVBSUQ
      URUT $.
  $}

  ${
    $d B e $.  $d M c e $.  $d N c e $.  $d R c e $.
    mat1scmat.a $e |- A = ( N Mat R ) $.
    mat1scmat.b $e |- B = ( Base ` A ) $.
    $( A 1-dimensional matrix over a ring is always a scalar matrix (and
       therefore, by ~ scmatdmat , also a diagonal matrix).  (Contributed by
       AV, 21-Dec-2019.) $)
    mat1scmat $p |- ( ( N e. V /\ ( # ` N ) = 1 /\ R e. Ring )
                      -> ( M e. B -> M e. ( N ScMat R ) ) ) $=
      ( ve vc wcel cfv wceq co csn cbs wa cop cvv eqid chash c1 cscmat hash1snb
      crg wi cv wex cmat cur cvsca wrex simpr mat1dimelbas elvd cmulr mat1dimid
      wb sylan2 oveq2d simpl jctir ringidcl adantr mat1dimscm syl12anc ringridm
      vex a1i opeq2d sneqd 3eqtrrd eqtrd ex reximdva sylbid imp scmatel sylancr
      snfi mpbir2and fveq2i eqtri fvoveq1 syl5eq eleq2d imbi12d syl5ibr exlimiv
      cfn oveq1 syl6bi 3imp ) EFKZEUALUBMZCUEKZDBKZDECUCNZKZUFZWNWOEIUGZOZMZIUH
      WPWTUFZEFIUDXCXDIWPWTXCDXBCUINZPLZKZDXBCUCNZKZUFWPXGXIWPXGQZXIXGDJUGZXEUJ
      LZXEUKLZNZMZJCPLZULZWPXGUMWPXGXQWPXGDXAXARZXKRZOZMZJXPULZXQWPXGYBURIXEXPC
      XADXRSJXETZXPTZXRTZUNUOWPYAXOJXPWPXKXPKZQZYAXOYGYAQDXTXNYGYAUMYGXTXNMYAYG
      XNXKXRCUJLZROZXMNZXRXKYHCUPLZNZRZOZXTYGXLYIXKXMYFWPXASKZXLYIMYOYFIVHZVIXE
      XPCXAXRSYCYDYEUQUSUTYGWPYOQYFYHXPKZYJYNMYGWPYOWPYFVAYPVBWPYFUMWPYQYFXPCYH
      YDYHTZVCVDXEXPCXAXRSXKYHYCYDYEVEVFYGYMXSYGYLXKXRXPCYKYHXKYDYKTYRVGVJVKVLV
      DVMVNVOVPVQXJXBWJKWPXIXGXQQURXAVTWPXGVAXEXFCXHXMXLXPDXBUEJYDYCXFTXLTXMTXH
      TVRVSWAVNXCWQXGWSXIXCBXFDXCBECUINZPLZXFBAPLYTHAYSPGWBWCEXBCPUIWDWEWFXCWRX
      HDEXBCUCWKWFWGWHWIWLWM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Multiplication of a matrix with a "column vector"
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
The module of ` n ` -dimensional "column vectors" over a ring ` r ` is the
` n ` -dimensional free module over a ring ` r `, which is the product of ` n `
-many copies of the ring with componentwise addition and multiplication.
Although a "column vector" could also be defined as n x 1 -matrix (according to
Wikipedia "Row and column vectors", 22-Feb-2019,
~ https://en.wikipedia.org/wiki/Row_and_column_vectors : "In linear algebra, a
column vector [[... ] is an m x 1 matrix, that is, a matrix consisting of a
single column of m elements"), which would allow for using the matrix
multiplication ~ df-mamu for multiplying a matrix with a column vector, it
seems more natural to use the definition of a free (left) module, avoiding to
provide a singleton as ` 1 `-dimensional index set for the column, and to
introduce a new operator ~ df-mvmul for the multiplication of a matrix with a
column vector. In most cases, it is sufficient to regard members of
` ( ( Base `` R ) ^m N ) ` as "column vectors", because
` ( ( Base `` R ) ^m N ) ` is the base set of ` ( R freeLMod N ) `, see
~ frlmbasmap . See also the statements in [Lang] p. 508.
$)

  $c maVecMul $.
  $( Syntax for the operator for the multiplication of a vector with a
     matrix. $)
  cmvmul $a class maVecMul $.

  ${
    $d i j m n o r x y $.
    $( The operator which multiplies an M x N -matrix with an N-dimensional
       vector.  (Contributed by AV, 23-Feb-2019.) $)
    df-mvmul $a |- maVecMul = ( r e. _V , o e. _V
         |-> [_ ( 1st ` o ) / m ]_ [_ ( 2nd ` o ) / n ]_
             ( x e. ( ( Base ` r ) ^m ( m X. n ) ) , y e. ( ( Base ` r ) ^m n )
               |-> ( i e. m |-> ( r gsum ( j e. n
                            |-> ( ( i x j ) ( .r ` r ) ( y ` j ) ) ) ) ) ) ) $.
  $}

  ${
    $d i j m n o r x y $.  $d i j o r x y ph $.  $d i j o r x y M $.
    $d i j o r x y N $.  $d i j o r x y R $.  $d i j o r x y ph $.
    $d o r x y B $.  $d o r x y i .x. $.
    mvmulfval.x $e |- .X. = ( R maVecMul <. M , N >. ) $.
    mvmulfval.b $e |- B = ( Base ` R ) $.
    mvmulfval.t $e |- .x. = ( .r ` R ) $.
    mvmulfval.r $e |- ( ph -> R e. V ) $.
    mvmulfval.m $e |- ( ph -> M e. Fin ) $.
    mvmulfval.n $e |- ( ph -> N e. Fin ) $.
    $( Functional value of the matrix vector multiplication operator.
       (Contributed by AV, 23-Feb-2019.) $)
    mvmulfval $p |- ( ph -> .X. = ( x e. ( B ^m ( M X. N ) ) ,
                                    y e. ( B ^m N ) |-> ( i e. M
             |-> ( R gsum ( j e. N |-> ( ( i x j ) .x. ( y ` j ) ) ) ) ) ) ) $=
      ( co cmap vr vo vm vn cop cmvmul cxp cfv cmpt cgsu cmpo cvv c1st c2nd cbs
      cv cmulr csb wceq df-mvmul wa fvex xpeq12 oveq2d oveq2 adantl simpl simpr
      a1i mpteq1d mpteq12dv mpoeq123dv csbie2 simprl eqtr4di fveq2 ad2antll cfn
      fveq2d wcel op1stg syl2anc adantr eqtrd op2ndg xpeq12d oveqd syl5eq elexd
      oveq12d opex ovex mpoex ovmpod ) AGEJKUEZUFSBCDJKUGZTSZDKTSZHJEIKHUPIUPZB
      UPSZWSCUPUHZFSZUIZUJSZUIZUKZMAUAUBEWOULULUCUBUPZUMUHZUDXGUNUHZBCUAUPZUOUH
      ZUCUPZUDUPZUGZTSZXKXMTSZHXLXJIXMWTXAXJUQUHZSZUIZUJSZUIZUKZURURZXFUFULUFUA
      UBULULYCUKUSABCHIUCUDUBUAUTVIAXJEUSZXGWOUSZVAZVAZYCBCXKXHXIUGZTSZXKXITSZH
      XHXJIXIXRUIZUJSZUIZUKZXFUCUDXHXIYBYNXGUMVBXGUNVBXLXHUSZXMXIUSZVAZBCXOXPYA
      YIYJYMYQXNYHXKTXLXHXMXIVCVDYPXPYJUSYOXMXIXKTVEVFYQHXLXTXHYLYOYPVGYQXSYKXJ
      UJYQIXMXIXRYOYPVHVJVDVKVLVMYGBCYIYJYMWQWRXEYGXKDYHWPTYGXKEUOUHDYGXJEUOAYD
      YEVNZVSNVOZYGXHJXIKYGXHWOUMUHZJYEXHYTUSAYDXGWOUMVPVQAYTJUSZYFAJVRVTZKVRVT
      ZUUAQRJKVRVRWAWBWCWDZYGXIWOUNUHZKYEXIUUEUSAYDXGWOUNVPVQAUUEKUSZYFAUUBUUCU
      UFQRJKVRVRWEWBWCWDZWFWJYGXKDXIKTYSUUGWJYGHXHYLJXDUUDYGXJEYKXCUJYRYGIXIXRK
      XBUUGYGXQFWTXAYGXQEUQUHZFYFXQUUHUSZAYDUUIYEXJEUQVPWCVFOVOWGVKWJVKVLWHAELP
      WIWOULVTAJKWKVIXFULVTABCWQWRXEDWPTWLDKTWLWMVIWNWH $.

    $d i j x y X $.  $d i j x y Y $.
    mvmulval.x $e |- ( ph -> X e. ( B ^m ( M X. N ) ) ) $.
    mvmulval.y $e |- ( ph -> Y e. ( B ^m N ) ) $.
    $( Multiplication of a vector with a matrix.  (Contributed by AV,
       23-Feb-2019.) $)
    mvmulval $p |- ( ph -> ( X .X. Y ) = ( i e. M
               |-> ( R gsum ( j e. N |-> ( ( i X j ) .x. ( Y ` j ) ) ) ) ) ) $=
      ( vx vy cxp cmap co cv cfv cmpt cgsu cvv mvmulfval wceq wa oveq oveqan12d
      fveq1 adantl mpteq2dv oveq2d cfn mptexd ovmpod ) AUAUBKLBHIUCUDUEBIUDUEFH
      CGIFUFZGUFZUAUFZUEZVDUBUFZUGZDUEZUHZUIUEZUHFHCGIVCVDKUEZVDLUGZDUEZUHZUIUE
      ZUHEUJAUAUBBCDEFGHIJMNOPQRUKAVEKULZVGLULZUMZUMZFHVKVPVTVJVOCUIVTGIVIVNVSV
      IVNULAVQVRVFVLVHVMDVCVDVEKUNVDVGLUPUOUQURUSURSTAFHVPUTQVAVB $.

    $d i j I $.
    mvmulfv.i $e |- ( ph -> I e. M ) $.
    $( A cell/element in the vector resulting from a multiplication of a vector
       with a matrix.  (Contributed by AV, 23-Feb-2019.) $)
    mvmulfv $p |- ( ph -> ( ( X .X. Y ) ` I )
                   = ( R gsum ( j e. N |-> ( ( I X j ) .x. ( Y ` j ) ) ) ) ) $=
      ( vi cv co cfv cmpt cgsu cvv mvmulval oveq1 adantl oveq1d mpteq2dv oveq2d
      wceq wa ovexd fvmptd ) AUBGCFIUBUCZFUCZKUDZUTLUEZDUDZUFZUGUDCFIGUTKUDZVBD
      UDZUFZUGUDHKLEUDUHABCDEUBFHIJKLMNOPQRSTUIAUSGUOZUPZVDVGCUGVIFIVCVFVIVAVEV
      BDVHVAVEUOAUSGUTKUJUKULUMUNUAACVGUGUQUR $.
  $}

  ${
    $d i j N $.  $d i j R $.  $d i j X $.  $d i j Y $.  $d i .x. $.
    $d i j ph $.
    mavmulval.a $e |- A = ( N Mat R ) $.
    mavmulval.m $e |- .X. = ( R maVecMul <. N , N >. ) $.
    mavmulval.b $e |- B = ( Base ` R ) $.
    mavmulval.t $e |- .x. = ( .r ` R ) $.
    mavmulval.r $e |- ( ph -> R e. V ) $.
    mavmulval.n $e |- ( ph -> N e. Fin ) $.
    mavmulval.x $e |- ( ph -> X e. ( Base ` A ) ) $.
    mavmulval.y $e |- ( ph -> Y e. ( B ^m N ) ) $.
    $( Multiplication of a vector with a square matrix.  (Contributed by AV,
       23-Feb-2019.) $)
    mavmulval $p |- ( ph -> ( X .X. Y ) = ( i e. N
               |-> ( R gsum ( j e. N |-> ( ( i X j ) .x. ( Y ` j ) ) ) ) ) ) $=
      ( cbs cfv cxp cmap co cfn wcel wceq matbas2 syl2anc eleqtrrd mvmulval ) A
      CDEFGHIIJKLNOPQRRAKBUAUBZCIIUCUDUEZSAIUFUGDJUGUNUMUHRQBDCIJMOUIUJUKTUL $.

    $d i j I $.
    mavmulfv.i $e |- ( ph -> I e. N ) $.
    $( A cell/element in the vector resulting from a multiplication of a vector
       with a square matrix.  (Contributed by AV, 6-Dec-2018.)  (Revised by AV,
       18-Feb-2019.)  (Revised by AV, 23-Feb-2019.) $)
    mavmulfv $p |- ( ph -> ( ( X .X. Y ) ` I )
                   = ( R gsum ( j e. N |-> ( ( I X j ) .x. ( Y ` j ) ) ) ) ) $=
      ( vi cv co cfv cmpt cgsu cvv mavmulval wceq wa oveq1 adantl oveq1d oveq2d
      mpteq2dv ovexd fvmptd ) AUBHDGIUBUCZGUCZKUDZUTLUEZEUDZUFZUGUDDGIHUTKUDZVB
      EUDZUFZUGUDIKLFUDUHABCDEFUBGIJKLMNOPQRSTUIAUSHUJZUKZVDVGDUGVIGIVCVFVIVAVE
      VBEVHVAVEUJAUSHUTKULUMUNUPUOUAADVGUGUQUR $.
  $}

  ${
    $d i j B $.  $d i j N $.  $d i j R $.  $d i j X $.  $d i j Y $.
    $d i j ph $.  $d i .x. $.
    mavmulcl.a $e |- A = ( N Mat R ) $.
    mavmulcl.m $e |- .X. = ( R maVecMul <. N , N >. ) $.
    mavmulcl.b $e |- B = ( Base ` R ) $.
    mavmulcl.t $e |- .x. = ( .r ` R ) $.
    mavmulcl.r $e |- ( ph -> R e. Ring ) $.
    mavmulcl.n $e |- ( ph -> N e. Fin ) $.
    mavmulcl.x $e |- ( ph -> X e. ( Base ` A ) ) $.
    mavmulcl.y $e |- ( ph -> Y e. ( B ^m N ) ) $.
    $( Multiplication of an NxN matrix with an N-dimensional vector results in
       an N-dimensional vector.  (Contributed by AV, 6-Dec-2018.)  (Revised by
       AV, 23-Feb-2019.)  (Proof shortened by AV, 23-Jul-2019.) $)
    mavmulcl $p |- ( ph -> ( X .X. Y ) e. ( B ^m N ) ) $=
      ( vi co wcel vj cv cfv cmpt cgsu cmap crg mavmulval wral ccmn ringcmn syl
      wa adantr cfn ad2antrr cxp cbs wceq matbas2 syl2anc eleqtrrd elmapi simpr
      wf fovrnd ffvelrnd ringcl syl3anc ralrimiva gsummptcl eqid fmpt cvv fvexi
      wb elmapg sylancr bitr4id mpbid eqeltrd ) AHIFSRGDUAGRUBZUAUBZHSZWCIUCZES
      ZUDUESZUDZCGUFSZABCDEFRUAGUGHIJKLMNOPQUHAWGCTZRGUIZWHWITZAWJRGAWBGTZUMZCU
      ADGWFLADUJTZWMADUGTZWONDUKULUNAGUOTZWMOUNWNWFCTZUAGWNWCGTZUMZWPWDCTWECTWR
      AWPWMWSNUPWTWBWCCGGHAGGUQZCHVEZWMWSAHCXAUFSZTXBAHBURUCZXCPAWQWPXCXDUSONBD
      CGUGJLUTVAVBHCXAVCULUPWNWMWSAWMVDUNWNWSVDZVFWTGCWCIAGCIVEZWMWSAIWITXFQICG
      VCULUPXEVGCDEWDWELMVHVIVJVKVJAWKGCWHVEZWLRGCWGWHWHVLVMACVNTWQWLXGVPCDURLV
      OOCGWHVNUOVQVRVSVTWA $.
  $}

  ${
    $d i j x y A $.  $d i j x y N $.  $d i j x y R $.  $d i j y x ph $.
    $d i j Y $.
    1mavmul.a $e |- A = ( N Mat R ) $.
    1mavmul.b $e |- B = ( Base ` R ) $.
    1mavmul.t $e |- .x. = ( R maVecMul <. N , N >. ) $.
    1mavmul.r $e |- ( ph -> R e. Ring ) $.
    1mavmul.n $e |- ( ph -> N e. Fin ) $.
    1mavmul.y $e |- ( ph -> Y e. ( B ^m N ) ) $.
    $( Multiplication of the identity NxN matrix with an N-dimensional vector
       results in the vector itself.  (Contributed by AV, 9-Feb-2019.)
       (Revised by AV, 23-Feb-2019.) $)
    1mavmul $p |- ( ph -> ( ( 1r ` A ) .x. Y ) = Y ) $=
      ( vi vj cfv co wcel wceq adantr vx vy cur cv cmulr cmpt cgsu crg eqid cfn
      cbs cmat fveq2i mat1bas syl2anc mavmulval wa weq c0g cif cmpo mat1 oveqdr
      oveq1d mpteq2dv oveq2d eqidd eqeq12 ifbid adantl simpr fvexd ifcld ovmpod
      cvv iftrue wi cmap wf fvexi a1i elmapd ffvelrn ex syl6bi mpd imp ringlidm
      fveq2 equcoms 3eqtrd eqtr4d wn ringlz eqcom sylnbi eqcomd pm2.61ian eqtrd
      iffalse mpteq2dva cmnd ringmnd syl eleqtrdi gsummptif1n0 wfn dffn5 bitr4i
      ffn sylibr ) ABUCPZGEQNFDOFNUDZOUDZXLQZXNGPZDUEPZQZUFZUGQZUFNFXMGPZUFZGAB
      CDXQENOFUHXLGHJIXQUIZKLADUHRZFUJRZXLBUKPZRKLBYFDXLFHYFUIBFDULQUCHUMUNUOMU
      PANFXTYAAXMFRZUQZXTDOFXMXNUAUBFFUAUBURZDUCPZDUSPZUTZVAZQZXPXQQZUFZUGQDOFO
      NURZYAYKUTZUFZUGQYAYHXSYPDUGYHOFXRYOYHXOYNXPXQAYGNOXLYMAYEYDXLYMSLKBDYJUA
      UBFYKHYJUIZYKUIZVBUOVCVDVEVFYHYPYSDUGYHOFYOYRYHXNFRZUQZYONOURZYJYKUTZXPXQ
      QZYRUUCYNUUEXPXQUUCUAUBXMXNFFYLUUEYMVOUUCYMVGUANURUBOURUQZYLUUESUUCUUGYIU
      UDYJYKUAUDXMUBUDXNVHVIVJYHYGUUBAYGVKZTYHUUBVKUUCUUDYJYKVOUUCDUCVLUUCDUSVL
      VMVNVDUUDUUCUUFYRSUUDUUCUQZUUFYAYRUUIUUFYJXPXQQZXPYAUUIUUEYJXPXQUUDUUEYJS
      UUCUUDYJYKVPTVDUUCUUJXPSZUUDUUCYDXPCRZUUKYHYDUUBAYDYGKTTZYHUUBUULAUUBUULV
      QZYGAGCFVRQRZUUNMAUUOFCGVSZUUNACFGVOUJCVORACDUKIVTWALWBZUUPUUBUULFCXNGWCW
      DWEWFTWGZCDXQYJXPIYCYTWHUOVJUUDXPYASZUUCUUSONXNXMGWIWJTWKUUDYRYASZUUCUUTO
      NYQYAYKVPWJTWLUUDWMZUUCUQUUFYKXPXQQZYKYRUVAUUFUVBSUUCUVAUUEYKXPXQUUDYJYKW
      TVDTUUCUVBYKSZUVAUUCYDUULUVCUUMUURCDXQXPYKIYCUUAWNUOVJUVAYKYRSUUCUVAYRYKU
      UDYQYRYKSXMXNWOYQYAYKWTWPWQTWKWRWSXAVFYHYAOYSDFUJXMYKUUAADXBRZYGAYDUVDKDX
      CXDTAYEYGLTUUHYSUIAYGYADUKPZRZAUUOYGUVFVQZMAUUOUUPUVGUUQUUPYGUVFUUPYGUQYA
      CUVEFCXMGWCIXEWDWEWFWGXFWKXAAGFXGZYBGSZAUUOUVHMAUUOUUPUVHUUQFCGXJWEWFUVIG
      YBSUVHYBGWONFGXHXIXKWK $.

    $d j k B $.  $d k N $.  $d k R $.  $d i j k X $.  $d k Y $.  $d i j k Z $.
    $d k ph $.  $d i j .X. $.  $d i k .x. $.
    mavmulass.m $e |- .X. = ( R maMul <. N , N , N >. ) $.
    mavmulass.x $e |- ( ph -> X e. ( Base ` A ) ) $.
    mavmulass.z $e |- ( ph -> Z e. ( Base ` A ) ) $.
    $( Associativity of the multiplication of two NxN matrices with an
       N-dimensional vector.  (Contributed by AV, 9-Feb-2019.)  (Revised by AV,
       25-Feb-2019.)  (Proof shortened by AV, 22-Jul-2019.) $)
    mavmulass $p |- ( ph -> ( ( X .X. Z ) .x. Y ) = ( X .x. ( Z .x. Y ) ) ) $=
      ( co vi vj vk cmap wcel wf wfn cmulr cfv eqid cxp cbs cfn matbas2 syl2anc
      crg wceq eleqtrrd mamucl eleqtrd mavmulcl elmapi ffn 3syl cv wa cmpt cgsu
      ringcmn syl adantr ad2antrr simplr simprr fovrnd simprl wi ffvelrn ex imp
      ad2ant2r ringcl syl3anc gsumcom3fi simpr mamufv oveq1d cplusg c0g adantlr
      ccmn cvv ovexd fvexd fsuppmptdm gsummulc1 ringass syl13anc anassrs oveq2d
      mpteq2dva 3eqtr2d mavmulfv gsummulc2 eqtr4d 3eqtr4d eqfnfvd ) AUAGHJFTZIE
      TZHJIETZETZAXICGUDTZUEGCXIUFXIGUGABCDDUHUIZEGXHIKMLXMUJZNOAXHCGGUKZUDTZBU
      LUIZACGDFGGHJLNQOOOAHXQXPRAGUMUEZDUPUEZXPXQUQONBDCGUPKLUNUOZURZAJXQXPSXTU
      RZUSXTUTZPVAXICGVBGCXIVCVDAXKXLUEGCXKUFXKGUGABCDXMEGHXJKMLXNNORABCDXMEGJI
      KMLXNNOSPVAZVAXKCGVBGCXKVCVDAUAVEZGUEZVFZDUBGYEUBVEZXHTZYHIUIZXMTZVGZVHTZ
      DUCGYEUCVEZHTZYNXJUIZXMTZVGZVHTZYEXIUIYEXKUIYGDUBGDUCGYOYNYHJTZYJXMTZXMTZ
      VGZVHTZVGZVHTDUCGDUBGUUBVGVHTZVGZVHTYMYSYGGCGUBUCDUUBLADWKUEZYFAXSUUHNDVI
      VJVKAXRYFOVKZUUIYGYHGUEZYNGUEZVFZVFZXSYOCUEZUUACUEZUUBCUEAXSYFUULNVLZUUMY
      EYNCGGHAXOCHUFZYFUULAHXPUEZUUQYAHCXOVBVJZVLAYFUULVMYGUUJUUKVNZVOZUUMXSYTC
      UEZYJCUEZUUOUUPUUMYNYHCGGJAXOCJUFZYFUULAJXPUEZUVDYBJCXOVBVJZVLUUTYGUUJUUK
      VPVOZAUUJUVCYFUUKAUUJUVCAIXLUEZGCIUFZUUJUVCVQZPICGVBUVIUUJUVCGCYHIVRVSVDZ
      VTZWAZCDXMYTYJLXNWBZWCCDXMYOUUALXNWBWCWDYGYLUUEDVHYGUBGYKUUDYGUUJVFZYKDUC
      GYOYTXMTZVGZVHTZYJXMTDUCGUVPYJXMTZVGZVHTUUDUVOYIUVRYJXMUVOCGDXMUCFYEYHGGU
      PHJQLXNAXSYFUUJNVLZAXRYFUUJOVLZUWBUWBAUURYFUUJYAVLAUVEYFUUJYBVLAYFUUJVMYG
      UUJWEWFWGUVOGCDWHUIZDXMUCUMUVPYJDWIUIZLUWDUJZUWCUJZXNUWAUWBAUUJUVCYFUVLWJ
      UVOUUKVFZXSUUNUVBUVPCUEYGXSUUJUUKAXSYFNVKZVLYGUUKUUNUUJYGUUKVFZYEYNCGGHAU
      UQYFUUKUUSVLAYFUUKVMYGUUKWEZVOZWJUWGYNYHCGGJYGUVDUUJUUKAUVDYFUVFVKZVLUVOU
      UKWEYGUUJUUKVMVOCDXMYOYTLXNWBWCUVOUCGUVQWLWLUVPUWDUVQUJUWBUWGYOYTXMWMUVOD
      WIWNWOWPUVOUVTUUCDVHUVOUCGUVSUUBYGUUJUUKUVSUUBUQZUUMXSUUNUVBUVCUWMUUPUVAU
      VGUVMCDXMYOYTYJLXNWQWRWSXAWTXBXAWTYGYRUUGDVHYGUCGYQUUFUWIYQYODUBGUUAVGZVH
      TZXMTUUFUWIYPUWOYOXMUWIBCDXMEUBYNGUPJIKMLXNAXSYFUUKNVLZAXRYFUUKOVLZAJXQUE
      YFUUKSVLAUVHYFUUKPVLUWJXCWTUWIGCUWCDXMUBUMUUAYOUWDLUWEUWFXNUWPUWQUWKUWIUU
      JVFZXSUVBUVCUUOYGXSUUKUUJUWHVLUWRYNYHCGGJYGUVDUUKUUJUWLVLYGUUKUUJVMUWIUUJ
      WEVOUWIUUJUVCAUVJYFUUKUVKVLVTUVNWCUWIUBGUWNWLWLUUAUWDUWNUJUWQUWRYTYJXMWMU
      WIDWIWNWOXDXEXAWTXFYGBCDXMEUBYEGUPXHIKMLXNUWHUUIAXHXQUEYFYCVKAUVHYFPVKAYF
      WEZXCYGBCDXMEUCYEGUPHXJKMLXNUWHUUIAHXQUEYFRVKAXJXLUEYFYDVKUWSXCXFXG $.
  $}

  ${
    $d B x y $.  $d M i j x y $.  $d N i j x y $.  $d R i j x y $.
    $d V i j x y $.
    mavmuldm.b $e |- B = ( Base ` R ) $.
    mavmuldm.c $e |- C = ( B ^m ( M X. N ) ) $.
    mavmuldm.d $e |- D = ( B ^m N ) $.
    mavmuldm.t $e |- .x. = ( R maVecMul <. M , N >. ) $.
    $( The domain of the matrix vector multiplication function.  (Contributed
       by AV, 27-Feb-2019.) $)
    mavmuldm $p |- ( ( R e. V /\ M e. Fin /\ N e. Fin )
                     -> dom .x. = ( C X. D ) ) $=
      ( vx vy vi vj wcel cfn co cv w3a cdm cmap cmulr cmpt cgsu cmpo eqid simp1
      cxp cfv simp2 simp3 mvmulfval dmeqd cvv wral wa mptexg 3ad2ant2 ralrimivv
      wceq a1d dmmpoga syl eqcomi a1i eqcomd xpeq12d 3eqtrd ) DHQZFRQZGRQZUAZEU
      BMNAFGUJUCSZAGUCSZOFDPGOTPTZMTZSVQNTZUKDUDUKZSUEUFSZUEZUGZUBZVOVPUJZBCUJV
      NEWCVNMNADVTEOPFGHLIVTUHVKVLVMUIVKVLVMULVKVLVMUMUNUOVNWBUPQZNVPUQMVOUQWDW
      EVBVNWFMNVOVPVNWFVRVOQVSVPQURVLVKWFVMOFWARUSUTVCVAMNVOVPWBWCUPWCUHVDVEVNV
      OBVPCVOBVBVNBVOJVFVGVNCVPCVPVBVNKVGVHVIVJ $.

    mavmulsolcl.e $e |- E = ( B ^m M ) $.
    $( Every solution of the equation ` A * X = Y ` for a matrix ` A ` and a
       vector ` B ` is a vector.  (Contributed by AV, 27-Feb-2019.) $)
    mavmulsolcl $p |- ( ( ( M e. Fin /\ N e. Fin /\ M =/= (/) )
                /\ ( R e. V /\ Y e. E ) ) -> ( ( A .x. X ) = Y -> X e. D ) ) $=
      ( wcel c0 wi cfn wne w3a wa co wceq 2a1 wn cdm simpl adantl simpl1 simpl2
      cxp 3jca mavmuldm syl intnand ndmovg syl2anc eqeq1 cmap wf elmapi biimprd
      f0dom0 necon3d com12 3ad2ant3 eleq2s impcom eqneqall syl5com eqcoms com23
      a1d syl6bi mpcom ex pm2.61i ) KDRZHUARZIUARZHSUBZUCZEJRZLGRZUDZUDZAKFUEZL
      UFZWATZTWAWIWKUGWAUHZWIWLWJSUFZWMWIUDZWLWOFUICDUNUFZACRZWAUDUHWNWOWFWBWCU
      CZWPWIWRWMWIWFWBWCWHWFWEWFWGUJUKWBWCWDWHULWBWCWDWHUMUOUKBCDEFHIJMNOPUPUQW
      OWAWQWMWIUJURAKCDFUSUTWNWKWOWAWNWKSLUFWOWATZWJSLVAWSLSWOLSUFZWAWIWTWATWMW
      ILSUBZWTWAWHWEXAWGWFWEXATZWFXBTZLBHVBUEZGLXDRHBLVCZXCLBHVDXEXBWFWEXEXAWDW
      BXEXATWCXEWDXAXELSHSXEHSUFWTLHBVFVEVGVHVIVHVPUQQVJVKVKWALSVLVMUKVHVNVQVOV
      RVSVT $.
  $}

  ${
    $d N i j $.  $d R i j $.  $d V i j $.
    mavmul0.t $e |- .x. = ( R maVecMul <. N , N >. ) $.
    $( Multiplication of a 0-dimensional matrix with a 0-dimensional vector.
       (Contributed by AV, 28-Feb-2019.) $)
    mavmul0 $p |- ( ( N = (/) /\ R e. V ) -> ( (/) .x. (/) ) = (/) ) $=
      ( vi vj c0 wceq wcel co cfv cmpt cmat cbs eqid cfn adantr cvv c1o wa cgsu
      cmulr simpr 0fin eleq1 mpbiri csn 0ex snidg mp1i oveq1 fveq2d mat0dimbas0
      adantl eqtrd eleqtrrd cmap eqidd el1o sylibr oveq2 map0e mavmulval mpteq1
      cv fvex mpt0 eqtrdi ) CHIZADJZUAZHHBKFCAGCFVFGVFZHKVMHLAUCLZKMUBKZMZHVLCA
      NKZAOLZAVNBFGCDHHVQPEVRPVNPVJVKUDVJCQJZVKVJVSHQJUECHQUFUGRVLHHUHZVQOLZHSJ
      HVTJVLUIHSUJUKVLWAHANKZOLZVTVLVQWBOVJVQWBIVKCHANULRUMVKWCVTIVJADUNUOUPUQV
      JHVRCURKZJVKVJHTWDVJHHIHTJVJHUSHUTVAVJWDVRHURKZTCHVRURVBVRSJWETIVJAOVGVRS
      VCUKUPUQRVDVLVPFHVOMZHVJVPWFIVKFCHVOVERFVOVHVIUP $.

    $d N i j k l $.  $d R k l $.  $d V k l $.
    $( The result of the 0-dimensional multiplication of a matrix with a vector
       is always the empty set.  (Contributed by AV, 1-Mar-2019.) $)
    mavmul0g $p |- ( ( N = (/) /\ R e. V ) -> ( X .x. Y ) = (/) ) $=
      ( vi vj vk c0 wceq wa wcel co cxp cmap cv cvv c1o oveq12 mavmul0 sylan9eq
      vl cdm csn cbs cfv cmulr cmpt cgsu cmpo eqid simpr cfn 0fin mpbiri adantr
      wn eleq1 mvmulfval dmeqd 0ex mptexd ralrimivva dmmpoga syl id xpeq12d 0xp
      wral eqtrdi oveq2d fvex map0e mp1i eqtrd df1o2 oveq2 3eqtrd elsni anim12i
      con3i ndmovg syl2anr pm2.61ian ) EKLZFKLZMZCKLZADNZMZEFBOZKLZWIWLWMKKBOKE
      KFKBUAABCDGUBUCWLBUEZKUFZWPPZLEWPNZFWPNZMZUSWNWIUSWLWOHIAUGUHZCCPZQOZXACQ
      OZJCAUDCJRUDRZHRZOXEIRZUHAUIUHZOUJUKOZUJZULZUEZXCXDPZWQWLBXKWLHIXAAXHBJUD
      CCDGXAUMXHUMWJWKUNWJCUONZWKWJXNKUONUPCKUOUTUQURZXOVAVBWLXJSNZIXDVKHXCVKXL
      XMLWLXPHIXCXDWLXPXFXCNXGXDNMWJXPWKWJJCXISWJCSNKSNVCCKSUTUQVDURURVEHIXCXDX
      JXKSXKUMVFVGWLXCWPXDWPWLXCTWPWJXCTLWKWJXCXAKQOZTWJXBKXAQWJXBKKPKWJCKCKWJV
      HZXRVIKVJVLVMXASNZXQTLZWJAUGVNZXASVOZVPVQURVRVLWJWKXDXQWPCKXAQVSWKXQTWPXS
      XTWKYAYBVPVRVLUCVIVTWTWIWRWGWSWHEKWAFKWAWBWCEFWPWPBWDWEWF $.
  $}

  ${
    $d k A $.  $d k M $.  $d i j k N $.  $d k R $.  $d i j k Y $.
    $d i j k Z $.  $d i j k ph $.
    mvmumamul1.x $e |- .X. = ( R maMul <. M , N , { (/) } >. ) $.
    mvmumamul1.t $e |- .x. = ( R maVecMul <. M , N >. ) $.
    mvmumamul1.b $e |- B = ( Base ` R ) $.
    mvmumamul1.r $e |- ( ph -> R e. Ring ) $.
    mvmumamul1.m $e |- ( ph -> M e. Fin ) $.
    mvmumamul1.n $e |- ( ph -> N e. Fin ) $.
    mvmumamul1.a $e |- ( ph -> A e. ( B ^m ( M X. N ) ) ) $.
    mvmumamul1.y $e |- ( ph -> Y e. ( B ^m N ) ) $.
    mvmumamul1.z $e |- ( ph -> Z e. ( B ^m ( N X. { (/) } ) ) ) $.
    $( The multiplication of an MxN matrix with an N-dimensional vector
       corresponds to the matrix multiplication of an MxN matrix with an Nx1
       matrix.  (Contributed by AV, 14-Mar-2019.) $)
    mvmumamul1 $p |- ( ph -> ( A. j e. N ( Y ` j ) = ( j Z (/) )
               -> A. i e. M ( ( A .x. Y ) ` i ) = ( i ( A .X. Z ) (/) ) ) ) $=
      ( vk cv cfv c0 co wceq wral wcel cmulr cmpt cgsu crg eqid adantr cfn cmap
      wa cxp simpr mvmulfv adantlr wi weq fveq2 oveq1 eqeq12d rspccv adantl imp
      oveq2d mpteq2dva csn snfi a1i 0ex snid mamufv eqcomd 3eqtrd ralrimiva ex
      ) AHUCZKUDZWCUELUFZUGZHJUHZGUCZBKEUFUDZWHUEBLFUFUFZUGZGIUHAWGURZWKGIWLWHI
      UIZURWIDUBJWHUBUCZBUFZWNKUDZDUJUDZUFZUKZULUFZDUBJWOWNUELUFZWQUFZUKZULUFZW
      JAWMWIWTUGWGAWMURZCDWQEUBWHIJUMBKNOWQUNZADUMUIWMPUOZAIUPUIWMQUOZAJUPUIWMR
      UOZABCIJUSUQUFUIWMSUOZAKCJUQUFUIWMTUOAWMUTZVAVBWLWTXDUGWMWLWSXCDULWLUBJWR
      XBWLWNJUIZURWPXAWOWQWLXLWPXAUGZWGXLXMVCAWFXMHWNJHUBVDWDWPWEXAWCWNKVEWCWNU
      ELVFVGVHVIVJVKVLVKUOAWMXDWJUGWGXEWJXDXECUEVMZDWQUBFWHUEIJUMBLMOXFXGXHXIXN
      UPUIXEUEVNVOXJALCJXNUSUQUFUIWMUAUOXKUEXNUIXEUEVPVQVOVRVSVBVTWAWB $.
  $}

  ${
    $d i j N $.  $d i j Y $.  $d i j Z $.  $d i j ph $.
    mavmumamul1.a $e |- A = ( N Mat R ) $.
    mavmumamul1.m $e |- .X. = ( R maMul <. N , N , { (/) } >. ) $.
    mavmumamul1.t $e |- .x. = ( R maVecMul <. N , N >. ) $.
    mavmumamul1.b $e |- B = ( Base ` R ) $.
    mavmumamul1.r $e |- ( ph -> R e. Ring ) $.
    mavmumamul1.n $e |- ( ph -> N e. Fin ) $.
    mavmumamul1.x $e |- ( ph -> X e. ( Base ` A ) ) $.
    mavmumamul1.y $e |- ( ph -> Y e. ( B ^m N ) ) $.
    mavmumamul1.z $e |- ( ph -> Z e. ( B ^m ( N X. { (/) } ) ) ) $.
    $( The multiplication of an NxN matrix with an N-dimensional vector
       corresponds to the matrix multiplication of an NxN matrix with an Nx1
       matrix.  (Contributed by AV, 14-Mar-2019.) $)
    mavmumamul1 $p |- ( ph -> ( A. j e. N ( Y ` j ) = ( j Z (/) )
               -> A. i e. N ( ( X .x. Y ) ` i ) = ( i ( X .X. Z ) (/) ) ) ) $=
      ( cbs cfv cxp cmap cfn wcel crg wceq matbas2 syl2anc eleqtrrd mvmumamul1
      co ) AJCDEFGHIIKLNOPQRRAJBUBUCZCIIUDUEUNZSAIUFUGDUHUGUPUOUIRQBDCIUHMPUJUK
      ULTUAUM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Replacement functions for a square matrix
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c matRRep matRepV $.
  $( Syntax for the row replacing function for a square matrix. $)
  cmarrep $a class matRRep $.
  $( Syntax for the function replacing a column of a matrix by a vector. $)
  cmatrepV $a class matRepV $.

  ${
    $d n r m i j k l s $.
    $( Define the matrices whose k-th row is replaced by 0's and an arbitrary
       element of the underlying ring at the l-th column.  (Contributed by AV,
       12-Feb-2019.) $)
    df-marrep $a |- matRRep = ( n e. _V , r e. _V |->
       ( m e. ( Base ` ( n Mat r ) ) , s e. ( Base ` r )
         |-> ( k e. n , l e. n |-> ( i e. n , j e. n |-> if ( i = k ,
                if ( j = l , s , ( 0g ` r ) ) , ( i m j ) ) ) ) ) ) $.
  $}

  ${
    $d i j k m n r v $.
    $( Function replacing a column of a matrix by a vector.  (Contributed by
       AV, 9-Feb-2019.)  (Revised by AV, 26-Feb-2019.) $)
    df-marepv $a |- matRepV = ( n e. _V , r e. _V |->
    ( m e. ( Base ` ( n Mat r ) ) , v e. ( ( Base ` r ) ^m n ) |-> ( k e. n |->
          ( i e. n , j e. n |-> if ( j = k , ( v ` i ) , ( i m j ) ) ) ) ) ) $.
  $}

  ${
    $d B m n r s $.  $d N i j k l m n r s $.  $d R i j k l m n r s $.
    $d .0. n r $.
    marrepfval.a $e |- A = ( N Mat R ) $.
    marrepfval.b $e |- B = ( Base ` A ) $.
    marrepfval.q $e |- Q = ( N matRRep R ) $.
    marrepfval.z $e |- .0. = ( 0g ` R ) $.
    $( First substitution for the definition of the matrix row replacement
       function.  (Contributed by AV, 12-Feb-2019.)  (Proof shortened by AV,
       2-Mar-2024.) $)
    marrepfval $p |- Q = ( m e. B , s e. ( Base ` R ) |-> ( k e. N , l e. N |->
                  ( i e. N , j e. N |-> if ( i = k , if ( j = l , s , .0. ) ,
                                                     ( i m j ) ) ) ) ) $=
      ( cbs cfv cvv wceq vn vr cmarrep co weq cv cif cmpo wcel wa fvexi mpoexga
      fvexd sylancr cmat oveq12 fveq2d fveq2i eqtri eqtr4di fveq2 adantl ifeq2d
      simpl ifeq1d mpoeq123dv df-marrep ovmpoga mpd3an3 wn c0 mpondm0 matbas0pc
      c0g wo syl5eq orcd 0mpo0 syl eqtr4d pm2.61i ) CIDUCUDZHKBDQRZGLIIEFIIEGUE
      ZFLUEZKUFZJUGZEUFFUFHUFUDZUGZUHZUHZUHZOISUIZDSUIZUJZWBWLTZWMWNWLSUIZWPWOB
      SUIWCSUIWQBAQNUKWODQUMHKBWCWKSSULUNUAUBIDSSHKUAUFZUBUFZUOUDZQRZWSQRZGLWRW
      REFWRWRWDWEWFWSVNRZUGZWHUGZUHZUHZUHZWLUCSWRITZWSDTZUJZHKXAXBXGBWCWKXKXAID
      UOUDZQRZBXKWTXLQWRIWSDUOUPUQBAQRXMNAXLQMURUSZUTXJXBWCTXIWSDQVAVBXKGLWRWRX
      FIIWJXIXJVDZXOXKEFWRWRXEIIWIXOXOXJXEWITXIXJWDXDWGWHXJWEXCJWFXJXCDVNRJWSDV
      NVAPUTVCVEVBVFVFVFEFGHUAKUBLVGZVHVIWOVJZWBVKWLUAUBXHUCIDSSXPVLXQBVKTZWCVK
      TZVOWLVKTXQXRXSXQBXMVKXNDIVMVPVQHKBWCWKVRVSVTWAUS $.

    $d M i j k l m s $.  $d S i j k l m s $.  $d .0. m s $.
    $( Second substitution for the definition of the matrix row replacement
       function.  (Contributed by AV, 12-Feb-2019.) $)
    marrepval0 $p |- ( ( M e. B /\ S e. ( Base ` R ) )
                       -> ( M Q S ) = ( k e. N , l e. N
              |-> ( i e. N , j e. N |-> if ( i = k , if ( j = l , S , .0. ) ,
                                                     ( i M j ) ) ) ) ) $=
      ( wcel cif cv wceq vm vs cbs cfv weq co cmpo cvv wa cfn matrcl simpld jca
      adantr mpoexga syl ifeq1 oveq ifeq12d mpoeq3dv marrepfval ovmpoga mpd3an3
      adantl ) IBQZEDUCUDZQZHLJJFGJJFHUEZGLUEZEKRZFSZGSZIUFZRZUGZUGZUHQZIECUFVP
      TVEVGUIJUJQZVRUIZVQVEVSVGVEVRVRVEVRDUHQABDJIMNUKULZVTUMUNHLJJVOUJUJUOUPUA
      UBIEBVFHLJJFGJJVHVIUBSZKRZVKVLUASZUFZRZUGZUGVPCUHWCITZWAETZUIZHLJJWFVOWIF
      GJJWEVNWIVHWBVJWDVMWHWBVJTWGVIWAEKUQVDWGWDVMTWHVKVLWCIURUNUSUTUTABCDFGHUA
      JKUBLMNOPVAVBVC $.

    $d B k l $.  $d K i j k l $.  $d L i j k l $.  $d .0. k l $.
    $( Third substitution for the definition of the matrix row replacement
       function.  (Contributed by AV, 12-Feb-2019.) $)
    marrepval $p |- ( ( ( M e. B /\ S e. ( Base ` R ) )
                        /\ ( K e. N /\ L e. N ) )
                      -> ( K ( M Q S ) L ) = ( i e. N , j e. N
                   |-> if ( i = K , if ( j = L , S , .0. ) , ( i M j ) ) ) ) $=
      ( vk wcel wa wceq vl cbs cfv co weq cif cmpo marrepval0 adantr cvv simprl
      cv simplrr cfn matrcl simpld jca ad3antrrr mpoexga syl eqeq2 ifbid adantl
      wb ifbieq1d mpoeq3dv ovmpodv2 mpd ) JBRZEDUBUCRZSZHKRZIKRZSZSZJECUDZQUAKK
      FGKKFQUEZGUAUEZELUFZFULZGULZJUDZUFZUGZUGTZHIVPUDFGKKVTHTZWAITZELUFZWBUFZU
      GZTVKWEVNABCDEFGQJKLUAMNOPUHUIVOQUAHIKKWDWJVPUJVKVLVMUKVKVLVMQULZHTZUMVOW
      LUAULZITZSZSKUNRZWPSZWDUJRVIWQVJVNWOVIWPWPVIWPDUJRABDKJMNUOUPZWRUQURFGKKW
      CUNUNUSUTWOWDWJTVOWOFGKKWCWIWOVQWFVSWHWBWLVQWFVDWNWKHVTVAUIWNVSWHTWLWNVRW
      GELWMIWAVAVBVCVEVFVCVGVH $.

    $d B i j $.  $d I i j $.  $d J i j $.  $d .0. i j $.
    $( An entry of a matrix with a replaced row.  (Contributed by AV,
       12-Feb-2019.) $)
    marrepeval $p |- ( ( ( M e. B /\ S e. ( Base ` R ) )
                       /\ ( K e. N /\ L e. N ) /\ ( I e. N /\ J e. N ) )
                    -> ( I ( K ( M Q S ) L ) J )
                       = if ( I = K , if ( J = L , S , .0. ) , ( I M J ) ) ) $=
      ( wcel co wceq cvv vi vj cbs cfv wa w3a cif cmpo marrepval 3adant3 simp3l
      cv simpl3r c0g fvexi ifexg mpan2 ovexd ifcld adantl 3ad2ant1 adantr eqeq1
      wb ifbid oveq12 ifbieq12d ovmpodv2 mpd ) JBQZEDUCUDZQZUEZHKQIKQUEZFKQZGKQ
      ZUEZUFZHIJECRRZUAUBKKUAULZHSZUBULZISZELUGZVTWBJRZUGZUHSZFGVSRFHSZGISZELUG
      ZFGJRZUGZSVMVNWGVQABCDEUAUBHIJKLMNOPUIUJVRUAUBFGKKWFWLVSTVMVNVOVPUKVOVPVM
      VNVTFSZUMVRWFTQZWMWBGSZUEZVMVNWNVQVLWNVJVLWAWDWETVLLTQWDTQLDUNPUOWCELVKTU
      PUQVLVTWBJURUSUTVAVBWPWFWLSVRWPWAWHWDWEWJWKWMWAWHVDWOVTFHVCVBWOWDWJSWMWOW
      CWIELWBGIVCVEUTVTFWBGJVFVGUTVHVI $.
  $}

  ${
    $d B i j $.  $d K i j $.  $d L i j $.  $d M i j $.  $d N i j $.
    $d R i j $.  $d S i j $.
    marrepcl.a $e |- A = ( N Mat R ) $.
    marrepcl.b $e |- B = ( Base ` A ) $.
    $( Closure of the row replacement function for square matrices.
       (Contributed by AV, 13-Feb-2019.) $)
    marrepcl $p |- ( ( ( R e. Ring /\ M e. B /\ S e. ( Base ` R ) )
                       /\ ( K e. N /\ L e. N ) )
                     -> ( K ( M ( N matRRep R ) S ) L ) e. B ) $=
      ( vi vj crg wcel cfv co wceq eqid adantr 3ad2ant1 cbs w3a cmarrep c0g cif
      wa cv cmpo marrepval 3adantl1 cfn cvv matrcl simpld 3ad2ant2 simpl1 simp3
      ring0cl ifcld simp2 eleq2i biimpi matecl syl3anc matbas2d eqeltrd ) CMNZG
      BNZDCUAOZNZUBZEHNFHNUFZUFZEFGDHCUCPZPPZKLHHKUGZEQZLUGZFQZDCUDOZUEZVPVRGPZ
      UEZUHZBVHVJVLVOWDQVGABVNCDKLEFGHVTIJVNRVTRZUIUJVMKLABWCCVIHMIVIRZJVKHUKNZ
      VLVHVGWGVJVHWGCULNABCHGIJUMUNUOSVGVHVJVLUPVMVPHNZVRHNZUBZVQWAWBVIVMWHWAVI
      NZWIVKWKVLVKVSDVTVIVGVHVJUQVGVHVTVINVJVICVTWFWEURTUSSTWJWHWIGAUAOZNZWBVIN
      VMWHWIUTVMWHWIUQVMWHWMWIVKWMVLVHVGWMVJVHWMBWLGJVAVBUOSTACVPVRVIGHIWFVCVDU
      SVEVF $.
  $}

  ${
    $d B m n r v $.  $d N i j k m n r v $.  $d R i j k m n r v $.
    $d V m n r v $.
    marepvfval.a $e |- A = ( N Mat R ) $.
    marepvfval.b $e |- B = ( Base ` A ) $.
    marepvfval.q $e |- Q = ( N matRepV R ) $.
    marepvfval.v $e |- V = ( ( Base ` R ) ^m N ) $.
    $( First substitution for the definition of the function replacing a column
       of a matrix by a vector.  (Contributed by AV, 14-Feb-2019.)  (Revised by
       AV, 26-Feb-2019.)  (Proof shortened by AV, 2-Mar-2024.) $)
    marepvfval $p |- Q = ( m e. B , v e. V |-> ( k e. N |->
            ( i e. N , j e. N |-> if ( j = k , ( v ` i ) , ( i m j ) ) ) ) ) $=
      ( co cv cvv wceq cbs vn vr cmatrepV weq cfv cif cmpo cmpt wcel fvexi cmap
      ovexi a1i mpoexga sylancr cmat oveq12 eqtr4di fveq2d fveq2 adantl oveq12d
      simpl eqidd mpoeq123dv mpteq12dv df-marepv ovmpoga mpd3an3 mpondm0 fveq2i
      wa wn c0 wo eqtri matbas0pc syl5eq orcd 0mpo0 syl eqtr4d pm2.61i ) DJEUCP
      ZIACKHJFGJJGHUDFQZAQUEWEGQIQPUFZUGZUHZUGZNJRUIZERUIZVLZWDWISZWJWKWIRUIZWM
      WLCRUIKRUIZWNCBTMUJWOWLKETUEZJUKOULUMIACKWHRRUNUOUAUBJERRIAUAQZUBQZUPPZTU
      EZWRTUEZWQUKPZHWQFGWQWQWFUGZUHZUGZWIUCRWQJSZWRESZVLZIAWTXBXDCKWHXHWTBTUEZ
      CXHWSBTXHWSJEUPPZBWQJWREUPUQLURUSMURXHXBWPJUKPKXHXAWPWQJUKXGXAWPSXFWRETUT
      VAXFXGVCZVBOURXHHWQXCJWGXKXHFGWQWQWFJJWFXKXKXHWFVDVEVFVEAFGHIUAUBVGZVHVIW
      LVMZWDVNWIUAUBXEUCJERRXLVJXMCVNSZKVNSZVOWIVNSXMXNXOXMCXJTUEZVNCXIXPMBXJTL
      VKVPEJVQVRVSIACKWHVTWAWBWCVP $.

    $d B c $.  $d C c i j k m $.  $d M c i j k m $.  $d N c $.  $d R c $.
    $d V c $.
    $( Second substitution for the definition of the function replacing a
       column of a matrix by a vector.  (Contributed by AV, 14-Feb-2019.)
       (Revised by AV, 26-Feb-2019.) $)
    marepvval0 $p |- ( ( M e. B /\ C e. V )
                       -> ( M Q C ) = ( k e. N |-> ( i e. N , j e. N
                              |-> if ( j = k , ( C ` i ) , ( i M j ) ) ) ) ) $=
      ( vm vc wcel cv wceq weq cfv co cif cmpo cmpt cvv wa matrcl simpld adantr
      cfn mptexd fveq1 adantl oveq ifeq12d mpoeq3dv mpteq2dv marepvfval ovmpoga
      mpd3an3 ) IBRZCKRZHJFGJJGHUAZFSZCUBZVFGSZIUCZUDZUEZUFZUGRICDUCVLTVCVDUHHJ
      VKULVCJULRZVDVCVMEUGRABEJILMUIUJUKUMPQICBKHJFGJJVEVFQSZUBZVFVHPSZUCZUDZUE
      ZUFVLDUGVPITZVNCTZUHZHJVSVKWBFGJJVRVJWBVEVOVGVQVIWAVOVGTVTVFVNCUNUOVTVQVI
      TWAVFVHVPIUPUKUQURUSQABDEFGHPJKLMNOUTVAVB $.

    $d K i j k $.
    $( Third substitution for the definition of the function replacing a column
       of a matrix by a vector.  (Contributed by AV, 14-Feb-2019.)  (Revised by
       AV, 26-Feb-2019.) $)
    marepvval $p |- ( ( M e. B /\ C e. V /\ K e. N )
                      -> ( ( M Q C ) ` K ) = ( i e. N , j e. N
                   |-> if ( j = K , ( C ` i ) , ( i M j ) ) ) ) $=
      ( vk wcel cfv cv wceq w3a weq cif cmpo cmpt marepvval0 3adant3 fveq1d cvv
      co eqid eqeq2 ifbid mpoeq3dv simp3 cfn matrcl simpld jca 3ad2ant1 mpoexga
      wa syl fvmptd3 eqtrd ) IBQZCKQZHJQZUAZHICDUJZRHPJFGJJGPUBZFSZCRZVLGSZIUJZ
      UCZUDZUEZRFGJJVNHTZVMVOUCZUDZVIHVJVRVFVGVJVRTVHABCDEFGPIJKLMNOUFUGUHVIPHV
      QWAJVRUIVRUKPSZHTZFGJJVPVTWCVKVSVMVOWBHVNULUMUNVFVGVHUOVIJUPQZWDVBZWAUIQV
      FVGWEVHVFWDWDVFWDEUIQABEJILMUQURZWFUSUTFGJJVTUPUPVAVCVDVE $.

    $d B i j $.  $d I i j $.  $d J i j $.  $d V i j $.
    $( An entry of a matrix with a replaced column.  (Contributed by AV,
       14-Feb-2019.)  (Revised by AV, 26-Feb-2019.) $)
    marepveval $p |- ( ( ( M e. B /\ C e. V /\ K e. N )
                         /\ ( I e. N /\ J e. N ) )
       -> ( I ( ( M Q C ) ` K ) J ) = if ( J = K , ( C ` I ) , ( I M J ) ) ) $=
      ( vi vj wcel co wceq w3a cfv cif cmpo marepvval adantr cvv simprl simplrr
      wa cv fvexd ovexd ifcld eqeq1 adantl fveq2 oveq12 ifbieq12d ovmpodv2 mpd
      wb ) IBRCKRHJRUAZFJRZGJRZUJZUJZHICDSUBZPQJJQUKZHTZPUKZCUBZVKVIISZUCZUDTZF
      GVHSGHTZFCUBZFGISZUCZTVCVOVFABCDEPQHIJKLMNOUEUFVGPQFGJJVNVSVHUGVCVDVEUHVC
      VDVEVKFTZUIVGVNUGRVTVIGTZUJZVGVJVLVMUGVGVKCULVGVKVIIUMUNUFWBVNVSTVGWBVJVP
      VLVMVQVRWAVJVPVBVTVIGHUOUPVTVLVQTWAVKFCUQUFVKFVIGIURUSUPUTVA $.
  $}

  ${
    $d B i j $.  $d C i j $.  $d K i j $.  $d L i j $.  $d M i j $.
    $d N i j $.  $d R i j $.  $d V i j $.
    marepvcl.a $e |- A = ( N Mat R ) $.
    marepvcl.b $e |- B = ( Base ` A ) $.
    marepvcl.v $e |- V = ( ( Base ` R ) ^m N ) $.
    $( Closure of the column replacement function for square matrices.
       (Contributed by AV, 14-Feb-2019.)  (Revised by AV, 26-Feb-2019.) $)
    marepvcl $p |- ( ( R e. Ring /\ ( M e. B /\ C e. V /\ K e. N ) )
                     -> ( ( M ( N matRepV R ) C ) ` K ) e. B ) $=
      ( vi vj crg wcel w3a co cfv adantl 3ad2ant1 wa cmatrepV cv wceq cmpo eqid
      cif marepvval cbs cfn cvv matrcl simpld simpl wi wf elmapi ffvelrn ex syl
      cmap eleq2s 3ad2ant2 imp 3adant3 simp2 simp3 eleq2i biimpi matecl syl3anc
      ifcld matbas2d eqeltrd ) DNOZFBOZCHOZEGOZPZUAZEFCGDUBQZQRZLMGGMUCZEUDZLUC
      ZCRZWEWCFQZUGZUEZBVSWBWIUDVOABCWADLMEFGHIJWAUFKUHSVTLMABWHDDUIRZGNIWJUFZJ
      VSGUJOZVOVPVQWLVRVPWLDUKOABDGFIJULUMTSVOVSUNVTWEGOZWCGOZPZWDWFWGWJVTWMWFW
      JOZWNVTWMWPVSWMWPUOZVOVQVPWQVRWQCWJGVAQZHCWROGWJCUPZWQCWJGUQWSWMWPGWJWECU
      RUSUTKVBVCSVDVEWOWMWNFAUIRZOZWGWJOVTWMWNVFVTWMWNVGVTWMXAWNVSXAVOVPVQXAVRV
      PXABWTFJVHVITSTADWEWCWJFGIWKVJVKVLVMVN $.

    ma1repvcl.1 $e |- .1. = ( 1r ` A ) $.
    $( Closure of the column replacement function for identity matrices.
       (Contributed by AV, 15-Feb-2019.)  (Revised by AV, 26-Feb-2019.) $)
    ma1repvcl $p |- ( ( ( R e. Ring /\ N e. Fin ) /\ ( C e. V /\ K e. N ) )
                     -> ( ( .1. ( N matRepV R ) C ) ` K ) e. B ) $=
      ( crg wcel cfn wa w3a co cfv cur cmatrepV simpll cmat fveq2i eqtri anim1i
      mat1bas 3anass sylibr marepvcl syl2anc ) DMNZGONZPZCHNZFGNZPZPZULEBNZUOUP
      QZFECGDUARRSBNULUMUQUBURUSUQPUTUNUSUQABDEGIJEATSGDUCRZTSLAVATIUDUEUGUFUSU
      OUPUHUIABCDFEGHIJKUJUK $.

    mulmarep1el.0 $e |- .0. = ( 0g ` R ) $.
    mulmarep1el.e $e |- E = ( ( .1. ( N matRepV R ) C ) ` K ) $.
    $( An entry of an identity matrix with a replaced column.  (Contributed by
       AV, 16-Feb-2019.)  (Revised by AV, 26-Feb-2019.) $)
    ma1repveval $p |- ( ( R e. Ring /\ ( M e. B /\ C e. V /\ K e. N )
                          /\ ( I e. N /\ J e. N ) )
                        -> ( I E J ) = if ( J = K , ( C ` I ) ,
                                       if ( J = I , ( 1r ` R ) , .0. ) ) ) $=
      ( wcel crg w3a wa co wceq cfv cif cur wi cfn cvv matrcl simpld cmat eqtri
      fveq2i mat1bas expcom syl 3ad2ant1 impcom simpr2 simpr3 3jca cmatrepV a1i
      oveqd eqid marepveval eqtrd stoic3 3ad2ant2 simp1 simp3l simp3r mat1ov wb
      eqcom ifbid ifeq2d ) DUATZJBTZCLTZIKTZUBZGKTZHKTZUCZUBZGHFUDZHIUEZGCUFZGH
      EUDZUGZWKWLHGUEZDUHUFZMUGZUGWAWEEBTZWCWDUBZWHWJWNUEWAWEUCWRWCWDWEWAWRWBWC
      WAWRUIZWDWBKUJTZWTWBXADUKTABDKJNOULUMZWAXAWRABDEKNOEAUHUFKDUNUDZUHUFQAXCU
      HNUPUOUQURUSUTVAWAWBWCWDVBWAWBWCWDVCVDWSWHUCZWJGHIECKDVEUDZUDUFZUDWNXDFXF
      GHFXFUEXDSVFVGABCXEDGHIEKLNOXEVHPVIVJVKWIWKWMWQWLWIWMGHUEZWPMUGWQWIADEWPG
      HKMNWPVHRWEWAXAWHWBWCXAWDXBUTVLWAWEWHVMWAWEWFWGVNWAWEWFWGVOQVPWIXGWOWPMXG
      WOVQWIGHVRVFVSVJVTVJ $.

    $( Element by element multiplication of a matrix with an identity matrix
       with a column replaced by a vector.  (Contributed by AV, 16-Feb-2019.)
       (Revised by AV, 26-Feb-2019.) $)
    mulmarep1el $p |- ( ( R e. Ring /\ ( X e. B /\ C e. V /\ K e. N )
                          /\ ( I e. N /\ J e. N /\ L e. N ) )
                        -> ( ( I X L ) ( .r ` R ) ( L E J ) )
                           = if ( J = K , ( ( I X L ) ( .r ` R ) ( C ` L ) ) ,
                                          if ( J = L , ( I X L ) , .0. ) ) ) $=
      ( crg wcel w3a co cmulr cfv wceq cur cif wa simp3 jca ma1repveval syl3an3
      simp2 oveq2d ovif2 a1i cbs simp1 3ad2ant3 eleq2i biimpi 3ad2ant1 3ad2ant2
      eqid matecl syl3anc ringridm syl2anc ringrz ifeq12d syl5eq ifeq2d 3eqtrd
      ) DUAUBZMBUBZCLUBZIKUBZUCZGKUBZHKUBZJKUBZUCZUCZGJMUDZJHFUDZDUEUFZUDWFHIUG
      ZJCUFZHJUGZDUHUFZNUIZUIZWHUDZWIWFWJWHUDZWFWMWHUDZUIZWIWPWKWFNUIZUIWEWGWNW
      FWHWDVPVTWCWBUJWGWNUGWDWCWBWAWBWCUKZWAWBWCUOULABCDEFJHIMKLNOPQRSTUMUNUPWO
      WRUGWEWIWFWJWMWHUQURWEWIWQWSWPWEWQWKWFWLWHUDZWFNWHUDZUIWSWKWFWLNWHUQWEWKX
      AWFXBNWEVPWFDUSUFZUBZXAWFUGVPVTWDUTZWEWAWCMAUSUFZUBZXDWDVPWAVTWAWBWCUTVAW
      DVPWCVTWTVAVTVPXGWDVQVRXGVSVQXGBXFMPVBVCVDVEADGJXCMKOXCVFZVGVHZXCDWHWLWFX
      HWHVFZWLVFVIVJWEVPXDXBNUGXEXIXCDWHWFNXHXJSVKVJVLVMVNVO $.

    $d B l $.  $d C l $.  $d I l $.  $d J l $.  $d K l $.  $d N l $.  $d R l $.
    $d V l $.  $d X l $.  $d .0. l $.
    $( The sum of element by element multiplications of a matrix with an
       identity matrix with a column replaced by a vector.  (Contributed by AV,
       16-Feb-2019.)  (Revised by AV, 26-Feb-2019.) $)
    mulmarep1gsum1 $p |- ( ( R e. Ring /\ ( X e. B /\ C e. V /\ K e. N )
                          /\ ( I e. N /\ J e. N /\ J =/= K ) )
            -> ( R gsum ( l e. N |-> ( ( I X l ) ( .r ` R ) ( l E J ) ) ) )
               = ( I X J ) ) $=
      ( crg wcel w3a wne cv co cmulr cfv cmpt cgsu cif wa simp1 adantr 3ad2ant3
      wceq simp2 simpr mulmarep1el syl113anc mpteq2dva oveq2d wn neneq iffalsed
      mpteq2dv cfn cmnd ringmnd 3ad2ant1 cvv matrcl simpld 3ad2ant2 eqcom oveq2
      wb ifbi adantl ifeq1da eqtrd ax-mp mpteq2i cbs eleq2i biimpi eqid syl3anc
      matecl gsummptif1n0 3eqtrd ) DUAUBZLBUBZCKUBZIJUBZUCZGJUBZHJUBZHIUDZUCZUC
      ZDNJGNUEZLUFZXBHFUFDUGUHZUFZUIZUJUFDNJHIUPZXCXBCUHXDUFZHXBUPZXCMUKZUKZUIZ
      UJUFDNJXJUIZUJUFGHLUFZXAXFXLDUJXANJXEXKXAXBJUBZULWLWPWQWRXOXEXKUPXAWLXOWL
      WPWTUMUNXAWPXOWLWPWTUQUNXAWQXOWTWLWQWPWQWRWSUMUOZUNXAWRXOWTWLWRWPWQWRWSUQ
      UOZUNXAXOURABCDEFGHIXBJKLMOPQRSTUSUTVAVBXAXLXMDUJXANJXKXJXAXGXHXJWTWLXGVC
      ZWPWSWQXRWRHIVDUOUOVEVFVBXAXNNXMDJVGHMSWLWPDVHUBWTDVIVJWPWLJVGUBZWTWMWNXS
      WOWMXSDVKUBABDJLOPVLVMVJVNXQNJXJXBHUPZXNMUKZXIXTVQZXJYAUPHXBVOYBXJXTXCMUK
      YAXIXTXCMVRYBXTXCXNMXTXCXNUPYBXBHGLVPVSVTWAWBWCXAWQWRLAWDUHZUBZXNDWDUHZUB
      XPXQWPWLYDWTWMWNYDWOWMYDBYCLPWEWFVJVNADGHYELJOYEWGWIWHWJWK $.

    $d A l $.  $d Z l $.  $d .X. l $.
    mulmarep1gsum2.x $e |- .X. = ( R maVecMul <. N , N >. ) $.
    $( The sum of element by element multiplications of a matrix with an
       identity matrix with a column replaced by a vector.  (Contributed by AV,
       18-Feb-2019.)  (Revised by AV, 26-Feb-2019.) $)
    mulmarep1gsum2 $p |- ( ( R e. Ring /\ ( X e. B /\ C e. V /\ K e. N )
                          /\ ( I e. N /\ J e. N /\ ( X .X. C ) = Z ) )
                -> ( R gsum ( l e. N |-> ( ( I X l ) ( .r ` R ) ( l E J ) ) ) )
                   = if ( J = K , ( Z ` I ) , ( I X J ) ) ) $=
      ( crg wcel w3a co wceq cv cmulr cfv cmpt cgsu wi wa simp1 adantr 3ad2ant3
      cif simpl2 simpl32 simpr 3jca adantll mulmarep1el syl iftrue eqtrd oveq2d
      mpteq2dva fveq1 eqcomd adantl cbs cfn cvv matrcl simpld 3ad2ant1 3ad2ant2
      eqid eleq2i biimpi mavmulfv 3eqtr2d ex wne mulmarep1gsum1 syl113anc df-ne
      cmap wn iffalse sylbi expcom pm2.61ine ) DUDUEZMBUEZCLUEZJKUEZUFZHKUEZIKU
      EZMCEUGZOUHZUFZUFZDPKHPUIZMUGZXHIGUGDUJUKZUGZULZUMUGZIJUHZHOUKZHIMUGZUSZU
      HZUNIJXNXGXRXNXGUOZXMDPKXIXHCUKXJUGZULZUMUGZXOXQXSXLYADUMXSPKXKXTXSXHKUEZ
      UOZXKXNXTIXHUHXINUSZUSZXTYDWQXAXBXCYCUFZUFZXKYFUHXGYCYHXNXGYCUOZWQXAYGXGW
      QYCWQXAXFUPZUQWQXAXFYCUTYIXBXCYCXGXBYCXFWQXBXAXBXCXEUPURZUQXBXCXEWQXAYCVA
      XGYCVBVCVCVDABCDFGHIJXHKLMNQRSTUAUBVEVFXSYFXTUHZYCXNYLXGXNXTYEVGUQUQVHVJV
      IXSXOHXDUKZYBXGXOYMUHZXNXFWQYNXAXEXBYNXCXEYMXOHXDOVKVLURURVMXSADVNUKZDXJE
      PHKUDMCQUCYOWAXJWAXGWQXNYJVMXGKVOUEZXNXAWQYPXFWRWSYPWTWRYPDVPUEABDKMQRVQV
      RVSVTVMXGMAVNUKZUEZXNXAWQYRXFWRWSYRWTWRYRBYQMRWBWCVSVTVMXGCYOKWKUGZUEZXNX
      AWQYTXFWSWRYTWTWSYTLYSCSWBWCVTVTVMXGXBXNYKVMWDVHXNXOXQUHXGXNXQXOXNXOXPVGV
      LUQWEWFXGIJWGZXRXGUUAUOZXMXPXQUUBWQXAXBXCUUAXMXPUHXGWQUUAYJUQWQXAXFUUAUTX
      GXBUUAYKUQXBXCXEWQXAUUAVAXGUUAVBABCDFGHIJKLMNPQRSTUAUBWHWIUUAXPXQUHZXGUUA
      XNWLZUUCIJWJUUDXQXPXNXOXPWMVLWNVMVHWOWP $.
  $}

  ${
    $d I i j $.  $d N i j $.  $d R i j $.  $d X i j $.  $d V i j $.
    $d Z i j $.  $d .1. i j $.
    marepvmarrep1.v $e |- V = ( ( Base ` R ) ^m N ) $.
    marepvmarrep1.o $e |- .1. = ( 1r ` ( N Mat R ) ) $.
    marepvmarrep1.x $e |- X = ( ( .1. ( N matRepV R ) Z ) ` I ) $.
    $( Replacing the ith row by 0's and the ith component of a (column) vector
       at the diagonal position for the identity matrix with the ith column
       replaced by the vector results in the matrix itself.  (Contributed by
       AV, 14-Feb-2019.)  (Revised by AV, 27-Feb-2019.) $)
    1marepvmarrepid $p |- ( ( ( R e. Ring /\ N e. Fin )
                              /\ ( I e. N /\ Z e. V ) )
                            -> ( I ( X ( N matRRep R ) ( Z ` I ) ) I ) = X ) $=
      ( vi vj wcel wa cfv co wceq cif eqid adantr crg cfn cmarrep c0g cmpo cmat
      cv cbs cmatrepV ma1repvcl ancom2s eqeltrid wi wf elmapi ffvelrn ex eleq2s
      cmap syl impcom adantl simpl marrepval syl22anc w3a iftrue fveq2 sylan9eq
      eqtr4d weq cur simpr 3ad2ant1 simp2 simp3 mat1ov eqtr2 eqcomd con3d eqtrd
      wn iffalse 3eqtr4rd pm2.61ian mat1bas 3jca 3simpc ma1repveval ad2antlr wb
      equcom a1i ifbid eqtr2d ifeq2da 3eqtrd mpoeq3dva marepvval eqtr2id ) AUAM
      ZDUBMZNZCDMZGEMZNZNZCCFCGOZDAUCPZPPZKLDDKUGZCQZLUGZCQZXHAUDOZRZXKXMFPZRZU
      EZKLDDXNXKGOZXKXMBPZRZUEZFXGFDAUFPZUHOZMXHAUHOZMZXDXDXJXSQXGFCBGDAUIPZPOZ
      YEJXCXEXDYIYEMYDYEGABCDEYDSZYESZHIUJUKULXFYGXCXEXDYGXDYGUMZGYFDUSPZEGYMMD
      YFGUNZYLGYFDUOYNXDYGDYFCGUPUQUTHURVAVBXFXDXCXDXEVCVBZYOYDYEXIAXHKLCCFDXOY
      JYKXISXOSZVDVEXGKLDDXRYBXLXGXKDMZXMDMZVFZXRYBQXLYSNZXRXPYBXLXRXPQYSXLXPXQ
      VGTXNYTXPYBQXNYTNXPXHYBXNXPXHQYTXNXHXOVGTXNYTYBXTXHXNXTYAVGXLXTXHQYSXKCGV
      HTVIVJXNWBZYTNZYAXOYBXPUUBYAKLVKZAVLOZXORZXOYTYAUUEQZUUAYSUUFXLYSYDABUUDX
      KXMDXOYJUUDSZYPXGYQXBYRXCXBXFXAXBVMTVNZXGYQXAYRXCXAXFXAXBVCTVNZXGYQYRVOZX
      GYQYRVPZIVQVBVBUUBUUCWBZUUEXOQYTUUAUULXLUUAUULUMYSXLUUCXNXLUUCXNXLUUCNCXM
      XKCXMVRVSUQVTTVAUUCUUDXOWCUTWAUUAYBYAQYTXNXTYAWCTUUAXPXOQYTXNXHXOWCTWDWEW
      AXLWBZYSNZXRXQXNXTLKVKZUUDXORZRZYBUUMXRXQQYSXLXPXQWCTUUNXABYEMZXEXDVFZYQY
      RNZVFZXQUUQQYSUVAUUMYSXAUUSUUTUUIXGYQUUSYRXGUURXEXDXCUURXFYDYEABDYJYKIWFT
      XFXEXCXDXEVMVBYOWGZVNXGYQYRWHWGVBYDYEGABFXKXMCBDEXOYJYKHIYPJWIUTUUNXNUUPY
      AXTUUNUUANZYAUUEUUPUVCYDABUUDXKXMDXOYJUUGYPYSXBUUMUUAUUHWJYSXAUUMUUAUUIWJ
      YSYQUUMUUAUUJWJYSYRUUMUUAUUKWJIVQUVCUUCUUOUUDXOUUCUUOWKUVCKLWLWMWNWOWPWQW
      EWRXGFYIYCJXGUUSYIYCQUVBYDYEGYHAKLCBDEYJYKYHSHWSUTWTWQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Submatrices
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c subMat $.

  $( Syntax for submatrices of a square matrix. $)
  csubma $a class subMat $.

  ${
    $d n r m i j k l $.
    $( Define the submatrices of a square matrix.  A submatrix is obtained by
       deleting a row and a column of the original matrix.  Since the indices
       of a matrix need not to be sequential integers, it does not matter that
       there may be gaps in the numbering of the indices for the submatrix.
       The determinants of such submatrices are called the "minors" of the
       original matrix.  (Contributed by AV, 27-Dec-2018.) $)
    df-subma $a |- subMat = ( n e. _V , r e. _V |->
       ( m e. ( Base ` ( n Mat r ) ) |-> ( k e. n , l e. n |->
             ( i e. ( n \ { k } ) , j e. ( n \ { l } ) |-> ( i m j ) ) ) ) ) $.
  $}

  ${
    $d B i j $.  $d D i j $.  $d M i j $.  $d N i j $.  $d R i j $.
    submabas.a $e |- A = ( N Mat R ) $.
    submabas.b $e |- B = ( Base ` A ) $.
    $( Any subset of the index set of a square matrix defines a submatrix of
       the matrix.  (Contributed by AV, 1-Jan-2019.) $)
    submabas $p |- ( ( M e. B /\ D C_ N ) -> ( i e. D , j e. D |-> ( i M j ) )
                                             e. ( Base ` ( D Mat R ) ) ) $=
      ( wcel co cbs cfv cv cvv eqid cfn adantr wi wss wa cmat matrcl ssfi sylan
      simpld simprd w3a ssel adantl imp 3adant3 3adant2 eleq2i 3ad2ant1 syl3anc
      biimpi matecl matbas2d ) GBKZCHUAZUBZEFCDUCLZVDMNZEOZFOZGLZDDMNZCPVDQVIQZ
      VEQVAHRKZVBCRKVAVKDPKZABDHGIJUDZUGHCUEUFVAVLVBVAVKVLVMUHSVCVFCKZVGCKZUIVF
      HKZVGHKZGAMNZKZVHVIKVCVNVPVOVCVNVPVBVNVPTVACHVFUJUKULUMVCVOVQVNVCVOVQVBVO
      VQTVACHVGUJUKULUNVCVNVSVOVAVSVBVAVSBVRGJUOURSUPADVFVGVIGHIVJUSUQUT $.
  $}

  ${
    $d B m n r $.  $d N i j k l m n r $.  $d R i j k l m n r $.
    submafval.a $e |- A = ( N Mat R ) $.
    submafval.q $e |- Q = ( N subMat R ) $.
    submafval.b $e |- B = ( Base ` A ) $.
    $( First substitution for a submatrix.  (Contributed by AV,
       28-Dec-2018.) $)
    submafval $p |- Q = ( m e. B |-> ( k e. N , l e. N
           |-> ( i e. ( N \ { k } ) , j e. ( N \ { l } ) |-> ( i m j ) ) ) ) $=
      ( vn vr co cv cvv wceq cbs csubma csn cdif cmpo cmpt wcel cmat cfv oveq12
      wa eqtr4di fveq2d simpl difeq1 adantr eqidd mpoeq123dv mpteq12dv df-subma
      fvexi mptex ovmpoa wn mpondm0 mpt0 fveq2i matbas0pc syl5eq mpteq1d eqtr4d
      c0 eqtri pm2.61i ) CIDUAPZHBGJIIEFIGQUBZUCZIJQUBZUCZEQFQHQPZUDZUDZUEZLIRU
      FDRUFUJZVNWBSNOIDRRHNQZOQZUGPZTUHZGJWDWDEFWDVOUCZWDVQUCZVSUDZUDZUEZWBUAWD
      ISZWEDSZUJZHWGWKBWAWOWGATUHZBWOWFATWOWFIDUGPZAWDIWEDUGUIKUKULMUKWOGJWDWDW
      JIIVTWMWNUMZWRWOEFWHWIVSVPVRVSWMWHVPSWNWDIVOUNUOWMWIVRSWNWDIVQUNUOWOVSUPU
      QUQUREFGHNOJUSZHBWABATMUTVAVBWCVCZVNHVKWAUEZWBWTVNVKXANOWLUAIDRRWSVDHWAVE
      UKWTHBVKWAWTBWQTUHZVKBWPXBMAWQTKVFVLDIVGVHVIVJVMVL $.

    $d M i j k l m $.
    $( Second substitution for a submatrix.  (Contributed by AV,
       28-Dec-2018.) $)
    submaval0 $p |- ( M e. B -> ( Q ` M ) = ( k e. N , l e. N
           |-> ( i e. ( N \ { k } ) , j e. ( N \ { l } ) |-> ( i M j ) ) ) ) $=
      ( vm wcel cv csn cmpo cvv cfn cdif cfv wceq matrcl simpld mpoexga syl2anc
      co oveq mpoeq3dv submafval fvmptg mpdan ) HBOZGJIIEFIGPQUAZIJPQUAZEPZFPZH
      UHZRZRZSOZHCUBVAUCUNITOZVCVBUNVCDSOABDIHKMUDUEZVDGJIIUTTTUFUGNHGJIIEFUOUP
      UQURNPZUHZRZRVABSCVEHUCZGJIIVGUTVHEFUOUPVFUSUQURVEHUIUJUJABCDEFGNIJKLMUKU
      LUM $.

    $d B k l $.  $d K i j k l $.  $d L i j k l $.
    $( Third substitution for a submatrix.  (Contributed by AV,
       28-Dec-2018.) $)
    submaval $p |- ( ( M e. B /\ K e. N /\ L e. N ) -> ( K ( Q ` M ) L )
               = ( i e. ( N \ { K } ) , j e. ( N \ { L } ) |-> ( i M j ) ) ) $=
      ( vk vl wcel cv csn wceq cfn w3a cfv cdif co submaval0 3ad2ant1 cvv simp2
      cmpo simpl3 wa matrcl simpld diffi syl adantr mpoexga sneq difeq2d adantl
      jca eqidd mpoeq123dv ovmpodv2 mpd ) IBPZGJPZHJPZUAZICUBZNOJJEFJNQZRZUCZJO
      QZRZUCZEQFQIUDZUIZUISZGHVJUDEFJGRZUCZJHRZUCZVQUIZSVFVGVSVHABCDEFNIJOKLMUE
      UFVINOGHJJVRWDVJUGVFVGVHUHVFVGVHVKGSZUJVIWEVNHSZUKZUKVMTPZVPTPZUKZVRUGPVI
      WJWGVFVGWJVHVFWHWIVFJTPZWHVFWKDUGPABDJIKMULUMZJVLUNUOVFWKWIWLJVOUNUOVAUFU
      PEFVMVPVQTTUQUOWGVRWDSVIWGEFVMVPVQWAWCVQWEVMWASWFWEVLVTJVKGURUSUPWFVPWCSW
      EWFVOWBJVNHURUSUTWGVQVBVCUTVDVE $.

    $d B i j $.  $d I i j $.  $d J i j $.
    $( An entry of a submatrix of a square matrix.  (Contributed by AV,
       28-Dec-2018.) $)
    submaeval $p |- ( ( M e. B /\ ( K e. N /\ L e. N ) /\
                        ( I e. ( N \ { K } ) /\ J e. ( N \ { L } ) ) )
                        -> ( I ( K ( Q ` M ) L ) J ) = ( I M J ) ) $=
      ( vi vj wcel wa csn co wceq cdif w3a cfv cv submaval 3expb 3adant3 simp3l
      cmpo cvv simpl3r ovexd oveq12 adantl ovmpodv2 mpd ) IBPZGJPZHJPZQZEJGRUAZ
      PZFJHRUAZPZQZUBZGHICUCSZNOVAVCNUDZOUDZISZUITZEFVGSEFISZTUQUTVKVEUQURUSVKA
      BCDNOGHIJKLMUEUFUGVFNOEFVAVCVJVLVGUJUQUTVBVDUHVBVDUQUTVHETZUKVFVMVIFTQZQV
      HVIIULVNVJVLTVFVHEVIFIUMUNUOUP $.
  $}

  ${
    $d I i j $.  $d N i j $.  $d R i j $.  $d V i j $.  $d X i j $.
    $d Z i j $.
    1marepvsma1.v $e |- V = ( ( Base ` R ) ^m N ) $.
    1marepvsma1.1 $e |- .1. = ( 1r ` ( N Mat R ) ) $.
    1marepvsma1.x $e |- X = ( ( .1. ( N matRepV R ) Z ) ` I ) $.
    $( The submatrix of the identity matrix with the ith column replaced by the
       vector obtained by removing the ith row and the ith column is an
       identity matrix.  (Contributed by AV, 14-Feb-2019.)  (Revised by AV,
       27-Feb-2019.) $)
    1marepvsma1 $p |- ( ( ( R e. Ring /\ N e. Fin ) /\ ( I e. N /\ Z e. V ) )
      -> ( I ( ( N subMat R ) ` X ) I ) = ( 1r ` ( ( N \ { I } ) Mat R ) ) ) $=
      ( vi vj wcel cfn wa cv co cfv wceq eqid crg csn cdif cmpo weq cur c0g cif
      csubma cmat w3a cmatrepV oveqi a1i cbs adantr simprr simprl 3jca 3ad2ant1
      mat1bas eldifi anim12i 3adant1 marepveval syl2anc eldifsni neneqd simp1lr
      3ad2ant3 iffalsed simp1ll mat1ov eqtrd 3eqtrd mpoeq3dva ma1repvcl ancom2s
      3ad2ant2 eqeltrid submaval syl3anc diffi anim2i ancomd mat1 syl 3eqtr4d
      wn ) AUAMZDNMZOZCDMZGEMZOZOZKLDCUBZUCZWRKPZLPZFQZUDZKLWRWRKLUEAUFRZAUGRZU
      HZUDZCCFDAUIQZRQZWRAUJQZUFRZWPKLWRWRXAXEWPWSWRMZWTWRMZUKZXAWSWTCBGDAULQZQ
      RZQZWTCSZWSGRZWSWTBQZUHZXEXAXPSXMFXOWSWTJUMUNXMBDAUJQZUORZMZWNWMUKZWSDMZW
      TDMZOZXPXTSWPXKYDXLWPYCWNWMWLYCWOYAYBABDYATZYBTZIVAUPWLWMWNUQWLWMWNURZUSU
      TXKXLYGWPXKYEXLYFWSDWQVBZWTDWQVBZVCVDYAYBGXNAWSWTCBDEYHYIXNTHVEVFXMXTXSXE
      XMXQXRXSXLWPXQWIXKXLWTCWTDCVGVHVJVKXMYAABXCWSWTDXDYHXCTZXDTZWJWKWOXKXLVIW
      JWKWOXKXLVLXKWPYEXLYKVSXLWPYFXKYLVJIVMVNVOVPWPFYBMWMWMXHXBSWPFXOYBJWLWNWM
      XOYBMYAYBGABCDEYHYIHIVQVRVTYJYJYAYBXGAKLCCFDYHXGTYIWAWBWPWRNMZWJOZXJXFSWL
      YPWOWLWJYOWKYOWJDWQWCWDWEUPXIAXCKLWRXDXITYMYNWFWGWH $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  The determinant
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c maDet $.

  $( Syntax for the matrix determinant function. $)
  cmdat $a class maDet $.

  ${
    $d n r m p x $.

    $( Determinant of a square matrix.  This definition is based on Leibniz'
       Formula (see ~ mdetleib ).  The properties of the axiomatic definition
       of a determinant according to [Weierstrass] p. 272 are derived from this
       definition as theorems:  "The determinant function is the unique
       multilinear, alternating and normalized function from the algebra of
       square matrices of the same dimension over a commutative ring to this
       ring".  Functionality is shown by ~ mdetf .  Multilineary means "linear
       for each row" - the additivity is shown by ~ mdetrlin , the homogeneity
       by ~ mdetrsca .  Furthermore, it is shown that the determinant function
       is alternating (see ~ mdetralt ) and normalized (see ~ mdet1 ).
       Finally, uniqueness is shown by ~ mdetuni .  As a consequence, the
       "determinant of a square matrix" is the function value of the
       determinant function for this square matrix, see ~ mdetleib .
       (Contributed by Stefan O'Rear, 9-Sep-2015.)  (Revised by SO,
       10-Jul-2018.) $)
    df-mdet $a |- maDet = ( n e. _V , r e. _V |-> ( m e. ( Base ` ( n Mat r )
        ) |-> ( r gsum ( p e. ( Base ` ( SymGrp ` n ) ) |-> ( ( ( ( ZRHom `
        r ) o. ( pmSgn ` n ) ) ` p ) ( .r ` r ) ( ( mulGrp ` r ) gsum ( x e.
        n |-> ( ( p ` x ) m x ) ) ) ) ) ) ) ) $.
  $}

  ${
    $d y z $.  $d m n r B $.  $d m p x M $.  $d m n p r x N $.  $d m n r P $.
    $d m n p r x R $.  $d m n r S $.  $d m n r .x. $.  $d m n r U $.
    $d m n r Y $.
    mdetfval.d $e |- D = ( N maDet R ) $.
    mdetfval.a $e |- A = ( N Mat R ) $.
    mdetfval.b $e |- B = ( Base ` A ) $.
    mdetfval.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    mdetfval.y $e |- Y = ( ZRHom ` R ) $.
    mdetfval.s $e |- S = ( pmSgn ` N ) $.
    mdetfval.t $e |- .x. = ( .r ` R ) $.
    mdetfval.u $e |- U = ( mulGrp ` R ) $.
    $( First substitution for the determinant definition.  (Contributed by
       Stefan O'Rear, 9-Sep-2015.)  (Revised by SO, 9-Jul-2018.) $)
    mdetfval $p |- D = ( m e. B |-> ( R gsum ( p e. P |-> ( ( ( Y o. S ) ` p )
        .x. ( U gsum ( x e. N |-> ( ( p ` x ) m x ) ) ) ) ) ) ) $=
      ( vn vr vy vz cmdat co cv ccom cfv cmpt cgsu cvv wcel wceq cmat cbs csymg
      wa czrh cpsgn cmulr oveq12 eqtr4di fveq2d simpr simpl fveq2 adantl adantr
      cmgp coeq12d fveq1d mpteq1d oveq12d oveq123d mpteq12dv fvexi mptex ovmpoa
      df-mdet wn c0 reldmmpo ovprc mpt0 cfn cxp cfrlm cnx cotp cmmul cop df-mat
      csts syl5eq base0 3eqtr4g eqtr4d pm2.61i eqtri ) DKFUFUGZJCFMEMUHZLGUIZUJ
      ZIAKAUHZXCUJXFJUHUGZUKZULUGZHUGZUKZULUGZUKZNKUMUNFUMUNUSZXBXMUOUBUCKFUMUM
      JUBUHZUCUHZUPUGZUQUJZXPMXOURUJZUQUJZXCXPUTUJZXOVAUJZUIZUJZXPVKUJZAXOXGUKZ
      ULUGZXPVBUJZUGZUKZULUGZUKZXMUFXOKUOZXPFUOZUSZJXRYKCXLYOXRBUQUJZCYOXQBUQYO
      XQKFUPUGZBXOKXPFUPVCOVDVEPVDYOXPFYJXKULYMYNVFZYOMXTYIEXJYOXTKURUJZUQUJEYO
      XSYSUQYOXOKURYMYNVGZVEVEQVDYOYDXEYGXIYHHYOYHFVBUJZHYNYHUUAUOYMXPFVBVHVITV
      DYOXCYCXDYOYALYBGYOYAFUTUJLYOXPFUTYRVERVDYOYBKVAUJZGYMYBUUBUOYNXOKVAVHVJS
      VDVLVMYOYEIYFXHULYOYEFVKUJZIYNYEUUCUOYMXPFVKVHVIUAVDYOAXOKXGYTVNVOVPVQVOV
      QAJUBUCMWAZJCXLCBUQPVRVSVTXNWBZXBJWCXLUKZXMUUEXBWCUUFKFUFUBUCUMUMYLUFUUDW
      DWEJXLWFVDUUEJCWCXLUUEYPWCUQUJCWCUUEBWCUQUUEBYQWCOKFUPUDUEWGUMUEUHZUDUHZU
      UHWHWIUGWJVBUJUUGUUHUUHUUHWKWLUGWMWOUGUPUDUEWNWDWEWPVEPWQWRVNWSWTXA $.

    $( Full substitution of our determinant definition (also known as Leibniz'
       Formula, expanding by columns).  Proposition 4.6 in [Lang] p. 514.
       (Contributed by Stefan O'Rear, 3-Oct-2015.)  (Revised by SO,
       9-Jul-2018.) $)
    mdetleib $p |- ( M e. B -> ( D ` M ) = ( R gsum ( p e. P |-> ( ( ( Y o. S )
        ` p ) .x. ( U gsum ( x e. N |-> ( ( p ` x ) M x ) ) ) ) ) ) ) $=
      ( vm cv ccom cfv cmpt cgsu wceq oveq mpteq2dv oveq2d mdetfval ovex fvmpt
      co ) UBJFMEMUCZLGUDUEZIAKAUCZUPUEZURUBUCZUOZUFZUGUOZHUOZUFZUGUOFMEUQIAKUS
      URJUOZUFZUGUOZHUOZUFZUGUOCDUTJUHZVEVJFUGVKMEVDVIVKVCVHUQHVKVBVGIUGVKAKVAV
      FUSURUTJUIUJUKUKUJUKABCDEFGHIUBKLMNOPQRSTUAULFVJUGUMUN $.

    $d B p q x y $.  $d M q x y $.  $d N p q x y $.  $d P p q x y $.
    $d R p q x y $.  $d S p q $.  $d U p q y $.  $d Y p q $.  $d .x. p q $.
    $( Leibniz' formula can also be expanded by rows.  (Contributed by Stefan
       O'Rear, 9-Jul-2018.)  (Proof shortened by AV, 23-Jul-2019.) $)
    mdetleib2 $p |- ( ( R e. CRing /\ M e. B ) -> ( D ` M ) = ( R gsum
        ( p e. P |-> ( ( ( Y o. S ) ` p ) .x. ( U gsum ( x e. N |->
        ( x M ( p ` x ) ) ) ) ) ) ) ) $=
      ( vq vy ccrg wcel wa cfv cv ccom co cmpt cgsu csymg cminusg wceq mdetleib
      adantl cbs eqid ccmn crg crngring ringcmn syl adantr cfn matrcl symgbasfi
      simpld ad2antrr cmgp cmhm czrh cpsgn coeq12i zrhpsgnmhm eqeltrid syl2an2r
      cvv wf mgpbas mhmf ffvelrnda crngmgp cmap simpr matbas2i elmapi 3syl wf1o
      symgbasf1o f1of fovrnd ralrimiva gsummptcl syl3anc cgrp symggrp grpinvf1o
      cxp ringcl gsummptfif1o feqmptd eqidd fveq2 fveq1 oveq1d mpteq2dv oveq12d
      oveq2d fmptco ccnv symginv fveq2d zrhpsgninv eqtrd ad2antlr fveq1d f1ocnv
      eqeltrd eleqtrdi id f1ocnvfv1 sylan mpteq2dva 3eqtrd ) FUDUEZJCUEZUFZJDUG
      ZFUBEUBUHZLGUIZUGZIUCKUCUHZYKUGZYNJUJZUKZULUJZHUJZUKZULUJZFYTKUMUGZUNUGZU
      IZULUJFMEMUHZYLUGZIAKAUHZUUGUUEUGZJUJZUKZULUJZHUJZUKZULUJYHYJUUAUOYGUCBCD
      EFGHIJKLUBNOPQRSTUAUPUQYIFURUGZEUBYTFUUCEYSUUNUSZYGFUTUEZYHYGFVAUEZUUPFVB
      ZFVCVDVEYIKVFUEZEVFUEYIUUSFVSUEZYHUUSUUTUFYGBCFKJOPVGUQVIZKEUUBUUBUSZQVHV
      DYIYSUUNUEZUBEYIYKEUEZUFZUUQYMUUNUEYRUUNUEUVCYGUUQYHUVDUURVJYIEUUNYKYLYIY
      LUUBFVKUGZVLUJZUEZEUUNYLVTYGUUQYHUUSUVHUURUVAUUQUUSUFYLFVMUGZKVNUGZUIUVGL
      UVIGUVJRSVOKFVPVQVREUUNUUBUVFYLQUUNFUVFUVFUSUUOWAWBVDWCUVEUUNUCIKYPUUNFIU
      AUUOWAZYGIUTUEZYHUVDFIUAWDZVJYIUUSUVDUVAVEUVEYPUUNUEUCKUVEYNKUEZUFYOYNUUN
      KKJYIKKWTZUUNJVTZUVDUVNYIYHJUUNUVOWEUJUEUVPYGYHWFBCFUUNJKOUUOPWGJUUNUVOWH
      WIZVJUVEKKYNYKUVEKKYKWJZKKYKVTUVDUVRYIKEYKUUBUVBQWKUQKKYKWLVDWCUVEUVNWFWM
      WNWOUUNFHYMYRUUOTXAWPWNYTUSYIEUUBUUCQUUCUSZYIUUSUUBWQUEUVAKUUBVFUVBWRVDWS
      ZXBYIUUDUUMFULYIUUDMEUUEUUCUGZYLUGZIUCKYNUWAUGZYNJUJZUKZULUJZHUJZUKUUMYIM
      UBEEUWAYSUWGUUCYTYIEEUUEUUCYIEEUUCWJEEUUCVTUVTEEUUCWLVDZWCYIMEEUUCUWHXCYI
      YTXDYKUWAUOZYMUWBYRUWFHYKUWAYLXEUWIYQUWEIULUWIUCKYPUWDUWIYOUWCYNJYNYKUWAX
      FXGXHXJXIXKYIMEUWGUULYIUUEEUEZUFZUWBUUFUWFUUKHUWKUWBUUEXLZYLUGZUUFUWKUWAU
      WLYLUWJUWAUWLUOZYIKEUUEUUBUUCUVBQUVSXMZUQXNUWKUUQUUSUWJUWMUUFUOYGUUQYHUWJ
      UURVJYIUUSUWJUVAVEZYIUWJWFEFGUUEKLQRSXOWPXPUWKUWFIUWEUUEUIZULUJUUKUWKIURU
      GZKUCUWEIUUEKUWDUWRUSYGUVLYHUWJUVMVJUWPUWKUWDUWRUEUCKUWKUVNUFZUWDUUNUWRUW
      SUWCYNUUNKKJYIUVPUWJUVNUVQVJUWSUWCYNUWLUGKUWSYNUWAUWLUWJUWNYIUVNUWOXQXRUW
      KKKYNUWLUWKKKUUEWJZKKUWLWJKKUWLVTUWJUWTYIKEUUEUUBUVBQWKUQZKKUUEXSKKUWLWLW
      IWCXTUWKUVNWFWMUVKYAWNUWEUSUXAXBUWKUWQUUJIULUWKUWQAKUUHUWAUGZUUHJUJZUKUUJ
      UWKAUCKKUUHUWDUXCUUEUWEUWKKKUUGUUEUWKUWTKKUUEVTUXAKKUUEWLVDZWCUWKAKKUUEUX
      DXCUWKUWEXDYNUUHUOZUWCUXBYNUUHJYNUUHUWAXEUXEYBXIXKUWKAKUXCUUIUWKUUGKUEZUF
      ZUXBUUGUUHJUXGUXBUUHUWLUGZUUGUXGUUHUWAUWLUWJUWNYIUXFUWOXQXRUWKUWTUXFUXHUU
      GUOUXAKKUUGUUEYCYDXPXGYEXPXJXPXIYEXPXJYF $.
  $}

  ${
    $d N m p x $.  $d R m p x $.
    nfimdetndef.d $e |- D = ( N maDet R ) $.
    $( The determinant is not defined for an infinite matrix.  (Contributed by
       AV, 27-Dec-2018.) $)
    nfimdetndef $p |- ( N e/ Fin -> D = (/) ) $=
      ( vm vp vx cfn wnel cmat co cbs cfv cv cmpt cgsu c0 eqid wcel wn mdetfval
      csymg czrh cpsgn ccom cmgp cvv wa wceq df-nel biimpi intnanrd matbas0 syl
      cmulr mpteq1d mpt0 eqtrdi syl5eq ) CHIZAECBJKZLMZBFCUBMLMZFNZBUCMZCUDMZUE
      MBUFMZGCGNZVDMVHENKOPKBUOMZKOPKZOZQGVAVBAVCBVFVIVGECVEFDVARVBRVCRVERVFRVI
      RVGRUAUTVKEQVJOQUTEVBQVJUTCHSZBUGSZUHTVBQUIUTVLVMUTVLTCHUJUKULBCUMUNUPEVJ
      UQURUS $.
  $}

  ${
    $d m p B $.  $d m p x N $.  $d m p P $.  $d m p x R $.  $d m S $.
    $d m U $.  $d m Y $.  $d m .x. $.
    mdetfval1.d $e |- D = ( N maDet R ) $.
    mdetfval1.a $e |- A = ( N Mat R ) $.
    mdetfval1.b $e |- B = ( Base ` A ) $.
    mdetfval1.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    mdetfval1.y $e |- Y = ( ZRHom ` R ) $.
    mdetfval1.s $e |- S = ( pmSgn ` N ) $.
    mdetfval1.t $e |- .x. = ( .r ` R ) $.
    mdetfval1.u $e |- U = ( mulGrp ` R ) $.
    $( First substitution of an alternative determinant definition.
       (Contributed by Stefan O'Rear, 9-Sep-2015.)  (Revised by AV,
       27-Dec-2018.) $)
    mdetfval1 $p |- D = ( m e. B |-> ( R gsum ( p e. P |-> ( ( Y ` ( S ` p ) )
        .x. ( U gsum ( x e. N |-> ( ( p ` x ) m x ) ) ) ) ) ) ) $=
      ( cfn wcel cv cfv co cmpt cgsu wceq mdetfval wa cofipsgn oveq1d mpteq2dva
      ccom oveq2d mpteq2dv syl5eq wn wnel df-nel c0 nfimdetndef cmat cbs fveq2i
      cvv biimpi intnanrd matbas0 syl mpteq1d mpt0 eqtrdi eqtr4d sylbir pm2.61i
      eqtri ) KUBUCZDJCFMEMUDZGUELUEZIAKAUDZVTUEWBJUDUFUGUHUFZHUFZUGZUHUFZUGZUI
      ZVSDJCFMEVTLGUOUEZWCHUFZUGZUHUFZUGWGABCDEFGHIJKLMNOPQRSTUAUJVSJCWLWFVSWKW
      EFUHVSMEWJWDVSVTEUCUKWIWAWCHEVTGKLQSULUMUNUPUQURVSUSZKUBUTZWHKUBVAZWNDVBW
      GDFKNVCWNWGJVBWFUGVBWNJCVBWFWNCKFVDUFZVEUEZVBCBVEUEWQPBWPVEOVFVRWNVSFVGUC
      ZUKUSWQVBUIWNVSWRWNWMWOVHVIFKVJVKURVLJWFVMVNVOVPVQ $.

    $d m p x M $.
    $( Full substitution of an alternative determinant definition (also known
       as Leibniz' Formula).  (Contributed by Stefan O'Rear, 3-Oct-2015.)
       (Revised by AV, 26-Dec-2018.) $)
    mdetleib1 $p |- ( M e. B -> ( D ` M ) = ( R gsum ( p e. P |-> ( ( Y ` ( S `
        p ) ) .x. ( U gsum ( x e. N |-> ( ( p ` x ) M x ) ) ) ) ) ) ) $=
      ( vm cv cfv co cmpt cgsu wceq oveq mpteq2dv oveq2d mdetfval1 ovex fvmpt )
      UBJFMEMUCZGUDLUDZIAKAUCZUOUDZUQUBUCZUEZUFZUGUEZHUEZUFZUGUEFMEUPIAKURUQJUE
      ZUFZUGUEZHUEZUFZUGUECDUSJUHZVDVIFUGVJMEVCVHVJVBVGUPHVJVAVFIUGVJAKUTVEURUQ
      USJUIUJUKUKUJUKABCDEFGHIUBKLMNOPQRSTUAULFVIUGUMUN $.
  $}

  ${
    $d R m p x $.
    $( The determinant function for 0-dimensional matrices on a given ring is
       the function mapping the empty set to the unit of that ring.
       (Contributed by AV, 28-Feb-2019.) $)
    mdet0pr $p |- ( R e. Ring
                    -> ( (/) maDet R ) = { <. (/) , ( 1r ` R ) >. } ) $=
      ( vm vp vx wcel c0 co cbs cfv cv cmpt cgsu csn wceq eqid a1i cvv mpteq2dv
      oveq2d 3eqtrd crg cmdat cmat csymg czrh cpsgn ccom cmulr cur cop mdetfval
      cmgp mat0dimbas0 mpteq1d 0ex ovex oveq fmptsng sylancl c0g mpt0 eqtrdi wa
      ringidval eqcomi cfn 0fin zrhcopsgnelbas mp3an2 ringridm syldan mpteq2dva
      gsum0 eqtrd cevpm simpl c1 simpr elsni fveq2 psgn0fv0 syl symgbas0 eleq2s
      adantl wb psgnevpmb mpbir2and zrhpsgnevpm syl3anc ringmnd ringidcl gsumsn
      cmnd eqidd opeq2d sneqd eqtr3d ) AUAEZFAUBGZBFAUCGZHIZACFUDIZHIZCJZAUEIZF
      UFIZUGIZAULIZDFDJZXEIZXJBJZGZKZLGZAUHIZGZKZLGZKZBFMZXSKZFAUIIZUJZMZWTXTNW
      SDXAXBWTXDAXGXPXIBFXFCWTOXAOXBOXDOZXFOZXGOZXPOZXIOZUKPWSBXBYAXSAUAUMUNWSF
      ACXDXHXIDFXKXJFGZKZLGZXPGZKZLGZUJZMZYBYEWSFQEZYPQEYRYBNYSWSUOPZAYOLUPBFXS
      YPQQXLFNZXRYOALUUACXDXQYNUUAXOYMXHXPUUAXNYLXILUUADFXMYKXKXJXLFUQRSSRSURUS
      WSYQYDWSYPYCFWSYPACXDXHXIUTIZXPGZKZLGACXDXHKZLGZYCWSYOUUDALWSCXDYNUUCWSYM
      UUBXHXPWSYMXIFLGUUBWSYLFXILYLFNWSDYKVAPSXIUUBUUBOVMVBSRSWSUUDUUEALWSCXDUU
      CXHWSXEXDEZVCZUUCXHYCXPGZXHUUHUUBYCXHXPUUBYCNUUHYCUUBAYCXIYJYCOZVDVEPSWSU
      UGXHAHIZEZUUIXHNWSFVFEZUUGUULVGXDXEAXGFXFYFYHYGVHVIUUKAXPYCXHUUKOZYIUUJVJ
      VKVNVLSWSUUFACXDYCKZLGACYAYCKZLGZYCWSUUEUUOALWSCXDXHYCUUHWSUUMXEFVOIEZXHY
      CNWSUUGVPUUMUUHVGPZUUHUURUUGXEXGIZVQNZWSUUGVRUUGUVAWSUVAXEYAXDXEYAEXEFNZU
      VAXEFVSUVBUUTFXGIVQXEFXGVTWAVBWBWCWDWEUUHUUMUURUUGUVAVCWFUUSFXDXCXEXGXCOY
      FYHWGWBWHAXGYCXEFXFYGYHUUJWIWJVLSWSUUOUUPALWSCXDYAYCXDYANWSWCPUNSWSAWNEYS
      YCUUKEUUQYCNAWKYTUUKAYCUUNUUJWLYCUUKYCCAFQUUNUVBYCWOWMWJTTWPWQWRT $.

    $( The determinant function for 0-dimensional matrices on a given ring is a
       bijection from the singleton containing the empty set (empty matrix)
       onto the singleton containing the unit of that ring.  (Contributed by
       AV, 28-Feb-2019.) $)
    mdet0f1o $p |- ( R e. Ring
                   -> ( (/) maDet R ) : { (/) } -1-1-onto-> { ( 1r ` R ) } ) $=
      ( crg wcel c0 cmdat co cur cfv cop csn wceq wf1o mdet0pr 0ex f1osn f1oeq1
      fvex mpbiri syl ) ABCDAEFZDAGHZIJZKZDJZUAJZTLZAMUCUFUDUEUBLDUANAGQOUDUETU
      BPRS $.

    $( The determinant of the empty matrix on a given ring is the unit of that
       ring .  (Contributed by AV, 28-Feb-2019.) $)
    mdet0fv0 $p |- ( R e. Ring -> ( ( (/) maDet R ) ` (/) ) = ( 1r ` R ) ) $=
      ( crg wcel c0 cmdat cfv cur cop csn mdet0pr fveq1d 0ex fvex fvsn eqtrdi
      co ) ABCZDDAEPZFDDAGFZHIZFSQDRTAJKDSLAGMNO $.
  $}

  ${
    $d D p c m $.  $d N p c m $.  $d K c p m $.  $d R c p m $.  $d B c p m $.
    mdetf.d $e |- D = ( N maDet R ) $.
    mdetf.a $e |- A = ( N Mat R ) $.
    mdetf.b $e |- B = ( Base ` A ) $.
    mdetf.k $e |- K = ( Base ` R ) $.
    $( Functionality of the determinant, see also definition in [Lang] p. 513.
       (Contributed by Stefan O'Rear, 9-Jul-2018.)  (Proof shortened by AV,
       23-Jul-2019.) $)
    mdetf $p |- ( R e. CRing -> D : B --> K ) $=
      ( vm vp vc wcel cfv cv co wa syl eqid ccrg csymg cbs czrh cpsgn ccom cmgp
      cmpt cgsu cmulr crg ccmn crngring adantr ringcmn cfn matrcl adantl simpld
      cvv symgbasfi ad2antrr cmhm wf zrhpsgnmhm syl2anc mgpbas mhmf crngmgp cxp
      ffvelrnda matbas2i ad3antlr elmapi symgbasf simpr fovrnd ralrimiva ringcl
      cmap gsummptcl syl3anc mdetfval fmptd ) DUANZKBDLFUBOZUCOZLPZDUDOZFUEOZUF
      ZOZDUGOZMFMPZWHOZWNKPZQZUHUIQZDUJOZQZUHUIQECWEWPBNZRZELDWGWTJXBDUKNZDULNW
      EXCXADUMZUNZDUOSXBFUPNZWGUPNXBXFDUTNZXAXFXGRWEABDFWPHIUQURUSZFWGWFWFTZWGT
      ZVASXBWTENZLWGXBWHWGNZRZXCWLENWRENXKWEXCXAXLXDVBXBWGEWHWKXBWKWFWMVCQNZWGE
      WKVDXBXCXFXNXEXHFDVEVFWGEWFWMWKXJEDWMWMTZJVGZVHSVKXMEMWMFWQXPWEWMULNXAXLD
      WMXOVIVBXBXFXLXHUNXMWQENMFXMWNFNZRZWOWNEFFWPXRWPEFFVJZVTQNZXSEWPVDXAXTWEX
      LXQABDEWPFHJIVLVMWPEXSVNSXMFFWNWHXLFFWHVDXBFWGWHWFXIXJVOURVKXMXQVPVQVRWAE
      DWSWLWRJWSTZVSWBVRWAMABCWGDWJWSWMKFWILGHIXJWITWJTYAXOWCWD $.

    $( The determinant evaluates to an element of the base ring.  (Contributed
       by Stefan O'Rear, 9-Sep-2015.)  (Revised by AV, 7-Feb-2019.) $)
    mdetcl $p |- ( ( R e. CRing /\ M e. B ) -> ( D ` M ) e. K ) $=
      ( ccrg wcel mdetf ffvelrnda ) DLMBEFCABCDEGHIJKNO $.
  $}

  ${
    mdetdiag.d $e |- D = ( N maDet R ) $.
    mdetdiag.a $e |- A = ( N Mat R ) $.
    mdetdiag.b $e |- B = ( Base ` A ) $.
    ${
      $d I b $.  $d I p x $.  $d I y $.  $d M p x $.  $d M y $.  $d N b $.
      $d N p x $.  $d R p x $.  $d R y $.  $d V x $.
      $( The determinant of a 1-dimensional matrix equals its (single) entry.
         (Contributed by AV, 6-Aug-2019.) $)
      m1detdiag $p |- ( ( R e. CRing /\ ( N = { I } /\ I e. V ) /\ M e. B )
                       -> ( D ` M ) = ( I M I ) ) $=
        ( vx wcel wceq cfv co cgsu eqid syl cvv vp vy vb ccrg csn w3a csymg cbs
        wa cv czrh cpsgn ccom cmgp cmpt cmulr mdetleib 3ad2ant3 2fveq3 3ad2ant2
        cop adantr simp2r symg1bas eqtrd mpteq1d snex ovex fveq2 fveq1 mpteq2dv
        a1i oveq1d oveq2d oveq12d fmptsng eqcomd sylancl cur c1 wfn cid cdm cfn
        cdif crab psgnfn c0 adantl rabeq difeq1 dmeqd eleq1d rabsnif restidsing
        cif cres cxp xpsng anidms eqtr2id wb fnsng fnnfpeq0 mpbird 0fin iftrued
        eqeltrdi 3eqtrrd fneq2d mpbiri fvco2 fveq1d snidg eleqtrrd ancli psgnsn
        snid mp1i fveq2d crg crngring 3ad2ant1 zrh1 3eqtrd simp2l ringmgp eleq2
        eleq2i biimpi simpl simpr syl2an 3adant1 matecl syl2anc gsumsn syl3anc
        cmnd 3jca mgpbas eleqtrdi eqvisset fvsng id ringlidm opeq2d sneqd eqidd
        ringmnd ) DUDMZGEUEZNZEHMZUIZFBMZUFZFCOZDUAGUGOZUHOZUAUJZDUKOZGULOZUMZO
        ZDUNOZLGLUJZUVAOZUVGFPZUOZQPZDUPOZPZUOZQPZDUBEEVAZUEZUEZEEFPZUOZQPZUVSU
        UPUUKUURUVONUUOLABCUUTDUVCUVLUVFFGUVBUAIJKUUTRZUVBRZUVCRZUVLRZUVFRZUQUR
        UUQUVNUVTDQUUQUVNUAUVRUVMUOZUVQUVQUVDOZUVFLGUVGUVQOZUVGFPZUOZQPZUVLPZVA
        ZUEZUVTUUQUAUUTUVRUVMUUQUUTUULUGOZUHOZUVRUUOUUKUUTUWQNZUUPUUMUWRUUNGUUL
        UHUGUSVBZUTUUQUUNUWQUVRNZUUKUUMUUNUUPVCZUULUWQUWPEHUWPRZUWQRZUULRZVDZSV
        EVFUUQUVQTMZUWMTMZUWGUWONUXFUUQUVPVGZVLZUWHUWLUVLVHUXFUXGUIUWOUWGUAUVQU
        VMUWMTTUVAUVQNZUVEUWHUVKUWLUVLUVAUVQUVDVIUXJUVJUWKUVFQUXJLGUVIUWJUXJUVH
        UWIUVGFUVGUVAUVQVJVMVKVNVOVPVQVRUUQUWOUVQUVSVAZUEZUVTUUQUWNUXKUUQUWMUVS
        UVQUUQUWMDVSOZUVSUVLPZUVSUUQUWHUXMUWLUVSUVLUUQUWHUVQUVCOZUVBOZVTUVBOZUX
        MUUQUVCUVRWAZUVQUVRMZUWHUXPNUUQUXRUVCUCUJZWBWEZWCZWDMZUCUUTWFZWAUUTGUYD
        UUSUVCUCUUSRUWBUYDRUWDWGUUQUVRUYDUVCUUQUYDUYCUCUVRWFZUVQWBWEZWCZWDMZUVR
        WHWPZUVRUUQUUTUVRNZUYDUYENUUOUUKUYJUUPUUOUUTUWQUVRUWSUUNUWTUUMUXEWIVEUT
        UYCUCUUTUVRWJSUYEUYINUUQUYCUYHUCUVQUXTUVQNZUYBUYGWDUYKUYAUYFUXTUVQWBWKW
        LWMWNVLUUQUYHUVRWHUUOUUKUYHUUPUUNUYHUUMUUNUYGWHWDUUNUYGWHNZUVQWBUULWQZN
        ZUUNUYMUULUULWRZUVQEWOUUNUYOUVQNEEHHWSWTXAUUNUVQUULWAZUYLUYNXBUUNUYPEEH
        HXCWTUULUVQXDSXEXFXHWIUTXGXIXJXKUVQUXHXRUVRUVBUVCUVQXLVRUUQUXOVTUVBUUQU
        XOUVQUULULOZOZVTUUQUVQUVCUYQUUOUUKUVCUYQNZUUPUUMUYSUUNGUULULVIVBUTXMUUQ
        UUNUVQUWQMZUIZUYRVTNUUOUUKVUAUUPUUNVUAUUMUUNUYTUUNUVQUVRUWQUXFUXSUUNUXH
        UVQTXNXSUXEXOXPWIUTEUWQUULUWPUYQHUVQUXDUXBUXCUYQRXQSVEXTUUQDYAMZUXQUXMN
        UUKUUOVUBUUPDYBZYCZDUXMUVBUWCUXMRZYDSYEUUQUWLUVFLUULUWJUOZQPZUVSUUQUWKV
        UFUVFQUUQLGUULUWJUUKUUMUUNUUPYFVFVNUUQUVFYSMZUUNUVSUVFUHOZMVUGUVSNUUKUU
        OVUHUUPUUKVUBVUHVUCDUVFUWFYGSYCUXAUUQUVSDUHOZVUIUUQEGMZVUKFAUHOZMZUFZUV
        SVUJMZUUOUUPVUNUUKUUOVUKVUMVUNUUPUUOVUKEUULMZUUNVUPUUMEHXNWIUUMVUKVUPXB
        UUNGUULEYHVBXEZUUPVUMBVULFKYIYJZVUKVUMUIVUKVUKVUMVUKVUMYKZVUSVUKVUMYLYT
        YMYNADEEVUJFGJVUJRZYOZSVUJDUVFUWFVUTUUAUUBUWJVUIUVSLUVFEHVUIRUVGENZUWIE
        UVGEFVVBUWIEUVQOZEUVGEUVQVIVVBETMZVVDVVCENLEUUCZVVEEETTUUDYPVEVVBUUEVOY
        QYRVEVOUUQVUBVUOUXNUVSNVUDUUQVUKVUKVUMVUOUUOUUKVUKUUPVUQUTZVVFUUPUUKVUM
        UUOVURURVVAYRZVUJDUVLUXMUVSVUTUWEVUEUUFYPVEUUGUUHUUQUXFUVSTMUXLUVTNUXIE
        EFVHUBUVQUVSUVSTTUBUJUVQNUVSUUIZVPVRVEYEVNUUQDYSMZUXFVUOUWAUVSNUUKUUOVV
        IUUPUUKVUBVVIVUCDUUJSYCUXIVVGUVSVUJUVSUBDUVQTVUTVVHYQYRYE $.
    $}

    mdetdiag.g $e |- G = ( mulGrp ` R ) $.
    mdetdiag.0 $e |- .0. = ( 0g ` R ) $.
    ${
      $d B k s $.  $d G k s $.  $d H k s $.  $d M i j k s $.  $d N i j k s $.
      $d P i j k s $.  $d R k s $.  $d .0. i j k s $.
      mdetdiaglem.g $e |- H = ( Base ` ( SymGrp ` N ) ) $.
      mdetdiaglem.z $e |- Z = ( ZRHom ` R ) $.
      mdetdiaglem.s $e |- S = ( pmSgn ` N ) $.
      mdetdiaglem.t $e |- .x. = ( .r ` R ) $.
      $( Lemma for ~ mdetdiag .  Previously part of proof for ~ mdet1 .
         (Contributed by SO, 10-Jul-2018.)  (Revised by AV, 17-Aug-2019.) $)
      mdetdiaglem $p |- ( ( ( R e. CRing /\ N e. Fin /\ M e. B )
                          /\ A. i e. N A. j e. N ( i =/= j -> ( i M j ) = .0. )
                          /\ ( P e. H /\ P =/= ( _I |` N ) ) )
              -> ( ( ( Z o. S ) ` P )
                   .x. ( G gsum ( k e. N |-> ( ( P ` k ) M k ) ) ) ) = .0. ) $=
        ( vs ccrg wcel cfn w3a cv wne co wceq wi wral cid cres wa ccom cfv cmpt
        cgsu czrh cpsgn a1i coeq12d fveq1d cdif cdm c0 wb wf1o csymg symgbasf1o
        wfn eqid f1ofn syl fnnfpeq0 adantl bicomd necon3bid wex n0 csn mgpplusg
        cmulr cbs ccmn crngmgp 3ad2ant1 ad2antrr simpll2 cmap matbas2i 3ad2ant3
        cxp wf elmapi mgpbas eqcomi feq3d ad3antrrr symgbasf ad2antrl ffvelrnda
        mpbird simpr fovrnd cin disjdif difss dmss ax-mp fssdm sseld impr snssd
        cun wss undif sylib eqcomd gsummptfidmsplit cmnd cvv crg adantr ringmgp
        crngring 3adant3 vex ffvelrnd weq oveq12d syl2anc eqeq1d imbi12d eqtrd
        fveq2 id gsumsn syl3anc simprr fnelnfp mpbid neeq1 oveq1 neeq2 impancom
        oveq2 rspc2v imp mpd oveq1d simpl2 sylancl ralrimiva gsummptcl ad2ant2r
        ssfi eldifi ringlz 3eqtrd expr exlimdv syl5bi sylbid 3impia 3simpa cmgp
        expimpd simpl cmhm zrhpsgnmhm sylan mhmf ringrz syl2an 3adant2 ) EUGUHZ
        NUIUHZMBUHZUJZHUKZIUKZULZUWFUWGMUMZOUNZUOZINUPHNUPZDLUHZDUQNURZULZUSZUJ
        ZDPFUTZVAZKJNJUKZDVAZUWTMUMZVBVCUMZGUMDEVDVAZNVEVAZUTZVAZOGUMZOUWQUWSUX
        GUXCOGUWQDUWRUXFUWQPUXDFUXEPUXDUNUWQUCVFFUXEUNUWQUDVFVGVHUWEUWLUWPUXCOU
        NZUWEUWLUSZUWMUWOUXIUXJUWMUSZUWODUQVIZVJZVKULZUXIUXKDUWNUXMVKUXKUXMVKUN
        ZDUWNUNZUWMUXOUXPVLZUXJUWMDNVPZUXQUWMNNDVMUXRNLDNVNVAZUXSVQZUBVONNDVRVS
        ZNDVTVSWAWBWCUXNUFUKZUXMUHZUFWDUXKUXIUFUXMWEUXKUYCUXIUFUXJUWMUYCUXIUXJU
        WMUYCUSZUSZUXCKJUYBWFZUXBVBVCUMZKJNUYFVIZUXBVBVCUMZEWHVAZUMOUYIUYJUMZOU
        YENKWIVAZUYFUYHUYJJKUXBUYLVQEUYJKTUYJVQZWGUWEKWJUHZUWLUYDUWBUWCUYNUWDEK
        TWKWLZWMUWBUWCUWDUWLUYDWNUYEUWTNUHZUSUXAUWTUYLNNMUWENNWRZUYLMWSZUWLUYDU
        YPUWEUYRUYQEWIVAZMWSZUWEMUYSUYQWOUMUHZUYTUWDUWBVUAUWCABEUYSMNRUYSVQZSWP
        WQMUYSUYQWTVSZUWEUYLUYSMUYQUYLUYSUNUWEUYSUYLUYSEKTVUBXAZXBVFXCXHXDUYENN
        UWTDUWMNNDWSZUXJUYCNLDUXSUXTUBXEZXFZXGUYEUYPXIXJUYFUYHXKVKUNUYEUYFNXLVF
        UYEUYFUYHXTZNUYEUYFNYAVUHNUNUYEUYBNUXJUWMUYCUYBNUHZUXKUXMNUYBUXKNNUXMDU
        XLDYAUXMDVJYADUQXMUXLDXNXOZUWMVUEUXJVUFWAXPXQXRZXSUYFNYBYCYDYEUYEUYGOUY
        IUYJUYEUYGUYBDVAZUYBMUMZOUYEKYFUHZUYBYGUHZVUMUYSUHUYGVUMUNUWEVUNUWLUYDU
        WBUWCVUNUWDUWBUWCUSZEYHUHZVUNUWBVUQUWCEYKZYIEKTYJVSYLWMVUOUYEUFYMVFUYEV
        ULUYBUYSNNMUWEUYTUWLUYDVUCWMUYENNUYBDVUGVUKYNVUKXJUXBUYSVUMJKUYBYGVUDJU
        FYOZUXAVULUWTUYBMUWTUYBDUUAVUSUUBYPUUCUUDUYEVULUYBULZVUMOUNZUYEUYCVUTUX
        JUWMUYCUUEUYEUXRVUIUYCVUTVLUWMUXRUXJUYCUYAXFVUKNDUYBUUFYQUUGUXJUYDVUTVV
        AUOZUWEUYDUWLVVBUWEUYDUSZVULNUHVUIUWLVVBUOVVCNNUYBDUWMVUEUWEUYCVUFXFUWE
        UWMUYCVUIUWEUWMUSZUXMNUYBVVDNNUXMDVUJUWMVUEUWEVUFWAZXPXQXRZYNVVFUWKVVBV
        ULUWGULZVULUWGMUMZOUNZUOHIVULUYBNNUWFVULUNZUWHVVGUWJVVIUWFVULUWGUUHVVJU
        WIVVHOUWFVULUWGMUUIYRYSIUFYOZVVGVUTVVIVVAUWGUYBVULUUJVVKVVHVUMOUWGUYBVU
        LMUULYRYSUUMYQUUKUUNUUOYTUUPUYEVUQUYIUYSUHZUYKOUNUWEVUQUWLUYDUWBUWCVUQU
        WDVURWLWMUWEUWMVVLUWLUYCVVDUYSJKUYHUXBVUDUWEUYNUWMUYOYIVVDUWCUYHNYAUYHU
        IUHUWBUWCUWDUWMUUQNUYFXMNUYHUVBUURVVDUXBUYSUHJUYHVVDUWTUYHUHZUSZUXAUWTU
        YSNNMUWEUYTUWMVVMVUCWMVVNNNUWTDVVDVUEVVMVVEYIVVMUYPVVDUWTNUYFUVCWAZYNVV
        OXJUUSUUTUVAUYSEUYJUYIOVUBUYMUAUVDYQUVEUVFUVGUVHUVIUVMUVJYPUWEUWPUXHOUN
        ZUWLUWEVUPUWMVVPUWPUWBUWCUWDUVKUWMUWOUVNVUPUWMUSVUQUXGEUVLVAZWIVAZUHVVP
        UWBVUQUWCUWMVURWMVUPLVVRDUXFVUPUXFUXSVVQUVOUMUHZLVVRUXFWSUWBVUQUWCVVSVU
        RNEUVPUVQLVVRUXSVVQUXFUBVVRVQUVRVSXGVVREGUXGOUYSVVRUYSEVVQVVQVQVUBXAXBU
        EUAUVSYQUVTUWAYT $.
    $}

    $d B k p $.  $d G k p $.  $d M i j k p $.  $d N i j k p $.  $d R k p $.
    $d .0. i j k p $.
    $( The determinant of a diagonal matrix is the product of the entries in
       the diagonal.  (Contributed by AV, 17-Aug-2019.) $)
    mdetdiag $p |- ( ( R e. CRing /\ N e. Fin /\ M e. B )
                 -> ( A. i e. N A. j e. N ( i =/= j -> ( i M j ) = .0. )
                      -> ( D ` M ) = ( G gsum ( k e. N |-> ( k M k ) ) ) ) ) $=
      ( wcel co wceq cfv vp ccrg cfn w3a cv wne wi wral cmpt cgsu wa csymg czrh
      cbs cpsgn ccom cmulr cid cres cif simpl3 eqid mdetleib syl ad2antrr simpr
      simpl1 madetsumid syl3anc iftrue eqcomd adantl eqtrd wn neqne mdetdiaglem
      simplll anim12i iffalse pm2.61dan mpteq2dva cvv cmnd crg crngring ringmnd
      oveq2d 3ad2ant1 adantr fvexd symgid 3ad2ant2 cgrp symggrp grpidcl eqeltrd
      c0g mgpbas ccmn crngmgp simpl2 eleq2i biimpi 3ad2ant3 ralrimiva gsummptcl
      matecl gsummptif1n0 3eqtrd ex ) DUBQZJUCQZIBQZUDZEUEZFUEZUFXOXPIRKSUGFJUH
      EJUHZICTZHGJGUEZXSIRZUIUJRZSXNXQUKZXRDUAJULTZUNTZUAUEZDUMTZJUOTZUPTHGJXSY
      ETXSIRUIUJRDUQTZRZUIZUJRZDUAYDYEURJUSZSZYAKUTZUIZUJRYAYBXMXRYKSXKXLXMXQVA
      ZGABCYDDYGYHHIJYFUALMNYDVBZYFVBZYGVBZYHVBZOVCVDYBYJYODUJYBUAYDYIYNYBYEYDQ
      ZUKZYMYIYNSUUBYMUKZYIYAYNUUCXKXMYMYIYASYBXKUUAYMXKXLXMXQVGVEYBXMUUAYMYPVE
      UUBYMVFABYEDYGYHHIJYFGMNOYRYSYTVHVIYMYAYNSUUBYMYNYAYMYAKVJVKVLVMUUBYMVNZU
      KZYIKYNUUEXNXQUUAYEYLUFZUKYIKSXNXQUUAUUDVQYBXQUUAUUDXNXQVFVEUUBUUAUUDUUFY
      BUUAVFYEYLVOVRABCYEDYGYHEFGHYDIJKYFLMNOPYQYRYSYTVPVIUUEYNKUUDYNKSUUBYMYAK
      VSVLVKVMVTWAWGYBYAUAYODYDWBYLKPXNDWCQZXQXKXLUUGXMXKDWDQUUGDWEDWFVDWHWIYBY
      CUNWJXNYLYDQXQXNYLYCWQTZYDXLXKYLUUHSXMJYCUCYCVBZWKWLXNYCWMQZUUHYDQXLXKUUJ
      XMJYCUCUUIWNWLYDYCUUHYQUUHVBWOVDWPWIYOVBYBDUNTZGHJXTUUKDHOUUKVBZWRXNHWSQZ
      XQXKXLUUMXMDHOWTWHWIXKXLXMXQXAYBXTUUKQZGJYBXSJQZUKUUOUUOIAUNTZQZUUNYBUUOV
      FZUURXNUUQXQUUOXMXKUUQXLXMUUQBUUPINXBXCXDVEADXSXSUUKIJMUULXGVIXEXFXHXIXJ
      $.

    $d B i j $.  $d C i j k $.  $d R i j $.  $d X i j k $.
    mdetdiagid.c $e |- C = ( Base ` R ) $.
    mdetdiagid.t $e |- .x. = ( .g ` G ) $.
    $( The determinant of a diagonal matrix with identical entries is the power
       of the entry in the diagonal.  (Contributed by AV, 17-Aug-2019.) $)
    mdetdiagid $p |- ( ( ( R e. CRing /\ N e. Fin ) /\ ( M e. B /\ X e. C ) )
                   -> ( A. i e. N A. j e. N ( i M j ) = if ( i = j , X , .0. )
                            -> ( D ` M ) = ( ( # ` N ) .x. X ) ) ) $=
      ( vk ccrg wcel cfn wa cv co weq cif wceq wral cfv chash cmpt cgsu w3a wne
      wi simpl adantr simpr adantl ifnefalse sylan9eqr exp31 com23 ralimdva imp
      3jca mdetdiag sylc oveq1 equequ1 ifbid eqeq12d oveq2 equequ2 rspc2v equid
      anidms iftruei eqtrdi an32s mpteq2dva oveq2d cmnd ccmn crngmgp cmnmnd syl
      id mgpbas gsumconst syl2an3an 3eqtrd ex ) EUBUCZKUDUCZUEZJBUCZLCUCZUEZUEZ
      GUFZHUFZJUGZGHUHZLMUIZUJZHKUKZGKUKZJDULZKUMULLFUGZUJXCXKUEZXLIUAKUAUFZXOJ
      UGZUNZUOUGZIUAKLUNZUOUGZXMXNWQWRWTUPZXDXEUQZXFMUJZURZHKUKZGKUKZXLXRUJXCYA
      XKXCWQWRWTWSWQXBWQWRUSUTWSWRXBWQWRVAZUTXBWTWSWTXAUSVBVIUTXCXKYFXCXJYEGKXC
      XDKUCUEZXIYDHKYHXEKUCUEZYBXIYCYIYBXIYCXIYIYBUEXFXHMXIWKYBXHMUJYIXDXELMVCV
      BVDVEVFVGVGVHABDEGHUAIJKMNOPQRVJVKXNXQXSIUOXNUAKXPLXCXOKUCZXKXPLUJXCYJUEZ
      XKUEXPUAUAUHZLMUIZLYKXKXPYMUJZYJXKYNURZXCYJYOXIYNXOXEJUGZUAHUHZLMUIZUJGHX
      OXOKKGUAUHZXFYPXHYRXDXOXEJVLYSXGYQLMGUAHVMVNVOHUAUHZYPXPYRYMXEXOXOJVPYTYQ
      YLLMHUAUAVQVNVOVRVTVBVHYLLMUAVSWAWBWCWDWEXCXTXMUJZXKWSIWFUCZWRXBXAUUAWQUU
      BWRWQIWGUCUUBEIQWHIWIWJUTYGWTXAVAKCFUAILCEIQSWLTWMWNUTWOWP $.
  $}

  ${
    $d A i j $.  $d N i j $.  $d I i j $.  $d R i j $.  $d .1. i j $.
    mdet1.d $e |- D = ( N maDet R ) $.
    mdet1.a $e |- A = ( N Mat R ) $.
    mdet1.n $e |- I = ( 1r ` A ) $.
    mdet1.o $e |- .1. = ( 1r ` R ) $.
    $( The determinant of the identity matrix is 1, i.e. the determinant
       function is normalized, see also definition in [Lang] p. 513.
       (Contributed by SO, 10-Jul-2018.)  (Proof shortened by AV,
       25-Nov-2019.) $)
    mdet1 $p |- ( ( R e. CRing /\ N e. Fin ) -> ( D ` I ) = .1. ) $=
      ( vi vj wcel wa cfv co cbs wceq eqid adantr ccrg cfn chash cmg cv weq c0g
      cmgp cif wral crg crngring anim1ci matring ringidcl 3syl syl jca32 simplr
      id simprl simprr mat1ov ralrimivva mdetdiagid sylc cn0 hashcl srg1expzeq1
      csrg ringsrg syl2an eqtrd ) CUAMZFUBMZNZEBOZFUCOZDCUHOZUDOZPZDVPVPEAQOZMZ
      DCQOZMZNNKUEZLUEZEPKLUFDCUGOZUIRZLFUJKFUJVQWARVPVPWCWEVPUTVPVOCUKMZNAUKMW
      CVNWJVOCULZUMACFHUNWBAEWBSZIUOUPVNWEVOVNWJWEWKWDCDWDSZJUOUQTURVPWIKLFFVPW
      FFMZWGFMZNZNACEDWFWGFWHHJWHSZVNVOWPUSVPWJWPVNWJVOWKTTVPWNWOVAVPWNWOVBIVCV
      DAWBWDBCVTKLVSEFDWHGHWLVSSZWQWMVTSZVEVFVNCVJMZVRVGMWADRVOVNWJWTWKCVKUQFVH
      CVTDVSVRWRWSJVIVLVM $.
  $}

  ${
    $d B p r $.  $d I r $.  $d N p r $.  $d R p r $.  $d X p r $.  $d Y p r $.
    $d Z p r $.  $d ph p r $.  $d .+ p r $.
    mdetrlin.d $e |- D = ( N maDet R ) $.
    mdetrlin.a $e |- A = ( N Mat R ) $.
    mdetrlin.b $e |- B = ( Base ` A ) $.
    mdetrlin.p $e |- .+ = ( +g ` R ) $.
    mdetrlin.r $e |- ( ph -> R e. CRing ) $.
    mdetrlin.x $e |- ( ph -> X e. B ) $.
    mdetrlin.y $e |- ( ph -> Y e. B ) $.
    mdetrlin.z $e |- ( ph -> Z e. B ) $.
    mdetrlin.i $e |- ( ph -> I e. N ) $.
    mdetrlin.eq $e |- ( ph -> ( X |` ( { I } X. N ) ) =
        ( ( Y |` ( { I } X. N ) ) oF .+ ( Z |` ( { I } X. N ) ) ) ) $.
    mdetrlin.ne1 $e |- ( ph -> ( X |` ( ( N \ { I } ) X. N ) ) =
        ( Y |` ( ( N \ { I } ) X. N ) ) ) $.
    mdetrlin.ne2 $e |- ( ph -> ( X |` ( ( N \ { I } ) X. N ) ) =
        ( Z |` ( ( N \ { I } ) X. N ) ) ) $.
    $( The determinant function is additive for each row:  The matrices X, Y, Z
       are identical except for the I's row, and the I's row of the matrix X is
       the componentwise sum of the I's row of the matrices Y and Z. In this
       case the determinant of X is the sum of the determinants of Y and Z.
       (Contributed by SO, 9-Jul-2018.)  (Proof shortened by AV,
       23-Jul-2019.) $)
    mdetrlin $p |- ( ph -> ( D ` X ) = ( ( D ` Y ) .+ ( D ` Z ) ) ) $=
      ( vp vr csymg cfv cbs cv czrh cpsgn ccom cmgp co cmpt cgsu cmulr cof wcel
      cvv wfn wceq fvex ovex eqid fnmpti ofmpteq mp3an wa crg ccrg crngring syl
      adantr cmhm wf cfn matrcl simpld zrhpsgnmhm syl2anc mgpbas mhmf ffvelrnda
      ccmn crngmgp cxp cmap matbas2i elmapi 3syl ad2antrr simpr symgbasf adantl
      fovrnd ralrimiva gsummptcl ringdi syl13anc csn cdif cmnmnd ffvelrnd fveq2
      cmnd id oveq12d gsumsn syl3anc eqeltrd difssd ssfid eldifi sylan2 ringdir
      mgpplusg cin c0 disjdif a1i cun snssd undif gsummptfidmsplit cres fssresd
      wss oveqd ffnd df-ov eqtrd ovres 3eqtr4d 3eqtr3rd mpteq2dva oveq2d eqtr3d
      ringcl mdetleib2 sylib eqcomd cop xpss1 snex xpexg sylancr opelxpd fnfvof
      syl22anc oveq12i 3eqtr4g 3eqtr3d oveq1d 3eqtr4rd syl5eq ringcmn symgbasfi
      snidg gsummptfidmadd2 ) AFUDHUFUGZUHUGZUDUIZFUJUGZHUKUGZULZUGZFUMUGZUEHUE
      UIZUVIUVCUGZIUNZUOUPUNZFUQUGZUNZUOZUPUNZFUDUVBUVGUVHUEHUVIUVJJUNZUOUPUNZU
      VMUNZUOZUPUNZFUDUVBUVGUVHUEHUVIUVJKUNZUOUPUNZUVMUNZUOZUPUNZEUNZIDUGZJDUGZ
      KDUGZEUNAFUVTUWEEURZUNZUPUNUVPUWGAUWLUVOFUPAUWLUDUVBUVSUWDEUNZUOZUVOUVBUT
      USUVTUVBVAUWEUVBVAUWLUWNVBUVAUHVCUDUVBUVSUVTUVGUVRUVMVDUVTVEZVFUDUVBUWDUW
      EUVGUWCUVMVDUWEVEZVFUDUVBUVSUWDEUTVGVHAUDUVBUWMUVNAUVCUVBUSZVIZUVGUVRUWCE
      UNZUVMUNZUWMUVNUWRFVJUSZUVGFUHUGZUSZUVRUXBUSZUWCUXBUSZUWTUWMVBAUXAUWQAFVK
      USZUXAPFVLZVMZVNZAUVBUXBUVCUVFAUVFUVAUVHVOUNUSZUVBUXBUVFVPAUXAHVQUSZUXJUX
      HAUXKFUTUSZAJCUSZUXKUXLVIRBCFHJMNVRVMVSZHFVTWAUVBUXBUVAUVHUVFUVBVEZUXBFUV
      HUVHVEZUXBVEZWBZWCVMWDZUWRUXBUEUVHHUVQUXRAUVHWEUSZUWQAUXFUXTPFUVHUXPWFVMV
      NZAUXKUWQUXNVNZUWRUVQUXBUSUEHUWRUVIHUSZVIZUVIUVJUXBHHJAHHWGZUXBJVPZUWQUYC
      AUXMJUXBUYEWHUNZUSUYFRBCFUXBJHMUXQNWIJUXBUYEWJWKZWLUWRUYCWMZUWRHHUVIUVCUW
      QHHUVCVPAHUVBUVCUVAUVAVEZUXOWNWOZWDZWPZWQWRZUWRUXBUEUVHHUWBUXRUYAUYBUWRUW
      BUXBUSUEHUYDUVIUVJUXBHHKAUYEUXBKVPZUWQUYCAKCUSZKUYGUSUYOSBCFUXBKHMUXQNWIK
      UXBUYEWJWKZWLUYIUYLWPZWQWRZUXBEFUVMUVGUVRUWCUXQOUVMVEZWSWTUWRUWSUVLUVGUVM
      UWRUVHUEGXAZUVQUOUPUNZUVHUEVUAUWBUOUPUNZEUNZUVHUEHVUAXBZUVKUOZUPUNZUVMUNZ
      VUBVUGUVMUNZVUCVUGUVMUNZEUNZUVLUWSUWRUXAVUBUXBUSVUCUXBUSVUGUXBUSVUHVUKVBU
      XIUWRVUBGGUVCUGZJUNZUXBUWRUVHXFUSZGHUSZVUMUXBUSVUBVUMVBUWRUXTVUNUYAUVHXCV
      MZAVUOUWQTVNZUWRGVULUXBHHJAUYFUWQUYHVNZVUQUWRHHGUVCUYKVUQXDZWPZUVQUXBVUMU
      EUVHGHUXRUVIGVBZUVIGUVJVULJVVAXGZUVIGUVCXEZXHXIXJZVUTXKUWRVUCGVULKUNZUXBU
      WRVUNVUOVVEUXBUSVUCVVEVBVUPVUQUWRGVULUXBHHKAUYOUWQUYQVNZVUQVUSWPZUWBUXBVV
      EUEUVHGHUXRVVAUVIGUVJVULKVVBVVCXHXIXJZVVGXKUWRUXBUEUVHVUEUVKUXRUYAUWRHVUE
      UYBUWRHVUAXLXMUWRUVKUXBUSZUEVUEUVIVUEUSZUWRUYCVVIUVIHVUAXNZUYDUVIUVJUXBHH
      IAUYEUXBIVPZUWQUYCAICUSZIUYGUSVVLQBCFUXBIHMUXQNWIIUXBUYEWJWKZWLUYIUYLWPZX
      OWQWRUXBEFUVMVUBVUCVUGUXQOUYTXPWTUWRUVLUVHUEVUAUVKUOUPUNZVUGUVMUNVUHUWRHU
      XBVUAVUEUVMUEUVHUVKUXRFUVMUVHUXPUYTXQZUYAUYBVVOVUAVUEXRXSVBUWRVUAHXTYAZUW
      RVUAVUEYBZHUWRVUAHYHZVVSHVBAVVTUWQAGHTYCVNZVUAHYDUUAUUBZYEUWRVVPVUDVUGUVM
      UWRGVULIUNZVUMVVEEUNZVVPVUDUWRGVULIVUAHWGZYFZUNZGVULJVWEYFZUNZGVULKVWEYFZ
      UNZEUNZVWCVWDUWRVWGGVULVWHVWJUWKUNZUNZVWLUWRVWFVWMGVULAVWFVWMVBUWQUAVNYIU
      WRGVULUUCZVWMUGZVWOVWHUGZVWOVWJUGZEUNZVWNVWLUWRVWHVWEVAVWJVWEVAVWEUTUSZVW
      OVWEUSVWPVWSVBUWRVWEUXBVWHUWRUYEUXBVWEJVURUWRVVTVWEUYEYHVWAVUAHHUUDVMZYGY
      JUWRVWEUXBVWJUWRUYEUXBVWEKVVFVXAYGYJUWRVUAUTUSUXKVWTGUUEUYBVUAHUTVQUUFUUG
      UWRGVULVUAHUWRVUOGVUAUSZVUQGHUUSVMZVUSUUHVWEEVWHVWJUTVWOUUIUUJGVULVWMYKVW
      IVWQVWKVWREGVULVWHYKGVULVWJYKUUKUULYLUWRVXBVULHUSZVWGVWCVBVXCVUSGVULVUAHI
      YMWAUWRVWIVUMVWKVVEEUWRVXBVXDVWIVUMVBVXCVUSGVULVUAHJYMWAUWRVXBVXDVWKVVEVB
      VXCVUSGVULVUAHKYMWAXHUUMUWRVUNVUOVWCUXBUSVVPVWCVBVUPVUQUWRGVULUXBHHIAVVLU
      WQVVNVNVUQVUSWPUVKUXBVWCUEUVHGHUXRVVAUVIGUVJVULIVVBVVCXHXIXJUWRVUBVUMVUCV
      VEEVVDVVHXHYNUUNYLUWRUVRVUIUWCVUJEUWRUVRVUBUVHUEVUEUVQUOZUPUNZUVMUNVUIUWR
      HUXBVUAVUEUVMUEUVHUVQUXRVVQUYAUYBUYMVVRVWBYEUWRVXFVUGVUBUVMUWRVXEVUFUVHUP
      UWRUEVUEUVQUVKUWRVVJVIZUVIUVJIVUEHWGZYFZUNZUVIUVJJVXHYFZUNZUVKUVQVXGVXIVX
      KUVIUVJAVXIVXKVBUWQVVJUBWLYIVXGVVJUVJHUSZVXJUVKVBUWRVVJWMZVVJUWRUYCVXMVVK
      UYLXOZUVIUVJVUEHIYMWAZVXGVVJVXMVXLUVQVBVXNVXOUVIUVJVUEHJYMWAYOYPYQYQYLUWR
      UWCVUCUVHUEVUEUWBUOZUPUNZUVMUNVUJUWRHUXBVUAVUEUVMUEUVHUWBUXRVVQUYAUYBUYRV
      VRVWBYEUWRVXRVUGVUCUVMUWRVXQVUFUVHUPUWRUEVUEUWBUVKVXGVXJUVIUVJKVXHYFZUNZU
      VKUWBVXGVXIVXSUVIUVJAVXIVXSVBUWQVVJUCWLYIVXPVXGVVJVXMVXTUWBVBVXNVXOUVIUVJ
      VUEHKYMWAYOYPYQYQYLXHUUOYQYRYPUUPYQAUDUVBUXBUVSUWDEUVTFUWEUXQOAUXFUXAFWEU
      SPUXGFUUQWKAUXKUVBVQUSUXNHUVBUVAUYJUXOUURVMUWRUXAUXCUXDUVSUXBUSUXIUXSUYNU
      XBFUVMUVGUVRUXQUYTYSXJUWRUXAUXCUXEUWDUXBUSUXIUXSUYSUXBFUVMUVGUWCUXQUYTYSX
      JUWOUWPUUTYRAUXFVVMUWHUVPVBPQUEBCDUVBFUVEUVMUVHIHUVDUDLMNUXOUVDVEZUVEVEZU
      YTUXPYTWAAUWIUWAUWJUWFEAUXFUXMUWIUWAVBPRUEBCDUVBFUVEUVMUVHJHUVDUDLMNUXOVY
      AVYBUYTUXPYTWAAUXFUYPUWJUWFVBPSUEBCDUVBFUVEUVMUVHKHUVDUDLMNUXOVYAVYBUYTUX
      PYTWAXHYN $.
  $}

  ${
    $d B p r $.  $d I r $.  $d K p r $.  $d N p r $.  $d R p r $.  $d X p r $.
    $d Y p $.  $d Z p r $.  $d ph p r $.  $d .x. p r $.
    mdetrsca.d $e |- D = ( N maDet R ) $.
    mdetrsca.a $e |- A = ( N Mat R ) $.
    mdetrsca.b $e |- B = ( Base ` A ) $.
    mdetrsca.k $e |- K = ( Base ` R ) $.
    mdetrsca.t $e |- .x. = ( .r ` R ) $.
    mdetrsca.r $e |- ( ph -> R e. CRing ) $.
    mdetrsca.x $e |- ( ph -> X e. B ) $.
    mdetrsca.y $e |- ( ph -> Y e. K ) $.
    mdetrsca.z $e |- ( ph -> Z e. B ) $.
    mdetrsca.i $e |- ( ph -> I e. N ) $.
    mdetrsca.eq $e |- ( ph -> ( X |` ( { I } X. N ) ) =
        ( ( ( { I } X. N ) X. { Y } ) oF .x. ( Z |` ( { I } X. N ) ) ) ) $.
    mdetrsca.ne $e |- ( ph -> ( X |` ( ( N \ { I } ) X. N ) ) =
        ( Z |` ( ( N \ { I } ) X. N ) ) ) $.
    $( The determinant function is homogeneous for each row:  If the matrices
       ` X ` and ` Z ` are identical except for the ` I ` -th row, and the
       ` I ` -th row of the matrix ` X ` is the componentwise product of the
       ` I ` -th row of the matrix ` Z ` and the scalar ` Y ` , then the
       determinant of ` X ` is the determinant of ` Z ` multiplied by ` Y ` .
       (Contributed by SO, 9-Jul-2018.)  (Proof shortened by AV,
       23-Jul-2019.) $)
    mdetrsca $p |- ( ph -> ( D ` X ) = ( Y .x. ( D ` Z ) ) ) $=
      ( vp vr csymg cfv cbs cv czrh cpsgn ccom cmgp cmpt cgsu wcel csn cdif cxp
      co wa cres cof wceq oveqd adantr snidg syl wf1o wf eqid symgbasf1o adantl
      f1of ffvelrnd syl2anc cop opelxpd cfn snfi cvv matrcl simpld xpfi sylancr
      ovres wfn wss cmap matbas2i elmapi 3syl ffnd snssd xpss1 eqidd ofc1 mpdan
      fnssres df-ov oveq2i 3eqtr4g oveq2d eqtrd oveq1d crg ccrg crngring fovrnd
      3eqtr3d mgpbas ccmn crngmgp difssd ssfid eldifi ad2antrr ffvelrnda sylan2
      simpr ralrimiva gsummptcl ringass syl13anc mgpplusg cin disjdif a1i undif
      cun gsummptfidmsplit oveq12d gsumsn syl3anc mpteq2dva 3eqtr4d mdetleib2
      c0 c0g sylib eqcomd cmnd cmnmnd fveq2 cmhm zrhpsgnmhm mhmf crngcom cplusg
      id symgbasfi ringcl ovexd fvexd fsuppmptdm gsummulc2 ) AEUEIUGUHZUIUHZUEU
      JZEUKUHZIULUHZUMZUHZEUNUHZUFIUFUJZUVFUUTUHZJVAZUOUPVAZFVAZUOZUPVAZKEUEUUS
      UVDUVEUFIUVFUVGLVAZUOUPVAZFVAZUOZUPVAZFVAZJDUHZKLDUHZFVAAUVLEUEUUSKUVOFVA
      ZUOZUPVAUVRAUVKUWBEUPAUEUUSUVJUWAAUUTUUSUQZVBZUVJUVDKUVNFVAZFVAZUWAUWDUVI
      UWEUVDFUWDGGUUTUHZJVAZUVEUFIGURZUSZUVMUOZUPVAZFVAZKGUWGLVAZUWLFVAZFVAZUVI
      UWEUWDUWMKUWNFVAZUWLFVAZUWPUWDUWHUWQUWLFUWDUWHKGUWGLUWIIUTZVCZVAZFVAZUWQU
      WDGUWGJUWSVCZVAZGUWGUWSKURUTUWTFVDVAZVAZUWHUXBAUXDUXFVEUWCAUXCUXEGUWGUCVF
      VGUWDGUWIUQZUWGIUQZUXDUWHVEUWDGIUQZUXGAUXIUWCUBVGZGIVHVIZUWDIIGUUTUWDIIUU
      TVJZIIUUTVKUWCUXLAIUUSUUTUURUURVLZUUSVLZVMVNIIUUTVOVIZUXJVPZGUWGUWIIJWGVQ
      UWDGUWGVRZUXEUHZKUXQUWTUHZFVAZUXFUXBUWDUXQUWSUQZUXRUXTVEUWDGUWGUWIIUXKUXP
      VSUWDUWSKUXSFUWTVTHUXQUWDUWIVTUQIVTUQZUWSVTUQGWAAUYBUWCAUYBEWBUQZAJCUQZUY
      BUYCVBSBCEIJNOWCVIWDZVGZUWIIWEWFAKHUQZUWCTVGZUWDLIIUTZWHUWSUYIWIZUWTUWSWH
      UWDUYIHLAUYIHLVKZUWCALCUQZLHUYIWJVAZUQUYKUABCEHLINPOWKLHUYIWLWMZVGZWNUWDU
      WIIWIZUYJUWDGIUXJWOZUWIIIWPVIUYIUWSLWTVQUWDUYAVBUXSWQWRWSGUWGUXEXAUXAUXSK
      FGUWGUWTXAXBXCXKUWDUXAUWNKFUWDUXGUXHUXAUWNVEUXKUXPGUWGUWIILWGVQXDXEXFUWDE
      XGUQZUYGUWNHUQZUWLHUQUWRUWPVEAUYRUWCAEXHUQZUYRREXIVIZVGZUYHUWDGUWGHIILUYO
      UXJUXPXJZUWDHUFUVEUWJUVMHEUVEUVEVLZPXLZAUVEXMUQZUWCAUYTVUFREUVEVUDXNVIVGZ
      UWDIUWJUYFUWDIUWIXOXPUWDUVMHUQZUFUWJUVFUWJUQZUWDUVFIUQZVUHUVFIUWIXQZUWDVU
      JVBZUVFUVGHIILAUYKUWCVUJUYNXRUWDVUJYAZUWDIIUVFUUTUXOXSZXJZXTYBYCHEFKUWNUW
      LPQYDYEXEUWDUVIUVEUFUWIUVHUOUPVAZUVEUFUWJUVHUOZUPVAZFVAUWMUWDIHUWIUWJFUFU
      VEUVHVUEEFUVEVUDQYFZVUGUYFVULUVFUVGHIIJAUYIHJVKZUWCVUJAUYDJUYMUQVUTSBCEHJ
      INPOWKJHUYIWLWMZXRVUMVUNXJUWIUWJYGYSVEUWDUWIIYHYIZUWDUWIUWJYKZIUWDUYPVVCI
      VEUYQUWIIYJUUAUUBZYLUWDVUPUWHVURUWLFUWDUVEUUCUQZUXIUWHHUQVUPUWHVEUWDVUFVV
      EVUGUVEUUDVIZUXJUWDGUWGHIIJAVUTUWCVVAVGUXJUXPXJUVHHUWHUFUVEGIVUEUVFGVEZUV
      FGUVGUWGJVVGUUKZUVFGUUTUUEZYMYNYOUWDVUQUWKUVEUPUWDUFUWJUVHUVMUWDVUIVBZUVF
      UVGJUWJIUTZVCZVAZUVFUVGLVVKVCZVAZUVHUVMAVVMVVOVEUWCVUIAVVLVVNUVFUVGUDVFXR
      VVJVUIUVGIUQZVVMUVHVEUWDVUIYAZVUIUWDVUJVVPVUKVUNXTZUVFUVGUWJIJWGVQVVJVUIV
      VPVVOUVMVEVVQVVRUVFUVGUWJILWGVQXKYPXDYMXEUWDUVNUWOKFUWDUVNUVEUFUWIUVMUOUP
      VAZUWLFVAUWOUWDIHUWIUWJFUFUVEUVMVUEVUSVUGUYFVUOVVBVVDYLUWDVVSUWNUWLFUWDVV
      EUXIUYSVVSUWNVEVVFUXJVUCUVMHUWNUFUVEGIVUEVVGUVFGUVGUWGLVVHVVIYMYNYOXFXEXD
      YQXDUWDUVDKFVAZUVNFVAZKUVDFVAZUVNFVAZUWFUWAUWDVVTVWBUVNFUWDUYTUVDHUQZUYGV
      VTVWBVEAUYTUWCRVGAUUSHUUTUVCAUVCUURUVEUUFVAUQZUUSHUVCVKAUYRUYBVWEVUAUYEIE
      UUGVQUUSHUURUVEUVCUXNVUEUUHVIXSZUYHHEFUVDKPQUUIYOXFUWDUYRVWDUYGUVNHUQZVWA
      UWFVEVUBVWFUYHUWDHUFUVEIUVMVUEVUGUYFUWDVUHUFIVUOYBYCZHEFUVDKUVNPQYDYEUWDU
      YRUYGVWDVWGVWCUWAVEVUBUYHVWFVWHHEFKUVDUVNPQYDYEXKXEYPXDAUUSHEUUJUHZEFUEVT
      UVOKEYTUHZPVWJVLVWIVLQVUAAUYBUUSVTUQUYEIUUSUURUXMUXNUULVIZTUWDUYRVWDVWGUV
      OHUQVUBVWFVWHHEFUVDUVNPQUUMYOAUEUUSUVPWBWBUVOVWJUVPVLVWKUWDUVDUVNFUUNAEYT
      UUOUUPUUQXEAUYTUYDUVSUVLVERSUFBCDUUSEUVBFUVEJIUVAUEMNOUXNUVAVLZUVBVLZQVUD
      YRVQAUVTUVQKFAUYTUYLUVTUVQVERUAUFBCDUUSEUVBFUVELIUVAUEMNOUXNVWLVWMQVUDYRV
      QXDYQ $.
  $}

  ${
    $d ph i j $.  $d F i j $.  $d K i j $.  $d N i j $.  $d I i j $.
    $d .x. i j $.
    mdetrsca2.d $e |- D = ( N maDet R ) $.
    mdetrsca2.k $e |- K = ( Base ` R ) $.
    mdetrsca2.t $e |- .x. = ( .r ` R ) $.
    mdetrsca2.r $e |- ( ph -> R e. CRing ) $.
    mdetrsca2.n $e |- ( ph -> N e. Fin ) $.
    mdetrsca2.x $e |- ( ( ph /\ i e. N /\ j e. N ) -> X e. K ) $.
    mdetrsca2.y $e |- ( ( ph /\ i e. N /\ j e. N ) -> Y e. K ) $.
    mdetrsca2.f $e |- ( ph -> F e. K ) $.
    mdetrsca2.i $e |- ( ph -> I e. N ) $.
    $( The determinant function is homogeneous for each row (matrices are given
       explicitly by their entries).  (Contributed by SO, 16-Jul-2018.) $)
    mdetrsca2 $p |- ( ph -> ( D ` ( i e. N , j e. N |->
        if ( i = I , ( F .x. X ) , Y ) ) ) = ( F .x. ( D `
          ( i e. N , j e. N |-> if ( i = I , X , Y ) ) ) ) ) $=
      ( cmat cbs cfv wceq cif cmpo eqid ccrg wcel w3a crg crngring syl 3ad2ant1
      co ringcl syl3anc ifcld matbas2d csn cxp cof cres cvv cfn snex a1i sselda
      cv snssd 3adant3 syld3an2 fconstmpo eqidd offval22 mposnif oveq2i 3eqtr4g
      wss ssid resmpo sylancl oveq2d 3eqtr4rd cdif wne eldifsni 3ad2ant2 neneqd
      wn iffalse eqtr4d mpoeq3dva difss mp2an mdetrsca ) AJCUBUPZWRUCUDZBCDHIJE
      FJJEVJZHUEZGKDUPZLUFZUGZGEFJJXAKLUFZUGZMWRUHZWSUHZNOPAEFWRWSXCCIJUIXGNXHQ
      PAWTJUJZFVJJUJZUKZXAXBLIXKCULUJZGIUJZKIUJZXBIUJAXIXLXJACUIUJXLPCUMUNUOAXI
      XMXJTUORICDGKNOUQURSUSUTTAEFWRWSXECIJUIXGNXHQPXKXAKLIRSUSUTUAAHVAZJVBZGVA
      VBZEFXOJXEUGZDVCZUPZEFXOJXCUGZXQXFXPVDZXSUPXDXPVDZAXQEFXOJKUGZXSUPEFXOJXB
      UGXTYAAEFXOJGKDXQYDVEVFIIXOVEUJAHVGVHQAWTXOUJZXMXJTUOAXIYEXJXNAYEXIXJAXOJ
      WTAHJUAVKZVIVLRVMXQEFXOJGUGUEAEFXOJGVNVHAYDVOVPXRYDXQXSJKLEFHVQVRJXBLEFHV
      QVSAYBXRXQXSAXOJVTZJJVTZYBXRUEYFJWAZEFJJXOJXEWBWCWDAYGYHYCYAUEYFYIEFJJXOJ
      XCWBWCWEAEFJXOWFZJXCUGZEFYJJXEUGZXDYJJVBZVDZXFYMVDZAEFYJJXCXEAWTYJUJZXJUK
      ZXAWKZXCXEUEYQWTHYPAWTHWGXJWTJHWHWIWJYRXCLXEXAXBLWLXAKLWLWMUNWNYJJVTZYHYN
      YKUEJXOWOZYIEFJJYJJXCWBWPYSYHYOYLUEYTYIEFJJYJJXEWBWPVSWQ $.
  $}

  ${
    $d ph i j $.  $d i j $.  $d K i j $.  $d N i j $.  $d I i j $.
    $d .0. i j $.  $d R i j $.
    mdetr0.d $e |- D = ( N maDet R ) $.
    mdetr0.k $e |- K = ( Base ` R ) $.
    mdetr0.z $e |- .0. = ( 0g ` R ) $.
    mdetr0.r $e |- ( ph -> R e. CRing ) $.
    mdetr0.n $e |- ( ph -> N e. Fin ) $.
    mdetr0.x $e |- ( ( ph /\ i e. N /\ j e. N ) -> X e. K ) $.
    mdetr0.i $e |- ( ph -> I e. N ) $.
    $( The determinant of a matrix with a row containing only 0's is 0.
       (Contributed by SO, 16-Jul-2018.) $)
    mdetr0 $p |- ( ph -> ( D ` ( i e. N , j e. N |->
        if ( i = I , .0. , X ) ) ) = .0. ) $=
      ( wceq cfv wcel cv cmulr cif cmpo eqid crg ccrg crngring ring0cl 3ad2ant1
      co syl mdetrsca2 ringlz syl2anc ifeq1d mpoeq3dv fveq2d cmat cbs mdetf w3a
      wf ifcld matbas2d ffvelrnd 3eqtr3d ) ADEHHDUAZFRZJJCUBSZUKZIUCZUDZBSJDEHH
      VIJIUCZUDZBSZVJUKZVPJABCVJDEJFGHJIKLVJUEZNOAVHHTZJGTZEUAHTZACUFTZVTACUGTZ
      WBNCUHULZGCJLMUIULZUJZPWEQUMAVMVOBADEHHVLVNAVIVKJIAWBVTVKJRWDWEGCVJJJLVRM
      UNUOUPUQURAWBVPGTVQJRWDAHCUSUKZUTSZGVOBAWCWHGBVCNWGWHBCGHKWGUEZWHUEZLVAUL
      ADEWGWHVNCGHUGWILWJONAVSWAVBVIJIGWFPVDVEVFGCVJVPJLVRMUNUOVG $.
  $}

  ${
    $d D i $.  $d N i x y $.  $d R i x y $.  $d .0. i x y $.  $d Z i $.
    mdet0.d $e |- D = ( N maDet R ) $.
    mdet0.a $e |- A = ( N Mat R ) $.
    mdet0.z $e |- Z = ( 0g ` A ) $.
    mdet0.0 $e |- .0. = ( 0g ` R ) $.
    $( The determinant of the zero matrix (of dimension greater 0!) is 0.
       (Contributed by AV, 17-Aug-2019.)  (Revised by AV, 3-Jul-2022.) $)
    mdet0 $p |- ( ( R e. CRing /\ N e. Fin /\ N =/= (/) )
                  -> ( D ` Z ) = .0. ) $=
      ( vi vx vy wcel cfv wceq cv wa adantr syl ccrg cfn c0 wne wex n0 cmpo weq
      cif crg crngring anim1ci c0g mat0op syl5eq fveq2d eqcomi a1i mpoeq3dv cbs
      ifid eqid simpll simpr cmnd ringmnd mndidcl 3ad2ant1 mdetr0 3eqtrd syl5bi
      ex exlimdv 3impia ) CUANZDUBNZDUCUDZFBOZEPZVQKQZDNZKUEVOVPRZVSKDUFWBWAVSK
      WBWAVSWBWARZVRLMDDEUGZBOLMDDLKUHZEEUIZUGZBOEWCFWDBWCVPCUJNZRZFWDPWBWIWAVO
      WHVPCUKZULSWIFAUMOWDIACLMDEHJUNUOTUPWCWDWGBWCLMDDEWFEWFPWCWFEWEEVAUQURUSU
      PWCBCLMVTCUTOZDEEGWKVBZJVOVPWAVCWBVPWAVOVPVDSWCLQDNEWKNZMQDNWBWMWAWBCVENZ
      WMVOWNVPVOWHWNWJCVFTSWKCEWLJVGTSVHWBWAVDVIVJVLVMVKVN $.
  $}

  ${
    $d ph i j $.  $d K i j $.  $d N i j $.  $d I i j $.  $d .+ i j $.
    mdetrlin2.d $e |- D = ( N maDet R ) $.
    mdetrlin2.k $e |- K = ( Base ` R ) $.
    mdetrlin2.p $e |- .+ = ( +g ` R ) $.
    mdetrlin2.r $e |- ( ph -> R e. CRing ) $.
    mdetrlin2.n $e |- ( ph -> N e. Fin ) $.
    mdetrlin2.x $e |- ( ( ph /\ i e. N /\ j e. N ) -> X e. K ) $.
    mdetrlin2.y $e |- ( ( ph /\ i e. N /\ j e. N ) -> Y e. K ) $.
    mdetrlin2.z $e |- ( ( ph /\ i e. N /\ j e. N ) -> Z e. K ) $.
    mdetrlin2.i $e |- ( ph -> I e. N ) $.
    $( The determinant function is additive for each row (matrices are given
       explicitly by their entries).  (Contributed by SO, 16-Jul-2018.) $)
    mdetrlin2 $p |- ( ph -> ( D ` ( i e. N , j e. N |->
        if ( i = I , ( X .+ Y ) , Z ) ) ) = ( ( D ` ( i e. N , j e. N |->
        if ( i = I , X , Z ) ) ) .+ ( D ` ( i e. N , j e. N |->
        if ( i = I , Y , Z ) ) ) ) ) $=
      ( cmat cbs cfv wceq cif cmpo eqid ccrg wcel w3a crg crngring syl 3ad2ant1
      co ringacl syl3anc ifcld matbas2d csn cof cxp cres cvv cfn snex a1i snssd
      cv wss simp2 sseldd syld3an2 offval22 eqcomd mposnif oveq12i 3eqtr4g ssid
      eqidd resmpo sylancl oveq12d 3eqtr4d cdif eldifsni neneqd eqtr4d 3ad2ant2
      wn iffalse mpoeq3dva difss mp2an mdetrlin ) AIDUBUPZWQUCUDZBCDGIEFIIEVJZG
      UEZJKCUPZLUFZUGZEFIIWTJLUFZUGZEFIIWTKLUFZUGZMWQUHZWRUHZOPAEFWQWRXBDHIUIXH
      NXIQPAWSIUJZFVJIUJZUKZWTXALHXLDULUJZJHUJZKHUJZXAHUJAXJXMXKADUIUJXMPDUMUNU
      ORSHCDJKNOUQURTUSUTAEFWQWRXDDHIUIXHNXIQPXLWTJLHRTUSUTAEFWQWRXFDHIUIXHNXIQ
      PXLWTKLHSTUSUTUAAEFGVAZIXBUGZEFXPIXDUGZEFXPIXFUGZCVBZUPZXCXPIVCZVDZXEYBVD
      ZXGYBVDZXTUPAEFXPIXAUGZEFXPIJUGZEFXPIKUGZXTUPZXQYAAYIYFAEFXPIJKCYGYHVEVFH
      HXPVEUJAGVGVHQAXJWSXPUJZXKXNAYJXKUKXPIWSAYJXPIVKZXKAGIUAVIZUOAYJXKVLVMZRV
      NAXJYJXKXOYMSVNAYGWAAYHWAVOVPIXALEFGVQXRYGXSYHXTIJLEFGVQIKLEFGVQVRVSAYKII
      VKZYCXQUEYLIVTZEFIIXPIXBWBWCAYDXRYEXSXTAYKYNYDXRUEYLYOEFIIXPIXDWBWCAYKYNY
      EXSUEYLYOEFIIXPIXFWBWCWDWEAEFIXPWFZIXBUGZEFYPIXDUGZXCYPIVCZVDZXEYSVDZAEFY
      PIXBXDWSYPUJZAXBXDUEZXKUUBWTWKZUUCUUBWSGWSIGWGWHZUUDXBLXDWTXALWLZWTJLWLWI
      UNWJWMYPIVKZYNYTYQUEIXPWNZYOEFIIYPIXBWBWOZUUGYNUUAYRUEUUHYOEFIIYPIXDWBWOV
      SAYQEFYPIXFUGZYTXGYSVDZAEFYPIXBXFUUBAXBXFUEZXKUUBUUDUULUUEUUDXBLXFUUFWTKL
      WLWIUNWJWMUUIUUGYNUUKUUJUEUUHYOEFIIYPIXFWBWOVSWP $.
  $}

  ${
    $d ph c p q $.  $d I a c p q $.  $d J a c p q $.  $d N a c p q $.
    $d R c p q $.  $d X a c p q $.
    mdetralt.d $e |- D = ( N maDet R ) $.
    mdetralt.a $e |- A = ( N Mat R ) $.
    mdetralt.b $e |- B = ( Base ` A ) $.
    mdetralt.z $e |- .0. = ( 0g ` R ) $.
    mdetralt.r $e |- ( ph -> R e. CRing ) $.
    mdetralt.x $e |- ( ph -> X e. B ) $.
    mdetralt.i $e |- ( ph -> I e. N ) $.
    mdetralt.j $e |- ( ph -> J e. N ) $.
    mdetralt.ij $e |- ( ph -> I =/= J ) $.
    mdetralt.eq $e |- ( ph -> A. a e. N ( I X a ) = ( J X a ) ) $.
    $( The determinant function is alternating regarding rows: if a matrix has
       two identical rows, its determinant is 0.  Corollary 4.9 in [Lang]
       p. 515.  (Contributed by SO, 10-Jul-2018.)  (Proof shortened by AV,
       23-Jul-2018.) $)
    mdetralt $p |- ( ph -> ( D ` X ) = .0. ) $=
      ( vp vc vq cfv csymg cbs cv czrh cpsgn ccom cmgp co cmpt cgsu cmulr cevpm
      cres cdif cplusg wcel wceq eqid mdetleib syl crg crngring ringcmn cfn cvv
      ccmn ccrg wa matrcl simpld symgbasfi cmhm wf zrhpsgnmhm syl2anc ffvelrnda
      adantr mgpbas mhmf crngmgp cxp matbas2i elmapi ad2antrr symgbasf1o adantl
      cmap wf1o f1of simpr fovrnd ralrimiva gsummptcl ringcl syl3anc c0 disjdif
      cin a1i cun resmpt ax-mp oveq1d sylan2 eqtrd mpteq2dva syl5eq oveq2d cgrp
      wss eqtr4d ssfid cpr wne wi weq oveq2 c1 cmul ccnfld sylan eqidd mpteq2dv
      oveq12d fveq1d pmtrprfv syl13anc eqeq12d fveq2 oveq1 syl5ibrcom pm2.61dne
      wn 3ad2ant1 3eqtrd evpmss mpbi eqcomi gsummptfidmsplitres cur zrhpsgnevpm
      undif cminusg sseli ringlidm difss eldifi ringnegl ringgrp grpinvf cofmpt
      zrhpsgnodpm cabl ringabl difssd gsummptfidminv cpmtr crn c2o cen pr2nelem
      wbr pmtrrn pmtrodpm evpmodpmf1o gsummptfif1o eleq1w anbi2d eleq1d imbi12d
      prssd cneg symggrp symgtrf sselid grpcl cress cghm psgnghm2 prex cnfldmul
      mgpplusg ressplusg ghmlin psgnpmtr psgnevpm neg1cn mulid1i eqtrdi chvarvv
      fveq1 fmptco cbvmptv symgov fvco3 wral rspcdva prcom fveq2i fveq1i necomd
      psgnodpmr w3a cid cdm wo neanior elpri orcomd con3i sylbi 3adant1 pmtrmvd
      a1dd neleqtrrd wb wfn pmtrf ffnd fnelnfp necon2bbid mpbird fveq2d grprinv
      3exp ) AIDUEZEUBHUFUEZUGUEZUBUHZEUIUEZHUJUEZUKZUEZEULUEZUCHUCUHZUYNUEZUYT
      IUMZUNZUOUMZEUPUEZUMZUNZUOUMZEVUGHUQUEZURZUOUMZEVUGUYMVUIUSZURZUOUMZEUTUE
      ZUMZJAICVAZUYKVUHVBQUCBCDUYMEUYPVUEUYSIHUYOUBLMNUYMVCZUYOVCZUYPVCZVUEVCZU
      YSVCZVDVEAUYMEUGUEZVUIVULVUOUBVUGEVUFVVCVCZVUOVCZAEVFVAZEVKVAAEVLVAZVVFPE
      VGVEZEVHVEZAHVIVAZUYMVIVAAVVJEVJVAZAVUQVVJVVKVMQBCEHIMNVNVEVOZHUYMUYLUYLV
      CZVURVPVEZAUYNUYMVAZVMZVVFUYRVVCVAVUDVVCVAZVUFVVCVAAVVFVVOVVHWBAUYMVVCUYN
      UYQAUYQUYLUYSVQUMVAZUYMVVCUYQVRAVVFVVJVVRVVHVVLHEVSVTUYMVVCUYLUYSUYQVURVV
      CEUYSVVBVVDWCZWDVEWAVVPVVCUCUYSHVUBVVSAUYSVKVAZVVOAVVGVVTPEUYSVVBWEVEWBAV
      VJVVOVVLWBVVPVUBVVCVAUCHVVPUYTHVAZVMVUAUYTVVCHHIAHHWFZVVCIVRZVVOVWAAIVVCV
      WBWLUMVAZVWCAVUQVWDQBCEVVCIHMVVDNWGVEIVVCVWBWHVEWIVVPHHUYTUYNVVPHHUYNWMZH
      HUYNVRZVVOVWEAHUYMUYNUYLVVMVURWJWKHHUYNWNVEZWAVVPVWAWOWPWQWRZVVCEVUEUYRVU
      DVVDVVAWSWTVUIVULXCXAVBAVUIUYMXBXDUYMVUIVULXEZVBAVWIUYMVUIUYMXOZVWIUYMVBH
      UYMUYLVVMVURUUAZVUIUYMUUGUUBUUCXDVUGVCUUDAVUPEUBVUIVUDUNZUOUMZVWMEUUHUEZU
      EZVUOUMZJAVUKVWMVUNVWOVUOAVUJVWLEUOAVUJUBVUIVUFUNZVWLVWJVUJVWQVBVWKUBUYMV
      UIVUFXFXGAUBVUIVUFVUDAUYNVUIVAZVMZVUFEUUEUEZVUDVUEUMZVUDVWSUYRVWTVUDVUEVW
      SVVFVVJVWRUYRVWTVBAVVFVWRVVHWBZAVVJVWRVVLWBZAVWRWOEUYPVWTUYNHUYOVUSVUTVWT
      VCZUUFWTXHVWSVVFVVQVXAVUDVBVXBVWRAVVOVVQVUIUYMUYNVWKUUIZVWHXIZVVCEVUEVWTV
      UDVVDVVAVXDUUJVTXJXKXLXMAVUNEVWNUBVULVUDUNZUKZUOUMEVXGUOUMZVWNUEVWOAVUMVX
      HEUOAVUMUBVULVUFUNZVXHVULUYMXOVUMVXJVBUYMVUIUUKUBUYMVULVUFXFXGAVXJUBVULVU
      DVWNUEZUNVXHAUBVULVUFVXKAUYNVULVAZVMZVUFVWTVWNUEZVUDVUEUMVXKVXMUYRVXNVUDV
      UEVXMVVFVVJVXLUYRVXNVBAVVFVXLVVHWBZAVVJVXLVVLWBAVXLWOUYMEUYPVWTUYNVWNHUYO
      VUSVUTVXDVURVWNVCZUUQWTXHVXMVVCEVUEVWTVWNVUDVVDVVAVXDVXPVXOVXLAVVOVVQUYNU
      YMVUIUULVWHXIZUUMXJXKAUBVULVUDVVCVVCVWNAEXNVAZVVCVVCVWNVRAVVFVXRVVHEUUNVE
      ZVVCEVWNVVDVXPUUOVEVXQUUPXPXLXMAUBVULVVCVUDVXGEVWNJVVDOVXPAVVFEUURVAVVHEU
      USVEAUYMVULVVNAUYMVUIUUTXQZVXQVXGVCZUVAAVXIVWMVWNAVXIEVXGUDVUIFGXRZHUVBUE
      ZUEZUDUHZUYLUTUEZUMZUNZUKZUOUMVWMAVVCVUIUBVXGEVYHVULVUDVVDVVIVXTAVVQUBVUL
      VXQWQVYAAVVJVYDVULVAZVUIVULVYHWMVVLAVVJVYDVYCUVCZVAZVYJVVLAVVJVYBHXOZVYBU
      VDUVEUVGZVYLVVLAFGHRSUVPZAFHVAZGHVAZFGXSZVYNRSTFGHHUVFWTZHVYBVYKVYCVIVYCV
      CZVYKVCZUVHWTZHUYMUYLVYKVYDVVMVURWUAUVIVTHUYMUYLUDVYDVVMVURUVJVTUVKAVYIVW
      LEUOAVYIUDVUIUYSUCHUYTVYGUEZUYTIUMZUNZUOUMZUNZUBVUIUYSUCHUYTVYDUYNVYFUMZU
      EZUYTIUMZUNZUOUMZUNZVWLAUDUBVUIVULVYGVUDWUFVYHVXGVWSWUHVULVAZXTAVYEVUIVAZ
      VMZVYGVULVAZXTUBUDUBUDYAZVWSWUPWUNWUQWURVWRWUOAUBUDVUIUVLUVMWURWUHVYGVULU
      YNVYEVYDVYFYBUVNUVOVWSVVJWUHUYMVAZWUHUYPUEZYCUVQZVBWUNVXCVWSUYLXNVAZVYDUY
      MVAZVVOWUSAWVBVWRAVVJWVBVVLHUYLVIVVMUVRVEWBVWSVYKUYMVYDUYMHVYKUYLWUAVVMVU
      RUVSAVYLVWRWUBWBZUVTZVWRVVOAVXEWKZUYMVYFUYLVYDUYNVURVYFVCZUWAWTVWSWUTVYDU
      YPUEZUYNUYPUEZYDUMZWVAVWSUYPUYLYEULUEZYCWVAXRZUWBUMZUWCUMVAZWVCVVOWUTWVJV
      BAWVNVWRAVVJWVNVVLHUYLWVMUYPVVMVUTWVMVCZUWDVEWBWVEWVFVYFYDUYLWVMVYDUYPUYN
      UYMVURWVGWVLVJVAYDWVMUTUEVBYCWVAUWEWVLYDWVKWVMVJWVOYEYDWVKWVKVCUWFUWGUWHX
      GUWIWTVWSWVJWVAYCYDUMWVAVWSWVHWVAWVIYCYDVWSVYLWVHWVAVBWVDHVYDVYKUYLUYPVVM
      WUAVUTUWJVEAVVJVWRWVIYCVBVVLHUYMUYLUYNUYPVVMVURVUTUWKYFYIWVAUWLUWMUWNXJHU
      YMUYLWUHUYPVVMVURVUTUXGWTUWOAVYHYGAVXGYGUYNVYGVBZVUCWUEUYSUOWVPUCHVUBWUDW
      VPVUAWUCUYTIUYTUYNVYGUWPXHYHXMUWQWUGWUMVBAUDUBVUIWUFWULUDUBYAZWUEWUKUYSUO
      WVQUCHWUDWUJWVQWUCWUIUYTIWVQUYTVYGWUHVYEUYNVYDVYFYBYJXHYHXMUWRXDAUBVUIWUL
      VUDVWSWUKVUCUYSUOVWSUCHWUJVUBVWSVWAVMZWUJVUAVYDUEZUYTIUMZVUBWVRWUIWVSUYTI
      WVRWUIUYTVYDUYNUKZUEZWVSWVRUYTWUHWWAWVRWVCVVOWUHWWAVBVWSWVCVWAWVEWBVWSVVO
      VWAWVFWBHUYMVYFUYLVYDUYNVVMVURWVGUWSVTYJVWSVWFVWAWWBWVSVBVWRAVVOVWFVXEVWG
      XIZHHUYTVYDUYNUWTYFXJXHWVRWVTVUBVBZVUAFWVRWWDVUAFVBZFVYDUEZUYTIUMZFUYTIUM
      ZVBWVRWWGGUYTIUMZWWHWVRWWFGUYTIAWWFGVBZVWRVWAAVVJVYPVYQVYRWWJVVLRSTHVYCVI
      FGVYTYKYLWIXHWVRFKUHZIUMZGWWKIUMZVBZWWHWWIVBKHUYTKUCYAWWLWWHWWMWWIWWKUYTF
      IYBWWKUYTGIYBYMAWWNKHUXAVWRVWAUAWIVWSVWAWOUXBZXPWWEWVTWWGVUBWWHWWEWVSWWFU
      YTIVUAFVYDYNXHVUAFUYTIYOYMYPWVRVUAFXSZWWDXTVUAGWVRVUAGVBZWWDWWPWVRWWDWWQG
      VYDUEZUYTIUMZWWIVBWVRWWSWWHWWIAWWSWWHVBVWRVWAAWWRFUYTIAWWRGGFXRZVYCUEZUEZ
      FGVYDWXAVYBWWTVYCFGUXCUXDUXEAVVJVYQVYPGFXSWXBFVBVVLSRAFGTUXFHVYCVIGFVYTYK
      YLXLXHWIWWOXJWWQWVTWWSVUBWWIWWQWVSWWRUYTIVUAGVYDYNXHVUAGUYTIYOYMYPUXSWVRV
      UAGXSZWWPWWDWVRWXCWWPUXHZWVSVUAUYTIWXDWVSVUAVBVUAVYDUXIUSUXJZVAZYRWXDWXEV
      YBVUAWXCWWPVUAVYBVAZYRZWVRWXCWWPVMWWQWWEUXKZYRWXHVUAGVUAFUXLWXGWXIWXGWWEW
      WQVUAFGUXMUXNUXOUXPUXQWVRWXCWXEVYBVBZWWPAWXJVWRVWAAVVJVYMVYNWXJVVLVYOVYSH
      VYBVYCVIVYTUXRWTWIYSUXTWXDWXFWVSVUAWVRWXCWXFWVSVUAXSUYAZWWPWVRVYDHUYBZVUA
      HVAWXKAWXLVWRVWAAHHVYDAVVJVYMVYNHHVYDVRVVLVYOVYSHVYBVYCVIVYTUYCWTUYDWIVWS
      HHUYTUYNWWCWAHVYDVUAUYEVTYSUYFUYGXHUYJYQYQXJXKXMXKYTXMXJUYHYTYIAVXRVWMVVC
      VAVWPJVBVXSAVVCUBEVUIVUDVVDVVIAUYMVUIVVNVWJAVWKXDXQAVVQUBVUIVXFWQWRVVCVUO
      EVWNVWMJVVDVVEOVXPUYIVTXJYT $.
  $}

  ${
    $d ph i j w $.  $d K i j w $.  $d N i j w $.  $d I i j w $.  $d J i j w $.
    $d X i w $.  $d Y w $.
    mdetralt2.d $e |- D = ( N maDet R ) $.
    mdetralt2.k $e |- K = ( Base ` R ) $.
    mdetralt2.z $e |- .0. = ( 0g ` R ) $.
    mdetralt2.r $e |- ( ph -> R e. CRing ) $.
    mdetralt2.n $e |- ( ph -> N e. Fin ) $.
    mdetralt2.x $e |- ( ( ph /\ j e. N ) -> X e. K ) $.
    mdetralt2.y $e |- ( ( ph /\ i e. N /\ j e. N ) -> Y e. K ) $.
    mdetralt2.i $e |- ( ph -> I e. N ) $.
    mdetralt2.j $e |- ( ph -> J e. N ) $.
    mdetralt2.ij $e |- ( ph -> I =/= J ) $.
    $( The determinant function is alternating regarding rows (matrix is given
       explicitly by its entries).  (Contributed by SO, 16-Jul-2018.) $)
    mdetralt2 $p |- ( ph -> ( D ` ( i e. N , j e. N |->
        if ( i = I , X , if ( i = J , X , Y ) ) ) ) = .0. ) $=
      ( vw cmat co cbs cfv cv wceq cif cmpo eqid ccrg wcel w3a 3adant2 matbas2d
      ifcld wa csb eqidd iftrue ad2antrl csbeq1a ad2antll eqtrd adantr simpr wi
      weq nfcsb1v nfel1 nfim eleq1w anbi2d eleq1d imbi12d chvarfv nfcv ovmpodxf
      nfv ifeq2d ifid eqtrdi eqtr4d ralrimiva mdetralt ) AICUDUEZWHUFUGZBCFGIDE
      IIDUHZFUIZJWJGUIZJKUJZUJZUKZLUCMWHULZWIULZOPADEWHWIWNCHIUMWPNWQQPAWJIUNZE
      UHIUNZUOZWKJWMHAWSJHUNZWRRUPZWTWLJKHXBSURURUQTUAUBAFUCUHZWOUEZGXCWOUEZUIU
      CIAXCIUNZUSZXDEXCJUTZXEXGDEFXCIIWNXHWOIHXGWOVAZXGWKEUCVJZUSUSWNJXHWKWNJUI
      ZXGXJWKJWMVBVCXJJXHUIZXGWKEXCJVDZVEVFXGWKUSIVAAFIUNXFTVGAXFVHZAWSUSZXAVIX
      GXHHUNZVIEUCXGXPEXGEWAZEXHHEXCJVKZVLVMXJXOXGXAXPXJWSXFAEUCIVNVOXJJXHHXMVP
      VQRVRZXGDWAZXQEFVSDXCVSZDXHVSZXRVTXGDEGXCIIWNXHWOIHXIXGWLXJUSUSWNJXHWLXKX
      GXJWLWNWKJJUJJWLWKWMJJWLJKVBWBWKJWCWDVCXJXLXGWLXMVEVFXGWLUSIVAAGIUNXFUAVG
      XNXSXTXQEGVSYAYBXRVTWEWFWG $.
  $}

  ${
    $d ph i j $.  $d K i j $.  $d N i j $.  $d I i j $.  $d J i j $.  $d X i $.
    $d Y i $.  $d W i j $.  $d .x. i j $.  $d .+ i j $.
    mdetero.d $e |- D = ( N maDet R ) $.
    mdetero.k $e |- K = ( Base ` R ) $.
    mdetero.p $e |- .+ = ( +g ` R ) $.
    mdetero.t $e |- .x. = ( .r ` R ) $.
    mdetero.r $e |- ( ph -> R e. CRing ) $.
    mdetero.n $e |- ( ph -> N e. Fin ) $.
    mdetero.x $e |- ( ( ph /\ j e. N ) -> X e. K ) $.
    mdetero.y $e |- ( ( ph /\ j e. N ) -> Y e. K ) $.
    mdetero.z $e |- ( ( ph /\ i e. N /\ j e. N ) -> Z e. K ) $.
    mdetero.w $e |- ( ph -> W e. K ) $.
    mdetero.i $e |- ( ph -> I e. N ) $.
    mdetero.j $e |- ( ph -> J e. N ) $.
    mdetero.ij $e |- ( ph -> I =/= J ) $.
    $( The determinant function is multilinear (additive and homogeneous for
       each row (matrices are given explicitly by their entries).  Corollary
       4.9 in [Lang] p. 515.  (Contributed by SO, 16-Jul-2018.) $)
    mdetero $p |- ( ph -> ( D ` ( i e. N , j e. N |->
        if ( i = I , ( X .+ ( W .x. Y ) ) , if ( i = J , Y , Z ) ) ) ) =
        ( D ` ( i e. N , j e. N |-> if ( i = I , X ,
            if ( i = J , Y , Z ) ) ) ) ) $=
      ( cv wceq co cif cmpo cfv c0g wcel 3adant2 w3a crg ccrg crngring 3ad2ant1
      syl ringcl syl3anc ifcld mdetrlin2 mdetrsca2 eqid mdetralt2 oveq2d ringrz
      syl2anc 3eqtrd cgrp ringgrp cmat cbs wf mdetf matbas2d ffvelrnd grprid )
      AFGKKFUIZHUJZMLNEUKZCUKWDIUJZNOULZULUMBUNFGKKWEMWHULZUMZBUNZFGKKWEWFWHULU
      MBUNZCUKWKDUOUNZCUKZWKABCDFGHJKMWFWHPQRTUAAGUIKUPZMJUPWDKUPZUBUQZAWPWOURZ
      DUSUPZLJUPZNJUPZWFJUPAWPWSWOADUTUPZWSTDVAVCZVBAWPWTWOUEVBAWOXAWPUCUQZJDEL
      NQSVDVEWRWGNOJXDUDVFZUFVGAWLWMWKCAWLLFGKKWENWHULUMBUNZEUKLWMEUKZWMABDEFGL
      HJKNWHPQSTUAXDXEUEUFVHAXFWMLEABDFGHIJKNOWMPQWMVIZTUAUCUDUFUGUHVJVKAWSWTXG
      WMUJXCUEJDELWMQSXHVLVMVNVKADVOUPZWKJUPWNWKUJAWSXIXCDVPVCAKDVQUKZVRUNZJWJB
      AXBXKJBVSTXJXKBDJKPXJVIZXKVIZQVTVCAFGXJXKWIDJKUTXLQXMUATWRWEMWHJWQXEVFWAW
      BJCDWKWMQRXHWCVMVN $.
      $( [16-Jul-2018] $)
  $}

  ${
    $d D p x $.  $d A p x $.  $d B p x $.  $d M p x $.  $d N p x $.
    $d R p x $.
    mdettpos.d $e |- D = ( N maDet R ) $.
    mdettpos.a $e |- A = ( N Mat R ) $.
    mdettpos.b $e |- B = ( Base ` A ) $.
    $( Determinant is invariant under transposition.  Proposition 4.8 in [Lang]
       p. 514.  (Contributed by Stefan O'Rear, 9-Jul-2018.) $)
    mdettpos $p |- ( ( R e. CRing /\ M e. B ) ->
        ( D ` tpos M ) = ( D ` M ) ) $=
      ( vp vx wcel cfv cv co cmpt cgsu mpteq2i oveq2i eqid ccrg csymg cbs cpsgn
      czrh ccom cmgp ctpos cmulr ovtpos mattposcl adantl mdetleib syl mdetleib2
      wa wceq 3eqtr4a ) DUALZEBLZUPZDJFUBMUCMZJNZDUEMZFUDMZUFMZDUGMZKFKNZVCMZVH
      EUHZOZPZQOZDUIMZOZPZQOZDJVBVFVGKFVHVIEOZPZQOZVNOZPZQOVJCMZECMVPWBDQJVBVOW
      AVMVTVFVNVLVSVGQKFVKVRVIVHEUJRSSRSVAVJBLZWCVQUQUTWDUSABDEFHIUKULKABCVBDVE
      VNVGVJFVDJGHIVBTZVDTZVETZVNTZVGTZUMUNKABCVBDVEVNVGEFVDJGHIWEWFWGWHWIUOUR
      $.
  $}

  ${
    $d ph x y z w a b c d e f $.  $d B x y z w a b c d e f $.
    $d K x y z w a b c d e f $.  $d N x y z w a b c d e f $.
    $d D x y z w a b c d e f $.  $d Y a b c d e f $.  $d .x. x y z w e $.
    $d .+ a b e x y z w $.  $d .0. a b c d e x y z w $.
    $d .1. a b c d e x y z w $.  $d R e x y z w $.  $d A a b c d x y z w $.
    $d E x y z w $.  $d F x y z w $.  $d G x y z w $.  $d H x y z w $.
    mdetuni.a $e |- A = ( N Mat R ) $.
    mdetuni.b $e |- B = ( Base ` A ) $.
    mdetuni.k $e |- K = ( Base ` R ) $.
    mdetuni.0g $e |- .0. = ( 0g ` R ) $.
    mdetuni.1r $e |- .1. = ( 1r ` R ) $.
    mdetuni.pg $e |- .+ = ( +g ` R ) $.
    mdetuni.tg $e |- .x. = ( .r ` R ) $.
    mdetuni.n $e |- ( ph -> N e. Fin ) $.
    mdetuni.r $e |- ( ph -> R e. Ring ) $.
    mdetuni.ff $e |- ( ph -> D : B --> K ) $.
    mdetuni.al $e |- ( ph -> A. x e. B A. y e. N A. z e. N
        ( ( y =/= z /\ A. w e. N ( y x w ) = ( z x w ) ) ->
        ( D ` x ) = .0. ) ) $.
    mdetuni.li $e |- ( ph -> A. x e. B A. y e. B A. z e. B A. w e. N
        ( ( ( x |` ( { w } X. N ) ) = ( ( y |` ( { w } X. N ) ) oF .+
          ( z |` ( { w } X. N ) ) ) /\ ( x |` ( ( N \ { w } ) X. N ) ) =
          ( y |` ( ( N \ { w } ) X. N ) ) /\ ( x |` ( ( N \ { w } ) X. N ) ) =
          ( z |` ( ( N \ { w } ) X. N ) ) ) ->
        ( D ` x ) = ( ( D ` y ) .+ ( D ` z ) ) ) ) $.
    mdetuni.sc $e |- ( ph -> A. x e. B A. y e. K A. z e. B A. w e. N
        ( ( ( x |` ( { w } X. N ) ) = ( ( ( { w } X. N ) X. { y } ) oF .x.
          ( z |` ( { w } X. N ) ) ) /\ ( x |` ( ( N \ { w } ) X. N ) ) =
          ( z |` ( ( N \ { w } ) X. N ) ) ) ->
        ( D ` x ) = ( y .x. ( D ` z ) ) ) ) $.
    $( Lemma for ~ mdetuni .  (Contributed by SO, 14-Jul-2018.) $)
    mdetunilem1 $p |- ( ( ( ph /\ E e. B /\ A. w e. N ( F E w ) =
          ( G E w ) ) /\ ( F e. N /\ G e. N /\ F =/= G ) ) ->
        ( D ` E ) = .0. ) $=
      ( wcel cv co wceq wral w3a wne wa cfv simpr3 simpl3 wi neeq2 oveq1 eqeq2d
      ralbidv anbi12d imbi1d simpl2 simpr1 simpl1 syl oveq eqeq12d anbi2d neeq1
      fveqeq2 imbi12d eqeq1d rspc2va syl21anc simpr2 rspcdva mp2and ) AMGULZNEU
      MZMUNZOWGMUNZUOZEQUPZUQZNQULZOQULZNOURZUQZUSZWOWKMHUTRUOZWLWMWNWOVAAWFWKW
      PVBWQNDUMZURZWHWSWGMUNZUOZEQUPZUSZWRVCZWOWKUSZWRVCDQOWSOUOZXDXFWRXGWTWOXC
      WKWSONVDXGXBWJEQXGXAWIWHWSOWGMVEVFVGVHVIWQWFWMCUMZWSURZXHWGBUMZUNZWSWGXJU
      NZUOZEQUPZUSZXJHUTRUOZVCZDQUPZCQUPBGUPZXEDQUPZAWFWKWPVJWLWMWNWOVKWQAXSAWF
      WKWPVLUIVMXRXTXIXHWGMUNZXAUOZEQUPZUSZWRVCZDQUPBCMNGQXJMUOZXQYEDQYFXOYDXPW
      RYFXNYCXIYFXMYBEQYFXKYAXLXAXHWGXJMVNWSWGXJMVNVOVGVPXJMRHVRVSVGXHNUOZYEXED
      QYGYDXDWRYGXIWTYCXCXHNWSVQYGYBXBEQYGYAWHXAXHNWGMVEVTVGVHVIVGWAWBWLWMWNWOW
      CWDWE $.

    ${
      $d ps a b x y z w $.  $d E a b $.  $d G a b $.  $d F a $.
      mdetunilem2.ph $e |- ( ps -> ph ) $.
      mdetunilem2.eg $e |- ( ps -> ( E e. N /\ G e. N /\ E =/= G ) ) $.
      mdetunilem2.f $e |- ( ( ps /\ b e. N ) -> F e. K ) $.
      mdetunilem2.h $e |- ( ( ps /\ a e. N /\ b e. N ) -> H e. K ) $.
      $( Lemma for ~ mdetuni .  (Contributed by SO, 15-Jul-2018.) $)
      mdetunilem2 $p |- ( ps -> ( D ` ( a e. N , b e. N |-> if ( a = E , F ,
                if ( a = G , F , H ) ) ) ) = .0. ) $=
        ( cv wceq cif cmpo wcel wral wne w3a cfv crg cfn 3adant2 ifcld matbas2d
        co syl csb eqidd weq iftrue csbeq1a sylan9eq adantl simp1d adantr simpr
        wa nfv nfcsb1v nfel1 nfim eleq1w anbi2d eleq1d imbi12d chvarfv ovmpodxf
        wi nfcv wn simp3d neeq2 syl5ibrcom necomd neneqd adantrr iffalsed eqtrd
        imp simp2d eqtr4d ralrimiva mdetunilem1 syl31anc ) BAUAUBSSUAUTZNVAZOXN
        PVAZOQVBZVBZVCZHVDNFUTZXSVNZPXTXSVNZVAZFSVENSVDZPSVDZNPVFZVGXSIVHTVAUPB
        UAUBGHXRKRSVIUCUEUDBASVJVDUPUJVOBAKVIVDUPUKVOBXNSVDZUBUTSVDZVGZXOOXQRBY
        HORVDZYGURVKZYIXPOQRYKUSVLVLVMBYCFSBXTSVDZWFZYAUBXTOVPZYBYMUAUBNXTSSXRY
        NXSSRYMXSVQZXOUBFVRZWFXRYNVAYMXOYPXROYNXOOXQVSUBXTOVTZWAWBYMXOWFSVQBYDY
        LBYDYEYFUQWCWDBYLWEZBYHWFZYJWQYMYNRVDZWQUBFYMYTUBYMUBWGZUBYNRUBXTOWHZWI
        WJYPYSYMYJYTYPYHYLBUBFSWKWLYPOYNRYQWMWNURWOZYMUAWGZUUAUBNWRUAXTWRZUAYNW
        RZUUBWPYMUAUBPXTSSXRYNXSSRYOYMXPYPWFZWFZXRXQYNUUHXOOXQYMXPXOWSYPYMXPWFZ
        XNNUUINXNYMXPNXNVFZYMUUJXPYFBYFYLBYDYEYFUQWTWDXNPNXAXBXHXCXDXEXFUUGXQYN
        VAYMXPYPXQOYNXPOQVSYQWAWBXGUUISVQBYEYLBYDYEYFUQXIWDYRUUCUUDUUAUBPWRUUEU
        UFUUBWPXJXKUQACDEFGHIJKLMXSNPRSTUCUDUEUFUGUHUIUJUKULUMUNUOXLXM $.
    $}

    $( Lemma for ~ mdetuni .  (Contributed by SO, 15-Jul-2018.) $)
    mdetunilem3 $p |- ( ( ( ph /\ E e. B /\ F e. B ) /\ ( G e. B /\ H e. N /\
        ( E |` ( { H } X. N ) ) = ( ( F |` ( { H } X. N ) ) oF .+
          ( G |` ( { H } X. N ) ) ) ) /\ ( ( E |` ( ( N \ { H } ) X. N ) ) =
          ( F |` ( ( N \ { H } ) X. N ) ) /\ ( E |` ( ( N \ { H } ) X. N ) ) =
          ( G |` ( ( N \ { H } ) X. N ) ) ) ) ->
        ( D ` E ) = ( ( D ` F ) .+ ( D ` G ) ) ) $=
      ( wcel w3a csn cxp cres cof co wceq cdif wa cfv simp23 simp3l simp3r wral
      wi simprl simprr simpl2 simpl3 simpl1 syl reseq1 eqeq1d 3anbi123d imbi12d
      cv fveq2 2ralbidv oveq1d eqeq2d 3anbi12d rspc2va syl21anc oveq2d 3anbi13d
      xpeq1d reseq2d oveq12d eqeq12d difeq2d imbi1d 3adantr3 3adant3 mp3and
      sneq ) AMGUMZNGUMZUNZOGUMZPRUMZMPUOZRUPZUQZNXEUQZOXEUQZIURZUSZUTZUNZMRXDV
      AZRUPZUQZNXNUQZUTZXOOXNUQZUTZVBZUNXKXQXSMHVCZNHVCZOHVCZIUSZUTZXAXBXCXKXTV
      DXAXLXQXSVEXAXLXQXSVFXAXLXKXQXSUNZYEVHZXTXAXBXCYGXKXAXBXCVBZVBZXBXCMEVSZU
      OZRUPZUQZNYLUQZDVSZYLUQZXIUSZUTZMRYKVAZRUPZUQZNYTUQZUTZUUAYOYTUQZUTZUNZYA
      YBYOHVCZIUSZUTZVHZERVGDGVGZYGXAXBXCVIXAXBXCVJYIWSWTBVSZYLUQZCVSZYLUQZYPXI
      USZUTZUULYTUQZUUNYTUQZUTZUURUUDUTZUNZUULHVCZUUNHVCZUUGIUSZUTZVHZERVGDGVGZ
      CGVGBGVGZUUKAWSWTYHVKAWSWTYHVLYIAUVIAWSWTYHVMUKVNUVHUUKYMUUPUTZUUAUUSUTZU
      UEUNZYAUVEUTZVHZERVGDGVGBCMNGGUULMUTZUVGUVNDEGRUVOUVBUVLUVFUVMUVOUUQUVJUU
      TUVKUVAUUEUVOUUMYMUUPUULMYLVOVPUVOUURUUAUUSUULMYTVOZVPUVOUURUUAUUDUVPVPVQ
      UVOUVCYAUVEUULMHVTVPVRWAUUNNUTZUVNUUJDEGRUVQUVLUUFUVMUUIUVQUVJYRUVKUUCUUE
      UVQUUPYQYMUVQUUOYNYPXIUUNNYLVOWBWCUVQUUSUUBUUAUUNNYTVOWCWDUVQUVEUUHYAUVQU
      VDYBUUGIUUNNHVTWBWCVRWAWEWFUUJYGYMYNOYLUQZXIUSZUTZUUCUUAOYTUQZUTZUNZYEVHD
      EOPGRYOOUTZUUFUWCUUIYEUWDYRUVTUUEUWBUUCUWDYQUVSYMUWDYPUVRYNXIYOOYLVOWGWCU
      WDUUDUWAUUAYOOYTVOWCWHUWDUUHYDYAUWDUUGYCYBIYOOHVTWGWCVRYJPUTZUWCYFYEUWEUV
      TXKUUCXQUWBXSUWEYMXFUVSXJUWEYLXEMUWEYKXDRYJPWRZWIZWJUWEYNXGUVRXHXIUWEYLXE
      NUWGWJUWEYLXEOUWGWJWKWLUWEUUAXOUUBXPUWEYTXNMUWEYSXMRUWEYKXDRUWFWMWIZWJZUW
      EYTXNNUWHWJWLUWEUUAXOUWAXRUWIUWEYTXNOUWHWJWLVQWNWEWFWOWPWQ $.

    $( Lemma for ~ mdetuni .  (Contributed by SO, 15-Jul-2018.) $)
    mdetunilem4 $p |- ( ( ph /\ ( E e. B /\ F e. K /\ G e. B ) /\ ( H e. N /\
        ( E |` ( { H } X. N ) ) = ( ( ( { H } X. N ) X. { F } ) oF .x.
          ( G |` ( { H } X. N ) ) ) /\ ( E |` ( ( N \ { H } ) X. N ) ) =
          ( G |` ( ( N \ { H } ) X. N ) ) ) ) ->
        ( D ` E ) = ( F .x. ( D ` G ) ) ) $=
      ( wcel w3a csn cxp cres cof co wceq cdif cfv simp32 simp33 wa wi simp1 cv
      simp23 simp3 simp21 simp22 3ad2ant1 reseq1 eqeq1d anbi12d fveqeq2 imbi12d
      wral 2ralbidv sneq xpeq2d oveq1d eqeq2d anbi1d oveq1 rspc2va oveq2d fveq2
      syl21anc xpeq1d reseq2d oveq12d eqeq12d difeq2d imbi1d syl3an3 mp2and ) A
      MGUMZNQUMZOGUMZUNZPRUMZMPUOZRUPZUQZXENUOZUPZOXEUQZKURZUSZUTZMRXDVAZRUPZUQ
      ZOXNUQZUTZUNZUNXLXQMHVBZNOHVBZKUSZUTZAXBXCXLXQVCAXBXCXLXQVDXRAXBXCXLXQVEZ
      YBVFZXCXLXQVGAXBXCUNZXAXCMEVHZUOZRUPZUQZYHXGUPZDVHZYHUQZXJUSZUTZMRYGVAZRU
      PZUQZYKYPUQZUTZVEZXSNYKHVBZKUSZUTZVFZERVSDGVSZYDAWSWTXAXCVIAXBXCVJYEWSWTB
      VHZYHUQZYHCVHZUOZUPZYLXJUSZUTZUUFYPUQZYRUTZVEZUUFHVBUUHUUAKUSZUTZVFZERVSD
      GVSZCQVSBGVSZUUEAWSWTXAXCVKAWSWTXAXCVLAXBUUTXCULVMUUSUUEYIUUKUTZYSVEZXSUU
      PUTZVFZERVSDGVSBCMNGQUUFMUTZUURUVDDEGRUVEUUOUVBUUQUVCUVEUULUVAUUNYSUVEUUG
      YIUUKUUFMYHVNVOUVEUUMYQYRUUFMYPVNVOVPUUFMUUPHVQVRVTUUHNUTZUVDUUDDEGRUVFUV
      BYTUVCUUCUVFUVAYNYSUVFUUKYMYIUVFUUJYJYLXJUVFUUIXGYHUUHNWAWBWCWDWEUVFUUPUU
      BXSUUHNUUAKWFWDVRVTWGWJUUDYDYIYJOYHUQZXJUSZUTZYQOYPUQZUTZVEZYBVFDEOPGRYKO
      UTZYTUVLUUCYBUVMYNUVIYSUVKUVMYMUVHYIUVMYLUVGYJXJYKOYHVNWHWDUVMYRUVJYQYKOY
      PVNWDVPUVMUUBYAXSUVMUUAXTNKYKOHWIWHWDVRYFPUTZUVLYCYBUVNUVIXLUVKXQUVNYIXFU
      VHXKUVNYHXEMUVNYGXDRYFPWAZWKZWLUVNYJXHUVGXIXJUVNYHXEXGUVPWKUVNYHXEOUVPWLW
      MWNUVNYQXOUVJXPUVNYPXNMUVNYOXMRUVNYGXDRUVOWOWKZWLUVNYPXNOUVQWLWNVPWPWGWJW
      QWR $.

    ${
      $d ps a b x y z w $.  $d E a b $.
      mdetunilem5.ph $e |- ( ps -> ph ) $.
      mdetunilem5.e $e |- ( ps -> E e. N ) $.
      mdetunilem5.fgh $e |- ( ( ps /\ a e. N /\ b e. N ) ->
        ( F e. K /\ G e. K /\ H e. K ) ) $.
      $( Lemma for ~ mdetuni .  (Contributed by SO, 15-Jul-2018.) $)
      mdetunilem5 $p |- ( ps ->
          ( D ` ( a e. N , b e. N |-> if ( a = E , ( F .+ G ) , H ) ) ) =
            ( ( D ` ( a e. N , b e. N |-> if ( a = E , F , H ) ) ) .+
              ( D ` ( a e. N , b e. N |-> if ( a = E , G , H ) ) ) ) ) $=
        ( wceq cif cmpo wcel csn cxp cres cof cdif cfv crg cfn syl w3a 3ad2ant1
        cv simp1d simp2d ringacl syl3anc simp3d ifcld matbas2d cvv snex a1i wss
        snssd simp2 sseldd syld3an2 eqidd offval22 mposnif oveq12i 3eqtr4g ssid
        co eqcomd resmpo sylancl oveq12d 3eqtr4d wn wne eldifsni neneqd iffalse
        3ad2ant2 eqtr4d mpoeq3dva difss mp2an mdetunilem3 syl332anc ) BAUAUBSSU
        AVNZNUSZOPJWPZQUTZVAZHVBUAUBSSXOOQUTZVAZHVBUAUBSSXOPQUTZVAZHVBNSVBXRNVC
        ZSVDZVEZXTYDVEZYBYDVEZJVFZWPZUSXRSYCVGZSVDZVEZXTYKVEZUSYLYBYKVEZUSXRIVH
        XTIVHYBIVHJWPUSUPBUAUBGHXQKRSVIUCUEUDBASVJVBUPUJVKZBAKVIVBZUPUKVKZBXNSV
        BZUBVNSVBZVLZXOXPQRYTYPORVBZPRVBZXPRVBBYRYPYSYQVMYTUUAUUBQRVBZURVOZYTUU
        AUUBUUCURVPZRJKOPUEUHVQVRYTUUAUUBUUCURVSZVTWABUAUBGHXSKRSVIUCUEUDYOYQYT
        XOOQRUUDUUFVTWABUAUBGHYAKRSVIUCUEUDYOYQYTXOPQRUUEUUFVTWAUQBUAUBYCSXQVAZ
        UAUBYCSXSVAZUAUBYCSYAVAZYHWPZYEYIBUAUBYCSXPVAZUAUBYCSOVAZUAUBYCSPVAZYHW
        PZUUGUUJBUUNUUKBUAUBYCSOPJUULUUMWBVJRRYCWBVBBNWCWDYOBYRXNYCVBZYSUUABUUO
        YSVLYCSXNBUUOYCSWEZYSBNSUQWFZVMBUUOYSWGWHZUUDWIBYRUUOYSUUBUURUUEWIBUULW
        JBUUMWJWKWQSXPQUAUBNWLUUHUULUUIUUMYHSOQUAUBNWLSPQUAUBNWLWMWNBUUPSSWEZYE
        UUGUSUUQSWOZUAUBSSYCSXQWRWSBYFUUHYGUUIYHBUUPUUSYFUUHUSUUQUUTUAUBSSYCSXS
        WRWSBUUPUUSYGUUIUSUUQUUTUAUBSSYCSYAWRWSWTXABUAUBYJSXQVAZUAUBYJSXSVAZYLY
        MBUAUBYJSXQXSBXNYJVBZYSVLZXOXBZXQXSUSUVDXNNUVCBXNNXCYSXNSNXDXGXEZUVEXQQ
        XSXOXPQXFZXOOQXFXHVKXIYJSWEZUUSYLUVAUSSYCXJZUUTUAUBSSYJSXQWRXKZUVHUUSYM
        UVBUSUVIUUTUAUBSSYJSXSWRXKWNBUVAUAUBYJSYAVAZYLYNBUAUBYJSXQYAUVDUVEXQYAU
        SUVFUVEXQQYAUVGXOPQXFXHVKXIUVJUVHUUSYNUVKUSUVIUUTUAUBSSYJSYAWRXKWNACDEF
        GHIJKLMXRXTYBNRSTUCUDUEUFUGUHUIUJUKULUMUNUOXLXM $.
    $}

    ${
      $d ps a b x y z w $.  $d E a b $.  $d F a b $.  $d G a $.  $d H a $.
      $d I x y z w $.
      mdetunilem6.ph $e |- ( ps -> ph ) $.
      mdetunilem6.ef $e |- ( ps -> ( E e. N /\ F e. N /\ E =/= F ) ) $.
      mdetunilem6.gh $e |- ( ( ps /\ b e. N ) -> ( G e. K /\ H e. K ) ) $.
      mdetunilem6.i $e |- ( ( ps /\ a e. N /\ b e. N ) -> I e. K ) $.
      $( Lemma for ~ mdetuni .  (Contributed by SO, 15-Jul-2018.) $)
      mdetunilem6 $p |- ( ps -> ( D ` ( a e. N , b e. N |-> if ( a = E , G ,
          if ( a = F , H , I ) ) ) ) = ( ( invg ` R ) ` ( D `
            ( a e. N , b e. N |-> if ( a = E , H ,
              if ( a = F , G , I ) ) ) ) ) ) $=
        ( cv wceq cif cmpo cfv cminusg co wcel wne simp1d w3a wa simprd 3adant2
        simpld cgrp crg ringgrp 3syl adantr grpcl ifcld mdetunilem5 mdetunilem2
        syl3anc 3jca simp2d simp3d necomd oveq1d neneqd eqtr2 3ad2ant1 ifcomnan
        nsyl syl mpoeq3dva fveq2d cfn matbas2d ffvelrnd eqeltrrd grplid syl2anc
        wn wf 3eqtrd 3eqtr4d oveq2d grprid oveq12d 3eqtr3rd wb grpinvid1 mpbird
        eqid eqcomd ) BUBUCTTUBVAZNVBZQXROVBZPRVCZVCZVDZIVEZKVFVEZVEZUBUCTTXSPX
        TQRVCZVCZVDZIVEZBYFYJVBZYDYJJVGZUAVBZBUBUCTTXSQPJVGZXTYNRVCZVCVDIVEUBUC
        TTXSQYOVCZVDZIVEZUBUCTTXSPYOVCZVDZIVEZJVGUAYLABCDEFGHIJKLMNQPYOSTUAUBUC
        UDUEUFUGUHUIUJUKULUMUNUOUPUQBNTVHZOTVHZNOVIZURVJZBXRTVHZUCVATVHZVKZQSVH
        ZPSVHZYOSVHBUUGUUIUUFBUUGVLZUUJUUIUSVMZVNZBUUGUUJUUFUUKUUJUUIUSVOZVNZUU
        HXTYNRSBUUGYNSVHZUUFUUKKVPVHZUUIUUJUUPBUUQUUGBAKVQVHUUQUQULKVRVSZVTUULU
        UNSJKQPUFUIWAWEZVNUTWBWFWCABCDEFGHIJKLMNYNORSTUAUBUCUDUEUFUGUHUIUJUKULU
        MUNUOUPUQURUUSUTWDBYRYDUUAYJJBUBUCTTXTYNXSQRVCZVCZVDZIVEZUBUCTTXTPUUTVC
        ZVDZIVEZYRYDBUVCUBUCTTXTQUUTVCVDIVEZUVFJVGUAUVFJVGZUVFABCDEFGHIJKLMOQPU
        UTSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQBUUBUUCUUDURWGZUUHUUIUUJUUTSVHUUM
        UUOUUHXSQRSUUMUTWBWFWCBUVGUAUVFJABCDEFGHIJKLMOQNRSTUAUBUCUDUEUFUGUHUIUJ
        UKULUMUNUOUPUQBUUCUUBONVIUVIUUEBNOBUUBUUCUUDURWHZWIWFZUULUTWDWJBUUQUVFS
        VHUVHUVFVBUURBYDUVFSBYCUVEIBUBUCTTYBUVDUUHXSXTVLZXEZYBUVDVBBUUFUVMUUGBN
        OVBUVLBNOUVJWKXRNOWLWOWMZXSXTQPRWNWPWQWRZBHSYCIBAHSIXFUQUMWPZBUBUCGHYBK
        STVPUDUFUEBATWSVHUQUKWPZUURUUHXSQYASUUMUUHXTPRSUUOUTWBWBWTXAZXBSJKUVFUA
        UFUIUGXCXDXGBYQUVBIBUBUCTTYPUVAUUHUVMYPUVAVBUVNXSXTQYNRWNWPWQWRUVOXHBUB
        UCTTXTYNXSPRVCZVCZVDZIVEZUBUCTTXTQUVSVCZVDZIVEZUUAYJBUWBUWEUBUCTTXTPUVS
        VCVDIVEZJVGUWEUAJVGZUWEABCDEFGHIJKLMOQPUVSSTUAUBUCUDUEUFUGUHUIUJUKULUMU
        NUOUPUQUVIUUHUUIUUJUVSSVHUUMUUOUUHXSPRSUUOUTWBWFWCBUWFUAUWEJABCDEFGHIJK
        LMOPNRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQUVKUUNUTWDXIBUUQUWESVHUWGUWEV
        BUURBYJUWESBYIUWDIBUBUCTTYHUWCUUHUVMYHUWCVBUVNXSXTPQRWNWPWQWRZBHSYIIUVP
        BUBUCGHYHKSTVPUDUFUEUVQUURUUHXSPYGSUUOUUHXTQRSUUMUTWBWBWTXAZXBSJKUWEUAU
        FUIUGXJXDXGBYTUWAIBUBUCTTYSUVTUUHUVMYSUVTVBUVNXSXTPYNRWNWPWQWRUWHXHXKXL
        BUUQYDSVHYJSVHYKYMXMUURUVRUWISJKYEYDYJUAUFUIUGYEXPXNWEXOXQ $.
    $}

    ${
      $d E a b c d e f $.  $d F a b c d e f $.  $d R c d f $.  $d .x. c d $.
      $( Lemma for ~ mdetuni .  (Contributed by SO, 15-Jul-2018.) $)
      mdetunilem7 $p |- ( ( ph /\ E : N -1-1-onto-> N /\ F e. B ) -> ( D `
          ( a e. N , b e. N |-> ( ( E ` a ) F b ) ) ) =
          ( ( ( ( ZRHom ` R ) o. ( pmSgn ` N ) ) ` E ) .x. ( D ` F ) ) ) $=
        ( vc vd ve vf wf1o wcel w3a cv cfv co cmpo czrh cpsgn ccom csymg cplusg
        wceq c0g cbs cpmtr crn weq fveq1 oveq1d mpoeq3dv fveq2 eqeq12d eqid cfn
        fveq2d cgrp cmnd 3ad2ant1 symggrp 3syl wss symgtrf a1i csubmnd symggen2
        grpmnd cmrc syl eqcomd crg wf simp3 ffvelrnd ringlidm syl2anc cmgp cmhm
        zrhpsgnmhm ringidval mhm0 fveq1d simp2 eqtr3d mpoeq3dva 3ad2ant3 eqtr4d
        cid wfn wa eqtrd wne cpr wrex cif adantl adantr ad2antrr simprlr fovrnd
        simpr simprll pmtrprfv syl13anc sylan9eqr iftrue wn fveq2i cdif syl3anc
        wb mpbird iffalse pm2.61dan cres symgid fvresi cxp cmap matbas2i elmapi
        fnov sylib 3eqtr4rd cminusg sseli symgov symgbasf1o f1of fvco3 symgbasf
        ffn pmtrrn2 wi simpll1 df-3an biimpri simpllr jca simp1lr simpl1 simprr
        mdetunilem6 prcom fveq1i simplrl simprd simpld simplrr necomd syl5eq wo
        adantlr cdm vex notbii ioran sylbbr adantll c2o cen prssi pr2ne pmtrmvd
        elpr eleq2d notbid pmtrf ffnd fnelnfp necon2bbid 3adant3 sylan mpoeq3ia
        pm2.61i 3eqtr4d fveqeq2d syl5ibrcom expr impd rexlimdvva 3impia syl3an2
        wbr syl5 mgpbas mhmf simp13 ringmneg1 mgpplusg mhmlin cevpm zrhpsgnodpm
        pmtrodpm oveq2d rngnegr 3eqtrrd 3eqtrd elsymgbas mndind ) APPMUQZNGURZU
        SZRSPPRUTZUMUTZVAZSUTZNVBZVCZHVAZUYKJVDVAZPVEVAZVFZVAZNHVAZKVBZVIRSPPUY
        JUNUTZVAZUYMNVBZVCZHVAZVUCUYSVAZVUAKVBZVIZRSPPUYJVUCUOUTZPVGVAZVHVAZVBZ
        VAZUYMNVBZVCZHVAZVUNUYSVAZVUAKVBZVIRSPPUYJVULVJVAZVAZUYMNVBZVCZHVAZVVAU
        YSVAZVUAKVBZVIRSPPUYJMVAZUYMNVBZVCZHVAZMUYSVAZVUAKVBZVIUMUNUOMVULVKVAZV
        UMPVLVAZVMZVULVVAUMUNVNZUYPVUGVUBVUIVVQUYOVUFHVVQRSPPUYNVUEVVQUYLVUDUYM
        NUYJUYKVUCVOVPVQWBVVQUYTVUHVUAKUYKVUCUYSVRVPVSUYKVUNVIZUYPVURVUBVUTVVRU
        YOVUQHVVRRSPPUYNVUPVVRUYLVUOUYMNUYJUYKVUNVOVPVQWBVVRUYTVUSVUAKUYKVUNUYS
        VRVPVSUYKVVAVIZUYPVVEVUBVVGVVSUYOVVDHVVSRSPPUYNVVCVVSUYLVVBUYMNUYJUYKVV
        AVOVPVQWBVVSUYTVVFVUAKUYKVVAUYSVRVPVSUYKMVIZUYPVVKVUBVVMVVTUYOVVJHVVTRS
        PPUYNVVIVVTUYLVVHUYMNUYJUYKMVOVPVQWBVVTUYTVVLVUAKUYKMUYSVRVPVSVVAVTZVUM
        VTZVVNVTZUYIPWAURZVULWCURVULWDURAUYGVWDUYHUGWEZPVULWAVULVTZWFVULWMWGVVP
        VVNWHUYIVVNPVVPVULVVPVTZVWFVWCWIZWJAUYGVVNVVPVULWKVAWNVAZVAZVIUYHAVWJVV
        NAVWDVWJVVNVIUGVVNPVVPVULVWIVWGVWFVWCVWIVTWLWOWPWEUYILVUAKVBZVUAVVGVVEU
        YIJWQURZVUAOURVWKVUAVIAUYGVWLUYHUHWEZUYIGONHAUYGGOHWRZUYHUIWEZAUYGUYHWS
        WTOJKLVUAUBUFUDXAXBUYIVVFLVUAKAUYGVVFLVIZUYHAUYSVULJXCVAZXDVBURZVWPAVWL
        VWDVWRUHUGPJXEXBZVULVWQUYSLVVAVWAJLVWQVWQVTZUDXFXGWOWEVPUYIVVDNHUYIVVDR
        SPPUYJUYMNVBZVCZNUYIRSPPVVCVXAUYIUYJPURZUYMPURZUSZVVBUYJUYMNVXEUYJXNPUU
        AZVAZVVBUYJVXEUYJVXFVVAUYIVXCVXFVVAVIZVXDAUYGVXHUYHAVWDVXHUGPVULWAVWFUU
        BWOWEWEXHVXEVXCVXGUYJVIUYIVXCVXDXIPUYJUUCWOXJVPXKUYINPPUUDZXOZNVXBVIUYI
        NOVXIUUEVBURZVXIONWRZVXJUYHAVXKUYGFGJONPTUBUAUUFXLZNOVXIUUGZVXIONUURWGR
        SPPNUUHUUIXMWBUUJUYIVUCVVNURZVUKVVPURZUSZVUJXPVURVUGJUUKVAZVAZVUIVXRVAZ
        VUTVXQVURVXSVIVUJVXQVURRSPPUYJVUKVAZVUCVAZUYMNVBZVCZHVAZVXSVXQVUQVYDHVX
        QRSPPVUPVYCVXQVXCVXDUSZVUOVYBUYMNVYFVUOUYJVUCVUKVFZVAZVYBVXQVXCVUOVYHVI
        VXDVXQUYJVUNVYGVXQVXOVUKVVNURZVUNVYGVIUYIVXOVXPXIZVXPUYIVYIVXOVVPVVNVUK
        VWHUULXLZPVVNVUMVULVUCVUKVWFVWCVWBUUMXBXHWEVYFPPVUKWRZVXCVYHVYBVIVXQVXC
        VYLVXDVXQVYIPPVUKUQVYLVYKPVVNVUKVULVWFVWCUUNPPVUKUUOWGWEVXQVXCVXDXIPPUY
        JVUCVUKUUPXBXQVPXKWBVXOUYIPPVUCWRZVXPVYEVXSVIZPVVNVUCVULVWFVWCUUQUYIVYM
        VXPVYNVXPUYKUPUTZXRZVUKUYKVYOXSZVVOVAZVIZXPZUPPXTUMPXTUYIVYMXPZVYNUMUPP
        VVPVVOVUKVVOVTZVWGUUSWUAVYTVYNUMUPPPWUAUYKPURZVYOPURZXPZXPVYPVYSVYNWUAW
        UEVYPVYSVYNUUTWUAWUEVYPXPZXPZVYNVYSRSPPUYJVYRVAZVUCVAZUYMNVBZVCZHVAZVXS
        VIWUGRSPPRUMVNZVYOVUCVAZUYMNVBZRUPVNZUYKVUCVAZUYMNVBZVUEYAZYAZVCZHVARSP
        PWUMWURWUPWUOVUEYAZYAZVCZHVAZVXRVAZWULVXSAWUGBCDEFGHIJKLUYKVYOWUOWURVUE
        OPQRSTUAUBUCUDUEUFUGUHUIUJUKULAUYGUYHVYMWUFUVAWUFWUCWUDVYPUSZWUAWVGWUFW
        UCWUDVYPUVBUVCYBWUGVXDXPZWUOOURWUROURWVHWUNUYMOPPNWUAVXLWUFVXDUYIVXLVYM
        UYIVXKVXLVXMVXNWOZYCYDZWVHPPVYOVUCUYIVYMWUFVXDUVDZWUGWUDVXDWUAWUCWUDVYP
        YEYCWTWUGVXDYGZYFWVHWUQUYMOPPNWVJWVHPPUYKVUCWVKWUGWUCVXDWUAWUCWUDVYPYHY
        CWTWVLYFUVEWUGVXCVXDUSZVUDUYMOPPNWUGVXCVXLVXDUYIVXLVYMWUFWVIYDWEWVMPPUY
        JVUCUYIVYMWUFVXCVXDUVFWUGVXCVXDXIWTWUGVXCVXDWSYFUVIWUGWUKWVAHWUAAWUFWUK
        WVAVIAUYGUYHVYMUVGAWUFXPZRSPPWUJWUTWVNVXCWUJWUTVIZVXDWVNVXCXPZWUMWVOWVP
        WUMXPZWUJWUOWUTWVQWUIWUNUYMNWVQWUHVYOVUCWUMWVPWUHUYKVYRVAZVYOUYJUYKVYRV
        RWVNWVRVYOVIZVXCWVNVWDWUCWUDVYPWVSAVWDWUFUGYCAWUCWUDVYPYHAWUCWUDVYPYEAW
        UEVYPUVHPVVOWAUYKVYOWUBYIYJYCYKWBVPWUMWUTWUOVIWVPWUMWUOWUSYLYBXMWVPWUMY
        MZXPZWUJWUSWUTWWAWUPWUJWUSVIZWVPWUPWWBWVTWVPWUPXPZWUJWURWUSWWCWUIWUQUYM
        NWWCWUHUYKVUCWUPWVPWUHVYOVYRVAZUYKUYJVYOVYRVRWVPWWDVYOVYOUYKXSZVVOVAZVA
        ZUYKVYOVYRWWFVYQWWEVVOUYKVYOUVJYNUVKWVPVWDWUDWUCVYOUYKXRWWGUYKVIAVWDWUF
        VXCUGYDZWVPWUCWUDAWUEVYPVXCUVLZUVMWVPWUCWUDWWIUVNWVPUYKVYOAWUEVYPVXCUVO
        ZUVPPVVOWAVYOUYKWUBYIYJUVQYKWBVPWUPWUSWURVIWVPWUPWURVUEYLYBXMUVSWWAWUPY
        MZXPZWUJVUEWUSWWLWUIVUDUYMNWWLWUHUYJVUCWWLWUHUYJVIZUYJVYRXNYOUVTZURZYMZ
        WWLWWPUYJVYQURZYMZWVTWWKWWRWVPWWRWUMWUPUVRZYMWVTWWKXPWWQWWSUYJUYKVYORUW
        AUWKUWBWUMWUPUWCUWDUWEWVPWWPWWRYQWVTWWKWVPWWOWWQWVPWWNVYQUYJWVPVWDVYQPW
        HZVYQUWFUWGUXJZWWNVYQVIWWHWVPWUEWWTWWIUYKVYOPUWHWOZWVPWXAVYPWWJWVPWUEWX
        AVYPYQWWIUYKVYOPPUWIWOYRZPVYQVVOWAWUBUWJYPUWLUWMYDYRWVPWWMWWPYQZWVTWWKW
        VPVYRPXOZVXCWXDWVPPPVYRWVPVWDWWTWXAPPVYRWRWWHWXBWXCPVYQVVOWAWUBUWNYPUWO
        WVNVXCYGWXEVXCXPWWOWUHUYJPVYRUYJUWPUWQXBYDYRWBVPWWKWUSVUEVIWWAWUPWURVUE
        YSYBXMYTWVTWUTWUSVIWVPWUMWUOWUSYSYBXMYTUWRXKUWSWBVXSWVFVIWUGVUGWVEVXRVU
        FWVDHRSPPVUEWVCVUEWVCVIZVXCVXDXPWUMWXFWUMVUEWURWVCWUMVUDWUQUYMNUYJUYKVU
        CVRVPWUMWURWVBYLXMWVTVUEWVBWVCWVTWUPVUEWVBVIZWUPWXGWVTWUPVUEWUOWVBWUPVU
        DWUNUYMNUYJVYOVUCVRVPWUPWUOVUEYLXMYBWWKWXGWVTWWKWVBVUEWUPWUOVUEYSWPYBYT
        WUMWURWVBYSXMUXAWJUWTYNYNWJUXBVYSVYDWUKVXSHVYSRSPPVYCWUJVYSVYBWUIUYMNVY
        SVYAWUHVUCUYJVUKVYRVOWBVPVQUXCUXDUXEUXFUXGUXKUXHUXIXQYCVUJVXSVXTVIVXQVU
        GVUIVXRVRYBVXQVXTVUTVIVUJVXQVUHVXRVAZVUAKVBVXTVUTVXQOJKVXRVUHVUAUBUFVXR
        VTZUYIVXOVWLVXPVWMWEZVXQVVNOVUCUYSVXQVWRVVNOUYSWRUYIVXOVWRVXPAUYGVWRUYH
        VWSWEWEZVVNOVULVWQUYSVWCOJVWQVWTUBUXLUXMWOVYJWTZVXQGONHUYIVXOVWNVXPVWOW
        EAUYGUYHVXOVXPUXNWTUXOVXQWXHVUSVUAKVXQVUSVUHVUKUYSVAZKVBZVUHLVXRVAZKVBW
        XHVXQVWRVXOVYIVUSWXNVIWXKVYJVYKVVNVUMKVULVWQUYSVUCVUKVWCVWBJKVWQVWTUFUX
        PUXQYPVXQWXMWXOVUHKVXQVWLVWDVUKVVNPUXRVAYOURZWXMWXOVIWXJUYIVXOVWDVXPVWE
        WEZVXQVWDVXPWXPWXQUYIVXOVXPWSPVVNVULVVPVUKVWFVWCVWGUXTXBVVNJUYRLVUKVXRP
        UYQUYQVTUYRVTUDVWCWXIUXSYPUYAVXQOJKLVXRVUHUBUFUDWXIWXJWXLUYBUYCVPXJYCUY
        DUYIMVVNURZUYGAUYGUYHXIUYIVWDWXRUYGYQVWEPVVNMVULWAVWFVWCUYEWOYRUYF $.
    $}

    ${
      $d E a b c d $.
      mdetunilem8.id $e |- ( ph -> ( D ` ( 1r ` A ) ) = .0. ) $.
      $( Lemma for ~ mdetuni .  (Contributed by SO, 15-Jul-2018.) $)
      mdetunilem8 $p |- ( ( ph /\ E : N --> N ) -> ( D `
          ( a e. N , b e. N |-> if ( ( E ` a ) = b , .1. , .0. ) ) ) = .0. ) $=
        ( vc vd wf wa wf1 cv cfv wceq cif cmpo wi cur czrh cpsgn ccom wf1o wcel
        co simpl cen wbr cfn wb enrefg syl f1finf1o syl2anc biimpa matring eqid
        crg ringidcl adantr mdetunilem7 syl3anc w3a 3ad2ant1 f1f simp2 ffvelrnd
        simp1r simp3 mat1ov mpoeq3dva fveq2d oveq2d csymg cbs zrhpsgnmhm mgpbas
        cmgp cmhm mhmf elsymgbas mpbird ringrz eqtrd 3eqtr3d ex wn wne wrex weq
        wral dff13 ibar adantl bitr4id notbid rexnal df-ne anbi2i bitr2i rexbii
        annim bitr3i bitrdi simprrl fveqeq2 ifbid iftrue eqtr4d iffalse pm2.61i
        eqcomd eqtr4id eqeq1 ifcld eqcoms ifeq1d ifeq2d syl5eq mpoeq3dv simprll
        simpll simprlr simprrr ring0cl ad3antrrr simp1ll mdetunilem2 rexlimdvva
        3jca expr sylbid pm2.61d ) AOOMUOZUPZOOMUQZQROOQURZMUSZRURZUTZLPVAZVBZH
        USZPUTZAUVAUVIVCUUSAUVAUVIAUVAUPZQROOUVCUVDFVDUSZVJZVBZHUSZMJVEUSOVFUSV
        GZUSZUVKHUSZKVJZUVHPUVJAOOMVHZUVKGVIZUVNUVRUTAUVAVKAUVAUVSAOOVLVMZOVNVI
        ZUVAUVSVOAUWBUWAUFOVNVPVQUFOOMVRVSVTZAUVTUVAAFWCVIZUVTAUWBJWCVIZUWDUFUG
        FJOSWAVSGFUVKTUVKWBZWDVQWEABCDEFGHIJKLMUVKNOPQRSTUAUBUCUDUEUFUGUHUIUJUK
        WFWGUVJUVMUVGHUVJQROOUVLUVFUVJUVBOVIZUVDOVIZWHZFJUVKLUVCUVDOPSUCUBUVJUW
        GUWBUWHAUWBUVAUFWEZWIUVJUWGUWEUWHAUWEUVAUGWEZWIUWIOOUVBMUWIUVAUUSAUVAUW
        GUWHWMOOMWJVQUVJUWGUWHWKWLUVJUWGUWHWNUWFWOWPWQUVJUVRUVPPKVJZPUVJUVQPUVP
        KAUVQPUTUVAULWEWRUVJUWEUVPNVIUWLPUTUWKUVJOWSUSZWTUSZNMUVOAUWNNUVOUOZUVA
        AUVOUWMJXCUSZXDVJVIZUWOAUWEUWBUWQUGUFOJXAVSUWNNUWMUWPUVOUWNWBZNJUWPUWPW
        BUAXBXEVQWEUVJMUWNVIZUVSUWCUVJUWBUWSUVSVOUWJOUWNMUWMVNUWMWBUWRXFVQXGWLN
        JKUVPPUAUEUBXHVSXIXJXKWEUUTUVAXLZUMURZMUSZUNURZMUSZUTZUXAUXCXMZUPZUNOXN
        ZUMOXNZUVIUUTUWTUXEUMUNXOZVCZUNOXPZUMOXPZXLZUXIUUTUVAUXMUUTUVAUUSUXMUPZ
        UXMUMUNOOMXQUUSUXMUXOVOAUUSUXMXRXSXTYAUXNUXLXLZUMOXNUXIUXLUMOYBUXPUXHUM
        OUXPUXKXLZUNOXNUXHUXKUNOYBUXQUXGUNOUXGUXEUXJXLZUPUXQUXFUXRUXEUXAUXCYCYD
        UXEUXJYGYEYFYHYFYHYIUUTUXGUVIUMUNOOUUTUXAOVIZUXCOVIZUPZUXGUVIUUTUYAUXGU
        PZUPZUVHQROOQUMXOZUXBUVDUTZLPVAZQUNXOZUYFUVFVAZVAZVBZHUSZPUYCUXEUVHUYKU
        TUUTUYAUXEUXFYJUXEUVGUYJHUXEQROOUVFUYIUXEUVFUYDUYFUYGUXDUVDUTZLPVAZUVFV
        AZVAZUYIUYDUVFUYOUTUYDUVFUYFUYOUYDUVEUYELPUVBUXAUVDMYKYLUYDUYFUYNYMYNUY
        DXLUVFUYNUYOUYGUVFUYNUTUYGUVFUYMUYNUYGUVEUYLLPUVBUXCUVDMYKYLUYGUYMUVFYM
        YNUYGXLUYNUVFUYGUYMUVFYOYQYPUYDUYFUYNYOYRYPUXEUYDUYNUYHUYFUXEUYGUYMUYFU
        VFUXEUYLUYELPUYLUYEVOUXDUXBUXDUXBUVDYSUUAYLUUBUUCUUDUUEWQVQAUYCBCDEFGHI
        JKLUXAUYFUXCUVFNOPQRSTUAUBUCUDUEUFUGUHUIUJUKAUUSUYBUUGUYCUXSUXTUXFUUTUX
        SUXTUXGUUFUUTUXSUXTUXGUUHUUTUYAUXEUXFUUIUUOAUYFNVIUUSUYBUWHAUYELPNAUWEL
        NVIUGNJLUAUCWDVQZAUWEPNVIUGNJPUAUBUUJVQZYTUUKUYCUWGUWHWHAUVFNVIAUUSUYBU
        WGUWHUULAUVELPNUYPUYQYTVQUUMXIUUPUUNUUQUUR $.
    $}

    ${
      $d .+ c $.
      mdetunilem9.id $e |- ( ph -> ( D ` ( 1r ` A ) ) = .0. ) $.
      mdetunilem9.y $e |- Y = { x | A. y e. B A. z e. ( N ^m N ) ( A. w e. x
          ( y ` w ) = if ( w e. z , .1. , .0. ) -> ( D ` y ) = .0. ) } $.
      $( Lemma for ~ mdetuni .  (Contributed by SO, 15-Jul-2018.) $)
      mdetunilem9 $p |- ( ph -> D = ( B X. { .0. } ) ) $=
        ( va vb vc vd ve cv cfv cmpt csn cxp wcel wa cres cif wceq c0 co wel wi
        wral mp1i cfn mpbird adantr elmapi syl feqmptd fveq2d eqid adantl eleq1
        wf weq elequ2 ifbid eqeq1d imbi12d cop w3a 3ad2ant1 syl2anc eqtrd raleq
        wb imbi1d 2ralbidv wss sseq1 3anbi2d notbid ax-mp c1st cdif xp1st ifcld
        wn vex syl3anc eqcomd iftrue oveq12d eqtr4d iffalse pm2.61dan mpteq2dva
        cvv sylancr fvexi ifex fvex resmptd 3eqtr4d resmpt fmpttd elmapg reseq1
        a1i fveq2 fveqeq2 oveq1d eqeq2d rspc2va syl21anc oveq2d reseq2d eqeq12d
        c2nd fveq1 ralbidv cid ral0 cmap wf1o f1oi f1of elmapd simplrl matbas2i
        simpr mpteq12 mpan anbi2d mpteq2dv cmpo mpompt wfn simp2 fnopfvb bicomd
        ffnd mpoeq3dva syl5eq mdetunilem8 sylan2 chvarvv adantrl 3eqtrd ex xpfi
        ralrimivva elab2g ssid cun simp3 ssun1 3anim2i imim1i csg simpl1 simpl2
        sstr2 simprll cof 3ad2ant3 reseq1d cgrp crg ringgrp unssbd sylibr snssd
        snss sselda ffvelrnd ringidcl ring0cl grpnpcan grplid snfi ovex c0g cur
        xpss1 elsni 3syl mpteq2ia offval2 wne eldifsni neneqd iffalsed 3eqtr4rd
        eqidd difss nsyl ffvelrnda cbs anidms matbas2 eqtr4di eleqtrd 3anbi123d
        grpsubcl 3anbi12d 3anbi13d sneq xpeq1d difeq2d mp3and ringridm ad2antrr
        elequ1 ringrz iftrued ovexd fconstmpt xpeq2d anbi1d oveq1 mp2and simpl3
        anbi12d simprr csts ralss ibar wrel relxp 1st2nd eleq1d xp2nd syl211anc
        simprlr fsets fvsetsid eqtrdi bitrdi 3bitr2rd ad3antrrr xpopth 3bitr3rd
        mp3an eqcom a1d wo con3i elun biimpi orel2 adantll setsres eleq2d neqne
        sylc eldifsn sylanbrc opres 1st2nd2 bitr4d syl2an ifeq2 embantd equequ1
        syl5ibrcom ifbieq12d fvmpt sylibrd ralimdva syl5bi impr 3adantr1 simpr2
        simpr1 ibi eleq2 mpd unssad simpr3 ssel2 ifid ralunsn elv syl33anc expr
        cbvral2vw sylib elab2 3expia con3d 3adant3 a2d syl5 findcard2s 3exp mpi
        mpcom mt4d 0ex ) AULGULUQZHURZUSULGPUSZHGPUTVAZAULGVYAPAVXTGVBZVCZEUQZV
        XTURZVYFUUANVDZVBZLPVEZVFZEVGVKZVYAPVFZVYKEUUBVYEVYDVYHNNUUCVHZVBZVYFCU
        QZURZEDVIZLPVEZVFZEVGVKZVYPHURZPVFZVJZDVYNVKCGVKZVYLVYMVJZAVYDUUJAVYOVY
        DAVYONNVYHWCZNNVYHUUDWUGANUUENNVYHUUFVLANNVYHVMVMUDUDUUGVNVOVYEVGOVBZWU
        EAWUHVYDANNVAZOVBZWUHAWUJVYTEWUIVKZWUCVJZDVYNVKCGVKZAWULCDGVYNAVYPGVBZD
        UQZVYNVBZVCVCZWUKWUCWUQWUKVCZWUBEWUIVYQUSZHURZEWUIVYSUSZHURZPWURWUNWUBW
        UTVFAWUNWUPWUKUUHWUNVYPWUSHWUNEWUIMVYPWUNVYPMWUIUUCVHZVBWUIMVYPWCFGJMVY
        PNQSRUUIVYPMWUIVPVQVRVSVQWUKWUTWVBVFZWUQWUIWUIVFZWUKWVDWUIVTWVEWUKVCWUS
        WVAHEWUIVYQWUIVYSUUKVSUULWAWUQWVBPVFZWUKAWUPWVFWUNAVXTVYNVBZVCZEWUIEULV
        IZLPVEZUSZHURZPVFZVJAWUPVCZWVFVJULDULDWDZWVHWVNWVMWVFWVOWVGWUPAVXTWUOVY
        NWBUUMWVOWVLWVBPWVOWVKWVAHWVOEWUIWVJVYSWVOWVIVYRLPULDEWEWFUUNVSWGWHWVHW
        VLUMUNNNUMUQZVXTURUNUQZVFZLPVEZUUOZHURZPWVHWVKWVTHWVHWVKUMUNNNWVPWVQWIZ
        VXTVBZLPVEZUUOWVTUMUNENNWVJWWDVYFWWBVFWVIWWCLPVYFWWBVXTWBWFUUPWVHUMUNNN
        WWDWVSWVHWVPNVBZWVQNVBZWJZWWCWVRLPWWGWVRWWCWWGVXTNUUQZWWEWVRWWCWOWVHWWE
        WWHWWFWVHNNVXTWVGNNVXTWCZAVXTNNVPZWAUVAWKWVHWWEWWFUURNWVPWVQVXTUUSWLUUT
        WFUVBUVCVSWVGAWWIWWAPVFWWJABCDEFGHIJKLVXTMNPUMUNQRSTUAUBUCUDUEUFUGUHUIU
        JUVDUVEWMUVFUVGVOUVHUVIUVKAWUIVMVBZWUJWUMWOANVMVBZWWLWWKUDUDNNUVJZWLZVY
        TEBUQZVKZWUCVJZDVYNVKCGVKZWUMBWUIOVMWWOWUIVFZWWQWULCDGVYNWWSWWPWUKWUCVY
        TEWWOWUIWNWPWQUKUVLVQVNAWUIWUIWRZWUHXGZWUJXGZVJWUIUVMAWWTWXAWXBWWKAWWTW
        XAWJZWXBAWWTWWKWXAWWNWKAVXTWUIWRZWXAWJZVXTOVBZXGZVJAVGWUIWRZWXAWJZWXAVJ
        AWVPWUIWRZWXAWJZWVPOVBZXGZVJZAWVPWVQUTZUVNZWUIWRZWXAWJZWXPOVBZXGZVJZWXC
        WXBVJULUMUNWUIVXTVGVFZWXEWXIWXGWXAWYBWXDWXHAWXAVXTVGWUIWSWTWYBWXFWUHVXT
        VGOWBXAWHULUMWDZWXEWXKWXGWXMWYCWXDWXJAWXAVXTWVPWUIWSWTWYCWXFWXLVXTWVPOW
        BXAWHVXTWXPVFZWXEWXRWXGWXTWYDWXDWXQAWXAVXTWXPWUIWSWTWYDWXFWXSVXTWXPOWBX
        AWHVXTWUIVFZWXEWXCWXGWXBWYEWXDWWTAWXAVXTWUIWUIWSWTWYEWXFWUJVXTWUIOWBXAW
        HAWXHWXAUVOWXNWXRWXMVJWVPVMVBUNUMVIXGVCZWYAWXRWXKWXMWXQWXJAWXAWVPWXPWRZ
        WXQWXJVJWVPWXOUVPZWVPWXPWUIUWBXBUVQUVRWYFWXRWXMWXTWXRWXMWXTVJZVJWYFAWXQ
        WYIWXAAWXQVCWXSWXLAWXQWXSWXLAWXQWXSWJZVYTEWVPVKZWUCVJZDVYNVKCGVKZWXLWYJ
        VYGEUOVIZLPVEZVFZEWVPVKZVYMVJZUOVYNVKULGVKWYMWYJWYRULUOGVYNWYJVYDUOUQZV
        YNVBZVCZWYQVYMWYJXUAWYQVCZVCZVYAUPWUIUPUQZXCURZWVQXCURZVFZUPUNWDZXUDVXT
        URZUPUOVIZLPVEZJUVSURZVHZPVEZXUIVEZUSZHURZUPWUIXUHXUKXUIVEZUSZHURZIVHZW
        VQVXTURZUNUOVIZLPVEZXULVHZUPWUIXUGXUHLPVEZXUIVEZUSZHURZKVHZXUTIVHZPXUCA
        WXQVYDVYAXVAVFZAWXQWXSXUBUVTZAWXQWXSXUBUWAZWYJVYDWYTWYQUWCZAWXQVYDWJZVX
        TXUFUTZNVAZVDZXUPXVRVDZXUSXVRVDZIUWDZVHZVFZVXTNXVQXDZNVAZVDZXUPXWFVDZVF
        ZXWGXUSXWFVDZVFZXVLXVPXVSUPWUIXUIUSZXVRVDZXWCXVPVXTXWLXVRXVPUPWUIMVXTVY
        DAWUIMVXTWCZWXQVYDVXTWVCVBXWNFGJMVXTNQSRUUIVXTMWUIVPVQUWEZVRZUWFXVPUPXV
        RXUIUSZUPXVRXUOUSZUPXVRXURUSZXWBVHZXWMXWCXVPXWQUPXVRXUNXURIVHZUSXWTXVPU
        PXVRXUIXXAXVPXUDXVRVBZVCZXUHXUIXXAVFXXCXUHVCZXUIXUMXUKIVHZXXAXXCXUIXXEV
        FXUHXXCXXEXUIXXCJUWGVBZXUIMVBZXUKMVBZXXEXUIVFXVPXXFXXBXVPJUWHVBZXXFAWXQ
        XXIVYDUEWKZJUWIVQZVOZXXCWUIMXUDVXTXVPXWNXXBXWOVOXVPXVRWUIXUDXVPXVQNWRXV
        RWUIWRXVPXUFNXVPWVQWUIVBZXUFNVBZXVPWXOWUIWRXXMXVPWVPWXOWUIAWXQVYDUURZUW
        JWVQWUIUNXHUWMUWKZWVQNNXEVQZUWLXVQNNUXDVQZUWNUWOZXVPXXHXXBXVPXUJLPMXVPX
        XILMVBXXJMJLSUAUWPVQZXVPXXIPMVBZXXJMJPSTUWQVQZXFZVOMIJXULXUIXUKSUBXULVT
        ZUWRXIXJVOXUHXXAXXEVFXXCXUHXUNXUMXURXUKIXUHXUMPXKZXUHXUKXUIXKZXLWAXMXXC
        XUHXGZVCZXUIPXUIIVHZXXAXXCXUIXYIVFXYGXXCXYIXUIXXCXXFXXGXYIXUIVFXXLXXSMI
        JXUIPSUBTUWSWLXJVOXYGXXAXYIVFXXCXYGXUNPXURXUIIXUHXUMPXNZXUHXUKXUIXNXLWA
        XMXOXPXVPUPXVRXUNXURIXWRXWSVMXQXQXVPXVQVMVBWWLXVRVMVBXUFUWTAWXQWWLVYDUD
        WKZXVQNUVJXRZXUNXQVBXXCXUHXUMPXUIXUKXULUXAPJUXBTXSZXTYHXURXQVBXXCXUHXUK
        XUIXUJLPLJUXCUAXSZXYMXTXUDVXTYAZXTYHXWRUPXVRXUNUSVFXVPUPXVRXUOXUNXXBXUE
        XVQVBZXUGXUOXUNVFXUDXVQNXEZXUEXUFUXEZXUGXUNXUIXKUXFUXGYHXVPXWSUXNUXHXMX
        VPUPWUIXVRXUIXXRYBXVPXVTXWRXWAXWSXWBXVPUPWUIXVRXUOXXRYBZXVPUPWUIXVRXURX
        XRYBXLYCWMXVPXWGXWLXWFVDZXWHXVPVXTXWLXWFXWPUWFZXVPUPXWFXUOUSZUPXWFXUIUS
        ZXWHXYTXVPUPXWFXUOXUIXVPXUDXWFVBZVCZXUGXUNXUIYUDXUGXGZXVPYUDXUEXUFYUDXU
        EXWEVBXUEXUFUXIXUDXWENXEXUENXUFUXJVQUXKWAZUXLXPXWFWUIWRZXWHYUBVFXVPXWEN
        WRYUHNXVQUXOXWENNUXDXBZUPWUIXWFXUOYDVLZYUHXYTYUCVFXVPYUIUPWUIXWFXUIYDVL
        ZUXMWMXVPXWGXYTXWJYUAXVPUPXWFXURUSZYUCXWJXYTXVPUPXWFXURXUIYUEXUHXUKXUIY
        UEXUGXUHYUGXUDWVQXCYIUXPUXLXPYUHXWJYULVFXVPYUIUPWUIXWFXURYDVLYUKUXMWMXV
        PXUSGVBZXXNVXTVYFUTZNVAZVDZXUPYUOVDZWUOYUOVDZXWBVHZVFZVXTNYUNXDZNVAZVDZ
        XUPYVBVDZVFZYVCWUOYVBVDZVFZWJZVYAXUQWUOHURZIVHZVFZVJZENVKDGVKZXWDXWIXWK
        WJZXVLVJZXVPXUSWVCGXVPXUSWVCVBZWUIMXUSWCZXVPUPWUIXURMXVPXUDWUIVBZVCZXUH
        XUKXUIMXVPXXHYVRXYCVOZXVPWUIMXUDVXTXWOUXQZXFYEXVPMXQVBZWWKYVPYVQWOMJUXR
        SXSZXVPWWLWWKXYKWWLWWKWWMUXSVQZMWUIXUSXQVMYFXRVNXVPWVCFUXRURZGXVPWWLXXI
        WVCYWEVFXYKXXJFJMNUWHQSUXTWLRUYAZUYBZXXQXVPVYDXUPGVBZWWOYUOVDZVYPYUOVDZ
        YURXWBVHZVFZWWOYVBVDZVYPYVBVDZVFZYWMYVFVFZWJZWWOHURZWUBYVIIVHZVFZVJZENV
        KDGVKZCGVKBGVKZYVMAWXQVYDUVOXVPXUPWVCGXVPXUPWVCVBZWUIMXUPWCZXVPUPWUIXUO
        MYVSXUGXUNXUIMYVSXUHXUMPMYVSXXFXXGXXHXUMMVBXVPXXFYVRXXKVOYWAYVTMJXULXUI
        XUKSXYDUYDXIXVPXYAYVRXYBVOXFYWAXFYEXVPYWBWWKYXDYXEWOYWCYWDMWUIXUPXQVMYF
        XRVNYWFUYBZAWXQYXCVYDUHWKYXBYVMYUPYWKVFZYVCYWNVFZYVGWJZVYAYWSVFZVJZENVK
        DGVKBCVXTXUPGGBULWDZYXAYXKDEGNYXLYWQYXIYWTYXJYXLYWLYXGYWOYXHYWPYVGYXLYW
        IYUPYWKWWOVXTYUOYGWGYXLYWMYVCYWNWWOVXTYVBYGZWGYXLYWMYVCYVFYXMWGUYCWWOVX
        TYWSHYJWHWQVYPXUPVFZYXKYVLDEGNYXNYXIYVHYXJYVKYXNYXGYUTYXHYVEYVGYXNYWKYU
        SYUPYXNYWJYUQYURXWBVYPXUPYUOYGYKYLYXNYWNYVDYVCVYPXUPYVBYGYLUYEYXNYWSYVJ
        VYAYXNWUBXUQYVIIVYPXUPHYIYKYLWHWQYMYNYVLYVOYUPYUQXUSYUOVDZXWBVHZVFZYVEY
        VCXUSYVBVDZVFZWJZXVLVJDEXUSXUFGNWUOXUSVFZYVHYXTYVKXVLYYAYUTYXQYVGYXSYVE
        YYAYUSYXPYUPYYAYURYXOYUQXWBWUOXUSYUOYGYOYLYYAYVFYXRYVCWUOXUSYVBYGYLUYFY
        YAYVJXVAVYAYYAYVIXUTXUQIWUOXUSHYIYOYLWHVYFXUFVFZYXTYVNXVLYYBYXQXWDYVEXW
        IYXSXWKYYBYUPXVSYXPXWCYYBYUOXVRVXTYYBYUNXVQNVYFXUFUYGZUYHZYPYYBYUQXVTYX
        OXWAXWBYYBYUOXVRXUPYYDYPZYYBYUOXVRXUSYYDYPXLYQYYBYVCXWGYVDXWHYYBYVBXWFV
        XTYYBYVAXWENYYBYUNXVQNYYCUYIUYHZYPZYYBYVBXWFXUPYYFYPZYQYYBYVCXWGYXRXWJY
        YGYYBYVBXWFXUSYYFYPYQUYCWPYMYNUYJXIXUCAWXQVYDXVAXVKVFXVMXVNXVOXVPXUQXVJ
        XUTIXVPXVTXVRXVEUTZVAZXVHXVRVDZKUWDZVHZVFZXWHXVHXWFVDZVFZXUQXVJVFZXVPXW
        RUPXVRXVEXVGKVHZUSXVTYYMXVPUPXVRXUOYYRXXCXUNXVEXVFKVHZXUOYYRXXCXUHXUNYY
        SVFXXDXUMXVELKVHZXUNYYSXXDXUMXVEYYTXUHXUMXVEVFXXCXUHXUIXVBXUKXVDXULXUDW
        VQVXTYIXUHXUJXVCLPUPUNUOUYMWFZXLWAXVPYYTXVEVFZXXBXUHXVPXXIXVEMVBZUUUBXX
        JXVPXXFXVBMVBXVDMVBUUUCXXKXVPWUIMWVQVXTXWOXXPUWOXVPXVCLPMXXTXYBXFMJXULX
        VBXVDSXYDUYDXIZMJKLXVESUCUAUYKWLUYLXMXUHXUNXUMVFXXCXYEWAXUHYYSYYTVFXXCX
        UHXVFLXVEKXUHLPXKYOWAYCXYHPXVEPKVHZXUNYYSXVPPUUUEVFXXBXYGXVPUUUEPXVPXXI
        UUUCUUUEPVFXXJUUUDMJKXVEPSUCTUYNWLZXJUYLXYGXUNPVFXXCXYJWAXYGYYSUUUEVFXX
        CXYGXVFPXVEKXUHLPXNYOWAYCXOXXCXUGXUNXUIXXCXYPXUGXXBXYPXVPXYQWAXYRVQZUYO
        XXCXVGXVFXVEKXXCXUGXVFXUIUUUGUYOYOYCXPXYSXVPUPXVRXVEXVGKYYJYYKVMXQXQXYL
        XXCXVBXVDXULUYPXVGXQVBXXCXUGXVFXUIXUHLPXYNXYMXTXYOXTYHYYJUPXVRXVEUSVFXV
        PUPXVRXVEUYQYHXVPUPWUIXVRXVGXXRYBUXHYCXVPYUBUPXWFXVGUSZXWHYYOXVPUPXWFXU
        OXVGYUEYUFXUOXVGVFYUGYUFXUOXUIXVGXUGXUNXUIXNXUGXVFXUIXNXMVQXPYUJYUHYYOU
        UUHVFXVPYUIUPWUIXWFXVGYDVLYCXVPXVHGVBZXXNYUQYUOYYIVAZYURYYLVHZVFZYVDYVF
        VFZVCZXUQXVEYVIKVHZVFZVJZENVKDGVKZYYNYYPVCZYYQVJZXVPXVHWVCGXVPXVHWVCVBZ
        WUIMXVHWCZXVPUPWUIXVGMYVSXUGXVFXUIMXVPXVFMVBYVRXVPXUHLPMXXTXYBXFVOYWAXF
        YEXVPYWBWWKUUVAUUVBWOYWCYWDMWUIXVHXQVMYFXRVNYWFUYBZXXQXVPYWHUUUCYWIYUOV
        YPUTZVAZYURYYLVHZVFZYWPVCZYWRVYPYVIKVHZVFZVJZENVKDGVKZCMVKBGVKZUUURYXFU
        UUDAWXQUUVMVYDUIWKUUVLUUURYUQUUVFVFZUUUMVCZXUQUUVIVFZVJZENVKDGVKBCXUPXV
        EGMWWOXUPVFZUUVKUUVQDEGNUUVRUUVHUUVOUUVJUUVPUUVRUUVGUUVNYWPUUUMUUVRYWIY
        UQUUVFWWOXUPYUOYGWGUUVRYWMYVDYVFWWOXUPYVBYGWGVUCWWOXUPUUVIHYJWHWQVYPXVE
        VFZUUVQUUUQDEGNUUVSUUVOUUUNUUVPUUUPUUVSUUVNUUULUUUMUUVSUUVFUUUKYUQUUVSU
        UVEUUUJYURYYLUUVSUUVDYYIYUOVYPXVEUYGUYRYKYLUYSUUVSUUVIUUUOXUQVYPXVEYVIK
        UYTYLWHWQYMYNUUUQUUUTYUQUUUJXVHYUOVDZYYLVHZVFZYVDXVHYVBVDZVFZVCZYYQVJDE
        XVHXUFGNWUOXVHVFZUUUNUUWEUUUPYYQUUWFUUULUUWBUUUMUUWDUUWFUUUKUUWAYUQUUWF
        YURUUVTUUUJYYLWUOXVHYUOYGYOYLUUWFYVFUUWCYVDWUOXVHYVBYGYLVUCUUWFUUUOXVJX
        UQUUWFYVIXVIXVEKWUOXVHHYIYOYLWHYYBUUWEUUUSYYQYYBUUWBYYNUUWDYYPYYBYUQXVT
        UUWAYYMYYEYYBUUUJYYJUUVTYYKYYLYYBYUOXVRYYIYYDUYHYYBYUOXVRXVHYYDYPXLYQYY
        BYVDXWHUUWCYYOYYHYYBYVBXWFXVHYYFYPYQVUCWPYMYNVUAYKXIXUCAWXQVYDWXSWYTWYQ
        XVKPVFXVMXVNXVOAWXQWXSXUBVUBWYJVYDWYTWYQVUNWYJXUAWYQVUDXVPWXSWYTWYQWJZV
        CZXVKUUUEPIVHZPUUWHXVJUUUEXUTPIUUWHXVIPXVEKUUWHVYFXVHURZVYFWYSXUFWVQYRU
        RZWIVUEVHZVBZLPVEZVFZEWXPVKZXVIPVFZXVPWYTWYQUUWPWXSXVPWYTWYQUUWPWYQEUMV
        IZWYPVJZEWXPVKZXVPWYTVCZUUWPWYGWYQUUWTWOWYHWYPEWVPWXPVUFXBUUXAUUWSUUWOE
        WXPUUXAVYFWXPVBZVCZUUWSVYFXCURZXUFVFZEUNWDZLPVEZVYGVEZUUWNVFZUUWOUUXCUU
        XEUUWSUUXIVJUUXCUUXEVCZUUXIUUWSUUXJUUXHUUXGUUWNUUXEUUXHUUXGVFUUXCUUXEUU
        XGVYGXKWAUUXJUUXFUUWMLPUUXJVYFYRURZUUWKVFZUUXEUUXLVCZUUWMUUXFUUXEUUXLUU
        XMWOUUXCUUXEUUXLVUGWAUUXJUUWMUUXDUUXKWIZUUWLVBZUUXDUUWLURZUUXKVFZUUXLUU
        XJVYFUUXNUUWLUUXJWUIVUHVYFWUIVBZVYFUUXNVFNNVUIUUXCUUXRUUXEUUXAWXPWUIVYF
        AWXQVYDWYTUWAUWNZVOZVYFWUIVUJXRVUKUUXJUUWLNUUQZUUXDNVBZUUXQUUXOWOUUXAUU
        YAUUXBUUXEUUXANNUUWLUUXAWYTNNWYSWCZXXNUUWKNVBZNNUUWLWCZXVPWYTUUJWYTUUYC
        XVPWYSNNVPZWAXVPXXNWYTXXQVOXVPUUYDWYTXVPXXMUUYDXXPWVQNNVULVQZVONNWYSVYN
        XUFUUWKVUOZVUMUVAUYLUUXCUUYBUUXEUUXCUUXRUUYBUUXSVYFNNXEVQVONUUXDUUXKUUW
        LUUSWLUUXJUUXQUUWKUUXKVFUUXLUUXJUUXPUUWKUUXKUUXJUUXPXUFUUWLURZUUWKUUXEU
        UXPUUYIVFUUXCUUXDXUFUUWLYIWAWYSXQVBZXUFXQVBUUWKXQVBUUYIUUWKVFUOXHZWVQXC
        YAWVQYRYAXQWYSXQXQXUFUUWKVUPVVCVUQWGUUWKUUXKVVDVURVUSUUXJUUXRXXMUUXMUUX
        FWOUUXTXVPXXMWYTUUXBUUXEXXPVUTVYFWVQNNNNVVAWLVVBWFWMVVEUUXCUUXEXGZVCZUU
        WRWYPUUXIUUXBUUYLUUWRUUXAUUXBUUYLVCVYFWXOVBZXGZUUWRUUYNVVFZUUWRUUYLUUYO
        UUXBUUYNUUXEUUYNVYFWVQXCVYFWVQUXEVSVVGWAUUXBUUYPUUYLUUXBUUYPVYFWVPWXOVV
        HVVIVOUUYNUUWRVVJVVOVVKUUYMUUXIWYPUUXEUUXGWYOVEZUUWNVFUUYMUUYQWYOUUWNUU
        YLUUYQWYOVFUUXCUUXEUUXGWYOXNWAUUYMWYNUUWMLPUUYMUUXNUUWLXQXVQXDZVDZVBZUU
        XNWYSUUYRVDZVBZUUWMWYNUUYJUUYTUVUBWOUUYMUUYKUUYJUUYSUVUAUUXNXUFUUWKWYSX
        QVVLVVMVLUUXCUUXRUUXDUUYRVBZUUYTUUWMWOUUYLUUXSUUYLUUXDXQVBZUUXDXUFUXIUV
        UCUVUDUUYLVYFXCYAYHUUXDXUFVVNUUXDXQXUFVVPVVQZUUXRUVUCVCZUUYTUUXOUUWMUVU
        CUUYTUUXOWOUUXRUUXDUUXKUUWLUUYRVYFYRYAZVVRWAUUXRUUWMUUXOWOUVUCUUXRVYFUU
        XNUUWLVYFNNVVSZVUKVOVVTVWAUUXCUUXRUVUCUVUBWYNWOUUYLUUXSUVUEUVUFUVUBUUXN
        WYSVBZWYNUVUCUVUBUVUIWOUUXRUUXDUUXKWYSUUYRUVUGVVRWAUUXRWYNUVUIWOUVUCUUX
        RVYFUUXNWYSUVUHVUKVOVVTVWAVVBWFWMWYPUUXHUUYQUUWNUUXEVYGWYOUUXGVWBWGVWEV
        WCXOUUXCUUXRUUWOUUXIWOUUXSUUXRUUWJUUXHUUWNUPVYFXVGUUXHWUIXVHUPEWDZXUGUU
        XEXVFXUIUUXGVYGXUDVYFXUFXCYJUVUJXUHUUXFLPUPEUNVWDZWFXUDVYFVXTYIZVWFXVHV
        TUUXEUUXGVYGUUXFLPXYNXYMXTVYFVXTYAZXTVWGWGVQVWHVWIVWJVWKVWLUUWHUUUIUUWL
        VYNVBZVYTEWXPVKZWUCVJZDVYNVKCGVKZUUWPUUWQVJZXVPUUUIUUWGUUVCVOUUWHUVUNUU
        YEUUWHWYTUUYCXXNUUYDUUYEXVPWXSWYTWYQVWMZUUWHWYTUUYCUVUSUUYFVQXVPXXNUUWG
        XXQVOXVPUUYDUUWGUUYGVOUUYHVUMXVPUVUNUUYEWOUUWGXVPNNUUWLVMVMXYKXYKUUGVOV
        NUUWHWXSUVUQXVPWXSWYTWYQVWNWXSUVUQWWRUVUQBWXPOOWWOWXPVFZWWQUVUPCDGVYNUV
        UTWWPUVUOWUCVYTEWWOWXPWNWPWQUKUVLVWOVQZUVUPUVURUUWJVYSVFZEWXPVKZUUWQVJC
        DXVHUUWLGVYNVYPXVHVFZUVUOUVVCWUCUUWQUVVDVYTUVVBEWXPUVVDVYQUUWJVYSVYFVYP
        XVHYSWGYTVYPXVHPHYJWHWUOUUWLVFZUVVCUUWPUUWQUVVEUVVBUUWOEWXPUVVEVYSUUWNU
        UWJUVVEVYRUUWMLPWUOUUWLVYFVWPWFYLYTWPYMYNVWQYOUUWHVYFXUSURZWYOVFZEWXPVK
        ZXUTPVFZUUWHUVVGEWVPVKZWVQXUSURZXVDVFZUVVHUUWHWXJWYQUVVJXVPWXJUUWGXVPWV
        PWXOWUIXXOVWRVOXVPWXSWYTWYQVWSWXJWYPUVVGEWVPWXJUUWRVCZWYPUVVGUVVMWYPVCZ
        UVVFUUXFWYOVYGVEZWYOUVVNUUXRUVVFUVVOVFUVVMUUXRWYPWVPWUIVYFVWTVOUPVYFXUR
        UVVOWUIXUSUVUJXUHUUXFXUKXUIWYOVYGUVUKUVUJXUJWYNLPUPEUOUYMWFUVULVWFXUSVT
        ZUUXFWYOVYGWYNLPXYNXYMXTUVUMXTVWGVQUVVNUVVOUUXFWYOWYOVEZWYOWYPUVVOUVVQV
        FUVVMUUXFVYGWYOWYOVWBWAUUXFWYOVXAVUQWMUVIVWIVVOXVPUVVLUUWGXVPXXMUVVLXXP
        UPWVQXURXVDWUIXUSXUHXURXUKXVDXYFUUUAWMUVVPXVCLPXYNXYMXTVWGVQVOUVVHUVVJU
        VVLVCWOUNUVVGUVVLEWVPWVQXQUUXFUVVFUVVKWYOXVDVYFWVQXUSYIUUXFWYNXVCLPEUNU
        OUYMWFYQVXBVXCVVQUUWHYUMWYTUVUQUVVHUVVIVJZXVPYUMUUWGYWGVOUVUSUVVAUVUPUV
        VRUVVFVYSVFZEWXPVKZUVVIVJCDXUSWYSGVYNVYPXUSVFZUVUOUVVTWUCUVVIUVWAVYTUVV
        SEWXPUVWAVYQUVVFVYSVYFVYPXUSYSWGYTVYPXUSPHYJWHDUOWDZUVVTUVVHUVVIUVWBUVV
        SUVVGEWXPUVWBVYSWYOUVVFUVWBVYRWYNLPDUOEWEWFYLYTWPYMYNVWQXLXVPUUWIPVFUUW
        GXVPUUWIPPIVHZPXVPUUUEPPIUUUFYKXVPXXFXYAUVWCPVFXXKXYBMIJPPSUBTUWSWLWMVO
        WMVXDUVHVXEUVKWYRWYLVYQWYOVFZEWVPVKZWUCVJULUOCDGVYNULCWDZWYQUVWEVYMWUCU
        VWFWYPUVWDEWVPUVWFVYGVYQWYOVYFVXTVYPYSWGYTVXTVYPPHYJWHUODWDZUVWEWYKWUCU
        VWGUVWDVYTEWVPUVWGWYOVYSVYQUVWGWYNVYRLPUODEWEWFYLYTWPVXFVXGWWRWYMBWVPOU
        MXHBUMWDZWWQWYLCDGVYNUVWHWWPWYKWUCVYTEWWOWVPWNWPWQUKVXHUWKVXIVXJVXKYHVX
        LVXMVXNVXQVXOVXPVXRVOWWRWUEBVGOVXSWWOVGVFZWWQWUDCDGVYNUVWIWWPWUAWUCVYTE
        WWOVGWNWPWQUKVXHVXGWUDWUFVYGVYSVFZEVGVKZVYMVJCDVXTVYHGVYNCULWDZWUAUVWKW
        UCVYMUVWLVYTUVWJEVGUVWLVYQVYGVYSVYFVYPVXTYSWGYTVYPVXTPHYJWHWUOVYHVFZUVW
        KVYLVYMUVWMUVWJVYKEVGUVWMVYSVYJVYGUVWMVYRVYILPWUOVYHVYFVWPWFYLYTWPYMYNV
        XPXPAULGMHUFVRVYCVYBVFAULGPUYQYHYC $.
    $}

    $d R a b c d e $.  $d .x. a b c d e $.  $d E a b c d e $.  $d F a $.
    $d A e $.  $d .+ c d $.
    mdetuni.e $e |- E = ( N maDet R ) $.
    mdetuni.cr $e |- ( ph -> R e. CRing ) $.
    mdetuni.f $e |- ( ph -> F e. B ) $.
    $( Lemma for ~ mdetuni .  (Contributed by SO, 15-Jul-2018.) $)
    mdetuni0 $p |- ( ph -> ( D ` F )
                           = ( ( D ` ( 1r ` A ) ) .x. ( E ` F ) ) ) $=
      ( va vb vc vd ve cfv cur co csg wceq cv cmpt csn cxp wel cif wral wi cmap
      cab wcel cgrp crg ringgrp syl adantr ffvelrnda cfn jca eqid ringidcl 3syl
      wa matring ffvelrnd ccrg wf ringcl syl3anc grpsubcl fmpttd wne w3a simpr1
      mdetf fveq2 oveq2d oveq12d ovex fvmpt 3adant3 simp1 simp21 simp3r eqeq12d
      oveq2 cbvralvw sylib simp22 simp23 mdetunilem1 syl33anc 3ad2ant1 mdetralt
      weq simp3l ringrz syl2anc grpsubid 3eqtrd 3expia cres cof simp2ll simp2lr
      eqtrd simp2rl simp2rr simprll simprlr simprrl syl13anc 3eqtr4d ralrimivva
      anassrs cvv fvmptd grpidcl syl2anc2 ralrimivvva cdif simp31 simp32 simp33
      mdetunilem3 syl332anc mdetrlin cabl ringabl ablsub4 ringdi eqcomd 3eqtr2d
      syl122anc mdetunilem4 syl133anc mdetrsca ringsubdi cmgp ccmn mgpbas cmn12
      crngmgp mgpplusg eqidd mdet1 ringridm sylan9eqr c0g fvexi a1i mdetunilem9
      fveq1d adantl ovexd fvconst2 3eqtr3d wb grpsubeq0 mpbid ) ANHUSZFUTUSZHUS
      ZNMUSZKVAZJVBUSZVAZQVCZUWDUWHVCZANUNGUNVDZHUSZUWFUWMMUSZKVAZUWIVAZVEZUSNG
      QVFVGZUSZUWJQANUWRUWSAUOUPUQURFGUWRIJKLOPURVDZUPVDZUSURUQVHLQVIVCURUOVDZV
      JUXBUWRUSZQVCVKUQPPVLVAVJUPGVJUOVMZQRSTUAUBUCUDUEUFAUNGUWQOAUWMGVNZWFZJVO
      VNZUWNOVNUWPOVNZUWQOVNAUXHUXFAJVPVNZUXHUFJVQVRZVSAGOUWMHUGVTUXGUXJUWFOVNZ
      UWOOVNUXIAUXJUXFUFVSAUXLUXFAGOUWEHUGAPWAVNZUXJWFFVPVNUWEGVNAUXMUXJUEUFWBF
      JPRWGGFUWESUWEWCZWDWEZWHZVSAGOUWMMAJWIVNZGOMWJZULFGMJOPUKRSTWRVRZVTOJKUWF
      UWOTUDWKWLOJUWIUWNUWPTUWIWCZWMWLWNAUXBUQVDZWOZUXBUXAUXCVAZUYAUXAUXCVAZVCZ
      URPVJZWFZUXCUWRUSZQVCZVKUOUPUQGPPAUXCGVNZUXBPVNZUYAPVNZWPZUYGUYIAUYMUYGWP
      ZUYHUXCHUSZUWFUXCMUSZKVAZUWIVAZQUWFQKVAZUWIVAZQAUYMUYHUYRVCZUYGAUYMWFUYJV
      UAAUYJUYKUYLWQUNUXCUWQUYRGUWRUNUOXRZUWNUYOUWPUYQUWIUWMUXCHWSVUBUWOUYPUWFK
      UWMUXCMWSWTXAUWRWCZUYOUYQUWIXBXCZVRXDUYNUYOQUYQUYSUWIUYNAUYJUXBEVDZUXCVAZ
      UYAVUEUXCVAZVCZEPVJZUYKUYLUYBUYOQVCAUYMUYGXEAUYJUYKUYLUYGXFZUYNUYFVUIAUYM
      UYBUYFXGZUYEVUHUREPUREXRUYCVUFUYDVUGUXAVUEUXBUXCXIUXAVUEUYAUXCXIXHXJXKAUY
      JUYKUYLUYGXLZAUYJUYKUYLUYGXMZAUYMUYBUYFXSZABCDEFGHIJKLUXCUXBUYAOPQRSTUAUB
      UCUDUEUFUGUHUIUJXNXOUYNUYPQUWFKUYNFGMJUXBUYAPUXCQURUKRSUAAUYMUXQUYGULXPVU
      JVULVUMVUNVUKXQWTXAAUYMUYTQVCUYGAUYTQQUWIVAZQAUYSQQUWIAUXJUXLUYSQVCUFUXPO
      JKUWFQTUDUAXTYAWTAUXHQOVNVUOQVCUXKOJQTUAUUAOJUWIQQTUAUXTYBUUBYIXPYCYDUUCA
      UXCUXAVFZPVGZYEZUXBVUQYEUYAVUQYEZIYFVAVCZUXCPVUPUUDPVGZYEZUXBVVAYEVCZVVBU
      YAVVAYEVCZWPZUYHUXDUYAUWRUSZIVAZVCZVKZURPVJUQGVJUOUPGGAUYJUXBGVNZWFZWFVVI
      UQURGPAVVKUYAGVNZUXAPVNZWFZVVIAVVKVVNWFZVVEVVHAVVOVVEWPZUYRUXBHUSZUYAHUSZ
      IVAZUWFUXBMUSZUYAMUSZIVAZKVAZUWIVAZUYHVVGVVPUYOVVSUYQVWCUWIVVPAUYJVVJVVLV
      VMVUTVVCVVDUYOVVSVCAVVOVVEXEUYJVVJVVNAVVEYGZUYJVVJVVNAVVEYHZVVLVVMVVKAVVE
      YJZVVLVVMVVKAVVEYKZAVVOVUTVVCVVDUUEZAVVOVUTVVCVVDUUFZAVVOVUTVVCVVDUUGZABC
      DEFGHIJKLUXCUXBUYAUXAOPQRSTUAUBUCUDUEUFUGUHUIUJUUHUUIVVPUYPVWBUWFKVVPFGMI
      JUXAPUXCUXBUYAUKRSUCAVVOUXQVVEULXPVWEVWFVWGVWHVWIVWJVWKUUJWTXAAVVOVUAVVEA
      VVOWFZUYJVUAAUYJVVJVVNYLVUDVRXDAVVOVVGVWDVCVVEVWLVVGVVQUWFVVTKVAZUWIVAZVV
      RUWFVWAKVAZUWIVAZIVAZVVSVWMVWOIVAZUWIVAZVWDVWLUXDVWNVVFVWPIVWLVVJUXDVWNVC
      AUYJVVJVVNYMZUNUXBUWQVWNGUWRUNUPXRZUWNVVQUWPVWMUWIUWMUXBHWSVXAUWOVVTUWFKU
      WMUXBMWSWTXAVUCVVQVWMUWIXBXCVRVWLVVLVVFVWPVCZAVVKVVLVVMYNZUNUYAUWQVWPGUWR
      UNUQXRZUWNVVRUWPVWOUWIUWMUYAHWSVXDUWOVWAUWFKUWMUYAMWSWTXAVUCVVRVWOUWIXBXC
      ZVRXAVWLJUUKVNZVVQOVNVVROVNVWMOVNZVWOOVNZVWSVWQVCAVXFVVOAUXJVXFUFJUULVRVS
      VWLGOUXBHAGOHWJZVVOUGVSZVWTWHVWLGOUYAHVXJVXCWHVWLUXJUXLVVTOVNZVXGAUXJVVOU
      FVSZAUXLVVOUXPVSZVWLGOUXBMAUXRVVOUXSVSZVWTWHZOJKUWFVVTTUDWKWLVWLUXJUXLVWA
      OVNZVXHVXLVXMVWLGOUYAMVXNVXCWHZOJKUWFVWATUDWKZWLOIJUWIVWOVVQVVRVWMTUCUXTU
      UMUUQVWLVWRVWCVVSUWIVWLVWCVWRVWLUXJUXLVXKVXPVWCVWRVCVXLVXMVXOVXQOIJKUWFVV
      TVWATUCUDUUNYOUUOWTUUPXDYPYDYRYQYQAVURVUQUXBVFVGVUSKYFVAVCZVVDWFZUYHUXBVV
      FKVAZVCZVKZURPVJUQGVJUOUPGOAUYJUXBOVNZWFZWFVYCUQURGPAVYEVVNVYCAVYEVVNWFZV
      XTVYBAVYFVXTWPZUYRUXBVVRKVAZUWFUXBVWAKVAZKVAZUWIVAZUYHVYAVYGUYOVYHUYQVYJU
      WIVYGAUYJVYDVVLVVMVXSVVDUYOVYHVCAVYFVXTXEUYJVYDVVNAVXTYGZUYJVYDVVNAVXTYHZ
      VVLVVMVYEAVXTYJZVVLVVMVYEAVXTYKZAVYFVXSVVDXSZAVYFVXSVVDXGZABCDEFGHIJKLUXC
      UXBUYAUXAOPQRSTUAUBUCUDUEUFUGUHUIUJUURUUSVYGUYPVYIUWFKVYGFGMJKUXAOPUXCUXB
      UYAUKRSTUDAVYFUXQVXTULXPVYLVYMVYNVYOVYPVYQUUTWTXAAVYFVUAVXTAVYFWFZUYJVUAA
      UYJVYDVVNYLVUDVRXDAVYFVYAVYKVCVXTVYRVYAUXBVWPKVAVYHUXBVWOKVAZUWIVAVYKVYRV
      VFVWPUXBKVYRVVLVXBAVYEVVLVVMYNZVXEVRWTVYROJKUWIUXBVVRVWOTUDUXTAUXJVYFUFVS
      ZAUYJVYDVVNYMZVYRGOUYAHAVXIVYFUGVSVYTWHVYRUXJUXLVXPVXHWUAAUXLVYFUXPVSZVYR
      GOUYAMAUXRVYFUXSVSVYTWHZVXRWLUVAVYRVYSVYJVYHUWIVYRJUVBUSZUVCVNZVYDUXLVXPV
      YSVYJVCAWUFVYFAUXQWUFULJWUEWUEWCZUVFVRVSWUBWUCWUDOKWUEUXBUWFVWAOJWUEWUGTU
      VDJKWUEWUGUDUVGUVEYOWTYCXDYPYDYRYQYQAUNUWEUWQQGUWRYSAUWRUVHZUWMUWEVCZAUWQ
      UWFUWFUWEMUSZKVAZUWIVAZQWUIUWNUWFUWPWUKUWIUWMUWEHWSWUIUWOWUJUWFKUWMUWEMWS
      WTXAAWULUWFUWFUWIVAZQAWUKUWFUWFUWIAWUKUWFLKVAZUWFAWUJLUWFKAUXQUXMWUJLVCUL
      UEFMJLUWEPUKRUXNUBUVIYAWTAUXJUXLWUNUWFVCUFUXPOJKLUWFTUDUBUVJYAYIWTAUXHUXL
      WUMQVCUXKUXPOJUWIUWFQTUAUXTYBYAYIUVKUXOQYSVNAQJUVLUAUVMZUVNYTUXEWCUVOUVPA
      UNNUWQUWJGUWRYSWUHUWMNVCZUWQUWJVCAWUPUWNUWDUWPUWHUWIUWMNHWSWUPUWOUWGUWFKU
      WMNMWSWTXAUVQUMAUWDUWHUWIUVRYTANGVNUWTQVCUMGQNWUOUVSVRUVTAUXHUWDOVNUWHOVN
      ZUWKUWLUWAUXKAGONHUGUMWHAUXJUXLUWGOVNWUQUFUXPAGONMUXSUMWHOJKUWFUWGTUDWKWL
      OJUWIUWDUWHQTUAUXTUWBWLUWC $.

    mdetuni.no $e |- ( ph -> ( D ` ( 1r ` A ) ) = .1. ) $.
    $( According to the definition in [Weierstrass] p. 272, the determinant
       function is the unique multilinear, alternating and normalized function
       from the algebra of square matrices of the same dimension over a
       commutative ring to this ring.  So for any multilinear (mdetuni.li and
       mdetuni.sc), alternating (mdetuni.al) and normalized (mdetuni.no)
       function D (mdetuni.ff) from the algebra of square matrices (mdetuni.a)
       to their underlying commutative ring (mdetuni.cr), the function value of
       this function D for a matrix F (mdetuni.f) is the determinant of this
       matrix.  (Contributed by Stefan O'Rear, 15-Jul-2018.)  (Revised by
       Alexander van der Vekens, 8-Feb-2019.) $)
    mdetuni $p |- ( ph -> ( D ` F ) = ( E ` F ) ) $=
      ( cfv cur co mdetuni0 oveq1d crg wcel wceq mdetcl syl2anc ringlidm 3eqtrd
      ccrg ) ANHUOFUPUOHUOZNMUOZKUQLVIKUQZVIABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGU
      HUIUJUKULUMURAVHLVIKUNUSAJUTVAVIOVAZVJVIVBUFAJVGVANGVAVKULUMFGMJONPUKRSTV
      CVDOJKLVITUDUBVEVDVF $.
  $}

  ${
    $d B a b c d e $.  $d .xb a b c d e $.  $d D a b c d e $.
    $d G a b c d e $.  $d F a b c d e $.  $d R a b c d e $.
    $d .x. a b c d e $.  $d N a b c d e $.  $d A a b c d e $.
    mdetmul.a $e |- A = ( N Mat R ) $.
    mdetmul.b $e |- B = ( Base ` A ) $.
    mdetmul.d $e |- D = ( N maDet R ) $.
    mdetmul.t1 $e |- .x. = ( .r ` R ) $.
    mdetmul.t2 $e |- .xb = ( .r ` A ) $.
    $( Multiplicativity of the determinant function: the determinant of a
       matrix product of square matrices equals the product of their
       determinants.  Proposition 4.15 in [Lang] p. 517.  (Contributed by
       Stefan O'Rear, 16-Jul-2018.) $)
    mdetmul $p |- ( ( R e. CRing /\ F e. B /\ G e. B ) ->
        ( D ` ( F .xb G ) ) = ( ( D ` F ) .x. ( D ` G ) ) ) $=
      ( wcel co cfv wceq 3adant3 cres va vb vc vd ve ccrg w3a cv cur cplusg cbs
      cmpt c0g cfn cvv matrcl simpld 3ad2ant2 crg crngring 3ad2ant1 wa wf mdetf
      eqid adantr matring syl2anc simpr simpl3 ringcl syl3anc ffvelrnd wne wral
      fmpttd wi simp21 fvoveq1 fvex syl simp11 simpr1 simp22 simp23 simp3l cgsu
      fvmpt simpl3r oveq1 ralimi mpteq12 sylancr cotp cmmul simp1 cmulr matmulr
      eqtr4di ad2antrr oveqd simpll1 cxp cmap simplr1 matbas2i 3ad2ant3 simplr2
      oveq2d mamufv eqtr3d 3adantl3 simplr3 3eqtr4d ralrimiva eqtrd ralrimivvva
      mdetralt 3expia csn cof simprll simprlr simprrl simp2rr simp31 oveq1d a1i
      cdif wss simprrr elmapssres reseq1d simpl1 mamures oveq12d difssd anassrs
      snssd ralrimivva snfi xpss1 mamudi simp32 simp33 mdetrlin simp2lr mamuvs1
      eqtr4d simp3r mdetrsca simp2ll simp2rl simp2 mdetuni0 ringidcl 3syl simp3
      ringlidm fveq2d crngcom 3eqtr3d ) DUFOZGBOZHBOZUGZGUABUAUHZHEPZCQZULZQZAU
      IQZUVJQZGCQZFPZGHEPZCQZUVNHCQZFPZUVFUBUCUDUEABUVJDUJQZDFDUIQZCGDUKQZIDUMQ
      ZJKUWBVEZUWCVEZUWAVEUVTVEZMUVDUVCIUNOZUVEUVDUWGDUOOABDIGJKUPUQURZUVCUVDDU
      SOZUVEDUTVAZUVFUABUVIUWBUVFUVGBOZVBZBUWBUVHCUVFBUWBCVCZUWKUVCUVDUWMUVEABC
      DUWBILJKUWDVDVAZVFUWLAUSOZUWKUVEUVHBOUVFUWOUWKUVFUWGUWIUWOUWHUWJADIJVGVHZ
      VFUVFUWKVIUVCUVDUVEUWKVJBAEUVGHKNVKVLVMVPUVFUCUHZUDUHZVNZUWQUEUHZUBUHZPZU
      WRUWTUXAPZRZUEIVOZVBZUXAUVJQZUWCRZVQUBUCUDBIIUVFUXABOZUWQIOZUWRIOZUGZUXFU
      XHUVFUXLUXFUGZUXGUXAHEPZCQZUWCUXMUXIUXGUXORZUVFUXIUXJUXKUXFVRUAUXAUVIUXOB
      UVJUVGUXAHCEVSUVJVEZUXNCVTWHZWAUXMABCDUWQUWRIUXNUWCUALJKUWEUVCUVDUVEUXLUX
      FWBUVFUXLUXNBOZUXFUVFUXLVBZUWOUXIUVEUXSUVFUWOUXLUWPVFUVFUXIUXJUXKWCUVCUVD
      UVEUXLVJBAEUXAHKNVKZVLSUVFUXIUXJUXKUXFWDUVFUXIUXJUXKUXFWEUVFUXLUWSUXEWFUX
      MUWQUVGUXNPZUWRUVGUXNPZRUAIUXMUVGIOZVBZDUEIUXBUWTUVGHPZFPZULZWGPZDUEIUXCU
      YFFPZULZWGPZUYBUYCUYEUXEUYIUYLRUWSUXEUVFUXLUYDWIUXEUYHUYKDWGUXEIIRUYGUYJR
      ZUEIVOUYHUYKRIVEUXDUYMUEIUXBUXCUYFFWJWKUEIUYGIUYJWLWMXIWAUVFUXLUYDUYBUYIR
      UXFUXTUYDVBZUWQUVGUXAHDIIIWNWOPZPZPUYBUYIUYNUYPUXNUWQUVGUYNUYOEUXAHUVFUYO
      ERZUXLUYDUVFUWGUVCUYQUWHUVCUVDUVEWPZUWGUVCVBUYOAWQQEADUYOIUFJUYOVEZWRNWSV
      HZWTXAZXAUYNUWBIDFUEUYOUWQUVGIIUFUXAHUYSUWDMUVCUVDUVEUXLUYDXBZUVFUWGUXLUY
      DUWHWTZVUCVUCUYNUXIUXAUWBIIXCZXDPZOZUXIUXJUXKUVFUYDXEABDUWBUXAIJUWDKXFZWA
      ZUVFHVUEOZUXLUYDUVEUVCVUIUVDABDUWBHIJUWDKXFXGZWTZUXIUXJUXKUVFUYDXHUXTUYDV
      IZXJXKXLUVFUXLUYDUYCUYLRUXFUYNUWRUVGUYPPUYCUYLUYNUYPUXNUWRUVGVUAXAUYNUWBI
      DFUEUYOUWRUVGIIUFUXAHUYSUWDMVUBVUCVUCVUCVUHVUKUXIUXJUXKUVFUYDXMVULXJXKXLX
      NXOXRXPXSXQUVFUXAUWTXTZIXCZTZUWQVUNTZUWRVUNTZUVTYAZPZRZUXAIVUMYIZIXCZTZUW
      QVVBTZRZVVCUWRVVBTZRZUGZUXGUWQUVJQZUWRUVJQZUVTPZRZVQZUEIVOUDBVOUBUCBBUVFU
      XIUWQBOZVBZVBVVMUDUEBIUVFVVOUWRBOZUWTIOZVBZVVMUVFVVOVVRVBZVVHVVLUVFVVSVVH
      UGZUXOUWQHEPZCQZUWRHEPZCQZUVTPZUXGVVKVVTABCUVTDUWTIUXNVWAVWCLJKUWFUVCUVDU
      VEVVSVVHWBUVFVVSUXSVVHUVFVVSVBZUWOUXIUVEUXSUVFUWOVVSUWPVFZUVFUXIVVNVVRYBZ
      UVCUVDUVEVVSVJZUYAVLSUVFVVSVWABOZVVHVWFUWOVVNUVEVWJVWGUVFUXIVVNVVRYCZVWIB
      AEUWQHKNVKVLSUVFVVSVWCBOZVVHVWFUWOVVPUVEVWLVWGUVFVVOVVPVVQYDZVWIBAEUWRHKN
      VKZVLSVVPVVQVVOUVFVVHYEVVTVUOHDVUMIIWNWOPZPZVUPHVWOPZVUQHVWOPZVURPZUXNVUN
      TZVWAVUNTZVWCVUNTZVURPZVVTVWPVUSHVWOPZVWSVVTVUOVUSHVWOUVFVVSVUTVVEVVGYFYG
      UVFVVSVXDVWSRVVHVWFUWBUVTDVWOVUMIIVUPVUQHUWDUVFUWIVVSUWJVFVWOVEZVUMUNOZVW
      FUWTUUAZYHUVFUWGVVSUWHVFZVXHUWFVWFUWQVUEOZVUNVUDYJZVUPUWBVUNXDPZOVWFVVNVX
      IVWKABDUWBUWQIJUWDKXFWAZVWFVUMIYJZVXJVWFUWTIUVFVVOVVPVVQYKYSZVUMIIUUBZWAZ
      UWQUWBVUDVUNYLVHVWFUWRVUEOZVXJVUQVXKOZVWFVVPVXQVWMABDUWBUWRIJUWDKXFZWAZVX
      PUWRUWBVUDVUNYLZVHUVFVUIVVSVUJVFZUUCSXPUVFVVSVWTVWPRZVVHVWFUYPVUNTZVWTVWP
      VWFUYPUXNVUNVWFUYOEUXAHUVFUYQVVSUYTVFZXAZYMVWFUWBIDUYOVWOVUMIIUFUXAHUYSVX
      EUWDUVCUVDUVEVVSYNZVXHVXHVXHVXNVWFUXIVUFVWHVUGWAZVYBYOXKSUVFVVSVXCVWSRVVH
      VWFVXAVWQVXBVWRVURVWFUWQHUYOPZVUNTVXAVWQVWFVYIVWAVUNVWFUYOEUWQHVYEXAZYMVW
      FUWBIDUYOVWOVUMIIUFUWQHUYSVXEUWDVYGVXHVXHVXHVXNVXLVYBYOXKVWFUWRHUYOPZVUNT
      ZVXBVWRVWFVYKVWCVUNVWFUYOEUWRHVYEXAZYMVWFUWBIDUYOVWOVUMIIUFUWRHUYSVXEUWDV
      YGVXHVXHVXHVXNVXTVYBYOXKYPSXNVVTVVCHDVVAIIWNWOPZPZVVDHVYNPZUXNVVBTZVWAVVB
      TZVVTVVCVVDHVYNUVFVVSVUTVVEVVGUUDYGUVFVVSVYQVYORZVVHVWFUYPVVBTZVYQVYOVWFU
      YPUXNVVBVYFYMVWFUWBIDUYOVYNVVAIIUFUXAHUYSVYNVEZUWDVYGVXHVXHVXHVWFIVUMYQZV
      YHVYBYOXKSZUVFVVSVYRVYPRVVHVWFVYIVVBTVYRVYPVWFVYIVWAVVBVYJYMVWFUWBIDUYOVY
      NVVAIIUFUWQHUYSWUAUWDVYGVXHVXHVXHWUBVXLVYBYOXKSXNVVTVYOVVFHVYNPZVYQVWCVVB
      TZVVTVVCVVFHVYNUVFVVSVUTVVEVVGUUEYGWUCUVFVVSWUEWUDRZVVHVWFVYKVVBTZWUEWUDV
      WFVYKVWCVVBVYMYMVWFUWBIDUYOVYNVVAIIUFUWRHUYSWUAUWDVYGVXHVXHVXHWUBVXTVYBYO
      XKSXNUUFUVFVVSUXPVVHVWFUXIUXPVWHUXRWASUVFVVSVVKVWERVVHVWFVVIVWBVVJVWDUVTV
      WFVVNVVIVWBRVWKUAUWQUVIVWBBUVJUVGUWQHCEVSUXQVWACVTWHWAVWFVVPVVJVWDRVWMUAU
      WRUVIVWDBUVJUVGUWRHCEVSUXQVWCCVTWHZWAYPSXNXSYRYTYTUVFVUOVUNUWQXTXCZVUQFYA
      ZPZRZVVGVBZUXGUWQVVJFPZRZVQZUEIVOUDBVOUBUCBUWBUVFUXIUWQUWBOZVBZVBWUPUDUEB
      IUVFWURVVRWUPUVFWURVVRVBZWUMWUOUVFWUSWUMUGZUXOUWQVWDFPZUXGWUNWUTABCDFUWTU
      WBIUXNUWQVWCLJKUWDMUVCUVDUVEWUSWUMWBUVFWUSUXSWUMUVFWUSVBZUWOUXIUVEUXSUVFU
      WOWUSUWPVFZUVFUXIWUQVVRYBZUVCUVDUVEWUSVJZUYAVLSUXIWUQVVRUVFWUMUUGUVFWUSVW
      LWUMWVBUWOVVPUVEVWLWVCUVFWURVVPVVQYDZWVEVWNVLSVVPVVQWURUVFWUMYEWUTVWPWUKH
      VWOPZVWTWUIVXBWUJPZWUTVUOWUKHVWOUVFWUSWULVVGWFYGUVFWUSVYCWUMWVBVYDVWTVWPW
      VBUYPUXNVUNWVBUYOEUXAHUVFUYQWUSUYTVFZXAZYMWVBUWBIDUYOVWOVUMIIUFUXAHUYSVXE
      UWDUVCUVDUVEWUSYNZUVFUWGWUSUWHVFZWVLWVLWVBUWTIUVFWURVVPVVQYKYSZWVBUXIVUFW
      VDVUGWAZUVFVUIWUSVUJVFZYOXKSUVFWUSWVHWVGRWUMWVBWVHWUIVWRWUJPWVGWVBVXBVWRW
      UIWUJWVBVYLVXBVWRWVBVYKVWCVUNWVBUYOEUWRHWVIXAZYMWVBUWBIDUYOVWOVUMIIUFUWRH
      UYSVXEUWDWVKWVLWVLWVLWVMWVBVVPVXQWVFVXSWAZWVOYOXKXIWVBUWBDFVWOVUMIIUWQVUQ
      HUWDUVFUWIWUSUWJVFVXEVXFWVBVXGYHWVLWVLMUVFUXIWUQVVRYCWVBVXQVXJVXRWVQWVBVX
      MVXJWVMVXOWAVYAVHWVOUUHUUISXNWUTVYOWUDVYQWUEWUTVVCVVFHVYNUVFWUSWULVVGUUJY
      GUVFWUSVYSWUMWVBVYTVYQVYOWVBUYPUXNVVBWVJYMWVBUWBIDUYOVYNVVAIIUFUXAHUYSWUA
      UWDWVKWVLWVLWVLWVBIVUMYQZWVNWVOYOXKSUVFWUSWUFWUMWVBWUGWUEWUDWVBVYKVWCVVBW
      VPYMWVBUWBIDUYOVYNVVAIIUFUWRHUYSWUAUWDWVKWVLWVLWVLWVRWVQWVOYOXKSXNUUKWUTU
      XIUXPUXIWUQVVRUVFWUMUULUXRWAWUTVVPWUNWVARVVPVVQWURUVFWUMUUMVVPVVJVWDUWQFW
      UHXIWAXNXSYRYTYTLUYRUVCUVDUVEUUNZUUOUVDUVCUVKUVQRUVEUAGUVIUVQBUVJUVGGHCEV
      SUXQUVPCVTWHURUVFUVOUVRUVNFPZUVSUVFUVMUVRUVNFUVFUVMUVLHEPZCQZUVRUVFUWOUVL
      BOUVMWWBRUWPBAUVLKUVLVEZUUPUAUVLUVIWWBBUVJUVGUVLHCEVSUXQWWACVTWHUUQUVFWWA
      HCUVFUWOUVEWWAHRUWPUVCUVDUVEUURZBAEUVLHKNWWCUUSVHUUTXPYGUVFUVCUVRUWBOUVNU
      WBOWVTUVSRUYRUVFBUWBHCUWNWWDVMUVFBUWBGCUWNWVSVMUWBDFUVRUVNUWDMUVAVLXPUVB
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Determinants of 2 x 2 -matrices
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    m2detleiblem1.n $e |- N = { 1 , 2 } $.
    m2detleiblem1.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    m2detleiblem1.y $e |- Y = ( ZRHom ` R ) $.
    m2detleiblem1.s $e |- S = ( pmSgn ` N ) $.
    m2detleiblem1.o $e |- .1. = ( 1r ` R ) $.
    $( Lemma 1 for ~ m2detleib .  (Contributed by AV, 12-Dec-2018.) $)
    m2detleiblem1 $p |- ( ( R e. Ring /\ Q e. P )
           -> ( Y ` ( S ` Q ) ) = ( ( ( pmSgn ` N ) ` Q ) ( .g ` R ) .1. ) ) $=
      ( wcel cfv cz wceq c1 cop c2 cpr crg wa cmg co cpsgn wo elpri fveq2 cpmtr
      crn csymg eqid psgnprfval1 eqtrdi 1z eqeltrdi cneg psgnprfval2 neg1z jaoi
      syl cvv cn 1ex 2nn symg2bas mp2an eleq2s zrhmulg sylan2 a1i fveq1d oveq1d
      eqtrd ) CUAMZBAMZUBZBDNZGNZVRECUCNZUDZBFUENZNZEVTUDVPVOVROMZVSWAPWDBQQRSS
      RTZQSRSQRTZTZABWGMBWEPZBWFPZUFWDBWEWFUGWHWDWIWHVRQOWHVRWEDNQBWEDUHAFFUINU
      JZFUKNZDHWKULZIWJULZKUMUNUOUPWIVRQUQZOWIVRWFDNWNBWFDUHAFWJWKDHWLIWMKURUNU
      SUPUTVAQVBMSVCMAWGPVDVEFAWKQSVBVCWLIHVFVGVHCVTEGVRJVTULLVIVJVQVRWCEVTVQBD
      WBDWBPVQKVKVLVMVN $.

    $( Lemma 5 for ~ m2detleib .  (Contributed by AV, 20-Dec-2018.) $)
    m2detleiblem5 $p |- ( ( R e. Ring /\ Q = { <. 1 , 1 >. , <. 2 , 2 >. } )
                          -> ( Y ` ( S ` Q ) ) = .1. ) $=
      ( wcel c1 cop c2 cpr wceq cfv eqid crg wa cpsgn cmg co cvv 1ex prex prid1
      cn csymg symg2bas eleqtrrid mp2an eleq1 mpbiri m2detleiblem1 sylan2 fveq2
      2nn adantl cpmtr crn psgnprfval1 eqtrdi oveq1d cbs ringidcl adantr 3eqtrd
      mulg1 syl ) CUAMZBNNOZPPOZQZRZUBZBDSGSZBFUCSZSZECUDSZUEZNEWBUEZEVQVMBAMZV
      SWCRVQWEVPAMZNUFMZPUJMZWFUGUTWGWHUBVPVPNPOPNOQZQAVPWIVNVOUHUIFAFUKSZNPUFU
      JWJTZIHULUMUNBVPAUOUPABCDEFGHIJKLUQURVRWANEWBVRWAVPVTSZNVQWAWLRVMBVPVTUSV
      AAFFVBSVCZWJVTHWKIWMTVTTVDVEVFVRECVGSZMZWDERVMWOVQWNCEWNTZLVHVIWNWBCEWPWB
      TVKVLVJ $.

    m2detleiblem1.i $e |- I = ( invg ` R ) $.
    $( Lemma 6 for ~ m2detleib .  (Contributed by AV, 20-Dec-2018.) $)
    m2detleiblem6 $p |- ( ( R e. Ring /\ Q = { <. 1 , 2 >. , <. 2 , 1 >. } )
                          -> ( Y ` ( S ` Q ) ) = ( I ` .1. ) ) $=
      ( wcel c1 c2 cop cfv eqid crg cpr wceq wa cpsgn cmg cneg cvv 1ex 2nn prex
      co prid2 csymg symg2bas eleqtrrid mp2an eleq1 mpbiri m2detleiblem1 sylan2
      cn fveq2 adantl cpmtr crn psgnprfval2 eqtrdi oveq1d cgrp ringgrp ringidcl
      cbs mulgm1 syl2anc adantr 3eqtrd ) CUAOZBPQRZQPRZUBZUCZUDZBDSHSZBGUESZSZE
      CUFSZULZPUGZEWGULZEFSZWBVRBAOZWDWHUCWBWLWAAOZPUHOZQVBOZWMUIUJWNWOUDWAPPRQ
      QRUBZWAUBAWPWAVSVTUKUMGAGUNSZPQUHVBWQTZJIUOUPUQBWAAURUSABCDEGHIJKLMUTVAWC
      WFWIEWGWCWFWAWESZWIWBWFWSUCVRBWAWEVCVDAGGVESVFZWQWEIWRJWTTWETVGVHVIVRWJWK
      UCZWBVRCVJOECVMSZOXACVKXBCEXBTZMVLXBWGCFEXCWGTNVNVOVPVQ $.

    m2detleiblem1.t $e |- .x. = ( .r ` R ) $.
    m2detleiblem1.m $e |- .- = ( -g ` R ) $.
    $( Lemma 7 for ~ m2detleib .  (Contributed by AV, 20-Dec-2018.) $)
    m2detleiblem7 $p |- ( ( R e. Ring /\ X e. ( Base ` R )
                             /\ Z e. ( Base ` R ) )
                    -> ( X ( +g ` R ) ( ( I ` .1. ) .x. Z ) ) = ( X .- Z ) ) $=
      ( cfv crg wcel cbs w3a co cplusg wceq wa eqid simpl simpr ringnegl oveq2d
      3adant2 grpsubval 3adant1 eqtr4d ) BUAUBZIBUCTZUBZKUSUBZUDZIEFTKDUEZBUFTZ
      UEIKFTZVDUEZIKGUEZVBVCVEIVDURVAVCVEUGUTURVAUHUSBDEFKUSUIZRPQURVAUJURVAUKU
      LUNUMUTVAVGVFUGURUSVDBFGIKVHVDUIQSUOUPUQ $.
  $}

  ${
    $d n B $.  $d n M $.  $d n N $.  $d n P $.  $d n Q $.  $d n R $.
    m2detleiblem2.n $e |- N = { 1 , 2 } $.
    m2detleiblem2.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    m2detleiblem2.a $e |- A = ( N Mat R ) $.
    m2detleiblem2.b $e |- B = ( Base ` A ) $.
    m2detleiblem2.g $e |- G = ( mulGrp ` R ) $.
    $( Lemma 2 for ~ m2detleib .  (Contributed by AV, 16-Dec-2018.)  (Proof
       shortened by AV, 1-Jan-2019.) $)
    m2detleiblem2 $p |- ( ( R e. Ring /\ Q e. P /\ M e. B )
            -> ( G gsum ( n e. N |-> ( ( Q ` n ) M n ) ) ) e. ( Base ` R ) ) $=
      ( wcel cfv c1 c2 co cfz crg w3a cbs eqid mgpbas cmnd ringmgp 3ad2ant1 cuz
      cv 2eluzge1 a1i wceq caddc cpr cz 1z fzpr ax-mp 1p1e2 preq2i eqtri oveq2i
      df-2 3eqtr4ri matepmcl gsummptfzcl ) EUAOZDCOZHBOZUBZEUCPZFGIQRFUJZDPVMHS
      VLEGNVLUDUEVHVIGUFOVJEGNUGUHRQUIPOVKUKULIQRTSZUMVKQQQUNSZTSZQRUOZVNIVPQVO
      UOZVQQUPOVPVRUMUQQURUSVORQUTVAVBRVOQTVDVCJVEULABCDEFHILMKVFVG $.

    m2detleiblem3.m $e |- .x. = ( +g ` G ) $.
    $( Lemma 3 for ~ m2detleib .  (Contributed by AV, 16-Dec-2018.)  (Proof
       shortened by AV, 2-Jan-2019.) $)
    m2detleiblem3 $p |- ( ( R e. Ring /\ Q = { <. 1 , 1 >. , <. 2 , 2 >. }
                             /\ M e. B )
                           -> ( G gsum ( n e. N |-> ( ( Q ` n ) M n ) ) )
                              = ( ( 1 M 1 ) .x. ( 2 M 2 ) ) ) $=
      ( wcel c1 c2 cfv crg cop cpr wceq w3a cv co cmpt cgsu cbs cvv eqid mgpbas
      cmgp fvexi a1i wral wf cn 1ex 2nn wa prid1 csymg symg2bas eleqtrrid mp2an
      prex eleq1 mpbiri cmat oveq1i eqtri fveq2i matepmcl syl3an2 mpteq1i sylib
      fmpt gsumpr12val eleqtrri fveq2 id oveq12d eleq1d rspcva fvmptg fveq1 wne
      sylancr 1ne2 fvpr1 ax-mp eqtrdi 3ad2ant2 oveq1d eqtrd 2ex prid2 fvpr2 ) E
      UAQZDRRUBZSSUBZUCZUDZIBQZUEZHGJGUFZDTZXHIUGZUHZUIUGRXKTZSXKTZFUGRRIUGZSSI
      UGZFUGXGEUJTZFXKHUKXPEHOXPULUMPHUKQXGHEUNOUOUPXGXJXPQZGRSUCZUQZXRXPXKURXE
      XADCQZXFXSXEXTXDCQZRUKQZSUSQZYAUTVAYBYCVBXDXDRSUBSRUBUCZUCCXDYDXBXCVHVCJC
      JVDTZRSUKUSYEULLKVEVFVGDXDCVIVJZABCDEGIXRAJEVKUGXREVKUGMJXREVKKVLVMNCYEUJ
      TXRVDTZUJTLYEYGUJJXRVDKVNVNVMVOVPGXRXPXJXKGJXRXJKVQVSVRVTXGXLXNXMXOFXGXLR
      DTZRIUGZXNXGRJQZYIXPQZXLYIUDRXRJRSUTVCKWAZXGYJXQGJUQZYKYLXEXAXTXFYMYFABCD
      EGIJMNLVOVPZXQYKGRJXHRUDZXJYIXPYOXIYHXHRIXHRDWBYOWCWDZWEWFWJGRXJYIJXPXKYP
      XKULZWGWJXGYHRRIXEXAYHRUDXFXEYHRXDTZRRDXDWHRSWIZYRRUDWKRSRSUTUTWLWMWNWOWP
      WQXGXMSDTZSIUGZXOXGSJQZUUAXPQZXMUUAUDSXRJRSWRWSKWAZXGUUBYMUUCUUDYNXQUUCGS
      JXHSUDZXJUUAXPUUEXIYTXHSIXHSDWBUUEWCWDZWEWFWJGSXJUUAJXPXKUUFYQWGWJXGYTSSI
      XEXAYTSUDXFXEYTSXDTZSSDXDWHYSUUGSUDWKRSRSWRWRWTWMWNWOWPWQWDWQ $.

    $( Lemma 4 for ~ m2detleib .  (Contributed by AV, 20-Dec-2018.)  (Proof
       shortened by AV, 2-Jan-2019.) $)
    m2detleiblem4 $p |- ( ( R e. Ring /\ Q = { <. 1 , 2 >. , <. 2 , 1 >. }
                            /\ M e. B )
                          -> ( G gsum ( n e. N |-> ( ( Q ` n ) M n ) ) )
                             = ( ( 2 M 1 ) .x. ( 1 M 2 ) ) ) $=
      ( wcel c1 c2 cfv crg cop cpr wceq w3a cv co cmpt cgsu cbs cvv eqid mgpbas
      cmgp fvexi a1i wral wf cn 1ex 2nn wa prid2 csymg symg2bas eleqtrrid mp2an
      prex eleq1 mpbiri cmat oveq1i eqtri fveq2i matepmcl syl3an2 mpteq1i sylib
      fmpt gsumpr12val prid1 eleqtrri fveq2 oveq12d eleq1d rspcva sylancr fveq1
      id fvmptg wne 1ne2 2ex fvpr1 ax-mp eqtrdi 3ad2ant2 oveq1d eqtrd fvpr2 ) E
      UAQZDRSUBZSRUBZUCZUDZIBQZUEZHGJGUFZDTZXHIUGZUHZUIUGRXKTZSXKTZFUGSRIUGZRSI
      UGZFUGXGEUJTZFXKHUKXPEHOXPULUMPHUKQXGHEUNOUOUPXGXJXPQZGRSUCZUQZXRXPXKURXE
      XADCQZXFXSXEXTXDCQZRUKQZSUSQZYAUTVAYBYCVBXDRRUBSSUBUCZXDUCCYDXDXBXCVHVCJC
      JVDTZRSUKUSYEULLKVEVFVGDXDCVIVJZABCDEGIXRAJEVKUGXREVKUGMJXREVKKVLVMNCYEUJ
      TXRVDTZUJTLYEYGUJJXRVDKVNVNVMVOVPGXRXPXJXKGJXRXJKVQVSVRVTXGXLXNXMXOFXGXLR
      DTZRIUGZXNXGRJQZYIXPQZXLYIUDRXRJRSUTWAKWBZXGYJXQGJUQZYKYLXEXAXTXFYMYFABCD
      EGIJMNLVOVPZXQYKGRJXHRUDZXJYIXPYOXIYHXHRIXHRDWCYOWIWDZWEWFWGGRXJYIJXPXKYP
      XKULZWJWGXGYHSRIXEXAYHSUDXFXEYHRXDTZSRDXDWHRSWKZYRSUDWLRSSRUTWMWNWOWPWQWR
      WSXGXMSDTZSIUGZXOXGSJQZUUAXPQZXMUUAUDSXRJRSWMVCKWBZXGUUBYMUUCUUDYNXQUUCGS
      JXHSUDZXJUUAXPUUEXIYTXHSIXHSDWCUUEWIWDZWEWFWGGSXJUUAJXPXKUUFYQWJWGXGYTRSI
      XEXAYTRUDXFXEYTSXDTZRSDXDWHYSUUGRUDWLRSSRWMUTWTWOWPWQWRWSWDWS $.
  $}

  ${
    $d k n B $.  $d k n M $.  $d k n N $.  $d k n R $.  $d k .x. $.
    m2detleib.n $e |- N = { 1 , 2 } $.
    m2detleib.d $e |- D = ( N maDet R ) $.
    m2detleib.a $e |- A = ( N Mat R ) $.
    m2detleib.b $e |- B = ( Base ` A ) $.
    m2detleib.m $e |- .- = ( -g ` R ) $.
    m2detleib.t $e |- .x. = ( .r ` R ) $.
    $( Leibniz' Formula for 2x2-matrices.  (Contributed by AV, 21-Dec-2018.)
       (Revised by AV, 26-Dec-2018.)  (Proof shortened by AV, 23-Jul-2019.) $)
    m2detleib $p |- ( ( R e. Ring /\ M e. B ) -> ( D ` M ) =
     ( ( ( 1 M 1 ) .x. ( 2 M 2 ) ) .- ( ( 2 M 1 ) .x. ( 1 M 2 ) ) ) ) $=
      ( wcel cfv co c1 c2 wceq vk vn crg wa csymg cbs cpsgn czrh cmgp cmpt cgsu
      cop cpr csn cplusg eqid mdetleib1 adantl ccmn ringcmn adantr prfi eqeltri
      cv cfn symgbasfi ax-mp a1i simpl zrhpsgnelbas adantlr simpr m2detleiblem2
      mp3an2 syl3anc ringcl cvv wne wo cin c0 opex pm3.2i 1ne2 1ex opthne mpbir
      olci orci prneimg imp disjsn2 3syl cun cn symg2bas mp2an gsummptfidmsplit
      2nn df-pr eqtri cur cminusg cmnd ringmnd prex prid1 eleqtrri sylan2 fveq1
      2fveq3 oveq1d mpteq2dv oveq2d oveq12d gsumsn prid2 m2detleiblem5 mgpplusg
      m2detleiblem3 eleq2i biimpi matecl prid2g ringlidm syldan m2detleiblem6
      eqidd eqtrd m2detleiblem4 m2detleiblem7 3eqtrd ) DUCOZFBOZUDZFCPZDUAHUEPZ
      UFPZUAVDZHUGPZPDUHPZPZDUIPZUBHUBVDZYSPZUUDFQZUJZUKQZEQZUJUKQZDUARRULZSSUL
      ZUMZUNZUUIUJUKQZDUARSULZSRULZUMZUNZUUIUJUKQZDUOPZQZRRFQZSSFQZEQZSRFQZRSFQ
      ZEQZGQZYNYPUUJTYMUBABCYRDYTEUUCFHUUAUAJKLYRUPZUUAUPZYTUPZNUUCUPZUQURYOYRD
      UFPZUUNUUSUVAUADUUIUVNUPZUVAUPYMDUSOYNDUTVAYRVEOZYOHVEOZUVPHRSUMZVEIRSVBV
      CZHYRYQYQUPZUVJVFVGVHYOYSYROZUDZYMUUBUVNOZUUHUVNOZUUIUVNOYOYMUWAYMYNVIZVA
      ZYMUWAUWCYNYMUVQUWAUWCUVSYRYSDYTHUUAUVJUVLUVKVJVNVKUWBYMUWAYNUWDUWFYOUWAV
      LYOYNUWAYMYNVLZVAABYRYSDUBUUCFHIUVJKLUVMVMVOUVNDEUUBUUHUVONVPVOYOUUKVQOZU
      ULVQOZUDZUUPVQOZUUQVQOZUDZUDZUUKUUPVRZUUKUUQVRZUDZUULUUPVRUULUUQVRUDZVSZU
      DZUUMUURVRZUUNUUSVTWATUWTYOUWNUWSUWJUWMUWHUWIRRWBSSWBWCUWKUWLRSWBSRWBWCWC
      UWQUWRUWOUWPUWORRVRZRSVRZVSUXCUXBWDWHRRRSWEWEWFWGUWPUXCUXBVSUXCUXBWDWIRRS
      RWEWEWFWGWCWIWCVHUWNUWSUXAUUKUULUUPUUQVQVQVQVQWJWKUUMUURWLWMYRUUNUUSWNZTY
      OYRUUMUURUMZUXDRVQOSWOOZYRUXETWEWSHYRYQRSVQWOUVTUVJIWPWQZUUMUURWTXAVHWRYO
      UVBUUMYTPUUAPZUUCUBHUUDUUMPZUUDFQZUJZUKQZEQZUURYTPUUAPZUUCUBHUUDUURPZUUDF
      QZUJZUKQZEQZUVAQUVEDXBPZDXCPZPZUVHEQZUVAQZUVIYOUUOUXMUUTUXSUVAYODXDOZUUMV
      QOZUXMUVNOZUUOUXMTYMUYEYNDXEVAZUYFYOUUKUULXFZVHYOYMUXHUVNOZUXLUVNOZUYGUWE
      YNYMUUMYROZUYJUYLYNUUMUXEYRUUMUURUYIXGUXGXHZVHYMUVQUYLUYJUVSYRUUMDYTHUUAU
      VJUVLUVKVJVNXIYMUYLYNUYKUYMABYRUUMDUBUUCFHIUVJKLUVMVMVNUVNDEUXHUXLUVONVPV
      OUUIUVNUXMUADUUMVQUVOYSUUMTZUUBUXHUUHUXLEYSUUMUUAYTXKUYNUUGUXKUUCUKUYNUBH
      UUFUXJUYNUUEUXIUUDFUUDYSUUMXJXLXMXNXOXPVOYOUYEUURVQOZUXSUVNOZUUTUXSTUYHUY
      OYOUUPUUQXFZVHYOYMUXNUVNOZUXRUVNOZUYPUWEYNYMUURYROZUYRUYTYNUURUXEYRUUMUUR
      UYQXQUXGXHZVHYMUVQUYTUYRUVSYRUURDYTHUUAUVJUVLUVKVJVNXIYMUYTYNUYSVUAABYRUU
      RDUBUUCFHIUVJKLUVMVMVNUVNDEUXNUXRUVONVPVOUUIUVNUXSUADUURVQUVOYSUURTZUUBUX
      NUUHUXREYSUURUUAYTXKVUBUUGUXQUUCUKVUBUBHUUFUXPVUBUUEUXOUUDFUUDYSUURXJXLXM
      XNXOXPVOXOYOUXMUVEUXSUYCUVAYOUXMUXTUVEEQZUVEYOUXHUXTUXLUVEEYNYMUUMUUMTZUX
      HUXTTYNUUMYHYRUUMDYTUXTHUUAIUVJUVKUVLUXTUPZXRXIYOYMVUDYNUXLUVETUWEYOUUMYH
      UWGABYRUUMDEUBUUCFHIUVJKLUVMDEUUCUVMNXSZXTVOXOYMYNUVEUVNOZVUCUVETYOYMUVCU
      VNOZUVDUVNOZVUGUWEYORHOZVUJFAUFPZOZVUHVUJYORUVRHRSWEXGIXHVHZVUMYNVULYMYNV
      ULBVUKFLYAYBURZADRRUVNFHKUVOYCVOYOSHOZVUOVULVUIVUOYOSUVRHUXFSUVROWSRSWOYD
      VGIXHVHZVUPVUNADSSUVNFHKUVOYCVOUVNDEUVCUVDUVONVPVOZUVNDEUXTUVEUVONVUEYEYF
      YIYOUXNUYBUXRUVHEYNYMUURUURTZUXNUYBTYNUURYHYRUURDYTUXTUYAHUUAIUVJUVKUVLVU
      EUYAUPZYGXIYOYMVURYNUXRUVHTUWEYOUURYHUWGABYRUURDEUBUUCFHIUVJKLUVMVUFYJVOX
      OXOYOYMVUGUVHUVNOZUYDUVITUWEVUQYOYMUVFUVNOZUVGUVNOZVUTUWEYOVUOVUJVULVVAVU
      PVUMVUNADSRUVNFHKUVOYCVOYOVUJVUOVULVVBVUMVUPVUNADRSUVNFHKUVOYCVOUVNDEUVFU
      VGUVONVPVOYRDYTEUXTUYAGHUVEUUAUVHIUVJUVKUVLVUEVUSNMYKVOYLYL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The matrix adjugate/adjunct
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c maAdju $.
  $c minMatR1 $.

  $( Syntax for the matrix adjugate/adjunct function. $)
  cmadu $a class maAdju $.

  $( Syntax for the minor matrices of a square matrix. $)
  cminmar1 $a class minMatR1 $.

  ${
    $d n r m i j k l $.
    $( Define the adjugate or adjunct (matrix of cofactors) of a square matrix.
       This definition gives the standard cofactors, however the internal
       minors are not the standard minors, see definition in [Lang] p. 518.
       (Contributed by Stefan O'Rear, 7-Sep-2015.)  (Revised by SO,
       10-Jul-2018.) $)
    df-madu $a |- maAdju = ( n e. _V , r e. _V |->
        ( m e. ( Base ` ( n Mat r ) ) |-> ( i e. n , j e. n |->
          ( ( n maDet r ) ` ( k e. n , l e. n |-> if ( k = j , if ( l = i ,
            ( 1r ` r ) , ( 0g ` r ) ) , ( k m l ) ) ) ) ) ) ) $.
  $}

  ${
    $d n r m i j k l $.
    $( Define the matrices whose determinants are the minors of a square
       matrix.  In contrast to the standard definition of minors, a row is
       replaced by 0's and one 1 instead of deleting the column and row (e.g.,
       definition in [Lang] p. 515).  By this, the determinant of such a matrix
       is equal to the minor determined in the standard way (as determinant of
       a submatrix, see ~ df-subma - note that the matrix is transposed
       compared with the submatrix defined in ~ df-subma , but this does not
       matter because the determinants are the same, see ~ mdettpos ).  Such
       matrices are used in the definition of an adjunct of a square matrix,
       see ~ df-madu .  (Contributed by AV, 27-Dec-2018.) $)
    df-minmar1 $a |- minMatR1 = ( n e. _V , r e. _V |->
       ( m e. ( Base ` ( n Mat r ) ) |-> ( k e. n , l e. n |->
         ( i e. n , j e. n |-> if ( i = k ,
                if ( j = l , ( 1r ` r ) , ( 0g ` r ) ) , ( i m j ) ) ) ) ) ) $.
  $}

  ${
    mndifsplit.b $e |- B = ( Base ` M ) $.
    mndifsplit.0g $e |- .0. = ( 0g ` M ) $.
    mndifsplit.pg $e |- .+ = ( +g ` M ) $.
    $( Lemma for ~ maducoeval2 .  (Contributed by SO, 16-Jul-2018.) $)
    mndifsplit $p |- ( ( M e. Mnd /\ A e. B /\ -. ( ph /\ ps ) ) ->
        if ( ( ph \/ ps ) , A , .0. ) = ( if ( ph , A , .0. ) .+
          if ( ps , A , .0. ) ) ) $=
      ( wcel wa wn cif co wceq adantr iftrue iffalse adantl cmnd w3a pm2.21 imp
      3ad2antl3 mndrid 3adant3 oveqan12d orcs ad2antrl 3eqtr4rd mndlid ad2antll
      wo olcs simp1 mndidcl syl2anc2 ioran sylbir 4casesdan ) FUAKZCDKZABLZMZUB
      ZABABUNZCGNZACGNZBCGNZEOZPZVEVBVDVLVCVEVDVLVDVLUCUDUEVFABMZLZLCGEOZCVKVHV
      FVOCPZVNVBVCVPVEDEFCGHJIUFUGQVNVKVOPVFAVMVICVJGEACGRBCGSZUHTAVHCPZVFVMABV
      RVGCGRZUIUJUKVFAMZBLZLGCEOZCVKVHVFWBCPZWAVBVCWCVEDEFCGHJIULUGQWAVKWBPVFVT
      BVIGVJCEACGSZBCGRUHTBVRVFVTABVRVSUOUMUKVFVTVMLZLGGEOZGVKVHVFWFGPZWEVFVBGD
      KWGVBVCVEUPDFGHIUQDEFGGHJIULURQWEVKWFPVFVTVMVIGVJGEWDVQUHTWEVHGPZVFWEVGMW
      HABUSVGCGSUTTUKVA $.
  $}

  ${
    $d N n r m i j k l $.  $d R n r m i j k l $.  $d B m $.
    madufval.a $e |- A = ( N Mat R ) $.
    madufval.d $e |- D = ( N maDet R ) $.
    madufval.j $e |- J = ( N maAdju R ) $.
    madufval.b $e |- B = ( Base ` A ) $.
    madufval.o $e |- .1. = ( 1r ` R ) $.
    madufval.z $e |- .0. = ( 0g ` R ) $.
    $( First substitution for the adjunct (cofactor) matrix.  (Contributed by
       SO, 11-Jul-2018.) $)
    madufval $p |- J = ( m e. B |-> ( i e. N , j e. N |-> ( D `
        ( k e. N , l e. N |-> if ( k = j , if ( l = i , .1. , .0. ) ,
        ( k m l ) ) ) ) ) ) $=
      ( cfv vn vr cmadu co weq cif cv cmpo cmpt cvv wcel wa wceq cmat cbs cmdat
      cur c0g fvoveq1 id oveq1 eqidd mpoeq123dv fveq12d mpteq12dv oveq2 ifeq12d
      fveq2d fveq2 ifeq1d mpoeq3dv df-madu fvex mptex ovmpo fveq2i a1i mpoeq3ia
      eqtri fveq12i mpteq12i eqtr4di wn reldmmpo ovprc cfn cxp cfrlm cmulr cotp
      cnx cmmul cop csts df-mat syl5eq base0 3eqtr4g mpteq1d mpt0 eqtrdi eqtr4d
      c0 pm2.61i ) JKDUCUDZIBFGKKHMKKHGUEZMFUEZELUFZHUGZMUGZIUGUDZUFZUHZCTZUHZU
      IZPKUJUKDUJUKULZXEXPUMXQXEIKDUNUDZUOTZFGKKHMKKXFXGDUQTZDURTZUFZXKUFZUHZKD
      UPUDZTZUHZUIZXPUAUBKDUJUJIUAUGZUBUGZUNUDUOTZFGYIYIHMYIYIXFXGYJUQTZYJURTZU
      FZXKUFZUHZYIYJUPUDZTZUHZUIZYHUCIKYJUNUDZUOTZFGKKHMKKYOUHZKYJUPUDZTZUHZUIY
      IKUMZIYKYSUUBUUFYIKYJUOUNUSUUGFGYIYIYRKKUUEUUGUTZUUHUUGYPUUCYQUUDYIKYJUPV
      AUUGHMYIYIYOKKYOUUHUUHUUGYOVBVCVDVCVEYJDUMZIUUBUUFXSYGUUIUUAXRUOYJDKUNVFV
      HUUIFGKKUUEYFUUIUUCYDUUDYEYJDKUPVFUUIHMKKYOYCUUIXFYNYBXKUUIXGYLXTYMYAYJDU
      QVIYJDURVIVGVJVKVDVKVEFGHIUAUBMVLZIXSYGXRUOVMVNVOIBXOXSYGBAUOTZXSQAXRUONV
      PVSFGKKXNYFXNYFUMFUGKUKGUGKUKULXMYDCYEOHMKKXLYCXIKUKXJKUKULZXFXHYBXKUULXG
      EXTLYAEXTUMUULRVQLYAUMUULSVQVGVJVRVTVQVRWAWBXQWCZXEXCXPKDUCUAUBUJUJYTUCUU
      JWDWEUUMXPIXCXOUIXCUUMIBXCXOUUMUUKXCUOTBXCUUMAXCUOUUMAXRXCNKDUNUAUBWFUJYJ
      YIYIWGWHUDWKWITYJYIYIYIWJWLUDWMWNUDUNUAUBWOWDWEWPVHQWQWRWSIXOWTXAXBXDVS
      $.

    $d M i j k l m $.  $d N m $.  $d D m $.  $d .1. m $.  $d .0. m $.
    $( Second substitution for the adjunct (cofactor) matrix.  (Contributed by
       SO, 11-Jul-2018.) $)
    maduval $p |- ( M e. B -> ( J ` M ) = ( i e. N , j e. N |-> ( D `
        ( k e. N , l e. N |-> if ( k = j , if ( l = i , .1. , .0. ) ,
        ( k M l ) ) ) ) ) ) $=
      ( wcel vm weq cif cmpo cfv cvv wceq cfn matrcl simpld mpoexga syl2anc w3a
      cv oveq ifeq2d mpoeq3dv 3ad2ant1 fveq2d mpoeq3dva madufval fvmptg mpdan
      co ) JBTZFGKKHMKKHGUBZMFUBELUCZHUNZMUNZJVDZUCZUDZCUEZUDZUFTZJIUEVNUGVEKUH
      TZVPVOVEVPDUFTABDKJNQUIUJZVQFGKKVMUHUHUKULUAJFGKKHMKKVFVGVHVIUAUNZVDZUCZU
      DZCUEZUDVNBUFIVRJUGZFGKKWBVMWCFUNKTZGUNKTZUMWAVLCWCWDWAVLUGWEWCHMKKVTVKWC
      VFVSVJVGVHVIVRJUOUPUQURUSUTABCDEFGHUAIKLMNOPQRSVAVBVC $.

    $d B i j $.  $d I i j k l $.  $d N i j $.  $d D i j $.  $d .1. i j $.
    $d .0. i j $.  $d H i j k l $.
    $( An entry of the adjunct (cofactor) matrix.  (Contributed by SO,
       11-Jul-2018.) $)
    maducoeval $p |- ( ( M e. B /\ I e. N /\ H e. N ) -> ( I ( J ` M ) H ) =
        ( D ` ( k e. N , l e. N |-> if ( k = H , if ( l = I , .1. , .0. ) ,
        ( k M l ) ) ) ) ) $=
      ( wceq vi vj wcel w3a weq cif cmpo cfv cvv maduval 3ad2ant1 simp1r eqeq2d
      cv co wa simp1l ifbid ifbieq1d mpoeq3dva fveq2d adantl simp2 simp3 ovmpod
      fvexd ) JBUCZHKUCZGKUCZUDZUAUBHGKKFMKKFUBUEZMUAUEZELUFZFUNZMUNZJUOZUFZUGZ
      CUHZFMKKVNGTZVOHTZELUFZVPUFZUGZCUHZJIUHZUIVGVHWFUAUBKKVSUGTVIABCDEUAUBFIJ
      KLMNOPQRSUJUKUAUNZHTZUBUNZGTZUPZVSWETVJWKVRWDCWKFMKKVQWCWKVNKUCZVOKUCZUDZ
      VKVTVMWBVPWNWIGVNWHWJWLWMULUMWNVLWAELWNWGHVOWHWJWLWMUQUMURUSUTVAVBVGVHVIV
      CVGVHVIVDVJWDCVFVE $.

    $d B n r k l $.  $d D n r $.  $d H m n r $.  $d I m n r $.  $d J m n r $.
    $d M n r $.  $d .0. k n r $.  $d .1. k n r $.
    $( An entry of the adjunct (cofactor) matrix.  (Contributed by SO,
       17-Jul-2018.) $)
    maducoeval2 $p |- ( ( ( R e. CRing /\ M e. B ) /\ I e. N /\ H e. N ) ->
        ( I ( J ` M ) H ) = ( D ` ( k e. N , l e. N |-> if ( ( k = H \/ l = I
        ) , if ( ( l = I /\ k = H ) , .1. , .0. ) , ( k M l ) ) ) ) ) $=
      ( wceq vm vn vr ccrg wcel wa w3a cfv co cv cif csn cdif cmpo wo wel eleq2
      c0 cun ifbid ifeq2d mpoeq3dv fveq2d eqeq2d maducoeval 3adant1l wn iffalse
      weq noel mp1i mpoeq3ia fveq2i eqtr4di wss cmulr cplusg cbs simpl1l simp1r
      cfn cvv matrcl simpld syl adantr crg simp1l ad2antrr crngring ring0cl cxp
      eqid wf cmap simpl1r matbas2i elmapi eldifi ad2antll eldifad simpr fovrnd
      3syl ifcld ringidcl 3adant2 fovrnda 3impb simpl2 simpl3 wne mdetero ifnot
      eldifsni eqcomi ovif2 ringridm syl2anc oveq2 adantl eqtr4d ifeq1da ringrz
      eqtrd syl5eq oveq12d id iftrue syl5ibrcom neneqd 3ad2ant1 notbid iffalsed
      a1i imp eleq1w 3eqtr4d pm2.61dan iftrued cmnd ringmnd wi imnan mndifsplit
      mpbi syl3anc pm2.1 3eqtr2d oveq1 eqeq1 eldifn neeq2 biimparc necomd vsnid
      mpoeq3dva elun2 ax-mp mpbiri 3eqtr4rd orc orel2 impbid2 elun velsn orbi2i
      bitr2i bitrdi 3eqtr3d biimpd difss ssfi sylancl findcard2d iba orcs neqne
      anim2i adantlr eldifsn sylibr biorf intnand eqcomd ifbieq1d 3eqtrd eqtrdi
      ) DUDUEZJBUEZUFZHKUEZGKUEZUGZHGJIUHUIZFMKKFUJZGTZMUJZHTZELUKZUWPKGULZUMZU
      EZUWSLUWPUWRJUIZUKZUXDUKZUKZUNZCUHZFMKKUWQUWSUOZUWSUWQUFZELUKZUXDUKZUNZCU
      HUWNUWOFMKKUWQUWTFUAUPZUXEUXDUKZUKZUNZCUHZTUWOFMKKUWQUWTUWPURUEZUXEUXDUKZ
      UKZUNZCUHZTUWOFMKKUWQUWTFUBUPZUXEUXDUKZUKZUNZCUHZTZUWOFMKKUWQUWTUWPUBUJZU
      CUJZULZUSZUEZUXEUXDUKZUKZUNZCUHZTZUWOUXITUAUBUCUXBUAUJZURTZUXSUYDUWOVUBUX
      RUYCCVUBFMKKUXQUYBVUBUWQUXPUYAUWTVUBUXOUXTUXEUXDVUAURUWPUQUTVAVBVCVDUAUBV
      IZUXSUYIUWOVUCUXRUYHCVUCFMKKUXQUYGVUCUWQUXPUYFUWTVUCUXOUYEUXEUXDVUAUYKUWP
      UQUTVAVBVCVDVUAUYNTZUXSUYSUWOVUDUXRUYRCVUDFMKKUXQUYQVUDUWQUXPUYPUWTVUDUXO
      UYOUXEUXDVUAUYNUWPUQUTVAVBVCVDVUAUXBTZUXSUXIUWOVUEUXRUXHCVUEFMKKUXQUXGVUE
      UWQUXPUXFUWTVUEUXOUXCUXEUXDVUAUXBUWPUQUTVAVBVCVDUWNUWOFMKKUWQUWTUXDUKZUNZ
      CUHZUYDUWJUWLUWMUWOVUHTUWIABCDEFGHIJKLMNOPQRSVEVFUYCVUGCFMKKUYBVUFUWPKUEZ
      UWRKUEZUFZUWQUYAUXDUWTUXTVGUYAUXDTVUKUWPVJUXTUXEUXDVHVKVAVLVMVNUWNUYKUXBV
      OZUYLUXBUYKUMUEZUFZUFZUYJUYTVUOUYIUYSUWOVUOFMKKFUCVIZUWSLUYLUWRJUIZUKZUYL
      HJUIZUWTDVPUHZUIZDVQUHZUIZUYGUKZUNZCUHFMKKVUPVURUYGUKZUNZCUHZUYIUYSVUOCVV
      BDVUTFMUYLGDVRUHZKVUSVURUWTUYFOVVIWMZVVBWMZVUTWMZUWIUWJUWLUWMVUNVSUWNKWAU
      EZVUNUWNUWJVVMUWIUWJUWLUWMVTUWJVVMDWBUEABDKJNQWCWDWEZWFVUOVUJUFZUWSLVUQVV
      IVVODWGUEZLVVIUEZVVOUWIVVPUWNUWIVUNVUJUWIUWJUWLUWMWHWIDWJWEZVVIDLVVJSWKWE
      ZVVOUYLUWRVVIKKJVUOKKWLZVVIJWNZVUJVUOUWJJVVIVVTWOUIUEVWAUWIUWJUWLUWMVUNWP
      ABDVVIJKNVVJQWQJVVIVVTWRXDZWFVUOUYLKUEVUJVUOUYLKUXAVUMUYLUXBUEZUWNVULUYLU
      XBUYKWSWTZXAZWFVUOVUJXBXCZXEVVOUWSELVVIVVOVVPEVVIUEVVRVVIDEVVJRXFWEVVSXEV
      UOVUIVUJUGZUYEUXEUXDVVIVWGUWSLUXDVVIVUOVUJVVQVUIVVSXGVUOVUIVUJUXDVVIUEVUO
      UWPUWRVVIKKJVWBXHXIZXEVWHXEVUOUYLHVVIKKJVWBVWEUWKUWLUWMVUNXJXCZVWEUWKUWLU
      WMVUNXKVUOVWCUYLGXLZVWDUYLKGXOWEZXMVUOVVEUYHCVUOFMKKVVDUYGVWGVUPVVDUYGTZV
      WGVUPUFZVVCUXDVVDUYGVWGVUPVVCUXDTZVWGVWNVUPVVCVUQTZVUOVUJVWOVUIVVOVVCUWSV
      GZVUQLUKZUWSVUQLUKZVVBUIZVWPUWSUOZVUQLUKZVUQVVOVURVWQVVAVWRVVBVURVWQTVVOV
      WQVURUWSVUQLXNXPYOVVOVVAUWSVUSEVUTUIZVUSLVUTUIZUKZVWRUWSVUSELVUTXQVVOVXDU
      WSVUQVXCUKVWRVVOUWSVXBVUQVXCVVOUWSUFVXBVUSVUQVVOVXBVUSTZUWSVVOVVPVUSVVIUE
      ZVXEVVRVUOVXFVUJVWIWFZVVIDVUTEVUSVVJVVLRXRXSWFUWSVUQVUSTVVOUWRHUYLJXTYAYB
      YCVVOUWSVXCLVUQVVOVVPVXFVXCLTVVRVXGVVIDVUTVUSLVVJVVLSYDXSVAYEYFYGVVODUUAU
      EZVUQVVIUEVWPUWSUFVGZVXAVWSTVVOVVPVXHVVRDUUBWEVWFVXIVVOVWPVWPUUCVXIVWPYHV
      WPUWSUUDUUFYOVWPUWSVUQVVIVVBDLVVJSVVKUUEUUGVWTVXAVUQTVVOUWSUUHVWTVUQLYIVK
      UUIXGVUPUXDVUQVVCUWPUYLUWRJUUJZVDYJYPVUPVVDVVCTVWGVUPVVCUYGYIYAVWMUYGUYFU
      XDVWMUWQUWTUYFVWGVUPUWQVGZVWGVXKVUPUYLGTZVGZVUOVUIVXMVUJVUOUYLGVWKYKYLVUP
      UWQVXLUWPUYLGUUKYMYJYPYNVWMUYEUXEUXDVWGVUPUYEVGZVWGVXNVUPUCUBUPZVGZVUOVUI
      VXPVUJVUMVXPUWNVULUYLUXBUYKUULWTYLVUPUYEVXOFUCUYKYQYMYJYPYNYEYRVUPVGZVWLV
      WGVUPVVCUYGVHYAYSUUQVCVUOVWJVVHUYSTVWKVWJVVGUYRCVWJFMKKVVFUYQVWJUWQVVFUYQ
      TVWJUWQUFZVUPVURUWTUKUWTVVFUYQVXRVUPVURUWTVXRUWPUYLVXRUYLUWPUWQUYLUWPXLVW
      JUWPGUYLUUMUUNUUOYKYNVXRVUPUYGUWTVURUWQUYGUWTTVWJUWQUWTUYFYIYAVAUWQUYQUWT
      TVWJUWQUWTUYPYIYAYRVWJVXKUFZVUPVURUYFUKZUYPVVFUYQVXSVUPVXTUYPTZVUPVYAVXSV
      UPUXEVURUYPVXTVUPUWSUXDVUQLVXJVAVUPUYOUXEUXDVUPUYOUYLUYNUEZUYLUYMUEVYBUCU
      UPUYLUYMUYKUURUUSFUCUYNYQUUTYTVUPVURUYFYIUVAYAVXQVYAVXSVXQVXTUYFUYPVUPVUR
      UYFVHVXQUYEUYOUXEUXDVXQUYEUYEVUPUOZUYOVXQUYEVYCUYEVUPUVBVUPUYEUVCUVDUYOUY
      EUWPUYMUEZUOVYCUWPUYKUYMUVEVYDVUPUYEFUYLUVFUVGUVHUVIUTYEYAYSVXKVVFVXTTVWJ
      VXKVUPUYGUYFVURUWQUWTUYFVHVAYAVXKUYQUYPTVWJUWQUWTUYPVHYAYRYSVBVCWEUVJVDUV
      KUWNVVMUXBKVOUXBWAUEVVNKUXAUVLKUXBUVMUVNUVOUXHUXNCFMKKUXGUXMVUKUWQUXGUXMT
      ZUWQVYEVUKUWQUWTUXLUXGUXMUWQUWSUXKELUWQUWSUVPUTUWQUWTUXFYIUWQUWSUXMUXLTUX
      JUXLUXDYIUVQYRYAVUKVXKUFZUXGUXFUXEUXMVXKUXGUXFTVUKUWQUWTUXFVHYAVYFUXCUXEU
      XDVYFVUIUWPGXLZUFZUXCVUIVXKVYHVUJVXKVYGVUIUWPGUVRUVSUVTUWPKGUWAUWBYTVXKUX
      EUXMTVUKVXKUWSUXJLUXLUXDUWQUWSUWCVXKUXLLVXKUXKELVXKUWQUWSVXKYHUWDYNUWEUWF
      YAUWGYSVLVMUWH $.
  $}

  ${
    $d N i j k l m $.  $d R i j k l m $.  $d B i j k l m $.
    maduf.a $e |- A = ( N Mat R ) $.
    maduf.j $e |- J = ( N maAdju R ) $.
    maduf.b $e |- B = ( Base ` A ) $.
    $( Creating the adjunct of matrices is a function from the set of matrices
       into the set of matrices.  (Contributed by Stefan O'Rear,
       11-Jul-2018.) $)
    maduf $p |- ( R e. CRing -> J : B --> B ) $=
      ( vm vi vj vk vl ccrg wcel weq cfv cif cv eqid cur c0g cmpo cmdat cbs cfn
      co wa cvv matrcl adantl simpld simpl w3a mdetf adantr 3ad2ant1 simp1l crg
      simp11l crngring ringidcl ring0cl ifcld 3syl simp2 simp3 simp11r matbas2d
      wf matecld ffvelrnd madufval fmptd ) CNOZIBJKEELMEELKPZMJPZCUAQZCUBQZRZLS
      ZMSZISZUGZRZUCZECUDUGZQZUCBDVOWCBOZUHZJKABWHCCUEQZENFWKTZHWJEUFOZCUIOZWIW
      MWNUHVOABCEWCFHUJUKULZVOWIUMWJJSEOZKSEOZUNZBWKWFWGWJWPBWKWGVJZWQVOWSWIABW
      GCWKEWGTZFHWLUOUPUQWRLMABWECWKENFWLHWJWPWMWQWOUQVOWIWPWQURWRWAEOZWBEOZUNZ
      VPVTWDWKXCVOCUSOZVTWKOVOWIWPWQXAXBUTCVAXDVQVRVSWKWKCVRWLVRTZVBWKCVSWLVSTZ
      VCVDVEXCABCWAWBWKWCEFWLHWRXAXBVFWRXAXBVGVOWIWPWQXAXBVHVKVDVIVLVIABWGCVRJK
      LIDEVSMFWTGHXEXFVMVN $.

    $d ph a b c d e i j $.  $d D a b c d e $.  $d J a b c d e i $.
    $d K a b c d e i j $.  $d M a b c d e i j $.  $d N a b c d e $.
    $d R a b c d e $.  $d X a b c d e j $.  $d L a b c d e $.
    $d .x. a b c d e i $.  $d L i j $.  $d B a b c d $.
    $( The adjuct of a transposed matrix is the transposition of the adjunct of
       the matrix.  (Contributed by Stefan O'Rear, 17-Jul-2018.) $)
    madutpos $p |- ( ( R e. CRing /\ M e. B ) ->
        ( J ` tpos M ) = tpos ( J ` M ) ) $=
      ( va vb vc vd wcel wa cfv wceq cv co eqid ccrg ctpos wral weq cur c0g cif
      wo cmpo cmdat tposmpo wb orcom a1i ancom ovtpos eqcomi ifbieq12d mpoeq3dv
      ifbid syl5eq fveq2d simpll cbs cfn cvv matrcl simpld ad2antlr w3a simp1ll
      crg crngring ringidcl ring0cl ifcld 3syl cxp cmap matbas2i elmapi fovrnda
      syl 3impb matbas2d mdettpos syl2anc eqtr3d mattposcl adantl adantr simprl
      wf simprr maducoeval2 syl211anc 3eqtr4d eqtr4di ralrimivva maduf ffvelrnd
      simplr wfn ffn ffvelrnda eqfnov2 mpbird ) CUANZEBNZOZEUBZDPZEDPZUBZQZJRZK
      RZXLSZXPXQXNSZQZKFUCJFUCZXJXTJKFFXJXPFNZXQFNZOZOZXRXQXPXMSZXSYELMFFLKUDZM
      JUDZUHZYHYGOZCUEPZCUFPZUGZLRZMRZXKSZUGZUIZFCUJSZPZMLFFYHYGUHZYGYHOZYKYLUG
      ZYOYNESZUGZUIZYSPZXRYFYEUUFUBZYSPZYTUUGYEUUHYRYSYEUUHLMFFUUEUIYRMLFFUUEUU
      FUUFTUKYELMFFUUEYQYEUUAYIUUCUUDYMYPUUAYIULYEYHYGUMUNYEUUBYJYKYLUUBYJULYEY
      GYHUOUNUTUUDYPQYEYPUUDYNYOEUPUQUNURUSVAVBYEXHUUFBNUUIUUGQXHXIYDVCZYEMLABU
      UECCVDPZFUAGUUKTZIXIFVENZXHYDXIUUMCVFNABCFEGIVGVHVIUUJYEYOFNZYNFNZVJZUUAU
      UCUUDUUKUUPXHCVLNZUUCUUKNXHXIYDUUNUUOVKCVMUUQUUBYKYLUUKUUKCYKUULYKTZVNUUK
      CYLUULYLTZVOVPVQYEUUNUUOUUDUUKNYEYOYNUUKFFEXIFFVRZUUKEWMZXHYDXIEUUKUUTVSS
      ZNUVAABCUUKEFGUULIVTEUUKUUTWAWCVIWBWDVPWEABYSCUUFFYSTZGIWFWGWHYEXHXKBNZYB
      YCXRYTQUUJXJUVDYDXIUVDXHABCEFGIWIWJZWKXJYBYCWLZXJYBYCWNZABYSCYKLXQXPDXKFY
      LMGUVCHIUURUUSWOWPYEXHXIYCYBYFUUGQUUJXHXIYDXBUVGUVFABYSCYKMXPXQDEFYLLGUVC
      HIUURUUSWOWPWQXPXQXMUPWRWSXJXLUUTXCZXNUUTXCZXOYAULXJXLUVBNZUUTUUKXLWMUVHX
      JXLBNUVJXJBBXKDXHBBDWMXIABCDFGHIWTZWKUVEXAABCUUKXLFGUULIVTWCXLUUKUUTWAUUT
      UUKXLXDVQXJXNUVBNZUUTUUKXNWMUVIXJXMBNXNBNUVLXHBBEDUVKXEABCXMFGIWIABCUUKXN
      FGUULIVTVQXNUUKUUTWAUUTUUKXNXDVQJKFFXLXNXFWGXG $.

    madugsum.d $e |- D = ( N maDet R ) $.
    madugsum.t $e |- .x. = ( .r ` R ) $.
    madugsum.k $e |- K = ( Base ` R ) $.
    madugsum.m $e |- ( ph -> M e. B ) $.
    madugsum.r $e |- ( ph -> R e. CRing ) $.
    madugsum.x $e |- ( ( ph /\ i e. N ) -> X e. K ) $.
    madugsum.l $e |- ( ph -> L e. N ) $.
    $( The determinant of a matrix with a row ` L ` consisting of the same
       element ` X ` is the sum of the elements of the ` L ` -th column of the
       adjunct of the matrix multiplied with ` X ` .  (Contributed by Stefan
       O'Rear, 16-Jul-2018.) $)
    madugsum $p |- ( ph
           -> ( R gsum ( i e. N |-> ( X .x. ( i ( J ` M ) L ) ) ) ) =
              ( D ` ( j e. N , i e. N |-> if ( j = L , X , ( j M i ) ) ) ) ) $=
      ( vb va vc vd ve cv csb cfv co cmpt cgsu wceq wcel c0g cif wel c0 csn cun
      cmpo mpteq1 oveq2d eleq2 ifbid ifeq1d mpoeq3dv fveq2d eqeq12d mpt0 oveq2i
      weq eqid gsum0 eqtri noel iffalse mp1i mpoeq3ia fveq2i cfn cvv matrcl syl
      wa wn simpld cxp cmap wf matbas2i elmapi 3syl fovrnda 3impb mdetr0 syl5eq
      eqtr4id wss cdif cplusg crg ccmn ccrg adantr crngring ringcmn simprl wral
      ssfid sselda ralrimiva ad2antrr rspcsbela syl2anc ffvelrnd fovrnd syl3anc
      maduf ringcl vex a1i eldifn ad2antll eldifi csbeq1 oveq1 oveq12d gsumunsn
      adantl cur wo wb 3ad2ant1 eqtr4d ifcld nfcv elun velsn orbi2i bitri ax-mp
      w3a ifbi cmnd ringmnd simp3 elequ1 biimpac nsyl mndifsplit ovif2 ringridm
      ifeq1da ifeq12d mpoeq3dva ring0cl ringidcl mdetrlin2 mdetrsca2 maducoeval
      ringrz eqtrd 3eqtrrd 3eqtrd ex findcard2d nfcsb1v nfov csbeq1a cbvmpt nfv
      nfif eqeq1 oveq12 ifbieq12d cbvmpo iftrue eqcomd 3eqtr4g ) AEUEMGUEUJZNUK
      ZUWDKLIULZUMZFUMZUNZUOUMZUFUEMMUFUJZKUPZUWDMUQZUWEEURULZUSZUWKUWDLUMZUSZV
      DZDULZEGMNGUJZKUWFUMZFUMZUNZUOUMHGMMHUJZKUPZNUXDUWTLUMZUSZVDZDULAEUEUGUJZ
      UWHUNZUOUMZUFUEMMUWLUEUGUTZUWEUWNUSZUWPUSZVDZDULZUPEUEVAUWHUNZUOUMZUFUEMM
      UWLUWDVAUQZUWEUWNUSZUWPUSZVDZDULZUPEUEUHUJZUWHUNZUOUMZUFUEMMUWLUEUHUTZUWE
      UWNUSZUWPUSZVDZDULZUPZEUEUYDUIUJZVBZVCZUWHUNZUOUMZUFUEMMUWLUWDUYOUQZUWEUW
      NUSZUWPUSZVDZDULZUPZUWJUWSUPUGUHUIMUXIVAUPZUXKUXRUXPUYCVUDUXJUXQEUOUEUXIV
      AUWHVEVFVUDUXOUYBDVUDUFUEMMUXNUYAVUDUWLUXMUXTUWPVUDUXLUXSUWEUWNUXIVAUWDVG
      VHVIVJVKVLUGUHVOZUXKUYFUXPUYKVUEUXJUYEEUOUEUXIUYDUWHVEVFVUEUXOUYJDVUEUFUE
      MMUXNUYIVUEUWLUXMUYHUWPVUEUXLUYGUWEUWNUXIUYDUWDVGVHVIVJVKVLUXIUYOUPZUXKUY
      QUXPVUBVUFUXJUYPEUOUEUXIUYOUWHVEVFVUFUXOVUADVUFUFUEMMUXNUYTVUFUWLUXMUYSUW
      PVUFUXLUYRUWEUWNUXIUYOUWDVGVHVIVJVKVLUXIMUPZUXKUWJUXPUWSVUGUXJUWIEUOUEUXI
      MUWHVEVFVUGUXOUWRDVUGUFUEMMUXNUWQVUGUWLUXMUWOUWPVUGUXLUWMUWEUWNUXIMUWDVGV
      HVIVJVKVLAUXRUWNUYCUXREVAUOUMUWNUXQVAEUOUEUWHVMVNEUWNUWNVPZVQVRAUYCUFUEMM
      UWLUWNUWPUSZVDZDULUWNUYBVUJDUFUEMMUYAVUIUWKMUQZUWMWHZUWLUXTUWNUWPUXSWIUXT
      UWNUPVULUWDVSUXSUWEUWNVTWAVIWBWCADEUFUEKJMUWPUWNRTVUHUBAMWDUQZEWEUQZALCUQ
      ZVUMVUNWHUABCEMLOQWFWGWJZAVUKUWMUWPJUQZAUWKUWDJMMLAVUOLJMMWKZWLUMZUQVURJL
      WMZUABCEJLMOTQWNLJVURWOWPZWQWRUDWSWTXAAUYDMXBZUYMMUYDXCUQZWHZWHZUYLVUCVVE
      UYLWHUYQUYFGUYMNUKZUYMKUWFUMZFUMZEXDULZUMZUYKVVHVVIUMZVUBVVEUYQVVJUPUYLVV
      EUYDJVVIUEEUYMWEUWHVVHTVVIVPZVVEEXEUQZEXFUQVVEEXGUQZVVMAVVNVVDUBXHZEXIWGZ
      EXJWGVVEMUYDAVUMVVDVUPXHZAVVBVVCXKZXMVVEUYGWHZVVMUWEJUQZUWGJUQUWHJUQVVEVV
      MUYGVVPXHVVSUWMNJUQZGMXLZVVTVVEUYDMUWDVVRXNZAVWBVVDUYGAVWAGMUCXOZXPGUWDMN
      JXQZXRVVSUWDKJMMUWFAVURJUWFWMZVVDUYGAUWFCUQUWFVUSUQVWFACCLIAVVNCCIWMUBBCE
      IMOPQYBWGUAXSBCEJUWFMOTQWNUWFJVURWOWPZXPVWCAKMUQZVVDUYGUDXPXTJEFUWEUWGTSY
      CYAUYMWEUQVVEUIYDYEVVCUIUHUTZWIAVVBUYMMUYDYFYGZVVEVVMVVFJUQZVVGJUQVVHJUQV
      VPVVEUYMMUQZVWBVWKVVCVWLAVVBUYMMUYDYHYGZAVWBVVDVWDXHZGUYMMNJXQXRZVVEUYMKJ
      MMUWFAVWFVVDVWGXHVWMAVWHVVDUDXHZXTJEFVVFVVGTSYCYAUEUIVOZUWEVVFUWGVVGFGUWD
      UYMNYIZUWDUYMKUWFYJYKYLXHUYLVVJVVKUPVVEUYFUYKVVHVVIYJYMVVEVVKVUBUPUYLVVEV
      UBUFUEMMUWLUYHVVFVWQEYNULZUWNUSZFUMZVVIUMZUWPUSZVDZDULUYKUFUEMMUWLVXAUWPU
      SVDDULZVVIUMVVKVVEVUAVXDDVVEUFUEMMUYTVXCVVEVUKUWMUUFZUWLUYSVXBUWPVXFUYSUY
      HVWQUWEUWNUSZVVIUMZVXBVXFUYSUYGVWQYOZUWEUWNUSZVXHUYRVXIYPUYSVXJUPUYRUYGUW
      DUYNUQZYOVXIUWDUYDUYNUUAVXKVWQUYGUEUYMUUBUUCUUDUYRVXIUWEUWNUUGUUEVXFEUUHU
      QZVVTUYGVWQWHZWIZVXJVXHUPVVEVUKVXLUWMVVEVVMVXLVVPEUUIWGYQVXFUWMVWBVVTVVEV
      UKUWMUUJVVEVUKVWBUWMVWNYQVWEXRZVVEVUKVXNUWMVVEVWIVXMVWJVWQUYGVWIUEUIUHUUK
      UULUUMYQUYGVWQUWEJVVIEUWNTVUHVVLUUNYAWTVVEVUKVXHVXBUPUWMVVEVXGVXAUYHVVIVV
      EVXGVWQVVFUWNUSZVXAVVEVWQUWEVVFUWNVWQUWEVVFUPVVEVWRYMUUQVVEVXAVWQVVFVWSFU
      MZVVFUWNFUMZUSVXPVWQVVFVWSUWNFUUOVVEVWQVXQVVFVXRUWNVVEVVMVWKVXQVVFUPVVPVW
      OJEFVWSVVFTSVWSVPZUUPXRVVEVVMVWKVXRUWNUPVVPVWOJEFVVFUWNTSVUHUVEXRUURWTYRV
      FYQUVFVIUUSVKVVEDVVIEUFUEKJMUYHVXAUWPRTVVLVVOVVQVXFUYGUWEUWNJVXOVVEVUKUWN
      JUQZUWMVVEVVMVXTVVPJEUWNTVUHUUTWGZYQYSVVEVUKVXAJUQZUWMVVEVVMVWKVWTJUQZVYB
      VVPVWOVVEVWQVWSUWNJVVEVVMVWSJUQVVPJEVWSTVXSUVAWGVYAYSZJEFVVFVWTTSYCYAYQVV
      EVUKUWMVUQVVEUWKUWDJMMLAVUTVVDVVAXHWQWRZVWPUVBVVEVXEVVHUYKVVIVVEVXEVVFUFU
      EMMUWLVWTUWPUSVDDULZFUMVVHVVEDEFUFUEVVFKJMVWTUWPRTSVVOVVQVVEVUKVYCUWMVYDY
      QVYEVWOVWPUVCVVEVVGVYFVVFFVVEVUOVWLVWHVVGVYFUPAVUOVVDUAXHVWMVWPBCDEVWSUFK
      UYMILMUWNUEORPQVXSVUHUVDYAVFYRVFUVGXHUVHUVIVUPUVJUXCUWIEUOGUEMUXBUWHUEUXB
      YTGUWEUWGFGUWDNUVKZGFYTGUWGYTUVLGUEVOZNUWEUXAUWGFGUWDNUVMZUWTUWDKUWFYJYKU
      VNVNUXHUWRDUXHUFUEMMUWLUWEUWPUSZVDUWRHGUFUEMMUXGVYJUFUXGYTUEUXGYTHVYJYTUW
      LGUWEUWPUWLGUVOVYGGUWPYTUVPHUFVOZVYHWHUXEUWLNUXFUWEUWPVYKUXEUWLYPVYHUXDUW
      KKUVQXHVYHNUWEUPVYKVYIYMUXDUWKUWTUWDLUVRUVSUVTUFUEMMVYJUWQVULUWLUWEUWOUWP
      UWMUWEUWOUPVUKUWMUWOUWEUWMUWEUWNUWAUWBYMVIWBVRWCUWC $.
  $}

  ${
    $d M a b c d $.  $d B a b c d $.  $d R a b c d $.  $d J a b c d $.
    $d .x. a b c d $.  $d .1. a b c d $.  $d .xb a b c d $.  $d N a b c d $.
    $d D a b c d $.  $d A a b $.
    madurid.a $e |- A = ( N Mat R ) $.
    madurid.b $e |- B = ( Base ` A ) $.
    madurid.j $e |- J = ( N maAdju R ) $.
    madurid.d $e |- D = ( N maDet R ) $.
    madurid.i $e |- .1. = ( 1r ` A ) $.
    madurid.t $e |- .x. = ( .r ` A ) $.
    madurid.s $e |- .xb = ( .s ` A ) $.
    $( Multiplying a matrix with its adjunct results in the identity matrix
       multiplied with the determinant of the matrix.  See Proposition 4.16 in
       [Lang] p. 518.  (Contributed by Stefan O'Rear, 16-Jul-2018.) $)
    madurid $p |- ( ( M e. B /\ R e. CRing ) -> ( M .x. ( J ` M ) ) =
        ( ( D ` M ) .xb .1. ) ) $=
      ( vc vd wcel va vb ccrg wa cfv cotp cmmul co cv cmulr cmpt cgsu cmpo eqid
      cbs simpr cfn cvv matrcl simpld adantr cxp matbas2i wf maduf adantl simpl
      cmap ffvelrnd syl mamuval wceq matmulr sylan eqtr4di oveqd weq c0g simp1l
      cif w3a simp1r elmapi 3ad2ant1 simpl2 fovrnd simp3 madugsum wfn ffnd fnov
      iftrue equtr2 oveq1d ifeq1da ifid eqtrdi mpoeq3dv eqtr4d fveq2d 3ad2antl1
      sylib eqtr2d wn simpl1r ad2antrr simpll2 3impb simpl3 wne neqne mdetralt2
      fovrnda necomd oveq1 eqtr3id ifeq2d iffalse pm2.61dan eqtrd mpoeq3dva cur
      3eqtr4d oveq2i crg crngring mdetf matsc syl3anc syl5eq 3eqtr3d ) IBTZDUCT
      ZUDZIIHUEZDJJJUFUGUHZUHUAUBJJDRJUAUIZRUIZIUHZYRUBUIZYOUHDUJUEZUHUKULUHZUM
      ZIYOFUHICUEZGEUHZYNDUOUEZJDUUAUARUBYPJJUCIYOYPUNZUUFUNZUUAUNZYLYMUPYLJUQT
      ZYMYLUUJDURTABDJIKLUSUTZVAZUULUULYLIUUFJJVBZVHUHZTZYMABDUUFIJKUUHLVCVAZYN
      YOBTYOUUNTYNBBIHYMBBHVDYLABDHJKMLVEVFYLYMVGZVIABDUUFYOJKUUHLVCVJVKYNYPFIY
      OYNYPAUJUEZFYLUUJYMYPUURVLUUKADYPJUCKUUGVMVNPVOVPYNUUCUAUBJJUAUBVQZUUDDVR
      UEZVTZUMZUUEYNUAUBJJUUBUVAYNYQJTZYTJTZWAZUUBSRJJSUBVQZYSSUIZYRIUHZVTZUMZC
      UEZUVAUVEABCDUUARSHUUFYTIJYSKMLNUUIUUHYLYMUVCUVDVSYLYMUVCUVDWBUVEYRJTZUDY
      QYRUUFJJIUVEUUMUUFIVDZUVLYNUVCUVMUVDYNUUOUVMUUPIUUFUUMWCVJZWDZVAYNUVCUVDU
      VLWEUVEUVLUPWFYNUVCUVDWGWHUVEUUSUVKUVAVLZYNUVCUUSUVPUVDYNUUSUDZUVAUUDUVKU
      USUVAUUDVLYNUUSUUDUUTWLVFUVQIUVJCUVQISRJJUVHUMZUVJYNIUVRVLZUUSYNIUUMWIUVS
      YNUUMUUFIUVNWJSRJJIWKXBVAUVQSRJJUVIUVHUUSUVIUVHVLYNUUSUVIUVFUVHUVHVTUVHUU
      SUVFYSUVHUVHUUSUVFUDYQUVGYRIUASUBWMWNWOUVFUVHWPWQVFWRWSWTXCXAUVEUUSXDZUDZ
      SRJJUVFYSSUAVQZYSUVHVTZVTZUMZCUEUUTUVKUVAUWACDSRYTYQUUFJYSUVHUUTNUUHUUTUN
      ZYLYMUVCUVDUVTXEUVEUUJUVTYNUVCUUJUVDUULWDVAUWAUVLUDYQYRUUFJJIUVEUVMUVTUVL
      UVOXFYNUVCUVDUVTUVLXGUWAUVLUPWFUWAUVGJTUVLUVHUUFTUWAUVGYRUUFJJIUVEUVMUVTU
      VOVAXMXHYNUVCUVDUVTXIYNUVCUVDUVTWEUVTYTYQXJUVEUVTYQYTYQYTXKXNVFXLUWAUVJUW
      ECUWASRJJUVIUWDUWAUVFUVHUWCYSUWAUVHUWBUVHUVHVTUWCUWBUVHWPUWAUWBUVHYSUVHUW
      BUVHYSVLUWAUVGYQYRIXOVFWOXPXQWRWTUVTUVAUUTVLUVEUUSUUDUUTXRVFYCXSXTYAYNUUE
      UUDAYBUEZEUHZUVBGUWGUUDEOYDYNUUJDYETZUUDUUFTUWHUVBVLUULYMUWIYLDYFVFYNBUUF
      ICYMBUUFCVDYLABCDUUFJNKLUUHYGVFUUQVIADEUAUBUUFUUDJUUTKUUHQUWFYHYIYJWSYK
      $.

    $( Multiplying the adjunct of a matrix with the matrix results in the
       identity matrix multiplied with the determinant of the matrix.  See
       Proposition 4.16 in [Lang] p. 518.  (Contributed by Stefan O'Rear,
       17-Jul-2018.) $)
    madulid $p |- ( ( M e. B /\ R e. CRing ) -> ( ( J ` M ) .x. M ) =
        ( ( D ` M ) .xb .1. ) ) $=
      ( wcel co wceq ccrg cfv ctpos simpr maduf ffvelrnda ancoms simpl mattposm
      wa syl3anc madutpos oveq2d mattposcl madurid sylan 3eqtr2d tposeqd matrcl
      crg cfn cvv simpld crngring matring syl2an ringcl mattpostpos syl wf eqid
      mdetf adantl adantr ffvelrnd ringidcl mattposvs syl2anc mdettpos mattpos1
      cbs oveq12d eqtrd 3eqtr3d ) IBRZDUARZUJZIHUBZIFSZUCZUCZIUCZCUBZGESZUCZWII
      CUBZGESZWGWJWNWGWJWLWHUCZFSZWLWLHUBZFSZWNWGWFWHBRZWEWJWSTWEWFUDWFWEXBWFBB
      IHABDHJKMLUEUFUGZWEWFUHZABDFJWHIKLPUIUKWGWTWRWLFWFWEWTWRTABDHIJKMLULUGUMW
      EWLBRZWFXAWNTABDIJKLUNZABCDEFGHWLJKLMNOPQUOUPUQURWGWIBRZWKWITWGAUTRZXBWEX
      GWEJVARZDUTRZXHWFWEXIDVBRABDJIKLUSVCZDVDZADJKVEVFZXCXDBAFWHILPVGUKABDWIJK
      LVHVIWGWOWMGUCZESZWQWGWMDWAUBZRGBRZWOXOTWGBXPWLCWFBXPCVJWEABCDXPJNKLXPVKZ
      VLVMWEXEWFXFVNVOWGXHXQXMBAGLOVPVIABDEXPJWMGKLXRQVQVRWGWMWPXNGEWFWEWMWPTAB
      CDIJNKLVSUGWEXIXJXNGTWFXKXLADGJKOVTVFWBWCWD $.
  $}

  ${
    $d B m n r $.  $d N i j k l m n r $.  $d R i j k l m n r $.  $d .1. n r $.
    $d .0. n r $.
    minmar1fval.a $e |- A = ( N Mat R ) $.
    minmar1fval.b $e |- B = ( Base ` A ) $.
    minmar1fval.q $e |- Q = ( N minMatR1 R ) $.
    minmar1fval.o $e |- .1. = ( 1r ` R ) $.
    minmar1fval.z $e |- .0. = ( 0g ` R ) $.
    $( First substitution for the definition of a matrix for a minor.
       (Contributed by AV, 31-Dec-2018.) $)
    minmar1fval $p |- Q = ( m e. B |-> ( k e. N , l e. N |->
                  ( i e. N , j e. N |-> if ( i = k , if ( j = l , .1. , .0. ) ,
                                                     ( i m j ) ) ) ) ) $=
      ( cvv cbs cfv vn vr cminmar1 co weq cif cv cmpo cmpt wcel wa wceq cur c0g
      cmat oveq12 eqtr4di fveq2d simpl fveq2 ifeq1d adantl mpoeq123dv mpteq12dv
      ifeq12d df-minmar1 fvexi mptex ovmpoa wn c0 mpondm0 mpt0 fveq2i matbas0pc
      eqtri syl5eq mpteq1d eqtr4d pm2.61i ) CJDUCUDZIBHLJJFGJJFHUEZGLUEZEKUFZFU
      GGUGIUGUDZUFZUHZUHZUIZOJRUJDRUJUKZWAWIULUAUBJDRRIUAUGZUBUGZUOUDZSTZHLWKWK
      FGWKWKWBWCWLUMTZWLUNTZUFZWEUFZUHZUHZUIZWIUCWKJULZWLDULZUKZIWNWTBWHXDWNAST
      ZBXDWMASXDWMJDUOUDZAWKJWLDUOUPMUQURNUQXDHLWKWKWSJJWGXBXCUSZXGXDFGWKWKWRJJ
      WFXGXGXCWRWFULXBXCWBWQWDWEXCWCWOEWPKXCWODUMTEWLDUMUTPUQXCWPDUNTKWLDUNUTQU
      QVEVAVBVCVCVDFGHIUAUBLVFZIBWHBASNVGVHVIWJVJZWAIVKWHUIZWIXIWAVKXJUAUBXAUCJ
      DRRXHVLIWHVMUQXIIBVKWHXIBXFSTZVKBXEXKNAXFSMVNVPDJVOVQVRVSVTVP $.

    $d M i j k l m $.  $d .1. m $.  $d .0. m $.
    $( Second substitution for the definition of a matrix for a minor.
       (Contributed by AV, 31-Dec-2018.) $)
    minmar1val0 $p |- ( M e. B -> ( Q ` M ) = ( k e. N , l e. N
              |-> ( i e. N , j e. N |-> if ( i = k , if ( j = l , .1. , .0. ) ,
                                                     ( i M j ) ) ) ) ) $=
      ( vm wcel cmpo weq cif cv co cvv cfv wceq cfn matrcl mpoexga syl2anc oveq
      simpld ifeq2d mpoeq3dv minmar1fval fvmptg mpdan ) IBSZHLJJFGJJFHUAZGLUAEK
      UBZFUCZGUCZIUDZUBZTZTZUESZICUFVGUGUSJUHSZVIVHUSVIDUESABDJIMNUIUMZVJHLJJVF
      UHUHUJUKRIHLJJFGJJUTVAVBVCRUCZUDZUBZTZTVGBUECVKIUGZHLJJVNVFVOFGJJVMVEVOUT
      VLVDVAVBVCVKIULUNUOUOABCDEFGHRJKLMNOPQUPUQUR $.

    $d B k l $.  $d K i j k l $.  $d L i j k l $.  $d .1. k l $.  $d .0. k l $.
    $( Third substitution for the definition of a matrix for a minor.
       (Contributed by AV, 31-Dec-2018.) $)
    minmar1val $p |- ( ( M e. B /\ K e. N /\ L e. N ) -> ( K ( Q ` M ) L )
                = ( i e. N , j e. N |-> if ( i = K , if ( j = L , .1. , .0. ) ,
                                                     ( i M j ) ) ) ) $=
      ( vk wcel wceq vl w3a cfv weq cif cv cmpo minmar1val0 3ad2ant1 cvv simpl3
      co simp2 wa cfn matrcl simpld jca adantr mpoexga syl eqeq2 ifbid ifbieq1d
      wb adantl mpoeq3dv ovmpodv2 mpd ) JBSZHKSZIKSZUBZJCUCZRUAKKFGKKFRUDZGUAUD
      ZELUEZFUFZGUFZJULZUEZUGZUGTZHIVNULFGKKVRHTZVSITZELUEZVTUEZUGZTVJVKWCVLABC
      DEFGRJKLUAMNOPQUHUIVMRUAHIKKWBWHVNUJVJVKVLUMVJVKVLRUFZHTZUKVMWJUAUFZITZUN
      ZUNKUOSZWNUNZWBUJSVMWOWMVJVKWOVLVJWNWNVJWNDUJSABDKJMNUPUQZWPURUIUSFGKKWAU
      OUOUTVAWMWBWHTVMWMFGKKWAWGWMVOWDVQWFVTWJVOWDVEWLWIHVRVBUSWLVQWFTWJWLVPWEE
      LWKIVSVBVCVFVDVGVFVHVI $.

    $d B i j $.  $d I i j $.  $d J i j $.  $d .0. i j $.  $d .1. i j $.
    $( An entry of a matrix for a minor.  (Contributed by AV, 31-Dec-2018.) $)
    minmar1eval $p |- ( ( M e. B /\ ( K e. N /\ L e. N )
                          /\ ( I e. N /\ J e. N ) )
                  -> ( I ( K ( Q ` M ) L ) J )
                     = if ( I = K , if ( J = L , .1. , .0. ) , ( I M J ) ) ) $=
      ( vi wcel wceq vj wa w3a cfv co cv cif cmpo minmar1val 3adant3 cvv simp3l
      3expb simpl3r cur fvexi c0g ifex ovex wb eqeq1 adantr adantl ifbid oveq12
      a1i ifbieq12d ovmpodv2 mpd ) JBSZHKSZIKSZUBZFKSZGKSZUBZUCZHIJCUDUEZRUAKKR
      UFZHTZUAUFZITZELUGZVSWAJUEZUGZUHTZFGVRUEFHTZGITZELUGZFGJUEZUGZTVJVMWFVPVJ
      VKVLWFABCDERUAHIJKLMNOPQUIUMUJVQRUAFGKKWEWKVRUKVJVMVNVOULVNVOVJVMVSFTZUNW
      EUKSVQWLWAGTZUBZUBVTWCWDWBELEDUOPUPLDUQQUPURVSWAJUSURVFWNWEWKTVQWNVTWGWCW
      DWIWJWLVTWGUTWMVSFHVAVBWNWBWHELWMWBWHUTWLWAGIVAVCVDVSFWAGJVEVGVCVHVI $.
  $}

  ${
    $d M i j k l $.  $d N i j k l $.  $d R i j k l $.  $d .1. i j k l $.
    minmar1marrep.a $e |- A = ( N Mat R ) $.
    minmar1marrep.b $e |- B = ( Base ` A ) $.
    minmar1marrep.o $e |- .1. = ( 1r ` R ) $.
    $( The minor matrix is a special case of a matrix with a replaced row.
       (Contributed by AV, 12-Feb-2019.)  (Revised by AV, 4-Jul-2022.) $)
    minmar1marrep $p |- ( ( R e. Ring /\ M e. B )
                   -> ( ( N minMatR1 R ) ` M ) = ( M ( N matRRep R ) .1. ) ) $=
      ( vk vl vi vj wcel co cfv weq cif cv eqid crg wa cminmar1 c0g minmar1val0
      cmpo cmarrep wceq adantl simpr ringidcl adantr marrepval0 syl2anc eqtr4d
      cbs ) CUANZEBNZUBZEFCUCOZPZJKFFLMFFLJQMKQDCUDPZRLSMSEORUFUFZEDFCUGOZOZURV
      AVCUHUQABUTCDLMJEFVBKGHUTTIVBTZUEUIUSURDCUPPZNZVEVCUHUQURUJUQVHURVGCDVGTI
      UKULABVDCDLMJEFVBKGHVDTVFUMUNUO $.
  $}

  ${
    minmar1cl.a $e |- A = ( N Mat R ) $.
    minmar1cl.b $e |- B = ( Base ` A ) $.
    $( Closure of the row replacement function for square matrices:  The matrix
       for a minor is a matrix.  (Contributed by AV, 13-Feb-2019.) $)
    minmar1cl $p |- ( ( ( R e. Ring /\ M e. B ) /\ ( K e. N /\ L e. N ) )
                     -> ( K ( ( N minMatR1 R ) ` M ) L ) e. B ) $=
      ( crg wcel wa cminmar1 co cfv cur cmarrep wceq eqid adantr oveqd ringidcl
      minmar1marrep cbs w3a simpl simpr 3jca marrepcl sylan eqeltrd ) CJKZFBKZL
      ZDGKEGKLZLZDEFGCMNOZNDEFCPOZGCQNNZNZBUPUQUSDEUNUQUSRUOABCURFGHIURSZUCTUAU
      NULUMURCUDOZKZUEUOUTBKUNULUMVCULUMUFULUMUGULVCUMVBCURVBSVAUBTUHABCURDEFGH
      IUIUJUK $.
  $}

  ${
    maducoevalmin1.a $e |- A = ( N Mat R ) $.
    maducoevalmin1.b $e |- B = ( Base ` A ) $.
    maducoevalmin1.d $e |- D = ( N maDet R ) $.
    ${
      $d H i j $.  $d I i j $.  $d M i j $.  $d N i j $.  $d R i j $.
      maducoevalmin1.j $e |- J = ( N maAdju R ) $.
      $( The coefficients of an adjunct (matrix of cofactors) expressed as
         determinants of the minor matrices (alternative definition) of the
         original matrix.  (Contributed by AV, 31-Dec-2018.) $)
      maducoevalmin1 $p |- ( ( M e. B /\ I e. N /\ H e. N )
           -> ( I ( J ` M ) H ) = ( D ` ( H ( ( N minMatR1 R ) ` M ) I ) ) ) $=
        ( vi vj wcel cfv co wceq eqid w3a cv cur c0g cmpo maducoeval minmar1val
        cif cminmar1 3com23 eqcomd fveq2d eqtrd ) HBPZFIPZEIPZUAZFEHGQRNOIINUBZ
        ESOUBZFSDUCQZDUDQZUHURUSHRUHUEZCQEFHIDUIRZQRZCQABCDUTNEFGHIVAOJLMKUTTZV
        ATZUFUQVBVDCUQVDVBUNUPUOVDVBSABVCDUTNOEFHIVAJKVCTVEVFUGUJUKULUM $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Laplace expansion of determinants (special case)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  According to Wikipedia ("Laplace expansion", 08-Mar-2019,
  ~ https://en.wikipedia.org/wiki/Laplace_expansion ) "In linear algebra, the
  Laplace expansion, named after Pierre-Simon Laplace, also called cofactor
  expansion, is an expression for the determinant det(B) of an n x n -matrix B
  that is a weighted sum of the determinants of n sub-matrices of B, each of
  size (n-1) x (n-1)". The expansion is usually performed for a row of matrix B
  (alternately for a column of matrix B). The mentioned "sub-matrices" are the
  matrices resultung from deleting the i-th row and the j-th column of matrix
  B.  The mentioned "weights" (factors/coefficients) are the elements at
  position i and j in matrix B. If the expansion is performed for a row, the
  coefficients are the elements of the selected row.

  In the following, only the case where the row for the expansion contains only
  the zero element of the underlying ring except at the diagonal position.  By
  this, the sum for the Laplace expansion is reduced to one summand, consisting
  of the element at the diagonal position multiplied with the determinant of
  the corresponding submatrix, see ~ smadiadetg or ~ smadiadetr .

$)

  ${
    $d k A $.  $d k B $.  $d k q L $.  $d k q K $.  $d k M $.  $d k N $.
    $d k q P $.  $d k q Q $.
    symgmatr01.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    $( Lemma for ~ symgmatr01 .  (Contributed by AV, 3-Jan-2019.) $)
    symgmatr01lem $p |- ( ( K e. N /\ L e. N )
                          -> ( Q e. ( P \ { q e. P | ( q ` K ) = L } )
        -> E. k e. N if ( k = K , if ( ( Q ` k ) = L , A , B ) ,
                                  ( k M ( Q ` k ) ) ) = B ) ) $=
      ( wcel wa cv cfv wceq cif co eqeq1d wn crab cdif simpll eqeq1 fveq2 ifbid
      wrex wb id oveq12d ifbieq12d adantl eqidd iftrued eldif wo wi ianor fveq1
      elrab xchnxbir pm2.21 ax-1 jaoi sylbi impcom iffalsed eqtrd rspcedvd ex )
      FILZGILZMZDCFJNZOZGPZJCUAZUBLZENZFPZVSDOZGPZABQZVSWAHRZQZBPZEIUGVMVRMZWFF
      FPZFDOZGPZABQZFWIHRZQZBPZEFIVKVLVRUCVTWFWNUHWGVTWEWMBVTVTWHWCWDWKWLVSFFUD
      VTWBWJABVTWAWIGVSFDUEZSUFVTVSFWAWIHVTUIWOUJUKSULWGWMWKBWGWHWKWLWGFUMUNWGW
      JABVRWJTZVMVRDCLZDVQLZTZMWPDCVQUOWSWQWPWSWQTZWPUPZWQWPUQZWQWJMXAWRWQWJURV
      PWJJDCVNDPVOWIGFVNDUSSUTVAWTXBWPWQWPVBWPWQVCVDVEVFVEULVGVHVIVJ $.

    $d i j k q L $.  $d i j K $.  $d i j k M $.  $d i j N $.  $d i j P $.
    $d i j Q $.  $d i j k .1. $.  $d i j k .0. $.
    symgmatr01.0 $e |- .0. = ( 0g ` R ) $.
    symgmatr01.1 $e |- .1. = ( 1r ` R ) $.
    $( Applying a permutation that does not fix a certain element of a set to a
       second element to an index of a matrix a row with 0's and a 1.
       (Contributed by AV, 3-Jan-2019.) $)
    symgmatr01 $p |- ( ( K e. N /\ L e. N )
                       -> ( Q e. ( P \ { q e. P | ( q ` K ) = L } )
                            -> E. k e. N ( k ( i e. N , j e. N
                      |-> if ( i = K , if ( j = L , .1. , .0. ) , ( i M j ) ) )
                                           ( Q ` k ) ) = .0. ) ) $=
      ( wcel wa cv wceq cfv crab cdif cif cmpo wrex symgmatr01lem imp cvv eqidd
      co weq wb eqeq1 adantr adantl ifbid oveq12 ifbieq12d simpr wi eldifi eqid
      csymg symgfv ex syl cur fvexi c0g ifex ovex ovmpod eqeq1d rexbidva mpbird
      a1i ) HKQIKQRZBAHMSUAITMAUBZUCQZGSZWABUAZEFKKESZHTZFSZITZDLUDZWCWEJUKZUDZ
      UEZUKZLTZGKUFZVRVTRZWMWAHTZWBITZDLUDZWAWBJUKZUDZLTZGKUFZVRVTXADLABGHIJKMN
      UGUHWNWLWTGKWNWAKQZRZWKWSLXCEFWAWBKKWIWSWJUIXCWJUJEGULZWEWBTZRZWIWSTXCXFW
      DWOWGWHWQWRXDWDWOUMXEWCWAHUNUOXFWFWPDLXEWFWPUMXDWEWBIUNUPUQWCWAWEWBJURUSU
      PWNXBUTWNXBWBKQZVTXBXGVAZVRVTBAQZXHBAVSVBXIXBXGKABKVDUAZWAXJVCNVEVFVGUPUH
      WSUIQXCWOWQWRWPDLDCVHPVILCVJOVIVKWAWBJVLVKVQVMVNVOVPVF $.
  $}

  ${
    $d A i j n $.  $d B i j n $.  $d G i j n $.  $d K i j n $.  $d K r $.
    $d L i j n $.  $d L r $.  $d N i j n $.  $d P r $.  $d Q r $.
    $d Q i j n $.  $d R i j n $.  $d S i j n $.  $d X i j $.  $d .0. i j n $.
    gsummatr01.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    gsummatr01.r $e |- R = { r e. P | ( r ` K ) = L } $.
    $( Lemma A for ~ gsummatr01 .  (Contributed by AV, 8-Jan-2019.) $)
    gsummatr01lem1 $p |- ( ( Q e. R /\ X e. N ) -> ( Q ` X ) e. N ) $=
      ( wcel cfv wceq cv fveq1 eqeq1d elrab2 simplbi csymg eqid symgfv sylan )
      BCKZBAKZGFKGBLFKUCUDDBLZEMZDHNZLZEMUFHBACUGBMUHUEEDUGBOPJQRFABFSLZGUITIUA
      UB $.

    $( Lemma B for ~ gsummatr01 .  (Contributed by AV, 8-Jan-2019.) $)
    gsummatr01lem2 $p |- ( ( Q e. R /\ X e. N )
                           -> ( A. i e. N A. j e. N ( i A j ) e. ( Base ` G )
                                -> ( X A ( Q ` X ) ) e. ( Base ` G ) ) ) $=
      ( wcel wa cv co cfv wral cbs simpr gsummatr01lem1 jca ovrspc2v sylan ex )
      CDOZKJOZPZEQFQARGUASZOFJTEJTZKKCSZARUKOZUJUIUMJOZPULUNUJUIUOUHUIUBBCDHIJK
      LMNUCUDEFJJUKAKUMUEUFUG $.

    gsummatr01.0 $e |- .0. = ( 0g ` G ) $.
    gsummatr01.s $e |- S = ( Base ` G ) $.
    $( Lemma 1 for ~ gsummatr01 .  (Contributed by AV, 8-Jan-2019.) $)
    gsummatr01lem3 $p |- ( ( ( G e. CMnd /\ N e. Fin )
                            /\ ( A. i e. N A. j e. N ( i A j ) e. S /\ B e. S )
                            /\ ( K e. N /\ L e. N /\ Q e. R ) )
       -> ( G gsum ( n e. ( ( N \ { K } ) u. { K } )
            |-> ( n ( i e. N , j e. N |-> if ( i = K ,
                      if ( j = L , .0. , B ) , ( i A j ) ) ) ( Q ` n ) ) ) )
      = ( ( G gsum ( n e. ( N \ { K } )
            |-> ( n ( i e. N , j e. N |-> if ( i = K ,
                      if ( j = L , .0. , B ) , ( i A j ) ) ) ( Q ` n ) ) ) )
           ( +g ` G ) ( K ( i e. N , j e. N |-> if ( i = K ,
                      if ( j = L , .0. , B ) , ( i A j ) ) ) ( Q ` K ) ) ) ) $=
      ( wcel ccmn cfn wa cv wral w3a csn cdif cbs cfv cplusg wceq cif cmpo eqid
      co simpl 3ad2ant1 diffi adantl cvv eqidd weq wb eqeq1 adantr ifbid oveq12
      ifbieq12d eldifsni neneqd iffalsed sylan9eqr eldifi gsummatr01lem1 expcom
      wi syl11 3ad2ant3 imp ovexd ovmpod 3ad2antl3 eleq2i gsummatr01lem2 sylan2
      2ralbii com3r sylbi imp31 3adantl1 eqeltrd simp31 neldifsnd iftrue simpr1
      ex sylan9eq ancoms 3adant2 c0g fvexi ifexg sylancr adantll 3adant1 cmnmnd
      cmnd mndidcl syl biimpi 3ad2ant2 ifcld id fveq2 oveq12d gsumunsn ) JUATZM
      UBTZUCZGUDZHUDZAUPZFTZHMUEGMUEZBFTZUCZKMTZLMTZDETZUFZUFZMKUGZUHZJUIUJZJUK
      UJZIJKMIUDZYQDUJZGHMMYAKULZYBLULZNBUMZYCUMZUNZUPZKKDUJZUUCUPZYOUOZYPUOXTY
      GXRYKXRXSUQURXTYGYNUBTZYKXSUUHXRMYMUSUTURYLYQYNTZUCUUDYQYRAUPZYOYKXTUUIUU
      DUUJULYGYKUUIUCZGHYQYRMMUUBUUJUUCVAUUKUUCVBGIVCZYBYRULZUCZUUKUUBYQKULZYRL
      ULZNBUMZUUJUMZUUJUUNYSUUOUUAYCUUQUUJUULYSUUOVDUUMYAYQKVEVFUUMUUAUUQULUULU
      UMYTUUPNBYBYRLVEVGUTYAYQYBYRAVHVIUUIUURUUJULYKUUIUUOUUQUUJUUIYQKYQMKVJVKV
      LUTVMUUIYQMTZYKYQMYMVNZUTYKUUIYRMTZYJYHUUIUVAVQYIUUSYJUVAUUIYJUUSUVACDEKL
      MYQOPQVOVPUUTVRVSVTUUKYQYRAWAWBWCYGYKUUIUUJYOTZXTYGYKUUIUVBYEYKUUIUVBVQVQ
      ZYFYEYCYOTZHMUEGMUEZUVCYDUVDGHMMFYOYCSWDWGYKUUIUVEUVBYJYHUUIUVEUVBVQZVQYI
      YJUUIUVFUUIYJUUSUVFUUTACDEGHJKLMYQOPQWEWFWQVSWHWIVFWJWKWLXTYGYHYIYJWMYLKM
      WNYLUUFUUELULZNBUMZYOYGYKUUFUVHULZXTYFYKUVIYEYFYKUCZGHKUUEMMUUBUVHUUCVAUV
      JUUCVBYSYBUUEULZUCUUBUVHULUVJYSUVKUUBUUAUVHYSUUAYCWOUVKYTUVGNBYBUUELVEVGW
      RUTYFYHYIYJWPYKUUEMTZYFYHYJUVLYIYJYHUVLCDEKLMKOPQVOWSWTUTUVJNVATYFUVHVATN
      JXARXBYFYKUQUVGNBVAFXCXDWBXEXFYLUVGNBYOXTYGNYOTZYKXRUVMXSXRJXHTUVMJXGYOJN
      UUGRXIXJVFURYGXTBYOTZYKYFUVNYEYFUVNFYOBSWDXKUTXLXMWLUUOYQKYRUUEUUCUUOXNYQ
      KDXOXPXQ $.

    $( Lemma 2 for ~ gsummatr01 .  (Contributed by AV, 8-Jan-2019.) $)
    gsummatr01lem4 $p |- ( ( ( ( G e. CMnd /\ N e. Fin )
                    /\ ( A. i e. N A. j e. N ( i A j ) e. S /\ B e. S )
                    /\ ( K e. N /\ L e. N /\ Q e. R ) ) /\ n e. ( N \ { K } ) )
                -> ( n ( i e. N , j e. N |-> if ( i = K ,
                             if ( j = L , .0. , B ) , ( i A j ) ) ) ( Q ` n ) )
                   = ( n ( i e. ( N \ { K } ) , j e. ( N \ { L } )
                           |-> ( i A j ) ) ( Q ` n ) ) ) $=
      ( wcel ccmn cfn wa cv co wral w3a csn cdif cfv wceq cif cmpo wi cvv eqidd
      wb eqeq1 adantr adantl ifbid oveq12 ifbieq12d eldifsni iffalsed sylan9eqr
      weq neneqd eldifi gsummatr01lem1 sylan2 ovexd ovmpod 3ad2ant3 simpr fveq1
      ex imp eqeq1d elrab2 simpll csymg eqid symgfv syl2an simplrr 3jca simpllr
      wne symgfvne syl3c jca exp42 sylbi 3imp31 eldifsn sylibr nfra1 nfcv nfel2
      nfv nfan nf3an nfra2w ovmpodxf eqtr4d ) JUATMUBTUCZGUDZHUDZAUEZFTZHMUFZGM
      UFZBFTZUCZKMTZLMTZDETZUGZUGZIUDZMKUHZUIZTZUCZYAYADUJZGHMMXHKUKZXILUKZNBUL
      ZXJULZUMZUEZYAYFAUEZYAYFGHYCMLUHUIZXJUMZUEXTYDYLYMUKZXSXGYDYPUNZXOXRXPYQX
      QXRYDYPXRYDUCZGHYAYFMMYJYMYKUOYRYKUPGIVGZXIYFUKZUCZYRYJYAKUKZYFLUKZNBULZY
      MULZYMUUAYGUUBYIXJUUDYMYSYGUUBUQYTXHYAKURUSUUAYHUUCNBYTYHUUCUQYSXIYFLURUT
      VAXHYAXIYFAVBZVCYDUUEYMUKXRYDUUBUUDYMYDYAKYAMKVDZVHVEUTVFYDYAMTZXRYAMYBVI
      ZUTYDXRUUHYFMTZUUICDEKLMYAOPQVJVKYRYAYFAVLVMVQVNVNVRYEGHYAYFYCYNXJYMYOYNU
      OYEYOUPUUAXJYMUKYEUUFUTYEYSUCYNUPXTYDVOYEUUJYFLWIZUCZYFYNTXTYDUULXSXGYDUU
      LUNZXOXRXQXPUUMXRDCTZKDUJZLUKZUCZXQXPUUMUNUNKOUDZUJZLUKUUPODCEUURDUKUUSUU
      OLKUURDVPVSQVTUUQXQXPYDUULUUQXQXPUCZUCZYDUCZUUJUUKUVAUUNUUHUUJYDUUNUUPUUT
      WAZUUIMCDMWBUJZYAUVDWCZPWDWEUVBUUNXPUUHUGUUPYAKWIZUUKUVBUUNXPUUHUVAUUNYDU
      VCUSUUQXQXPYDWFYDUUHUVAUUIUTWGUUNUUPUUTYDWHYDUVFUVAUUGUTMCDUVDKYALUVEPWJW
      KWLWMWNWOVNVRYFMLWPWQYEYAYFAVLXTYDGXGXOXSGXGGXAXMXNGXLGMWRGBFGFWSWTXBXSGX
      AXCGYAYCGYCWSWTXBXTYDHXGXOXSHXGHXAXMXNHXKGHMMXDHBFHFWSWTXBXSHXAXCHYAYCHYC
      WSWTXBHYAWSGYFWSGYMWSHYMWSXEXF $.

    $( Lemma 1 for ~ smadiadetlem4 .  (Contributed by AV, 8-Jan-2019.) $)
    gsummatr01 $p |- ( ( ( G e. CMnd /\ N e. Fin )
                          /\ ( A. i e. N A. j e. N ( i A j ) e. S /\ B e. S )
                          /\ ( K e. N /\ L e. N /\ Q e. R ) )
           -> ( G gsum ( n e. N
                |-> ( n ( i e. N , j e. N
                      |-> if ( i = K , if ( j = L , .0. , B ) , ( i A j ) ) )
                      ( Q ` n ) ) ) )
            = ( G gsum ( n e. ( N \ { K } )
                |-> ( n ( i e. ( N \ { K } ) , j e. ( N \ { L } )
                      |-> ( i A j ) ) ( Q ` n ) ) ) ) ) $=
      ( wcel ccmn cfn wa cv co wral w3a cfv wceq cif cmpo cmpt cgsu cdif cplusg
      csn cun difsnid eqcomd 3ad2ant1 3ad2ant3 mpteq1d gsummatr01lem3 cvv eqidd
      oveq2d wb fveq1 eqeq1d elrab2 eqeq2 adantl anbi2d sylbi iftrue syl6bi imp
      sylan9eq simp1 gsummatr01lem1 ancoms 3adant2 c0g fvexi ovmpod cmnd cmnmnd
      a1i adantr eqid simp1l diffi eqeq1 ifbid oveq12 ifbieq12d eldifsni neneqd
      cbs weq iffalsed sylan9eqr eldifi simp3 syl2an ovexd 3ad2antl3 wi 2ralbii
      eleq2i gsummatr01lem2 syl5bi syl2anr ex com13 3adant1 ralrimiva gsummptcl
      eqeltrd mndrid syl2anc gsummatr01lem4 mpteq2dva 3eqtrd ) JUATZMUBTZUCZGUD
      ZHUDZAUEZFTZHMUFGMUFZBFTZUCZKMTZLMTZDETZUGZUGZJIMIUDZYTDUHZGHMMYHKUIZYILU
      IZNBUJZYJUJZUKZUEZULZUMUEJIMKUPZUNZUUIUQZUUGULZUMUEJIUUJUUGULZUMUEZKKDUHZ
      UUFUEZJUOUHZUEZJIUUJYTUUAGHUUJMLUPUNYJUKUEZULZUMUEZYSUUHUULJUMYSIMUUKUUGY
      RYGMUUKUIZYNYOYPUVBYQYOUUKMMKURUSUTVAVBVFABCDEFGHIJKLMNOPQRSVCYSUURUUNNUU
      QUEZUUNUVAYSUUPNUUNUUQYRYGUUPNUIYNYRGHKUUOMMUUENUUFVDYRUUFVEYRUUBYIUUOUIZ
      UCZUUENUIZYRUVEUUBUUCUCZUVFYQYOUVEUVGVGZYPYQDCTZUUOLUIZUCZUVHKOUDZUHZLUIU
      VJODCEUVLDUIUVMUUOLKUVLDVHVIQVJUVKUVDUUCUUBUVJUVDUUCVGUVIUUOLYIVKVLVMVNVA
      UUBUUCUUEUUDNUUBUUDYJVOUUCNBVOVRVPVQYOYPYQVSYOYQUUOMTZYPYQYOUVNCDEKLMKOPQ
      VTWAWBNVDTYRNJWCRWDWHWEVAVFYSJWFTZUUNJWSUHZTUVCUUNUIYGYNUVOYRYEUVOYFJWGWI
      UTYSUVPIJUUJUUGUVPWJZYEYFYNYRWKYGYNUUJUBTZYRYFUVRYEMUUIWLVLUTYSUUGUVPTIUU
      JYSYTUUJTZUCUUGYTUUAAUEZUVPYRYGUVSUUGUVTUIYNYRUVSUCZGHYTUUAMMUUEUVTUUFVDU
      WAUUFVEGIWTZYIUUAUIZUCZUWAUUEYTKUIZUUALUIZNBUJZUVTUJZUVTUWDUUBUWEUUDYJUWG
      UVTUWBUUBUWEVGUWCYHYTKWMWIUWCUUDUWGUIUWBUWCUUCUWFNBYIUUALWMWNVLYHYTYIUUAA
      WOWPUVSUWHUVTUIYRUVSUWEUWGUVTUVSYTKYTMKWQWRXAVLXBUVSYTMTZYRYTMUUIXCZVLYRY
      QUWIUUAMTUVSYOYPYQXDZUWJCDEKLMYTOPQVTXEUWAYTUUAAXFWEXGYSUVSUVTUVPTZYNYRUV
      SUWLXHZYGYNYRUWMYLYRUWMXHYMUVSYRYLUWLUVSYRYLUWLXHZYRYQUWIUWNUVSUWKUWJYLYJ
      UVPTZHMUFGMUFYQUWIUCUWLYKUWOGHMMFUVPYJSXJXIACDEGHJKLMYTOPQXKXLXMXNXOWIVQX
      PVQXSXQXRUVPUUQJUUNNUVQUUQWJRXTYAYSUUMUUTJUMYSIUUJUUGUUSABCDEFGHIJKLMNOPQ
      RSYBYCVFYDYD $.
  $}

  ${
    $d k l B $.  $d k l M $.  $d k l N $.  $d k l R $.
    marep01ma.a $e |- A = ( N Mat R ) $.
    marep01ma.b $e |- B = ( Base ` A ) $.
    marep01ma.r $e |- R e. CRing $.
    marep01ma.0 $e |- .0. = ( 0g ` R ) $.
    marep01ma.1 $e |- .1. = ( 1r ` R ) $.
    $( Replacing a row of a square matrix by a row with 0's and a 1 results in
       a square matrix of the same dimension.  (Contributed by AV,
       30-Dec-2018.) $)
    marep01ma $p |- ( M e. B -> ( k e. N , l e. N |-> if ( k = H ,
                             if ( l = I , .1. , .0. ) , ( k M l ) ) ) e. B ) $=
      ( wcel cv wceq cif co cbs cfv ccrg eqid cfn cvv matrcl simpld a1i w3a crg
      crngring ringidcl mp2b ring0cl ifcli simp2 simp3 eleqtrdi 3ad2ant1 matecl
      id syl3anc ifcld matbas2d ) HBQZEKABERZFSZKRZGSZDJTZVHVJHUAZTCCUBUCZIUDLV
      NUEZMVGIUFQCUGQABCIHLMUHUICUDQZVGNUJVGVHIQZVJIQZUKZVIVLVMVNVLVNQVSVKDJVNV
      PCULQZDVNQNCUMZVNCDVOPUNUOVPVTJVNQNWAVNCJVOOUPUOUQUJVSVQVRHAUBUCZQZVMVNQV
      GVQVRURVGVQVRUSVGVQWCVRVGHBWBVGVCMUTVAACVHVJVNHILVOVBVDVEVF $.

    $d i j m n B $.  $d i j m n q K $.  $d i j m n q L $.  $d i j m n M $.
    $d i j m n N $.  $d i j m n q P $.  $d i j m n q Q $.  $d i j m n R $.
    $d i j m n .1. $.  $d i j m n .0. $.  $d m n G $.
    smadiadetlem.p $e |- P = ( Base ` ( SymGrp ` N ) ) $.
    smadiadetlem.g $e |- G = ( mulGrp ` R ) $.
    $( Lemma 0 for ~ smadiadet :  The products of the Leibniz' formula vanish
       for all permutations fixing the index of the row containing the 0's and
       the 1 to the column with the 1.  (Contributed by AV, 3-Jan-2019.) $)
    smadiadetlem0 $p |- ( ( M e. B /\ K e. N /\ L e. N )
          -> ( Q e. ( P \ { q e. P | ( q ` K ) = L } ) -> ( G gsum ( n e. N
               |-> ( n ( i e. N , j e. N
                      |-> if ( i = K , if ( j = L , .1. , .0. ) , ( i M j ) ) )
                      ( Q ` n ) ) ) ) = .0. ) ) $=
      ( vm wcel w3a cv cfv wceq crab cdif cif co cmpo cmpt cgsu wa ccrg a1i cfn
      cvv matrcl simpld 3ad2ant1 adantr cbs wral wi crngring mp1i eldifi adantl
      crg marep01ma matepm2cl syl3anc weq id oveq12d eleq1d rspccv syl imp wrex
      fveq2 symgmatr01 3adant1 gsummgp0 ex ) MBUEZKNUEZLNUEZUFZDCKPUGUHLUIPCUJZ
      UKUEZJINIUGZWPDUHZGHNNGUGZKUIHUGZLUIFOULWRWSMUMULUNZUMZUOUPUMOUIWMWOUQZXA
      UDUGZXCDUHZWTUMZEUDIJNOUCTEURUEZXBSUSWMNUTUEZWOWJWKXGWLWJXGEVAUEABENMQRVB
      VCVDVEXBWPNUEZXAEVFUHZUEZXBXEXIUEZUDNVGZXHXJVHXBEVMUEZDCUEZWTBUEZXLXFXMXB
      SEVIVJWOXNWMDCWNVKVLWMXOWOWJWKXOWLABEFGKLMNOHQRSTUAVNVDVEABCDEUDWTNQRUBVO
      VPXKXJUDWPNUDIVQZXEXAXIXPXCWPXDWQWTXPVRXCWPDWEVSVTWAWBWCIUDVQZXAXEUIXBXQW
      PXCWQXDWTXQVRWPXCDWEVSVLWMWOXEOUIUDNWDZWKWLWOXRVHWJCDEFGHUDKLMNOPUBTUAWFW
      GWCWHWI $.

    $d n p $.
    madetminlem.y $e |- Y = ( ZRHom ` R ) $.
    madetminlem.s $e |- S = ( pmSgn ` N ) $.
    madetminlem.t $e |- .x. = ( .r ` R ) $.
    $( Lemma 1 for ~ smadiadet :  A summand of the determinant of a matrix
       belongs to the underlying ring.  (Contributed by AV, 1-Jan-2019.) $)
    smadiadetlem1 $p |- ( ( ( M e. B /\ K e. N ) /\ p e. P )
                   -> ( ( ( Y o. S ) ` p ) ( .r ` R ) ( G gsum ( n e. N |-> ( n
    ( i e. N , j e. N |-> if ( i = K , if ( j = K , .1. , .0. ) , ( i M j ) ) )
                                         ( p ` n ) ) ) ) ) e. ( Base ` R ) ) $=
      ( ccrg wcel wa cv wceq cif co cmpo ccom cfv cmpt cgsu cmulr cbs marep01ma
      ad2antrr simpr madetsmelbas2 mp3an2i ) DUHUIMBUIZLNUIZUJZQUKZCUIZUJHINNHU
      KZLULIUKZLULGPUMVLVMMUNUMUOZBUIZVKVJOEUPUQKJNJUKZVPVJUQVNUNURUSUNDUTUQUND
      VAUQUITVGVOVHVKABDGHLLMNPIRSTUAUBVBVCVIVKVDABCVJDEJKVNNOUCUFUERSUDVEVF $.

    $d p B $.  $d p K $.  $d p L $.  $d p M $.  $d p N $.  $d p P $.  $d p R $.
    $d i j p q $.
    $( Lemma 1a for ~ smadiadet :  The summands of the Leibniz' formula vanish
       for all permutations fixing the index of the row containing the 0's and
       the 1 to the column with the 1.  (Contributed by AV, 3-Jan-2019.) $)
    smadiadetlem1a $p |- ( ( M e. B /\ K e. N /\ L e. N )
     -> ( R gsum ( p e. ( P \ { q e. P | ( q ` K ) = L } )
          |-> ( ( ( Y o. S ) ` p ) .x. ( G gsum ( n e. N
                |-> ( n ( i e. N , j e. N
                      |-> if ( i = K , if ( j = L , .1. , .0. ) , ( i M j ) ) )
                      ( p ` n ) ) ) ) ) ) ) = .0. ) $=
      ( wcel w3a cv cfv wceq crab cdif ccom cif co cmpo cmpt cgsu smadiadetlem0
      wa imp oveq2d mpteq2dva crg cbs ccrg crngring mp1i matrcl simpld 3ad2ant1
      cfn adantr eldifi adantl zrhcopsgnelbas syl3anc eqid syl2anc cmnd ringmnd
      cvv ringrz mp2b csymg fvexi difexg gsumz sylancr 3eqtrd ) NBUJZLOUJZMOUJZ
      UKZDSCLRULUMMUNRCUOZUPZSULZPEUQUMZKJOJULZXCXAUMHIOOHULZLUNIULZMUNGQURXDXE
      NUSURUTUSVAVBUSZFUSZVAZVBUSDSWTXBQFUSZVAZVBUSDSWTQVAZVBUSZQWRXHXJDVBWRSWT
      XGXIWRXAWTUJZVDZXFQXBFWRXMXFQUNABCXADGHIJKLMNOQRTUAUBUCUDUEUFVCVEVFVGVFWR
      XJXKDVBWRSWTXIQXNDVHUJZXBDVIUMZUJZXIQUNDVJUJZXOXNUBDVKZVLZXNXOOVPUJZXACUJ
      ZXQXTWRYAXMWOWPYAWQWOYADWFUJABDONTUAVMVNVOVQXMYBWRXACWSVRVSCXADEOPUEUHUGV
      TWAXPDFXBQXPWBUIUCWGWCVGVFWRDWDUJZWTWFUJZXLQUNXRXOYCUBXSDWEWHCWFUJYDWRCOW
      IUMVIUEWJCWSWFWKVLWTSDWFQUCWLWMWN $.

    $( Lemma 2 for ~ smadiadet :  The summands of the Leibniz' formula vanish
       for all permutations fixing the index of the row containing the 0's and
       the 1 to itself.  (Contributed by AV, 31-Dec-2018.) $)
    smadiadetlem2 $p |- ( ( M e. B /\ K e. N )
     -> ( R gsum ( p e. ( P \ { q e. P | ( q ` K ) = K } )
          |-> ( ( ( Y o. S ) ` p ) .x. ( G gsum ( n e. N
                |-> ( n ( i e. N , j e. N
                      |-> if ( i = K , if ( j = K , .1. , .0. ) , ( i M j ) ) )
                      ( p ` n ) ) ) ) ) ) ) = .0. ) $=
      ( wcel cfv wceq crab cdif ccom cif cmpo cmpt cgsu smadiadetlem1a 3anidm23
      cv co ) MBUILNUIDRCLQVAUJLUKQCULUMRVAZOEUNUJKJNJVAZVDVCUJHINNHVAZLUKIVAZL
      UKGPUOVEVFMVBUOUPVBUQURVBFVBUQURVBPUKABCDEFGHIJKLLMNOPQRSTUAUBUCUDUEUFUGU
      HUSUT $.

    $d W n $.
    smadiadetlem.w $e |- W = ( Base ` ( SymGrp ` ( N \ { K } ) ) ) $.
    smadiadetlem.z $e |- Z = ( pmSgn ` ( N \ { K } ) ) $.
    $( Lemma 0 for ~ smadiadetlem3 .  (Contributed by AV, 12-Jan-2019.) $)
    smadiadetlem3lem0 $p |- ( ( ( M e. B /\ K e. N ) /\ Q e. W )
        -> ( ( ( Y o. Z ) ` Q ) ( .r ` R ) ( G gsum ( n e. ( N \ { K } )
               |-> ( n ( i e. ( N \ { K } ) , j e. ( N \ { K } )
                         |-> ( i M j ) ) ( Q ` n ) ) ) ) ) e. ( Base ` R ) ) $=
      ( ccrg wcel wa csn cdif cv co cmpo cmat cbs cfv ccom cmpt cgsu wss difssd
      cmulr anim2i adantr submabas syl simpr eqid madetsmelbas2 mp3an2i ) EULUM
      NBUMZMOUMZUNZDPUMZUNZIJOMUOZUPZWCIUQJUQNURUSZWCEUTURZVAVBZUMZVTDQSVCVBLKW
      CKUQZWHDVBWDURVDVEUREVHVBUREVAVBUMUBWAVQWCOVFZUNZWGVSWJVTVRWIVQVROWBVGVIV
      JABWCEIJNOTUAVKVLVSVTVMWEWFPDESKLWDWCQUJUKUGWEVNWFVNUFVOVP $.

    $d W p $.
    $( Lemma 1 for ~ smadiadetlem3 .  (Contributed by AV, 12-Jan-2019.) $)
    smadiadetlem3lem1 $p |- ( ( M e. B /\ K e. N )
      -> ( p e. W |-> ( ( ( Y o. Z ) ` p ) ( .r ` R )
          ( G gsum ( n e. ( N \ { K } )
              |-> ( n ( i e. ( N \ { K } ) , j e. ( N \ { K } ) |-> ( i M j ) )
                                  ( p ` n ) ) ) ) ) ) : W --> ( Base ` R ) ) $=
      ( wcel wa cv ccom cfv csn cdif cmpo cmpt cgsu cmulr cbs smadiadetlem3lem0
      co fmpttd ) MBULLNULUMSOSUNZPRUOUPKJNLUQURZJUNZVIVGUPHIVHVHHUNIUNMVEUSVEU
      TVAVEDVBUPVEDVCUPABCVGDEFGHIJKLMNOPQRTUAUBUCUDUEUFUGUHUIUJUKVDVF $.

    $( Lemma 2 for ~ smadiadetlem3 .  (Contributed by AV, 12-Jan-2019.) $)
    smadiadetlem3lem2 $p |- ( ( M e. B /\ K e. N )
       -> ran ( p e. W |-> ( ( ( Y o. Z ) ` p ) ( .r ` R )
                ( G gsum ( n e. ( N \ { K } )
                  |-> ( n ( i e. ( N \ { K } ) , j e. ( N \ { K } )
                        |-> ( i M j ) ) ( p ` n ) ) ) ) ) )
          C_ ( ( Cntz ` R ) ` ran ( p e. W |-> ( ( ( Y o. Z ) ` p ) ( .r ` R )
                ( G gsum ( n e. ( N \ { K } )
                  |-> ( n ( i e. ( N \ { K } ) , j e. ( N \ { K } )
                        |-> ( i M j ) ) ( p ` n ) ) ) ) ) ) ) ) $=
      ( wcel wa ccmn cv ccom cfv csn cdif co cmpo cmpt cgsu cmulr crn cbs ccntz
      wss ccrg crngring ringcmn mp2b wral smadiadetlem3lem0 ralrimiva cntzcmnss
      crg eqid rnmptss syl sylancr ) MBULLNULUMZDUNULZSOSUOZPRUPUQKJNLURUSZJUOZ
      WFWDUQHIWEWEHUOIUOMUTVAUTVBVCUTDVDUQUTZVBZVEZDVFUQZVHZWIWIDVGUQZUQVHDVIUL
      DVQULWCUBDVJDVKVLWBWGWJULZSOVMWKWBWMSOABCWDDEFGHIJKLMNOPQRTUAUBUCUDUEUFUG
      UHUIUJUKVNVOSOWGWJWHWHVRVSVTWJWIDWLWJVRWLVRVPWA $.

    $d G p y $.  $d K i j n y $.  $d M y $.  $d N y $.  $d R y $.  $d W y $.
    $d Y p y $.  $d Z p y $.
    $( Lemma 3 for ~ smadiadet .  (Contributed by AV, 31-Jan-2019.) $)
    smadiadetlem3 $p |- ( ( M e. B /\ K e. N )
                           -> ( R gsum ( p e. { q e. P | ( q ` K ) = K }
        |-> ( ( ( Y o. S ) ` p ) ( .r ` R ) ( G gsum ( n e. ( N \ { K } )
                              |-> ( n ( i e. ( N \ { K } ) , j e. ( N \ { K } )
                                    |-> ( i M j ) ) ( p ` n ) ) ) ) ) ) )
                            = ( R gsum ( p e. W
        |-> ( ( ( Y o. Z ) ` p ) ( .r ` R ) ( G gsum ( n e. ( N \ { K } )
                              |-> ( n ( i e. ( N \ { K } ) , j e. ( N \ { K } )
                                    |-> ( i M j ) ) ( p ` n ) ) ) ) ) ) ) ) $=
      ( vy wcel wa cv ccom cfv csn cdif cmpo cmpt cgsu cmulr wceq crab cres cbs
      co cvv ccntz eqid cmnd ccrg crg crngring ringmnd a1i csymg fvexd eqeltrid
      mp2b smadiadetlem3lem1 smadiadetlem3lem2 cfn matrcl simpld symgbasfi 3syl
      adantr diffi ovexd fvexi fsuppmptdm fveq1 eqeq1d cbvrabv symgfixf1o sylan
      c0g wf1o gsumzf1o symgfixelsi adantll eqidd fveq2 oveq2d mpteq2dv oveq12d
      cbvmptv fvres sylan9eq mpteq2dva fmptco copsgndif imp oveq1d eqtrd eqtr2d
      wi ) MBUNZLNUNZUOZDTOTUPZPRUQZURZKJNLUSZUTZJUPZYIYDURZHIYHYHHUPIUPMVIVAZV
      IZVBZVCVIZDVDURZVIZVBZVCVIDYQTLSUPZURZLVEZSCVFZYDYHVGZVBZUQZVCVIDTUUAYDPE
      UQURZYNYOVIZVBZVCVIYCODVHURZUUAYQDUUCVJQDVKURZUUHVLUDUUIVLDVMUNZYCDVNUNDV
      OUNUUJUCDVPDVQWBVRYCOYHVSURZVHURZVJUKYCUUKVHVTWAABCDEFGHIJKLMNOPQRTUAUBUC
      UDUEUFUGUHUIUJUKULWCABCDEFGHIJKLMNOPQRTUAUBUCUDUEUFUGUHUIUJUKULWDYCTOYQVJ
      VJYPQYQVLYCOUULWEUKYCNWEUNZYHWEUNUULWEUNYAUUMYBYAUUMDVJUNABDNMUAUBWFWGZWJ
      NYGWKYHUULUUKUUKVLUULVLWHWIWAYCYDOUNUOYFYNYOWLQVJUNYCQDWTUDWMVRWNYAUUMYBU
      UAOUUCXAUUNCUUAOUUCLNWETUFYTLYDURZLVESTCYRYDVEYSUUOLLYRYDWOWPWQUKUUCVLWRW
      SXBYCUUDUUGDVCYCUUDTUUAUUBYEURZYNYOVIZVBUUGYCTUMUUAOUUBUMUPZYEURZKJYHYIYI
      UURURZYKVIZVBZVCVIZYOVIZUUQUUCYQYBYDUUAUNZUUBOUNYAYHCUUAOYDLNSUFUUAVLUKYH
      VLXCXDYCUUCXEYQUMOUVDVBVEYCTUMOYPUVDYDUURVEZYFUUSYNUVCYOYDUURYEXFUVFYMUVB
      KVCUVFJYHYLUVAUVFYJUUTYIYKYIYDUURWOXGXHXGXIXJVRUURUUBVEZUUSUUPUVCYNYOUURU
      UBYEXFUVGUVBYMKVCUVGJYHUVAYLUVGYIYHUNZUOUUTYJYIYKUVGUVHUUTYIUUBURYJYIUURU
      UBWOYIYHYDXKXLXGXMXGXIXNYCTUUAUUQUUFYCUVEUOUUPUUEYNYOYCUVEUUPUUEVEZYAUUMY
      BUVEUVIXTUUNCYDELNPRSUFUIULXOWSXPXQXMXRXGXS $.

    $d G i j $.
    $( Lemma 4 for ~ smadiadet .  (Contributed by AV, 31-Jan-2019.) $)
    smadiadetlem4 $p |- ( ( M e. B /\ K e. N )
                            -> ( R gsum ( p e. { q e. P | ( q ` K ) = K }
              |-> ( ( ( Y o. S ) ` p ) ( .r ` R ) ( G gsum ( n e. N
                    |-> ( n ( i e. N , j e. N |-> if ( i = K ,
                 if ( j = K , .1. , .0. ) , ( i M j ) ) ) ( p ` n ) ) ) ) ) ) )
                            = ( R gsum ( p e. W
              |-> ( ( ( Y o. Z ) ` p ) ( .r ` R ) ( G gsum ( n e. ( N \ { K } )
                    |-> ( n ( i e. ( N \ { K } ) , j e. ( N \ { K } )
                          |-> ( i M j ) ) ( p ` n ) ) ) ) ) ) ) ) $=
      ( wcel wa cv cfv wceq crab ccom cif co cmpo cmpt cgsu cmulr csn cdif ccmn
      cfn cbs wral ccrg crngmgp mp1i cvv matrcl simpld adantr jca simprl simprr
      eleq2i biimpi eqid matecl syl3anc mgpbas eleqtrdi ralrimivva crg crngring
      ring0cl mp2b eleqtri jctir simpr ringidval gsummatr01 syl113anc mpteq2dva
      oveq2d smadiadetlem3 eqtrd ) MBUMZLNUMZUNZDTLSUOUPLUQSCURZTUOZPEUSUPZKJNJ
      UOZXJXHUPZHINNHUOZLUQIUOZLUQGQUTXLXMMVAZUTVBVAVCVDVAZDVEUPZVAZVCZVDVADTXG
      XIKJNLVFVGZXJXKHIXSXSXNVBVAVCVDVAZXPVAZVCZVDVADTOXHPRUSUPXTXPVAVCVDVAXFXR
      YBDVDXFTXGXQYAXFXHXGUMZUNZXOXTXIXPYDKVHUMZNVIUMZUNZXNKVJUPZUMZINVKHNVKZQY
      HUMZUNXEXEYCXOXTUQXFYGYCXFYEYFDVLUMZYEXFUCDKUGVMVNXDYFXEXDYFDVOUMABDNMUAU
      BVPVQVRVSVRYDYJYKXFYJYCXFYIHINNXFXLNUMZXMNUMZUNZUNZXNDVJUPZYHYPYMYNMAVJUP
      ZUMZXNYQUMXFYMYNVTXFYMYNWAXFYSYOXDYSXEXDYSBYRMUBWBWCVRVRADXLXMYQMNUAYQWDZ
      WEWFYQDKUGYTWGZWHWIVRQYQYHYLDWJUMQYQUMUCDWKYQDQYTUDWLWMUUAWNWOXFXEYCXDXEW
      PVRZUUBXFYCWPMQCXHXGYHHIJKLLNGSUFXGWDDGKUGUEWQYHWDWRWSXAWTXAABCDEFGHIJKLM
      NOPQRSTUAUBUCUDUEUFUGUHUIUJUKULXBXC $.
  $}

  ${
    $d i j n p B $.  $d i j n p q K $.  $d i j n p M $.  $d i j n p q N $.
    $d i j n p R $.
    smadiadet.a $e |- A = ( N Mat R ) $.
    smadiadet.b $e |- B = ( Base ` A ) $.
    smadiadet.r $e |- R e. CRing $.
    smadiadet.d $e |- D = ( N maDet R ) $.
    smadiadet.h $e |- E = ( ( N \ { K } ) maDet R ) $.
    $( The determinant of a submatrix of a square matrix obtained by removing a
       row and a column at the same index equals the determinant of the
       original matrix with the row replaced with 0's and a 1 at the diagonal
       position.  (Contributed by AV, 31-Jan-2019.)  (Proof shortened by AV,
       24-Jul-2019.) $)
    smadiadet $p |- ( ( M e. B /\ K e. N )
         -> ( E ` ( K ( ( N subMat R ) ` M ) K ) )
            = ( D ` ( K ( ( N minMatR1 R ) ` M ) K ) ) ) $=
      ( vi vj vp wcel co cfv eqid vn vq wa csubma csn cdif cv cminmar1 submaval
      cmpo wceq 3anidm23 fveq2d cur c0g cif csymg cbs czrh cpsgn ccom cmgp cmpt
      cgsu cmulr minmar1val ccrg marep01ma mdetleib2 sylancr adantr crab cplusg
      ccmn crg crngring ringcmn mp2b a1i cfn cvv matrcl symgbasfi smadiadetlem1
      simpld syl cin disjdif cun wss ssrab2 undif sylib eqcomd gsummptfidmsplit
      smadiadetlem4 smadiadetlem2 oveq12d cmnd ringmnd diffi cmat simpll difssd
      c0 submabas syl2anc simpr madetsmelbas2 mp3an2i ralrimiva gsummptcl jctil
      mndrid sylan2 eqtr4d 3eqtrd ) GBQZFHQZUCZFFGHDUDRZSRZESNOHFUEZUFZYDNUGZOU
      GZGRZUJZESZFFGHDUHRZSRZCSZXTYBYHEXRXSYBYHUKABYADNOFFGHIYATJUIULUMXTYLNOHH
      YEFUKYFFUKDUNSZDUOSZUPYGUPUJZCSZDPHUQSZURSZPUGZDUSSZHUTSZVASDVBSZUAHUAUGZ
      UUCYSSZYORVCVDRDVESZRZVCVDRZYIXTYKYOCXRXSYKYOUKABYJDYMNOFFGHYNIJYJTYMTZYN
      TZVFULUMXRYPUUGUKZXSXRDVGQZYOBQUUJKABDYMNFFGHYNOIJKUUIUUHVHUAABCYRDUUAUUE
      UUBYOHYTPLIJYRTZYTTZUUATZUUETZUUBTZVIVJVKXTUUGDPFUBUGSFUKZUBYRVLZUUFVCVDR
      ZDPYRUURUFZUUFVCVDRZDVMSZRDPYDUQSZURSZYSYTYDUTSZVASUUBUAYDUUCUUDYHRVCVDRU
      UERZVCVDRZYNUVBRZYIXTYRDURSZUURUUTUVBPDUUFUVITZUVBTZDVNQZXTUUKDVOQZUVLKDV
      PZDVQVRVSZXRYRVTQZXSXRHVTQZUVPXRUVQDWAQABDHGIJWBWEZHYRYQYQTUULWCWFVKABYRD
      UUAUUEYMNOUAUUBFGHYTYNPIJKUUIUUHUULUUPUUMUUNUUOWDUURUUTWGXEUKXTUURYRWHVSX
      TUURUUTWIZYRXTUURYRWJZUVSYRUKUVTXTUUQUBYRWKVSUURYRWLWMWNWOXTUUSUVGUVAYNUV
      BABYRDUUAUUEYMNOUAUUBFGHUVDYTYNUVEUBPIJKUUIUUHUULUUPUUMUUNUUOUVDTZUVETZWP
      ABYRDUUAUUEYMNOUAUUBFGHYTYNUBPIJKUUIUUHUULUUPUUMUUNUUOWQWRXTUVHUVGYIXTDWS
      QZUVGUVIQUVHUVGUKUUKUVMUWCKUVNDWTVRXTUVIPDUVDUVFUVJUVOXTYDVTQZUVDVTQXRUWD
      XSXRUVQUWDUVRHYCXAWFVKYDUVDUVCUVCTUWAWCWFXTUVFUVIQZPUVDUUKXTYSUVDQZUCZYHY
      DDXBRZURSZQZUWFUWEKUWGXRYDHWJZUWJXRXSUWFXCUWGHYCXDABYDDNOGHIJXFZXGXTUWFXH
      UWHUWIUVDYSDUVEUAUUBYHYDYTUWAUWBUUMUWHTZUWITZUUPXIXJXKXLUVIUVBDUVGYNUVJUV
      KUUIXNVJXTUUKUWJUCZYIUVGUKXSXRUWKUWOXSHYCXDXRUWKUCUWJUUKUWLKXMXOUAUWHUWIE
      UVDDUVEUUEUUBYHYDYTPMUWMUWNUWAUUMUWBUUOUUPVIWFXPXQXQXP $.

    $d S i j $.
    $( Lemma 1 for ~ smadiadetg .  (Contributed by AV, 13-Feb-2019.) $)
    smadiadetglem1 $p |- ( ( M e. B /\ K e. N /\ S e. ( Base ` R ) )
       -> ( ( K ( M ( N matRRep R ) S ) K ) |` ( ( N \ { K } ) X. N ) )
          = ( ( K ( ( N minMatR1 R ) ` M ) K ) |` ( ( N \ { K } ) X. N ) ) ) $=
      ( vi vj wcel co cres wceq cbs cfv w3a cmarrep csn cxp cur cminmar1 cv c0g
      cdif cif cmpo mpodifsnif eqtr4i wss difss ssid pm3.2i resmpo mp1i 3eqtr4a
      wa simp1 simp3 eqid marrepval syl22anc reseq1d ccrg crg crngring ringidcl
      simp2 syl 3eqtr4d ax-mp minmar1marrep sylancr eqcomd oveqd eqtrd ) HBQZGI
      QZEDUAUBZQZUCZGGHEIDUDRZRRZIGUEZUKZIUFZSZGGHDUGUBZWHRZRZWLSZGGHIDUHRUBZRZ
      WLSWGOPIIOUIZGTZPUIZGTZEDUJUBZULZWTXBHRZULZUMZWLSZOPIIXAXCWNXDULZXFULZUMZ
      WLSZWMWQWGOPWKIXGUMZOPWKIXKUMZXIXMXNOPWKIXFUMXOIIXEXFOPGUNIIXJXFOPGUNUOWK
      IUPZIIUPZVCZXIXNTWGXPXQIWJUQIURUSZOPIIWKIXGUTVAXRXMXOTWGXSOPIIWKIXKUTVAVB
      WGWIXHWLWGWCWFWDWDWIXHTWCWDWFVDZWCWDWFVEWCWDWFVNZYAABWHDEOPGGHIXDJKWHVFZX
      DVFZVGVHVIWGWPXLWLWGWCWNWEQZWDWDWPXLTXTDVJQZYDWGLYEDVKQZYDDVLZWEDWNWEVFWN
      VFZVMVOVAYAYAABWHDWNOPGGHIXDJKYBYCVGVHVIVPWGWPWSWLWGWOWRGGWGWRWOWGYFWCWRW
      OTYEYFLYGVQXTABDWNHIJKYHVRVSVTWAVIWB $.

    $d .x. i j $.
    smadiadetg.x $e |- .x. = ( .r ` R ) $.
    $( Lemma 2 for ~ smadiadetg .  (Contributed by AV, 14-Feb-2019.) $)
    smadiadetglem2 $p |- ( ( M e. B /\ K e. N /\ S e. ( Base ` R ) )
                       -> ( ( K ( M ( N matRRep R ) S ) K ) |` ( { K } X. N ) )
                          = ( ( ( { K } X. N ) X. { S } ) oF
              .x. ( ( K ( ( N minMatR1 R ) ` M ) K ) |` ( { K } X. N ) ) ) ) $=
      ( vi vj wcel wceq cbs cfv w3a csn cxp cv cur c0g cif cmpo cof co cminmar1
      cres cmarrep cvv snex a1i cfn matrcl elex adantr syl 3ad2ant1 simp13 ccrg
      wa crg crngring mp1i eqid ringidcl ring0cl ifcld fconstmpo eqidd offval22
      ringridm mpancom 3ad2ant3 ad2antrl iftrue oveq2d 3eqtr4d ringrz pm2.61ian
      wn iffalse 3adant2 mpoeq3dva eqtrd simp2 minmar1val syld3an3 wss 3ad2ant2
      reseq1d snssi ssid resmpo sylancl mposnif 3eqtrd 3simpb syl12anc 3eqtr4rd
      marrepval ) IBSZHJSZEDUAUBZSZUCZHUDZJUEZEUDUEZQRXMJRUFZHTZDUGUBZDUHUBZUIZ
      UJZFUKZULZQRXMJXQEXSUIZUJZXOHHIJDUMULZUBULZXNUNZYBULHHIEJDUOULZULULZXNUNZ
      XLYCQRXMJEXTFULZUJYEXLQRXMJEXTFXOYAUPUPXJXJXMUPSXLHUQURXHXIJUPSZXKXHJUSSZ
      DUPSZVGYMABDJIKLUTYNYMYOJUSVAVBVCVDXHXIXKQUFZXMSZXPJSZVEXLYQYRUCZDVHSZXTX
      JSDVFSZYTYSMDVIZVJYTXQXRXSXJXJDXRXJVKZXRVKZVLXJDXSUUCXSVKZVMVNVCXOQRXMJEU
      JTXLQRXMJEVOURXLYAVPVQXLQRXMJYLYDXLYRYLYDTZYQXQXLYRVGZUUFXQUUGVGZEXRFULZE
      YLYDXLUUIETZXQYRXKXHUUJXIYTXKUUJUUAYTXKMUUBVJZXJDFXREUUCPUUDVRVSVTWAUUHXT
      XREFXQXTXRTUUGXQXRXSWBVBWCXQYDETUUGXQEXSWBVBWDXQWGZUUGVGEXSFULZXSYLYDXLUU
      MXSTZUULYRXKXHUUNXIYTXKUUNUUKXJDFEXSUUCPUUEWEVSVTWAUULYLUUMTUUGUULXTXSEFX
      QXRXSWHWCVBUULYDXSTUUGXQEXSWHVBWDWFWIWJWKXLYHYAXOYBXLYHQRJJYPHTZXTYPXPIUL
      ZUIZUJZXNUNZQRXMJUUQUJZYAXLYGUURXNXHXIXKXIYGUURTXHXIXKWLZABYFDXRQRHHIJXSK
      LYFVKUUDUUEWMWNWQXLXMJWOZJJWOZUUSUUTTXIXHUVBXKHJWRWPZJWSZQRJJXMJUUQWTXAUU
      TYATXLJXTUUPQRHXBURXCWCXLYKQRJJUUOYDUUPUIZUJZXNUNZQRXMJUVFUJZYEXLYJUVGXNX
      LXHXKVGXIXIYJUVGTXHXIXKXDUVAUVAABYIDEQRHHIJXSKLYIVKUUEXGXEWQXLUVBUVCUVHUV
      ITUVDUVEQRJJXMJUVFWTXAUVIYETXLJYDUUPQRHXBURXCXF $.

    $( The determinant of a square matrix with one row replaced with 0's and an
       arbitrary element of the underlying ring at the diagonal position equals
       the ring element multiplied with the determinant of a submatrix of the
       square matrix obtained by removing the row and the column at the same
       index.  (Contributed by AV, 14-Feb-2019.) $)
    smadiadetg $p |- ( ( M e. B /\ K e. N /\ S e. ( Base ` R ) )
                     -> ( D ` ( K ( M ( N matRRep R ) S ) K ) )
                        = ( S .x. ( E ` ( K ( ( N subMat R ) ` M ) K ) ) ) ) $=
      ( wcel cbs cfv co w3a cmarrep cminmar1 csubma eqid ccrg a1i crngring mp1i
      crg simp1 simp3 simp2 marrepcl syl32anc minmar1cl syl22anc smadiadetglem2
      smadiadetglem1 mdetrsca wceq smadiadet 3adant3 eqcomd oveq2d eqtrd ) IBQZ
      HJQZEDRSZQZUAZHHIEJDUBTTTZCSEHHIJDUCTSTZCSZFTEHHIJDUDTSTGSZFTVKABCDFHVIJV
      LEVMNKLVIUEPDUFQZVKMUGVKDUJQZVGVJVHVHVLBQVPVQVKMDUHUIZVGVHVJUKZVGVHVJULZV
      GVHVJUMZWAABDEHHIJKLUNUOVTVKVQVGVHVHVMBQVRVSWAWAABDHHIJKLUPUQWAABCDEFGHIJ
      KLMNOPURABCDEGHIJKLMNOUSUTVKVNVOEFVKVOVNVGVHVOVNVAVJABCDGHIJKLMNOVBVCVDVE
      VF $.
  $}

  ${
    smadiadetg0.r $e |- R e. CRing $.
    $( Lemma for ~ smadiadetr : version of ~ smadiadetg with all hypotheses
       defining class variables removed, i.e. all class variables defined in
       the hypotheses replaced in the theorem by their definition.
       (Contributed by AV, 15-Feb-2019.) $)
    smadiadetg0 $p |- ( ( M e. ( Base ` ( N Mat R ) ) /\ K e. N
                          /\ S e. ( Base ` R ) )
                       -> ( ( N maDet R ) ` ( K ( M ( N matRRep R ) S ) K ) )
                          = ( S ( .r ` R ) ( ( ( N \ { K } ) maDet R ) `
                                        ( K ( ( N subMat R ) ` M ) K ) ) ) ) $=
      ( cmat co cbs cfv cmdat cmulr csn cdif eqid smadiadetg ) EAGHZQIJZEAKHZAB
      ALJZECMNAKHZCDEQOROFSOUAOTOP $.
  $}

  $( The determinant of a square matrix with one row replaced with 0's and an
     arbitrary element of the underlying ring at the diagonal position equals
     the ring element multiplied with the determinant of a submatrix of the
     square matrix obtained by removing the row and the column at the same
     index.  Closed form of ~ smadiadetg .  Special case of the "Laplace
     expansion", see definition in [Lang] p. 515.  (Contributed by AV,
     15-Feb-2019.) $)
  smadiadetr $p |- ( ( ( R e. CRing /\ M e. ( Base ` ( N Mat R ) ) )
                       /\ ( K e. N /\ S e. ( Base ` R ) ) )
                     -> ( ( N maDet R ) ` ( K ( M ( N matRRep R ) S ) K ) )
                        = ( S ( .r ` R ) ( ( ( N \ { K } ) maDet R ) `
                                        ( K ( ( N subMat R ) ` M ) K ) ) ) ) $=
    ( ccrg wcel cmat co cbs cfv wa cmarrep cmdat csubma cmulr wceq ccnfld oveq2
    oveqd csn cdif wi cif w3a 3anass fveq2d eleq2d fveq2 3anbi13d bitr3id eqidd
    fveq12d fveq1d oveq123d eqeq12d imbi12d cncrng elimel smadiadetg0 dedth
    impl ) AFGZDEAHIZJKZGZCEGZBAJKZGZLZCCDBEAMIZIZIZEANIZKZBCCDEAOIZKZIZECUAUBZ
    ANIZKZAPKZIZQZVCVFVJLZWDUCDEVCARUDZHIZJKZGZVGBWFJKZGZUEZCCDBEWFMIZIZIZEWFNI
    ZKZBCCDEWFOIZKZIZVSWFNIZKZWFPKZIZQZUCARAWFQZWEWLWDXEWEVFVGVIUEXFWLVFVGVIUFX
    FVFWIVIWKVGXFVEWHDXFVDWGJAWFEHSUGUHXFVHWJBAWFJUIUHUJUKXFVOWQWCXDXFVMWOVNWPA
    WFENSXFVLWNCCXFVKWMDBAWFEMSTTUMXFBBWAXBWBXCAWFPUIXFBULXFVRWTVTXAAWFVSNSXFVQ
    WSCCXFDVPWRAWFEOSUNTUMUOUPUQWFBCDEARFURUSUTVAVB $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Inverse matrix
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    invrvald.b $e |- B = ( Base ` R ) $.
    invrvald.t $e |- .x. = ( .r ` R ) $.
    invrvald.o $e |- .1. = ( 1r ` R ) $.
    invrvald.u $e |- U = ( Unit ` R ) $.
    invrvald.i $e |- I = ( invr ` R ) $.
    invrvald.r $e |- ( ph -> R e. Ring ) $.
    invrvald.x $e |- ( ph -> X e. B ) $.
    invrvald.y $e |- ( ph -> Y e. B ) $.
    invrvald.xy $e |- ( ph -> ( X .x. Y ) = .1. ) $.
    invrvald.yx $e |- ( ph -> ( Y .x. X ) = .1. ) $.
    $( If a matrix multiplied with a given matrix (from the left as well as
       from the right) results in the identity matrix, this matrix is the
       inverse (matrix) of the given matrix.  (Contributed by Stefan O'Rear,
       17-Jul-2018.) $)
    invrvald $p |- ( ph -> ( X e. U /\ ( I ` X ) = Y ) ) $=
      ( cfv wcel wceq cdsr coppr co eqid dvdsrmul syl2anc breqtrd cmulr opprbas
      wbr opprmul syl5eq isunit sylanbrc cmgp cress c0g crg unitgrpid syl eqtrd
      cgrp wb unitgrp unitgrpbas cplusg fvexi mgpplusg ressplusg ax-mp invrfval
      cvv cui grpinvid1 syl3anc mpbird jca ) AHEUAZHGTIUBZAHFCUCTZULHFCUDTZUCTZ
      ULVTAHIHDUEZFWBAHBUAZIBUAZHWEWBULPQBWBCDHIJWBUFZKUGUHSUIAHIHWCUJTZUEZFWDA
      WFWGHWJWDULPQBWDWCWIHIBCWCWCUFZJUKZWDUFZWIUFZUGUHAWJHIDUEZFBCWIDWCIHJKWKW
      NUMRUNUIWBCWCEFWDHMLWHWKWMUOUPZAWAWOCUQTZEURUEZUSTZUBZAWOFWSRACUTUAZFWSUB
      OCEFWRMWRUFZLVAVBVCAWRVDUAZVTIEUAZWAWTVEAXAXCOCEWRMXBVFVBWPAIFWBULIFWDULX
      DAIWOFWBAWGWFIWOWBULQPBWBCDIHJWHKUGUHRUIAIHIWIUEZFWDAWGWFIXEWDULQPBWDWCWI
      IHWLWMWNUGUHAXEWEFBCWIDWCHIJKWKWNUMSUNUIWBCWCEFWDIMLWHWKWMUOUPEDWRGHIWSCE
      WRMXBVGEVNUADWRVHTUBECVOMVIEDWQWRVNXBCDWQWQUFKVJVKVLWSUFCEWRGMXBNVMVPVQVR
      VS $.
  $}

  ${
    matinv.a $e |- A = ( N Mat R ) $.
    matinv.j $e |- J = ( N maAdju R ) $.
    matinv.d $e |- D = ( N maDet R ) $.
    matinv.b $e |- B = ( Base ` A ) $.
    matinv.u $e |- U = ( Unit ` A ) $.
    matinv.v $e |- V = ( Unit ` R ) $.
    matinv.h $e |- H = ( invr ` R ) $.
    matinv.i $e |- I = ( invr ` A ) $.
    matinv.t $e |- .xb = ( .s ` A ) $.
    $( The inverse of a matrix is the adjunct of the matrix multiplied with the
       inverse of the determinant of the matrix if the determinant is a unit in
       the underlying ring.  Proposition 4.16 in [Lang] p. 518.  (Contributed
       by Stefan O'Rear, 17-Jul-2018.) $)
    matinv $p |- ( ( R e. CRing /\ M e. B /\ ( D ` M ) e. V ) ->
        ( M e. U /\ ( I ` M ) = ( ( H ` ( D ` M ) ) .xb ( J ` M ) ) ) ) $=
      ( ccrg wcel cfv w3a cmulr cur co eqid casa crg cfn matrcl simpld 3ad2ant2
      cvv simp1 matassa syl2anc assaring syl simp2 clmod csca assalmod crngring
      3ad2ant1 simp3 ringinvcl wceq matsca2 fveq2d eleqtrd wf ffvelrnd lmodvscl
      cbs maduf syl3anc assaassr syl13anc madurid oveq2d unitlinv oveqd 3eqtr3d
      oveq1d unitcl 3ad2ant3 ringidcl lmodvsass lmodvs1 3eqtrd assaass invrvald
      madulid ) DUBUCZJBUCZJCUDZLUCZUEZBAAUFUDZFAUGUDZHJWSGUDZJIUDZEUHZPXBUIZXC
      UIZQTXAAUJUCZAUKUCZXAKULUCZWQXIWRWQXKWTWRXKDUPUCABDKJMPUMUNUOZWQWRWTUQZAD
      KMURUSZAUTVAZWQWRWTVBZXAAVCUCZXDAVDUDZVQUDZUCZXEBUCZXFBUCXAXIXQXNAVEVAZXA
      XDDVQUDZXSXADUKUCZWTXDYCUCWQWRYDWTDVFVGZWQWRWTVHZYCDLGWSRSYCUIZVIUSXADXRV
      QXAXKWQDXRVJXLXMADKUBMVKUSZVLZVMZXABBJIWQWRBBIVNWTABDIKMNPVRVGXPVOZXDEXRX
      SBAXEPXRUIZUAXSUIZVPVSXAJXFXBUHZXDJXEXBUHZEUHZXDWSXCEUHZEUHZXCXAXIXTWRYAY
      NYPVJXNYJXPYKXDXSEXBXRBAJXEPYLYMUAXGVTWAXAYOYQXDEXAWRWQYOYQVJXPXMABCDEXBX
      CIJKMPNOXHXGUAWBUSWCXAXDWSXRUFUDZUHZXCEUHZXRUGUDZXCEUHZYRXCXAYTUUBXCEXAXD
      WSDUFUDZUHZDUGUDZYTUUBXAYDWTUUEUUFVJYEYFDUUDLUUFGWSRSUUDUIUUFUIWDUSXAUUDY
      SXDWSXADXRUFYHVLWEXADXRUGYHVLWFWGXAXQXTWSXSUCXCBUCZUUAYRVJYBYJXAWSYCXSWTW
      QWSYCUCWRYCDLWSYGRWHWIYIVMXAXJUUGXOBAXCPXHWJVAZXDWSEYSXRXSBAXCPYLUAYMYSUI
      WKWAXAXQUUGUUCXCVJYBUUHEUUBXRBAXCPYLUAUUBUIWLUSWFZWMXAXFJXBUHZXDXEJXBUHZE
      UHZYRXCXAXIXTYAWRUUJUULVJXNYJYKXPXDXSEXBXRBAXEJPYLYMUAXGWNWAXAUUKYQXDEXAW
      RWQUUKYQVJXPXMABCDEXBXCIJKMPNOXHXGUAWPUSWCUUIWMWO $.
  $}

  ${
    matunit.a $e |- A = ( N Mat R ) $.
    matunit.d $e |- D = ( N maDet R ) $.
    matunit.b $e |- B = ( Base ` A ) $.
    matunit.u $e |- U = ( Unit ` A ) $.
    matunit.v $e |- V = ( Unit ` R ) $.
    $( A matrix is a unit in the ring of matrices iff its determinant is a unit
       in the underlying ring.  (Contributed by Stefan O'Rear, 17-Jul-2018.) $)
    matunit $p |- ( ( R e. CRing /\ M e. B ) ->
        ( M e. U <-> ( D ` M ) e. V ) ) $=
      ( wcel cfv wceq eqid simpld sylancom co ccrg cinvr cbs cmulr cur crngring
      wa crg ad2antrr mdetcl adantr wf mdetf cfn cvv ad2antlr matring ringinvcl
      matrcl syl2anc ffvelrnd unitrinv fveq2d mdetmul syl3anc unitlinv invrvald
      simpll simplr mdet1 3eqtr3d w3a cmadu cvsca matinv 3expa impbida ) DUANZF
      BNZUGZFENZFCOZHNZVTWAUGZWCWBDUBOZOZFAUBOZOZCOZPWDDUCOZDDUDOZHDUEOZWEWBWIW
      JQZWKQZWLQZMWEQZVRDUHNZVSWADUFUIZVTWBWJNWAABCDWJFGJIKWMUJUKWDBWJWHCVRBWJC
      ULVSWAABCDWJGJIKWMUMUIVTWAAUHNZWHBNZWDGUNNZWQWSVSXAVRWAVSXADUONABDGFIKUSR
      UPZWRADGIUQUTZBAEWGFLWGQZKURSZVAWDFWHAUDOZTZCOZAUEOZCOZWBWIWKTZWLWDXGXICV
      TWAWSXGXIPXCAXFEXIWGFLXDXFQZXIQZVBSVCWDVRVSWTXHXKPVRVSWAVHZVRVSWAVIZXEABC
      DXFWKFWHGIKJWNXLVDVEWDVRXAXJWLPXNXBACDWLXIGJIXMWOVJUTZVKWDWHFXFTZCOZXJWIW
      BWKTZWLWDXQXICVTWAWSXQXIPXCAXFEXIWGFLXDXLXMVFSVCWDVRWTVSXRXSPXNXEXOABCDXF
      WKWHFGIKJWNXLVDVEXPVKVGRVRVSWCWAVRVSWCVLWAWHWFFGDVMTZOAVNOZTPABCDYAEWEWGX
      TFGHIXTQJKLMWPXDYAQVORVPVQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cramer's rule
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  In the following, Cramer's rule ~ cramer is proven.  According to Wikipedia
  "Cramer's rule", 21-Feb-2019,
  ~ https://en.wikipedia.org/wiki/Cramer%27s_rule :
  "[Cramer's rule] ... expresses the [[unique] solution [of a system of linear
  equations] in terms of the determinants of the (square) coefficient matrix
  and of matrices obtained from it by replacing one column by the column vector
  of right-hand sides of the equations."

  The outline of the proof for systems of linear equations with coefficients
  from a commutative ring, according to the proof in Wikipedia
  ( ~ https://en.wikipedia.org/wiki/Cramer's_rule#A_short_proof), is as
  follows:

  The system of linear equations ` A .X. X = B ` to be solved shall be given by
  the N x N coefficient matrix  ` A ` and the N-dimensional vector ` B `.
  Let ` ( A `` i ) ` be the matrix obtained by replacing the i-th column of the
  coefficient matrix ` A ` by the right-hand side vector ` B `.  Additionally,
  let ` ( X `` i ) ` be the matrix obtained by replacing the i-th column of the
  identity matrix by the solution vector ` X `, with ` X = ( x `` i ) `.
  Finally, it is assumed that det ` A ` is a unit in the underlying ring.

  With these definitions, it follows that ` A .X. ( X `` i ) = ( A ``  i ) `
  ( ~ cramerimplem2 ), using matrix multiplication ( ~ mamuval ) and
  multiplication of a vector with a matrix ( ~ mulmarep1gsum2 ).  By using the
  multiplicativity of the determinant ( ~ mdetmul ) it follows that
  det ` ( A ``  i ) = ` det ` ( A .X. ( X `` i ) ) = ` det ` A .x. ` det
  ` ( X `` i ) ` ( ~ cramerimplem3 ).

  Furthermore, it follows that det ` ( X `` i ) = ( x `` i ) `
  ( ~ cramerimplem1 ). To show this, a special case of the Laplace expansion is
  used ( ~ smadiadetg ).

  From these equations and the cancellation law for division in a ring
  ( ~ dvrcan3 ) it follows that ` ( x `` i ) = ` det ` ( X `` i ) = `
  det ` ( A ``  i ) ./ ` det ` A ` .

  This is the right to left implication ( ~ cramerimp , ~ cramerlem1 ,
  ~ cramerlem2 ) of Cramer's rule ( ~ cramer ). The left to right implication
  is shown by ~ cramerlem3 , using the fact that a solution of the system of
  linear equations exists ( ~ slesolex ).

  Notice that for the special case of 0-dimensional matrices/vectors only the
  left to right implication is valid (see ~ cramer0 ), because assuming the
  right-hand side of the implication ( ` ( X .x. Z ) = Y ` ), ` Z ` could be
  anything (see ~ mavmul0g ).

$)

  ${
    slesolex.a $e |- A = ( N Mat R ) $.
    slesolex.b $e |- B = ( Base ` A ) $.
    slesolex.v $e |- V = ( ( Base ` R ) ^m N ) $.
    slesolex.x $e |- .x. = ( R maVecMul <. N , N >. ) $.
    $( Every solution of a system of linear equations represented by a matrix
       and a vector is a vector.  (Contributed by AV, 10-Feb-2019.)  (Revised
       by AV, 27-Feb-2019.) $)
    slesolvec $p |- ( ( ( N =/= (/) /\ R e. Ring ) /\ ( X e. B /\ Y e. V ) )
                      -> ( ( X .x. Z ) = Y -> Z e. V ) ) $=
      ( crg wcel wa co wi simpr adantr wne cfn w3a wceq cvv matrcl simpld simpl
      c0 3jca syl5com impcom anim12i cbs cfv cxp cmap eqid mavmulsolcl syl2anc
      ex ) EUIUAZCNOZPZGBOZHFOZPZPEUBOZVHVBUCZVCVFPGIDQHUDIFORVGVDVIVEVDVIRVFVE
      VHVDVIVEVHCUEOABCEGJKUFUGVBVHVIRVCVBVHVIVBVHPVHVHVBVBVHSZVJVBVHUHUJVATUKT
      ULVDVCVGVFVBVCSVEVFSUMGCUNUOZVKEEUPUQQZFCDFEENIHVKURVLURLMLUSUT $.

    slesolex.d $e |- D = ( N maDet R ) $.
    ${
      slesolinv.i $e |- I = ( invr ` A ) $.
      $( The solution of a system of linear equations represented by a matrix
         with a unit as determinant is the multiplication of the inverse of the
         matrix with the right-hand side vector.  (Contributed by AV,
         10-Feb-2019.)  (Revised by AV, 28-Feb-2019.) $)
      slesolinv $p |- ( ( ( N =/= (/) /\ R e. CRing ) /\ ( X e. B /\ Y e. V )
                          /\ ( ( D ` X ) e. ( Unit ` R ) /\ ( X .x. Z ) = Y ) )
                        -> Z = ( ( I ` X ) .x. Y ) ) $=
        ( wcel wa co wne ccrg cfv cui wceq w3a cotp cmmul cbs eqid crg crngring
        c0 adantl 3ad2ant1 cfn matrcl simpld adantr 3ad2ant2 cmap anim2i anim1i
        cvv 3adant3 simpr 3ad2ant3 slesolvec sylc eleqtrdi anim12ci matring syl
        matunit bicomd ad2ant2lr biimpd adantrd 3impia ringinvcl syl2anc eleq2i
        wb biimpi mavmulass cur cmulr matmulr oveqd unitlinv eqtrd oveq1d oveq2
        1mavmul 3eqtr3d ) GUMUAZDUBRZSZIBRZJHRZSZICUCDUDUCZRZIKETZJUEZSZUFZIFUC
        ZIDGGGUGUHTZTZKETZXHXDETZKXHJETZXGADUIUCZDEXIGXHKILXNUJZOWRXADUKRZXFWQX
        PWPDULZUNZUOZXAWRGUPRZXFWSXTWTWSXTDVDRABDGILMUQURUSZUTZXGKHXNGVATXGWPXP
        SZXASZXEKHRWRXAYDXFWRYCXAWQXPWPXQVBVCVEXFWRXEXAXCXEVFVGABDEGHIJKLMNOVHV
        INVJZXIUJZXGAUKRZIAUDUCZRZXHAUIUCZRXGXTXPSZYGWRXAYKXFWRXPXAXTXRYAVKVEAD
        GLVLVMZWRXAXFYIWRXASZXCYIXEYMXCYIWQWSXCYIWCWPWTWQWSSYIXCABCDYHIGXBLPMYH
        UJZXBUJVNVOVPVQVRVSZYJAYHFIYNQYJUJVTWAXAWRIYJRZXFWSYPWTWSYPBYJIMWBWDUSU
        TWEXGXKAWFUCZKETKXGXJYQKEXGXJXHIAWGUCZTZYQXGXIYRXHIXGXTWQSZXIYRUEWRXAYT
        XFWRWQXAXTWPWQVFYAVKVEADXIGUBLYFWHVMWIXGYGYIYSYQUEYLYOAYRYHYQFIYNQYRUJY
        QUJWJWAWKWLXGAXNDEGKLXOOXSYBYEWNWKXFWRXLXMUEZXAXEUUAXCXDJXHEWMUNVGWO $.

      $( The solution of a system of linear equations represented by a matrix
         with a unit as determinant is the multiplication of the inverse of the
         matrix with the right-hand side vector.  (Contributed by AV,
         11-Feb-2019.)  (Revised by AV, 28-Feb-2019.) $)
      slesolinvbi $p |- ( ( ( N =/= (/) /\ R e. CRing )
                         /\ ( X e. B /\ Y e. V ) /\ ( D ` X ) e. ( Unit ` R ) )
                        -> ( ( X .x. Z ) = Y <-> Z = ( ( I ` X ) .x. Y ) ) ) $=
        ( wcel cfv co c0 wne ccrg wa cui w3a wceq simpl1 simpl2 simp3 slesolinv
        anim1i syl3anc oveq2 cmmul cur cmulr cfn simpr cvv matrcl simpld adantr
        cotp anim12ci 3adant3 eqid matmulr syl oveqd crngring adantl matring wb
        crg matunit ad2ant2lr biimp3ar unitrinv syl2anc eqtrd 3ad2ant1 3ad2ant2
        oveq1d cmap eleq2i biimpi ringinvcl mavmulass 1mavmul 3eqtr3d sylan9eqr
        cbs impbida ) GUAUBZDUCRZUDZIBRZJHRZUDZICSDUESZRZUFZIKETZJUGZKIFSZJETZU
        GZXCXEUDWQWTXBXEUDXHWQWTXBXEUHWQWTXBXEUIXCXBXEWQWTXBUJULABCDEFGHIJKLMNO
        PQUKUMXHXCXDIXGETZJKXGIEUNXCIXFDGGGVDUOTZTZJETAUPSZJETXIJXCXKXLJEXCXKIX
        FAUQSZTZXLXCXJXMIXFXCGURRZWPUDZXJXMUGWQWTXPXBWQWPWTXOWOWPUSWRXOWSWRXODU
        TRABDGILMVAVBVCZVEVFADXJGUCLXJVGZVHVIVJXCAVORZIAUESZRZXNXLUGXCXODVORZUD
        ZXSWQWTYCXBWQYBWTXOWPYBWODVKVLZXQVEVFADGLVMVIZWQWTYAXBWPWRYAXBVNWOWSABC
        DXTIGXALPMXTVGZXAVGVPVQVRZAXMXTXLFIYFQXMVGXLVGVSVTWAWDXCADWMSZDEXJGIJXF
        LYHVGZOWQWTYBXBYDWBZWTWQXOXBXQWCZWTWQJYHGWETZRZXBWSYMWRWSYMHYLJNWFWGVLW
        CZXRWTWQIAWMSZRZXBWRYPWSWRYPBYOIMWFWGVCWCXCXSYAXFYORYEYGYOAXTFIYFQYOVGW
        HVTWIXCAYHDEGJLYIOYJYKYNWJWKWLWN $.
    $}

    $d A z $.  $d B z $.  $d D z $.  $d N z $.  $d R z $.  $d V z $.  $d X z $.
    $d Y z $.  $d .x. z $.
    $( Every system of linear equations represented by a matrix with a unit as
       determinant has a solution.  (Contributed by AV, 11-Feb-2019.)  (Revised
       by AV, 28-Feb-2019.) $)
    slesolex $p |- ( ( ( N =/= (/) /\ R e. CRing ) /\ ( X e. B /\ Y e. V )
                       /\ ( D ` X ) e. ( Unit ` R ) )
                     -> E. z e. V ( X .x. z ) = Y ) $=
      ( wcel wa cfv co eqid c0 wne ccrg cui w3a cv wceq wrex cinvr cbs cmap crg
      cmulr crngring adantl 3ad2ant1 cfn matrcl simpld adantr 3ad2ant2 anim12ci
      cvv 3adant3 matring wb matunit bicomd ad2ant2lr biimp3a ringinvcl syl2anc
      syl eleq2i biimpi mavmulcl eleqtrrdi slesolinvbi biimprd impancom pm2.43i
      rspcimedv ) GUAUBZEUCPZQZICPZJHPZQZIDREUDRZPZUEZIAUFZFSJUGZAHUHWKWMWKAIBU
      IRZRZJFSZHWKWPEUJRZGUKSZHWKBWQEEUMRZFGWOJKNWQTWSTWEWHEULPZWJWDWTWCEUNUOZU
      PWHWEGUQPZWJWFXBWGWFXBEVCPBCEGIKLURUSUTZVAWKBULPZIBUDRZPZWOBUJRZPWKXBWTQZ
      XDWEWHXHWJWEWTWHXBXAXCVBVDBEGKVEVMWEWHWJXFWDWFWJXFVFWCWGWDWFQXFWJBCDEXEIG
      WIKOLXETZWITVGVHVIVJXGBXEWNIXIWNTZXGTVKVLWHWEJWRPZWJWGXKWFWGXKHWRJMVNVOUO
      VAVPMVQWKWKWLWPUGZWMWKWKQWMXLWKWMXLVFWKBCDEFWNGHIJWLKLMNOXJVRUTVSVTWBWA
      $.
  $}

  ${
    cramerimplem1.a $e |- A = ( N Mat R ) $.
    cramerimplem1.v $e |- V = ( ( Base ` R ) ^m N ) $.
    cramerimplem1.e $e |- E = ( ( ( 1r ` A ) ( N matRepV R ) Z ) ` I ) $.
    cramerimplem1.d $e |- D = ( N maDet R ) $.
    $( Lemma 1 for ~ cramerimp :  The determinant of the identity matrix with
       the ith column replaced by a (column) vector equals the ith component of
       the vector.  (Contributed by AV, 15-Feb-2019.)  (Revised by AV,
       5-Jul-2022.) $)
    cramerimplem1 $p |- ( ( ( N e. Fin /\ R e. CRing /\ I e. N ) /\ Z e. V )
                          -> ( D ` E ) = ( Z ` I ) ) $=
      ( wcel wa cfv co wceq cur syl2an2r eqid cfn ccrg w3a cmarrep csubma cmdat
      csn cmulr crg crngring anim2i ancomd 3adant3 simp3 anim1i 1marepvmarrepid
      cdif fveq2i eqcomd fveq2d a1i fveq1d cbs simpl2 cmatrepV eqcomi ma1repvcl
      cmat anim1ci eqeltrid adantr wi cmap wf elmapi ffvelrn ex eleq2s 3ad2ant3
      syl com12 imp smadiadetr syl22anc eqtrd 1marepvsma1 oveq2d diffi 3ad2ant2
      mdet1 ringridm 3eqtrd ) FUAMZCUBMZEFMZUCZHGMZNZDBOEEDEHOZFCUDPPPZBOZWSEED
      FCUEPOPZFEUGZUQZCUFPZOZCUHOZPZWSWRDWTBWRWTDWPCUIMZWMNZWQWOWQNZWTDQWMWNXJW
      OWMWNNWMXIWNXIWMCUJZUKULUMZWPWOWQWMWNWOUNZUOZCAROZEFGDHJAFCVHPZRIURZKUPSU
      SUTWRXAWTFCUFPZOZXHWRWTBXSBXSQWRLVAVBWRWNDXQVCOZMWOWSCVCOZMZXTXHQWMWNWOWQ
      VDWRDEXPHFCVEPPOZYAKWPXJWQWQWONYDYAMXMWPWOWQXNVIAYAHCXPEFGIXQAVCAXQIVFURJ
      XPTVGSVJWPWOWQXNVKWPWQYCWOWMWQYCVLWNWQWOYCWOYCVLZHYBFVMPZGHYFMFYBHVNZYEHY
      BFVOYGWOYCFYBEHVPVQVTJVRWAVSWBZCWSEDFWCWDWEWRXHWSXDCVHPZROZXEOZXGPWSCROZX
      GPZWSWRXFYKWSXGWRXBYJXEWPXJWQXKXBYJQXMXOCXPEFGDHJXRKWFSUTWGWRYKYLWSXGWRWN
      XDUAMZNZYKYLQWPYOWQWMWNYOWOWMYNWNFXCWHVIUMVKYIXECYLYJXDXETYITYJTYLTZWJVTW
      GWPXIWQYCYMWSQWNWMXIWOXLWIYHYBCXGYLWSYBTXGTYPWKSWLWL $.
  $}

  ${
    cramerimp.a $e |- A = ( N Mat R ) $.
    cramerimp.b $e |- B = ( Base ` A ) $.
    cramerimp.v $e |- V = ( ( Base ` R ) ^m N ) $.
    cramerimp.e $e |- E = ( ( ( 1r ` A ) ( N matRepV R ) Z ) ` I ) $.
    cramerimp.h $e |- H = ( ( X ( N matRepV R ) Y ) ` I ) $.
    cramerimp.x $e |- .x. = ( R maVecMul <. N , N >. ) $.

    ${
      $d A l $.  $d B i j l $.  $d E i j l $.  $d I i j l $.  $d N i j l $.
      $d R i j l $.  $d V i j l $.  $d X i j l $.  $d Y i j l $.  $d Z i j l $.
      $d .x. i j l $.
      cramerimp.m $e |- .X. = ( R maMul <. N , N , N >. ) $.
      $( Lemma 2 for ~ cramerimp :  The matrix of a system of linear equations
         multiplied with the identity matrix with the ith column replaced by
         the solution vector of the system of linear equations equals the
         matrix of the system of linear equations with the ith column replaced
         by the right-hand side vector of the system of linear equations.
         (Contributed by AV, 19-Feb-2019.)  (Revised by AV, 1-Mar-2019.) $)
      cramerimplem2 $p |- ( ( ( R e. CRing /\ I e. N ) /\ ( X e. B /\ Y e. V )
                              /\ ( X .x. Z ) = Y ) -> ( X .X. E ) = H ) $=
        ( vi vj vl ccrg wcel wa co wceq w3a cv cmulr cfv cmpt cgsu cmpo cif cbs
        eqid simpl 3ad2ant1 cfn cvv matrcl simpld adantr 3ad2ant2 cxp wi anim2i
        cmap ancomd matbas2 syl eqtr4id eleq2d biimpd ex pm2.43a impcom 3adant3
        com12 crg crngring anim12i c0 wne ne0i adantl eleq2i biimpi mavmulsolcl
        3jca simp3 imp syl21anc cur cmatrepV ma1repvcl eqeltrid syl12anc eqcomd
        simpr ad2ant2r eleqtrrd mamuval simp2 c0g syl113anc mpoeq3dva marepvval
        mulmarep1gsum2 syl3anc eqtr2id 3eqtrd ) CUDUEZHIUEZUFZKBUEZLJUEZUFZKMDU
        GLUHZUIZKFEUGUAUBIICUCIUAUJZUCUJZKUGYDUBUJZFUGCUKULZUGUMUNUGZUOUAUBIIYE
        HUHYCLULYCYEKUGUPZUOZGYBCUQULZICYFUAUCUBEIIUDKFTYJURZYFURXQXTXOYAXOXPUS
        ZUTXTXQIVAUEZYAXRYMXSXRYMCVBUEABCIKNOVCVDZVEZVFZYPYPXQXTKYJIIVGVJUGZUEZ
        YAXTXQYRXRXQYRVHXSXQXRYRXQXRXRYRVHZXOXRYSVHXPXOXRYSXOXRUFZXRYRYTBYQKYTB
        AUQULZYQOYTYMXOUFYQUUAUHYTXOYMXRYMXOYNVIVKACYJIUDNYKVLVMVNZVOVPVQVEWAVR
        VEVSVTYBFBYQYBCWBUEZYMUFZMJUEZXPFBUEXQXTUUDYAXQUUCXTYMXOUUCXPCWCVEZYOWD
        VTYBYMYMIWEWFZUIZXOLYJIVJUGZUEZUFZYAUUEYBYMYMUUGYPYPXQXTUUGYAXPUUGXOIHW
        GWHUTWLXQXTUUKYAXQXOXTUUJYLXSUUJXRXSUUJJUUILPWIWJWHWDVTXQXTYAWMZUUHUUKU
        FYAUUEKYJYQJCDUUIIIUDMLYKYQURPSUUIURWKWNWOZXQXTXPYAXOXPXBUTZUUDUUEXPUFU
        FFHAWPULZMICWQUGZUGULBQABMCUUOHIJNOPUUOURZWRWSWTXQXTYQBUHZYAXOXRUURXPXS
        YTBYQUUBXAXCVTXDXEYBUAUBIIYGYHYBYCIUEZYEIUEZUIUUCXRUUEXPUIZUUSUUTYAYGYH
        UHYBUUSUUCUUTXQXTUUCYAUUFUTUTYBUUSUVAUUTYBXRUUEXPXTXQXRYAXRXSUSVFZUUMUU
        NWLUTYBUUSUUTXFYBUUSUUTWMYBUUSYAUUTUULUTABMCDUUOFYCYEHIJKCXGULZLUCNOPUU
        QUVCURQSXKXHXIYBGHKLUUPUGULZYIRYBXRXSXPUVDYIUHUVBXTXQXSYAXRXSXBVFUUNABL
        UUPCUAUBHKIJNOUUPURPXJXLXMXN $.
    $}

    cramerimp.d $e |- D = ( N maDet R ) $.
    ${
      cramerimp.t $e |- .(x) = ( .r ` R ) $.
      $( Lemma 3 for ~ cramerimp :  The determinant of the matrix of a system
         of linear equations multiplied with the determinant of the identity
         matrix with the ith column replaced by the solution vector of the
         system of linear equations equals the determinant of the matrix of the
         system of linear equations with the ith column replaced by the
         right-hand side vector of the system of linear equations.
         (Contributed by AV, 19-Feb-2019.)  (Revised by AV, 1-Mar-2019.) $)
      cramerimplem3 $p |- ( ( ( R e. CRing /\ I e. N )
                              /\ ( X e. B /\ Y e. V ) /\ ( X .x. Z ) = Y )
                            -> ( ( D ` X ) .(x) ( D ` E ) ) = ( D ` H ) ) $=
        ( ccrg wcel wa co wceq w3a cotp cmmul cfv cmulr cfn simpl matrcl simpld
        cvv adantr anim12ci 3adant3 eqid matmulr syl oveqd fveq2d cramerimplem2
        simp1l simp2l cur cmatrepV crg crngring anim12i c0 ne0i slesolvec sylan
        wne 3impia simp1r ma1repvcl syl12anc eqeltrid mdetmul syl3anc 3eqtr3rd
        wi ) DUCUDZIJUDZUEZLBUDZMKUDZUEZLNEUFMUGZUHZLGDJJJUIUJUFZUFZCUKLGAULUKZ
        UFZCUKZHCUKLCUKGCUKFUFZWOWQWSCWOWPWRLGWOJUMUDZWHUEZWPWRUGWJWMXCWNWJWHWM
        XBWHWIUNWKXBWLWKXBDUQUDABDJLOPUOUPURZUSUTADWPJUCOWPVAZVBVCVDVEWOWQHCABD
        EWPGHIJKLMNOPQRSTXEVFVEWOWHWKGBUDWTXAUGWHWIWMWNVGWJWKWLWNVHWOGIAVIUKZNJ
        DVJUFUFUKZBRWODVKUDZXBUEZNKUDZWIXGBUDWJWMXIWNWJXHWMXBWHXHWIDVLZURXDVMUT
        WJWMWNXJWJJVNVRZXHUEWMWNXJWGWHXHWIXLXKJIVOUSABDEJKLMNOPQTVPVQVSWHWIWMWN
        VTABNDXFIJKOPQXFVAWAWBWCABCDWRFLGJOPUAUBWRVAWDWEWF $.
    $}

    cramerimp.q $e |- ./ = ( /r ` R ) $.
    $( One direction of Cramer's rule (according to Wikipedia "Cramer's rule",
       21-Feb-2019, ~ https://en.wikipedia.org/wiki/Cramer%27s_rule :
       "[Cramer's rule] ... expresses the solution [of a system of linear
       equations] in terms of the determinants of the (square) coefficient
       matrix and of matrices obtained from it by replacing one column by the
       column vector of right-hand sides of the equations."):  The ith
       component of the solution vector of a system of linear equations equals
       the determinant of the matrix of the system of linear equations with the
       ith column replaced by the righthand side vector of the system of linear
       equations divided by the determinant of the matrix of the system of
       linear equations.  (Contributed by AV, 19-Feb-2019.)  (Revised by AV,
       1-Mar-2019.) $)
    cramerimp $p |- ( ( ( R e. CRing /\ I e. N ) /\ ( X e. B /\ Y e. V )
                        /\ ( ( X .x. Z ) = Y /\ ( D ` X ) e. ( Unit ` R ) ) )
                          -> ( Z ` I ) = ( ( D ` H ) ./ ( D ` X ) ) ) $=
      ( ccrg wcel wa co wceq cfv cui w3a cmulr crg cbs crngring adantr 3ad2ant1
      wf eqid mdetf cur cmatrepV cfn cvv matrcl simpld anim12i 3adant3 wne ne0i
      c0 anim12ci anim1i simpl 3ad2ant3 slesolvec sylc simpr ma1repvcl syl12anc
      eqeltrid ffvelrnd dvrcan3 syl3anc unitcl adantl oveq1d 3jca cramerimplem1
      crngcom syl2anc 3eqtr3rd cramerimplem3 3adant3r eqtrd ) EUCUDZIJUDZUEZLBU
      DZMKUDZUEZLNFUFMUGZLCUHZEUIUHZUDZUEZUJZINUHZXBGCUHZEUKUHZUFZXBDUFZHCUHZXB
      DUFXFXHXBXIUFZXBDUFZXHXKXGXFEULUDZXHEUMUHZUDZXDXNXHUGWQWTXOXEWOXOWPEUNZUO
      ZUPXFBXPGCWQWTBXPCUQZXEWOXTWPABCEXPJUAOPXPURZUSUOUPXFGIAUTUHZNJEVAUFUFUHZ
      BRXFXOJVBUDZUEZNKUDZWPYCBUDWQWTYEXEWQXOWTYDXSWRYDWSWRYDEVCUDABEJLOPVDVEUO
      ZVFVGXFJVJVHZXOUEZWTUEZXAYFWQWTYJXEWQYIWTWOXOWPYHXRJIVIVKVLVGXEWQXAWTXAXD
      VMVNABEFJKLMNOPQTVOVPZWQWTWPXEWOWPVQZUPABNEYBIJKOPQYBURVRVSVTWAZXEWQXDWTX
      AXDVQVNXPDEXIXCXHXBYAXCURZUBXIURZWBWCXFXMXJXBDXFWOXQXBXPUDZXMXJUGWQWTWOXE
      WOWPVMZUPYMXEWQYPWTXDYPXAXPEXCXBYAYNWDWEVNXPEXIXHXBYAYOWIWCWFXFYDWOWPUJZY
      FXHXGUGWQWTYRXEWQWTUEYDWOWPWTYDWQYGWEWQWOWTYQUOWQWPWTYLUOWGVGYKACEGIJKNOQ
      RUAWHWJWKXFXJXLXBDWQWTXAXJXLUGXDABCEFXIGHIJKLMNOPQRSTUAYOWLWMWFWN $.
  $}

  ${
    $d A a $.  $d B a i $.  $d D a i $.  $d N a i $.  $d R a i $.  $d V a i $.
    $d X a i $.  $d Y a i $.  $d Z a i $.  $d .x. a i $.  $d ./ a i $.
    cramer.a $e |- A = ( N Mat R ) $.
    cramer.b $e |- B = ( Base ` A ) $.
    cramer.v $e |- V = ( ( Base ` R ) ^m N ) $.
    cramer.d $e |- D = ( N maDet R ) $.
    cramer.x $e |- .x. = ( R maVecMul <. N , N >. ) $.
    cramer.q $e |- ./ = ( /r ` R ) $.
    $( Lemma 1 for ~ cramer .  (Contributed by AV, 21-Feb-2019.)  (Revised by
       AV, 1-Mar-2019.) $)
    cramerlem1 $p |- ( ( R e. CRing /\ ( X e. B /\ Y e. V )
                /\ ( ( D ` X ) e. ( Unit ` R ) /\ Z e. V /\ ( X .x. Z ) = Y ) )
                       -> Z = ( i e. N
            |-> ( ( D ` ( ( X ( N matRepV R ) Y ) ` i ) ) ./ ( D ` X ) ) ) ) $=
      ( wcel cfv va ccrg wa cui co wceq w3a cv cmatrepV cmpt wral anim1i simpl2
      simp1 pm3.22 3adant2 3ad2ant3 adantr cur eqid cramerimp syl3anc ralrimiva
      cvv wfn cbs cmap elmapfn eleq2s 3ad2ant2 weq 2fveq3 oveq1d ovexd fnmptfvd
      mpbird ) EUBSZJBSKISUCZJCTZEUDTSZLISZJLFUEKUFZUGZUGZLGHGUHZJKHEUIUEZUEZTC
      TZVSDUEZUJUFUAUHZLTWJWGTZCTZVSDUEZUFZUAHUKWDWNUAHWDWJHSZUCZVQWOUCVRWBVTUC
      ZWNWDVQWOVQVRWCUNULVQVRWCWOUMWDWQWOWCVQWQVRVTWBWQWAVTWBUOUPUQURABCDEFWJAU
      STLWFUETZWKWJHIJKLMNOWRUTWKUTQPRVAVBVCWDHWIWMVDUALVDGWCVQLHVEZVRWAVTWSWBW
      SLEVFTZHVGUEILWTHVHOVIVJUQUAGVKWLWHVSDWJWECWGVLVMWPWLVSDVNWDWEHSUCWHVSDVN
      VOVP $.

    $d B z $.  $d D z $.  $d N i z $.  $d R z $.  $d V z $.  $d X z $.
    $d Y z $.
    $( Lemma 2 for ~ cramer .  (Contributed by AV, 21-Feb-2019.)  (Revised by
       AV, 1-Mar-2019.) $)
    cramerlem2 $p |- ( ( R e. CRing /\ ( X e. B /\ Y e. V )
               /\ ( D ` X ) e. ( Unit ` R ) )
                       -> A. z e. V ( ( X .x. z ) = Y -> z = ( i e. N
          |-> ( ( D ` ( ( X ( N matRepV R ) Y ) ` i ) ) ./ ( D ` X ) ) ) ) ) $=
      ( wcel cfv ccrg wa cui w3a cv co wceq cmatrepV wi simpll1 simpll2 simpll3
      cmpt simplr simpr cramerlem1 syl113anc ex ralrimiva ) FUASZKCSLJSUBZKDTZF
      UCTSZUDZKAUEZGUFLUGZVEHIHUEKLIFUHUFUFTDTVBEUFUMUGZUIAJVDVEJSZUBZVFVGVIVFU
      BUTVAVCVHVFVGUTVAVCVHVFUJUTVAVCVHVFUKUTVAVCVHVFULVDVHVFUNVIVFUOBCDEFGHIJK
      LVEMNOPQRUPUQURUS $.

    $d A v z $.  $d B v $.  $d D v $.  $d N i v z $.  $d R v $.  $d V v $.
    $d X v $.  $d Y v $.  $d .x. v z $.  $d ./ v z $.
    $( Lemma 3 for ~ cramer .  (Contributed by AV, 21-Feb-2019.)  (Revised by
       AV, 1-Mar-2019.) $)
    cramerlem3 $p |- ( ( ( N =/= (/) /\ R e. CRing ) /\ ( X e. B /\ Y e. V )
                         /\ ( D ` X ) e. ( Unit ` R ) ) -> ( Z = ( i e. N
                 |-> ( ( D ` ( ( X ( N matRepV R ) Y ) ` i ) ) ./ ( D ` X ) ) )
                              -> ( X .x. Z ) = Y ) ) $=
      ( co wceq vv vz c0 wne ccrg wcel wa cfv cui w3a cv wrex cmatrepV slesolex
      cmpt wi wral cramerlem2 3adant1l weq oveq2 eqeq1d rexraleqim adantl simpl
      eqtrd ex a1d syl expcom com23 mpcom mpd ) HUCUDZEUEUFZUGJBUFKIUFUGZJCUHZE
      UIUHUFZUJZJUAUKZFSZKTZUAIULZLGHGUKJKHEUMSSUHCUHVQDSUOZTZJLFSZKTZUPZUAABCE
      FHIJKMNOQPUNJUBUKZFSZKTZWIWDTUPUBIUQZVSWCWHUPVOVPVRWLVNUBABCDEFGHIJKMNOPQ
      RURUSWLWCVSWHWCWLVSWHUPZWCWLUGJWDFSZKTZWMWBWKWOUBUAIWDUBUAUTWJWAKWIVTJFVA
      VBVTWDTWAWNKVTWDJFVAVBVCWOWHVSWOWEWGWOWEUGWFWNKWEWFWNTWOLWDJFVAVDWOWEVEVF
      VGVHVIVJVKVLVM $.

    $( Special case of Cramer's rule for 0-dimensional matrices/vectors.
       (Contributed by AV, 28-Feb-2019.) $)
    cramer0 $p |- ( ( ( N = (/) /\ R e. CRing ) /\ ( X e. B /\ Y e. V )
                      /\ ( D ` X ) e. ( Unit ` R ) ) -> ( Z = ( i e. N
                 |-> ( ( D ` ( ( X ( N matRepV R ) Y ) ` i ) ) ./ ( D ` X ) ) )
                              -> ( X .x. Z ) = Y ) ) $=
      ( c0 wceq ccrg wcel wa cfv cui cv cmatrepV co cmpt wi csn cmat cbs fveq2i
      eqtri fvoveq1 syl5eq adantr eleq2d wb mat0dimbas0 adantl bitrd cmap oveq2
      c1o a1i cvv fvex map0e mp1i 3eqtrd el1o bitrdi anbi12d mpteq1 mpt0 eqtrdi
      elsni eqeq2d ad2antrr simplrl simpr oveq12d eqcomd ad2antlr ex sylbid a1d
      mavmul0 sylani 3imp ) HSTZEUAUBZUCZJBUBZKIUBZUCZJCUDZEUEUDUBZLGHGUFJKHEUG
      UHUHUDCUDWSDUHZUIZTZJLFUHZKTZUJZWOWRJSUKZUBZKSTZUCWTXFUJZWOWPXHWQXIWOWPJS
      EULUHUMUDZUBZXHWOBXKJWMBXKTWNWMBHEULUHZUMUDZXKBAUMUDXNNAXMUMMUNUOHSEUMULU
      PUQURUSWNXLXHUTWMWNXKXGJEUAVAUSVBVCWOWQKVFUBXIWOIVFKWOIEUMUDZHVDUHZXOSVDU
      HZVFIXPTWOOVGWMXPXQTWNHSXOVDVEURXOVHUBXQVFTWOEUMVIXOVHVJVKVLUSKVMVNVOXHWO
      JSTZXIXJJSVSWOXRXIUCZXJWOXSUCZXFWTXTXCLSTZXEWMXCYAUTWNXSWMXBSLWMXBGSXAUIS
      GHSXAVPGXAVQVRVTWAXTYAXEXTYAUCZXDSSFUHZSKYBJSLSFWOXRXIYAWBXTYAWCWDWOYCSTX
      SYAEFHUAQWJWAXSSKTWOYAXSKSXRXIWCWEWFVLWGWHWIWGWKWHWL $.

    $( Cramer's rule.  According to Wikipedia "Cramer's rule", 21-Feb-2019,
       ~ https://en.wikipedia.org/wiki/Cramer%27s_rule :  "[Cramer's rule] ...
       expresses the [[unique] solution [of a system of linear equations] in
       terms of the determinants of the (square) coefficient matrix and of
       matrices obtained from it by replacing one column by the column vector
       of right-hand sides of the equations."  If it is assumed that a (unique)
       solution exists, it can be obtained by Cramer's rule (see also
       ~ cramerimp ).  On the other hand, if a vector can be constructed by
       Cramer's rule, it is a solution of the system of linear equations, so at
       least one solution exists.  The uniqueness is ensured by considering
       only systems of linear equations whose matrix has a unit (of the
       underlying ring) as determinant, see ~ matunit or ~ slesolinv .  For
       fields as underlying rings, this requirement is equivalent to the
       determinant not being 0.  Theorem 4.4 in [Lang] p. 513.  This is
       Metamath 100 proof #97.  (Contributed by Alexander van der Vekens,
       21-Feb-2019.)  (Revised by Alexander van der Vekens, 1-Mar-2019.) $)
    cramer $p |- ( ( ( R e. CRing /\ N =/= (/) ) /\ ( X e. B /\ Y e. V )
                     /\ ( D ` X ) e. ( Unit ` R ) ) -> ( Z = ( i e. N
                 |-> ( ( D ` ( ( X ( N matRepV R ) Y ) ` i ) ) ./ ( D ` X ) ) )
                                                     <-> ( X .x. Z ) = Y ) ) $=
      ( wcel wa ccrg c0 wne cfv cui w3a cv cmatrepV cmpt wceq pm3.22 cramerlem3
      co wi syl3an1 simpl1l simpl2 simpl3 crg crngring anim1ci anim1i slesolvec
      3adant3 imp sylan simpr cramerlem1 syl113anc ex impbid ) EUASZHUBUCZTZJBS
      KISTZJCUDZEUEUDSZUFZLGHGUGJKHEUHUMUMUDCUDVPDUMUIUJZJLFUMKUJZVNVMVLTVOVQVS
      VTUNVLVMUKABCDEFGHIJKLMNOPQRULUOVRVTVSVRVTTVLVOVQLISZVTVSVLVMVOVQVTUPVNVO
      VQVTUQVNVOVQVTURVRVMEUSSZTZVOTZVTWAVNVOWDVQVNWCVOVLWBVMEUTVAVBVDWDVTWAABE
      FHIJKLMNOQVCVEVFVRVTVGABCDEFGHIJKLMNOPQRVHVIVJVK $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Polynomial matrices
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  A _polynomial matrix_ or _matrix of polynomials_ is a matrix whose elements
  are univariate (or multivariate) polynomials. See Wikipedia "Polynomial
  matrix" ~ https://en.wikipedia.org/wiki/Polynomial_matrix (18-Nov-2019).  In
  this section, only square matrices whose elements are univariate polynomials
  are considered.  Usually, the ring of such matrices, the ring of n x n
  matrices over the polynomial ring over a ring ` R ` , is denoted by
  M(n, R[[t]).  The elements of this ring are called "polynomial matrices (over
  the ring ` R ` )" in the following.  In Metamath notation, this ring is
  defined by ` ( N Mat ( Poly1 `` R ) ) ` , usually represented by the class
  variable ` C ` (or ` Y ` , if ` C ` is already occupied): ` C = ( N Mat P ) `
  with ` P = ( Poly1 `` R ) ` .

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    pmatring.p $e |- P = ( Poly1 ` R ) $.
    pmatring.c $e |- C = ( N Mat P ) $.
    $( The set of polynomial matrices over a ring is a ring.  (Contributed by
       AV, 6-Nov-2019.) $)
    pmatring $p |- ( ( N e. Fin /\ R e. Ring ) -> C e. Ring ) $=
      ( crg wcel cfn ply1ring matring sylan2 ) CGHDIHBGHAGHBCEJABDFKL $.

    $( The set of polynomial matrices over a ring is a left module.
       (Contributed by AV, 6-Nov-2019.) $)
    pmatlmod $p |- ( ( N e. Fin /\ R e. Ring ) -> C e. LMod ) $=
      ( crg wcel cfn clmod ply1ring matlmod sylan2 ) CGHDIHBGHAJHBCEKABDFLM $.

    $( The set of polynomial matrices over a commutative ring is an associative
       algebra.  (Contributed by AV, 16-Jun-2024.) $)
    pmatassa $p |- ( ( N e. Fin /\ R e. CRing ) -> C e. AssAlg ) $=
      ( ccrg wcel cfn casa ply1crng matassa sylan2 ) CGHDIHBGHAJHBCEKABDFLM $.

    $d N i j $.  $d P i j $.
    pmat0op.z $e |- .0. = ( 0g ` P ) $.
    $( The zero polynomial matrix over a ring represented as operation.
       (Contributed by AV, 16-Nov-2019.) $)
    pmat0op $p |- ( ( N e. Fin /\ R e. Ring )
                      -> ( 0g ` C ) = ( i e. N , j e. N |-> .0. ) ) $=
      ( crg wcel cfn c0g cfv cmpo wceq ply1ring mat0op sylan2 ) CKLFMLBKLANODEF
      FGPQBCHRABDEFGIJST $.

    $d C i j $.  $d .0. i j $.  $d .1. i j $.
    pmat1op.o $e |- .1. = ( 1r ` P ) $.
    $( The identity polynomial matrix over a ring represented as operation.
       (Contributed by AV, 16-Nov-2019.) $)
    pmat1op $p |- ( ( N e. Fin /\ R e. Ring ) -> ( 1r ` C ) =
        ( i e. N , j e. N |-> if ( i = j , .1. , .0. ) ) ) $=
      ( crg wcel cfn cur cfv weq cif cmpo wceq ply1ring mat1 sylan2 ) CMNGONBMN
      APQEFGGEFRDHSTUABCIUBABDEFGHJLKUCUD $.

    pmat1ovd.n $e |- ( ph -> N e. Fin ) $.
    pmat1ovd.r $e |- ( ph -> R e. Ring ) $.
    pmat1ovd.i $e |- ( ph -> I e. N ) $.
    pmat1ovd.j $e |- ( ph -> J e. N ) $.
    pmat1ovd.u $e |- U = ( 1r ` C ) $.
    $( Entries of the identity polynomial matrix over a ring, deduction form.
       (Contributed by AV, 16-Nov-2019.) $)
    pmat1ovd $p |- ( ph -> ( I U J ) = if ( I = J , .1. , .0. ) ) $=
      ( crg wcel ply1ring syl mat1ov ) ABCEFGHIJLNMOADTUACTUAPCDKUBUCQRSUD $.
  $}

  ${
    $d N i j $.  $d P i j $.  $d R i j $.
    pmat0opsc.p $e |- P = ( Poly1 ` R ) $.
    pmat0opsc.c $e |- C = ( N Mat P ) $.
    pmat0opsc.a $e |- A = ( algSc ` P ) $.
    pmat0opsc.z $e |- .0. = ( 0g ` R ) $.
    $( The zero polynomial matrix over a ring represented as operation with
       "lifted scalars" (i.e. elements of the ring underlying the polynomial
       ring embedded into the polynomial ring by the scalar injection/algebraic
       scalars function ` algSc ` ).  (Contributed by AV, 16-Nov-2019.) $)
    pmat0opsc $p |- ( ( N e. Fin /\ R e. Ring )
                      -> ( 0g ` C ) = ( i e. N , j e. N |-> ( A ` .0. ) ) ) $=
      ( cfn wcel crg wa c0g cfv cmpo eqid pmat0op wceq ply1scl0 eqcomd mpoeq3dv
      adantl eqtrd ) GMNZDONZPZBQREFGGCQRZSEFGGHARZSBCDEFGUKIJUKTZUAUJEFGGUKULU
      IUKULUBUHUIULUKACDUKHIKLUMUCUDUFUEUG $.

    $d C i j $.
    pmat1opsc.o $e |- .1. = ( 1r ` R ) $.
    $( The identity polynomial matrix over a ring represented as operation with
       "lifted scalars".  (Contributed by AV, 16-Nov-2019.) $)
    pmat1opsc $p |- ( ( N e. Fin /\ R e. Ring ) -> ( 1r ` C ) =
          ( i e. N , j e. N |-> if ( i = j , ( A ` .1. ) , ( A ` .0. ) ) ) ) $=
      ( wcel cur cfv cif cmpo eqid cfn crg weq c0g pmat1op wceq ply1scl1 eqcomd
      wa ply1scl0 ifeq12d adantl mpoeq3dv eqtrd ) HUAOZDUBOZUIZBPQFGHHFGUCZCPQZ
      CUDQZRZSFGHHUREAQZIAQZRZSBCDUSFGHUTJKUTTZUSTZUEUQFGHHVAVDUPVAVDUFUOUPURUS
      VBUTVCUPVBUSACDEUSJLNVFUGUHUPVCUTACDUTIJLMVEUJUHUKULUMUN $.

    pmat1ovscd.n $e |- ( ph -> N e. Fin ) $.
    pmat1ovscd.r $e |- ( ph -> R e. Ring ) $.
    pmat1ovscd.i $e |- ( ph -> I e. N ) $.
    pmat1ovscd.j $e |- ( ph -> J e. N ) $.
    pmat1ovscd.u $e |- U = ( 1r ` C ) $.
    $( Entries of the identity polynomial matrix over a ring represented with
       "lifted scalars", deduction form.  (Contributed by AV, 16-Nov-2019.) $)
    pmat1ovscd $p |- ( ph -> ( I U J )
                             = if ( I = J , ( A ` .1. ) , ( A ` .0. ) ) ) $=
      ( co wceq cur cfv c0g cif eqid pmat1ovd crg wcel ply1scl1 eqcomd ply1scl0
      syl ifeq12d eqtrd ) AHIFUBHIUCZDUDUEZDUFUEZUGURGBUEZKBUEZUGACDEFUSHIJUTLM
      UTUHZUSUHZQRSTUAUIAURUSVAUTVBAVAUSAEUJUKZVAUSUCRBDEGUSLNPVDULUOUMAVBUTAVE
      VBUTUCRBDEUTKLNOVCUNUOUMUPUQ $.
  $}

  ${
    $d B i j s v x $.  $d M i j s u w x z $.  $d M i j s v w x z $.
    $d N i j s u w x z $.  $d N i j s v w x z $.  $d R i j s v w x z $.
    $d .0. i j s v w x z $.
    pmatcoe1fsupp.p $e |- P = ( Poly1 ` R ) $.
    pmatcoe1fsupp.c $e |- C = ( N Mat P ) $.
    pmatcoe1fsupp.b $e |- B = ( Base ` C ) $.
    pmatcoe1fsupp.0 $e |- .0. = ( 0g ` R ) $.
    $( For a polynomial matrix there is an upper bound for the coefficients of
       all the polynomials being not 0.  (Contributed by AV, 3-Oct-2019.)
       (Proof shortened by AV, 28-Nov-2019.) $)
    pmatcoe1fsupp $p |- ( ( N e. Fin /\ R e. Ring /\ M e. B )
            -> E. s e. NN0 A. x e. NN0 ( s < x
               -> A. i e. N A. j e. N ( ( coe1 ` ( i M j ) ) ` x ) = .0. ) ) $=
      ( wcel cv cfv cn0 wa vz vw vu vv cfn crg w3a clt wbr wceq wi wral cxp csn
      cco1 ciun cfsupp cbs cmap co crab cin wrex wss cvv wo ssrab2 a1i olcd syl
      inss xpfi anidms snfi ralrimiva jca 3ad2ant1 iunfi infi 3syl fvex eqeltri
      c0g elin breq1 elrab simprbi simplbiim rgen fsuppmapnn0fiub0 imp syl31anc
      cop opelxpi df-ov fveq2i 2fveq3 sneqd eliuni syl2anc adantl simprl simprr
      snid eqid eleq2i biimpi 3ad2ant3 ad3antrrr eleqtrrdi matecld coe1fsupp wb
      breq2d rabbidv eleq2d mpbird elind simplr fveq1 eqeq1d fveqeq2 imbi12d ex
      imbi2d breq2 rspc2v com23 impancom ralrimdvv reximdva mpd ) IUEPZEUFPZHBP
      ZUGZKQZUAQZUHUIZYRUBQZRZJUJZUKZUASULUBUCIIUMZUCQZHRUORZUNZUPZUDQZJUQUIZUD
      EURRZSUSUTZVAZVBZULZKSVCZYQAQZUHUIZUUQFQZGQZHUTZUORZRJUJZGIULFIULUKZASULZ
      KSVCYPUUNUULVDZUUNUEPZJVEPZYTJUQUIZUBUUNULZUUPYPUUHUULVDZUUMUULVDZVFUVFYP
      UVLUVKUVLYPUUJUDUULVGVHVIUUHUUMUULVKVJYPUUDUEPZUUGUEPZUCUUDULZTZUUHUEPUVG
      YMYNUVPYOYMUVMUVOYMUVMIIVLVMYMUVNUCUUDUVNYMUUEUUDPTUUFVNVHVOVPVQUCUUDUUGV
      RUUHUUMVSVTUVHYPJEWCRZVEOEWCWAWBVHUVJYPUVIUBUUNYTUUNPYTUUHPYTUUMPZUVIYTUU
      HUUMWDUVRYTUULPUVIUUJUVIUDYTUULUUIYTJUQWEWFWGWHWIVHUVFUVGUVHUGUVJUUPUAUUK
      UBKUUNVEJWJWKWLYPUUOUVEKSYPYQSPZTZUUOUVEUVTUUOTZUVDASUWAUUQSPZTZUURUVCFGI
      IUWCUUSIPZUUTIPZTZUURUVCUWAUWBUWFUURUVCUKZUKZUVTUWBUUOUWHUVTUWBTZUWFUUOUW
      GUWIUWFUUOUWGUKZUWIUWFTZUVBUUNPUWBUWJUWKUUHUUMUVBUWFUVBUUHPZUWIUWFUUSUUTW
      MZUUDPUVBUWMHRZUORZUNZPZUWLUUSUUTIIWNUWQUWFUVBUWOUWPUVAUWNUOUUSUUTHWOWPUW
      OUWNUOWAXDWBVHUCUWMUUGUWPUUDUVBUUEUWMUJUUFUWOUUEUWMUOHWQWRWSWTXAUWKUVBUUM
      PZUVBUUIUVQUQUIZUDUULVAZPZUWKUVADURRZPUXAUWKCBDUUSUUTUXBHIMUXBXEZNUWIUWDU
      WEXBUWIUWDUWEXCUWKHCURRZBYPHUXDPZUVSUWBUWFYOYMUXEYNYOUXEBUXDHNXFXGXHXINXJ
      XKUVBUXBDEUDUVAUUKUVQUVBXEUXCLUVQXEUUKXEXLVJYPUWRUXAXMUVSUWBUWFYPUUMUWTUV
      BYPUUJUWSUDUULYPJUVQUUIUQJUVQUJYPOVHXNXOXPXIXQXRUVTUWBUWFXSUUCUWGYSYRUVBR
      ZJUJZUKUBUAUVBUUQUUNSYTUVBUJZUUBUXGYSUXHUUAUXFJYRYTUVBXTYAYEYRUUQUJYSUURU
      XGUVCYRUUQYQUHYFYRUUQJUVBYBYCYGWTYDYHYIWKYHYJVOYDYKYL $.
  $}

  ${
    1pmatscmul.p $e |- P = ( Poly1 ` R ) $.
    1pmatscmul.c $e |- C = ( N Mat P ) $.
    1pmatscmul.b $e |- B = ( Base ` C ) $.
    1pmatscmul.e $e |- E = ( Base ` P ) $.
    1pmatscmul.m $e |- .* = ( .s ` C ) $.
    1pmatscmul.1 $e |- .1. = ( 1r ` C ) $.
    $( The scalar product of the identity polynomial matrix with a polynomial
       is a polynomial matrix.  (Contributed by AV, 2-Nov-2019.)  (Revised by
       AV, 4-Dec-2019.) $)
    1pmatscmul $p |- ( ( N e. Fin /\ R e. Ring /\ Q e. E )
                       -> ( Q .* .1. ) e. B ) $=
      ( cfn wcel crg w3a 3adant3 wa ply1ring anim2i simp3 pmatring ringidcl syl
      co matvscl syl12anc ) IPQZERQZDGQZSZUKCRQZUAZUMFAQZDFHUHAQUKULUPUMULUOUKC
      EJUBUCTUKULUMUDUNBRQZUQUKULURUMBCEIJKUETABFLOUFUGBADCHGIFMKLNUIUJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Constant polynomial matrices
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  A _constant polynomial matrix_ is a polynomial matrix whose elements are
  constant polynomials, i.e., polynomials with no indeterminates.  Constant
  polynomials are obtained by "lifting" a "scalar" (i.e. an element of the
  underlying ring) into the polynomial ring/algebra by a "scalar injection",
  i.e., applying the "algebra scalar injection function" ` algSc ` (see
  ~ df-ascl ) to a scalar ` A e. R `: ` ( ( algSc `` P ) `` A ) ` .
  Analogously, constant polynomial matrices (over the ring ` R `) are obtained
  by "lifting" matrices over the ring ` R ` by the function ` matToPolyMat `
  (see ~ df-mat2pmat ), called "matrix transformation" in the following.

  In this section it is shown that the set ` S = ( N ConstPolyMat R ) ` of
  constant polynomial ` N ` x ` N ` matrices over the ring ` R ` is a subring
  of the ring of polynomial ` N ` x ` N ` matrices over the ring ` R `
  ( ~ cpmatsrgpmat ) and that ` T = ( N matToPolyMat R ) ` is a ring
  isomorphism from the ring of matrices over a ring ` R ` onto the ring of
  constant polynomial matrices over the ring ` R ` (see ~ m2cpmrngiso ).  Thus,
  the ring of matrices over a commutative ring is isomorphic to the ring of
  scalar matrices over the same ring, see ~ matcpmric .  Finally,
  ` I = ( N cPolyMatToMat R ) ` , the transformation of a constant polynomial
  matrix into a matrix, is the inverse function of the matrix transformation
  ` T = ( N matToPolyMat R ) ` , see ~ m2cpminv .

$)

  $c ConstPolyMat $.
  $c matToPolyMat $.
  $c cPolyMatToMat $.

  $( Extend class notation with the set of all constant polynomial matrices. $)
  ccpmat $a class ConstPolyMat $.

  $( Extend class notation with the transformation of a matrix into a matrix of
     polynomials. $)
  cmat2pmat $a class matToPolyMat $.

  $( Extend class notation with the transformation of a constant polynomial
     matrix into a matrix. $)
  ccpmat2mat $a class cPolyMatToMat $.

  ${
    $d i j k m n r $.
    $( The set of all constant polynomial matrices, which are all matrices
       whose entries are constant polynomials (or "scalar polynomials", see
       ~ ply1sclf ).  (Contributed by AV, 15-Nov-2019.) $)
    df-cpmat $a |- ConstPolyMat = ( n e. Fin , r e. _V
                         |-> { m e. ( Base ` ( n Mat ( Poly1 ` r ) ) ) |
                               A. i e. n A. j e. n A. k e. NN
                               ( ( coe1 ` ( i m j ) ) ` k ) = ( 0g ` r ) } ) $.
  $}

  ${
    $d n m r x y $.
    $( Transformation of a matrix (over a ring) into a matrix over the
       corresponding polynomial ring.  (Contributed by AV, 31-Jul-2019.) $)
    df-mat2pmat $a |- matToPolyMat = ( n e. Fin , r e. _V
             |-> ( m e. ( Base ` ( n Mat r ) )
                   |-> ( x e. n , y e. n
                         |-> ( ( algSc ` ( Poly1 ` r ) ) ` ( x m y ) ) ) ) ) $.
  $}

  ${
    $d n m r x y $.
    $( Transformation of a constant polynomial matrix (over a ring) into a
       matrix over the corresponding ring.  Since this function is the inverse
       function of ` matToPolyMat ` , see ~ m2cpminv , it is also called
       "inverse matrix transformation" in the following.  (Contributed by AV,
       14-Dec-2019.) $)
    df-cpmat2mat $a |- cPolyMatToMat = ( n e. Fin , r e. _V
                          |-> ( m e. ( n ConstPolyMat r )
                                |-> ( x e. n , y e. n
                                      |-> ( ( coe1 ` ( x m y ) ) ` 0 ) ) ) ) $.
  $}

  ${
    $d B m n r $.  $d N i j k m n r $.  $d R i j k m n r $.  $d V n r $.
    cpmat.s $e |- S = ( N ConstPolyMat R ) $.
    cpmat.p $e |- P = ( Poly1 ` R ) $.
    cpmat.c $e |- C = ( N Mat P ) $.
    cpmat.b $e |- B = ( Base ` C ) $.
    $( Value of the constructor of the set of all constant polynomial matrices,
       i.e. the set of all ` N ` x ` N ` matrices of polynomials over a ring
       ` R ` .  (Contributed by AV, 15-Nov-2019.) $)
    cpmat $p |- ( ( N e. Fin /\ R e. V )
                     -> S = { m e. B | A. i e. N A. j e. N A. k e. NN
                              ( ( coe1 ` ( i m j ) ) ` k ) = ( 0g ` R ) } ) $=
      ( cv cfv wceq wral cvv vn vr cfn wcel wa ccpmat co cco1 cn crab cpl1 cmat
      c0g cbs cmpo df-cpmat a1i simpl fveq2 adantl oveq12d fveq2d oveq2i fveq2i
      eqtri eqtr4di eqeq2d ralbidv raleqbidv rabeqbidv elex fvexi rabexg ovmpod
      mp1i syl5eq ) JUCUDZDKUDZUEZEJDUFUGHPFPGPIPUGUHQQZDUMQZRZHUISZGJSZFJSZIAU
      JZLVSUAUBJDUCTVTUBPZUMQZRZHUISZGUAPZSZFWKSZIWKWGUKQZULUGZUNQZUJZWFUFTUFUA
      UBUCTWQUORVSFGHIUAUBUPUQWKJRZWGDRZUEZWQWFRVSWTWMWEIWPAWTWPJDUKQZULUGZUNQZ
      AWTWOXBUNWTWKJWNXAULWRWSURZWSWNXARWRWGDUKUSUTVAVBABUNQXCOBXBUNBJCULUGXBNC
      XAJULMVCVEVDVEVFWTWLWDFWKJXDWTWJWCGWKJXDWTWIWBHUIWTWHWAVTWSWHWARWRWGDUMUS
      UTVGVHVIVIVJUTVQVRURVRDTUDVQDKVKUTATUDWFTUDVSABUNOVLWEIATVMVOVNVP $.

    $d M m $.
    $( A constant polynomial matrix is a polynomial matrix.  (Contributed by
       AV, 16-Nov-2019.) $)
    cpmatpmat $p |- ( ( N e. Fin /\ R e. V /\ M e. S ) -> M e. B ) $=
      ( vk vi vj vm wcel cv cfv wral cfn wa co cco1 c0g wceq crab eleq2d elrabi
      cn cpmat syl6bi 3impia ) GUAQZDHQZFEQZFAQZUNUOUBZUPFMRNRORPRUCUDSSDUESUFM
      UJTOGTNGTZPAUGZQUQUREUTFABCDENOMPGHIJKLUKUHUSPFAUIULUM $.

    $d M i j k $.
    $( Property of a constant polynomial matrix.  (Contributed by AV,
       15-Nov-2019.) $)
    cpmatel $p |- ( ( N e. Fin /\ R e. V /\ M e. B )
                       -> ( M e. S <-> A. i e. N A. j e. N A. k e. NN
                               ( ( coe1 ` ( i M j ) ) ` k ) = ( 0g ` R ) ) ) $=
      ( vm wcel cv cfv wral cfn co cco1 c0g wceq cn w3a wa cpmat 3adant3 eleq2d
      crab oveq fveq2d fveq1d eqeq1d ralbidv 2ralbidv elrab bitrdi 3anibar ) JU
      AQZDKQZIAQZIEQZHRZFRZGRZIUBZUCSZSZDUDSZUEZHUFTZGJTFJTZVBVCVDUGZVEIVFVGVHP
      RZUBZUCSZSZVLUEZHUFTZGJTFJTZPAULZQVDVOUHVPEWDIVBVCEWDUEVDABCDEFGHPJKLMNOU
      IUJUKWCVOPIAVQIUEZWBVNFGJJWEWAVMHUFWEVTVKVLWEVFVSVJWEVRVIUCVGVHVQIUMUNUOU
      PUQURUSUTVA $.

    $( Implication of a set being a constant polynomial matrix.  (Contributed
       by AV, 18-Nov-2019.) $)
    cpmatelimp $p |- ( ( N e. Fin /\ R e. Ring ) -> ( M e. S -> ( M e. B
                          /\ A. i e. N A. j e. N A. k e. NN
                             ( ( coe1 ` ( i M j ) ) ` k ) = ( 0g ` R ) ) ) ) $=
      ( wcel crg wa cv cfv wral cfn co cco1 c0g wceq cn cpmatpmat 3expa cpmatel
      wb biimpd impancom jcai ex ) JUAOZDPOZQZIEOZIAOZHRFRGRIUBUCSSDUDSUEHUFTGJ
      TFJTZQUQURQUSUTUOUPURUSABCDEIJPKLMNUGUHUQUSURUTUQUSQURUTUOUPUSURUTUJABCDE
      FGHIJPKLMNUIUHUKULUMUN $.

    $d A k l $.  $d B i j $.  $d K k l $.  $d M l $.  $d N i j l $.
    $d P k l $.  $d R l $.
    cpmatel2.k $e |- K = ( Base ` R ) $.
    cpmatel2.a $e |- A = ( algSc ` P ) $.
    $( Another property of a constant polynomial matrix.  (Contributed by AV,
       16-Nov-2019.)  (Proof shortened by AV, 27-Nov-2019.) $)
    cpmatel2 $p |- ( ( N e. Fin /\ R e. Ring /\ M e. B ) -> ( M e. S
                 <-> A. i e. N A. j e. N E. k e. K ( i M j ) = ( A ` k ) ) ) $=
      ( wcel cfv vl cfn crg w3a cv co cco1 c0g wceq cn wral wrex cpmatel wa cbs
      wb simpl2 eqid simprl simprr simpl3 matecld cply1coe0bi syl2anc 2ralbidva
      bicomd bitrd ) LUBSZEUCSZKBSZUDZKFSUAUEGUEZHUEZKUFZUGTTEUHTZUIUAUJUKZHLUK
      GLUKVNIUEATUIIJULZHLUKGLUKBCDEFGHUAKLUCMNOPUMVKVPVQGHLLVKVLLSZVMLSZUNZUNZ
      VQVPWAVIVNDUOTZSVQVPUPVHVIVJVTUQWACBDVLVMWBKLOWBURZPVKVRVSUSVKVRVSUTVHVIV
      JVTVAVBAWBDEUAJVNVOIQVOURNWCRVCVDVFVEVG $.

    $( Another implication of a set being a constant polynomial matrix.
       (Contributed by AV, 17-Nov-2019.) $)
    cpmatelimp2 $p |- ( ( N e. Fin /\ R e. Ring ) -> ( M e. S -> ( M e. B
                /\ A. i e. N A. j e. N E. k e. K ( i M j ) = ( A ` k ) ) ) ) $=
      ( wcel wa cfn crg cv co wceq wrex wral cpmatpmat 3expa wb cpmatel2 biimpd
      cfv impancom jcai ex ) LUASZEUBSZTZKFSZKBSZGUCHUCKUDIUCAUMUEIJUFHLUGGLUGZ
      TUSUTTVAVBUQURUTVABCDEFKLUBMNOPUHUIUSVAUTVBUSVATUTVBUQURVAUTVBUJABCDEFGHI
      JKLMNOPQRUKUIULUNUOUP $.
  $}

  ${
    $d C i j n $.  $d N i j n $.  $d R i j n $.
    cpmatsrngpmat.s $e |- S = ( N ConstPolyMat R ) $.
    cpmatsrngpmat.p $e |- P = ( Poly1 ` R ) $.
    cpmatsrngpmat.c $e |- C = ( N Mat P ) $.
    $( The identity of the ring of all polynomial matrices over the ring ` R `
       is a constant polynomial matrix.  (Contributed by AV, 16-Nov-2019.) $)
    1elcpmat $p |- ( ( N e. Fin /\ R e. Ring ) -> ( 1r ` C ) e. S ) $=
      ( vn vi vj wcel wa cfv cco1 wceq cn wral eqid mpbird cfn crg cur cv cascl
      co c0g cif cbs ringidcl ancli adantl ad2antrl cply1coe0 syl iftrue fveq2d
      wb fveq1d eqeq1d ralbidv adantr wn ring0cl pm2.61ian simpll simplr simprl
      iffalse ralrimivva simprr pmat1ovscd 2ralbidva pmatring cpmatel mpd3an3 )
      EUALZCUBLZMZAUCNZDLZIUDZJUDZKUDZVTUFZONZNZCUGNZPZIQRZKERJERZVSWKWBWCWDPZC
      UCNZBUENZNZWHWNNZUHZONZNZWHPZIQRZKERJERVSXAJKEEWLVSWCELZWDELZMZMZXAWLXEMZ
      XAWBWOONZNZWHPZIQRZXFVRWMCUINZLZMZXJVSXMWLXDVRXMVQVRXLXKCWMXKSZWMSZUJUKUL
      UMWNBUINZBCWMIXKWHXNWHSZGXPSZWNSZUNUOWLXAXJURXEWLWTXIIQWLWSXHWHWLWBWRXGWL
      WQWOOWLWOWPUPUQUSUTVAVBTWLVCZXEMZXAWBWPONZNZWHPZIQRZVSYEXTXDVSVRWHXKLZMZY
      EVRYGVQVRYFXKCWHXNXQVDUKULWNXPBCWHIXKWHXNXQGXRXSUNUOUMYAWTYDIQYAWSYCWHYAW
      BWRYBYAWQWPOXTWQWPPXEWLWOWPVIVBUQUSUTVATVEVJVSWJXAJKEEXEWIWTIQXEWGWSWHXEW
      BWFWRXEWEWQOXEWNABCVTWMWCWDEWHGHXSXQXOVQVRXDVFVQVRXDVGVSXBXCVHVSXBXCVKVTS
      ZVLUQUSUTVAVMTVQVRVTAUINZLZWAWKURVSAUBLYJABCEGHVNYIAVTYISZYHUJUOYIABCDJKI
      VTEUBFGHYKVOVPT $.

    $d C a b c $.  $d N a b c i j x y $.  $d P a b c $.  $d R a b c x y $.
    $d S y $.
    $( The set of all constant polynomial matrices over a ring ` R ` is closed
       under addition.  (Contributed by AV, 17-Nov-2019.)  (Proof shortened by
       AV, 28-Nov-2019.) $)
    cpmatacl $p |- ( ( N e. Fin /\ R e. Ring )
                        -> A. x e. S A. y e. S ( x ( +g ` C ) y ) e. S ) $=
      ( vi vj wcel wa cfv co wceq wral wi eqid vc va vb cfn crg cv cplusg cascl
      cbs wrex cpmatelimp2 r19.26-2 csca ringacl 3expb wb ply1sca eqcomd fveq2d
      oveqd eleq1d adantr mpbird fveq2 eqeq2d adantl ancomd anim1i matplusgcell
      ad5ant25 simpr ad2antrr syl oveq12 ancoms cghm ply1ring ad4antlr ply1lmod
      clmod asclghm eleq2d biimpd adantrd imp ad3antlr adantld ghmlin sylan9eqr
      syl3anc eqtrd rspcedvd anassrs rexlimdva impd ralimdvva syl5bir expd expr
      exp32 com23 com34 imp32 simpl pmatring w3a anim2i df-3an sylibr cpmatpmat
      ex syld cpmatel2 ralrimivva ) GUDMZEUEMZNZAUFZBUFZCUGOZPZFMZABFFXQXRFMZXS
      FMZNZNZYBKUFZLUFZYAPZUAUFZDUHOZOZQZUAEUIOZUJZLGRKGRZXQYCYDYPXQYCXRCUIOZMZ
      YGYHXRPZUBUFZYKOZQZUBYNUJZLGRKGRZNZYDYPSYKYQCDEFKLUBYNXRGHIJYQTZYNTZYKTZU
      KXQYDUUEYPXQYDXSYQMZYGYHXSPZUCUFZYKOZQZUCYNUJZLGRKGRZNUUEYPSZYKYQCDEFKLUC
      YNXSGHIJUUFUUGUUHUKXQUUIUUOUUPXQUUIUUEUUOYPXQUUIUUEUUOYPSZSXQUUINYRUUDUUQ
      XQUUIYRUUDUUQSXQUUIYRNZNZUUDUUOYPUUDUUONUUCUUNNZLGRKGRUUSYPUUCUUNKLGGULUU
      SUUTYOKLGGUUSYGGMYHGMNZNZUUCUUNYOUVBUUBUUNYOSUBYNUVBYTYNMZNZUUNUUBYOUVDUU
      MUUBYOSZUCYNUVBUVCUUKYNMZUUMUVESUVBUVCUVFNZNZUUMUUBYOUVHUUMUUBNZNZYMYIYTU
      UKDUMOZUGOZPZYKOZQZUAUVMYNUVHUVMYNMZUVIXPUVGUVPXOUURUVAXPUVGNUVPYTUUKEUGO
      ZPZYNMZXPUVCUVFUVSYNUVQEYTUUKUUGUVQTUNUOXPUVPUVSUPUVGXPUVMUVRYNXPUVLUVQYT
      UUKXPUVKEUGXPEUVKDEUEIUQZURUSUTVAVBVCVJVBYJUVMQZYMUVOUPUVJUWAYLUVNYIYJUVM
      YKVDVEVFUVJYIYSUUJDUGOZPZUVNUVJYRUUINZUVANZYIUWCQUVBUWEUVGUVIUUSUWDUVAUUS
      UUIYRXQUURVKVGVHVLCYQUWBXTDYGYHGXRXSJUUFXTTZUWBTZVIVMUVIUVHUWCUUAUULUWBPZ
      UVNUUBUUMUWCUWHQYSUUAUUJUULUWBVNVOUVHUVNUWHUVHYKUVKDVPPMYTUVKUIOZMZUUKUWI
      MZUVNUWHQUVHYKUVKDUUHUVKTXPDUEMXOUURUVAUVGDEIVQVRXPDVTMXOUURUVAUVGDEIVSVR
      WAUVBUVGUWJUVBUVCUWJUVFXQUVCUWJSUURUVAXQUVCUWJXQYNUWIYTXQEUVKUIXPEUVKQZXO
      UVTVFUSWBWCVLWDWEUVBUVGUWKUVBUVFUWKUVCUVBUVFUWKUVBYNUWIUUKUVBEUVKUIXPUWLX
      OUURUVAUVTWFUSWBWCWGWEUVLUWBUVKDYTYKUUKUWIUWITUVLTUWGWHWJURWIWKWLWTWMWNXA
      WNWOWPWQWRWSWOXKXBWOXLXAXLXCYFXOXPYAYQMZYBYPUPXQXOYEXOXPXDVBXQXPYEXOXPVKV
      BYFCUEMZYRUUIUWMXQUWNYECDEGIJXEVBYFXOXPYCXFZYRYFXQYCNUWOYEYCXQYCYDXDXGXOX
      PYCXHXIYQCDEFXRGUEHIJUUFXJVMYFXOXPYDXFZUUIYFXQYDNUWPYEYDXQYCYDVKXGXOXPYDX
      HXIYQCDEFXSGUEHIJUUFXJVMYQXTCXRXSUUFUWFUNWJYKYQCDEFKLUAYNYAGHIJUUFUUGUUHX
      MWJVCXN $.

    $( The set of all constant polynomial matrices over a ring ` R ` is closed
       under inversion.  (Contributed by AV, 17-Nov-2019.)  (Proof shortened by
       AV, 28-Nov-2019.) $)
    cpmatinvcl $p |- ( ( N e. Fin /\ R e. Ring )
                        -> A. x e. S ( ( invg ` C ) ` x ) e. S ) $=
      ( vi vj vc wcel crg wa cv cminusg cfv wceq eqid va cfn co cascl wrex wral
      cpmatelimp2 csca ply1sca adantl adantr eqcomd fveq2d fveq1d cgrp grpinvcl
      cbs ringgrp sylan eqeltrd ad5ant14 wb eqeq2d w3a ply1ring ad3antlr simplr
      fveq2 simpr 3jca ad2antrr matinvgcell syl cghm ply1lmod asclghm wi eleq2d
      clmod biimpd ghminv syl2anc sylan9eqr eqtrd rspcedvd rexlimdva2 ralimdvva
      imp expimpd syld simpll pmatring cpmatpmat 3expa syl3anc mpbird ralrimiva
      cpmatel2 ) FUBMZDNMZOZAPZBQRZRZEMZAEXAXBEMZOZXEJPZKPZXDUCZLPZCUDRZRZSZLDU
      QRZUEZKFUFJFUFZXAXFXQXAXFXBBUQRZMZXHXIXBUCZUAPZXLRZSZUAXOUEZKFUFJFUFZOXQX
      LXRBCDEJKUAXOXBFGHIXRTZXOTZXLTZUGXAXSYEXQXAXSOZYDXPJKFFYIXHFMXIFMOZOZYCXP
      UAXOYKYAXOMZOZYCOZXNXJYACUHRZQRZRZXLRZSZLYQXOXAYLYQXOMXSYJYCXAYLOZYQYADQR
      ZRZXOYTYAYPUUAYTYODQYTDYOXADYOSZYLWTUUCWSCDNHUIUJZUKULUMUNXADUOMZYLUUBXOM
      WTUUEWSDURUJXODUUAYAYGUUATUPUSUTVAXKYQSZXNYSVBYNUUFXMYRXJXKYQXLVHVCUJYNXJ
      XTCQRZRZYRYNCNMZXSYJVDZXJUUHSYKUUJYLYCYKUUIXSYJWTUUIWSXSYJCDHVEVFZXAXSYJV
      GYIYJVIVJVKBXRCXHXIFUUGXCXBIYFUUGTZXCTZVLVMYCYMUUHYBUUGRZYRXTYBUUGVHYMYRU
      UNYMXLYOCVNUCMYAYOUQRZMZYRUUNSYMXLYOCYHYOTYKUUIYLUUKUKYKCVSMZYLWTUUQWSXSY
      JCDHVOVFUKVPYKYLUUPXAYLUUPVQXSYJXAYLUUPXAXOUUOYAXADYOUQUUDUMVRVTVKWHUUOYO
      CXLYPUUGYAUUOTYPTUULWAWBULWCWDWEWFWGWIWJWHXGWSWTXDXRMZXEXQVBWSWTXFWKWSWTX
      FVGXGBUOMZXSUURXAUUSXFXABNMUUSBCDFHIWLBURVMUKWSWTXFXSXRBCDEXBFNGHIYFWMWNX
      RBXCXBYFUUMUPWBXLXRBCDEJKLXOXDFGHIYFYGYHWRWOWPWQ $.

    $d C k $.  $d N c i j k l x y $.  $d P k $.  $d R k l $.
    $( Lemma for ~ cpmatmcl .  (Contributed by AV, 18-Nov-2019.) $)
    cpmatmcllem $p |- ( ( ( N e. Fin /\ R e. Ring )
                   /\ ( x e. S /\ y e. S ) ) -> A. i e. N A. j e. N A. c e. NN
           ( ( coe1 ` ( P gsum ( k e. N |->
               ( ( i x k ) ( .r ` P ) ( k y j ) ) ) ) ) ` c ) = ( 0g ` R ) ) $=
      ( vl wcel wa cfv cn wral cfn crg cv co cmulr cmpt cgsu cco1 c0g wceq eqid
      cbs wi cpmatelimp adantr ralcom r19.26-2 bitr3i nfv nfra1 simp-4r simplrl
      simpr matecld simplrr adantlr fveq2d fveq1d eqeq1d fvoveq1 anbi12d rspcva
      jca32 oveq2 a1i exp4b com23 imp31 ralimdva impancom imp cply1mul r19.21bi
      nfan sylc an32s mpteq2dva oveq2d cmnd ringmnd anim2i ancomd gsumz ad4antr
      syl eqtrd ex ralrimi wb cn0 nnnn0 adantl ply1ring ad4antlr ringcl syl3anc
      ralrimiva simp-4l coe1fzgsumd ralbidva mpbird syl5bi expd expr impd imp32
      syld ) JUAPZEUBPZQZAUCZFPZBUCZFPZKUCZDIJGUCZIUCZYAUDZYGHUCZYCUDZDUERZUDZU
      FUGUDUHRRZEUIRZUJZKSTZHJTZGJTZXTYBYACULRZPZYEYFOUCZYAUDZUHRZRZYNUJZKSTOJT
      ZGJTZQYDYRUMZYSCDEFGOKYAJLMNYSUKZUNXTYTUUGUUHXTYTUUGUUHUMXTYTQZYDUUGYRUUJ
      YDYCYSPZYEUUAYIYCUDUHRZRZYNUJZKSTZHJTOJTZQZUUGYRUMZXTYDUUQUMYTYSCDEFOHKYC
      JLMNUUIUNUOUUJUUKUUPUURXTYTUUKUUPUURUMXTYTUUKQZQZUUPUURUUTUUPQZUUFYQGJUVA
      YFJPZUUFYQUMZUUTUVBUUPUVCUUTUVBQZUUFUUPYQUVDUUFUUPYQUMUUPUUOOJTZHJTUVDUUF
      QZYQUUOOHJJUPUVFUVEYPHJUVDUUFYIJPZUVEYPUMZUVDUVGUUFUVHUUTUVBUVGUUFUVHUMUU
      TUVBUVGQZQZUUFUVEYPUUFUVEQZUUEUUNQZOJTZKSTZUVJYPUVKUVLKSTOJTUVNUUEUUNOKJS
      UQUVLOKJSUPURUVJUVNYPUVJUVNQZYPEIJYEYLUHRRZUFZUGUDZYNUJZKSTZUVOUVSKSUVJUV
      NKUVJKUSUVMKSUTWDUVOYESPZUVSUVOUWAQZUVREIJYNUFZUGUDZYNUWBUVQUWCEUGUWBIJUV
      PYNUVOYGJPZUWAUVPYNUJZUVOUWEQZUWFKSUWGXSYHDULRZPZYJUWHPZQQZYEYHUHRZRZYNUJ
      ZYEYJUHRZRZYNUJZQZKSTZUWFKSTUVJUWEUWKUVNUVJUWEQZXSUWIUWJXRXSUUSUVIUWEVAUW
      TCYSDYFYGUWHYAJNUWHUKZUUIUUTUVBUVGUWEVBUVJUWEVCZUVJYTUWEXTYTUUKUVIVBUOVDZ
      UWTCYSDYGYIUWHYCJNUXAUUIUXBUUTUVBUVGUWEVEUVJUUKUWEXTYTUUKUVIVEUOVDZVMVFUV
      OUWEUWSUVJUWEUVNUWSUWTUVMUWRKSUVJUWEUWAUVMUWRUMZUVJUWAUWEUXEUVJUWAUWEUVMU
      WRUWEUVMQUWRUMUVJUWAQZUVLUWROYGJUUAYGUJZUUEUWNUUNUWQUXGUUDUWMYNUXGYEUUCUW
      LUXGUUBYHUHUUAYGYFYAVNVGVHVIUXGUUMUWPYNUXGYEUULUWOUUAYGYIUHYCVJVHVIVKVLVO
      VPVQVRVSVTWAUWHDEYKYHYJYNKMUXAYNUKZYKUKZWBWEWCWFWGWHXTUWDYNUJZUUSUVIUVNUW
      AXTEWIPZXRQUXJXTXRUXKXSUXKXREWJWKWLJIEUAYNUXHWMWOWNWPWQWRUVJYPUVTWSUVNUVJ
      YOUVSKSUXFYMUVRYNUXFIUWHDEYEYLJMUXAXRXSUUSUVIUWAVAUWAYEWTPUVJYEXAXBUVJYLU
      WHPZIJTUWAUVJUXLIJUWTDUBPZUWIUWJUXLXSUXMXRUUSUVIUWEDEMXCXDUXCUXDUWHDYKYHY
      JUXAUXIXEXFXGUOXRXSUUSUVIUWAXHXIVIXJUOXKWQXLXMXNVQVRVSXLWQVQVTWAVSWQXNXOX
      QVQWQXOXQXP $.

    $d S c i j $.
    $( The set of all constant polynomial matrices over a ring ` R ` is closed
       under multiplication.  (Contributed by AV, 18-Nov-2019.) $)
    cpmatmcl $p |- ( ( N e. Fin /\ R e. Ring )
                        -> A. x e. S A. y e. S ( x ( .r ` C ) y ) e. S ) $=
      ( vc vi vj wcel crg wa cv cfv co wral vk cfn cmulr cco1 wceq cn cmpt cgsu
      cpmatmcllem ply1ring ad4antlr eqid cpmatpmat 3expa anim12dan adantr simpr
      c0g cbs anim1i matmulcell syl3anc fveq2d fveq1d eqeq1d ralbidva mpbird wb
      simpl pmatring w3a anim2i df-3an sylibr syl ringcl cpmatel ralrimivva ) G
      UBNZEONZPZAQZBQZCUCRZSZFNZABFFWAWBFNZWCFNZPZPZWFKQZLQZMQZWESZUDRZRZEURRZU
      EZKUFTZMGTZLGTZWJXAWKDUAGWLUAQZWBSXBWMWCSDUCRSUGUHSZUDRZRZWQUEZKUFTZMGTZL
      GTABCDEFLMUAGKHIJUIWJWTXHLGWJWLGNZPZWSXGMGXJWMGNZPZWRXFKUFXLWKUFNZPZWPXEW
      QXNWKWOXDXLWOXDUEXMXLWNXCUDXLDONZWBCUSRZNZWCXPNZPZXIXKPWNXCUEVTXOVSWIXIXK
      DEIUJUKXJXSXKWJXSXIWAWGXQWHXRVSVTWGXQXPCDEFWBGOHIJXPULZUMZUNVSVTWHXRXPCDE
      FWCGOHIJXTUMZUNUOUPUPXJXIXKWJXIUQUTCXPDWDUAWLWMGWBWCJXTWDULZVAVBVCUPVDVEV
      FVFVFVGWJVSVTWEXPNZWFXAVHWAVSWIVSVTVIUPWAVTWIVSVTUQUPWJCONZXQXRYDWAYEWICD
      EGIJVJUPWJVSVTWGVKZXQWJWAWGPYFWIWGWAWGWHVIVLVSVTWGVMVNYAVOWJVSVTWHVKZXRWJ
      WAWHPYGWIWHWAWGWHUQVLVSVTWHVMVNYBVOXPCWDWBWCXTYCVPVBXPCDEFLMKWEGOHIJXTVQV
      BVGVR $.

    $d C m $.  $d C x y $.  $d N i j k m $.  $d R k m $.  $d S x $.
    $( The set of all constant polynomial matrices over a ring ` R ` is an
       additive subgroup of the ring of all polynomial matrices over the ring
       ` R ` .  (Contributed by AV, 15-Nov-2019.) $)
    cpmatsubgpmat $p |- ( ( N e. Fin /\ R e. Ring )
                             -> S e. ( SubGrp ` C ) ) $=
      ( vx vy vk vi vj vm wcel crg cfv cv wral eqid cfn wa csubg cbs wss c0 wne
      cplusg co cminusg cco1 c0g wceq cn crab ssrab2 eqsstrdi cur 1elcpmat ne0d
      cpmat cpmatacl cpmatinvcl r19.26 sylanbrc w3a wb pmatring ringgrp issubg2
      cgrp 3syl mpbir3and ) EUAOCPOUBZDAUCQOZDAUDQZUEZDUFUGZIRZJRAUHQZUIDOJDSZV
      SAUJQZQDOZUBIDSZVNDKRLRMRNRUIUKQQCULQUMKUNSMESLESZNVPUOVPVPABCDLMKNEPFGHV
      PTZVAWENVPUPUQVNDAURQABCDEFGHUSUTVNWAIDSWCIDSWDIJABCDEFGHVBIABCDEFGHVCWAW
      CIDVDVEVNAPOAVKOVOVQVRWDVFVGABCEGHVHAVIIJVPVTDAWBWFVTTWBTVJVLVM $.

    $( The set of all constant polynomial matrices over a ring ` R ` is a
       subring of the ring of all polynomial matrices over the ring ` R ` .
       (Contributed by AV, 18-Nov-2019.) $)
    cpmatsrgpmat $p |- ( ( N e. Fin /\ R e. Ring )
                             -> S e. ( SubRing ` C ) ) $=
      ( vx vy cfn wcel crg wa csubrg cfv csubg cv wral eqid cmulr cpmatsubgpmat
      cur co 1elcpmat cpmatmcl w3a wb pmatring cbs issubrg2 syl mpbir3and ) EKL
      CMLNZDAOPLZDAQPLZAUCPZDLZIRJRAUAPZUDDLJDSIDSZABCDEFGHUBABCDEFGHUEIJABCDEF
      GHUFUNAMLUOUPURUTUGUHABCEGHUIIJDAUJPZAUSUQVATUQTUSTUKULUM $.
  $}

  ${
    0elcpmat.s $e |- S = ( N ConstPolyMat R ) $.
    0elcpmat.p $e |- P = ( Poly1 ` R ) $.
    0elcpmat.c $e |- C = ( N Mat P ) $.
    $( The zero of the ring of all polynomial matrices over the ring ` R ` is a
       constant polynomial matrix.  (Contributed by AV, 27-Nov-2019.) $)
    0elcpmat $p |- ( ( N e. Fin /\ R e. Ring ) -> ( 0g ` C ) e. S ) $=
      ( cfn wcel crg wa csubg cfv c0g cpmatsubgpmat eqid subg0cl syl ) EIJCKJLD
      AMNJAONZDJABCDEFGHPDATTQRS $.
  $}

  ${
    $d m n r B $.  $d n m r x y N $.  $d n m r x y R $.  $d n r S $.
    $d n r V $.
    mat2pmatfval.t $e |- T = ( N matToPolyMat R ) $.
    mat2pmatfval.a $e |- A = ( N Mat R ) $.
    mat2pmatfval.b $e |- B = ( Base ` A ) $.
    mat2pmatfval.p $e |- P = ( Poly1 ` R ) $.
    mat2pmatfval.s $e |- S = ( algSc ` P ) $.
    $( Value of the matrix transformation.  (Contributed by AV,
       31-Jul-2019.) $)
    mat2pmatfval $p |- ( ( N e. Fin /\ R e. V )
           -> T = ( m e. B |-> ( x e. N , y e. N |-> ( S ` ( x m y ) ) ) ) ) $=
      ( wcel cfv cvv cbs vn vr cfn wa cmat2pmat co cv cmpo cmpt cmat cpl1 cascl
      df-mat2pmat oveq12 fveq2d fveq2i eqtr2i eqtrdi simpl 2fveq3 adantl fveq1d
      wceq a1i mpoeq123dv mpteq12dv elex fvexi mptexg mp1i ovmpod syl5eq ) JUCQ
      ZFKQZUDZHJFUEUFIDABJJAUGBUGIUGUFZGRZUHZUIZLVOUAUBJFUCSIUAUGZUBUGZUJUFZTRZ
      ABVTVTVPWAUKRULRZRZUHZUIZVSUESUEUAUBUCSWGUHVCVOABIUAUBUMVDVTJVCZWAFVCZUDZ
      WGVSVCVOWJIWCWFDVRWJWCJFUJUFZTRZDWJWBWKTVTJWAFUJUNUODCTRWLNCWKTMUPUQURWJA
      BVTVTWEJJVQWHWIUSZWMWJVPWDGWJWDFUKRZULRZGWIWDWOVCWHWAFULUKUTVAGEULRWOPEWN
      ULOUPUQURVBVEVFVAVMVNUSVNFSQVMFKVGVADSQVSSQVODCTNVHIDVRSVIVJVKVL $.

    $d m x y M $.  $d m S $.  $d m V $.
    $( The result of a matrix transformation.  (Contributed by AV,
       31-Jul-2019.) $)
    mat2pmatval $p |- ( ( N e. Fin /\ R e. V /\ M e. B )
                  -> ( T ` M ) = ( x e. N , y e. N |-> ( S ` ( x M y ) ) ) ) $=
      ( vm cfn wcel cv w3a cfv cmpo cvv cmpt wceq mat2pmatfval 3adant3 mpoeq3dv
      co oveq fveq2d adantl simp3 simp1 mpoexga syl2anc fvmptd ) JRSZFKSZIDSZUA
      ZQIABJJATZBTZQTZUJZGUBZUCZABJJVCVDIUJZGUBZUCZDHUDUSUTHQDVHUEUFVAABCDEFGHQ
      JKLMNOPUGUHVEIUFZVHVKUFVBVLABJJVGVJVLVFVIGVCVDVEIUKULUIUMUSUTVAUNVBUSUSVK
      UDSUSUTVAUOZVMABJJVJRRUPUQUR $.

    $d x y B $.  $d x y S $.  $d x y V $.  $d x y X $.  $d x y Y $.
    $( A (matrix) element of the result of a matrix transformation.
       (Contributed by AV, 31-Jul-2019.) $)
    mat2pmatvalel $p |- ( ( ( N e. Fin /\ R e. V /\ M e. B )
                              /\ ( X e. N /\ Y e. N ) )
                            -> ( X ( T ` M ) Y ) = ( S ` ( X M Y ) ) ) $=
      ( vx vy wcel wceq cfn w3a wa cv co cfv cvv cmpo mat2pmatval adantr oveq12
      fveq2d adantl simprl simprr fvexd ovmpod ) HUASDISGBSUBZJHSZKHSZUCZUCZQRJ
      KHHQUDZRUDZGUEZEUFZJKGUEZEUFZGFUFZUGURVIQRHHVFUHTVAQRABCDEFGHILMNOPUIUJVC
      JTVDKTUCZVFVHTVBVJVEVGEVCJVDKGUKULUMURUSUTUNURUSUTUOVBVGEUPUQ $.
  $}

  ${
    $d B x y $.  $d M x y $.  $d N x y $.  $d P x y $.  $d R x y $.
    mat2pmatbas.t $e |- T = ( N matToPolyMat R ) $.
    mat2pmatbas.a $e |- A = ( N Mat R ) $.
    mat2pmatbas.b $e |- B = ( Base ` A ) $.
    mat2pmatbas.p $e |- P = ( Poly1 ` R ) $.
    mat2pmatbas.c $e |- C = ( N Mat P ) $.
    $( The result of a matrix transformation is a polynomial matrix.
       (Contributed by AV, 1-Aug-2019.) $)
    mat2pmatbas $p |- ( ( N e. Fin /\ R e. Ring /\ M e. B )
                        -> ( T ` M ) e. ( Base ` C ) ) $=
      ( vx vy wcel crg cfv cbs eqid cfn w3a cv cascl cmpo mat2pmatval cvv simp1
      co cpl1 fvexi a1i wf csca ply1ring 3ad2ant2 3ad2ant1 clmod ply1lmod asclf
      wceq ply1sca fveq2d feq2d mpbird simp2 simp3 eleq2i biimpi matecl syl3anc
      3ad2ant3 ffvelrnd matbas2d eqeltrd ) HUAPZEQPZGBPZUBZGFRNOHHNUCZOUCZGUIZD
      UDRZRZUECSRZNOABDEWCFGHQIJKLWCTZUFVSNOCWEWDDDSRZHUGMWGTZWETVPVQVRUHDUGPVS
      DEUJLUKULVSVTHPZWAHPZUBZESRZWGWBWCWKWLWGWCUMDUNRZSRZWGWCUMWKWCWGWMWNDWFWM
      TVSWIDQPZWJVQVPWOVRDELUOUPUQVSWIDURPZWJVQVPWPVRDELUSUPUQWNTWHUTWKWLWNWGWC
      VSWIWLWNVAZWJVQVPWQVRVQEWMSDEQLVBVCUPUQVDVEWKWIWJGASRZPZWBWLPVSWIWJVFVSWI
      WJVGVSWIWSWJVRVPWSVQVRWSBWRGKVHVIVLUQAEVTWAWLGHJWLTVJVKVMVNVO $.

    mat2pmatbas0.h $e |- H = ( Base ` C ) $.
    $( The result of a matrix transformation is a polynomial matrix.
       (Contributed by AV, 27-Oct-2019.) $)
    mat2pmatbas0 $p |- ( ( N e. Fin /\ R e. Ring /\ M e. B )
                        -> ( T ` M ) e. H ) $=
      ( cfn wcel crg w3a cfv cbs mat2pmatbas eleqtrrdi ) IPQERQHBQSHFTCUATGABCD
      EFHIJKLMNUBOUC $.

    $d B m x y $.  $d H m $.  $d N m $.  $d R m $.  $d T m $.
    $( The matrix transformation is a function from the matrices to the
       polynomial matrices.  (Contributed by AV, 27-Oct-2019.) $)
    mat2pmatf $p |- ( ( N e. Fin /\ R e. Ring ) -> T : B --> H ) $=
      ( vm vx vy cfn wcel wa crg cv cascl cfv cmpo cvv simpl jca adantr mpoexga
      co syl eqid mat2pmatfval mat2pmatbas0 3expa fmpt2d ) HRSZEUASZTZOOBPQHHPU
      BQUBOUBZUKDUCUDZUDZUEZGFUFUTVABSZTURURTZVDUFSUTVFVEUTURURURUSUGZVGUHUIPQH
      HVCRRUJULPQABDEVBFOHUAIJKLVBUMUNURUSVEVAFUDGSABCDEFGVAHIJKLMNUOUPUQ $.

    $d B i j $.  $d N i j $.  $d R i j $.  $d T i j x y $.
    $( The matrix transformation is a 1-1 function from the matrices to the
       polynomial matrices.  (Contributed by AV, 28-Oct-2019.)  (Proof
       shortened by AV, 27-Nov-2019.) $)
    mat2pmatf1 $p |- ( ( N e. Fin /\ R e. Ring ) -> T : B -1-1-> H ) $=
      ( vi vj wcel wa cfv wceq vx vy cfn crg wf cv wi wral wf1 mat2pmatf co w3a
      cascl simpl anim2i df-3an sylibr eqid mat2pmatvalel sylan simpr ply1sclf1
      eqeq12d ad3antlr simprl simprr simplrl matecld simplrr f1veqaeq ralimdvva
      cbs syl12anc sylbid wb mat2pmatbas0 syl syl2anc adantl 3imtr4d ralrimivva
      eqmat dff13 sylanbrc ) HUCQZEUDQZRZBGFUEUAUFZFSZUBUFZFSZTZWHWJTZUGZUBBUHU
      ABUHBGFUIABCDEFGHIJKLMNUJWGWNUAUBBBWGWHBQZWJBQZRZRZOUFZPUFZWIUKZWSWTWKUKZ
      TZPHUHOHUHZWSWTWHUKZWSWTWJUKZTZPHUHOHUHZWLWMWRXCXGOPHHWRWSHQZWTHQZRZRZXCX
      EDUMSZSZXFXMSZTZXGXLXAXNXBXOWRWEWFWOULZXKXAXNTWRWGWORXQWQWOWGWOWPUNUOWEWF
      WOUPUQZABDEXMFWHHUDWSWTIJKLXMURZUSUTWRWEWFWPULZXKXBXOTWRWGWPRXTWQWPWGWOWP
      VAUOWEWFWPUPUQZABDEXMFWJHUDWSWTIJKLXSUSUTVCXLEVLSZDVLSZXMUIZXEYBQXFYBQXPX
      GUGWFYDWEWQXKXMYCDEYBLXSYBURZYCURVBVDXLABEWSWTYBWHHJYEKWRXIXJVEZWRXIXJVFZ
      WGWOWPXKVGVHXLABEWSWTYBWJHJYEKYFYGWGWOWPXKVIVHYBYCXEXFXMVJVMVNVKWRWIGQZWK
      GQZWLXDVOWRXQYHXRABCDEFGWHHIJKLMNVPVQWRXTYIYAABCDEFGWJHIJKLMNVPVQCGDOPHWI
      WKMNWBVRWQWMXHVOWGABEOPHWHWJJKWBVSVTWAUAUBBGFWCWD $.

    $d A i j x y $.  $d C x y $.  $d H x y $.  $d P i j $.
    $( The transformation of matrices into polynomial matrices is an additive
       group homomorphism.  (Contributed by AV, 28-Oct-2019.)  (Proof shortened
       by AV, 28-Nov-2019.) $)
    mat2pmatghm $p |- ( ( N e. Fin /\ R e. Ring ) -> T e. ( A GrpHom C ) ) $=
      ( vi vj wcel crg cfv co vx vy wa cplusg eqid matgrp cgrp pmatring ringgrp
      cfn syl mat2pmatf cv cascl cmpo cof wceq cbs adantr ply1ring ad2antlr w3a
      simpl simp1lr simp2 simp3 simp1rl matecld ply1sclcl syl2anc matplusg2 cvv
      matbas2d simp1rr fvexd eqidd offval22 simpr 3ad2ant1 matplusgcell ply1sca
      csca 3simpc adantl fveq2d oveqd eqtrd cghm ply1lmod asclghm eqcomd eleq2d
      mpbird ghmlin syl3anc eqtr2d mpoeq3dva cmnd matring ringmnd anim1i 3anass
      clmod wb sylibr df-3an sylanbrc mat2pmatval anim2i oveq12d 3eqtr4d isghmd
      mndcl ) HUJQZERQZUCZUAUBAUDSZCUDSZACFBGKNXQUEZXRUEZAEHJUFXPCRQCUGQCDEHLMU
      HCUIUKABCDEFGHIJKLMNULXPUAUMZBQZUBUMZBQZUCZUCZOPHHOUMZPUMZYAYCXQTZTZDUNSZ
      SZUOZOPHHYGYHYATZYKSZUOZOPHHYGYHYCTZYKSZUOZXRTZYIFSZYAFSZYCFSZXRTYFYTYPYS
      DUDSZUPTZYMYFYPGQYSGQYTUUEUQYFOPCGYODDURSZHRMUUFUEZNXPXNYEXNXOVCUSZXODRQZ
      XNYEDELUTVAZYFYGHQZYHHQZVBZXOYNEURSZQZYOUUFQXNXOYEUUKUULVDZUUMABEYGYHUUNY
      AHJUUNUEZKYFUUKUULVEZYFUUKUULVFZYBYDXPUUKUULVGVHZYKUUFDEYNUUNLYKUEZUUQUUG
      VIVJVMYFOPCGYRDUUFHRMUUGNUUHUUJUUMXOYQUUNQZYRUUFQUUPUUMABEYGYHUUNYCHJUUQK
      UURUUSYBYDXPUUKUULVNVHZYKUUFDEYQUUNLUVAUUQUUGVIVJVMCGUUDXRDHYPYSMNXTUUDUE
      ZVKVJYFUUEOPHHYOYRUUDTZUOYMYFOPHHYOYRUUDYPYSUJUJVLVLUUHUUHUUMYNYKVOUUMYQY
      KVOYFYPVPYFYSVPVQYFOPHHUVEYLUUMYLYNYQDWBSZUDSZTZYKSZUVEUUMYJUVHYKUUMYJYNY
      QEUDSZTZUVHUUMYEUUKUULUCYJUVKUQYFUUKYEUULXPYEVRVSYFUUKUULWCABUVJXQEYGYHHY
      AYCJKXSUVJUEVTVJYFUUKUVKUVHUQZUULXPUVLYEXPUVJUVGYNYQXPEUVFUDXOEUVFUQXNDER
      LWAWDZWEWFUSVSWGWEUUMYKUVFDWHTQYNUVFURSZQZYQUVNQZUVIUVEUQUUMYKUVFDUVAUVFU
      EYFUUKUUIUULUUJVSYFUUKDXCQZUULXOUVQXNYEDELWIVAVSWJUUMUVOUUOUUTYFUUKUVOUUO
      XDZUULXPUVRYEXPUVNUUNYNXPUVFEURXPEUVFUVMWKWEZWLUSVSWMUUMUVPUVBUVCYFUUKUVP
      UVBXDZUULXPUVTYEXPUVNUUNYQUVSWLUSVSWMUVGUUDUVFDYNYKYQUVNUVNUEUVGUEUVDWNWO
      WPWQWGWPYFXNXOYIBQZVBZUUAYMUQYFXPUWAUWBXPYEVCYFAWRQZYBYDVBZUWAYFUWCYEUCUW
      DXPUWCYEXPARQUWCAEHJWSAWTUKXAUWCYBYDXBXEBXQAYAYCKXSXMUKXNXOUWAXFXGOPABDEY
      KFYIHRIJKLUVAXHUKYFUUBYPUUCYSXRYFXNXOYBVBZUUBYPUQYFXPYBUCUWEYEYBXPYBYDVCX
      IXNXOYBXFXEOPABDEYKFYAHRIJKLUVAXHUKYFXNXOYDVBZUUCYSUQYFXPYDUCUWFYEYDXPYBY
      DVRXIXNXOYDXFXEOPABDEYKFYCHRIJKLUVAXHUKXJXKXL $.

    $d A k l $.  $d B k l $.  $d N k l $.  $d P i j k l m x y $.  $d R k l $.
    $( The transformation of matrices into polynomial matrices preserves the
       multiplication.  (Contributed by AV, 29-Oct-2019.)  (Proof shortened by
       AV, 28-Nov-2019.) $)
    mat2pmatmul $p |- ( ( N e. Fin /\ R e. CRing )
               -> A. x e. B A. y e. B ( T ` ( x ( .r ` A ) y ) )
                                      = ( ( T ` x ) ( .r ` C ) ( T ` y ) ) ) $=
      ( vm wcel cfv co vk vl vi vj cfn ccrg wa cv cmulr wceq cmpo cmpt cgsu w3a
      cascl cvv cotp cmmul eqid matmulr eqcomd oveqdr cbs crg crngring ad2antlr
      simpll cmap eleq2i biimpi adantr adantl matbas2 eleqtrrd wb eleq2d mpbird
      cxp ad2antll mamuval eqtrd 3ad2ant1 oveq1 oveq2 oveqan12d mpteq2dv oveq2d
      weq simp2 simp3 ovexd ovmpod fveq2d c0g ccmn ringcmn syl ply1ring ringmnd
      cmnd cmhm cghm clmod ply1lmod asclghm ply1sca oveq1d ghmmhm simpr matecld
      csca sylibr cmat fveq2i eqtri ringcl fvexd fsuppmptdm gsummptmhm crh casa
      syl3anc ply1assa asclrhm rhmmul mpteq2dva 3eqtr2d simp1rl syl2anc simp1rr
      mpoeq3dva ply1sclcl oveq12 mpomatmul eqtr4d matring sylan2 anim2i df-3an
      mat2pmatval anim1i 3anass simpl oveq12d 3eqtr4d ralrimivva ) JUERZGUFRZUG
      ZAUHZBUHZCUISZTZHSZUUJHSZUUKHSZEUISZTZUJABDDUUIUUJDRZUUKDRZUGZUGZUAUBJJUA
      UHZUBUHZUUMTZFUOSZSZUKZUCUDJJUCUHZUDUHZUUJTZUVFSZUKZUCUDJJUVIUVJUUKTZUVFS
      ZUKZUUQTZUUNUURUVBUVHUAUBJJFQJUVCQUHZUUJTZUVFSZUVRUVDUUKTZUVFSZFUISZTZULZ
      UMTZUKUVQUVBUAUBJJUVGUWFUVBUVCJRZUVDJRZUNZUVGGQJUVSUWAGUISZTZULZUMTZUVFSF
      QJUWKUVFSZULZUMTUWFUWIUVEUWMUVFUWIUCUDUVCUVDJJGQJUVIUVRUUJTZUVRUVJUUKTZUW
      JTZULZUMTZUWMUUMUPUVBUWGUUMUCUDJJUWTUKZUJUWHUVBUUMUUJUUKGJJJUQURTZTUXAUUI
      UVAABUULUXBUUIUXBUULCGUXBJUFLUXBUSZUTVAVBUVBGVCSZJGUWJUCQUDUXBJJVDUUJUUKU
      XCUXDUSZUWJUSZUUHGVDRZUUGUVAGVEZVFZUUGUUHUVAVGZUXJUXJUVBUUJCVCSZUXDJJVRVH
      TZUVAUUJUXKRZUUIUUSUXMUUTUUSUXMDUXKUUJMVIZVJVKVLZUUIUXLUXKUJUVACGUXDJUFLU
      XEVMZVKVNUVBUUKUXLRZUUKUXKRZUUTUXRUUIUUSUUTUXRDUXKUUKMVIZVJVSZUUIUXQUXRVO
      UVAUUIUXLUXKUUKUXPVPVKVQVTWAWBUCUAWHZUDUBWHZUGZUWTUWMUJUWIUYCUWSUWLGUMUYC
      QJUWRUWKUYAUYBUWPUVSUWQUWAUWJUVIUVCUVRUUJWCUVJUVDUVRUUKWDWEWFWGVLUVBUWGUW
      HWIZUVBUWGUWHWJZUWIGUWLUMWKWLWMUWIQJUXDUWKGFUVFUEGWNSZUXEUYFUSUVBUWGGWORZ
      UWHUUHUYGUUGUVAUUHUXGUYGUXHGWPWQVFWBUVBUWGFWTRZUWHUUHUYHUUGUVAUUHFVDRZUYH
      UUHUXGUYIUXHFGNWRWQZFWSWQVFWBUVBUWGUUGUWHUXJWBZUVBUWGUVFGFXATRZUWHUUIUYLU
      VAUUIUVFGFXBTZRUYLUUIUVFFXKSZFXBTUYMUUIUVFUYNFUVFUSZUYNUSZUUHUYIUUGUYJVLU
      UHFXCRZUUGUUHUXGUYQUXHFGNXDWQVLXEUUIGUYNFXBUUHGUYNUJUUGFGUFNXFVLZXGVNGFUV
      FXHWQVKWBUWIUVRJRZUGZUXGUVSUXDRZUWAUXDRZUWKUXDRUWIUXGUYSUVBUWGUXGUWHUXIWB
      VKUYTCDGUVCUVRUXDUUJJLUXEMUWIUWGUYSUYDVKUWIUYSXIZUYTUXMUUSUWIUXMUYSUVBUWG
      UXMUWHUXOWBVKUXNXLXJZUYTCDGUVRUVDUXDUUKJLUXEMVUCUWIUWHUYSUYEVKZUYTUUKJGXM
      TZVCSZRZUUTUWIVUHUYSUVBUWGVUHUWHUUTVUHUUIUUSUUTVUHDVUGUUKDUXKVUGMCVUFVCLX
      NXOVIZVJVSWBVKVUIXLXJUXDGUWJUVSUWAUXEUXFXPYBUWIQJUWLUPUPUWKUYFUWLUSUYKUYT
      UVSUWAUWJWKUWIGWNXQXRXSUWIUWOUWEFUMUWIQJUWNUWDUYTUVFGFXTTZRZVUAVUBUWNUWDU
      JUWIVUKUYSUVBUWGVUKUWHUUIVUKUVAUUIUVFUYNFXTTZVUJUUIFYARZUVFVULRUUHVUMUUGF
      GNYCVLUVFUYNFUYOUYPYDWQUUIGUYNFXTUYRXGVNVKWBVKVUDUYTCDGUVRUVDUXDUUKJLUXEM
      VUCVUEUYTUXRUUTUWIUXRUYSUVBUWGUXRUWHUXTWBVKUXSXLXJUVSUWAGFUWJUWCUVFUXDUXE
      UXFUWCUSZYEYBYFWGYGYKUVBEFVCSZUVLUVTFUWCUUQUPUCUDUAQUVOUWBJVDUPUVMUVPUBOV
      UOUSZUUQUSVUNUUHUYIUUGUVAUYJVFUXJUVMUSUVPUSUVBUVIJRZUVJJRZUNZUXGUVKUXDRUV
      LVUORUVBVUQUXGVURUXIWBZVUSCDGUVIUVJUXDUUJJLUXEMUVBVUQVURWIZUVBVUQVURWJZUU
      SUUTUUIVUQVURYHXJUVFVUOFGUVKUXDNUYOUXEVUPYLYIVUSUXGUVNUXDRUVOVUORVUTVUSCD
      GUVIUVJUXDUUKJLUXEMVVAVVBUUSUUTUUIVUQVURYJXJUVFVUOFGUVNUXDNUYOUXEVUPYLYIU
      AUCWHQUDWHUGZUVTUVLUJUVBVVCUVSUVKUVFUVCUVIUVRUVJUUJYMWMVLQUCWHUBUDWHUGZUW
      BUVOUJUVBVVDUWAUVNUVFUVRUVIUVDUVJUUKYMWMVLUVBUWGUYSUNUVSUVFXQUVBUYSUWHUNU
      WAUVFXQYNYOUVBUUGUXGUUMDRZUUNUVHUJUXJUXIUVBCVDRZUUSUUTUNZVVEUVBVVFUVAUGVV
      GUUIVVFUVAUUHUUGUXGVVFUXHCGJLYPYQUUAVVFUUSUUTUUBXLDCUULUUJUUKMUULUSXPWQUA
      UBCDFGUVFHUUMJVDKLMNUYOYTYBUVBUUOUVMUUPUVPUUQUVBUUGUUHUUSUNZUUOUVMUJUVBUU
      IUUSUGVVHUVAUUSUUIUUSUUTUUCYRUUGUUHUUSYSXLUCUDCDFGUVFHUUJJUFKLMNUYOYTWQUV
      BUUGUUHUUTUNZUUPUVPUJUVBUUIUUTUGVVIUVAUUTUUIUUSUUTXIYRUUGUUHUUTYSXLUCUDCD
      FGUVFHUUKJUFKLMNUYOYTWQUUDUUEUUF $.

    $d C i j $.
    $( The transformation of the identity matrix results in the identity
       polynomial matrix.  (Contributed by AV, 29-Oct-2019.) $)
    mat2pmat1 $p |- ( ( N e. Fin /\ R e. Ring )
                            -> ( T ` ( 1r ` A ) ) = ( 1r ` C ) ) $=
      ( vi vj wcel crg cfv eqid cfn wa cur wceq cv wral cascl w3a simpl matring
      simpr ringidcl syl 3jca mat2pmatvalel sylan weq c0g cif ply1scl1 ad2antlr
      fvif ply1scl0 ifeq12d syl5eq adantr adantl mat1ov fveq2d ply1ring 3eqtr4d
      co eqtrd ralrimivva wb mat2pmatbas0 pmatring eqmat syl2anc mpbird ) HUAQZ
      ERQZUBZAUCSZFSZCUCSZUDZOUEZPUEZWEVLZWHWIWFVLZUDZPHUFOHUFZWCWLOPHHWCWHHQZW
      IHQZUBZUBZWJWHWIWDVLZDUGSZSZWKWCWAWBWDBQZUHZWPWJWTUDWCWAWBXAWAWBUIZWAWBUK
      ZWCARQXAAEHJUJBAWDKWDTZULUMUNZABDEWSFWDHRWHWIIJKLWSTZUOUPWQOPUQZEUCSZEURS
      ZUSZWSSZXHDUCSZDURSZUSZWTWKWQXLXHXIWSSZXJWSSZUSXOXHXIXJWSVBWQXHXPXMXQXNWB
      XPXMUDWAWPWSDEXIXMLXGXITZXMTZUTVAWBXQXNUDWAWPWSDEXNXJLXGXJTZXNTZVCVAVDVEW
      QWRXKWSWQAEWDXIWHWIHXJJXRXTWCWAWPXCVFZWCWBWPXDVFWPWNWCWNWOUIVGZWPWOWCWNWO
      UKVGZXEVHVIWQCDWFXMWHWIHXNMXSYAYBWBDRQWAWPDELVJVAYCYDWFTZVHVKVMVNWCWEGQZW
      FGQZWGWMVOWCXBYFXFABCDEFGWDHIJKLMNVPUMWCCRQYGCDEHLMVQGCWFNYEULUMCGDOPHWEW
      FMNVRVSVT $.

    $( The transformation of matrices into polynomial matrices is a
       homomorphism of multiplicative monoids.  (Contributed by AV,
       29-Oct-2019.) $)
    mat2pmatmhm $p |- ( ( N e. Fin /\ R e. CRing )
                        -> T e. ( ( mulGrp ` A ) MndHom ( mulGrp ` C ) ) ) $=
      ( vx vy wcel cfv crg eqid cfn ccrg wa cmgp cmnd wf cv cmulr wceq wral cur
      co w3a crngring matring sylan2 ringmgp syl ply1ring mat2pmatf mat2pmatmul
      cmhm mat2pmat1 3jca mgpbas mgpplusg ringidval ismhm syl21anbrc ) HUAQZEUB
      QZUCZAUDRZUEQZCUDRZUEQZBGFUFZOUGZPUGZAUHRZULFRVRFRVSFRCUHRZULUIPBUJOBUJZA
      UKRZFRCUKRZUIZUMFVMVOVBULQVLASQZVNVKVJESQZWFEUNZAEHJUOUPAVMVMTZUQURVLCSQZ
      VPVKVJDSQZWJVKWGWKWHDELUSURCDHMUOUPCVOVOTZUQURVLVQWBWEVKVJWGVQWHABCDEFGHI
      JKLMNUTUPOPABCDEFGHIJKLMNVAVKVJWGWEWHABCDEFGHIJKLMNVCUPVDOPBGVTWAVMVOFWDW
      CBAVMWIKVEGCVOWLNVEAVTVMWIVTTVFCWAVOWLWATVFAWCVMWIWCTVGCWDVOWLWDTVGVHVI
      $.

    $( The transformation of matrices into polynomial matrices is a ring
       homomorphism.  (Contributed by AV, 29-Oct-2019.) $)
    mat2pmatrhm $p |- ( ( N e. Fin /\ R e. CRing ) -> T e. ( A RingHom C ) ) $=
      ( wcel wa crg co cmgp sylan2 cfn ccrg cghm cfv cmhm crh crngring ply1ring
      matring syl mat2pmatghm mat2pmatmhm jca eqid isrhm syl21anbrc ) HUAOZEUBO
      ZPZAQOZCQOZFACUCROZFASUDZCSUDZUEROZPFACUFROURUQEQOZUTEUGZAEHJUITURUQDQOZV
      AURVFVHVGDELUHUJCDHMUITUSVBVEURUQVFVBVGABCDEFGHIJKLMNUKTABCDEFGHIJKLMNULU
      MACFVCVDVCUNVDUNUOUP $.

    $d K i j $.  $d S i j $.  $d X i j $.  $d Y i j $.  $d .X. i j $.
    $d .x. i j $.
    mat2pmatlin.k $e |- K = ( Base ` R ) $.
    mat2pmatlin.s $e |- S = ( algSc ` P ) $.
    mat2pmatlin.m $e |- .x. = ( .s ` A ) $.
    mat2pmatlin.n $e |- .X. = ( .s ` C ) $.
    $( The transformation of matrices into polynomial matrices is "linear",
       analogous to ~ lmhmlin .  Since ` A ` and ` C ` have different scalar
       rings, ` T ` cannot be a left module homomorphism as defined in
       ~ df-lmhm , see ~ lmhmsca .  (Contributed by AV, 13-Nov-2019.)  (Proof
       shortened by AV, 28-Nov-2019.) $)
    mat2pmatlin $p |- ( ( ( N e. Fin /\ R e. CRing ) /\ ( X e. K /\ Y e. B ) )
                      -> ( T ` ( X .x. Y ) ) = ( ( S ` X ) .X. ( T ` Y ) ) ) $=
      ( vi vj cfn wcel ccrg wa co cfv wceq cv wral cmulr crh csca casa ply1assa
      cbs eqid asclrhm 3syl ply1sca adantl oveq1d eleqtrrd adantr eleq2i biimpi
      simpr ad2antlr simprl simplrr matecld rhmmul syl3anc crngring matvscacell
      crg fveq2d anim2i anim12i df-3an sylibr mat2pmatvalel sylan oveq2d simpll
      w3a 3eqtr4d matvscl syl31anc ply1ring simpl ply1sclcl syl2an mat2pmatbas0
      syl jca ralrimivva wb syl21anc eqmat syl2anc mpbird ) LUGUHZEUIUHZUJZMKUH
      ZNBUHZUJZUJZMNHUKZGULZMFULZNGULZIUKZUMZUEUNZUFUNZXPUKZYAYBXSUKZUMZUFLUOUE
      LUOZXNYEUEUFLLXNYALUHZYBLUHZUJZUJZYAYBXOUKZFULZXQYAYBXRUKZDUPULZUKZYCYDYJ
      MYAYBNUKZEUPULZUKZFULZXQYPFULZYNUKZYLYOYJFEDUQUKZUHZMEVAULZUHZYPUUDUHYSUU
      AUMXNUUCYIXJUUCXMXJFDURULZDUQUKZUUBXJXIDUSUHFUUGUHXHXIVLDERUTFUUFDUBUUFVB
      VCVDXJEUUFDUQXIEUUFUMXHDEUIRVEVFVGVHVIVIXMUUEXJYIXKUUEXLXKUUEKUUDMUAVJVKV
      IVMYJABEYAYBUUDNLPUUDVBZQXNYGYHVNYIYHXNYGYHVLVFXJXKXLYIVOVPMYPEDYQYNFUUDU
      UHYQVBZYNVBZVQVRYJYKYRFYJEWAUHZXMYIYKYRUMXNUUKYIXIUUKXHXMEVSZVMZVIZXNXMYI
      XJXMVLVIXNYIVLZABEHYQYAYBKLMNPQUAUCUUIVTVRWBYJYMYTXQYNXNXHUUKXLWKZYIYMYTU
      MXNXHUUKUJZXLUJUUPXJUUQXMXLXIUUKXHUULWCZXKXLVLWDXHUUKXLWEWFZABDEFGNLWAYAY
      BOPQRUBWGWHWIWLYJXHUUKXOBUHZYIYCYLUMXNXHYIXHXIXMWJZVIUUNXNUUTYIXJUUQXMUUT
      UURABMEHKLNUAPQUCWMWHZVIUUOABDEFGXOLWAYAYBOPQRUBWGWNYJDWAUHZXQDVAULZUHZXR
      JUHZUJZYIYDYOUMXNUVCYIXIUVCXHXMXIUUKUVCUULDERWOWTVMZVIXNUVGYIXNUVEUVFXJUU
      KXKUVEXMXIUUKXHUULVFXKXLWPFUVDDEMKRUBUAUVDVBZWQWRXNUUPUVFUUSABCDEGJNLOPQR
      STWSWTXAZVIUUOCJDIYNYAYBUVDLXQXRSTUVIUDUUJVTVRWLXBXNXPJUHZXSJUHZXTYFXCXNX
      HUUKUUTUVKUVAUUMUVBABCDEGJXOLOPQRSTWSVRXNXHUVCUVGUVLUVAUVHUVJCJXQDIUVDLXR
      UVISTUDWMXDCJDUEUFLXPXSSTXEXFXG $.
  $}

  ${
    idmatidpmat.t $e |- T = ( N matToPolyMat R ) $.
    idmatidpmat.p $e |- P = ( Poly1 ` R ) $.
    ${
      0mat2pmat.0 $e |- .0. = ( 0g ` ( N Mat R ) ) $.
      0mat2pmat.z $e |- Z = ( 0g ` ( N Mat P ) ) $.
      $( The transformed zero matrix is the zero polynomial matrix.
         (Contributed by AV, 5-Aug-2019.)  (Proof shortened by AV,
         19-Nov-2019.) $)
      0mat2pmat $p |- ( ( R e. Ring /\ N e. Fin ) -> ( T ` .0. ) = Z ) $=
        ( crg wcel cfn wa cmat co cghm cfv cbs eqid wceq mat2pmatghm ancoms syl
        ghmid ) BKLZDMLZNCDBOPZDAOPZQPLZECRFUAUGUFUJUHUHSRZUIABCUISRZDGUHTUKTHU
        ITULTUBUCUHUICEFIJUEUD $.
    $}

    idmatidpmat.1 $e |- .1. = ( 1r ` ( N Mat R ) ) $.
    idmatidpmat.i $e |- I = ( 1r ` ( N Mat P ) ) $.
    $( The transformed identity matrix is the identity polynomial matrix.
       (Contributed by AV, 1-Aug-2019.)  (Proof shortened by AV,
       19-Nov-2019.) $)
    idmatidpmat $p |- ( ( R e. Ring /\ N e. Fin ) -> ( T ` .1. ) = I ) $=
      ( cfn wcel crg cfv wceq cmat co cur cbs eqid wa mat2pmat1 fveq2i 3eqtr4g
      ancoms ) FKLZBMLZDCNZEOUFUGUAFBPQZRNZCNFAPQZRNUHEUIUISNZUKABCUKSNZFGUITUL
      THUKTUMTUBDUJCIUCJUDUE $.
  $}

  ${
    $d R x y $.
    $( The transformed empty set as matrix of dimenson 0 is the empty set
       (i.e., the polynomial matrix of dimension 0).  (Contributed by AV,
       4-Aug-2019.) $)
    d0mat2pmat $p |- ( R e. V -> ( ( (/) matToPolyMat R ) ` (/) ) = (/) ) $=
      ( vx vy wcel c0 cmat2pmat co cfv cv cpl1 cascl cmpo cfn cmat wceq 0fin id
      cbs eqid csn snid mat0dimbas0 eleqtrrid mat2pmatval mp3an2i mpo0 eqtrdi
      0ex ) ABEZFFAGHZIZCDFFCJDJFHAKIZLIZIZMZFFNEUJUJFFAOHZSIZEULUPPQUJRUJFFUAU
      RFUIUBABUCUDCDUQURUMAUNUKFFBUKTUQTURTUMTUNTUEUFCDFUOUGUH $.
  $}

  ${
    $d A i j $.  $d M i j $.  $d N i j $.  $d R i j $.  $d S i j $.
    $d V i j $.
    d1mat2pmat.t $e |- T = ( N matToPolyMat R ) $.
    d1mat2pmat.b $e |- B = ( Base ` ( N Mat R ) ) $.
    d1mat2pmat.p $e |- P = ( Poly1 ` R ) $.
    d1mat2pmat.s $e |- S = ( algSc ` P ) $.
    $( The transformation of a matrix of dimenson 1.  (Contributed by AV,
       4-Aug-2019.) $)
    d1mat2pmat $p |- ( ( R e. V /\ ( N = { A } /\ A e. V ) /\ M e. B )
                  -> ( T ` M ) = { <. <. A , A >. , ( S ` ( A M A ) ) >. } ) $=
      ( vi vj wcel wceq cfv co cfn csn wa w3a cmpo cop snfi eleq1 mpbiri adantr
      cv 3ad2ant2 simp1 simp3 cmat eqid mat2pmatval syl3anc cvv id fvexd adantl
      3jca fvoveq1 oveq2 fveq2d mposn syl wb mpoeq12 eqeq1d anidms mpbird eqtrd
      ) DIPZHAUAZQZAIPZUBZGBPZUCZGFRZNOHHNUJZOUJZGSERZUDZAAUEAAGSZERZUEUAZVTHTP
      ZVNVSWAWEQVRVNWIVSVPWIVQVPWIVOTPAUFHVOTUGUHUIUKVNVRVSULVNVRVSUMNOHDUNSZBC
      DEFGHIJWJUOKLMUPUQVTWEWHQZNOVOVOWDUDZWHQZVTVQVQWGURPZUCZWMVRVNWOVSVQWOVPV
      QVQVQWNVQUSZWPVQWFEUTVBVAUKNOAAWDAWCGSZERURWGWLIIWLUOWBAWCEGVCWCAQWQWFEWC
      AAGVDVEVFVGVRVNWKWMVHZVSVPWRVQVPWRVPVPUBWEWLWHNOHHVOVOWDVIVJVKUIUKVLVM $.
  $}

  ${
    mat2pmatscmxcl.a $e |- A = ( N Mat R ) $.
    mat2pmatscmxcl.k $e |- K = ( Base ` A ) $.
    mat2pmatscmxcl.t $e |- T = ( N matToPolyMat R ) $.
    mat2pmatscmxcl.p $e |- P = ( Poly1 ` R ) $.
    mat2pmatscmxcl.c $e |- C = ( N Mat P ) $.
    mat2pmatscmxcl.b $e |- B = ( Base ` C ) $.
    mat2pmatscmxcl.m $e |- .* = ( .s ` C ) $.
    mat2pmatscmxcl.e $e |- .^ = ( .g ` ( mulGrp ` P ) ) $.
    mat2pmatscmxcl.x $e |- X = ( var1 ` R ) $.
    $( A transformed matrix multiplied with a power of the variable of a
       polynomial is a polynomial matrix.  (Contributed by AV, 6-Nov-2019.)
       (Proof shortened by AV, 28-Nov-2019.) $)
    mat2pmatscmxcl $p |- ( ( ( N e. Fin /\ R e. Ring )
                             /\ ( M e. K /\ L e. NN0 ) )
                          -> ( ( L .^ X ) .* ( T ` M ) ) e. B ) $=
      ( cfn wcel crg wa cn0 co cbs simpll ply1ring ad2antlr cmgp eqid ply1moncl
      cfv ad2ant2l w3a simpl anim2i df-3an sylibr mat2pmatbas0 matvscl syl22anc
      syl ) LUCUDZEUEUDZUFZKIUDZJUGUDZUFZUFZVGDUEUDZJMGUHZDUIUPZUDZKFUPZBUDZVOV
      RHUHBUDVGVHVLUJVHVNVGVLDEQUKULVHVKVQVGVJVPJDEGDUMUPZMQUBVTUNUAVPUNZUOUQVM
      VGVHVJURZVSVMVIVJUFWBVLVJVIVJVKUSUTVGVHVJVAVBAICDEFBKLPNOQRSVCVFCBVODHVPL
      VRWARSTVDVE $.
  $}

  ${
    $d B i j k n $.  $d M i j k n $.  $d N i j k n $.  $d R i j k n $.
    $d T i j n $.
    m2cpm.s $e |- S = ( N ConstPolyMat R ) $.
    m2cpm.t $e |- T = ( N matToPolyMat R ) $.
    m2cpm.a $e |- A = ( N Mat R ) $.
    m2cpm.b $e |- B = ( Base ` A ) $.
    $( The result of a matrix transformation is a constant polynomial matrix.
       (Contributed by AV, 18-Nov-2019.)  (Proof shortened by AV,
       28-Nov-2019.) $)
    m2cpm $p |- ( ( N e. Fin /\ R e. Ring /\ M e. B )
                        -> ( T ` M ) e. S ) $=
      ( vn vi vj vk wcel cfv cv wceq eqid cfn crg w3a co cco1 c0g cn wral cascl
      cpl1 cc0 cif mat2pmatvalel adantr fveq2d fveq1d cn0 cvv cbs simpl2 simprl
      wa cmpt simprr simpl3 matecld jca coe1scl syl eqeq1 ifbid nnnn0 ovex fvex
      adantl ifex a1i fvmptd wn nnne0 neneqd iffalsed ralrimiva ralrimivva cmat
      3eqtrd wb mat2pmatbas cpmatel syld3an3 mpbird ) GUAPZCUBPZFBPZUCZFEQZDPZL
      RZMRZNRZWPUDZUEQZQZCUFQZSZLUGUHZNGUHMGUHZWOXFMNGGWOWSGPZWTGPZVBZVBZXELUGX
      KWRUGPZVBZXCWRWSWTFUDZCUJQZUIQZQZUEQZQWRUKSZXNXDULZXDXMWRXBXRXMXAXQUEXKXA
      XQSXLABXOCXPEFGUBWSWTIJKXOTZXPTZUMUNUOUPXMOWRORZUKSZXNXDULZXTUQXRURXMWMXN
      CUSQZPZVBZXROUQYEVCSXKYHXLXKWMYGWLWMWNXJUTXKABCWSWTYFFGJYFTZKWOXHXIVAWOXH
      XIVDWLWMWNXJVEVFVGUNOXPXOCYFXNXDYAYBYIXDTVHVIYCWRSZYEXTSXMYJYDXSXNXDYCWRU
      KVJVKVOXLWRUQPXKWRVLVOXTURPXMXSXNXDWSWTFVMCUFVNVPVQVRXMXSXNXDXLXSVSXKXLWR
      UKWRVTWAVOWBWFWCWDWLWMWNWPGXOWEUDZUSQZPWQXGWGABYKXOCEFGIJKYAYKTZWHYLYKXOC
      DMNLWPGUBHYAYMYLTWIWJWK $.

    $d B b $.  $d B i j m $.  $d N b $.  $d N m $.  $d R b $.  $d R m $.
    $d S b $.  $d T b $.
    $( The matrix transformation is a function from the matrices to the
       constant polynomial matrices.  (Contributed by AV, 18-Nov-2019.) $)
    m2cpmf $p |- ( ( N e. Fin /\ R e. Ring ) -> T : B --> S ) $=
      ( vm vb vi vj cfn wcel crg wa cv cfv cpl1 cascl cmpo cvv simpl jca adantr
      co mpoexga syl eqid mat2pmatfval m2cpm 3expa fmpt2d ) FOPZCQPZRZKLBMNFFMS
      NSKSZUHCUATZUBTZTZUCZDEUDURUSBPZRUPUPRZVCUDPURVEVDURUPUPUPUQUEZVFUFUGMNFF
      VBOOUIUJMNABUTCVAEKFQHIJUTUKVAUKULUPUQLSZBPVGETDPABCDEVGFGHIJUMUNUO $.

    $( The matrix transformation is a 1-1 function from the matrices to the
       constant polynomial matrices.  (Contributed by AV, 18-Nov-2019.) $)
    m2cpmf1 $p |- ( ( N e. Fin /\ R e. Ring ) -> T : B -1-1-> S ) $=
      ( cfn wcel crg wa cpl1 cfv cmat co wf1 eqid cbs crn wss mat2pmatf1 m2cpmf
      frnd f1ssr syl2anc ) FKLCMLNZBFCOPZQRZUAPZESEUBDUCBDESABUKUJCEULFHIJUJTUK
      TULTUDUIBDEABCDEFGHIJUEUFBULDEUGUH $.

    m2cpmghm.p $e |- P = ( Poly1 ` R ) $.
    m2cpmghm.c $e |- C = ( N Mat P ) $.
    m2cpmghm.u $e |- U = ( C |`s S ) $.
    $( The transformation of matrices into constant polynomial matrices is an
       additive group homomorphism.  (Contributed by AV, 18-Nov-2019.) $)
    m2cpmghm $p |- ( ( N e. Fin /\ R e. Ring )
                            -> T e. ( A GrpHom U ) ) $=
      ( wcel wa cghm co cfn crg cbs cfv mat2pmatghm csubg crn wss cpmatsubgpmat
      eqid wb m2cpmf frnd resghm2b bicomd syl2anc mpbird ) IUAQEUBQRZGAHSTQZGAC
      STQZABCDEGCUCUDZIKLMNOVAUJUEURFCUFUDQZGUGFUHZUSUTUKCDEFIJNOUIURBFGABEFGIJ
      KLMULUMVBVCRUTUSACHGFPUNUOUPUQ $.

    $( The transformation of matrices into constant polynomial matrices is a
       homomorphism of multiplicative monoids.  (Contributed by AV,
       18-Nov-2019.) $)
    m2cpmmhm $p |- ( ( N e. Fin /\ R e. CRing )
                        -> T e. ( ( mulGrp ` A ) MndHom ( mulGrp ` U ) ) ) $=
      ( wcel cmgp cfv cvv cfn ccrg wa cmhm cbs eqid mat2pmatmhm csubmnd crn wss
      co wb crg csubrg crngring anim2i cpmatsrgpmat subrgsubm 3syl m2cpmf cress
      wf frn wceq cmat ovexi ccpmat mgpress mp2an eqcomi resmhm2b syl2anc mpbid
      ) IUAQZEUBQZUCZGARSZCRSZUDUKQZGVQHRSZUDUKQZABCDEGCUESZIKLMNOWBUFUGVPFVRUH
      SQZGUIFUJZVSWAULVPVNEUMQZUCZFCUNSQWCVOWEVNEUOUPZCDEFIJNOUQFCVRVRUFZURUSVP
      WFBFGVBWDWGABEFGIJKLMUTBFGVCUSVQVRVTGFVRFVAUKZVTCTQFTQWIVTVDCIDVEOVFFIEVG
      JVFFCHVRTTPWHVHVIVJVKVLVM $.

    $( The transformation of matrices into constant polynomial matrices is a
       ring homomorphism.  (Contributed by AV, 18-Nov-2019.) $)
    m2cpmrhm $p |- ( ( N e. Fin /\ R e. CRing )
                            -> T e. ( A RingHom U ) ) $=
      ( wcel crg co cfv cfn ccrg wa cghm cmgp crh crngring matring cpmatsrgpmat
      cmhm sylan2 csubrg subrgring syl m2cpmghm m2cpmmhm eqid isrhm syl21anbrc
      jca ) IUAQZEUBQZUCZARQZHRQZGAHUDSQZGAUETZHUETZUJSQZUCGAHUFSQVBVAERQZVDEUG
      ZAEILUHUKVCFCULTQZVEVBVAVJVLVKCDEFIJNOUIUKFCHPUMUNVCVFVIVBVAVJVFVKABCDEFG
      HIJKLMNOPUOUKABCDEFGHIJKLMNOPUPUTAHGVGVHVGUQVHUQURUS $.
  $}

  ${
    m2pmfzmap.a $e |- A = ( N Mat R ) $.
    m2pmfzmap.b $e |- B = ( Base ` A ) $.
    m2pmfzmap.p $e |- P = ( Poly1 ` R ) $.
    m2pmfzmap.y $e |- Y = ( N Mat P ) $.
    m2pmfzmap.t $e |- T = ( N matToPolyMat R ) $.
    $( The transformed values of a (finite) mapping of integers to matrices.
       (Contributed by AV, 4-Nov-2019.) $)
    m2pmfzmap $p |- ( ( ( N e. Fin /\ R e. Ring /\ S e. NN0 )
                         /\ ( b e. ( B ^m ( 0 ... S ) ) /\ I e. ( 0 ... S ) ) )
                           -> ( T ` ( b ` I ) ) e. ( Base ` Y ) ) $=
      ( cfn wcel co wa cfv crg cn0 w3a cv cc0 cfz cmap cbs simpl1 simpl2 elmapi
      ffvelrnda adantl mat2pmatbas syl3anc ) HPQZDUAQZEUBQZUCZJUDZBUEEUFRZUGRQZ
      GVAQSZSUPUQGUTTZBQZVDFTIUHTQUPUQURVCUIUPUQURVCUJVCVEUSVBVABGUTUTBVAUKULUM
      ABICDFVDHOKLMNUNUO $.

    $d B i $.  $d M i $.  $d N i $.  $d R i $.  $d Y i $.  $d b i $.  $d i s $.
    m2pmfzmapfsupp.x $e |- X = ( var1 ` R ) $.
    m2pmfzmapfsupp.e $e |- .^ = ( .g ` ( mulGrp ` P ) ) $.
    m2pmfzgsumcl.m $e |- .x. = ( .s ` Y ) $.
    $( Closure of the sum of scaled transformed matrices.  (Contributed by AV,
       4-Nov-2019.)  (Proof shortened by AV, 28-Nov-2019.) $)
    m2pmfzgsumcl $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                               /\ ( s e. NN0 /\ b e. ( B ^m ( 0 ... s ) ) ) )
                           -> ( Y gsum ( i e. ( 0 ... s )
              |-> ( ( i .^ X ) .x. ( T ` ( b ` i ) ) ) ) ) e. ( Base ` Y ) ) $=
      ( cfn wcel ccrg w3a cv cn0 cc0 cfz co cmap cbs cfv eqid ccmn crg crngring
      ply1ring syl matring sylan2 ringcmn 3adant3 adantr fzfid simpll1 3ad2ant2
      ad2antrr elfznn0 cmgp ply1moncl syl2an anim2i simpl anim12i df-3an sylibr
      wa simprr anim1i m2pmfzmap syl2an2r matvscl syl22anc ralrimiva gsummptcl
      ) JUCUDZDUEUDZIBUDZUFZMUGZUHUDZNUGZBUIWLUJUKZULUKUDZVSZVSZLUMUNZGLWOGUGZK
      HUKZWTWNUNEUNZFUKZWSUOZWKLUPUDZWQWHWIXEWJWHWIVSLUQUDZXEWIWHCUQUDZXFWIDUQU
      DZXGDURZCDQUSUTZLCJRVAVBLVCUTVDVEWRUIWLVFWRXCWSUDZGWOWRWTWOUDZVSWHXGXACUM
      UNZUDZXBWSUDZXKWHWIWJWQXLVGWKXGWQXLWIWHXGWJXJVHVIWRXHWTUHUDXNXLWKXHWQWIWH
      XHWJXIVHVEWTWLVJXMWTCDHCVKUNZKQTXPUOUAXMUOZVLVMWRWHXHWMUFZXLWPXLVSXOWRWHX
      HVSZWMVSXRWKXSWQWMWHWIXSWJWIXHWHXIVNVDWMWPVOVPWHXHWMVQVRWRWPXLWKWMWPVTWAA
      BCDWLEWTJLNOPQRSWBWCLWSXACFXMJXBXQRXDUBWDWEWFWG $.
  $}

  ${
    $d N m n r x y $.  $d R m n r x y $.  $d S m n r $.  $d V n r $.
    cpm2mfval.i $e |- I = ( N cPolyMatToMat R ) $.
    cpm2mfval.s $e |- S = ( N ConstPolyMat R ) $.
    $( Value of the inverse matrix transformation.  (Contributed by AV,
       14-Dec-2019.) $)
    cpm2mfval $p |- ( ( N e. Fin /\ R e. V )
                -> I = ( m e. S |-> ( x e. N , y e. N
                                      |-> ( ( coe1 ` ( x m y ) ) ` 0 ) ) ) ) $=
      ( vn vr cfn wcel ccpmat2mat co cv cvv ccpmat wceq wa cc0 cfv df-cpmat2mat
      cco1 cmpo cmpt a1i oveq12 eqtr4di simpl eqidd mpoeq123dv mpteq12dv adantl
      elex ovexi mptexg mp1i ovmpod syl5eq ) GMNZCHNZUAZFGCOPEDABGGUBAQBQEQPUEU
      CUCZUFZUGZIVDKLGCMREKQZLQZSPZABVHVHVEUFZUGZVGOROKLMRVLUFTVDABEKLUDUHVHGTZ
      VICTZUAZVLVGTVDVOEVJVKDVFVOVJGCSPDVHGVICSUIJUJVOABVHVHVEGGVEVMVNUKZVPVOVE
      ULUMUNUOVBVCUKVCCRNVBCHUPUODRNVGRNVDDGCSJUQEDVFRURUSUTVA $.

    $d M m x y $.  $d V m $.
    $( The result of an inverse matrix transformation.  (Contributed by AV,
       12-Nov-2019.)  (Revised by AV, 14-Dec-2019.) $)
    cpm2mval $p |- ( ( N e. Fin /\ R e. V /\ M e. S )
                     -> ( I ` M ) = ( x e. N , y e. N
                                      |-> ( ( coe1 ` ( x M y ) ) ` 0 ) ) ) $=
      ( vm cfn wcel cc0 cv co cco1 cfv cmpo wceq w3a cvv cmpt cpm2mfval 3adant3
      oveq fveq2d fveq1d mpoeq3dv adantl simp3 simp1 mpoexga syl2anc fvmptd ) G
      LMZCHMZFDMZUAZKFABGGNAOZBOZKOZPZQRZRZSZABGGNUTVAFPZQRZRZSZDEUBUPUQEKDVFUC
      TURABCDKEGHIJUDUEVBFTZVFVJTUSVKABGGVEVIVKNVDVHVKVCVGQUTVAVBFUFUGUHUIUJUPU
      QURUKUSUPUPVJUBMUPUQURULZVLABGGVILLUMUNUO $.

    $d S x y $.  $d V x y $.  $d X x y $.  $d Y x y $.
    $( A (matrix) element of the result of an inverse matrix transformation.
       (Contributed by AV, 14-Dec-2019.) $)
    cpm2mvalel $p |- ( ( ( N e. Fin /\ R e. V /\ M e. S )
                              /\ ( X e. N /\ Y e. N ) )
                       -> ( X ( I ` M ) Y ) = ( ( coe1 ` ( X M Y ) ) ` 0 ) ) $=
      ( vx vy wcel wa cc0 cv co cco1 cfv wceq cfn w3a cmpo adantr oveq12 fveq2d
      cvv cpm2mval fveq1d adantl simprl simprr fvexd ovmpod ) EUAMAFMDBMUBZGEMZ
      HEMZNZNZKLGHEEOKPZLPZDQZRSZSZOGHDQZRSZSZDCSZUGUOVHKLEEVDUCTURKLABCDEFIJUH
      UDUTGTVAHTNZVDVGTUSVIOVCVFVIVBVERUTGVAHDUEUFUIUJUOUPUQUKUOUPUQULUSOVFUMUN
      $.
  $}

  ${
    $d K m $.  $d N m x y $.  $d R m x y $.  $d S m x y $.
    cpm2mf.a $e |- A = ( N Mat R ) $.
    cpm2mf.k $e |- K = ( Base ` A ) $.
    cpm2mf.s $e |- S = ( N ConstPolyMat R ) $.
    cpm2mf.i $e |- I = ( N cPolyMatToMat R ) $.
    $( The inverse matrix transformation is a function from the constant
       polynomial matrices to the matrices over the base ring of the
       polynomials.  (Contributed by AV, 24-Nov-2019.)  (Revised by AV,
       15-Dec-2019.) $)
    cpm2mf $p |- ( ( N e. Fin /\ R e. Ring ) -> I : S --> K ) $=
      ( vm vx vy wcel crg cc0 cv cfv cbs eqid cfn wa cco1 cmpo cpm2mfval simpll
      co simplr w3a cpl1 cmat simp2 simp3 cpmatpmat 3expa 3ad2ant1 matecld 0nn0
      cn0 coe1fvalcl sylancl matbas2d fmpt3d ) FUANZBONZUBZKCLMFFPLQZMQZKQZUGZU
      CRZRZUDEDLMBCKDFOJIUEVFVICNZUBZLMAEVLBBSRZFOGVOTZHVDVEVMUFVDVEVMUHVNVGFNZ
      VHFNZUIZVJBUJRZSRZNPUSNVLVONVSFVTUKUGZWBSRZVTVGVHWAVIFWBTZWATZWCTZVNVQVRU
      LVNVQVRUMVNVQVIWCNZVRVDVEVMWGWCWBVTBCVIFOIVTTZWDWFUNUOUPUQURVKWAVTBVJVOPV
      KTWEWHVPUTVAVBVC $.
  $}

  ${
    $d K i j x y $.  $d M i j x y $.  $d N i j x y $.  $d R i j x y $.
    $d T x y $.
    m2cpminvid.i $e |- I = ( N cPolyMatToMat R ) $.
    m2cpminvid.a $e |- A = ( N Mat R ) $.
    m2cpminvid.k $e |- K = ( Base ` A ) $.
    m2cpminvid.t $e |- T = ( N matToPolyMat R ) $.
    $( The inverse transformation applied to the transformation of a matrix
       over a ring R results in the matrix itself.  (Contributed by AV,
       12-Nov-2019.)  (Revised by AV, 13-Dec-2019.) $)
    m2cpminvid $p |- ( ( N e. Fin /\ R e. Ring /\ M e. K )
                       -> ( I ` ( T ` M ) ) = M ) $=
      ( vx vy vi vj wcel crg cfv co wceq cfn w3a cv cco1 cmpo ccpmat eqid m2cpm
      cc0 cpm2mval syld3an3 cpl1 cascl mat2pmatvalel 3impb fveq2d fveq1d simp12
      cbs simp2 simp3 simp13 matecld ply1sclid syl2anc eqtr4d mpoeq3dva wral wa
      cvv eqidd oveq12 adantl simprl simprr ovexd ovmpod ralrimivva wb matbas2d
      simp1 eqmat mpbird 3eqtrd ) GUAPZBQPZFEPZUBZFCRZDRZLMGGUILUCZMUCZWISZUDRZ
      RZUEZLMGGWKWLFSZUEZFWEWFWGWIGBUFSZPWJWPTAEBWSCFGWSUGZKIJUHLMBWSDWIGQHWTUJ
      UKWHLMGGWOWQWHWKGPZWLGPZUBZWOUIWQBULRZUMRZRZUDRZRZWQXCUIWNXGXCWMXFUDWHXAX
      BWMXFTAEXDBXECFGQWKWLKIJXDUGZXEUGZUNUOUPUQXCWFWQBUSRZPWQXHTWEWFWGXAXBURXC
      AEBWKWLXKFGIXKUGZJWHXAXBUTWHXAXBVAWEWFWGXAXBVBVCZXEXDBXKWQXIXJXLVDVEVFVGW
      HWRFTZNUCZOUCZWRSXOXPFSZTZOGVHNGVHZWHXRNOGGWHXOGPZXPGPZVIVIZLMXOXPGGWQXQW
      RVJYBWRVKWKXOTWLXPTVIWQXQTYBWKXOWLXPFVLVMWHXTYAVNWHXTYAVOYBXOXPFVPVQVRWHW
      REPWGXNXSVSWHLMAEWQBXKGQIXLJWEWFWGWAWEWFWGUTXMVTWEWFWGVAAEBNOGWRFIJWBVEWC
      WD $.
  $}

  ${
    $d M i j k $.  $d M l n $.  $d N i j k $.  $d N l n $.  $d P l n $.
    $d R i j k $.  $d R l n $.  $d S l n $.  $d i j k x $.  $d j k y $.
    $d k n x $.  $d l n x $.  $d l n y $.
    m2cpminvid2lem.s $e |- S = ( N ConstPolyMat R ) $.
    m2cpminvid2lem.p $e |- P = ( Poly1 ` R ) $.
    $( Lemma for ~ m2cpminvid2 .  (Contributed by AV, 12-Nov-2019.)  (Revised
       by AV, 14-Dec-2019.) $)
    m2cpminvid2lem $p |- ( ( ( N e. Fin /\ R e. Ring /\ M e. S )
                          /\ ( x e. N /\ y e. N ) ) -> A. n e. NN0
            ( ( coe1 ` ( ( algSc ` P ) ` ( ( coe1 ` ( x M y ) ) ` 0 ) ) ) ` n )
            = ( ( coe1 ` ( x M y ) ) ` n ) ) $=
      ( vk wcel cv wa cc0 cfv wceq cn wral eqid vi vj vl cfn crg w3a cco1 cascl
      co csn cun cn0 c0g cmat cpmatelimp 3impia simprd adantr wi fvoveq1 fveq1d
      cbs eqeq1d ralbidv oveq2 fveq2d rspc2v adantl fveqeq2 cbvralvw cif simpl2
      cmpt simprl cpmatpmat matecld 0nn0 coe1fvalcl sylancl jca coe1scl syl cvv
      simprr eqidd eqeq1 ifbid nnnn0 fvex ifex a1i fvmptd nnne0 neneqd iffalsed
      wn 3eqtrd eqcom biimpi sylan9eq ralimdva imp ply1sclid eqcomd syl5bi syld
      ex mpd wb c0ex fveq2 eqeq12d ralunsn mp1i mpbird df-n0 raleqi sylibr ) HU
      DLZDUELZGELZUFZAMZHLZBMZHLZNZNZFMZOYCYEGUIZUGPZPZCUHPZPUGPZPZYIYKPZQZFROU
      JUKZSZYQFULSYHYSYQFRSZOYNPZYLQZNZYHKMZUAMZUBMZGUIUGPZPZDUMPZQZKRSZUBHSUAH
      SZUUCYBUULYGYBGHCUNUIZVBPZLZUULXSXTYAUUOUULNUUNUUMCDEUAUBKGHIJUUMTZUUNTZU
      OUPUQURYHUULUUDYKPZUUIQZKRSZUUCYGUULUUTUSYBUUKUUTUUDYCUUFGUIZUGPZPZUUIQZK
      RSUAUBYCYEHHUUEYCQZUUJUVDKRUVEUUHUVCUUIUVEUUDUUGUVBUUEYCUUFUGGUTVAVCVDUUF
      YEQZUVDUUSKRUVFUVCUURUUIUVFUUDUVBYKUVFUVAYJUGUUFYEYCGVEVFVAVCVDVGVHUUTYPU
      UIQZFRSZYHUUCUUSUVGKFRUUDYIUUIYKVIVJYHUVHUUCYHUVHNZYTUUBYHUVHYTYHUVGYQFRY
      HYIRLZNZUVGYQUVKUVGYOUUIYPUVKYOYIUCULUCMZOQZYLUUIVKZVMZPYIOQZYLUUIVKZUUIU
      VKYIYNUVOUVKXTYLDVBPZLZNZYNUVOQYHUVTUVJYHXTUVSXSXTYAYGVLYHYJCVBPZLOULLUVS
      YHUUMUUNCYCYEUWAGHUUPUWATZUUQYBYDYFVNYBYDYFWDYBUUOYGUUNUUMCDEGHUEIJUUPUUQ
      VOURVPVQYKUWACDYJUVROYKTUWBJUVRTZVRVSVTZURUCYMCDUVRYLUUIJYMTZUWCUUITWAWBV
      AUVKUCYIUVNUVQULUVOWCUVKUVOWEUVLYIQZUVNUVQQUVKUWFUVMUVPYLUUIUVLYIOWFWGVHU
      VJYIULLYHYIWHVHUVQWCLUVKUVPYLUUIOYKWIDUMWIWJWKWLUVKUVPYLUUIUVJUVPWPYHUVJY
      IOYIWMWNVHWOWQUVGUUIYPQYPUUIWRWSWTXGXAXBUVIUVTUUBYHUVTUVHUWDURUVTYLUUAYMC
      DUVRYLJUWEUWCXCXDWBVTXGXEXFXHOWCLYSUUCXIYHXJYQUUBFROWCUVPYOUUAYPYLYIOYNXK
      YIOYKXKXLXMXNXOYQFULYRXPXQXR $.
  $}

  ${
    $d M i j x y $.  $d M n x y $.  $d N i j x y $.  $d N n x y $.
    $d R i j x y $.  $d R n x y $.  $d S i j x y $.  $d S n x y $.
    m2cpminvid2.s $e |- S = ( N ConstPolyMat R ) $.
    m2cpminvid2.i $e |- I = ( N cPolyMatToMat R ) $.
    m2cpminvid2.t $e |- T = ( N matToPolyMat R ) $.
    $( The transformation applied to the inverse transformation of a constant
       polynomial matrix over the ring ` R ` results in the matrix itself.
       (Contributed by AV, 12-Nov-2019.)  (Revised by AV, 14-Dec-2019.) $)
    m2cpminvid2 $p |- ( ( N e. Fin /\ R e. Ring /\ M e. S )
                        -> ( T ` ( I ` M ) ) = M ) $=
      ( vx vy vi vj wcel cfv cc0 co wceq eqid wa vn cfn crg w3a cco1 cmpo cascl
      cv cpl1 cpm2mval fveq2d cmat cbs simp1 simp2 cn0 simp3 cpmatpmat 3ad2ant1
      matecld 0nn0 coe1fvalcl sylancl matbas2d mat2pmatval syl3anc eqidd oveq12
      cvv fveq1d adantl fvexd ovmpod mpoeq3dva eqtrd wral m2cpminvid2lem simpl2
      wb simprl simprr adantr ply1sclcl syl2anc ply1coe1eq bicomd mpbird simplr
      ralrimivva simpr eqeq1d anasss 2ralbidva eqmat 3eqtrd ) FUBNZAUCNZEBNZUDZ
      EDOZCOJKFFPJUHZKUHZEQZUEOZOZUFZCOZLMFFPLUHZMUHZEQZUEOZOZAUIOZUGOZOZUFZEWS
      WTXFCJKABDEFUCHGUJUKWSXGLMFFXHXIXFQZXNOZUFZXPWSWPWQXFFAULQZUMOZNXGXSRWPWQ
      WRUNZWPWQWRUOZWSJKXTYAXEAAUMOZFUCXTSZYDSZYASZYBYCWSXAFNZXBFNZUDZXCXMUMOZN
      ZPUPNZXEYDNZYJFXMULQZYOUMOZXMXAXBYKEFYOSZYKSZYPSZWSYHYIUOWSYHYIUQWSYHEYPN
      ZYIYPYOXMABEFUCGXMSZYQYSURZUSUTVAXDYKXMAXCYDPXDSZYRUUAYFVBZVCVDLMXTYAXMAX
      NCXFFUCIYEYGUUAXNSZVEVFWSLMFFXRXOWSXHFNZXIFNZUDZXQXLXNUUHJKXHXIFFXEXLXFVI
      UUHXFVGXAXHRXBXIRTZXEXLRUUHUUIPXDXKUUIXCXJUEXAXHXBXIEVHUKVJVKWSUUFUUGUOZW
      SUUFUUGUQZUUHPXKVLVMUKVNVOWSXPERZXAXBXPQZXCRZKFVPJFVPZWSUUOXEXNOZXCRZKFVP
      JFVPWSUUQJKFFWSYHYITZTZUUQUAUHZUUPUEOZOUUTXDORUAUPVPZJKXMABUAEFGUUAVQUUSW
      QUUPYKNZYLUUQUVBVSWPWQWRUURVRZUUSWQYNUVCUVDUUSYLYMYNUUSYOYPXMXAXBYKEFYQYR
      YSWSYHYIVTWSYHYIWAWSYTUURUUBWBUTZVAUUDVCXNYKXMAXEYDUUAUUEYFYRWCWDUVEWQUVC
      YLUDUVBUUQUVAYKXDXMAUAUUPXCUUAYRUVASUUCWEWFVFWGWIWSUUNUUQJKFFWSYHYIUUNUUQ
      VSWSYHTZYITZUUMUUPXCUVGLMXAXBFFXOUUPXPVIUVGXPVGXHXARXIXBRTZXOUUPRUVGUVHXL
      XEXNUVHPXKXDUVHXJXCUEXHXAXIXBEVHUKVJUKVKWSYHYIWHUVFYIWJUVGXEXNVLVMWKWLWMW
      GWSXPYPNYTUULUUOVSWSLMYOYPXOXMYKFVIYQYRYSYBWSAUIVLUUHWQXLYDNZXOYKNWSUUFWQ
      UUGYCUSUUHXJYKNYMUVIUUHYOYPXMXHXIYKEFYQYRYSUUJUUKWSUUFYTUUGUUBUSUTVAXKYKX
      MAXJYDPXKSYRUUAYFVBVCXNYKXMAXLYDUUAUUEYFYRWCWDVDUUBYOYPXMJKFXPEYQYSWNWDWG
      WO $.
  $}

  ${
    $d K c m $.  $d K x $.  $d N c i j m $.  $d N c i j x $.  $d R c i j m $.
    $d R x $.  $d S c i j m x $.  $d S x $.  $d T c x $.
    m2cpmfo.s $e |- S = ( N ConstPolyMat R ) $.
    m2cpmfo.t $e |- T = ( N matToPolyMat R ) $.
    m2cpmfo.a $e |- A = ( N Mat R ) $.
    m2cpmfo.k $e |- K = ( Base ` A ) $.
    $( The matrix transformation is a function from the matrices onto the
       constant polynomial matrices.  (Contributed by AV, 19-Nov-2019.)  (Proof
       shortened by AV, 28-Nov-2019.) $)
    m2cpmfo $p |- ( ( N e. Fin /\ R e. Ring ) -> T : K -onto-> S ) $=
      ( vx vc vm vi vj wcel cv cfv wceq eqid cfn crg wa wf wrex wral wfo m2cpmf
      cc0 cco1 cmpo cmpt cbs simplll simpllr w3a cpl1 cn0 simp2 simp3 cpmatpmat
      co cmat ad4ant124 3ad2ant1 matecld 0nn0 coe1fvalcl sylancl matbas2d simpr
      fmpttd ffvelrnd wb fveq2 eqeq2d adantl ccpmat2mat cpm2mfval fveq1d eqcomd
      3adant3 fveq2d m2cpminvid2 eqtrd 3expa rspcedvd ralrimiva dffo3 sylanbrc
      ) FUAPZBUBPZUCZECDUDKQZLQZDRZSZLEUEZKCUFECDUGAEBCDFGHIJUHWMWRKCWMWNCPZUCZ
      WQWNWNMCNOFFUINQZOQZMQZVBZUJRZRZUKZULZRZDRZSZLXIEWTCEWNXHWTMCXGEWTXCCPZUC
      ZNOAEXFBBUMRZFUBIXNTZJWKWLWSXLUNWKWLWSXLUOXMXAFPZXBFPZUPZXDBUQRZUMRZPUIUR
      PXFXNPXRFXSVCVBZYAUMRZXSXAXBXTXCFYATZXTTZYBTZXMXPXQUSXMXPXQUTXMXPXCYBPZXQ
      WKWLXLYFWSYBYAXSBCXCFUBGXSTZYCYEVAVDVEVFVGXEXTXSBXDXNUIXETYDYGXOVHVIVJVLW
      MWSVKVMWOXISZWQXKVNWTYHWPXJWNWOXIDVOVPVQWTXJWNWKWLWSXJWNSWKWLWSUPZXJWNFBV
      RVBZRZDRWNYIXIYKDYIYKXIWKWLYKXISWSWMWNYJXHNOBCMYJFUBYJTZGVSVTWBWAWCBCDYJW
      NFGYLHWDWEWFWAWGWHLKECDWIWJ $.

    $( The matrix transformation is a 1-1 function from the matrices onto the
       constant polynomial matrices.  (Contributed by AV, 19-Nov-2019.) $)
    m2cpmf1o $p |- ( ( N e. Fin /\ R e. Ring ) -> T : K -1-1-onto-> S ) $=
      ( cfn wcel crg wa wf1 wfo wf1o m2cpmf1 m2cpmfo df-f1o sylanbrc ) FKLBMLNE
      CDOECDPECDQAEBCDFGHIJRABCDEFGHIJSECDTUA $.

    $d C m $.
    m2cpmrngiso.p $e |- P = ( Poly1 ` R ) $.
    m2cpmrngiso.c $e |- C = ( N Mat P ) $.
    m2cpmrngiso.u $e |- U = ( C |`s S ) $.
    $( The transformation of matrices into constant polynomial matrices is a
       ring isomorphism.  (Contributed by AV, 19-Nov-2019.) $)
    m2cpmrngiso $p |- ( ( N e. Fin /\ R e. CRing )
                        -> T e. ( A RingIso U ) ) $=
      ( wcel wa cfv crg vm cfn ccrg crs crh cbs wf1o m2cpmrhm crngring m2cpmf1o
      co anim2i wss wceq cv eqid cpmatpmat 3expia ssrdv ressbas2 eqcomd f1oeq3d
      syl mpbird cgrp wb matring csubg cpmatsubgpmat subggrp 3syl isrim syl2anc
      mpbir2and ) IUBQZDUCQZRZFAGUDUKQZFAGUEUKQZHGUFSZFUGZAHBCDEFGIJKLMNOPUHVQV
      ODTQZRZWAVPWBVODUIULZWCWAHEFUGADEFHIJKLMUJWCVTEHFWCEVTWCEBUFSZUMEVTUNWCUA
      EWEVOWBUAUOZEQWFWEQWEBCDEWFITJNOWEUPZUQURUSEWEGBPWGUTVCVAVBVDVCVQATQZGVEQ
      ZVRVSWARVFVQWCWHWDADILVGVCVQWCEBVHSQWIWDBCDEIJNOVIEBGPVJVKHVTAGFTVEMVTUPV
      LVMVN $.
  $}

  ${
    matcpmric.a $e |- A = ( N Mat R ) $.
    matcpmric.p $e |- P = ( Poly1 ` R ) $.
    matcpmric.c $e |- C = ( N Mat P ) $.
    matcpmric.s $e |- S = ( N ConstPolyMat R ) $.
    matcpmric.u $e |- U = ( C |`s S ) $.
    $( The ring of matrices over a commutative ring is isomorphic to the ring
       of scalar matrices over the same ring.  (Contributed by AV,
       30-Dec-2019.) $)
    matcpmric $p |- ( ( N e. Fin /\ R e. CRing ) -> A ~=r U ) $=
      ( cfn wcel ccrg wa crs co c0 eqid wne cric wbr cmat2pmat m2cpmrngiso ne0d
      cbs cfv brric sylibr ) GMNDONPZAFQRZSUAAFUBUCUKULGDUDRZABCDEUMFAUGUHZGKUM
      THUNTIJLUEUFAFUIUJ $.
  $}

  ${
    $d I k $.  $d I s $.  $d K k $.  $d N k $.  $d N s $.  $d R k $.  $d R s $.
    $d S s $.  $d T k $.  $d T s $.
    m2cpminv.a $e |- A = ( N Mat R ) $.
    m2cpminv.k $e |- K = ( Base ` A ) $.
    m2cpminv.s $e |- S = ( N ConstPolyMat R ) $.
    m2cpminv.i $e |- I = ( N cPolyMatToMat R ) $.
    m2cpminv.t $e |- T = ( N matToPolyMat R ) $.
    $( The inverse matrix transformation is a 1-1 function from the constant
       polynomial matrices onto the matrices over the base ring of the
       polynomials.  (Contributed by AV, 27-Nov-2019.)  (Revised by AV,
       15-Dec-2019.) $)
    m2cpminv $p |- ( ( N e. Fin /\ R e. Ring )
                     -> ( I : S -1-1-onto-> K /\ `' I = T ) ) $=
      ( vs vk wcel wceq cv cfv 3expa ralrimiva cfn crg wa wf1o ccnv m2cpminvid2
      cpm2mf m2cpmf m2cpminvid 2fvidf1od 2fvidinvd jca ) GUAOZBUBOZUCZCFEUDEUED
      PUOCFEDMNABCEFGHIJKUGZAFBCDGJLHIUHZUOMQZERDRURPZMCUMUNURCOUSBCDEURGJKLUFS
      TZUONQZDRERVAPZNFUMUNVAFOVBABDEFVAGKHILUISTZUJUOCFEDMNUPUQUTVCUKUL $.
  $}

  ${
    m2cpminv0.a $e |- A = ( N Mat R ) $.
    m2cpminv0.i $e |- I = ( N cPolyMatToMat R ) $.
    m2cpminv0.p $e |- P = ( Poly1 ` R ) $.
    m2cpminv0.c $e |- C = ( N Mat P ) $.
    m2cpminv0.0 $e |- .0. = ( 0g ` A ) $.
    m2cpminv0.z $e |- Z = ( 0g ` C ) $.
    $( The inverse matrix transformation applied to the zero polynomial matrix
       results in the zero of the matrices over the base ring of the
       polynomials.  (Contributed by AV, 24-Nov-2019.)  (Revised by AV,
       15-Dec-2019.) $)
    m2cpminv0 $p |- ( ( N e. Fin /\ R e. Ring ) -> ( I ` Z ) = .0. ) $=
      ( wcel crg cfv co wceq c0g cfn cmat2pmat eqid cmat fveq2i eqtri 0mat2pmat
      wa ancoms eqcomd fveq2d cbs matring ring0cl syl m2cpminvid mpd3an3 eqtrd
      ) FUAOZDPOZUHZHEQGFDUBRZQZEQZGVAHVCEVAVCHUTUSVCHSCDVBFGHVBUCZKGATQFDUDRZT
      QMAVFTIUEUFHBTQFCUDRZTQNBVGTLUEUFUGUIUJUKUSUTGAULQZOZVDGSVAAPOVIADFIUMVHA
      GVHUCZMUNUOADVBEVHGFJIVJVEUPUQUR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Collecting coefficients of polynomial matrices
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
In this section, the decomposition of polynomial matrices into (polynomial)
multiples of constant (polynomial) matrices is prepared by collecting the
coefficients of a polynomial matrix which belong to the same power of the
polynomial variable.  Such a collection is given by the function ` decompPMat `
(see ~ df-decpmat ), which maps a polynomial matrix ` M ` to a constant matrix
consisting of the coefficients of the scaled monomials ` ( ( c `` k )
.* ( k .^ X ) ) ` , i.e. the coefficients belonging to the k-th power of the
polynomial variable ` X ` , of each entry in the polynomial matrix ` M `.  The
resulting decomposition is provided by Theorem ~ pmatcollpw .
$)

  $c decompPMat $.

  $( Extend class notation to include the decomposition of polynomial
     matrices. $)
  cdecpmat $a class decompPMat $.

  ${
    $d i j k m $.
    $( Define the decomposition of polynomial matrices.  This function collects
       the coefficients of a polynomial matrix ` m ` belong to the ` k ` th
       power of the polynomial variable for each entry of ` m ` .  (Contributed
       by AV, 2-Dec-2019.) $)
    df-decpmat $a |- decompPMat = ( m e. _V , k e. NN0
                                    |-> ( i e. dom dom m , j e. dom dom m
                                        |-> ( ( coe1 ` ( i m j ) ) ` k ) ) ) $.
  $}

  ${
    $d K i j k m $.  $d M i j k m $.  $d V k m $.
    $( The matrix consisting of the coefficients in the polynomial entries of a
       polynomial matrix for the same power, most general version.
       (Contributed by AV, 2-Dec-2019.) $)
    decpmatval0 $p |- ( ( M e. V /\ K e. NN0 )
                      -> ( M decompPMat K ) = ( i e. dom dom M , j e. dom dom M
                                        |-> ( ( coe1 ` ( i M j ) ) ` K ) ) ) $=
      ( vm vk wcel cn0 wa cvv cv cdm co cco1 cfv cmpo cdecpmat wceq adantr dmeq
      df-decpmat a1i dmeqd oveq fveq2d simpr mpoeq123dv adantl elex dmexg dmexd
      fveq12d jca mpoexga syl ovmpod ) DEHZCIHZJZFGDCKIABFLZMZMZVCGLZALZBLZVANZ
      OPZPZQZABDMZMZVLCVEVFDNZOPZPZQZRKRFGKIVJQSUTABGFUBUCVADSZVDCSZJZVJVPSUTVS
      ABVCVCVIVLVLVOVSVBVKVQVBVKSVRVADUATUDZVTVSVDCVHVNVQVHVNSVRVQVGVMOVEVFVADU
      EUFTVQVRUGUMUHUIURDKHUSDEUJTURUSUGUTVLKHZWAJZVPKHURWBUSURWAWAURVKKDEUKULZ
      WCUNTABVLVLVOKKUOUPUQ $.
  $}

  ${
    $d B i j $.  $d K i j $.  $d M i j $.
    decpmatval.a $e |- A = ( N Mat R ) $.
    decpmatval.b $e |- B = ( Base ` A ) $.
    $( The matrix consisting of the coefficients in the polynomial entries of a
       polynomial matrix for the same power, general version for arbitrary
       matrices.  (Contributed by AV, 28-Sep-2019.)  (Revised by AV,
       2-Dec-2019.) $)
    decpmatval $p |- ( ( M e. B /\ K e. NN0 )
                 -> ( M decompPMat K )
                    = ( i e. N , j e. N |-> ( ( coe1 ` ( i M j ) ) ` K ) ) ) $=
      ( wcel cn0 wa cdecpmat co cdm cv cco1 cfv cmpo decpmatval0 wceq cmap eqid
      cbs cxp wf matbas2i elmapi fdm dmeqd dmxpid eqtrdi 3syl adantr mpoeq123dv
      eqidd eqtrd ) GBKZFLKZMZGFNODEGPZPZVCFDQEQGORSSZTDEHHVDTDEFGBUAVADEVCVCVD
      HHVDUSVCHUBZUTUSGCUESZHHUFZUCOKVGVFGUGZVEABCVFGHIVFUDJUHGVFVGUIVHVCVGPHVH
      VBVGVGVFGUJUKHULUMUNUOZVIVAVDUQUPUR $.
  $}

  ${
    $d B i j $.  $d K i j $.  $d M i j $.  $d N i j $.  $d R i j $.
    $d V i j $.
    decpmate.p $e |- P = ( Poly1 ` R ) $.
    decpmate.c $e |- C = ( N Mat P ) $.
    decpmate.b $e |- B = ( Base ` C ) $.
    ${
      $d I i j $.  $d J i j $.
      $( An entry of the matrix consisting of the coefficients in the entries
         of a polynomial matrix is the corresponding coefficient in the
         polynomial entry of the given matrix.  (Contributed by AV,
         28-Sep-2019.)  (Revised by AV, 2-Dec-2019.) $)
      decpmate $p |- ( ( ( R e. V /\ M e. B /\ K e. NN0 )
                       /\ ( I e. N /\ J e. N ) )
              -> ( I ( M decompPMat K ) J ) = ( ( coe1 ` ( I M J ) ) ` K ) ) $=
        ( vi vj wcel wa co cfv wceq cn0 w3a cv cco1 cdecpmat decpmatval 3adant1
        cvv cmpo adantr oveq12 fveq2d fveq1d adantl simprl simprr fvexd ovmpod
        ) DJPZHAPZGUAPZUBZEIPZFIPZQZQZNOEFIIGNUCZOUCZHRZUDSZSZGEFHRZUDSZSZHGUER
        ZUHVBVONOIIVKUITZVEUTVAVPUSBACNOGHILMUFUGUJVGETVHFTQZVKVNTVFVQGVJVMVQVI
        VLUDVGEVHFHUKULUMUNVBVCVDUOVBVCVDUPVFGVMUQUR $.
    $}

    decpmatcl.a $e |- A = ( N Mat R ) $.
    ${
      decpmatcl.d $e |- D = ( Base ` A ) $.
      $( Closure of the decomposition of a polynomial matrix:  The matrix
         consisting of the coefficients in the polynomial entries of a
         polynomial matrix for the same power is a matrix.  (Contributed by AV,
         28-Sep-2019.)  (Revised by AV, 2-Dec-2019.) $)
      decpmatcl $p |- ( ( R e. V /\ M e. B /\ K e. NN0 )
                        -> ( M decompPMat K ) e. D ) $=
        ( vi vj wcel cfv eqid cn0 cdecpmat co cco1 cmpo wceq decpmatval 3adant1
        w3a cv cbs matrcl simpld 3ad2ant2 simp1 simp2 simp3 3ad2ant1 coe1fvalcl
        cfn cvv matecld syl2anc matbas2d eqeltrd ) FJRZHBRZGUARZUIZHGUBUCZPQIIG
        PUJZQUJZHUCZUDSZSZUEZDVGVHVJVPUFVFCBEPQGHILMUGUHVIPQADVOFFUKSZIJNVQTZOV
        GVFIUTRZVHVGVSEVARCBEIHLMULUMUNVFVGVHUOVIVKIRZVLIRZUIZVMEUKSZRVHVOVQRWB
        CBEVKVLWCHILWCTZMVIVTWAUPVIVTWAUQVIVTVGWAVFVGVHUPURVBVIVTVHWAVFVGVHUQUR
        VNWCEFVMVQGVNTWDKVRUSVCVDVE $.
    $}

    $d B a b k s x $.  $d M a b k s x $.  $d N a b i j s x $.
    $d R a b k s x $.  $d .0. i j s x $.
    decpmatfsupp.0 $e |- .0. = ( 0g ` A ) $.
    $( The matrix consisting of the coefficients in the polynomial entries of a
       polynomial matrix for the same power is 0 for almost all powers.
       (Contributed by AV, 3-Nov-2019.)  (Revised by AV, 3-Dec-2019.) $)
    decpmataa0 $p |- ( ( R e. Ring /\ M e. B )
          -> E. s e. NN0 A. x e. NN0 ( s < x -> ( M decompPMat x ) = .0. ) ) $=
      ( vi vj wcel wa cn0 va vb crg cv clt wbr cdecpmat wceq wral wrex cco1 cfv
      co wi c0g cfn matrcl simpld adantl simpl simpr eqid pmatcoe1fsupp syl3anc
      cvv cbs decpmatcl 3expa jca matring ring0cl 3syl adantr eqmat syl2anc w3a
      wb df-3an decpmate sylanbr cmpo mat0op syl5eq syl weq eqidd fvexd eqeq12d
      ovmpod 2ralbidva bitrd imbi2d ralbidva rexbidv mpbird ) FUCRZGCRZSZJUDAUD
      ZUEUFZGWSUGUMZIUHZUNZATUIZJTUJWTWSPUDZQUDZGUMUKULULZFUOULZUHZQHUIPHUIZUNZ
      ATUIZJTUJZWRHUPRZWPWQXMWQXNWPWQXNEVERDCEHGLMUQURUSZWPWQUTZWPWQVAACDEFPQGH
      XHJKLMXHVBZVCVDWRXDXLJTWRXCXKATWRWSTRZSZXBXJWTXSXBXEXFXAUMZXEXFIUMZUHZQHU
      IPHUIZXJXSXABVFULZRZIYDRZXBYCVQWPWQXRYEBCDYDEFWSGHUCKLMNYDVBZVGVHWRYFXRWR
      XNWPSZBUCRYFWRXNWPXOXPVIZBFHNVJYDBIYGOVKVLVMBYDFPQHXAINYGVNVOXSYBXIPQHHXS
      XEHRZXFHRZSZSZXTXGYAXHXSWPWQXRVPYLXTXGUHWPWQXRVRCDEFXEXFWSGHUCKLMVSVTYMUA
      UBXEXFHHXHXHIVEYMYHIUAUBHHXHWAZUHXSYHYLWRYHXRYIVMVMYHIBUOULYNOBFUAUBHXHNX
      QWBWCWDYMUAPWEUBQWESSXHWFYLYJXSYJYKUTUSYLYKXSYJYKVAUSYMFUOWGWIWHWJWKWLWMW
      NWO $.

    $( The mapping to the matrices consisting of the coefficients in the
       polynomial entries of a given matrix for the same power is finitely
       supported.  (Contributed by AV, 5-Oct-2019.)  (Revised by AV,
       3-Dec-2019.) $)
    decpmatfsupp $p |- ( ( R e. Ring /\ M e. B )
                        -> ( k e. NN0 |-> ( M decompPMat k ) ) finSupp .0. ) $=
      ( vx vs wcel wa cvv cdecpmat crg cv co c0g fvexi a1i cn0 ovexd decpmataa0
      oveq2 mptnn0fsuppd ) EUAQGBQRZOSGFUBZTUCGOUBZTUCFSIPISQULIAUDNUEUFULUMUGQ
      RGUMTUHUMUNGTUJOABCDEGHIPJKLMNUIUK $.
  $}

  ${
    $d A i j $.  $d C i j $.  $d I i j $.  $d K i j k $.  $d N i j k $.
    $d P k $.  $d R i j k $.
    decpmatid.p $e |- P = ( Poly1 ` R ) $.
    decpmatid.c $e |- C = ( N Mat P ) $.
    decpmatid.i $e |- I = ( 1r ` C ) $.
    decpmatid.a $e |- A = ( N Mat R ) $.
    decpmatid.0 $e |- .0. = ( 0g ` A ) $.
    decpmatid.1 $e |- .1. = ( 1r ` A ) $.
    $( The matrix consisting of the coefficients in the polynomial entries of
       the identity matrix is an identity or a zero matrix.  (Contributed by
       AV, 28-Sep-2019.)  (Revised by AV, 2-Dec-2019.) $)
    decpmatid $p |- ( ( N e. Fin /\ R e. Ring /\ K e. NN0 )
                      -> ( I decompPMat K ) = if ( K = 0 , .1. , .0. ) ) $=
      ( vi vj wcel cfv wceq vk cfn crg cn0 w3a cdecpmat co cv cco1 cmpo weq cc0
      csca cur c0g cif cbs pmatring 3adant3 eqid ringidcl syl decpmatval simp11
      simp3 simp12 simp2 pmat1ovd fveq2d fveq1d fvif fveq1i iffv eqtri cv1 cmgp
      syl2anc cmg cvsca ply1idvr1 3ad2ant2 eqcomd clmod ply1lmod 0nn0 ply1moncl
      mpan2 lmodvs1 cvv cmpt ply1sca eqeltrd a1i coe1tm eqeq1 ifbid adantl fvex
      syl3anc ifex fvmptd 3eqtrd csn cxp coe1z fvconst2g eqtrd ifeq12d 3ad2ant1
      syl5eq mpoeq3dva wa ifeq1d mpoeq3dv iftrue adantr mat1 3eqtr4d wn iffalse
      ifid 3simpa mat0op pm2.61ian ) HUBRZDUCRZGUDRZUEZFGUFUGZPQHHGPUHZQUHZFUGZ
      UISZSZUJZPQHHPQUKZGULTZCUMSZUNSZDUOSZUPZYTUPZUJZYQEIUPZYHFBUQSZRZYGYIYOTY
      HBUCRZUUFYEYFUUGYGBCDHJKURUSUUEBFUUEUTZLVAVBYEYFYGVEZBUUECPQGFHKUUHVCVQYH
      PQHHYNUUBYHYJHRZYKHRZUEZYNGYPCUNSZCUOSZUPZUISZSZUUBUULGYMUUPUULYLUUOUIUUL
      BCDFUUMYJYKHUUNJKUUNUTZUUMUTYEYFYGUUJUUKVDYEYFYGUUJUUKVFYHUUJUUKVGYHUUJUU
      KVELVHVIVJUULUUQYPGUUMUISZSZGUUNUISZSZUPZUUBUUQGYPUUSUVAUPZSUVCGUUPUVDYPU
      UMUUNUIVKVLYPGUUSUVAVMVNYHUUJUVCUUBTUUKYHYPUUTUUAUVBYTYHUUTGULDVOSZCVPSZV
      RSZUGZUISZSGYSUVHCVSSZUGZUISZSUUAYHGUUSUVIYHUUMUVHUIYHUVHUUMYFYEUVHUUMTYG
      CDUVGUVFUVEJUVEUTZUVFUTZUVGUTZVTWAWBVIVJYHGUVIUVLYHUVHUVKUIYHUVKUVHYHCWCR
      ZUVHCUQSZRZUVKUVHTYFYEUVPYGCDJWDWAYFYEUVRYGYFULUDRZUVRWEUVQULCDUVGUVFUVEJ
      UVMUVNUVOUVQUTZWFWGWAUVJYSYRUVQCUVHUVTYRUTUVJUTZYSUTWHVQWBVIVJYHUAGUAUHZU
      LTZYSYTUPZUUAUDUVLWIYHYFYSDUQSZRUVSUVLUAUDUWDWJTYEYFYGVGYHYSDUNSZUWEYHYRD
      UNYHDYRYFYEDYRTZYGCDUCJWKWAZWBVIYFYEUWFUWERYGUWEDUWFUWEUTZUWFUTZVAWAWLUVS
      YHWEWMUAYSULCDUVJUVGUWEUVFUVEYTYTUTZUWIJUVMUWAUVNUVOWNWSUWBGTZUWDUUATYHUW
      LUWCYQYSYTUWBGULWOWPWQUUIUUAWIRYHYQYSYTYRUNWRDUOWRZWTWMXAXBYHUVBGUDYTXCXD
      ZSZYTYHGUVAUWNYFYEUVAUWNTYGCDYTUUNJUURUWKXEWAVJYHYTWIRZYGUWOYTTUWPYHUWMWM
      UUIUDYTGWIXFVQXGXHXIXJXGXKYQYHUUCUUDTYQYHXLZUUCEUUDUWQPQHHYPYSYTUPZUJPQHH
      YPUWFYTUPZUJZUUCEUWQPQHHUWRUWSUWQYPYSUWFYTUWQYRDUNUWQDYRYHUWGYQUWHWQWBVIX
      MXNUWQPQHHUUBUWRYQUUBUWRTYHYQYPUUAYSYTYQYSYTXOXMXPXNYHEUWTTZYQYEYFUXAYGYE
      YFXLZEAUNSUWTOADUWFPQHYTMUWJUWKXQXJUSWQXRYQEUUDTYHYQUUDEYQEIXOWBXPXGYQXSZ
      YHXLZUUCIUUDUXDPQHHYPYTYTUPZUJPQHHYTUJZUUCIUXDPQHHUXEYTUXEYTTUXDYPYTYAWMX
      NUXDPQHHUUBUXEUXDYPUUAYTYTUXCUUAYTTYHYQYSYTXTXPXMXNUXDUXBIUXFTYHUXBUXCYEY
      FYGYBWQUXBIAUOSUXFNADPQHYTMUWKYCXJVBXRUXCIUUDTYHUXCUUDIYQEIXTWBXPXGYDXB
      $.
  $}

  ${
    $d B k t $.  $d I k l t $.  $d J k l t $.  $d K k l t $.  $d N k t $.
    $d P k t $.  $d R k l t $.  $d U k l t $.  $d W k l t $.
    decpmatmul.p $e |- P = ( Poly1 ` R ) $.
    decpmatmul.c $e |- C = ( N Mat P ) $.
    decpmatmul.b $e |- B = ( Base ` C ) $.
    $( Lemma for ~ decpmatmul .  (Contributed by AV, 20-Oct-2019.)  (Revised by
       AV, 3-Dec-2019.) $)
    decpmatmullem $p |- ( ( ( N e. Fin /\ R e. Ring )
                                   /\ ( U e. B /\ W e. B )
                                   /\ ( I e. N /\ J e. N /\ K e. NN0 ) )
                                 -> ( I ( ( U ( .r ` C ) W ) decompPMat K ) J )
             = ( R gsum ( t e. N |-> ( R gsum ( l e. ( 0 ... K ) |->
                          ( ( ( coe1 ` ( I U t ) ) ` l )
                 ( .r ` R ) ( ( coe1 ` ( t W J ) ) ` ( K - l ) ) ) ) ) ) ) ) $=
      ( wcel crg cfv co cgsu vk cfn wa cn0 w3a cmulr cdecpmat cco1 cmpt cc0 cfz
      cmin wceq simpr 3ad2ant1 pmatring adantr simpl adantl eqid ringcl syl3anc
      cv 3adant3 simp33 3simpa 3ad2ant3 decpmate syl31anc cotp ply1ring matmulr
      cmmul eqcomd sylan2 cbs cxp cmap wi matbas2 eqtr4id eleq2d biimpcd impcom
      oveqd simp31 simp32 mamufv eqtrd fveq2d simpl2l matecld simpl2r ralrimiva
      fveq1d coe1fzgsumd cvv simpl1r coe1mul fvoveq1 oveq2d mpteq12dv mpteq2dva
      oveq2 ovexd fvmptd 3eqtrd ) JUBPZEQPZUCZFBPZKBPZUCZGJPZHJPZIUDPZUEZUEZGHF
      KCUFRZSZIUGSSZIGHXTSZUHRZRZIDAJGAVCZFSZYEHKSZDUFRZSZUITSZUHRZRZEAJELUJIUK
      SZLVCZYFUHRRZIYNULSYGUHRZRZEUFRZSZUIZTSZUIZTSZXRXIXTBPZXPXNXOUCZYAYDUMXJX
      MXIXQXHXIUNUOZXJXMUUDXQXJXMUCCQPZXKXLUUDXJUUGXMCDEJMNUPUQXMXKXJXKXLURUSXM
      XLXJXKXLUNUSBCXSFKOXSUTVAVBVDXJXMXNXOXPVEZXQXJUUEXMXNXOXPVFVGBCDEGHIXTJQM
      NOVHVIXRIYCYKXRYBYJUHXRYBGHFKDJJJVJVMSZSZSYJXRXTUUJGHXRXSUUIFKXJXMXSUUIUM
      ZXQXIXHDQPZUUKDEMVKZXHUULUCZUUIXSCDUUIJQNUUIUTZVLVNVOUOWEWEXRDVPRZJDYHAUU
      IGHJJQFKUUOUUPUTZYHUTZXJXMUULXQXIUULXHUUMUSUOZXJXMXHXQXHXIURUOZUUTUUTXJXM
      FUUPJJVQVRSZPZXQXMXJUVBXKXJUVBVSXLXJXKUVBXJBUVAFXIXHUULBUVAUMUUMUUNBCVPRZ
      UVAOCDUUPJQNUUQVTZWAVOWBWCUQWDVDXJXMKUVAPZXQXMXJUVEXLXJUVEVSXKXJXLUVEXJBU
      VAKXJBUVCUVAOXIXHUULUVAUVCUMUUMUVDVOWAWBWCUSWDVDXJXMXNXOXPWFZXJXMXNXOXPWG
      ZWHWIWJWOXRYLEAJIYIUHRZRZUIZTSUUCXRAUUPDEIYIJMUUQUUFUUHXRYIUUPPZAJXRYEJPZ
      UCZUULYFUUPPZYGUUPPZUVKXRUULUVLUUSUQUVMCBDGYEUUPFJNUUQOXRXNUVLUVFUQXRUVLU
      NZXKXLXJXQUVLWKWLZUVMCBDYEHUUPKJNUUQOUVPXRXOUVLUVGUQXKXLXJXQUVLWMWLZUUPDY
      HYFYGUUQUURVAVBWNUUTWPXRUVJUUBETXRAJUVIUUAUVMUAIELUJUAVCZUKSZYOUVSYNULSYP
      RZYRSZUIZTSZUUAUDUVHWQUVMXIUVNUVOUVHUAUDUWDUIUMXHXIXMXQUVLWRUVQUVRLUUPEYH
      YRUAYFYGDMUURYRUTUUQWSVBUVSIUMZUWDUUAUMUVMUWEUWCYTETUWELUVTUWBYMYSUVSIUJU
      KXDUWEUWAYQYOYRUVSIYNYPULWTXAXBXAUSXRXPUVLUUHUQUVMEYTTXEXFXCXAWIXG $.

    $d A i j k $.  $d B i j k $.  $d B i j k t x y $.  $d C i j $.
    $d K i j x y $.  $d N i j k $.  $d N i j x y $.  $d R i j x y $.
    $d U i j x y $.  $d W i j x y $.
    decpmatmul.a $e |- A = ( N Mat R ) $.
    $( The matrix consisting of the coefficients in the polynomial entries of
       the product of two polynomial matrices is a sum of products of the
       matrices consisting of the coefficients in the polynomial entries of the
       polynomial matrices for the same power.  (Contributed by AV,
       21-Oct-2019.)  (Revised by AV, 3-Dec-2019.) $)
    decpmatmul $p |- ( ( R e. Ring /\ ( U e. B /\ W e. B ) /\ K e. NN0 )
                      -> ( ( U ( .r ` C ) W ) decompPMat K )
                         = ( A gsum ( k e. ( 0 ... K ) |-> ( ( U decompPMat k )
                               ( .r ` A ) ( W decompPMat ( K - k ) ) ) ) ) ) $=
      ( wcel wa co cgsu adantr syl vi vj vx vy vt crg cn0 w3a cmulr cfv cc0 cfz
      cdecpmat cv cmin cmpt wceq wral cmpo eqidd oveq1 oveq2 oveqan12d mpteq2dv
      cvv oveq2d adantl simprl simprr ovexd ovmpod cotp cmmul cfn matrcl simpld
      anim2i ancomd 3adant3 eqid matmulr eqcomd oveqd cbs simp1 simpl2l elfznn0
      cxp cmap 3jca decpmatcl matbas2i simpl2r fznn0sub mamuval eqtrd mpteq2dva
      c0g ringcmn 3ad2ant1 simpl2 simpr matecld simpl3 ringcl syl3anc ralrimiva
      ccmn gsummptcl matbas2d fzfid simpl jca 3ad2ant2 mpoexga fvexd fsuppmptdm
      matgsum cco1 decpmatmullem syl213anc simpll1 simplrl eleq2i biimpi matecl
      ad2antll coe1fvalcl syl2anc simplrr gsumcom3fi decpmate syl2an2r 3eqtr4rd
      anim1i anim1ci oveq12d 3eqtrd ralrimivva wb pmatring matring eqmat mpbird
      syld3an2 ) EUFOZFBOZJBOZPZHUGOZUHZFJCUIUJZQZHUMQZAGUKHULQZFGUNZUMQZJHUUPU
      OQZUMQZAUIUJZQZUPZRQZUQZUAUNZUBUNZUUNQZUVEUVFUVCQZUQZUBIURUAIURZUUKUVIUAU
      BIIUUKUVEIOZUVFIOZPZPZUVEUVFUCUDIIEGUUOEUEIUCUNZUEUNZUUQQZUVPUDUNZUUSQZEU
      IUJZQZUPZRQZUPZRQZUSZQEGUUOEUEIUVEUVPUUQQZUVPUVFUUSQZUVTQZUPZRQZUPZRQZUVH
      UVGUVNUCUDUVEUVFIIUWEUWMUWFVEUVNUWFUTUVOUVEUQZUVRUVFUQZPZUWEUWMUQUVNUWPUW
      DUWLERUWPGUUOUWCUWKUWPUWBUWJERUWPUEIUWAUWIUWNUWOUVQUWGUVSUWHUVTUVOUVEUVPU
      UQVAUVRUVFUVPUUSVBVCVDVFVDVFVGUUKUVKUVLVHZUUKUVKUVLVIZUVNEUWLRVJVKUVNUVCU
      WFUVEUVFUVNUVCAGUUOUCUDIIUWCUSZUPZRQUWFUVNUVBUWTARUVNGUUOUVAUWSUVNUUPUUOO
      ZPZUVAUUQUUSEIIIVLVMQZQUWSUXBUUTUXCUUQUUSUXBUXCUUTUVNUXCUUTUQZUXAUUKUXDUV
      MUUKIVNOZUUFPZUXDUUFUUIUXFUUJUUFUUIPZUUFUXEUUIUXEUUFUUGUXEUUHUUGUXEDVEOZC
      BDIFLMVOZVPSVQVRZVSZAEUXCIUFNUXCVTZWATSSWBWCUXBEWDUJZIEUVTUCUEUDUXCIIUFUU
      QUUSUXLUXMVTZUVTVTZUVNUUFUXAUUKUUFUVMUUFUUIUUJWEZSZSZUVNUXEUXAUUKUXEUVMUU
      KUXEUUFUXKVPSZSZUXTUXTUXBUUQAWDUJZOZUUQUXMIIWHWIQZOUXBUUFUUGUUPUGOZUHZUYB
      UXBUUFUUGUYDUXRUVNUUGUXAUUGUUHUUFUUJUVMWFSUXAUYDUVNUUPHWGZVGWJZABCUYADEUU
      PFIUFKLMNUYAVTZWKZTAUYAEUXMUUQINUXNUYHWLTUXBUUSUYAOZUUSUYCOUXBUUFUUHUURUG
      OZUHZUYJUXBUUFUUHUYKUXRUVNUUHUXAUUGUUHUUFUUJUVMWMZSUXAUYKUVNUUPUKHWNZVGWJ
      ZABCUYADEUURJIUFKLMNUYHWKZTZAUYAEUXMUUSINUXNUYHWLTWOWPWQVFUVNGAUYAEUWCUCU
      DUUOIVEAWRUJZNUYHUYRVTUXSUVNUKHULVJUXQUXBUCUDAUYAUWCEUXMIUFNUXNUYHUXTUXRU
      XBUVOIOZUVRIOZUHZUXMUEEIUWAUXNUXBUYSEXHOZUYTUVNVUBUXAUUKVUBUVMUUKUUFVUBUX
      PEWSTSZSWTUXBUYSUXEUYTUXTWTVUAUWAUXMOZUEIVUAUVPIOZPZUUFUVQUXMOUVSUXMOVUDV
      UAUUFVUEUXBUYSUUFUYTUXRWTSVUFAUYAEUVOUVPUXMUUQINUXNUYHUXBUYSUYTVUEXAVUAVU
      EXBZVUFUYEUYBVUAUYEVUEUXBUYSUYEUYTUYGWTSUYITXCVUFAUYAEUVPUVRUXMUUSINUXNUY
      HVUGUXBUYSUYTVUEXDVUAUYJVUEUXBUYSUYJUYTUYQWTSXCUXMEUVTUVQUVSUXNUXOXEXFXGX
      IXJUVNGUUOUWTVEVEUWSUYRUWTVTUVNUKHXKZUXBUXEUXEPZUWSVEOUVNVUIUXAUUKVUIUVMU
      UIUUFVUIUUJUUGVUIUUHUUGUXEUXHPZVUIUXIVUJUXEUXEUXEUXHXLZVUKXMTSXNSSUCUDIIU
      WCVNVNXOTUVNAWRXPXQXRWPWCUVNUVGEUEIEGUUOUUPUVEUVPFQZXSUJZUJZUURUVPUVFJQZX
      SUJZUJZUVTQZUPRQUPRQZEGUUOEUEIVURUPZRQZUPZRQUWMUVNUXEUUFUUIUVKUVLUUJUVGVU
      SUQUXSUXQUUFUUIUUJUVMXAUWQUWRUUFUUIUUJUVMXDUEBCDEFUVEUVFHIJGKLMXTYAUVNIUX
      MUUOUEGEVURUXNVUCUXSVUHUVNVUEUXAPZPZUUFVUNUXMOZVUQUXMOZVURUXMOUUFUUIUUJUV
      MVVCYBVVDVULDWDUJZOZUYDVVEVVDUVKVUEFCWDUJZOZVVHUUKUVKUVLVVCYCUVNVUEUXAVHZ
      UVNVVJVVCUUKVVJUVMUUIUUFVVJUUJUUGVVJUUHUUGVVJBVVIFMYDYESXNSSCDUVEUVPVVGFI
      LVVGVTZYFXFUXAUYDUVNVUEUYFYGVUMVVGDEVULUXMUUPVUMVTVVLKUXNYHYIVVDVUOVVGOUY
      KVVFVVDCBDUVPUVFVVGJILVVLMVVKUUKUVKUVLVVCYJUVNUUHVVCUYMSXCUXAUYKUVNVUEUYN
      YGVUPVVGDEVUOUXMUURVUPVTVVLKUXNYHYIUXMEUVTVUNVUQUXNUXOXEXFYKUVNVVBUWLERUV
      NGUUOVVAUWKUXBVUTUWJERUXBUEIVURUWIUXBVUEPZUWIVURVVMUWGVUNUWHVUQUVTUXBUYEV
      UEUVKVUEPUWGVUNUQUYGUXBUVKVUEUVNUVKUXAUWQSYOBCDEUVEUVPUUPFIUFKLMYLYMUXBUY
      LVUEVUEUVLPUWHVUQUQUYOUXBUVLVUEUUKUVKUVLUXAYJYPBCDEUVPUVFUURJIUFKLMYLYMYQ
      WBWQVFWQVFYRYNYSUUKUUNUYAOZUVCUYAOUVDUVJYTUUFUUMBOZUUIUUJVVNUUFUUIVVOUUJU
      XGCUFOZUUGUUHVVOUXGUXFVVPUXJCDEIKLUUATUUFUUGUUHVHUUFUUGUUHVIBCUULFJMUULVT
      XEXFVSABCUYADEHUUMIUFKLMNUYHWKUUEUUKUYAGAUUOUVAUYHUUKAUFOZAXHOUUKUXFVVQUX
      KAEINUUBTZAWSTUUKUKHXKUUKUVAUYAOZGUUOUUKUXAPZVVQUYBUYJVVSUUKVVQUXAVVRSVVT
      UYEUYBVVTUUFUUGUYDUUKUUFUXAUXPSZUUGUUHUUFUUJUXAWFUXAUYDUUKUYFVGWJUYITVVTU
      YLUYJVVTUUFUUHUYKVWAUUGUUHUUFUUJUXAWMUXAUYKUUKUYNVGWJUYPTUYAAUUTUUQUUSUYH
      UUTVTXEXFXGXIAUYAEUAUBIUUNUVCNUYHUUCYIUUD $.

    $d A k l n s $.  $d B a b i j n $.  $d B k l n s $.  $d C a b i j n $.
    $d C a b n s $.  $d N a b i j n $.  $d N k l n s $.  $d P k $.
    $d R a b i j n $.  $d R k l n s $.  $d a b i j n x $.  $d a b i j n y $.
    $d k l n s x $.  $d k l n s y $.  $d .0. n s $.  $d .x. l n s $.
    decpmatmulsumfsupp.m $e |- .x. = ( .r ` A ) $.
    decpmatmulsumfsupp.0 $e |- .0. = ( 0g ` A ) $.
    $( Lemma 0 for ~ pm2mpmhm .  (Contributed by AV, 21-Oct-2019.) $)
    decpmatmulsumfsupp $p |- ( ( ( N e. Fin /\ R e. Ring )
                           /\ ( x e. B /\ y e. B ) )
                         -> ( l e. NN0 |-> ( A gsum ( k e. ( 0 ... l )
                |-> ( ( x decompPMat k ) .x. ( y decompPMat ( l - k ) ) ) ) ) )
                            finSupp .0. ) $=
      ( co cn0 vn vs vi vj va vb cfn wcel crg wa cvv cc0 cfz cdecpmat cmin cmpt
      cv cgsu c0g fvexi a1i ovexd wceq oveq2 oveq1 oveq2d mpteq12dv clt wi wral
      wbr wrex cmulr cco1 cmpo simpll simplr pmatring anim1i 3anass sylibr eqid
      cfv w3a ringcl pmatcoe1fsupp syl3anc fvoveq1 fveq1d eqeq1d fveq2d rspc2va
      expcom adantl 3impib mpoeq3dva mat0op syl5eq ad3antrrr eqtr4d ex ralimdva
      syl imim2d reximdv oveqi mpteq2dv decpmatmul ad4ant234 decpmatval 3eqtr2d
      mpd sylan imbi2d ralbidva rexbidv mpbird mptnn0fsuppd ) JUGUHZGUIUHZUJZAU
      QZDUHZBUQZDUHZUJZUJZUAUKCIULLUQZUMSZYBIUQZUNSZYDYHYJUOSZUNSZHSZUPZURSCIUL
      UAUQZUMSZYKYDYPYJUOSZUNSZHSZUPZURSZLUKKUBKUKUHYGKCUSRUTVAYGYHTUHUJCYOURVB
      YHYPVCZYOUUACURUUCIYIYNYQYTYHYPULUMVDUUCYMYSYKHUUCYLYRYDUNYHYPYJUOVEVFVFV
      GVFYGUBUQYPVHVKZUUBKVCZVIZUATVJZUBTVLUUDUCUDJJYPUCUQZUDUQZYBYDEVMWCZSZSZV
      NWCZWCZVOZKVCZVIZUATVJZUBTVLZYGUUDYPUEUQZUFUQZUUKSVNWCZWCZGUSWCZVCZUFJVJU
      EJVJZVIZUATVJZUBTVLZUUSYGXSXTUUKDUHZUVIXSXTYFVPXSXTYFVQYGEUIUHZYCYEWDZUVJ
      YGUVKYFUJUVLYAUVKYFEFGJMNVRVSUVKYCYEVTWADEUUJYBYDOUUJWBWEXCZUADEFGUEUFUUK
      JUVDUBMNOUVDWBZWFWGYGUVHUURUBTYGUVGUUQUATYGYPTUHZUJZUVFUUPUUDUVPUVFUUPUVP
      UVFUJZUUOUCUDJJUVDVOZKUVQUCUDJJUUNUVDUVQUUHJUHZUUIJUHZUUNUVDVCZUVFUVSUVTU
      JZUWAVIUVPUWBUVFUWAUVEUWAYPUUHUVAUUKSZVNWCZWCZUVDVCUEUFUUHUUIJJUUTUUHVCZU
      VCUWEUVDUWFYPUVBUWDUUTUUHUVAVNUUKWHWIWJUVAUUIVCZUWEUUNUVDUWGYPUWDUUMUWGUW
      CUULVNUVAUUIUUHUUKVDWKWIWJWLWMWNWOWPYAKUVRVCYFUVOUVFYAKCUSWCUVRRCGUCUDJUV
      DPUVNWQWRWSWTXAXDXBXEXLYGUUGUURUBTYGUUFUUQUATUVPUUEUUPUUDUVPUUBUUOKUVPUUB
      CIYQYKYSCVMWCZSZUPZURSZUUKYPUNSZUUOUVPUUAUWJCURUVPIYQYTUWIYTUWIVCUVPHUWHY
      KYSQXFVAXGVFXTYFUVOUWLUWKVCXSCDEFGYBIYPJYDMNOPXHXIYGUVJUVOUWLUUOVCUVMEDFU
      CUDYPUUKJNOXJXMXKWJXNXOXPXQXR $.
  $}

  ${
    $d B n s x $.  $d I n s x $.  $d J n s x $.  $d M n s x $.  $d N n s x $.
    $d P s x $.  $d R n s x $.  $d X n s x $.  $d .X. n s x $.  $d .^ n s x $.
    pmatcollpw1.p $e |- P = ( Poly1 ` R ) $.
    pmatcollpw1.c $e |- C = ( N Mat P ) $.
    pmatcollpw1.b $e |- B = ( Base ` C ) $.
    pmatcollpw1.m $e |- .X. = ( .s ` P ) $.
    pmatcollpw1.e $e |- .^ = ( .g ` ( mulGrp ` P ) ) $.
    pmatcollpw1.x $e |- X = ( var1 ` R ) $.
    $( Lemma 1 for ~ pmatcollpw1 .  (Contributed by AV, 28-Sep-2019.)  (Revised
       by AV, 3-Dec-2019.) $)
    pmatcollpw1lem1 $p |- ( ( ( N e. Fin /\ R e. Ring /\ M e. B )
                              /\ I e. N /\ J e. N )
              -> ( n e. NN0 |-> ( ( I ( M decompPMat n ) J ) .X. ( n .^ X ) ) )
                 finSupp ( 0g ` P ) ) $=
      ( wcel co vx vs cfn crg w3a cvv cv cdecpmat c0g cfv fvexd cn0 ovexd oveq2
      wa wceq oveqd oveq1 oveq12d clt wbr cco1 wral wrex cbs simp2 simp3 simp13
      wi eqid matecld coe1ae0 syl simpl12 adantr simpr 3simpc decpmate syl31anc
      eqtrd oveq1d cmgp ply1moncl syl2anc ply10s0 ralimdva reximdv mptnn0fsuppd
      ex imim2d mpd ) KUCSZDUDSZJASZUEZHKSZIKSZUEZUAUFHIJFUGZUHTZTZWSLGTZETHIJU
      AUGZUHTZTZXCLGTZETZFUFCUIUJZUBWRCUIUKWRWSULSUOXAXBEUMWSXCUPZXAXEXBXFEXIWT
      XDHIWSXCJUHUNUQWSXCLGURUSWRUBUGXCUTVAZXCHIJTZVBUJZUJZDUIUJZUPZVIZUAULVCZU
      BULVDZXJXGXHUPZVIZUAULVCZUBULVDWRXKCVEUJZSXRWRBACHIYBJKNYBVJZOWOWPWQVFWOW
      PWQVGWLWMWNWPWQVHZVKXLYBCDUAXKXNUBXLVJYCMXNVJZVLVMWRXQYAUBULWRXPXTUAULWRX
      CULSZUOZXOXSXJYGXOXSYGXOUOZXGXNXFETZXHYHXEXNXFEYHXEXMXNYGXEXMUPZXOYGWMWNY
      FWPWQUOZYJWLWMWNWPWQYFVNZWRWNYFYDVOWRYFVPZWRYKYFWOWPWQVQVOABCDHIXCJKUDMNO
      VRVSVOYGXOVPVTWAYGYIXHUPZXOYGWMXFYBSZYNYLYGWMYFYOYLYMYBXCCDGCWBUJZLMRYPVJ
      QYCWCWDYBCDEXFXNMYCPYEWEWDVOVTWIWJWFWGWKWH $.

    $d P n $.  $d a n $.  $d b n $.
    $( Lemma 2 for ~ pmatcollpw1 :  An entry of a polynomial matrix is the sum
       of the entries of the matrix consisting of the coefficients in the
       entries of the polynomial matrix multiplied with the corresponding power
       of the variable.  (Contributed by AV, 25-Sep-2019.)  (Revised by AV,
       3-Dec-2019.) $)
    pmatcollpw1lem2 $p |- ( ( ( N e. Fin /\ R e. Ring /\ M e. B )
                   /\ ( a e. N /\ b e. N ) ) -> ( a M b ) = ( P gsum ( n e. NN0
                     |-> ( ( a ( M decompPMat n ) b ) .X. ( n .^ X ) ) ) ) ) $=
      ( wcel co cfn crg w3a cv wa cn0 cco1 cfv cmgp cmg cmpt cgsu cdecpmat wceq
      cbs simpl2 eqid simprl simprr simpl3 matecld ply1coe syl2anc adantr simpr
      decpmate syl31anc eqcomd eqcomi oveqi a1i oveq12d mpteq2dva oveq2d eqtrd
      ) IUASZDUBSZHASZUCZKUDZISZLUDZISZUEZUEZVTWBHTZCFUFFUDZWFUGUHZUHZWGJCUIUHZ
      UJUHZTZETZUKZULTZCFUFVTWBHWGUMTTZWGJGTZETZUKZULTWEVQWFCUOUHZSWFWOUNVPVQVR
      WDUPZWEBACVTWBWTHINWTUQZOVSWAWCURVSWAWCUSVPVQVRWDUTZVAWHWTCDEFWKWFWJJMRXB
      PWJUQWKUQWHUQVBVCWEWNWSCULWEFUFWMWRWEWGUFSZUEZWIWPWLWQEXEWPWIXEVQVRXDWDWP
      WIUNWEVQXDXAVDWEVRXDXCVDWEXDVEWEWDXDVSWDVEVDABCDVTWBWGHIUBMNOVFVGVHWLWQUN
      XEWKGWGJGWKQVIVJVKVLVMVNVO $.

    $d B a b i j $.  $d M a b i j $.  $d N a b i j $.  $d P a b i j n $.
    $d R a b i j $.  $d X a b i j $.  $d .X. a b i j $.  $d .^ a b i j $.
    $( Write a polynomial matrix as a matrix of sums of scaled monomials.
       (Contributed by AV, 29-Sep-2019.)  (Revised by AV, 3-Dec-2019.) $)
    pmatcollpw1 $p |- ( ( N e. Fin /\ R e. Ring /\ M e. B )
                        -> M = ( i e. N , j e. N |-> ( P gsum ( n e. NN0
                   |-> ( ( i ( M decompPMat n ) j ) .X. ( n .^ X ) ) ) ) ) ) $=
      ( wcel co va cfn crg w3a cn0 cdecpmat cmpt cgsu cmpo wceq pmatcollpw1lem2
      vb cv wa cbs cfv eqidd oveq12 oveq1d mpteq2dv oveq2d adantl simprl simprr
      wral cvv c0g eqid ccmn ply1ring ringcmn 3ad2ant2 adantr nn0ex simpl2 cmat
      syl a1i simplrl simpl3 simpr decpmatcl syl3anc matecld cmgp fmpttd cfsupp
      ply1tmcl wbr pmatcollpw1lem1 3expb gsumcl ovmpod eqtr4d wb simp3 3ad2ant1
      ralrimivva simp1 simpl12 matbas2d eqmat syl2anc mpbird ) KUBSZDUCSZJASZUD
      ZJFGKKCHUEFUMZGUMZJHUMZUFTZTZXKLITZETZUGZUHTZUIZUJZUAUMZULUMZJTZXTYAXRTZU
      JZULKVEUAKVEZXHYDUAULKKXHXTKSZYAKSZUNZUNZYBCHUEXTYAXLTZXNETZUGZUHTZYCABCD
      EHIJKLUAULMNOPQRUKYIFGXTYAKKXQYMXRCUOUPZYIXRUQXIXTUJXJYAUJUNZXQYMUJYIYOXP
      YLCUHYOHUEXOYKYOXMYJXNEXIXTXJYAXLURUSUTVAVBXHYFYGVCXHYFYGVDZYIUEYNYLCVFCV
      GUPZYNVHZYQVHZXHCVISZYHXFXEYTXGXFCUCSZYTCDMVJZCVKVQVLZVMUEVFSZYIVNVRYIHUE
      YKYNYIXKUESZUNZXFYJDUOUPZSUUEYKYNSYIXFUUEXEXFXGYHVOVMZUUFKDVPTZUUIUOUPZDX
      TYAUUGXLKUUIVHZUUGVHZUUJVHZXHYFYGUUEVSYIYGUUEYPVMUUFXFXGUUEXLUUJSZUUHYIXG
      UUEXEXFXGYHVTVMYIUUEWAZUUIABUUJCDXKJKUCMNOUUKUUMWBZWCWDUUOYNYJXKCDEIUUGCW
      EUPZLUULMRPUUQVHZQYRWHWCWFXHYFYGYLYQWGWIABCDEHIXTYAJKLMNOPQRWJWKWLWMWNWRX
      HXGXRASXSYEWOXEXFXGWPZXHFGBAXQCYNKUCNYROXEXFXGWSXFXEUUAXGUUBVLXHXIKSZXJKS
      ZUDZUEYNXPCVFYQYRYSXHUUTYTUVAUUCWQUUDUVBVNVRUVBHUEXOYNUVBUUEUNZXFXMUUGSUU
      EXOYNSXEXFXGUUTUVAUUEWTZUVCUUIUUJDXIXJUUGXLKUUKUULUUMXHUUTUVAUUEVOXHUUTUV
      AUUEVTUVCXFXGUUEUUNUVDUVBXGUUEXHUUTXGUVAUUSWQVMUVBUUEWAZUUPWCWDUVEYNXMXKC
      DEIUUGUUQLUULMRPUURQYRWHWCWFABCDEHIXIXJJKLMNOPQRWJWLXABACUAULKJXRNOXBXCXD
      $.

    $d B i j n x y $.  $d C x y $.  $d M y $.  $d N y $.  $d R y $.  $d X y $.
    $d .X. y $.  $d .^ y $.
    $( Lemma for ~ pmatcollpw2 .  (Contributed by AV, 3-Oct-2019.)  (Revised by
       AV, 3-Dec-2019.) $)
    pmatcollpw2lem $p |- ( ( N e. Fin /\ R e. Ring /\ M e. B )
                            -> ( n e. NN0 |-> ( i e. N , j e. N
                          |-> ( ( i ( M decompPMat n ) j ) .X. ( n .^ X ) ) ) )
                               finSupp ( 0g ` C ) ) $=
      ( vx cn0 vy cfn wcel crg w3a cv cdecpmat co cmpo c0g cfv cfsupp wbr csupp
      cmpt wne crab wfn cvv wceq wral simp1 mpoexga syl2anc ralrimivw fnmpt syl
      eqid nn0ex a1i fvexd suppvalfn syl3anc clt wn wi wrex pmatcoe1fsupp oveq1
      wa cco1 csca cvsca 3ad2ant2 fveq2d eqidd oveq123d ad3antrrr eqcomd oveq1d
      ply1sca cbs simpl2 ply1moncl 3ad2antl2 adantr ply10s0 3eqtrd sylan9eqr ex
      cmgp jca anasss ralimdvva imim2d ralimdva reximdv mpd simpr 3jca decpmate
      simpl3 eqeq1d 2ralbidva imbi2d ralbidva rexbidv mpbird wb biantrur bicomi
      sylan ralbii bitr3i rexralbidv mpoeq123 imim2i ralimi oveq2 oveqd oveq12d
      reximi mpoeq3dv adantl id ancri 3ad2ant1 fvmptd ply1ring sylibr nne mptex
      anim2i 3adant3 mat0op eqeq12d imbi2i rexbii rabssnn0fi eqeltrd funisfsupp
      wfun funmpt mp3an12i ) KUBUCZDUDUCZJAUCZUEZHTFGKKFUFZGUFZJHUFZUGUHZUHZUVA
      LIUHZEUHZUIZUOZBUJUKZULUMZUVGUVHUNUHZUBUCZUURUVJSUFZUVGUKZUVHUPZSTUQZUBUU
      RUVGTURZTUSUCZUVHUSUCZUVJUVOUTUURUVFUSUCZHTVAUVPUURUVSHTUURUUOUUOUVSUUOUU
      PUUQVBZUVTFGKKUVEUBUBVCVDVEHTUVFUVGUSUVGVHVFVGUVQUURVIVJUURBUJVKZSUVGUSUS
      TUVHVLVMUURUAUFUVLVNUMZUVNVOZVPZSTVAZUATVQZUVOUBUCUURUWBUVMUVHUTZVPZSTVAZ
      UATVQZUWFUURUWJUWBFGKKUUSUUTJUVLUGUHZUHZUVLLIUHZEUHZUIZFGKKCUJUKZUIZUTZVP
      ZSTVAZUATVQZUURUWBKKUTZUXBUWNUWPUTZGKVAZVTZFKVAZVTZVPZSTVAZUATVQZUXAUURUX
      JUWBUXDFKVAZVPZSTVAZUATVQZUURUXNUWBUVLUUSUUTJUHWAUKUKZUWMEUHZUWPUTZGKVAFK
      VAZVPZSTVAZUATVQZUURUWBUXODUJUKZUTZGKVAFKVAZVPZSTVAZUATVQUYASABCDFGJKUYBU
      AMNOUYBVHZVRUURUYFUXTUATUURUYEUXSSTUURUVLTUCZVTZUYDUXRUWBUYIUYCUXQFGKKUYI
      UUSKUCZUUTKUCZUYCUXQVPUYIUYJVTZUYKVTZUYCUXQUYCUYMUXPUYBUWMEUHZUWPUXOUYBUW
      MEVSUYMUYNCWBUKZUJUKZUWMCWCUKZUHZUYBUWMUYQUHZUWPUURUYNUYRUTUYHUYJUYKUURUY
      BUYPUWMUWMEUYQEUYQUTUURPVJUURDUYOUJUUPUUODUYOUTUUQCDUDMWKWDZWEUURUWMWFWGW
      HUYMUYPUYBUWMUYQUYMUYODUJUURUYODUTUYHUYJUYKUURDUYOUYTWIWHWEWJUYMUUPUWMCWL
      UKZUCZVTZUYSUWPUTUYLVUCUYKUYIVUCUYJUYIUUPVUBUUOUUPUUQUYHWMZUUPUUOUYHVUBUU
      QVUAUVLCDICXAUKZLMRVUEVHQVUAVHZWNWOXBWPWPVUACDUYQUWMUYBMVUFUYQVHUYGWQVGWR
      WSWTXCXDXEXFXGXHUURUXMUXTUATUURUXLUXSSTUYIUXKUXRUWBUYIUXCUXQFGKKUYIUYJUYK
      VTZVTZUWNUXPUWPVUHUWLUXOUWMEUYIUUPUUQUYHUEVUGUWLUXOUTUYIUUPUUQUYHVUDUUOUU
      PUUQUYHXLUURUYHXIZXJABCDUUSUUTUVLJKUDMNOXKYBWJXMXNXOXPXQXRUURUXHUXLUASTTU
      URUXGUXKUWBUXGUXKXSUURUXGUXFUXKUXBUXFKVHZXTUXEUXDFKUXDUXEUXBUXDVUJXTYAYCY
      DVJXOYEXRUXIUWTUATUXHUWSSTUXGUWRUWBFGKKUWNKKUWPYFYGYHYLVGUURUWIUWTUATUURU
      WHUWSSTUYIUWGUWRUWBUYIUVMUWOUVHUWQUYIHUVLUVFUWOTUVGUSUYIUVGWFUVAUVLUTZUVF
      UWOUTUYIVUKFGKKUVEUWNVUKUVCUWLUVDUWMEVUKUVBUWKUUSUUTUVAUVLJUGYIYJUVAUVLLI
      VSYKYMYNVUIUYIUUOUUOVTZUWOUSUCUURVULUYHUUOUUPVULUUQUUOUUOUUOYOYPYQWPFGKKU
      WNUBUBVCVGYRUYIUUOCUDUCZVTZUVHUWQUTUURVUNUYHUUOUUPVUNUUQUUPVUMUUOCDMYSUUC
      UUDWPBCFGKUWPNUWPVHUUEVGUUFXOXPXQXRUWEUWIUATUWDUWHSTUWCUWGUWBUVMUVHUUAUUG
      YCUUHYTUVNSUAUUIYTUUJUVGUULUVGUSUCUURUVRUVIUVKXSHTUVFUUMHTUVFVIUUBUWAUVGU
      SUSUVHUUKUUNXR $.

    $( Write a polynomial matrix as a sum of matrices whose entries are
       products of variable powers and constant polynomials collecting like
       powers.  (Contributed by AV, 3-Oct-2019.)  (Revised by AV,
       3-Dec-2019.) $)
    pmatcollpw2 $p |- ( ( N e. Fin /\ R e. Ring /\ M e. B )
                        -> M = ( C gsum ( n e. NN0 |-> ( i e. N , j e. N
                   |-> ( ( i ( M decompPMat n ) j ) .X. ( n .^ X ) ) ) ) ) ) $=
      ( wcel co cfn crg w3a cn0 cdecpmat cmpt cgsu cmpo pmatcollpw1 cvv c0g cfv
      cv eqid simp1 nn0ex a1i ply1ring 3ad2ant2 wa cbs simp1l2 cmat simp2 simp3
      adantr simpr 3jca 3ad2ant1 decpmatcl matecld simp1r cmgp ply1tmcl syl3anc
      syl matbas2d pmatcollpw2lem matgsum eqtr4d ) KUASZDUBSZJASZUCZJFGKKCHUDFU
      MZGUMZJHUMZUETZTZWGLITETZUFUGTUHBHUDFGKKWJUHUFUGTABCDEFGHIJKLMNOPQRUIWDHB
      ACWJFGUDKUJBUKULZNOWKUNWAWBWCUOZUDUJSWDUPUQWBWACUBSZWCCDMURUSZWDWGUDSZUTZ
      FGBAWJCCVAULZKUBNWQUNZOWDWAWOWLVFWDWMWOWNVFWPWEKSZWFKSZUCZWBWIDVAULZSWOWJ
      WQSWAWBWCWOWSWTVBXAKDVCTZXCVAULZDWEWFXBWHKXCUNZXBUNZXDUNZWPWSWTVDWPWSWTVE
      XAWBWCWOUCZWHXDSWPWSXHWTWPWBWCWOWDWBWOWAWBWCVDVFWDWCWOWAWBWCVEVFWDWOVGVHV
      IXCABXDCDWGJKUBMNOXEXGVJVPVKWDWOWSWTVLWQWIWGCDEIXBCVMULZLXFMRPXIUNQWRVNVO
      VQABCDEFGHIJKLMNOPQRVRVSVT $.
  $}

  ${
    $d C i j $.  $d I i j l x y $.  $d I w x y z $.  $d K i j l x y $.
    $d K w x y z $.  $d L i j l x y $.  $d L w x y z $.  $d M i j l x y $.
    $d M w x y z $.  $d N i j l x y $.  $d N w x y z $.  $d P l $.
    $d R i j l x y $.  $d R w x y z $.  $d T i j $.  $d X i j l $.
    $d .0. x y $.  $d .^ i j l $.  $d .x. i j $.
    monmatcollpw.p $e |- P = ( Poly1 ` R ) $.
    monmatcollpw.c $e |- C = ( N Mat P ) $.
    monmatcollpw.a $e |- A = ( N Mat R ) $.
    monmatcollpw.k $e |- K = ( Base ` A ) $.
    monmatcollpw.0 $e |- .0. = ( 0g ` A ) $.
    monmatcollpw.e $e |- .^ = ( .g ` ( mulGrp ` P ) ) $.
    monmatcollpw.x $e |- X = ( var1 ` R ) $.
    monmatcollpw.m $e |- .x. = ( .s ` C ) $.
    monmatcollpw.t $e |- T = ( N matToPolyMat R ) $.
    $( The matrix consisting of the coefficients in the polynomial entries of a
       polynomial matrix having scaled monomials with the same power as entries
       is the matrix of the coefficients of the monomials or a zero matrix.
       Generalization of ~ decpmatid (but requires ` R ` to be commutative!).
       (Contributed by AV, 11-Nov-2019.)  (Revised by AV, 4-Dec-2019.) $)
    monmatcollpw $p |- ( ( ( N e. Fin /\ R e. CRing )
                           /\ ( M e. K /\ L e. NN0 /\ I e. NN0 ) )
                         -> ( ( ( L .^ X ) .x. ( T ` M ) ) decompPMat I )
                            = if ( I = L , M , .0. ) ) $=
      ( vi vj vl vx vy vz vw cfn wcel ccrg wa cn0 w3a co cfv cdecpmat cco1 cmpo
      cv wceq c0g cif cmpt cbs crg simpll crngring ply1ring syl ad2antlr adantl
      simp2 cmgp eqid ply1moncl syl2an anim2i anim12i df-3an sylibr mat2pmatbas
      simp1 jca matvscl syl21anc simpr3 decpmatval syl2anc cmulr cvsca 3ad2ant1
      3simpc matvscacell fveq2d fveq1d cascl mat2pmatvalel oveq2d casa ply1assa
      syl3anc csca simp3 eleq2i biimpi matecld ply1sca eqcomd eleqtrrd asclmul2
      adantr eqtrd simp1r2 coe1tm 3eqtrd mpoeq3dva wral cvv mat0op syl5eq eqidd
      simprl simprr fvexd ovmpod ifeq2d oveq12 ifeq1d mpteq2dv eqeq1 ifbid ovex
      weq a1i fvmptd ring0cl ifcld fvex sylan9eqr 3eqtr4d ralrimivva wb eqeltrd
      ifex ifov simplr matbas2d matring 3syl eqmat mpbird ) LUKULZDUMULZUNZKIUL
      ZJUOULZHUOULZUPZUNZJMGUQZKEURZFUQZHUSUQZUDUELLHUDVBZUEVBZUVEUQZUTURZURZVA
      ZUDUELLHUFUOUFVBZJVCZUVGUVHKUQZDVDURZVEZVFZURZVAZHJVCZKNVEZUVBUVEBVGURZUL
      ZUUTUVFUVLVCUVBUUOCVHULZUVCCVGURZULZUVDUWCULZUNZUWDUUOUUPUVAVIZUUPUWEUUOU
      VAUUPDVHULZUWEDVJZCDOVKVLVMZUVBUWGUWHUUQUWKUUSUWGUVAUUPUWKUUOUWLVNZUURUUS
      UUTVOUWFJCDGCVPURZMOUAUWOVQZTUWFVQZVRVSZUVBUUOUWKUURUPZUWHUVBUUOUWKUNZUUR
      UNUWSUUQUWTUVAUURUUPUWKUUOUWLVTZUURUUSUUTWEZWAUUOUWKUURWBWCAIBCDEKLUCQROP
      WDVLWFZBUWCUVCCFUWFLUVDUWQPUWCVQZUBWGWHUUQUURUUSUUTWIZBUWCCUDUEHUVELPUXDW
      JWKUVBUDUELLUVKUVSUVBUVGLULZUVHLULZUPZUVKHUVCUVGUVHUVDUQZCWLURZUQZUTURZUR
      HUVOUVCCWMURZUQZUTURZURUVSUXHHUVJUXLUXHUVIUXKUTUXHUWEUWIUXFUXGUNZUVIUXKVC
      UVBUXFUWEUXGUWMWNUVBUXFUWIUXGUXCWNUVBUXFUXGWOZBUWCCFUXJUVGUVHUWFLUVCUVDPU
      XDUWQUBUXJVQZWPXDWQWRUXHHUXLUXOUXHUXKUXNUTUXHUXKUVCUVOCWSURZURZUXJUQZUXNU
      XHUXIUXTUVCUXJUXHUUOUUPUURUPZUXPUXIUXTVCUVBUXFUYBUXGUVBUUQUURUNUYBUVAUURU
      UQUXBVTUUOUUPUURWBWCWNUXQAICDUXSEKLUMUVGUVHUCQROUXSVQZWTWKXAUXHCXBULZUVOC
      XEURZVGURZULUWGUYAUXNVCUVBUXFUYDUXGUUPUYDUUOUVACDOXCVMWNUXHUVODVGURZUYFUX
      HAAVGURZDUVGUVHUYGKLQUYGVQZUYHVQUVBUXFUXGVOUVBUXFUXGXFUVBUXFKUYHULZUXGUVA
      UYJUUQUURUUSUYJUUTUURUYJIUYHKRXGZXHWNVNZWNXIZUVBUXFUYFUYGVCZUXGUUQUYNUVAU
      UQUYEDVGUUQDUYEUUPDUYEVCUUOCDUMOXJVNXKWQXNWNXLUVBUXFUWGUXGUWRWNUXSUVOUXMU
      XJUYEUYFUWFCUVCUYCUYEVQUYFVQUWQUXRUXMVQZXMXDXOWQWRUXHHUXOUVRUXHUWKUVOUYGU
      LUUSUXOUVRVCUVBUXFUWKUXGUUPUWKUUOUVAUWLVMWNUYMUURUUSUUTUUQUXFUXGXPUFUVOJC
      DUXMGUYGUWOMUVPUVPVQZUYIOUAUYOUWPTXQXDWRXRXSUVBUVTUWBVCZUGVBZUHVBZUVTUQZU
      YRUYSUWBUQZVCZUHLXTUGLXTZUVBVUBUGUHLLUVBUYRLULZUYSLULZUNZUNZUWAUYRUYSKUQZ
      UVPVEZUWAVUHUYRUYSNUQZVEZUYTVUAVUGUWAUVPVUJVUHVUGVUJUVPVUGUIUJUYRUYSLLUVP
      UVPNYAVUGNAVDURZUIUJLLUVPVAZSVUGUWTVULVUMVCUVBUWTVUFUUQUWTUVAUXAXNXNADUIU
      JLUVPQUYPYBVLYCVUGUIUGYPUJUHYPUNUNUVPYDUVBVUDVUEYEZUVBVUDVUEYFZVUGDVDYGYH
      XKYIVUGUDUEUYRUYSLLUVSVUIUVTYAVUGUVTYDUDUGYPUEUHYPUNZVUGUVSHUFUOUVNVUHUVP
      VEZVFZURVUIVUPHUVRVURVUPUFUOUVQVUQVUPUVNUVOVUHUVPUVGUYRUVHUYSKYJYKYLWRVUG
      UFHVUQVUIUOVURYAVUGVURYDUVMHVCZVUQVUIVCVUGVUSUVNUWAVUHUVPUVMHJYMZYNVNUVBU
      UTVUFUXEXNVUIYAULVUGUWAVUHUVPUYRUYSKYODVDUUAUUGYQZYRUUBVUNVUOVVAYHVUAVUKV
      CVUGUWAUYRUYSKNUUHYQUUCUUDUVBUVTIULUWBIULUYQVUCUUEUVBUDUEAIUVSDUYGLUMQUYI
      RUWJUUOUUPUVAUUIUXHUVSUWAUVOUVPVEZUYGUXHUFHUVQVVBUOUVRUYGUXHUVRYDVUSUVQVV
      BVCUXHVUSUVNUWAUVOUVPVUTYNVNUVBUXFUUTUXGUXEWNUXHUWAUVOUVPUYGUYMUVBUXFUVPU
      YGULZUXGUUQVVCUVAUUQUWKVVCUWNUYGDUVPUYIUYPYSVLXNWNYTZYRVVDUUFUUJUVBUWAKNI
      UVBUYJUURUYLUYKWCUUQNIULZUVAUUQUWTAVHULVVEUXAADLQUUKIANRSYSUULXNYTAIDUGUH
      LUVTUWBQRUUMWKUUNXR $.
  $}

  ${
    $d B i j $.  $d M i j $.  $d N i j $.  $d P i j $.  $d R i j $.
    $d a i j $.  $d b i j $.  $d i j n $.
    pmatcollpw.p $e |- P = ( Poly1 ` R ) $.
    pmatcollpw.c $e |- C = ( N Mat P ) $.
    pmatcollpw.b $e |- B = ( Base ` C ) $.
    pmatcollpw.m $e |- .* = ( .s ` C ) $.
    pmatcollpw.e $e |- .^ = ( .g ` ( mulGrp ` P ) ) $.
    pmatcollpw.x $e |- X = ( var1 ` R ) $.
    pmatcollpw.t $e |- T = ( N matToPolyMat R ) $.
    $( Lemma for ~ pmatcollpw .  (Contributed by AV, 26-Oct-2019.)  (Revised by
       AV, 4-Dec-2019.) $)
    pmatcollpwlem $p |- ( ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                               /\ n e. NN0 ) /\ a e. N /\ b e. N )
                 -> ( ( a ( M decompPMat n ) b ) ( .s ` P ) ( n .^ X ) )
                    = ( a ( ( n .^ X ) .* ( T ` ( M decompPMat n ) ) ) b ) ) $=
      ( vi vj cfn wcel ccrg w3a cv cn0 wa cdecpmat co cvsca cfv cascl cmpo casa
      cmulr csca cbs wceq ply1assa 3ad2ant2 adantr 3ad2ant1 cmat eqid decpmatcl
      simp2 simp3 simpr syl3anc matecld wb crg ply1sca syl eqcomd fveq2d eleq2d
      crngring mpbird ply1moncl sylan asclmul2 eqidd oveq12 adantl fvexd ovmpod
      cmgp oveq2d eqtr3d ply1ring simpl1 ply1sclcl syl2anc matbas2d matvscacell
      cvv jca mat2pmatval oveqd 3eqtr2d ) JUCUDZDUEUDZIAUDZUFZFUGZUHUDZUIZLUGZJ
      UDZMUGZJUDZUFZXKXMIXHUJUKZUKZXHKGUKZCULUMZUKZXRXKXMUAUBJJUAUGZUBUGZXPUKZC
      UNUMZUMZUOZUKZCUQUMZUKZXKXMXRYFHUKZUKZXKXMXRXPEUMZHUKZUKZXOXRXQYDUMZYHUKZ
      XTYIXOCUPUDZXQCURUMZUSUMZUDZXRCUSUMZUDZYPXTUTXJXLYQXNXGYQXIXEXDYQXFCDNVAV
      BVCVDXOYTXQDUSUMZUDZXOJDVEUKZUUEUSUMZDXKXMUUCXPJUUEVFZUUCVFZUUFVFZXJXLXNV
      HZXJXLXNVIZXJXLXPUUFUDZXNXJXEXFXIUULXGXEXIXDXEXFVHVCZXGXFXIXDXEXFVIVCXGXI
      VJUUEABUUFCDXHIJUENOPUUGUUIVGVKZVDVLXJXLYTUUDVMZXNXGUUOXIXGYSUUCXQXGYRDUS
      XGDYRXGDVNUDZDYRUTXEXDUUPXFDVTZVBZCDVNNVOVPVQVRVSVCVDWAXJXLUUBXNXGUUPXIUU
      BUURUUAXHCDGCWJUMZKNSUUSVFRUUAVFZWBWCZVDYDXQXSYHYRYSUUACXRYDVFZYRVFYSVFUU
      TYHVFZXSVFWDVKXOYOYGXRYHXOYGYOXOUAUBXKXMJJYEYOYFWSXOYFWEYAXKUTYBXMUTUIZYE
      YOUTXOUVDYCXQYDYAXKYBXMXPWFVRWGUUJUUKXOXQYDWHWIVQWKWLXOCVNUDZUUBYFAUDZUIZ
      XLXNUIYKYIUTXJXLUVEXNXGUVEXIXEXDUVEXFXEUUPUVEUUQCDNWMVPVBVCZVDXJXLUVGXNXJ
      UUBUVFUVAXJUAUBBAYECUUAJVNOUUTPXDXEXFXIWNZUVHXJYAJUDZYBJUDZUFZUUPYCUUCUDY
      EUUAUDXJUVJUUPUVKXJXEUUPUUMUUQVPVDUVLUUEUUFDYAYBUUCXPJUUGUUHUUIXJUVJUVKVH
      XJUVJUVKVIXJUVJUULUVKUUNVDVLYDUUACDYCUUCNUVBUUHUUTWOWPWQWTVDXOXLXNUUJUUKW
      TBACHYHXKXMUUAJXRYFOPUUTQUVCWRVKXJXLYKYNUTXNXJYJYMXKXMXJYFYLXRHXJYLYFXJXD
      UUPUULYLYFUTUVIXGUUPXIUURVCUUNUAUBUUEUUFCDYDEXPJVNTUUGUUINUVBXAVKVQWKXBVD
      XC $.

    $d B a b n $.  $d M a b n $.  $d N a b n $.  $d P a b n $.  $d R a b n $.
    $d T a b $.  $d X a b i j n $.  $d .* a b $.  $d .^ a b i j n $.
    $( Write a polynomial matrix (over a commutative ring) as a sum of products
       of variable powers and constant matrices with scalar entries.
       (Contributed by AV, 26-Oct-2019.)  (Revised by AV, 4-Dec-2019.) $)
    pmatcollpw $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
             -> M = ( C gsum ( n e. NN0
                      |-> ( ( n .^ X ) .* ( T ` ( M decompPMat n ) ) ) ) ) ) $=
      ( wcel co vi vj va vb cfn ccrg w3a cn0 cv cdecpmat cfv cmpo cmpt cgsu crg
      cvsca wceq crngring eqid pmatcollpw2 syl3an2 wral cbs eqidd oveq12 oveq1d
      adantl simprl simpr simp2 adantr syl cmat simp3 decpmatcl syl3anc matecld
      simplr cmgp ply1tmcl ovmpod pmatcollpwlem 3expb eqtrd ralrimivva ply1ring
      wa wb simpl1 3ad2ant2 3ad2ant1 matbas2d ply1moncl sylan eleqtrrdi matvscl
      mat2pmatbas syl22anc eqmat syl2anc mpbird mpteq2dva oveq2d ) JUESZDUFSZIA
      SZUGZIBFUHUAUBJJUAUIZUBUIZIFUIZUJTZTZXJKGTZCUPUKZTZULZUMZUNTZBFUHXMXKEUKZ
      HTZUMZUNTXEXDDUOSZXFIXRUQDURZABCDXNUAUBFGIJKLMNXNUSZPQUTVAXGXQYABUNXGFUHX
      PXTXGXJUHSZWGZXPXTUQZUCUIZUDUIZXPTZYHYIXTTZUQZUDJVBUCJVBZYFYLUCUDJJYFYHJS
      ZYIJSZWGZWGZYJYHYIXKTZXMXNTZYKYQUAUBYHYIJJXOYSXPCVCUKZYQXPVDXHYHUQXIYIUQW
      GZXOYSUQYQUUAXLYRXMXNXHYHXIYIXKVEVFVGYFYNYOVHZYPYOYFYNYOVIVGZYQYBYRDVCUKZ
      SYEYSYTSYFYBYPYFXEYBXGXEYEXDXEXFVJVKZYCVLZVKYQJDVMTZUUGVCUKZDYHYIUUDXKJUU
      GUSZUUDUSZUUHUSZUUBUUCYFXKUUHSZYPYFXEXFYEUULUUEXGXFYEXDXEXFVNVKXGYEVIZUUG
      ABUUHCDXJIJUFLMNUUIUUKVOVPZVKVQXGYEYPVRYTYRXJCDXNGUUDCVSUKZKUUJLQYDUUOUSZ
      PYTUSZVTVPWAYFYNYOYSYKUQABCDEFGHIJKUCUDLMNOPQRWBWCWDWEYFXPASXTASZYGYMWHYF
      UAUBBAXOCYTJUOMUUQNXDXEXFYEWIZXGCUOSZYEXEXDUUTXFXEYBUUTYCCDLWFVLWJVKZYFXH
      JSZXIJSZUGZYBXLUUDSYEXOYTSYFUVBYBUVCUUFWKUVDUUGUUHDXHXIUUDXKJUUIUUJUUKYFU
      VBUVCVJYFUVBUVCVNYFUVBUULUVCUUNWKVQYFUVBYEUVCUUMWKYTXLXJCDXNGUUDUUOKUUJLQ
      YDUUPPUUQVTVPWLYFXDUUTXMYTSZXSASUURUUSUVAXGYBYEUVEXEXDYBXFYCWJZYTXJCDGUUO
      KLQUUPPUUQWMWNYFXSBVCUKZAYFXDYBUULXSUVGSUUSXGYBYEUVFVKUUNUUGUUHBCDEXKJRUU
      IUUKLMWQVPNWOBAXMCHYTJXSUUQMNOWPWRBACUCUDJXPXTMNWSWTXAXBXCWD $.

    $d B n s $.  $d C n $.  $d M s $.  $d N s $.  $d R s $.
    $( Write a polynomial matrix (over a commutative ring) as a finite sum of
       products of variable powers and constant matrices with scalar entries.
       (Contributed by AV, 4-Nov-2019.)  (Revised by AV, 4-Dec-2019.)  (Proof
       shortened by AV, 3-Jul-2022.) $)
    pmatcollpwfi $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                   -> E. s e. NN0 M = ( C gsum ( n e. ( 0 ... s )
                      |-> ( ( n .^ X ) .* ( T ` ( M decompPMat n ) ) ) ) ) ) $=
      ( wcel cfn ccrg w3a cv clt wbr cdecpmat co cmat c0g cfv wceq wi wral wrex
      cn0 cc0 cfz cmpt cgsu crg crngring 3ad2ant2 simp3 eqid decpmataa0 syl2anc
      wa pmatcollpw ad2antrr ccmn simp1 pmatring ringcmn adantr ply1ring anim1i
      syl cbs cmgp ply1moncl simpl2 simpr syl3anc mat2pmatbas0 matvscl syl22anc
      decpmatcl ralrimiva simplr fveq2 0mat2pmat sylan9eqr oveq2d csca pmatlmod
      jca adantlr ply1crng anim2i 3adant3 matsca2 eqcomd fveq2d eleqtrrd eqcomi
      clmod fveq2i oveq2i lmodvs0 syl5eq eqtrd imim2d ralimdva imp gsummptnn0fz
      ex reximdva mpd ) JUATZDUBTZIATZUCZLUDZFUDZUEUFZIYEUGUHZJDUIUHZUJUKZULZUM
      ZFUPUNZLUPUOZIBFUQYDURUHYEKGUHZYGEUKZHUHZUSUTUHZULZLUPUOYCDVATZYBYMYAXTYS
      YBDVBVCZXTYAYBVDZFYHABCDIJYILMNOYHVEZYIVEZVFVGYCYLYRLUPYCYDUPTZVHZYLYRUUE
      YLVHZIBFUPYPUSUTUHZYQYCIUUGULUUDYLABCDEFGHIJKMNOPQRSVIVJUUFAYPYDFBBUJUKZO
      UUHVEZYCBVKTZUUDYLYCBVATZUUJYCXTYSUUKXTYAYBVLZYTBCDJMNVMVGBVNVRVJYCYPATZF
      UPUNUUDYLYCUUMFUPYCYEUPTZVHZXTCVATZYNCVSUKZTZYOATZUUMYCXTUUNUULVOZUUOYSUU
      PYCYSUUNYTVOZCDMVPVRUUOYSUUNVHZUURYCYSUUNYTVQZUUQYECDGCVTUKZKMRUVDVEQUUQV
      EZWAZVRUUOXTYSYGYHVSUKZTZUUSUUTUVAUUOYAYBUUNUVHXTYAYBUUNWBYCYBUUNUUAVOYCU
      UNWCYHABUVGCDYEIJUBMNOUUBUVGVEZWHWDYHUVGBCDEAYGJSUUBUVIMNOWEWDBAYNCHUUQJY
      OUVENOPWFWGWIVJYCUUDYLWJUUEYLYFYPUUHULZUMZFUPUNUUEYKUVKFUPUUEUUNVHZYJUVJY
      FUVLYJUVJUVLYJVHZYPYNJCUIUHZUJUKZHUHZUUHUVMYOUVOYNHYJUVLYOYIEUKZUVOYGYIEW
      KUVLYSXTVHZUVQUVOULYCUVRUUDUUNYCYSXTYTUULWQVJCDEJYIUVOSMUUCUVOVEWLVRWMWNU
      VLUVPUUHULZYJUVLBXGTZYNBWOUKZVSUKZTZUVSYCUVTUUDUUNYCXTYSUVTUULYTBCDJMNWPV
      GVJUVLYNUUQUWBUVLUVBUURYCUUNUVBUUDUVCWRUVFVRUVLUWACVSYCUWACULUUDUUNYCCUWA
      YCXTCUBTZVHZCUWAULXTYAUWEYBYAUWDXTCDMWSWTXABCJUBNXBVRXCVJXDXEUVTUWCVHUVPY
      NUUHHUHUUHUVOUUHYNHUVNBUJBUVNNXFXHXIHUWAUWBBYNUUHUWAVEPUWBVEUUIXJXKVGVOXL
      XQXMXNXOXPXLXQXRXS $.

    $d B f i j $.  $d B k l x y $.  $d B m $.  $d C f $.  $d B f n x $.
    $d D f k $.  $d I i j k l x y $.  $d I f n k x $.  $d M k l x y $.
    $d M f $.  $d M i j k m $.  $d N f $.  $d N k l x y $.  $d N m $.
    $d R f $.  $d R k l x y $.  $d R m $.  $d T f $.  $d X f $.  $d .^ f $.
    $d .* f $.
    pmatcollpw3.a $e |- A = ( N Mat R ) $.
    pmatcollpw3.d $e |- D = ( Base ` A ) $.
    $( Lemma for ~ pmatcollpw3 and ~ pmatcollpw3fi :  Write a polynomial matrix
       (over a commutative ring) as a sum of products of variable powers and
       constant matrices with scalar entries.  (Contributed by AV,
       8-Dec-2019.) $)
    pmatcollpw3lem $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                             /\ ( I C_ NN0 /\ I =/= (/) ) )
                           -> ( M = ( C gsum ( n e. I |-> ( ( n .^ X )
                                            .* ( T ` ( M decompPMat n ) ) ) ) )
                       -> E. f e. ( D ^m I ) M = ( C gsum ( n e. I
                             |-> ( ( n .^ X ) .* ( T ` ( f ` n ) ) ) ) ) ) ) $=
      ( vx vk vi vj vm vl vy cfn wcel ccrg w3a cn0 wss c0 wne wa cv co cfv cmpt
      cgsu wceq cdecpmat cdm cco1 cmpo ccur cmap csb cvv dmeq dmeqd oveq fveq2d
      weq fveq1d mpoeq123dv fveq2 mpoeq3dv cbvmpov dmexg dmexd ad2antrl mpoexga
      jca ralrimivva simprr nn0ex ssex simp3 adantr mpocurryvald csbeq2dv eqcom
      syl 3imtr3i cbvcsbv eqtrdi cbvmptv adantl csbied cbs cxp wf eqid matbas2i
      elmapi fdm dmxpid eqtr2di 3syl 3ad2ant3 simpr oveqd eqtr4d mpteq2dv eqtrd
      ad2antrr simpll1 simpll2 simp2 3ad2ant1 matecld wi imp coe1fvalcl syl2anc
      ssel matbas2d eqeltrd fmpttd wb fvexi a1i cres oveq2d elmapg syl2an fveq1
      mpbird fvmpocurryd df-decpmat reseq1i simpl anim12i eqtr2id adantlr ovres
      ssv resmpo sylan mpteq2dva eqeq2d rspcedv ) NULUMZFUNUMZMBUMZUOZKUPUQZKUR
      USZUTZUTZMCIKIVAZOJVBZUVGHVAZVCZGVCZLVBZVDZVEVBZVFMCIKUVHMUVGVGVBZGVCZLVB
      ZVDZVEVBZVFHMUEUFBKUGUHUEVAZVHZVHZUWBUFVAZUGVAZUHVAZUVTVBZVIVCZVCZVJZVJZV
      KVCZDKVLVBZUVFUWKUFKUIMUGUHNNUWCUWDUWEUIVAZVBZVIVCZVCZVJZVMZVDZUWLUVFUWKU
      FKUEMUWIVMZVDZUWSUVFUWKUJKUKMUGUHUKVAZVHZVHZUXDUJVAZUWDUWEUXBVBZVIVCZVCZV
      JZVMZVDUXAUVFUKUJMUXIUWJVNVNBKUEUFUKUJBKUWIUXIUGUHUXDUXDUWCUXGVCZVJZUEUKV
      SZUGUHUWBUWBUWHUXDUXDUXKUXMUWAUXCUVTUXBVOVPZUXNUXMUWCUWGUXGUXMUWFUXFVIUWD
      UWEUVTUXBVQVRVTWAZUFUJVSUGUHUXDUXDUXKUXHUWCUXEUXGWBWCWDUVFUXIVNUMZUKUJBKU
      VFUXBBUMZUXEKUMZUTUTUXDVNUMZUXSUTZUXPUXQUXTUVFUXRUXQUXSUXSUXQUXCVNUXBBWEW
      FZUYAWIWGUGUHUXDUXDUXHVNVNWHWSWJUVBUVCUVDWKUVCKVNUMZUVBUVDKUPWLWMZWGZUVBU
      VAUVEUUSUUTUVAWNZWOZWPUJUFKUXJUWTUJUFVSZUXJUKMUXLVMUWTUYGUKMUXIUXLUYGUGUH
      UXDUXDUXHUXKUXEUWCUXGWBWCWQUKUEMUXLUWIUXMUWIUXLVFUKUEVSUXLUWIVFUXOUVTUXBW
      RUWIUXLWRWTXAXBXCXBUVFUFKUWTUWRUVBUWTUWRVFUVEUVBUWTUGUHMVHZVHZUYIUWCUWDUW
      EMVBZVIVCZVCZVJZUWRUVBUEMUWIUYMBUYEUVTMVFZUWIUYMVFUVBUYNUGUHUWBUWBUWHUYIU
      YIUYLUYNUWAUYHUVTMVOVPZUYOUYNUWCUWGUYKUYNUWFUYJVIUWDUWEUVTMVQVRVTWAXDXEUV
      BUIMUWQUYMBUYEUVBUWMMVFZUTZUGUHNNUWPUYIUYIUYLUVBNUYIVFZUYPUVAUUSUYRUUTUVA
      MEXFVCZNNXGZVLVBUMUYTUYSMXHZUYRCBEUYSMNQUYSXIZRXJMUYSUYTXKVUAUYIUYTVHNVUA
      UYHUYTUYTUYSMXLVPNXMXNXOXPWOZVUCUYQUWCUWOUYKUYQUWNUYJVIUYQUWMMUWDUWEUVBUY
      PXQXRVRVTWAXEXSWOXTYAUVFUWSUWLUMZKDUWSXHZUVFUFKUWRDUVFUWCKUMZUTZUWRUGUHNN
      UYLVJZDUVBUWRVUHVFUVEVUFUVBUIMUWQVUHBUYEUYQUGUHNNUWPUYLUYQUWCUWOUYKUYQUWN
      UYJVIUYPUWNUYJVFUVBUWDUWEUWMMVQXDVRVTWCXEYBVUGUGUHADUYLFFXFVCZNUNUCVUIXIZ
      UDUUSUUTUVAUVEVUFYCUUSUUTUVAUVEVUFYDVUGUWDNUMZUWENUMZUOZUYJUYSUMUWCUPUMZU
      YLVUIUMVUMCBEUWDUWEUYSMNQVUBRVUGVUKVULYEVUGVUKVULWNVUGVUKUVAVULUVFUVAVUFU
      YFWOYFYGVUGVUKVUNVULUVFVUFVUNUVCVUFVUNYHUVBUVDKUPUWCYLWGYIYFUYKUYSEFUYJVU
      IUWCUYKXIVUBPVUJYJYKYMYNYOUVBDVNUMZUYBVUDVUEYPUVEVUOUVBDAXFUDYQYRUVCUYBUV
      DUYCWODKUWSVNVNUUAUUBUUDYNUVFUVIUWKVFZUTZUVNUVSMVUQUVMUVRCVEVUQIKUVLUVQVU
      QUVGKUMZUTZUVKUVPUVHLVUSUVKMUVGVGBKXGZYSZVBZGVCUVPVUSUVJVVBGVUSUVJUVGUWKV
      CZVVBVUQUVJVVCVFZVURVUPVVDUVFUVGUVIUWKUUCXDWOUVFVURVVCVVBVFVUPUVFVURUTZVV
      CMUVGUWJVBVVBVVEUEUFMUVGUWIUWJVNVNBKUWJXIVVEUWIVNUMZUEUFBKVVEUVTBUMZVUFUT
      UTUWBVNUMZVVHUTZVVFVVGVVIVVEVUFVVGVVHVVHVVGUWAVNUVTBWEWFZVVJWIWGUGUHUWBUW
      BUWHVNVNWHWSWJUVFUYBVURUYDWOUVFUVAVURUYFWOUVFVURXQUUEVVEUWJVVAMUVGVVEVVAU
      EUFVNUPUWIVJZVUTYSZUWJVGVVKVUTUGUHUFUEUUFUUGVVEBVNUQZUVCUTZVVLUWJVFUVFVVN
      VURUVBVVMUVEUVCVVMUVBBUUMYRUVCUVDUUHUUIWOUEUFVNUPBKUWIUUNWSUUJXRYAUUKYAVR
      VUSVVBUVOGVUQUVAVURVVBUVOVFUVBUVAUVEVUPUYEYBMUVGBKVGUULUUOVRYAYTUUPYTUUQU
      UR $.

    $( Write a polynomial matrix (over a commutative ring) as a sum of products
       of variable powers and constant matrices with scalar entries.
       (Contributed by AV, 27-Oct-2019.)  (Revised by AV, 4-Dec-2019.)  (Proof
       shortened by AV, 8-Dec-2019.) $)
    pmatcollpw3 $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                        -> E. f e. ( D ^m NN0 ) M = ( C gsum ( n e. NN0
                               |-> ( ( n .^ X ) .* ( T ` ( f ` n ) ) ) ) ) ) $=
      ( cfn wcel ccrg w3a cn0 cv co cdecpmat cfv cmpt cgsu wceq cmap pmatcollpw
      wrex wss c0 wne wi ssid cc0 0nn0 ne0ii pmatcollpw3lem mpanr12 mpd ) MUDUE
      FUFUELBUEUGZLCIUHIUIZNJUJZLVKUKUJGULKUJUMUNUJUOZLCIUHVLVKHUIULGULKUJUMUNU
      JUOHDUHUPUJURZBCEFGIJKLMNOPQRSTUAUQVJUHUHUSUHUTVAVMVNVBUHVCVDUHVEVFABCDEF
      GHIJUHKLMNOPQRSTUAUBUCVGVHVI $.

    $d f s $.
    $( Write a polynomial matrix (over a commutative ring) as a finite sum of
       products of variable powers and constant matrices with scalar entries.
       (Contributed by AV, 4-Nov-2019.)  (Revised by AV, 4-Dec-2019.)  (Proof
       shortened by AV, 8-Dec-2019.) $)
    pmatcollpw3fi $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                          -> E. s e. NN0 E. f e. ( D ^m ( 0 ... s ) )
                M = ( C gsum ( n e. ( 0 ... s )
                               |-> ( ( n .^ X ) .* ( T ` ( f ` n ) ) ) ) ) ) $=
      ( cfn wcel ccrg w3a cc0 cv cfz co cdecpmat cfv cmpt cgsu cn0 pmatcollpwfi
      wceq wrex cmap wss c0 wne cuz elnn0uz fzn0 sylbb2 fz0ssnn0 pmatcollpw3lem
      wa wi jctil sylan2 reximdva mpd ) MUEUFFUGUFLBUFUHZLCIUIOUJZUKULZIUJZNJUL
      ZLVTUMULGUNKULUOUPULUSZOUQUTLCIVSWAVTHUJUNGUNKULUOUPULUSHDVSVAULUTZOUQUTB
      CEFGIJKLMNOPQRSTUAUBURVQWBWCOUQVRUQUFZVQVSUQVBZVSVCVDZVKWBWCVLWDWFWEWDVRU
      IVEUNUFWFVRVFUIVRVGVHVRVIVMABCDEFGHIJVSKLMNPQRSTUAUBUCUDVJVNVOVP $.

    $d D l n $.  $d N l $.  $d R l $.
    ${
      $d A l $.  $d G l n $.
      pmatcollpw3fi1lem1.0 $e |- .0. = ( 0g ` A ) $.
      pmatcollpw3fi1lem1.h $e |- H = ( l e. ( 0 ... 1 )
                                       |-> if ( l = 0 , ( G ` 0 ) , .0. ) ) $.
      $( Lemma 1 for ~ pmatcollpw3fi1 .  (Contributed by AV, 6-Nov-2019.)
         (Revised by AV, 4-Dec-2019.) $)
      pmatcollpw3fi1lem1 $p |- ( ( ( N e. Fin /\ R e. Ring )
                         /\ G e. ( D ^m { 0 } )
                         /\ M = ( C gsum ( n e. { 0 }
                                  |-> ( ( n .^ X ) .* ( T ` ( G ` n ) ) ) ) ) )
                      -> M = ( C gsum ( n e. ( 0 ... 1 )
                               |-> ( ( n .^ X ) .* ( T ` ( H ` n ) ) ) ) ) ) $=
        ( cfn wcel crg wa cc0 csn cmap co cv cfv cmpt cgsu wceq c1 caddc cplusg
        w3a cfz simpr c0g cmnd pmatring ringmnd syl adantr ccmn ringcmn a1i cn0
        snfi simplll simpllr wf elmapi adantl ffvelrnda eqeltrdi mat2pmatscmxcl
        elsni 0nn0 syl22anc ralrimiva gsummptcl mndrid syl2anc fz0sn eqcomi cif
        eqid ad2antlr eqtrd iftrued fveq2 cuz 1nn0 nn0uz eleqtrdi eluzfz1 eleq1
        eqcomd mpbird wi ffvelrn imp fvmptd2 fveq2d oveq2d mpteq12dva cvv ovexd
        ex mndidcl 0p1e1 eqeq2i ax-1ne0 neii eqeq1 mtbiri sylbi notbid iffalsed
        wn wb eqtrdi eluzfz2 fvexd cmat fveq2i 0mat2pmat ad2antrr cbs oveq2i id
        ancoms clmod csca pmatlmod cmgp ply1moncl matsca2 sylan2 eleq2d lmodvs0
        ply1ring gsumsnd oveq12d 3impa c0ex snid ffvelrnd matring ring0cl ifcld
        eqtr3d fmptd feq2i sylibr elfznn0 gsummptfzsplit 3adant3 eqtr4d mpteq1i
        ) NUIUJZFUKUJZULZJDUMUNZUOUPUJZMCHUVNHUQZOIUPZUVPJURZGURZLUPZUSZUTUPZVA
        ZVEZMCHUMUMVBVCUPZVFUPZUVQUVPKURZGURZLUPZUSZUTUPZCHUMVBVFUPZUWIUSZUTUPU
        WDMCHUMUMVFUPZUWIUSZUTUPZCHUWEUNUWIUSUTUPZCVDURZUPZUWKUVMUVOUWCMUWSVAUV
        MUVOULZUWCULMUWBUWSUWTUWCVGUWTUWBUWSVAUWCUWTUWBCVHURZUWRUPZUWBUWSUWTCVI
        UJZUWBBUJUXBUWBVAUVMUXCUVOUVMCUKUJZUXCCEFNRSVJZCVKVLZVMZUWTBHCUVNUVTTUV
        MCVNUJZUVOUVMUXDUXHUXECVOVLVMZUVNUIUJUWTUMVRVPUWTUVTBUJZHUVNUWTUVPUVNUJ
        ZULZUVKUVLUVRDUJZUVPVQUJZUXJUVKUVLUVOUXKVSUVKUVLUVOUXKVTUWTUVNDUVPJUVOU
        VNDJWAZUVMJDUVNWBZWCWDUXKUXNUWTUXKUVPUMVQUVPUMWGZWHWEWCABCEFGILDUVPUVRN
        OUEUFUDRSTUAUBUCWFWIWJWKBUWRCUWBUXATUWRWQZUXAWQZWLWMUWTUWBUWPUXAUWQUWRU
        WTUWAUWOCUTUWTHUVNUVTUWNUWIUVNUWNVAUWTUWNUVNWNWOVPUXLUVSUWHUVQLUXLUVRUW
        GGUXLUWGUVRUXLQUVPQUQZUMVAZUMJURZPWPZUVRUWLKDUHUXLUXTUVPVAZULZUYCUYBUVR
        UYEUYAUYBPUYEUXTUVPUMUXLUYDVGUXKUVPUMVAZUWTUYDUXQWRWSWTUXKUYBUVRVAZUWTU
        YDUXKUYFUYGUXQUYFUVRUYBUVPUMJXAXHVLWRWSUXKUVPUWLUJZUWTUXKUYFUYHUXQUYFUY
        HUMUWLUJZUYFVBUMXBURZUJZUYIUYFVBVQUYJVBVQUJZUYFXCVPXDXEUMVBXFVLUVPUMUWL
        XGXIVLWCUWTUXKUXMUVOUXKUXMXJZUVMUVOUXOUYMUXPUXOUXKUXMUVNDUVPJXKXSVLWCXL
        XMXHXNXOXPXOUWTUWQUXAUWTUWIBUXAHCUWEXQTUXGUWTUMVBVCXRUVMUXABUJZUVOUVMUX
        CUYNUXFBCUXATUXSXTVLVMUWTUVPUWEVAZULZUWIUVQUXALUPZUXAUYPUWHUXAUVQLUYPUW
        HAVHURZGURZUXAUYPUWGUYRGUYPQUVPUYCUYRUWLKXQUHUYPUYDULZUYCPUYRUYTUYAUYBP
        UYTUYAYJZUYFYJZUYOVUBUWTUYDUYOUVPVBVAZVUBUWEVBUVPYAYBZVUCUYFVBUMVAVBUMY
        CYDUVPVBUMYEYFYGWRUYDVUAVUBYKUYPUYDUYAUYFUXTUVPUMYEYHWCXIYIUGYLUYOUYHUW
        TUYOVUCUYHVUDVUCUYHVBUWLUJZVUCUYKVUEVUCVBVQUYJUYLVUCXCVPZXDXEUMVBYMVLUV
        PVBUWLXGXIYGWCUYPAVHYNXMXNUVMUYSUXAVAZUVOUYOUVLUVKVUGEFGNUYRUXAUDRANFYO
        UPVHUEYPCNEYOUPVHSYPYQUUBYRWSXOUYPCUUCUJZUVQCUUDURZYSURZUJZUYQUXAVAUVMV
        UHUVOUYOCEFNRSUUEYRUYPVUKUVQEYSURZUJZUYPUVLUXNVUMUVKUVLUVOUYOVTUYOUXNUW
        TUYOVUCUXNVUDVUCUXNUYLVUFUVPVBVQXGXIYGWCVULUVPEFIEUUFURZORUCVUNWQUBVULW
        QUUGWMUVMVUKVUMYKUVOUYOUVMVUJVULUVQUVMVUIEYSUVMEVUIUVLUVKEUKUJEVUIVAEFR
        UULCENUKSUUHUUIXHXNUUJYRXILVUIVUJCUVQUXAVUIWQUAVUJWQUXSUUKWMWSUUMXHUUNU
        VBVMWSUUOUVMUVOUWKUWSVAUWCUWTBUWRHCUMUWITUXRUXIUMVQUJUWTWHVPUWTUVPUWFUJ
        ZULUVKUVLUWGDUJUXNUWIBUJUVKUVLUVOVUOVSUVKUVLUVOVUOVTUWTUWFDUVPKUWTUWLDK
        WAUWFDKWAUWTQUWLUYCDKUWTUXTUWLUJZULUYAUYBPDUVOUYBDUJZUVMVUPUVOUXOVUQUXP
        UXOUVNDUMJUXOUUAUMUVNUJUXOUMUUPUUQVPUURVLWRUVMPDUJZUVOVUPUVMAUKUJVURAFN
        UEUUSDAPUFUGUUTVLYRUVAUHUVCUWFUWLDKUWEVBUMVFYAYTZUVDUVEWDVUOUXNUWTUVPUW
        EUVFWCABCEFGILDUVPUWGNOUEUFUDRSTUAUBUCWFWIUVGUVHUVIUWJUWMCUTHUWFUWLUWIV
        USUVJYTYL $.
    $}

    $d A f l n s $.  $d B g l n $.  $d C g s $.  $d D g l s $.  $d M g l $.
    $d N g $.  $d R f g l $.  $d T g s $.  $d X g s $.  $d .^ g s $.
    $d .* g s $.
    $( Lemma 2 for ~ pmatcollpw3fi1 .  (Contributed by AV, 6-Nov-2019.)
       (Revised by AV, 4-Dec-2019.) $)
    pmatcollpw3fi1lem2 $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                          -> ( E. f e. ( D ^m { 0 } ) M = ( C gsum ( n e. { 0 }
                                    |-> ( ( n .^ X ) .* ( T ` ( f ` n ) ) ) ) )
                    -> E. s e. NN E. f e. ( D ^m ( 0 ... s ) )
                       M = ( C gsum ( n e. ( 0 ... s )
                             |-> ( ( n .^ X ) .* ( T ` ( f ` n ) ) ) ) ) ) ) $=
      ( vg vl cc0 csn cv co cfv cmpt cgsu wceq cmap wrex cfn wcel w3a cfz fveq1
      ccrg cn fveq2d oveq2d mpteq2dv eqeq2d cbvrexvw wa c1 c0g cif crg crngring
      anim2i 3adant3 ad2antrr simplr eqid pmatcollpw3fi1lem1 syl3anc 1nn a1i wb
      simpr oveq2 mpteq1d rexeqbidv adantl wf wi elmapi c0ex ffvelrn sylan2 syl
      snid ex imp matring ring0cl ifcld fmpttd cvv cbs fvexi ovex pm3.2i elmapg
      mp1i mpbird adantr rspcedv rspcedvd mpdan rexlimdva2 syl5bi ) LCIUGUHZIUI
      ZNJUJZXSHUIZUKZGUKZKUJZULZUMUJZUNZHDXRUOUJZUPLCIXRXTXSUEUIZUKZGUKZKUJZULZ
      UMUJZUNZUEYHUPMUQURZFVBURZLBURZUSZLCIUGOUIZUTUJZYDULZUMUJZUNZHDUUAUOUJZUP
      ZOVCUPZYGYOHUEYHYAYIUNZYFYNLUUHYEYMCUMUUHIXRYDYLUUHYCYKXTKUUHYBYJGXSYAYIV
      AVDVEVFVEVGVHYSYOUUGUEYHYSYIYHURZVIZYOVIZLCIUGVJUTUJZXTXSUFUULUFUIZUGUNZU
      GYIUKZAVKUKZVLZULZUKZGUKZKUJZULZUMUJZUNZUUGUUKYPFVMURZVIZUUIYOUVDYSUVFUUI
      YOYPYQUVFYRYQUVEYPFVNZVOVPVQYSUUIYOVRUUJYOWEABCDEFGIJYIUURKLMNUUPUFPQRSTU
      AUBUCUDUUPVSZUURVSVTWAUUKUVDVIZUUFLCIUULYDULZUMUJZUNZHDUULUOUJZUPZOVJVCVJ
      VCURUVIWBWCYTVJUNZUUFUVNWDUVIUVOUUDUVLHUUEUVMUVOUUAUULDUOYTVJUGUTWFZVEUVO
      UUCUVKLUVOUUBUVJCUMUVOIUUAUULYDUVPWGVEVGWHWIUUKUVDUVNUUKUVLUVDHUURUVMUUJU
      URUVMURZYOUUJUVQUULDUURWJZUUJUFUULUUQDUUJUUMUULURZVIUUNUUOUUPDUUJUVSUUODU
      RZUUIUVSUVTWKZYSUUIXRDYIWJZUWAYIDXRWLUWBUVSUVTUVSUWBUGXRURZUVTUWCUVSUGWMW
      QWCXRDUGYIWNWOWRWPWIWSYSUUPDURZUUIUVSYSAVMURZUWDYPYQUWEYRYQYPUVEUWEUVGAFM
      UCWTWOVPDAUUPUDUVHXAWPVQXBXCDXDURZUULXDURZVIUVQUVRWDUUJUWFUWGDAXEUDXFUGVJ
      UTXGXHDUULUURXDXDXIXJXKXLYAUURUNZUVLUVDWDUUKUWHUVKUVCLUWHUVJUVBCUMUWHIUUL
      YDUVAUWHYCUUTXTKUWHYBUUSGXSYAUURVAVDVEVFVEVGWIXMWSXNXOXPXQ $.

    $( Write a polynomial matrix (over a commutative ring) as a finite sum of
       (at least two) products of variable powers and constant matrices with
       scalar entries.  (Contributed by AV, 6-Nov-2019.)  (Revised by AV,
       4-Dec-2019.) $)
    pmatcollpw3fi1 $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                          -> E. s e. NN E. f e. ( D ^m ( 0 ... s ) )
                M = ( C gsum ( n e. ( 0 ... s )
                               |-> ( ( n .^ X ) .* ( T ` ( f ` n ) ) ) ) ) ) $=
      ( cc0 cv cfz cfv cmpt cgsu wceq cmap wrex cn0 cfn wcel ccrg pmatcollpw3fi
      co w3a cn csn wo wi cun df-n0 rexeqi rexun bitri c0ex oveq2 cz fzsn eqtrd
      mp1i oveq2d mpteq1d eqeq2d rexeqbidv rexsn pmatcollpw3fi1lem2 com12 sylbi
      0z jao1i mpcom ) LCIUEOUFZUGUSZIUFZNJUSWIHUFUHGUHKUSZUIZUJUSZUKZHDWHULUSZ
      UMZOUNUMZMUOUPFUQUPLBUPUTZWOOVAUMZABCDEFGHIJKLMNOPQRSTUAUBUCUDURWPWRWOOUE
      VBZUMZVCZWQWRVDZWPWOOVAWSVEZUMXAWOOUNXCVFVGWOOVAWSVHVIWRWTWQWTLCIWSWJUIZU
      JUSZUKZHDWSULUSZUMZXBWOXHOUEVJWGUEUKZWMXFHWNXGXIWHWSDULXIWHUEUEUGUSZWSWGU
      EUEUGVKUEVLUPXJWSUKXIWDUEVMVOVNZVPXIWLXELXIWKXDCUJXIIWHWSWJXKVQVPVRVSVTWQ
      XHWRABCDEFGHIJKLMNOPQRSTUAUBUCUDWAWBWCWEWCWF $.
  $}

  ${
    pmatcollpwscmat.p $e |- P = ( Poly1 ` R ) $.
    pmatcollpwscmat.c $e |- C = ( N Mat P ) $.
    pmatcollpwscmat.b $e |- B = ( Base ` C ) $.
    pmatcollpwscmat.m1 $e |- .* = ( .s ` C ) $.
    pmatcollpwscmat.e1 $e |- .^ = ( .g ` ( mulGrp ` P ) ) $.
    pmatcollpwscmat.x $e |- X = ( var1 ` R ) $.
    pmatcollpwscmat.t $e |- T = ( N matToPolyMat R ) $.
    pmatcollpwscmat.a $e |- A = ( N Mat R ) $.
    pmatcollpwscmat.d $e |- D = ( Base ` A ) $.
    pmatcollpwscmat.u $e |- U = ( algSc ` P ) $.
    pmatcollpwscmat.k $e |- K = ( Base ` R ) $.
    pmatcollpwscmat.e2 $e |- E = ( Base ` P ) $.
    pmatcollpwscmat.s $e |- S = ( algSc ` P ) $.
    pmatcollpwscmat.1 $e |- .1. = ( 1r ` C ) $.
    pmatcollpwscmat.m2 $e |- M = ( Q .* .1. ) $.
    $( Lemma 1 for ~ pmatcollpwscmat .  (Contributed by AV, 2-Nov-2019.)
       (Revised by AV, 4-Dec-2019.) $)
    pmatcollpwscmatlem1 $p |- ( ( ( ( N e. Fin /\ R e. Ring )
                          /\ ( L e. NN0 /\ Q e. E ) ) /\ ( a e. N /\ b e. N ) )
             -> ( ( ( coe1 ` ( a M b ) ) ` L )
                        ( .s ` P ) ( 0 ( .g ` ( mulGrp ` P ) ) ( var1 ` R ) ) )
                = if ( a = b , ( U ` ( ( coe1 ` Q ) ` L ) ) , ( 0g ` P ) ) ) $=
      ( cfn wcel crg wa cn0 cv co cco1 cfv cc0 cv1 cmgp cmg cvsca c0g cif oveqi
      wceq ply1ring anim2i simpr anim12i df-3an sylibr scmatscmide sylan syl5eq
      w3a eqid fveq2d fveq1d fvif fveq1i iffv eqtri eqtrdi oveq1d csn cxp coe1z
      ovif ad2antlr cvv fvexd simpl fvconst2g eqtrd csca clmod ply1lmod ringmgp
      syl cmnd 0nn0 a1i mgpbas mulgnn0cl syl3anc lmod0vs syl2anc ply1sca adantl
      vr1cl wb eqeq1d adantr mpbird ifeq2d cur ancomd coe1fvalcl eqcomd eqtr4di
      cbs eleq2d asclval ply1idvr1 oveq2d eqtr2d ifeq1d 3eqtrd ) RUQURZGUSURZUT
      ZPVAURZFLURZUTZUTZTVBZRURUAVBZRURUTZUTZPUUEUUFQVCZVDVEZVEZVFGVGVEZEVHVEZV
      IVEZVCZEVJVEZVCUUEUUFVNZPFVDVEZVEZPEVKVEZVDVEZVEZVLZUUOUUPVCZUUQUUSUUOUUP
      VCZUUTVLZUUQUUSJVEZUUTVLZUUHUUKUVCUUOUUPUUHUUKPUUQFUUTVLZVDVEZVEZUVCUUHPU
      UJUVJUUHUUIUVIVDUUHUUIUUEUUFFKNVCZVCZUVIQUVLUUEUUFUPVMUUDYREUSURZUUBWDZUU
      GUVMUVIVNUUDYRUVNUTZUUBUTUVOYTUVPUUCUUBYSUVNYREGUBVOZVPUUAUUBVQVRYRUVNUUB
      VSVTCLFEKUUENUUFRUUTUCUMUUTWEZUOUEWAWBWCWFWGUVKPUUQUURUVAVLZVEUVCPUVJUVSU
      UQFUUTVDWHWIUUQPUURUVAWJWKWLWMUUHUVDUUQUVEUVBUUOUUPVCZVLZUVFUUQUUSUVBUUOU
      UPWQUUDUWAUVFVNUUGUUDUUQUVTUUTUVEUUDUVTGVKVEZUUOUUPVCZUUTUUDUVBUWBUUOUUPU
      UDUVBPVAUWBWNWOZVEZUWBUUDPUVAUWDYSUVAUWDVNYRUUCEGUWBUUTUBUVRUWBWEWPWRWGUU
      DUWBWSURZUUAUTUWEUWBVNYTUWFUUCUUAYTGVKWTUUAUUBXAVRVAUWBPWSXBXHXCWMUUDUWCU
      UTVNZEXDVEZVKVEZUUOUUPVCZUUTVNZUUDEXEURZUUOLURZUWKYSUWLYRUUCEGUBXFWRYSUWM
      YRUUCYSUUMXIURZVFVAURZUULLURUWMYSUVNUWNUVQEUUMUUMWEZXGXHUWOYSXJXKLEGUULUU
      LWEZUBUMXSLUUNUUMVFUULLEUUMUWPUMXLUUNWEZXMXNWRUUPUWHUWILEUUOUUTUMUWHWEZUU
      PWEZUWIWEUVRXOXPYTUWGUWKXTUUCYTUWCUWJUUTYTUWBUWIUUOUUPYTGUWHVKYSGUWHVNYRE
      GUSUBXQZXRWFWMYAYBYCXCYDYBWCUUDUVFUVHVNUUGUUDUUQUVEUVGUUTUUDUVGUUSEYEVEZU
      UPVCZUVEUUDUUSUWHYJVEZURZUVGUXCVNUUDUXEUUSOURZUUDUUBUUAUTUXFUUDUUAUUBYTUU
      CVQYFUURLEGFOPUURWEUMUBULYGXHYTUXEUXFXTUUCYTUXDOUUSYTUXDGYJVEOYTUWHGYJYSU
      WHGVNYRYSGUWHUXAYHXRWFULYIYKYBYCJUUPUXBUWHUXDEUUSUKUWSUXDWEUWTUXBWEYLXHUU
      DUXBUUOUUSUUPYSUXBUUOVNYRUUCYSUUOUXBEGUUNUUMUULUBUWQUWPUWRYMYHWRYNYOYPYBY
      Q $.

    $d E a b i j $.  $d L a b i j $.  $d M a b i j $.  $d N a b i j $.
    $d P a b i j $.  $d Q a b i j $.  $d R a b i j $.  $d U a b $.
    $d .* a b $.  $d .1. a b $.
    $( Lemma 2 for ~ pmatcollpwscmat .  (Contributed by AV, 2-Nov-2019.)
       (Revised by AV, 4-Dec-2019.) $)
    pmatcollpwscmatlem2 $p |- ( ( ( N e. Fin /\ R e. Ring )
                                 /\ ( L e. NN0 /\ Q e. E ) )
                              -> ( T ` ( M decompPMat L ) )
                                 = ( ( U ` ( ( coe1 ` Q ) ` L ) ) .* .1. ) ) $=
      ( vi vj va vb cfn wcel crg wa cn0 cdecpmat co cfv cv cascl cmpo cco1 wceq
      w3a simpl simpr adantr anim2i df-3an sylibr 1pmatscmul eqeltrid decpmatcl
      syl simprl syl3anc sylanbrc eqid mat2pmatval 3jca 3ad2ant1 3simpc syl2anc
      decpmate fveq2d mpoeq3dva cc0 cv1 cmgp cmg cvsca simp1lr simp2 coe1fvalcl
      simp3 matecld ply1scltm wral c0g cif pmatcollpwscmatlem1 cvv eqidd oveq12
      fveq1d oveq1d adantl simprr ovexd ovmpod simpll ply1ring pm3.22 ply1sclcl
      scmatscmide sylan 3eqtr4d ralrimivva wb 0nn0 a1i ply1tmcl matbas2d mpbird
      eqmat eqtrd 3eqtrd ) RUSUTZGVAUTZVBZPVCUTZFLUTZVBZVBZQPVDVEZIVFZUOUPRRUOV
      GZUPVGZUUCVEZEVHVFZVFZVIZUOUPRRPUUEUUFQVEZVJVFZVFZUUHVFZVIZPFVJVFZVFZJVFZ
      KNVEZUUBYPYQUUCDUTZVLZUUDUUJVKUUBYRUUTUVAYRUUAVMUUBYQQBUTZYSUUTYRYQUUAYPY
      QVNVOZUUBYPYQYTVLZUVBUUBYRYTVBUVDUUAYTYRYSYTVNVPYPYQYTVQVRUVDQFKNVEBUNBCE
      FGKLNRTUAUBUKUCUMVSVTWBZYRYSYTWCZABCDEGPQRVATUAUBUGUHWAWDYPYQUUTVQWEUOUPA
      DEGUUHIUUCRVAUFUGUHTUUHWFZWGWBUUBUOUPRRUUIUUNUUBUUERUTZUUFRUTZVLZUUGUUMUU
      HUVJYQUVBYSVLZUVHUVIVBUUGUUMVKUUBUVHUVKUVIUUBYQUVBYSUVCUVEUVFWHWIUUBUVHUV
      IWJBCEGUUEUUFPQRVATUAUBWLWKWMWNUUBUUOUOUPRRUUMWOGWPVFZEWQVFZWRVFZVEZEWSVF
      ZVEZVIZUUSUUBUOUPRRUUNUVQUVJYQUUMOUTZUUNUVQVKYPYQUUAUVHUVIWTZUVJUUKLUTYSU
      VSUVJCBEUUEUUFLQRUAUKUBUUBUVHUVIXAUUBUVHUVIXCUUBUVHUVBUVIUVEWIXDUUBUVHYSU
      VIUVFWIUULLEGUUKOPUULWFUKTUJXBWKZUUHEGUVPUVNUUMOUVMUVLUJTUVLWFZUVPWFZUVMW
      FZUVNWFZUVGXEWKWNUUBUVRUUSVKZUQVGZURVGZUVRVEZUWGUWHUUSVEZVKZURRXFUQRXFZUU
      BUWKUQURRRUUBUWGRUTZUWHRUTZVBZVBZPUWGUWHQVEZVJVFZVFZUVOUVPVEZUWGUWHVKUURE
      XGVFZXHZUWIUWJABCDEFGHIJKLMNOPQRSUQURTUAUBUCUDUEUFUGUHUIUJUKULUMUNXIUWPUO
      UPUWGUWHRRUVQUWTUVRXJUWPUVRXKUUEUWGVKUUFUWHVKVBZUVQUWTVKUWPUXCUUMUWSUVOUV
      PUXCPUULUWRUXCUUKUWQVJUUEUWGUUFUWHQXLWMXMXNXOUUBUWMUWNWCUUBUWMUWNXPUWPUWS
      UVOUVPXQXRUUBYPEVAUTZUURLUTZVLUWOUWJUXBVKUUBYPUXDUXEYPYQUUAXSZYRUXDUUAYQU
      XDYPEGTXTXOVOZUUBYQUUQOUTZUXEUVCUUBYTYSVBZUXHUUAUXIYRYSYTYAXOUUPLEGFOPUUP
      WFUKTUJXBWBJLEGUUQOTUIUJUKYBWKZWHCLUUREKUWGNUWHRUXAUAUKUXAWFUMUCYCYDYEYFU
      UBUVRBUTUUSBUTZUWFUWLYGUUBUOUPCBUVQELRVAUAUKUBUXFUXGUVJYQUVSWOVCUTZUVQLUT
      UVTUWAUXLUVJYHYILUUMWOEGUVPUVNOUVMUVLUJTUWBUWCUWDUWEUKYJWDYKUUBYPYQUXEUXK
      UXFUVCUXJBCEUURGKLNRTUAUBUKUCUMVSWDCBEUQURRUVRUUSUAUBYMWKYLYNYO $.

    $d B n $.  $d E n $.  $d M n $.  $d N n $.  $d P n $.  $d Q n $.  $d R n $.
    $d X n $.  $d .^ n $.
    $( Write a scalar matrix over polynomials (over a commutative ring) as a
       sum of the product of variable powers and constant scalar matrices with
       scalar entries.  (Contributed by AV, 2-Nov-2019.)  (Revised by AV,
       4-Dec-2019.) $)
    pmatcollpwscmat $p |- ( ( N e. Fin /\ R e. CRing /\ Q e. E )
                        -> M = ( C gsum ( n e. NN0
         |-> ( ( n .^ X ) .* ( ( U ` ( ( coe1 ` Q ) ` n ) ) .* .1. ) ) ) ) ) $=
      ( cfn wcel ccrg w3a cn0 cv co cdecpmat cfv cmpt cgsu cco1 wceq 1pmatscmul
      crg crngring eqeltrid syl3an2 pmatcollpw syld3an3 wa anim2i 3adant3 simp3
      anim1ci pmatcollpwscmatlem2 syl2an2r oveq2d mpteq2dva eqtrd ) RUOUPZGUQUP
      ZFMUPZURZQCLUSLUTZSNVAZQWIVBVAIVCZOVAZVDZVEVAZCLUSWJWIFVFVCVCJVCKOVAZOVAZ
      VDZVEVAWEWFWGQBUPZQWNVGWFWEGVIUPZWGWRGVJZWEWSWGURQFKOVABUNBCEFGKMORTUAUBU
      KUCUMVHVKVLBCEGILNOQRSTUAUBUCUDUEUFVMVNWHWMWQCVEWHLUSWLWPWHWIUSUPZVOWKWOW
      JOWHWEWSVOZXAXAWGVOWKWOVGWEWFXBWGWFWSWEWTVPVQWHWGXAWEWFWGVRVSABCDEFGHIJKM
      NOPWIQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNVTWAWBWCWBWD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ring isomorphism between polynomial matrices and polynomials over matrices
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
<HTML>
The main result of this section is Theorem ~ pmmpric , which shows that the
ring of polynomial matrices and the ring of polynomials having matrices as
coefficients (called "polynomials over matrices" in the following) are
isomorphic:<br>
` ( Poly1 `` ( N Mat R ) ) ~= ( N Mat ( Poly1 `` R ) ) `
<br><br>

Or in a more common notation:<br>
` ( N Mat ( Poly1 `` R ) ) ` corresponds to
M(n, R[[t]), the ring of n x n polynomial matrices over the ring R.<br>
` ( Poly1 `` ( N Mat R ) ) ` corresponds to M(n, R)[[t], the
polynomial ring over the ring of n x n matrices with entries in ring R.
<br><br>
` T = ( m e. B |-> ( Q gsum ( k e. NN0
|-> ( ( m decompPMat k ) .* ( k .^ X ) ) ) ) ) `
<br><br>
with ` B = ( Base `` ( N Mat ( Poly1 `` R ) ) ) ` and ` ( m decompPMat k )
= ( i e. N , j e. N |-> ( ( coe1 ` ( i m j ) ) ` k ) ) ) ` is an isomorphism
between these rings:<br>
<br>
` T : B -1-1-onto-> L ` with ` L = ( Base `` ( Poly1
`` ( N Mat R ) ) ) ` (see ~ pm2mpf1o and ~ pm2mprngiso ), and<br>
<br>
` I = ( p e. L |-> ( i e. N , j e. N |-> ( P gsum ( k e. NN0
|-> ( ( i ( ( coe1 ` p ) ` k ) j ) .x. ( k E Y ) ) ) ) ) ) `
<br><br>
is the corresponding inverse function:<br>
<br>
` ( T `` ( I `` O ) ) = O ) ` (see ~ mp2pm2mp ).
<br><br>

In this section, the following conventions are mostly used:
<ul>
<li>` R ` is a (unital) ring (see ~ df-ring )</li>
<li>` P = ( Poly1 `` R ) ` is the polynomial algebra over (the ring) ` R ` (see
      ~ df-ply1 )
  <ul>
  <li>` K = ( Base `` P ) ` is its base set (see ~ df-base )</li>
  <li>` Y = ( var1 `` R ) ` is its variable (see ~ df-vr1 )</li>
  <li>` .x. = ( .s `` P ) ` is its scalar multiplication (see ~ df-vsca or
        ~ lmodvscl )</li>
  <li>` E = ( .g `` ( mulGrp `` P ) ) ` is its exponentiation (see ~ df-mulg )
  </li>
  </ul></li>
<li>` A = ( N Mat R ) ` is the algebra of N x N matrices over (the ring) ` R `
      (see ~ df-mat )</li>
<li>` C = ( N Mat P ) ` is the algebra of N x N matrices over (the polynomial
 ring) ` P `.
  <ul>
  <li>` B = ( Base `` C ) ` is its base set</li>
  <li>` M e. B ` is a concrete polynomial matrix</li>
  </ul></li>
<li>` Q = ( Poly1 `` A ) ` is the polynomial algebra over (the matrix ring)
      ` A `.
  <ul>
  <li>` L = ( Base `` Q ) ` is its base set</li>
  <li>` O e. L ` is a concrete polynomial with matrix coefficients</li>
  <li>` X = ( var1 `` A ) ` is its variable</li>
  <li>` .* = ( .s `` Q ) ` is its scalar multiplication</li>
  <li>` .^ = ( .g `` ( mulGrp `` Q ) ) ` is its exponentiation</li></ul></li>
</ul></HTML>
$)

  $c pMatToMatPoly $.

  $( Extend class notation with the transformation of a polynomial matrix into
     a polynomial over matrices. $)
  cpm2mp $a class pMatToMatPoly $.

  ${
    $d a k n m q r $.
    $( Transformation of a polynomial matrix (over a ring) into a polynomial
       over matrices (over the same ring).  (Contributed by AV, 5-Dec-2019.) $)
    df-pm2mp $a |- pMatToMatPoly = ( n e. Fin , r e. _V
             |-> ( m e. ( Base ` ( n Mat ( Poly1 ` r ) ) )
                   |-> [_ ( n Mat r ) / a ]_ [_ ( Poly1 ` a ) / q ]_
                       ( q gsum ( k e. NN0 |-> ( ( m decompPMat k )
             ( .s ` q ) ( k ( .g ` ( mulGrp ` q ) ) ( var1 ` a ) ) ) ) ) ) ) $.
  $}

  ${
    $d A k $.  $d B k $.  $d K k $.  $d N k $.  $d Q k $.  $d R k $.  $d U k $.
    $d .* k $.  $d .^ k $.
    pm2mpf1lem.p $e |- P = ( Poly1 ` R ) $.
    pm2mpf1lem.c $e |- C = ( N Mat P ) $.
    pm2mpf1lem.b $e |- B = ( Base ` C ) $.
    pm2mpf1lem.m $e |- .* = ( .s ` Q ) $.
    pm2mpf1lem.e $e |- .^ = ( .g ` ( mulGrp ` Q ) ) $.
    pm2mpf1lem.x $e |- X = ( var1 ` A ) $.
    pm2mpf1lem.a $e |- A = ( N Mat R ) $.
    pm2mpf1lem.q $e |- Q = ( Poly1 ` A ) $.
    $( Lemma for ~ pm2mpf1 .  (Contributed by AV, 14-Oct-2019.)  (Revised by
       AV, 4-Dec-2019.) $)
    pm2mpf1lem $p |- ( ( ( N e. Fin /\ R e. Ring )
                               /\ ( U e. B /\ K e. NN0 ) )
           -> ( ( coe1 ` ( Q gsum ( k e. NN0
                           |-> ( ( U decompPMat k ) .* ( k .^ X ) ) ) ) ) ` K )
              = ( U decompPMat K ) ) $=
      ( cfn wcel crg wa cn0 cv cdecpmat cmpt cgsu cco1 cfv csb cbs eqid matring
      c0g adantr simpllr simplrl simpr decpmatcl syl3anc ralrimiva decpmatfsupp
      co cfsupp wbr ad2ant2lr simprr gsummoncoe1 csbov2g ad2antll oveq2d 3eqtrd
      wceq csbvarg ) LUBUCZFUDUCZUEZGBUCZKUFUCZUEZUEZKEHUFGHUGZUHVFZWEMIVFJVFUI
      UJVFUKULULHKWFUMZGHKWEUMZUHVFZGKUHVFWDWFEUNULZEAHIJAUNULZKMAUQULZUAWJUOSR
      VTAUDUCWCAFLTUPURWKUOZQWLUOZWDWFWKUCZHUFWDWEUFUCZUEVSWAWPWOVRVSWCWPUSVTWA
      WBWPUTWDWPVAABCWKDFWEGLUDNOPTWMVBVCVDVSWAHUFWFUIWLVGVHVRWBABCDFHGLWLNOPTW
      NVEVIVTWAWBVJVKWBWGWIVPVTWAHKGWEUHUFVLVMWDWHKGUHWBWHKVPVTWAHKUFVQVMVNVO
      $.
  $}

  ${
    $d B m n r $.  $d N k m n r $.  $d Q n r $.  $d R k m n r $.  $d V m n r $.
    $d X n r $.  $d a k m n q r $.  $d .* n r $.  $d .^ n r $.
    pm2mpval.p $e |- P = ( Poly1 ` R ) $.
    pm2mpval.c $e |- C = ( N Mat P ) $.
    pm2mpval.b $e |- B = ( Base ` C ) $.
    pm2mpval.m $e |- .* = ( .s ` Q ) $.
    pm2mpval.e $e |- .^ = ( .g ` ( mulGrp ` Q ) ) $.
    pm2mpval.x $e |- X = ( var1 ` A ) $.
    pm2mpval.a $e |- A = ( N Mat R ) $.
    pm2mpval.q $e |- Q = ( Poly1 ` A ) $.
    pm2mpval.t $e |- T = ( N pMatToMatPoly R ) $.
    $( Value of the transformation of a polynomial matrix into a polynomial
       over matrices.  (Contributed by AV, 5-Dec-2019.) $)
    pm2mpval $p |- ( ( N e. Fin /\ R e. V )
                   -> T = ( m e. B |-> ( Q gsum ( k e. NN0
                            |-> ( ( m decompPMat k ) .* ( k .^ X ) ) ) ) ) ) $=
      ( vn vr va vq cfn wcel wa cpm2mp cn0 cdecpmat cmpt cgsu cvv cpl1 cfv cmat
      co cbs cv1 cmgp cmg cvsca csb cmpo wceq df-pm2mp a1i simpl adantl oveq12d
      cv fveq2 fveq2d oveq2i eqtri fveq2i eqtr4di ovex fvexd simpr adantr eqtrd
      eqidd oveq123d mpteq2dv csbied csbie oveq12 syl5eq mpteq12dv fvexi ovmpod
      elex mptex ) LUHUIZFMUIZUJZGLFUKUTIBEHULIVNHVNZUMUTZXANJUTZKUTZUNZUOUTZUN
      ZUCWTUDUELFUHUPIUDVNZUEVNZUQURZUSUTZVAURZUFXHXIUSUTZUGUFVNZUQURZUGVNZHULX
      BXAXNVBURZXPVCURZVDURZUTZXPVEURZUTZUNZUOUTZVFZVFZUNZXGUKUPUKUDUEUHUPYGVGV
      HWTHIUDUEUGUFVIVJWTXHLVHZXIFVHZUJZUJZIXLYFBXFYJXLBVHWTYJXLLFUQURZUSUTZVAU
      RZBYJXKYMVAYJXHLXJYLUSYHYIVKYIXJYLVHYHXIFUQVOVLVMVPBCVAURYNQCYMVACLDUSUTY
      MPDYLLUSOVQVRVSVRVTVLYKYFXMUQURZHULXBXAXMVBURZYOVCURZVDURZUTZYOVEURZUTZUN
      ZUOUTZXFUFXMYEUUCXHXIUSWAXNXMVHZUGXOYDUUCUPUUDXNUQWBUUDXPXOVHZUJZXPYOYCUU
      BUOUUFXPXOYOUUDUUEWCUUDXOYOVHUUEXNXMUQVOWDWEZUUFHULYBUUAUUFXBXBXTYSYAYTUU
      FXPYOVEUUGVPUUFXBWFUUFXAXAXQYPXSYRUUFXRYQVDUUFXPYOVCUUGVPVPUUFXAWFUUDXQYP
      VHUUEXNXMVBVOWDWGWGWHVMWIWJYJUUCXFVHWTYJYOEUUBXEUOYJYOLFUSUTZUQURZEYJXMUU
      HUQXHLXIFUSWKZVPZEAUQURUUIUBAUUHUQUAVSVRZVTYJHULUUAXDYJXBXBYSXCYTKYJYTUUI
      VEURZKYJYOUUIVEUUKVPKEVEURUUMREUUIVEUULVSVRVTYJXBWFYJXAXAYPNYRJYJYRUUIVCU
      RZVDURZJYJYQUUNVDYJYOUUIVCUUKVPVPJEVCURZVDURUUOSUUPUUNVDEUUIVCUULVSVSVRVT
      YJXAWFYJYPUUHVBURZNYJXMUUHVBUUJVPNAVBURUUQTAUUHVBUAVSVRVTWGWGWHVMVLWLWMWR
      WSVKWSFUPUIWRFMWPVLXGUPUIWTIBXFBCVAQWNWQVJWOWL $.

    $d M k m $.  $d Q m $.  $d X m $.  $d .* m $.  $d .^ m $.
    $( A polynomial matrix transformed into a polynomial over matrices.
       (Contributed by AV, 4-Oct-2019.)  (Revised by AV, 5-Dec-2019.) $)
    pm2mpfval $p |- ( ( N e. Fin /\ R e. V /\ M e. B )
             -> ( T ` M ) = ( Q gsum ( k e. NN0
                              |-> ( ( M decompPMat k ) .* ( k .^ X ) ) ) ) ) $=
      ( vm cfn wcel w3a cn0 cv cdecpmat co cmpt cgsu cvv pm2mpval 3adant3 oveq1
      wceq oveq1d mpteq2dv oveq2d adantl simp3 ovexd fvmptd ) LUEUFZFMUFZKBUFZU
      GZUDKEHUHUDUIZHUIZUJUKZVKNIUKZJUKZULZUMUKZEHUHKVKUJUKZVMJUKZULZUMUKZBGUNV
      FVGGUDBVPULURVHABCDEFGHUDIJLMNOPQRSTUAUBUCUOUPVJKURZVPVTURVIWAVOVSEUMWAHU
      HVNVRWAVLVQVMJVJKVKUJUQUSUTVAVBVFVGVHVCVIEVSUMVDVE $.

    ${
      $d A k $.  $d B b k $.  $d L k $.  $d N b k m $.  $d .* k $.
      $d b i k m $.  $d b j k m $.
      pm2mpcl.l $e |- L = ( Base ` Q ) $.
      $( The transformation of polynomial matrices into polynomials over
         matrices maps polynomial matrices to polynomials over matrices.
         (Contributed by AV, 5-Oct-2019.)  (Revised by AV, 5-Dec-2019.) $)
      pm2mpcl $p |- ( ( N e. Fin /\ R e. Ring /\ M e. B )
                      -> ( T ` M ) e. L ) $=
        ( vk cfn wcel crg w3a cfv cn0 cdecpmat cmpt cgsu pm2mpfval cvv c0g eqid
        cv co ccmn wa matring ply1ring ringcmn 3syl 3adant3 nn0ex adantr simpl2
        a1i cbs simpl3 simpr decpmatcl cmgp ply1tmcl fmpttd csca clmod ply1lmod
        syl3anc syl eqidd ply1moncl sylan wbr decpmatfsupp 3adant1 wceq ply1sca
        cfsupp eqcomd fveq2d breqtrrd mptscmfsupp0 gsumcl eqeltrd ) LUEUFZFUGUF
        ZKBUFZUHZKGUIEUDUJKUDURZUKUSZXBMHUSZIUSZULZUMUSJABCDEFGUDHIKLUGMNOPQRST
        UAUBUNXAUJJXFEUOEUPUIZUCXGUQZWRWSEUTUFZWTWRWSVAAUGUFZEUGUFXIAFLTVBZEAUA
        VCEVDVEVFUJUOUFXAVGVJZXAUDUJXEJXAXBUJUFZVAZXJXCAVKUIZUFZXMXEJUFXAXJXMWR
        WSXJWTXKVFZVHXNWSWTXMXPWRWSWTXMVIWRWSWTXMVLXAXMVMZABCXODFXBKLUGNOPTXOUQ
        ZVNWAZXRJXCXBEAIHXOEVOUIZMXSUASQYAUQZRUCVPWAVQXAXOUJEEVRUIZXCUDIJUOXDXG
        YCUPUIZXLXAXJEVSUFXQEAUAVTWBXAYCWCUCXTXAXJXMXDJUFXQJXBEAHYAMUASYBRUCWDW
        EXHYDUQQXAUDUJXCULZAUPUIZYDWKWSWTYEYFWKWFWRABCDFUDKLYFNOPTYFUQWGWHXAYCA
        UPXAXJYCAWIXQXJAYCEAUGUAWJWLWBWMWNWOWPWQ $.

      $d B b $.  $d L b $.  $d N b $.  $d R b $.  $d T b $.
      $( The transformation of polynomial matrices into polynomials over
         matrices is a function mapping polynomial matrices to polynomials over
         matrices.  (Contributed by AV, 5-Oct-2019.)  (Revised by AV,
         5-Dec-2019.) $)
      pm2mpf $p |- ( ( N e. Fin /\ R e. Ring ) -> T : B --> L ) $=
        ( vm vb vk cfn wcel crg wa cn0 cv cdecpmat cmpt cgsu cvv ovexd pm2mpval
        co cfv pm2mpcl 3expa fmpt2d ) KUFUGZFUHUGZUIZUCUDBEUEUJUCUKZUEUKZULURVG
        LHURIURUMZUNURJGUOVEVFBUGUIEVHUNUPABCDEFGUEUCHIKUHLMNOPQRSTUAUQVCVDUDUK
        ZBUGVIGUSJUGABCDEFGHIJVIKLMNOPQRSTUAUBUTVAVB $.

      $d A n $.  $d B a i j u w $.  $d L b n $.  $d N a i j u w x y $.
      $d Q k $.  $d P n $.  $d R a i j u w $.  $d T a b u w $.  $d T n $.
      $d .^ k $.  $d n u w x y $.  $d k u w $.  $d i j n $.  $d i j u x y $.
      $d b y $.
      $( The transformation of polynomial matrices into polynomials over
         matrices is a 1-1 function mapping polynomial matrices to polynomials
         over matrices.  (Contributed by AV, 14-Oct-2019.)  (Revised by AV,
         6-Dec-2019.) $)
      pm2mpf1 $p |- ( ( N e. Fin /\ R e. Ring ) -> T : B -1-1-> L ) $=
        ( vu vw vn va vb vk vx vy vi vj cfn wcel crg wa wf cv cfv wceq weq wral
        wi wf1 pm2mpf cco1 cn0 wb matring adantr pm2mpcl adantrr 3expia adantld
        3expa imp eqid ply1coe1eq bicomd syl3anc co cdecpmat cmpt simpll simplr
        w3a cgsu simprl pm2mpfval ad2antrr fveq2d fveq1d simplll anim1i syl2anc
        pm2mpf1lem eqtrd simprr eqeq12d cmpo decpmatval sylan cbs simpllr simp2
        simp3 eleq2i biimpi ad2antlr 3ad2ant1 eleqtrrdi matecld simp1r matbas2d
        coe1fvalcl ad2antll eqmat bitrd adantlr oveq1 rspc2va cvv oveq12 adantl
        oveq2 eqidd fvexd ovmpod biimpd exp31 com14 syl ex com25 pm2.43i impcom
        sylbid ralimdva mpbird ralrimivva impancom dff13 sylanbrc ) KUMUNZFUOUN
        ZUPZBJGUQUCURZGUSZUDURZGUSZUTZUCUDVAZVCZUDBVBUCBVBBJGVDABCDEFGHIJKLMNOP
        QRSTUAUBVEUUFUUMUCUDBBUUFUUGBUNZUUIBUNZUPZUPZUUKUEURZUUHVFUSZUSZUURUUJV
        FUSZUSZUTZUEVGVBZUULUUQAUOUNZUUHJUNZUUJJUNZUUKUVDVHUUFUVEUUPAFKSVIVJUUF
        UUNUVFUUOUUDUUEUUNUVFABCDEFGHIJUUGKLMNOPQRSTUAUBVKVOVLUUFUUPUVGUUFUUOUV
        GUUNUUDUUEUUOUVGABCDEFGHIJUUIKLMNOPQRSTUAUBVKVMVNVPUVEUVFUVGWFUVDUUKUUS
        JUVAEAUEUUHUUJTUBUUSVQUVAVQVRVSVTUUQUVDUULUUQUVDUPZUULUFURZUGURZUUGWAZU
        VIUVJUUIWAZUTZUGKVBUFKVBZUVHUVMUFUGKKUVHUVIKUNZUVJKUNZUPZUPZUVMUURUVKVF
        USZUSZUURUVLVFUSZUSZUTZUEVGVBZUVHUVQUWDUUQUVQUVDUWDUUQUVQUPZUVCUWCUEVGU
        WEUURVGUNZUPZUVCUUGUURWBWAZUUIUURWBWAZUTZUWCUWGUUTUWHUVBUWIUWGUUTUUREUH
        VGUUGUHURZWBWAUWKLHWAZIWAWCWGWAZVFUSZUSZUWHUWGUURUUSUWNUWGUUHUWMVFUUQUU
        HUWMUTZUVQUWFUUQUUDUUEUUNUWPUUDUUEUUPWDZUUDUUEUUPWEZUUFUUNUUOWHZABCDEFG
        UHHIUUGKUOLMNOPQRSTUAWIVTWJWKWLUWGUUFUUNUWFUPUWOUWHUTUUFUUPUVQUWFWMZUWE
        UUNUWFUUQUUNUVQUWSVJWNABCDEFUUGUHHIUURKLMNOPQRSTWPWOWQUWGUVBUUREUHVGUUI
        UWKWBWAUWLIWAWCWGWAZVFUSZUSZUWIUUQUVBUXCUTUVQUWFUUQUURUVAUXBUUQUUJUXAVF
        UUQUUDUUEUUOUUJUXAUTUWQUWRUUFUUNUUOWRZABCDEFGUHHIUUIKUOLMNOPQRSTUAWIVTW
        KWLWJUWGUUFUUOUWFUPUXCUWIUTUWTUWEUUOUWFUUQUUOUVQUXDVJWNABCDEFUUIUHHIUUR
        KLMNOPQRSTWPWOWQWSUWGUWJUIURZUJURZUKULKKUURUKURZULURZUUGWAZVFUSZUSZWTZW
        AZUXEUXFUKULKKUURUXGUXHUUIWAZVFUSZUSZWTZWAZUTZUJKVBUIKVBZUWCUUQUWFUWJUX
        TVHUVQUUQUWFUPZUWJUXLUXQUTZUXTUYAUWHUXLUWIUXQUUQUUNUWFUWHUXLUTUWSCBDUKU
        LUURUUGKNOXAXBUUQUUOUWFUWIUXQUTUXDCBDUKULUURUUIKNOXAXBWSUYAUXLAXCUSZUNU
        XQUYCUNUYBUXTVHUYAUKULAUYCUXKFFXCUSZKUOSUYDVQZUYCVQZUUDUUEUUPUWFWMZUUDU
        UEUUPUWFXDZUYAUXGKUNZUXHKUNZWFZUXIDXCUSZUNUWFUXKUYDUNUYKCBDUXGUXHUYLUUG
        KNUYLVQZOUYAUYIUYJXEZUYAUYIUYJXFZUYKUUGCXCUSZBUYAUYIUUGUYPUNZUYJUUPUYQU
        UFUWFUUNUYQUUOUUNUYQBUYPUUGOXGXHVJZXIXJOXKXLUUQUWFUYIUYJXMZUXJUYLDFUXIU
        YDUURUXJVQUYMMUYEXOWOXNUYAUKULAUYCUXPFUYDKUOSUYEUYFUYGUYHUYKUXNUYLUNUWF
        UXPUYDUNUYKCBDUXGUXHUYLUUIKNUYMOUYNUYOUYKUUIUYPBUYAUYIUUIUYPUNZUYJUUQUY
        TUWFUUOUYTUUFUUNUUOUYTBUYPUUIOXGXHXPZVJXJOXKXLUYSUXOUYLDFUXNUYDUURUXOVQ
        UYMMUYEXOWOXNAUYCFUIUJKUXLUXQSUYFXQWOXRXSUWEUWFUXTUWCVCZUVQUUQUWFVUBVCZ
        UVQUUQVUCVCUVQUXTUUQUWFUVQUWCUVQUXTUUQUWFUVQUWCVCVCVCZUVQUXTUPUVIUVJUXL
        WAZUVIUVJUXQWAZUTZVUDUXSVUGUVIUXFUXLWAZUVIUXFUXQWAZUTUIUJUVIUVJKKUIUFVA
        UXMVUHUXRVUIUXEUVIUXFUXLXTUXEUVIUXFUXQXTWSUJUGVAVUHVUEVUIVUFUXFUVJUVIUX
        LYEUXFUVJUVIUXQYEWSYAUVQUUQUWFVUGUWCUVQUUQUWFVUGUWCVCUVQUUQUPUWFUPZVUGU
        WCVUJVUEUVTVUFUWBVUJUKULUVIUVJKKUXKUVTUXLYBVUJUXLYFUKUFVAULUGVAUPZUXKUV
        TUTVUJVUKUURUXJUVSVUKUXIUVKVFUXGUVIUXHUVJUUGYCWKWLYDUVOUVPUUQUWFWMZUVOU
        VPUUQUWFXDZVUJUURUVSYGYHVUJUKULUVIUVJKKUXPUWBUXQYBVUJUXQYFVUKUXPUWBUTVU
        JVUKUURUXOUWAVUKUXNUVLVFUXGUVIUXHUVJUUIYCWKWLYDVULVUMVUJUURUWAYGYHWSYIY
        JYKYLYMYNYOYPVPYQYQYRUUAVPUVRUUEUVKUYLUNZUVLUYLUNZUVMUWDVHUUQUUEUVDUVQU
        WRWJUVRCBDUVIUVJUYLUUGKNUYMOUVHUVOUVPWHZUVHUVOUVPWRZUVRUUGUYPBUVHUYQUVQ
        UUPUYQUUFUVDUYRXIVJOXKXLUVRCBDUVIUVJUYLUUIKNUYMOVUPVUQUVRUUIUYPBUUQUYTU
        VDUVQVUAWJOXKXLUUEVUNVUOWFUWDUVMUVSUYLUWADFUEUVKUVLMUYMUVSVQUWAVQVRVSVT
        YSYTUUPUULUVNVHUUFUVDCBDUFUGKUUGUUINOXQXIYSYMYQYTUCUDBJGUUBUUC $.
    $}

    $d A k $.  $d B k $.  $d K k $.  $d Q k $.  $d .* k $.  $d .^ k $.
    $( A coefficient of the polynomial over matrices which is the result of the
       transformation of a polynomial matrix is the matrix consisting of the
       coefficients in the polynomial entries of the polynomial matrix.
       (Contributed by AV, 20-Oct-2019.)  (Revised by AV, 5-Dec-2019.) $)
    pm2mpcoe1 $p |- ( ( ( N e. Fin /\ R e. Ring )
                              /\ ( M e. B /\ K e. NN0 ) )
                      -> ( ( coe1 ` ( T ` M ) ) ` K ) = ( M decompPMat K ) ) $=
      ( vk cfn wcel crg wa cn0 cfv cco1 cv cdecpmat cmpt cgsu csb simpll simplr
      co wceq simprl pm2mpfval syl3anc fveq2d fveq1d cbs c0g eqid matring simpr
      adantr decpmatcl ralrimiva wbr decpmatfsupp ad2ant2lr gsummoncoe1 csbov2g
      cfsupp adantl csbvarg oveq2d eqtrd 3eqtrd ) LUDUEZFUFUEZUGZKBUEZJUHUEZUGZ
      UGZJKGUIZUJUIZUIJEUCUHKUCUKZULURZWMMHURIURUMUNURZUJUIZUIUCJWNUOZKJULURZWJ
      JWLWPWJWKWOUJWJWDWEWGWKWOUSWDWEWIUPWDWEWIUQZWFWGWHUTZABCDEFGUCHIKLUFMNOPQ
      RSTUAUBVAVBVCVDWJWNEVEUIZEAUCHIAVEUIZJMAVFUIZUAXAVGSRWFAUFUEWIAFLTVHVJXBV
      GZQXCVGZWJWNXBUEZUCUHWJWMUHUEZUGWEWGXGXFWJWEXGWSVJWJWGXGWTVJWJXGVIABCXBDF
      WMKLUFNOPTXDVKVBVLWEWGUCUHWNUMXCVRVMWDWHABCDFUCKLXCNOPTXEVNVOWIWHWFWGWHVI
      VSVPWIWQWRUSZWFWHXHWGWHWQKUCJWMUOZULURWRUCJKWMULUHVQWHXIJKULUCJUHVTWAWBVS
      VSWC $.

    $d C k $.  $d X k $.
    $( The transformation of the identity polynomial matrix into polynomials
       over matrices results in the identity of the polynomials over matrices.
       (Contributed by AV, 18-Oct-2019.)  (Revised by AV, 5-Dec-2019.) $)
    idpm2idmp $p |- ( ( N e. Fin /\ R e. Ring )
                            -> ( T ` ( 1r ` C ) ) = ( 1r ` Q ) ) $=
      ( vk cfn wcel crg wa cur cfv cn0 cdecpmat cmpt cgsu cc0 wceq c0g pmatring
      cv co cif ringidcl syl pm2mpfval mpd3an3 decpmatid 3expa oveq1d mpteq2dva
      eqid oveq2d csb ovif csca matring ply1sca adantr fveq2d cbs ply1lmod cmgp
      clmod ply1moncl sylan lmodvs1 syl2an2r eqtrd lmod0vs ifeq12d cvv ply1ring
      syl5eq cmnd ringmnd 3syl nn0ex a1i 0nn0 ralrimiva gsummpt1n0 c0ex csbov1g
      mp1i csbvarg ply1idvr1 3eqtrd ) JUBUCZFUDUCZUEZCUFUGZGUGZEUAUHXGUAUPZUIUQ
      ZXIKHUQZIUQZUJZUKUQZEUAUHXIULUMZAUFUGZAUNUGZURZXKIUQZUJZUKUQZEUFUGZXDXEXG
      BUCZXHXNUMXFCUDUCYCCDFJLMUOBCXGNXGVGZUSUTABCDEFGUAHIXGJUDKLMNOPQRSTVAVBXF
      XMXTEUKXFUAUHXLXSXFXIUHUCZUEZXJXRXKIXDXEYEXJXRUMACDFXPXGXIJXQLMYDRXQVGXPV
      GVCVDVEVFVHXFYAEUAUHXOXKEUNUGZURZUJZUKUQUAULXKVIZYBXFXTYIEUKXFUAUHXSYHYFX
      SXOXPXKIUQZXQXKIUQZURYHXOXPXQXKIVJYFXOYKXKYLYGYFYKEVKUGZUFUGZXKIUQZXKYFXP
      YNXKIYFAYMUFXFAYMUMZYEXFAUDUCZYPAFJRVLZEAUDSVMUTVNZVOVEXFEVSUCZYEXKEVPUGZ
      UCZYOXKUMXFYQYTYREASVQUTZXFYQYEUUBYRUUAXIEAHEVRUGZKSQUUDVGZPUUAVGZVTWAZIY
      NYMUUAEXKUUFYMVGZOYNVGWBWCWDYFYLYMUNUGZXKIUQZYGYFXQUUIXKIYFAYMUNYSVOVEXFY
      TYEUUBUUJYGUMUUCUUGIYMUUIUUAEXKYGUUFUUHOUUIVGYGVGZWEWCWDWFWIVFVHXFXKUAYIE
      UHWGULYGUUKXFYQEUDUCEWJUCYREASWHEWKWLUHWGUCXFWMWNULUHUCXFWOWNYIVGXFUUBUAU
      HUUGWPWQXFYJUAULXIVIZKHUQZULKHUQZYBULWGUCZYJUUMUMXFWRUAULXIKHWGWSWTXFUULU
      LKHUUOUULULUMXFWRUAULWGXAWTVEXFYQUUNYBUMYREAHUUDKSQUUEPXBUTXCXCXC $.
  $}

  ${
    $d A c $.  $d A s x $.  $d L i j k $.  $d L k s x $.  $d I i j k $.
    $d I s x $.  $d J i j k $.  $d J s x $.  $d N i j k $.  $d N s x $.
    $d O c $.  $d O i j k $.  $d O s x $.  $d R i j k $.  $d R s x $.
    mptcoe1matfsupp.a $e |- A = ( N Mat R ) $.
    mptcoe1matfsupp.q $e |- Q = ( Poly1 ` A ) $.
    mptcoe1matfsupp.l $e |- L = ( Base ` Q ) $.
    $( The mapping extracting the entries of the coefficient matrices of a
       polynomial over matrices at a fixed position is finitely supported.
       (Contributed by AV, 6-Oct-2019.)  (Proof shortened by AV,
       23-Dec-2019.) $)
    mptcoe1matfsupp $p |- ( ( ( N e. Fin /\ R e. Ring /\ O e. L )
                                 /\ I e. N /\ J e. N )
                            -> ( k e. NN0 |-> ( I ( ( coe1 ` O ) ` k ) J ) )
                               finSupp ( 0g ` R ) ) $=
      ( vx vs wcel cfv cv cn0 wa wceq vc vi vj cfn crg w3a cbs co cvv c0g fvexd
      cco1 eqid simp2 adantr simp3 3ad2ant1 coe1fvalcl sylan matecld clt wbr wi
      wral wrex cmap cfsupp crab coe1fsupp elrabi 3syl fvex jctir fsuppmapnn0ub
      csb coe1sfi syl sylc csbov csbfv oveqi eqtri a1i oveq adantl cmpo 3adant3
      mat0op eqidd ovmpod ad4antr 3eqtrd a2d ralimdva reximdva mpd mptnn0fsupp
      exp31 ) HUDOZCUEOZIGOZUFZEHOZFHOZUFZMCUGPZEFDQZIULPZPZUHZDUICUJPZNXECUJUK
      ZXEXGROZSAAUGPZCEFXFXIHJXFUMXNUMZXEXCXMXBXCXDUNZUOXEXDXMXBXCXDUPZUOXEXAXM
      XIXNOXBXCXAXDWSWTXAUPUQZXHGBAIXNXGXHUMZLKXOURUSUTXENQZMQZVAVBZYAXHPZAUJPZ
      TZVCZMRVDZNRVEZYBDYAXJVOZXKTZVCZMRVDZNRVEXEXHXNRVFUHZOZYDUIOZSXHYDVGVBZYH
      XEYNYOXEXAXHUAQYDVGVBZUAYMVHOYNXRXHGBAUAIXNYDXSLKYDUMZXOVIYQUAXHYMVJVKAUJ
      VLVMXEXAYPXRXHGBAIYDXSLKYRVPVQMXNNXHUIYDVNVRXEYGYLNRXEXTROZSZYFYKMRYTYARO
      ZSZYBYEYJUUBYBYEYJUUBYBSZYESZYIEFYCUHZEFYDUHZXKYIUUETUUDYIEFDYAXIVOZUHUUE
      DYAEFXIVSUUGYCEFDYAXHVTWAWBWCYEUUEUUFTUUCEFYCYDWDWEXEUUFXKTYSUUAYBYEXEUBU
      CEFHHXKXKYDUIXBXCYDUBUCHHXKWFTZXDWSWTUUHXAACUBUCHXKJXKUMWHWGUQXEUBQETUCQF
      TSSXKWIXPXQXLWJWKWLWRWMWNWOWPWQ $.
  $}

  ${
    $d N i j p $.  $d E p $.  $d L p $.  $d P p $.  $d V p $.  $d Y p $.
    $d O i j k p $.  $d .x. k p $.
    mply1topmat.a $e |- A = ( N Mat R ) $.
    mply1topmat.q $e |- Q = ( Poly1 ` A ) $.
    mply1topmat.l $e |- L = ( Base ` Q ) $.
    mply1topmat.p $e |- P = ( Poly1 ` R ) $.
    mply1topmat.m $e |- .x. = ( .s ` P ) $.
    mply1topmat.e $e |- E = ( .g ` ( mulGrp ` P ) ) $.
    mply1topmat.y $e |- Y = ( var1 ` R ) $.
    ${
      $d I k $.  $d J k $.  $d L k $.  $d N k $.  $d P k $.  $d R k $.
      $( Lemma for ~ mply1topmatcl .  (Contributed by AV, 6-Oct-2019.) $)
      mply1topmatcllem $p |- ( ( ( N e. Fin /\ R e. Ring /\ O e. L )
                                 /\ I e. N /\ J e. N ) -> ( k e. NN0
                                |-> ( ( I ( ( coe1 ` O ) ` k ) J )
                                      .x. ( k E Y ) ) ) finSupp ( 0g ` P ) ) $=
        ( cfn wcel crg w3a cvv cn0 cv cco1 cfv cbs c0g nn0ex a1i clmod ply1lmod
        co 3ad2ant2 3ad2ant1 csca wceq simp12 ply1sca syl eqid wa cmgp ply1ring
        ovexd cmnd ringmgp adantr simpr vr1cl mulgnn0cl syl3anc mptcoe1matfsupp
        mgpbas mptscmfsupp0 ) KUAUBZDUCUBZLJUBZUDZHKUBZIKUBZUDZUEUFBDHIFUGZLUHU
        IUIZUPFEBUJUIZUEWFMGUPZBUKUIZDUKUIZUFUEUBWEULUMWBWCBUNUBZWDVTVSWLWABDQU
        OUQURWEVTDBUSUIUTVSVTWAWCWDVABDUCQVBVCWHVDZWEWFUFUBZVEZHIWGVHWOBVFUIZVI
        UBZWNMWHUBZWIWHUBWEWQWNWBWCWQWDVTVSWQWAVTBUCUBWQBDQVGBWPWPVDZVJVCUQURVK
        WEWNVLWEWRWNWBWCWRWDVTVSWRWAWHBDMTQWMVMUQURVKWHGWPWFMWHBWPWSWMVQSVNVOWJ
        VDWKVDRACDFHIJKLNOPVPVR $.
    $}

    mply1topmat.i $e |- I = ( p e. L |-> ( i e. N , j e. N |-> ( P gsum
                                  ( k e. NN0 |-> ( ( i ( ( coe1 ` p ) ` k ) j )
                                                   .x. ( k E Y ) ) ) ) ) ) $.
    $( A polynomial over matrices transformed into a polynomial matrix. ` I `
       is the inverse function of the transformation ` T ` of polynomial
       matrices into polynomials over matrices: ` ( T `` ( I `` O ) ) = O ) `
       (see ~ mp2pm2mp ).  (Contributed by AV, 6-Oct-2019.) $)
    mply1topmatval $p |- ( ( N e. V /\ O e. L )
             -> ( I ` O ) = ( i e. N , j e. N |-> ( P gsum
                                  ( k e. NN0 |-> ( ( i ( ( coe1 ` O ) ` k ) j )
                                                 .x. ( k E Y ) ) ) ) ) ) $=
      ( wcel wa cn0 cv cco1 cfv co cmpt cgsu cmpo cvv fveq2 fveq1d oveqd oveq1d
      wceq mpteq2dv oveq2d mpoeq3dv simpr simpl mpoexga syldan fvmptd3 ) LNUEZM
      KUEZUFPMFGLLBHUGFUHZGUHZHUHZPUHZUIUJZUJZUKZVMOIUKZEUKZULZUMUKZUNFGLLBHUGV
      KVLVMMUIUJZUJZUKZVREUKZULZUMUKZUNZKJUOUDVNMUTZFGLLWAWGWIVTWFBUMWIHUGVSWEW
      IVQWDVREWIVPWCVKVLWIVMVOWBVNMUIUPUQURUSVAVBVCVIVJVDVIVJVIWHUOUEVIVJVEFGLL
      WGNNVFVGVH $.

    $d L i j k $.  $d N k $.  $d P i j k $.  $d R i j k $.
    mply1topmatcl.c $e |- C = ( N Mat P ) $.
    mply1topmatcl.b $e |- B = ( Base ` C ) $.
    $( A polynomial over matrices transformed into a polynomial matrix is a
       polynomial matrix.  (Contributed by AV, 6-Oct-2019.) $)
    mply1topmatcl $p |- ( ( N e. Fin /\ R e. Ring /\ O e. L )
                          -> ( I ` O ) e. B ) $=
      ( cfn wcel crg w3a cfv cv cco1 cmpt cgsu cmpo wceq mply1topmatval 3adant2
      cn0 co cbs cvv eqid simp1 cpl1 a1i c0g ccmn ply1ring ringcmn syl 3ad2ant2
      fvexi 3ad2ant1 nn0ex wa clmod csca ply1lmod adantr simpl2 simpl3 wf coe1f
      simpl13 ffvelrnd matecld ply1sca eqcomd fveq2d eleqtrrd cmgp cmnd ringmgp
      mgpbas mulgnn0cl syl3anc lmodvscl fmpttd mply1topmatcllem gsumcl matbas2d
      simpr vr1cl eqeltrd ) NUHUIZFUJUIZOMUIZUKZOLULZHINNDJVAHUMZIUMZJUMZOUNULZ
      ULZVBZXOPKVBZGVBZUOZUPVBZUQZBXHXJXLYCURXIADEFGHIJKLMNOUHPQRSTUAUBUCUDUEUS
      UTXKHICBYBDDVCULZNVDUFYDVEZUGXHXIXJVFDVDUIXKDFVGUAVOVHXKXMNUIZXNNUIZUKZVA
      YDYADVDDVIULZYEYIVEXKYFDVJUIZYGXIXHYJXJXIDUJUIZYJDFUAVKZDVLVMVNVPVAVDUIYH
      VQVHYHJVAXTYDYHXOVAUIZVRZDVSUIZXRDVTULZVCULZUIXSYDUIZXTYDUIYHYOYMXKYFYOYG
      XIXHYOXJDFUAWAVNVPWBYNXRFVCULZYQYNAAVCULZFXMXNYSXQNRYSVEYTVEZXKYFYGYMWCXK
      YFYGYMWDYNVAYTXOXPYNXJVAYTXPWEXHXIXJYFYGYMWGXPMEAOYTXPVETSUUAWFVMYHYMXEZW
      HWIYHYQYSURZYMXKYFUUCYGXKYPFVCXIXHYPFURXJXIFYPDFUJUAWJWKVNWLVPWBWMYNDWNUL
      ZWOUIZYMPYDUIZYRYHUUEYMXKYFUUEYGXKYKUUEXIXHYKXJYLVNDUUDUUDVEZWPVMVPWBUUBY
      HUUFYMXKYFUUFYGXIXHUUFXJYDDFPUDUAYEXFVNVPWBYDKUUDXOPYDDUUDUUGYEWQUCWRWSXR
      GYPYQYDDXSYEYPVEUBYQVEWTWSXAADEFGJKXMXNMNOPRSTUAUBUCUDXBXCXDXG $.
  $}

  ${
    $d E p $.  $d L p $.  $d N i j p $.  $d O i j p $.  $d O k p $.  $d P p $.
    $d R p $.  $d Y p $.  $d .x. p $.
    mp2pm2mp.a $e |- A = ( N Mat R ) $.
    mp2pm2mp.q $e |- Q = ( Poly1 ` A ) $.
    mp2pm2mp.l $e |- L = ( Base ` Q ) $.
    mp2pm2mp.m $e |- .x. = ( .s ` P ) $.
    mp2pm2mp.e $e |- E = ( .g ` ( mulGrp ` P ) ) $.
    mp2pm2mp.y $e |- Y = ( var1 ` R ) $.
    mp2pm2mp.i $e |- I = ( p e. L |-> ( i e. N , j e. N |-> ( P gsum
                                  ( k e. NN0 |-> ( ( i ( ( coe1 ` p ) ` k ) j )
                                                   .x. ( k E Y ) ) ) ) ) ) $.
    $( Lemma 1 for ~ mp2pm2mp .  (Contributed by AV, 9-Oct-2019.)  (Revised by
       AV, 5-Dec-2019.) $)
    mp2pm2mplem1 $p |- ( ( N e. Fin /\ R e. Ring /\ O e. L )
                       -> ( I ` O ) = ( i e. N , j e. N |-> ( P gsum ( k e. NN0
                  |-> ( ( i ( ( coe1 ` O ) ` k ) j ) .x. ( k E Y ) ) ) ) ) ) $=
      ( cfn wcel crg w3a cn0 cv cco1 cfv co cmpt cgsu cmpo cvv wceq fveq2 oveqd
      fveq1d oveq1d mpteq2dv oveq2d mpoeq3dv simp3 mpoexga syl2anc fvmptd3
      simp1 ) LUCUDZDUEUDZMKUDZUFZOMFGLLBHUGFUHZGUHZHUHZOUHZUIUJZUJZUKZVONIUKZE
      UKZULZUMUKZUNFGLLBHUGVMVNVOMUIUJZUJZUKZVTEUKZULZUMUKZUNZKJUOUBVPMUPZFGLLW
      CWIWKWBWHBUMWKHUGWAWGWKVSWFVTEWKVRWEVMVNWKVOVQWDVPMUIUQUSURUTVAVBVCVIVJVK
      VDVLVIVIWJUOUDVIVJVKVHZWLFGLLWIUCUCVEVFVG $.

    $d L k $.  $d P i j k $.  $d R k $.  $d .x. k $.
    mp2pm2mplem2.p $e |- P = ( Poly1 ` R ) $.
    ${
      $d L i j k $.  $d N k $.  $d R i j $.
      mp2pm2mplem2.c $e |- C = ( N Mat P ) $.
      mp2pm2mplem2.b $e |- B = ( Base ` C ) $.
      $( Lemma 2 for ~ mp2pm2mp .  (Contributed by AV, 10-Oct-2019.)  (Revised
         by AV, 5-Dec-2019.) $)
      mp2pm2mplem2 $p |- ( ( N e. Fin /\ R e. Ring /\ O e. L )
                           -> ( i e. N , j e. N |-> ( P gsum ( k e. NN0
             |-> ( ( i ( ( coe1 ` O ) ` k ) j ) .x. ( k E Y ) ) ) ) ) e. B ) $=
        ( cfn wcel crg w3a cn0 cv cco1 cfv co cmpt cgsu cbs eqid simp1 ply1ring
        3ad2ant2 cvv c0g ccmn ringcmn syl 3ad2ant1 a1i wa simpl12 simpl2 simpl3
        nn0ex simp13 coe1fvalcl sylan matecld ply1tmcl syl3anc mply1topmatcllem
        simpr cmgp fmpttd gsumcl matbas2d ) NUHUIZFUJUIZOMUIZUKZHICBDJULHUMZIUM
        ZJUMZOUNUOZUOZUPZWNPKUPGUPZUQZURUPDDUSUOZNUJUFWTUTZUGWHWIWJVAWIWHDUJUIZ
        WJDFUEVBZVCWKWLNUIZWMNUIZUKZULWTWSDVDDVEUOZXAXGUTWKXDDVFUIZXEWIWHXHWJWI
        XBXHXCDVGVHVCVIULVDUIXFVOVJXFJULWRWTXFWNULUIZVKZWIWQFUSUOZUIXIWRWTUIWHW
        IWJXDXEXIVLXJAAUSUOZFWLWMXKWPNRXKUTZXLUTZWKXDXEXIVMWKXDXEXIVNXFWJXIWPXL
        UIWHWIWJXDXEVPWOMEAOXLWNWOUTTSXNVQVRVSXFXIWCWTWQWNDFGKXKDWDUOZPXMUEUCUA
        XOUTUBXAVTWAWEADEFGJKWLWMMNOPRSTUEUAUBUCWBWFWG $.
    $}

    $d E i j $.  $d K a b i j $.  $d L a b i j $.  $d N a b k $.  $d O a b $.
    $d R a b i j $.  $d Y i j $.  $d .x. i j $.
    ${
      $d E a b $.  $d N i j k $.  $d P a b $.  $d Y a b $.  $d .x. a b $.
      $( Lemma 3 for ~ mp2pm2mp .  (Contributed by AV, 10-Oct-2019.)  (Revised
         by AV, 5-Dec-2019.) $)
      mp2pm2mplem3 $p |- ( ( ( N e. Fin /\ R e. Ring /\ O e. L )
                 /\ K e. NN0 ) -> ( ( I ` O ) decompPMat K )
                         = ( i e. N , j e. N |-> ( ( coe1 ` ( P gsum ( k e. NN0
          |-> ( ( i ( ( coe1 ` O ) ` k ) j ) .x. ( k E Y ) ) ) ) ) ` K ) ) ) $=
        ( va vb cfn wcel crg w3a cn0 wa cdecpmat co cv cco1 cmpt cgsu cmpo wceq
        cfv mp2pm2mplem1 oveq1d cmat cbs eqid mp2pm2mplem2 decpmatval sylan cvv
        adantr eqidd weq oveq12 mpteq2dv oveq2d adantl simp2 simp3 ovexd ovmpod
        fveq2d fveq1d mpoeq3dva oveq1 simpl mpteq2dva cbvmpov eqtrdi 3eqtrd ) M
        UGUHDUIUHNLUHUJZKUKUHZULZNJVAZKUMUNZFGMMBHUKFUOZGUOZHUOZNUPVAVAZUNZWROI
        UNZEUNZUQZURUNZUSZKUMUNZUEUFMMKUEUOZUFUOZXEUNZUPVAZVAZUSZFGMMKXDUPVAZVA
        ZUSZWKWOXFUTWLWKWNXEKUMABCDEFGHIJLMNOPQRSTUAUBUCVBVCVKWKXEMBVDUNZVEVAZU
        HWLXFXLUTAXQXPBCDEFGHIJLMNOPQRSTUAUBUCUDXPVFZXQVFZVGXPXQBUEUFKXEMXRXSVH
        VIWMXLUEUFMMKBHUKXGXHWSUNZXAEUNZUQZURUNZUPVAZVAZUSXOWMUEUFMMXKYEWMXGMUH
        ZXHMUHZUJZKXJYDYHXIYCUPYHFGXGXHMMXDYCXEVJYHXEVLFUEVMGUFVMULZXDYCUTYHYIX
        CYBBURYIHUKXBYAYIWTXTXAEWPXGWQXHWSVNVCVOVPVQWMYFYGVRWMYFYGVSYHBYBURVTWA
        WBWCWDUEUFFGMMYEXNKBHUKWPXHWSUNZXAEUNZUQZURUNZUPVAZVAUEFVMZKYDYNYOYCYMU
        PYOYBYLBURYOHUKYAYKYOXTYJXAEXGWPXHWSWEVCVOVPWBWCUFGVMZKYNXMYPYMXDUPYPYL
        XCBURYPHUKYKXBYPWRUKUHZULZYJWTXAEYRXHWQWPWSYPYQWFVPVCWGVPWBWCWHWIWJ $.
    $}

    ${
      $d A i j k s x $.  $d E k s x $.  $d E l $.  $d K k s x $.  $d K l $.
      $d L l $.  $d L s x $.  $d N l s $.  $d N x $.  $d O l $.  $d O s x $.
      $d P l $.  $d P s x $.  $d R l $.  $d R s x $.  $d Y l $.  $d Y k s x $.
      $d .x. l $.  $d .x. s x $.  $d a b s $.  $d i j k l $.
      $( Lemma 4 for ~ mp2pm2mp .  (Contributed by AV, 12-Oct-2019.)  (Revised
         by AV, 5-Dec-2019.) $)
      mp2pm2mplem4 $p |- ( ( ( N e. Fin /\ R e. Ring /\ O e. L )
                               /\ K e. NN0 )
                      -> ( ( I ` O ) decompPMat K ) = ( ( coe1 ` O ) ` K ) ) $=
        ( vs vx va vb vl cfn wcel crg w3a cn0 wa cfv cdecpmat co cco1 cmpt cgsu
        cv cmpo mp2pm2mplem3 clt wbr c0g wceq wi wral cc0 cfz cif cbs eqid ccmn
        ply1ring 3ad2ant2 ringcmn syl ad3antrrr 3ad2ant1 simpl2 ad2antrr adantr
        simpl3 coe1fvalcl sylan matecld cmgp ply1tmcl syl3anc ralrimiva simp1lr
        simpr oveq oveq1d csca cvv 3simpa mat0op weq eqidd simprl simprr ovmpod
        fvexd fveq2d syl2anc 3eqtrd exp31 a2d breq2 oveqd imbi12d syl2an adantl
        eqtrd mpoeq3dva ovex fvex a1i mpteq2dva oveq2d ad3antlr wn cle elfz2nn0
        cr nn0re ad2antlr wb mpbird ex imp sylancl impcom csb ovexd cfsupp ifex
        ply1sca clmod ply1lmod ad4antr ply1moncl lmod0vs sylan9eqr 3impib fveq2
        ralimdva oveq1 oveq12d eqeq1d sylibr gsummptnn0fz fveq1d simpllr expcom
        impancom cbvralvw elfznn0 syl11 ralrimiv fzfid coe1fzgsumd coe1tm eqeq1
        ifbid simpl1r fvmptd fveqeq2 rspcva eqcomd 3adant3 lelttr animorr df-ne
        wne lttri2 syl2anr bitr3id syld exp4b com24 expimpd com23 3adant2 sylbi
        wo com13 iffalsed ringmnd gsumz 3eqtr4d com14 com25 pm2.43i imp31 com12
        cmnd lenlt simpll simplr syl3anbrc sylbird ad4ant23 eqcom ax-mp mpteq2i
        expr ifbi sylan2 gsummpt1n0 csbov csbfv syl5eq oveq12 ralrimivva simpl1
        mpoeq3dv oveqi eqtri simp2 simp3 3ad2antl3 eqeltrid matbas2d eqmat wrex
        pm2.61i coe1sfi cmap crab coe1fsupp elrabi 3syl fsuppmapnn0ub r19.29a
        mpd ) MUJUKZDULUKZNLUKZUMZKUNUKZUOZNJUPKUQURFGMMKBHUNFVBZGVBZHVBZNUSUPZ
        UPZURZVUIOIURZEURZUTVAURZUSUPZUPZVCZKVUJUPZABCDEFGHIJKLMNOPQRSTUAUBUCUD
        VDVUFUEVBZUFVBZVEVFZVVAVUJUPZAVGUPZVHZVIZUFUNVJZVURVUSVHUEUNVUFVUTUNUKZ
        UOZVVGUOZVURFGMMDHVKVUTVLURZKVUNUSUPZUPZUTZVAURZVCZFGMMDHVVKKVUIVHZVULD
        VGUPZVMZUTZVAURZVCZVUSVVJFGMMVUQVVOVVJVUGMUKZVUHMUKZUMZVUQKBHVVKVUNUTVA
        URZUSUPZUPVVOVWEKVUPVWGVWEVUOVWFUSVWEBVNUPZVUNVUTHBBVGUPZVWHVOZVWIVOZVV
        JVWCBVPUKZVWDVUDVWLVUEVVHVVGVUDBULUKZVWLVUBVUAVWMVUCBDUDVQVRBVSVTWAWBVW
        EVUNVWHUKZHUNVWEVUIUNUKZUOZVUBVULDVNUPZUKZVWOVWNVWEVUBVWOVVJVWCVUBVWDVU
        FVUBVVHVVGVUAVUBVUCVUEWCZWDWBZWEVWPAAVNUPZDVUGVUHVWQVUKMQVWQVOZVXAVOZVV
        JVWCVWDVWOWCVVJVWCVWDVWOWFVWEVUCVWOVUKVXAUKZVVJVWCVUCVWDVUFVUCVVHVVGVUA
        VUBVUCVUEWFZWDZWBVUJLCANVXAVUIVUJVOZSRVXCWGZWHWIVWEVWOWOVWHVULVUIBDEIVW
        QBWJUPZOVXBUDUBTVXIVOZUAVWJWKWLZWMVUFVVHVVGVWCVWDWNVWEVVBVUGVUHVVCURZVV
        AOIURZEURZVWIVHZVIZUFUNVJZVUTVUIVEVFZVUNVWIVHZVIZHUNVJVVJVWCVWDVXQVVIVW
        CVWDUOZVVGVXQVVIVYAUOZVVFVXPUFUNVYBVVAUNUKZUOZVVBVVEVXOVYDVVBVVEVXOVVEV
        YDVVBUOVXNVUGVUHVVDURZVXMEURZVWIVVEVXLVYEVXMEVUGVUHVVCVVDWPWQVYDVYFVWIV
        HVVBVYDVYFVVRVXMEURBWRUPZVGUPZVXMEURZVWIVYDVYEVVRVXMEVYBVYEVVRVHVYCVYBU
        GUHVUGVUHMMVVRVVRVVDWSVYBVUAVUBUOZVVDUGUHMMVVRVCVHVUDVYJVUEVVHVYAVUAVUB
        VUCWTWAADUGUHMVVRQVVRVOZXAVTVYBUGFXBUHGXBUOUOVVRXCVVIVWCVWDXDVVIVWCVWDX
        EVYBDVGXGXFWEWQVYDVVRVYHVXMEVYDDVYGVGVYDVUBDVYGVHVUFVUBVVHVYAVYCVWSWAZB
        DULUDUUBVTXHWQVYDBUUCUKZVXMVWHUKZVYIVWIVHVUDVYMVUEVVHVYAVYCVUBVUAVYMVUC
        BDUDUUDVRUUEVYDVUBVYCVYNVYLVYBVYCWOVWHVVABDIVXIOUDUBVXJUAVWJUUFXIEVYGVY
        HVWHBVXMVWIVWJVYGVOTVYHVOVWKUUGXIXJWEUUHXKXLUUKUUTUUIVXTVXPHUFUNHUFXBZV
        XRVVBVXSVXOVUIVVAVUTVEXMVYOVUNVXNVWIVYOVULVXLVUMVXMEVYOVUKVVCVUGVUHVUIV
        VAVUJUUJXNVUIVVAOIUULUUMUUNXOUVAUUOUUPXHUUQVWEHVWHBDKVUNVVKUDVWJVWTVVJV
        WCVUEVWDVUDVUEVVHVVGUURWBVWEVWNHVVKVWOVWEVWNVUIVVKUKZVWEVWOVWNVXKUUSVUI
        VUTUVBZUVCUVDVWEVKVUTUVEUVFXRXSVUFVVPVWBVHVVHVVGVUFFGMMVVOVWAVUFVWCVWDU
        MZVVNVVTDVAVYRHVVKVVMVVSVYRVYPUOZUIKUIHXBZVULVVRVMZVVSUNVVLWSVYSVUBVWRV
        WOVVLUIUNWUAUTVHVYRVUBVYPVUFVWCVUBVWDVWSWBWEVYSAVXADVUGVUHVWQVUKMQVXBVX
        CVUFVWCVWDVYPWCVUFVWCVWDVYPWFVYRVUCVWOVXDVYPVUFVWCVUCVWDVXEWBVYQVXHXPWI
        VYPVWOVYRVYQXQUIVULVUIBDEIVWQVXIOVVRVYKVXBUDUBTVXJUAUVGWLUIVBZKVHZWUAVV
        SVHVYSWUCVYTVVQVULVVRWUBKVUIUVHUVIXQVUDVUEVWCVWDVYPUVJVVSWSUKVYSVVQVULV
        VRVUGVUHVUKXTDVGYAUUAYBUVKYCYDXSWDVUTKVEVFZVVJVWBVUSVHZVIVVJWUDWUEVUFVV
        HVVGWUDWUEVIZVUEVUDVVHVVGWUFVIVIZVUEVUDWUGVIVUEVVGVUDVVHVUEWUFVUEVVGVUD
        VVHVUEWUFVIVIVIZVUEVVGUOWUDVUSVVDVHZVIZWUHVVFWUJUFKUNVVAKVHVVBWUDVVEWUI
        VVAKVUTVEXMVVAKVVDVUJUVLXOUVMVUEVUDVVHWUJWUFVUEVUDVVHWUJWUFVIVUEVUDUOZV
        VHUOWUDWUIWUEWUKVVHWUDWUIWUEVIWUKVVHWUDUOZUOZWUIWUEWUMWUIUOZFGMMVVRVCZV
        VDVWBVUSVUDWUOVVDVHZVUEWULWUIVUAVUBWUPVUCVYJVVDWUOADFGMVVRQVYKXAUVNUVOY
        EWUNFGMMVWAVVRWUNVWCVWDUMZVWADHVVKVVRUTZVAURZVVRWUQVVTWURDVAWUQHVVKVVSV
        VRWUQVYPUOVVQVULVVRWUQVYPVVQYFZWUNVWCVYPWUTVIZVWDWUMWVAWUIWUKWULWVAVUEW
        ULWVAVIVUDVYPWULVUEWUTVYPVWOVVHVUIVUTYGVFZUMWULVUEWUTVIZVIZVUIVUTYHVWOW
        VBWVDVVHVWOWVBWVDVWOWULWVBWVCVWOVVHWUDWVBWVCVIVWOVVHUOZVUEWVBWUDWUTWVEV
        UEWVBWUDWUTWVEVUEUOZWVBWUDUOZVUIKVEVFZWUTWVFVUIYIUKZVUTYIUKZKYIUKZWVGWV
        HVIVWOWVIVVHVUEVUIYJZWDVVHWVJVWOVUEVUTYJZYKVUEWVKWVEKYJZXQVUIVUTKUVPWLW
        VFWVHWUTWVFWVHUOZWUTKVUIVEVFZWVHUWJZWVFWVHWVPUVQWUTKVUIUVSZWVOWVQKVUIUV
        RWVFWVRWVQYLZWVHVUEWVKWVIWVSWVEWVNVWOWVIVVHWVLWEKVUIUVTUWAWEUWBYMYNUWCU
        WDUWEUWFUWGYOUWHUWIUWKWEYOWEWBYOUWLYCYDWUNVWCWUSVVRVHZVWDVUDWVTVUEWULWU
        IVUDDUXAUKZVVKWSUKWVTVUBVUAWWAVUCDUWMVRZVKVUTVLXTVVKHDWSVVRVYKUWNYPYEWB
        XRXSWUMWUIWOUWOYNUXKXLXKUWPVTYNUWQUWRYQUWSUWTWUDYFZVVJWUEWWCVVJUOZVWBFG
        MMHKVULYRZVCZVUSWWDFGMMVWAWWEWWDVWCVWDUMZVULHVVTDVVKWSKVVRVYKWWDVWCWWAV
        WDVVJWWAWWCVUDWWAVUEVVHVVGWWBWAXQWBWWGVKVUTVLYSWWDVWCKVVKUKZVWDVVJWWCWW
        HVUEVVHWWCWWHVIVUDVVGVUEVVHUOZWWCKVUTYGVFZWWHVUEWVKWVJWWJWWCYLVVHWVNWVM
        KVUTUXBXPWWIWWJWWHWWIWWJUOVUEVVHWWJWWHVUEVVHWWJUXCVUEVVHWWJUXDWWIWWJWOK
        VUTYHUXEYNUXFUXGYQWBHVVKVVSVUIKVHZVULVVRVMZVVQWWKYLVVSWWLVHKVUIUXHVVQWW
        KVULVVRUXLUXIUXJWWGVWRHVVKVYPWWGVWOVWRVYQWWGVWOUOAVXADVUGVUHVWQVUKMQVXB
        VXCWWDVWCVWDVWOWCWWDVWCVWDVWOWFWWGVUCVWOVXDWWDVWCVUCVWDVVJVUCWWCVXFXQWB
        VXHWHWIUXMWMUXNXSVVJWWFVUSVHZWWCVUFWWMVVHVVGVUFWWMUGVBZUHVBZWWFURWWNWWO
        VUSURZVHZUHMVJUGMVJZVUFWWQUGUHMMVUFWWNMUKZWWOMUKZUOZUOZFGWWNWWOMMVUGVUH
        VUSURZWWPWWFWSWXBFGMMWWEWXCVUEWWEWXCVHVUDWXAVUEWWEVUGVUHHKVUKYRZURZWXCH
        KVUGVUHVUKUXOZVUEWXDVUSVUGVUHWXDVUSVHVUEHKVUJUXPZYBXNUXQYKUYAFUGXBGUHXB
        UOWXCWWPVHWXBVUGWWNVUHWWOVUSUXRXQVUFWWSWWTXDVUFWWSWWTXEWXBWWNWWOVUSYSXF
        UXSVUFWWFVXAUKVUSVXAUKZWWMWWRYLVUFFGAVXAWWEDVWQMULQVXBVXCVUAVUBVUCVUEUX
        TVWSVYRWWEWXCVWQWWEWXEWXCWXFWXDVUSVUGVUHWXGUYBUYCVYRAVXADVUGVUHVWQVUSMQ
        VXBVXCVUFVWCVWDUYDVUFVWCVWDUYEVUFVWCWXHVWDVUCVUAVUEWXHVUBVUJLCANVXAKVXG
        SRVXCWGUYFZWBWIUYGUYHWXIAVXADUGUHMWWFVUSQVXCUYIXIYMWDXQXRYNUYKXJVUFVUJV
        VDYTVFZVVGUEUNUYJZVUFVUCWXJVXEVUJLCANVVDVXGSRVVDVOZUYLVTVUFVUJVXAUNUYMU
        RZUKZVVDWSUKWXJWXKVIVUFVUCVUJVVAVVDYTVFZUFWXMUYNUKWXNVXEVUJLCAUFNVXAVVD
        VXGSRWXLVXCUYOWXOUFVUJWXMUYPUYQAVGYAUFVXAUEVUJWSVVDUYRYPUYTUYSXR $.

      $d A l $.  $d l p $.  $d .* k $.
      mp2pm2mplem5.m $e |- .* = ( .s ` Q ) $.
      mp2pm2mplem5.e $e |- .^ = ( .g ` ( mulGrp ` Q ) ) $.
      mp2pm2mplem5.x $e |- X = ( var1 ` A ) $.
      $( Lemma 5 for ~ mp2pm2mp .  (Contributed by AV, 12-Oct-2019.)  (Revised
         by AV, 5-Dec-2019.) $)
      mp2pm2mplem5 $p |- ( ( N e. Fin /\ R e. Ring /\ O e. L )
               -> ( k e. NN0 |-> ( ( ( I ` O ) decompPMat k ) .* ( k .^ X ) ) )
                  finSupp ( 0g ` Q ) ) $=
        ( vl cfn wcel crg w3a cbs cfv cn0 cv cdecpmat co cvv c0g nn0ex clmod wa
        a1i matring ply1lmod syl 3adant3 csca wceq ply1sca simpl2 mply1topmatcl
        cmat eqid adantr simpr decpmatcl syl3anc cmgp ply1moncl sylan cmpt cco1
        cfsupp cgsu cmpo fveq2 oveqd oveq1 oveq12d cbvmptv oveq2i mpteq2i eqtri
        mpoeq3ia mp2pm2mplem4 mpteq2dva wbr mptcoe1fsupp eqbrtrd mptscmfsupp0
        stoic3 ) NUKULZDUMULZOMULZUNZAUOUPZUQCAOKUPZHURZUSUTZHLMVAXLPJUTZCVBUPZ
        AVBUPZUQVAULXIVCVFXFXGCVDULZXHXFXGVEAUMULZXQADNSVGZCATVHVIVJXIXRACVKUPV
        LXFXGXRXHXSVJZCAUMTVMVIUAXIXLUQULZVEXGXKNBVPUTZUOUPZULZYAXMXJULXFXGXHYA
        VNXIYDYAAYCYBBCDEFGHIKMNOQRSTUAUFUBUCUDUEYBVQZYCVQZVOVRXIYAVSAYCYBXJBDX
        LXKNUMUFYEYFSXJVQVTWAXIXRYAXNMULXTMXLCAJCWBUPZPTUIYGVQUHUAWCWDXOVQXPVQZ
        UGXIHUQXMWEHUQXLOWFUPUPZWEZXPWGXIHUQXMYIABCDEFGUJIKXLMNOQRSTUAUBUCUDKRM
        FGNNBHUQFURZGURZXLRURWFUPZUPZUTZXLQIUTZEUTZWEZWHUTZWIZWERMFGNNBUJUQYKYL
        UJURZYMUPZUTZUUAQIUTZEUTZWEZWHUTZWIZWEUERMYTUUHFGNNYSUUGYSUUGVLYKNULYLN
        ULVEYRUUFBWHHUJUQYQUUEXLUUAVLZYOUUCYPUUDEUUIYNUUBYKYLXLUUAYMWJWKXLUUAQI
        WLWMWNWOVFWRWPWQUFWSWTXFXGXRXHYJXPWGXAXSMCAHOXPTUAYHXBXEXCXD $.
    $}

    $d A i j k n $.  $d A l $.  $d E k $.  $d E n p $.  $d I l n $.
    $d L l n $.  $d N l n $.  $d O l n $.  $d P n $.  $d Q l n $.  $d R l n $.
    $d Y k n $.  $d .x. n $.
    mp2pm2mp.t $e |- T = ( N pMatToMatPoly R ) $.
    $( A polynomial over matrices transformed into a polynomial matrix
       transformed back into the polynomial over matrices.  (Contributed by AV,
       12-Oct-2019.) $)
    mp2pm2mp $p |- ( ( N e. Fin /\ R e. Ring /\ O e. L )
                       -> ( T ` ( I ` O ) ) = O ) $=
      ( vn vl cfn wcel crg w3a cfv cn0 cv cdecpmat cv1 cmgp cmg cvsca cmpt cgsu
      cmat wceq eqid mply1topmatcl pm2mpfval syld3an3 cco1 wral matring 3adant3
      co cbs cvv c0g ccmn wa ply1ring ringcmn nn0ex a1i adantr simpl2 decpmatcl
      3syl simpr syl3anc ply1tmcl fmpttd cmpo fveq2 oveqd oveq1 oveq12d cbvmptv
      oveq2d mpoeq3ia mpteq2i eqtri mp2pm2mplem5 gsumcl simp3 3jca mp2pm2mplem4
      oveq1d adantlr mpteq2dva fveq2d fveq1d jca ply1coe eqcomd eqtrd ralrimiva
      syl eqcoe1ply1eq sylc ) MUHUIZDUJUIZNLUIZUKZNKULZEULZCUFUMYBUFUNZUOVLZYDA
      UPULZCUQULZURULZVLZCUSULZVLZUTZVAVLZNXRXSXTYBMBVBVLZVMULZUIZYCYMVCAYOYNBC
      DFGHIJKLMNOPQRSUDTUAUBUCYNVDZYOVDZVEZAYOYNBCDEUFYHYJYBMUJYFUDYQYRYJVDZYHV
      DZYFVDZQRUEVFVGYAAUJUIZYMLUIZXTUKUGUNZYMVHULZULZUUENVHULZULZVCZUGUMVIYMNV
      CYAUUCUUDXTXRXSUUCXTADMQVJZVKZYAUMLYLCVNCVOULZSUUMVDXRXSCVPUIZXTXRXSVQUUC
      CUJUIUUNUUKCARVRCVSWEVKUMVNUIYAVTWAYAUFUMYKLYAYDUMUIZVQZUUCYEAVMULZUIZUUO
      YKLUIYAUUCUUOUULWBUUPXSYPUUOUURXRXSXTUUOWCYAYPUUOYSWBYAUUOWFZAYOYNUUQBDYD
      YBMUJUDYQYRQUUQVDZWDWGUUSLYEYDCAYJYHUUQYGYFUUTRUUBYTYGVDZUUASWHWGWIABCDFG
      HUFJYHKYJLMNYFOPQRSTUAUBKPLGHMMBIUMGUNZHUNZIUNZPUNVHULZULZVLZUVDOJVLZFVLZ
      UTZVAVLZWJZUTPLGHMMBUFUMUVBUVCYDUVEULZVLZYDOJVLZFVLZUTZVAVLZWJZUTUCPLUVLU
      VSGHMMUVKUVRUVBMUIUVCMUIVQZUVJUVQBVAUVJUVQVCUVTIUFUMUVIUVPUVDYDVCZUVGUVNU
      VHUVOFUWAUVFUVMUVBUVCUVDYDUVEWKWLUVDYDOJWMWNWOWAWPWQWRWSUDYTUUAUUBWTXAXRX
      SXTXBZXCYAUUJUGUMYAUUEUMUIZVQZUUGUUECUFUMYDUUHULZYIYJVLZUTZVAVLZVHULZULUU
      IUWDUUEUUFUWIUWDYMUWHVHUWDYLUWGCVAUWDUFUMYKUWFYAUUOYKUWFVCUWCUUPYEUWEYIYJ
      ABCDFGHIJKYDLMNOPQRSTUAUBUCUDXDXEXFXGWPXHXIUWDUUEUWIUUHUWDUWHNVHUWDNUWHUW
      DUUCXTVQZNUWHVCYAUWJUWCYAUUCXTUULUWBXJWBUUHLCAYJUFYHNYGYFRUUBSYTUVAUUAUUH
      VDZXKXOXLXHXIXMXNUUFLUUHCAUGYMNRSUUFVDUWKXPXQXM $.
  $}

  ${
    pm2mpfo.p $e |- P = ( Poly1 ` R ) $.
    pm2mpfo.c $e |- C = ( N Mat P ) $.
    pm2mpfo.b $e |- B = ( Base ` C ) $.
    pm2mpfo.m $e |- .* = ( .s ` Q ) $.
    pm2mpfo.e $e |- .^ = ( .g ` ( mulGrp ` Q ) ) $.
    pm2mpfo.x $e |- X = ( var1 ` A ) $.
    pm2mpfo.a $e |- A = ( N Mat R ) $.
    pm2mpfo.q $e |- Q = ( Poly1 ` A ) $.
    ${
      $d A k $.  $d B k $.  $d M k $.  $d N k $.  $d Q k $.  $d R k $.
      $d .* k $.
      $( Lemma 2 for ~ pm2mpghm .  (Contributed by AV, 15-Oct-2019.)  (Revised
         by AV, 4-Dec-2019.) $)
      pm2mpghmlem2 $p |- ( ( N e. Fin /\ R e. Ring /\ M e. B )
                       -> ( k e. NN0 |-> ( ( M decompPMat k ) .* ( k .^ X ) ) )
                          finSupp ( 0g ` Q ) ) $=
        ( cfn wcel crg w3a cbs cfv cn0 cv cdecpmat co cvv c0g nn0ex a1i matring
        clmod 3adant3 ply1lmod syl csca wceq ply1sca wa simpl2 simpl3 decpmatcl
        eqid simpr syl3anc cmgp ply1moncl sylan cfsupp wbr decpmatfsupp 3adant1
        cmpt mptscmfsupp0 ) KUAUBZFUCUBZJBUBZUDZAUEUFZUGEAJGUHZUIUJZGIEUEUFZUKW
        DLHUJZEULUFZAULUFZUGUKUBWBUMUNWBAUCUBZEUPUBVSVTWJWAAFKSUOUQZEATURUSWBWJ
        AEUTUFVAWKEAUCTVBUSWFVGZWBWDUGUBZVCVTWAWMWEWCUBVSVTWAWMVDVSVTWAWMVEWBWM
        VHABCWCDFWDJKUCMNOSWCVGVFVIWBWJWMWGWFUBWKWFWDEAHEVJUFZLTRWNVGQWLVKVLWHV
        GWIVGZPVTWAGUGWEVQWIVMVNVSABCDFGJKWIMNOSWOVOVPVR $.
    $}

    pm2mpfo.l $e |- L = ( Base ` Q ) $.
    $( Lemma 1 for pm2mpghm .  (Contributed by AV, 15-Oct-2019.)  (Revised by
       AV, 4-Dec-2019.) $)
    pm2mpghmlem1 $p |- ( ( ( N e. Fin /\ R e. Ring /\ M e. B )
                                   /\ K e. NN0 )
                              -> ( ( M decompPMat K ) .* ( K .^ X ) ) e. L ) $=
      ( cfn crg w3a cn0 wa cdecpmat co cbs matring 3adant3 adantr simpl2 simpl3
      wcel cfv simpr eqid decpmatcl syl3anc cmgp ply1tmcl ) LUCUPZFUDUPZKBUPZUE
      ZIUFUPZUGZAUDUPZKIUHUIZAUJUQZUPZVHVKIMGUIHUIJUPVGVJVHVDVEVJVFAFLTUKULUMVI
      VEVFVHVMVDVEVFVHUNVDVEVFVHUOVGVHURZABCVLDFIKLUDNOPTVLUSZUTVAVNJVKIEAHGVLE
      VBUQZMVOUASQVPUSRUBVCVA $.

    pm2mpfo.t $e |- T = ( N pMatToMatPoly R ) $.
    ${
      $d A i j k $.  $d B f k p $.  $d L f i j k l p $.  $d N f i j k l p $.
      $d P f i j k l $.  $d R f i j k l p $.  $d T f p $.  $d X k $.
      $d .* k $.  $d .^ k $.
      $( The transformation of polynomial matrices into polynomials over
         matrices is a function mapping polynomial matrices onto polynomials
         over matrices.  (Contributed by AV, 12-Oct-2019.)  (Revised by AV,
         6-Dec-2019.) $)
      pm2mpfo $p |- ( ( N e. Fin /\ R e. Ring ) -> T : B -onto-> L ) $=
        ( vp vf vl vi vj vk cfn wcel crg wa wf cv cfv wceq wrex wral wfo pm2mpf
        cn0 cco1 cv1 cmgp cmg cvsca cmpt cgsu cmpo mp2pm2mp 3expa mply1topmatcl
        co wi simpr fveq2d eqeq2d rspcedv com12 eqcoms mpcom ralrimiva sylanbrc
        eqid dffo3 ) KUIUJZFUKUJZULZBJGUMUCUNZUDUNZGUOZUPZUDBUQZUCJURBJGUSABCDE
        FGHIJKLMNOPQRSTUBUAUTWHWMUCJWIUEJUFUGKKDUHVAUFUNUGUNUHUNZUEUNVBUOUOVMWN
        FVCUOZDVDUOVEUOZVMDVFUOZVMVGVHVMVIVGZUOZGUOZWIUPZWHWIJUJZULZWMWFWGXBXAA
        DEFGWQUFUGUHWPWRJKWIWOUESTUAWQWDZWPWDZWOWDZWRWDZMUBVJVKXCWMVNWIWTXCWIWT
        UPZWMXCWLXHUDWSBWFWGXBWSBUJABCDEFWQUFUGUHWPWRJKWIWOUESTUAMXDXEXFXGNOVLV
        KXCWJWSUPZULZWKWTWIXJWJWSGXCXIVOVPVQVRVSVTWAWBUDUCBJGWEWC $.
    $}

    $( The transformation of polynomial matrices into polynomials over matrices
       is a 1-1 function mapping polynomial matrices onto polynomials over
       matrices.  (Contributed by AV, 14-Oct-2019.) $)
    pm2mpf1o $p |- ( ( N e. Fin /\ R e. Ring ) -> T : B -1-1-onto-> L ) $=
      ( cfn wcel crg wa wf1 wfo wf1o pm2mpf1 pm2mpfo df-f1o sylanbrc ) KUCUDFUE
      UDUFBJGUGBJGUHBJGUIABCDEFGHIJKLMNOPQRSTUBUAUJABCDEFGHIJKLMNOPQRSTUAUBUKBJ
      GULUM $.

    $d A k $.  $d B a b i j k $.  $d B a i j k l $.  $d B i j k l n $.
    $d C a b i j k $.  $d C a i j k l $.  $d C i j k l n $.  $d L a b k $.
    $d N a b i j k $.  $d N a i j k l $.  $d N i j k l n $.  $d Q a b k $.
    $d R a b i j k $.  $d T a b $.  $d .* k $.
    $( The transformation of polynomial matrices into polynomials over matrices
       is an additive group homomorphism.  (Contributed by AV, 16-Oct-2019.)
       (Revised by AV, 6-Dec-2019.) $)
    pm2mpghm $p |- ( ( N e. Fin /\ R e. Ring ) -> T e. ( C GrpHom Q ) ) $=
      ( va vb vk vi vj cfn wcel crg wa cplusg cfv eqid pmatring ringgrp matring
      cgrp syl ply1ring pm2mpf cv cn0 co cdecpmat cmpt cgsu csca cco1 cmpo wceq
      w3a ringmnd anim1i 3anass sylibr mndcl decpmatval sylan cof simplll fvexd
      cmnd cvv eqidd offval22 cbs simpllr wi simprl simprr eleq2i biimpi matecl
      ad2antlr syl3anc adantrr adantr 3impib simpr 3ad2ant1 coe1fvalcl matbas2d
      ex syl2anc adantrl matplusg2 simplr 3impb matplusgcell coe1addfv syl31anc
      fveq2d fveq1d eqtrd mpoeq3dva 3eqtr4rd ply1sca eqcomd 3eqtrd oveq1d clmod
      ad2antrr oveq123d ply1lmod simpl decpmatcl eleqtrrd cmgp mgpbas mulgnn0cl
      ringmgp vr1cl anim2i df-3an pm2mpghmlem1 cfsupp pm2mpghmlem2 pm2mpfval
      wbr lmodvsdir syl13anc mpteq2dva oveq2d c0g ccmn ringcmn a1i gsummptfsadd
      nn0ex simpll oveq12d 3eqtr4d isghmd ) KUHUIZFUJUIZUKZUCUDCULUMZEULUMZCEGB
      JOUAUURUNZUUSUNZUUQCUJUIZCURUICDFKMNUOZCUPUSUUQEUJUIZEURUIUUQAUJUIZUVDAFK
      SUQZEATUTUSZEUPUSABCDEFGHIJKLMNOPQRSTUBUAVAUUQUCVBZBUIZUDVBZBUIZUKZUKZEUE
      VCUVHUVJUURVDZUEVBZVEVDZUVOLHVDZIVDZVFZVGVDZEUEVCUVHUVOVEVDZUVQIVDZVFZVGV
      DZEUEVCUVJUVOVEVDZUVQIVDZVFZVGVDZUUSVDZUVNGUMZUVHGUMZUVJGUMZUUSVDUVMUVTEU
      EVCUWBUWFUUSVDZVFZVGVDUWIUVMUVSUWNEVGUVMUEVCUVRUWMUVMUVOVCUIZUKZUVRUWAUWE
      EVHUMZULUMZVDZUVQIVDZUWMUWPUVPUWSUVQIUWPUVPUFUGKKUVOUFVBZUGVBZUVNVDZVIUMZ
      UMZVJZUFUGKKUVOUXAUXBUVHVDZVIUMZUMZVJZUFUGKKUVOUXAUXBUVJVDZVIUMZUMZVJZAUL
      UMZVDZUWSUVMUVNBUIZUWOUVPUXFVKUVMCWCUIZUVIUVKVLZUXQUVMUXRUVLUKUXSUUQUXRUV
      LUUQUVBUXRUVCCVMUSVNUXRUVIUVKVOVPBUURCUVHUVJOUUTVQUSZCBDUFUGUVOUVNKNOVRVS
      UWPUXJUXNFULUMZVTVDZUFUGKKUXIUXMUYAVDZVJUXPUXFUWPUFUGKKUXIUXMUYAUXJUXNUHU
      HWDWDUUOUUPUVLUWOWAZUYDUWPUXAKUIZUXBKUIZVLZUVOUXHWBUYGUVOUXLWBUWPUXJWEUWP
      UXNWEWFUWPUXJAWGUMZUIUXNUYHUIUXPUYBVKUWPUFUGAUYHUXIFFWGUMZKUJSUYIUNZUYHUN
      ZUYDUUOUUPUVLUWOWHZUYGUXGDWGUMZUIZUWOUXIUYIUIUWPUYEUYFUYNUVMUYEUYFUKZUYNW
      IZUWOUUQUVIUYPUVKUUQUVIUKZUYOUYNUYQUYOUKUYEUYFUVHCWGUMZUIZUYNUYQUYEUYFWJU
      YQUYEUYFWKUVIUYSUUQUYOUVIUYSBUYRUVHOWLWMWOCDUXAUXBUYMUVHKNUYMUNZWNWPXDWQW
      RWSZUWPUYEUWOUYFUVMUWOWTZXAZUXHUYMDFUXGUYIUVOUXHUNUYTMUYJXBXEXCUWPUFUGAUY
      HUXMFUYIKUJSUYJUYKUYDUYLUYGUXKUYMUIZUWOUXMUYIUIUWPUYEUYFVUDUVMUYOVUDWIZUW
      OUUQUVKVUEUVIUUQUVKUKZUYOVUDVUFUYOUKUYEUYFUVJUYRUIZVUDVUFUYEUYFWJVUFUYEUY
      FWKUVKVUGUUQUYOUVKVUGBUYRUVJOWLWMWOCDUXAUXBUYMUVJKNUYTWNWPXDXFWRWSZVUCUXL
      UYMDFUXKUYIUVOUXLUNUYTMUYJXBXEXCAUYHUYAUXOFKUXJUXNSUYKUXOUNUYAUNZXGXEUWPU
      FUGKKUXEUYCUYGUXEUVOUXGUXKDULUMZVDZVIUMZUMZUYCUYGUVOUXDVULUYGUXCVUKVIUYGU
      VLUYOUKZUXCVUKVKUWPUYEUYFVUNUWPUVLUYOUUQUVLUWOXHVNXICBVUJUURDUXAUXBKUVHUV
      JNOUUTVUJUNZXJUSXMXNUYGUUPUYNVUDUWOVUMUYCVKUWPUYEUUPUYFUYLXAVUAVUHVUCUYMU
      YAVUJFUXGUXKUVODMUYTVUOVUIXKXLXOXPXQUWPUXJUWAUXNUWEUXOUWRUWPAUWQULUUQAUWQ
      VKZUVLUWOUUQUVEVUPUVFEAUJTXRUSZYCXMUWPUWAUXJUVMUVIUWOUWAUXJVKUUQUVIUVKWJZ
      CBDUFUGUVOUVHKNOVRVSXSUWPUWEUXNUVMUVKUWOUWEUXNVKUUQUVIUVKWKZCBDUFUGUVOUVJ
      KNOVRVSXSYDXTYAUWPEYBUIZUWAUWQWGUMZUIUWEVVAUIUVQJUIZUWTUWMVKUUQVUTUVLUWOU
      UQUVEVUTUVFEATYEUSYCUWPUWAUYHVVAUWPUUPUVIUWOUWAUYHUIUYLUVLUVIUUQUWOUVIUVK
      YFZWOVUBABCUYHDFUVOUVHKUJMNOSUYKYGWPUWPUWQAWGUUQUWQAVKUVLUWOUUQAUWQVUQXSY
      CXMZYHUWPUWEUYHVVAUWPUUPUVKUWOUWEUYHUIUYLUVLUVKUUQUWOUVIUVKWTZWOVUBABCUYH
      DFUVOUVJKUJMNOSUYKYGWPVVDYHUWPEYIUMZWCUIZUWOLJUIZVVBUUQVVGUVLUWOUUQUVDVVG
      UVGEVVFVVFUNZYLUSYCVUBUUQVVHUVLUWOUUQUVEVVHUVFJEALRTUAYMUSYCJHVVFUVOLJEVV
      FVVIUAYJQYKWPUUSUWRUWAUWEIUWQVVAJEUVQUAUVAUWQUNPVVAUNUWRUNUUAUUBXOUUCUUDU
      VMUEVCJUWBUWFUUSUWCEUWGWDEUUEUMZUAVVJUNUVAUUQEUUFUIZUVLUUQUVDVVKUVGEUUGUS
      WRVCWDUIUVMUUJUUHUVMUUOUUPUVIVLZUWOUWBJUIUVMUYQVVLUVLUVIUUQVVCYNUUOUUPUVI
      YOVPZABCDEFHIUVOJUVHKLMNOPQRSTUAYPVSUVMUUOUUPUVKVLZUWOUWFJUIUVMVUFVVNUVLU
      VKUUQVVEYNUUOUUPUVKYOVPZABCDEFHIUVOJUVJKLMNOPQRSTUAYPVSUVMUWCWEUVMUWGWEUV
      MVVLUWCVVJYQYTVVMABCDEFUEHIUVHKLMNOPQRSTYRUSUVMVVNUWGVVJYQYTVVOABCDEFUEHI
      UVJKLMNOPQRSTYRUSUUIXOUVMUUOUUPUXQUWJUVTVKUUOUUPUVLUUKZUUOUUPUVLXHZUXTABC
      DEFGUEHIUVNKUJLMNOPQRSTUBYSWPUVMUWKUWDUWLUWHUUSUVMUUOUUPUVIUWKUWDVKVVPVVQ
      VURABCDEFGUEHIUVHKUJLMNOPQRSTUBYSWPUVMUUOUUPUVKUWLUWHVKVVPVVQVUSABCDEFGUE
      HIUVJKUJLMNOPQRSTUBYSWPUULUUMUUN $.

    $( The transformation of polynomial matrices into polynomials over matrices
       is an additive group isomorphism.  (Contributed by AV, 17-Oct-2019.) $)
    pm2mpgrpiso $p |- ( ( N e. Fin /\ R e. Ring ) -> T e. ( C GrpIso Q ) ) $=
      ( cfn wcel crg wa cghm cbs cfv wf1o cgim pm2mpghm pm2mpf1o isgim sylanbrc
      co eqid ) KUCUDFUEUDUFGCEUGUPUDBEUHUIZGUJGCEUKUPUDABCDEFGHIJKLMNOPQRSTUAU
      BULABCDEFGHIURKLMNOPQRSTURUQZUBUMBURCEGOUSUNUO $.

    $d A l n s $.  $d B s $.  $d C s $.  $d N s $.  $d Q n s $.  $d P k $.
    $d R l n s $.  $d X l n s $.  $d .* l n s $.  $d .^ l n s $.
    $d a b i j s n x y $.  $d k l s x y $.
    $( Lemma 1 for ~ pm2mpmhm .  (Contributed by AV, 21-Oct-2019.)  (Revised by
       AV, 6-Dec-2019.) $)
    pm2mpmhmlem1 $p |- ( ( ( N e. Fin /\ R e. Ring )
                                 /\ ( x e. B /\ y e. B ) )
                  -> ( l e. NN0 |-> ( ( A gsum ( k e. ( 0 ... l )
           |-> ( ( x decompPMat k ) ( .r ` A ) ( y decompPMat ( l - k ) ) ) ) )
                         .* ( l .^ X ) ) ) finSupp ( 0g ` Q ) ) $=
      ( vn vs vi vj va vb cfn wcel crg wa cv cvv cc0 cfz co cdecpmat cmin cmulr
      cfv cmpt c0g fvexd cn0 ovexd weq oveq2 oveq1 oveq2d mpteq12dv oveq12d clt
      cgsu wbr wceq wi wral wrex cco1 cmpo simpll simplr pmatring anim1i 3anass
      w3a sylibr eqid ringcl pmatcoe1fsupp syl3anc fvoveq1 fveq1d eqeq1d fveq2d
      syl csca rspc2va expcom adantl 3impib mpoeq3dva ad3antrrr matring ply1sca
      mat0op 3eqtr2d oveq1d clmod ply1lmod adantr cmgp ply1moncl sylan syl2an2r
      lmod0vs ex imim2d ralimdva reximdv mpd decpmatval imbi2d ralbidva rexbidv
      eqtrd mpbird decpmatmul ad4ant234 eqcomd mptnn0fsuppd ) NUMUNZHUOUNZUPZAU
      QZDUNZBUQZDUNZUPZUPZUGURCJUSPUQZUTVAZYTJUQZVBVAZUUBUUFUUHVCVAZVBVAZCVDVEZ
      VAZVFZVRVAZUUFOKVAZLVACJUSUGUQZUTVAZUUIUUBUUQUUHVCVAZVBVAZUULVAZVFZVRVAZU
      UQOKVAZLVAZPURGVGVEZUHUUEGVGVHUUEUUFVIUNUPUUOUUPLVJPUGVKZUUOUVCUUPUVDLUVG
      UUNUVBCVRUVGJUUGUUMUURUVAUUFUUQUSUTVLUVGUUKUUTUUIUULUVGUUJUUSUUBVBUUFUUQU
      UHVCVMVNVNVOVNUUFUUQOKVMVPUUEUHUQUUQVQVSZUVEUVFVTZWAZUGVIWBZUHVIWCUVHYTUU
      BEVDVEZVAZUUQVBVAZUVDLVAZUVFVTZWAZUGVIWBZUHVIWCZUUEUVSUVHUIUJNNUUQUIUQZUJ
      UQZUVMVAZWDVEZVEZWEZUVDLVAZUVFVTZWAZUGVIWBZUHVIWCZUUEUVHUUQUKUQZULUQZUVMV
      AWDVEZVEZHVGVEZVTZULNWBUKNWBZWAZUGVIWBZUHVIWCZUWJUUEYQYRUVMDUNZUWTYQYRUUD
      WFYQYRUUDWGUUEEUOUNZUUAUUCWKZUXAUUEUXBUUDUPUXCYSUXBUUDEFHNQRWHWIUXBUUAUUC
      WJWLDEUVLYTUUBSUVLWMWNXAZUGDEFHUKULUVMNUWOUHQRSUWOWMZWOWPUUEUWSUWIUHVIUUE
      UWRUWHUGVIUUEUUQVIUNZUPZUWQUWGUVHUXGUWQUWGUXGUWQUPZUWFGXBVEZVGVEZUVDLVAZU
      VFUXHUWEUXJUVDLUXHUWEUIUJNNUWOWEZCVGVEZUXJUXHUIUJNNUWDUWOUXHUVTNUNZUWANUN
      ZUWDUWOVTZUWQUXNUXOUPZUXPWAUXGUXQUWQUXPUWPUXPUUQUVTUWLUVMVAZWDVEZVEZUWOVT
      UKULUVTUWANNUKUIVKZUWNUXTUWOUYAUUQUWMUXSUWKUVTUWLWDUVMWQWRWSULUJVKZUXTUWD
      UWOUYBUUQUXSUWCUYBUXRUWBWDUWLUWAUVTUVMVLWTWRWSXCXDXEXFXGYSUXMUXLVTUUDUXFU
      WQCHUIUJNUWOUCUXEXKXHUXHCUXIVGYSCUXIVTZUUDUXFUWQYSCUOUNZUYCCHNUCXIZGCUOUD
      XJXAXHWTXLXMUXGUXKUVFVTZUWQUUEGXNUNZUXFUVDMUNZUYFYSUYGUUDYSUYDUYGUYEGCUDX
      OXAXPUUEUYDUXFUYHYSUYDUUDUYEXPMUUQGCKGXQVEZOUDUBUYIWMUAUEXRXSLUXIUXJMGUVD
      UVFUEUXIWMTUXJWMUVFWMYAXTXPYKYBYCYDYEYFUUEUVRUWIUHVIUUEUVQUWHUGVIUXGUVPUW
      GUVHUXGUVOUWFUVFUXGUVNUWEUVDLUUEUXAUXFUVNUWEVTUXDEDFUIUJUUQUVMNRSYGXSXMWS
      YHYIYJYLUUEUVKUVRUHVIUUEUVJUVQUGVIUXGUVIUVPUVHUXGUVEUVOUVFUXGUVCUVNUVDLUX
      GUVNUVCYRUUDUXFUVNUVCVTYQCDEFHYTJUUQNUUBQRSUCYMYNYOXMWSYHYIYJYLYP $.
  $}

  ${
    pm2mpmhm.p $e |- P = ( Poly1 ` R ) $.
    pm2mpmhm.c $e |- C = ( N Mat P ) $.
    pm2mpmhm.a $e |- A = ( N Mat R ) $.
    pm2mpmhm.q $e |- Q = ( Poly1 ` A ) $.
    pm2mpmhm.t $e |- T = ( N pMatToMatPoly R ) $.
    ${
      $d A k l n r $.  $d A k l n z $.  $d B k l n r x y $.  $d B k z $.
      $d C k z $.  $d N k l n r x y $.  $d N k z $.  $d P z $.  $d Q k l n r $.
      $d Q k l n z $.  $d R k l n r x y $.  $d R k l n x y z $.
      pm2mpmhm.b $e |- B = ( Base ` C ) $.
      $( Lemma 2 for ~ pm2mpmhm .  (Contributed by AV, 22-Oct-2019.)  (Revised
         by AV, 6-Dec-2019.) $)
      pm2mpmhmlem2 $p |- ( ( N e. Fin /\ R e. Ring ) -> A. x e. B A. y e. B
           ( T ` ( x ( .r ` C ) y ) ) = ( ( T ` x ) ( .r ` Q ) ( T ` y ) ) ) $=
        ( vk wcel co cn0 vz vn vr vl cfn crg wa cv cmulr cfv wceq cdecpmat cmgp
        cv1 cmg cvsca cmpt cgsu cmin simpll simplr pmatring adantr simpl adantl
        cc0 cfz simpr eqid ringcl syl3anc pm2mpfval decpmatmul ad4ant234 oveq1d
        mpteq2dva cco1 wral csb cbs c0g matring ad2antrr ccmn ringcmn ad3antrrr
        oveq2d syl fzfid simp-5r elfznn0 decpmatcl fznn0sub ralrimiva gsummptcl
        cfsupp wbr decpmatmulsumfsupp gsummoncoe1 csbov2g oveq2 oveq1 mpteq12dv
        weq csbied eqtrd cvv eqidd fvoveq1 ovexd fvmptd ply1ring a1i w3a anim2i
        nn0ex df-3an sylibr pm2mpghmlem1 sylan fmpttd pm2mpghmlem2 3jca coe1mul
        gsumcl fveq1d oveq12d cbvmptv jca decpmatfsupp csbvarg eqtr2d ovex mp1i
        id 3eqtrrd syl5eq 3eqtr4rd 3eqtrd wb clmod csca simp-4r simplrl simplrr
        ply1lmod ply1sca eqcomd fveq2d eleqtrrd ply1moncl sylancom pm2mpmhmlem1
        lmodvscl ply1coe1eq mpbid eqtr4d ralrimivva ) JUERZHUFRZUGZAUHZBUHZEUIU
        JZSZIUJZUVBIUJZUVCIUJZGUIUJZSZUKABDDUVAUVBDRZUVCDRZUGZUGZUVFGQTUVBQUHZU
        LSZUVOCUNUJZGUMUJZUOUJZSZGUPUJZSZUQZURSZGQTUVCUVOULSZUVTUWASZUQZURSZUVI
        SZUVJUVNUVFGQTUVEUVOULSZUVTUWASZUQZURSZGQTCUAVFUVOVGSZUVBUAUHZULSZUVCUV
        OUWOUSSZULSZCUIUJZSZUQZURSZUVTUWASZUQZURSZUWIUVNUUSUUTUVEDRZUVFUWMUKUUS
        UUTUVMUTZUUSUUTUVMVAZUVNEUFRZUVKUVLUXFUVAUXIUVMEFHJKLVBVCUVMUVKUVAUVKUV
        LVDZVEZUVMUVLUVAUVKUVLVHZVEZDEUVDUVBUVCPUVDVIVJVKCDEFGHIQUVSUWAUVEJUFUV
        QKLPUWAVIZUVSVIZUVQVIZMNOVLVKUVNUWLUXDGURUVNQTUWKUXCUVNUVOTRZUGZUWJUXBU
        VTUWAUUTUVMUXQUWJUXBUKUUSCDEFHUVBUAUVOJUVCKLPMVMVNVOVPWGUVNUBUHZUXEVQUJ
        ZUJZUXSUWIVQUJZUJZUKZUBTVRZUXEUWIUKZUVNUYDUBTUVNUXSTRZUGZUYAQUXSUXBVSZC
        UAVFUXSVGSZUWPUVCUXSUWOUSSZULSZUWSSZUQZURSZUYCUYHUXBGVTUJZGCQUVSUWACVTU
        JZUXSUVQCWAUJZNUYPVIZUXPUXOUVACUFRZUVMUYGCHJMWBZWCZUYQVIZUXNUYRVIZUYHUX
        BUYQRQTUYHUXQUGZUYQUACUWNUWTVUCUVACWDRZUVMUYGUXQUVAUYTVUFVUACWEWHZWFVUE
        VFUVOWIVUEUWTUYQRZUAUWNVUEUWOUWNRZUGZUYTUWPUYQRZUWRUYQRZVUHUYHUYTUXQVUI
        VUBWCVUJUUTUVKUWOTRZVUKUUSUUTUVMUYGUXQVUIWJZUVNUVKUYGUXQVUIUXKWFVUIVUMV
        UEUWOUVOWKZVECDEUYQFHUWOUVBJUFKLPMVUCWLZVKVUJUUTUVLUWQTRZVULVUNUVNUVLUY
        GUXQVUIUXMWFVUIVUQVUEUWOVFUVOWMZVECDEUYQFHUWQUVCJUFKLPMVUCWLZVKUYQCUWSU
        WPUWRVUCUWSVIZVJZVKWNWOWNUVNQTUXBUQUYRWPWQUYGABCDEFHUWSUAJUYRQKLPMVUTVU
        DWRVCUVNUYGVHZWSUYGUYIUYOUKUVNUYGUYICQUXSUXAVSZURSUYOQUXSCUXAURTWTUYGVV
        CUYNCURUYGQUXSUXAUYNTUYGYOQUBXDZUXAUYNUKUYGVVDUAUWNUWTUYJUYMUVOUXSVFVGX
        AVVDUWRUYLUWPUWSVVDUWQUYKUVCULUVOUXSUWOUSXBWGWGXCVEXEWGXFVEUYHUXSUCTCUD
        VFUCUHZVGSZUDUHZUWDVQUJUJZVVEVVGUSSUWHVQUJZUJZUWSSZUQZURSZUQZUJZCUDUYJV
        VHUXSVVGUSSZVVIUJZUWSSZUQZURSZUYCUYOUYHUCUXSVVMVVTTVVNXGUYHVVNXHUCUBXDZ
        VVMVVTUKUYHVWAVVLVVSCURVWAUDVVFVVKUYJVVRVVEUXSVFVGXAVWAVVJVVQVVHUWSVVEU
        XSVVGVVIUSXIWGXCWGVEVVBUYHCVVSURXJXKUYHUYTUWDUYPRZUWHUYPRZUYCVVOUKVUBUY
        HTUYPUWCGXGGWAUJZUYSVWDVIZUVAGWDRZUVMUYGUVAGUFRZVWFUVAUYTVWGVUAGCNXLWHZ
        GWEWHZWCZTXGRZUYHXPXMZUYHQTUWBUYPUYHUUSUUTUVKXNZUXQUWBUYPRZUVNVWMUYGUVN
        UVAUVKUGVWMUVMUVKUVAUXJXOUUSUUTUVKXQXRZVCZCDEFGHUVSUWAUVOUYPUVBJUVQKLPU
        XNUXOUXPMNUYSXSZXTYAUYHVWMUWCVWDWPWQZVWPCDEFGHQUVSUWAUVBJUVQKLPUXNUXOUX
        PMNYBZWHYEUYHTUYPUWGGXGVWDUYSVWEVWJVWLUYHQTUWFUYPUYHUUSUUTUVLXNZUXQUWFU
        YPRZUVNVWTUYGUVNUVAUVLUGVWTUVMUVLUVAUXLXOUUSUUTUVLXQXRZVCCDEFGHUVSUWAUV
        OUYPUVCJUVQKLPUXNUXOUXPMNUYSXSZXTYAUYHVWTUWGVWDWPWQZUVNVWTUYGUVNUUSUUTU
        VLUXGUXHUXMYCVCCDEFGHQUVSUWAUVCJUVQKLPUXNUXOUXPMNYBZWHYEUYTVWBVWCXNUXSU
        YBVVNUDUYPCUVIUWSUCUWDUWHGNUVIVIZVUTUYSYDYFVKUYHUYNVVSCURUYHUYNUDUYJUVB
        VVGULSZUVCVVPULSZUWSSZUQVVSUAUDUYJUYMVXIUAUDXDZUWPVXGUYLVXHUWSUWOVVGUVB
        ULXAVXJUYKVVPUVCULUWOVVGUXSUSXAWGYGYHUYHUDUYJVXIVVRUYHVVGUYJRZUGZVXGVVH
        VXHVVQUWSVXLVVHQVVGUVPVSZVXGVXLUVPUYPGCQUVSUWAUYQVVGUVQUYRNUYSUXPUXOUVA
        UYTUVMUYGVXKVUAWFZVUCUXNVUDVXLUVPUYQRZQTVXLUXQUGZUUTUVKUXQVXOUUSUUTUVMU
        YGVXKUXQWJZUVNUVKUYGVXKUXQUXKWFVXLUXQVHZCDEUYQFHUVOUVBJUFKLPMVUCWLVKWNV
        XLUUTUVKUGZQTUVPUQUYRWPWQUVNVXSUYGVXKUVNUUTUVKUXHUXKYIWCCDEFHQUVBJUYRKL
        PMVUDYJWHVXKVVGTRUYHVVGUXSWKVEWSVXKVXMVXGUKUYHVXKVXMUVBQVVGUVOVSZULSVXG
        QVVGUVBUVOULUYJWTVXKVXTVVGUVBULQVVGUYJYKWGXFVEYLVXLVVQQVVPUWEVSZUVCQVVP
        UVOVSZULSZVXHVXLUWEUYPGCQUVSUWAUYQVVPUVQUYRNUYSUXPUXOVXNVUCUXNVUDVXLUWE
        UYQRZQTVXPUUTUVLUXQVYDVXQUVNUVLUYGVXKUXQUXMWFVXRCDEUYQFHUVOUVCJUFKLPMVU
        CWLVKWNVXLUUTUVLUGZQTUWEUQUYRWPWQUVNVYEUYGVXKUVNUUTUVLUXHUXMYIWCCDEFHQU
        VCJUYRKLPMVUDYJWHVXKVVPTRUYHVVGVFUXSWMVEWSVVPXGRZVYAVYCUKVXLUXSVVGUSYMZ
        QVVPUVCUVOULXGWTYNVXLVYBVVPUVCULVYFVYBVVPUKVXLVYGQVVPXGYKYNWGYPYGVPYQWG
        YRYSWNUVNUYTUXEUYPRUWIUYPRZUYEUYFYTUVAUYTUVMVUAVCUVNTUYPUXDGXGVWDUYSVWE
        UVAVWFUVMVWIVCZVWKUVNXPXMZUVNQTUXCUYPUXRGUUARZUXBGUUBUJZVTUJZRUVTUYPRZU
        XCUYPRUVAVYKUVMUXQUVAUYTVYKVUAGCNUUFWHWCUXRUXBUYQVYMUXRUYQUACUWNUWTVUCU
        VAVUFUVMUXQVUGWCUXRVFUVOWIUXRVUHUAUWNUXRVUIUGZUYTVUKVULVUHUVAUYTUVMUXQV
        UIVUAWFVYOUUTUVKVUMVUKUUSUUTUVMUXQVUIUUCZUXRUVKVUIUVAUVKUVLUXQUUDVCVUIV
        UMUXRVUOVEVUPVKVYOUUTUVLVUQVULVYPUXRUVLVUIUVAUVKUVLUXQUUEVCVUIVUQUXRVUR
        VEVUSVKVVAVKWNWOUXRVYLCVTUXRCVYLUXRUYTCVYLUKUVAUYTUVMUXQVUAWCZGCUFNUUGW
        HUUHUUIUUJUVNUXQUYTVYNVYQUYPUVOGCUVSUVRUVQNUXPUVRVIUXOUYSUUKUULUXBUWAVY
        LVYMUYPGUVTUYSVYLVIUXNVYMVIUUNVKYAABCDEFGHIUAUVSUWAUYPJUVQQKLPUXNUXOUXP
        MNUYSOUUMYEUVNVWGVWBVWCVYHUVAVWGUVMVWHVCUVNTUYPUWCGXGVWDUYSVWEVYIVYJUVN
        QTUWBUYPUVNVWMUXQVWNVWOVWQXTYAUVNVWMVWRVWOVWSWHYEUVNTUYPUWGGXGVWDUYSVWE
        VYIVYJUVNQTUWFUYPUVNVWTUXQVXAVXBVXCXTYAUVNUUSUUTUVLVXDUXGUXHUXMVXEVKYEU
        YPGUVIUWDUWHUYSVXFVJVKUXTUYPUYBGCUBUXEUWINUYSUXTVIUYBVIUUOVKUUPYSUVNUVG
        UWDUVHUWHUVIUVNUUSUUTUVKUVGUWDUKUXGUXHUXKCDEFGHIQUVSUWAUVBJUFUVQKLPUXNU
        XOUXPMNOVLVKUVNUUSUUTUVLUVHUWHUKUXGUXHUXMCDEFGHIQUVSUWAUVCJUFUVQKLPUXNU
        XOUXPMNOVLVKYGUUQUUR $.
    $}

    $d C x y $.  $d N x y $.  $d Q x y $.  $d R x y $.  $d T x y $.
    $( The transformation of polynomial matrices into polynomials over matrices
       is a homomorphism of multiplicative monoids.  (Contributed by AV,
       22-Oct-2019.)  (Revised by AV, 6-Dec-2019.) $)
    pm2mpmhm $p |- ( ( N e. Fin /\ R e. Ring )
                     -> T e. ( ( mulGrp ` C ) MndHom ( mulGrp ` Q ) ) ) $=
      ( vx vy wcel crg cfv cbs co eqid cfn wa cmgp cmnd wf cv wceq wral cur w3a
      cmulr cmhm pmatring ringmgp syl matring ply1ring 3syl cvsca mgpbas eqcomi
      cmg cv1 pm2mpf pm2mpmhmlem2 idpm2idmp mgpplusg ringidval ismhm syl21anbrc
      3jca ) GUAOEPOUBZBUCQZUDOZDUCQZUDOZVMRQZVORQZFUEZMUFZNUFZBUKQZSFQVTFQWAFQ
      DUKQZSUGNVQUHMVQUHZBUIQZFQDUIQZUGZUJFVMVOULSOVLBPOVNBCEGHIUMBVMVMTZUNUOVL
      APODPOVPAEGJUPDAKUQDVOVOTZUNURVLVSWDWGAVQBCDEFVOVBQZDUSQZVRGAVCQZHIBRQZVQ
      WMBVMWHWMTZUTVAZWKTZWJTZWLTZJKLDRQZVRWSDVOWIWSTUTVAVDMNAVQBCDEFGHIJKLWOVE
      AWMBCDEFWJWKGWLHIWNWPWQWRJKLVFVKMNVQVRWBWCVMVOFWFWEVQTVRTBWBVMWHWBTVGDWCV
      OWIWCTVGBWEVMWHWETVHDWFVOWIWFTVHVIVJ $.

    $( The transformation of polynomial matrices into polynomials over matrices
       is a ring homomorphism.  (Contributed by AV, 22-Oct-2019.) $)
    pm2mprhm $p |- ( ( N e. Fin /\ R e. Ring ) -> T e. ( C RingHom Q ) ) $=
      ( wcel crg wa co cmgp cfv cbs eqid cfn cghm crh pmatring matring ply1ring
      cmhm syl cmg cvsca cv1 pm2mpghm pm2mpmhm jca isrhm syl21anbrc ) GUAMENMOZ
      BNMDNMZFBDUBPMZFBQRZDQRZUGPMZOFBDUCPMBCEGHIUDUQANMURAEGJUEDAKUFUHUQUSVBAB
      SRZBCDEFVAUIRZDUJRZDSRZGAUKRZHIVCTVETVDTVGTJKVFTLULABCDEFGHIJKLUMUNBDFUTV
      AUTTVATUOUP $.

    $( The transformation of polynomial matrices into polynomials over matrices
       is a ring isomorphism.  (Contributed by AV, 22-Oct-2019.) $)
    pm2mprngiso $p |- ( ( N e. Fin /\ R e. Ring ) -> T e. ( C RingIso Q ) ) $=
      ( cfn wcel crg wa co cbs cfv eqid crs crh wf1o pm2mprhm cmgp cmg pm2mpf1o
      cvsca cv1 wb pmatring matring ply1ring syl isrim syl2anc mpbir2and ) GMNE
      ONPZFBDUAQNZFBDUBQNZBRSZDRSZFUCZABCDEFGHIJKLUDAVABCDEFDUESUFSZDUHSZVBGAUI
      SZHIVATZVETVDTVFTJKVBTZLUGURBONDONZUSUTVCPUJBCEGHIUKURAONVIAEGJULDAKUMUNV
      AVBBDFOOVGVHUOUPUQ $.
  $}

  ${
    pmmpric.p $e |- P = ( Poly1 ` R ) $.
    pmmpric.c $e |- C = ( N Mat P ) $.
    pmmpric.a $e |- A = ( N Mat R ) $.
    pmmpric.q $e |- Q = ( Poly1 ` A ) $.
    $( The ring of polynomial matrices over a ring is isomorphic to the ring of
       polynomials over matrices of the same dimension over the same ring.
       (Contributed by AV, 30-Dec-2019.) $)
    pmmpric $p |- ( ( N e. Fin /\ R e. Ring ) -> C ~=r Q ) $=
      ( cfn wcel crg wa crs co c0 wne cric wbr cpm2mp pm2mprngiso brric sylibr
      eqid ne0d ) FKLEMLNZBDOPZQRBDSTUGUHFEUAPZABCDEUIFGHIJUIUEUBUFBDUCUD $.
  $}

  ${
    $d B k $.  $d E k $.  $d K k $.  $d L k $.  $d M k $.  $d N k $.
    $d N x y $.  $d Q k $.  $d R k $.  $d T k $.  $d X k $.  $d Y k $.
    $d .* k $.  $d .^ k $.  $d .x. k $.
    monmat2matmon.p $e |- P = ( Poly1 ` R ) $.
    monmat2matmon.c $e |- C = ( N Mat P ) $.
    monmat2matmon.b $e |- B = ( Base ` C ) $.
    monmat2matmon.m1 $e |- .* = ( .s ` Q ) $.
    monmat2matmon.e1 $e |- .^ = ( .g ` ( mulGrp ` Q ) ) $.
    monmat2matmon.x $e |- X = ( var1 ` A ) $.
    monmat2matmon.a $e |- A = ( N Mat R ) $.
    monmat2matmon.k $e |- K = ( Base ` A ) $.
    monmat2matmon.q $e |- Q = ( Poly1 ` A ) $.
    monmat2matmon.i $e |- I = ( N pMatToMatPoly R ) $.
    monmat2matmon.e2 $e |- E = ( .g ` ( mulGrp ` P ) ) $.
    monmat2matmon.y $e |- Y = ( var1 ` R ) $.
    monmat2matmon.m2 $e |- .x. = ( .s ` C ) $.
    monmat2matmon.t $e |- T = ( N matToPolyMat R ) $.
    $( The transformation of a polynomial matrix having scaled monomials with
       the same power as entries into a scaled monomial as a polynomial over
       matrices.  (Contributed by AV, 11-Nov-2019.)  (Revised by AV,
       7-Dec-2019.) $)
    monmat2matmon $p |- ( ( ( N e. Fin /\ R e. CRing )
                            /\ ( M e. K /\ L e. NN0 ) )
                        -> ( I ` ( ( L E Y ) .x. ( T ` M ) ) )
                           = ( M .* ( L .^ X ) ) ) $=
      ( vk cfn wcel ccrg wa cn0 co cfv cdecpmat cmpt cgsu csb crg wceq crngring
      simpll simplr mat2pmatscmxcl pm2mpfval syl3anc sylanl2 c0g cif w3a anim1i
      cv simpr df-3an sylibr eqid monmatcollpw syl2anc oveq1d a1i anim2d anim1d
      wi imdistanri ovif matring ply1sca syl ad2antrr fveq2d clmod cbs ply1lmod
      csca cmgp cmnd ringmgp vr1cl mgpbas mulgnn0cl lmod0vs eqtrd ifeq2d syl5eq
      ply1ring mpteq2dva oveq2d cvv ringmnd adantr simprr eleq2d biimpcd impcom
      lmodvscl ralrimiva gsummpt1n0 csbov2g csbov1g csbvarg ad2antll 3eqtrd
      nn0ex ) PUNUOZFUPUOZUQZOMUOZNURUOZUQZUQZNRIUSOGUTHUSZKUTZEUMURYQUMVRZVAUS
      ZYSQJUSZLUSZVBZVCUSZUMNOUUALUSZVDZONQJUSZLUSZYKYJFVEUOZYOYRUUDVFZFVGZYJUU
      IUQZYOUQZYJUUIYQBUOUUJYJUUIYOVHYJUUIYOVIABCDFGIHMNOPRUEUFULSTUAUKUIUJVJAB
      CDEFKUMJLYQPVEQSTUAUBUCUDUEUGUHVKVLVMYPUUDEUMURYSNVFZUUEEVNUTZVOZVBZVCUSZ
      UUFYPUUCUUQEVCYPUMURUUBUUPYPYSURUOZUQZUUBUUNOAVNUTZVOZUUALUSZUUPUUTYTUVBU
      UALUUTYLYMYNUUSVPZYTUVBVFYLYOUUSVHUUTYOUUSUQUVDYPYOUUSYLYOVSVQYMYNUUSVTWA
      ACDFGHIYSMNOPRUVASTUEUFUVAWBUIUJUKULWCWDWEUUTUUMUUSUQZUVCUUPVFUUSYPUUMUUS
      YLUULYOUUSYKUUIYJYKUUIWIUUSUUKWFWGWHWJUVEUVCUUNUUEUVAUUALUSZVOUUPUUNOUVAU
      UALWKUVEUUNUVFUUOUUEUVEUVFEWTUTZVNUTZUUALUSZUUOUVEUVAUVHUUALUVEAUVGVNUULA
      UVGVFZYOUUSUULAVEUOZUVJAFPUEWLZEAVEUGWMWNZWOWPWEUVEEWQUOZUUAEWRUTZUOZUVIU
      UOVFUULUVNYOUUSUULUVKUVNUVLEAUGWSWNWOZUVEEXAUTZXBUOZUUSQUVOUOZUVPUULUVSYO
      UUSUULEVEUOZUVSUULUVKUWAUVLEAUGXKWNZEUVRUVRWBZXCWNWOUUMUUSVSUULUVTYOUUSUU
      LUVKUVTUVLUVOEAQUDUGUVOWBZXDWNWOUVOJUVRYSQUVOEUVRUWCUWDXEUCXFVLZLUVGUVHUV
      OEUUAUUOUWDUVGWBZUBUVHWBUUOWBZXGWDXHXIXJWNXHXLXMYKYJUUIYOUURUUFVFUUKUUMUU
      EUMUUQEURXNNUUOUWGUULEXBUOZYOUULUWAUWHUWBEXOWNXPURXNUOUUMYIWFUULYMYNXQUUQ
      WBUUMUUEUVOUOZUMURUVEUVNOUVGWRUTZUOZUVPUWIUVQUUMUWKUUSYOUULUWKYMUULUWKWIY
      NUULYMUWKUULMUWJOUULMAWRUTUWJUFUULAUVGWRUVMWPXJXRXSXPXTXPUWEOLUVGUWJUVOEU
      UAUWDUWFUBUWJWBYAVLYBYCVMXHYNUUFUUHVFYLYMYNUUFOUMNUUAVDZLUSUUHUMNOUUALURY
      DYNUWLUUGOLYNUWLUMNYSVDZQJUSUUGUMNYSQJURYEYNUWMNQJUMNURYFWEXHXMXHYGYH $.

    $d A n x y $.  $d B n $.  $d C x y $.  $d E n x y $.  $d I n $.
    $d K n x y $.  $d M n x y $.  $d N n x y $.  $d R n x y $.  $d T n x y $.
    $d Y n x y $.  $d .x. n x y $.
    $( The transformation of a sum of matrices having scaled monomials with the
       same power as entries into a sum of scaled monomials as a polynomial
       over matrices.  (Contributed by AV, 12-Nov-2019.)  (Revised by AV,
       7-Dec-2019.) $)
    pm2mp $p |- ( ( ( N e. Fin /\ R e. CRing )
                        /\ ( M e. ( K ^m NN0 ) /\ M finSupp ( 0g ` A ) ) )
                      -> ( I ` ( C gsum ( n e. NN0
                               |-> ( ( n E Y ) .x. ( T ` ( M ` n ) ) ) ) ) )
                         = ( Q gsum ( n e. NN0
                                       |-> ( ( M ` n ) .* ( n .^ X ) ) ) ) ) $=
      ( vx vy cfn wcel ccrg wa cn0 cmap co c0g cfv cfsupp wbr cv cmpt cgsu eqid
      cvv ccmn crngring anim2i pmatring ringcmn 3syl adantr cmnd matring sylan2
      crg ply1ring ringmnd nn0ex a1i cghm cbs pm2mpghm ghmmhm syl elmapi adantl
      cmhm wf ffvelrnda simpr mat2pmatscmxcl syl12anc fvexd ovexd clt wceq wral
      csb wrex fvex fsuppmapnn0ub sylancl csbov12g csbov1g csbvarg oveq1d eqtrd
      csbfv2g fveq2d oveq12d fveq2 oveq2d mat2pmatghm ad3antrrr mhm0 clmod csca
      wi matlmod ringmgp vr1cl mgpbas mulgnn0cl syl3anc ply1crng matsca2 eqcomd
      cmgp eleqtrrd lmodvs0 syl2anc sylan9eqr ex imim2d syld mptnn0fsupp simpll
      ralimdva reximdva impr gsummptmhm monmat2matmon mpteq2dva eqtr3d ) PUOUPZ
      FUQUPZURZONUSUTVAUPZOAVBVCZVDVEZURZURZEIUSIVFZRJVAZUUSOVCZGVCZHVAZLVCZVGZ
      VHVACIUSUVCVGVHVALVCEIUSUVAUUSQKVAMVAZVGZVHVAUURIUSBUVCCELVJCVBVCZUAUVHVI
      ZUUMCVKUPZUUQUUMUUKFWAUPZURZCWAUPUVJUULUVKUUKFVLZVMZCDFPSTVNCVOVPVQUUMEVR
      UPZUUQUUMAWAUPZEWAUPUVOUULUUKUVKUVPUVMAFPUEVSVTEAUGWBEWCVPVQUSVJUPUURWDWE
      UURLCEWFVAUPZLCEWMVAUPUUMUVQUUQUULUUKUVKUVQUVMABCDEFLKMEWGVCZPQSTUAUBUCUD
      UEUGUVRVIUHWHVTVQCELWIWJUURUUSUSUPZURZUVLUVANUPZUVSUVCBUPUURUVLUVSUUMUVLU
      UQUVNVQVQUURUSNUUSOUUQUSNOWNZUUMUUNUWBUUPONUSWKVQWLWOZUURUVSWPZABCDFGJHNU
      USUVAPRUEUFULSTUAUKUIUJWQWRUURUMVJUVCIVJUVHUNUURCVBWSUVTUUTUVBHWTUUMUUNUU
      PUNVFZUMVFZXAVEZIUWFUVCXDZUVHXBZYDZUMUSXCZUNUSXEZUUMUUNURZUUPUWGUWFOVCZUU
      OXBZYDZUMUSXCZUNUSXEZUWLUWMUUNUUOVJUPUUPUWRYDUUMUUNWPAVBXFUMNUNOVJUUOXGXH
      UWMUWQUWKUNUSUWMUWEUSUPZURZUWPUWJUMUSUWTUWFUSUPZURZUWOUWIUWGUXBUWOUWIUXBU
      WOURUWHUWFRJVAZUWNGVCZHVAZUVHUXBUWHUXEXBZUWOUXAUXFUWTUXAUWHIUWFUUTXDZIUWF
      UVBXDZHVAUXEIUWFUUTUVBHUSXIUXAUXGUXCUXHUXDHUXAUXGIUWFUUSXDZRJVAUXCIUWFUUS
      RJUSXJUXAUXIUWFRJIUWFUSXKZXLXMUXAUXHIUWFUVAXDZGVCUXDIUWFUVAUSGXNUXAUXKUWN
      GUXAUXKUXIOVCUWNIUWFUUSUSOXNUXAUXIUWFOUXJXOXMXOXMXPXMWLVQUWOUXBUXEUXCUUOG
      VCZHVAZUVHUWOUXDUXLUXCHUWNUUOGXQXRUXBUXMUXCUVHHVAZUVHUXBUXLUVHUXCHUXBGACW
      FVAUPZGACWMVAUPUXLUVHXBUUMUXOUUNUWSUXAUULUUKUVKUXOUVMANCDFGBPULUEUFSTUAXS
      VTXTACGWIACGUVHUUOUUOVIUVIYAVPXRUXBCYBUPZUXCCYCVCZWGVCZUPUXNUVHXBUUMUXPUU
      NUWSUXAUULUUKDWAUPZUXPUULUVKUXSUVMDFSWBWJZCDPTYEVTXTUXBUXCDWGVCZUXRUXBDYN
      VCZVRUPZUXARUYAUPZUXCUYAUPUUMUYCUUNUWSUXAUUMUXSUYCUULUXSUUKUXTWLDUYBUYBVI
      ZYFWJXTUWTUXAWPUUMUYDUUNUWSUXAUUMUVKUYDUULUVKUUKUVMWLUYADFRUJSUYAVIZYGWJX
      TUYAJUYBUWFRUYADUYBUYEUYFYHUIYIYJUXBUXQDWGUUMUXQDXBUUNUWSUXAUUMDUXQUULUUK
      DUQUPDUXQXBDFSYKCDPUQTYLVTYMXTXOYOHUXQUXRCUXCUVHUXQVIUKUXRVIUVIYPYQXMYRXM
      YSYTUUDUUEUUAUUFUUBUUGUURUVEUVGEVHUURIUSUVDUVFUVTUUMUWAUVSUVDUVFXBUUMUUQU
      VSUUCUWCUWDABCDEFGHJKLMNUUSUVAPQRSTUAUBUCUDUEUFUGUHUIUJUKULUUHWRUUIXRUUJ
      $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  The characteristic polynomial
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  According to Wikipedia ("Characteristic polynomial", 31-Jul-2019,
  ~ https://en.wikipedia.org/wiki/Characteristic_polynomial ):  "In linear
  algebra, the characteristic polynomial of a square matrix is a polynomial
  which is invariant under matrix similarity and has the eigenvalues as roots.
  It has the determinant and the trace of the matrix as coefficients.".  Based
  on the definition of the characteristic polynomial of a square matrix
  ( ~ df-chpmat ) the eigenvalues and corresponding eigenvectors can be
  defined.

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The _characteristic polynomial_ of a matrix ` A ` is the determinant of the
  _characteristic matrix_ of ` A ` : ` ( t I - A ) ` .

$)

  $c CharPlyMat $.

  $( Extend class notation with the characteristic polynomial. $)
  cchpmat $a class CharPlyMat $.

  ${
    $d m n r $.
    $( Define the characteristic polynomial of a square matrix.  According to
       Wikipedia ("Characteristic polynomial", 31-Jul-2019,
       ~ https://en.wikipedia.org/wiki/Characteristic_polynomial ):  "The
       characteristic polynomial of [an n x n matrix] A, denoted by p_A(t), is
       the polynomial defined by p_A ( t ) = det ( t I - A ) where I denotes
       the n-by-n identity matrix.".  In addition, however, the underlying ring
       must be commutative, see definition in [Lang], p. 561:  " Let k be a
       commutative ring ...  Let M be any n x n matrix in k ...  We define the
       characteristic polynomial P_M(t) to be the determinant det ( t I_n - M )
       where I_n is the unit n x n matrix."  To be more precise, the matrices A
       and I on the right hand side are matrices with coefficients of a
       polynomial ring.  Therefore, the original matrix A over a given
       commutative ring must be transformed into corresponding matrices over
       the polynomial ring over the given ring.  (Contributed by AV,
       2-Aug-2019.) $)
    df-chpmat $a |- CharPlyMat = ( n e. Fin , r e. _V
            |-> ( m e. ( Base ` ( n Mat r ) ) |-> ( ( n maDet ( Poly1 ` r ) ) `
     ( ( ( var1 ` r ) ( .s ` ( n Mat ( Poly1 ` r ) ) )
         ( 1r ` ( n Mat ( Poly1 ` r ) ) ) )
       ( -g ` ( n Mat ( Poly1 ` r ) ) ) ( ( n matToPolyMat r ) ` m ) ) ) ) ) $.
  $}

  ${
    chmatcl.a $e |- A = ( N Mat R ) $.
    chmatcl.b $e |- B = ( Base ` A ) $.
    chmatcl.p $e |- P = ( Poly1 ` R ) $.
    chmatcl.y $e |- Y = ( N Mat P ) $.
    chmatcl.x $e |- X = ( var1 ` R ) $.
    chmatcl.t $e |- T = ( N matToPolyMat R ) $.
    chmatcl.s $e |- .- = ( -g ` Y ) $.
    chmatcl.m $e |- .x. = ( .s ` Y ) $.
    chmatcl.1 $e |- .1. = ( 1r ` Y ) $.
    chmatcl.h $e |- H = ( ( X .x. .1. ) .- ( T ` M ) ) $.
    $( Closure of the characteristic matrix of a matrix.  (Contributed by AV,
       25-Oct-2019.)  (Proof shortened by AV, 29-Nov-2019.) $)
    chmatcl $p |- ( ( N e. Fin /\ R e. Ring /\ M e. B )
                   -> H e. ( Base ` Y ) ) $=
      ( cfn wcel crg w3a co cfv cbs cgrp wa pmatring ringgrp syl 3adant3 anim2i
      ply1ring 3ad2ant2 ringidcl matvscl syl12anc mat2pmatbas grpsubcl eqeltrid
      eqid vr1cl syl3anc ) KUDUEZDUFUEZIBUEZUGZHLGFUHZIEUIZJUHZMUJUIZUCVLMUKUEZ
      VMVPUEZVNVPUEVOVPUEVIVJVQVKVIVJULMUFUEZVQMCDKPQUMZMUNUOUPVLVICUFUEZULZLCU
      JUIZUEZGVPUEZVRVIVJWBVKVJWAVICDPURUQUPVJVIWDVKWCCDLRPWCVFZVGUSVLVSWEVIVJV
      SVKVTUPVPMGVPVFZUBUTUOMVPLCFWCKGWFQWGUAVAVBABMCDEIKSNOPQVCVPMJVMVNWGTVDVH
      VE $.

    $d B i j $.  $d I i j $.  $d J i j $.  $d M i j $.  $d N i j $.
    $d P i j $.  $d R i j $.  $d X i j $.  $d Y i j $.  $d .0. i j $.
    $d .x. i j $.
    chmatval.s $e |- .~ = ( -g ` P ) $.
    chmatval.0 $e |- .0. = ( 0g ` P ) $.
    $( The entries of the characteristic matrix of a matrix.  (Contributed by
       AV, 2-Aug-2019.)  (Proof shortened by AV, 10-Dec-2019.) $)
    chmatval $p |- ( ( ( N e. Fin /\ R e. Ring /\ M e. B )
                          /\ ( I e. N /\ J e. N ) )
                     -> ( I H J ) = if ( I = J , ( X .~ ( I ( T ` M ) J ) ) ,
                                            ( .0. .~ ( I ( T ` M ) J ) ) ) ) $=
      ( vi vj cfn wcel crg w3a wa co cfv cif oveqi cbs ply1ring 3ad2ant2 adantr
      wceq anim2i 3adant3 eqid vr1cl pmatring ringidcl syl syl12anc mat2pmatbas
      matvscl simpr matsubgcell syl121anc syl5eq cvv cur cmpo a1i oveq2d adantl
      cv simpl 3jca matsc eqtrd eqeq12 ifbid simprl cv1 fvexi c0g ovmpod oveq1d
      ifex ovif eqtrdi ) NULUMZEUNUMZLBUMZUOZJNUMZKNUMZUPZUPZJKIUQZJKOHGUQZUQZJ
      KLFURZUQZDUQZJKVEZOXNDUQQXNDUQUSZXIXJJKXKXMMUQZUQZXOIXRJKUGUTXICUNUMZXKPV
      AURZUMZXMYAUMZXHXSXOVEXEXTXHXCXBXTXDCETVBZVCVDXEYBXHXEXBXTUPZOCVAURZUMZHY
      AUMZYBXBXCYEXDXCXTXBYDVFVGXCXBYGXDYFCEOUBTYFVHZVIZVCXEPUNUMZYHXBXCYKXDPCE
      NTUAVJVGYAPHYAVHZUFVKVLPYAOCGYFNHYIUAYLUEVOVMVDXEYCXHABPCEFLNUCRSTUAVNVDX
      EXHVPPYACMJKDNXKXMUAYLUDUHVQVRVSXIXOXPOQUSZXNDUQXQXIXLYMXNDXIUJUKJKNNUJWF
      ZUKWFZVEZOQUSZYMXKVTXIXKOPWAURZGUQZUJUKNNYQWBZXIHYROGHYRVEXIUFWCWDXIXBXTY
      GUOZYSYTVEXEUUAXHXBXCUUAXDXBXCUPXBXTYGXBXCWGXCXTXBYDWEXCYGXBYJWEWHVGVDPCG
      UJUKYFONQUAYIUEUIWIVLWJYNJVEYOKVEUPZYQYMVEXIUUBYPXPOQYNJYOKWKWLWEXEXFXGWM
      XHXGXEXFXGVPWEYMVTUMXIXPOQOEWNUBWOQCWPUIWOWSWCWQWRXPOQXNDWTXAWJ $.
  $}

  ${
    $d m n r B $.  $d m n r D $.  $d m n r .1. $.  $d m n r N $.  $d m n r R $.
    $d m n r X $.  $d m n r T $.  $d n r V $.  $d m n r .x. $.  $d m n r .- $.
    chpmatfval.c $e |- C = ( N CharPlyMat R ) $.
    chpmatfval.a $e |- A = ( N Mat R ) $.
    chpmatfval.b $e |- B = ( Base ` A ) $.
    chpmatfval.p $e |- P = ( Poly1 ` R ) $.
    chpmatfval.y $e |- Y = ( N Mat P ) $.
    chpmatfval.d $e |- D = ( N maDet P ) $.
    chpmatfval.s $e |- .- = ( -g ` Y ) $.
    chpmatfval.x $e |- X = ( var1 ` R ) $.
    chpmatfval.m $e |- .x. = ( .s ` Y ) $.
    chpmatfval.t $e |- T = ( N matToPolyMat R ) $.
    chpmatfval.i $e |- .1. = ( 1r ` Y ) $.
    $( Value of the characteristic polynomial function.  (Contributed by AV,
       2-Aug-2019.) $)
    chpmatfval $p |- ( ( N e. Fin /\ R e. V )
              -> C = ( m e. B |-> ( D ` ( ( X .x. .1. ) .- ( T ` m ) ) ) ) ) $=
      ( vn vr cfn wcel wa cchpmat co cv cfv cmpt cvv cmat cbs cv1 cur cmat2pmat
      cpl1 cvsca csg cmdat cmpo df-chpmat a1i oveq12 eqtr4di fveq2d simpl simpr
      wceq oveq12d fveq2 adantl fveq1d fveq12d mpteq12dv elex fvexi mptexg mp1i
      oveq123d ovmpod syl5eq ) LUIUJZFMUJZUKZCLFULUMJBNIHUMZJUNZGUOZKUMZDUOZUPZ
      PWKUGUHLFUIUQJUGUNZUHUNZURUMZUSUOZWSUTUOZWRWSVCUOZURUMZVAUOZXDVDUOZUMZWMW
      RWSVBUMZUOZXDVEUOZUMZWRXCVFUMZUOZUPZWQULUQULUGUHUIUQXNVGVOWKJUGUHVHVIWRLV
      OZWSFVOZUKZXNWQVOWKXQJXAXMBWPXQXAAUSUOBXQWTAUSXQWTLFURUMAWRLWSFURVJQVKVLR
      VKXQXKWOXLDXQXLLEVFUMDXQWRLXCEVFXOXPVMZXQXCFVCUOZEXQWSFVCXOXPVNVLSVKVPUAV
      KXQXGWLXIWNXJKXQXJOVEUOKXQXDOVEXQXDLEURUMOXQWRLXCEURXRXQXCXSEXPXCXSVOXOWS
      FVCVQVRSVKVPTVKZVLUBVKXQXBNXEIXFHXQXFOVDUOHXQXDOVDXTVLUDVKXPXBNVOXOXPXBFU
      TUONWSFUTVQUCVKVRXQXEOVAUOIXQXDOVAXTVLUFVKWFXQWMXHGXQXHLFVBUMGWRLWSFVBVJU
      EVKVSWFVTWAVRWIWJVMWJFUQUJWIFMWBVRBUQUJWQUQUJWKBAUSRWCJBWPUQWDWEWGWH $.

    $d m M $.  $d m V $.
    $( The characteristic polynomial of a (square) matrix (expressed with a
       determinant).  (Contributed by AV, 2-Aug-2019.) $)
    chpmatval $p |- ( ( N e. Fin /\ R e. V /\ M e. B )
               -> ( C ` M ) = ( D ` ( ( X .x. .1. ) .- ( T ` M ) ) ) ) $=
      ( vm cfn wcel w3a co cv cfv cvv cmpt wceq chpmatfval 3adant3 fveq2 oveq2d
      fveq2d adantl simp3 fvexd fvmptd ) LUHUIZFMUIZJBUIZUJZUGJNIHUKZUGULZGUMZK
      UKZDUMZVJJGUMZKUKZDUMZBCUNVFVGCUGBVNUOUPVHABCDEFGHIUGKLMNOPQRSTUAUBUCUDUE
      UFUQURVKJUPZVNVQUPVIVRVMVPDVRVLVOVJKVKJGUSUTVAVBVFVGVHVCVIVPDVDVE $.
  $}

  ${
    $d p x M $.  $d p x N $.
    chpmatply1.c $e |- C = ( N CharPlyMat R ) $.
    chpmatply1.a $e |- A = ( N Mat R ) $.
    chpmatply1.b $e |- B = ( Base ` A ) $.
    chpmatply1.p $e |- P = ( Poly1 ` R ) $.
    ${
      chpmatply1.e $e |- E = ( Base ` P ) $.
      $( The characteristic polynomial of a (square) matrix over a commutative
         ring is a polynomial, see also the following remark in [Lang], p. 561:
         "[the characteristic polynomial] is an element of k[[t]".
         (Contributed by AV, 2-Aug-2019.)  (Proof shortened by AV,
         29-Nov-2019.) $)
      chpmatply1 $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                        -> ( C ` M ) e. E ) $=
        ( cfn wcel ccrg w3a cfv co eqid cv1 cur cvsca cmat2pmat cmdat chpmatval
        cmat csg cbs ply1crng 3ad2ant2 crngring chmatcl syl3an2 syl2anc eqeltrd
        crg mdetcl ) HNOZEPOZGBOZQZGCREUARZHDUGSZUBRZVDUCRZSGHEUDSZRVDUHRZSZHDU
        ESZRZFABCVJDEVGVFVEGVHHPVCVDIJKLVDTZVJTZVHTZVCTZVFTZVGTZVETZUFVBDPOZVIV
        DUIRZOZVKFOUTUSVSVADELUJUKUTUSEUQOVAWAEULABDEVGVFVEVIGVHHVCVDJKLVLVOVQV
        NVPVRVITUMUNVDVTVJDFVIHVMVLVTTMURUOUP $.
    $}

    $d p x P $.  $d p x T $.  $d p x X $.  $d p x .x. $.  $d p x .1. $.
    $d p x .- $.
    chpmatval2.y $e |- Y = ( N Mat P ) $.
    chpmatval2.m1 $e |- .- = ( -g ` Y ) $.
    chpmatval2.x $e |- X = ( var1 ` R ) $.
    chpmatval2.t1 $e |- .x. = ( .s ` Y ) $.
    chpmatval2.t $e |- T = ( N matToPolyMat R ) $.
    chpmatval2.i $e |- .1. = ( 1r ` Y ) $.
    chpmatval2.g $e |- G = ( SymGrp ` N ) $.
    chpmatval2.h $e |- H = ( Base ` G ) $.
    chpmatval2.z $e |- Z = ( ZRHom ` P ) $.
    chpmatval2.s $e |- S = ( pmSgn ` N ) $.
    chpmatval2.u $e |- U = ( mulGrp ` P ) $.
    chpmatval2.rm $e |- .X. = ( .r ` P ) $.
    $( The characteristic polynomial of a (square) matrix (expressed with the
       Leibnitz formula for the determinant).  (Contributed by AV,
       2-Aug-2019.) $)
    chpmatval2 $p |- ( ( N e. Fin /\ R e. Ring /\ M e. B )
               -> ( C ` M ) = ( P gsum ( p e. H |-> ( ( ( Z o. S ) ` p )
          .X. ( U gsum ( x e. N |-> ( ( p ` x ) ( ( X .x. .1. )
                               .- ( T ` M ) ) x ) ) ) ) ) ) ) $=
      ( cfn wcel crg w3a cfv co cmdat cv ccom cmpt cgsu eqid chpmatval cmat cbs
      wceq csg fveq2i eqtri cvsca cur chmatcl eqcomi csymg mdetleib syl eqtrd )
      QURUSFUTUSOCUSVAZODVBRLIVCOHVBPVCZQEVDVCZVBZEUANUAVEZTGVFVBKAQAVEZWIVBWJW
      FVCVGVHVCJVCVGVHVCZBCDWGEFHILOPQUTRSUBUCUDUEUFWGVIZUGUHUIUJUKVJWEWFQEVKVC
      ZVLVBZUSWHWKVMBCEFHILWFOPQRWMUCUDUEWMVIUHUJPSVNVBWMVNVBUGSWMVNUFVOVPISVQV
      BWMVQVBUISWMVQUFVOVPLSVRVBWMVRVBUKSWMVRUFVOVPWFVIVSASWNWGNEGJKWFQTUAWLUFW
      MSVLSWMUFVTVONMVLVBQWAVBZVLVBUMMWOVLULVOVPUNUOUQUPWBWCWD $.
  $}

  ${
    chpmat0.c $e |- C = ( (/) CharPlyMat R ) $.
    $( The characteristic polynomial of the empty matrix.  (Contributed by AV,
       6-Aug-2019.) $)
    chpmat0d $p |- ( R e. Ring -> ( C ` (/) ) = ( 1r ` ( Poly1 ` R ) ) ) $=
      ( crg wcel c0 cfv cmat co cur cbs wceq 0fin csn 0ex mat0dimbas0 eleqtrrid
      eqid syl eqtrd cv1 cpl1 cvsca cmat2pmat csg cfn id snid chpmatval mp3an2i
      cmdat cop ply1ring mdet0pr fveq1d c0g mat0dimid oveq2d mat0dimscm syl2anc
      vr1cl d0mat2pmat oveq12d matring sylancr ringgrp grpsubid fveq2d mat0dim0
      cgrp fvex fvsn eqtrdi ) BDEZFAGZBUAGZFBUBGZHIZJGZVRUCGZIZFFBUDIZGZVRUEGZI
      ZFVQUKIZGZVQJGZFUFEZVNVNFFBHIZKGZEVOWGLMVNUGVNFFNZWKFOUHZBDPQWJWKAWFVQBWB
      VTVSFWDFDVPVRCWJRWKRVQRZVRRZWFRWDRZVPRZVTRWBRVSRUIUJVNWGWEFWHULNZGZWHVNVQ
      DEZWGWSLVQBWNUMZWTWEWFWRVQUNUOSVNWSVRUPGZWRGZWHVNWEXBWRVNWEFFWDIZXBVNWAFW
      CFWDVNWAVPFVTIZFVNVSFVPVTVNWTVSFLXAVRVQWOUQSURVNWTVPVQKGZEXEFLXAXFVQBVPWQ
      WNXFRVAVRVQVPWOUSUTTBDVBVCVNVRVJEZFVRKGZEXDXBLVNVRDEZXGVNWIWTXIMXAVRVQFWO
      VDVEVRVFSVNFWLXHWMVNWTXHWLLXAVQDPSQXHVRWDFXBXHRXBRWPVGUTTVHVNXCFWRGWHVNXB
      FWRVNWTXBFLXAVRVQWOVISVHFWHOVQJVKVLVMTTT $.
  $}

  ${
    chpmat1d.c $e |- C = ( N CharPlyMat R ) $.
    chpmat1d.p $e |- P = ( Poly1 ` R ) $.
    chpmat1d.a $e |- A = ( N Mat R ) $.
    chpmat1d.b $e |- B = ( Base ` A ) $.
    chpmat1d.x $e |- X = ( var1 ` R ) $.
    chpmat1d.z $e |- .- = ( -g ` P ) $.
    chpmat1d.s $e |- S = ( algSc ` P ) $.

    ${
      chpmat1dlem.g $e |- G = ( N Mat P ) $.
      chpmat1dlem.x $e |- T = ( N matToPolyMat R ) $.
      $( Lemma for ~ chpmat1d .  (Contributed by AV, 7-Aug-2019.) $)
      chpmat1dlem $p |- ( ( R e. Ring /\ ( N = { I } /\ I e. V ) /\ M e. B )
                -> ( I ( ( X ( .s ` G ) ( 1r ` G ) ) ( -g ` G ) ( T ` M ) ) I )
                   = ( X .- ( S ` ( I M I ) ) ) ) $=
        ( crg wcel csn wceq wa w3a cur cfv cvsca co csg ply1ring 3ad2ant1 clmod
        cbs csca cfn snfi mpbiri adantr anim12i 3adant3 ancomd matlmod syl cpl1
        eleq1 eqid vr1cl 3ad2ant2 fvex cmat oveq2i eqtri matsca2 sylancl eqcomd
        cvv fveq2d eleqtrrd matring ringidcl 3jca simp1 simp3 mat2pmatbas snidg
        lmodvscl adantl wb eleq2 mpbird jccir matsubgcell syl121anc matvscacell
        cmulr c0g cif mat1ov eqidd iftrued eqtrd oveq2d ringridm syl2anc 3eqtrd
        id mat2pmatvalel oveq12d ) EUDUEZLIUFZUGZIMUEZUHZJBUEZUIZIINHUJUKZHULUK
        ZUMZJGUKZHUNUKZUMUMZIIYCUMZIIYDUMZKUMZNIIJUMFUKZKUMXTDUDUEZYCHURUKZUEZY
        DYLUEZILUEZYOUHZYFYIUGXNXRYKXSDEPUOZUPZXTHUQUEZNHUSUKZURUKZUEZYAYLUEZUI
        YMXTYSUUBUUCXTLUTUEZYKUHZYSXTYKUUDXNXRYKUUDUHXSXNYKXRUUDYQXPUUDXQXPUUDX
        OUTUEIVALXOUTVJVBVCZVDVEVFZHDLUBVGVHXTNEVIUKZURUKZUUAXNXRNUUIUEXSUUIUUH
        ENSUUHVKUUIVKVLUPXTYTUUHURXTUUHYTXTUUDUUHWAUEUUHYTUGXRXNUUDXSUUFVMZEVIV
        NHUUHLWAHLDVOUMLUUHVOUMUBDUUHLVOPVPVQVRVSVTWBWCXTHUDUEZUUCXTUUEUUKUUGHD
        LUBWDVHYLHYAYLVKZYAVKZWEVHZWFNYBYTUUAYLHYAUULYTVKYBVKZUUAVKWKVHXTUUDXNX
        SUIZYNXTUUDXNXSUUJXNXRXSWGXNXRXSWHWFZABHDEGJLUCQRPUBWIVHXRXNYPXSXRYOYOX
        RYOIXOUEZXQUURXPIMWJWLXPYOUURWMXQLXOIWNVCWOZYOXKWPVMZHYLDYEIIKLYCYDUBUU
        LYEVKTWQWRXTYGNYHYJKXTYGNIIYAUMZDWTUKZUMZNDUJUKZUVBUMZNXTYKNDURUKZUEZUU
        CYPYGUVCUGYRXNXRUVGXSUVFDENSPUVFVKZVLUPZUUNUUTHYLDYBUVBIIUVFLNYAUBUULUV
        HUUOUVBVKZWSWRXTUVAUVDNUVBXTUVAIIUGZUVDDXAUKZXBUVDXTHDYAUVDIILUVLUBUVDV
        KZUVLVKUUJYRXRXNYOXSUUSVMZUVNUUMXCXTUVKUVDUVLXTIXDXEXFXGXTYKUVGUVENUGYR
        UVIUVFDUVBUVDNUVHUVJUVMXHXIXJXTUUPYPYHYJUGUUQUUTABDEFGJLUDIIUCQRPUAXLXI
        XMXF $.
    $}

    $( The characteristic polynomial of a matrix with dimension 1.
       (Contributed by AV, 7-Aug-2019.) $)
    chpmat1d $p |- ( ( R e. CRing /\ ( N = { I } /\ I e. V ) /\ M e. B )
                    -> ( C ` M ) = ( X .- ( S ` ( I M I ) ) ) ) $=
      ( wcel ccrg csn wceq wa w3a cfv cv1 cmat co cur cvsca cmat2pmat csg cmdat
      cfn snfi eleq1 mpbiri adantr 3ad2ant2 simp1 simp3 eqid chpmatval ply1crng
      syl3anc cbs 3ad2ant1 simp2 cgrp crg crngring ply1ring syl matring syl2anc
      ringgrp clmod csca matlmod oveq2i matsca2 eqcomd fveq2d eleqtrrd ringidcl
      cpl1 vr1cl lmodvscl mat2pmatbas grpsubcl m1detdiag eqcomi a1i chpmat1dlem
      oveq1d oveqd syl3an1 eqtrd ) EUATZJGUBZUCZGKTZUDZHBTZUEZHCUFZEUGUFZJDUHUI
      ZUJUFZXIUKUFZUIZHJEULUIZUFZXIUMUFZUIZJDUNUIZUFZLGGHUIFUFIUIZXFJUOTZWTXEXG
      XRUCXDWTXTXEXBXTXCXBXTXAUOTGUPJXAUOUQURUSUTZWTXDXEVAWTXDXEVBZABCXQDEXMXKX
      JHXOJUAXHXIMOPNXIVCZXQVCZXOVCZXHVCZXKVCZXMVCZXJVCZVDVFXFXRGGXPUIZXSXFDUAT
      ZXDXPXIVGUFZTZXRYJUCWTXDYKXEDENVEVHWTXDXEVIXFXIVJTZXLYLTZXNYLTZYMXFXIVKTZ
      YNXFXTDVKTZYQYAWTXDYRXEWTEVKTZYREVLZDENVMVNVHZXIDJYCVOVPZXIVQVNXFXIVRTZXH
      XIVSUFZVGUFZTXJYLTZYOXFXTYRUUCYAUUAXIDJYCVTVPXFXHEWGUFZVGUFZUUEXFYSXHUUHT
      WTXDYSXEYTVHZUUHUUGEXHYFUUGVCZUUHVCWHVNXFUUDUUGVGXFUUGUUDXFXTUUGUATZUUGUU
      DUCYAWTXDUUKXEUUGEUUJVEVHXIUUGJUADUUGJUHNWAWBVPWCWDWEXFYQUUFUUBYLXIXJYLVC
      ZYIWFVNXHXKUUDUUEYLXIXJUULUUDVCYGUUEVCWIVFXFXTYSXEYPYAUUIYBABXIDEXMHJYHOP
      NYCWJVFYLXIXOXLXNUULYEWKVFXIYLXQDGXPJKYDYCUULWLVFXFYJGGLXJXKUIZXNXOUIZUIZ
      XSXFXPUUNGGXFXLUUMXNXOXFXHLXJXKXHLUCXFLXHQWMWNWPWPWQWTYSXDXEUUOXSUCYTABCD
      EFXMXIGHIJKLMNOPQRSYCYHWOWRWSWSWS $.
  $}

  ${
    chpdmat.c $e |- C = ( N CharPlyMat R ) $.
    chpdmat.p $e |- P = ( Poly1 ` R ) $.
    chpdmat.a $e |- A = ( N Mat R ) $.
    chpdmat.s $e |- S = ( algSc ` P ) $.
    chpdmat.b $e |- B = ( Base ` A ) $.
    chpdmat.x $e |- X = ( var1 ` R ) $.
    chpdmat.0 $e |- .0. = ( 0g ` R ) $.
    chpdmat.g $e |- G = ( mulGrp ` P ) $.
    chpdmat.m $e |- .- = ( -g ` P ) $.
    ${
      chpdmatlem.q $e |- Q = ( N Mat P ) $.
      chpdmatlem.1 $e |- .1. = ( 1r ` Q ) $.
      chpdmatlem.m $e |- .x. = ( .s ` Q ) $.
      $( Lemma 0 for ~ chpdmat .  (Contributed by AV, 18-Aug-2019.) $)
      chpdmatlem0 $p |- ( ( N e. Fin /\ R e. Ring )
                          -> ( X .x. .1. ) e. ( Base ` Q ) ) $=
        ( cfn wcel crg wa clmod csca cfv cbs co pmatlmod eqid vr1cl adantl wceq
        ply1ring matsca2 sylan2 eleqtrrd pmatring ringidcl syl lmodvscl syl3anc
        eqcomd fveq2d ) LUGUHZFUIUHZUJZEUKUHMEULUMZUNUMZUHIEUNUMZUHZMIHUOVQUHED
        FLPUDUPVNMDUNUMZVPVMMVSUHVLVSDFMTPVSUQURUSVNVODUNVNDVOVMVLDUIUHDVOUTDFP
        VAEDLUIUDVBVCVJVKVDVNEUIUHVREDFLPUDVEVQEIVQUQZUEVFVGMHVOVPVQEIVTVOUQUFV
        PUQVHVI $.

      chpdmatlem.z $e |- Z = ( -g ` Q ) $.
      chpdmatlem.t $e |- T = ( N matToPolyMat R ) $.
      $( Lemma 1 for ~ chpdmat .  (Contributed by AV, 18-Aug-2019.) $)
      chpdmatlem1 $p |- ( ( N e. Fin /\ R e. Ring /\ M e. B )
                         -> ( ( X .x. .1. ) Z ( T ` M ) ) e. ( Base ` Q ) ) $=
        ( cfn wcel crg w3a cgrp co cbs cfv pmatring 3adant3 ringgrp chpdmatlem0
        syl mat2pmatbas eqid grpsubcl syl3anc ) NULUMZFUNUMZLBUMZUOZEUPUMZOJIUQ
        ZEURUSZUMZLHUSZVOUMVNVQQUQVOUMVLEUNUMZVMVIVJVRVKEDFNSUGUTVAEVBVDVIVJVPV
        KABCDEFGIJKMNOPRSTUAUBUCUDUEUFUGUHUIVCVAABEDFHLNUKTUBSUGVEVOEQVNVQVOVFU
        JVGVH $.

      $( Lemma 2 for ~ chpdmat .  (Contributed by AV, 18-Aug-2019.) $)
      chpdmatlem2 $p |- ( ( ( ( ( ( N e. Fin /\ R e. Ring /\ M e. B )
                      /\ i e. N ) /\ j e. N ) /\ i =/= j ) /\ ( i M j ) = .0. )
                     -> ( i ( ( X .x. .1. ) Z ( T ` M ) ) j ) = ( 0g ` P ) ) $=
        ( cfn wcel crg w3a cv wa wne co wceq cfv cmulr c0g cbs ply1ring ad4antr
        3ad2ant2 chpdmatlem0 mat2pmatbas simpr anim1i ad2antrr eqid matsubgcell
        3adant3 syl121anc pmatring ringidcl syl jca 3jca matvscacell oveq1d weq
        vr1cl cur simpll1 adantr mat1ov ifnefalse sylan9eq oveq2d ringrz simpll
        eqtrd mat2pmatvalel oveq12d fveq2 adantl ply1scl0 ringgrp grpidcl jccir
        cif cgrp grpsubid 3eqtrd ) PUNUOZFUPUOZNBUOZUQZKURZPUOZUSZLURZPUOZUSZXN
        XQUTZUSZXNXQNVAZRVBZUSZXNXQQJIVAZNHVCZSVAVAZXNXQYEVAZXNXQYFVAZOVAZQXNXQ
        JVAZDVDVCZVAZYIOVAZDVEVCZYDDUPUOZYEEVFVCZUOZYFYQUOZXOXRUSZYGYJVBXMYPXOX
        RXTYCXKXJYPXLDFUAVGZVIZVHXMYRXOXRXTYCXJXKYRXLABCDEFGIJMOPQRTUAUBUCUDUEU
        FUGUHUIUJUKVJVQVHXMYSXOXRXTYCABEDFHNPUMUBUDUAUIVKVHXSYTXTYCXPXOXRXMXOVL
        ZVMZVNEYQDSXNXQOPYEYFUIYQVOZULUHVPVRYDYHYMYIOYDYPQDVFVCZUOZJYQUOZUSZYTU
        QZYHYMVBXSUUJXTYCXSYPUUIYTXMYPXOXRUUBVNZXMUUIXOXRXMUUGUUHXKXJUUGXLUUFDF
        QUEUAUUFVOZWGZVIXMEUPUOZUUHXJXKUUNXLEDFPUAUIVSVQYQEJUUEUJVTWAWBVNUUDWCV
        NEYQDIYLXNXQUUFPQJUIUUEUULUKYLVOZWDWAWEYDYNYOYBGVCZOVAYOYOOVAZYOYDYMYOY
        IUUPOYAYMYOVBYCYAYMQYOYLVAZYOYAYKYOQYLXSXTYKKLWFDWHVCZYOXFYOXSEDJUUSXNX
        QPYOUIUUSVOYOVOZXJXKXLXOXRWIUUKXPXOXRUUCWJXPXRVLUJWKXNXQUUSYOWLWMWNXPUU
        RYOVBZXRXTXMUVAXOXMYPUUGUSZUVAXKXJUVBXLXKYPUUGUUAUUMWBVIUUFDYLQYOUULUUO
        UUTWOWAWJVNWQWJYDXMYTUSZYIUUPVBXSUVCXTYCXSXMYTXMXOXRWPUUDWBVNABDFGHNPUP
        XNXQUMUBUDUAUCWRWAWSYDUUPYOYOOYDUUPRGVCZYOYCUUPUVDVBYAYBRGWTXAXMUVDYOVB
        ZXOXRXTYCXKXJUVEXLGDFYORUAUCUFUUTXBVIVHWQWNXMUUQYOVBZXOXRXTYCXMDXGUOZYO
        UUFUOZUSZUVFXKXJUVIXLXKUVGUVHXKYPUVGUUADXCWAUUFDYOUULUUTXDXEVIUUFDOYOYO
        UULUUTUHXHWAVHXIXI $.

      $( Lemma 3 for ~ chpdmat .  (Contributed by AV, 18-Aug-2019.) $)
      chpdmatlem3 $p |- ( ( ( N e. Fin /\ R e. Ring /\ M e. B ) /\ K e. N )
                         -> ( K ( ( X .x. .1. ) Z ( T ` M ) ) K )
                            = ( X .- ( S ` ( K M K ) ) ) ) $=
        ( cfn wcel crg w3a wa cfv cbs wceq ply1ring 3ad2ant2 adantr chpdmatlem0
        co 3adant3 mat2pmatbas jca simpr eqid matsubgcell syl112anc cmulr vr1cl
        cur adantl pmatring syl matvscacell c0g cif simpl1 mat1ov eqtrdi oveq2d
        ringidcl iftruei ringridm 3eqtrd mat2pmatvalel anabsan2 oveq12d eqtrd )
        OUMUNZFUOUNZMBUNZUPZLOUNZUQZLLPJIVEZMHURZRVEVEZLLWTVEZLLXAVEZNVEZPLLMVE
        GURZNVEWSDUOUNZWTEUSURZUNZXAXHUNZUQZWRWRXBXEUTWQXGWRWOWNXGWPDFTVAZVBVCZ
        WQXKWRWQXIXJWNWOXIWPABCDEFGIJKNOPQSTUAUBUCUDUEUFUGUHUIUJVDVFABEDFHMOULU
        AUCTUHVGVHVCWQWRVIZXNEXHDRLLNOWTXAUHXHVJZUKUGVKVLWSXCPXDXFNWSXCPLLJVEZD
        VMURZVEZPDVOURZXQVEZPWSXGPDUSURZUNZJXHUNZUQZWRWRXCXRUTXMWQYDWRWNWOYDWPW
        NWOUQZYBYCWOYBWNYADFPUDTYAVJZVNZVPYEEUOUNYCEDFOTUHVQXHEJXOUIWFVRVHVFVCX
        NXNEXHDIXQLLYAOPJUHXOYFUJXQVJZVSVLWSXPXSPXQWSXPLLUTZXSDVTURZWAXSWSEDJXS
        LLOYJUHXSVJZYJVJWNWOWPWRWBXMXNXNUIWCYIXSYJLVJWGWDWEWQXTPUTZWRWQXGYBUQZY
        LWOWNYMWPWOXGYBXLYGVHVBYADXQXSPYFYHYKWHVRVCWIWQWRXDXFUTABDFGHMOUOLLULUA
        UCTUBWJWKWLWM $.
    $}

    $d B i j k $.  $d G k $.  $d M i j k $.  $d N i j k $.  $d P i j k $.
    $d R i j k $.  $d X i j k $.  $d .0. k $.
    $( The characteristic polynomial of a diagonal matrix.  (Contributed by AV,
       18-Aug-2019.)  (Proof shortened by AV, 21-Nov-2019.) $)
    chpdmat $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                      /\ A. i e. N A. j e. N ( i =/= j -> ( i M j ) = .0. ) )
      -> ( C ` M ) = ( G gsum ( k e. N |-> ( X .- ( S ` ( k M k ) ) ) ) ) ) $=
      ( cfn wcel ccrg w3a cv wne co wceq wi wral wa cfv cur cvsca cmat2pmat csg
      cmat cmdat cmpt cgsu chpmatval adantr cbs c0g ply1crng 3ad2ant2 simp1 crg
      eqid crngring 3anim2i chpdmatlem1 syl 3jca anim1i chpdmatlem2 sylanl1 a2d
      exp31 ralimdva mdetdiag chpdmatlem3 sylan adantlr mpteq2dva oveq2d 3eqtrd
      imp sylc ) MUEUFZEUGUFZKBUFZUHZGUIZHUIZUJZWRWSKUKOULZUMZHMUNZGMUNZUOZKCUP
      ZNMDVAUKZUQUPZXGURUPZUKKMEUSUKZUPXGUTUPZUKZMDVBUKZUPZJIMIUIZXOXLUKZVCZVDU
      KZJIMNXOXOKUKFUPLUKZVCZVDUKWQXFXNULXDABCXMDEXJXIXHKXKMUGNXGPRTQXGVMZXMVMZ
      XKVMZUAXIVMZXJVMZXHVMZVEVFXEDUGUFZWNXLXGVGUPZUFZUHZWTWRWSXLUKDVHUPZULZUMZ
      HMUNZGMUNZXNXRULWQYJXDWQYGWNYIWOWNYGWPDEQVIVJWNWOWPVKWQWNEVLUFZWPUHZYIWOY
      PWNWPEVNVOZABCDXGEFXJXIXHJKLMNOXKPQRSTUAUBUCUDYAYFYDYCYEVPVQVRVFWQXDYOWQX
      CYNGMWQWRMUFZUOZXBYMHMYTWSMUFZUOZWTXAYLUUBWTXAYLUUBYQYSUOZUUAUOWTXAYLYTUU
      CUUAWQYQYSYRVSVSABCDXGEFXJXIXHGHJKLMNOXKPQRSTUAUBUCUDYAYFYDYCYEVTWAWCWBWD
      WDWLXGYHXMDGHIJXLMYKYBYAYHVMUCYKVMWEWMXEXQXTJVDXEIMXPXSWQXOMUFZXPXSULZXDW
      QYQUUDUUEYRABCDXGEFXJXIXHJXOKLMNOXKPQRSTUAUBUCUDYAYFYDYCYEWFWGWHWIWJWK $.
  $}

  ${
    $d .0. i j k $.  $d A i j k $.  $d G k $.  $d N i j k x y $.  $d P i j k $.
    $d R i j k x y $.  $d X i j k $.
    chp0mat.c $e |- C = ( N CharPlyMat R ) $.
    chp0mat.p $e |- P = ( Poly1 ` R ) $.
    chp0mat.a $e |- A = ( N Mat R ) $.
    chp0mat.x $e |- X = ( var1 ` R ) $.
    chp0mat.g $e |- G = ( mulGrp ` P ) $.
    chp0mat.m $e |- .^ = ( .g ` G ) $.

    ${
      $d A c m $.  $d D k n $.  $d E k n $.  $d I k n $.  $d M c i j k m n $.
      $d N c m n $.  $d P n $.  $d R c m n $.  $d S k n $.  $d .- k $.
      chpscmat.d $e |- D = { m e. ( Base ` A ) | E. c e. ( Base ` R )
             A. i e. N A. j e. N ( i m j ) = if ( i = j , c , ( 0g ` R ) ) } $.
      chpscmat.s $e |- S = ( algSc ` P ) $.
      chpscmat.m $e |- .- = ( -g ` P ) $.
      $( The characteristic polynomial of a (nonempty!) scalar matrix.
         (Contributed by AV, 21-Aug-2019.) $)
      chpscmat $p |- ( ( ( N e. Fin /\ R e. CRing )
                        /\ ( M e. D /\ I e. N /\ A. n e. N ( n M n ) = E ) )
                      -> ( C ` M ) = ( ( # ` N ) .^ ( X .- ( S ` E ) ) ) ) $=
        ( vk cfn wcel ccrg wa cv co wceq wral w3a cfv cmpt chash cbs wne c0g wi
        cgsu simpll simplr weq cif wrex crab elrabi eleq2s 3ad2ant1 adantl oveq
        eqeq1d 2ralbidv rexbidv ifnefalse eqeq2d biimpcd a1i ralimdva rexlimdva
        elrab ex com23 imp sylbi impcom eqid chpdmat syl31anc id oveq12d rspccv
        3ad2ant3 fveq2d oveq2d mpteq2dva cmnd ccmn ply1crng crngmgp cmnmnd 3syl
        ad2antlr cgrp crg crngring ply1ring syl ringgrp vr1cl simpr csca adantr
        ad2antll clmod ply1lmod matecl syl3anc ply1sca eqcomd eleqtrrd ffvelrnd
        asclf fveq2 eqcoms eleq1d syl5ibrcom wb imbi1d mpbird rspcimdv grpsubcl
        com24 3imp mgpbas eleqtrdi gsumconst 3eqtrd ) QUJUKZEULUKZUMZOCUKZNQUKZ
        JUNZUUJOUOZKUPZJQUQZURZUMZOBUSZMUIQRUIUNZUUQOUOZFUSZPUOZUTZVFUOZMUIQRKF
        USZPUOZUTZVFUOZQVAUSUVDLUOZUUOUUEUUFOAVBUSZUKZGUNZHUNZVCZUVJUVKOUOZEVDU
        SZUPZVEZHQUQZGQUQZUUPUVBUPUUEUUFUUNVGZUUEUUFUUNVHUUNUVIUUGUUHUUIUVIUUMU
        VIOUVJUVKIUNZUOZGHVISUNZUVNVJZUPZHQUQGQUQZSEVBUSZVKZIUVHVLZCUWGIOUVHVMU
        FVNZVOVPUUNUUGUVRUUHUUIUUGUVRVEZUUMUWJOUWHCOUWHUKUVIUVMUWCUPZHQUQZGQUQZ
        SUWFVKZUMUWJUWGUWNIOUVHUVTOUPZUWEUWMSUWFUWOUWDUWKGHQQUWOUWAUVMUWCUVJUVK
        UVTOVQVRVSVTWGUVIUWNUWJUVIUWMUWJSUWFUVIUWBUWFUKUMZUUGUWMUVRUWPUUGUWMUVR
        VEUWPUUGUMZUWLUVQGQUWQUVJQUKUMZUWKUVPHQUWKUVPVEUWRUVKQUKUMUVLUWKUVOUVLU
        WCUVNUVMUVJUVKUWBUVNWAWBWCWDWEWEWHWIWFWJWKUFVNVOWLAUVHBDEFGHUIMOPQRUVNT
        UAUBUGUVHWMUCUVNWMUDUHWNWOUUOUVAUVEMVFUUOUIQUUTUVDUUOUUQQUKZUMZUUSUVCRP
        UWTUURKFUUOUWSUURKUPZUUNUWSUXAVEZUUGUUMUUHUXBUUIUULUXAJUUQQJUIVIZUUKUUR
        KUXCUUJUUQUUJUUQOUXCWPZUXDWQVRWRWSVPWJWTXAXBXAUUOMXCUKZUUEUVDMVBUSZUKUV
        FUVGUPUUFUXEUUEUUNUUFDULUKMXDUKUXEDEUAXEDMUDXFMXGXHXIUVSUUOUVDDVBUSZUXF
        UUODXJUKZRUXGUKZUVCUXGUKZUVDUXGUKUUFUXHUUEUUNUUFDXKUKZUXHUUFEXKUKZUXKEX
        LZDEUAXMXNZDXOXNXIUUFUXIUUEUUNUUFUXLUXIUXMUXGDERUCUAUXGWMZXPXNXIUUNUUGU
        XJUUHUUIUUMUUGUXJVEUUHUUGUUMUUIUXJUUHUUGUUMUUIUXJVEVEUUHUUGUMZUUIUUMUXJ
        UXPUUIUUMUXJVEUXPUUIUMZUULUXJJNQUXPUUIXQZUXQUUJNUPZUMUULUXJVEZNNOUOZKUP
        ZUXJVEZUXQUYCUXSUXQUXJUYBUYAFUSZUXGUKUXQDXRUSZVBUSZUXGUYAFUXQFUXGUYEUYF
        DUGUYEWMUXPUXKUUIUUFUXKUUHUUEUXNXTXSUXPDYAUKZUUIUUFUYGUUHUUEUUFUXLUYGUX
        MDEUAYBXNXTXSUYFWMUXOYIUXQUYAUWFUYFUXQUUIUUIUVIUYAUWFUKUXRUXRUXPUVIUUIU
        UHUVIUUGUWIXSXSAENNUWFOQUBUWFWMYCYDUXQUYEEVBUXQEUYEUXPEUYEUPZUUIUUFUYHU
        UHUUEDEULUAYEXTXSYFWTYGYHUYBUVCUYDUXGUVCUYDUPKUYAKUYAFYJYKYLYMXSUXSUXTU
        YCYNUXQUXSUULUYBUXJUXSUUKUYAKUXSUUJNUUJNOUXSWPZUYIWQVRYOVPYPYQWHWIWHYSY
        TWLUXGDPRUVCUXOUHYRYDUXGDMUDUXOUUAUUBQUXFLUIMUVDUXFWMUEUUCYDUUD $.

      $d D l $.  $d F l $.  $d I l $.  $d J l n $.  $d M l $.  $d N l $.
      $d P l $.  $d R l $.  $d S l $.  $d X l $.  $d .^ l $.
      $( The characteristic polynomial of a (nonempty!) scalar matrix,
         expressed with its diagonal element.  (Contributed by AV,
         21-Aug-2019.) $)
      chpscmat0 $p |- ( ( ( N e. Fin /\ R e. CRing )
             /\ ( M e. D /\ I e. N /\ A. n e. N ( n M n ) = ( I M I ) ) )
                -> ( C ` M ) = ( ( # ` N ) .^ ( X .- ( S ` ( I M I ) ) ) ) ) $=
        ( co chpscmat ) ABCDEFGHIJMMNUHKLMNOPQRSTUAUBUCUDUEUFUGUI $.

      chpscmatgsum.f $e |- F = ( .g ` P ) $.
      chpscmatgsum.h $e |- H = ( mulGrp ` R ) $.
      chpscmatgsum.e $e |- E = ( .g ` H ) $.
      chpscmatgsum.i $e |- I = ( invg ` R ) $.
      chpscmatgsum.s $e |- .x. = ( .s ` P ) $.
      $( The characteristic polynomial of a (nonempty!) scalar matrix,
         expressed as finite group sum of binomials.  (Contributed by AV,
         2-Sep-2019.) $)
      chpscmatgsumbin $p |- ( ( ( N e. Fin /\ R e. CRing )
             /\ ( M e. D /\ J e. N /\ A. n e. N ( n M n ) = ( J M J ) ) )
                          -> ( C ` M ) = ( P gsum ( l e. ( 0 ... ( # ` N ) )
         |-> ( ( ( # ` N ) _C l ) F ( ( ( ( # ` N ) - l ) E ( I ` ( J M J ) ) )
                                       .x. ( l .^ X ) ) ) ) ) ) $=
        ( cfn wcel ccrg wa cv co wceq wral w3a cfv cplusg cc0 cfz cbc cmin cmpt
        chash cgsu chpscmat0 cminusg cbs crngring adantl eqid vr1cl adantr csca
        crg syl wf ad2antlr ply1ring ply1lmod asclf simpr2 wi weq c0g wrex crab
        cif elrabi eleq2s 3ad2ant1 impcom matecl syl3anc eqcomd fveq2d eleqtrrd
        ply1sca ffvelrnd grpsubval syl2anc clmod asclinvg eqtr2id fveq1d oveq2d
        a1d eqtrd cn0 simplr hashcl ad2antrr cgrp ringgrp grpinvcl lply1binomsc
        cmulr casa ply1assa cmnd fznn0sub mgpbas eleqtrdi mulgnn0cl eqtrdi 3syl
        ringmgp elfznn0 adantlr asclmul1 mpteq2dva 3eqtrd ) UAUSUTZEVAUTZVBZSCU
        TZRUAUTZKVCZUUISVDRRSVDZVEKUAVFZVGZVBZSBVHUAVOVHZUBUUJFVHZTVDZMVDUUNUBU
        UJQVHZFVHZDVIVHZVDZMVDZDUDVJUUNVKVDZUUNUDVCZVLVDZUUNUVCVMVDZUUQLVDZUVCU
        BMVDZGVDZNVDZVNZVPVDZABCDEFHIJKMORSTUAUBUCUEUFUGUHUIUJUKULUMVQUUMUUPUUT
        UUNMUUMUUPUBUUODVRVHZVHZUUSVDZUUTUUMUBDVSVHZUTZUUOUVOUTUUPUVNVEUUFUVPUU
        LUUFEWFUTZUVPUUEUVQUUDEVTZWAZUVODEUBUHUFUVOWBZWCWGZWDUUMDWEVHZVSVHZUVOU
        UJFUUMUVQUWCUVOFWHUUEUVQUUDUULUVRWIUVQFUVOUWBUWCDULUWBWBZDEUFWJZDEUFWKZ
        UWCWBZUVTWLWGUUMUUJEVSVHZUWCUUMUUHUUHSAVSVHZUTZUUJUWHUTZUUFUUGUUHUUKWMZ
        UWLUULUUFUWJUUGUUHUUFUWJWNZUUKUWMSHVCIVCJVCVDHIWOUCVCEWPVHWSVEIUAVFHUAV
        FUCUWHWQZJUWIWRZCSUWOUTUWJUUFUWNJSUWIWTXRUKXAXBXCAERRUWHSUAUGUWHWBZXDXE
        ZUUMUWBEVSUUFUWBEVEUULUUFEUWBUUEEUWBVEUUDDEVAUFXIWAZXFZWDXGXHZXJUVOUUSD
        UVLTUBUUOUVTUUSWBZUVLWBZUMXKXLUUMUVMUURUBUUSUUMUVMUUJUWBVRVHZVHZFVHZUUR
        UUMDXMUTZDWFUTZUUJUWCUTUVMUXEVEUUFUXFUULUUFUVQUXFUVSUWFWGWDUUFUXGUULUUF
        UVQUXGUVSUWEWGWDUWTFUWCUUJUWBUXCUVLDULUWDUWGUXCWBUXBXNXEUUMUXDUUQFUUMUU
        JUXCQUUMQEVRVHZUXCUQUUFUXHUXCVEUULUUFEUWBVRUWRXGWDXOXPXGXSXQXSXQUUMUVAD
        UDUVBUVDUVFFVHUVGDYHVHZVDZNVDZVNZVPVDZUVKUUMUUEUUNXTUTZUUQUWHUTZUVAUXMV
        EUUDUUEUULYAUUDUXNUUEUULUAYBYCUUMEYDUTZUWKUXOUUEUXPUUDUULUUEUVQUXPUVREY
        EWGWIUWQUWHEQUUJUWPUQYFXLZUUQDUUSEFNUXIUDLMOPUWHUUNUBUFUHUXAUXIWBZUNUIU
        JUWPULUOUPYGXEUUMUXLUVJDVPUUMUDUVBUXKUVIUUMUVCUVBUTZVBZUXJUVHUVDNUXTDYI
        UTZUVFUWCUTUVGUVOUTZUXJUVHVEUUFUYAUULUXSUUEUYAUUDDEUFYJWAYCUXTUVFPVSVHZ
        UWCUXTPYKUTZUVEXTUTZUUQUYCUTZUVFUYCUTUUFUYDUULUXSUUFUVQUYDUVSEPUOYRWGYC
        UXSUYEUUMUVCVJUUNYLWAUUMUYFUXSUUMUUQUWHUYCUXQUWHEPUOUWPYMZYNWDUYCLPUVEU
        UQUYCWBUPYOXEUUFUWCUYCVEUULUXSUUFUWCUWHUYCUUFUWBEVSUWSXGUYGYPYCXHUUFUXS
        UYBUULUUFUXSVBOYKUTZUVCXTUTZUVPUYBUUEUYHUUDUXSUUEUVQUXGUYHUVRUWEDOUIYRY
        QWIUXSUYIUUFUVCUUNYSWAUUFUVPUXSUWAWDUVOMOUVCUBUVODOUIUVTYMUJYOXEYTFUVFG
        UXIUWBUWCUVODUVGULUWDUWGUVTUXRURUUAXEXQUUBXQXSUUC $.

      chpscmatgsum.z $e |- Z = ( .g ` R ) $.
      $( The characteristic polynomial of a (nonempty!) scalar matrix,
         expressed as finite group sum of scaled monomials.  (Contributed by
         AV, 2-Sep-2019.) $)
      chpscmatgsummon $p |- ( ( ( N e. Fin /\ R e. CRing )
             /\ ( M e. D /\ J e. N /\ A. n e. N ( n M n ) = ( J M J ) ) )
                          -> ( C ` M ) = ( P gsum ( l e. ( 0 ... ( # ` N ) )
       |-> ( ( ( ( # ` N ) _C l ) Z ( ( ( # ` N ) - l ) E ( I ` ( J M J ) ) ) )
              .x. ( l .^ X ) ) ) ) ) $=
        ( cfn wcel ccrg wa cv co wceq wral w3a cfv cc0 chash cfz cmin cmpt cgsu
        cbc chpscmatgsumbin csca cmg clmod cbs cn0 crg crngring adantl ply1lmod
        syl ad2antrr cmnd ringmgp fznn0sub cgrp ringgrp simp2 weq c0g wrex crab
        elrabi eleq2s 3ad2ant1 3jca eqid matecl grpinvcl syl2an2r adantr mgpbas
        mulgnn0cl syl3anc ply1sca eqcomd fveq2d eleqtrrd cz hashcl elfzelz bccl
        syl2an ply1ring 3syl elfznn0 vr1cl lmodvsmmulgdi syl13anc eqtr2id oveqd
        cif oveq1d eqtrd mpteq2dva oveq2d ) UAVAVBZEVCVBZVDZSCVBZRUAVBZKVEZYSSV
        FRRSVFZVGKUAVHZVIZVDZSBVJDUEVKUAVLVJZVMVFZUUDUEVEZVQVFZUUDUUFVNVFZYTQVJ
        ZLVFZUUFUBMVFZGVFNVFZVOZVPVFDUEUUEUUGUUJUCVFZUUKGVFZVOZVPVFABCDEFGHIJKL
        MNOPQRSTUAUBUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSVRUUCUUMUUPDVPUUCUEUUEUULUU
        OUUCUUFUUEVBZVDZUULUUGUUJDVSVJZVTVJZVFZUUKGVFZUUOUURDWAVBZUUJUUSWBVJZVB
        UUGWCVBZUUKDWBVJZVBZUULUVBVGYPUVCUUBUUQYPEWDVBZUVCYOUVHYNEWEZWFZDEUGWGW
        HWIUURUUJEWBVJZUVDUURPWJVBZUUHWCVBZUUIUVKVBZUUJUVKVBYPUVLUUBUUQYPUVHUVL
        UVJEPUPWKWHWIUUQUVMUUCUUFVKUUDWLWFUUCUVNUUQYPEWMVBZUUBYTUVKVBZUVNYOUVOY
        NYOUVHUVOUVIEWNWHWFUUCYRYRSAWBVJZVBZVIZUVPUUBUVSYPUUBYRYRUVRYQYRUUAWOZU
        VTYQYRUVRUUAUVRSHVEIVEJVEVFHIWPUDVEEWQVJYIVGIUAVHHUAVHUDUVKWRZJUVQWSCUW
        AJSUVQWTULXAXBXCWFAERRUVKSUAUHUVKXDZXEWHUVKEQYTUWBURXFXGXHUVKLPUUHUUIUV
        KEPUPUWBXIUQXJXKYPUVDUVKVGUUBUUQYPUUSEWBYPEUUSYOEUUSVGYNDEVCUGXLWFZXMXN
        WIXOUUCUUDWCVBZUUFXPVBUVEUUQYNUWDYOUUBUAXQWIUUFVKUUDXRUUFUUDXSXTUUROWJV
        BZUUFWCVBZUBUVFVBZUVGYPUWEUUBUUQYOUWEYNYOUVHDWDVBUWEUVIDEUGYADOUJWKYBWF
        WIUUQUWFUUCUUFUUDYCWFYPUWGUUBUUQYPUVHUWGUVJUVFDEUBUIUGUVFXDZYDWHWIUVFMO
        UUFUBUVFDOUJUWHXIUKXJXKUUJGUUTNUUSUVDUUGUVFDUUKUWHUUSXDUSUVDXDUOUUTXDYE
        YFUURUVAUUNUUKGUURUUTUCUUGUUJYPUUTUCVGUUBUUQYPUCEVTVJUUTUTYPEUUSVTUWCXN
        YGWIYHYJYKYLYMYK $.
    $}

    ${
      chp0mat.0 $e |- .0. = ( 0g ` A ) $.
      $( The characteristic polynomial of the zero matrix.  (Contributed by AV,
         18-Aug-2019.) $)
      chp0mat $p |- ( ( N e. Fin /\ R e. CRing )
                     -> ( C ` .0. ) = ( ( # ` N ) .^ X ) ) $=
        ( vk wcel wa cfv vi vj vx vy cfn ccrg cv co cascl csg cmpt cgsu cbs wne
        chash c0g wceq wi wral simpl simpr cgrp crngring matring sylan2 ringgrp
        crg eqid grpidcl 3syl cvv cmpo mat0op syl5eq adantr eqidd adantl ovmpod
        weq a1d ralrimivva chpdmat syl31anc fveq2d ply1scl0 syl oveq2d ply1ring
        fvexd eqtrd vr1cl grpsubid1 mpteq2dva cmnd ccmn ply1crng crngmgp cmnmnd
        jca mgpbas eleqtrdi gsumconst syl3anc 3eqtrd ) GUERZDUFRZSZIBTZFQGHQUGZ
        XIIUHZCUITZTZCUJTZUHZUKZULUHZFQGHUKZULUHZGUOTHEUHZXGXEXFIAUMTZRZUAUGZUB
        UGZUNZYBYCIUHDUPTZUQZURZUBGUSUAGUSXHXPUQXEXFUTZXEXFVAXGAVGRZAVBRYAXFXED
        VGRZYIDVCZADGLVDVEAVFXTAIXTVHZPVIVJXGYGUAUBGGXGYBGRZYCGRZSZSZYFYDYPUCUD
        YBYCGGYEYEIVKXGIUCUDGGYEVLZUQZYOXFXEYJYRYKXEYJSIAUPTYQPADUCUDGYELYEVHZV
        MVNVEZVOYPUCUAVSUDUBVSSSYEVPYOYMXGYMYNUTVQYOYNXGYMYNVAVQYPDUPWIVRVTWAAX
        TBCDXKUAUBQFIXMGHYEJKLXKVHZYLMYSNXMVHZWBWCXGXOXQFULXGQGXNHXGXIGRZSZXNHC
        UPTZXMUHZHUUDXLUUEHXMUUDXLYEXKTZUUEUUDXJYEXKUUDUCUDXIXIGGYEYEIVKXGYRUUC
        YTVOUUDUCQVSUDQVSSSYEVPXGUUCVAZUUHUUDDUPWIVRWDXGUUGUUEUQZUUCXGYJUUIXFYJ
        XEYKVQZXKCDUUEYEKUUAYSUUEVHZWEWFVOWJWGUUDCVBRZHCUMTZRZSZUUFHUQXGUUOUUCX
        GUULUUNXFUULXEXFYJCVGRUULYKCDKWHCVFVJVQXGYJUUNUUJUUMCDHMKUUMVHZWKZWFWSV
        OUUMCXMHUUEUUPUUKUUBWLWFWJWMWGXGFWNRZXEHFUMTZRXRXSUQXFUURXEXFCUFRFWORUU
        RCDKWPCFNWQFWRVJVQYHXGHUUMUUSXFUUNXEXFYJUUNYKUUQWFVQUUMCFNUUPWTXAGUUSEQ
        FHUUSVHOXBXCXD $.
    $}

    $d I i j k $.  $d S k $.  $d .1. k $.
    chpidmat.i $e |- I = ( 1r ` A ) $.
    chpidmat.s $e |- S = ( algSc ` P ) $.
    chpidmat.1 $e |- .1. = ( 1r ` R ) $.
    chpidmat.m $e |- .- = ( -g ` P ) $.
    $( The characteristic polynomial of the identity matrix.  (Contributed by
       AV, 19-Aug-2019.) $)
    chpidmat $p |- ( ( N e. Fin /\ R e. CRing )
                    -> ( C ` I ) = ( ( # ` N ) .^ ( X .- ( S ` .1. ) ) ) ) $=
      ( vk vi vj cfn wcel ccrg wa cfv cv co csg cmpt cgsu chash cbs wne wceq wi
      c0g wral simpl crg crngring matring sylan2 eqid ringidcl syl weq ad2antrr
      simpr adantl simplrl simplrr mat1ov ifnefalse eqtrd ex ralrimivva chpdmat
      syl31anc adantr iftruei eqtrdi fveq2d oveq2d mpteq2dva cmnd ccmn ply1crng
      cif crngmgp cmnmnd 3syl cgrp w3a ply1ring ringgrp vr1cl cur ply1scl1 3jca
      eqeltrd grpsubcl mgpbas eleqtrdi gsumconst eqcomi oveqi oveq2i syl3anc )
      KUFUGZDUHUGZUIZIBUJZHUCKLUCUKZXRIULZEUJZCUMUJZULZUNZUOULZKUPUJZLFEUJZJULZ
      GULZXPXNXOIAUQUJZUGZUDUKZUEUKZURZYKYLIULZDVAUJZUSZUTZUEKVBUDKVBXQYDUSXNXO
      VCZXNXOVMXPAVDUGZYJXOXNDVDUGZYSDVEZADKOVFVGYIAIYIVHZSVIVJXPYQUDUEKKXPYKKU
      GZYLKUGZUIZUIZYMYPUUFYMUIZYNUDUEVKFYOWMZYOUUGADIFYKYLKYOOUAYOVHZXPXNUUEYM
      YRVLXPYTUUEYMXOYTXNUUAVNZVLXPUUCUUDYMVOXPUUCUUDYMVPSVQYMUUHYOUSUUFYKYLFYO
      VRVNVSVTWAAYIBCDEUDUEUCHIYAKLYOMNOTUUBPUUIQYAVHZWBWCXPYDHUCKLYFYAULZUNZUO
      ULZYHXPYCUUMHUOXPUCKYBUULXPXRKUGZUIZXTYFLYAUUPXSFEUUPXSUCUCVKZFYOWMFUUPAD
      IFXRXRKYOOUAUUIXPXNUUOYRWDXPYTUUOUUJWDXPUUOVMZUURSVQUUQFYOXRVHWEWFWGWHWIW
      HXPHWJUGZXNUULHUQUJZUGZUUNYHUSXOUUSXNXOCUHUGHWKUGUUSCDNWLCHQWNHWOWPVNYRXP
      UULCUQUJZUUTXPCWQUGZLUVBUGZYFUVBUGZWRZUULUVBUGXOUVFXNXOYTUVFUUAYTUVCUVDUV
      EYTCVDUGZUVCCDNWSZCWTVJUVBCDLPNUVBVHZXAYTYFCXBUJZUVBECDFUVJNTUAUVJVHZXCYT
      UVGUVJUVBUGUVHUVBCUVJUVIUVKVIVJXEXDVJVNUVBCYALYFUVIUUKXFVJUVBCHQUVIXGXHUU
      SXNUVAWRUUNYEUULGULYHKUUTGUCHUULUUTVHRXIUULYGYEGYAJLYFJYAUBXJXKXLWFXMVSVS
      $.
  $}

  ${
    $d B c $.  $d C c $.  $d E c $.  $d M c $.  $d N c $.  $d P c $.  $d R c $.
    $d .1. c $.  $d .x. c $.
    chmaidscmat.a $e |- A = ( N Mat R ) $.
    chmaidscmat.b $e |- B = ( Base ` A ) $.
    chmaidscmat.c $e |- C = ( N CharPlyMat R ) $.
    chmaidscmat.p $e |- P = ( Poly1 ` R ) $.
    chmaidscmat.e $e |- E = ( Base ` P ) $.
    chmaidscmat.y $e |- Y = ( N Mat P ) $.
    chmaidscmat.k $e |- K = ( Base ` Y ) $.
    chmaidscmat.m $e |- .x. = ( .s ` Y ) $.
    chmaidscmat.1 $e |- .1. = ( 1r ` Y ) $.
    chmaidscmat.d $e |- S = ( N ScMat P ) $.
    $( The characteristic polynomial of a matrix multiplied with the identity
       matrix is a scalar matrix.  (Contributed by AV, 30-Oct-2019.)  (Revised
       by AV, 5-Jul-2022.) $)
    chmaidscmat $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                        -> ( ( C ` M ) .x. .1. ) e. S ) $=
      ( vc cfn wcel ccrg w3a cfv co cv wceq crg wa crngring ply1ring syl anim2i
      3adant3 chpmatply1 pmatring sylan2 ringidcl matvscl syl12anc risset oveq1
      wrex wi eqcoms a1i reximdva com12 sylbi mpcom wb scmatel mpbir2and ) LUEU
      FZEUGUFZKBUFZUHZKCUIZHGUJZFUFZWDJUFZWDUDUKZHGUJULZUDIVHZWBVSDUMUFZUNZWCIU
      FZHJUFZWFVSVTWKWAVTWJVSVTEUMUFZWJEUOZDEQUPUQURUSZABCDEIKLPNOQRUTZVSVTWMWA
      VSVTUNMUMUFZWMVTVSWNWRWOMDELQSVAVBJMHTUBVCUQUSMJWCDGILHRSTUAVDVEWLWBWIWQW
      LWGWCULZUDIVHZWBWIVIUDWCIVFWBWTWIWBWSWHUDIWSWHVIWBWGIUFUNWHWCWGWCWGHGVGVJ
      VKVLVMVNVOWBWKWEWFWIUNVPWPMJDFGHIWDLUMUDRSTUBUAUCVQUQVR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The characteristic factor function G
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  In this subsection the function ` G = ( n e. NN0 |-> if ( n = 0 ,
  ( .0. .- ( ( T `` M ) .X. ( T `` ( b `` 0 ) ) ) ) , if ( n = ( s + 1 ) ,
  ( T `` ( b `` s ) ) , if ( ( s + 1 ) < n , .0. ,
  ( ( T `` ( b `` ( n - 1 ) ) )
  .- ( ( T `` M ) .X. ( T `` ( b `` n ) ) ) ) ) ) ) ) ` is discussed.
  This function is involved in the representation of the product of the
  characteristic matrix of a given matrix and its adjunct as an infinite sum,
  see ~ cpmadugsum .  Therefore, this function is called "characteristic factor
  function" (in short "chfacf") in the following.  It plays an important role
  in the proof of the Cayley-Hamilton theorem, see ~ cayhamlem1 , ~ cayhamlem3
  and ~ cayhamlem4 .

$)

  ${
    $d N n $.  $d S n $.
    fvmptnn04if.g $e |- G = ( n e. NN0
            |-> if ( n = 0 , A , if ( n = S , C , if ( S < n , D , B ) ) ) ) $.
    fvmptnn04if.s $e |- ( ph -> S e. NN ) $.
    fvmptnn04if.n $e |- ( ph -> N e. NN0 ) $.
    ${
      fvmptnn04if.y $e |- ( ph -> Y e. V ) $.
      fvmptnn04if.a $e |- ( ( ph /\ N = 0 ) -> Y = [_ N / n ]_ A ) $.
      fvmptnn04if.b $e |- ( ( ph /\ 0 < N /\ N < S ) -> Y = [_ N / n ]_ B ) $.
      fvmptnn04if.c $e |- ( ( ph /\ N = S ) -> Y = [_ N / n ]_ C ) $.
      fvmptnn04if.d $e |- ( ( ph /\ S < N ) -> Y = [_ N / n ]_ D ) $.
      $( The function values of a mapping from the nonnegative integers with
         four distinct cases.  (Contributed by AV, 10-Nov-2019.) $)
      fvmptnn04if $p |- ( ph -> ( G ` N ) = Y ) $=
        ( wa cfv cv cc0 wceq clt wbr cif csb cn0 wcel wsbc csbif eqsbc1 sbcbr2g
        wb csbvarg breq2d bitrd ifbid syl5eq ifbieq2d adantr eqeltrrd wn eqcomd
        syl adantlr ad2antrr eqeltrd ad4ant14 ad3antrrr simplll bicomi bianassc
        anass an32 ancom anbi1i bitri wi wne df-ne cn nngt0 sylbir expcom mpan9
        elnnne0 cr nn0red nnred cle lenltd biimprd adantld imp biimpri ad2antll
        nesym leneltd w3a syl3anc ifclda fvmpts syl2anc ifeqda 3eqtrd ) AIHUAZG
        IGUBZUCUDZBXIFUDZDFXIUEUFZECUGZUGZUGZUHZIUCUDZGIBUHZIFUDZGIDUHZFIUEUFZG
        IEUHZGICUHZUGZUGZUGZKAIUIUJZXPJUJXHXPUDNAXPYFJAXPXJGIUKZXRGIXNUHZUGYFXJ
        GIBXNULAYHXQYIYEXRAYGYHXQUONGIUCUIUMVFAYIXKGIUKZXTGIXMUHZUGYEXKGIDXMULA
        YJXSYKYDXTAYGYJXSUONGIFUIUMVFAYKXLGIUKZYBYCUGYDXLGIECULAYLYAYBYCAYLFGIX
        IUHZUEUFZYAAYGYLYNUONGIFXIUEUIUNVFAYMIFUEAYGYMIUDNGIUIUPVFUQURUSUTVAUTV
        AUTZAXQXRYEJAXQTZKXRJPAKJUJZXQOVBVCAXQVDZTZXSXTYDJYSXSTXTKJAXSXTKUDYRAX
        STKXTRVEVGZAYQYRXSOVHVIYSXSVDZTZYAYBYCJUUBYATYBKJAYAYBKUDYRUUAAYATKYBSV
        EVJZAYQYRUUAYAOVKVIUUBYAVDZTZYCKJUUEAUCIUEUFZIFUEUFZYCKUDAYRUUAUUDVLUUE
        AYRUUAUUDTZTZTZUUFUUJYRUUATZATZUUDTUUEUUIUUKUUDAUUKUUDTUUIYRUUAUUDVOVMV
        NUULUUBUUDUULYRATZUUATUUBYRUUAAVPUUMYSUUAYRAVQVRVSVRVSZAYGUUIUUFNYRYGUU
        FVTZUUHYRIUCWAZUUOIUCWBYGUUPUUFYGUUPTIWCUJUUFIWHIWDWEWFWEVBWGWEUUEUUJUU
        GUUNUUJIFAIWIUJUUIAINWJZVBAFWIUJUUIAFMWKZVBAUUIIFWLUFZAUUHUUSYRAUUDUUSU
        UAAUUSUUDAIFUUQUURWMWNWOWOWPUUHFIWAZAYRUUAUUTUUDUUTUUAFIWSWQVBWRWTWEAUU
        FUUGXAKYCQVEXBZAYQYRUUAUUDOVKVIXCXCXCVIGIXOUIHJLXDXEYOAXQXRYEKYPKXRPVEY
        SXSXTYDKYTUUBYAYBYCKUUCUVAXFXFXFXG $.
    $}

    $d A n $.  $d V n $.
    $( The function value of a mapping from the nonnegative integers with four
       distinct cases for the first case.  (Contributed by AV, 10-Nov-2019.) $)
    fvmptnn04ifa $p |- ( ( ph /\ N = 0 /\ [_ N / n ]_ A e. V )
                         -> ( G ` N ) = [_ N / n ]_ A ) $=
      ( cc0 wceq csb wcel wa clt wbr w3a cn 3ad2ant1 cn0 simp3 eqidd wi gt0ne0d
      simpr neneqd pm2.21d impancom 3adant3 3imp wne nnne0d necomd adantr neeq1
      wb adantl mpbird imp wn nnnn0 nn0nlt0 3syl breq2 notbid fvmptnn04if ) AIN
      OZGIBPZJQZUAZBCDEFGHIJVLKAVKFUBQZVMLUCAVKIUDQVMMUCAVKVMUEVNVKRVLUFVNNISTZ
      IFSTZVLGICPOZAVKVPVQVRUGZUGVMAVPVKVSAVPRZVKVSVTINVTIAVPUIUHUJUKULUMUNVNIF
      OZVLGIDPOZVNWAWBVNIFAVKIFUOZVMAVKRZWCNFUOZAWEVKAFNAFLUPUQURVKWCWEUTAINFUS
      VAVBUMUJUKVCVNFISTZVLGIEPOZVNWFWGAVKWFVDZVMWDWHFNSTZVDZAWJVKAVOFUDQWJLFVE
      FVFVGURVKWHWJUTAVKWFWIINFSVHVIVAVBUMUKVCVJ $.

    $( The function value of a mapping from the nonnegative integers with four
       distinct cases for the second case.  (Contributed by AV,
       10-Nov-2019.) $)
    fvmptnn04ifb $p |- ( ( ph /\ ( 0 < N /\ N < S ) /\ [_ N / n ]_ B e. V )
                         -> ( G ` N ) = [_ N / n ]_ B ) $=
      ( cc0 clt wbr csb wcel wceq wi wa w3a cn 3ad2ant1 cn0 simp3 wne cr cle wb
      nn0re nn0ge0 jca ne0gt0 3syl biimprcd adantr impcom 3adant3 neneq pm2.21d
      syl eqidd wn simpr ltned neneqd adantrl nnred ltnsym syl2anc com12 adantl
      imp fvmptnn04if ) ANIOPZIFOPZUAZGICQZJRZUBZBCDEFGHIJVSKAVRFUCRVTLUDAVRIUE
      RZVTMUDAVRVTUFWAINSZVSGIBQSZWAINUGZWCWDTAVRWEVTVRAWEVPAWETVQAWEVPAWBIUHRZ
      NIUIPZUAWEVPUJMWBWFWGIUKZIULUMIUNUOUPUQURUSWEWCWDINUTVAVBVNWAVPVQUBVSVCWA
      IFSZVSGIDQSZWAWIWJAVRWIVDZVTAVQWKVPAVQUAZIFWLIFAWFVQAWBWFMWHVBZUQAVQVEVFV
      GVHUSVAVNWAFIOPZVSGIEQSZWAWNWOAVRWNVDZVTVRAWPVQAWPTVPAVQWPAWFFUHRVQWPTWMA
      FLVIIFVJVKVLVMURUSVAVNVO $.

    $( The function value of a mapping from the nonnegative integers with four
       distinct cases for the third case.  (Contributed by AV, 10-Nov-2019.) $)
    fvmptnn04ifc $p |- ( ( ph /\ N = S /\ [_ N / n ]_ C e. V )
                         -> ( G ` N ) = [_ N / n ]_ C ) $=
      ( wceq csb wcel cc0 wn 3adant3 pm2.21d w3a cn 3ad2ant1 cn0 simp3 wa nnne0
      neneqd syl adantr wb eqeq1 notbid adantl mpbird imp clt wi nn0red lttri3d
      wbr nnred simprbda a1d 3imp eqidd simplbda fvmptnn04if ) AIFNZGIDOZJPZUAZ
      BCDEFGHIJVJKAVIFUBPZVKLUCAVIIUDPVKMUCAVIVKUEVLIQNZVJGIBONZVLVNVOAVIVNRZVK
      AVIUFZVPFQNZRZAVSVIAVMVSLVMFQFUGUHUIUJVIVPVSUKAVIVNVRIFQULUMUNUOSTUPVLQIU
      QVAZIFUQVAZVJGICONZVLWAWBURZVTAVIWCVKVQWAWBAVIWARZFIUQVAZRZAIFAIMUSAFLVBU
      TZVCTSVDVEVLVIUFVJVFVLWEVJGIEONZVLWEWHAVIWFVKAVIWDWFWGVGSTUPVH $.

    $( The function value of a mapping from the nonnegative integers with four
       distinct cases for the forth case.  (Contributed by AV, 10-Nov-2019.) $)
    fvmptnn04ifd $p |- ( ( ph /\ S < N /\ [_ N / n ]_ D e. V )
                         -> ( G ` N ) = [_ N / n ]_ D ) $=
      ( clt wbr csb wcel cc0 wceq wi w3a cn 3ad2ant1 cn0 simp3 wa wn 0red nnred
      nngt0d ltnsymd adantr breq2 notbid adantl mpbird pm2.21d impancom 3adant3
      wb imp nn0red ltnsym syl2anc a1d 3imp lttri3d simplbda eqidd fvmptnn04if
      cr ) AFINOZGIEPZJQZUAZBCDEFGHIJVMKAVLFUBQVNLUCAVLIUDQVNMUCAVLVNUEVOIRSZVM
      GIBPSZAVLVPVQTVNAVPVLVQAVPUFZVLVQVRVLUGZFRNOZUGZAWAVPARFAUHAFLUIZAFLUJUKU
      LVPVSWAUTAVPVLVTIRFNUMUNUOUPUQURUSVAVORINOZIFNOZVMGICPSZVOWDWETWCVOWDWEAV
      LWDUGZVNAVLWFAFVKQIVKQVLWFTWBAIMVBZFIVCVDVAUSUQVEVFVOIFSZVMGIDPSZAVLWHWIT
      VNAWHVLWIAWHUFVLWIAWHWFVSAIFWGWBVGVHUQURUSVAVOVLUFVMVIVJ $.
  $}

  ${
    $d B n $.  $d M n $.  $d N n $.  $d R n $.  $d Y n $.  $d b n $.  $d n s $.
    chfacfisf.a $e |- A = ( N Mat R ) $.
    chfacfisf.b $e |- B = ( Base ` A ) $.
    chfacfisf.p $e |- P = ( Poly1 ` R ) $.
    chfacfisf.y $e |- Y = ( N Mat P ) $.
    chfacfisf.r $e |- .X. = ( .r ` Y ) $.
    chfacfisf.s $e |- .- = ( -g ` Y ) $.
    chfacfisf.0 $e |- .0. = ( 0g ` Y ) $.
    chfacfisf.t $e |- T = ( N matToPolyMat R ) $.
    chfacfisf.g $e |- G = ( n e. NN0
          |-> if ( n = 0 , ( .0. .- ( ( T ` M ) .X. ( T ` ( b ` 0 ) ) ) ) ,
                   if ( n = ( s + 1 ) , ( T ` ( b ` s ) ) ,
                        if ( ( s + 1 ) < n , .0. ,
                          ( ( T ` ( b ` ( n - 1 ) ) )
                            .- ( ( T ` M ) .X. ( T ` ( b ` n ) ) ) ) ) ) ) ) $.
    $( The "characteristic factor function" is a function from the nonnegative
       integers to polynomial matrices.  (Contributed by AV, 8-Nov-2019.) $)
    chfacfisf $p |- ( ( ( N e. Fin /\ R e. Ring /\ M e. B )
                             /\ ( s e. NN /\ b e. ( B ^m ( 0 ... s ) ) ) )
                    -> G : NN0 --> ( Base ` Y ) ) $=
      ( cfn wcel crg w3a cv cn cc0 cfz co cmap wa cn0 wceq cfv c1 caddc clt wbr
      cmin cif cbs cgrp pmatring 3adant3 ringgrp syl adantr ring0cl mat2pmatbas
      3simpa wf elmapi adantl cuz nnnn0 nn0uz eleqtrdi eluzfz1 ffvelrnd anim12i
      eqid df-3an sylibr syl3anc grpsubcl ad2antrr wn eluzfz2 anim1ci m2pmfzmap
      ringcl syl2anc ad4antr wi cle cr nn0re peano2nn nnred lenltd wne nesym wb
      ltlen syl2anr biimprd expcomd syl5bir com23 sylbird ad2antrl imp ad4antlr
      impcomd ex anim2i elnnne0 nnm1nn0 ad4ant23 simprbda 1red lesubaddd mpbird
      neqne nnre exp31 elfz2nn0 syl3anbrc sylanbrc simprr simplr cz nnz zleltp1
      nn0z ifclda biimpar imp31 syl12anc adantlr syld impl fmptd ) KUEUFZDUGUFZ
      IBUFZUHZNUIZUJUFZOUIZBUKUULULUMZUNUMUFZUOZUOZGUPGUIZUKUQZMIEURZUKUUNURZEU
      RZFUMZJUMZUUSUULUSUTUMZUQZUULUUNUREURZUVFUUSVAVBZMUUSUSVCUMZUUNURZEURZUVA
      UUSUUNUREURZFUMZJUMZVDZVDZVDLVEURZHUURUUSUPUFZUOZUUTUVEUVQUVRUURUVEUVRUFZ
      UVSUUTUURLVFUFZMUVRUFZUVDUVRUFZUWAUUKUWBUUQUUKLUGUFZUWBUUHUUIUWEUUJLCDKRS
      VGZVHZLVIZVJVKUUKUWCUUQUUKUWEUWCUWGUVRLMUVRWEZUBVLVJVKZUURUWEUVAUVRUFZUVC
      UVRUFZUWDUUKUWEUUQUWGVKZUUKUWKUUQABLCDEIKUCPQRSVMVKZUURUUHUUIUVBBUFZUHZUW
      LUURUUHUUIUOZUWOUOUWPUUKUWQUUQUWOUUHUUIUUJVNZUUQUUOBUKUUNUUPUUOBUUNVOZUUM
      UUNBUUOVPVQZUUMUKUUOUFZUUPUUMUULUKVRURZUFZUXAUUMUULUPUXBUULVSZVTWAZUKUULW
      BVJVKWCWDUUHUUIUWOWFWGABLCDEUVBKUCPQRSVMVJUVRLFUVAUVCUWITWOWHUVRLJMUVDUWI
      UAWIWHWJUVTUUTWKZUOZUVGUVHUVPUVRUVTUVHUVRUFZUXFUVGUURUXHUVSUURUUHUUIUULUP
      UFZUHZUUPUULUUOUFZUOZUXHUURUWQUXIUOUXJUUKUWQUUQUXIUWRUUMUXIUUPUXDVKZWDUUH
      UUIUXIWFWGZUUQUXLUUKUUMUXKUUPUUMUXCUXKUXEUKUULWLVJWMVQABCDUULEUULKLOPQRSU
      CWNWPVKWJUXGUVGWKZUOUVIMUVOUVRUURUWCUVSUXFUXOUVIUWJWQUXGUXOUVIWKZUVOUVRUF
      ZUXGUXOUXPUOZUUSUVFVAVBZUXQUVTUXRUXSWRZUXFUURUVSUXTUUMUVSUXTWRUUKUUPUUMUV
      SUXTUUMUVSUOZUXPUXOUXSUYAUXPUUSUVFWSVBZUXOUXSWRUYAUUSUVFUVSUUSWTUFZUUMUUS
      XAZVQZUUMUVFWTUFZUVSUUMUVFUULXBXCZVKXDUYAUXOUYBUXSUXOUVFUUSXEZUYAUYBUXSWR
      UVFUUSXFUYAUYBUYHUXSUYAUXSUYBUYHUOZUVSUYCUYFUXSUYIXGUUMUYDUYGUUSUVFXHXIZX
      JXKXLXMXNXRXSXOXPVKUXGUXSUXQUXGUXSUOZUWBUVLUVRUFZUVNUVRUFZUXQUUKUWBUUQUVS
      UXFUXSUUHUUIUWBUUJUWQUWEUWBUWFUWHVJVHWQUYKUUHUUIUVKBUFZUHZUYLUYKUWQUYNUYO
      UUKUWQUUQUVSUXFUXSUWRWQUYKUUOBUVJUUNUUQUWSUUKUVSUXFUXSUWTXQUYKUVJUPUFZUXI
      UVJUULWSVBZUVJUUOUFUVSUXFUYPUURUXSUVSUXFUOZUUSUJUFZUYPUYRUVSUUSUKXEZUOUYS
      UXFUYTUVSUUSUKYHXTUUSYAWGUUSYBVJYCUUQUXIUUKUVSUXFUXSUXMXQUXGUXSUYQUVTUXSU
      YQWRZUXFUURUVSVUAUUMUVSVUAWRUUKUUPUUMUVSUXSUYQUYAUXSUOZUYQUYBUYAUXSUYBUYH
      UYJYDVUBUUSUSUULUYAUYCUXSUYEVKVUBYEUUMUULWTUFUVSUXSUULYIWJYFYGYJXOXPVKXPU
      VJUULYKYLWCUUHUUIUYNWFYMABLCDEUVKKUCPQRSVMVJUVTUXSUYMUXFUVTUXSUOZUWEUWKUV
      MUVRUFZUYMUURUWEUVSUXSUWMWJUURUWKUVSUXSUWNWJVUCUXJUUPUUSUUOUFZVUDUURUXJUV
      SUXSUXNWJUURUUPUVSUXSUUKUUMUUPYNWJUURUVSUXSVUEUUMUVSUXSVUEWRWRUUKUUPUUMUV
      SUXSVUEVUBUVSUXIUUSUULWSVBZVUEUUMUVSUXSYOUUMUXIUVSUXSUXDWJUYAVUFUXSUVSUUS
      YPUFUULYPUFVUFUXSXGUUMUUSYSUULYQUUSUULYRXIUUAUUSUULYKYLYJXOUUBABCDUULEUUS
      KLOPQRSUCWNUUCUVRLFUVAUVMUWITWOWHUUDUVRLJUVLUVNUWIUAWIWHXSUUEUUFYTYTYTUDU
      UG $.

    ${
      $d S n $.
      chfacfisfcpmat.s $e |- S = ( N ConstPolyMat R ) $.
      $( The "characteristic factor function" is a function from the
         nonnegative integers to constant polynomial matrices.  (Contributed by
         AV, 19-Nov-2019.) $)
      chfacfisfcpmat $p |- ( ( ( N e. Fin /\ R e. Ring /\ M e. B )
                              /\ ( s e. NN /\ b e. ( B ^m ( 0 ... s ) ) ) )
                             -> G : NN0 --> S ) $=
        ( cfn wcel crg w3a cv cn cc0 cfz co cmap wa cn0 wceq cfv caddc clt cmin
        c1 wbr csubg cpmatsubgpmat 3adant3 adantr csubmnd subgsubm subm0cl 3syl
        cif csubrg cpmatsrgpmat m2cpm 3simpa elmapi adantl nnnn0 nn0uz eleqtrdi
        wf cuz eluzfz1 ffvelrnd anim12i df-3an sylibr subrgmcl syl3anc ad2antrr
        syl subgsubcl wn simpl1 simpl2 eluzfz2 ad2antrl ad4antr wi cle cr nn0re
        peano2nn nnred lenltd nesym ltlen syl2anr biimprd expcomd syl5bir com23
        wne wb sylbird impcomd ex imp ad4antlr anim2i elnnne0 ad4ant23 simprbda
        neqne nnm1nn0 1red nnre lesubaddd mpbird exp31 elfz2nn0 sylanbrc simp1d
        syl3anbrc simp2d cz ifclda simplr nn0z nnz zleltp1 biimpar adantlr syld
        imp31 impl fmptd ) LUGUHZDUIUHZJBUHZUJZOUKZULUHZPUKZBUMUUOUNUOZUPUOUHZU
        QZUQZHURHUKZUMUSZNJFUTZUMUUQUTZFUTZGUOZKUOZUVBUUOVDVAUOZUSZUUOUUQUTZFUT
        ZUVIUVBVBVEZNUVBVDVCUOZUUQUTZFUTZUVDUVBUUQUTZFUTZGUOZKUOZVNZVNZVNEIUVAU
        VBURUHZUQZUVCUVHUWBEUVAUVHEUHZUWCUVCUVAEMVFUTUHZNEUHZUVGEUHZUWEUUNUWFUU
        TUUKUULUWFUUMMCDELUFSTVGVHZVIUUNUWGUUTUUNUWFEMVJUTUHUWGUWIEMVKEMNUCVLVM
        VIZUVAEMVOUTUHZUVDEUHZUVFEUHZUWHUUNUWKUUTUUKUULUWKUUMMCDELUFSTVPVHVIZUU
        NUWLUUTABDEFJLUFUDQRVQVIZUVAUUKUULUVEBUHZUJZUWMUVAUUKUULUQZUWPUQUWQUUNU
        WRUUTUWPUUKUULUUMVRZUUTUURBUMUUQUUSUURBUUQWDZUUPUUQBUURVSVTZUUPUMUURUHZ
        UUSUUPUUOUMWEUTZUHZUXBUUPUUOURUXCUUOWAZWBWCZUMUUOWFWNVIWGWHUUKUULUWPWIW
        JABDEFUVELUFUDQRVQWNEMGUVDUVFUAWKWLEMKNUVGUBWOWLWMUWDUVCWPZUQZUVJUVLUWA
        EUWDUVLEUHZUXGUVJUVAUXIUWCUVAUUKUULUVKBUHUXIUUKUULUUMUUTWQUUKUULUUMUUTW
        RUVAUURBUUOUUQUUTUWTUUNUXAVTZUUPUUOUURUHZUUNUUSUUPUXDUXKUXFUMUUOWSWNWTW
        GABDEFUVKLUFUDQRVQWLVIWMUXHUVJWPZUQUVMNUVTEUVAUWGUWCUXGUXLUVMUWJXAUXHUX
        LUVMWPZUVTEUHZUXHUXLUXMUQZUVBUVIVBVEZUXNUWDUXOUXPXBZUXGUVAUWCUXQUUPUWCU
        XQXBUUNUUSUUPUWCUXQUUPUWCUQZUXMUXLUXPUXRUXMUVBUVIXCVEZUXLUXPXBUXRUVBUVI
        UWCUVBXDUHZUUPUVBXEZVTZUUPUVIXDUHZUWCUUPUVIUUOXFXGZVIXHUXRUXLUXSUXPUXLU
        VIUVBXPZUXRUXSUXPXBUVIUVBXIUXRUXSUYEUXPUXRUXPUXSUYEUQZUWCUXTUYCUXPUYFXQ
        UUPUYAUYDUVBUVIXJXKZXLXMXNXOXRXSXTWTYAVIUXHUXPUXNUXHUXPUQZUWFUVPEUHZUVS
        EUHZUXNUUNUWFUUTUWCUXGUXPUWIXAUYHUUKUULUVOBUHZUJZUYIUYHUWRUYKUYLUUNUWRU
        UTUWCUXGUXPUWSXAUYHUURBUVNUUQUUTUWTUUNUWCUXGUXPUXAYBUYHUVNURUHZUUOURUHZ
        UVNUUOXCVEZUVNUURUHUWCUXGUYMUVAUXPUWCUXGUQZUVBULUHZUYMUYPUWCUVBUMXPZUQU
        YQUXGUYRUWCUVBUMYGYCUVBYDWJUVBYHWNYEUUTUYNUUNUWCUXGUXPUUPUYNUUSUXEVIZYB
        UXHUXPUYOUWDUXPUYOXBZUXGUVAUWCUYTUUPUWCUYTXBUUNUUSUUPUWCUXPUYOUXRUXPUQZ
        UYOUXSUXRUXPUXSUYEUYGYFVUAUVBVDUUOUXRUXTUXPUYBVIVUAYIUUPUUOXDUHUWCUXPUU
        OYJWMYKYLYMWTYAVIYAUVNUUOYNYQWGUUKUULUYKWIYOABDEFUVOLUFUDQRVQWNUWDUXPUY
        JUXGUWDUXPUQZUWKUWLUVREUHZUYJUVAUWKUWCUXPUWNWMUVAUWLUWCUXPUWOWMVUBUUKUU
        LUVQBUHVUCVUBUUKUULUYNUVAUUKUULUYNUJZUWCUXPUVAUWRUYNUQVUDUUNUWRUUTUYNUW
        SUYSWHUUKUULUYNWIWJWMZYPVUBUUKUULUYNVUEYRVUBUURBUVBUUQUVAUWTUWCUXPUXJWM
        UVAUWCUXPUVBUURUHZUUPUWCUXPVUFXBXBUUNUUSUUPUWCUXPVUFVUAUWCUYNUVBUUOXCVE
        ZVUFUUPUWCUXPUUAUUPUYNUWCUXPUXEWMUXRVUGUXPUWCUVBYSUHUUOYSUHVUGUXPXQUUPU
        VBUUBUUOUUCUVBUUOUUDXKUUEUVBUUOYNYQYMWTUUHWGABDEFUVQLUFUDQRVQWLEMGUVDUV
        RUAWKWLUUFEMKUVPUVSUBWOWLXTUUGUUIYTYTYTUEUUJ $.
    $}

    $d B k l $.  $d M k l $.  $d N k l $.  $d R k l $.  $d T k l $.
    $d Y k l $.  $d b k l $.  $d k l n s $.  $d .X. k l $.  $d .0. k l $.
    $d .- k l $.
    $( The "characteristic factor function" is finitely supported.
       (Contributed by AV, 20-Nov-2019.)  (Proof shortened by AV,
       23-Dec-2019.) $)
    chfacffsupp $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                                /\ ( s e. NN /\ b e. ( B ^m ( 0 ... s ) ) ) )
                              -> G finSupp ( 0g ` Y ) ) $=
      ( vk vl cfn wcel ccrg w3a cv cn cc0 cfz co cmap wa cn0 wceq cfv caddc clt
      c1 wbr cmin cif cmpt c0g cfsupp cvv fvexd ovex fvex fvexi ifex a1i csb wi
      wral wrex nnnn0 peano2nn0 ad2antrl simplr wn 0red cr nnre peano2re adantr
      syl ad3antlr nn0re ad2antlr nn0p1gt0 simpr lttrd gt0ne0d neneqd wb notbid
      eqeq1 adantl mpbird iffalsed wne sylan breq2 iftrued eqtrdi 3eqtrd csbied
      ltne ex ralrimiva breq1 rspceaimv syl2anc mptnn0fsupp eqbrtrid ) KUGUHDUI
      UHIBUHUJZNUKZULUHZOUKZBUMYBUNUOUPUOUHZUQZUQZHGURGUKZUMUSZMIEUTZUMYDUTEUTF
      UOZJUOZYHYBVCVAUOZUSZYBYDUTZEUTZYMYHVBVDZMYHVCVEUOYDUTEUTZYJYHYDUTEUTFUOZ
      JUOZVFZVFZVFZVGLVHUTZVIUDYGUEVJUUCGVJUUDUFYGLVHVKUUCVJUHYGYHURUHUQYIYLUUB
      MYKJVLYNYPUUAYOEVMYQMYTMLVHUBVNYRYSJVLVOVOVOVPYGYMURUHZYMUEUKZVBVDZGUUFUU
      CVQUUDUSZVRZUEURVSUFUKZUUFVBVDZUUHVRUEURVSUFURVTYCUUEYAYEYCYBURUHZUUEYBWA
      ZYBWBWKWCYGUUIUEURYGUUFURUHZUQZUUGUUHUUOUUGUQZGUUFUUCUUDURYGUUNUUGWDUUPYH
      UUFUSZUQZUUCUUBUUAUUDUURYIYLUUBUURYIWEZUUFUMUSZWEZUUPUVAUUQUUPUUFUMUUPUUF
      UUPUMYMUUFUUPWFYFYMWGUHZYAUUNUUGYCUVBYEYCYBWGUHUVBYBWHYBWIWKWJZWLUUNUUFWG
      UHYGUUGUUFWMWNUUOUMYMVBVDZUUGUUOUULUVDYFUULYAUUNYCUULYEUUMWJWNYBWOWKWJUUO
      UUGWPWQWRWSWJUUQUUSUVAWTUUPUUQYIUUTYHUUFUMXBXAXCXDXEUURYNYPUUAUURYNWEZUUF
      YMUSZWEZUUPUVGUUQUUPUUFYMUUOUVBUUGUUFYMXFYFUVBYAUUNUVCWNYMUUFXMXGWSWJUUQU
      VEUVGWTUUPUUQYNUVFYHUUFYMXBXAXCXDXEUURUUAMUUDUURYQMYTUURYQUUGUUOUUGUUQWDU
      UQYQUUGWTUUPYHUUFYMVBXHXCXDXIUBXJXKXLXNXOUUKUUGUUHUFUEYMURURUUJYMUUFVBXPX
      QXRXSXT $.

    chfacfscmulcl.x $e |- X = ( var1 ` R ) $.
    chfacfscmulcl.m $e |- .x. = ( .s ` Y ) $.
    chfacfscmulcl.e $e |- .^ = ( .g ` ( mulGrp ` P ) ) $.
    $( Closure of a scaled value of the "characteristic factor function".
       (Contributed by AV, 9-Nov-2019.) $)
    chfacfscmulcl $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                             /\ ( s e. NN /\ b e. ( B ^m ( 0 ... s ) ) )
                             /\ K e. NN0 )
                          -> ( ( K .^ X ) .x. ( G ` K ) ) e. ( Base ` Y ) ) $=
      ( cfn wcel ccrg w3a cv cn cc0 cfz co cmap cn0 clmod csca cfv cbs crngring
      crg pmatlmod sylan2 3adant3 3ad2ant1 cmgp cmnd ply1ring syl 3ad2ant2 eqid
      ringmgp simp3 vr1cl mgpbas mulgnn0cl syl3anc wceq ply1crng anim2i matsca2
      wa eqcomd fveq2d eleqtrrd wf chfacfisf syl3anl2 ffvelrnd lmodvscl ) NULUM
      ZDUNUMZLBUMZUOZRUPZUQUMSUPBURXBUSUTVAUTUMWIZKVBUMZUOZPVCUMZKOIUTZPVDVEZVF
      VEZUMKJVEZPVFVEZUMXGXJFUTXKUMXAXCXFXDWRWSXFWTWSWRDVHUMZXFDVGZPCDNUBUCVIVJ
      VKVLXEXGCVFVEZXIXECVMVEZVNUMZXDOXNUMZXGXNUMXAXCXPXDXACVHUMZXPWSWRXRWTWSXL
      XRXMCDUBVOVPVQCXOXOVRZVSVPVLXAXCXDVTZXAXCXQXDXAXLXQWSWRXLWTXMVQXNCDOUIUBX
      NVRZWAVPVLXNIXOKOXNCXOXSYAWBUKWCWDXAXCXIXNWEXDXAXHCVFXACXHXAWRCUNUMZWIZCX
      HWEWRWSYCWTWSYBWRCDUBWFWGVKPCNUNUCWHVPWJWKVLWLXEVBXKKJXAXCVBXKJWMZXDWSWRX
      LWTXCYDXMABCDEGHJLMNPQRSTUAUBUCUDUEUFUGUHWNWOVKXTWPXGFXHXIXKPXJXKVRXHVRUJ
      XIVRWQWD $.

    $d B s $.  $d K n $.  $d .0. n $.
    $( A scaled value of the "characteristic factor function" is zero almost
       always.  (Contributed by AV, 9-Nov-2019.) $)
    chfacfscmul0 $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                             /\ ( s e. NN /\ b e. ( B ^m ( 0 ... s ) ) )
                             /\ K e. ( ZZ>= ` ( s + 2 ) ) )
                           -> ( ( K .^ X ) .x. ( G ` K ) ) = .0. ) $=
      ( cfn wcel ccrg w3a cv cn cc0 cfz co cmap wa c2 caddc cuz cfv wceq cn0 c1
      clt wbr wi cz cle eluz2 simpll nngt0 cr nnre adantl crp 2rp ltaddrpd 0red
      a1i 2re readdcld syl3anc mpan2d ex com13 mpcom impcom zre adantr ltleletr
      lttr mpand imp elnn0z sylanbrc nncn add1p1 syl eqcomd breq1d nnz peano2zd
      cc wb anim2i ancomd zltp1le bicomd bitrd biimpa jca impancom com12 syl5bi
      3adant1 cmin cif cvv peano2re ad2antrr ad2antlr simpr neneqd eqeq1 notbid
      wn mpbird iffalsed simplr cbs crg 3adant3 3ad2ant2 eqid nn0re nnnn0 lttrd
      nn0p1gt0 gt0ne0d wne ltne sylan breq2 iftrued 3eqtrd fvexi fvmptd2 oveq2d
      c0g clmod csca crngring pmatlmod sylan2 cmgp cmnd ply1ring ringmgp mgpbas
      vr1cl mulgnn0cl ply1crng matsca2 fveq2d eleq2d lmodvs0 eqtrd expl 3impia
      syld ) NULUMZDUNUMZLBUMZUOZRUPZUQUMZSUPZBURUWAUSUTVAUTUMZVBZKUWAVCVDUTZVE
      VFUMZKOIUTZKJVFZFUTZQVGZUVTUWEVBZUWGKVHUMZUWAVIVDUTZKVJVKZVBZUWKUWEUWGUWP
      VLZUVTUWBUWQUWDUWGUWFVMUMZKVMUMZUWFKVNVKZUOZUWBUWPUWFKVOUXAUWBUWPUWSUWTUW
      BUWPVLUWRUWSUWBUWTUWPUWSUWBVBZUWTUWPUXBUWTVBZUWMUWOUXCUWSURKVNVKZUWMUWSUW
      BUWTVPUXBUWTUXDUXBURUWFVJVKZUWTUXDUWBUWSUXEURUWAVJVKZUWBUWSUXEVLUWAVQUWSU
      WBUXFUXEUWSUWBUXFUXEVLUXBUXFUWAUWFVJVKZUXEUXBUWAVCUWBUWAVRUMZUWSUWAVSZVTZ
      VCWAUMUXBWBWEWCUXBURVRUMZUXHUWFVRUMZUXFUXGVBUXEVLUXBWDZUXJUXBUWAVCUXJVCVR
      UMUXBWFWEWGZURUWAUWFWQWHWIWJWKWLWMUXBUXKUXLKVRUMZUXEUWTVBUXDVLUXMUXNUWSUX
      OUWBKWNWOURUWFKWPWHWRWSKWTXAUXBUWTUWOUXBUWTUWNVIVDUTZKVNVKZUWOUXBUWFUXPKV
      NUXBUXPUWFUWBUXPUWFVGZUWSUWBUWAXIUMUXRUWAXBUWAXCXDVTXEXFUXBUWNVMUMZUWSVBZ
      UXQUWOXJUXBUWSUXSUWBUXSUWSUWBUWAUWAXGXHXKXLUXTUWOUXQUWNKXMXNXDXOXPXQWJXRY
      AXSXTWOVTUWLUWMUWOUWKUWLUWMVBZUWOVBZUWJUWHQFUTZQUYBUWIQUWHFUYBHKHUPZURVGZ
      QLEVFZURUWCVFEVFGUTMUTZUYDUWNVGZUWAUWCVFEVFZUWNUYDVJVKZQUYDVIYBUTUWCVFEVF
      UYFUYDUWCVFEVFGUTMUTZYCZYCZYCZQVHJYDUHUYBUYDKVGZVBZUYNUYMUYLQUYPUYEUYGUYM
      UYPUYEYLZKURVGZYLZUYBUYSUYOUYBKURUYBKUYBURUWNKUYBWDUWLUWNVRUMZUWMUWOUWEUY
      TUVTUWBUYTUWDUWBUXHUYTUXIUWAYEXDWOZVTYFUWMUXOUWLUWOKUUAYGUYAURUWNVJVKZUWO
      UYAUWAVHUMZVUBUWEVUCUVTUWMUWBVUCUWDUWAUUBWOYGUWAUUDXDWOUYAUWOYHUUCUUEYIWO
      UYOUYQUYSXJUYBUYOUYEUYRUYDKURYJYKVTYMYNUYPUYHUYIUYLUYPUYHYLZKUWNVGZYLZUYB
      VUFUYOUYBKUWNUYAUYTUWOKUWNUUFUWEUYTUVTUWMVUAYGUWNKUUGUUHYIWOUYOVUDVUFXJUY
      BUYOUYHVUEUYDKUWNYJYKVTYMYNUYPUYJQUYKUYPUYJUWOUYAUWOUYOYOUYOUYJUWOXJUYBUY
      DKUWNVJUUIVTYMUUJUUKUWLUWMUWOYOQYDUMUYBQPUUOUFUULWEUUMUUNUYBPUUPUMZUWHPUU
      QVFZYPVFZUMZVBZUYCQVGUYAVUKUWOUYAVUGVUJUVTVUGUWEUWMUVQUVRVUGUVSUVRUVQDYQU
      MZVUGDUURZPCDNUBUCUUSUUTYRYFUYAVUJUWHCYPVFZUMZUYACUVAVFZUVBUMZUWMOVUNUMZV
      UOUVTVUQUWEUWMUVTCYQUMZVUQUVRUVQVUSUVSUVRVULVUSVUMCDUBUVCXDYSCVUPVUPYTZUV
      DXDYFUWLUWMYHUVTVURUWEUWMUVTVULVURUVRUVQVULUVSVUMYSVUNCDOUIUBVUNYTZUVFXDY
      FVUNIVUPKOVUNCVUPVUTVVAUVEUKUVGWHUVTVUJVUOXJUWEUWMUVTVUIVUNUWHUVTVUHCYPUV
      TCVUHUVTUVQCUNUMZVBZCVUHVGUVQUVRVVCUVSUVRVVBUVQCDUBUVHXKYRPCNUNUCUVIXDXEU
      VJUVKYFYMXQWOFVUHVUIPUWHQVUHYTUJVUIYTUFUVLXDUVMUVNUVPUVO $.

    $d B i s $.  $d B k s z $.  $d G i k z $.  $d M i $.  $d M k z $.
    $d N i $.  $d N k z $.  $d R i $.  $d R k z $.  $d X k z $.  $d X i $.
    $d Y i $.  $d .0. k z $.  $d .^ i $.  $d .^ k z $.  $d .x. b k z $.
    $d .x. i $.  $d k n s $.  $d b i $.
    $( A mapping of scaled values of the "characteristic factor function" is
       finitely supported.  (Contributed by AV, 8-Nov-2019.) $)
    chfacfscmulfsupp $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                         /\ ( s e. NN /\ b e. ( B ^m ( 0 ... s ) ) ) )
              -> ( i e. NN0 |-> ( ( i .^ X ) .x. ( G ` i ) ) ) finSupp .0. ) $=
      ( vk vz cfn wcel ccrg w3a cv cn cc0 cfz co cmap cvv cfv c0g fvexi a1i cn0
      wa ovexd c1 caddc clt wbr csb wceq wral wrex nnnn0 peano2nn0 syl ad2antrl
      wi vex csbov12g csbov1g csbvarg oveq1d eqtrd csbfv oveq12d c2 cuz simplll
      mp1i simpllr cz adantr ad2antlr nn0zd 2z zaddcld simplr wb zltp1le syl2an
      cle nn0z biimpa cc nncn add1p1 breq1d bicomd eluz2 syl3anbrc chfacfscmul0
      mpbird syl3anc ex ralrimiva breq1 rspceaimv syl2anc mptnn0fsupp ) NUNUODU
      PUOLBUOUQZRURZUSUOZSURBUTYHVAVBVCVBUOZVJZVJZULVDHURZOJVBZYMKVEZFVBZHVDQUM
      QVDUOYLQPVFUFVGVHYLYMVIUOVJYNYOFVKYLYHVLVMVBZVIUOZYQULURZVNVOZHYSYPVPZQVQ
      ZWDZULVIVRUMURZYSVNVOZUUBWDULVIVRUMVIVSYIYRYGYJYIYHVIUOZYRYHVTZYHWAWBWCZY
      LUUCULVIYLYSVIUOZVJZYTUUBUUJYTVJZUUAYSOJVBZYSKVEZFVBZQYSVDUOZUUAUUNVQUUKU
      LWEUUOUUAHYSYNVPZHYSYOVPZFVBUUNHYSYNYOFVDWFUUOUUPUULUUQUUMFUUOUUPHYSYMVPZ
      OJVBUULHYSYMOJVDWGUUOUURYSOJHYSVDWHWIWJUUQUUMVQUUOHYSKWKVHWLWJWPUUKYGYKYS
      YHWMVMVBZWNVEUOZUUNQVQYGYKUUIYTWOYGYKUUIYTWQUUKUUSWRUOYSWRUOZUUSYSXHVOZUU
      TUUKYHWMUUJYHWRUOYTUUJYHYKUUFYGUUIYIUUFYJUUGWSWTXAWSWMWRUOUUKXBVHXCUUKYSY
      LUUIYTXDXAUUKUVBYQVLVMVBZYSXHVOZUUJYTUVDYLYQWRUOUVAYTUVDXEUUIYLYQUUHXAYSX
      IYQYSXFXGXJUUJUVBUVDXEZYTYKUVEYGUUIYIUVEYJYIUVDUVBYIUVCUUSYSXHYIYHXKUOUVC
      UUSVQYHXLYHXMWBXNXOWSWTWSXSUUSYSXPXQABCDEFGIJKYSLMNOPQRSTUAUBUCUDUEUFUGUH
      UIUJUKXRXTWJYAYBUUEYTUUBUMULYQVIVIUUDYQYSVNYCYDYEYF $.

    $d T n $.  $d .- n $.  $d .X. n $.  $d i n $.
    chfacfscmulgsum.p $e |- .+ = ( +g ` Y ) $.
    $( Breaking up a sum of values of the "characteristic factor function"
       scaled by a polynomial.  (Contributed by AV, 9-Nov-2019.) $)
    chfacfscmulgsum $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                             /\ ( s e. NN /\ b e. ( B ^m ( 0 ... s ) ) ) )
                    -> ( Y gsum ( i e. NN0 |-> ( ( i .^ X ) .x. ( G ` i ) ) ) )
                       = ( ( Y gsum ( i e. ( 1 ... s )
                               |-> ( ( i .^ X ) .x. ( ( T ` ( b ` ( i - 1 ) ) )
                                 .- ( ( T ` M ) .X. ( T ` ( b ` i ) ) ) ) ) ) )
                           .+ ( ( ( ( s + 1 ) .^ X ) .x. ( T ` ( b ` s ) ) )
                                .- ( ( T ` M ) .X. ( T ` ( b ` 0 ) ) ) ) ) ) $=
      ( cfn wcel ccrg w3a cv cn cc0 cfz co cmap wa cn0 cfv cmpt cgsu caddc cmin
      cuz cbs cvv eqid ccmn crg crngring anim2i 3adant3 pmatring syl adantr a1i
      simpll simplr chfacfscmulcl wceq ad2antrl fveq2d syl3anc mpteq2dva oveq2d
      sylan2 eqtrd fzfid elfznn0 ralrimiva gsummptcl syl2an2r csn mpd3an3 oveq1
      c1 fveq2 oveq12d gsumsn ovexd adantl clt wbr cif ad2antlr wb neeq1 mpbird
      wne eqneqall mpan9 wn cz cle wi 3adant1 cr zre readdcld sylbi pm2.21d imp
      syl5ibrcom ad2antrr ifeqda fvmptd2 iftrue cur ffvelrnd 3eqtrd mat2pmatbas
      1red wf ringcmn nn0ex simpr chfacfscmulfsupp cin c0 nn0disj cun peano2nn0
      3jca nnnn0 nn0split gsumsplit2 c2 cc nncn add1p1 eleq2d chfacfscmul0 cmnd
      biimpa ringmnd fvex jctir mndrid gsummptfzsplit gsummptfzsplitl 0nn0 1nn0
      gsumz nn0addcld elfznn nnnn0d mndass syl13anc nnne0d eqeq1 eqcoms zleltp1
      elfz2 wo ancoms biimpcd impcom anim12ci lttri2 neneqd nnred eleq1w nn0red
      orcd breq1 ltnsymd simp-4r fvoveq1d nn0p1gt0 0red sylan syl2anc2 3ad2ant2
      ltne fvexd csca vr1cl cmgp mgpbas ringidval mulg0 ply1crng matsca2 oveq1d
      clmod pmatlmod chfacfisf syl3anl2 lmodvs1 fvmptd3 cmncom ringgrp eqeltrrd
      cgrp syl3an2 simpl1 elmapi 0elfz ringcl grpsubadd0sub 3eqtr4d ) OUNUOZEUP
      UOZMBUOZUQZSURZUSUOZTURZBUTUYMVAVBZVCVBUOZVDZVDZQIVEIURZPKVBZUYTLVFZGVBZV
      GVHVBQIUTUYMXCVIVBZVAVBZVUCVGVHVBZQIVUDXCVIVBZVKVFZVUCVGZVHVBZDVBZVUFQIXC
      UYMVAVBZVUAUYTXCVJVBUYOVFZFVFZMFVFZUYTUYOVFZFVFZHVBZNVBZGVBZVGZVHVBZVUDPK
      VBZUYMUYOVFZFVFZGVBZVUOUTUYOVFZFVFZHVBZNVBZDVBZUYSVEQVLVFZVUEVUHDIQVMVUCR
      VVLVNZUGUMUYLQVOUOZUYRUYLQVPUOZVVNUYLUYIEVPUOZVDZVVOUYIUYJVVQUYKUYJVVPUYI
      EVQZVRVSQCEOUCUDVTZWAZQUUAWAWBZVEVMUOUYSUUBWCUYSUYTVEUOZVDZUYLUYRVWBUQZVU
      CVVLUOZVWCUYLUYRVWBUYLUYRVWBWDUYLUYRVWBWEUYSVWBUUCUUJZABCEFGHJKLUYTMNOPQR
      STUAUBUCUDUEUFUGUHUIUJUKULWFZWAZABCEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUK
      ULUUDVUEVUHUUEUUFWGUYSVUDUUGWCUYNVEVUEVUHUUHWGZUYLUYQUYNVUDVEUOZVWIUYNUYM
      VEUOZVWJUYMUUKZUYMUUIZWAVUDUULWAWHUUMUYSVUKVUFRDVBZVUFUYSVUJRVUFDUYSVUJQI
      VUHRVGZVHVBZRUYSVUIVWOQVHUYSIVUHVUCRUYSUYTVUHUOZVDUYLUYRUYTUYMUUNVIVBZVKV
      FZUOZVUCRWGUYLUYRVWQWDUYLUYRVWQWEUYSVWQVWTUYSVUHVWSUYTUYSVUGVWRVKUYNVUGVW
      RWGZUYLUYQUYNUYMUUOUOVXAUYMUUPUYMUUQWAWHWIUURUVAABCEFGHJKLUYTMNOPQRSTUAUB
      UCUDUEUFUGUHUIUJUKULUUSWJWKWLUYSQUUTUOZVUHVMUOZVDZVWPRWGUYLVXDUYRUYLVXBVX
      CUYIUYJVXBUYKUYIUYJVDVVOVXBUYJUYIVVPVVOVVRVVSWMQUVBWAVSZVUGVKUVCUVDWBVUHI
      QVMRUGUVJWAWNWLUYLVXBUYRVUFVVLUOVWNVUFWGVXEUYSVVLIQVUEVUCVVMVWAUYSUTVUDWO
      UYSVWEIVUEUYSUYTVUEUOZVDVWDVWEVXFUYSVWBVWDUYTVUDWPVWFWMVWGWAZWQWRVVLDQVUF
      RVVMUMUGUVEWSWNUYSVUFQIUYPVUCVGVHVBZQIVUDWTVUCVGVHVBZDVBQIVULVUCVGZVHVBZU
      TPKVBZUTLVFZGVBZDVBZVVCVUDLVFZGVBZDVBZVVKUYSVVLDIQUYMVUCVVMUMVWAUYNVWKUYL
      UYQVWLWHZVXGUVFUYSVXHVXOVXIVXQDUYSVXHVXKQIUTWTVUCVGVHVBZDVBVXOUYSVVLDIQUY
      MVUCVVMUMVWAVXSUYTUYPUOUYSVWBVWEUYTUYMWPVWHWMUVGUYSVXTVXNVXKDUYSVXBUTVEUO
      ZVXNVVLUOZVXTVXNWGUYLVXBUYRVXEWBZVYAUYSUVHWCZUYLUYRVYAVYBVYDABCEFGHJKLUTM
      NOPQRSTUAUBUCUDUEUFUGUHUIUJUKULWFXAZVUCVVLVXNIQUTVEVVMUYTUTWGVUAVXLVUBVXM
      GUYTUTPKXBUYTUTLXDXEXFWJWLWNUYSVXBVUDVMUOVXQVVLUOZVXIVXQWGVYCUYSUYMXCVIXG
      UYLUYRVWJVYFUYSUYMXCVXSXCVEUOUYSUVIWCUVKABCEFGHJKLVUDMNOPQRSTUAUBUCUDUEUF
      UGUHUIUJUKULWFXAZVUCVVLVXQIQVUDVMVVMUYTVUDWGVUAVVCVUBVXPGUYTVUDPKXBUYTVUD
      LXDXEXFWJXEUYSVXRVXKVXNVXQDVBZDVBZVVKUYSVXBVXKVVLUOVYBVYFVXRVYIWGVYCUYSVV
      LIQVULVUCVVMVWAUYSXCUYMWOUYSVWEIVULUYSUYTVULUOZVDZUYLUYRVWBVWEUYLUYRVYJWD
      UYLUYRVYJWEVYJVWBUYSVYJUYTUYTUYMUVLZUVMXHZVWGWJWQWRVYEVYGVVLDQVXKVXNVXQVV
      MUMUVNUVOUYSVXKVVBVYHVVJDUYSVXJVVAQVHUYSIVULVUCVUTVYKVUBVUSVUAGVYKJUYTJUR
      ZUTWGZRVVINVBZVYNVUDWGZVVEVUDVYNXIXJZRVYNXCVJVBUYOVFZFVFZVUOVYNUYOVFZFVFZ
      HVBZNVBZXKZXKZXKZVUSVELVMUIVYKVYNUYTWGZVDZVYOVYPWUFVUSWUIVYOVDZRVUNVVIVUR
      NWUIVYNUTXPZVYORVUNWGZWUIWUKUYTUTXPZVYJWUMUYSWUHVYJUYTVYLUVPXLWUHWUKWUMXM
      VYKVYNUYTUTXNXHXOWULVYNUTXQXRWUJVVHVUQVUOHWUJVVGVUPFWUJUTUYTUYOWUJUTUYTWG
      ZWUHVYKWUHVYOWEVYOWUNWUHXMZWUIWUOUTVYNUTVYNUYTUVQUVRXHXOWIWIWLXEWUIVYOXSZ
      VDZVYQVVEWUEVUSWUQVYQVVEVUSWGZWUQVYQWURWUQVYNVUDWUIVYNVUDXPZWUPWUIWUSUYTV
      UDXPZVYJWUTUYSWUHVYJXCXTUOZUYMXTUOZUYTXTUOZUQZXCUYTYAXJZUYTUYMYAXJZVDZVDZ
      WUTUYTXCUYMUVTZWVHWUTUYTVUDXIXJZVUDUYTXIXJZUWAZWVHWVJWVKWVGWVDWVJWVFWVDWV
      JYBWVEWVDWVFWVJWVBWVCWVFWVJXMZWVAWVCWVBWVMUYTUYMUVSUWBYCUWCXHUWDZUWKWVDWU
      TWVLXMZWVGWVDUYTYDUOZVUDYDUOZVDZWVOWVBWVCWVRWVAWVBWVQWVCWVPWVBUYMXCUYMYEW
      VBYSYFUYTYEUWEYCUYTVUDUWFWAWBXOYGXLWUHWUSWUTXMVYKVYNUYTVUDXNXHXOWBUWGYHYI
      WUQVYQXSZVDZVYRRWUDVUSWVTVYRRVUSWGZWUIVYRWWAYBWUPWVSWUIVYRWWAWUIVYNVUDVYK
      WUHVYNYDUOZVYJWUHWWBYBUYSVYJWWBWUHWVPVYJUYTVYLUWHJIYDUWIYJXHYIWUIUYMXCUYS
      UYMYDUOVYJWUHUYSUYMVXSUWJYKWUIYSYFWUIVYNVUDXIXJZWVJVYJWVJUYSWUHVYJWVHWVJW
      VIWVNYGXLWUHWWCWVJXMVYKVYNUYTVUDXIUWLXHXOUWMYHYKYIWVTVYRXSZVDZVYTVUNWUCVU
      RNWWEVYSVUMFWWEVYNUYTXCUYOVJVYKWUHWUPWVSWWDUWNZUWOWIWWEWUBVUQVUOHWWEWUAVU
      PFWWEVYNUYTUYOWWFWIWIWLXEYLYLYLVYMVYKVUNVURNXGYMWLWKWLUYSVXQVXNDVBZVVFVYP
      DVBZVYHVVJUYSVXQVVFVXNVYPDUYSVXPVVEVVCGUYSJVUDWUGVVEVELVMUIUYSVYQVDZVYOVY
      PWUFVVEWWIWUKVYOVYPVVEWGZUYSVYQWUKUYNVYQWUKYBZUYLUYQUYNVWKUTVUDXIXJZWWKVW
      LUYMUWPVWKWWLVDWUKVYQVUDUTXPZVWKUTYDUOWWLWWMVWKUWQUTVUDUXAUWRVYNVUDUTXNYJ
      UWSWHYIWWJVYNUTXQXRVYQWUFVVEWGUYSWUPVYQVVEWUEYNXLYLUYSVWKVWJVXSVWMWAUYSVV
      DFUXBYMWLZUYSVXNQUXCVFZYOVFZVXMGVBZVXMVYPUYSVXLWWPVXMGUYLVXLWWPWGUYRUYLVX
      LCYOVFZWWPUYLPCVLVFZUOZVXLWWRWGUYLVVPWWTUYJUYIVVPUYKVVRUWTZWWSCEPUJUCWWSV
      NZUXDWAWWSKCUXEVFZPWWRWWSCWXCWXCVNZWXBUXFCWWRWXCWXDWWRVNUXGULUXHWAUYLCWWO
      YOUYLUYICUPUOZVDZCWWOWGUYIUYJWXFUYKUYJWXEUYICEUCUXIVRVSQCOUPUDUXJWAWIWNWB
      UXKUYLQUXLUOZUYRVXMVVLUOWWQVXMWGUYIUYJWXGUYKUYJUYIVVPWXGVVRQCEOUCUDUXMWMV
      SUYSVEVVLUTLUYJUYIVVPUYKUYRVEVVLLYTVVRABCEFHJLMNOQRSTUAUBUCUDUEUFUGUHUIUX
      NUXOVYDYPGWWPWWOVVLQVXMVVMWWOVNUKWWPVNUXPWSUYSJUTWUGVYPVELVMUIVYOVYPWUFYN
      VYDUYSRVVINXGUXQYQXEUYSVVNVYBVYFVYHWWGWGVWAVYEVYGVVLDQVXNVXQVVMUMUXRWJUYS
      QUYAUOZVVFVVLUOVVIVVLUOZVVJWWHWGUYLWXHUYRUYLVVOWXHVVTQUXSWAWBUYSVXQVVFVVL
      WWNVYGUXTUYSVVOVUOVVLUOZVVHVVLUOZWXIUYLVVOUYRVVTWBUYLWXJUYRUYJUYIVVPUYKWX
      JVVRABQCEFMOUHUAUBUCUDYRUYBWBUYSUYIVVPVVGBUOWXKUYIUYJUYKUYRUYCUYLVVPUYRWX
      AWBUYSUYPBUTUYOUYRUYPBUYOYTZUYLUYQWXLUYNUYOBUYPUYDXHXHUYNUTUYPUOZUYLUYQUY
      NVWKWXMVWLUYMUYEWAWHYPABQCEFVVGOUHUAUBUCUDYRWJVVLQHVUOVVHVVMUEUYFWJVVLDQN
      VVFVVIRVVMUGUFUMUYGWJUYHXEWNYQYQ $.
  $}

  ${
    $d B n $.  $d M n $.  $d N n $.  $d R n $.  $d Y n $.  $d b n $.  $d n s $.
    cayhamlem1.a $e |- A = ( N Mat R ) $.
    cayhamlem1.b $e |- B = ( Base ` A ) $.
    cayhamlem1.p $e |- P = ( Poly1 ` R ) $.
    cayhamlem1.y $e |- Y = ( N Mat P ) $.
    cayhamlem1.r $e |- .X. = ( .r ` Y ) $.
    cayhamlem1.s $e |- .- = ( -g ` Y ) $.
    cayhamlem1.0 $e |- .0. = ( 0g ` Y ) $.
    cayhamlem1.t $e |- T = ( N matToPolyMat R ) $.
    cayhamlem1.g $e |- G = ( n e. NN0
          |-> if ( n = 0 , ( .0. .- ( ( T ` M ) .X. ( T ` ( b ` 0 ) ) ) ) ,
                   if ( n = ( s + 1 ) , ( T ` ( b ` s ) ) ,
                        if ( ( s + 1 ) < n , .0. ,
                          ( ( T ` ( b ` ( n - 1 ) ) )
                            .- ( ( T ` M ) .X. ( T ` ( b ` n ) ) ) ) ) ) ) ) $.
    cayhamlem1.e $e |- .^ = ( .g ` ( mulGrp ` Y ) ) $.
    $( Closure of the value of the "characteristic factor function" multiplied
       with a constant polynomial matrix.  (Contributed by AV, 23-Nov-2019.) $)
    chfacfpmmulcl $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                     /\ ( s e. NN /\ b e. ( B ^m ( 0 ... s ) ) ) /\ K e. NN0 )
                   -> ( ( K .^ ( T ` M ) ) .X. ( G ` K ) ) e. ( Base ` Y ) ) $=
      ( cfn wcel ccrg w3a cv cn cc0 cfz co wa cn0 crg cfv cbs crngring pmatring
      cmap sylan2 3adant3 3ad2ant1 cmgp cmnd eqid ringmgp syl simp3 mat2pmatbas
      syl3an2 mgpbas mulgnn0cl syl3anc wf chfacfisf syl3anl2 ffvelrnd ringcl )
      MUHUIZDUJUIZKBUIZUKZPULZUMUIQULBUNWHUOUPVDUPUIUQZJURUIZUKZNUSUIZJKEUTZHUP
      ZNVAUTZUIZJIUTZWOUIWNWQFUPWOUIWGWIWLWJWDWEWLWFWEWDDUSUIZWLDVBZNCDMTUAVCVE
      VFZVGWKNVHUTZVIUIZWJWMWOUIZWPWGWIXBWJWGWLXBWTNXAXAVJZVKVLVGWGWIWJVMZWGWIX
      CWJWEWDWRWFXCWSABNCDEKMUERSTUAVNVOVGWOHXAJWMWONXAXDWOVJZVPUGVQVRWKURWOJIW
      GWIURWOIVSZWJWEWDWRWFWIXGWSABCDEFGIKLMNOPQRSTUAUBUCUDUEUFVTWAVFXEWBWONFWN
      WQXFUBWCVR $.

    $d K n $.  $d .0. n $.
    $( The value of the "characteristic factor function" multiplied with a
       constant polynomial matrix is zero almost always.  (Contributed by AV,
       23-Nov-2019.) $)
    chfacfpmmul0 $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                           /\ ( s e. NN /\ b e. ( B ^m ( 0 ... s ) ) )
                           /\ K e. ( ZZ>= ` ( s + 2 ) ) )
                         -> ( ( K .^ ( T ` M ) ) .X. ( G ` K ) ) = .0. ) $=
      ( cfn wcel ccrg w3a cv cn cc0 cfz co cmap wa c2 caddc cuz cfv wceq cn0 c1
      clt wbr wi cz cle eluz2 simpll nngt0 cr nnre adantl crp 2rp ltaddrpd 0red
      a1i 2re readdcld syl3anc mpan2d ex com13 mpcom impcom zre adantr ltleletr
      lttr mpand imp elnn0z sylanbrc nncn add1p1 syl eqcomd breq1d nnz peano2zd
      cc wb anim2i ancomd zltp1le bicomd bitrd biimpa jca impancom com12 syl5bi
      3adant1 cmin cif wn peano2re ad2antrr nn0re ad2antlr nnnn0 nn0p1gt0 simpr
      cvv lttrd gt0ne0d neneqd eqeq1 notbid mpbird iffalsed wne ltne simplr crg
      eqid sylan breq2 iftrued 3eqtrd c0g fvexi oveq2d crngring pmatring sylan2
      fvmptd2 cbs 3adant3 cmgp cmnd ringmgp mat2pmatbas mgpbas mulgnn0cl ringrz
      syl3an2 syl2anc eqtrd expl syld 3impia ) MUHUIZDUJUIZKBUIZUKZPULZUMUIZQUL
      ZBUNUVKUOUPUQUPUIZURZJUVKUSUTUPZVAVBUIZJKEVBZHUPZJIVBZFUPZOVCZUVJUVOURZUV
      QJVDUIZUVKVEUTUPZJVFVGZURZUWBUVOUVQUWGVHZUVJUVLUWHUVNUVQUVPVIUIZJVIUIZUVP
      JVJVGZUKZUVLUWGUVPJVKUWLUVLUWGUWJUWKUVLUWGVHUWIUWJUVLUWKUWGUWJUVLURZUWKUW
      GUWMUWKURZUWDUWFUWNUWJUNJVJVGZUWDUWJUVLUWKVLUWMUWKUWOUWMUNUVPVFVGZUWKUWOU
      VLUWJUWPUNUVKVFVGZUVLUWJUWPVHUVKVMUWJUVLUWQUWPUWJUVLUWQUWPVHUWMUWQUVKUVPV
      FVGZUWPUWMUVKUSUVLUVKVNUIZUWJUVKVOZVPZUSVQUIUWMVRWAVSUWMUNVNUIZUWSUVPVNUI
      ZUWQUWRURUWPVHUWMVTZUXAUWMUVKUSUXAUSVNUIUWMWBWAWCZUNUVKUVPWMWDWEWFWGWHWIU
      WMUXBUXCJVNUIZUWPUWKURUWOVHUXDUXEUWJUXFUVLJWJWKUNUVPJWLWDWNWOJWPWQUWMUWKU
      WFUWMUWKUWEVEUTUPZJVJVGZUWFUWMUVPUXGJVJUWMUXGUVPUVLUXGUVPVCZUWJUVLUVKXEUI
      UXIUVKWRUVKWSWTVPXAXBUWMUWEVIUIZUWJURZUXHUWFXFUWMUWJUXJUVLUXJUWJUVLUVKUVK
      XCXDXGXHUXKUWFUXHUWEJXIXJWTXKXLXMWFXNXQXOXPWKVPUWCUWDUWFUWBUWCUWDURZUWFUR
      ZUWAUVSOFUPZOUXMUVTOUVSFUXMGJGULZUNVCZOUVRUNUVMVBEVBFUPLUPZUXOUWEVCZUVKUV
      MVBEVBZUWEUXOVFVGZOUXOVEXRUPUVMVBEVBUVRUXOUVMVBEVBFUPLUPZXSZXSZXSZOVDIYHU
      FUXMUXOJVCZURZUYDUYCUYBOUYFUXPUXQUYCUYFUXPXTZJUNVCZXTZUXMUYIUYEUXMJUNUXMJ
      UXMUNUWEJUXMVTUWCUWEVNUIZUWDUWFUVOUYJUVJUVLUYJUVNUVLUWSUYJUWTUVKYAWTWKZVP
      YBUWDUXFUWCUWFJYCYDUXLUNUWEVFVGZUWFUXLUVKVDUIZUYLUVOUYMUVJUWDUVLUYMUVNUVK
      YEWKYDUVKYFWTWKUXLUWFYGYIYJYKWKUYEUYGUYIXFUXMUYEUXPUYHUXOJUNYLYMVPYNYOUYF
      UXRUXSUYBUYFUXRXTZJUWEVCZXTZUXMUYPUYEUXMJUWEUXLUYJUWFJUWEYPUVOUYJUVJUWDUY
      KYDUWEJYQUUAYKWKUYEUYNUYPXFUXMUYEUXRUYOUXOJUWEYLYMVPYNYOUYFUXTOUYAUYFUXTU
      WFUXLUWFUYEYRUYEUXTUWFXFUXMUXOJUWEVFUUBVPYNUUCUUDUWCUWDUWFYROYHUIUXMONUUE
      UDUUFWAUUKUUGUXMNYSUIZUVSNUULVBZUIZUXNOVCUWCUYQUWDUWFUVJUYQUVOUVGUVHUYQUV
      IUVHUVGDYSUIZUYQDUUHZNCDMTUAUUIUUJUUMZWKYBUXLUYSUWFUXLNUUNVBZUUOUIZUWDUVR
      UYRUIZUYSUVJVUDUVOUWDUVJUYQVUDVUBNVUCVUCYTZUUPWTYBUWCUWDYGUVJVUEUVOUWDUVH
      UVGUYTUVIVUEVUAABNCDEKMUERSTUAUUQUVAYBUYRHVUCJUVRUYRNVUCVUFUYRYTZUURUGUUS
      WDWKUYRNFUVSOVUGUBUDUUTUVBUVCUVDUVEUVF $.

    $d B i k x $.  $d G i k x $.  $d M i k x $.  $d N i k x $.  $d R i k x $.
    $d T i k x $.  $d .X. i k x $.  $d .^ i k x $.  $d .0. k x $.
    $d i k s x $.  $d b i k x $.  $d k n $.
    $( A mapping of values of the "characteristic factor function" multiplied
       with a constant polynomial matrix is finitely supported.  (Contributed
       by AV, 23-Nov-2019.) $)
    chfacfpmmulfsupp $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                               /\ ( s e. NN /\ b e. ( B ^m ( 0 ... s ) ) ) )
                       -> ( i e. NN0 |-> ( ( i .^ ( T ` M ) ) .X. ( G ` i ) ) )
                          finSupp .0. ) $=
      ( vk vx cfn wcel ccrg w3a cv cn cc0 cfz co cmap cvv cfv c0g fvexi a1i cn0
      wa ovexd c1 caddc clt wbr wceq wi wral wrex nnnn0 ad2antrl 1nn0 nn0addcld
      csb vex csbov12g nfcvd oveq1 csbiegf csbfv oveq12d eqtrd mp1i cuz simplll
      c2 simpllr cz cle adantr ad2antlr nn0zd zaddcld simplr peano2nn0 syl nn0z
      2z wb zltp1le syl2an biimpa cc nncn add1p1 breq1d bicomd mpbird syl3anbrc
      eluz2 chfacfpmmul0 syl3anc ralrimiva breq1 rspceaimv syl2anc mptnn0fsupp
      ex ) MUJUKDULUKKBUKUMZPUNZUOUKZQUNBUPYFUQURUSURUKZVFZVFZUHUTGUNZKEVAZIURZ
      YKJVAZFURZGUTOUIOUTUKYJONVBUDVCVDYJYKVEUKVFYMYNFVGYJYFVHVIURZVEUKZYPUHUNZ
      VJVKZGYRYOVTZOVLZVMZUHVEVNUIUNZYRVJVKZUUAVMUHVEVNUIVEVOYJYFVHYGYFVEUKZYEY
      HYFVPZVQVHVEUKYJVRVDVSYJUUBUHVEYJYRVEUKZVFZYSUUAUUHYSVFZYTYRYLIURZYRJVAZF
      URZOYRUTUKZYTUULVLUUIUHWAUUMYTGYRYMVTZGYRYNVTZFURUULGYRYMYNFUTWBUUMUUNUUJ
      UUOUUKFGYRYMUUJUTUUMGUUJWCYKYRYLIWDWEUUOUUKVLUUMGYRJWFVDWGWHWIUUIYEYIYRYF
      WLVIURZWJVAUKZUULOVLYEYIUUGYSWKYEYIUUGYSWMUUIUUPWNUKYRWNUKZUUPYRWOVKZUUQU
      UIYFWLUUHYFWNUKYSUUHYFYIUUEYEUUGYGUUEYHUUFWPWQWRWPWLWNUKUUIXDVDWSUUIYRYJU
      UGYSWTWRUUIUUSYPVHVIURZYRWOVKZUUHYSUVAYJYPWNUKUURYSUVAXEUUGYJYPYGYQYEYHYG
      UUEYQUUFYFXAXBVQWRYRXCYPYRXFXGXHUUHUUSUVAXEZYSYIUVBYEUUGYGUVBYHYGUVAUUSYG
      UUTUUPYRWOYGYFXIUKUUTUUPVLYFXJYFXKXBXLXMWPWQWPXNUUPYRXPXOABCDEFHIJYRKLMNO
      PQRSTUAUBUCUDUEUFUGXQXRWHYDXSUUDYSUUAUIUHYPVEVEUUCYPYRVJXTYAYBYC $.

    $d T i n $.  $d Y i $.  $d .X. n $.  $d .- n $.
    ${
      chfacfpmmulgsum.p $e |- .+ = ( +g ` Y ) $.
      $( Breaking up a sum of values of the "characteristic factor function"
         multiplied with a constant polynomial matrix.  (Contributed by AV,
         23-Nov-2019.) $)
      chfacfpmmulgsum $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                             /\ ( s e. NN /\ b e. ( B ^m ( 0 ... s ) ) ) )
            -> ( Y gsum ( i e. NN0 |-> ( ( i .^ ( T ` M ) ) .X. ( G ` i ) ) ) )
               = ( ( Y gsum ( i e. ( 1 ... s )
                     |-> ( ( i .^ ( T ` M ) ) .X. ( ( T ` ( b ` ( i - 1 ) ) )
                                 .- ( ( T ` M ) .X. ( T ` ( b ` i ) ) ) ) ) ) )
                   .+ ( ( ( ( s + 1 ) .^ ( T ` M ) ) .X. ( T ` ( b ` s ) ) )
                        .- ( ( T ` M ) .X. ( T ` ( b ` 0 ) ) ) ) ) ) $=
        ( cfn wcel ccrg w3a cv cn cc0 cfz co cmap wa cn0 cfv cmpt cgsu c1 caddc
        cuz cmin cbs cvv eqid ccmn crg crngring anim2i 3adant3 pmatring ringcmn
        syl adantr nn0ex a1i simpll simplr simpr chfacfpmmulcl chfacfpmmulfsupp
        3jca wceq ad2antrl fveq2d syl3anc mpteq2dva oveq2d sylan2 eqtrd elfznn0
        fzfid ralrimiva gsummptcl syl2an2r csn mpd3an3 oveq1 fveq2 gsumsn ovexd
        oveq12d adantl clt wbr cif wne ad2antlr neeq1 mpbird eqneqall mpan9 cle
        wb wn cz wi 3adant1 zre 1red readdcld sylbi pm2.21d syl5ibrcom ad2antrr
        cr imp ifeqda fvmptd2 iftrue mat2pmatbas wf ffvelrnd 3eqtrd cin nn0disj
        c0 cun nnnn0 peano2nn0 nn0split gsumsplit2 c2 nncn add1p1 eleq2d biimpa
        cc chfacfpmmul0 cmnd ringmnd jctir gsumz gsummptfzsplit gsummptfzsplitl
        fvex mndrid 0nn0 1nn0 elfznn nnnn0d mndass syl13anc nnne0d eqeq1 eqcoms
        nn0addcld elfz2 wo zleltp1 ancoms biimpcd impcom anim12ci lttri2 neneqd
        orcd nnred eleq1w nn0red breq1 ltnsymd simp-4r fvoveq1d 0red ltne sylan
        nn0p1gt0 syl2anc2 fvexd cur cmgp syl3an2 mgpbas mulg0 ringidval eqtr4di
        oveq1d chfacfisf syl3anl2 ringlidm fvmptd3 cmncom cgrp ringgrp eqeltrrd
        c0g simpl1 3ad2ant2 elmapi 0elfz ringcl grpsubadd0sub 3eqtr4d ) NUJUKZE
        ULUKZLBUKZUMZQUNZUOUKZRUNZBUPUYEUQURZUSURUKZUTZUTZOHVAHUNZLFVBZJURZUYLK
        VBZGURZVCVDUROHUPUYEVEVFURZUQURZUYPVCVDURZOHUYQVEVFURZVGVBZUYPVCZVDURZD
        URZUYSOHVEUYEUQURZUYNUYLVEVHURUYGVBZFVBZUYMUYLUYGVBZFVBZGURZMURZGURZVCZ
        VDURZUYQUYMJURZUYEUYGVBZFVBZGURZUYMUPUYGVBZFVBZGURZMURZDURZUYKVAOVIVBZU
        YRVUADHOVJUYPPVVDVKZUEUIUYDOVLUKZUYJUYDOVMUKZVVFUYDUYAEVMUKZUTZVVGUYAUY
        BVVIUYCUYBVVHUYAEVNZVOVPOCENUAUBVQZVSZOVRVSVTZVAVJUKUYKWAWBUYKUYLVAUKZU
        TZUYDUYJVVNUMZUYPVVDUKZVVOUYDUYJVVNUYDUYJVVNWCUYDUYJVVNWDUYKVVNWEWHZABC
        EFGIJKUYLLMNOPQRSTUAUBUCUDUEUFUGUHWFZVSZABCEFGHIJKLMNOPQRSTUAUBUCUDUEUF
        UGUHWGUYRVUAUUAUUCWIUYKUYQUUBWBUYFVAUYRVUAUUDWIZUYDUYIUYFUYQVAUKZVWAUYF
        UYEVAUKZVWBUYEUUEZUYEUUFZVSUYQUUGVSWJUUHUYKVUDUYSPDURZUYSUYKVUCPUYSDUYK
        VUCOHVUAPVCZVDURZPUYKVUBVWGOVDUYKHVUAUYPPUYKUYLVUAUKZUTUYDUYJUYLUYEUUIV
        FURZVGVBZUKZUYPPWIUYDUYJVWIWCUYDUYJVWIWDUYKVWIVWLUYKVUAVWKUYLUYKUYTVWJV
        GUYFUYTVWJWIZUYDUYIUYFUYEUUNUKVWMUYEUUJUYEUUKVSWJWKUULUUMABCEFGIJKUYLLM
        NOPQRSTUAUBUCUDUEUFUGUHUUOWLWMWNUYKOUUPUKZVUAVJUKZUTZVWHPWIUYDVWPUYJUYD
        VWNVWOUYAUYBVWNUYCUYAUYBUTVVGVWNUYBUYAVVHVVGVVJVVKWOZOUUQVSVPZUYTVGUVBU
        URVTVUAHOVJPUEUUSVSWPWNUYDVWNUYJUYSVVDUKVWFUYSWIVWRUYKVVDHOUYRUYPVVEVVM
        UYKUPUYQWRUYKVVQHUYRUYKUYLUYRUKZUTVVPVVQVWSUYKVVNVVPUYLUYQWQVVRWOVVSVSZ
        WSWTVVDDOUYSPVVEUIUEUVCXAWPUYKUYSOHUYHUYPVCVDURZOHUYQXBUYPVCVDURZDUROHV
        UEUYPVCZVDURZUPUYMJURZUPKVBZGURZDURZVUOUYQKVBZGURZDURZVVCUYKVVDDHOUYEUY
        PVVEUIVVMUYFVWCUYDUYIVWDWJZVWTUUTUYKVXAVXHVXBVXJDUYKVXAVXDOHUPXBUYPVCVD
        URZDURVXHUYKVVDDHOUYEUYPVVEUIVVMVXLUYLUYHUKUYKVVNVVQUYLUYEWQVVTWOUVAUYK
        VXMVXGVXDDUYKVWNUPVAUKZVXGVVDUKZVXMVXGWIUYDVWNUYJVWRVTZVXNUYKUVDWBZUYDU
        YJVXNVXOVXQABCEFGIJKUPLMNOPQRSTUAUBUCUDUEUFUGUHWFXCZUYPVVDVXGHOUPVAVVEU
        YLUPWIUYNVXEUYOVXFGUYLUPUYMJXDUYLUPKXEXHXFWLWNWPUYKVWNUYQVJUKVXJVVDUKZV
        XBVXJWIVXPUYKUYEVEVFXGUYDUYJVWBVXSUYKUYEVEVXLVEVAUKUYKUVEWBUVMABCEFGIJK
        UYQLMNOPQRSTUAUBUCUDUEUFUGUHWFXCZUYPVVDVXJHOUYQVJVVEUYLUYQWIUYNVUOUYOVX
        IGUYLUYQUYMJXDUYLUYQKXEXHXFWLXHUYKVXKVXDVXGVXJDURZDURZVVCUYKVWNVXDVVDUK
        VXOVXSVXKVYBWIVXPUYKVVDHOVUEUYPVVEVVMUYKVEUYEWRUYKVVQHVUEUYKUYLVUEUKZUT
        ZUYDUYJVVNVVQUYDUYJVYCWCUYDUYJVYCWDVYCVVNUYKVYCUYLUYLUYEUVFZUVGXIZVVSWL
        WSWTVXRVXTVVDDOVXDVXGVXJVVEUIUVHUVIUYKVXDVUNVYAVVBDUYKVXCVUMOVDUYKHVUEU
        YPVULVYDUYOVUKUYNGVYDIUYLIUNZUPWIZPVVAMURZVYGUYQWIZVUQUYQVYGXJXKZPVYGVE
        VHURUYGVBZFVBZUYMVYGUYGVBZFVBZGURZMURZXLZXLZXLZVUKVAKVJUGVYDVYGUYLWIZUT
        ZVYHVYIVYSVUKWUBVYHUTZPVUGVVAVUJMWUBVYGUPXMZVYHPVUGWIZWUBWUDUYLUPXMZVYC
        WUFUYKWUAVYCUYLVYEUVJXNWUAWUDWUFXTVYDVYGUYLUPXOXIXPWUEVYGUPXQXRWUCVUTVU
        IUYMGWUCVUSVUHFWUCUPUYLUYGWUCUPUYLWIZWUAVYDWUAVYHWDVYHWUGWUAXTZWUBWUHUP
        VYGUPVYGUYLUVKUVLXIXPWKWKWNXHWUBVYHYAZUTZVYJVUQVYRVUKWUJVYJVUQVUKWIZWUJ
        VYJWUKWUJVYGUYQWUBVYGUYQXMZWUIWUBWULUYLUYQXMZVYCWUMUYKWUAVYCVEYBUKZUYEY
        BUKZUYLYBUKZUMZVEUYLXSXKZUYLUYEXSXKZUTZUTZWUMUYLVEUYEUVNZWVAWUMUYLUYQXJ
        XKZUYQUYLXJXKZUVOZWVAWVCWVDWUTWUQWVCWUSWUQWVCYCWURWUQWUSWVCWUOWUPWUSWVC
        XTZWUNWUPWUOWVFUYLUYEUVPUVQYDUVRXIUVSZUWCWUQWUMWVEXTZWUTWUQUYLYLUKZUYQY
        LUKZUTZWVHWUOWUPWVKWUNWUOWVJWUPWVIWUOUYEVEUYEYEWUOYFYGUYLYEUVTYDUYLUYQU
        WAVSVTXPYHXNWUAWULWUMXTVYDVYGUYLUYQXOXIXPVTUWBYIYMWUJVYJYAZUTZVYKPVYQVU
        KWVMVYKPVUKWIZWUBVYKWVNYCWUIWVLWUBVYKWVNWUBVYGUYQVYDWUAVYGYLUKZVYCWUAWV
        OYCUYKVYCWVOWUAWVIVYCUYLVYEUWDIHYLUWEYJXIYMWUBUYEVEUYKUYEYLUKVYCWUAUYKU
        YEVXLUWFYKWUBYFYGWUBVYGUYQXJXKZWVCVYCWVCUYKWUAVYCWVAWVCWVBWVGYHXNWUAWVP
        WVCXTVYDVYGUYLUYQXJUWGXIXPUWHYIYKYMWVMVYKYAZUTZVYMVUGVYPVUJMWVRVYLVUFFW
        VRVYGUYLVEUYGVHVYDWUAWUIWVLWVQUWIZUWJWKWVRVYOVUIUYMGWVRVYNVUHFWVRVYGUYL
        UYGWVSWKWKWNXHYNYNYNVYFVYDVUGVUJMXGYOWNWMWNUYKVXJVXGDURZVURVYIDURZVYAVV
        BUYKVXJVURVXGVYIDUYKVXIVUQVUOGUYKIUYQVYTVUQVAKVJUGUYKVYJUTZVYHVYIVYSVUQ
        WWBWUDVYHVYIVUQWIZUYKVYJWUDUYFVYJWUDYCZUYDUYIUYFVWCUPUYQXJXKZWWDVWDUYEU
        WNVWCWWEUTWUDVYJUYQUPXMZVWCUPYLUKWWEWWFVWCUWKUPUYQUWLUWMVYGUYQUPXOYJUWO
        WJYMWWCVYGUPXQXRVYJVYSVUQWIUYKWUIVYJVUQVYRYPXNYNUYKVWCVWBVXLVWEVSUYKVUP
        FUWPYOWNZUYKVXGOUWQVBZVXFGURZVXFVYIUYKVXEWWHVXFGUYDVXEWWHWIUYJUYDVXEOUW
        RVBZUXMVBZWWHUYDUYMVVDUKZVXEWWKWIUYBUYAVVHUYCWWLVVJABOCEFLNUFSTUAUBYQUW
        SZVVDJWWJUYMWWKVVDOWWJWWJVKZVVEUWTWWKVKUHUXAVSOWWHWWJWWNWWHVKZUXBUXCVTU
        XDUYDVVGUYJVXFVVDUKWWIVXFWIUYAUYBVVGUYCVWQVPUYKVAVVDUPKUYBUYAVVHUYCUYJV
        AVVDKYRVVJABCEFGIKLMNOPQRSTUAUBUCUDUEUFUGUXEUXFVXQYSVVDOGWWHVXFVVEUCWWO
        UXGXAUYKIUPVYTVYIVAKVJUGVYHVYIVYSYPVXQUYKPVVAMXGUXHYTXHUYKVVFVXOVXSVYAW
        VTWIVVMVXRVXTVVDDOVXGVXJVVEUIUXIWLUYKOUXJUKZVURVVDUKVVAVVDUKZVVBWWAWIUY
        DWWPUYJUYDVVGWWPVVLOUXKVSVTUYKVXJVURVVDWWGVXTUXLUYKVVGWWLVUTVVDUKZWWQUY
        DVVGUYJVVLVTUYDWWLUYJWWMVTUYKUYAVVHVUSBUKWWRUYAUYBUYCUYJUXNUYDVVHUYJUYB
        UYAVVHUYCVVJUXOVTUYKUYHBUPUYGUYJUYHBUYGYRZUYDUYIWWSUYFUYGBUYHUXPXIXIUYF
        UPUYHUKZUYDUYIUYFVWCWWTVWDUYEUXQVSWJYSABOCEFVUSNUFSTUAUBYQWLVVDOGUYMVUT
        VVEUCUXRWLVVDDOMVURVVAPVVEUEUDUIUXSWLUXTXHWPYTYT $.

      $( Breaking up a sum of values of the "characteristic factor function"
         multiplied with a constant polynomial matrix.  (Contributed by AV,
         23-Nov-2019.) $)
      chfacfpmmulgsum2 $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                             /\ ( s e. NN /\ b e. ( B ^m ( 0 ... s ) ) ) )
            -> ( Y gsum ( i e. NN0 |-> ( ( i .^ ( T ` M ) ) .X. ( G ` i ) ) ) )
               = ( ( Y gsum ( i e. ( 1 ... s )
                     |-> ( ( ( i .^ ( T ` M ) ) .X. ( T ` ( b ` ( i - 1 ) ) ) )
                  .- ( ( ( i + 1 ) .^ ( T ` M ) ) .X. ( T ` ( b ` i ) ) ) ) ) )
                   .+ ( ( ( ( s + 1 ) .^ ( T ` M ) ) .X. ( T ` ( b ` s ) ) )
                        .- ( ( T ` M ) .X. ( T ` ( b ` 0 ) ) ) ) ) ) $=
        ( cfn wcel ccrg w3a cv cn cc0 cfz co cmap wa cn0 cfv cmpt cgsu c1 caddc
        cmin chfacfpmmulgsum cbs eqid crg crngring anim2i pmatring syl ad2antrr
        3adant3 cmgp cmgm cmnd ringmgp mndmgm elfznn adantl mat2pmatbas syl3an2
        mgpbas mulgnncl syl3anc wf elmapi adantr wi cle wbr 1nn0 nnnn0 elfz2nn0
        a1i nnge1 syl3anbrc fz0fzdiffz0 syl2anc ex ad2antrl imp ffvelrnd df-3an
        simpr sylanbrc 3ad2ant2 3jca fz1ssfz0 sseli anim12i m2pmfzmap ringsubdi
        simpl1 ringcl ringass syl13anc eqcomd cplusg eleqtrdi mulgnnp1 mgpplusg
        wceq syl2anr eqcomi oveqd eqtrd oveq1d oveq2d mpteq2dva ) NUJUKZEULUKZL
        BUKZUMZQUNZUOUKZRUNZBUPYSUQURZUSURUKZUTZUTZOHVAHUNZLFVBZJURZUUFKVBGURVC
        VDUROHVEYSUQURZUUHUUFVEVGURZUUAVBZFVBZUUGUUFUUAVBFVBZGURZMURGURZVCZVDUR
        ZYSVEVFURUUGJURYSUUAVBFVBGURUUGUPUUAVBFVBGURMURZDUROHUUIUUHUULGURZUUFVE
        VFURUUGJURZUUMGURZMURZVCZVDURZUURDURABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGU
        HUIVHUUEUUQUVDUURDUUEUUPUVCOVDUUEHUUIUUOUVBUUEUUFUUIUKZUTZUUOUUSUUHUUNG
        URZMURUVBUVFOVIVBZOGMUUHUULUUNUVHVJZUCUDYROVKUKZUUDUVEYOYPUVJYQYOYPUTYO
        EVKUKZUTZUVJYPUVKYOEVLZVMZOCENUAUBVNZVOVQZVPUVFOVRVBZVSUKZUUFUOUKZUUGUV
        HUKZUUHUVHUKZYRUVRUUDUVEYRUVJUVRUVPUVJUVQVTUKUVROUVQUVQVJZWAUVQWBVOVOVP
        UVEUVSUUEUUFYSWCZWDYRUVTUUDUVEYPYOUVKYQUVTUVMABOCEFLNUFSTUAUBWEWFZVPZUV
        HJUVQUUFUUGUVHOUVQUWBUVIWGZUHWHWIZUVFYOUVKUUKBUKZUMZUULUVHUKUVFUVLUWHUW
        IYRUVLUUDUVEYOYPUVLYQUVNVQZVPUVFUUBBUUJUUAUUEUUBBUUAWJZUVEUUDUWKYRUUCUW
        KYTUUABUUBWKWDWDWLUUEUVEUUJUUBUKZYTUVEUWLWMYRUUCYTUVEUWLYTUVEUTZVEUUBUK
        ZUVEUWLUWMVEVAUKZYSVAUKZVEYSWNWOZUWNUWOUWMWPWSYTUWPUVEYSWQZWLYTUWQUVEYS
        WTWLVEYSWRXAYTUVEXIUUFVEYSXBXCXDXEXFXGYOUVKUWHXHXJABOCEFUUKNUFSTUAUBWEV
        OUVFUVJUVTUUMUVHUKZUUNUVHUKYRUVJUUDUVEYRUVLUVJUWJUVOVOVPZUWEUVFYOUVKUWP
        UMZUUCUUFUUBUKZUTUWSUUEUXAUVEUUEYOUVKUWPYOYPYQUUDXRYRUVKUUDYPYOUVKYQUVM
        XKWLYTUWPYRUUCUWRXEXLWLUUEUUCUVEUXBUUDUUCYRYTUUCXIWDUUIUUBUUFYSXMXNXOAB
        CEYSFUUFNORSTUAUBUFXPXCZUVHOGUUGUUMUVIUCXSWIXQUVFUVGUVAUUSMUVFUVGUUHUUG
        GURZUUMGURZUVAUVFUXEUVGUVFUVJUWAUVTUWSUXEUVGYGUWTUWGUWEUXCUVHOGUUHUUGUU
        MUVIUCXTYAYBUVFUXDUUTUUMGUVFUUTUXDUVFUUTUUHUUGUVQYCVBZURZUXDUVEUVSUUGUV
        QVIVBZUKZUUTUXGYGUUEUWCYRUXIUUDYRUUGUVHUXHUWDUWFYDWLUXHUXFJUVQUUFUUGUXH
        VJUHUXFVJYEYHUVFUXFGUUHUUGUXFGYGUVFGUXFOGUVQUWBUCYFYIWSYJYKYBYLYKYMYKYN
        YMYLYK $.
    $}

    $d Y k $.  $d .- i $.
    $( Lemma 1 for ~ cayleyhamilton .  (Contributed by AV, 11-Nov-2019.) $)
    cayhamlem1 $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                         /\ ( s e. NN /\ b e. ( B ^m ( 0 ... s ) ) ) )
                   -> ( Y gsum ( i e. NN0
                        |-> ( ( i .^ ( T ` M ) ) .X. ( G ` i ) ) ) ) = .0. ) $=
      ( vk cfn wcel ccrg w3a cv cn cc0 cfz co cmap wa cn0 cfv cmpt cgsu c1 cmin
      caddc cplusg eqid chfacfpmmulgsum2 wceq cc elfzelz zcnd pncan1 syl eqcomd
      adantl fveq2d oveq2d adantr cbs cabl crg crngring anim2i 3adant3 pmatring
      mpteq2dva ringabl cuz elnnuz biimpi ad2antrl cmgp cmgm cmnd mndmgm elfznn
      ringmgp mat2pmatbas syl3an2 mgpbas mulgnncl syl3anc simpl1 3ad2ant2 wf wi
      elmapi cz wb nnz peano2nn nnzd elfzm1b syl2an eleq2d biimpd sylbid expcom
      nncn com13 mpd com12 imp ringcl ralrimiva oveq1 fvoveq1 oveq12d telgsumfz
      ffvelrnd eqtrd oveq1d mulg1 1cnd subidd pncand cgrp ringgrp simprl nn0fz0
      nnnn0 0elfz peano2nnd sylib grpnpncan0 syl12anc 3eqtrd ) MUIUJZDUKUJZKBUJ
      ZULZPUMZUNUJZQUMZBUOUUNUPUQZURUQUJZUSZUSZNGUTGUMZKEVAZIUQZUVAJVAFUQVBVCUQ
      NGVDUUNUPUQZUVCUVAVDVEUQUUPVAZEVAZFUQZUVAVDVFUQZUVBIUQZUVAUUPVAZEVAZFUQZL
      UQZVBZVCUQZUUNVDVFUQZUVBIUQZUUNUUPVAZEVAZFUQZUVBUOUUPVAZEVAZFUQZLUQZNVGVA
      ZUQVDUVBIUQZVDVDVEUQZUUPVAZEVAZFUQZUVQUVPVDVEUQZUUPVAZEVAZFUQZLUQZUWDUWEU
      QZOABCUWEDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUWEVHZVIUUTUVOUWOUWDUWEUUTUVONGUV
      DUVGUVIUVHVDVEUQZUUPVAZEVAZFUQZLUQZVBZVCUQZUWOUUMUVOUXDVJUUSUUMUVNUXCNVCU
      UMGUVDUVMUXBUUMUVAUVDUJZUSZUVLUXAUVGLUXFUVKUWTUVIFUXFUVJUWSEUXFUVAUWRUUPU
      XEUVAUWRVJUUMUXEUWRUVAUXEUVAVKUJUWRUVAVJUXEUVAUVAVDUUNVLVMUVAVNVOVPVQVRVR
      VSVSWHVSVTUUTUHUMZUVBIUQZUXGVDVEUQZUUPVAZEVAZFUQZNWAVAZUXAUWJGUHUWNNUVGVD
      LUUNUXMVHZUUMNWBUJZUUSUUMNWCUJZUXOUUMUUJDWCUJZUSZUXPUUJUUKUXRUULUUKUXQUUJ
      DWDZWEZWFNCDMTUAWGZVOZNWIVOVTUCUUOUUNVDWJVAUJZUUMUURUUOUYCUUNWKWLWMUUTUXL
      UXMUJZUHVDUVPUPUQZUUTUXGUYEUJZUSZUXPUXHUXMUJZUXKUXMUJZUYDUUTUXPUYFUUMUXPU
      USUYBVTZVTUYGNWNVAZWOUJZUXGUNUJZUVBUXMUJZUYHUYGUYKWPUJZUYLUUTUYOUYFUUMUYO
      UUSUUMUXPUYOUUJUUKUXPUULUUJUUKUSUXRUXPUXTUYAVOWFNUYKUYKVHZWSVOVTZVTUYKWQZ
      VOUYFUYMUUTUXGUVPWRZVQUUTUYNUYFUUMUYNUUSUUKUUJUXQUULUYNUXSABNCDEKMUERSTUA
      WTXAZVTZVTUXMIUYKUXGUVBUXMNUYKUYPUXNXBZUGXCXDUYGUUJUXQUXJBUJUYIUUTUUJUYFU
      UJUUKUULUUSXEZVTUUTUXQUYFUUMUXQUUSUUKUUJUXQUULUXSXFVTZVTUYGUUQBUXIUUPUUTU
      UQBUUPXGZUYFUUSVUEUUMUURVUEUUOUUPBUUQXIVQVQZVTUUTUYFUXIUUQUJZUUOUYFVUGXHZ
      UUMUURUYFUUOVUGUYFUYMUUOVUGXHUYSUUOUYMUYFVUGUYMUUOVUHUYMUUOUSZUYFUXIUOUWK
      UPUQZUJZVUGUYMUXGXJUJUVPXJUJUYFVUKXKUUOUXGXLUUOUVPUUNXMXNUXGUVPXOXPVUIVUK
      VUGVUIVUJUUQUXIVUIUWKUUNUOUPUUOUWKUUNVJZUYMUUOUUNVKUJZVULUUNYAZUUNVNVOVQV
      SXQXRXSXTYBYCYDWMYEYLABNCDEUXJMUERSTUAWTXDUXMNFUXHUXKUXNUBYFXDYGUXGUVAVJZ
      UXHUVCUXKUVFFUXGUVAUVBIYHVUOUXJUVEEUXGUVAVDUUPVEYIVRYJUXGUVHVJZUXHUVIUXKU
      WTFUXGUVHUVBIYHVUPUXJUWSEUXGUVHVDUUPVEYIVRYJUXGVDVJZUXHUWFUXKUWIFUXGVDUVB
      IYHVUQUXJUWHEUXGVDVDUUPVEYIVRYJUXGUVPVJZUXHUVQUXKUWMFUXGUVPUVBIYHVURUXJUW
      LEUXGUVPVDUUPVEYIVRYJYKYMYNUUTUWPUWCUVTLUQZUWDUWEUQZOUUTUWOVUSUWDUWEUUTUW
      JUWCUWNUVTLUUTUWFUVBUWIUWBFUUMUWFUVBVJZUUSUUMUYNVVAUYTUXMIUYKUVBVUBUGYOVO
      VTUUTUWHUWAEUUTUWGUOUUPUUTVDUUTYPZYQVRVRYJUUTUWMUVSUVQFUUTUWLUVREUUTUWKUU
      NUUPUUTUUNVDUUOVUMUUMUURVUNWMVVBYRVRVRVSYJYNUUTNYSUJZUWCUXMUJZUVTUXMUJZVU
      TOVJUUMVVCUUSUUMUXPVVCUYBNYTVOVTUUTUXPUYNUWBUXMUJZVVDUYJVUAUUTUUJUXQUWABU
      JVVFVUCVUDUUTUUQBUOUUPVUFUUOUOUUQUJZUUMUURUUOUUNUTUJZVVGUUNUUCZUUNUUDVOWM
      YLABNCDEUWAMUERSTUAWTXDUXMNFUVBUWBUXNUBYFXDUUTUXPUVQUXMUJZUVSUXMUJZVVEUYJ
      UUTUYLUVPUNUJUYNVVJUUTUYOUYLUYQUYRVOUUTUUNUUMUUOUURUUAUUEVUAUXMIUYKUVPUVB
      VUBUGXCXDUUTUUJUXQUVRBUJVVKVUCVUDUUTUUQBUUNUUPVUFUUOUUNUUQUJZUUMUURUUOVVH
      VVLVVIUUNUUBUUFWMYLABNCDEUVRMUERSTUAWTXDUXMNFUVQUVSUXNUBYFXDUXMUWENLUWCUV
      TOUXNUWQUCUDUUGUUHYMUUI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The Cayley-Hamilton theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
In this section, a direct algebraic proof for the Cayley-Hamilton theorem is
provided, according to Wikipedia ("Cayley-Hamilton theorem", 09-Nov-2019,
~ https://en.wikipedia.org/wiki/Cayley%E2%80%93Hamilton_theorem , section
"A direct algebraic proof" (this approach is also used for proving Lemma 1.9 in
[Hefferon] p. 427):
<br><br>
"This proof uses just the kind of objects needed to formulate the
Cayley-Hamilton theorem: matrices with polynomials as entries.  The matrix
(t * I_n - A) whose determinant is the characteristic polynomial of A is such a
matrix, and since polynomials [over a commutative ring] form a commutative
ring, it has an adjugate
<br><br>
(1) B = adj(t * I_n - A) .
<br><br>
Then, according to the right-hand fundamental relation of the adjugate, one has
<br><br>
(2) ( t * I_n - A ) x B = det(t * I_n - A) x I_n = p(t) * I_n .
<br><br>
Since B is also a matrix with polynomials in t as entries, one can, for each i,
collect the coefficients of t^i in each entry to form a matrix B_i of numbers,
such that one has
<br><br>
(3) B = sum<sub>i = 0 to (n-1)</sub> t^i B_i .
<br><br>
(The way the entries of B are defined makes clear that no powers higher than
t^(n-1) occur). While this looks like a polynomial with matrices as
coefficients, we shall not consider such a notion; it is just a way to write a
matrix with polynomial entries as a linear combination of n constant matrices,
and the coefficient t^i has been written to the left of the matrix to stress
this point of view.
<br><br>
Now, one can expand the matrix product in our equation by bilinearity
<br><br>
(4) p(t) * I_n = ( t * I_n - A ) x B<br>
= ( t * I_n - A ) x sum<sub>i = 0 to (n-1)</sub> t^i * B_i<br>
= sum<sub>i = 0 to (n-1)</sub> t * I_n x t^i B_i
  - sum<sub>i = 0 to (n-1)</sub> A * t^i B_i<br>
= sum<sub>i = 0 to (n-1)</sub> t^(i+1) * B_i
  - sum<sub>i = 0 to (n-1)</sub> t^i * A x B_i<br>
= t^n B<sub>n-1</sub>
  + sum<sub>i = 1 to (n-1)</sub> t^i * ( B<sub>i-1</sub> - A x B_i )
  - A x B_0 .
<br><br>
Writing
<br><br>
(5) p(t) I_n = t^n * I_n + t^(n-1) * c_(n-1) x I_n + ...
+ t * c_1 I_n + c_0 I_n ,
<br><br>
one obtains an equality of two matrices with polynomial entries, written as
linear combinations of constant matrices with powers of t as coefficients.
Such an equality can hold only if in any matrix position the entry that is
multiplied by a given power t^i is the same on both sides; it follows that the
constant matrices with coefficient t^i in both expressions must be equal.
Writing these equations then for i from n down to 0, one finds
<br><br>
(6) B<sub>n-1</sub> = I_n ,
    B<sub>i-1</sub> - A x B_i = c_i * I_n for 1 <= i <= n-1 ,
    - A x B_0 = c_0 * I_n .
<br><br>
Finally, multiply the equation of the coefficients of t^i from the left by A^i,
and sum up:
<br><br>
(7) A^n B<sub>n-1</sub> + sum<sub>i
= 1 to (n-1)</sub> ( A^i x B<sub>i-1</sub> - A^(i+1) x B_i )
- A x B_0 = A^n + c<sub>n-1</sub> * A^(n-1) + ... + c_1 * A + c_0 * I_n .
<br><br>
The left-hand sides form a telescoping sum and cancel completely; the
right-hand sides add up to p(A):
<br><br>
(8) 0 = p(A) .
<br><br>
This completes the proof."
<br><br>
To formalize this approach, the steps mentioned in Wikipedia must be elaborated
in more detail.
<br><br>
The first step is to formalize the preliminaries and the objective of the
theorem. In Wikipedia, the Cayley-Hamilton theorem is stated as follows:
"... the Cayley-Hamilton theorem ... states that every square matrix over a
commutative ring ... satisfies its own characteristic equation." Or in more
detail: "If A is a given n x n matrix and I_n is the n x n identity matrix,
then the characteristic polynomial of A is defined as p(t) = det(t * I_n - A),
where det is the determinant operation and t is a variable for a scalar element
of the base ring. Since the entries of the matrix (t * I_n - A) are (linear or
constant) polynomials in t, the determinant is also an n-th order monic
polynomial in t. The Cayley-Hamilton theorem states that if one defines an
analogous matrix equation, p(A), consisting of the replacement of the scalar
eigenvalues t with the matrix A, then this polynomial in the matrix A results
in the zero matrix,
<br><br>
        p(A) = 0.
<br><br>
The powers of A, obtained by substitution from powers of t, are defined by
repeated matrix multiplication; the constant term of p(t) gives a multiple of
the power A^0, which is defined as the identity matrix. The theorem allows A^n
to be expressed as a linear combination of the lower matrix powers of A. When
the ring is a field, the Cayley-Hamilton theorem is equivalent to the statement
that the minimal polynomial of a square matrix divides its characteristic
polynomial."
<br><br>
Actually, the definition of the characteristic polynomial of a square matrix
requires some attention. According to ~ df-chpmat , the characteristic
polynomial of an ` N ` x ` N ` matrix ` M ` over a ring ` R ` is defined as
<br><br>
` ( ( N CharPlyMat R ) `` M ) = ( D `` ( ( X .x. .1. ) .- ( T `` M ) ) ) ) `
<br><br>
where ` D = ( N maDet P ) ` is the function mapping an ` N ` x ` N ` matrix
over the polynomial ring over the ring ` R ` to its determinant,
` X = ( var1 `` R ) ` is the variable of the polynomials over ` R ` , ` .1. `
is the ` N ` x ` N ` identity matrix as matrix over the polynomial ring over
the ring ` R ` (not the ` N ` x ` N ` identity matrix of the matrices over the
ring ` R ` !) and ` ( T `` M ) = ( ( N matToPolyMat R ) `` M ) ` is the matrix
` M ` over a ring ` R ` transformed into a constant matrix over the polynomial
ring over the ring ` R ` . Thus ` .x. ` is the multiplication of a polynomial
matrix with a "scalar", i.e. a polynomial (see ~ chpmatval ).
<br><br>
By this definition, it is ensured that ` ( ( X .x. .1. ) .- ( T `` M ) ) ` ,
the matrix whose determinant is the characteristic polynomial of the matrix
` M ` , is actually a matrix over the polynomial ring over the ring ` R ` ,
as stated in Wikipedia ("matrix with polynomials as entries").  This matrix is
called the _characteristic matrix_ of matrix ` M ` (see Wikipedia "Polynomial
matrix", 16-Nov-2019, ~ https://en.wikipedia.org/wiki/Polynomial_matrix ).
Following the notation in Wikipedia, we denote the characteristic polynomial of
the matrix ` M ` , formally defined by ` ( ( N CharPlyMat R ) `` M ) ` as
"p(M)" in the comments.  The characteristric matrix ` ( ( X .x. .1. )
.- ( T `` M ) ) ` will be denoted by "c(M)", so that "p(M) = det( c(M) )".
<br><br>
After the preliminaries are clarified, the objective of the Cayley-Hamilton
theorem must be considered. As described in Wikipedia, the matrix ` M ` must be
"inserted" into its characteristic polynomial in an appropriate way. Since
every polynomial can be represented as infinite, but finitely supported sum
of monomials scaled by the corresponding coefficients (see ~ ply1coe ), also
the characteristic polynomial can be written in this way:
<br><br>
p(M) = sum_i ( p_i * M^i )
<br><br>
Here, * is the scalar multiplication in the algebra of the polynomials over the
ring ` R ` , and the coefficients are elements of the ring ` R `.
<br><br>
By this, we can "define" the insertion of the matrix M into its characteristic
polynomial by "p(M) = sum( p_i * M^i)", see also ~ cayleyhamilton1 .
Here, * is the scalar multiplication in the algebra of the matrices over the
ring ` R ` .
<br><br>
To prove the Cayley-Hamilton theorem, we have to show that "p(M) = 0", where 0
is the zero matrix.
<br><br>
In this section, the following class variables and informal identifiers
(acronyms in the form "A(B)" or "A<sub>B</sub>") are used:
<br><br>
<HTML>
 <table>
  <tr>
    <th>class variable/ informal identifier</th>
    <th>definiens</th>
    <th>explanation</th>
  </tr>
  <tr>
    <td> ` N ` </td>
    <td></td>
    <td>An arbitrary finite set, used as dimension for matrices</td>
  </tr>
  <tr>
    <td> ` R ` </td>
    <td></td>
    <td>An arbitrary (commutative) ring: ` R e. CRing ` </td>
  </tr>
  <tr>
    <td> B(R) </td>
    <td> ` ( Base `` R ) ` </td>
    <td>Base set of (the ring) ` R ` </td>
  </tr>
  <tr>
    <td> ` A ` </td>
    <td> ` ( N Mat R ) ` </td>
    <td>Algebra of ` N ` x ` N ` matrices over (the ring) ` R ` </td>
  </tr>
  <tr>
    <td> ` B ` </td>
    <td> ` ( Base `` A ) ` </td>
    <td>Base set of the algebra of ` N ` x ` N ` matrices, i .e. the set of all
        ` N ` x ` N ` matrices</td>
  </tr>
  <tr>
    <td> ` M ` </td>
    <td></td>
    <td>An arbitrary ` N ` x ` N ` matrix</td>
  </tr>
  <tr>
    <td> ` P ` </td>
    <td> ` ( Poly1 `` R ) ` </td>
    <td>The algebra of polynomials over (the ring) ` R ` </td>
  </tr>
  <tr>
    <td> B(P) </td>
    <td> ` ( Base `` P ) ` </td>
    <td>Base set of the algebra of polynomials, i .e. the set of all
        polynomials</td>
  </tr>
  <tr>
    <td> ` X ` , X<sub>R</sub> </td>
    <td> ` ( var1 `` R ) ` </td>
    <td>The variable of polynomials over (the ring) ` R ` </td>
  </tr>
  <tr>
    <td> ` Y ` , X<sub>A</sub> </td>
    <td> ` ( var1 `` A ) ` </td>
    <td>The variable of polynomials over matrices of the algebra  ` A ` </td>
  </tr>
  <tr>
    <td> ` .^ ` </td>
    <td> ` ( .g `` ( mulGrp `` P ) ) ` </td>
    <td>The group exponentiation for polynomials over (the ring) ` R ` </td>
  </tr>
  <tr>
    <td> ^ </td>
    <td>  </td>
    <td>Arbitrary group exponentiation</td>
  </tr>
  <tr>
    <td> ` U ` </td>
    <td> ` ( algSc `` P ) ` </td>
    <td>The injection of scalars, i.e. elements of (the ring) ` R ` into the
        base set of the algebra of polynomials over ` R ` </td>
  </tr>
  <tr>
    <td> ` ( U `` p ) ` , S(p) </td>
    <td> ` ( ( algSc `` P ) `` p ) ` </td>
    <td>The element ` p ` of (the ring) ` R ` represented as polynomial over
        ` R ` </td>
  </tr>
  <tr>
    <td> ` Y ` </td>
    <td> ` ( N Mat P ) ` </td>
    <td>Algebra of ` N ` x ` N ` matrices over (the polynomial ring) ` P `
        over the ring ` R `</td>
  </tr>
  <tr>
    <td> B(Y) </td>
    <td> ` ( Base `` Y ) ` </td>
    <td>Base set of the algebra of polynomial ` N ` x ` N ` matrices, i .e. the
        set of all polynomial ` N ` x ` N ` matrices</td>
  </tr>
  <tr>
    <td> ` Q ` </td>
    <td> ` ( Poly1 `` A ) ` </td>
    <td>Algebra of polynomials over the ring of ` N ` x ` N ` matrices over
        the ring ` R `</td>
  </tr>
  <tr>
    <td> B(Q) </td>
    <td> ` ( Base `` Q ) ` </td>
    <td>Base set of the algebra of polynomials over the ring of ` N ` x ` N `
        matrices over the ring ` R `, i .e. the set of all polynomials having
        ` N ` x ` N ` matrices as coefficients</td>
  </tr>
  <tr>
    <td> ` .+ ` , +</td>
    <td> ` ( +g `` Y ) ` </td>
    <td>The addition of polynomial matrices</td>
  </tr>
  <tr>
    <td> ` .- ` , -</td>
    <td> ` ( -g `` Y ) ` </td>
    <td>The subtraction of polynomial matrices</td>
  </tr>
  <tr>
    <td> ` .x. ` , *<sub>Y</sub> </td>
    <td> ` ( .s `` Y ) ` </td>
    <td>The multiplication of a polynomial matrix with a scalar
        ( i. e. a polynomial)</td>
  </tr>
  <tr>
    <td> *<sub>A</sub> </td>
    <td> ` ( .s `` A ) ` </td>
    <td>The multiplication of a matrix with a scalar ( i. e. an element of the
        underlying ring)</td>
  </tr>
  <tr>
    <td> *<sub>Q</sub> </td>
    <td> ` ( .s `` Q ) ` </td>
    <td>The multiplication of a polynomial over matrices with a scalar ( i. e.
        a matrix)</td>
  </tr>
  <tr>
    <td> ` .X. ` , x<sub>Y</sub> </td>
    <td> ` ( .r `` Y ) ` </td>
    <td>The multiplication of polynomial matrices</td>
  </tr>
  <tr>
    <td> x<sub>A</sub> </td>
    <td> ` ( .r `` A ) ` </td>
    <td>The multiplication of matrices</td>
  </tr>
  <tr>
    <td> x<sub>Q</sub> </td>
    <td> ` ( .r `` Q ) ` </td>
    <td>The multiplication of polynomials over matrices</td>
  </tr>
  <tr>
    <td> ` .1. ` , 1<sub>Y</sub> </td>
    <td> ` ( 1r `` Y ) ` </td>
    <td>The identity matrix in the algebra of polynomial matrices over ` R `
        </td>
  </tr>
  <tr>
    <td> 1<sub>A</sub> </td>
    <td> ` ( 1r `` A ) ` </td>
    <td>The identity matrix in the algebra of matrices over ` R ` </td>
  </tr>
  <tr>
    <td> ` .0. ` , 0<sub>Y</sub> </td>
    <td> ` ( 0g `` Y ) ` </td>
    <td>The zero matrix in the algebra of matrices consisting of
        polynomials</td>
  </tr>
  <tr>
    <td> ` T ` </td>
    <td> ` ( N matToPolyMat R ) ` </td>
    <td>The transformation of an ` N ` x ` N ` matrix over ` R ` into a
        polynomial ` N ` x ` N ` matrix over ` R ` </td>
  </tr>
  <tr>
    <td> T<sub>1</sub>(M) </td>
    <td> ` ( T `` M ) ` </td>
    <td>The matrix M transformed into a polynomial ` N ` x ` N ` matrix over
        ` R ` </td>
  </tr>
  <tr>
    <td> U(M) </td>
    <td> ` ( U `` M ) ` </td>
    <td>The (constant) polynomial ` N ` x ` N ` matrix M transformed into a
        matrix over the ring ` R ` . Inverse function of ` T ` :
        ` ( T `` ( U `` M ) ) = M ` (see ~ m2cpminvid2  )</td>
  </tr>
  <tr>
    <td> T<sub>2</sub>(M) </td>
    <td> ` ( ( N pMatToMatPoly R ) `` M ) ` </td>
    <td>The polynomial ` N ` x ` N `  matrix M transformed into a polynomial
        over the ` N ` x ` N ` matrices over ` R ` </td>
  </tr>
  <tr>
    <td> ` I ` , c(M) </td>
    <td> ` ( ( X .x. .1. ) .- ( T `` M ) ) ` </td>
    <td>The characteristic matrix of a matrix ` M `, i.e. the matrix whose
        determinant is the characteristic polynomial of the matrix ` M ` </td>
  </tr>
  <tr>
    <td> ` C ` </td>
    <td> ` ( N CharPlyMat R ) ` </td>
    <td>The function mapping a matrix over (a ring) ` R `  to its
        characteristic polynomial</td>
  </tr>
  <tr>
    <td> ` K ` , p(M) </td>
    <td> ` ( C `` M ) ` </td>
    <td>The characteristic polynomial of a matrix over (a ring) ` R ` </td>
  </tr>
  <tr>
    <td> ` H ` </td>
    <td> ` ( K .x. .1. ) ` </td>
    <td>The scalar matrix (diagonal matrix) with the characteristic polynomial
        of a matrix as diagional elements</td>
  </tr>
  <tr>
    <td> ` J ` </td>
    <td> ` ( N maAdju P ) ` </td>
    <td>The function mapping a matrix consisting of polynomials to its
        adjugate ("matrix of cofactors")</td>
  </tr>
  <tr>
    <td> ` W ` , adj(cm(M)) </td>
    <td> ` ( J `` I ) ` </td>
    <td>The adjugate of the characteristic matrix of the matrix ` M ` </td>
  </tr>
</table>
</HTML>
<br><br>
Using this notation, we have:
<HTML>
 <ol type="a">
  <li>"c(M) e. B(Y)", or ` I e. ( Base `` Y ) ` , see ~ chmatcl </li>
  <li>"p(M) e. B(P)", or ` K e. ( Base `` P ) ` , see ~ chpmatply1 </li>
  <li>"T(M) e. B(Y)", or ` ( T `` M ) e. ( Base `` Y ) ` ,
      see ~ mat2pmatbas </li>
  <li> ` J : ( Base `` Y ) --> ( Base `` Y ) ` , see ~ maduf </li>
  <li>"adj(cm(M)) e. B(Y)", or ` W e. ( Base `` Y ) ` </li>
</ol>
</HTML>
<br><br>
Following the proof shown in Wikipedia, the following steps are performed:
<HTML>
 <ol>
  <li>Write ` W ` , the adjugate of the characteristic matrix, as a finite sum
      of scaled monomials, see ~ pmatcollpw3fi1 :<br>
      adj(cm(M)) = sum<sub>i=0 to s</sub> ( X_R ^i *_Y T_1(b(i)) )<br>
      where b(i) are matrices over the ring ` R ` , so T_1(b(i)) are constant
      polynomial matrices.<br>
      This step corresponds to (3) in Wikipedia. In contrast to Wikipedia, we
      write ` W ` as finite sum of not exactly determined number of summands,
      which may be greater than needed (including summands of value 0).  This
      will be sufficient to provide a representation of ` ( I .X. W ) ` as
      infinite, but finitely supported sum, see step 3.</li>
  <li>Write ` ( I .X. W ) ` , the product of the characteristic matrix and its
      adjugate as finite sum of scaled monomials, see ~ cpmadugsumfi . This
      representation is obtained by replacing ` W ` by the representation
      resulting from step 1. and performing calculation rules available for the
      associative algebra of matrices over polynomials over a commutative ring:
      <br>
      cm(M) *_Y adj(cm(M))
      = sum<sub>i=0 to s</sub> ( X_R ^i *_Y ( T_1(b(i-1))
                                 - T_1(M) x_Y T_1(b(i)) ) )
        + X_R ^(s+1) *_Y ( T_1(b(s)) - T_1(M) x_Y T_1(b(0))<br>
      where b(i) are matrices over ` R `, so T_1(b(i)) are constant polynomial
      matrices:<br>
      cm(M) *_Y adj(cm(M))<br>
      = cm(M) *_Y sum<sub>i=0 to s</sub> ( X_R ^i *_Y T_1(b(i)) )
                                      [see ~ pmatcollpw3fi1 (step 1.)]<br>
      = ( ( X_A *_Y 1_Y ) - T_1(M) )
        *_Y sum<sub>i=0 to s</sub> ( X_R ^i *_Y T_1(b(i)) )
                                      [def. of cm(M)]<br>
      = ( X_A *_Y 1_Y ) *_Y sum<sub>i=0 to s</sub> ( X_R ^i *_Y T_1(b(i)) )
        - T_1(M) *_Y sum<sub>i=0 to s</sub> ( X_R ^i *_Y T_1(b(i)) )
                                      [see ~ rngsubdir ]<br>
      = sum<sub>i=0 to s</sub> ( X_R ^i *_Y ( T_1(b(i-1))
                                 - T_1(M) x_Y T_1(b(i)) ) )
        + X_R ^(s+1) *_Y ( T_1(b(s)) - T_1(M) x_Y T_1(b(0))
                                      [see ~ cpmadugsumlemF ]<br>
      This step corresponds partially to (4) in Wikipedia.</li>
  <li>Write ` ( I .X. W ) ` as infinite, but finitely supported sum of scaled
      monomials, see ~ cpmadugsum :<br>
      cm(M) * adj(cm(M)) = sum_i ( X_R ^i *_Y G(i) )<br>
      This representation is obtained by defining a function _G_ for the
      coefficients, which we call "characteristic factor function", see
      ~ chfacfisf , which covers the special terms and the padding with 0.
      G(i) is a constant polynomial matrix (see ~ chfacfisfcpmat ).  This step
      corresponds partially to (4) in Wikipedia, with summands of value 0
      added.</li>
  <li>Write ` H = ( K .x. .1. ) ` , the scalar matrix (diagonal matrix) with
      the characteristic polynomial of a matrix as diagional elements, as
      infinite, but finitely supported sum of scaled monomials.  See
      ~ cpmidgsum :<br>
      p(m) *_Y I_Y = sum_i ( X_R ^i *_Y ( S(p_i) *_Y I_Y ) )<br>
      The proof of ~ cpmidgsum is making use of ~ pmatcollpwscmat , because
      ` H = ( K .x. .1. ) ` is a scalar/diagonal polynomial matrix with the
      characteristic polynomial "p(M)" as diagonal entries (since p_i is
      an element of the ring ` R `, S(p_i) is a (constant) polynomial).  This
      corresponds to (5) in Wikipedia, with summands of value 0 added. </li>
  <li>Transform the sum representation of ` ( I .X. W ) ` from step 3. into
      polynomials over matrices:<br>
      T_2(cm(M) * adj(cm(M))) = sum_i ( U(G(i)) *_Q X_A ^i )
                                                 [see ~ cpmadumatpoly ]<br>
      where U(G(i)) is a matrix over the ring ` R ` .</li>
  <li>Transform the sum representation of ` H ` from step 4. into polynomials
      over matrices:<br>
      T_2(p(m) *_Y I_Y) = sum_i ( p_i *_A I_A ) *_Q X_A ^i )
                                                 [see ~ cpmidpmat ]</li>
  <li>Equate the sum representations resulting from steps 5. and 6. by using
      ~ cpmadurid to obtain the equation<br>
      sum_i ( U(G(i)) *_Q X_A ^i ) = sum_i ( p_i *_A I_A ) *_Q X_A ^i ):<br>
      sum_i ( U(G(i)) *_Q X_A ^i )<br>
      = T_2(cm(M) * adj(cm(M))) [see step 5.]<br>
      = T_2(p(m) *_Y I_Y) [see ~ cpmadurid ]<br>
      = sum_i ( p_i *_A I_A ) *_Q X_A ^i ) [see step 6.]<br>
      <it>Note that this step is contained in the proof of ~ chcoeffeq , see
      step 9.</it>  This step corresponds to the conclusion from (4)  and (5)
      in Wikipedia, with summands of value 0 added.</li>
  <li>Compare the sum representations of step 7. to obtain the equations
      U(G(i)) = p_i *_A I_A , see ~ chcoeffeqlem .  This corresponds to (6) in
      Wikipedia.  Since the coefficients of the transformed representations and
      the original representations are identical, the equations of the
      coefficients are also valid for the original representations of steps 3.
      and 4.</li>
  <li>Multiply the equations of the coefficients from step 8. from the left by
      M^i, and sum up, see ~ chcoeffeq :<br>
      sum_i ( M^i x_A U(G(i)) ) = sum_i ( M^i x_A ( p_i *_A I_A) )<br>
      This corresponds to (7) in Wikipedia.</li>
  <li>Transform the right hand side of the equation in step 9. into an
      appropriate form, see ~ cayhamlem3 :<br>
      sum_i ( p_i *_A M^i )<br>
      = sum_i ( M^i x_A ( p_i *_A I_A) )  [see ~ cayhamlem2 ]<br>
      = sum_i ( M^i x_A U(G(i)) ) [see ~ chcoeffeq ]</li>
  <li>Apply the theorem for telescoping sums, see ~ telgsumfz , to the sum
      sum_i ( T_1(M)^i x_Y G(i) ), which results in an equation to 0:<br>
      sum_i ( T_1(M)^i x_Y G(i) ) = 0_Y, see ~ cayhamlem1 :<br>
      sum_i ( T_1(M)^i x_Y G(i) )<br>
      = sum<sub>i=1 to s</sub>
        ( T_1(M)^i x_Y T_1(b(i-1)) - T_1(M)^(i+1) x_Y T_1(b(i)) )<br>
        + ( T_1(M)^(s+1) x_Y T_1(b(s)) - T_1(M) x_Y T_1(b(0)) )
                                                  [see ~ chfacfpmmulgsum2 ]<br>
      = ( T_1(M) x_Y T_1(b(0)) - T_1(M)^(s+1) x_Y T_1(b(s)) )
        + ( T_1 M)^(s+1) x_Y T_1(b(s)) - T_1(M) x_Y T_1(b(0)) )
                                                  [see ~ telgsumfz ]<br>
      = 0_Y [see ~ grpnpncan0 ]
      This step corresponds partially to (8) in Wikipedia.</li>
  <li>Since ` T ` is a ring homomorphism (see ~ mat2pmatrhm ), the left hand
      side of the equation in step 10. can be transformed into a representation
      appropriate to apply the result of step 11., see ~ cayhamlem4 :<br>
      sum_i ( p_i *_A M^i ) <br>
      = sum_i ( M^i x_A U(G(i)) ) [see ~ cayhamlem3 (step 10.)] <br>
      = U(T_1(sum_i ( M^i x_A U(G(i)) ))) [see ~ m2cpminvid ] <br>
      = U(sum_i T_1( M^i x_A U(G(i)) )) [see ~ gsummptmhm ] <br>
      = U(sum_i ( T_1(M^i) x_Y T_1(U(G(i))) )) [see ~ rhmmul ] <br>
      = U(sum_i ( T_1(M)^i x_Y T_1(U(G(i))) )) [see ~ mhmmulg ] <br>
      = U(sum_i ( T_1(M)^i x_Y G(i) )) [see ~ m2cpminvid2  ] <br>
  </li>
  <li>Finally, combine the results of steps 11. and 12., and use the fact that
      ` T ` (and therefore also its inverse ` U ` ) is an injective ring
      homomorphism (see ~ mat2pmatf1 and ~ mat2pmatrhm ) to transform the
      equality resulting from steps 11. and 12. into the desired equation
      sum_i ( p_i *_A M^i ) = 0_A , see ~ cayleyhamilton resp.
      ~ cayleyhamilton0 :<br>
      sum_i ( p_i *_A M^i ) <br>
      = U(sum_i ( T_1(M)^i x_Y G(i) )) [see ~ cayhamlem4 (step 12.)]<br>
      = U(0_Y ) [see ~ cayhamlem1 (step 11.)]<br>
      = 0_A [see ~ m2cpminv0 ]</li>
</ol>
</HTML>
The transformations in steps 5., 6., 10., 12. and 13. are not mentioned in the
proof provided in Wikipedia, since it makes no distinction between a matrix
over a ring ` R ` and its representation as matrix over the polynomial ring
over the ring ` R ` in general!
$)

  ${
    cpmadurid.a $e |- A = ( N Mat R ) $.
    cpmadurid.b $e |- B = ( Base ` A ) $.
    cpmadurid.c $e |- C = ( N CharPlyMat R ) $.
    cpmadurid.p $e |- P = ( Poly1 ` R ) $.
    cpmadurid.y $e |- Y = ( N Mat P ) $.
    cpmadurid.x $e |- X = ( var1 ` R ) $.
    cpmadurid.t $e |- T = ( N matToPolyMat R ) $.
    cpmadurid.s $e |- .- = ( -g ` Y ) $.
    cpmadurid.m1 $e |- .x. = ( .s ` Y ) $.
    cpmadurid.1 $e |- .1. = ( 1r ` Y ) $.
    cpmadurid.i $e |- I = ( ( X .x. .1. ) .- ( T ` M ) ) $.
    cpmadurid.j $e |- J = ( N maAdju P ) $.
    cpmadurid.m2 $e |- .X. = ( .r ` Y ) $.
    $( The right-hand fundamental relation of the adjugate (see ~ madurid )
       applied to the characteristic matrix of a matrix.  (Contributed by AV,
       25-Oct-2019.) $)
    cpmadurid $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                      -> ( I .X. ( J ` I ) ) = ( ( C ` M ) .x. .1. ) ) $=
      ( cfn wcel ccrg w3a cfv co cbs wceq crg crngring chmatcl syl3an2 ply1crng
      cmdat 3ad2ant2 eqid madurid syl2anc chpmatval eqcomd fveq2d eqtr2d oveq1d
      a1i eqtrd ) NUJUKZEULUKZLBUKZUMZJJKUNHUOZJNDVCUOZUNZIGUOZLCUNZIGUOVRJPUPU
      NZUKZDULUKZVSWBUQVPVOEURUKVQWEEUSABDEFGIJLMNOPQRTUAUBUCUDUEUFUGUTVAVPVOWF
      VQDETVBVDPWDVTDGHIKJNUAWDVEUHVTVEZUFUIUEVFVGVRWAWCIGVRWCOIGUOLFUNMUOZVTUN
      WAABCVTDEFGILMNULOPSQRTUAWGUDUBUEUCUFVHVRWHJVTVRJWHJWHUQVRUGVMVIVJVKVLVN
      $.
  $}

  ${
    $d A n $.  $d B k n $.  $d H k n $.  $d K n $.  $d X n $.  $d N k l n x $.
    $d P k n $.  $d R k n $.  $d Y k l n $.  $d .^ n $.
    cpmidgsum.a $e |- A = ( N Mat R ) $.
    cpmidgsum.b $e |- B = ( Base ` A ) $.
    cpmidgsum.p $e |- P = ( Poly1 ` R ) $.
    cpmidgsum.y $e |- Y = ( N Mat P ) $.
    cpmidgsum.x $e |- X = ( var1 ` R ) $.
    cpmidgsum.e $e |- .^ = ( .g ` ( mulGrp ` P ) ) $.
    cpmidgsum.m $e |- .x. = ( .s ` Y ) $.
    cpmidgsum.1 $e |- .1. = ( 1r ` Y ) $.
    cpmidgsum.u $e |- U = ( algSc ` P ) $.
    cpmidgsum.c $e |- C = ( N CharPlyMat R ) $.
    cpmidgsum.k $e |- K = ( C ` M ) $.
    cpmidgsum.h $e |- H = ( K .x. .1. ) $.
    $( Representation of the identity matrix multiplied with the characteristic
       polynomial of a matrix as group sum.  (Contributed by AV,
       7-Nov-2019.) $)
    cpmidgsum $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
               -> H = ( Y gsum ( n e. NN0 |-> ( ( n .^ X )
                        .x. ( ( U ` ( ( coe1 ` K ) ` n ) ) .x. .1. ) ) ) ) ) $=
      ( cfn wcel ccrg cbs cfv cn0 cv co cco1 cmpt cgsu wceq w3a eqid chpmatply1
      eqeltrid cmat2pmat pmatcollpwscmat syld3an3 ) NUIUJZEUKUJZMBUJZLDULUMZUJK
      PIUNIUOZOJUPVLLUQUMUMGUMHFUPFUPURUSUPUTVHVIVJVALMCUMVKUGABCDEVKMNUFQRSVKV
      BZVCVDAPULUMZPBDLEGNEVEUPZGHIVKJFEULUMZKNOSTVNVBUCUBUAVOVBQRUEVPVBVMUEUDU
      HVFVG $.

    $d M n $.
    cpmidgsumm2pm.o $e |- O = ( 1r ` A ) $.
    cpmidgsumm2pm.m $e |- .* = ( .s ` A ) $.
    cpmidgsumm2pm.t $e |- T = ( N matToPolyMat R ) $.
    $( Representation of the identity matrix multiplied with the characteristic
       polynomial of a matrix as group sum with a matrix to polynomial matrix
       transformation.  (Contributed by AV, 13-Nov-2019.) $)
    cpmidgsumm2pm $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                   -> H = ( Y gsum ( n e. NN0 |-> ( ( n .^ X )
                           .x. ( T ` ( ( ( coe1 ` K ) ` n ) .* O ) ) ) ) ) ) $=
      ( cfn wcel ccrg w3a cn0 cv co cco1 cfv cmpt cgsu cpmidgsum wa wceq 3simpa
      cbs adantr eqid chpmatply1 eqeltrid coe1fvalcl sylan crg crngring matring
      anim2i ringidcl 3syl 3adant3 mat2pmatlin syl12anc mat2pmatrhm rhm1 oveq2d
      crh eqtr2d mpteq2dva eqtrd ) PUOUPZEUQUPZOBUPZURZLSJUSJUTZRKVAZWQNVBVCZVC
      ZHVCZIGVAZGVAZVDZVEVASJUSWRWTQMVAFVCZGVAZVDZVEVAABCDEGHIJKLNOPRSTUAUBUCUD
      UEUFUGUHUIUJUKVFWPXDXGSVEWPJUSXCXFWPWQUSUPZVGZXBXEWRGXIXEXAQFVCZGVAZXBXIW
      MWNVGZWTEVJVCZUPZQBUPZXEXKVHWPXLXHWMWNWOVIZVKWPNDVJVCZUPXHXNWPNOCVCXQUJAB
      CDEXQOPUITUAUBXQVLZVMVNWSXQDENXMWQWSVLXRUBXMVLZVOVPWPXOXHWMWNXOWOXLWMEVQU
      PZVGAVQUPXOWNXTWMEVRVTAEPTVSBAQUAULWAWBWCVKABSDEHFMGSVJVCZXMPWTQUNTUAUBUC
      YAVLZXSUHUMUFWDWEXIXJIXAGWPXJIVHZXHWPXLFASWIVAUPYCXPABSDEFYAPUNTUAUBUCYBW
      FASQFIULUGWGWBVKWHWJWHWKWHWL $.

    ${
      $d K k $.  $d L k $.  $d O k $.  $d .* k $.
      cpmidpmat.g $e |- G = ( k e. NN0 |-> ( ( ( coe1 ` K ) ` k ) .* O ) ) $.
      $( Lemma 1 for ~ cpmidpmat .  (Contributed by AV, 13-Nov-2019.) $)
      cpmidpmatlem1 $p |- ( L e. NN0
                          -> ( G ` L ) = ( ( ( coe1 ` K ) ` L ) .* O ) ) $=
        ( cv cco1 cfv co cn0 wceq fveq2 oveq1d ovex fvmpt ) JPJURZOUSUTZUTZSNVA
        PVIUTZSNVAVBLVHPVCVJVKSNVHPVIVDVEUQVKSNVFVG $.

      $d M k $.
      $( Lemma 2 for ~ cpmidpmat .  (Contributed by AV, 14-Nov-2019.)  (Proof
         shortened by AV, 7-Dec-2019.) $)
      cpmidpmatlem2 $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                            -> G e. ( B ^m NN0 ) ) $=
        ( cfn wcel ccrg w3a cn0 cmap co wf cv cco1 cfv wa crg crngring 3ad2ant2
        simpl1 adantr eqid chpmatply1 eqeltrid coe1fvalcl sylan anim2i ringidcl
        cbs matring 3syl 3adant3 matvscl syl22anc fmptd cvv fvexi pm3.2i elmapg
        wb nn0ex mp1i mpbird ) QUQURZEUSURZPBURZUTZLBVAVBVCURZVABLVDZWSJVAJVEZO
        VFVGZVGZRNVCZBLWSXBVAURZVHWPEVIURZXDEWAVGZURZRBURZXEBURWPWQWRXFVLWSXGXF
        WQWPXGWREVJZVKVMWSODWAVGZURXFXIWSOPCVGXLUKABCDEXLPQUJUAUBUCXLVNZVOVPXCX
        LDEOXHXBXCVNXMUCXHVNZVQVRWSXJXFWPWQXJWRWPWQVHWPXGVHAVIURXJWQXGWPXKVSAEQ
        UAWBBARUBUMVTWCWDVMABXDENXHQRXNUAUBUNWEWFUPWGBWHURZVAWHURZVHWTXAWLWSXOX
        PBAWAUBWIWMWJBVALWHWHWKWNWO $.

      $d A l s $.  $d B l s $.  $d K l s $.  $d M l s $.  $d N k n s $.
      $d O l s $.  $d R l s $.  $d .* l s $.
      $( Lemma 3 for ~ cpmidpmat .  (Contributed by AV, 14-Nov-2019.)  (Proof
         shortened by AV, 7-Dec-2019.) $)
      cpmidpmatlem3 $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                            -> G finSupp ( 0g ` A ) ) $=
        ( vl vs vn cfn wcel ccrg w3a cn0 cv cco1 cfv co c0g cfsupp cvv fvexd wa
        cmpt ovexd wceq fveq2 oveq1d clt wbr csb wi wral wrex cbs eqid eqeltrid
        chpmatply1 coe1fvalcl sylan crngring 3ad2ant2 mptcoe1fsupp mptnn0fsuppr
        crg syl2anc csca csbfv a1i eqeq1d biimpa matsca2 3adant3 ad2antrr eqtrd
        fveq2d clmod matlmod sylan2 matring ringidcl lmod0vs ex imim2d ralimdva
        syl reximdv mpd mptnn0fsuppd eqbrtrid ) QUTVAZEVBVAZPBVAZVCZLJVDJVEZOVF
        VGZVGZRNVHZVNAVIVGZVJUPYDUQVKYHUQVEZYFVGZRNVHZJVKYIURYDAVIVLYDYEVDVAVMY
        GRNVOYEYJVPYGYKRNYEYJYFVQVRYDURVEYJVSVTZUSYJUSVEZYFVGZWAZEVIVGZVPZWBZUQ
        VDWCZURVDWDYMYLYIVPZWBZUQVDWCZURVDWDYDUQEWEVGZYOUSVKYQURYDEVIVLYDODWEVG
        ZVAZYNVDVAYOUUDVAYDOPCVGUUEUKABCDEUUEPQUJUAUBUCUUEWFZWHWGZYFUUEDEOUUDYN
        YFWFUUGUCUUDWFWIWJYDEWOVAZUUFUSVDYOVNYQVJVTYBYAUUIYCEWKZWLUUHUUEDEUSOYQ
        UCUUGYQWFWMWPWNYDYTUUCURVDYDYSUUBUQVDYDYJVDVAZVMZYRUUAYMUULYRUUAUULYRVM
        ZYLAWQVGZVIVGZRNVHZYIUUMYKUUORNUUMYKYQUUOUULYRYKYQVPUULYPYKYQYPYKVPUULU
        SYJYFWRWSWTXAUUMEUUNVIYDEUUNVPZUUKYRYAYBUUQYCAEQVBUAXBXCXDXFXEVRYDUUPYI
        VPZUUKYRYDAXGVAZRBVAZUURYAYBUUSYCYBYAUUIUUSUUJAEQUAXHXIXCYAYBUUTYCYAYBV
        MAWOVAZUUTYBYAUUIUVAUUJAEQUAXJXIBARUBUMXKXPXCNUUNUUOBARYIUBUUNWFUNUUOWF
        YIWFXLWPXDXEXMXNXOXQXRXSXT $.
    $}

    $d I n $.  $d K k x $.  $d M k $.  $d O k n x $.  $d T n $.  $d W n $.
    $d .* k n x $.  $d .x. n $.
    cpmidgsum.w $e |- W = ( Base ` Y ) $.
    cpmidpmat.p $e |- Q = ( Poly1 ` A ) $.
    cpmidpmat.z $e |- Z = ( var1 ` A ) $.
    cpmidpmat.m $e |- .xb = ( .s ` Q ) $.
    cpmidpmat.e $e |- E = ( .g ` ( mulGrp ` Q ) ) $.
    cpmidpmat.i $e |- I = ( N pMatToMatPoly R ) $.
    $( Representation of the identity matrix multiplied with the characteristic
       polynomial of a matrix as polynomial over the ring of matrices.
       (Contributed by AV, 14-Nov-2019.)  (Revised by AV, 7-Dec-2019.) $)
    cpmidpmat $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                      -> ( I ` H ) = ( Q gsum ( n e. NN0
                                       |-> ( ( ( ( coe1 ` K ) ` n ) .* O )
                                             .xb ( n E Z ) ) ) ) ) $=
      ( vk vx cfn wcel ccrg w3a cfv cn0 cv co cco1 cmpt cpmidgsumm2pm fveq2d wa
      cgsu wceq eqid cpmidpmatlem1 eqcomd adantl oveq2d mpteq2dva cfsupp 3simpa
      cmap c0g cpmidpmatlem2 cpmidpmatlem3 oveq1d cbvmptv eleq1i breq1i anbi12i
      wbr fveq2 pm2mp sylan2b fveq1i fveq2i oveq2i mpteq2i oveq1i 3eqtr4g eqtrd
      syl12anc 3eqtrd ) TVIVJZFVKVJZSBVJZVLZOPVMUDLVNLVOZUCNVPZXRRVQVMZVMUAQVPZ
      HVMZIVPZVRZWBVPZPVMZELVNXRVGVNVGVOZXTVMZUAQVPZVRZVMZXRUEMVPZGVPZVRZWBVPZE
      LVNYAYLGVPZVRZWBVPXQOYEPABCDFHIJKLNOQRSTUAUCUDUFUGUHUIUJUKULUMUNUOUPUQURU
      SUTVSVTXQYFUDLVNXSYKHVMZIVPZVRZWBVPZPVMZYOXQYEUUAPXQYDYTUDWBXQLVNYCYSXQXR
      VNVJZWAZYBYRXSIUUDYAYKHUUCYAYKWCXQUUCYKYAABCDFHIJKVGNYJOQRXRSTUAUCUDUFUGU
      HUIUJUKULUMUNUOUPUQURUSUTYJWDZWEZWFWGVTWHWIWHVTXQUDLVNXSXRVHVNVHVOZXTVMZU
      AQVPZVRZVMZHVMZIVPZVRZWBVPZPVMZELVNUUKYLGVPZVRZWBVPZUUBYOXQXNXOWAZYJBVNWL
      VPZVJZYJAWMVMZWJXAZUUPUUSWCZXNXOXPWKABCDFHIJKVGNYJOQRSTUAUCUDUFUGUHUIUJUK
      ULUMUNUOUPUQURUSUTUUEWNABCDFHIJKVGNYJOQRSTUAUCUDUFUGUHUIUJUKULUMUNUOUPUQU
      RUSUTUUEWOUVBUVDWAUUTUUJUVAVJZUUJUVCWJXAZWAUVEUVBUVFUVDUVGYJUUJUVAVGVHVNY
      IUUIYGUUGWCYHUUHUAQYGUUGXTXBWPWQZWRYJUUJUVCWJUVHWSWTAUBUDDEFHILNMPGBUUJTU
      EUCUHUIVAVDVEVCUFUGVBVFUKUJULUTXCXDXLUUAUUOPYTUUNUDWBLVNYSUUMYRUULXSIYKUU
      KHXRYJUUJUVHXEZXFXGXHXGXFYNUUREWBLVNYMUUQYKUUKYLGUVIXIXHXGXJXKXQYNYQEWBXQ
      LVNYMYPUUDYKYAYLGUUCYKYAWCXQUUFWGWPWIWHXM $.
  $}

  ${
    $d B i $.  $d M i $.  $d N i $.  $d R i $.  $d X i $.  $d Y i $.
    $d .X. i $.  $d .x. i $.  $d .1. i $.  $d b i $.  $d i s $.
    cpmadugsum.a $e |- A = ( N Mat R ) $.
    cpmadugsum.b $e |- B = ( Base ` A ) $.
    cpmadugsum.p $e |- P = ( Poly1 ` R ) $.
    cpmadugsum.y $e |- Y = ( N Mat P ) $.
    cpmadugsum.t $e |- T = ( N matToPolyMat R ) $.
    cpmadugsum.x $e |- X = ( var1 ` R ) $.
    cpmadugsum.e $e |- .^ = ( .g ` ( mulGrp ` P ) ) $.
    cpmadugsum.m $e |- .x. = ( .s ` Y ) $.
    cpmadugsum.r $e |- .X. = ( .r ` Y ) $.
    cpmadugsum.1 $e |- .1. = ( 1r ` Y ) $.
    $( Lemma B for ~ cpmadugsum .  (Contributed by AV, 2-Nov-2019.) $)
    cpmadugsumlemB $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                               /\ ( s e. NN0 /\ b e. ( B ^m ( 0 ... s ) ) ) )
                           -> ( ( X .x. .1. ) .X. ( Y gsum ( i e. ( 0 ... s )
                      |-> ( ( i .^ X ) .x. ( T ` ( b ` i ) ) ) ) ) )
                              = ( Y gsum ( i e. ( 0 ... s )
                      |-> ( ( ( i + 1 ) .^ X ) .x. ( T ` ( b ` i ) ) ) ) ) ) $=
      ( cfn wcel ccrg w3a cv cn0 cc0 cfz co cmap wa c1 caddc cfv cmpt cgsu csca
      cmulr cmgp cmnd cbs wceq crg crngring ply1ring syl 3ad2ant2 eqid ad2antrr
      ringmgp elfznn0 adantl 1nn0 a1i vr1cl mgpbas mgpplusg mulgnn0dir syl13anc
      ply1crng anim2i 3adant3 matsca2 fveq2d eqidd mulg1 oveq123d eqtrd matring
      simpll1 simplrl simprr anim1i m2pmfzmap syl31anc ringlidm syl2anc oveq12d
      eqcomd casa matassa eleqtrrd mulgnn0cl ringidcl assa2ass syl122anc oveq2d
      syl3anc mpteq2dva cplusg cvv c0g adantr ovexd clmod matlmod eleq2d mpbird
      lmodvscl cfsupp wbr simpl1 simprl fzfid fvexd fsuppmptdm gsummulc2 eqtr2d
      wb ) LUGUHZDUIUHZKBUHZUJZOUKZULUHZPUKZBUMYTUNUOZUPUOUHZUQZUQZNIUUCIUKZURU
      SUOMJUOZUUGUUBUTEUTZFUOZVAZVBUONIUUCMHFUOZUUGMJUOZUUIFUOZGUOZVAZVBUOUULNI
      UUCUUNVAZVBUOGUOUUFUUKUUPNVBUUFIUUCUUJUUOUUFUUGUUCUHZUQZUUJUUMMNVCUTZVDUT
      ZUOZHUUIGUOZFUOZUUOUUSUUHUVBUUIUVCFUUSUUHUUMURMJUOZCVDUTZUOZUVBUUSCVEUTZV
      FUHZUUGULUHZURULUHZMCVGUTZUHZUUHUVGVHYSUVIUUEUURYSCVIUHZUVIYQYPUVNYRYQDVI
      UHZUVNDVJZCDSVKVLZVMCUVHUVHVNZVPVLVOZUURUVJUUFUUGYTVQVRZUVKUUSVSVTYSUVMUU
      EUURYSUVOUVMYQYPUVOYRUVPVMZUVLCDMUBSUVLVNZWAZVLZVOZUVLUVFJUVHUUGURMUVLCUV
      HUVRUWBWBZUCCUVFUVHUVRUVFVNWCWDWEUUSUUMUUMUVEMUVFUVAUUSCUUTVDYSCUUTVHZUUE
      UURYSYPCUIUHZUQZUWGYPYQUWIYRYQUWHYPCDSWFWGZWHZNCLUITWIZVLZVOWJUUSUUMWKYSU
      VEMVHZUUEUURYSUVMUWNUWDUVLJUVHMUWFUCWLVLVOWMWNUUSUVCUUIUUSNVIUHZUUINVGUTZ
      UHZUVCUUIVHYSUWOUUEUURYSYPUVNUQZUWOYPYQUWRYRYQUVNYPUVQWGZWHNCLTWOZVLZVOUU
      SYPUVOUUAUUDUURUQUWQYPYQYRUUEUURWPYSUVOUUEUURUWAVOYSUUAUUDUURWQUUFUUDUURY
      SUUAUUDWRZWSABCDYTEUUGLNPQRSTUAWTXAZUWPNGHUUIUWPVNZUEUFXBXCXEXDUUSUUOUVDU
      USNXFUHZMUUTVGUTZUHZUUMUXFUHZHUWPUHZUWQUUOUVDVHYSUXEUUEUURYPYQUXEYRYPYQUQ
      ZUWIUXEUWJNCLTXGVLWHVOYSUXGUUEUURYSMUVLUXFUWDYSUUTCVGYSCUUTUWMXEWJZXHVOUU
      SUUMUVLUXFUUSUVIUVJUVMUUMUVLUHZUVSUVTUWEUVLJUVHUUGMUWFUCXIXNZYSUXFUVLVHZU
      UEUURUXKVOXHYSUXIUUEUURYSUWOUXIYPYQUWOYRUXJUWRUWOUWSUWTVLWHZUWPNHUXDUFXJZ
      VLVOUXCMUXFUUMFGUUTUVAUWPNHUUIUXDUUTVNZUXFVNZUVAVNUDUEXKXLXEWNXOXMUUFUUCU
      WPNXPUTZNGIXQUUNUULNXRUTZUXDUXTVNUXSVNUEYSUWOUUEUXOXSUUFUMYTUNXTYSUULUWPU
      HZUUEYSNYAUHZUXGUXIUYAYPYQUYBYRUXJUWRUYBUWSNCLTYBVLWHZYPYQUXGYRUXJMUVLUXF
      UXJUVOUVMYQUVOYPUVPVRUWCVLUXJUUTCVGUXJCUUTUXJUWIUWGUWJUWLVLXEWJXHWHYSUWOU
      XIUXAUXPVLMFUUTUXFUWPNHUXDUXQUDUXRYEXNXSUUSUYBUXHUWQUUNUWPUHYSUYBUUEUURUY
      CVOUUSUXHUXLUXMYSUXHUXLYOUUEUURYSUXFUVLUUMYSUWIUXNUWKUWIUUTCVGUWICUUTUWLX
      EWJVLYCVOYDUXCUUMFUUTUXFUWPNUUIUXDUXQUDUXRYEXNUUFYPUVOUUAUUDUUQUXTYFYGYPY
      QYRUUEYHYSUVOUUEUWAXSYSUUAUUDYIUXBYPUVOUUAUJUUDUQZIUUCUUQXQXQUUNUXTUUQVNU
      YDUMYTYJUYDUURUQUUMUUIFXTUYDNXRYKYLXAYMYN $.

    $d T i $.
    $( Lemma C for ~ cpmadugsum .  (Contributed by AV, 2-Nov-2019.) $)
    cpmadugsumlemC $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                               /\ ( s e. NN0 /\ b e. ( B ^m ( 0 ... s ) ) ) )
                           -> ( ( T ` M ) .X. ( Y gsum ( i e. ( 0 ... s )
            |-> ( ( i .^ X ) .x. ( T ` ( b ` i ) ) ) ) ) )
                              = ( Y gsum ( i e. ( 0 ... s )
            |-> ( ( i .^ X ) .x. ( ( T ` M ) .X. ( T ` ( b ` i ) ) ) ) ) ) ) $=
      ( cfn wcel ccrg w3a cv cn0 cc0 cfz co cmap wa cfv cmpt cbs cplusg cvv c0g
      cgsu eqid crg crngring ply1ring anim2i matring 3adant3 adantr mat2pmatbas
      syl ovexd syl3an2 csca matlmod ad2antrr cmgp cmnd 3ad2ant2 ringmgp adantl
      clmod elfznn0 vr1cl mgpbas mulgnn0cl syl3anc wceq ply1crng matsca2 eqcomd
      wb fveq2d eleq2d mpbird simpll1 simprr anim1i m2pmfzmap syl31anc lmodvscl
      simplrl cfsupp wbr simpl1 simprl fzfid fvexd fsuppmptdm gsummulc2 matassa
      casa eleqtrrd assaassr syl13anc mpteq2dva oveq2d eqtr3d ) LUGUHZDUIUHZKBU
      HZUJZOUKZULUHZPUKZBUMYFUNUOZUPUOUHZUQZUQZNIYIKEURZIUKZMJUOZYNYHUREURZFUOZ
      GUOZUSZVDUOYMNIYIYQUSZVDUOGUONIYIYOYMYPGUOFUOZUSZVDUOYLYINUTURZNVAURZNGIV
      BYQYMNVCURZUUCVEZUUEVEUUDVEUEYENVFUHZYKYBYCUUGYDYBYCUQZYBCVFUHZUQZUUGYCUU
      IYBYCDVFUHZUUIDVGZCDSVHVNZVIZNCLTVJVNVKVLYLUMYFUNVOYEYMUUCUHZYKYCYBUUKYDU
      UOUULABNCDEKLUAQRSTVMVPZVLYLYNYIUHZUQZNWEUHZYONVQURZUTURZUHZYPUUCUHZYQUUC
      UHYEUUSYKUUQYEUUJUUSYBYCUUJYDUUNVKNCLTVRVNVSUURUVBYOCUTURZUHZUURCVTURZWAU
      HZYNULUHZMUVDUHZUVEYEUVGYKUUQYEUUIUVGYCYBUUIYDUUMWBCUVFUVFVEZWCZVNVSUUQUV
      HYLYNYFWFWDZYEUVIYKUUQYEUUKUVIYCYBUUKYDUULWBZUVDCDMUBSUVDVEZWGVNVSZUVDJUV
      FYNMUVDCUVFUVJUVNWHUCWIZWJYEUVBUVEWOYKUUQYEUVAUVDYOYEUUTCUTYECUUTYEYBCUIU
      HZUQZCUUTWKYBYCUVRYDYCUVQYBCDSWLVIZVKNCLUITWMVNWNWPZWQVSWRUURYBUUKYGYJUUQ
      UQUVCYBYCYDYKUUQWSYEUUKYKUUQUVMVSYEYGYJUUQXEYLYJUUQYEYGYJWTZXAABCDYFEYNLN
      PQRSTUAXBXCZYOFUUTUVAUUCNYPUUFUUTVEZUDUVAVEZXDWJYLYBUUKYGYJYTUUEXFXGYBYCY
      DYKXHYEUUKYKUVMVLYEYGYJXIUWAYBUUKYGUJYJUQZIYIYTVBVBYQUUEYTVEUWEUMYFXJUWEU
      UQUQYOYPFVOUWENVCXKXLXCXMYLYSUUBNVDYLIYIYRUUAUURNXOUHZUVBUUOUVCYRUUAWKYEU
      WFYKUUQYBYCUWFYDUUHUVRUWFUVSNCLTXNVNVKVSUURYOUVDUVAUURUVGUVHUVIUVEYEUVGYK
      UUQYBYCUVGYDUUHUUIUVGYCUUIYBUUMWDUVKVNVKVSUVLUVOUVPWJYEUVAUVDWKYKUUQUVTVS
      XPYEUUOYKUUQUUPVSUWBYOUVAFGUUTUUCNYMYPUUFUWCUWDUDUEXQXRXSXTYA $.

    $d B x $.  $d M x $.  $d N x $.  $d R x $.  $d T x $.  $d X x $.
    $d .x. x $.  $d .^ i x $.  $d .- i $.  $d b x $.  $d s x $.
    cpmadugsum.g $e |- .+ = ( +g ` Y ) $.
    cpmadugsum.s $e |- .- = ( -g ` Y ) $.
    $( Lemma F for ~ cpmadugsum .  (Contributed by AV, 7-Nov-2019.) $)
    cpmadugsumlemF $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                               /\ ( s e. NN /\ b e. ( B ^m ( 0 ... s ) ) ) )
      -> ( ( ( X .x. .1. ) .X. ( Y gsum ( i e. ( 0 ... s )
                                 |-> ( ( i .^ X ) .x. ( T ` ( b ` i ) ) ) ) ) )
                   .- ( ( T ` M ) .X. ( Y gsum ( i e. ( 0 ... s )
                               |-> ( ( i .^ X ) .x. ( T ` ( b ` i ) ) ) ) ) ) )
             = ( ( Y gsum ( i e. ( 1 ... s ) |-> ( ( i .^ X ) .x.
                               ( ( T ` ( b ` ( i - 1 ) ) )
                                 .- ( ( T ` M ) .X. ( T ` ( b ` i ) ) ) ) ) ) )
                 .+ ( ( ( ( s + 1 ) .^ X ) .x. ( T ` ( b ` s ) ) )
                      .- ( ( T ` M ) .X. ( T ` ( b ` 0 ) ) ) ) ) ) $=
      ( vx cfn wcel ccrg w3a cv cn cc0 cfz co cmap wa cfv cmpt cgsu c1 cmin cn0
      caddc wceq nnnn0 cpmadugsumlemB sylanr1 cpmadugsumlemC oveq12d csn npcan1
      nncn eqcomd syl oveq2d mpteq1d ad2antrl cbs eqid ccmn crg crngring anim2i
      cc 3adant3 pmatring ringcmn adantr nnm1nn0 simpll1 3ad2ant2 elmapi impcom
      wf feq2d adantl elfznn0 1nn0 nn0addcld mat2pmatscmxcl syl22anc cmnd sylib
      a1i oveq1d 2fveq3 fveq2d gsumsnd 3eqtrd syl3anc eleq2d mat2pmatbas ringcl
      oveq1 wb cur c0g mulg0 wi ffvelrnd ex eqtrd fzfid cz nnz syl6bi ralrimiva
      elfzofz imp gsummptcl cmncom grpaddsubass syl13anc mpteq2dva ovexd simpl1
      syl5ibcom ffvelrnda gsummptfzsplit cvv ringmnd nn0fz0 ffvelrn syl2anr jca
      syl21anc sylan9eqr clmod csca pmatlmod cmgp ply1ring ringmgp vr1cl mgpbas
      mulgnn0cl ply1crng matsca2 mpbird simpll3 simprr anim1i syl31anc lmodvscl
      m2pmfzmap gsummptfzsplitl ringidval syl3an2 simpl elnn0uz eluzfz1 lmodvs1
      0nn0 cuz syl2anc eqeltrd fzoval adantll ringgrp elfznn nnnn0d eleqtrd wss
      cfzo cgrp 1eluzge0 fzss1 mp1i sseld cbvmptv nncnd syl5eq 1zzd gsummptshft
      0zd nn0zd 0p1e1 cabl ringabl elfzm1b syl2an sylbid expimpd gsummptfidmsub
      mpcom 3eqtr4d grpsubcl mndcl ablsubsub4 3eqtr3d lmodsubdi ) NULUMZEUNUMZL
      BUMZUOZQUPZUQUMZRUPZBURUYBUSUTZVAUTUMZVBZVBZOIGUTPJUYEJUPZOKUTZUYIUYDVCZF
      VCZGUTVDVEUTZHUTZLFVCZUYMHUTZMUTPJUYEUYIVFVIUTZOKUTZUYLGUTZVDZVEUTZPJUYEU
      YJUYOUYLHUTZGUTZVDVEUTZMUTPJURUYBVFVGUTZUSUTZUYSVDVEUTZUYBVFVIUTZOKUTZUYB
      UYDVCZFVCZGUTZDUTZPJVFUYBUSUTZVUCVDZVEUTZUYOURUYDVCZFVCZHUTZDUTZMUTZPJVUN
      UYJUYIVFVGUTZUYDVCZFVCZVUBMUTGUTZVDZVEUTZVULVUSMUTZDUTZUYHUYNVUAUYPVUDMUY
      CUYAUYBVHUMZUYFUYNVUAVJUYBVKZABCEFGHIJKLNOPQRSTUAUBUCUDUEUFUGUHVLVMUYCUYA
      VVJUYFUYPVUDVJVVKABCEFGHIJKLNOPQRSTUAUBUCUDUEUFUGUHVNVMVOUYHVUAVUMVUDVUTM
      UYHVUAPJURVUEVFVIUTZUSUTZUYSVDZVEUTZVUGPJVVLVPUYSVDVEUTZDUTVUMUYCVUAVVOVJ
      UYAUYFUYCUYTVVNPVEUYCJUYEVVMUYSUYCUYBVVLURUSUYCUYBWJUMZUYBVVLVJUYBVRZVVQV
      VLUYBUYBVQZVSVTWAZWBWAWCUYHPWDVCZDJPVUEUYSVWAWEZUIUYAPWFUMZUYGUYAPWGUMZVW
      CUYAUXREWGUMZVBZVWDUXRUXSVWFUXTUXSVWEUXREWHZWIZWKPCENUAUBWLVTZPWMVTWNZUYC
      VUEVHUMUYAUYFUYBWOWCZUYHUYIVVMUMZVBZUXRVWEUYKBUMZUYQVHUMZUYSVWAUMZUXRUXSU
      XTUYGVWLWPUYHVWEVWLUYAVWEUYGUXSUXRVWEUXTVWGWQWNZWNUYHVVMBUYIUYDUYGVVMBUYD
      WTZUYAUYFUYCVWRUYFUYEBUYDWTZUYCVWRUYDBUYEWRZUYCUYEVVMBUYDVVTXAUUCWSXBUUDV
      WMUYIVFVWLUYIVHUMZUYHUYIVVLXCXBVFVHUMZVWMXDXJXEAVWAPCEFKGBUYQUYKNOSTUCUAU
      BVWBUFUEUDXFZXGUUEUYHVVPVULVUGDUYHUYSVWAVULJPVVLUUFVWBUYAPXHUMZUYGUYAVWDV
      XDVWIPUUGVTWNZUYHVUEVFVIUUAUYHUXRVWEVUJBUMZVUHVHUMZVBZVULVWAUMZUXRUXSUXTU
      YGUUBZVWQUYGVXHUYAUYGVXFVXGUYFVWSUYBUYEUMZVXFUYCVWTUYCVVJVXKVVKUYBUUHXIUY
      EBUYBUYDUUIUUJUYGUYBVFUYCVVJUYFVVKWNVXBUYGXDXJXEUUKXBAVWAPCEFKGBVUHVUJNOS
      TUCUAUBVWBUFUEUDXFUULZUYIVVLVJZUYHUYSVVLVFVIUTZOKUTZVVLUYDVCZFVCZGUTZVULV
      XMUYRVXOUYLVXQGVXMUYQVXNOKUYIVVLVFVIXTXKUYIVVLFUYDXLVOUYCVXRVULVJUYAUYFUY
      CVXOVUIVXQVUKGUYCVXNVUHOKUYCVVLUYBVFVIUYCVVQVVLUYBVJZVVRVVSVTZXKXKUYCVXPV
      UJFUYCVVLUYBUYDVXTXMXMVOWCUUMXNWAXOUYHVUDVUPPJURVPVUCVDVEUTZDUTVUTUYHVWAD
      JPUYBVUCVWBUIVWJUYCVVJUYAUYFVVKWCZUYHUYIUYEUMZVBZPUUNUMZUYJPUUOVCZWDVCZUM
      ZVUBVWAUMZVUCVWAUMZUYHVYEVYCUYAVYEUYGUXRUXSVYEUXTUXRUXSVBVWFVYEVWHPCENUAU
      BUUPVTWKWNZWNVYDVYHUYJCWDVCZUMZVYDCUUQVCZXHUMZVXAOVYLUMZVYMUYHVYOVYCUYAVY
      OUYGUYACWGUMZVYOUXSUXRVYQUXTUXSVWEVYQVWGCEUAUURVTWQCVYNVYNWEZUUSVTWNZWNVY
      CVXAUYHUYIUYBXCXBUYHVYPVYCUYAVYPUYGUXSUXRVYPUXTUXSVWEVYPVWGVYLCEOUDUAVYLW
      EZUUTVTWQZWNZWNVYLKVYNUYIOVYLCVYNVYRVYTUVAZUEUVBZXPUYHVYHVYMYAZVYCUYAWUEU
      YGUYAVYGVYLUYJUYAVYFCWDUYACVYFUYAUXRCUNUMZVBZCVYFVJZUXRUXSWUGUXTUXSWUFUXR
      CEUAUVCWIWKPCNUNUBUVDVTZVSXMXQWNWNUVEVYDVWDUYOVWAUMZUYLVWAUMZVYIUYHVWDVYC
      UYAVWDUYGVWIWNZWNVYDUXRVWEUXTWUJUXRUXSUXTUYGVYCWPZUYHVWEVYCVWQWNZUXRUXSUX
      TUYGVYCUVFABPCEFLNUCSTUAUBXRZXPVYDUXRVWEVVJUYFVYCVBWUKWUMWUNUYHVVJVYCVYBW
      NUYHUYFVYCUYAUYCUYFUVGUVHABCEUYBFUYINPRSTUAUBUCUVKUVIVWAPHUYOUYLVWBUGXSZX
      PUYJGVYFVYGVWAPVUBVWBVYFWEZUFVYGWEZUVJZXPUVLUYHVYAVUSVUPDUYHVYAUROKUTZVUS
      GUTZCYBVCZVUSGUTZVUSUYHVUCVWAWVAJPURVHVWBVXEURVHUMUYHUVSXJUYHWVAVUSVWAUYH
      WVAVYNYCVCZVUSGUTWVCVUSUYHWUTWVDVUSGUYAWUTWVDVJZUYGUYAVYPWVEWUAVYLKVYNOWV
      DWUCWVDWEUEYDVTWNXKUYHWVDWVBVUSGUYHWVBWVDWVBWVDVJUYHCWVBVYNVYRWVBWEUVMZXJ
      VSXKUYHWVCVYFYBVCZVUSGUTZVUSUYHWVBWVGVUSGUYHCVYFYBUYAWUHUYGWUIWNXMXKUYHVY
      EVUSVWAUMZWVHVUSVJVYKUYHVWDWUJVURVWAUMZWVIWULUYAWUJUYGUXSUXRVWEUXTWUJVWGW
      UOUVNWNZUYHUXRVWEVUQBUMZWVJVXJVWQUYGWVLUYAUYFUYCWVLUYFVWSUYCWVLYEVWTVWSUY
      CWVLVWSUYCVBUYEBURUYDVWSUYCUVOUYCURUYEUMZVWSUYCUYBURUVTVCZUMZWVMUYCVVJWVO
      VVKUYBUVPXIURUYBUVQVTXBYFYGVTWSXBABPCEFVUQNUCSTUAUBXRXPVWAPHUYOVURVWBUGXS
      XPZGWVGVYFVWAPVUSVWBWUQUFWVGWEUVRUWAYHZXOWVPUWBUYIURVJZVUCWVAVJUYHWVRUYJW
      UTVUBVUSGUYIUROKXTWVRUYLVURUYOHUYIURFUYDXLWAVOXBXNUYHWUTWVBVUSGUYAWUTWVBV
      JZUYGUYAVYPWVSWUAVYLKVYNOWVBWUCWVFUEYDVTWNXKWVQXOWAYHVOUYHVVAVULVUGDUTZVU
      TMUTZPJVUNUYJVVDGUTZVUCMUTZVDZVEUTZVVHDUTZVVIUYHVUMWVTVUTMUYHVWCVUGVWAUMZ
      VXIVUMWVTVJVWJUYHVWAJPVUFUYSVWBVWJUYHURVUEYIUYHVWPJVUFUYHUYIVUFUMZVBZUXRV
      WEVWNVWOVWPUXRUXSUXTUYGWWHWPUYHVWEWWHVWQWNUYGWWHVWNUYAUYGWWHVBUYEBUYIUYDU
      YGVWSWWHUYFVWSUYCVWTXBZWNUYGWWHVYCUYCWWHVYCYEUYFUYCWWHUYIURUYBUWJUTZUMVYC
      UYCVUFWWKUYIUYCWWKVUFUYCUYBYJUMZWWKVUFVJZUYBYKZURUYBUWCVTZVSXQUYIURUYBYNY
      LWNYOYFUWDWWIUYIVFWWHVXAUYHUYIVUEXCXBVXBWWIXDXJXEVXCXGZYMYPZVXLVWADPVUGVU
      LVWBUIYQXPXKUYHWVTVUPMUTZVUSMUTWWEVULDUTZVUSMUTZWWAWWFUYHWWRWWSVUSMUYHWWR
      VULVUGVUPMUTZDUTZVULWWEDUTZWWSUYHPUWKUMZVXIWWGVUPVWAUMWWRWXBVJUYAWXDUYGUY
      AVWDWXDVWIPUWEVTWNZVXLWWQUYHVWAJPVUNVUCVWBVWJUYHVFUYBYIZUYHVYJJVUNUYHUYIV
      UNUMZVBZVYEVYHVYIVYJUYHVYEWXGVYKWNZWXHUYJVYLVYGWXHVYOVXAVYPVYMUYHVYOWXGVY
      SWNWXGVXAUYHWXGUYIUYIUYBUWFZUWGXBZUYHVYPWXGWUBWNWUDXPUYHVYLVYGVJZWXGUYAWX
      LUYGUYACVYFWDWUIXMWNWNUWHZWXHVWDWUJWUKVYIUYHVWDWXGWULWNUYHWUJWXGWVKWNWXHU
      XRVWEVWNWUKUXRUXSUXTUYGWXGWPZUYHVWEWXGVWQWNZWXHUYEBUYIUYDUYHVWSWXGUYGVWSU
      YAWWJXBWNZUYHWXGVYCUYCWXGVYCYEUYAUYFUYCVUNUYEUYIVFWVNUMVUNUYEUWIUYCUWLVFU
      RUYBUWMUWNUWOWCYOYFABPCEFUYKNUCSTUAUBXRXPWUPXPZWUSXPZYMYPZVWADPMVULVUGVUP
      VWBUIUJYRYSUYHWXAWWEVULDUYHPUKVUNUKUPZVFVGUTZVFVIUTZOKUTZWYAUYDVCZFVCZGUT
      ZVDZVEUTZVUPMUTPJVUNWWBVDZVEUTZVUPMUTWXAWWEUYHWYHWYJVUPMUYCWYHWYJVJUYAUYF
      UYCWYGWYIPVEUYCWYGJVUNVVBVFVIUTZOKUTZVVDGUTZVDWYIUKJVUNWYFWYMWXTUYIVJZWYC
      WYLWYEVVDGWYNWYBWYKOKWYNWYAVVBVFVIWXTUYIVFVGXTZXKXKWYNWYDVVCFWYNWYAVVBUYD
      WYOXMXMVOUWPUYCJVUNWYMWWBUYCWXGVBZWYLUYJVVDGWYPWYKUYIOKWYPUYIWJUMZWYKUYIV
      JWXGWYQUYCWXGUYIWXJUWQXBUYIVQVTXKXKYTUWRWAWCXKUYHVUGWYHVUPMUYHVUGPUKURVFV
      IUTZVVLUSUTZWYFVDZVEUTWYHUYHUYSVWAWYFJUKPVFURVUEPYCVCZVWBXUAWEVWJUYHUWSUY
      HUXAUYHVUEVWKUXBWWPUYIWYAVJZUYRWYCUYLWYEGXUBUYQWYBOKUYIWYAVFVIXTXKUYIWYAF
      UYDXLVOUWTUYHWYTWYGPVEUYHUKWYSVUNWYFUYHWYRVFVVLUYBUSWYRVFVJUYHUXCXJUYCVXS
      UYAUYFVXTWCVOWBWAYHXKUYHJVUNVWAWWBVUCWYIPVUOMVWBUJUYAPUXDUMZUYGUYAVWDXUCV
      WIPUXEVTWNZWXFWXHUXRVWEVVCBUMZVXAWWBVWAUMZWXNWXOWXHUYEBVVBUYDWXPUYHWXGVVB
      UYEUMZUYCWXGXUGYEUYAUYFUYCWXGXUGUYIUQUMZWYPXUGWXGXUHUYCWXJXBXUHUYCWXGXUGX
      UHUYCVBZWXGVVBVUFUMZXUGXUHUYIYJUMWWLWXGXUJYAUYCUYIYKWWNUYIUYBUXFUXGXUIXUJ
      VVBWWKUMXUGXUIVUFWWKVVBXUIWWKVUFUYCWWMXUHWWOXBVSXQVVBURUYBYNYLUXHUXIUXKYG
      WCYOYFZWXKAVWAPCEFKGBUYIVVCNOSTUCUAUBVWBUFUEUDXFXGZWXRWYIWEVUOWEUXJUXLWAU
      YHVWCVXIWWEVWAUMZWXCWWSVJVWJVXLUYHVWAJPVUNWWCVWBVWJWXFUYHWWCVWAUMZJVUNWXH
      WXDXUFVYJXUNUYHWXDWXGWXEWNXULWXRVWAPMWWBVUCVWBUJUXMXPYMYPZVWADPVULWWEVWBU
      IYQXPXOXKUYHVWADPMWVTVUPVUSVWBUIUJXUDUYHVXDVXIWWGWVTVWAUMVXEVXLWWQVWADPVU
      LVUGVWBUIUXNXPWXSWVPUXOUYHWXDXUMVXIWVIWWTWWFVJWXEXUOVXLWVPVWADPMWWEVULVUS
      VWBUIUJYRYSUXPUYHWWEVVGVVHDUYHWWDVVFPVEUYHJVUNWWCVVEWXHVVEWWCWXHUYJGVYFVY
      GMVWAPVVDVUBVWBUFWUQWURUJWXIWXMWXHUXRVWEXUEVVDVWAUMWXNWXOXUKABPCEFVVCNUCS
      TUAUBXRXPWXQUXQVSYTWAXKXOXO $.

    $d A b n s $.  $d B b n s $.  $d I b $.  $d I i n s $.  $d J b $.
    $d J i n s $.  $d M b n s $.  $d N b $.  $d N n s $.  $d P i n $.
    $d R b $.  $d R n s $.  $d T b n s $.  $d X b $.  $d X n s $.  $d Y b $.
    $d Y n s $.  $d .^ i n s $.  $d .^ b $.  $d .x. b n s $.
    cpmadugsum.i $e |- I = ( ( X .x. .1. ) .- ( T ` M ) ) $.
    cpmadugsum.j $e |- J = ( N maAdju P ) $.
    $( The product of the characteristic matrix of a given matrix and its
       adjunct represented as finite sum.  (Contributed by AV, 7-Nov-2019.)
       (Proof shortened by AV, 29-Nov-2019.) $)
    cpmadugsumfi $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                         -> E. s e. NN E. b e. ( B ^m ( 0 ... s ) )
           ( I .X. ( J ` I ) ) = ( ( Y gsum ( i e. ( 1 ... s )
                               |-> ( ( i .^ X ) .x. ( ( T ` ( b ` ( i - 1 ) ) )
                                 .- ( ( T ` M ) .X. ( T ` ( b ` i ) ) ) ) ) ) )
                           .+ ( ( ( ( s + 1 ) .^ X ) .x. ( T ` ( b ` s ) ) )
                                .- ( ( T ` M ) .X. ( T ` ( b ` 0 ) ) ) ) ) ) $=
      ( vn cfn wcel ccrg w3a cfv cc0 cv co cmpt cgsu wceq c1 cmin caddc cn cmap
      cfz wa oveq2 a1i oveq1d cbs crg crngring anim2i 3adant3 ad2antrr pmatring
      eqid syl clmod csca pmatlmod sylan2 adantl vr1cl ply1crng matsca2 eleqtrd
      fveq2d ringidcl lmodvscl syl3anc mat2pmatbas syl3an2 ccmn fzfid ad3antrrr
      ringcmn cn0 wi wf elmapi ffvelrn ex imp mat2pmatscmxcl syl12anc ralrimiva
      elfznn0 gsummptcl rngsubdir 2fveq3 oveq12d cbvmptv oveq12i cpmadugsumlemF
      oveq1 oveq2i anassrs syl5eq 3eqtrd sylan9eqr wrex maduf 3ad2ant2 ffvelrnd
      weq chmatcl pmatcollpw3fi1 syld3an3 reximddv2 ) PUPUQZEURUQZNBUQZUSZLMUTZ
      RUOVASVBZVLVCZUOVBZQKVCZUUETVBZUTZFUTZGVCZVDZVEVCZVFZLUUBHVCZRJVGUUCVLVCJ
      VBZQKVCZUUOVGVHVCUUGUTFUTNFUTZUUOUUGUTFUTZHVCOVCGVCVDVEVCUUCVGVIVCQKVCUUC
      UUGUTFUTGVCUUQVAUUGUTFUTHVCOVCDVCZVFSTVJBUUDVKVCZUUMUUAUUCVJUQZVMZUUGUUTU
      QZVMZUUNLUULHVCZUUSUUBUULLHVNUVDUVEQIGVCZUUQOVCZUULHVCUVFUULHVCZUUQUULHVC
      ZOVCZUUSUVDLUVGUULHLUVGVFUVDUMVOVPUVDRVQUTZRHOUVFUUQUULUVKWDZUIULUVDYREVR
      UQZVMZRVRUQZUUAUVNUVAUVCYRYSUVNYTYSUVMYREVSZVTWAZWBRCEPUCUDWCZWEUUAUVFUVK
      UQZUVAUVCYRYSUVSYTYRYSVMZRWFUQZQRWGUTZVQUTZUQIUVKUQZUVSYSYRUVMUWAUVPRCEPU
      CUDWHWIUVTQCVQUTZUWCUVTUVMQUWEUQYSUVMYRUVPWJUWECEQUFUCUWEWDWKWEUVTCUWBVQY
      SYRCURUQZCUWBVFCEUCWLZRCPURUDWMWIWOWNUVTUVOUWDYSYRUVMUVOUVPUVRWIZUVKRIUVL
      UJWPWEQGUWBUWCUVKRIUVLUWBWDUHUWCWDWQWRWAWBUUAUUQUVKUQZUVAUVCYSYRUVMYTUWIU
      VPABRCEFNPUEUAUBUCUDWSWTWBUVDUVKUORUUDUUJUVLUUARXAUQZUVAUVCYRYSUWJYTUVTUV
      OUWJUWHRXDWEWAWBUVDVAUUCXBUVDUUJUVKUQZUOUUDUVDUUEUUDUQZVMUVNUUHBUQZUUEXEU
      QZUWKUUAUVNUVAUVCUWLUVQXCUVDUWLUWMUVCUWLUWMXFZUVBUVCUUDBUUGXGZUWOUUGBUUDX
      HUWPUWLUWMUUDBUUEUUGXIXJWEWJXKUWLUWNUVDUUEUUCXOWJAUVKRCEFKGBUUEUUHPQUAUBU
      EUCUDUVLUHUGUFXLXMXNXPXQUVDUVJUVFRJUUDUUPUURGVCZVDZVEVCZHVCZUUQUWSHVCZOVC
      ZUUSUVHUWTUVIUXAOUULUWSUVFHUUKUWRRVEUOJUUDUUJUWQUOJYMUUFUUPUUIUURGUUEUUOQ
      KYCUUEUUOFUUGXRXSXTYDZYDUULUWSUUQHUXCYDYAUUAUVAUVCUXBUUSVFABCDEFGHIJKNOPQ
      RSTUAUBUCUDUEUFUGUHUIUJUKULYBYEYFYGYHYRYSYTUUBUVKUQUUMTUUTYISVJYIUUAUVKUV
      KLMYSYRUVKUVKMXGZYTYSUWFUXDUWGRUVKCMPUDUNUVLYJWEYKYSYRUVMYTLUVKUQUVPABCEF
      GILNOPQRUAUBUCUDUFUEULUHUJUMYNWTYLAUVKRBCEFTUOKGUUBPQSUCUDUVLUHUGUFUEUAUB
      YOYPYQ $.

    $d G i $.  $d .X. n $.  $d .0. n $.  $d .- n $.
    cpmadugsum.0 $e |- .0. = ( 0g ` Y ) $.
    cpmadugsum.g2 $e |- G = ( n e. NN0
          |-> if ( n = 0 , ( .0. .- ( ( T ` M ) .X. ( T ` ( b ` 0 ) ) ) ) ,
                   if ( n = ( s + 1 ) , ( T ` ( b ` s ) ) ,
                        if ( ( s + 1 ) < n , .0. ,
                          ( ( T ` ( b ` ( n - 1 ) ) )
                            .- ( ( T ` M ) .X. ( T ` ( b ` n ) ) ) ) ) ) ) ) $.
    $( The product of the characteristic matrix of a given matrix and its
       adjunct represented as an infinite sum.  (Contributed by AV,
       10-Nov-2019.) $)
    cpmadugsum $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                         -> E. s e. NN E. b e. ( B ^m ( 0 ... s ) )
              ( I .X. ( J ` I ) ) = ( Y gsum ( i e. NN0
                                      |-> ( ( i .^ X ) .x. ( G ` i ) ) ) ) ) $=
      ( cfn wcel ccrg w3a cfv co c1 cfz cmin cmpt cgsu caddc cc0 wceq cmap wrex
      cv cn cpmadugsumfi wa simpr chfacfscmulgsum eqcomd adantr eqtrd reximdvva
      cn0 ex mpd ) RUTVAEVBVAPBVAVCZNNOVDHVEZTJVFUBVPZVGVEJVPZSLVEZWLVFVHVEUCVP
      ZVDFVDPFVDZWLWNVDFVDHVEQVEGVEVIVJVEWKVFVKVESLVEWKWNVDFVDGVEWOVLWNVDFVDHVE
      QVEDVEZVMZUCBVLWKVGVEVNVEZVOUBVQVOWJTJWFWMWLMVDGVEVIVJVEZVMZUCWRVOUBVQVOA
      BCDEFGHIJLNOPQRSTUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQVRWIWQWTUBUCVQWRWIWKVQVA
      WNWRVAVSVSZWQWTXAWQVSWJWPWSXAWQVTXAWPWSVMWQXAWSWPABCDEFGHJKLMPQRSTUAUBUCU
      DUEUFUGULUOURUHUSUIUKUJUNWAWBWCWDWGWEWH $.

    cpmidgsum2.c $e |- C = ( N CharPlyMat R ) $.
    cpmidgsum2.k $e |- K = ( C ` M ) $.
    ${
      cpmidgsum2.h $e |- H = ( K .x. .1. ) $.
      $( Representation of the identity matrix multiplied with the
         characteristic polynomial of a matrix as another group sum.
         (Contributed by AV, 10-Nov-2019.) $)
      cpmidgsum2 $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
           -> E. s e. NN E. b e. ( B ^m ( 0 ... s ) )
              H = ( Y gsum ( i e. NN0 |-> ( ( i .^ X ) .x. ( G ` i ) ) ) ) ) $=
        ( cfn wcel ccrg w3a cfv cn0 cmpt cgsu wceq cc0 cfz cmap wrex cpmadugsum
        co cv cn wa cmdat cbs cgrp crg crngring anim2i 3adant3 pmatring ringgrp
        3syl clmod csca pmatlmod sylan2 adantl eqid syl ply1crng matsca2 fveq2d
        eleqtrd ringidcl lmodvscl syl3anc mat2pmatbas syl3an2 grpsubcl 3ad2ant2
        vr1cl madurid syl2anc id fveq2 oveq12d chpmatval syl5eq oveq1d 3eqtr4rd
        mp1i adantr simpr eqtrd ex reximdv mpd ) UAVFVGZFVHVGZSBVGZVIZPPQVJZIVT
        ZUCKVKKWAZUBMVTYONVJHVTVLVMVTZVNZUFBVOUEWAVPVTVQVTZVRZUEWBVROYPVNZUFYRV
        RZUEWBVRABDEFGHIJKLMNPQSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVS
        YLYSUUAUEWBYLYQYTUFYRYLYQYTYLYQWCOYNYPYLOYNVNYQYLUBJHVTZSGVJZTVTZUUDQVJ
        ZIVTZUUDUADWDVTZVJZJHVTZYNOYLUUDUCWEVJZVGZDVHVGZUUFUUIVNYLUCWFVGZUUBUUJ
        VGZUUCUUJVGZUUKYLYIFWGVGZWCZUCWGVGZUUMYIYJUUQYKYJUUPYIFWHZWIZWJUCDFUAUI
        UJWKZUCWLWMYIYJUUNYKYIYJWCZUCWNVGZUBUCWOVJZWEVJZVGJUUJVGZUUNYJYIUUPUVCU
        USUCDFUAUIUJWPWQUVBUBDWEVJZUVEUVBUUPUBUVGVGYJUUPYIUUSWRUVGDFUBULUIUVGWS
        XLWTUVBDUVDWEYJYIUULDUVDVNDFUIXAZUCDUAVHUJXBWQXCXDUVBUUQUURUVFUUTUVAUUJ
        UCJUUJWSZUPXEWMUBHUVDUVEUUJUCJUVIUVDWSUNUVEWSXFXGWJYJYIUUPYKUUOUUSABUCD
        FGSUAUKUGUHUIUJXHXIUUJUCTUUBUUCUVIURXJXGYJYIUULYKUVHXKUCUUJUUGDHIJQUUDU
        AUJUVIUTUUGWSZUPUOUNXMXNPUUDVNZYNUUFVNYLUSUVKPUUDYMUUEIUVKXOPUUDQXPXQYB
        YLORJHVTUUIVEYLRUUHJHYLRSCVJUUHVDABCUUGDFGHJSTUAVHUBUCVCUGUHUIUJUVJURUL
        UNUKUPXRXSXTXSYAYCYLYQYDYEYFYGYGYH $.
    $}

    $d A i $.  $d K i $.
    cpmidg2sum.u $e |- U = ( algSc ` P ) $.
    $( Equality of two sums representing the identity matrix multiplied with
       the characteristic polynomial of a matrix.  (Contributed by AV,
       11-Nov-2019.) $)
    cpmidg2sum $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
             -> E. s e. NN E. b e. ( B ^m ( 0 ... s ) )
                ( Y gsum ( i e. NN0 |-> ( ( i .^ X )
                             .x. ( ( U ` ( ( coe1 ` K ) ` i ) ) .x. .1. ) ) ) )
                = ( Y gsum ( i e. NN0 |-> ( ( i .^ X ) .x. ( G ` i ) ) ) ) ) $=
      ( cfn wcel ccrg w3a co cn0 cv cfv cmpt cgsu wceq cco1 cn cc0 cmap wa eqid
      cfz cpmidgsum eqcomd ad3antrrr simpr eqtrd cpmidgsum2 reximddv2 ) UAVFVGF
      VHVGSBVGVIZRKHVJZUCLVKLVLZUBNVJZWMOVMHVJVNVOVJZVPZUCLVKWNWMRVQVMVMJVMKHVJ
      HVJVNVOVJZWOVPUEUFVRBVSUEVLZWCVJVTVJZWKWRVRVGZWAUFVLWSVGZWAZWPWAWQWLWOWKW
      QWLVPWTXAWPWKWLWQABCDFHJKLNWLRSUAUBUCUGUHUIUJULUMUNUPVEVCVDWLWBZWDWEWFXBW
      PWGWHABCDEFGHIKLMNOWLPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCV
      DXCWIWJ $.
  $}

  ${
    $d B n $.  $d M n $.  $d N n $.  $d R n $.  $d S n $.  $d Y n $.  $d b n $.
    $d s n $.
    cpmadumatpoly.a $e |- A = ( N Mat R ) $.
    cpmadumatpoly.b $e |- B = ( Base ` A ) $.
    cpmadumatpoly.p $e |- P = ( Poly1 ` R ) $.
    cpmadumatpoly.y $e |- Y = ( N Mat P ) $.
    cpmadumatpoly.t $e |- T = ( N matToPolyMat R ) $.
    cpmadumatpoly.r $e |- .X. = ( .r ` Y ) $.
    cpmadumatpoly.m0 $e |- .- = ( -g ` Y ) $.
    cpmadumatpoly.0 $e |- .0. = ( 0g ` Y ) $.
    cpmadumatpoly.g $e |- G = ( n e. NN0
          |-> if ( n = 0 , ( .0. .- ( ( T ` M ) .X. ( T ` ( b ` 0 ) ) ) ) ,
                   if ( n = ( s + 1 ) , ( T ` ( b ` s ) ) ,
                        if ( ( s + 1 ) < n , .0. ,
                          ( ( T ` ( b ` ( n - 1 ) ) )
                            .- ( ( T ` M ) .X. ( T ` ( b ` n ) ) ) ) ) ) ) ) $.
    cpmadumatpoly.s $e |- S = ( N ConstPolyMat R ) $.
    cpmadumatpoly.m1 $e |- .x. = ( .s ` Y ) $.
    cpmadumatpoly.1 $e |- .1. = ( 1r ` Y ) $.
    cpmadumatpoly.z $e |- Z = ( var1 ` R ) $.
    cpmadumatpoly.d $e |- D = ( ( Z .x. .1. ) .- ( T ` M ) ) $.
    cpmadumatpoly.j $e |- J = ( N maAdju P ) $.
    cpmadumatpoly.w $e |- W = ( Base ` Y ) $.
    cpmadumatpoly.q $e |- Q = ( Poly1 ` A ) $.
    cpmadumatpoly.x $e |- X = ( var1 ` A ) $.
    cpmadumatpoly.m2 $e |- .* = ( .s ` Q ) $.
    cpmadumatpoly.e $e |- .^ = ( .g ` ( mulGrp ` Q ) ) $.
    cpmadumatpoly.u $e |- U = ( N cPolyMatToMat R ) $.
    $( Lemma 1 for ~ cpmadumatpoly .  (Contributed by AV, 20-Nov-2019.)
       (Revised by AV, 15-Dec-2019.) $)
    cpmadumatpolylem1 $p |- ( ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                                  /\ s e. NN ) /\ b e. ( B ^m ( 0 ... s ) ) )
                              -> ( U o. G ) e. ( B ^m NN0 ) ) $=
      ( cfn wcel ccrg w3a cv cn wa cc0 cfz co cmap cn0 wf crg crngring 3ad2ant2
      simp1 jca ad2antrr cpm2mf syl chfacfisfcpmat syl3anl2 anassrs fco syl2anc
      ccom cvv wb cbs fvexi nn0ex pm3.2i elmapg mp1i mpbird ) TVIVJZFVKVJZRBVJZ
      VLZUFVMZVNVJZVOUGVMBVPXIVQVRVSVRVJZVOZKOWOZBVTVSVRVJZVTBXMWAZXLGBKWAZVTGO
      WAZXOXLXEFWBVJZVOZXPXHXSXJXKXHXEXRXEXFXGWEXFXEXRXGFWCZWDWFWGAFGKBTUHUIUQV
      HWHWIXHXJXKXQXFXEXRXGXJXKVOXQXTABDFGHJMORSTUCUDUFUGUHUIUJUKUMUNUOULUPUQWJ
      WKWLVTGBKOWMWNBWPVJZVTWPVJZVOXNXOWQXLYAYBBAWRUIWSWTXABVTXMWPWPXBXCXD $.

    $( Lemma 2 for ~ cpmadumatpoly .  (Contributed by AV, 20-Nov-2019.)
       (Revised by AV, 15-Dec-2019.) $)
    cpmadumatpolylem2 $p |- ( ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                                  /\ s e. NN ) /\ b e. ( B ^m ( 0 ... s ) ) )
                              -> ( U o. G ) finSupp ( 0g ` A ) ) $=
      ( cfn wcel ccrg w3a cv cn wa cc0 cfz co cmap cn0 cvv c0g cfv crg crngring
      fvexd anim2i 3adant3 ad2antrr 0elcpmat wf chfacfisfcpmat syl3anl2 anassrs
      syl cpm2mf ssidd nn0ex a1i ccpmat ovexi cfsupp chfacffsupp wceq m2cpminv0
      wbr eqid sylan2 fsuppcor ) TVIVJZFVKVJZRBVJZVLZUFVMZVNVJZVOUGVMBVPXNVQVRV
      SVRVJZVOZVTGGBWAOKWAWAAWBWCZUCWBWCZXQAWBWFXQXJFWDVJZVOZXSGVJXMYAXOXPXJXKY
      AXLXKXTXJFWEZWGWHWIZUCDFGTUQUJUKWJWOXMXOXPVTGOWKZXKXJXTXLXOXPVOYDYBABDFGH
      JMORSTUCUDUFUGUHUIUJUKUMUNUOULUPUQWLWMWNXQYAGBKWKYCAFGKBTUHUIUQVHWPWOXQGW
      QVTWAVJXQWRWSGWAVJXQGTFWTUQXAWSXMXOXPOXSXBXFABDFHJMORSTUCUDUFUGUHUIUJUKUM
      UNUOULUPXCWNXMXSKWCXRXDZXOXPXJXKYEXLXKXJXTYEYBAUCDFKTXRXSUHVHUJUKXRXGXSXG
      XEXHWHWIXI $.

    $d A b s z $.  $d A n $.  $d B b s z $.  $d D b s z $.  $d D n $.
    $d G n $.  $d I n $.  $d J b s z $.  $d J n $.  $d M b s z $.
    $d N b s z $.  $d P n $.  $d P b s z $.  $d R b s z $.  $d T b s z $.
    $d T n $.  $d U n $.  $d W n $.  $d Y b s z $.  $d Z b s z $.  $d Z n $.
    $d .X. n z $.  $d .x. b s z $.  $d .x. n $.  $d .1. n $.  $d .0. n z $.
    $d .- n z $.  $d .1. n $.  $d .x. b n s z $.  $d .- n z $.
    cpmadumatpoly.i $e |- I = ( N pMatToMatPoly R ) $.
    $( The product of the characteristic matrix of a given matrix and its
       adjunct represented as a polynomial over matrices.  (Contributed by AV,
       20-Nov-2019.)  (Revised by AV, 7-Dec-2019.) $)
    cpmadumatpoly $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                         -> E. s e. NN E. b e. ( B ^m ( 0 ... s ) )
                              ( I ` ( D .X. ( J ` D ) ) ) = ( Q gsum ( n e. NN0
                               |-> ( ( U ` ( G ` n ) ) .* ( n .^ X ) ) ) ) ) $=
      ( vz cfn wcel ccrg w3a cfv co cn0 cv cmgp cmg cmpt cgsu wceq cc0 cfz cmap
      wrex cn cplusg eqid c1 caddc clt wbr cmin cif eqeq1 fvoveq1 fveq2d 2fveq3
      breq2 oveq2d oveq12d ifbieq2d cbvmptv eqtri cpmadugsum wa simp1 ad3antrrr
      crg crngring 3ad2ant2 chfacfisfcpmat syl3anl2 anassrs m2cpminvid2 syl3anc
      ffvelrnda eqcomd mpteq2dva eqeq2d fveq2 ccom c0g cfsupp cpmadumatpolylem1
      wf 3simpa ad2antrr cpmadumatpolylem2 pm2mp syl12anc fvco3 sylan sylan9eqr
      oveq1d 3eqtr4d reximdva ex sylbid mpd ) UAVLVMZFVNVMZSBVMZVOZCCRVPJVQZUDM
      VRMVSZUFDVTVPWAVPZVQZUUIOVPZIVQZWBZWCVQZWDZUHBWEUGVSZWFVQWGVQZWHZUGWIWHUU
      HPVPZEMVRUULKVPZUUIUCNVQZQVQZWBZWCVQZWDZUHUURWHZUGWIWHABDUDWJVPZFHIJLMVKU
      UJOCRSTUAUFUDUEUGUHUIUJUKULUMVAUUJWKZUSUNUTUVHWKUOVBVCUPOMVRUUIWEWDZUESHV
      PZWEUHVSZVPHVPJVQTVQZUUIUUQWLWMVQZWDZUUQUVLVPHVPZUVNUUIWNWOZUEUUIWLWPVQUV
      LVPZHVPZUVKUUIUVLVPHVPZJVQZTVQZWQZWQZWQZWBVKVRVKVSZWEWDZUVMUWFUVNWDZUVPUV
      NUWFWNWOZUEUWFWLWPVQUVLVPZHVPZUVKUWFUVLVPHVPZJVQZTVQZWQZWQZWQZWBUQMVKVRUW
      EUWQUUIUWFWDZUVJUWGUWDUWPUVMUUIUWFWEWRUWRUVOUWHUWCUWOUVPUUIUWFUVNWRUWRUVQ
      UWIUWBUWNUEUUIUWFUVNWNXBUWRUVSUWKUWAUWMTUWRUVRUWJHUUIUWFWLUVLWPWSWTUWRUVT
      UWLUVKJUUIUWFHUVLXAXCXDXEXEXEXFXGXHUUGUUSUVGUGWIUUGUUQWIVMZXIZUUPUVFUHUUR
      UWTUVLUURVMZXIZUUPUUHUDMVRUUKUVAHVPZIVQZWBZWCVQZWDZUVFUXBUUOUXFUUHUXBUUNU
      XEUDWCUXBMVRUUMUXDUXBUUIVRVMZXIZUULUXCUUKIUXIUXCUULUXIUUDFXLVMZUULGVMUXCU
      ULWDUUGUUDUWSUXAUXHUUDUUEUUFXJXKUUGUXJUWSUXAUXHUUEUUDUXJUUFFXMZXNXKUXBVRG
      UUIOUUGUWSUXAVRGOYIZUUEUUDUXJUUFUWSUXAXIUXLUXKABDFGHJMOSTUAUDUEUGUHUIUJUK
      ULUNUOUPUMUQURXOXPXQZXTFGHKUULUAURVIUMXRXSYAXCYBXCYCUXBUXGUVFUXGUXBUUTUXF
      PVPZUVEUUHUXFPYDUXBUDMVRUUKUUIKOYEZVPZHVPZIVQZWBZWCVQZPVPZEMVRUXPUVBQVQZW
      BZWCVQZUXNUVEUXBUUDUUEXIZUXOBVRWGVQVMUXOAYFVPYGWOUYAUYDWDUUGUYEUWSUXAUUDU
      UEUUFYJYKABCDEFGHIJKLMNOQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBV
      CVDVEVFVGVHVIYHABCDEFGHIJKLMNOQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSU
      TVAVBVCVDVEVFVGVHVIYLAUBUDDEFHIMUUJNPQBUXOUAUCUFUKULVDVGVHVFUIUJVEVJUVIVA
      USUMYMYNUXBUXFUXTPUXBUXEUXSUDWCUXBMVRUXDUXRUXIUXCUXQUUKIUXIUVAUXPHUXBUXLU
      XHUVAUXPWDUXMUXLUXHXIUXPUVAVRGUUIKOYOYAYPZWTXCYBXCWTUXBUVDUYCEWCUXBMVRUVC
      UYBUXIUVAUXPUVBQUYFYRYBXCYSYQUUAUUBYTYTUUC $.
  $}

  ${
    cayhamlem2.k $e |- K = ( Base ` R ) $.
    cayhamlem2.a $e |- A = ( N Mat R ) $.
    cayhamlem2.b $e |- B = ( Base ` A ) $.
    cayhamlem2.1 $e |- .1. = ( 1r ` A ) $.
    cayhamlem2.m $e |- .* = ( .s ` A ) $.
    cayhamlem2.e $e |- .^ = ( .g ` ( mulGrp ` A ) ) $.
    cayhamlem2.r $e |- .x. = ( .r ` A ) $.
    $( Lemma for ~ cayhamlem3 .  (Contributed by AV, 24-Nov-2019.) $)
    cayhamlem2 $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                           /\ ( H e. ( K ^m NN0 ) /\ L e. NN0 ) )
                         -> ( ( H ` L ) .* ( L .^ M ) )
                            = ( ( L .^ M ) .x. ( ( H ` L ) .* .1. ) ) ) $=
      ( wcel cfn ccrg w3a cn0 cmap co wa cfv cascl csca elmapi ffvelrnda adantl
      cbs wceq matsca2 3adant3 fveq2d eqtr2id eleq2d adantr mpbird eqid asclval
      syl eqcomd oveq2d casa matassa cmgp cmnd crg crngring anim2i matring 3syl
      wb ringmgp simprr simpl3 mgpbas mulgnn0cl syl3anc asclmul2 eqtr2d ) LUATZ
      CUBTZKBTZUCZGIUDUEUFTZJUDTZUGZUGZJKFUFZJGUHZEHUFZDUFWNWOAUIUHZUHZDUFZWOWN
      HUFZWMWPWRWNDWMWRWPWMWOAUJUHZUNUHZTZWRWPUOWMXCWOITZWLXDWIWJUDIJGGIUDUKULU
      MWIXCXDVQWLWIXBIWOWIICUNUHXBMWICXAUNWFWGCXAUOWHACLUBNUPUQURUSUTVAVBZWQHEX
      AXBAWOWQVCZXAVCZXBVCZQPVDVEVFVGWMAVHTZXCWNBTZWSWTUOWIXIWLWFWGXIWHACLNVIUQ
      VAXEWMAVJUHZVKTZWKWHXJWIXLWLWIWFCVLTZUGZAVLTXLWFWGXNWHWGXMWFCVMVNUQACLNVO
      AXKXKVCZVRVPVAWIWJWKVSWFWGWHWLVTBFXKJKBAXKXOOWARWBWCWQWOHDXAXBBAWNXFXGXHO
      SQWDWCWE $.
  $}

  ${
    $d A l n $.  $d B l n $.  $d G l n $.  $d K l n $.  $d M l n $.
    $d N l n $.  $d R l n $.  $d U l n $.  $d Y n $.  $d .1. l n $.
    $d .* l n $.  $d b l n $.  $d l n s $.
    chcoeffeq.a $e |- A = ( N Mat R ) $.
    chcoeffeq.b $e |- B = ( Base ` A ) $.
    chcoeffeq.p $e |- P = ( Poly1 ` R ) $.
    chcoeffeq.y $e |- Y = ( N Mat P ) $.
    chcoeffeq.r $e |- .X. = ( .r ` Y ) $.
    chcoeffeq.s $e |- .- = ( -g ` Y ) $.
    chcoeffeq.0 $e |- .0. = ( 0g ` Y ) $.
    chcoeffeq.t $e |- T = ( N matToPolyMat R ) $.
    chcoeffeq.c $e |- C = ( N CharPlyMat R ) $.
    chcoeffeq.k $e |- K = ( C ` M ) $.
    chcoeffeq.g $e |- G = ( n e. NN0
          |-> if ( n = 0 , ( .0. .- ( ( T ` M ) .X. ( T ` ( b ` 0 ) ) ) ) ,
                   if ( n = ( s + 1 ) , ( T ` ( b ` s ) ) ,
                        if ( ( s + 1 ) < n , .0. ,
                          ( ( T ` ( b ` ( n - 1 ) ) )
                            .- ( ( T ` M ) .X. ( T ` ( b ` n ) ) ) ) ) ) ) ) $.
    chcoeffeq.w $e |- W = ( Base ` Y ) $.
    chcoeffeq.1 $e |- .1. = ( 1r ` A ) $.
    chcoeffeq.m $e |- .* = ( .s ` A ) $.
    chcoeffeq.u $e |- U = ( N cPolyMatToMat R ) $.
    $( Lemma for ~ chcoeffeq .  (Contributed by AV, 21-Nov-2019.)  (Proof
       shortened by AV, 7-Dec-2019.)  (Revised by AV, 15-Dec-2019.) $)
    chcoeffeqlem $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                             /\ ( s e. NN /\ b e. ( B ^m ( 0 ... s ) ) ) )
      -> ( ( ( Poly1 ` A ) gsum ( n e. NN0
             |-> ( ( U ` ( G ` n ) ) ( .s ` ( Poly1 ` A ) )
                   ( n ( .g ` ( mulGrp ` ( Poly1 ` A ) ) ) ( var1 ` A ) ) ) ) )
           = ( ( Poly1 ` A ) gsum ( n e. NN0
               |-> ( ( ( ( coe1 ` K ) ` n ) .* .1. ) ( .s ` ( Poly1 ` A ) )
                   ( n ( .g ` ( mulGrp ` ( Poly1 ` A ) ) ) ( var1 ` A ) ) ) ) )
                         -> A. n
                            e. NN0
                                 ( U ` ( G ` n ) )
                               = ( ( ( coe1 ` K ) ` n ) .* .1. ) ) ) $=
      ( vl cfn wcel ccrg w3a cv cn cc0 cfz co cmap wa cpl1 cfv cn0 cv1 cmgp cmg
      cvsca cmpt cgsu cco1 wceq wral c0g eqid crg matring sylan2 3adant3 adantr
      crngring ccom cur ccpmat cmadu cpmadumatpolylem1 anasss wf chfacfisfcpmat
      fvco3 eqcomd sylan elmapi adantl ffvelrnda eqeltrd ralrimiva mpdan cfsupp
      syl3anl2 anim2i cpm2mf syl syl2anc wbr cpmadumatpolylem2 eqbrtrrd simpll1
      fcompt cbs 3ad2ant2 ad2antrr chpmatply1 eqeltrid adantlr ringidcl matvscl
      coe1fvalcl syl22anc cvv csca nn0ex a1i clmod matlmod eqidd fvexd eqeltrrd
      matsca2 fveq2d oveq12d cbvmptv oveq2i eqtr4di eleqtrrd mptcoe1fsupp oveq1
      mptscmfsupp0 2fveq3 oveq1d gsumply1eq biimpa eqeq12d cbvralvw sylibr ex
      fveq2 ) PURUSZEUTUSZNBUSZVAZTVBZVCUSZUAVBBVDUUSVEVFVGVFUSZVHZVHZAVIVJZJVK
      JVBZKVJHVJZUVEAVLVJZUVDVMVJVNVJZVFZUVDVOVJZVFZVPZVQVFZUVDJVKUVEMVRVJZVJZI
      LVFZUVIUVJVFZVPZVQVFZVSZUVFUVPVSZJVKVTZUVCUVTVHUQVBZKVJHVJZUWCUVNVJZILVFZ
      VSZUQVKVTZUWBUVCUVTUWHUVCUWDUWFUVDUVSAUQUVHUVJBUVMUVGAWAVJZUVDWBZUVGWBZUV
      HWBZUURAWCUSZUVBUUOUUPUWMUUQUUPUUOEWCUSZUWMEWHZAEPUBWDWEWFZWGUCUVJWBZUWIW
      BZUVCHKWIZBVKVGVFUSZUWDBUSZUQVKVTUURUUTUVAUWTABEVLVJZRWJVJZRVOVJZVFNFVJOV
      FZDUVDEPEWKVFZFUXDGHUXCJUVHKUVJPDWLVFZNOPQUVGRSUXBTUAUBUCUDUEUIUFUGUHULUX
      FWBZUXDWBZUXCWBZUXBWBZUXEWBZUXGWBZUMUWJUWKUWQUWLUPWMWNUVCUWTVHZUXAUQVKUXN
      UWCVKUSZVHUWDUWCUWSVJZBUXNVKUXFKWOZUXOUWDUXPVSUVCUXQUWTUUPUUOUWNUUQUVBUXQ
      UWOABDEUXFFGJKNOPRSTUAUBUCUDUEUFUGUHUIULUXHWPXGZWGUXQUXOVHUXPUWDVKUXFUWCH
      KWQWRWSUXNVKBUWCUWSUWTVKBUWSWOUVCUWSBVKWTXAXBXCXDXEUVCUWSUQVKUWDVPZUWIXFU
      VCUXFBHWOZUXQUWSUXSVSUVCUUOUWNVHZUXTUURUYAUVBUUOUUPUYAUUQUUPUWNUUOUWOXHWF
      WGAEUXFHBPUBUCUXHUPXIXJUXRUQHKVKUXFBXPXKUURUUTUVAUWSUWIXFXLABUXEDUVDEUXFF
      UXDGHUXCJUVHKUVJUXGNOPQUVGRSUXBTUAUBUCUDUEUIUFUGUHULUXHUXIUXJUXKUXLUXMUMU
      WJUWKUWQUWLUPXMWNXNUVCUWFBUSZUQVKUVCUXOVHZUUOUWNUWEEXQVJZUSZIBUSZUYBUUOUU
      PUUQUVBUXOXOUURUWNUVBUXOUUPUUOUWNUUQUWOXRZXSUURUXOUYEUVBUURMDXQVJZUSUXOUY
      EUURMNCVJUYHUKABCDEUYHNPUJUBUCUDUYHWBZXTYAZUVNUYHDEMUYDUWCUVNWBUYIUDUYDWB
      ZYEWSYBUURUYFUVBUXOUURUWMUYFUWPBAIUCUNYCXJXSZABUWEELUYDPIUYKUBUCUOYDYFXDU
      VCYGVKAAYHVJZUWEUQLBYGIUWIUYMWAVJZVKYGUSUVCYIYJUURAYKUSZUVBUUOUUPUYOUUQUU
      PUUOUWNUYOUWOAEPUBYLWEWFWGUVCUYMYMUCUYCUWCUVNYNUYLUWRUYNWBZUOUURUQVKUWEVP
      UYNXFXLZUVBUURUYMWCUSMUYMVIVJZXQVJZUSUYQUUREUYMWCUUOUUPEUYMVSUUQAEPUTUBYP
      WFZUYGYOUURMUYHUYSUYJUURUYRDXQUURUYREVIVJDUURUYMEVIUUREUYMUYTWRYQUDUUAYQU
      UBUYSUYRUYMUQMUYNUYRWBUYSWBUYPUUCXKWGUUEUVMUVDUQVKUWDUWCUVGUVHVFZUVJVFZVP
      ZVQVFVSUVCUVLVUCUVDVQJUQVKUVKVUBUVEUWCVSZUVFUWDUVIVUAUVJUVEUWCHKUUFZUVEUW
      CUVGUVHUUDZYRYSYTYJUVSUVDUQVKUWFVUAUVJVFZVPZVQVFVSUVCUVRVUHUVDVQJUQVKUVQV
      UGVUDUVPUWFUVIVUAUVJVUDUVOUWEILUVEUWCUVNUUNUUGZVUFYRYSYTYJUUHUUIUWAUWGJUQ
      VKVUDUVFUWDUVPUWFVUEVUIUUJUUKUULUUM $.

    $d A b s $.  $d B b s $.  $d M b s $.  $d N b s $.  $d P b n s $.
    $d R b s $.  $d T b n s $.  $d W n $.  $d Y b n s $.  $d .0. n $.
    $d .X. n $.  $d .- b n s $.
    $( The coefficients of the characteristic polynomial multiplied with the
       identity matrix represented by (transformed) ring elements obtained from
       the adjunct of the characteristic matrix.  (Contributed by AV,
       21-Nov-2019.)  (Proof shortened by AV, 8-Dec-2019.)  (Revised by AV,
       15-Dec-2019.) $)
    chcoeffeq $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                    -> E. s e. NN E. b e. ( B ^m ( 0 ... s ) ) A. n e. NN0
                       ( U ` ( G ` n ) ) = ( ( ( coe1 ` K ) ` n ) .* .1. ) ) $=
      ( cfn wcel ccrg w3a cv1 cfv cur cvsca cmadu cpm2mp cpl1 cn0 cmgp cmg cmpt
      co cv cgsu wceq cc0 cfz cmap wrex cn cco1 wral ccpmat cpmadumatpoly wa wi
      eqid cascl cpmidpmat cpmadurid fveq1i eqtri a1i eqcomd oveq1d eqtrd fveq2
      cchpmat simpr adantr eqeq12d chcoeffeqlem sylbid exp31 com24 syl5 ex mp2d
      impl reximdva mpd ) PUQUREUSURNBURUTZEVAVBZRVCVBZRVDVBZVLNFVBOVLZXPPDVEVL
      ZVBGVLZPEVFVLZVBZAVGVBZJVHJVMZKVBHVBZYBAVAVBZYAVIVBVJVBZVLZYAVDVBZVLVKVNV
      LZVOZUABVPTVMZVQVLVRVLZVSZTVTVSYCYBMWAVBVBILVLZVOJVHWBZUAYKVSZTVTVSABXPDY
      AEPEWCVLZFXOGHXNJYEKXSYGXQNOPQYDRSXMTUAUBUCUDUEUIUFUGUHULYPWGXOWGZXNWGZXM
      WGZXPWGZXQWGZUMYAWGZYDWGZYGWGZYEWGZUPXSWGZWDXLYLYOTVTXLYJVTURZWEYIYNUAYKX
      LUUGUAVMYKURZYIYNWFZXLMXNXOVLZXSVBZYAJVHYMYFYGVLVKVNVLZVOZXRUUJVOZUUGUUHW
      EZUUIWFABCDYAEYGFXODWHVBZXNJYEDVIVBVJVBZUUJXSLMNPIQXMRYDUBUCUDUEYSUUQWGYQ
      YRUUPWGUJUKUUJWGUNUOUIUMUUBUUCUUDUUEUUFWIXLXRNPEWRVLZVBZXNXOVLUUJABUURDEF
      XOGXNXPXQNOPXMRUBUCUURWGUDUEYSUIUGYQYRYTUUAUFWJXLUUSMXNXOXLMUUSMUUSVOXLMN
      CVBUUSUKNCUURUJWKWLWMWNWOWPXLUUOUUNUUMUUIXLUUOUUNUUMUUIWFZWFUUNXTUUKVOZXL
      UUOWEZUUTXRUUJXSWQUVBYIUUMUVAYNUVBYIUUMUVAYNWFUVBYIWEZUUMWEZUVAYHUULVOZYN
      UVDXTYHUUKUULUVCYIUUMUVBYIWSWTUVCUUMWSXAUVCUVEYNWFZUUMUVBUVFYIABCDEFGHIJK
      LMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPXBWTWTXCXDXEXFXGXEXHXIXJXJXK $.

    cayhamlem.e1 $e |- .^ = ( .g ` ( mulGrp ` A ) ) $.
    ${
      cayhamlem.r $e |- .x. = ( .r ` A ) $.
      $( Lemma for ~ cayhamlem4 .  (Contributed by AV, 24-Nov-2019.)  (Revised
         by AV, 15-Dec-2019.) $)
      cayhamlem3 $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                         -> E. s e. NN E. b e. ( B ^m ( 0 ... s ) )
        ( A gsum ( n e. NN0 |-> ( ( ( coe1 ` K ) ` n ) .* ( n .^ M ) ) ) )
        = ( A gsum ( n e. NN0 |-> ( ( n .^ M ) .x. ( U ` ( G ` n ) ) ) ) ) ) $=
        ( vl cfn wcel ccrg w3a cv cfv cco1 wceq cn0 wral cc0 cfz cmap wrex cmpt
        co cn cgsu chcoeffeq wa 2fveq3 fveq2 oveq1d eqeq12d cbvralvw wi rspccva
        cbs simprll wf eqid chpmatply1 syl eqeltrid coe1f cvv fvex nn0ex pm3.2i
        elmapg mp1i mpbird simpl cayhamlem2 syl12anc adantl oveq2 adantr eqtr4d
        wb exp32 com12 mpd impl mpteq2dva oveq2d ex syl5bi reximdva ) RVBVCEVDV
        CPBVCVEZKVFZMVGIVGZYBOVHVGZVGZJNVQZVIZKVJVKZUCBVLUBVFZVMVQVNVQZVOZUBVRV
        OAKVJYEYBPLVQZNVQZVPZVSVQAKVJYLYCGVQZVPZVSVQVIZUCYJVOZUBVRVOABCDEFHIJKM
        NOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURVTYAYKYRUBVRYAYIVRVCZWAZYHYQ
        UCYJYHVAVFZMVGIVGZUUAYDVGZJNVQZVIZVAVJVKZYTUCVFYJVCZWAZYQYGUUEKVAVJYBUU
        AVIZYCUUBYFUUDYBUUAIMWBUUIYEUUCJNYBUUAYDWCWDWEWFUUHUUFYQUUHUUFWAZYNYPAV
        SUUJKVJYMYOUUHUUFYBVJVCZYMYOVIZUUFUUKWAZUUHUULUUMYGUUHUULWGZUUEYGVAYBVJ
        UUAYBVIZUUBYCUUDYFUUAYBIMWBUUOUUCYEJNUUAYBYDWCWDWEWHUUKYGUUNWGUUFYGUUKU
        UNYGUUKUUHUULYGUUKUUHWAZWAYMYLYFGVQZYOUUPYMUUQVIZYGUUPYAYDEWIVGZVJVNVQV
        CZUUKUURUUKYAYSUUGWJZUUPUUTVJUUSYDWKZUUPODWIVGZVCUVBUUPOPCVGZUVCUMUUPYA
        UVDUVCVCUVAABCDEUVCPRULUDUEUFUVCWLZWMWNWOYDUVCDEOUUSYDWLUVEUFUUSWLZWPWN
        UUSWQVCZVJWQVCZWAUUTUVBXKUUPUVGUVHEWIWRWSWTUUSVJYDWQWQXAXBXCUUKUUHXDABE
        GJLYDNUUSYBPRUVFUDUEUPUQUSUTXEXFXGYGYOUUQVIUUPYCYFYLGXHXIXJXLXMXGXNXMXO
        XPXQXRXSXTXTXN $.
    $}

    $d A b s w z $.  $d B w z $.  $d G w z $.  $d M w z $.  $d N w z $.
    $d R w z $.  $d U w z $.  $d Y w z $.  $d .^ n w z $.
    cayhamlem.e2 $e |- E = ( .g ` ( mulGrp ` Y ) ) $.
    $( Lemma for ~ cayleyhamilton .  (Contributed by AV, 25-Nov-2019.)
       (Revised by AV, 15-Dec-2019.) $)
    cayhamlem4 $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
                      -> E. s e. NN E. b e. ( B ^m ( 0 ... s ) )
             ( A gsum ( n e. NN0 |-> ( ( ( coe1 ` K ) ` n ) .* ( n .^ M ) ) ) )
             = ( U ` ( Y gsum ( n e. NN0
                       |-> ( ( n E ( T ` M ) ) .X. ( G ` n ) ) ) ) ) ) $=
      ( vz vw cfn wcel ccrg w3a cn0 cv cco1 cfv co cmpt cgsu cmulr wceq cc0 cfz
      cn cmap wa crg simp1 ad2antrr crngring 3ad2ant2 cvv c0g eqid ccmn matring
      id sylan2 ringcmn syl 3adant3 nn0ex syl2anc adantr cmgp ringmgp ad3antrrr
      a1i cmnd simpll3 mgpbas mulgnn0cl syl3anc ccpmat wf cpm2mf chfacfisfcpmat
      simpr simplr syl32anc ffvelrnda ffvelrnd ringcl fmpttd fvexd ovexd cfsupp
      wbr clt csb wi wral wrex chfacffsupp anassrs wb ovex pm3.2i eqtrd oveq12d
      fveq2d jca sylan9eqr oveq2d cmhm eqtr3d elmapg mp1i fsuppmapnn0ub sylancl
      mpbird fvex csbov12g csbov1g csbvarg oveq1d csbfv2g csbfv fveq2 m2cpminv0
      ad2antlr ringrz 3eqtrd ex adantlr imim2d ralimdva syld mptnn0fsupp gsumcl
      reximdva mpd m2cpminvid ringmnd mat2pmatghm ghmmhm gsummptmhm mat2pmatrhm
      pmatring cghm rhmmul mat2pmatmhm mhmmulg m2cpminvid2 mpteq2dva cayhamlem3
      crh reximddv2 ) RVCVDZEVEVDZPBVDZVFZAJVGJVHZOVIVJVJUWGPLVKZNVKVLVMVKZAJVG
      UWHUWGMVJZHVJZAVNVJZVKZVLZVMVKZVOZUWITJVGUWGPFVJKVKZUWJGVKZVLZVMVKZHVJZVO
      UBUCVRBVPUBVHZVQVKVSVKZUWPUWFUXBVRVDZVTZUCVHUXCVDZVTZUWIUWOUXAUWPWKUXGUWO
      FVJZHVJZUWOUXAUXGUWCEWAVDZUWOBVDUXIUWOVOUWFUWCUXDUXFUWCUWDUWEWBZWCZUWFUXJ
      UXDUXFUWDUWCUXJUWEEWDZWEZWCZUXGVGBUWNAWFAWGVJZUEUXPWHZUWFAWIVDZUXDUXFUWCU
      WDUXRUWEUWCUWDVTAWAVDZUXRUWDUWCUXJUXSUXMAERUDWJZWLAWMWNWOWCZVGWFVDZUXGWPX
      BZUXGJVGUWMBUXGUWGVGVDZVTZUXSUWHBVDZUWKBVDZUWMBVDZUXGUXSUYDUXGUWCUXJUXSUX
      LUXOUXTWQZWRUYEAWSVJZXCVDZUYDUWEUYFUWFUYKUXDUXFUYDUWFUXSUYKUWFUWCUXJUXSUX
      KUXNUXTWQZAUYJUYJWHZWTWNZXAUXGUYDXLZUXGUWEUYDUWCUWDUWEUXDUXFXDZWRZBLUYJUW
      GPBAUYJUYMUEXEZUSXFXGZUYEREXHVKZBUWJHUWFUYTBHXIZUXDUXFUYDUWFUWCUXJVUAUXKU
      XNAEUYTHBRUDUEUYTWHZURXJZWQXAUXGVGUYTUWGMUXGUWCUXJUWEUXDUXFVGUYTMXIZUXLUX
      OUYPUWFUXDUXFXMUXEUXFXLABDEUYTFGJMPQRTUAUBUCUDUEUFUGUHUIUJUKUNVUBXKXNZXOZ
      XPBAUWLUWHUWKUEUWLWHZXQZXGXRUXGVAWFUWMJWFUXPVBUXGAWGXSUYEUWHUWKUWLXTUXGMT
      WGVJZYAYBZVBVHZVAVHZYCYBZJVULUWMYDZUXPVOZYEZVAVGYFZVBVGYGZUWFUXDUXFVUJABD
      EFGJMPQRTUAUBUCUDUEUFUGUHUIUJUKUNYHYIUXGVUJVUMVULMVJZVUIVOZYEZVAVGYFZVBVG
      YGZVURUXGMUYTVGVSVKVDZVUIWFVDVUJVVCYEUXGVVDVUDVUEUYTWFVDZUYBVTVVDVUDYJUXG
      VVEUYBREXHYKWPYLUYTVGMWFWFUUAUUBUUETWGUUFVAUYTVBMWFVUIUUCUUDUXGVVBVUQVBVG
      UXGVUKVGVDZVTZVVAVUPVAVGVVGVULVGVDZVTVUTVUOVUMUXGVVHVUTVUOYEVVFUXGVVHVTZV
      UTVUOVVIVUTVTZVUNVULPLVKZVUSHVJZUWLVKZVVKUXPUWLVKZUXPVVHVUNVVMVOUXGVUTVVH
      VUNJVULUWHYDZJVULUWKYDZUWLVKVVMJVULUWHUWKUWLVGUUGVVHVVOVVKVVPVVLUWLVVHVVO
      JVULUWGYDZPLVKVVKJVULUWGPLVGUUHVVHVVQVULPLJVULVGUUIUUJYMVVHVVPJVULUWJYDZH
      VJVVLJVULUWJVGHUUKVVHVVRVUSHVVRVUSVOVVHJVULMUULXBYOYMYNYMUUOVVJVVLUXPVVKU
      WLVUTVVIVVLVUIHVJZUXPVUSVUIHUUMUXEVVSUXPVOZUXFVVHUXEUWCUXJVTZVVTUWFVWAUXD
      UWFUWCUXJUXKUXNYPWRATDEHRUXPVUIUDURUFUGUXQVUIWHUUNWNWCYQYRVVJUXSVVKBVDZVT
      ZVVNUXPVOVVIVWCVUTVVIUXSVWBUXGUXSVVHUYIWRVVIUYKVVHUWEVWBUWFUYKUXDUXFVVHUY
      NXAUXGVVHXLUXGUWEVVHUYPWRBLUYJVULPUYRUSXFXGYPWRBAUWLVVKUXPUEVUGUXQUUPWNUU
      QUURUUSUUTUVAUVEUVBUVFUVCZUVDAEFHBUWORURUDUEUKUVGXGUXGUXHUWTHUXGTJVGUWMFV
      JZVLZVMVKUXHUWTUXGJVGBUWMATFWFUXPUEUXQUYAUWFTXCVDZUXDUXFUWFTWAVDZVWGUWFUW
      CUXJVWHUXKUXNTDERUFUGUVMWQTUVHWNWCUYCUXGFATUVNVKVDZFATYSVKVDUXGUWCUXJVWIU
      XLUXOABTDEFSRUKUDUEUFUGUOUVIWQATFUVJWNUYEUXSUYFUYGUYHUWFUXSUXDUXFUYDUYLXA
      UYSUYEUYTBUWJHUWFVUAUXDUXFUYDUWCUWDVUAUWEUWDUWCUXJVUAUXMVUCWLWOXAVUFXPZVU
      HXGVWDUVKUXGVWFUWSTVMUXGJVGVWEUWRUYEVWEUWHFVJZUWKFVJZGVKZUWRUYEFATUWAVKVD
      ZUYFUYGVWEVWMVOUWFVWNUXDUXFUYDUWCUWDVWNUWEABTDEFSRUKUDUEUFUGUOUVLWOXAUYSV
      WJUWHUWKATUWLGFBUEVUGUHUVOXGUYEVWKUWQVWLUWJGUYEFUYJTWSVJZYSVKVDZUYDUWEVWK
      UWQVOUWFVWPUXDUXFUYDUWCUWDVWPUWEABTDEFSRUKUDUEUFUGUOUVPWOXAUYOUYQBLKFUYJV
      WOUWGPUYRUSUTUVQXGUYEUWCUXJUWJUYTVDVWLUWJVOUWFUWCUXDUXFUYDUXKXAUWFUXJUXDU
      XFUYDUXNXAVUFEUYTFHUWJRVUBURUKUVRXGYNYMUVSYRYTYOYTYQABCDEFUWLGHIJLMNOPQRS
      TUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSVUGUVTUWB $.
  $}

  ${
    $d A b n s $.  $d B b l n s $.  $d C n $.  $d E l n $.  $d G l n $.
    $d K b s $.  $d M b l n s $.  $d N b l n s $.  $d P b n s $.
    $d R b l n s $.  $d T b l n s $.  $d U n $.  $d W n $.  $d Y b l n s $.
    $d Z n $.  $d .* b n s $.  $d .- b l n s $.  $d .0. b s $.  $d .1. n $.
    $d .X. l n $.  $d .^ b n s $.
    cayleyhamilton0.a $e |- A = ( N Mat R ) $.
    cayleyhamilton0.b $e |- B = ( Base ` A ) $.
    cayleyhamilton0.0 $e |- .0. = ( 0g ` A ) $.
    cayleyhamilton0.1 $e |- .1. = ( 1r ` A ) $.
    cayleyhamilton0.m $e |- .* = ( .s ` A ) $.
    cayleyhamilton0.e1 $e |- .^ = ( .g ` ( mulGrp ` A ) ) $.
    cayleyhamilton0.c $e |- C = ( N CharPlyMat R ) $.
    cayleyhamilton0.k $e |- K = ( coe1 ` ( C ` M ) ) $.
    cayleyhamilton0.p $e |- P = ( Poly1 ` R ) $.
    cayleyhamilton0.y $e |- Y = ( N Mat P ) $.
    cayleyhamilton0.r $e |- .X. = ( .r ` Y ) $.
    cayleyhamilton0.s $e |- .- = ( -g ` Y ) $.
    cayleyhamilton0.z $e |- Z = ( 0g ` Y ) $.
    cayleyhamilton0.w $e |- W = ( Base ` Y ) $.
    cayleyhamilton0.e2 $e |- E = ( .g ` ( mulGrp ` Y ) ) $.
    cayleyhamilton0.t $e |- T = ( N matToPolyMat R ) $.
    cayleyhamilton0.g $e |- G = ( n e. NN0
          |-> if ( n = 0 , ( Z .- ( ( T ` M ) .X. ( T ` ( b ` 0 ) ) ) ) ,
                   if ( n = ( s + 1 ) , ( T ` ( b ` s ) ) ,
                        if ( ( s + 1 ) < n , Z ,
                          ( ( T ` ( b ` ( n - 1 ) ) )
                            .- ( ( T ` M ) .X. ( T ` ( b ` n ) ) ) ) ) ) ) ) $.
    cayleyhamilton0.u $e |- U = ( N cPolyMatToMat R ) $.
    $( The Cayley-Hamilton theorem:  A matrix over a commutative ring
       "satisfies its own characteristic equation".  This version of
       ~ cayleyhamilton provides definitions not used in the theorem itself,
       but in its proof to make it clearer, more readable and shorter compared
       with a proof without them (see ~ cayleyhamiltonALT )!  (Contributed by
       AV, 25-Nov-2019.)  (Revised by AV, 15-Dec-2019.) $)
    cayleyhamilton0 $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
          -> ( A gsum ( n e. NN0 |-> ( ( K ` n ) .* ( n .^ M ) ) ) ) = .0. ) $=
      ( vl cfn wcel ccrg w3a cn0 cv cfv cco1 co cmpt cgsu wceq cc0 cmap wrex cn
      cfz cayhamlem4 wa eqcomi a1i fveq1d oveq1d mpteq2dva oveq2d eqeq1d biimpa
      eqid oveq1 fveq2 oveq12d cbvmptv oveq2i cayhamlem1 syl5eq crngring anim2i
      c0g crg 3adant3 m2cpminv0 eqtr4di adantr sylan9eqr mpdan eqtrd rexlimdvva
      syl ex mpd ) RVDVEZEVFVEZPBVEZVGZAJVHJVIZPCVJZVKVJZVJZXRPLVLZNVLZVMZVNVLZ
      TJVHXRPFVJZKVLZXRMVJZGVLZVMZVNVLZHVJZVOZUDBVPUCVIZVTVLVQVLZVRUCVSVRAJVHXR
      OVJZYBNVLZVMZVNVLZUAVOZABCDEFGHIJKLMNXSPQRSTUBUCUDUEUFUMUNUOUPUQUTUKXSWKV
      AURUHUIVBUJUSWAXQYMYTUCUDVSYOXQYNVSVEUDVIYOVEWBZWBZYMYTUUBYMWBYSYLUAUUBYM
      YSYLVOUUBYEYSYLUUBYDYRAVNUUBJVHYCYQUUBXRVHVEWBZYAYPYBNUUCXRXTOXTOVOUUCOXT
      ULWCWDWEWFWGWHWIWJUUBYLUAVOZYMUUBYKUBVOZUUDUUBYKTVCVHVCVIZYFKVLZUUFMVJZGV
      LZVMZVNVLUBYJUUJTVNJVCVHYIUUIXRUUFVOYGUUGYHUUHGXRUUFYFKWLXRUUFMWMWNWOWPAB
      DEFGVCJKMPQRTUBUCUDUEUFUMUNUOUPUQUTVAUSWQWRUUEUUBYLUBHVJZUAYKUBHWMXQUUKUA
      VOUUAXQUUKAXAVJZUAXQXNEXBVEZWBZUUKUULVOXNXOUUNXPXOUUMXNEWSWTXCATDEHRUULUB
      UEVBUMUNUULWKUQXDXKUGXEXFXGXHXFXIXLXJXM $.
  $}

  ${
    $d A b m n s x y $.  $d B b m n s x y $.  $d C n $.  $d K b s x y $.
    $d M b m n s x y $.  $d M b l n s x y $.  $d N b m n s x y $.  $d N l $.
    $d R b m n s x y $.  $d R l $.  $d .0. b s x y $.  $d .* m n s x y $.
    $d .* b $.  $d .^ b m n s x y $.
    cayleyhamilton.a $e |- A = ( N Mat R ) $.
    cayleyhamilton.b $e |- B = ( Base ` A ) $.
    cayleyhamilton.0 $e |- .0. = ( 0g ` A ) $.
    cayleyhamilton.c $e |- C = ( N CharPlyMat R ) $.
    cayleyhamilton.k $e |- K = ( coe1 ` ( C ` M ) ) $.
    cayleyhamilton.m $e |- .* = ( .s ` A ) $.
    cayleyhamilton.e $e |- .^ = ( .g ` ( mulGrp ` A ) ) $.
    $( The Cayley-Hamilton theorem:  A matrix over a commutative ring
       "satisfies its own characteristic equation", see theorem 7.8 in [Roman]
       p. 170 (without proof!), or theorem 3.1 in [Lang] p. 561.  In other
       words, a matrix over a commutative ring "inserted" into its
       characteristic polynomial results in zero.  This is Metamath 100 proof
       #49.  (Contributed by Alexander van der Vekens, 25-Nov-2019.) $)
    cayleyhamilton $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
          -> ( A gsum ( n e. NN0 |-> ( ( K ` n ) .* ( n .^ M ) ) ) ) = .0. ) $=
      ( cfv co vl vy vx cpl1 cmat2pmat cmat cmulr ccpmat2mat cur cmg cn0 cv cc0
      cmgp wceq c0g csg c1 caddc clt wbr cmin cif cmpt eqid eqeq1 breq2 fvoveq1
      cbs fveq2d 2fveq3 oveq2d oveq12d ifbieq2d cbvmptv cayleyhamilton0 ) ABCDU
      DSZDJDUETZJVQUFTZUGSZJDUHTZAUISZEVSUNSUJSZFUAUKUAULZUMUOZVSUPSZIVRSZUMUBU
      LZSVRSVTTVSUQSZTZWDUCULZURUSTZUOZWKWHSVRSZWLWDUTVAZWFWDURVBTWHSZVRSZWGWDW
      HSVRSZVTTZWITZVCZVCZVCZVDGHIWIJVSVISZVSKWFUCUBLMNWBVEQROPVQVEVSVEVTVEWIVE
      WFVEXDVEWCVEVRVEUAEUKXCEULZUMUOZWJXEWLUOZWNWLXEUTVAZWFXEURVBTWHSZVRSZWGXE
      WHSVRSZVTTZWITZVCZVCZVCWDXEUOZWEXFXBXOWJWDXEUMVFXPWMXGXAXNWNWDXEWLVFXPWOX
      HWTXMWFWDXEWLUTVGXPWQXJWSXLWIXPWPXIVRWDXEURWHVBVHVJXPWRXKWGVTWDXEVRWHVKVL
      VMVNVNVNVOWAVEVP $.

    ${
      $d B j $.  $d M j $.  $d N j $.  $d R j $.  $d b j l n s $.
      $( Alternate proof of ~ cayleyhamilton , the Cayley-Hamilton theorem.
         This proof does not use ~ cayleyhamilton0 directly, but has the same
         structure as the proof of ~ cayleyhamilton0 .  In contrast to the
         proof of ~ cayleyhamilton0 , only the definitions required to
         formulate the theorem itself are used, causing the definitions used in
         the lemmas being expanded, which makes the proof longer and more
         difficult to read.  (Contributed by AV, 25-Nov-2019.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      cayleyhamiltonALT $p |- ( ( N e. Fin /\ R e. CRing /\ M e. B )
          -> ( A gsum ( n e. NN0 |-> ( ( K ` n ) .* ( n .^ M ) ) ) ) = .0. ) $=
        ( cfv co vl vb vs vm vx vy vj cfn wcel ccrg w3a cn0 cco1 cmpt cgsu cpl1
        cv cmat cmat2pmat cmgp cmg cc0 wceq c0g cmulr csg c1 caddc clt wbr cmin
        cif ccpmat cmpo cfz cmap wrex ccpmat2mat cur cbs eqid eqeq1 breq2 oveq1
        cn fveq2d fveq2 oveq2d oveq12d ifbieq2d cbvmptv cayhamlem4 wa cpm2mfval
        eqcomd fveq1d eqeq2d 2rexbidv mpbird eqcomi a1i oveq1d mpteq2dva eqeq1d
        3adant3 biimpa oveq2i cayhamlem1 eqtrd crg anim2i m2cpminv0 syl eqtr4di
        crngring adantr sylan9eqr mpdan ex rexlimdvva mpd ) JUHUIZDUJUIZIBUIZUK
        ZAEULEUQZICSZUMSZSZYFIFTZGTZUNZUOTZJDUPSZURTZEULYFIJDUSTZSZYOUTSVASZTZY
        FUAULUAUQZVBVCZYOVDSZYQVBUBUQZSYPSYOVESZTYOVFSZTZYTUCUQZVGVHTZVCZUUGUUC
        SYPSZUUHYTVIVJZUUBYTVGVKTZUUCSZYPSZYQYTUUCSZYPSZUUDTZUUETZVLZVLZVLZUNZS
        ZUUDTZUNZUOTZUDJDVMTZUEUFJJVBUEUQUFUQUDUQTUMSSVNUNZSZVCZUBBVBUUGVOTVPTZ
        VQUCWEVQZAEULYFHSZYJGTZUNZUOTZKVCZYEUVLYMUVFJDVRTZSZVCZUBUVKVQUCWEVQABC
        YNDYPUUDUVRAVSSZEYRFUVBGYGIUUEJYOVTSZYOUUBUCUBLMYNWAZYOWAZUUDWAZUUEWAZU
        UBWAZYPWAZOYGWAUAEULUVAYFVBVCZUUFYFUUHVCZUUJUUHYFVIVJZUUBYFVGVKTZUUCSZY
        PSZYQYFUUCSZYPSZUUDTZUUETZVLZVLZVLYTYFVCZUUAUWIUUTUWTUUFYTYFVBWBUXAUUIU
        WJUUSUWSUUJYTYFUUHWBUXAUUKUWKUURUWRUUBYTYFUUHVIWCUXAUUNUWNUUQUWQUUEUXAU
        UMUWMYPUXAUULUWLUUCYTYFVGVKWDWFWFUXAUUPUWPYQUUDUXAUUOUWOYPYTYFUUCWGWFWH
        WIWJWJWJWKZUWBWAUWAWAQUVRWAZRYRWAZWLYEUVJUVTUCUBWEUVKYEUVIUVSYMYEUVFUVH
        UVRYBYCUVHUVRVCYDYBYCWMUVRUVHUEUFDUVGUDUVRJUJUXCUVGWAZWNWOXEWPWQWRWSYEU
        VJUVQUCUBWEUVKYEUUGWEUIUUCUVKUIWMZWMZUVJUVQUXGUVJWMUVPUVIKUXGUVJUVPUVIV
        CUXGYMUVPUVIUXGYLUVOAUOUXGEULYKUVNUXGYFULUIWMZYIUVMYJGUXHYFYHHYHHVCUXHH
        YHPWTXAWPXBXCWHXDXFUXGUVIKVCZUVJUXGUVFUUBVCZUXIUXGUVFYOUGULUGUQZYQYRTZU
        XKUVBSZUUDTZUNZUOTZUUBUVFUXPVCUXGUVEUXOYOUOEUGULUVDUXNYFUXKVCYSUXLUVCUX
        MUUDYFUXKYQYRWDYFUXKUVBWGWIWKXGXAABYNDYPUUDUGEYRUVBIUUEJYOUUBUCUBLMUWCU
        WDUWEUWFUWGUWHUXBUXDXHXIUXJUXGUVIUUBUVHSZKUVFUUBUVHWGYEUXQKVCUXFYEUXQAV
        DSZKYEYBDXJUIZWMZUXQUXRVCYBYCUXTYDYCUXSYBDXOXKXEUXTUXQUUBUVRSUXRUXTUUBU
        VHUVRUXTUVRUVHUEUFDUVGUDUVRJXJUXCUXEWNWOWPAYOYNDUVRJUXRUUBLUXCUWCUWDUXR
        WAUWGXLXIXMNXNXPXQXRXPXIXSXTYA $.
    $}

    $d B i $.  $d C m n $.  $d E i m n $.  $d F i m n $.  $d K m $.
    $d L i n $.  $d M i $.  $d N i $.  $d P i m n $.  $d R i $.  $d X i m n $.
    $d Z i n $.  $d .x. i m n $.
    cayleyhamilton1.l $e |- L = ( Base ` R ) $.
    cayleyhamilton1.x $e |- X = ( var1 ` R ) $.
    cayleyhamilton1.p $e |- P = ( Poly1 ` R ) $.
    cayleyhamilton1.m $e |- .x. = ( .s ` P ) $.
    cayleyhamilton1.e $e |- E = ( .g ` ( mulGrp ` P ) ) $.
    cayleyhamilton1.z $e |- Z = ( 0g ` R ) $.
    $( The Cayley-Hamilton theorem:  A matrix over a commutative ring
       "satisfies its own characteristic equation", or, in other words, a
       matrix over a commutative ring "inserted" into its characteristic
       polynomial results in zero.  In this variant of ~ cayleyhamilton , the
       meaning of "inserted" is made more transparent:  If the characteristic
       polynomial is a polynomial with coefficients ` ( F `` n ) ` , then a
       matrix over a commutative ring "inserted" into its characteristic
       polynomial is the sum of these coefficients multiplied with the
       corresponding power of the matrix.  (Contributed by AV, 25-Nov-2019.) $)
    cayleyhamilton1 $p |- ( ( ( N e. Fin /\ R e. CRing /\ M e. B )
                              /\ ( F e. ( L ^m NN0 ) /\ F finSupp Z ) )
     -> ( ( C ` M ) = ( P gsum ( n e. NN0 |-> ( ( F ` n ) .x. ( n E X ) ) ) )
        -> ( A gsum ( n e. NN0 |-> ( ( F ` n ) .* ( n .^ M ) ) ) ) = .0. ) ) $=
      ( vm vi cfn wcel ccrg w3a cn0 cmap co cfsupp wbr wa cfv cv cmpt cgsu wceq
      cayleyhamilton adantr wi nfv nfcv nfmpt1 nfov nfeq2 nfan cco1 wral crg wb
      cbs crngring 3ad2ant2 eqid chpmatply1 c0g wf elmapi ffvelrn ralrimiva syl
      ad2antrl feqmptd breq12d biimpa adantl gsumsmonply1 fveq2 oveq12d cbvmptv
      a1i oveq1 oveq2i fveq2i ply1coe1eq syl3anc eqeq12d rspcva csb gsummoncoe1
      simpl breq1d csbfv eqtrdi eqtrd exp32 mpd expcomd sylbird oveq1d mpteq2da
      com12 imp31 oveq2d eqeq1d biimpd ex mpid ) OUNUOZEUPUOZNBUOZUQZJMURUSUTUO
      ZJRVAVBZVCZVCZNCVDZDGURGVEZJVDZYSPHUTZFUTZVFZVGUTZVHZAGURYSLVDZYSNIUTZKUT
      ZVFZVGUTZQVHZAGURYTUUGKUTZVFZVGUTZQVHZYMUUKYPABCEGIKLNOQSTUAUBUCUDUEVIVJY
      QUUEUUKUUOVKYQUUEVCZUUKUUOUUPUUJUUNQUUPUUIUUMAVGUUPGURUUHUULYQUUEGYQGVLGY
      RUUDGDUUCVGGDVMGVGVMGURUUBVNVOVPVQUUPYSURUOZVCUUFYTUUGKYQUUEUUQUUFYTVHZYQ
      UUEULVEZLVDZUUSDUMURUMVEZJVDZUVAPHUTZFUTZVFZVGUTZVRVDZVDZVHZULURVSZUUQUUR
      VKYQEVTUOZYRDWBVDZUOZUUDUVLUOUVJUUEWAYMUVKYPYKYJUVKYLEWCWDZVJZYMUVMYPABCD
      EUVLNOUBSTUHUVLWEZWFVJYQYTUVLDEGHFMPEWGVDZUHUVPUGUJUVOUFUIUVQWEYNYTMUOZGU
      RVSZYMYOYNURMJWHZUVSJMURWIZUVTUVRGURURMYSJWJWKWLWMYPGURYTVFZUVQVAVBZYMYNY
      OUWCYNJUWBRUVQVAYNGURMJUWAWNRUVQVHYNUKXBWOWPWQWRLUVLUVGDEULYRUUDUHUVPUCUV
      FUUDVRUVEUUCDVGUMGURUVDUUBUVAYSVHUVBYTUVCUUAFUVAYSJWSUVAYSPHXCWTXAXDXEXFX
      GYQUUQUVJUURUUQUVJVCZYQUURUWDUUFYSUVGVDZVHZYQUURVKZUVIUWFULYSURUUSYSVHUUT
      UUFUVHUWEUUSYSLWSUUSYSUVGWSXHXIUUQUWFUWGVKUVJUWFUUQUWGUWFUUQYQUURUWFUUQYQ
      VCZVCUUFUWEYTUWFUWHXLUWHUWEYTVHUWFUWHUWEUMYSUVBXJYTUWHUVBUVLDEUMHFMYSPRUH
      UVPUGUJYMUVKUUQYPUVNWMUFUIUKYQUVBMUOZUMURVSZUUQYNUWJYMYOYNUVTUWJUWAUVTUWI
      UMURURMUVAJWJWKWLWMWQYQUMURUVBVFZRVAVBZUUQYPUWLYMYNYOUWLYNJUWKRVAYNUMURMJ
      UWAWNXMWPWQWQUUQYQXLXKUMYSJXNXOWQXPXQYCVJXRYCXSXTYDYAYBYEYFYGYHYI $.
  $}

$( End $[ set-linalg.mm $] $)


$( Begin $[ set-top.mm $] $)
$(
###############################################################################
  BASIC TOPOLOGY
###############################################################################
$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Topology
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Topological spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  A topology on a set is a set of subsets of that set, called open sets, which
  satisfy certain conditions.  One condition is that the whole set be an open
  set.  Therefore, a set is recoverable from a topology on it (as its union,
  see ~ toponuni ), and it may sometimes be more convenient to consider
  topologies without reference to the underlying set.  This is why we define
  successively the class of topologies ( ~ df-top ), then the function which
  associates with a set the set of topologies on it ( ~ df-topon ), and finally
  the class of topological spaces, as extensible structures having an
  underlying set and a topology on it ( ~ df-topsp ).  Of course, a topology is
  the same thing as a topology on a set (see ~ toprntopon ).

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Topologies
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Token for the class of topologies. $)
  $c Top $.

  $( Syntax for the class of topologies. $)
  ctop $a class Top $.

  ${
    $d x y z $.
    $( Define the class of topologies.  It is a proper class (see ~ topnex ).
       See ~ istopg and ~ istop2g for the corresponding characterizations,
       using respectively binary intersections like in this definition and
       nonempty finite intersections.

       The final form of the definition is due to Bourbaki (Def. 1 of
       [BourbakiTop1] p.  I.1), while the idea of defining a topology in terms
       of its open sets is due to Aleksandrov.  For the convoluted history of
       the definitions of these notions, see

       Gregory H. Moore, _The emergence of open sets, closed sets, and limit
       points in analysis and topology_, Historia Mathematica 35 (2008)
       220--241.

       (Contributed by NM, 3-Mar-2006.)  (Revised by BJ, 20-Oct-2018.) $)
    df-top $a |- Top = { x | ( A. y e. ~P x U. y e. x /\
                             A. y e. x A. z e. x ( y i^i z ) e. x ) } $.
  $}

  ${
    $d x y z J $.  $d x A $.
    $( Express the predicate " ` J ` is a topology".  See ~ istop2g for another
       characterization using nonempty finite intersections instead of binary
       intersections.

       Note:  In the literature, a topology is often represented by a
       calligraphic letter T, which resembles the letter J. This confusion may
       have led to J being used by some authors (e.g., K. D. Joshi,
       _Introduction to General Topology_ (1983), p. 114) and it is convenient
       for us since we later use ` T ` to represent linear transformations
       (operators).  (Contributed by Stefan Allan, 3-Mar-2006.)  (Revised by
       Mario Carneiro, 11-Nov-2013.) $)
    istopg $p |- ( J e. A -> ( J e. Top <-> ( A. x ( x C_ J -> U. x e. J )
                  /\ A. x e. J A. y e. J ( x i^i y ) e. J ) ) ) $=
      ( vz wcel ctop cv cuni cpw wral cin wa wss wal wceq pweq eleq2 raleqbi1dv
      wi anbi12d df-top elab2g df-ral elpw2g imbi1d albidv syl5bb anbi1d bitrd
      raleqbidv ) DCFZDGFAHZIZDFZADJZKZUMBHLZDFZBDKZADKZMZUMDNZUOTZAOZVAMUNEHZF
      ZAVFJZKZURVFFZBVFKZAVFKZMVBEDGCVFDPZVIUQVLVAVMVGUOAVHUPVFDQVFDUNRUKVKUTAV
      FDVJUSBVFDVFDURRSSUAEABUBUCULUQVEVAUQUMUPFZUOTZAOULVEUOAUPUDULVOVDAULVNVC
      UOUMDCUEUFUGUHUIUJ $.

    $( Express the predicate " ` J ` is a topology" using nonempty finite
       intersections instead of binary intersections as in ~ istopg .
       (Contributed by NM, 19-Jul-2006.) $)
    istop2g $p |- ( J e. A -> ( J e. Top <-> ( A. x ( x C_ J -> U. x e. J )
         /\ A. x ( ( x C_ J /\ x =/= (/) /\ x e. Fin ) -> |^| x e. J ) ) ) ) $=
      ( vy wcel ctop cv wss cuni wi wal cin wral wa c0 wne cfn w3a cint istopg
      fiint anbi2i bitrdi ) CBECFEAGZCHZUDICEJAKZUDDGLCEDCMACMZNUFUEUDOPUDQERUD
      SCEJAKZNADBCTUGUHUFADCUAUBUC $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y J $.
    $( The union of a subset of a topology (that is, the union of any family of
       open sets of a topology) is an open set.  (Contributed by Stefan Allan,
       27-Feb-2006.) $)
    uniopn $p |- ( ( J e. Top /\ A C_ J ) -> U. A e. J ) $=
      ( vx vy ctop wcel wss cuni cv wi wal cin wral wa istopg ibi simpld elpw2g
      cpw biimpar wceq sseq1 unieq eleq1d imbi12d spcgv syl ex pm2.43d mpid imp
      com23 ) BEFZABGZAHZBFZUMUNCIZBGZUQHZBFZJZCKZUPUMVBUQDILBFDBMCBMZUMVBVCNCD
      EBOPQUMUNVBUPJZUMUNUNVDJUMUNNZVBUNUPVEABSZFZVBUNUPJZJUMVGUNABERTVAVHCAVFU
      QAUAZURUNUTUPUQABUBVIUSUOBUQAUCUDUEUFUGULUHUIUJUK $.

    $( The indexed union of a subset of a topology is an open set.
       (Contributed by NM, 5-Oct-2006.) $)
    iunopn $p |- ( ( J e. Top /\ A. x e. A B e. J ) -> U_ x e. A B e. J ) $=
      ( vy ctop wcel wral wa ciun cv wceq wrex cab dfiun2g adantl wss uniiunlem
      cuni ibi uniopn sylan2 eqeltrd ) DFGZCDGABHZIABCJZEKCLABMENZSZDUEUFUHLUDA
      EBCDOPUEUDUGDQZUHDGUEUIAEBCDDRTUGDUAUBUC $.

    $( The intersection of two open sets of a topology is an open set.
       (Contributed by NM, 17-Jul-2006.) $)
    inopn $p |- ( ( J e. Top /\ A e. J /\ B e. J ) -> ( A i^i B ) e. J ) $=
      ( vx vy ctop wcel cin cv wral wa wss cuni wi wal istopg ibi simprd eleq1d
      wceq ineq1 ineq2 rspc2v syl5com 3impib ) CFGZACGZBCGZABHZCGZUFDIZEIZHZCGZ
      ECJDCJZUGUHKUJUFUKCLUKMCGNDOZUOUFUPUOKDEFCPQRUNUJAULHZCGDEABCCUKATUMUQCUK
      AULUASULBTUQUICULBAUBSUCUDUE $.

    $( A topology is closed under finite intersections.  (Contributed by Jeff
       Hankins, 7-Oct-2009.) $)
    fitop $p |- ( J e. Top -> ( fi ` J ) = J ) $=
      ( vx vy ctop wcel cv cin wral cfi cfv inopn 3expib ralrimivv inficl mpbid
      wceq ) ADEZBFZCFZGAEZCAHBAHAIJAPQTBCAAQRAESAETRSAKLMBCADNO $.

    $( The intersection of a nonempty finite family of open sets is open.
       (Contributed by FL, 20-Apr-2012.) $)
    fiinopn $p |- ( J e. Top -> ( ( A C_ J /\ A =/= (/) /\ A e. Fin )
        -> |^| A e. J ) ) $=
      ( vx wss c0 wne cfn wcel w3a ctop cint wi elpwg cv wceq sseq1 neeq1 com12
      cpw wal eleq1 3anbi123d inteq eleq1d imbi2d imbi12d cuni wa sp adantl ibi
      istop2g syl11 vtoclg 3exp com3r com4r syl6bir pm2.43a com4l pm2.43i 3imp
      ) ABDZAEFZAGHZIZBJHZAKZBHZVCVDVEVGVILZVCVDVEVJLLVEVCVCVDVJVCVEVCVDVJLLZVE
      VCABSZHZVEVKLABGMVEVCVDVMVJVCVDVEVMVJLZVCVDVEVNVMVFVJCNZBDZVOEFZVOGHZIZVG
      VOKZBHZLZLVFVJLCAVLVOAOZVSVFWBVJWCVPVCVQVDVRVEVOABPVOAEQVOAGUAUBWCWAVIVGW
      CVTVHBVOAUCUDUEUFVPVOUGBHLCTZVSWALZCTZUHZVSWAVGWFWEWDWECUIUJVGWGCJBULUKUM
      UNRUOUPUQURUSUTVAVBR $.

    $( The intersection of a nonempty finite family of open sets is open.
       (Contributed by Mario Carneiro, 14-Sep-2014.) $)
    iinopn $p |- ( ( J e. Top /\ ( A e. Fin /\ A =/= (/) /\
      A. x e. A B e. J ) ) -> |^|_ x e. A B e. J ) $=
      ( vy ctop wcel cfn c0 wne wral w3a wa ciin cv wceq wrex cab syl sylib wss
      cint simpr3 dfiin2g simpl cmpt crn eqid rnmpt wf fmpt frnd eqsstrrid fdmd
      cdm simpr2 eqnetrd dm0rn0 eqeq1i bitri necon3bii abrexfi fiinopn syl13anc
      simpr1 imp eqeltrd ) DFGZBHGZBIJZCDGABKZLZMZABCNZEOCPABQERZUBZDVMVKVNVPPV
      HVIVJVKUCZAEBCDUDSVMVHVODUAZVOIJZVOHGZVPDGZVHVLUEVMVOABCUFZUGZDAEBCWBWBUH
      ZUIZVMBDWBVMVKBDWBUJVQABDCWBWDUKTZULUMVMWBUOZIJVSVMWGBIVMBDWBWFUNVHVIVJVK
      UPUQWGIVOIWGIPWCIPVOIPWBURWCVOIWEUSUTVATVMVIVTVHVIVJVKVEAEBCVBSVHVRVSVTLW
      AVODVCVFVDVG $.
  $}

  $( The union of two open sets is open.  (Contributed by Jeff Madsen,
     2-Sep-2009.) $)
  unopn $p |- ( ( J e. Top /\ A e. J /\ B e. J ) -> ( A u. B ) e. J ) $=
    ( ctop wcel w3a cpr cuni cun wceq uniprg 3adant1 wa wss prssi uniopn sylan2
    3impb eqeltrrd ) CDEZACEZBCEZFABGZHZABIZCUAUBUDUEJTABCCKLTUAUBUDCEZUAUBMTUC
    CNUFABCOUCCPQRS $.

  $( The empty set is an open subset of any topology.  (Contributed by Stefan
     Allan, 27-Feb-2006.) $)
  0opn $p |- ( J e. Top -> (/) e. J ) $=
    ( ctop wcel c0 cuni uni0 wss 0ss uniopn mpan2 eqeltrrid ) ABCZDDEZAFLDAGMAC
    AHDAIJK $.

  $( The empty set is not a topology.  (Contributed by FL, 1-Jun-2008.) $)
  0ntop $p |- -. (/) e. Top $=
    ( c0 ctop wcel noel 0opn mto ) ABCAACADAEF $.

  ${
    $d x A $.  $d x J $.  $d x X $.
    1open.1 $e |- X = U. J $.
    $( The underlying set of a topology is an open set.  (Contributed by NM,
       17-Jul-2006.) $)
    topopn $p |- ( J e. Top -> X e. J ) $=
      ( ctop wcel cuni wss ssid uniopn mpan2 eqeltrid ) ADEZBAFZACLAAGMAEAHAAIJ
      K $.

    $( A member of a topology is a subset of its underlying set.  (Contributed
       by NM, 12-Sep-2006.) $)
    eltopss $p |- ( ( J e. Top /\ A e. J ) -> A C_ X ) $=
      ( wcel wss ctop cuni elssuni sseqtrrdi adantl ) ABEZACFBGELABHCABIDJK $.

    $( A finite indexed relative intersection of open sets is open.
       (Contributed by Mario Carneiro, 22-Aug-2015.) $)
    riinopn $p |- ( ( J e. Top /\ A e. Fin /\ A. x e. A B e. J ) ->
        ( X i^i |^|_ x e. A B ) e. J ) $=
      ( ctop wcel cfn wral w3a ciin cin c0 wceq wa riin0 adantl simpl1 eqeltrd
      topopn syl wne wss wi eltopss ex adantr ralimdv 3impia riinn0 sylan 3exp2
      iinopn com34 3imp1 pm2.61dane ) DGHZBIHZCDHZABJZKZEABCLZMZDHBNVBBNOZPZVDE
      DVEVDEOVBAECBQRVFUREDHURUSVAVESDEFUAUBTVBBNUCZPVDVCDVBCEUDZABJZVGVDVCOURU
      SVAVIURUSPUTVHABURUTVHUEUSURUTVHCDEFUFUGUHUIUJAECBUKULURUSVAVGVCDHZURUSVG
      VAVJURUSVGVAVJABCDUNUMUOUPTUQ $.

    $( A finite relative intersection of open sets is open.  (Contributed by
       Mario Carneiro, 22-Aug-2015.) $)
    rintopn $p |- ( ( J e. Top /\ A C_ J /\ A e. Fin ) ->
        ( X i^i |^| A ) e. J ) $=
      ( vx ctop wcel wss cfn w3a cint cin ciin intiin ineq2i wral dfss3 riinopn
      cv 3com23 syl3an2b eqeltrid ) BFGZABHZAIGZJCAKZLCEAESZMZLZBUFUHCEANOUDUCU
      GBGEAPZUEUIBGZEABQUCUEUJUKEAUGBCDRTUAUB $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Topologies on sets
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Token for the function of topologies on sets. $)
  $c TopOn $.

  $( Syntax for the function of topologies on sets. $)
  ctopon $a class TopOn $.

  ${
    $d b j $.
    $( Define the function that associates with a set the set of topologies on
       it.  (Contributed by Stefan O'Rear, 31-Jan-2015.) $)
    df-topon $a |- TopOn = ( b e. _V |-> { j e. Top | b = U. j } ) $.
  $}

  ${
    $d B b j $.  $d J b j $.
    $( Property of being a topology with a given base set.  (Contributed by
       Stefan O'Rear, 31-Jan-2015.)  (Revised by Mario Carneiro,
       13-Aug-2015.) $)
    istopon $p |- ( J e. ( TopOn ` B ) <-> ( J e. Top /\ B = U. J ) ) $=
      ( vj vb ctopon cfv wcel cvv ctop cuni wceq elfvex uniexg eleq1 syl5ibrcom
      wa cv crab cpw wss imp eqeq1 rabbidv df-topon vpwex pwex rabss pwuni pweq
      wi sseqtrrid velpw sylibr mprgbir ssexi fvmpt3i eleq2d unieq eqeq2d elrab
      a1i bitrdi pm5.21nii ) BAEFZGZAHGZBIGZABJZKZPZBAELVGVIVFVGVFVIVHHGBIMAVHH
      NOUAVFVEBACQZJZKZCIRZGVJVFVDVNBDADQZVLKZCIRZVNHEVOAKVPVMCIVOAVLUBUCCDUDVQ
      VOSZSZVRDUEUFVQVSTVPVKVSGZUJZCIVPCIVSUGWAVKIGVPVKVRTVTVPVLSVKVRVKUHVOVLUI
      UKCVRULUMVAUNUOUPUQVMVICBIVKBKVLVHAVKBURUSUTVBVC $.
  $}

  $( A topology on a given base set is a topology.  (Contributed by Mario
     Carneiro, 13-Aug-2015.) $)
  topontop $p |- ( J e. ( TopOn ` B ) -> J e. Top ) $=
    ( ctopon cfv wcel ctop cuni wceq istopon simplbi ) BACDEBFEABGHABIJ $.

  $( The base set of a topology on a given base set.  (Contributed by Mario
     Carneiro, 13-Aug-2015.) $)
  toponuni $p |- ( J e. ( TopOn ` B ) -> B = U. J ) $=
    ( ctopon cfv wcel ctop cuni wceq istopon simprbi ) BACDEBFEABGHABIJ $.

  ${
    topontopi.1 $e |- J e. ( TopOn ` B ) $.
    $( A topology on a given base set is a topology.  (Contributed by Mario
       Carneiro, 13-Aug-2015.) $)
    topontopi $p |- J e. Top $=
      ( ctopon cfv wcel ctop topontop ax-mp ) BADEFBGFCABHI $.

    $( The base set of a topology on a given base set.  (Contributed by Mario
       Carneiro, 13-Aug-2015.) $)
    toponunii $p |- B = U. J $=
      ( ctopon cfv wcel cuni wceq toponuni ax-mp ) BADEFABGHCABIJ $.
  $}

  ${
    toptopon.1 $e |- X = U. J $.
    $( Alternative definition of ` Top ` in terms of ` TopOn ` .  (Contributed
       by Mario Carneiro, 13-Aug-2015.) $)
    toptopon $p |- ( J e. Top <-> J e. ( TopOn ` X ) ) $=
      ( ctopon cfv wcel ctop cuni wceq istopon mpbiran2 bicomi ) ABDEFZAGFZMNBA
      HICBAJKL $.
  $}

  $( A topology is the same thing as a topology on the union of its open sets.
     (Contributed by BJ, 27-Apr-2021.) $)
  toptopon2 $p |- ( J e. Top <-> J e. ( TopOn ` U. J ) ) $=
    ( cuni eqid toptopon ) AABZECD $.

  $( A topology on a set is a topology on the union of its open sets.
     (Contributed by BJ, 27-Apr-2021.) $)
  topontopon $p |- ( J e. ( TopOn ` X ) -> J e. ( TopOn ` U. J ) ) $=
    ( ctopon cfv wcel ctop cuni topontop toptopon2 sylib ) ABCDEAFEAAGCDEBAHAIJ
    $.

  ${
    $d x y $.
    $( The class ` TopOn ` is a function.  (Contributed by BJ, 29-Apr-2021.) $)
    funtopon $p |- Fun TopOn $=
      ( vy vx cvv cv cuni wceq ctop crab ctopon df-topon funmpt2 ) ACADBDEFBGHI
      BAJK $.
  $}

  ${
    toponrestid.t $e |- A e. ( TopOn ` B ) $.
    $( Given a topology on a set, restricting it to that same set has no
       effect.  (Contributed by Jim Kingdon, 6-Jul-2022.) $)
    toponrestid $p |- A = ( A |`t B ) $=
      ( crest co ctopon cfv wcel wceq toponunii restid ax-mp eqcomi ) ABDEZAABF
      GZHNAICAOBBACJKLM $.
  $}

  ${
    $d A x y $.
    $( The set of topologies on a set is included in the double power set of
       that set.  (Contributed by BJ, 29-Apr-2021.) $)
    toponsspwpw $p |- ( TopOn ` A ) C_ ~P ~P A $=
      ( vy vx cvv wcel ctopon cfv cpw wss cuni wceq ctop crab cab rabssab eqcom
      cv abbii sseqtri eqsstrdi pwpwssunieq sstri pwexg sylancr df-topon fvmptg
      pwexd ssexg eqeq1 rabbidv mpdan wn c0 fvprc 0ss pm2.61i ) ADEZAFGZAHZHZIU
      QURABQJZKZBLMZUTUQVCDEZURVCKUQVCUTIUTDEVDVCVAAKZBNZUTVCVBBNVFVBBLOVBVEBAV
      APRSBAUAUBZUQUSDADUCUGVCUTDUHUDCACQZVAKZBLMVCDDFVHAKVIVBBLVHAVAUIUJBCUEUF
      UKVGTUQULURUMUTAFUNUTUOTUP $.
  $}

  ${
    $d x y $.
    $( The domain of ` TopOn ` is the universal class ` _V ` .  (Contributed by
       BJ, 29-Apr-2021.) $)
    dmtopon $p |- dom TopOn = _V $=
      ( vx vy cvv cv cuni wceq ctop crab ctopon cpw vpwex pwex eqcom rabbii cab
      rabssab pwpwssunieq sstri eqsstri ssexi df-topon dmmpti ) ACADZBDEZFZBGHZ
      IUFUCJZJZUGAKLUFUDUCFZBGHZUHUEUIBGUCUDMNUJUIBOUHUIBGPBUCQRSTBAUAUB $.

    $( The class ` TopOn ` is a function with domain the universal class
       ` _V ` .  Analogue for topologies of ~ fnmre for Moore collections.
       (Contributed by BJ, 29-Apr-2021.) $)
    fntopon $p |- TopOn Fn _V $=
      ( ctopon cvv wfn wfun cdm wceq funtopon dmtopon df-fn mpbir2an ) ABCADAEB
      FGHABIJ $.
  $}

  ${
    $d x y z $.
    $( A topology is the same thing as a topology on a set (variable-free
       version).  (Contributed by BJ, 27-Apr-2021.) $)
    toprntopon $p |- Top = U. ran TopOn $=
      ( vx vy vz ctop ctopon crn cuni cv wcel wex cfv toptopon2 fvex wceq eleq2
      wa cvv impbii syl exlimiv eleq1 anbi12d simpl wfn fntopon vuniex fnfvelrn
      mp2an jctr bitrdi spcev sylbi wrex wfun wi funtopon elrnrexdm ax-mp rexex
      cdm 19.42v eqimss sseld impcom eximi sylbir sylan2 topontop eluni bitr4i
      eqriv ) ADEFZGZAHZDIZVNBHZIZVPVLIZPZBJZVNVMIVOVTVOVNVNGZEKZIZVTVNLVSWCBWB
      WAEMVPWBNZVSWCWBVLIZPZWCWDVQWCVRWEVPWBVNOVPWBVLUAUBWFWCWCWEUCWCWEEQUDWAQI
      WEUEAUFQWAEUGUHUIRUJUKULVSVOBVSVNCHZEKZIZCJZVOVRVQVPWHNZCJZWJVRWKCEUTZUMZ
      WLEUNVRWNUOUPCEVPUQURWKCWMUSSVQWLPVQWKPZCJWJVQWKCVAWOWICWKVQWIWKVPWHVNVPW
      HVBVCVDVEVFVGWIVOCWGVNVHTSTRBVNVLVIVJVK $.
  $}

  $( The base set of a topology is an open set.  (Contributed by Mario
     Carneiro, 13-Aug-2015.) $)
  toponmax $p |- ( J e. ( TopOn ` B ) -> B e. J ) $=
    ( ctopon cfv wcel cuni toponuni ctop topontop eqid topopn syl eqeltrd ) BAC
    DEZABFZBABGNBHEOBEABIBOOJKLM $.

  $( A member of a topology is a subset of its underlying set.  (Contributed by
     Mario Carneiro, 21-Aug-2015.) $)
  toponss $p |- ( ( J e. ( TopOn ` X ) /\ A e. J ) -> A C_ X ) $=
    ( ctopon cfv wcel wa cuni wss elssuni adantl wceq toponuni adantr sseqtrrd
    ) BCDEFZABFZGABHZCQARIPABJKPCRLQCBMNO $.

  $( If ` K ` is a topology on the base set of topology ` J ` , then ` J ` is a
     topology on the base of ` K ` .  (Contributed by Mario Carneiro,
     22-Aug-2015.) $)
  toponcom $p |- ( ( J e. Top /\ K e. ( TopOn ` U. J ) ) ->
      J e. ( TopOn ` U. K ) ) $=
    ( ctop wcel cuni ctopon cfv wa wceq toponuni eqcomd anim2i istopon sylibr )
    ACDZBAEZFGDZHOBEZPIZHARFGDQSOQPRPBJKLRAMN $.

  $( Biconditional form of ~ toponcom .  (Contributed by BJ, 5-Dec-2021.) $)
  toponcomb $p |- ( ( J e. Top /\ K e. Top ) ->
                       ( J e. ( TopOn ` U. K ) <-> K e. ( TopOn ` U. J ) ) ) $=
    ( ctop wcel wa cuni ctopon cfv wi toponcom ex adantl adantr impbid ) ACDZBC
    DZEABFGHDZBAFGHDZPQRIOPQRBAJKLORQIPORQABJKMN $.

  $( The topologies over the same set have the greatest element (the discrete
     topology) and the least element (the indiscrete topology).  (Contributed
     by FL, 18-Apr-2010.)  (Revised by Mario Carneiro, 16-Sep-2015.) $)
  topgele $p |- ( J e. ( TopOn ` X ) -> ( { (/) , X } C_ J /\ J C_ ~P X ) ) $=
    ( ctopon cfv wcel c0 cpr wss cpw ctop topontop 0opn syl toponmax prssd cuni
    wceq toponuni eqimss2 sspwuni sylibr jca ) ABCDEZFBGAHABIHZUCFBAUCAJEFAEBAK
    ALMBANOUCAPZBHZUDUCBUEQUFBARUEBSMABTUAUB $.

  $( The only topology on a singleton is the discrete topology (which is also
     the indiscrete topology by ~ pwsn ).  (Contributed by FL, 5-Jan-2009.)
     (Revised by Mario Carneiro, 16-Sep-2015.) $)
  topsn $p |- ( J e. ( TopOn ` { A } ) -> J = ~P { A } ) $=
    ( csn ctopon cfv wcel cpw cpr wss topgele simprd pwsn simpld eqsstrid eqssd
    c0 ) BACZDEFZBQGZRPQHZBIZBSIZBQJZKRSTBALRUAUBUCMNO $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Topological spaces
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Token for the class of topological spaces. $)
  $c TopSp $.

  $( Syntax for the class of topological spaces. $)
  ctps $a class TopSp $.

  $( Define the class of topological spaces (as extensible structures).
     (Contributed by Stefan O'Rear, 13-Aug-2015.) $)
  df-topsp $a |- TopSp = { f | ( TopOpen ` f ) e. ( TopOn ` ( Base ` f ) ) } $.

  ${
    $d f A $.  $d f J $.  $d f K $.
    istps.a $e |- A = ( Base ` K ) $.
    istps.j $e |- J = ( TopOpen ` K ) $.
    $( Express the predicate "is a topological space."  (Contributed by Mario
       Carneiro, 13-Aug-2015.) $)
    istps $p |- ( K e. TopSp <-> J e. ( TopOn ` A ) ) $=
      ( vf ctps wcel cv ctopn cfv cbs ctopon cab df-topsp ctop c0 fveq2 eqtr4di
      cvv eleq2i topontop wn 0ntop fvprc syl5eq eleq1d mtbiri con4i wceq fveq2d
      syl eleq12d elab3 bitri ) CGHCFIZJKZUPLKZMKZHZFNZHBAMKZHZGVACFOUAUTVCFCTV
      CBPHZCTHZABUBVEVDVEUCZVDQPHUDVFBQPVFBCJKZQECJUEUFUGUHUIULUPCUJZUQBUSVBVHU
      QVGBUPCJRESVHURAMVHURCLKAUPCLRDSUKUMUNUO $.

    $( Express the predicate "is a topological space."  (Contributed by NM,
       20-Oct-2012.) $)
    istps2 $p |- ( K e. TopSp <-> ( J e. Top /\ A = U. J ) ) $=
      ( ctps wcel ctopon cfv ctop cuni wceq wa istps istopon bitri ) CFGBAHIGBJ
      GABKLMABCDENABOP $.

    $( The base set of a topological space.  (Contributed by FL,
       27-Jun-2014.) $)
    tpsuni $p |- ( K e. TopSp -> A = U. J ) $=
      ( ctps wcel ctop cuni wceq istps2 simprbi ) CFGBHGABIJABCDEKL $.
  $}

  ${
    tpstop.j $e |- J = ( TopOpen ` K ) $.
    $( The topology extractor on a topological space is a topology.
       (Contributed by FL, 27-Jun-2014.) $)
    tpstop $p |- ( K e. TopSp -> J e. Top ) $=
      ( ctps wcel ctop cbs cfv cuni wceq eqid istps2 simplbi ) BDEAFEBGHZAIJNAB
      NKCLM $.
  $}

  ${
    tpspropd.1 $e |- ( ph -> ( Base ` K ) = ( Base ` L ) ) $.
    tpspropd.2 $e |- ( ph -> ( TopOpen ` K ) = ( TopOpen ` L ) ) $.
    $( A topological space depends only on the base and topology components.
       (Contributed by NM, 18-Jul-2006.)  (Revised by Mario Carneiro,
       13-Aug-2015.) $)
    tpspropd $p |- ( ph -> ( K e. TopSp <-> L e. TopSp ) ) $=
      ( ctopn cfv cbs ctopon wcel ctps fveq2d eleq12d eqid istps 3bitr4g ) ABFG
      ZBHGZIGZJCFGZCHGZIGZJBKJCKJAQTSUBEARUAIDLMRQBRNQNOUATCUANTNOP $.
  $}

  ${
    tpsprop2d.1 $e |- ( ph -> ( Base ` K ) = ( Base ` L ) ) $.
    tpsprop2d.2 $e |- ( ph -> ( TopSet ` K ) = ( TopSet ` L ) ) $.
    $( A topological space depends only on the base and topology components.
       (Contributed by Mario Carneiro, 13-Aug-2015.) $)
    tpsprop2d $p |- ( ph -> ( K e. TopSp <-> L e. TopSp ) ) $=
      ( topnpropd tpspropd ) ABCDABCDEFG $.
  $}

  ${
    tsettps.a $e |- A = ( Base ` K ) $.
    tsettps.j $e |- J = ( TopSet ` K ) $.
    $( Express the predicate "is a topological space."  (Contributed by Mario
       Carneiro, 13-Aug-2015.) $)
    topontopn $p |- ( J e. ( TopOn ` A ) -> J = ( TopOpen ` K ) ) $=
      ( ctopon cfv wcel cpw wss ctopn wceq cuni toponuni eqimss2 sspwuni sylibr
      syl topnid ) BAFGHZBAIJZBCKGLTBMZAJZUATAUBLUCABNUBAORBAPQABCDESR $.

    $( If the topology component is already correctly truncated, then it forms
       a topological space (with the topology extractor function coming out the
       same as the component).  (Contributed by Mario Carneiro,
       13-Aug-2015.) $)
    tsettps $p |- ( J e. ( TopOn ` A ) -> K e. TopSp ) $=
      ( ctopon cfv wcel ctopn ctps topontopn id eqeltrrd eqid istps sylibr ) BA
      FGZHZCIGZQHCJHRBSQABCDEKRLMASCDSNOP $.
  $}

  ${
    istpsi.b $e |- ( Base ` K ) = A $.
    istpsi.j $e |- ( TopOpen ` K ) = J $.
    istpsi.1 $e |- A = U. J $.
    istpsi.2 $e |- J e. Top $.
    $( Properties that determine a topological space.  (Contributed by NM,
       20-Oct-2012.) $)
    istpsi $p |- K e. TopSp $=
      ( ctps wcel ctop cuni wceq cbs cfv eqcomi ctopn istps2 mpbir2an ) CHIBJIA
      BKLGFABCCMNADOCPNBEOQR $.
  $}

  ${
    eltpsi.k $e |- K
         = { <. ( Base ` ndx ) , A >. , <. ( TopSet ` ndx ) , J >. } $.
    $( Properties that determine a topological space from a construction (using
       no explicit indices).  (Contributed by Mario Carneiro, 13-Aug-2015.)
       (Revised by AV, 31-Oct-2024.) $)
    eltpsg $p |- ( J e. ( TopOn ` A ) -> K e. TopSp ) $=
      ( ctopon cfv wcel cts cbs ctps cnx basendxlttsetndx tsetndxnn tsetid wceq
      2strop1 toponmax 2strbas1 syl eqid fveq2d eleq12d ibi tsettps ) BAEFZGZCH
      FZCIFZEFZGZCJGUFUJUFBUGUEUIABHCKHFZUEDLMNPUFAUHEUFABGAUHOABQABCUKBDLMRSUA
      UBUCUHUGCUHTUGTUDS $.

    $( Obsolete version of ~ eltpsg as of 31-Oct-2024.  Properties that
       determine a topological space from a construction (using no explicit
       indices).  (Contributed by Mario Carneiro, 13-Aug-2015.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    eltpsgOLD $p |- ( J e. ( TopOn ` A ) -> K e. TopSp ) $=
      ( ctopon cfv wcel cts cbs ctps c9 df-tset 9nn 2strop toponmax 2strbas syl
      1lt9 wceq eqid fveq2d eleq12d ibi tsettps ) BAEFZGZCHFZCIFZEFZGZCJGUFUJUF
      BUGUEUIABHCKUEDLRMNUFAUHEUFABGAUHSABOABHCKBDLRMPQUAUBUCUHUGCUHTUGTUDQ $.

    eltpsi.u $e |- A = U. J $.
    eltpsi.j $e |- J e. Top $.
    $( Properties that determine a topological space from a construction (using
       no explicit indices).  (Contributed by NM, 20-Oct-2012.)  (Revised by
       Mario Carneiro, 13-Aug-2015.) $)
    eltpsi $p |- K e. TopSp $=
      ( ctopon cfv wcel ctps ctop toptopon mpbi eltpsg ax-mp ) BAGHIZCJIBKIPFBA
      ELMABCDNO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Topological bases
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Token for the class of topological bases. $)
  $c TopBases $.

  $( Syntax for the class of topological bases. $)
  ctb $a class TopBases $.

  ${
    $d x y z $.
    $( Define the class of topological bases.  Equivalent to definition of
       basis in [Munkres] p. 78 (see ~ isbasis2g ).  Note that "bases" is the
       plural of "basis".  (Contributed by NM, 17-Jul-2006.) $)
    df-bases $a |- TopBases =
      { x | A. y e. x A. z e. x ( y i^i z ) C_ U. ( x i^i ~P ( y i^i z ) ) } $.
  $}

  ${
    $d w x y z B $.
    $( Express the predicate "the set ` B ` is a basis for a topology".
       (Contributed by NM, 17-Jul-2006.) $)
    isbasisg $p |- ( B e. C -> ( B e. TopBases <->
          A. x e. B A. y e. B ( x i^i y ) C_ U. ( B i^i ~P ( x i^i y ) ) ) ) $=
      ( vz cv cin cpw cuni wss wral ctb ineq1 unieqd sseq2d raleqbi1dv df-bases
      wceq elab2g ) AFBFGZEFZTHZGZIZJZBUAKZAUAKTCUBGZIZJZBCKZACKECLDUFUJAUACUEU
      IBUACUACRZUDUHTUKUCUGUACUBMNOPPEABQS $.

    $( Express the predicate "the set ` B ` is a basis for a topology".
       (Contributed by NM, 17-Jul-2006.) $)
    isbasis2g $p |- ( B e. C -> ( B e. TopBases <->
           A. x e. B A. y e. B A. z e. ( x i^i y )
              E. w e. B ( z e. w /\ w C_ ( x i^i y ) ) ) ) $=
      ( wcel ctb cv cin cpw cuni wss wral wa wrex isbasisg wex anbi2i bitri
      dfss3 elin velpw an12 exbii eluni df-rex 3bitr4i ralbii 2ralbii bitrdi )
      EFGEHGAIBIJZEULKZJZLZMZBENAENCIZDIZGZURULMZOZDEPZCULNZBENAENABEFQUPVCABEE
      UPUQUOGZCULNVCCULUOUAVDVBCULUSURUNGZOZDRUREGZVAOZDRVDVBVFVHDVFUSVGUTOZOVH
      VEVIUSVEVGURUMGZOVIUREUMUBVJUTVGDULUCSTSUSVGUTUDTUEDUQUNUFVADEUGUHUITUJUK
      $.

    $( Express the predicate "the set ` B ` is a basis for a topology".
       Definition of basis in [Munkres] p. 78.  (Contributed by NM,
       17-Jul-2006.) $)
    isbasis3g $p |- ( B e. C -> ( B e. TopBases <-> ( A. x e. B x C_ U. B /\
     A. x e. U. B E. y e. B x e. y /\ A. x e. B A. y e. B A. z e. ( x i^i y )
     E. w e. B ( z e. w /\ w C_ ( x i^i y ) ) ) ) ) $=
      ( wcel ctb wel cv cin wss wa wrex wral cuni w3a isbasis2g elssuni rgen
      eluni2 biimpi pm3.2i biantrur df-3an bitr4i bitrdi ) EFGEHGCDIDJAJZBJKZLM
      DENCUIOBEOAEOZUHEPZLZAEOZABIBENZAUKOZUJQZABCDEFRUJUMUOMZUJMUPUQUJUMUOULAE
      UHESTUNAUKUHUKGUNBUHEUAUBTUCUDUMUOUJUEUFUG $.
  $}

  ${
    $d w x A $.  $d w x y z B $.  $d w x y z C $.  $d w x y z D $.
    $( Property of a basis.  (Contributed by NM, 16-Jul-2006.) $)
    basis1 $p |- ( ( B e. TopBases /\ C e. B /\ D e. B ) ->
                    ( C i^i D ) C_ U. ( B i^i ~P ( C i^i D ) ) ) $=
      ( vx vy ctb wcel cin cpw cuni wss cv wral wa isbasisg pweqd ineq2d unieqd
      wceq sseq12d ibi ineq1 ineq2 rspc2v syl5com 3impib ) AFGZBAGZCAGZBCHZAUJI
      ZHZJZKZUGDLZELZHZAUQIZHZJZKZEAMDAMZUHUINUNUGVBDEAFOUAVAUNBUPHZAVCIZHZJZKD
      EBCAAUOBSZUQVCUTVFUOBUPUBZVGUSVEVGURVDAVGUQVCVHPQRTUPCSZVCUJVFUMUPCBUCZVI
      VEULVIVDUKAVIVCUJVJPQRTUDUEUF $.

    $( Property of a basis.  (Contributed by NM, 17-Jul-2006.) $)
    basis2 $p |- ( ( ( B e. TopBases /\ C e. B ) /\ ( D e. B /\
          A e. ( C i^i D ) ) ) -> E. x e. B ( A e. x /\ x C_ ( C i^i D ) ) ) $=
      ( vw vy vz ctb wcel cin cv wss wa wrex wi wral wceq rexbidv syl isbasis2g
      wb ineq1 sseq2 anbi2d raleqbi1dv ineq2 rspc2v eleq1 anbi1d rspccv syl6com
      ibi expd imp43 ) CIJZDCJZECJZBDEKZJZBALZJZVAUSMZNZACOZUPUQURUTVEPZUPFLZVA
      JZVAGLZHLZKZMZNZACOZFVKQZHCQGCQZUQURNZVFPUPVPGHFACIUAUMVQVPVHVCNZACOZFUSQ
      ZVFVOVTVHVADVJKZMZNZACOZFWAQZGHDECCVIDRVKWARZVOWEUBVIDVJUCVNWDFVKWAWFVMWC
      ACWFVLWBVHVKWAVAUDUESUFTVJERWAUSRZWEVTUBVJEDUGWDVSFWAUSWGWCVRACWGWBVCVHWA
      USVAUDUESUFTUHVSVEFBUSVGBRZVRVDACWHVHVBVCVGBVAUIUJSUKULTUNUO $.
  $}

  ${
    $d B w x y z $.  $d C w x y z $.
    $( If a set is closed under finite intersection, then it is a basis for a
       topology.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    fiinbas $p |- ( ( B e. C /\ A. x e. B A. y e. B ( x i^i y ) e. B )
                       -> B e. TopBases ) $=
      ( vz vw wcel cv cin wral ctb wss wa wrex wi ssid wceq eleq2 sseq1 ralimdv
      anbi12d rspcev mpanr2 ralrimiva a1i isbasis2g sylibrd imp ) CDGZAHBHIZCGZ
      BCJZACJZCKGZUIUMEHZFHZGZUPUJLZMZFCNZEUJJZBCJZACJUNUIULVBACUIUKVABCUKVAOUI
      UKUTEUJUKUOUJGZUJUJLZUTUJPUSVCVDMFUJCUPUJQUQVCURVDUPUJUORUPUJUJSUAUBUCUDU
      ETTABEFCDUFUGUH $.

    $( A basis is not affected by the addition or removal of the empty set.
       (Contributed by Mario Carneiro, 28-Aug-2015.) $)
    basdif0 $p |- ( ( B \ { (/) } ) e. TopBases <-> B e. TopBases ) $=
      ( vx vy c0 cdif ctb wcel cvv cun wss cv cin cuni wral ralbii wceq elinel2
      wb elsni syl csn ssun1 undif1 sseqtrri snex unexg mpan2 ssexg sylancr cpw
      elex indif1 unieqi unidif0 eqtri sseq2i inss2 eqsstrdi sstrid rgen ralunb
      0ss mpbiran inundif raleqi 3bitr2i inss1 ralrimivw a1i isbasisg pm5.21nii
      difexg 3bitr4d ) ADUAZEZFGZAHGZAFGZVPAVOVNIZJVSHGZVQAAVNIVSAVNUBAVNUCUDVP
      VNHGVTDUEVOVNFHUFUGAVSHUHUIAFUKVQBKZCKZLZVOWCUJZLZMZJZCVONZBVONZWCAWDLZMZ
      JZCANZBANZVPVRWIWNRVQWIWMBVONZWMBAVNLZVOIZNZWNWHWMBVOWHWLCVONZWLCWQNZWMWG
      WLCVOWFWKWCWFWJVNEZMWKWEXAAWDVNULUMWJUNUOUPOWTWLCWPNWSWLCWPWBWPGZWCWBWKWA
      WBUQXBWBDWKXBWBVNGWBDPWBAVNQWBDSTWKVBZURUSUTWLCWPVOVAVCWLCWQAAVNVDZVEVFOW
      RWMBWPNWOWMBWPWAWPGZWLCAXEWCWAWKWAWBVGXEWADWKXEWAVNGWADPWAAVNQWADSTXCURUS
      VHUTWMBWPVOVAVCWMBWQAXDVEVFVIVQVOHGVPWIRAVNHVLBCVOHVJTBCAHVJVMVK $.
  $}

  ${
    $d P x y $.
    $( A disjoint system of sets is a basis for a topology.  (Contributed by
       Stefan O'Rear, 22-Feb-2015.) $)
    baspartn $p |- ( ( P e. V /\ A. x e. P A. y e. P
              ( x = y \/ ( x i^i y ) = (/) ) ) -> P e. TopBases ) $=
      ( wcel weq cv cin c0 wceq wo wral wa ctb cpw cuni wss id pwidg elind jaod
      elssuni syl inidm ineq2 eqtr3id pweqd ineq2d unieqd sseq12d syl5ibcom 0ss
      wi sseq1 mpbiri a1i ralimdv ralimia adantl wb isbasisg adantr mpbird ) CD
      EZABFZAGZBGZHZIJZKZBCLZACLZMCNEZVHCVHOZHZPZQZBCLZACLZVLVSVDVKVRACVFCEZVJV
      QBCVTVEVQVIVTVFCVFOZHZPZQZVEVQVTVFWBEWDVTCWAVFVTRVFCSTVFWBUBUCVEVFVHWCVPV
      EVFVFVFHVHVFUDVFVGVFUEUFZVEWBVOVEWAVNCVEVFVHWEUGUHUIUJUKVIVQUMVTVIVQIVPQV
      PULVHIVPUNUOUPUAUQURUSVDVMVSUTVLABCDVAVBVC $.
  $}

  ${
    $d x y z A $.  $d t u v w x y z B $.  $d w x y z J $.  $d x y z V $.
    $d x y C $.
    $( The topology generated by a basis.  See also ~ tgval2 and ~ tgval3 .
       (Contributed by NM, 16-Jul-2006.)  (Revised by Mario Carneiro,
       10-Jan-2015.) $)
    tgval $p |- ( B e. V -> ( topGen ` B ) =
                  { x | x C_ U. ( B i^i ~P x ) } ) $=
      ( vy wcel cpw cin cuni wss cab cvv ctg df-topgen wceq ineq1 unieqd sseq2d
      cv abbidv elex wa uniexg abssexg uniin sstr mpan2 ssin sylibr ss2abi mpan
      ssexg 3syl fvmptd3 ) BCEZDBARZDRZUOFZGZHZIZAJUOBUQGZHZIZAJZKLKDAMUPBNZUTV
      CAVEUSVBUOVEURVAUPBUQOPQSBCTUNBHZKEUOVFIUOUQHZIZUAZAJZKEZVDKEZBCUBVHAVFKU
      CVDVJIVKVLVCVIAVCUOVFVGGZIZVIVCVBVMIVNBUQUDUOVBVMUEUFUOVFVGUGUHUIVDVJKUKU
      JULUM $.

    $( Definition of a topology generated by a basis in [Munkres] p. 78.  Later
       we show (in ~ tgcl ) that ` ( topGen `` B ) ` is indeed a topology (on
       ` U. B ` , see ~ unitg ).  See also ~ tgval and ~ tgval3 .  (Contributed
       by NM, 15-Jul-2006.)  (Revised by Mario Carneiro, 10-Jan-2015.) $)
    tgval2 $p |- ( B e. V -> ( topGen ` B ) =
         { x | ( x C_ U. B /\ A. y e. x E. z e. B ( y e. z /\ z C_ x ) ) } ) $=
      ( wcel ctg cv cuni wss cab wa wrex wral ralbii bitri dfss3 anbi2i 3bitr4i
      wex cfv cpw cin tgval inss1 unissi sseli pm4.71ri r19.26 elin exbii eluni
      an12 df-rex velpw rexbii bitr2i anbi12i abbii eqtrdi ) DEFDGUAAHZDVAUBZUC
      ZIZJZAKVADIZJZBHZCHZFZVIVAJZLZCDMZBVANZLZAKADEUDVEVOAVHVDFZBVANZVHVFFZBVA
      NZVQLZVEVOVQVRVPLZBVANVTVPWABVAVPVRVDVFVHVCDDVBUEUFUGUHOVRVPBVAUIPBVAVDQV
      GVSVNVQBVAVFQVMVPBVAVPVJVIVBFZLZCDMZVMVJVIVCFZLZCTVIDFZWCLZCTVPWDWFWHCWFV
      JWGWBLZLWHWEWIVJVIDVBUJRVJWGWBUMPUKCVHVCULWCCDUNSWCVLCDWBVKVJCVAUORUPUQOU
      RSUSUT $.

    $( Membership in a topology generated by a basis.  (Contributed by NM,
       16-Jul-2006.)  (Revised by Mario Carneiro, 10-Jan-2015.) $)
    eltg $p |- ( B e. V -> ( A e. ( topGen ` B ) <->
           A C_ U. ( B i^i ~P A ) ) ) $=
      ( vx wcel ctg cfv cv cpw cin cuni wss cab tgval eleq2d elex adantl inex1g
      cvv uniexd ssexg sylan2 ancoms wceq id pweq ineq2d sseq12d elabg pm5.21nd
      unieqd bitrd ) BCEZABFGZEADHZBUOIZJZKZLZDMZEZABAIZJZKZLZUMUNUTADBCNOUMVAV
      EASEZVAVFUMAUTPQVEUMVFUMVEVDSEVFUMVCSBVBCRTAVDSUAUBUCUSVEDASUOAUDZUOAURVD
      VGUEVGUQVCVGUPVBBUOAUFUGUKUHUIUJUL $.

    $( Membership in a topology generated by a basis.  (Contributed by NM,
       15-Jul-2006.)  (Revised by Mario Carneiro, 10-Jan-2015.) $)
    eltg2 $p |- ( B e. V -> ( A e. ( topGen ` B ) <->
           ( A C_ U. B /\ A. x e. A E. y e. B ( x e. y /\ y C_ A ) ) ) ) $=
      ( vz wcel ctg cfv cv cuni wss wa wrex wral cab tgval2 eleq2d cvv elex
      adantl uniexg ssexg sylan2 ancoms adantrr wceq sseq1 sseq2 anbi2d rexbidv
      raleqbi1dv anbi12d elabg pm5.21nd bitrd ) DEGZCDHIZGCFJZDKZLZAJBJZGZVBUSL
      ZMZBDNZAUSOZMZFPZGZCUTLZVCVBCLZMZBDNZACOZMZUQURVICFABDEQRUQVJVPCSGZVJVQUQ
      CVITUAUQVKVQVOVKUQVQUQVKUTSGVQDEUBCUTSUCUDUEUFVHVPFCSUSCUGZVAVKVGVOUSCUTU
      HVFVNAUSCVRVEVMBDVRVDVLVCUSCVBUIUJUKULUMUNUOUP $.

    $( Membership in a topology generated by a basis.  (Contributed by Mario
       Carneiro, 17-Jun-2014.)  (Revised by Mario Carneiro, 10-Jan-2015.) $)
    eltg2b $p |- ( B e. V -> ( A e. ( topGen ` B ) <->
                   A. x e. A E. y e. B ( x e. y /\ y C_ A ) ) ) $=
      ( wcel ctg cfv cuni wss cv wa wrex wral eltg2 reximi eluni2 sylibr ralimi
      simpl dfss3 pm4.71ri bitr4di ) DEFCDGHFCDIZJZAKZBKZFZUGCJZLZBDMZACNZLULAB
      CDEOULUEULUFUDFZACNUEUKUMACUKUHBDMUMUJUHBDUHUITPBUFDQRSACUDUARUBUC $.

    $( An open set in a topology generated by a basis is the union of all basic
       open sets contained in it.  (Contributed by Stefan O'Rear,
       22-Feb-2015.) $)
    eltg4i $p |- ( A e. ( topGen ` B ) -> A = U. ( B i^i ~P A ) ) $=
      ( ctg cfv wcel cpw cin cuni wss cdm wb elfvdm eltg syl inss2 unissi unipw
      ibi sseqtri a1i eqssd ) ABCDEZABAFZGZHZUBAUEIZUBBCJZEUBUFKABCLABUGMNRUEAI
      UBUEUCHAUDUCBUCOPAQSTUA $.

    $( The union of a set of basic open sets is in the generated topology.
       (Contributed by Mario Carneiro, 30-Aug-2015.) $)
    eltg3i $p |- ( ( B e. V /\ A C_ B ) -> U. A e. ( topGen ` B ) ) $=
      ( wcel wss wa cuni ctg cfv cpw simpr pwuni ssin sylanblc unissd wb adantr
      cin eltg mpbird ) BCDZABEZFZAGZBHIDZUDBUDJZRZGEZUCAUGUCUBAUFEAUGEUAUBKALA
      BUFMNOUAUEUHPUBUDBCSQT $.

    $( Membership in a topology generated by a basis.  (Contributed by NM,
       15-Jul-2006.)  (Proof shortened by Mario Carneiro, 30-Aug-2015.) $)
    eltg3 $p |- ( B e. V -> ( A e. ( topGen ` B ) <->
           E. x ( x C_ B /\ A = U. x ) ) ) $=
      ( wcel ctg cfv cv wss cuni wceq wa wex cpw cin cvv cdm elfvdm inex1g syl
      eltg4i inss1 sseq1 mpbiri biantrurd unieq eqeq2d bitr3d spcedv syl5ibrcom
      eltg3i eleq1 expimpd exlimdv impbid2 ) CDEZBCFGZEZAHZCIZBUSJZKZLZAMURVCBC
      BNZOZJZKZAPVEURCFQZEVEPEBCFRCVDVHSTBCUAUSVEKZVBVCVGVIUTVBVIUTVECICVDUBUSV
      ECUCUDUEVIVAVFBUSVEUFUGUHUIUPVCURAUPUTVBURUPUTLURVBVAUQEUSCDUKBVAUQULUJUM
      UNUO $.

    $( Alternate expression for the topology generated by a basis.  Lemma 2.1
       of [Munkres] p. 80.  See also ~ tgval and ~ tgval2 .  (Contributed by
       NM, 17-Jul-2006.)  (Revised by Mario Carneiro, 30-Aug-2015.) $)
    tgval3 $p |- ( B e. V ->
               ( topGen ` B ) = { x | E. y ( y C_ B /\ x = U. y ) } ) $=
      ( wcel cv wss cuni wceq wa wex ctg cfv eltg3 abbi2dv ) CDEBFZCGAFZPHIJBKA
      CLMBQCDNO $.

    $( Property of a member of a topology generated by a basis.  (Contributed
       by NM, 20-Jul-2006.) $)
    tg1 $p |- ( A e. ( topGen ` B ) -> A C_ U. B ) $=
      ( vx vy ctg cdm wcel cfv cuni wss elfvdm cv wa wrex wral simprbda mpancom
      eltg2 ) BEFZGZABEHGZABIJZABEKTUAUBCLDLZGUCAJMDBNCAOCDABSRPQ $.

    $( Property of a member of a topology generated by a basis.  (Contributed
       by NM, 20-Jul-2006.) $)
    tg2 $p |- ( ( A e. ( topGen ` B ) /\ C e. A ) ->
               E. x e. B ( C e. x /\ x C_ A ) ) $=
      ( vy ctg cfv wcel cv wss wa wrex cdm elfvdm wral eltg2b wceq eleq1 anbi1d
      wi rexbidv rspccv syl6bi mpcom imp ) BCFGHZDBHZDAIZHZUHBJZKZACLZCFMZHZUFU
      GULTZBCFNUNUFEIZUHHZUJKZACLZEBOUOEABCUMPUSULEDBUPDQZURUKACUTUQUIUJUPDUHRS
      UAUBUCUDUE $.

    $( A member of a basis is a subset of the topology it generates.
       (Contributed by NM, 16-Jul-2006.)  (Revised by Mario Carneiro,
       10-Jan-2015.) $)
    bastg $p |- ( B e. V -> B C_ ( topGen ` B ) ) $=
      ( vx wcel ctg cfv cv cpw cin cuni wss wa simpr vex pwid a1i elind elssuni
      syl ex eltg sylibrd ssrdv ) ABDZCAAEFZUDCGZADZUFAUFHZIZJKZUFUEDUDUGUJUDUG
      LZUFUIDUJUKAUHUFUDUGMUFUHDUKUFCNOPQUFUIRSTUFABUAUBUC $.

    $( The topology generated by a basis ` B ` is a topology on ` U. B ` .
       Importantly, this theorem means that we don't have to specify separately
       the base set for the topological space generated by a basis.  In other
       words, any member of the class ` TopBases ` completely specifies the
       basis it corresponds to.  (Contributed by NM, 16-Jul-2006.)  (Proof
       shortened by OpenAI, 30-Mar-2020.) $)
    unitg $p |- ( B e. V -> U. ( topGen ` B ) = U. B ) $=
      ( vx wcel ctg cfv cuni wss cpw cv tg1 velpw sylibr ssriv sspwuni mpbi a1i
      bastg unissd eqssd ) ABDZAEFZGZAGZUCUDHZUAUBUDIZHUECUBUFCJZUBDUGUDHUGUFDU
      GAKCUDLMNUBUDOPQUAAUBABRST $.

    $( Subset relation for generated topologies.  (Contributed by NM,
       7-May-2007.) $)
    tgss $p |- ( ( C e. V /\ B C_ C ) -> ( topGen ` B ) C_ ( topGen ` C ) ) $=
      ( vx wcel wss wa ctg cfv cv cpw cin cuni wi ssrin unissd sstr2 cvv eltg
      wb syl5com adantl ssexg ancoms syl adantr 3imtr4d ssrdv ) BCEZABFZGZDAHIZ
      BHIZUKDJZAUNKZLZMZFZUNBUOLZMZFZUNULEZUNUMEZUJURVANUIUJUQUTFURVAUJUPUSABUO
      OPUNUQUTQUAUBUKAREZVBURTUJUIVDABCUCUDUNARSUEUIVCVATUJUNBCSUFUGUH $.

    $( Show that a basis generates a topology.  Remark in [Munkres] p. 79.
       (Contributed by NM, 17-Jul-2006.) $)
    tgcl $p |- ( B e. TopBases -> ( topGen ` B ) e. Top ) $=
      ( vu vv vx vy vt vz vw ctb wcel cv wss cuni wi wral wel wa wrex rsp eltg2
      ctg cfv wal cin ctop uniss adantl wceq unitg adantr sseqtrd eluni2 eltg2b
      ssel2 syl6bi imp31 an32s sylan2 an42s elssuni syl5com anim2d ad2antrl mpd
      sstr2 reximdv rexlimdvaa syl5bi ralrimiv jca ex sylibrd alrimiv inss1 tg1
      sstrid simplbda syl im2anan9 reeanv 3imtr4g anandis biimpri ss2in anim12i
      elin basis2 adantllr adantrrr com12 ad2antll sylanr2 rexlimdva a2d syldan
      an4s imp ralrimivv cvv wb fvex istopg ax-mp sylanbrc ) AIJZBKZAUAUBZLZXFM
      ZXGJZNZBUCZXFCKZUDZXGJZCXGOBXGOZXGUEJZXEXKBXEXHXIAMZLZDEPZEKZXILZQZEARZDX
      IOZQZXJXEXHYFXEXHQZXSYEYGXIXGMZXRXHXIYHLXEXFXGUFUGXEYHXRUHXHAIUIUJUKYGYDD
      XIDKZXIJDFPZFXFRYGYDFYIXFULYGYJYDFXFYGFBPZYJQQXTYAFKZLZQZEARZYDXEYJXHYKYO
      XHYKQXEYJQYLXGJZYOXFXGYLUNXEYPYJYOXEYPYJYOXEYPYODYLOYJYONDEYLAIUMYODYLSUO
      UPUQURUSYKYOYDNYGYJYKYNYCEAYKYMYBXTYKYLXILYMYBYLXFUTYAYLXIVEVAVBVFVCVDVGV
      HVIVJVKDEXIAITVLVMXEXOBCXGXGXEXFXGJZXMXGJZQZXNXRLZYJYLXNLZQZFARZDXNOZQZXO
      XEYSUUEXEYSQZYTUUDYQYTXEYRYQXNXFXRXFXMVNXFAVOVPVCUUFUUCDXNXEYSYIXNJZDGPZG
      KZXFLZQZDHPZHKZXMLZQZQZHARZGARZNZUUGUUCNZXEYQYRUUSXEYQQZXEYRQZQDBPZDCPZQU
      UKGARZUUOHARZQUUGUURUVAUVCUVEUVBUVDUVFUVAUVEDXFOZUVCUVENXEYQXFXRLUVGDGXFA
      ITVQUVEDXFSVRUVBUVFDXMOZUVDUVFNXEYRXMXRLUVHDHXMAITVQUVFDXMSVRVSYIXFXMWFUU
      KUUOGHAAVTWAWBXEUUSUUTXEUUGUURUUCXEUUGUURUUCNXEUUGQZUUQUUCGAUVIUUIAJZQZUU
      PUUCHAUUPUVKUUMAJZYIUUIUUMUDZJZUVMXNLZQZUUCUUHUULUUJUUNUVPUUHUULQZUVNUUJU
      UNQUVOUVNUVQYIUUIUUMWFWCUUIXFUUMXMWDWEWPUVKUVLUVPQQYJYLUVMLZQZFARZUUCUVKU
      VLUVNUVTUVOXEUVJUVLUVNQUVTUUGFYIAUUIUUMWGWHWIUVPUVTUUCNZUVKUVLUVOUWAUVNUV
      OUVSUUBFAUVOUVRUUAYJUVRUVOUUAYLUVMXNVEWJVBVFUGWKVDWLVGWMVKWNWQWOVIVJVKDFX
      NAITVLWRXGWSJXQXLXPQWTAUAXABCWSXGXBXCXD $.

    $( The property ~ tgcl can be reversed: if the topology generated by ` B `
       is actually a topology, then ` B ` must be a topological basis.  This
       yields an alternative definition of ` TopBases ` .  (Contributed by
       Mario Carneiro, 2-Sep-2015.) $)
    tgclb $p |- ( B e. TopBases <-> ( topGen ` B ) e. Top ) $=
      ( vz vw vx vy ctb wcel ctg cfv ctop tgcl cin wss wrex wral cvv syl sselda
      cv wa c0 0opn bastg anim12dan inopn 3expb syldan tg2 ralrimiva ralrimivva
      elfvexd wb isbasis2g mpbird impbii ) AFGZAHIZJGZAKURUPBSZCSZGUTDSZESZLZMT
      CANZBVCOZEAODAOZURVEDEAAURVAAGZVBAGZTZTVCUQGZVEURVIVAUQGZVBUQGZTVJURVGVKV
      HVLURAUQVAURAPGZAUQMURUAHAUQUBUKZAPUCQZRURAUQVBVORUDURVKVLVJVAVBUQUEUFUGV
      JVDBVCCVCAUSUHUIQUJURVMUPVFULVNDEBCAPUMQUNUO $.

    $( A basis generates a topology on ` U. B ` .  (Contributed by Mario
       Carneiro, 14-Aug-2015.) $)
    tgtopon $p |- ( B e. TopBases -> ( topGen ` B ) e. ( TopOn ` U. B ) ) $=
      ( ctb wcel ctg ctop cuni wceq ctopon tgcl unitg eqcomd istopon sylanbrc
      cfv ) ABCZADNZECAFZPFZGPQHNCAIORQABJKQPLM $.

    $( A topology is its own basis.  (Contributed by NM, 17-Jul-2006.) $)
    topbas $p |- ( J e. Top -> J e. TopBases ) $=
      ( vz vw vx vy ctop wcel ctb cv cin wrex wral inopn 3expb simpr ssid jctir
      wss wa wceq eleq2 sseq1 anbi12d rspcev syl2an2r exp31 ralrimivv isbasis2g
      ralrimdv mpbird ) AFGZAHGBIZCIZGZUMDIZEIZJZRZSZCAKZBUQLZEALDALUKVADEAAUKU
      OAGZUPAGZSZUTBUQUKVDULUQGZUTUKVDSZUQAGZVEVEUQUQRZSZUTUKVBVCVGUOUPAMNVFVES
      VEVHVFVEOUQPQUSVICUQAUMUQTUNVEURVHUMUQULUAUMUQUQUBUCUDUEUFUIUGDEBCAFUHUJ
      $.

    $( A topology is its own basis.  (Contributed by NM, 18-Jul-2006.) $)
    tgtop $p |- ( J e. Top -> ( topGen ` J ) = J ) $=
      ( vx vy ctop wcel ctg cfv cv wss cuni wceq wex eltg3 simpr uniopn eqeltrd
      wa adantr expl exlimdv sylbid ssrdv bastg eqssd ) ADEZAFGZAUEBUFAUEBHZUFE
      CHZAIZUGUHJZKZQZCLUGAEZCUGADMUEULUMCUEUIUKUMUEUIQZUKQUGUJAUNUKNUNUJAEUKUH
      AORPSTUAUBADUCUD $.

    $( Membership in a topology, expressed without quantifiers.  (Contributed
       by NM, 19-Jul-2006.) $)
    eltop $p |- ( J e. Top -> ( A e. J <-> A C_ U. ( J i^i ~P A ) ) ) $=
      ( ctop wcel ctg cfv cpw cin cuni wss tgtop eleq2d eltg bitr3d ) BCDZABEFZ
      DABDABAGHIJOPBABKLABCMN $.

    $( Membership in a topology.  (Contributed by NM, 19-Jul-2006.) $)
    eltop2 $p |- ( J e. Top -> ( A e. J <->
                   A. x e. A E. y e. J ( x e. y /\ y C_ A ) ) ) $=
      ( ctop wcel ctg cfv cv wss wa wrex wral tgtop eleq2d eltg2b bitr3d ) DEFZ
      CDGHZFCDFAIBIZFTCJKBDLACMRSDCDNOABCDEPQ $.

    $( Membership in a topology.  (Contributed by NM, 19-Jul-2006.) $)
    eltop3 $p |- ( J e. Top -> ( A e. J <-> E. x ( x C_ J /\ A = U. x ) ) ) $=
      ( ctop wcel ctg cfv cv wss cuni wceq wa wex tgtop eleq2d eltg3 bitr3d ) C
      DEZBCFGZEBCEAHZCIBTJKLAMRSCBCNOABCDPQ $.

    $( A collection of finite intersections is a basis.  The initial set is a
       subbasis for the topology.  (Contributed by Jeff Hankins, 25-Aug-2009.)
       (Revised by Mario Carneiro, 24-Nov-2013.) $)
    fibas $p |- ( fi ` A ) e. TopBases $=
      ( vx vy cfi cfv cvv wcel cv cin wral ctb fvex fiin rgen2 fiinbas mp2an )
      ADEZFGBHZCHZIQGZCQJBQJQKGADLTBCQQRSAMNBCQFOP $.

    $( A space has no more open sets than subsets of a basis.  (Contributed by
       Stefan O'Rear, 22-Feb-2015.)  (Revised by Mario Carneiro,
       9-Apr-2015.) $)
    tgdom $p |- ( B e. V -> ( topGen ` B ) ~<_ ~P B ) $=
      ( vx vy wcel cpw cvv ctg cfv cdom wbr pwexg cv cin wss inss1 wa wceq cuni
      eltg4i vpwex inex2 elpw mpbir unieq adantl ad2antrr ad2antlr 3eqtr4d pweq
      a1i ex ineq2d impbid1 dom2 syl ) ABEAFZGEAHIZUQJKABLCDURUQACMZFZNZADMZFZN
      ZGVAUQEZUSUREZVEVAAOAUTPVAAUTACUAUBUCUDUKVFVBUREZQZVAVDRZUSVBRZVHVIVJVHVI
      QVASZVDSZUSVBVIVKVLRVHVAVDUEUFVFUSVKRVGVIUSATUGVGVBVLRVFVIVBATUHUIULVJUTV
      CAUSVBUJUMUNUOUP $.
  $}

  ${
    $d x A $.  $d x y z B $.  $d x y z V $.
    $( The indexed union of a set of basic open sets is in the generated
       topology.  (Contributed by Mario Carneiro, 2-Sep-2015.) $)
    tgiun $p |- ( ( B e. V /\ A. x e. A C e. B ) ->
      U_ x e. A C e. ( topGen ` B ) ) $=
      ( wcel wral wa ciun cmpt crn cuni ctg cfv wceq dfiun3g adantl wss rnmptss
      eqid eltg3i sylan2 eqeltrd ) CEFZDCFABGZHABDIZABDJZKZLZCMNZUEUFUIOUDABDCP
      QUEUDUHCRUIUJFABDCUGUGTSUHCEUAUBUC $.

    $( The topology generator function is idempotent.  (Contributed by NM,
       18-Jul-2006.)  (Revised by Mario Carneiro, 2-Sep-2015.) $)
    tgidm $p |- ( B e. V ->
                 ( topGen ` ( topGen ` B ) ) = ( topGen ` B ) ) $=
      ( vx vy vz wcel ctg cfv cv wss cuni wceq wa wex cvv fvex eltg3 ax-mp ciun
      wb cpw cin uniiun simpr sselda eltg4i iuneq2dv syl5eq iuncom4 eqtrdi wral
      syl inss1 rgenw iunss mpbir a1i eltg3i eqeltrd syl5ibrcom expimpd exlimdv
      sylan2 eleq1 syl5bi ssrdv bastg tgss sylancr eqssd ) ABFZAGHZGHZVLVKCVMVL
      CIZVMFZDIZVLJZVNVPKZLZMZDNZVKVNVLFZVLOFZVOWATAGPZDVNVLOQRVKVTWBDVKVQVSWBV
      KVQMZWBVSVRVLFWEVREVPAEIZUAZUBZSZKZVLWEVREVPWHKZSZWJWEVREVPWFSWLEVPUCWEEV
      PWFWKWEWFVPFMWFVLFWFWKLWEVPVLWFVKVQUDUEWFAUFULUGUHEVPWHUIUJVQVKWIAJZWJVLF
      WMVQWMWHAJZEVPUKWNEVPAWGUMUNEVPWHAUOUPUQWIABURVCUSVNVRVLVDUTVAVBVEVFVKWCA
      VLJVLVMJWDABVGAVLOVHVIVJ $.
  $}

  $( Two ways to express that a basis is a topology.  (Contributed by NM,
     18-Jul-2006.) $)
  bastop $p |- ( B e. TopBases -> ( B e. Top <-> ( topGen ` B ) = B ) ) $=
    ( ctb wcel ctop ctg cfv wceq tgtop tgcl eleq1 syl5ibcom impbid2 ) ABCZADCZA
    EFZAGZAHMODCPNAIOADJKL $.

  $( The topology generation function is one-to-one when applied to completed
     topologies.  (Contributed by NM, 18-Jul-2006.) $)
  tgtop11 $p |- ( ( J e. Top /\ K e. Top /\ ( topGen ` J ) = ( topGen ` K ) )
                 -> J = K ) $=
    ( ctop wcel ctg cfv wceq tgtop eqeqan12d biimp3a ) ACDZBCDZAEFZBEFZGABGKLMA
    NBAHBHIJ $.

  $( The singleton of the empty set is the only topology possible for an empty
     underlying set.  (Contributed by NM, 9-Sep-2006.) $)
  0top $p |- ( J e. Top -> ( U. J = (/) <-> J = { (/) } ) ) $=
    ( ctop wcel c0 csn wceq wo cuni olc wn 0opn n0i syl pm2.21d idd impbid2 wss
    jaod uni0b sssn bitr2i bitr2di ) ABCZADEZFZADFZUEGZAHDFZUCUEUGUEUFIUCUFUEUE
    UCUFUEUCDACUFJAKADLMNUCUEORPUHAUDQUGASADTUAUB $.

  $( ` { (/) } ` is the only topology with one element.  (Contributed by FL,
     18-Aug-2008.) $)
  en1top $p |- ( J e. Top -> ( J ~~ 1o <-> J = { (/) } ) ) $=
    ( ctop wcel c1o cen wbr c0 csn wceq wi en1eqsn ex syl id 0ex ensn1 eqbrtrdi
    0opn impbid1 ) ABCZADEFZAGHZIZTGACZUAUCJARUDUAUCGAKLMUCAUBDEUCNGOPQS $.

  ${
    $d x J $.  $d x X $.
    $( If a topology has two elements, it is the indiscrete topology.
       (Contributed by FL, 11-Aug-2008.)  (Revised by Mario Carneiro,
       10-Sep-2015.) $)
    en2top $p |- ( J e. ( TopOn ` X ) ->
      ( J ~~ 2o <-> ( J = { (/) , X } /\ X =/= (/) ) ) ) $=
      ( vx wcel c2o cen wbr c0 wceq wne wa c1o simprl sylibr syl 0ex mpd necomd
      adantr cvv ctopon cfv cpr simpr wn csdm wo csn cv toponss ad2ant2rl sseq0
      syl2anc velsn expr ssrdv ctop topontop 0opn ad2antrr snssd eqssd eqbrtrdi
      wss ensn1 olcd sdom2en01 sdomnen ex necon2ad toponmax en2eqpr syl3anc jca
      wi simprr pr2nelem mp3an2ani eqbrtrd impbida ) ABUAUBDZAEFGZAHBUCZIZBHJZK
      ZWAWBKZWDWEWGHBJZWDWGBHWGWBWEWAWBUDZWGWBBHWGBHIZWBUEZWGWJKZAEUFGZWKWLAHIZ
      ALFGZUGWMWLWOWNWLAHUHZLFWLAWPWLCAWPWGWJCUIZADZWQWPDZWGWJWRKKZWQHIZWSWTWQB
      VDZWJXAWAWRXBWBWJWQABUJUKWGWJWRMWQBULUMCHUNNUOUPWLHAWAHADZWBWJWAAUQDXCBAU
      RAUSOZUTVAVBHPVEVCVFAVGNAEVHOVIVJQZRWGWBXCBADZWHWDVOWIWAXCWBXDSWAXFWBBAVK
      ZSHBAVLVMQXEVNWAWFKZAWCEFWAWDWEMHTDWAXFWFWHWCEFGPXGXHBHWAWDWEVPRHBTAVQVRV
      SVT $.
  $}

  ${
    $d x y z B $.  $d x y z C $.  $d x y z J $.  $d x y V $.
    $( A criterion for determining whether one topology is finer than another.
       Lemma 2.2 of [Munkres] p. 80 using abbreviations.  (Contributed by NM,
       20-Jul-2006.)  (Proof shortened by Mario Carneiro, 2-Sep-2015.) $)
    tgss3 $p |- ( ( B e. V /\ C e. W ) ->
      ( ( topGen ` B ) C_ ( topGen ` C ) <-> B C_ ( topGen ` C ) ) ) $=
      ( wcel wa ctg cfv wss wi bastg adantr sstr2 syl fvex tgss mpan wceq tgidm
      cvv adantl sseq2d syl5ib impbid ) ACEZBDEZFZAGHZBGHZIZAUIIZUGAUHIZUJUKJUE
      ULUFACKLAUHUIMNUKUHUIGHZIZUGUJUITEUKUNBGOAUITPQUGUMUIUHUFUMUIRUEBDSUAUBUC
      UD $.

    $( A criterion for determining whether one topology is finer than another,
       based on a comparison of their bases.  Lemma 2.2 of [Munkres] p. 80.
       (Contributed by NM, 20-Jul-2006.)  (Proof shortened by Mario Carneiro,
       2-Sep-2015.) $)
    tgss2 $p |- ( ( B e. V /\ U. B = U. C ) ->
                    ( ( topGen ` B ) C_ ( topGen ` C ) <->
     A. x e. U. B A. y e. B ( x e. y -> E. z e. C ( x e. z /\ z C_ y ) ) ) ) $=
      ( wcel cuni wa ctg cfv wss wel cv wi wral cvv wb syl ralbidva wceq uniexg
      wrex simpr adantr eqeltrrd uniexb sylibr tgss3 syldan eltg2b elunii biimt
      ancoms sylan9bb ralcom3 bitrdi dfss3 ralcom 3bitr4g bitrd ) DFGZDHZEHZUAZ
      IZDJKEJKZLZDVGLZABMZACMCNBNZLICEUCZOZBDPAVCPZVBVEEQGZVHVIRVFVDQGVOVFVCVDQ
      VBVEUDVBVCQGVEDFUBUEUFEUGUHZDEFQUIUJVFVKVGGZBDPVMAVCPZBDPVIVNVFVQVRBDVFVK
      DGZIVQANZVCGZVLOZAVKPZVRVFVQVLAVKPZVSWCVFVOVQWDRVPACVKEQUKSVSVLWBAVKVSVJI
      WAVLWBRVJVSWAVTVKDULUNWAVLUMSTUOVLAVKVCUPUQTBDVGURVMABVCDUSUTVA $.

    $( Given a topology ` J ` , show that a subset ` B ` satisfying the third
       antecedent is a basis for it.  Lemma 2.3 of [Munkres] p. 81 using
       abbreviations.  (Contributed by NM, 22-Jul-2006.)  (Revised by Mario
       Carneiro, 2-Sep-2015.) $)
    basgen $p |- ( ( J e. Top /\ B C_ J /\ J C_ ( topGen ` B ) ) ->
      ( topGen ` B ) = J ) $=
      ( ctop wcel wss ctg cfv w3a tgss 3adant3 wceq tgtop 3ad2ant1 simp3 eqssd
      sseqtrd ) BCDZABEZBAFGZEZHZSBUASBFGZBQRSUBETABCIJQRUBBKTBLMPQRTNO $.

    $( Given a topology ` J ` , show that a subset ` B ` satisfying the third
       antecedent is a basis for it.  Lemma 2.3 of [Munkres] p. 81.
       (Contributed by NM, 20-Jul-2006.)  (Proof shortened by Mario Carneiro,
       2-Sep-2015.) $)
    basgen2 $p |- ( ( J e. Top /\ B C_ J /\ A. x e. J A. y e. x E. z e. B
            ( y e. z /\ z C_ x ) ) -> ( topGen ` B ) = J ) $=
      ( ctop wcel wss cv wa wrex wral ctg cfv wceq dfss3 cvv wb ssexg ancoms
      eltg2b syl ralbidv syl5bb biimp3ar basgen syld3an3 ) EFGZDEHZBICIZGUJAIZH
      JCDKBUKLZAELZEDMNZHZUNEOUHUIUOUMUOUKUNGZAELUHUIJZUMAEUNPUQUPULAEUQDQGZUPU
      LRUIUHURDEFSTBCUKDQUAUBUCUDUEDEUFUG $.

    $( Conditions that determine the equality of two generated topologies.
       (Contributed by NM, 8-May-2007.)  (Revised by Mario Carneiro,
       2-Sep-2015.) $)
    2basgen $p |- ( ( B C_ C /\ C C_ ( topGen ` B ) ) ->
      ( topGen ` B ) = ( topGen ` C ) ) $=
      ( wss ctg cfv wa cvv wcel fvex ssex simpl tgss syl2an2 simpr ssexg sylan2
      wb tgss3 mpbird eqssd ) ABCZBADEZCZFZUBBDEZUCBGHZUAUAUBUECBUBADIJZUAUCKAB
      GLMUDUEUBCZUCUAUCNUCUFUAAGHZUHUCQUGUCUAUFUIUGABGOPBAGGRMST $.

    $( If a subbase is included into a topology, so is the generated topology.
       (Contributed by FL, 20-Apr-2012.)  (Proof shortened by Mario Carneiro,
       10-Jan-2015.) $)
    tgfiss $p |- ( ( J e. Top /\ A C_ J ) -> ( topGen ` ( fi ` A ) ) C_ J ) $=
      ( ctop wcel wss wa cfi cfv ctg fiss wceq fitop adantr sseqtrd tgss syldan
      tgtop ) BCDZABEZFZAGHZIHZBIHZBRSUABEUBUCETUABGHZBABCJRUDBKSBLMNUABCOPRUCB
      KSBQMN $.

    $( A generated topology is not affected by the addition or removal of the
       empty set from the base.  (Contributed by Mario Carneiro,
       28-Aug-2015.) $)
    tgdif0 $p |- ( topGen ` ( B \ { (/) } ) ) = ( topGen ` B ) $=
      ( vx cvv wcel c0 csn cdif ctg cfv wceq cpw cin cuni wss cab indif1 unieqi
      cv tgval fvprc unidif0 eqtri sseq2i difexg syl 3eqtr4a wn difsnexi eqtr4d
      abbii nsyl5 pm2.61i ) ACDZAEFZGZHIZAHIZJUMBRZUOURKZLZMZNZBOZURAUSLZMZNZBO
      UPUQVBVFBVAVEURVAVDUNGZMVEUTVGAUSUNPQVDUAUBUCUJUMUOCDZUPVCJAUNCUDBUOCSUEB
      ACSUFUMUGUPEUQVHUMUPEJEAUHUOHTUKAHTUIUL $.
  $}

  ${
    $d x y B $.  $d x y J $.
    $( A subset of a topology is a basis for the topology iff every member of
       the topology is a union of members of the basis.  We use the
       idiom " ` ( topGen `` B ) = J ` " to express " ` B ` is a basis for
       topology ` J ` " since we do not have a separate notation for this.
       Definition 15.35 of [Schechter] p. 428.  (Contributed by NM,
       2-Feb-2008.)  (Proof shortened by Mario Carneiro, 2-Sep-2015.) $)
    bastop1 $p |- ( ( J e. Top /\ B C_ J ) -> ( ( topGen ` B ) = J <->
      A. x e. J E. y ( y C_ B /\ x = U. y ) ) ) $=
      ( ctop wcel wss wa ctg cfv wceq cv wral cuni wex wb tgss tgtop syl cvv
      adantr sseqtrd eqss baib dfss3 bitrdi ssexg ancoms eltg3 ralbidv bitrd )
      DEFZCDGZHZCIJZDKZALZUOFZADMZBLZCGUQUTNKHBOZADMUNUPDUOGZUSUNUODGZUPVBPUNUO
      DIJZDCDEQULVDDKUMDRUAUBUPVCVBUODUCUDSADUOUEUFUNURVAADUNCTFZURVAPUMULVECDE
      UGUHBUQCTUISUJUK $.

    $( A version of ~ bastop1 that doesn't have ` B C_ J ` in the antecedent.
       (Contributed by NM, 3-Feb-2008.) $)
    bastop2 $p |- ( J e. Top -> ( ( topGen ` B ) = J <->
           ( B C_ J /\ A. x e. J E. y ( y C_ B /\ x = U. y ) ) ) ) $=
      ( ctop wcel ctg cfv wceq wss wa cv cuni wex wral ctb eleq1 biimparc tgclb
      sylibr bastg syl simpr sseqtrd ex pm4.71rd bastop1 pm5.32da bitrd ) DEFZC
      GHZDIZCDJZULKUMBLZCJALUNMIKBNADOZKUJULUMUJULUMUJULKZCUKDUPCPFZCUKJUPUKEFZ
      UQULURUJUKDEQRCSTCPUAUBUJULUCUDUEUFUJUMULUOABCDUGUHUI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Examples of topologies
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y A $.  $d x y V $.
    $( The discrete topology on a set ` A ` .  Part of Example 2 in [Munkres]
       p. 77.  (Contributed by FL, 17-Jul-2006.)  (Revised by Mario Carneiro,
       19-Mar-2015.) $)
    distop $p |- ( A e. V -> ~P A e. Top ) $=
      ( vx vy wcel cpw ctop cv wss cuni wal cin wral uniss elpw a1i velpw sylbi
      wi cvv unipw sseqtrdi vuniex sylibr ax-gen ssinss1 inex2 syl6ibr ralrimiv
      vex com12 rgen wa wb pwexg istopg syl mpbir2and ) ABEZAFZGEZCHZUTIZVBJZUT
      EZSZCKZVBDHZLZUTEZDUTMZCUTMZVGUSVFCVCVDAIVEVCVDUTJAVBUTNAUAUBVDACUCOUDUEP
      VLUSVKCUTVBUTEZVJDUTVMVBAIZVHUTEZVJSCAQVOVNVJVOVHAIZVNVJSDAQVPVNVIAIZVJVN
      VQSVPVBVHAUFPVIAVHVBDUJUGOUHRUKRUIULPUSUTTEVAVGVLUMUNABUOCDTUTUPUQUR $.

    ${
      $d x y $.
      $( The class of all topologies is a proper class.  The proof uses
         discrete topologies and ~ pwnex ; an alternate proof uses indiscrete
         topologies (see ~ indistop ) and the analogue of ~ pwnex with pairs
         ` { (/) , x } ` instead of power sets ` ~P x ` (that analogue is also
         a consequence of ~ abnex ).  (Contributed by BJ, 2-May-2021.) $)
      topnex $p |- Top e/ _V $=
        ( vy vx ctop cvv wcel cpw wceq wex cab pwnex neli wss distop elv mpbiri
        cv eleq1 exlimiv abssi ssexg mpan mto nelir ) CDCDEZAPZBPZFZGZBHZAIZDEZ
        UJDABJKUJCLUDUKUIACUHUECEZBUHULUGCEZUMBUFDMNUEUGCQORSUJCDTUAUBUC $.
    $}

    $( The discrete topology on a set ` A ` , with base set.  (Contributed by
       Mario Carneiro, 13-Aug-2015.) $)
    distopon $p |- ( A e. V -> ~P A e. ( TopOn ` A ) ) $=
      ( wcel cpw ctop cuni wceq ctopon distop unipw eqcomi istopon sylanblrc
      cfv ) ABCADZECAOFZGOAHNCABIPAAJKAOLM $.

    $( The singleton of the empty set is a topology on the empty set.
       (Contributed by Mario Carneiro, 13-Aug-2015.) $)
    sn0topon $p |- { (/) } e. ( TopOn ` (/) ) $=
      ( c0 cpw csn ctopon cfv pw0 cvv wcel 0ex distopon ax-mp eqeltrri ) ABZACA
      DEZFAGHMNHIAGJKL $.

    $( The singleton of the empty set is a topology.  (Contributed by Stefan
       Allan, 3-Mar-2006.)  (Proof shortened by Mario Carneiro,
       13-Aug-2015.) $)
    sn0top $p |- { (/) } e. Top $=
      ( c0 csn sn0topon topontopi ) AABCD $.

    $( A lemma to eliminate some sethood hypotheses when dealing with the
       indiscrete topology.  (Contributed by Mario Carneiro, 14-Aug-2015.) $)
    indislem $p |- { (/) , ( _I ` A ) } = { (/) , A } $=
      ( cvv wcel c0 cid cfv cpr wceq fvi preq2d csn dfsn2 eqcomi prprc2 3eqtr4a
      wn fvprc pm2.61i ) ABCZDAEFZGZDAGZHSTADABIJSPZDDGZDKZUAUBUEUDDLMUCTDDAEQJ
      DANOR $.

    $( The indiscrete topology on a set ` A ` .  Part of Example 2 in [Munkres]
       p. 77.  (Contributed by Mario Carneiro, 13-Aug-2015.) $)
    indistopon $p |- ( A e. V -> { (/) , A } e. ( TopOn ` A ) ) $=
      ( vx vy wcel c0 cuni wceq wi cin wo unieq 0ex eqeltrdi a1i jaod wa ex cvv
      eqtrdi cpr ctop ctopon cfv wss wal wral csn sspr uni0 prid1 eqeltri unisn
      cv unisng sylan9eqr prid2g adantr eqeltrd cun uniprg mpan uncom un0 eqtri
      syl5bi alrimiv vex elpr simpr ineq2d in0 simpl ineq1d ineq12 adantl inidm
      0in ccased expdimp ralrimiv wb prex istopg mp1i mpbir2and eqcomd sylanbrc
      istopon ) ABEZFAUAZUBEZAWKGZHWKAUCUDEWJWLCUNZWKUEZWNGZWKEZIZCUFZWNDUNZJZW
      KEZDWKUGZCWKUGZWJWRCWOWNFHZWNFUHZHZKZWNAUHZHZWNWKHZKZKWJWQWNFAUIWJXHWQXLW
      JXEWQXGXEWQIWJXEWPFGZWKWNFLXMFWKUJFAMUKZULNOXGWQIWJXGWPXFGZWKWNXFLXOFWKFM
      UMXNULNOPWJXJWQXKWJXJWQWJXJQWPAWKXJWJWPXIGAWNXILABUOUPWJAWKEZXJFABUQZURUS
      RWJXKWQWJXKQWPAWKXKWJWPWMAWNWKLWJWMFAUTZAFSEWJWMXRHMFASBVAVBXRAFUTAFAVCAV
      DVETZUPWJXPXKXQURUSRPPVFVGWJXCCWKWNWKEXEWNAHZKZWJXCWNFACVHVIWJYAXCWJYAQZX
      BDWKWTWKEWTFHZWTAHZKZYBXBWTFADVHVIWJYAYEXBWJXEYCXTYDXBXEYCQZXBIWJYFXAFWKY
      FXAWNFJZFYFWTFWNXEYCVJVKWNVLZTXNNOXTYCQZXBIWJYIXAFWKYIXAYGFYIWTFWNXTYCVJV
      KYHTXNNOXEYDQZXBIWJYJXAFWKYJXAFWTJFYJWNFWTXEYDVMVNWTVRTXNNOWJXTYDQZXBWJYK
      QZXAAWKYLXAAAJZAYKXAYMHWJWNAWTAVOVPAVQTWJXPYKXQURUSRVSVTVFWARVFWAWKSEWLWS
      XDQWBWJFAWCCDSWKWDWEWFWJWMAXSWGAWKWIWH $.

    $( The indiscrete topology on a set ` A ` .  Part of Example 2 in [Munkres]
       p. 77.  (Contributed by FL, 16-Jul-2006.)  (Revised by Stefan Allan,
       6-Nov-2008.)  (Revised by Mario Carneiro, 13-Aug-2015.) $)
    indistop $p |- { (/) , A } e. Top $=
      ( c0 cid cfv cpr ctop indislem cvv wcel ctopon indistopon ax-mp topontopi
      fvex eqeltrri ) BACDZEZBAEFAGPQPHIQPJDIACNPHKLMO $.

    $( The base set of the indiscrete topology.  (Contributed by Mario
       Carneiro, 14-Aug-2015.) $)
    indisuni $p |- ( _I ` A ) = U. { (/) , A } $=
      ( cid cfv c0 cpr ctopon indislem cvv wcel fvex indistopon ax-mp toponunii
      eqeltrri ) ABCZDAEZDOEZPOFCZAGOHIQRIABJOHKLNM $.
  $}

  ${
    $d x y z A $.
    $( The finite complement topology on a set ` A ` .  Example 3 in [Munkres]
       p. 77.  (Contributed by FL, 15-Aug-2006.)  (Revised by Mario Carneiro,
       13-Aug-2015.) $)
    fctop $p |- ( A e. V ->
        { x e. ~P A | ( ( A \ x ) e. Fin \/ x = (/) ) } e. ( TopOn ` A ) ) $=
      ( vy vz wcel cv cdif cfn c0 wo wss cin wa difeq2 eleq1d eqeq1 orbi12d cvv
      wceq cpw crab ctop cuni ctopon cfv wi wal wral ssrab2 sspwuni mpbi sstrdi
      uniss vuniex elpw sylibr wn uni0c notbii rexnal bitr4i ssel2 elrab simprd
      wrex sylib ord con1d imp elssuni sscond sylan2 expcom ad2antlr rexlimdva2
      ssfi mpd syl5bi orrd elrabd ax-gen ssinss1 vex inex1 3imtr4i ad2antrr cun
      difindi unfi eqeltrid orcd ineq1 0in eqtrdi ineq2 in0 ccase2 ad2ant2l jca
      olcd anbi12i rgen2 pm3.2i pwexg rabexg istopg 3syl mpbiri difid 0fin orci
      wb pwidg a1i syl eqssd istopon sylanbrc ) BCFZBAGZHZIFZYAJTZKZABUAZUBZUCF
      ZBYGUDZTYGBUEUFFXTYHDGZYGLZYJUDZYGFUGZDUHZYJEGZMZYGFZEYGUIDYGUIZNZYNYRYMD
      YKYEBYLHZIFZYLJTZKAYLYFYAYLTZYCUUAYDUUBUUCYBYTIYAYLBOPYAYLJQRYKYLBLYLYFFY
      KYLYIBYJYGUNYGYFLYIBLZYEAYFUJYGBUKULZUMYLBDUOUPUQYKUUAUUBYKUUBUUAUUBURZYO
      JTZURZEYJVFZYKUUAUUFUUGEYJUIZURUUIUUBUUJEYJUSUTUUGEYJVAVBYKUUHUUAEYJYKYOY
      JFZNZUUHNBYOHZIFZUUAUULUUHUUNUULUUNUUGUULUUNUUGUULYOYFFZUUNUUGKZUULYOYGFZ
      UUOUUPNZYJYGYOVCYEUUPAYOYFYAYOTZYCUUNYDUUGUUSYBUUMIYAYOBOPYAYOJQRVDZVGVEV
      HVIVJUUKUUNUUAUGYKUUHUUNUUKUUAUUKUUNYTUUMLUUAUUKYOYLBYOYJVKVLUUMYTVQVMVNV
      OVRVPVSVIVTWAWBYQDEYGYGYJYFFZBYJHZIFZYJJTZKZNZUURNZYPYFFZBYPHZIFZYPJTZKZN
      YJYGFZUUQNYQUVGUVHUVLUVAUVHUVEUURYJBLYPBLUVAUVHYJYOBWCYJBDWDZUPYPBYJYOUVN
      WEUPWFWGUVEUUPUVLUVAUUOUVCUUNUVDUUGUVLUVCUUNNZUVJUVKUVOUVIUVBUUMWHIBYJYOW
      IUVBUUMWJWKWLUVDUVKUVJUVDYPJYOMJYJJYOWMYOWNWOXAUUGUVKUVJUUGYPYJJMJYOJYJWP
      YJWQWOXAWRWSWTUVMUVFUUQUURYEUVEAYJYFYAYJTZYCUVCYDUVDUVPYBUVBIYAYJBOPYAYJJ
      QRVDUUTXBYEUVLAYPYFYAYPTZYCUVJYDUVKUVQYBUVIIYAYPBOPYAYPJQRVDWFXCXDXTYFSFY
      GSFYHYSXMBCXEYEAYFSXFDESYGXGXHXIXTBYIXTBYGFBYILXTYEJIFZBJTZKZABYFYABTZYCU
      VRYDUVSUWAYBJIUWAYBBBHJYABBOBXJWOPYABJQRBCXNUVTXTUVRUVSXKXLXOWABYGVKXPUUD
      XTUUEXOXQBYGXRXS $.

    $( The finite complement topology on a set ` A ` .  Example 3 in [Munkres]
       p. 77.  (This version of ~ fctop requires the Axiom of Infinity.)
       (Contributed by FL, 20-Aug-2006.) $)
    fctop2 $p |- ( A e. V ->
        { x e. ~P A | ( ( A \ x ) ~< _om \/ x = (/) ) } e. ( TopOn ` A ) ) $=
      ( wcel cv cdif com csdm wbr c0 wceq wo cpw cfn ctopon cfv isfinite orbi1i
      crab rabbii fctop eqeltrrid ) BCDBAEZFZGHIZUCJKZLZABMZSUDNDZUFLZAUHSBOPUJ
      UGAUHUIUEUFUDQRTABCUAUB $.

    $( The countable complement topology on a set ` A ` .  Example 4 in
       [Munkres] p. 77.  (Contributed by FL, 23-Aug-2006.)  (Revised by Mario
       Carneiro, 13-Aug-2015.) $)
    cctop $p |- ( A e. V ->
        { x e. ~P A | ( ( A \ x ) ~<_ _om \/ x = (/) ) } e. ( TopOn ` A ) ) $=
      ( vy vz wcel cdif com cdom wbr c0 wceq wo wss difeq2 breq1d eqeq1 orbi12d
      wa cvv cv cpw crab ctop cuni ctopon cfv wal cin wral uniss ssrab2 sspwuni
      wi mpbi sstrdi vuniex elpw sylibr wn wrex uni0c notbii rexnal ssel2 elrab
      bitr4i sylib simprd ord con1d imp ctex adantl simpllr elssuni 3syl ssdomg
      sscon sylc domtr sylancom mpdan rexlimdva2 syl5bi orrd elrabd ssinss1 vex
      ax-gen inex1 3imtr4i ad2antrr cun difindi unctb eqbrtrid ineq1 0in eqtrdi
      orcd olcd ineq2 in0 ccase2 ad2ant2l jca syl2anb rgen2 pm3.2i pwexg rabexg
      istopg mpbiri difid pwidg omex 0dom orci a1i syl eqssd istopon sylanbrc
      wb ) BCFZBAUAZGZHIJZYGKLZMZABUBZUCZUDFZBYMUEZLYMBUFUGFYFYNDUAZYMNZYPUEZYM
      FUNZDUHZYPEUAZUIZYMFZEYMUJDYMUJZSZYTUUDYSDYQYKBYRGZHIJZYRKLZMAYRYLYGYRLZY
      IUUGYJUUHUUIYHUUFHIYGYRBOPYGYRKQRYQYRBNYRYLFYQYRYOBYPYMUKYMYLNYOBNZYKAYLU
      LYMBUMUOZUPYRBDUQURUSYQUUGUUHYQUUHUUGUUHUTZUUAKLZUTZEYPVAZYQUUGUULUUMEYPU
      JZUTUUOUUHUUPEYPVBVCUUMEYPVDVGYQUUNUUGEYPYQUUAYPFZSZUUNSZBUUAGZHIJZUUGUUR
      UUNUVAUURUVAUUMUURUVAUUMUURUUAYLFZUVAUUMMZUURUUAYMFZUVBUVCSZYPYMUUAVEYKUV
      CAUUAYLYGUUALZYIUVAYJUUMUVFYHUUTHIYGUUABOPYGUUAKQRVFZVHVIVJVKVLUUSUVAUUFU
      UTIJZUUGUUSUVASZUUTTFZUUFUUTNZUVHUVAUVJUUSUUTVMVNUVIUUQUUAYRNUVKYQUUQUUNU
      VAVOUUAYPVPUUAYRBVSVQUUFUUTTVRVTUUFUUTHWAWBWCWDWEVKWFWGWJUUCDEYMYMYPYMFZU
      VDSUUBYLFZBUUBGZHIJZUUBKLZMZSZUUCUVLYPYLFZBYPGZHIJZYPKLZMZSZUVEUVRUVDYKUW
      CAYPYLYGYPLZYIUWAYJUWBUWEYHUVTHIYGYPBOPYGYPKQRVFUVGUWDUVESUVMUVQUVSUVMUWC
      UVEYPBNUUBBNUVSUVMYPUUABWHYPBDWIZURUUBBYPUUAUWFWKURWLWMUWCUVCUVQUVSUVBUWA
      UVAUWBUUMUVQUWAUVASZUVOUVPUWGUVNUVTUUTWNHIBYPUUAWOUVTUUTWPWQXAUWBUVPUVOUW
      BUUBKUUAUIKYPKUUAWRUUAWSWTXBUUMUVPUVOUUMUUBYPKUIKUUAKYPXCYPXDWTXBXEXFXGXH
      YKUVQAUUBYLYGUUBLZYIUVOYJUVPUWHYHUVNHIYGUUBBOPYGUUBKQRVFUSXIXJYFYLTFYMTFY
      NUUEYEBCXKYKAYLTXLDETYMXMVQXNYFBYOYFBYMFBYONYFYKKHIJZBKLZMZABYLYGBLZYIUWI
      YJUWJUWLYHKHIUWLYHBBGKYGBBOBXOWTPYGBKQRBCXPUWKYFUWIUWJHXQXRXSXTWGBYMVPYAU
      UJYFUUKXTYBBYMYCYD $.
  $}

  ${
    $d v w x y z A $.  $d v w x y z P $.  $d w x y z V $.
    $( The particular point topology.  (Contributed by Mario Carneiro,
       3-Sep-2015.) $)
    ppttop $p |- ( ( A e. V /\ P e. A ) ->
        { x e. ~P A | ( P e. x \/ x = (/) ) } e. ( TopOn ` A ) ) $=
      ( vy vz wcel wa cv c0 wceq wo wss wral eleq2 eqeq1 orbi12d wn syl5bi cvv
      cpw crab ctop cuni ctopon cfv wi wal cin ssrab simprl sspwuni vuniex elpw
      sylib sylibr wex neq0 wrex eluni2 r19.29 n0i adantl simpl ord mt3d elunii
      syl2an2 rexlimiva syl ex ad2antll exlimdv con1d orrd elrabd alrimiv elrab
      anbi12i inss1 simprll elpwid sstrid vex inex1 ianor elin xchnxbir simprlr
      simprrr orim12d inss ss0b orbi12i 3imtr3i syl6 ralrimivv wb adantr rabexg
      pwexg istopg 3syl mpbir2and pwidg animorrl elssuni mpbi a1i eqssd istopon
      ssrab2 sylanbrc ) BDGZCBGZHZCAIZGZXQJKZLZABUAZUBZUCGZBYBUDZKYBBUEUFGXPYCE
      IZYBMZYEUDZYBGZUGZEUHZYEFIZUIZYBGZFYBNEYBNZXPYIEYFYEYAMZXTAYENZHZXPYHXTAY
      AYEUJXPYQYHXPYQHZXTCYGGZYGJKZLAYGYAXQYGKXRYSXSYTXQYGCOXQYGJPQYRYGBMZYGYAG
      YRYOUUAXPYOYPUKYEBULUOYGBEUMUNUPYRYSYTYRYTYSYTRYKYGGZFUQYRYSFYGURYRUUBYSF
      UUBYKXQGZAYEUSZYRYSAYKYEUTYPUUDYSUGXPYOYPUUDYSYPUUDHXTUUCHZAYEUSYSXTUUCAY
      EVAUUEYSAYEUUEXRXQYEGZUUFYSUUEXRXSUUCXSRXTXQYKVBVCUUEXRXSXTUUCVDVEVFUUFUU
      EVDCXQYEVGVHVIVJVKVLSVMSVNVOVPVKSVQXPYMEFYBYBYEYBGZYKYBGZHYEYAGZCYEGZYEJK
      ZLZHZYKYAGZCYKGZYKJKZLZHZHZXPYMUUGUUMUUHUURXTUULAYEYAXQYEKXRUUJXSUUKXQYEC
      OXQYEJPQVRXTUUQAYKYAXQYKKXRUUOXSUUPXQYKCOXQYKJPQVRVSXPUUSYMXPUUSHZXTCYLGZ
      YLJKZLAYLYAXQYLKXRUVAXSUVBXQYLCOXQYLJPQUUTYLBMYLYAGUUTYLYEBYEYKVTUUTYEBXP
      UUIUULUURWAWBWCYLBYEYKEWDWEUNUPUUTUVAUVBUUTUVARZUUKUUPLZUVBUVCUUJRZUUORZL
      ZUUTUVDUUJUUOHUVGUVAUUJUUOWFCYEYKWGWHUUTUVEUUKUVFUUPUUTUUJUUKXPUUIUULUURW
      IVEUUTUUOUUPXPUUMUUNUUQWJVEWKSYEJMZYKJMZLYLJMUVDUVBYEYKJWLUVHUUKUVIUUPYEW
      MYKWMWNYLWMWOWPVOVPVKSWQXPYATGZYBTGYCYJYNHWRXNUVJXOBDXAWSXTAYATWTEFTYBXBX
      CXDXPBYDXPBYBGBYDMXPXTXOBJKZLABYAXQBKXRXOXSUVKXQBCOXQBJPQXNBYAGXOBDXEWSXN
      XOUVKXFVPBYBXGVJYDBMZXPYBYAMUVLXTAYAXLYBBULXHXIXJBYBXKXM $.

    $( The particular point topology is generated by a basis consisting of
       pairs ` { x , P } ` for each ` x e. A ` .  (Contributed by Mario
       Carneiro, 3-Sep-2015.) $)
    pptbas $p |- ( ( A e. V /\ P e. A ) ->
        { x e. ~P A | ( P e. x \/ x = (/) ) } =
        ( topGen ` ran ( x e. A |-> { x , P } ) ) ) $=
      ( vy vw vv vz wcel wa cv cpr c0 wceq wo wss wral eleq2 eqeq1 orbi12d cmpt
      crn ctg cfv crab ctop wrex ctopon ppttop topontop simpr simplr prssd prex
      cpw syl elpw sylibr prid2g ad2antlr orcd elrabd frnd elrab elpwi ad2antrl
      fmpttd sselda prid1g adantl wn n0i simplrr ord mt3d eleq2d sseq1d anbi12d
      preq1 rspcev syl12anc cvv wb rgenw sseq1 rexrnmptw ax-mp ralrimiva syl5bi
      eqid ex ralrimiv basgen2 syl3anc cbvrabv eqtr2di ) BDIZCBIZJZABAKZCLZUAZU
      BZUCUDZCEKZIZXEMNZOZEBUOZUEZCWTIZWTMNZOZAXIUEWSXJUFIZXCXJPFKZGKZIZXPHKZPZ
      JZGXCUGZFXRQZHXJQXDXJNWSXJBUHUDIXNEBCDUIBXJUJUPWSBXJXBWSABXAXJWSWTBIZJZXH
      CXAIZXAMNZOEXAXIXEXANXFYEXGYFXEXACRXEXAMSTYDXABPXAXIIYDWTCBWSYCUKWQWRYCUL
      UMXABWTCUNZUQURYDYEYFWRYEWQYCWTCBUSUTVAVBVGVCWSYBHXJXRXJIXRXIIZCXRIZXRMNZ
      OZJZWSYBXHYKEXRXIXEXRNXFYIXGYJXEXRCRXEXRMSTVDWSYLYBWSYLJZYAFXRYMXOXRIZJZX
      OXAIZXAXRPZJZABUGZYAYOXOBIXOXOCLZIZYTXRPZYSYMXRBXOYHXRBPWSYKXRBVEVFVHYNUU
      AYMXOCXRVIVJYOXOCXRYMYNUKYOYIYJYNYJVKYMXRXOVLVJYOYIYJWSYHYKYNVMVNVOUMYRUU
      AUUBJAXOBWTXONZYPUUAYQUUBUUCXAYTXOWTXOCVSZVPUUCXAYTXRUUDVQVRVTWAXAWBIZABQ
      YAYSWCUUEABYGWDXTYRAGBXAXBWBXBWJXPXANXQYPXSYQXPXAXORXPXAXRWEVRWFWGURWHWKW
      IWLHFGXCXJWMWNXHXMEAXIXEWTNXFXKXGXLXEWTCRXEWTMSTWOWP $.
  $}

  ${
    $d x y z A $.  $d x y z P $.  $d y z V $.
    $( The excluded point topology.  (Contributed by Mario Carneiro,
       3-Sep-2015.) $)
    epttop $p |- ( ( A e. V /\ P e. A ) ->
        { x e. ~P A | ( P e. x -> x = A ) } e. ( TopOn ` A ) ) $=
      ( vy vz wcel wa cv wceq wi wss wral eleq2 eqeq1 imbi12d adantr syl ex cvv
      cpw crab ctop ctopon cfv wal cin ssrab simprl sspwuni sylib vuniex sylibr
      cuni elpw wrex eluni2 r19.29 simpr impr elssuni eqsstrrd rexlimiva syl5bi
      ad2antll jctild eqss syl6ibr elrabd alrimiv inss1 elpwid sstrid vex inex1
      simprll elin simprlr simprrr anim12d ineq12 inidm eqtrdi syl6 jca anbi12i
      elrab 3imtr4g ralrimivv wb pwexg rabexg istopg mpbir2and pwidg a1d ssrab2
      eqidd mpbi a1i eqssd istopon sylanbrc ) BDGZCBGZHZCAIZGZXGBJZKZABUAZUBZUC
      GZBXLUNZJXLBUDUEGXFXMEIZXLLZXOUNZXLGZKZEUFZXOFIZUGZXLGZFXLMEXLMZXFXSEXPXO
      XKLZXJAXOMZHZXFXRXJAXKXOUHXFYGXRXFYGHZXJCXQGZXQBJZKAXQXKXGXQJXHYIXIYJXGXQ
      CNXGXQBOPYHXQBLZXQXKGYHYEYKXFYEYFUIXOBUJUKZXQBEULUOUMYHYIYKBXQLZHYJYHYIYM
      YKYIXHAXOUPZYHYMACXOUQYFYNYMKXFYEYFYNYMYFYNHXJXHHZAXOUPYMXJXHAXOURYOYMAXO
      XGXOGZYOHBXGXQYPXJXHXIYPXJUSUTYPXGXQLYOXGXOVAQVBVCRSVEVDYLVFXQBVGVHVISVDV
      JXFYCEFXLXLXFXOXKGZCXOGZXOBJZKZHZYAXKGZCYAGZYABJZKZHZHZYBXKGZCYBGZYBBJZKZ
      HZXOXLGZYAXLGZHYCXFUUGUULXFUUGHZUUHUUKUUOYBBLUUHUUOYBXOBXOYAVKUUOXOBXFYQY
      TUUFVPVLVMYBBXOYAEVNVOUOUMUUIYRUUCHZUUOUUJCXOYAVQUUOUUPYSUUDHZUUJUUOYRYSU
      UCUUDXFYQYTUUFVRXFUUAUUBUUEVSVTUUQYBBBUGBXOBYABWABWBWCWDVDWESUUMUUAUUNUUF
      XJYTAXOXKXGXOJXHYRXIYSXGXOCNXGXOBOPWGXJUUEAYAXKXGYAJXHUUCXIUUDXGYACNXGYAB
      OPWGWFXJUUKAYBXKXGYBJXHUUIXIUUJXGYBCNXGYBBOPWGWHWIXFXLTGZXMXTYDHWJXFXKTGZ
      UURXDUUSXEBDWKQXJAXKTWLREFTXLWMRWNXFBXNXFBXLGBXNLXFXJXEBBJZKABXKXIXHXEXIU
      UTXGBCNXGBBOPXDBXKGXEBDWOQXFUUTXEXFBWRWPVIBXLVARXNBLZXFXLXKLUVAXJAXKWQXLB
      UJWSWTXABXLXBXC $.
  $}

  ${
    indistpsx.a $e |- A e. _V $.
    indistpsx.k $e |- K = { <. 1 , A >. , <. 9 , { (/) , A } >. } $.
    $( The indiscrete topology on a set ` A ` expressed as a topological space,
       using explicit structure component references.  Compare with ~ indistps
       and ~ indistps2 .  The advantage of this version is that the actual
       function for the structure is evident, and ~ df-ndx is not needed, nor
       any other special definition outside of basic set theory.  The
       disadvantage is that if the indices of the component definitions
       ~ df-base and ~ df-tset are changed in the future, this theorem will
       also have to be changed.  Note:  This theorem has hard-coded structure
       indices for demonstration purposes.  It is not intended for general use;
       use ~ indistps instead.  (New usage is discouraged.)  (Contributed by
       FL, 19-Jul-2006.) $)
    indistpsx $p |- K e. TopSp $=
      ( c0 cpr c1 cop cnx cbs cfv cts basendx opeq1i tsetndx preq12i eqtr4i cvv
      c9 wcel ctopon indistopon ax-mp toponunii indistop eltpsi ) AEAFZBBGAHZSU
      GHZFIJKZAHZILKZUGHZFDUKUHUMUIUJGAMNULSUGONPQAUGARTUGAUAKTCARUBUCUDAUEUF
      $.
  $}

  ${
    indistps.a $e |- A e. _V $.
    indistps.k $e |- K
      = { <. ( Base ` ndx ) , A >. , <. ( TopSet ` ndx ) , { (/) , A } >. } $.
    $( The indiscrete topology on a set ` A ` expressed as a topological space,
       using implicit structure indices.  The advantage of this version over
       ~ indistpsx is that it is independent of the indices of the component
       definitions ~ df-base and ~ df-tset , and if they are changed in the
       future, this theorem will not be affected.  The advantage over
       ~ indistps2 is that it is easy to eliminate the hypotheses with ~ eqid
       and ~ vtoclg to result in a closed theorem.  Theorems ~ indistpsALT and
       ~ indistps2ALT show that the two forms can be derived from each other.
       (Contributed by FL, 19-Jul-2006.) $)
    indistps $p |- K e. TopSp $=
      ( c0 cpr cuni cun 0ex unipr uncom un0 3eqtrri indistop eltpsi ) AEAFZBDPG
      EAHAEHAEAICJEAKALMANO $.
  $}

  ${
    indistps2.a $e |- ( Base ` K ) = A $.
    indistps2.j $e |- ( TopOpen ` K ) = { (/) , A } $.
    $( The indiscrete topology on a set ` A ` expressed as a topological space,
       using direct component assignments.  Compare with ~ indistps .  The
       advantage of this version is that it is the shortest to state and
       easiest to work with in most situations.  Theorems ~ indistpsALT and
       ~ indistps2ALT show that the two forms can be derived from each other.
       (Contributed by NM, 24-Oct-2012.) $)
    indistps2 $p |- K e. TopSp $=
      ( cpr cuni cun 0ex cbs cfv cvv fvex eqeltrri unipr uncom 3eqtrri indistop
      c0 un0 istpsi ) ARAEZBCDUAFRAGARGARAHBIJAKCBILMNRAOASPAQT $.
  $}

  ${
    indistpsALT.a $e |- A e. _V $.
    indistpsALT.k $e |- K
      = { <. ( Base ` ndx ) , A >. , <. ( TopSet ` ndx ) , { (/) , A } >. } $.
    $( The indiscrete topology on a set ` A ` expressed as a topological space.
       Here we show how to derive the structural version ~ indistps from the
       direct component assignment version ~ indistps2 .  (Contributed by NM,
       24-Oct-2012.)  (Revised by AV, 31-Oct-2024.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    indistpsALT $p |- K e. TopSp $=
      ( cvv wcel c0 cpr ctopon cfv ctps indistopon cbs cnx cts basendxlttsetndx
      wceq tsetndxnn 2strbas1 ax-mp prex tsetid 2strop1 tsettps mp2b ) AEFZGAHZ
      AIJFBKFCAELAUGBUFABMJQCAUGBNOJZEDPRSTUGEFUGBOJQGAUAAUGOBUHEDPRUBUCTUDUE
      $.

    $( Obsolete proof of ~ indistpsALT as of 31-Oct-2024.  The indiscrete
       topology on a set ` A ` expressed as a topological space.  Here we show
       how to derive the structural version ~ indistps from the direct
       component assignment version ~ indistps2 .  (Contributed by NM,
       24-Oct-2012.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    indistpsALTOLD $p |- K e. TopSp $=
      ( cvv wcel c0 cpr ctopon cfv ctps indistopon cbs wceq cts c9 df-tset 1lt9
      9nn ax-mp 2strbas prex 2strop tsettps mp2b ) AEFZGAHZAIJFBKFCAELAUGBUFABM
      JNCAUGOBPEDQRSUATUGEFUGBOJNGAUBAUGOBPEDQRSUCTUDUE $.
  $}

  ${
    indistps2ALT.a $e |- ( Base ` K ) = A $.
    indistps2ALT.j $e |- ( TopOpen ` K ) = { (/) , A } $.
    $( The indiscrete topology on a set ` A ` expressed as a topological space,
       using direct component assignments.  Here we show how to derive the
       direct component assignment version ~ indistps2 from the structural
       version ~ indistps .  (Contributed by NM, 24-Oct-2012.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    indistps2ALT $p |- K e. TopSp $=
      ( ctps wcel cpr ctopon cfv cvv cbs eqeltrri indistopon ax-mp eqcomi ctopn
      c0 fvex istps mpbir ) BEFQAGZAHIFZAJFUBBKIZAJCBKRLAJMNAUABUCACOBPIUADOST
      $.
  $}

  ${
    distps.a $e |- A e. _V $.
    distps.k $e |- K
             = { <. ( Base ` ndx ) , A >. , <. ( TopSet ` ndx ) , ~P A >. } $.
    $( The discrete topology on a set ` A ` expressed as a topological space.
       (Contributed by FL, 20-Aug-2006.) $)
    distps $p |- K e. TopSp $=
      ( cpw cuni unipw eqcomi cvv wcel ctop distop ax-mp eltpsi ) AAEZBDOFAAGHA
      IJOKJCAILMN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Closure and interior
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c int $.
  $c cls $.
  $c Clsd $.

  $( Extend class notation with the set of closed sets of a topology. $)
  ccld $a class Clsd $.

  $( Extend class notation with interior of a subset of a topology base set. $)
  cnt $a class int $.

  $( Extend class notation with closure of a subset of a topology base set. $)
  ccl $a class cls $.

  ${
    $d j x y $.
    $( Define a function on topologies whose value is the set of closed sets of
       the topology.  (Contributed by NM, 2-Oct-2006.) $)
    df-cld $a |- Clsd =
                 ( j e. Top |-> { x e. ~P U. j | ( U. j \ x ) e. j } ) $.

    $( Define a function on topologies whose value is the interior function on
       the subsets of the base set.  See ~ ntrval .  (Contributed by NM,
       10-Sep-2006.) $)
    df-ntr $a |- int = ( j e. Top |->
                        ( x e. ~P U. j |-> U. ( j i^i ~P x ) ) ) $.

    $( Define a function on topologies whose value is the closure function on
       the subsets of the base set.  See ~ clsval .  (Contributed by NM,
       3-Oct-2006.) $)
    df-cls $a |- cls = ( j e. Top |-> ( x e. ~P U. j |->
                        |^| { y e. ( Clsd ` j ) | x C_ y } ) ) $.

    $( The closed-set generator is a well-behaved function.  (Contributed by
       Stefan O'Rear, 1-Feb-2015.) $)
    fncld $p |- Clsd Fn Top $=
      ( vj vx ctop cuni cdif wcel cpw crab ccld vuniex pwex rabex df-cld fnmpti
      cv ) ACAOZDZBOEPFZBQGZHIRBSQAJKLBAMN $.
  $}

  ${
    $d x y j J $.  $d x j X $.
    cldval.1 $e |- X = U. J $.
    $( The set of closed sets of a topology.  (Note that the set of open sets
       is just the topology itself, so we don't have a separate definition.)
       (Contributed by NM, 2-Oct-2006.)  (Revised by Mario Carneiro,
       11-Nov-2013.) $)
    cldval $p |- ( J e. Top ->
               ( Clsd ` J ) = { x e. ~P X | ( X \ x ) e. J } ) $=
      ( vj ctop wcel cv cdif cpw crab cvv ccld cfv wceq topopn rabexg 3syl cuni
      pwexg unieq eqtr4di pweqd wb difeq1d eleq12 rabeqbidv df-cld fvmptg mpdan
      mpancom ) BFGZCAHZIZBGZACJZKZLGZBMNUQOULCBGUPLGURBCDPCBTUOAUPLQREBEHZSZUM
      IZUSGZAUTJZKUQFLMUSBOZVBUOAVCUPVDUTCVDUTBSCUSBUADUBZUCVAUNOVDVBUOUDVDUTCU
      MVEUEVAUNUSBUFUKUGAEUHUIUJ $.

    $( The interior function on the subsets of a topology's base set.
       (Contributed by NM, 10-Sep-2006.)  (Revised by Mario Carneiro,
       11-Nov-2013.) $)
    ntrfval $p |- ( J e. Top -> ( int ` J ) = ( x e. ~P X |->
                     U. ( J i^i ~P x ) ) ) $=
      ( vj ctop wcel cpw cv cin cuni cmpt cvv cnt wceq topopn pwexg mptexg 3syl
      cfv unieq eqtr4di pweqd ineq1 unieqd mpteq12dv df-ntr fvmptg mpdan ) BFGZ
      ACHZBAIHZJZKZLZMGZBNTUOOUJCBGUKMGUPBCDPCBQAUKUNMRSEBAEIZKZHZUQULJZKZLUOFM
      NUQBOZAUSVAUKUNVBURCVBURBKCUQBUADUBUCVBUTUMUQBULUDUEUFAEUGUHUI $.

    $( The closure function on the subsets of a topology's base set.
       (Contributed by NM, 3-Oct-2006.)  (Revised by Mario Carneiro,
       11-Nov-2013.) $)
    clsfval $p |- ( J e. Top -> ( cls ` J ) = ( x e. ~P X |->
                     |^| { y e. ( Clsd ` J ) | x C_ y } ) ) $=
      ( vj ctop wcel cpw cv wss ccld cfv crab cint cmpt cvv ccl wceq cuni pwexg
      topopn mptexg 3syl unieq eqtr4di pweqd fveq2 rabeqdv inteqd df-cls fvmptg
      mpteq12dv mpdan ) CGHZADIZAJBJKZBCLMZNZOZPZQHZCRMVASUODCHUPQHVBCDEUBDCUAA
      UPUTQUCUDFCAFJZTZIZUQBVCLMZNZOZPVAGQRVCCSZAVEVHUPUTVIVDDVIVDCTDVCCUEEUFUG
      VIVGUSVIUQBVFURVCCLUHUIUJUMABFUKULUN $.
  $}

  $( Reverse closure of the closed set operation.  (Contributed by Stefan
     O'Rear, 22-Feb-2015.) $)
  cldrcl $p |- ( C e. ( Clsd ` J ) -> J e. Top ) $=
    ( ccld cfv wcel cdm ctop elfvdm fncld fndmi eleqtrdi ) ABCDEBCFGABCHGCIJK
    $.

  ${
    $d x y J $.  $d x y S $.  $d x y X $.
    iscld.1 $e |- X = U. J $.
    $( The predicate "the class ` S ` is a closed set".  (Contributed by NM,
       2-Oct-2006.)  (Revised by Mario Carneiro, 11-Nov-2013.) $)
    iscld $p |- ( J e. Top -> ( S e. ( Clsd ` J ) <->
                 ( S C_ X /\ ( X \ S ) e. J ) ) ) $=
      ( vx ctop wcel ccld cfv cpw cdif wa wss cv crab cldval eleq2d wceq difeq2
      eleq1d elrab bitrdi wb topopn elpw2g syl anbi1d bitrd ) BFGZABHIZGZACJZGZ
      CAKZBGZLZACMZUOLUIUKACENZKZBGZEULOZGUPUIUJVAAEBCDPQUTUOEAULURARUSUNBURACS
      TUAUBUIUMUQUOUICBGUMUQUCBCDUDACBUEUFUGUH $.

    $( A subset of the underlying set of a topology is closed iff its
       complement is open.  (Contributed by NM, 4-Oct-2006.) $)
    iscld2 $p |- ( ( J e. Top /\ S C_ X ) ->
                  ( S e. ( Clsd ` J ) <-> ( X \ S ) e. J ) ) $=
      ( ctop wcel ccld cfv wss cdif iscld baibd ) BEFABGHFACICAJBFABCDKL $.

    $( A closed set is a subset of the underlying set of a topology.
       (Contributed by NM, 5-Oct-2006.)  (Revised by Stefan O'Rear,
       22-Feb-2015.) $)
    cldss $p |- ( S e. ( Clsd ` J ) -> S C_ X ) $=
      ( ctop wcel ccld cfv wss cldrcl cdif iscld simprbda mpancom ) BEFZABGHFZA
      CIZABJOPQCAKBFABCDLMN $.

    $( The set of closed sets is contained in the powerset of the base.
       (Contributed by Mario Carneiro, 6-Jan-2014.) $)
    cldss2 $p |- ( Clsd ` J ) C_ ~P X $=
      ( vx ccld cfv cpw cv wcel wss cldss velpw sylibr ssriv ) DAEFZBGZDHZOIQBJ
      QPIQABCKDBLMN $.

    $( The complement of a closed set is open.  (Contributed by NM,
       5-Oct-2006.)  (Revised by Stefan O'Rear, 22-Feb-2015.) $)
    cldopn $p |- ( S e. ( Clsd ` J ) -> ( X \ S ) e. J ) $=
      ( ctop wcel ccld cfv cdif cldrcl wss iscld simplbda mpancom ) BEFZABGHFZC
      AIBFZABJOPACKQABCDLMN $.

    $( A subset of the underlying set of a topology is open iff its complement
       is closed.  (Contributed by NM, 4-Oct-2006.) $)
    isopn2 $p |- ( ( J e. Top /\ S C_ X ) ->
                  ( S e. J <-> ( X \ S ) e. ( Clsd ` J ) ) ) $=
      ( ctop wcel wss wa cdif ccld cfv wb difss iscld2 mpan2 wceq biimpi eleq1d
      dfss4 sylan9bb bicomd ) BEFZACGZHCAIZBJKFZABFZUBUECUDIZBFZUCUFUBUDCGUEUHL
      CAMUDBCDNOUCUGABUCUGAPACSQRTUA $.

    $( The complement of an open set is closed.  (Contributed by NM,
       6-Oct-2006.) $)
    opncld $p |- ( ( J e. Top /\ S e. J ) -> ( X \ S ) e. ( Clsd ` J ) ) $=
      ( ctop wcel wa cdif ccld cfv simpr wss wb eltopss isopn2 syldan mpbid ) B
      EFZABFZGSCAHBIJFZRSKRSACLSTMABCDNABCDOPQ $.

    $( The difference of a closed set with an open set is open.  (Contributed
       by Mario Carneiro, 6-Jan-2014.) $)
    difopn $p |- ( ( A e. J /\ B e. ( Clsd ` J ) ) -> ( A \ B ) e. J ) $=
      ( wcel ccld cfv wa cin cdif wss wceq elssuni sseqtrrdi adantr df-ss sylib
      cuni adantl difeq1d indif2 cldrcl simpl cldopn syl3anc eqeltrrid eqeltrrd
      ctop inopn ) ACFZBCGHFZIZADJZBKZABKCUMUNABUMADLZUNAMUKUPULUKACSDACNEOPADQ
      RUAUMUOADBKZJZCADBUBUMCUIFZUKUQCFZURCFULUSUKBCUCTUKULUDULUTUKBCDEUETAUQCU
      JUFUGUH $.

    $( The underlying set of a topology is closed.  Part of Theorem 6.1(1) of
       [Munkres] p. 93.  (Contributed by NM, 3-Oct-2006.) $)
    topcld $p |- ( J e. Top -> X e. ( Clsd ` J ) ) $=
      ( ctop wcel ccld cfv wss cdif wa c0 difid 0opn eqeltrid ssid jctil mpbird
      iscld ) ADEZBAFGEBBHZBBIZAEZJSUBTSUAKABLAMNBOPBABCRQ $.

    $( The interior of a subset of a topology's base set is the union of all
       the open sets it includes.  Definition of interior of [Munkres] p. 94.
       (Contributed by NM, 10-Sep-2006.)  (Revised by Mario Carneiro,
       11-Nov-2013.) $)
    ntrval $p |- ( ( J e. Top /\ S C_ X ) -> ( ( int ` J ) ` S ) =
                 U. ( J i^i ~P S ) ) $=
      ( vx ctop wcel wss wa cnt cfv cpw cin cuni cmpt wceq ntrfval adantr cvv
      cv fveq1d eqid pweq ineq2d unieqd topopn elpw2g syl biimpar inex1g uniexd
      wb fvmptd3 eqtrd ) BFGZACHZIZABJKZKZAECLZBETZLZMZNZOZKZBALZMZNZUOUSVFPUPU
      OAURVEEBCDQUARUQEAVDVIUTVESVEUBVAAPZVCVHVJVBVGBVAAUCUDUEUOAUTGZUPUOCBGVKU
      PULBCDUFACBUGUHUIUQVHSUOVHSGUPBVGFUJRUKUMUN $.

    $( The closure of a subset of a topology's base set is the intersection of
       all the closed sets that include it.  Definition of closure of [Munkres]
       p. 94.  (Contributed by NM, 10-Sep-2006.)  (Revised by Mario Carneiro,
       11-Nov-2013.) $)
    clsval $p |- ( ( J e. Top /\ S C_ X ) -> ( ( cls ` J ) ` S ) =
                 |^| { x e. ( Clsd ` J ) | S C_ x } ) $=
      ( vy ctop wcel wss wa ccl cfv cpw cv ccld crab cint cmpt wceq cvv clsfval
      fveq1d adantr eqid sseq1 rabbidv inteqd wb topopn elpw2g syl biimpar wrex
      topcld sseq2 rspcev sylan intexrab sylib fvmptd3 eqtrd ) CGHZBDIZJZBCKLZL
      ZBFDMZFNZANZIZACOLZPZQZRZLZBVIIZAVKPZQZVBVFVOSVCVBBVEVNFACDEUAUBUCVDFBVMV
      RVGVNTVNUDVHBSZVLVQVSVJVPAVKVHBVIUEUFUGVBBVGHZVCVBDCHVTVCUHCDEUIBDCUJUKUL
      VDVPAVKUMZVRTHVBDVKHVCWACDEUNVPVCADVKVIDBUOUPUQVPAVKURUSUTVA $.
  $}

  $( The empty set is closed.  Part of Theorem 6.1(1) of [Munkres] p. 93.
     (Contributed by NM, 4-Oct-2006.) $)
  0cld $p |- ( J e. Top -> (/) e. ( Clsd ` J ) ) $=
    ( ctop wcel c0 ccld cfv cuni cdif dif0 topopn wss wb 0ss eqid iscld2 mpbird
    mpan2 ) ABCZDAEFCZAGZDHZACZAUATIJRDTKSUBLTMDATTNOQP $.

  ${
    $d x A $.  $d x J $.  $d x S $.
    $( The indexed intersection of a collection ` B ( x ) ` of closed sets is
       closed.  Theorem 6.1(2) of [Munkres] p. 93.  (Contributed by NM,
       5-Oct-2006.)  (Revised by Mario Carneiro, 3-Sep-2015.) $)
    iincld $p |- ( ( A =/= (/) /\ A. x e. A B e. ( Clsd ` J ) ) ->
                  |^|_ x e. A B e. ( Clsd ` J ) ) $=
      ( c0 wne ccld cfv wcel wral wa ciin cuni cdif ciun wceq ralimi syl adantl
      syl2anc wss eqid cldss dfss4 sylib iineq2 iindif2 adantr eqtr3d ctop wrex
      r19.2z cldrcl rexlimivw cldopn iunopn opncld eqeltrd ) BEFZCDGHZIZABJZKZA
      BCLZDMZABVECNZOZNZUTVCABVEVFNZLZVDVHVBVJVDPZUSVBVICPZABJVKVAVLABVACVEUAVL
      CDVEVEUBZUCCVEUDUEQABVICUFRSUSVJVHPVBABVEVFUGUHUIVCDUJIZVGDIZVHUTIVCVAABU
      KVNVAABULVAVNABCDUMUNRZVCVNVFDIZABJZVOVPVBVRUSVAVQABCDVEVMUOQSABVFDUPTVGD
      VEVMUQTUR $.

    $( The intersection of a set of closed sets is closed.  (Contributed by NM,
       5-Oct-2006.) $)
    intcld $p |- ( ( A =/= (/) /\ A C_ ( Clsd ` J ) ) ->
                  |^| A e. ( Clsd ` J ) ) $=
      ( vx c0 wne ccld cfv wss wa cint cv ciin intiin wcel dfss3 iincld sylan2b
      wral eqeltrid ) ADEZABFGZHZIAJCACKZLZUACAMUBTUCUANCARUDUANCAUAOCAUCBPQS
      $.

    $( The union of two closed sets is closed.  Equivalent to Theorem 6.1(3) of
       [Munkres] p. 93.  (Contributed by NM, 5-Oct-2006.) $)
    uncld $p |- ( ( A e. ( Clsd ` J ) /\ B e. ( Clsd ` J ) ) ->
                 ( A u. B ) e. ( Clsd ` J ) ) $=
      ( ccld cfv wcel wa cun cuni cdif cin difundi ctop cldrcl cldopn syl2an3an
      eqid inopn wss cldss eqeltrid anim12i unss sylib iscld2 syl2an2r mpbird
      wb ) ACDEZFZBUIFZGZABHZUIFZCIZUMJZCFZULUPUOAJZUOBJZKZCUOABLUJCMFZURCFUKUS
      CFUTCFACNZACUOUOQZOBCUOVCOURUSCRPUAUJVAUKUMUOSZUNUQUHVBULAUOSZBUOSZGVDUJV
      EUKVFACUOVCTBCUOVCTUBABUOUCUDUMCUOVCUEUFUG $.

    $( A closed subset equals its own closure.  (Contributed by NM,
       15-Mar-2007.) $)
    cldcls $p |- ( S e. ( Clsd ` J ) ->
                 ( ( cls ` J ) ` S ) = S ) $=
      ( vx ccld cfv wcel ccl cv wss crab cint ctop cuni wceq cldrcl eqid clsval
      cldss syl2anc intmin eqtrd ) ABDEZFZABGEEZACHICUBJKZAUCBLFABMZIUDUENABOAB
      UFUFPZRCABUFUGQSCAUBTUA $.
  $}

  $( The intersection of two closed sets is closed.  (Contributed by Jeff
     Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro, 3-Sep-2015.) $)
  incld $p |- ( ( A e. ( Clsd ` J ) /\ B e. ( Clsd ` J ) )
                                    -> ( A i^i B ) e. ( Clsd ` J ) ) $=
    ( ccld cfv wcel wa cpr cint cin intprg c0 wne prnzg prssi syl2an2r eqeltrrd
    wss intcld ) ACDEZFZBTFZGABHZIZABJTABTTKUAUCLMUBUCTRUDTFABTNABTOUCCSPQ $.

  ${
    $d x y z J $.  $d x P $.  $d x y z S $.  $d x U $.  $d x y z X $.
    $d x T $.  $d x A $.
    clscld.1 $e |- X = U. J $.
    $( An indexed relative intersection of closed sets is closed.  (Contributed
       by Stefan O'Rear, 22-Feb-2015.) $)
    riincld $p |- ( ( J e. Top /\ A. x e. A B e. ( Clsd ` J ) ) ->
        ( X i^i |^|_ x e. A B ) e. ( Clsd ` J ) ) $=
      ( ctop wcel ccld cfv wral wa ciin cin wceq riin0 adantl ad2antrr syl2anc
      c0 topcld eqeltrd wne simpr simplr iincld incld pm2.61dane ) DGHZCDIJZHAB
      KZLZEABCMZNZUJHZBTULBTOZLUNEUJUPUNEOULAECBPQUIEUJHZUKUPDEFUAZRUBULBTUCZLZ
      UQUMUJHZUOUIUQUKUSURRUTUSUKVAULUSUDUIUKUSUEABCDUFSEUMDUGSUH $.

    $( A finite indexed union of closed sets is closed.  (Contributed by Mario
       Carneiro, 19-Sep-2015.) $)
    iuncld $p |- ( ( J e. Top /\ A e. Fin /\ A. x e. A B e. ( Clsd ` J ) ) ->
        U_ x e. A B e. ( Clsd ` J ) ) $=
      ( ctop wcel cfn ccld cfv wral w3a cdif ciin cin ciun difin wceq ralimi
      iundif2 eqtr4i wss cldss dfss4 sylib 3ad2ant3 iuneq2 syl5eq simp1 riinopn
      syl cldopn syl3an3 opncld syl2anc eqeltrrd ) DGHZBIHZCDJKZHZABLZMZEEABECN
      ZOZPZNZABCQZUTVCVGABEVDNZQZVHVGEVENVJEVERABEVDUAUBVCVICSZABLZVJVHSVBURVLU
      SVAVKABVACEUCVKCDEFUDCEUEUFTUGABVICUHULUIVCURVFDHZVGUTHURUSVBUJVBURUSVDDH
      ZABLVMVAVNABCDEFUMTABVDDEFUKUNVFDEFUOUPUQ $.

    $( A finite union of closed sets is closed.  (Contributed by Mario
       Carneiro, 19-Sep-2015.) $)
    unicld $p |- ( ( J e. Top /\ A e. Fin /\ A C_ ( Clsd ` J ) ) ->
        U. A e. ( Clsd ` J ) ) $=
      ( vx ctop wcel cfn ccld cfv wss w3a cuni cv ciun uniiun wral dfss3 iuncld
      syl3an3b eqeltrid ) BFGZAHGZABIJZKZLAMEAENZOZUDEAPUEUBUCUFUDGEAQUGUDGEAUD
      REAUFBCDSTUA $.

    $( The closure of a subset of a topology's underlying set is closed.
       (Contributed by NM, 4-Oct-2006.) $)
    clscld $p |- ( ( J e. Top /\ S C_ X ) ->
                 ( ( cls ` J ) ` S ) e. ( Clsd ` J ) ) $=
      ( vx ctop wcel wss wa ccl cfv cv ccld crab cint clsval wne topcld anim1i
      c0 sseq2 elrab sylibr ne0d ssrab2 intcld sylancl eqeltrd ) BFGZACHZIZABJK
      KAELZHZEBMKZNZOZUNEABCDPUKUOTQUOUNHUPUNGUKUOCUKCUNGZUJICUOGUIUQUJBCDRSUMU
      JECUNULCAUAUBUCUDUMEUNUEUOBUFUGUH $.

    $( The closure function is a function from subsets of the base to closed
       sets.  (Contributed by Mario Carneiro, 11-Apr-2015.) $)
    clsf $p |- ( J e. Top -> ( cls ` J ) : ~P X --> ( Clsd ` J ) ) $=
      ( vx vy ctop wcel cpw cv wss ccld cfv crab ccl cvv elpwi wa clsval sylan2
      cint fvex eqeltrrdi clsfval clscld fmpt2d ) AFGZDEBHZDIZEIZJEAKLZMTZUJANL
      ZOUHUGGUFUHBJZUKOGUHBPUFUMQUKUHULLOEUHABCRUHULUAUBSDEABCUCUIUGGUFUIBJUIUL
      LUJGUIBPUIABCUDSUE $.

    $( The interior of a subset of a topology's underlying set is open.
       (Contributed by NM, 11-Sep-2006.)  (Revised by Mario Carneiro,
       11-Nov-2013.) $)
    ntropn $p |- ( ( J e. Top /\ S C_ X ) -> ( ( int ` J ) ` S ) e. J ) $=
      ( ctop wcel wss wa cnt cfv cpw cin cuni ntrval inss1 uniopn mpan2 eqeltrd
      adantr ) BEFZACGZHABIJJBAKZLZMZBABCDNTUDBFZUATUCBGUEBUBOUCBPQSR $.

    $( Express closure in terms of interior.  (Contributed by NM, 10-Sep-2006.)
       (Revised by Mario Carneiro, 11-Nov-2013.) $)
    clsval2 $p |- ( ( J e. Top /\ S C_ X ) -> ( ( cls ` J ) ` S ) =
                 ( X \ ( ( int ` J ) ` ( X \ S ) ) ) ) $=
      ( vz vx wcel wss wa cfv cdif cv cint wceq cab ad2antrl cvv 3syl eqtr4d c0
      ctop ccl cpw cin cuni ccld crab ciin wrex df-rab cldopn sscon ad2antll wb
      topopn difexg elpwg ad2antrr mpbird elind cldss dfss4 sylib eqcomd difeq2
      cnt rspceeqv syl2anc ex simpl elinel1 opncld syl2an elinel2 adantl elpwid
      difss2d simplr ssconb mpbid jca eleq1 anbi12d syl5ibrcom rexlimdva impbid
      sseq2 abbidv syl5eq inteqd ralrimivw dfiin2g adantr clsval uniiun difeq2i
      wral ciun a1i wne 0opn 0elpw iindif2 3eqtr4d difssd ntrval sylan2 difeq2d
      ne0i ) BUAGZACHZIZABUBJJZCBCAKZUCZUDZUEZKZCXNBVFJJZKXLAELZHZEBUFJZUGZMZFX
      PCFLZKZUHZXMXRXLYDXTYFNZFXPUIZEOZMZYGXLYCYJXLYCXTYBGZYAIZEOYJYAEYBUJXLYMY
      IEXLYMYIXLYMYIXLYMIZCXTKZXPGXTCYOKZNYIYNBXOYOYLYOBGXLYAXTBCDUKPYNYOXOGZYO
      XNHZYAYRXLYLAXTCULUMXJYQYRUNZXKYMXJCBGZYOQGYSBCDUOZCXTBUPYOXNQUQRURUSUTYN
      YPXTYNXTCHZYPXTNYLUUBXLYAXTBCDVAPXTCVBVCVDFYOXPYFYPXTYEYOCVEVGVHVIXLYHYMF
      XPXLYEXPGZIZYMYHYFYBGZAYFHZIUUDUUEUUFXLXJYEBGUUEUUCXJXKVJYEBXOVKYEBCDVLVM
      UUDYEXNHZUUFUUDYEXNUUCYEXOGXLYEBXOVNVOVPZUUDYECHXKUUGUUFUNUUDYECAUUHVQXJX
      KUUCVRYEACVSVHVTWAYHYLUUEYAUUFXTYFYBWBXTYFAWGWCWDWEWFWHWIWJXJYGYKNZXKXJYT
      YFQGZFXPWQUUIUUAYTUUJFXPCYEBUPWKFEXPYFQWLRWMSEABCDWNXLXRCFXPYEWRZKZYGXRUU
      LNXLXQUUKCFXPWOWPWSXLTXPGXPTWTYGUULNXLBXOTXJTBGXKBXAWMTXOGXLXNXBWSUTXPTXI
      FXPCYEXCRSXDXLXSXQCXKXJXNCHXSXQNXKCAXEXNBCDXFXGXHS $.

    $( Interior expressed in terms of closure.  (Contributed by NM,
       1-Oct-2007.) $)
    ntrval2 $p |- ( ( J e. Top /\ S C_ X ) ->
                 ( ( int ` J ) ` S ) = ( X \ ( ( cls ` J ) ` ( X \ S ) ) ) ) $=
      ( ctop wcel wss wa cdif ccl cfv cnt wceq difss clsval2 mpan2 adantr dfss4
      biimpi difeq2d fveq2d adantl eqtrd ntropn eltopss syldan sylib eqtr2d ) B
      EFZACGZHZCCAIZBJKKZICCABLKZKZIZIZUOUKUMUPCUKUMCCULIZUNKZIZUPUIUMUTMZUJUIU
      LCGVACANULBCDOPQUKUSUOCUJUSUOMUIUJURAUNUJURAMACRSUAUBTUCTUKUOCGZUQUOMUIUJ
      UOBFVBABCDUDUOBCDUEUFUOCRUGUH $.

    $( An interior of a complement is the complement of the closure.  This set
       is also known as the exterior of ` A ` .  (Contributed by Jeff Hankins,
       31-Aug-2009.) $)
    ntrdif $p |- ( ( J e. Top /\ A C_ X ) -> ( ( int ` J ) ` ( X \ A ) )
                                             = ( X \ ( ( cls ` J ) ` A ) ) ) $=
      ( ctop wcel wss wa cdif cnt cfv ccl wceq difss ntrval2 mpan2 adantr simpr
      dfss4 sylib fveq2d difeq2d eqtrd ) BEFZACGZHZCAIZBJKKZCCUGIZBLKZKZIZCAUJK
      ZIUDUHULMZUEUDUGCGUNCANUGBCDOPQUFUKUMCUFUIAUJUFUEUIAMUDUERACSTUAUBUC $.

    $( A closure of a complement is the complement of the interior.
       (Contributed by Jeff Hankins, 31-Aug-2009.) $)
    clsdif $p |- ( ( J e. Top /\ A C_ X ) -> ( ( cls ` J ) ` ( X \ A ) ) = ( X
    \ ( ( int ` J ) ` A ) ) ) $=
      ( ctop wcel wss wa cdif ccl cfv cnt wceq difss clsval2 mpan2 adantr simpr
      dfss4 sylib fveq2d difeq2d eqtrd ) BEFZACGZHZCAIZBJKKZCCUGIZBLKZKZIZCAUJK
      ZIUDUHULMZUEUDUGCGUNCANUGBCDOPQUFUKUMCUFUIAUJUFUEUIAMUDUERACSTUAUBUC $.

    $( Subset relationship for closure.  (Contributed by NM, 10-Feb-2007.) $)
    clsss $p |- ( ( J e. Top /\ S C_ X /\ T C_ S ) -> ( ( cls ` J ) ` T ) C_
                 ( ( cls ` J ) ` S ) ) $=
      ( vx ctop wcel wss w3a cv ccld cfv crab cint ccl wi sstr2 wceq clsval syl
      adantr ss2rabdv intss 3ad2ant3 impcom 3adant1 syl2anc 3adant3 3sstr4d
      simp1 ) CGHZADIZBAIZJZBFKZIZFCLMZNZOZAUPIZFURNZOZBCPMZMZAVDMZUNULUTVCIZUM
      UNVBUSIVGUNVAUQFURUNVAUQQUPURHBAUPRUBUCVBUSUDUAUEUOULBDIZVEUTSULUMUNUKUMU
      NVHULUNUMVHBADRUFUGFBCDETUHULUMVFVCSUNFACDETUIUJ $.

    $( Subset relationship for interior.  (Contributed by NM, 3-Oct-2007.) $)
    ntrss $p |- ( ( J e. Top /\ S C_ X /\ T C_ S ) -> ( ( int ` J ) ` T ) C_
                 ( ( int ` J ) ` S ) ) $=
      ( ctop wcel wss cnt cfv wa cdif ccl sscon adantl difss jctil wceq ntrval2
      sylan2 clsss 3expb sscond sstr2 impcom adantrr 3sstr4d 3impb ) CFGZADHZBA
      HZBCIJZJZAULJZHUIUJUKKZKZDDBLZCMJZJZLZDDALZURJZLZUMUNUPVBUSDUOUIUQDHZVAUQ
      HZKVBUSHZUOVEVDUKVEUJBADNODBPQUIVDVEVFUQVACDEUAUBTUCUOUIBDHZUMUTRUKUJVGBA
      DUDUEBCDESTUIUJUNVCRUKACDESUFUGUH $.

    $( A subset of a topology's underlying set is included in its closure.
       (Contributed by NM, 22-Feb-2007.) $)
    sscls $p |- ( ( J e. Top /\ S C_ X ) -> S C_ ( ( cls ` J ) ` S ) ) $=
      ( vx ctop wcel wss wa cv ccld cfv crab cint ccl ssintub clsval sseqtrrid
      ) BFGACHIAEJHEBKLZMNAABOLLEASPEABCDQR $.

    $( A subset includes its interior.  (Contributed by NM, 3-Oct-2007.)
       (Revised by Mario Carneiro, 11-Nov-2013.) $)
    ntrss2 $p |- ( ( J e. Top /\ S C_ X ) -> ( ( int ` J ) ` S ) C_ S ) $=
      ( ctop wcel wss wa cnt cfv cpw cin cuni ntrval inss2 unissi unipw sseqtri
      eqsstrdi ) BEFACGHABIJJBAKZLZMZAABCDNUBTMAUATBTOPAQRS $.

    $( An open subset of a set is a subset of the set's interior.  (Contributed
       by Jeff Hankins, 31-Aug-2009.)  (Revised by Mario Carneiro,
       11-Nov-2013.) $)
    ssntr $p |- ( ( ( J e. Top /\ S C_ X ) /\ ( O e. J /\ O C_ S ) ) -> O C_ (
    ( int ` J ) ` S ) ) $=
      ( ctop wcel wss wa cpw cin cuni cnt cfv elin elpwg pm5.32i bitr2i elssuni
      sylbi adantl wceq ntrval adantr sseqtrrd ) BFGADHIZCBGZCAHZIZICBAJZKZLZAB
      MNNZUICULHZUFUICUKGZUNUOUGCUJGZIUICBUJOUGUPUHCABPQRCUKSTUAUFUMULUBUIABDEU
      CUDUE $.

    $( The closure of a subset of a topological space is included in the space.
       (Contributed by NM, 26-Feb-2007.) $)
    clsss3 $p |- ( ( J e. Top /\ S C_ X ) -> ( ( cls ` J ) ` S ) C_ X ) $=
      ( ctop wcel wss wa ccl cfv ccld clscld cldss syl ) BEFACGHABIJJZBKJFOCGAB
      CDLOBCDMN $.

    $( The interior of a subset of a topological space is included in the
       space.  (Contributed by NM, 1-Oct-2007.) $)
    ntrss3 $p |- ( ( J e. Top /\ S C_ X ) -> ( ( int ` J ) ` S ) C_ X ) $=
      ( ctop wcel wss cnt cfv ntropn eltopss syldan ) BEFACGABHIIZBFMCGABCDJMBC
      DKL $.

    $( A pairwise intersection of interiors is the interior of the
       intersection.  This does not always hold for arbitrary intersections.
       (Contributed by Jeff Hankins, 31-Aug-2009.) $)
    ntrin $p |- ( ( J e. Top /\ A C_ X /\ B C_ X ) -> ( ( int ` J ) ` ( A i^i B
    ) ) = ( ( ( int ` J ) ` A ) i^i ( ( int ` J ) ` B ) ) ) $=
      ( ctop wcel wss cin inss1 ntrss mp3an3 3adant3 inss2 3adant2 ssind ntropn
      cfv ntrss2 sstrid w3a simp1 ssinss1 3ad2ant2 inopn syl3anc ssntr syl22anc
      cnt eqssd ) CFGZADHZBDHZUAZABIZCUIRZRZAUPRZBUPRZIZUNUQURUSUKULUQURHZUMUKU
      LUOAHVAABJAUOCDEKLMUKUMUQUSHZULUKUMUOBHVBABNBUOCDEKLOPUNUKUODHZUTCGZUTUOH
      UTUQHUKULUMUBZULUKVCUMABDUCUDUNUKURCGZUSCGZVDVEUKULVFUMACDEQMUKUMVGULBCDE
      QOURUSCUEUFUNUTABUNUTURAURUSJUKULURAHUMACDESMTUNUTUSBURUSNUKUMUSBHULBCDES
      OTPUOCUTDEUGUHUJ $.

    $( The complement of a closure is open.  (Contributed by NM,
       11-Sep-2006.) $)
    cmclsopn $p |- ( ( J e. Top /\ S C_ X ) ->
                 ( X \ ( ( cls ` J ) ` S ) ) e. J ) $=
      ( ctop wcel wss wa ccl cfv cdif clsval2 difeq2d wceq difss ntropn eltopss
      cnt mpan2 eqeltrd mpdan dfss4 sylib adantr ) BEFZACGZHZCABIJJZKCCCAKZBRJJ
      ZKZKZBUGUHUKCABCDLMUEULBFUFUEULUJBUEUJCGZULUJNUEUJBFZUMUEUICGUNCAOUIBCDPS
      ZUJBCDQUAUJCUBUCUOTUDT $.

    $( The complement of an interior is closed.  (Contributed by NM,
       1-Oct-2007.)  (Proof shortened by OpenAI, 3-Jul-2020.) $)
    cmntrcld $p |- ( ( J e. Top /\ S C_ X ) ->
                 ( X \ ( ( int ` J ) ` S ) ) e. ( Clsd ` J ) ) $=
      ( ctop wcel wss cnt cfv cdif ccld ntropn opncld syldan ) BEFACGABHIIZBFCO
      JBKIFABCDLOBCDMN $.

    $( A subset is closed iff it equals its own closure.  (Contributed by NM,
       2-Oct-2006.) $)
    iscld3 $p |- ( ( J e. Top /\ S C_ X ) -> ( S e. ( Clsd ` J ) <->
                 ( ( cls ` J ) ` S ) = S ) ) $=
      ( ctop wcel wss ccld cfv ccl wceq cldcls clscld eleq1 syl5ibcom impbid2
      wa ) BEFACGQZABHIZFZABJIIZAKZABLRUASFUBTABCDMUAASNOP $.

    $( A subset is closed iff it contains its own closure.  (Contributed by NM,
       31-Jan-2008.) $)
    iscld4 $p |- ( ( J e. Top /\ S C_ X ) -> ( S e. ( Clsd ` J ) <->
                 ( ( cls ` J ) ` S ) C_ S ) ) $=
      ( ctop wcel wss wa ccld cfv wceq iscld3 eqss sscls biantrud bitr4id bitrd
      ccl ) BEFACGHZABIJFABRJJZAKZTAGZABCDLSUAUBATGZHUBTAMSUCUBABCDNOPQ $.

    $( A subset is open iff it equals its own interior.  (Contributed by NM,
       9-Oct-2006.)  (Revised by Mario Carneiro, 11-Nov-2013.) $)
    isopn3 $p |- ( ( J e. Top /\ S C_ X ) -> ( S e. J <->
                 ( ( int ` J ) ` S ) = S ) ) $=
      ( ctop wcel wss wa cnt cfv wceq cpw cin ntrval inss2 unissi unipw sseqtri
      cuni a1i id pwidg elind elssuni syl eqssd sylan9eq ntropn eleq1 syl5ibcom
      ex impbid ) BEFACGHZABFZABIJJZAKZUMUNUPUMUNUOBALZMZSZAABCDNUNUSAUSAGUNUSU
      QSAURUQBUQOPAQRTUNAURFAUSGUNBUQAUNUAABUBUCAURUDUEUFUGUKUMUOBFUPUNABCDUHUO
      ABUIUJUL $.

    $( The closure operation is idempotent.  (Contributed by NM,
       2-Oct-2007.) $)
    clsidm $p |- ( ( J e. Top /\ S C_ X ) ->
               ( ( cls ` J ) ` ( ( cls ` J ) ` S ) ) = ( ( cls ` J ) ` S ) ) $=
      ( ctop wcel wss wa ccl cfv ccld wceq clscld wb clsss3 iscld3 syldan mpbid
      ) BEFZACGZHABIJZJZBKJFZUBUAJUBLZABCDMSTUBCGUCUDNABCDOUBBCDPQR $.

    $( The interior operation is idempotent.  (Contributed by NM,
       2-Oct-2007.) $)
    ntridm $p |- ( ( J e. Top /\ S C_ X ) ->
               ( ( int ` J ) ` ( ( int ` J ) ` S ) ) = ( ( int ` J ) ` S ) ) $=
      ( ctop wcel wss wa cnt cfv wceq ntropn wb ntrss3 isopn3 syldan mpbid ) BE
      FZACGZHABIJZJZBFZUATJUAKZABCDLRSUACGUBUCMABCDNUABCDOPQ $.

    $( The closure of a topology's underlying set is the entire set.
       (Contributed by NM, 5-Oct-2007.)  (Proof shortened by Jim Kingdon,
       11-Mar-2023.) $)
    clstop $p |- ( J e. Top -> ( ( cls ` J ) ` X ) = X ) $=
      ( ctop wcel ccld cfv ccl wceq topcld cldcls syl ) ADEBAFGEBAHGGBIABCJBAKL
      $.

    $( The interior of a topology's underlying set is the entire set.
       (Contributed by NM, 12-Sep-2006.) $)
    ntrtop $p |- ( J e. Top -> ( ( int ` J ) ` X ) = X ) $=
      ( ctop wcel cnt cfv wceq topopn wss wb ssid isopn3 mpan2 mpbid ) ADEZBAEZ
      BAFGGBHZABCIPBBJQRKBLBABCMNO $.

    $( A subset with an empty interior cannot cover a whole (nonempty)
       topology.  (Contributed by NM, 12-Sep-2006.) $)
    0ntr $p |- ( ( ( J e. Top /\ X =/= (/) ) /\ ( S C_ X
               /\ ( ( int ` J ) ` S ) = (/) ) ) -> ( X \ S ) =/= (/) ) $=
      ( ctop wcel wss cnt cfv c0 wceq wa wne cdif ssdif0 wi eqss ntrtop syl5bir
      fveq2 sylan9eqr eqeq1d biimpd ex expd com34 imp32 necon3d imp an32s ) BEF
      ZACGZABHIZIZJKZLZCJMZCANZJMZUKUPLZUQUSUTURJCJURJKCAGZUTCJKZCAOUKULUOVAVBP
      UKULVAUOVBUKULVAUOVBPZULVALACKZUKVCACQUKVDVCUKVDLZUOVBVEUNCJVDUKUNCUMICAC
      UMTBCDRUAUBUCUDSUEUFUGSUHUIUJ $.

    $( If a subset is included in a closed set, so is the subset's closure.
       (Contributed by NM, 22-Feb-2007.) $)
    clsss2 $p |- ( ( C e. ( Clsd ` J ) /\ S C_ C ) ->
                 ( ( cls ` J ) ` S ) C_ C ) $=
      ( ccld cfv wcel wss ccl ctop cldrcl adantr cldss simpr clsss syl3anc wceq
      wa cldcls sseqtrd ) ACFGHZBAIZSZBCJGZGZAUEGZAUDCKHZADIZUCUFUGIUBUHUCACLMU
      BUIUCACDENMUBUCOABCDEPQUBUGARUCACTMUA $.

    $( Membership in a closure.  Theorem 6.5(a) of [Munkres] p. 95.
       (Contributed by NM, 22-Feb-2007.) $)
    elcls $p |- ( ( J e. Top /\ S C_ X /\ P e. X ) -> ( P e. ( ( cls ` J ) ` S
                ) <-> A. x e. J ( P e. x -> ( x i^i S ) =/= (/) ) ) ) $=
      ( wcel wss cfv cin c0 wne wi wn wa cdif 3adant3 adantr wceq reldisj eldif
      ctop w3a ccl wral wrex cmclsopn biimpri 3ad2antl3 simpr sscls ssind dfin4
      cv sseqtrdi wb adantl mpbird incom eqeq1i bitri sylibr eleq2 ineq1 neeq1d
      notbid anbi12d rspcev syl12anc df-ne con2bii ccld opncld adantlr ad4ant24
      biimpa clsss2 syl2an2r sseld eldifn syl6 con2d sylan2br exp31 com34 imp4a
      nne rexlimdv imp 3adantl3 impbida rexanali bitrdi con4bid ) DUBGZCEHZBEGZ
      UCZBCDUDIIZGZBAUNZGZXACJZKLZMADUEZWRWTNZXBXDNZOZADUFZXENWRXFXIWRXFOEWSPZD
      GZBXJGZXJCJZKLZNZXIWRXKXFWOWPXKWQCDEFUGQRWQWOXFXLWPXLWQXFOBEWSUAUHUIWRXOX
      FWOWPXOWQWOWPOZCXJJZKSZXOXPXRCEXJPZHZXPCEWSJXSXPCEWSWOWPUJCDEFUKULEWSUMUO
      WPXRXTUPWOCXJETUQURXOXMKSXRXMKWGXMXQKXJCUSUTVAVBQRXHXLXOOAXJDXAXJSZXBXLXG
      XOXAXJBVCYAXDXNYAXCXMKXAXJCVDVEVFVGVHVIWOWPXIXFWQXPXIXFXPXHXFADXPXADGZXBX
      GXFXPYBXGXBXFXPYBXGXBXFMZXGXPYBOZCXAJZKSZYCYFXCKSZXGYEXCKCXAUSUTXDYGXCKVJ
      VKVAYDYFOZWTXBYHWTBEXAPZGXBNYHWSYIBYDYIDVLIGZYFCYIHZWSYIHWOYBYJWPXADEFVMV
      NWPYFYKWOYBWPYFYKCXAETVPVOYICDEFVQVRVSBEXAVTWAWBWCWDWEWFWHWIWJWKXBXDADWLW
      MWN $.

    $( Membership in a closure.  (Contributed by NM, 5-Mar-2007.) $)
    elcls2 $p |- ( ( J e. Top /\ S C_ X ) -> ( P e. ( ( cls ` J ) ` S
         ) <-> ( P e. X /\ A. x e. J ( P e. x -> ( x i^i S ) =/= (/) ) ) ) ) $=
      ( ctop wcel wss wa ccl cfv cv cin c0 wne wi wral wb clsss3 pm4.71rd elcls
      ssel syl 3expa pm5.32da bitrd ) DGHZCEIZJZBCDKLLZHZBEHZULJZUMBAMZHUOCNOPQ
      ADRZJUJUKEIZULUNSCDEFTUQULUMUKEBUCUAUDUJUMULUPUHUIUMULUPSABCDEFUBUEUFUG
      $.

    $( Any open set containing a point that belongs to the closure of a subset
       intersects the subset.  One direction of Theorem 6.5(a) of [Munkres]
       p. 95.  (Contributed by NM, 26-Feb-2007.) $)
    clsndisj $p |- ( ( ( J e. Top /\ S C_ X /\ P e. ( ( cls ` J ) ` S ) ) /\
               ( U e. J /\ P e. U ) ) -> ( U i^i S ) =/= (/) ) $=
      ( vx ctop wcel wss ccl cfv w3a cv cin c0 wne wi wral wa simp1 simp2 sseld
      clsss3 3impia simp3 elcls biimpa syl31anc wceq eleq2 ineq1 neeq1d imbi12d
      rspccv imp32 sylan ) DHIZBEJZABDKLLZIZMZAGNZIZVCBOZPQZRZGDSZCDIZACIZTCBOZ
      PQZVBURUSAEIZVAVHURUSVAUAURUSVAUBURUSVAVMURUSTUTEABDEFUDUCUEURUSVAUFURUSV
      MMVAVHGABDEFUGUHUIVHVIVJVLVGVJVLRGCDVCCUJZVDVJVFVLVCCAUKVNVEVKPVCCBULUMUN
      UOUPUQ $.

    $( A subset whose closure has an empty interior also has an empty interior.
       (Contributed by NM, 4-Oct-2007.) $)
    ntrcls0 $p |- ( ( J e. Top /\ S C_ X /\ ( ( int ` J ) `
                ( ( cls ` J ) ` S ) ) = (/) ) -> ( ( int ` J ) ` S ) = (/) ) $=
      ( ctop wcel wss ccl cfv cnt c0 wceq wa simpl clsss3 sscls syl3anc 3adant3
      w3a ntrss wb sseq2 3ad2ant3 mpbid ss0 syl ) BEFZACGZABHIIZBJIZIZKLZSZAUJI
      ZKGZUNKLUMUNUKGZUOUGUHUPULUGUHMUGUICGAUIGUPUGUHNABCDOABCDPUIABCDTQRULUGUP
      UOUAUHUKKUNUBUCUDUNUEUF $.

    $( Two ways to say that a subset has an empty interior.  (Contributed by
       NM, 3-Oct-2007.)  (Revised by Mario Carneiro, 11-Nov-2013.) $)
    ntreq0 $p |- ( ( J e. Top /\ S C_ X ) -> ( ( ( int ` J ) ` S ) = (/) <->
               A. x e. J ( x C_ S -> x = (/) ) ) ) $=
      ( vy wcel wss wa cfv c0 wceq cv wi wral wex wrex wn neq0 con1bii ctop cnt
      cpw cuni ntrval eqeq1d ancom elin anbi1i anass 3bitri exbii eluni 3bitr4i
      df-rex rexcom4 19.42v rexbii 3bitr2i notbii bitr3i ralinexa velpw imbi12i
      cin ralbii bitrdi ) CUAGBDHIZBCUBJJZKLCBUCZVEZUDZKLZAMZBHZVNKLZNZACOZVHVI
      VLKBCDEUEUFVMVNVJGZFMZVNGZFPZIZACQZRZVSWBRZNZACOVRVMVTVLGZFPZRWEVMWIFVLST
      WIWDWIVSWAIZACQZFPWJFPZACQWDWHWKFWAVNVKGZIZAPVNCGZWJIZAPWHWKWNWPAWNWMWAIW
      OVSIZWAIWPWAWMUGWMWQWAVNCVJUHUIWOVSWAUJUKULAVTVKUMWJACUOUNULWJAFCUPWLWCAC
      VSWAFUQURUSUTVAVSWBACVBWGVQACVSVOWFVPABVCVPWBFVNSTVDVFUSVG $.

    $( The closed sets of a topology comprise a Moore system on the points of
       the topology.  (Contributed by Stefan O'Rear, 31-Jan-2015.) $)
    cldmre $p |- ( J e. Top -> ( Clsd ` J ) e. ( Moore ` X ) ) $=
      ( vx ctop wcel ccld cfv cpw wss cldss2 a1i topcld cv c0 wne intcld ancoms
      cint 3adant1 ismred ) AEFZAGHZBDUCBIJUBABCKLABCMDNZUCJZUDOPZUDSUCFZUBUFUE
      UGUDAQRTUA $.
  $}

  ${
    $d J a b $.  $d F a b $.
    mrccls.f $e |- F = ( mrCls ` ( Clsd ` J ) ) $.
    $( Moore closure generalizes closure in a topology.  (Contributed by Stefan
       O'Rear, 31-Jan-2015.) $)
    mrccls $p |- ( J e. Top -> ( cls ` J ) = F ) $=
      ( va ctop wcel ccl cfv cuni cpw wss ccld crab cint cmpt eqid clsfval cmre
      vb cv wceq cldmre mrcfval syl eqtr4d ) BEFZBGHDBIZJDTSTKSBLHZMNOZADSBUGUG
      PZQUFUHUGRHFAUIUABUGUJUBDUHAUGSCUCUDUE $.
  $}

  $( The closure of the empty set.  (Contributed by NM, 2-Oct-2007.)  (Proof
     shortened by Jim Kingdon, 12-Mar-2023.) $)
  cls0 $p |- ( J e. Top -> ( ( cls ` J ) ` (/) ) = (/) ) $=
    ( ctop wcel c0 ccld cfv ccl wceq 0cld cldcls syl ) ABCDAEFCDAGFFDHAIDAJK $.

  $( The interior of the empty set.  (Contributed by NM, 2-Oct-2007.) $)
  ntr0 $p |- ( J e. Top -> ( ( int ` J ) ` (/) ) = (/) ) $=
    ( ctop wcel c0 cnt cfv wceq 0opn cuni wss wb 0ss eqid isopn3 mpan2 mpbid )
    ABCZDACZDAEFFDGZAHQDAIZJRSKTLDATTMNOP $.

  $( An open subset equals its own interior.  (Contributed by Mario Carneiro,
     30-Dec-2016.) $)
  isopn3i $p |- ( ( J e. Top /\ S e. J ) -> ( ( int ` J ) ` S ) = S ) $=
    ( ctop wcel wa cnt cfv wceq simpr cuni wss elssuni eqid isopn3 sylan2 mpbid
    wb ) BCDZABDZESABFGGAHZRSISRABJZKSTQABLABUAUAMNOP $.

  ${
    $d x y z B $.  $d y J $.  $d x y z P $.  $d y ph $.  $d x y z S $.
    elcls3.1 $e |- ( ph -> J = ( topGen ` B ) ) $.
    elcls3.2 $e |- ( ph -> X = U. J ) $.
    elcls3.3 $e |- ( ph -> B e. TopBases ) $.
    elcls3.4 $e |- ( ph -> S C_ X ) $.
    elcls3.5 $e |- ( ph -> P e. X ) $.
    $( Membership in a closure in terms of the members of a basis.  Theorem
       6.5(b) of [Munkres] p. 95.  (Contributed by NM, 26-Feb-2007.)  (Revised
       by Mario Carneiro, 3-Sep-2015.) $)
    elcls3 $p |- ( ph -> ( P e. ( ( cls ` J ) ` S ) <->
      A. x e. B ( P e. x -> ( x i^i S ) =/= (/) ) ) ) $=
      ( vy vz cfv wcel c0 wi wceq wa ccl cv cin wne wral ctop cuni wss ctg tgcl
      wb ctb syl eqeltrd sseqtrd eleqtrd eqid elcls bastg sseqtrrd sseld imim1d
      syl3anc ralimdv2 eleq2w ineq1 neeq1d cbvralvw syl6ib wrex simprl ad2antrr
      imbi12d simprr tg2 syl2anc rspccva imp ssdisj necon3d syl5com exp31 imp4a
      ex rexlimdv ad2antlr mpd exp43 ralrimdv impbid bitrd ) ADEFUAOOPZDMUBZPZW
      MEUCZQUDZRZMFUEZDBUBZPZWSEUCZQUDZRZBCUEZAFUFPEFUGZUHDXEPWLWRUKAFCUIOZUFHA
      CULPZXFUFPJCUJUMUNAEGXEKIUOADGXELIUPMDEFXEXEUQURVCAWRXDAWRWQMCUEXDAWQWQMF
      CAWMCPWMFPZWQACFWMACXFFAXGCXFUHJCULUSUMHUTVAVBVDWQXCMBCWMWSSZWNWTWPXBMBDV
      EXIWOXAQWMWSEVFVGVMVHVIAXDWQMFAXDXHWNWPAXDTZXHWNTZTZDNUBZPZXMWMUHZTZNCVJZ
      WPXLWMXFPWNXQXLWMFXFXJXHWNVKAFXFSXDXKHVLUPXJXHWNVNNWMCDVOVPXDXQWPRAXKXDXP
      WPNCXDXMCPZXNXOWPXDXRXNXOWPRXDXRTZXNTXMEUCZQUDZXOWPXSXNYAXCXNYARBXMCWSXMS
      ZWTXNXBYABNDVEYBXAXTQWSXMEVFVGVMVQVRXOWOQXTQXOWOQSXTQSXMWMEVSWDVTWAWBWCWE
      WFWGWHWIWJWK $.
  $}

  ${
    $d u A $.  $d x B $.  $d x F $.  $d u x J $.  $d u x X $.
    opncldf.1 $e |- X = U. J $.
    opncldf.2 $e |- F = ( u e. J |-> ( X \ u ) ) $.
    $( A bijection useful for converting statements about open sets to
       statements about closed sets and vice versa.  (Contributed by Jeff
       Hankins, 27-Aug-2009.)  (Proof shortened by Mario Carneiro,
       1-Sep-2015.) $)
    opncldf1 $p |- ( J e. Top -> ( F : J -1-1-onto-> ( Clsd ` J ) /\
        `' F = ( x e. ( Clsd ` J ) |-> ( X \ x ) ) ) ) $=
      ( ctop wcel cv cdif wceq wss dfss4 sylib eqcomd difeq2 eqeq2d syl5ibrcom
      wa ccld cfv opncld cldopn adantl ad2antll eltopss adantrr impbid f1ocnv2d
      cldss ) DHIZBADDUAUBZEBJZKZEAJZKZCGUNDEFUCUPUMIZUQDIULUPDEFUDUEULUNDIZURT
      TZUNUQLZUPUOLZUTVBVAUPEUQKZLUTVCUPUTUPEMZVCUPLURVDULUSUPDEFUKUFUPENOPVAUO
      VCUPUNUQEQRSUTVAVBUNEUOKZLUTVEUNUTUNEMZVEUNLULUSVFURUNDEFUGUHUNENOPVBUQVE
      UNUPUOEQRSUIUJ $.

    $( The values of the open-closed bijection.  (Contributed by Jeff Hankins,
       27-Aug-2009.)  (Proof shortened by Mario Carneiro, 1-Sep-2015.) $)
    opncldf2 $p |- ( ( J e. Top /\ A e. J ) -> ( F ` A ) = ( X \ A ) ) $=
      ( ctop wcel wa cv cdif ccld cfv difeq2 simpr opncld fvmptd3 ) DHIZBDIZJAB
      EAKZLEBLDCDMNGUABEOSTPBDEFQR $.

    $( The values of the converse/inverse of the open-closed bijection.
       (Contributed by Jeff Hankins, 27-Aug-2009.)  (Proof shortened by Mario
       Carneiro, 1-Sep-2015.) $)
    opncldf3 $p |- ( B e. ( Clsd ` J ) -> ( `' F ` B ) = ( X \ B ) ) $=
      ( vx ccld cfv wcel ccnv cv cdif cmpt ctop wceq cldrcl wf1o opncldf1 mpdan
      simprd syl fveq1d cldopn difeq2 eqid fvmptg eqtrd ) BDIJZKZBCLZJBHUJEHMZN
      ZOZJZEBNZUKBULUOUKDPKZULUOQZBDRURDUJCSUSHACDEFGTUBUCUDUKUQDKUPUQQBDEFUEHB
      UNUQUJDUOUMBEUFUOUGUHUAUI $.
  $}

  ${
    $d w x y z A $.  $d x y z J $.  $d x y z X $.
    isclo.1 $e |- X = U. J $.
    $( A set ` A ` is clopen iff for every point ` x ` in the space there is a
       neighborhood ` y ` such that all the points in ` y ` are in ` A ` iff
       ` x ` is.  (Contributed by Mario Carneiro, 10-Mar-2015.) $)
    isclo $p |- ( ( J e. Top /\ A C_ X ) -> ( A e. ( J i^i ( Clsd ` J ) ) <->
      A. x e. X E. y e. J ( x e. y /\ A. z e. y ( x e. A <-> z e. A ) ) ) ) $=
      ( wcel wa wss cv wb wral wrex anbi2d eltop2 dfss3 syl5bb ralbiia bitrdi
      ccld cfv cin ctop elin cdif iscld2 pm5.501 ralbidv rexbidv wn cuni elunii
      id simpr syl2anr eleqtrrdi eldif baib eldifn nbn2 ad2antrr bitrd ralbidva
      syl rexbidva anbi12d adantr cun ralunb undif sylib raleqdv bitr3id 3bitrd
      wceq ) DEEUAUBZUCHDEHZDVQHZIZEUDHZDFJZIZAKZBKZHZWDDHZCKZDHZLZCWEMZIZBENZA
      FMZDEVQUEWCVTVRFDUFZEHZIZWMADMZWMAWOMZIZWNWCVSWPVRDEFGUGOWAWQWTLWBWAVRWRW
      PWSWAVRWFWEDJZIZBENZADMWRABDEPXCWMADWGXBWLBEWGXAWKWFXAWICWEMWGWKCWEDQWGWI
      WJCWEWGWIUHUIROUJSTWAWPWFWEWOJZIZBENZAWOMWSABWOEPXFWMAWOWDWOHZXEWLBEXGWEE
      HZIZXDWKWFXDWHWOHZCWEMXIWKCWEWOQXIXJWJCWEXIWHWEHZIZXJWIUKZWJXLWHFHZXJXMLX
      LWHEULZFXKXKXHWHXOHXIXKUNXGXHUOWHWEEUMUPGUQXJXNXMWHFDURUSVEXGXMWJLZXHXKXG
      WGUKXPWDFDUTWGWIVAVEVBVCVDROVFSTVGVHWTWMADWOVIZMWCWNWMADWOVJWCWMAXQFWCWBX
      QFVPWAWBUODFVKVLVMVNVOR $.

    $( A set ` A ` is clopen iff for every point ` x ` in the space there is a
       neighborhood ` y ` of ` x ` which is either disjoint from ` A ` or
       contained in ` A ` .  (Contributed by Mario Carneiro, 7-Jul-2015.) $)
    isclo2 $p |- ( ( J e. Top /\ A C_ X ) -> ( A e. ( J i^i ( Clsd ` J ) ) <->
      A. x e. X E. y e. J ( x e. y /\ A. z e. y ( z e. A -> y C_ A ) ) ) ) $=
      ( vw wcel wss wa cv wb wral wrex wi weq eleq1w ralimdv com12 ctop cfv cin
      ccld isclo bibi2d anbi2i pm4.24 raaanv 3bitr4i bibi1 biimpa biimpcd dfss3
      cbvralvw syl6ibr ralimi sylbi imbi1d rspcv imbi2i bitr4i syl6ib ssel jcad
      r19.21v imim2d ralbiim impbid2 pm5.32i rexbii ralbii bitrdi ) EUAIDFJKDEE
      UDUBUCIALZBLZIZVNDIZCLDIZMZCVONZKZBEOZAFNVPVRVODJZPZCVONZKZBEOZAFNABCDEFG
      UEWBWGAFWAWFBEVPVTWEVPVTWEVTVSVQHLDIZMZKZHVONZCVONZWEVTVTKVTWIHVONZKVTWLV
      TWMVTVSWICHVOCHQVRWHVQCHDRUFUOUGVTUHVSWICHVOUIUJWKWDCVOWKVRWHHVONZWCVRWKW
      NVRWJWHHVOWJVRWHVSWIVRWHMVQVRWHUKULUMSTHVODUNUPUQURVPWEVQVRPCVONZVRVQPZCV
      ONZKVTVPWEWOWQVPWEVQWCPZWOWDWRCVNVOCAQVRVQWCCADRUSUTWRVQVRCVONZPWOWCWSVQC
      VODUNVAVQVRCVOVFVBVCVPWDWPCVOVPWCVQVRWCVPVQVODVNVDTVGSVEVQVRCVOVHUPVIVJVK
      VLVM $.
  $}

  ${
    $d x A $.  $d x V $.
    $( The open sets of a discrete topology are closed and its closed sets are
       open.  (Contributed by FL, 7-Jun-2007.)  (Revised by Mario Carneiro,
       7-Apr-2015.) $)
    discld $p |- ( A e. V -> ( Clsd ` ~P A ) = ~P A ) $=
      ( vx wcel cpw ccld cfv cv cdif difss elpw2g mpbiri ctop wa wb distop cuni
      wss unipw eqcomi iscld syl mpbiran2d velpw bitr4di eqrdv ) ABDZCAEZFGZUHU
      GCHZUIDZUJARZUJUHDUGUKULAUJIZUHDZUGUNUMARAUJJUMABKLUGUHMDUKULUNNOABPUJUHA
      UHQAASTUAUBUCCAUDUEUF $.

    $( The closed sets of the topology ` { (/) } ` .  (Contributed by FL,
       5-Jan-2009.) $)
    sn0cld $p |- ( Clsd ` { (/) } ) = { (/) } $=
      ( c0 cpw ccld cfv csn cvv wcel wceq 0ex discld ax-mp pw0 fveq2i 3eqtr3i )
      ABZCDZOAEZCDQAFGPOHIAFJKOQCLMLN $.

    $( The closed sets of an indiscrete topology.  (Contributed by FL,
       5-Jan-2009.)  (Revised by Mario Carneiro, 14-Aug-2015.) $)
    indiscld $p |- ( Clsd ` { (/) , A } ) = { (/) , A } $=
      ( vx c0 cpr ccld cfv cv wcel cid wss cdif wa ctop wb indistop wceq difeq2
      ax-mp eqtrdi eqeltrdi indisuni iscld simpl dfss4 sylib wo simpr eleqtrrdi
      indislem elpri dif0 fvex prid2 eleqtri difid 0ex prid1 jaoi 3syl eqeltrrd
      sylbi ssriv 0cld topcld prssi mp2an eqsstrri eqssi ) CADZEFZVIBVJVIBGZVJH
      ZVKAIFZJZVMVKKZVIHZLZVKVIHVIMHZVLVQNAOZVKVIVMAUAZUBRVQVMVOKZVKVIVQVNWAVKP
      VNVPUCVKVMUDUEVQVOCVMDZHVOCPZVOVMPZUFWAVIHZVQVOVIWBVNVPUGAUIZUHVOCVMUJWCW
      EWDWCWAVMVIWCWAVMCKVMVOCVMQVMUKSVMWBVICVMAIULUMWFUNTWDWACVIWDWAVMVMKCVOVM
      VMQVMUOSCAUPUQTURUSUTVAVBVIWBVJWFCVJHZVMVJHZWBVJJVRWGVSVIVCRVRWHVSVIVMVTV
      DRCVMVJVEVFVGVH $.
  $}

  ${
    $d ph a b x y z $.  $d M a b x y z $.  $d J a b x y $.  $d B a b x y z $.
    mretopd.m $e |- ( ph -> M e. ( Moore ` B ) ) $.
    mretopd.z $e |- ( ph -> (/) e. M ) $.
    mretopd.u $e |- ( ( ph /\ x e. M /\ y e. M ) -> ( x u. y ) e. M ) $.
    mretopd.j $e |- J = { z e. ~P B | ( B \ z ) e. M } $.
    $( A Moore collection which is closed under finite unions called
       _topological_; such a collection is the closed sets of a canonically
       associated topology.  (Contributed by Stefan O'Rear, 1-Feb-2015.) $)
    mretopd $p |- ( ph -> ( J e. ( TopOn ` B ) /\ M = ( Clsd ` J ) ) ) $=
      ( va vb wcel wceq wss wa c0 eleq1d cdif ctopon cfv ccld ctop cuni wal cin
      cv wral unieq uni0 eqtrdi wne cpw ssrab3 sstr mpan2 adantl sspwuni vuniex
      wi sylib elpw sylibr adantr ciun difeq2i ciin iindif2 cmre ad2antrr simpr
      uniiun weq difeq2 elrab2 simprbi rgen mreiincl eqeltrrd eqeltrid sylanbrc
      ssralv mpi syl3anc 0elpw a1i mre1cl syl pm2.61ne ex alrimiv inss1 simplbi
      dif0 elpwid ad2antrl sstrid vex inex1 difindi ad2antll simpl uneq1 imbi2d
      cun uneq2 3expb expcom vtocl2ga imp syl21anc ralrimivva cvv rabexd istopg
      pwexd mpbir2and unissi unipw sseqtri pwidg unissel sylancr eqcomd istopon
      difid crab eqid cldval pweqd difeq1d rabeqbidv eleq2i difss elpw2g mpbiri
      wb elrab3 syl5bb elpwi dfss4 bitrd rabbidva incom dfin5 eqtri df-ss eqtrd
      mresspw eqtr3id 3eqtrrd jca ) AFEUAUBNZGFUCUBZOAFUDNZEFUEZOUUNAUUPLUHZFPZ
      UURUEZFNZVAZLUFZUURMUHZUGZFNZMFUILFUIZAUVBLAUUSUVAAUUSQZUVARFNZUURRUURROZ
      UUTRFUVJUUTRUERUURRUJUKULSUVHUURRUMZQZUUTEUNZNZEUUTTZGNZUVAUVHUVNUVKUVHUU
      TEPZUVNUVHUURUVMPZUVQUUSUVRAUUSFUVMPUVREDUHZTZGNZDUVMFKUOZUURFUVMUPUQURUU
      REUSVBUUTELUTVCVDVEUVLUVOEMUURUVDVFZTZGUUTUWCEMUURVMVGUVLMUUREUVDTZVHZUWD
      GUVKUWFUWDOUVHMUUREUVDVIURUVLGEVJUBNZUVKUWEGNZMUURUIZUWFGNAUWGUUSUVKHVKUV
      HUVKVLUVHUWIUVKUVHUWHMFUIZUWIUWHMFUVDFNZUVDUVMNUWHUWAUWHDUVDUVMFDMVNUVTUW
      EGUVSUVDEVOSKVPVQZVRUUSUWJUWIVAAUWHMUURFWCURWDVEMGUWEUUREVSWEVTWAUWAUVPDU
      UTUVMFUVSUUTOUVTUVOGUVSUUTEVOSKVPWBAUVIUUSARUVMNZEGNZUVIUWMAEWFWGAUWGUWNH
      GEWHWIZUWAUWNDRUVMFUVSROZUVTEGUWPUVTERTEUVSREVOEWOULSKVPWBVEWJWKWLAUVFLMF
      FAUURFNZUWKQZQZUVEUVMNZEUVETZGNZUVFUWSUVEEPUWTUWSUVEUUREUURUVDWMUWQUUREPA
      UWKUWQUUREUWQUURUVMNZEUURTZGNZUWAUXEDUURUVMFDLVNUVTUXDGUVSUUREVOSKVPZWNWP
      WQWRUVEEUURUVDLWSWTVCVDUWSUXAUXDUWEXFZGEUURUVDXAUWSUXEUWHAUXGGNZUWQUXEAUW
      KUWQUXCUXEUXFVQWQUWKUWHAUWQUWLXBAUWRXCUXEUWHQAUXHABUHZCUHZXFZGNZVAAUXDUXJ
      XFZGNZVAAUXHVABCUXDUWEGGUXIUXDOZUXLUXNAUXOUXKUXMGUXIUXDUXJXDSXEUXJUWEOZUX
      NUXHAUXPUXMUXGGUXJUWEUXDXGSXEAUXIGNZUXJGNZQUXLAUXQUXRUXLJXHXIXJXKXLWAUWAU
      XBDUVEUVMFUVSUVEOUVTUXAGUVSUVEEVOSKVPWBXMAFXNNUUPUVCUVGQYRAUWADUVMFXNKAEG
      UWOXQXOLMXNFXPWIXRZAUUQEAUUQEPEFNZUUQEOUUQUVMUEEFUVMUWBXSEXTYAAEUVMNZEETZ
      GNZUXTAUWNUYAUWOEGYBWIAUYBRGEYGIWAUWAUYCDEUVMFUVSEOUVTUYBGUVSEEVOSKVPWBFE
      YCYDZYEEFYFWBAUUOUUQUXITZFNZBUUQUNZYHZEUXITZFNZBUVMYHZGAUUPUUOUYHOUXSBFUU
      QUUQYIYJWIAUYFUYJBUYGUVMAUUQEUYDYKAUYEUYIFAUUQEUXIUYDYLSYMAUYKUXQBUVMYHZG
      AUYJUXQBUVMAUXIUVMNZQZUYJEUYITZGNZUXQUYJUYIUWADUVMYHZNZUYNUYPFUYQUYIKYNAU
      YRUYPYRZUYMAUYIUVMNZUYSAUYTUYIEPZEUXIYOAUWNUYTVUAYRUWOUYIEGYPWIYQUWAUYPDU
      YIUVMUVSUYIOUVTUYOGUVSUYIEVOSYSWIVEYTUYNUYOUXIGUYMUYOUXIOZAUYMUXIEPVUBUXI
      EUUAUXIEUUBVBURSUUCUUDAUYLGUVMUGZGVUCUVMGUGUYLGUVMUUEBUVMGUUFUUGAGUVMPZVU
      CGOAUWGVUDHGEUUJWIGUVMUUHVBUUKUUIUULUUM $.
  $}

  ${
    $d B a b c x y $.  $d V a b c x y $.  $d K x y $.
    $( The topologies over a given base set form a Moore collection: the
       intersection of any family of them is a topology, including the empty
       (relative) intersection which gives the discrete topology ~ distop .
       (Contributed by Stefan O'Rear, 31-Jan-2015.)  (Revised by Mario
       Carneiro, 5-May-2015.) $)
    toponmre $p |- ( B e. V -> ( TopOn ` B ) e. ( Moore ` ~P B ) ) $=
      ( vb vc vx vy wcel wss ctop cuni wceq wral wel sselda topontop syl adantl
      cv wa sylibr ctopon cfv cpw toponsspwpw a1i distopon wne w3a cint wal cin
      c0 wi simpl adantrl intss1 sstrd uniopn syl2anc ralrimiv vuniex elint2 ex
      expr alrimiv simpll simplrl sseldd simplrr inopn ralrimiva vex ralrimivva
      syl3anc inex1 wb intex biimpi istopg mpbir2and 3adant1 n0 ad2antlr ancoms
      cvv wex elssuni toponuni sseqtrrd exlimdv unissb eqid topopn 3syl eqeltrd
      mpd elintg 3ad2ant1 mpbird unissel eqcomd istopon sylanbrc ismred ) ABGZA
      UAUBZAUCZCXFXGUCHXEAUDUEABUFXECRZXFHZXHULUGZUHZXHUIZIGZAXLJZKXLXFGXIXJXMX
      EXIXJSZXMDRZXLHZXPJZXLGZUMZDUJZXPERZUKZXLGZEXLLDXLLZXOXTDXOXQXSXOXQSZXRYB
      GZEXHLXSYFYGEXHXOXQECMZYGXOXQYHSZSZYBIGZXPYBHZYGYJYBXFGZYKXOYHYMXQXOXHXFY
      BXIXJUNZNZUOAYBOPYIYLXOYIXPXLYBXQYHUNYHXLYBHXQYBXHUPZQUQQXPYBURUSVDUTEXRX
      HDVAVBTVCVEXOYDDEXLXLXOXPXLGZYBXLGZSZSZYCFRZGZFXHLYDYTUUBFXHYTFCMZSZUUAIG
      ZDFMEFMUUBUUDUUAXFGUUEYTXHXFUUAXIXJYSVFNAUUAOPUUDXLUUAXPUUCXLUUAHYTUUAXHU
      PQZXOYQYRUUCVGVHUUDXLUUAYBUUFXOYQYRUUCVIVHXPYBUUAVJVNVKFYCXHXPYBDVLVOVBTV
      MXOXLWEGZXMYAYESVPXJUUGXIXJUUGXHVQVRQDEWEXLVSPVTWAXKXNAXKXNAHZAXLGZXNAKXI
      XJUUHXEXOXPAHZDXLLUUHXOUUJDXLXOYQSZYHEWFZUUJXJUULXIYQXJUULEXHWBVRWCUUKYHU
      UJEXOYQYHUUJXOYQYHSZSZXPYBJZAUUMXPUUOHZXOUUMDEMZUUPYHYQUUQYHXLYBXPYPNWDXP
      YBWGPQUUNYMAUUOKXOYHYMYQYOUOAYBWHPWIVDWJWPVKDXLAWKTWAXKUUIAXPGZDXHLZXIXJU
      USXEXOUURDXHXODCMSZAXRXPUUTXPXFGZAXRKXOXHXFXPYNNZAXPWHPUUTUVAXPIGXRXPGUVB
      AXPOXPXRXRWLWMWNWOVKWAXEXIUUIUUSVPXJDAXHBWQWRWSXLAWTUSXAAXLXBXCXD $.

    $( The closed sets of a topology over a set are a Moore collection over the
       same set.  (Contributed by Stefan O'Rear, 31-Jan-2015.) $)
    cldmreon $p |- ( J e. ( TopOn ` B ) -> ( Clsd ` J ) e. ( Moore ` B ) ) $=
      ( ctopon cfv wcel ccld cuni cmre ctop topontop cldmre syl toponuni fveq2d
      eqid eleqtrrd ) BACDEZBFDZBGZHDZAHDQBIERTEABJBSSOKLQASHABMNP $.

    $d K a b c $.
    $( A family is the closed sets of a topology iff it is a Moore collection
       and closed under finite union.  (Contributed by Stefan O'Rear,
       1-Feb-2015.) $)
    iscldtop $p |- ( K e. ( Clsd " ( TopOn ` B ) ) <-> ( K e. ( Moore ` B ) /\
          (/) e. K /\ A. x e. K A. y e. K ( x u. y ) e. K ) ) $=
      ( va vb vc ccld cfv wcel c0 cv cun wral w3a wceq ctop fncld syl wa ctopon
      cima cmre wrex wfun fnfun ax-mp fvelima mpan cldmreon topontop 0cld uncld
      wfn adantl ralrimivva eleq1 eleq2 raleqbi1dv 3anbi123d syl5ibcom rexlimiv
      3jca cdif cpw simp1 simp2 uneq1 eleq1d uneq2 rspc2v com12 3ad2ant3 3impib
      crab wi eqid mretopd simprd simpld cdm wss ssriv fndmi sseqtrri funfvima2
      mp2an eqeltrd impbii ) DHCUAIZUBZJZDCUCIZJZKDJZALZBLZMZDJZBDNZADNZOZWLELZ
      HIZDPZEWJUDZXBHUEZWLXFHQUNXGRQHUFUGZEDWJHUHUIXEXBEWJXCWJJZXDWMJZKXDJZWRXD
      JZBXDNZAXDNZOXEXBXIXJXKXNCXCUJXIXCQJXKCXCUKZXCULSXIXLABXDXDWPXDJWQXDJTXLX
      IWPWQXCUMUOUPVCXEXJWNXKWOXNXAXDDWMUQXDDKURXMWTAXDDXLWSBXDDXDDWRURUSUSUTVA
      VBSXBDCXCVDDJECVEVOZHIZWKXBXPWJJZDXQPZXBFGECXPDWNWOXAVFWNWOXAVGXBFLZDJZGL
      ZDJZXTYBMZDJZXAWNYAYCTZYEVPWOYFXAYEWSYEXTWQMZDJABXTYBDDWPXTPWRYGDWPXTWQVH
      VIWQYBPYGYDDWQYBXTVJVIVKVLVMVNXPVQVRZVSXBXRXQWKJZXBXRXSYHVTXGWJHWAZWBXRYI
      VPXHWJQYJEWJQXOWCQHRWDWEWJXPHWFWGSWHWI $.
  $}

  ${
    mreclatBAD. $e |- ( ( ( LSubSp ` W ) i^i ( Clsd ` ( TopOpen ` W ) ) )
          e. ( Moore ` U. ( TopOpen ` W ) ) -> ( toInc ` ( ( LSubSp ` W )
              i^i ( Clsd ` ( TopOpen ` W ) ) ) ) e. CLat ) $.
    $( The closed subspaces of a topology-bearing module form a complete
       lattice.  Demonstration for ~ mreclatBAD .  (Contributed by Stefan
       O'Rear, 31-Jan-2015.)  TODO ( ~ df-riota update):  This proof uses the
       old ~ df-clat and references the required instance of ~ mreclatBAD as a
       hypothesis.  When ~ mreclatBAD is corrected to become mreclat, delete
       this theorem and uncomment the mreclatdemo below. $)
    mreclatdemoBAD $p |- ( W e. ( TopSp i^i LMod ) -> ( toInc `
          ( ( LSubSp ` W ) i^i ( Clsd ` ( TopOpen ` W ) ) ) ) e. CLat ) $=
      ( ctps clmod cin wcel clss cfv ccld cuni cmre cipo ccla cpw cvv fvex eqid
      ctopn uniex syl mremre mp1i cbs elinel2 lssmre wceq elinel1 tpsuni fveq2d
      eleqtrd ctop tpstop cldmre 3syl mreincl syl3anc ) ACDEFZAGHZARHZIHZEZUSJZ
      KHZFZVALHMFUQVCVBNZKHFZURVCFUTVCFZVDVBOFVFUQUSARPSOVBUAUBUQURAUCHZKHZVCUQ
      ADFURVIFACDUDVHURAVHQZURQUETUQACFZVIVCUFACDUGZVKVHVBKVHUSAVJUSQZUHUITUJUQ
      VKUSUKFVGVLUSAVMULUSVBVBQUMUNURUTVCVEUOUPBT $.
  $}

$( TODO ( ~ df-riota update):  uncomment the following proof and delete the one
   above when ~ mreclat is finished.

  @( The closed subspaces of a topology-bearing module form a complete
     lattice.  Demonstration for ~ mreclat .  (Contributed by Stefan O'Rear,
     31-Jan-2015.) @)
  mreclatdemo @p |- ( W e. ( TopSp i^i LMod ) -> ( toInc `
        ( ( LSubSp ` W ) i^i ( Clsd ` ( TopOpen ` W ) ) ) ) e. CLat ) @=
    ( ctps clmod cin wcel clss cfv ctopn ccld cuni cmre cipo ccla cpw cvv uniex
    fvex sseli eqid syl mremre mp1i cbs inss2 lssmre wceq tpsuni fveq2d eleqtrd
    inss1 ctop tpstop cldmre 3syl mreincl syl3anc mreclat ) ABCDZEZAFGZAHGZIGZD
    ZVAJZKGZEZVCLGZMEUSVEVDNZKGEZUTVEEVBVEEZVFVDOEVIUSVAAHQPOVDUAUBUSUTAUCGZKGZ
    VEUSACEUTVLEURCABCUDRVKUTAVKSZUTSUETUSABEZVLVEUFURBABCUJRZVNVKVDKVKVAAVMVAS
    ZUGUHTUIUSVNVAUKEVJVOVAAVPULVAVDVDSUMUNUTVBVEVHUOUPVCVGVDVGSUQT @.
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Neighborhoods
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c nei $.

  $( Extend class notation with neighborhood relation for topologies. $)
  cnei $a class nei $.

  ${
    $d g j x y $.
    $( Define a function on topologies whose value is a map from a subset to
       its neighborhoods.  (Contributed by NM, 11-Feb-2007.) $)
    df-nei $a |- nei = ( j e. Top |-> ( x e. ~P U. j |->
                   { y e. ~P U. j | E. g e. j ( x C_ g /\ g C_ y ) } ) ) $.
  $}

  ${
    $d g j v x J $.  $d g v N $.  $d g P $.  $d g v x S $.  $d g j v x X $.
    neifval.1 $e |- X = U. J $.
    $( Value of the neighborhood function on the subsets of the base set of a
       topology.  (Contributed by NM, 11-Feb-2007.)  (Revised by Mario
       Carneiro, 11-Nov-2013.) $)
    neifval $p |- ( J e. Top -> ( nei ` J ) = ( x e. ~P X |->
                   { v e. ~P X | E. g e. J ( x C_ g /\ g C_ v ) } ) ) $=
      ( vj ctop wcel cpw cv wss wa wrex crab cmpt cvv cnei wceq cuni cfv topopn
      pwexg mptexg 3syl unieq eqtr4di pweqd rexeq rabeqbidv df-nei fvmptg mpdan
      mpteq12dv ) DHIZAEJZAKCKZLUQBKLMZCDNZBUPOZPZQIZDRUAVASUOEDIUPQIVBDEFUBEDU
      CAUPUTQUDUEGDAGKZTZJZURCVCNZBVEOZPVAHQRVCDSZAVEVGUPUTVHVDEVHVDDTEVCDUFFUG
      UHZVHVFUSBVEUPVIURCVCDUIUJUNABCGUKULUM $.

    $( The neighborhood function is a function from the set of the subsets of
       the base set of a topology.  (Contributed by NM, 12-Feb-2007.)  (Revised
       by Mario Carneiro, 11-Nov-2013.) $)
    neif $p |- ( J e. Top -> ( nei ` J ) Fn ~P X ) $=
      ( vx vg vv ctop wcel cnei cfv cpw wfn cv wss wa wrex crab cmpt cvv wral
      topopn pwexg rabexg 3syl ralrimivw eqid fnmpt syl neifval fneq1d mpbird )
      AGHZAIJZBKZLDUNDMEMZNUOFMNOEAPZFUNQZRZUNLZULUQSHZDUNTUSULUTDUNULBAHUNSHUT
      ABCUABAUBUPFUNSUCUDUEDUNUQURSURUFUGUHULUNUMURDFEABCUIUJUK $.

    $( A set with a neighborhood is a subset of the base set of a topology.
       (This theorem depends on a function's value being empty outside of its
       domain, but it will make later theorems simpler to state.)  (Contributed
       by NM, 12-Feb-2007.) $)
    neiss2 $p |- ( ( J e. Top /\ N e. ( ( nei ` J ) ` S ) ) -> S C_ X ) $=
      ( ctop wcel cnei cfv wa cdm cpw elfvdm adantl wb neif fndmd eleq2d adantr
      mpbid elpwid ) BFGZCABHIZIGZJZADUEAUCKZGZADLZGZUDUGUBCAUCMNUBUGUIOUDUBUFU
      HAUBUHUCBDEPQRSTUA $.

    $( Value of the set of neighborhoods of a subset of the base set of a
       topology.  (Contributed by NM, 11-Feb-2007.)  (Revised by Mario
       Carneiro, 11-Nov-2013.) $)
    neival $p |- ( ( J e. Top /\ S C_ X ) -> ( ( nei ` J ) ` S ) =
                 { v e. ~P X | E. g e. J ( S C_ g /\ g C_ v ) } ) $=
      ( vx ctop wcel wss wa cnei cfv cpw cv wrex crab wceq adantr cvv cmpt eqid
      neifval fveq1d cleq1lem rexbidv rabbidv wb topopn elpw2g syl pwexg rabexg
      biimpar 3syl fvmptd3 eqtrd ) DHIZBEJZKZBDLMZMZBGENZGOZCOZJVEAOJZKZCDPZAVC
      QZUAZMZBVEJVFKZCDPZAVCQZURVBVKRUSURBVAVJGACDEFUCUDSUTGBVIVNVCVJTVJUBVDBRZ
      VHVMAVCVOVGVLCDVFVDBVEUEUFUGURBVCIZUSUREDIZVPUSUHDEFUIZBEDUJUKUNURVNTIZUS
      URVQVCTIVSVREDULVMAVCTUMUOSUPUQ $.

    $( The predicate "the class ` N ` is a neighborhood of ` S ` ".
       (Contributed by FL, 25-Sep-2006.)  (Revised by Mario Carneiro,
       11-Nov-2013.) $)
    isnei $p |- ( ( J e. Top /\ S C_ X ) -> ( N e. ( ( nei ` J ) ` S ) <->
                 ( N C_ X /\ E. g e. J ( S C_ g /\ g C_ N ) ) ) ) $=
      ( vv ctop wcel wss wa cnei cfv cv wrex cpw crab neival eleq2d wb wceq syl
      sseq2 anbi2d rexbidv elrab topopn elpw2g anbi1d syl5bb adantr bitrd ) CHI
      ZAEJZKZDACLMMZIDABNZJZUQGNZJZKZBCOZGEPZQZIZDEJZURUQDJZKZBCOZKZUOUPVDDGABC
      EFRSUMVEVJTUNVEDVCIZVIKUMVJVBVIGDVCUSDUAZVAVHBCVLUTVGURUSDUQUCUDUEUFUMVKV
      FVIUMECIVKVFTCEFUGDECUHUBUIUJUKUL $.

    $( An intuitive definition of a neighborhood in terms of interior.
       (Contributed by Szymon Jaroszewicz, 18-Dec-2007.)  (Revised by Mario
       Carneiro, 11-Nov-2013.) $)
    neiint $p |- ( ( J e. Top /\ S C_ X /\ N C_ X ) ->
           ( N e. ( ( nei ` J ) ` S ) <-> S C_ ( ( int ` J ) ` N ) ) ) $=
      ( vv ctop wcel wss w3a cnei cfv cv wa wrex cnt wb isnei 3adant3 syl2anc
      3anibar simprrl ssntr 3adantl2 adantrrl sstrd simpl1 simpl3 ntropn ntrss2
      rexlimdvaa simpr wceq sseq2 sseq1 anbi12d rspcev syl12anc ex impbid bitrd
      ) BGHZADIZCDIZJZCABKLLHZAFMZIZVGCIZNZFBOZACBPLLZIZVBVCVDVFVKVBVCVFVDVKNQV
      DAFBCDERSUAVEVKVMVEVJVMFBVEVGBHZVJNNAVGVLVEVNVHVIUBVEVNVIVGVLIZVHVBVDVNVI
      NVOVCCBVGDEUCUDUEUFUKVEVMVKVEVMNZVLBHZVMVLCIZVKVPVBVDVQVBVCVDVMUGZVBVCVDV
      MUHZCBDEUITVEVMULVPVBVDVRVSVTCBDEUJTVJVMVRNFVLBVGVLUMVHVMVIVRVGVLAUNVGVLC
      UOUPUQURUSUTVA $.

    $( The predicate "the class ` N ` is a neighborhood of point ` P ` ".
       (Contributed by NM, 26-Feb-2007.) $)
    isneip $p |- ( ( J e. Top /\ P e. X ) -> ( N e. ( ( nei ` J ) ` { P } ) <->
                 ( N C_ X /\ E. g e. J ( P e. g /\ g C_ N ) ) ) ) $=
      ( ctop wcel wa csn cnei cfv wss cv wrex wb snssi isnei sylan2 snssg
      anbi1d rexbidv anbi2d adantl bitr4d ) CGHZAEHZIDAJZCKLLHZDEMZUHBNZMZUKDMZ
      IZBCOZIZUJAUKHZUMIZBCOZIZUGUFUHEMUIUPPAEQUHBCDEFRSUGUTUPPUFUGUSUOUJUGURUN
      BCUGUQULUMAUKETUAUBUCUDUE $.

    $( A neighborhood is included in the topology's base set.  (Contributed by
       NM, 12-Feb-2007.) $)
    neii1 $p |- ( ( J e. Top /\ N e. ( ( nei ` J ) ` S ) ) -> N C_ X ) $=
      ( vg ctop wcel cnei cfv wa wss neiss2 cv wrex isnei simpl syl6bi impancom
      mpd ) BGHZCABIJJHZKADLZCDLZABCDEMUAUCUBUDUAUCKUBUDAFNZLUECLKFBOZKUDAFBCDE
      PUDUFQRST $.

    $( The neighborhoods of any set are subsets of the base set.  (Contributed
       by Stefan O'Rear, 6-Aug-2015.) $)
    neisspw $p |- ( J e. Top -> ( ( nei ` J ) ` S ) C_ ~P X ) $=
      ( vv ctop wcel cnei cfv cpw cv wa wss neii1 velpw sylibr ex ssrdv ) BFGZE
      ABHIIZCJZSEKZTGZUBUAGZSUCLUBCMUDABUBCDNECOPQR $.
  $}

  ${
    $d g J $.  $d g N $.  $d g R $.  $d g S $.
    $( Property of a neighborhood.  (Contributed by NM, 12-Feb-2007.) $)
    neii2 $p |- ( ( J e. Top /\ N e. ( ( nei ` J ) ` S ) ) ->
                 E. g e. J ( S C_ g /\ g C_ N ) ) $=
      ( ctop wcel cnei cfv wa cuni wss cv wrex eqid neiss2 isnei simpr impancom
      syl6bi mpd ) CEFZDACGHHFZIACJZKZABLZKUEDKIBCMZACDUCUCNZOUAUDUBUFUAUDIUBDU
      CKZUFIUFABCDUCUGPUHUFQSRT $.

    $( Any neighborhood of a set ` S ` is also a neighborhood of any subset
       ` R C_ S ` .  Similar to Proposition 1 of [BourbakiTop1] p.  I.2.
       (Contributed by FL, 25-Sep-2006.) $)
    neiss $p |- ( ( J e. Top /\ N e. ( ( nei ` J ) ` S ) /\ R C_ S ) ->
                 N e. ( ( nei ` J ) ` R ) ) $=
      ( vg ctop wcel cnei cfv wss w3a cuni cv wa wrex eqid neii1 3adant3 neii2
      wi sstr2 anim1d reximdv 3ad2ant3 mpd wb simp1 simp3 sstrd isnei mpbir2and
      neiss2 syl2anc ) CFGZDBCHIZIGZABJZKZDAUOIGZDCLZJZAEMZJZVBDJZNZECOZUNUPVAU
      QBCDUTUTPZQRURBVBJZVDNZECOZVFUNUPVJUQBECDSRUQUNVJVFTUPUQVIVEECUQVHVCVDABV
      BUAUBUCUDUEURUNAUTJUSVAVFNUFUNUPUQUGURABUTUNUPUQUHUNUPBUTJUQBCDUTVGULRUIA
      ECDUTVGUJUMUK $.

    $( A set is included in any of its neighborhoods.  Generalization to
       subsets of ~ elnei .  (Contributed by FL, 16-Nov-2006.) $)
    ssnei $p |- ( ( J e. Top /\ N e. ( ( nei ` J ) ` S ) ) -> S C_ N ) $=
      ( vg ctop wcel cnei cfv wa cv wss wrex neii2 sstr rexlimivw syl ) BEFCABG
      HHFIADJZKQCKIZDBLACKZADBCMRSDBAQCNOP $.
  $}

  $( A point belongs to any of its neighborhoods.  Property V_iii of
     [BourbakiTop1] p.  I.3.  (Contributed by FL, 28-Sep-2006.) $)
  elnei $p
     |- ( ( J e. Top /\ P e. A /\ N e. ( ( nei ` J ) ` { P } ) ) -> P e. N ) $=
  ( ctop wcel csn cnei cfv w3a wss ssnei 3adant2 wb snssg 3ad2ant2 mpbird ) CEF
  ZBAFZDBGZCHIIFZJBDFZTDKZRUAUCSTCDLMSRUBUCNUABDAOPQ $.

  $( The empty set is not a neighborhood of a nonempty set.  (Contributed by
     FL, 18-Sep-2007.) $)
  0nnei $p |- ( ( J e. Top /\ S =/= (/) ) -> -. (/) e. ( ( nei ` J ) ` S ) ) $=
    ( ctop wcel c0 wne cnei cfv wn wceq wa wss ssnei ss0b sylib ex necon3ad imp
    ) BCDZAEFEABGHHDZISTAESTAEJZSTKAELUAABEMANOPQR $.

  ${
    $d g h p v J $.  $d g M $.  $d g h p v N $.  $d g P $.  $d g h p S $.
    $d g h p X $.
    neips.1 $e |- X = U. J $.
    $( A neighborhood of a set is a neighborhood of every point in the set.
       Proposition 1 of [BourbakiTop1] p.  I.2.  (Contributed by FL,
       16-Nov-2006.) $)
    neips $p |- ( ( J e. Top /\ S C_ X /\ S =/= (/) ) ->
                ( N e. ( ( nei ` J ) ` S ) <->
                A. p e. S N e. ( ( nei ` J ) ` { p } ) ) ) $=
      ( vg vh vv wcel wss cfv cv wral wi wa wrex wb sseq1 3adant3 ctop wne cnei
      w3a csn snssi neiss syl3an3 3exp ralrimdv 3ad2ant1 r19.28zv 3ad2ant3 crab
      ssrab2 uniopn mpan2 ad2antrr elrab elunii sylan2br an12s rexlimiva ralimi
      cuni dfss3 sylibr adantl unissb simprbi mprgbir jctir wceq anbi12d rspcev
      c0 sseq2 syl2anc anim2d sylbid ssel2 isneip sylan2 anassrs ralbidva isnei
      ex 3imtr4d impbid ) BUAJZADKZAVPUBZUDZCABUCLZLJZCEMZUEZWNLJZEANZWJWKWOWSO
      WLWJWOWREAWJWOWPAJZWRWTWJWOWQAKWRWPAUFWQABCUGUHUIUJUKWMCDKZWPGMZJZXBCKZPZ
      GBQZPZEANZXAAHMZKZXICKZPZHBQZPZWSWOWMXHXAXFEANZPZXNWLWJXHXPRWKXAXFEAULUMW
      JWKXPXNOWLWJWKPZXOXMXAXQXOXMXQXOPZIMZCKZIBUNZVEZBJZAYBKZYBCKZPZXMWJYCWKXO
      WJYABKYCXTIBUOYABUPUQURXRYDYEXOYDXQXOWPYBJZEANYDXFYGEAXEYGGBXCXBBJZXDYGYH
      XDPXCXBYAJYGXTXDIXBBXSXBCSUSWPXBYAUTVAVBVCVDEAYBVFVGVHYEXKHYAHYACVIXIYAJX
      IBJXKXTXKIXIBXSXICSUSVJVKVLXLYFHYBBXIYBVMXJYDXKYEXIYBAVQXIYBCSVNVOVRWGVST
      VTWJWKWSXHRWLXQWRXGEAWJWKWTWRXGRZWKWTPWJWPDJYIADWPWAWPGBCDFWBWCWDWETWJWKW
      OXNRWLAHBCDFWFTWHWI $.

    $( An open set is a neighborhood of any of its subsets.  (Contributed by
       FL, 2-Oct-2006.) $)
    opnneissb $p |- ( ( J e. Top /\ N e. J /\ S C_ X ) ->
                   ( S C_ N <-> N e. ( ( nei ` J ) ` S ) ) ) $=
      ( vg ctop wcel wss w3a cnei cfv wi wa cv wrex eltopss adantr ssid wceq wb
      sseq2 sseq1 anbi12d rspcev mpanr2 ad2ant2l isnei ad2ant2r mpbir2and exp43
      3imp ssnei ex 3ad2ant1 impbid ) BGHZCBHZADIZJACIZCABKLLHZUQURUSUTVAMUQURU
      SUTVAUQURNZUSUTNZNVACDIZAFOZIZVECIZNZFBPZVBVDVCCBDEQRURUTVIUQUSURUTCCIZVI
      CSVHUTVJNFCBVECTVFUTVGVJVECAUBVECCUCUDUEUFUGUQUSVAVDVINUAURUTAFBCDEUHUIUJ
      UKULUQURVAUTMUSUQVAUTABCUMUNUOUP $.

    $( Any superset of an open set is a neighborhood of it.  (Contributed by
       NM, 14-Feb-2007.) $)
    opnssneib $p |- ( ( J e. Top /\ S e. J /\ N C_ X ) ->
                   ( S C_ N <-> N e. ( ( nei ` J ) ` S ) ) ) $=
      ( vg ctop wcel wss w3a cnei cfv cv wa wrex wi simplr wceq sseq2 ex rspcev
      sseq1 anbi12d ssid biantrur bitr4di adantlr jca 3adant1 wb eltopss syldan
      isnei 3adant3 sylibrd ssnei 3ad2ant1 impbid ) BGHZABHZCDIZJZACIZCABKLLHZV
      BVCVAAFMZIZVECIZNZFBOZNZVDUTVAVCVJPUSUTVANZVCVJVKVCNVAVIUTVAVCQUTVCVIVAVH
      VCFABVEARZVHAAIZVCNVCVLVFVMVGVCVEAASVEACUBUCVMVCAUDUEUFUAUGUHTUIUSUTVDVJU
      JZVAUSUTADIVNABDEUKAFBCDEUMULUNUOUSUTVDVCPVAUSVDVCABCUPTUQUR $.

    $( Any subset ` M ` of ` X ` containing a neighborhood ` N ` of a set ` S `
       is a neighborhood of this set.  Generalization to subsets of Property
       V_i of [BourbakiTop1] p.  I.3.  (Contributed by FL, 2-Oct-2006.) $)
    ssnei2 $p |- ( ( ( J e. Top /\ N e. ( ( nei ` J ) ` S ) ) /\
                 ( N C_ M /\ M C_ X ) ) -> M e. ( ( nei ` J ) ` S ) ) $=
      ( vg ctop wcel cnei cfv wa wss cv wrex simprr neii2 sstr2 com12 anim2d wb
      reximdv mpan9 adantrr neiss2 isnei syldan adantr mpbir2and ) BHIZDABJKKZI
      ZLZDCMZCEMZLZLCUKIZUOAGNZMZURCMZLZGBOZUMUNUOPUMUNVBUOUMUSURDMZLZGBOUNVBAG
      BDQUNVDVAGBUNVCUTUSVCUNUTURDCRSTUBUCUDUMUQUOVBLUAZUPUJULAEMVEABDEFUEAGBCE
      FUFUGUHUI $.

    $( Any neighborhood of an element in the closure of a subset intersects the
       subset.  Part of proof of Theorem 6.6 of [Munkres] p. 97.  (Contributed
       by NM, 26-Feb-2007.) $)
    neindisj $p |- ( ( ( J e. Top /\ S C_ X ) /\ ( P e. ( ( cls ` J ) ` S ) /\
                   N e. ( ( nei ` J ) ` { P } ) ) ) -> ( N i^i S ) =/= (/) ) $=
      ( vg ctop wcel wss ccl cfv csn cnei cin c0 wne wi wa wceq cv clsss3 sseld
      wrex wb isneip syldan w3a 3anass clsndisj sylanbr anassrs adantllr ssdisj
      impr adantrr necon3d ad2antll mpd rexlimdva2 expimpd sylbid exp32 imp43
      ex ) CHIZBEJZABCKLLZIZDAMCNLLIZDBOZPQZVFVGVIVJVLRVFVGVISZSZVJDEJZAGUAZIZV
      PDJZSZGCUDZSZVLVFVMAEIZVJWAUEVFVGVIWBVFVGSVHEABCEFUBUCUOAGCDEFUFUGVNVOVTV
      LVNVOSZVSVLGCWCVPCIZSZVSSVPBOZPQZVLWEVQWGVRVNWDVQWGVOVNWDVQWGVNVFVGVIUHWD
      VQSWGVFVGVIUIABVPCEFUJUKULUMUPVRWGVLRWEVQVRVKPWFPVRVKPTWFPTVPDBUNVEUQURUS
      UTVAVBVCVD $.
  $}

  $( An open set is a neighborhood of any of its subsets.  (Contributed by NM,
     13-Feb-2007.) $)
  opnneiss $p |- ( ( J e. Top /\ N e. J /\ S C_ N ) ->
                  N e. ( ( nei ` J ) ` S ) ) $=
    ( ctop wcel wss w3a cnei simp3 cuni wb eqid eltopss ancoms stoic3 opnneissb
    cfv sstr syld3an3 mpbid ) BDEZCBEZACFZGUCCABHQQEZUAUBUCIUAUBUCABJZFZUCUDKUA
    UBCUEFZUCUFCBUEUELZMUCUGUFACUERNOABCUEUHPST $.

  $( An open set is a neighborhood of any of its members.  (Contributed by NM,
     8-Mar-2007.) $)
  opnneip $p |- ( ( J e. Top /\ N e. J /\ P e. N ) ->
                  N e. ( ( nei ` J ) ` { P } ) ) $=
    ( wcel ctop csn wss cnei cfv snssi opnneiss syl3an3 ) ACDBEDCBDAFZCGCMBHIID
    ACJMBCKL $.

  ${
    $d x J $.  $d x S $.
    $( A set is open iff it is a neighborhood of all of its points.
       (Contributed by Jeff Hankins, 15-Sep-2009.) $)
    opnnei $p |- ( J e. Top -> ( S e. J <-> A. x e. S S e. ( (
    nei ` J ) ` { x } ) ) ) $=
      ( ctop wcel c0 wceq cv csn cnei cfv wral wb wa adantr adantl wi wss snss
      ex 0opn eleq1 mpbird rzal 2thd wn opnneip 3expia ralrimiv cuni wrex df-ne
      wne r19.2z sylbir neii1 rexlimdvw sylan9r cnt ntrss2 ralbii dfss3 biimpri
      eqid vex sylan2br eqssd sstr2 com12 syl5bi imp neiint 3com23 3expa syldan
      ralbidva isopn3 3imtr4d com23 mpdd impbid pm2.61dan ) CDEZBFGZBCEZBAHZIZC
      JKKEZABLZMWCWDNZWEWIWJWEFCEZWCWKWDCUAOWDWEWKMWCBFCUBPUCWDWIWCWHABUDPUEWCW
      DUFZNZWEWIWCWEWIQWLWCWEWIWCWENWHABWCWEWFBEZWHWFCBUGUHUITOWMWIBCUJZRZWEWLW
      IWHABUKZWCWPWLBFUMZWIWQQBFULWRWIWQWHABUNTUOWCWHWPABWCWHWPWGCBWOWOVDZUPTUQ
      URWCWIWPWEQQWLWCWPWIWEWCWPWIWEQWCWPNZWGBCUSKKZRZABLZXABGZWIWEWTXCXDWTXCNX
      ABWTXABRXCBCWOWSUTOXCWTWFXAEZABLZBXARZXEXBABWFXAAVEZSVAXFXGWTXGXFABXAVBVC
      PVFVGTWTWHXBABWTWNWGWORZWHXBMZWTWNXIWNWGBRZWTXIWFBXHSWPXKXIQWCXKWPXIWGBWO
      VHVIPVJVKWCWPXIXJWCXIWPXJWGCBWOWSVLVMVNVOVPBCWOWSVQVRTVSOVTWAWB $.
  $}

  ${
    $d J x n $.  $d K x $.  $d P x n $.  $d S x n $.  $d X x n $.  $d Y x $.
    tpnei.1 $e |- X = U. J $.
    $( The underlying set of a topology is a neighborhood of any of its
       subsets.  Special case of ~ opnneiss .  (Contributed by FL,
       2-Oct-2006.) $)
    tpnei $p |- ( J e. Top -> ( S C_ X <-> X e. ( ( nei ` J ) ` S ) ) ) $=
      ( ctop wcel wss cnei cfv wi topopn opnneiss 3exp mpd ssnei ex impbid ) BE
      FZACGZCABHIIFZRCBFZSTJBCDKRUASTABCLMNRTSABCOPQ $.

    $( The union of the neighborhoods of a set equals the topology's underlying
       set.  (Contributed by FL, 18-Sep-2007.)  (Revised by Mario Carneiro,
       9-Apr-2015.) $)
    neiuni $p |- ( ( J e. Top /\ S C_ X ) -> X = U. ( ( nei ` J ) ` S ) ) $=
      ( vx ctop wcel wss wa cnei cfv cuni tpnei biimpa elssuni cv wral wi neii1
      syl ex adantr ralrimiv unissb sylibr eqssd ) BFGZACHZIZCABJKKZLZUICUJGZCU
      KHUGUHULABCDMNCUJOTUIEPZCHZEUJQUKCHUIUNEUJUGUMUJGZUNRUHUGUOUNABUMCDSUAUBU
      CEUJCUDUEUF $.

    $( A point ` P ` belongs to the closure of a set ` S ` iff every
       neighborhood of ` P ` meets ` S ` .  (Contributed by FL,
       15-Sep-2013.) $)
    neindisj2 $p |- ( ( J e. Top /\ S C_ X /\ P e. X ) ->
        ( P e. ( ( cls ` J ) ` S ) <->
          A. n e. ( ( nei ` J ) ` { P } ) ( n i^i S ) =/= (/) ) ) $=
      ( vx wcel wss w3a cfv cv cin c0 wne wi wral wa wrex ex ctop ccl csn elcls
      cnei isneip r19.29r pm3.35 ssrin sseq2 syl6bi syl5com necon3d com23 imp31
      wceq ss0 rexlimivw syl adantl 3adant2 imp ralrimiv opnneip neeq1d rspccva
      weq ineq1 idd 3exp com14 com3l mpcom 3expia com25 3imp1 impbida bitrd ) D
      UAHZBEIZAEHZJZABDUBKKHAGLZHZWCBMZNOZPZGDQZCLZBMZNOZCAUCDUEKKZQZGABDEFUDWB
      WHWMWBWHRWKCWLWBWHWIWLHZWKPWBWNWHWKVSWAWNWHWKPZPVTVSWARWNWIEIZWDWCWIIZRZG
      DSZRWOAGDWIEFUFWSWOWPWSWHWKWSWHRWRWGRZGDSWKWRWGGDUGWTWKGDWDWQWGWKWDWGWQWK
      WDWGWQWKPWDWGRWFWQWKWDWFUHWQWJNWENWQWEWJIZWJNUPZWENUPZWCWIBUIXBXAWENIXCWJ
      NWEUJWEUQUKULUMULTUNUOURUSTUTUKVAUNVBVCWBWMRWGGDVSVTWAWMWCDHZWGPVSXDWAWMV
      TWGVSXDWAWMVTWGPPPVSXDRWDWMVTWAWFVSXDWDWMVTWAWFPPZPZWCWLHZVSXDWDJZXFADWCV
      DWMXGXHXEWMXGXHXEPZWMXGRWFXIWKWFCWCWLCGVGWJWENWIWCBVHVEVFWAXHVTWFWFWAXHVT
      WFWFPWAXHVTJWFVIVJVKUSTVLVMVNVOTVOVPVCVQVR $.

    topssnei.2 $e |- Y = U. K $.
    $( A finer topology has more neighborhoods.  (Contributed by Mario
       Carneiro, 9-Apr-2015.) $)
    topssnei $p |- ( ( ( J e. Top /\ K e. Top /\ X = Y ) /\ J C_ K ) ->
       ( ( nei ` J ) ` S ) C_ ( ( nei ` K ) ` S ) ) $=
      ( vx ctop wcel wceq w3a wss wa cnei cfv cv cnt syl2anc syl3anc wb sseqtrd
      simpl2 simprl simpl1 simprr ntropn sseldd neiss2 neiint opnneiss syl22anc
      neii1 mpbid ntrss2 simpl3 ssnei2 expr ssrdv ) BIJZCIJZDEKZLZBCMZNHABOPPZA
      COPPZVCVDHQZVEJZVGVFJZVCVDVHNZNZVAVGBRPPZVFJZVLVGMZVGEMVIUTVAVBVJUCZVKVAV
      LCJAVLMZVMVOVKBCVLVCVDVHUDVKUTVGDMZVLBJUTVAVBVJUEZVKUTVHVQVRVCVDVHUFZABVG
      DFUMSZVGBDFUGSUHVKVHVPVSVKUTADMZVQVHVPUAVRVKUTVHWAVRVSABVGDFUISVTABVGDFUJ
      TUNACVLUKTVKUTVQVNVRVTVGBDFUOSVKVGDEVTUTVAVBVJUPUBACVGVLEGUQULURUS $.
  $}

  ${
    $d g h v x y J $.  $d g h v M $.  $d g h v x y N $.  $d g h v x y S $.
    $( The intersection of two neighborhoods of a set is also a neighborhood of
       the set.  Generalization to subsets of Property V_ii of [BourbakiTop1]
       p.  I.3 for binary intersections.  (Contributed by FL, 28-Sep-2006.) $)
    innei $p |- ( ( J e. Top /\ N e. ( ( nei ` J ) ` S )
   /\ M e. ( ( nei ` J ) ` S ) ) -> ( N i^i M ) e. ( ( nei ` J ) ` S ) ) $=
      ( vg vh vv ctop wcel cnei cfv cin wss cv wa wrex 3adant3 neii2 wi syldan
      w3a cuni eqid neii1 ssinss1 syl anim12dan inopn 3expa ssin biimpi anim12i
      ss2in an4s wceq sseq2 sseq1 rspcev syl2an expr an32s rexlimdva rexlimdva2
      anbi12d imp32 3impb wb neiss2 isnei mpbir2and ) BHIZDABJKKZIZCVLIZUADCLZV
      LIZVOBUBZMZAENZMZVSVOMZOZEBPZVKVMVRVNVKVMODVQMVRABDVQVQUCZUDDCVQUEUFQVKVM
      VNWCVKVMVNOAFNZMZWEDMZOZFBPZAGNZMZWJCMZOZGBPZOWCVKVMWIVNWNAFBDRAGBCRUGVKW
      IWNWCVKWHWNWCSFBVKWEBIZOZWHOWMWCGBWPWJBIZWHWMWCSWPWQOZWHWMWCWRWEWJLZBIZAW
      SMZWSVOMZOZWCWHWMOVKWOWQWTWEWJBUHUIWFWKWGWLXCWFWKOZXAWGWLOXBXDXAAWEWJUJUK
      WEDWJCUMULUNWBXCEWSBVSWSUOVTXAWAXBVSWSAUPVSWSVOUQVDURUSUTVAVBVCVETVFVKVMV
      PVRWCOVGZVNVKVMAVQMXEABDVQWDVHAEBVOVQWDVITQVJ $.

    $( Only an open set is a neighborhood of itself.  (Contributed by FL,
       2-Oct-2006.) $)
    opnneiid $p |- ( J e. Top -> ( N e. ( ( nei ` J ) ` N ) <-> N e. J ) ) $=
      ( vx ctop wcel cnei cfv wa cv wss wrex neii2 wceq eleq1a syl5bir rexlimiv
      eqss syl ex ssid opnneiss 3exp mpii impbid ) ADEZBBAFGGEZBAEZUEUFUGUEUFHB
      CIZJUHBJHZCAKUGBCABLUIUGCAUIBUHMUHAEUGBUHQUHABNOPRSUEUGBBJZUFBTUEUGUJUFBA
      BUAUBUCUD $.

    $( For any neighborhood ` N ` of ` S ` , there is a neighborhood ` x ` of
       ` S ` such that ` N ` is a neighborhood of all subsets of ` x ` .
       Generalization to subsets of Property V_iv of [BourbakiTop1] p.  I.3.
       (Contributed by FL, 2-Oct-2006.) $)
    neissex $p |- ( ( J e. Top /\ N e. ( ( nei ` J ) ` S ) ) ->
   E. x e. ( ( nei ` J ) ` S ) A. y ( y C_ x -> N e. ( ( nei ` J ) ` y ) ) ) $=
      ( ctop wcel cnei cfv wa cv wss wi wal neii2 opnneiss 3expb adantr syl3anc
      simpr adantrrr adantlr simplll cuni wb simpll eqid neii1 opnssneib biimpa
      anasss neiss ex adantrrl alrimiv reximssdv ) DFGZECDHIZIZGZJZCAKZLZVBELZJ
      ZBKZVBLZEVFURIGZMZBNAUSDCADEOUQVBDGZVEJZVBUSGZUTUQVJVCVLVDUQVJVCVLCDVBPQU
      AUBVAVKJVIBVAVJVDVIVCVAVJVDJZJZVGVHVNVGJUQEVBURIGZVGVHUQUTVMVGUCVNVOVGVAV
      JVDVOVAVJJZVDVOVPUQVJEDUDZLZVDVOUEUQUTVJUFVAVJTVAVRVJCDEVQVQUGZUHRVBDEVQV
      SUISUJUKRVNVGTVFVBDEULSUMUNUOUP $.
  $}

  $( The empty set is a neighborhood of itself.  (Contributed by FL,
     10-Dec-2006.) $)
  0nei $p |- ( J e. Top -> (/) e. ( ( nei ` J ) ` (/) ) ) $=
    ( ctop wcel c0 cnei cfv 0opn opnneiid mpbird ) ABCDDAEFFCDACAGADHI $.

  ${
    $d a p C $.  $d a N $.  $d a X $.
    neiptop.o $e |- J = { a e. ~P X | A. p e. a a e. ( N ` p ) } $.
    $( Lemma for ~ neiptopreu .  (Contributed by Thierry Arnoux,
       6-Jan-2018.) $)
    neipeltop $p |- ( C e. J <-> ( C C_ X /\ A. p e. C C e. ( N ` p ) ) ) $=
      ( wcel cpw cv cfv wral wa wss eleq1 raleqbi1dv elrab2 cvv wb c0 wceq elex
      0ex mpbiri adantl wne ralimi r19.3rzv biimparc sylan pm2.61dane elpwg syl
      pm5.32ri bitri ) ABHADIZHZAEJCKZHZEALZMADNZUTMFJZURHZEVBLUTFAUPBVCUSEVBAV
      BAUROPGQUTUQVAUTARHZUQVASUTVDATATUAZVDUTVEVDTRHUCATROUDUEUTVDEALZATUFZVDU
      SVDEAAURUBUGVGVDVFVDEAUHUIUJUKADRULUMUNUO $.

    $d a b p $.  $d a p J $.  $d a p X $.  $d p ph $.
    neiptop.0 $e |- ( ph -> N : X --> ~P ~P X ) $.
    neiptop.1 $e |- ( ( ( ( ph /\ p e. X ) /\ a C_ b /\ b C_ X )
                                     /\ a e. ( N ` p ) ) -> b e. ( N ` p ) ) $.
    neiptop.2 $e |- ( ( ph /\ p e. X ) -> ( fi ` ( N ` p ) ) C_ ( N ` p ) ) $.
    neiptop.3 $e |- ( ( ( ph /\ p e. X ) /\ a e. ( N ` p ) ) -> p e. a ) $.
    neiptop.4 $e |- ( ( ( ph /\ p e. X ) /\ a e. ( N ` p ) )
                      -> E. b e. ( N ` p ) A. q e. b a e. ( N ` q ) ) $.
    neiptop.5 $e |- ( ( ph /\ p e. X ) -> X e. ( N ` p ) ) $.
    $( Lemma for ~ neiptopreu .  (Contributed by Thierry Arnoux,
       6-Jan-2018.) $)
    neiptopuni $p |- ( ph -> X = U. J ) $=
      ( cuni wss wcel cv wa wceq cpw elpwi ad2antlr simpr sseldd wral wrex crab
      cfv unieqi eleq2i elunirab bitri simpl reximi sylbi r19.29a a1i ralrimiva
      wi ssrdv ssidd neipeltop sylanbrc unissel syl2anc eqcomd ) ABPZDAVIDQDBRZ
      VIDUAAFVIDFSZVIRZVKDRZVAAVLVKGSZRZVMGDUBZVLVNVPRZTZVOTVNDVKVQVNDQVLVOVNDU
      CUDVRVOUEUFVLVOVNVKCUJZRFVNUGZTZGVPUHZVOGVPUHVLVKVTGVPUIZPZRWBVIWDVKBWCIU
      KULVTGVKVPUMUNWAVOGVPVOVTUOUPUQURUSVBADDQDVSRZFDUGVJADVCAWEFDOUTDBCDFGIVD
      VEBDVFVGVH $.

    $d a c e f p J $.  $d a b c N $.  $d a b p X $.  $d a b c e f p ph $.
    $( Lemma for ~ neiptopreu .  (Contributed by Thierry Arnoux,
       7-Jan-2018.) $)
    neiptoptop $p |- ( ph -> J e. Top ) $=
      ( wcel wss wral wa cvv ve vf vc ctop cv cuni wi wal cin uniss adantl wceq
      cfv neiptopuni adantr sseqtrrd w3a simp-4l ad3antrrr simpllr jca ad2antlr
      sseldd elssuni simpr sselda neipeltop simprbi syl r19.21bi adantllr sseq1
      3jca 3anbi2d eleq1 anbi12d imbi1d cpw crab ssidd ralrimiva sylanbrc pwexg
      imbi2d rabexg eqeltrid ssexd uniexg sseq2 3anbi23d anbi1d imbi12d chvarvv
      3syl vtoclg mp2and wrex eluni2 sylib r19.29a alrimiv inss1 simplbi sstrid
      ex cfi simplll elin1d syl2anc fvex simplr elin2d inelfi mp3an2i wb istopg
      mpbir2and ) ABUDPZUAUEZBQZXSUFZBPZUGZUAUHZXSUBUEZUIZBPZUBBRZUABRZAYCUAAXT
      YBAXTSZYADQZYAFUEZCUMZPZFYARYBYJYABUFZDXTYAYOQAXSBUJUKADYOULXTABCDEFGHIJK
      LMNOUNUOUPZYJYNFYAYJYLYAPZSZYLUCUEZPZYNUCXSYRYSXSPZSYTSZAYLDPZSZYSYAQZYKU
      QZYSYMPZYNUUBUUDUUEYKUUBAUUCAXTYQUUAYTURUUBYADYLYJYKYQUUAYTYPUSZYJYQUUAYT
      UTVCVAUUAUUEYRYTYSXSVDVBUUHVMYJUUAYTUUGYQYJUUASZUUGFYSUUIYSBPZUUGFYSRZYJX
      SBYSAXTVEZVFUUJYSDQUUKYSBCDFGIVGVHVIVJVKYJUUFUUGSZYNUGZYQUUAYTYJUUDGUEZYA
      QZYKUQZUUOYMPZSZYNUGZUGYJUUNUGGUCUUOYSULZUUTUUNYJUVAUUSUUMYNUVAUUQUUFUURU
      UGUVAUUPUUEUUDYKUUOYSYAVLVNUUOYSYMVOVPVQWDYJXSTPYATPUUTYJXSBTABTPZXTABUUR
      FUUORZGDVRZVSZTIADBPZUVDTPUVETPADDQDYMPZFDRUVFADVTAUVGFDOWADBCDFGIVGWBDBW
      CUVCGUVDTWEWNWFZUOUULWGXSTWHUUDUUOHUEZQZUVIDQZUQZUURSZUVIYMPZUGUUTHYATUVI
      YAULZUVMUUSUVNYNUVOUVLUUQUURUVOUVJUUPUVKYKUUDUVIYAUUOWIUVIYADVLWJWKUVIYAY
      MVOWLKWOWNWMUSWPYRYQYTUCXSWQYJYQVEUCYLXSWRWSWTWAYABCDFGIVGWBXEXAAYHUABAXS
      BPZSZYGUBBUVQYEBPZSZYFDQYFYMPZFYFRYGUVSYFXSDXSYEXBUVPXSDQZAUVRUVPUWAXSYMP
      ZFXSRZXSBCDFGIVGZXCZVBXDUVSUVTFYFUVSYLYFPZSZYMXFUMZYMYFUWGAUUCUWHYMQAUVPU
      VRUWFXGUWGXSDYLUWGUVPUWAAUVPUVRUWFUTZUWEVIUWGXSYEYLUVSUWFVEZXHZVCLXIYMTPU
      WGUWBYEYMPZYFUWHPYLCXJUWGUVPYLXSPUWBUWIUWKUVPUWBFXSUVPUWAUWCUWDVHVJXIUWGU
      VRYLYEPUWLUVQUVRUWFXKUWGXSYEYLUWJXLUVRUWLFYEUVRYEDQUWLFYERYEBCDFGIVGVHVJX
      IXSYETYMXMXNVCWAYFBCDFGIVGWBWAWAAUVBXRYDYISXOUVHUAUBTBXPVIXQ $.

    $d a c d p J $.  $d a b c d p q r s N $.  $d a b c d p q r s X $.
    $d a b c d p q r s ph $.
    $( Lemma for ~ neiptopreu .  (Contributed by Thierry Arnoux,
       7-Jan-2018.) $)
    neiptopnei $p |- ( ph -> N = ( p e. X |-> ( ( nei ` J ) ` { p } ) ) ) $=
      ( vc vd wcel wa wi vr vs cfv cmpt csn cnei cpw feqmptd cuni wss ffvelrnda
      cv wel wrex adantr elpwid sseldd wceq neiptopuni sseqtrd crab wral ssrab2
      simpr a1i weq fveq2 eleq2d elrab simp-5l simpr1l simplr w3a sseq1 3anbi2d
      3anassrs eleq1w anbi12d imbi1d simpl1l cvv ctop neiptoptop uniexd eqeltrd
      rabexg sseq2 3anbi23d anbi1d imbi12d anbi2d 3anbi1d chvarvv vtoclg 3an1rs
      eleq1 3syl mpcom mpan2 syl211anc simplll simprl simprr cbvralvw rexeqbidv
      wb rexralbidv sselda a1d ancrd ralimdva reximdva mpd ralbii rexbii sylibr
      dfss3 biimpri reximi syl21anc r19.29a ralrimiva neipeltop sylanbrc anim1i
      syl sylan2b nfrab1 nfcv rabid elequ1 elequ2 ex syl5bi ssrd eleq2 syl12anc
      nfv rspcev nfan nfre1 sseqtrrd syl31anc simprbi r19.21bi reximi2 ad2antll
      jca anasss r19.29af impbida eleqtrd eqid isneip syl2an2r bitr4d mpteq2dva
      eqrdv eqtrd ) ACFDFULZCUCZUDFDUUTUEBUFUCUCZUDAFDDUGZUGZCJUHAFDUVAUVBAUUTD
      RZSZPUVAUVBUVFPULZUVARZUVGBUIZUJZFQUMZQULZUVGUJZSZQBUNZSZUVGUVBRZUVFUVHUV
      PUVFUVHSZUVJUVOUVRUVGDUVIUVRUVGDUVRUVAUVCUVGUVRUVAUVCUVFUVAUVDRUVHADUVDUU
      TCJUKUOUPUVFUVHVDUQUPUVFDUVIURZUVHAUVSUVEABCDEFGHIJKLMNOUSZUOZUOUTUVRUVGE
      ULZCUCZRZEDVAZBRZUUTUWERZUWEUVGUJZUVOUVRUWEDUJZUWEUVARZFUWEVBZUWFUWIUVRUW
      DEDVCZVEUVRUWEUAULZCUCZRZUAUWEVBUWKUVRUWOUAUWEUWMUWERUVRUWMDRZUVGUWNRZSZU
      WOUWDUWQEUWMDEUAVFUWCUWNUVGUWBUWMCVGVHVIUVRUWRSZHULZUWEUJZUWOHUWNUWSUWTUW
      NRZSZUXASAUWPUXAUXBUWOAUVEUVHUWRUXBUXAVJUVRUWRUXBUXAUWPUWPUWQUXBUXAUVRVKV
      PUXCUXAVDUWSUXBUXAVLAUWPSZUXAUXBVMUWIUWOUWLUXDUXAUWIUXBUWOUXDGULZUWEUJZUW
      IVMZUXEUWNRZSZUWOTZUXDUXAUWIVMZUXBSZUWOTGHGHVFZUXIUXLUWOUXMUXGUXKUXHUXBUX
      MUXFUXAUXDUWIUXEUWTUWEVNVOGHUWNVQVRVSAUXIUWOAUWPUXFUWIUXHVTADWARUWEWARUXJ
      ADUVIWAUVTABWBABCDEFGHIJKLMNOWCZWDWEUWDEDWAWFUXDUXEUWTUJZUWTDUJZVMZUXHSZU
      XBTZUXJHUWEWAUWTUWEURZUXRUXIUXBUWOUXTUXQUXGUXHUXTUXOUXFUXPUWIUXDUWTUWEUXE
      WGUWTUWEDVNWHWIUWTUWEUWNWPWJUVFUXOUXPVMZUXEUVARZSZUWTUVARZTZUXSFUAFUAVFZU
      YCUXRUYDUXBUYFUYAUXQUYBUXHUYFUVFUXDUXOUXPUYFUVEUWPAFUADVQWKZWLUYFUVAUWNUX
      EUUTUWMCVGZVHVRUYFUVAUWNUWTUYHVHWJKWMWNWQWRWMWOWSWTUWSAUWPUWQUXAHUWNUNZAU
      VEUVHUWRXAUVRUWPUWQXBUVRUWPUWQXCUXDUWQSZUBULZUWERZUBUWTVBZHUWNUNZUYIUYJUY
      KDRZUVGUYKCUCZRZSZUBUWTVBZHUWNUNZUYNUYJUYQUBUWTVBZHUWNUNZUYTUVRUWDEUWTVBZ
      HUVAUNZTZUYJVUBTFUAUYFUVRUYJVUDVUBUYFUVFUXDUVHUWQUYGUYFUVAUWNUVGUYHVHVRUY
      FVUCVUAHUVAUWNUYHVUCVUAXFUYFUWDUYQEUBUWTEUBVFUWCUYPUVGUWBUYKCVGVHZXDVEXEW
      JUVFUYBSZUXEUWCRZEUWTVBHUVAUNZTVUEGPGPVFZVUGUVRVUIVUDVUJUYBUVHUVFGPUVAVQW
      KZVUJVUHUWDHEUVAUWTGPUWCVQXGWJNWMWMUXDVUBUYTTUWQUXDVUAUYSHUWNUXDUXBSZUYQU
      YRUBUWTVULUBHUMSZUYQUYOVUMUYOUYQVULUWTDUYKVULUWTDUXDUWNUVCUWTUXDUWNUVCADU
      VDUWMCJUKUPXHUPXHXIXJXKXLUOXMUYMUYSHUWNUYLUYRUBUWTUWDUYQEUYKDVUFVIXNXOXPU
      YMUXAHUWNUXAUYMUBUWTUWEXQXRXSYFXTYAYGYBUWJUWOFUAUWEUYFUVAUWNUWEUYHVHXDXPU
      WEBCDFGIYCYDUVRUVEUVHSUWGUVFUVEUVHAUVEVDZYEUWDUVHEUUTDEFVFUWCUVAUVGUWBUUT
      CVGVHVIXPUVREUWEUVGUVREYRUWDEDYHEUVGYIUWBUWERUWBDRZUWDSZUVREPUMZUWDEDYJUV
      RVUPVUQUVRVUPSAVUOUWDVUQAUVEUVHVUPXAUVRVUOUWDXBUVRVUOUWDXCUVRFPUMZTZAVUOS
      ZUWDSZVUQTFEFEVFZUVRVVAVURVUQVVBUVFVUTUVHUWDVVBUVEVUOAFEDVQWKVVBUVAUWCUVG
      UUTUWBCVGVHVRFEPYKWJVUGFGUMZTVUSGPVUJVUGUVRVVCVURVUKGPFYLWJMWMWMXTYMYNYOU
      VNUWGUWHSQUWEBUVLUWEURUVKUWGUVMUWHUVLUWEUUTYPUVLUWEUVGVNVRYSYQUUHUVFUVPSZ
      UVMUVHQUVAUVFUVPQUVFQYRUVJUVOQUVJQYRUVNQBUUAYTYTVVDUVLUVARZSZUVMSZUVFUVMU
      VGDUJZVVEUVHUVFUVPVVEUVMXAZVVFUVMVDVVGUVGUVIDUVFUVPVVEUVMUVJUVJUVOVVEUVMU
      VFVKVPVVGUVFUVSVVIUWAYFUUBVVDVVEUVMVLUVFUXEUVGUJZVVHVMZUYBSZUVHTZUVFUVMVV
      HVMZVVESZUVHTGQGQVFZVVLVVOUVHVVPVVKVVNUYBVVEVVPVVJUVMUVFVVHUXEUVLUVGVNVOG
      QUVAVQVRVSUYEVVMHPHPVFZUYCVVLUYDUVHVVQUYAVVKUYBVVQUXOVVJUXPVVHUVFUWTUVGUX
      EWGUWTUVGDVNWHWIHPUVAVQWJKWMWMUUCUVOUVMQUVAUNUVFUVJUVNUVMQBUVAUVLBRZUVKUV
      MVVEUVMSVVRUVKSVVEUVMVVRVVEFUVLVVRUVLDUJVVEFUVLVBUVLBCDFGIYCUUDUUEYEUUIUU
      FUUGUUJUUKABWBRUVEUUTUVIRUVQUVPXFUXNUVFUUTDUVIVUNUWAUULUUTQBUVGUVIUVIUUMU
      UNUUOUUPUURUUQUUS $.

    $d a b j p J $.  $d a b j p q N $.  $d a b j p q X $.  $d a b j p q ph $.
    $( If, to each element ` P ` of a set ` X ` , we associate a set
       ` ( N `` P ) ` fulfilling Properties V_i, V_ii, V_iii and Property V_iv
       of [BourbakiTop1] p.  I.2. , corresponding to ~ ssnei , ~ innei ,
       ~ elnei and ~ neissex , then there is a unique topology ` j ` such that
       for any point ` p ` , ` ( N `` p ) ` is the set of neighborhoods of
       ` p ` .  Proposition 2 of [BourbakiTop1] p.  I.3.  This can be used to
       build a topology from a set of neighborhoods.  Note that ~ innei uses
       binary intersections whereas Property V_ii mentions finite intersections
       (which includes the empty intersection of subsets of ` X ` , which is
       equal to ` X ` ), so we add the hypothesis that ` X ` is a neighborhood
       of all points.  TODO: when ~ df-fi includes the empty intersection,
       remove that extra hypothesis.  (Contributed by Thierry Arnoux,
       6-Jan-2018.) $)
    neiptopreu $p |- ( ph ->
      E! j e. ( TopOn ` X ) N = ( p e. X |-> ( ( nei ` j ) ` { p } ) ) ) $=
      ( cfv wcel wceq wa ctopon cv csn cnei cmpt wral wreu cuni ctop neiptoptop
      wi toptopon2 sylib neiptopuni fveq2d eleqtrrd neiptopnei wss nfmpt1 nfeq2
      nfv nfan simpllr simpr sselda cvv id fvexd fvmpt2d syl2anc eqcomd ralbida
      eleq2d pm5.32da toponss ad4ant24 topontop ad2antlr opnnei syl jca biimpar
      wb biimpa adantrl impbida neipeltop a1i 3bitr4d eqrdv ex ralrimiva fveq1d
      simpl mpteq2dva eqeq2d eqreu syl3anc ) ACEUAQZRDGEGUBZUCZCUDQZQZUEZSZDGEX
      ABUBZUDQZQZUEZSZXFCSZUKZBWSUFXJBWSUGACCUHZUAQZWSACUIRCXNRACDEFGHIJKLMNOPU
      JCULUMAEXMUAACDEFGHIJKLMNOPUNUOUPACDEFGHIJKLMNOPUQAXLBWSAXFWSRZTZXJXKXPXJ
      TZIXFCXQIUBZEURZXRXHRZGXRUFZTZXSXRWTDQZRZGXRUFZTZXRXFRZXRCRZXQXSYAYEXQXST
      ZXTYDGXRXQXSGXPXJGXPGVAGDXIGEXHUSUTVBXSGVAVBYIWTXRRZTZXHYCXRYKYCXHYKXJWTE
      RZYCXHSXPXJXSYJVCYIXREWTXQXSVDVEXJGEXHDVFXJVGXJYLTXAXGVHVIVJVKVMVLVNXQYGY
      BXQYGTXSYAXOYGXSAXJXRXFEVOVPXQYGYAXQXFUIRZYGYAWCXOYMAXJEXFVQVRGXRXFVSVTZW
      DWAXQYAYGXSXQYGYAYNWBWEWFYHYFWCXQXRCDEGHJWGWHWIWJWKWLXJXEBWSCXKXIXDDXKGEX
      HXCXKYLTZXAXGXBYOXFCUDXKYLWNUOWMWOWPWQWR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Limit points and perfect sets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c limPt $.
  $c Perf $.

  $( Extend class notation with the limit point function for topologies. $)
  clp $a class limPt $.

  $( Extend class notation with the class of all perfect spaces. $)
  cperf $a class Perf $.

  ${
    $d j x y $.
    $( Define a function on topologies whose value is the set of limit points
       of the subsets of the base set.  See ~ lpval .  (Contributed by NM,
       10-Feb-2007.) $)
    df-lp $a |- limPt = ( j e. Top |-> ( x e. ~P U. j |->
                  { y | y e. ( ( cls ` j ) ` ( x \ { y } ) ) } ) ) $.
  $}

  $( Define the class of all perfect spaces.  A perfect space is one for which
     every point in the set is a limit point of the whole space.  (Contributed
     by Mario Carneiro, 24-Dec-2016.) $)
  df-perf $a |- Perf = { j e. Top | ( ( limPt ` j ) ` U. j ) = U. j } $.

  ${
    $d j n x y J $.  $d n x y P $.  $d n x y S $.  $d x T $.  $d j n x y X $.
    lpfval.1 $e |- X = U. J $.
    $( The limit point function on the subsets of a topology's base set.
       (Contributed by NM, 10-Feb-2007.)  (Revised by Mario Carneiro,
       11-Nov-2013.) $)
    lpfval $p |- ( J e. Top -> ( limPt ` J ) = ( x e. ~P X |->
                  { y | y e. ( ( cls ` J ) ` ( x \ { y } ) ) } ) ) $=
      ( vj ctop wcel cpw cv csn cdif ccl cfv cab cmpt cvv clp wceq cuni eqtr4di
      topopn pwexg mptexg 3syl unieq pweqd fveq2 fveq1d eleq2d abbidv mpteq12dv
      df-lp fvmptg mpdan ) CGHZADIZBJZAJURKLZCMNZNZHZBOZPZQHZCRNVDSUPDCHUQQHVEC
      DEUBDCUCAUQVCQUDUEFCAFJZTZIZURUSVFMNZNZHZBOZPVDGQRVFCSZAVHVLUQVCVMVGDVMVG
      CTDVFCUFEUAUGVMVKVBBVMVJVAURVMUSVIUTVFCMUHUIUJUKULABFUMUNUO $.

    $( The set of limit points of a subset of the base set of a topology.
       Alternate definition of limit point in [Munkres] p. 97.  (Contributed by
       NM, 10-Feb-2007.)  (Revised by Mario Carneiro, 11-Nov-2013.) $)
    lpval $p |- ( ( J e. Top /\ S C_ X ) -> ( ( limPt ` J ) ` S ) =
                 { x | x e. ( ( cls ` J ) ` ( S \ { x } ) ) } ) $=
      ( vy ctop wcel wss wa clp cfv cpw cv csn cdif ccl cab wceq adantr cmpt wb
      lpfval fveq1d cvv eqid difeq1 fveq2d eleq2d abbidv topopn biimpar ssdifss
      elpw2g syl wi clsss3 sseld sylan2 abssdv ssexd fvmptd3 eqtrd ) CGHZBDIZJZ
      BCKLZLZBFDMZANZFNZVJOZPZCQLZLZHZARZUAZLZVJBVLPZVNLZHZARZVDVHVSSVEVDBVGVRF
      ACDEUCUDTVFFBVQWCVIVRUEVRUFVKBSZVPWBAWDVOWAVJWDVMVTVNVKBVLUGUHUIUJVDBVIHZ
      VEVDDCHZWEVEUBCDEUKZBDCUNUOULVFWCDCVDWFVEWGTVFWBADVEVDVTDIZWBVJDHUPBDVLUM
      VDWHJWADVJVTCDEUQURUSUTVAVBVC $.

    $( The predicate "the class ` P ` is a limit point of ` S ` ".
       (Contributed by NM, 10-Feb-2007.) $)
    islp $p |- ( ( J e. Top /\ S C_ X ) -> ( P e. ( ( limPt ` J ) ` S ) <->
               P e. ( ( cls ` J ) ` ( S \ { P } ) ) ) ) $=
      ( vx ctop wcel wss wa clp cfv cv csn cdif ccl cab lpval eleq2d id difeq2d
      wceq sneq fveq2d eleq12d elab3 bitrdi ) CGHBDIJZABCKLLZHAFMZBUJNZOZCPLZLZ
      HZFQZHABANZOZUMLZHZUHUIUPAFBCDERSUOUTFAUSUTTUJAUBZUJAUNUSVATVAULURUMVAUKU
      QBUJAUCUAUDUEUFUG $.

    $( The limit points of a subset are included in the subset's closure.
       (Contributed by NM, 26-Feb-2007.) $)
    lpsscls $p |- ( ( J e. Top /\ S C_ X ) -> ( ( limPt ` J ) ` S ) C_
               ( ( cls ` J ) ` S ) ) $=
      ( vx ctop wcel wss wa clp cfv csn cdif ccl cab lpval difss clsss mp3an3
      cv sseld abssdv eqsstrd ) BFGZACHZIZABJKKETZAUGLZMZBNKZKZGZEOAUJKZEABCDPU
      FULEUMUFUKUMUGUDUEUIAHUKUMHAUHQAUIBCDRSUAUBUC $.

    $( The limit points of a subset are included in the base set.  (Contributed
       by NM, 9-Nov-2007.) $)
    lpss $p |- ( ( J e. Top /\ S C_ X ) -> ( ( limPt ` J ) ` S ) C_ X ) $=
      ( ctop wcel wss wa clp cfv ccl lpsscls clsss3 sstrd ) BEFACGHABIJJABKJJCA
      BCDLABCDMN $.

    $( ` P ` is a limit point of ` S ` iff it is a limit point of
       ` S \ { P } ` .  (Contributed by Mario Carneiro, 25-Dec-2016.) $)
    lpdifsn $p |- ( ( J e. Top /\ S C_ X ) -> ( P e. ( ( limPt ` J ) ` S ) <->
               P e. ( ( limPt ` J ) ` ( S \ { P } ) ) ) ) $=
      ( ctop wcel wss wa clp cfv csn cdif ccl islp ssdifss sylan2 difabs fveq2i
      wb eleq2i bitrdi bitr4d ) CFGZBDHZIZABCJKZKGABALZMZCNKZKZGZAUIUGKGZABCDEO
      UFUMAUIUHMZUJKZGZULUEUDUIDHUMUPTBDUHPAUICDEOQUOUKAUNUIUJBUHRSUAUBUC $.

    $( Subset relationship for limit points.  (Contributed by Mario Carneiro,
       25-Dec-2016.) $)
    lpss3 $p |- ( ( J e. Top /\ S C_ X /\ T C_ S ) ->
      ( ( limPt ` J ) ` T ) C_ ( ( limPt ` J ) ` S ) ) $=
      ( vx ctop wcel wss w3a clp cfv cv csn cdif ccl simp1 wb islp syl2anc
      simp2 ssdifssd simp3 ssdifd clsss syl3anc sseld sstrd 3imtr4d ssrdv ) CGH
      ZADIZBAIZJZFBCKLZLZAUOLZUNFMZBURNZOZCPLZLZHZURAUSOZVALZHZURUPHZURUQHZUNVB
      VEURUNUKVDDIUTVDIVBVEIUKULUMQZUNADUSUKULUMUAZUBUNBAUSUKULUMUCZUDVDUTCDEUE
      UFUGUNUKBDIVGVCRVIUNBADVKVJUHURBCDESTUNUKULVHVFRVIVJURACDESTUIUJ $.

    $( The predicate " ` P ` is a limit point of ` S ` " in terms of
       neighborhoods.  Definition of limit point in [Munkres] p. 97.  Although
       Munkres uses open neighborhoods, it also works for our more general
       neighborhoods.  (Contributed by NM, 26-Feb-2007.)  (Proof shortened by
       Mario Carneiro, 25-Dec-2016.) $)
    islp2 $p |- ( ( J e. Top /\ S C_ X /\ P e. X ) ->
                ( P e. ( ( limPt ` J ) ` S ) <->
         A. n e. ( ( nei ` J ) ` { P } ) ( n i^i ( S \ { P } ) ) =/= (/) ) ) $=
      ( ctop wcel wss w3a clp cfv csn cdif ccl cv cin c0 wne wb 3adant3 ssdifss
      cnei wral islp neindisj2 syl3an2 bitrd ) DGHZBEIZAEHZJABDKLLHZABAMZNZDOLL
      HZCPUNQRSCUMDUCLLUDZUIUJULUOTUKABDEFUEUAUJUIUNEIUKUOUPTBEUMUBAUNCDEFUFUGU
      H $.

    $( The predicate " ` P ` is a limit point of ` S ` " in terms of open sets.
       see ~ islp2 , ~ elcls , ~ islp .  (Contributed by FL, 31-Jul-2009.) $)
    islp3 $p |- ( ( J e. Top /\ S C_ X /\ P e. X ) ->
     ( P e. ( ( limPt ` J ) ` S ) <->
        A. x e. J ( P e. x -> ( x i^i ( S \ { P } ) ) =/= (/) ) ) ) $=
      ( ctop wcel wss w3a clp cfv csn cdif ccl cv cin c0 wne wb wi wral 3adant3
      islp simp2 ssdifssd elcls syld3an2 bitrd ) DGHZCEIZBEHZJZBCDKLLHZBCBMZNZD
      OLLHZBAPZHURUPQRSUAADUBZUJUKUNUQTULBCDEFUDUCUJUPEIUKULUQUSTUMCEUOUJUKULUE
      UFABUPDEFUGUHUI $.

    $( A point is a limit point of the whole space iff the singleton of the
       point is not open.  (Contributed by Mario Carneiro, 24-Dec-2016.) $)
    maxlp $p |- ( J e. Top ->
      ( P e. ( ( limPt ` J ) ` X ) <-> ( P e. X /\ -. { P } e. J ) ) ) $=
      ( ctop wcel clp cfv wa csn wn wss cdif wb wceq snssi sylan2 adantl adantr
      bitrd ssid lpss mpan2 sseld pm4.71rd ccl simpl islp sylancl clsdif eleq2d
      cnt eldif baib ntrss2 eqssd ntropn eqeltrd snidg ad2antlr isopn3i adantlr
      eleqtrrd impbida notbid 3bitrd pm5.32da ) BEFZACBGHHZFZACFZVJIVKAJZBFZKZI
      VHVJVKVHVICAVHCCLZVICLCUAZCBCDUBUCUDUEVHVKVJVNVHVKIZVJACVLMBUFHHZFZACVLBU
      LHHZMZFZVNVQVHVOVJVSNVHVKUGVPACBCDUHUIVQVRWAAVKVHVLCLZVRWAOACPZVLBCDUJQUK
      VQWBAVTFZKZVNVKWBWFNVHWBVKWFACVTUMUNRVQWEVMVQWEVMVQWEIZVLVTBWGVLVTWEVLVTL
      VQAVTPRVQVTVLLZWEVKVHWCWHWDVLBCDUOQSUPVQVTBFZWEVKVHWCWIWDVLBCDUQQSURVQVMI
      AVLVTVKAVLFVHVMACUSUTVHVMVTVLOVKVLBVAVBVCVDVETVFVGT $.

    $( The closure of a subset of a topological space is the subset together
       with its limit points.  Theorem 6.6 of [Munkres] p. 97.  (Contributed by
       NM, 26-Feb-2007.) $)
    clslp $p |- ( ( J e. Top /\ S C_ X ) -> ( ( cls ` J ) ` S ) =
                ( S u. ( ( limPt ` J ) ` S ) ) ) $=
      ( vx vn ctop wcel wss wa ccl cfv cv cin c0 wne wi wb sylibrd ex clp wo wn
      cun csn cdif cnei wral neindisj expr adantr ineq2d neeq1d adantl ralrimdv
      difsn simpll simplr clsss3 sselda islp2 syl3anc orrd sylibr ssrdv lpsscls
      elun sscls unssd eqssd ) BGHZACIZJZABKLLZAABUALLZUDZVMEVNVPVMEMZVNHZVQVPH
      ZVMVRJZVQAHZVQVOHZUBVSVTWAWBVTWAUCZFMZAVQUEZUFZNZOPZFWEBUGLLZUHZWBVTWCWHF
      WIVTWCWDWIHZWHQVTWCJWKWDANZOPZWHVTWKWMQWCVMVRWKWMVQABWDCDUIUJUKWCWHWMRVTW
      CWGWLOWCWFAWDVQAUPULUMUNSTUOVTVKVLVQCHWBWJRVKVLVRUQVKVLVRURVMVNCVQABCDUSU
      TVQAFBCDVAVBSVCVQAVOVGVDTVEVMAVOVNABCDVHABCDVFVIVJ $.

    $( A point belonging to a set's closure but not the set itself is a limit
       point.  (Contributed by NM, 8-Nov-2007.) $)
    islpi $p |- ( ( ( J e. Top /\ S C_ X ) /\ ( P e. ( ( cls ` J ) ` S ) /\
       -. P e. S ) ) -> P e. ( ( limPt ` J ) ` S ) ) $=
      ( ctop wcel wss wa ccl cfv wn clp wi cun clslp eleq2d wo elun df-or bitri
      bitrdi biimpd imp32 ) CFGBDHIZABCJKKZGZABGZLZABCMKKZGZUEUGUIUKNZUEUGABUJO
      ZGZULUEUFUMABCDEPQUNUHUKRULABUJSUHUKTUAUBUCUD $.

    $( A subset of a topological space is closed iff it contains all its limit
       points.  Corollary 6.7 of [Munkres] p. 97.  (Contributed by NM,
       26-Feb-2007.) $)
    cldlp $p |- ( ( J e. Top /\ S C_ X ) -> ( S e. ( Clsd ` J ) <->
                 ( ( limPt ` J ) ` S ) C_ S ) ) $=
      ( ctop wcel wss wa ccld cfv ccl wceq clp iscld3 cun clslp ssequn2 bitr4di
      eqeq1d bitrd ) BEFACGHZABIJFABKJJZALZABMJJZAGZABCDNUAUCAUDOZALUEUAUBUFAAB
      CDPSUDAQRT $.

    $( Definition of a perfect space.  (Contributed by Mario Carneiro,
       24-Dec-2016.) $)
    isperf $p |- ( J e. Perf <-> ( J e. Top /\ ( ( limPt ` J ) ` X ) = X ) ) $=
      ( vj cuni clp wceq ctop cperf fveq2 unieq eqtr4di fveq12d eqeq12d df-perf
      cv cfv elrab2 ) DPZEZSFQZQZTGBAFQZQZBGDAHISAGZUBUDTBUETBUAUCSAFJUETAEBSAK
      CLZMUFNDOR $.

    $( Definition of a perfect space.  (Contributed by Mario Carneiro,
       24-Dec-2016.) $)
    isperf2 $p |- ( J e. Perf <->
      ( J e. Top /\ X C_ ( ( limPt ` J ) ` X ) ) ) $=
      ( cperf wcel ctop clp cfv wceq wa wss isperf wb ssid lpss mpan2 eqss baib
      syl pm5.32i bitri ) ADEAFEZBAGHHZBIZJUBBUCKZJABCLUBUDUEUBUCBKZUDUEMUBBBKU
      FBNBABCOPUDUFUEUCBQRSTUA $.

    $( A perfect space is a topology which has no open singletons.
       (Contributed by Mario Carneiro, 24-Dec-2016.) $)
    isperf3 $p |- ( J e. Perf <->
      ( J e. Top /\ A. x e. X -. { x } e. J ) ) $=
      ( cperf wcel ctop clp cfv wss wa cv csn wn wral isperf2 dfss3 maxlp baibd
      ralbidva syl5bb pm5.32i bitri ) BEFBGFZCCBHIIZJZKUDALZMBFNZACOZKBCDPUDUFU
      IUFUGUEFZACOUDUIACUEQUDUJUHACUDUJUGCFUHUGBCDRSTUAUBUC $.

    $( The limit points of a perfect space.  (Contributed by Mario Carneiro,
       24-Dec-2016.) $)
    perflp $p |- ( J e. Perf -> ( ( limPt ` J ) ` X ) = X ) $=
      ( cperf wcel ctop clp cfv wceq isperf simprbi ) ADEAFEBAGHHBIABCJK $.

    $( Property of a perfect space.  (Contributed by Mario Carneiro,
       24-Dec-2016.) $)
    perfi $p |- ( ( J e. Perf /\ P e. X ) -> -. { P } e. J ) $=
      ( vx cperf wcel cv csn wral ctop isperf3 simprbi wceq sneq eleq1d rspccva
      wn notbid sylan ) BFGZEHZIZBGZRZECJZACGAIZBGZRZUABKGUFEBCDLMUEUIEACUBANZU
      DUHUJUCUGBUBAOPSQT $.
  $}

  $( A perfect space is a topology.  (Contributed by Mario Carneiro,
     25-Dec-2016.) $)
  perftop $p |- ( J e. Perf -> J e. Top ) $=
    ( cperf wcel ctop cuni clp cfv wceq eqid isperf simplbi ) ABCADCAEZAFGGLHAL
    LIJK $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subspace topologies
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Reverse closure for the subspace topology.  (Contributed by Mario
     Carneiro, 19-Mar-2015.)  (Revised by Mario Carneiro, 1-May-2015.) $)
  restrcl $p |- ( ( J |`t A ) e. Top -> ( J e. _V /\ A e. _V ) ) $=
    ( crest co ctop wcel c0 wceq cvv wa wn n0i syl cxp restfn fndmi ndmov nsyl2
    0opn ) BACDZEFZTGHZBIFAIFJUAGTFUBKTSTGLMBAICIINCOPQR $.

  ${
    $d a b c u v w x y z A $.  $d a b c u v w x y z B $.  $d x J $.  $d x X $.
    $d w x y z V $.  $d w x y z W $.
    $( A subspace topology basis is a basis.  (Contributed by Mario Carneiro,
       19-Mar-2015.) $)
    restbas $p |- ( B e. TopBases -> ( B |`t A ) e. TopBases ) $=
      ( vc vw va vb vu vv vz ctb wcel cvv crest wa cv cin wss wrex wceq c0 wral
      elrest anbi12d reeanv bitr4di simplll simplrl simplrr simpr elin1d basis2
      syl22anc simpld simprd simprl elrestr syl3anc simprrl simplr elin2d elind
      co simprrr ssrind eleq2 sseq1 rspcev syl12anc rexlimddv ralrimiva inindir
      ineq12 eqtr4di sseq2d anbi2d raleqbidv syl5ibrcom rexlimdvva ralrimivv wb
      rexbidv sylbid ovex isbasis2g ax-mp sylibr wn cdm wrel cxp relxp wfn fndm
      restfn releqi mpbir ovprc2 adantl cfi cfv fi0 eqeltrri eqeltrdi pm2.61dan
      fibas ) BJKZALKZBAMVBZJKZXFXGNZCOZDOZKZXLEOZFOZPZQZNZDXHRZCXPUAZFXHUAEXHU
      AZXIXJXTEFXHXHXJXNXHKZXOXHKZNZXNGOZAPZSZXOHOZAPZSZNZHBRGBRZXTXJYDYGGBRZYJ
      HBRZNYLXJYBYMYCYNGXNABJLUBHXOABJLUBUCYGYJGHBBUDUEXJYKXTGHBBXJYEBKZYHBKZNZ
      NZXTYKXMXLYEYHPZAPZQZNZDXHRZCYTUAYRUUCCYTYRXKYTKZNZXKIOZKZUUFYSQZNZUUCIBU
      UEXFYOYPXKYSKUUIIBRXFXGYQUUDUFXJYOYPUUDUGXJYOYPUUDUHUUEYSAXKYRUUDUIUJIXKB
      YEYHUKULUUEUUFBKZUUINZNZUUFAPZXHKZXKUUMKZUUMYTQZUUCUULXFXGUUJUUNUULXFXGXJ
      YQUUDUUKUFZUMUULXFXGUUQUNUUEUUJUUIUOUUFABJLUPUQUULUUFAXKUUEUUJUUGUUHURUUL
      YSAXKYRUUDUUKUSUTVAUULUUFYSAUUEUUJUUGUUHVCVDUUBUUOUUPNDUUMXHXLUUMSXMUUOUU
      AUUPXLUUMXKVEXLUUMYTVFUCVGVHVIVJYKXSUUCCXPYTYKXPYFYIPYTXNYFXOYIVLYEYHAVKV
      MZYKXRUUBDXHYKXQUUAXMYKXPYTXLUURVNVOWAVPVQVRWBVSXHLKXIYAVTBAMWCEFCDXHLWDW
      EWFXFXGWGZNXHTJUUSXHTSXFBAMMWHZWILLWJZWILLWKUUTUVAMUVAWLUUTUVASWNUVAMWMWE
      WOWPWQWRTWSWTTJXATXEXBXCXD $.

    $( A subspace can be generated by restricted sets from a basis for the
       original topology.  (Contributed by Mario Carneiro, 19-Mar-2015.)
       (Proof shortened by Mario Carneiro, 30-Aug-2015.) $)
    tgrest $p |- ( ( B e. V /\ A e. W ) ->
      ( topGen ` ( B |`t A ) ) = ( ( topGen ` B ) |`t A ) ) $=
      ( vx vy vz vw wcel wa crest ctg cv wss cuni wceq wex cvv cin crn cfv ovex
      co wb eltg3 ax-mp cmpt cima wfun simpll funmpt restval sseq2d biimpa wral
      a1i wfn inex1 rgenw eqid fnmpt fnima mp2b sseqtrrdi ssimaexg syl3anc ciun
      vex wi cres df-ima resmpt adantl rneqd syl5eq unieqd dfiun3 iunin1 eqtrdi
      eqtr4di fvex simpr uniiun eltg3i eqeltrrid adantlr elrestr eqeltrd eleq1d
      mp3an2ani unieq syl5ibrcom expimpd exlimdv adantr mpd eleq1 ssrdv sylancr
      syl5bi ineq1i eqtr4i simplll sselda fmpttd frnd eqeltrid ineq1 sylbid imp
      simpllr eqsstrd eqssd ) BCIZADIZJZBAKUCZLUAZBLUAZAKUCZXPEXRXTEMZXRIZFMZXQ
      NZYAYCOZPZJZFQZXPYAXTIZXQRIZYBYHUDBAKUBZFYAXQRUEUFXPYGYIFXPYDYFYIXPYDJZYI
      YFYEXTIZYLGMZBNZYCEBYAASZUGZYNUHZPZJZGQZYMYLXNYQUIZYCYQBUHZNUUAXNXOYDUJUU
      BYLEBYPUKUPYLYCYQTZUUCXPYDYCUUDNXPXQUUDYCEABCDULUMUNYPRIZEBUOYQBUQUUCUUDP
      UUEEBYAAEVHURZUSEBYPYQRYQUTVABYQVBVCVDGBYCCYQVEVFXPUUAYMVIYDXPYTYMGXPYOYS
      YMXPYOJZYMYSYROZXTIUUGUUHEYNYAVGZASZXTUUGUUHEYNYPVGZUUJUUGUUHEYNYPUGZTZOZ
      UUKUUGYRUUMUUGYRYQYNVJZTUUMYQYNVKUUGUUOUULYOUUOUULPXPEBYNYPVLVMVNVOVPEYNY
      PUUFVQZVTEYNAYAVRZVSXSRIZXPXOYOUUIXSIZUUJXTIBLWAZXNXOWBZXNYOUUSXOXNYOJUUI
      YNOZXSEYNWCZYNBCWDWEWFUUIAXSRDWGWJWHYSYEUUHXTYCYRWKWIWLWMWNWOWPYAYEXTWQWL
      WMWNWTWRXPXTHXSHMZASZUGZTZXRXPUURXOXTUVGPUUTUVAHAXSRDULWSXPXSXRUVFXPHXSUV
      EXRXPUVDXSIZUVEXRIZXPUVHYOUVDUVBPZJZGQZUVIXNUVHUVLUDXOGUVDBCUEWOXPUVKUVIG
      XPYOUVJUVIUUGUVIUVJUVBASZXRIUUGUVMUUKXRUVMUUJUUKUVBUUIAUVCXAUUQXBUUGUUKUU
      NXRUUPUUGYJUUMXQNUUNXRIYKUUGYNXQUULUUGEYNYPXQUUGYAYNIZJXNXOYABIYPXQIXNXOY
      OUVNXCXNXOYOUVNXKUUGYNBYAXPYOWBXDYAABCDWGVFXEXFUUMXQRWDWSXGXGUVJUVEUVMXRU
      VDUVBAXHWIWLWMWNXIXJXEXFXLXM $.

    $( A subspace topology is a topology.  Definition of subspace topology in
       [Munkres] p. 89. ` A ` is normally a subset of the base set of ` J ` .
       (Contributed by FL, 15-Apr-2007.)  (Revised by Mario Carneiro,
       1-May-2015.) $)
    resttop $p |- ( ( J e. Top /\ A e. V ) -> ( J |`t A ) e. Top ) $=
      ( ctop wcel wa crest co ctg cfv tgrest wceq tgtop adantr oveq1d eqtrd ctb
      topbas restbas tgcl 3syl eqeltrrd ) BDEZACEZFZBAGHZIJZUFDUEUGBIJZAGHUFABD
      CKUEUHBAGUCUHBLUDBMNOPUEBQEZUFQEUGDEUCUIUDBRNABSUFTUAUB $.

    $( A subspace topology is a topology on the base set.  (Contributed by
       Mario Carneiro, 13-Aug-2015.) $)
    resttopon $p |- ( ( J e. ( TopOn ` X ) /\ A C_ X ) ->
        ( J |`t A ) e. ( TopOn ` A ) ) $=
      ( vx ctopon cfv wcel wss wa crest co ctop cuni wceq cvv topontop toponmax
      id cin sylib ssexg syl2anr resttop syl2an2r simpr sseqin2 elrestr syl3anc
      simpl adantr eqeltrrd elssuni syl cpw cmpt crn restval syldan inss2 inex1
      cv vex elpw mpbir a1i fmpttd frnd eqsstrd sspwuni eqssd istopon sylanbrc
      ) BCEFZGZACHZIZBAJKZLGZAVQMZNVQAEFGVNBLGVOAOGZVRCBPVOVOCBGZVTVNVORCBQZACB
      UAUBZABOUCUDVPAVSVPAVQGAVSHVPCASZAVQVPVOWDANVNVOUEACUFTVPVNVTWAWDVQGVNVOU
      IWCVNWAVOWBUJCABVMOUGUHUKAVQULUMVPVQAUNZHVSAHVPVQDBDVAZASZUOZUPZWEVNVOVTV
      QWINWCDABVMOUQURVPBWEWHVPDBWGWEWGWEGZVPWFBGIWJWGAHWFAUSWGAWFADVBUTVCVDVEV
      FVGVHVQAVITVJAVQVKVL $.

    restuni.1 $e |- X = U. J $.
    $( The underlying set of a subspace topology.  (Contributed by FL,
       5-Jan-2009.)  (Revised by Mario Carneiro, 13-Aug-2015.) $)
    restuni $p |- ( ( J e. Top /\ A C_ X ) -> A = U. ( J |`t A ) ) $=
      ( ctop wcel wss wa crest ctopon cfv cuni wceq toptopon resttopon toponuni
      co sylanb syl ) BEFZACGZHBAIQZAJKFZAUBLMTBCJKFUAUCBCDNABCORAUBPS $.

    $( The topological space built with a subspace topology.  (Contributed by
       FL, 5-Jan-2009.)  (Proof shortened by Mario Carneiro, 1-May-2015.) $)
    stoig $p |- ( ( J e. Top /\ A C_ X ) ->
     { <. ( Base ` ndx ) , A >. ,
         <. ( TopSet ` ndx ) , ( J |`t A ) >. } e. TopSp ) $=
      ( ctop wcel wss wa crest co ctopon cfv cnx cbs cop cts cpr ctps resttopon
      toptopon sylanb eqid eltpsg syl ) BEFZACGZHBAIJZAKLFZMNLAOMPLUGOQZRFUEBCK
      LFUFUHBCDTABCSUAAUGUIUIUBUCUD $.
  $}

  ${
    $d w x y z A $.  $d x y z B $.  $d w x y z J $.
    $( Composition of subspaces.  (Contributed by Mario Carneiro, 15-Dec-2013.)
       (Revised by Mario Carneiro, 1-May-2015.) $)
    restco $p |- ( ( J e. V /\ A e. W /\ B e. X ) ->
                     ( ( J |`t A ) |`t B ) = ( J |`t ( A i^i B ) ) ) $=
      ( vx vy vz vw wcel cv cin cmpt crn crest co wceq wrex cvv w3a inex1 ineq1
      cab vex inass eqtrdi abrexco rnmpt mpteq1i 3eqtr4i restval 3adant3 oveq1d
      eqid ovex eqeltrrdi simp3 syl2anc eqtrd simp1 inex1g 3ad2ant2 3eqtr4a ) C
      DKZAEKZBFKZUAZGHCHLZAMZNZOZGLZBMZNZOZHCVIABMZMZNZOZCAPQZBPQZCVQPQZILZVNRG
      JLVJRHCSJUDZSIUDWDVRRHCSIUDVPVTIGJHCVJVNVRVIAHUEUBVMVJRVNVJBMVRVMVJBUCVIA
      BUFUGUHGIWEVNVOGVLWEVNHJCVJVKVKUOUIUJUIHICVRVSVSUOUIUKVHWBVLBPQZVPVHWAVLB
      PVEVFWAVLRVGHACDEULUMZUNVHVLTKVGWFVPRVHVLWATWGCAPUPUQVEVFVGURGBVLTFULUSUT
      VHVEVQTKZWCVTRVEVFVGVAVFVEWHVGABEVBVCHVQCDTULUSVD $.
  $}

  $( Equivalence of being a subspace of a subspace and being a subspace of the
     original.  (Contributed by Jeff Hankins, 11-Jul-2009.)  (Proof shortened
     by Mario Carneiro, 1-May-2015.) $)
  restabs $p |- ( ( J e. V /\ S C_ T /\ T e. W ) ->
                  ( ( J |`t T ) |`t S ) = ( J |`t S ) ) $=
    ( wcel wss w3a crest co cin cvv wceq simp1 simp3 ssexg 3adant1 restco simp2
    syl3anc sseqin2 sylib oveq2d eqtrd ) CDFZABGZBEFZHZCBIJAIJZCBAKZIJZCAIJUHUE
    UGALFZUIUKMUEUFUGNUEUFUGOUFUGULUEABEPQBACDELRTUHUJACIUHUFUJAMUEUFUGSABUAUBU
    CUD $.

  ${
    restin.1 $e |- X = U. J $.
    $( When the subspace region is not a subset of the base of the topology,
       the resulting set is the same as the subspace restricted to the base.
       (Contributed by Mario Carneiro, 15-Dec-2013.) $)
    restin $p |- ( ( J e. V /\ A e. W ) ->
      ( J |`t A ) = ( J |`t ( A i^i X ) ) ) $=
      ( wcel wa crest co cin cvv wceq cuni uniexg eqeltrid adantr restco 3com23
      mpd3an3 restid oveq1d incom oveq2i a1i 3eqtr3d ) BCGZADGZHZBEIJZAIJZBEAKZ
      IJZBAIJBAEKZIJZUGUHELGZUKUMMZUGUPUHUGEBNLFBCOPQUGUPUHUQEABCLDRSTUIUJBAIUG
      UJBMUHBCEFUAQUBUMUOMUIULUNBIEAUCUDUEUF $.

    $( The underlying set of a subspace topology.  (Contributed by Mario
       Carneiro, 21-Mar-2015.) $)
    restuni2 $p |- ( ( J e. Top /\ A e. V ) ->
                   ( A i^i X ) = U. ( J |`t A ) ) $=
      ( ctop wcel wa cin crest cuni wss wceq simpl inss2 restuni sylancl restin
      co unieqd eqtr4d ) BFGZACGZHZADIZBUEJSZKZBAJSZKUDUBUEDLUEUGMUBUCNADOUEBDE
      PQUDUHUFABFCDERTUA $.
  $}

  $( The underlying set of a subspace topology.  (Contributed by Mario
     Carneiro, 13-Aug-2015.) $)
  resttopon2 $p |- ( ( J e. ( TopOn ` X ) /\ A e. V ) ->
                 ( J |`t A ) e. ( TopOn ` ( A i^i X ) ) ) $=
    ( ctopon cfv wcel wa crest co ctop cin cuni topontop resttop sylan toponuni
    wceq ineq2d adantr eqid restuni2 eqtrd istopon sylanbrc ) BDEFGZACGZHZBAIJZ
    KGZADLZUIMZRUIUKEFGUFBKGZUGUJDBNZABCOPUHUKABMZLZULUFUKUPRUGUFDUOADBQSTUFUMU
    GUPULRUNABCUOUOUAUBPUCUKUIUDUE $.

  ${
    $d x J $.
    $( The subspace topology induced by the topology ` J ` on the empty set.
       (Contributed by FL, 22-Dec-2008.)  (Revised by Mario Carneiro,
       1-May-2015.) $)
    rest0 $p |- ( J e. Top -> ( J |`t (/) ) = { (/) } ) $=
      ( vx ctop wcel c0 crest co csn cv cin cmpt crn cvv wceq 0ex restval mpan2
      wa in0 elsn2 mpbir a1i fmpttd frnd eqsstrd resttop 0opn syl snssd eqssd )
      ACDZAEFGZEHZUKULBABIZEJZKZLZUMUKEMDZULUQNOBEACMPQUKAUMUPUKBAUOUMUOUMDZUKU
      NADRUSUOENUNSUOEOTUAUBUCUDUEUKEULUKULCDZEULDUKURUTOEAMUFQULUGUHUIUJ $.
  $}

  ${
    $d A x y $.  $d V x $.
    $( The only subspace topology induced by the topology ` { (/) } ` .
       (Contributed by FL, 5-Jan-2009.)  (Revised by Mario Carneiro,
       15-Dec-2013.) $)
    restsn $p |- ( A e. V -> ( { (/) } |`t A ) = { (/) } ) $=
      ( vx vy wcel c0 csn crest co cv cin wceq wrex ctop sn0top elrest mpan 0ex
      wb ineq1 0in eqtrdi eqeq2d rexsn velsn bitr4i bitrdi eqrdv ) ABEZCFGZAHIZ
      UJUICJZUKEZULDJZAKZLZDUJMZULUJEZUJNEUIUMUQSODULAUJNBPQUQULFLZURUPUSDFRUNF
      LZUOFULUTUOFAKFUNFATAUAUBUCUDCFUEUFUGUH $.
  $}

  $( The subspace topology induced by a singleton.  (Contributed by FL,
     5-Jan-2009.)  (Revised by Mario Carneiro, 16-Sep-2015.) $)
  restsn2 $p |- ( ( J e. ( TopOn ` X ) /\ A e. X ) ->
    ( J |`t { A } ) = ~P { A } ) $=
    ( ctopon cfv wcel wa csn crest co cpw wceq wss snssi resttopon sylan2 topsn
    syl ) BCDEFZACFZGBAHZIJZUADEFZUBUAKLTSUACMUCACNUABCOPAUBQR $.

  ${
    $d o x A $.  $d o x J $.  $d o x S $.  $d o x X $.
    restcld.1 $e |- X = U. J $.
    $( A closed set of a subspace topology is a closed set of the original
       topology intersected with the subset.  (Contributed by FL, 11-Jul-2009.)
       (Proof shortened by Mario Carneiro, 15-Dec-2013.) $)
    restcld $p |- ( ( J e. Top /\ S C_ X ) ->
                   ( A e. ( Clsd ` ( J |`t S ) ) <->
                     E. x e. ( Clsd ` J ) A = ( x i^i S ) ) ) $=
      ( vo ctop wcel wss wa ccld cfv cdif cin wceq cvv cun c0 adantl crest cuni
      co cv wrex wb id topopn ssexg syl2anr resttop syldan iscld restuni sseq2d
      eqid syl difeq1d eleq1d anbi12d elrest anbi2d opncld ad5ant14 incom df-ss
      biimpi syl5eq ad4antlr difeq2 difindi difid uneq2i 3eqtri eqtrdi ad3antlr
      dfss4 3eqtr2rd difeq1i indif2 3eqtr2i rspceeqv syl2anc rexlimdva2 expimpd
      un0 ineq1 sylbid difin2 adantr simpll elrestr syl3anc eqeltrd inss2 jctil
      cldopn sseq1 syl5ibrcom rexlimdva impbid 3bitr2d ) DHIZCEJZKZBDCUAUCZLMIZ
      BXFUBZJZXHBNZXFIZKZBCJZCBNZXFIZKZBAUDZCOZPZADLMZUEZXEXFHIZXGXLUFXCXDCQIZY
      BXDXDEDIYCXCXDUGDEFUHCEDUIUJZCDQUKULBXFXHXHUPUMUQXEXMXIXOXKXECXHBCDEFUNZU
      OXEXNXJXFXECXHBYEURUSUTXEXPYAXEXPXMXNGUDZCOZPZGDUEZKYAXEXOYIXMXCXDYCXOYIU
      FYDGXNCDHQVAULVBXEXMYIYAXEXMKZYHYAGDYJYFDIZKZYHKZEYFNZXTIZBYNCOZPYAXCYKYO
      XDXMYHYFDEFVCVDYMBECOZYFNZYPYMYRCYFNZCXNNZBYMYQCYFXDYQCPXCXMYKYHXDYQCEOZC
      ECVEZXDUUACPCEVFVGVHVIURYHYTYSPYLYHYTCYGNZYSXNYGCVJUUCYSCCNZRYSSRYSCYFCVK
      UUDSYSCVLZVMYSWFVNVOTXMYTBPZXEYKYHXMUUFBCVQVGVPVRYRUUAYFNCYNOYPYQUUAYFUUB
      VSCEYFVTCYNVEWAVOAYNXTXRYPBXQYNCWGWBWCWDWEWHXEXSXPAXTXEXQXTIZKZXPXSXRCJZC
      XRNZXFIZKUUHUUKUUIUUHUUJEXQNZCOZXFXEUUJUUMPUUGXEUUJCXQNZUUMUUJUUNUUDRUUNS
      RUUNCXQCVKUUDSUUNUUEVMUUNWFVNXDUUNUUMPXCCXQEWITVHWJUUHXCYCUULDIZUUMXFIXCX
      DUUGWKXEYCUUGYDWJUUGUUOXEXQDEFWQTUULCDHQWLWMWNXQCWOWPXSXMUUIXOUUKBXRCWRXS
      XNUUJXFBXRCVJUSUTWSWTXAXB $.
  $}

  ${
    $d J v $.  $d X v $.  $d A v $.  $d B v $.
    restcldi.1 $e |- X = U. J $.
    $( A closed set is closed in the subspace topology.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    restcldi $p |- ( ( A C_ X /\ B e. ( Clsd ` J ) /\ B C_ A ) ->
      B e. ( Clsd ` ( J |`t A ) ) ) $=
      ( vv wss ccld cfv wcel w3a crest co cv cin wceq wrex simp2 dfss syl2anc
      biimpi 3ad2ant3 ineq1 rspceeqv ctop cldrcl 3ad2ant2 simp1 restcld mpbird
      wb ) ADGZBCHIZJZBAGZKZBCALMHIJZBFNZAOZPFUMQZUPUNBBAOZPZUTULUNUORUOULVBUNU
      OVBBASUAUBFBUMUSVABURBAUCUDTUPCUEJZULUQUTUKUNULVCUOBCUFUGULUNUOUHFBACDEUI
      TUJ $.
  $}

  ${
    $d v x y A $.  $d v B $.  $d v x y J $.  $d x y K $.  $d v x V $.
    $d v C $.
    $( A set which is closed in the subspace topology induced by a closed set
       is closed in the original topology.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    restcldr $p |- ( ( A e. ( Clsd ` J ) /\ B e. ( Clsd ` ( J |`t A ) ) ) ->
      B e. ( Clsd ` J ) ) $=
      ( vv ccld cfv wcel crest co cv cin wceq wrex ctop cuni wss wb cldrcl eqid
      cldss restcld syl2anc incld ancoms eleq1 syl5ibrcom rexlimdva sylbid imp
      wa ) ACEFZGZBCAHIEFGZBUKGZULUMBDJZAKZLZDUKMZUNULCNGACOZPUMURQACRACUSUSSZT
      DBACUSUTUAUBULUQUNDUKULUOUKGZUJUNUQUPUKGZVAULVBUOACUCUDBUPUKUEUFUGUHUI $.

    $( If ` B ` is an open subset of the subspace base set ` A ` , then any
       subset of ` B ` is open iff it is open in ` A ` .  (Contributed by Mario
       Carneiro, 2-Mar-2015.) $)
    restopnb $p |- ( ( ( J e. Top /\ A e. V ) /\ ( B e. J /\ B C_ A /\
        C C_ B ) ) -> ( C e. J <-> C e. ( J |`t A ) ) ) $=
      ( vv ctop wcel wa wss w3a cv cin wceq wrex crest co df-ss sylib adantrr
      simpr3 simpr2 sstrd eqcomd ineq1 rspceeqv expcom syl inass simprr simplr3
      ineq1d eqtr3d simplr2 sseqin2 ineq2d 3eqtr3a simplll simprl simplr1 inopn
      wi syl3anc eqeltrd rexlimdvaa impbid wb elrest adantr bitr4d ) DGHZAEHZIZ
      BDHZBAJZCBJZKZIZCDHZCFLZAMZNZFDOZCDAPQHZVRVSWCVRCCAMZNZVSWCVBVRWECVRCAJWE
      CNVRCBAVMVNVOVPUAVMVNVOVPUBUCCARSUDVSWFWCFCDWAWECVTCAUEUFUGUHVRWBVSFDVRVT
      DHZWBIZIZCVTBMZDWIWABMZVTABMZMZCWJVTABUIWICBMZWKCWICWABVRWGWBUJULVRWGWNCN
      ZWBVRWGIZVPWOVNVOVPVMWGUKCBRSTUMVRWGWMWJNWBWPWLBVTWPVOWLBNVNVOVPVMWGUNBAU
      OSUPTUQWIVKWGVNWJDHVKVLVQWHURVRWGWBUSVNVOVPVMWHUTVTBDVAVCVDVEVFVMWDWCVGVQ
      FCADGEVHVIVJ $.

    $( If ` K ` is a finer topology than ` J ` , then the subspace topologies
       induced by ` A ` maintain this relationship.  (Contributed by Mario
       Carneiro, 21-Mar-2015.)  (Revised by Mario Carneiro, 1-May-2015.) $)
    ssrest $p |- ( ( K e. V /\ J C_ K ) -> ( J |`t A ) C_ ( K |`t A ) ) $=
      ( vx vy wcel wss wa crest co cv simpr cin wceq wrex wi cvv wb elrest n0i
      ssrexv ad2antlr c0 cxp restfn fndmi ndmov nsyl2 adantl syl simpll syl2anc
      simprd 3imtr4d mpd ex ssrdv ) CDGZBCHZIZEBAJKZCAJKZVAELZVBGZVDVCGZVAVEIZV
      EVFVAVEMVGVDFLANOZFBPZVHFCPZVEVFUTVIVJQUSVEVHFBCUBUCVGBRGZARGZIZVEVISVEVM
      VAVEVBUDOVMVBVDUABARJRRUEJUFUGUHUIUJZFVDABRRTUKVGUSVLVFVJSUSUTVEULVGVKVLV
      NUNFVDACDRTUMUOUPUQUR $.
  $}

  $( If ` A ` is open, then ` B ` is open in ` A ` iff it is an open subset of
     ` A ` .  (Contributed by Mario Carneiro, 2-Mar-2015.) $)
  restopn2 $p |- ( ( J e. Top /\ A e. J ) ->
    ( B e. ( J |`t A ) <-> ( B e. J /\ B C_ A ) ) ) $=
    ( ctop wcel wa crest co wss cuni elssuni wceq restuni sylan2 sseq2d syl5ibr
    eqid pm4.71rd wb simpll simplr restopnb syl23anc pm5.32da bitr4d biancomd
    ssidd simpr ) CDEZACEZFZBCAGHZEZBCEZBAIZUKUMUOUMFUOUNFUKUMUOUMUOUKBULJZIBUL
    KUKAUPBUJUIACJZIAUPLACKACUQUQQMNOPRUKUOUNUMUKUOFZUIUJUJAAIUOUNUMSUIUJUOTUIU
    JUOUAZUSURAUGUKUOUHAABCCUBUCUDUEUF $.

  ${
    $d x A $.  $d x B $.  $d x V $.
    $( A subspace of a discrete topology is discrete.  (Contributed by Mario
       Carneiro, 19-Mar-2015.) $)
    restdis $p |- ( ( A e. V /\ B C_ A ) -> ( ~P A |`t B ) = ~P B ) $=
      ( vx wcel wss wa cpw crest co cv ctop wb distop biimpar restopn2 syl2an2r
      elpw2g velpw wi sstr expcom adantl syl6ibr pm4.71rd syl5bb bitr4d eqrdv )
      ACEZBAFZGZDAHZBIJZBHZUKDKZUMEZUOULEZUOBFZGZUOUNEZUIULLEUJBULEZUPUSMACNUIV
      AUJBACROBUOULPQUTURUKUSDBSUKURUQUKURUOAFZUQUJURVBTUIURUJVBUOBAUAUBUCDASUD
      UEUFUGUH $.

    $( The restriction of the set of finite subsets of ` A ` is the set of
       finite subsets of ` B ` .  (Contributed by Mario Carneiro,
       18-Sep-2015.) $)
    restfpw $p |- ( ( A e. V /\ B C_ A ) ->
      ( ( ~P A i^i Fin ) |`t B ) = ( ~P B i^i Fin ) ) $=
      ( vx wcel wss wa cpw cfn cin crest co cv wceq adantr elinel2 adantl elfpw
      cvv sylanbrc cmpt crn pwexg inex1g syl ssexg ancoms restval syl2anc inss2
      inss1 ssfi sylancl fmpttd frnd eqsstrd simplbi df-ss sylib simplr elrestr
      a1i sstrd syl3anc eqeltrrd eqelssd ) ACEZBAFZGZDAHZIJZBKLZBHZIJZVIVLDVKDM
      ZBJZUAZUBZVNVIVKSEZBSEZVLVRNVIVJSEZVSVGWAVHACUCOVJISUDUEZVHVGVTBACUFUGZDB
      VKSSUHUIVIVKVNVQVIDVKVPVNVIVOVKEZGZVPBFZVPIEZVPVNEWFWEVOBUJVBWEVOIEZVPVOF
      WGWDWHVIVOVJIPQVOBUKVOVPULUMVPBRTUNUOUPVIVOVNEZGZVPVOVLWJVOBFZVPVONWIWKVI
      WIWKWHVOBRUQQZVOBURUSWJVSVTWDVPVLEVIVSWIWBOVIVTWIWCOWJVOAFWHWDWJVOBAWLVGV
      HWIUTVCWIWHVIVOVMIPQVOARTVOBVKSSVAVDVEVF $.
  $}

  ${
    $d a b c d e A $.  $d a b c d e B $.  $d a b c d e J $.  $d a b c d e X $.
    neitr.1 $e |- X = U. J $.
    $( The neighborhood of a trace is the trace of the neighborhood.
       (Contributed by Thierry Arnoux, 17-Jan-2018.) $)
    neitr $p |- ( ( J e. Top /\ A C_ X /\ B C_ A ) ->
      ( ( nei ` ( J |`t A ) ) ` B ) = ( ( ( nei ` J ) ` B ) |`t A ) ) $=
      ( vc vd va vb ve ctop wcel wss cv wa wrex cin wceq syl2anc cvv crest cnei
      w3a cfv cuni wex nfv nfre1 nfan simpl anim2i cdif cun simp-5r simp1 simp2
      co restuni ad5antr sseqtrrd sstrd eltopss ssdifssd unssd simpr1l 3anassrs
      simplr simpr sseqtrd inss1 inundif simpr1r eqsstrrd unss1 eqsstrrid sseq2
      sstrdi syl sseq1 anbi12d rspcev syl12anc indir disjdifr uneq2i un0 3eqtri
      c0 df-ss biimpi eqtr2id vex difexi unex anbi2d rexbidv ineq1 eqeq2d spcev
      syl21anc ad3antrrr uniexd eqeltrid elrest biimpa r19.29a sylanl1 r19.29af
      simprr mpbiri adantl exlimiv adantr ad4antr elrestr syl3anc simprl ssrind
      ssexd inss2 simp3 ssind simp-4r jca32 ex reximdva impr an32s expl exlimdv
      imp rexlimivw jca impbida wb resttop eqid isnei cmpt crn fvex restval elv
      sylancr eleq2d elrnmpt df-rex bitri anbi1d exbidv syl5bb bitrd 3bitr4d
      eqrdv ) CKLZADMZBAMZUCZFBCAUAUQZUBUDUDZBCUBUDZUDZAUAUQZUURFNZUUSUEZMZBGNZ
      MZUVGUVDMZOZGUUSPZOZHNZDMZBINZMZUVOUVMMZOZICPZOZUVDUVMAQZRZOZHUFZUVDUUTLZ
      UVDUVCLZUURUVLUWDUURUVLOZUVJUWDGUUSUURUVLGUURGUGUVFUVKGUVFGUGUVJGUUSUHUIU
      IUWGUURUVFOZUVGUUSLZUVJUWDUVLUVFUURUVFUVKUJUKUWHUWIOZUVJOZUVGJNZAQZRZUWDJ
      CUWKUWLCLZOZUWNOZUVDUWLAULZUMZDMZUVPUVOUWSMZOZICPZUVDUWSAQZRZUWDUWQUVDUWR
      DUWQUVDADUWQUVDUVEAUURUVFUWIUVJUWOUWNUNUURAUVERZUVFUWIUVJUWOUWNUURUUOUUPU
      XFUUOUUPUUQUOZUUOUUPUUQUPZACDEURSZUSUTZUURUUPUVFUWIUVJUWOUWNUXHUSVAUWQUWL
      DAUWQUUOUWOUWLDMUURUUOUVFUWIUVJUWOUWNUXGUSUWKUWOUWNVGZUWLCDEVBSVCVDUWQUWO
      BUWLMZUWLUWSMZUXCUXKUWQBUWMUWLUWQBUVGUWMUWJUVJUWOUWNUVHUVHUVIUWOUWNUWJVEV
      FUWPUWNVHZVIUWLAVJVQUWQUWLUWMUWRUMZUWSUWLAVKUWQUWMUVDMUXOUWSMUWQUWMUVGUVD
      UXNUWJUVJUWOUWNUVIUVHUVIUWOUWNUWJVLVFVMUWMUVDUWRVNVRVOUXBUXLUXMOIUWLCUVOU
      WLRUVPUXLUXAUXMUVOUWLBVPUVOUWLUWSVSVTWAWBUWQUVDAMZUXEUXJUXPUXDUVDAQZUVDUX
      DUXQUWRAQZUMUXQWHUMUXQUVDUWRAWCUXRWHUXQAUWLWDWEUXQWFWGUXPUXQUVDRUVDAWIWJW
      KVRUWCUWTUXCOZUXEOHUWSUVDUWRFWLUWLAJWLWMWNUVMUWSRZUVTUXSUWBUXEUXTUVNUWTUV
      SUXCUVMUWSDVSUXTUVRUXBICUXTUVQUXAUVPUVMUWSUVOVPWOWPVTUXTUWAUXDUVDUVMUWSAW
      QWRVTWSWTUWKUUOATLZUWIUWNJCPZUURUUOUVFUWIUVJUXGXAUURUYAUVFUWIUVJUURADTUUR
      DCUETEUURCKUXGXBXCUXHXSZXAUWHUWIUVJVGUUOUYAOUWIUYBJUVGACKTXDXEWTXFXGUURUV
      FUVKXIXHUURUWDOZUVFUVKUYDUVDAUVEUWDUXPUURUWCUXPHUWBUXPUVTUWBUXPUWAAMUVMAX
      TUVDUWAAVSXJXKXLXKUURUXFUWDUXIXMVIUYDUVOAQZUUSLZBUYEMZUYEUVDMZOZOZICPZUVK
      UURUWDUYKUURUWCUYKHUURUVTUWBUYKUURUWBUVTUYKUURUWBOZUVNUVSUYKUYLUVNOZUVRUY
      JICUYMUVOCLZOZUVRUYJUYOUVROZUYFUYGUYHUYPUUOUYAUYNUYFUURUUOUWBUVNUYNUVRUXG
      XNUURUYAUWBUVNUYNUVRUYCXNUYMUYNUVRVGUVOACKTXOXPUYPBUVOAUYOUVPUVQXQUURUUQU
      WBUVNUYNUVRUUOUUPUUQYAZXNYBUYPUYEUWAUVDUYPUVOUVMAUYOUVPUVQXIXRUURUWBUVNUY
      NUVRYCUTYDYEYFYGYHYIYJYKUYJUVKICUVJUYIGUYEUUSUVGUYERUVHUYGUVIUYHUVGUYEBVP
      UVGUYEUVDVSVTWAYLVRYMYNUURUUSKLZBUVEMUWEUVLYOUURUUOUYAUYRUXGUYCACTYPSUURB
      AUVEUYQUXIVIBGUUSUVDUVEUVEYQYRSUURUWFUVDHUVBUWAYSZYTZLZUWDUURUVCUYTUVDUUR
      UVBTLUYAUVCUYTRBUVAUUAUYCHAUVBTTUUBUUDUUEUURUUOBDMZVUAUWDYOUXGUURBADUYQUX
      HVAVUAUVMUVBLZUWBOZHUFZUUOVUBOZUWDVUAUWBHUVBPZVUEVUAVUGYOFHUVBUWAUVDUYSTU
      YSYQUUFUUCUWBHUVBUUGUUHVUFVUDUWCHVUFVUCUVTUWBBICUVMDEYRUUIUUJUUKSUULUUMUU
      N $.
  $}

  ${
    $d o x J $.  $d o x K $.  $d o x S $.  $d o x X $.  $d o x Y $.
    restcls.1 $e |- X = U. J $.
    restcls.2 $e |- K = ( J |`t Y ) $.
    $( A closure in a subspace topology.  (Contributed by Jeff Hankins,
       22-Jan-2010.)  (Revised by Mario Carneiro, 15-Dec-2013.) $)
    restcls $p |- ( ( J e. Top /\ Y C_ X /\ S C_ Y ) ->
      ( ( cls ` K ) ` S ) = ( ( ( cls ` J ) ` S ) i^i Y ) ) $=
      ( vx ctop wcel wss ccl cfv cin ccld wceq syl2anc eqid 3adant3 wa w3a wrex
      cv simp1 ancoms 3adant1 clscld ineq1 rspceeqv sylancl crest fveq2i eleq2i
      sstr co wb restcld syl5bb mpbird sscls simp3 ssind cuni clsss2 fveq1i cvv
      topopn ssexg syl2anr resttop syldan restuni sseqtrd eqeltrid mpbid unieqi
      id eqcomi adantr inss1 sseq1 mpbiri ad2antll sstrd wi adantl ssrind sseq2
      syl5ibrcom expr com23 impr mpd rexlimddv eqssd ) BIJZEDKZAEKZUAZACLMZMZAB
      LMMZENZWSXCCOMZJZAXCKXAXCKWSXEXCHUCZENZPHBOMZUBZWSXBXHJZXCXCPXIWSWPADKZXJ
      WPWQWRUDZWQWRXKWPWRWQXKAEDUNUEUFZABDFUGQXCRHXBXHXGXCXCXFXBEUHUIUJXEXCBEUK
      UOZOMZJZWSXIXDXOXCCXNOGULUMWPWQXPXIUPWRHXCEBDFUQSURUSWSAXBEWSWPXKAXBKXLXM
      ABDFUTQWPWQWRVAZVBXCACCVCZXRRVDQWSXAXGPZXCXAKZHXHWSXAXOJZXSHXHUBZWSXAAXNL
      MZMZXOAWTYCCXNLGULVEWSXNIJZAXNVCZKZYDXOJWPWQYEWRWPWQEVFJZYEWQWQDBJYHWPWQV
      QBDFVGEDBVHVIEBVFVJVKZSWSAEYFXQWPWQEYFPWREBDFVLSVMZAXNYFYFRUGQVNWPWQYAYBU
      PWRHXAEBDFUQSVOWSXFXHJZXSTZTZAXFKZXTYMAXAXFWSAXAKZYLWSCIJZYGYOWPWQYPWRWPW
      QTCXNIGYIVNSYJACYFXRYFCXNGVPVRUTQVSXSXAXFKZWSYKXSYQXGXFKXFEVTXAXGXFWAWBWC
      WDWSYKXSYNXTWEWSYKTYNXSXTWSYKYNXSXTWEWSYKYNTZTZXTXSXCXGKYSXBXFEYRXBXFKWSX
      FABDFVDWFWGXAXGXCWHWIWJWKWLWMWNWO $.

    $( An interior in a subspace topology.  Willard in _General Topology_ says
       that there is no analogue of ~ restcls for interiors.  In some sense,
       that is true.  (Contributed by Jeff Hankins, 23-Jan-2010.)  (Revised by
       Mario Carneiro, 15-Dec-2013.) $)
    restntr $p |- ( ( J e. Top /\ Y C_ X /\ S C_ Y ) ->
      ( ( int ` K ) ` S ) = ( ( ( int ` J ) ` ( S u. ( X \ Y ) ) ) i^i Y ) ) $=
      ( vo vx ctop wcel wss cnt cfv cin cvv wa syl2anc eqeltrid wi w3a cdif cun
      cv wceq crest co wrex fveq2i fveq1i cuni topopn ssexg ancoms sylan syldan
      resttop 3adant3 restuni sseq2d biimp3a eqid ntropn wb simp1 uniexg sylan2
      mpbid wo eltopss sseld adantrr 3ad2antl1 wn eldif simplbi2 orrd syl6 elin
      elrest eleq2 elun1 syl6bir ad2antll syl5bir expdimp elun2 jaod mpdd ssrdv
      a1i adantr unieqi eqcomi ntrss2 unss1 syl sstrd simpl1 sstr 3adant1 difss
      ex unss sylanblc simprl simprr ssntr syl22anc sseq1 syl5ibrcom expr com23
      ssrind impr mpd rexlimddv elrestr eleqtrrdi elun orcom df-or bitri anbi1i
      syl3anc elndif pm2.27 impcom syl5bi eqssd ) BJKZEDLZAELZUAZACMNZNZADEUBZU
      CZBMNNZEOZYNYPHUDZEOZUEZYPYTLZHBYNYPBEUFUGZKZUUCHBUHZYNYPAUUEMNZNZUUEAYOU
      UHCUUEMGUIUJYNUUEJKZAUUEUKZLZUUIUUEKYKYLUUJYMYKYLEPKZUUJYKDBKZYLUUMBDFULY
      LUUNUUMEDBUMUNUOZEBPUQUPURZYKYLYMUULYKYLQEUUKAEBDFUSUTVAZAUUEUUKUUKVBVCRS
      YNYKUUMUUFUUGVDYKYLYMVEZYKYLUUMYMYLYKUUMYKYLDPKUUMYKDBUKPFBJVFSEDPUMVGUNU
      RHYPEBJPVTRVHYNUUABKZUUCQZQZUUAYRLZUUDUVAUUAYPYQUCZYRUVAIUUAUVCUVAIUDZUUA
      KZUVDEKZUVDYQKZVIZUVDUVCKZUVAUVEUVDDKZUVHYKYLUUTUVEUVJTZYMYKUUSUVKUUCYKUU
      SQUUADUVDUUABDFVJVKVLVMUVJUVFUVGUVGUVJUVFVNUVDDEVOVPVQVRUVAUVEUVHUVITUVAU
      VEQZUVFUVIUVGUVAUVEUVFUVIUVEUVFQUVDUUBKZUVAUVIUVDUUAEVSUUCUVMUVITYNUUSUUC
      UVMUVDYPKUVIYPUUBUVDWAUVDYPYQWBWCWDWEWFUVGUVITUVLUVDYQYPWGWKWHXCWIWJUVAYP
      ALZUVCYRLUVACJKZUULUVNUVACUUEJGYNUUJUUTUUPWLSYNUULUUTUUQWLACUUKCUKUUKCUUE
      GWMWNZWORYPAYQWPWQWRYNUUSUUCUVBUUDTYNUUSQUVBUUCUUDYNUUSUVBUUCUUDTYNUUSUVB
      QZQZUUDUUCUUBYTLUVRUUAYSEUVRYKYRDLZUUSUVBUUAYSLYKYLYMUVQWSUVRADLZYQDLZUVS
      YNUVTUVQYLYMUVTYKYMYLUVTAEDWTUNXAZWLDEXBZAYQDXDZXEYNUUSUVBXFYNUUSUVBXGYRB
      UUADFXHXIXNYPUUBYTXJXKXLXMXOXPXQYNUVOUULYTCKYTALYTYPLYNCUUEJGUUPSUUQYNYTU
      UECYNYKUUMYSBKZYTUUEKUURYKYLUUMYMUUOURYNYKUVSUWEUURYNUVTUWAUVSUWBUWCUWDXE
      ZYRBDFVCRYSEBJPXRYEGXSYNYTYREOZAYNYSYREYNYKUVSYSYRLUURUWFYRBDFWORXNYNIUWG
      AUVDUWGKZUVGVNZUVDAKZTZUVFQZYNUWJUWHUVDYRKZUVFQUWLUVDYREVSUWMUWKUVFUWMUWJ
      UVGVIZUWKUVDAYQXTUWNUVGUWJVIUWKUWJUVGYAUVGUWJYBYCYCYDYCUWLUWJTYNUVFUWKUWJ
      UVFUWIUWKUWJTUVDEDYFUWIUWJYGWQYHWKYIWJWRACYTUUKUVPXHXIYJ $.

    $( The limit points of a subset restrict naturally in a subspace.
       (Contributed by Mario Carneiro, 25-Dec-2016.) $)
    restlp $p |- ( ( J e. Top /\ Y C_ X /\ S C_ Y ) ->
      ( ( limPt ` K ) ` S ) = ( ( ( limPt ` J ) ` S ) i^i Y ) ) $=
      ( vx ctop wcel wss clp cfv cin ccl wa wceq elin wb syl2anc w3a cdif simp3
      cv csn ssdifssd restcls syld3an3 eleq2d bitrdi cuni ctopon crest co simp1
      toptopon sylib resttopon eqeltrid topontop syl toponuni sseqtrd eqid islp
      simp2 sstrd anbi1d syl5bb 3bitr4d eqrdv ) BIJZEDKZAEKZUAZHACLMMZABLMMZENZ
      VOHUDZAVSUEZUBZCOMMZJZVSWABOMMZJZVSEJZPZVSVPJZVSVRJZVOWCVSWDENZJWGVOWBWJV
      SVLVMVNWAEKWBWJQVOAEVTVLVMVNUCZUFWABCDEFGUGUHUIVSWDERUJVOCIJZACUKZKWHWCSV
      OCEULMZJZWLVOCBEUMUNZWNGVOBDULMJZVMWPWNJVOVLWQVLVMVNUOZBDFUPUQVLVMVNVFZEB
      DURTUSZECUTVAVOAEWMWKVOWOEWMQWTECVBVAVCVSACWMWMVDVETWIVSVQJZWFPVOWGVSVQER
      VOXAWEWFVOVLADKXAWESWRVOAEDWKWSVGVSABDFVETVHVIVJVK $.

    $( Perfection of a subspace.  Note that the term "perfect set" is reserved
       for _closed_ sets which are perfect in the subspace topology.
       (Contributed by Mario Carneiro, 25-Dec-2016.) $)
    restperf $p |- ( ( J e. Top /\ Y C_ X ) ->
      ( K e. Perf <-> Y C_ ( ( limPt ` J ) ` Y ) ) ) $=
      ( ctop wcel wss wa cperf cuni clp cfv wceq wb ctopon crest co syl sseqin2
      toptopon resttopon sylanb eqeltrid topontop eqid isperf cin restlp mp3an3
      baib ssid toponuni fveq2d eqtr3d eqeq12d syl5bb bitr4d ) AGHZDCIZJZBKHZBL
      ZBMNZNZVDOZDDAMNNZIZVBBGHZVCVGPVBBDQNZHZVJVBBADRSZVKFUTACQNHVAVMVKHACEUBD
      ACUCUDUEZDBUFTVCVJVGBVDVDUGUHULTVIVHDUIZDOVBVGDVHUAVBVOVFDVDVBDVENZVOVFUT
      VADDIVPVOODUMDABCDEFUJUKVBDVDVEVBVLDVDOVNDBUNTZUOUPVQUQURUS $.

    $( An open subset of a perfect space is perfect.  (Contributed by Mario
       Carneiro, 25-Dec-2016.) $)
    perfopn $p |- ( ( J e. Perf /\ Y e. J ) -> K e. Perf ) $=
      ( vx cperf wcel wa ctop cv wn cuni wral ctopon cfv wss adantr syl perftop
      csn crest co toptopon elssuni adantl sseqtrrdi resttopon syl2anc eqeltrid
      sylib topontop sselda perfi adantlr syldan eleq2i wb restopn2 sylan simpl
      syl6bi syl5bi mtod ralrimiva wceq toponuni raleqdv mpbid isperf3 sylanbrc
      eqid ) AHIZDAIZJZBKIZGLZUBZBIZMZGBNZOZBHIVPBDPQZIZVQVPBADUCUDZWDFVPACPQIZ
      DCRWFWDIVPAKIZWGVNWHVOAUAZSACEUEULVPDANZCVODWJRVNDAUFUGEUHZDACUIUJUKZDBUM
      TVPWAGDOWCVPWAGDVPVRDIZJZVTVSAIZVPWMVRCIZWOMZVPDCVRWKUNVNWPWQVOVRACEUOUPU
      QVTVSWFIZWNWOBWFVSFURWNWRWOVSDRZJZWOVPWRWTUSZWMVNWHVOXAWIDVSAUTVASWOWSVBV
      CVDVEVFVPWAGDWBVPWEDWBVGWLDBVHTVIVJGBWBWBVMVKVL $.
  $}

  ${
    resstopn.1 $e |- H = ( K |`s A ) $.
    resstopn.2 $e |- J = ( TopOpen ` K ) $.
    $( The topology of a restricted structure.  (Contributed by Mario Carneiro,
       26-Aug-2015.) $)
    resstopn $p |- ( J |`t A ) = ( TopOpen ` H ) $=
      ( cvv wcel crest co ctopn cfv wceq cts cbs cin fvex eqid syl5eq c0 restco
      mp3an12 resstset incom ressbas oveq12d eqtrd topnval eqtr4i 3eqtr3g wn wa
      oveq1i simpr cxp restfn fndmi ndmov nsyl5 cress reldmress ovprc2 cnx str0
      fveq2d tsetid eqtr4di oveq1d 0rest eqtr4d pm2.61i ) AGHZCAIJZBKLZMVLDNLZD
      OLZIJZAIJZBNLZBOLZIJZVMVNVLVRVOVPAPZIJZWAVOGHVPGHVLVRWCMDNQDOQVPAVOGGGUAU
      BVLVOVSWBVTIADBVOGEVORZUCVLWBAVPPVTVPAUDAVPBGDEVPRZUESUFUGVQCAIVQDKLCVPVO
      DWEWDUHFUIUMVTVSBVTRVSRUHZUJVLUKZVMTVNCGHZVLULVLVMTMWHVLUNCAGIGGUOIUPUQUR
      USWGWATVTIJVNTWGVSTVTIWGVSTNLTWGBTNWGBDAUTJTEDAUTVAVBSVENVCNLVFVDVGVHWFVT
      VIUJVJVK $.
  $}

  $( A restricted topological space is a topological space.  Note that this
     theorem would not be true if ` TopSp ` was defined directly in terms of
     the ` TopSet ` slot instead of the ` TopOpen ` derived function.
     (Contributed by Mario Carneiro, 13-Aug-2015.) $)
  resstps $p |- ( ( K e. TopSp /\ A e. V ) -> ( K |`s A ) e. TopSp ) $=
    ( ctps wcel wa ctopn cfv crest cress cbs ctopon cin istps resttopon2 sylanb
    co eqid wceq ressbas adantl fveq2d eleqtrd resstopn sylibr ) BDEZACEZFZBGHZ
    AIQZBAJQZKHZLHZEUKDEUHUJABKHZMZLHZUMUFUIUNLHEUGUJUPEUNUIBUNRZUIRZNAUICUNOPU
    HUOULLUGUOULSUFAUNUKCBUKRZUQTUAUBUCULUJUKULRAUKUIBUSURUDNUE $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Order topology
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d a b m n r w z A $.  $d a b m n r w x y z R $.  $d a b m n r w x y z X $.
    $d a b m n r z B $.  $d m n z C $.  $d x V $.
    ordtval.1 $e |- X = dom R $.
    ordtval.2 $e |- A = ran ( x e. X |-> { y e. X | -. y R x } ) $.
    $( Lemma for ~ ordtbas .  In a total order, unbounded-above intervals are
       closed under intersection.  (Contributed by Mario Carneiro,
       3-Sep-2015.) $)
    ordtbaslem $p |- ( R e. TosetRel -> ( fi ` A ) = A ) $=
      ( vz vw vb va wcel cv wral wceq wbr wn wa cvv syl ctsr cin cfi cfv crn wo
      crab cmpt cif wb 3anrot tsrlemax sylan2br 3exp2 imp42 notbid ioran bitrdi
      w3a rabbidva ifcl ancoms cdm dmexg eqeltrid adantr rabexg eqeltrd rabbidv
      eqid breq2 elrnmpt1s eleqtrrdi syl2an2 ralrimivva ralrimivw cbvmptv ineq1
      eqeltrrd inrab eqtrdi eleq1d ralbidv ralrnmptw mpbird ineq2 raleqi sylibr
      raleqbii cpw pwexd ssrab2 elpw2g mpbiri fmpttd frnd eqsstrid ssexd inficl
      wss mpbid ) DUALZHMZIMZUBZCLZICNZHCNZCUCUDCOZXBXFIAEBMZAMZDPZQZBEUGZUHZUE
      ZNZHXPNZXHXBXRXCXJJMZDPZQZBEUGZUBZCLZJENZHXPNZXBYFXJKMZDPZQZYARZBEUGZCLZJ
      ENZKENZXBYLKJEEXBYGELZXSELZRZRZXJYGXSDPZXSYGUIZDPZQZBEUGZYKCYRUUBYJBEYRXJ
      ELZRZUUBYHXTUFZQYJUUEUUAUUFXBYOYPUUDUUAUUFUJZXBYOYPUUDUUGYOYPUUDUSXBUUDYO
      YPUSUUGUUDYOYPUKXJYGXSDEFULUMUNUOUPYHXTUQURUTZYQYTELZXBUUCSLZUUCCLYPYOUUI
      YSXSYGEVAVBYRUUCYKSUUHYRESLZYKSLXBUUKYQXBEDVCSFDUAVDVEZVFYJBESVGTVHUUIUUJ
      RUUCXPCAEXNUUCYTXOSXOVJXKYTOZXMUUBBEUUMXLUUAXKYTXJDVKUPVIVLGVMVNVSVOXBYIB
      EUGZSLZKENYFYNUJXBUUOKEXBUUKUUOUULYIBESVGTVPYEYMKHEUUNXOSAKEXNUUNXKYGOZXM
      YIBEUUPXLYHXKYGXJDVKUPVIVQXCUUNOZYDYLJEUUQYCYKCUUQYCUUNYBUBYKXCUUNYBVRYIY
      ABEVTWAWBWCWDTWEXBXQYEHXPXBYBSLZJENXQYEUJXBUURJEXBUUKUURUULYABESVGTVPXFYD
      JIEYBXOSAJEXNYBXKXSOZXMYABEUUSXLXTXKXSXJDVKUPVIVQXDYBOXEYCCXDYBXCWFWBWDTW
      CWEXGXQHCXPGXFICXPGWGWIWHXBCSLXHXIUJXBCEWJZSXBESUULWKXBCXPUUTGXBEUUTXOXBA
      EXNUUTXBXKELZRZXNUUTLZXNEWTZXMBEWLUVBUUKUVCUVDUJXBUUKUVAUULVFXNESWMTWNWOW
      PWQWRHICSWSTXA $.

    ordtval.3 $e |- B = ran ( x e. X |-> { y e. X | -. x R y } ) $.
    $( Value of the order topology.  (Contributed by Mario Carneiro,
       3-Sep-2015.) $)
    ordtval $p |- ( R e. V -> ( ordTop ` R ) =
      ( topGen ` ( fi ` ( { X } u. ( A u. B ) ) ) ) ) $=
      ( vr cfv cun cfi ctg wbr wn crab cmpt crn wcel cvv cordt csn wceq elex cv
      cdm dmeq eqtr4di sneqd rnun breq notbid rabeqbidv mpteq12dv rneqd uneq12d
      syl5eq fveq2d df-ordt fvex fvmpt syl ) EFUAEUBUAEUCLGUDZCDMZMZNLZOLZUEEFU
      FKEKUGZUHZUDZAVKBUGZAUGZVJPZQZBVKRZSZAVKVNVMVJPZQZBVKRZSZMTZMZNLZOLVIUBUC
      VJEUEZWEVHOWFWDVGNWFVLVEWCVFWFVKGWFVKEUHGVJEUIHUJZUKWFWCVRTZWBTZMVFVRWBUL
      WFWHCWIDWFWHAGVMVNEPZQZBGRZSZTCWFVRWMWFAVKVQGWLWGWFVPWKBVKGWGWFVOWJVMVNVJ
      EUMUNUOUPUQIUJWFWIAGVNVMEPZQZBGRZSZTDWFWBWQWFAVKWAGWPWGWFVTWOBVKGWGWFVSWN
      VNVMVJEUMUNUOUPUQJUJURUSURUTUTABKVAVHOVBVCVD $.

    $( Value of the order topology.  (Contributed by Mario Carneiro,
       3-Sep-2015.) $)
    ordtuni $p |- ( R e. V -> X = U. ( { X } u. ( A u. B ) ) ) $=
      ( wcel cuni cun cvv wceq syl wss cv wbr wn csn cdm eqeltrid unisng uneq1d
      dmexg cpw crab cmpt crn wa ssrab2 wb adantr elpw2g mpbiri fmpttd eqsstrid
      frnd unssd sspwuni sylib ssequn2 eqtr2d uniun eqtr4di ) EFKZGGUAZLZCDMZLZ
      MZVHVJMLVGVLGVKMZGVGVIGVKVGGNKZVIGOVGGEUBNHEFUFUCZGNUDPUEVGVKGQZVMGOVGVJG
      UGZQVPVGCDVQVGCAGBRZARZESTZBGUHZUIZUJVQIVGGVQWBVGAGWAVQVGVSGKZUKZWAVQKZWA
      GQZVTBGULWDVNWEWFUMVGVNWCVOUNZWAGNUOPUPUQUSURVGDAGVSVRESTZBGUHZUIZUJVQJVG
      GVQWJVGAGWIVQWDWIVQKZWIGQZWHBGULWDVNWKWLUMWGWIGNUOPUPUQUSURUTVJGVAVBVKGVC
      VBVDVHVJVEVF $.

    ordtval.4 $e |- C = ran ( a e. X , b e. X |->
      { y e. X | ( -. y R a /\ -. b R y ) } ) $.
    $( Lemma for ~ ordtbas .  (Contributed by Mario Carneiro, 3-Sep-2015.) $)
    ordtbas2 $p |- ( R e. TosetRel -> ( fi ` ( A u. B ) ) =
      ( ( A u. B ) u. C ) ) $=
      ( wcel cv wceq wrex cvv wb wa vz vm vn ctsr cun cfi cfv cin w3o wss ssun1
      csn ssun2 ordtuni cdm dmexg eqeltrid eqeltrrd uniexb sylibr ssexg sylancr
      cuni elfiun syl2anc ordtbaslem eqsstrdi sstrdi sseld crn ccnv wbr wn crab
      cmpt cnvtsr df-rn eqid syl cps tsrps psrn vex bicomi notbii a1i rabeqbidv
      brcnv mpteq12dv rneqd syl5eq fveq2d 3eqtr4d cmpo eqtrdi eleq2d weq notbid
      breq2 rabbidv cbvmptv elrnmpt elv bitrdi breq1 reeanv ineq12 inrab reximi
      anbi12d sylbir syl6bi imp inex1 elrnmpog ax-mp eleqtrrdi eleq1 syl5ibrcom
      sselid rexlimdvva 3jaod sylbid ssrdv ssfii wral wf adantr simprl rspceeqv
      cxp eqidd rabexg 3syl mpbird sseldd simprr fiin eqeltrrid ralrimivva fmpo
      sylib frnd eqsstrid unssd eqssd ) FUDNZCDUEZUFUGZUUHEUEZUUGUAUUIUUJUUGUAO
      ZUUINZUUKCUFUGZNZUUKDUFUGZNZUUKUBOZUCOZUHZPZUCUUOQUBUUMQZUIZUUKUUJNZUUGCR
      NZDRNZUULUVBSUUGCUUHUJUUHRNZUVDCDUKZUUGUUHGULZUUHUEZUJUVIRNZUVFUUHUVHUMUU
      GUVIVCZRNUVJUUGGUVKRABCDFUDGJKLUNUUGGFUORJFUDUPUQZURUVIUSUTUUHUVIRVAVBZCU
      UHRVAVBUUGDUUHUJUVFUVEDCUMZUVMDUUHRVAVBUBUCUUKCDRRVDVEUUGUUNUVCUUPUVAUUGU
      UMUUJUUKUUGUUMUUHUUJUUGUUMCUUHABCFGJKVFZUVGVGUUHEUKZVHVIUUGUUOUUJUUKUUGUU
      OUUHUUJUUGUUODUUHUUGAFVJZBOZAOZFVKZVLZVMZBUVQVNZVOZVJZUFUGZUWEUUODUUGUVTU
      DNUWFUWEPFVPABUWEUVTUVQFVQUWEVRVFVSUUGDUWEUFUUGDAGUVSUVRFVLZVMZBGVNZVOZVJ
      ZUWELUUGUWJUWDUUGAGUWIUVQUWCUUGFVTNGUVQPFWAFGJWBVSZUUGUWHUWBBGUVQUWLUWHUW
      BSUUGUWGUWAUWAUWGUVRUVSFBWCAWCWHWDWEWFWGWIWJWKZWLUWMWMZUVNVGUVPVHVIUUGUUT
      UVCUBUCUUMUUOUUGUUQUUMNZUURUUONZTZTZUVCUUTUUSUUJNUWREUUJUUSEUUHUMUWRUUSHI
      GGUVRHOZFVLZVMZIOZUVRFVLZVMZTBGVNZWNZVJZEUWRUUSUXEPZIGQZHGQZUUSUXGNZUUGUW
      QUXJUUGUWQUUQUXABGVNZPZHGQZUURUXDBGVNZPZIGQZTZUXJUUGUWOUXNUWPUXQUUGUWOUUQ
      AGUVRUVSFVLZVMZBGVNZVOZVJZNZUXNUUGUUMUYCUUQUUGUUMCUYCUVOKWOWPUYDUXNSUBHGU
      XLUUQUYBRAHGUYAUXLAHWQZUXTUXABGUYEUXSUWTUVSUWSUVRFWSWRWTZXAXBXCXDUUGUWPUU
      RUWKNZUXQUUGUUOUWKUURUUGUUODUWKUWNLWOWPUYGUXQSUCIGUXOUURUWJRAIGUWIUXOAIWQ
      ZUWHUXDBGUYHUWGUXCUVSUXBUVRFXEWRWTZXAXBXCXDXJUXRUXMUXPTZIGQZHGQUXJUXMUXPH
      IGGXFUYKUXIHGUYJUXHIGUYJUUSUXLUXOUHZUXEUUQUXLUURUXOXGUXAUXDBGXHZWOXIXIXKX
      LXMUUSRNUXKUXJSUUQUURUBWCXNHIGGUXEUUSUXFRUXFVRZXOXPUTMXQXTUUKUUSUUJXRXSYA
      YBYCYDUUGUUHEUUIUUGUVFUUHUUIUJZUVMUUHRYEVSZUUGEUXGUUIMUUGGGYKZUUIUXFUUGUX
      EUUINZIGYFHGYFUYQUUIUXFYGUUGUYRHIGGUUGUWSGNZUXBGNZTZTZUXEUYLUUIUYMVUBUXLU
      UINUXOUUINUYLUUINVUBUUHUUIUXLUUGUYOVUAUYPYHZVUBCUUHUXLUVGVUBUXLUYCCVUBUXL
      UYCNZUXLUYAPAGQZVUBUYSUXLUXLPVUEUUGUYSUYTYIVUBUXLYLAUWSGUYAUXLUXLUYFYJVEV
      UBGRNZUXLRNVUDVUESUUGVUFVUAUVLYHZUXABGRYMAGUYAUXLUYBRUYBVRXBYNYOKXQXTYPVU
      BUUHUUIUXOVUCVUBDUUHUXOUVNVUBUXOUWKDVUBUXOUWKNZUXOUWIPAGQZVUBUYTUXOUXOPVU
      IUUGUYSUYTYQVUBUXOYLAUXBGUWIUXOUXOUYIYJVEVUBVUFUXORNVUHVUISVUGUXDBGRYMAGU
      WIUXOUWJRUWJVRXBYNYOLXQXTYPUXLUXOUUHYRVEYSYTHIGGUXEUUIUXFUYNUUAUUBUUCUUDU
      UEUUF $.

    $( In a total order, the finite intersections of the open rays generates
       the set of open intervals, but no more - these four collections form a
       subbasis for the order topology.  (Contributed by Mario Carneiro,
       3-Sep-2015.) $)
    ordtbas $p |- ( R e. TosetRel -> ( fi ` ( { X } u. ( A u. B ) ) ) =
      ( ( { X } u. ( A u. B ) ) u. C ) ) $=
      ( vm vn ctsr wcel cun cvv wss vz csn cfi cfv cv cin wceq wrex w3o wb snex
      ssun2 cuni ordtuni cdm dmexg eqeltrid eqeltrrd uniexb sylibr ssexg elfiun
      sylancr wi ssun1 eqsstri sseli a1i ordtbas2 eqsstrdi sseld wa cpw fipwuni
      fisn elpwid ad2antll unissi sseqtrrid adantr simprl eleqtrdi syl sseqtrrd
      sstrd elsni sseqin2 sylib sselda eleq1 syl5ibrcom rexlimdvva 3jaod sylbid
      adantrl eqeltrd ssrdv ssfii unssad fiss sylancl unssd eqssd unass eqtr4di
      eqsstrrd ) FPQZGUBZCDRZRZUCUDZXHXIERZRZXJERXGXKXMXGUAXKXMXGUAUEZXKQZXNXHU
      CUDZQZXNXIUCUDZQZXNNUEZOUEZUFZUGZOXRUHNXPUHZUIZXNXMQZXGXHSQXISQZXOYEUJGUK
      XGXIXJTZXJSQZYGXIXHULZXGXJUMZSQYIXGGYKSABCDFPGJKLUNZXGGFUOSJFPUPUQURXJUSU
      TZXIXJSVAVCNOXNXHXISSVBVCXGXQYFXSYDXQYFVDXGXPXMXNXPXHXMGVOZXHXLVEVFVGVHXG
      XRXMXNXGXRXLXMABCDEFGHIJKLMVIZXLXHULVJZVKXGYCYFNOXPXRXGXTXPQZYAXRQZVLZVLZ
      YFYCYBXMQYTYBYAXMYTYAXTTYBYAUGYTYAGXTYTYAXIUMZGYRYAUUATXGYQYRYAUUAXRUUAVM
      YAXIVNVGVPVQXGUUAGTYSXGYKUUAGXIXJYJVRYLVSVTWEYTXTXHQXTGUGYTXTXPXHXGYQYRWA
      YNWBXTGWFWCWDYAXTWGWHXGYRYAXMQYQXGXRXMYAYPWIWOWPXNYBXMWJWKWLWMWNWQXGXHXLX
      KXGXHXIXKXGYIXJXKTYMXJSWRWCWSXGXLXRXKYOXGYIYHXRXKTYMYJXIXJSWTXAXFXBXCXHXI
      EXDXE $.
  $}

  ${
    $d x A $.  $d x B $.  $d x y P $.  $d x y R $.  $d x y V $.  $d x y X $.
    ordttopon.3 $e |- X = dom R $.
    $( Value of the order topology.  (Contributed by Mario Carneiro,
       3-Sep-2015.) $)
    ordttopon $p |- ( R e. V -> ( ordTop ` R ) e. ( TopOn ` X ) ) $=
      ( vx vy wcel cordt cfv cv wbr wn crab cmpt crn cun cuni ctopon eqid cvv
      csn cfi ctg ordtval ctb fibas tgtopon ax-mp eqeltrdi ordtuni cdm eqeltrid
      wceq dmexg eqeltrrd uniexb sylibr fiuni syl eqtrd fveq2d eleqtrrd ) ABGZA
      HIZCUAECFJZEJZAKLFCMNOZECVFVEAKLFCMNOZPPZUBIZQZRIZCRIVCVDVJUCIZVLEFVGVHAB
      CDVGSZVHSZUDVJUEGVMVLGVIUFVJUGUHUIVCCVKRVCCVIQZVKEFVGVHABCDVNVOUJZVCVITGZ
      VPVKUMVCVPTGVRVCCVPTVQVCCAUKTDABUNULUOVIUPUQVITURUSUTVAVB $.

    $( An upward ray ` ( P , +oo ) ` is open.  (Contributed by Mario Carneiro,
       3-Sep-2015.) $)
    ordtopn1 $p |- ( ( R e. V /\ P e. X ) ->
      { x e. X | -. x R P } e. ( ordTop ` R ) ) $=
      ( vy wcel cv wbr wn crab cmpt crn cun cfv cvv wceq eqid adantr wa csn cfi
      cordt ctg wss ordtuni cdm dmexg eqeltrid eqeltrrd uniexb sylibr ssfii syl
      cuni ctb fibas bastg ax-mp sstrdi ordtval sseqtrrd ssun2 ssun1 wrex simpr
      eqidd breq2 notbid rabbidv rspceeqv syl2anc wb rabexg elrnmpt 3syl mpbird
      sselid sseldd ) CDHZBEHZUAZEUBZGEAIZGIZCJZKZAELZMZNZGEWFWECJKAELMNZOZOZCU
      DPZWEBCJZKZAELZWCWNWNUCPZUEPZWOWCWNWSWTWCWNQHZWNWSUFWCWNUPZQHXAWCEXBQWAEX
      BRWBGAWKWLCDEFWKSZWLSZUGTWAEQHZWBWAECUHQFCDUIUJTZUKWNULUMWNQUNUOWSUQHWSWT
      UFWNURWSUQUSUTVAWAWOWTRWBGAWKWLCDEFXCXDVBTVCWCWMWNWRWMWDVDWCWKWMWRWKWLVEW
      CWRWKHZWRWIRGEVFZWCWBWRWRRXHWAWBVGWCWRVHGBEWIWRWRWFBRZWHWQAEXIWGWPWFBWECV
      IVJVKVLVMWCXEWRQHXGXHVNXFWQAEQVOGEWIWRWJQWJSVPVQVRVSVSVT $.

    $( A downward ray ` ( -oo , P ) ` is open.  (Contributed by Mario Carneiro,
       3-Sep-2015.) $)
    ordtopn2 $p |- ( ( R e. V /\ P e. X ) ->
      { x e. X | -. P R x } e. ( ordTop ` R ) ) $=
      ( vy wcel cv wbr wn crab cmpt crn cun cfv cvv wceq eqid adantr wa csn cfi
      cordt ctg wss ordtuni cdm dmexg eqeltrid eqeltrrd uniexb sylibr ssfii syl
      cuni ctb fibas bastg ax-mp sstrdi ordtval sseqtrrd ssun2 wrex simpr eqidd
      breq1 notbid rabbidv rspceeqv syl2anc rabexg elrnmpt mpbird sselid sseldd
      wb 3syl ) CDHZBEHZUAZEUBZGEAIZGIZCJKAELMNZGEWEWDCJZKZAELZMZNZOZOZCUDPZBWD
      CJZKZAELZWBWMWMUCPZUEPZWNWBWMWRWSWBWMQHZWMWRUFWBWMUPZQHWTWBEXAQVTEXARWAGA
      WFWKCDEFWFSZWKSZUGTVTEQHZWAVTECUHQFCDUIUJTZUKWMULUMWMQUNUOWRUQHWRWSUFWMUR
      WRUQUSUTVAVTWNWSRWAGAWFWKCDEFXBXCVBTVCWBWLWMWQWLWCVDWBWKWLWQWKWFVDWBWQWKH
      ZWQWIRGEVEZWBWAWQWQRXGVTWAVFWBWQVGGBEWIWQWQWEBRZWHWPAEXHWGWOWEBWDCVHVIVJV
      KVLWBXDWQQHXFXGVRXEWPAEQVMGEWIWQWJQWJSVNVSVOVPVPVQ $.

    $( An open interval ` ( A , B ) ` is open.  (Contributed by Mario Carneiro,
       3-Sep-2015.) $)
    ordtopn3 $p |- ( ( R e. V /\ A e. X /\ B e. X ) ->
      { x e. X | ( -. x R A /\ -. B R x ) } e. ( ordTop ` R ) ) $=
      ( wcel w3a cv wbr wn wa crab cin cordt cfv inrab ctop ctopon 3ad2ant1 syl
      ordttopon topontop ordtopn1 3adant3 ordtopn2 3adant2 syl3anc eqeltrrid
      inopn ) DEHZBFHZCFHZIZAJZBDKLZCUPDKLZMAFNUQAFNZURAFNZOZDPQZUQURAFRUOVBSHZ
      USVBHZUTVBHZVAVBHUOVBFTQHZVCULUMVFUNDEFGUCUAFVBUDUBULUMVDUNABDEFGUEUFULUN
      VEUMACDEFGUGUHUSUTVBUKUIUJ $.

    $( A downward ray ` ( -oo , P ] ` is closed.  (Contributed by Mario
       Carneiro, 3-Sep-2015.) $)
    ordtcld1 $p |- ( ( R e. V /\ P e. X ) ->
      { x e. X | x R P } e. ( Clsd ` ( ordTop ` R ) ) ) $=
      ( wcel wa cv wbr crab cordt cfv ccld cuni wss cdif ssrab2 ctopon wceq syl
      ordttopon adantr toponuni sseqtrid difeq1d eqtr3id ordtopn1 eqeltrrd ctop
      wn notrab wb topontop eqid iscld 3syl mpbir2and ) CDGZBEGZHZAIBCJZAEKZCLM
      ZNMGZVCVDOZPZVFVCQZVDGZVAEVCVFVBAERVAVDESMGZEVFTUSVJUTCDEFUBUCZEVDUDUAZUE
      VAVBUKAEKZVHVDVAVMEVCQVHVBAEULVAEVFVCVLUFUGABCDEFUHUIVAVJVDUJGVEVGVIHUMVK
      EVDUNVCVDVFVFUOUPUQUR $.

    $( An upward ray ` [ P , +oo ) ` is closed.  (Contributed by Mario
       Carneiro, 3-Sep-2015.) $)
    ordtcld2 $p |- ( ( R e. V /\ P e. X ) ->
      { x e. X | P R x } e. ( Clsd ` ( ordTop ` R ) ) ) $=
      ( wcel wa cv wbr crab cordt cfv ccld cuni wss cdif ssrab2 ctopon wceq syl
      ordttopon adantr toponuni sseqtrid difeq1d eqtr3id ordtopn2 eqeltrrd ctop
      wn notrab wb topontop eqid iscld 3syl mpbir2and ) CDGZBEGZHZBAICJZAEKZCLM
      ZNMGZVCVDOZPZVFVCQZVDGZVAEVCVFVBAERVAVDESMGZEVFTUSVJUTCDEFUBUCZEVDUDUAZUE
      VAVBUKAEKZVHVDVAVMEVCQVHVBAEULVAEVFVCVLUFUGABCDEFUHUIVAVJVDUJGVEVGVIHUMVK
      EVDUNVCVDVFVFUOUPUQUR $.

    $( A closed interval ` [ A , B ] ` is closed.  (Contributed by Mario
       Carneiro, 3-Sep-2015.) $)
    ordtcld3 $p |- ( ( R e. V /\ A e. X /\ B e. X ) ->
      { x e. X | ( A R x /\ x R B ) } e. ( Clsd ` ( ordTop ` R ) ) ) $=
      ( wcel w3a cv wbr wa crab cin cordt cfv ccld inrab ordtcld2 3adant3 incld
      ordtcld1 3imp3i2an eqeltrrid ) DEHZBFHZCFHZIBAJZDKZUHCDKZLAFMUIAFMZUJAFMZ
      NZDOPZQPZUIUJAFRUEUFUGUKUOHZULUOHUMUOHUEUFUPUGABDEFGSTACDEFGUBUKULUNUAUCU
      D $.
  $}

  $( The order topology is a topology.  (Contributed by Mario Carneiro,
     3-Sep-2015.) $)
  ordttop $p |- ( R e. V -> ( ordTop ` R ) e. Top ) $=
    ( wcel cordt cfv cdm ctopon ctop eqid ordttopon topontop syl ) ABCADEZAFZGE
    CMHCABNNIJNMKL $.

  ${
    $d v w x y z A $.  $d v w x y z ph $.  $d v w x y z R $.  $d v w x y z X $.
    $d x y V $.
    $( The order dual generates the same topology as the original order.
       (Contributed by Mario Carneiro, 3-Sep-2015.) $)
    ordtcnv $p |- ( R e. PosetRel -> ( ordTop ` `' R ) = ( ordTop ` R ) ) $=
      ( vx vy cps wcel crn csn cv wbr wn crab cmpt cun cfi cfv ctg cordt wb vex
      eqid ccnv cdm eqcomd sneqd brcnv notbid rabeqbidv mpteq12dv rneqd uneq12d
      psrn a1i uncom eqtrdi fveq2d wceq cnvps df-rn ordtval syl 3eqtr4d ) ADEZA
      FZGZBVCCHZBHZAUAZIZJZCVCKZLZFZBVCVFVEVGIZJZCVCKZLZFZMZMZNOZPOZAUBZGZBWBVE
      VFAIZJZCWBKZLZFZBWBVFVEAIZJZCWBKZLZFZMZMZNOZPOVGQOZAQOVBVTWPPVBVSWONVBVDW
      CVRWNVBVCWBVBWBVCAWBWBTZUKUCZUDVBVRWMWHMWNVBVLWMVQWHVBVKWLVBBVCVJWBWKWSVB
      VIWJCVCWBWSVBVHWIVHWIRVBVEVFACSZBSZUEULUFUGUHUIVBVPWGVBBVCVOWBWFWSVBVNWEC
      VCWBWSVBVMWDVMWDRVBVFVEAXAWTUEULUFUGUHUIUJWMWHUMUNUJUOUOVBVGDEWQWAUPAUQBC
      VLVQVGDVCAURVLTVQTUSUTBCWHWMADWBWRWHTWMTUSVA $.

    $( The subspace topology of an order topology is in general finer than the
       topology generated by the restricted order, but we do have inclusion in
       one direction.  (Contributed by Mario Carneiro, 9-Sep-2015.) $)
    ordtrest $p |- ( ( R e. PosetRel /\ A e. V ) ->
      ( ordTop ` ( R i^i ( A X. A ) ) ) C_ ( ( ordTop ` R ) |`t A ) ) $=
      ( vx vy cps wcel wa cin cfv wbr wn crab cmpt crn adantr eqid ctop elrestr
      simpr cxp cordt cdm csn cun cfi ctg crest cvv wceq inex1g ordtval syl wss
      cv co ordttop resttop sylan psssdm2 ctopon toponmax syl3anc eqeltrd snssd
      ordttopon rabeqdv mpteq12dv rneqd inrab2 wb elin2d brinxp notbid rabbidva
      syl2anc syl5eq simpl elinel1 ordtopn1 syl2an eqeltrrd fmpttd frnd eqsstrd
      ordtopn2 unssd tgfiss ) BFGZACGZHZBAAUAZIZUBJZWMUCZUDZDWOEUOZDUOZWMKZLZEW
      OMZNZOZDWOWRWQWMKZLZEWOMZNZOZUEZUEZUFJUGJZBUBJZAUHUPZWKWMUIGZWNXKUJWIXNWJ
      BWLFUKPDEXCXHWMUIWOWOQXCQXHQULUMWKXMRGZXJXMUNXKXMUNWIXLRGZWJXOBFUQZAXLCUR
      USWKWPXIXMWKWOXMWKWOBUCZAIZXMWIWOXSUJWJABXRXRQZUTPZWKXPWJXRXLGZXSXMGWIXPW
      JXQPZWIWJTZWKXLXRVAJGZYBWIYEWJBFXRXTVFPXRXLVBUMXRAXLRCSVCVDVEWKXCXHXMWKXC
      DXSWTEXSMZNZOXMWKXBYGWKDWOXAXSYFYAWKWTEWOXSYAVGVHVIWKXSXMYGWKDXSYFXMWKWRX
      SGZHZWQWRBKZLZEXRMZAIZYFXMYIYMYKEXSMYFYKEXRAVJYIYKWTEXSYIWQXSGZHZYJWSYOWQ
      AGZWRAGZYJWSVKYOXRAWQYIYNTVLZYIYQYNYIXRAWRWKYHTVLPZWQWRAABVMVPVNVOVQYIXPW
      JYLXLGZYMXMGWKXPYHYCPZWKWJYHYDPZWKWIWRXRGZYTYHWIWJVRZWRXRAVSZEWRBFXRXTVTW
      AYLAXLRCSVCWBWCWDWEWKXHDXSXEEXSMZNZOXMWKXGUUGWKDWOXFXSUUFYAWKXEEWOXSYAVGV
      HVIWKXSXMUUGWKDXSUUFXMYIWRWQBKZLZEXRMZAIZUUFXMYIUUKUUIEXSMUUFUUIEXRAVJYIU
      UIXEEXSYOUUHXDYOYQYPUUHXDVKYSYRWRWQAABVMVPVNVOVQYIXPWJUUJXLGZUUKXMGUUAUUB
      WKWIUUCUULYHUUDUUEEWRBFXRXTWFWAUUJAXLRCSVCWBWCWDWEWGWGXJXMWHVPWE $.

    ordtrest2.1 $e |- X = dom R $.
    ordtrest2.2 $e |- ( ph -> R e. TosetRel ) $.
    ordtrest2.3 $e |- ( ph -> A C_ X ) $.
    ordtrest2.4 $e |- ( ( ph /\ ( x e. A /\ y e. A ) ) ->
       { z e. X | ( x R z /\ z R y ) } C_ A ) $.
    $( Lemma for ~ ordtrest2 .  (Contributed by Mario Carneiro, 9-Sep-2015.) $)
    ordtrest2lem $p |- ( ph -> A. v e. ran ( z e. X |-> { w e. X | -. w R z } )
      ( v i^i A ) e. ( ordTop ` ( R i^i ( A X. A ) ) ) ) $=
      ( cv wcel crab wa wceq cvv syl cin cxp cordt cfv wbr cmpt crn wral inrab2
      wn wss sseqin2 sylib adantr rabeqdv syl5eq ctopon cdm ctsr eqid ordttopon
      inex1g cps tsrps psssdm syl2anc fveq2d toponmax wb rabid2 eleq1 syl5ibcom
      eleqtrd sylbir wrex dfrex2 breq1 cbvrexvw c0 ctop ordttop 0opn syl5ibrcom
      bitr3i wne rabn0 notbid bitri wo ad3antrrr ad2antrr sselda simpllr tsrlin
      syl3anc ord an4 wi rabss r19.21bi an32s impr sylan2b brinxp ancoms eqtr4d
      rabbidva eleqtrrd ordtopn1 eqeltrd anassrs expr syld rexlimdva rexlimdvaa
      syl5bi pm2.61dne pm2.61d ralrimiva dmexd eqeltrid rabexg ralrimivw eleq1d
      ineq1 ralrnmptw mpbird ) AFNZGUAZHGGUBZUAZUCUDZOZFDIENZDNZHUEZUJZEIPZUFZU
      GUHZYRGUAZYLOZDIUHZAUUBDIAYOIOZQZUUAYQEGPZYLUUEUUAYQEIGUAZPUUFYQEIGUIUUEY
      QEUUGGAUUGGRZUUDAGIUKZUUHLGIULUMUNUOUPUUEYQEGUHZUUFYLOZUUEGYLOZUUJUUKAUUL
      UUDAYLGUQUDZOUULAYLYKURZUQUDZUUMAYKSOZYLUUOOAHUSOZUUPKHYJUSVBTZYKSUUNUUNU
      TZVATAUUNGUQAHVCOZUUIUUNGRZAUUQUUTKHVDTLGHIJVEVFZVGVMGYLVHTUNUUJGUUFRUULU
      UKVIYQEGVJGUUFYLVKVNVLUUJUJZBNZYOHUEZBGVOZUUEUUKUVCYPEGVOUVFYPEGVPYPUVEEB
      GYNUVDYOHVQVRWDUUEUVEUUKBGUUEUVDGOZUVEQZQZUUKUUFVSUVIUUKUUFVSRVSYLOZUUEUV
      JUVHUUEYLVTOZUVJAUVKUUDAUUPUVKUURYKSWATUNYLWBTUNUUFVSYLVKWCUUFVSWEZCNZYOH
      UEZUJZCGVOZUVIUUKUVLYQEGVOUVPYQEGWFYQUVOECGYNUVMRYPUVNYNUVMYOHVQWGVRWHUVI
      UVOUUKCGUVIUVMGOZQZUVOYOUVMHUEZUUKUVRUVNUVSUVRUUQUVMIOUUDUVNUVSWIAUUQUUDU
      VHUVQKWJUVIGIUVMAUUIUUDUVHLWKWLAUUDUVHUVQWMUVMYOHIJWNWOWPUVIUVQUVSUUKUUEU
      VHUVQUVSQZUUKUUEUVHUVTQZQZUUFYNYOYKUEZUJZEUUNPZYLUWBUUFUWDEGPZUWEUWBYOGOZ
      UUFUWFRUWAUUEUVGUVQQZUVEUVSQZQUWGUVGUVEUVQUVSWQUUEUWHUWIUWGAUWHUUDUWIUWGW
      RZAUWHQZUWJDIUWKUWIDIPGUKUWJDIUHMUWIDIGWSUMWTXAXBXCZUWGYQUWDEGUWGYNGOZQYP
      UWCUWMUWGYPUWCVIYNYOGGHXDXEWGXGTUWBUWDEUUNGAUVAUUDUWAUVBWKZUOXFUWBUUPYOUU
      NOUWEYLOAUUPUUDUWAUURWKUWBYOGUUNUWLUWNXHEYOYKSUUNUUSXIVFXJXKXLXMXNXPXQXOX
      PXRXJXSAYRSOZDIUHYTUUCVIAUWODIAISOUWOAIHURSJAHUSKXTYAYQEISYBTYCYMUUBDFIYR
      YSSYSUTYHYRRYIUUAYLYHYRGYEYDYFTYG $.

    $( An interval-closed set ` A ` in a total order has the same subspace
       topology as the restricted order topology.  (An interval-closed set is
       the same thing as an open or half-open or closed interval in ` RR ` ,
       but in other sets like ` QQ ` there are interval-closed sets like
       ` ( _pi , +oo ) i^i QQ ` that are not intervals.)  (Contributed by Mario
       Carneiro, 9-Sep-2015.) $)
    ordtrest2 $p |- ( ph ->
      ( ordTop ` ( R i^i ( A X. A ) ) ) = ( ( ordTop ` R ) |`t A ) ) $=
      ( vw vv cfv wcel cvv ctsr syl wbr wceq cxp cin cordt crest co cps wss cdm
      tsrps dmexd eqeltrid ssexd ordtrest syl2anc csn crab cmpt crn cun cfi ctg
      cv wn eqid ordtval oveq1d ctb tgrest sylancr eqtr4d firest fveq2i eqtr4di
      fibas ctop inex1g ordttop cuni ordtuni uniexb sylibr restval wral sseqin2
      eqeltrrd wf sylib ctopon ordttopon psssdm fveq2d eleqtrd toponmax eqeltrd
      elsni ineq1d eleq1d syl5ibrcom ralrimiv ordtrest2lem df-rn cnvtsr sseqtrd
      ccnv psrn wa adantr rabeqdv vex brcnv anbi12ci rabbii eqsstrrd ancom2s wb
      bicomi a1i notbid rabeqbidv mpteq12dv rneqd psss cnvin cnvxp ineq2i eqtri
      ordtcnv eqtr3di eleq2d raleqbidv mpbird ralunb sylanbrc fmpt frnd eqsstrd
      tgfiss eqssd ) AFEEUAZUBZUCNZFUCNZEUDUEZAFUFOZEPOZUUAUUCUGAFQOZUUDIFUIRZA
      EGPAGFUHPHAFQIUJUKZJULZEFPUMUNAUUCGUOZDGLVBZDVBZFSVCLGUPUQURZDGUULUUKFSZV
      CZLGUPZUQZURZUSZUSZEUDUEZUTNZVANZUUAAUUCUUTUTNZEUDUEZVANZUVCAUUCUVDVANZEU
      DUEZUVFAUUBUVGEUDAUUFUUBUVGTIDLUUMUURFQGHUUMVDZUURVDZVERVFAUVDVGOUUEUVFUV
      HTUUTVNUUIEUVDVGPVHVIVJUVBUVEVAEUUTVKVLVMAUUAVOOZUVAUUAUGUVCUUAUGAYTPOZUV
      KAUUFUVLIFYSQVPRZYTPVQRAUVAMUUTMVBZEUBZUQZURZUUAAUUTPOZUUEUVAUVQTAUUTVRZP
      OUVRAGUVSPAUUFGUVSTIDLUUMUURFQGHUVIUVJVSRUUHWEUUTVTWAUUIMEUUTPPWBUNAUUTUU
      AUVPAUVOUUAOZMUUTWCZUUTUUAUVPWFAUVTMUUJWCUVTMUUSWCZUWAAUVTMUUJAUVTUVNUUJO
      ZGEUBZUUAOAUWDEUUAAEGUGZUWDETJEGWDWGAUUAEWHNZOEUUAOAUUAYTUHZWHNZUWFAUVLUU
      AUWHOUVMYTPUWGUWGVDWIRAUWGEWHAUUDUWEUWGETUUGJEFGHWJUNWKWLEUUAWMRWNUWCUVOU
      WDUUAUWCUVNGEUVNGWOWPWQWRWSAUVTMUUMWCUVTMUURWCZUWBABCDLMEFGHIJKWTAUWIUVOF
      XDZYSUBZUCNZOZMDFURZUUKUULUWJSZVCZLUWNUPZUQZURZWCACBDLMEUWJUWNFXAAUUFUWJQ
      OIFXBRAEGUWNJAUUDGUWNTZUUGFGHXERZXCABVBZEOZCVBZEOZUXDUULUWJSZUULUXBUWJSZX
      FZDUWNUPZEUGAUXCUXEXFZXFZUXIUXBUULFSZUULUXDFSZXFZDGUPZEUXKUXOUXNDUWNUPUXI
      UXKUXNDGUWNAUWTUXJUXAXGXHUXHUXNDUWNUXFUXMUXGUXLUXDUULFCXIDXIZXJUULUXBFUXP
      BXIXJXKXLVMKXMXNWTAUVTUWMMUURUWSAUUQUWRADGUUPUWNUWQUXAAUUOUWPLGUWNUXAAUUN
      UWOUUNUWOXOAUWOUUNUUKUULFLXIUXPXJXPXQXRXSXTYAAUUAUWLUVOAYTXDZUCNZUUAUWLAY
      TUFOZUXRUUATAUUDUXSUUGEFYBRYTYGRUXQUWKUCUXQUWJYSXDZUBUWKFYSYCUXTYSUWJEEYD
      YEYFVLYHYIYJYKUVTMUUMUURYLYMUVTMUUJUUSYLYMMUUTUUAUVOUVPUVPVDYNWGYOYPUVAUU
      AYQUNYPYR $.
  $}

  $( The topology of the extended reals.  (Contributed by Mario Carneiro,
     3-Sep-2015.) $)
  letopon $p |- ( ordTop ` <_ ) e. ( TopOn ` RR* ) $=
    ( cle ctsr wcel cordt cfv cxr ctopon letsr ledm ordttopon ax-mp ) ABCADEFGE
    CHABFIJK $.

  $( The topology of the extended reals.  (Contributed by Mario Carneiro,
     3-Sep-2015.) $)
  letop $p |- ( ordTop ` <_ ) e. Top $=
    ( cxr cle cordt cfv letopon topontopi ) ABCDEF $.

  $( The topology of the extended reals.  (Contributed by Mario Carneiro,
     3-Sep-2015.) $)
  letopuni $p |- RR* = U. ( ordTop ` <_ ) $=
    ( cxr cle cordt cfv letopon toponunii ) ABCDEF $.

  $( The topology component of the extended real number structure.
     (Contributed by Mario Carneiro, 21-Aug-2015.) $)
  xrstopn $p |- ( ordTop ` <_ ) = ( TopOpen ` RR*s ) $=
    ( cle cordt cfv cxr ctopon wcel cxrs ctopn letopon xrsbas xrstset topontopn
    wceq ax-mp ) ABCZDECFOGHCMIDOGJKLN $.

  $( The extended real number structure is a topological space.  (Contributed
     by Mario Carneiro, 21-Aug-2015.) $)
  xrstps $p |- RR*s e. TopSp $=
    ( cle cordt cfv ctopon wcel cxrs ctps letopon xrsbas xrstset tsettps ax-mp
    cxr ) ABCZMDCEFGEHMNFIJKL $.

  ${
    $d a b w x y z $.  $d a b A $.  $d a b B $.
    leordtval.1 $e |- A = ran ( x e. RR* |-> ( x (,] +oo ) ) $.
    $( Lemma for ~ leordtval .  (Contributed by Mario Carneiro, 3-Sep-2015.) $)
    leordtvallem1 $p |- A = ran ( x e. RR* |-> { y e. RR* | -. y <_ x } ) $=
      ( cxr cv cpnf cioc co cmpt crn cle wbr wn crab wcel cin wss wceq wa simpl
      iocssxr sseqin2 mpbi clt w3a wb pnfxr sylancl simpr pnfge jccir biantrurd
      elioc1 3anan32 bitr4di xrltnle 3bitr2d rabbi2dva eqtr3id mpteq2ia rneqi
      eqtri ) CAEAFZGHIZJZKAEBFZVDLMNZBEOZJZKDVFVJAEVEVIVDEPZVEEVEQZVIVEERVLVES
      VDGUBVEEUCUDVKVHBEVEVKVGEPZTZVGVEPZVMVDVGUEMZVGGLMZUFZVPVHVNVKGEPVOVRUGVK
      VMUAUHVDGVGUNUIVNVPVMVQTZVPTVRVNVSVPVNVMVQVKVMUJVGUKULUMVMVPVQUOUPVDVGUQU
      RUSUTVAVBVC $.

    leordtval.2 $e |- B = ran ( x e. RR* |-> ( -oo [,) x ) ) $.
    $( Lemma for ~ leordtval .  (Contributed by Mario Carneiro, 3-Sep-2015.) $)
    leordtvallem2 $p |- B = ran ( x e. RR* |-> { y e. RR* | -. x <_ y } ) $=
      ( cxr cmnf cv cico co cmpt crn cle wbr wn crab wcel wa wb cin wss icossxr
      wceq sseqin2 mpbi clt w3a mnfxr simpl sylancr simpr mnfle jccir biantrurd
      elico1 df-3an bitr4di xrltnle ancoms 3bitr2d eqtr3id mpteq2ia rneqi eqtri
      rabbi2dva ) DAGHAIZJKZLZMAGVGBIZNOPZBGQZLZMFVIVMAGVHVLVGGRZVHGVHUAZVLVHGU
      BVOVHUDHVGUCVHGUEUFVNVKBGVHVNVJGRZSZVJVHRZVPHVJNOZVJVGUGOZUHZVTVKVQHGRVNV
      RWATUIVNVPUJHVGVJUPUKVQVTVPVSSZVTSWAVQWBVTVQVPVSVNVPULVJUMUNUOVPVSVTUQURV
      PVNVTVKTVJVGUSUTVAVFVBVCVDVE $.

    $( The topology of the extended reals.  (Contributed by Mario Carneiro,
       3-Sep-2015.) $)
    leordtval2 $p |- ( ordTop ` <_ ) = ( topGen ` ( fi ` ( A u. B ) ) ) $=
      ( vy cle cfv cxr wcel wceq ax-mp wss cvv cpnf cmnf mp2an cc0 c1 clt vz vw
      cordt csn cun cfi ctg ctsr letsr ledm leordtvallem1 leordtvallem2 ordtval
      snex cpw xrex pwex cv cioc co cmpt crn wf eqid iocssxr elpwi2 a1i eqsstri
      fmpti cico icossxr unssi ssexi unex ssun2 fiss fvex cuni ovex unipr mnfxr
      frn cpr cicc 0xr pnfxr w3a wbr mnflt0 0lepnf df-icc df-ioc xrltnle xrletr
      wa xrlttr wi xrltle 3adant2 syld ixxun mpanr12 mp3an 0lt1 df-ico xrlelttr
      1xr ixxss2 unss1 eqsstrri iccmax uncom 3sstr3i eqssi eqtri ssun1 rspceeqv
      oveq1 elrnmpti mpbir eleqtrri sselii oveq2 prssi ssfii sstri eltg3i snssi
      wrex eqeltrri bastg ctb ctop fibas tgcl fitop mp2b sseqtri 2basgen eqtr4i
      ) GUCHZIUDZBCUEZUEZUFHZUGHZUUCUFHZUGHZGUHJUUAUUFKUIAFBCGUHIUJAFBDUKAFBCDE
      ULUMLUUGUUEMZUUEUUHMUUHUUFKUUDNJUUCUUDMUUIUUBUUCIUNUUCIUOZIUPUQBCUUJBAIAU
      RZOUSUTZVAZVBZUUJDIUUJUUMVCUUNUUJMAIUUJUULUUMUUMVDZUULUUJJUUKIJZUULINUPUU
      KOVEVFVGVIIUUJUUMWBLVHCAIPUUKVJUTZVAZVBZUUJEIUUJUURVCUUSUUJMAIUUJUUQUURUU
      RVDZUUQUUJJUUPUUQINUPPUUKVKVFVGVIIUUJUURWBLVHVLVMZVNUUCUUBVOUUCUUDNVPQUUE
      UUHUFHZUUHUUHNJUUDUUHMUUEUVBMUUGUGVQUUBUUCUUHIUUHJUUBUUHMROUSUTZPSVJUTZWC
      ZVRZIUUHUVFUVCUVDUEZIUVCUVDROUSVSPSVJVSVTUVGIUVCUVDIROVEPSVKVLPOWDUTZUVDU
      VCUEZIUVGUVHPRWDUTZUVCUEZUVIPIJZRIJZOIJZUVKUVHKZWAWEWFUVLUVMUVNWGPRTWHZRO
      GWHUVOWIWJAFUAUBPROUSWDGGTGWDTGAFUAWKZAFUAWLRUBURZWMUVQUVRROWNUVLUVMUVRIJ
      ZWGUVPRUVRTWHWOPUVRTWHZPUVRGWHZPRUVRWPUVLUVSUVTUWAWQUVMPUVRWRWSWTXAXBXCUV
      JUVDMZUVKUVIMSIJZRSTWHUWBXGXDAFUAUBPRSWDGTGVJTAFUAXEUVQUVRRSXFXHQUVJUVDUV
      CXILXJXKUVDUVCXLXMXNXOUUGNJZUVEUUGMUVFUUHJUUCUFVQZUVEUUCUUGUVCUUCJUVDUUCJ
      UVEUUCMBUUCUVCBCXPUVCUUNBUVCUUNJUVCUULKAIYIZUVMUVCUVCKUWFWEUVCVDARIUULUVC
      UVCUUKROUSXRXQQAIUULUVCUUMUUOUUKOUSVSXSXTDYAYBCUUCUVDCBVOUVDUUSCUVDUUSJUV
      DUUQKAIYIZUWCUVDUVDKUWGXGUVDVDASIUUQUVDUVDUUKSPVJYCXQQAIUUQUVDUURUUTPUUKV
      JVSXSXTEYAYBUVCUVDUUCYDQUUCNJUUCUUGMUVAUUCNYELZYFUVEUUGNYGQYJIUUHYHLUUCUU
      GUUHUWHUWDUUGUUHMUWEUUGNYKLYFVLUUDUUHNVPQUUGYLJUUHYMJUVBUUHKUUCYNUUGYOUUH
      YPYQYRUUGUUEYSQYT $.

    leordtval.3 $e |- C = ran (,) $.
    $( The topology of the extended reals.  (Contributed by Mario Carneiro,
       3-Sep-2015.) $)
    leordtval $p |- ( ordTop ` <_ ) = ( topGen ` ( ( A u. B ) u. C ) ) $=
      ( vy va vb cle cfv ctg wcel cxr cioo cv wbr wa eqtri cordt cun leordtval2
      cfi ctsr wceq letsr ledm leordtvallem1 leordtvallem2 crn wn crab cmpo clt
      df-ioo wb xrltnle adantlr ancoms adantll rabbidva mpoeq3ia rneqi ordtbas2
      anbi12d ax-mp fveq2i ) KUALBCUBZUDLZMLVIDUBZMLABCEFUCVJVKMKUENVJVKUFUGAHB
      CDKOIJUHAHBEUIAHBCEFUJDPUKIJOOHQZIQZKRULZJQZVLKRULZSZHOUMZUNZUKGPVSPIJOOV
      MVLUORZVLVOUORZSZHOUMZUNVSIJHUPIJOOWCVRVMONZVOONZSZWBVQHOWFVLONZSVTVNWAVP
      WDWGVTVNUQWEVMVLURUSWEWGWAVPUQZWDWGWEWHVLVOURUTVAVFVBVCTVDTVEVGVHT $.
  $}

  ${
    $d x y z $.  $d x A $.
    $( A closed interval is closed in the order topology of the extended reals.
       (Contributed by Mario Carneiro, 3-Sep-2015.) $)
    iccordt $p |- ( A [,] B ) e. ( Clsd ` ( ordTop ` <_ ) ) $=
      ( vx vz vy cicc co cop cfv cle cordt ccld df-ov cxr cxp cv wcel wral ctsr
      wbr wa crab wf letsr ledm ordtcld3 mp3an1 rgen2 df-icc fmpo mpbi c0 letop
      ctop 0cld ax-mp f0cli eqeltri ) ABFGABHZFIJKIZLIZABFMNNOZVAUSFCPZDPZJTVDE
      PZJTUADNUBZVAQZENRCNRVBVAFUCVGCENNJSQVCNQVENQVGUDDVCVEJSNUEUFUGUHCENNVFVA
      FCEDUIUJUKUTUNQULVAQUMUTUOUPUQUR $.

    $( An unbounded above open interval is open in the order topology of the
       extended reals.  (Contributed by Mario Carneiro, 3-Sep-2015.) $)
    iocpnfordt $p |- ( A (,] +oo ) e. ( ordTop ` <_ ) $=
      ( vx vy vz cxr wcel cpnf cioc co cle cfv cmpt crn cun ctb ctop eqid letop
      ax-mp sselid wa cordt cv cmnf cico ctg wss leordtval eqeltrri tgclb mpbir
      cioo bastg sseqtrri ssun1 wceq wrex oveq1 rspceeqv elrnmpti sylibr adantr
      mpan2 ovex wn c0 cxp cpw clt df-ioc ixxf fdmi ndmov 0opn eqeltrdi pm2.61i
      ) AEFZGEFZUAZAGHIZJUBKZFZVQWBVRVQBEBUCZGHIZLZMZBEUDWCUEILMZNZULMZNZWAVTWJ
      WJUFKZWAWJOFZWJWKUGWLWKPFWAWKPBWFWGWIWFQWGQWIQUHZRUIWJUJUKWJOUMSWMUNVQWHW
      JVTWHWIUOVQWFWHVTWFWGUOVQVTWDUPBEUQZVTWFFVQVTVTUPWNVTQBAEWDVTVTWCAGHURUSV
      CBEWDVTWEWEQWCGHVDUTVATTTVBVSVEVTVFWAAGEHEEVGEVHHBCDVIJHBCDVJVKVLVMWAPFVF
      WAFRWAVNSVOVP $.

    $( An unbounded above open interval is open in the order topology of the
       extended reals.  (Contributed by Mario Carneiro, 3-Sep-2015.) $)
    icomnfordt $p |- ( -oo [,) A ) e. ( ordTop ` <_ ) $=
      ( vx vy vz cmnf cxr wcel cico co cle cfv cmpt crn cun ctb ctop eqid letop
      ax-mp sselid wa cordt cv cpnf cioc ctg wss leordtval eqeltrri tgclb mpbir
      cioo bastg sseqtrri ssun1 ssun2 wceq oveq2 rspceeqv mpan2 elrnmpti sylibr
      wrex ovex adantl wn c0 cxp cpw clt df-ico ixxf fdmi 0opn eqeltrdi pm2.61i
      ndmov ) EFGZAFGZUAZEAHIZJUBKZGZVSWCVRVSBFBUCZUDUEILMZBFEWDHIZLZMZNZULMZNZ
      WBWAWKWKUFKZWBWKOGZWKWLUGWMWLPGWBWLPBWEWHWJWEQWHQWJQUHZRUIWKUJUKWKOUMSWNU
      NVSWIWKWAWIWJUOVSWHWIWAWHWEUPVSWAWFUQBFVCZWAWHGVSWAWAUQWOWAQBAFWFWAWAWDAE
      HURUSUTBFWFWAWGWGQEWDHVDVAVBTTTVEVTVFWAVGWBEAFHFFVHFVIHBCDJVJHBCDVKVLVMVQ
      WBPGVGWBGRWBVNSVOVP $.
  $}

  $( An open interval is open in the order topology of the extended reals.
     (Contributed by Mario Carneiro, 3-Sep-2015.) $)
  iooordt $p |- ( A (,) B ) e. ( ordTop ` <_ ) $=
    ( vx cxr cv cpnf cioc co cmpt crn cmnf cico cun cioo cfv ctb wcel ctop eqid
    sselii cle cordt ctg leordtval letop eqeltrri tgclb mpbir bastg ax-mp ssun2
    wss sseqtrri ioorebas ) CDCEZFGHIJZCDKUOLHIJZMZNJZMZUAUBOZABNHZUTUTUCOZVAUT
    PQZUTVCULVDVCRQVAVCRCUPUQUSUPSUQSUSSUDZUEUFUTUGUHUTPUIUJVEUMUSUTVBUSURUKABU
    NTT $.

  $( The real numbers are an open set in the topology of the extended reals.
     (Contributed by Mario Carneiro, 3-Sep-2015.) $)
  reordt $p |- RR e. ( ordTop ` <_ ) $=
    ( cmnf cpnf cioo co cr cle cordt cfv ioomax iooordt eqeltrri ) ABCDEFGHIABJ
    K $.

  ${
    $d a b c x y z $.  $d y F $.
    lecldbas.1 $e |- F = ( x e. ran [,] |-> ( RR* \ x ) ) $.
    $( The set of closed intervals forms a closed subbasis for the topology on
       the extended reals.  Since our definition of a basis is in terms of open
       sets, we express this by showing that the complements of closed
       intervals form an open subbasis for the topology.  (Contributed by Mario
       Carneiro, 3-Sep-2015.) $)
    lecldbas $p |- ( ordTop ` <_ ) = ( topGen ` ( fi ` ran F ) ) $=
      ( vy va vb vc cle cfv cxr cpnf co cmnf wcel wss cicc wceq ax-mp wbr clt
      vz cordt crn cfi ctg cv cioc cmpt cico cun eqid leordtval2 fvex cdif wrex
      cvv wf cxp wfn wb cpw iccf ffn ovelrn difeq2 ccld iccordt letopuni cldopn
      eqeltrdi rexlimivw sylbi fmpti frn ssexi mnfxr fnovrn mp3an12 pnfxr mnfle
      a1i id pnfge df-icc df-ioc xrltnle xrletr w3a wa xrlelttr wi 3adant2 syld
      xrltle ixxun syl32anc iccmax eqtrdi cin iccssxr ixxdisj mp3an13 uneqdifeq
      sylancr mpbid eqcomd rspceeqv syl2anc xrex difexi elrnmpti sylibr xrlenlt
      c0 df-ico xrltletr uncom 3eqtr3g incom unssi fiss mp2an tgss eqsstri ctop
      syl5eq letop tgfiss eqssi ) HUBIZBUCZUDIZUEIZYJDJDUFZKUGLZUHZUCZDJMYNUILZ
      UHZUCZUJZUDIZUEIZYMDYQYTYQUKYTUKULYLUPNUUBYLOZUUCYMOYKUDUMYKUPNUUAYKOUUDY
      KYJHUBUMPUCZYJBUQYKYJOZAUUEYJJAUFZUNZBCUUGUUENZUUGEUFZFUFZPLZQZFJUOZEJUOZ
      UUHYJNZPJJURZUSZUUIUUOUTUUQJVAZPUQUURVBUUQUUSPVCRZEFJJUUGPVDRUUNUUPEJUUMU
      UPFJUUMUUHJUULUNZYJUUGUULJVEUULYJVFINUVAYJNUUJUUKVGUULYJJVHVIRVJVKVKVLVMU
      UEYJBVNRZVOYQYTYKJYKYPUQYQYKODJYKYOYPYPUKYNJNZYOUUHQAUUEUOZYOYKNUVCMYNPLZ
      UUENZYOJUVEUNZQUVDUURMJNZUVCUVFUUTVPJJMYNPVQVRUVCUVGYOUVCUVEYOUJZJQZUVGYO
      QZUVCUVIMKPLZJUVCUVHUVCKJNZMYNHSZYNKHSZUVIUVLQUVHUVCVPWAZUVCWBZUVMUVCVSWA
      ZYNVTZYNWCZEFGUAMYNKUGPHHTHPHHEFGWDZEFGWEZYNUAUFZWFZUWAUWCYNKWGUVHUVCUWCJ
      NZWHUVNYNUWCTSWIMUWCTSZMUWCHSZMYNUWCWJUVHUWEUWFUWGWKUVCMUWCWNWLWMWOWPWQWR
      UVCUVEJOUVEYOWSXNQZUVJUVKUTMYNWTUVHUVCUVMUWHVPVSEFGUAMYNKUGHHTHPUWAUWBUWD
      XAXBUVEYOJXCXDXEXFAUVEUUEUUHUVGYOUUGUVEJVEXGXHAUUEUUHYOBCJUUGXIXJZXKXLVMJ
      YKYPVNRJYKYSUQYTYKODJYKYRYSYSUKUVCYRUUHQAUUEUOZYRYKNUVCYNKPLZUUENZYRJUWKU
      NZQUWJUURUVCUVMUWLUUTVSJJYNKPVQXBUVCUWMYRUVCUWKYRUJZJQZUWMYRQZUVCYRUWKUJZ
      UVLUWNJUVCUVHUVCUVMUVNUVOUWQUVLQUVPUVQUVRUVSUVTEFGUAMYNKPPHTHHUIHHEFGXOZU
      WAYNUWCXMZUWAUWEUVCUVMWHUWCYNTSUVOWIUWCKTSZUWCKHSZUWCYNKXPUWEUVMUWTUXAWKU
      VCUWCKWNWLWMMYNUWCWGWOWPYRUWKXQWQXRUVCUWKJOUWKYRWSZXNQUWOUWPUTYNKWTUVCUXB
      YRUWKWSZXNUWKYRXSUVHUVCUVMUXCXNQVPVSEFGUAMYNKPHTHHUIUWRUWAUWSXAXBYFUWKYRJ
      XCXDXEXFAUWKUUEUUHUWMYRUUGUWKJVEXGXHAUUEUUHYRBCUWIXKXLVMJYKYSVNRXTUUAYKUP
      YAYBUUBYLUPYCYBYDYJYENUUFYMYJOYGUVBYKYJYHYBYI $.
  $}

  ${
    $d a b c u x y z A $.
    $( A neighborhood of ` +oo ` contains an unbounded interval based at a real
       number.  Together with ~ xrtgioo (which describes neighborhoods of
       ` RR ` ) and ~ mnfnei , this gives all "negative" topological
       information ensuring that it is not too fine (and of course ~ iooordt
       and similar ensure that it has all the sets we want).  (Contributed by
       Mario Carneiro, 3-Sep-2015.) $)
    pnfnei $p |- ( ( A e. ( ordTop ` <_ ) /\ +oo e. A ) ->
        E. x e. RR ( x (,] +oo ) C_ A ) $=
      ( vy vu cle wcel cxr cpnf cioc co cmnf wss cr wrex eqid wa wb cc0 wbr clt
      va vb vc cordt cfv cv cmpt crn cico cun cioo ctg leordtval eleq2i wo elun
      tg2 wi wceq cvv elrnmpt elv cif mnfxr a1i simprl 0xr sylancl pnfxr xrmax1
      sylancr ge0gtmnf syl2anc simpll simprr eleqtrd elioc1 mpbid simp2d 0ltpnf
      ifcl w3a breq1 ifboth xrre2 syl32anc xrmax2 df-ioc xrlelttr ixxss1 simplr
      eqsstrrd sstrd oveq1 sseq1d rspcev rexlimdvaa com12 wn pnfnlt elico1 mpan
      sylbi simp3 syl6bi mtod notbid syl5ibrcom rexlimiv pm2.21d adantrd pnfnre
      eleq2 jaoi neli cuni elssuni unirnioo sseqtrrdi sseld mtoi syl sylanb ) B
      EUDUEZFBCGCUFZHIJZUGZUHZCGKYEUIJZUGZUHZUJZUKUHZUJZULUEZFZHBFZAUFZHIJZBLZA
      MNZYDYOBCYHYKYMYHOYKOYMOUMUNYPYQPHDUFZFZUUBBLZPZDYNNUUADBYNHUQUUEUUADYNUU
      BYNFUUBYLFZUUBYMFZUOUUEUUAURZUUBYLYMUPUUFUUHUUGUUFUUBYHFZUUBYKFZUOUUHUUBY
      HYKUPUUIUUHUUJUUIUUBYFUSZCGNZUUHUUIUULQDCGYFUUBYGUTYGOVAVBUUEUULUUAUUEUUK
      UUACGUUEYEGFZUUKPZPZRYEESZYERVCZMFZUUQHIJZBLZUUAUUOKGFZUUQGFZHGFZKUUQTSZU
      UQHTSZUURUVAUUOVDVEUUOUUMRGFZUVBUUEUUMUUKVFZVGUUPYERGWAVHZUVCUUOVIVEUUOUV
      BRUUQESZUVDUVHUUOUVFUUMUVIVGUVGRYEVJVKUUQVLVMUUOYEHTSZRHTSZUVEUUOUVCUVJHH
      ESZUUOHYFFZUVCUVJUVLWBZUUOHUUBYFUUCUUDUUNVNUUEUUMUUKVOZVPUUOUUMUVCUVMUVNQ
      UVGVIYEHHVQVHVRVSVTUUPUVJUVKUVEYERYEUUQHTWCRUUQHTWCWDVHKUUQHWEWFUUOUUSYFB
      UUOUUMYEUUQESZUUSYFLUVGUUOUVFUUMUVPVGUVGRYEWGVKUAUBUCAYEUUQHITETIEUAUBUCW
      HZUVQYEUUQYRWIWJVMUUOYFUUBBUVOUUCUUDUUNWKWLWMYTUUTAUUQMYRUUQUSYSUUSBYRUUQ
      HIWNWOWPVMWQWRXCUUJUUBYIUSZCGNZUUHUUJUVSQDCGYIUUBYJUTYJOVAVBUVSUUCUUAUUDU
      VSUUCUUAUVRUUCWSZCGUUMUVTUVRHYIFZWSUUMUWAHYETSZYEWTUUMUWAUVCKHESZUWBWBZUW
      BUVAUUMUWAUWDQVDKYEHXAXBUVCUWCUWBXDXEXFUVRUUCUWAUUBYIHXMXGXHXIXJXKXCXNXCU
      UGUUCUUAUUDUUGUUCUUAUUGUUCHMFHMXLXOUUGUUBMHUUGUUBYMXPMUUBYMXQXRXSXTYAXJXK
      XNXCXIYBYC $.

    $( A neighborhood of ` -oo ` contains an unbounded interval based at a real
       number.  (Contributed by Mario Carneiro, 3-Sep-2015.) $)
    mnfnei $p |- ( ( A e. ( ordTop ` <_ ) /\ -oo e. A ) ->
        E. x e. RR ( -oo [,) x ) C_ A ) $=
      ( vy vu cle wcel cxr cpnf co cmnf cico wss cr wrex wa clt wbr cc0 sylancr
      eqid va vb vc cordt cfv cv cioc cmpt crn cun cioo ctg leordtval eleq2i wo
      tg2 wi elun wceq wb cvv elrnmpt wn nltmnf pnfxr elioc1 mpan2 simp2 syl6bi
      elv w3a mtod eleq2 notbid syl5ibrcom rexlimiv pm2.21d adantrd sylbi mnfxr
      cif a1i 0xr simprl mnflt0 simpll simprr eleqtrd elico1 mpbid simp3d breq2
      ifcl ifboth xrmin1 0re ltpnf mp1i xrlelttrd syl32anc xrmin2 df-ico ixxss2
      xrre2 xrltletr simplr eqsstrrd sstrd oveq2 sseq1d rspcev rexlimdvaa com12
      syl2anc jaoi mnfnre neli cuni elssuni unirnioo sseqtrrdi sseld syl sylanb
      mtoi ) BEUDUEZFBCGCUFZHUGIZUHZUIZCGJYGKIZUHZUIZUJZUKUIZUJZULUEZFZJBFZJAUF
      ZKIZBLZAMNZYFYQBCYJYMYOYJTYMTYOTUMUNYRYSOJDUFZFZUUDBLZOZDYPNUUCDBYPJUPUUG
      UUCDYPUUDYPFUUDYNFZUUDYOFZUOUUGUUCUQZUUDYNYOURUUHUUJUUIUUHUUDYJFZUUDYMFZU
      OUUJUUDYJYMURUUKUUJUULUUKUUDYHUSZCGNZUUJUUKUUNUTDCGYHUUDYIVAYITVBVJUUNUUE
      UUCUUFUUNUUEUUCUUMUUEVCZCGYGGFZUUOUUMJYHFZVCUUPUUQYGJPQZYGVDUUPUUQJGFZUUR
      JHEQZVKZUURUUPHGFZUUQUVAUTVEYGHJVFVGUUSUURUUTVHVIVLUUMUUEUUQUUDYHJVMVNVOV
      PVQVRVSUULUUDYKUSZCGNZUUJUULUVDUTDCGYKUUDYLVAYLTVBVJUUGUVDUUCUUGUVCUUCCGU
      UGUUPUVCOZOZRYGEQZRYGWAZMFZJUVHKIZBLZUUCUVFUUSUVHGFZUVBJUVHPQZUVHHPQUVIUU
      SUVFVTWBUVFRGFZUUPUVLWCUUGUUPUVCWDZUVGRYGGWMSZUVBUVFVEWBZUVFJRPQZJYGPQZUV
      MWEUVFUUSJJEQZUVSUVFJYKFZUUSUVTUVSVKZUVFJUUDYKUUEUUFUVEWFUUGUUPUVCWGZWHUV
      FUUSUUPUWAUWBUTVTUVOJYGJWISWJWKUVGUVRUVSUVMRYGRUVHJPWLYGUVHJPWLWNSUVFUVHR
      HUVPUVNUVFWCWBUVQUVFUVNUUPUVHREQWCUVORYGWOSRMFRHPQUVFWPRWQWRWSJUVHHXDWTUV
      FUVJYKBUVFUUPUVHYGEQZUVJYKLUVOUVFUVNUUPUWDWCUVORYGXASUAUBUCAJUVHYGKEPPKEU
      AUBUCXBZUWEYTUVHYGXEXCXNUVFYKUUDBUWCUUEUUFUVEXFXGXHUUBUVKAUVHMYTUVHUSUUAU
      VJBYTUVHJKXIXJXKXNXLXMVSXOVSUUIUUEUUCUUFUUIUUEUUCUUIUUEJMFJMXPXQUUIUUDMJU
      UIUUDYOXRMUUDYOXSXTYAYBYEVQVRXOVSVPYCYD $.

    ordtrestixx.1 $e |- A C_ RR* $.
    ordtrestixx.2 $e |- ( ( x e. A /\ y e. A ) -> ( x [,] y ) C_ A ) $.
    $( The restriction of the less than order to an interval gives the same
       topology as the subspace topology.  (Contributed by Mario Carneiro,
       9-Sep-2015.) $)
    ordtrestixx $p |- ( ( ordTop ` <_ ) |`t A ) =
      ( ordTop ` ( <_ i^i ( A X. A ) ) ) $=
      ( vz cle cordt cfv co wceq wtru cxr wcel a1i wss cv wa wbr sseli cxp ledm
      crest ctsr letsr crab cicc iccval syl2an eqsstrrd adantl ordtrest2 eqcomd
      cin mptru ) GHICUCJZGCCUAUNHIZKLUQUPLABFCGMUBGUDNLUEOCMPLDOAQZCNZBQZCNZRZ
      URFQZGSVCUTGSRFMUFZCPLVBVDURUTUGJZCUSURMNUTMNVEVDKVACMURDTCMUTDTFURUTUHUI
      EUJUKULUMUO $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The restriction of the less than order to a closed interval gives the
       same topology as the subspace topology.  (Contributed by Mario Carneiro,
       9-Sep-2015.) $)
    ordtresticc $p |- ( ( ordTop ` <_ ) |`t ( A [,] B ) ) =
      ( ordTop ` ( <_ i^i ( ( A [,] B ) X. ( A [,] B ) ) ) ) $=
      ( vx vy cicc co iccssxr cv iccss2 ordtrestixx ) CDABEFABGABCHDHIJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Limits and continuity in topological spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Cn $.
  $c CnP $.
  $c ~~>t $.  $( Limit arrow. $)

  $( Extend class notation with the class of continuous functions between
     topologies. $)
  ccn $a class Cn $.

  $( Extend class notation with the class of functions between topologies
     continuous at a given point. $)
  ccnp $a class CnP $.

  $( Extend class notation with a function on topological spaces whose value is
     the convergence relation for limit sequences in the space. $)
  clm $a class ~~>t $.

  ${
    $d j k f x y g u J $.
    $( Define a function on two topologies whose value is the set of continuous
       mappings from the first topology to the second.  Based on definition of
       continuous function in [Munkres] p. 102.  See ~ iscn for the predicate
       form.  (Contributed by NM, 17-Oct-2006.) $)
    df-cn $a |- Cn = ( j e. Top , k e. Top |->
                   { f e. ( U. k ^m U. j ) | A. y e. k ( `' f " y ) e. j } ) $.

    $( Define a function on two topologies whose value is the set of continuous
       mappings at a specified point in the first topology.  Based on Theorem
       7.2(g) of [Munkres] p. 107.  (Contributed by NM, 17-Oct-2006.) $)
    df-cnp $a |- CnP = ( j e. Top , k e. Top |-> ( x e. U. j |->
                  { f e. ( U. k ^m U. j ) | A. y e. k
          ( ( f ` x ) e. y -> E. g e. j ( x e. g /\ ( f " g ) C_ y ) ) } ) ) $.

    $( Define a function on topologies whose value is the convergence relation
       for sequences into the given topological space.  Although ` f ` is
       typically a sequence (a function from an upperset of integers) with
       values in the topological space, it need not be.  Note, however, that
       the limit property concerns only values at integers, so that the
       real-valued function ` ( x e. RR |-> ( sin `` ( _pi x. x ) ) ) `
       converges to zero (in the standard topology on the reals) with this
       definition.  (Contributed by NM, 7-Sep-2006.) $)
    df-lm $a |- ~~>t = ( j e. Top |-> { <. f , x >. |
       ( f e. ( U. j ^pm CC ) /\ x e. U. j /\
         A. u e. j ( x e. u -> E. y e. ran ZZ>= ( f |` y ) : y --> u ) ) } ) $.

    $( The topological space convergence relation is a relation.  (Contributed
       by NM, 7-Dec-2006.)  (Revised by Mario Carneiro, 14-Nov-2013.) $)
    lmrel $p |- Rel ( ~~>t ` J ) $=
      ( vf vj vx vu vy cv cuni cc cpm co wcel cres wf cuz crn wrex wi wral w3a
      ctop clm df-lm relmptopab ) BGZCGZHZIJKLDGZUGLUHEGZLFGZUIUEUJMNFOPQREUFST
      CBDUAAUBDFEBCUCUD $.

    $( Reverse closure for the convergence relation.  (Contributed by Mario
       Carneiro, 7-Sep-2015.) $)
    lmrcl $p |- ( F ( ~~>t ` J ) P -> J e. Top ) $=
      ( vj vf vx vu vy clm cfv wbr cdm ctop cv cuni cc cpm co wcel cres cuz crn
      wf wrex wi wral w3a copab df-lm dmmptss cop df-br elfvdm sylbi sselid ) B
      ACIJZKZILZMCDMENZDNZOZPQRSFNZVASVBGNZSHNZVCUSVDTUCHUAUBUDUEGUTUFUGEFUHIFH
      GEDUIUJUQBAUKZUPSCURSBAUPULVECIUMUNUO $.
  $}

  ${
    $d f j k w x y K $.  $d f j k w x y X $.  $d f j k w x y Y $.
    $d f j k u v w x y J $.
    $( The relation "sequence ` f ` converges to point ` y ` " in a metric
       space.  (Contributed by NM, 7-Sep-2006.)  (Revised by Mario Carneiro,
       21-Aug-2015.) $)
    lmfval $p |- ( J e. ( TopOn ` X ) -> ( ~~>t ` J ) =
      { <. f , x >. | ( f e. ( X ^pm CC ) /\ x e. X /\
        A. u e. J ( x e. u -> E. y e. ran ZZ>= ( f |` y ) : y --> u ) ) } ) $=
      ( vj wcel cv cuni cc cpm co wral w3a copab cvv wceq wa eleq2d ctopon cres
      cfv wf cuz crn wrex wi ctop clm df-lm simpr unieqd toponuni adantr eqtr4d
      oveq1d raleqdv 3anbi123d opabbidv topontop cxp wss df-3an opabbii eqsstri
      opabssxp ovex toponmax xpexg sylancr ssexg fvmptd2 ) EFUAUCHZGEDIZGIZJZKL
      MZHZAIZVQHZVTCIZHBIZWBVOWCUBUDBUEUFUGUHZCVPNZOZDAPVOFKLMZHZVTFHZWDCENZOZD
      APZUIUJQABCDGUKVNVPERZSZWFWKDAWNVSWHWAWIWEWJWNVRWGVOWNVQFKLWNVQEJZFWNVPEV
      NWMULZUMVNFWORWMFEUNUOUPZUQTWNVQFVTWQTWNWDCVPEWPURUSUTFEVAVNWLWGFVBZVCWRQ
      HZWLQHWLWHWISWJSZDAPWRWKWTDAWHWIWJVDVEWJDAWGFVGVFVNWGQHFEHWSFKLVHFEVIWGFQ
      EVJVKWLWRQVLVKVM $.

    $( The set of all continuous functions from topology ` J ` to topology
       ` K ` .  (Contributed by NM, 17-Oct-2006.)  (Revised by Mario Carneiro,
       21-Aug-2015.) $)
    cnfval $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) ) ->
      ( J Cn K ) = { f e. ( Y ^m X ) | A. y e. K ( `' f " y ) e. J } ) $=
      ( vj vk ctopon cfv wcel wa ctop cv wral cuni cmap co crab wceq ccnv df-cn
      cima ccn cvv cmpo simprr unieqd toponuni ad2antlr eqtr4d ad2antrr oveq12d
      a1i simprl eleq2d raleqbidv rabeqbidv topontop adantr adantl rabex ovmpod
      ovex ) CEIJKZDFIJKZLZGHCDMMBNUAANUCZGNZKZAHNZOZBVKPZVIPZQRZSZVHCKZADOZBFE
      QRZSZUDUEUDGHMMVPUFTVGABGHUBUNVGVICTZVKDTZLZLZVLVRBVOVSWDVMFVNEQWDVMDPZFW
      DVKDVGWAWBUGZUHVFFWETVEWCFDUIUJUKWDVNCPZEWDVICVGWAWBUOZUHVEEWGTVFWCECUIUL
      UKUMWDVJVQAVKDWFWDVICVHWHUPUQURVECMKVFECUSUTVFDMKVEFDUSVAVTUEKVGVRBVSFEQV
      DVBUNVC $.

    $( The function mapping the points in a topology ` J ` to the set of all
       functions from ` J ` to topology ` K ` continuous at that point.
       (Contributed by NM, 17-Oct-2006.)  (Revised by Mario Carneiro,
       21-Aug-2015.) $)
    cnpfval $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) ) ->
        ( J CnP K ) = ( x e. X |-> { f e. ( Y ^m X ) | A. w e. K
        ( ( f ` x ) e. w -> E. v e. J ( x e. v /\ ( f " v ) C_ w ) ) } ) ) $=
      ( vj vk cfv wcel wa ctop cv cuni cmap cvv wceq a1i ctopon cima wrex wi co
      wss wral crab cmpt df-cnp simprl unieqd toponuni ad2antrr eqtr4d ad2antlr
      ccnp simprr oveq12d rexeqdv imbi2d raleqbidv rabeqbidv mpteq12dv topontop
      cmpo adantr adantl cpw wf ovex ssrab2 elpwi2 fmpttd toponmax pwex syl3anc
      fex2 ovmpod ) EGUAKLZFHUAKLZMZIJEFNNAIOZPZAOZDOZKBOZLZWECOZLWFWIUBWGUFMZC
      WCUCZUDZBJOZUGZDWMPZWDQUEZUHZUIZAGWHWJCEUCZUDZBFUGZDHGQUEZUHZUIZUQRUQIJNN
      WRVFSWBABDCIJUJTWBWCESZWMFSZMZMZAWDWQGXCXHWDEPZGXHWCEWBXEXFUKZULVTGXISWAX
      GGEUMUNUOZXHWNXADWPXBXHWOHWDGQXHWOFPZHXHWMFWBXEXFURZULWAHXLSVTXGHFUMUPUOX
      KUSXHWLWTBWMFXMXHWKWSWHXHWJCWCEXJUTVAVBVCVDVTENLWAGEVEVGWAFNLVTHFVEVHWBGX
      BVIZXDVJGELZXNRLZXDRLWBAGXCXNXCXNLWBWEGLMXCXBRHGQVKZXADXBVLVMTVNVTXOWAGEV
      OVGXPWBXBXQVPTGXNXDERVRVQVS $.
  $}

  ${
    $d f g j k v w x y J $.  $d f j k v w x y K $.  $d f j k v w x y X $.
    $d f x y F $.  $d f v x y P $.  $d f j k v w x y Y $.
    $( The predicate "the class ` F ` is a continuous function from topology
       ` J ` to topology ` K ` ".  Definition of continuous function in
       [Munkres] p. 102.  (Contributed by NM, 17-Oct-2006.)  (Revised by Mario
       Carneiro, 21-Aug-2015.) $)
    iscn $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) ) ->
    ( F e. ( J Cn K ) <-> ( F : X --> Y /\ A. y e. K ( `' F " y ) e. J ) ) ) $=
      ( vf ctopon cfv wcel wa ccn co cv ccnv cima wral cmap crab toponmax cnveq
      wf cnfval eleq2d wceq imaeq1d eleq1d ralbidv elmapg syl2anr anbi1d syl5bb
      elrab wb bitrd ) CEHIJZDFHIJZKZBCDLMZJBGNZOZANZPZCJZADQZGFERMZSZJZEFBUBZB
      OZVBPZCJZADQZKZURUSVGBAGCDEFUCUDVHBVFJZVMKURVNVEVMGBVFUTBUEZVDVLADVPVCVKC
      VPVAVJVBUTBUAUFUGUHUMURVOVIVMUQFDJECJVOVIUNUPFDTECTFEBDCUIUJUKULUO $.

    $( The set of all functions from topology ` J ` to topology ` K ` that are
       continuous at a point ` P ` .  (Contributed by NM, 17-Oct-2006.)
       (Revised by Mario Carneiro, 11-Nov-2013.) $)
    cnpval $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) /\ P e. X ) ->
      ( ( J CnP K ) ` P ) = { f e. ( Y ^m X ) | A. y e. K
            ( ( f ` P ) e. y -> E. x e. J ( P e. x /\ ( f " x ) C_ y ) ) } ) $=
      ( vv ctopon cfv wcel co cv wa wrex wi wral cmap crab ccnp cima wss fveq1d
      wceq cmpt cnpfval fveq2 eleq1d eleq1 rexbidv imbi12d ralbidv rabbidv eqid
      anbi1d ovex rabex fvmpt sylan9eq 3impa ) EGJKLZFHJKLZCGLZCEFUAMZKZCDNZKZB
      NZLZCANZLZVGVKUBVIUCZOZAEPZQZBFRZDHGSMZTZUEVBVCOZVDVFCIGINZVGKZVILZWAVKLZ
      VMOZAEPZQZBFRZDVRTZUFZKVSVTCVEWJIBADEFGHUGUDICWIVSGWJWACUEZWHVQDVRWKWGVPB
      FWKWCVJWFVOWKWBVHVIWACVGUHUIWKWEVNAEWKWDVLVMWACVKUJUPUKULUMUNWJUOVQDVRHGS
      UQURUSUTVA $.

    $( The predicate "the class ` F ` is a continuous function from topology
       ` J ` to topology ` K ` at point ` P ` ".  Based on Theorem 7.2(g) of
       [Munkres] p. 107.  (Contributed by NM, 17-Oct-2006.)  (Revised by Mario
       Carneiro, 21-Aug-2015.) $)
    iscnp $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) /\ P e. X ) ->
      ( F e. ( ( J CnP K ) ` P ) <-> ( F : X --> Y /\ A. y e. K
          ( ( F ` P ) e. y -> E. x e. J ( P e. x /\ ( F " x ) C_ y ) ) ) ) ) $=
      ( vf ctopon cfv wcel co cv cima wss wa wrex wi wral w3a ccnp cmap crab wf
      cnpval eleq2d wb wceq eleq1d imaeq1 sseq1d anbi2d rexbidv imbi12d ralbidv
      fveq1 elrab toponmax elmapg syl2anr anbi1d syl5bb 3adant3 bitrd ) EGJKLZF
      HJKLZCGLZUAZDCEFUBMKZLDCINZKZBNZLZCANZLZVKVOOZVMPZQZAERZSZBFTZIHGUCMZUDZL
      ZGHDUEZCDKZVMLZVPDVOOZVMPZQZAERZSZBFTZQZVIVJWDDABCIEFGHUFUGVFVGWEWOUHVHWE
      DWCLZWNQVFVGQZWOWBWNIDWCVKDUIZWAWMBFWRVNWHVTWLWRVLWGVMCVKDUQUJWRVSWKAEWRV
      RWJVPWRVQWIVMVKDVOUKULUMUNUOUPURWQWPWFWNVGHFLGELWPWFUHVFHFUSGEUSHGDFEUTVA
      VBVCVDVE $.

    iscn.1 $e |- X = U. J $.
    iscn.2 $e |- Y = U. K $.
    $( The predicate "the class ` F ` is a continuous function from topology
       ` J ` to topology ` K ` ".  Definition of continuous function in
       [Munkres] p. 102.  (Contributed by Mario Carneiro, 21-Aug-2015.) $)
    iscn2 $p |- ( F e. ( J Cn K ) <-> ( ( J e. Top /\ K e. Top ) /\
               ( F : X --> Y /\ A. y e. K ( `' F " y ) e. J ) ) ) $=
      ( vj vk vf ccn co wcel ctop wa ccnv cv cima wral wf cuni cmap crab ctopon
      df-cn elmpocl cfv wb toptopon iscn syl2anb biadanii ) BCDLMNZCONZDONZPEFB
      UABQARZSCNADTPZIJOOKRQUQSIRZNAJRZTKUTUBUSUBUCMUDCDLBAKIJUFUGUOCEUEUHNDFUE
      UHNUNURUIUPCEGUJDFHUJABCDEFUKULUM $.

    $( The predicate "the class ` F ` is a continuous function from topology
       ` J ` to topology ` K ` at point ` P ` ".  Based on Theorem 7.2(g) of
       [Munkres] p. 107.  (Contributed by Mario Carneiro, 21-Aug-2015.) $)
    iscnp2 $p |- ( F e. ( ( J CnP K ) ` P ) <->
      ( ( J e. Top /\ K e. Top /\ P e. X ) /\ ( F : X --> Y /\ A. y e. K
          ( ( F ` P ) e. y -> E. x e. J ( P e. x /\ ( F " x ) C_ y ) ) ) ) ) $=
      ( vf ccnp cfv wcel ctop cv wa wral c0 cvv vj vk vg vw vv co w3a cima wrex
      wf wss wi cop cxp cdm wceq n0i df-ov ndmfv syl5eq fveq1d 0fv eqtrdi nsyl2
      wn cuni cmap crab cmpt df-cnp cpw ovex ssrab2 elpwi2 rgenw eqid fmpt mpbi
      vuniex pwex mp3an dmmpo eleqtrdi opelxp sylib simpld simprd elfvdm ctopon
      fex2 toptopon cnpfval syl2anb syl dmeqd rabex dmmptg eleqtrd 3jca wb biid
      ax-mp iscnp syl3anb biadanii ) DCEFLUFZMZNZEONZFONZCGNZUGGHDUJCDMBPZNCAPZ
      NDXMUHXLUKQAEUIULBFRQZXHXIXJXKXHXIXJXHEFUMZOOUNZNXIXJQZXHXOLUOZXPXHXGSUPX
      OXRNZXGDUQXSVEZXGCSMSXTCXFSXTXFXOLMSEFLURXOLUSUTVACVBVCVDUAUBOOAUAPZVFZXM
      KPZMZXLNXMUCPZNYCYEUHXLUKQUCYAUIULBUBPZRZKYFVFZYBVGUFZVHZVIZLABKUCUAUBVJY
      BYIVKZYKUJZYBTNYLTNYKTNYJYLNZAYBRYMYNAYBYJYITYHYBVGVLZYGKYIVMVNVOAYBYLYJY
      KYKVPVQVRUAVSYIYOVTYBYLYKTTWJWAWBWCEFOOWDWEZWFXHXIXJYPWGXHCXFUOZGDCXFWHXH
      YQAGYDUDPZNXMUEPZNYCYSUHYRUKQUEEUIULUDFRZKHGVGUFZVHZVIZUOZGXHXFUUCXHXQXFU
      UCUPZYPXIEGWIMNZFHWIMNZUUEXJEGIWKZFHJWKZAUDUEKEFGHWLWMWNWOUUBTNZAGRUUDGUP
      UUJAGYTKUUAHGVGVLWPVOAGUUBTWQXBVCWRWSXIUUFXJUUGXKXKXHXNWTUUHUUIXKXAABCDEF
      GHXCXDXE $.
  $}

  ${
    $d x y F $.  $d x y J $.  $d x y K $.  $d x y X $.  $d x y Y $.
    $d P x y $.
    $( Reverse closure for a continuous function.  (Contributed by Mario
       Carneiro, 21-Aug-2015.) $)
    cntop1 $p |- ( F e. ( J Cn K ) -> J e. Top ) $=
      ( vx ccn co wcel ctop wa cuni wf ccnv cima wral eqid iscn2 simplbi simpld
      cv ) ABCEFGZBHGZCHGZTUAUBIBJZCJZAKALDSMBGDCNIDABCUCUDUCOUDOPQR $.

    $( Reverse closure for a continuous function.  (Contributed by Mario
       Carneiro, 21-Aug-2015.) $)
    cntop2 $p |- ( F e. ( J Cn K ) -> K e. Top ) $=
      ( vx ccn co wcel ctop wa cuni wf ccnv cima wral eqid iscn2 simplbi simprd
      cv ) ABCEFGZBHGZCHGZTUAUBIBJZCJZAKALDSMBGDCNIDABCUCUDUCOUDOPQR $.

    $( Reverse closure for a function continuous at a point.  (Contributed by
       Mario Carneiro, 21-Aug-2015.) $)
    cnptop1 $p |- ( F e. ( ( J CnP K ) ` P ) -> J e. Top ) $=
      ( vy vx ccnp co cfv wcel ctop cuni w3a wf cv cima wss wa wrex eqid iscnp2
      wi wral simplbi simp1d ) BACDGHIJZCKJZDKJZACLZJZUFUGUHUJMUIDLZBNABIEOZJAF
      OZJBUMPULQRFCSUBEDUCRFEABCDUIUKUITUKTUAUDUE $.

    $( Reverse closure for a function continuous at a point.  (Contributed by
       Mario Carneiro, 21-Aug-2015.) $)
    cnptop2 $p |- ( F e. ( ( J CnP K ) ` P ) -> K e. Top ) $=
      ( vy vx ccnp co cfv wcel ctop cuni w3a wf cv cima wss wa wrex eqid iscnp2
      wi wral simplbi simp2d ) BACDGHIJZCKJZDKJZACLZJZUFUGUHUJMUIDLZBNABIEOZJAF
      OZJBUMPULQRFCSUBEDUCRFEABCDUIUKUITUKTUAUDUE $.

    $( The predicate "the class ` F ` is a continuous function from topology
       ` J ` to topology ` K ` at point ` P ` ".  (Contributed by NM,
       15-May-2007.) $)
    iscnp3 $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) /\ P e. X ) ->
                   ( F e. ( ( J CnP K ) ` P ) <-> ( F : X --> Y /\ A. y e. K
       ( ( F ` P ) e. y -> E. x e. J ( P e. x /\ x C_ ( `' F " y ) ) ) ) ) ) $=
      ( ctopon cfv wcel cv cima wss wa wrex wi wral wb ad2antlr ccnp co wf ccnv
      w3a iscnp wfun cdm ffun toponss adantlr wceq fdm funimass3 syl2anc anbi2d
      sseqtrrd rexbidva imbi2d ralbidv pm5.32da 3ad2ant1 bitrd ) EGIJKZFHIJKZCG
      KZUEDCEFUAUBJKGHDUCZCDJBLZKZCALZKZDVJMVHNZOZAEPZQZBFRZOZVGVIVKVJDUDVHMNZO
      ZAEPZQZBFRZOZABCDEFGHUFVDVEVQWCSVFVDVGVPWBVDVGOZVOWABFWDVNVTVIWDVMVSAEWDV
      JEKZOZVLVRVKWFDUGZVJDUHZNVLVRSVGWGVDWEGHDUITWFVJGWHVDWEVJGNVGVJEGUJUKVGWH
      GULVDWEGHDUMTUQVJVHDUNUOUPURUSUTVAVBVC $.

    iscnp2.1 $e |- X = U. J $.
    $( Reverse closure for a function continuous at a point.  (Contributed by
       Mario Carneiro, 21-Aug-2015.) $)
    cnprcl $p |- ( F e. ( ( J CnP K ) ` P ) -> P e. X ) $=
      ( vy vx ccnp co cfv wcel ctop w3a cuni wf cv cima wss wa wrex wral iscnp2
      wi eqid simplbi simp3d ) BACDIJKLZCMLZDMLZAELZUHUIUJUKNEDOZBPABKGQZLAHQZL
      BUNRUMSTHCUAUDGDUBTHGABCDEULFULUEUCUFUG $.

    iscnp2.2 $e |- Y = U. K $.
    $( A continuous function is a mapping.  (Contributed by FL, 8-Dec-2006.)
       (Revised by Mario Carneiro, 21-Aug-2015.) $)
    cnf $p |- ( F e. ( J Cn K ) -> F : X --> Y ) $=
      ( vx ccn co wcel wf ccnv cv cima wral ctop wa iscn2 simprbi simpld ) ABCI
      JKZDEALZAMHNOBKHCPZUBBQKCQKRUCUDRHABCDEFGSTUA $.

    $( A continuous function at point ` P ` is a mapping.  (Contributed by FL,
       17-Nov-2006.)  (Revised by Mario Carneiro, 21-Aug-2015.) $)
    cnpf $p |- ( F e. ( ( J CnP K ) ` P ) -> F : X --> Y ) $=
      ( vy vx ccnp co cfv wcel wf cv cima wss wa ctop wrex wi w3a iscnp2 simpld
      wral simprbi ) BACDKLMNZEFBOZABMIPZNAJPZNBUKQUJRSJCUAUBIDUFZUHCTNDTNAENUC
      UIULSJIABCDEFGHUDUGUE $.

    $( The value of a continuous function from ` J ` to ` K ` at point ` P `
       belongs to the underlying set of topology ` K ` .  (Contributed by FL,
       27-Dec-2006.)  (Revised by Mario Carneiro, 21-Aug-2015.) $)
    cnpcl $p |- ( ( F e. ( ( J CnP K ) ` P ) /\ A e. X ) -> ( F ` A ) e. Y ) $=
      ( ccnp co cfv wcel cnpf ffvelrnda ) CBDEJKLMFGACBCDEFGHINO $.
  $}

  ${
    $d x F $.  $d x J $.  $d x K $.  $d x X $.  $d x Y $.
    $( A continuous function is a mapping.  (Contributed by Mario Carneiro,
       21-Aug-2015.) $)
    cnf2 $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) /\
        F e. ( J Cn K ) ) -> F : X --> Y ) $=
      ( vx ctopon cfv wcel ccn co wf wa ccnv cv cima wral iscn simprbda 3impa )
      BDGHIZCEGHIZABCJKIZDEALZUAUBMUCUDANFOPBIFCQFABCDERST $.

    $( A continuous function at point ` P ` is a mapping.  (Contributed by
       Mario Carneiro, 21-Aug-2015.) $)
    cnpf2 $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) /\
        F e. ( ( J CnP K ) ` P ) ) -> F : X --> Y ) $=
      ( ctopon cfv wcel ccnp co wf cuni eqid cnpf toponuni feq2d feq3d sylan9bb
      wa syl5ibr 3impia ) CEGHIZDFGHIZBACDJKHIZEFBLZUEUFUCUDTCMZDMZBLZABCDUGUHU
      GNUHNOUCUFUGFBLUDUIUCEUGFBECPQUDFUHBUGFDPRSUAUB $.

    $( Reverse closure for a function continuous at a point.  (Contributed by
       Mario Carneiro, 21-Aug-2015.) $)
    cnprcl2 $p |- ( ( J e. ( TopOn ` X ) /\ F e. ( ( J CnP K ) ` P ) ) ->
        P e. X ) $=
      ( ctopon cfv wcel ccnp co wa cuni eqid cnprcl adantl wceq toponuni adantr
      eleqtrrd ) CEFGHZBACDIJGHZKACLZEUAAUBHTABCDUBUBMNOTEUBPUAECQRS $.
  $}

  ${
    $d x y z B $.  $d x y z F $.  $d x y z J $.  $d x y z K $.  $d x y z P $.
    $d x z ph $.  $d x y z X $.  $d x y z Y $.
    tgcn.1 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    tgcn.3 $e |- ( ph -> K = ( topGen ` B ) ) $.
    tgcn.4 $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    $( The continuity predicate when the range is given by a basis for a
       topology.  (Contributed by Mario Carneiro, 7-Feb-2015.)  (Revised by
       Mario Carneiro, 22-Aug-2015.) $)
    tgcn $p |- ( ph -> ( F e. ( J Cn K ) <->
      ( F : X --> Y /\ A. y e. B ( `' F " y ) e. J ) ) ) $=
      ( vx vz wcel cv wral wa wi ctop syl ccn co wf ccnv cima ctopon wb syl2anc
      cfv iscn wss ctg ctb topontop eqeltrrd tgclb sylibr bastg sseqtrrd ssralv
      cuni wceq wex eleq2d eltg3 bitrd ciun iunopn sylan9r imaeq2 imauni eqtrdi
      ex eleq1d imbi2d syl5ibrcom expimpd exlimdv sylbid imp ralrimdva cbvralvw
      syl6ib impbid anbi2d ) ADEFUAUBNZGHDUCZDUDZBOZUEZENZBFPZQZWGWKBCPZQAEGUFU
      INZFHUFUINZWFWMUGIKBDEFGHUJUHAWLWNWGAWLWNACFUKWLWNRACCULUIZFACUMNZCWQUKAW
      QSNWRAFWQSJAWPFSNKHFUNTUOCUPUQZCUMURTJUSWKBCFUTTAWNWHLOZUEZENZLFPWLAWNXBL
      FAWTFNZWNXBRZAXCMOZCUKZWTXEVAZVBZQZMVCZXDAXCWTWQNZXJAFWQWTJVDAWRXKXJUGWSM
      WTCUMVETVFAXIXDMAXFXHXDAXFQXDXHWNBXEWJVGZENZRXFWNWKBXEPZAXMWKBXECUTAESNZX
      NXMRAWOXOIGEUNTXOXNXMBXEWJEVHVMTVIXHXBXMWNXHXAXLEXHXAWHXGUEXLWTXGWHVJBWHX
      EVKVLVNVOVPVQVRVSVTWAXBWKLBFWTWIVBXAWJEWTWIWHVJVNWBWCWDWEVF $.

    tgcnp.5 $e |- ( ph -> P e. X ) $.
    $( The "continuous at a point" predicate when the range is given by a basis
       for a topology.  (Contributed by Mario Carneiro, 3-Feb-2015.)  (Revised
       by Mario Carneiro, 22-Aug-2015.) $)
    tgcnp $p |- ( ph ->
                   ( F e. ( ( J CnP K ) ` P ) <-> ( F : X --> Y /\ A. y e. B
       ( ( F ` P ) e. y -> E. x e. J ( P e. x /\ ( F " x ) C_ y ) ) ) ) ) $=
      ( cfv wcel wss wa wi syl vz ccnp co wf cv cima wrex wral wb iscnp syl3anc
      ctopon ctg ctb ctop topontop eqeltrrd tgclb sylibr sseqtrrd ssralv anim2d
      bastg sylbid eleq2d biimpa tg2 r19.29 sstr expcom reximdv com12 rexlimivw
      imim2i imp32 ex com23 ralrimdva sylibrd impbid ) AFEGHUBUCOPZIJFUDZEFOZCU
      EZPZEBUEZPZFWFUFZWDQZRZBGUGZSZCDUHZRZAWAWBWLCHUHZRZWNAGIULOPZHJULOPZEIPZW
      AWPUIKMNBCEFGHIJUJUKAWOWMWBADHQWOWMSADDUMOZHADUNPZDWTQAWTUOPXAAHWTUOLAWRH
      UOPMJHUPTUQDURUSDUNVCTLUTWLCDHVATVBVDAWNWBWCUAUEZPZWGWHXBQZRZBGUGZSZUAHUH
      ZRZWAAWMXHWBAWMXGUAHAXBHPZRXBWTPZWMXGSAXJXKAHWTXBLVEVFXKXCWMXFXKXCWMXFSZX
      KXCRWEWDXBQZRZCDUGZXLCXBDWCVGWMXOXFWMXORWLXNRZCDUGXFWLXNCDVHXPXFCDWLWEXMX
      FWKXMXFSWEXMWKXFXMWJXEBGXMWIXDWGWIXMXDWHWDXBVIVJVBVKVLVNVOVMTVJTVPVQTVRVB
      AWQWRWSWAXIUIKMNBUAEFGHIJUJUKVSVT $.
  $}

  ${
    $d x y z B $.  $d x y z F $.  $d x y z J $.  $d x y z X $.  $d x y z Y $.
    $d y K $.  $d x z ph $.  $d z V $.
    subbascn.1 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    subbascn.2 $e |- ( ph -> B e. V ) $.
    subbascn.3 $e |- ( ph -> K = ( topGen ` ( fi ` B ) ) ) $.
    subbascn.4 $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    $( The continuity predicate when the range is given by a subbasis for a
       topology.  (Contributed by Mario Carneiro, 7-Feb-2015.)  (Revised by
       Mario Carneiro, 22-Aug-2015.) $)
    subbascn $p |- ( ph -> ( F e. ( J Cn K ) <-> ( F : X --> Y /\
        A. y e. B ( `' F " y ) e. J ) ) ) $=
      ( vx vz wcel wral wa cfn cvv ccn co wf ccnv cv cima cfi cfv wss wi adantr
      tgcn ssfii ssralv 3syl cint wceq cpw cin wrex vex elfi sylancr w3a simpr2
      wb ciin imaeq2d wfun wne ffun ad2antlr eqeltrrdi sylibr intpreima syl2anc
      intex eqtrd ctop ctopon topontop syl ad2antrr simpr1 elin2d elin1d elpwid
      c0 simpr3 sylc iinopn syl13anc eqeltrd 3exp2 rexlimdv sylbid com23 imaeq2
      ralrimdv eleq1d cbvralvw syl6ibr impbid pm5.32da bitrd ) ADEFUAUBPHIDUCZD
      UDZBUEZUFZEPZBCUGUHZQZRXFXJBCQZRABXKDEFHIJLMULAXFXLXMAXFRZXLXMXNCGPZCXKUI
      XLXMUJAXOXFKUKZCGUMXJBCXKUNUOXNXMXGNUEZUFZEPZNXKQXLXNXMXSNXKXNXQXKPZXMXSX
      NXTXQOUEZUPZUQZOCURZSUSZUTZXMXSUJZXNXQTPXOXTYFVFNVAZXPOXQCTGVBVCXNYCYGOYE
      XNYAYEPZYCXMXSXNYIYCXMVDZRZXRBYAXIVGZEYKXRXGYBUFZYLYKXQYBXGXNYIYCXMVEZVHY
      KDVIZYAWHVJZYMYLUQXFYOAYJHIDVKVLYKYBTPYPYKYBXQTYNYHVMYAVQVNZBYADVOVPVRYKE
      VSPZYASPYPXJBYAQZYLEPAYRXFYJAEHVTUHPYRJHEWAWBWCYKYDSYAXNYIYCXMWDZWEYQYKYA
      CUIXMYSYKYACYKYDSYAYTWFWGXNYIYCXMWIXJBYACUNWJBYAXIEWKWLWMWNWOWPWQWSXJXSBN
      XKXHXQUQXIXREXHXQXGWRWTXAXBXCXDXE $.
  $}

  ${
    $d x y A $.  $d x y F $.  $d x y J $.  $d x y K $.  $d x y P $.  $d x X $.
    $( The identity function is a continuous function from one topology to
       another topology on the same set iff the domain is finer than the
       codomain.  (Contributed by Mario Carneiro, 21-Mar-2015.)  (Revised by
       Mario Carneiro, 21-Aug-2015.) $)
    ssidcn $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` X ) ) ->
      ( ( _I |` X ) e. ( J Cn K ) <-> K C_ J ) ) $=
      ( vx ctopon cfv wcel wa cid cres ccn co ccnv cv cima wral wf bitr4di wceq
      wss iscn wf1o f1oi f1of biantrur cnvresid imaeq1i elssuni adantl toponuni
      ax-mp cuni ad2antlr sseqtrrd resiima syl5eq eleq1d ralbidva dfss3 bitrd
      syl ) ACEFZGZBVBGZHZICJZABKLGZVFMZDNZOZAGZDBPZBATZVEVGCCVFQZVLHVLDVFABCCU
      AVNVLCCVFUBVNCUCCCVFUDUKUERVEVLVIAGZDBPVMVEVKVODBVEVIBGZHZVJVIAVQVJVFVIOZ
      VIVHVFVICUFUGVQVICTVRVISVQVIBULZCVPVIVSTVEVIBUHUIVDCVSSVCVPCBUJUMUNCVIUOV
      AUPUQURDBAUSRUT $.

    $( Property of a function continuous at a point.  (Contributed by FL,
       31-Dec-2006.) $)
    cnpimaex $p |- ( ( F e. ( ( J CnP K ) ` P ) /\ A e. K /\ ( F ` P ) e. A )
       -> E. x e. J ( P e. x /\ ( F " x ) C_ A ) ) $=
      ( vy ccnp co cfv wcel cv cima wss wa wrex cuni wi ctop eqid wf w3a iscnp2
      wral simprbi wceq eleq2 sseq2 anbi2d rexbidv imbi12d rspccv simpl2im 3imp
      ) DCEFHIJKZBFKZCDJZBKZCALZKZDUSMZBNZOZAEPZUOEQZFQZDUAZUQGLZKZUTVAVHNZOZAE
      PZRZGFUDZUPURVDRZRUOESKFSKCVEKUBVGVNOAGCDEFVEVFVETVFTUCUEVMVOGBFVHBUFZVIU
      RVLVDVHBUQUGVPVKVCAEVPVJVBUTVHBVAUHUIUJUKULUMUN $.

    $( A restricted identity function is a continuous function.  (Contributed
       by FL, 27-Dec-2006.)  (Proof shortened by Mario Carneiro,
       21-Mar-2015.) $)
    idcn $p |- ( J e. ( TopOn ` X ) -> ( _I |` X ) e. ( J Cn J ) ) $=
      ( ctopon cfv wcel cid cres ccn co wss ssid wb ssidcn anidms mpbiri ) ABCD
      EZFBGAAHIEZAAJZAKPQRLAABMNO $.
  $}

  ${
    $d f j k u x y z F $.  $d f j k u x y z J $.  $d j k u ph $.  $d j k u Z $.
    $d j M $.  $d f j k u x z P $.  $d f j k u x y z X $.
    lmbr.2 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    $( Express the binary relation "sequence ` F ` converges to point
       ` P ` " in a topological space.  Definition 1.4-1 of [Kreyszig] p. 25.
       The condition ` F C_ ( CC X. X ) ` allows us to use objects more general
       than sequences when convenient; see the comment in ~ df-lm .
       (Contributed by Mario Carneiro, 14-Nov-2013.) $)
    lmbr $p |- ( ph -> ( F ( ~~>t ` J ) P <->
      ( F e. ( X ^pm CC ) /\ P e. X /\ A. u e. J ( P e. u ->
        E. y e. ran ZZ>= ( F |` y ) : y --> u ) ) ) ) $=
      ( vf vx cfv wbr cv wcel cres wf wi wral wceq wa clm cc cpm co cuz crn w3a
      wrex copab ctopon lmfval breqd reseq1 feq1d rexbidv imbi2d ralbidv imbi1d
      syl eleq1 sylan9bb df-3an opabbii brab2a bitr4i bitrdi ) AEDFUAKZLEDIMZGU
      BUCUDZNZJMZGNZVKCMZNZBMZVMVHVOOZPZBUEUFZUHZQZCFRZUGZIJUIZLZEVINZDGNZDVMNZ
      VOVMEVOOZPZBVRUHZQZCFRZUGZAVGWCEDAFGUJKNVGWCSHJBCIFGUKUSULWDWEWFTWLTWMWAW
      LIJEDVIGWCVHESZWAVNWJQZCFRVKDSZWLWNVTWOCFWNVSWJVNWNVQWIBVRWNVOVMVPWHVHEVO
      UMUNUOUPUQWPWOWKCFWPVNWGWJVKDVMUTURUQVAWBVJVLTWATIJVJVLWAVBVCVDWEWFWLVBVE
      VF $.

    lmbr2.4 $e |- Z = ( ZZ>= ` M ) $.
    lmbr2.5 $e |- ( ph -> M e. ZZ ) $.
    $( Express the binary relation "sequence ` F ` converges to point
       ` P ` " in a metric space using an arbitrary upper set of integers.
       (Contributed by Mario Carneiro, 14-Nov-2013.) $)
    lmbr2 $p |- ( ph -> ( F ( ~~>t ` J ) P <->
            ( F e. ( X ^pm CC ) /\ P e. X /\ A. u e. J ( P e. u -> E. j e. Z
              A. k e. ( ZZ>= ` j ) ( k e. dom F /\ ( F ` k ) e. u ) ) ) ) ) $=
      ( vz wcel cv cuz wrex wa cz clm cfv wbr cc cpm co cres wf crn wi wral w3a
      cdm lmbr cpw wfn wb uzf ffn wceq reseq2 id rexrn mp2b wfun pmfun ad2antrl
      feq12d ffvresb rexbidv adantr rexuz3 bitr4d syl5bb imbi2d pm5.32da df-3an
      syl ralbidv 3bitr4g bitrd ) AFCGUAUBUCFIUDUEUFOZCIOZCBPZOZNPZWDFWFUGZUHZN
      QUIRZUJZBGUKZULZWBWCWEEPZFUMOWMFUBWDOSZEDPQUBZUKZDJRZUJZBGUKZULZANBCFGIKU
      NAWBWCSZWKSXAWSSWLWTAXAWKWSAXASZWJWRBGXBWIWQWEWIWOWDFWOUGZUHZDTRZXBWQTTUO
      ZQUHQTUPWIXEUQURTXFQUSWHXDNDTQWFWOUTZWFWOWDWGXCWFWOFVAXGVBVHVCVDXBXEWPDTR
      ZWQXBXDWPDTXBFVEZXDWPUQWBXIAWCIUDFVFVGEWOWDFVIVRVJXBHTOZWQXHUQAXJXAMVKWND
      EHJLVLVRVMVNVOVSVPWBWCWKVQWBWCWSVQVTWA $.

    lmbrf.6 $e |- ( ph -> F : Z --> X ) $.
    lmbrf.7 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.
    $( Express the binary relation "sequence ` F ` converges to point
       ` P ` " in a metric space using an arbitrary upper set of integers.
       This version of ~ lmbr2 presupposes that ` F ` is a function.
       (Contributed by Mario Carneiro, 14-Nov-2013.) $)
    lmbrf $p |- ( ph -> ( F ( ~~>t ` J ) P <-> ( P e. X /\
         A. u e. J ( P e. u -> E. j e. Z A. k e. ( ZZ>= ` j ) A e. u ) ) ) ) $=
      ( cfv cc wcel wa clm wbr cpm co cv cdm cuz wral wrex wi w3a 3anass uztrn2
      lmbr2 eleq1d fdmd eleq2d biimpar biantrurd bitr3d sylan2 anassrs ralbidva
      wb rexbidva imbi2d ralbidv anbi2d cvv wf wss ctopon toponmax syl jctir cz
      cnex uzssz zsscn sstri eqsstri elpm2r syl2anc bitr2d syl5bb bitrd ) AGDHU
      AQUBGJRUCUDSZDJSZDBUEZSZFUEZGUFZSZWKGQZWISZTZFEUEZUGQZUHZEKUIZUJZBHUHZUKZ
      WHWJCWISZFWRUHZEKUIZUJZBHUHZTZABDEFGHIJKLMNUNXCWGWHXBTZTZAXIWGWHXBULAXIXJ
      XKAXHXBWHAXGXABHAXFWTWJAXEWSEKAWQKSZTXDWPFWRAXLWKWRSZXDWPVDZXLXMTAWKKSZXN
      IWKWQKMUMAXOTZWOXDWPXPWNCWIPUOXPWMWOAWMXOAWLKWKAKJGOUPUQURUSUTVAVBVCVEVFV
      GVHAWGXJAJHSZRVISZTKJGVJZKRVKZTWGAXQXRAHJVLQSXQLJHVMVNVQVOAXSXTOKIUGQZRMY
      AVPRIVRVSVTWAVOJRKGHVIWBWCUSWDWEWF $.
  $}

  ${
    $d j k u J $.  $d j k u M $.  $d j k u P $.  $d j k u X $.  $d j k u Z $.
    lmconst.2 $e |- Z = ( ZZ>= ` M ) $.
    $( A constant sequence converges to its value.  (Contributed by NM,
       8-Nov-2007.)  (Revised by Mario Carneiro, 14-Nov-2013.) $)
    lmconst $p |- ( ( J e. ( TopOn ` X ) /\ P e. X /\ M e. ZZ ) ->
                   ( Z X. { P } ) ( ~~>t ` J ) P ) $=
      ( vu vk vj ctopon cfv wcel cz w3a csn cv cuz wral syl wceq cxp clm wbr wi
      wrex simp2 simp3 uzid eleqtrrdi idd ralrimdva fveq2 raleqdv rspcev syl6an
      wa ralrimivw simp1 wf fconst6g fvconst2g sylan lmbrf mpbir2and ) BDJKLZAD
      LZCMLZNZEAOUAZABUBKUCVFAGPLZVJHIPZQKZRZIEUEZUDZGBRVEVFVGUFZVHVOGBVHCELVJV
      JHCQKZRZVNVHCVQEVHVGCVQLVEVFVGUGZCUHSFUIVHVJVJHVQVHHPZVQLUPVJUJUKVMVRICEV
      KCTVJHVLVQVKCQULUMUNUOUQVHGAAIHVIBCDEVEVFVGURFVSVHVFEDVIUSVPEADUTSVHVFVTE
      LVTVIKATVPEAVTDVAVBVCVD $.
  $}

  ${
    $d j k u F $.  $d j k u J $.  $d j k u P $.  $d j k u ph $.  $d j k u U $.
    $d j M $.  $d j k u Z $.
    lmcvg.1 $e |- Z = ( ZZ>= ` M ) $.
    lmcvg.3 $e |- ( ph -> P e. U ) $.
    lmcvg.4 $e |- ( ph -> M e. ZZ ) $.
    lmcvg.5 $e |- ( ph -> F ( ~~>t ` J ) P ) $.
    lmcvg.6 $e |- ( ph -> U e. J ) $.
    $( Convergence property of a converging sequence.  (Contributed by Mario
       Carneiro, 14-Nov-2013.) $)
    lmcvg $p |- ( ph -> E. j e. Z A. k e. ( ZZ>= ` j ) ( F ` k ) e. U ) $=
      ( vu wcel cv cfv wral wrex cuz wi wceq eleq2 rexralbidv imbi12d cdm wa cc
      cuni cpm co clm wbr w3a ctop ctopon lmrcl syl toptopon2 sylib lmbr2 mpbid
      simp3d simpr ralimi reximi imim2i rspcdva mpd ) ABCPZEQZFRZCPZEDQUARZSDIT
      ZKABOQZPZVMVQPZEVOSZDITZUBZVKVPUBOGCVQCUCZVRVKWAVPVQCBUDWCVSVNDEIVOVQCVMU
      DUEUFAVRVLFUGPZVSUHZEVOSZDITZUBZOGSZWBOGSAFGUJZUIUKULPZBWJPZWIAFBGUMRUNZW
      KWLWIUOMAOBDEFGHWJIAGUPPZGWJUQRPAWMWNMBFGURUSGUTVAJLVBVCVDWHWBOGWGWAVRWFV
      TDIWEVSEVOWDVSVEVFVGVHVFUSNVIVJ $.
  $}

  ${
    $d x y z F $.  $d x y z J $.  $d x y z K $.  $d x y z P $.  $d x y z X $.
    $d x y z Y $.
    $( The predicate "the class ` F ` is a continuous function from topology
       ` J ` to topology ` K ` at point ` P ` " in terms of neighborhoods.
       (Contributed by FL, 18-Jul-2011.)  (Revised by Mario Carneiro,
       10-Sep-2015.) $)
    iscnp4 $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) /\ P e. X ) ->
      ( F e. ( ( J CnP K ) ` P ) <-> ( F : X --> Y
          /\ A. y e. ( ( nei ` K ) ` { ( F ` P ) } )
          E. x e. ( ( nei ` J ) ` { P } ) ( F " x ) C_ y ) ) ) $=
      ( vz cfv wcel cv cima wss wrex wa syl syl2anc wb syl3anc ctopon w3a co wf
      ccnp csn cnei wral cnpf2 3expa 3adantl3 simplr ctop cuni simpll2 topontop
      cnt eqid neii1 sylancom ntropn simpr adantr simpll3 ffvelrnd wceq eleqtrd
      toponuni snssd neiint fvex sylibr cnpimaex simpl1 ad2antrr simprl simprrl
      mpbid snss opnneip simprrr ntrss2 sstrd reximssdv ralrimiva jca ex simprr
      snssg mpbird imass2 eleq2 imaeq2 sseq1d anbi12d rspcev rexlimdvaa embantd
      wi syl12anc com23 exp4a ralimdv2 imdistanda iscnp sylibrd impbid ) EGUAJK
      ZFHUAJKZCGKZUBZDCEFUEUCJKZGHDUDZDALZMZBLZNZACUFZEUGJJZOZBCDJZUFZFUGJJZUHZ
      PZXKXLYEXKXLPZXMYDXHXIXLXMXJXHXIXLXMCDEFGHUIUJUKZYFXTBYCYFXPYCKZPZCXNKZXO
      XPFUQJJZNZPZXQAXSEYIXLYKFKZYAYKKZYMAEOXKXLYHULYIFUMKZXPFUNZNZYNYIXIYPXHXI
      XJXLYHUOZHFUPZQZYFYHYPYRUUAYBFXPYQYQURZUSUTZXPFYQUUBVARYIYBYKNZYOYIYHUUDY
      FYHVBYIYPYBYQNYRYHUUDSUUAYIYAYQYIYAHYQYIGHCDYFXMYHYGVCXHXIXJXLYHVDVEYIXIH
      YQVFYSHFVHQVGVIUUCYBFXPYQUUBVJTVRYAYKCDVKVSVLAYKCDEFVMTYIXNEKZYMPZPZEUMKZ
      UUEYJXNXSKZUUGXHUUHYFXHYHUUFXHXIXJXLVNVOGEUPZQYIUUEYMVPYIUUEYJYLVQCEXNVTT
      UUGXOYKXPYIUUEYJYLWAYIYKXPNZUUFYIYPYRUUKUUAUUCXPFYQUUBWBRVCWCWDWEWFWGXKYE
      XMYAXPKZCILZKZDUUMMZXPNZPZIEOZWSZBFUHZPXLXKXMYDUUTXKXMPZXTUUSBYCFUVAYHXTW
      SZXPFKZUULUURUVAUVCUULPZUVBUURUVAUVDUVBUURWSUVAUVDPZYHXTUURUVEYPUVCUULYHU
      VEXIYPXHXIXJXMUVDUOYTQUVAUVCUULVPUVAUVCUULWHYAFXPVTTUVEXQUURAXSUVEUUIXQPZ
      PZXNEUQJJZEKZCUVHKZDUVHMZXPNZUURUVGUUHXNEUNZNZUVIUVGXHUUHUVAXHUVDUVFXHXIX
      JXMVNVOZUUJQZUVGUUHUUIUVNUVPUVEUUIXQVPZXREXNUVMUVMURZUSRZXNEUVMUVRVARUVGU
      VJXRUVHNZUVGUUIUVTUVQUVGUUHXRUVMNUVNUUIUVTSUVPUVGCUVMUVGCGUVMUVEXJUVFXHXI
      XJXMUVDVDVCZUVGXHGUVMVFUVOGEVHQVGVIUVSXREXNUVMUVRVJTVRUVGXJUVJUVTSUWACUVH
      GWIQWJUVGUVKXOXPUVGUVHXNNZUVKXONUVGUUHUVNUWBUVPUVSXNEUVMUVRWBRUVHXNDWKQUV
      EUUIXQWHWCUUQUVJUVLPIUVHEUUMUVHVFZUUNUVJUUPUVLUUMUVHCWLUWCUUOUVKXPUUMUVHD
      WMWNWOWPWTWQWRWGXAXBXCXDIBCDEFGHXEXFXG $.
  $}

  ${
    $d g o y A $.  $d g o y F $.  $d g o y J $.  $d g o y K $.  $d g o y X $.
    $d g o y Y $.
    cnpnei.1 $e |- X = U. J $.
    cnpnei.2 $e |- Y = U. K $.
    $( A condition for continuity at a point in terms of neighborhoods.
       (Contributed by Jeff Hankins, 7-Sep-2009.) $)
    cnpnei $p |- ( ( ( J e. Top /\ K e. Top /\ F : X --> Y ) /\ A e. X ) ->
      ( F e. ( ( J CnP K ) ` A ) <-> A. y e. ( ( nei ` K ) ` { ( F ` A ) } )
        ( `' F " y ) e. ( ( nei ` J ) ` { A } ) ) ) $=
      ( vo vg wcel w3a wa cfv cima wss wrex wi wb ctop wf ccnp co ccnv csn cnei
      cv wral cdm cnvimass sseqtrid 3ad2ant3 ad2antrr neii2 3ad2antl2 ad2ant2rl
      fdm simpll simprl fvex snss biimpri adantr ad2antll 3jca adantll cnpimaex
      syl sstr2 com12 ad2antlr wfun ffun eltopss adantlr sseq2d mpbird 3adantl2
      ad4ant14 funimass3 syl2anc sylibd anim2d reximdva mpd rexlimddv 3ad2antl1
      isneip mpbir2and exp32 ralrimdv simpll3 opnneip imaeq2 eleq1d rspcv 3expb
      weq 3com23 3ad2ant1 snssg ad3antlr ad3antrrr biimpar syldan anbi12d 3syld
      ex biimprd com24 imp ralrimiv iscnp2 baib 3expa 3adantl3 impbid ) DUALZEU
      ALZFGCUBZMZBFLZNZCBDEUCUDOLZCUEZAUHZPZBUFZDUGOOZLZABCOZUFZEUGOOZUIZYDYEYK
      AYNYDYEYGYNLZYKYDYEYPNZNZYKYHFQZBJUHZLZYTYHQZNZJDRZYBYSYCYQYAXSYSXTYACUJZ
      YHFCYGUKFGCURZULUMUNYRYMKUHZQZUUGYGQZNZUUDKEYBYPUUJKERZYCYEXTXSYPUUKYAYMK
      EYGUOUPUQYRUUGELZUUJNZNZUUACYTPZUUGQZNZJDRZUUDUUNYEUULYLUUGLZMZUURYQUUMUU
      TYDYQUUMNYEUULUUSYEYPUUMUSYQUULUUJUTUUJUUSYQUULUUHUUSUUIUUSUUHYLUUGBCVAVB
      VCVDVEVFVGJUUGBCDEVHVIUUNUUQUUCJDUUNYTDLZNZUUPUUBUUAUVBUUPUUOYGQZUUBUUMUU
      PUVCSZYRUVAUUIUVDUULUUHUUPUUIUVCUUOUUGYGVJVKVEVLUVBCVMZYTUUEQZUVCUUBTYRUV
      EUUMUVAYBUVEYCYQYAXSUVEXTFGCVNUMZUNUNYDUVAUVFYQUUMYBUVAUVFYCXSYAUVAUVFXTX
      SYANUVANUVFYTFQZXSUVAUVHYAYTDFHVOVPYAUVFUVHTXSUVAYAUUEFYTUUFVQVLVRVSVPVTY
      TYGCWAWBWCWDWEWFWGYDYKYSUUDNTZYQXSXTYCUVIYABJDYHFHWIWHVDWJWKWLYDYOYEYDYON
      ZYEYAYLYTLZBUUGLZCUUGPYTQZNZKDRZSZJEUIZXSXTYAYCYOWMUVJUVPJEYDYOYTELZUVPSY
      DUVKUVRYOUVOYDUVKUVRYOUVOSYDUVKUVRNZNZYOYFYTPZYJLZYIUUGQZUUGUWAQZNZKDRZUV
      OYBUVSYOUWBSZYCXTXSUVSUWGYAXTUVKUVRUWGXTUVRUVKUWGXTUVRUVKMYTYNLUWGYLEYTWN
      YKUWBAYTYNAJWSYHUWAYJYGYTYFWOWPWQVIWTWRUPVPYBUWBUWFSZYCUVSXSXTUWHYAXSUWBU
      WFYIKDUWAUOXIXAUNUVTUWEUVNKDUVTUUGDLZNZUVNUWEUWJUVLUWCUVMUWDYCUVLUWCTYBUV
      SUWIBUUGFXBXCUWJUVEUUGUUEQZUVMUWDTYBUVEYCUVSUWIUVGXDYBUWIUWKYCUVSYBUWIUUG
      FQZUWKXSXTUWIUWLYAUUGDFHVOWHYBUWKUWLYAXSUWKUWLTXTYAUUEFUUGUUFVQUMXEXFVTUU
      GYTCWAWBXGXJWEXHWKXKXLXMYDYEYAUVQNZTZYOXSXTYCUWNYAXSXTYCUWNYEXSXTYCMUWMKJ
      BCDEFGHIXNXOXPXQVDWJXIXR $.
  $}

  ${
    $d x A $.  $d x F $.  $d x J $.  $d x K $.
    $( An open subset of the codomain of a continuous function has an open
       preimage.  (Contributed by FL, 15-Dec-2006.) $)
    cnima $p |- ( ( F e. ( J Cn K ) /\ A e. K ) -> ( `' F " A ) e. J ) $=
      ( vx ccn co wcel ccnv cv cima wral cuni wf ctop eqid iscn2 simprbi simprd
      wa wceq imaeq2 eleq1d rspccva sylan ) BCDFGHZBIZEJZKZCHZEDLZADHUGAKZCHZUF
      CMZDMZBNZUKUFCOHDOHTUPUKTEBCDUNUOUNPUOPQRSUJUMEADUHAUAUIULCUHAUGUBUCUDUE
      $.
  $}

  ${
    $d x F $.  $d x G $.  $d x J $.  $d x K $.  $d x L $.
    $( The composition of two continuous functions is a continuous function.
       (Contributed by FL, 8-Dec-2006.)  (Revised by Mario Carneiro,
       21-Aug-2015.) $)
    cnco $p |- ( ( F e. ( J Cn K ) /\ G e. ( K Cn L ) ) ->
        ( G o. F ) e. ( J Cn L ) ) $=
      ( vx ccn co wcel wa ctop cuni ccom wf ccnv cv cima eqid cnf cnima anim12i
      wral cntop1 cntop2 fco syl2anr cnvco imaeq1i imaco simpll adantll syl2anc
      eqtri eqeltrid ralrimiva jca iscn2 sylanbrc ) ACDGHIZBDEGHIZJZCKIZEKIZJCL
      ZELZBAMZNZVFOZFPZQZCIZFEUBZJVFCEGHIUSVBUTVCACDUCBDEUDUAVAVGVLUTDLZVEBNVDV
      MANVGUSBDEVMVEVMRZVERZSACDVDVMVDRZVNSVDVMVEBAUEUFVAVKFEVAVIEIZJZVJAOZBOZV
      IQZQZCVJVSVTMZVIQWBVHWCVIBAUGUHVSVTVIUIUMVRUSWADIZWBCIUSUTVQUJUTVQWDUSVIB
      DETUKWAACDTULUNUOUPFVFCEVDVEVPVOUQUR $.
  $}

  ${
    $d x y z F $.  $d x y z G $.  $d x y z J $.  $d x y z K $.  $d x y z L $.
    $d x y z P $.
    $( The composition of a function ` F ` continuous at ` P ` with a function
       continuous at ` ( F `` P ) ` is continuous at ` P ` .  Proposition 2 of
       [BourbakiTop1] p.  I.9.  (Contributed by FL, 16-Nov-2006.)  (Proof
       shortened by Mario Carneiro, 27-Dec-2014.) $)
    cnpco $p |- ( ( F e. ( ( J CnP K ) ` P ) /\
                    G e. ( ( K CnP L ) ` ( F ` P ) ) ) ->
                  ( G o. F ) e. ( ( J CnP L ) ` P ) ) $=
      ( vz vx vy ccnp co cfv wcel wa cuni wf cv cima wss adantr ctop wi cnptop1
      w3a ccom wrex wral cnptop2 adantl eqid cnprcl 3jca cnpf fco simplr simprl
      syl2anc wceq fvco3 simprr eqeltrrd cnpimaex syl3anc simplll simprrl imaco
      imass2 eqsstrid simprrr sstr2 syl2imc anim2d mpd rexlimddv expr ralrimiva
      reximdv jca iscnp2 sylanbrc ) BADEJKLMZCABLZEFJKLMZNZDUAMZFUAMZADOZMZUDWG
      FOZCBUEZPZAWJLZGQZMZAHQZMZWJWORZWMSZNZHDUFZUBZGFUGZNWJADFJKLMWDWEWFWHWAWE
      WCABDEUCTWCWFWAWBCEFUHUIWAWHWCABDEWGWGUJZUKTZULWDWKXBWDEOZWICPZWGXEBPZWKW
      CXFWAWBCEFXEWIXEUJZWIUJZUMUIWAXGWCABDEWGXEXCXHUMTZWGXEWICBUNUQWDXAGFWDWMF
      MZWNWTWDXKWNNZNZWBIQZMZCXNRZWMSZNZWTIEXMWCXKWBCLZWMMXRIEUFWAWCXLUOWDXKWNU
      PXMWLXSWMWDWLXSURZXLWDXGWHXTXJXDWGXEACBUSUQTWDXKWNUTVAIWMWBCEFVBVCXMXNEMZ
      XRNZNZWPBWORZXNSZNZHDUFZWTYCWAYAXOYGWAWCXLYBVDXMYAXRUPXMYAXOXQVEHXNABDEVB
      VCYCYFWSHDYCYEWRWPYEWQXPSYCXQWRYEWQCYDRXPCBWOVFYDXNCVGVHXMYAXOXQVIWQXPWMV
      JVKVLVQVMVNVOVPVRHGAWJDFWGWIXCXIVSVT $.
  $}

  $( A closed subset of the codomain of a continuous function has a closed
     preimage.  (Contributed by NM, 15-Mar-2007.)  (Revised by Mario Carneiro,
     21-Aug-2015.) $)
  cnclima $p |- ( ( F e. ( J Cn K ) /\ A e. ( Clsd ` K ) ) ->
    ( `' F " A ) e. ( Clsd ` J ) ) $=
    ( ccn co wcel ccld cfv wa ccnv cima cuni cdif wf wceq eqid cnf adantr wfun
    ffun funcnvcnv imadif 3syl fimacnv difeq1d eqtr2d syl cldopn sylan2 eqeltrd
    cnima ctop wss wb cntop1 cnvimass fssdm iscld2 syl2an2r mpbird ) BCDEFGZADH
    IGZJZBKZALZCHIGZCMZVFNZCGZVDVIVEDMZANZLZCVDVHVKBOZVIVMPVBVNVCBCDVHVKVHQZVKQ
    ZRSZVNVMVEVKLZVFNZVIVNBTVEKTVMVSPVHVKBUABUBVKAVEUCUDVNVRVHVFVHVKBUEUFUGUHVC
    VBVLDGVMCGADVKVPUIVLBCDULUJUKVBCUMGVCVFVHUNVGVJUOBCDUPVDVHVKVFBBAUQVQURVFCV
    HVOUSUTVA $.

  ${
    $d F x y $.  $d J x y $.  $d K x y $.  $d X x y $.  $d Y x y $.
    $( A characterization of a continuity function using closed sets.  Theorem
       1(d) of [BourbakiTop1] p.  I.9.  (Contributed by FL, 19-Nov-2006.)
       (Proof shortened by Mario Carneiro, 21-Aug-2015.) $)
    iscncl $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) ) ->
                   ( F e. ( J Cn K ) <-> ( F : X --> Y /\
                     A. y e. ( Clsd ` K ) ( `' F " y ) e. ( Clsd ` J ) ) ) ) $=
      ( vx ctopon cfv wcel wa ccnv cv cima ccld wral ralrimiva cuni cdif wceq
      ccn co wf cnf2 3expa cnclima adantl jca simprl toponuni ad3antrrr simplrl
      fimacnv eqcomd syl eqtr3d wfun ffun funcnvcnv imadif eqtr4d imaeq2 eleq1d
      difeq1d 4syl simplrr ad3antlr ctop topontop eqid sylancom eqeltrd rspcdva
      opncld wss wb cnvimass fssdm sseqtrd isopn2 syl2anc mpbird iscn mpbir2and
      adantr impbida ) CEHIJZDFHIJZKZBCDUAUBJZEFBUCZBLZAMZNZCOIZJZADOIZPZKZWIWJ
      KWKWRWGWHWJWKBCDEFUDUEWJWRWIWJWPAWQWMBCDUFQUGUHWIWSKZWJWKWLGMZNZCJZGDPZWI
      WKWRUIWTXCGDWTXADJZKZXCCRZXBSZWOJZXFXHWLFXASZNZWOXFXHWLFNZXBSZXKXFXGXLXBX
      FEXGXLWGEXGTWHWSXEECUJUKZXFWKEXLTWIWKWRXEULZWKXLEEFBUMUNUOUPVDXFWKBUQWLLU
      QXKXMTXOEFBURBUSFXAWLUTVEVAXFWPXKWOJAWQXJWMXJTWNXKWOWMXJWLVBVCWIWKWRXEVFX
      FXJDRZXASZWQXFFXPXAWHFXPTWGWSXEFDUJVGVDWTXEDVHJZXQWQJWHXRWGWSXEFDVIVGXADX
      PXPVJVNVKVLVMVLXFCVHJZXBXGVOXCXIVPWGXSWHWSXEECVIUKXFXBEXGXFEFXBBBXAVQXOVR
      XNVSXBCXGXGVJVTWAWBQWIWJWKXDKVPWSGBCDEFWCWEWDWF $.
  $}

  ${
    cncls2i.1 $e |- Y = U. K $.
    $( Property of the preimage of a closure.  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    cncls2i $p |- ( ( F e. ( J Cn K ) /\ S C_ Y ) ->
      ( ( cls ` J ) ` ( `' F " S ) ) C_ ( `' F " ( ( cls ` K ) ` S ) ) ) $=
      ( ccn co wcel wss wa ccnv ccl cfv cima ccld ctop cntop2 clscld sylan cuni
      cnclima syldan sscls imass2 syl eqid clsss2 syl2anc ) BCDGHIZAEJZKZBLZADM
      NNZOZCPNIZUMAOZUOJZUQCMNNUOJUJUKUNDPNIZUPUJDQIZUKUSBCDRZADEFSTUNBCDUBUCUL
      AUNJZURUJUTUKVBVAADEFUDTAUNUMUEUFUOUQCCUAZVCUGUHUI $.

    $( Property of the preimage of an interior.  (Contributed by Mario
       Carneiro, 25-Aug-2015.) $)
    cnntri $p |- ( ( F e. ( J Cn K ) /\ S C_ Y ) ->
      ( `' F " ( ( int ` K ) ` S ) ) C_ ( ( int ` J ) ` ( `' F " S ) ) ) $=
      ( ccn co wcel wss wa ctop ccnv cima cuni cnt cfv cntop1 adantr sylan wceq
      cdm cnvimass eqid cnf fdmd sseqtrid cntop2 ntropn cnima syldan ntrss2 syl
      imass2 ssntr syl22anc ) BCDGHIZAEJZKZCLIZBMZANZCOZJVAADPQQZNZCIZVEVBJZVEV
      BCPQQJUQUTURBCDRSUSBUBZVBVCBAUCUQVHVCUAURUQVCEBBCDVCEVCUDZFUEUFSUGUQURVDD
      IZVFUQDLIZURVJBCDUHZADEFUITVDBCDUJUKUSVDAJZVGUQVKURVMVLADEFULTVDAVAUNUMVB
      CVEVCVIUOUP $.
  $}

  ${
    cnclsi.1 $e |- X = U. J $.
    $( Property of the image of a closure.  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    cnclsi $p |- ( ( F e. ( J Cn K ) /\ S C_ X ) ->
        ( F " ( ( cls ` J ) ` S ) ) C_ ( ( cls ` K ) ` ( F " S ) ) ) $=
      ( ccn co wcel wss wa ccl cfv cima ccnv ctop cntop1 adantr cuni sseqtrrd
      cnvimass wf eqid cnf fssdm cdm cin wceq simpr fdmd sylib dminss eqsstrrdi
      sseqin2 clsss syl3anc imassrn frnd sstrid cncls2i syldan sstrd wfun ffund
      crn wb clsss3 sylan funimass3 syl2anc mpbird ) BCDGHIZAEJZKZBACLMZMZNBANZ
      DLMMZJZVPBOZVRNZJZVNVPVTVQNZVOMZWAVNCPIZWCEJAWCJVPWDJVLWEVMBCDQZRVNEDSZWC
      BBVQUAVLEWGBUBVMBCDEWGFWGUCZUDRZUEVNABUFZAUGZWCVNAWJJWKAUHVNAEWJVLVMUIVNE
      WGBWIUJZTAWJUNUKABULUMWCACEFUOUPVLVMVQWGJWDWAJVNVQBVEWGBAUQVNEWGBWIURUSVQ
      BCDWGWHUTVAVBVNBVCVPWJJVSWBVFVNEWGBWIVDVNVPEWJVLWEVMVPEJWFACEFVGVHWLTVPVR
      BVIVJVK $.
  $}

  ${
    $d x y F $.  $d x y J $.  $d x y K $.  $d x y X $.  $d x y Y $.
    $( Continuity in terms of closure.  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    cncls2 $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) ) ->
      ( F e. ( J Cn K ) <-> ( F : X --> Y /\ A. x e. ~P Y
      ( ( cls ` J ) ` ( `' F " x ) ) C_ ( `' F " ( ( cls ` K ) ` x ) ) ) ) ) $=
      ( ctopon cfv wcel wa cima ccl wss cpw wral cuni wi wceq toponuni ad2antlr
      ccn co wf ccnv cv cnf2 3expia elpwi adantl sseqtrd eqid cncls2i ralrimdva
      expcom syl jcad ccld cldss2 pweqd sseqtrrid sseld imim1d ad2antll imaeq2d
      cldcls sseq2d ctop topontop ad2antrr cdm cnvimass ad2antrl eqtrd sseqtrid
      fdm iscld4 syl2anc bitr4d expr pm5.74d sylibd ralimdv2 imdistanda sylibrd
      wb iscncl impbid ) CEGHIZDFGHIZJZBCDUAUBIZEFBUCZBUDZAUEZKZCLHHZWMWNDLHHZK
      ZMZAFNZOZJZWJWKWLXAWHWIWKWLBCDEFUFUGWJWKWSAWTWJWNWTIZJZWNDPZMZWKWSQXDWNFX
      EXCWNFMWJWNFUHUIWIFXERZWHXCFDSZTUJWKXFWSWNBCDXEXEUKZULUNUOUMUPWJXBWLWOCUQ
      HIZADUQHZOZJWKWJWLXAXLWJWLJZWSXJAWTXKXMXCWSQWNXKIZWSQXNXJQXMXNXCWSXMXKWTW
      NXMXENXKWTDXEXIURXMFXEWIXGWHWLXHTUSUTVAVBXMXNWSXJWJWLXNWSXJWEWJWLXNJZJZWS
      WPWOMZXJXPWRWOWPXPWQWNWMXNWQWNRWJWLWNDVEVCVDVFXPCVGIZWOCPZMXJXQWEWHXRWIXO
      ECVHVIXPBVJZWOXSBWNVKXPXTEXSWLXTERWJXNEFBVOVLWHEXSRWIXOECSVIVMVNWOCXSXSUK
      VPVQVRVSVTWAWBWCABCDEFWFWDWG $.

    $( Continuity in terms of closure.  (Contributed by Jeff Hankins,
       1-Oct-2009.)  (Proof shortened by Mario Carneiro, 25-Aug-2015.) $)
    cncls $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) ) ->
      ( F e. ( J Cn K ) <-> ( F : X --> Y /\ A. x e. ~P X
        ( F " ( ( cls ` J ) ` x ) ) C_ ( ( cls ` K ) ` ( F " x ) ) ) ) ) $=
      ( vy ctopon cfv wcel wa cv ccl cima wss cpw wral wceq syl ad3antrrr co wf
      ccn cnf2 3expia cuni elpwi adantl toponuni ad2antrr sseqtrd cnclsi expcom
      wi eqid ralrimdva jcad ccnv toponmax cdm cnvimass ad2antlr sseqtrid fveq2
      fdm sselpwd imaeq2d imaeq2 fveq2d sseq12d rspcv topontop ad3antlr crn cin
      ctop wfun ffun funimacnv inss1 eqsstrdi clsss syl3anc sstr2 syl5com eqtrd
      wb clsss3 syl2anc sseqtrrd funimass3 sylibd syld imdistanda cncls2 impbid
      sylibrd ) CEHIJZDFHIJZKZBCDUCUAJZEFBUBZBALZCMIZIZNZBXCNZDMIZIZOZAEPZQZKZW
      TXAXBXLWRWSXAXBBCDEFUDUEWTXAXJAXKWTXCXKJZKZXCCUFZOZXAXJUNXOXCEXPXNXCEOWTX
      CEUGUHWREXPRZWSXNECUIZUJUKXAXQXJXCBCDXPXPUOZULUMSUPUQWTXMXBBURZGLZNZXDIZY
      AYBXHIZNOZGFPZQZKXAWTXBXLYHWTXBKZXLYFGYGYIYBYGJZKZXLBYDNZBYCNZXHIZOZYFYKY
      CXKJXLYOUNYKYCECWRECJWSXBYJECUSTYKBUTZYCEBYBVAZXBYPERWTYJEFBVEVBZVCVFXJYO
      AYCXKXCYCRZXFYLXIYNYSXEYDBXCYCXDVDVGYSXGYMXHXCYCBVHVIVJVKSYKYOYLYEOZYFYKY
      NYEOZYOYTYKDVPJZYBDUFZOYMYBOUUAWSUUBWRXBYJFDVLVMYKYBFUUCYJYBFOYIYBFUGUHWS
      FUUCRWRXBYJFDUIVMUKYKYMYBBVNZVOZYBYKBVQZYMUUERXBUUFWTYJEFBVRVBZYBBVSSYBUU
      DVTWAYBYMDUUCUUCUOWBWCYLYNYEWDWEYKUUFYDYPOYTYFWGUUGYKYDXPYPYKCVPJZYCXPOYD
      XPOWRUUHWSXBYJECVLTYKYPYCXPYQYKYPEXPYRWRXRWSXBYJXSTWFZVCYCCXPXTWHWIUUIWJY
      DYEBWKWIWLWMUPWNGBCDEFWOWQWP $.

    $( Continuity in terms of interior.  (Contributed by Jeff Hankins,
       2-Oct-2009.)  (Proof shortened by Mario Carneiro, 25-Aug-2015.) $)
    cnntr $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) ) ->
      ( F e. ( J Cn K ) <-> ( F : X --> Y /\ A. x e. ~P Y
      ( `' F " ( ( int ` K ) ` x ) ) C_ ( ( int ` J ) ` ( `' F " x ) ) ) ) ) $=
      ( ctopon cfv wcel wa cnt cima wss wral cuni wceq toponuni ad2antlr eqid
      wi ccn co wf ccnv cv cpw cnf2 3expia elpwi adantl cnntri expcom ralrimdva
      sseqtrd syl jcad toponss velpw sylibr ex imim1d wb topontop ad3antrrr cdm
      ctop cnvimass fdm eqtrd sseqtrid ntrss2 syl2anc eqss baib isopn3 ad3antlr
      isopn3i sylancom sseq1d 3bitr4rd pm5.74da sylibd ralimdv2 imdistanda iscn
      imaeq2d sylibrd impbid ) CEGHIZDFGHIZJZBCDUAUBIZEFBUCZBUDZAUEZDKHHZLZWNWO
      LZCKHHZMZAFUFZNZJZWKWLWMXBWIWJWLWMBCDEFUGUHWKWLWTAXAWKWOXAIZJZWODOZMZWLWT
      TXEWOFXFXDWOFMZWKWOFUIUJWJFXFPWIXDFDQRUNWLXGWTWOBCDXFXFSUKULUOUMUPWKXCWMW
      RCIZADNZJWLWKWMXBXJWKWMJZWTXIAXADXKXDWTTWODIZWTTXLXITXKXLXDWTWJXLXDTWIWMW
      JXLXDWJXLJXHXDWODFUQAFURUSUTRVAXKXLWTXIXKXLJZWSWRPZWRWSMZXIWTXMWSWRMZXNXO
      VBXMCVFIZWRCOZMZXPWIXQWJWMXLECVCVDZXMBVEZWRXRBWOVGXMYAEXRWMYAEPWKXLEFBVHR
      WIEXRPWJWMXLECQVDVIVJZWRCXRXRSZVKVLXNXPXOWSWRVMVNUOXMXQXSXIXNVBXTYBWRCXRY
      CVOVLXMWQWRWSXMWPWOWNXKXLDVFIZWPWOPWJYDWIWMXLFDVCVPWODVQVRWFVSVTWAWBWCWDA
      BCDEFWEWGWH $.
  $}

  ${
    $d f x J $.  $d f x K $.  $d f x L $.  $d f x X $.
    cnss1.1 $e |- X = U. J $.
    $( If the topology ` K ` is finer than ` J ` , then there are more
       continuous functions from ` K ` than from ` J ` .  (Contributed by Mario
       Carneiro, 19-Mar-2015.)  (Revised by Mario Carneiro, 21-Aug-2015.) $)
    cnss1 $p |- ( ( K e. ( TopOn ` X ) /\ J C_ K ) ->
        ( J Cn L ) C_ ( K Cn L ) ) $=
      ( vf vx ctopon cfv wcel wss wa ccn co cv cuni wf ccnv cima adantl simpllr
      wral eqid cnf cnima adantll sseldd ralrimiva simpll ctop cntop2 toptopon2
      wb sylib iscn syl2anc mpbir2and ex ssrdv ) BDHIJZABKZLZFACMNZBCMNZVBFOZVC
      JZVEVDJZVBVFLZVGDCPZVEQZVERGOZSZBJZGCUBZVFVJVBVEACDVIEVIUCUDTVHVMGCVHVKCJ
      ZLABVLUTVAVFVOUAVFVOVLAJVBVKVEACUEUFUGUHVHUTCVIHIJZVGVJVNLUMUTVAVFUIVHCUJ
      JZVPVFVQVBVEACUKTCULUNGVEBCDVIUOUPUQURUS $.
  $}

  ${
    $d f x J $.  $d f x K $.  $d f x L $.  $d f x Y $.
    cnss2.1 $e |- Y = U. K $.
    $( If the topology ` K ` is finer than ` J ` , then there are fewer
       continuous functions into ` K ` than into ` J ` from some other space.
       (Contributed by Mario Carneiro, 19-Mar-2015.)  (Revised by Mario
       Carneiro, 21-Aug-2015.) $)
    cnss2 $p |- ( ( L e. ( TopOn ` Y ) /\ L C_ K ) ->
        ( J Cn K ) C_ ( J Cn L ) ) $=
      ( vf vx ctopon cfv wcel wss wa ccn co cv cuni wf ccnv wral adantl cima wb
      eqid cnf simplr cnima ralrimiva ssralv sylc cntop1 toptopon2 sylib simpll
      ctop iscn syl2anc mpbir2and ex ssrdv ) CDHIJZCBKZLZFABMNZACMNZVBFOZVCJZVE
      VDJZVBVFLZVGAPZDVEQZVERGOZUAAJZGCSZVFVJVBVEABVIDVIUCEUDTVHVAVLGBSZVMUTVAV
      FUEVFVNVBVFVLGBVKVEABUFUGTVLGCBUHUIVHAVIHIJZUTVGVJVMLUBVHAUNJZVOVFVPVBVEA
      BUJTAUKULUTVAVFUMGVEACVIDUOUPUQURUS $.
  $}

  ${
    $d x y A $.  $d x y F $.  $d f x y J $.  $d f x y K $.  $d f x y X $.
    $d f P $.
    cnsscnp.1 $e |- X = U. J $.
    $( A continuous function is continuous at all points.  One direction of
       Theorem 7.2(g) of [Munkres] p. 107.  (Contributed by Raph Levien,
       20-Nov-2006.)  (Proof shortened by Mario Carneiro, 21-Aug-2015.) $)
    cncnpi $p |- ( ( F e. ( J Cn K ) /\ A e. X ) ->
        F e. ( ( J CnP K ) ` A ) ) $=
      ( vy vx co wcel wa cfv cv adantr wb mpbir2and ctopon ctop toptopon sylib
      ccn ccnp cuni wf ccnv cima wss wrex wi wral eqid cnf cnima ad2ant2r simpr
      simprr wfn ad2antrr ffn elpreima 3syl eqimss biantrud eleq2 bitr3d rspcev
      wceq syl2anc expr ralrimiva cntop1 cntop2 iscnp3 syl3anc ) BCDUAIJZAEJZKZ
      BACDUBILJZEDUCZBUDZABLGMZJZAHMZJZWCBUEWAUFZUGZKZHCUHZUIZGDUJZVOVTVPBCDEVS
      FVSUKZULZNVQWIGDVQWADJZWBWHVQWMWBKZKZWECJZAWEJZWHVOWMWPVPWBWABCDUMUNWOWQV
      PWBVQVPWNVOVPUOZNVQWMWBUPWOVTBEUQWQVPWBKOVOVTVPWNWLUREVSBUSEAWABUTVAPWGWQ
      HWECWCWEVGZWDWGWQWSWFWDWCWEVBVCWCWEAVDVEVFVHVIVJVQCEQLJZDVSQLJZVPVRVTWJKO
      VQCRJZWTVOXBVPBCDVKNCEFSTVQDRJZXAVOXCVPBCDVLNDVSWKSTWRHGABCDEVSVMVNP $.

    $( The set of continuous functions is a subset of the set of continuous
       functions at a point.  (Contributed by Raph Levien, 21-Oct-2006.)
       (Revised by Mario Carneiro, 21-Aug-2015.) $)
    cnsscnp $p |- ( P e. X -> ( J Cn K ) C_ ( ( J CnP K ) ` P ) ) $=
      ( vf wcel ccn co ccnp cfv cv cncnpi expcom ssrdv ) ADGZFBCHIZABCJIKZFLZQG
      PSRGASBCDEMNO $.
  $}

  ${
    $d u x y F $.  $d u x y J $.  $d u x y K $.  $d u x y X $.  $d u x y Y $.
    $( A continuous function is continuous at all points.  Theorem 7.2(g) of
       [Munkres] p. 107.  (Contributed by NM, 15-May-2007.)  (Proof shortened
       by Mario Carneiro, 21-Aug-2015.) $)
    cncnp $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) ) ->
      ( F e. ( J Cn K ) <-> ( F : X --> Y /\
        A. x e. X F e. ( ( J CnP K ) ` x ) ) ) ) $=
      ( vy vu ctopon cfv wcel wa co cv wral cima ralrimiva wss syl wb ccnp ccnv
      ccn wf iscn simprbda cuni eqid cncnpi adantl wceq toponuni raleqdv mpbird
      ad2antrr jca simprl wrex cdm cnvimass fdm sseqtrid ssralv simpllr wfn ffn
      wi ad2antlr elpreima simplbda syl2anc cnpimaex syl3anc wfun ffund simp-4l
      simprr toponss sylan sseqtrrd funimass3 rexbidva mpbid expr ralimdva syld
      anbi2d impr an32s ctop topontop ad3antrrr eltop2 adantr mpbir2and impbida
      ) CEIJKZDFIJKZLZBCDUCMKZEFBUDZBANZCDUAMJKZAEOZLZWSWTLZXAXDWSWTXABUBGNZPZC
      KZGDOZGBCDEFUEZUFXFXDXCACUGZOZWTXMWSWTXCAXLXBBCDXLXLUHUIQUJXFXCAEXLWQEXLU
      KWRWTECULUOUMUNUPWSXELZWTXAXJWSXAXDUQXNXIGDXNXGDKZLZXIXBHNZKZXQXHRZLZHCUR
      ZAXHOZWSXOXEYBWSXOLZXAXDYBYCXALZXDXCAXHOZYBYDXHERXDYEVGYDBUSZXHEBXGUTXAYF
      EUKZYCEFBVAZUJVBXCAXHEVCSYDXCYAAXHYDXBXHKZXCYAYDYIXCLZLZXRBXQPXGRZLZHCURZ
      YAYKXCXOXBBJXGKZYNYDYIXCVQWSXOXAYJVDYKBEVEZYIYOXAYPYCYJEFBVFVHYDYIXCUQYPY
      IXBEKYOEXBXGBVIVJVKHXGXBBCDVLVMYKYMXTHCYKXQCKZLZYLXSXRYRBVNXQYFRYLXSTYREF
      BYCXAYJYQVDZVOYRXQEYFYKWQYQXQERWQWRXOXAYJVPXQCEVRVSYRXAYGYSYHSVTXQXGBWAVK
      WGWBWCWDWEWFWHWIXPCWJKZXIYBTWQYTWRXEXOECWKWLAHXHCWMSUNQWSWTXAXJLTXEXKWNWO
      WP $.

    cncnp.1 $e |- X = U. J $.
    cncnp.2 $e |- Y = U. K $.
    $( A continuous function is continuous at all points.  Theorem 7.2(g) of
       [Munkres] p. 107.  (Contributed by Raph Levien, 20-Nov-2006.)  (Proof
       shortened by Mario Carneiro, 21-Aug-2015.) $)
    cncnp2 $p |- ( X =/= (/) -> ( F e. ( J Cn K ) <->
        A. x e. X F e. ( ( J CnP K ) ` x ) ) ) $=
      ( c0 wne ccn co wcel cfv ctopon wa ctop toptopon sylib jca31 cv ccnp wral
      cntop1 cntop2 cnf adantl wrex r19.2z cnptop1 cnptop2 cnpf rexlimivw cncnp
      wf syl baibd pm5.21nd ) EIJZBCDKLMZBAUAZCDUBLNMZAEUCZCEONMZDFONMZPZEFBUOZ
      PZUTVHUSUTVDVEVGUTCQMZVDBCDUDCEGRZSUTDQMZVEBCDUEDFHRZSBCDEFGHUFTUGUSVCPVB
      AEUHVHVBAEUIVBVHAEVBVDVEVGVBVIVDVABCDUJVJSVBVKVEVABCDUKVLSVABCDEFGHULTUMU
      PVFUTVGVCABCDEFUNUQUR $.
  $}

  ${
    $d p v w F $.  $d p v w J $.  $d p v w K $.  $d p v w X $.  $d p v w Y $.
    cnnei.x $e |- X = U. J $.
    cnnei.y $e |- Y = U. K $.
    $( Continuity in terms of neighborhoods.  (Contributed by Thierry Arnoux,
       3-Jan-2018.) $)
    cnnei $p |- ( ( J e. Top /\ K e. Top /\ F : X --> Y ) ->
      ( F e. ( J Cn K ) <-> A. p e. X A. w e. ( ( nei ` K ) ` { ( F ` p ) } )
         E. v e. ( ( nei ` J ) ` { p } ) ( F " v ) C_ w ) ) $=
      ( ctop wcel co cv csn cnei cfv wral wb wa ccn cima wss wrex ccnp toptopon
      ctopon anbi12i cncnp baibd sylanb anbi1i 3expa an32s ralbidva bitrd 3impa
      wf iscnp4 ) DKLZEKLZFGCURZCDEUAMLZCBNUBANUCBHNZODPQQUDAVDCQOEPQQRZHFRZSUT
      VATZVBTZVCCVDDEUEMQLZHFRZVFVGDFUGQLZEGUGQLZTZVBVCVJSUTVKVAVLDFIUFEGJUFUHZ
      VMVCVBVJHCDEFGUIUJUKVHVIVEHFVHVMVBTVDFLZVIVESZVGVMVBVNULVMVOVBVPVMVOTVIVB
      VEVKVLVOVIVBVETSBAVDCDEFGUSUMUJUNUKUOUPUQ $.
  $}

  ${
    $d u x y B $.  $d u x y J $.  $d u x y K $.  $d u x y X $.  $d u x y Y $.
    $( A constant function is continuous.  (Contributed by Mario Carneiro,
       19-Mar-2015.) $)
    cnconst2 $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) /\ B e. Y ) ->
      ( X X. { B } ) e. ( J Cn K ) ) $=
      ( vx vy vu ctopon cfv wcel co cv wral wa cima wss wceq simplr crn w3a csn
      cxp ccn wf ccnp fconst6g 3ad2ant3 wrex wi adantr simpll3 fvconst2g eleq1d
      syl2anc simpll1 toponmax syl cres df-ima ssid xpssres ax-mp rneqi eqsstri
      rnxpss simprr snssd sstrid eqsstrid imaeq2 sseq1d anbi12d rspcev syl12anc
      eleq2 expr sylbid ralrimiva wb simpl1 simpr iscnp syl3anc mpbir2and cncnp
      simpl2 3adant3 ) BDIJKZCEIJKZAEKZUAZDAUBZUCZBCUDLKZDEWNUEZWNFMZBCUFLJKZFD
      NZWKWIWPWJDAEUGUHZWLWRFDWLWQDKZOZWRWPWQWNJZGMZKZWQHMZKZWNXFPZXDQZOZHBUIZU
      JZGCNZWLWPXAWTUKXBXLGCXBXDCKZOZXEAXDKZXKXOXCAXDXOWKXAXCARWIWJWKXAXNULWLXA
      XNSDAWQEUMUOUNXBXNXPXKXBXNXPOZOZDBKZXAWNDPZXDQZXKXRWIXSWIWJWKXAXQUPDBUQUR
      WLXAXQSXRXTWNDUSZTZXDWNDUTXRYCWMXDYCWNTWMYBWNDDQYBWNRDVADWMDVBVCVDDWMVFVE
      XRAXDXBXNXPVGVHVIVJXJXAYAOHDBXFDRZXGXAXIYAXFDWQVPYDXHXTXDXFDWNVKVLVMVNVOV
      QVRVSXBWIWJXAWRWPXMOVTWIWJWKXAWAWIWJWKXAWGWLXAWBHGWQWNBCDEWCWDWEVSWIWJWOW
      PWSOVTWKFWNBCDEWFWHWE $.

    $( A constant function is continuous.  (Contributed by FL, 15-Jan-2007.)
       (Proof shortened by Mario Carneiro, 19-Mar-2015.) $)
    cnconst $p |- ( ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) ) /\
      ( B e. Y /\ F : X --> { B } ) ) -> F e. ( J Cn K ) ) $=
      ( ctopon cfv wcel wa csn wf ccn co cxp wceq wb fconst2g adantl cnconst2
      3expa eleq1 syl5ibrcom sylbid impr ) CEGHIZDFGHIZJZAFIZEAKZBLZBCDMNZIZUHU
      IJZUKBEUJOZPZUMUIUKUPQUHEAFBRSUNUMUPUOULIZUFUGUIUQACDEFTUABUOULUBUCUDUE
      $.
  $}

  ${
    $d o A $.  $d o F $.  $d o J $.  $d o K $.  $d o X $.
    cnrest.1 $e |- X = U. J $.
    $( Continuity of a restriction from a subspace.  (Contributed by Jeff
       Hankins, 11-Jul-2009.)  (Revised by Mario Carneiro, 21-Aug-2015.) $)
    cnrest $p |- ( ( F e. ( J Cn K ) /\ A C_ X ) ->
        ( F |` A ) e. ( ( J |`t A ) Cn K ) ) $=
      ( vo ccn co wcel wa wf ccnv cima adantr ctop cvv sylan ctopon cfv cres cv
      wss crest cuni wral eqid cnf simpr fssresd cnvresima cntop1 topopn ancoms
      cin ssexg cnima adantlr elrestr syl3anc eqeltrid ralrimiva toptopon sylib
      wb resttopon cntop2 iscn syl2anc mpbir2and ) BCDHIJZAEUCZKZBAUAZCAUDIZDHI
      JZADUEZVNLZVNMGUBZNZVOJZGDUFZVMEVQABVKEVQBLVLBCDEVQFVQUGZUHOVKVLUIUJVMWAG
      DVMVSDJZKZVTBMVSNZAUOZVOAVSBUKWECPJZAQJZWFCJZWGVOJVMWHWDVKWHVLBCDULZOOVMW
      IWDVKWHVLWIWKWHECJZVLWICEFUMVLWLWIAECUPUNRROVKWDWJVLVSBCDUQURWFACPQUSUTVA
      VBVMVOASTJZDVQSTJZVPVRWBKVEVKCESTJZVLWMVKWHWOWKCEFVCVDACEVFRVMDPJZWNVKWPV
      LBCDVGODVQWCVCVDGVNVODAVQVHVIVJ $.
  $}

  ${
    $d f x y B $.  $d x y F $.  $d f x y J $.  $d f x y K $.  $d x y Y $.
    $( Equivalence of continuity in the parent topology and continuity in a
       subspace.  (Contributed by Jeff Hankins, 10-Jul-2009.)  (Proof shortened
       by Mario Carneiro, 21-Aug-2015.) $)
    cnrest2 $p |- ( ( K e. ( TopOn ` Y ) /\ ran F C_ B /\ B C_ Y ) ->
        ( F e. ( J Cn K ) <-> F e. ( J Cn ( K |`t B ) ) ) ) $=
      ( vx vy ctopon cfv wcel wss wa co a1i sylib wb cima wral cvv wceq crn w3a
      ctop cuni wf ccn crest cntop1 wfn eqid cnf ffnd simp2 jctird df-f syl6ibr
      wi jcad adantl toptopon2 resttopon 3adant2 adantr simpr cnf2 syl3anc ccnv
      jca ex cin vex inex1 wrex simpl1 toponmax syl simpl3 ssexd elrest syl2anc
      imaeq2 eleq1d ralxfr2d wfun simplrr ffun inpreima cdm cnvimass cnvimarndm
      3syl sseqtrri simpll2 imass2 sstrid df-ss eqtrd ralbidva simprr biantrurd
      cv fssd 3bitrrd bitrd simprl iscn 3bitr4d pm5.21ndd ) DEHIZJZBUAZAKZAEKZU
      BZCUCJZCUDZABUEZLZBCDUFMJZBCDAUGMZUFMJZXNXSXOXQXSXOUQXNBCDUHNXNXSBXPUIZXL
      LXQXNXSYBXLXSYBUQXNXSXPDUDZBBCDXPYCXPUJYCUJUKULNXJXLXMUMUNXPABUOUPURXNYAX
      RXNYALZXOXQYAXOXNBCXTUHUSZYDCXPHIJZXTAHIJZYAXQYDXOYFYECUTZOXNYGYAXJXMYGXL
      ADEVAVBZVCXNYAVDBCXTXPAVEVFVHVIXNXRXSYAPXNXRLZXPEBUEZBVGZFXAZQZCJZFDRZLZX
      QYLGXAZQZCJZGXTRZLZXSYAYJYQUUAUUBYJUUAYLYMAVJZQZCJZFDRYPYQYJYTUUEGFUUCXTD
      SUUCSJYJYMDJZLZYMAFVKVLNYJXJASJYRXTJYRUUCTZFDVMPXJXLXMXRVNZYJAEDYJXJEDJUU
      IEDVOVPXJXLXMXRVQZVRFYRADXISVSVTUUHYTUUEPYJUUHYSUUDCYRUUCYLWAWBUSWCYJUUEY
      OFDUUGUUDYNCUUGUUDYNYLAQZVJZYNUUGXQBWDUUDUULTXNXOXQUUFWEXPABWFYMABWGWKUUG
      YNUUKKUULYNTUUGYNYLXKQZUUKYNBWHUUMBYMWIBWJWLUUGXLUUMUUKKXJXLXMXRUUFWMXKAY
      LWNVPWOYNUUKWPOWQWBWRYJYKYPYJXPAEBXNXOXQWSZUUJXBWTXCYJXQUUAUUNWTXDYJYFXJX
      SYQPYJXOYFXNXOXQXEYHOZUUIFBCDXPEXFVTYJYFYGYAUUBPUUOXNYGXRYIVCGBCXTXPAXFVT
      XGVIXH $.

    $( Equivalence of continuity in the parent topology and continuity in a
       subspace.  (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario
       Carneiro, 7-Jun-2014.) $)
    cnrest2r $p |- ( K e. Top -> ( J Cn ( K |`t B ) ) C_ ( J Cn K ) ) $=
      ( vf ctop wcel crest co ccn cv cuni cvv adantl ctopon cfv toptopon2 sylib
      wa wss syl3anc cin simpr wceq cntop2 restrcl eqid restin 3syl eleqtrd crn
      oveq2d wb simpl wf cntop1 inss2 resttopon sylancl cnf2 a1i cnrest2 mpbird
      frnd ex ssrdv ) CEFZDBCAGHZIHZBCIHZVFDJZVHFZVJVIFZVFVKRZVLVJBCACKZUAZGHZI
      HZFZVMVJVHVQVFVKUBVMVGVPBIVMVGEFZCLFALFRVGVPUCVKVSVFVJBVGUDMACUEACLLVNVNU
      FUGUHUKUIZVMCVNNOFZVJUJVOSVOVNSZVLVRULVMVFWAVFVKUMCPQZVMBKZVOVJVMBWDNOFZV
      PVONOFZVRWDVOVJUNVMBEFZWEVKWGVFVJBVGUOMBPQVMWAWBWFWCAVNUPZVOCVNUQURVTVJBV
      PWDVOUSTVCWBVMWHUTVOVJBCVNVATVBVDVE $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z F $.  $d x y z J $.  $d x y z K $.
    $d x y z P $.  $d x y z X $.  $d x y z Y $.
    cnprest.1 $e |- X = U. J $.
    $( One direction of ~ cnprest under the weaker condition that the point is
       in the subset rather than the interior of the subset.  (Contributed by
       Mario Carneiro, 9-Feb-2015.)  (Revised by Mario Carneiro,
       1-May-2015.) $)
    cnpresti $p |- ( ( A C_ X /\ P e. A /\ F e. ( ( J CnP K ) ` P ) ) ->
      ( F |` A ) e. ( ( ( J |`t A ) CnP K ) ` P ) ) $=
      ( vy vz vx wss wcel co cfv cv cima wa wrex cvv ctop ccnp w3a cres cuni wf
      crest wral eqid cnpf 3ad2ant3 simp1 fssresd simpl2 fvresd eleq1d cnpimaex
      wi 3expia 3ad2antl3 cin idd simp2 jctird elin syl6ibr inss1 imass2 sstrid
      ax-mp id anim12d1 reximdv vex inex1 wceq wb cnptop1 uniexd sseqtrdi ssexd
      elrest syl2anc simpr eleq2d imaeq2d inss2 resima2 eqtrdi anbi12d rexxfr2d
      a1i sseq1d sylibrd adantr syld sylbid ralrimiva ctopon toptopon resttopon
      sylib cnptop2 iscnp syl3anc mpbir2and ) AFKZBALZCBDEUAMNLZUBZCAUCZBDAUFMZ
      EUAMNLZAEUDZXJUEZBXJNZHOZLZBIOZLZXJXRPZXPKZQZIXKRZUQZHEUGZXIFXMACXHXFFXMC
      UEXGBCDEFXMGXMUHZUIUJXFXGXHUKZULXIYDHEXIXPELZQZXQBCNZXPLZYCYIXOYJXPYIBACX
      FXGXHYHUMUNUOYIYKBJOZLZCYLPZXPKZQZJDRZYCXHXFYHYKYQUQXGXHYHYKYQJXPBCDEUPUR
      USXIYQYCUQYHXIYQBYLAUTZLZCYRPZXPKZQZJDRYCXIYPUUBJDXIYMYSYOUUAXIYMYMXGQYSX
      IYMYMXGXIYMVAXFXGXHVBZVCBYLAVDVEYOYTYNXPYRYLKYTYNKYLAVFYRYLCVGVIYOVJVHVKV
      LXIYBUUBIJYRXKDSYRSLXIYLDLQYLAJVMVNWKXIDTLZASLXRXKLXRYRVOZJDRVPXHXFUUDXGB
      CDEVQUJZXIADUDZSXIDTUUFVRXIAFUUGYGGVSVTJXRADTSWAWBXIUUEQZXSYSYAUUAUUHXRYR
      BXIUUEWCZWDUUHXTYTXPUUHXTXJYRPZYTUUHXRYRXJUUIWEYRAKUUJYTVOYLAWFCYRAWGVIWH
      WLWIWJWMWNWOWPWQXIXKAWRNLZEXMWRNLZXGXLXNYEQVPXIDFWRNLZXFUUKXIUUDUUMUUFDFG
      WSXAYGADFWTWBXIETLZUULXHXFUUNXGBCDEXBUJEXMYFWSXAUUCIHBXJXKEAXMXCXDXE $.

    cnprest.2 $e |- Y = U. K $.
    $( Equivalence of continuity at a point and continuity of the restricted
       function at a point.  (Contributed by Mario Carneiro, 8-Aug-2014.) $)
    cnprest $p |- ( ( ( J e. Top /\ A C_ X ) /\
                      ( P e. ( ( int ` J ) ` A ) /\ F : X --> Y ) ) ->
      ( F e. ( ( J CnP K ) ` P ) <->
        ( F |` A ) e. ( ( ( J |`t A ) CnP K ) ` P ) ) ) $=
      ( vy vx vz wcel wss wa cfv wi wb cima wrex ctop cnt wf ccnp co cres crest
      cnptop2 a1i w3a cv ntrss2 3ad2ant1 simp2l sseldd fvresd eqcomd eleq1d cin
      wral inss1 imass2 sstr2 anim2i reximi simp1l ntropn 3com23 3expia syl2anc
      mp2b inopn elin simplbi2com syl sslin anim12d eleq2 imaeq2 sseq1d anbi12d
      wceq rspcev syl6 expdimp rexlimdva cbvrexvw syl6ib impbid2 cvv inex1 cuni
      uniexd simp1r sseqtrdi ssexd elrest rbaib sylan9bbr simpr imaeq2d resima2
      vex inss2 ax-mp eqtrdi rexxfr2d bitr4d imbi12d ralbidv simp2r iscnp2 baib
      simp3 syl3anc mpbirand fssresd toptopon sylib resttopon 3bitr4d pm5.21ndd
      ctopon iscnp ) DUAMZAFNZOZBADUBPPZMZFGCUCZOZOZEUAMZCBDEUDUEPMZCAUFZBDAUGU
      EZEUDUEPMZYNYMQYLBCDEUHUIYQYMQYLBYOYPEUHUIYGYKYMYNYQRYGYKYMUJZBCPZJUKZMZB
      KUKZMZCUUBSZYTNZOZKDTZQZJEUTZBYOPZYTMZBLUKZMZYOUULSZYTNZOZLYPTZQZJEUTZYNY
      QYRUUHUURJEYRUUAUUKUUGUUQYRYSUUJYTYRUUJYSYRBACYRYHABYGYKYHANZYMADFHULUMZY
      GYIYJYMUNZUOZUPUQURYRUUGUUCCUUBAUSZSZYTNZOZKDTZUUQYRUUGUVHUUFUVGKDUUEUVFU
      UCUVDUUBNUVEUUDNUUEUVFQUUBAVAUVDUUBCVBUVEUUDYTVCVKVDVEYRUVHUUMCUULSZYTNZO
      ZLDTZUUGYRUVGUVLKDYRUUBDMZUVGUVLYRUVMUVGOUUBYHUSZDMZBUVNMZCUVNSZYTNZOZOUV
      LYRUVMUVOUVGUVSYRYEYHDMZUVMUVOQYEYFYKYMVFZYGYKUVTYMADFHVGUMYEUVTUVMUVOYEU
      VMUVTUVOUUBYHDVLVHVIVJYRUUCUVPUVFUVRYRYIUUCUVPQUVBUVPUUCYIBUUBYHVMVNVOYRU
      VQUVENZUVFUVRQYRUVNUVDNZUWBYRUUTUWCUVAYHAUUBVPVOUVNUVDCVBVOUVQUVEYTVCVOVQ
      VQUVKUVSLUVNDUULUVNWBZUUMUVPUVJUVRUULUVNBVRUWDUVIUVQYTUULUVNCVSVTWAWCWDWE
      WFUVKUUFLKDUULUUBWBZUUMUUCUVJUUEUULUUBBVRUWEUVIUUDYTUULUUBCVSVTWAWGWHWIYR
      UUPUVGLKUVDYPDWJUVDWJMYRUVMOUUBAKXCWKUIYRYEAWJMUULYPMUULUVDWBZKDTRUWAYRAD
      WLZWJYRDUAUWAWMYRAFUWGYEYFYKYMWNZHWOWPKUULADUAWJWQVJYRUWFOZUUMUUCUUOUVFUW
      FUUMBUVDMZYRUUCUULUVDBVRYRBAMZUWJUUCRUVCUWJUUCUWKBUUBAVMWRVOWSUWIUUNUVEYT
      UWIUUNYOUVDSZUVEUWIUULUVDYOYRUWFWTXAUVDANUWLUVEWBUUBAXDCUVDAXBXEXFVTWAXGX
      HXIXJYRYNYJUUIYGYIYJYMXKZYRYEYMBFMZYNYJUUIOZRUWAYGYKYMXNZYRAFBUWHUVCUOYNY
      EYMUWNUJUWOKJBCDEFGHIXLXMXOXPYRYQAGYOUCZUUSYRFGACUWMUWHXQYRYPAYCPMZEGYCPM
      ZUWKYQUWQUUSORYRDFYCPMZYFUWRYRYEUWTUWADFHXRXSUWHADFXTVJYRYMUWSUWPEGIXRXSU
      VCLJBYOYPEAGYDXOXPYAVIYB $.

    $( Equivalence of point-continuity in the parent topology and
       point-continuity in a subspace.  (Contributed by Mario Carneiro,
       9-Aug-2014.)  (Revised by Mario Carneiro, 21-Aug-2015.) $)
    cnprest2 $p |- ( ( K e. Top /\ F : X --> B /\ B C_ Y ) ->
       ( F e. ( ( J CnP K ) ` P ) <-> F e. ( ( J CnP ( K |`t B ) ) ` P ) ) ) $=
      ( vx vy vz ctop wcel wss wa cfv wi wb cvv wf ccnp co crest cnptop1 cnprcl
      w3a jca a1i cv cima wrex wral cin simpl2 simprr ffvelrnd biantrud bitr4di
      elin imassrn frnd sstrid ssin bitrdi anbi2d rexbidv imbi12d ralbidv inex1
      crn vex wceq simpl1 uniexg eqeltrid syl simpl3 ssexd elrest syl2anc eleq2
      cuni sseq2 adantl ralxfr2d bitr4d fssd simprl iscnp2 baib mpbirand ctopon
      syl3anc toptopon sylib resttopon iscnp 3bitr4d ex pm5.21ndd ) EMNZFACUAZA
      GOZUGZDMNZBFNZPZCBDEUBUCQNZCBDEAUDUCZUBUCQNZXIXHRXEXIXFXGBCDEUEBCDEFHUFUH
      UIXKXHRXEXKXFXGBCDXJUEBCDXJFHUFUHUIXEXHXIXKSXEXHPZBCQZJUJZNZBKUJZNZCXPUKZ
      XNOZPZKDULZRZJEUMZXMLUJZNZXQXRYDOZPZKDULZRZLXJUMZXIXKXLYCXMXNAUNZNZXQXRYK
      OZPZKDULZRZJEUMYJXLYBYPJEXLXOYLYAYOXLXOXOXMANZPYLXLYQXOXLFABCXBXCXDXHUOZX
      EXFXGUPZUQURXMXNAUTUSXLXTYNKDXLXSYMXQXLXSXSXRAOZPYMXLYTXSXLXRCVKACXPVAXLF
      ACYRVBVCURXRXNAVDVEVFVGVHVIXLYIYPLJYKXJETYKTNXLXNENPXNAJVLVJUIXLXBATNYDXJ
      NYDYKVMZJEULSXBXCXDXHVNZXLAGTXLXBGTNUUBXBGEWCTIEMVOVPVQXBXCXDXHVRZVSJYDAE
      MTVTWAUUAYIYPSXLUUAYEYLYHYOYDYKXMWBUUAYGYNKDUUAYFYMXQYDYKXRWDVFVGVHWEWFWG
      XLXIFGCUAZYCXLFAGCYRUUCWHXLXFXBXGXIUUDYCPZSXEXFXGWIZUUBYSXIXFXBXGUGUUEKJB
      CDEFGHIWJWKWNWLXLXKXCYJYRXLDFWMQNZXJAWMQNZXGXKXCYJPSXLXFUUGUUFDFHWOWPXLEG
      WMQNZXDUUHXLXBUUIUUBEGIWOWPUUCAEGWQWAYSKLBCDXJFAWRWNWLWSWTXA $.
  $}

  ${
    $d f x y A $.  $d f x y J $.  $d f x y K $.  $d f x y X $.  $d f x y Y $.
    $d f x V $.
    $( Every function is continuous when the domain is discrete.  (Contributed
       by Mario Carneiro, 19-Mar-2015.)  (Revised by Mario Carneiro,
       21-Aug-2015.) $)
    cndis $p |- ( ( A e. V /\ J e. ( TopOn ` X ) ) ->
        ( ~P A Cn J ) = ( X ^m A ) ) $=
      ( vf vx wcel ctopon cfv wa cpw ccn co cmap cv wf ccnv cima wral wb adantl
      wss cdm cnvimass fdm sseqtrid elpw2g ad2antrr mpbird ralrimivw ex pm4.71d
      wceq toponmax id elmapg syl2anr distopon iscn sylan 3bitr4rd eqrdv ) ACGZ
      BDHIGZJZEAKZBLMZDANMZVEADEOZPZVJVIQFOZRZVFGZFBSZJZVIVHGZVIVGGZVEVJVNVEVJV
      NVEVJJZVMFBVRVMVLAUBZVRVIUCZVLAVIVKUDVJVTAUMVEADVIUEUAUFVCVMVSTVDVJVLACUG
      UHUIUJUKULVDDBGVCVPVJTVCDBUNVCUODAVIBCUPUQVCVFAHIGVDVQVOTACURFVIVFBADUSUT
      VAVB $.

    $( Every function is continuous when the codomain is indiscrete (trivial).
       (Contributed by Mario Carneiro, 9-Apr-2015.)  (Revised by Mario
       Carneiro, 21-Aug-2015.) $)
    cnindis $p |- ( ( J e. ( TopOn ` X ) /\ A e. V ) ->
      ( J Cn { (/) , A } ) = ( A ^m X ) ) $=
      ( vf vx ctopon cfv wcel wa c0 cima wceq ad2antrr imaeq2 eleq1d syl5ibrcom
      co cv wb cpr ccn cmap wf ccnv wral wo elpri ctop topontop 0opn syl eqtrdi
      ima0 fimacnv adantl toponmax eqeltrd jaod syl5 ralrimiv ex pm4.71d elmapg
      id syl2anr indistopon iscn sylan2 3bitr4rd eqrdv ) BDGHIZACIZJZEBKAUAZUBR
      ZADUCRZVNDAESZUDZVSVRUEZFSZLZBIZFVOUFZJZVRVQIZVRVPIZVNVSWDVNVSWDVNVSJZWCF
      VOWAVOIWAKMZWAAMZUGWHWCWAKAUHWHWIWCWJWHWCWIKBIZWHBUIIZWKVLWLVMVSDBUJNBUKU
      LWIWBKBWIWBVTKLKWAKVTOVTUNUMPQWHWCWJVTALZBIWHWMDBVSWMDMVNDAVRUOUPVLDBIZVM
      VSDBUQZNURWJWBWMBWAAVTOPQUSUTVAVBVCVMVMWNWFVSTVLVMVEWOADVRCBVDVFVMVLVOAGH
      IWGWETACVGFVRBVODAVHVIVJVK $.

    $( If ` A ` is an isolated point in ` X ` (or equivalently, the singleton
       ` { A } ` is open in ` X ` ), then every function is continuous at
       ` A ` .  (Contributed by Mario Carneiro, 9-Sep-2015.) $)
    cnpdis $p |- ( ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) /\ A e. X ) /\
       { A } e. J ) -> ( ( J CnP K ) ` A ) = ( Y ^m X ) ) $=
      ( vf vx vy ctopon cfv wcel w3a wa co cv wss syl wb expr toponmax csn ccnp
      cmap wf ccnv cima wrex wral simplrl simpll3 snidg simprr simplrr elpreima
      wi wfn ffn 3syl mpbir2and snssd wceq eleq2 sseq1 anbi12d rspcev ralrimiva
      syl12anc pm4.71d simpl2 simpl1 elmapd iscnp3 adantr 3bitr4rd eqrdv ) BDIJ
      KZCEIJKZADKZLZAUAZBKZMZFABCUBNJZEDUCNZWBDEFOZUDZWFAWEJGOZKZAHOZKZWIWEUEWG
      UFZPZMZHBUGZUOZGCUHZMZWEWDKWEWCKZWBWFWPVSWAWFWPVSWAWFMZMZWOGCWTWGCKZWHWNW
      TXAWHMZMZWAAVTKZVTWKPZWNVSWAWFXBUIXCVRXDVPVQVRWSXBUJZADUKQXCAWKXCAWKKZVRW
      HXFWTXAWHULXCWFWEDUPXGVRWHMRVSWAWFXBUMDEWEUQDAWGWEUNURUSUTWMXDXEMHVTBWIVT
      VAWJXDWLXEWIVTAVBWIVTWKVCVDVEVGSVFSVHWBEDWECBWBVQECKVPVQVRWAVIECTQWBVPDBK
      VPVQVRWAVJDBTQVKVSWRWQRWAHGAWEBCDEVLVMVNVO $.
  $}

  ${
    $d y F $.  $d y J $.  $d y K $.  $d y ph $.  $d y X $.  $d y Y $.
    paste.1 $e |- X = U. J $.
    paste.2 $e |- Y = U. K $.
    paste.4 $e |- ( ph -> A e. ( Clsd ` J ) ) $.
    paste.5 $e |- ( ph -> B e. ( Clsd ` J ) ) $.
    paste.6 $e |- ( ph -> ( A u. B ) = X ) $.
    paste.7 $e |- ( ph -> F : X --> Y ) $.
    paste.8 $e |- ( ph -> ( F |` A ) e. ( ( J |`t A ) Cn K ) ) $.
    paste.9 $e |- ( ph -> ( F |` B ) e. ( ( J |`t B ) Cn K ) ) $.
    $( Pasting lemma.  If ` A ` and ` B ` are closed sets in ` X ` with
       ` A u. B = X ` , then any function whose restrictions to ` A ` and ` B `
       are continuous is continuous on all of ` X ` .  (Contributed by Jeff
       Madsen, 2-Sep-2009.)  (Proof shortened by Mario Carneiro,
       21-Aug-2015.) $)
    paste $p |- ( ph -> F e. ( J Cn K ) ) $=
      ( vy co wcel cfv ccn wf ccnv cima ccld wral cres cun wceq cin ineq2d indi
      cv wfun ffund respreima uneq12d syl eqtr4id wss crn imassrn cdm dfdm4 fdm
      eqtr3id sseqtrid df-ss sylib 3eqtr3rd adantr crest cnclima sylan restcldr
      wa syl2an2r uncld syl2anc eqeltrd ralrimiva cldrcl cntop2 ctopon toptopon
      ctop wb iscncl syl2anb mpbir2and ) ADEFUARSZGHDUBZDUCZQUMZUDZEUETZSZQFUET
      ZUFZNAWQQWRAWNWRSZVPZWODBUGZUCWNUDZDCUGZUCWNUDZUHZWPAWOXFUIWTAWOBCUHZUJZW
      OGUJZXFWOAXGGWOMUKAXHWOBUJZWOCUJZUHZXFWOBCULADUNZXFXLUIAGHDNUOXMXCXJXEXKW
      NBDUPWNCDUPUQURUSAWOGUTZXIWOUIAWLXNNWLWMVAZWOGWMWNVBWLXODVCGDVDGHDVEVFVGU
      RWOGVHVIVJVKXAXCWPSZXEWPSZXFWPSABWPSZWTXCEBVLRZUETSZXPKAXBXSFUARSZWTXTOWN
      XBXSFVMVNBXCEVOVQACWPSWTXEECVLRZUETSZXQLAXDYBFUARSWTYCPWNXDYBFVMVNCXEEVOV
      QXCXEEVRVSVTWAAEWFSZFWFSZWKWLWSVPWGZAXRYDKBEWBURAYAYEOXBXSFWCURYDEGWDTSFH
      WDTSYFYEEGIWEFHJWEQDEFGHWHWIVSWJ $.
  $}

  ${
    $d u y F $.  $d u y J $.  $d u P $.  $d u y X $.
    $( If ` F ` converges, then ` F ` is a partial function.  (Contributed by
       Mario Carneiro, 23-Dec-2013.) $)
    lmfpm $p |- ( ( J e. ( TopOn ` X ) /\ F ( ~~>t ` J ) P ) ->
      F e. ( X ^pm CC ) ) $=
      ( vu vy ctopon cfv wcel clm wbr wa cc cpm co cv cres wf cuz crn wrex wral
      wi w3a id lmbr biimpa simp1d ) CDGHIZBACJHKZLBDMNOIZADIZAEPZIFPZUMBUNQRFS
      TUAUCECUBZUIUJUKULUOUDUIFEABCDUIUEUFUGUH $.

    $( Inclusion of a function having a limit (used to ensure the limit
       relation is a set, under our definition).  (Contributed by NM,
       7-Dec-2006.)  (Revised by Mario Carneiro, 23-Dec-2013.) $)
    lmfss $p |- ( ( J e. ( TopOn ` X ) /\ F ( ~~>t ` J ) P ) ->
      F C_ ( CC X. X ) ) $=
      ( ctopon cfv wcel clm wbr wa wfun cc cxp wss cpm co lmfpm wb cvv toponmax
      cnex elpmg sylancl adantr mpbid simprd ) CDEFGZBACHFIZJZBKZBLDMNZUIBDLOPG
      ZUJUKJZABCDQUGULUMRZUHUGDCGLSGUNDCTUADLBCSUBUCUDUEUF $.

    $( Closure of a limit.  (Contributed by NM, 19-Dec-2006.)  (Revised by
       Mario Carneiro, 23-Dec-2013.) $)
    lmcl $p |- ( ( J e. ( TopOn ` X ) /\ F ( ~~>t ` J ) P ) -> P e. X ) $=
      ( vu vy ctopon cfv wcel clm wbr wa cc cpm co cv cres wf cuz crn wrex wral
      wi w3a id lmbr biimpa simp2d ) CDGHIZBACJHKZLBDMNOIZADIZAEPZIFPZUMBUNQRFS
      TUAUCECUBZUIUJUKULUOUDUIFEABCDUIUEUFUGUH $.
  $}

  ${
    $d j k u v F $.  $d j k u v J $.  $d j k u v K $.  $d j k u v ph $.
    $d j k M $.  $d j k u v P $.  $d j k u v Y $.  $d j k u v Z $.
    lmss.1 $e |- K = ( J |`t Y ) $.
    lmss.2 $e |- Z = ( ZZ>= ` M ) $.
    lmss.3 $e |- ( ph -> Y e. V ) $.
    lmss.4 $e |- ( ph -> J e. Top ) $.
    lmss.5 $e |- ( ph -> P e. Y ) $.
    lmss.6 $e |- ( ph -> M e. ZZ ) $.
    lmss.7 $e |- ( ph -> F : Z --> Y ) $.
    $( Limit on a subspace.  (Contributed by NM, 30-Jan-2008.)  (Revised by
       Mario Carneiro, 30-Dec-2013.) $)
    lmss $p |- ( ph -> ( F ( ~~>t ` J ) P <-> F ( ~~>t ` K ) P ) ) $=
      ( vu wcel wa adantr vk vj cuni crn wss clm cfv wbr ctopon toptopon2 sylib
      vv ctop lmcl sylan cc cxp lmfss rnss syl rnxpss sstrdi jca cin resttopon2
      ex crest co syl2anc eqeltrid elin2d inss2 wb cv wral wrex wi simprl elind
      2thd wceq eleq2i elrest biimpa sylan2b r19.29r biantrud bitr4di uztrn2 wf
      elin ffvelrnda sylan2 anassrs ralbidva rexbidva imbi12d biimpd rexralbidv
      cuz eleq2 imbi2d syl5ibrcom impd rexlimdva expdimp syldan ralrimdva simpr
      syl5 elrestr syl3anc eleqtrrdi rspcv sylibrd impbid anbi12d cz wfn simprr
      ffnd df-f sylanbrc eqidd lmbrf frnd ssind 3bitr4d pm5.21ndd ) ABDUCZRZCUD
      ZYJUEZSZCBDUFUGUHZCBEUFUGUHZAYOYNAYOSZYKYMADYJUIUGRZYOYKADUMRZYRMDUJZUKZB
      CDYJUNUOYQYLUPYJUQZUDZYJYQCUUBUEZYLUUCUEAYRYOUUDUUABCDYJURUOCUUBUSUTUPYJV
      AVBVCVFAYPYNAYPSZYKYMUUEHYJBAEHYJVDZUIUGZRZYPBUUFRZAEDHVGVHZUUGJAYRHGRZUU
      JUUGRUUALHDGYJVEVIVJZBCEUUFUNUOVKUUEYLUUFYJUUEYLUPUUFUQZUDZUUFUUECUUMUEZY
      LUUNUEAUUHYPUUOUULBCEUUFURUOCUUMUSUTUPUUFVAVBHYJVLVBVCVFAYNYOYPVMAYNSZYKB
      QVNZRZUAVNZCUGZUUQRZUAUBVNZWTUGZVOZUBIVPZVQZQDVOZSUUIBULVNZRZUUTUVHRZUAUV
      CVOUBIVPZVQZULEVOZSYOYPUUPYKUUIUVGUVMUUPYKUUIAYKYMVRZUUPHYJBABHRZYNNTZUVN
      VSVTUUPUVGUVMUUPUVGUVLULEUUPUVHERZUVHUUQHVDZWAZQDVPZUVGUVLVQUVQUUPUVHUUJR
      ZUVTEUUJUVHJWBUUPUWAUVTUUPYSUUKUWAUVTVMAYSYNMTZAUUKYNLTZQUVHHDUMGWCVIWDWE
      UUPUVTUVGUVLUVTUVGSUVSUVFSZQDVPUUPUVLUVSUVFQDWFUUPUWDUVLQDUUPUUQDRZSZUVSU
      VFUVLUWFUVFUVLVQUVSUVFBUVRRZUUTUVRRZUAUVCVOZUBIVPZVQZVQUWFUVFUWKUUPUVFUWK
      VMUWEUUPUURUWGUVEUWJUUPUURUURUVOSUWGUUPUVOUURUVPWGBUUQHWKWHUUPUVDUWIUBIUU
      PUVBIRZSUVAUWHUAUVCUUPUWLUUSUVCRZUVAUWHVMZUWLUWMSUUPUUSIRZUWNFUUSUVBIKWIU
      UPUWOSZUVAUVAUUTHRZSUWHUWPUWQUVAUUPIHUUSCAIHCWJYNPTZWLWGUUTUUQHWKWHWMWNWO
      WPWQTZWRUVSUVLUWKUVFUVSUVIUWGUVKUWJUVHUVRBXAUVSUVJUWHUBUAIUVCUVHUVRUUTXAW
      SWQZXBXCXDXEXJXFXGXHUUPUVMUVFQDUWFUVMUWKUVFUWFUVRERUVMUWKVQUWFUVRUUJEUWFY
      SUUKUWEUVRUUJRUUPYSUWEUWBTUUPUUKUWEUWCTUUPUWEXIUUQHDUMGXKXLJXMUVLUWKULUVR
      EUWTXNUTUWSXOXHXPXQUUPQUUTBUBUACDFYJIUUPYSYRUWBYTUKKAFXRRYNOTZUUPCIXSZYMI
      YJCWJUUPIHCUWRYAZAYKYMXTZIYJCYBYCUWPUUTYDZYEUUPULUUTBUBUACEFUUFIAUUHYNUUL
      TKUXAUUPUXBYLUUFUEIUUFCWJUXCUUPYLHYJUUPIHCUWRYFUXDYGIUUFCYBYCUXEYEYHVFYI
      $.
  $}

  ${
    $d f u x y J $.  $d f u x y K $.  $d f x y X $.
    $( A finer topology has fewer convergent sequences (but the sequences that
       do converge, converge to the same value).  (Contributed by Mario
       Carneiro, 15-Sep-2015.) $)
    sslm $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` X ) /\ J C_ K ) ->
                 ( ~~>t ` K ) C_ ( ~~>t ` J ) ) $=
      ( vf vx vu vy ctopon cfv wcel wss w3a cv wral copab clm idd wceq lmfval
      cc cpm co cres wf cuz crn wi ssralv 3anim123d ssopab2dv 3ad2ant3 3ad2ant2
      wrex 3ad2ant1 3sstr4d ) ACHIZJZBUPJZABKZLDMZCTUAUBJZEMZCJZVBFMZJGMZVDUTVE
      UCUDGUEUFUMUGZFBNZLZDEOZVAVCVFFANZLZDEOZBPIZAPIZUSUQVIVLKURUSVHVKDEUSVAVA
      VCVCVGVJUSVAQUSVCQVFFABUHUIUJUKURUQVMVIRUSEGFDBCSULUQURVNVLRUSEGFDACSUNUO
      $.
  $}

  ${
    $d j k u F $.  $d j k u J $.  $d j k u M $.  $d j k u P $.  $d j k u ph $.
    $d j k u X $.
    lmres.2 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    lmres.4 $e |- ( ph -> F e. ( X ^pm CC ) ) $.
    lmres.5 $e |- ( ph -> M e. ZZ ) $.
    $( A function converges iff its restriction to an upper integers set
       converges.  (Contributed by Mario Carneiro, 31-Dec-2013.) $)
    lmres $p |- ( ph -> ( F ( ~~>t ` J ) P <->
                          ( F |` ( ZZ>= ` M ) ) ( ~~>t ` J ) P ) ) $=
      ( vu vk vj cuz cfv cc wcel cv wa wral cvv cres cpm co cdm wrex wi w3a clm
      wbr wss ctopon toponmax syl cnex ssid uzssz zsscn pmss12g mpanl12 sylancl
      cz sstri fvex pmresg sylancr sseldd 2thd wb eqid uztrn2 dmres elin2 fvres
      eleq1d anbi12d ralbidva rexbiia imbi2i ralbii a1i 3anbi13d lmbr2 3bitr4rd
      baib ) ACEMNZUAZFOUBUCZPZBFPZBJQZPZKQZWFUDZPZWLWFNZWJPZRZKLQZMNZSZLWEUEZU
      FZJDSZUGCWGPZWIWKWLCUDZPZWLCNZWJPZRZKWSSZLWEUEZUFZJDSZUGWFBDUHNZUICBXNUIA
      WHXDXCXMWIAWHXDAFWEUBUCZWGWFAFDPZOTPZXOWGUJZADFUKNPXPGFDULUMUNFFUJWEOUJXP
      XQRXRFUOWEVAOEUPUQVBFWEFODTURUSUTAWETPXDWFXOPEMVCHFWEOCTVDVEVFHVGXCXMVHAX
      BXLJDXAXKWKWTXJLWEWRWEPZWQXIKWSXSWLWSPRWLWEPZWQXIVHEWLWRWEWEVIZVJXTWNXFWP
      XHWNXTXFWLWEXEWMCWEVKVLWDXTWOXGWJWLWECVMVNVOUMVPVQVRVSVTWAAJBLKWFDEFWEGYA
      IWBAJBLKCDEFWEGYAIWBWC $.
  $}

  ${
    $d j k u x y F $.  $d j k u x y J $.  $d j k M $.  $d j k u P $.
    $d k u S $.  $d j k u y ph $.  $d j k u x y X $.  $d j k u x Z $.
    lmff.1 $e |- Z = ( ZZ>= ` M ) $.
    lmff.3 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    lmff.4 $e |- ( ph -> M e. ZZ ) $.
    ${
      lmff.5 $e |- ( ph -> F e. dom ( ~~>t ` J ) ) $.
      $( If ` F ` converges, there is some upper integer set on which ` F ` is
         a total function.  (Contributed by Mario Carneiro, 31-Dec-2013.) $)
      lmff $p |- ( ph ->
                   E. j e. Z ( F |` ( ZZ>= ` j ) ) : ( ZZ>= ` j ) --> X ) $=
        ( vx vy cuz cfv wf wrex cz wcel syl cres crn clm wbr cop wex cdm eldm2g
        cv ibi df-br exbii sylibr wa ctopon lmcl sylan wi eleq2 rexbidv imbi12d
        wceq feq3 cc cpm co wral w3a lmbr biimpa simp3d toponmax adantr rspcdva
        mpd exlimddv cpw wfn wb uzf ffn reseq2 id feq12d rexrn mp2b rexuz3 wfun
        sylib simp1d pmfun ffvresb 3bitr4d mpbird ) ABUIZNOZFCWPUAZPZBGQZWRBRQZ
        ALUIZFCXAUAZPZLNUBZQZWTACMUIZDUCOZUDZXEMACXFUEXGSZMUFZXHMUFACXGUGZSZXJK
        XLXJMCXGXKUHUJTXHXIMCXFXGUKULUMZAXHUNZXFFSZXEADFUOOSZXHXOIXFCDFUPUQXNXF
        WOSZXAWOXBPZLXDQZURZXOXEURBDFWOFVBZXQXOXSXEWOFXFUSYAXRXCLXDWOFXAXBVCUTV
        AXNCFVDVEVFSZXOXTBDVGZAXHYBXOYCVHALBXFCDFIVIVJZVKAFDSZXHAXPYEIFDVLTVMVN
        VOVPRRVQZNPNRVRXEWTVSVTRYFNWAXCWRLBRNXAWPVBZXAWPFXBWQXAWPCWBYGWCWDWEWFW
        IAXACUGSXACOFSUNZLWPVGZBGQZYIBRQZWSWTAERSYJYKVSJYHBLEGHWGTAWRYIBGACWHZW
        RYIVSAYBYLAXHYBMXMXNYBXOYCYDWJVPFVDCWKTLWPFCWLTZUTAWRYIBRYMUTWMWN $.
    $}

    lmcls.5 $e |- ( ph -> F ( ~~>t ` J ) P ) $.
    lmcls.7 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. S ) $.
    ${
      lmcls.8 $e |- ( ph -> S C_ X ) $.
      $( Any convergent sequence of points in a subset of a topological space
         converges to a point in the closure of the subset.  (Contributed by
         Mario Carneiro, 30-Dec-2013.)  (Revised by Mario Carneiro,
         1-May-2014.) $)
      lmcls $p |- ( ph -> P e. ( ( cls ` J ) ` S ) ) $=
        ( vu vj cfv wcel cv ccl cin c0 wne wi wral cdm wa cuz cc cpm co clm wbr
        wrex w3a lmbr2 mpbid simp3d r19.2uz inelcm a1i mpan2d adantld rexlimdva
        syl5 imim2d ralimdv mpd ctop cuni wss ctopon topontop syl wceq toponuni
        wb sseqtrd lmcl syl2anc eleqtrd eqid elcls syl3anc mpbird ) ABCFUARRSZB
        PTZSZWHCUBUCUDZUEZPFUFZAWIDTZEUGSZWMERZWHSZUHZDQTUIRUFQIUOZUEZPFUFZWLAE
        HUJUKULSZBHSZWTAEBFUMRUNZXAXBWTUPMAPBQDEFGHIKJLUQURUSAWSWKPFAWRWJWIWRWQ
        DIUOAWJWQQDGIJUTAWQWJDIAWMISUHZWPWJWNXDWPWOCSZWJNWPXEUHWJUEXDWOWHCVAVBV
        CVDVEVFVGVHVIAFVJSZCFVKZVLBXGSWGWLVRAFHVMRSZXFKHFVNVOACHXGOAXHHXGVPKHFV
        QVOZVSABHXGAXHXCXBKMBEFHVTWAXIWBPBCFXGXGWCWDWEWF $.
    $}

    lmcld.8 $e |- ( ph -> S e. ( Clsd ` J ) ) $.
    $( Any convergent sequence of points in a closed subset of a topological
       space converges to a point in the set.  (Contributed by Mario Carneiro,
       30-Dec-2013.) $)
    lmcld $p |- ( ph -> P e. S ) $=
      ( ccl cfv wcel syl wceq cuni ccld wss eqid cldss ctopon toponuni sseqtrrd
      lmcls cldcls eleqtrd ) ABCFPQQZCABCDEFGHIJKLMNACFUAZHACFUBQRZCUMUCOCFUMUM
      UDUESAFHUFQRHUMTKHFUGSUHUIAUNULCTOCFUJSUK $.
  $}

  ${
    $d j k u v F $.  $d j k u v G $.  $d j k u v K $.  $d j k u v ph $.
    $d j k v J $.  $d j k u v P $.
    lmcnp.3 $e |- ( ph -> F ( ~~>t ` J ) P ) $.
    ${
      lmcnp.4 $e |- ( ph -> G e. ( ( J CnP K ) ` P ) ) $.
      $( The image of a convergent sequence under a continuous map is
         convergent to the image of the original point.  (Contributed by Mario
         Carneiro, 3-May-2014.) $)
      lmcnp $p |- ( ph -> ( G o. F ) ( ~~>t ` K ) ( G ` P ) ) $=
        ( vu vk vj vv cfv cc wcel wa cn wrex syl cvv ccom clm wbr cpm co cv cdm
        cuni cuz wral wi wf wss ccnp eqid cnpf c1 ctop ctopon cnptop1 toptopon2
        sylib nnuz 1zzd lmbr2 mpbid simp1d wb uniexd cnex elpm2g sylancl simpld
        w3a syl2anc ffdmd fdmd simprd eqsstrd cnptop2 mpbir2and simp2d ffvelrnd
        fco cima simp3d adantr cnpimaex 3expb sylan r19.29 pm3.45 imp ad3antrrr
        reximi ffnd simplrl elssuni fnfvima 3expia wceq ad2antrr eleq1d sylibrd
        wfn fvco3 simplrr sseld syld simpr eleqtrrd jctild expimpd ralimdv expr
        reximdv impcomd rexlimdva syl5 mp2and ralrimiva mpbir3and ) ADCUAZBDMZF
        UBMUCYCFUHZNUDUEOZYDYEOYDIUFZOZJUFZYCUGZOZYIYCMZYGOZPZJKUFUIMZUJZKQRZUK
        ZIFUJAYFYJYEYCULZYJNUMZACUGZYEYCAEUHZYEDULZUUAUUBCULZUUAYEYCULADBEFUNUE
        MOZUUCHBDEFUUBYEUUBUOYEUOUPSZAUUDUUANUMZACUUBNUDUEOZUUDUUGPZAUUHBUUBOZB
        LUFZOZYIUUAOZYICMZUUKOZPZJYOUJZKQRZUKZLEUJZACBEUBMUCUUHUUJUUTVNGALBKJCE
        UQUUBQAEUROZEUUBUSMOAUUEUVAHBDEFUTSZEVAVBVCAVDZVEVFZVGAUUBTONTOZUUHUUIV
        HAEURUVBVIVJUUBNCTTVKVLVFZVMZUUAUUBYEDCWDVOZVPAYJUUANAUUAYEYCUVHVQZAUUD
        UUGUVFVRVSAYETOUVEYFYSYTPVHAFURAUUEFUROZHBDEFVTSZVIVJYENYCTTVKVLWAAUUBY
        EBDUUFAUUHUUJUUTUVDWBWCAYRIFAYGFOZYHYQAUVLYHPZPZUUTUULDUUKWEZYGUMZPZLER
        ZYQAUUTUVMAUUHUUJUUTUVDWFWGAUUEUVMUVRHUUEUVLYHUVRLYGBDEFWHWIWJUUTUVRPZU
        URUVPPZLERZUVNYQUVSUUSUVQPZLERUWAUUSUVQLEWKUWBUVTLEUUSUVQUVTUULUURUVPWL
        WMWOSUVNUVTYQLEUVNUUKEOZPUVPUURYQUVNUWCUVPUURYQUKUVNUWCUVPPZPZUUQYPKQUW
        EUUPYNJYOUWEUUMUUOYNUWEUUMPZUUOYMYKUWFUUOYLUVOOZYMUWFUUOUUNDMZUVOOZUWGU
        WFDUUBXEZUUKUUBUMZUUOUWIUKUWFUUBYEDAUUCUVMUWDUUMUUFWNWPUWFUWCUWKUVNUWCU
        VPUUMWQUUKEWRSUWJUWKUUOUWIUUBUUKDUUNWSWTVOUWFYLUWHUVOUWEUUDUUMYLUWHXAAU
        UDUVMUWDUVGXBUUAUUBYIDCXFWJXCXDUWFUVOYGYLUVNUWCUVPUUMXGXHXIUWFYIUUAYJUW
        EUUMXJAYJUUAXAUVMUWDUUMUVIWNXKXLXMXNXPXOXQXRXSXTXOYAAIYDKJYCFUQYEQAUVJF
        YEUSMOUVKFVAVBVCUVCVEYB $.
    $}

    lmcn.4 $e |- ( ph -> G e. ( J Cn K ) ) $.
    $( The image of a convergent sequence under a continuous map is convergent
       to the image of the original point.  (Contributed by Mario Carneiro,
       3-May-2014.) $)
    lmcn $p |- ( ph -> ( G o. F ) ( ~~>t ` K ) ( G ` P ) ) $=
      ( ccn co wcel cuni ccnp cfv ctopon clm wbr ctop cntop1 syl2anc sylib lmcl
      syl toptopon2 eqid cncnpi lmcnp ) ABCDEFGADEFIJKZBELZKZDBEFMJNKHAEUIONKZC
      BEPNQUJAERKZUKAUHULHDEFSUCEUDUAGBCEUIUBTBDEFUIUIUEUFTUG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Separated spaces: T0, T1, T2 (Hausdorff) ...
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Kol2 $.
  $c Fre $. $( The class of all the T1-spaces. $)
  $c Haus $. $( Declare new symbol for Hausdorff space. $)
  $c Reg $.
  $c Nrm $.
  $c CNrm $.
  $c PNrm $.

  $( Extend class notation with the class of all T0 spaces. $)
  ct0 $a class Kol2 $.

  $( Extend class notation to include T_1 spaces (also called Fr&eacute;chet
     spaces). $)
  ct1 $a class Fre $.

  $( Extend class notation with the class of all Hausdorff spaces. $)
  cha $a class Haus $.

  $( Extend class notation with the class of all regular topologies. $)
  creg $a class Reg $.

  $( Extend class notation with the class of all normal topologies. $)
  cnrm $a class Nrm $.

  $( Extend class notation with the class of all completely normal
     topologies. $)
  ccnrm $a class CNrm $.

  $( Extend class notation with the class of all perfectly normal
     topologies. $)
  cpnrm $a class PNrm $.

  ${
    $d a f j m n o x y z $.
    $( Define T_0 or Kolmogorov spaces.  A T_0 space satisfies a kind of
       "topological extensionality" principle (compare ~ ax-ext ): any two
       points which are members of the same open sets are equal, or in
       contraposition, for any two distinct points there is an open set which
       contains one point but not the other.  This differs from T_1 spaces (see
       ~ ist1-2 ) in that in a T_1 space you can choose which point will be in
       the open set and which outside; in a T_0 space you only know that one of
       the two points is in the set.  (Contributed by Jeff Hankins,
       1-Feb-2010.) $)
    df-t0 $a |- Kol2 = { j e. Top | A. x e. U. j A. y e. U. j
      ( A. o e. j ( x e. o <-> y e. o ) -> x = y ) } $.

    $( The class of all T_1 spaces, also called Fr&eacute;chet spaces.  Morris,
       Topology without tears, p. 30 ex. 3.  (Contributed by FL,
       18-Jun-2007.) $)
    df-t1 $a |- Fre = { x e. Top | A. a e. U. x { a } e. ( Clsd ` x ) } $.

    $( Define the class of all Hausdorff (or T_2) spaces.  A Hausdorff space is
       a topology in which distinct points have disjoint open neighborhoods.
       Definition of Hausdorff space in [Munkres] p. 98.  (Contributed by NM,
       8-Mar-2007.) $)
    df-haus $a |- Haus = { j e. Top | A. x e. U. j A. y e. U. j ( x =/= y ->
           E. n e. j E. m e. j ( x e. n /\ y e. m /\ ( n i^i m ) = (/) ) ) } $.

    $( Define regular spaces.  A space is regular if a point and a closed set
       can be separated by neighborhoods.  (Contributed by Jeff Hankins,
       1-Feb-2010.) $)
    df-reg $a |- Reg = { j e. Top | A. x e. j A. y e. x
      E. z e. j ( y e. z /\ ( ( cls ` j ) ` z ) C_ x ) } $.

    $( Define normal spaces.  A space is normal if disjoint closed sets can be
       separated by neighborhoods.  (Contributed by Jeff Hankins,
       1-Feb-2010.) $)
    df-nrm $a |- Nrm = { j e. Top | A. x e. j A. y e. ( ( Clsd ` j ) i^i ~P x )
      E. z e. j ( y C_ z /\ ( ( cls ` j ) ` z ) C_ x ) } $.

    $( Define completely normal spaces.  A space is completely normal if all
       its subspaces are normal.  (Contributed by Mario Carneiro,
       26-Aug-2015.) $)
    df-cnrm $a |- CNrm = { j e. Top | A. x e. ~P U. j ( j |`t x ) e. Nrm } $.

    $( Define perfectly normal spaces.  A space is perfectly normal if it is
       normal and every closed set is a G_&delta; set, meaning that it is a
       countable intersection of open sets.  (Contributed by Mario Carneiro,
       26-Aug-2015.) $)
    df-pnrm $a |- PNrm = { j e. Nrm | ( Clsd ` j ) C_
      ran ( f e. ( j ^m NN ) |-> |^| ran f ) } $.
  $}

  ${
    $d o x y z A $.  $d o x z B $.  $d a j m n o x y z J $.  $d j o x y z X $.
    $d m n x y P $.  $d m n y Q $.
    ist0.1 $e |- X = U. J $.
    $( The predicate "is a T_0 space".  Every pair of distinct points is
       topologically distinguishable.  For the way this definition is usually
       encountered, see ~ ist0-3 .  (Contributed by Jeff Hankins,
       1-Feb-2010.) $)
    ist0 $p |- ( J e. Kol2 <-> ( J e. Top /\ A. x e. X A. y e. X
      ( A. o e. J ( x e. o <-> y e. o ) -> x = y ) ) ) $=
      ( vj wel wb cv wral wceq wi cuni ctop ct0 unieq eqtr4di raleq raleqbidv
      imbi1d df-t0 elrab2 ) ACHBCHIZCGJZKZAJBJLZMZBUENZKZAUIKUDCDKZUGMZBEKZAEKG
      DOPUEDLZUJUMAUIEUNUIDNEUEDQFRZUNUHULBUIEUOUNUFUKUGUDCUEDSUATTABGCUBUC $.

    $( The predicate "is a T_1 space".  (Contributed by FL, 18-Jun-2007.) $)
    ist1 $p |- ( J e. Fre <->
      ( J e. Top /\ A. a e. X { a } e. ( Clsd ` J ) ) ) $=
      ( vx csn ccld cfv wcel cuni wral ctop ct1 wceq unieq eqtr4di fveq2 eleq2d
      cv raleqbidv df-t1 elrab2 ) CSFZESZGHZIZCUDJZKUCAGHZIZCBKEALMUDANZUFUICUG
      BUJUGAJBUDAODPUJUEUHUCUDAGQRTECUAUB $.

    $( The predicate "is a Hausdorff space".  (Contributed by NM,
       8-Mar-2007.) $)
    ishaus $p |- ( J e. Haus <-> ( J e. Top /\ A. x e. X A. y e. X ( x =/= y ->
               E. n e. J E. m e. J ( x e. n /\ y e. m /\
                   ( n i^i m ) = (/) ) ) ) ) $=
      ( vj cv wne wel cin c0 wceq w3a wrex wi cuni wral raleqbidv unieq eqtr4di
      ctop cha rexeq rexeqbi1dv imbi2d df-haus elrab2 ) AIBIJZADKBCKDICILMNOZCH
      IZPZDULPZQZBULRZSZAUPSUJUKCEPZDEPZQZBFSZAFSHEUCUDULENZUQVAAUPFVBUPERFULEU
      AGUBZVBUOUTBUPFVCVBUNUSUJUMURDULEUKCULEUEUFUGTTABHCDUHUI $.

    $( The property of being completely or hereditarily normal.  (Contributed
       by Mario Carneiro, 26-Aug-2015.) $)
    iscnrm $p |- ( J e. CNrm <->
        ( J e. Top /\ A. x e. ~P X ( J |`t x ) e. Nrm ) ) $=
      ( vj cv crest cnrm wcel cuni cpw wral ctop ccnrm wceq unieq eqtr4di pweqd
      co oveq1 eleq1d raleqbidv df-cnrm elrab2 ) EFZAFZGSZHIZAUEJZKZLBUFGSZHIZA
      CKZLEBMNUEBOZUHULAUJUMUNUICUNUIBJCUEBPDQRUNUGUKHUEBUFGTUAUBAEUCUD $.

    $( Any two topologically indistinguishable points in a T_0 space are
       identical.  (Contributed by Mario Carneiro, 25-Aug-2015.) $)
    t0sep $p |- ( ( J e. Kol2 /\ ( A e. X /\ B e. X ) ) ->
      ( A. x e. J ( A e. x <-> B e. x ) -> A = B ) ) $=
      ( vy vz ct0 wcel cv wb wral wceq wi wa ctop eleq1 ralbidv imbi12d simprbi
      ist0 bibi1d eqeq1 bibi2d eqeq2 rspc2va ancoms sylan ) DIJZGKZAKZJZHKZULJZ
      LZADMZUKUNNZOZHEMGEMZBEJCEJPZBULJZCULJZLZADMZBCNZOZUJDQJUTGHADEFUBUAVAUTV
      GUSVGVBUOLZADMZBUNNZOGHBCEEUKBNZUQVIURVJVKUPVHADVKUMVBUOUKBULRUCSUKBUNUDT
      UNCNZVIVEVJVFVLVHVDADVLUOVCVBUNCULRUESUNCBUFTUGUHUI $.

    $( Any two distinct points in a T_0 space are topologically
       distinguishable.  (Contributed by Jeff Hankins, 1-Feb-2010.) $)
    t0dist $p |- ( ( J e. Kol2 /\ ( A e. X /\ B e. X /\ A =/= B ) ) -> E. o e.
    J -. ( A e. o <-> B e. o ) ) $=
      ( ct0 wcel wne w3a wa cv wb wral wn wrex wi t0sep necon3ad exp32 rexnal
      3imp2 sylibr ) DGHZAEHZBEHZABIZJKACLZHBUHHMZCDNZOZUIOCDPUDUEUFUGUKUDUEUFU
      GUKQUDUEUFKKUJABCABDEFRSTUBUICDUAUC $.

    $( In a T_1 space, singletons are closed.  (Contributed by Jeff Hankins,
       1-Feb-2010.) $)
    t1sncld $p |- ( ( J e. Fre /\ A e. X ) -> { A } e. ( Clsd ` J ) ) $=
      ( vx ct1 wcel csn ccld cfv ctop cv wral ist1 wceq eleq1d rspccv simplbiim
      wi sneq imp ) BFGZACGZAHZBIJZGZUBBKGELZHZUEGZECMUCUFSBCEDNUIUFEACUGAOUHUD
      UEUGATPQRUA $.

    $( In a T_1 space, finite sets are closed.  (Contributed by Mario Carneiro,
       25-Dec-2016.) $)
    t1ficld $p |- ( ( J e. Fre /\ A C_ X /\ A e. Fin ) ->
      A e. ( Clsd ` J ) ) $=
      ( vx ct1 wcel wss cfn w3a csn ciun ccld cfv iunid ctop wral ist1 simplbi
      cv 3ad2ant1 simp3 simprbi ssralv mpan9 3adant3 iuncld syl3anc eqeltrrid )
      BFGZACHZAIGZJZAEAETKZLZBMNZEAOUMBPGZULUNUPGZEAQZUOUPGUJUKUQULUJUQURECQZBC
      EDRZSUAUJUKULUBUJUKUSULUJUTUKUSUJUQUTVAUCUREACUDUEUFEAUNBCDUGUHUI $.

    $( Neighborhood property of a Hausdorff space.  (Contributed by NM,
       8-Mar-2007.) $)
    hausnei $p |- ( ( J e. Haus /\ ( P e. X /\ Q e. X /\ P =/= Q ) ) ->
           E. n e. J E. m e. J ( P e. n /\ Q e. m /\
                   ( n i^i m ) = (/) ) ) $=
      ( vx vy wcel wne cv wceq w3a wrex wi wral eleq1 2rexbidv imbi12d cha ctop
      cin c0 wa ishaus simprbi neeq1 3anbi1d neeq2 3anbi2d rspc2v syl5 ex com3r
      3imp2 ) EUAJZAFJZBFJZABKZADLZJZBCLZJZVAVCUCUDMZNZCEODEOZURUSUQUTVGPZURUSU
      QVHPUQHLZILZKZVIVAJZVJVCJZVENZCEODEOZPZIFQHFQZURUSUEVHUQEUBJVQHICDEFGUFUG
      VPVHAVJKZVBVMVENZCEODEOZPHIABFFVIAMZVKVRVOVTVIAVJUHWAVNVSDCEEWAVLVBVMVEVI
      AVARUISTVJBMZVRUTVTVGVJBAUJWBVSVFDCEEWBVMVDVBVEVJBVCRUKSTULUMUNUOUP $.
  $}

  ${
    $d f g x y z A $.  $d x z B $.  $d x y C $.  $d x y D $.  $d u v w x y K $.
    $d m n u v w x y z F $.  $d c d f g j m n o u v w x y z J $.  $d x y z U $.
    $d x V $.  $d o u v w x y X $.  $d u v w x y Y $.
    $( A T_0 space is a topological space.  (Contributed by Jeff Hankins,
       1-Feb-2010.) $)
    t0top $p |- ( J e. Kol2 -> J e. Top ) $=
      ( vx vo vy ct0 wcel ctop wel wb wral weq wi cuni eqid ist0 simplbi ) AEFA
      GFBCHDCHICAJBDKLDAMZJBQJBDCAQQNOP $.

    $( A T_1 space is a topological space.  (Contributed by Jeff Hankins,
       1-Feb-2010.) $)
    t1top $p |- ( J e. Fre -> J e. Top ) $=
      ( vx ct1 wcel ctop cv csn ccld cfv cuni wral eqid ist1 simplbi ) ACDAEDBF
      GAHIDBAJZKAOBOLMN $.

    $( A Hausdorff space is a topology.  (Contributed by NM, 5-Mar-2007.) $)
    haustop $p |- ( J e. Haus -> J e. Top ) $=
      ( vx vy vn vm cha wcel ctop cv wne wel cin c0 wceq wrex wi cuni wral eqid
      w3a ishaus simplbi ) AFGAHGBICIJBDKCEKDIEILMNTEAODAOPCAQZRBUCRBCEDAUCUCSU
      AUB $.

    $( The predicate "is a regular space".  In a regular space, any open
       neighborhood has a closed subneighborhood.  Note that some authors
       require the space to be Hausdorff (which would make it the same as T_3),
       but we reserve the phrase "regular Hausdorff" for that as many
       topologists do.  (Contributed by Jeff Hankins, 1-Feb-2010.)  (Revised by
       Mario Carneiro, 25-Aug-2015.) $)
    isreg $p |- ( J e. Reg <-> ( J e. Top /\ A. x e. J A. y e. x
      E. z e. J ( y e. z /\ ( ( cls ` J ) ` z ) C_ x ) ) ) $=
      ( vj wel cv ccl cfv wss wa wrex wral ctop creg fveq2 fveq1d sseq1d anbi2d
      wceq rexeqbi1dv ralbidv raleqbi1dv df-reg elrab2 ) BCFZCGZEGZHIZIZAGZJZKZ
      CUHLZBUKMZAUHMUFUGDHIZIZUKJZKZCDLZBUKMZADMEDNOUOVAAUHDUHDTZUNUTBUKUMUSCUH
      DVBULURUFVBUJUQUKVBUGUIUPUHDHPQRSUAUBUCABCEUDUE $.

    $( A regular space is a topological space.  (Contributed by Jeff Hankins,
       1-Feb-2010.) $)
    regtop $p |- ( J e. Reg -> J e. Top ) $=
      ( vy vz vx creg wcel ctop cv ccl cfv wss wa wrex wral isreg simplbi ) AEF
      AGFBHCHZFQAIJJDHZKLCAMBRNDANDBCAOP $.

    $( In a regular space, every neighborhood of a point contains a closed
       subneighborhood.  (Contributed by Mario Carneiro, 25-Aug-2015.) $)
    regsep $p |- ( ( J e. Reg /\ U e. J /\ A e. U ) ->
      E. x e. J ( A e. x /\ ( ( cls ` J ) ` x ) C_ U ) ) $=
      ( vz vy creg wcel cv ccl cfv wss wa wrex wral wi ctop wceq rexbidv rspccv
      isreg sseq2 anbi2d raleqbi1dv simplbiim eleq1 anbi1d syl6 3imp ) DGHZCDHZ
      BCHZBAIZHZUMDJKKZCLZMZADNZUJUKEIZUMHZUPMZADNZECOZULURPUJDQHUTUOFIZLZMZADN
      ZEVDOZFDOUKVCPFEADUAVHVCFCDVGVBEVDCVDCRZVFVAADVIVEUPUTVDCUOUBUCSUDTUEVBUR
      EBCUSBRZVAUQADVJUTUNUPUSBUMUFUGSTUHUI $.

    $( The predicate "is a normal space."  Much like the case for regular
       spaces, normal does not imply Hausdorff or even regular.  (Contributed
       by Jeff Hankins, 1-Feb-2010.)  (Revised by Mario Carneiro,
       24-Aug-2015.) $)
    isnrm $p |- ( J e. Nrm <-> ( J e. Top /\
      A. x e. J A. y e. ( ( Clsd ` J ) i^i ~P x ) E. z e. J
        ( y C_ z /\ ( ( cls ` J ) ` z ) C_ x ) ) ) $=
      ( vj cv wss ccl cfv wa wrex ccld cpw cin wral ctop cnrm wceq fveq2 ineq1d
      fveq1d sseq1d anbi2d rexeqbi1dv raleqbidv raleqbi1dv df-nrm elrab2 ) BFCF
      ZGZUIEFZHIZIZAFZGZJZCUKKZBUKLIZUNMZNZOZAUKOUJUIDHIZIZUNGZJZCDKZBDLIZUSNZO
      ZADOEDPQVAVIAUKDUKDRZUQVFBUTVHVJURVGUSUKDLSTUPVECUKDVJUOVDUJVJUMVCUNVJUIU
      LVBUKDHSUAUBUCUDUEUFABCEUGUH $.

    $( A normal space is a topological space.  (Contributed by Jeff Hankins,
       1-Feb-2010.) $)
    nrmtop $p |- ( J e. Nrm -> J e. Top ) $=
      ( vy vz vx cnrm wcel ctop cv wss ccl cfv wrex ccld cpw wral isnrm simplbi
      wa cin ) AEFAGFBHCHZITAJKKDHZIRCALBAMKUANSODAODBCAPQ $.

    $( A completely normal space is a topological space.  (Contributed by Mario
       Carneiro, 26-Aug-2015.) $)
    cnrmtop $p |- ( J e. CNrm -> J e. Top ) $=
      ( vx ccnrm wcel ctop cv crest co cnrm cuni cpw wral eqid iscnrm simplbi )
      ACDAEDABFGHIDBAJZKLBAPPMNO $.

    $( The property of being completely or hereditarily normal.  (Contributed
       by Mario Carneiro, 26-Aug-2015.) $)
    iscnrm2 $p |- ( J e. ( TopOn ` X ) ->
        ( J e. CNrm <-> A. x e. ~P X ( J |`t x ) e. Nrm ) ) $=
      ( ctopon cfv wcel ccnrm cv crest co cnrm cuni cpw wral ctop topontop eqid
      wb iscnrm baib syl toponuni pweqd raleqdv bitr4d ) BCDEFZBGFZBAHIJKFZABLZ
      MZNZUHACMZNUFBOFZUGUKRCBPUGUMUKABUIUIQSTUAUFUHAULUJUFCUICBUBUCUDUE $.

    $( The property of being perfectly normal.  (Contributed by Mario Carneiro,
       26-Aug-2015.) $)
    ispnrm $p |- ( J e. PNrm <-> ( J e. Nrm /\
        ( Clsd ` J ) C_ ran ( f e. ( J ^m NN ) |-> |^| ran f ) ) ) $=
      ( vj cv ccld cfv cn cmap co crn cint cmpt wss cnrm cpnrm wceq fveq2 oveq1
      mpteq1d rneqd sseq12d df-pnrm elrab2 ) CDZEFZAUDGHIZADJKZLZJZMBEFZABGHIZU
      GLZJZMCBNOUDBPZUEUJUIUMUDBEQUNUHULUNAUFUKUGUDBGHRSTUAACUBUC $.

    $( A perfectly normal space is normal.  (Contributed by Mario Carneiro,
       26-Aug-2015.) $)
    pnrmnrm $p |- ( J e. PNrm -> J e. Nrm ) $=
      ( vx cpnrm wcel cnrm ccld cfv cn cmap co crn cint cmpt wss ispnrm simplbi
      cv ) ACDAEDAFGBAHIJBQKLMKNBAOP $.

    $( A perfectly normal space is a topological space.  (Contributed by Mario
       Carneiro, 26-Aug-2015.) $)
    pnrmtop $p |- ( J e. PNrm -> J e. Top ) $=
      ( cpnrm wcel cnrm ctop pnrmnrm nrmtop syl ) ABCADCAECAFAGH $.

    $( A closed set in a perfectly normal space is a countable intersection of
       open sets.  (Contributed by Mario Carneiro, 26-Aug-2015.) $)
    pnrmcld $p |- ( ( J e. PNrm /\ A e. ( Clsd ` J ) ) ->
        E. f e. ( J ^m NN ) A = |^| ran f ) $=
      ( cpnrm wcel ccld cfv wa cn cmap co cv crn cint cmpt wceq wrex wss ispnrm
      cnrm simprbi sselda wb eqid elrnmpt adantl mpbid ) CDEZACFGZEZHABCIJKZBLM
      NZOZMZEZAULPBUKQZUHUIUNAUHCTEUIUNRBCSUAUBUJUOUPUCUHBUKULAUMUIUMUDUEUFUG
      $.

    $( An open set in a perfectly normal space is a countable union of closed
       sets.  (Contributed by Mario Carneiro, 26-Aug-2015.) $)
    pnrmopn $p |- ( ( J e. PNrm /\ A e. J ) ->
        E. f e. ( ( Clsd ` J ) ^m NN ) A = U. ran f ) $=
      ( vg vx cpnrm wcel wa cuni cdif cv crn wceq ccld cfv cn cmap co wrex cvv
      cint ctop pnrmtop eqid opncld sylan pnrmcld syldan ad2antrr elmapi adantl
      cmpt wf ffvelrnda syl2anc fmpttd fvex nnex elmap sylibr ciun ciin iundif2
      wfn ffn fniinfv 3syl difeq2d syl5eq cab wral uniexg difexd adantr dfiun2g
      ralrimivw syl rnmpt unieqi eqtr4di eqtr3d unieqd rspceeqv ad2ant2r difeq2
      rneq eqcomd wss elssuni dfss4 sylan9eqr ad2ant2l eqeq1d rexbidv rexlimddv
      sylib mpbid ) CFGZACGZHZCIZAJZDKZLUAZMZABKZLZIZMZBCNOZPQRZSZDCPQRZWRWSXBX
      JGZXEDXMSWRCUBGZWSXNCUCZACXAXAUDZUEUFXBDCUGUHWTXCXMGZXEHHZXAXDJZXHMZBXKSZ
      XLWRXRYBWSXEWRXRHZEPXAEKZXCOZJZULZXKGZXTYGLZIZMYBYCPXJYGUMYHYCEPYFXJYCYDP
      GZHXOYECGYFXJGWRXOXRYKXPUIYCPCYDXCXRPCXCUMZWRXCCPUJUKZUNYECXAXQUEUOUPXJPY
      GCNUQURUSUTYCEPYFVAZXTYJYCYNXAEPYEVBZJXTEPXAYEVCYCYOXDXAYCYLXCPVDYOXDMYMP
      CXCVEEPXCVFVGVHVIYCYNXFYFMEPSBVJZIZYJYCYFTGZEPVKZYNYQMWRYSXRWRYREPWRXAYET
      CFVLVMVPVNEBPYFTVOVQYIYPEBPYFYGYGUDVRVSVTWABYGXKXHYJXTXFYGMXGYIXFYGWFWBWC
      UOWDXSYAXIBXKXSXTAXHWSXEXTAMWRXRXEWSXTXAXBJZAXEYTXTXBXDXAWEWGWSAXAWHYTAMA
      CWIAXAWJWPWKWLWMWNWQWO $.

    $( The predicate "is a T_0 space".  (Contributed by Mario Carneiro,
       24-Aug-2015.) $)
    ist0-2 $p |- ( J e. ( TopOn ` X ) -> ( J e. Kol2 <-> A. x e. X A. y e. X
        ( A. o e. J ( x e. o <-> y e. o ) -> x = y ) ) ) $=
      ( ctopon cfv wcel ct0 wel wb wral weq cuni ctop topontop eqid ist0 baib
      wi syl toponuni raleqdv raleqbidv bitr4d ) DEFGHZDIHZACJBCJKCDLABMTZBDNZL
      ZAUILZUHBELZAELUFDOHZUGUKKEDPUGUMUKABCDUIUIQRSUAUFULUJAEUIEDUBZUFUHBEUIUN
      UCUDUE $.

    $( The predicate "is a T_0 space" expressed in more familiar terms.
       (Contributed by Jeff Hankins, 1-Feb-2010.) $)
    ist0-3 $p |- ( J e. ( TopOn ` X ) -> ( J e. Kol2 <->
       A. x e. X A. y e. X ( x =/= y -> E. o e. J
         ( ( x e. o /\ -. y e. o ) \/ ( -. x e. o /\ y e. o ) ) ) ) ) $=
      ( ctopon cfv wcel ct0 wel wb wral weq wi cv wne wn wa wo wrex df-ne ancom
      ist0-2 con34b xor orbi2i bitri rexbii rexnal bitr3i imbi12i bitr4i bitrdi
      2ralbii ) DEFGHDIHACJZBCJZKZCDLZABMZNZBELAELAOZBOZPZUOUPQRZUOQZUPRZSZCDTZ
      NZBELAELABCDEUCUTVIABEEUTUSQZURQZNVIURUSUDVCVJVHVKVAVBUAVHUQQZCDTVKVLVGCD
      VLVDUPVERZSVGUOUPUEVMVFVDUPVEUBUFUGUHUQCDUIUJUKULUNUM $.

    $( The preimage of a T_0 topology under an injective map is T_0.
       (Contributed by Mario Carneiro, 25-Aug-2015.) $)
    cnt0 $p |- ( ( K e. Kol2 /\ F : X -1-1-> Y /\ F e. ( J Cn K ) ) ->
        J e. Kol2 ) $=
      ( vx vz vy vw ct0 wcel cv wb wral wceq wi cuni wa cfv syl wf1 ccn co ctop
      w3a cntop1 3ad2ant3 ccnv cima simpl3 cnima sylan eleq2 bibi12d simprl wfn
      rspcv wf eqid cnf elpreima mpbirand simprr adantr sylibd ralrimdva simpl1
      ffnd ffvelrnd t0sep syl12anc syld simpl2 cdm fdmd f1dm eleqtrd ralrimivva
      eqtr3d f1fveq ist0 sylanbrc ) CJKZDEAUAZABCUBUCKZUEZBUDKZFLZGLZKZHLZWIKZM
      ZGBNZWHWKOZPZHBQZNFWQNBJKWEWCWGWDABCUFUGWFWPFHWQWQWFWHWQKZWKWQKZRZRZWNWHA
      SZWKASZOZWOXAWNXBILZKZXCXEKZMZICNZXDXAWNXHICXAXECKZRZWNWHAUHXEUIZKZWKXLKZ
      MZXHXKXLBKZWNXOPXAWEXJXPWCWDWEWTUJZXEABCUKULWMXOGXLBWIXLOWJXMWLXNWIXLWHUM
      WIXLWKUMUNUQTXAXOXHMXJXAXMXFXNXGXAXMWRXFWFWRWSUOZXAAWQUPZXMWRXFRMXAWQCQZA
      XAWEWQXTAURXQABCWQXTWQUSZXTUSZUTTZVHZWQWHXEAVATVBXAXNWSXGWFWRWSVCZXAXSXNW
      SXGRMYDWQWKXEAVATVBUNVDVEVFXAWCXBXTKXCXTKXIXDPWCWDWEWTVGXAWQXTWHAYCXRVIXA
      WQXTWKAYCYEVIIXBXCCXTYBVJVKVLXAWDWHDKWKDKXDWOMWCWDWEWTVMZXAWHWQDXRXAAVNZW
      QDXAWQXTAYCVOXAWDYGDOYFDEAVPTVSZVQXAWKWQDYEYHVQDEWHWKAVTVKVEVRFHGBWQYAWAW
      B $.

    $( An alternate characterization of T_1 spaces.  (Contributed by Jeff
       Hankins, 31-Jan-2010.)  (Proof shortened by Mario Carneiro,
       24-Aug-2015.) $)
    ist1-2 $p |- ( J e. ( TopOn ` X ) -> ( J e. Fre <-> A. x e. X A. y e. X
        ( A. o e. J ( x e. o -> y e. o ) -> x = y ) ) ) $=
      ( cfv wcel cv wral wi wceq wb syl wa wss wrex adantr eleq2d wn imbi1i ct1
      ctopon csn ccld cuni ctop topontop eqid ist1 baib toponuni raleqdv eltop2
      cdif biimpa snssd iscld2 syl2anc wne imbi1d con1b df-ne c0 disjsn elssuni
      cin reldisj bitr3id anbi2d rexbiia rexanali bitr3i con2bii imbi2i eldifsn
      3bitr4ri impexp 3bitr4g ralbidv2 3bitr4d ralbidva ralcom bitrdi 3bitr2d
      bitri ) DEUBFGZDUAGZBHZUCZDUDFGZBDUEZIZWJBEIZAHZCHZGZWHWOGZJCDIZWNWHKZJZB
      EIAEIZWFDUFGZWGWLLEDUGZWGXBWLDWKBWKUHZUIUJMWFWJBEWKEDUKZULWFWMWTAEIZBEIXA
      WFWJXFBEWFWHEGZNZWKWIUNZDGZWPWOXIOZNZCDPZAXIIZWJXFXHXBXJXNLWFXBXGXCQZACXI
      DUMMXHXBWIWKOWJXJLXOXHWHWKWFXGWHWKGWFEWKWHXERUOUPWIDWKXDUQURXHWTXMAEXIXHW
      NEGZWNWHUSZXMJZJWNWKGZXRJZXPWTJWNXIGZXMJZXHXPXSXRXHEWKWNWFEWKKXGXEQRUTWTX
      RXPWSSZXMJXMSZWSJXRWTWSXMVAXQYCXMWNWHVBTWRYDWSXMWRXMWPWQSZNZCDPWRSYFXLCDW
      ODGZYEXKWPYEWOWIVFVCKZYGXKWOWHVDYGWOWKOYHXKLWODVEWOWIWKVGMVHVIVJWPWQCDVKV
      LVMTVPVNYBXSXQNZXMJXTYAYIXMWNWKWHVOTXSXQXMVQWEVRVSVTWAWTBAEEWBWCWD $.

    $( A T_1 space is a T_0 space.  (Contributed by Jeff Hankins,
       1-Feb-2010.) $)
    t1t0 $p |- ( J e. Fre -> J e. Kol2 ) $=
      ( vx vo vy cuni ctopon cfv wcel ct1 ct0 ctop t1top toptopon2 sylib wel wi
      wral weq wb ralimi biimp imim1i a1i ist1-2 ist0-2 3imtr4d mpcom ) AAEZFGH
      ZAIHZAJHZUJAKHUIALAMNUIBCOZDCOZPZCAQZBDRZPZDUHQZBUHQZULUMSZCAQZUPPZDUHQZB
      UHQZUJUKUSVDPUIURVCBUHUQVBDUHVAUOUPUTUNCAULUMUATUBTTUCBDCAUHUDBDCAUHUEUFU
      G $.

    $( A space is T_1 iff every point is the only point in the intersection of
       all open sets containing that point.  (Contributed by Jeff Hankins,
       31-Jan-2010.)  (Proof shortened by Mario Carneiro, 24-Aug-2015.) $)
    ist1-3 $p |- ( J e. ( TopOn ` X ) -> ( J e. Fre <->
      A. x e. X |^| { o e. J | x e. o } = { x } ) ) $=
      ( vy ctopon cfv wcel ct1 wel wi wral cv wceq wa wss ralbidva vex elintrab
      bitri crab cint csn ist1-2 toponmax eleq2 intminss sylan sselda biimt syl
      wb id rgenw mpbir snssi ax-mp mpbiran2 dfss3 velsn equcom imbi12i ralcom3
      eqss ralbii bitr3i 3bitr4g bitr4d ) CDFGHZCIHABJZEBJKBCLZAMZEMZNZKZEDLZAD
      LVJBCUAUBZVLUCZNZADLAEBCDUDVIVSVPADVIVLDHZOZVMVRHZEVQLZVMDHZWBKZEVQLZVSVP
      WAWBWEEVQWAVMVQHZOWDWBWEULWAVQDVMVIDCHVTVQDPDCUEVJVTBDCBMDVLUFUGUHUIWDWBU
      JUKQVSVQVRPZWCVSWHVRVQPZVLVQHZWIWJVJVJKZBCLWKBCVJUMUNVJBVLCARSUOVLVQUPUQV
      QVRVDUREVQVRUSTVPWGWBKZEDLWFWLVOEDWGVKWBVNVJBVMCERSWBVMVLNVNEVLUTEAVATVBV
      EWBEDVQVCVFVGQVH $.

    $( The preimage of a T_1 topology under an injective map is T_1.
       (Contributed by Mario Carneiro, 26-Aug-2015.) $)
    cnt1 $p |- ( ( K e. Fre /\ F : X -1-1-> Y /\ F e. ( J Cn K ) ) ->
        J e. Fre ) $=
      ( vx ct1 wcel wf1 ccn csn ccld cfv cuni 3ad2ant3 cima wceq eqid syl2anc
      co w3a ctop cv wral cntop1 wa ccnv wfn wf cnf fnsnfv sylan imaeq2d simpl2
      ffnd wss cdm fdmd f1dm 3ad2ant2 eqtr3d eleq2d biimpa snssd f1imacnv eqtrd
      simpl3 simpl1 ffvelrnda t1sncld cnclima eqeltrrd ralrimiva ist1 sylanbrc
      ) CGHZDEAIZABCJTHZUAZBUBHZFUCZKZBLMZHZFBNZUDBGHVRVPVTVQABCUEOVSWDFWEVSWAW
      EHZUFZAUGZWAAMZKZPZWBWCWGWKWHAWBPZPZWBWGWJWLWHVSAWEUHWFWJWLQVSWECNZAVRVPW
      EWNAUIVQABCWEWNWERZWNRZUJOZUOWEWAAUKULUMWGVQWBDUPWMWBQVPVQVRWFUNWGWADVSWF
      WADHVSWEDWAVSAUQZWEDVSWEWNAWQURVQVPWRDQVRDEAUSUTVAVBVCVDDEWBAVESVFWGVRWJC
      LMHZWKWCHVPVQVRWFVGWGVPWIWNHWSVPVQVRWFVHVSWEWNWAAWQVIWICWNWPVJSWJABCVKSVL
      VMBWEFWOVNVO $.

    $( Express the predicate " ` J ` is a Hausdorff space."  (Contributed by
       NM, 8-Mar-2007.) $)
    ishaus2 $p |- ( J e. ( TopOn ` X ) -> ( J e. Haus <-> A. x e. X A. y e. X
      ( x =/= y -> E. n e. J E. m e. J ( x e. n /\ y e. m /\
                   ( n i^i m ) = (/) ) ) ) ) $=
      ( ctopon cfv wcel cha cv wne wel cin c0 wceq w3a wrex wi wral wb topontop
      cuni ctop eqid ishaus baib syl toponuni raleqdv raleqbidv bitr4d ) EFGHIZ
      EJIZAKBKLADMBCMDKCKNOPQCERDERSZBEUCZTZAUPTZUOBFTZAFTUMEUDIZUNURUAFEUBUNUT
      URABCDEUPUPUEUFUGUHUMUSUQAFUPFEUIZUMUOBFUPVAUJUKUL $.

    $( A Hausdorff space is a T_1 space.  (Contributed by FL, 11-Jun-2007.)
       (Proof shortened by Mario Carneiro, 24-Aug-2015.) $)
    haust1 $p |- ( J e. Haus -> J e. Fre ) $=
      ( vx vz vy vw cha wcel ct1 wel wi wral cv wceq wa wn w3a wrex syl sylib
      c0 cuni wne cin hausnei simprr1 simprr3 eleq2d mtbiri simprr2 simplbi2com
      eqid noel elin mtod jca rexlimdvaa reximdva rexanali 3exp2 imp32 necon4ad
      mpd ralrimivva ctopon cfv wb ctop haustop toptopon2 ist1-2 mpbird ) AFGZA
      HGZBCIZDCIZJCAKZBLZDLZMJZDAUAZKBVTKZVLVSBDVTVTVLVQVTGZVRVTGZNNVPVQVRVLWBW
      CVQVRUBZVPOZJVLWBWCWDWEVLWBWCWDPNZVNVOOZNZCAQZWEWFVNDEIZCLZELZUCZTMZPZEAQ
      ZCAQWIVQVRECAVTVTUKUDWFWPWHCAWFWKAGNZWOWHEAWQWLAGZWONNZVNWGVNWJWNWRWQUEWS
      VOVRWMGZWSWTVRTGVRULWSWMTVRVNWJWNWRWQUFUGUHWSWJVOWTJVNWJWNWRWQUIWTVOWJVRW
      KWLUMUJRUNUOUPUQVBVNVOCAURSUSUTVAVCVLAVTVDVEGZVMWAVFVLAVGGXAAVHAVISBDCAVT
      VJRVK $.

    $( The Hausdorff condition still holds if one considers general
       neighborhoods instead of open sets.  (Contributed by Jeff Hankins,
       5-Sep-2009.) $)
    hausnei2 $p |- ( J e. ( TopOn ` X ) -> ( J e. Haus <->
                     A. x e. X A. y e. X ( x =/= y ->
               E. u e. ( ( nei ` J ) ` { x } ) E. v e. ( ( nei ` J ) ` { y } )
                  ( u i^i v ) = (/) ) ) ) $=
      ( vm vn cfv wcel cv c0 wceq w3a wrex wi wral wa ex wss ctopon cha wne cin
      csn cnei ishaus2 ctop topontop simp1 simp2 opnneip syl2an3an simp3 simpr3
      ineq1 eqeq1d ineq2 rspc2ev syl3anc 3expib rexlimdvv neii2 vex snss anbi1i
      wb simp1l simp2l ss2in ssn0 necon4d syl ad2ant2l 3impia 3jca 3exp syl5bir
      com3r imp 3adant1 reximdv com34 3imp com24 syl2and impbid imbi2d 2ralbidv
      impd bitrd ) EFUAIJZEUBJAKZBKZUCZWMGKZJZWNHKZJZWPWRUDZLMZNZHEOZGEOZPZBFQA
      FQZWODKZCKZUDZLMZCWNUEZEUFIZIZODWMUEZXLIZOZPZBFQAFQZABHGEFUGWLEUHJZXFXRVG
      FEUIXSXEXQABFFXSXDXPWOXSXDXPXSXBXPGHEEXSWPEJZWREJZXBXPPXSXTYANZXBXPYBXBRW
      PXOJZWRXMJZXAXPYBXSXTXBWQYCXSXTYAUJZXSXTYAUKWQWSXAUJWMEWPULUMYBXSYAXBWSYD
      YEXSXTYAUNWQWSXAUKWNEWRULUMYBWQWSXAUOXJXAWPXHUDZLMDCWPWRXOXMXGWPMXIYFLXGW
      PXHUPUQXHWRMYFWTLXHWRWPURUQUSUTSVAVBXSXJXDDCXOXMXSXGXOJZXNWPTZWPXGTZRZGEO
      ZXHXMJZXKWRTZWRXHTZRZHEOZXJXDPZXSYGYKXNGEXGVCSXSYLYPXKHEXHVCSXSYKYPYQXSXJ
      YPYKXDXSXJYPYKXDPXSXJYPNZYJXCGEYJWQYIRZYRXCWQYHYIWMWPAVDVEVFXSXJYPYSXCPXS
      XJYSYPXCXSXJYSYPXCPXSXJYSNYOXBHEXJYSYOXBPZXSXJYSYTYSYOXJXBYOWSYNRZYSXJXBP
      WSYMYNWNWRBVDVEVFYSUUAXJXBYSUUAXJNWQWSXAWQYIUUAXJVHYSWSYNXJVIYSUUAXJXAYIY
      NXJXAPZWQWSYIYNRWTXITZUUBWPXGWRXHVJUUCWTLXILUUCWTLUCXILUCWTXIVKSVLVMVNVOV
      PVQVRVSVTWAWBVQWCWDVRWBVQWEWJWFVBWGWHWIVMWK $.

    $( The preimage of a Hausdorff topology under an injective map is
       Hausdorff.  (Contributed by Mario Carneiro, 25-Aug-2015.) $)
    cnhaus $p |- ( ( K e. Haus /\ F : X -1-1-> Y /\ F e. ( J Cn K ) ) ->
        J e. Haus ) $=
      ( vx vy vm vn vu vv wcel w3a cv cin c0 wceq wrex wa syl cha wf1 ccn co wi
      ctop wne cuni wral cntop1 3ad2ant3 cfv simpl1 wf simpl3 eqid cnf ffvelrnd
      simprll simprlr simprr wb simpl2 fdmd f1dm eqtr3d eleqtrd f1fveq syl12anc
      necon3bid mpbird hausnei syl13anc ccnv cima simpll3 cnima syl2anc simprr1
      cdm adantr wfn ffnd elpreima mpbir2and simprr2 wfun ffun inpreima simprr3
      3syl imaeq2d ima0 eqtrdi eleq2 eqeq1d 3anbi13d 3anbi23d rspc2ev syl113anc
      ineq1 ineq2 expr rexlimdvva mpd ralrimivva ishaus sylanbrc ) CUALZDEAUBZA
      BCUCUDLZMZBUFLZFNZGNZUGZXNHNZLZXOINZLZXQXSOZPQZMZIBRHBRZUEZGBUHZUIFYFUIBU
      ALXKXIXMXJABCUJUKXLYEFGYFYFXLXNYFLZXOYFLZSZXPYDXLYIXPSZSZXNAULZJNZLZXOAUL
      ZKNZLZYMYPOZPQZMZKCRJCRZYDYKXIYLCUHZLYOUUBLYLYOUGZUUAXIXJXKYJUMYKYFUUBXNA
      YKXKYFUUBAUNZXIXJXKYJUOABCYFUUBYFUPZUUBUPZUQTZXLYGYHXPUSZURYKYFUUBXOAUUGX
      LYGYHXPUTZURYKUUCXPXLYIXPVAYKYLYOXNXOYKXJXNDLXODLYLYOQXNXOQVBXIXJXKYJVCZY
      KXNYFDUUHYKAVTZYFDYKYFUUBAUUGVDYKXJUUKDQUUJDEAVETVFZVGYKXOYFDUUIUULVGDEXN
      XOAVHVIVJVKYLYOKJCUUBUUFVLVMYKYTYDJKCCYKYMCLZYPCLZSZYTYDYKUUOYTSZSZAVNZYM
      VOZBLZUURYPVOZBLZXNUUSLZXOUVALZUUSUVAOZPQZYDUUQXKUUMUUTXIXJXKYJUUPVPZYKUU
      MUUNYTUSYMABCVQVRUUQXKUUNUVBUVGYKUUMUUNYTUTYPABCVQVRUUQUVCYGYNYKYGUUPUUHW
      AYNYQYSUUOYKVSUUQAYFWBZUVCYGYNSVBUUQYFUUBAYKUUDUUPUUGWAZWCZYFXNYMAWDTWEUU
      QUVDYHYQYKYHUUPUUIWAYNYQYSUUOYKWFUUQUVHUVDYHYQSVBUVJYFXOYPAWDTWEUUQUURYRV
      OZUVEPUUQUUDAWGUVKUVEQUVIYFUUBAWHYMYPAWIWKUUQUVKUURPVOPUUQYRPUURYNYQYSUUO
      YKWJWLUURWMWNVFYCUVCUVDUVFMUVCXTUUSXSOZPQZMHIUUSUVABBXQUUSQZXRUVCYBUVMXTX
      QUUSXNWOUVNYAUVLPXQUUSXSXAWPWQXSUVAQZXTUVDUVMUVFUVCXSUVAXOWOUVOUVLUVEPXSU
      VAUUSXBWPWRWSWTXCXDXEXCXFFGIHBYFUUEXGXH $.

    $( In a normal space, given a closed set ` B ` inside an open set ` A ` ,
       there is an open set ` x ` such that ` B C_ x C_ cls ( x ) C_ A ` .
       (Contributed by Mario Carneiro, 24-Aug-2015.) $)
    nrmsep3 $p |- ( ( J e. Nrm /\ ( A e. J /\ B e. ( Clsd ` J ) /\ B C_ A ) )
      -> E. x e. J ( B C_ x /\ ( ( cls ` J ) ` x ) C_ A ) ) $=
      ( vz vy cnrm wcel cfv wss cv wa wrex cpw cin wral wi wceq rexbidv rspccv
      ccld ctop isnrm pweq ineq2d sseq2 anbi2d raleqbidv simplbiim elin pm5.32i
      ccl elpwg bitri cleq1lem syl5bir syl6 exp4a 3imp2 ) DGHZBDHZCDUAIZHZCBJZC
      AKZJVEDULIIZBJZLZADMZUTVAVCVDVIUTVAEKZVEJZVGLZADMZEVBBNZOZPZVCVDLZVIQUTDU
      BHVKVFFKZJZLZADMZEVBVRNZOZPZFDPVAVPQFEADUCWDVPFBDVRBRZWAVMEWCVOWEWBVNVBVR
      BUDUEWEVTVLADWEVSVGVKVRBVFUFUGSUHTUIVQCVOHZVPVIWFVCCVNHZLVQCVBVNUJVCWGVDC
      BVBUMUKUNVMVIECVOVJCRVLVHADVGVJCVEUOSTUPUQURUS $.

    $( In a normal space, any two disjoint closed sets have the property that
       each one is a subset of an open set whose closure is disjoint from the
       other.  (Contributed by Jeff Hankins, 1-Feb-2010.)  (Revised by Mario
       Carneiro, 24-Aug-2015.) $)
    nrmsep2 $p |- ( ( J e. Nrm /\ ( C e. ( Clsd ` J ) /\ D e. ( Clsd ` J ) /\
      ( C i^i D ) = (/) ) ) -> E. x e. J ( C C_ x /\
        ( ( ( cls ` J ) ` x ) i^i D ) = (/) ) ) $=
      ( cnrm wcel ccld cfv cin c0 wceq w3a wa cv wss ccl cuni cdif wrex syl wb
      simpl simpr2 eqid cldopn simpr1 cldss reldisj 3syl mpbid nrmsep3 syl13anc
      simpr3 ssdifin0 anim2i reximi ) DEFZBDGHZFZCURFZBCIJKZLZMZBANZOZVDDPHHZDQ
      ZCRZOZMZADSZVEVFCIJKZMZADSVCUQVHDFZUSBVHOZVKUQVBUBVCUTVNUQUSUTVAUCCDVGVGU
      DZUETUQUSUTVAUFZVCVAVOUQUSUTVAUMVCUSBVGOVAVOUAVQBDVGVPUGBCVGUHUIUJAVHBDUK
      ULVJVMADVIVLVEVFVGCUNUOUPT $.

    $( In a normal space, disjoint closed sets are separated by open sets.
       (Contributed by Jeff Hankins, 1-Feb-2010.) $)
    nrmsep $p |- ( ( J e. Nrm /\ ( C e. ( Clsd ` J ) /\ D e. ( Clsd ` J ) /\
        ( C i^i D ) = (/) ) ) -> E. x e. J E. y e. J
      ( C C_ x /\ D C_ y /\ ( x i^i y ) = (/) ) ) $=
      ( cnrm wcel ccld cfv cin c0 wceq w3a wa cv wss ccl wrex cuni syl2anc cdif
      ctop nrmtop ad2antrr elssuni ad2antrl clscld cldopn simprrl incom simprrr
      eqid syl syl5eq wb simplr2 cldss reldisj mpbid sscls ssrind disjdif sseq0
      3syl sylancl sseq2 ineq2 eqeq1d 3anbi23d rspcev syl13anc nrmsep2 reximddv
      ) EFGZCEHIZGZDVOGZCDJKLZMZNZCAOZPZWAEQIIZDJZKLZNZWBDBOZPZWAWGJZKLZMZBERZA
      EVTWAEGZWFNZNZESZWCUAZEGZWBDWQPZWAWQJZKLZWLWOWCVOGZWRWOEUBGZWAWPPZXBVNXCV
      SWNEUCUDZWMXDVTWFWAEUEUFZWAEWPWPULZUGTWCEWPXGUHUMVTWMWBWEUIWODWCJZKLZWSWO
      XHWDKDWCUJVTWMWBWEUKUNWOVQDWPPXIWSUOVPVQVRVNWNUPDEWPXGUQDWCWPURVDUSWOWTWC
      WQJZPXJKLXAWOWAWCWQWOXCXDWAWCPXEXFWAEWPXGUTTVAWCWPVBWTXJVCVEWKWBWSXAMBWQE
      WGWQLZWHWSWJXAWBWGWQDVFXKWIWTKWGWQWAVGVHVIVJVKACDEVLVM $.

    $( An alternate characterization of normality.  This is the important
       property in the proof of Urysohn's lemma.  (Contributed by Jeff Hankins,
       1-Feb-2010.)  (Proof shortened by Mario Carneiro, 24-Aug-2015.) $)
    isnrm2 $p |- ( J e. Nrm <-> ( J e. Top /\
      A. c e. ( Clsd ` J ) A. d e. ( Clsd ` J ) ( ( c i^i d ) = (/) ->
        E. o e. J ( c C_ o /\ ( ( ( cls ` J ) ` o ) i^i d ) = (/) ) ) ) ) $=
      ( vx wcel cv cin c0 wceq wss cfv wa wrex wral ineq2 eqeq1d anbi2d imbi12d
      wi cnrm ctop ccl ccld nrmtop nrmsep2 3exp2 impd ralrimivv simpl cuni cdif
      jca cpw opncld adantr rexbidv rspcv syl inssdif0 cldss adantl df-ss sylib
      eqid sseq1d bitr3id simpll elssuni clsss3 syl2an rexbidva sylibd ralimdva
      elin velpw anbi2i bitri imbi1i impexp ralbii2 syl6ibr ralrimdva imp isnrm
      sylanbrc impbii ) BUAFZBUBFZCGZDGZHZIJZWJAGZKZWNBUCLLZWKHZIJZMZABNZTZDBUD
      LZOZCXBOZMZWHWIXDBUEWHXACDXBXBWHWJXBFZWKXBFZXAWHXFXGWMWTAWJWKBUFUGUHUIUMX
      EWIWOWPEGZKZMZABNZCXBXHUNZHZOZEBOZWHWIXDUJWIXDXOWIXDXNEBWIXHBFZMZXDWJXHKZ
      XKTZCXBOXNXQXCXSCXBXQXFMZXCWJBUKZXHULZHZIJZWOWPYBHZIJZMZABNZTZXSXTYBXBFZX
      CYITXQYJXFXHBYAYAVEZUOUPXAYIDYBXBWKYBJZWMYDWTYHYLWLYCIWKYBWJPQYLWSYGABYLW
      RYFWOYLWQYEIWKYBWPPQRUQSURUSXTYDXRYHXKYDWJYAHZXHKXTXRWJYAXHUTXTYMWJXHXTWJ
      YAKZYMWJJXFYNXQWJBYAYKVAVBWJYAVCVDVFVGXTYGXJABXTWNBFZMZYFXIWOYFWPYAHZXHKY
      PXIWPYAXHUTYPYQWPXHYPWPYAKZYQWPJXTWIWNYAKYRYOWIXPXFVHWNBVIWNBYAYKVJVKWPYA
      VCVDVFVGRVLSVMVNXKXSCXMXBWJXMFZXKTXFXRMZXKTXFXSTYSYTXKYSXFWJXLFZMYTWJXBXL
      VOUUAXRXFCXHVPVQVRVSXFXRXKVTVRWAWBWCWDECABWEWFWG $.

    $( A topological space is normal iff any two disjoint closed sets are
       separated by open sets.  (Contributed by Mario Carneiro,
       24-Aug-2015.) $)
    isnrm3 $p |- ( J e. Nrm <-> ( J e. Top /\ A. c e. ( Clsd ` J ) A. d e. (
    Clsd ` J ) ( ( c i^i d ) = (/) -> E. x e. J E. y e. J ( c C_ x /\ d C_ y /\
    ( x i^i y ) = (/) ) ) ) ) $=
      ( wcel cv cin c0 wceq wss wrex wi cfv wral wa jca syl syl2anc ralimdv w3a
      cnrm ctop ccld nrmtop nrmsep 3exp2 impd ralrimivv ccl simpl simpr1 simpr2
      sslin cuni cdif eqid opncld ad4ant13 simpr3 simpllr elssuni reldisj mpbid
      3syl clsss2 ssdifin0 sseq0 rexlimdva2 reximdva imim2d imp isnrm2 sylanbrc
      wb impbii ) CUBFZCUCFZDGZEGZHIJZVSAGZKZVTBGZKZWBWDHIJZUAZBCLZACLZMZECUDNZ
      OZDWKOZPZVQVRWMCUEVQWJDEWKWKVQVSWKFZVTWKFZWJVQWOWPWAWIABVSVTCUFUGUHUIQWNV
      RWAWCWBCUJNNZVTHZIJZPZACLZMZEWKOZDWKOZVQVRWMUKVRWMXDVRWLXCDWKVRWJXBEWKVRW
      IXAWAVRWHWTACVRWBCFZPZWGWTBCXFWDCFZPZWGPZWCWSXHWCWEWFULXIWRWQWDHZKZXJIJZW
      SXIWEXKXHWCWEWFUMVTWDWQUNRXICUOZWDUPZWKFZWBXNKZXLVRXGXOXEWGWDCXMXMUQZURUS
      XIWFXPXHWCWEWFUTXIXEWBXMKWFXPVOVRXEXGWGVAWBCVBWBWDXMVCVEVDXOXPPWQXNKXLXNW
      BCXMXQVFWQXMWDVGRSWRXJVHSQVIVJVKTTVLACDEVMVNVP $.

    $( A subspace of a completely normal space is normal.  (Contributed by
       Mario Carneiro, 26-Aug-2015.) $)
    cnrmi $p |- ( ( J e. CNrm /\ A e. V ) -> ( J |`t A ) e. Nrm ) $=
      ( vx ccnrm wcel wa crest co cuni cin cnrm eqid restin cv cpw oveq2 eleq1d
      wceq cvv wral ctop iscnrm simprbi adantr wss inss2 wb inex1g elpwg mpbiri
      syl adantl rspcdva eqeltrd ) BEFZACFZGZBAHIBABJZKZHIZLABECUSUSMZNURBDOZHI
      ZLFZVALFDUSPZUTVCUTSVDVALVCUTBHQRUPVEDVFUAZUQUPBUBFVGDBUSVBUCUDUEUQUTVFFZ
      UPUQVHUTUSUFZAUSUGUQUTTFVHVIUHAUSCUIUTUSTUJULUKUMUNUO $.

    $( A completely normal space is normal.  (Contributed by Mario Carneiro,
       26-Aug-2015.) $)
    cnrmnrm $p |- ( J e. CNrm -> J e. Nrm ) $=
      ( ccnrm wcel cuni crest cnrm eqid restid cvv uniexg cnrmi mpdan eqeltrrd
      co ) ABCZAADZENZAFABPPGHOPICQFCABJPAIKLM $.

    $( A subspace of a completely normal space is completely normal.
       (Contributed by Mario Carneiro, 26-Aug-2015.) $)
    restcnrm $p |- ( ( J e. CNrm /\ A e. V ) -> ( J |`t A ) e. CNrm ) $=
      ( vx ccnrm wcel wa crest cuni cin eqid restin cnrm wss cvv eqeltrd ctopon
      co cv cfv cpw wral wceq simpll elpwi adantl inex1g ad2antlr restabs cnrmi
      syl3anc adantlr ralrimiva wb ctop cnrmtop toptopon2 sylib inss2 resttopon
      adantr sylancl iscnrm2 syl mpbird ) BEFZACFZGZBAHRBABIZJZHRZEABECVIVIKLVH
      VKEFZVKDSZHRZMFZDVJUAZUBZVHVODVPVHVMVPFZGZVNBVMHRZMVSVFVMVJNZVJOFZVNVTUCV
      FVGVRUDVRWAVHVMVJUEUFVGWBVFVRAVICUGUHVMVJBEOUIUKVFVRVTMFVGVMBVPUJULPUMVHV
      KVJQTFZVLVQUNVHBVIQTFZVJVINWCVHBUOFZWDVFWEVGBUPVABUQURAVIUSVJBVIUTVBDVKVJ
      VCVDVEP $.
  $}

  ${
    resthauslem.1 $e |- ( J e. A -> J e. Top ) $.
    resthauslem.2 $e |- ( ( J e. A /\
      ( _I |` ( S i^i U. J ) ) : ( S i^i U. J ) -1-1-> ( S i^i U. J ) /\
    ( _I |` ( S i^i U. J ) ) e. ( ( J |`t S ) Cn J ) ) -> ( J |`t S ) e. A ) $.
    $( Lemma for ~ resthaus and similar theorems.  If the topological property
       ` A ` is preserved under injective preimages, then property ` A ` passes
       to subspaces.  (Contributed by Mario Carneiro, 25-Aug-2015.) $)
    resthauslem $p |- ( ( J e. A /\ S e. V ) -> ( J |`t S ) e. A ) $=
      ( wcel wa cuni cin cid cres wf1 crest co ccn simpl wf1o f1oi f1of1 ctopon
      mp1i wss wceq inss2 resabs1 ax-mp cfv ctop adantr toptopon2 idcn syl eqid
      sylib cnrest sylancl eqeltrrid restin oveq1d eleqtrrd syl3anc ) CAGZBDGZH
      ZVCBCIZJZVGKVGLZMZVHCBNOZCPOZGVJAGVCVDQVGVGVHRVIVEVGSVGVGVHTUBVEVHCVGNOZC
      POZVKVEVHKVFLZVGLZVMVGVFUCZVOVHUDBVFUEZKVGVFUFUGVEVNCCPOGZVPVOVMGVECVFUAU
      HGZVRVECUIGZVSVCVTVDEUJCUKUOCVFULUMVQVGVNCCVFVFUNZUPUQURVEVJVLCPBCADVFWAU
      SUTVAFVB $.
  $}

  ${
    $d x J $.  $d x S $.  $d x X $.
    lpcls.1 $e |- X = U. J $.
    $( The limit points of the closure of a subset are the same as the limit
       points of the set in a T_1 space.  (Contributed by Mario Carneiro,
       26-Dec-2016.) $)
    lpcls $p |- ( ( J e. Fre /\ S C_ X ) ->
      ( ( limPt ` J ) ` ( ( cls ` J ) ` S ) ) = ( ( limPt ` J ) ` S ) ) $=
      ( vx wcel wss cfv cdif clsss3 ssdifssd syldan sylan syl2an adantr syl2anc
      wa sseld sscls ssundif ct1 ccl clp csn ctop t1top ccld ssdifss clscld cun
      cv wi t1sncld adantlr uncld sylibr clsss2 sylib com23 mpdd ssdifd syl3anc
      ex clsss impbid wb islp 3bitr4d eqrdv ) BUAFZACGZQZEABUBHZHZBUCHZHZAVOHZV
      LEUKZVNVRUDZIZVMHZFZVRAVSIZVMHZFZVRVPFZVRVQFZVLWBWEVLWBVRCFZWEVLWACVRVJBU
      EFZVKWACGZBUFZWIVKVTCGZWJWIVKQVNCVSABCDJZKVTBCDJLMRVLWHWBWEVLWHWBWEULVLWH
      QZWAWDVRWNWDBUGHZFZVTWDGZWAWDGVLWPWHVJWIWCCGZWPVKWKACVSUHZWCBCDUINOZWNVNV
      SWDUJZGZWQWNXAWOFZAXAGZXBWNVSWOFZWPXCVJWHXEVKVRBCDUMUNWTVSWDBUOPVLXDWHVLW
      CWDGZXDVJWIWRXFVKWKWSWCBCDSNAVSWDTUPOXAABCDUQPVNVSWDTURWDVTBCDUQPRVCUSUTV
      LWDWAVRVLWIWLWCVTGWDWAGVJWIVKWKOVLVNCVSVJWIVKVNCGZWKWMMKVLAVNVSVJWIVKAVNG
      WKABCDSMVAVTWCBCDVDVBRVEVJWIVKWFWBVFZWKWIVKXGXHWMVRVNBCDVGLMVJWIVKWGWEVFW
      KVRABCDVGMVHVI $.

    $( A subset of a perfect space is perfect iff its closure is perfect (and
       the closure is an actual perfect set, since it is both closed and
       perfect in the subspace topology).  (Contributed by Mario Carneiro,
       26-Dec-2016.) $)
    perfcls $p |- ( ( J e. Fre /\ S C_ X ) ->
      ( ( J |`t S ) e. Perf <-> ( J |`t ( ( cls ` J ) ` S ) ) e. Perf ) ) $=
      ( ct1 wcel wss wa clp cfv ccl crest co cperf lpcls wceq sylan wb restperf
      eqid sseq2d cun ctop t1top clslp sseq1d ssequn1 ssun2 eqss mpbiran2 bitri
      bitr4di bitr2d clsss3 syldan 3bitr4d ) BEFZACGZHZAABIJZJZGZABKJJZVCUTJZGZ
      BALMZNFZBVCLMZNFZUSVEVCVAGZVBUSVDVAVCABCDOUAUSVJAVAUBZVAGZVBUSVCVKVAUQBUC
      FZURVCVKPBUDZABCDUEQUFVBVKVAPZVLAVAUGVOVLVAVKGVAAUHVKVAUIUJUKULUMUQVMURVG
      VBRVNBVFCADVFTSQUQVMURVIVERZVNVMURVCCGVPABCDUNBVHCVCDVHTSUOQUP $.
  $}

  $( A subspace of a T_0 topology is T_0.  (Contributed by Mario Carneiro,
     25-Aug-2015.) $)
  restt0 $p |- ( ( J e. Kol2 /\ A e. V ) -> ( J |`t A ) e. Kol2 ) $=
    ( ct0 t0top cid cuni cin cres crest co cnt0 resthauslem ) DABCBEFABGHZIBAJK
    BNNLM $.

  $( A subspace of a T_1 topology is T_1.  (Contributed by Mario Carneiro,
     25-Aug-2015.) $)
  restt1 $p |- ( ( J e. Fre /\ A e. V ) -> ( J |`t A ) e. Fre ) $=
    ( ct1 t1top cid cuni cin cres crest co cnt1 resthauslem ) DABCBEFABGHZIBAJK
    BNNLM $.

  $( A subspace of a Hausdorff topology is Hausdorff.  (Contributed by Mario
     Carneiro, 2-Mar-2015.)  (Proof shortened by Mario Carneiro,
     25-Aug-2015.) $)
  resthaus $p |- ( ( J e. Haus /\ A e. V ) -> ( J |`t A ) e. Haus ) $=
    ( cha haustop cid cuni cin cres crest co cnhaus resthauslem ) DABCBEFABGHZI
    BAJKBNNLM $.

  ${
    $d o x y A $.  $d o y B $.  $d x y C $.  $d o x y J $.  $d o x y X $.
    t1sep.1 $e |- X = U. J $.
    $( Any two points in a T_1 space which have no separation are equal.
       (Contributed by Jeff Hankins, 1-Feb-2010.) $)
    t1sep2 $p |- ( ( J e. Fre /\ A e. X /\ B e. X ) ->
      ( A. o e. J ( A e. o -> B e. o ) -> A = B ) ) $=
      ( vx vy ct1 wcel cv wi wral wceq wa ctopon cfv eleq1 ralbidv imbi12d ctop
      wb t1top toptopon sylib ist1-2 syl imbi1d eqeq1 imbi2d eqeq2 rspc2v mpan9
      ibi 3impb ) DIJZAEJZBEJZACKZJZBUSJZLZCDMZABNZLZUPGKZUSJZHKZUSJZLZCDMZVFVH
      NZLZHEMGEMZUQUROVEUPVNUPDEPQJZUPVNUBUPDUAJVODUCDEFUDUEGHCDEUFUGUNVMVEUTVI
      LZCDMZAVHNZLGHABEEVFANZVKVQVLVRVSVJVPCDVSVGUTVIVFAUSRUHSVFAVHUITVHBNZVQVC
      VRVDVTVPVBCDVTVIVAUTVHBUSRUJSVHBAUKTULUMUO $.

    $( Any two distinct points in a T_1 space are separated by an open set.
       (Contributed by Jeff Hankins, 1-Feb-2010.) $)
    t1sep $p |- ( ( J e. Fre /\ ( A e. X /\ B e. X /\ A =/= B ) ) ->
      E. o e. J ( A e. o /\ -. B e. o ) ) $=
      ( ct1 wcel wne w3a wa cv wi wral wn wrex simpr3 wceq t1sep2 3adant3r3 mpd
      necon3ad rexanali sylibr ) DGHZAEHZBEHZABIZJKZACLZHZBUJHZMCDNZOZUKULOKCDP
      UIUHUNUEUFUGUHQUIUMABUEUFUGUMABRMUHABCDEFSTUBUAUKULCDUCUD $.

    $( A singleton is closed in a Hausdorff space.  (Contributed by NM,
       5-Mar-2007.)  (Revised by Mario Carneiro, 24-Aug-2015.) $)
    sncld $p |- ( ( J e. Haus /\ P e. X ) -> { P } e. ( Clsd ` J ) ) $=
      ( cha wcel ct1 csn ccld cfv haust1 t1sncld sylan ) BEFBGFACFAHBIJFBKABCDL
      M $.

    ${
      sshauslem.2 $e |- ( J e. A -> J e. Top ) $.
      sshauslem.3 $e |- ( ( J e. A /\
        ( _I |` X ) : X -1-1-> X /\ ( _I |` X ) e. ( K Cn J ) ) -> K e. A ) $.
      $( Lemma for ~ sshaus and similar theorems.  If the topological property
         ` A ` is preserved under injective preimages, then a topology finer
         than one with property ` A ` also has property ` A ` .  (Contributed
         by Mario Carneiro, 25-Aug-2015.) $)
      sshauslem $p |- ( ( J e. A /\ K e. ( TopOn ` X ) /\ J C_ K ) ->
        K e. A ) $=
        ( wcel ctopon cfv wss w3a cid cres wf1 ccn co simp1 wf1o f1oi mp1i ctop
        f1of1 simp3 simp2 3ad2ant1 toptopon sylib ssidcn syl2anc mpbird syl3anc
        wb ) BAHZCDIJZHZBCKZLZUNDDMDNZOZUSCBPQHZCAHUNUPUQRDDUSSUTURDTDDUSUCUAUR
        VAUQUNUPUQUDURUPBUOHZVAUQUMUNUPUQUEURBUBHZVBUNUPVCUQFUFBDEUGUHCBDUIUJUK
        GUL $.
    $}

    $( A topology finer than a T_0 topology is T_0.  (Contributed by Mario
       Carneiro, 25-Aug-2015.) $)
    sst0 $p |- ( ( J e. Kol2 /\ K e. ( TopOn ` X ) /\ J C_ K ) ->
      K e. Kol2 ) $=
      ( ct0 t0top cid cres cnt0 sshauslem ) EABCDAFGCHBACCIJ $.

    $( A topology finer than a T_1 topology is T_1.  (Contributed by Mario
       Carneiro, 25-Aug-2015.) $)
    sst1 $p |- ( ( J e. Fre /\ K e. ( TopOn ` X ) /\ J C_ K ) ->
      K e. Fre ) $=
      ( ct1 t1top cid cres cnt1 sshauslem ) EABCDAFGCHBACCIJ $.

    $( A topology finer than a Hausdorff topology is Hausdorff.  (Contributed
       by Mario Carneiro, 2-Mar-2015.) $)
    sshaus $p |- ( ( J e. Haus /\ K e. ( TopOn ` X ) /\ J C_ K ) ->
      K e. Haus ) $=
      ( cha haustop cid cres cnhaus sshauslem ) EABCDAFGCHBACCIJ $.

    $( In a regular space, a closed set is separated by open sets from a point
       not in it.  (Contributed by Jeff Hankins, 1-Feb-2010.)  (Revised by
       Mario Carneiro, 25-Aug-2015.) $)
    regsep2 $p |- ( ( J e. Reg /\
      ( C e. ( Clsd ` J ) /\ A e. X /\ -. A e. C ) ) ->
        E. x e. J E. y e. J ( C C_ x /\ A e. y /\ ( x i^i y ) = (/) ) ) $=
      ( wcel cfv w3a wa cv wss cin c0 wceq wrex cdif syl2anc syl creg ccld ctop
      ccl regtop ad2antrr cuni elssuni sseqtrrdi ad2antrl clscld cldopn simprrr
      wn clsss3 simplr1 cldss ssconb mpbid simprrl sscls sslin disjdifr sylancl
      wb sseq0 sseq2 ineq1 eqeq1d 3anbi13d rspcev syl13anc simpr1 simpr2 simpr3
      simpl eldifd regsep syl3anc reximddv rexcom sylib ) EUAHZDEUBIZHZCFHZCDHU
      NZJZKZDALZMZCBLZHZWJWLNZOPZJZAEQZBEQWPBEQAEQWIWMWLEUDIIZFDRZMZKZWQBEWIWLE
      HZXAKZKZFWRRZEHZDXEMZWMXEWLNZOPZWQXDWRWDHZXFXDEUCHZWLFMZXJWCXKWHXCEUEUFZX
      BXLWIXAXBWLEUGFWLEUHGUIUJZWLEFGUKSWREFGULTXDWTXGWIXBWMWTUMXDWRFMZDFMZWTXG
      VEXDXKXLXOXMXNWLEFGUOSXDWEXPWEWFWGWCXCUPDEFGUQTWRDFURSUSWIXBWMWTUTXDXHXEW
      RNZMZXQOPXIXDWLWRMZXRXDXKXLXSXMXNWLEFGVASWLWRXEVBTWRFVCXHXQVFVDWPXGWMXIJA
      XEEWJXEPZWKXGWOXIWMWJXEDVGXTWNXHOWJXEWLVHVIVJVKVLWIWCWSEHZCWSHXABEQWCWHVP
      WIWEYAWCWEWFWGVMDEFGULTWICFDWCWEWFWGVNWCWEWFWGVOVQBCWSEVRVSVTWPBAEEWAWB
      $.
  $}

  ${
    $d c o p x y J $.  $d c o p x y X $.
    $( A topological space is regular if any closed set is separated from any
       point not in it by neighborhoods.  (Contributed by Jeff Hankins,
       1-Feb-2010.)  (Revised by Mario Carneiro, 25-Aug-2015.) $)
    isreg2 $p |- ( J e. ( TopOn ` X ) -> ( J e. Reg <-> A. c e. ( Clsd ` J )
      A. x e. X ( -. x e. c -> E. o e. J E. p e. J
        ( c C_ o /\ x e. p /\ ( o i^i p ) = (/) ) ) ) ) $=
      ( vy cfv wcel cv wn wss c0 wceq w3a wrex wi wral wa cdif ctopon creg ccld
      cin cuni simp1r simp2l simp2r simp1l toponuni eleqtrd simp3 eqid syl13anc
      syl regsep2 3expia ralrimivva ctop topontop adantr difeq1d opncld eqeltrd
      ccl sylan eleq2 notbid eldif baibr con1bid sylan9bb simpl sseq1d 2rexbidv
      3anbi1d imbi12d ralbidva ralcom3 toponss sselda simprr2 ad3antrrr simprll
      rspcv syl2anc incom simprr3 syl5eq simplll simprlr reldisj clsss2 simprr1
      mpbid difcom sylib sstrd expr anassrs reximdva rexlimdva embantd ralimdva
      wb jca syl5bi syld ralrimdva imp isreg sylanbrc impbida ) CDUAHIZCUBIZAJZ
      FJZIZKZXQBJZLZXPEJZIZXTYBUDZMNZOZECPBCPZQZADRZFCUCHZRZXNXOSZYHFAYJDYLXQYJ
      IZXPDIZSZXSYGYLYOXSOZXOYMXPCUEZIXSYGXNXOYOXSUFYLYMYNXSUGYPXPDYQYLYMYNXSUH
      YPXNDYQNZXNXOYOXSUIDCUJZUOUKYLYOXSULBEXPXQCYQYQUMZUPUNUQURXNYKSCUSIZYCYBC
      VEHHZGJZLZSZECPZAUUCRZGCRZXOXNUUAYKDCUTZVAXNYKUUHXNYKUUGGCXNUUCCIZSZYKXPU
      UCIZDUUCTZXTLZYCYEOZECPZBCPZQZADRZUUGUUKUUMYJIYKUUSQUUKUUMYQUUCTZYJUUKDYQ
      UUCXNYRUUJYSVAVBXNUUAUUJUUTYJIUUIUUCCYQYTVCVFVDYIUUSFUUMYJXQUUMNZYHUURADU
      VAYNSZXSUULYGUUQUVAXSXPUUMIZKYNUULUVAXRUVCXQUUMXPVGVHYNUULUVCUVCYNUULKXPD
      UUCVIVJVKVLUVBYFUUOBECCUVBYAUUNYCYEUVBXQUUMXTUVAYNVMVNVPVOVQVRWEUOUUSYNUU
      QQZAUUCRUUKUUGUUQADUUCVSUUKUVDUUFAUUCUUKUULSZYNUUQUUFUUKUUCDXPUUCCDVTWAUV
      EUUPUUFBCUVEXTCIZSUUOUUEECUVEUVFYBCIZUUOUUEQUVEUVFUVGSZUUOUUEUVEUVHUUOSZS
      ZYCUUDUUNYCYEUVHUVEWBUVJUUBDXTTZUUCUVJUVKYJIYBUVKLZUUBUVKLUVJUVKYQXTTZYJU
      VJDYQXTXNYRUUJUULUVIYSWCVBUVJUUAUVFUVMYJIXNUUAUUJUULUVIUUIWCUVEUVFUVGUUOW
      DXTCYQYTVCWFVDUVJYBXTUDZMNZUVLUVJUVNYDMYBXTWGUUNYCYEUVHUVEWHWIUVJYBDLZUVO
      UVLXEUVJXNUVGUVPXNUUJUULUVIWJUVEUVFUVGUUOWKYBCDVTWFYBXTDWLUOWOUVKYBCYQYTW
      MWFUVJUUNUVKUUCLUUNYCYEUVHUVEWNDUUCXTWPWQWRXFWSWTXAXBXCXDXGXHXIXJGAECXKXL
      XM $.
  $}

  ${
    dnsconst.1 $e |- X = U. J $.
    dnsconst.2 $e |- Y = U. K $.
    $( If a continuous mapping to a T_1 space is constant on a dense subset, it
       is constant on the entire space.  Note that
       ` ( ( cls `` J ) `` A ) = X ` means " ` A ` is dense in ` X ` " and
       ` A C_ ( ``' F " { P } ) ` means " ` F ` is constant on ` A ` " (see
       ~ funconstss ).  (Contributed by NM, 15-Mar-2007.)  (Proof shortened by
       Mario Carneiro, 21-Aug-2015.) $)
    dnsconst $p |- ( ( ( K e. Fre /\ F e. ( J Cn K ) ) /\
      ( P e. Y /\ A C_ ( `' F " { P } ) /\ ( ( cls ` J ) ` A ) = X ) ) ->
        F : X --> { P } ) $=
      ( ct1 wcel ccn co wa ccnv wss cfv wf ccld syl2anc csn cima ccl w3a simplr
      wceq wfn cnf ffn 3syl simpr3 simpll simpr1 t1sncld simpr2 clsss2 eqsstrrd
      cnclima fconst3 sylanbrc ) EJKZCDELMKZNZBGKZACOBUAZUBZPZADUCQQZFUFZUDZNZC
      FUGZFVFPFVECRVKVBFGCRVLVAVBVJUEZCDEFGHIUHFGCUIUJVKFVHVFVCVDVGVIUKVKVFDSQK
      ZVGVHVFPVKVBVEESQKZVNVMVKVAVDVOVAVBVJULVCVDVGVIUMBEGIUNTVECDEURTVCVDVGVIU
      OVFADFHUPTUQFBCUSUT $.
  $}

  ${
    $d x y R $.
    $( The order topology is T_1 for any poset.  (Contributed by Mario
       Carneiro, 3-Sep-2015.) $)
    ordtt1 $p |- ( R e. PosetRel -> ( ordTop ` R ) e. Fre ) $=
      ( vx vy cps wcel cordt cfv ctop cv csn ccld cuni wral ct1 ordttop cdm wbr
      wa wceq eqid crab cin snssi adantl sseqin2 sylib velsn psref adantr breq2
      wss jca breq1 anbi12d syl5ibrcom wi psasym equcomd 3expib ad2antrr impbid
      w3a syl5bb rabbi2dva eqtr3d ordtcld3 3anidm23 eqeltrd ralrimiva ordttopon
      ctopon toponuni syl raleqdv mpbid ist1 sylanbrc ) ADEZAFGZHEBIZJZVSKGZEZB
      VSLZMZVSNEADOVRWCBAPZMWEVRWCBWFVRVTWFEZRZWAVTCIZAQZWIVTAQZRZCWFUAZWBWHWFW
      AUBZWAWMWHWAWFUKZWNWASWGWOVRVTWFUCUDWAWFUEUFWHWLCWFWAWIWAEWIVTSZWHWIWFEZR
      ZWLCVTUGWRWPWLWRWLWPVTVTAQZWSRWRWSWSWHWSWQVTAWFWFTZUHUIZXAULWPWJWSWKWSWIV
      TVTAUJWIVTVTAUMUNUOVRWLWPUPWGWQVRWJWKWPVRWJWKVBBCVTWIAUQURUSUTVAVCVDVEVRW
      GWMWBECVTVTADWFWTVFVGVHVIVRWCBWFWDVRVSWFVKGEWFWDSADWFWTVJWFVSVLVMVNVOVSWD
      BWDTVPVQ $.
  $}

  ${
    $d j k x y A $.  $d j k x y B $.  $d j k x y J $.  $d j k x y ph $.
    $d j k F $.
    lmmo.1 $e |- ( ph -> J e. Haus ) $.
    lmmo.4 $e |- ( ph -> F ( ~~>t ` J ) A ) $.
    lmmo.5 $e |- ( ph -> F ( ~~>t ` J ) B ) $.
    $( A sequence in a Hausdorff space converges to at most one limit.  Part of
       Lemma 1.4-2(a) of [Kreyszig] p. 26.  (Contributed by NM, 31-Jan-2008.)
       (Proof shortened by Mario Carneiro, 1-May-2014.) $)
    lmmo $p |- ( ph -> A = B ) $=
      ( vx vy vk vj cv wcel wrex wn wa cfv wral cn cin c0 wceq w3a an4 cuz nnuz
      wi c1 simprr 1zzd clm wbr adantr simprl lmcvg ex anim12d rexanuz2 wne nnz
      cz uzid ne0i 3syl r19.2z elin n0i sylbir rexlimivw sylan rexlimiva syl5bi
      syl syl6 expdimp imnan df-3an sylnibr anassrs nrexdv cha cuni ctopon ctop
      sylib haustop toptopon2 lmcl syl2anc eqid hausnei 3exp2 syl3c necon1bd
      mpd ) ABIMZNZCJMZNZWQWSUAZUBUCZUDZJEOZIEOZPBCUCAXDIEAWQENZQXCJEAXFWSENZXC
      PAXFXGQZQZWRWTQZXBQZXCXIXJXBPZUHXKPAXHXJXLXHXJQXFWRQZXGWTQZQZAXLXFXGWRWTU
      EAXOKMDRZWQNZKLMZUFRZSLTOZXPWSNZKXSSLTOZQZXLAXMXTXNYBAXMXTAXMQZBWQLKDEUIT
      UGAXFWRUJYDUKADBEULRZUMZXMGUNAXFWRUOUPUQAXNYBAXNQZCWSLKDEUITUGAXGWTUJYGUK
      ADCYEUMZXNHUNAXGWTUOUPUQURYCXQYAQZKXSSZLTOXLXQYALKUITUGUSYJXLLTXRTNZXSUBU
      TZYJXLYKXRVBNXRXSNYLXRVAXRVCXSXRVDVEYLYJQYIKXSOXLYIKXSVFYIXLKXSYIXPXANXLX
      PWQWSVGXAXPVHVIVJVNVKVLVIVOVMVPXJXBVQWFWRWTXBVRVSVTWAWAAXEBCAEWBNZBEWCZNZ
      CYNNZBCUTZXEUHFAEYNWDRNZYFYOAEWENZYRAYMYSFEWGVNEWHWFZGBDEYNWIWJAYRYHYPYTH
      CDEYNWIWJYMYOYPYQXEBCJIEYNYNWKWLWMWNWOWP $.
  $}

  ${
    $d x y z J $.
    $( The convergence relation is function-like in a Hausdorff space.
       (Contributed by Mario Carneiro, 26-Dec-2013.) $)
    lmfun $p |- ( J e. Haus -> Fun ( ~~>t ` J ) ) $=
      ( vx vy vz cha wcel clm cfv wrel cv wbr wa weq wal wfun lmrel a1i alrimiv
      wi simpl simprl simprr lmmo ex dffun2 sylanbrc ) AEFZAGHZIZBJZCJZUHKZUJDJ
      ZUHKZLZCDMZSZDNZCNZBNUHOUIUGAPQUGUSBUGURCUGUQDUGUOUPUGUOLUKUMUJAUGUOTUGUL
      UNUAUGULUNUBUCUDRRRBCDUHUEUF $.
  $}

  ${
    $d u v x y A $.  $d x y V $.
    $( A discrete topology is Hausdorff.  Morris, Topology without tears, p.72,
       ex. 13.  (Contributed by FL, 24-Jun-2007.)  (Proof shortened by Mario
       Carneiro, 8-Apr-2015.) $)
    dishaus $p |- ( A e. V -> ~P A e. Haus ) $=
      ( vx vy vu vv wcel cv cin c0 wceq w3a wrex wral csn wss snssd snex elpw
      wa cpw ctop wne wi cha distop simplrl sylibr simplrr vsnid disjsn2 adantl
      a1i eleq2 ineq1 3anbi13d ineq2 3anbi23d rspc2ev syl113anc ralrimivva cuni
      eqeq1d ex unipw eqcomi ishaus sylanbrc ) ABGZAUAZUBGCHZDHZUCZVKEHZGZVLFHZ
      GZVNVPIZJKZLZFVJMEVJMZUDZDANCANVJUEGABUFVIWBCDAAVIVKAGZVLAGZTTZVMWAWEVMTZ
      VKOZVJGZVLOZVJGZVKWGGZVLWIGZWGWIIZJKZWAWFWGAPWHWFVKAVIWCWDVMUGQWGAVKRSUHW
      FWIAPWJWFVLAVIWCWDVMUIQWIAVLRSUHWKWFCUJUMWLWFDUJUMVMWNWEVKVLUKULVTWKWLWNL
      WKVQWGVPIZJKZLEFWGWIVJVJVNWGKZVOWKVSWPVQVNWGVKUNWQVRWOJVNWGVPUOVCUPVPWIKZ
      VQWLWPWNWKVPWIVLUNWRWOWMJVPWIWGUQVCURUSUTVDVACDFEVJAVJVBAAVEVFVGVH $.
  $}

  ${
    $d m n x y A $.  $d m n x y B $.  $d m n x y R $.  $d m n x y X $.
    ordthauslem.1 $e |- X = dom R $.
    $( Lemma for ~ ordthaus .  (Contributed by Mario Carneiro, 13-Sep-2015.) $)
    ordthauslem $p |- ( ( R e. TosetRel /\ A e. X /\ B e. X ) -> ( A R B ->
      ( A =/= B -> E. m e. ( ordTop ` R ) E. n e. ( ordTop ` R )
        ( A e. m /\ B e. n /\ ( m i^i n ) = (/) ) ) ) ) $=
      ( vx vy ctsr wcel w3a wbr cin c0 wceq wa wn crab syl2anc wne cv cordt cfv
      wrex simpll1 simpll3 ordtopn2 simpll2 ordtopn1 breq2 notbid simprr cps wi
      simpl1 tsrps syl simprl psasym 3expia mpd adantr elrabd breq1 simpr eleq2
      necon3ad ineq1 eqeq1d 3anbi13d ineq2 eqtrdi 3anbi23d rspc2ev syl113anc ex
      inrab rabn0 simprrr simprrl wral wo jca tsrlin 3expa sylan oran ralrimiva
      sylib rabeq0 sylibr rexlimdvaa syl5bi pm2.61dne exp32 ) CJKZAFKZBFKZLZABC
      MZABUAZADUBZKZBEUBZKZXCXENZOPZLZECUCUDZUEDXJUEZWTXAXBQZQZXKBHUBZCMZRZXNAC
      MZRZQZHFSZOXMXTOPZXKXMYAQZXPHFSZXJKZXRHFSZXJKZAYCKZBYEKZYAXKYBWQWSYDWQWRW
      SXLYAUFZWQWRWSXLYAUGZHBCJFGUHTYBWQWRYFYIWQWRWSXLYAUIZHACJFGUJTYBXPBACMZRZ
      HAFXNAPXOYLXNABCUKULYKXMYMYAXMXBYMWTXAXBUMXMYLABXMCUNKZXAYLABPZUOXMWQYNWQ
      WRWSXLUPCUQURWTXAXBUSYNXAYLYOABCUTVATVHVBVCZVDYBXRYMHBFXNBPXQYLXNBACVEULY
      JYPVDXMYAVFXIYGYHYALYGXFYCXENZOPZLDEYCYEXJXJXCYCPZXDYGXHYRXFXCYCAVGYSXGYQ
      OXCYCXEVIVJVKXEYEPZXFYHYRYAYGXEYEBVGYTYQXTOYTYQYCYENXTXEYEYCVLXPXRHFVRVMV
      JVNVOVPVQXTOUAXSHFUEXMXKXSHFVSXMXSXKHFXMXNFKZXSQZQZXNIUBZCMZRZIFSZXJKZUUD
      XNCMZRZIFSZXJKZAUUGKZBUUKKZUUFUUJQZIFSZOPZXKUUCWQUUAUUHWQWRWSXLUUBUFZXMUU
      AXSUSZIXNCJFGUHTUUCWQUUAUULUURUUSIXNCJFGUJTUUCUUFXRIAFUUDAPUUEXQUUDAXNCUK
      ULWQWRWSXLUUBUIXMUUAXPXRVTVDUUCUUJXPIBFUUDBPUUIXOUUDBXNCVEULWQWRWSXLUUBUG
      XMUUAXPXRWAVDUUCUUORZIFWBUUQUUCUUTIFUUCUUDFKZQUUEUUIWCZUUTUUCWQUUAQUVAUVB
      UUCWQUUAUURUUSWDWQUUAUVAUVBXNUUDCFGWEWFWGUUEUUIWHWJWIUUOIFWKWLXIUUMUUNUUQ
      LUUMXFUUGXENZOPZLDEUUGUUKXJXJXCUUGPZXDUUMXHUVDXFXCUUGAVGUVEXGUVCOXCUUGXEV
      IVJVKXEUUKPZXFUUNUVDUUQUUMXEUUKBVGUVFUVCUUPOUVFUVCUUGUUKNUUPXEUUKUUGVLUUF
      UUJIFVRVMVJVNVOVPWMWNWOWP $.
  $}

  ${
    $d m n x y R $.
    $( The order topology of a total order is Hausdorff.  (Contributed by Mario
       Carneiro, 13-Sep-2015.) $)
    ordthaus $p |- ( R e. TosetRel -> ( ordTop ` R ) e. Haus ) $=
      ( vx vy vm vn ctsr wcel cfv cv wne cin wceq w3a wrex wral wbr ordthauslem
      c0 wi bitri cordt cha cdm eqid necom 3ancoma incom eqeq1i 3anbi3i 2rexbii
      rexcom imbi12i syl6ib 3com23 tsrlin mpjaod ralrimivva ctopon wb ordttopon
      3expb ishaus2 syl mpbird ) AFGZAUAHZUBGZBIZCIZJZVHDIZGZVIEIZGZVKVMKZRLZMZ
      EVFNDVFNZSZCAUCZOBVTOZVEVSBCVTVTVEVHVTGZVIVTGZVSVEWBWCMVHVIAPVSVIVHAPZVHV
      IADEVTVTUDZQVEWCWBWDVSSVEWCWBMWDVIVHJZVNVLVMVKKZRLZMZDVFNEVFNZSVSVIVHAEDV
      TWEQWFVJWJVRVIVHUEWJVQDVFNEVFNVRWIVQEDVFVFWIVLVNWHMVQVNVLWHUFWHVPVLVNWGVO
      RVMVKUGUHUITUJVQEDVFVFUKTULUMUNVHVIAVTWEUOUPVAUQVEVFVTURHGVGWAUSAFVTWEUTB
      CEDVFVTVBVCVD $.
  $}

  $( The topology of the extended reals is Hausdorff.  (Contributed by Thierry
     Arnoux, 24-Mar-2017.) $)
  xrhaus $p |- ( ordTop ` <_ ) e. Haus $=
    ( cle ctsr wcel cordt cfv cha letsr ordthaus ax-mp ) ABCADEFCGAHI $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Compactness
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Comp $.

  $( Extend class notation with the class of all compact spaces. $)
  ccmp $a class Comp $.

  ${
    $d x y z $.
    $( Definition of a compact topology.  A topology is compact iff any open
       covering of its underlying set contains a finite subcovering
       (Heine-Borel property).  Definition C''' of [BourbakiTop1] p.  I.59.
       Note:  Bourbaki uses the term "quasi-compact" (saving "compact" for
       "compact Hausdorff"), but it is not the modern usage (which we follow).
       (Contributed by FL, 22-Dec-2008.) $)
    df-cmp $a |- Comp = { x e. Top | A. y e. ~P x ( U. x = U. y
      -> E. z e. ( ~P y i^i Fin ) U. x = U. z ) } $.
  $}

  ${
    $d f s u x y z A $.  $d r s u x y z J $.  $d f s u x ph $.  $d s u z ps $.
    $d r s S $.  $d r u x X $.
    iscmp.1 $e |- X = U. J $.
    $( The predicate "is a compact topology".  (Contributed by FL,
       22-Dec-2008.)  (Revised by Mario Carneiro, 11-Feb-2015.) $)
    iscmp $p |- ( J e. Comp <-> ( J e. Top /\ A. y e. ~P J
      ( X = U. y -> E. z e. ( ~P y i^i Fin ) X = U. z ) ) ) $=
      ( vx cv cuni wceq cpw cfn cin wrex wi wral ctop ccmp pweq unieq eqeq1d
      eqtr4di rexbidv imbi12d raleqbidv df-cmp elrab2 ) FGZHZAGZHZIZUHBGHZIZBUI
      JKLZMZNZAUGJZODUJIZDULIZBUNMZNZACJZOFCPQUGCIZUPVAAUQVBUGCRVCUKURUOUTVCUHD
      UJVCUHCHDUGCSEUAZTVCUMUSBUNVCUHDULVDTUBUCUDFABUEUF $.

    $( An open cover of a compact topology has a finite subcover.  (Contributed
       by Jeff Hankins, 29-Jun-2009.) $)
    cmpcov $p |- ( ( J e. Comp /\ S C_ J /\ X = U. S ) ->
                    E. s e. ( ~P S i^i Fin ) X = U. s ) $=
      ( vr ccmp wcel wss cuni wceq cv cpw cfn cin wrex wa wi unieq cvv rexeqdv
      eqeq2d pweq ineq1d imbi12d wral iscmp simprbi adantr ssexg ancoms rspcdva
      ctop simpr elpwd 3impia ) BGHZABIZCAJZKZCDLJKZDAMZNOZPZUQURQZCFLZJZKZVADV
      FMZNOZPZRZUTVDRFBMZAVFAKZVHUTVKVDVNVGUSCVFASUBVNVADVJVCVNVIVBNVFAUCUDUAUE
      UQVLFVMUFZURUQBUMHVOFDBCEUGUHUIVEABTURUQATHABGUJUKUQURUNUOULUP $.

    $( Rewrite ~ cmpcov for the cover ` { y e. J | ph } ` .  (Contributed by
       Mario Carneiro, 11-Sep-2015.) $)
    cmpcov2 $p |- ( ( J e. Comp /\ A. x e. X E. y e. J ( x e. y /\ ph ) ) ->
                    E. s e. ( ~P J i^i Fin ) ( X = U. s /\ A. y e. s ph ) ) $=
      ( wcel cv wa wrex wral cuni wceq cpw cfn cin wss anbi1i an32 dfss3 ralbii
      ccmp crab elunirab sylbbr ssrab2 unissi sseqtrri a1i cmpcov mp3an2 sylan2
      eqssd ssrab anass 3bitri 3bitr4i elfpw rexbii2 sylib ) DUCHZBIZCIHAJCDKZB
      ELZJEFIZMNZFACDUDZOPQZKZVGACVFLZJZFDOPQZKVEVBEVHMZNZVJVEEVNEVNRVCVNHZBELV
      EBEVNUAVPVDBEACVCDUEUBUFVNERVEVNDMEVHDACDUGZUHGUIUJUNVBVHDRVOVJVQVHDEFGUK
      ULUMVGVLFVIVMVFVHRZVFPHZJZVGJZVFDRZVSJZVLJZVFVIHZVGJVFVMHZVLJVRVGJZVSJWBV
      LJZVSJWAWDWGWHVSWGWBVKJZVGJWBVGJVKJWHVRWIVGACDVFUOSWBVKVGTWBVGVKUPUQSVRVS
      VGTWBVSVLTURWEVTVGVFVHUSSWFWCVLVFDUSSURUTVA $.

    $d s X $.
    cmpcovf.2 $e |- ( z = ( f ` y ) -> ( ph <-> ps ) ) $.
    $( Combine ~ cmpcov with ~ ac6sfi to show the existence of a function that
       indexes the elements that are generating the open cover.  (Contributed
       by Mario Carneiro, 14-Sep-2014.) $)
    cmpcovf $p |- ( ( J e. Comp /\
      A. x e. X E. y e. J ( x e. y /\ E. z e. A ph ) ) ->
      E. s e. ( ~P J i^i Fin ) ( X = U. s /\
        E. f ( f : s --> A /\ A. y e. s ps ) ) ) $=
      ( vu wcel cv wrex wa wral wceq cfn ccmp cuni cpw cin wf wex simpl cmpcov2
      wss elfpw simplrl velpw sylibr simplrr elind simprl simprr ac6sfi syl2anc
      wi unieq eqeq2d raleq anbi12d exbidv rspcev syl12anc ex sylan2b rexlimdva
      feq2 sylc ) HUANZCODONAEFPZQDHPCIRZQVMIMOZUBZSZVNDVPRZQZMHUCZTUDZPIJOZUBZ
      SZWCFGOZUEZBDWCRZQZGUFZQZJWBPZVMVOUGVNCDHIMKUHVMVTWLMWBVPWBNZVMVPHUIZVPTN
      ZQZVTWLUTVPHUJVMWPQZVTWLWQVTQZWMVRVPFWFUEZBDVPRZQZGUFZWLWRWATVPWRWNVPWANV
      MWNWOVTUKMHULUMVMWNWOVTUNZUOWQVRVSUPWRWOVSXBXCWQVRVSUQABDEVPFGLURUSWKVRXB
      QJVPWBWCVPSZWEVRWJXBXDWDVQIWCVPVAVBXDWIXAGXDWGWSWHWTWCVPFWFVKBDWCVPVCVDVE
      VDVFVGVHVIVJVL $.
  $}

  ${
    $d c d s u v x y F $.  $d c d s u v x y J $.  $d c d s u v x y K $.
    $d c d s u v x y X $.  $d c d s u v x y Y $.
    cncmp.2 $e |- Y = U. K $.
    $( Compactness is respected by a continuous onto map.  (Contributed by Jeff
       Hankins, 12-Jul-2009.)  (Proof shortened by Mario Carneiro,
       22-Aug-2015.) $)
    cncmp $p |- ( ( J e. Comp /\ F : X -onto-> Y /\ F e. ( J Cn K ) ) ->
        K e. Comp ) $=
      ( vu vy vc vd wcel cv cuni wceq cfn wral wss wa cima syl vv vs vx wfo ccn
      ccmp co w3a ctop cpw cin wrex wi cntop2 3ad2ant3 elpwi ccnv simpl1 simpl3
      cmpt crn simprl sselda cnima syl2an2r fmpttd frnd simprr imaeq2d eqid cnf
      wf fimacnv ciun cab ralrimiva dfiun2g imauni rnmpt unieqi 3eqtr4g 3eqtr3d
      cmpcov syl3anc simprll simpll2 elssuni sseqtrrdi foimacnv syl2anc eqeltrd
      elfpw simpr imaeq2 eleq1d ralrnmptw mpbird adantr r19.21bi syldan simprlr
      abrexfi eqeltrid sylanbrc cdm fdmd fof fdm 3syl foima unieq rspceeqv expr
      wb sylan2b rexlimdva mpd sylan2 iscmp ) BUFKZDEAUDZABCUEUGKZUHZCUIKZEGLZM
      ZNZEUALZMZNUAYEUJOUKZULZUMZGCUJZPCUFKYBXTYDYAABCUNUOYCYLGYMYEYMKYCYECQZYL
      YECUPYCYNYGYKYCYNYGRZRZBMZUBLZMZNZUBHYEAUQZHLZSZUTZVAZUJOUKZULZYKYPXTUUEB
      QYQUUEMZNUUGXTYAYBYOURYPYEBUUDYPHYEUUCBYPYBUUBYEKZUUBCKZUUCBKZXTYAYBYOUSZ
      YPYECUUBYCYNYGVBVCZUUBABCVDVEZVFVGYPUUAESZUUAYFSZYQUUHYPEYFUUAYCYNYGVHVIY
      PYQEAVLZUUOYQNYPYBUUQUULABCYQEYQVJZFVKTZYQEAVMTYPHYEUUCVNZUCLUUCNHYEULUCV
      OZMZUUPUUHYPUUKHYEPZUUTUVBNYPUUKHYEUUNVPZHUCYEUUCBVQTHUUAYEVRUUEUVAHUCYEU
      UCUUDUUDVJZVSVTWAWBUUEBYQUBUURWCWDYPYTYKUBUUFYRUUFKYPYRUUEQZYROKZRZYTYKUM
      YRUUEWLYPUVHYTYKYPUVHYTRZRZIYRAILZSZUTZVAZYJKZEUVNMZNYKUVJUVNYEQUVNOKZUVO
      UVJYRYEUVMUVJIYRUVLYEUVJUVKYRKUVKUUEKUVLYEKZUVJYRUUEUVKYPUVFUVGYTWEVCUVJU
      VRIUUEYPUVRIUUEPZUVIYPUVSAUUCSZYEKZHYEPZYPUWAHYEYPUUIRZUVTUUBYEUWCYAUUBEQ
      ZUVTUUBNXTYAYBYOUUIWFUWCUUJUWDUUMUUJUUBCMEUUBCWGFWHTDEUUBAWIWJYPUUIWMWKVP
      YPUVCUVSUWBXNUVDUVRUWAHIYEUUCUUDBUVEUVKUUCNUVLUVTYEUVKUUCAWNWOWPTWQWRWSWT
      ZVFVGUVJUVGUVQYPUVFUVGYTXAUVGUVNJLUVLNIYRULJVOZOIJYRUVLUVMUVMVJVSZIJYRUVL
      XBXCTUVNYEWLXDUVJADSZAYSSZEUVPUVJDYSAUVJAXEZYQDYSUVJYQEAYPUUQUVIUUSWRXFUV
      JYADEAVLUWJDNXTYAYBYOUVIWFZDEAXGDEAXHXIYPUVHYTVHWBVIUVJYAUWHENUWKDEAXJTUV
      JIYRUVLVNZUWFMZUWIUVPUVJUVRIYRPUWLUWMNUVJUVRIYRUWEVPIJYRUVLYEVQTIAYRVRUVN
      UWFUWGVTWAWBUAUVNYJYIUVPEYHUVNXKXLWJXMXOXPXQXMXRVPGUACEFXSXD $.
  $}

  ${
    $d J y z $.
    $( A finite topology is compact.  (Contributed by FL, 22-Dec-2008.) $)
    fincmp $p |- ( J e. ( Top i^i Fin ) -> J e. Comp ) $=
      ( vy vz ctop cfn cin wcel cuni cv wceq cpw wrex wral ccmp elinel1 elinel2
      wi wa vex pwid velpw ssfi sylan2b elin unieq rspceeqv ex sylbir ralrimiva
      wss sylancr syl eqid iscmp sylanbrc ) ADEFGZADGAHZBIZHZJZUQCIZHZJCURKZEFZ
      LZQZBAKZMZANGADEOUPAEGZVHADEPVIVFBVGVIURVGGZRURVCGZUREGZVFURBSTVJVIURAUJV
      LBAUAAURUBUCVKVLRURVDGZVFURVCEUDVMUTVECURVDVBUSUQVAURUEUFUGUHUKUIULBCAUQU
      QUMUNUO $.
  $}

  $( The singleton of the empty set is compact.  (Contributed by FL,
     2-Aug-2009.) $)
  0cmp $p |- { (/) } e. Comp $=
    ( c0 csn ctop cfn cin wcel ccmp sn0top snfi elini fincmp ax-mp ) ABZCDEFMGF
    MCDHAIJMKL $.

  ${
    $d r s J $.
    $( A compact topology is a topology.  (Contributed by Jeff Hankins,
       29-Jun-2009.) $)
    cmptop $p |- ( J e. Comp -> J e. Top ) $=
      ( vr vs ccmp wcel ctop cuni cv wceq cpw cfn cin wrex wi wral eqid simplbi
      iscmp ) ADEAFEAGZBHZGISCHGICTJKLMNBAJOBCASSPRQ $.
  $}

  $( The image of a compact set under a continuous function is compact.
     (Contributed by Mario Carneiro, 21-Mar-2015.) $)
  rncmp $p |- ( ( J e. Comp /\ F e. ( J Cn K ) ) ->
    ( K |`t ran F ) e. Comp ) $=
    ( ccmp wcel ccn co wa cuni crn crest wfo simpl eqid adantl sylib wb syl3anc
    wss mpbid wfn wf cnf ffnd dffn4 wceq ctop cntop2 frnd restuni syl2anc foeq3
    syl simpr ctopon cfv toptopon2 ssidd cnrest2 cncmp ) BDEZABCFGEZHZVABIZCAJZ
    KGZIZALZABVFFGEZVFDEVAVBMVCVDVEALZVHVCAVDUAVJVCVDCIZAVBVDVKAUBVAABCVDVKVDNV
    KNZUCOZUDVDAUEPVCVEVGUFZVJVHQVCCUGEZVEVKSZVNVBVOVAABCUHOZVCVDVKAVMUIZVECVKV
    LUJUKVEVGVDAULUMTVCVBVIVAVBUNVCCVKUOUPEZVEVESVPVBVIQVCVOVSVQCUQPVCVEURVRVEA
    BCVKUSRTABVFVDVGVGNUTR $.

  $( The image of a compact set under a continuous function is compact.
     (Contributed by Mario Carneiro, 18-Feb-2015.)  (Revised by Mario Carneiro,
     22-Aug-2015.) $)
  imacmp $p |- ( ( F e. ( J Cn K ) /\ ( J |`t A ) e. Comp ) ->
      ( K |`t ( F " A ) ) e. Comp ) $=
    ( ccn co wcel crest ccmp wa cima cres crn cuni cin eqid cdm wceq 3syl cvv
    df-ima oveq2i simpr wss simpl inss2 cnrest sylancl resdmres dmres wf ineq2d
    cnf syl5eq reseq2d eqtr3id ctop cmptop adantl restrcl restin oveq1d 3eltr4d
    fdm rncmp syl2anc eqeltrid ) BCDEFGZCAHFZIGZJZDBAKZHFDBALZMZHFZIVLVNDHBAUAU
    BVKVJVMVIDEFZGVOIGVHVJUCVKBACNZOZLZCVRHFZDEFZVMVPVKVHVRVQUDVSWAGVHVJUEZAVQU
    FVRBCDVQVQPZUGUHVKVMBVMQZLVSBAUIVKWDVRBVKWDABQZOVRBAUJVKWEVQAVKVHVQDNZBUKWE
    VQRWBBCDVQWFWCWFPUMVQWFBVDSULUNUOUPVKVIVTDEVKVIUQGZCTGATGJVIVTRVJWGVHVIURUS
    ACUTACTTVQWCVASVBVCVMVIDVEVFVG $.

  ${
    $d x y A $.  $d c d f s t u v w y z J $.  $d c d f s t u v w x y z S $.
    $d c d f s t u w y z X $.
    $( A discrete topology is compact iff the base set is finite.  (Contributed
       by Mario Carneiro, 19-Mar-2015.) $)
    discmp $p |- ( A e. Fin <-> ~P A e. Comp ) $=
      ( vy vx cfn wcel cpw ccmp ctop cin distop pwfi biimpi elind fincmp syl cv
      cuni wceq wrex wss csn cmpt crn wa simpr snex elpw sylibr fmpttd frnd cab
      snssd ciun eqid rnmpt unieqi dfiun2 iunid 3eqtr2ri eqcomi cmpcov mpd3an23
      a1i unipw elinel2 elinel1 elpwid wral snfi rgenw fmpt mpbi frn mp1i sstrd
      wf unifi syl2anc eleq1 syl5ibrcom rexlimiv impbii ) ADEZAFZGEZWCWDHDIEWEW
      CHDWDADJWCWDDEAKLMWDNOWEABPZQZRZBCACPZUAZUBZUCZFZDIZSZWCWEWLWDTAWLQZRZWOW
      EAWDWKWECAWJWDWEWIAEZUDZWJATWJWDEWSWIAWEWRUEULWJAWIUFZUGUHUIUJWQWEWPWFWJR
      CASBUKZQCAWJUMAWLXACBAWJWKWKUNZUOUPCBAWJWTUQCAURUSVCWLWDABWDQAAVDUTVAVBWH
      WCBWNWFWNEZWCWHWGDEZXCWFDEWFDTXDWFWMDVEXCWFWLDXCWFWLWFWMDVFVGADWKVPZWLDTX
      CWJDEZCAVHXEXFCAWIVIVJCADWJWKXBVKVLADWKVMVNVOWFVQVRAWGDVSVTWAOWB $.

    cmpsub.1 $e |- X = U. J $.
    $( Lemma for ~ cmpsub .  (Contributed by Jeff Hankins, 28-Jun-2009.) $)
    cmpsublem $p |- ( ( J e. Top /\ S C_ X ) ->
    ( A. c e. ~P J ( S C_ U. c -> E. d e. ( ~P c i^i Fin ) S C_ U. d ) ->
      A. s e. ~P ( J |`t S ) ( U. ( J |`t S ) = U. s ->
      E. t e. ( ~P s i^i Fin ) U. ( J |`t S ) = U. t ) ) ) $=
      ( vy vw vz wcel wss wa cv cuni cfn cin wi wceq vv vu ctop wrex wral crest
      vx cpw crab cvv rabexg ad2antrr ssrab2 elpwg mpbiri syl unieq sseq2d pweq
      co ineq1d rexeqdv imbi12d rspcva sylan ex restuni adantr eqeq1d wel velpw
      wex wb eleq2 eluni bitrdi adantl ssel sseq2i uniexg ancoms sylan2b elrest
      ssexg syldan w3a inss1 sseq1 sselda 3ad2antl3 3adant2 ineq1 eleq1d simp12
      weq eleq1 biimpa 3adant3 elrabd vex anbi12d spcev syl2anc 3exp rexlimdv3a
      sylbid com23 com4l sylcom com24 impcom impd exlimdv imp ssrdv pm2.27 elin
      syl6ibr cab eqeq1 rexbidv elab eleq1a simplbiim syl6 2a1d sylanb rexlimdv
      elrab 3imp syl5bi abrexex elpw sylibr abrexfi ad2antlr elind ciun dfss
      a1i biimpi uniiun ineq2i iunin2 iuneq2i 3eqtr2i 3ad2ant2 ad2antrl 3adant1
      incom eqtrdi inex1 3eqtr3d rspceeqv sylbi rexlimiv com3r mpd sylbird syld
      dfiun2 ralrimdva ) CUCLZBDMZNZBFOZPZMZBGOZPZMZGUVFUHZQRZUDZSZFCUHZUEZCBUF
      UTZPZEOZPZTZUVSAOZPZTAUVTUHZQRZUDZSZEUVRUHZUVEUVTUWILZNZUVQBIOZBRZUVTLZIC
      UIZPZMZUVKGUWOUHZQRZUDZSZUWHUWKUVQUXAUWKUWOUVPLZUVQUXAUWKUWOUJLZUXBUVCUXC
      UVDUWJUWNICUCUKULUXCUXBUWOCMUWNICUMUWOCUJUNUOUPUVOUXAFUWOUVPUVFUWOTZUVHUW
      QUVNUWTUXDUVGUWPBUVFUWOUQURUXDUVKGUVMUWSUXDUVLUWRQUVFUWOUSVAVBVCVDVEVFUWK
      UWBUXAUWGUWKUWBBUWATZUXAUWGSZUWKBUVSUWAUVEBUVSTZUWJBCDHVGVHZVIUWKUXEUXFUW
      KUXENZUWQUXFUXIABUWPUXIUWCBLZAUAVJZUAOZUWOLZNZUAVLZUWCUWPLUWKUXEUXJUXOSZU
      WJUVEUVTUVRMZUXEUXPSEUVRVKUVEUXQNZUXEUXPUXRUXENUXJAUBVJZUBEVJZNZUBVLZUXOU
      XEUXJUYBVMUXRUXEUXJUWCUWALUYBBUWAUWCVNUBUWCUVTVOVPVQUXRUYBUXOSUXEUXRUYAUX
      OUBUXRUXSUXTUXOUXQUVEUXSUXTUXOSSUXQUXTUXSUVEUXOUXQUXTUBOZUVRLZUXSUVEUXOSS
      UVTUVRUYCVRUVEUXTUYDUXSUXOUVEUYDUXTUXSUXOSZUVEUYDUYCJOZBRZTZJCUDZUXTUYESZ
      UVCUVDBUJLZUYDUYIVMUVDUVCBCPZMZUYKDUYLBHVSUVCUYLUJLZUYMUYKCUCVTUYMUYNUYKB
      UYLUJWDWAVEWBJUYCBCUCUJWCWEUVEUYHUYJJCUVEUYFCLZUYHWFZUXTUXSUXOUYPUXTUXSWF
      ZAJVJZUYFUWOLZUXOUYPUXSUYRUXTUYHUVEUXSUYRUYOUYHUYCUYFUWCUYHUYCUYFMUYGUYFM
      UYFBWGUYCUYGUYFWHUOWIWJWKUYQUWNUYGUVTLZIUYFCIJWOUWMUYGUVTUWLUYFBWLWMUVEUY
      OUYHUXTUXSWNUYPUXTUYTUXSUYHUVEUXTUYTUYOUYHUXTUYTUYCUYGUVTWPWQWJWRWSUXNUYR
      UYSNUAUYFJWTUAJWOUXKUYRUXMUYSUXLUYFUWCVNUXLUYFUWOWPXAXBXCXDXEXFXGXHXIXJXK
      XLXMVHXFVFWBXNUAUWCUWOVOXRXOUWQUXAUXIUWGUWQUXAUWTUXIUWGSZUWQUWTXPUVKVUAGU
      WSUVIUWSLUVIUWRLZUVIQLZNZUVKVUASUVIUWRQXQVUDUVKUXIUWGVUDUVKUXIWFZUGOZKOZB
      RZTZKUVIUDZUGXSZUWFLUVSVUKPZTUWGVUEUWEQVUKVUEVUKUVTMVUKUWELVUEAVUKUVTUWCV
      UKLUWCVUHTZKUVIUDZVUEAEVJZVUJVUNUGUWCAWTUGAWOVUIVUMKUVIVUFUWCVUHXTYAYBVUE
      VUMVUOKUVIVUDUVKUXIKGVJZVUMVUOSZSZVUBUVIUWOMZVUCUVKUXIVURSSZGUWOVKVUSVUTV
      UCVUSVURUVKUXIVUSVUPVUGUWOLZVUQUVIUWOVUGVRVVAVUGCLVUHUVTLZVUQUWNVVBIVUGCI
      KWOUWMVUHUVTUWLVUGBWLWMYIVUHUVTUWCYCYDYEYFVHYGYJYHYKXOVUKUVTKUGUVIVUHGWTY
      LYMYNVUDUVKVUKQLZUXIVUCVVCVUBUVKKUGUVIVUHYOYPWRYQVUEBKUVIVUHYRZUVSVULUVKV
      UDBVVDTUXIUVKBBUVJRZVVDUVKBVVETBUVJYSUUAVVEBKUVIVUGYRZRKUVIBVUGRZYRVVDUVJ
      VVFBKUVIUUBUUCKUVIBVUGUUDKUVIVVGVUHVVGVUHTVUPBVUGUUJYTUUEUUFUUKUUGUVKUXIU
      XGVUDUWKUXGUVKUXEUXHUUHUUIVVDVULTVUEKUGUVIVUHVUGBKWTUULUVAYTUUMAVUKUWFUWD
      VULUVSUWCVUKUQUUNXCXDUUOUUPYEUUQUURVFUUSXGUUTUVB $.

    $( Two equivalent ways of describing a compact subset of a topological
       space.  Inspired by Sue E. Goodman's _Beginning Topology_.  (Contributed
       by Jeff Hankins, 22-Jun-2009.)  (Revised by Mario Carneiro,
       15-Dec-2013.) $)
    cmpsub $p |- ( ( J e. Top /\ S C_ X ) ->
                   ( ( J |`t S ) e. Comp <-> A. c e. ~P J
                 ( S C_ U. c -> E. d e. ( ~P c i^i Fin ) S C_ U. d ) ) ) $=
      ( vs vt vx vy wcel wss wa cuni cv wceq cfn cin wrex wi vf vw vu ctop ccmp
      vv crest co cpw wral eqid iscmp wb id topopn ssexg syl2anr resttop syldan
      cvv ibar bicomd syl syl5bb cab vex weq eqeq1 rexbidv elab wel velpw ssel2
      ineq1 rspceeqv ex sylbi adantl simpll sseq2i uniexg sylan2 ancoms sylan2b
      rexlimdv adantr elrest syl2anc sylibrd syl5bi ssrdv abrexex sylibr eqeq2d
      elpw unieq pweq ineq1d rexeqdv imbi12d rspcva sylan restuni ad2antrr ciun
      inex1 dfiun2 incom a1i eqtr3id iunin2 uniiun eqcomi ineq2d sseqin2 biimpi
      iuneq2dv syl5eq eqtrd eqtr2d eqeq12d eqeq1d a1bi elin dfss3 ralbii 3bitri
      anbi1i bitri wf cfv wex ac6sfi crn frn adantll sseq1 syld eluni com23 wbr
      ad2antrl rnex simprr wfo wfn ffn dffn4 sylib fodomfi ad2ant2r domfi elind
      cdom fveq2 rspccv pm2.27 inss1 mpbiri ssel a1dd 3imp fnfvelrn expcom syl5
      w3a 3ad2ant1 jcad 3exp com3r imp com3l impcom fvex eleq2 eleq1 spcev syl6
      anbi12d exlimdv 3imtr4g ad2antlr mpbird eximdv sseq2d rspcev exlimiv syl8
      jca mpd rexlimdva syl5bir sylbird ralrimdva cmpsublem impbid bitrd ) BUDK
      ZACLZMZBAUGUHZUEKZUXANZGOZNZPZUXCHOZNZPZHUXDUIZQRZSZTZGUXAUIZUJZADOZNZLZA
      EOZNZLZEUXPUIZQRZSZTZDBUIZUJZUXBUXAUDKZUXOMZUWTUXOGHUXAUXCUXCUKULUWTUYHUY
      IUXOUMUWRUWSAUTKZUYHUWSUWSCBKUYJUWRUWSUNBCFUOACBUPUQABUTURUSUYHUXOUYIUYHU
      XOVAVBVCVDUWTUXOUYGUWTUXOUYEDUYFUWTUXPUYFKZMZUXOUXCIOZJOZARZPZJUXPSZIVEZN
      ZPZUXIHUYRUIZQRZSZTZUYEUYLUXOVUDUYLUYRUXNKZUXOVUDUYLUYRUXALVUEUYLHUYRUXAU
      XGUYRKUXGUYOPZJUXPSZUYLUXGUXAKZUYQVUGIUXGHVFIHVGUYPVUFJUXPUYMUXGUYOVHVIVJ
      UYLVUGUXGUXSARZPEBSZVUHUYLVUFVUJJUXPUYKJDVKZVUFVUJTZTZUWTUYKUXPBLZVUMDBVL
      VUNVUKVULVUNVUKMUYNBKZVULUXPBUYNVMVUOVUFVUJEUYNBVUIUYOUXGUXSUYNAVNVOVPVCV
      PVQVRWEUYLUWRUYJVUHVUJUMUWRUWSUYKVSUWTUYJUYKUWSUWRABNZLZUYJCVUPAFVTVUQUWR
      UYJUWRVUQVUPUTKUYJBUDWAAVUPUTUPWBWCWDWFEUXGABUDUTWGWHWIWJWKUYRUXAJIUXPUYO
      DVFWLWOWMUXMVUDGUYRUXNUXDUYRPZUXFUYTUXLVUCVURUXEUYSUXCUXDUYRWPWNVURUXIHUX
      KVUBVURUXJVUAQUXDUYRWQWRWSWTXAXBVPUYLUXRVUDUYDUYLUXRVUDUYDTUYLUXRMZVUDAAP
      ZAUXHPZHVUBSZTZUYDVUSVUTUYTVVBVUCVUSAUXCAUYSUWTAUXCPUYKUXRABCFXCXDZVUSUYS
      JUXPAUYNRZXEZAVUSUYSJUXPUYOXEVVFJIUXPUYOUYNAJVFXFXGVUSJUXPUYOVVEUYOVVEPVU
      SVUKMUYNAXHXIXQXJVUSVVFAJUXPUYNXEZRZAJUXPAUYNXKVUSVVHAUXQRZAVUSVVGUXQAVVG
      UXQPVUSUXQVVGJUXPXLXMXIXNUXRVVIAPUYLUXRVVIUXQARZAAUXQXHUXRVVJAPAUXQXOXPXR
      VRXSXRXTYAVUSVVAUXIHVUBVUSAUXCUXHVVDYBVIWTVVCVVBVUSUYDVUTVVBAUKYCVUSVVAUY
      DHVUBUXGVUBKZVUSUXDUYOPZJUXPSZGUXGUJZUXGQKZMZVVAUYDTZVVKUXGVUAKZVVOMVVPUX
      GVUAQYDVVRVVNVVOVVRUXGUYRLUXDUYRKZGUXGUJVVNHUYRVLGUXGUYRYEVVSVVMGUXGUYQVV
      MIUXDGVFIGVGUYPVVLJUXPUYMUXDUYOVHVIVJYFYGYHYIVUSVVPMZUXGUXPUAOZYJZUXDUXDV
      WAYKZARZPZGUXGUJZMZUAYLZVVQVVPVWHVUSVVOVVNVWHVVLVWEGJUXGUXPUAUYNVWCPUYOVW
      DUXDUYNVWCAVNWNYMWCVRVVTVWHVVAVWAYNZUYCKZAVWINZLZMZUAYLZUYDVVTVVAVWHVWNVV
      TVVAVWHVWNTVVTVVAMZVWGVWMUAVWOVWGVWMVWOVWGMZVWJVWLVWPUYBQVWIVWPVWIUXPLZVW
      IUYBKVWBVWQVWOVWFUXGUXPVWAYOUUBVWIUXPVWAUAVFUUCWOWMVWPVVOVWIUXGUUNUUAZVWI
      QKVVTVVOVVAVWGVUSVVNVVOUUDXDVVTVWBVWRVVAVWFVVPVWBVWRVUSVVOVWBVWRVVNVWBVVO
      UXGVWIVWAUUEZVWRVWBVWAUXGUUFZVWSUXGUXPVWAUUGZUXGVWAUUHUUIUXGVWIVWAUUJWBYP
      YPUUKUXGVWIUULWHUUMVWPVWLUXHVWKLZVWGVXBVWOVWGUBUXHVWKVWGUBUCVKZUCHVKZMZUC
      YLUBUFVKZUFOZVWIKZMZUFYLZUBOZUXHKVXKVWKKVWGVXEVXJUCVWGVXEVXKUCOZVWAYKZKZV
      XMVWIKZMZVXJVWFVWBVXDVXLVXMARZPZTZVXEVXPTZVWEVXRGVXLUXGGUCVGZUXDVXLVWDVXQ
      VYAUNVYAVWCVXMAUXDVXLVWAUUOWRYAUUPVXSVWBVXTVXEVXSVWBVXPVXCVXDVXSVWBVXPTZT
      VXDVXSVXCVYBVXDVXSVXRVXCVYBTVXDVXRUUQVXDVXRVXCVYBVXDVXRVXCUVFZVWBVXNVXOVX
      DVXRVXCVWBVXNTZVXRVXCVYDTZTVXDVXRVXLVXMLZVYEVXRVYFVXQVXMLVXMAUURVXLVXQVXM
      YQUUSVYFVXCVXNVWBVXLVXMVXKUUTUVAVCXIUVBVWBVWTVYCVXOVXAVXDVXRVWTVXOTVXCVWT
      VXDVXOUXGVXLVWAUVCUVDUVGUVEUVHUVIYRUVJUVKUVLUVMWBVXIVXPUFVXMVXLVWAUVNVXGV
      XMPVXFVXNVXHVXOVXGVXMVXKUVOVXGVXMVWIUVPUVSUVQUVRUVTUCVXKUXGYSUFVXKVWIYSUW
      AWKVRVVAVWLVXBUMVVTVWGAUXHVWKYQUWBUWCUWIVPUWDVPYTVWMUYDUAUYAVWLEVWIUYCUXS
      VWIPUXTVWKAUXSVWIWPUWEUWFUWGUWHUWJWDUWKUWLUWMVPYTYRUWNHABCGDEFUWOUWPUWQ
      $.
  $}

  ${
    $d f t u v w y z B $.  $d f t u v y z X $.
    $( A topology generated by a basis is compact iff open covers drawn from
       the basis have finite subcovers.  (See also ~ alexsub , which further
       specializes to subbases, assuming the ultrafilter lemma.)  (Contributed
       by Mario Carneiro, 26-Aug-2015.) $)
    tgcmp $p |- ( ( B e. TopBases /\ X = U. B ) -> ( ( topGen ` B ) e. Comp <->
      A. y e. ~P B ( X = U. y -> E. z e. ( ~P y i^i Fin ) X = U. z ) ) ) $=
      ( vu vv vw vt wcel cuni wceq wa cv cpw cfn wrex wi wral wss syl ccmp ctop
      vf ctb ctg cfv cin iscmp simprbi unitg eqtr3 sylan eqeq1d rexbidv imbi12d
      eqid ralbidv bastg adantr sspwd ssralv sylbid syl5 crab simprr wel simprl
      elpwi sselda adantrr syl2anc expr reximdva eluni2 elunirab r19.42v rexbii
      rexcom 3bitr2i 3imtr4g ssrdv eqsstrd ssrab2 unissi simplr sseqtrrid eqssd
      tg2 wb elpw2g ad2antrr mpbiri unieq eqeq2d pweq ineq1d rexeqdv rspcv mpid
      wex elfpw ad2antrl simplbi ssrab sseq2 ac6sfi crn frn wfo wfn dffn4 sylib
      wf ffn fofi syl2an sylanbrc simplrr ciun uniiun eqsstrid ad2antll fniunfv
      ss2iun sseqtrd sseqtrrd rspceeqv exlimddv rexlimdvaa syld com23 ralrimdva
      unissd sylan2 tgcl baib bitrd sylibrd impbid ) CUDIZDCJZKZLZCUEUFZUAIZDAM
      ZJZKZDBMZJZKZBUUFNZOUGZPZQZACNZRZUUEUUDJZUUGKZUURUUJKZBUUMPZQZAUUDNZRZUUC
      UUQUUEUUDUBIZUVDABUUDUURUURUPZUHUIUUCUVDUUOAUVCRZUUQUUCUVBUUOAUVCUUCUUSUU
      HUVAUUNUUCUURDUUGYTUURUUAKUUBUURDKCUDUJUURDUUAUKULZUMUUCUUTUUKBUUMUUCUURD
      UUJUVHUMUNUOUQUUCUUPUVCSUVGUUQQUUCCUUDYTCUUDSUUBCUDURUSUTUUOAUUPUVCVATVBV
      CUUCUUQDEMZJZKZDFMZJZKZFUVINOUGZPZQZEUVCRZUUEUUCUUQUVQEUVCUVIUVCIUUCUVIUU
      DSZUUQUVQQUVIUUDVHUUCUVSLUVKUUQUVPUUCUVSUVKUUQUVPQUUCUVSUVKLZLZUUQUUKBGMZ
      HMZSZHUVIPZGCVDZNZOUGZPZUVPUWAUUQDUWFJZKZUWIUWADUWJUWADUVJUWJUUCUVSUVKVEZ
      UWAAUVJUWJUWAAHVFZHUVIPAGVFZUWDLZGCPZHUVIPZUUFUVJIUUFUWJIZUWAUWMUWPHUVIUW
      AHEVFZUWMUWPUWAUWSUWMLLUWCUUDIZUWMUWPUWAUWSUWTUWMUWAUVIUUDUWCUUCUVSUVKVGV
      IVJUWAUWSUWMVEGUWCCUUFWHVKVLVMHUUFUVIVNUWRUWNUWELZGCPUWOHUVIPZGCPUWQUWEGU
      UFCVOUXBUXAGCUWNUWDHUVIVPVQUWOGHCUVIVRVSVTWAWBUWAUUAUWJDUWFCUWEGCWCZWDYTU
      UBUVTWEWFWGUWAUWFUUPIZUUQUWKUWIQZQUWAUXDUWFCSZUXCYTUXDUXFWIUUBUVTUWFCUDWJ
      WKWLUUOUXEAUWFUUPUUFUWFKZUUHUWKUUNUWIUXGUUGUWJDUUFUWFWMWNUXGUUKBUUMUWHUXG
      UULUWGOUUFUWFWOWPWQUOWRTWSUWAUUKUVPBUWHUWAUUIUWHIZUUKLZLZUUIUVIUCMZXMZUWB
      UWBUXKUFZSZGUUIRZLZUVPUCUXJUUIOIZUWEGUUIRZUXPUCWTUXHUXQUWAUUKUXHUUIUWFSZU
      XQUUIUWFXAZUIXBZUXJUXSUXRUXHUXSUWAUUKUXHUXSUXQUXTXCXBUXSUUICSUXRUWEGCUUIX
      DUITUWDUXNGHUUIUVIUCUWCUXMUWBXEXFVKUXJUXPLZUXKXGZUVOIZDUYCJZKUVPUYBUYCUVI
      SZUYCOIZUYDUXLUYFUXJUXOUUIUVIUXKXHXBZUXJUXQUUIUYCUXKXIZUYGUXPUYAUXLUYIUXO
      UXLUXKUUIXJZUYIUUIUVIUXKXNZUUIUXKXKXLUSUUIUYCUXKXOXPUYCUVIXAXQUYBDUYEUYBD
      UUJUYEUWAUXHUUKUXPXRUYBUUJGUUIUXMXSZUYEUXOUUJUYLSUXJUXLUXOUUJGUUIUWBXSUYL
      GUUIXTGUUIUWBUXMYDYAYBUXLUYLUYEKZUXJUXOUXLUYJUYMUYKGUUIUXKYCTXBYEWBUYBUYE
      UVJDUYBUYCUVIUYHYMUWAUVKUXIUXPUWLWKYFWGFUYCUVOUVMUYEDUVLUYCWMYGVKYHYIYJVL
      YKYNYLUUCUUEUURUVJKZUURUVMKZFUVOPZQZEUVCRZUVRUUCUVEUUEUYRWIYTUVEUUBCYOUSU
      UEUVEUYREFUUDUURUVFUHYPTUUCUYQUVQEUVCUUCUYNUVKUYPUVPUUCUURDUVJUVHUMUUCUYO
      UVNFUVOUUCUURDUVMUVHUMUNUOUQYQYRYS $.
  $}

  ${
    $d s t u v w J $.  $d s t u v w S $.
    $( A closed subset of a compact space is compact.  (Contributed by Jeff
       Hankins, 29-Jun-2009.) $)
    cmpcld $p |- ( ( J e. Comp /\ S e. ( Clsd ` J ) ) ->
                   ( J |`t S ) e. Comp ) $=
      ( vs vt vu vw ccmp wcel wa cv cuni wss cpw cfn wi wceq cun 3ad2ant1 sylib
      cvv vv ccld cfv crest co cin wrex wral velpw w3a cdif simp1l simp2 cldopn
      csn adantl snssd unssd simp3 uniss 3ad2ant2 sstrd undif 3ad2ant3 eqsstrrd
      eqid unss1 difss unss sylanblc uniexg ad2antrr 3adant3 difexg unisng 3syl
      eqssd uneq2d eqtr4d uniun eqtr4di cmpcov syl3anc elfpw simp2l uncom diffi
      sseqtrdi ssundif ad2antll sylanbrc wex sseqtrd sselda eluni a1i wn elndif
      simpl simpr ad2antlr eleq2 biimpd com23 imp mtod ex adantrd velsn syl6ibr
      notbii jcad eldif eximdv mpd ssrdv unieq sseq2d rspcev syl2anc rexlimdv3a
      syl3an2b 3exp syl5bi ralrimiv ctop wb cmptop cldss cmpsub syl2an mpbird )
      BGHZABUBUCHZIZBAUDUEGHZACJZKZLZADJZKZLZDYQMNUFZUGZOZCBMZUHZYOUUECUUFYQUUF
      HYQBLZYOUUECBUIYOUUHYSUUDYOUUHYSUJZBKZEJZKZPZEYQUUJAUKZUOZQZMNUFZUGZUUDUU
      IYMUUPBLUUJUUPKZPUURYMYNUUHYSULUUIYQUUOBYOUUHYSUMUUIUUNBYOUUHUUNBHZYSYNUU
      TYMABUUJUUJVFZUNUPRUQURUUIUUJYRUUOKZQZUUSUUIUUJYRUUNQZUVCUUIUUJUVDUUIUUJA
      UUNQZUVDUUIAUUJLZUVEUUJPUUIAYRUUJYOUUHYSUSZUUHYOYRUUJLZYSYQBUTVAZVBAUUJVC
      SYSYOUVEUVDLUUHAYRUUNVGVDVEUUIUVHUUNUUJLUVDUUJLUVIUUJAVHYRUUNUUJVIVJVQUUI
      UVBUUNYRUUIUUJTHZUUNTHUVBUUNPYOUUHUVJYSYMUVJYNUUHBGVKVLVMUUJATVNUUNTVOVPV
      RVSYQUUOVTWAUUPBUUJEUVAWBWCUUIUUMUUDEUUQUUKUUQHUUIUUKUUPLZUUKNHZIZUUMUUDU
      UKUUPWDUUIUVMUUMUJZUUKUUOUKZUUCHZAUVOKZLZUUDUVNUVOYQLZUVONHZUVPUVNUUKUUOY
      QQZLUVSUVNUUKUUPUWAUUIUVKUVLUUMWEYQUUOWFWHUUKUUOYQWISUUIUVMUVTUUMUVLUVTUU
      IUVKUUKUUOWGWJVMUVOYQWDWKUVNUAAUVQUVNUAJZAHZUWBFJZHZUWDUVOHZIZFWLZUWBUVQH
      UVNUWCUWHUVNUWCIZUWEUWDUUKHZIZFWLZUWHUWIUWBUULHUWLUVNAUULUWBUVNAYRUULUUIU
      VMYSUUMUVGRUVNYRUUJUULUUIUVMUVHUUMUVIRUUIUVMUUMUSWMVBWNFUWBUUKWOSUWIUWKUW
      GFUWIUWKUWEUWFUWKUWEOUWIUWEUWJWSWPUWIUWKUWJUWDUUOHZWQZIUWFUWIUWKUWJUWNUWK
      UWJOUWIUWEUWJWTWPUWIUWKUWDUUNPZWQZUWNUWIUWEUWPUWJUWIUWEUWPUWIUWEIUWOUWBUU
      NHZUWCUWQWQUVNUWEUWBAUUJWRXAUWIUWEUWOUWQOUWIUWOUWEUWQUWOUWEUWQOOUWIUWOUWE
      UWQUWDUUNUWBXBXCWPXDXEXFXGXHUWMUWOFUUNXIXKXJXLUWDUUKUUOXMXJXLXNXOXGFUWBUV
      OWOXJXPUUBUVRDUVOUUCYTUVOPUUAUVQAYTUVOXQXRXSXTYBYAXOYCYDYEYMBYFHUVFYPUUGY
      GYNBYHABUUJUVAYIABUUJCDUVAYJYKYL $.
  $}

  ${
    $d c d m n r s J $.  $d c d m n r s S $.  $d c d m n r s T $.
    $d c d m n r s X $.
    uncmp.1 $e |- X = U. J $.
    $( The union of two compact sets is compact.  (Contributed by Jeff Hankins,
       30-Jan-2010.) $)
    uncmp $p |- ( ( ( J e. Top /\ X = ( S u. T ) ) /\
      ( ( J |`t S ) e. Comp /\ ( J |`t T ) e. Comp ) ) -> J e. Comp ) $=
      ( vc vd vn vs vm vr wcel wceq wa cv cuni cfn wrex wi wss ctop cun co ccmp
      crest cpw cin simpll wb ssun1 sseq2 mpbiri ad2antlr cmpsub syl2anc simprr
      wral sseqtrd unieq sseq2d pweq ineq1d rexeqdv imbi12d rspcv ad2antrl mpid
      sylbid ssun2 reeanv elinel1 elpwid anim12i unss sylib elinel2 unfi syl2an
      jca elin vex elpw2 anbi1i bitr2i simpllr ssun3 ad2antll eqsstrd sseqtrrdi
      ssun4 uniun elpwi adantr sstrd uniss syl eqssd rspceeqv rexlimdvv syl5bir
      exp32 syl2and impancom expd ralrimiv iscmp sylanbrc ) CUALZDABUBZMZNZCAUE
      UCUDLZCBUEUCUDLZNZNZXHDFOZPZMZDGOZPZMGXPUFZQUGZRZSZFCUFZUQCUDLXHXJXNUHXOY
      DFYEXOXPYELZXRYCXKYFXRNZXNYCXKYGNZXLAHOZPZTZHYBRZXMBIOZPZTZIYBRZYCYHXLAJO
      ZPZTZYKHYQUFZQUGZRZSZJYEUQZYLYHXHADTZXLUUDUIXHXJYGUHZXJUUEXHYGXJUUEAXITAB
      UJDXIAUKULUMZACDJHEUNUOYHUUDAXQTZYLYHADXQUUGXKYFXRUPZURYFUUDUUHYLSZSXKXRU
      UCUUJJXPYEYQXPMZYSUUHUUBYLUUKYRXQAYQXPUSUTUUKYKHUUAYBUUKYTYAQYQXPVAVBVCVD
      VEVFVGVHYHXMBKOZPZTZYOIUULUFZQUGZRZSZKYEUQZYPYHXHBDTZXMUUSUIUUFXJUUTXHYGX
      JUUTBXITBAVIDXIBUKULUMZBCDKIEUNUOYHUUSBXQTZYPYHBDXQUVAUUIURYFUUSUVBYPSZSX
      KXRUURUVCKXPYEUULXPMZUUNUVBUUQYPUVDUUMXQBUULXPUSUTUVDYOIUUPYBUVDUUOYAQUUL
      XPVAVBVCVDVEVFVGVHYLYPNYKYONZIYBRHYBRYHYCYKYOHIYBYBVJYHUVEYCHIYBYBYHYIYBL
      ZYMYBLZNZUVEYCYHUVHUVENZNZYIYMUBZYBLZDUVKPZMYCUVJUVKXPTZUVKQLZNZUVLUVJUVN
      UVOUVJYIXPTZYMXPTZNZUVNUVHUVSYHUVEUVFUVQUVGUVRUVFYIXPYIYAQVKVLUVGYMXPYMYA
      QVKVLVMVFYIYMXPVNVOZUVHUVOYHUVEUVFYIQLYMQLUVOUVGYIYAQVPYMYAQVPYIYMVQVRVFV
      SUVLUVKYALZUVONUVPUVKYAQVTUWAUVNUVOUVKXPFWAWBWCWDVOUVJDUVMUVJDYJYNUBZUVMU
      VJDXIUWBXHXJYGUVIWEUVJAUWBTZBUWBTZNZXIUWBTUVEUWEYHUVHYKUWCYOUWDAYJYNWFBYN
      YJWJVMWGABUWBVNVOWHYIYMWKWIUVJUVKCTZUVMDTUVJUVKXPCUVTYGXPCTZXKUVIYFUWGXRX
      PCWLWMUMWNUWFUVMCPDUVKCWOEWIWPWQGUVKYBXTUVMDXSUVKUSWRUOXAWSWTXBXCXDXEFGCD
      EXFXG $.
  $}

  ${
    $d t x y z A $.  $d t y z B $.  $d t x y z J $.
    fiuncmp.1 $e |- X = U. J $.
    $( A finite union of compact sets is compact.  (Contributed by Mario
       Carneiro, 19-Mar-2015.) $)
    fiuncmp $p |- ( ( J e. Top /\ A e. Fin /\ A. x e. A ( J |`t B ) e. Comp )
      -> ( J |`t U_ x e. A B ) e. Comp ) $=
      ( vt ctop wcel crest co ccmp wss ciun wi c0 wceq oveq2d eleq1d cvv vy cfn
      vz wral w3a ssid simp2 cv csn cun sseq1 iuneq1 0iun eqtrdi imbi12d imbi2d
      rest0 0cmp eqeltrdi 3ad2ant1 a1d ssun1 id sstrid imim1i wa cin csb simpl1
      cuni iunxun simprr cmptop restrcl simprd 3syl nfcv nfcsb1v csbeq1a cbviun
      vex csbeq1 iunxsn eqtri simpl3 nfov nfel1 cbvralw sylib ssun2 simprl snss
      sylibr rspcdva eqeltrid unexg syl2anc resttop eqid restin unieqd sseqtrri
      nfv inss2 restuni sylancl eqtr4d uneq2i indir inss1 sstri restabs syl3anc
      ineq1i a1i eqeltrd eqsstrri uncmp syl22anc exp32 a2d syl5 findcard2 mpcom
      a2i mpi ) DHIZBUBIZDCJKZLIZABUDZUEZBBMZDABCNZJKZLIZBUFYHYLYMYPOZYGYHYKUGY
      LGUHZBMZDAYRCNZJKZLIZOZOYLPBMZDPJKZLIZOZOYLUAUHZBMZDAUUHCNZJKZLIZOZOZYLUU
      HUCUHZUIZUJZBMZDAUUQCNZJKZLIZOZOZYLYQOGUAUCBYRPQZUUCUUGYLUVDYSUUDUUBUUFYR
      PBUKUVDUUAUUELUVDYTPDJUVDYTAPCNPAYRPCULACUMUNRSUOUPYRUUHQZUUCUUMYLUVEYSUU
      IUUBUULYRUUHBUKUVEUUAUUKLUVEYTUUJDJAYRUUHCULRSUOUPYRUUQQZUUCUVBYLUVFYSUUR
      UUBUVAYRUUQBUKUVFUUAUUTLUVFYTUUSDJAYRUUQCULRSUOUPYRBQZUUCYQYLUVGYSYMUUBYP
      YRBBUKUVGUUAYOLUVGYTYNDJAYRBCULRSUOUPYLUUFUUDYGYHUUFYKYGUUEPUILDUQURUSUTV
      AUUNUVCOUUHUBIYLUUMUVBUUMUURUULOYLUVBUURUUIUULUURUUHUUQBUUHUUPVBUURVCVDVE
      YLUURUULUVAYLUURUULUVAYLUURUULVFZVFZUUTHIZUUTVJZUUJDVJZVGZAUUOCVHZUVLVGZU
      JZQUUTUVMJKZLIUUTUVOJKZLIUVAUVIYGUUSTIZUVJYGYHYKUVHVIZUVIUUSUUJAUUPCNZUJZ
      TAUUHUUPCVKZUVIUUJTIZUWATIUWBTIUVIUULUUKHIZUWDYLUURUULVLZUUKVMUWEDTIZUWDU
      UJDVNVOVPZUVIUWAUVNTUWAGUUPAYRCVHZNUVNAGUUPCUWIGCVQAYRCVRZAYRCVSZVTGUUOUW
      IUVNUCWAZAYRUUOCWBZWCWDZUVIDUVNJKZLIZUWOHIZUVNTIZUVIDUWIJKZLIZUWPGBUUOYRU
      UOQZUWSUWOLUXAUWIUVNDJUWMRSUVIYKUWTGBUDYGYHYKUVHWEYJUWTAGBYJGXCAUWSLADUWI
      JADVQAJVQUWJWFWGAUHYRQZYIUWSLUXBCUWIDJUWKRSWHWIUVIUUPBMUUOBIUVIUUPUUQBUUP
      UUHWJYLUURUULWKVDUUOBUWLWLWMWNZUWOVMUWQUWGUWRUVNDVNVOVPZWOUUJUWATTWPWQWOZ
      UUSDTWRWQUVIUVKUUSUVLVGZUVPUVIUVKDUXFJKZVJZUXFUVIUUTUXGUVIYGUVSUUTUXGQUVT
      UXEUUSDHTUVLUVLWSZWTWQXAUVIYGUXFEMUXFUXHQUVTUXFUVLEUUSUVLXDFXBUXFDEFXEXFX
      GUXFUUJUVNUJZUVLVGUVPUUSUXJUVLUUSUWBUXJUWCUWAUVNUUJUWNXHWDXNUUJUVNUVLXIWD
      UNUVIUVQUUKLUVIUVQDUVMJKZUUKUVIYGUVMUUSMZUVSUVQUXKQUVTUXLUVIUVMUUJUUSUUJU
      VLXJUUJUWBUUSUUJUWAVBUWCXBXKXOUXEUVMUUSDHTXLXMUVIYGUWDUUKUXKQUVTUWHUUJDHT
      UVLUXIWTWQXGUWFXPUVIUVRUWOLUVIUVRDUVOJKZUWOUVIYGUVOUUSMZUVSUVRUXMQUVTUXNU
      VIUVOUVNUUSUVNUVLXJUVNUWAUUSUWNUWAUWBUUSUWAUUJWJUWCXBXQXKXOUXEUVOUUSDHTXL
      XMUVIYGUWRUWOUXMQUVTUXDUVNDHTUVLUXIWTWQXGUXCXPUVMUVOUUTUVKUVKWSXRXSXTYAYB
      YEXOYCYDYF $.
  $}

  ${
    $d x y J $.  $d x y K $.  $d x y X $.
    sscmp.1 $e |- X = U. K $.
    $( A subset of a compact topology (i.e. a coarser topology) is compact.
       (Contributed by Mario Carneiro, 20-Mar-2015.) $)
    sscmp $p |- ( ( J e. ( TopOn ` X ) /\ K e. Comp /\ J C_ K ) ->
      J e. Comp ) $=
      ( vx vy ctopon cfv wcel ccmp wss w3a ctop cuni cv wceq cpw cfn wrex wa wi
      cin wral topontop 3ad2ant1 elpwi simpl2 simprl simpl3 simpl1 toponuni syl
      sstrd simprr eqtrd cmpcov syl3anc eqeq1d mpbid expr sylan2 ralrimiva eqid
      rexbidv iscmp sylanbrc ) ACGHIZBJIZABKZLZAMIZANZEOZNZPZVLFONZPZFVMQRUBZSZ
      UAZEAQZUCAJIVGVHVKVICAUDUEVJVTEWAVMWAIVJVMAKZVTVMAUFVJWBVOVSVJWBVOTZTZCVP
      PZFVRSZVSWDVHVMBKCVNPWFVGVHVIWCUGWDVMABVJWBVOUHVGVHVIWCUIUMWDCVLVNWDVGCVL
      PVGVHVIWCUJCAUKULZVJWBVOUNUOVMBCFDUPUQWDWEVQFVRWDCVLVPWGURVDUSUTVAVBEFAVL
      VLVCVEVF $.
  $}

  ${
    $d f w x y z A $.  $d f w x y z J $.  $d f w x y z ph $.  $d f w x y z S $.
    $d f x z O $.  $d f w x y z X $.
    hauscmp.1 $e |- X = U. J $.
    ${
      hauscmplem.2 $e |- O = { y e. J |
        E. w e. J ( A e. w /\ ( ( cls ` J ) ` w ) C_ ( X \ y ) ) } $.
      hauscmplem.3 $e |- ( ph -> J e. Haus ) $.
      hauscmplem.4 $e |- ( ph -> S C_ X ) $.
      hauscmplem.5 $e |- ( ph -> ( J |`t S ) e. Comp ) $.
      hauscmplem.6 $e |- ( ph -> A e. ( X \ S ) ) $.
      $( Lemma for ~ hauscmp .  (Contributed by Mario Carneiro,
         27-Nov-2013.) $)
      hauscmplem $p |- ( ph ->
        E. z e. J ( A e. z /\ ( ( cls ` J ) ` z ) C_ ( X \ S ) ) ) $=
        ( wss wcel wa c0 wceq vx vf cuni ccl cfv cdif wrex cpw cfn cin ctop cha
        cv haustop syl ad3antrrr topopn eldifad clstop simplr unieq uni0 eqtrdi
        adantl sseqtrd ss0 difeq2d dif0 eqtr4d eqimss eleq2 fveq2 sseq1d rspcev
        anbi12d syl12anc wne wf wral wex elin elpwi sseld difeq2 sseq2d rexbidv
        id anbi2d elrab2 simprbi syl6 ralrimiv ac6sfi syl2anr ad2antlr crn cint
        sylbi frn ad2antrl simprr simpl cdm fdm eqeq1d dm0rn0 bitr3di necon3bid
        biimpac syl2an wfo wfn ffn dffn4 adantr syl13anc ciin ad2antll wb eliin
        w3a elssuni sseqtrrdi syl2anc ralrimiva adantrr ral2imi cvv elv 3imtr4g
        ssel ssrdv eqsstrd clsss2 wi sstrd ex anim2d reximdva mpd sylib fiinopn
        fofi imp ralimi mpbird fnrnfv inteqd fvex eqtr4di eleqtrrd ccld ad4antr
        dfiin2 ffvelrn adantll clscld iincld ciun iindif2 simplrl uniiun sseq2i
        sscls sscon exlimddv anassrs pm2.61dane sselda wn eldifbd nelne2 3anass
        hausnei incom eqeq1i reldisj syl5bb opncld sylbid syl5bi r19.42v syl6ib
        cab sylan crab unieqi eleq2i elunirab bitri sylibr pweq rexeqdv imbi12d
        ineq1d ccmp cmpsub biimp3a syl3anc ssrab3 elpw2g mpbiri rspcdva r19.29a
        crest co ) AFUAUMZUCZPZECUMZQZUXJGUDUEZUEZIFUFZPZRZCGUGZUAHUHZUIUJZAUXG
        UXSQZRZUXIRZUXQUXGSUYBUXGSTZRZIGQZEIQZIUXLUEZUXNPZUXQUYDGUKQZUYEAUYIUXT
        UXIUYCAGULQZUYILGUNZUOZUPZGIJUQUOAUYFUXTUXIUYCAEIFOURZUPUYDUYGUXNTUYHUY
        DUYGIUXNUYDUYIUYGITUYMGIJUSUOUYDUXNISUFIUYDFSIUYDFSPFSTUYDFUXHSUYAUXIUY
        CUTUYCUXHSTUYBUYCUXHSUCSUXGSVAVBVCVDVEFVFUOVGIVHVCVIUYGUXNVJUOUXPUYFUYH
        RCIGUXJITZUXKUYFUXOUYHUXJIEVKUYOUXMUYGUXNUXJIUXLVLVMVOVNVPUYAUXIUXGSVQZ
        UXQUYAUXIUYPRZRZUXGGUBUMZVRZEUXJUYSUEZQZVUAUXLUEZIUXJUFZPZRZCUXGVSZRZUX
        QUBUXTVUHUBVTZAUYQUXTUXGUXRQZUXGUIQZRVUIUXGUXRUIWAZVUKVUKEDUMZQZVUMUXLU
        EZVUDPZRZDGUGZCUXGVSVUIVUJVUKWGVUJVURCUXGVUJUXJUXGQZUXJHQZVURVUJUXGHUXJ
        UXGHWBWCVUTUXJGQVURVUNVUOIBUMZUFZPZRZDGUGZVURBUXJGHVVAUXJTZVVDVUQDGVVFV
        VCVUPVUNVVFVVBVUDVUOVVAUXJIWDWEWHWFKWIWJWKWLVUQVUFCDUXGGUBVUMVUATZVUNVU
        BVUPVUEVUMVUAEVKVVGVUOVUCVUDVUMVUAUXLVLVMVOWMWNWRWOUYRVUHRZUYSWPZWQZGQZ
        EVVJQZVVJUXLUEZUXNPZUXQVVHUYIVVIGPZVVISVQZVVIUIQZVVKAUYIUXTUYQVUHUYLUPU
        YTVVOUYRVUGUXGGUYSWSWTUYRUYPUYTVVPVUHUYAUXIUYPXAZUYTVUGXBUYTUYPVVPUYTUX
        GSVVISUYTUYSXCZSTUYCVVISTUYTVVSUXGSUXGGUYSXDXEUYSXFXGXHXIXJUYRVUKUXGVVI
        UYSXKZVVQVUHUXTVUKAUYQUXTVUJVUKVULWJWOUYTVVTVUGUYTUYSUXGXLZVVTUXGGUYSXM
        ZUXGUYSXNUUAXOUXGVVIUYSUUCXJUYIVVOVVPVVQYAVVKVVIGUUBUUDXPVVHECUXGVUAXQZ
        VVJVVHEVWCQZVUBCUXGVSZVUGVWEUYRUYTVUFVUBCUXGVUBVUEXBUUEXRVVHEUXNQZVWDVW
        EXSAVWFUXTUYQVUHOUPCEUXGVUAUXNXTUOUUFVVHVWAVVJVWCTUYTVWAUYRVUGVWBWTVWAV
        VJVVAVUATCUXGUGBUWDZWQVWCVWAVVIVWGCBUXGUYSUUGUUHCBUXGVUAUXJUYSUUIUUNUUJ
        UOZUUKVVHVVMCUXGVUCXQZUXNVVHVWIGUULUEZQZVVJVWIPVVMVWIPVVHUYPVUCVWJQZCUX
        GVSZVWKUYRUYPVUHVVRXOZUYRUYTVWMVUGUYRUYTRZVWLCUXGVWOVUSRZUYIVUAIPZVWLAU
        YIUXTUYQUYTVUSUYLUUMZVWPVUAGUCZIVWPVUAGQZVUAVWSPUYTVUSVWTUYRUXGGUXJUYSU
        UOUUPVUAGYBUOJYCZVUAGIJUUQYDYEYFCUXGVUCGUURYDVVHVVJVWCVWIVWHUYRUYTVWCVW
        IPZVUGVWOVUAVUCPZCUXGVSZVXBVWOVXCCUXGVWPUYIVWQVXCVWRVXAVUAGIJUVDYDYEVXD
        BVWCVWIVXDVVAVUAQZCUXGVSZVVAVUCQZCUXGVSZVVAVWCQZVVAVWIQZVXCVXEVXGCUXGVU
        AVUCVVAYKYGVXIVXFXSBCVVAUXGVUAYHXTYIVXJVXHXSBCVVAUXGVUCYHXTYIZYJYLUOYFY
        MVWIVVJGIJYNYDVVHVWICUXGVUDXQZUXNVUGVWIVXLPUYRUYTVUGBVWIVXLVUGVXHVVAVUD
        QZCUXGVSZVXJVVAVXLQZVUFVXGVXMCUXGVUEVXGVXMYOVUBVUCVUDVVAYKVDYGVXKVXOVXN
        XSBCVVAUXGVUDYHXTYIYJYLXRVVHVXLICUXGUXJUUSZUFZUXNVVHUYPVXLVXQTVWNCUXGIU
        XJUUTUOVVHUXIVXQUXNPZUYAUXIUYPVUHUVAUXIFVXPPVXRUXHVXPFCUXGUVBUVCFVXPIUV
        EWRUOYMYPYPUXPVVLVVNRCVVJGUXJVVJTZUXKVVLUXOVVNUXJVVJEVKVXSUXMVVMUXNUXJV
        VJUXLVLVMVOVNVPUVFUVGUVHAFHUCZPZUXIUAUXSUGZAUAFVXTAUXGFQZUXGVXTQZAVYCRZ
        UXGVVAQZVVERZBGUGZVYDVYEVYFVUNVVAVUMUJZSTZYAZDGUGZBGUGZVYHVYEUYJUXGIQUY
        FUXGEVQZVYMAUYJVYCLXOZAFIUXGMUVIAUYFVYCUYNXOVYCVYCEFQUVJVYNAVYCWGAEIFOU
        VKUXGEFUVLWNUXGEDBGIJUVNXPVYEVYLVYGBGVYEVVAGQZRZVYLVYFVVDRZDGUGVYGVYQVY
        KVYRDGVYKVYFVUNVYJRZRVYQVUMGQZRZVYRVYFVUNVYJUVMWUAVYSVVDVYFWUAVYJVVCVUN
        WUAVYJVUMVVBPZVVCWUAVUMIPZVYJWUBXSVYTWUCVYQVYTVUMVWSIVUMGYBJYCVDVYJVUMV
        VAUJZSTWUCWUBVYIWUDSVVAVUMUVOUVPVUMVVAIUVQUVRUOWUAVVBVWJQZWUBVVCYOVYQWU
        EVYTVYEUYIVYPWUEVYEUYJUYIVYOUYKUOVVAGIJUVSUWEXOWUEWUBVVCVVBVUMGIJYNYQUO
        UVTYRYRUWAYSVYFVVDDGUWBUWCYSYTVYDUXGVVEBGUWFZUCZQVYHVXTWUGUXGHWUFKUWGUW
        HVVEBUXGGUWIUWJUWKYQYLAFUXJUCZPZUXIUAUXJUHZUIUJZUGZYOZVYAVYBYOCGUHZHUXJ
        HTZWUIVYAWULVYBWUOWUHVXTFUXJHVAWEWUOUXIUAWUKUXSWUOWUJUXRUIUXJHUWLUWOUWM
        UWNAUYIFIPZGFUXEUXFUWPQZWUMCWUNVSZUYLMNUYIWUPWUQWURFGICUAJUWQUWRUWSAHWU
        NQZHGPZVVEBGHKUWTAUYJWUSWUTXSLHGULUXAUOUXBUXCYTUXD $.
    $}

    $( A compact subspace of a T2 space is closed.  (Contributed by Jeff
       Hankins, 16-Jan-2010.)  (Proof shortened by Mario Carneiro,
       14-Dec-2013.) $)
    hauscmp $p |- ( ( J e. Haus /\ S C_ X /\
                    ( J |`t S ) e. Comp ) -> S e. ( Clsd ` J ) ) $=
      ( vx vz vy vw cha wcel wss cfv cdif wel cv wa wrex wi syl wb crest co w3a
      ccmp ccld simp2 wral crab eqid simpl1 simpl2 simpl3 simpr hauscmplem ctop
      ccl haustop 3ad2ant1 elssuni sseqtrrdi sscls syl2an sstr2 anim2d reximdva
      cuni adantr mpd ralrimiva eltop2 mpbird iscld mpbir2and ) BIJZACKZBAUAUBU
      DJZUCZABUELJZVOCAMZBJZVNVOVPUFVQVTEFNZFOZVSKZPZFBQZEVSUGZVQWEEVSVQEOZVSJZ
      PZWAWBBUPLZLZVSKZPZFBQZWEWIGFHWGABEHNHOWJLCGOMKPHBQGBUHZCDWOUIVNVOVPWHUJV
      NVOVPWHUKVNVOVPWHULVQWHUMUNVQWNWERWHVQWMWDFBVQWBBJZPZWLWCWAWQWBWKKZWLWCRV
      QBUOJZWBCKWRWPVNVOWSVPBUQURZWPWBBVFCWBBUSDUTWBBCDVAVBWBWKVSVCSVDVEVGVHVIV
      QWSVTWFTWTEFVSBVJSVKVQWSVRVOVTPTWTABCDVLSVM $.
  $}

  ${
    $d r v w x y z J $.
    $( If a topology is compact and a collection of closed sets has the finite
       intersection property, its intersection is nonempty.  (Contributed by
       Jeff Hankins, 25-Aug-2009.)  (Proof shortened by Mario Carneiro,
       1-Sep-2015.) $)
    cmpfi $p |- ( J e. Top -> ( J e. Comp <-> A. x e. ~P ( Clsd ` J )
                  ( -. (/) e. ( fi ` x ) -> |^| x =/= (/) ) ) ) $=
      ( vy vz vr wcel cv wceq cfn wrex c0 cdif cint wne wss wb cvv adantl syl
      wa vw vv ctop cuni cpw cin wi wral cmpt cima cfi cfv ccmp ccld elpwi ciin
      0ss 0fin elfpw mpbir2an simprr simprl unieqd eqtrd unieq rspceeqv sylancr
      wn expr iineq1 0iin eqtrdi eqeq1d necon3bbid mpbiri pm2.21d 2thd ad2antlr
      vn0 uniss eqss eqcom ssdif0 3bitr3g iindif2 uniiun difeq2i eqtr4di bitr4d
      baib ciun imassrn cres df-ima resmpt rneqd syl5eq ad2antrr sseqtrrid wfun
      crn funmpt elinel2 imafi sylanbrc topopn difexd ralrimivw fnmpt ad3antrrr
      wfn eqid simpr sylib simpld sseqtrd simprd fipreima syl3anc rexbii inteqd
      eqeq2d rexxfrd 0ex wfo wf1o ccnv opncldf1 f1ofo forn sylibr eldifsn bitri
      dfiin3g bitrd neeq1d bitr4di imbi12d adantr wex sseqtrid fvex elfi csn wo
      elpw2 cun inundif rexeqi rexun bitr3i elsni uni0 biimpd rexlimiv eqsstrdi
      ssidd eqssd eqtr3d eqeltrdi pwfi pwuni ssfi sylancl syl2anc syl5 idd jaod
      olc impbid1 syl5bb eldifi simpllr sstrd resmptd eldifsni 3eqtr2d rexbidva
      unissd imaeq2 ima0 int0 necomd necon2i rbaibr pm5.32ri rexbii2 pm2.61dane
      3bitr4rd eqtr4d nne imbi1d con1b bitrdi sylan2 ralbidva iscmp simpl foima
      a1i sseq2d syl5ibr imp ssimaexg df-rex velpw anbi1i fveq2d eleq2d ralxfrd
      exbii notbid 3bitr4d ) BUCFZBUDZCGZUDZHZUXODGZUDZHZDUXPUEZIUFZJZUGZCBUEZU
      HZKEBUXOEGZLZUIZUXPUJZUKULZFZVHZUYKMZKNZUGZCUYFUHBUMFZKAGZUKULZFZVHZUYSMZ
      KNZUGZABUNULZUEZUHUXNUYEUYQCUYFUXPUYFFZUXNUXPBOZUYEUYQPUXPBUOUXNVUITZUYEU
      YPVHZUYMUGZUYQVUJUYEEUXPUYIUPZKHZUYMUGZVULVUJUYEVUOPUXPKVUJUXPKHZTZUYEVUO
      VUJVUPUXRUYDVUJVUPUXRTTZKUYCFZUXOKUDZHUYDVUSKUXPOKIFUXPUQURKUXPUSUTVURUXO
      UXQVUTVUJVUPUXRVAVURUXPKVUJVUPUXRVBVCVDDKUYCUXTVUTUXOUXSKVEVFVGVIVUQVUNUY
      MVUQVUNVHQKNZVSVUQVUNQKVUQVUMQKVUQVUMEKUYIUPZQVUPVUMVVBHVUJEUXPKUYIVJREUY
      IVKVLVMVNVOVPVQVUJUXPKNZTZUXRVUNUYDUYMVVDUXRUXOUXQLZKHZVUNVVDUXQUXOHZUXOU
      XQOZUXRVVFVVDUXQUXOOZVVGVVHPVUIVVIUXNVVCUXPBVTZVRVVGVVIVVHUXQUXOWAWJSUXQU
      XOWBUXOUXQWCWDVVDVUMVVEKVVDVUMUXOEUXPUYHWKZLZVVEVVCVUMVVLHVUJEUXPUXOUYHWE
      RUXQVVKUXOEUXPWFWGWHVMWIVVDKUAGZMZHZUAUYKUEIUFZJZKEUXPUYIUIZUXSUJZMZHZDUY
      CJZUYMUYDVVDVVOVWAUADVVSVVPUYCVVDUXSUYCFZTZVVSUYKOVVSIFZVVSVVPFVWDVVRXAZV
      VSUYKVVRUXSWLVUJUYKVWFHZVVCVWCVUJUYKUYJUXPWMZXAVWFUYJUXPWNVUJVWHVVRVUIVWH
      VVRHUXNEBUXPUYIWORWPWQZWRWSVWDVVRWTUXSIFZVWEEUXPUYIXBVWCVWJVVDUXSUYBIXCRV
      VRUXSXDVGVVSUYKUSXEVVDVVMVVPFZTZVVSVVMHZDUYCJZVVMVVSHZDUYCJVWLVVRUXPXKZVV
      MVWFOVVMIFZVWNUXNVWPVUIVVCVWKUXNUYIQFZEUXPUHZVWPUXNVWREUXPUXNUXOUYHBBUXOU
      XOXLZXFXGZXHZEUXPUYIVVRQVVRXLXISXJVWLVVMUYKVWFVWLVVMUYKOZVWQVWLVWKVXCVWQT
      VVDVWKXMVVMUYKUSXNZXOVUJVWGVVCVWKVWIWRXPVWLVXCVWQVXDXQVVMUXPVVRDXRXSVWMVW
      ODUYCVVSVVMWBXTXNVVDVWOTZVVNVVTKVXEVVMVVSVVDVWOXMYAYBYCVVDKQFUYKVUGFZUYMV
      VQPYDUXNVXFVUIVVCUXNUYKVUFOVXFUXNUYJXAZUYKVUFUYJUXPWLUXNBVUFUYJYEZVXGVUFH
      UXNBVUFUYJYFZVXHUXNVXIUYJYGUBVUFUXOUBGLUIHUBEUYJBUXOVWTUYJXLYHXOBVUFUYJYI
      SZBVUFUYJYJSUUAUYKVUFBUNUUBUUFYKZWRUAKUYKQVUGUUCVGVVDUYDVWADUYCKUUDZLZJZV
      WBVVDUYDUYADVXMJZVXNUYDUYADUYCVXLUFZJZVXOUUEZVVDVXOUYDUYADVXPVXMUUGZJVXRU
      YADVXSUYCUYCVXLUUHUUIUYADVXPVXMUUJUUKVVDVXRVXOVVDVXQVXOVXOVXQUXOKHZVVDVXO
      UYAVXTDVXPUXSVXPFZUYAVXTVYAUXTKUXOVYAUXTVUTKVYAUXSKVYAUXSVXLFUXSKHZUXSUYC
      VXLXCUXSKUULSVCUUMVLYBUUNUUOVUJVVCVXTVXOVUJVVCVXTTZTZUXPVXMFZUXRVXOVYDUXP
      UYCFZVVCVYEVYDUXPUXPOUXPIFZVYFVYDUXPUUQVYDUXQUEZIFZUXPVYHOVYGVYDUXQIFVYIV
      YDUXQKIVYDUXOUXQKVYDUXOUXQVYDUXOKUXQVUJVVCVXTVAZUXQUQUUPVUIVVIUXNVYCVVJVR
      UURZVYJUUSURUUTUXQUVAXNUXPUVBVYHUXPUVCUVDUXPUXPUSXEVUJVVCVXTVBUXPUYCKYLXE
      VYKDUXPVXMUXTUXQUXOUXSUXPVEVFUVEVIUVFVVDVXOUVGUVHVXOVXQUVIUVJUVKVVDUYAVWA
      DVXMVVDUXSVXMFZTZUYAKUXOUXTLZHZVWAVYMUXTUXOHZUXOUXTOZUYAVYOVYMUXTUXOOZVYP
      VYQPVYMUXSBVYMUXSUXPBVYMUXSUXPOZVWJVYMVWCVYSVWJTVYLVWCVVDUXSUYCVXLUVLRUXS
      UXPUSXNXOZUXNVUIVVCVYLUVMUVNUVSVYPVYRVYQUXTUXOWAWJSUXTUXOWBVYQVYNKHVYOUXO
      UXTWCVYNKWBYMWDVYMVVTVYNKVYMVVTUXOEUXSUYHWKZLZVYNVYMVVTEUXSUYIUIZXAZMZEUX
      SUYIUPZWUBVYMVVSWUDVYMVVSVVRUXSWMZXAWUDVVRUXSWNVYMWUGWUCVYMEUXPUXSUYIVYTU
      VOWPWQYAVYMVWREUXSUHZWUFWUEHUXNWUHVUIVVCVYLUXNVWREUXSVXAXHXJEUXSUYIQYNSVY
      MUXSKNZWUFWUBHVYLWUIVVDUXSUYCKUVPREUXSUXOUYHWESUVQUXTWUAUXOEUXSWFWGWHYBWI
      UVRYOVWAVWADUYCVXMVWAVWCVYLVWAWUIVWCVYLPUXSKKVVTVYBVVTKVYBVVTKNVVAVSVYBVV
      TQKVYBVVTKMQVYBVVSKVYBVVSVVRKUJKUXSKVVRUVTVVRUWAVLYAUWBVLYPVOUWCUWDVYLVWC
      WUIUXSUYCKYLUWESUWFUWGYQUWIYRUWHVUJVUNVUKUYMVUJVUNUYOKHVUKVUJVUMUYOKVUJVU
      MVWFMZUYOVUJVWSVUMWUJHUXNVWSVUIVXBYSEUXPUYIQYNSVUJUYKVWFVWIYAUWJVMUYOKUWK
      YQUWLYOUYPUYMUWMUWNUWOUWPUYRUXNUYGCDBUXOVWTUWQWJUXNVUEUYQACUYKVUGUYFUXNVX
      FVUHVXKYSUXNUYSVUGFZTZVUIUYSUYKHZTZCYTZWUMCUYFJZWULUXNUYJWTZUYSUYJBUJZOZW
      UOUXNWUKUWRWUQWULEBUYIXBUWTUXNWUKWUSWUKWUSUXNUYSVUFOUYSVUFUOUXNWURVUFUYSU
      XNVXHWURVUFHVXJBVUFUYJUWSSUXAUXBUXCCBUYSUCUYJUXDXSWUPVUHWUMTZCYTWUOWUMCUY
      FUXEWUTWUNCVUHVUIWUMCBUXFUXGUXKYMYKUXNWUMTZVUBUYNVUDUYPWVAVUAUYMWVAUYTUYL
      KWVAUYSUYKUKUXNWUMXMZUXHUXIUXLWVAVUCUYOKWVAUYSUYKWVBYAYPYRUXJUXM $.
  $}

  ${
    $d J x $.  $d X x $.
    $( In a compact topology, a system of closed sets with nonempty finite
       intersections has a nonempty intersection.  (Contributed by Stefan
       O'Rear, 22-Feb-2015.) $)
    cmpfii $p |- ( ( J e. Comp /\ X C_ ( Clsd ` J ) /\ -. (/) e. ( fi ` X ) )
        -> |^| X =/= (/) ) $=
      ( vx ccmp wcel ccld cfv wss c0 cfi wn cint wne cv wral fvex elpw2 biimpri
      cpw wi ctop wb cmptop cmpfi syl ibi wceq fveq2 eleq2d notbid inteq neeq1d
      imbi12d rspcva syl2anr 3impia ) ADEZBAFGZHZIBJGZEZKZBLZIMZUSBURSZEZICNZJG
      ZEZKZVGLZIMZTZCVEOZVBVDTZUQVFUSBURAFPQRUQVNUQAUAEUQVNUBAUCCAUDUEUFVMVOCBV
      EVGBUGZVJVBVLVDVPVIVAVPVHUTIVGBJUHUIUJVPVKVCIVGBUKULUMUNUOUP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Bolzano-Weierstrass theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d b o x z A $.  $d b o x z J $.  $d b o x z X $.
    bwt2.1 $e |- X = U. J $.
    $( The glorious Bolzano-Weierstrass theorem.  The first general topology
       theorem ever proved.  The first mention of this theorem can be found in
       a course by Weierstrass from 1865.  In his course Weierstrass called it
       a lemma.  He didn't know how famous this theorem would be.  He used a
       Euclidean space instead of a general compact space.  And he was not
       aware of the Heine-Borel property.  But the concepts of neighborhood and
       limit point were already there although not precisely defined.  Cantor
       was one of his students.  He published and used the theorem in an
       article from 1872.  The rest of the general topology followed from that.
       (Contributed by FL, 2-Aug-2009.)  (Revised by Mario Carneiro,
       15-Dec-2013.)  Revised by BL to significantly shorten the proof and
       avoid infinity, regularity, and choice.  (Revised by Brendan Leahy,
       26-Dec-2018.) $)
    bwth $p |- ( ( J e. Comp /\ A C_ X /\ -. A e. Fin ) ->
     E. x e. X x e. ( ( limPt ` J ) ` A ) ) $=
      ( vb vz vo wcel wss cfn wn cv wrex cin wral wa c0 wi cun ccmp w3a clp cfv
      cpw wel pm3.24 a1i nrex r19.29 mto cuni wceq csn cdif wex wne ralnex ctop
      wb cmptop islp3 3expa notbid ralbidva sylan bitr3id rexanali nne vex sneq
      weq difeq2d ineq2d eqeq1d spcev sylbi anim2i reximi sylbir ralimi cmpcov2
      ex syl5 adantr sylbid 3adant3 elinel2 sseq2 biimpac infssuni ancoms an42s
      anassrs sylanl2 0fin eleq1 mpbiri snfi unfi sylancl ssun1 undif1 sseqtrri
      ss2in mp2an 3sstr4i ssfi exlimiv anim12ci expl reximdva 3adant1 syld mt3i
      incom undir ) CUAIZBDJZBKILZUBZAMZBCUCUDUDIZADNZBFMZOZKIZFGMZPZYGLZFYHNZQ
      ZGCUEZKOZNZYLGYNYLLYHYNIZYLYGYJQZFYHNYQFYHYQLFGUFYGUGUHUIYGYJFYHUJUKUHUIY
      AYDLZDYHULZUMZYEBHMZUNZUOZOZRUMZHUPZFYHPZQZGYNNZYOXRXSYRUUISXTXRXSQZYRAFU
      FZYEBYBUNZUOZOZRUQZSFCPZLZADPZUUIYRYCLZADPZUUJUURYCADURXRCUSIZXSUUTUURUTC
      VAUVAXSQZUUSUUQADUVBYBDIZQYCUUPUVAXSUVCYCUUPUTFYBBCDEVBVCVDVEVFVGXRUURUUI
      SXSUURUUKUUFQZFCNZADPZXRUUIUUQUVEADUUQUUKUUOLZQZFCNUVEUUKUUOFCVHUVHUVDFCU
      VGUUFUUKUVGUUNRUMZUUFUUNRVIUUEUVIHYBAVJHAVLZUUDUUNRUVJUUCUUMYEUVJUUBUULBU
      UAYBVKVMVNVOVPVQVRVSVTWAXRUVFUUIUUFAFCDGEWBWCWDWEWFWGXSXTUUIYOSXRXSXTQZUU
      HYLGYNUVKYPQZYTUUGYLUVLYTQYKUUGYIYPUVKYHKIZYTYKYHYMKWHUVKUVMYTYKXSYTXTUVM
      YKXSYTQBYSJZXTUVMQZYKYTXSUVNDYSBWIWJUVOUVNYKXTUVMUVNYKFBYHWKVCWLVFWMWNWOU
      UFYGFYHUUEYGHUUEUUDUUBTZKIZYFUVPJYGUUEUUDKIZUUBKIUVQUUEUVRRKIWPUUDRKWQWRU
      UAWSUUDUUBWTXAYEBOZYEUUBTZUUCUUBTZOZYFUVPYEUVTJBUWAJUVSUWBJYEUUBXBBBUUBTU
      WABUUBXBBUUBXCXDYEUVTBUWAXEXFBYEXPYEUUCUUBXQXGUVPYFXHXAXIWAXJXKXLXMXNXO
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Connectedness
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Conn $.
  $( Extend class notation with the class of all connected topologies. $)
  cconn $a class Conn $.

  $( Topologies are connected when only ` (/) ` and ` U. j ` are both open and
     closed.  (Contributed by FL, 17-Nov-2008.) $)
  df-conn $a |-
               Conn = { j e. Top | ( j i^i ( Clsd ` j ) ) = { (/) , U. j } } $.

  ${
    $d j J $.  $d j X $.
    isconn.1 $e |- X = U. J $.
    $( The predicate ` J ` is a connected topology .  (Contributed by FL,
       17-Nov-2008.) $)
    isconn $p |- ( J e. Conn <->
                      ( J e. Top /\ ( J i^i ( Clsd ` J ) ) = { (/) , X } ) ) $=
      ( vj cv ccld cfv cin c0 cuni cpr wceq ctop cconn id fveq2 ineq12d eqtr4di
      unieq preq2d eqeq12d df-conn elrab2 ) DEZUDFGZHZIUDJZKZLAAFGZHZIBKZLDAMNU
      DALZUFUJUHUKULUDAUEUIULOUDAFPQULUGBIULUGAJBUDASCRTUADUBUC $.

    $( The predicate ` J ` is a connected topology .  (Contributed by Mario
       Carneiro, 10-Mar-2015.) $)
    isconn2 $p |- ( J e. Conn <->
                     ( J e. Top /\ ( J i^i ( Clsd ` J ) ) C_ { (/) , X } ) ) $=
      ( cconn wcel ctop ccld cfv cin c0 cpr wceq wa isconn eqss 0opn 0cld elind
      wss topopn topcld prssd biantrud bitr4id pm5.32i bitri ) ADEAFEZAAGHZIZJB
      KZLZMUGUIUJSZMABCNUGUKULUGUKULUJUISZMULUIUJOUGUMULUGJBUIUGAUHJAPAQRUGAUHB
      ABCTABCUARUBUCUDUEUF $.

    connclo.1 $e |- ( ph -> J e. Conn ) $.
    connclo.2 $e |- ( ph -> A e. J ) $.
    connclo.3 $e |- ( ph -> A =/= (/) ) $.
    ${
      connclo.4 $e |- ( ph -> A e. ( Clsd ` J ) ) $.
      $( The only nonempty clopen set of a connected topology is the whole
         space.  (Contributed by Mario Carneiro, 10-Mar-2015.) $)
      connclo $p |- ( ph -> A = X ) $=
        ( c0 wceq wn neneqd cpr wcel wo ccld cfv cin syl isconn simprbi eleqtrd
        elind cconn ctop elpri ord mpd ) ABJKZLBDKZABJHMAUJUKABJDNZOUJUKPABCCQR
        ZSZULACUMBGIUDACUEOZUNULKZFUOCUFOUPCDEUAUBTUCBJDUGTUHUI $.
    $}

    conndisj.4 $e |- ( ph -> B e. J ) $.
    conndisj.5 $e |- ( ph -> B =/= (/) ) $.
    conndisj.6 $e |- ( ph -> ( A i^i B ) = (/) ) $.
    $( If a topology is connected, its underlying set can't be partitioned into
       two nonempty non-overlapping open sets.  (Contributed by FL,
       16-Nov-2008.)  (Proof shortened by Mario Carneiro, 10-Mar-2015.) $)
    conndisj $p |- ( ph -> ( A u. B ) =/= X ) $=
      ( c0 wne wceq cdif wss cin wcel adantr cun wb elssuni sseqtrrdi uneqdifeq
      cuni syl syl2anc simpr difeq2d dfss4 sylib cconn ccld cfv ctop cpr isconn
      wa simplbi opncld eqeltrrd connclo difid eqtrdi 3eqtr3d ex sylbid necon3d
      mpd ) ABMNBCUAZENIAVKEBMAVKEOZEBPZCOZBMOZABEQZBCRMOVLVNUBABDUFZEABDSZBVQQ
      HBDUCUGFUDZLBCEUEUHAVNVOAVNUSZEVMPZECPZBMVTVMCEAVNUIZUJAWABOZVNAVPWDVSBEU
      KULTVTWBEEPMVTCEEVTCDEFADUMSZVNGTACDSVNJTACMNVNKTVTVMCDUNUOZWCAVMWFSZVNAD
      UPSZVRWGAWEWHGWEWHDWFRMEUQODEFURUTUGHBDEFVAUHTVBVCUJEVDVEVFVGVHVIVJ $.
  $}

  $( A connected topology is a topology.  (Contributed by FL, 22-Dec-2008.)
     (Revised by Mario Carneiro, 14-Dec-2013.) $)
  conntop $p |- ( J e. Conn -> J e. Top ) $=
    ( cconn wcel ctop ccld cfv cin c0 cuni cpr wceq eqid isconn simplbi ) ABCAD
    CAAEFGHAIZJKAOOLMN $.

  $( The indiscrete topology (or trivial topology) on any set is connected.
     (Contributed by FL, 5-Jan-2009.)  (Revised by Mario Carneiro,
     14-Aug-2015.) $)
  indisconn $p |- { (/) , A } e. Conn $=
    ( cpr cconn wcel ctop ccld cfv cin cid wss indistop inss1 indislem sseqtrri
    c0 indisuni isconn2 mpbir2an ) OABZCDSEDSSFGZHZOAIGZBZJAKUASUCSTLAMNSUBAPQR
    $.

  ${
    $d x y J $.  $d x y X $.
    $( An alternate definition of connectedness.  (Contributed by Jeff Hankins,
       9-Jul-2009.)  (Proof shortened by Mario Carneiro, 10-Mar-2015.) $)
    dfconn2 $p |- ( J e. ( TopOn ` X ) -> ( J e. Conn <-> A. x e. J A. y e. J
 ( ( x =/= (/) /\ y =/= (/) /\ ( x i^i y ) = (/) ) -> ( x u. y ) =/= X ) ) ) $=
      ( cfv wcel cv c0 wne cin wceq cun wi wral wa ex wss wal adantl bitri cuni
      ctopon cconn w3a simpll simplrl simpr1 simplrr simpr2 conndisj ralrimivva
      eqid simpr3 ctop topontop ccld cdif cldopn df-3an disjdif eqtrdi biantrud
      cpr ineq2 neeq1 anbi2d bitr3d syl5bb uneq2 undif2 neeq1d imbi12d rspcv wo
      syl cldss ssequn1 sylib ssdif0 jctild eqss syl6ibr syl5bir embantd orim2d
      idd impexp wn df-ne id necon4d necon3d impbii imbi12i pm4.64 elpr 3imtr4g
      syld com23 imim2d elin imbi1i alimdv df-ral dfss2 isconn2 sylibrd impbid2
      vex baib toponuni neeq2d imbi2d 2ralbidv bitr4d ) CDUBEFZCUCFZAGZHIZBGZHI
      ZXRXTJZHKZUDZXRXTLZCUAZIZMZBCNZACNZYDYEDIZMZBCNACNXPXQYJXQYHABCCXQXRCFZXT
      CFZOZOZYDYGYPYDOXRXTCYFYFULZXQYOYDUEXQYMYNYDUFYPXSYAYCUGXQYMYNYDUHYPXSYAY
      CUIYPXSYAYCUMUJPUKXPCUNFZYJXQMDCUOYRYJCCUPEZJZHYFVCZQZXQYRYMYIMZARXRYTFZX
      RUUAFZMZARYJUUBYRUUCUUFAYRUUCYMXRYSFZUUEMZMZUUFYRYIUUHYMYRUUGYIUUEYRUUGYI
      UUEMYRUUGOZYIXSYFXRUQZHIZOZXRYFLZYFIZMZUUEUUJUUKCFZYIUUPMUUGUUQYRXRCYFYQU
      RSYHUUPBUUKCXTUUKKZYDUUMYGUUOYDXSYAOZYCOZUURUUMXSYAYCUSUURUUSUUTUUMUURYCU
      USUURYBXRUUKJHXTUUKXRVDXRYFUTVAVBUURYAUULXSXTUUKHVEVFVGVHUURYEUUNYFUURYEX
      RUUKLUUNXTUUKXRVIXRYFVJVAVKVLVMVOUUJXRHKZUUNYFKZUUKHKZMZVNZUVAXRYFKZVNUUP
      UUEUUJUVDUVFUVAUUJUVBUVCUVFUUJXRYFQZUVBUUGUVGYRXRCYFYQVPSZXRYFVQVRUVCYFXR
      QZUUJUVFYFXRVSUUJUVIUVGUVIOUVFUUJUVIUVIUVGUUJUVIWFUVHVTXRYFWAWBWCWDWEUUPX
      SUULUUOMZMZUVEXSUULUUOWGUVKUVAWHZUVDMUVEXSUVLUVJUVDXRHWIUVJUVDUVJUUKHUUNY
      FUVJWJWKUVDUUNYFUUKHUVDWJWLWMWNUVAUVDWOTTXRHYFAXIWPWQWRPWSWTUUFYMUUGOZUUE
      MUUIUUDUVMUUEXRCYSXAXBYMUUGUUEWGTWBXCYIACXDAYTUUAXEWQXQYRUUBCYFYQXFXJXGVO
      XHXPYLYHABCCXPYKYGYDXPDYFYEDCXKXLXMXNXO $.
  $}

  ${
    $d u v x y A $.  $d u v x y J $.  $d x y S $.  $d u v x y X $.
    $( Connectedness for a subspace.  See ~ connsub .  (Contributed by FL,
       29-May-2014.)  (Proof shortened by Mario Carneiro, 10-Mar-2015.) $)
    connsuba $p |- ( ( J e. ( TopOn ` X ) /\ A C_ X ) -> ( ( J |`t A ) e. Conn
                 <-> A. x e. J A. y e. J ( ( ( x i^i A ) =/= (/) /\
                     ( y i^i A ) =/= (/) /\ ( ( x i^i y ) i^i A ) = (/) )
                                         -> ( ( x u. y ) i^i A ) =/= A ) ) ) $=
      ( vu vv ctopon wcel wa cv c0 wne cin wceq cun wral wb cvv neeq1d crest co
      cfv wss cconn w3a wi resttopon dfconn2 syl vex inex1 wrex toponmax adantr
      simpr ssexd elrest syldan simplr ineq12d inindir eqtr4di eqeq1d 3anbi123d
      a1i uneq12d indir imbi12d ralxfr2d bitrd ) DEHUCZIZCEUDZJZDCUAUBZUEIZFKZL
      MZGKZLMZVRVTNZLOZUFZVRVTPZCMZUGZGVPQZFVPQZAKZCNZLMZBKZCNZLMZWJWMNCNZLOZUF
      ZWJWMPCNZCMZUGZBDQZADQVOVPCHUCIVQWIRCDEUHFGVPCUIUJVOWHXBFAWKVPDSWKSIVOWJD
      IJWJCAUKULVFVMVNCSIZVRVPIVRWKOZADUMRVOCEDVMEDIVNEDUNUOVMVNUPUQZAVRCDVLSUR
      USVOXDJZWGXAGBWNVPDSWNSIXFWMDIJWMCBUKULVFVOVTVPIVTWNOZBDUMRZXDVMVNXCXHXEB
      VTCDVLSURUSUOXFXGJZWDWRWFWTXIVSWLWAWOWCWQXIVRWKLVOXDXGUTZTXIVTWNLXFXGUPZT
      XIWBWPLXIWBWKWNNWPXIVRWKVTWNXJXKVAWJWMCVBVCVDVEXIWEWSCXIWEWKWNPWSXIVRWKVT
      WNXJXKVGWJWMCVHVCTVIVJVJVK $.

    $( Two equivalent ways of saying that a subspace topology is connected.
       (Contributed by Jeff Hankins, 9-Jul-2009.)  (Proof shortened by Mario
       Carneiro, 10-Mar-2015.) $)
    connsub $p |- ( ( J e. ( TopOn ` X ) /\ S C_ X ) -> ( ( J |`t S ) e. Conn
      <-> A. x e. J A. y e. J ( ( ( x i^i S ) =/= (/) /\ ( y i^i S ) =/= (/) /\
                      ( x i^i y ) C_ ( X \ S ) ) -> -. S C_ ( x u. y ) ) ) ) $=
      ( ctopon cfv wcel wss wa crest cv cin c0 wne wceq w3a wi wral wb co cconn
      cun wn connsuba inss1 toponss ad2ant2r sstrid reldisj syl 3anbi3d sseqin2
      cdif a1i bicomd necon3abid imbi12d 2ralbidva bitrd ) DEFGHZCEIZJZDCKUAUBH
      ALZCMNOZBLZCMNOZVDVFMZCMNPZQZVDVFUCZCMZCOZRZBDSADSVEVGVHECUNIZQZCVKIZUDZR
      ZBDSADSABCDEUEVCVNVSABDDVCVDDHZVFDHZJJZVJVPVMVRWBVIVOVEVGWBVHEIVIVOTWBVHV
      DEVDVFUFVAVTVDEIVBWAVDDEUGUHUIVHCEUJUKULWBVQVLCWBVQVLCPZVQWCTWBCVKUMUOUPU
      QURUSUT $.
  $}

  ${
    $d x F $.  $d x J $.  $d x K $.  $d x X $.  $d x Y $.
    cnconn.2 $e |- Y = U. K $.
    $( Connectedness is respected by a continuous onto map.  (Contributed by
       Jeff Hankins, 12-Jul-2009.)  (Proof shortened by Mario Carneiro,
       10-Mar-2015.) $)
    cnconn $p |- ( ( J e. Conn /\ F : X -onto-> Y /\ F e. ( J Cn K ) ) ->
        K e. Conn ) $=
      ( vx cconn wcel ccld cfv cin c0 wss wa wceq wne cima syl2anc syl wfo ctop
      ccn co w3a cpr cntop2 3ad2ant3 cv wo wn df-ne ccnv cuni cdm simpl1 simpl3
      eqid simprl elin1d cnima crn elssuni sseqtrrdi simpl2 forn sseqtrrd df-rn
      sseqtrdi sseqin2 sylib simprr eqnetrd imadisj necon3bii sylibr cnclima wf
      elin2d connclo cnf fdm fof 3eqtr2d imaeq2d foimacnv foima 3eqtr3d syl5bir
      3syl expr orrd vex elpr ex ssrdv isconn2 sylanbrc ) BHIZDEAUAZABCUCUDIZUE
      ZCUBIZCCJKZLZMEUFZNCHIXAWSXCWTABCUGUHXBGXEXFXBGUIZXEIZXGXFIZXBXHOZXGMPZXG
      EPZUJXIXJXKXLXKUKXGMQZXJXLXGMULXBXHXMXLXBXHXMOZOZAAUMZXGRZRZADRZXGEXOXQDA
      XOXQBUNZAUOZDXOXQBXTXTURZWSWTXAXNUPXOXAXGCIZXQBIWSWTXAXNUQZXOCXDXGXBXHXMU
      SZUTZXGABCVASXOXPUOZXGLZMQXQMQXOYHXGMXOXGYGNYHXGPXOXGAVBZYGXOXGEYIXOXGCUN
      ZEXOYCXGYJNYFXGCVCTFVDZXOWTYIEPWSWTXAXNVEZDEAVFTVGAVHVIXGYGVJVKXBXHXMVLVM
      XQMYHMXPXGVNVOVPXOXAXGXDIXQBJKIYDXOCXDXGYEVSXGABCVQSVTXOXAXTEAVRYAXTPYDAB
      CXTEYBFWAXTEAWBWJXOWTDEAVRYADPYLDEAWCDEAWBWJWDWEXOWTXGENXRXGPYLYKDEXGAWFS
      XOWTXSEPYLDEAWGTWHWKWIWLXGMEGWMWNVPWOWPCEFWQWR $.
  $}

  ${
    $d x y A $.  $d x y J $.  $d x y U $.  $d y V $.  $d x y X $.
    nconnsubb.2 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    nconnsubb.3 $e |- ( ph -> A C_ X ) $.
    nconnsubb.4 $e |- ( ph -> U e. J ) $.
    nconnsubb.5 $e |- ( ph -> V e. J ) $.
    nconnsubb.6 $e |- ( ph -> ( U i^i A ) =/= (/) ) $.
    nconnsubb.7 $e |- ( ph -> ( V i^i A ) =/= (/) ) $.
    nconnsubb.8 $e |- ( ph -> ( ( U i^i V ) i^i A ) = (/) ) $.
    nconnsubb.9 $e |- ( ph -> A C_ ( U u. V ) ) $.
    $( Disconnectedness for a subspace.  (Contributed by FL, 29-May-2014.)
       (Proof shortened by Mario Carneiro, 10-Mar-2015.) $)
    nconnsubb $p |- ( ph -> -. ( J |`t A ) e. Conn ) $=
      ( vx vy cin c0 wne wceq crest co cconn wcel cun wss cv w3a wi wral ctopon
      wn cfv wb connsuba syl2anc 3jca ineq1 neeq1d ineq1d eqeq1d 3anbi13d uneq1
      imbi12d ineq2 3anbi23d sseqin2 necon3bbii uneq2 sseq2d notbid rspc2v mpid
      bitr3id sylbid mt2d ) ADBUAUBUCUDZBCEUEZUFZNAVQOUGZBQZRSZPUGZBQZRSZVTWCQZ
      BQZRTZUHZVTWCUEZBQZBSZUIZPDUJODUJZVSULZADFUKUMUDBFUFVQWNUNGHOPBDFUOUPAWNC
      BQZRSZEBQZRSZCEQZBQZRTZUHZWOAWQWSXBKLMUQACDUDEDUDWNXCWOUIZUIIJWMXDWQWECWC
      QZBQZRTZUHZCWCUEZBQZBSZUIOPCEDDVTCTZWIXHWLXKXLWBWQWHXGWEXLWAWPRVTCBURUSXL
      WGXFRXLWFXEBVTCWCURUTVAVBXLWKXJBXLWJXIBVTCWCVCUTUSVDWCETZXHXCXKWOXMWEWSXG
      XBWQXMWDWRRWCEBURUSXMXFXARXMXEWTBWCECVEUTVAVFXKBXIUFZULXMWOXNXJBBXIVGVHXM
      XNVSXMXIVRBWCECVIVJVKVNVDVLUPVMVOVP $.
  $}

  ${
    $d x A $.  $d x B $.  $d x J $.  $d x X $.
    connsubclo.1 $e |- X = U. J $.
    connsubclo.3 $e |- ( ph -> A C_ X ) $.
    connsubclo.4 $e |- ( ph -> ( J |`t A ) e. Conn ) $.
    connsubclo.5 $e |- ( ph -> B e. J ) $.
    connsubclo.6 $e |- ( ph -> ( B i^i A ) =/= (/) ) $.
    connsubclo.7 $e |- ( ph -> B e. ( Clsd ` J ) ) $.
    $( If a clopen set meets a connected subspace, it must contain the entire
       subspace.  (Contributed by Mario Carneiro, 10-Mar-2015.) $)
    connsubclo $p |- ( ph -> A C_ B ) $=
      ( vx cin wceq wss eqid ctop wcel cvv ccld crest co cuni cfv cldrcl topopn
      syl ssexd elrestr syl3anc cv wrex rspceeqv sylancl restcld syl2anc mpbird
      ineq1 wb connclo restuni eqtr4d sseqin2 sylibr ) ACBMZBNBCOAVEDBUAUBZUCZB
      AVEVFVGVGPHADQRZBSRCDRVEVFRACDTUDZRZVHKCDUEUGZABEDAVHEDRVKDEFUFUGGUHICBDQ
      SUIUJJAVEVFTUDRZVELUKZBMZNLVIULZAVJVEVENVOKVEPLCVIVNVEVEVMCBURUMUNAVHBEOZ
      VLVOUSVKGLVEBDEFUOUPUQUTAVHVPBVGNVKGBDEFVAUPVBBCVCVD $.
  $}

  ${
    connima.x $e |- X = U. J $.
    connima.f $e |- ( ph -> F e. ( J Cn K ) ) $.
    connima.a $e |- ( ph -> A C_ X ) $.
    connima.c $e |- ( ph -> ( J |`t A ) e. Conn ) $.
    $( The image of a connected set is connected.  (Contributed by Mario
       Carneiro, 7-Jul-2015.)  (Revised by Mario Carneiro, 22-Aug-2015.) $)
    connima $p |- ( ph -> ( K |`t ( F " A ) ) e. Conn ) $=
      ( crest co cconn wcel cuni wfo ccn wss syl syl2anc cima cres wfun wf eqid
      cdm cnf ffund fdmd sseqtrrd fores wceq wb ctop cntop2 imassrn frnd sstrid
      crn restuni foeq3 mpbid cnrest ctopon toptopon2 sylib df-ima eqimss2 mp1i
      cfv cnrest2 syl3anc cnconn ) ADBKLZMNBECBUAZKLZOZCBUBZPZVRVNVPQLNZVPMNJAB
      VOVRPZVSACUCBCUFZRWAAFEOZCACDEQLNZFWCCUDHCDEFWCGWCUEZUGSZUHABFWBIAFWCCWFU
      IUJBCUKTAVOVQULZWAVSUMAEUNNZVOWCRZWGAWDWHHCDEUOSZAVOCUSWCCBUPAFWCCWFUQURZ
      VOEWCWEUTTVOVQBVRVASVBAVRVNEQLNZVTAWDBFRWLHIBCDEFGVCTAEWCVDVJNZVRUSZVORZW
      IWLVTUMAWHWMWJEVEVFVOWNULWOACBVGWNVOVHVIWKVOVRVNEWCVKVLVBVRVNVPBVQVQUEVMV
      L $.
  $}

  ${
    conncn.x $e |- X = U. J $.
    conncn.j $e |- ( ph -> J e. Conn ) $.
    conncn.f $e |- ( ph -> F e. ( J Cn K ) ) $.
    conncn.u $e |- ( ph -> U e. K ) $.
    conncn.c $e |- ( ph -> U e. ( Clsd ` K ) ) $.
    conncn.a $e |- ( ph -> A e. X ) $.
    conncn.1 $e |- ( ph -> ( F ` A ) e. U ) $.
    $( A continuous function from a connected topology with one point in a
       clopen set must lie entirely within the set.  (Contributed by Mario
       Carneiro, 16-Feb-2015.) $)
    conncn $p |- ( ph -> F : X --> U ) $=
      ( wss wf co wcel syl syl2anc wfn crn cuni ccn eqid ffnd cconn crest dffn4
      cnf frnd wfo sylib wceq wb ctop cntop2 restuni foeq3 ctopon cfv toptopon2
      mpbid ssidd cnrest2 syl3anc cnconn cin c0 fnfvelrn inelcm connsubclo df-f
      wne sylanbrc ) ADGUAZDUBZCOGCDPAGFUCZDADEFUDQRZGVRDPJDEFGVRHVRUEZUJSZUFZA
      VQCFVRVTAGVRDWAUKZAEUGRGFVQUHQZUCZDULZDEWDUDQRZWDUGRIAGVQDULZWFAVPWHWBGDU
      IUMAVQWEUNZWHWFUOAFUPRZVQVROZWIAVSWJJDEFUQSZWCVQFVRVTURTVQWEGDUSSVCAVSWGJ
      AFVRUTVARZVQVQOWKVSWGUOAWJWMWLFVBUMAVQVDWCVQDEFVRVEVFVCDEWDGWEWEUEVGVFKAB
      DVAZCRWNVQRZCVQVHVIVNNAVPBGRWOWBMGBDVJTWNCVQVKTLVLGCDVMVO $.
  $}

  ${
    $d k u v x A $.  $d u v x B $.  $d k u v J $.  $d k x P $.  $d k u v x X $.
    $d u v x ph $.  $d k x U $.  $d k x V $.
    iunconn.2 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    iunconn.3 $e |- ( ( ph /\ k e. A ) -> B C_ X ) $.
    iunconn.4 $e |- ( ( ph /\ k e. A ) -> P e. B ) $.
    iunconn.5 $e |- ( ( ph /\ k e. A ) -> ( J |`t B ) e. Conn ) $.
    ${
      iunconn.6 $e |- ( ph -> U e. J ) $.
      iunconn.7 $e |- ( ph -> V e. J ) $.
      iunconn.8 $e |- ( ph -> ( V i^i U_ k e. A B ) =/= (/) ) $.
      iunconn.9 $e |- ( ph -> ( U i^i V ) C_ ( X \ U_ k e. A B ) ) $.
      iunconn.10 $e |- ( ph -> U_ k e. A B C_ ( U u. V ) ) $.
      iunconn.11 $e |- F/ k ph $.
      $( Lemma for ~ iunconn .  (Contributed by Mario Carneiro,
         11-Jun-2014.) $)
      iunconnlem $p |- ( ph -> -. P e. U ) $=
        ( wcel vx cv ciun cin wex wn c0 wne n0 sylib elin wrex eliun nfan crest
        wa nfv co adantr ctopon cfv ad2antrr wss simprr inelcm syl2anc ad2antrl
        cconn wceq ssiun2 ad2antlr sscond sstrd wb inss1 toponss sstrid reldisj
        cdif syl mpbird nconnsubb expr mt2d an4s rexlimd syl5bi expimpd exlimdv
        cun exp32 mpd ) AUAUBZHFBCUCZUDZTZUAUEZDETZUFZAWOUGUHWQPUAWOUIUJAWPWSUA
        WPWMHTZWMWNTZUPAWSWMHWNUKAWTXAWSXAWMCTZFBULAWTUPZWSFWMBCUMXCXBWSFBAWTFS
        WTFUQUNWSFUQXCFUBBTZXBWSAXDWTXBWSAXDUPZWTXBUPZUPWRGCUOURVHTZXEXGXFMUSXE
        XFWRXGUFXEXFWRUPZUPZCEGHIAGIUTVATZXDXHJVBZXECIVCXHKUSAEGTZXDXHNVBZAHGTX
        DXHOVBXIWRDCTZECUDUGUHXEXFWRVDXEXNXHLUSDECVEVFXFHCUDUGUHXEWRWMHCVEVGXIE
        HUDZCUDUGVIZXOICVSZVCZXIXOIWNVSZXQAXOXSVCXDXHQVBXICWNIXDCWNVCAXHFBCVJVK
        ZVLVMXIXOIVCXPXRVNXIXOEIEHVOXIXJXLEIVCXKXMEGIVPVFVQXOCIVRVTWAXICWNEHWJZ
        XTAWNYAVCXDXHRVBVMWBWCWDWEWKWFWGWHWGWIWL $.
    $}

    $d k ph $.
    $( The indexed union of connected overlapping subspaces sharing a common
       point is connected.  (Contributed by Mario Carneiro, 11-Jun-2014.) $)
    iunconn $p |- ( ph -> ( J |`t U_ k e. A B ) e. Conn ) $=
      ( vu vv wcel cin c0 wss wn wral nfcv ciun crest co cconn wne cdif w3a cun
      cv wi wa wo simpr wrex simplr1 wex n0 elinel2 eliun rexn0 exlimiv simplll
      sylbi syl ralrimiva r19.2z syl2anc sylibr sseldd sylib ctopon cfv simpllr
      elun sylan simpld simprd simplr2 simplr3 nfiu1 nfin nfne nfdif nfss nf3an
      nfv nfan iunconnlem incom eqsstrid uncom sseqtrdi ioran sylanbrc pm2.65da
      nfun ex ralrimivva wb iunss connsub mpbird ) AFEBCUAZUBUCUDNZLUIZXCOZPUEZ
      MUIZXCOZPUEZXEXHOZGXCUFZQZUGZXCXEXHUHZQZRZUJZMFSLFSZAXRLMFFAXEFNZXHFNZUKZ
      UKZXNXQYCXNUKZXPDXENZDXHNZULZYDXPUKZDXONYGYHXCXODYDXPUMZYHDCNZEBUNZDXCNYH
      BPUEZYJEBSZYKYHXGYLXGXJXMYCXPUOZXGXHXFNZMUPYLMXFUQYOYLMYOXHXCNZYLXHXEXCUR
      YPXHCNZEBUNYLEXHBCUSYQEBUTVCVDVAVCVDYHAYMAYBXNXPVBZAYJEBJVEVDYJEBVFVGEDBC
      USVHVIDXEXHVNVJYHYERYFRYGRYHBCDXEEFXHGYHAFGVKVLNZYRHVDZYHAEUIBNZCGQZYRIVO
      ZYHAUUAYJYRJVOZYHAUUAFCUBUCUDNYRKVOZYHXTYAAYBXNXPVMZVPZYHXTYAUUFVQZXGXJXM
      YCXPVRXGXJXMYCXPVSZYIYDXPEYCXNEYCEWFXGXJXMEEXFPEXEXCEXETZEBCVTZWAEPTZWBEX
      IPEXHXCEXHTZUUKWAUULWBEXKXLEXKTEGXCEGTUUKWCWDWEWGEXCXOUUKEXEXHUUJUUMWPWDW
      GZWHYHBCDXHEFXEGYTUUCUUDUUEUUHUUGYNYHXHXEOXKXLXHXEWIUUIWJYHXCXOXHXEUHYIXE
      XHWKWLUUNWHYEYFWMWNWOWQWRAYSXCGQZXDXSWSHAUUBEBSUUOAUUBEBIVEEBCGWTVHLMXCFG
      XAVGXB $.
  $}

  ${
    $d k x y z A $.  $d k x B $.  $d k x y z J $.  $d y T $.  $d k x y z X $.
    $( The union of two connected overlapping subspaces is connected.
       (Contributed by FL, 29-May-2014.)  (Proof shortened by Mario Carneiro,
       11-Jun-2014.) $)
    unconn $p |- ( ( J e. ( TopOn ` X ) /\ ( A C_ X /\ B C_ X ) /\
                     ( A i^i B ) =/= (/) ) ->
                   ( ( ( J |`t A ) e. Conn /\ ( J |`t B ) e. Conn ) ->
                                            ( J |`t ( A u. B ) ) e. Conn ) ) $=
      ( vx vk wcel wss wa crest co cconn cv cvv wceq ssexd biimprd jaoa sylan2b
      mpan9 ctopon cfv cin c0 wne cun wi wex n0 w3a cpr ciun cuni uniiun simpl1
      toponmax syl simpl2l simpl2r uniprg syl2anc eqtr3id oveq2d wo elpr simpl2
      vex sseq1 simpl3 elin sylib eleq2 simpr eleq1d iunconn eqeltrrd ex 3expia
      oveq2 exlimdv syl5bi 3impia ) CDUAUBGZADHZBDHZIZABUCZUDUEZCAJKZLGZCBJKZLG
      ZIZCABUFZJKZLGZUGZWHEMZWGGZEUHWCWFIZWQEWGUIWTWSWQEWCWFWSWQWCWFWSUJZWMWPXA
      WMIZCFABUKZFMZULZJKWOLXBXEWNCJXBXEXCUMZWNFXCUNXBANGBNGXFWNOXBADCXBWCDCGWC
      WFWSWMUOZDCUPUQZWDWEWCWSWMURPXBBDCXHWDWEWCWSWMUSPABNNUTVAVBVCXBXCXDWRFCDX
      GXDXCGZXBXDAOZXDBOZVDZXDDHZXDABFVGVEZXBWFXLXMWCWFWSWMVFXJWDXMXKWEXJXMWDXD
      ADVHQXKXMWEXDBDVHQRTSXIXBXLWRXDGZXNXBWRAGZWRBGZIZXLXOXBWSXRWCWFWSWMVIWRAB
      VJVKXJXPXOXKXQXJXOXPXDAWRVLQXKXOXQXDBWRVLQRTSXIXBXLCXDJKZLGZXNXBWMXLXTXAW
      MVMXJWJXTXKWLXJXTWJXJXSWILXDACJVSVNQXKXTWLXKXSWKLXDBCJVSVNQRTSVOVPVQVRVTW
      AWB $.

    $( The closure of a connected set is connected.  (Contributed by Mario
       Carneiro, 19-Mar-2015.) $)
    clsconn $p |- ( ( J e. ( TopOn ` X ) /\ A C_ X /\ ( J |`t A ) e. Conn ) ->
                                     ( J |`t ( ( cls ` J ) ` A ) ) e. Conn ) $=
      ( vx vy vz cfv wcel wss crest cv cin c0 wne cdif adantr syl sseqtrd cvv
      wa ctopon co cconn w3a ccl cun wn wi wral simpll3 simpll1 simpll2 simplrl
      simplrr wex simprl1 sylib ctop cuni topontop toponuni simpr elin2d elin1d
      wceq eqid clsndisj syl32anc exlimddv simprl2 simprl3 sscls syl2anc sscond
      n0 sstrd ssdif ax-mp sstrdi disj2 sylibr simprr nconnsubb expr ralrimivva
      ssv mt2d ex wb simp1 sseq2d biimpa clsss3 syl2an2r 3adant3 connsub mpbird
      sseqtrrd ) BCUAGHZACIZBAJUBUCHZUDZBABUEGGZJUBUCHZDKZXCLZMNZEKZXCLZMNZXEXH
      LZCXCOZIZUDZXCXEXHUFZIZUGZUHZEBUIDBUIZXBXRDEBBXBXEBHZXHBHZTZTZXNXQYCXNTXP
      XAWSWTXAYBXNUJYCXNXPXAUGYCXNXPTZTZAXEBXHCWSWTXAYBYDUKZWSWTXAYBYDULZXBXTYA
      YDUMZXBXTYAYDUNZYEFKZXFHZXEALMNZFYEXGYKFUOXGXJXMXPYCUPFXFVOUQYEYKTZBURHZA
      BUSZIZYJXCHZXTYJXEHYLYMWSYNYEWSYKYFPZCBUTZQYMACYOYEWTYKYGPYMWSCYOVEZYRCBV
      AZQRYMXEXCYJYEYKVBZVCYEXTYKYHPYMXEXCYJUUBVDYJAXEBYOYOVFZVGVHVIYEYJXIHZXHA
      LMNZFYEXJUUDFUOXGXJXMXPYCVJFXIVOUQYEUUDTZYNYPYQYAYJXHHUUEUUFWSYNYEWSUUDYF
      PZYSQUUFACYOYEWTUUDYGPUUFWSYTUUGUUAQRUUFXHXCYJYEUUDVBZVCYEYAUUDYIPUUFXHXC
      YJUUHVDYJAXHBYOUUCVGVHVIYEXKSAOZIXKALMVEYEXKCAOZUUIYEXKXLUUJXGXJXMXPYCVKY
      EAXCCYEYNYPAXCIYEWSYNYFYSQYEACYOYGYEWSYTYFUUAQRABYOUUCVLVMZVNVPCSIUUJUUII
      CWFCSAVQVRVSXKAVTWAYEAXCXOUUKYCXNXPWBVPWCWDWGWHWEXBWSXCCIZXDXSWIWSWTXAWJW
      SWTUULXAWSWTTXCYOCWSYNWTYPXCYOIYSWSWTYPWSCYOAUUAWKWLABYOUUCWMWNWSYTWTUUAP
      WRWODEXCBCWPVMWQ $.

    conncomp.2 $e |-
                    S = U. { x e. ~P X | ( A e. x /\ ( J |`t x ) e. Conn ) } $.
    $( The connected component containing ` A ` contains ` A ` .  (Contributed
       by Mario Carneiro, 19-Mar-2015.) $)
    conncompid $p |- ( ( J e. ( TopOn ` X ) /\ A e. X ) -> A e. S ) $=
      ( ctopon cfv wcel wa cv crest co cconn cpw crab cuni wrex sylibr anbi12d
      csn wss simpr snssd snex elpw snidg adantl restsn2 pwsn indisconn eqeltri
      c0 cpr eqeltrdi jca eleq2 oveq2 eleq1d rspcev syl12anc elunirab eleqtrrdi
      wceq ) DEGHIZBEIZJZBBAKZIZDVHLMZNIZJZAEOZPQZCVGVIVLJZAVMRZBVNIVGBUAZVMIZB
      VQIZVSDVQLMZNIZJZVPVGVQEUBVRVGBEVEVFUCUDVQEBUEUFSVFVSVEBEUGUHZVGVSWAWCVGV
      TVQOZNBDEUIWDUMVQUNNBUJVQUKULUOUPVOVSWBJAVQVMVHVQVDZVIVSVLWBVHVQBUQZWEVIV
      SVKWAWFWEVJVTNVHVQDLURUSTTUTVAVLABVMVBSFVC $.

    $( The connected component containing ` A ` is connected.  (Contributed by
       Mario Carneiro, 19-Mar-2015.) $)
    conncompconn $p |- ( ( J e. ( TopOn ` X ) /\ A e. X ) ->
                                                       ( J |`t S ) e. Conn ) $=
      ( vy ctopon cfv wcel wa crest co cv cconn cpw crab ciun simpld simprd weq
      uniiun eqtri oveq2i simpl simpr eleq2w oveq2 eleq1d anbi12d elrab iunconn
      cuni sylib elpwid eqeltrid ) DEHIJZBEJZKZDCLMDGBANZJZDUTLMZOJZKZAEPZQZGNZ
      RZLMOCVHDLCVFUMVHFGVFUBUCUDUSVFVGBGDEUQURUEUSVGVFJZKZVGEVJVGVEJZBVGJZDVGL
      MZOJZKZVJVIVKVOKUSVIUFVDVOAVGVEAGUAZVAVLVCVNAGBUGVPVBVMOUTVGDLUHUIUJUKUNZ
      SUOVJVLVNVJVKVOVQTZSVJVLVNVRTULUP $.

    $( The connected component containing ` A ` is a superset of any other
       connected set containing ` A ` .  (Contributed by Mario Carneiro,
       19-Mar-2015.) $)
    conncompss $p |-
                   ( ( T C_ X /\ A e. T /\ ( J |`t T ) e. Conn ) -> T C_ S ) $=
      ( vy wss wcel crest co cconn cv wa cvv wceq eleq2 oveq2 eleq1d crab simp1
      w3a cuni ctop wb conntop 3ad2ant3 restrcl simprd elpwg 3syl mpbird 3simpc
      cpw anbi12d cbvrabv elrab2 sylanbrc elssuni syl sseqtrrdi ) DFIZBDJZEDKLZ
      MJZUCZDBANZJZEVHKLZMJZOZAFUOZUAZUDZCVGDVNJZDVOIVGDVMJZVDVFOZVPVGVQVCVCVDV
      FUBVGVEUEJZDPJZVQVCUFVFVCVSVDVEUGUHVSEPJVTDEUIUJDFPUKULUMVCVDVFUNBHNZJZEW
      AKLZMJZOZVRHDVMVNWADQZWBVDWDVFWADBRWFWCVEMWADEKSTUPVLWEAHVMVHWAQZVIWBVKWD
      VHWABRWGVJWCMVHWAEKSTUPUQURUSDVNUTVAGVB $.

    $( The connected component containing ` A ` is a closed set.  (Contributed
       by Mario Carneiro, 19-Mar-2015.) $)
    conncompcld $p |-
                   ( ( J e. ( TopOn ` X ) /\ A e. X ) -> S e. ( Clsd ` J ) ) $=
      ( ctopon cfv wcel wa ccld ccl wss crest cconn cuni ctop syl2an2r syl3anc
      co topontop cpw crab ssrab2 sspwuni mpbi eqsstri toponuni adantr sseqtrid
      cv wceq eqid clsss3 sseqtrrd sscls conncompid sseldd conncompconn clsconn
      simpl a1i conncompss wb iscld4 mpbird ) DEGHIZBEIZJZCDKHIZCDLHHZCMZVIVKEM
      BVKIDVKNTOIZVLVIVKDPZEVGDQIZVHCVNMZVKVNMEDUAZVIECVNCBAUKZIDVRNTOIJZAEUBZU
      CZPZEFWAVTMWBEMVSAVTUDWAEUEUFUGZVGEVNULVHEDUHUIZUJZCDVNVNUMZUNRWDUOVICVKB
      VGVOVHVPCVKMVQWECDVNWFUPRABCDEFUQURVIVGCEMZDCNTOIVMVGVHVAWGVIWCVBABCDEFUS
      CDEUTSABCVKDEFVCSVGVOVHVPVJVLVDVQWECDVNWFVERVF $.

    $( The connected component containing ` A ` is a subset of any clopen set
       containing ` A ` .  (Contributed by Mario Carneiro, 20-Sep-2015.) $)
    conncompclo $p |- ( ( J e. ( TopOn ` X ) /\ T e. ( J i^i ( Clsd ` J ) ) /\
                                                        A e. T ) -> S C_ T ) $=
      ( ctopon cfv wcel ccld cin w3a cuni eqid wss simp1 simp2 elin1d syl2anc
      toponss simp3 sseldd conncompcld cldss syl crest co cconn conncompconn c0
      wne conncompid inelcm elin2d connsubclo ) EFHIJZDEEKIZLJZBDJZMZCDEENZVBOZ
      VACURJZCVBPVAUQBFJZVDUQUSUTQZVADFBVAUQDEJDFPVFVAEURDUQUSUTRZSZDEFUATUQUSU
      TUBZUCZABCEFGUDTCEVBVCUEUFVAUQVEECUGUHUIJVFVJABCEFGUJTVHVAUTBCJZDCLUKULVI
      VAUQVEVKVFVJABCEFGUMTBDCUNTVAEURDVGUOUP $.
  $}

  ${
    $d x J $.  $d x X $.
    t1connperf.1 $e |- X = U. J $.
    $( A connected T_1 space is perfect, unless it is the topology of a
       singleton.  (Contributed by Mario Carneiro, 26-Dec-2016.) $)
    t1connperf $p |-
                    ( ( J e. Fre /\ J e. Conn /\ -. X ~~ 1o ) -> J e. Perf ) $=
      ( vx ct1 wcel cconn c1o cen wbr wn cperf wa cv wral wrex simplr simprr c0
      csn wne vex snnz a1i ccld cfv t1sncld ad2ant2r ensn1 eqbrtrrdi rexlimdvaa
      connclo con3d ralnex syl6ibr ctop wb t1top adantr isperf3 baib syl 3impia
      sylibrd ) AEFZAGFZBHIJZKZALFZVEVFMZVHDNZTZAFZKDBOZVIVJVHVMDBPZKVNVJVOVGVJ
      VMVGDBVJVKBFZVMMZMZBVLHIVRVLABCVEVFVQQVJVPVMRVLSUAVRVKDUBZUCUDVEVPVLAUEUF
      FVFVMVKABCUGUHULVKVSUIUJUKUMVMDBUNUOVJAUPFZVIVNUQVEVTVFAURUSVIVTVNDABCUTV
      AVBVDVC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  First- and second-countability
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c 1stc $.
  $( Extend class definition to include the class of all first-countable
     topologies. $)
  c1stc $a class 1stc $.

  $c 2ndc $.
  $( Extend class definition to include the class of all second-countable
     topologies. $)
  c2ndc $a class 2ndc $.

  ${
    $d j x y z $.
    $( Define the class of all first-countable topologies.  (Contributed by
       Jeff Hankins, 22-Aug-2009.) $)
    df-1stc $a |- 1stc = { j e. Top | A. x e. U. j E. y e. ~P j
      ( y ~<_ _om /\ A. z e. j ( x e. z -> x e. U. ( y i^i ~P z ) ) ) } $.

    $( Define the class of all second-countable topologies.  (Contributed by
       Jeff Hankins, 17-Jan-2010.) $)
    df-2ndc $a |- 2ndc = { j | E. x e. TopBases ( x ~<_ _om
       /\ ( topGen ` x ) = j ) } $.
  $}

  ${
    $d w x y z $.  $d j x y z J $.  $d j x X $.
    is1stc.1 $e |- X = U. J $.
    $( The predicate "is a first-countable topology."  This can be described as
       "every point has a countable local basis" - that is, every point has a
       countable collection of open sets containing it such that every open set
       containing the point has an open set from this collection as a subset.
       (Contributed by Jeff Hankins, 22-Aug-2009.) $)
    is1stc $p |- ( J e. 1stc <-> ( J e. Top /\ A. x e. X E. y e. ~P J
      ( y ~<_ _om /\ A. z e. J ( x e. z -> x e. U. ( y i^i ~P z ) ) ) ) ) $=
      ( vj cv com cdom wbr wcel cpw cin cuni wi wral wa wrex ctop c1stc eqtr4di
      wceq unieq pweq raleq anbi2d rexeqbidv raleqbidv df-1stc elrab2 ) BHZIJKZ
      AHZCHZLUNULUOMNOLPZCGHZQZRZBUQMZSZAUQOZQUMUPCDQZRZBDMZSZAEQGDTUAUQDUCZVAV
      FAVBEVGVBDOEUQDUDFUBVGUSVDBUTVEUQDUEVGURVCUMUPCUQDUFUGUHUIABCGUJUK $.

    $( An equivalent way of saying "is a first-countable topology."
       (Contributed by Jeff Hankins, 22-Aug-2009.)  (Revised by Mario Carneiro,
       21-Mar-2015.) $)
    is1stc2 $p |- ( J e. 1stc <-> ( J e. Top /\ A. x e. X E. y e. ~P J
 ( y ~<_ _om /\ A. z e. J ( x e. z -> E. w e. y ( x e. w /\ w C_ z ) ) ) ) ) $=
      ( c1stc wcel cv wel cpw wi wral wa wrex wex anbi2i bitri ralbii ctop cdom
      com wbr cin cuni is1stc elin velpw an12 exbii eluni df-rex 3bitr4i imbi2i
      wss rexbii ) EHIEUAIZBJZUCUBUDZACKZAJZUSCJZLZUEZUFIZMZCENZOZBELZPZAFNZOUR
      UTVAADKZDJZVCUPZOZDUSPZMZCENZOZBVJPZAFNZOABCEFGUGVLWBURVKWAAFVIVTBVJVHVSU
      TVGVRCEVFVQVAVMVNVEIZOZDQDBKZVPOZDQVFVQWDWFDWDVMWEVOOZOWFWCWGVMWCWEVNVDIZ
      OWGVNUSVDUHWHVOWEDVCUIRSRVMWEVOUJSUKDVBVEULVPDUSUMUNUOTRUQTRS $.
  $}

  ${
    $d x y z J $.
    $( A first-countable topology is a topology.  (Contributed by Jeff Hankins,
       22-Aug-2009.) $)
    1stctop $p |- ( J e. 1stc -> J e. Top ) $=
      ( vy vx vz c1stc wcel ctop cv com cdom wbr cpw cin cuni wi wral wrex eqid
      wa is1stc simplbi ) AEFAGFBHZIJKCHZDHZFUCUBUDLMNFODAPSBALQCANZPCBDAUEUERT
      UA $.
  $}

  ${
    $d a f g k n w x y z A $.  $d f g k n w x y z J $.  $d g k n w x y z X $.
    1stcclb.1 $e |- X = U. J $.
    $( A property of points in a first-countable topology.  (Contributed by
       Jeff Hankins, 22-Aug-2009.) $)
    1stcclb $p |- ( ( J e. 1stc /\ A e. X ) -> E. x e. ~P J ( x ~<_ _om /\
      A. y e. J ( A e. y -> E. z e. x ( A e. z /\ z C_ y ) ) ) ) $=
      ( vw c1stc wcel cv com cdom wbr wa wrex wi wral eleq1 rexbidv wss is1stc2
      cpw ctop simprbi wceq anbi1d imbi12d ralbidv anbi2d rspcv mpan9 ) EIJZAKZ
      LMNZHKZBKZJZUPCKZJZUSUQUAZOZCUNPZQZBERZOZAEUCZPZHFRZDFJUODUQJZDUSJZVAOZCU
      NPZQZBERZOZAVGPZUMEUDJVIHABCEFGUBUEVHVQHDFUPDUFZVFVPAVGVRVEVOUOVRVDVNBEVR
      URVJVCVMUPDUQSVRVBVLCUNVRUTVKVAUPDUSSUGTUHUIUJTUKUL $.

    $( For any point ` A ` in a first-countable topology, there is a function
       ` f : NN --> J ` enumerating neighborhoods of ` A ` which is decreasing
       and forms a local base.  (Contributed by Mario Carneiro,
       21-Mar-2015.) $)
    1stcfb $p |- ( ( J e. 1stc /\ A e. X ) -> E. f ( f : NN --> J /\
       A. k e. NN ( A e. ( f ` k ) /\ ( f ` ( k + 1 ) ) C_ ( f ` k ) ) /\
       A. y e. J ( A e. y -> E. k e. NN ( f ` k ) C_ y ) ) ) $=
      ( vw va vn wcel wa cv wss wrex wi wral cn c1 c0 vx vz vg c1stc com wbr wf
      cdom cfv caddc co w3a wex cpw 1stcclb crab wfo csdm wne simplr wceq eleq2
      sseq2 anbi2d rexbidv imbi12d simprrr ctop 1stctop ad2antrr topopn rspcdva
      syl mpd simpl reximi eleq2w sylib rabn0 sylibr vex rabex 0sdom cvv ssrab2
      ssdomg mp2 cen simprrl nnenom ensymi domentr sylancl domtr sylancr fodomr
      cbvrexvw syl2anc cfz cima cint cfn ad3antrrr crn imassrn ad2antll simprll
      cmpt forn elpwid sstrid eqsstrd adantr cdm cin fz1ssnn fof fdmd sseqtrrid
      sseqin2 elfz1end adantl sylan2b eqnetrd syl2an2r imp wb weq oveq2 imaeq2d
      ne0i inteqd ralrimiva eleq1d rspccva sylan fvmptd3 sseq1d fveq1 ralbidv
      imadisj necon3bii cres fzfid ffund fores fiinopn syl13anc fmpttd sseqtrid
      wfun fofi id rgenw ralrab mpbir ssralv mpisyl elintg ad3antlr mpbird eqid
      simpr eleqtrrd fzssp1 imass2 intss peano2nn syl2an 3sstr4d simprlr rexrab
      mp1i rexeqdv fofn sseq1 rexrn bitr3d funfvima2 intss1 sstr2 3syl reximdva
      jca wfn sylbid syl5bir syld rexbidva sylibrd mptex eleq2d sseq12d anbi12d
      nnex feq1 imbi2d 3anbi123d spcev syl3anc expr adantrrl exlimdv rexlimddv
      ) EUDKZBFKZLZUAMZUEUHUFZBUBMZKZBHMZKZUXLUXJNZLZHUXHOZPZUBEQZLZRECMZUGZBDM
      ZUXTUIZKZUYBSUJUKZUXTUIZUYCNZLZDRQZBAMZKZUYCUYJNZDROZPZAEQZULZCUMZUAEUNZU
      AUBHBEFGUOUXGUXHUYRKZUXSLZLZRBIMKZIUXHUPZUCMZUQZUCUMZUYQVUATVUCURUFZVUCRU
      HUFZVUFVUAVUCTUSZVUGVUAVUBIUXHOZVUIVUAUXMHUXHOZVUJVUAUXMUXLFNZLZHUXHOZVUK
      VUAUXFVUNUXEUXFUYTUTVUAUXQUXFVUNPUBEFUXJFVAZUXKUXFUXPVUNUXJFBVBVUOUXOVUMH
      UXHVUOUXNVULUXMUXJFUXLVCVDVEVFUXGUYSUXIUXRVGVUAEVHKZFEKUXEVUPUXFUYTEVIZVJ
      EFGVKVMVLVNVUMUXMHUXHUXMVULVOVPVMUXMVUBHIUXHHIBVQWQVRVUBIUXHVSVTVUCVUBIUX
      HUAWAZWBWCVTVUAVUCUXHUHUFZUXHRUHUFZVUHUXHWDKVUCUXHNVUSVURVUBIUXHWEZVUCUXH
      WDWFWGVUAUXIUERWHUFVUTUXGUYSUXIUXRWIRUEWJWKUXHUERWLWMVUCUXHRWNWORVUCUCWPW
      RVUAVUEUYQUCUXGUYSUXRVUEUYQPUXIUXGUYSUXRLZVUEUYQUXGVVBVUELZLZREJRVUDSJMZW
      SUKZWTZXAZXHZUGZBUYBVVIUIZKZUYEVVIUIZVVKNZLZDRQZUYKVVKUYJNZDROZPZAEQZUYQV
      VDJRVVHEVVDVVERKZLZVUPVVGENZVVGTUSZVVGXBKZVVHEKZUXEVUPUXFVVCVWAVUQXCVWBVV
      GVUDXDZEVUDVVFXEVVDVWGENVWAVVDVWGVUCEVUEVWGVUCVAZUXGVVBRVUCVUDXIXFZVVDVUC
      UXHEVVAVVDUXHEUXGUYSUXRVUEXGXJXKXLXMXKVWBVUDXNZVVFXOZTUSVWDVWBVWKVVFTVWBV
      VFVWJNZVWKVVFVAVVDVWLVWAVVDRVVFVWJVVEXPVVDRVUCVUDVUERVUCVUDUGUXGVVBRVUCVU
      DXQXFZXRZXSXMZVVFVWJXTVRVWAVVDVVEVVFKZVVFTUSZVVEYAVWPVWQVVDVVFVVEYKYBYCYD
      VVGTVWKTVUDVVFUUAUUBVTVWBVVFXBKVVFVVGVUDVVFUUCZUQZVWEVWBSVVEUUDVVDVUDUUKZ
      VWAVWLVWSVVDRVUCVUDVWMUUEZVWOVVFVUDUUFYEVVFVVGVWRUULWRVUPVWCVWDVWEULVWFVV
      GEUUGYFUUHZUUIVVDVVODRVVDUYBRKZLZVVLVVNVXDBVUDSUYBWSUKZWTZXAZVVKVXDBVXGKZ
      BVVEKZJVXFQZVXDVXFVUCNVXIJVUCQZVXJVXDVWGVXFVUCVUDVXEXEVVDVWHVXCVWIXMUUJVX
      KVXIVXIPZJUXHQVXLJUXHVXIUUMUUNVUBVXIVXIJIUXHIJBVQUUOUUPVXIJVXFVUCUUQUURUX
      FVXHVXJYGUXEVVCVXCJBVXFFUUSUUTUVAVXDJUYBVVHVXGRVVIEVVIUVBZJDYHZVVGVXFVXNV
      VFVXEVUDVVEUYBSWSYIYJYLZVVDVXCUVCVVDVWFJRQZVXCVXGEKZVVDVWFJRVXBYMZVWFVXQJ
      UYBRVXNVVHVXGEVXOYNYOYPYQZUVDVXDVUDSUYEWSUKZWTZXAZVXGVVMVVKVXDVXFVYANZVYB
      VXGNVXEVXTNVYCVXDSUYBUVEVXEVXTVUDUVFUVMVXFVYAUVGVMVXDJUYEVVHVYBRVVIEVXMVV
      EUYEVAZVVGVYAVYDVVFVXTVUDVVEUYESWSYIYJYLZVXCUYERKZVVDUYBUVHZYBVVDVXPVYFVY
      BEKZVXCVXRVYGVWFVYHJUYERVYDVVHVYBEVYEYNYOUVIYQVXSUVJUWDYMVVDVVSAEVVDUYJEK
      ZLZUYKVXGUYJNZDROZVVRVYJUYKUXMUXLUYJNZLZHUXHOZVYLVVDUXRVYIUYKVYOPZUXGUYSU
      XRVUEUVKUXQVYPUBUYJEUBAYHZUXKUYKUXPVYOUBABVQVYQUXOVYNHUXHVYQUXNVYMUXMUXJU
      YJUXLVCVDVEVFYOYPVYOVYMHVUCOZVYJVYLVUBUXMVYMHIUXHIHBVQUVLVYJVYRUYBVUDUIZU
      YJNZDROZVYLVVDVYRWUAYGVYIVVDVYMHVWGOZVYRWUAVVDVYMHVWGVUCVWIUVNVVDVUDRUWEZ
      WUBWUAYGVUEWUCUXGVVBRVUCVUDUVOXFVYMVYTHDRVUDUXLVYSUYJUVPUVQVMUVRXMVYJVYTV
      YKDRVYJVXCLVYSVXFKZVXGVYSNVYTVYKPVXCVYJUYBVXEKZWUDUYBYAVYJWUEWUDVVDVWTVYI
      VXEVWJNWUEWUDPVXAVYJRVXEVWJUYBXPVVDVWJRVAVYIVWNXMXSVXEUYBVUDUVSYEYFYCVYSV
      XFUVTVXGVYSUYJUWAUWBUWCUWFUWGUWHVVDVVRVYLYGVYIVVDVVQVYKDRVXDVVKVXGUYJVXSY
      RUWIXMUWJYMUYPVVJVVPVVTULCVVIJRVVHUWOUWKUXTVVIVAZUYAVVJUYIVVPUYOVVTREUXTV
      VIUWPWUFUYHVVODRWUFUYDVVLUYGVVNWUFUYCVVKBUYBUXTVVIYSZUWLWUFUYFVVMUYCVVKUY
      EUXTVVIYSWUGUWMUWNYTWUFUYNVVSAEWUFUYMVVRUYKWUFUYLVVQDRWUFUYCVVKUYJWUGYRVE
      UWQYTUWRUWSUWTUXAUXBUXCVNUXD $.
  $}

  ${
    $d j x y J $.  $d x B $.
    $( The property of being second-countable.  (Contributed by Jeff Hankins,
       17-Jan-2010.)  (Revised by Mario Carneiro, 21-Mar-2015.) $)
    is2ndc $p |- ( J e. 2ndc <-> E. x e. TopBases ( x ~<_ _om /\
      ( topGen ` x ) = J ) ) $=
      ( vj c2ndc wcel com cdom wbr ctg cfv wceq ctb wrex cab df-2ndc eleq2i cvv
      cv wa simpr fvex eqeltrrdi rexlimivw eqeq2 anbi2d rexbidv elab3 bitri ) B
      DEBARZFGHZUIIJZCRZKZSZALMZCNZEUJUKBKZSZALMZDUPBACOPUOUSCBQURBQEALURBUKQUJ
      UQTUIIUAUBUCULBKZUNURALUTUMUQUJULBUKUDUEUFUGUH $.

    $( A second-countable topology is a topology.  (Contributed by Jeff
       Hankins, 17-Jan-2010.)  (Revised by Mario Carneiro, 21-Mar-2015.) $)
    2ndctop $p |- ( J e. 2ndc -> J e. Top ) $=
      ( vx c2ndc wcel cv com cdom wbr ctg cfv wceq wa ctb wrex ctop is2ndc tgcl
      simprr adantr eqeltrrd rexlimiva sylbi ) ACDBEZFGHZUCIJZAKZLZBMNAODZBAPUG
      UHBMUCMDZUGLUEAOUIUDUFRUIUEODUGUCQSTUAUB $.

    $( A countable basis generates a second-countable topology.  (Contributed
       by Mario Carneiro, 21-Mar-2015.) $)
    2ndci $p |- ( ( B e. TopBases /\ B ~<_ _om ) -> ( topGen ` B ) e. 2ndc ) $=
      ( vx ctb wcel com cdom wbr wa ctg wceq wrex c2ndc simpl simpr eqidd breq1
      cv cfv fveqeq2 anbi12d rspcev syl12anc is2ndc sylibr ) ACDZAEFGZHZBQZEFGZ
      UHIRAIRZJZHZBCKZUJLDUGUEUFUJUJJZUMUEUFMUEUFNUGUJOULUFUNHBACUHAJUIUFUKUNUH
      AEFPUHAUJISTUAUBBUJUCUD $.

    $( Having a countable subbase is a sufficient condition for
       second-countability.  (Contributed by Jeff Hankins, 17-Jan-2010.)
       (Proof shortened by Mario Carneiro, 21-Mar-2015.) $)
    2ndcsb $p |- ( J e. 2ndc <-> E. x ( x ~<_ _om /\
      ( topGen ` ( fi ` x ) ) = J ) ) $=
      ( vy wcel cv com cdom wbr cfi cfv ctg wceq wa wex ctb wrex is2ndc wss cvv
      adantr c2ndc df-rex ssfii fvex bastg fiss sylancr ctop tgcl fitop sseqtrd
      simprl syl 2basgen syl2an2r simprr eqtr3d jca eximi sylbi fibas simpl elv
      wb fictb sylib simpr breq1 fveqeq2 anbi12d rspcev sylibr exlimiv impbii )
      BUADZAEZFGHZVPIJZKJZBLZMZANZVOVQVPKJZBLZMZAOPZWBABQWFVPODZWEMZANWBWEAOUBW
      HWAAWHVQVTWGVQWDULWHWCVSBWGVPVRRWEVRWCRWCVSLVPOUCWHVRWCIJZWCWHWCSDVPWCRZV
      RWIRVPKUDWGWJWEVPOUETVPWCSUFUGWHWCUHDZWIWCLWGWKWEVPUITWCUJUMUKVPVRUNUOWGV
      QWDUPUQURUSUTUTWAVOAWACEZFGHZWLKJBLZMZCOPZVOWAVRODVRFGHZVTMZWPVPVAWAWQVTW
      AVQWQVQVTVBVQWQVDAVPSVEVCVFVQVTVGURWOWRCVROWLVRLWMWQWNVTWLVRFGVHWLVRBKVIV
      JVKUGCBQVLVMVN $.

    $( A second-countable space has at most the cardinality of the continuum.
       (Contributed by Mario Carneiro, 9-Apr-2015.) $)
    2ndcredom $p |- ( J e. 2ndc -> J ~<_ RR ) $=
      ( vx c2ndc wcel cv com cdom wbr ctg cfv wceq wa ctb cr cpw cn cen domentr
      ensymi sylancl wrex is2ndc tgdom simpr nnenom pwdom rpnnen domtr syl2an2r
      syl breq1 syl5ibcom expimpd rexlimiv sylbi ) ACDBEZFGHZUPIJZAKZLZBMUAANGH
      ZBAUBUTVABMUPMDZUQUSVAVBUQLZURNGHZUSVAVBURUPOZGHUQVENGHZVDUPMUCVCVEPOZGHZ
      VGNQHVFVCUPPGHZVHVCUQFPQHVIVBUQUDPFUESUPFPRTUPPUFUJNVGUGSVEVGNRTURVENUHUI
      URANGUKULUMUNUO $.
  $}

  ${
    $d b o p q s t x y J $.
    $( A second-countable space is first-countable.  (Contributed by Jeff
       Hankins, 17-Jan-2010.) $)
    2ndc1stc $p |- ( J e. 2ndc -> J e. 1stc ) $=
      ( vs vx vo vp vb vq vy vt wcel cv com cdom wbr wss wa wrex wi wral ctb wb
      c2ndc ctop cpw cuni c1stc 2ndctop ctg cfv wceq is2ndc w3a ssrab2 3ad2ant1
      crab bastg sstrid fvex elpw2 sylibr cvv vex ssdomg mp2 simp2 domtr eltg2b
      sylancr elequ1 anbi1d rexbidv rspccv id adantrr elequ2 elrab simprr sseq1
      weq anbi12d rspcev syl2an2 rexlimdvaa syl9r sylbid ralrimiv breq1 ralbidv
      rexeq imbi2d syl12anc 3expia unieq eleq2d pweq anbi2d rexeqbidv syl5ibcom
      raleq imbi12d expimpd rexlimiv sylbi eqid is1stc2 sylanbrc ) AUBJZAUCJBKZ
      LMNZCKZDKZJZXJEKZJZXMXKOZPZEXHQZRZDASZPZBAUDZQZCAUEZSAUFJAUGXGYBCYCXGFKZL
      MNZYDUHUIZAUJZPZFTQXJYCJZYBRZFAUKYHYJFTYDTJZYEYGYJYKYEPXJYFUEZJZXIXRDYFSZ
      PZBYFUDZQZRYGYJYKYEYMYQYKYEYMULZXJGKJZGYDUOZYPJZYTLMNZXLXPEYTQZRZDYFSZYQY
      RYTYFOUUAYRYTYDYFYSGYDUMZYKYEYDYFOYMYDTUPUNUQYTYFYDUHURUSUTYRYTYDMNZYEUUB
      YDVAJYTYDOUUGFVBUUFYTYDVAVCVDYKYEYMVEYTYDLVFVHYRUUDDYFYRXKYFJZHKIKZJZUUIX
      KOZPZIYDQZHXKSZUUDYKYEUUHUUNUAYMHIXKYDTVGUNUUNXLXJUUIJZUUKPZIYDQZYRUUCUUM
      UUQHXJXKHCVSZUULUUPIYDUURUUJUUOUUKHCIVIVJVKVLYRUUPUUCIYDUUIYDJZUUPPZUUIYT
      JZYRUUPUUCUUTUUSUUOPZUVAUUSUUOUVBUUKUVBVMVNYSUUOGUUIYDGICVOVPUTYRUUSUUPVQ
      XPUUPEUUIYTEIVSXNUUOXOUUKEICVOXMUUIXKVRVTWAWBWCWDWEWFYOUUBUUEPBYTYPXHYTUJ
      ZXIUUBYNUUEXHYTLMWGUVCXRUUDDYFUVCXQUUCXLXPEXHYTWIWJWHVTWAWKWLYGYMYIYQYBYG
      YLYCXJYFAWMWNYGYOXTBYPYAYFAWOYGYNXSXIXRDYFAWSWPWQWTWRXAXBXCWFCBDEAYCYCXDX
      EXF $.
  $}

  ${
    $d a t v w x y z A $.  $d x B $.  $d a t w x y z J $.  $d a t w x y z V $.
    $( Lemma for ~ 1stcrest .  (Contributed by Mario Carneiro, 21-Mar-2015.)
       (Revised by Mario Carneiro, 30-Apr-2015.) $)
    1stcrestlem $p |- ( B ~<_ _om -> ran ( x e. B |-> C ) ~<_ _om ) $=
      ( com cdom wbr cmpt crn cdm ccrd wcel wfo wss con0 word ordom cvv mpancom
      mpisyl domtr reldom brrelex2i elong syl mpbiri ondomen eqid dmmptss ssnum
      wb sylancl wfun funmpt funforn mpbi fodomnum ctex ssdomg syl2anc ) BDEFZA
      BCGZHZVAIZEFZVCDEFZVBDEFUTVCJIZKZVCVBVALZVDUTBVFKZVCBMZVGDNKZUTVIUTVKDOZP
      UTDQKVKVLUJBDEUAUBDQUCUDUEDBUFRABCVAVAUGUHZBVCUIUKVAULVHABCUMVAUNUOVCVBVA
      UPSVCBEFZUTVEUTBQKVJVNBUQVMVCBQURSVCBDTRVBVCDTUS $.

    $( A subspace of a first-countable space is first-countable.  (Contributed
       by Mario Carneiro, 21-Mar-2015.) $)
    1stcrest $p |- ( ( J e. 1stc /\ A e. V ) -> ( J |`t A ) e. 1stc ) $=
      ( vy vx vz vw vt va vv wcel wa cv com cdom wss wrex wi wceq cvv c1stc wbr
      crest co ctop wral cpw cuni 1stctop resttop sylan cin eqid eleq2d biimpar
      restuni2 simpl elinel2 1stcclb syl2an simplll elpwi ad2antrl syl2anc ovex
      ssrest elpw2 cmpt crn vex simpllr restval sylancr simprrl 1stcrestlem syl
      sylibr eqbrtrd wb ad3antrrr elrest r19.29 simprr ancld elin syl6ibr ssrin
      a1d anim12d1 reximdv inex1 a1i simp-4r eleq2 sseq1 anbi12d adantl sylibrd
      rexxfr2d expr com23 imim2d imp4b bitrdi anbi2d rexbidv imbi12d syl5ibrcom
      sseq2 expimpd rexlimdva syl5 expd impr adantrrl sylbid breq1 rexeq imbi2d
      ralrimiv ralbidv rspcev syl12anc rexlimddv ralrimiva is1stc2 sylanbrc
      syldan ) BUAKZACKZLZBAUCUDZUEKZDMZNOUBZEMZFMZKZYPGMZKZYSYQPZLZGYNQZRZFYLU
      FZLZDYLUGZQZEYLUHZUFYLUAKYIBUEKZYJYMBUIZABCUJUKYKUUHEUUIYKYPUUIKZYPABUHZU
      LZKZUUHYKUUOUULYKUUNUUIYPYIUUJYJUUNUUISUUKABCUUMUUMUMZUPUKUNUOYKUUOLZHMZN
      OUBZYPIMZKZYPYNKZYNUUTPZLZDUURQZRZIBUFZLZUUHHBUGZYKYIYPUUMKUVHHUVIQUUOYIY
      JUQYPAUUMURHIDYPBUUMUUPUSUTUUQUURUVIKZUVHLZLZUURAUCUDZUUGKZUVMNOUBZYRUUBG
      UVMQZRZFYLUFZUUHUVLUVMYLPZUVNUVLYIUURBPZUVSYIYJUUOUVKVAUVJUVTUUQUVHUURBVB
      VCAUURBUAVFVDUVMYLBAUCVEVGVQUVLUVMJUURJMAULZVHVIZNOUVLUURTKZYJUVMUWBSHVJZ
      YIYJUUOUVKVKZJAUURTCVLVMUVLUUSUWBNOUBUUQUVJUUSUVGVNJUURUWAVOVPVRUVLUVQFYL
      UVLYQYLKZYQUUTAULZSZIBQZUVQUVLUUJYJUWFUWIVSYIUUJYJUUOUVKUUKVTUWEIYQABUECW
      AVDUUQUVJUVGUWIUVQRZUUSUUQUVJUVGUWJUUQUVJLZUVGUWIUVQUVGUWILUVFUWHLZIBQUWK
      UVQUVFUWHIBWBUWKUWLUVQIBUWKUUTBKZLZUVFUWHUVQUWNUVFLUVQUWHUVAYPAKZLZYTYSUW
      GPZLZGUVMQZRUWNUVFUVAUWOUWSUWNUVEUWOUWSRUVAUWNUWOUVEUWSUWKUWMUWOUVEUWSRUW
      KUWMUWOLZLZUVEYPYNAULZKZUXBUWGPZLZDUURQUWSUXAUVDUXEDUURUXAUVBUXCUVCUXDUXA
      UVBUVBUWOLUXCUXAUVBUWOUXAUWOUVBUWKUWMUWOWCWHWDYPYNAWEWFYNUUTAWGWIWJUXAUWR
      UXEGDUXBUVMUURTUXBTKUXAYNUURKLYNADVJWKWLUXAUWCYJYSUVMKYSUXBSZDUURQVSUWDYI
      YJUUOUVJUWTWMDYSAUURTCWAVMUXFUWRUXEVSUXAUXFYTUXCUWQUXDYSUXBYPWNYSUXBUWGWO
      WPWQWSWRWTXAXBXCUWHYRUWPUVPUWSUWHYRYPUWGKUWPYQUWGYPWNYPUUTAWEXDUWHUUBUWRG
      UVMUWHUUAUWQYTYQUWGYSXIXEXFXGXHXJXKXLXMXNXOXPXTUUFUVOUVRLDUVMUUGYNUVMSZYO
      UVOUUEUVRYNUVMNOXQUXGUUDUVQFYLUXGUUCUVPYRUUBGYNUVMXRXSYAWPYBYCYDYHYEEDFGY
      LUUIUUIUMYFYG $.

    $( A subspace of a second-countable space is second-countable.
       (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    2ndcrest $p |- ( ( J e. 2ndc /\ A e. V ) -> ( J |`t A ) e. 2ndc ) $=
      ( vx vy wcel c2ndc crest co cv com cdom wbr ctg cfv wceq ctb wrex syl2anc
      wa is2ndc simplr simpll restbas ad2antlr cin cmpt crn restval 1stcrestlem
      tgrest adantl eqbrtrd 2ndci eqeltrrd oveq1 eleq1d syl5ibcom syl5bi impcom
      expimpd rexlimdva ) ACFZBGFZBAHIZGFZVDDJZKLMZVGNOZBPZTZDQRVCVFDBUAVCVKVFD
      QVCVGQFZTZVHVJVFVMVHTZVIAHIZGFVJVFVNVGAHIZNOZVOGVNVLVCVQVOPVCVLVHUBZVCVLV
      HUCZAVGQCUKSVNVPQFZVPKLMVQGFVLVTVCVHAVGUDUEVNVPEVGEJAUFZUGUHZKLVNVLVCVPWB
      PVRVSEAVGQCUISVHWBKLMVMEVGWAUJULUMVPUNSUOVJVOVEGVIBAHUPUQURVAVBUSUT $.
  $}

  ${
    $d b c d f m n o t u v w x B $.  $d b c d f m n o t x J $.
    $d d f m n o t x S $.
    2ndcctbss.1 $e |- J = ( topGen ` B ) $.
    2ndcctbss.2 $e |- S = { <. u , v >. |
                    ( u e. c /\ v e. c /\ E. w e. B ( u C_ w /\ w C_ v ) ) } $.
    $( If a topology is second-countable, every base has a countable subset
       which is a base.  Exercise 16B2 in Willard.  (Contributed by Jeff
       Hankins, 28-Jan-2010.)  (Proof shortened by Mario Carneiro,
       21-Mar-2015.) $)
    2ndcctbss $p |- ( ( B e. TopBases /\ J e. 2ndc ) ->
            E. b e. TopBases ( b ~<_ _om /\ b C_ B /\ J = ( topGen ` b ) ) ) $=
      ( ctb wcel wa cv com cdom wbr cfv wceq wss vf vx vt vo vd vm vn c2ndc ctg
      w3a wrex simpr is2ndc sylib cid c1st c2nd wral wex cxp cvv vex xpex copab
      wel 3simpa ssopab2i df-xp 3sstr4i ssdomg mp2 cen xpdom1 omex xpdom2 domtr
      syl2anc xpomen domentr sylancl adantr ad2antll sylancr cop wrel relopabiv
      wf 1st2nd eqeltrrd df-br fvex simpl eleq1d sseq1 sseq2 bi2anan9 3anbi123d
      rexbidv bitr3i simp3bi syl fvi ad3antrrr rexeqdv mpbird ralrimiva anbi12d
      braba axcc4dom ad2antrr feq3d anbi1d crn ctop 2ndctop adantl frn ad2antrl
      bastg sseqtrrdi sstrd simprrl simprr ad2antlr eleqtrrd simprrr tg2 simprl
      sseqtrd sseldd simplrl weq rspcev syl12anc syl3anbrc wi sseq12d rexlimddv
      fveq2 ex eqeq2i biimpi eqtr2di wfn ffn fnfvelrn simplll rspcv op1st op2nd
      sseq1i sseq2i anbi12i simplrr jca syl5bi syldc exp4c imp41 expr ralrimivv
      eleq2 basgen2 syl3anc eqeltrd tgclb sylibr ccrd cdm wfo con0 omelon dffn4
      ondomen fodomnum sylc eqcomd breq1 eqeq2d syl13anc sylbid exlimdv mpd ) D
      KLZFUHLZMZHNZOPQZUWGUIRZFSZMZGNZOPQZUWLDTZFUWLUIRZSZUJZGKUKZHKUWFUWEUWKHK
      UKUWDUWEULHFUMUNUWFUWGKLZUWKMZMZEDUORZUANZWGZUBNZUPRZUXEUXCRZTZUXGUXEUQRZ
      TZMZUBEURZMZUAUSZUWRUXAEOPQZUXFANZTZUXPUXITZMZAUXBUKZUBEURUXNUXAEUWGUWGUT
      ZPQZUYAOPQZUXOUYAVALEUYATUYBUWGUWGHVBZUYDVCCHVEZBHVEZCNZUXPTZUXPBNZTZMZAD
      UKZUJZCBVDUYEUYFMZCBVDEUYAUYMUYNCBUYEUYFUYLVFVGJCBUWGUWGVHVIEUYAVAVJVKUWK
      UYCUWFUWSUWHUYCUWJUWHUYAOOUTZPQZUYOOVLQUYCUWHUYAOUWGUTZPQUYQUYOPQUYPUWGOU
      WGUYDVMUWGOOVNVOUYAUYQUYOVPVQVRUYAUYOOVSVTWAWBEUYAOVPWCZUXAUXTUBEUXAUXEEL
      ZMZUXTUXSADUKZUYTUXFUXIWDZELZVUAUYTUXEVUBEUYTEWEUYSUXEVUBSUYMCBEJWFUXAUYS
      ULZUXEEWHWCVUDWIVUCUXFUWGLZUXIUWGLZVUAVUCUXFUXIEQVUEVUFVUAUJZUXFUXIEWJUYM
      VUGCBUXFUXIEUXEUPWKUXEUQWKUYGUXFSZUYIUXISZMZUYEVUEUYFVUFUYLVUAVUJUYGUXFUW
      GVUHVUIWLWMVUJUYIUXIUWGVUHVUIULWMVUJUYKUXSADVUHUYHUXQVUIUYJUXRUYGUXFUXPWN
      UYIUXIUXPWOWPWRWQJXHWSWTXAUYTUXSAUXBDUWDUXBDSZUWEUWTUYSDKXBZXCXDXEXFUXSUX
      KAUXBUAUBEDUOWKUXPUXGSUXQUXHUXRUXJUXPUXGUXFWOUXPUXGUXIWNXGXIVQUXAUXMUWRUA
      UXAUXMEDUXCWGZUXLMZUWRUXAUXDVUMUXLUXAUXBDUXCEUWDVUKUWEUWTVULXJXKXLUXAVUNU
      WRUXAVUNMZUXCXMZKLZVUPOPQZVUPDTZFVUPUIRZSZUWRVUOVUTXNLVUQVUOVUTFXNVUOFXNL
      ZVUPFTUCGVEZUWLUDNZTZMZGVUPUKZUCVVDURUDFURVUTFSUWFVVBUWTVUNUWEVVBUWDFXOXP
      XJZVUOVUPDFVUMVUSUXAUXLEDUXCXQXRZVUODDUIRZFUWDDVVJTZUWEUWTVUNDKXSZXCIXTYA
      VUOVVGUDUCFVVDUXAVUNVVDFLZUCUDVEZMZVVGUXAVUNVVOMZMZUCUEVEZUENZVVDTZMZVVGU
      EUWGVVQVVDUWILVVNVWAUEUWGUKVVQVVDFUWIUXAVUNVVMVVNYBUWTUWJUWFVVPUWSUWHUWJY
      CYDZYEUXAVUNVVMVVNYFUEVVDUWGUCNZYGVQVVQUEHVEZVWAMZMZUCUFVEZUFNZVVSTZMZVVG
      UFDVWFVVSVVJLVVRVWJUFDUKVWFUWGVVJVVSVWFUWGUWIVVJUXAUWGUWITZVVPVWEUWSVWKUW
      FUWKUWGKXSXRXJUXAUWIVVJSZVVPVWEUWKVWLUWFUWSUWJVWLUWHUWJVWLFVVJUWIIUUAUUBX
      PWBXJYIVVQVWDVWAYHZYJVVQVWDVVRVVTYBUFVVSDVWCYGVQVWFVWHDLZVWJMZMZUCUGVEZUG
      NZVWHTZMZVVGUGUWGVWPVWHUWILVWGVWTUGUWGUKVWPDUWIVWHVWPDVVJUWIVVQVVKVWEVWOU
      WDVVKUWEUWTVVPVVLXCXJVWPUWIFVVJVVQUWJVWEVWOVWBXJIUUCYIVWFVWNVWJYHYJVWFVWN
      VWGVWIYBUGVWHUWGVWCYGVQVWPUGHVEZVWTMZMZVWRVVSWDZUXCRZVUPLZVWCVXELZVXEVVDT
      ZMZVVGVXCUXCEUUDZVXDELZVXFVWFVXJVWOVXBVVPVXJUXAVWEVUMVXJUXLVVOEDUXCUUEZXJ
      YDXJVXCVXAVWDVWRUXPTZUXPVVSTZMZADUKZVXKVWPVXAVWTYHVWFVWDVWOVXBVWMXJVXCVWN
      VWSVWIVXPVWFVWNVWJVXBYKVWPVXAVWQVWSYFVWOVWIVWFVXBVWNVWGVWIYCZYDVXOVWSVWIM
      AVWHDAUFYLVXMVWSVXNVWIUXPVWHVWRWOUXPVWHVVSWNXGYMZYNVXKVWRVVSEQVXAVWDVXPUJ
      ZVWRVVSEWJUYMVXSCBVWRVVSEUGVBZUEVBZCUGYLZBUEYLZMZUYEVXAUYFVWDUYLVXPVYDUYG
      VWRUWGVYBVYCWLWMVYDUYIVVSUWGVYBVYCULWMVYDUYKVXOADVYBUYHVXMVYCUYJVXNUYGVWR
      UXPWNUYIVVSUXPWOWPWRWQJXHWSZYOEVXDUXCUUFVQVVQVWEVWOVXBVXIVVPVWEVWOVXBVXIY
      PYPYPZUXAUXLVYFVUMVVOUXLVWEVWOVXBVXIVWEVWOMZVXBMZUXLVXDUPRZVXETZVXEVXDUQR
      ZTZMZVXIVYHVXKUXLVYMYPVYHVXAVWDVXPVXKVYGVXAVWTYHVWDVWAVWOVXBUUGVYHVWNVWSV
      WIVXPVWEVWNVWJVXBYKVYGVXAVWQVWSYFVWOVWIVWEVXBVXQYDVXRYNVYEYOUXKVYMUBVXDEU
      XEVXDSZUXHVYJUXJVYLVYNUXFVYIUXGVXEUXEVXDUPYSUXEVXDUXCYSZYQVYNUXGVXEUXIVYK
      VYOUXEVXDUQYSYQXGUUHXAVYMVWRVXETZVXEVVSTZMZVYHVXIVYJVYPVYLVYQVYIVWRVXEVWR
      VVSVXTVYAUUIUUKVYKVVSVXEVWRVVSVXTVYAUUJUULUUMVYHVYRVXIVYHVYRMZVXGVXHVYSVW
      RVXEVWCVYHVYPVYQYHVXBVWQVYGVYRVXAVWQVWSYHYDYJVYSVXEVVSVVDVYHVYPVYQYCVYGVV
      TVXBVYRVWDVVRVVTVWOUUNXJYAUUOYTUUPUUQUURYDXPUUSVVFVXIGVXEVUPUWLVXESVVCVXG
      VVEVXHUWLVXEVWCUVBUWLVXEVVDWNXGYMVQYRYRYRUUTUVAUDUCGVUPFUVCUVDZVVHUVEVUPU
      VFUVGVUOVUPEPQZUXOVURVUOEUVHUVILZEVUPUXCUVJZWUAVUOOUVKLUXOWUBUVLUXAUXOVUN
      UYRWAZOEUVNWCVUOVXJWUCVUMVXJUXAUXLVXLXREUXCUVMUNEVUPUXCUVOUVPWUDVUPEOVPVQ
      VVIVUOVUTFVYTUVQUWQVURVUSVVAUJGVUPKUWLVUPSZUWMVURUWNVUSUWPVVAUWLVUPOPUVRU
      WLVUPDWNWUEUWOVUTFUWLVUPUIYSUVSWQYMUVTYTUWAUWBUWCYR $.
  $}

  ${
    $d b f w x y z A $.  $d b f n w y z B $.  $d b f x J $.
    $( Any disjoint family of open sets in a second-countable space is
       countable.  (The sets are required to be nonempty because otherwise
       there could be many empty sets in the family.)  (Contributed by Mario
       Carneiro, 21-Mar-2015.)  (Proof shortened by Mario Carneiro,
       9-Apr-2015.)  (Revised by NM, 17-Jun-2017.) $)
    2ndcdisj $p |- ( ( J e. 2ndc /\ A. x e. A B e. ( J \ { (/) } ) /\
        A. y E* x e. A y e. B ) -> A ~<_ _om ) $=
      ( vb vf vn vw vz wcel c0 wral cv com cfv wa wi wne c1o c2ndc csn cdif wal
      wrmo cdom wbr ctg wceq ctb wrex is2ndc wf1 wex omex cvv ccnv cpw crn crab
      brdom cint cmpt wf wmo wss ssrab2 f1f adantl sstrid adantr eldifsn n0 wel
      frnd tg2 con0 omsson sstrdi ad2antrr wfn ad3antlr simprl fnfvelrn syl2anc
      f1fn wf1o f1f1orn f1ocnvfv1 simprrr velpw sylibr simprrl sylanbrc eqeltrd
      fveq2 eleq1d rspcev rabn0 onint rexlimdvaa expdimp exlimdv syl5bi expimpd
      ne0d syl5 impr sseldd expr ralimdva imp adantrr eqid fmpt sylib cif neeq1
      1n0 elimhyp mpbi 19.29r eleq1 syl5ibrcom weq elrab simprbi simprd iftrued
      mpan syl simpld elpwid eqsstrd sseld exp31 com23 exp4a nfcv ex com25 nfbr
      imp31 an32s rmoim nfmpt1 nfv breq1 cop copab df-mpt eleq2i opabidw 3bitri
      df-br bitrdi cbvmow df-rmo bitr4i dff12 f1domg mpsyl difeq1 eleq2d anbi1d
      alrimiv ralbidv imbi1d syl5ibcom impd rexlimiv sylbi 3impib ) EUAKZDELUBZ
      UCZKZACMZBNZDKZACUEZBUDZCOUFUGZUVNFNZOUFUGZUWDUHPZEUIZQZFUJUKUVRUWBQZUWCR
      ZFEULUWHUWJFUJUWDUJKZUWEUWGUWJUWEUWDOGNZUMZGUNUWKUWGUWJRZUWDOGUOVAUWKUWMU
      WNGUWKUWMUWNUWKUWMQZDUWFUVOUCZKZACMZUWBQZUWCRUWGUWJUWOUWSUWCOUPKUWOUWSQZC
      OACHNZUWLUQZPZDURZUVOUCZKZHUWLUSZUTZVBZVCZUMZUWCUOUWTCOUXJVDZINZJNZUXJUGZ
      IVEZJUDUXKUWTUXIOKZACMZUXLUWOUWRUXRUWBUWOUWRUXRUWOUWQUXQACUWOANZCKZUWQUXQ
      UWOUXTUWQQZQZUXHOUXIUWOUXHOVFUYAUWOUXHUXGOUXFHUXGVGUWMUXGOVFUWKUWMUWDOUWL
      UWDOUWLVHVOVIVJZVKUWOUXTUWQUXIUXHKZUWQDUWFKZDLSZQUWOUXTQZUYDDUWFLVLUYGUYE
      UYFUYDUYFUVTBUNUYGUYEQZUYDBDVMUYHUVTUYDBUYGUYEUVTUYDUYEUVTQBJVNZUXNDVFZQZ
      JUWDUKUYGUYDJDUWDUVSVPUYGUYKUYDJUWDUYGJFVNZUYKQZQZUXHVQVFZUXHLSZUYDUWOUYO
      UXTUYMUWOUXHOVQUYCVRVSVTUYNUXFHUXGUKZUYPUYNUXNUWLPZUXGKZUYRUXBPZUXEKZUYQU
      YNUWLUWDWAZUYLUYSUWMVUBUWKUXTUYMUWDOUWLWFWBUYGUYLUYKWCZUWDUXNUWLWDWEUYNUY
      TUXNUXEUYNUWDUXGUWLWGZUYLUYTUXNUIUWMVUDUWKUXTUYMUWDOUWLWHWBVUCUWDUXGUXNUW
      LWIWEUYNUXNUXDKZUXNLSUXNUXEKUYNUYJVUEUYGUYLUYIUYJWJJDWKWLUYNUXNUVSUYGUYLU
      YIUYJWMXFUXNUXDLVLWNWOUXFVUAHUYRUXGUXAUYRUIUXCUYTUXEUXAUYRUXBWPWQWRWEUXFH
      UXGWSWLUXHWTWEXAXGXBXCXDXEXDXHZXIXJXKXLXMACOUXIUXJUXJXNXOXPUWTUXPJUWTUXNU
      XIUIZACUEZUXPUWOUWRUWBVUHUWBUVSUXNUXBPZLSZVUITXQZKZUWAQZBUNZUWOUWRQZVUHVU
      LBUNZUWBVUNVUKLSZVUPVUJVUQTLSVUITVUIVUKLXRTVUKLXRXSXTBVUKVMYAVULUWABYBYJV
      UOVUMVUHBVUOVULUWAVUHVUOVULQVUGUVTRZACMZUWAVUHRUWOVULUWRVUSUWOVULQZUWRVUS
      VUTUWQVURACUWOVULUXTUWQVURRUWOVUGUXTUWQVULUVTUWOVUGUXTUWQVULUVTRZUWOUYAVU
      GVVAUWOUYAVUGVVAUYBVUGQZVUKDUVSVVBVUKVUIDVVBVUJVUITVVBVUIUXDKZVUJVVBVUIUX
      EKZVVCVUJQVVBUXNUXHKZVVDUYBVUGVVEUYBVVEVUGUYDVUFUXNUXIUXHYCYDXLVVEUXNUXGK
      VVDUXFVVDHUXNUXGHJYEUXCVUIUXEUXAUXNUXBWPWQYFYGYKVUIUXDLVLXPZYHYIVVBVUIDVV
      BVVCVUJVVFYLYMYNYOYPYQYRUUAUUCXKXLUUDVUGUVTACUUEYKXEXCXGXHUXPUXTVUGQZAVEV
      UHUXOVVGIAAUXMUXNUXJAUXMYSACUXIUUFAUXNYSUUBVVGIUUGIAYEUXOUXSUXNUXJUGZVVGU
      XMUXSUXNUXJUUHVVHUXSUXNUUIZUXJKVVIVVGAJUUJZKVVGUXSUXNUXJUUOUXJVVJVVIAJCUX
      IUUKUULVVGAJUUMUUNUUPUUQVUGACUURUUSWLUVFIJCOUXJUUTWNCOUPUXJUVAUVBYTUWGUWS
      UWIUWCUWGUWRUVRUWBUWGUWQUVQACUWGUWPUVPDUWFEUVOUVCUVDUVGUVEUVHUVIYTXCXDUVJ
      UVKUVLUVM $.

    $( Any disjoint collection of open sets in a second-countable space is
       countable.  (Contributed by Mario Carneiro, 21-Mar-2015.)  (Proof
       shortened by Mario Carneiro, 9-Apr-2015.)  (Revised by NM,
       17-Jun-2017.) $)
    2ndcdisj2 $p |- ( ( J e. 2ndc /\ A C_ J /\ A. y E* x e. A y e. x )
        -> A ~<_ _om ) $=
      ( wrmo wal wcel wss wa wmo com cdom wbr df-rmo albii cun cvv cdif ssdomg
      c0 wel c2ndc cv w3a csn undif2 omex peano1 snssi ax-mp mp2 id ssdif dfss3
      sylib eldifi anim1i moimi alimi 2ndcdisj syl3an3br syl3an unctb eqbrtrrid
      wral sylancr ctex syl ssun2 mpisyl domtr syl2anc syl3an3b ) BAUAZACEZBFDU
      BGZCDHZAUCZCGZVNIZAJZBFZCKLMZVOWABVNACNOVPVQWBUDZCTUEZCPZLMZWFKLMZWCWDWFQ
      GZCWFHWGWDWHWIWDWFWECWERZPZKLWECUFWDWEKLMZWJKLMZWKKLMKQGWEKHZWLUGTKGWNUHT
      KUIUJWEKQSUKVPVPVQVRDWERZGAWJVEZWBVRWJGZVNIZAJZBFZWMVPULVQWJWOHWPCDWEUMAW
      JWOUNUOWAWSBWRVTAWQVSVNVRCWEUPUQURUSWTVPWPVNAWJEZBFWMXAWSBVNAWJNOABWJVRDU
      TVAVBWEWJVCVFVDZWFVGVHCWEVICWFQSVJXBCWFKVKVLVM $.
  $}

  ${
    $d k m t w x z F $.  $d b k m t x z J $.  $d b k m t x z ph $.
    $d b k m t w x z K $.
    2ndcomap.2 $e |- Y = U. K $.
    2ndcomap.3 $e |- ( ph -> J e. 2ndc ) $.
    2ndcomap.5 $e |- ( ph -> F e. ( J Cn K ) ) $.
    2ndcomap.6 $e |- ( ph -> ran F = Y ) $.
    2ndcomap.7 $e |- ( ( ph /\ x e. J ) -> ( F " x ) e. K ) $.
    $( A surjective continuous open map maps second-countable spaces to
       second-countable spaces.  (Contributed by Mario Carneiro,
       9-Apr-2015.) $)
    2ndcomap $p |- ( ph -> K e. 2ndc ) $=
      ( vb vz vk vm cv wceq wa wcel syl2anc vw vt com cdom wbr ctg cfv ctb cima
      c2ndc cmpt crn ctop wss wel wrex ccn co cntop2 syl ad2antrr simplll bastg
      wral ad2antlr simprr sseqtrd sselda fmpttd frnd cuni elunii ancoms adantl
      eleqtrrdi ad3antrrr eleqtrrd wf wfn wb eqid cnf ffn fvelrnb mpbid simprll
      3syl ccnv cnima adantr simprrl simprrr simprlr eqeltrd elpreima mpbir2and
      ffnd adantrr tg2 simprl imaeq2 rspceeqv sylancl cvv fnfun funimass2 ssexg
      wfun vex elrnmpt mpbird wi cnvimass sstrdi funfvima2 eqeltrrd eleq2 sseq1
      cdm mpd anbi12d rspcev rexlimddv anassrs ralrimivva basgen2 syl3anc tgclb
      syl12anc sylibr ccrd wfo con0 omelon ondomen sylancr dffn4 sylib fodomnum
      sylc domtr 2ndci is2ndc r19.29a ) ALPZUCUDUEZUUEUFUGZDQZRZEUJSLUHAUUEUHSZ
      RZUUIRZBUUECBPZUIZUKZULZUFUGZEUJUULEUMSZUUPEUNMUAUOZUAPZNPZUNZRZUAUUPUPZM
      UVAVDNEVDUUQEQAUURUUJUUIACDEUQURSZUURICDEUSUTVAZUULUUEEUUOUULBUUEUUNEUULB
      LUOZRAUUMDSUUNESAUUJUUIUVGVBUULUUEDUUMUULUUEUUGDUUJUUEUUGUNAUUIUUEUHVCVEU
      UKUUFUUHVFZVGVHKTVIZVJUULUVDNMEUVAUULUVAESZMNUOZRZRZUBPZCUGZMPZQZUVDUBDVK
      ZUVMUVPCULZSZUVQUBUVRUPZUVMUVPFUVSUVLUVPFSZUULUVKUVJUWBUVKUVJRUVPEVKFUVPU
      VAEVLGVOVMVNAUVSFQUUJUUIUVLJVPVQUVMUVRFCVRZCUVRVSZUVTUWAVTAUWCUUJUUIUVLAU
      VEUWCICDEUVRFUVRWAGWBUTVPZUVRFCWCUBUVRUVPCWDWGWEUULUVLUVNUVRSZUVQRZUVDUUL
      UVLUWGRZRZUBOUOZOPZCWHUVAUIZUNZRZUVDOUUEUWIUWLUUGSUVNUWLSZUWNOUUEUPUWIUWL
      DUUGUWIUVEUVJUWLDSAUVEUUJUUIUWHIVPUULUVJUVKUWGWFUVACDEWITUULUUHUWHUVHWJVQ
      UWIUWOUWFUVOUVASZUULUVLUWFUVQWKUWIUVOUVPUVAUULUVLUWFUVQWLZUULUVJUVKUWGWMW
      NUWIUWDUWOUWFUWPRVTUULUVLUWDUWGUVMUVRFCUWEWQWRZUVRUVNUVACWOUTWPOUWLUUEUVN
      WSTUWIOLUOZUWNRZRZCUWKUIZUUPSZUVPUXBSZUXBUVAUNZUVDUXAUXCUXBUUNQBUUEUPZUXA
      UWSUXBUXBQUXFUWIUWSUWNWTUXBWABUWKUUEUUNUXBUXBUUMUWKCXAXBXCUXAUXBXDSZUXCUX
      FVTUXAUXEUVAXDSUXGUXACXHZUWMUXEUXAUWDUXHUWIUWDUWTUWRWJUVRCXEUTZUWIUWSUWJU
      WMWLZUWKUVACXFTZNXIUXBUVAXDXGXCBUUEUUNUXBUUOXDUUOWAXJUTXKUXAUVOUVPUXBUWIU
      VQUWTUWQWJUXAUWJUVOUXBSZUWIUWSUWJUWMWKUXAUXHUWKCXSZUNUWJUXLXLUXIUXAUWKUWL
      UXMUXJCUVAXMXNUWKUVNCXOTXTXPUXKUVCUXDUXERUAUXBUUPUUTUXBQUUSUXDUVBUXEUUTUX
      BUVPXQUUTUXBUVAXRYAYBYIYCYDYCYENMUAUUPEYFYGZUULUUPUHSZUUPUCUDUEZUUQUJSUUL
      UUQUMSUXOUULUUQEUMUXNUVFWNUUPYHYJUULUUPUUEUDUEZUUFUXPUULUUEYKXSSZUUEUUPUU
      OYLZUXQUULUCYMSUUFUXRYNUUKUUFUUHWTZUCUUEYOYPUULUUOUUEVSUXSUULUUEEUUOUVIWQ
      UUEUUOYQYRUUEUUPUUOYSYTUXTUUPUUEUCUUATUUPUUBTXPADUJSUUILUHUPHLDUUCYRUUD
      $.
  $}

  ${
    $d b f x y z $.  $d b x J $.  $d b x X $.
    2ndcsep.1 $e |- X = U. J $.
    $( A second-countable topology is separable, which is to say it contains a
       countable dense subset.  (Contributed by Mario Carneiro,
       13-Apr-2015.) $)
    2ndcsep $p |- ( J e. 2ndc ->
      E. x e. ~P X ( x ~<_ _om /\ ( ( cls ` J ) ` x ) = X ) ) $=
      ( vb vf vy vz wcel cv com cdom wbr cfv wceq wa ctb wrex ccl c0 ctg is2ndc
      c2ndc cpw cuni csn cdif wral wel wex cvv wss vex difss ssdomg simpr domtr
      wf mp2 sylancr wne eldifsn n0 elunii jca expcom eximdv imp df-rex sylan2b
      simpl sylibr sylbi rgen eleq1 axcc4dom sylancl crn frn ad2antrl rnex elpw
      vuniex ccrd cdm wfo con0 omelon adantr ondomen ssnum dffn4 sylib fodomnum
      wfn ffn sylc syl2anc ctop tgcl ad2antrr unitg elv eqcomi clsss3 wi anim2i
      cin ne0i fnfvelrn sylan inelcm syl a2d syl7 exp4a ralimdv2 ad2antlr eqidd
      a1i simplll elcls3 mpbird eqelssd breq1 fveqeq2 anbi12d syl12anc exlimddv
      ex rspcev unieq 3eqtr4g pweqd fveq1d eqeq12d anbi2d rexeqbidv syl5ibcom
      fveq2 impr rexlimiva ) BUCIEJZKLMZUUCUANZBOZPZEQRAJZKLMZUUHBSNZNZCOZPZACU
      DZRZEBUBUUGUUOEQUUCQIZUUDUUFUUOUUPUUDPZUUIUUHUUESNZNZUUCUEZOZPZAUUTUDZRZU
      UFUUOUUQUUCTUFZUGZUUTFJZURZGJZUVGNZUVIIZGUVFUHZPZUVDFUUQUVFKLMZHGUIZHUUTR
      ZGUVFUHUVMFUJUUQUVFUUCLMZUUDUVNUUCUKIUVFUUCULZUVQEUMUUCUVEUNZUVFUUCUKUOUS
      UUPUUDUPZUVFUUCKUQUTZUVPGUVFUVIUVFIZGEUIZUVITVAZPZUVPUVIUUCTVBZUWDUWCUVOH
      UJZUVPHUVIVCUWCUWGPHJZUUTIZUVOPZHUJZUVPUWCUWGUWKUWCUVOUWJHUVOUWCUWJUVOUWC
      PUWIUVOUWHUVIUUCVDUVOUWCVKVEVFVGVHUVOHUUTVIVLVJVMVNUVOUVKHUUTFGUVFEWCUWHU
      VJUVIVOVPVQUUQUVMPZUVGVRZUVCIZUWMKLMZUWMUURNZUUTOZUVDUWLUWMUUTULZUWNUVHUW
      RUUQUVLUVFUUTUVGVSVTZUWMUUTUVGFUMWAWBVLUWLUWMUVFLMZUVNUWOUWLUVFWDWEZIZUVF
      UWMUVGWFZUWTUWLUUCUXAIZUVRUXBUWLKWGIUUDUXDWHUUQUUDUVMUVTWIKUUCWJUTUVSUUCU
      VFWKVQUWLUVGUVFWOZUXCUVHUXEUUQUVLUVFUUTUVGWPZVTUVFUVGWLWMUVFUWMUVGWNWQUUQ
      UVNUVMUWAWIUWMUVFKUQWRUWLAUWPUUTUWLUUEWSIZUWRUWPUUTULUUPUXGUUDUVMUUCWTXAU
      WSUWMUUEUUTUUEUEZUUTUXHUUTOEUUCUKXBXCXDZXEWRUWLUUHUUTIZPZUUHUWPIAGUIZUVIU
      WMXHTVAZXFZGUUCUHZUVMUXOUUQUXJUVHUVLUXOUVHUVKUXNGUVFUUCUVHUWBUVKXFZUWCUXL
      UXMUWCUXLPZUWBUVHUXPUXMUXQUWEUWBUXLUWDUWCUVIUUHXIXGUWFVLUVHUWBUVKUXMUVHUW
      BUVKUXMXFZUVHUWBPUVJUWMIZUXRUVHUXEUWBUXSUXFUVFUVIUVGXJXKUVKUXSUXMUVJUVIUW
      MXLVFXMYJXNXOXPXQVHXRUXKGUUCUUHUWMUUEUUTUXKUUEXSUUTUXHOUXKUXIXTUUPUUDUVMU
      XJYAUWLUWRUXJUWSWIUWLUXJUPYBYCYDUVBUWOUWQPAUWMUVCUUHUWMOUUIUWOUVAUWQUUHUW
      MKLYEUUHUWMUUTUURYFYGYKYHYIUUFUVBUUMAUVCUUNUUFUUTCUUFUXHBUEUUTCUUEBYLUXID
      YMZYNUUFUVAUULUUIUUFUUSUUKUUTCUUFUUHUURUUJUUEBSYTYOUXTYPYQYRYSUUAUUBVM $.
  $}

  ${
    $d b w x y z X $.
    $( A discrete space is second-countable iff it is countable.  (Contributed
       by Mario Carneiro, 13-Apr-2015.) $)
    dis2ndc $p |- ( X ~<_ _om <-> ~P X e. 2ndc ) $=
      ( vx vy vz vw vb com cdom wbr cvv wcel c2ndc cv csn wceq wss wel wrex ctb
      wa cpw ctex pwexr cmpt crn cen wb wf1o wf1 snex 2a1i sneqr impbii dom2lem
      vex sneq f1f1orn syl f1oeng mpdan domen1 ctg cfv ctop distop simpr snelpw
      wral sylib fmpttd frnd elpwi ad2antrl simprr sseldd rspceeqv syl2anc eqid
      eqidd elrnmpt ax-mp sylibr vsnid a1i snssd eleq2 sseq1 anbi12d ralrimivva
      rspcev syl12anc basgen2 syl3anc adantr eqeltrd tgclb 2ndci sylan eqeltrrd
      is2ndc simplrr eleqtrrd tg2 sylancl simprrl eqssd simprl rexlimddv ssdomg
      simprrr mpsyl domtr rexlimdva2 syl5bi imp impbida bitrd pm5.21nii ) AGHIZ
      AJKZAUAZLKZAUBALUCXTXSBABMZNZUDZUEZGHIZYBXTAYFUFIZXSYGUGXTAYFYEUHZYHXTAJY
      EUIYIXTBCAJYDCMZNZYDJKXTYCAKZYCUJUKYDYKOZYCYJOZUGXTYLYJAKTYMYNYCYJBUOZULY
      CYJUPUMUKUNAJYEUQURAYFJYEUSUTAYFGVAURXTYGYBXTYGTYFVBVCZYALXTYPYAOZYGXTYAV
      DKYFYAPDEQZEMZYJPZTZEYFRZDYJVHCYAVHYQAJVEZXTAYAYEXTBAYDYAXTYLTYLYDYAKZXTY
      LVFYCAYOVGZVIVJVKXTUUBCDYAYJXTYJYAKZDCQZTTZDMZNZYFKZUUIUUJKZUUJYJPZUUBUUH
      UUJYDOBARZUUKUUHUUIAKUUJUUJOUUNUUHYJAUUIUUFYJAPXTUUGYJAVLVMXTUUFUUGVNZVOU
      UHUUJVSBUUIAYDUUJUUJYCUUIUPVPVQUUJJKUUKUUNUGUUIUJBAYDUUJYEJYEVRVTWAWBUULU
      UHDWCWDUUHUUIYJUUOWEUUAUULUUMTEUUJYFYSUUJOYRUULYTUUMYSUUJUUIWFYSUUJYJWGWH
      WJWKWICDEYFYAWLWMZWNXTYFSKZYGYPLKXTYPVDKUUQXTYPYAVDUUPUUCWOYFWPWBYFWQWRWS
      XTYBYGYBFMZGHIZUURVBVCZYAOZTZFSRXTYGFYAWTXTUVBYGFSXTUURSKTZUVBTZYFUURHIZU
      USYGUURJKUVDYFUURPUVEFUOUVDAUURYEUVDBAYDUURUVDYLTZBCQZYJYDPZTZYDUURKCUURU
      VFYDUUTKYCYDKUVICUURRUVFYDYAUUTUVFYLUUDUVDYLVFUUEVIUVCUUSUVAYLXAXBBWCCYDU
      URYCXCXDUVFCFQZUVITTZYDYJUURUVKYDYJUVKYCYJUVFUVJUVGUVHXEWEUVFUVJUVGUVHXJX
      FUVFUVJUVIXGWOXHVJVKYFUURJXIXKUVCUUSUVAXGYFUURGXLVQXMXNXOXPXQXR $.
  $}

  ${
    $d f g j k m n x y J $.  $d f g j k m n x y P $.  $d f g j k m n x y S $.
    $d f g j k m n x y X $.
    1stcelcls.1 $e |- X = U. J $.
    $( A point belongs to the closure of a subset iff there is a sequence in
       the subset converging to it.  Theorem 1.4-6(a) of [Kreyszig] p. 30.
       This proof uses countable choice ~ ax-cc .  A space satisfying the
       conclusion of this theorem is called a sequential space, so the theorem
       can also be stated as "every first-countable space is a sequential
       space".  (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    1stcelcls $p |- ( ( J e. 1stc /\ S C_ X ) -> ( P e. ( ( cls ` J ) ` S ) <->
        E. f ( f : NN --> S /\ f ( ~~>t ` J ) P ) ) ) $=
      ( vk vx vn vy vm vj wcel wss wa cfv cn cv wral wi vg c1stc ccl wf clm wbr
      wex c1 caddc co wrex w3a simpll ctop 1stctop clsss3 sselda 1stcfb syl2anc
      sylan cid cin c0 wne simpr2 simpl ralimi syl weq fveq2 rspccva wceq eleq2
      eleq2d ineq1 neeq1d imbi12d wb elcls2 simplbda ad2antrr ffvelrnda rspcdva
      simpr1 mpd biancomi exbii n0 df-rex 3bitr4i sylib cvv topopn simplr ssexd
      elin rexeqdv mpbird ralrimiva fvex nnenom eleq1 axcc4 feq3d biimpd adantr
      fvi cuz simplr3 sseq1d cbvrexvw sseq2 rexbidv syl5bb simpr simprrr imbi2d
      cz ssid 2a1i eluznn fvoveq1 sseq12d sylan2 anassrs sstr2 expcom a2d com12
      uzind4 ralrimiv eleq12d ad2antlr r19.26 sylanbrc ssel2 nnuz 1zzd simprl
      ex ssel ralimdv syl5com reximdva syld toptopon fssd eqidd lmbrf mpbir2and
      ctopon expr imdistanda syland eximdv exlimddv simprr lmcls exlimdv impbid
      ) DUBMZBENZOZABDUCPPZMZQBCRZUDZUVFADUEPUFZOZCUGZUVCUVEUVJUVCUVEOZQDUARZUD
      ZAGRZUVLPZMZUVNUHUIUJUVLPZUVONZOZGQSZAHRZMZUVOUWANZGQUKZTZHDSZULZUVJUAUVK
      UVAAEMZUWGUAUGUVAUVBUVEUMUVCUVDEAUVADUNMZUVBUVDENDUOZBDEFUPUTUQZHAUAGDEFU
      RUSUVKUWGOZQBVAPZUVFUDZIRZUVFPZUWOUVLPZMZIQSZOZCUGZUVJUWLUWAUWQMZHUWMUKZI
      QSUXAUWLUXCIQUWLUWOQMZOZUXCUXBHBUKZUXEUWQBVBZVCVDZUXFUXEAUWQMZUXHUWLUVPGQ
      SZUXDUXIUWLUVTUXJUVKUVMUVTUWFVEZUVSUVPGQUVPUVRVFVGVHUVPUXIGUWOQGIVIUVOUWQ
      AUVNUWOUVLVJVNVKUTUXEAJRZMZUXLBVBZVCVDZTZUXIUXHTJDUWQUXLUWQVLZUXMUXIUXOUX
      HUXLUWQAVMUXQUXNUXGVCUXLUWQBVOVPVQUVKUXPJDSZUWGUXDUVCUVEUWHUXRUVAUWIUVBUV
      EUWHUXROVRUWJJABDEFVSUTVTWAUWLQDUWOUVLUVKUVMUVTUWFWDWBWCWEUWAUXGMZHUGUWAB
      MZUXBOZHUGUXHUXFUXSUYAHUXSUXTUXBUWAUWQBWPWFWGHUXGWHUXBHBWIWJWKUXEUXBHUWMB
      UVKUWMBVLZUWGUXDUVKBWLMUYBUVKBEDUVKUWIEDMUVAUWIUVBUVEUWJWAZDEFWMVHUVAUVBU
      VEWNZWOBWLXGVHZWAWQWRWSUXBUWRHUWMCIQBVAWTXAUWAUWPUWQXBXCVHUWLUWTUVICUWLUW
      NUVGUWSUVIUVKUWNUVGTUWGUVKUWNUVGUVKUWMBUVFQUYEXDXEXFUWLUVGUWSUVHUWLUVGUWS
      UVHUWLUVGUWSOZOZUVHUWHUXMKRZUVFPZUXLMZKLRZXHPZSZLQUKZTZJDSUVKUWHUWGUYFUWK
      WAUYGUYOJDUYGUXLDMZOZUXMUYKUVLPZUXLNZLQUKZUYNUYGUWFUYPUXMUYTTZUVMUVTUWFUV
      KUYFXIUWEVUAHUXLDHJVIZUWBUXMUWDUYTUWAUXLAVMUWDUYRUWANZLQUKVUBUYTUWCVUCGLQ
      GLVIUVOUYRUWAUVNUYKUVLVJXJXKVUBVUCUYSLQUWAUXLUYRXLXMXNVQVKUTUYQUYSUYMLQUY
      GUYPUYKQMZUYSUYMTZUWLUYFUYPVUDOZVUEUWLUYFVUFOZOZUYIUYRMZKUYLSZUYSUYMVUHUY
      HUVLPZUYRNZUYIVUKMZOZKUYLSZVUJVUHVULKUYLSZVUMKUYLSVUOVUHUVRGQSZVUDVUPUWLV
      UQVUGUWLUVTVUQUXKUVSUVRGQUVPUVRXOVGVHXFUWLUYFUYPVUDXPZVUQVUDOZVULKUYLUYHU
      YLMZVUSVULVUSUWQUYRNZTVUSUYRUYRNZTVUSVULTZVUSUYHUHUIUJZUVLPZUYRNZTVVCIKUY
      KUYHILVIZVVAVVBVUSVVGUWQUYRUYRUWOUYKUVLVJXJXQIKVIZVVAVULVUSVVHUWQVUKUYRUW
      OUYHUVLVJZXJXQZUWOVVDVLZVVAVVFVUSVVKUWQVVEUYRUWOVVDUVLVJXJXQVVJVVBUYKXRMV
      USUYRXSXTVUTVUSVULVVFVUSVUTVULVVFTZVUSVUTOVVEVUKNZVVLVUQVUDVUTVVMVUDVUTOV
      UQUYHQMZVVMUYHUYKYAZUVRVVMGUYHQGKVIUVQVVEUVOVUKUVNUYHUHUVLUIYBUVNUYHUVLVJ
      YCVKYDYEVVEVUKUYRYFVHYGYHYJYIYKUSVUHVUMKUYLVUHVUTOUWRVUMIQUYHVVHUWPUYIUWQ
      VUKUWOUYHUVFVJVVIYLVUGUWSUWLVUTUVGUWSVUFWNYMVUHVUDVUTVVNVURVVOUTWCWSVULVU
      MKUYLYNYOVUNVUIKUYLVUKUYRUYIYPVGVHUYSVUIUYJKUYLUYRUXLUYIUUAUUBUUCYEYEUUDU
      UEWSUYGJUYIALKUVFDUHEQUYGUWIDEUUKPMZUVKUWIUWGUYFUYCWADEFUUFZWKYQUYGYRUYGQ
      BEUVFUWLUVGUWSYSUVKUVBUWGUYFUYDWAUUGUYGVVNOUYIUUHUUIUUJUULUUMUUNUUOWEUUPY
      TUVCUVIUVECUVCUVIUVEUVCUVIOZABGUVFDUHEQYQVVRUWIVVPUVAUWIUVBUVIUWJWAVVQWKV
      VRYRUVCUVGUVHUUQVVRQBUVNUVFUVCUVGUVHYSWBUVAUVBUVIWNUURYTUUSUUT $.
  $}

  ${
    $d f j k u v x F $.  $d f j k u v x J $.  $d f j k u v x ph $.
    $d f j k u v x K $.  $d f j k u v x X $.  $d f j k u v x Y $.
    $d f j k u v P $.
    1stccnp.1 $e |- ( ph -> J e. 1stc ) $.
    1stccnp.2 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    1stccnp.3 $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    ${
      1stccnp.4 $e |- ( ph -> P e. X ) $.
      $( A mapping is continuous at ` P ` in a first-countable space ` X ` iff
         it is sequentially continuous at ` P ` , meaning that the image under
         ` F ` of every sequence converging at ` P ` converges to ` F ( P ) ` .
         This proof uses ~ ax-cc , but only via ~ 1stcelcls , so it could be
         refactored into a proof that continuity and sequential continuity are
         the same in sequential spaces.  (Contributed by Mario Carneiro,
         7-Sep-2015.) $)
      1stccnp $p |- ( ph -> ( F e. ( ( J CnP K ) ` P ) <-> ( F : X --> Y /\
                      A. f ( ( f : NN --> X /\ f ( ~~>t ` J ) P ) ->
                             ( F o. f ) ( ~~>t ` K ) ( F ` P ) ) ) ) ) $=
        ( vv vk cfv wcel cn wa wss wfal vu vj ccnp co wf cv clm wbr ccom wi wal
        ctopon jca cnpf2 3expa sylan simprr simplr lmcnp alrimiv cima wrex wral
        ex simprl ccnv cin c0 wne wn ccl wex fal 19.29 difss fss sylancl cuz c1
        cdif nnuz simplrr 1zzd simplrl lmcvg r19.2uz wfn wceq ffnd fvco2 eleq1d
        simprll ffvelrnda eldifad wb ad2antrr ffn elpreima 3syl eldifbd pm2.21d
        sylbird mpand sylbid rexlimdva syl5 embantd impcomd exlimdv exp4b com23
        mpd expr impr imp mtoi cuni toponuni syl sseqtrid eqid 1stcelcls mtbird
        c1stc syl2anc ctop topontop eleqtrd elcls syl3anc mtbid wfun ffund fdmd
        cdm toponss sseqtrrd funimass3 df-ss sylib sseq1d bitr4d bitr4i bitr4di
        nne inssdif0 anbi2d rexbidva rexanali bitrdi mpbird ralrimiva mpbir2and
        iscnp adantr impbida ) ADBEFUCUDOPZGHDUEZQGCUFZUEZUUSBEUGOUHZRZDUUSUIZB
        DOZFUGOUHZUJZCUKZRZAUUQRZUURUVGAEGULOPZFHULOPZRUUQUURAUVJUVKJKUMUVJUVKU
        UQUURBDEFGHUNUOUPUVIUVFCUVIUVBUVEUVIUVBRBUUSDEFUVIUUTUVAUQAUUQUVBURUSVD
        UTUMAUVHRZUUQUURUVDUAUFZPZBMUFZPZDUVOVAUVMSZRZMEVBZUJZUAFVCZAUURUVGVEZU
        VLUVTUAFUVLUVMFPZUVNUVSUVLUWCUVNRZRZUVSUVPUVOGDVFUVMVAZVTZVGZVHVIZUJMEV
        CZVJZUWEBUWGEVKOOPZUWJUWEUWLQUWGUUSUEZUVARZCVLZUWEUWOTVMUVLUWDUWOTUJZAU
        URUVGUWDUWPUJAUURRZUWDUVGUWPUWQUWDUVGUWOTUVGUWORUVFUWNRZCVLUWQUWDRZTUVF
        UWNCVNUWSUWRTCUWSUWNUVFTUWSUWNUVFTUJUWSUWNRZUVBUVETUWTUUTUVAUWTUWMUWGGS
        UUTUWSUWMUVAVEGUWFVOZQUWGGUUSVPVQUWSUWMUVAUQUMUWSUWNUVETUWSUWNUVERZRZNU
        FZUVCOZUVMPZNUBUFVROVCUBQVBZTUXCUVDUVMUBNUVCFVSQWAUWQUWCUVNUXBWBUXCWCUW
        SUWNUVEUQUWQUWCUVNUXBWDWEUXGUXFNQVBUXCTUXFUBNVSQWAWFUXCUXFTNQUXCUXDQPZR
        ZUXFUXDUUSOZDOZUVMPZTUXIUXEUXKUVMUXCUUSQWGUXHUXEUXKWHUXCQUWGUUSUWSUWMUV
        AUVEWLZWIQDUUSUXDWJUPWKUXIUXJGPZUXLTUXIUXJGUWFUXCQUWGUXDUUSUXMWMZWNUXIU
        XNUXLRZUXJUWFPZTUXIUURDGWGUXQUXPWOUWSUURUXBUXHAUURUWDURWPGHDWQGUXJUVMDW
        RWSUXIUXQTUXIUXJGUWFUXOWTXAXBXCXDXEXFXLXMXGVDXHXIXFXJXKXNXOXPUWEEYDPZUW
        GEXQZSZUWLUWOWOAUXRUVHUWDIWPUWEGUWGUXSUXAUWEUVJGUXSWHAUVJUVHUWDJWPZGEXR
        XSZXTZBUWGCEUXSUXSYAZYBYEYCUWEEYFPZUXTBUXSPUWLUWJWOUWEUVJUYEUYAGEYGXSUY
        CUWEBGUXSABGPZUVHUWDLWPUYBYHMBUWGEUXSUYDYIYJYKUWEUVSUVPUWIVJZRZMEVBUWKU
        WEUVRUYHMEUWEUVOEPZRZUVQUYGUVPUYJUVQUVOGVGZUWFSZUYGUYJUVQUVOUWFSZUYLUYJ
        DYLUVODYOZSUVQUYMWOUYJGHDUVLUURUWDUYIUWBWPZYMUYJUVOGUYNUWEUVJUYIUVOGSZU
        YAUVOEGYPUPZUYJGHDUYOYNYQUVOUVMDYRYEUYJUYKUVOUWFUYJUYPUYKUVOWHUYQUVOGYS
        YTUUAUUBUYGUWHVHWHUYLUWHVHUUEUVOGUWFUUFUUCUUDUUGUUHUVPUWIMEUUIUUJUUKXMU
        ULAUUQUURUWARWOZUVHAUVJUVKUYFUYRJKLMUABDEFGHUUNYJUUOUUMUUP $.
    $}

    1stccn.7 $e |- ( ph -> F : X --> Y ) $.
    $( A mapping ` X --> Y ` , where ` X ` is first-countable, is continuous
       iff it is sequentially continuous, meaning that for any sequence
       ` f ( n ) ` converging to ` x ` , its image under ` F ` converges to
       ` F ( x ) ` .  (Contributed by Mario Carneiro, 7-Sep-2015.) $)
    1stccn $p |- ( ph -> ( F e. ( J Cn K ) <-> A. f ( f : NN --> X ->
        A. x ( f ( ~~>t ` J ) x -> ( F o. f ) ( ~~>t ` K ) ( F ` x ) ) ) ) ) $=
      ( wcel cfv wral wa wi wal adantr syl5bb ccn co cv ccnp cn wf clm wbr ccom
      ctopon cncnp syl2anc mpbirand c1stc simpr 1stccnp ralbidva ralcom4 impexp
      wb ralbii r19.21v bitri df-ral lmcl sylan ex imbi1d bitr2di albidv imbi2d
      pm4.71rd 3bitrd ) ADEFUAUBMZDBUCZEFUDUBNMZBGOZUEGCUCZUFZVRVOEUGNUHZPDVRUI
      VODNFUGNUHZQZCRZBGOZVSVTWAQZBRZQZCRZAVNGHDUFZVQLAEGUJNMZFHUJNMZVNWIVQPUTJ
      KBDEFGHUKULUMAVPWCBGAVOGMZPZVPWIWCAWIWLLSWMVOCDEFGHAEUNMWLISAWJWLJSAWKWLK
      SAWLUOUPUMUQWDWBBGOZCRAWHWBBCGURAWNWGCWNVSWEBGOZQZAWGWNVSWEQZBGOWPWBWQBGV
      SVTWAUSVAVSWEBGVBVCAWOWFVSWOWLWEQZBRAWFWEBGVDAWRWEBAWEWLVTPZWAQWRAVTWSWAA
      VTWLAVTWLAWJVTWLJVOVREGVEVFVGVLVHWLVTWAUSVIVJTVKTVJTVM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Local topological properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Locally $.
  $c N-Locally $.

  $( Extend class notation with the "locally ` A ` " predicate of a topological
     space. $)
  clly $a class Locally A $.

  $( Extend class notation with the "N-locally ` A ` " predicate of a
     topological space. $)
  cnlly $a class N-Locally A $.

  ${
    $d j u x y A $.
    $( Define a space that is locally ` A ` , where ` A ` is a topological
       property like "compact", "connected", or "path-connected".  A
       topological space is locally ` A ` if every neighborhood of a point
       contains an open subneighborhood that is ` A ` in the subspace topology.
       (Contributed by Mario Carneiro, 2-Mar-2015.) $)
    df-lly $a |- Locally A = { j e. Top | A. x e. j A. y e. x
      E. u e. ( j i^i ~P x ) ( y e. u /\ ( j |`t u ) e. A ) } $.

    $( Define a space that is n-locally ` A ` , where ` A ` is a topological
       property like "compact", "connected", or "path-connected".  A
       topological space is n-locally ` A ` if every neighborhood of a point
       contains a subneighborhood that is ` A ` in the subspace topology.

       The terminology "n-locally", where 'n' stands for "neighborhood", is not
       standard, although this is sometimes called "weakly locally ` A ` ".
       The reason for the distinction is that some notions only make sense for
       arbitrary neighborhoods (such as "locally compact", which is actually
       ` N-Locally Comp ` in our terminology - open compact sets are not very
       useful), while others such as "locally connected" are strictly weaker
       notions if the neighborhoods are not required to be open.  (Contributed
       by Mario Carneiro, 2-Mar-2015.) $)
    df-nlly $a |- N-Locally A = { j e. Top | A. x e. j A. y e. x
      E. u e. ( ( ( nei ` j ) ` { y } ) i^i ~P x ) ( j |`t u ) e. A } $.
  $}

  ${
    $d j s u w x y z A $.  $d j u w x y z B $.  $d s u y P $.  $d s u x y U $.
    $d j s u w x y z J $.  $d u w x y z V $.
    $( The property of being a locally ` A ` topological space.  (Contributed
       by Mario Carneiro, 2-Mar-2015.) $)
    islly $p |- ( J e. Locally A <-> ( J e. Top /\ A. x e. J A. y e. x
      E. u e. ( J i^i ~P x ) ( y e. u /\ ( J |`t u ) e. A ) ) ) $=
      ( vj cv wcel crest co wa cpw cin wrex wral ctop clly wceq ineq1 oveq1
      eleq1d anbi2d rexeqbidv ralbidv raleqbi1dv df-lly elrab2 ) BGCGZHZFGZUHIJ
      ZDHZKZCUJAGZLZMZNZBUNOZAUJOUIEUHIJZDHZKZCEUOMZNZBUNOZAEOFEPDQURVDAUJEUJER
      ZUQVCBUNVEUMVACUPVBUJEUOSVEULUTUIVEUKUSDUJEUHITUAUBUCUDUEABCDFUFUG $.

    $( The property of being an n-locally ` A ` topological space.
       (Contributed by Mario Carneiro, 2-Mar-2015.) $)
    isnlly $p |- ( J e. N-Locally A <-> ( J e. Top /\
      A. x e. J A. y e. x E. u e. ( ( ( nei ` J ) ` { y } ) i^i ~P x )
        ( J |`t u ) e. A ) ) $=
      ( vj cv crest co wcel csn cnei cfv cpw cin wrex wral ctop cnlly wceq
      fveq2 fveq1d ineq1d eleq1d rexeqbidv ralbidv raleqbi1dv df-nlly elrab2
      oveq1 ) FGZCGZHIZDJZCBGKZUKLMZMZAGZNZOZPZBURQZAUKQEULHIZDJZCUOELMZMZUSOZP
      ZBURQZAEQFERDSVBVIAUKEUKETZVAVHBURVJUNVDCUTVGVJUQVFUSVJUOUPVEUKELUAUBUCVJ
      UMVCDUKEULHUJUDUEUFUGABCDFUHUI $.

    $( Equality theorem for the ` Locally A ` predicate.  (Contributed by Mario
       Carneiro, 2-Mar-2015.) $)
    llyeq $p |- ( A = B -> Locally A = Locally B ) $=
      ( vy vu vj vx wceq cv wcel crest co wa cpw cin wrex wral ctop crab df-lly
      clly eleq2 anbi2d rexbidv 2ralbidv rabbidv 3eqtr4g ) ABGZCHDHZIZEHZUHJKZA
      IZLZDUJFHZMNZOZCUNPFUJPZEQRUIUKBIZLZDUOOZCUNPFUJPZEQRATBTUGUQVAEQUGUPUTFC
      UJUNUGUMUSDUOUGULURUIABUKUAUBUCUDUEFCDAESFCDBESUF $.

    $( Equality theorem for the ` Locally A ` predicate.  (Contributed by Mario
       Carneiro, 2-Mar-2015.) $)
    nllyeq $p |- ( A = B -> N-Locally A = N-Locally B ) $=
      ( vj vu vy vx wceq cv crest wcel csn cnei cfv wrex wral ctop crab df-nlly
      co cnlly cpw cin eleq2 rexbidv 2ralbidv rabbidv 3eqtr4g ) ABGZCHZDHISZAJZ
      DEHKUILMMFHZUAUBZNZEULOFUIOZCPQUJBJZDUMNZEULOFUIOZCPQATBTUHUOURCPUHUNUQFE
      UIULUHUKUPDUMABUJUCUDUEUFFEDACRFEDBCRUG $.

    $( A locally ` A ` space is a topological space.  (Contributed by Mario
       Carneiro, 2-Mar-2015.) $)
    llytop $p |- ( J e. Locally A -> J e. Top ) $=
      ( vy vu vx clly wcel ctop cv crest co wa cpw cin wrex wral islly simplbi
      ) BAFGBHGCIDIZGBSJKAGLDBEIZMNOCTPEBPECDABQR $.

    $( A locally ` A ` space is a topological space.  (Contributed by Mario
       Carneiro, 2-Mar-2015.) $)
    nllytop $p |- ( J e. N-Locally A -> J e. Top ) $=
      ( vu vy vx cnlly wcel ctop cv crest csn cnei cfv cpw cin wrex wral isnlly
      co simplbi ) BAFGBHGBCIJSAGCDIKBLMMEIZNOPDUAQEBQEDCABRT $.

    $( The property of a locally ` A ` topological space.  (Contributed by
       Mario Carneiro, 2-Mar-2015.) $)
    llyi $p |- ( ( J e. Locally A /\ U e. J /\ P e. U ) -> E. u e. J
      ( u C_ U /\ P e. u /\ ( J |`t u ) e. A ) ) $=
      ( vy vx clly wcel cv crest co wa cpw cin wrex wral wceq rspccva anbi2i
      wss ctop islly simprbi pweq ineq2d rexeqdv raleqbi1dv sylan anbi1d anbi2d
      eleq1 anass elin velpw bitri anbi1i 3anass 3bitr4i bitrdi rexbidv2 stoic3
      w3a ) EBHIZDEIZFJZAJZIZEVGKLBIZMZAEDNZOZPZFDQZCDIVGDUAZCVGIZVIVCZAEPZVDVJ
      AEGJZNZOZPZFVSQZGEQZVEVNVDEUBIWDGFABEUCUDWCVNGDEWBVMFVSDVSDRZVJAWAVLWEVTV
      KEVSDUEUFUGUHSUIVMVRFCDVFCRZVJVQAVLEWFVGVLIZVJMWGVPVIMZMZVGEIZVQMZWFVJWHW
      GWFVHVPVIVFCVGULUJUKWJVOMZWHMWJVOWHMZMWIWKWJVOWHUMWGWLWHWGWJVGVKIZMWLVGEV
      KUNWNVOWJADUOTUPUQVQWMWJVOVPVIURTUSUTVASVB $.

    $( The property of an n-locally ` A ` topological space.  (Contributed by
       Mario Carneiro, 2-Mar-2015.) $)
    nllyi $p |- ( ( J e. N-Locally A /\ U e. J /\ P e. U ) -> E. u e.
      ( ( nei ` J ) ` { P } ) ( u C_ U /\ ( J |`t u ) e. A ) ) $=
      ( vy vx cnlly wcel cv crest csn cfv cpw cin wrex wral wa wceq rspccva wss
      cnei ctop isnlly simprbi pweq ineq2d rexeqdv raleqbi1dv sylan elin fveq2d
      co eleq2d wb velpw a1i anbi12d syl5bb anbi1d anass bitrdi rexbidv2 stoic3
      sneq ) EBHIZDEIZEAJZKUMBIZAFJZLZEUBMZMZDNZOZPZFDQZCDIVHDUAZVIRZACLZVLMZPZ
      VFVIAVMGJZNZOZPZFWCQZGEQZVGVQVFEUCIWHGFABEUDUEWGVQGDEWFVPFWCDWCDSZVIAWEVO
      WIWDVNVMWCDUFUGUHUITUJVPWBFCDVJCSZVIVSAVOWAWJVHVOIZVIRVHWAIZVRRZVIRWLVSRW
      JWKWMVIWKVHVMIZVHVNIZRWJWMVHVMVNUKWJWNWLWOVRWJVMWAVHWJVKVTVLVJCVEULUNWOVR
      UOWJADUPUQURUSUTWLVRVIVAVBVCTVD $.

    $( Eliminate the neighborhood symbol from ~ nllyi .  (Contributed by Mario
       Carneiro, 2-Mar-2015.) $)
    nlly2i $p |- ( ( J e. N-Locally A /\ U e. J /\ P e. U ) -> E. s e. ~P U
      E. u e. J ( P e. u /\ u C_ s /\ ( J |`t s ) e. A ) ) $=
      ( cnlly wcel w3a cv wss crest co wa wrex cpw csn cfv syl simprl cnei ctop
      nllyi simprrl velpw sylibr simpl1 nllytop neii2 syl2anc wb simpll3 mpbird
      snssg simprr simprrr adantr 3jca ex reximdv mpd reximssdv ) EBGHZDEHZCDHZ
      IZFJZDKZEVGLMBHZNZCAJZHZVKVGKZVIIZAEOZFDPZCQZEUARRZFBCDEUCVFVGVRHZVJNZNZV
      HVGVPHVFVSVHVIUDFDUEUFWAVQVKKZVMNZAEOZVOWAEUBHZVSWDWAVCWEVCVDVEVTUGBEUHSV
      FVSVJTVQAEVGUIUJWAWCVNAEWAWCVNWAWCNZVLVMVIWFVLWBWAWBVMTWFVEVLWBUKVCVDVEVT
      WCULCVKDUNSUMWAWBVMUOWAVIWCVFVSVHVIUPUQURUSUTVAVB $.

    $( A locally ` A ` space is n-locally ` A ` : the "n-locally" predicate is
       the weaker notion.  (Contributed by Mario Carneiro, 2-Mar-2015.) $)
    llynlly $p |- ( J e. Locally A -> J e. N-Locally A ) $=
      ( vu vy vx clly wcel ctop cv crest co csn cnei cfv cpw cin wrex wral w3a
      wa cnlly llytop wss llyi simpl1 syl simprr2 opnneip syl3anc simprr1 velpw
      simprl sylibr elind simprr3 reximssdv 3expb ralrimivva isnlly sylanbrc )
      BAFGZBHGZBCIZJKAGZCDIZLBMNNZEIZOZPZQZDVGREBRBAUAGABUBZVAVJEDBVGVAVGBGZVEV
      GGZVJVAVLVMSZVCVGUCZVEVCGZVDSZVDCVIBCAVEVGBUDVNVCBGZVQTZTZVFVHVCVTVBVRVPV
      CVFGVTVAVBVAVLVMVSUEVKUFVNVRVQULVOVPVDVRVNUGVEBVCUHUIVTVOVCVHGVOVPVDVRVNU
      JCVGUKUMUNVOVPVDVRVNUOUPUQUREDCABUSUT $.

    $( A locally ` A ` space is n-locally ` A ` .  (Contributed by Mario
       Carneiro, 2-Mar-2015.) $)
    llyssnlly $p |- Locally A C_ N-Locally A $=
      ( vj clly cnlly cv llynlly ssriv ) BACADABEFG $.

    $( The "locally" predicate respects inclusion.  (Contributed by Mario
       Carneiro, 2-Mar-2015.) $)
    llyss $p |- ( A C_ B -> Locally A C_ Locally B ) $=
      ( vj vy vu vx wss clly cv ctop wcel crest co cpw wrex wral anim2d ralimdv
      wa islly cin ssel reximdv 3imtr4g ssrdv ) ABGZCAHZBHZUFCIZJKZDIEIZKZUIUKL
      MZAKZSZEUIFIZNUAZOZDUPPZFUIPZSUJULUMBKZSZEUQOZDUPPZFUIPZSUIUGKUIUHKUFUTVE
      UJUFUSVDFUIUFURVCDUPUFUOVBEUQUFUNVAULABUMUBQUCRRQFDEAUITFDEBUITUDUE $.

    $( The "n-locally" predicate respects inclusion.  (Contributed by Mario
       Carneiro, 2-Mar-2015.) $)
    nllyss $p |- ( A C_ B -> N-Locally A C_ N-Locally B ) $=
      ( vj vu vy vx wss cnlly cv ctop wcel crest co csn cfv wrex wral wa isnlly
      ralimdv cnei cpw cin ssel reximdv anim2d 3imtr4g ssrdv ) ABGZCAHZBHZUICIZ
      JKZULDILMZAKZDEINULUAOOFIZUBUCZPZEUPQZFULQZRUMUNBKZDUQPZEUPQZFULQZRULUJKU
      LUKKUIUTVDUMUIUSVCFULUIURVBEUPUIUOVADUQABUNUDUETTUFFEDAULSFEDBULSUGUH $.

    $( The property of a subspace being locally ` A ` .  (Contributed by Mario
       Carneiro, 10-Mar-2015.) $)
    subislly $p |- ( ( J e. Top /\ B e. V ) ->
      ( ( J |`t B ) e. Locally A <-> A. x e. J A. y e. ( x i^i B )
        E. u e. J ( ( u i^i B ) C_ x /\ y e. u /\
          ( J |`t ( u i^i B ) ) e. A ) ) ) $=
      ( vw vz ctop wcel wa crest co cv cin wrex wral wss cvv cpw w3a wb resttop
      clly islly baib syl vex inex1 a1i elrest wceq simpr rexin ad2antrr 3anass
      raleqdv simpllr sseq12d velpw inss2 biantru bitri 3bitr4g eleq2d biantrud
      ssin simplr elin2d bitr4di bitr4d simp-4l restabs syl3anc eqtrd 3anbi123d
      elin oveq2d eleq1d bitr3id rexxfr2d syl5bb ralbidva bitrd ralxfr2d ) FJKZ
      EGKZLZFEMNZDUEKZBOZHOZKZWJWMMNZDKZLZHWJIOZUAZPQZBWRRZIWJRZCOZEPZAOZSZWLXC
      KZFXDMNZDKZUBZCFQZBXEEPZRZAFRWIWJJKZWKXBUCEFGUDWKXNXBIBHDWJUFUGUHWIXAXMIA
      XLWJFTXLTKWIXEFKLXEEAUIUJUKAWREFJGULWIWRXLUMZLZXAWTBXLRXMXPWTBWRXLWIXOUNU
      RXPWTXKBXLWTWMWSKZWQLZHWJQXPWLXLKZLZXKWQHWJWSUOXTXRXJHCXDWJFTXDTKXTXCFKLX
      CECUIUJUKWIWMWJKWMXDUMZCFQUCXOXSCWMEFJGULUPXRXQWNWPUBXTYALZXJXQWNWPUQYBXQ
      XFWNXGWPXIYBWMWRSXDXLSZXQXFYBWMXDWRXLXTYAUNZWIXOXSYAUSUTHWRVAXFXFXDESZLYC
      YEXFXCEVBZVCXDXEEVHVDVEYBWNWLXDKZXGYBWMXDWLYDVFYBXGXGWLEKZLYGYBYHXGYBXEEW
      LXPXSYAVIVJVGWLXCEVRVKVLYBWOXHDYBWOWJXDMNZXHYBWMXDWJMYDVSYBWGYEWHYIXHUMWG
      WHXOXSYAVMYEYBYFUKXPWHXSYAWGWHXOVIUPXDEFJGVNVOVPVTVQWAWBWCWDWEWFWE $.
  $}

  ${
    $d j k s u v x y z A $.  $d j u v x y z J $.  $d j k s u x y z ph $.
    $d u y z X $.
    restlly.1 $e |- ( ( ph /\ ( j e. A /\ x e. j ) ) -> ( j |`t x ) e. A ) $.
    $( If the property ` A ` passes to open subspaces, then a space is
       n-locally ` A ` iff it is locally ` A ` .  (Contributed by Mario
       Carneiro, 2-Mar-2015.) $)
    restnlly $p |- ( ph -> N-Locally A = Locally A ) $=
      ( vk vu vy vs cv wcel wa ctop wel crest co wrex wral wss wceq cpw nllytop
      cnlly clly cin adantl w3a nlly2i simprl simprr2 simplr elpwid sstrd velpw
      3adant1l sylibr elind simprr1 simpll1 restabs syl3anc df-ss sylib elrestr
      simpl2im eqeltrrd wi eleq2 oveq1 eleq1d imbi12d simpld expr ralrimiva syl
      simprr3 rspcdva mpd jca32 ex reximdv2 rexlimdva 3expb ralrimivva sylanbrc
      islly ssrdv llyssnlly a1i eqssd ) ACUCZCUDZAFWKWLAFJZWKKZWMWLKZAWNLZWMMKZ
      GBNZWMBJZOPZCKZLZBWMHJZUAZUEZQZGXCRHWMRWOWNWQACWMUBZUFWPXFHGWMXCWPHFNZGHN
      ZXFWPXHXIUGZWRWSIJZSZWMXKOPZCKZUGZBWMQZIXDQZXFWNXHXIXQABCGJXCWMIUHUOXJXPX
      FIXDXJXKXDKZLZXOXBBWMXEXSBFNZXOLZWSXEKZXBLXSYALZYBWRXAYCWMXDWSXSXTXOUIZYC
      WSXCSWSXDKYCWSXKXCWRXLXNXTXSUJZYCXKXCXJXRYAUKZULUMBXCUNUPUQWRXLXNXTXSURYC
      XMWSOPZWTCYCWQXLXRYGWTTYCAWNWQWPXHXIXRYAUSZXGVEZYEYFWSXKWMMXDUTVAYCWSXMKZ
      YGCKZYCWSXKUEZWSXMYCXLYLWSTYEWSXKVBVCYCWQXRXTYLXMKYIYFYDWSXKWMMXDVDVAVFYC
      BDNZDJZWSOPZCKZVGZYJYKVGDCXMYNXMTZYMYJYPYKYNXMWSVHYRYOYGCYNXMWSOVIVJVKYCA
      YQDCRYCAWNYHVLAYQDCAYNCKYMYPEVMVNVOWRXLXNXTXSVPVQVRVFVSVTWAWBVRWCWDHGBCWM
      WFWEVTWGWLWKSACWHWIWJ $.

    ${
      restlly.2 $e |- ( ph -> A C_ Top ) $.
      $( If the property ` A ` passes to open subspaces, then a space which is
         ` A ` is also locally ` A ` .  (Contributed by Mario Carneiro,
         2-Mar-2015.) $)
      restlly $p |- ( ph -> A C_ Locally A ) $=
        ( vy vu clly cv wcel wa ctop wel crest co cpw cin wrex wral sselda pwid
        simprl vex a1i elind simprr anassrs adantrr elequ2 oveq2 eleq1d anbi12d
        weq rspcev syl12anc ralrimivva islly sylanbrc ex ssrdv ) ADCCIZADJZCKZV
        CVBKZAVDLZVCMKGHNZVCHJZOPZCKZLZHVCBJZQZRZSZGVLTBVCTVEACMVCFUAVFVOBGVCVL
        VFBDNZGBNZLLZVLVNKVQVCVLOPZCKZVOVRVCVMVLVFVPVQUCVLVMKVRVLBUDUBUEUFVFVPV
        QUGVFVPVTVQAVDVPVTEUHUIVKVQVTLHVLVNHBUNZVGVQVJVTHBGUJWAVIVSCVHVLVCOUKUL
        UMUOUPUQBGHCVCURUSUTVA $.
    $}

    islly2.2 $e |- X = U. J $.
    $( An alternative expression for ` J e. Locally A ` when ` A ` passes to
       open subspaces:  A space is locally ` A ` if every point is contained in
       an open neighborhood with property ` A ` .  (Contributed by Mario
       Carneiro, 2-Mar-2015.) $)
    islly2 $p |- ( ph -> ( J e. Locally A <-> ( J e. Top /\ A. y e. X
      E. u e. J ( y e. u /\ ( J |`t u ) e. A ) ) ) ) $=
      ( vv vz wcel cv crest co wa wral syl3anc wceq clly ctop llytop adantl wss
      wrex w3a simplr adantr topopn syl simpr llyi 3simpc ralrimiva jca cpw cin
      reximi simprl cuni elssuni sseqtrrdi ssralv simpllr simplrl inopn cvv vex
      wi inss1 elpwi2 a1i elind simplrr simprrl inss2 restabs eleq1d raleqbi1dv
      oveq2 oveq1 ralrimivva ad3antrrr simprrr rspcdva elrestr eqeltrrd anbi12d
      eleq2 rspcev syl12anc rexlimdvaa anassrs ralimdva syld ralrimdva sylanbrc
      impr islly impbida ) AGEUAMZGUBMZCNZDNZMZGXEOPZEMZQZDGUFZCHRZQZAXBQZXCXKX
      BXCAEGUCUDZXMXJCHXMXDHMZQZXEHUEZXFXHUGZDGUFZXJXPXBHGMZXOXSAXBXOUHXPXCXTXM
      XCXOXNUIGHJUJUKXMXOULDEXDHGUMSXRXIDGXQXFXHUNUSUKUOUPAXLQXCXDKNZMZGYAOPZEM
      ZQZKGLNZUQZURZUFZCYFRZLGRZXBAXCXKUTAXCXKYKAXCQZXKYJLGYLYFGMZQZXKXJCYFRZYJ
      YNYFHUEZXKYOVJYMYPYLYMYFGVAHYFGVBJVCUDXJCYFHVDUKYNXJYICYFYLYMXDYFMZXJYIVJ
      YLYMYQQZQZXIYIDGYSXEGMZXIQZQZYFXEURZYHMXDUUCMZGUUCOPZEMZYIUUBGYGUUCUUBXCY
      MYTUUCGMAXCYRUUAVEZYLYMYQUUAVFZYSYTXIUTZYFXEGVGSUUCYGMUUBUUCYFVHLVIYFXEVK
      VLVMVNUUBYFXEXDYLYMYQUUAVOYSYTXFXHVPVNUUBXGUUCOPZUUEEUUBXCUUCXEUEZYTUUJUU
      ETUUGUUKUUBYFXEVQVMUUIUUCXEGUBGVRSUUBXGBNZOPZEMZUUJEMBXGUUCUULUUCTUUMUUJE
      UULUUCXGOWAVSUUBFNZUULOPZEMZBUUORZUUNBXGRFEXGUUQUUNBUUOXGUUOXGTUUPUUMEUUO
      XGUULOWBVSVTAUURFERXCYRUUAAUUQFBEUUOIWCWDYSYTXFXHWEWFUUBXCYTYMUUCXGMUUGUU
      IUUHYFXEGUBGWGSWFWHYEUUDUUFQKUUCYHYAUUCTZYBUUDYDUUFYAUUCXDWJUUSYCUUEEYAUU
      CGOWAVSWIWKWLWMWNWOWPWQWSLCKEGWTWRXA $.
  $}

  ${
    $d j s u v x y z A $.  $d s u v x y B $.  $d s u v x y J $.
    $( An open subspace of a locally ` A ` space is also locally ` A ` .
       (Contributed by Mario Carneiro, 2-Mar-2015.) $)
    llyrest $p |- ( ( J e. Locally A /\ B e. J ) ->
      ( J |`t B ) e. Locally A ) $=
      ( vy vv vx wcel wa crest co ctop wrex wral sylan wss restopn2 w3a syl3anc
      cv wb clly cpw cin llytop resttop simp1l simp2l simp3 llyi simprl simprr1
      simpl2r sstrd adantr simpl1r syl2anc mpbir2and velpw sylibr elind simprr2
      syl wceq restabs simprr3 eqeltrd jca32 ex reximdv2 3expa ralrimiva sylbid
      mpd ralrimiv islly sylanbrc ) CAUAZGZBCGZHZCBIJZKGZDSZESZGZWAWDIJZAGZHZEW
      AFSZUBZUCZLZDWIMZFWAMWAVQGVRCKGZVSWBACUDZBCCUENVTWMFWAVTWIWAGZWICGZWIBOZH
      ZWMVRWNVSWPWSTWOBWICPNVTWSWMVTWSHWLDWIVTWSWCWIGZWLVTWSWTQZWDWIOZWECWDIJZA
      GZQZECLZWLXAVRWQWTXFVRVSWSWTUFZVTWQWRWTUGVTWSWTUHEAWCWICUIRXAXEWHECWKXAWD
      CGZXEHZWDWKGZWHHXAXIHZXJWEWGXKWAWJWDXKWDWAGZXHWDBOZXAXHXEUJXKWDWIBXBWEXDX
      HXAUKZWQWRVTWTXIULUMZXKWNVSXLXHXMHTXAWNXIXAVRWNXGWOVBUNZVRVSWSWTXIUOZBWDC
      PUPUQXKXBWDWJGXNEWIURUSUTXBWEXDXHXAVAXKWFXCAXKWNXMVSWFXCVCXPXOXQWDBCKCVDR
      XBWEXDXHXAVEVFVGVHVIVMVJVKVHVLVNFDEAWAVOVP $.

    $( An open subspace of an n-locally ` A ` space is also n-locally ` A ` .
       (Contributed by Mario Carneiro, 2-Mar-2015.) $)
    nllyrest $p |- ( ( J e. N-Locally A /\ B e. J ) ->
      ( J |`t B ) e. N-Locally A ) $=
      ( vs vy vx vu wcel wa crest co ctop cv cfv wrex wral wss syl3anc 3ad2ant1
      w3a cnlly csn cnei cpw cin nllytop resttop sylan wb restopn2 simp1l simp3
      simp2l nlly2i cuni simp3l simp3r2 simp2 simp12r sstrd syl simp11r syl2anc
      elpwid mpbir2and simp3r1 opnneip wceq elssuni eqid restuni sseqtrd ssnei2
      syl22anc elind restabs simp3r3 eqeltrd 3expa rexlimdvaa expimpd ralrimiva
      jca reximdv2 mpd ex sylbid ralrimiv isnlly sylanbrc ) CAUAZHZBCHZIZCBJKZL
      HZWODMZJKZAHZDEMZUBZWOUCNNZFMZUDZUEZOZEXCPZFWOPWOWKHWLCLHZWMWPACUFZBCCUGU
      HZWNXGFWOWNXCWOHZXCCHZXCBQZIZXGWLXHWMXKXNUIXIBXCCUJUHWNXNXGWNXNIXFEXCWNXN
      WTXCHZXFWNXNXOTZWTGMZHZXQWQQZCWQJKZAHZTZGCOZDXDOZXFXPWLXLXOYDWLWMXNXOUKZW
      NXLXMXOUMWNXNXOULGAWTXCCDUNRXPYCWSDXDXEXPWQXDHZYCWQXEHZWSIZXPYFIYBYHGCXPY
      FXQCHZYBIZYHXPYFYJTZYGWSYKXBXDWQYKWPXQXBHZXSWQWOUOZQWQXBHXPYFWPYJWNXNWPXO
      XJSSZYKWPXQWOHZXRYLYNYKYOYIXQBQZXPYFYIYBUPYKXQWQBXRXSYAYIXPYFUQZYKWQXCBYK
      WQXCXPYFYJURZVDXLXMWNXOYFYJUSUTZUTYKXHWMYOYIYPIUIYKWLXHXPYFWLYJYESXIVAZWL
      WMXNXOYFYJVBZBXQCUJVCVEXRXSYAYIXPYFVFWTWOXQVGRYQYKWQBYMYSYKXHBCUOZQZBYMVH
      YTYKWMUUCUUABCVIVABCUUBUUBVJVKVCVLXAWOWQXQYMYMVJVMVNYRVOYKWRXTAYKXHWQBQWM
      WRXTVHYTYSUUAWQBCLCVPRXRXSYAYIXPYFVQVRWCVSVTWAWDWEVSWBWFWGWHFEDAWOWIWJ $.

    $( If ` A ` is a local property, then both ` Locally A ` and
       ` N-Locally A ` simplify to ` A ` .  (Contributed by Mario Carneiro,
       2-Mar-2015.) $)
    loclly $p |- ( Locally A = A <-> N-Locally A = A ) $=
      ( vx vj clly wceq cnlly cv wcel wa crest co simprl simpl eleqtrrd llyrest
      simprr syl2anc eleqtrd restnlly id eqtrd nllyrest eqtr3d impbii ) ADZAEZA
      FZAEZUFUGUEAUFBACUFCGZAHZBGZUIHZIZIZUIUKJKZUEAUNUIUEHULUOUEHUNUIAUEUFUJUL
      LUFUMMZNUFUJULPAUKUIOQUPRSUFTUAUHUGUEAUHBACUHUMIZUOUGAUQUIUGHULUOUGHUQUIA
      UGUHUJULLUHUMMZNUHUJULPAUKUIUBQURRSUHTUCUD $.

    $( Idempotence of the "locally" predicate, i.e. being "locally ` A ` " is a
       local property.  (Contributed by Mario Carneiro, 2-Mar-2015.) $)
    llyidm $p |- Locally Locally A = Locally A $=
      ( vj vy vv vx vu clly cv wcel ctop wel crest co wa wrex wral w3a wss wtru
      adantr cpw cin llytop llyi simprr3 simprl ssidd 3ad2ant1 restopn2 syl2anc
      wb mpbir2and simprr2 syl3anc simpl syl6bi simprr1 sstrd velpw sylibr wceq
      elind simplrl restabs eqeltrrd jca32 syland reximdv2 rexlimddv ralrimivva
      ex mpd 3expb islly sylanbrc ssriv llyrest adantl a1i restlly mptru eqssi
      ) AGZGZWCBWDWCBHZWDIZWEJIZCDKZWEDHZLMZAIZNZDWEEHZUAZUBZOZCWMPEWEPWEWCIZWC
      WEUCZWFWPECWEWMWFEBKZCEKZWPWFWSWTQZFHZWMRZCFKZWEXBLMZWCIZQZWPFWEFWCCHZWMW
      EUDXAFBKZXGNZNZWIXBRZWHXEWILMZAIZQZDXEOZWPXKXFXBXEIZXDXPXCXDXFXIXAUEXKXQX
      IXBXBRZXAXIXGUFZXKXBUGXKWGXIXQXIXRNUKXAWGXJWFWSWGWTWRUHTZXSXBXBWEUIUJULXC
      XDXFXIXAUMDAXHXBXEUDUNXKXOWLDXEWOXKWIXEIZDBKZXOWIWOIZWLNZXKYAYBXLNZYBXKWG
      XIYAYEUKXTXSXBWIWEUIUJYBXLUOUPXKYBXONZYDXKYFNZYCWHWKYGWEWNWIXKYBXOUFYGWIW
      MRWIWNIYGWIXBWMXLWHXNYBXKUQZXKXCYFXCXDXFXIXAUQTURDWMUSUTVBXLWHXNYBXKUMYGX
      MWJAYGWGXLXIXMWJVAXKWGYFXTTYHXAXIXGYFVCWIXBWEJWEVDUNXLWHXNYBXKUEVEVFVKVGV
      HVLVIVMVJECDAWEVNVOVPWCWDRSEWCBWQWSNWEWMLMWCISAWMWEVQVRWCJRSBWCJAWEUCVPVS
      VTWAWB $.

    $( Idempotence of the "n-locally" predicate, i.e. being "n-locally
       ` A ` " is a local property.  (Use ~ loclly to show
       ` N-Locally N-Locally A = N-Locally A ` .)  (Contributed by Mario
       Carneiro, 2-Mar-2015.) $)
    nllyidm $p |- Locally N-Locally A = N-Locally A $=
      ( vj vv vy vx vu vz cv wcel ctop crest co wrex wel w3a wss syl3anc adantr
      wa wtru cnlly clly csn cnei cfv cpw wral llytop llyi simprr3 simprl ssidd
      cin wb simpl1 syl restopn2 syl2anc mpbir2and simprr2 cuni simpr2l simpr31
      nlly2i wi opnneip simpr32 simpr1 elpwid elssuni sstrd eqid ssnei2 simprr1
      syl22anc velpw sylibr elind restabs simpr33 eqeltrrd jca 3exp2 imp sylbid
      wceq rexlimdv expimpd reximdv2 rexlimddv 3expb ralrimivva isnlly sylanbrc
      mpd ssriv nllyrest adantl nllytop a1i restlly mptru eqssi ) AUAZUBZXDBXEX
      DBHZXEIZXFJIZXFCHZKLZAIZCDHZUCZXFUDUEUEZEHZUFZUMZMZDXOUGEXFUGXFXDIZXDXFUH
      ZXGXREDXFXOXGEBNZDENZXRXGYAYBOZFHZXOPZDFNZXFYDKLZXDIZOZXRFXFFXDXLXOXFUIYC
      FBNZYISZSZDGNZGHZXIPZYGXIKLZAIZOZGYGMZCYDUFZMZXRYLYHYDYGIZYFUUAYEYFYHYJYC
      UJYLUUBYJYDYDPZYCYJYIUKZYLYDULYLXHYJUUBYJUUCSUNYLXGXHXGYAYBYKUOXTUPZUUDYD
      YDXFUQURUSYEYFYHYJYCUTGAXLYDYGCVDQYLYSXKCYTXQYLXIYTIZYSXIXQIZXKSZYLUUFSZY
      RUUHGYGUUIYNYGIZGBNZYNYDPZSZYRUUHVEZYLUUJUUMUNZUUFYLXHYJUUOUUEUUDYDYNXFUQ
      URRYLUUFUUMUUNVEYLUUFUUMYRUUHYLUUFUUMYROZSZUUGXKUUQXNXPXIUUQXHYNXNIZYOXIX
      FVAZPXIXNIYLXHUUPUUERZUUQXHUUKYMUURUUTUUKUULUUFYRYLVBYMYOYQUUFUUMYLVCXLXF
      YNVFQYMYOYQUUFUUMYLVGUUQXIYDUUSUUQXIYDYLUUFUUMYRVHVIZUUQYJYDUUSPYLYJUUPUU
      DRZYDXFVJUPVKXMXFXIYNUUSUUSVLVMVOUUQXIXOPXIXPIUUQXIYDXOUVAYLYEUUPYEYFYHYJ
      YCVNRVKCXOVPVQVRUUQYPXJAUUQXHXIYDPYJYPXJWFUUTUVAUVBXIYDXFJXFVSQYMYOYQUUFU
      UMYLVTWAWBWCWDWEWGWHWIWOWJWKWLEDCAXFWMWNWPXDXEPTEXDBXSYASXFXOKLXDITAXOXFW
      QWRXDJPTBXDJAXFWSWPWTXAXBXC $.
  $}

  ${
    $d a j n t u v w x y z $.  $d s u v w x y A $.  $d x y V $.  $d u x y X $.
    $d s u v w x y z J $.
    $( A topology is locally a topology.  (Contributed by Mario Carneiro,
       2-Mar-2015.) $)
    toplly $p |- Locally Top = Top $=
      ( vj vx ctop clly cv llytop ssriv wss wtru wcel wa crest co resttop ssidd
      adantl restlly mptru eqssi ) CDZCATCCAEZFGCTHIBCAUACJBEZUAJKUAUBLMCJIUBUA
      UANPICOQRS $.

    $( A topology is n-locally a topology.  (Contributed by Mario Carneiro,
       2-Mar-2015.) $)
    topnlly $p |- N-Locally Top = Top $=
      ( ctop clly wceq cnlly toplly loclly mpbi ) ABACADACEAFG $.

    $( A Hausdorff space is locally Hausdorff.  (Contributed by Mario Carneiro,
       2-Mar-2015.) $)
    hauslly $p |- ( J e. Haus -> J e. Locally Haus ) $=
      ( vx vj cha clly wss wtru cv wcel wa crest co resthaus ctop haustop ssriv
      adantl a1i restlly mptru sseli ) DDEZADUBFGBDCCHZDIBHZUCIJUCUDKLDIGUDUCUC
      MQDNFGCDNUCOPRSTUA $.

    $( A Hausdorff space is n-locally Hausdorff iff it is locally Hausdorff
       (both notions are thus referred to as "locally Hausdorff").
       (Contributed by Mario Carneiro, 2-Mar-2015.) $)
    hausnlly $p |- ( J e. N-Locally Haus <-> J e. Locally Haus ) $=
      ( vx vj cnlly clly wceq wtru cv wcel wa crest co resthaus adantl restnlly
      cha mptru eleq2i ) PDZPEZASTFGBPCCHZPIBHZUAIJUAUBKLPIGUBUAUAMNOQR $.

    $( A compact Hausdorff space is locally compact.  (Contributed by Mario
       Carneiro, 2-Mar-2015.) $)
    hausllycmp $p |- ( ( J e. Haus /\ J e. Comp ) -> J e. N-Locally Comp ) $=
      ( vv vy vx vu vz wcel ccmp wa cv crest cfv wrex wral adantr wss cdif eqid
      co syl2anc cha ctop csn cnei cpw cin cnlly haustop ccl cuni simpll difssd
      crab ccld simplr ad2antrr simprl opncld cmpcld simprr wceq ad2antrl dfss4
      elssuni eleqtrrd hauscmplem sseq2d anbi2d rexbidv simprrl opnneip syl3anc
      sylib mpbid sscls clsss3 ssnei2 syl22anc simprrr elpw2 sylibr elind oveq2
      vex clscld eleq1d rspcev rexlimddv ralrimivva isnlly sylanbrc ) AUAGZAHGZ
      IZAUBGZABJZKSZHGZBCJZUCZAUDLLZDJZUEZUFZMZCXBNDANAHUGGWLWOWMAUHZOWNXEDCAXB
      WNXBAGZWSXBGZIZIZWSEJZGZXKAUILZLZXBPZIZXEEAXJXLXNAUJZXQXBQZQZPZIZEAMXPEAM
      XJFEBWSXRAWSWPGWPXMLXQFJQPIBAMFAUMZXQXQRZYBRWLWMXIUKXJXQXBULXJWMXRAUNLZGZ
      AXRKSHGWLWMXIUOZXJWOXGYEWLWOWMXIXFUPZWNXGXHUQXBAXQYCURTXRAUSTXJWSXBXSWNXG
      XHUTXJXBXQPZXSXBVAXGYHWNXHXBAVDVBXBXQVCVMZVEVFXJYAXPEAXJXTXOXLXJXSXBXNYIV
      GVHVIVNXJXKAGZXPIZIZXNXDGAXNKSZHGZXEYLXAXCXNYLWOXKXAGZXKXNPZXNXQPZXNXAGXJ
      WOYKYGOZYLWOYJXLYOYRXJYJXPUQXJYJXLXOVJWSAXKVKVLYLWOXKXQPZYPYRYJYSXJXPXKAV
      DVBZXKAXQYCVOTYLWOYSYQYRYTXKAXQYCVPTWTAXNXKXQYCVQVRYLXOXNXCGXJYJXLXOVSXNX
      BDWDVTWAWBYLWMXNYDGZYNXJWMYKYFOYLWOYSUUAYRYTXKAXQYCWETXNAUSTWRYNBXNXDWPXN
      VAWQYMHWPXNAKWCWFWGTWHWIDCBHAWJWK $.

    $( A closed subspace of a locally compact space is also locally compact.
       (The analogous result for open subspaces follows from the more general
       ~ nllyrest .)  (Contributed by Mario Carneiro, 2-Mar-2015.) $)
    cldllycmp $p |- ( ( J e. N-Locally Comp /\ A e. ( Clsd ` J ) ) ->
      ( J |`t A ) e. N-Locally Comp ) $=
      ( vv vy vx vu vw vs ccmp wcel wa crest co ctop cin wrex wceq wss syl3anc
      cv cnlly ccld cfv csn cnei cpw nllytop resttop sylan elrest simpll simprl
      wral simprr elin1d nlly2i cuni ad2antrr ad3antrrr simpllr simprlr elrestr
      w3a simprr1 simplrr elin2d elind opnneip simprr2 inss2 eqid cldss restuni
      ssrind syl syl2anc sseqtrid ssnei2 syl22anc simprll elpwid vex inex1 elpw
      sylibr a1i restabs inss1 eqtr4d simprr3 incom rspceeqv sylancl wb simplrl
      ineq1 elssuni sstrd restcld mpbird cmpcld eqeltrd oveq2 eleq1d rexlimdvva
      eqeltrid rspcev expr mpd anassrs ralrimiva pweq ineq2d rexeqdv raleqbi1dv
      syl5ibrcom rexlimdva sylbid ralrimiv isnlly sylanbrc ) BIUAZJZABUBUCZJZKZ
      BALMZNJZYGCTZLMZIJZCDTZUDZYGUEUCUCZETZUFZOZPZDYOUMZEYGUMYGYBJYCBNJZYEYHIB
      UGZABYDUHUIZYFYSEYGYFYOYGJYOFTZAOZQZFBPYSFYOABYBYDUJYFUUEYSFBYFUUCBJZKZYS
      UUEYKCYNUUDUFZOZPZDUUDUMUUGUUJDUUDYFUUFYLUUDJZUUJYFUUFUUKKZKZYLGTZJZUUNHT
      ZRZBUUPLMZIJZVCZGBPHUUCUFZPZUUJUUMYCUUFYLUUCJUVBYCYEUULUKYFUUFUUKULUUMUUC
      AYLYFUUFUUKUNUOGIYLUUCBHUPSUUMUUTUUJHGUVABUUMUUPUVAJZUUNBJZKZUUTUUJUUMUVE
      UUTKZKZUUPAOZUUIJYGUVHLMZIJZUUJUVGYNUUHUVHUVGYHUUNAOZYNJZUVKUVHRUVHYGUQZR
      UVHYNJYFYHUULUVFUUBURZUVGYHUVKYGJZYLUVKJUVLUVNUVGYTYEUVDUVOYCYTYEUULUVFUU
      AUSZYCYEUULUVFUTZUUMUVCUVDUUTVAUUNABNYDVBSUVGUUNAYLUUOUUQUUSUVEUUMVDUVGUU
      CAYLYFUUFUUKUVFVEVFVGYLYGUVKVHSUVGUUNUUPAUUOUUQUUSUVEUUMVIVNUVGAUVHUVMUUP
      AVJZUVGYTABUQZRZAUVMQUVPUVGYEUVTUVQABUVSUVSVKZVLVOABUVSUWAVMVPVQYMYGUVHUV
      KUVMUVMVKVRVSUVGUVHUUDRUVHUUHJUVGUUPUUCAUVGUUPUUCUUMUVCUVDUUTVTZWAZVNUVHU
      UDUUPAHWBWCWDWEVGUVGUVIUURUVHLMZIUVGUVIBUVHLMZUWDUVGYTUVHARZYEUVIUWEQUVPU
      WFUVGUVRWFUVQUVHABNYDWGSUVGYTUVHUUPRZUVCUWDUWEQUVPUWGUVGUUPAWHWFUWBUVHUUP
      BNUVAWGSWIUVGUUSUVHUURUBUCZJUWDIJUUOUUQUUSUVEUUMWJUVGUVHAUUPOZUWHUUPAWKUV
      GUWIUWHJZUWIYIUUPOZQCYDPZUVGYEUWIUWIQUWLUVQUWIVKCAYDUWKUWIUWIYIAUUPWPWLWM
      UVGYTUUPUVSRUWJUWLWNUVPUVGUUPUUCUVSUWCUVGUUFUUCUVSRYFUUFUUKUVFWOUUCBWQVOW
      RCUWIUUPBUVSUWAWSVPWTXFUVHUURXAVPXBYKUVJCUVHUUIYIUVHQYJUVIIYIUVHYGLXCXDXG
      VPXHXEXIXJXKYRUUJDYOUUDUUEYKCYQUUIUUEYPUUHYNYOUUDXLXMXNXOXPXQXRXSEDCIYGXT
      YA $.

    $( First-countability is a local property (unlike second-countability).
       (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    lly1stc $p |- Locally 1stc = 1stc $=
      ( vj vy vx vz vw vu vt vv vn c1stc cv wcel wel wss wa wrex wi wral adantr
      wceq va clly ctop com cdom wbr cpw cuni llytop crest co w3a simprr simprl
      ad3antrrr elssuni ad2antlr eqid restuni syl2anc eleqtrd 1stcclb cin elpwi
      cmpt crn adantl sselda wb simpllr restopn2 simplbda syldan df-ss simprbda
      sylib eqeltrd ineq1 cbvmptv fmptd frnd adantrr sylibr simprrl 1stcrestlem
      vex elpw2 syl ad2antrr elind eleq2 anbi2d rexbidv imbi12d simprrr elrestr
      syl3anc rspcdva mpd elin simplbi2com biantrud ssin bitrdi ssinss1 syl6bir
      sseq2 anim12d reximdva cvv inex1 rgenw sseq1 anbi12d rexrnmptw ax-mp expr
      syl6ibr ralrimiva breq1 imbi2d ralbidv rspcev syl12anc rexlimddv 3adantr1
      rexeq simpl topopn simpr llyi r19.29a is1stc2 sylanbrc ssriv wtru 1stctop
      1stcrest a1i restlly mptru eqssi ) JUBZJAUUCJAKZUUCLZUUDUCLZBKZUDUEUFZCDM
      ZCEMZEKZDKZNZOZEUUGPZQZDUUDRZOZBUUDUGZPZCUUDUHZRUUDJLZJUUDUIZUUEUUTCUVAUU
      ECKZUVALZOZFKZUVANZCFMZUUDUVGUJUKZJLZULZUUTFUUDUVFFAMZOZUVIUVKUUTUVHUVNUV
      IUVKOZOZGKZUDUEUFZCHMZCIMZIKZHKZNZOZIUVQPZQZHUVJRZOZUUTGUVJUGZUVPUVKUVDUV
      JUHZLUWHGUWIPUVNUVIUVKUMUVPUVDUVGUWJUVNUVIUVKUNZUVPUUFUVHUVGUWJTUUEUUFUVE
      UVMUVOUVCUOZUVMUVHUVFUVOUVGUUDUPUQUVGUUDUVAUVAURZUSUTVAGHIUVDUVJUWJUWJURV
      BUTUVPUVQUWILZUWHOZOZUAUVQUAKZUVGVCZVEZVFZUUSLZUWTUDUEUFZUUIUUNEUWTPZQZDU
      UDRZUUTUWPUWTUUDNZUXAUVPUWNUXFUWHUVPUWNOZUVQUUDUWSUXGIUVQUWAUVGVCZUUDUWSU
      XGIGMZOZUXHUWAUUDUXJUWAUVGNZUXHUWATUXGUXIUWAUVJLZUXKUXGUVQUVJUWAUWNUVQUVJ
      NUVPUVQUVJVDVGVHZUXGUXLIAMZUXKUXGUUFUVMUXLUXNUXKOVIUVPUUFUWNUWLSUVFUVMUVO
      UWNVJUVGUWAUUDVKUTZVLVMZUWAUVGVNVPUXGUXIUXLUXNUXMUXGUXLUXNUXKUXOVOVMVQUAI
      UVQUWRUXHUWQUWAUVGVRVSZVTWAWBUWTUUDAWFWGWCUWPUVRUXBUVPUWNUVRUWGWDUAUVQUWR
      WEWHUWPUXDDUUDUWPDAMZUUIUXCUWPUXRUUIOZOZUVTUWAUULUVGVCZNZOZIUVQPZUXCUXTUV
      DUYALZUYDUXTUULUVGUVDUWPUXRUUIUMUVPUVIUWOUXSUWKWIWJUXTUWFUYEUYDQHUVJUYAUW
      BUYATZUVSUYEUWEUYDUWBUYAUVDWKUYFUWDUYCIUVQUYFUWCUYBUVTUWBUYAUWAXGWLWMWNUW
      PUWGUXSUVPUWNUVRUWGWOSUXTUUFUVMUXRUYAUVJLUVPUUFUWOUXSUWLWIUWPUVMUXSUVFUVM
      UVOUWOVJSUWPUXRUUIUNUULUVGUUDUCUUDWPWQWRWSUWPUYDUXCQZUXSUVPUWNUYGUWHUXGUY
      DUVDUXHLZUXHUULNZOZIUVQPZUXCUXGUYCUYJIUVQUXJUVTUYHUYBUYIUXJUVIUVTUYHQUVPU
      VIUWNUXIUWKWIUYHUVTUVIUVDUWAUVGWTXAWHUXJUYBUWAUULNZUYIUXJUYLUYLUXKOUYBUXJ
      UXKUYLUXPXBUWAUULUVGXCXDUWAUVGUULXEXFXHXIUXHXJLZIUVQRUXCUYKVIUYMIUVQUWAUV
      GIWFXKXLUUNUYJIEUVQUXHUWSXJUXQUUKUXHTUUJUYHUUMUYIUUKUXHUVDWKUUKUXHUULXMXN
      XOXPXRWBSWSXQXSUURUXBUXEOBUWTUUSUUGUWTTZUUHUXBUUQUXEUUGUWTUDUEXTUYNUUPUXD
      DUUDUYNUUOUXCUUIUUNEUUGUWTYGYAYBXNYCYDYEYFUVFUUEUVAUUDLZUVEUVLFUUDPUUEUVE
      YHUVFUUFUYOUUEUUFUVEUVCSUUDUVAUWMYIWHUUEUVEYJFJUVDUVAUUDYKWQYLXSCBDEUUDUV
      AUWMYMYNYOJUUCNYPCJAUVBCAMOUUDUVDUJUKJLYPUVDUUDUUDYRVGJUCNYPAJUCUUDYQYOYS
      YTUUAUUB $.

    $( The discrete space ` ~P X ` is locally ` A ` if and only if every
       singleton space has property ` A ` .  (Contributed by Mario Carneiro,
       20-Mar-2015.) $)
    dislly $p |- ( X e. V -> ( ~P X e. Locally A <->
      A. x e. X ~P { x } e. A ) ) $=
      ( vy vu wcel cpw cv wral wa wss crest co wrex simplr snssd wceq ralrimiva
      syl2anc clly csn w3a simpr vex snelpw sylib vsnid a1i llyi syl3anc simpr1
      simpr2 eqssd oveq2d simplll restdis simpr3 eqeltrrd ex rexlimdvw mpd ctop
      eqtrd cin distop adantr wi elpwi adantl ssralv syl simprl sstrd snex elpw
      sylibr elind snidg ad2antrl simpll simprr eqeltrd eleq1d anbi12d syl12anc
      eleq2 oveq2 rspcev expr ralimdva syld imp an32s islly sylanbrc impbida )
      DCGZDHZBUAGZAIZUBZHZBGZADJZWRWTKZXDADXFXADGZKZEIZXBLZXAXIGZWSXIMNZBGZUCZE
      WSOZXDXHWTXBWSGZXAXBGZXOWRWTXGPXHXGXPXFXGUDXADAUEUFUGXQXHAUHUIEBXAXBWSUJU
      KXHXNXDEWSXHXNXDXHXNKZXLXCBXRXLWSXBMNZXCXRXIXBWSMXRXIXBXHXJXKXMULXRXAXIXH
      XJXKXMUMQUNUOXRWRXBDLZXSXCRZWRWTXGXNUPXRXADXFXGXNPQDXBCUQZTVDXHXJXKXMURUS
      UTVAVBSWRXEKZWSVCGZXAFIZGZWSYEMNZBGZKZFWSXIHZVEZOZAXIJZEWSJWTWRYDXEDCVFVG
      YCYMEWSWRXIWSGZXEYMWRYNKZXEYMYOXEXDAXIJZYMYOXIDLZXEYPVHYNYQWRXIDVIVJZXDAX
      IDVKVLYOXDYLAXIYOXKXDYLYOXKXDKZKZXBYKGXQXSBGZYLYTWSYJXBYTXTXPYTXBXIDYTXAX
      IYOXKXDVMQZYOYQYSYRVGVNZXBDXAVOZVPVQYTXBXILXBYJGUUBXBXIUUDVPVQVRXKXQYOXDX
      AXIVSVTYTXSXCBYTWRXTYAWRYNYSWAUUCYBTYOXKXDWBWCYIXQUUAKFXBYKYEXBRZYFXQYHUU
      AYEXBXAWGUUEYGXSBYEXBWSMWHWDWEWIWFWJWKWLWMWNSEAFBWSWOWPWQ $.

    $( A discrete space is locally compact.  (Contributed by Mario Carneiro,
       20-Mar-2015.) $)
    disllycmp $p |- ( X e. V -> ~P X e. Locally Comp ) $=
      ( vx wcel cpw ccmp clly csn wral cfn snfi discmp mpbi rgenw dislly mpbiri
      cv ) BADBEFGDCQZHZEFDZCBITCBSJDTRKSLMNCFABOP $.

    $( A discrete space is first-countable.  (Contributed by Mario Carneiro,
       21-Mar-2015.) $)
    dis1stc $p |- ( X e. V -> ~P X e. 1stc ) $=
      ( vx wcel cpw c1stc clly cv csn wral c2ndc ctg cfv ctop cvv ax-mp com wbr
      cfn mpbi wceq snex distop ctb cdom topbas csdm snfi pwfi isfinite sdomdom
      tgtop 2ndci mp2an eqeltrri 2ndc1stc rgenw dislly mpbiri lly1stc eleqtrdi
      ) BADZBEZFGZFVBVCVDDCHZIZEZFDZCBJVHCBVGKDVHVGLMZVGKVGNDZVIVGUAVFODVJVEUBV
      FOUCPZVGULPVGUDDZVGQUERZVIKDVJVLVKVGUFPVGQUGRZVMVGSDZVNVFSDVOVEUHVFUITVGU
      JTVGQUKPVGUMUNUOVGUPPUQCFABURUSUTVA $.
  $}

  ${
    $d f x A $.  $d f x J $.  $d f x X $.
    hauspwdom.1 $e |- X = U. J $.
    $( If ` X ` is a first-countable Hausdorff space, then the cardinality of
       the closure of a set ` A ` is bounded by ` NN ` to the power ` A ` .  In
       particular, a first-countable Hausdorff space with a dense subset ` A `
       has cardinality at most ` A ^ NN ` , and a separable first-countable
       Hausdorff space has cardinality at most ` ~P NN ` .  (Compare
       ~ hauspwpwdom to see a weaker result if the assumption of
       first-countability is omitted.)  (Contributed by Mario Carneiro,
       9-Apr-2015.) $)
    hausmapdom $p |- ( ( J e. Haus /\ J e. 1stc /\ A C_ X ) ->
      ( ( cls ` J ) ` A ) ~<_ ( A ^m NN ) ) $=
      ( vx vf cha wcel cfv cn cmap cdom cv wbr wa wex wb cvv 3ad2ant1 bitr4di
      c1stc wss w3a ccl clm co cima wrex 1stcelcls 3adant1 cuni uniexg eqeltrid
      wf simp3 ssexd elmapg sylancl anbi1d exbidv bitr4d df-rex vex elima eqrdv
      nnex wfun ovex lmfun imadomg mpsyl eqbrtrd ) BGHZBUAHZACUBZUCZABUDIIZBUEI
      ZAJKUFZUGZVSLVPEVQVTVPEMZVQHZFMZWAVRNZFVSUHZWAVTHVPWBWCVSHZWDOZFPZWEVPWBJ
      AWCUNZWDOZFPZWHVNVOWBWKQVMWAAFBCDUIUJVPWGWJFVPWFWIWDVPARHJRHWFWIQVPACRVPC
      BUKZRDVMVNWLRHVOBGULSUMVMVNVOUOUPVFAJWCRRUQURUSUTVAWDFVSVBTFWAVRVSEVCVDTV
      EVSRHVPVRVGZVTVSLNAJKVHVMVNWMVOBVISVSRVRVJVKVL $.

    $( Simplify the cardinal ` A ^ NN ` of ~ hausmapdom to ` ~P B = 2 ^ B `
       when ` B ` is an infinite cardinal greater than ` A ` .  (Contributed by
       Mario Carneiro, 9-Apr-2015.)  (Revised by Mario Carneiro,
       30-Apr-2015.) $)
    hauspwdom $p |- ( ( ( J e. Haus /\ J e. 1stc /\ A C_ X ) /\
      ( A ~<_ ~P B /\ NN ~<_ B ) ) -> ( ( cls ` J ) ` A ) ~<_ ~P B ) $=
      ( wcel cdom wbr cn wa cmap adantr c0 c1 c2o cen syl cvv cfn com cha c1stc
      wss w3a cpw ccl cfv co hausmapdom wceq wn simprr 1nn eleq2 mtbiri mapdom2
      noel sylancl csdm sdomdom adantl mapdom1 reldom brrelex2i ad2antll pw2eng
      mt2 ensym 3syl domentr syl2anc wb con0 onfin2 inss2 eqsstri sselii simprl
      cin 2onn brrelex1i fidomtri sylancr biimpar ccrd cdm numth3 nnenom ensymi
      endomtr simpr mappwen syl22anc endom syldan pm2.61dan domtr ) CUAFCUBFADU
      CUDZABUEZGHZIBGHZJZJZACUFUGUGZAIKUHZGHZXEWSGHZXDWSGHWRXFXBACDEUILXCXEABKU
      HZGHZXHWSGHZXGXCXAIMUJZAMUJZJZUKXIWRWTXAULZXMNIFZUMXKXOUKXLXKXONMFNUQIMNU
      NUOLVGIBAUPURXCAOUSHZXJXCXPJZXHOBKUHZGHZXRWSPHZXJXQAOGHZXSXPYAXCAOUTVAAOB
      VBQXCXTXPXCBRFZWSXRPHXTXAYBWRWTIBGVCVDVEZBRVFWSXRVHVILXHXRWSVJVKXCXPUKZOA
      GHZXJXCYEYDXCOSFARFZYEYDVLTSOTVMSVSSVNVMSVOVPVTVQXCWTYFWRWTXAVRZAWSGVCWAQ
      OARWBWCWDXCYEJZXHWSPHZXJYHBWEWFFZTBGHZYEWTYIXCYJYEXCYBYJYCBRWGQLXCYKYEXCT
      IPHXAYKITWHWIXNTIBWJWCLXCYEWKXCWTYEYGLABWLWMXHWSWNQWOWPXEXHWSWQVKXDXEWSWQ
      VK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Refinements
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Ref $.
  $( Extend class definition to include the refinement relation. $)
  cref $a class Ref $.

  $c PtFin $.
  $( Extend class definition to include the class of point-finite covers. $)
  cptfin $a class PtFin $.

  $c LocFin $.
  $( Extend class definition to include the class of locally finite covers. $)
  clocfin $a class LocFin $.

  ${
    $d w x y z $.
    $( Define the refinement relation.  (Contributed by Jeff Hankins,
       18-Jan-2010.) $)
    df-ref $a |- Ref = { <. x , y >. | ( U. y = U. x /\ A. z e. x E. w e. y z
    C_ w ) } $.
  $}

  ${
    $d x y z $.
    $( Define "point-finite."  (Contributed by Jeff Hankins, 21-Jan-2010.) $)
    df-ptfin $a |- PtFin = { x | A. y e. U. x { z e. x | y e. z } e. Fin } $.
  $}

  ${
    $d n p s x y $.
    $( Define "locally finite."  (Contributed by Jeff Hankins, 21-Jan-2010.)
       (Revised by Thierry Arnoux, 3-Feb-2020.) $)
    df-locfin $a |- LocFin = ( x e. Top |-> { y | ( U. x = U. y /\ A. p e. U. x
      E. n e. x ( p e. n /\ { s e. y | ( s i^i n ) =/= (/) } e. Fin ) ) } ) $.
  $}

  ${
    $d w x y z $.
    $( Refinement is a relation.  (Contributed by Jeff Hankins, 18-Jan-2010.)
       (Revised by Thierry Arnoux, 3-Feb-2020.) $)
    refrel $p |- Rel Ref $=
      ( vy vx vz vw cv cuni wceq wss wrex wral wa cref df-ref relopabiv ) AEZFB
      EZFGCEDEHDOICPJKBALBACDMN $.
  $}

  ${
    $d a b x A $.  $d a b x y B $.  $d a b C $.  $d a b X $.  $d a b Y $.
    isref.1 $e |- X = U. A $.
    isref.2 $e |- Y = U. B $.
    $( The property of being a refinement of a cover.  Dr.  Nyikos once
       commented in class that the term "refinement" is actually misleading and
       that people are inclined to confuse it with the notion defined in
       ~ isfne .  On the other hand, the two concepts do seem to have a dual
       relationship.  (Contributed by Jeff Hankins, 18-Jan-2010.)  (Revised by
       Thierry Arnoux, 3-Feb-2020.) $)
    isref $p |- ( A e. C -> ( A Ref B <-> ( Y = X /\ A. x e. A E. y e. B x C_ y
      ) ) ) $=
      ( vb va wcel cref wceq cv wrex wral wa cvv cuni wbr brrelex2i simpl simpr
      wss refrel anim2i 3eqtr3g uniexg adantr eqeltrd uniexb sylibr adantrr jca
      unieq eqtr4di eqeq2d raleq anbi12d eqeq1d rexeq ralbidv df-ref pm5.21nd
      brabg ) CELZCDMUAZGFNZAOBOUEZBDPZACQZRZVGDSLZRVHVNVGCDMUFUBUGVGVMRVGVNVGV
      MUCVGVIVNVLVGVIRZDTZSLVNVOVPCTZSVOGFVPVQVGVIUDIHUHVGVQSLVICEUIUJUKDULUMUN
      UOJOZTZKOZTZNZVJBVRPZAVTQZRVSFNZWCACQZRVMKJCDESMVTCNZWBWEWDWFWGWAFVSWGWAV
      QFVTCUPHUQURWCAVTCUSUTVRDNZWEVIWFVLWHVSGFWHVSVPGVRDUPIUQVAWHWCVKACVJBVRDV
      BVCUTKJABVDVFVE $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y X $.  $d x y Y $.
    refbas.1 $e |- X = U. A $.
    refbas.2 $e |- Y = U. B $.
    $( A refinement covers the same set.  (Contributed by Jeff Hankins,
       18-Jan-2010.)  (Revised by Thierry Arnoux, 3-Feb-2020.) $)
    refbas $p |- ( A Ref B -> Y = X ) $=
      ( vx vy cvv wcel cref wbr wceq refrel brrelex1i cv wss wrex wral isref
      simprbda mpancom ) AIJZABKLZDCMZABKNOUCUDUEGPHPQHBRGASGHABICDEFTUAUB $.
  $}

  ${
    $d y A $.  $d x y B $.  $d x y S $.
    $( Every set in a refinement has a superset in the original cover.
       (Contributed by Jeff Hankins, 18-Jan-2010.)  (Revised by Thierry Arnoux,
       3-Feb-2020.) $)
    refssex $p |- ( ( A Ref B /\ S e. A ) -> E. x e. B S C_ x ) $=
      ( vy cref wbr wcel cv wss wrex wral wi cvv brrelex1i cuni wceq eqid isref
      refrel simplbda mpancom sseq1 rexbidv rspccv syl imp ) BCFGZDBHZDAIZJZACK
      ZUHEIZUJJZACKZEBLZUIULMBNHZUHUPBCFTOUQUHCPZBPZQUPEABCNUSURUSRURRSUAUBUOUL
      EDBUMDQUNUKACUMDUJUCUDUEUFUG $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y X $.  $d x y Y $.
    ssref.1 $e |- X = U. A $.
    ssref.2 $e |- Y = U. B $.
    $( A subcover is a refinement of the original cover.  (Contributed by Jeff
       Hankins, 18-Jan-2010.)  (Revised by Thierry Arnoux, 3-Feb-2020.) $)
    ssref $p |- ( ( A e. C /\ A C_ B /\ X = Y ) -> A Ref B ) $=
      ( vx vy wcel wss wceq w3a cref wbr cv wrex wral eqcom wa biimpi 3ad2antl2
      3ad2ant3 ssel2 sseq2 rspcev sylancl ralrimiva wb isref 3ad2ant1 mpbir2and
      ssid ) ACJZABKZDELZMZABNOZEDLZHPZIPZKZIBQZHARZUPUNUSUOUPUSDESUAUCUQVCHAUQ
      UTAJZTUTBJZUTUTKZVCUOUNVEVFUPABUTUDUBUTUMVBVGIUTBVAUTUTUEUFUGUHUNUOURUSVD
      TUIUPHIABCDEFGUJUKUL $.
  $}

  ${
    $d x y A $.  $d x y V $.
    $( Reflexivity of refinement.  (Contributed by Jeff Hankins,
       18-Jan-2010.) $)
    refref $p |- ( A e. V -> A Ref A ) $=
      ( vx vy wcel cref wbr cuni wceq cv wss wrex wral wa eqid ssid sseq2 mpan2
      rspcev rgen pm3.2i isref mpbiri ) ABEAAFGAHZUDIZCJZDJZKZDALZCAMZNUEUJUDOZ
      UICAUFAEUFUFKZUIUFPUHULDUFAUGUFUFQSRTUACDAABUDUDUKUKUBUC $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    $( Refinement is transitive.  (Contributed by Jeff Hankins, 18-Jan-2010.)
       (Revised by Thierry Arnoux, 3-Feb-2020.) $)
    reftr $p |- ( ( A Ref B /\ B Ref C ) -> A Ref C ) $=
      ( vx vz vy cref wbr wa cuni cv wss wrex eqid refbas wi refssex adantr cvv
      wcel wceq wral sylan9eqr ad2ant2lr sstr2 reximdv ad2antll rexlimdvaa syld
      ex mpd ralrimiv wb refrel brrelex1i isref syl mpbir2and ) ABGHZBCGHZIZACG
      HZCJZAJZUAZDKZEKZLZECMZDAUBZUTUSVCBJZVDBCVKVCVKNZVCNZOABVDVKVDNZVLOUCVAVI
      DAVAVFATZVFFKZLZFBMZVIUSVOVRPUTUSVOVRFABVFQUJRVAVQVIFBVAVPBTZVQIIVPVGLZEC
      MZVIUTVSWAUSVQEBCVPQUDVQWAVIPVAVSVQVTVHECVFVPVGUEUFUGUKUHUIULVAASTZVBVEVJ
      IUMUSWBUTABGUNUORDEACSVDVCVNVMUPUQUR $.

    $( Adding the empty set preserves refinements.  (Contributed by Thierry
       Arnoux, 31-Jan-2020.) $)
    refun0 $p |- ( ( A Ref B /\ B =/= (/) ) -> ( A u. { (/) } ) Ref B ) $=
      ( vx vy cref wbr c0 wa cun cuni wceq cv wss wrex eqid adantr wcel syl cvv
      wb wne csn wral refbas elun refssex adantlr 0ss a1i reximdva0 elsni sseq1
      wo rexbidv adantl mpbird jaodan sylan2b ralrimiva brrelex1i unexg sylancl
      refrel p0ex uniun 0ex unisn uneq2i un0 3eqtrri isref mpbir2and ) ABEFZBGU
      AZHZAGUBZIZBEFZBJZAJZKZCLZDLZMZDBNZCVQUCZVMWAVNABVTVSVTOVSOZUDPVOWECVQWBV
      QQVOWBAQZWBVPQZUMWEWBAVPUEVOWHWEWIVMWHWEVNDABWBUFUGVOWIHWEGWCMZDBNZVOWKWI
      VMWJDBWJVMWCBQHWCUHUIUJPWIWEWKTZVOWIWBGKZWLWBGUKWMWDWJDBWBGWCULUNRUOUPUQU
      RUSVMVRWAWFHTZVNVMVQSQZWNVMASQVPSQWOABEVCUTVDAVPSSVAVBCDVQBSVTVSVQJVTVPJZ
      IVTGIVTAVPVEWPGVTGVFVGVHVTVIVJWGVKRPVL $.
  $}

  ${
    $d a x y A $.  $d a B $.  $d a x X $.
    isptfin.1 $e |- X = U. A $.
    $( The statement "is a point-finite cover."  (Contributed by Jeff Hankins,
       21-Jan-2010.) $)
    isptfin $p |- ( A e. B -> ( A e. PtFin <-> A. x e. X { y e. A | x e. y }
    e. Fin ) ) $=
      ( va cv wcel crab cfn cuni wral cptfin wceq unieq eqtr4di rabeq raleqbidv
      eleq1d df-ptfin elab2g ) AHBHIZBGHZJZKIZAUDLZMUCBCJZKIZAEMGCNDUDCOZUFUIAU
      GEUJUGCLEUDCPFQUJUEUHKUCBUDCRTSGABUAUB $.
  $}

  ${
    $d j n s x y A $.  $d j n x y J $.  $d j x y X $.  $d y Y $.
    islocfin.1 $e |- X = U. J $.
    islocfin.2 $e |- Y = U. A $.
    $( The statement "is a locally finite cover."  (Contributed by Jeff
       Hankins, 21-Jan-2010.) $)
    islocfin $p |- ( A e. ( LocFin ` J ) <-> ( J e. Top /\ X = Y /\ A. x e. X
      E. n e. J ( x e. n /\ { s e. A | ( s i^i n ) =/= (/) } e. Fin ) ) ) $=
      ( vj vy clocfin wcel ctop wceq cv cfn wa cuni cvv cfv cin c0 wne crab w3a
      wrex wral cab df-locfin mptrcl cpw wss eqimss2 sspwuni sylibr velpw abssi
      adantr topopn pwexg 3syl ssexg sylancr unieq eqtr4di eqeq1d rexeq anbi12d
      abbidv fvmptg mpdan eleq2d elex adantl simpr eqtrdi eqeltrrd elexd uniexb
      raleqbidv adantrr eqeq2d rabeq eleq1d anbi2d rexbidv elabg pm5.21nd bitrd
      ralbidv biadanii 3anass bitr4i ) BDLUAZMZDNMZEFOZAPCPZMZGPWSUBUCUDZGBUEZQ
      MZRZCDUGZAEUHZRZRWQWRXFUFWPWQXGJNJPZSZKPZSZOZWTXAGXJUEZQMZRZCXHUGZAXIUHZR
      ZKUIZLBDJKCGAUJZUKWQWPBEXKOZXOCDUGZAEUHZRZKUIZMZXGWQWOYEBWQYETMZWOYEOWQYE
      EULZULZUMYITMZYGYDKYIYAXJYIMZYCYAXJYHUMZYKYAXKEUMYLXKEUNXJEUOUPKYHUQUPUSU
      RWQEDMZYHTMYJDEHUTZEDVAYHTVAVBYEYITVCVDJDXSYENTLXHDOZXRYDKYOXLYAXQYCYOXIE
      XKYOXIDSEXHDVEHVFZVGYOXPYBAXIEYPXOCXHDVHWAVIVJXTVKVLVMWQYFXGBTMZYFYQWQBYE
      VNVOWQWRYQXFWQWRRZBSZTMYQYRYSDYREYSDYREFYSWQWRVPIVQWQYMWRYNUSVRVSBVTUPWBY
      DXGKBTXJBOZYAWRYCXFYTXKFEYTXKYSFXJBVEIVFWCYTYBXEAEYTXOXDCDYTXNXCWTYTXMXBQ
      XAGXJBWDWEWFWGWKVIWHWIWJWLWQWRXFWMWN $.
  $}

  ${
    $d x y A $.
    $( A finite cover is a point-finite cover.  (Contributed by Jeff Hankins,
       21-Jan-2010.) $)
    finptfin $p |- ( A e. Fin -> A e. PtFin ) $=
      ( vx vy cfn wcel cptfin wel crab cuni wral rabfi ralrimivw isptfin mpbird
      eqid ) ADEZAFEBCGZCAHDEZBAIZJPRBSQCAKLBCADSSOMN $.
  $}

  ${
    $d p x A $.  $d p x P $.  $d p x X $.
    ptfinfin.1 $e |- X = U. A $.
    $( A point covered by a point-finite cover is only covered by finitely many
       elements.  (Contributed by Jeff Hankins, 21-Jan-2010.) $)
    ptfinfin $p |- ( ( A e. PtFin /\ P e. X )
        -> { x e. A | P e. x } e. Fin ) $=
      ( vp cptfin wcel cv crab cfn wral wi isptfin ibi wceq eleq1 eleq1d rspccv
      rabbidv syl imp ) BGHZCDHZCAIZHZABJZKHZUCFIZUEHZABJZKHZFDLZUDUHMUCUMFABGD
      ENOULUHFCDUICPZUKUGKUNUJUFABUICUEQTRSUAUB $.
  $}

  ${
    $d n s x A $.  $d n s x J $.  $d n s x X $.  $d n s x Y $.
    finlocfin.1 $e |- X = U. J $.
    finlocfin.2 $e |- Y = U. A $.
    $( A finite cover of a topological space is a locally finite cover.
       (Contributed by Jeff Hankins, 21-Jan-2010.) $)
    finlocfin $p |- ( ( J e. Top /\ A e. Fin /\ X = Y ) ->
      A e. ( LocFin ` J ) ) $=
      ( vx vn vs ctop wcel cfn wceq w3a cv cin c0 wne crab wa wrex wral clocfin
      cfv simp1 simp3 simpl1 topopn syl simpr simpl2 ssrab2 sylancl eleq2 ineq2
      wss ssfi neeq1d rabbidv eleq1d anbi12d rspcev syl12anc ralrimiva islocfin
      syl3anbrc ) BJKZALKZCDMZNZVGVIGOZHOZKZIOZVLPZQRZIASZLKZTZHBUAZGCUBABUCUDK
      VGVHVIUEVGVHVIUFVJVTGCVJVKCKZTZCBKZWAVNCPZQRZIASZLKZVTWBVGWCVGVHVIWAUGBCE
      UHUIVJWAUJWBVHWFAUPWGVGVHVIWAUKWEIAULAWFUQUMVSWAWGTHCBVLCMZVMWAVRWGVLCVKU
      NWHVQWFLWHVPWEIAWHVOWDQVLCVNUOURUSUTVAVBVCVDGAHBCDIEFVEVF $.
  $}

  ${
    $d n s x A $.  $d n s x J $.  $d n s x X $.  $d n s x Y $.
    $( A locally finite cover covers a topological space.  (Contributed by Jeff
       Hankins, 21-Jan-2010.) $)
    locfintop $p |- ( A e. ( LocFin ` J ) -> J e. Top ) $=
      ( vs vn vx clocfin cfv wcel ctop cuni wceq cv cin c0 wne crab cfn wa wrex
      eqid wral islocfin simp1bi ) ABFGHBIHBJZAJZKCLDLZHELUFMNOEAPQHRDBSCUDUACA
      DBUDUEEUDTUETUBUC $.

    locfinbas.1 $e |- X = U. J $.
    locfinbas.2 $e |- Y = U. A $.
    $( A locally finite cover must cover the base set of its corresponding
       topological space.  (Contributed by Jeff Hankins, 21-Jan-2010.) $)
    locfinbas $p |- ( A e. ( LocFin ` J ) -> X = Y ) $=
      ( vs vn vx clocfin cfv wcel ctop wceq cv cin c0 wne crab cfn wa wrex wral
      islocfin simp2bi ) ABJKLBMLCDNGOHOZLIOUFPQRIASTLUAHBUBGCUCGAHBCDIEFUDUE
      $.
  $}

  ${
    $d n s x A $.  $d n x J $.  $d n x P $.  $d x X $.
    locfinnei.1 $e |- X = U. J $.
    $( A point covered by a locally finite cover has a neighborhood which
       intersects only finitely many elements of the cover.  (Contributed by
       Jeff Hankins, 21-Jan-2010.) $)
    locfinnei $p |- ( ( A e. ( LocFin ` J ) /\ P e. X ) ->
      E. n e. J ( P e. n /\ { s e. A | ( s i^i n ) =/= (/) } e. Fin ) ) $=
      ( vx clocfin cfv wcel cv cin c0 wne crab cfn wa wrex wceq wral ctop eleq1
      cuni eqid islocfin simp3bi anbi1d rexbidv rspccva sylan ) ADIJKZHLZCLZKZF
      LUNMNOFAPQKZRZCDSZHEUAZBEKBUNKZUPRZCDSZULDUBKEAUDZTUSHACDEVCFGVCUEUFUGURV
      BHBEUMBTZUQVACDVDUOUTUPUMBUNUCUHUIUJUK $.
  $}

  ${
    $d n s x A $.  $d n s x B $.  $d n s x J $.
    $( A locally finite cover is point-finite.  (Contributed by Jeff Hankins,
       21-Jan-2010.)  (Proof shortened by Mario Carneiro, 11-Sep-2015.) $)
    lfinpfin $p |- ( A e. ( LocFin ` J ) -> A e. PtFin ) $=
      ( vx vs vn clocfin cfv wcel cptfin cv crab cfn cuni wral wa cin c0 expcom
      eqid wi wne locfinbas eleq2d biimpar locfinnei syldan wss inelcm ad2antlr
      wrex ss2rabdv ssfi syl expimpd rexlimdvw mpd ralrimiva isptfin mpbird ) A
      BFGZHZAIHCJZDJZHZDAKZLHZCAMZNVAVFCVGVAVBVGHZOZVBEJZHZVCVJPQUAZDAKZLHZOZEB
      UJZVFVAVHVBBMZHZVPVAVRVHVAVQVGVBABVQVGVQSZVGSZUBUCUDAVBEBVQDVSUEUFVIVOVFE
      BVIVKVNVFVIVKOZVEVMUGZVNVFTWAVDVLDAVKVDVLTVIVCAHVDVKVLVBVCVJUHRUIUKVNWBVF
      VMVEULRUMUNUOUPUQCDAUTVGVTURUS $.

    $( Adding a finite set preserves locally finite covers.  (Contributed by
       Thierry Arnoux, 31-Jan-2020.) $)
    lfinun $p |- ( ( A e. ( LocFin ` J ) /\ B e. Fin /\ U. B C_ U. J )
      -> ( A u. B ) e. ( LocFin ` J ) ) $=
      ( vx vn vs clocfin cfv wcel cfn cuni w3a cun wceq crab wrex ad2antrr eqid
      cv wa wss ctop cin wne wral locfintop ssequn2 biimpi adantl uneq1d eqtr3d
      c0 locfinbas uniun eqtr4di locfinnei ad4ant14 simpr rabfi ad2antlr rabun2
      wi unfi eqeltrid syl2anc anim2d reximdv mpd ralrimiva 3jca 3impa islocfin
      ex sylibr ) ACGHZIZBJIZBKZCKZUAZLCUBIZVSABMZKZNZDSZESZIZFSWFUCULUDZFWBOZJ
      IZTZECPZDVSUEZLZWBVOIVPVQVTWNVPVQTZVTTZWAWDWMVPWAVQVTACUFQWPVSAKZVRMZWCWP
      VSVRMZVSWRVTWSVSNZWOVTWTVRVSUGUHUIWPVSWQVRVPVSWQNVQVTACVSWQVSRZWQRUMQUJUK
      ABUNUOWPWLDVSWPWEVSIZTZWGWHFAOZJIZTZECPZWLVPXBXGVQVTAWEECVSFXAUPUQXCXFWKE
      CXCXEWJWGWOXEWJVBVTXBWOXEWJWOXETXEWHFBOZJIZWJWOXEURVQXIVPXEWHFBUSUTXEXITW
      IXDXHMJWHFABVAXDXHVCVDVEVMQVFVGVHVIVJVKDWBECVSWCFXAWCRVLVN $.
  $}

  ${
    $d c o s x y C $.  $d c o s x y J $.  $d o s x y X $.
    locfincmp.1 $e |- X = U. J $.
    locfincmp.2 $e |- Y = U. C $.
    $( For a compact space, the locally finite covers are precisely the finite
       covers.  Sadly, this property does not properly characterize all compact
       spaces.  (Contributed by Jeff Hankins, 22-Jan-2010.)  (Proof shortened
       by Mario Carneiro, 11-Sep-2015.) $)
    locfincmp $p |- ( J e. Comp ->
        ( C e. ( LocFin ` J ) <-> ( C e. Fin /\ X = Y ) ) ) $=
      ( vc vs vo vx vy wcel cfn wceq wa c0 wss cv wrex wel ccmp clocfin cfv csn
      cdif cun cuni cin wne crab wral cpw locfinnei ralrimiva cmpcov2 sylan2 wi
      elfpw ciun simplrr eldifsn wex ineq1 neeq1d simplrl simprr inelcm syl2anc
      elrabd elunii eleqtrrdi ancoms adantl locfinbas ad3antrrr eleqtrrd simplr
      eleqtrd eluni2 sylib reximddv expr exlimdv n0 eliun 3imtr4g expimpd ssrdv
      syl5bi iunfi ssfi expcom sylan9 sylan2b rexlimdva snfi unfi sylancl ssun1
      ex mpd undif1 sseqtrri jca ctop cmptop finlocfin 3expib syl impbid ) BUAL
      ZABUBUCLZAMLZCDNZOZXKXLXOXKXLOZXMXNXPAPUDZUEZXQUFZMLZAXSQXMXPXRMLZXQMLXTX
      PCGRZUGZNZHRZIRZUHZPUIZHAUJZMLZIYBUKZOZGBULMUHZSZYAXLXKJITYJOIBSZJCUKYNXL
      YOJCAJRZIBCHEUMUNYJJIBCGEUOUPXPYLYAGYMYBYMLXPYBBQZYBMLZOZYLYAUQYBBURXPYSO
      ZYDYKYAYTYDOZYRXRIYBYIUSZQZYKYAUQXPYQYRYDUTUUAJXRUUBYPXRLYPALZYPPUIZOUUAY
      PUUBLZYPAPVAUUAUUDUUEUUFUUAUUDOZKJTZKVBYPYILZIYBSZUUEUUFUUGUUHUUJKUUAUUDU
      UHUUJUUAUUDUUHOZOZKITZUUIIYBUULIGTZUUMOZOZYHYPYFUHZPUIZHYPAYEYPNYGUUQPYEY
      PYFVCVDUUAUUDUUHUUOVEUUPUUHUUMUURUUAUUDUUHUUOUTUULUUNUUMVFKRZYPYFVGVHVIUU
      LUUSYCLUUMIYBSUULUUSCYCUULUUSDCUUKUUSDLZUUAUUHUUDUUTUUHUUDOUUSAUGDUUSYPAV
      JFVKVLVMXPXNYSYDUUKXLXNXKABCDEFVNVMZVOVPYTYDUUKVQVRIUUSYBVSVTWAWBWCKYPWDI
      YPYBYIWEWFWGWIWHYRYKUUBMLZUUCYAYRYKUVBIYBYIWJWTUVBUUCYAUUBXRWKWLWMVHWGWNW
      OXAPWPXRXQWQWRAAXQUFXSAXQWSAXQXBXCXSAWKWRUVAXDWTXKBXELZXOXLUQBXFUVCXMXNXL
      ABCDEFXGXHXIXJ $.
  $}

  ${
    $d C u x y z $.  $d V u x y z $.  $d X u x y z $.  $d Y u x y $.
    dissnref.c $e |- C = { u | E. x e. X u = { x } } $.
    $( Taking the union of the set of singletons recovers the initial set.
       (Contributed by Thierry Arnoux, 9-Jan-2020.) $)
    unisngl $p |- X = U. C $=
      ( vy cuni cv csn wceq wrex cab unieqi wcel wa simpl simpr eleqtrd exlimiv
      wex eqid snex eleq2 eqeq1 anbi12d spcev mpan2 impbii equcom 3bitri rexbii
      velsn r19.42v exbii rexcom4 eluniab 3bitr4ri risset 3bitr4i eqriv eqtr2i
      ) CGBHZAHZIZJZADKZBLZGZDCVGEMFVHDFHZVBNZVEOZBTZADKZVCVIJZADKVIVHNZVIDNVLV
      NADVLVIVDNZVIVCJVNVLVPVKVPBVKVIVBVDVJVEPVJVEQRSVPVDVDJZVLVDUAVKVPVQOBVDVC
      UBVEVJVPVEVQVBVDVIUCVBVDVDUDUEUFUGUHFVCULFAUIUJUKVKADKZBTVJVFOZBTVMVOVRVS
      BVJVEADUMUNVKABDUOVFBVIUPUQAVIDURUSUTVA $.

    $( The set of singletons is a refinement of any open covering of the
       discrete topology.  (Contributed by Thierry Arnoux, 9-Jan-2020.) $)
    dissnref $p |- ( ( X e. V /\ U. Y = X ) -> C Ref Y ) $=
      ( vy wcel cuni wceq wa cv wss wrex simpr simplr r19.29a cvv eqid cref wbr
      wral unisngl eqtrdi simprr snssd eqsstrd simp-4r eleqtrrd eluni2 reximddv
      csn sylib abeq2i biimpi adantl ralrimiva cpw pwexg snelpwi ad2antlr ssriv
      wb eqeltrd a1i ssexd adantr isref syl mpbir2and ) EDIZFJZEKZLZCFUAUBZVMCJ
      ZKZBMZHMZNZHFOZBCUCZVOVMEVQVLVNPABCEGUDUEVOWBBCVOVSCIZLZVSAMZUMZKZWBAEWEW
      FEIZLZWHLZWFVTIZWAHFWKVTFIZWLLZLZVSWGVTWJWHWNQWOWFVTWKWMWLUFUGUHWKWFVMIWL
      HFOWKWFEVMWEWIWHQVLVNWDWIWHUIUJHWFFUKUNULWDWHAEOZVOWDWPWPBCGUOUPZUQRURVOC
      SIZVPVRWCLVDVLWRVNVLCEUSZSEDUTCWSNVLBCWSWDWHVSWSIAEWDWILZWHLVSWGWSWTWHPWI
      WGWSIWDWHWFEVAVBVEWQRVCVFVGVHBHCFSVQVMVQTVMTVIVJVK $.

    $( The set of singletons is locally finite in the discrete topology.
       (Contributed by Thierry Arnoux, 9-Jan-2020.) $)
    dissnlocfin $p |- ( X e. V -> C e. ( LocFin ` ~P X ) ) $=
      ( vz vy wcel wceq cv cin c0 wne crab cfn wa wrex csn adantl cpw ctop wral
      clocfin cfv distop eqidd snelpwi vsnid a1i nfv nfrab1 abeq2i anbi1i simpr
      wn simplr ineq1d disjsn2 eqtrd simp-4r neneqd pm2.65da nne sylib r19.29an
      nfcv sneqd an32s anasss sneq rspceeqv adantll eqtrdi vex snnz eqnetrd jca
      inidm impbida syl5bb rabid velsn 3bitr4g eqrd eqeltrdi eleq2 ineq2 neeq1d
      snfi rabbidv eleq1d anbi12d rspcev syl12anc ralrimiva cuni eqcomi unisngl
      unipw islocfin syl3anbrc ) EDIZEUAZUBIEEJGKZHKZIZBKZXFLZMNZBCOZPIZQZHXDRZ
      GEUCCXDUDUEIEDUFXCEUGXCXNGEXCXEEIZQZXESZXDIZXEXQIZXHXQLZMNZBCOZPIZXNXOXRX
      CXEEUHTXSXPGUIUJXPYBXQSZPXPBYBYDXPBUKYABCULBYDVGXPXHCIZYAQZXHXQJZXHYBIXHY
      DIYFXHAKZSZJZAERZYAQZXPYGYEYKYAYKBCFUMUNXPYLYGXPYKYAYGXPYAYKYGXPYAQZYJYGA
      EYMYHEIZQZYJQZXHYIXQYOYJUOYPYHXEYPYHXENZUPYHXEJYPYQXTMJYPYQQZXTYIXQLZMYRX
      HYIXQYOYJYQUQURYQYSMJYPYHXEUSTUTYRXTMXPYAYNYJYQVAVBVCYHXEVDVEVHUTVFVIVJXP
      YGQZYKYAXOYGYKXCAXEEYIXQXHYHXEVKVLVMYTXTXQMYTXTXQXQLXQYTXHXQXQXPYGUOURXQV
      SVNXQMNYTXEGVOVPUJVQVRVTWAYABCWBBXQWCWDWEXQWJWFXMXSYCQHXQXDXFXQJZXGXSXLYC
      XFXQXEWGUUAXKYBPUUAXJYABCUUAXIXTMXFXQXHWHWIWKWLWMWNWOWPGCHXDEEBXDWQEEWTWR
      ABCEFWSXAXB $.
  $}

  ${
    $d s x y C $.  $d x y X $.  $d s x Y $.
    locfindis.1 $e |- Y = U. C $.
    $( The locally finite covers of a discrete space are precisely the
       point-finite covers.  (Contributed by Jeff Hankins, 22-Jan-2010.)
       (Proof shortened by Mario Carneiro, 11-Sep-2015.) $)
    locfindis $p |- ( C e. ( LocFin ` ~P X ) <-> ( C e. PtFin /\ X = Y ) ) $=
      ( vx vy vs wcel cptfin wceq wa cuni cv cin c0 wne crab cfn cvv adantl cpw
      clocfin cfv lfinpfin unipw eqcomi locfinbas ctop wrex wral simpr eqeltrid
      jca uniexg adantr eqeltrd distop syl snelpwi snidg simpll eleq2d ptfinfin
      csn biimpa syl2anc eleq2 neeq1d disjsn necon2abii bitr4di rabbidv anbi12d
      ineq2 eleq1d rspcev syl12anc ralrimiva islocfin syl3anbrc impbii ) ABUAZU
      BUCHZAIHZBCJZKZWCWDWEAWBUDAWBBCWBLBBUEUFZDUGUMWFWBUHHZWEEMZFMZHZGMZWJNZOP
      ZGAQZRHZKZFWBUIZEBUJWCWFBSHWHWFBCSWDWEUKZWDCSHWEWDCALSDAIUNULUOUPBSUQURWS
      WFWREBWFWIBHZKZWIVDZWBHZWIXBHZWIWLHZGAQZRHZWRWTXCWFWIBUSTWTXDWFWIBUTTXAWD
      WICHZXGWDWEWTVAWFWTXHWFBCWIWSVBVEGAWICDVCVFWQXDXGKFXBWBWJXBJZWKXDWPXGWJXB
      WIVGXIWOXFRXIWNXEGAXIWNWLXBNZOPXEXIWMXJOWJXBWLVNVHXEXJOWLWIVIVJVKVLVOVMVP
      VQVREAFWBBCGWGDVSVTWA $.
  $}

  ${
    $d n s x y J $.  $d n x y K $.  $d n s x y X $.
    locfincf.1 $e |- X = U. J $.
    $( A locally finite cover in a coarser topology is locally finite in a
       finer topology.  (Contributed by Jeff Hankins, 22-Jan-2010.)  (Proof
       shortened by Mario Carneiro, 11-Sep-2015.) $)
    locfincf $p |- ( ( K e. ( TopOn ` X ) /\ J C_ K ) ->
      ( LocFin ` J ) C_ ( LocFin ` K ) ) $=
      ( vx vy vn vs cfv wcel wa clocfin cv cuni wceq wrex ad2antrr eqid adantl
      ex ctopon wss ctop cin c0 wne crab cfn topontop toponuni locfinbas eqtr3d
      wral eleq2d locfinnei wi ssrexv sylan9r ralrimiv islocfin syl3anbrc ssrdv
      sylbird ) BCUAIJZABUBZKZEALIZBLIZVFEMZVGJZVIVHJZVFVJKZBUCJZBNZVINZOFMZGMZ
      JHMVQUDUEUFHVIUGUHJKZGBPZFVNUMVKVDVMVEVJCBUIQVLCVNVOVDCVNOVEVJCBUJQZVJCVO
      OVFVIACVODVORZUKSULVLVSFVNVLVPVNJVPCJZVSVLCVNVPVTUNVJWBVRGAPZVFVSVJWBWCVI
      VPGACHDUOTVEWCVSUPVDVRGABUQSURVCUSFVIGBVNVOHVNRWAUTVATVB $.
  $}

  ${
    $d a b c d f p q s x z J $.  $d a b c d f p q s x z X $.
    comppfsc.1 $e |- X = U. J $.
    $( A space where every open cover has a point-finite subcover is compact.
       This is significant in part because it shows half of the proposition
       that if only half the generalization in the definition of
       metacompactness (and consequently paracompactness) is performed, one
       does not obtain any more spaces.  (Contributed by Jeff Hankins,
       21-Jan-2010.)  (Proof shortened by Mario Carneiro, 11-Sep-2015.) $)
    comppfsc $p |- ( J e. Top -> ( J e. Comp <->
      A. c e. ~P J ( X = U. c -> E. d e. PtFin ( d C_ c /\ X = U. d ) ) ) ) $=
      ( vs vp vz vq wcel cv cuni wceq wss wa wi wral cfn syl c0 va vb ctop ccmp
      vx vf cptfin wrex cpw elpwi w3a cin cmpcov elfpw finptfin anassrs ancom1s
      anim1i sylanb reximi2 3exp syl5 ralrimiv 0elpw 0fin elini eqtrdi rspceeqv
      unieq uni0 mpan a1i13 wne wex n0 wel eleq2d biimpd eluni2 syl6ib cun cmpt
      simp2 ciun simpl3 simprl sseldd elssuni sseqtrrdi ralrimivw iunss ssequn1
      crn sylibr sylib simpl2 uniiun uneq2d eqtr3d iunun vex unex dfiun3 eqtr3i
      simpll1 adantr sselda unopn syl3anc fmpttd frnd wb elpw2g 3ad2ant1 mpbird
      eqeq2d sseq2 anbi1d rexbidv imbi12d rspcv mpid crab ssel2 adantrr syl2anc
      simprr 3ad2antl3 eqid expcom ad2antll cvv rgenw ax-mp snssd unssd exlimdv
      ad2antrr ex syld elunii eleqtrrdi eleqtrd ptfinfin elun1 ralrnmptw ssralv
      eleq2 sylc rabid2 eleq1d biimprd wf cfv cab rnmpt sseqtrdi ssabral ac6sfi
      uneq2 csn frn wfo wfn simprrl ffnd fofi snfi unfi sylancl simplrr simprrr
      dffn4 iuneq2 syl5eq eqtrd ssun2 vsnid sselii fvssunirn ssun1 unissi sstri
      sylanbrc unssi mpbir eqsstrdi sstrd uniss eqssd expr 3syld com23 rexlimdv
      mpdd rexlimdvaa syl5bi pm2.61dne syl3an3 com24 iscmp baibr sylibd impbid2
      ralrimdv ) AUCJZAUDJZBCKZLZMZDKZUXHNZBUXKLZMZOZDUGUHZPZCAUIZQZUXGUXQCUXRU
      XHUXRJUXHANZUXGUXQUXHAUJUXGUXTUXJUXPUXGUXTUXJUKUXNDUXHUIRULZUHUXPUXHABDEU
      MUXNUXODUYAUGUXKUYAJUXLUXKRJZOUXNUXKUGJZUXOOZUXKUXHUNUYBUXLUXNUYDUYBUXLUX
      NUYDUYBUYCUXOUXKUOURUPUQUSUTSVAVBVCUXFUXSBUAKZLZMZBUBKZLZMUBUYEUIZRULZUHZ
      PZUAUXRQZUXGUXFUXSUYMUAUXRUXFUYGUYEUXRJZUXSUYLUXFUYGUYOUXSUYLPZUYOUXFUYGU
      YEANZUYPUYEAUJUXFUYGUYQUKZUYPBTUYRBTMZUXSUYLTUYKJUYSUYLTUYJRUYEVDVEVFUBTU
      YKUYITBUYHTMUYITLTUYHTVIVJVGVHVKVLBTVMUEKZBJZUEVNUYRUYPUEBVOUYRVUAUYPUEUY
      RVUAUEFVPZFUYEUHZUYPUYRVUAUYTUYFJZVUCUYRVUAVUDUYRBUYFUYTUXFUYGUYQWCVQVRFU
      YTUYEVSVTUYRVUBUYPFUYEUYRFUAVPZVUBOZOZUXSUXKGUYEFKZGKZWAZWBZWMZNZUXNOZDUG
      UHZUYLVUGUXSBVULLZMZVUOVUGBGUYEVUHWDZGUYEVUIWDZWAZVUPVUGVURBWAZBVUTVUGVUR
      BNZVVABMVUGVUHBNZGUYEQVVBVUGVVCGUYEVUGVUHAJZVVCVUGUYEAVUHUXFUYGUYQVUFWEZU
      YRVUEVUBWFZWGZVVDVUHALZBVUHAWHEWISWJGUYEVUHBWKWNVURBWLWOVUGBVUSVURVUGBUYF
      VUSUXFUYGUYQVUFWPGUYEWQVGWRWSGUYEVUJWDVUTVUPGUYEVUHVUIWTGUYEVUJVUHVUIFXAG
      XAXBZXCXDVGVUGVULUXRJZUXSVUQVUOPZPVUGVVJVULANZVUGUYEAVUKVUGGUYEVUJAVUGGUA
      VPZOUXFVVDVUIAJVUJAJUXFUYGUYQVUFVVMXEVUGVVDVVMVVGXFVUGUYEAVUIVVEXGVUHVUIA
      XHXIXJXKUYRVVJVVLXLZVUFUXFUYGVVNUYQVULAUCXMXNXFXOUXQVVKCVULUXRUXHVULMZUXJ
      VUQUXPVUOVVOUXIVUPBUXHVULVIXPVVOUXOVUNDUGVVOUXLVUMUXNUXHVULUXKXQXRXSXTYAS
      YBVUGVUNUYLDUGVUGVUNUYCUYLVUGVUNUYCUYLPVUGVUNOZUYCUEHVPZHUXKYCZRJZUYBUYLV
      VPUYTUXMJZUYCVVSPVVPUYTBUXMVUGVUAVUNVUGUYTVVHBVUGVUBVVDUYTVVHJUYRVUEVUBYG
      UYRVUEVVDVUBUYQUXFVUEVVDUYGUYEAVUHYDYHYEUYTVUHAUUAYFEUUBXFVUGVUMUXNYGUUCU
      YCVVTVVSHUXKUYTUXMUXMYIUUDYJSVVPUYBVVSVVPUXKVVRRVVPVVQHUXKQZUXKVVRMVVPVUM
      VVQHVULQZVWAVUGVUMUXNWFZVUGVWBVUNVUGUYTVUJJZGUYEQZVWBVUGVWDGUYEVUBVWDUYRV
      UEUYTVUHVUIUUEYKWJVUJYLJZGUYEQVWBVWEXLVWFGUYEVVIYMVVQVWDGHUYEVUJVUKYLVUKY
      IZHKVUJUYTUUHUUFYNWNXFVVQHUXKVULUUGUUIVVQHUXKUUJWNUUKUULVVPUYBUXKUYEUFKZU
      UMZIKZVUHVWJVWHUUNZWAZMZIUXKQZOZUFVNZUYLVVPVWJVUJMZGUYEUHZIUXKQZUYBVWPPVV
      PUXKVWRIUUOZNVWSVVPUXKVULVWTVWCGIUYEVUJVUKVWGUUPUUQVWRIUXKUURWOUYBVWSVWPV
      WQVWMIGUXKUYEUFVUIVWKMVUJVWLVWJVUIVWKVUHUUTXPUUSYJSVVPUYBVWPUYLPVVPUYBOVW
      OUYLUFVVPUYBVWOUYLVVPUYBVWOOZOZVWHWMZVUHUVAZWAZUYKJZBVXELZMUYLVXBVXEUYENV
      XERJZVXFVXBVXCVXDUYEVWOVXCUYENZVVPUYBVWIVXIVWNUXKUYEVWHUVBXFYKZVXBVUHUYEV
      UGVUEVUNVXAVVFYRYOYPVXBVXCRJZVXDRJVXHVXBUYBUXKVXCVWHUVCZVXKVVPUYBVWOWFVXB
      VWHUXKUVDVXLVXBUXKUYEVWHVVPUYBVWIVWNUVEUVFUXKVWHUVMWOUXKVXCVWHUVGYFVUHUVH
      VXCVXDUVIUVJVXEUYEUNUWDVXBBVXGVXBBIUXKVWLWDZVXGVXBBUXMVXMVUGVUMUXNVXAUVKV
      XBUXMIUXKVWJWDZVXMIUXKWQVXBVWNVXNVXMMVVPUYBVWIVWNUVLIUXKVWJVWLUVNSUVOUVPV
      XMVXGNVWLVXGNZIUXKQVXOIUXKVUHVWKVXGVUHVXEJVUHVXGNVXDVXEVUHVXDVXCUVQFUVRUV
      SVUHVXEWHYNVWKVXCLVXGVWHVWJUVTVXCVXEVXCVXDUWAUWBUWCUWEYMIUXKVWLVXGWKUWFUW
      GVXBVXEANZVXGBNVXBVXCVXDAVXBVXCUYEAVXJVUGUYQVUNVXAVVEYRUWHVXBVUHAVUGVVDVU
      NVXAVVGYRYOYPVXPVXGVVHBVXEAUWIEWISUWJUBVXEUYKUYIVXGBUYHVXEVIVHYFUWKYQYSUW
      OUWLYSUWMUWNYTUWPYTYQUWQUWRUWSVAUWTUXEUXGUXFUYNUAUBABEUXAUXBUXCUXD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Compactly generated spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c kGen $.

  $( Extend class notation with the compact generator operation. $)
  ckgen $a class kGen $.

  ${
    $d j k x $.
    $( Define the "compact generator", the functor from topological spaces to
       compactly generated spaces.  Also known as the k-ification operation.  A
       set is k-open, i.e. ` x e. ( kGen `` j ) ` , iff the preimage of ` x `
       is open in all compact Hausdorff spaces.  (Contributed by Mario
       Carneiro, 20-Mar-2015.) $)
    df-kgen $a |- kGen = ( j e. Top |-> { x e. ~P U. j | A. k e. ~P U. j
      ( ( j |`t k ) e. Comp -> ( x i^i k ) e. ( j |`t k ) ) } ) $.
  $}

  ${
    $d k x A $.  $d j k x J $.  $d j k x X $.
    $( Value of the compact generator.  (The "k" in ` kGen ` comes from the
       name "k-space" for these spaces, after the German word kompakt.)
       (Contributed by Mario Carneiro, 20-Mar-2015.) $)
    kgenval $p |- ( J e. ( TopOn ` X ) -> ( kGen ` J ) = { x e. ~P X |
      A. k e. ~P X ( ( J |`t k ) e. Comp -> ( x i^i k ) e. ( J |`t k ) ) } ) $=
      ( vj ctopon cfv wcel cv crest co ccmp cin wi cuni cpw wral crab ctop cvv
      ckgen df-kgen wceq wa unieq toponuni eqcomd sylan9eqr pweqd eleq1d eleq2d
      wb oveq1 imbi12d adantl raleqbidv rabeqbidv topontop toponmax rabexg 3syl
      pwexg fvmptd2 ) CDFGHZECEIZBIZJKZLHZAIVFMZVGHZNZBVEOZPZQZAVMRCVFJKZLHZVIV
      OHZNZBDPZQZAVSRZSUATAEBUBVDVECUCZUDZVNVTAVMVSWCVLDWBVDVLCOZDVECUEVDDWDDCU
      FUGUHUIZWCVKVRBVMVSWEWBVKVRULVDWBVHVPVJVQWBVGVOLVECVFJUMZUJWBVGVOVIWFUKUN
      UOUPUQDCURVDDCHVSTHWATHDCUSDCVBVTAVSTUTVAVC $.

    $( Value of the compact generator.  (Contributed by Mario Carneiro,
       20-Mar-2015.) $)
    elkgen $p |- ( J e. ( TopOn ` X ) -> ( A e. ( kGen ` J ) <-> ( A C_ X /\
    A. k e. ~P X ( ( J |`t k ) e. Comp -> ( A i^i k ) e. ( J |`t k ) ) ) ) ) $=
      ( vx ctopon cfv wcel ckgen cv crest co ccmp cin wi cpw wral crab wss wa
      kgenval eleq2d wceq ineq1 eleq1d imbi2d ralbidv elrab toponmax elpw2g syl
      wb anbi1d syl5bb bitrd ) CDFGHZACIGZHACBJZKLZMHZEJZURNZUSHZOZBDPZQZEVERZH
      ZADSZUTAURNZUSHZOZBVEQZTZUPUQVGAEBCDUAUBVHAVEHZVMTUPVNVFVMEAVEVAAUCZVDVLB
      VEVPVCVKUTVPVBVJUSVAAURUDUEUFUGUHUPVOVIVMUPDCHVOVIULDCUIADCUJUKUMUNUO $.
  $}

  ${
    $d y A $.  $d k x y J $.  $d y K $.  $d j k x y X $.
    $( Property of the open sets in the compact generator.  (Contributed by
       Mario Carneiro, 20-Mar-2015.) $)
    kgeni $p |- ( ( A e. ( kGen ` J ) /\ ( J |`t K ) e. Comp ) ->
      ( A i^i K ) e. ( J |`t K ) ) $=
      ( vy vj vx ckgen cfv wcel crest co ccmp wa cin cuni wceq cv wi ctop cvv
      inass in32 eqtr3i wss cpw wral ctopon crab df-kgen mptrcl toptopon2 sylib
      adantr simpl elkgen biimpa syl2anc simpld ineq1d syl5eq cmptop adantl syl
      df-ss restrcl simprd eqid restin simpr oveq2 eleq1d ineq2 eleq12d imbi12d
      eqeltrrd inss2 wb inex1g elpwg 3syl mpbiri rspcdva mpd eleqtrrd ) ABGHIZB
      CJKZLIZMZACNZBCBOZNZJKZWFWHAWKNZWIWLWHWMAWJNZCNZWIWIWJNWMWOACWJUAACWJUBUC
      WHWNACWHAWJUDZWNAPWHWPBDQZJKZLIZAWQNZWRIZRZDWJUEZUFZWHBWJUGHIZWEWPXDMZWHB
      SIZXEWEXGWGESEQZWQJKZLIFQWQNXIIRDXHOUEZUFFXJUHGABFEDUIUJUMZBUKULWEWGUNXEW
      EXFADBWJUOUPUQZURAWJVDULUSUTWHWLLIZWMWLIZWHWFWLLWHXGCTIZWFWLPXKWHWFSIZXOW
      GXPWEWFVAVBXPBTIXOCBVEVFVCZCBSTWJWJVGVHUQZWEWGVIVOWHXBXMXNRDXCWKWQWKPZWSX
      MXAXNXSWRWLLWQWKBJVJZVKXSWTWMWRWLWQWKAVLXTVMVNWHWPXDXLVFWHWKXCIZWKWJUDZCW
      JVPWHXOWKTIYAYBVQXQCWJTVRWKWJTVSVTWAWBWCVOXRWD $.

    $( The compact generator generates a topology.  (Contributed by Mario
       Carneiro, 22-Aug-2015.) $)
    kgentopon $p |- ( J e. ( TopOn ` X ) -> ( kGen ` J ) e. ( TopOn ` X ) ) $=
      ( vx vy vk cfv wcel cv wss wi cin wral wa syl2anc ralrimiva elkgen adantr
      expr wb mpbir2and ctopon ckgen ctop cuni wceq wal crest co ccmp cpw uniss
      crab kgenval ssrab2 eqsstrdi sspwuni sylib sylan9ssr iunin2 uniiun ineq2i
      ciun incom 3eqtr2i cmptop ad2antll simplr sselda simplrr eqeltrrid iunopn
      kgeni alrimiv inss1 elssuni ad2antrl ssidd elpwi sseqin2 resttopon sylan2
      toponmax syl eqeltrd eqssd sseqtrrd sstrid inindir simplrl simprr syl3anc
      ex inopn eqeltrid ralrimivva cvv fvex istopg ax-mp sylanbrc istopon ) ABU
      AFZGZAUBFZUCGZBXDUDZUEZXDXBGXCCHZXDIZXHUDZXDGZJZCUFZXHDHZKZXDGZDXDLCXDLZX
      EXCXLCXCXIXKXCXIMZXKXJBIZAEHZUGUHZUIGZXJXTKZYAGZJZEBUJZLZXIXCXJXFBXHXDUKX
      CXDYFIXFBIXCXDYBXHXTKZYAGZJEYFLZCYFULYFCEABUMYJCYFUNUOXDBUPUQZURXRYEEYFXR
      XTYFGZYBYDXRYLYBMZMZYCDXHXTXNKZVBZYAYPXTDXHXNVBZKXTXJKYCDXHXTXNUSXJYQXTDX
      HUTVAXTXJVCVDYNYAUCGZYOYAGZDXHLYPYAGYBYRXRYLYAVEZVFYNYSDXHYNXNXHGZMZYOXNX
      TKZYAXNXTVCUUBXNXDGZYBUUCYAGZYNXHXDXNXCXIYMVGVHXRYLYBUUAVIXNAXTVLZNVJODXH
      YOYAVKNVJROXCXKXSYGMSXIXJEABPQTWLVMXCXPCDXDXDXCXHXDGZUUDMZMZXPXOBIZYBXOXT
      KZYAGZJZEYFLZUUIXOXHBXHXNVNUUIXHXFBUUGXHXFIXCUUDXHXDVOVPXCXGUUHXCBXFXCBXD
      GZBXFIXCUUOBBIYBBXTKZYAGZJZEYFLXCBVQXCUUREYFXCYLYBUUQXCYMMZUUPXTYAUUSXTBI
      ZUUPXTUEYLUUTXCYBXTBVRZVPXTBVSUQUUSYAXTUAFGZXTYAGYMXCUUTUVBYLUUTYBUVAQXTA
      BVTWAXTYAWBWCWDROBEABPTBXDVOWCYKWEZQWFWGUUIUUMEYFUUIYLYBUULUUIYMMZUUKYHUU
      CKZYAXHXNXTWHUVDYRYIUUEUVEYAGYBYRUUIYLYTVFUVDUUGYBYIXCUUGUUDYMWIUUIYLYBWJ
      ZXHAXTVLNUVDUUDYBUUEXCUUGUUDYMVIUVFUUFNYHUUCYAWMWKWNROXCXPUUJUUNMSUUHXOEA
      BPQTWOXDWPGXEXMXQMSAUBWQCDWPXDWRWSWTUVCBXDXAWT $.
  $}

  ${
    kgenuni.1 $e |- X = U. J $.
    $( The base set of the compact generator is the same as the original
       topology.  (Contributed by Mario Carneiro, 20-Mar-2015.) $)
    kgenuni $p |- ( J e. Top -> X = U. ( kGen ` J ) ) $=
      ( ctop wcel ckgen cfv ctopon cuni wceq toptopon kgentopon sylbi toponuni
      syl ) ADEZAFGZBHGZEZBQIJPARESABCKABLMBQNO $.
  $}

  ${
    $d j k x J $.  $d x K $.
    $( The compact generator generates a topology.  (Contributed by Mario
       Carneiro, 20-Mar-2015.) $)
    kgenftop $p |- ( J e. Top -> ( kGen ` J ) e. Top ) $=
      ( ctop wcel ckgen cfv cuni ctopon toptopon2 kgentopon sylbi topontop syl
      ) ABCZADEZAFZGEZCZNBCMAPCQAHAOIJONKL $.

    $( The compact generator is a function on topologies.  (Contributed by
       Mario Carneiro, 20-Mar-2015.) $)
    kgenf $p |- kGen : Top --> Top $=
      ( vj vx vk ctop ckgen wf wtru cv crest co ccmp wcel cin wi cuni wral crab
      cpw cvv a1i wa vuniex pwex rabex cmpt wceq df-kgen kgenftop adantl fmpt2d
      cfv mptru ) DDEFGABDAHZCHZIJZKLBHZUNMUOLNCUMOZRZPZBURQZDESUTSLGUMDLUAUSBU
      RUQAUBUCUDTEADUTUEUFGBACUGTUPDLUPEUKDLGUPUHUIUJUL $.

    $( A compactly generated space is a topology.  (Note: henceforth we will
       use the idiom " ` J e. ran kGen ` " to denote " ` J ` is compactly
       generated", since as we will show a space is compactly generated iff it
       is in the range of the compact generator.)  (Contributed by Mario
       Carneiro, 20-Mar-2015.) $)
    kgentop $p |- ( J e. ran kGen -> J e. Top ) $=
      ( ckgen crn ctop wf wss kgenf frn ax-mp sseli ) BCZDADDBEKDFGDDBHIJ $.

    $( The compact generator generates a finer topology than the original.
       (Contributed by Mario Carneiro, 20-Mar-2015.) $)
    kgenss $p |- ( J e. Top -> J C_ ( kGen ` J ) ) $=
      ( vx vk ctop wcel ckgen cfv cv cuni wss crest co ccmp cin wi wral elssuni
      cpw wa a1i elrestr 3expa an32s a1d ralrimiva jcad ctopon toptopon2 elkgen
      ex wb sylbi sylibrd ssrdv ) ADEZBAAFGZUOBHZAEZUQAIZJZACHZKLZMEZUQVANVBEZO
      ZCUSRZPZSZUQUPEZUOURUTVGURUTOUOUQAQTUOURVGUOURSZVECVFVJVAVFEZSVDVCUOVKURV
      DUOVKURVDUQVAADVFUAUBUCUDUEUJUFUOAUSUGGEVIVHUKAUHUQCAUSUIULUMUN $.

    $( The compact generator generates another Hausdorff topology given a
       Hausdorff topology to start from.  (Contributed by Mario Carneiro,
       21-Mar-2015.) $)
    kgenhaus $p |- ( J e. Haus -> ( kGen ` J ) e. Haus ) $=
      ( cha wcel ckgen cfv cuni ctopon wss ctop haustop toptopon2 kgentopon syl
      sylib kgenss eqid sshaus mpd3an23 ) ABCZADEZAFZGEZCZATHZTBCSAUBCZUCSAICZU
      EAJZAKNAUALMSUFUDUGAOMATUAUAPQR $.

    $( The compact generator topology is the same as the original topology on
       compact subspaces.  (Contributed by Mario Carneiro, 20-Mar-2015.) $)
    kgencmp $p |- ( ( J e. Top /\ ( J |`t K ) e. Comp )
      -> ( J |`t K ) = ( ( kGen ` J ) |`t K ) ) $=
      ( vx ctop wcel crest co ccmp ckgen cfv wss kgenftop adantr kgenss syl2anc
      wa ssrest cv cin cvv cmpt crn wceq cmptop adantl restrcl simprd syl simpr
      restval simplr kgeni fmpttd frnd eqsstrd eqssd ) ADEZABFGZHEZPZURAIJZBFGZ
      UTVADEZAVAKZURVBKUQVCUSALMZUQVDUSANMBAVADQOUTVBCVACRZBSZUAZUBZURUTVCBTEZV
      BVIUCVEUTURDEZVJUSVKUQURUDUEVKATEVJBAUFUGUHCBVADTUJOUTVAURVHUTCVAVGURUTVF
      VAEZPVLUSVGUREUTVLUIUQUSVLUKVFABULOUMUNUOUP $.

    $( The compact generator topology has the same compact sets as the original
       topology.  (Contributed by Mario Carneiro, 20-Mar-2015.) $)
    kgencmp2 $p |- ( J e. Top -> ( ( J |`t K ) e. Comp <->
        ( ( kGen ` J ) |`t K ) e. Comp ) ) $=
      ( ctop wcel crest co ccmp cfv wa cuni ctopon wss cvv sylan2 cin wceq eqid
      simpr adantr restuni2 ckgen kgencmp eqeltrrd cmptop restrcl syl toptopon2
      simprd resttop sylib kgenuni ineq2d kgenftop syl2an 3eqtr3d fveq2d kgenss
      eleqtrd ssrest syl2an2r sscmp syl3anc impbida ) ACDZABEFZGDZAUAHZBEFZGDZV
      DVFIVEVHGABUBVDVFRUCVDVIIZVEVHJZKHZDVIVEVHLZVFVJVEVEJZKHZVLVJVECDZVEVODVI
      VDBMDZVPVIVHCDZVQVHUDVRVGMDVQBVGUEUHUFZBAMUINVEUGUJVJVNVKKVJBAJZOZBVGJZOZ
      VNVKVJVTWBBVDVTWBPVIAVTVTQZUKSULVIVDVQWAVNPVSBAMVTWDTNVDVGCDZVQWCVKPVIAUM
      ZVSBVGMWBWBQTUNUOUPURVDVIRVDWEVIAVGLZVMWFVDWGVIAUQSBAVGCUSUTVEVHVKVKQVAVB
      VC $.

    $( The compact generator is idempotent on compactly generated spaces.
       (Contributed by Mario Carneiro, 20-Mar-2015.) $)
    kgenidm $p |- ( J e. ran kGen -> ( kGen ` J ) = J ) $=
      ( vj vx vk ckgen wcel cfv cv wceq ctop wss wb wa crest co kgentopon sylbi
      ccmp syl ad2ant2rl crn wrex wf wfn kgenf ffn fvelrnb mp2b cuni cin wi cpw
      wral ctopon toptopon2 toponss sylan simplr kgencmp2 kgeni syl2anc kgencmp
      biimpa eleqtrrd expr ralrimiva simpl sylib elkgen mpbir2and ssrdv sseq12d
      ex fveq2 id syl5ibcom rexlimiv kgentop kgenss eqssd ) AEUAFZAEGZAWABHZEGZ
      AIZBJUBZWBAKZJJEUCEJUDWAWFLUEJJEUFBJAEUGUHWEWGBJWCJFZWDEGZWDKWEWGWHCWIWDW
      HCHZWIFZWJWDFZWHWKMZWLWJWCUIZKZWCDHZNOZRFZWJWPUJZWQFZUKZDWNULZUMZWHWIWNUN
      GZFZWKWOWHWDXDFZXEWHWCXDFZXFWCUOZWCWNPQWDWNPSWJWIWNUPUQWMXADXBWMWPXBFZWRW
      TWMXIWRMZMZWSWDWPNOZWQXKWKXLRFZWSXLFWHWKXJURWHWRXMWKXIWHWRXMWCWPUSVCTWJWD
      WPUTVAWHWRWQXLIWKXIWCWPVBTVDVEVFWMXGWLWOXCMLWMWHXGWHWKVGXHVHWJDWCWNVISVJV
      MVKWEWIWBWDAWDAEVNWEVOVLVPVQQWAAJFAWBKAVRAVSSVT $.

    $( A space is compactly generated iff it contains its image under the
       compact generator.  (Contributed by Mario Carneiro, 20-Mar-2015.) $)
    iskgen2 $p |- ( J e. ran kGen <-> ( J e. Top /\ ( kGen ` J ) C_ J ) ) $=
      ( ckgen crn wcel ctop cfv wss wa kgentop wceq kgenidm eqimss simpr kgenss
      syl jca adantr eqssd wfn wf kgenf ffn ax-mp fnfvelrn mpan eqeltrrd impbii
      ) ABCZDZAEDZABFZAGZHZUIUJULAIUIUKAJULAKUKALOPUMUKAUHUMUKAUJULMUJAUKGULANQ
      RUJUKUHDZULBESZUJUNEEBTUOUAEEBUBUCEABUDUEQUFUG $.
  $}

  ${
    $d k u x z J $.  $d k u x ph $.  $d k z X $.
    iskgen3.1 $e |- X = U. J $.
    $( Derive the usual definition of "compactly generated".  A topology is
       compactly generated if every subset of ` X ` that is open in every
       compact subset is open.  (Contributed by Mario Carneiro,
       20-Mar-2015.) $)
    iskgen3 $p |- ( J e. ran kGen <-> ( J e. Top /\ A. x e. ~P X ( A. k e. ~P X
      ( ( J |`t k ) e. Comp -> ( x i^i k ) e. ( J |`t k ) ) -> x e. J ) ) ) $=
      ( ckgen crn wcel ctop cfv wss wa cv crest co ccmp cin wi wral wal iskgen2
      cpw ctopon wb toptopon elkgen sylbi vex elpw anbi1i bitr4di imbi1d impexp
      bitrdi albidv dfss2 df-ral 3bitr4g pm5.32i bitri ) CFGHCIHZCFJZCKZLVACBMZ
      NOZPHAMZVDQVEHRBDUBZSZVFCHZRZAVGSZLCUAVAVCVKVAVFVBHZVIRZATVFVGHZVJRZATVCV
      KVAVMVOAVAVMVNVHLZVIRVOVAVLVPVIVAVLVFDKZVHLZVPVACDUCJHVLVRUDCDEUEVFBCDUFU
      GVNVQVHVFDAUHUIUJUKULVNVHVIUMUNUOAVBCUPVJAVGUQURUSUT $.

    llycmpkgen2.2 $e |- ( ph -> J e. Top ) $.
    llycmpkgen2.3 $e |- ( ( ph /\ x e. X ) ->
      E. k e. ( ( nei ` J ) ` { x } ) ( J |`t k ) e. Comp ) $.
    $( A locally compact space is compactly generated.  (This variant of
       ~ llycmpkgen uses the weaker definition of locally compact, "every point
       has a compact neighborhood", instead of "every point has a local base of
       compact neighborhoods".)  (Contributed by Mario Carneiro,
       21-Mar-2015.) $)
    llycmpkgen2 $p |- ( ph -> J e. ran kGen ) $=
      ( vz wcel cfv wss cv wa wceq syl cdif cin syl2anc wb ctop ckgen wrex wral
      vu crn crest co ccmp csn cnei cuni elssuni adantl kgenuni adantr sseqtrrd
      sselda adantlr syldan ad3antrrr difss ntropn sylancl simprl neii1 syl3anc
      cnt inopn cun simplr ntrss2 snssd neiint mpbid snss sylibr sseldd simpllr
      vex elind simprr kgeni cvv resttop inss2 restuni sseqtrid eqid isopn3 a1i
      restntr eqtr3d eleqtrd elin1d undif3 incom difeq2i sstrid ssequn1 difeq1d
      difin eqtri sylib syl5eq fveq2d sslin difss2d mpbird inssdif0 sstrd eleq2
      c0 reldisj sseq1 anbi12d rspcev syl12anc rexlimddv ralrimiva eltop2 ssrdv
      ex sylibrd iskgen2 sylanbrc ) ADUAJZDUBKZDLDUBUFJGAUEYHDAUEMZYHJZBMZIMZJZ
      YLYILZNZIDUCZBYIUDZYIDJZAYJYQAYJNZYPBYIYSYKYIJZNZDCMZUGUHZUIJZYPCYKUJZDUK
      KKZYSYTYKEJZUUDCUUFUCZYSYIEYKYSYIYHULZEYJYIUUILAYIYHUMUNAEUUIOZYJAYGUUJGD
      EFUOPUPUQURZAUUGUUHYJHUSUTUUAUUBUUFJZUUDNZNZEUUBYIQZQZDVHKZKZUUBUUQKZRZDJ
      ZYKUUTJZUUTYILZYPUUNYGUURDJZUUSDJZUVAAYGYJYTUUMGVAZUUNYGUUPELZUVDUVFEUUOV
      BZUUPDEFVCVDUUNYGUUBELZUVEUVFUUNYGUULUVIUVFUUAUULUUDVEZUUEDUUBEFVFSZUUBDE
      FVCSUURUUSDVIVGUUNUURUUSYKUUNYKYIUUBRZEUUBQVJZUUQKZUURUUNUVNUUBYKUUNYKUVL
      UVNUUBRZUUNYIUUBYKYSYTUUMVKUUNUUSUUBYKUUNYGUVIUUSUUBLZUVFUVKUUBDEFVLSZUUN
      UUEUUSLZYKUUSJUUNUULUVRUVJUUNYGUUEELUVIUULUVRTUVFUUNYKEUUAUUGUUMUUKUPVMUV
      KUUEDUUBEFVNVGVOYKUUSBVTVPVQZVRWAUUNUVLUUCVHKKZUVLUVOUUNUVLUUCJZUVTUVLOZU
      UNYJUUDUWAAYJYTUUMVSUUAUULUUDWBYIDUUBWCSUUNUUCUAJZUVLUUCULZLUWAUWBTUUNYGU
      UBWDJUWCUVFCVTUUBDWDWEVDUUNUUBUVLUWDYIUUBWFZUUNYGUVIUUBUWDOUVFUVKUUBDEFWG
      SWHUVLUUCUWDUWDWIWJSVOUUNYGUVIUVLUUBLZUVTUVOOUVFUVKUWFUUNUWEWKUVLDUUCEUUB
      FUUCWIWLVGWMWNWOUUNUVMUUPUUQUUNUVMUVLEVJZUUOQZUUPUVMUWGUUBUVLQZQUWHUVLEUU
      BWPUWIUUOUWGUWIUUBUUBYIRZQUUOUVLUWJUUBYIUUBWQWRUUBYIXBXCWRXCUUNUWGEUUOUUN
      UVLELUWGEOUUNUVLUUBEUWEUVKWSUVLEWTXDXAXEXFWNUVSWAUUNUUTUURUUBRZYIUUNUVPUU
      TUWKLUVQUUSUUBUURXGPUUNUURUUORXMOZUWKYILUUNUWLUURUUPLZUUNYGUVGUWMUVFUVHUU
      PDEFVLVDZUUNUURELUWLUWMTUUNUUREUUOUWNXHUURUUOEXNPXIUURUUBYIXJVQXKYOUVBUVC
      NIUUTDYLUUTOYMUVBYNUVCYLUUTYKXLYLUUTYIXOXPXQXRXSXTYCAYGYRYQTGBIYIDYAPYDYB
      DYEYF $.
  $}

  ${
    $d j k n s u v w A $.  $d j k n s u v w F $.  $d f j k n s u v w x y J $.
    $d j k n s u w ph $.
    $( A compact space is compactly generated.  (Contributed by Mario Carneiro,
       21-Mar-2015.) $)
    cmpkgen $p |- ( J e. Comp -> J e. ran kGen ) $=
      ( vx vk ccmp wcel cuni eqid cmptop cv wa csn cnei cfv crest wrex ctop wss
      co syl wceq adantr topopn simpr snssd opnneiss syl3anc restid simpl oveq2
      eqeltrd eleq1d rspcev syl2anc llycmpkgen2 ) ADEZBCAAFZUPGZAHZUOBIZUPEZJZU
      PUSKZALMMZEZAUPNRZDEZACIZNRZDEZCVCOVAAPEZUPAEZVBUPQVDUOVJUTURUAZVAVJVKVLA
      UPUQUBSVAUSUPUOUTUCUDVBAUPUEUFVAVEADVAVJVEATVLAPUPUQUGSUOUTUHUJVIVFCUPVCV
      GUPTVHVEDVGUPANUIUKULUMUN $.

    $( A locally compact space is compactly generated.  (Contributed by Mario
       Carneiro, 21-Mar-2015.) $)
    llycmpkgen $p |- ( J e. N-Locally Comp -> J e. ran kGen ) $=
      ( vx vk ccmp cnlly wcel cuni eqid nllytop cv wa wss crest co csn cnei cfv
      wrex syl simpr simpl ctop topopn adantr nllyi syl3anc reximi llycmpkgen2
      ) ADEFZBCAAGZUJHZDAIZUIBJZUJFZKZCJZUJLZAUPMNDFZKZCUMOAPQQZRZURCUTRUOUIUJA
      FZUNVAUIUNUAUIVBUNUIAUBFVBULAUJUKUCSUDUIUNTCDUMUJAUEUFUSURCUTUQURTUGSUH
      $.

    ${
      1stckgen.1 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
      1stckgen.2 $e |- ( ph -> F : NN --> X ) $.
      1stckgen.3 $e |- ( ph -> F ( ~~>t ` J ) A ) $.
      $( The one-point compactification of ` NN ` is compact.  (Contributed by
         Mario Carneiro, 21-Mar-2015.) $)
      1stckgenlem $p |- ( ph -> ( J |`t ( ran F u. { A } ) ) e. Comp ) $=
        ( vu vn wcel cv cuni wss cfn wa cfv syl2anc syl cn vv vw vk crn csn cun
        vj vs crest co ccmp cpw cin wrex wi wral simprr ssun2 wb ctopon clm wbr
        lmcl snssg mpbiri adantr sseldd eluni2 sylib nnuz 1zzd ad2antrr simplrl
        cuz c1 elpwid simprl lmcvg cima imassrn ssun1 sstri id sstrid ctop frnd
        cfz resttopon topontop cres wfo fzfid wfun ffund fz1ssnn fdmd sseqtrrid
        cdm fores fofi pwfi restsspw ssfi sylancl elind fincmp toponuni sseqtrd
        wceq eqid cmpsub mpbid r19.21bi syl5 impr simprll snssd unssd vex elpw2
        elin1d sylibr elin2d snfi unfi wfn ffnd ad3antrrr simprrr fveq2 rspccva
        eleq1d sylan elun2 anassrs ad2antlr cz nnz ralrimiva rexlimddv elun1 wo
        adantlr elnnuz anbi1i elfzuzb bitr4i funimass4 uztric mpjaodan fnfvrnss
        sylan2b syl2an uniun unisn uneq2i eqtri unieq sseq2d rspcev expr mpbird
        sseqtrrdi ) ADCUDZBUEZUFZUIUJUKKZUVFILZMZNZUVFUALZMZNZUAUVHULZOUMZUNZUO
        ZIDULZUPZAUVQIUVRAUVHUVRKZUVJUVPAUVTUVJPZPZBUBLZKZUVPUBUVHUWBBUVIKUWDUB
        UVHUNUWBUVFUVIBAUVTUVJUQABUVFKZUWAAUWEUVEUVFNZUVEUVDURABEKZUWEUWFUSADEU
        TQKZCBDVAQVBZUWGFHBCDEVCRZBUVFEVDSVEVFVGUBBUVHVHVIUWBUWCUVHKZUWDPZPZUCL
        ZCQZUWCKZUCUGLZVNQZUPZUVPUGTUWMBUWCUGUCCDVOTVJUWBUWKUWDUQUWMVKAUWIUWAUW
        LHVLUWMUVHDUWCUWMUVHDAUVTUVJUWLVMVPUWBUWKUWDVQVGVRUWBUWLUWQTKZUWSPZUVPU
        WBUWLUXAPZPZCVOUWQWGUJZVSZUHLZMZNZUVPUHUVOUWBUXHUHUVOUNZUXBAUVTUVJUXIUV
        JUXEUVINZAUVTPUXIUVJUXEUVFUVIUXEUVDUVFCUXDVTZUVDUVEWAWBUVJWCWDAUXJUXIUO
        ZIUVRADUXEUIUJZUKKZUXLIUVRUPZAUXMWEOUMKUXNAWEOUXMAUXMUXEUTQKZUXMWEKAUWH
        UXEENUXPFAUXEUVDEUXKATECGWFZWDZUXEDEWHRUXEUXMWISAUXEULZOKZUXMUXSNUXMOKA
        UXEOKZUXTAUXDOKUXDUXECUXDWJZWKZUYAAVOUWQWLACWMZUXDCWRZNZUYCATECGWNZATUX
        DUYEUWQWOATECGWPWQZUXDCWSRUXDUXEUYBWTRUXEXAVIUXEDXBUXSUXMXCXDXEUXMXFSAD
        WEKZUXEDMZNUXNUXOUSAUWHUYIFEDWISZAUXEEUYJUXRAUWHEUYJXIFEDXGSZXHUXEDUYJI
        UHUYJXJZXKRXLXMXNXOVFUXCUXFUVOKZUXHPZPZUXFUWCUEZUFZUVOKUVFUYRMZNZUVPUYP
        UVNOUYRUYPUYRUVHNUYRUVNKUYPUXFUYQUVHUYPUXFUVHUYPUVNOUXFUXCUYNUXHVQZYAVP
        UYPUWCUVHUXCUWKUYOUWBUWKUWDUXAXPVFXQXRUYRUVHIXSXTYBUYPUXFOKUYQOKUYROKUY
        PUVNOUXFVUAYCUWCYDUXFUYQYEXDXEUYPUVFUXGUWCUFZUYSUYPUVDUVEVUBUYPCTYFZJLZ
        CQZVUBKZJTUPUVDVUBNAVUCUWAUXBUYOATECGYGYHUYPVUFJTUYPVUDTKZPVUDUWRKZVUFU
        WQVUDVNQKZUYPVUHVUFVUGUYPVUHPVUEUWCKZVUFUYPUWSVUHVUJUXCUWSUYOUWBUWLUWTU
        WSYIVFUWPVUJUCVUDUWRUWNVUDXIUWOVUEUWCUWNVUDCYJYLYKYMVUEUWCUXGYNSUUCUYPV
        UGVUIVUFVUGVUIPZUYPVUDUXDKZVUFVUKVUDVOVNQKZVUIPVULVUGVUMVUIVUDUUDUUEVUD
        VOUWQUUFUUGUYPVULPVUEUXGKZVUFUYPVUNJUXDUYPUXHVUNJUXDUPZUXCUYNUXHUQAUXHV
        UOUSZUWAUXBUYOAUYDUYFVUPUYGUYHJUXDUXGCUUHRYHXLXMVUEUXGUWCUUASUULYOUYPUW
        TVUGVUHVUIUUBZUXBUWTUWBUYOUWLUWTUWSVQYPUWTUWQYQKVUDYQKVUQVUGUWQYRVUDYRU
        WQVUDUUIUUMYMUUJYSJTVUBCUUKRUYPBVUBUXBBVUBKZUWBUYOUWDVURUWKUXABUWCUXGYN
        YPYPXQXRUYSUXGUYQMZUFVUBUXFUYQUUNVUSUWCUXGUWCUBXSUUOUUPUUQUVCUVMUYTUAUY
        RUVOUVKUYRXIUVLUYSUVFUVKUYRUURUUSUUTRYTYOYTYTUVAYSAUYIUVFUYJNUVGUVSUSUY
        KAUVFEUYJAUVDUVEEUXQABEUWJXQXRUYLXHUVFDUYJIUAUYMXKRUVB $.
    $}

    $( A first-countable space is compactly generated.  (Contributed by Mario
       Carneiro, 21-Mar-2015.) $)
    1stckgen $p |- ( J e. 1stc -> J e. ran kGen ) $=
      ( vx vy vf wcel cfv wss cv wa cuni cdif cn wf wb adantr sylib syl2anc cvv
      eqid sylancl vk c1stc ctop ckgen crn 1stctop ccld ccl clm difss 1stcelcls
      wbr wex mpan2 ctopon toptopon2 simprr lmcl csn cun crest co nnuz vex rnex
      c1 snex unex resttop 1zzd a1i ssun2 snss mpbir wfn ffn ad2antrl dffn3 fss
      ssun1 lmss mpbid ffvelrnda simprl eldifbd eldifd cin difin wceq frn snssd
      difss2d unssd restuni difeq1d eqtr3id incom ccmp simplr 1stckgenlem kgeni
      eqeltrid opncld eqeltrd lmcld exlimdv sylbid iscld4 mpbird elssuni adantl
      ex ssrdv kgenuni syl sseqtrrd isopn2 iskgen2 sylanbrc ) AUBEZAUCEZAUDFZAG
      AUDUEEAUFZXTBYBAXTBHZYBEZYDAEZXTYEIZYFAJZYDKZAUGFEZYGYJYIAUHFFZYIGZYGCYKY
      IYGCHZYKEZLYIDHZMZYOYMAUIFULZIZDUMZYMYIEZXTYNYSNZYEXTYIYHGZUUAYHYDUJZYMYI
      DAYHYHSZUKUNOYGYRYTDYGYRYTYGYRIZYMYHYDUUEAYHUOFEZYQYMYHEUUEYAUUFYGYAYRXTY
      AYEYCOZOZAUPPZYGYPYQUQZYMYOAYHURQZUUEYMYOUEZYMUSZUTZYDUUEYMUUNYDKZUAYOAUU
      NVAVBZVFUUPJZLVCUUEUUPUCEZUUPUUQUOFEUUEYAUUNREZUURUUHUULUUMYODVDVEYMVGVHZ
      UUNARVITZUUPUPPUUEVJZUUEYQYOYMUUPUIFULUUJUUEYMYOAUUPVFRUUNLUUPSVCUUSUUEUU
      TVKUUHYMUUNEZUUEUVCUUMUUNGUUMUULVLYMUUNCVDVMVNVKUVBUUELUULYOMZUULUUNGLUUN
      YOMUUEYOLVOZUVDYPUVEYGYQLYIYOVPVQLYOVRPUULUUMVTLUULUUNYOVSTZWAWBUUEUAHZLE
      IZUVGYOFZUUNYDUUELUUNUVGYOUVFWCUVHUVIYHYDUUELYIUVGYOYGYPYQWDZWCWEWFUUEUUO
      UUQUUNYDWGZKZUUPUGFZUUEUUOUUNUVKKUVLUUNYDWHUUEUUNUUQUVKUUEYAUUNYHGUUNUUQW
      IUUHUUEUULUUMYHUUEUULYHYDYPUULYIGYGYQLYIYOWJVQWLUUEYMYHUUKWKWMUUNAYHUUDWN
      QWOWPUUEUURUVKUUPEUVLUVMEUVAUUEUVKYDUUNWGZUUPUUNYDWQUUEYEUUPWREUVNUUPEXTY
      EYRWSUUEYMYOAYHUUIUUEYPUUBLYHYOMUVJUUCLYIYHYOVSTUUJWTYDAUUNXAQXBUVKUUPUUQ
      UUQSXCQXDXEWEWFXLXFXGXMYGYAUUBYJYLNUUGUUCYIAYHUUDXHTXIYGYAYDYHGYFYJNUUGYG
      YDYBJZYHYEYDUVOGXTYDYBXJXKYGYAYHUVOWIUUGAYHUUDXNXOXPYDAYHUUDXQQXIXLXMAXRX
      S $.
  $}

  ${
    $d g k x z F $.  $d g k x z J $.  $d g k x z K $.  $d g k x z X $.
    $d g k x z Y $.
    $( The compact generator preserves the subset (fineness) relationship on
       topologies.  (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    kgen2ss $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` X ) /\ J C_ K ) ->
      ( kGen ` J ) C_ ( kGen ` K ) ) $=
      ( vx vk ctopon cfv wcel wss ckgen cv crest co ccmp wi wa resttopon syl2an
      wral syl w3a cin cuni simp1 elpwi wceq simp2 toponuni fveq2d eleqtrd ctop
      cpw simpl2 topontop simpl3 ssrest syl2anc eqid sscmp 3com23 sseld imim12d
      3expia ralimdva anim2d wb elkgen 3ad2ant1 3ad2ant2 3imtr4d ssrdv ) ACFGZH
      ZBVLHZABIZUAZDAJGZBJGZVPDKZCIZAEKZLMZNHZVSWAUBZWBHZOZECULZSZPZVTBWALMZNHZ
      WDWJHZOZEWGSZPZVSVQHZVSVRHZVPWHWNVTVPWFWMEWGVPWAWGHZPZWKWCWEWLWSWBWJUCZFG
      ZHZWBWJIZWKWCOWSWBWAFGZXAVPVMWACIZWBXDHWRVMVNVOUDWACUEZWAACQRWSWAWTFWSWJX
      DHZWAWTUFVPVNXEXGWRVMVNVOUGXFWABCQRWAWJUHTUIUJWSBUKHZVOXCWSVNXHVMVNVOWRUM
      CBUNTVMVNVOWRUOWAABUKUPUQZXBXCWKWCXBWKXCWCWBWJWTWTURUSUTVCUQWSWBWJWDXIVAV
      BVDVEVMVNWPWIVFVOVSEACVGVHVNVMWQWOVFVOVSEBCVGVIVJVK $.

    $( A function from a compactly generated space is continuous iff it is
       continuous "on compacta".  (Contributed by Mario Carneiro,
       21-Mar-2015.) $)
    kgencn $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) ) ->
      ( F e. ( ( kGen ` J ) Cn K ) <->
        ( F : X --> Y /\ A. k e. ~P X ( ( J |`t k ) e. Comp ->
          ( F |` k ) e. ( ( J |`t k ) Cn K ) ) ) ) ) $=
      ( vx ctopon cfv wcel wa ccn co wf ccnv cv cima wral wi wb ckgen ccmp cres
      crest cpw kgentopon iscn cin wss cdm cnvimass wceq adantl sseqtrid elkgen
      sylan fdm ad2antrr mpbirand ralbidv ralcom fssres syl2an simpll resttopon
      simpr elpwi simpllr syl2anc cnvresima eleq1i ralbii bitrdi imbi2d r19.21v
      bitr4di ralbidva bitr4id bitrd pm5.32da ) CEHIZJZDFHIJZKZBCUAIZDLMJZEFBNZ
      BOGPZQZWEJZGDRZKZWGCAPZUDMZUBJZBWMUCZWNDLMJZSZAEUEZRZKWBWEWAJWCWFWLTCEUFG
      BWEDEFUGUPWDWGWKWTWDWGKZWKWOWIWMUHZWNJZSZAWSRZGDRZWTXAWJXEGDXAWJWIEUIZXEX
      ABUJZWIEBWHUKWGXHEULWDEFBUQUMUNWBWJXGXEKTWCWGWIACEUOURUSUTXAXFXDGDRZAWSRW
      TXDGADWSVAXAWRXIAWSXAWMWSJZKZWRWOXCGDRZSXIXKWQXLWOXKWQWPOWHQZWNJZGDRZXLXK
      WQWMFWPNZXOXAWGWMEUIZXPXJWDWGVFWMEVGZEFWMBVBVCXKWNWMHIJZWCWQXPXOKTXAWBXQX
      SXJWBWCWGVDXRWMCEVEVCWBWCWGXJVHGWPWNDWMFUGVIUSXNXCGDXMXBWNWMWHBVJVKVLVMVN
      WOXCGDVOVPVQVRVSVTVS $.

    $( A function ` F : J --> K ` from a compactly generated space is
       continuous iff for all compact spaces ` z ` and continuous
       ` g : z --> J ` , the composite ` F o. g : z --> K ` is continuous.
       (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    kgencn2 $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) ) ->
      ( F e. ( ( kGen ` J ) Cn K ) <-> ( F : X --> Y /\
        A. z e. Comp A. g e. ( z Cn J ) ( F o. g ) e. ( z Cn K ) ) ) ) $=
      ( vk cfv wcel wa ccn co cv ccmp cres wi wral wss wceq ctopon ckgen wf cpw
      crest ccom kgencn crn rncmp adantl cuni simprr eqid cnf frn 3syl toponuni
      ad3antrrr sseqtrrd rnex sylibr oveq2 eleq1d reseq2 oveq1d eleq12d imbi12d
      vex elpw rspcv syl mpid wb simplll ssidd cnrest2 syl3anc mpbid cnco cores
      ssid ax-mp eleq1i syl6ib syld ralrimdvva oveq1 eleq2d raleqbidv cid elpwi
      ex resabs1d sseqtrd cnrest syl2anc eqeltrrd coeq2 coires1 syl9r ralrimdva
      idcn com23 impbid pm5.32da bitrd ) DFUAIJZEGUAIJZKZCDUBIELMJFGCUCZDHNZUEM
      ZOJZCXKPZXLELMZJZQZHFUDZRZKXJCBNZUFZANZELMZJZBYBDLMZRZAORZKHCDEFGUGXIXJXS
      YGXIXJKZXSYGYHXSYDABOYEYHYBOJZXTYEJZKZKZXSCXTUHZPZDYMUEMZELMZJZYDYLXSYOOJ
      ZYQYKYRYHXTYBDUIUJYLYMXRJZXSYRYQQZQYLYMFSZYSYLYMDUKZFYLYJYBUKZUUBXTUCYMUU
      BSYHYIYJULZXTYBDUUCUUBUUCUMUUBUMZUNUUCUUBXTUOUPXGFUUBTZXHXJYKFDUQZURUSZYM
      FXTBVHUTVIVAXQYTHYMXRXKYMTZXMYRXPYQUUIXLYOOXKYMDUEVBZVCUUIXNYNXOYPXKYMCVD
      UUIXLYOELUUJVEVFVGVJVKVLYLYQYNXTUFZYCJZYDYLXTYBYOLMJZYQUULQYLYJUUMUUDYLXG
      YMYMSZUUAYJUUMVMXGXHXJYKVNYLYMVOUUHYMXTYBDFVPVQVRUUMYQUULXTYNYBYOEVSWLVKU
      UKYAYCUUNUUKYATYMWACXTYMVTWBWCWDWEWFYHYGXQHXRYHXKXRJZKZXMYGXPXMYGYAXOJZBX
      LDLMZRZUUPXPYFUUSAXLOYBXLTZYDUUQBYEUURYBXLDLWGUUTYCXOYAYBXLELWGWHWIVJUUPU
      USCWJXKPZUFZXOJZXPUUPUVAUURJUUSUVCQUUPWJFPZXKPZUVAUURUUPWJXKFUUOXKFSYHXKF
      WKUJZWMUUPUVDDDLMJZXKUUBSUVEUURJXGUVGXHXJUUODFXBURUUPXKFUUBUVFXGUUFXHXJUU
      OUUGURWNXKUVDDDUUBUUEWOWPWQUUQUVCBUVAUURXTUVATYAUVBXOXTUVACWRVCVJVKUVBXNX
      OCXKWSWCWDWTXCXAXDXEXF $.
  $}

  ${
    $d f x y J $.  $d f x y K $.
    $( The set of continuous functions from ` J ` to ` K ` is unaffected by
       k-ification of ` K ` , if ` J ` is already compactly generated.
       (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    kgencn3 $p |- ( ( J e. ran kGen /\ K e. Top ) ->
      ( J Cn K ) = ( J Cn ( kGen ` K ) ) ) $=
      ( vx vy ckgen crn wcel wa ccn co cfv cv cuni cima eqid wss cin wceq sylib
      syl2anc vf ctop wf ccnv wral cnf adantl crest ccmp wi cpw cnvimass adantr
      fdmd sseqtrid cres cnvresima wfun ad2antrr ffun inpreima 3syl ineq1d in32
      cdm ssrin ax-mp dminss sstri a1i df-ss syl5eq eqtrd simpr ad2antrl cnrest
      ctopon wb ad3antrrr toptopon2 df-ima eqimss2i imassrn frnd sstrid cnrest2
      elpwi syl3anc mpbid simplr simprr imacmp kgeni eqeltrrd ralrimiva kgentop
      cnima expr elkgen syl mpbir2and kgenidm eleqtrd kgentopon sylbi syl2an ex
      iscn ssrdv toponcom kgenss cnss2 eqssd ) AEFGZBUBGZHZABIJZABEKZIJZXPUAXQX
      SXPUALZXQGZXTXSGZXPYAHZYBAMZBMZXTUCZXTUDZCLZNZAGZCXRUEZYAYFXPXTABYDYEYDOZ
      YEOUFUGZYCYJCXRYCYHXRGZHZYIAEKZAYOYIYPGZYIYDPZADLZUHJZUIGZYIYSQZYTGZUJZDY
      DUKZUEZYOXTVEZYIYDXTYHULZYCUUGYDRYNYCYDYEXTYMUNUMUOYOUUDDUUEYOYSUUEGZUUAU
      UCYOUUIUUAHZHZXTYSUPZUDYHXTYSNZQZNZUUBYTUUKUUOYGUUNNZYSQZUUBYSUUNXTUQUUKU
      UQYIYGUUMNZQZYSQZUUBUUKUUPUUSYSUUKYFXTURUUPUUSRYCYFYNUUJYMUSZYDYEXTUTYHUU
      MXTVAVBVCUUKUUTUUBUURQZUUBYIUURYSVDUUKUUBUURPZUVBUUBRUVCUUKUUBUUGYSQZUURY
      IUUGPUUBUVDPUUHYIUUGYSVFVGYSXTVHVIVJUUBUURVKSVLVMVLUUKUULYTBUUMUHJZIJGZUU
      NUVEGZUUOYTGUUKUULYTBIJGZUVFUUKYAYSYDPZUVHYCYAYNUUJXPYAVNUSZUUIUVIYOUUAYS
      YDWGVOYSXTABYDYLVPTUUKBYEVQKZGZUULFZUUMPZUUMYEPUVHUVFVRUUKXOUVLXPXOYAYNUU
      JXNXOVNZVSBVTZSUVNUUKUUMUVMXTYSWAWBVJUUKUUMXTFYEXTYSWCUUKYDYEXTUVAWDWEUUM
      UULYTBYEWFWHWIUUKYNUVEUIGZUVGYCYNUUJWJUUKYAUUAUVQUVJYOUUIUUAWKYSXTABWLTYH
      BUUMWMTUUNUULYTUVEWQTWNWRWOYOAYDVQKGZYQYRUUFHVRYOAUBGZUVRXNUVSXOYAYNAWPZV
      SAVTZSYIDAYDWSWTXAXNYPARXOYAYNAXBVSXCWOXPYBYFYKHVRZYAXNUVRXRUVKGZUWBXOXNU
      VSUVRUVTUWASXOUVLUWCUVPBYEXDXEZCXTAXRYDYEXHXFUMXAXGXIXPBXRMZVQKGZBXRPZXSX
      QPXPXOUWCUWFUVOXOUWCXNUWDUGBXRXJTXOUWGXNBXKUGAXRBUWEUWEOXLTXM $.

    $( A continuous function is also continuous with the domain and codomain
       replaced by their compact generator topologies.  (Contributed by Mario
       Carneiro, 21-Mar-2015.) $)
    kgen2cn $p |- ( F e. ( J Cn K ) ->
      F e. ( ( kGen ` J ) Cn ( kGen ` K ) ) ) $=
      ( ccn co wcel ckgen cfv cuni ctopon ctop cntop1 toptopon2 sylib kgentopon
      wss syl kgenss eqid syl2anc cnss1 crn wceq wfn wf kgenf ffn ax-mp sylancr
      fnfvelrn cntop2 kgencn3 sseqtrd id sseldd ) ABCDEZFZUPBGHZCGHDEZAUQUPURCD
      EZUSUQURBIZJHZFZBURPZUPUTPUQBVBFZVCUQBKFZVEABCLZBMNBVAOQUQVFVDVGBRQBURCVA
      VASUATUQURGUBFZCKFUTUSUCUQGKUDZVFVHKKGUEVIUFKKGUGUHVGKBGUJUIABCUKURCULTUM
      UQUNUO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Product topologies
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c tX $.
  $c ^ko $.

  $( Extend class notation with the binary topological product operation. $)
  ctx $a class tX $.

  $( Extend class notation with a function whose value is the compact-open
     topology. $)
  cxko $a class ^ko $.

  ${
    $d f k r s v x y $.
    $( Define the binary topological product, which is homeomorphic to the
       general topological product over a two element set, but is more
       convenient to use.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    df-tx $a |- tX = ( r e. _V , s e. _V |->
             ( topGen ` ran ( x e. r , y e. s |-> ( x X. y ) ) ) ) $.

    $( Define the compact-open topology, which is the natural topology on the
       set of continuous functions between two topological spaces.
       (Contributed by Mario Carneiro, 19-Mar-2015.) $)
    df-xko $a |- ^ko = ( s e. Top , r e. Top |-> ( topGen ` ( fi `
       ran ( k e. { x e. ~P U. r | ( r |`t x ) e. Comp } , v e. s |->
         { f e. ( r Cn s ) | ( f " k ) C_ v } ) ) ) ) $.
  $}

  ${
    $d a b c d p r s t u v x y z R $.  $d a b c d p r s t u v x y z S $.
    $d a b c d p r s t u v w z B $.  $d w x y z X $.  $d w x y z Y $.
    txval.1 $e |- B = ran ( x e. R , y e. S |-> ( x X. y ) ) $.
    $( Value of the binary topological product operation.  (Contributed by Jeff
       Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro, 30-Aug-2015.) $)
    txval $p |- ( ( R e. V /\ S e. W ) -> ( R tX S ) = ( topGen ` B ) ) $=
      ( vr vs wcel cvv ctx ctg cfv wceq elex cv cmpo crn co cxp mpoeq12 eqtr4di
      wa rneqd fveq2d df-tx fvex ovmpoa syl2an ) DFKDLKELKDEMUACNOZPEGKDFQEGQIJ
      DELLABIRZJRZARBRUBZSZTZNOULMUMDPUNEPUEZUQCNURUQABDEUOSZTCURUPUSABUMUNDEUO
      UCUFHUDUGABJIUHCNUIUJUK $.

    ${
      txuni2.1 $e |- X = U. R $.
      txuni2.2 $e |- Y = U. S $.
      $( The underlying set of the product of two topologies.  (Contributed by
         Mario Carneiro, 31-Aug-2015.) $)
      txuni2 $p |- ( X X. Y ) = U. B $=
        ( vz vr vs cxp cv wcel wa wrex wss wceq vw cuni relxp cop eleq2i eluni2
        bitri anbi12i opelxp reeanv 3bitr4i eqid xpeq1 eqeq2d xpeq2 rspc2ev vex
        mp3an3 xpex eqeq1 2rexbidv crn cab rnmpo eqtri elab2 sylibr elssuni syl
        cmpo sseld syl5bir rexlimivv relssi cpw wf wral sseqtrrdi xpss12 syl2an
        sylbi elpw rgen2 fmpo mpbi frn ax-mp eqsstri sspwuni eqssi ) FGNZCUBZKU
        AWKWLFGUCKOZUAOZUDZWKPZWMLOZPZWNMOZPZQZMERLDRZWOWLPZWMFPZWNGPZQWRLDRZWT
        MERZQWPXBXDXFXEXGXDWMDUBZPXFFXHWMIUELWMDUFUGXEWNEUBZPXGGXIWNJUEMWNEUFUG
        UHWMWNFGUIWRWTLMDEUJUKXAXCLMDEXAWOWQWSNZPWQDPZWSEPZQZXCWMWNWQWSUIXMXJWL
        WOXMXJCPZXJWLSXMXJAOZBOZNZTZBERADRZXNXKXLXJXJTZXSXJULXRXTXJWQXPNZTABWQW
        SDEXOWQTXQYAXJXOWQXPUMUNXPWSTYAXJXJXPWSWQUOUNUPURWMXQTZBERADRZXSKXJCWQW
        SLUQMUQUSWMXJTYBXRABDEWMXJXQUTVACABDEXQVJZVBZYCKVCHABKDEXQYDYDULZVDVEVF
        VGXJCVHVIVKVLVMWAVNCWKVOZSWLWKSCYEYGHDENZYGYDVPZYEYGSXQYGPZBEVQADVQYIYJ
        ABDEXODPZXPEPZQXQWKSZYJYKXOFSXPGSYMYLYKXOXHFXODVHIVRYLXPXIGXPEVHJVRXOFX
        PGVSVTXQWKXOXPAUQBUQUSWBVGWCABDEXQYGYDYFWDWEYHYGYDWFWGWHCWKWIWEWJ $.
    $}

    $( The basis for the product topology is a set.  (Contributed by Mario
       Carneiro, 2-Sep-2015.) $)
    txbasex $p |- ( ( R e. V /\ S e. W ) -> B e. _V ) $=
      ( wcel wa cuni cvv cxp eqid txuni2 uniexg xpexg syl2an eqeltrrid uniexb
      sylibr ) DFIZEGIZJZCKZLICLIUDUEDKZEKZMZLABCDEUFUGHUFNUGNOUBUFLIUGLIUHLIUC
      DFPEGPUFUGLLQRSCTUA $.

    $( The set of Cartesian products of elements from two topological bases is
       a basis.  (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario
       Carneiro, 31-Aug-2015.) $)
    txbas $p |- ( ( R e. TopBases /\ S e. TopBases ) -> B e. TopBases ) $=
      ( vt vu vv va vb vc vd vz wcel wa cv wrex wral cxp vp ctb cin wss crn cab
      wceq cmpo xpeq1 xpeq2 cbvmpov rnmpo eqtri abeq2i reeanv bitr4i cop basis2
      anbi12i exp43 opelxpi xpss12 anim12i an4s reximi sylbir syl2an ralrimivva
      imp42 eleq1 anbi1d 2rexbidv ralxp sylibr ineq12 inxp eqtrdi sseq2d anbi2d
      anassrs rexbidv c1st cfv c2nd rexeqi cvv wb fvex xpex rgenw op1std op2ndd
      cmpt vex xpeq12d mpompt eqcomi eleq2 sseq1 anbi12d rexrnmptw ax-mp eleq2d
      sseq1d rexxp 3bitri bitrdi raleqbidv syl5ibrcom rexlimdvva syl5bir syl5bi
      ralrimivv txbasex isbasis2g syl mpbird ) DUBOZEUBOZPZCUBOZUAQZGQZOZYCHQZI
      QZUCZUDZPZGCRZUAYGSZICSHCSZXTYKHICCYECOZYFCOZPZYEJQZKQZTZUGZKERZYFLQZMQZT
      ZUGZMERZPZLDRJDRZXTYKYOYTJDRZUUELDRZPUUGYMUUHYNUUIUUHHCCABDEAQZBQZTZUHZUE
      ZUUHHUFFJKHDEYRUUMABJKDEUULYRYPUUKTUUJYPUUKUIUUKYQYPUJUKULUMUNUUIICCUUNUU
      IIUFFLMIDEUUCUUMABLMDEUULUUCUUAUUKTUUJUUAUUKUIUUKUUBUUAUJUKULUMUNUSYTUUEJ
      LDDUOUPXTUUFYKJLDDUUFYSUUDPZMERKERXTYPDOZUUADOZPZPZYKYSUUDKMEEUOUUSUUOYKK
      MEEUUSYQEOZUUBEOZPZPYKUUOYBUULOZUULYPUUAUCZYQUUBUCZTZUDZPZBERADRZUAUVFSZX
      TUURUVBUVJXRUURXSUVBUVJXRUURPZXSUVBPZPZYEYFUQZUULOZUVGPZBERZADRZIUVESHUVD
      SUVJUVMUVRHIUVDUVEUVKYEUVDOZUVLYFUVEOZUVRUVKUVSPYEUUJOZUUJUVDUDZPZADRZYFU
      UKOZUUKUVEUDZPZBERZUVRUVLUVTPXRUUPUUQUVSUWDXRUUPUUQUVSUWDAYEDYPUUAURUTVIX
      SUUTUVAUVTUWHXSUUTUVAUVTUWHBYFEYQUUBURUTVIUWDUWHPUWCUWGPZBERZADRUVRUWCUWG
      ABDEUOUWJUVQADUWIUVPBEUWAUWEUWBUWFUVPUWAUWEPUVOUWBUWFPUVGYEYFUUJUUKVAUUJU
      VDUUKUVEVBVCVDVEVEVFVGVDVHUVIUVRUAHIUVDUVEYBUVNUGZUVHUVPABDEUWKUVCUVOUVGY
      BUVNUULVJVKVLVMVNVDVTUUOYJUVIUAYGUVFUUOYGYRUUCUCUVFYEYRYFUUCVOYPYQUUAUUBV
      PVQZUUOYJYDYCUVFUDZPZGCRZUVIUUOYIUWNGCUUOYHUWMYDUUOYGUVFYCUWLVRVSWAUWOUWN
      GUUNRZYBNQZWBWCZUWQWDWCZTZOZUWTUVFUDZPZNDETZRZUVIUWNGCUUNFWEUWTWFOZNUXDSU
      WPUXEWGUXFNUXDUWRUWSUWQWBWHUWQWDWHWIWJUWNUXCNGUXDUWTUUMWFNUXDUWTWMUUMABND
      EUWTUULUWQUUJUUKUQUGZUWRUUJUWSUUKUUJUUKUWQAWNZBWNZWKUUJUUKUWQUXHUXIWLWOZW
      PWQYCUWTUGYDUXAUWMUXBYCUWTYBWRYCUWTUVFWSWTXAXBUXCUVHNABDEUXGUXAUVCUXBUVGU
      XGUWTUULYBUXJXCUXGUWTUULUVFUXJXDWTXEXFXGXHXIXJXKXJXLXMXTCWFOYAYLWGABCDEUB
      UBFXNHIUAGCWFXOXPXQ $.
  $}

  ${
    $d p x y z J $.  $d p x y z K $.  $d p x y z S $.
    $( A set in a product is open iff each point is surrounded by an open
       rectangle.  (Contributed by Stefan O'Rear, 25-Jan-2015.) $)
    eltx $p |- ( ( J e. V /\ K e. W ) -> ( S e. ( J tX K ) <-> A. p e. S
          E. x e. J E. y e. K ( p e. ( x X. y ) /\ ( x X. y ) C_ S ) ) ) $=
      ( vz wcel wa ctx cv wss wrex wral eqid cvv wb vex co cxp cmpo crn ctg cfv
      txval eleq2d txbasex eltg2b xpex rgen2w wceq eleq2 sseq1 anbi12d rexrnmpo
      syl ax-mp ralbii bitrdi bitrd ) DFJEGJKZCDELUAZJCABDEAMZBMZUBZUCZUDZUEUFZ
      JZHMZVGJZVGCNZKZBEOADOZHCPZVCVDVJCABVIDEFGVIQZUGUHVCVKVLIMZJZVSCNZKZIVIOZ
      HCPZVQVCVIRJVKWDSABVIDEFGVRUIHICVIRUJURWCVPHCVGRJZBEPADPWCVPSWEABDEVEVFAT
      BTUKULWBVOABIDEVGVHRVHQVSVGUMVTVMWAVNVSVGVLUNVSVGCUOUPUQUSUTVAVB $.
  $}

  ${
    $d R u v $.  $d S u v $.
    $( The product of two topologies is a topology.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    txtop $p |- ( ( R e. Top /\ S e. Top ) -> ( R tX S ) e. Top ) $=
      ( vu vv ctop wcel wa ctx co cv cxp cmpo crn ctg cfv eqid txval ctb topbas
      txbas syl2an tgcl syl eqeltrd ) AEFZBEFZGZABHICDABCJDJKLMZNOZECDUHABEEUHP
      ZQUGUHRFZUIEFUEARFBRFUKUFASBSCDUHABUJTUAUHUBUCUD $.
  $}

  ${
    $d f g x y z A $.  $d f B $.  $d f g x y z F $.  $d f g x y z V $.
    ptval.1 $e |- B = { x | E. g ( ( g Fn A /\ A. y e. A ( g ` y ) e. ( F ` y )
    /\ E. z e. Fin A. y e. ( A \ z ) ( g ` y ) = U. ( F ` y ) ) /\
      x = X_ y e. A ( g ` y ) ) } $.
    $( The value of the product topology function.  (Contributed by Mario
       Carneiro, 3-Feb-2015.) $)
    ptval $p |- ( ( A e. V /\ F Fn A ) -> ( Xt_ ` F ) = ( topGen ` B ) ) $=
      ( vf wcel wfn wa cv cfv wral wceq cfn ctg cvv cdm cuni cdif wrex w3a cixp
      wex cab cpt df-pt simpr dmeqd fndm ad2antlr eqtrd fneq2d fveq1d raleqbidv
      eleq2d difeq1d unieqd eqeq2d rexbidv ixpeq1d anbi12d exbidv abbidv fveq2d
      3anbi123d eqtr4di fnex ancoms fvexd fvmptd2 ) DHKZGDLZMZJGFNZJNZUAZLZBNZV
      ROZWBVSOZKZBVTPZWCWDUBZQZBVTCNZUCZPZCRUDZUEZANZBVTWCUFZQZMZFUGZAUHZSOESOT
      UITABCJFUJVQVSGQZMZWSESXAWSVRDLZWCWBGOZKZBDPZWCXCUBZQZBDWIUCZPZCRUDZUEZWN
      BDWCUFZQZMZFUGZAUHEXAWRXOAXAWQXNFXAWMXKWPXMXAWAXBWFXEWLXJXAVTDVRXAVTGUAZD
      XAVSGVQWTUKZULVPXPDQVOWTDGUMUNUOZUPXAWEXDBVTDXRXAWDXCWCXAWBVSGXQUQZUSURXA
      WKXICRXAWHXGBWJXHXAVTDWIXRUTXAWGXFWCXAWDXCXSVAVBURVCVIXAWOXLWNXABVTDWCXRV
      DVBVEVFVGIVJVHVPVOGTKDHGVKVLVQESVMVN $.
  $}

  ${
    $d k w z A $.  $d k w z F $.  $d k w z I $.  $d k w z U $.  $d k w z V $.
    $d w z X $.
    ptpjpre1.1 $e |- X = X_ k e. A U. ( F ` k ) $.
    $( The preimage of a projection function can be expressed as an indexed
       cartesian product.  (Contributed by Mario Carneiro, 6-Feb-2015.) $)
    ptpjpre1 $p |- ( ( ( A e. V /\ F : A --> Top ) /\
      ( I e. A /\ U e. ( F ` I ) ) ) -> ( `' ( w e. X |-> ( w ` I ) ) " U ) =
        X_ k e. A if ( k = I , U , U. ( F ` k ) ) ) $=
      ( vz wcel wa cfv cv wfn wral fveq2 elixp bitri syl5ibrcom ctop wf cmpt wb
      ccnv cima wceq cuni cif cixp unieqd eleq12d simprbi eleq2s adantl simplrl
      vex rspcdva fmpttd ffn elpreima 3syl fveq1 eqid fvex fvmpt eleq1d pm5.32i
      eleq2i anbi1i simprl iftrue wn simprr iffalse eleq2d pm2.61d expr ralimdv
      anass expimpd ancomsd wss elssuni ad2antll sseq12d ssid eqsstrdi pm2.61d1
      sseld wi rspcv ad2antrl jcad impbid anbi2d syl5bb bitrd bitr4di eqrdv ) B
      GKBUAEUBLZFBKZCFEMZKZLLZJAHFANZMZUCZUECUFZDBDNZFUGZCXJEMZUHZUIZUJZXEJNZXI
      KZXPBOZXJXPMZXNKZDBPZLZXPXOKXEXQXPHKZXPXHMZCKZLZYBXEHXCUHZXHUBXHHOXQYFUDX
      EAHXGYGXEXFHKZLXJXFMZXMKZXGYGKDBFXKYIXGXMYGXJFXFQXKXLXCXJFEQUKZULYHYJDBPZ
      XEYLXFDBXMUJZHXFYMKXFBOYLDBXMXFAUQRUMIUNUOXAXBXDYHUPURUSHYGXHUTHXPCXHVAVB
      YFXRXSXMKZDBPZFXPMZCKZLZLZXEYBYFYCYQLZYSYCYEYQYCYDYPCAXPXGYPHXHFXFXPVCXHV
      DFXPVEVFVGVHYTXRYOLZYQLYSYCUUAYQYCXPYMKUUAHYMXPIVIDBXMXPJUQZRSVJXRYOYQVTS
      SXEYRYAXRXEYRYAXEYQYOYAXEYQYOYAXEYQLYNXTDBXEYQYNXTXEYQYNLLZXKXTUUCXTXKYQX
      EYQYNVKXKXSYPXNCXJFXPQXKCXMVLZULZTUUCXTXKVMZYNXEYQYNVNUUFXNXMXSXKCXMVOZVP
      TVQVRVSWAWBXEYAYOYQXEXTYNDBXEXNXMXSXEXKXNXMWCZXEUUHXKCYGWCZXDUUIXAXBCXCWD
      WEXKXNCXMYGUUDYKWFTUUFXNXMXMUUGXMWGWHWIWJVSXBYAYQWKXAXDXTYQDFBUUEWLWMWNWO
      WPWQWRDBXNXPUUBRWSWT $.
  $}

  ${
    $d a b c d k n s u v B $.  $d g h w x y G $.  $d g n w x y I $.  $d k ph $.
    $d a b c d g h k m n s u v w x y z A $.  $d g n w x y U $.  $d a b g x Y $.
    $d a b c d g h k m n s u v w x y z F $.  $d a b g h k m s u w x z X $.
    $d g h x S $.  $d a b c d g h k m n s u v w x y z V $.  $d k w y W $.
    ptbas.1 $e |- B = { x | E. g ( ( g Fn A /\ A. y e. A ( g ` y ) e. ( F ` y )
    /\ E. z e. Fin A. y e. ( A \ z ) ( g ` y ) = U. ( F ` y ) ) /\
      x = X_ y e. A ( g ` y ) ) } $.
    $( Elementhood in the bases of a product topology.  (Contributed by Mario
       Carneiro, 3-Feb-2015.) $)
    elpt $p |- ( S e. B <-> E. h ( ( h Fn A /\ A. y e. A ( h ` y ) e. ( F ` y )
    /\ E. w e. Fin A. y e. ( A \ w ) ( h ` y ) = U. ( F ` y ) ) /\
      S = X_ y e. A ( h ` y ) ) ) $=
      ( wcel cv cfv wral wceq cfn wrex wa cvv wfn cuni cdif w3a cixp wex eleq2i
      cab simpr ixpexg fvexd mprg exlimiv eqeq1 anbi2d exbidv elab3 fneq1 fveq1
      eqeltrdi eleq1d ralbidv eqeq1d rexralbidv difeq2 raleqdv bitrdi 3anbi123d
      cbvrexvw ixpeq2dv eqeq2d anbi12d cbvexvw 3bitri ) GFLGHMZEUAZBMZVONZVQJNZ
      LZBEOZVRVSUBZPZBECMZUCZOCQRZUDZAMZBEVRUEZPZSZHUFZAUHZLWGGWIPZSZHUFZIMZEUA
      ZVQWQNZVSLZBEOZWSWBPZBEDMZUCZOZDQRZUDZGBEWSUEZPZSZIUFFWMGKUGWLWPAGTWOGTLH
      WOGWITWGWNUIVRTLWITLBEBEVRTUJVQELVQVOUKULUTUMWHGPZWKWOHXKWJWNWGWHGWIUNUOU
      PUQWOXJHIVOWQPZWGXGWNXIXLVPWRWAXAWFXFEVOWQURXLVTWTBEXLVRWSVSVQVOWQUSZVAVB
      XLWFXBBWEOZCQRXFXLWCXBCBQWEXLVRWSWBXMVCVDXNXECDQWDXCPXBBWEXDWDXCEVEVFVIVG
      VHXLWIXHGXLBEVRWSXMVJVKVLVMVN $.

    $( A basic open set in the product topology.  (Contributed by Mario
       Carneiro, 3-Feb-2015.) $)
    elptr $p |- ( ( A e. V /\ ( G Fn A /\ A. y e. A ( G ` y ) e. ( F ` y ) )
    /\ ( W e. Fin /\ A. y e. ( A \ W ) ( G ` y ) = U. ( F ` y ) ) ) ->
      X_ y e. A ( G ` y ) e. B ) $=
      ( vh vw wcel cv cfv wral wa cfn wceq wfn cuni cdif w3a wrex wex cvv simp1
      cixp simp2l fnexd simp2r difeq2 raleqdv rspcev 3ad2ant3 3jca fveq1 eqcomd
      ixpeq2dv biantrud fneq1 eleq1d ralbidv eqeq1d rexralbidv 3anbi123d bitr3d
      spcedv elpt sylibr ) DINZHDUAZBOZHPZVNGPZNZBDQZRZJSNVOVPUBZTZBDJUCZQZRZUD
      ZLOZDUAZVNWFPZVPNZBDQZWHVTTZBDMOZUCZQMSUEZUDZBDVOUIZBDWHUITZRZLUFWPENWEWR
      VMVRWABWMQZMSUEZUDZLUGHWEDHIVLVMVRWDUJZVLVSWDUHUKWEVMVRWTXBVLVMVRWDULWDVL
      WTVSWSWCMJSWLJTWABWMWBWLJDUMUNUOUPUQWFHTZWOWRXAXCWQWOXCBDVOWHXCWHVOVNWFHU
      RZUSUTVAXCWGVMWJVRWNWTDWFHVBXCWIVQBDXCWHVOVPXDVCVDXCWKWAMBSWMXCWHVOVTXDVE
      VFVGVHVIABCMDEWPFLGKVJVK $.

    ${
      $d y S $.
      elptr2.1 $e |- ( ph -> A e. V ) $.
      elptr2.2 $e |- ( ph -> W e. Fin ) $.
      elptr2.3 $e |- ( ( ph /\ k e. A ) -> S e. ( F ` k ) ) $.
      elptr2.4 $e |- ( ( ph /\ k e. ( A \ W ) ) -> S = U. ( F ` k ) ) $.
      $( A basic open set in the product topology.  (Contributed by Mario
         Carneiro, 3-Feb-2015.) $)
      elptr2 $p |- ( ph -> X_ k e. A S e. B ) $=
        ( cfv wcel wral cv cmpt cixp nffvmpt1 nfcv fveq2 cbvixp wceq simpr eqid
        wa fvmpt2 syl2anc ixpeq2dva syl5eq wfn cfn cuni ralrimiva fnmpt eqeltrd
        cdif syl nfel1 eleq12d cbvralw sylibr eldifi sylan2 eqtrd nfeq1 eqeq12d
        nfv unieqd elptr syl122anc eqeltrrd ) ACECUAZIEGUBZRZUCZIEGUCZFAWAIEIUA
        ZVSRZUCWBCIEVTWDIEGVRUDZCWDUEVRWCVSUFZUGAIEWDGAWCESZUKZWGGWCJRZSZWDGUHZ
        AWGUIPIEGWIVSVSUJZULUMZUNUOAEKSVSEUPZVTVRJRZSZCETZLUQSVTWOURZUHZCELVBZT
        ZWAFSNAWJIETWNAWJIEPUSIEGVSWIWLUTVCAWDWISZIETWQAXBIEWHWDGWIWMPVAUSWPXBC
        IEIVTWOWEVDXBCVMVRWCUHZVTWDWOWIWFVRWCJUFZVEVFVGOAWDWIURZUHZIWTTXAAXFIWT
        AWCWTSZUKWDGXEXGAWGWKWCELVHWMVIQVJUSWSXFCIWTIVTWRWEVKXFCVMXCVTWDWRXEWFX
        CWOWIXDVNVLVFVGBCDEFHJVSKLMVOVPVQ $.
    $}

    $( The base set of the product topology is a basic open set.  (Contributed
       by Mario Carneiro, 3-Feb-2015.) $)
    ptbasid $p |- ( ( A e. V /\ F : A --> Top ) ->
      X_ k e. A U. ( F ` k ) e. B ) $=
      ( wcel ctop wf wa cv cfv cuni c0 simpl cfn a1i ffvelrn adantll topopn syl
      0fin eqid cdif eqidd elptr2 ) DIKZDLHMZNZABCDEGOZHPZQZFGHIRJUKULSRTKUMUFU
      AUMUNDKZNUOLKZUPUOKULUQURUKDLUNHUBUCUOUPUPUGUDUEUMUNDRUHKNUPUIUJ $.

    $( The base set for the product topology.  (Contributed by Mario Carneiro,
       3-Feb-2015.) $)
    ptuni2 $p |- ( ( A e. V /\ F : A --> Top ) ->
      X_ k e. A U. ( F ` k ) = U. B ) $=
      ( wcel wa cv cfv cuni cixp wss elssuni wral wceq ctop ptbasid syl cpw wfn
      cdif cfn wrex w3a wex cab simpr2 ralimi ss2ixp 3syl fveq2 unieqd sseqtrdi
      wf cbvixpv velpw sseq1 syl5bb syl5ibrcom expimpd exlimdv eqsstrid sspwuni
      abssdv sylib eqssd ) DIKDUAHUSLZGDGMZHNZOZPZEOZVLVPEKVPVQQABCDEFGHIJUBVPE
      RUCVLEVPUDZQVQVPQVLEFMZDUEZBMZVSNZWAHNZKZBDSZWBWCOZTBDCMUFSCUGUHZUIZAMZBD
      WBPZTZLZFUJZAUKVRJVLWMAVRVLWLWIVRKZFVLWHWKWNVLWHLZWNWKWJVPQZWOWJBDWFPZVPW
      OWEWBWFQZBDSWJWQQVLVTWEWGULWDWRBDWBWCRUMBDWBWFUNUOBGDWFVOWAVMTWCVNWAVMHUP
      UQUTURWNWIVPQWKWPAVPVAWIWJVPVBVCVDVEVFVIVGEVPVHVJVK $.

    $( The basis for a product topology is closed under intersections.
       (Contributed by Mario Carneiro, 3-Feb-2015.) $)
    ptbasin $p |- ( ( ( A e. V /\ F : A --> Top ) /\ ( X e. B /\ Y e. B ) ) ->
      ( X i^i Y ) e. B ) $=
      ( va vc vb vd wcel wa cv wceq cfn vk ctop cin wfn cfv wral cuni cdif wrex
      wf w3a cixp wex anbi12i exdistrv bitr4i an4 an6 df-3an bitri reeanv fveq2
      elpt wi ineq12d cbvixpv cun simpl1l unfi ad2antrl simpl1r simpl3l eleq12d
      ffvelrnda rspccva sylan simpl3r inopn syl3anc wss ssun1 sscon ax-mp sseli
      simprrl unieqd eqeq12d syl2an simprrr ssun2 eqtrdi elptr2 expr rexlimdvva
      inidm eqeltrid syl5bir 3expb impr sylan2b ineq12 ixpin eqtr4di syl5ibrcom
      eleq1d expimpd syl5bi exlimdvv imp ) DHPZDUBGUJZQZIEPZJEPZQZIJUCZEPZXOLRZ
      DUDZBRZXRUEZXTGUEZPZBDUFZYAYBUGZSZBDMRZUHZUFZMTUIZUKZIBDYAULZSZQZNRZDUDZX
      TYOUEZYBPZBDUFZYQYESZBDORZUHZUFZOTUIZUKZJBDYQULZSZQZQZNUMLUMZXLXQXOYNLUMZ
      UUHNUMZQUUJXMUUKXNUULABCMDEIFLGKVCABCODEJFNGKVCUNYNUUHLNUOUPXLUUIXQLNUUIY
      KUUEQZYMUUGQZQXLXQYKYMUUEUUGUQXLUUMUUNXQXLUUMQXQUUNBDYAYQUCZULZEPZUUMXLXS
      YPQZYDYSQZQZYJUUDQZQZUUQUUMUURUUSUVAUKUVBXSYDYJYPYSUUDURUURUUSUVAUSUTXLUU
      TUVAUUQXLUURUUSUVAUUQVDUVAYIUUCQZOTUIMTUIXLUURUUSUKZUUQYIUUCMOTTVAUVDUVCU
      UQMOTTUVDYGTPUUATPQZUVCUUQUVDUVEUVCQZQZUUPUADUARZXRUEZUVHYOUEZUCZULEBUADU
      UOUVKXTUVHSZYAUVIYQUVJXTUVHXRVBZXTUVHYOVBZVEVFUVGABCDEUVKFUAGHYGUUAVGZKXJ
      XKUURUUSUVFVHUVEUVOTPUVDUVCYGUUAVIVJUVGUVHDPZQUVHGUEZUBPUVIUVQPZUVJUVQPZU
      VKUVQPUVGDUBUVHGXJXKUURUUSUVFVKVNUVGYDUVPUVRYDYSXLUURUVFVLYCUVRBUVHDUVLYA
      UVIYBUVQUVMXTUVHGVBZVMVOVPUVGYSUVPUVSYDYSXLUURUVFVQYRUVSBUVHDUVLYQUVJYBUV
      QUVNUVTVMVOVPUVIUVJUVQVRVSUVGUVHDUVOUHZPZQZUVKUVQUGZUWDUCUWDUWCUVIUWDUVJU
      WDUVGYIUVHYHPUVIUWDSZUWBUVDUVEYIUUCWEUWAYHUVHYGUVOVTUWAYHVTYGUUAWAYGUVODW
      BWCWDYFUWEBUVHYHUVLYAUVIYEUWDUVMUVLYBUVQUVTWFZWGVOWHUVGUUCUVHUUBPUVJUWDSZ
      UWBUVDUVEYIUUCWIUWAUUBUVHUUAUVOVTUWAUUBVTUUAYGWJUUAUVODWBWCWDYTUWGBUVHUUB
      UVLYQUVJYEUWDUVNUWFWGVOWHVEUWDWOWKWLWPWMWNWQWRWSWTUUNXPUUPEUUNXPYLUUFUCUU
      PIYLJUUFXABDYAYQXBXCXEXDXFXGXHXGXI $.

    $( The basis for a product topology is closed under intersections.
       (Contributed by Mario Carneiro, 19-Mar-2015.) $)
    ptbasin2 $p |- ( ( A e. V /\ F : A --> Top ) -> ( fi ` B ) = B ) $=
      ( vu vv vk wcel ctop wf cv wral cfv cvv cuni wa cin ptbasin ralrimivva wb
      cfi wceq cixp ptuni2 ixpexg fvex uniex a1i eqeltrrdi uniexb sylibr inficl
      mprg syl mpbid ) DHMDNGOUAZJPZKPZUBEMZKEQJEQZEUFREUGZVAVDJKEEABCDEFGHVBVC
      IUCUDVAESMZVEVFUEVAETZSMVGVAVHLDLPZGRZTZUHZSABCDEFLGHIUIVKSMZVLSMLDLDVKSU
      JVMVIDMVJVIGUKULUMURUNEUOUPJKESUQUSUT $.

    $( The basis for a product topology is a basis.  (Contributed by Mario
       Carneiro, 3-Feb-2015.) $)
    ptbas $p |- ( ( A e. V /\ F : A --> Top ) -> B e. TopBases ) $=
      ( wcel ctop wf wa cfi cfv ctb ptbasin2 fibas eqeltrrdi ) DHJDKGLMEENOPABC
      DEFGHIQERS $.

    ptbasfi.2 $e |- X = X_ n e. A U. ( F ` n ) $.
    $( The basis for a product topology is a basis.  (Contributed by Mario
       Carneiro, 3-Feb-2015.) $)
    ptpjpre2 $p |- ( ( ( A e. V /\ F : A --> Top ) /\
      ( I e. A /\ U e. ( F ` I ) ) ) ->
      ( `' ( w e. X |-> ( w ` I ) ) " U ) e. B ) $=
      ( wcel ctop wa cfv cv wf cmpt ccnv cima wceq cuni cif ptpjpre1 csn simpll
      cixp cfn snfi a1i simprr ad2antrr simpr fveq2d eleqtrrd wn ffvelrnda eqid
      simplr topopn adantr ifclda cdif eldifsni neneqd adantl iffalsed eqeltrd
      syl elptr2 ) ELPZEQJUAZRZKEPZGKJSZPZRZRZDMKDTSUBUCGUDIEITZKUEZGWCJSZUFZUG
      ZUKFDEGIJKLMOUHWBABCEFWGHIJLKUIZNVOVPWAUJWHULPWBKUMUNWBWCEPZRZWDGWFWEWJWD
      RZGVSWEWBVTWIWDVQVRVTUOUPWKWCKJWJWDUQURUSWJWFWEPZWDUTZWJWEQPWLWBEQWCJVOVP
      WAVCVAWEWFWFVBVDVMVEVFWBWCEWHVGPZRWDGWFWNWMWBWNWCKWCEKVHVIVJVKVNVL $.

    $( The basis for the product topology can also be written as the set of
       finite intersections of "cylinder sets", the preimages of projections
       into one factor from open sets in the factor.  (We have to add ` X `
       itself to the list because if ` A ` is empty we get
       ` ( fi `` (/) ) = (/) ` while ` B = { (/) } ` .)  (Contributed by Mario
       Carneiro, 3-Feb-2015.) $)
    ptbasfi $p |- ( ( A e. V /\ F : A --> Top ) -> B = ( fi ` ( { X } u. ran
   ( k e. A , u e. ( F ` k ) |-> ( `' ( w e. X |-> ( w ` k ) ) " u ) ) ) ) ) $=
      ( wcel wa wceq wss cvv vs vh vm ctop wf csn cv cfv cmpt ccnv cima crn cun
      cmpo cfi wfn wral cuni cdif cfn wrex w3a cixp wex elpt df-3an cin ciin c0
      simprr disjdif2 raleqdv biimpac ixpeq2 syl weq fveq2 unieqd cbvixpv eqtri
      eqtr4di sylan ssv iineq1 0iin eqtrdi sseqtrrid adantl df-ss sylib wne cif
      eqtr4d simplll sselid eleq12d ad2antrr rspcdva ptpjpre1 syl12anc iineq2dv
      inss1 simpr adantlr cdm cnvimass eqid dmmptss sstri sseqtri rgenw sylancl
      r19.2z iinss wi wn elssuni syl5ibrcom sylibr eqtrd eqssd eleq1 pm2.61dane
      adantr sylanbrc cint a1i ctb ciun eqeltrd ad3antrrr nfcv syl2anc eqeltrid
      syl5eq cxp snssd sspwuni unssd sseqtrd sseqtrrdi ssralv ax-mp sseq2d ssid
      sseqin2 iffalse iftrue pm2.61d2 ralrimivw ssiin equcoms sseq1d mpan2 3syl
      rspcev ralimiaa eldifn ad2antlr inss2 mtod iinconst eqtr2d eqeq1 ralimdva
      mpan9 inundif raleqi ralunb bitr3i ixpiin 3eqtr4rd ixpexg fvex uniex mprg
      cab eqeltri mptex cnvex imaex dfiin2 inteq int0 ineq2d inv1 snex ptpjpre2
      ptbas ralrimivva fmpox frnd ssexd unexg ssfii ssun1 snss mpbir sseldd nfv
      sylancr nfixp1 nfcxfr nfmpt nfcnv nfima nfmpo nfcri cop co df-ov mpteq2dv
      nfrn cnveqd imaeq1d imaeq2 sylan9eq ovmpox syl3anc eqtr3id ffnd opeliunxp
      xpeq12d cbviunv eleqtrdi fnfvelrn eqeltrrd ex rexlimd abssdv ssun2 sstrdi
      sneq simplrl ssfi abrexfi elfir syl13anc fiuni cpw pwid ptuni2 sstrd mp1i
      eqimss2 eqtr3d rexlimdvaa impr sylan2b expimpd exlimdv ssrdv ptbasid fiss
      syl5bi ptbasin2 ) FLPFUDKUEQZGMUFZIEFIUGZKUHZDMVUSDUGZUHZUIZUJZEUGZUKZUNZ
      ULZUMZUOUHZVUQUAGVVJUAUGZGPUBUGZFUPZBUGZVVLUHZVVNKUHZPZBFUQZVVOVVPURZRZBF
      UCUGZUSZUQZUCUTVAZVBZVVKBFVVOVCZRZQZUBVDVUQVVKVVJPZABCUCFGVVKHUBKNVEVUQVW
      HVWIUBVUQVWEVWGVWIVUQVWEQVWIVWGVWFVVJPZVWEVUQVVMVVRQZVWDQVWJVVMVVRVWDVFVU
      QVWKVWDVWJVUQVWKQZVWCVWJUCUTVWLVWAUTPZVWCQZQZVWFMJFVWAVGZDMJUGZVVAUHZUIZU
      JZVWQVVLUHZUKZVHZVGZVVJVWOVWFVXDRVWPVIVWOVWPVIRZQZVWFMVXDVWOVWCVXEVWFMRVW
      LVWMVWCVJZVWCVXEQZVWFBFVVSVCZMVXHVVTBFUQZVWFVXIRVXEVWCVXJVXEVVTBVWBFFVWAV
      KVLVMBFVVOVVSVNVOMJFVWQKUHZURZVCZVXIOJBFVXLVVSJBVPZVXKVVPVWQVVNKVQVRVSVTZ
      WAWBVXFMVXCSZVXDMRZVXEVXPVWOVXETMVXCMWCVXEVXCJVIVXBVHTJVWPVIVXBWDJVXBWEWF
      WGWHMVXCWIWJWMVWOVWPVIWKZQZVXCJVWPBFBJVPZVXAVVSWLZVCZVHZVXDVWFVXSJVWPVXBV
      YBVWOVWQVWPPZVXBVYBRZVXRVWOVYDQZVUQVWQFPZVXAVXKPZVYEVUQVWKVWNVYDWNVYFVWPF
      VWQFVWAXBZVWOVYDXCWOZVYFVVQVYHBFVWQVXTVVOVXAVVPVXKVVNVWQVVLVQZVVNVWQKVQWP
      VWLVVRVWNVYDVUQVVMVVRVJZWQVYJWRZDFVXABKVWQLMVXOWSWTXDXAVXSVXCMSZVXDVXCRZV
      XSVXCVXIMVXSVXBVXISZJVWPVAZVXCVXISVXSVXRVYPJVWPUQVYQVWOVXRXCVYPJVWPVXBMVX
      IVXBVWSXEMVWSVXAXFDMVWRVWSVWSXGXHXIVXOXJXKVYPJVWPXMXLJVWPVXBVXIXNVOVXOUUA
      VXCMUUFZWJVXSVWFBFJVWPVYAVHZVCZVYCVXSVVOVYSRZBFUQZVWFVYTRVXSWUABVWPUQZWUA
      BVWBUQZWUBVXSVVRVVQBVWPUQZWUCVWLVVRVWNVXRVYLWQVWPFSVVRWUEXOVYIVVQBVWPFUUB
      UUCVVQWUABVWPVVNVWPPZVVQQVVOVYSVVQVVOVYSSZWUFVVQVVOVYASZJVWPUQWUGVVQWUHJV
      WPVVQVXTWUHVVQWUHVXTXPZVVOVVSSVVOVVPXQWUIVYAVVSVVOVXTVXAVVSUUGZUUDXRVXTVV
      OVVOVYAVVOUUEZVXTVYAVXAVVOVXTVXAVVSUUHZVYKWMWGUUIUUJJVWPVYAVVOUUKXSWHWUFV
      YSVVOSZVVQWUFVYAVVOSZJVWPVAZWUMWUFVVOVVOSZWUOWUKWUNWUPJVVNVWPVXNVYAVVOVVO
      VXNVYAVXAVVOVYAVXARBJWULUULVWQVVNVVLVQXTUUMUUPUUNJVWPVYAVVOXNVOYDYAUUQUUO
      VWOVWCVXRWUDVXGVXRVVTWUABVWBVXRVVNVWBPZQZWUAVVTVVSVYSRWURVYSJVWPVVSVHZVVS
      WURJVWPVYAVVSWURVYDQZWUIVYAVVSRWUTVXTVVNVWAPZWUQWVAXPVXRVYDVVNFVWAUURUUSW
      UTWVAVXTVWQVWAPWUTVWPVWAVWQFVWAUUTZWURVYDXCWOVVNVWQVWAYBXRUVAWUJVOXAVXRWU
      SVVSRWUQJVWPVVSUVBYDUVCVVOVVSVYSUVDXRUVEUVFWUBWUABVWPVWBUMZUQWUCWUDQWUABW
      VCFFVWAUVGUVHWUABVWPVWBUVIUVJYEBFVVOVYSVNVOVXRVYTVYCRVWOBJFVWPVYAUVKWHXTU
      VLYCVWOVXDVVJPCUGZVXBRZJVWPVAZCUVQZVIVWOWVGVIRZQVXDMVVJWVHVXQVWOWVHVXDMTV
      GMWVHVXCTMWVHVXCVIYFZTWVHVXCWVGYFZWVIJCVWPVXBVWTVXAVWSDMVWRMVXMTOVXLTPZVX
      MTPJFJFVXLTUVMWVKVYGVXKVWQKUVNUVOYGUVPUVRZUVSUVTUWAZUWBZWVGVIUWCYOUWDWFUW
      EMUWFWFWHVWOMVVJPWVHVWOVVIVVJMVUQVVIVVJSZVWKVWNVUQVVITPZWVOVUQVURTPVVHTPW
      VPMUWGVUQVVHGYHABCFGHKLNUWIZVUQIFVUSUFZVUTYPZYIZGVVGVUQVVFGPZEVUTUQIFUQWV
      TGVVGUEZVUQWWAIEFVUTABCDFGVVEHJKVUSLMNOUWHUWJIEFVUTVVFGVVGVVGXGZUWKWJZUWL
      ZUWMVURVVHTTUWNUXAZVVITUWOVOWQMVVIPZVWOWWGVURVVISVURVVHUWPMVVIWVLUWQUWRZY
      GUWSYDYJVWOWVGVIWKZQZVXDVXCVVJWWJVYNVYOWWJVXCVVJURZMWWJVXCVVJPVXCWWKSWWJV
      XCWVJVVJWVNWWJWVPWVGVVISZWWIWVGUTPZWVJVVJPVUQWVPVWKVWNWWIWWFYKVWOWWLWWIVW
      OWVGVVHVVIVWOWVFCVVHVWOWVEWVDVVHPZJVWPVWOJUWTJCVVHJVVGIEJFVUTVVFJFYLJVUTY
      LJVVDVVEJVVCJDMVVBJMVXMOJFVXLUXBUXCJVVBYLUXDUXEJVVEYLUXFUXGUXMUXHVWOVYDWV
      EWWNXOVYFWWNWVEVXBVVHPVYFVWQVXAUXIZVVGUHZVXBVVHVYFWWPVWQVXAVVGUXJZVXBVWQV
      XAVVGUXKVYFVYGVYHVXBTPZWWQVXBRVYJVYMWWRVYFWVMYGIEVWQVXAFVUTVVFVXBVVGTVXKI
      JVPZVVEVXARVVFVWTVVEUKVXBWWSVVDVWTVVEWWSVVCVWSWWSDMVVBVWRVUSVWQVVAVQUXLUX
      NUXOVVEVXAVWTUXPUXQVUSVWQKVQWWCUXRUXSUXTVYFVVGWVTUPWWOWVTPWWPVVHPVYFWVTGV
      VGVUQWWBVWKVWNVYDWWDYKUYAVYFWWOJFVWQUFZVXKYPZYIZWVTVYFVYGVYHWWOWXBPVYJVYM
      JFVXKVXAUYBYEJIFWXAWVSJIVPWWTWVRVXKVUTVWQVUSUYMVWQVUSKVQUYCUYDUYEWVTWWOVV
      GUYFYMUYGWVDVXBVVHYBXRUYHUYIUYJVVHVURUYKUYLYDVWOWWIXCWWJVWPUTPZWWMWWJVWMV
      WPVWASWXCVWLVWMVWCWWIUYNWVBVWAVWPUYOXLJCVWPVXBUYPVOWVGVVITUYQUYRYNZVXCVVJ
      XQVOVUQWWKMRVWKVWNWWIVUQVVIURZWWKMVUQWVPWXEWWKRWWFVVITUYSVOVUQWXEMVUQVVIM
      UYTZSWXEMSVUQVURVVHWXFVUQMWXFMWXFPVUQMWVLVUAYGYQVUQVVHGWXFWWEVUQGURZMSZGW
      XFSVUQMWXGRWXHVUQMVXMWXGOABCFGHJKLNVUBYOWXGMVUEVOGMYRXSVUCYSVVIMYRWJWWGMW
      XESVUQWWHMVVIXQVUDYAVUFYKYTVYRWJWXDYJYCYJVUGVUHVUIVVKVWFVVJYBXRVUJVUKVUOV
      ULVUQVVJGUOUHZGVUQGYHPVVIGSVVJWXISWVQVUQVURVVHGVUQMGVUQMVXMGOABCFGHJKLNVU
      MYNYQWWEYSVVIGYHVUNYMABCFGHKLNVUPYTYA $.
  $}

  ${
    $d g x y z A $.  $d g x y z F $.  $d g x y z V $.
    $( The product topology is a topology.  (Contributed by Mario Carneiro,
       3-Feb-2015.) $)
    pttop $p |- ( ( A e. V /\ F : A --> Top ) -> ( Xt_ ` F ) e. Top ) $=
      ( vg vy vz vx wcel ctop wf wa cpt cfv cv wfn wral cuni wceq cdif cfn wrex
      w3a cixp wex cab ctg ffn eqid ptval sylan2 ctb ptbas tgcl syl eqeltrd ) A
      CHZAIBJZKZBLMZDNZAOENZUTMZVABMZHEAPVBVCQREAFNSPFTUAUBGNEAVBUCRKDUDGUEZUFM
      ZIUQUPBAOUSVERAIBUGGEFAVDDBCVDUHZUIUJURVDUKHVEIHGEFAVDDBCVFULVDUMUNUO $.
  $}

  ${
    $d g k x y z A $.  $d g k x y z F $.  $d g x y S $.  $d g k x y z V $.
    $d k ph $.  $d k y W $.
    ptopn.1 $e |- ( ph -> A e. V ) $.
    ptopn.2 $e |- ( ph -> F : A --> Top ) $.
    ptopn.3 $e |- ( ph -> W e. Fin ) $.
    ptopn.4 $e |- ( ( ph /\ k e. A ) -> S e. ( F ` k ) ) $.
    ptopn.5 $e |- ( ( ph /\ k e. ( A \ W ) ) -> S = U. ( F ` k ) ) $.
    $( A basic open set in the product topology.  (Contributed by Mario
       Carneiro, 3-Feb-2015.) $)
    ptopn $p |- ( ph -> X_ k e. A S e. ( Xt_ ` F ) ) $=
      ( vg vy vz vx cv cfv wcel wceq wfn wral cuni cdif cfn wrex w3a wa wex cab
      cixp cpt ctg ctb wss ctop wf eqid ptbas syl2anc bastg ffnd ptval sseqtrrd
      syl elptr2 sseldd ) AMQZBUANQZVHRZVIERZSNBUBVJVKUCTNBOQUDUBOUEUFUGPQNBVJU
      KTUHMUIPUJZEULRZDBCUKAVLVLUMRZVMAVLUNSZVLVNUOABFSZBUPEUQVOHIPNOBVLMEFVLUR
      ZUSUTVLUNVAVEAVPEBUAVMVNTHABUPEIVBPNOBVLMEFVQVCUTVDAPNOBVLCMDEFGVQHJKLVFV
      G $.
  $}

  ${
    $d ph k $.  $d A k $.  $d F k $.  $d V k $.  $d Y k $.
    ptopn2.a $e |- ( ph -> A e. V ) $.
    ptopn2.f $e |- ( ph -> F : A --> Top ) $.
    ptopn2.o $e |- ( ph -> O e. ( F ` Y ) ) $.
    $( A sub-basic open set in the product topology.  (Contributed by Stefan
       O'Rear, 22-Feb-2015.) $)
    ptopn2 $p |- ( ph ->
        X_ k e. A if ( k = Y , O , U. ( F ` k ) ) e. ( Xt_ ` F ) ) $=
      ( cv wceq cfv cuni cif csn cfn wcel adantr ctop snfi a1i fveq2 syl5ibrcom
      wa eleq2d imp ffvelrnda eqid topopn syl ifclda cdif eldifn velsn iffalsed
      wn sylnib adantl ptopn ) ABCKZGLZEVADMZNZOZCDFGPZHIVFQRAGUAUBAVABRZUEZVBE
      VDVCVHVBEVCRZVHVIVBEGDMZRZAVKVGJSVBVCVJEVAGDUCUFUDUGVHVDVCRZVBUQVHVCTRVLA
      BTVADIUHVCVDVDUIUJUKSULVABVFUMRZVEVDLAVMVBEVDVMVAVFRVBVABVFUNCGUOURUPUSUT
      $.
  $}

  ${
    $d k s v K $.  $d f k r s v x R $.  $d f k r s v x S $.  $d r s T $.
    $d k x X $.
    xkoval.x $e |- X = U. R $.
    xkoval.k $e |- K = { x e. ~P X | ( R |`t x ) e. Comp } $.
    xkoval.t $e |- T = ( k e. K , v e. S |->
      { f e. ( R Cn S ) | ( f " k ) C_ v } ) $.
    $( Functionality of function ` T ` .  (Contributed by Mario Carneiro,
       19-Mar-2015.) $)
    xkotf $p |- T : ( K X. S ) --> ~P ( R Cn S ) $=
      ( cv cima wss ccn co crab cpw wral wcel cxp cvv ovex ssrab2 elpwi2 rgen2w
      wf fmpo mpbi ) FMGMNBMOZFCDPQZRZULSZUAZBDTGHTHDUBUNEUHUOGBHDUMULUCCDPUDUK
      FULUEUFUGGBHDUMUNELUIUJ $.

    $( Alternative expression for the subbase of the compact-open topology.
       (Contributed by Mario Carneiro, 23-Mar-2015.) $)
    xkobval $p |- ran T = { s | E. k e. ~P X E. v e. S
      ( ( R |`t k ) e. Comp /\ s = { f e. ( R Cn S ) | ( f " k ) C_ v } ) } $=
      ( cv co crab wceq wrex crest ccmp crn cima wss ccn cab wa cpw rnmpo oveq2
      wcel eleq1d rexrab rexeqi r19.42v rexbii 3bitr4i abbii eqtri ) EUAJNFNGNZ
      UBBNUCFCDUDOPZQZBDRZGHRZJUECUSSOZTUJZVAUFBDRZGIUGZRZJUEGBJHDUTEMUHVCVHJVB
      GCANZSOZTUJZAVGPZRVEVBUFZGVGRVCVHVKVEVBGAVGVIUSQVJVDTVIUSCSUIUKULVBGHVLLU
      MVFVMGVGVEVABDUNUOUPUQUR $.

    $( Value of the compact-open topology.  (Contributed by Mario Carneiro,
       19-Mar-2015.) $)
    xkoval $p |- ( ( R e. Top /\ S e. Top ) ->
      ( S ^ko R ) = ( topGen ` ( fi ` ran T ) ) ) $=
      ( vs ctop wcel co cfv ctg cv crab vr cxko crn cfi wceq ccmp cuni cpw cima
      crest wss ccn wa simpr unieqd eqtr4di pweqd oveq1d eleq1d rabeqbidv simpl
      cmpo oveq12d rabeqdv mpoeq123dv rneqd fveq2d df-xko fvex ovmpoa ancoms )
      DNOCNODCUBPEUCZUDQZRQZUEMUADCNNGBUASZASZUJPZUFOZAVOUGZUHZTZMSZFSGSUIBSUKZ
      FVOWBULPZTZVBZUCZUDQZRQVNUBWBDUEZVOCUEZUMZWHVMRWKWGVLUDWKWFEWKWFGBHDWCFCD
      ULPZTZVBEWKGBWAWBWEHDWMWKWACVPUJPZUFOZAIUHZTHWKVRWOAVTWPWKVSIWKVSCUGIWKVO
      CWIWJUNZUOJUPUQWKVQWNUFWKVOCVPUJWQURUSUTKUPWIWJVAZWKWCFWDWLWKVOCWBDULWQWR
      VCVDVELUPVFVGVGABFGMUAVHVMRVIVJVK $.
  $}

  ${
    $d f k v x y A $.  $d f k v x y R $.  $d f k v x y S $.  $d f k v y U $.
    $d k v x y X $.
    $( The compact-open topology is a topology.  (Contributed by Mario
       Carneiro, 19-Mar-2015.) $)
    xkotop $p |- ( ( R e. Top /\ S e. Top ) -> ( S ^ko R ) e. Top ) $=
      ( vk vv vx vf ctop wcel wa cxko co crest ccmp cuni cpw crab cima cfv eqid
      cv wss ccn cmpo crn cfi ctg xkoval ctb fibas tgcl ax-mp eqeltrdi ) AGHBGH
      IBAJKCDAETLKMHEANZOPZBFTCTQDTUAFABUBKPUCZUDZUERZUFRZGEDABUOFCUNUMUMSUNSUO
      SUGUQUHHURGHUPUIUQUJUKUL $.

    xkoopn.x $e |- X = U. R $.
    xkoopn.r $e |- ( ph -> R e. Top ) $.
    xkoopn.s $e |- ( ph -> S e. Top ) $.
    xkoopn.a $e |- ( ph -> A C_ X ) $.
    xkoopn.c $e |- ( ph -> ( R |`t A ) e. Comp ) $.
    xkoopn.u $e |- ( ph -> U e. S ) $.
    $( A basic open set of the compact-open topology.  (Contributed by Mario
       Carneiro, 19-Mar-2015.) $)
    xkoopn $p |- ( ph ->
      { f e. ( R Cn S ) | ( f " A ) C_ U } e. ( S ^ko R ) ) $=
      ( vk vv vx cv wss wcel wceq vy cima ccn co crab ccmp cpw cmpo crn cfi cfv
      crest ctg cxko cvv ovex pwex cxp wf eqid xkotf frn ax-mp ssexi ssfii fvex
      bastg sstri wrex oveq2 eleq1d ctop topopn elpw2g 3syl mpbird elrabd eqidd
      wb imaeq2 sseq1d rabbidv sseq2 rspc2ev syl3anc rabex eqeq1 2rexbidv rnmpo
      eqeq2d elab2 sylibr sselid xkoval syl2anc eleqtrrd ) AFQZBUBZERZFCDUCUDZU
      EZNOCPQZULUDZUFSZPGUGZUEZDWQNQZUBZOQZRZFWTUEZUHZUIZUJUKZUMUKZDCUNUDZAXMXO
      XAXMXNXOXMUOSXMXNRXMWTUGZWTCDUCUPZUQXFDURZXQXLUSXMXQRPOCDXLFNXFGHXFUTZXLU
      TZVAXSXQXLVBVCVDXMUOVEVCXNUOSXNXORXMUJVFXNUOVGVCVHAXAXKTZODVINXFVIZXAXMSA
      BXFSEDSXAXATZYCAXDCBULUDZUFSPBXEXBBTXCYEUFXBBCULVJVKABXESZBGRZKACVLSZGCSY
      FYGVSICGHVMBGCVNVOVPLVQMAXAVRYBYDXAWRXIRZFWTUEZTNOBEXFDXGBTZXKYJXAYKXJYIF
      WTYKXHWRXIXGBWQVTWAWBWJXIETZYJXAXAYLYIWSFWTXIEWRWCWBWJWDWEUAQZXKTZODVINXF
      VIYCUAXAXMWSFWTXRWFYMXATYNYBNOXFDYMXAXKWGWHNOUAXFDXKXLYAWIWKWLWMAYHDVLSXP
      XOTIJPOCDXLFNXFGHXTYAWNWOWP $.
  $}

  ${
    txtopi.1 $e |- R e. Top $.
    txtopi.2 $e |- S e. Top $.
    $( The product of two topologies is a topology.  (Contributed by Jeff
       Madsen, 15-Jun-2010.) $)
    txtopi $p |- ( R tX S ) e. Top $=
      ( ctop wcel ctx co txtop mp2an ) AEFBEFABGHEFCDABIJ $.
  $}

  ${
    $d u v R $.  $d u v S $.
    $( The underlying set of the product of two topologies.  (Contributed by
       Mario Carneiro, 22-Aug-2015.)  (Revised by Mario Carneiro,
       2-Sep-2015.) $)
    txtopon $p |- ( ( R e. ( TopOn ` X ) /\ S e. ( TopOn ` Y ) ) ->
      ( R tX S ) e. ( TopOn ` ( X X. Y ) ) ) $=
      ( vu vv ctopon cfv wcel wa ctop cxp cuni wceq topontop syl2an cv toponuni
      eqid cvv ctx txtop cmpo crn ctg txuni2 xpeq12 txbasex unitg 3eqtr4a txval
      co syl unieqd eqtr4d istopon sylanbrc ) ACGHZIZBDGHZIZJZABUAULZKIZCDLZVCM
      ZNVCVEGHIUSAKIBKIVDVACAODBOABUBPVBVEEFABEQFQLUCUDZUEHZMZVFVBAMZBMZLZVGMZV
      EVIEFVGABVJVKVGSZVJSVKSUFUSCVJNDVKNVEVLNVACARDBRCVJDVKUGPVBVGTIVIVMNEFVGA
      BURUTVNUHVGTUIUMUJVBVCVHEFVGABURUTVNUKUNUOVEVCUPUQ $.
  $}

  ${
    txuni.1 $e |- X = U. R $.
    txuni.2 $e |- Y = U. S $.
    $( The underlying set of the product of two topologies.  (Contributed by
       Jeff Madsen, 2-Sep-2009.) $)
    txuni $p |- ( ( R e. Top /\ S e. Top ) -> ( X X. Y ) = U. ( R tX S ) ) $=
      ( ctop wcel wa ctx cxp ctopon cuni wceq toptopon txtopon syl2anb toponuni
      co cfv syl ) AGHZBGHZIABJSZCDKZLTHZUEUDMNUBACLTHBDLTHUFUCACEOBDFOABCDPQUE
      UDRUA $.
  $}

  ${
    txunii.1 $e |- R e. Top $.
    txunii.2 $e |- S e. Top $.
    txunii.3 $e |- X = U. R $.
    txunii.4 $e |- Y = U. S $.
    $( The underlying set of the product of two topologies.  (Contributed by
       Jeff Madsen, 15-Jun-2010.) $)
    txunii $p |- ( X X. Y ) = U. ( R tX S ) $=
      ( ctop wcel cxp ctx co cuni wceq txuni mp2an ) AIJBIJCDKABLMNOEFABCDGHPQ
      $.
  $}

  ${
    $d g k x y z A $.  $d g k x y z F $.  $d g k x y z V $.
    ptuni.1 $e |- J = ( Xt_ ` F ) $.
    $( The base set for the product topology.  (Contributed by Mario Carneiro,
       3-Feb-2015.) $)
    ptuni $p |- ( ( A e. V /\ F : A --> Top ) ->
      X_ x e. A U. ( F ` x ) = U. J ) $=
      ( vg vy vz vk wcel ctop wa cv wfn cfv wral cuni wceq cixp wf cdif cfn w3a
      wrex wex cab ctg ctb eqid ptbas unitg syl cpt sylan2 syl5eq unieqd ptuni2
      ffn ptval 3eqtr4rd ) BEKZBLCUAZMZGNZBOHNZVEPZVFCPZKHBQVGVHRSHBINUBQIUCUEU
      DJNHBVGTSMGUFJUGZUHPZRZVIRZDRABANCPRTVDVIUIKVKVLSJHIBVIGCEVIUJZUKVIUIULUM
      VDDVJVDDCUNPZVJFVCVBCBOVNVJSBLCUSJHIBVIGCEVMUTUOUPUQJHIBVIGACEVMURVA $.
  $}

  ${
    $d A x y $.  $d K y $.  $d V y $.
    ptunimpt.j $e |- J = ( Xt_ ` ( x e. A |-> K ) ) $.
    $( Base set of a product topology given by substitution.  (Contributed by
       Stefan O'Rear, 22-Feb-2015.) $)
    ptunimpt $p |- ( ( A e. V /\ A. x e. A K e. Top ) ->
        X_ x e. A U. K = U. J ) $=
      ( vy wcel ctop wral wa cuni cixp cv cmpt cfv wceq eqid fvmpt2 unieqd nfcv
      eqcomd ralimiaa adantl ixpeq2 nffvmpt1 nfuni fveq2 cbvixp eqtr4di wf fmpt
      syl ptuni sylan2b eqtrd ) BEHZDIHZABJZKZABDLZMZGBGNZABDOZPZLZMZCLZUTVBABA
      NZVDPZLZMZVGUTVAVKQZABJZVBVLQUSVNUQURVMABVIBHURKZDVJVOVJDABDIVDVDRZSUBTUC
      UDABVAVKUEUMGABVFVKAVEABDVCUFUGGVKUAVCVIQVEVJVCVIVDUHTUIUJUSUQBIVDUKVGVHQ
      ABIDVDVPULGBVDCEFUNUOUP $.

    $( The base set for the product topology.  (Contributed by Mario Carneiro,
       22-Aug-2015.) $)
    pttopon $p |- ( ( A e. V /\ A. x e. A K e. ( TopOn ` B ) ) ->
      J e. ( TopOn ` X_ x e. A B ) ) $=
      ( wcel ctopon cfv wral wa ctop cixp cuni wceq cmpt wf ralimi sylan2 sylib
      topontop eqid fmpt cpt pttop eqeltrid toponuni ixpeq2 syl adantl ptunimpt
      eqtrd istopon sylanbrc ) BFHZECIJHZABKZLZDMHZABCNZDOZPDVAIJHURUPBMABEQZRZ
      UTUREMHZABKZVDUQVEABCEUBSZABMEVCVCUCUDUAUPVDLDVCUEJMGBVCFUFUGTUSVAABEOZNZ
      VBURVAVIPZUPURCVHPZABKVJUQVKABCEUHSABCVHUIUJUKURUPVFVIVBPVGABDEFGULTUMVAD
      UNUO $.
  $}

  ${
    $d x A $.  $d x R $.  $d x V $.  $d x X $.
    ptuniconst.2 $e |- J = ( Xt_ ` ( A X. { R } ) ) $.
    $( The base set for a product topology when all factors are the same.
       (Contributed by Mario Carneiro, 22-Aug-2015.) $)
    pttoponconst $p |- ( ( A e. V /\ R e. ( TopOn ` X ) ) ->
        J e. ( TopOn ` ( X ^m A ) ) ) $=
      ( vx wcel ctopon cfv wa cixp cmap co wral id ralrimivw csn cpt sylan2 cxp
      cmpt fconstmpt fveq2i eqtri pttopon toponmax ixpconstg fveq2d eleqtrd
      wceq ) ADHZBEIJHZKZCGAELZIJZEAMNZIJUMULUMGAOCUPHUMUMGAUMPQGAECBDCABRUAZSJ
      GABUBZSJFURUSSGABUCUDUEUFTUNUOUQIUMULEBHUOUQUKEBUGGAEDBUHTUIUJ $.

    ptuniconst.1 $e |- X = U. R $.
    $( The base set for a product topology when all factors are the same.
       (Contributed by Mario Carneiro, 3-Feb-2015.) $)
    ptuniconst $p |- ( ( A e. V /\ R e. Top ) -> ( X ^m A ) = U. J ) $=
      ( wcel ctop wa cmap co ctopon cfv cuni wceq toptopon pttoponconst sylan2b
      toponuni syl ) ADHZBIHZJCEAKLZMNHZUDCOPUCUBBEMNHUEBEGQABCDEFRSUDCTUA $.
  $}

  ${
    $d f k v x R $.  $d f k v x S $.
    xkouni.1 $e |- J = ( S ^ko R ) $.
    $( The base set of the compact-open topology.  (Contributed by Mario
       Carneiro, 19-Mar-2015.) $)
    xkouni $p |- ( ( R e. Top /\ S e. Top ) -> ( R Cn S ) = U. J ) $=
      ( vf vk vv vx wcel co cuni wss cv c0 crab wceq a1i eqid cvv ax-mp ctop wa
      ccn cxko cima wral ima0 eqsstri ralrimiva rabid2 sylibr simpl simpr crest
      0ss csn ccmp rest0 adantr eqeltrdi topopn adantl xkoopn eqeltrd eleqtrrdi
      0cmp elssuni syl cpw cmpo crn cfi cfv ctg xkoval unieqd unieqi ovex xkotf
      pwex cxp wf frn ssexi fiuni fvex unitg eqtr4i 3eqtr4g sspwuni sylib eqssd
      eqsstrd ) AUAIZBUAIZUBZABUCJZCKZWPWQCIWQWRLWPWQBAUDJZCWPWQEMZNUEZBKZLZEWQ
      OZWSWPXCEWQUFWQXDPWPXCEWQXCWPWTWQIUBXANXBWTUGXBUOUHQUIXCEWQUJUKWPNABXBEAK
      ZXERZWNWOULWNWOUMNXELWPXEUOQWPANUNJZNUPZUQWNXGXHPWOAURUSVFUTWOXBBIWNBXBXB
      RVAVBVCVDDVEWQCVGVHWPWRFGAHMUNJUQIHXEVIOZBWTFMUEGMLEWQOVJZVKZKZWQWPWSKXKV
      LVMZVNVMZKZWRXLWPWSXNHGABXJEFXIXEXFXIRZXJRZVOVPCWSDVQXLXMKZXOXKSIXLXRPXKW
      QVIZWQABUCVRVTXIBWAZXSXJWBXKXSLZHGABXJEFXIXEXFXPXQVSXTXSXJWCTZWDXKSWETXMS
      IXOXRPXKVLWFXMSWGTWHWIWPYAXLWQLYAWPYBQXKWQWJWKWMWL $.

    $( The base set of the compact-open topology.  (Contributed by Mario
       Carneiro, 22-Aug-2015.) $)
    xkotopon $p |- ( ( R e. Top /\ S e. Top ) ->
        J e. ( TopOn ` ( R Cn S ) ) ) $=
      ( ctop wcel wa ccn co cuni wceq ctopon cfv xkotop eqeltrid xkouni istopon
      cxko sylanbrc ) AEFBEFGZCEFABHIZCJKCUALMFTCBARIEDABNOABCDPUACQS $.
  $}

  ${
    $d g k n u w x y z A $.  $d g k n u w x y z F $.  $d g k n u w x y z V $.
    $d w X $.
    ptval2.1 $e |- J = ( Xt_ ` F ) $.
    ptval2.2 $e |- X = U. J $.
    ptval2.3 $e |- G =
      ( k e. A , u e. ( F ` k ) |-> ( `' ( w e. X |-> ( w ` k ) ) " u ) ) $.
    $( The value of the product topology function.  (Contributed by Mario
       Carneiro, 7-Feb-2015.) $)
    ptval2 $p |- ( ( A e. V /\ F : A --> Top ) -> J =
      ( topGen ` ( fi ` ( { X } u. ran G ) ) ) ) $=
      ( vg vy vz vx vn wcel cv cfv ctop wf wfn wral cuni wceq cdif cfn wrex w3a
      wa cixp wex cab ctg csn crn cun cfi ffn cpt eqid ptval syl5eq sylan2 cmpt
      ccnv cima ptbasfi ptuni eqtr4di 3ad2ant1 mpteq1d cnveqd imaeq1d mpoeq3dva
      cmpo sneqd rneqd uneq12d fveq2d eqtrd ) CHRZCUAEUBZUKZGMSZCUCNSZWFTZWGETZ
      RNCUDWHWIUEUFNCOSUGUDOUHUIUJPSNCWHULUFUKMUMPUNZUOTZIUPZFUQZURZUSTZUOTWDWC
      ECUCZGWKUFCUAEUTWCWPUKGEVATWKJPNOCWJMEHWJVBZVCVDVEWEWJWOUOWEWJQCQSETUEULZ
      UPZDBCDSZETZAWRWTASTZVFZVGZBSZVHZVQZUQZURZUSTWOPNOABCWJMDQEHWRWQWRVBVIWEX
      IWNUSWEWSWLXHWMWEWRIWEWRGUEIQCEGHJVJKVKZVRWEXGFWEXGDBCXAAIXBVFZVGZXEVHZVQ
      FWEDBCXAXFXMWEWTCRZXEXARZUJZXDXLXEXPXCXKXPAWRIXBWEXNWRIUFXOXJVLVMVNVOVPLV
      KVSVTWAWBWAWB $.
  $}

  ${
    $d R u v $.  $d S u v $.  $d A u v $.  $d B u v $.
    $( The product of two open sets is open in the product topology.
       (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    txopn $p |- ( ( ( R e. V /\ S e. W ) /\ ( A e. R /\ B e. S ) )
                                               -> ( A X. B ) e. ( R tX S ) ) $=
      ( vu vv wcel wa cxp cv cmpo cvv eqid syl adantr wceq wrex eqeq2d co bastg
      crn ctg cfv ctx wss txbasex xpeq1 xpeq2 rspc2ev mp3an3 wb elrnmpog mpbird
      xpexg adantl sseldd txval eleqtrrd ) CEIDFIJZACIZBDIZJZJZABKZGHCDGLZHLZKZ
      MZUCZUDUEZCDUFUAZVEVKVLVFVAVKVLUGZVDVAVKNIVNGHVKCDEFVKOZUHVKNUBPQVDVFVKIZ
      VAVDVPVFVIRZHDSGCSZVBVCVFVFRZVRVFOVQVSVFAVHKZRGHABCDVGARVIVTVFVGAVHUITVHB
      RVTVFVFVHBAUJTUKULVDVFNIVPVRUMABCDUPGHCDVIVFVJNVJOUNPUOUQURVAVMVLRVDGHVKC
      DEFVOUSQUT $.
  $}

  $( The product of two closed sets is closed in the product topology.
     (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro,
     3-Sep-2015.) $)
  txcld $p |- ( ( A e. ( Clsd ` R ) /\ B e. ( Clsd ` S ) ) ->
      ( A X. B ) e. ( Clsd ` ( R tX S ) ) ) $=
    ( ccld cfv wcel wa cxp cuni wss cdif eqid cldss syl2an cldrcl adantr adantl
    ctop syl ctx co xpss12 txuni sseqtrd cun difxp difeq1d eqtr3id txtop cldopn
    wceq topopn txopn syl22anc unopn syl3anc eqeltrrd wb iscld mpbir2and ) ACEF
    GZBDEFGZHZABIZCDUAUBZEFGZVEVFJZKZVHVELZVFGZVDVECJZDJZIZVHVBAVLKBVMKVEVNKVCA
    CVLVLMZNBDVMVMMZNAVLBVMUCOVBCSGZDSGZVNVHULVCACPZBDPZCDVLVMVOVPUDOZUEVDVLALZ
    VMIZVLVMBLZIZUFZVJVFVDWFVNVELVJABVLVMUGVDVNVHVEWAUHUIVDVFSGZWCVFGZWEVFGZWFV
    FGVBVQVRWGVCVSVTCDUJOZVDVQVRWBCGZVMDGZWHVBVQVCVSQZVCVRVBVTRZVBWKVCACVLVOUKQ
    VDVRWLWNDVMVPUMTWBVMCDSSUNUOVDVQVRVLCGZWDDGZWIWMWNVDVQWOWMCVLVOUMTVCWPVBBDV
    MVPUKRVLWDCDSSUNUOWCWEVFUPUQURVDWGVGVIVKHUSWJVEVFVHVHMUTTVA $.

  ${
    $d r s u w x y z A $.  $d r s u w x y z B $.  $d r s u w x y z R $.
    $d r s u w x y z S $.  $d r s u w x y z X $.  $d r s u w x y z Y $.
    $( Closure of a rectangle in the product topology.  (Contributed by Mario
       Carneiro, 17-Sep-2015.) $)
    txcls $p |- ( ( ( R e. ( TopOn ` X ) /\ S e. ( TopOn ` Y ) ) /\
      ( A C_ X /\ B C_ Y ) ) -> ( ( cls ` ( R tX S ) ) ` ( A X. B ) ) =
        ( ( ( cls ` R ) ` A ) X. ( ( cls ` S ) ` B ) ) ) $=
      ( vu vz vr vs vw cfv wcel wa wss cxp ad2antrr wceq syl2anc cv ctopon ccld
      vx vy ctx co ccl ctop cuni topontop simprl toponuni sseqtrd eqid ad2antlr
      clscld simprr txcld sscls xpss12 clsss2 wrel relxp a1i cop opelxp cin wne
      c0 wi wral wrex wb eltx eleq1 anbi1d 2rexbidv rspccva wex simplrl simprll
      simprrl sylib simpld clsndisj syl32anc n0 simplrr simprlr simprd exdistrv
      opelxpi inxp eleqtrrdi elin1d sselda sylan2 elin2d adantl inelcm exlimdvv
      simprrr ex syl5bir mp2and expr rexlimdvva syl5 expd sylbid txtopon clsss3
      ralrimiv syl sseqtrrd adantrr adantrl opelxpd eleqtrd elcls mpbird syl5bi
      syl3anc relssdv eqssd ) CEUALZMZDFUALZMZNZAEOZBFOZNZNZABPZCDUEUFZUGLLZACU
      GLLZBDUGLLZPZYNYTYPUBLMZYOYTOZYQYTOYNYRCUBLMZYSDUBLMZUUAYNCUHMZACUIZOZUUC
      YGUUEYIYMECUJQZYNAEUUFYJYKYLUKYGEUUFRYIYMECULQZUMZACUUFUUFUNZUPSYNDUHMZBD
      UIZOZUUDYIUULYGYMFDUJUOZYNBFUUMYJYKYLUQYIFUUMRYGYMFDULUOZUMZBDUUMUUMUNZUP
      SYRYSCDURSYNAYROZBYSOZUUBYNUUEUUGUUSUUHUUJACUUFUUKUSSYNUULUUNUUTUUOUUQBDU
      UMUURUSSAYRBYSUTSYTYOYPYPUIZUVAUNZVASYNUCUDYTYQYTVBYNYRYSVCVDUCTZUDTZVEZY
      TMUVCYRMZUVDYSMZNZYNUVEYQMZUVCUVDYRYSVFYNUVHUVIYNUVHNZUVIUVEGTZMZUVKYOVGV
      IVHZVJZGYPVKZUVJUVNGYPUVJUVKYPMZHTZITZJTZPZMZUVTUVKOZNZJDVLICVLZHUVKVKZUV
      NYJUVPUWEVMYMUVHIJUVKCDYFYHHVNQUVJUWEUVLUVMUWEUVLNUVEUVTMZUWBNZJDVLICVLZU
      VJUVMUWDUWHHUVEUVKUVQUVERZUWCUWGIJCDUWIUWAUWFUWBUVQUVEUVTVOVPVQVRUVJUWGUV
      MIJCDUVJUVRCMZUVSDMZNZUWGUVMUVJUWLUWGNZNZUVQUVRAVGZMZHVSZKTZUVSBVGZMZKVSZ
      UVMUWNUWOVIVHZUWQUWNUUEUUGUVFUWJUVCUVRMZUXBYNUUEUVHUWMUUHQYNUUGUVHUWMUUJQ
      YNUVFUVGUWMVTUVJUWJUWKUWGWAUWNUXCUVDUVSMZUWNUWFUXCUXDNUVJUWLUWFUWBWBUVCUV
      DUVRUVSVFWCZWDUVCAUVRCUUFUUKWEWFHUWOWGWCUWNUWSVIVHZUXAUWNUULUUNUVGUWKUXDU
      XFYNUULUVHUWMUUOQYNUUNUVHUWMUUQQYNUVFUVGUWMWHUVJUWJUWKUWGWIUWNUXCUXDUXEWJ
      UVDBUVSDUUMUURWEWFKUWSWGWCUWQUXANUWPUWTNZKVSHVSUWNUVMUWPUWTHKWKUWNUXGUVMH
      KUWNUXGUVMUWNUXGNUVQUWRVEZUVKMZUXHYOMZUVMUXGUWNUXHUVTMUXIUXGUVTYOUXHUXGUX
      HUWOUWSPUVTYOVGUVQUWRUWOUWSWLUVRUVSABWMWNZWOUWNUVTUVKUXHUVJUWLUWFUWBXBWPW
      QUXGUXJUWNUXGUVTYOUXHUXKWRWSUXHUVKYOWTSXCXAXDXEXFXGXHXIXJXMUVJYPUHMZYOUVA
      OUVEUVAMUVIUVOVMUVJYPEFPZUALMZUXLYJUXNYMUVHCDEFXKQZUXMYPUJXNUVJYOUXMUVAYM
      YOUXMOYJUVHAEBFUTUOUVJUXNUXMUVARUXOUXMYPULXNZUMUVJUVEUXMUVAUVJUVCUVDEFYNU
      VFUVCEMUVGYNYREUVCYNYRUUFEYNUUEUUGYRUUFOUUHUUJACUUFUUKXLSUUIXOWPXPYNUVGUV
      DFMUVFYNYSFUVDYNYSUUMFYNUULUUNYSUUMOUUOUUQBDUUMUURXLSUUPXOWPXQXRUXPXSGUVE
      YOYPUVAUVBXTYCYAXCYBYDYE $.
  $}

  ${
    $d x y A $.  $d m n u v x y R $.  $d m n u v x y S $.  $d m n u v x y V $.
    $d x y B $.  $d x y C $.  $d x y D $.  $d m n u v x y W $.
    $( Subset property of the topological product.  (Contributed by Mario
       Carneiro, 2-Sep-2015.) $)
    txss12 $p |- ( ( ( B e. V /\ D e. W ) /\ ( A C_ B /\ C C_ D ) ) ->
      ( A tX C ) C_ ( B tX D ) ) $=
      ( vx vy wcel wa wss cv cxp cmpo crn ctg cfv ctx co cvv eqid txbasex resss
      cres resmpo eqsstrrdi adantl rnss syl tgss syl2an2r wceq ssexg txval an4s
      syl2an ancoms adantr 3sstr4d ) BEIZDFIZJZABKZCDKZJZJZGHACGLHLMZNZOZPQZGHB
      DVGNZOZPQZACRSZBDRSZVBVLTIVEVIVLKZVJVMKGHVLBDEFVLUAZUBVFVHVKKZVPVEVRVBVEV
      HVKACMZUDVKGHBDACVGUEVKVSUCUFUGVHVKUHUIVIVLTUJUKVEVBVNVJULZVCUTVDVAVTVCUT
      JATICTIVTVDVAJABEUMCDFUMGHVIACTTVIUAUNUPUOUQVBVOVMULVEGHVLBDEFVQUNURUS $.

    $( It is sufficient to consider products of the bases for the topologies in
       the topological product.  (Contributed by Mario Carneiro,
       25-Aug-2014.) $)
    txbasval $p |- ( ( R e. V /\ S e. W ) ->
      ( ( topGen ` R ) tX ( topGen ` S ) ) = ( R tX S ) ) $=
      ( vu vv vm vn vx vy wcel wa cv cxp ctg cfv wss wceq ciun cvv ctx cmpo crn
      co eqid txval cres bastg resmpo syl2an resss eqsstrrdi rnss syl wral cuni
      wf wex eltg3 bi2anan9 exdistrv an4 uniiun xpeq12i xpiundir xpiundi 3eqtri
      a1i iuneq2i ovex ssel2 anim12i an4s txopn anassrs ralrimiva tgiun sylancr
      sylan2 txbasex tgidm fveq2d 3eqtr4d adantr eleqtrd eqeltrid xpeq12 eleq1d
      syl5ibrcom expimpd syl5bi exlimdvv syl5bir sylbid ralrimivv sylib sseqtrd
      fmpo frnd 2basgen syl2anc fvex mp2an eqtr4di eqtr2d ) ACKZBDKZLZABUAUDZEF
      ABEMZFMZNZUBZUCZOPZAOPZBOPZUAUDZEFXNABCDXNUEZUFZXHXOEFXPXQXLUBZUCZOPZXRXH
      XNYBQZYBXOQXOYCRXHXMYAQYDXHXMYAABNZUGZYAXFAXPQBXQQYFXMRXGACUHBDUHEFXPXQAB
      XLUIUJYAYEUKULXMYAUMUNXHYBXIXOXHXPXQNZXIYAXHXLXIKZFXQUOEXPUOYGXIYAUQXHYHE
      FXPXQXHXJXPKZXKXQKZLGMZAQZXJYKUPZRZLZGURZHMZBQZXKYQUPZRZLZHURZLZYHXFYIYPX
      GYJUUBGXJACUSHXKBDUSUTUUCYOUUALZHURGURXHYHYOUUAGHVAXHUUDYHGHUUDYLYRLZYNYT
      LZLXHYHYLYNYRYTVBXHUUEUUFYHXHUUELZYHUUFYMYSNZXIKUUGUUHIYKJYQIMZJMZNZSZSZX
      IUUHIYKUUISZJYQUUJSZNIYKUUIUUONZSUUMYMUUNYSUUOIYKVCJYQVCVDIYKUUIUUOVEIYKU
      UPUULUUPUULRUUIYKKZJYQUUJUUIVFVHVIVGUUGUUMXIOPZXIUUGXITKZUULXIKZIYKUOUUMU
      URKABUAVJZUUGUUTIYKUUGUUQLZUULUURXIUVBUUSUUKXIKZJYQUOUULUURKUVAUVBUVCJYQU
      UGUUQUUJYQKZUVCXHUUEUUQUVDLZUVCUUEUVELXHUUIAKZUUJBKZLZUVCYLUUQYRUVDUVHYLU
      UQLUVFYRUVDLUVGYKAUUIVKYQBUUJVKVLVMUUIUUJABCDVNVSVOVOVPJYQXIUUKTVQVRUUGUU
      RXIRZUUQXHUVIUUEXHXOOPZXOUURXIXHXNTKUVJXOREFXNABCDXSVTXNTWAUNXHXIXOOXTWBX
      TWCWDZWDWEVPIYKXIUULTVQVRUVKWEWFUUFXLUUHXIXJYMXKYSWGWHWIWJWKWLWMWNWOEFXPX
      QXLXIYAYAUEWRWPWSXTWQXNYBWTXAXPTKXQTKXRYCRAOXBBOXBEFYBXPXQTTYBUEUFXCXDXE
      $.
  $}

  ${
    $d a b c A $.  $d a b c B $.  $d a b c C $.  $d a b c D $.  $d a b c J $.
    $d a b c K $.  $d a X $.  $d b Y $.
    neitx.x $e |- X = U. J $.
    neitx.y $e |- Y = U. K $.
    $( The Cartesian product of two neighborhoods is a neighborhood in the
       product topology.  (Contributed by Thierry Arnoux, 13-Jan-2018.) $)
    neitx $p |- ( ( ( J e. Top /\ K e. Top ) /\
      ( A e. ( ( nei ` J ) ` C ) /\ B e. ( ( nei ` K ) ` D ) ) )
      -> ( A X. B ) e. ( ( nei ` ( J tX K ) ) ` ( C X. D ) ) ) $=
      ( vc va vb ctop wcel wa cfv cxp wss syl2anc cnei co cuni cv wrex ad2ant2r
      ctx neii1 ad2ant2l xpss12 wceq txuni adantr sseqtrd simp-5l simp-4r txopn
      simplr syl12anc simpr1l 3anassrs simprl simpr1r simprr sseq2 sseq1 rspcev
      anbi12d neii2 ad2antrr r19.29a wb txtop neiss2 eqid isnei mpbir2and ) ENO
      ZFNOZPZACEUAQQOZBDFUAQQOZPZPZABRZCDRZEFUGUBZUAQQOZWEWGUCZSZWFKUDZSZWKWESZ
      PZKWGUEZWDWEGHRZWIWDAGSZBHSZWEWPSVRWAWQVSWBCEAGIUHUFVSWBWRVRWADFBHJUHUIAG
      BHUJTVTWPWIUKWCEFGHIJULUMZUNWDCLUDZSZWTASZPZWOLEWDWTEOZPZXCPZDMUDZSZXGBSZ
      PZWOMFXFXGFOZPZXJPZWTXGRZWGOZWFXNSZXNWESZWOXMVTXDXKXOVTWCXDXCXKXJUOWDXDXC
      XKXJUPXFXKXJURWTXGEFNNUQUSXMXAXHXPXEXCXKXJXAXAXBXKXJXEUTVAXLXHXIVBCWTDXGU
      JTXMXBXIXQXEXCXKXJXBXAXBXKXJXEVCVAXLXHXIVDWTAXGBUJTWNXPXQPKXNWGWKXNUKWLXP
      WMXQWKXNWFVEWKXNWEVFVHVGUSWDXJMFUEZXDXCVSWBXRVRWADMFBVIUIVJVKVRWAXCLEUEVS
      WBCLEAVIUFVKWDWGNOZWFWISWHWJWOPVLVTXSWCEFVMUMWDWFWPWIWDCGSZDHSZWFWPSVRWAX
      TVSWBCEAGIVNUFVSWBYAVRWADFBHJVNUICGDHUJTWSUNWFKWGWEWIWIVOVPTVQ $.
  $}

  ${
    $d u v w z A $.  $d u v w z B $.  $d u v w F $.  $d u v w z J $.  $d w L $.
    $d u v w z K $.  $d w ph $.  $d u v w U $.
    txcnpi.1 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    txcnpi.2 $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    txcnpi.3 $e |- ( ph -> F e. ( ( ( J tX K ) CnP L ) ` <. A , B >. ) ) $.
    txcnpi.4 $e |- ( ph -> U e. L ) $.
    txcnpi.5 $e |- ( ph -> A e. X ) $.
    txcnpi.6 $e |- ( ph -> B e. Y ) $.
    txcnpi.7 $e |- ( ph -> ( A F B ) e. U ) $.
    $( Continuity of a two-argument function at a point.  (Contributed by Mario
       Carneiro, 20-Sep-2015.) $)
    txcnpi $p |- ( ph -> E. u e. J E. v e. K
        ( A e. u /\ B e. v /\ ( u X. v ) C_ ( `' F " U ) ) ) $=
      ( wcel vw vz cop cv cima wss wa ctx co wrex cxp ccnv ccnp df-ov eqeltrrid
      w3a cfv cnpimaex syl3anc wfun cdm wb cuni wf eqid cnpf syl adantr elssuni
      fdmd sseq2d biimpar sylan2 funimass3 syl2anc anbi2d wral wi ctopon biimpa
      ffund eltx eleq1 anbi1d 2rexbidv rspccv sstr2 anim2d opelxp anbi1i df-3an
      wceq com12 3imtr4g reximdv syl6 impd sylbid rexlimdva mpd ) ADEUCZUAUDZTZ
      GXBUEFUFZUGZUAHIUHUIZUJZDCUDZTZEBUDZTZXHXJUKZGULFUEZUFZUPZBIUJZCHUJZAGXAX
      FJUMUIUQTZFJTXAGUQZFTXGOPAXSDEGUIFDEGUNSUOUAFXAGXFJURUSAXEXQUAXFAXBXFTZUG
      ZXEXCXBXMUFZUGZXQYAXDYBXCYAGUTXBGVAZUFZXDYBVBYAXFVCZJVCZGAYFYGGVDZXTAXRYH
      OXAGXFJYFYGYFVEYGVEVFVGZVHWAXTAXBYFUFZYEXBXFVIAYEYJAYDYFXBAYFYGGYIVJVKVLV
      MXBFGVNVOVPYAUBUDZXLTZXLXBUFZUGZBIUJCHUJZUBXBVQZYCXQVRAXTYPAHKVSUQZTILVSU
      QZTXTYPVBMNCBXBHIYQYRUBWBVOVTYPXCYBXQYPXCXAXLTZYMUGZBIUJZCHUJZYBXQVRYOUUB
      UBXAXBYKXAWLZYNYTCBHIUUCYLYSYMYKXAXLWCWDWEWFYBUUBXQYBUUAXPCHYBYTXOBIYBXIX
      KUGZYMUGUUDXNUGYTXOYBYMXNUUDYMYBXNXLXBXMWGWMWHYSUUDYMDEXHXJWIWJXIXKXNWKWN
      WOWOWMWPWQVGWRWSWT $.
  $}

  ${
    $d R w z $.  $d S w z $.  $d X w z $.  $d Y w z $.
    $( Continuity of the first projection map of a topological product.
       (Contributed by Jeff Madsen, 2-Sep-2009.)  (Proof shortened by Mario
       Carneiro, 22-Aug-2015.) $)
    tx1cn $p |- ( ( R e. ( TopOn ` X ) /\ S e. ( TopOn ` Y ) ) ->
                  ( 1st |` ( X X. Y ) ) e. ( ( R tX S ) Cn R ) ) $=
      ( vw vz ctopon cfv wcel wa c1st cxp cres ctx co ccn cv wb syl2anc wss a1i
      wf ccnv cima wral f1stres wfn ffn elpreima mp2b fvres eleq1d c2nd 1st2nd2
      cop wceq xp2nd elxp6 anass an32 3bitr2i baib bitr4d pm5.32i bitri toponss
      adantlr xpss1 sseld pm4.71rd bitr4id eqrdv toponmax txopn anassrs eqeltrd
      syl ad2antlr mpdan ralrimiva txtopon simpl iscn mpbir2and ) ACGHZIZBDGHZI
      ZJZKCDLZMZABNOZAPOIZWJCWKUBZWKUCEQZUDZWLIZEAUEZWNWICDUFZUAWIWQEAWIWOAIZJZ
      WPWODLZWLXAFWPXBXAFQZWPIZXCWJIZXCXBIZJZXFXDXEXCWKHZWOIZJZXGWNWKWJUGXDXJRW
      SWJCWKUHWJXCWOWKUIUJXEXIXFXEXIXCKHZWOIZXFXEXHXKWOXCWJKUKULXEXCXKXCUMHZUOU
      PZXMDIZXFXLRXCCDUNXCCDUQXFXNXOJZXLXFXNXLXOJJXNXLJXOJXPXLJXCWODURXNXLXOUSX
      NXLXOUTVAVBSVCVDVEXAXFXEXAXBWJXCXAWOCTZXBWJTWFWTXQWHWOACVFVGWOCDVHVQVIVJV
      KVLXADBIZXBWLIZWHXRWFWTDBVMVRWIWTXRXSWODABWEWGVNVOVSVPVTWIWLWJGHIWFWMWNWR
      JRABCDWAWFWHWBEWKWLAWJCWCSWD $.
  $}

  ${
    $d R w z $.  $d S w z $.  $d X w z $.  $d Y w z $.
    $( Continuity of the second projection map of a topological product.
       (Contributed by Jeff Madsen, 2-Sep-2009.)  (Proof shortened by Mario
       Carneiro, 22-Aug-2015.) $)
    tx2cn $p |- ( ( R e. ( TopOn ` X ) /\ S e. ( TopOn ` Y ) ) ->
                  ( 2nd |` ( X X. Y ) ) e. ( ( R tX S ) Cn S ) ) $=
      ( vw vz ctopon cfv wcel wa c2nd cxp cres ctx co ccn wf cv wb wss ccnv a1i
      cima wral f2ndres wfn ffn elpreima mp2b fvres c1st cop wceq 1st2nd2 xp1st
      eleq1d elxp6 anass bitr4i baib syl2anc bitr4d pm5.32i bitri toponss xpss2
      adantll syl sseld pm4.71rd bitr4id eqrdv wi toponmax txopn mpidan eqeltrd
      expr imp ralrimiva txtopon iscn sylancom mpbir2and ) ACGHZIZBDGHZIZJZKCDL
      ZMZABNOZBPOIZWJDWKQZWKUAERZUCZWLIZEBUDZWNWICDUEZUBWIWQEBWIWOBIZJZWPCWOLZW
      LXAFWPXBXAFRZWPIZXCWJIZXCXBIZJZXFXDXEXCWKHZWOIZJZXGWNWKWJUFXDXJSWSWJDWKUG
      WJXCWOWKUHUIXEXIXFXEXIXCKHZWOIZXFXEXHXKWOXCWJKUJUPXEXCXCUKHZXKULUMZXMCIZX
      FXLSXCCDUNXCCDUOXFXNXOJZXLXFXNXOXLJJXPXLJXCCWOUQXNXOXLURUSUTVAVBVCVDXAXFX
      EXAXBWJXCXAWODTZXBWJTWHWTXQWFWOBDVEVGWODCVFVHVIVJVKVLWIWTXBWLIZWFWHCAIZWT
      XRVMCAVNWIXSWTXRCWOABWEWGVOVRVPVSVQVTWFWHWLWJGHIWMWNWRJSABCDWAEWKWLBWJDWB
      WCWD $.
  $}

  ${
    $d g k n s u w x y z A $.  $d g k n s u w x y z F $.  $d g k n s u w J $.
    $d g k n s u w x y z I $.  $d g k n s u w x y z V $.  $d u x Y $.
    $d g k n s w x y z U $.
    ptpjcn.1 $e |- Y = U. J $.
    ptpjcn.2 $e |- J = ( Xt_ ` F ) $.
    $( Continuity of a projection map into a topological product.  (Contributed
       by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro,
       3-Feb-2015.) $)
    ptpjcn $p |- ( ( A e. V /\ F : A --> Top /\ I e. A ) ->
      ( x e. Y |-> ( x ` I ) ) e. ( J Cn ( F ` I ) ) ) $=
      ( vk vg vy vz vw wcel ctop cv cfv wceq wa vu wf w3a cmpt cuni cixp ccn co
      ptuni 3adant3 eqtr4id mpteq1d ccnv cima wral cpt eqeltrid ffvelrn 3adant1
      pttop wfn vex elixp simprbi unieqd eleq12d rspcva sylan2 3ad2antl3 fmpttd
      fveq2 feq2d mpbird cdif cfn wrex wex cab wss ctg ctb eqid ptbas bastg syl
      ffn ptval syl5eq sseqtrrd adantr ptpjpre2 sseldd ralrimiv 3impa jca iscn2
      expr syl21anbrc eqeltrd ) BFOZBPCUBZDBOZUCZAGDAQZRZUDAJBJQZCRZUEZUFZXEUDZ
      EDCRZUGUHZXCAGXIXEXCGEUEZXIHWTXAXIXMSXBJBCEFIUIUJUKZULXCEPOXKPOZGXKUEZXJU
      BZXJUMUAQZUNZEOZUAXKUOZTXJXLOXCECUPRZPIWTXAYBPOXBBCFUTUJUQXAXBXOWTBPDCURU
      SXCXQYAXCXQXIXPXJUBXCAXIXEXPXBWTXDXIOZXEXPOZXAYCXBXFXDRZXHOZJBUOZYDYCXDBV
      AYGJBXHXDAVBVCVDYFYDJDBXFDSZYEXEXHXPXFDXDVKYHXGXKXFDCVKVEVFVGVHVIVJXCGXIX
      PXJXNVLVMWTXAXBYAWTXATZXBTXTUAXKYIXBXRXKOZXTYIXBYJTZTKQZBVALQZYLRZYMCRZOL
      BUOYNYOUESLBMQVNUOMVOVPUCNQLBYNUFSTKVQNVRZEXSYIYPEVSYKYIYPYPVTRZEYIYPWAOY
      PYQVSNLMBYPKCFYPWBZWCYPWAWDWEXAWTCBVAZEYQSBPCWFWTYSTEYBYQINLMBYPKCFYRWGWH
      VHWIWJNLMABYPXRKJCDFXIYRXIWBWKWLWQWMWNWOUAXJEXKGXPHXPWBWPWRWS $.

    $( The projection map is an open map.  (Contributed by Mario Carneiro,
       2-Sep-2015.) $)
    ptpjopn $p |- ( ( ( A e. V /\ F : A --> Top /\ I e. A ) /\ U e. J ) ->
      ( ( x e. Y |-> ( x ` I ) ) " U ) e. ( F ` I ) ) $=
      ( vy vz vs vw vn wcel wa cv cfv wceq vg vk ctop wf w3a cmpt cima crn cres
      df-ima wss cuni elssuni sseqtrrdi adantl resmptd syl5eq wel wrex wral wfn
      rneqd cdif cfn cixp wex cab ctg cpt ffn eqid sylan2 3adant3 eleq2d biimpa
      ptval tg2 sylan wi vex weq eqeq1 anbi2d exbidv elab fveq2 eleq12d simplr2
      simpl3 ad3antrrr rspcdva simprbi ad2antrl cif simplrr simplrl eleqtrrd wn
      elixp syl simprr adantr ifclda anassrs ralrimiva simpll1 mptelixpg mpbird
      wb cbvixpv eleqtrdi sseldd iftrue fvmpt eqcomd fveq1 rspceeqv syl2anc cvv
      elrnmpt elv sylibr ex ssrdv eleq2 sseq1 rspcev syl12anc imbi1d syl5ibrcom
      anbi12d expimpd exlimdv syl5bi rexlimdv mpd fvex rgenw cbvmptv eleq1
      anbi1d rexbidv ralrnmptw ax-mp simpl2 ffvelrnd eltop2 eqeltrd ) BGPZBUCDU
      DZEBPZUEZCFPZQZAHEARZSZUFZCUGZACUUPUFZUHZEDSZUUNUURUUQCUIZUHUUTUUQCUJUUNU
      VBUUSUUNAHCUUPUUMCHUKUULUUMCFULHCFUMIUNUOUPVBUQUUNUUTUVAPZKLURZLRZUUTUKZQ
      ZLUVAUSZKUUTUTZUUNEMRZSZUVEPZUVFQZLUVAUSZMCUTZUVIUUNUVNMCUUNUVJCPZQZMNURZ
      NRZCUKZQZNUARZBVAZKRZUWBSZUWDDSZPZKBUTZUWEUWFULTKBUVEVCUTLVDUSZUEZUVJKBUW
      EVEZTZQZUAVFZMVGZUSZUVNUUNCUWOVHSZPZUVPUWPUULUUMUWRUULFUWQCUUIUUJFUWQTUUK
      UUIUUJQFDVISZUWQJUUJUUIDBVAUWSUWQTBUCDVJMKLBUWOUADGUWOVKVPVLUQVMVNVONCUWO
      UVJVQVRUVQUWAUVNNUWOUVSUWOPUWJUVSUWKTZQZUAVFZUVQUWAUVNVSZUWNUXBMUVSNVTMNW
      AZUWMUXAUAUXDUWLUWTUWJUVJUVSUWKWBWCWDWEUVQUXAUXCUAUVQUWJUWTUXCUVQUWJQZUXC
      UWTUVJUWKPZUWKCUKZQZUVNVSUXEUXHUVNUXEUXHQZEUWBSZUVAPZUVKUXJPZUXJUUTUKZUVN
      UXIUWGUXKKBEUWDETZUWEUXJUWFUVAUWDEUWBWFZUWDEDWFWGUWCUWHUWIUVQUXHWHUUNUUKU
      VPUWJUXHUUIUUJUUKUUMWIZWJZWKUXIUWDUVJSZUWEPZUXLKBEUXNUXRUVKUWEUXJUWDEUVJW
      FUXOWGUXFUXSKBUTZUXEUXGUXFUVJBVAUXTKBUWEUVJMVTWSWLZWMUXQWKUXIUBUXJUUTUXIU
      BRZUXJPZUYBUUTPZUXIUYCQZUYBUUPTACUSZUYDUYEOBORZETZUYBUYGUVJSZWNZUFZCPUYBE
      UYKSZTUYFUYEUWKCUYKUXEUXFUXGUYCWOUYEUYKOBUYGUWBSZVEZUWKUYEUYKUYNPZUYJUYMP
      ZOBUTZUYEUYPOBUXIUYCUYGBPZUYPUXIUYCUYRQZQZUYHUYBUYIUYMUYTUYHQUYBUXJUYMUXI
      UYCUYRUYHWPUYHUYMUXJTUYTUYGEUWBWFUOWQUYTUYIUYMPZUYHWRUYTUXSVUAKBUYGKOWAUX
      RUYIUWEUYMUWDUYGUVJWFUWDUYGUWBWFWGUYTUXFUXTUXEUXFUXGUYSWPUYAWTUXIUYCUYRXA
      WKXBXCXDXEUYEUUIUYOUYQXIUVQUUIUWJUXHUYCUUIUUJUUKUUMUVPXFWJOBUYJUYMGXGWTXH
      OKBUYMUWEUYGUWDUWBWFXJXKXLUYEUYLUYBUYEUUKUYLUYBTUXIUUKUYCUXQXBOEUYJUYBBUY
      KUYHUYBUYIXMUYKVKUBVTXNWTXOAUYKCUUPUYLUYBEUUOUYKXPXQXRUYDUYFXIUBACUUPUYBU
      USXSUUSVKXTYAYBYCYDUVMUXLUXMQLUXJUVAUVEUXJTUVLUXLUVFUXMUVEUXJUVKYEUVEUXJU
      UTYFYKYGYHYCUWTUWAUXHUVNUWTUVRUXFUVTUXGUVSUWKUVJYEUVSUWKCYFYKYIYJYLYMYNYO
      YPXEUVKXSPZMCUTUVIUVOXIVUBMCEUVJYQYRUVHUVNMKCUVKUUSXSAMCUUPUVKEUUOUVJXPYS
      UWDUVKTZUVGUVMLUVAVUCUVDUVLUVFUWDUVKUVEYTUUAUUBUUCUUDYBUUNUVAUCPUVCUVIXIU
      UNBUCEDUUIUUJUUKUUMUUEUXPUUFKLUUTUVAUUGWTXHUUH $.
  $}

  ${
    $d ph k x $.  $d A k x $.  $d C x $.  $d F k x $.  $d V k $.
    ptcld.a $e |- ( ph -> A e. V ) $.
    ptcld.f $e |- ( ph -> F : A --> Top ) $.
    ptcld.c $e |- ( ( ph /\ k e. A ) -> C e. ( Clsd ` ( F ` k ) ) ) $.
    $( A closed box in the product topology.  (Contributed by Stefan O'Rear,
       22-Feb-2015.) $)
    ptcld $p |- ( ph -> X_ k e. A C e. ( Clsd ` ( Xt_ ` F ) ) ) $=
      ( vx cixp cfv wceq ccld wss wral wcel wa eqid adantr cv cuni cif ciin cin
      cpt cldss ralrimiva boxriin ctop wf ptuni syl2anc ineq1d pttop cdif sseq1
      syl simpl wn ssidd ifbothda ralimi ss2ixp 3syl sseqtrd csb eqcomd difeq1d
      simpr boxcutc ixpeq2 fveq2 unieqd csbeq1a difeq12d adantl mprg a1i 3eqtrd
      ifeq1da nfcsb1v nfel1 2fveq3 eleq12d cbvralw sylib r19.21bi cldopn ptopn2
      nfv eqeltrd wb iscld mpbir2and riincld ) ADBCKZDBDUAZELZUBZKZJBDBWRJUAZMZ
      CWTUCZKZUDZUEZEUFLZNLZACWTOZDBPZWQXGMAXJDBAWRBQZRCWSNLZQZXJICWSWTWTSUGURU
      HZDJCWTBUIURAXGXHUBZXFUEZXIAXAXPXFABFQZBUJEUKZXAXPMZGHDBEXHFXHSULUMZUNAXH
      UJQZXEXIQZJBPXQXIQAXRXSYBGHBEFUOUMZAYCJBAXBBQZRZYCXEXPOZXPXEUPZXHQZYFXEXA
      XPAXEXAOZYEAXKXDWTOZDBPYJXOXJYKDBXCXJWTWTOYKXJCWTCXDWTUQWTXDWTUQXJXCUSXJX
      CUTRWTVAVBVCDBXDWTVDVETAXTYEYATVFYFYHDBXCXBELZUBZDXBCVGZUPZWTUCZKZXHYFYHX
      AXEUPZDBXCWTCUPZWTUCZKZYQAYHYRMYEAXPXAXEAXAXPYAVHVITYFYEXKYRUUAMAYEVJAXKY
      EXOTBWTCDXBVKUMUUAYQMZYFYTYPMUUBDBDBYTYPVLXLXCYSYOWTXCYSYOMXLXCWTYMCYNXCW
      SYLWRXBEVMVNDXBCVOZVPVQWAVRVSVTYFBDEYOFXBAXRYEGTAXSYEHTYFYNYLNLZQZYOYLQAU
      UEJBAXNDBPUUEJBPAXNDBIUHXNUUEDJBXNJWKDYNUUDDXBCWBWCXCCYNXMUUDUUCWRXBNEWDW
      EWFWGWHYNYLYMYMSWIURWJWLAYCYGYIRWMZYEAYBUUFYDXEXHXPXPSZWNURTWOUHJBXEXHXPU
      UGWPUMWLWL $.
  $}

  ${
    $d ph k l $.  $d A k l $.  $d C l $.  $d J l $.  $d V l $.
    ptcldmpt.a $e |- ( ph -> A e. V ) $.
    ptcldmpt.j $e |- ( ( ph /\ k e. A ) -> J e. Top ) $.
    ptcldmpt.c $e |- ( ( ph /\ k e. A ) -> C e. ( Clsd ` J ) ) $.
    $( A closed box in the product topology.  (Contributed by Stefan O'Rear,
       22-Feb-2015.) $)
    ptcldmpt $p |- ( ph -> X_ k e. A C e.
          ( Clsd ` ( Xt_ ` ( k e. A |-> J ) ) ) ) $=
      ( vl cixp cv cfv ccld nfcv ctop wcel wa wi wceq csb nfcsb1v cbvixp fmpttd
      cmpt cpt csbeq1a nfv nffvmpt1 nffv nfel nfim eleq1w anbi2d 2fveq3 eleq12d
      imbi12d simpr eqid fvmpt2 syl2anc fveq2d eleqtrrd chvarfv ptcld eqeltrid
      ) ADBCKJBDJLZCUAZKDBEUEZUFMNMDJBCVHJCODVGCUBZDVGCUGZUCABVHJVIFGADBEPHUDAD
      LZBQZRZCVLVIMZNMZQZSAVGBQZRZVHVGVIMZNMZQZSDJVSWBDVSDUHDVHWAVJDVTNDNODBEVG
      UIUJUKULVLVGTZVNVSVQWBWCVMVRADJBUMUNWCCVHVPWAVKVLVGNVIUOUPUQVNCENMVPIVNVO
      ENVNVMEPQVOETAVMURHDBEPVIVIUSUTVAVBVCVDVEVF $.
  $}

  ${
    $d f g k u ph $.  $d f g u x y z R $.  $d f g h u y z S $.  $d g x y z V $.
    $d f g h k u x y z A $.  $d f J $.
    ptcls.2 $e |- J = ( Xt_ ` ( k e. A |-> R ) ) $.
    ptcls.a $e |- ( ph -> A e. V ) $.
    ptcls.j $e |- ( ( ph /\ k e. A ) -> R e. ( TopOn ` X ) ) $.
    ptcls.c $e |- ( ( ph /\ k e. A ) -> S C_ X ) $.
    ${
      ptclsg.1 $e |- ( ph -> U_ k e. A S e. AC_ A ) $.
      $( The closure of a box in the product topology is the box formed from
         the closures of the factors.  The proof uses the axiom of choice; the
         last hypothesis is the choice assumption.  (Contributed by Mario
         Carneiro, 3-Sep-2015.) $)
      ptclsg $p |- ( ph ->
        ( ( cls ` J ) ` X_ k e. A S ) = X_ k e. A ( ( cls ` R ) ` S ) ) $=
        ( vy vz cfv wcel wss wa wral vf vu vg vx vh cixp ccl ccld cpt cv ctopon
        cmpt ctop topontop syl cuni wceq toponuni sseqtrd eqid syl2anc ptcldmpt
        clscld fveq2i eleqtrrdi sscls ralrimiva ss2ixp clsss2 cin c0 wne wi wfn
        cdif cfn wrex w3a wex cab vex weq eqeq1 anbi2d exbidv wb nffvmpt1 nfel2
        elab nfv fveq2 eleq12d cbvralw simpr fvmpt2 eleq2d syl5bb adantr biimpa
        ralbidva ciun wf csb ad2antrr simpll elixp simprbi ad2antlr clsndisj ex
        wacn 3expia ralimdva sylc simprlr simprr eleqtrdi r19.26 sylanbrc ralim
        cbvixpv rabn0 dfin5 inss2 ssiun2 sstrid sseqin2 eqtr3id bitr3id ralbiia
        crab sylib neeq1d sylibr nfiu1 nfcv nfcsb1v nfin nfrex csbeq1a ffn ne0i
        ineq12d rexbidv eleq1 acni3 ixpin ineq1i eqtr4i neeq1i 3imtr3i sylan2br
        sylan exlimiv expr syldan eleq2 ineq1 imbi12d syl5ibrcom expimpd syl5bi
        3adantr3 exlimdv ralrimiv fmpttd ffnd ptval syl5eq pttopon ptbas clsss3
        ctg ctb sseqtrrd sselda elcls3 mpbird eqelssd ) AUAEBDUFZFUGPPZEBDCUGPP
        ZUFZAUWCFUHPZQUVTUWCRZUWAUWCRAUWCEBCULZUIPZUHPUWDABUWBECGJAEUJZBQZSZCHU
        KPZQZCUMQZKHCUNUOZUWJUWMDCUPZRZUWBCUHPQUWNUWJDHUWOLUWJUWLHUWOUQKHCURUOZ
        USZDCUWOUWOUTZVCVAVBFUWGUHIVDVEADUWBRZEBTUWEAUWTEBUWJUWMUWPUWTUWNUWRDCU
        WOUWSVFVAVGEBDUWBVHUOUWCUVTFFUPZUXAUTVIVAAUAUJZUWCQZSZUXBUWAQUXBUBUJZQZ
        UXEUVTVJZVKVLZVMZUBUCUJZBVNZNUJZUXJPZUXLUWFPZQZNBTZUXMUXNUPUQNBOUJZVOTO
        VPVQZVRZUDUJZNBUXMUFZUQZSZUCVSZUDVTZTUXDUXIUBUYEUXEUYEQUXSUXEUYAUQZSZUC
        VSZUXDUXIUYDUYHUDUXEUBWAUDUBWBZUYCUYGUCUYIUYBUYFUXSUXTUXEUYAWCWDWEWIUXD
        UYGUXIUCUXDUXSUYFUXIUXDUXSSUXIUYFUXBUYAQZUYAUVTVJZVKVLZVMZUXDUXKUXPUYMU
        XRUXDUXKUXPSZUXKUWHUXJPZCQZEBTZSZUYMUXDUYNUYRAUYNUYRWFUXCAUXPUYQUXKUXPU
        YOUWHUWFPZQZEBTAUYQUXOUYTNEBEUXMUXNEBCUXLWGWHUYTNWJNEWBUXMUYOUXNUYSUXLU
        WHUXJWKZUXLUWHUWFWKWLWMAUYTUYPEBUWJUYSCUYOUWJUWIUWLUYSCUQAUWIWNKEBCUWKU
        WFUWFUTWOVAWPWTWQWDWRWSUXDUYRUYJUYLUXDUYRUYJSZSZBEBDXAZUEUJZXBZUXLVUEPZ
        UXMEUXLDXCZVJZQZNBTZSZUEVSZUYLVUCVUDBXKQZUXQVUIQZOVUDVQZNBTZVUMAVUNUXCV
        UBMXDVUCUXQUYODVJZQZOVUDVQZEBTZVUQVUCVURVKVLZEBTZVVAVUCUYPUWHUXBPZUYOQZ
        SZVVBVMZEBTZVVFEBTZVVCVUCAVVDUWBQZEBTZVVHAUXCVUBXEUXCVVKAVUBUXCUXBBVNZV
        VKEBUWBUXBUAWAZXFXGXHAVVJVVGEBUWJUWMUWPVVJVVGVMUWNUWRUWMUWPVVJVVGUWMUWP
        VVJVRVVFVVBVVDDUYOCUWOUWSXIXJXLVAXMXNVUCUYQVVEEBTZVVIUXDUXKUYQUYJXOVUCU
        XBEBUYOUFZQZVVNVUCUXBUYAVVOUXDUYRUYJXPNEBUXMUYOVUAYAZXQVVPVVLVVNEBUYOUX
        BVVMXFXGUOUYPVVEEBXRXSVVFVVBEBXTXNVUTVVBEBVUTVUSOVUDYKZVKVLUWIVVBVUSOVU
        DYBUWIVVRVURVKUWIVVRVUDVURVJZVUROVUDVURYCUWIVURVUDRVVSVURUQUWIVURDVUDUY
        ODYDEBDYEYFVURVUDYGYLYHYMYIYJYNVUTVUPENBVUTNWJVUOEOVUDEBDYOEUXQVUIEUXMV
        UHEUXMYPEUXLDYQYRZWHYSENWBZVUSVUOOVUDVWAVURVUIUXQVWAUYOUXMDVUHUWHUXLUXJ
        WKEUXLDYTUUCZWPUUDWMYLVUOVUJNOBUEVUDUXQVUGVUIUUEUUFVAVULUYLUEVUFVUEBVNZ
        VUKUYLBVUDVUEUUAVUKVWCUWHVUEPZVURQZEBTZUYLVWEVUJENBVWENWJEVUGVUIVVTWHVW
        AVWDVUGVURVUIUWHUXLVUEWKVWBWLWMVUEEBVURUFZQVWGVKVLVWCVWFSUYLVWGVUEUUBEB
        VURVUEUEWAXFVWGUYKVKVWGVVOUVTVJUYKEBUYODUUGUYAVVOUVTVVQUUHUUIUUJUUKUULU
        UMUUNUOUUOUUPUVCUYFUXFUYJUXHUYLUXEUYAUXBUUQUYFUXGUYKVKUXEUYAUVTUURYMUUS
        UUTUVAUVDUVBUVEUXDUBUYEUXBUVTFEBHUFZAFUYEUVMPZUQUXCAFUWGVWIIABGQZUWFBVN
        UWGVWIUQJABUMUWFAEBCUMUWNUVFZUVGUDNOBUYEUCUWFGUYEUTZUVHVAUVIWRAVWHUXAUQ
        ZUXCAFVWHUKPQZVWMAVWJUWLEBTVWNJAUWLEBKVGEBHFCGIUVJVAVWHFURUOWRAUYEUVNQZ
        UXCAVWJBUMUWFXBVWOJVWKUDNOBUYEUCUWFGVWLUVKVAWRAUVTVWHRZUXCADHRZEBTVWPAV
        WQEBLVGEBDHVHUOWRAUWCVWHUXBAUWBHRZEBTUWCVWHRAVWREBUWJUWBUWOHUWJUWMUWPUW
        BUWORUWNUWRDCUWOUWSUVLVAUWQUVOVGEBUWBHVHUOUVPUVQUVRUVS $.
    $}

    $( The closure of a box in the product topology is the box formed from the
       closures of the factors.  This theorem is an AC equivalent.
       (Contributed by Mario Carneiro, 2-Sep-2015.) $)
    ptcls $p |- ( ph ->
      ( ( cls ` J ) ` X_ k e. A S ) = X_ k e. A ( ( cls ` R ) ` S ) ) $=
      ( ciun cvv wacn wcel wral cv wa ctopon cfv toponmax syl ralrimiva syl2anc
      ssexd iunexg wac wceq axac3 acacni sylancr eleqtrrd ptclsg ) ABCDEFGHIJKL
      AEBDMZNBOZABGPZDNPZEBQUONPJAUREBAERBPSZDHCUSCHTUAPHCPKHCUBUCLUFUDEBDGNUGU
      EAUHUQUPNUIUJJBGUKULUMUN $.
  $}

  ${
    $d x z I $.  $d y z P $.  $d x z ph $.  $d z R $.  $d y z S $.
    dfac14lem.i $e |- ( ph -> I e. V ) $.
    dfac14lem.s $e |- ( ( ph /\ x e. I ) -> S e. W ) $.
    dfac14lem.0 $e |- ( ( ph /\ x e. I ) -> S =/= (/) ) $.
    dfac14lem.p $e |- P = ~P U. S $.
    dfac14lem.r $e |- R = { y e. ~P ( S u. { P } ) |
      ( P e. y -> y = ( S u. { P } ) ) } $.
    dfac14lem.j $e |- J = ( Xt_ ` ( x e. I |-> R ) ) $.
    dfac14lem.c $e |- ( ph ->
      ( ( cls ` J ) ` X_ x e. I S ) = X_ x e. I ( ( cls ` R ) ` S ) ) $.
    $( Lemma for ~ dfac14 .  By equipping ` S u. { P } ` for some ` P e/ S `
       with the particular point topology, we can show that ` P ` is in the
       closure of ` S ` ; hence the sequence ` P ( x ) ` is in the product of
       the closures, and we can utilize this instance of ~ ptcls to extract an
       element of the closure of ` X_ k e. I S ` .  (Contributed by Mario
       Carneiro, 2-Sep-2015.) $)
    dfac14lem $p |- ( ph -> X_ x e. I S =/= (/) ) $=
      ( c0 wcel cvv vz cixp ccl cfv wne cmpt wral cv wa cin wi csn cun cpw wceq
      eleq2w eqeq1 imbi12d elrab2 adantr ineq1 ssun1 sseqin2 mpbi eqtrdi neeq1d
      wss syl5ibrcom imim2d expimpd syl5bi ralrimiv ctop cuni ctopon crab unexg
      wb snex sylancl ssun2 uniexg pwexg 3syl eqeltrid snidg syl sselid syl2anc
      topontop toponuni sseqtrid eleqtrd eqid elcls syl3anc ralrimiva mptelixpg
      epttop mpbird ne0d pttopon cls0 3netr4d fveq2 necon3i ) ABGFUBZHUCUDZUDZR
      XHUDZUEXGRUEABGFEUCUDUDZUBZRXIXJAXLBGDUFZAXMXLSZDXKSZBGUGZAXOBGABUHGSUIZX
      ODUAUHZSZXRFUJZRUEZUKZUAEUGZXQYBUAEXRESXRFDULZUMZUNZSZXSXRYEUOZUKZUIXQYBD
      CUHZSZYJYEUOZUKZYICXRYFEYJXRUOYKXSYLYHCUADUPYJXRYEUQUROUSXQYGYIYBXQYGUIZY
      HYAXSYNYAYHFRUEZXQYOYGMUTYHXTFRYHXTYEFUJZFXRYEFVAFYEVGYPFUOFYDVBZFYEVCVDV
      EVFVHVIVJVKVLXQEVMSZFEVNZVGDYSSXOYCVRXQEYEVOUDZSZYRXQEYMCYFVPZYTOXQYETSZD
      YESUUBYTSXQFJSZYDTSUUCLDVSFYDJTVQVTXQYDYEDYDFWAXQDTSDYDSXQDFVNZUNZTNXQUUD
      UUETSUUFTSLFJWBUUETWCWDWEDTWFWGWHZCYEDTWSWIWEZYEEWJWGXQYEFYSYQXQUUAYEYSUO
      UUHYEEWKWGZWLXQDYEYSUUGUUIWMUADFEYSYSWNWOWPWTWQAGISZXNXPVRKBGDXKIWRWGWTXA
      QAHBGYEUBZVOUDSZHVMSXJRUOAUUJUUABGUGUULKAUUABGUUHWQBGYEHEIPXBWIUUKHWJHXCW
      DXDXGRXIXJXGRXHXEXFWG $.
  $}

  ${
    $d f g k s x y $.
    $( Theorem ~ ptcls is an equivalent of the axiom of choice.  (Contributed
       by Mario Carneiro, 3-Sep-2015.) $)
    dfac14 $p |- ( CHOICE <-> A. f ( f : dom f --> Top ->
      A. s e. X_ k e. dom f ~P U. ( f ` k )
        ( ( cls ` ( Xt_ ` f ) ) ` X_ k e. dom f ( s ` k ) ) =
        X_ k e. dom f ( ( cls ` ( f ` k ) ) ` ( s ` k ) ) ) ) $=
      ( vx vg vy wac cv ctop cfv cixp ccl wceq cpw wa wcel pweqd fveq2d cvv c0
      cdm wf cpt cuni wral wi wal weq unieqd cbvixpv eleq2i cmpt simplr feqmptd
      fveq2 fveq1d eqid vex dmex a1i ctopon ffvelrnda toptopon2 sylib simpr wfn
      sylibr elixp simprbi r19.21bi elpwid ciun wacn fvex simpll acacni sylancl
      syl iunex eleqtrrid ptclsg sylan2b ralrimiva ex alrimiv wfun crn wnel wne
      eqtrd csn cun crab wn simplrr df-nel wfo funforn fof sylbi ad2antrl eleq1
      syl5ibcom necon3bd mpd fveq1 ixpeq2dv eqtrdi sneqd uneq12d eleq1d imbi12d
      eqeq2d rabeqbidv fveq12d eqeq12d simpl snex unex ssun2 pwex sselii epttop
      uniex snid mp2an topontopi fmpttd mptex id dmeq rabex dmmpti feq12d fvmpt
      ixpeq1d sylan9eq toponunii eqtr4di ixpeq2dva 2fveq3 raleqbidv spcv simprl
      sylc funfnd wss ssun1 elpw mpbir rgenw sylanblrc rspcdva dfac14lem impbii
      dfac9 ) GAHZUAZIUUQUBZBUURBHZCHZJZKZUUQUCJZLJZJZBUURUVBUUTUUQJZLJZJZKZMZC
      BUURUVGUDZNZKZUEZUFZAUGZGUVPAGUUSUVOGUUSOZUVKCUVNUVAUVNPZUVRUVADUURDHZUUQ
      JZUDZNZKZPZUVKUVNUWDUVABDUURUVMUWCBDUHZUVLUWBUWFUVGUWAUUTUVTUUQUOUIQUJUKZ
      UVRUWEOZUVFUVCBUURUVGULZUCJZLJZJUVJUWHUVCUVEUWKUWHUVDUWJLUWHUUQUWIUCUWHBU
      URIUUQGUUSUWEUMZUNRRUPUWHUURUVGUVBBUWJSUVLUWJUQUURSPZUWHUUQAURUSZUTUWHUUT
      UURPOZUVGIPUVGUVLVAJPUWHUURIUUTUUQUWLVBUVGVCVDUWOUVBUVLUWHUVBUVMPZBUURUWH
      UVSUWPBUURUEZUWHUWEUVSUVRUWEVEUWGVGUVSUVAUURVFUWQBUURUVMUVACURVHVIVRVJVKU
      WHBUURUVBVLSUURVMZBUURUVBUWNUUTUVAVNVSUWHGUWMUWRSMGUUSUWEVOUWNUURSVPVQVTW
      AWJWBWCWDWEUVQEHZWFZTUWSWGZWHZOZDUWSUAZUVTUWSJZKZTWIZUFZEUGGUVQUXHEUVQUXC
      UXGUVQUXCOZDFUXEUDZNZUXKFHZPZUXLUXEUXKWKZWLZMZUFZFUXONZWMZUXEUXDDUXDUXSUL
      ZUCJZSSUXDSPUXIUWSEURZUSZUTUXESPUXIUVTUXDPZOZUVTUWSVNZUTUYETUXAPZWNZUXETW
      IUYEUXBUYHUVQUWTUXBUYDWOTUXAWPVDUYEUYGUXETUYEUXEUXAPUXETMUYGUXIUXDUXAUVTU
      WSUWTUXDUXAUWSUBZUVQUXBUWTUXDUXAUWSWQUYIUWSWRUXDUXAUWSWSWTXAVBUXETUXAXBXC
      XDXEUXKUQUXSUQUYAUQUXIBUXDUVBKZUYALJZJZBUXDUVBUUTUWSJZUDZNZUXLPZUXLUYMUYO
      WKZWLZMZUFZFUYRNZWMZLJZJZKZMZUXFUYKJZDUXDUXEUXSLJZJZKZMCBUXDVUAKZUWSCEUHZ
      UYLVUGVUEVUJVULUYJUXFUYKVULUYJBUXDUYMKUXFVULBUXDUVBUYMUUTUVAUWSXFZXGBDUXD
      UYMUXEUUTUVTUWSUOZUJXHRVULVUEBUXDUYMVUCJZKVUJVULBUXDVUDVUOVULUVBUYMVUCVUM
      RXGBDUXDVUOVUIUWFUYMUXEVUCVUHUWFVUBUXSLUWFUYTUXQFVUAUXRUWFUYRUXOUWFUYMUXE
      UYQUXNVUNUWFUYOUXKUWFUYNUXJUWFUYMUXEVUNUIQZXIXJZQUWFUYPUXMUYSUXPUWFUYOUXK
      UXLVUPXKUWFUYRUXOUXLVUQXMXLXNRVUNXOUJXHXPUXIUVQUXDIUXTUBZVUFCVUKUEZUVQUXC
      XQUXIDUXDUXSIUXSIPUYEUXOUXSUXOSPUXKUXOPUXSUXOVAJPUXEUXNUYFUXKXRXSZUXNUXOU
      XKUXNUXEXTUXKUXJUXEUYFYDYAYEYBFUXOUXKSYCYFYGUTYHUVPVURVUSUFAUXTDUXDUXSUYC
      YIUUQUXTMZUUSVURUVOVUSVVAUURUXDIUUQUXTVVAYJVVAUURUXTUAUXDUUQUXTYKDUXDUXSU
      XTUXQFUXRUXOVUTYAYLUXTUQZYMXHZYNVVAUVKVUFCUVNVUKVVAUVNBUXDUVMKVUKVVABUURU
      XDUVMVVCYPVVABUXDUVMVUAVVAUUTUXDPZOZUVLUYRVVEUVLVUBUDUYRVVEUVGVUBVVAVVDUV
      GUUTUXTJVUBUUTUUQUXTXFDUUTUXSVUBUXDUXTDBUHZUXQUYTFUXRVUAVVFUXOUYRVVFUXEUY
      MUXNUYQUVTUUTUWSUOZVVFUXKUYOVVFUXJUYNVVFUXEUYMVVGUIQZXIXJZQVVFUXMUYPUXPUY
      SVVFUXKUYOUXLVVHXKVVFUXOUYRUXLVVIXMXLXNVVBUYTFVUAUYRUYMUYQUUTUWSVNZUYOXRX
      SZYAYLYOYQZUIUYRVUBUYRSPUYOUYRPVUBUYRVAJPVVKUYQUYRUYOUYQUYMXTUYOUYNUYMVVJ
      YDYAYEYBFUYRUYOSYCYFYRYSQYTWJVVAUVFUYLUVJVUEVVAUVCUYJUVEUYKUUQUXTLUCUUAVV
      ABUURUXDUVBVVCYPXOVVAUVJBUXDUVIKVUEVVABUURUXDUVIVVCYPVVABUXDUVIVUDVVEUVBU
      VHVUCVVEUVGVUBLVVLRUPYTWJXPUUBXLUUCUUEUXIUWSUXDVFUYMVUAPZBUXDUEUWSVUKPUXI
      UWSUVQUWTUXBUUDUUFVVMBUXDVVMUYMUYRUUGUYMUYQUUHUYMUYRVVJUUIUUJUUKBUXDVUAUW
      SUYBVHUULUUMUUNWDWEDEUUPVGUUO $.
  $}

  ${
    $d f k v x y z R $.  $d f k v x y z S $.  $d f k v x y z X $.
    $d k v x y Y $.
    $( The "constant function" function which maps ` x e. Y ` to the constant
       function ` z e. X |-> x ` is a continuous function from ` X ` into the
       space of continuous functions from ` Y ` to ` X ` .  This can also be
       understood as the currying of the first projection function.  (The
       currying of the second projection function is
       ` x e. Y |-> ( z e. X |-> z ) ` , which we already know is continuous
       because it is a constant function.)  (Contributed by Mario Carneiro,
       19-Mar-2015.) $)
    xkoccn $p |- ( ( R e. ( TopOn ` X ) /\ S e. ( TopOn ` Y ) ) ->
      ( x e. Y |-> ( X X. { x } ) ) e. ( S Cn ( S ^ko R ) ) ) $=
      ( vy vk vv vz vf cfv wcel wa cv co cima wss wceq eqid c0 ctopon cmpt cxko
      csn cxp ccn wf ccnv crest ccmp cuni cpw crab cmpo crn wral cnconst2 3expa
      fmpttd xkobval abeq2i ad5ant15 simplr imaeq2d 0ss eqsstri eqsstrdi imaeq1
      wrex ima0 sseq1d sylanbrc ralrimiva rabid2 sylibr simpllr toponmax adantr
      elrab syl eqeltrrd wne cin cif ifnefalse ad2antlr eleq2d snss bitrdi cres
      vex df-ima simplrl ad2antrr elpwid toponuni ad5antr sseqtrrd rneqd syl5eq
      xpssres eqtrd biantrurd 3bitr2d bitr4di rabbi2dva simplrr toponss syl2anc
      rnxp bitr3d sseqin2 eqtr3d eqeltrd pm2.61dane imaeq2 mptpreima syl5ibrcom
      sylib eqtrdi eleq1d expimpd rexlimdvva ralrimiv cvv simpr ovex pwex xkotf
      syl5bi frn ax-mp ssexi a1i ctop cfi ctg topontop xkoval syl2an mpbir2and
      xkotopon subbascn ) BDUAKLZCEUAKLZMZAEDANZUDZUEZUBZCCBUCOZUFOLEBCUFOZUUJU
      GUUJUHZFNZPZCLZFGHBINUIOUJLIBUKZULZUMZCJNZGNZPZHNZQZJUULUMZUNZUOZUPUUFAEU
      UIUULUUDUUEUUGELZUUIUULLZUUGBCDEUQURZUSUUFUUPFUVGUUNUVGLBUVAUIOUJLZUUNUVE
      RZMZHCVIGUURVIZUUFUUPUVNFUVGIHBCUVFJGUUSUUQFUUQSZUUSSZUVFSZUTVAUUFUVMUUPG
      HUURCUUFUVAUURLZUVCCLZMZMZUVKUVLUUPUWAUVKMZUUPUVLUUIUVELZAEUMZCLZUWBUWEUV
      ATUWBUVATRZMZEUWDCUWGUWCAEUPEUWDRUWGUWCAEUWGUVHMZUVIUUIUVAPZUVCQZUWCUUFUV
      HUVIUVTUVKUWFUVJVBUWHUWIUUITPZUVCUWHUVATUUIUWBUWFUVHVCVDUWKTUVCUUIVJUVCVE
      VFVGUVDUWJJUUIUULUUTUUIRUVBUWIUVCUUTUUIUVAVHVKVSZVLVMUWCAEVNVOUWBECLZUWFU
      WBUUEUWMUUDUUEUVTUVKVPZECVQVTVRWAUWBUVATWBZMZUWDUVCCUWPEUVCWCZUWDUVCUWPUW
      CAEUVCUWPUVHMZUUGUVCLZUVIUWJMZUWCUWRUUGUWFEUVCWDZLZUWSUWTUWRUXAUVCUUGUWOU
      XAUVCRUWBUVHUVATEUVCWEWFWGZUWRUXBUUHUVCQZUWJUWTUWRUXBUWSUXDUXCUUGUVCAWKWH
      WIUWRUWIUUHUVCUWRUWIUVAUUHUEZUOZUUHUWRUWIUUIUVAWJZUOUXFUUIUVAWLUWRUXGUXEU
      WRUVADQUXGUXERUWRUVAUUQDUWRUVAUUQUWBUVRUWOUVHUUFUVRUVSUVKWMWNWOUUDDUUQRUU
      EUVTUVKUWOUVHDBWPWQWRDUUHUVAXAVTWSWTUWOUXFUUHRUWBUVHUVAUUHXJWFXBVKUWRUVIU
      WJUUFUVHUVIUVTUVKUWOUVJVBXCXDXKUWLXEXFUWPUVCEQZUWQUVCRUWBUXHUWOUWBUUEUVSU
      XHUWNUUFUVRUVSUVKXGZUVCCEXHXIVRUVCEXLXSXMUWBUVSUWOUXIVRXNXOUVLUUOUWDCUVLU
      UOUUMUVEPUWDUUNUVEUUMXPAEUUIUVEUUJUUJSXQXTYAXRYBYCYJYDUUFFUVGUUJCUUKYEEUU
      LUUDUUEYFUVGYELUUFUVGUULULZUULBCUFYGYHUUSCUEZUXJUVFUGUVGUXJQIHBCUVFJGUUSU
      UQUVOUVPUVQYIUXKUXJUVFYKYLYMYNUUDBYOLZCYOLZUUKUVGYPKYQKRUUEDBYRZECYRZIHBC
      UVFJGUUSUUQUVOUVPUVQYSYTUUDUXLUXMUUKUULUAKLUUEUXNUXOBCUUKUUKSUUBYTUUCUUA
      $.
  $}

  ${
    $d r s t v w y z A $.  $d r s t v w x z ph $.  $d x y z Y $.  $d x y z Z $.
    $d r s t v w y z B $.  $d r s v w x y z D $.  $d r s t v w x y z X $.
    $d r s v w y z J $.  $d r s v w y z K $.  $d r s v w y z L $.
    txcnp.4 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    txcnp.5 $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    txcnp.6 $e |- ( ph -> L e. ( TopOn ` Z ) ) $.
    txcnp.7 $e |- ( ph -> D e. X ) $.
    txcnp.8 $e |- ( ph -> ( x e. X |-> A ) e. ( ( J CnP K ) ` D ) ) $.
    txcnp.9 $e |- ( ph -> ( x e. X |-> B ) e. ( ( J CnP L ) ` D ) ) $.
    $( If two functions are continuous at ` D ` , then the ordered pair of them
       is continuous at ` D ` into the product topology.  (Contributed by Mario
       Carneiro, 9-Aug-2014.)  (Revised by Mario Carneiro, 22-Aug-2015.) $)
    txcnp $p |- ( ph -> ( x e. X |-> <. A , B >. ) e.
      ( ( J CnP ( K tX L ) ) ` D ) ) $=
      ( cfv wcel wa vy vz vv vw vr vs vt cop cmpt ctx co ccnp cxp cima wss wrex
      wf cv wi cmpo crn wral ctopon cnpf2 syl3anc fvmptelrn opelxpd fmpttd wceq
      wb cvv opex eqid fvmpt2 sylancl syl2anc opeq12d eqtr4d ralrimiva nffvmpt1
      simpr nfop nfeq eqeq12d rspc sylc eleq1d adantr ad2antrr simplrl cnpimaex
      fveq2 simprl simplrr simprr jca opelxp reeanv 3imtr4g sylbid cin an4 elin
      ex biimpri a1i simpl toponss syl2an ssinss1 adantl sselda elin1d wfun cdm
      ffund sseqtrrd sseldd funfvima mpd elin2d eqeltrd funimass4 mpbird syldan
      fdmd adantlr xpss12 sstr2 syl2im anim12d syl5bi ctop topontop inopn 3expb
      syl sylan eleq2 vex jctild expimpd imaeq2 sseq1d anbi12d rspcev syl6 expd
      rexlimdvv syld ralrimivva xpex rgen2w sseq2 anbi2d rexbidv ralrnmpo ax-mp
      imbi12d sylibr ctg txval txtopon tgcnp mpbir2and ) ABICDUHZUIZEFGHUJUKZUL
      UKRSIJKUMZUVGUQEUVGRZUAURZSZEUBURZSZUVGUVMUNZUVKUOZTZUBFUPZUSZUAUCUDGHUCU
      RZUDURZUMZUTZVAZVBZABIUVFUVIABURZISZTZCDJKABICJAFIVCRSZGJVCRSZBICUIZEFGUL
      UKRSZIJUWKUQZLMPEUWKFGIJVDVEZVFZABIDKAUWIHKVCRSZBIDUIZEFHULUKRSZIKUWQUQZL
      NQEUWQFHIKVDVEZVFZVGVHZAUVJUWBSZUVNUVOUWBUOZTZUBFUPZUSZUDHVBUCGVBZUWEAUXG
      UCUDGHAUVTGSZUWAHSZTZTZUXCEUEURZSZUWKUXMUNZUVTUOZTZEUFURZSZUWQUXRUNZUWAUO
      ZTZTZUFFUPUEFUPZUXFUXLUXCEUWKRZEUWQRZUHZUWBSZUYDAUXCUYHVJUXKAUVJUYGUWBAEI
      SUWFUVGRZUWFUWKRZUWFUWQRZUHZVIZBIVBZUVJUYGVIZOAUYMBIUWHUYIUVFUYLUWHUWGUVF
      VKSUYIUVFVIAUWGWAZCDVLBIUVFVKUVGUVGVMVNVOUWHUYJCUYKDUWHUWGCJSUYJCVIUYPUWO
      BICJUWKUWKVMVNVPUWHUWGDKSUYKDVIUYPUXABIDKUWQUWQVMVNVPVQVRVSZUYMUYOBEIBUVJ
      UYGBIUVFEVTBUYEUYFBICEVTBIDEVTWBWCUWFEVIZUYIUVJUYLUYGUWFEUVGWLUYRUYJUYEUY
      KUYFUWFEUWKWLUWFEUWQWLVQWDWEWFWGWHUXLUYEUVTSZUYFUWASZTZUXQUEFUPZUYBUFFUPZ
      TZUYHUYDUXLVUAVUDUXLVUATZVUBVUCVUEUWLUXIUYSVUBAUWLUXKVUAPWIAUXIUXJVUAWJUX
      LUYSUYTWMUEUVTEUWKFGWKVEVUEUWRUXJUYTVUCAUWRUXKVUAQWIAUXIUXJVUAWNUXLUYSUYT
      WOUFUWAEUWQFHWKVEWPXDUYEUYFUVTUWAWQUXQUYBUEUFFFWRWSWTUXLUYCUXFUEUFFFUXLUX
      MFSZUXRFSZTZUYCUXFUXLVUHUYCTUXMUXRXAZFSZEVUISZUVGVUIUNZUWBUOZTZTZUXFUXLVU
      HUYCVUOUXLVUHTZUYCVUNVUJUYCUXNUXSTZUXPUYATZTVUPVUNUXNUXPUXSUYAXBVUPVUQVUK
      VURVUMVUQVUKUSVUPVUKVUQEUXMUXRXCXEXFVUPVULUXOUXTUMZUOZVURVUSUWBUOVUMAVUHV
      UTUXKAVUHUXMIUOZVUTAUWIVUFVVAVUHLVUFVUGXGUXMFIXHXIAVVATZVUTUGURZUVGRZVUSS
      ZUGVUIVBZVVBVVEUGVUIVVBVVCVUISZTZVVDVVCUWKRZVVCUWQRZUHZVUSVVHVVCISUYNVVDV
      VKVIZVVBVUIIVVCVVAVUIIUOZAUXMUXRIXJXKZXLAUYNVVAVVGUYQWIUYMVVLBVVCIBVVDVVK
      BIUVFVVCVTBVVIVVJBICVVCVTBIDVVCVTWBWCUWFVVCVIZUYIVVDUYLVVKUWFVVCUVGWLVVOU
      YJVVIUYKVVJUWFVVCUWKWLUWFVVCUWQWLVQWDWEWFVVHVVIVVJUXOUXTVVHVVCUXMSZVVIUXO
      SZVVHUXMUXRVVCVVBVVGWAZXMVVHUWKXNVVCUWKXOZSVVPVVQUSVVHIJUWKAUWMVVAVVGUWNW
      IZXPVVHVUIVVSVVCVVHVUIIVVSVVBVVMVVGVVNWHZVVHIJUWKVVTYFXQVVRXRUXMVVCUWKXSV
      PXTVVHVVCUXRSZVVJUXTSZVVHUXMUXRVVCVVRYAVVHUWQXNVVCUWQXOZSVWBVWCUSVVHIKUWQ
      AUWSVVAVVGUWTWIZXPVVHVUIVWDVVCVVHVUIIVWDVWAVVHIKUWQVWEYFXQVVRXRUXRVVCUWQX
      SVPXTVGYBVSVVBUVGXNZVUIUVGXOZUOVUTVVFVJAVWFVVAAIUVIUVGUXBXPWHVVBVUIIVWGVV
      NAVWGIVIVVAAIUVIUVGUXBYFWHXQUGVUIVUSUVGYCVPYDYEYGUXOUVTUXTUWAYHVULVUSUWBY
      IYJYKYLAVUHVUJUXKAFYMSZVUHVUJAUWIVWHLIFYNYQVWHVUFVUGVUJUXMUXRFYOYPYRYGUUA
      UUBUXEVUNUBVUIFUVMVUIVIZUVNVUKUXDVUMUVMVUIEYSVWIUVOVULUWBUVMVUIUVGUUCUUDU
      UEUUFUUGUUHUUIUUJUUKUWBVKSZUDHVBUCGVBUWEUXHVJVWJUCUDGHUVTUWAUCYTUDYTUULUU
      MUVSUXGUCUDUAGHUWBUWCVKUWCVMUVKUWBVIZUVLUXCUVRUXFUVKUWBUVJYSVWKUVQUXEUBFV
      WKUVPUXDUVNUVKUWBUVOUUNUUOUUPUUSUUQUURUUTAUBUAUWDEUVGFUVHIUVILAGYMSZHYMSZ
      UVHUWDUVARVIAUWJVWLMJGYNYQAUWPVWMNKHYNYQUCUDUWDGHYMYMUWDVMUVBVPAUWJUWPUVH
      UVIVCRSMNGHJKUVCVPOUVDUVE $.
  $}

  ${
    $d f g t u w z A $.  $d f g k u w x z D $.  $d a f g k n t w x z I $.
    $d f t u x z G $.  $d f g k u w z J $.  $d f z K $.  $d f g k w x z ph $.
    $d a f g k n u w x z F $.  $d f ps $.  $d a g k n w x V $.  $d f k z W $.
    $d f g k t u w x z X $.
    ptcnp.2 $e |- K = ( Xt_ ` F ) $.
    ptcnp.3 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    ptcnp.4 $e |- ( ph -> I e. V ) $.
    ptcnp.5 $e |- ( ph -> F : I --> Top ) $.
    ptcnp.6 $e |- ( ph -> D e. X ) $.
    ptcnp.7 $e |- ( ( ph /\ k e. I ) ->
      ( x e. X |-> A ) e. ( ( J CnP ( F ` k ) ) ` D ) ) $.
    ${
      ptcnplem.1 $e |- F/ k ps $.
      ptcnplem.2 $e |- ( ( ph /\ ps ) -> G Fn I ) $.
      ptcnplem.3 $e |- ( ( ( ph /\ ps ) /\ k e. I ) ->
                         ( G ` k ) e. ( F ` k ) ) $.
      ptcnplem.4 $e |- ( ( ph /\ ps ) -> W e. Fin ) $.
      ptcnplem.5 $e |- ( ( ( ph /\ ps ) /\ k e. ( I \ W ) ) ->
                         ( G ` k ) = U. ( F ` k ) ) $.
      ptcnplem.6 $e |- ( ( ph /\ ps ) ->
        ( ( x e. X |-> ( k e. I |-> A ) ) ` D ) e. X_ k e. I ( G ` k ) ) $.
      $( Lemma for ~ ptcnp .  (Contributed by Mario Carneiro, 3-Feb-2015.)
         (Revised by Mario Carneiro, 22-Aug-2015.) $)
      ptcnplem $p |- ( ( ph /\ ps ) -> E. z e. J ( D e. z /\
        ( ( x e. X |-> ( k e. I |-> A ) ) " z ) C_ X_ k e. I ( G ` k ) ) ) $=
        ( vf vu vt wa cin cv wf cfv wcel cmpt cima wss wral cixp wrex cfn inss2
        wex ssfi sylancl nfv nfan elinel1 ccnp adantlr wceq adantr simpr ctopon
        co cuni ctop ffvelrnda toptopon2 sylib cnpf2 syl3anc eqid fmpt r19.21bi
        sylibr fvmpt2 an32s mpteq2dva cvv mptexd eqtr4d ralrimiva nfcv nffvmpt1
        syl2anc nfmpt nfeq fveq2 mpteq2dv eqeq12d rspc eqeltrd wb mptelixpg syl
        mpbid cnpimaex sylan2 ex ralrimi eleq2 imaeq2 sseq1d anbi12d ac6sfi crn
        sylc cint ad2antrr toponuni ineq1d topontop ad2antrl simpl sylanbrc cdm
        mpbird wfun funmpt dmmptg funimass4 sylancr nfel1 eleq1d cbvralw ssralv
        expimpd frn wfo wfn ffn dffn4 fofi rintopn ralimi ad2antll ralrn elrint
        cdif simp-4l simpllr simplr ffvelrnd elin1d sseqtrrd bitrdi inss1 mpsyl
        toponss fnfvelrn intss1 sstrid r19.26 sylan biimpd sylbir syl6an sylbid
        wi ralimia ralimdaa impr eldifi syl2an ralbidv cun raleqi ralunb bitr3i
        inundif ralcom mptexg syl2anr bitrd ralbidva syl5bb ralrimivw sseqtrrid
        rspcev syl12anc exlimddv ) ABUKZJNULZKUHUMZUNZFGUMZUWQUOZUPZCOEUQZUWTUR
        ZUWSIUOZUSZUKZGUWPUTZUKZFDUMZUPZCOGJEUQZUQZUXIURZGJUXDVAZUSZUKZDKVBZUHU
        WOUWPVCUPZFUIUMZUPZUXBUXSURZUXDUSZUKZUIKVBZGUWPUTUXHUHVEUWONVCUPUWPNUSU
        XRUEJNVDNUWPVFVGZUWOUYDGUWPABGAGVHUBVIZUWOUWSUWPUPZUYDUYGUWOUWSJUPZUYDU
        WSJNVJUWOUYHUKUXBFKUWSHUOZVKVQUOUPZUXDUYIUPFUXBUOZUXDUPZUYDAUYHUYJBUAVL
        UDUWOUYLGJUWOGJUYKUQZUXNUPZUYLGJUTZUWOUYMFUXLUOZUXNUWOFOUPZGJCUMZUXBUOZ
        UQZUYRUXLUOZVMZCOUTZUYMUYPVMZAUYQBTVNAVUCBAVUBCOAUYROUPZUKZUYTUXKVUAVUF
        GJUYSEAUYHVUEUYSEVMZAUYHUKZVUEUKVUEEUYIVRZUPZVUGVUHVUEVOVUHVUJCOVUHOVUI
        UXBUNZVUJCOUTZVUHKOVPUOUPZUYIVUIVPUOUPZUYJVUKAVUMUYHQVNVUHUYIVSUPVUNAJV
        SUWSHSVTUYIWAWBUAFUXBKUYIOVUIWCWDCOVUIEUXBUXBWEZWFWHZWGZCOEVUIUXBVUOWIZ
        WRWJWKVUFVUEUXKWLUPZVUAUXKVMZAVUEVOVUFGJEMAJMUPZVUERVNWMCOUXKWLUXLUXLWE
        WIZWRWNWOVNVUBVUDCFOCUYMUYPCGJUYKCJWPCOEFWQWSCOUXKFWQWTUYRFVMZUYTUYMVUA
        UYPVVCGJUYSUYKUYRFUXBXAXBUYRFUXLXAXCXDXTUGXEUWOVVAUYNUYOXFAVVABRVNGJUYK
        UXDMXGXHXIWGUIUXDFUXBKUYIXJWDXKXLXMUYCUXFGUIUWPKUHUXSUWTVMZUXTUXAUYBUXE
        UXSUWTFXNVVDUYAUXCUXDUXSUWTUXBXOXPXQXRWRUWOUXHUKZOUWQXSZYAZULZKUPFVVHUP
        ZUXLVVHURZUXNUSZUXQVVEVVHKVRZVVGULZKVVEOVVLVVGVVEVUMOVVLVMAVUMBUXHQYBOK
        YCXHYDVVEKVSUPZVVFKUSZVVFVCUPZVVMKUPAVVNBUXHAVUMVVNQOKYEXHYBUWRVVOUWOUX
        GUWPKUWQUUAYFVVEUXRUWPVVFUWQUUBZVVPUWOUXRUXHUYEVNVVEUWQUWPUUCZVVQUWRVVR
        UWOUXGUWPKUWQUUDZYFZUWPUWQUUEWBUWPVVFUWQUUFWRVVFKVVLVVLWEUUGWDXEVVEUYQU
        XJDVVFUTZVVIAUYQBUXHTYBVVEVWAUXAGUWPUTZUXGVWBUWOUWRUXFUXAGUWPUXAUXEYGUU
        HUUIVVEVVRVWAVWBXFVVTUXJUXADGUWPUWQUXIUWTFXNUUJXHYJDOVVFFUUKYHVVEVVKUJU
        MZUXLUOZUXNUPZUJVVHUTZVVEVWFEUXDUPZGJUTZCVVHUTZVVEVWGCVVHUTZGJUTZVWIVVE
        VWJGUWPUTZVWJGJNUULZUTZVWKUWOUWRUXGVWLUWOUWRUKZUXFVWJGUWPUWOUWRGUYFUWRG
        VHVIVWOUYGUKZUXAUXEVWJVWPUXAUKZUXEUYSUXDUPZCUWTUTZVWJVWQUXEVWCUXBUOZUXD
        UPZUJUWTUTZVWSVWQUXBYKUWTUXBYIZUSUXEVXBXFCOEYLVWQUWTOVXCVWQVUMUWTKUPUWT
        OUSVWQAVUMABUWRUYGUXAUUMZQXHVWQUWPKUWSUWQUWOUWRUYGUXAUUNZVWOUYGUXAUUOZU
        UPUWTKOUVBWRVWQVULVXCOVMVWQAUYHVULVXDVWQJNUWSVXFUUQVUPWRZCOEVUIYMXHUURU
        JUWTUXDUXBYNYOVXAVWRUJCUWTCVWTUXDCOEVWCWQYPVWRUJVHVWCUYRVMZVWTUYSUXDVWC
        UYRUXBXAYQYRUUSVWQVUJCVVHUTZVWSVWRCVVHUTZVWJVVHOUSVWQVULVXIOVVGUUTZVXGV
        UJCVVHOYSUVAVWQVVHUWTUSVWSVXJUVLVWQVVHVVGUWTOVVGVDVWQUWTVVFUPZVVGUWTUSV
        WQVVRUYGVXLVWQUWRVVRVXEVVSXHVXFUWPUWSUWQUVCWRUWTVVFUVDXHUVEVWRCVVHUWTYS
        XHVXIVXJUKVUJVWRUKZCVVHUTVWJVUJVWRCVVHUVFVXMVWGCVVHUYRVVHUPZVUJVWRVWGVX
        NVUJUKZVWRVWGVXOUYSEUXDVXNVUEVUJVUGUYROVVGVJZVURUVGYQUVHYTUVMUVIUVJUVKY
        TUVNUVOUWOVWNUXHUWOVWJGVWMUYFUWOUWSVWMUPZVWJUWOVXQUKZVWJVXIUWOAUYHVXIVX
        QABYGUWSJNUVPVUHVUJCVVHVXNVUHVUEVUJVXPVUQXKWOUVQVXRUXDVUIVMZVWJVXIXFUFV
        XSVWGVUJCVVHUXDVUIEXNUVRXHYJXLXMVNVWKVWJGUWPVWMUVSZUTVWLVWNUKVWJGVXTJJN
        UWCUVTVWJGUWPVWMUWAUWBYHVWGCGVVHJUWDWHVVEVVAVWFVWIXFAVVABUXHRYBVWFVUAUX
        NUPZCVVHUTVVAVWIVWEVYAUJCVVHCVWDUXNCOUXKVWCWQYPVYAUJVHVXHVWDVUAUXNVWCUY
        RUXLXAYQYRVVAVYAVWHCVVHVVAVXNUKZVYAUXKUXNUPZVWHVYBVUAUXKUXNVXNVUEVUSVUT
        VVAVXPGJEMUWEVVBUWFYQVVAVYCVWHXFVXNGJEUXDMXGVNUWGUWHUWIXHYJVVEUXLYKVVHU
        XLYIZUSVVKVWFXFCOUXKYLVVEOVVHVYDVXKVVEVUSCOUTZVYDOVMAVYEBUXHAVUSCOAGJEM
        RWMUWJYBCOUXKWLYMXHUWKUJVVHUXNUXLYNYOYJUXPVVIVVKUKDVVHKUXIVVHVMZUXJVVIU
        XOVVKUXIVVHFXNVYFUXMVVJUXNUXIVVHUXLXOXPXQUWLUWMUWN $.
    $}

    $( If every projection of a function is continuous at ` D ` , then the
       function itself is continuous at ` D ` into the product topology.
       (Contributed by Mario Carneiro, 3-Feb-2015.)  (Revised by Mario
       Carneiro, 22-Aug-2015.) $)
    ptcnp $p |- ( ph -> ( x e. X |-> ( k e. I |-> A ) ) e.
      ( ( J CnP K ) ` D ) ) $=
      ( cfv wcel wa vf vz vg vn vw va cmpt ccnp co cv cuni cixp wf cima wrex wi
      wss wfn wral wceq cdif cfn w3a wex ctopon adantr ctop ffvelrnda toptopon2
      cab sylib cnpf2 syl3anc fvmptelrn an32s ralrimiva wb mptelixpg syl mpbird
      fmpttd wal df-3an nfcv nfmpt1 nfmpt nffv nfel1 nfan simprll simprlr fveq2
      nfv eleq12d rspccva simprrl simpld simprd unieqd eqeq12d simprrr eleqtrdi
      sylan cbvixpv ptcnplem anassrs expr rexlimdvaa impr sylan2b eqeq2i biimpi
      eleq2 sseq2d anbi2d rexbidv imbi12d syl5ibrcom expimpd eqeq1 exbidv ralab
      exlimdv alrimiv sylibr cpt ffnd eqid ptval syl2anc syl5eq feqmptd pttopon
      ctg fveq2d eqeltrd tgcnp mpbir2and ) ABKEGCUGZUGZDHIUHUIRSKEGEUJZFRZUKZUL
      ZYTUMDYTRZUAUJZSZDUBUJZSZYTUUHUNZUUFUQZTZUBHUOZUPZUAUCUJZGURZUDUJZUUORZUU
      QFRZSZUDGUSZUURUUSUKZUTZUDGUEUJZVAZUSZUEVBUOZVCZUFUJZUDGUURULZUTZTZUCVDZU
      FVJZUSZABKYSUUDABUJKSZTZYSUUDSZCUUCSZEGUSZUVQUVSEGAUUAGSZUVPUVSAUWATZBKCU
      UCUWBHKVERSZUUBUUCVERSZBKCUGZDHUUBUHUIRSKUUCUWEUMAUWCUWAMVFUWBUUBVGSUWDAG
      VGUUAFOVHUUBVIVKZQDUWEHUUBKUUCVLVMVNVOVPUVQGJSZUVRUVTVQAUWGUVPNVFEGCUUCJV
      RVSVTWAAUVHUUFUVJUTZTZUCVDZUUNUPZUAWBUVOAUWKUAAUWIUUNUCAUVHUWHUUNAUVHTUUN
      UWHUUEUVJSZUUIUUJEGUUAUUORZULZUQZTZUBHUOZUPZUVHAUUPUVATZUVGTUWRUUPUVAUVGW
      CAUWSUVGUWRAUWSTZUVFUWRUEVBUWTUVDVBSZUVFTZUWLUWQAUWSUXBUWLTZUWQAUWSUXCTZB
      UBCDEFUUOGHIJUVDKLMNOPQUWSUXCEUWSEWMUXBUWLEUXBEWMEUUEUVJEDYTEBKYSEKWDEGCW
      EWFEDWDWGWHWIWIAUUPUVAUXCWJAUXDTZUVAUWAUWMUUBSZAUUPUVAUXCWKUUTUXFUDUUAGUU
      QUUAUTZUURUWMUUSUUBUUQUUAUUOWLZUUQUUAFWLZWNWOXCUXEUXAUVFAUWSUXBUWLWPZWQUX
      EUVFUUAUVESUWMUUCUTZUXEUXAUVFUXJWRUVCUXKUDUUAUVEUXGUURUWMUVBUUCUXHUXGUUSU
      UBUXIWSWTWOXCUXEUUEUVJUWNAUWSUXBUWLXAUDEGUURUWMUXHXDZXBXEXFXGXHXIXJUWHUUG
      UWLUUMUWQUUFUVJUUEXMUWHUULUWPUBHUWHUUKUWOUUIUWHUUFUWNUUJUWHUUFUWNUTUVJUWN
      UUFUXLXKXLXNXOXPXQXRXSYCYDUVMUWJUUNUAUFUVIUUFUTZUVLUWIUCUXMUVKUWHUVHUVIUU
      FUVJXTXOYAYBYEAUBUAUVNDYTHIKUUDMAIFYFRZUVNYNRZLAUWGFGURUXNUXOUTNAGVGFOYGU
      FUDUEGUVNUCFJUVNYHYIYJYKAIEGUUBUGZYFRZUUDVERZAIUXNUXQLAFUXPYFAEGVGFOYLYOY
      KAUWGUWDEGUSUXQUXRSNAUWDEGUWFVPEGUUCUXQUUBJUXQYHYMYJYPPYQYR $.
  $}

  ${
    $d h x z A $.  $d h x z B $.  $d h x z C $.  $d h x z F $.  $d h x z G $.
    $d h z D $.  $d z P $.  $d z Q $.
    upxp.1 $e |- P = ( 1st |` ( B X. C ) ) $.
    upxp.2 $e |- Q = ( 2nd |` ( B X. C ) ) $.
    $( Universal property of the Cartesian product considered as a categorical
       product in the category of sets.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Revised by Mario Carneiro, 27-Dec-2014.) $)
    upxp $p |- ( ( A e. D /\ F : A --> B /\ G : A --> C ) ->
        E! h ( h : A --> ( B X. C ) /\ F = ( P o. h ) /\ G = ( Q o. h ) ) ) $=
      ( wcel ccom wceq cfv cvv wa wfn c1st c2nd vx vz wf w3a cxp weu cop mptexg
      cmpt eueq sylib 3ad2ant1 ffn adantl wral ffvelrn opelxpi syl2an ralrimiva
      anandirs 3adant1 eqid fmpt ffnd adantr xpss sselid 3ad2antl1 adantll cres
      cv fveq1 coeq1i fveq1i eqtrdi 3ad2ant2 ad2antlr simpr1 fvco3 sylan fvresd
      3eqtrrd 3ad2ant3 eqopi syl12anc fveq2 opeq12d fvmpt eqtr4d eqfnfvd ex crn
      opex wss wfo fo1st fofn ax-mp ssv fnssres mp2an frnd fnco fveq2d 3adantl1
      mp3an2i fvex op1st eqtr4di fo2nd op2nd 3jca coeq2 eqeq2d 3anbi123d impbid
      feq1 syl5ibrcom eubidv mpbird ) ADLZABHUCZACIUCZUDZABCUEZGVKZUCZHEYFMZNZI
      FYFMZNZUDZGUFYFUAAUAVKZHOZYMIOZUGZUIZNZGUFZYAYBYSYCYAYQPLYSUAAYPDUHGYQUJU
      KULYDYLYRGYDYLYRYDYLYRYDYLQZUBAYFYQYLYFARZYDYGYIUUAYKAYEYFUMULUNYDYQARZYL
      YDAYEYQYDYPYELZUAAUOZAYEYQUCZYBYCUUDYAYBYCQUUCUAAYBYCYMALZUUCYBUUFQYNBLYO
      CLUUCYCUUFQABYMHUPACYMIUPYNYOBCUQURUTUSVAUAAYEYPYQYQVBZVCUKZVDZVEYTUBVKZA
      LZQZUUJYFOZUUJHOZUUJIOZUGZUUJYQOZUULUUMPPUEZLZUUMSOZUUNNUUMTOZUUONUUMUUPN
      YLUUKUUSYDYGYIUUKUUSYKYGUUKQYEUURUUMBCVFAYEUUJYFUPZVGVHVIUULUUNUUJSYEVJZY
      FMZOZUUMUVCOZUUTYLUUNUVENZYDUUKYIYGUVGYKYIUUNUUJYHOUVEUUJHYHVLUUJYHUVDEUV
      CYFJVMVNVOVPVQYTYGUUKUVEUVFNYDYGYIYKVRZAYEUUJUVCYFVSVTUULUUMYESYLUUKUUMYE
      LZYDYGYIUUKUVIYKUVBVHVIZWAWBUULUUOUUJTYEVJZYFMZOZUUMUVKOZUVAYLUUOUVMNZYDU
      UKYKYGUVOYIYKUUOUUJYJOUVMUUJIYJVLUUJYJUVLFUVKYFKVMVNVOWCVQYTYGUUKUVMUVNNU
      VHAYEUUJUVKYFVSVTUULUUMYETUVJWAWBUUMUUNUUOPPWDWEUUKUUQUUPNZYTUAUUJYPUUPAY
      QYMUUJNYNUUNYOUUOYMUUJHWFYMUUJIWFWGUUGUUNUUOWMWHZUNWIWJWKYDYLYRUUEHEYQMZN
      ZIFYQMZNZUDYDUUEUVSUWAUUHYDHUVCYQMZUVRYDUBAHUWBYBYAHARYCABHUMVPUVCYERZYDU
      UBYQWLYEWNZUWBARSPRZYEPWNZUWCPPSWOUWEWPPPSWQWRYEWSZPYESWTXAUUIYDAYEYQUUHX
      BZYEAUVCYQXCXFYDUUKQZUUJUWBOZUUQUVCOZUUPUVCOZUUNYDUUEUUKUWJUWKNUUHAYEUUJU
      VCYQVSVTUWIUUQUUPUVCUUKUVPYDUVQUNZXDUWIUWLUUPSOUUNUWIUUPYESYBYCUUKUUPYELZ
      YAYBYCUUKUWNYBUUKQUUNBLUUOCLUWNYCUUKQABUUJHUPACUUJIUPUUNUUOBCUQURUTXEZWAU
      UNUUOUUJHXGZUUJIXGZXHVOWBWJEUVCYQJVMXIYDIUVKYQMZUVTYDUBAIUWRYCYAIARYBACIU
      MWCUVKYERZYDUUBUWDUWRARTPRZUWFUWSPPTWOUWTXJPPTWQWRUWGPYETWTXAUUIUWHYEAUVK
      YQXCXFUWIUUJUWROZUUQUVKOZUUPUVKOZUUOYDUUEUUKUXAUXBNUUHAYEUUJUVKYQVSVTUWIU
      UQUUPUVKUWMXDUWIUXCUUPTOUUOUWIUUPYETUWOWAUUNUUOUWPUWQXKVOWBWJFUVKYQKVMXIX
      LYRYGUUEYIUVSYKUWAAYEYFYQXQYRYHUVRHYFYQEXMXNYRYJUVTIYFYQFXMXNXOXRXPXSXT
      $.
  $}

  ${
    $d r s x z F $.  $d r s x z G $.  $d r s x z R $.  $d r s x z S $.
    $d r s z H $.  $d r s x z U $.  $d x z W $.
    txcnmpt.1 $e |- W = U. U $.
    txcnmpt.2 $e |- H = ( x e. W |-> <. ( F ` x ) , ( G ` x ) >. ) $.
    $( A map into the product of two topological spaces is continuous if both
       of its projections are continuous.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Revised by Mario Carneiro, 22-Aug-2015.) $)
    txcnmpt $p |- ( ( F e. ( U Cn R ) /\ G e. ( U Cn S ) )
                 -> H e. ( U Cn ( R tX S ) ) ) $=
      ( vz vr vs co wcel wa wral cfv wb ctop ccn ctx cuni cxp wf ccnv cima cmpo
      crn cop eqid cnf adantr ffvelrnda adantl opelxpd fmptd cin crab mptpreima
      cv wfn ffn elpreima 3syl ibar bitr4d ad2antrr anbi12d elin opelxp 3bitr4g
      rabbi2dva wss wceq inss1 cnvimass sstri fssdm sseqin2 sylib eqtr3d syl5eq
      cdm cnima ad2ant2r ad2ant2l inopn syl3anc eqeltrd ralrimivva cvv vex xpex
      cntop1 rgen2w imaeq2 eleq1d ralrnmpo ax-mp sylibr ctopon ctg cntop2 txval
      toptopon syl2an toptopon2 txtopon tgcn mpbir2and ) EDBUANOZFDCUANOZPZGDBC
      UBNZUANOHBUCZCUCZUDZGUEGUFZKVAZUGZDOZKLMBCLVAZMVAZUDZUHZUIZQZXNAHAVAZERZY
      IFRZUJZXRGXNYIHOZPYJYKXPXQXNHXPYIEXLHXPEUEZXMEDBHXPIXPUKULUMZUNXNHXQYIFXM
      HXQFUEZXLFDCHXQIXQUKULUOZUNUPJUQXNXSYEUGZDOZMCQLBQZYHXNYSLMBCXNYCBOZYDCOZ
      PZPZYREUFYCUGZFUFYDUGZURZDUUDYRYLYEOZAHUSZUUGAHYLYEGJUTUUDHUUGURZUUIUUGUU
      DUUHAHUUGUUDYMPZYIUUEOZYIUUFOZPYJYCOZYKYDOZPYIUUGOUUHUUKUULUUNUUMUUOUUKUU
      LYMUUNPZUUNUUKYNEHVBUULUUPSUUDYNYMXNYNUUCYOUMZUMHXPEVCHYIYCEVDVEYMUUNUUPS
      UUDYMUUNVFUOVGUUKUUMYMUUOPZUUOUUKYPFHVBUUMUURSXNYPUUCYMYQVHHXQFVCHYIYDFVD
      VEYMUUOUURSUUDYMUUOVFUOVGVIYIUUEUUFVJYJYKYCYDVKVLVMUUDUUGHVNUUJUUGVOUUDHX
      PUUGEUUGUUEEWDUUEUUFVPEYCVQVRUUQVSUUGHVTWAWBWCUUDDTOZUUEDOZUUFDOZUUGDOXNU
      USUUCXMUUSXLFDCWOUOZUMXLUUAUUTXMUUBYCEDBWEWFXMUUBUVAXLUUAYDFDCWEWGUUEUUFD
      WHWIWJWKYEWLOZMCQLBQYHYTSUVCLMBCYCYDLWMMWMWNWPYBYSLMKBCYEYFWLYFUKXTYEVOYA
      YRDXTYEXSWQWRWSWTXAXNKYGGDXOHXRXNUUSDHXBROUVBDHIXFWAXLBTOZCTOZXOYGXCRVOXM
      EDBXDZFDCXDZLMYGBCTTYGUKXEXGXLBXPXBROZCXQXBROZXOXRXBROXMXLUVDUVHUVFBXHWAX
      MUVEUVIUVGCXHWABCXPXQXIXGXJXK $.
  $}

  ${
    $d h x z F $.  $d h x z G $.  $d h P $.  $d h Q $.  $d h x R $.  $d h T $.
    $d h x S $.  $d h x z U $.  $d h x z X $.  $d h x z Y $.
    uptx.1 $e |- T = ( R tX S ) $.
    uptx.2 $e |- X = U. R $.
    uptx.3 $e |- Y = U. S $.
    uptx.4 $e |- Z = ( X X. Y ) $.
    uptx.5 $e |- P = ( 1st |` Z ) $.
    uptx.6 $e |- Q = ( 2nd |` Z ) $.
    $( Universal property of the binary topological product.  (Contributed by
       Jeff Madsen, 2-Sep-2009.)  (Proof shortened by Mario Carneiro,
       22-Aug-2015.) $)
    uptx $p |- ( ( F e. ( U Cn R ) /\ G e. ( U Cn S ) ) ->
                  E! h e. ( U Cn T ) ( F = ( P o. h ) /\ G = ( Q o. h ) ) ) $=
      ( wcel cvv vx vz ccn co ccom wceq wex wmo wreu cuni cfv cop cmpt ctx eqid
      wa cv txcnmpt oveq2i eleqtrrdi wf cnf c1st cxp wfn ffn adantr crn wss wfo
      cres fo1st ax-mp ssv fnssres mp2an ffvelrn opelxpi syl2an anandirs fmpttd
      fofn frnd fnco mp3an2i fvco3 sylan fveq2 opeq12d opex fvmpt adantl fveq2d
      syl fvresd fvex op1st eqtrdi 3eqtrrd eqfnfvd reseq2i eqtri coeq1i eqtr4di
      c2nd fo2nd op2nd jca32 eleq1 coeq2 eqeq2d anbi12d spcegv sylc w3a wi ctop
      wal cntop2 unieqi txuni eqtr4id feq3d syl5ib anim1d 3anass syl6ibr cntop1
      alrimiv weu uniexd upxp syl2an3an eumo moim df-reu df-eu bitri sylanbrc )
      HFCUCUDSZIFDUCUDSZUPZGUQZFEUCUDZSZHAUUCUEZUFZIBUUCUEZUFZUPZUPZGUGZUUKGUHZ
      UUJGUUDUIZUUBUAFUJZUAUQZHUKZUUPIUKZULZUMZUUDSZUVAHAUUTUEZUFZIBUUTUEZUFZUP
      ZUPZUULUUBUUTFCDUNUDZUCUDUUDUACDFHIUUTUUOUUOUOZUUTUOZUREUVHFUCMUSUTZUUBUV
      AUVCUVEUVKYTUUOJHVAZUUOKIVAZUVCUUAHFCUUOJUVINVBZIFDUUOKUVIOVBZUVLUVMUPZHV
      CJKVDZVKZUUTUEZUVBUVPUBUUOHUVSUVLHUUOVEUVMUUOJHVFVGUVRUVQVEZUVPUUTUUOVEZU
      UTVHUVQVIZUVSUUOVEVCTVEZUVQTVIZUVTTTVCVJUWCVLTTVCWBVMUVQVNZTUVQVCVOVPUVPU
      UOUVQUUTVAZUWAUVPUAUUOUUSUVQUVLUVMUUPUUOSZUUSUVQSZUVLUWGUPUUQJSUURKSUWHUV
      MUWGUPUUOJUUPHVQUUOKUUPIVQUUQUURJKVRVSVTWAZUUOUVQUUTVFWNZUVPUUOUVQUUTUWIW
      CZUVQUUOUVRUUTWDWEUVPUBUQZUUOSZUPZUWLUVSUKZUWLUUTUKZUVRUKZUWLHUKZUWLIUKZU
      LZUVRUKZUWRUVPUWFUWMUWOUWQUFUWIUUOUVQUWLUVRUUTWFWGUWNUWPUWTUVRUWMUWPUWTUF
      UVPUAUWLUUSUWTUUOUUTUUPUWLUFUUQUWRUURUWSUUPUWLHWHUUPUWLIWHWIUVJUWRUWSWJWK
      WLZWMUWNUXAUWTVCUKUWRUWNUWTUVQVCUVLUVMUWMUWTUVQSZUVLUWMUPUWRJSUWSKSUXCUVM
      UWMUPUUOJUWLHVQUUOKUWLIVQUWRUWSJKVRVSVTZWOUWRUWSUWLHWPZUWLIWPZWQWRWSWTAUV
      RUUTAVCLVKUVRQLUVQVCPXAXBZXCXDVSYTUVLUVMUVEUUAUVNUVOUVPIXEUVQVKZUUTUEZUVD
      UVPUBUUOIUXIUVMIUUOVEUVLUUOKIVFWLUXHUVQVEZUVPUWAUWBUXIUUOVEXETVEZUWDUXJTT
      XEVJUXKXFTTXEWBVMUWETUVQXEVOVPUWJUWKUVQUUOUXHUUTWDWEUWNUWLUXIUKZUWPUXHUKZ
      UWTUXHUKZUWSUVPUWFUWMUXLUXMUFUWIUUOUVQUWLUXHUUTWFWGUWNUWPUWTUXHUXBWMUWNUX
      NUWTXEUKUWSUWNUWTUVQXEUXDWOUWRUWSUXEUXFXGWRWSWTBUXHUUTBXELVKUXHRLUVQXEPXA
      XBZXCXDVSXHUUKUVGGUUTUUDUUCUUTUFZUUEUVAUUJUVFUUCUUTUUDXIUXPUUGUVCUUIUVEUX
      PUUFUVBHUUCUUTAXJXKUXPUUHUVDIUUCUUTBXJXKXLXLXMXNUUBUUKUUOUVQUUCVAZUUGUUIX
      OZXPZGXRUXRGUHZUUMUUBUXSGUUBUUKUXQUUJUPUXRUUBUUEUXQUUJUUEUUOEUJZUUCVAUUBU
      XQUUCFEUUOUYAUVIUYAUOVBUUBUYAUVQUUCUUOYTCXQSZDXQSZUYAUVQUFUUAHFCXSIFDXSUY
      BUYCUPUYAUVHUJUVQEUVHMXTCDJKNOYAYBVSYCYDYEUXQUUGUUIYFYGYIUUBUXRGYJZUXTYTU
      UOTSUVLUUAUVMUYDYTFXQHFCYHYKUVNUVOUUOJKTABGHIUXGUXOYLYMUXRGYNWNUUKUXRGYOX
      NUUNUUKGYJUULUUMUPUUJGUUDYPUUKGYQYRYS $.
  $}

  ${
    $d R h $.  $d S h $.  $d U h $.  $d W h $.  $d X h $.  $d Y h $.  $d Z h $.
    $d P h $.  $d Q h $.  $d F h $.
    txcn.1 $e |- X = U. R $.
    txcn.2 $e |- Y = U. S $.
    txcn.3 $e |- Z = ( X X. Y ) $.
    txcn.4 $e |- W = U. U $.
    txcn.5 $e |- P = ( 1st |` Z ) $.
    txcn.6 $e |- Q = ( 2nd |` Z ) $.
    $( A map into the product of two topological spaces is continuous iff both
       of its projections are continuous.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Proof shortened by Mario Carneiro, 22-Aug-2015.) $)
    txcn $p |- ( ( R e. Top /\ S e. Top /\ F : W --> Z ) ->
         ( F e. ( U Cn ( R tX S ) ) <-> ( ( P o. F ) e. ( U Cn R ) /\
                                          ( Q o. F ) e. ( U Cn S ) ) ) ) $=
      ( vh wcel wf wa ctop w3a ctx co ccn ccom wi ctopon cfv toptopon c1st cres
      cxp reseq2i eqtri tx1cn eqeltrid c2nd tx2cn cnco anim12dan expcom syl2anc
      syl2anb 3adant3 wceq weu wex cntop1 ad2antrl topopn syl cnf ad2antll upxp
      cv wb feq3 ax-mp 3anbi1i eubii sylibr syl3anc euex cvv wmo simpll3 adantr
      fexd eumo simpr 3anass coeq2 eqcoms biantrud feq1 bitr3d syl5bb moi2 wreu
      jca syl22anc eqid uptx adantl df-reu sylbi cuni txuni syl5eq feq3d anim1d
      syl5ibr syl6ibr simpl jca2 eximdv mpd eupick imp eqeltrrd exlimddv impbid
      syl5 ex ) CUARZDUARZGJFSZUBZFECDUCUDZUEUDZRZAFUFZECUEUDRZBFUFZEDUEUDRZTZY
      FYGYLYQUGZYHYFCHUHUIRZDIUHUIRZYRYGCHKUJDILUJYSYTTZAYJCUEUDZRZBYJDUEUDZRZY
      RUUAAUKHIUMZULZUUBAUKJULUUGOJUUFUKMUNUOZCDHIUPUQUUABURUUFULZUUDBURJULUUIP
      JUUFURMUNUOZCDHIUSUQYLUUCUUETYQYLUUCYNUUEYPFAEYJCUTFBEYJDUTVAVBVCVDVEYIYQ
      YLYIYQTZGJQVPZSZYMAUULUFVFZYOBUULUFVFZUBZYLQUUKUUPQVGZUUPQVHUUKGERZGHYMSZ
      GIYOSZUUQUUKEUARZUURYNUVAYIYPYMECVIVJEGNVKVLZYNUUSYIYPYMECGHNKVMVJYPUUTYI
      YNYOEDGINLVMVNUURUUSUUTUBGUUFUULSZUUNUUOUBZQVGUUQGHIEABQYMYOUUHUUJVOUUPUV
      DQUUMUVCUUNUUOJUUFVFUUMUVCVQMJUUFGUULVRVSVTWAWBWCZUUPQWDVLUUKUUPTZUULFYKU
      VFFWERUUPQWFZUUPYHUULFVFZUVFGJEFYFYGYHYQUUPWGZUUKUURUUPUVBWHWIUUKUVGUUPUU
      KUUQUVGUVEUUPQWJVLWHUUKUUPWKUVIUUPYHQFWEUUPUUMUUNUUOTZTZUVHYHUUMUUNUUOWLZ
      UVHUUMUVKYHUVHUVJUUMUVJFUULFUULVFUUNUUOFUULAWMFUULBWMXAWNWOGJUULFWPWQWRWS
      XBUUKUUPUULYKRZUUKUUQUUPUVMTZQVHZUUPUVMUGUVEUUKUVJQYKWTZUVOYQUVPYIABCDYJE
      QYMYOHIJYJXCKLMOPXDXEUVPUVMUVJTZQVHZUUKUVOUVPUVQQVGUVRUVJQYKXFUVQQWDXGUUK
      UVQUVNQUUKUVQUUPUVMUUKUVQUVKUUPUUKUVMUUMUVJUVMUUMUUKGYJXHZUULSUULEYJGUVSN
      UVSXCVMUUKJUVSUULGYIJUVSVFZYQYFYGUVTYHYFYGTJUUFUVSMCDHIKLXIXJVEWHXKXMXLUV
      LXNUVMUVJXOXPXQYDXRUUPUVMQXSVCXTYAYBYEYC $.
  $}

  ${
    $d k x F $.  $d k x z I $.  $d k z J $.  $d k x z ph $.  $d k x z X $.
    $d z A $.  $d x z K $.  $d k x V $.
    ptcn.2 $e |- K = ( Xt_ ` F ) $.
    ptcn.3 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    ptcn.4 $e |- ( ph -> I e. V ) $.
    ptcn.5 $e |- ( ph -> F : I --> Top ) $.
    ptcn.6 $e |- ( ( ph /\ k e. I ) ->
      ( x e. X |-> A ) e. ( J Cn ( F ` k ) ) ) $.
    $( If every projection of a function is continuous, then the function
       itself is continuous into the product topology.  (Contributed by Mario
       Carneiro, 3-Feb-2015.) $)
    ptcn $p |- ( ph -> ( x e. X |-> ( k e. I |-> A ) ) e. ( J Cn K ) ) $=
      ( wcel cfv wa adantr ctop vz cmpt ccn co cuni wf cv ccnp wral cixp ctopon
      ffvelrnda toptopon2 sylib syl3anc fvmptelrn an32s ralrimiva mptelixpg syl
      cnf2 wb mpbird ptuni syl2anc eleqtrd fmpttd simpr adantlr simplr toponuni
      wceq ad2antrr eqid cncnpi ptcnp cpt pttop eqeltrid cncnp mpbir2and ) ABJD
      FCUBZUBZGHUCUDPZJHUEZWCUFZWCUAUGZGHUHUDQPZUAJUIZABJWBWEABUGJPZRZWBDFDUGZE
      QZUEZUJZWEWKWBWOPZCWNPZDFUIZWKWQDFAWLFPZWJWQAWSRZBJCWNWTGJUKQPZWMWNUKQPZB
      JCUBZGWMUCUDPZJWNXCUFAXAWSLSWTWMTPXBAFTWLENULWMUMUNOXCGWMJWNVAUOUPUQURWKF
      IPZWPWRVBAXEWJMSDFCWNIUSUTVCAWOWEVLZWJAXEFTEUFZXFMNDFEHIKVDVESVFVGAWHUAJA
      WGJPZRZBCWGDEFGHIJKAXAXHLSAXEXHMSAXGXHNSAXHVHXIWSRZXDWGGUEZPXCWGGWMUHUDQP
      AWSXDXHOVIXJWGJXKAXHWSVJAJXKVLZXHWSAXAXLLJGVKUTVMVFWGXCGWMXKXKVNVOVEVPURA
      XAHWEUKQPZWDWFWIRVBLAHTPXMAHEVQQZTKAXEXGXNTPMNFEIVRVEVSHUMUNUAWCGHJWEVTVE
      WA $.
  $}

  ${
    $d g x y z I $.  $d g x y z R $.  $d y V $.  $d g x y z W $.  $d g x y Y $.
    $d g x y ph $.  $d x y S $.
    prdstopn.y $e |- Y = ( S Xs_ R ) $.
    prdstopn.s $e |- ( ph -> S e. V ) $.
    prdstopn.i $e |- ( ph -> I e. W ) $.
    ${
      prdstopn.r $e |- ( ph -> R Fn I ) $.
      prdstopn.o $e |- O = ( TopOpen ` Y ) $.
      $( Topology of a structure product.  (Contributed by Mario Carneiro,
         27-Aug-2015.) $)
      prdstopn $p |- ( ph -> O = ( Xt_ ` ( TopOpen o. R ) ) ) $=
        ( vy cfv ctopn wss wceq cvv wcel vg vz vx cts ccom cpt cbs cpw cdm fnex
        wfn syl2anc eqid eqidd prdstset cuni cv wral cdif cfn wrex w3a cixp wex
        wa cab ctg wf topnfn dffn2 sylib fnfco sylancr ptval unieqd fvco2 sylan
        crest co topnval restsspw eqsstrri eqsstrdi fvex syl6ib ralimdva simpl2
        sseld elpw impel ss2ixp simprr prdsbas2 adantr 3sstr4d ex exlimdv velpw
        syl6ibr abssdv pwex ssex unitg 3syl eqtrd sspwuni eqsstrd sylibr topnid
        syl eqtr4di eqtr3d ) AHUDOZEPBUEZUFOZAXMHPOZEAXMHUGOZUHZQXMXPRAXMXOXRAX
        QHBCBUIZXMFSIJABDUKZDGTZBSTLKDGBUJULXQUMZAXSUNXMUMZUOZAXOUPZXQQXOXRQAYE
        UAUQZDUKZNUQZYFOZYHXNOZTZNDURZYIYJUPRNDUBUQUSURUBUTVAZVBZUCUQZNDYIVCZRZ
        VEZUAVDZUCVFZUPZXQAYEYTVGOZUPZUUAAXOUUBAYAXNDUKZXOUUBRKAPSUKDSBVHZUUDVI
        AXTUUELDBVJVKSDPBVLVMUCNUBDYTUAXNGYTUMVNULVOAYTXRQZYTSTUUCUUARAYSUCXRAY
        SYOXQQZYOXRTAYRUUGUAAYRUUGAYRVEZYPNDYHBOZUGOZVCZYOXQUUHYIUUJQZNDURZYPUU
        KQAYLUUMYRAYKUULNDAYHDTZVEZYKYIUUJUHZTUULUUOYJUUPYIUUOYJUUIPOZUUPAXTUUN
        YJUUQRLDPBYHVPVQUUQUUIUDOZUUJVRVSUUPUUJUURUUIUUJUMUURUMVTUUJUURWAWBWCWH
        YIUUJYHYFWDWIWEWFYGYLYMYQWGWJNDYIUUJWKXJAYNYQWLAXQUUKRYRANXQBCDFGHIYBJK
        LWMWNWOWPWQUCXQWRWSWTZYTXRXQHUGWDXAXBYTSXCXDXEAUUFUUAXQQUUSYTXQXFVKXGXO
        XQXFXHXGXQXMHYBYCXIXJMXKYDXL $.
    $}

    prdstps.r $e |- ( ph -> R : I --> TopSp ) $.
    $( A structure product of topological spaces is a topological space.
       (Contributed by Mario Carneiro, 27-Aug-2015.) $)
    prdstps $p |- ( ph -> Y e. TopSp ) $=
      ( vx cfv ctopon wcel ctps ctopn cpt eqid cvv cts cbs cv cmpt cixp wral wa
      ffvelrnda istps ralrimiva pttopon syl2anc ccom fexd fdmd prdstset wf wceq
      sylib wfn topnfn dffn2 mpbi wss ssv sylancl fcompt sylancr fveq2d prdsbas
      fss eqtrd 3eltr4d tsettps syl ) AGUAMZGUBMZNMZOGPOALDLUCZBMZQMZUDZRMZLDVT
      UBMZUEZNMZVPVRADFOWAWDNMOZLDUFWCWFOJAWGLDAVSDOUGVTPOWGADPVSBKUHWDWAVTWDSW
      ASUIUSUJLDWDWCWAFWCSUKULAVPQBUMZRMWCAVQGBCDVPETHIADPFBKJUNZVQSZADPBKUOZVP
      SZUPAWHWBRATTQUQZDTBUQZWHWBURQTUTWMVATQVBVCADPBUQPTVDWNKPVEDPTBVKVFLQBDTT
      VGVHVIVLAVQWENALVQGBCDETHIWIWJWKVJVIVMVQVPGWJWLVNVO $.
  $}

  ${
    pwstps.y $e |- Y = ( R ^s I ) $.
    $( A structure power of a topological space is a topological space.
       (Contributed by Mario Carneiro, 27-Aug-2015.) $)
    pwstps $p |- ( ( R e. TopSp /\ I e. V ) -> Y e. TopSp ) $=
      ( ctps wcel wa csca cfv csn cxp cprds co eqid pwsval cvv fvexd simpr wf
      fconst6g adantr prdstps eqeltrd ) AFGZBCGZHZDAIJZBAKLZMNZFAUHBFCDEUHOPUGU
      IUHBQCUJUJOUGAIRUEUFSUEBFUITUFBAFUAUBUCUD $.
  $}

  ${
    $d r s u v x V $.  $d r s u v x W $.  $d r s u v x X $.  $d r s u v x Y $.
    $d r s u v w x A $.  $d r s u v w x B $.  $d r s u v w x R $.
    $d r s u v w x S $.
    $( The subspace of a topological product space induced by a subset with a
       Cartesian product representation is a topological product of the
       subspaces induced by the subspaces of the terms of the products.
       (Contributed by Jeff Madsen, 2-Sep-2009.)  (Proof shortened by Mario
       Carneiro, 2-Sep-2015.) $)
    txrest $p |- ( ( ( R e. V /\ S e. W ) /\ ( A e. X /\ B e. Y ) ) ->
      ( ( R tX S ) |`t ( A X. B ) ) = ( ( R |`t A ) tX ( S |`t B ) ) ) $=
      ( vu vv vr vs wcel wa co crest cv wceq cvv wrex vx vw ctx cxp crn ctg cfv
      cmpo eqid txval adantr oveq1d txbasex tgrest syl2an cab cin wb elrest vex
      xpexg inex1 ad2ant2r xpeq1 eqeq2d rexbidv ad2ant2l xpeq2 adantl sylan9bbr
      rexxfr2d wral xpex rgen2w ineq1 inxp eqtrdi rexrnmpo ax-mp bitr4di bitr4d
      a1i abbi2dv rnmpo eqtr4di fveq2d 3eqtr2d ovex mp2an ) CEMZDFMZNZAGMZBHMZN
      ZNZCDUCOZABUDZPOZIJCAPOZDBPOZIQZJQZUDZUHZUEZUFUGZWTXAUCOZWPWSKLCDKQZLQZUD
      ZUHZUEZUFUGZWRPOZXMWRPOZUFUGZXGWPWQXNWRPWLWQXNRWOKLXMCDEFXMUIZUJUKULWLXMS
      MZWRSMZXQXORWOKLXMCDEFXRUMZABGHVAZWRXMSSUNUOWPXPXFUFWPXPUAQZXDRZJXATZIWTT
      ZUAUPXFWPYFUAXPWPYCXPMZYCUBQZWRUQZRZUBXMTZYFWLXSXTYGYKURWOYAYBUBYCWRXMSSU
      SUOWPYFYCXIAUQZXJBUQZUDZRZLDTZKCTZYKWPYEYPIKYLWTCSYLSMWPXICMNXIAKUTZVBWBW
      JWMXBWTMXBYLRZKCTURWKWNKXBACEGUSVCYSYEYCYLXCUDZRZJXATWPYPYSYDUUAJXAYSXDYT
      YCXBYLXCVDVEVFWPUUAYOJLYMXADSYMSMWPXJDMNXJBLUTZVBWBWKWNXCXAMXCYMRZLDTURWJ
      WMLXCBDFHUSVGUUCUUAYOURWPUUCYTYNYCXCYMYLVHVEVIVKVJVKXKSMZLDVLKCVLYKYQURUU
      DKLCDXIXJYRUUBVMVNYJYOKLUBCDXKXLSXLUIYHXKRZYIYNYCUUEYIXKWRUQYNYHXKWRVOXIX
      JABVPVQVEVRVSVTWAWCIJUAWTXAXDXEXEUIWDWEWFWGWTSMXASMXHXGRCAPWHDBPWHIJXFWTX
      ASSXFUIUJWIWE $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d x y V $.  $d x y W $.
    $( The topological product of discrete spaces is discrete.  (Contributed by
       Mario Carneiro, 14-Aug-2015.) $)
    txdis $p |- ( ( A e. V /\ B e. W ) -> ( ~P A tX ~P B ) = ~P ( A X. B ) ) $=
      ( vx vy vz vw wcel wa cpw cxp cuni wss wceq ctop distop unipw cv csn wrex
      ctx eqcomi txuni syl2an eqimss2 syl sspwuni sylibr wral c1st cfv c2nd cop
      co elelpwi adantl xp1st snelpwi xp2nd vsnid 1st2nd2 sneqd eleqtrid simprl
      3syl eqeltrrd snssd xpeq1 eleq2d sseq1d anbi12d xpeq2 fvex eqtrdi rspc2ev
      xpsn syl112anc expr ralrimdva wb eltx sylibrd ssrdv eqssd ) ACIZBDIZJZAKZ
      BKZUBUOZABLZKZWHWKMZWLNZWKWMNWHWLWNOZWOWFWIPIZWJPIZWPWGACQZBDQZWIWJABWIMA
      ARUCWJMBBRUCUDUEWNWLUFUGWKWLUHUIWHEWMWKWHESZWMIZFSZGSZHSZLZIZXFXANZJZHWJU
      AGWIUAZFXAUJZXAWKIZWHXBXJFXAWHXCXAIZXBXJWHXMXBJZJZXCUKULZTZWIIZXCUMULZTZW
      JIZXCXPXSUNZTZIZYCXANZXJXOXCWLIZXPAIXRXNYFWHXCXAWLUPUQZXCABURXPAUSVFXOYFX
      SBIYAYGXCABUTXSBUSVFXOXCXCTYCFVAXOXCYBXOYFXCYBOYGXCABVBUGZVCVDXOYBXAXOXCY
      BXAYHWHXMXBVEVGVHXIYDYEJXCXQXELZIZYIXANZJGHXQXTWIWJXDXQOZXGYJXHYKYLXFYIXC
      XDXQXEVIZVJYLXFYIXAYMVKVLXEXTOZYJYDYKYEYNYIYCXCYNYIXQXTLYCXEXTXQVMXPXSXCU
      KVNXCUMVNVQVOZVJYNYIYCXAYOVKVLVPVRVSVTWFWQWRXLXKWAWGWSWTGHXAWIWJPPFWBUEWC
      WDWE $.

    $( Lemma for ~ txindis .  (Contributed by Mario Carneiro, 14-Aug-2015.) $)
    txindislem $p |- ( ( _I ` A ) X. ( _I ` B ) ) = ( _I ` ( A X. B ) ) $=
      ( cvv wcel cid cfv cxp wceq wn c0 0xp fvprc xpeq1d wa simpr xpeq2d eqtrdi
      xp0 fvi syl fveq2d 0ex ax-mp wne cdm dmexg eleq1d syl5ib con3d pm2.61dane
      dmxp impcom 3eqtr4a crn rnexg rnxp xpeq12 syl2an xpexg eqtr4d ecase ) ACD
      ZBCDZAEFZBEFZGZABGZEFZHVBIZJVEGJVFVHVEKVIVDJVEAELMVIVHJHZBJVIBJHZNZVHJEFZ
      JVLVGJEVLVGAJGJVLBJAVIVKOPARQUAJCDVMJHUBJCSUCZQVIBJUDZNVGCDZIZVJVOVIVQVOV
      PVBVPVGUEZCDVOVBVGCUFVOVRACABUKUGUHUIULVGELZTUJUMVCIZVDJGJVFVHVDRVTVEJVDB
      ELPVTVJAJVTAJHZNZVHVMJWBVGJEWBVGJBGJWBAJBVTWAOMBKQUAVNQVTAJUDZNVQVJWCVTVQ
      WCVPVCVPVGUNZCDWCVCVGCUOWCWDBCABUPUGUHUIULVSTUJUMVBVCNZVFVGVHVBVDAHVEBHVF
      VGHVCACSBCSVDAVEBUQURWEVPVHVGHABCCUSVGCSTUTVA $.

    $( The topological product of indiscrete spaces is indiscrete.
       (Contributed by Mario Carneiro, 14-Aug-2015.) $)
    txindis $p |- ( { (/) , A } tX { (/) , B } ) = { (/) , ( A X. B ) } $=
      ( vx vy vz vw c0 cpr cid cfv cxp cv wcel wceq wo wn wss wa ctop wne co wi
      ctx wex neq0 wrex wral wb indistop eltx mp2an sylbi cuni elssuni indisuni
      rsp txunii sseqtrrdi ad2antrr ne0i ad2antrl sylibr simpld neneqd indislem
      xpnz simpll eleqtrrdi elpri syl ord simprd simplr xpeq12d simprr eqsstrrd
      mpd adantll eqssd ex rexlimdvva syld exlimdv syl5bi orrd vex ssriv ctopon
      elpr toptopon txtopon topgele ax-mp simpli eqssi txindislem preq2i 3eqtri
      cpw mpbi ) GAHZGBHZUCUAZGAIJZBIJZKZHZGABKZIJZHGXHHXCXGCXCXGCLZXCMZXJGNZXJ
      XFNZOXJXGMXKXLXMXLPDLZXJMZDUDXKXMDXJUEXKXOXMDXKXOXNELZFLZKZMZXRXJQZRZFXBU
      FEXAUFZXMXKYBDXJUGZXOYBUBXASMZXBSMZXKYCUHAUIZBUIZEFXJXAXBSSDUJUKYBDXJUPUL
      XKYAXMEFXAXBXKXPXAMZXQXBMZRZRZYAXMYKYARXJXFXKXJXFQYJYAXKXJXCUMXFXJXCUNXAX
      BXDXEYFYGAUOZBUOZUQURUSYJYAXFXJQXKYJYARZXFXRXJYNXPXDXQXEYNXPGNZPXPXDNZYNX
      PGYNXPGTZXQGTZYNXRGTZYQYRRXSYSYJXTXRXNUTVAXPXQVFVBZVCVDYNYOYPYNXPGXDHZMYO
      YPOYNXPXAUUAYHYIYAVGAVEVHXPGXDVIVJVKVQYNXQGNZPXQXENZYNXQGYNYQYRYTVLVDYNUU
      BUUCYNXQGXEHZMUUBUUCOYNXQXBUUDYHYIYAVMBVEVHXQGXEVIVJVKVQVNYJXSXTVOVPVRVSV
      TWAWBWCWDWEXJGXFCWFWIVBWGXGXCQZXCXFWSQZXCXFWHJMZUUEUUFRXAXDWHJMZXBXEWHJMZ
      UUGYDUUHYFXAXDYLWJWTYEUUIYGXBXEYMWJWTXAXBXDXEWKUKXCXFWLWMWNWOXFXIGABWPWQX
      HVEWR $.
  $}

  ${
    $d a b m n u v x y z F $.  $d a b u v x z J $.  $d a b m n u v x y z X $.
    $d m n u x y z K $.  $d m n u x z ph $.  $d b m n u x y Y $.
    txdis1cn.x $e |- ( ph -> X e. V ) $.
    txdis1cn.j $e |- ( ph -> J e. ( TopOn ` Y ) ) $.
    txdis1cn.k $e |- ( ph -> K e. Top ) $.
    txdis1cn.f $e |- ( ph -> F Fn ( X X. Y ) ) $.
    txdis1cn.1 $e |- ( ( ph /\ x e. X ) ->
      ( y e. Y |-> ( x F y ) ) e. ( J Cn K ) ) $.
    $( A function is jointly continuous on a discrete left topology iff it is
       continuous as a function of its right argument, for each fixed left
       value.  (Contributed by Mario Carneiro, 19-Sep-2015.) $)
    txdis1cn $p |- ( ph -> F e. ( ( ~P X tX J ) Cn K ) ) $=
      ( vv va co wcel cv wa vu vb vz vn cpw ctx ccn cxp cuni ccnv cima wral wfn
      vm wf cmpt ctopon cfv adantr ctop toptopon2 cnf2 syl3anc eqid fmpt sylibr
      sylib ralrimiva ffnov sylanbrc wss wrex cab wrel cdm cnvimass fndmd relxp
      sseqtrid relss mpisyl cop elpreima syl opelxp df-ov eqcomi eleq1i anbi12i
      wb crab simprll snelpwi mptpreima adantrr ad2ant2r simplr cnima eqeltrrid
      csn syl2anc simprlr simprr vsnid mpbiran weq oveq2 eleq1d elrab bitri a1i
      snssd sselda elrabi ad2antll opelxpd elsni oveq1d eqtr3id simprbi eqeltrd
      ad2antrl ad3antrrr mpbir2and ex syl5bi relssdv wceq eleq2d sseq1d anbi12d
      xpeq1 xpeq2 rspc2ev syl112anc opex eleq1 anbi1d 2rexbidv elab sylbid eltx
      ssabral distopon mpbird txtopon iscn ) ADHUEZEUFQZFUGQRZHIUHZFUIZDUOZDUJU
      ASZUKZUUIRZUAFULZADUUKUMZBSZCSZDQZUULRCIULZBHULUUMMAUVBBHAUUSHRZTZIUULCIU
      VAUPZUOZUVBUVDEIUQURZRZFUULUQURRZUVEEFUGQRZUVFAUVHUVCKUSAUVIUVCAFUTRUVILF
      VAVGZUSNUVEEFIUULVBVCCIUULUVAUVEUVEVDZVEVFVHBCHIUULDVIVJAUUPUAFAUUNFRZTZU
      UPOSZPSZUBSZUHZRZUVRUUOVKZTZUBEVLPUUHVLZOUUOULZUVNUUOUWBOVMZVKUWCUVNBUCUU
      OUWDUVNUUOUUKVKUUKVNUUOVNUVNDVOUUOUUKDUUNVPUVNUUKDAUURUVMMUSZVQVSHIVRUUOU
      UKVTWAUVNUUSUCSZWBZUUORZUWGUUKRZUWGDURZUUNRZTZUWGUWDRZUVNUURUWHUWLWJUWEUU
      KUWGUUNDWCWDUWLUVCUWFIRZTZUUSUWFDQZUUNRZTZUVNUWMUWIUWOUWKUWQUUSUWFHIWEUWJ
      UWPUUNUWPUWJUUSUWFDWFWGWHWIUVNUWRUWMUVNUWRTZUWGUVRRZUVTTZUBEVLPUUHVLZUWMU
      WSUUSWTZUUHRZUVAUUNRZCIWKZERUWGUXCUXFUHZRZUXGUUOVKZUXBUWSUVCUXDUVNUVCUWNU
      WQWLZUUSHWMWDUWSUXFUVEUJUUNUKZECIUVAUUNUVEUVLWNUWSUVJUVMUXKERAUWOUVJUVMUW
      QAUVCUVJUWNNWOWPAUVMUWRWQUUNUVEEFWRXAWSUWSUWNUWQUXHUVNUVCUWNUWQXBUVNUWOUW
      QXCUXHUWFUXFRZUWNUWQTUXHUUSUXCRUXLBXDUUSUWFUXCUXFWEXEUXEUWQCUWFICUCXFUVAU
      WPUUNUUTUWFUUSDXGXHXIXJVJUWSUDUNUXGUUOUXGVNUWSUXCUXFVRXKUDSZUNSZWBZUXGRUX
      MUXCRZUXNUXFRZTZUWSUXOUUORZUXMUXNUXCUXFWEUWSUXRUXSUWSUXRTZUXSUXOUUKRZUXOD
      URZUUNRZUXTUXMUXNHIUWSUXPUXMHRUXQUWSUXCHUXMUWSUUSHUXJXLXMWOUXQUXNIRZUWSUX
      PUXECUXNIXNXOXPUXTUYBUUSUXNDQZUUNUXTUYBUXMUXNDQUYEUXMUXNDWFUXTUXMUUSUXNDU
      XPUDBXFUWSUXQUXMUUSXQYBXRXSUXQUYEUUNRZUWSUXPUXQUYDUYFUXEUYFCUXNICUNXFUVAU
      YEUUNUUTUXNUUSDXGXHXIXTXOYAAUXSUYAUYCTWJZUVMUWRUXRAUURUYGMUUKUXOUUNDWCWDY
      CYDYEYFYGUXAUXHUXITUWGUXCUVQUHZRZUYHUUOVKZTPUBUXCUXFUUHEUVPUXCYHZUWTUYIUV
      TUYJUYKUVRUYHUWGUVPUXCUVQYLZYIUYKUVRUYHUUOUYLYJYKUVQUXFYHZUYIUXHUYJUXIUYM
      UYHUXGUWGUVQUXFUXCYMZYIUYMUYHUXGUUOUYNYJYKYNYOUWBUXBOUWGUUSUWFYPUVOUWGYHZ
      UWAUXAPUBUUHEUYOUVSUWTUVTUVOUWGUVRYQYRYSYTVFYEYFUUAYGUWBOUUOUUCVGUVNUUHHU
      QURZRZUVHUUPUWCWJAUYQUVMAHGRUYQJHGUUDWDZUSAUVHUVMKUSPUBUUOUUHEUYPUVGOUUBX
      AUUEVHAUUIUUKUQURRZUVIUUJUUMUUQTWJAUYQUVHUYSUYRKUUHEHIUUFXAUVKUADUUIFUUKU
      ULUUGXAYD $.
  $}

  ${
    $d a b j k r s u v x y z A $.  $d a b j k r s u v x y z R $.
    $d a b k r s u v x y z S $.
    txlly.1 $e |- ( ( j e. A /\ k e. A ) -> ( j tX k ) e. A ) $.
    $( If the property ` A ` is preserved under topological products, then so
       is the property of being locally ` A ` .  (Contributed by Mario
       Carneiro, 10-Mar-2015.) $)
    txlly $p |- ( ( R e. Locally A /\ S e. Locally A ) ->
      ( R tX S ) e. Locally A ) $=
      ( vy vz vx vu vr vs wcel wa co ctop cv crest wrex wss vv clly ctx cpw cin
      wral llytop txtop syl2an cxp eltx c1st cfv w3a c2nd simprll simprrl xp1st
      simpll syl llyi syl3anc simplr simprlr reeanv ad3antrrr ad3antlr syl22anc
      xp2nd txopn simprl1 simprr1 xpss12 syl2anc simprrr sylan9ssr elpw2 sylibr
      vex cop wceq 1st2nd2 adantr simprl2 simprr2 opelxpd adantl eqeltrd txrest
      elind simprl3 simprr3 caovcl eleq2 oveq2 eleq1d anbi12d rspcev rexlimdvva
      syl12anc expr syl5bir mp2and ralimdv sylbid ralrimiv islly sylanbrc ) BAU
      BZMZCXIMZNZBCUCOZPMZGQZHQZMZXMXPROZAMZNZHXMIQZUDZUEZSZGYAUFZIXMUFXMXIMXJB
      PMZCPMZXNXKABUGZACUGZBCUHUIXLYEIXMXLYAXMMXOJQZUAQZUJZMZYLYATZNZUACSJBSZGY
      AUFYEJUAYABCXIXIGUKXLYPYDGYAXLYOYDJUABCXLYJBMZYKCMZNZYOYDXLYSYONZNZKQZYJT
      ZXOULUMZUUBMZBUUBROZAMZUNZKBSZLQZYKTZXOUOUMZUUJMZCUUJROZAMZUNZLCSZYDUUAXJ
      YQUUDYJMZUUIXJXKYTUSXLYQYRYOUPUUAYMUURXLYSYMYNUQZXOYJYKURUTKAUUDYJBVAVBUU
      AXKYRUULYKMZUUQXJXKYTVCXLYQYRYOVDUUAYMUUTUUSXOYJYKVIUTLAUULYKCVAVBUUIUUQN
      UUHUUPNZLCSKBSUUAYDUUHUUPKLBCVEUUAUVAYDKLBCUUAUUBBMZUUJCMZNZUVAYDUUAUVDUV
      ANZNZUUBUUJUJZYCMXOUVGMZXMUVGROZAMZYDUVFXMYBUVGUVFYFYGUVBUVCUVGXMMXJYFXKY
      TUVEYHVFZXKYGXJYTUVEYIVGZUUAUVBUVCUVAUPZUUAUVBUVCUVAVDZUUBUUJBCPPVJVHUVFU
      VGYATUVGYBMUVEUUAUVGYLYAUVEUUCUUKUVGYLTUUCUUEUUGUUPUVDVKUUKUUMUUOUUHUVDVL
      UUBYJUUJYKVMVNXLYSYMYNVOVPUVGYAIVSVQVRWJUVFXOUUDUULVTZUVGUUAXOUVOWAZUVEUU
      AYMUVPUUSXOYJYKWBUTWCUVEUVOUVGMUUAUVEUUDUULUUBUUJUUCUUEUUGUUPUVDWDUUKUUMU
      UOUUHUVDWEWFWGWHUVFUVIUUFUUNUCOZAUVFYFYGUVBUVCUVIUVQWAUVKUVLUVMUVNUUBUUJB
      CPPBCWIVHUVEUVQAMZUUAUVEUUGUUOUVRUUCUUEUUGUUPUVDWKUUKUUMUUOUUHUVDWLDEUUFU
      UNAUCFWMVNWGWHXTUVHUVJNHUVGYCXPUVGWAZXQUVHXSUVJXPUVGXOWNUVSXRUVIAXPUVGXMR
      WOWPWQWRWTXAWSXBXCXAWSXDXEXFIGHAXMXGXH $.

    $( If the property ` A ` is preserved under topological products, then so
       is the property of being n-locally ` A ` .  (Contributed by Mario
       Carneiro, 13-Apr-2015.) $)
    txnlly $p |- ( ( R e. N-Locally A /\ S e. N-Locally A ) ->
      ( R tX S ) e. N-Locally A ) $=
      ( vy vr va vs vb wcel wa co ctop cv wrex wss syl ad2antrr vz vx vu vv ctx
      cnlly crest csn cnei cfv cpw cin wral nllytop txtop syl2an eltx c1st c2nd
      cxp w3a simpll simprll simprrl xp1st nlly2i syl3anc simplr simprlr reeanv
      xp2nd wi cuni ad3antrrr adantr simprrr txopn syl22anc cop 1st2nd2 simprl1
      wceq simprr1 opelxpd eqeltrd opnneip simprl2 simprr2 xpss12 syl2anc sstrd
      elpwid elssuni txuni sseqtrd ssnei2 vex elpw2 sylibr elind txrest simprl3
      eqid simprr3 caovcl oveq2 eleq1d rspcev anassrs rexlimdvva syl5bir mp2and
      ex expr ralimdv sylbid ralrimiv isnlly sylanbrc ) BAUFZLZCXTLZMZBCUENZOLZ
      YDUAPZUGNZALZUAGPZUHZYDUIUJUJZUBPZUKZULZQZGYLUMZUBYDUMYDXTLYABOLZCOLZYEYB
      ABUNZACUNZBCUOUPZYCYPUBYDYCYLYDLYIUCPZUDPZUTZLZUUDYLRZMZUDCQUCBQZGYLUMYPU
      CUDYLBCXTXTGUQYCUUHYOGYLYCUUGYOUCUDBCYCUUBBLZUUCCLZMZUUGYOYCUUKUUGMZMZYIU
      RUJZHPZLZUUOIPZRZBUUQUGNZALZVAZHBQZIUUBUKZQZYIUSUJZJPZLZUVFKPZRZCUVHUGNZA
      LZVAZJCQZKUUCUKZQZYOUUMYAUUIUUNUUBLZUVDYAYBUULVBYCUUIUUJUUGVCZUUMUUEUVPYC
      UUKUUEUUFVDZYIUUBUUCVESHAUUNUUBBIVFVGUUMYBUUJUVEUUCLZUVOYAYBUULVHZYCUUIUU
      JUUGVIZUUMUUEUVSUVRYIUUBUUCVKSJAUVEUUCCKVFVGUVDUVOMUVBUVMMZKUVNQIUVCQUUMY
      OUVBUVMIKUVCUVNVJUUMUWBYOIKUVCUVNUWBUVAUVLMZJCQHBQUUMUUQUVCLZUVHUVNLZMZMZ
      YOUVAUVLHJBCVJUWGUWCYOHJBCUUMUWFUUOBLZUVFCLZMZUWCYOVLUUMUWFUWJMZMZUWCYOUW
      LUWCMZUUQUVHUTZYNLYDUWNUGNZALZYOUWMYKYMUWNUWMYEUUOUVFUTZYKLZUWQUWNRZUWNYD
      VMZRUWNYKLYCYEUULUWKUWCUUAVNZUWMYEUWQYDLZYIUWQLUWRUXAUWMYQYRUWHUWIUXBUUMY
      QUWKUWCYAYQYBUULYSTTZUUMYRUWKUWCUUMYBYRUVTYTSTZUWLUWHUWCUUMUWFUWHUWIVDVOU
      WLUWIUWCUUMUWFUWHUWIVPVOUUOUVFBCOOVQVRUWMYIUUNUVEVSZUWQUWMUUEYIUXEWBUUMUU
      EUWKUWCUVRTYIUUBUUCVTSUWMUUNUVEUUOUVFUUPUURUUTUVLUWLWAUVGUVIUVKUVAUWLWCWD
      WEYIYDUWQWFVGUWMUURUVIUWSUUPUURUUTUVLUWLWGUVGUVIUVKUVAUWLWHUUOUUQUVFUVHWI
      WJUWMUWNBVMZCVMZUTZUWTUWMUUQUXFRUVHUXGRUWNUXHRUWMUUQUUBUXFUWMUUQUUBUWLUWD
      UWCUUMUWDUWEUWJVCVOZWLZUWMUUIUUBUXFRUUMUUIUWKUWCUVQTUUBBWMSWKUWMUVHUUCUXG
      UWMUVHUUCUWLUWEUWCUUMUWDUWEUWJVIVOZWLZUWMUUJUUCUXGRUUMUUJUWKUWCUWATUUCCWM
      SWKUUQUXFUVHUXGWIWJUWMYQYRUXHUWTWBUXCUXDBCUXFUXGUXFXCUXGXCWNWJWOYJYDUWNUW
      QUWTUWTXCWPVRUWMUWNYLRUWNYMLUWMUWNUUDYLUWMUUQUUBRUVHUUCRUWNUUDRUXJUXLUUQU
      UBUVHUUCWIWJUUMUUFUWKUWCYCUUKUUEUUFVPTWKUWNYLUBWQWRWSWTUWMUWOUUSUVJUENZAU
      WMYQYRUWDUWEUWOUXMWBUXCUXDUXIUXKUUQUVHBCOOUVCUVNXAVRUWMUUTUVKUXMALUUPUURU
      UTUVLUWLXBUVGUVIUVKUVAUWLXDDEUUSUVJAUEFXEWJWEYHUWPUAUWNYNYFUWNWBYGUWOAYFU
      WNYDUGXFXGXHWJXMXIXJXKXJXKXLXNXJXOXPXQUBGUAAYDXRXS $.
  $}

  ${
    $d k m n x y z A $.  $d k m n u v x y z F $.  $d k m n x y z V $.
    $( The product of a collection of Hausdorff spaces is Hausdorff.
       (Contributed by Mario Carneiro, 2-Sep-2015.) $)
    pthaus $p |- ( ( A e. V /\ F : A --> Haus ) -> ( Xt_ ` F ) e. Haus ) $=
      ( vx vy vu vv vk vz wcel cha wa cfv ctop cv c0 wceq wrex wral syl cpt wne
      vm vn wf cin w3a wi cuni wss haustop ssriv fss mpan2 pttop sylan2 wfn weq
      wn cixp simprl eqid ptuni adantr eleqtrrd ixpfn simprr syl2anc necon3abid
      wb eqfnfv rexnal df-ne simpllr ffvelrnd vex elixp simprbi adantrr hausnei
      r19.21bi syl13anc crab cmpt ccn simp-4l ad4antlr ptpjcn syl3anc ccnv cima
      co simprll mptpreima cnima eqeltrrid simprlr fveq1 eleq1d ad2antrr elrabd
      simprr1 simprr2 inrab simprr3 inelcm ralrimivw rabeq0 sylibr syl5eq eleq2
      necon2bi ineq1 eqeq1d 3anbi13d 3anbi23d rspc2ev syl113anc expr rexlimdvva
      ineq2 mpd syl5bir rexlimdva sylbid ralrimivva ishaus sylanbrc ) ACJZAKBUE
      ZLZBUAMZNJZDOZEOZUBZYNFOZJZYOGOZJZYQYSUFZPQZUGZGYLRFYLRZUHZEYLUIZSDUUFSYL
      KJYJYIANBUEZYMYJKNUJUUGDKNYNUKULAKNBUMUNZABCUOUPYKUUEDEUUFUUFYKYNUUFJZYOU
      UFJZLZLZYPHOZYNMZUUMYOMZQZHASZUSZUUDUULUUQYNYOUULYNAUQZYOAUQZDEURUUQVJUUL
      YNHAUUMBMZUIZUTZJZUUSUULYNUUFUVCYKUUIUUJVAZYKUVCUUFQZUUKYJYIUUGUVFUUHHABY
      LCYLVBZVCUPVDZVEZHAUVBYNVFTUULYOUVCJZUUTUULYOUUFUVCYKUUIUUJVGZUVHVEZHAUVB
      YOVFTHAYNYOVKVHVIUURUUPUSZHARUULUUDUUPHAVLUULUVMUUDHAUVMUUNUUOUBZUULUUMAJ
      ZLUUDUUNUUOVMUULUVOUVNUUDUULUVOUVNLZLZUUNUCOZJZUUOUDOZJZUVRUVTUFZPQZUGZUD
      UVARUCUVARZUUDUVQUVAKJUUNUVBJZUUOUVBJZUVNUWEUVQAKUUMBYIYJUUKUVPVNUULUVOUV
      NVAZVOUULUVOUWFUVNUULUWFHAUULUVDUWFHASZUVIUVDUUSUWIHAUVBYNDVPVQVRTWAVSUUL
      UVOUWGUVNUULUWGHAUULUVJUWGHASZUVLUVJUUTUWJHAUVBYOEVPVQVRTWAVSUULUVOUVNVGU
      UNUUOUDUCUVAUVBUVBVBVTWBUVQUWDUUDUCUDUVAUVAUVQUVRUVAJZUVTUVAJZLZUWDUUDUVQ
      UWMUWDLZLZUUMIOZMZUVRJZIUUFWCZYLJZUWQUVTJZIUUFWCZYLJZYNUWSJZYOUXBJZUWSUXB
      UFZPQZUUDUWOIUUFUWQWDZYLUVAWEWLJZUWKUWTUWOYIUUGUVOUXIYIYJUUKUVPUWNWFYJUUG
      YIUUKUVPUWNUUHWGUVQUVOUWNUWHVDIABUUMYLCUUFUUFVBZUVGWHWIZUVQUWKUWLUWDWMUXI
      UWKLUWSUXHWJZUVRWKYLIUUFUWQUVRUXHUXHVBZWNUVRUXHYLUVAWOWPVHUWOUXIUWLUXCUXK
      UVQUWKUWLUWDWQUXIUWLLUXBUXLUVTWKYLIUUFUWQUVTUXHUXMWNUVTUXHYLUVAWOWPVHUWOU
      WRUVSIYNUUFIDURUWQUUNUVRUUMUWPYNWRWSUULUUIUVPUWNUVEWTUVSUWAUWCUWMUVQXBXAU
      WOUXAUWAIYOUUFIEURUWQUUOUVTUUMUWPYOWRWSUULUUJUVPUWNUVKWTUVSUWAUWCUWMUVQXC
      XAUWOUXFUWRUXALZIUUFWCZPUWRUXAIUUFXDUWOUXNUSZIUUFSUXOPQUWOUXPIUUFUWOUWCUX
      PUVSUWAUWCUWMUVQXEUXNUWBPUWQUVRUVTXFXLTXGUXNIUUFXHXIXJUUCUXDUXEUXGUGUXDYT
      UWSYSUFZPQZUGFGUWSUXBYLYLYQUWSQZYRUXDUUBUXRYTYQUWSYNXKUXSUUAUXQPYQUWSYSXM
      XNXOYSUXBQZYTUXEUXRUXGUXDYSUXBYOXKUXTUXQUXFPYSUXBUWSYAXNXPXQXRXSXTYBXSYCY
      DYCYEYFDEGFYLUUFUXJYGYH $.
  $}

  ${
    $d k u v x A $.  $d k u v x y z B $.  $d k u v x y z F $.  $d v x y z K $.
    $d k u v J $.  $d k u v x V $.  $d k u v x X $.
    ptrescn.1 $e |- X = U. J $.
    ptrescn.2 $e |- J = ( Xt_ ` F ) $.
    ptrescn.3 $e |- K = ( Xt_ ` ( F |` B ) ) $.
    $( Restriction is a continuous function on product topologies.
       (Contributed by Mario Carneiro, 7-Feb-2015.) $)
    ptrescn $p |- ( ( A e. V /\ F : A --> Top /\ B C_ A ) ->
      ( x e. X |-> ( x |` B ) ) e. ( J Cn K ) ) $=
      ( vv vk vu vy wcel ctop cfv wceq cvv vz wf wss w3a cv cres cmpt cuni ccnv
      ccn co cima csn cmpo crn wral wa cixp simpl3 ptuni 3adant3 eqtr4di eleq2d
      cun biimpar resixp syl2anc ixpeq2 fvres unieqd mprg ancoms 3adant2 fssres
      ssexg 3adant1 eqtr3id adantr eleqtrd fmpttd fimacnv pttop eqeltrid topopn
      syl cpt eqeltrd elsni imaeq2d eleq1d syl5ibrcom ralrimiv wrex wi wal ccom
      imaco cnvco adantlr fmptco ad2antrl mpteq2dv cnveqd imaeq1d simpl1 simpl2
      eqidd fveq1 simprl sseldd ptpjcn syl3anc simprr imaeq2 rexlimdvva alrimiv
      eqtrd cnima cab eqid rnmpo rexeqdv eqeq1 rexbidv sylan9bbr rexbidva ralab
      raleqi bitri sylibr ralunb sylanbrc ctopon toptopon sylib snex fvex rgenw
      abrexex abrexex2g sylancl unexg sylancr cfi ctg ptval2 subbascn mpbir2and
      ) BGPZBQDUBZCBUCZUDZAHAUEZCUFZUGZEFUJUKPHFUHZUUOUBZUUOUIZLUEZULZEPZLUUPUM
      ZMNCMUEZDCUFZRZUAUUPUVCUAUEZRZUGZUIZNUEZULZUNZUOZVDZUPZUULAHUUNUUPUULUUMH
      PZUQZUUNMCUVCDRZUHZURZUUPUVQUUKUUMMBUVSURZPZUUNUVTPUUIUUJUUKUVPUSUULUWBUV
      PUULUWAHUUMUULUWAEUHZHUUIUUJUWAUWCSUUKMBDEGJUTVAIVBVCVEMBCUVSUUMVFVGUULUV
      TUUPSUVPUULUVTMCUVEUHZURZUUPUWDUVSSUWEUVTSMCMCUWDUVSVHUVCCPZUVEUVRUVCCDVI
      ZVJVKUULCTPZCQUVDUBZUWEUUPSUUIUUKUWHUUJUUKUUIUWHCBGVOVLVMZUUJUUKUWIUUIBQC
      DVNVPZMCUVDFTKUTVGVQVRVSZVTZUULUVALUVBUPUVALUVMUPZUVOUULUVALUVBUULUVAUUSU
      VBPZUURUUPULZEPUULUWPHEUULUUQUWPHSUWMHUUPUUOWAWEUULEQPZHEPUUIUUJUWQUUKUUI
      UUJUQEDWFRQJBDGWBWCVAZEHIWDWEWGUWOUUTUWPEUWOUUSUUPUURUUSUUPWHWIWJWKWLUULU
      USUVKSZNUVRWMZMCWMZUVAWNZLWOZUWNUULUXBLUULUWSUVAMNCUVRUULUWFUVJUVRPZUQZUQ
      ZUVAUWSUURUVKULZEPUXFUXGAHUVCUUMRZUGZUIZUVJULZEUXFUXGUURUVIWPZUVJULUXKUUR
      UVIUVJWQUXFUXLUXJUVJUXFUXLUVHUUOWPZUIUXJUVHUUOWRUXFUXMUXIUXFUXMAHUVCUUNRZ
      UGUXIUXFAUAHUUPUUNUVGUXNUUOUVHUULUVPUUNUUPPUXEUWLWSUXFUUOXGUXFUVHXGUVCUVF
      UUNXHWTUXFAHUXNUXHUWFUXNUXHSUULUXDUVCCUUMVIXAXBXQXCVQXDVQUXFUXIEUVRUJUKPZ
      UXDUXKEPUXFUUIUUJUVCBPUXOUUIUUJUUKUXEXEUUIUUJUUKUXEXFUXFCBUVCUUIUUJUUKUXE
      USUULUWFUXDXIXJABDUVCEGHIJXKXLUULUWFUXDXMUVJUXIEUVRXRVGWGUWSUUTUXGEUUSUVK
      UURXNWJWKXOXPUWNUVALOUEZUVKSZNUVEWMZMCWMZOXSZUPUXCUVALUVMUXTMNOCUVEUVKUVL
      UVLXTZYAZYHUXSUXAUVALOUXPUUSSZUXRUWTMCUWFUXRUXQNUVRWMUYCUWTUWFUXQNUVEUVRU
      WGYBUYCUXQUWSNUVRUXPUUSUVKYCYDYEYFYGYIYJUVALUVBUVMYKYLUULLUVNUUOEFTHUUPUU
      LUWQEHYMRPUWREHIYNYOUULUVBTPUVMTPUVNTPUUPYPUULUVMUXTTUYBUULUWHUXROXSTPZMC
      UPUXTTPUWJUYDMCNOUVEUVKUVCUVDYQYSYRUXRMOCTTYTUUAWCUVBUVMTTUUBUUCUULUWHUWI
      FUVNUUDRUUERSUWJUWKUANCMUVDUVLFTUUPKUUPXTZUYAUUFVGUULFQPFUUPYMRPUULFUVDWF
      RZQKUULUWHUWIUYFQPUWJUWKCUVDTWBVGWCFUUPUYEYNYOUUGUUH $.
  $}

  ${
    $d f t u v x y A $.  $d f t u v x y R $.  $d f t u v x y S $.  $d u Y $.
    $d f t u v x ph $.  $d f t u v x y U $.  $d f t u v x X $.
    txtube.x $e |- X = U. R $.
    txtube.y $e |- Y = U. S $.
    txtube.r $e |- ( ph -> R e. Comp ) $.
    txtube.s $e |- ( ph -> S e. Top ) $.
    txtube.w $e |- ( ph -> U e. ( R tX S ) ) $.
    txtube.u $e |- ( ph -> ( X X. { A } ) C_ U ) $.
    txtube.a $e |- ( ph -> A e. Y ) $.
    $( The "tube lemma".  If ` X ` is compact and there is an open set ` U `
       containing the line ` X X. { A } ` , then there is a "tube" ` X X. u `
       for some neighborhood ` u ` of ` A ` which is entirely contained within
       ` U ` .  (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    txtube $p |- ( ph -> E. u e. S ( A e. u /\ ( X X. u ) C_ U ) ) $=
      ( vv wcel wss wa wrex vt vf vx vy cv cuni wceq wf cfv cxp wex cpw cfn cin
      wral ccmp cop eleq1 anbi1d 2rexbidv ctx co ctop eltx syl2anc mpbid adantr
      wb csn snidg syl opelxpi syl2anr sseldd rspcdva opelxp anbi1i anass bitri
      id rexbii r19.42v sylib ralrimiva eleq2 xpeq2 sseq1d anbi12d cmpcovf cint
      crn c0 rint0 adantl topopn ad3antrrr eqeltrd wne simprrl simpr wfo simplr
      frnd elin2d wfn ffnd dffn4 fofi w3a fiinopn imp elssuni sseqtrrdi sseqin2
      syl13anc pm2.61dane ad2antrr ciin simprrr simpl ralimi eliin mpbird elind
      fniinfv eleqtrd ciun simprl uniiun eqtrdi xpeq1d xpiundir wi inss2 iinss2
      eqsstrrd sstrid xpss2 sstr2 3syl ralimdva sylc sylibr eqsstrd rspcev expr
      iunss syl12anc exlimdv expimpd rexlimdva mpd ) AGUAUEZUFZUGZUUMEUBUEZUHZC
      BUEZUUPUIZQZUURUUSUJZFRZSZBUUMUOZSZUBUKZSZUADULZUMUNZTZCUURQZGUURUJZFRZSZ
      BETZADUPQZUCUEZUURQZCPUEZQZUURUVSUJZFRZSZPETSZBDTZUCGUOUVJKAUWEUCGAUVQGQZ
      SZUVQCUQZUWAQZUWBSZPETZBDTZUWEUWGUDUEZUWAQZUWBSZPETBDTZUWLUDFUWHUWMUWHUGZ
      UWOUWJBPDEUWQUWNUWIUWBUWMUWHUWAURUSUTAUWPUDFUOZUWFAFDEVAVBQZUWRMAUVPEVCQZ
      UWSUWRVHKLBPFDEUPVCUDVDVEVFVGUWGGCVIZUJZFUWHAUXBFRUWFNVGUWFUWFCUXAQZUWHUX
      BQAUWFVTACHQZUXCOCHVJVKUVQCGUXAVLVMVNVOUWKUWDBDUWKUVRUWCSZPETUWDUWJUXEPEU
      WJUVRUVTSZUWBSUXEUWIUXFUWBUVQCUURUVSVPVQUVRUVTUWBVRVSWAUVRUWCPEWBVSWAWCWD
      UWCUVCUCBPEUBDGUAIUVSUUSUGZUVTUUTUWBUVBUVSUUSCWEUXGUWAUVAFUVSUUSUURWFWGWH
      WIVEAUVGUVOUAUVIAUUMUVIQZSZUUOUVFUVOUXIUUOSUVEUVOUBUXIUUOUVEUVOUXIUUOUVES
      ZSZHUUPWKZWJZUNZEQZCUXNQZGUXNUJZFRZUVOUXKUXOUXLWLUXKUXLWLUGZSUXNHEUXSUXNH
      UGUXKHUXLWMWNAHEQZUXHUXJUXSAUWTUXTLEHJWOVKWPWQUXKUXLWLWRZSZUXNUXMEUYBUXMH
      RUXNUXMUGUYBUXMEUFZHUYBUXMEQZUXMUYCRUYBUWTUXLERZUYAUXLUMQZUYDAUWTUXHUXJUY
      ALWPUXKUYEUYAUXKUUMEUUPUXIUUOUUQUVDWSZXCVGUXKUYAWTUXKUYFUYAUXKUUMUMQUUMUX
      LUUPXAZUYFUXKUVHUMUUMAUXHUXJXBXDUXKUUPUUMXEZUYHUXKUUMEUUPUYGXFZUUMUUPXGWC
      UUMUXLUUPXHVEVGUWTUYEUYAUYFXIUYDUXLEXJXKXOZUXMEXLVKJXMUXMHXNWCUYKWQXPUXKH
      UXMCAUXDUXHUXJOXQZUXKCBUUMUUSXRZUXMUXKCUYMQZUUTBUUMUOZUXKUVDUYOUXIUUOUUQU
      VDXSZUVCUUTBUUMUUTUVBXTYAVKUXKUXDUYNUYOVHUYLBCUUMUUSHYBVKYCUXKUYIUYMUXMUG
      ZUYJBUUMUUPYEZVKYFYDUXKUXQBUUMUURUXNUJZYGZFUXKUXQBUUMUURYGZUXNUJUYTUXKGVU
      AUXNUXKGUUNVUAUXIUUOUVEYHBUUMYIYJYKBUUMUURUXNYLYJUXKUYSFRZBUUMUOZUYTFRUXK
      UYIUVBBUUMUOZVUCUYJUXKUVDVUDUYPUVCUVBBUUMUUTUVBWTYAVKUYIUVBVUBBUUMUYIUURU
      UMQZSZUXNUUSRUYSUVARUVBVUBYMVUFUXNUXMUUSHUXMYNVUFUXMUYMUUSUYIUYQVUEUYRVGV
      UEUYMUUSRUYIBUUMUUSYOWNYPYQUXNUUSUURYRUYSUVAFYSYTUUAUUBBUUMUYSFUUGUUCUUDU
      VNUXPUXRSBUXNEUURUXNUGZUVKUXPUVMUXRUURUXNCWEVUGUVLUXQFUURUXNGWFWGWHUUEUUH
      UUFUUIUUJUUKUUL $.
  $}

  ${
    $d f k r s t u x y A $.  $d f r s t u v w x y z S $.  $d f u v w x z Y $.
    $d f k r s t u v w x z W $.  $d f k r s t u v w x z X $.
    $d f k r s t u w x z ph $.  $d f k r s t u x y R $.
    txcmp.x $e |- X = U. R $.
    txcmp.y $e |- Y = U. S $.
    txcmp.r $e |- ( ph -> R e. Comp ) $.
    txcmp.s $e |- ( ph -> S e. Comp ) $.
    txcmp.w $e |- ( ph -> W C_ ( R tX S ) ) $.
    txcmp.u $e |- ( ph -> ( X X. Y ) = U. W ) $.
    ${
      txcmp.a $e |- ( ph -> A e. Y ) $.
      $( Lemma for ~ txcmp .  (Contributed by Mario Carneiro, 14-Sep-2014.) $)
      txcmplem1 $p |- ( ph -> E. u e. S ( A e. u /\
        E. v e. ( ~P W i^i Fin ) ( X X. u ) C_ U. v ) ) $=
        ( vr wa wrex wcel vt vf vx vk vs vy cv cuni wceq wf csn cxp cfv wss wex
        wral cpw cfn cin ccmp id opelxpi syl2anr adantr eleqtrd eluni2 sylib wi
        cop ctx co sselda wb syl2anc biimpa syldan eleq1 anbi1d 2rexbidv rspccv
        eltx syl opelxp1 ad2antrl opelxp2 snssd xpss2 simprr sstrd ex rexlimdvw
        jca reximdv syld reximdva rexcom r19.42v rexbii bitri ralrimiva cmpcovf
        mpd sseq2 ad2antrr ctop cmptop txtop simprrl frnd uniopn simprrr ss2iun
        crn ciun simprl uniiun eqtrdi xpiundir eqtr2di wfn ffnd fniunfv 3sstr3d
        xpeq1d txtube vex rnex elpw sylibr simplr elin2d dffn4 fofi elind unieq
        wfo sseq2d rspcev anim2d expr exlimdv expimpd rexlimdva ) AHUAUGZUHZUIZ
        UUDGUBUGZUJZQUGZDUKZULZUUIUUGUMZUNZQUUDUPZRZUBUOZRZUAEUQZURUSZSZDCUGZTZ
        HUVAULZBUGZUHZUNZBGUQZURUSZSZRZCFSZAEUTTZUCUGZUUITZUUKUDUGZUNZUDGSRZQES
        ZUCHUPUUTLAUVRUCHAUVMHTZRZUVNUVPRZQESZUDGSZUVRUVTUVMDVIZUVOTZUDGSZUWCUV
        TUWDGUHZTUWFUVTUWDHIULZUWGUVSUVSDITZUWDUWHTAUVSVAPUVMDHIVBVCAUWHUWGUIUV
        SOVDVEUDUWDGVFVGUVTUWEUWBUDGUVTUVOGTZRZUWEUWDUUIUEUGZULZTZUWMUVOUNZRZUE
        FSZQESZUWBUWKUFUGZUWMTZUWORZUEFSQESZUFUVOUPZUWEUWRVHUVTUWJUVOEFVJVKZTZU
        XCUVTGUXDUVOAGUXDUNZUVSNVDVLUVTUXEUXCAUXEUXCVMZUVSAUVLFUTTZUXGLMQUEUVOE
        FUTUTUFWAVNVDVOVPUXBUWRUFUWDUVOUWSUWDUIZUXAUWPQUEEFUXIUWTUWNUWOUWSUWDUW
        MVQVRVSVTWBUWKUWQUWAQEUWKUWPUWAUEFUWKUWPUWAUWKUWPRZUVNUVPUWNUVNUWKUWOUV
        MDUUIUWLWCWDUXJUUKUWMUVOUXJUUJUWLUNUUKUWMUNUXJDUWLUWNDUWLTUWKUWOUVMDUUI
        UWLWEWDWFUUJUWLUUIWGWBUWKUWNUWOWHWIWLWJWKWMWNWOXBUWCUWAUDGSZQESUVRUWAUD
        QGEWPUXKUVQQEUVNUVPUDGWQWRWSVGWTUVPUUMUCQUDGUBEHUAJUVOUULUUKXCXAVNAUUQU
        VKUAUUSAUUDUUSTZRZUUFUUPUVKUXMUUFRUUOUVKUBUXMUUFUUOUVKUXMUUFUUORZRZUVBU
        VCUUGXMZUHZUNZRZCFSUVKUXOCDEFUXQHIJKAUVLUXLUXNLXDZAFXETZUXLUXNAUXHUYAMF
        XFWBXDZUXOUXDXETZUXPUXDUNUXQUXDTUXOEXETZUYAUYCUXOUVLUYDUXTEXFWBUYBEFXGV
        NUXOUXPGUXDUXOUUDGUUGUXMUUFUUHUUNXHZXIZAUXFUXLUXNNXDWIUXPUXDXJVNUXOQUUD
        UUKXNZQUUDUULXNZHUUJULZUXQUXOUUNUYGUYHUNUXMUUFUUHUUNXKQUUDUUKUULXLWBUXO
        UYIQUUDUUIXNZUUJULUYGUXOHUYJUUJUXOHUUEUYJUXMUUFUUOXOQUUDXPXQYDQUUDUUIUU
        JXRXSUXOUUGUUDXTZUYHUXQUIUXOUUDGUUGUYEYAZQUUDUUGYBWBYCAUWIUXLUXNPXDYEUX
        OUXSUVJCFUXOUXRUVIUVBUXOUXPUVHTZUXRUVIVHUXOUVGURUXPUXOUXPGUNUXPUVGTUYFU
        XPGUUGUBYFYGYHYIUXOUUDURTUUDUXPUUGYPZUXPURTUXOUURURUUDAUXLUXNYJYKUXOUYK
        UYNUYLUUDUUGYLVGUUDUXPUUGYMVNYNUYMUXRUVIUVFUXRBUXPUVHUVDUXPUIUVEUXQUVCU
        VDUXPYOYQYRWJWBYSWMXBYTUUAUUBUUCXB $.
    $}

    $( Lemma for ~ txcmp .  (Contributed by Mario Carneiro, 14-Sep-2014.) $)
    txcmplem2 $p |- ( ph -> E. v e. ( ~P W i^i Fin ) ( X X. Y ) = U. v ) $=
      ( vz cuni wceq cfn wss wa wcel vw vf vu vx cv cpw cin wf cxp cfv wral wex
      wrex adantr ctx co simpr txcmplem1 ralrimiva unieq sseq2d cmpcovf syl2anc
      ccmp ciun crn wfn simprrl fniunfv 3syl inss1 sstrdi sspwuni sylib eqsstrd
      ffn frnd vex fvex iunex elpw sylibr simplr sselid fss sylancl ffvelrn syl
      inss2 iunfi elind simprl uniiun eqtrdi xpeq2d xpiundi simprrr xpeq2 fveq2
      unieqd sseq12d cbvralvw ss2iun ffvelrnda elpwi uniss sseqtrrd iunss eqssd
      ad3antrrr iuncom4 rspceeqv expr exlimdv expimpd rexlimdva mpd ) AGUAUEZOZ
      PZXREUFZQUGZUBUEZUHZFUCUEZUIZYEYCUJZOZRZUCXRUKZSZUBULZSZUADUFZQUGZUMZFGUI
      ZBUEZOZPBYBUMZADVDTZUDUEZYETYFYSRZBYBUMSUCDUMZUDGUKYPKAUUDUDGAUUBGTZSBUCU
      UBCDEFGHIACVDTUUEJUNAUUAUUEKUNAECDUOUPRUUELUNAYQEOZPZUUEMUNAUUEUQURUSUUCY
      IUDUCBYBUBDGUAIYRYGPYSYHYFYRYGUTVAVBVCAYMYTUAYOAXRYOTZSZXTYLYTUUIXTSYKYTU
      BUUIXTYKYTUUIXTYKSZSZNXRNUEZYCUJZVEZYBTYQUUNOZPYTUUKYAQUUNUUKUUNERUUNYATU
      UKUUNYCVFZOZEUUKYDYCXRVGUUNUUQPUUIXTYDYJVHZXRYBYCVPNXRYCVIVJUUKUUPYARUUQE
      RUUKUUPYBYAUUKXRYBYCUURVQYAQVKZVLUUPEVMVNVOUUNENXRUUMUAVRUULYCVSVTWAWBUUK
      XRQTUUMQTZNXRUKZUUNQTUUKYOQXRYNQWIAUUHUUJWCWDUUKXRQYCUHZUVAUUKYDYBQRUVBUU
      RYAQWIXRYBQYCWEWFUVBUUTNXRXRQUULYCWGUSWHNXRUUMWJVCWKUUKYQNXRUUMOZVEZUUOUU
      KYQUVDUUKYQNXRFUULUIZVEZUVDUUKYQFNXRUULVEZUIUVFUUKGUVGFUUKGXSUVGUUIXTYKWL
      NXRWMWNWONXRUULFWPWNUUKUVEUVCRZNXRUKZUVFUVDRUUKYJUVIUUIXTYDYJWQYIUVHUCNXR
      YEUULPZYFUVEYHUVCYEUULFWRUVJYGUUMYEUULYCWSWTXAXBVNNXRUVEUVCXCWHVOUUKUVCYQ
      RZNXRUKUVDYQRUUKUVKNXRUUKUULXRTZSZUVCUUFYQUVMUUMYATUUMERUVCUUFRUVMYBYAUUM
      UUSUUKXRYBUULYCUURXDWDUUMEXEUUMEXFVJAUUGUUHUUJUVLMXJXGUSNXRUVCYQXHWBXINXR
      UUMXKWNBUUNYBYSUUOYQYRUUNUTXLVCXMXNXOXPXQ $.
  $}

  ${
    $d v w R $.  $d v w S $.
    $( The topological product of two compact spaces is compact.  (Contributed
       by Mario Carneiro, 14-Sep-2014.)  (Proof shortened 21-Mar-2015.) $)
    txcmp $p |- ( ( R e. Comp /\ S e. Comp ) -> ( R tX S ) e. Comp ) $=
      ( vw vv ccmp wcel wa ctx co ctop cuni wceq cpw cfn cin wrex cmptop syl2an
      cv eqid wi txtop cxp simpll simplr wss elpwi ad2antrl txuni adantr simprr
      wral eqtrd txcmplem2 eqeq1d rexbidv mpbid expr ralrimiva iscmp sylanbrc )
      AEFZBEFZGZABHIZJFZVEKZCSZKZLZVGDSKZLZDVHMNOZPZUAZCVEMZULVEEFVBAJFZBJFZVFV
      CAQZBQZABUBRVDVOCVPVDVHVPFZVJVNVDWAVJGZGZAKZBKZUCZVKLZDVMPVNWCDABVHWDWEWD
      TZWETZVBVCWBUDVBVCWBUEWAVHVEUFVDVJVHVEUGUHWCWFVGVIVDWFVGLZWBVBVQVRWJVCVSV
      TABWDWEWHWIUIRUJZVDWAVJUKUMUNWCWGVLDVMWCWFVGVKWKUOUPUQURUSCDVEVGVGTUTVA
      $.
  $}

  ${
    txcmpb.1 $e |- X = U. R $.
    txcmpb.2 $e |- Y = U. S $.
    $( The topological product of two nonempty topologies is compact iff the
       component topologies are both compact.  (Contributed by Mario Carneiro,
       14-Sep-2014.) $)
    txcmpb $p |- ( ( ( R e. Top /\ S e. Top ) /\ ( X =/= (/) /\ Y =/= (/) ) )
      -> ( ( R tX S ) e. Comp <-> ( R e. Comp /\ S e. Comp ) ) ) $=
      ( ctop wcel wa c0 wne co ccmp cres wfo ccn syl wb ad2antrr foeq2 ctx cuni
      c1st cxp simpr simplrr fo1stres wceq txuni mpbid ctopon cfv tx1cn syl2anb
      toptopon cncmp syl3anc c2nd simplrl fo2ndres tx2cn jca ex txcmp impbid1 )
      AGHZBGHZIZCJKZDJKZIZIZABUALZMHZAMHZBMHZIZVLVNVQVLVNIZVOVPVRVNVMUBZCUCCDUD
      ZNZOZWAVMAPLHZVOVLVNUEZVRVTCWAOZWBVRVJWEVHVIVJVNUFCDUGQVRVTVSUHZWEWBRVHWF
      VKVNABCDEFUISZVTVSCWATQUJVHWCVKVNVFACUKULHZBDUKULHZWCVGACEUOZBDFUOZABCDUM
      UNSWAVMAVSCEUPUQVRVNVSDURVTNZOZWLVMBPLHZVPWDVRVTDWLOZWMVRVIWOVHVIVJVNUSCD
      UTQVRWFWOWMRWGVTVSDWLTQUJVHWNVKVNVFWHWIWNVGWJWKABCDVAUNSWLVMBVSDFUPUQVBVC
      ABVDVE $.
  $}

  ${
    $d X a b c d e $.  $d J a b c d e $.
    hausdiag.x $e |- X = U. J $.
    $( A topology is Hausdorff iff the diagonal set is closed in the topology's
       product with itself. _EDITORIAL_: very clumsy proof, can probably be
       shortened substantially.  (Contributed by Stefan O'Rear, 25-Jan-2015.)
       (Proof shortened by Peter Mazsa, 2-Oct-2022.) $)
    hausdiag $p |- ( J e. Haus <-> ( J e. Top /\ ( _I |` X ) e.
        ( Clsd ` ( J tX J ) ) ) ) $=
      ( va vb vc vd ve wcel ctop cv cin wceq wrex wi wral wa cid wss wb cha wne
      c0 w3a cres ctx co ccld cfv ishaus cuni cdif txtop anidms idssxp sseqtrid
      cxp txuni eqid iscld2 syl2anc eltx cop eqcomd eleq2d anbi1d syl5bb imbi1d
      eldif impexp bitrdi ralbidv2 eleq1 notbid 2rexbidv imbi12d ralxp opelresi
      wn vex ibar adantr wbr df-br ideq bitr3i bitr3di adantl necon3bbid xpss12
      elssuni syl2an xpeq12i sseqtrrdi ad2antrr sseqtrd syl df-res ineq2i inass
      reldisj cvv inss1 sstrid ssv xpss2 ax-mp sstrdi df-ss sylib syl5eq eqeq1d
      eqtr3id wal opelxp elin 3bitr4i notbii intirr bitr3d anbi2d anbi1i df-3an
      albii eq0 3bitr4g 2rexbidva 2ralbidva bitrd 3bitrrd pm5.32i bitri ) AUAIA
      JIZDKZEKZUBZYNFKZIZYOGKZIZYQYSLZUCMZUDZGANFANZOZEBPDBPZQYMRBUEZAAUFUGZUHU
      IIZQDEGFABCUJYMUUFUUIYMUUIUUHUKZUUGULZUUHIZHKZYQYSUQZIZUUNUUKSZQZGANFANZH
      UUKPZUUFYMUUHJIZUUGUUJSUUIUULTYMUUTAAUMUNYMBBUQZUUGUUJBUOYMUVAUUJMZAABBCC
      URUNZUPUUGUUHUUJUUJUSUTVAYMUULUUSTFGUUKAAJJHVBUNYMUUSYNYOVCZUUGIZVSZUVDUU
      NIZUUPQZGANFANZOZEBPDBPZUUFYMUUSUUMUUGIZVSZUUROZHUVAPUVKYMUURUVNHUUKUVAYM
      UUMUUKIZUUROUUMUVAIZUVMQZUUROUVPUVNOYMUVOUVQUURUVOUUMUUJIZUVMQYMUVQUUMUUJ
      UUGVIYMUVRUVPUVMYMUUJUVAUUMYMUVAUUJUVCVDVEVFVGVHUVPUVMUURVJVKVLUVNUVJHDEB
      BUUMUVDMZUVMUVFUURUVIUVSUVLUVEUUMUVDUUGVMVNUVSUUQUVHFGAAUVSUUOUVGUUPUUMUV
      DUUNVMVFVOVPVQVKYMUVJUUEDEBBYMYNBIZYOBIZQZQZUVFYPUVIUUDUWCUVEYNYOUWBUVEYN
      YOMZTYMUVEUVTUVDRIZQZUWBUWDBYNYOREVTZVRUWBUWEUWFUWDUVTUWEUWFTUWAUVTUWEWAW
      BUWEYNYORWCUWDYNYORWDYNYOUWGWEWFWGVGWHWIUWCUVHUUCFGAAUWCYQAIZYSAIZQZQZYRY
      TQZUUPQUWLUUBQUVHUUCUWKUUPUUBUWLUWKUUNUUGLZUCMZUUPUUBUWKUUNUUJSUWNUUPTUWK
      UUNUVAUUJUWJUUNUVASUWCUWJUUNAUKZUWOUQZUVAUWHYQUWOSYSUWOSUUNUWPSUWIYQAWKYS
      AWKYQUWOYSUWOWJWLBUWOBUWOCCWMWNWHZYMUVBUWBUWJUVCWOWPUUNUUGUUJXAWQUWKUWNUU
      NRLZUCMZUUBUWKUWMUWRUCUWKUWMUUNRBXBUQZLZLZUWRUUGUXAUUNRBWRWSUWKUXBUWRUWTL
      ZUWRUUNRUWTWTUWKUWRUWTSUXCUWRMUWKUWRUVAUWTUWKUWRUUNUVAUUNRXCUWQXDBXBSUVAU
      WTSBXEBXBBXFXGXHUWRUWTXIXJXMXKXLYNYNUUNWCZVSZDXNYNUUAIZVSZDXNUWSUUBUXEUXG
      DUXDUXFYNYNVCUUNIYRYNYSIQUXDUXFYNYNYQYSXOYNYNUUNWDYNYQYSXPXQXRYDDUUNXSDUU
      AYEXQVKXTYAUVGUWLUUPYNYOYQYSXOYBYRYTUUBYCYFYGVPYHYIYJYKYL $.
  $}

  ${
    $d J a b $.  $d K a b $.  $d F a b $.  $d G a b $.  $d ph a b $.
    hauseqlcld.k $e |- ( ph -> K e. Haus ) $.
    hauseqlcld.f $e |- ( ph -> F e. ( J Cn K ) ) $.
    hauseqlcld.g $e |- ( ph -> G e. ( J Cn K ) ) $.
    $( In a Hausdorff topology, the equalizer of two continuous functions is
       closed (thus, two continuous functions which agree on a dense set agree
       everywhere).  (Contributed by Stefan O'Rear, 25-Jan-2015.)  (Revised by
       Mario Carneiro, 22-Aug-2015.) $)
    hauseqlcld $p |- ( ph -> dom ( F i^i G ) e. ( Clsd ` J ) ) $=
      ( va vb cfv cid wcel wceq wa co eqid syl wfn syl2anc cin cdm cuni cv cmpt
      cop ccnv cres cima ccld ccn cnf ffvelrnda biantrurd wbr fvex df-br bitr3i
      wf ideq opelresi 3bitr4g fveq2 opeq12d opex adantl eleq1d bitr4d pm5.32da
      fvmpt crab ffnd fndmin eleq2d rabid bitrdi wb elpreima mp1i 3bitr4d eqrdv
      fnmpti ctx txcnmpt cha ctop hausdiag simprbi cnclima eqeltrd ) ABCUAUBZID
      UCZIUDZBKZWMCKZUFZUEZUGLEUCZUHZUIZDUJKZAJWKWTAJUDZWLMZXBBKZXBCKZNZOZXCXBW
      QKZWSMZOZXBWKMZXBWTMZAXCXFXIAXCOZXFXDXEUFZWSMZXIXMXNLMZXDWRMZXPOXFXOXMXQX
      PAWLWRXBBABDEUKPZMZWLWRBUSGBDEWLWRWLQZWRQZULRZUMUNXFXDXELUOXPXDXEXBCUPZUT
      XDXELUQURWRXDXELYCVAVBXMXHXNWSXCXHXNNAIXBWPXNWLWQWMXBNWNXDWOXEWMXBBVCWMXB
      CVCVDWQQZXDXEVEVJVFVGVHVIAXKXBXFJWLVKZMXGAWKYEXBABWLSCWLSWKYENAWLWRBYBVLA
      WLWRCACXRMZWLWRCUSHCDEWLWRXTYAULRVLJWLBCVMTVNXFJWLVOVPWQWLSXLXJVQAIWLWPWQ
      WNWOVEYDWBWLXBWSWQVRVSVTWAAWQDEEWCPZUKPMZWSYGUJKMZWTXAMAXSYFYHGHIEEDBCWQW
      LXTYDWDTAEWEMZYIFYJEWFMYIEWRYAWGWHRWSWQDYGWITWJ $.
  $}

  ${
    $d u v w x y z R $.  $d u v w x y z S $.
    $( The topological product of two Hausdorff spaces is Hausdorff.
       (Contributed by Mario Carneiro, 23-Mar-2015.) $)
    txhaus $p |- ( ( R e. Haus /\ S e. Haus ) -> ( R tX S ) e. Haus ) $=
      ( vx vy vz vw vu vv wcel wa ctop cv cin c0 wceq w3a cxp ad2antrr sylanbrc
      wrex cha ctx co wne wi cuni wral haustop txtop syl2an eqid eleq2d anbi12d
      txuni c1st cfv c2nd wo wn neorian xpopth adantl necon3bbid syl5bb simplll
      wb xp1st ad2antrl adantr ad2antll simpr hausnei syl13anc ad4antlr simprll
      topopn syl txopn syl22anc simprlr cop 1st2nd2 simprr1 xp2nd elxp6 simprr2
      jca simprr3 xpeq1d xpindir 0xp eleq2 ineq1 eqeq1d 3anbi13d ineq2 3anbi23d
      3eqtr3g rspc2ev syl113anc rexlimdvva mpd simpllr xpeq2d xpindi xp0 jaodan
      expr ex sylbird ralrimivv ishaus ) AUAIZBUAIZJZABUBUCZKIZCLZDLZUDZXRELZIZ
      XSFLZIZYAYCMZNOZPZFXPTEXPTZUEZDXPUFZUGCYJUGXPUAIXMAKIZBKIZXQXNAUHZBUHZABU
      IUJXOYICDYJYJXOXRYJIZXSYJIZJXRAUFZBUFZQZIZXSYSIZJZYIXOYTYOUUAYPXOYSYJXRXM
      YKYLYSYJOXNYMYNABYQYRYQUKZYRUKZUNUJZULXOYSYJXSUUEULUMXOUUBYIXOUUBJZXTXRUO
      UPZXSUOUPZUDZXRUQUPZXSUQUPZUDZURZYHUUMUUGUUHOUUJUUKOJZUSUUFXTUUGUUHUUJUUK
      UTUUFUUNXRXSUUBUUNXRXSOVFXOXRXSYQYRYQYRVAVBVCVDUUFUUMYHUUFUUIYHUULUUFUUIJ
      ZUUGGLZIZUUHHLZIZUUPUURMZNOZPZHATGATZYHUUOXMUUGYQIZUUHYQIZUUIUVCXMXNUUBUU
      IVEUUFUVDUUIYTUVDXOUUAXRYQYRVGVHZVIUUFUVEUUIUUAUVEXOYTXSYQYRVGVJZVIUUFUUI
      VKUUGUUHHGAYQUUCVLVMUUOUVBYHGHAAUUOUUPAIZUURAIZJZUVBYHUUOUVJUVBJZJZUUPYRQ
      ZXPIZUURYRQZXPIZXRUVMIZXSUVOIZUVMUVOMZNOZYHUVLYKYLUVHYRBIZUVNUUFYKUUIUVKX
      MYKXNUUBYMRZRZXNYLXMUUBUUIUVKYNVNZUUOUVHUVIUVBVOUVLYLUWAUWDBYRUUDVPVQZUUP
      YRABKKVRVSUVLYKYLUVIUWAUVPUWCUWDUUOUVHUVIUVBVTUWEUURYRABKKVRVSUVLXRUUGUUJ
      WAOZUUQUUJYRIZJUVQUUFUWFUUIUVKYTUWFXOUUAXRYQYRWBVHZRUVLUUQUWGUUQUUSUVAUVJ
      UUOWCUUFUWGUUIUVKYTUWGXOUUAXRYQYRWDVHZRWGXRUUPYRWESUVLXSUUHUUKWAOZUUSUUKY
      RIZJUVRUUFUWJUUIUVKUUAUWJXOYTXSYQYRWBVJZRUVLUUSUWKUUQUUSUVAUVJUUOWFUUFUWK
      UUIUVKUUAUWKXOYTXSYQYRWDVJZRWGXSUURYRWESUVLUUTYRQNYRQUVSNUVLUUTNYRUUQUUSU
      VAUVJUUOWHWIUUPUURYRWJYRWKWRYGUVQUVRUVTPUVQYDUVMYCMZNOZPEFUVMUVOXPXPYAUVM
      OZYBUVQYFUWOYDYAUVMXRWLUWPYEUWNNYAUVMYCWMWNWOYCUVOOZYDUVRUWOUVTUVQYCUVOXS
      WLUWQUWNUVSNYCUVOUVMWPWNWQWSWTXHXAXBUUFUULJZUUJUUPIZUUKUURIZUVAPZHBTGBTZY
      HUWRXNUWGUWKUULUXBXMXNUUBUULXCUUFUWGUULUWIVIUUFUWKUULUWMVIUUFUULVKUUJUUKH
      GBYRUUDVLVMUWRUXAYHGHBBUWRUUPBIZUURBIZJZUXAYHUWRUXEUXAJZJZYQUUPQZXPIZYQUU
      RQZXPIZXRUXHIZXSUXJIZUXHUXJMZNOZYHUXGYKYLYQAIZUXCUXIUUFYKUULUXFUWBRZXNYLX
      MUUBUULUXFYNVNZUXGYKUXPUXQAYQUUCVPVQZUWRUXCUXDUXAVOYQUUPABKKVRVSUXGYKYLUX
      PUXDUXKUXQUXRUXSUWRUXCUXDUXAVTYQUURABKKVRVSUXGUWFUVDUWSJUXLUUFUWFUULUXFUW
      HRUXGUVDUWSUUFUVDUULUXFUVFRUWSUWTUVAUXEUWRWCWGXRYQUUPWESUXGUWJUVEUWTJUXMU
      UFUWJUULUXFUWLRUXGUVEUWTUUFUVEUULUXFUVGRUWSUWTUVAUXEUWRWFWGXSYQUURWESUXGY
      QUUTQYQNQUXNNUXGUUTNYQUWSUWTUVAUXEUWRWHXDYQUUPUURXEYQXFWRYGUXLUXMUXOPUXLY
      DUXHYCMZNOZPEFUXHUXJXPXPYAUXHOZYBUXLYFUYAYDYAUXHXRWLUYBYEUXTNYAUXHYCWMWNW
      OYCUXJOZYDUXMUYAUXOUXLYCUXJXSWLUYCUXTUXNNYCUXJUXHWPWNWQWSWTXHXAXBXGXIXJXI
      XJXKCDFEXPYJYJUKXLS $.
  $}

  ${
    $d j k n u v w x F $.  $d j k u v w H $.  $d n x O $.  $d j k n u v w ph $.
    $d j k n u v w x G $.  $d j k M $.  $d j k t u v w R $.
    $d j k t u v w S $.  $d j k n t u v w J $.  $d j k n t u v w K $.
    $d j k n u v w x X $.  $d j k n u v w x Y $.  $d j k n u v w Z $.
    txlm.z $e |- Z = ( ZZ>= ` M ) $.
    txlm.m $e |- ( ph -> M e. ZZ ) $.
    txlm.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    txlm.k $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    txlm.f $e |- ( ph -> F : Z --> X ) $.
    txlm.g $e |- ( ph -> G : Z --> Y ) $.
    ${
      txlm.h $e |- H = ( n e. Z |-> <. ( F ` n ) , ( G ` n ) >. ) $.
      $( Two sequences converge iff the sequence of their ordered pairs
         converges.  Proposition 14-2.6 of [Gleason] p. 230.  (Contributed by
         NM, 16-Jul-2007.)  (Revised by Mario Carneiro, 5-May-2014.) $)
      txlm $p |- ( ph -> ( ( F ( ~~>t ` J ) R /\ G ( ~~>t ` K ) S ) <->
                           H ( ~~>t ` ( J tX K ) ) <. R , S >. ) ) $=
        ( vu vk vj vv vw vt wcel wa cv cfv cuz wral wrex wi cop cxp ctx clm wbr
        r19.27v r19.28v ralimi syl wss cmpo crn ctg simprl wceq ctopon topontop
        co ctop eqid txval syl2anc adantr eleqtrd simprr tg2 cvv wb xpex rgen2w
        vex eleq2 sseq1 anbi12d rexrnmpo ax-mp ex r19.29 opelxp pm2.27 im2anan9
        sylib rexanuz2 uztrn2 opelxpi fveq2 opeq12d fvmpt eleq1d syl5ibr adantl
        opex simplrr sylan2 anassrs ralimdva reximdva syl5bir impcomd rexlimdva
        sseld syld syl5 expcomd expdimp com23 ralrimdva toponmax txopn syl22anc
        rexralbidv imbi12d rspcv expcom opelxp1 syl6bi reximia imim12d ad2antrl
        a1i adantrl opelxp2 adantrr eqidd lmbrf ffvelrnda jcad pm5.32da bitr4di
        impbid anbi1i an4 bitrdi txtopon opelxpd fmptd 3bitr4d ) ABKUGZCLUGZUHZ
        BUAUIZUGZUBUIZEUJZUUOUGZUBUCUIZUKUJZULZUCMUMZUNZUAHULZCUDUIZUGZUUQFUJZU
        VFUGZUBUVAULZUCMUMZUNZUDIULZUHZUHZBCUOZKLUPZUGZUVPUEUIZUGZUUQGUJZUVSUGZ
        UBUVAULZUCMUMZUNZUEHIUQVLZULZUHZEBHURUJUSZFCIURUJUSZUHZGUVPUWFURUJUSAUV
        OUUNUWGUHUWHAUUNUVNUWGAUUNUHZUVNUWGAUVNUWGUNUUNUVNUVDUVLUHZUDIULZUAHULZ
        AUWGUVNUVDUVMUHZUAHULUWOUVDUVMUAHUTUWPUWNUAHUVDUVLUDIVAVBVCAUWOUWEUEUWF
        AUVSUWFUGZUHUVTUWOUWDAUWQUVTUWOUWDUNZAUWQUVTUHZUVPUUOUVFUPZUGZUWTUVSVDZ
        UHZUDIUMZUAHUMZUWRAUWSUXEAUWSUHZUVPUFUIZUGZUXGUVSVDZUHZUFUAUDHIUWTVEZVF
        ZUMZUXEUXFUVSUXLVGUJZUGUVTUXMUXFUVSUWFUXNAUWQUVTVHAUWFUXNVIZUWSAHVMUGZI
        VMUGZUXOAHKVJUJUGZUXPPKHVKVCZAILVJUJUGZUXQQLIVKVCZUAUDUXLHIVMVMUXLVNVOV
        PVQVRAUWQUVTVSUFUVSUXLUVPVTVPUWTWAUGZUDIULUAHULUXMUXEWBUYBUAUDHIUUOUVFU
        AWEUDWEWCWDUXJUXCUAUDUFHIUWTUXKWAUXKVNUXGUWTVIUXHUXAUXIUXBUXGUWTUVPWFUX
        GUWTUVSWGWHWIWJWPWKAUWOUXEUWDUWOUXEUHUWNUXDUHZUAHUMAUWDUWNUXDUAHWLAUYCU
        WDUAHUYCUWMUXCUHZUDIUMAUUOHUGZUHZUWDUWMUXCUDIWLUYFUYDUWDUDIUYFUVFIUGZUH
        ZUXCUWMUWDUYHUXCUWMUWDUNUYHUXCUHZUWMUVCUVKUHZUWDUYIUUPUVGUHZUWMUYJUNUYI
        UXAUYKUYHUXAUXBVHBCUUOUVFWMWPUUPUVDUVCUVGUVLUVKUUPUVCWNUVGUVKWNWOVCUYJU
        USUVIUHZUBUVAULZUCMUMUYIUWDUUSUVIUCUBJMNWQUYIUYMUWCUCMUYIUUTMUGZUHUYLUW
        BUBUVAUYIUYNUUQUVAUGZUYLUWBUNZUYNUYOUHZUYIUUQMUGZUYPJUUQUUTMNWRZUYIUYRU
        HZUYLUWAUWTUGZUWBUYRUYLVUAUNUYIUYLVUAUYRUURUVHUOZUWTUGUURUVHUUOUVFWSUYR
        UWAVUBUWTDUUQDUIZEUJZVUCFUJZUOZVUBMGVUCUUQVIVUDUURVUEUVHVUCUUQEWTVUCUUQ
        FWTXATUURUVHXFXBZXCXDXEUYTUWTUVSUWAUYHUXAUXBUYRXGXOXPXHXIXJXKXLXPWKXMXN
        XQXNXQXRXPXSXTYAXQVQUWLUWGUVEUVMAUUMUWGUVEUNUULAUUMUHUWGUVDUAHAUUMUYEUW
        GUVDUNAUUMUYEUHZUHZUWGUVPUUOLUPZUGZUWAVUJUGZUBUVAULZUCMUMZUNZUVDVUIVUJU
        WFUGZUWGVUOUNVUIUXPUXQUYELIUGZVUPAUXPVUHUXSVQAUXQVUHUYAVQAUUMUYEVSAVUQV
        UHAUXTVUQQLIYBVCVQUUOLHIVMVMYCYDUWEVUOUEVUJUWFUVSVUJVIZUVTVUKUWDVUNUVSV
        UJUVPWFVURUWBVULUCUBMUVAUVSVUJUWAWFYEYFYGVCVUIUUPVUKVUNUVCUUPVUIVUKVUIU
        UPUUMVUKAUUMUYEVHBCUUOLWSXHYHVUNUVCUNVUIVUMUVBUCMUYNVULUUSUBUVAUYQUYRVU
        LUUSUNUYSUYRVULVUBVUJUGUUSUYRUWAVUBVUJVUGXCUURUVHUUOLYIYJVCXJYKYNYLXPXI
        YAYOAUULUWGUVMUNUUMAUULUHUWGUVLUDIAUULUYGUWGUVLUNAUULUYGUHZUHZUWGUVPKUV
        FUPZUGZUWAVVAUGZUBUVAULZUCMUMZUNZUVLVUTVVAUWFUGZUWGVVFUNVUTUXPUXQKHUGZU
        YGVVGAUXPVUSUXSVQAUXQVUSUYAVQAVVHVUSAUXRVVHPKHYBVCVQAUULUYGVSKUVFHIVMVM
        YCYDUWEVVFUEVVAUWFUVSVVAVIZUVTVVBUWDVVEUVSVVAUVPWFVVIUWBVVCUCUBMUVAUVSV
        VAUWAWFYEYFYGVCVUTUVGVVBVVEUVKUULUVGVVBUNAUYGUULUVGVVBBCKUVFWSWKYMVVEUV
        KUNVUTVVDUVJUCMUYNVVCUVIUBUVAUYQUYRVVCUVIUNUYSUYRVVCVUBVVAUGUVIUYRUWAVU
        BVVAVUGXCUURUVHKUVFYPYJVCXJYKYNYLXPXIYAYQUUAUUDUUBUVRUUNUWGBCKLWMUUEUUC
        AUWKUULUVEUHZUUMUVMUHZUHUVOAUWIVVJUWJVVKAUAUURBUCUBEHJKMPNORAUYRUHZUURY
        RYSAUDUVHCUCUBFIJLMQNOSVVLUVHYRYSWHUULUVEUUMUVMUUFUUGAUEUWAUVPUCUBGUWFJ
        UVQMAUXRUXTUWFUVQVJUJUGPQHIKLUUHVPNOADMVUFUVQGAVUCMUGUHVUDVUEKLAMKVUCER
        YTAMLVUCFSYTUUITUUJVVLUWAYRYSUUK $.
    $}

    lmcn2.fl $e |- ( ph -> F ( ~~>t ` J ) R ) $.
    lmcn2.gl $e |- ( ph -> G ( ~~>t ` K ) S ) $.
    lmcn2.o $e |- ( ph -> O e. ( ( J tX K ) Cn N ) ) $.
    lmcn2.h $e |- H = ( n e. Z |-> ( ( F ` n ) O ( G ` n ) ) ) $.
    $( The image of a convergent sequence under a continuous map is convergent
       to the image of the original point.  Binary operation version.
       (Contributed by Mario Carneiro, 15-May-2014.) $)
    lmcn2 $p |- ( ph -> H ( ~~>t ` N ) ( R O S ) ) $=
      ( vx cop cfv co clm cv cmpt ccom cxp wcel wa ffvelrnda opelxpd eqidd cuni
      ctx ctopon ccn wf txtopon syl2anc ctop cntop2 syl toptopon2 sylib syl3anc
      cnf2 feqmptd wceq fveq2 df-ov fmptco wbr eqid txlm mpbi2and lmcn eqbrtrrd
      eqtr4di breqtrrdi ) AGBCUGZLUHZBCLUIKUJUHZALDODUKZEUHZWJFUHZUGZULZUMZGWHW
      IAWODOWKWLLUIZULGADUFOMNUNZWMUFUKZLUHZWPWNLAWJOUOUPWKWLMNAOMWJETUQAONWJFU
      AUQURAWNUSAUFWQKUTZLAHIVAUIZWQVBUHUOZKWTVBUHUOZLXAKVCUIUOZWQWTLVDAHMVBUHU
      OINVBUHUOXBRSHIMNVEVFAKVGUOZXCAXDXEUDLXAKVHVIKVJVKUDLXAKWQWTVMVLVNWRWMVOW
      SWMLUHWPWRWMLVPWKWLLVQWEVRUEWEAWGWNLXAKAEBHUJUHVSFCIUJUHVSWNWGXAUJUHVSUBU
      CABCDEFWNHIJMNOPQRSTUAWNVTWAWBUDWCWDBCLVQWF $.
  $}

  ${
    $d a b m n p q r s u v w x y z R $.  $d a b m n p q r s u v w x y z S $.
    $( The topological product of two first-countable spaces is
       first-countable.  (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    tx1stc $p |- ( ( R e. 1stc /\ S e. 1stc ) -> ( R tX S ) e. 1stc ) $=
      ( vx vz vw vr vp vs vq vm vn wcel wa cv com wss wrex wi wral wceq vy ctop
      vu vv va vb c1stc ctx cdom wbr wel cpw cuni 1stctop txtop syl2an cxp eqid
      co cop 1stcclb ad2ant2r ad2ant2l reeanv an4 cmpo crn wf ralrimivva adantr
      txopn elpwi ssralv ralimdv sylan9 mpan9 fmpo sylib frnd ovex elpw2 sylibr
      syl ccrd cdm wfo con0 omelon xpct ondomen sylancr wfn vex xpex dffn4 mpbi
      fnmpoi fodomnum mpisyl domtr syl2anc ad2antrl wb anim12i ad3antrrr anbi1d
      eltx eleq1 2rexbidv rspccv r19.29 opelxp pm3.35 an4s sylanb anim1i anasss
      r19.27v an12s expl reximdv syl5 impl reximi sylan w3a cab simpr1l simpr1r
      eqidd weq xpeq1 eqeq2d anbi12d rspcev syl12anc syl5bir rexlimdvva ralbidv
      rexbidv xpeq2 rspc2ev syl3anc eqeq1 rnmpo eleqtrrdi simpr2 opelxpi xpss12
      elab simpr3 sstrd eleq2 sseq1 3exp2 rexlimdvv impd expd impr syl9r sylbid
      ralrimiv breq1 rexeq imbi2d ex syl5bi mp2and imbi12d anbi2d ralxp raleqdv
      txuni mpbid is1stc2 sylanbrc ) AUGLZBUGLZMZABUHUSZUBLZUANZOUIUJZCDUKZCEUK
      ZENZDNZPZMZEUWBQZRZDUVTSZMZUAUVTULZQZCUVTUMZSZUVTUGLUVQAUBLZBUBLZUWAUVRAU
      NZBUNZABUOUPUVSUWOCAUMZBUMZUQZSZUWQUVSUWCUCNZUDNZUTZUWGLZUXHUWFLZUWHMZEUW
      BQZRZDUVTSZMZUAUWNQZUDUXCSUCUXBSUXEUVSUXPUCUDUXBUXCUVSUXFUXBLZUXGUXCLZMZM
      ZUENZOUIUJZUCFUKZUCGUKZGNZFNZPZMZGUYAQZRZFASZMZUEAULZQZUFNZOUIUJZUDHUKZUD
      IUKZINZHNZPZMZIUYOQZRZHBSZMZUFBULZQZUXPUVQUXQUYNUVRUXRUEFGUXFAUXBUXBURZVA
      VBUVRUXRVUHUVQUXQUFHIUXGBUXCUXCURZVAVCUYNVUHMUYLVUFMZUFVUGQUEUYMQUXTUXPUY
      LVUFUEUFUYMVUGVDUXTVUKUXPUEUFUYMVUGVUKUYBUYPMZUYKVUEMZMZUXTUYAUYMLZUYOVUG
      LZMZMZUXPUYBUYKUYPVUEVEVURVUNUXPVURVUNMZJKUYAUYOJNZKNZUQZVFZVGZUWNLZVVDOU
      IUJZUXIUXKEVVDQZRZDUVTSZUXPVURVVEVUNVURVVDUVTPVVEVURUYAUYOUQZUVTVVCVURVVB
      UVTLZKUYOSZJUYASZVVJUVTVVCVHUXTVVKKBSZJASZVUQVVMUVSVVOUXSUVQUWRUWSVVOUVRU
      WTUXAUWRUWSMZVVKJKABVUTVVAABUBUBVKVIUPVJVUOVVOVVNJUYASZVUPVVMVUOUYAAPVVOV
      VQRUYAAVLVVNJUYAAVMWCVUPVVNVVLJUYAVUPUYOBPVVNVVLRUYOBVLVVKKUYOBVMWCVNVOVP
      JKUYAUYOVVBUVTVVCVVCURZVQVRVSVVDUVTABUHVTWAWBVJVULVVFVURVUMVULVVDVVJUIUJZ
      VVJOUIUJZVVFVULVVJWDWELZVVJVVDVVCWFZVVSVULOWGLVVTVWAWHUYAUYOWIZOVVJWJWKVV
      CVVJWLVWBJKUYAUYOVVBVVCVVRVUTVVAJWMKWMWNWQVVJVVCWOWPVVJVVDVVCWRWSVWCVVDVV
      JOWTXAXBVUSVVHDUVTVUSUWGUVTLZUWFUYFUYTUQZLZVWEUWGPZMZHBQFAQZEUWGSZVVHVUSV
      VPVWDVWJXCUVSVVPUXSVUQVUNUVQUWRUVRUWSUWTUXAXDXEFHUWGABUBUBEXGWCVWJUXIUXHV
      WELZVWGMZHBQZFAQZVUSVVGVWIVWNEUXHUWGUWFUXHTZVWHVWLFHABVWOVWFVWKVWGUWFUXHV
      WEXHXFXIXJVURVULVUMVWNVVGRVURVULMZVUMVWNVVGVUMVWNMUYIVUCMZVWGMZHBQZFAQZVW
      PVVGVUMUYJVUEMZFASZVWNVWTUYJVUEFAXRVXBVWNMVXAVWMMZFAQVWTVXAVWMFAXKVXCVWSF
      AUYJVUEVWMVWSVUEVWMMVUDVWLMZHBQUYJVWSVUDVWLHBXKUYJVXDVWRHBUYJVUDVWLVWRVWK
      UYJVUDMZVWGVWRVWKVXEVWGVWRVWKVXEMVWQVWGVWKUYCUYQMVXEVWQUXFUXGUYFUYTXLUYCU
      YJUYQVUDVWQUYCUYJMUYIUYQVUDMVUCUYCUYIXMUYQVUCXMXDXNXOXPXQXSXTYAYBYCYDWCYE
      VWPVWRVVGFHABVWPUYFALUYTBLMMZVWQVWGVVGVWQUYHVUBMZIUYOQGUYAQVXFVWGVVGRZUYH
      VUBGIUYAUYOVDVXFVXGVXHGIUYAUYOVXFGUEUKZIUFUKZMZVXGVWGVVGVXFVXKVXGVWGYFMZU
      YEUYSUQZVVDLUXHVXMLZVXMUWGPZVVGVXLVXMCNZVVBTZKUYOQJUYAQZCYGZVVDVXLVXMVVBT
      ZKUYOQJUYAQZVXMVXSLVXLVXIVXJVXMVXMTZVYAVXIVXJVXGVWGVXFYHVXIVXJVXGVWGVXFYI
      VXLVXMYJVXTVYBVXMUYEVVAUQZTJKUYEUYSUYAUYOJGYKVVBVYCVXMVUTUYEVVAYLYMKIYKVY
      CVXMVXMVVAUYSUYEUUAYMUUBUUCVXRVYACVXMUYEUYSGWMIWMWNVXPVXMTVXQVXTJKUYAUYOV
      XPVXMVVBUUDXIUUJWBJKCUYAUYOVVBVVCVVRUUEUUFVXLVXGVXNVXFVXKVXGVWGUUGZUYDUYR
      VXNUYGVUAUXFUXGUYEUYSUUHVBWCVXLVXMVWEUWGVXLVXGVXMVWEPZVYDUYGVUAVYEUYDUYRU
      YEUYFUYSUYTUUIVCWCVXFVXKVXGVWGUUKUULUXKVXNVXOMEVXMVVDUWFVXMTUXJVXNUWHVXOU
      WFVXMUXHUUMUWFVXMUWGUUNYNYOYPUUOUUPYQUUQYRYBUURUUSUUTUVAUVBUXOVVFVVIMUAVV
      DUWNUWBVVDTZUWCVVFUXNVVIUWBVVDOUIUVCVYFUXMVVHDUVTVYFUXLVVGUXIUXKEUWBVVDUV
      DUVEYSYNYOYPUVFUVGYRYQUVHVIUWOUXPCUCUDUXBUXCVXPUXHTZUWMUXOUAUWNVYGUWLUXNU
      WCVYGUWKUXMDUVTVYGUWDUXIUWJUXLVXPUXHUWGXHVYGUWIUXKEUWBVYGUWEUXJUWHVXPUXHU
      WFXHXFYTUVIYSUVJYTUVKWBUVSUWOCUXDUWPUVQUWRUWSUXDUWPTUVRUWTUXAABUXBUXCVUIV
      UJUVMUPUVLUVNCUADEUVTUWPUWPURUVOUVP $.
  $}

  ${
    $d r s x y $.  $d r s R $.  $d r s S $.
    $( The topological product of two second-countable spaces is
       second-countable.  (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    tx2ndc $p |- ( ( R e. 2ndc /\ S e. 2ndc ) -> ( R tX S ) e. 2ndc ) $=
      ( vr vs vx vy c2ndc wcel cv com cdom wbr ctg cfv wceq wa ctb wrex ctx cxp
      co is2ndc reeanv an4 cmpo crn txbasval eqid txval eqtrd adantr txbas ccrd
      cdm wfo con0 omelon cen vex xpdom1 omex xpdom2 domtr syl2an adantl xpomen
      domentr sylancl ondomen sylancr wfn xpex fnmpoi dffn4 sylib fodomnum sylc
      a1i syl2anc 2ndci eqeltrd oveq12 eleq1d syl5ibcom syl5bi rexlimivv sylbir
      expimpd syl2anb ) AGHCIZJKLZWJMNZAOZPZCQRZDIZJKLZWPMNZBOZPZDQRZABSUAZGHZB
      GHCAUBDBUBWOXAPWNWTPZDQRCQRXCWNWTCDQQUCXDXCCDQQXDWKWQPZWMWSPZPWJQHWPQHPZX
      CWKWMWQWSUDXGXEXFXCXGXEPZWLWRSUAZGHXFXCXHXIEFWJWPEIZFIZTZUEZUFZMNZGXGXIXO
      OXEXGXIWJWPSUAXOWJWPQQUGEFXNWJWPQQXNUHZUIUJUKXHXNQHZXNJKLZXOGHXGXQXEEFXNW
      JWPXPULUKXHXNWJWPTZKLZXSJKLZXRXHXSUMUNHZXSXNXMUOZXTXHJUPHYAYBUQXHXSJJTZKL
      ZYDJURLYAXEYEXGWKXSJWPTZKLYFYDKLYEWQWJJWPDUSUTWPJJVAVBXSYFYDVCVDVEVFXSYDJ
      VGVHZJXSVIVJXHXMXSVKZYCYHXHEFWJWPXLXMXMUHXJXKEUSFUSVLVMVRXSXMVNVOXSXNXMVP
      VQYGXNXSJVCVSXNVTVSWAXFXIXBGWLAWRBSWBWCWDWHWEWFWGWI $.
  $}

  ${
    $d a b k s t u x y R $.  $d a b k s t u v x y S $.
    $( The topological product of a locally compact space and a compactly
       generated Hausdorff space is compactly generated.  (The condition on
       ` S ` can also be replaced with either "compactly generated weak
       Hausdorff (CGWH)" or "compact Hausdorff-ly generated (CHG)", where WH
       means that all images of compact Hausdorff spaces are closed and CHG
       means that a set is open iff it is open in all compact Hausdorff
       spaces.)  (Contributed by Mario Carneiro, 23-Mar-2015.) $)
    txkgen $p |- ( ( R e. N-Locally Comp /\ S e. ( ran kGen i^i Haus ) ) ->
      ( R tX S ) e. ran kGen ) $=
      ( vt vu vk vb va ccmp wcel wa co ctop cfv wss cv wrex syl2anc wceq adantr
      syl vx vy vs vv cnlly ckgen crn cha cin ctx nllytop elinel1 kgentop txtop
      syl2an wel wral c1st crest w3a c2nd cop cuni crab cpw cmpt ccnv cima eqid
      simplll mptpreima ccn cid cres csn ctopon ad3antrrr toptopon2 sylib simpr
      simplr eqtrd syl3anc ad2antrr eleqtrd opeq1 eleq1d eqeltrrd elrabd ssrab2
      cxp a1i incom cdif ccld wn eldif bitri eleq1 notbid anbi12d syl5bb sselda
      weq opelxpd vex rexbidva opeq2 bitrdi wb f2ndres ax-mp sstrid sneq xpeq2d
      wf sseq1d difin restuni difeq1d eqtr3id sstri eqsstri cvv eqeltrd resttop
      syl22anc sylancl eqeltrid mpbird expr ralrimiva wrel relxp opelxp simprbi
      elrab expimpd syl5bi relssdv idcn simpllr txuni kgenuni eleqtrrd cnconst2
      elunii xp2nd fvresi fvex fvconst2 opeq12d mpteq2ia eqcomi txcnmpt kgencn3
      llycmpkgen cnima eqeltrrid xp1st 1st2nd2 nlly2i simprlr wi simprll elpwid
      sstrdi elpwi ad2antrl anbi1i anass rexbii2 ancom rexxp simpl fvresd op2nd
      fveqeq2 eqtrdi eqeq1d anbi1d ceqsrexbv r19.42v wfn difss fvelimab sylancr
      ffn xpss12 dfss3 ralxp ralsn ralbii 3bitri elrab3 rexnal bitr4di pm5.32da
      3bitr4d eqrdv elin2d df-ima resres inss2 ssres2 rnssi xpex restabs simprl
      frn tx2cn txrest simprr3 simprr txcmp sseqtrd kgeni opncld cmpcld hauscmp
      imacmp restcldi inss1 isopn2 elkgen mpbir2and kgenidm txopn simprr1 elsni
      sseqtrid opeq2d syl5ibrcom simprr2 vsnid opelxpi ssel syl2imc eleq2 sseq1
      rspcev syl12anc rexlimdvva mpd eltop2 ex ssrdv iskgen2 sylanbrc ) AHUEIZB
      UFUGZUHUIIZJZABUJKZLIZVUNUFMZVUNNVUNVUKIVUJALIZBLIZVUOVULHAUKZVULBVUKIZVU
      RBVUKUHULZBUMTZABUNZUOZVUMUAVUPVUNVUMUAOZVUPIZVVEVUNIZVUMVVFJZVVGUBCUPZCO
      ZVVENZJZCVUNPZUBVVEUQZVVHVVMUBVVEVVHUBUAUPZJZUBOZURMZDOZIZVVSUCOZNZAVWAUS
      KZHIZUTZDAPUCVVJVVQVAMZVBZVVEIZCAVCZVDZVEZPZVVMVVPVUJVWJAIVVRVWJIVWLVUJVU
      LVVFVVOVJVVPVWJCVWIVWGVFZVGVVEVHZACVWIVWGVVEVWMVWMVIVKVVPVWMAVUPVLKZIVVFV
      WNAIVVPVWMAVUNVLKZVWOVVPVMVWIVNZAAVLKIZVWIVWFVOZWKZABVLKIZVWMVWPIVVPAVWIV
      PMIZVWRVVPVUQVXBVUJVUQVULVVFVVOVUSVQZAVRVSZAVWIUUATVVPVXBBBVCZVPMIZVWFVXE
      IZVXAVXDVVPVURVXFVVPVULVURVUJVULVVFVVOUUBZVVBTZBVRZVSVVPVVQVWIVXEWKZIZVXG
      VVPVVQVUPVCZVXKVVPVVOVVFVVQVXMIVVHVVOVTZVUMVVFVVOWAZVVQVVEVUPUUGQVVPVXKVU
      NVCZVXMVVPVUQVURVXKVXPRZVXCVXIABVWIVXEVWIVIZVXEVIZUUCZQVVPVUOVXPVXMRVVPVU
      QVURVUOVXCVXIVVCQZVUNVXPVXPVIZUUDTWBUUEZVVQVWIVXEUUHTZVWFABVWIVXEUUFWCCAB
      AVWQVWTVWMVWIVXRCVWIVVJVWQMZVVJVWTMZVBZVFVWMCVWIVYGVWGVVJVWIIVYEVVJVYFVWF
      VWIVVJUUIVWIVWFVVJVVQVAUUJUUKUULUUMUUNUUOQVVPAVUKIZVUOVWPVWORVUJVYHVULVVF
      VVOAUUQVQVUMVUOVVFVVOVVDWDAVUNUUPQWEVXOVVEVWMAVUPUURQUUSVVPVWHVVRVWFVBZVV
      EICVVRVWIVVJVVRRVWGVYIVVEVVJVVRVWFWFWGVVPVXLVVRVWIIVYCVVQVWIVXEUUTTVVPVVQ
      VYIVVEVVPVXLVVQVYIRZVYCVVQVWIVXEUVATZVXNWHWIDHVVRVWJAUCUVBWCVVPVWEVVMUCDV
      WKAVVPVWAVWKIZVVSAIZJZVWEVVMVVPVYNVWEJZJZVVSVWAUDOZVOZWKZVVENZUDVXEVDZWKZ
      VUNIZVVQWUBIZWUBVVENZVVMVYPVUQVURVYMWUABIWUCVVPVUQVYOVXCSZVVPVURVYOVXISZV
      VPVYLVYMVWEUVCVYPWUABUFMZBVYPWUAWUHIZWUAVXENZBEOZUSKZHIZWUAWUKUIZWULIZUVD
      ZEVXEVEZUQZWUJVYPVYTUDVXEWJWLVYPWUPEWUQVYPWUKWUQIZWUMWUOVYPWUSWUMJZJZWUNW
      UKWUAUIZWULWUAWUKWMWVAWVBWULIZWULVCZWVBWNZWULWOMZIZWVAVAVXKVNZVWAWUKWKZVV
      EWNZVHZWVEWVFWVAWVKWUKWUAWNZWVEWVAVWAVWINZWUKVXENZWVKWVLRVYPWVMWUTVYPVWAV
      WJVWIVYPVWAVWJVVPVYLVYMVWEUVEUVFZVWHCVWIWJUVGSZWUSWVNVYPWUMWUKVXEUVHUVIZW
      VMWVNJZFWVKWVLWVRVVJWVHMFOZRZCWVJPZFEUPZGOZWVSVBZVVEIZWPZGVWAPZJZWVSWVKIZ
      WVSWVLIZWWAWWCVVSVBZWVHMZWVSRZWWKVVEIZWPZJZDWUKPZGVWAPZWVRWWHWWACUAUPZWPZ
      WVTJZCWVIPWWRWVTWXACWVJWVIVVJWVJIZWVTJVVJWVIIZWWTJZWVTJWXCWXAJWXBWXDWVTVV
      JWVIVVEWQUVJWXCWWTWVTUVKWRUVLWXAWWPCGDVWAWUKWXAWVTWWTJVVJWWKRZWWPWWTWVTUV
      MWXEWVTWWMWWTWWOVVJWWKWVSWVHUVRWXEWWSWWNVVJWWKVVEWSWTXAXBUVNWRWVRWWRWWBWW
      FJZGVWAPWWHWVRWWQWXFGVWAWVRGUCUPZJZWWQDFXDZWWOJZDWUKPWXFWXHWWPWXJDWUKWXHD
      EUPZJZWWMWXIWWOWXLWWLVVSWVSWXLWWLWWKVAMVVSWXLWWKVXKVAWXLWWCVVSVWIVXEWXHWW
      CVWIIZWXKWVRVWAVWIWWCWVMWVNUVOXCSWXHWUKVXEVVSWVMWVNWXGWAXCXEUVPWWCVVSGXFD
      XFUVQUVSUVTUWAXGWWOWWFDWVSWUKWXIWWNWWEWXIWWKWWDVVEVVSWVSWWCXHWGWTUWBXIXGW
      WBWWFGVWAUWCXIXBWVRWVHVXKUWDZWVJVXKNWWIWWAXJVXKVXEWVHXPWXNVWIVXEXKVXKVXEW
      VHUWHXLWVRWVJWVIVXKWVIVVEUWEZVWAVWIWUKVXEUWIZXMCVXKWVJWVSWVHUWFUWGWWJWWBW
      VSWUAIZWPZJWVRWWHWVSWUKWUAWQWVRWWBWXRWWGWVRWWBJZWXRWWEGVWAUQZWPWWGWXSWXQW
      XTWXSWVSVXEIZWXQWXTXJWVRWUKVXEWVSWVMWVNVTXCVYTWXTUDWVSVXEUDFXDZVYTVWAWVSV
      OZWKZVVENZWXTWYBVYSWYDVVEWYBVYRWYCVWAVYQWVSXNXOXQZWYEEUAUPZEWYDUQWWCVVJVB
      ZVVEIZCWYCUQZGVWAUQWXTEWYDVVEUWJWYGWYIEGCVWAWYCWUKWYHVVEWSUWKWYJWWEGVWAWY
      IWWECWVSFXFCFXDWYHWWDVVEVVJWVSWWCXHWGUWLUWMUWNXIUWOTWTWWEGVWAUWPUWQUWRXBU
      WSUWTQWVAWVLWUKWVBWNWVEWUKWUAXRWVAWUKWVDWVBWVAVURWVNWUKWVDRVYPVURWUTWUGSZ
      WVQWUKBVXEVXSXSQZXTYAWBWVAWVNWVKBWOMIZWVKWUKNZWVKWVFIWVQWVABUHIWVKVXENBWV
      KUSKHIZWYMWVAVUKUHBVVPVULVYOWUTVXHWDZUXAWVAWVKWUKVXEWVKVAWVIVNZUGZWUKWVKW
      VHWVJVNZUGWYRWVHWVJUXBWYSWYQWYSVAVXKWVJUIZVNZWYQVAVXKWVJUXCWYTWVINXUAWYQN
      WYTWVJWVIVXKWVJUXDWXOYBWYTWVIVAUXEXLYCUXFYCWVIWUKWYQXPWYRWUKNVWAWUKXKWVIW
      UKWYQUXJXLYBZWVQXMWVAWVHVUNBVLKIZVUNWVJUSKZHIWYOWVAVXBVXFXUCVVPVXBVYOWUTV
      XDWDWVAVURVXFWYKVXJVSABVWIVXEUXKQWVAVUNWVIUSKZWVJUSKZXUDHWVAVUOWVJWVINZWV
      IYDIZXUFXUDRVVPVUOVYOWUTVYAWDZXUGWVAWXOWLXUHWVAVWAWUKUCXFZEXFUXGZWLWVJWVI
      VUNLYDUXHWCWVAXUEHIZWVJXUEWOMZIXUFHIWVAXUEVWCWULUJKZHWVAVUQVURVWAYDIZWUSX
      UEXUNRVYPVUQWUTWUFSZWVAVULVURWYPVVBTXUOWVAXUJWLVYPWUSWUMUXIZVWAWUKABLLYDW
      UQUXLYGWVAVWDWUMXUNHIVYPVWDWUTVVTVWBVWDVYNVVPUXMSVYPWUSWUMUXNVWCWULUXOQYE
      ZWVAWVJXUEVCZWVIVVEUIZWNZXUMWVAWVJWVIXUTWNXVAWVIVVEXRWVAWVIXUSXUTWVAVUOWV
      IVXPNWVIXUSRXUIWVAWVIVXKVXPWVAWVMWVNWVIVXKNWVPWVQWXPQWVAVUQVURVXQXUPWYKVX
      TQUXPWVIVUNVXPVYBXSQXTYAWVAXUELIZXUTXUEIXVAXUMIWVAVUOXUHXVBXUIXUKWVIVUNYD
      YFYHWVAXUTVVEWVIUIZXUEWVIVVEWMWVAVVFXULXVCXUEIVVPVVFVYOWUTVXOWDXURVVEVUNW
      VIUXQQYIXUTXUEXUSXUSVIUXRQYEWVJXUEUXSQWHWVJWVHVUNBUYAQWVKBVXEVXSUXTWCWYNW
      VAXUBWLWUKWVKBVXEVXSUYBWCWHWVAWULLIZWVBWVDNWVCWVGXJWVAVURWUSXVDWYKXUQWUKB
      WUQYFQWVAWUKWVBWVDWUKWUAUYCWYLUYKWVBWULWVDWVDVIUYDQYJYIYKYLVYPVXFWUIWUJWU
      RJXJVYPVURVXFWUGVXJVSWUAEBVXEUYETUYFVYPVUTWUHBRVYPVULVUTVVPVULVYOVXHSVVAT
      BUYGTWEVVSWUAABLLUYHYGVYPVVQVYIWUBVVPVYJVYOVYKSVYPVVRVWFVVSWUAVVTVWBVWDVY
      NVVPUYIVYPVYTVWAVWSWKZVVENUDVWFVXEVYQVWFRZVYSXVEVVEXVFVYRVWSVWAVYQVWFXNXO
      XQVVPVXGVYOVYDSVYPGFXVEVVEXVEYMVYPVWAVWSYNWLWWDXVEIWXGWVSVWSIZJVYPWWEWWCW
      VSVWAVWSYOVYPWXGXVGWWEVYPWXGJZWWEXVGWWCVWFVBZVVEIZXVHWWCVWJIZXVJVYPVWAVWJ
      WWCWVOXCXVKWXMXVJVWHXVJCWWCVWICGXDVWGXVIVVEVVJWWCVWFWFWGYQYPTXVGWWDXVIVVE
      XVGWVSVWFWWCWVSVWFUYJUYLWGUYMYRYSYTWIXEYEVYPGFWUBVVEWUBYMVYPVVSWUAYNWLWWD
      WUBIGDUPZWXQJVYPWWEWWCWVSVVSWUAYOVYPXVLWXQWWEWXQWYEVYPXVLJZWWDWYDIZWWEWXQ
      WYAWYEVYTWYEUDWVSVXEWYFYQYPXVMWXGWVSWYCIXVNVYPVVSVWAWWCVVTVWBVWDVYNVVPUYN
      XCFUYOWWCWVSVWAWYCUYPYHWYDVVEWWDUYQUYRYRYSYTVVLWUDWUEJCWUBVUNVVJWUBRVVIWU
      DVVKWUEVVJWUBVVQUYSVVJWUBVVEUYTXAVUAVUBYKVUCVUDYLVVHVUOVVGVVNXJVUMVUOVVFV
      VDSUBCVVEVUNVUETYJVUFVUGVUNVUHVUI $.
  $}

  ${
    $d a b f g h u v x R $.  $d a b f g h u v x S $.
    $( If the codomain space is Hausdorff, then the compact-open topology of
       continuous functions is also Hausdorff.  (Contributed by Mario Carneiro,
       19-Mar-2015.) $)
    xkohaus $p |- ( ( R e. Top /\ S e. Haus ) -> ( S ^ko R ) e. Haus ) $=
      ( vf vg vu vv vx va vb vh wcel wa cv cin c0 wceq w3a wrex wral wss cha co
      ctop cxko wne wel wi cuni haustop xkotop sylan2 ccn xkouni eleq2d anbi12d
      eqid cfv wn wfn weq wb wf simprl cnf syl simprr eqfnfv syl2anc necon3abid
      ffnd rexnal df-ne simpllr ffvelrnd hausnei syl13anc expr syl5bir csn cima
      adantr crab simp-4l ad4antlr simplr snssd crest cpw ccmp ctopon toptopon2
      sylib restsn2 cfn snfi discmp mpbi eqeltrdi simprll xkoopn simprlr imaeq1
      sseq1d ad2antrr fnsnfv simprr1 eqsstrrd elrabd simprr2 inrab cdm eleqtrrd
      fdmd adantl simprr3 sseq0 expcom imadisj disjsn bitri syl6ib mt2d sylnibr
      ralrimiva rabeq0 sylibr syl5eq eleq2 ineq1 eqeq1d 3anbi13d ineq2 3anbi23d
      ssin rspc2ev syl113anc rexlimdvva syld rexlimdva sylbid sylbird ralrimivv
      ex ishaus sylanbrc ) AUCKZBUAKZLZBAUDUBZUCKZCMZDMZUEZCEUFZDFUFZEMZFMZNZOP
      ZQZFUUIREUUIRZUGZDUUIUHZSCUVCSUUIUAKUUGUUFBUCKZUUJBUIZABUJUKUUHUVBCDUVCUV
      CUUHUUKUVCKZUULUVCKZLUUKABULUBZKZUULUVHKZLZUVBUUHUVIUVFUVJUVGUUHUVHUVCUUK
      UUGUUFUVDUVHUVCPUVEABUUIUUIUPUMUKZUNUUHUVHUVCUULUVLUNUOUUHUVKUVBUUHUVKLZU
      UMGMZUUKUQZUVNUULUQZPZGAUHZSZURZUVAUVMUVSUUKUULUVMUUKUVRUSZUULUVRUSZCDUTU
      VSVAUVMUVRBUHZUUKUVMUVIUVRUWCUUKVBZUUHUVIUVJVCZUUKABUVRUWCUVRUPZUWCUPZVDV
      EZVJZUVMUVRUWCUULUVMUVJUVRUWCUULVBZUUHUVIUVJVFZUULABUVRUWCUWFUWGVDVEZVJZG
      UVRUUKUULVGVHVIUVTUVQURZGUVRRUVMUVAUVQGUVRVKUVMUWNUVAGUVRUVMUVNUVRKZLZUWN
      UVOHMZKZUVPIMZKZUWQUWSNZOPZQZIBRHBRZUVAUWNUVOUVPUEZUWPUXDUVOUVPVLUVMUWOUX
      EUXDUVMUWOUXELZLZUUGUVOUWCKUVPUWCKUXEUXDUUFUUGUVKUXFVMUXGUVRUWCUVNUUKUVMU
      WDUXFUWHWAUVMUWOUXEVCZVNUXGUVRUWCUVNUULUVMUWJUXFUWLWAUXHVNUVMUWOUXEVFUVOU
      VPIHBUWCUWGVOVPVQVRUWPUXCUVAHIBBUWPUWQBKZUWSBKZLZUXCUVAUWPUXKUXCLZLZJMZUV
      NVSZVTZUWQTZJUVHWBZUUIKUXPUWSTZJUVHWBZUUIKUUKUXRKZUULUXTKZUXRUXTNZOPZUVAU
      XMUXOABUWQJUVRUWFUUFUUGUVKUWOUXLWCZUUGUVDUUFUVKUWOUXLUVEWDZUXMUVNUVRUVMUW
      OUXLWEZWFZUXMAUXOWGUBZUXOWHZWIUXMAUVRWJUQKZUWOUYIUYJPUXMUUFUYKUYEAWKWLUYG
      UVNAUVRWMVHUXOWNKUYJWIKUVNWOUXOWPWQWRZUWPUXIUXJUXCWSWTUXMUXOABUWSJUVRUWFU
      YEUYFUYHUYLUWPUXIUXJUXCXAWTUXMUXQUUKUXOVTZUWQTJUUKUVHJCUTUXPUYMUWQUXNUUKU
      XOXBXCUVMUVIUWOUXLUWEXDUXMUYMUVOVSZUWQUXMUWAUWOUYNUYMPUVMUWAUWOUXLUWIXDUY
      GUVRUVNUUKXEVHUXMUVOUWQUWRUWTUXBUXKUWPXFWFXGXHUXMUXSUULUXOVTZUWSTJUULUVHJ
      DUTUXPUYOUWSUXNUULUXOXBXCUVMUVJUWOUXLUWKXDUXMUYOUVPVSZUWSUXMUWBUWOUYPUYOP
      UVMUWBUWOUXLUWMXDUYGUVRUVNUULXEVHUXMUVPUWSUWRUWTUXBUXKUWPXIWFXGXHUXMUYCUX
      QUXSLZJUVHWBZOUXQUXSJUVHXJUXMUYQURZJUVHSUYROPUXMUYSJUVHUXMUXNUVHKZLZUXPUX
      ATZUYQVUAVUBUVNUXNXKZKZVUAUVNUVRVUCUVMUWOUXLUYTVMUYTVUCUVRPUXMUYTUVRUWCUX
      NUXNABUVRUWCUWFUWGVDXMXNXLVUAVUBUXPOPZVUDURZVUAUXBVUBVUEUGUXMUXBUYTUWRUWT
      UXBUXKUWPXOWAVUBUXBVUEUXPUXAXPXQVEVUEVUCUXONOPVUFUXNUXOXRVUCUVNXSXTYAYBUX
      PUWQUWSYNYCYDUYQJUVHYEYFYGUUTUYAUYBUYDQUYAUUOUXRUUQNZOPZQEFUXRUXTUUIUUIUU
      PUXRPZUUNUYAUUSVUHUUOUUPUXRUUKYHVUIUURVUGOUUPUXRUUQYIYJYKUUQUXTPZUUOUYBVU
      HUYDUYAUUQUXTUULYHVUJVUGUYCOUUQUXTUXRYLYJYMYOYPVQYQYRYSVRYTUUCUUAUUBCDFEU
      UIUVCUVCUPUUDUUE $.
  $}

  ${
    $d f g k n u w x y z R $.  $d f g k n u w x y z S $.
    $d f g k n u w x y z X $.
    xkoptsub.x $e |- X = U. R $.
    xkoptsub.j $e |- J = ( Xt_ ` ( X X. { S } ) ) $.
    $( The compact-open topology is finer than the product topology restricted
       to continuous functions.  (Contributed by Mario Carneiro,
       19-Mar-2015.) $)
    xkoptsub $p |- ( ( R e. Top /\ S e. Top ) ->
      ( J |`t ( R Cn S ) ) C_ ( S ^ko R ) ) $=
      ( vk vu vw vy vx ctop wcel wa co cv cfv wceq eqid cvv vg vz vn crest cuni
      vf ccn cmap csn cmpt ccnv cima cmpo crn cun cfi ctg cxko cxp cpt wfn wral
      cdif cfn wrex w3a cixp wex cab topopn adantr wf fconstg adantl ffnd ptval
      syl2anc simpr ptbasfi fvconst2g adantll unieqd ixpeq2dva ixpconstg syl2an
      snssd eqtrd sneqd mpteq1d cnveqd imaeq1d ralrimivw jca ralrimiva mpoeq123
      fssd sylancr rneqd uneq12d fveq2d syl5eq oveq1d firest fveq2i fvex tgrest
      ovex mp2an eqtri eqtr4di wss xkotop cin mpoexga sylan rnexg unexg restval
      snex syl sylancl wo elun wb elmapg syl2anr syl5ibr ssrdv sseqtrrd sseqin2
      cnf elsni sylib xkouni eqeltrd eleq1d bitrd ccmp sylan2b eqsstrd elpreima
      rnmpo abeq2i crab cres cnvresima resmptd eqtr3id rgenw fnmpt fveq1 sselda
      mp1i fvmpt snss elmapi 3syl simplrl fnsnfv sseq1d syl5bb pm5.32da abbi2dv
      ffn df-rab simpll simprl cpw ctopon toptopon restsn2 snfi discmp eqeltrdi
      mpbi simprr xkoopn ineq1 syl5ibrcom rexlimdvva jaodan fmpttd frnd tgfiss
      imp ) ALMZBLMZNZCABUGOZUDOZBUEZDUHOZUIZGHDBIUWLGPZIPZQZUJZUKZHPZULZUMZUNZ
      UOZUWIUDOZUPQZUQQZBAUROZUWHUWJUXCUPQZUQQZUWIUDOZUXFUWHCUXIUWIUDUWHCDBUIZU
      SZUTQZUXIFUWHUXMUAPZDVAJPZUXNQZUXOUXLQZMJDVBUXPUXQUERJDUBPVCVBUBVDVEVFKPZ
      JDUXPVGRNUAVHKVIZUQQZUXIUWHDAMZUXLDVAUXMUXTRUWFUYAUWGADEVJZVKZUWHDUXKUXLU
      WGDUXKUXLVLUWFDBLVMVNZVOKJUBDUXSUAUXLAUXSSZVPVQUWHUXSUXHUQUWHUXSUCDUCPZUX
      LQZUEZVGZUIZGHDUWNUXLQZIUYIUWPUJZUKZUWSULZUMZUNZUOZUPQZUXHUWHUYADLUXLVLUX
      SUYRRUYCUWHDUXKLUXLUYDUWHBLUWFUWGVRZWFWPKJUBIHDUXSUAGUCUXLAUYIUYEUYISVSVQ
      UWHUYQUXCUPUWHUYJUWMUYPUXBUWHUYIUWLUWHUYIUCDUWKVGZUWLUWHUCDUYHUWKUWHUYFDM
      ZNUYGBUWGVUAUYGBRUWFDBUYFLVTWAWBWCUWFUYAUWKBMZUYTUWLRUWGUYBBUWKUWKSZVJZUC
      DUWKABWDWEWGZWHUWHUYOUXAUWHDDRUYKBRZUYNUWTRZHUYKVBZNZGDVBUYOUXARDSUWHVUIG
      DUWHUWNDMZNZVUFVUHUWGVUJVUFUWFDBUWNLVTWAVUKVUGHUYKVUKUYMUWRUWSVUKUYLUWQVU
      KIUYIUWLUWPUWHUYIUWLRVUJVUEVKWIWJWKWLWMWNGHDUYKUYNDBUWTWOWQWRWSWTWGWTWGXA
      XBUXFUXHUWIUDOZUQQZUXJUXEVULUQUWIUXCXCXDUXHTMUWITMZVUMUXJRUXCUPXEABUGXGZU
      WIUXHTTXFXHXIXJUWHUXGLMZUXDUXGXKUXFUXGXKABXLZUWHUXDKUXCUXRUWIXMZUJZUNZUXG
      UWHUXCTMZVUNUXDVUTRUWHUWMTMUXBTMZVVAUWLXSUWHUXATMZVVBUWFUYAUWGVVCUYBGHDBU
      WTALXNXOUXATXPXTUWMUXBTTXQWQVUOKUWIUXCTTXRYAUWHUXCUXGVUSUWHKUXCVURUXGUXRU
      XCMUWHUXRUWMMZUXRUXBMZYBVURUXGMZUXRUWMUXBYCUWHVVDVVFVVEUWHVVDNZVURUWIUXGV
      VGUWIUXRXKVURUWIRVVGUWIUWLUXRUWHUWIUWLXKZVVDUWHKUWIUWLUXRUWIMUXRUWLMZUWHD
      UWKUXRVLZUXRABDUWKEVUCYKUWGVUBUYAVVIVVJYDUWFVUDUYBUWKDUXRBAYEYFYGYHZVKVVD
      UXRUWLRUWHUXRUWLYLVNYIUWIUXRYJYMUWHUWIUXGMVVDUWHUWIUXGUEZUXGABUXGUXGSYNUW
      HVUPVVLUXGMVUQUXGVVLVVLSVJXTYOVKYOVVEUWHUXRUWTRZHBVEGDVEZVVFVVNKUXBGHKDBU
      WTUXAUXASUUBUUCUWHVVNVVFUWHVVMVVFGHDBUWHVUJUWSBMZNZNZVVFVVMUWTUWIXMZUXGMV
      VQVVRUFPZUWNUIZULZUWSXKZUFUWIUUDZUXGVVQVVRIUWIUWPUJZUKZUWSULZVWCVVQVVRUWQ
      UWIUUEZUKZUWSULVWFUWIUWSUWQUUFVVQVWHVWEUWSVVQVWGVWDVVQIUWLUWIUWPUWHVVHVVP
      VVKVKZUUGWJWKUUHVVQVWFVVSUWIMZVWBNZUFVIVWCVVQVWKUFVWFVVQVVSVWFMZVWJVVSVWD
      QZUWSMZNZVWKVVQVWDUWIVAZVWLVWOYDUWPTMZIUWIVBVWPVVQVWQIUWIUWNUWOXEUUIIUWIU
      WPVWDTVWDSZUUJUUMUWIVVSUWSVWDUUAXTVVQVWJVWNVWBVVQVWJNZVWNUWNVVSQZUWSMZVWB
      VWSVWMVWTUWSVWJVWMVWTRVVQIVVSUWPVWTUWIVWDUWNUWOVVSUUKVWRUWNVVSXEZUUNVNYPV
      XAVWTUIZUWSXKVWSVWBVWTUWSVXBUUOVWSVXCVWAUWSVWSVVSDVAZVUJVXCVWARVWSVVSUWLM
      DUWKVVSVLVXDVVQUWIUWLVVSVWIUULVVSUWKDUUPDUWKVVSUVDUUQUWHVUJVVOVWJUURDUWNV
      VSUUSVQUUTUVAYQUVBYQUVCVWBUFUWIUVEXJWGVVQVVTABUWSUFDEUWFUWGVVPUVFZUWHUWGV
      VPUYSVKVVQUWNDUWHVUJVVOUVGZWFVVQAVVTUDOZVVTUVHZYRVVQADUVIQMZVUJVXGVXHRVVQ
      UWFVXIVXEADEUVJYMVXFUWNADUVKVQVVTVDMVXHYRMUWNUVLVVTUVMUVOUVNUWHVUJVVOUVPU
      VQYOVVMVURVVRUXGUXRUWTUWIUVRYPUVSUVTUWEYSUWAYSUWBUWCYTUXDUXGUWDVQYT $.
  $}

  ${
    $d f k v x A $.  $d f k v x R $.  $d f k v x V $.
    $( The compact-open topology on a discrete set coincides with the product
       topology where all the factors are the same.  (Contributed by Mario
       Carneiro, 19-Mar-2015.)  (Revised by Mario Carneiro, 12-Sep-2015.) $)
    xkopt $p |- ( ( R e. Top /\ A e. V ) ->
      ( R ^ko ~P A ) = ( Xt_ ` ( A X. { R } ) ) ) $=
      ( vk vv vx vf ctop wcel wa co cfv cv crest wss wceq eqid cfn wb adantl wf
      cpw cxko csn cxp cpt ccmp crab cima ccn cmpo crn cfi ctg simpl cuni unipw
      distop eqcomi xkoval syl2an2 simpr fconst6g adantr pttop syl2anc cmap cin
      wrex cab elpwi restdis sylan2 adantll eleq1d discmp bitr4di dfin5 eqtr4di
      eqidd ctopon toptopon2 cndis ancoms sylanb rabeqdv mpoeq123dv rneqd rnmpo
      rabbidva eqtrdi cif cixp elmapi wral wi eleq2 imbi2d bibi1d simprl elin1d
      elpwid sselda 2thd imbi1d wn ffvelrn pm2.21 ifbothda ralbidv2 wfn ffn vex
      elixp baib syl wfun cdm ffun sseqtrrd funimass4 3bitr4d rabbi2dva elssuni
      fdm ad2antll ssid sseq1 ifboth sylancl ralrimivw ss2ixp cvv simplr uniexg
      ex ad2antrr ixpconstg eqsstrd eqtrd sseqtrd sseqin2 eqtr3d elin2d simplrr
      sylib topopn ad3antrrr fvconst2g ad4ant14 eleqtrrd eldifn iffalsed eldifi
      ifcld cdif unieqd eqtr4d ptopn eqeltrd eleq1 syl5ibrcom rexlimdvva abssdv
      tgfiss ptuniconst oveq2d restid xkoptsub eqsstrrd eqssd ) BHIZACIZJZBAUBZ
      UCKZABUDUEZUFLZUVNUVPDEUVOFMZNKZUGIZFUVOUHZBGMZDMZUIEMZOZGUVOBUJKZUHZUKZU
      LZUMLUNLZUVRUVMUVOHIZUVLUVLUVPUWKPACURZUVLUVMUOZFEUVOBUWIGDUWBAUVOUPAAUQU
      SZUWBQUWIQUTVAUVNUVRHIZUWJUVROUWKUVROUVNUVMAHUVQUAZUWPUVLUVMVBUVLUWQUVMAB
      HVCZVDAUVQCVEVFZUVNUWJUVSUWFGBUPZAVGKZUHZPZEBVIDUVORVHZVIZFVJZUVRUVNUWJDE
      UXDBUXBUKZULUXFUVNUWIUXGUVNDEUWBBUWHUXDBUXBUVNUWBUVSRIZFUVOUHUXDUVNUWAUXH
      FUVOUVNUVSUVOIZJZUWAUVSUBZUGIUXHUXJUVTUXKUGUVMUXIUVTUXKPZUVLUXIUVMUVSAOUX
      LUVSAVKAUVSCVLVMVNVOUVSVPVQWJFUVORVRVSUVNBVTUVNUWFGUWGUXAUVLBUWTWALIZUVMU
      WGUXAPZBWBUVMUXMUXNABCUWTWCWDWEZWFWGWHDEFUXDBUXBUXGUXGQWIWKUVNUXEFUVRUVNU
      XCUVSUVRIZDEUXDBUVNUWDUXDIZUWEBIZJZJZUXPUXCUXBUVRIUXTUXBFAUVSUWDIZUWEUWTW
      LZWMZUVRUXTUXAUYCVHZUXBUYCUXTUWFGUXAUYCUWCUXAIUXTAUWTUWCUAZUWCUYCIZUWFSUW
      CUWTAWNUXTUYEJZUVSUWCLZUYBIZFAWOZUYHUWEIZFUWDWOZUYFUWFUYGUYIUYKFAUWDUYAUV
      SAIZUYKWPZUYAUYKWPZSUYMUYHUWTIZWPZUYOSUYMUYIWPZUYOSUYGUWEUWTUWEUYBPZUYNUY
      RUYOUYSUYKUYIUYMUWEUYBUYHWQWRWSUWTUYBPZUYQUYRUYOUYTUYPUYIUYMUWTUYBUYHWQWR
      WSUYGUYAJZUYMUYAUYKVUAUYMUYAUYGUWDAUVSUXTUWDAOUYEUXTUWDAUXTUVORUWDUVNUXQU
      XRWTZXAXBVDZXCUYGUYAVBXDXEUYGUYAXFZJUYQUYOUYGUYQVUDUYEUYQUXTUYEUYMUYPAUWT
      UVSUWCXGYPTVDVUDUYOUYGUYAUYKXHTXDXIXJUYGUWCAXKZUYFUYJSUYEVUEUXTAUWTUWCXLT
      UYFVUEUYJFAUYBUWCGXMXNXOXPUYEUWCXQUXTUWDUWCXRZOUWFUYLSAUWTUWCXSUYGUWDAVUF
      VUCUYEVUFAPUXTAUWTUWCYETXTFUWDUWEUWCYAVAYBVMYCUXTUYCUXAOUYDUYCPUXTUYCFAUW
      TWMZUXAUXTUYBUWTOZFAWOUYCVUGOUXTVUHFAUXTUWEUWTOZUWTUWTOZVUHUXRVUIUVNUXQUW
      EBYDYFUWTYGUYAVUIVUJVUHUWEUWTUWEUYBUWTYHUWTUYBUWTYHYIYJYKFAUYBUWTYLXPUXTU
      VMUWTYMIZVUGUXAPUVLUVMUXSYNZUVLVUKUVMUXSBHYOYQFAUWTCYMYRVFUUAUYCUXAUUBUUF
      UUCUXTAUYBFUVQCUWDVULUVLUWQUVMUXSUWRYQUXTUVORUWDVUBUUDUXTUYMJZUYBBUVSUVQL
      ZVUMUYAUWEUWTBUVNUXQUXRUYMUUEUVLUWTBIUVMUXSUYMBUWTUWTQZUUGUUHUUOUVLUYMVUN
      BPZUVMUXSABUVSHUUIUUJZUUKUXTUVSAUWDUUPIZJZUYBUWTVUNUPVURUYBUWTPUXTVURUYAU
      WEUWTUVSAUWDUULUUMTVUSVUNBVURUXTUYMVUPUVSAUWDUUNVUQVMUUQUURUUSUUTUVSUXBUV
      RUVAUVBUVCUVDYSUWJUVRUVEVFYSUVNUVRUVRUWGNKZUVPUVNVUTUVRUVRUPZNKZUVRUVNUWG
      VVAUVRNUVNUWGUXAVVAUXOUVMUVLUXAVVAPABUVRCUWTUVRQZVUOUVFWDYTUVGUVNUWPVVBUV
      RPUWSUVRHVVAVVAQUVHXPYTUVMUWLUVLUVLVUTUVPOUWMUWNUVOBUVRAUWOVVCUVIVAUVJUVK
      $.
  $}

  ${
    $d f A $.  $d f R $.  $d f S $.  $d f X $.
    xkopjcn.1 $e |- X = U. R $.
    $( Continuity of a projection map from the space of continuous functions.
       (This theorem can be strengthened, to joint continuity in both ` f ` and
       ` A ` as a function on ` ( S ^ko R ) tX R ` , but not without stronger
       assumptions on ` R ` ; see ~ xkofvcn .)  (Contributed by Mario Carneiro,
       3-Feb-2015.)  (Revised by Mario Carneiro, 22-Aug-2015.) $)
    xkopjcn $p |- ( ( R e. Top /\ S e. Top /\ A e. X ) ->
      ( f e. ( R Cn S ) |-> ( f ` A ) ) e. ( ( S ^ko R ) Cn S ) ) $=
      ( ctop wcel cfv ccn co cmpt cuni ctopon wss eqid 3adant3 wceq wf syl2anc
      w3a csn cxp cpt crest cv xkotopon topopn 3ad2ant1 fconst6g 3ad2ant2 pttop
      cxko cnf cvv uniexg elmapd syl5ibr ssrdv simp2 ptuniconst sseqtrd restuni
      cmap fveq2d eleqtrd xkoptsub cnss1 resmptd simp3 ptpjcn syl3anc fvconst2g
      cres 3adant1 oveq2d cnrest eqeltrrd sseldd ) BGHZCGHZAEHZUAZECUBUCZUDIZBC
      JKZUEKZCJKZCBUMKZCJKZDWFADUFZIZLZWCWIWGMZNIZHWGWIOZWHWJOWCWIWFNIZWOVTWAWI
      WQHWBBCWIWIPUGQWCWFWNNWCWEGHZWFWEMZOZWFWNRWCEBHZEGWDSZWRVTWAXAWBBEFUHUIZW
      AVTXBWBECGUJUKZEWDBULTWCWFCMZEVDKZWSWCDWFXFWKWFHWKXFHWCEXEWKSWKBCEXEFXEPZ
      UNWCXEEWKUOBWAVTXEUOHWBCGUPUKXCUQURUSWCXAWAXFWSRXCVTWAWBUTECWEBXEWEPZXGVA
      TVBZWFWEWSWSPZVCTVEVFVTWAWPWBBCWEEFXHVGQWGWICWNWNPVHTWCDWSWLLZWFVNZWMWHWC
      DWSWFWLXIVIWCXKWECJKZHWTXLWHHWCXKWEAWDIZJKZXMWCXAXBWBXKXOHXCXDVTWAWBVJDEW
      DAWEBWSXJXHVKVLWCXNCWEJWAWBXNCRVTECAGVMVOVPVFXIWFXKWECWSXJVQTVRVS $.
  $}

  ${
    $d g k v x ph $.  $d g h k v x y R $.  $d g k v x S $.  $d g h k v x y T $.
    $d g h k v x F $.
    xkoco1cn.t $e |- ( ph -> T e. Top ) $.
    xkoco1cn.f $e |- ( ph -> F e. ( R Cn S ) ) $.
    $( If ` F ` is a continuous function, then ` g |-> g o. F ` is a continuous
       function on function spaces.  (The reason we prove this and ~ xkoco2cn
       independently of the more general ~ xkococn is because that requires
       some inconvenient extra assumptions on ` S ` .)  (Contributed by Mario
       Carneiro, 20-Mar-2015.) $)
    xkoco1cn $p |- ( ph ->
      ( g e. ( S Cn T ) |-> ( g o. F ) ) e. ( ( T ^ko S ) Cn ( T ^ko R ) ) ) $=
      ( vx vk vv vy vh ccn co cv wcel cima wa eqid ccom cmpt cxko wf ccnv crest
      ccmp cuni cpw crab wss cmpo crn wral cnco fmpttd wceq wrex xkobval abeq2i
      sylan ad2antrr imaeq1 imaco eqtrdi sseq1d elrab3 syl rabbidva ctop cntop2
      imassrn cnf frn 3syl sstrid imacmp sylancom simplrr xkoopn eqeltrd imaeq2
      mptpreima eleq1d syl5ibrcom expimpd rexlimdvva syl5bi ralrimiv cvv ctopon
      wb cfv xkotopon syl2anc ovex pwex cxp xkotf ax-mp ssexi a1i cntop1 xkoval
      cfi ctg subbascn mpbir2and ) AECDNOZEPZFUAZUBZDCUCOZDBUCOZNOQXIBDNOZXLUDX
      LUEZIPZRZXMQZIJKBLPUFOUGQLBUHZUIZUJZDMPZJPZRZKPZUKZMXOUJZULZUMZUNAEXIXKXO
      AFBCNOQZXJXIQZXKXOQZHFXJBCDUOZVAUPAXSIYJXQYJQBYDUFOUGQZXQYHUQZSZKDURJYAUR
      ZAXSYRIYJLKBDYIMJYBXTIXTTZYBTZYITZUSUTAYQXSJKYADAYDYAQZYFDQZSZSZYOYPXSUUE
      YOSZXSYPXKYHQZEXIUJZXMQUUFUUHXJFYDRZRZYFUKZEXIUJXMUUFUUGUUKEXIUUFYLSYMUUG
      UUKWLUUFYKYLYMAYKUUDYOHVBZYNVAYGUUKMXKXOYCXKUQZYEUUJYFUUMYEXKYDRUUJYCXKYD
      VCXJFYDVDVEVFVGVHVIUUFUUICDYFECUHZUUNTZACVJQZUUDYOAYKUUPHFBCVKVHZVBADVJQZ
      UUDYOGVBUUFUUIFUMZUUNFYDVLUUFYKXTUUNFUDUUSUUNUKUULFBCXTUUNYSUUOVMXTUUNFVN
      VOVPUUEYOYKCUUIUFOUGQUULYDFBCVQVRAUUBUUCYOVSVTWAYPXRUUHXMYPXRXPYHRUUHXQYH
      XPWBEXIXKYHXLXLTWCVEWDWEWFWGWHWIAIYJXLXMXNWJXIXOAUUPUURXMXIWKWMQUUQGCDXMX
      MTWNWOYJWJQAYJXOUIZXOBDNWPWQYBDWRZUUTYIUDYJUUTUKLKBDYIMJYBXTYSYTUUAWSUVAU
      UTYIVNWTXAXBABVJQZUURXNYJXEWMXFWMUQAYKUVBHFBCXCVHZGLKBDYIMJYBXTYSYTUUAXDW
      OAUVBUURXNXOWKWMQUVCGBDXNXNTWNWOXGXH $.
  $}

  ${
    $d g k v x ph $.  $d g h k v x y R $.  $d g k v x S $.  $d g h k v x y T $.
    $d g h k v x F $.
    xkoco2cn.r $e |- ( ph -> R e. Top ) $.
    xkoco2cn.f $e |- ( ph -> F e. ( S Cn T ) ) $.
    $( If ` F ` is a continuous function, then ` g |-> F o. g ` is a continuous
       function on function spaces.  (Contributed by Mario Carneiro,
       23-Mar-2015.) $)
    xkoco2cn $p |- ( ph ->
      ( g e. ( R Cn S ) |-> ( F o. g ) ) e. ( ( S ^ko R ) Cn ( T ^ko R ) ) ) $=
      ( vx vk vv vy vh co cv wcel cima wa syl2anc eqid ccn ccom cmpt cxko crest
      wf ccnv ccmp cuni cpw crab wss cmpo crn wral adantr cnco fmpttd wceq wrex
      simpr xkobval abeq2i ad3antrrr imaeq1 imaco eqtrdi sseq1d elrab3 syl wfun
      wb cdm cnf ffund imassrn frnd fdmd sseqtrrd funimass3 bitrd rabbidva ctop
      sstrid ad2antrr cntop1 simplrl elpwid simplrr cnima xkoopn eqeltrd imaeq2
      mptpreima eleq1d syl5ibrcom expimpd rexlimdvva syl5bi ralrimiv cvv ctopon
      cfv xkotopon ovex pwex cxp xkotf frn ax-mp a1i cfi cntop2 xkoval subbascn
      ssexi ctg mpbir2and ) AEBCUANZFEOZUBZUCZCBUDNZDBUDNZUANPXSBDUANZYBUFYBUGZ
      IOZQZYCPZIJKBLOUENUHPLBUIZUJZUKZDMOZJOZQZKOZULZMYEUKZUMZUNZUOAEXSYAYEAXTX
      SPZRUUAFCDUANPZYAYEPZAUUAVAAUUBUUAHUPXTFBCDUQZSURAYIIYTYGYTPBYNUENUHPZYGY
      RUSZRZKDUTJYKUTZAYIUUHIYTLKBDYSMJYLYJIYJTZYLTZYSTZVBVCAUUGYIJKYKDAYNYKPZY
      PDPZRZRZUUEUUFYIUUOUUERZYIUUFYAYRPZEXSUKZYCPUUPUURXTYNQZFUGYPQZULZEXSUKYC
      UUPUUQUVAEXSUUPUUARZUUQFUUSQZYPULZUVAUVBUUCUUQUVDVLUVBUUAUUBUUCUUPUUAVAZA
      UUBUUNUUEUUAHVDUUDSYQUVDMYAYEYMYAUSZYOUVCYPUVFYOYAYNQUVCYMYAYNVEFXTYNVFVG
      VHVIVJUVBFVKUUSFVMZULUVDUVAVLUVBCUIZDUIZFAUVHUVIFUFZUUNUUEUUAAUUBUVJHFCDU
      VHUVIUVHTZUVITVNVJVDZVOUVBUUSUVHUVGUVBUUSXTUNUVHXTYNVPUVBYJUVHXTUVBUUAYJU
      VHXTUFUVEXTBCYJUVHUUIUVKVNVJVQWDUVBUVHUVIFUVLVRVSUUSYPFVTSWAWBUUPYNBCUUTE
      YJUUIABWCPZUUNUUEGWEACWCPZUUNUUEAUUBUVNHFCDWFVJZWEUUPYNYJAUULUUMUUEWGWHUU
      OUUEVAUUPUUBUUMUUTCPAUUBUUNUUEHWEAUULUUMUUEWIYPFCDWJSWKWLUUFYHUURYCUUFYHY
      FYRQUURYGYRYFWMEXSYAYRYBYBTWNVGWOWPWQWRWSWTAIYTYBYCYDXAXSYEAUVMUVNYCXSXBX
      CPGUVOBCYCYCTXDSYTXAPAYTYEUJZYEBDUAXEXFYLDXGZUVPYSUFYTUVPULLKBDYSMJYLYJUU
      IUUJUUKXHUVQUVPYSXIXJXPXKAUVMDWCPZYDYTXLXCXQXCUSGAUUBUVRHFCDXMVJZLKBDYSMJ
      YLYJUUIUUJUUKXNSAUVMUVRYDYEXBXCPGUVSBDYDYDTXDSXOXR $.
  $}

  ${
    $d a k s u v w x y z A $.  $d b k s u v w x y z B $.  $d k s u v w x ph $.
    $d a b f g h k u v w x y z R $.  $d a b f g k s u v w x y z S $.
    $d b h k s u v w x y z K $.  $d a b f g h k u v w x y z T $.
    $d a b k u v w x y z F $.  $d a h k s u v w x y z V $.
    xkococn.1 $e |- F = ( f e. ( S Cn T ) , g e. ( R Cn S ) |-> ( f o. g ) ) $.
    ${
      xkococn.s $e |- ( ph -> S e. N-Locally Comp ) $.
      xkococn.k $e |- ( ph -> K C_ U. R ) $.
      xkococn.c $e |- ( ph -> ( R |`t K ) e. Comp ) $.
      xkococn.v $e |- ( ph -> V e. T ) $.
      xkococn.a $e |- ( ph -> A e. ( S Cn T ) ) $.
      xkococn.b $e |- ( ph -> B e. ( R Cn S ) ) $.
      xkococn.i $e |- ( ph -> ( ( A o. B ) " K ) C_ V ) $.
      $( Continuity of the composition operation as a function on continuous
         function spaces.  (Contributed by Mario Carneiro, 20-Mar-2015.)
         (Revised by Mario Carneiro, 22-Aug-2015.) $)
      xkococnlem $p |- ( ph -> E. z e. ( ( T ^ko S ) tX ( S ^ko R ) )
        ( <. A , B >. e. z /\
          z C_ ( `' F " { h e. ( R Cn T ) | ( h " K ) C_ V } ) ) ) $=
        ( vw vk vy vx vs vu va vb vv cima crest co cuni cv wceq ccnv cpw wf cfv
        cnt wss ccmp wcel wa wral wex cfn cin wrex cop ccn crab cxko ctx imacmp
        wel syl2anc w3a cnlly adantr cnima ccom imaco eqsstrrid wfun cdm wb cnf
        eqid ffun 3syl crn imassrn frn sstrid fdm funimass3 mpbid sselda nlly2i
        sseqtrrd syl3anc cvv nllytop syl ad3antrrr imaexg simprl sstrd syl22anc
        ctop eleq2 anbi12d rspcev syl12anc mpd ciun cxp ad2antrr xkotop simprrl
        sylib simprrr ralimi xkoopn eqsstrd iunss ex ralimdv sylc imaeq1 sseq1d
        elrabd ss2iun elrab vex coex ssrab2 mp2an elrestr simprr1 simpllr elind
        inss1 elpwi ad2antlr elssuni simprr2 ssntr cleq1lem rexlimdvaa reximdva
        simprr3 jca rexcom r19.42v rexbii bitri ralrimiva restuni raleqdv fveq2
        sseq2d oveq2 eleq1d cmpcovf wi eqeq1d biimpar cntop2 cntop1 sspwuni wfn
        frnd ffn fniunfv oveq2d simplr elin2d simpr fiuncmp ntropn iunopn txopn
        eqeltrrd imaiun imaeq2d eqtr3id simpl1 3ad2ant2 simp3 r19.21bi ralbidva
        3bitr4g mpbird eqsstrrd uniiun eqtrdi simpl opelxpd anbi12i coeq1 coeq2
        simprll ovmpo ntrss2 sseqtrd imass2 simprlr eqsstrid eqeltrd ralrimivva
        cnco sylan2b mpofun xpss12 dmmpo sseqtrri funimassov sseq1 expr exlimdv
        sylibr syldan expimpd rexlimdva ) AFDLUKZULUMZUNZUBUOZUNZUPZUYKCUQMUKZU
        RZUCUOZUSZUDUOZUYRUYPUTZFVAUTZUTZVBZFUYSULUMZVCVDZVEZUDUYKVFZVEZUCVGZVE
        ZUBUYIURZVHVIZVJZCDVKZBUOZVDZVUNKUQJUOZLUKZMVBZJEGVLUMZVMZUKZVBZVEZBGFV
        NUMZFEVNUMZVOUMZVJZAUYIVCVDZUEUDVQZUYRUFUOZUYTUTZVBZFVVJULUMZVCVDZVEZUF
        UYOVJVEZUDUYIVJZUEUYJVFZVULADEFVLUMZVDZELULUMVCVDZVVHTQLDEFVPVRAVVQUEUY
        HVFVVRAVVQUEUYHAUEUOZUYHVDZVEZVVIVVOVEZUDUYIVJZUFUYOVJZVVQVWDUEUGVQZUGU
        OZVVJVBZVVNVSZUGFVJZUFUYOVJZVWGVWDFVCVTVDZUYNFVDZVWBUYNVDVWMAVWNVWCOWAA
        VWOVWCACFGVLUMZVDZMGVDZVWOSRMCFGWBVRZWAAUYHUYNVWBACUYHUKZMVBZUYHUYNVBZA
        VWTCDWCLUKMCDLWDUAWEACWFZUYHCWGZVBVXAVXBWHAVWQFUNZGUNZCUSZVXCSCFGVXEVXF
        VXEWJZVXFWJWIZVXEVXFCWKWLZAUYHVXEVXDAUYHDWMZVXEDLWNAVVTEUNZVXEDUSVXKVXE
        VBTDEFVXLVXEVXLWJZVXHWIVXLVXEDWOWLWPZAVWQVXGVXDVXEUPZSVXIVXEVXFCWQWLZXB
        UYHMCWRVRWSWTUGVCVWBUYNFUFXAXCVWDVWLVWFUFUYOVWDVVJUYOVDZVEZVWKVWFUGFVXR
        VWIFVDZVWKVEZVEZVWIUYHVIZUYIVDZVWBVYBVDZVYBVVKVBZVVNVEZVWFVYAFXLVDZUYHX
        DVDZVXSVYCAVYGVWCVXQVXTAVWNVYGOVCFXEXFZXGZAVYHVWCVXQVXTAVVTVYHTDLVVSXHX
        FXGVXRVXSVWKXIZVWIUYHFXLXDUUAXCVYAVWIUYHVWBVWHVWJVVNVXSVXRUUBAVWCVXQVXT
        UUCUUDVYAVYEVVNVYAVYBVWIVVKVWIUYHUUEVYAVYGVVJVXEVBVXSVWJVWIVVKVBVYJVYAV
        VJUYNVXEVXQVVJUYNVBVWDVXTVVJUYNUUFUUGAUYNVXEVBZVWCVXQVXTAVWOVYLVWSUYNFU
        UHZXFXGXJVYKVWHVWJVVNVXSVXRUUIVVJFVWIVXEVXHUUJXKWPVWHVWJVVNVXSVXRUUNUUO
        VWEVYDVYFVEUDVYBUYIUYRVYBUPVVIVYDVVOVYFUYRVYBVWBXMVVNUYRVYBVVKUUKXNXOXP
        UULUUMXQVWGVWEUFUYOVJZUDUYIVJVVQVWEUFUDUYOUYIUUPVYNVVPUDUYIVVIVVOUFUYOU
        UQUURUUSYCUUTAVVQUEUYHUYJAVYGUYHVXEVBUYHUYJUPZVYIVXNUYHFVXEVXHUVAVRZUVB
        WSVVOVUEUEUDUFUYOUCUYIUYJUBUYJWJVVJUYSUPZVVLVUBVVNVUDVYQVVKVUAUYRVVJUYS
        UYTUVCUVDVYQVVMVUCVCVVJUYSFULUVEUVFXNUVGVRAVUIVVGUBVUKAUYKVUKVDZVEZUYMV
        UHVVGVYSUYMUYHUYLUPZVUHVVGUVHVYSVYTUYMVYSUYHUYJUYLAVYOVYRVYPWAUVIUVJVYS
        VYTVEVUGVVGUCVYSVYTVUGVVGVYSVYTVUGVEZVEZUHUOZUYPWMZUNZUKZMVBZUHVWPVMZUI
        UOZLUKZUDUYKVUAXRZVBZUIVVSVMZXSZVVFVDZVUMWUNVDZWUNVVAVBZVVGWUBVVDXLVDZV
        VEXLVDZWUHVVDVDWUMVVEVDWUOWUBVYGGXLVDZWURAVYGVYRWUAVYIXTZAWUTVYRWUAAVWQ
        WUTSCFGUVKXFXTZFGYAVRWUBEXLVDZVYGWUSAWVCVYRWUAAVVTWVCTDEFUVLXFXTZWVAEFY
        AVRWUBWUEFGMUHVXEVXHWVAWVBWUBWUEUYNVXEWUBWUDUYOVBWUEUYNVBWUBUYKUYOUYPVY
        SVYTUYQVUFYBZUVOWUDUYNUVMYCZWUBVWOVYLAVWOVYRWUAVWSXTVYMXFXJZWUBFUDUYKUY
        SXRZULUMZFWUEULUMVCWUBWVHWUEFULWUBUYQUYPUYKUVNZWVHWUEUPZWVEUYKUYOUYPUVP
        ZUDUYKUYPUVQZWLZUVRWUBVYGUYKVHVDVUDUDUYKVFZWVIVCVDWVAWUBVUJVHUYKAVYRWUA
        UVSUVTWUBVUFWVOVYSVYTUYQVUFYDZVUEVUDUDUYKVUBVUDUWAYEXFUDUYKUYSFVXEVXHUW
        BXCUWFAVWRVYRWUARXTYFWUBLEFWUKUIVXLVXMWVDWVAALVXLVBVYRWUAPXTAVWAVYRWUAQ
        XTWUBVYGVUAFVDZUDUYKVFZWUKFVDWVAWUBVYGUYSVXEVBZUDUYKVFZWVRWVAWUBWVHVXEV
        BWVTWUBWVHWUEVXEWVNWVGYGUDUYKUYSVXEYHYCZVYGWVSWVQUDUYKVYGWVSWVQUYSFVXEV
        XHUWCYIYJYKUDUYKVUAFUWDVRYFWUHWUMVVDVVEXLXLUWEXKWUBCDWUHWUMWUBWUGCWUEUK
        ZMVBUHCVWPWUCCUPWUFWWBMWUCCWUEYLYMAVWQVYRWUASXTWUBWWBUDUYKCUYSUKZXRZMWU
        BWWDCWVHUKWWBUDCUYKUYSUWGWUBWVHWUECWVNUWHUWIWUBWWDMVBZWVHUYNVBZWUBWVHWU
        EUYNWVNWVFYGWUBVXCWVJWUEVXDVBZWWEWWFWHAVXCVYRWUAVXJXTWUBUYQWVJWVEWVLXFW
        UBWUEVXEVXDWVGAVXOVYRWUAVXPXTXBVXCWVJWWGVSZWWCMVBZUDUYKVFUYSUYNVBZUDUYK
        VFWWEWWFWWHWWIWWJUDUYKWWHUDUBVQZVEVXCUYSVXDVBZWWIWWJWHVXCWVJWWGWWKUWJWW
        HWWLUDUYKWWHWVHVXDVBWWLUDUYKVFWWHWVHWUEVXDWVJVXCWVKWWGWVMUWKVXCWVJWWGUW
        LYGUDUYKUYSVXDYHYCUWMUYSMCWRVRUWNUDUYKWWCMYHUDUYKUYSUYNYHUWOXCUWPUWQYNW
        UBWULUYHWUKVBUIDVVSWUIDUPWUJUYHWUKWUIDLYLYMAVVTVYRWUATXTWUBUYHUDUYKUYRX
        RZWUKWUBUYHUYLWWMVYSVYTVUGXIUDUYKUWRUWSWUBVUFVUBUDUYKVFWWMWUKVBWVPVUEVU
        BUDUYKVUBVUDUWTYEUDUYKUYRVUAYOWLYGYNUXAWUBKWUNUKVUTVBZWUQWUBVWIUJUOZKUM
        ZVUTVDZUJWUMVFUGWUHVFZWWNWUBWWQUGUJWUHWUMVWIWUHVDZWWOWUMVDZVEWUBVWIVWPV
        DZVWIWUEUKZMVBZVEZWWOVVSVDZWWOLUKZWUKVBZVEZVEZWWQWWSWXDWWTWXHWUGWXCUHVW
        IVWPWUCVWIUPWUFWXBMWUCVWIWUEYLYMYPWULWXGUIWWOVVSWUIWWOUPWUJWXFWUKWUIWWO
        LYLYMYPUXBWUBWXIVEZWWPVWIWWOWCZVUTWXJWXAWXEWWPWXKUPWUBWXAWXCWXHUXEZWUBW
        XDWXEWXGYBZHIVWIWWOVWPVVSHUOZIUOZWCZWXKKVWIWXOWCWXNVWIWXOUXCWXOWWOVWIUX
        DNVWIWWOUGYQUJYQYRUXFVRWXJVURWXKLUKZMVBJWXKVUSVUPWXKUPVUQWXQMVUPWXKLYLY
        MWXJWXEWXAWXKVUSVDWXMWXLWWOVWIEFGUXNVRWXJWXQVWIWXFUKZMVWIWWOLWDWXJWXRWX
        BMWXJWXFWUEVBWXRWXBVBWXJWXFWUKWUEWUBWXDWXEWXGYDWUBWUKWUEVBWXIWUBWUKWVHW
        UEWUBVUAUYSVBZUDUYKVFZWUKWVHVBWUBVYGWVTWXTWVAWWAVYGWVSWXSUDUYKVYGWVSWXS
        UYSFVXEVXHUXGYIYJYKUDUYKVUAUYSYOXFWVNUXHWAXJWXFWUEVWIUXIXFWUBWXAWXCWXHU
        XJXJUXKYNUXLUXOUXMKWFZWUNKWGZVBZWWNWWRWHHIVWPVVSWXPKNUXPZWUNVWPVVSXSZWY
        BWUHVWPVBWUMVVSVBWUNWYEVBWUGUHVWPYSWULUIVVSYSWUHVWPWUMVVSUXQYTHIVWPVVSW
        XPKNWXNWXOHYQIYQYRUXRUXSZUGUJWUHWUMVUTKUXTYTUYDWYAWYCWWNWUQWHWYDWYFWUNV
        UTKWRYTYCVVCWUPWUQVEBWUNVVFVUNWUNUPVUOWUPVVBWUQVUNWUNVUMXMVUNWUNVVAUYAX
        NXOXPUYBUYCUYEUYFUYGXQ $.
    $}

    $( Continuity of the composition operation as a function on continuous
       function spaces.  (Contributed by Mario Carneiro, 20-Mar-2015.)
       (Revised by Mario Carneiro, 22-Aug-2015.) $)
    xkococn $p |- ( ( R e. Top /\ S e. N-Locally Comp /\ T e. Top ) ->
      F e. ( ( ( T ^ko S ) tX ( S ^ko R ) ) Cn ( T ^ko R ) ) ) $=
      ( vx vk vv vy vh vz wcel co cv wral wa syl2anc cfv va ctop ccmp cnlly w3a
      vb cxko ctx ccn cxp wf ccnv cima crest cuni cpw crab wss cmpo ccom simprr
      crn simprl cnco ralrimivva fmpo sylib wceq wrex cab eqid rnmpo abid oveq2
      eleq2i eleq1d rexrab 3bitri wi wfn ad2antrr ffn elpreima 3syl coeq1 coeq2
      wb cop vex ovmpo adantl imaeq1 sseq1d elrab simprbi simp2 ad3antrrr elpwi
      coex ad2antrl simplr simprll simprlr xkococnlem expr sylbid fveq2 eqtr4di
      df-ov eleq1 anbi1d rexbidv imbi12d ralxp sylibr r19.21bi expimpd ralrimiv
      nllytop 3ad2ant2 simp3 xkotop simp1 txtop eltop2 mpbird imaeq2 syl5ibrcom
      syl5 syl rexlimdva anassrs syl5bi cvv xkotopon txtopon ovex pwex 3adant2
      ctopon xkotf frn ax-mp ssexi a1i cfi ctg xkoval subbascn mpbir2and ) AUBN
      ZBUCUDNZCUBNZUEZFCBUGOZBAUGOZUHOZCAUGOZUIONBCUIOZABUIOZUJZACUIOZFUKZFULZH
      PZUMZUUQNZHIJAKPZUNOZUCNZKAUOZUPZUQZCLPZIPZUMZJPZURZLUVBUQZUSZVBZQUUNDPZE
      PZUTZUVBNZEUUTQDUUSQUVCUUNUWEDEUUSUUTUUNUWBUUSNZUWCUUTNZRRUWGUWFUWEUUNUWF
      UWGVAUUNUWFUWGVCUWCUWBABCVDSVEDEUUSUUTUWDUVBFGVFVGZUUNUVGHUWAUVEUWANZAUVO
      UNOZUCNZUVEUVSVHZJCVIZRZIUVLVIZUUNUVGUWIUVEUWMIUVMVIZHVJZNUWPUWOUWAUWQUVE
      IJHUVMCUVSUVTUVTVKZVLVOUWPHVMUVJUWKUWMIKUVLUVHUVOVHUVIUWJUCUVHUVOAUNVNVPV
      QVRUUNUWNUVGIUVLUUNUVOUVLNZRUWKUWMUVGUUNUWSUWKUWMUVGVSUUNUWSUWKRZRZUWLUVG
      JCUXAUVQCNZRZUVGUWLUVDUVSUMZUUQNZUXCUXEUVHMPZNZUXFUXDURZRZMUUQVIZKUXDQZUX
      CUXJKUXDUXCUVHUXDNZUVHUVANZUVHFTZUVSNZRZUXJUXCUVCFUVAVTUXLUXPWGUUNUVCUWTU
      XBUWHWAUVAUVBFWBUVAUVHUVSFWCWDUXCUXMUXOUXJUXCUXOUXJVSZKUVAUXCUAPZUFPZFOZU
      VSNZUXRUXSWHZUXFNZUXHRZMUUQVIZVSZUFUUTQUAUUSQUXQKUVAQUXCUYFUAUFUUSUUTUXCU
      XRUUSNZUXSUUTNZRZRZUYAUXRUXSUTZUVSNZUYEUYJUXTUYKUVSUYIUXTUYKVHUXCDEUXRUXS
      UUSUUTUWDUYKFUXRUWCUTUWBUXRUWCWEUWCUXSUXRWFGUXRUXSUAWIUFWIWSWJWKVPUYLUYKU
      VOUMZUVQURZUYJUYEUYLUYKUVBNUYNUVRUYNLUYKUVBUVNUYKVHUVPUYMUVQUVNUYKUVOWLWM
      WNWOUXCUYIUYNUYEUXCUYIUYNRZRMUXRUXSABCDELFUVOUVQGUUNUULUWTUXBUYOUUKUULUUM
      WPWQUXAUVOUVKURZUXBUYOUWSUYPUUNUWKUVOUVKWRWTWAUXAUWKUXBUYOUUNUWSUWKVAWAUX
      AUXBUYOXAUXCUYGUYHUYNXBUXCUYGUYHUYNXCUXCUYIUYNVAXDXEYIXFVEUXQUYFKUAUFUUSU
      UTUVHUYBVHZUXOUYAUXJUYEUYQUXNUXTUVSUYQUXNUYBFTUXTUVHUYBFXGUXRUXSFXIXHVPUY
      QUXIUYDMUUQUYQUXGUYCUXHUVHUYBUXFXJXKXLXMXNXOXPXQXFXRUXCUUQUBNZUXEUXKWGUUN
      UYRUWTUXBUUNUUOUBNZUUPUBNZUYRUUNBUBNZUUMUYSUULUUKVUAUUMUCBXSXTZUUKUULUUMY
      AZBCYBSUUNUUKVUAUYTUUKUULUUMYCZVUBABYBSUUOUUPYDSWAKMUXDUUQYEYJYFUWLUVFUXD
      UUQUVEUVSUVDYGVPYHYKYLXQYKYMXRUUNHUWAFUUQUURYNUVAUVBUUNUUOUUSYTTNZUUPUUTY
      TTNZUUQUVAYTTNUUNVUAUUMVUEVUBVUCBCUUOUUOVKYOSUUNUUKVUAVUFVUDVUBABUUPUUPVK
      YOSUUOUUPUUSUUTYPSUWAYNNUUNUWAUVBUPZUVBACUIYQYRUVMCUJZVUGUVTUKUWAVUGURKJA
      CUVTLIUVMUVKUVKVKZUVMVKZUWRUUAVUHVUGUVTUUBUUCUUDUUEUUKUUMUURUWAUUFTUUGTVH
      UULKJACUVTLIUVMUVKVUIVUJUWRUUHYSUUKUUMUURUVBYTTNUULACUURUURVKYOYSUUIUUJ
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Continuous function-builders
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d y z A $.  $d z B $.  $d y z D $.  $d x y F $.  $d x ph $.  $d x y J $.
    $d x y z M $.  $d x y z X $.  $d x y z Y $.  $d x y z Z $.  $d x y K $.
    $d x y L $.  $d x y P $.
    cnmptid.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    $( The identity function is continuous.  (Contributed by Mario Carneiro,
       5-May-2014.)  (Revised by Mario Carneiro, 22-Aug-2015.) $)
    cnmptid $p |- ( ph -> ( x e. X |-> x ) e. ( J Cn J ) ) $=
      ( cv cmpt cid cres ccn co mptresid ctopon cfv wcel idcn syl eqeltrrid ) A
      BDBFGHDIZCCJKZBDLACDMNOSTOECDPQR $.

    ${
      cnmptc.k $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
      cnmptc.p $e |- ( ph -> P e. Y ) $.
      $( A constant function is continuous.  (Contributed by Mario Carneiro,
         5-May-2014.)  (Revised by Mario Carneiro, 22-Aug-2015.) $)
      cnmptc $p |- ( ph -> ( x e. X |-> P ) e. ( J Cn K ) ) $=
        ( cmpt csn cxp ccn co fconstmpt ctopon cfv wcel cnconst2 eqeltrrid
        syl3anc ) ABFCKFCLMZDENOZBFCPADFQRSEGQRSCGSUCUDSHIJCDEFGTUBUA $.
    $}

    cnmpt11.a $e |- ( ph -> ( x e. X |-> A ) e. ( J Cn K ) ) $.
    ${
      $d x B $.  $d y z C $.
      cnmpt11.k $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
      cnmpt11.b $e |- ( ph -> ( y e. Y |-> B ) e. ( K Cn L ) ) $.
      cnmpt11.c $e |- ( y = A -> B = C ) $.
      $( The composition of continuous functions is continuous.  (Contributed
         by Mario Carneiro, 5-May-2014.)  (Revised by Mario Carneiro,
         22-Aug-2015.) $)
      cnmpt11 $p |- ( ph -> ( x e. X |-> C ) e. ( J Cn L ) ) $=
        ( vz wceq cfv wcel cmpt ccom co cv wral wa simpr ctopon wf cnf2 syl3anc
        ccn fvmptelrn eqid fvmpt2 syl2anc fveq2d cuni eleq1d ctop syl toptopon2
        cntop2 sylib fmpt sylibr adantr rspcdva fvmptd3 eqtrd 3eqtr4d ralrimiva
        fvco3 sylan nfv nfcv nfmpt1 nfco nffv nfeq fveq2 eqeq12d cbvralw wfn wb
        fco ffnd fmpttd eqfnfv mpbird cnco eqeltrrd ) ACKEUAZBJDUAZUBZBJFUAZGIU
        LUCZAWOWPRZQUDZWOSZWSWPSZRZQJUEZABUDZWOSZXDWPSZRZBJUEXCAXGBJAXDJTZUFZXD
        WNSZWMSZFXEXFXIXKDWMSFXIXJDWMXIXHDKTXJDRAXHUGZABJDKAGJUHSTHKUHSTZWNGHUL
        UCTZJKWNUIZLNMWNGHJKUJUKZUMZBJDKWNWNUNUOUPUQXICDEFKWMIURZWMUNZPXQXIEXRT
        ZFXRTZCKDCUDDREFXRPUSAXTCKUEZXHAKXRWMUIZYBAXMIXRUHSTZWMHIULUCTZYCNAIUTT
        ZYDAYEYFOWMHIVCVAIVBVDOWMHIKXRUJUKZCKXREWMXSVEVFVGXQVHZVIVJAXOXHXEXKRXP
        JKXDWMWNVMVNXIXHYAXFFRXLYHBJFXRWPWPUNUOUPVKVLXGXBBQJXGQVOBWTXABWSWOBWMW
        NBWMVPBJDVQVRBWSVPZVSBWSWPBJFVQYIVSVTXDWSRXEWTXFXAXDWSWOWAXDWSWPWAWBWCV
        DAWOJWDWPJWDWRXCWEAJXRWOAYCXOJXRWOUIYGXPJKXRWMWNWFUPWGAJXRWPABJFXRYHWHW
        GQJWOWPWIUPWJAXNYEWOWQTMOWNWMGHIWKUPWL $.
    $}

    ${
      cnmpt11f.f $e |- ( ph -> F e. ( K Cn L ) ) $.
      $( The composition of continuous functions is continuous.  (Contributed
         by Mario Carneiro, 5-May-2014.)  (Revised by Mario Carneiro,
         22-Aug-2015.) $)
      cnmpt11f $p |- ( ph -> ( x e. X |-> ( F ` A ) ) e. ( J Cn L ) ) $=
        ( vy cfv cuni wcel cmpt ccn co syl eqid cv ctop ctopon cntop2 toptopon2
        sylib wf cnf feqmptd eqeltrrd fveq2 cnmpt11 ) ABLCLUAZDMZCDMEFGHFNZIJAF
        UBOZFUOUCMOABHCPZEFQROUPJUQEFUDSFUEUFADLUOUNPFGQRZALUOGNZDADUROUOUSDUGK
        DFGUOUSUOTUSTUHSUIKUJUMCDUKUL $.
    $}

    $d y B $.  $d x C $.
    cnmpt1t.b $e |- ( ph -> ( x e. X |-> B ) e. ( J Cn L ) ) $.
    $( The composition of continuous functions is continuous.  (Contributed by
       Mario Carneiro, 5-May-2014.)  (Revised by Mario Carneiro,
       22-Aug-2015.) $)
    cnmpt1t $p |- ( ph ->
                    ( x e. X |-> <. A , B >. ) e. ( J Cn ( K tX L ) ) ) $=
      ( vy cuni cmpt cfv cop co ccn wcel wceq cv ctopon toponuni mpteq1 3syl wa
      ctx simpr wf ctop cntop2 syl toptopon2 cnf2 syl3anc fvmptelrn eqid fvmpt2
      sylib syl2anc opeq12d mpteq2dva eqtr3d nfcv nffvmpt1 fveq2 cbvmpt txcnmpt
      nfop eqeltrrd ) ABEMZBUAZBHCNZOZVLBHDNZOZPZNZBHCDPZNZEFGUGQRQZABHVQNZVRVT
      AEHUBOSZHVKTWBVRTIHEUCBHVKVQUDUEABHVQVSAVLHSZUFZVNCVPDWEWDCFMZSVNCTAWDUHZ
      ABHCWFAWCFWFUBOSZVMEFRQSZHWFVMUIIAFUJSZWHAWIWJJVMEFUKULFUMUSJVMEFHWFUNUOU
      PBHCWFVMVMUQURUTWEWDDGMZSVPDTWGABHDWKAWCGWKUBOSZVOEGRQSZHWKVOUIIAGUJSZWLA
      WMWNKVOEGUKULGUMUSKVOEGHWKUNUOUPBHDWKVOVOUQURUTVAVBVCAWIWMVRWASJKLFGEVMVO
      VRVKVKUQBLVKVQLUAZVMOZWOVOOZPLVQVDBWPWQBHCWOVEBHDWOVEVIVLWOTVNWPVPWQVLWOV
      MVFVLWOVOVFVAVGVHUTVJ $.

    ${
      cnmpt12f.f $e |- ( ph -> F e. ( ( K tX L ) Cn M ) ) $.
      $( The composition of continuous functions is continuous.  (Contributed
         by Mario Carneiro, 5-May-2014.)  (Revised by Mario Carneiro,
         22-Aug-2015.) $)
      cnmpt12f $p |- ( ph -> ( x e. X |-> ( A F B ) ) e. ( J Cn M ) ) $=
        ( co cmpt cop cfv ccn df-ov mpteq2i ctx cnmpt1t cnmpt11f eqeltrid ) ABJ
        CDEOZPBJCDQZERZPFISOBJUFUHCDETUAABUGEFGHUBOIJKABCDFGHJKLMUCNUDUE $.
    $}

    cnmpt12.k $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    cnmpt12.l $e |- ( ph -> L e. ( TopOn ` Z ) ) $.
    cnmpt12.c $e |- ( ph ->
                      ( y e. Y , z e. Z |-> C ) e. ( ( K tX L ) Cn M ) ) $.
    cnmpt12.d $e |- ( ( y = A /\ z = B ) -> C = D ) $.
    $( The composition of continuous functions is continuous.  (Contributed by
       Mario Carneiro, 12-Jun-2014.)  (Revised by Mario Carneiro,
       22-Aug-2015.) $)
    cnmpt12 $p |- ( ph -> ( x e. X |-> D ) e. ( J Cn M ) ) $=
      ( cmpo co cmpt ccn cv wcel wa cuni wceq ctopon cfv cnf2 syl3anc fvmptelrn
      wf wi wal jca wral cxp ctx txtopon syl2anc ctop cntop2 syl toptopon2 eqid
      sylib fmpo sylibr r2al adantr eleq1 bi2anan9 eleq1d imbi12d syl3c ovmpoga
      spc2gv mpteq2dva cnmpt12f eqeltrrd ) ABMEFCDNOGUCZUDZUEBMHUEILUFUDABMWGHA
      BUGMUHZUIZENUHZFOUHZHLUJZUHZWGHUKABMENAIMULUMUHZJNULUMUHZBMEUEZIJUFUDUHMN
      WPUQPSQWPIJMNUNUOUPZABMFOAWNKOULUMUHZBMFUEZIKUFUDUHMOWSUQPTRWSIKMOUNUOUPZ
      WIWJWKUIZCUGZNUHZDUGZOUHZUIZGWLUHZURZDUSCUSZXAWMWIWJWKWQWTUTZAXIWHAXGDOVA
      CNVAZXIANOVBZWLWFUQZXKAJKVCUDZXLULUMUHZLWLULUMUHZWFXNLUFUDUHZXMAWOWRXOSTJ
      KNOVDVEALVFUHZXPAXQXRUAWFXNLVGVHLVIVKUAWFXNLXLWLUNUOCDNOGWLWFWFVJZVLVMXGC
      DNOVNVKVOXJXHXAWMURCDEFNOXBEUKZXDFUKZUIZXFXAXGWMXTXCWJYAXEWKXBENVPXDFOVPV
      QYBGHWLUBVRVSWBVTCDEFNOGHWFWLUBXSWAUOWCABEFWFIJKLMPQRUAWDWE $.
  $}

  ${
    $d u v w z A $.  $d u v w B $.  $d u v C $.  $d w z D $.  $d v z J $.
    $d w x y z F $.  $d v w x y z L $.  $d v x y z ph $.  $d u v w x y z X $.
    $d v w x y z M $.  $d v w x y z N $.  $d x y z P $.  $d u v w x y z Y $.
    $d v z K $.  $d v w x y z W $.  $d u v w x y z Z $.
    cnmpt21.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    cnmpt21.k $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    $( The projection onto the first coordinate is continuous.  (Contributed by
       Mario Carneiro, 6-May-2014.)  (Revised by Mario Carneiro,
       22-Aug-2015.) $)
    cnmpt1st $p |- ( ph ->
                     ( x e. X , y e. Y |-> x ) e. ( ( J tX K ) Cn J ) ) $=
      ( vz cv c1st co cfv cmpt wfn cvv vex ctopon wcel cmpo cxp ctx ccn wss wfo
      cres wceq fo1st fofn ax-mp fnssres mp2an dffn5 mpbi fvres mpteq2ia op1std
      ssv mpompt 3eqtri tx1cn syl2anc eqeltrrid ) ABCFGBKZUAZLFGUBZUGZDEUCMDUDM
      ZVHJVGJKZVHNZOZJVGVJLNZOVFVHVGPZVHVLUHLQPZVGQUEVNQQLUFVOUIQQLUJUKVGUSQVGL
      ULUMJVGVHUNUOJVGVKVMVJVGLUPUQBCJFGVMVEVECKVJBRCRURUTVAADFSNTEGSNTVHVITHID
      EFGVBVCVD $.

    $( The projection onto the second coordinate is continuous.  (Contributed
       by Mario Carneiro, 6-May-2014.)  (Revised by Mario Carneiro,
       22-Aug-2015.) $)
    cnmpt2nd $p |- ( ph ->
                     ( x e. X , y e. Y |-> y ) e. ( ( J tX K ) Cn K ) ) $=
      ( vz cv c2nd co cfv cmpt wfn cvv vex ctopon wcel cmpo cxp ctx ccn wss wfo
      cres wceq fo2nd fofn ax-mp fnssres mp2an dffn5 mpbi fvres mpteq2ia op2ndd
      ssv mpompt 3eqtri tx2cn syl2anc eqeltrrid ) ABCFGCKZUAZLFGUBZUGZDEUCMEUDM
      ZVHJVGJKZVHNZOZJVGVJLNZOVFVHVGPZVHVLUHLQPZVGQUEVNQQLUFVOUIQQLUJUKVGUSQVGL
      ULUMJVGVHUNUOJVGVKVMVJVGLUPUQBCJFGVMVEBKVEVJBRCRURUTVAADFSNTEGSNTVHVITHID
      EFGVBVCVD $.

    ${
      cnmpt2c.l $e |- ( ph -> L e. ( TopOn ` Z ) ) $.
      cnmpt2c.p $e |- ( ph -> P e. Z ) $.
      $( A constant function is continuous.  (Contributed by Mario Carneiro,
         5-May-2014.)  (Revised by Mario Carneiro, 22-Aug-2015.) $)
      cnmpt2c $p |- ( ph -> ( x e. X , y e. Y |-> P ) e.
                            ( ( J tX K ) Cn L ) ) $=
        ( vz co cv ctopon cfv wcel cmpo cxp cmpt ctx ccn cop wceq eqidd txtopon
        mpompt syl2anc cnmptc eqeltrrid ) ABCHIDUAOHIUBZDUCEFUDPZGUEPBCOHIDDOQB
        QCQUFUGDUHUJAODUOGUNJAEHRSTFIRSTUOUNRSTKLEFHIUIUKMNULUM $.
    $}

    cnmpt21.a $e |- ( ph ->
                      ( x e. X , y e. Y |-> A ) e. ( ( J tX K ) Cn L ) ) $.
    ${
      $d x y B $.  $d w z C $.
      cnmpt21.l $e |- ( ph -> L e. ( TopOn ` Z ) ) $.
      cnmpt21.b $e |- ( ph -> ( z e. Z |-> B ) e. ( L Cn M ) ) $.
      cnmpt21.c $e |- ( z = A -> B = C ) $.
      $( The composition of continuous functions is continuous.  (Contributed
         by Mario Carneiro, 5-May-2014.)  (Revised by Mario Carneiro,
         22-Aug-2015.) $)
      cnmpt21 $p |- ( ph ->
                      ( x e. X , y e. Y |-> C ) e. ( ( J tX K ) Cn M ) ) $=
        ( vw vu vv cmpt cmpo ccom ctx co ccn wceq cv cfv cxp wral wcel wa df-ov
        cop simprl simprr wi wf ctopon txtopon syl2anc cnf2 syl3anc eqid sylibr
        fmpo rsp2 syl ovmpt4g eqtr3id fveq2d cuni eleq1d cntop2 toptopon2 sylib
        imp ctop fmpt adantr rspcdva fvmptd3 eqtrd opelxpi fvco3 syl2an 3eqtr4d
        ralrimivva nfv nfcv nfmpo1 nfco nffv nfeq nfralw nfmpo2 eqeq12d cbvralw
        opeq2 opeq1 ralbidv syl5bb fveq2 wfn wb fco ffnd eqfnfv mpbird eqeltrrd
        ralxp cnco ) ADNFUDZBCLMEUEZUFZBCLMGUEZHIUGUHZKUIUHZAXSXTUJZUAUKZXSULZY
        DXTULZUJZUALMUMZUNZAUBUKZUCUKZURZXSULZYLXTULZUJZUCMUNZUBLUNZYIABUKZCUKZ
        URZXSULZYTXTULZUJZCMUNZBLUNYQAUUCBCLMAYRLUOZYSMUOZUPZUPZYTXRULZXQULZGUU
        AUUBUUHUUJEXQULGUUHUUIEXQUUHUUIYRYSXRUHZEYRYSXRUQUUHUUEUUFENUOZUUKEUJAU
        UEUUFUSZAUUEUUFUTZAUUGUULAUULCMUNBLUNZUUGUULVAAYHNXRVBZUUOAYAYHVCULUOZJ
        NVCULUOZXRYAJUIUHUOZUUPAHLVCULUOIMVCULUOUUQOPHILMVDVERQXRYAJYHNVFVGZBCL
        MENXRXRVHZVJVIUULBCLMVKVLWAZBCLMEXRNUVAVMVGVNVOUUHDEFGNXQKVPZXQVHZTUVBU
        UHFUVCUOZGUVCUOZDNEDUKEUJFGUVCTVQAUVEDNUNZUUGANUVCXQVBZUVGAUURKUVCVCULU
        OZXQJKUIUHUOZUVHRAKWBUOZUVIAUVJUVKSXQJKVRVLKVSVTSXQJKNUVCVFVGZDNUVCFXQU
        VDWCVIWDUVBWEZWFWGAUUPYTYHUOUUAUUJUJUUGUUTYRYSLMWHYHNYTXQXRWIWJUUHUUBYR
        YSXTUHZGYRYSXTUQUUHUUEUUFUVFUVNGUJUUMUUNUVMBCLMGXTUVCXTVHZVMVGVNWKWLUUD
        YPBUBLUUDUBWMYOBUCMBMWNBYMYNBYLXSBXQXRBXQWNBCLMEWOWPBYLWNZWQBYLXTBCLMGW
        OUVPWQWRWSUUDYRYKURZXSULZUVQXTULZUJZUCMUNYRYJUJZYPUUCUVTCUCMUUCUCWMCUVR
        UVSCUVQXSCXQXRCXQWNBCLMEWTWPCUVQWNZWQCUVQXTBCLMGWTUWBWQWRYSYKUJZUUAUVRU
        UBUVSUWCYTUVQXSYSYKYRXCZVOUWCYTUVQXTUWDVOXAXBUWAUVTYOUCMUWAUVRYMUVSYNUW
        AUVQYLXSYRYJYKXDZVOUWAUVQYLXTUWEVOXAXEXFXBVTYGYOUAUBUCLMYDYLUJYEYMYFYNY
        DYLXSXGYDYLXTXGXAXOVIAXSYHXHXTYHXHYCYIXIAYHUVCXSAUVHUUPYHUVCXSVBUVLUUTY
        HNUVCXQXRXJVEXKAYHUVCXTAUVFCMUNBLUNYHUVCXTVBAUVFBCLMUVMWLBCLMGUVCXTUVOV
        JVTXKUAYHXSXTXLVEXMAUUSUVJXSYBUOQSXRXQYAJKXPVEXN $.
    $}

    ${
      cnmpt21f.f $e |- ( ph -> F e. ( L Cn M ) ) $.
      $( The composition of continuous functions is continuous.  (Contributed
         by Mario Carneiro, 5-May-2014.)  (Revised by Mario Carneiro,
         22-Aug-2015.) $)
      cnmpt21f $p |- ( ph ->
                  ( x e. X , y e. Y |-> ( F ` A ) ) e. ( ( J tX K ) Cn M ) ) $=
        ( vz cfv cuni wcel syl cv ctop ctopon co cntop1 toptopon2 sylib cmpt wf
        ccn eqid cnf feqmptd eqeltrrd fveq2 cnmpt21 ) ABCPDPUAZEQZDEQFGHIJKHRZL
        MNAHUBSZHUSUCQSAEHIUJUDZSZUTOEHIUETHUFUGAEPUSURUHVAAPUSIRZEAVBUSVCEUIOE
        HIUSVCUSUKVCUKULTUMOUNUQDEUOUP $.
    $}

    $d z B $.  $d x y C $.
    cnmpt2t.b $e |- ( ph ->
                      ( x e. X , y e. Y |-> B ) e. ( ( J tX K ) Cn M ) ) $.
    $( The composition of continuous functions is continuous.  (Contributed by
       Mario Carneiro, 5-May-2014.)  (Revised by Mario Carneiro,
       22-Aug-2015.) $)
    cnmpt2t $p |- ( ph ->
       ( x e. X , y e. Y |-> <. A , B >. ) e. ( ( J tX K ) Cn ( L tX M ) ) ) $=
      ( vz co cfv wceq wcel vu vv ctx cuni cv cmpo cop cmpt ccn cxp fveq2 df-ov
      eqtr4di opeq12d mpompt nfcv nfmpo1 nfov nfmpo2 oveq12 cbvmpo eqtri ctopon
      nfop wa txtopon syl2anc toponuni mpteq1 3syl w3a simp2 simp3 wral wi ctop
      wf cntop2 syl toptopon2 cnf2 syl3anc eqid fmpo sylibr rsp2 3impib ovmpt4g
      sylib mpoeq3dva 3eqtr3a txcnmpt eqeltrrd ) APFGUCQZUDZPUEZBCJKDUFZRZWPBCJ
      KEUFZRZUGZUHZBCJKDEUGZUFZWNHIUCQUIQZAPJKUJZXAUHZBCJKBUEZCUEZWQQZXHXIWSQZU
      GZUFZXBXDXGUAUBJKUAUEZUBUEZWQQZXNXOWSQZUGZUFXMUAUBPJKXAXRWPXNXOUGZSZWRXPW
      TXQXTWRXSWQRXPWPXSWQUKXNXOWQULUMXTWTXSWSRXQWPXSWSUKXNXOWSULUMUNUOUAUBBCJK
      XRXLBXPXQBXNXOWQBXNUPZBCJKDUQBXOUPZURBXNXOWSYABCJKEUQYBURVDCXPXQCXNXOWQCX
      NUPZBCJKDUSCXOUPZURCXNXOWSYCBCJKEUSYDURVDUAXLUPUBXLUPXNXHSXOXISVEXPXJXQXK
      XNXHXOXIWQUTXNXHXOXIWSUTUNVAVBAWNXFVCRTZXFWOSXGXBSAFJVCRTGKVCRTYELMFGJKVF
      VGZXFWNVHPXFWOXAVIVJABCJKXLXCAXHJTZXIKTZVKZXJDXKEYIYGYHDHUDZTZXJDSAYGYHVL
      ZAYGYHVMZAYGYHYKAYKCKVNBJVNZYGYHVEZYKVOAXFYJWQVQZYNAYEHYJVCRTZWQWNHUIQTZY
      PYFAHVPTZYQAYRYSNWQWNHVRVSHVTWINWQWNHXFYJWAWBBCJKDYJWQWQWCZWDWEYKBCJKWFVS
      WGBCJKDWQYJYTWHWBYIYGYHEIUDZTZXKESYLYMAYGYHUUBAUUBCKVNBJVNZYOUUBVOAXFUUAW
      SVQZUUCAYEIUUAVCRTZWSWNIUIQTZUUDYFAIVPTZUUEAUUFUUGOWSWNIVRVSIVTWIOWSWNIXF
      UUAWAWBBCJKEUUAWSWSWCZWDWEUUBBCJKWFVSWGBCJKEWSUUAUUHWHWBUNWJWKAYRUUFXBXET
      NOPHIWNWQWSXBWOWOWCXBWCWLVGWM $.

    ${
      cnmpt22.l $e |- ( ph -> L e. ( TopOn ` Z ) ) $.
      cnmpt22.m $e |- ( ph -> M e. ( TopOn ` W ) ) $.
      cnmpt22.c $e |- ( ph ->
                        ( z e. Z , w e. W |-> C ) e. ( ( L tX M ) Cn N ) ) $.
      cnmpt22.d $e |- ( ( z = A /\ w = B ) -> C = D ) $.
      $( The composition of continuous functions is continuous.  (Contributed
         by Mario Carneiro, 5-May-2014.)  (Revised by Mario Carneiro,
         22-Aug-2015.) $)
      cnmpt22 $p |- ( ph ->
                      ( x e. X , y e. Y |-> D ) e. ( ( J tX K ) Cn N ) ) $=
        ( cop cmpo cfv ctx co ccn cv wcel w3a df-ov cuni wceq wral wa wi cxp wf
        ctopon txtopon syl2anc cnf2 syl3anc eqid fmpo sylibr syl 3impib wal jca
        rsp2 ctop cntop2 toptopon2 sylib 3ad2ant1 eleq1 bi2anan9 eleq1d imbi12d
        r2al spc2gv syl3c ovmpoga eqtr3id mpoeq3dva cnmpt2t cnmpt21f eqeltrrd )
        ABCPQFGUGZDEROHUHZUIZUHBCPQIUHJKUJUKZNULUKABCPQWQIABUMPUNZCUMQUNZUOZWQF
        GWPUKZIFGWPUPXAFRUNZGOUNZINUQZUNZXBIURAWSWTXCAXCCQUSBPUSZWSWTUTZXCVAAPQ
        VBZRBCPQFUHZVCZXGAWRXIVDUIUNZLRVDUIUNZXJWRLULUKUNXKAJPVDUIUNKQVDUIUNXLS
        TJKPQVEVFZUCUAXJWRLXIRVGVHBCPQFRXJXJVIVJVKXCBCPQVPVLVMZAWSWTXDAXDCQUSBP
        USZXHXDVAAXIOBCPQGUHZVCZXPAXLMOVDUIUNZXQWRMULUKUNXRXNUDUBXQWRMXIOVGVHBC
        PQGOXQXQVIVJVKXDBCPQVPVLVMZXAXCXDUTZDUMZRUNZEUMZOUNZUTZHXEUNZVAZEVNDVNZ
        YAXFXAXCXDXOXTVOZAWSYIWTAYGEOUSDRUSZYIAROVBZXEWPVCZYKALMUJUKZYLVDUIUNZN
        XEVDUIUNZWPYNNULUKUNZYMAXMXSYOUCUDLMROVEVFANVQUNZYPAYQYRUEWPYNNVRVLNVSV
        TUEWPYNNYLXEVGVHDEROHXEWPWPVIZVJVKYGDEROWFVTWAYJYHYAXFVADEFGROYBFURZYDG
        URZUTZYFYAYGXFYTYCXCUUAYEXDYBFRWBYDGOWBWCUUBHIXEUFWDWEWGWHDEFGROHIWPXEU
        FYSWIVHWJWKABCWOWPJKYNNPQSTABCFGJKLMPQSTUAUBWLUEWMWN $.
    $}

    cnmpt22f.f $e |- ( ph -> F e. ( ( L tX M ) Cn N ) ) $.
    $( The composition of continuous functions is continuous.  (Contributed by
       Mario Carneiro, 5-May-2014.)  (Revised by Mario Carneiro,
       22-Aug-2015.) $)
    cnmpt22f $p |- ( ph -> ( x e. X , y e. Y |-> ( A F B ) ) e.
                           ( ( J tX K ) Cn N ) ) $=
      ( co wcel vz vw cv cuni ctop ctopon cfv cmpo ctx ccn cntop2 syl toptopon2
      sylib cxp wfn wceq txtopon syl2anc cnf2 syl3anc ffnd fnov eqeltrrd oveq12
      wf cnmpt22 ) ABCUAUBDEUAUCZUBUCZFSZDEFSGHIJKJUDZLMIUDZNOPQAIUETZIVLUFUGTZ
      ABCLMDUHZGHUISZIUJSTVMPVOVPIUKULIUMUNZAJUETZJVKUFUGTZABCLMEUHZVPJUJSTVRQV
      TVPJUKULJUMUNZAFUAUBVLVKVJUHZIJUISZKUJSZAFVLVKUOZUPFWBUQAWEKUDZFAWCWEUFUG
      TZKWFUFUGTZFWDTZWEWFFVFAVNVSWGVQWAIJVLVKURUSAKUETZWHAWIWJRFWCKUKULKUMUNRF
      WCKWEWFUTVAVBUAUBVLVKFVCUNRVDVHDVIEFVEVG $.
  $}

  ${
    $d x y W $.  $d x y X $.  $d x y Y $.  $d x y Z $.
    cnmpt1res.2 $e |- K = ( J |`t Y ) $.
    cnmpt1res.3 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    cnmpt1res.5 $e |- ( ph -> Y C_ X ) $.
    ${
      cnmpt1res.6 $e |- ( ph -> ( x e. X |-> A ) e. ( J Cn L ) ) $.
      $( The restriction of a continuous function to a subset is continuous.
         (Contributed by Mario Carneiro, 5-Jun-2014.) $)
      cnmpt1res $p |- ( ph -> ( x e. Y |-> A ) e. ( K Cn L ) ) $=
        ( cmpt cres ccn co resmptd crest wcel cuni wss ctopon cfv wceq toponuni
        syl sseqtrd eqid cnrest syl2anc oveq1i eleqtrrdi eqeltrrd ) ABGCMZHNZBH
        CMEFOPZABGHCKQAUODHRPZFOPZUPAUNDFOPSHDTZUAUOURSLAHGUSKADGUBUCSGUSUDJGDU
        EUFUGHUNDFUSUSUHUIUJEUQFOIUKULUM $.
    $}

    cnmpt2res.7 $e |- N = ( M |`t W ) $.
    cnmpt2res.8 $e |- ( ph -> M e. ( TopOn ` Z ) ) $.
    cnmpt2res.9 $e |- ( ph -> W C_ Z ) $.
    cnmpt2res.10 $e |- ( ph -> ( x e. X , y e. Z |-> A ) e.
                               ( ( J tX M ) Cn L ) ) $.
    $( The restriction of a continuous function to a subset is continuous.
       (Contributed by Mario Carneiro, 6-Jun-2014.) $)
    cnmpt2res $p |- ( ph -> ( x e. Y , y e. W |-> A ) e.
                            ( ( K tX N ) Cn L ) ) $=
      ( cmpo cxp cres ctx co crest ccn wcel cuni wss xpss12 syl2anc ctopon wceq
      cfv txtopon toponuni syl sseqtrd eqid cnrest resmpo cvv topontop toponmax
      ctop ssexd txrest syl22anc oveq12i eqtr4di oveq1d 3eltr3d ) ABCKMDUAZLJUB
      ZUCZEHUDUEZVOUFUEZGUGUEZBCLJDUAZFIUDUEZGUGUEAVNVQGUGUEUHVOVQUIZUJVPVSUHTA
      VOKMUBZWBALKUJZJMUJZVOWCUJPSLKJMUKULAVQWCUMUOUHZWCWBUNAEKUMUOUHZHMUMUOUHZ
      WFOREHKMUPULWCVQUQURUSVOVNVQGWBWBUTVAULAWDWEVPVTUNPSBCKMLJDVBULAVRWAGUGAV
      RELUFUEZHJUFUEZUDUEZWAAEVFUHZHVFUHZLVCUHJVCUHVRWKUNAWGWLOKEVDURAWHWMRMHVD
      URALKEAWGKEUHOKEVEURPVGAJMHAWHMHUHRMHVEURSVGLJEHVFVFVCVCVHVIFWIIWJUDNQVJV
      KVLVM $.
  $}

  ${
    $d w z A $.  $d w z J $.  $d w z K $.  $d w x y z L $.  $d w x y z X $.
    $d w x y z ph $.  $d w x y z Y $.
    cnmptcom.3 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    cnmptcom.4 $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    cnmptcom.6 $e |- ( ph ->
                       ( x e. X , y e. Y |-> A ) e. ( ( J tX K ) Cn L ) ) $.
    $( The argument converse of a continuous function is continuous.
       (Contributed by Mario Carneiro, 6-Jun-2014.) $)
    cnmptcom $p |- ( ph ->
                     ( y e. Y , x e. X |-> A ) e. ( ( K tX J ) Cn L ) ) $=
      ( vz vw cmpo cv co wceq wcel wral ctx ccn cxp wfn cuni ctopon cfv txtopon
      wf syl2anc ctop cntop2 syl toptopon2 cnf2 syl3anc eqid fmpo ralcom bitr3i
      sylib ffnd fnov wa wi nfcv nfv nfmpo2 nfov nfmpo1 nfeq nfim oveq2 eqeq12d
      oveq1 imbi2d rsp2 syl11 ovmpt4g 3com12 eqtr4d 3expia syld vtocl2gaf com12
      w3a 3impib mpoeq3dva cnmpt2nd cnmpt1st cnmpt22f eqeltrd ) ACBIHDOZMNIHNPZ
      MPZBCHIDOZQZOZFEUAQGUBQAWMMNIHWOWNWMQZOZWRAWMIHUCZUDWMWTRAXAGUEZWMADXBSZB
      HTCITZXAXBWMUIAHIUCZXBWPUIZXDAEFUAQZXEUFUGSZGXBUFUGSZWPXGGUBQSZXFAEHUFUGS
      FIUFUGSXHJKEFHIUHUJAGUKSZXIAXJXKLWPXGGULUMGUNVALWPXGGXEXBUOUPXFXCCITBHTXD
      BCHIDXBWPWPUQZURXCBCHIUSUTVAZCBIHDXBWMWMUQZURVAVBMNIHWMVCVAAMNIHWQWSAWOIS
      ZWNHSZWQWSRZXOXPVDAXQABPZCPZWPQZXSXRWMQZRZVEAXRWOWPQZWOXRWMQZRZVEAXQVECBW
      OWNIHCWOVFZBWOVFZBWNVFZAYECACVGCYCYDCXRWOWPCXRVFZBCHIDVHYFVICWOXRWMYFCBIH
      DVJYIVIVKVLAXQBABVGBWQWSBWNWOWPYHBCHIDVJYGVIBWOWNWMYGCBIHDVHYHVIVKVLXSWOR
      ZYBYEAYJXTYCYAYDXSWOXRWPVMXSWOXRWMVOVNVPXRWNRZYEXQAYKYCWQYDWSXRWNWOWPVOXR
      WNWOWMVMVNVPXSISZXRHSZVDZAXCYBXDYNXCAXCCBIHVQXMVRYLYMXCYBYLYMXCWFXTDYAYMY
      LXCXTDRBCHIDWPXBXLVSVTCBIHDWMXBXNVSWAWBWCWDWEWGWHWAAMNWNWOWPFEEFGIHKJAMNF
      EIHKJWIAMNFEIHKJWJLWKWL $.
  $}

  ${
    $d w x y J $.  $d w x y K $.  $d w x y L $.  $d w x y M $.  $d w x y z Z $.
    $d w z A $.  $d w x B $.  $d w x y ph $.  $d w x y X $.  $d w x y Y $.
    $d z C $.
    cnmptk1.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    cnmptk1.k $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    $( The curried first projection function is continuous.  (Contributed by
       Mario Carneiro, 23-Mar-2015.)  (Revised by Mario Carneiro,
       22-Aug-2015.) $)
    cnmptkc $p |- ( ph ->
      ( x e. X |-> ( y e. Y |-> x ) ) e. ( J Cn ( J ^ko K ) ) ) $=
      ( cv cmpt csn cxp cxko co ccn fconstmpt ctopon cfv wcel mpteq2i eqeltrrid
      xkoccn syl2anc ) ABFCGBJZKZKBFGUELMZKZDDENOPOZBFUGUFCGUEQUAAEGRSTDFRSTUHU
      ITIHBEDGFUCUDUB $.

    cnmptk1.l $e |- ( ph -> L e. ( TopOn ` Z ) ) $.
    ${
      $d y B $.  $d y C $.
      cnmptkp.a $e |- ( ph ->
        ( x e. X |-> ( y e. Y |-> A ) ) e. ( J Cn ( L ^ko K ) ) ) $.
      cnmptkp.b $e |- ( ph -> B e. Y ) $.
      cnmptkp.c $e |- ( y = B -> A = C ) $.
      $( The evaluation of the inner function in a curried function is
         continuous.  (Contributed by Mario Carneiro, 23-Mar-2015.)  (Revised
         by Mario Carneiro, 22-Aug-2015.) $)
      cnmptkp $p |- ( ph -> ( x e. X |-> C ) e. ( J Cn L ) ) $=
        ( cfv wcel vw cmpt co cv wa cuni eqid adantr wceq eleq1d wf wral ctopon
        ccn ctop topontop syl toptopon2 cxko xkotopon syl2anc syl3anc fvmptelrn
        sylib cnf2 fmpt sylibr rspcdva fvmptd3 mpteq2dva toponuni eleqtrd fveq1
        xkopjcn cnmpt11 eqeltrrd ) ABJECKDUBZSZUBBJFUBGIUNUCABJVRFABUDJTZUEZCED
        FKVQIUFZVQUGZRAEKTVSQUHZVTDWATZFWATCKECUDEUIDFWARUJVTKWAVQUKZWDCKULVTHK
        UMSTZIWAUMSTZVQHIUNUCZTWEAWFVSNUHVTIUOTZWGAWIVSAILUMSTWIOLIUPUQZUHIURVD
        ABJVQWHAGJUMSTIHUSUCZWHUMSTZBJVQUBZGWKUNUCTJWHWMUKMAHUOTZWIWLAWFWNNKHUP
        UQZWJHIWKWKUGUTVAZPWMGWKJWHVEVBVCVQHIKWAVEVBCKWADVQWBVFVGWCVHVIVJABUAVQ
        EUAUDZSZVRGWKIJWHMPWPAWNWIEHUFZTUAWHWRUBWKIUNUCTWOWJAEKWSQAWFKWSUINKHVK
        UQVLEHIUAWSWSUGVNVBEWQVQVMVOVP $.
    $}

    ${
      $d y B $.
      cnmptk1.a $e |- ( ph ->
        ( x e. X |-> ( y e. Y |-> A ) ) e. ( J Cn ( L ^ko K ) ) ) $.
      cnmptk1.b $e |- ( ph -> ( z e. Z |-> B ) e. ( L Cn M ) ) $.
      cnmptk1.c $e |- ( z = A -> B = C ) $.
      $( The composition of a curried function with a one-arg function is
         continuous.  (Contributed by Mario Carneiro, 23-Mar-2015.) $)
      cnmptk1 $p |- ( ph ->
        ( x e. X |-> ( y e. Y |-> C ) ) e. ( J Cn ( M ^ko K ) ) ) $=
        ( vw cmpt ccom cxko co ccn cv wcel wral ctopon cfv adantr ctop topontop
        wa syl eqid xkotopon syl2anc cnf2 syl3anc fvmptelrn fmpt sylibr fmptcof
        wf eqidd mpteq2dva xkoco2cn coeq2 cnmpt11 eqeltrrd ) ABLDNFUBZCMEUBZUCZ
        UBBLCMGUBZUBHKIUDUEZUFUEABLVOVPABUGLUHZUOZCDMNEFGVNVMVSMNVNVFZENUHCMUIV
        SIMUJUKUHZJNUJUKUHZVNIJUFUEZUHVTAWAVRPULAWBVRQULABLVNWCAHLUJUKUHJIUDUEZ
        WCUJUKUHZBLVNUBZHWDUFUEUHLWCWFVFOAIUMUHZJUMUHZWEAWAWGPMIUNUPZAWBWHQNJUN
        UPIJWDWDUQURUSZRWFHWDLWCUTVAVBVNIJMNUTVACMNEVNVNUQVCVDVSVNVGVSVMVGTVEVH
        ABUAVNVMUAUGZUCVOHWDVQLWCORWJAIJKUAVMWISVIWKVNVMVJVKVL $.
    $}

    ${
      $d y A $.
      cnmpt1k.m $e |- ( ph -> M e. ( TopOn ` W ) ) $.
      cnmpt1k.a $e |- ( ph -> ( x e. X |-> A ) e. ( J Cn L ) ) $.
      cnmpt1k.b $e |- ( ph ->
        ( y e. Y |-> ( z e. Z |-> B ) ) e. ( K Cn ( M ^ko L ) ) ) $.
      cnmpt1k.c $e |- ( z = A -> B = C ) $.
      $( The composition of a one-arg function with a curried function is
         continuous.  (Contributed by Mario Carneiro, 23-Mar-2015.)  (Revised
         by Mario Carneiro, 22-Aug-2015.) $)
      cnmpt1k $p |- ( ph ->
        ( y e. Y |-> ( x e. X |-> C ) ) e. ( K Cn ( M ^ko J ) ) ) $=
        ( vw cmpt ccom cxko co ccn cv wcel wa wral ctopon cfv cnf2 syl3anc eqid
        wf fmpt sylibr adantr eqidd fmptcof mpteq2dva ctop topontop syl syl2anc
        xkotopon xkoco1cn coeq1 cnmpt11 eqeltrrd ) ACNDOFUDZBMEUDZUEZUDCNBMGUDZ
        UDIKHUFUGZUHUGACNVPVQACUINUJZUKZBDMOEFGVOVNAEOUJBMULZVSAMOVOURZWAAHMUMU
        NUJJOUMUNUJZVOHJUHUGUJWBPRTVOHJMOUOUPBMOEVOVOUQUSUTVAVTVOVBVTVNVBUBVCVD
        ACUCVNUCUIZVOUEVPIKJUFUGZVRNJKUHUGZQUAAJVEUJZKVEUJZWEWFUMUNUJAWCWGROJVF
        VGAKLUMUNUJWHSLKVFVGZJKWEWEUQVIVHAHJKUCVOWITVJWDVNVOVKVLVM $.
    $}
  $}

  ${
    $d f g z A $.  $d f g y B $.  $d f g x K $.  $d f g x L $.  $d f g x y X $.
    $d f x J $.  $d f g x M $.  $d x y ph $.  $d f g y Y $.  $d f g y z Z $.
    $d z C $.
    cnmptkk.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    cnmptkk.k $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    cnmptkk.l $e |- ( ph -> L e. ( TopOn ` Z ) ) $.
    cnmptkk.m $e |- ( ph -> M e. ( TopOn ` W ) ) $.
    cnmptkk.n $e |- ( ph -> L e. N-Locally Comp ) $.
    cnmptkk.a $e |- ( ph ->
      ( x e. X |-> ( y e. Y |-> A ) ) e. ( J Cn ( L ^ko K ) ) ) $.
    cnmptkk.b $e |- ( ph ->
      ( x e. X |-> ( z e. Z |-> B ) ) e. ( J Cn ( M ^ko L ) ) ) $.
    cnmptkk.c $e |- ( z = A -> B = C ) $.
    $( The composition of two curried functions is jointly continuous.
       (Contributed by Mario Carneiro, 23-Mar-2015.)  (Revised by Mario
       Carneiro, 22-Aug-2015.) $)
    cnmptkk $p |- ( ph ->
      ( x e. X |-> ( y e. Y |-> C ) ) e. ( J Cn ( M ^ko K ) ) ) $=
      ( vf vg cmpt ccom cxko co ccn cv wcel wa wf wral ctopon cfv ctop topontop
      adantr syl ccmp nllytop eqid xkotopon syl2anc cnf2 syl3anc fvmptelrn fmpt
      cnlly sylibr eqidd fmptcof mpteq2dva cmpo ctx xkococn wceq coeq1 sylan9eq
      coeq2 cnmpt12 eqeltrrd ) ABMDOFUFZCNEUFZUGZUFBMCNGUFZUFHKIUHUIZUJUIABMWGW
      HABUKMULZUMZCDNOEFGWFWEWKNOWFUNZEOULCNUOWKINUPUQULZJOUPUQULZWFIJUJUIZULWL
      AWMWJQUTAWNWJRUTABMWFWOAHMUPUQULJIUHUIZWOUPUQULZBMWFUFZHWPUJUIULMWOWRUNPA
      IURULZJURULZWQAWMWSQNIUSVAZAJVBVKULZWTTVBJVCVAZIJWPWPVDVEVFZUAWRHWPMWOVGV
      HVIWFIJNOVGVHCNOEWFWFVDVJVLWKWFVMWKWEVMUCVNVOABUDUEWEWFUDUKZUEUKZUGZWGHKJ
      UHUIZWPWIMJKUJUIZWOPUBUAAWTKURULZXHXIUPUQULXCAKLUPUQULXJSLKUSVAZJKXHXHVDV
      EVFXDAWSXBXJUDUEXIWOXGVPZXHWPVQUIWIUJUIULXATXKIJKUDUEXLXLVDVRVHXEWEVSXFWF
      VSXGWEXFUGWGXEWEXFVTXFWFWEWBWAWCWD $.
  $}

  ${
    $d f g h x y R $.  $d f g h x y S $.  $d f g h x y X $.
    xkofvcn.1 $e |- X = U. R $.
    xkofvcn.2 $e |- F = ( f e. ( R Cn S ) , x e. X |-> ( f ` x ) ) $.
    $( Joint continuity of the function value operation as a function on
       continuous function spaces.  (Compare ~ xkopjcn .)  (Contributed by
       Mario Carneiro, 20-Mar-2015.)  (Revised by Mario Carneiro,
       22-Aug-2015.) $)
    xkofvcn $p |- ( ( R e. N-Locally Comp /\ S e. Top ) ->
      F e. ( ( ( S ^ko R ) tX R ) Cn S ) ) $=
      ( vg vh vy wcel ccn co cv cfv c1o c0 ctopon wceq ccmp cnlly ctop cmpo ctx
      wa cxko csn cxp ccom nllytop eqid xkotopon sylan adantr toptopon cnmpt1st
      cpw sylib cnmpt2nd cmpt con0 1on distopon mp1i xkoccn syl2anc sneq xpeq2d
      cnmpt21 distop simpl simpr xkococn syl3anc coeq1 coeq2 sylan9eq 0lt1o a1i
      cnmpt22 cuni unipw eqcomi xkopjcn fveq1 wf vex fvco3 mp2an fvconst2 ax-mp
      fconst fveq2i eqtri eqtrdi eqeltrid ) BUAUBLZCUCLZUFZEDABCMNZFAOZDOZPZUDC
      BUGNZBUENCMNHWTDAIXCQXBUHZUIZUJZRIOZPZXDXEBCQURZUGNZCXAFXKCMNZWRBUCLZWSXE
      XASPLUABUKZBCXEXEULUMUNZWTXNBFSPLZWRXNWSXOUOZBFGUPUSZWTDAIJXCXGXIJOZUJZXH
      XEBXEBXKUGNZXLXKBMNZXAFXAXPXSWTDAXEBXAFXPXSUQWTDAKXBQKOZUHZUIZXGXEBBYBXAF
      FXPXSWTDAXEBXAFXPXSUTXSWTXKQSPLZXQKFYFVABYBMNLQVBLZYGWTVCQVBVDVEXSKXKBQFV
      FVGYDXBTYEXFQYDXBVHVIVJXPWTXKUCLZXNYBYCSPLYHYIWTVCQVBVKVEZXRXKBYBYBULUMVG
      WTYIWRWSIJXAYCYAUDZXEYBUENXLMNLYJWRWSVLWRWSVMZXKBCIJYKYKULVNVOXIXCTXTXGTY
      AXCXTUJXHXIXCXTVPXTXGXCVQVRWAWTYIWSXLXMSPLYJYLXKCXLXLULUMVGWTYIWSRQLZIXMX
      JVAXLCMNLYJYLYMWTVSVTRXKCIQXKWBQQWCWDWEVOXIXHTXJRXHPZXDRXIXHWFYNRXGPZXCPZ
      XDQXFXGWGYMYNYPTQXBAWHZWMVSQXFRXCXGWIWJYOXBXCYMYOXBTVSQXBRYQWKWLWNWOWPVJW
      Q $.
  $}

  ${
    $d f k w z A $.  $d f k w x z J $.  $d f k w x z K $.  $d f k w x z L $.
    $d f y z B $.  $d y C $.  $d f k w x y z X $.  $d f k w x y z Y $.
    $d f k w x y z ph $.  $d y Z $.
    cnmptk1p.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    cnmptk1p.k $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    cnmptk1p.l $e |- ( ph -> L e. ( TopOn ` Z ) ) $.
    cnmptk1p.n $e |- ( ph -> K e. N-Locally Comp ) $.
    ${
      cnmptk1p.a $e |- ( ph ->
        ( x e. X |-> ( y e. Y |-> A ) ) e. ( J Cn ( L ^ko K ) ) ) $.
      cnmptk1p.b $e |- ( ph -> ( x e. X |-> B ) e. ( J Cn K ) ) $.
      cnmptk1p.c $e |- ( y = B -> A = C ) $.
      $( The evaluation of a curried function by a one-arg function is jointly
         continuous.  (Contributed by Mario Carneiro, 23-Mar-2015.)  (Revised
         by Mario Carneiro, 22-Aug-2015.) $)
      cnmptk1p $p |- ( ph -> ( x e. X |-> C ) e. ( J Cn L ) ) $=
        ( wcel vf vz cmpt cfv ccn co cv eqid ctopon cnf2 syl3anc fvmptelrn wceq
        wa wf eleq1d wral adantr cxko ctop ccmp cnlly nllytop topontop xkotopon
        syl syl2anc fmpt sylibr rspcdva fvmptd3 mpteq2dva cmpo cuni ctx mpoeq12
        toponuni sylancr xkofvcn eqeltrd fveq1 fveq2 sylan9eq cnmpt12 eqeltrrd
        ) ABJECKDUCZUDZUCBJFUCGIUEUFABJWGFABUGJTZUNZCEDFKWFLWFUHZSABJEKAGJUIUDT
        ZHKUIUDTZBJEUCZGHUEUFTJKWMUOMNRWMGHJKUJUKULZWIDLTZFLTCKECUGEUMDFLSUPWIK
        LWFUOZWOCKUQWIWLILUIUDTZWFHIUEUFZTWPAWLWHNURAWQWHOURABJWFWRAWKIHUSUFZWR
        UIUDTZBJWFUCZGWSUEUFTJWRXAUOMAHUTTZIUTTZWTAHVAVBTZXBPVAHVCVFAWQXCOLIVDV
        FZHIWSWSUHVEVGZQXAGWSJWRUJUKULWFHIKLUJUKCKLDWFWJVHVIWNVJVKVLABUAUBWFEUB
        UGZUAUGZUDZWGGWSHIJWRKMQRXFNAUAUBWRKXIVMZUAUBWRHVNZXIVMZWSHVOUFIUEUFZAW
        RWRUMKXKUMZXJXLUMWRUHAWLXNNKHVQVFUAUBWRKWRXKXIVPVRAXDXCXLXMTPXEUBHIUAXL
        XKXKUHXLUHVSVGVTXHWFUMXGEUMXIXGWFUDWGXGXHWFWAXGEWFWBWCWDWE $.
    $}

    cnmptk2.a $e |- ( ph ->
      ( x e. X |-> ( y e. Y |-> A ) ) e. ( J Cn ( L ^ko K ) ) ) $.
    $( The uncurrying of a curried function is continuous.  (Contributed by
       Mario Carneiro, 23-Mar-2015.)  (Revised by Mario Carneiro,
       22-Aug-2015.) $)
    cnmptk2 $p |- ( ph -> ( x e. X , y e. Y |-> A ) e. ( ( J tX K ) Cn L ) ) $=
      ( vw vk cfv wceq wcel vf vz cv cmpt cmpo ctx co nffvmpt1 nfcv nffv nfmpt1
      ccn nfmpt fveq2 fveq1d sylan9eq cbvmpo wa simplr ctopon cxko wf ctop ccmp
      cnlly nllytop syl topontop eqid xkotopon syl2anc syl3anc fvmptelrn adantr
      cnf2 fvmpt2 simpr eqtrd 3impa mpoeq3dva syl5eq cnmpt1st cnmpt21f cnmpt2nd
      cuni toponuni mpoeq12 sylancr xkofvcn eqeltrd fveq1 cnmpt22 eqeltrrd ) AP
      QHIQUCZPUCZBHCIDUDZUDZRZRZUEZBCHIDUEZEFUFUGGULUGAWTBCHICUCZBUCZWQRZRZUEXA
      PQBCHIWSXEBWNWRBHWPWOUHBWNUIUJCWNWRCWOWQCBHWPCHUICIDUKUMCWOUIUJCWNUIUJPXE
      UIQXEUIWOXCSZWNXBSWSWNXDRXEXFWNWRXDWOXCWQUNUOWNXBXDUNUPUQABCHIXEDAXCHTZXB
      ITZXEDSAXGURZXHURZXEXBWPRZDXJXBXDWPXJXGWPFGULUGZTZXDWPSAXGXHUSXIXMXHABHWP
      XLAEHUTRTGFVAUGZXLUTRTZWQEXNULUGTHXLWQVBKAFVCTZGVCTZXOAFVDVETZXPNVDFVFVGA
      GJUTRTZXQMJGVHVGZFGXNXNVIVJVKZOWQEXNHXLVOVLVMZVNBHWPXLWQWQVIVPVKUOXJXHDJT
      XKDSXIXHVQXICIDJXIFIUTRTZXSXMIJWPVBAYCXGLVNAXSXGMVNYBWPFGIJVOVLVMCIDJWPWP
      VIVPVKVRVSVTWAAPQUAUBWRWNUBUCZUAUCZRZWSEFXNFGIHIXLKLAPQWOWQEFEXNHIKLAPQEF
      HIKLWBOWCAPQEFHIKLWDYALAUAUBXLIYFUEZUAUBXLFWEZYFUEZXNFUFUGGULUGZAXLXLSIYH
      SZYGYISXLVIAYCYKLIFWFVGUAUBXLIXLYHYFWGWHAXRXQYIYJTNXTUBFGUAYIYHYHVIYIVIWI
      VKWJYEWRSYDWNSYFYDWRRWSYDYEWRWKYDWNWRUNUPWLWM $.
  $}

  ${
    $d f k r v w x y z R $.  $d f k r v w x y z S $.  $d f k r v w x y z Y $.
    $d k t v w x z $.  $d k v z F $.  $d k r v w x y z X $.
    xkoinjcn.3 $e |- F = ( x e. X |-> ( y e. Y |-> <. y , x >. ) ) $.
    $( Continuity of "injection", i.e. currying, as a function on continuous
       function spaces.  (Contributed by Mario Carneiro, 23-Mar-2015.) $)
    xkoinjcn $p |- ( ( R e. ( TopOn ` X ) /\ S e. ( TopOn ` Y ) ) ->
      F e. ( R Cn ( ( S tX R ) ^ko S ) ) ) $=
      ( vz vk vv vw wcel wa co cv wss wceq syl cvv vf vt vr ctopon cfv ctx cxko
      ccn wf ccnv cima ccmp cuni cpw crab cmpo crn wral cop cmpt simplr cnmptid
      crest simpll simpr cnmptc cnmpt1t fmptd wrex xkobval abeq2i csn cxp sylan
      eqid wb imaeq1 sseq1d elrab3 wfun funmpt simplrl elpwid toponuni sseqtrrd
      cdm simprd adantr dmmptg opex a1i mprg sseqtrrdi funimass4 sylancr sselda
      wel opeq1 fvmpt eleq1d vex opeq2 ralsn bitr4di ralbidva dfss3 eleq1 ralxp
      weq bitri 3bitrd rabbidva sneq xpeq2d elrab ctop ad2antrr topontop adantl
      cin txtop syl2anc ad3antrrr toponmax xpexg simprr elrestr txrest syl22anc
      syl3anc oveq2d restid eqtrd eleqtrd resttopon xpeq1d simprl xpss2 mpbird
      ciun snssd ssind eqsstrrd txtube toponss ssrab baib biantrud iunid xpeq2i
      xpiundi eqtr3i sseq1i iunss ssin 3bitr3g anbi2d rexbidva ralrimiva eltop2
      sylan2b 3syl eqeltrd imaeq2 mptpreima eqtrdi syl5ibrcom rexlimdvva syl5bi
      expimpd ralrimiv simpl ovex xkotf frn ax-mp ssexi cfi ctg xkoval xkotopon
      pwex subbascn mpbir2and ) CFUDUEZMZDGUDUEMZNZECDCUFOZDUGOZUHOMFDUWIUHOZEU
      IEUJZIPZUKZCMZIJKDLPZVCOULMLDUMZUNZUOZUWIUAPZJPZUKZKPZQZUAUWKUOZUPZUQZURU
      WHAFBGBPZAPZUSZUTZUWKEUWHUXIFMZNZBUXHUXIDDCGUWFUWGUXLVAZUXMBDGUXNVBUXMBUX
      IDCGFUXNUWFUWGUXLVDUWHUXLVEVFVGZHVHUWHUWOIUXGUWMUXGMDUXAVCOZULMZUWMUXERZN
      ZKUWIVIJUWRVIZUWHUWOUXTIUXGLKDUWIUXFUAJUWSUWQIUWQVOZUWSVOZUXFVOZVJVKUWHUX
      SUWOJKUWRUWIUWHUXAUWRMZUXCUWIMZNZNZUXQUXRUWOUYGUXQNZUWOUXRUXKUXEMZAFUOZCM
      UYHUYJUXAUXIVLZVMZUXCQZAFUOZCUYHUYIUYMAFUYHUXLNZUYIUXKUXAUKZUXCQZUWMUXKUE
      ZUXCMZIUXAURZUYMUYOUXKUWKMZUYIUYQVPUYHUWHUXLVUAUWHUYFUXQVDZUXOVNUXDUYQUAU
      XKUWKUWTUXKRUXBUYPUXCUWTUXKUXAVQVRVSSUYOUXKVTUXAUXKWFZQUYQUYTVPBGUXJWAUYO
      UXAGVUCUYHUXAGQZUXLUYHUXAUWQGUYHUXAUWQUWHUYDUYEUXQWBWCUYHUWGGUWQRUYHUWFUW
      GVUBWGZGDWDSWEZWHZUXJTMZVUCGRBGBGUXJTWIVUHUXHGMUXHUXIWJWKWLWMIUXAUXCUXKWN
      WOUYOUYTUWMUWPUSZUXCMZLUYKURZIUXAURZUYMUYOUYSVUKIUXAUYOIJWQNZUYSUWMUXIUSZ
      UXCMZVUKVUMUYRVUNUXCVUMUWMGMUYRVUNRUYOUXAGUWMVUGWPBUWMUXJVUNGUXKUXHUWMUXI
      WRUXKVOUWMUXIWJWSSWTVUJVUOLUXIAXALAXIVUIVUNUXCUWPUXIUWMXBWTXCXDXEUYMUBKWQ
      ZUBUYLURVULUBUYLUXCXFVUPVUJUBILUXAUYKUBPVUIUXCXGXHXJXDXKXLUYHUYNCMZLUCWQZ
      UCPZUYNQZNZUCCVIZLUYNURZUYHVVBLUYNUWPUYNMUYHUWPFMZUXAUWPVLZVMZUXCQZNZVVBU
      YMVVGAUWPFALXIZUYLVVFUXCVVIUYKVVEUXAUXIUWPXMXNVRXOUYHVVHNZVVBVURUXPUMZVUS
      VMZUXCUXAFVMZXTZQZNZUCCVIVVJUCUWPUXPCVVNVVKCUMZVVKVOVVQVOZUYGUXQVVHVAVVJU
      WFCXPMZUYGUWFUXQVVHUWFUWGUYFVDXQZFCXRZSZVVJVVNUWIVVMVCOZUXPCUFOZVVJUWIXPM
      ZVVMTMZUYEVVNVWCMUWHVWEUYFUXQVVHUWHDXPMZVVSVWEUWGVWGUWFGDXRXSZUWFVVSUWGVW
      AWHZDCYAYBZYCVVJUXATMZFCMZVWFJXAZVVJUWFVWLVVTFCYDSZUXAFTCYEWOUYGUYEUXQVVH
      UWHUYDUYEYFXQUXCVVMUWIXPTYGYJVVJVWCUXPCFVCOZUFOZVWDVVJVWGVVSVWKVWLVWCVWPR
      UWHVWGUYFUXQVVHVWHYCVWBVWKVVJVWMWKVWNUXAFDCXPXPTCYHYIVVJVWOCUXPUFVVJVWOCV
      VQVCOZCVVJFVVQCVCVVJUWFFVVQRVVTFCWDSZYKVVJUWFVWQCRVVTCUWEVVQVVRYLSYMYKYMY
      NVVJVVKVVEVMVVFVVNVVJUXAVVKVVEVVJUXPUXAUDUEMZUXAVVKRZVVJUWGVUDVWSUYHUWGVV
      HVUEWHUYHVUDVVHVUFWHUXADGYOYBUXAUXPWDSZYPVVJVVFUXCVVMUYHVVDVVGYFVVJVVEFQV
      VFVVMQVVJUWPFUYHVVDVVGYQZUUAVVEFUXAYRSUUBUUCVVJUWPFVVQVXBVWRYNUUDVVJVVAVV
      PUCCVVJVUSCMZNZVUTVVOVURVXDVUTUYMAVUSURZUXAVUSVMZVVNQZVVOVXDVUSFQZVUTVXEV
      PVVJUWFVXCVXHVVTVUSCFUUEVNZVUTVXHVXEUYMAFVUSUUFUUGSVXDVXFUXCQZVXJVXFVVMQZ
      NVXEVXGVXDVXKVXJVXDVXHVXKVXIVUSFUXAYRSUUHVXJAVUSUYLYTZUXCQVXEVXFVXLUXCUXA
      AVUSUYKYTZVMVXFVXLVXMVUSUXAAVUSUUIUUJAVUSUYKUXAUUKUULUUMAVUSUYLUXCUUNXJVX
      FUXCVVMUUOUUPVXDVXFVVLVVNVXDUXAVVKVUSVVJVWTVXCVXAWHYPVRXKUUQUURYSUVAUUSUY
      HUWHVVSVUQVVCVPVUBVWILUCUYNCUUTUVBYSUVCUXRUWNUYJCUXRUWNUWLUXEUKUYJUWMUXEU
      WLUVDAFUXKUXEEHUVEUVFWTUVGUVJUVHUVIUVKUWHIUXGECUWJTFUWKUWFUWGUVLUXGTMUWHU
      XGUWKUNZUWKDUWIUHUVMUWBUWSUWIVMZVXNUXFUIUXGVXNQLKDUWIUXFUAJUWSUWQUYAUYBUY
      CUVNVXOVXNUXFUVOUVPUVQWKUWHVWGVWEUWJUXGUVRUEUVSUERVWHVWJLKDUWIUXFUAJUWSUW
      QUYAUYBUYCUVTYBUWHVWGVWEUWJUWKUDUEMVWHVWJDUWIUWJUWJVOUWAYBUWCUWD $.
  $}

  ${
    $d v w x y L $.  $d v w x y ph $.  $d v w x y z X $.  $d v w x y z Y $.
    $d v w z A $.  $d v w z J $.  $d v w z K $.
    cnmpt2k.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    cnmpt2k.k $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    cnmpt2k.a $e |- ( ph ->
      ( x e. X , y e. Y |-> A ) e. ( ( J tX K ) Cn L ) ) $.
    $( The currying of a two-argument function is continuous.  (Contributed by
       Mario Carneiro, 23-Mar-2015.) $)
    cnmpt2k $p |- ( ph ->
      ( x e. X |-> ( y e. Y |-> A ) ) e. ( J Cn ( L ^ko K ) ) ) $=
      ( vw vv cv co cmpt nfcv wcel cfv vz cmpo cxko ccn nfmpo2 nfov wceq nfmpo1
      nfmpt oveq1 cbvmpt oveq2 mpteq2dv syl5eq wa cuni simpr simplr wral cxp wf
      ctx ctopon txtopon syl2anc ctop syl toptopon2 sylib cnmptcom cnf2 syl3anc
      cntop2 eqid fmpo sylibr r19.21bi an32s ovmpt4g mpteq2dva xkoinjcn feqmptd
      cop eqeltrrd fveq2 df-ov eqtr4di cnmptk1 ) AMHNINOZMOZCBIHDUBZPZQZQZBHCID
      QZQZEGFUCPUDPAWNBHCICOZBOZWKPZQZQWPMBHWMWTBNIWLBIRBWIWJWKBWIRCBIHDUEBWJRU
      FUIMWTRWJWRUGZWMCIWQWJWKPZQWTNCIWLXBCWIWJWKCWIRCBIHDUHCWJRUFNXBRWIWQWJWKU
      JUKXACIXBWSWJWRWQWKULUMUNUKABHWTWOAWRHSZUOZCIWSDXDWQISZUOXEXCDGUPZSZWSDUG
      XDXEUQAXCXEURAXEXCXGAXEUOXGBHAXGBHUSZCIAIHUTZXFWKVAZXHCIUSAFEVBPZXIVCTSZG
      XFVCTSZWKXKGUDPZSXJAFIVCTSZEHVCTSZXLKJFEIHVDVEZAGVFSZXMABCHIDUBZEFVBPZGUD
      PSXRLXSXTGVMVGGVHVIABCDEFGHIJKLVJZWKXKGXIXFVKVLZCBIHDXFWKWKVNZVOVPVQVQVRC
      BIHDWKXFYCVSVLVTVTUNAMNUAWIWJWCZUAOZWKTZWLEFXKGHIXIJKXQAXPXOMHNIYDQQZEXKF
      UCPUDPSJKMNEFYGHIYGVNWAVEAWKUAXIYFQXNAUAXIXFWKYBWBYAWDYEYDUGYFYDWKTWLYEYD
      WKWEWIWJWKWFWGWHWD $.
  $}

  ${
    $d a w x z R $.  $d a w x z S $.
    $( The topological product of two connected spaces is connected.
       (Contributed by Mario Carneiro, 29-Mar-2015.) $)
    txconn $p |- ( ( R e. Conn /\ S e. Conn ) -> ( R tX S ) e. Conn ) $=
      ( vx vz va cconn wcel wa co cfv c0 cv wceq syl cop eqid syl2anc eqeltrrid
      eleqtrrd eleq1d vw ctx ctop ccld cin cuni cpr wss conntop txtop syl2an wo
      wex neq0 simplr elin1d elssuni c1st c2nd cxp simprr simplll simpllr txuni
      wn 1st2nd2 crab xp2nd cmpt ccnv cima mptpreima ccn ctopon toptopon2 sylib
      xp1st cnmptc cnmptid cnmpt1t cnima wrex wne simprl elunii eqeltrrd rspcev
      opeq1 rabn0 sylibr cnclima connclo elrab simprbi opeq2 eqeltrd expr ssrdv
      elin2d eqssd ex exlimdv syl5bi orrd vex elpr syl6ibr isconn2 sylanbrc ) A
      FGZBFGZHZABUBIZUCGZXMXMUDJZUEZKXMUFZUGZUHXMFGXJAUCGZBUCGZXNXKAUIZBUIZABUJ
      UKXLCXPXRXLCLZXPGZYCKMZYCXQMZULZYCXRGXLYDYGXLYDHZYEYFYEVEDLZYCGZDUMYHYFDY
      CUNYHYJYFDYHYJYFYHYJHZYCXQYKYCXMGZYCXQUHYKXMXOYCXLYDYJUOUPYCXMUQNYKUAXQYC
      YHYJUALZXQGZYMYCGYHYJYNHZHZYMYMURJZYMUSJZOZYCYPYMAUFZBUFZUTZGZYMYSMYPYMXQ
      UUBYHYJYNVAYPXSXTUUBXQMYPXJXSXJXKYDYOVBZYANZYPXKXTXJXKYDYOVCZYBNZABYTUUAY
      TPZUUAPZVDQZSZYMYTUUAVFNYPYRYQELZOZYCGZEUUAVGZGZYSYCGZYPYRUUAUUOYPUUCYRUU
      AGZUUKYMYTUUAVHNYPUUOBUUAUUIUUFYPUUOEUUAUUMVIZVJYCVKZBEUUAUUMYCUUSUUSPVLZ
      YPUUSBXMVMIGZYLUUTBGYPEYQUULBABUUAYPXTBUUAVNJGUUGBVOVPZYPEYQBAUUAYTUVCYPX
      SAYTVNJGUUEAVOVPZYPUUCYQYTGZUUKYMYTUUAVQNZVRYPEBUUAUVCVSVTZYPXMXOYCXLYDYO
      UOZUPZYCUUSBXMWAQRYPUUNEUUAWBZUUOKWCYPYIUSJZUUAGZYQUVKOZYCGZUVJYPYIUUBGZU
      VLYPYIXQUUBYPYJYLYIXQGYHYJYNWDZUVIYIYCXMWEQUUJSZYIYTUUAVHNZYPYQUULUVKOZYC
      GZEYTVGZGZUVNYPYQYTUWAUVFYPUWAAYTUUHUUDYPUWAEYTUVSVIZVJYCVKZAEYTUVSYCUWCU
      WCPVLZYPUWCAXMVMIGZYLUWDAGYPEUULUVKAABYTUVDYPEAYTUVDVSYPEUVKABYTUUAUVDUVC
      UVRVRVTZUVIYCUWCAXMWAQRYPUVTEYTWBZUWAKWCYPYIURJZYTGZUWIUVKOZYCGZUWHYPUVOU
      WJUVQYIYTUUAVQNYPYIUWKYCYPUVOYIUWKMUVQYIYTUUAVFNUVPWFUVTUWLEUWIYTUULUWIMU
      VSUWKYCUULUWIUVKWHTWGQUVTEYTWIWJYPUWAUWDAUDJZUWEYPUWFYCXOGZUWDUWMGUWGYPXM
      XOYCUVHWSZYCUWCAXMWKQRWLSUWBUVEUVNUVTUVNEYQYTUULYQMUVSUVMYCUULYQUVKWHTWMW
      NNUUNUVNEUVKUUAUULUVKMUUMUVMYCUULUVKYQWOTWGQUUNEUUAWIWJYPUUOUUTBUDJZUVAYP
      UVBUWNUUTUWPGUVGUWOYCUUSBXMWKQRWLSUUPUURUUQUUNUUQEYRUUAUULYRMUUMYSYCUULYR
      YQWOTWMWNNWPWQWRWTXAXBXCXDXAYCKXQCXEXFXGWRXMXQXQPXHXI $.
  $}

  ${
    $d y A $.  $d y J $.  $d y K $.  $d y R $.  $d y X $.
    imasnopn.1 $e |- X = U. J $.
    $( If a relation graph is open, then an image set of a singleton is also
       open.  Corollary of Proposition 4 of [BourbakiTop1] p.  I.26.
       (Contributed by Thierry Arnoux, 14-Jan-2018.) $)
    imasnopn $p |- ( ( ( J e. Top /\ K e. Top ) /\ ( R e. ( J tX K ) /\
      A e. X ) ) -> ( R " { A } ) e. K ) $=
      ( vy ctop wcel wa cima cuni wss adantr eqid syl2anc wceq ad2antll ctopon
      co ctx csn cv cop cmpt ccnv crab nfv nfcv nfrab1 cxp txtop simprl eltopss
      txuni sseqtrrd imass1 syl xpimasn sseqtrd sseld pm4.71rd wb elimasng elvd
      cvv anbi2d bitrd rabid bitr4di eqrd mptpreima eqtr4di ccn toptopon biimpi
      cfv ad2antlr ad2antrr simprr cnmptc cnmptid cnmpt1t cnima eqeltrd ) CHIZD
      HIZJZBCDUATZIZAEIZJZJZBAUBZKZGDLZAGUCZUDZUEZUFBKZDWMWOWRBIZGWPUGZWTWMGWOX
      BWMGUHGWOUIXAGWPUJWMWQWOIZWQWPIZXAJZWQXBIWMXCXDXCJXEWMXCXDWMWOWPWQWMWOEWP
      UKZWNKZWPWMBXFMWOXGMWMBWILZXFWMWIHIZWJBXHMWHXIWLCDULNWHWJWKUMZBWIXHXHOUNP
      WHXFXHQWLCDEWPFWPOZUONUPBXFWNUQURWKXGWPQWHWJEWPAUSRUTVAVBWMXCXAXDWKXCXAVC
      ZWHWJWKXLGBAWQEVFVDVERVGVHXAGWPVIVJVKGWPWRBWSWSOVLVMWMWSDWIVNTIWJWTDIWMGA
      WQDCDWPWGDWPSVQIZWFWLWGXMDWPXKVOVPVRZWMGADCWPEXNWFCESVQIZWGWLWFXOCEFVOVPV
      SWHWJWKVTWAWMGDWPXNWBWCXJBWSDWIWDPWE $.

    $( If a relation graph is closed, then an image set of a singleton is also
       closed.  Corollary of Proposition 4 of [BourbakiTop1] p.  I.26.
       (Contributed by Thierry Arnoux, 14-Jan-2018.) $)
    imasncld $p |- ( ( ( J e. Top /\ K e. Top ) /\ ( R e. ( Clsd ` ( J tX K ) )
      /\ A e. X ) ) -> ( R " { A } ) e. ( Clsd ` K ) ) $=
      ( vy ctop wcel wa co ccld cfv cima cuni wss eqid syl wceq ad2antll ctx cv
      csn cop cmpt ccnv crab nfv nfcv nfrab1 simprl cldss txuni adantr sseqtrrd
      cxp imass1 xpimasn sseqtrd sseld pm4.71rd cvv elimasng anbi2d bitrd rabid
      elvd bitr4di eqrd mptpreima eqtr4di ccn ctopon toptopon ad2antlr ad2antrr
      wb biimpi simprr cnmptc cnmptid cnmpt1t cnclima syl2anc eqeltrd ) CHIZDHI
      ZJZBCDUAKZLMIZAEIZJZJZBAUCZNZGDOZAGUBZUDZUEZUFBNZDLMZWMWOWRBIZGWPUGZWTWMG
      WOXCWMGUHGWOUIXBGWPUJWMWQWOIZWQWPIZXBJZWQXCIWMXDXEXDJXFWMXDXEWMWOWPWQWMWO
      EWPUPZWNNZWPWMBXGPWOXHPWMBWIOZXGWMWJBXIPWHWJWKUKZBWIXIXIQULRWHXGXISWLCDEW
      PFWPQZUMUNUOBXGWNUQRWKXHWPSWHWJEWPAURTUSUTVAWMXDXBXEWKXDXBVQZWHWJWKXLGBAW
      QEVBVCVGTVDVEXBGWPVFVHVIGWPWRBWSWSQVJVKWMWSDWIVLKIWJWTXAIWMGAWQDCDWPWGDWP
      VMMIZWFWLWGXMDWPXKVNVRVOZWMGADCWPEXNWFCEVMMIZWGWLWFXOCEFVNVRVPWHWJWKVSVTW
      MGDWPXNWAWBXJBWSDWIWCWDWE $.

    $d y Y $.
    imasnopn.2 $e |- Y = U. K $.
    $( If a relation graph is closed, then an image set of a singleton is also
       closed.  Corollary of Proposition 4 of [BourbakiTop1] p.  I.26.
       (Contributed by Thierry Arnoux, 14-Jan-2018.) $)
    imasncls $p |- ( ( ( J e. Top /\ K e. Top ) /\ ( R C_ ( X X. Y )
      /\ A e. X ) ) -> ( ( cls ` K ) ` ( R " { A } ) )
        C_ ( ( ( cls ` ( J tX K ) ) ` R ) " { A } ) ) $=
      ( vy ctop wcel wa wss cima ccl cfv co ctopon sseqtrd ad2antll cxp cv cmpt
      cop ccnv ctx csn ccn cuni toptopon biimpi ad2antlr ad2antrr simprr cnmptc
      cnmptid cnmpt1t simprl wceq txuni adantr eqid cncls2i syl2anc crab nfrab1
      nfv nfcv imass1 syl xpimasn sseld pm4.71rd cvv elimasng elvd anbi2d bitrd
      rabid bitr4di eqrd mptpreima eqtr4di fveq2d txtop clsss3 sseqtrrd 3sstr4d
      wb ) CJKZDJKZLZBEFUAZMZAEKZLZLZIFAIUBZUDZUCZUEZBNZDOPZPZXABCDUFQZOPPZNZBA
      UGZNZXCPXFXHNZWQWTDXEUHQKBXEUIZMZXDXGMWQIAWRDCDFWKDFRPKZWJWPWKXMDFHUJUKUL
      ZWQIADCFEXNWJCERPKZWKWPWJXOCEGUJUKUMWLWNWOUNUOWQIDFXNUPUQWQBWMXKWLWNWOURZ
      WLWMXKUSWPCDEFGHUTVAZSZBWTDXEXKXKVBZVCVDWQXIXBXCWQXIWSBKZIFVEZXBWQIXIYAWQ
      IVGZIXIVHXTIFVFWQWRXIKZWRFKZXTLZWRYAKWQYCYDYCLYEWQYCYDWQXIFWRWQXIWMXHNZFW
      QWNXIYFMXPBWMXHVIVJWOYFFUSWLWNEFAVKTZSVLVMWQYCXTYDWOYCXTWIZWLWNWOYHIBAWRE
      VNVOVPTVQVRXTIFVSVTWAIFWSBWTWTVBZWBWCWDWQXJWSXFKZIFVEZXGWQIXJYKYBIXJVHYJI
      FVFWQWRXJKZYDYJLZWRYKKWQYLYDYLLYMWQYLYDWQXJFWRWQXJYFFWQXFWMMXJYFMWQXFXKWM
      WQXEJKZXLXFXKMWLYNWPCDWEVAXRBXEXKXSWFVDXQWGXFWMXHVIVJYGSVLVMWQYLYJYDWOYLY
      JWIZWLWNWOYOIXFAWREVNVOVPTVQVRYJIFVSVTWAIFWSXFWTYIWBWCWH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Quotient maps and quotient topology
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c KQ $.

  $( Extend class notation with the Kolmogorov quotient function. $)
  ckq $a class KQ $.

  ${
    $d j x y $.
    $( Define the Kolmogorov quotient.  This is a function on topologies which
       maps a topology to its quotient under the topological distinguishability
       map, which takes a point to the set of open sets that contain it.  Two
       points are mapped to the same image under this function iff they are
       topologically indistinguishable.  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    df-kq $a |- KQ = ( j e. Top |-> ( j qTop
      ( x e. U. j |-> { y e. j | x e. y } ) ) ) $.
  $}

  ${
    $d s A $.  $d f j s F $.  $d f j s J $.  $d s V $.  $d s Y $.  $d s Z $.
    $d f j s X $.
    qtopval.1 $e |- X = U. J $.
    $( Value of the quotient topology function.  (Contributed by Mario
       Carneiro, 23-Mar-2015.) $)
    qtopval $p |- ( ( J e. V /\ F e. W ) ->
      ( J qTop F ) = { s e. ~P ( F " X ) | ( ( `' F " s ) i^i X ) e. J } ) $=
      ( vj vf wcel cvv cqtop ccnv cv cima cin cpw crab wceq elex co imaexg 3syl
      pwexg rabexg adantl cuni simpr simpl unieqd eqtr4di imaeq12d pweqd cnveqd
      wa imaeq1d ineq12d eleq12d rabeqbidv df-qtop ovmpoga mpd3an3 syl2an ) BCJ
      BKJZAKJZBALUAAMZFNZOZEPZBJZFAEOZQZRZSZADJBCTADTVDVEVMKJZVNVEVOVDVEVKKJVLK
      JVOAEKUBVKKUDVJFVLKUEUCUFHIBAKKINZMZVGOZHNZUGZPZVSJZFVPVTOZQZRVMLKVSBSZVP
      ASZUOZWBVJFWDVLWGWCVKWGVPAVTEWEWFUHZWGVTBUGEWGVSBWEWFUIZUJGUKZULUMWGWAVIV
      SBWGVRVHVTEWGVQVFVGWGVPAWHUNUPWJUQWIURUSIHFUTVAVBVC $.

    $( Value of the quotient topology function when ` F ` is a function on the
       base set.  (Contributed by Mario Carneiro, 23-Mar-2015.) $)
    qtopval2 $p |- ( ( J e. V /\ F : Z -onto-> Y /\ Z C_ X ) ->
      ( J qTop F ) = { s e. ~P Y | ( `' F " s ) e. J } ) $=
      ( wcel wfo wss w3a cqtop co cima cpw crab cvv wceq 3ad2ant2 ccnv cv simp1
      cin wf fof cuni uniexg 3ad2ant1 eqeltrid simp3 ssexd fexd qtopval syl2anc
      crn imassrn sseqtrid foima imass2 syl eqsstrrd eqssd pweqd cnvimass fssdm
      forn sstrd df-ss sylib eleq1d rabeqbidv eqtrd ) BCIZFEAJZFDKZLZBAMNZAUAGU
      BZOZDUDZBIZGADOZPZQZVTBIZGEPZQVQVNARIVRWESVNVOVPUCVQFERAVOVNFEAUEVPFEAUFT
      ZVQFDRVQDBUGZRHVNVOWIRIVPBCUHUIUJVNVOVPUKZULUMABCRDGHUNUOVQWBWFGWDWGVQWCE
      VQWCEVQAUPZWCEADUQVOVNWKESVPFEAVGTURVQEAFOZWCVOVNWLESVPFEAUSTVQVPWLWCKWJF
      DAUTVAVBVCVDVQWAVTBVQVTDKWAVTSVQVTFDVQFEVTAAVSVEWHVFWJVHVTDVIVJVKVLVM $.

    $( Value of the quotient topology function.  (Contributed by Mario
       Carneiro, 23-Mar-2015.) $)
    elqtop $p |- ( ( J e. V /\ F : Z -onto-> Y /\ Z C_ X ) ->
      ( A e. ( J qTop F ) <-> ( A C_ Y /\ ( `' F " A ) e. J ) ) ) $=
      ( vs wcel wfo wss w3a cqtop co ccnv cv cima wa cvv cpw crab qtopval2 wceq
      eleq2d imaeq2 eleq1d elrab wb uniexg eqeltrid 3ad2ant1 simp3 ssexd fornex
      cuni simp2 sylc elpw2g syl anbi1d syl5bb bitrd ) CDJZGFBKZGELZMZACBNOZJAB
      PZIQZRZCJZIFUAZUBZJZAFLZVIARZCJZSZVGVHVNABCDEFGIHUCUEVOAVMJZVRSVGVSVLVRIA
      VMVJAUDVKVQCVJAVIUFUGUHVGVTVPVRVGFTJZVTVPUIVGGTJVEWAVGGETVDVEETJVFVDECUPT
      HCDUJUKULVDVEVFUMUNVDVEVFUQGFTBUOURAFTUSUTVAVBVC $.

    $( The quotient topology is unaffected by restriction to the base set.
       This property makes it slightly more convenient to use, since we don't
       have to require that ` F ` be a function with domain ` X ` .
       (Contributed by Mario Carneiro, 23-Mar-2015.) $)
    qtopres $p |- ( F e. V -> ( J qTop F ) = ( J qTop ( F |` X ) ) ) $=
      ( vs vj vf wcel cvv cqtop co cres wceq ccnv cv cima cin cpw crab wa pweqi
      resima rabeqi residm cnveqi imaeq1i cnvresima eleq1i rabbii eqtr2i resexg
      3eqtr3i qtopval sylan2 3eqtr4a expcom cuni df-qtop reldmmpo ovprc1 eqtr4d
      wn c0 pm2.61d1 ) ACIZBJIZBAKLZBADMZKLZNZVGVFVKVGVFUAAOFPZQDRZBIZFADQZSZTZ
      VIOZVLQZDRZBIZFVIDQZSZTZVHVJWDWAFVPTVQWAFWCVPWBVOADUCUBUDWAVNFVPVTVMBVIDM
      ZOZVLQVSVTVMWFVRVLWEVIADUEUFUGDVLVIUHDVLAUHUMUIUJUKABJCDFEUNVFVGVIJIVJWDN
      ADCULVIBJJDFEUNUOUPUQVGVCVHVDVJBAKGHJJHPZOVLQGPZURZRWHIFWGWIQSTKHGFUSUTZV
      ABVIKWJVAVBVE $.
  $}

  ${
    $d x y F $.  $d x y V $.  $d x y X $.  $d x Y $.  $d x y J $.
    $( The quotient topology is a topology.  (Contributed by Mario Carneiro,
       23-Mar-2015.) $)
    qtoptop2 $p |- ( ( J e. Top /\ F e. V /\ Fun F ) ->
      ( J qTop F ) e. Top ) $=
      ( vx vy ctop wcel wfun cqtop cuni wss cin wral cima elqtop syl3anc adantr
      co wa wb w3a cres wceq eqid qtopres 3ad2ant2 cv wi wal crn ccnv cpw simp1
      cdm wfo funres 3ad2ant3 funforn sylib dmres inss1 eqsstri simprbda sylibr
      a1i velpw ex ssrdv sstr2 syl5com sspwuni syl6ib imauni simplbda ralrimiva
      ciun ssralv mpan9 iunopn syl2an2r eqeltrid sylibrd alrimiv biimpa adantrr
      jcad simpld sstrid inpreima syl simprd adantrl inopn mpbir2and ralrimivva
      eqeltrd cvv ovex istopg ax-mp sylanbrc ) BFGZACGZAHZUAZBAIRZBABJZUBZIRZFX
      CXBXFXIUCXDABCXGXGUDZUEUFXEDUGZXIKZXKJZXIGZUHZDUIZXKEUGZLZXIGZEXIMDXIMZXI
      FGZXEXODXEXLXMXHUJZKZXHUKZXMNZBGZSZXNXEXLYCYFXEXLXKYBULZKZYCXEXIYHKXLYIXE
      EXIYHXEXQXIGZXQYHGZXEYJSXQYBKZYKXEYJYLYDXQNZBGZXEXBXHUNZYBXHUOZYOXGKZYJYL
      YNSTXBXCXDUMZXEXHHZYPXDXBYSXCXGAUPUQZXHURUSZYQXEYOXGAUNZLXGAXGUTXGUUBVAVB
      VEZXQXHBFXGYBYOXJOPZVCEYBVFVDVGVHXKXIYHVIVJXKYBVKVLXEXLYFXEXLSYEEXKYMVPZB
      EYDXKVMXEXBXLYNEXKMZUUEBGYRXEYNEXIMXLUUFXEYNEXIXEYJYLYNUUDVNZVOYNEXKXIVQV
      REXKYMBVSVTWAVGWFXEXBYPYQXNYGTYRUUAUUCXMXHBFXGYBYOXJOPWBWCXEXSDEXIXIXEXKX
      IGZYJSZSZXSXRYBKZYDXRNZBGZUUJXRXKYBXKXQVAUUJXKYBKZYDXKNZBGZXEUUHUUNUUPSZY
      JXEUUHUUQXEXBYPYQUUHUUQTYRUUAUUCXKXHBFXGYBYOXJOPWDWEZWGWHUUJUULUUOYMLZBUU
      JYSUULUUSUCXEYSUUIYTQXKXQXHWIWJUUJXBUUPYNUUSBGXEXBUUIYRQUUJUUNUUPUURWKXEY
      JYNUUHUUGWLUUOYMBWMPWPXEXSUUKUUMSTZUUIXEXBYPYQUUTYRUUAUUCXRXHBFXGYBYOXJOP
      QWNWOXIWQGYAXPXTSTBXHIWRDEWQXIWSWTXAWP $.

    qtoptop.1 $e |- X = U. J $.
    $( The quotient topology is a topology.  (Contributed by Mario Carneiro,
       23-Mar-2015.) $)
    qtoptop $p |- ( ( J e. Top /\ F Fn X ) -> ( J qTop F ) e. Top ) $=
      ( ctop wcel wfn wa cvv wfun cqtop co simpl id topopn syl2anr fnfun adantl
      fnex qtoptop2 syl3anc ) BEFZACGZHUBAIFZAJZBAKLEFUBUCMUCUCCBFUDUBUCNBCDOCB
      ASPUCUEUBCAQRABITUA $.

    $( Value of the quotient topology function.  (Contributed by Mario
       Carneiro, 9-Apr-2015.) $)
    elqtop2 $p |- ( ( J e. V /\ F : X -onto-> Y ) ->
      ( A e. ( J qTop F ) <-> ( A C_ Y /\ ( `' F " A ) e. J ) ) ) $=
      ( wcel wfo wss cqtop co ccnv cima wa wb ssid elqtop mp3an3 ) CDHEFBIEEJAC
      BKLHAFJBMANCHOPEQABCDEFEGRS $.

    $( The base set of the quotient topology.  (Contributed by Mario Carneiro,
       23-Mar-2015.) $)
    qtopuni $p |- ( ( J e. Top /\ F : X -onto-> Y ) ->
      Y = U. ( J qTop F ) ) $=
      ( vx ctop wcel wfo wa cqtop co cuni wss ccnv cima ssidd wf syl elqtop2 cv
      wceq fof adantl fimacnv topopn adantr eqeltrd mpbir2and elssuni cpw simpl
      velpw sylibr syl6bi ssrdv sspwuni sylib eqssd ) BGHZCDAIZJZDBAKLZMZVBDVCH
      ZDVDNVBVEDDNAOZDPZBHVBDQVBVGCBVBCDARZVGCUBVAVHUTCDAUCUDCDAUESUTCBHVABCEUF
      UGUHDABGCDETUIDVCUJSVBVCDUKZNVDDNVBFVCVIVBFUAZVCHVJDNZVFVJPBHZJZVJVIHZVJA
      BGCDETVMVKVNVKVLULFDUMUNUOUPVCDUQURUS $.
  $}

  $( Value of the quotient topology function.  (Contributed by Mario Carneiro,
     9-Apr-2015.) $)
  elqtop3 $p |- ( ( J e. ( TopOn ` X ) /\ F : X -onto-> Y ) ->
    ( A e. ( J qTop F ) <-> ( A C_ Y /\ ( `' F " A ) e. J ) ) ) $=
    ( ctopon cfv wcel wfo cuni wss cqtop co ccnv cima wa wceq toponuni eqimss
    wb syl adantr eqid elqtop mpd3an3 ) CDFGZHZDEBIZDCJZKZACBLMHAEKBNAOCHPTUGUJ
    UHUGDUIQUJDCRDUISUAUBABCUFUIEDUIUCUDUE $.

  $( The base set of the quotient topology.  (Contributed by Mario Carneiro,
     22-Aug-2015.) $)
  qtoptopon $p |- ( ( J e. ( TopOn ` X ) /\ F : X -onto-> Y ) ->
    ( J qTop F ) e. ( TopOn ` Y ) ) $=
    ( ctopon cfv wcel wfo wa cqtop co ctop cuni wceq topontop toponuni syl2an2r
    wfn wb syl foeq2 biimpa fofn eqid qtoptop qtopuni istopon sylanbrc ) BCEFGZ
    CDAHZIZBAJKZLGZDULMNZULDEFGUIBLGZUJABMZRZUMCBOZUKUPDAHZUQUIUJUSUICUPNUJUSSC
    BPCUPDAUATUBZUPDAUCTABUPUPUDZUEQUIUOUJUSUNURUTABUPDVAUFQDULUGUH $.

  ${
    $d w x y z F $.  $d w x y z J $.  $d w x y z X $.  $d w x y z Y $.
    $( A quotient map is a continuous function into its quotient topology.
       (Contributed by Mario Carneiro, 23-Mar-2015.) $)
    qtopid $p |- ( ( J e. ( TopOn ` X ) /\ F Fn X ) ->
        F e. ( J Cn ( J qTop F ) ) ) $=
      ( vx ctopon cfv wcel wfn wa cqtop co ccn crn wf ccnv cv cima wral syldan
      wb wfo simpr dffn4 sylib fof syl wss elqtop3 simplbda ralrimiva qtoptopon
      iscn mpbir2and ) BCEFGZACHZIZABBAJKZLKGZCAMZANZAODPZQBGZDUQRZUPCUSAUAZUTU
      PUOVDUNUOUBCAUCUDZCUSAUEUFUPVBDUQUPVAUQGZVAUSUGZVBUNUOVDVFVGVBITVEVAABCUS
      UHSUIUJUNUOUQUSEFGZURUTVCITUNUOVDVHVEABCUSUKSDABUQCUSULSUM $.

    $( The quotient topology induced by the identity function is the original
       topology.  (Contributed by Mario Carneiro, 30-Aug-2015.) $)
    idqtop $p |- ( J e. ( TopOn ` X ) -> ( J qTop ( _I |` X ) ) = J ) $=
      ( vx ctopon cfv wcel cid cres cqtop co cv ccnv cima cnvresid imaeq1i wceq
      wss wa resiima adantl syl5eq eleq1d pm5.32da wf1o f1oi f1ofo mp1i elqtop3
      wfo wb mpdan toponss ex pm4.71rd 3bitr4d eqrdv ) ABDEFZCAGBHZIJZAUQCKZBQZ
      URLZUTMZAFZRZVAUTAFZRUTUSFZVFUQVAVDVFUQVARZVCUTAVHVCURUTMZUTVBURUTBNOVAVI
      UTPUQBUTSTUAUBUCUQBBURUIZVGVEUJBBURUDVJUQBUEBBURUFUGUTURABBUHUKUQVFVAUQVF
      VAUTABULUMUNUOUP $.

    qtopcmp.1 $e |- X = U. J $.
    ${
      qtopcmplem.1 $e |- ( J e. A -> J e. Top ) $.
      qtopcmplem.2 $e |- ( ( J e. A /\ F : X -onto-> U. ( J qTop F ) /\
         F e. ( J Cn ( J qTop F ) ) ) -> ( J qTop F ) e. A ) $.
      $( Lemma for ~ qtopcmp and ~ qtopconn .  (Contributed by Mario Carneiro,
         24-Mar-2015.) $)
      qtopcmplem $p |- ( ( J e. A /\ F Fn X ) -> ( J qTop F ) e. A ) $=
        ( wcel wfn wa cqtop co cuni wfo ccn simpl crn simpr sylib sylan wceq wb
        dffn4 ctop qtopuni sylan2b foeq3 syl ctopon cfv toptopon qtopid syl3anc
        mpbid ) CAHZBDIZJZUODCBKLZMZBNZBCUROLHZURAHUOUPPUQDBQZBNZUTUQUPVCUOUPRD
        BUCZSUQVBUSUAZVCUTUBUPUOVCVEVDUOCUDHZVCVEFBCDVBEUETUFVBUSDBUGUHUNUOCDUI
        UJHZUPVAUOVFVGFCDEUKSBCDULTGUM $.
    $}

    $( A quotient of a compact space is compact.  (Contributed by Mario
       Carneiro, 24-Mar-2015.) $)
    qtopcmp $p |- ( ( J e. Comp /\ F Fn X ) -> ( J qTop F ) e. Comp ) $=
      ( ccmp cmptop cqtop co cuni eqid cncmp qtopcmplem ) EABCDBFABBAGHZCMIZNJK
      L $.

    $( A quotient of a connected space is connected.  (Contributed by Mario
       Carneiro, 24-Mar-2015.) $)
    qtopconn $p |- ( ( J e. Conn /\ F Fn X ) -> ( J qTop F ) e. Conn ) $=
      ( cconn conntop cqtop co cuni eqid cnconn qtopcmplem ) EABCDBFABBAGHZCMIZ
      NJKL $.

    $( A quotient of a compactly generated space is compactly generated.
       (Contributed by Mario Carneiro, 9-Apr-2015.) $)
    qtopkgen $p |- ( ( J e. ran kGen /\ F Fn X ) ->
      ( J qTop F ) e. ran kGen ) $=
      ( vx ckgen crn wcel wa co ctop cfv wss cuni wceq syl sseqtrrd syl2anc ccn
      sylib cqtop kgentop qtoptop sylan cv ccnv cima elssuni adantl adantr eqid
      wfn kgenuni wfo simpll simplr dffn4 qtopuni ctopon qtopid kgencn3 eleqtrd
      toptopon cnima sylancom wb elqtop2 mpbir2and ex ssrdv iskgen2 sylanbrc )
      BFGZHZACULZIZBAUAJZKHZVQFLZVQMVQVMHVNBKHZVOVRBUBZABCDUCUDZVPEVSVQVPEUEZVS
      HZWCVQHZVPWDIZWEWCAGZMZAUFWCUGBHZWFWCVQNZWGWFWCVSNZWJWDWCWKMVPWCVSUHUIWFV
      RWJWKOVPVRWDWBUJZVQWJWJUKUMPQWFVTCWGAUNZWGWJOWFVNVTVNVOWDUOZWAPZWFVOWMVNV
      OWDUPZCAUQTZABCWGDURRQVPWDABVSSJZHWIWFABVQSJZWRWFBCUSLHZVOAWSHWFVTWTWOBCD
      VCTWPABCUTRWFVNVRWSWROWNWLBVQVARVBWCABVSVDVEWFVNWMWEWHWIIVFWNWQWCABVMCWGD
      VGRVHVIVJVQVKVL $.

    $( An injection maps bases to bases.  (Contributed by Mario Carneiro,
       27-Aug-2015.) $)
    basqtop $p |- ( ( J e. TopBases /\ F : X -1-1-onto-> Y ) ->
      ( J qTop F ) e. TopBases ) $=
      ( vx vy vw ctb wcel wa cv cin wss cima wb elqtop2 wceq syl2anc syl vz cpw
      wf1o cqtop co cuni wral ccnv wfo f1ofo anbi12d sylan2 w3a simpl1l simpl2r
      cfv wrex simpl3r simpl1r f1ocnv f1ofn 3syl simpl2l elin1d fnfvima syl3anc
      wfn simpr simpl3l elin2d elind basis2 syl22anc adantr inss1 simp2l sstrid
      sselda f1ocnvfv2 simprrr sstrdi cdm cnvimass f1odm sseqtrid sstrd simprrl
      eqeltrrd crn imassrn forn wf1 f1of1 f1imacnv eqeltrd mpbir2and wfun fnfun
      simprl inpreima sseqtrrd funimass3 mpbird inex1 elpw2 sylibr rexlimddv ex
      vex elunii ssrdv 3expib sylbid ralrimivv cvv ovex isbasisg ax-mp ) BIJZCD
      AUCZKZFLZGLZMZBAUDUEZYDUBZMZUFZNZGYEUGFYEUGZYEIJZYAYIFGYEYEYAYBYEJZYCYEJZ
      KZYBDNZAUHZYBOZBJZKZYCDNZYPYCOZBJZKZKZYIXTXSCDAUIZYNUUDPCDAUJZXSUUEKYLYSY
      MUUCYBABICDEQYCABICDEQUKULYAYSUUCYIYAYSUUCUMZUAYDYHUUGUALZYDJZUUHYHJZUUGU
      UIKZUUHYPUPZHLZJZUUMYQUUAMZNZKZUUJHBUUKXSYRUUBUULUUOJUUQHBUQXSXTYSUUCUUIU
      NZYOYRYAUUCUUIUOYTUUBYAYSUUIURUUKYQUUAUULUUKYPDVGZYOUUHYBJUULYQJUUKXTDCYP
      UCUUSXSXTYSUUCUUIUSZCDAUTDCYPVAVBZYOYRYAUUCUUIVCUUKYBYCUUHUUGUUIVHZVDDYBY
      PUUHVEVFUUKUUSYTUUHYCJUULUUAJUVAYTUUBYAYSUUIVIUUKYBYCUUHUVBVJDYCYPUUHVEVF
      VKHUULBYQUUAVLVMUUKUUMBJZUUQKZKZUUHAUUMOZJUVFYGJUUJUVEUULAUPZUUHUVFUVEXTU
      UHDJZUVGUUHRUUKXTUVDUUTVNZUUKUVHUVDUUGYDDUUHUUGYDYBDYBYCVOYAYOYRUUCVPVQVR
      VNCDUUHAVSSUVEACVGZUUMCNZUUNUVGUVFJUVEXTUVJUVICDAVATZUVEUUMYQCUVEUUMUUOYQ
      UUKUVCUUNUUPVTZYQUUAVOWAZUVEAWBZYQCAYBWCZUVEXTUVOCRUVICDAWDTWEWFZUUKUVCUU
      NUUPWGCUUMAUULVEVFWHUVEYEYFUVFUVEUVFYEJZUVFDNZYPUVFOZBJZUVEAWIZUVFDAUUMWJ
      UVEUUEUWBDRUVEXTUUEUVIUUFTZCDAWKTWEUVEUVTUUMBUVECDAWLZUVKUVTUUMRUVEXTUWDU
      VICDAWMTUVQCDUUMAWNSUUKUVCUUQWSWOUVEXSUUEUVRUVSUWAKPUUKXSUVDUURVNUWCUVFAB
      ICDEQSWPUVEUVFYDNZUVFYFJUVEUWEUUMYPYDOZNZUVEUUMUUOUWFUVMUVEUVJAWQZUWFUUOR
      UVLCAWRZYBYCAWTVBXAUVEUWHUUMUVONUWEUWGPUVEUVJUWHUVLUWITUVEUUMYQUVOUVNUVPW
      AUUMYDAXBSXCUVFYDYBYCFXIXDXEXFVKUUHUVFYGXJSXGXHXKXLXMXNYEXOJYKYJPBAUDXPFG
      YEXOXQXRXF $.

    $( An injection maps generated topologies to each other.  (Contributed by
       Mario Carneiro, 27-Aug-2015.) $)
    tgqtop $p |- ( ( J e. TopBases /\ F : X -1-1-onto-> Y ) ->
      ( ( topGen ` J ) qTop F ) = ( topGen ` ( J qTop F ) ) ) $=
      ( vx vy vz vw ctb wcel wa cfv cv wss cima cuni wb syl syl2anc wf1o ctg co
      cqtop ccnv cpw cin wral wfun cdm f1ocnv ad2antlr simpr crn df-rn wfo wceq
      f1ofun f1ofo forn eqtr3id sseqtrrd funimass4 simprl elin1d elqtop2 sylan2
      dfss3 ad3antrrr mpbid simprd elin2d elpwid imass2 elpwd elind wfn simp-4r
      wrex f1ofn sstrd simprr fnfvima syl3anc eleq2 rspcev rexlimdvaa funimass2
      ad2antrr wf1 f1of1 elssuni sseqtrrdi f1imacnv eqeltrd mpbir2and vex elpw2
      sylibr sselda adantr f1ocnvfv2 adantl impbid eluni2 3bitr4g syl5bb bitr4d
      eqeltrrd ralbidva eltg cvv ovex 3bitr4d pm5.32da ctopon tgtopon eleqtrrdi
      mp1i fveq2i elqtop3 unitg ax-mp simpl velpw syl6bi ssrdv sspwuni eqsstrid
      sylib sseld syl6ib pm4.71rd eqrdv ) BJKZCDAUAZLZFBUBMZAUDUCZBAUDUCZUBMZYQ
      FNZDOZAUEZUUBPZYRKZLZUUCUUBUUAKZLUUBYSKZUUHYQUUCUUFUUHYQUUCLZUUEBUUEUFZUG
      ZQZOZUUBYTUUBUFZUGZQZOZUUFUUHUUJUUNGNZUUDMZUUMKZGUUBUHZUURUUJUUDUIZUUBUUD
      UJZOUUNUVBRYPUVCYOUUCYPDCUUDUAZUVCCDAUKZDCUUDURSULUUJUUBDUVDYQUUCUMZUUJUV
      DAUNZDAUOUUJCDAUPZUVHDUQYPUVIYOUUCCDAUSZULCDAUTSVAVBGUUBUUMUUDVCTUURUUSUU
      QKZGUUBUHUUJUVBGUUBUUQVHUUJUVKUVAGUUBUUJUUSUUBKZLZUUSHNZKZHUUPVSZUUTINZKZ
      IUULVSZUVKUVAUVMUVPUVSUVMUVOUVSHUUPUVMUVNUUPKZUVOLZLZUUDUVNPZUULKUUTUWCKZ
      UVSUWBBUUKUWCUWBUVNDOZUWCBKZUWBUVNYTKZUWEUWFLZUWBYTUUOUVNUVMUVTUVOVDZVEYQ
      UWGUWHRZUUCUVLUWAYPYOUVIUWJUVJUVNABJCDEVFVGVIVJVKZUWBUWCUUEBUWKUWBUVNUUBO
      UWCUUEOUWBUVNUUBUWBYTUUOUVNUWIVLVMZUVNUUBUUDVNSVOVPUWBUUDDVQZUWEUVOUWDUWB
      UVEUWMUWBYPUVEYOYPUUCUVLUWAVRUVFSDCUUDVTSUWBUVNUUBDUWLUUJUUCUVLUWAUVGWIWA
      UVMUVTUVOWBDUVNUUDUUSWCWDUVRUWDIUWCUULUVQUWCUUTWEWFTWGUVMUVRUVPIUULUVMUVQ
      UULKZUVRLZLZAUVQPZUUPKUUSUWQKZUVPUWPYTUUOUWQUWPUWQYTKZUWQDOZUUDUWQPZBKZUW
      PUWQUUBDUWPAUIZUVQUUEOUWQUUBOZUWPYPUXCYOYPUUCUVLUWOVRZCDAURSUWPUVQUUEUWPB
      UUKUVQUVMUWNUVRVDZVLVMUVQUUBAWHTZUUJUUCUVLUWOUVGWIWAUWPUXAUVQBUWPCDAWJZUV
      QCOZUXAUVQUQUWPYPUXHUXECDAWKSUWPUVQBKZUXIUWPBUUKUVQUXFVEZUXJUVQBQZCUVQBWL
      EWMSZCDUVQAWNTUXKWOYQUWSUWTUXBLRZUUCUVLUWOYPYOUVIUXNUVJUWQABJCDEVFVGVIWPU
      WPUXDUWQUUOKUXGUWQUUBFWQWRWSVPUWPUUTAMZUUSUWQUWPYPUUSDKZUXOUUSUQUXEUVMUXP
      UWOUUJUUBDUUSUVGWTXACDUUSAXBTUWPACVQZUXIUVRUXOUWQKYQUXQUUCUVLUWOYPUXQYOCD
      AVTXCVIUXMUVMUWNUVRWBCUVQAUUTWCWDXIUVOUWRHUWQUUPUVNUWQUUSWEWFTWGXDHUUSUUP
      XEIUUTUULXEXFXJXGXHYOUUFUUNRYPUUCUUEBJXKWIYTXLKZUUHUURRUUJBAUDXMZUUBYTXLX
      KXSXNXOYQYRCXPMZKUVIUUIUUGRYQYRUXLXPMZUXTYOYRUYAKYPBXQXACUXLXPEXTXRYPUVIY
      OUVJXCUUBAYRCDYATYQUUHUUCYQUUHUUBDUFZKZUUCYQUUAUYBUUBYQUUAQZDOUUAUYBOYQUY
      DYTQZDUXRUYDUYEUQUXSYTXLYBYCYQYTUYBOUYEDOYQFYTUYBYQUUBYTKZUUCUUEBKZLZUYCY
      PYOUVIUYFUYHRUVJUUBABJCDEVFVGUYHUUCUYCUUCUYGYDFDYEZWSYFYGYTDYHYJYIUUADYHW
      SYKUYIYLYMXNYN $.
  $}

  $( The property of being a closed set in the quotient topology.  (Contributed
     by Mario Carneiro, 24-Mar-2015.) $)
  qtopcld $p |- ( ( J e. ( TopOn ` X ) /\ F : X -onto-> Y ) ->
    ( A e. ( Clsd ` ( J qTop F ) ) <->
      ( A C_ Y /\ ( `' F " A ) e. ( Clsd ` J ) ) ) ) $=
    ( ctopon cfv wcel wa ccld cuni wss cdif ccnv cima ctop wb topontop ad2antlr
    wceq wfo cqtop qtoptopon eqid iscld 3syl toponuni syl sseq2d difeq1d eleq1d
    co anbi12d elqtop3 adantr difss biantrur wfun fofun funcnvcnv imadif wf fof
    fimacnv ad2antrr eqtrd cnvimass fofn sseqtrid sseqtrd iscld2 syl2anc bitr4d
    cdm fndmd bitr3id bitrd pm5.32da 3bitr2d ) CDFGHZDEBUAZIZACBUBULZJGHZAWCKZL
    ZWEAMZWCHZIZAELZEAMZWCHZIWJBNZAOZCJGHZIWBWCEFGHZWCPHWDWIQBCDEUCZEWCRAWCWEWE
    UDUEUFWBWJWFWLWHWBEWEAWBWPEWETWQEWCUGUHZUIWBWKWGWCWBEWEAWRUJUKUMWBWJWLWOWBW
    JIZWLWKELZWMWKOZCHZIZWOWBWLXCQWJWKBCDEUNUOXCXBWSWOWTXBEAUPUQWSXBCKZWNMZCHZW
    OWSXAXECWSXAWMEOZWNMZXEWSBURZWMNURXAXHTWAXIVTWJDEBUSSBUTEAWMVAUFWSXGXDWNWSX
    GDXDWAXGDTZVTWJWADEBVBXJDEBVCDEBVDUHSVTDXDTWAWJDCUGVEZVFUJVFUKWSCPHZWNXDLWO
    XFQVTXLWAWJDCRVEWSWNDXDWSBVNZWNDBAVGWAXMDTVTWJWADBDEBVHVOSVIXKVJWNCXDXDUDVK
    VLVMVPVQVRVS $.

  ${
    $d f g w x y F $.  $d f g x J $.  $d f g w x K $.  $d w x y X $.  $d x Z $.
    $d f g w x y G $.  $d f g x y ph $.  $d f w x Y $.
    $( Universal property of a quotient map.  (Contributed by Mario Carneiro,
       23-Mar-2015.) $)
    qtopcn $p |- ( ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Z ) ) /\
      ( F : X -onto-> Y /\ G : Y --> Z ) ) ->
      ( G e. ( ( J qTop F ) Cn K ) <-> ( G o. F ) e. ( J Cn K ) ) ) $=
      ( vx ctopon cfv wcel wa wf ccnv cima co wral ccom wb syl2anc wfo cv cqtop
      ccn cnvimass simplrr fssdm simplll simplrl elqtop3 mpbirand cnvco imaeq1i
      wss imaco eqtri eleq1i bitr4di ralbidva simprr biantrurd fof ad2antrl fco
      3bitr3d qtoptopon ad2ant2r simplr iscn adantr 3bitr4d ) CEIJKZDGIJKZLZEFA
      UAZFGBMZLZLZVPBNZHUBZOZCAUCPZKZHDQZLZEGBARZMZWFNZVTOZCKZHDQZLZBWBDUDPKZWF
      CDUDPKZVRWDWKWEWLVRWCWJHDVRVTDKZLZWCANZWAOZCKZWJWPWCWAFUNZWSWPFGWABBVTUEV
      NVOVPWOUFUGWPVLVOWCWTWSLSVLVMVQWOUHVNVOVPWOUIWAACEFUJTUKWIWRCWIWQVSRZVTOW
      RWHXAVTBAULUMWQVSVTUOUPUQURUSVRVPWDVNVOVPUTZVAVRWGWKVRVPEFAMZWGXBVOXCVNVP
      EFAVBVCEFGBAVDTVAVEVRWBFIJKZVMWMWESVLVOXDVMVPACEFVFVGVLVMVQVHHBWBDFGVITVN
      WNWLSVQHWFCDEGVIVJVK $.

    $( A surjective continuous function from ` J ` to ` K ` induces a topology
       ` J qTop F ` on the base set of ` K ` .  This topology is in general
       finer than ` K ` .  Together with ~ qtopid , this implies that
       ` J qTop F ` is the finest topology making ` F ` continuous, i.e. the
       final topology with respect to the family ` { F } ` .  (Contributed by
       Mario Carneiro, 24-Mar-2015.) $)
    qtopss $p |- ( ( F e. ( J Cn K ) /\ K e. ( TopOn ` Y ) /\ ran F = Y ) ->
        K C_ ( J qTop F ) ) $=
      ( vx ccn co wcel ctopon cfv crn wceq w3a cqtop cv wss ccnv cima toponss
      wa 3ad2antl2 cnima 3ad2antl1 cuni wfo wb ctop simpl1 cntop1 syl toptopon2
      sylib wf simpl2 cnf2 syl3anc ffnd simpl3 df-fo sylanbrc elqtop3 mpbir2and
      wfn syl2anc ex ssrdv ) ABCFGHZCDIJHZAKDLZMZECBANGZVJEOZCHZVLVKHZVJVMTZVNV
      LDPZAQVLRBHZVHVGVMVPVIVLCDSUAVGVHVMVQVIVLABCUBUCVOBBUDZIJHZVRDAUEZVNVPVQT
      UFVOBUGHZVSVOVGWAVGVHVIVMUHZABCUIUJBUKULZVOAVRVCVIVTVOVRDAVOVSVHVGVRDAUMW
      CVGVHVIVMUNWBABCVRDUOUPUQVGVHVIVMURVRDAUSUTVLABVRDVAVDVBVEVF $.

    qtopeu.1 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    qtopeu.3 $e |- ( ph -> F : X -onto-> Y ) $.
    qtopeu.4 $e |- ( ph -> G e. ( J Cn K ) ) $.
    qtopeu.5 $e |- ( ( ph /\ ( x e. X /\ y e. X /\ ( F ` x ) = ( F ` y ) ) )
      -> ( G ` x ) = ( G ` y ) ) $.
    $( Universal property of the quotient topology.  If ` G ` is a function
       from ` J ` to ` K ` which is equal on all equivalent elements under
       ` F ` , then there is a unique continuous map ` f : ( J / F ) --> K `
       such that ` G = f o. F ` , and we say that ` G ` "passes to the
       quotient".  (Contributed by Mario Carneiro, 24-Mar-2015.) $)
    qtopeu $p |- ( ph -> E! f e. ( ( J qTop F ) Cn K ) G = ( f o. F ) ) $=
      ( vw wceq wa wcel cfv wb vg cv ccom cqtop co ccn wrex wral wreu ccnv cima
      wi csn cuni cmpt wfn wfo fofn syl adantr fniniseg w3a eqcom 3anbi3i bitri
      3anass sylan2br eqcomd expr sylbid ralrimiv wss ctopon wf toptopon2 sylib
      ctop cntop2 cnf2 syl3anc ffnd cdm cnvimass fof fdmd sseqtrid eqeq1 ralima
      syl2anc mpbird c0 wne eleq2d biimpar simpr eqidd mpbir2and inelcm imadisj
      cin necon3bii sylibr eqsn unieqd fvex eqtr2di mpteq2dva feqmptd ffvelrnda
      unisn imaeq2d fmptco 3eqtr4d eqeltrrd ralrimiva eqcoms eleq1d cbvfo mpbid
      sneq eqid fmpt qtopcn syl22anc coeq1 eqtr2 qtoptopon simprl simprr cocan2
      rspceeqv syl5ib ralrimivva eqeq2d reu4 sylanbrc ) AFDUBZEUCZPZDGEUDUEZHUF
      UEZUGZYSFUAUBZEUCZPZQZYQUUCPZULZUAUUAUHDUUAUHYSDUUAUIAOJFEUJZOUBZUMZUKZUK
      ZUNZUOZUUARZFUUOEUCZPUUBAUUPUUQGHUFUEZRZAFUUQUURABIBUBZFSZUOBIFUUIUUTESZU
      MZUKZUKZUNZUOFUUQABIUVAUVFAUUTIRZQZUVFUVAUMZUNUVAUVHUVEUVIUVHUVEUVIPZUUJU
      VAPZOUVEUHZUVHUVLCUBZFSZUVAPZCUVDUHZUVHUVOCUVDUVHUVMUVDRZUVMIRZUVMESZUVBP
      ZQZUVOUVHEIUPZUVQUWATAUWBUVGAIJEUQZUWBLIJEURUSUTZIUVBUVMEVAUSAUVGUWAUVOAU
      VGUWAQZQUVAUVNUWEAUVGUVRUVBUVSPZVBZUVAUVNPUWGUVGUVRUVTVBUWEUWFUVTUVGUVRUV
      BUVSVCVDUVGUVRUVTVFVENVGVHVIVJVKUVHFIUPZUVDIVLUVLUVPTAUWHUVGAIHUNZFAGIVMS
      RZHUWIVMSRZFUURRZIUWIFVNKAHVQRZUWKAUWLUWMMFGHVRUSHVOVPZMFGHIUWIVSVTZWAUTU
      VHEWBZUVDIEUVCWCAUWPIPUVGAIJEAUWCIJEVNLIJEWDUSZWEUTWFUVKUVOOCIUVDFUUJUVNU
      VAWGWHWIWJUVHUVEWKWLZUVJUVLTUVHFWBZUVDWTZWKWLZUWRUVHUUTUWSRZUUTUVDRZUXAAU
      XBUVGAUWSIUUTAIUWIFUWOWEWMWNUVHUXCUVGUVBUVBPZAUVGWOUVHUVBWPUVHUWBUXCUVGUX
      DQTUWDIUVBUUTEVAUSWQUUTUWSUVDWRWIUVEWKUWTWKFUVDWSXAXBOUVEUVAXCUSWJXDUVAUU
      TFXEXJXFZXGABIUWIFUWOXHABOIJUVBUUNUVFEUUOAIJUUTEUWQXIABIJEUWQXHAUUOWPUUJU
      VBPZUUMUVEUXFUULUVDFUXFUUKUVCUUIUUJUVBXTXKXKXDZXLXMZMXNAUWJUWKUWCJUWIUUOV
      NZUUPUUSTKUWNLAUUNUWIRZOJUHZUXIAUVFUWIRZBIUHZUXKAUXLBIUVHUVAUVFUWIUXEAIUW
      IUUTFUWOXIXNXOAUWCUXMUXKTLUXLUXJBOIJEUVBUUJPUVFUUNUWIUVFUUNPUUJUVBUXFUUNU
      VFUXGVHXPXQXRUSXSOJUWIUUNUUOUUOYAYBVPEUUOGHIJUWIYCYDWJUXHDUUOUUAYRUUQFYQU
      UOEYEYKWIAUUHDUAUUAUUAUUFYRUUDPZAYQUUARZUUCUUARZQZQZUUGFYRUUDYFUXRUWCYQJU
      PUUCJUPUXNUUGTAUWCUXQLUTUXRJUWIYQUXRYTJVMSRZUWKUXOJUWIYQVNAUXSUXQAUWJUWCU
      XSKLEGIJYGWIUTZAUWKUXQUWNUTZAUXOUXPYHYQYTHJUWIVSVTWAUXRJUWIUUCUXRUXSUWKUX
      PJUWIUUCVNUXTUYAAUXOUXPYIUUCYTHJUWIVSVTWAIJEYQUUCYJVTYLYMYSUUEDUAUUAUUGYR
      UUDFYQUUCEYEYNYOYP $.
  $}

  ${
    $d x A $.  $d x F $.  $d x J $.  $d x ph $.  $d x U $.
    qtoprest.2 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    qtoprest.3 $e |- ( ph -> F : X -onto-> Y ) $.
    qtoprest.4 $e |- ( ph -> U C_ Y ) $.
    qtoprest.5 $e |- ( ph -> A = ( `' F " U ) ) $.
    qtoprest.6 $e |- ( ph -> ( A e. J \/ A e. ( Clsd ` J ) ) ) $.
    $( If ` A ` is a saturated open or closed set (where saturated means that
       ` A = ( ``' F " U ) ` for some ` U ` ), then the restriction of the
       quotient map ` F ` to ` A ` is a quotient map.  (Contributed by Mario
       Carneiro, 24-Mar-2015.)  (Revised by Mario Carneiro, 22-Aug-2015.) $)
    qtoprest $p |- ( ph -> ( ( J qTop F ) |`t U ) =
      ( ( J |`t A ) qTop ( F |` A ) ) ) $=
      ( wcel cfv wceq wss syl syl2anc wa ad2antrr vx cqtop co crest cres ctopon
      ccn crn cuni wfn wfo fofn qtopid ccnv cdm cnvimass fndmd sseqtrid eqsstrd
      cima toponuni sseqtrd eqid cnrest qtoptopon df-ima imaeq2d foimacnv eqtrd
      wb eqtr3id eqimss cnrest2 syl3anc mpbid resttopon qtopss cv wfun sseqtrrd
      fnfun fores foeq3 elqtop3 cin cnvresima imass2 adantl adantr df-ss syl5eq
      sylib eleq1d ccld simplrl ctop cvv topontop toponmax fornex sylc restopn2
      ssexd sstrd sylan simprbda adantrl an32s mpbir2and eqeltrrd cdif ssdifssd
      elrestr difeq1d funcnvcnv imadif 3syl eqtr4d simpr simplrr opncld eqeltrd
      restcldr qtopcld difssd restcldi isopn2 mpbird wo mpjaodan sylbid expimpd
      expr ssrdv eqssd ) AEDUBUCZCUDUCZEBUDUCZDBUEZUBUCZAYSYRYQUGUCMZYQCUFNMZYS
      UHZCOZYQYTPAYSYRYPUGUCMZUUAADEYPUGUCMZBEUIZPUUEAEFUFNMZDFUJZUUFHAFGDUKZUU
      IIFGDULQZDEFUMRABFUUGABDUNZCUTZFKADUOZUUMFDCUPAFDUUKUQZURUSZAUUHFUUGOHFEV
      AQVBBDEYPUUGUUGVCVDRAYPGUFNMZUUCCPZCGPZUUEUUAVJAUUHUUJUUQHIDEFGVERZAUUDUU
      RAUUCDBUTZCDBVFAUVADUUMUTZCABUUMDKVGAUUJUUSUVBCOIJFGCDVHRVIZVKZUUCCVLQJCY
      SYRYPGVMVNVOAUUQUUSUUBUUTJCYPGVPRZUVDYSYRYQCVQVNAUAYTYQAUAVRZYTMZUVFCPZYS
      UNUVFUTZYRMZSZUVFYQMZAYRBUFNMZBCYSUKZUVGUVKVJAUUHBFPUVMHUUPBEFVPRZABUVAYS
      UKZUVNADVSZBUUNPUVPAUUIUVQUUKFDWAQZABFUUNUUPUUOVTBDWBRAUVACOUVPUVNVJUVCUV
      ACBYSWCQVOUVFYSYRBCWDRAUVHUVJUVLAUVHSZUVJUULUVFUTZYRMZUVLUVSUVIUVTYRUVSUV
      IUVTBWEZUVTBUVFDWFUVSUVTBPZUWBUVTOUVSUVTUUMBUVHUVTUUMPAUVFCUULWGWHABUUMOZ
      UVHKWIVTUVTBWJWLWKWMAUVHUWAUVLAUVHUWASZSZBEMZUVLBEWNNZMZUWFUWGSZUVFCWEZUV
      FYQUWJUVHUWKUVFOAUVHUWAUWGWOZUVFCWJWLUWJYPWPMZCWQMZUVFYPMZUWKYQMAUWMUWEUW
      GAUUQUWMUUTGYPWRQTAUWNUWEUWGACGWQAFEMZUUJGWQMAUUHUWPHFEWSQIFGEDWTXAJXCTUW
      JUWOUVFGPZUVTEMZUWJUVFCGUWLAUUSUWEUWGJTXDAUWGUWEUWRAUWGSZUWAUWRUVHUWSUWAU
      WRUWCAEWPMZUWGUWAUWRUWCSVJAUUHUWTHFEWRQBUVTEXBXEXFXGXHAUWOUWQUWRSVJZUWEUW
      GAUUHUUJUXAHIUVFDEFGWDRTXIUVFCYPWPWQXMVNXJUWFUWISZUVLYQUIZUVFXKZYQWNNZMZU
      XBCUVFXKZUXDUXEUXBCUXCUVFUXBUUBCUXCOAUUBUWEUWIUVETZCYQVAQZXNUXBCYPUIZPUXG
      YPWNNMZUXGCPUXGUXEMUXBCGUXJAUUSUWEUWIJTZUXBUUQGUXJOAUUQUWEUWIUUTTGYPVAQVB
      UXBUXKUXGGPZUULUXGUTZUWHMZUXBCGUVFUXLXLUXBUXNBUVTXKZUWHUXBUXNUUMUVTXKZUXP
      UXBUVQUULUNVSUXNUXQOAUVQUWEUWIUVRTDXOCUVFUULXPXQUXBBUUMUVTAUWDUWEUWIKTXNX
      RUXBUWIUXPYRWNNZMUXPUWHMUWFUWIXSUXBUXPYRUIZUVTXKZUXRUXBBUXSUVTUXBUVMBUXSO
      AUVMUWEUWIUVOTZBYRVAQXNUXBYRWPMZUWAUXTUXRMUXBUVMUYBUYABYRWRQAUVHUWAUWIXTU
      VTYRUXSUXSVCYARYBBUXPEYCRYBAUXKUXMUXOSVJZUWEUWIAUUHUUJUYCHIUXGDEFGYDRTXIU
      XBCUVFYECUXGYPUXJUXJVCYFVNXJUXBYQWPMZUVFUXCPUVLUXFVJUXBUUBUYDUXHCYQWRQUXB
      UVFCUXCAUVHUWAUWIWOUXIVBUVFYQUXCUXCVCYGRYHAUWGUWIYIUWELWIYJYMYKYLYKYNYO
      $.
  $}

  ${
    $d x y F $.  $d x y J $.  $d x y K $.  $d x y ph $.  $d x Y $.
    qtopomap.4 $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    qtopomap.5 $e |- ( ph -> F e. ( J Cn K ) ) $.
    qtopomap.6 $e |- ( ph -> ran F = Y ) $.
    ${
      qtopomap.7 $e |- ( ( ph /\ x e. J ) -> ( F " x ) e. K ) $.
      $( If ` F ` is a surjective continuous open map, then it is a quotient
         map.  (An open map is a function that maps open sets to open sets.)
         (Contributed by Mario Carneiro, 24-Mar-2015.) $)
      qtopomap $p |- ( ph -> K = ( J qTop F ) ) $=
        ( vy co wcel ctopon cfv wceq wss syl3anc cv cima ccn crn qtopss ccnv wa
        cqtop cuni wfo wb ctop cntop1 syl toptopon2 sylib wf cnf2 ffnd sylanbrc
        wfn df-fo elqtop3 syl2anc foimacnv adantrr imaeq2 eleq1d wral ralrimiva
        sylan adantr simprr rspcdva eqeltrrd ex sylbid ssrdv eqssd ) AEDCUFLZAC
        DEUALMZEFNOMZCUBFPZEVRQHGICDEFUCRAKVREAKSZVRMZWBFQZCUDWBTZDMZUEZWBEMZAD
        DUGZNOMZWIFCUHZWCWGUIADUJMZWJAVSWLHCDEUKULDUMUNZACWIUSWAWKAWIFCAWJVTVSW
        IFCUOWMGHCDEWIFUPRUQIWIFCUTURZWBCDWIFVAVBAWGWHAWGUEZCWETZWBEAWDWPWBPZWF
        AWKWDWQWNWIFWBCVCVIVDWOCBSZTZEMZWPEMBDWEWRWEPWSWPEWRWECVEVFAWTBDVGWGAWT
        BDJVHVJAWDWFVKVLVMVNVOVPVQ $.
    $}

    qtopcmap.7 $e |- ( ( ph /\ x e. ( Clsd ` J ) ) ->
      ( F " x ) e. ( Clsd ` K ) ) $.
    $( If ` F ` is a surjective continuous closed map, then it is a quotient
       map.  (A closed map is a function that maps closed sets to closed sets.)
       (Contributed by Mario Carneiro, 24-Mar-2015.) $)
    qtopcmap $p |- ( ph -> K = ( J qTop F ) ) $=
      ( wcel cfv wceq wss cima ctop syl syl2anc cdif adantr vy cqtop ccn ctopon
      co crn qtopss syl3anc cv ccnv wa cuni wfo wb cntop1 wfn wf toptopon2 cnf2
      sylib ffnd df-fo sylanbrc elqtop2 difss foimacnv sylancl toponuni difeq1d
      eqid ccld eqtrd imaeq2 eleq1d wral ralrimiva wfun fofun funcnvcnv fimacnv
      imadif 4syl simprr opncld eqeltrd rspcdva eqeltrrd topontop simprl isopn2
      sseqtrd mpbird ex sylbid ssrdv eqssd ) AEDCUBUEZACDEUCUEKZEFUDLKZCUFFMZEW
      QNHGICDEFUGUHAUAWQEAUAUIZWQKZXAFNZCUJZXAOZDKZUKZXAEKZADPKZDULZFCUMZXBXGUN
      AWRXIHCDEUOQZACXJUPWTXKAXJFCADXJUDLKZWSWRXJFCUQZAXIXMXLDURUTGHCDEXJFUSUHZ
      VAIXJFCVBVCZXACDPXJFXJVJZVDRAXGXHAXGUKZXHEULZXASZEVKLZKZXRCXDFXASZOZOZXTY
      AXRYEYCXTXRXKYCFNYEYCMAXKXGXPTZFXAVEXJFYCCVFVGXRFXSXAXRWSFXSMAWSXGGTZFEVH
      QZVIVLXRCBUIZOZYAKZYEYAKBDVKLZYDYIYDMYJYEYAYIYDCVMVNAYKBYLVOXGAYKBYLJVPTX
      RYDXJXESZYLXRYDXDFOZXESZYMXRXKCVQXDUJVQYDYOMYFXJFCVRCVSFXAXDWAWBXRYNXJXEX
      RXNYNXJMAXNXGXOTXJFCVTQVIVLXRXIXFYMYLKAXIXGXLTAXCXFWCXEDXJXQWDRWEWFWGXREP
      KZXAXSNXHYBUNXRWSYPYGFEWHQXRXAFXSAXCXFWIYHWKXAEXSXSVJWJRWLWMWNWOWP $.
  $}

  ${
    $d x F $.  $d x J $.
    imastps.u $e |- ( ph -> U = ( F "s R ) ) $.
    imastps.v $e |- ( ph -> V = ( Base ` R ) ) $.
    imastps.f $e |- ( ph -> F : V -onto-> B ) $.
    ${
      imastopn.r $e |- ( ph -> R e. W ) $.
      imastopn.j $e |- J = ( TopOpen ` R ) $.
      imastopn.o $e |- O = ( TopOpen ` U ) $.
      $( The topology of an image structure.  (Contributed by Mario Carneiro,
         27-Aug-2015.) $)
      imastopn $p |- ( ph -> O = ( J qTop F ) ) $=
        ( vx cfv cbs wcel cvv cts cqtop co ctopn cpw wss wceq ccnv cv cima cuni
        cin crab eqid imastset fvexi wfn wfo fofn fvex eqeltrdi syl2anc qtopval
        syl fnex sylancr eqtrd ssrab2 crn imassrn imasbas sseqtrid sspwd sstrid
        forn eqsstrd topnid eqtr4di eqtr3d ) ADUAQZGFEUBUCZAVTDUDQZGAVTDRQZUEZU
        FVTWBUGAVTEUHPUIUJFUKZULFSZPEWEUJZUEZUMZWDAVTWAWIABCDEFVTHIJKLMNVTUNZUO
        ZAFTSETSZWAWIUGFCUDNUPAEHUQZHTSWLAHBEURZWMLHBEUSVDAHCRQTKCRUTVAHTEVEVBE
        FTTWEPWEUNVCVFVGAWIWHWDWFPWHVHAWGWCAEVIZWGWCEWEVJAWOBWCAWNWOBUGLHBEVOVD
        ABCDEHIJKLMVKVGVLVMVNVPWCVTDWCUNWJVQVDOVRWKVS $.
    $}

    imastps.r $e |- ( ph -> R e. TopSp ) $.
    $( The image of a topological space under a function is a topological
       space.  (Contributed by Mario Carneiro, 27-Aug-2015.) $)
    imastps $p |- ( ph -> U e. TopSp ) $=
      ( ctopn cfv cbs ctopon wcel ctps cqtop eqid istps fveq2d co wfo qtoptopon
      imastopn sylib eleqtrrd syl2anc imasbas eleqtrd eqeltrd sylibr ) ADKLZDML
      ZNLZODPOAULCKLZEQUAZUNABCDEUOULFPGHIJUORZULRZUDAUPBNLZUNAUOFNLZOFBEUBUPUS
      OAUOCMLZNLZUTACPOUOVBOJVAUOCVARUQSUEAFVANHTUFIEUOFBUCUGABUMNABCDEFPGHIJUH
      TUIUJUMULDUMRURSUK $.
  $}

  ${
    $d x E $.  $d x ph $.  $d x R $.  $d x V $.
    qustps.u $e |- ( ph -> U = ( R /s E ) ) $.
    qustps.v $e |- ( ph -> V = ( Base ` R ) ) $.
    qustps.e $e |- ( ph -> E e. W ) $.
    qustps.r $e |- ( ph -> R e. TopSp ) $.
    $( A quotient structure is a topological space.  (Contributed by Mario
       Carneiro, 27-Aug-2015.) $)
    qustps $p |- ( ph -> U e. TopSp ) $=
      ( vx cqs cv cec cmpt ctps eqid qusval quslem imastps ) AEDLBCKEKMDNOZEAKD
      BCUAEFPGHUAQZIJRHAKDBCUAEFPGHUBIJSJT $.
  $}

  ${
    $d m n o w x y z A $.  $d m n w x y z B $.  $d a b j m n o u v w x y z J $.
    $d a b m n o u v w z F $.  $d w z ph $.  $d a b m n o u v w x y z X $.
    $d w z U $.  $d x V $.
    kqval.2 $e |- F = ( x e. X |-> { y e. J | x e. y } ) $.
    $( Value of the function appearing in ~ df-kq .  (Contributed by Mario
       Carneiro, 25-Aug-2015.) $)
    kqfval $p |- ( ( J e. V /\ A e. X ) ->
        ( F ` A ) = { y e. J | A e. y } ) $=
      ( wcel cv crab cvv cfv wceq id rabexg eleq1 rabbidv fvmptg syl2anr ) CGIZ
      UACBJZIZBEKZLICDMUDNEFIUAOUCBEFPACAJZUBIZBEKUDGLDUECNUFUCBEUECUBQRHST $.

    $( Two points in the Kolmogorov quotient are equal iff the original points
       are topologically indistinguishable.  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    kqfeq $p |- ( ( J e. V /\ A e. X /\ B e. X ) ->
        ( ( F ` A ) = ( F ` B ) <-> A. y e. J ( A e. y <-> B e. y ) ) ) $=
      ( wcel w3a cfv wceq cv crab wb wral kqfval 3adant3 3adant2 eqeq12d rabbi
      bitr4di ) FGJZCHJZDHJZKZCELZDELZMCBNZJZBFOZDUJJZBFOZMUKUMPBFQUGUHULUIUNUD
      UEUHULMUFABCEFGHIRSUDUFUIUNMUEABDEFGHIRTUAUKUMBFUBUC $.

    $( The topological indistinguishability map is a function on the base.
       (Contributed by Mario Carneiro, 25-Aug-2015.) $)
    kqffn $p |- ( J e. V -> F Fn X ) $=
      ( wcel cpw cv crab wss ssrab2 elpw2g mpbiri adantr fmptd ffnd ) DEHZFDIZC
      SAFAJZBJHZBDKZTCSUCTHZUAFHSUDUCDLUBBDMUCDENOPGQR $.

    $( Value of the quotient topology function.  (Contributed by Mario
       Carneiro, 25-Aug-2015.) $)
    kqval $p |- ( J e. ( TopOn ` X ) -> ( KQ ` J ) = ( J qTop F ) ) $=
      ( vj ctopon cfv wcel ckq cuni cv crab cmpt cqtop co ctop wceq topontop id
      unieq rabeq mpteq12dv oveq12d df-kq ovex fvmpt syl toponuni syl5eq oveq2d
      mpteq1d eqtr4d ) DEHIJZDKIZDADLZAMBMJZBDNZOZPQZDCPQUODRJUPVASEDTGDGMZAVBL
      ZURBVBNZOZPQVARKVBDSZVBDVEUTPVFUAVFAVCVDUQUSVBDUBURBVBDUCUDUEABGUFDUTPUGU
      HUIUOCUTDPUOCAEUSOUTFUOAEUQUSEDUJUMUKULUN $.

    $( The Kolmogorov quotient is a topology on the quotient set.  (Contributed
       by Mario Carneiro, 25-Aug-2015.) $)
    kqtopon $p |- ( J e. ( TopOn ` X ) ->
        ( KQ ` J ) e. ( TopOn ` ran F ) ) $=
      ( ctopon cfv wcel ckq cqtop crn kqval wfo wfn kqffn dffn4 sylib qtoptopon
      co mpdan eqeltrd ) DEGHZIZDJHDCKTZCLZGHZABCDEFMUDEUFCNZUEUGIUDCEOUHABCDUC
      EFPECQRCDEUFSUAUB $.

    $( The topological indistinguishability map is a continuous function into
       the Kolmogorov quotient.  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    kqid $p |- ( J e. ( TopOn ` X ) -> F e. ( J Cn ( KQ ` J ) ) ) $=
      ( ctopon cfv wcel cqtop co ccn ckq wfn kqffn qtopid mpdan oveq2d eleqtrrd
      kqval ) DEGHZIZCDDCJKZLKZDDMHZLKUBCENCUDIABCDUAEFOCDEPQUBUEUCDLABCDEFTRS
      $.

    $( The topological indistinguishability map is injective iff the space is
       T_0.  (Contributed by Mario Carneiro, 25-Aug-2015.) $)
    ist0-4 $p |- ( J e. ( TopOn ` X ) -> ( J e. Kol2 <-> F : X -1-1-> _V ) ) $=
      ( vz vw ctopon cfv wcel cv wceq wi wral wel wb cvv wf1 wa ct0 kqfeq 3expb
      imbi1d 2ralbidva wf wfn kqffn dffn2 sylib dff13 baib syl ist0-2 3bitr4rd
      ) DEIJZKZGLZCJHLZCJMZURUSMZNZHEOGEOZGBPHBPQBDOZVANZHEOGEOERCSZDUAKUQVBVEG
      HEEUQUREKZUSEKZTTUTVDVAUQVGVHUTVDQABURUSCDUPEFUBUCUDUEUQERCUFZVFVCQUQCEUG
      VIABCDUPEFUHECUIUJVFVIVCGHERCUKULUMGHBDEUNUO $.

    $( When the image set is open, the quotient map satisfies a partial
       converse to ~ fnfvima , which is normally only true for injective
       functions.  (Contributed by Mario Carneiro, 25-Aug-2015.) $)
    kqfvima $p |- ( ( J e. ( TopOn ` X ) /\ U e. J /\ A e. X ) ->
        ( A e. U <-> ( F ` A ) e. ( F " U ) ) ) $=
      ( vz vw ctopon cfv wcel wi cv wceq wb wral eleq2 bibi12d w3a cima wfn wss
      kqffn 3ad2ant1 toponss 3adant3 fnfvima syl2anc wrex wfun fnfun fvelima ex
      3expia wa simpl1 sselda simpl3 kqfeq syl3anc cbvralvw bitrdi simpl2 rspcv
      3syl syl sylbid simpr biimp syl6ci rexlimdva syld impbid ) FGKLZMZDFMZCGM
      ZUAZCDMZCELZEDUBMZVTEGUCZDGUDZWAWCNVQVRWDVSABEFVPGHUEUFZVQVRWEVSDFGUGUHZW
      DWEWAWCGDECUIUPUJVTWCIOZELWBPZIDUKZWAVTWDEULZWCWJNWFGEUMWKWCWJIWBDEUNUOVG
      VTWIWAIDVTWHDMZUQZWIWLWAQZWLWAWMWIWHJOZMZCWOMZQZJFRZWNWMWIWHBOZMZCWTMZQZB
      FRZWSWMVQWHGMVSWIXDQVQVRVSWLURVTDGWHWGUSVQVRVSWLUTABWHCEFVPGHVAVBXCWRBJFW
      TWOPXAWPXBWQWTWOWHSWTWOCSTVCVDWMVRWSWNNVQVRVSWLVEWRWNJDFWODPWPWLWQWAWODWH
      SWODCSTVFVHVIVTWLVJWLWAVKVLVMVNVO $.

    $( Any open set is saturated with respect to the topological
       indistinguishability map (in the terminology of ~ qtoprest ).
       (Contributed by Mario Carneiro, 25-Aug-2015.) $)
    kqsat $p |- ( ( J e. ( TopOn ` X ) /\ U e. J ) ->
        ( `' F " ( F " U ) ) = U ) $=
      ( vz ctopon cfv wcel wa ccnv cima cv wb wfn kqffn adantr wceq syl kqfvima
      elpreima 3expa biimprd expimpd sylbid ssrdv cdm cin toponss fndmd sseqin2
      wss sseqtrrd sylib dminss eqsstrrdi eqssd ) EFIJZKZCEKZLZDMDCNZNZCVCHVECV
      CHOZVEKZVFFKZVFDJVDKZLZVFCKZVAVGVJPZVBVADFQVLABDEUTFGRZFVFVDDUCUASVCVHVIV
      KVCVHLVKVIVAVBVHVKVIPABVFCDEFGUBUDUEUFUGUHVCCDUIZCUJZVEVCCVNUNVOCTVCCFVNC
      EFUKVAVNFTVBVAFDVMULSUOCVNUMUPCDUQURUS $.

    $( A version of ~ imain for the topological indistinguishability map.
       (Contributed by Mario Carneiro, 25-Aug-2015.) $)
    kqdisj $p |- ( ( J e. ( TopOn ` X ) /\ U e. J ) ->
        ( ( F " U ) i^i ( F " ( A \ U ) ) ) = (/) ) $=
      ( vz vw cfv wcel wa cima cdif cin wss c0 wceq wn ctopon cres cdm imadmres
      dmres kqffn adantr fndmd ineq2d syl5eq imaeq2d eqtr3id indif1 inss2 ssdif
      wfn ax-mp eqsstri imass2 mp1i eqsstrd sslin syl wral eldifn adantl simpll
      cv wb simplr eldifi kqfvima syl3anc mtbid ralrimiva notbid ralima sylancl
      difss eleq1 mpbird disjr sylibr sseq0 syl2anc ) FGUAKZLZDFLZMZEDNZECDOZNZ
      PZWJEGDOZNZPZQZWPRSZWMRSWIWLWOQWQWIWLEWKGPZNZWOWIWLEEWKUBUCZNWTEWKUDWIXAW
      SEWIXAWKEUCZPWSEWKUEWIXBGWKWIGEWGEGUPZWHABEFWFGHUFUGZUHUIUJUKULWSWNQWTWOQ
      WIWSCGPZDOZWNCGDUMXEGQXFWNQCGUNXEGDUOUQURWSWNEUSUTVAWLWOWJVBVCWIIVHZWJLZT
      ZIWOVDZWRWIXJJVHZEKZWJLZTZJWNVDZWIXNJWNWIXKWNLZMZXKDLZXMXPXRTWIXKGDVEVFXQ
      WGWHXKGLZXRXMVIWGWHXPVGWGWHXPVJXPXSWIXKGDVKVFABXKDEFGHVLVMVNVOWIXCWNGQXJX
      OVIXDGDVSXIXNIJGWNEXGXLSXHXMXGXLWJVTVPVQVRWAIWJWOWBWCWMWPWDWE $.

    $( Any closed set is saturated with respect to the topological
       indistinguishability map (in the terminology of ~ qtoprest ).
       (Contributed by Mario Carneiro, 25-Aug-2015.) $)
    kqcldsat $p |- ( ( J e. ( TopOn ` X ) /\ U e. ( Clsd ` J ) ) ->
        ( `' F " ( F " U ) ) = U ) $=
      ( cfv wcel wa cima wb adantr cdif wn c0 cin wss wceq adantl vz ctopon wfn
      ccld ccnv cv kqffn elpreima syl wi noel elin incom cdm cuni eqid toponuni
      cldss fndm eqtrd sseqtrd dfss4 sylib imaeq2d ineq2d simpll difeq1d cldopn
      sseqtrrd eqeltrd kqdisj syl2anc eqtr3d syl5eq eleq2d bitr3id mtbiri imnan
      sylibr eldif baibr simpr kqfvima syl3anc bitrd sylibd sylbid ssrdv dminss
      con1bid expimpd sseqin2 eqsstrrdi eqssd ) EFUBHZIZCEUDHIZJZDUEDCKZKZCWRUA
      WTCWRUAUFZWTIZXAFIZXADHZWSIZJZXACIZWPXBXFLZWQWPDFUCZXHABDEWOFGUGZFXAWSDUH
      UIMWRXCXEXGWRXCJZXEXDDFCNZKZIZOZXGXKXEXNJZOXEXOUJXKXPXDPIZXDUKXPXDWSXMQZI
      XKXQXDWSXMULXKXRPXDXKXRXMWSQZPWSXMUMXKXMDFXLNZKZQZXSPXKYAWSXMXKXTCDXKCFRZ
      XTCSWRYCXCWRCDUNZFWRCEUOZYDWQCYERWPCEYEYEUPZURTWPYDYESWQWPYDFYEWPXIYDFSZX
      JFDUSUIZFEUQZUTMVIZWPYGWQYHMVAMCFVBVCVDVEXKWPXLEIZYBPSWPWQXCVFZWRYKXCWRXL
      YECNZEWRFYECWPFYESWQYIMVGWQYMEIWPCEYEYFVHTVJMZABFXLDEFGVKVLVMVNVOVPVQXEXN
      VRVSXKXGXNXKXGOZXAXLIZXNXCYOYPLWRYPXCYOXAFCVTWATXKWPYKXCYPXNLYLYNWRXCWBAB
      XAXLDEFGWCWDWEWJWFWKWGWHWRCYDCQZWTWRCYDRYQCSYJCYDWLVCCDWIWMWN $.

    $( The topological indistinguishability map is an open map.  (Contributed
       by Mario Carneiro, 25-Aug-2015.) $)
    kqopn $p |- ( ( J e. ( TopOn ` X ) /\ U e. J ) ->
        ( F " U ) e. ( KQ ` J ) ) $=
      ( ctopon cfv wcel wa cima cqtop co ckq crn wss ccnv imassrn adantr a1i wb
      kqsat simpr eqeltrd wfo wfn kqffn dffn4 sylib syldan mpbir2and wceq kqval
      elqtop3 eleqtrrd ) EFHIZJZCEJZKZDCLZEDMNZEOIZUTVAVBJZVADPZQZDRVALZEJZVFUT
      DCSUAUTVGCEABCDEFGUCURUSUDUEURUSFVEDUFZVDVFVHKUBURVIUSURDFUGVIABDEUQFGUHF
      DUIUJTVADEFVEUOUKULURVCVBUMUSABDEFGUNTUP $.

    $( The topological indistinguishability map is a closed map.  (Contributed
       by Mario Carneiro, 25-Aug-2015.) $)
    kqcld $p |- ( ( J e. ( TopOn ` X ) /\ U e. ( Clsd ` J ) ) ->
        ( F " U ) e. ( Clsd ` ( KQ ` J ) ) ) $=
      ( ctopon cfv wcel ccld wa cima cqtop co ckq crn wss ccnv adantr a1i simpr
      imassrn kqcldsat eqeltrd wb wfo kqffn dffn4 sylib qtopcld mpdan mpbir2and
      wfn wceq kqval fveq2d eleqtrrd ) EFHIZJZCEKIZJZLZDCMZEDNOZKIZEPIZKIVCVDVF
      JZVDDQZRZDSVDMZVAJZVJVCDCUCUAVCVKCVAABCDEFGUDUTVBUBUEUTVHVJVLLUFZVBUTFVID
      UGZVMUTDFUNVNABDEUSFGUHFDUIUJVDDEFVIUKULTUMVCVGVEKUTVGVEUOVBABDEFGUPTUQUR
      $.

    $( Lemma for ~ kqt0 .  (Contributed by Mario Carneiro, 23-Mar-2015.) $)
    kqt0lem $p |- ( J e. ( TopOn ` X ) -> ( KQ ` J ) e. Kol2 ) $=
      ( vu vz vv va vb vw cfv wcel wel wb wral cv wceq wa ctopon ckq ct0 wi crn
      kqopn adantlr eleq2 bibi12d rspcv syl kqfvima 3expa adantrr adantrl an32s
      sylibrd ralrimdva kqfeq 3expb elequ2 cbvralvw bitrdi ralrimivva wfn kqffn
      cima eleq1 bibi1d ralbidv eqeq1 imbi12d ralrn bibi2d eqeq2 mpbird kqtopon
      bitrd ist0-2 ) DEUAMZNZDUBMZUCNZGHOZIHOZPZHWBQZGRZIRZSZUDZICUEZQZGWLQZWAW
      NJRZCMZHRZNZKRZCMZWQNZPZHWBQZWPWTSZUDZKEQZJEQZWAXEJKEEWAWOENZWSENZTZTZXCJ
      LOZKLOZPZLDQZXDXKXCXNLDXKLRZDNZTZXCWPCXPVGZNZWTXSNZPZXNXRXSWBNZXCYBUDWAXQ
      YCXJABXPCDEFUFUGXBYBHXSWBWQXSSWRXTXAYAWQXSWPUHWQXSWTUHUIUJUKWAXQXJXNYBPWA
      XQTZXJTXLXTXMYAYDXHXLXTPZXIWAXQXHYEABWOXPCDEFULUMUNYDXIXMYAPZXHWAXQXIYFAB
      WSXPCDEFULUMUOUIUPUQURXKXDJBOZKBOZPZBDQZXOWAXHXIXDYJPABWOWSCDVTEFUSUTYIXN
      BLDBRXPSYGXLYHXMBLJVABLKVAUIVBVCUQVDWACEVEZWNXGPABCDVTEFVFYKWNWRWEPZHWBQZ
      WPWISZUDZIWLQZJEQXGWMYPGJECWHWPSZWKYOIWLYQWGYMWJYNYQWFYLHWBYQWDWRWEWHWPWQ
      VHVIVJWHWPWIVKVLVJVMYKYPXFJEYOXEIKECWIWTSZYMXCYNXDYRYLXBHWBYRWEXAWRWIWTWQ
      VHVNVJWIWTWPVOVLVMVJVRUKVPWAWBWLUAMNWCWNPABCDEFVQGIHWBWLVSUKVP $.

    $( The property " ` J ` is an R_0 space".  A space is R_0 if any two
       topologically distinguishable points are separated (there is an open set
       containing each one and disjoint from the other).  Or in contraposition,
       if every open set which contains ` x ` also contains ` y ` , so there is
       no separation, then ` x ` and ` y ` are members of the same open sets.
       We have chosen not to give this definition a name, because it turns out
       that a space is R_0 if and only if its Kolmogorov quotient is T_1, so
       that is what we prove here.  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    isr0 $p |- ( J e. ( TopOn ` X ) ->
         ( ( KQ ` J ) e. Fre <-> A. z e. X A. w e. X
   ( A. o e. J ( z e. o -> w e. o ) -> A. o e. J ( z e. o <-> w e. o ) ) ) ) $=
      ( vv vb wcel cv wi wral wb wa wceq eleq2 imbi12d ctopon cfv ckq ccnv cima
      va ct1 ccn co kqid ad2antrr cnima sylan rspcv syl wfun kqffn adantr fnfun
      cdm wfn simprl fndmd eleqtrrd fvimacnv syl2anc simprr sylibrd cuni simplr
      ralrimdva crn fnfvelrn kqtopon toponuni eleqtrd eqid t1sep2 syl3anc kqfeq
      syld bibi12d cbvralvw bitr4di 3expb adantlr sylibd ralrimivva ex ad4ant14
      w3a kqopn kqfvima 3expa an32s adantllr kqfval eqeq12d rabbi bitri biimprd
      crab imim12d ralimdva eleq1 imbi1d ralbidv eqeq1 ralrn imbi2d eqeq2 bitrd
      ist1-2 impbid ) GHUAUBZLZGUCUBZUGLZCMZEMZLZDMZXTLZNZEGOZYAYCPZEGOZNZDHOZC
      HOZXPXRYJXPXRQZYHCDHHYKXSHLZYBHLZQZQZYEXSFUBZYBFUBZRZYGYOYEYPJMZLZYQYSLZN
      ZJXQOZYRYOYEUUBJXQYOYSXQLZQZYEXSFUDYSUEZLZYBUUFLZNZUUBUUEUUFGLZYEUUINYOFG
      XQUHUILZUUDUUJXPUUKXRYNABFGHIUJUKYSFGXQULUMYDUUIEUUFGXTUUFRYAUUGYCUUHXTUU
      FXSSXTUUFYBSTUNUOUUEYTUUGUUAUUHUUEFUPZXSFUTZLYTUUGPUUEFHVAZUULYOUUNUUDXPU
      UNXRYNABFGXOHIUQZUKZURZHFUSUOZUUEXSHUUMYOYLUUDYKYLYMVBZURUUEHFUUQVCZVDXSY
      SFVEVFUUEUULYBUUMLUUAUUHPUURUUEYBHUUMYOYMUUDYKYLYMVGZURUUTVDYBYSFVEVFTVHV
      KYOXRYPXQVIZLYQUVBLUUCYRNZXPXRYNVJYOYPFVLZUVBYOUUNYLYPUVDLUUPUUSHXSFVMVFY
      OXQUVDUAUBLZUVDUVBRXPUVEXRYNABFGHIVNZUKUVDXQVOUOZVPYOYQUVDUVBYOUUNYMYQUVD
      LUUPUVAHYBFVMVFUVGVPYPYQJXQUVBUVBVQVRVSWAXPYNYRYGPZXRXPYLYMUVHXPYLYMWKYRX
      SBMZLZYBUVILZPZBGOZYGABXSYBFGXOHIVTYFUVLEBGXTUVIRYAUVJYCUVKXTUVIXSSXTUVIY
      BSWBWCZWDWEWFWGWHWIXPYJUFMZYSLZKMZYSLZNZJXQOZUVOUVQRZNZKUVDOZUFUVDOZXRXPY
      JUVCDHOZCHOZUWDXPYIUWECHXPYLQZYHUVCDHUWGYMQZUUCYEYGYRUWHUUCYDEGUWHXTGLZQZ
      UUCYPFXTUEZLZYQUWKLZNZYDUWJUWKXQLZUUCUWNNXPUWIUWOYLYMABXTFGHIWLWJUUBUWNJU
      WKXQYSUWKRYTUWLUUAUWMYSUWKYPSYSUWKYQSTUNUOUWJYAUWLYCUWMUWGUWIYAUWLPZYMXPU
      WIYLUWPXPUWIYLUWPABXSXTFGHIWMWNWOWFXPYMUWIYCUWMPZYLXPUWIYMUWQXPUWIYMUWQAB
      YBXTFGHIWMWNWOWPTVHVKUWHYRYGUWHYRUVJBGXBZUVKBGXBZRZYGUWHYPUWRYQUWSUWGYPUW
      RRYMABXSFGXOHIWQURXPYMYQUWSRYLABYBFGXOHIWQWFWRYGUVMUWTUVNUVJUVKBGWSWTWDXA
      XCXDXDXPUUNUWDUWFPUUOUUNUWDYTUVRNZJXQOZYPUVQRZNZKUVDOZCHOUWFUWCUXEUFCHFUV
      OYPRZUWBUXDKUVDUXFUVTUXBUWAUXCUXFUVSUXAJXQUXFUVPYTUVRUVOYPYSXEXFXGUVOYPUV
      QXHTXGXIUUNUXEUWECHUXDUVCKDHFUVQYQRZUXBUUCUXCYRUXGUXAUUBJXQUXGUVRUUAYTUVQ
      YQYSXEXJXGUVQYQYPXKTXIXGXLUOVHXPUVEXRUWDPUVFUFKJXQUVDXMUOVHXN $.

    $( The analogue of the T_1 axiom (singletons are closed) for an R_0 space.
       In an R_0 space the set of all points topologically indistinguishable
       from ` A ` is closed.  (Contributed by Mario Carneiro, 25-Aug-2015.) $)
    r0cld $p |- ( ( J e. ( TopOn ` X ) /\ ( KQ ` J ) e. Fre /\ A e. X ) ->
      { z e. X | A. o e. J ( z e. o <-> A e. o ) } e. ( Clsd ` J ) ) $=
      ( ctopon cfv wcel w3a cv wb wral crab wceq 3ad2ant1 syl2anc ckq ccnv cima
      ct1 csn ccld wfn kqffn fncnvima2 syl fvex elsn simpl1 simpr simpl3 eleq2w
      kqfeq bibi12d cbvralvw bitrdi syl3anc syl5bb rabbidva eqtrd ccn kqid cuni
      wa simp2 crn simp3 fnfvelrn kqtopon toponuni eleqtrd eqid t1sncld cnclima
      co eqeltrrd ) GHJKZLZGUAKZUDLZDHLZMZFUBDFKZUEZUCZCNZENZLZDWKLZOZEGPZCHQZG
      UFKZWFWIWJFKZWHLZCHQZWPWFFHUGZWIWTRWBWDXAWEABFGWAHIUHSZCHWHFUIUJWFWSWOCHW
      SWRWGRZWFWJHLZVHZWOWRWGWJFUKULXEWBXDWEXCWOOWBWDWEXDUMWFXDUNWBWDWEXDUOWBXD
      WEMXCWJBNZLZDXFLZOZBGPWOABWJDFGWAHIUQXIWNBEGXFWKRXGWLXHWMBEWJUPBEDUPURUSU
      TVAVBVCVDWFFGWCVEVSLZWHWCUFKLZWIWQLWBWDXJWEABFGHIVFSWFWDWGWCVGZLXKWBWDWEV
      IWFWGFVJZXLWFXAWEWGXMLXBWBWDWEVKHDFVLTWFWCXMJKLZXMXLRWBWDXNWEABFGHIVMSXMW
      CVNUJVOWGWCXLXLVPVQTWHFGWCVRTVT $.

    ${
      regr1lem.2 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
      regr1lem.3 $e |- ( ph -> J e. Reg ) $.
      regr1lem.4 $e |- ( ph -> A e. X ) $.
      regr1lem.5 $e |- ( ph -> B e. X ) $.
      regr1lem.6 $e |- ( ph -> U e. J ) $.
      regr1lem.7 $e |- ( ph -> -. E. m e. ( KQ ` J ) E. n e. ( KQ ` J )
        ( ( F ` A ) e. m /\ ( F ` B ) e. n /\ ( m i^i n ) = (/) ) ) $.
      $( Lemma for ~ regr1 .  (Contributed by Mario Carneiro, 25-Aug-2015.) $)
      regr1lem $p |- ( ph -> ( A e. U -> B e. U ) ) $=
        ( wcel cfv vz wa ccl wss creg wrex adantr simpr regsep syl3anc cin wceq
        cv c0 w3a ckq ad2antrr cima cdif ctopon ad3antrrr simplrl kqopn syl2anc
        cuni toponuni syl difeq1d ccld ctop topontop elssuni eqid clscld cldopn
        wn eqeltrd simprrl wb kqfvima mpbid simprrr sseld con3dimp eldifd sscls
        sscond imass2 sslin 3syl kqdisj sseq0 eleq2 ineq1 eqeq1d 3anbi13d ineq2
        3anbi23d rspc2ev syl113anc ex mt3d rexlimddv ) ADFSZEFSZAXDUBZDUAUMZSZX
        GJUCTTZFUDZUBZXEUAJXFJUESZFJSZXDXKUAJUFAXLXDNUGAXMXDQUGAXDUHUADFJUIUJXF
        XGJSZXKUBZUBZXEDITZGUMZSZEITZHUMZSZXRYAUKZUNULZUOZHJUPTZUFGYFUFZAYGVPXD
        XORUQXPXEVPZYGXPYHUBZIXGURZYFSZIKXIUSZURZYFSZXQYJSZXTYMSZYJYMUKZUNULZYG
        YIJKUTTSZXNYKAYSXDXOYHMVAZXFXNXKYHVBZBCXGIJKLVCVDYIYSYLJSZYNYTYIYLJVEZX
        IUSZJYIKUUCXIYIYSKUUCULYTKJVFVGVHYIXIJVITSZUUDJSYIJVJSZXGUUCUDZUUEYIYSU
        UFYTKJVKVGZYIXNUUGUUAXGJVLVGZXGJUUCUUCVMZVNVDXIJUUCUUJVOVGVQZBCYLIJKLVC
        VDYIXHYOXPXHYHXFXNXHXJVRUGYIYSXNDKSZXHYOVSYTUUAAUULXDXOYHOVABCDXGIJKLVT
        UJWAYIEYLSZYPYIEKXIAEKSZXDXOYHPVAZXPEXISXEXPXIFEXFXNXHXJWBWCWDWEYIYSUUB
        UUNUUMYPVSYTUUKUUOBCEYLIJKLVTUJWAYIYQYJIKXGUSZURZUKZUDZUURUNULZYRYIYLUU
        PUDYMUUQUDUUSYIXGXIKYIUUFUUGXGXIUDUUHUUIXGJUUCUUJWFVDWGYLUUPIWHYMUUQYJW
        IWJYIYSXNUUTYTUUABCKXGIJKLWKVDYQUURWLVDYEYOYPYRUOYOYBYJYAUKZUNULZUOGHYJ
        YMYFYFXRYJULZXSYOYDUVBYBXRYJXQWMUVCYCUVAUNXRYJYAWNWOWPYAYMULZYBYPUVBYRY
        OYAYMXTWMUVDUVAYQUNYAYMYJWQWOWRWSWTXAXBXCXA $.
    $}

    $( A Kolmogorov quotient of a regular space is Hausdorff.  (Contributed by
       Mario Carneiro, 25-Aug-2015.) $)
    regr1lem2 $p |- ( ( J e. ( TopOn ` X ) /\ J e. Reg ) ->
        ( KQ ` J ) e. Haus ) $=
      ( va vb vm vn vz vw cfv wcel cv wel wceq w3a wrex wral ctopon creg wa ckq
      cha wne cin c0 wi crn wn wb simplll simpllr simplrl simplrr simprl simprr
      3ancoma incom eqeq1i 3anbi3i bitri 2rexbii rexcom sylnib impbid ralrimdva
      regr1lem expr kqfeq elequ2 bibi12d cbvralvw bitrdi 3expb adantlr necon1ad
      sylibrd ralrimivva wfn kqffn neeq1 eleq1 3anbi1d 2rexbidv imbi12d ralbidv
      adantr ralrn neeq2 3anbi2d bitrd syl mpbird kqtopon ishaus2 ) DEUAMZNZDUB
      NZUCZDUDMZUENZGOZHOZUFZGIPZHJPZIOZJOZUGZUHQZRZJXBSIXBSZUIZHCUJZTZGXPTZXAX
      RKOZCMZLOZCMZUFZXTXINZYBXJNZXLRZJXBSIXBSZUIZLETZKETZXAYHKLEEXAXSENZYAENZU
      CZUCZYGXTYBYNYGUKZKGPZLGPZULZGDTZXTYBQZYNYOYRGDYNXDDNZYOYRYNUUAYOUCZUCZYP
      YQUUCABXSYAXDIJCDEFWSWTYMUUBUMZWSWTYMUUBUNZXAYKYLUUBUOZXAYKYLUUBUPZYNUUAY
      OUQZYNUUAYOURZVIUUCABYAXSXDJICDEFUUDUUEUUGUUFUUHUUCYGYEYDXJXIUGZUHQZRZIXB
      SJXBSZUUIYGUULJXBSIXBSUUMYFUULIJXBXBYFYEYDXLRUULYDYEXLUSXLUUKYEYDXKUUJUHX
      IXJUTVAVBVCVDUULIJXBXBVEVCVFVIVGVJVHWSYMYTYSULZWTWSYKYLUUNWSYKYLRYTKBPZLB
      PZULZBDTYSABXSYACDWREFVKUUQYRBGDBOXDQUUOYPUUPYQBGKVLBGLVLVMVNVOVPVQVSVRVT
      XACEWAZXRYJULWSUURWTABCDWREFWBWIUURXRXTXEUFZYDXHXLRZJXBSIXBSZUIZHXPTZKETY
      JXQUVCGKECXDXTQZXOUVBHXPUVDXFUUSXNUVAXDXTXEWCUVDXMUUTIJXBXBUVDXGYDXHXLXDX
      TXIWDWEWFWGWHWJUURUVCYIKEUVBYHHLECXEYBQZUUSYCUVAYGXEYBXTWKUVEUUTYFIJXBXBU
      VEXHYEYDXLXEYBXJWDWLWFWGWJWHWMWNWOXAXBXPUAMNZXCXRULWSUVFWTABCDEFWPWIGHJIX
      BXPWQWNWO $.

    $( A Kolmogorov quotient of a regular space is regular.  (Contributed by
       Mario Carneiro, 25-Aug-2015.) $)
    kqreglem1 $p |- ( ( J e. ( TopOn ` X ) /\ J e. Reg ) ->
        ( KQ ` J ) e. Reg ) $=
      ( vb vm va vz vw cfv wcel wa cv wss wrex adantr syl syl2anc creg ckq ctop
      ctopon ccl wral crn kqtopon topontop wceq toponss sselda wfn wb ad3antrrr
      sylan kqffn fvelrnb mpbid wi ccnv cima simpllr ccn co kqid cnima elpreima
      simplr biimpar regsep syl3anc simp-4l simprl simprrl simplrl kqfvima ccld
      kqopn cuni elssuni ad2antrl eqid clscld kqcld sscls imass2 clsss2 simprrr
      wfun fnfun funimass2 sstrd eleq2 sseq1d anbi12d rspcev syl12anc rexlimddv
      fveq2 expr eleq1 anbi1d rexbidv imbi12d syl5ibcom com23 imp rexlimdva mpd
      an32s anasss ralrimivva isreg sylanbrc ) DEUDLZMZDUAMZNZDUBLZUCMZGOZHOZMZ
      YCXTUELZLZIOZPZNZHXTQZGYGUFIXTUFXTUAMXSXTCUGZUDLMZYAXQYLXRABCDEFUHRZYKXTU
      ISXSYJIGXTYGXSYGXTMZYBYGMZYJXSYNNZYONZJOZCLZYBUJZJEQZYJYQYBYKMZUUAYPYGYKY
      BXSYLYNYGYKPYMYGXTYKUKUPULYQCEUMZUUBUUAUNXQUUCXRYNYOABCDXPEFUQZUOJEYBCURS
      USYQYTYJJEYPYREMZYOYTYJUTZYPUUENZYOUUFUUGYTYOYJUUGYSYGMZYSYCMZYHNZHXTQZUT
      YTYOYJUTYPUUEUUHUUKYPUUEUUHNZNZYRKOZMZUUNDUELLZCVAYGVBZPZNZUUKKDUUMXRUUQD
      MZYRUUQMZUUSKDQXQXRYNUULVCUUMCDXTVDVEMZYNUUTXQUVBXRYNUULABCDEFVFUOXSYNUUL
      VIYGCDXTVGTYPUVAUULYPUUCUVAUULUNXSUUCYNXQUUCXRUUDRZREYRYGCVHSVJKYRUUQDVKV
      LUUMUUNDMZUUSNZNZCUUNVBZXTMZYSUVGMZUVGYELZYGPZUUKUVFXQUVDUVHXQXRYNUULUVEV
      MZUUMUVDUUSVNZABUUNCDEFVSTUVFUUOUVIUUMUVDUUOUURVOUVFXQUVDUUEUUOUVIUNUVLUV
      MYPUUEUUHUVEVPABYRUUNCDEFVQVLUSUVFUVJCUUPVBZYGUVFUVNXTVRLMZUVGUVNPZUVJUVN
      PUVFXQUUPDVRLMZUVOUVLUVFDUCMZUUNDVTZPZUVQUVFXQUVRUVLEDUISZUVDUVTUUMUUSUUN
      DWAWBZUUNDUVSUVSWCZWDTABUUPCDEFWETUVFUUNUUPPZUVPUVFUVRUVTUWDUWAUWBUUNDUVS
      UWCWFTUUNUUPCWGSUVNUVGXTXTVTZUWEWCWHTUVFCWJZUURUVNYGPUVFUUCUWFXSUUCYNUULU
      VEUVCUOECWKSUUMUVDUUOUURWIUUPYGCWLTWMUUJUVIUVKNHUVGXTYCUVGUJZUUIUVIYHUVKY
      CUVGYSWNUWGYFUVJYGYCUVGYEWTWOWPWQWRWSXAYTUUHYOUUKYJYSYBYGXBYTUUJYIHXTYTUU
      IYDYHYSYBYCXBXCXDXEXFXGXHXKXIXJXLXMIGHXTXNXO $.

    $( If the Kolmogorov quotient of a space is regular then so is the original
       space.  (Contributed by Mario Carneiro, 25-Aug-2015.) $)
    kqreglem2 $p |- ( ( J e. ( TopOn ` X ) /\ ( KQ ` J ) e. Reg ) ->
        J e. Reg ) $=
      ( vw vm vz vn ctopon cfv wcel wa cv wss adantr cima syl2anc syl creg ctop
      ckq ccl wrex topontop simplr simpll simprl kqopn simprr wb toponss sseldd
      wral kqfvima syl3anc mpbid regsep ccnv ccn co kqid cnima simprrl elpreima
      wfn kqffn 3syl mpbir2and ccld crn kqtopon elssuni ad2antrl clscld cnclima
      cuni eqid sscls imass2 clsss2 simprrr wceq kqsat sstrd eleq2 fveq2 sseq1d
      sseqtrd anbi12d rspcev syl12anc rexlimddv ralrimivva isreg sylanbrc ) DEK
      LZMZDUCLZUAMZNZDUBMZGOZHOZMZXEDUDLZLZIOZPZNZHDUEZGXIUOIDUODUAMWSXCXAEDUFQ
      XBXLIGDXIXBXIDMZXDXIMZNZNZXDCLZJOZMZXRWTUDLLZCXIRZPZNZXLJWTXPXAYAWTMZXQYA
      MZYCJWTUEWSXAXOUGXPWSXMYDWSXAXOUHZXBXMXNUIZABXICDEFUJSXPXNYEXBXMXNUKZXPWS
      XMXDEMZXNYEULYFYGXPXIEXDXPWSXMXIEPYFYGXIDEUMSYHUNZABXDXICDEFUPUQURJXQYAWT
      USUQXPXRWTMZYCNZNZCUTZXRRZDMZXDYOMZYOXGLZXIPZXLYMCDWTVAVBMZYKYPYMWSYTXPWS
      YLYFQZABCDEFVCTZXPYKYCUIXRCDWTVDSYMYQYIXSXPYIYLYJQXPYKXSYBVEYMWSCEVGYQYIX
      SNULUUAABCDWREFVHEXDXRCVFVIVJYMYRYNXTRZXIYMUUCDVKLMZYOUUCPZYRUUCPYMYTXTWT
      VKLMZUUDUUBYMWTUBMZXRWTVRZPZUUFYMWSWTCVLZKLMUUGUUAABCDEFVMUUJWTUFVIZYKUUI
      XPYCXRWTVNVOZXRWTUUHUUHVSZVPSXTCDWTVQSYMXRXTPZUUEYMUUGUUIUUNUUKUULXRWTUUH
      UUMVTSXRXTYNWATUUCYODDVRZUUOVSWBSYMUUCYNYARZXIYMYBUUCUUPPXPYKXSYBWCXTYAYN
      WATYMWSXMUUPXIWDUUAXPXMYLYGQABXICDEFWESWJWFXKYQYSNHYODXEYOWDZXFYQXJYSXEYO
      XDWGUUQXHYRXIXEYOXGWHWIWKWLWMWNWOIGHDWPWQ $.

    $( A Kolmogorov quotient of a normal space is normal.  (Contributed by
       Mario Carneiro, 25-Aug-2015.) $)
    kqnrmlem1 $p |- ( ( J e. ( TopOn ` X ) /\ J e. Nrm ) ->
        ( KQ ` J ) e. Nrm ) $=
      ( vw vm vz vu cfv wcel wa cv wss syl cima syl2anc 3syl wceq cnrm ckq ctop
      ctopon ccl wrex ccld cpw cin wral crn kqtopon adantr topontop ccnv simplr
      ccn kqid ad2antrr simprl cnima simprr elin1d cnclima elin2d elpwi nrmsep3
      co imass2 syl13anc simplll kqopn simprrl wfun kqffn fnfun cuni eqid cldss
      wi wfn toponuni sseqtrrd funimass1 mpd ad2antrl clscld kqcld sscls clsss2
      elssuni simprrr cdm clsss3 fndm eqtrd funimass3 mpbird sstrd sseq2 sseq1d
      wb fveq2 anbi12d rspcev syl12anc rexlimddv ralrimivva isnrm sylanbrc ) DE
      UDKZLZDUALZMZDUBKZUCLZGNZHNZOZXRXOUEKZKZINZOZMZHXOUFZGXOUGKZYBUHZUIZUJIXO
      UJXOUALXNXOCUKZUDKLZXPXLYJXMABCDEFULZUMYIXOUNPXNYEIGXOYHXNYBXOLZXQYHLZMZM
      ZCUOZXQQZJNZOZYRDUEKKZYPYBQZOZMZYEJDYOXMUUADLZYQDUGKZLZYQUUAOZUUCJDUFXLXM
      YNUPYOCDXOUQVHLZYLUUDXLUUHXMYNABCDEFURUSZXNYLYMUTYBCDXOVARYOUUHXQYFLZUUFU
      UIYOYFYGXQXNYLYMVBZVCZXQCDXOVDRYOXQYGLXQYBOUUGYOYFYGXQUUKVEXQYBVFXQYBYPVI
      SJUUAYQDVGVJYOYRDLZUUCMZMZCYRQZXOLZXQUUPOZUUPXTKZYBOZYEUUOXLUUMUUQXLXMYNU
      UNVKZYOUUMUUCUTABYRCDEFVLRUUOYSUURYOUUMYSUUBVMUUOCVNZXQYIOYSUURVTUUOXLCEW
      AZUVBUVAABCDXKEFVOZECVPSZUUOXQXOVQZYIUUOUUJXQUVFOYOUUJUUNUULUMXQXOUVFUVFV
      RZVSPUUOXLYJYIUVFTUVAYKYIXOWBSWCXQYRCWDRWEUUOUUSCYTQZYBUUOUVHYFLZUUPUVHOZ
      UUSUVHOUUOXLYTUUELZUVIUVAUUODUCLZYRDVQZOZUVKUUOXLUVLUVAEDUNPZUUMUVNYOUUCY
      RDWKWFZYRDUVMUVMVRZWGRABYTCDEFWHRUUOYRYTOZUVJUUOUVLUVNUVRUVOUVPYRDUVMUVQW
      IRYRYTCVIPUVHUUPXOUVFUVGWJRUUOUVHYBOZUUBYOUUMYSUUBWLUUOUVBYTCWMZOUVSUUBXB
      UVEUUOYTUVMUVTUUOUVLUVNYTUVMOUVOUVPYRDUVMUVQWNRUUOUVTEUVMUUOXLUVCUVTETUVA
      UVDECWOSUUOXLEUVMTUVAEDWBPWPWCYTYBCWQRWRWSYDUURUUTMHUUPXOXRUUPTZXSUURYCUU
      TXRUUPXQWTUWAYAUUSYBXRUUPXTXCXAXDXEXFXGXHIGHXOXIXJ $.

    $( If the Kolmogorov quotient of a space is normal then so is the original
       space.  (Contributed by Mario Carneiro, 25-Aug-2015.) $)
    kqnrmlem2 $p |- ( ( J e. ( TopOn ` X ) /\ ( KQ ` J ) e. Nrm ) ->
        J e. Nrm ) $=
      ( vw vu vz vm cfv wcel wa cv wss cima syl2anc 3syl syl wceq ckq cnrm ctop
      ctopon ccl wrex ccld cpw wral topontop adantr simplr simpll simprl simprr
      cin kqopn elin1d kqcld elin2d imass2 nrmsep3 syl13anc ccnv ccn co simplll
      elpwi kqid cnima simprrl wfun cdm wb wfn kqffn fnfun cuni eqid cldss fndm
      toponuni eqtrd sseqtrrd funimass3 kqtopon elssuni ad2antrl clscld cnclima
      mpbid sscls clsss2 simprrr kqsat sseqtrd sstrd sseq2 fveq2 sseq1d anbi12d
      crn rspcev syl12anc rexlimddv ralrimivva isnrm sylanbrc ) DEUDKZLZDUAKZUB
      LZMZDUCLZGNZHNZOZXPDUEKZKZINZOZMZHDUFZGDUGKZXTUHZUPZUIIDUIDUBLXJXNXLEDUJU
      KXMYCIGDYFXMXTDLZXOYFLZMZMZCXOPZJNZOZYLXKUEKKZCXTPZOZMZYCJXKYJXLYOXKLZYKX
      KUGKZLZYKYOOZYQJXKUFXJXLYIULYJXJYGYRXJXLYIUMZXMYGYHUNZABXTCDEFUQQYJXJXOYD
      LZYTUUBYJYDYEXOXMYGYHUOZURZABXOCDEFUSQYJXOYELXOXTOUUAYJYDYEXOUUEUTXOXTVHX
      OXTCVARJYOYKXKVBVCYJYLXKLZYQMZMZCVDZYLPZDLZXOUUKOZUUKXRKZXTOZYCUUICDXKVEV
      FLZUUGUULUUIXJUUPXJXLYIUUHVGZABCDEFVISZYJUUGYQUNYLCDXKVJQUUIYMUUMYJUUGYMY
      PVKUUICVLZXOCVMZOYMUUMVNUUIXJCEVOZUUSUUQABCDXIEFVPZECVQRUUIXODVRZUUTUUIUU
      DXOUVCOYJUUDUUHUUFUKXODUVCUVCVSZVTSUUIUUTEUVCUUIXJUVAUUTETUUQUVBECWARUUIX
      JEUVCTUUQEDWBSWCWDXOYLCWEQWKUUIUUNUUJYNPZXTUUIUVEYDLZUUKUVEOZUUNUVEOUUIUU
      PYNYSLZUVFUURUUIXKUCLZYLXKVRZOZUVHUUIXJXKCXBZUDKLUVIUUQABCDEFWFUVLXKUJRZU
      UGUVKYJYQYLXKWGWHZYLXKUVJUVJVSZWIQYNCDXKWJQUUIYLYNOZUVGUUIUVIUVKUVPUVMUVN
      YLXKUVJUVOWLQYLYNUUJVASUVEUUKDUVCUVDWMQUUIUVEUUJYOPZXTUUIYPUVEUVQOYJUUGYM
      YPWNYNYOUUJVASUUIXJYGUVQXTTUUQYJYGUUHUUCUKABXTCDEFWOQWPWQYBUUMUUOMHUUKDXP
      UUKTZXQUUMYAUUOXPUUKXOWRUVRXSUUNXTXPUUKXRWSWTXAXCXDXEXFIGHDXGXH $.
  $}

  ${
    $d o x y A $.  $d o y B $.  $d a b j o w x y z J $.  $d o w x y z X $.
    $( The Kolmogorov quotient is a topology on the quotient set.  (Contributed
       by Mario Carneiro, 25-Aug-2015.) $)
    kqtop $p |- ( J e. Top <-> ( KQ ` J ) e. Top ) $=
      ( vx vy vj ctop wcel ckq cfv cuni cv crab cmpt crn toptopon2 eqid kqtopon
      ctopon syl c0 cqtop sylbi topontop cdm 0opn elfvdm co ovex df-kq eleqtrdi
      dmmpti impbii ) AEFZAGHZEFZULUMBAIZBJCJFZCAKLZMZQHFZUNULAUOQHFUSANBCUQAUO
      UQOPUAURUMUBRUNAGUCZEUNSUMFAUTFUMUDSAGUERDEDJZBVAIUPCVAKLZTUFGVAVBTUGBCDU
      HUJUIUK $.

    $( The Kolmogorov quotient is T_0 even if the original topology is not.
       (Contributed by Mario Carneiro, 25-Aug-2015.) $)
    kqt0 $p |- ( J e. Top <-> ( KQ ` J ) e. Kol2 ) $=
      ( vx vy ctop wcel ckq cfv ct0 cuni ctopon toptopon2 wel crab cmpt kqt0lem
      eqid sylbi t0top kqtop sylibr impbii ) ADEZAFGZHEZUBAAIZJGEUDAKBCBUEBCLCA
      MNZAUEUFPOQUDUCDEUBUCRASTUA $.

    $( The Kolmogorov quotient is a topology on the quotient set.  (Contributed
       by Mario Carneiro, 25-Aug-2015.) $)
    kqf $p |- KQ : Top --> Kol2 $=
      ( vx vj vy ctop ct0 ckq wf wfn cv cfv wcel wral cuni crab cmpt cqtop ovex
      co df-kq fnmpti kqt0 biimpi rgen ffnfv mpbir2an ) DEFGFDHAIZFJEKZADLBDBIZ
      AUHMUFCIKCUHNOZPRFUHUIPQACBSTUGADUFDKUGUFUAUBUCADEFUDUE $.

    $( The separation property of an R_0 space.  (Contributed by Mario
       Carneiro, 25-Aug-2015.) $)
    r0sep $p |- ( ( ( J e. ( TopOn ` X ) /\ ( KQ ` J ) e. Fre ) /\
      ( A e. X /\ B e. X ) ) -> ( A. o e. J ( A e. o -> B e. o ) ->
                                  A. o e. J ( A e. o <-> B e. o ) ) ) $=
      ( vx vy vz vw cfv wcel wa wel wi wral wb cv wceq eleq1 ralbidv ctopon ckq
      ct1 crab cmpt eqid isr0 biimpa imbi1d bibi1d imbi12d imbi2d bibi2d rspc2v
      mpan9 ) DEUAJKZDUBJUCKZLFCMZGCMZNZCDOZURUSPZCDOZNZGEOFEOZAEKBEKLACQZKZBVF
      KZNZCDOZVGVHPZCDOZNZUPUQVEHIFGCHEHIMIDUDUEZDEVNUFUGUHVDVMVGUSNZCDOZVGUSPZ
      CDOZNFGABEEFQZARZVAVPVCVRVTUTVOCDVTURVGUSVSAVFSZUITVTVBVQCDVTURVGUSWAUJTU
      KGQZBRZVPVJVRVLWCVOVICDWCUSVHVGWBBVFSZULTWCVQVKCDWCUSVHVGWDUMTUKUNUO $.

    $( A normal R_0 space is also regular.  These spaces are usually referred
       to as normal regular spaces.  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    nrmr0reg $p |- ( ( J e. Nrm /\ ( KQ ` J ) e. Fre ) -> J e. Reg ) $=
      ( vy vz vx va vb vw wcel cfv wa wel cv wss wrex wral adantr wb weq elequ2
      crab cnrm ckq ct1 ctop ccl creg nrmtop cuni simpll simprl toptopon2 sylib
      ccld ctopon simplr simprr elunii syl2anc cmpt eqid syl3anc w3a simp1rr wi
      r0cld bibi12d rspcv 3impia mpbird rabssdv nrmsep3 syl13anc elequ1 ralbidv
      syl bibi1d biidd ralrimivw elrabd syl5com anim1d reximdv ralrimivva isreg
      ssel mpd sylanbrc ) AUAHZAUBIUCHZJZAUDHZBCKZCLZAUEIIDLZMZJZCANZBWNODAOAUF
      HWHWKWIAUGPZWJWQDBAWNWJWNAHZBDKZJZJZEFKZBFKZQZFAOZEAUHZTZWMMZWOJZCANZWQXB
      WHWSXHAUMIHZXHWNMXKWHWIXAUIWJWSWTUJZXBAXGUNIHZWIBLZXGHZXLXBWKXNWJWKXAWRPA
      UKULWHWIXAUOXBWTWSXPWJWSWTUPXMXOWNAUQURZCGEXOFCXGCGKGATUSZAXGXRUTVEVAXBXF
      EXGWNXBELXGHZXFVBEDKZWTWSWTWJXSXFVCXBXSXFXTWTQZXBXSJWSXFYAVDXBWSXSXMPXEYA
      FWNAFDRXCXTXDWTFDESFDBSVFVGVOVHVIVJCWNXHAVKVLXBXJWPCAXBXIWLWOXBXOXHHXIWLX
      BXFXDXDQZFAOEXOXGEBRZXEYBFAYCXCXDXDEBFVMVPVNXQXBYBFAXBXDVQVRVSXHWMXOWEVTW
      AWBWFWCDBCAWDWG $.

    $( A regular space is R_1, which means that any two topologically distinct
       points can be separated by neighborhoods.  (Contributed by Mario
       Carneiro, 25-Aug-2015.) $)
    regr1 $p |- ( J e. Reg -> ( KQ ` J ) e. Haus ) $=
      ( vx vy cuni ctopon cfv wcel creg ckq cha ctop regtop toptopon2 sylib wel
      crab cmpt eqid regr1lem2 mpancom ) AADZEFGZAHGZAIFJGUCAKGUBALAMNBCBUABCOC
      APQZAUAUDRST $.

    $( The Kolmogorov quotient of a regular space is regular.  By ~ regr1 it is
       also Hausdorff, so we can also say that a space is regular iff the
       Kolmogorov quotient is regular Hausdorff (T_3).  (Contributed by Mario
       Carneiro, 25-Aug-2015.) $)
    kqreg $p |- ( J e. Reg <-> ( KQ ` J ) e. Reg ) $=
      ( vx vy creg wcel ckq cfv cuni ctopon ctop regtop toptopon2 wel crab cmpt
      sylib eqid kqreglem1 mpancom kqtop sylibr kqreglem2 impbii ) ADEZAFGZDEZA
      AHZIGEZUDUFUDAJEZUHAKALZPBCBUGBCMCANOZAUGUKQZRSUHUFUDUFUIUHUFUEJEUIUEKATU
      AUJPBCUKAUGULUBSUC $.

    $( The Kolmogorov quotient of a normal space is normal.  (Contributed by
       Mario Carneiro, 25-Aug-2015.) $)
    kqnrm $p |- ( J e. Nrm <-> ( KQ ` J ) e. Nrm ) $=
      ( vx vy cnrm wcel ckq cfv cuni ctopon ctop nrmtop toptopon2 wel crab cmpt
      sylib eqid kqnrmlem1 mpancom kqtop sylibr kqnrmlem2 impbii ) ADEZAFGZDEZA
      AHZIGEZUDUFUDAJEZUHAKALZPBCBUGBCMCANOZAUGUKQZRSUHUFUDUFUIUHUFUEJEUIUEKATU
      AUJPBCUKAUGULUBSUC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Homeomorphisms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Homeo $. $( Class of all homeomorphisms. $)
  $c ~= $. $( The relation "is homeomorphic to." $)

  $( Extend class notation with the class of all homeomorphisms. $)
  chmeo $a class Homeo $.

  $( Extend class notation with the relation "is homeomorphic to.". $)
  chmph $a class ~= $.

  ${
    $d f j k J $.  $d f j k K $.
    $( Function returning all the homeomorphisms from topology ` j ` to
       topology ` k ` .  (Contributed by FL, 14-Feb-2007.) $)
    df-hmeo $a |- Homeo = ( j e. Top , k e. Top |->
            { f e. ( j Cn k ) | `' f e. ( k Cn j ) } ) $.

    $( Definition of the relation ` x ` is homeomorphic to ` y ` .
       (Contributed by FL, 14-Feb-2007.) $)
    df-hmph $a |- ~= = ( `' Homeo " ( _V \ 1o ) ) $.

    $( The set of homeomorphisms is a function on topologies.  (Contributed by
       Mario Carneiro, 23-Aug-2015.) $)
    hmeofn $p |- Homeo Fn ( Top X. Top ) $=
      ( vj vk vf ctop cv ccnv ccn co wcel crab chmeo df-hmeo ovex rabex fnmpoi
      ) ABDDCEFBEZAEZGHIZCQPGHZJKCABLRCSQPGMNO $.

    $( The set of all the homeomorphisms between two topologies.  (Contributed
       by FL, 14-Feb-2007.)  (Revised by Mario Carneiro, 22-Aug-2015.) $)
    hmeofval $p |- ( J Homeo K ) = { f e. ( J Cn K ) | `' f e. ( K Cn J ) } $=
      ( vj vk ctop wcel wa chmeo co cv ccnv ccn crab oveq12 ancoms eleq2d wn c0
      wceq rabeqbidv df-hmeo ovex ovmpoa mpondm0 wral cntop1 cntop2 jca con3rr3
      rabex a1d ralrimiv rabeq0 sylibr eqtr4d pm2.61i ) BFGZCFGZHZBCIJZAKZLZCBM
      JZGZABCMJZNZTDEBCFFVCEKZDKZMJZGZAVIVHMJZNZVGIVIBTZVHCTZHZVKVEAVLVFVIBVHCM
      OVPVJVDVCVOVNVJVDTVHCVIBMOPQUAADEUBZVEAVFBCMUCUKUDUTRZVASVGDEVMIBCFFVQUEV
      RVERZAVFUFVGSTVRVSAVFVBVFGZVEUTVTUTVEVTURUSVBBCUGVBBCUHUIULUJUMVEAVFUNUOU
      PUQ $.
  $}

  ${
    $d F f $.  $d J f $.  $d K f $.
    $( The predicate F is a homeomorphism between topology ` J ` and topology
       ` K ` .  Criterion of [BourbakiTop1] p.  I.2.  (Contributed by FL,
       14-Feb-2007.)  (Revised by Mario Carneiro, 22-Aug-2015.) $)
    ishmeo $p |- ( F e. ( J Homeo K ) <->
        ( F e. ( J Cn K ) /\ `' F e. ( K Cn J ) ) ) $=
      ( vf cv ccnv ccn co wcel chmeo wceq cnveq eleq1d hmeofval elrab2 ) DEZFZC
      BGHZIAFZRIDABCGHBCJHPAKQSRPALMDBCNO $.
  $}

  $( A homeomorphism is continuous.  (Contributed by Mario Carneiro,
     22-Aug-2015.) $)
  hmeocn $p |- ( F e. ( J Homeo K ) -> F e. ( J Cn K ) ) $=
    ( chmeo co wcel ccn ccnv ishmeo simplbi ) ABCDEFABCGEFAHCBGEFABCIJ $.

  $( The converse of a homeomorphism is continuous.  (Contributed by Mario
     Carneiro, 22-Aug-2015.) $)
  hmeocnvcn $p |- ( F e. ( J Homeo K ) -> `' F e. ( K Cn J ) ) $=
    ( chmeo co wcel ccn ccnv ishmeo simprbi ) ABCDEFABCGEFAHCBGEFABCIJ $.

  $( The converse of a homeomorphism is a homeomorphism.  (Contributed by FL,
     5-Mar-2007.)  (Revised by Mario Carneiro, 22-Aug-2015.) $)
  hmeocnv $p |- ( F e. ( J Homeo K ) -> `' F e. ( K Homeo J ) ) $=
    ( chmeo co wcel ccnv ccn hmeocnvcn wrel wceq cuni hmeocn eqid cnf frel 3syl
    wf dfrel2 sylib eqeltrd ishmeo sylanbrc ) ABCDEFZAGZCBHEFUEGZBCHEZFUECBDEFA
    BCIUDUFAUGUDAJZUFAKUDAUGFBLZCLZARUHABCMZABCUIUJUINUJNOUIUJAPQASTUKUAUECBUBU
    C $.

  $( A homeomorphism is a 1-1-onto mapping.  (Contributed by Mario Carneiro,
     22-Aug-2015.) $)
  hmeof1o2 $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) /\
    F e. ( J Homeo K ) ) -> F : X -1-1-onto-> Y ) $=
    ( ctopon cfv wcel chmeo co w3a wfn ccnv wf1o ccn hmeocn cnf2 syl3an3 ffnd
    wf hmeocnvcn 3com12 dff1o4 sylanbrc ) BDFGHZCEFGHZABCIJHZKZADLAMZELDEANUHDE
    AUGUEUFABCOJHDEATABCPABCDEQRSUHEDUIUGUEUFUICBOJHZEDUITZABCUAUFUEUJUKUICBEDQ
    UBRSDEAUCUD $.

  ${
    hmeof1o.1 $e |- X = U. J $.
    hmeof1o.2 $e |- Y = U. K $.
    $( A homeomorphism is a 1-1-onto mapping.  (Contributed by FL, 5-Mar-2007.)
       (Revised by Mario Carneiro, 30-May-2014.) $)
    hmeof1o $p |- ( F e. ( J Homeo K ) -> F : X -1-1-onto-> Y ) $=
      ( ctopon cfv wcel wa chmeo co wf1o ccn hmeocn ctop cntop1 toptopon sylib
      cntop2 jca syl hmeof1o2 3expia mpcom ) BDHIJZCEHIJZKZABCLMJZDEANZUJABCOMJ
      ZUIABCPULUGUHULBQJUGABCRBDFSTULCQJUHABCUACEGSTUBUCUGUHUJUKABCDEUDUEUF $.
  $}

  $( The image of an open set by a homeomorphism is an open set.  (Contributed
     by FL, 5-Mar-2007.)  (Revised by Mario Carneiro, 22-Aug-2015.) $)
  hmeoima $p |- ( ( F e. ( J Homeo K ) /\ A e. J ) -> ( F " A ) e. K ) $=
    ( chmeo co wcel ccnv ccn cima hmeocnvcn wa imacnvcnv cnima eqeltrrid sylan
    ) BCDEFGBHZDCIFGZACGZBAJZDGBCDKRSLTQHAJDBAMAQDCNOP $.

  ${
    hmeoopn.1 $e |- X = U. J $.
    $( Homeomorphisms preserve openness.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Proof shortened by Mario Carneiro, 25-Aug-2015.) $)
    hmeoopn $p |- ( ( F e. ( J Homeo K ) /\ A C_ X ) ->
        ( A e. J <-> ( F " A ) e. K ) ) $=
      ( chmeo co wcel wss wa cima wi hmeoima ex adantr ccnv ccn hmeocn syl cuni
      cnima wceq wf1o eqid hmeof1o f1of1 f1imacnv sylan eleq1d sylibd impbid
      wf1 ) BCDGHIZAEJZKZACIZBALZDIZUNUQUSMUOUNUQUSABCDNOPUPUSBQURLZCIZUQUNUSVA
      MZUOUNBCDRHIZVBBCDSVCUSVAURBCDUBOTPUPUTACUNEDUAZBUMZUOUTAUCUNEVDBUDVEBCDE
      VDFVDUEUFEVDBUGTEVDABUHUIUJUKUL $.

    $( Homeomorphisms preserve closedness.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Proof shortened by Mario Carneiro, 25-Aug-2015.) $)
    hmeocld $p |- ( ( F e. ( J Homeo K ) /\ A C_ X ) ->
        ( A e. ( Clsd ` J ) <-> ( F " A ) e. ( Clsd ` K ) ) ) $=
      ( chmeo co wcel wa ccld cfv cima ccnv ccn wi adantr cnclima ex syl hmeocn
      wss hmeocnvcn imacnvcnv eqeltrrid cuni wceq wf1o eqid hmeof1o f1of1 sylan
      wf1 f1imacnv eleq1d sylibd impbid ) BCDGHIZAEUBZJZACKLZIZBAMZDKLZIZUTBNZD
      COHIZVBVEPURVGUSBCDUCQVGVBVEVGVBJVCVFNAMVDBAUDAVFDCRUESTUTVEVFVCMZVAIZVBU
      TBCDOHIZVEVIPURVJUSBCDUAQVJVEVIVCBCDRSTUTVHAVAUREDUFZBUMZUSVHAUGUREVKBUHV
      LBCDEVKFVKUIUJEVKBUKTEVKABUNULUOUPUQ $.

    $( Homeomorphisms preserve closures.  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    hmeocls $p |- ( ( F e. ( J Homeo K ) /\ A C_ X ) ->
        ( ( cls ` K ) ` ( F " A ) ) = ( F " ( ( cls ` J ) ` A ) ) ) $=
      ( chmeo co wcel wss wa cima ccl cfv ccn hmeocnvcn cncls2i sylan imacnvcnv
      ccnv fveq2i 3sstr3g hmeocn cnclsi eqssd ) BCDGHIZAEJZKZBALZDMNZNZBACMNNZL
      ZUHBTZTZALZUJNZUOULLZUKUMUFUNDCOHIUGUQURJBCDPAUNDCEFQRUPUIUJBASUABULSUBUF
      BCDOHIUGUMUKJBCDUCABCDEFUDRUE $.

    $( Homeomorphisms preserve interiors.  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    hmeontr $p |- ( ( F e. ( J Homeo K ) /\ A C_ X ) ->
        ( ( int ` K ) ` ( F " A ) ) = ( F " ( ( int ` J ) ` A ) ) ) $=
      ( wcel wss cima cnt cfv ccnv ccn adantr wceq cnntri syl2anc syl imacnvcnv
      co chmeo wa cuni hmeocn crn imassrn wf1o wfo eqid hmeof1o f1ofo forn 3syl
      sseqtrid wf1 f1of1 f1imacnv sylancom fveq2d sseqtrd wfun wi f1ofun cntop2
      ctop ntrss3 sseqtrrd funimass1 mpd hmeocnvcn sylan fveq2i 3sstr3g eqssd )
      BCDUATGZAEHZUBZBAIZDJKZKZBACJKZKZIZVQBLZVTIZWBHZVTWCHZVQWEWDVRIZWAKZWBVQB
      CDMTGZVRDUCZHZWEWIHVOWJVPBCDUDNZVQBUEZVRWKBAUFVQEWKBUGZEWKBUHWNWKOVOWOVPB
      CDEWKFWKUIZUJNZEWKBUKEWKBULUMZUNZVRBCDWKWPPQVQWHAWAVOVPEWKBUOZWHAOVQWOWTW
      QEWKBUPREWKABUQURUSUTVQBVAZVTWNHWFWGVBVQWOXAWQEWKBVCRVQVTWKWNVQDVEGZWLVTW
      KHVQWJXBWMBCDVDRWSVRDWKWPVFQWRVGVTWBBVHQVIVQWDLZWBIZXCAIZVSKZWCVTVOWDDCMT
      GVPXDXFHBCDVJAWDDCEFPVKBWBSXEVRVSBASVLVMVN $.
  $}

  ${
    $d x y F $.  $d x y J $.  $d x y K $.
    hmeoimaf1o.1 $e |- G = ( x e. J |-> ( F " x ) ) $.
    $( The function mapping open sets to their images under a homeomorphism is
       a bijection of topologies.  (Contributed by Mario Carneiro,
       10-Sep-2015.) $)
    hmeoimaf1o $p |- ( F e. ( J Homeo K ) -> G : J -1-1-onto-> K ) $=
      ( vy chmeo co wcel cv cima ccnv wa wceq cuni wss eqid syl elssuni hmeoima
      ccn hmeocn cnima sylan wf1 wb wf1o hmeof1o adantr f1of1 ad2antrl cnvimass
      cdm f1dm sseqtrid f1imaeq syl12anc f1ofo ad2antll foimacnv syl2anc eqeq2d
      wfo eqcom bitrdi bitr3d f1o2d ) BDEHIJZAGDEBAKZLZBMGKZLZCFVJBDEUAVIBDEUBI
      JVLEJZVMDJBDEUCVLBDEUDUEVIVJDJZVNNZNZVKBVMLZOZVJVMOZVLVKOZVQDPZEPZBUFZVJW
      BQZVMWBQVSVTUGVQWBWCBUHZWDVIWFVPBDEWBWCWBRWCRUIUJZWBWCBUKSZVOWEVIVNVJDTUL
      VQBUNZVMWBBVLUMVQWDWIWBOWHWBWCBUOSUPWBWCVJVMBUQURVQVSVKVLOWAVQVRVLVKVQWBW
      CBVDZVLWCQZVRVLOVQWFWJWGWBWCBUSSVNWKVIVOVLETUTWBWCVLBVAVBVCVKVLVEVFVGVH
      $.
  $}

  ${
    hmeores.1 $e |- X = U. J $.
    $( The restriction of a homeomorphism is a homeomorphism.  (Contributed by
       Mario Carneiro, 14-Sep-2014.)  (Proof shortened by Mario Carneiro,
       22-Aug-2015.) $)
    hmeores $p |- ( ( F e. ( J Homeo K ) /\ Y C_ X ) ->
      ( F |` Y ) e. ( ( J |`t Y ) Homeo ( K |`t ( F " Y ) ) ) ) $=
      ( chmeo co wcel wss cres crest ccn ccnv adantr cnrest sylancom crn syl wf
      wa cima hmeocn cuni ctopon cfv ctop cntop2 toptopon sylib df-ima eqimss2i
      wb eqid a1i imassrn frnd sstrid cnrest2 syl3anc mpbid wfun wceq hmeocnvcn
      cnf ffun funcnvres syl2anc eqeltrd cntop1 cdm dfdm4 fssres eqtr3id eqimss
      4syl fdmd simpr ishmeo sylanbrc ) ABCGHIZEDJZUAZAEKZBELHZCAEUBZLHZMHIZWDN
      ZWGWEMHIZWDWEWGGHIWCWDWECMHIZWHWAWBABCMHIZWKWAWLWBABCUCOZEABCDFPQWCCCUDZU
      EUFIZWDRZWFJZWFWNJZWKWHUMWCCUGIZWOWCWLWSWMABCUHSCWNWNUNZUIUJWQWCWFWPAEUKU
      LUOWCWFARWNAEUPWCDWNAWCWLDWNATZWMABCDWNFWTVESZUQURZWFWDWECWNUSUTVAWCWIWGB
      MHZIZWJWCWIANZWFKZXDWCXFCBMHIZWNDXFTXFVBWIXGVCWAXHWBABCVDOZXFCBWNDWTFVEWN
      DXFVFEAVGVPWCXHWRXGXDIXIXCWFXFCBWNWTPVHVIWCBDUEUFIZWIRZEJZWBXEWJUMWCBUGIZ
      XJWCWLXMWMABCVJSBDFUIUJWCXKEVCXLWCXKWDVKEWDVLWCEWNWDWAWBXAEWNWDTXBDWNEAVM
      QVQVNXKEVOSWAWBVREWIWGBDUSUTVAWDWEWGVSVT $.
  $}

  $( The composite of two homeomorphisms is a homeomorphism.  (Contributed by
     FL, 9-Mar-2007.)  (Proof shortened by Mario Carneiro, 23-Aug-2015.) $)
  hmeoco $p |- ( ( F e. ( J Homeo K ) /\ G e. ( K Homeo L ) ) ->
      ( G o. F ) e. ( J Homeo L ) ) $=
    ( chmeo co wcel wa ccom ccn ccnv hmeocn cnco syl2an cnvco hmeocnvcn syl2anr
    eqeltrid ishmeo sylanbrc ) ACDFGHZBDEFGHZIZBAJZCEKGHZUELZECKGZHUECEFGHUBACD
    KGHBDEKGHUFUCACDMBDEMABCDENOUDUGALZBLZJZUHBAPUCUJEDKGHUIDCKGHUKUHHUBBDEQACD
    QUJUIEDCNRSUECETUA $.

  $( The identity function is a homeomorphism.  (Contributed by FL,
     14-Feb-2007.)  (Proof shortened by Mario Carneiro, 23-Aug-2015.) $)
  idhmeo $p |- ( J e. ( TopOn ` X ) -> ( _I |` X ) e. ( J Homeo J ) ) $=
    ( ctopon cfv wcel cid cres ccn ccnv chmeo cnvresid eqeltrid ishmeo sylanbrc
    co idcn ) ABCDEZFBGZAAHOZERIZSERAAJOEABPZQTRSBKUALRAAMN $.

  $( The converse of a homeomorphism is a homeomorphism.  (Contributed by FL,
     5-Mar-2007.)  (Revised by Mario Carneiro, 23-Aug-2015.) $)
  hmeocnvb $p |- ( Rel F ->
    ( `' F e. ( J Homeo K ) <-> F e. ( K Homeo J ) ) ) $=
    ( wrel ccnv chmeo co wcel hmeocnv wceq wb dfrel2 eleq1 sylbi syl5ib impbid1
    ) ADZAEZBCFGHZACBFGZHZSREZTHZQUARBCIQUBAJUCUAKALUBATMNOACBIP $.

  ${
    $d F x $.  $d J x $.  $d K x $.
    $( A homeomorphism is a quotient map.  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    hmeoqtop $p |- ( F e. ( J Homeo K ) -> K = ( J qTop F ) ) $=
      ( vx chmeo co wcel cuni ctop ctopon cfv ccn hmeocn cntop2 toptopon2 sylib
      syl wf1o wfo eqid crn wceq hmeof1o f1ofo forn 3syl cv hmeoima qtopomap )
      ABCEFGZDABCCHZUJCIGZCUKJKGUJABCLFGULABCMZABCNQCOPUMUJBHZUKARUNUKASAUAUKUB
      ABCUNUKUNTUKTUCUNUKAUDUNUKAUEUFDUGABCUHUI $.
  $}

  $( Express the predicate ` J ` is homeomorphic to ` K ` .  (Contributed by
     FL, 14-Feb-2007.)  (Revised by Mario Carneiro, 22-Aug-2015.) $)
  hmph $p |- ( J ~= K <-> ( J Homeo K ) =/= (/) ) $=
    ( chmph chmeo ctop cxp df-hmph hmeofn brwitnlem ) ABCDEEFGHI $.

  $( If there is a homeomorphism between spaces, then the spaces are
     homeomorphic.  (Contributed by Mario Carneiro, 23-Aug-2015.) $)
  hmphi $p |- ( F e. ( J Homeo K ) -> J ~= K ) $=
    ( chmeo co wcel c0 wne chmph wbr ne0i hmph sylibr ) ABCDEZFNGHBCIJNAKBCLM
    $.

  $( Reverse closure for the homeomorphic predicate.  (Contributed by Mario
     Carneiro, 22-Aug-2015.) $)
  hmphtop $p |- ( J ~= K -> ( J e. Top /\ K e. Top ) ) $=
    ( ctop chmph chmeo ccnv cvv c1o cdif cima cxp df-hmph cdm cnvimass wfn wceq
    hmeofn fndm ax-mp sseqtri eqsstri brel ) ABCCDDEFGHIZJZCCKZLUDEMZUEEUCNEUEO
    UFUEPQUEERSTUAUB $.

  $( The relation "being homeomorphic to" implies the operands are topologies.
     (Contributed by FL, 23-Mar-2007.)  (Revised by Mario Carneiro,
     23-Aug-2015.) $)
  hmphtop1 $p |- ( J ~= K -> J e. Top ) $=
    ( chmph wbr ctop wcel hmphtop simpld ) ABCDAEFBEFABGH $.

  $( The relation "being homeomorphic to" implies the operands are topologies.
     (Contributed by FL, 23-Mar-2007.)  (Revised by Mario Carneiro,
     23-Aug-2015.) $)
  hmphtop2 $p |- ( J ~= K -> K e. Top ) $=
    ( chmph wbr ctop wcel hmphtop simprd ) ABCDAEFBEFABGH $.

  $( "Is homeomorphic to" is reflexive.  (Contributed by FL, 25-Feb-2007.)
     (Proof shortened by Mario Carneiro, 23-Aug-2015.) $)
  hmphref $p |- ( J e. Top -> J ~= J ) $=
    ( ctop wcel cid cuni cres chmeo chmph wbr ctopon cfv toptopon2 idhmeo sylbi
    co hmphi syl ) ABCZDAEZFZAAGOCZAAHIRASJKCUAALASMNTAAPQ $.

  ${
    $d x y z $.  $d f g x J $.  $d f g x K $.  $d f g L $.
    $( "Is homeomorphic to" is symmetric.  (Contributed by FL, 8-Mar-2007.)
       (Proof shortened by Mario Carneiro, 30-May-2014.) $)
    hmphsym $p |- ( J ~= K -> K ~= J ) $=
      ( vf chmph wbr cv chmeo co wcel wex c0 wne hmph n0 bitri ccnv hmeocnv syl
      hmphi exlimiv sylbi ) ABDEZCFZABGHZIZCJZBADEZUBUDKLUFABMCUDNOUEUGCUEUCPZB
      AGHIUGUCABQUHBASRTUA $.

    $( "Is homeomorphic to" is transitive.  (Contributed by FL, 9-Mar-2007.)
       (Revised by Mario Carneiro, 23-Aug-2015.) $)
    hmphtr $p |- ( ( J ~= K /\ K ~= L ) -> J ~= L ) $=
      ( vf vg chmph wbr chmeo co c0 wne hmph cv wcel wex n0 wa exdistrv syl2anb
      ccom hmeoco hmphi syl exlimivv sylbir ) ABFGABHIZJKZBCHIZJKZACFGZBCFGABLB
      CLUGDMZUFNZDOZEMZUHNZEOZUJUIDUFPEUHPUMUPQULUOQZEODOUJULUODERUQUJDEUQUNUKT
      ZACHINUJUKUNABCUAURACUBUCUDUESS $.

    $( "Is homeomorphic to" is an equivalence relation.  (Contributed by FL,
       22-Mar-2007.)  (Revised by Mario Carneiro, 23-Aug-2015.) $)
    hmpher $p |- ~= Er Top $=
      ( vx vy ctop chmph cxp wss wrel chmeo ccnv cvv cdif cima df-hmph cnvimass
      vz c1o cdm hmeofn fndmi cv sseqtri eqsstri relxp relss mp2 hmphsym hmphtr
      wcel wbr hmphref hmphtop1 impbii iseri ) ABOCDDCCEZFUNGDGDHIJPKZLZUNMUPHQ
      UNHUONUNHRSUAUBCCUCDUNUDUEATZBTZUFUQUROTUGUQCUHUQUQDUIUQUJUQUQUKULUM $.

    $( Homeomorphisms preserve the cardinality of the topologies.  (Contributed
       by FL, 1-Jun-2008.)  (Revised by Mario Carneiro, 10-Sep-2015.) $)
    hmphen $p |- ( J ~= K -> J ~~ K ) $=
      ( vf vx chmph wbr chmeo co c0 wne cen hmph cv wcel wex n0 ctop cima sylbi
      syl cmpt wf1o ccn hmeocn cntop1 cntop2 hmeoimaf1o f1oen2g syl3anc exlimiv
      eqid ) ABEFABGHZIJZABKFZABLUMCMZULNZCOUNCULPUPUNCUPAQNZBQNZABDAUODMRUAZUB
      UNUPUOABUCHNZUQUOABUDZUOABUETUPUTURVAUOABUFTDUOUSABUSUKUGABUSQQUHUIUJSS
      $.
  $}

  $( "Is homeomorphic to" is symmetric.  (Contributed by FL, 22-Feb-2007.) $)
  hmphsymb $p |- ( J ~= K <-> K ~= J ) $=
    ( chmph wbr hmphsym impbii ) ABCDBACDABEBAEF $.

  ${
    $d f A $.  $d f J $.  $d f K $.
    haushmphlem.1 $e |- ( J e. A -> J e. Top ) $.
    haushmphlem.2 $e |- ( ( J e. A /\
      f : U. K -1-1-> U. J /\ f e. ( K Cn J ) ) -> K e. A ) $.
    $( Lemma for ~ haushmph and similar theorems.  If the topological property
       ` A ` is preserved under injective preimages, then property ` A ` is
       preserved under homeomorphisms.  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    haushmphlem $p |- ( J ~= K -> ( J e. A -> K e. A ) ) $=
      ( chmph wbr wcel wi hmphsym chmeo co c0 wne cuni eqid adantl syl sylbi cv
      hmph wex n0 wa wf1 simpl wf1o hmeof1o f1of1 hmeocn syl3anc expcom exlimiv
      ccn ) CDGHDCGHZCAIZDAIZJZCDKUPDCLMZNOZUSDCUBVABUAZUTIZBUCUSBUTUDVCUSBUQVC
      URUQVCUEZUQDPZCPZVBUFZVBDCUOMIZURUQVCUGVDVEVFVBUHZVGVCVIUQVBDCVEVFVEQVFQU
      IRVEVFVBUJSVCVHUQVBDCUKRFULUMUNTTS $.
  $}

  ${
    $d f w x y J $.  $d f w x y z K $.
    $( Compactness is a topological property-that is, for any two homeomorphic
       topologies, either both are compact or neither is.  (Contributed by Jeff
       Hankins, 30-Jun-2009.)  (Revised by Mario Carneiro, 23-Aug-2015.) $)
    cmphmph $p |- ( J ~= K -> ( J e. Comp -> K e. Comp ) ) $=
      ( vf chmph wbr chmeo co c0 wne ccmp wcel wi hmph cv wex n0 cuni wfo sylbi
      eqid ccn wf1o hmeof1o f1ofo syl hmeocn cncmp 3expb expcom syl2anc exlimiv
      wa ) ABDEABFGZHIZAJKZBJKZLZABMUNCNZUMKZCOUQCUMPUSUQCUSAQZBQZURRZURABUAGKZ
      UQUSUTVAURUBVBURABUTVAUTTVATZUCUTVAURUDUEURABUFUOVBVCULUPUOVBVCUPURABUTVA
      VDUGUHUIUJUKSS $.

    $( Connectedness is a topological property.  (Contributed by Jeff Hankins,
       3-Jul-2009.) $)
    connhmph $p |- ( J ~= K -> ( J e. Conn -> K e. Conn ) ) $=
      ( vf chmph wbr chmeo co c0 wne cconn wcel wi hmph cv wex n0 cuni wfo eqid
      sylbi ccn hmeof1o f1ofo syl hmeocn wa cnconn 3expb expcom syl2anc exlimiv
      wf1o ) ABDEABFGZHIZAJKZBJKZLZABMUNCNZUMKZCOUQCUMPUSUQCUSAQZBQZURRZURABUAG
      KZUQUSUTVAURULVBURABUTVAUTSVASZUBUTVAURUCUDURABUEUOVBVCUFUPUOVBVCUPURABUT
      VAVDUGUHUIUJUKTT $.

    $( T_0 is a topological property.  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    t0hmph $p |- ( J ~= K -> ( J e. Kol2 -> K e. Kol2 ) ) $=
      ( vf ct0 t0top cv cuni cnt0 haushmphlem ) DCABAECFBABGAGHI $.

    $( T_1 is a topological property.  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    t1hmph $p |- ( J ~= K -> ( J e. Fre -> K e. Fre ) ) $=
      ( vf ct1 t1top cv cuni cnt1 haushmphlem ) DCABAECFBABGAGHI $.

    $( Hausdorff-ness is a topological property.  (Contributed by Mario
       Carneiro, 25-Aug-2015.) $)
    haushmph $p |- ( J ~= K -> ( J e. Haus -> K e. Haus ) ) $=
      ( vf cha haustop cv cuni cnhaus haushmphlem ) DCABAECFBABGAGHI $.

    $( Regularity is a topological property.  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    reghmph $p |- ( J ~= K -> ( J e. Reg -> K e. Reg ) ) $=
      ( vf vy vz vx vw co creg wcel cv wa ctop cfv wss cima adantr syl2anc wceq
      syl chmph wbr chmeo c0 wne wi hmph wex n0 ccl wrex wral ccn hmeocn adantl
      cntop2 ccnv simpll simprl cnima cuni wfn wf1o eqid hmeof1o ad2antlr f1ofn
      f1ocnv 3syl elssuni ad2antrl simprr fnfvima syl3anc regsep simpllr sseldd
      hmeoima simprrl elpreima mpbir2and imacnvcnv eleqtrdi hmeocls simprrr cdm
      wb wfun f1ofun regtop clsss3 f1odm sseqtrrd funimass3 eqsstrd eleq2 fveq2
      mpbird sseq1d anbi12d rspcev syl12anc rexlimddv ralrimivva isreg sylanbrc
      expcom exlimiv sylbi ) ABUAUBABUCHZUDUEZAIJZBIJZUFZABUGXKCKZXJJZCUHXNCXJU
      IXPXNCXLXPXMXLXPLZBMJZDKZEKZJZXTBUJNZNZFKZOZLZEBUKZDYDULFBULXMXQXOABUMHJZ
      XRXPYHXLXOABUNUOZXOABUPTXQYGFDBYDXQYDBJZXSYDJZLZLZXSXOUQZNZGKZJZYPAUJNNZY
      NYDPZOZLZYGGAYMXLYSAJZYOYSJZUUAGAUKXLXPYLURZYMYHYJUUBXQYHYLYIQXQYJYKUSYDX
      OABUTRYMYNBVAZVBZYDUUEOZYKUUCYMAVAZUUEXOVCZUUEUUHYNVCUUFXPUUIXLYLXOABUUHU
      UEUUHVDZUUEVDVEVFZUUHUUEXOVHUUEUUHYNVGVIZYJUUGXQYKYDBVJVKZXQYJYKVLZUUEYDY
      NXSVMVNGYOYSAVOVNYMYPAJZUUALZLZXOYPPZBJZXSUURJZUURYBNZYDOZYGUUQXPUUOUUSXL
      XPYLUUPVPZYMUUOUUAUSYPXOABVRRUUQXSYNUQYPPZUURUUQXSUVDJZXSUUEJZYQYMUVFUUPY
      MYDUUEXSUUMUUNVQQYMUUOYQYTVSUUQUUFUVEUVFYQLWGYMUUFUUPUULQUUEXSYPYNVTTWAXO
      YPWBWCUUQUVAXOYRPZYDUUQXPYPUUHOZUVAUVGSUVCUUOUVHYMUUAYPAVJVKZYPXOABUUHUUJ
      WDRUUQUVGYDOZYTYMUUOYQYTWEUUQXOWHZYRXOWFZOUVJYTWGUUQUUIUVKYMUUIUUPUUKQZUU
      HUUEXOWITUUQYRUUHUVLUUQAMJZUVHYRUUHOUUQXLUVNYMXLUUPUUDQAWJTUVIYPAUUHUUJWK
      RUUQUUIUVLUUHSUVMUUHUUEXOWLTWMYRYDXOWNRWRWOYFUUTUVBLEUURBXTUURSZYAUUTYEUV
      BXTUURXSWPUVOYCUVAYDXTUURYBWQWSWTXAXBXCXDFDEBXEXFXGXHXIXI $.

    $( Normality is a topological property.  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    nrmhmph $p |- ( J ~= K -> ( J e. Nrm -> K e. Nrm ) ) $=
      ( vf vy vz vx vw co cnrm wcel wi cv wa ctop wss cfv syl cima syl2anc wceq
      chmph wbr chmeo wne hmph wex ccl wrex ccld cpw cin wral ccn hmeocn adantl
      c0 n0 cntop2 ccnv simpll adantr simprl cnima simprr elin1d cnclima elin2d
      elpwid imass2 nrmsep3 syl13anc simpllr hmeoima simprrl wfun crn cuni wf1o
      eqid hmeof1o f1ofun cldss wfo f1ofo forn 3syl sseqtrrd funimass1 ad2antrl
      elssuni hmeocls simprrr wb nrmtop ad3antrrr clsss3 f1odm funimass3 mpbird
      mpd cdm eqsstrd sseq2 sseq1d anbi12d rspcev syl12anc rexlimddv ralrimivva
      fveq2 isnrm sylanbrc expcom exlimiv sylbi ) ABUAUBABUCHZUPUDZAIJZBIJZKZAB
      UEXQCLZXPJZCUFXTCXPUQYBXTCXRYBXSXRYBMZBNJZDLZELZOZYFBUGPZPZFLZOZMZEBUHZDB
      UIPZYJUJZUKZULFBULXSYCYAABUMHJZYDYBYQXRYAABUNUOZYAABURQYCYMFDBYPYCYJBJZYE
      YPJZMZMZYAUSZYERZGLZOZUUEAUGPPZUUCYJRZOZMZYMGAUUBXRUUHAJZUUDAUIPJZUUDUUHO
      ZUUJGAUHXRYBUUAUTUUBYQYSUUKYCYQUUAYRVAZYCYSYTVBYJYAABVCSUUBYQYEYNJZUULUUN
      UUBYNYOYEYCYSYTVDZVEZYEYAABVFSUUBYEYJOUUMUUBYEYJUUBYNYOYEUUPVGVHYEYJUUCVI
      QGUUHUUDAVJVKUUBUUEAJZUUJMZMZYAUUERZBJZYEUVAOZUVAYHPZYJOZYMUUTYBUURUVBXRY
      BUUAUUSVLZUUBUURUUJVBUUEYAABVMSUUTUUFUVCUUBUURUUFUUIVNUUTYAVOZYEYAVPZOUUF
      UVCKUUTAVQZBVQZYAVRZUVGUUTYBUVKUVFYAABUVIUVJUVIVSZUVJVSZVTQZUVIUVJYAWAQZU
      UTYEUVJUVHUUTUUOYEUVJOUUBUUOUUSUUQVAYEBUVJUVMWBQUUTUVKUVIUVJYAWCUVHUVJTUV
      NUVIUVJYAWDUVIUVJYAWEWFWGYEUUEYAWHSWTUUTUVDYAUUGRZYJUUTYBUUEUVIOZUVDUVPTU
      VFUURUVQUUBUUJUUEAWJWIZUUEYAABUVIUVLWKSUUTUVPYJOZUUIUUBUURUUFUUIWLUUTUVGU
      UGYAXAZOUVSUUIWMUVOUUTUUGUVIUVTUUTANJZUVQUUGUVIOXRUWAYBUUAUUSAWNWOUVRUUEA
      UVIUVLWPSUUTUVKUVTUVITUVNUVIUVJYAWQQWGUUGYJYAWRSWSXBYLUVCUVEMEUVABYFUVATZ
      YGUVCYKUVEYFUVAYEXCUWBYIUVDYJYFUVAYHXJXDXEXFXGXHXIFDEBXKXLXMXNXOXO $.
  $}

  $( A topology homeomorphic to the empty set is empty.  (Contributed by FL,
     18-Aug-2008.)  (Revised by Mario Carneiro, 10-Sep-2015.) $)
  hmph0 $p |- ( J ~= { (/) } <-> J = { (/) } ) $=
    ( c0 csn chmph wbr wceq c1o cen hmphen df1o2 breqtrrdi ctop hmphtop1 en1top
    wcel wb syl mpbid id sn0top hmphref ax-mp eqbrtrdi impbii ) ABCZDEZAUEFZUFA
    GHEZUGUFAUEGHAUEIJKUFALOUHUGPAUEMANQRUGAUEUEDUGSUELOUEUEDETUEUAUBUCUD $.

  ${
    $d f x A $.  $d f x J $.  $d f x X $.
    hmphdis.1 $e |- X = U. J $.
    $( Homeomorphisms preserve topological discreteness.  (Contributed by Mario
       Carneiro, 10-Sep-2015.) $)
    hmphdis $p |- ( J ~= ~P A -> J = ~P X ) $=
      ( vf vx cpw chmph wbr wss cuni pwuni pweqi sseqtrri a1i chmeo co cv sylbi
      wcel c0 wne hmph wex n0 elpwi wa cima crn imassrn wf unipw eqcomi hmeof1o
      wf1o f1of frn 3syl adantr sstrid imaex elpw sylibr hmeoopn mpbird ex syl5
      vex ssrdv exlimiv eqssd ) BAGZHIZBCGZBVNJVMBBKZGVNBLCVODMNOVMBVLPQZUAUBZV
      NBJZBVLUCVQERZVPTZEUDVREVPUEVTVREVTFVNBFRZVNTWACJZVTWABTZWACUFVTWBWCVTWBU
      GZWCVSWAUHZVLTZWDWEAJWFWDWEVSUIZAVSWAUJVTWGAJZWBVTCAVSUOCAVSUKWHVSBVLCADV
      LKAAULUMUNCAVSUPCAVSUQURUSUTWEAVSWAEVHVAVBVCWAVSBVLCDVDVEVFVGVIVJSSVK $.

    $( Homeomorphisms preserve topological indiscreteness.  (Contributed by FL,
       18-Aug-2008.)  (Revised by Mario Carneiro, 10-Sep-2015.) $)
    hmphindis $p |- ( J ~= { (/) , A } -> J = { (/) , X } ) $=
      ( c0 cpr chmph wbr wceq cid cfv wa sylib cuni 0ex wne c2o cen cvv wcel wb
      csn dfsn2 indislem preq2 eqtr4di eqtr3id breq2d hmph0 unieqd unisn eqcomi
      biimpac 3eqtr4g preq2d 3eqtr4a hmphen necom pr2nelem mp3an12 sylbi adantl
      fvex eqbrtrrid entr syl2an2r ctopon hmphtop1 adantr toptopon en2top mpbid
      ctop syl simpld pm2.61dane ) BEAFZGHZBECFZIZAJKZEVRWAEIZLZEUBZEEFZBVSEUCZ
      WCBWDGHZBWDIWBVRWGWBVQWDBGWBVQEWAFZWDAUDZWBWHWEWDWAEEUEWFUFUGUHUMBUIMZWCC
      EEWCBNWDNZCEWCBWDWJUJDWKEEOUKULUNUOUPVRWAEPZLZVTCEPZWMBQRHZVTWNLZVRBVQRHW
      LVQQRHWOBVQUQWMVQWHQRWIWLWHQRHZVRWLEWAPZWQWAEURESTWASTWRWQOAJVCEWASSUSUTV
      AVBVDBVQQVEVFWMBCVGKTZWOWPUAWMBVMTZWSVRWTWLBVQVHVIBCDVJMBCVKVNVLVOVP $.
  $}

  ${
    $d A f $.  $d B f $.
    $( Equinumerous sets equipped with their indiscrete topologies are
       homeomorphic (which means in that particular case that a segment is
       homeomorphic to a circle contrary to what Wikipedia claims).
       (Contributed by FL, 17-Aug-2008.)  (Proof shortened by Mario Carneiro,
       10-Sep-2015.) $)
    indishmph $p |- ( A ~~ B -> { (/) , A } ~= { (/) , B } ) $=
      ( vf wbr wf1o c0 cpr wcel ccn cmap f1of cvv elmapd mpbird ctopon cfv wceq
      co wf syl cen wex chmph bren chmeo ccnv wfo cdm f1odm vex eqeltrrdi f1ofo
      cv dmex fornex indistopon cnindis syl2anc eleqtrrd f1ocnv ishmeo sylanbrc
      sylc hmphi exlimiv sylbi ) ABUADABCUMZEZCUBFAGZFBGZUCDZABCUDVHVKCVHVGVIVJ
      UERHZVKVHVGVIVJIRZHVGUFZVJVIIRZHVLVHVGBAJRZVMVHVGVPHABVGSABVGKVHBAVGLLVHA
      LHZABVGUGBLHZVHAVGUHLABVGUIVGCUJUNUKZABVGULABLVGUOVCZVSMNVHVIAOPHZVRVMVPQ
      VHVQWAVSALUPTVTBVILAUQURUSVHVNABJRZVOVHVNWBHBAVNSZVHBAVNEWCABVGUTBAVNKTVH
      ABVNLLVSVTMNVHVJBOPHZVQVOWBQVHVRWDVTBLUPTVSAVJLBUQURUSVGVIVJVAVBVGVIVJVDT
      VEVF $.
  $}

  ${
    $d x F $.  $d f x J $.  $d f x K $.  $d f x X $.  $d f x Y $.
    cmphaushmeo.1 $e |- X = U. J $.
    cmphaushmeo.2 $e |- Y = U. K $.
    $( Homeomorphisms preserve the cardinality of the underlying sets.
       (Contributed by FL, 17-Aug-2008.)  (Revised by Mario Carneiro,
       10-Sep-2015.) $)
    hmphen2 $p |- ( J ~= K -> X ~~ Y ) $=
      ( vf chmph wbr chmeo co c0 wne cen hmph cv wcel wex n0 sylbi wf1o hmeof1o
      f1oen3g mpdan exlimiv ) ABHIABJKZLMZCDNIZABOUGGPZUFQZGRUHGUFSUJUHGUJCDUIU
      AUHUIABCDEFUBCDUIUFUCUDUETT $.

    $( A continuous bijection from a compact space to a Hausdorff space is a
       homeomorphism.  (Contributed by Mario Carneiro, 17-Feb-2015.) $)
    cmphaushmeo $p |- ( ( J e. Comp /\ K e. Haus /\ F e. ( J Cn K ) ) ->
      ( F e. ( J Homeo K ) <-> F : X -1-1-onto-> Y ) ) $=
      ( vx ccmp wcel ccn co wf1o ccnv wa cima cfv syl sylib syl2anc cha hmeof1o
      w3a chmeo wf cv ccld wral wi f1ocnv f1of wrel wceq f1orel ad2antll dfrel2
      a1i imaeq1d wss crest simp2 adantr crn imassrn f1ofo forn sseqtrid simpl3
      wfo simp1 simprl cmpcld imacmp hauscmp syl3anc expr ralrimdva jcad ctopon
      eqeltrd ctop haustop toptopon cmptop iscncl sylibrd jctild ishmeo syl6ibr
      wb simp3 impbid2 ) BIJZCUAJZABCKLJZUCZABCUDLJZDEAMZABCDEFGUBWPWRWOANZCBKL
      JZOWQWPWRWTWOWPWREDWSUEZWSNZHUFZPZCUGQZJZHBUGQZUHZOZWTWPWRXAXHWRXAUIWPWRE
      DWSMXADEAUJEDWSUKRUQWPWRXFHXGWPXCXGJZWRXFWPXJWROZOZXDAXCPZXEXLXBAXCXLAULZ
      XBAUMWRXNWPXJDEAUNUOAUPSURXLWNXMEUSCXMUTLIJZXMXEJWPWNXKWMWNWOVAZVBXLAVCZX
      MEAXCVDXLDEAVIZXQEUMWRXRWPXJDEAVEUODEAVFRVGXLWOBXCUTLIJZXOWMWNWOXKVHXLWMX
      JXSWPWMXKWMWNWOVJZVBWPXJWRVKXCBVLTXCABCVMTXMCEGVNVOVTVPVQVRWPCEVSQJZBDVSQ
      JZWTXIWJWPCWAJZYAWPWNYCXPCWBRCEGWCSWPBWAJZYBWPWMYDXTBWDRBDFWCSHWSCBEDWETW
      FWMWNWOWKWGABCWHWIWL $.
  $}

  ${
    $d x y z F $.  $d x z R $.  $d x y z S $.  $d x z V $.  $d x y z Y $.
    $d x z W $.  $d x z X $.
    ordthmeo.1 $e |- X = dom R $.
    ordthmeo.2 $e |- Y = dom S $.
    $( Lemma for ~ ordthmeo .  (Contributed by Mario Carneiro, 9-Sep-2015.) $)
    ordthmeolem $p |- ( ( R e. V /\ S e. W /\ F Isom R , S ( X , Y ) ) ->
      F e. ( ( ordTop ` R ) Cn ( ordTop ` S ) ) ) $=
      ( vz vx vy wcel cfv wbr wral syl wceq wb cvv wiso w3a cordt co wf ccnv cv
      ccn cima csn wn crab cmpt crn wf1o isof1o 3ad2ant3 f1of fimacnv ordttopon
      ctopon 3ad2ant1 toponmax eqeltrd elsni imaeq2d eleq1d syl5ibrcom ralrimiv
      cun cin wss cdm cnvimass f1odm adantr sseqtrid sseqin2 sylib wfn ad2antrr
      f1ofn elpreima simpr biantrurd ffvelrnda breq1 notbid elrab3 simpll3 3syl
      wa f1ocnv isorel syl12anc f1ocnvfv2 sylan breq2d bitr4d 3bitr2d rabbi2dva
      bitrd eqtr3d ordtopn1 syl2anc ralrimiva dmexg eqeltrid 3ad2ant2 ralrimivw
      simpl1 rabexg eqid imaeq2 ralrnmptw mpbird breq2 breq1d ordtopn2 sylanbrc
      ralunb cuni ordtuni eqeltrrd uniexb sylibr cfi ordtval subbascn mpbir2and
      ctg ) ADMZBEMZFGABCUAZUBZCAUCNZBUCNZUHUDMFGCUEZCUFZJUGZUIZYPMZJGUJZKGLUGZ
      KUGZBOZUKZLGULZUMZUNZKGUUEUUDBOZUKZLGULZUMZUNZVJZVJZPZYOFGCUOZYRYNYLUUSYM
      FGABCUPUQZFGCURQZYOUUBJUUCPUUBJUUPPZUURYOUUBJUUCYOUUBYTUUCMZYSGUIZYPMYOUV
      DFYPYOYRUVDFRUVAFGCUSQYOYPFVANMZFYPMYLYMUVEYNADFHUTVBZFYPVCQVDUVCUUAUVDYP
      UVCYTGYSYTGVEVFVGVHVIYOUUBJUUJPZUUBJUUOPZUVBYOUVGYSUUHUIZYPMZKGPZYOUVJKGY
      OUUEGMZWLZUVIYTUUEYSNZAOZUKZJFULZYPUVMFUVIVKZUVIUVQUVMUVIFVLUVRUVIRUVMCVM
      ZUVIFCUUHVNYOUVSFRZUVLYOUUSUVTUUTFGCVOQVPZVQUVIFVRVSUVMUVPJFUVIUVMYTFMZWL
      ZYTUVIMZUWBYTCNZUUHMZWLZUWFUVPUWCCFVTZUWDUWGSUWCUUSUWHYOUUSUVLUWBUUTWAFGC
      WBQZFYTUUHCWCQUWCUWBUWFUVMUWBWDZWEUWCUWFUWEUUEBOZUKZUVPUWCUWEGMZUWFUWLSUV
      MFGYTCYOYRUVLUVAVPWFZUUGUWLLUWEGUUDUWERZUUFUWKUUDUWEUUEBWGWHWIQUWCUVOUWKU
      WCUVOUWEUVNCNZBOZUWKUWCYNUWBUVNFMZUVOUWQSYLYMYNUVLUWBWJZUWJUVMUWRUWBYOGFU
      UEYSYOUUSGFYSUOGFYSUEUUTFGCWMGFYSURWKWFZVPZFGYTUVNABCWNWOUWCUWPUUEUWEBUVM
      UWPUUERZUWBYOUUSUVLUXBUUTFGUUECWPWQVPZWRXBWHWSWTXAXCUVMYLUWRUVQYPMYLYMYNU
      VLXKZUWTJUVNADFHXDXEVDXFYOUUHTMZKGPUVGUVKSYOUXEKGYOGTMZUXEYMYLUXFYNYMGBVM
      TIBEXGXHZXIZUUGLGTXLQXJUUBUVJKJGUUHUUITUUIXMYTUUHRUUAUVIYPYTUUHYSXNVGXOQX
      PYOUVHYSUUMUIZYPMZKGPZYOUXJKGUVMUXIUVNYTAOZUKZJFULZYPUVMFUXIVKZUXIUXNUVMU
      XIFVLUXOUXIRUVMUVSUXIFCUUMVNUWAVQUXIFVRVSUVMUXMJFUXIUWCYTUXIMZUWBUWEUUMMZ
      WLZUXQUXMUWCUWHUXPUXRSUWIFYTUUMCWCQUWCUWBUXQUWJWEUWCUXQUUEUWEBOZUKZUXMUWC
      UWMUXQUXTSUWNUULUXTLUWEGUWOUUKUXSUUDUWEUUEBXQWHWIQUWCUXLUXSUWCUXLUWPUWEBO
      ZUXSUWCYNUWRUWBUXLUYASUWSUXAUWJFGUVNYTABCWNWOUWCUWPUUEUWEBUXCXRXBWHWSWTXA
      XCUVMYLUWRUXNYPMUXDUWTJUVNADFHXSXEVDXFYOUUMTMZKGPUVHUXKSYOUYBKGYOUXFUYBUX
      HUULLGTXLQXJUUBUXJKJGUUMUUNTUUNXMYTUUMRUUAUXIYPYTUUMYSXNVGXOQXPUUBJUUJUUO
      YAXTUUBJUUCUUPYAXTYOJUUQCYPYQTFGUVFYMYLUUQTMZYNYMUUQYBZTMUYCYMGUYDTKLUUJU
      UOBEGIUUJXMZUUOXMZYCUXGYDUUQYEYFXIYMYLYQUUQYGNYKNRYNKLUUJUUOBEGIUYEUYFYHX
      IYMYLYQGVANMYNBEGIUTXIYIYJ $.

    $( An order isomorphism is a homeomorphism on the respective order
       topologies.  (Contributed by Mario Carneiro, 9-Sep-2015.) $)
    ordthmeo $p |- ( ( R e. V /\ S e. W /\ F Isom R , S ( X , Y ) ) ->
      F e. ( ( ordTop ` R ) Homeo ( ordTop ` S ) ) ) $=
      ( wcel wiso w3a cordt cfv ccn co ccnv chmeo ordthmeolem isocnv sylanbrc
      3com12 syl3an3 ishmeo ) ADJZBEJZFGABCKZLCAMNZBMNZOPJCQZUIUHOPJZCUHUIRPJAB
      CDEFGHISUGUEUFGFBAUJKZUKFGABCTUFUEULUKBAUJEDGFIHSUBUCCUHUIUDUA $.
  $}

  ${
    $d u v w x y z F $.  $d w x y z J $.  $d w x y z K $.  $d u v w x y z ph $.
    $d u v w x y z G $.  $d u v w x y z L $.  $d u v x y X $.  $d u v x y Y $.
    $d u v w x y z M $.
    txhmeo.1 $e |- X = U. J $.
    txhmeo.2 $e |- Y = U. K $.
    txhmeo.3 $e |- ( ph -> F e. ( J Homeo L ) ) $.
    txhmeo.4 $e |- ( ph -> G e. ( K Homeo M ) ) $.
    $( Lift a pair of homeomorphisms on the factors to a homeomorphism of
       product topologies.  (Contributed by Mario Carneiro, 2-Sep-2015.) $)
    txhmeo $p |- ( ph -> ( x e. X , y e. Y |-> <. ( F ` x ) , ( G ` y ) >. ) e.
                         ( ( J tX K ) Homeo ( L tX M ) ) ) $=
      ( cfv co wcel syl wceq vz vw vv vu cv cop cmpo ctx ccnv chmeo ctop ctopon
      hmeocn cntop1 toptopon sylib cnmpt1st cnmpt21f cnmpt2nd cnmpt2t cuni c1st
      ccn cxp c2nd cmpt wf1o op1std fveq2d op2ndd opeq12d mpompt eqcomi wa eqid
      vex wf cnf xp1st ffvelrn syl2an xp2nd opelxpd hmeof1o f1ocnv f1of 3syl wb
      adantr ad2antrl ad2antll f1ocnvfvb syl3anc eqcom 3bitr4g anbi12d 3bitr4rd
      eqop f1ocnv2d simprd eqtrdi cntop2 hmeocnvcn eqeltrd ishmeo sylanbrc ) AB
      CJKBUEZDPZCUEZEPZUFZUGZFGUHQZHIUHQZVCQRXLUIZXNXMVCQZRXLXMXNUJQRABCXHXJFGH
      IJKAFUKRZFJULPRADFHVCQRZXQADFHUJQRZXRNDFHUMSZDFHUNSFJLUOUPZAGUKRZGKULPRAE
      GIVCQRZYBAEGIUJQRZYCOEGIUMSZEGIUNSGKMUOUPZABCXGDFGFHJKYAYFABCFGJKYAYFUQXT
      URABCXIEFGGIJKYAYFABCFGJKYAYFUSYEURUTAXOUAUBHVAZIVAZUAUEZDUIZPZUBUEZEUIZP
      ZUFZUGZXPAXOUCYGYHVDZUCUEZVBPZYJPZYRVEPZYMPZUFZVFZYPAJKVDZYQXLVGXOUUDTAUD
      UCUUEYQUDUEZVBPZDPZUUFVEPZEPZUFZUUCXLUDUUEUUKVFXLBCUDJKUUKXKUUFXGXIUFTZUU
      HXHUUJXJUULUUGXGDXGXIUUFBVPZCVPZVHVIUULUUIXIEXGXIUUFUUMUUNVJVIVKVLVMAUUFU
      UERZVNUUHUUJYGYHAJYGDVQZUUGJRZUUHYGRUUOAXRUUPXTDFHJYGLYGVOZVRSUUFJKVSZJYG
      UUGDVTWAAKYHEVQZUUIKRZUUJYHRUUOAYCUUTYEEGIKYHMYHVOZVRSUUFJKWBZKYHUUIEVTWA
      WCAYRYQRZVNYTUUBJKAYGJYJVQZYSYGRZYTJRUVDAJYGDVGZYGJYJVGUVEAXSUVGNDFHJYGLU
      URWDSZJYGDWEYGJYJWFWGYRYGYHVSZYGJYSYJVTWAAYHKYMVQZUUAYHRZUUBKRUVDAKYHEVGZ
      YHKYMVGUVJAYDUVLOEGIKYHMUVBWDSZKYHEWEYHKYMWFWGYRYGYHWBZYHKUUAYMVTWAWCAUUO
      UVDVNZVNZYSUUHTZUUAUUJTZVNZUUGYTTZUUIUUBTZVNZYRUUKTZUUFUUCTZUVPUVQUVTUVRU
      WAUVPUUHYSTZYTUUGTZUVQUVTUVPUVGUUQUVFUWEUWFWHAUVGUVOUVHWIUUOUUQAUVDUUSWJU
      VDUVFAUUOUVIWKJYGUUGYSDWLWMYSUUHWNUUGYTWNWOUVPUUJUUATZUUBUUITZUVRUWAUVPUV
      LUVAUVKUWGUWHWHAUVLUVOUVMWIUUOUVAAUVDUVCWJUVDUVKAUUOUVNWKKYHUUIUUAEWLWMUU
      AUUJWNUUIUUBWNWOWPUVDUWCUVSWHAUUOYRUUHUUJYGYHWRWKUUOUWDUWBWHAUVDUUFYTUUBJ
      KWRWJWQWSWTUAUBUCYGYHUUCYOYRYIYLUFTZYTYKUUBYNUWIYSYIYJYIYLYRUAVPZUBVPZVHV
      IUWIUUAYLYMYIYLYRUWJUWKVJVIVKVLXAAUAUBYKYNHIFGYGYHAHUKRZHYGULPRAXRUWLXTDF
      HXBSHYGUURUOUPZAIUKRZIYHULPRAYCUWNYEEGIXBSIYHUVBUOUPZAUAUBYIYJHIHFYGYHUWM
      UWOAUAUBHIYGYHUWMUWOUQAXSYJHFVCQRNDFHXCSURAUAUBYLYMHIIGYGYHUWMUWOAUAUBHIY
      GYHUWMUWOUSAYDYMIGVCQROEGIXCSURUTXDXLXMXNXEXF $.
  $}

  ${
    $d x y J $.  $d x y K $.  $d x y z X $.  $d x y z Y $.
    $( Show inverse for the "swap components" operation on a Cartesian product.
       (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    txswaphmeolem $p |- ( ( y e. Y , x e. X |-> <. x , y >. ) o.
        ( x e. X , y e. Y |-> <. y , x >. ) ) = ( _I |` ( X X. Y ) ) $=
      ( vz cxp cmpt cop cmpo cid cres ccom wceq mpompt wtru csn ccnv cuni wcel
      cv id mptresid wa opelxpi ancoms adantl eqidd cnveqd unieqd opswap eqtrdi
      sneq eqcomi a1i fmpoco mptru 3eqtr4ri ) ECDFZETZGABCDATZBTZHZIZJURKBADCVB
      IZABCDVAUTHZIZLZABECDUSVBUSVBMUANEURUBVGVCMOABECDDCFZVEUSPZQZRZVBVFVDUTCS
      ZVADSZUCVEVHSZOVMVLVNVAUTDCUDUEUFOVFUGVDEVHVKGZMOVOVDBAEDCVKVBUSVEMZVKVEP
      ZQZRVBVPVJVRVPVIVQUSVEULUHUIVAUTUJUKZNUMUNVSUOUPUQ $.

    $( There is a homeomorphism from ` X X. Y ` to ` Y X. X ` .  (Contributed
       by Mario Carneiro, 21-Mar-2015.) $)
    txswaphmeo $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) ) ->
    ( x e. X , y e. Y |-> <. y , x >. ) e. ( ( J tX K ) Homeo ( K tX J ) ) ) $=
      ( ctopon cfv wcel wa cv cop cmpo ctx co ccn cnmpt2nd cnmpt1st wceq wral
      ccnv chmeo simpl simpr cnmpt2t cxp wf1o wf opelxpi ancoms ralrimivva eqid
      adantl fmpo sylib cid txswaphmeolem fcof1o mpanr12 syl2anc simprd eqeltrd
      ccom cres ishmeo sylanbrc ) CEGHIZDFGHIZJZABEFBKZAKZLZMZCDNOZDCNOZPOIVMUA
      ZVOVNPOZIVMVNVOUBOIVIABVJVKCDDCEFVGVHUCZVGVHUDZVIABCDEFVRVSQVIABCDEFVRVSR
      UEVIVPBAFEVKVJLZMZVQVIEFUFZFEUFZVMUGZVPWASZVIWBWCVMUHZWCWBWAUHZWDWEJZVIVL
      WCIZBFTAETWFVIWIABEFVKEIZVJFIZJWIVIWKWJWIVJVKFEUIUJUMUKABEFVLWCVMVMULUNUO
      VIVTWBIZAETBFTWGVIWLBAFEWKWJJWLVIWJWKWLVKVJEFUIUJUMUKBAFEVTWBWAWAULUNUOWF
      WGJVMWAVCUPWCVDSWAVMVCUPWBVDSWHBAFEUQABEFUQWBWCVMWAURUSUTVAVIBAVKVJDCCDFE
      VSVRVIBADCFEVSVRQVIBADCFEVSVRRUEVBVMVNVOVEVF $.
  $}

  ${
    $d k x y A $.  $d k x y J $.  $d x y K $.  $d k x y ph $.  $d k x y X $.
    pt1hmeo.j $e |- K = ( Xt_ ` { <. A , J >. } ) $.
    pt1hmeo.a $e |- ( ph -> A e. V ) $.
    pt1hmeo.r $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    $( The canonical homeomorphism from a topological product on a singleton to
       the topology of the factor.  (Contributed by Mario Carneiro,
       3-Feb-2015.)  (Proof shortened by AV, 18-Apr-2021.) $)
    pt1hmeo $p |- ( ph -> ( x e. X |-> { <. A , x >. } ) e. ( J Homeo K ) ) $=
      ( vk vy csn ccn co wcel wa wceq adantr cfv cv cop cmpt ccnv cxp fconstmpt
      chmeo sneq xpeq1d opeq1 eqeq12d vex xpsn vtoclg syl eqtr3id mpteq2dva cvv
      sneqd snex ctop ctopon topontop fsnd cnmptid elsni fveq2d fvsng sylan9eqr
      a1i syl2anc oveq2d eleqtrrd ptcn eqeltrrd cuni cmap simprr adantrr eqtr4d
      wf simprl fmpttd toponmax elmapg sylancl mpbird eqeltrd fveq1d eqtr2d jca
      mpbid snidg ffvelrnd fsn2g simprd opeq2d impbida mptcnv cpt eqcomd syl5eq
      wb xpsng eqid pttoponconst toponuni mpteq1d ptpjcn mp3an2i eleqtrd ishmeo
      eqtrd sylanbrc ) ABGCBUAZUBZMZUCZDENOZPXRUDZEDNOZPXRDEUGOPABGKCMZXOUCZUCX
      RXSABGYCXQAXOGPZQZYCYBXOMZUEZXQKYBXOUFYECFPZYGXQRZAYHYDISKUAZMZYFUEZYJXOU
      BZMZRYIKCFYJCRZYLYGYNXQYOYKYBYFYJCUHUIYOYMXPYJCXOUJUSUKYJXOKULBULUMUNUOUP
      ZUQABXOKCDUBMZYBDEURGHJYBURPZACUTZVJZACDFVAIADGVBTZPZDVAPJGDVCUOVDZAYJYBP
      ZQZBGXOUCZDDNOZDYJYQTZNOAUUFUUGPUUDABDGJVESUUEUUHDDNUUDAUUHCYQTZDUUDYJCYQ
      YJCVFVGAYHUUBUUIDRIJCDFUUAVHVKZVIVLVMVNVOAXTLEVPZCLUAZTZUCZYAAXTLGYBVQOZU
      UMUCUUNABLGXQUUOUUMAYDUULXQRZQZUULUUOPZXOUUMRZQZAUUQQZUURUUSUVAUULYCUUOUV
      AUULXQYCAYDUUPVRZAYDYCXQRUUPYPVSVTUVAYCUUOPZYBGYCWAZUVAKYBXOGUVAYDUUDAYDU
      UPWBZSWCUVAGDPZYRUVCUVDXCAUVFUUQAUUBUVFJGDWDUOZSYSGYBYCDURWEWFWGWHUVAUUMC
      XQTZXOUVACUULXQUVBWIUVAYHYDUVHXORAYHUUQISUVECXOFGVHVKWJWKAUUTQZYDUUPUVIXO
      UUMGAUURUUSVRZUVIYBGCUULUVIUURYBGUULWAZAUURUUSWBUVIUVFYRUURUVKXCAUVFUUTUV
      GSYSGYBUULDURWEWFWLZACYBPZUUTAYHUVMICFWMUOZSWNWHUVIUULCUUMUBZMZXQUVIUUMGP
      ZUULUVPRZUVIUVKUVQUVRQZUVLUVIYHUVKUVSXCAYHUUTISCGUULFWOUOWLWPUVIXPUVOUVIX
      OUUMCUVJWQUSVTWKWRWSALUUOUUKUUMAEUUOVBTZPUUOUUKRAEYBDMUEZWTTZUVTAEYQWTTUW
      BHAYQUWAWTAUWAYQAYHUUBUWAYQRIJCDFUUAXDVKXAVGXBAYRUUBUWBUVTPYTJYBDUWBURGUW
      BXEXFVKWHUUOEXGUOXHXMAUUNEUUINOZYAYRAYBVAYQWAUVMUUNUWCPYSUUCUVNLYBYQCEURU
      UKUUKXEHXIXJAUUIDENUUJVLXKWHXRDEXLXN $.
  $}

  ${
    $d f k n w x y z A $.  $d f k n w x y z B $.  $d z G $.  $d k w x y z ph $.
    $d k n x y z C $.  $d f k n x y z F $.  $d w x y z J $.  $d f k x y z K $.
    $d f k x y z L $.  $d k z V $.  $d f k w x y z X $.  $d f k w x y z Y $.
    ptunhmeo.x $e |- X = U. K $.
    ptunhmeo.y $e |- Y = U. L $.
    ptunhmeo.j $e |- J = ( Xt_ ` F ) $.
    ptunhmeo.k $e |- K = ( Xt_ ` ( F |` A ) ) $.
    ptunhmeo.l $e |- L = ( Xt_ ` ( F |` B ) ) $.
    ptunhmeo.g $e |- G = ( x e. X , y e. Y |-> ( x u. y ) ) $.
    ptunhmeo.c $e |- ( ph -> C e. V ) $.
    ptunhmeo.f $e |- ( ph -> F : C --> Top ) $.
    ptunhmeo.u $e |- ( ph -> C = ( A u. B ) ) $.
    ptunhmeo.i $e |- ( ph -> ( A i^i B ) = (/) ) $.
    $( Exhibit the converse function of the map ` G ` which joins two product
       topologies on disjoint index sets.  (Contributed by Mario Carneiro,
       8-Feb-2015.)  (Proof shortened by Mario Carneiro, 23-Aug-2015.) $)
    ptuncnv $p |- ( ph ->
      `' G = ( z e. U. J |-> <. ( z |` A ) , ( z |` B ) >. ) ) $=
      ( vw vk cxp cuni wf1o ccnv cv cres cop cmpt wceq c1st cfv c2nd cun op1std
      cmpo vex op2ndd uneq12d mpompt eqtr4i wcel wa cixp cdif wss adantl ixpeq2
      xp1st fvres unieqd mprg cvv ctop wf ssun1 sseqtrrid ssexd fssresd syl2anc
      ptuni eqtr3id eqtr4di adantr eleqtrrd xp2nd eqcomd cin c0 uneqdifeq mpbid
      wb ixpeq1d ssun2 eqtrd syl3anc eleqtrd eleq2d biimpar resixp opelxpd eqop
      undifixp ad2antrl wfn adantrl ixpfn fnresdm reseq2d eqtr3d resundi eqtrdi
      3syl uneq12 eqeq2d syl5ibrcom syl adantrr dffn2 sylib 3eqtr4a fresaunres1
      res0 fresaunres2 jca reseq1 anbi12d impbid bitrd f1ocnv2d simprd ) ANOUHZ
      JUIZIUJIUKDYSDULZEUMZYTFUMZUNZUOUPAUFDYRYSUFULZUQURZUUDUSURZUTZUUCIIBCNOB
      ULZCULZUTZVBUFYRUUGUOUABCUFNOUUGUUJUUDUUHUUIUNUPUUEUUHUUFUUIUUHUUIUUDBVCZ
      CVCZVAUUHUUIUUDUUKUULVDVEVFVGAUUDYRVHZVIZUUGUGGUGULZHURZUIZVJZYSUUNUUEUGE
      UUQVJZVHZUUFUGGEVKZUUQVJZVHEGVLZUUGUURVHUUNUUENUUSUUMUUENVHAUUDNOVOVMAUUS
      NUPZUUMAUUSKUIZNAUUSUGEUUOHEUMZURZUIZVJZUVEUVHUUQUPUVIUUSUPUGEUGEUVHUUQVN
      UUOEVHUVGUUPUUOEHVPVQVRAEVSVHEVTUVFWAUVIUVEUPAEGMUBAEFUTZEGEFWBUDWCZWDAGV
      TEHUCUVKWEUGEUVFKVSSWGWFWHPWIZWJWKZUUNUUFOUVBUUMUUFOVHAUUDNOWLVMZAUVBOUPU
      UMAUVBUGFUUQVJZOAUGUVAFUUQAUVJGUPZUVAFUPZAGUVJUDWMAUVCEFWNZWOUPZUVPUVQWRU
      VKUEEFGWPWFWQWSAUVOLUIZOAUVOUGFUUOHFUMZURZUIZVJZUVTUWCUUQUPUWDUVOUPUGFUGF
      UWCUUQVNUUOFVHUWBUUPUUOFHVPVQVRAFVSVHFVTUWAWAUWDUVTUPAFGMUBAUVJFGFEWTUDWC
      ZWDAGVTFHUCUWEWEUGFUWALVSTWGWFWHQWIZXAWJWKAUVCUUMUVKWJUGGEUUQUUEUUFXIXBAU
      URYSUPZUUMAGMVHGVTHWAUWGUBUCUGGHJMRWGWFZWJXCAYTYSVHZVIZUUAUUBNOUWJUUAUUSN
      UWJUVCYTUURVHZUUAUUSVHAUVCUWIUVKWJAUWKUWIAUURYSYTUWHXDXEZUGGEUUQYTXFWFAUV
      DUWIUVLWJXCUWJUUBUVOOUWJFGVLZUWKUUBUVOVHAUWMUWIUWEWJUWLUGGFUUQYTXFWFAUVOO
      UPZUWIUWFWJXCXGAUUMUWIVIZVIZUUDUUCUPZUUEUUAUPZUUFUUBUPZVIZYTUUGUPZUUMUWQU
      WTWRAUWIUUDUUAUUBNOXHXJUWPUWTUXAUWPUXAUWTYTUUAUUBUTZUPUWPYTYTUVJUMZUXBUWP
      YTGUMZYTUXCUWPUWKYTGXKUXDYTUPAUWIUWKUUMUWLXLUGGUUQYTXMGYTXNXSAUXDUXCUPUWO
      AGUVJYTUDXOWJXPYTEFXQXRUWTUUGUXBYTUUEUUAUUFUUBXTYAYBUWPUWTUXAUUEUUGEUMZUP
      ZUUFUUGFUMZUPZVIUWPUXFUXHUWPUXEUUEUWPEVSUUEWAZFVSUUFWAZUUEUVRUMZUUFUVRUMZ
      UPZUXEUUEUPUWPUUEEXKZUXIAUUMUXNUWIUUNUUTUXNUVMUGEUUQUUEXMYCYDEUUEYEYFZUWP
      UUFFXKZUXJAUUMUXPUWIUUNUUFUVOVHUXPUUNUUFOUVOUVNAUWNUUMUWFWJWKUGFUUQUUFXMY
      CYDFUUFYEYFZUWPUUEWOUMZUUFWOUMZUXKUXLUXRWOUXSUUEYIUUFYIVGUWPUVRWOUUEAUVSU
      WOUEWJZXOUWPUVRWOUUFUXTXOYGZEFVSUUEUUFYHXBWMUWPUXGUUFUWPUXIUXJUXMUXGUUFUP
      UXOUXQUYAEFVSUUEUUFYJXBWMYKUXAUWRUXFUWSUXHUXAUUAUXEUUEYTUUGEYLYAUXAUUBUXG
      UUFYTUUGFYLYAYMYBYNYOYPYQ $.

    $( Define a homeomorphism from a binary product of indexed product
       topologies to an indexed product topology on the union of the index
       sets.  This is the topological analogue of
       ` ( A ^ B ) x. ( A ^ C ) = A ^ ( B + C ) ` .  (Contributed by Mario
       Carneiro, 8-Feb-2015.)  (Proof shortened by Mario Carneiro,
       23-Aug-2015.) $)
    ptunhmeo $p |- ( ph -> G e. ( ( K tX L ) Homeo J ) ) $=
      ( vz vk vn vf ctx ccn wcel ccnv chmeo cxp c1st cfv c2nd cun cmpt cmpo cop
      co cv wceq vex op1std op2ndd uneq12d mpompt eqtr4i wfn cuni cixp cdif wss
      wa xp1st adantl cres ixpeq2 fvres unieqd mprg cvv ctop wf ssun1 sseqtrrid
      ssexd fssresd ptuni syl2anc eqtr3id eqtr4di adantr eleqtrrd eqcomd cin c0
      xp2nd wb uneqdifeq mpbid ixpeq1d ssun2 eqtrd undifixp syl3anc ixpfn dffn5
      syl sylib mpteq2dva syl5eq ctopon cpt eqeltrid toptopon txtopon wo eleq2d
      pttop biimpa elun adantlr ad2antrr simplr fvun1 syl112anc cnmpt1st ptpjcn
      simpr oveq2d eleqtrd fveq1 cnmpt11 eqeltrd fvun2 cnmpt2nd ptrescn ptuncnv
      jaodan syldan ptcn eqid cnmpt1t ishmeo sylanbrc ) AHJKUIVBZIUJVBZUKHULZIU
      UIUJVBZUKHUUIIUMVBUKAHUEMNUNZUFFUFVCZUEVCZUOUPZUUOUQUPZURZUPZUSZUSZUUJAHU
      EUUMUURUSZUVAHBCMNBVCZCVCZURZUTUVBTBCUEMNUURUVEUUOUVCUVDVAVDUUPUVCUUQUVDU
      VCUVDUUOBVEZCVEZVFZUVCUVDUUOUVFUVGVGZVHVIVJAUEUUMUURUUTAUUOUUMUKZVPZUURFV
      KZUURUUTVDUVKUURUGFUGVCZGUPZVLZVMUKZUVLUVKUUPUGDUVOVMZUKZUUQUGFDVNZUVOVMZ
      UKDFVOZUVPUVKUUPMUVQUVJUUPMUKAUUOMNVQVRAUVQMVDUVJAUVQJVLZMAUVQUGDUVMGDVSZ
      UPZVLZVMZUWBUWEUVOVDUWFUVQVDUGDUGDUWEUVOVTUVMDUKUWDUVNUVMDGWAWBWCADWDUKZD
      WEUWCWFZUWFUWBVDADFLUAADEURZDFDEWGUCWHZWIZAFWEDGUBUWJWJZUGDUWCJWDRWKWLWMO
      WNWOWPZUVKUUQNUVTUVJUUQNUKAUUOMNWTVRZAUVTNVDUVJAUVTUGEUVOVMZNAUGUVSEUVOAU
      WIFVDZUVSEVDZAFUWIUCWQAUWADEWRWSVDZUWPUWQXAUWJUDDEFXBWLXCXDAUWOKVLZNAUWOU
      GEUVMGEVSZUPZVLZVMZUWSUXBUVOVDUXCUWOVDUGEUGEUXBUVOVTUVMEUKUXAUVNUVMEGWAWB
      WCAEWDUKZEWEUWTWFZUXCUWSVDAEFLUAAUWIEFEDXEUCWHZWIZAFWEEGUBUXFWJZUGEUWTKWD
      SWKWLWMPWNZXFWOWPAUWAUVJUWJWOUGFDUVOUUPUUQXGXHUGFUVOUURXIXKUFFUURXJXLXMXN
      AUEUUSUFGFUUIILUUMQAJMXOUPUKZKNXOUPUKZUUIUUMXOUPUKZAJWEUKUXJAJUWCXPUPZWER
      AUWGUWHUXMWEUKUWKUWLDUWCWDYBWLXQJMOXRXLZAKWEUKUXKAKUWTXPUPZWESAUXDUXEUXOW
      EUKUXGUXHEUWTWDYBWLXQKNPXRXLZJKMNXSWLZUAUBAUUNFUKZUUNDUKZUUNEUKZXTZUEUUMU
      USUSZUUIUUNGUPZUJVBZUKZAUXRVPUUNUWIUKZUYAAUXRUYFAFUWIUUNUCYAYCUUNDEYDXLAU
      XSUYEUXTAUXSVPZUYBUEUUMUUNUUPUPZUSUYDUYGUEUUMUUSUYHUYGUVJVPUUPDVKZUUQEVKZ
      UWRUXSUUSUYHVDAUVJUYIUXSUVKUVRUYIUWMUGDUVOUUPXIXKZYEAUVJUYJUXSUVKUUQUWOUK
      UYJUVKUUQNUWOUWNAUWONVDUVJUXIWOWPUGEUVOUUQXIXKZYEAUWRUXSUVJUDYFAUXSUVJYGD
      EUUPUUQUUNYHYIXMUYGUEUHUUPUUNUHVCZUPZUYHUUIJUYCUUMMAUXLUXSUXQWOUYGUEUUMUU
      PUSBCMNUVCUTUUIJUJVBBCUEMNUUPUVCUVHVIUYGBCJKMNAUXJUXSUXNWOZAUXKUXSUXPWOYJ
      XQUYOUYGUHMUYNUSZJUUNUWCUPZUJVBZJUYCUJVBUYGUWGUWHUXSUYPUYRUKAUWGUXSUWKWOA
      UWHUXSUWLWOAUXSYLUHDUWCUUNJWDMORYKXHUYGUYQUYCJUJUXSUYQUYCVDAUUNDGWAVRYMYN
      UUNUYMUUPYOYPYQAUXTVPZUYBUEUUMUUNUUQUPZUSUYDUYSUEUUMUUSUYTUYSUVJVPUYIUYJU
      WRUXTUUSUYTVDAUVJUYIUXTUYKYEAUVJUYJUXTUYLYEAUWRUXTUVJUDYFAUXTUVJYGDEUUPUU
      QUUNYRYIXMUYSUEUHUUQUYNUYTUUIKUYCUUMNAUXLUXTUXQWOUYSUEUUMUUQUSBCMNUVDUTUU
      IKUJVBBCUEMNUUQUVDUVIVIUYSBCJKMNAUXJUXTUXNWOAUXKUXTUXPWOZYSXQVUAUYSUHNUYN
      USZKUUNUWTUPZUJVBZKUYCUJVBUYSUXDUXEUXTVUBVUDUKAUXDUXTUXGWOAUXEUXTUXHWOAUX
      TYLUHEUWTUUNKWDNPSYKXHUYSVUCUYCKUJUXTVUCUYCVDAUUNEGWAVRYMYNUUNUYMUUQYOYPY
      QUUBUUCUUDYQAUUKUEIVLZUUODVSZUUOEVSZVAUSUULABCUEDEFGHIJKLMNOPQRSTUAUBUCUD
      UUAAUEVUFVUGIJKVUEAIWEUKIVUEXOUPUKAIGXPUPZWEQAFLUKZFWEGWFZVUHWEUKUAUBFGLY
      BWLXQIVUEVUEUUEZXRXLAVUIVUJUWAUEVUEVUFUSIJUJVBUKUAUBUWJUEFDGIJLVUEVUKQRYT
      XHAVUIVUJEFVOUEVUEVUGUSIKUJVBUKUAUBUXFUEFEGIKLVUEVUKQSYTXHUUFYQHUUIIUUGUU
      H $.
  $}

  ${
    $d x y z J $.  $d x y z K $.  $d x y z ph $.  $d x y z X $.  $d x y z Y $.
    xpstopnlem1.f $e |- F = ( x e. X , y e. Y
      |-> { <. (/) , x >. , <. 1o , y >. } ) $.
    xpstopnlem1.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    xpstopnlem1.k $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    $( The function ` F ` used in ~ xpsval is a homeomorphism from the binary
       product topology to the indexed product topology.  (Contributed by Mario
       Carneiro, 2-Sep-2015.) $)
    xpstopnlem1 $p |- ( ph ->
      F e. ( ( J tX K ) Homeo ( Xt_ ` { <. (/) , J >. , <. 1o , K >. } ) ) ) $=
      ( c0 cop cfv c1o co wcel eqid wceq c2o csn cpt cuni cun cmpo ccom ctx cpr
      vz cv chmeo cxp c1st c2nd wa wral wf ctopon ccn txtopon syl2anc ctop cmpt
      cvv 0ex a1i pt1hmeo hmeocn 3syl toptopon2 sylib con0 1on opeq2 sneqd snex
      cntop2 opeq12 syl2an mpoeq3ia toponuni syl mpoeq12 eqtr3id txhmeo eqeltrd
      fvmpt cnf2 syl3anc sylibr r19.21bi anasss eqidd vex op1std op2ndd uneq12d
      fmpo mpompt eqcomi df-pr eqtr4di eqtr4id cres 2on topontop xpscf sylanbrc
      fmpoco df2o3 wne cin 1n0 necomi disjsn2 mp1i ptunhmeo wfn fnpr2o eleqtrri
      eqtri prid1 fnressn sylancl fvpr0o opeq2d eqtrd fveq2d unieqd 1oex fvpr1o
      prid2 mpoeq123dv oveq12d oveq1d 3eltr3d hmeoco ) ADBCLEMZUAZUBNZUCZOFMZUA
      ZUBNZUCZBUJZCUJZUDZUEZBCGHLUUFMZUAZOUUGMZUAZMZUEZUFZEFUGPZYRUUBUHZUBNZUKP
      ZADBCGHUUJUULUHZUEUUPIABCUIGHUUAUUEULZUUNUIUJZUMNZUVCUNNZUDZUVAUUOUUIAUUF
      GQZUUGHQZUUNUVBQZAUVGUOUVICHAUVICHUPZBGAGHULZUVBUUOUQZUVJBGUPAUUQUVKURNQZ
      YTUUDUGPZUVBURNQZUUOUUQUVNUSPQZUVLAEGURNZQZFHURNZQZUVMJKEFGHUTVAAYTUUAURN
      QZUUDUUEURNQZUVOAYTVBQZUWAAUIGLUVCMZUAZVCZEYTUKPQUWFEYTUSPQUWCAUILEYTVDGY
      TRLVDQAVEVFJVGZUWFEYTVHUWFEYTVQVIYTVJVKAUUDVBQZUWBAUIHOUVCMZUAZVCZFUUDUKP
      QUWKFUUDUSPQUWHAUIOFUUDVLHUUDROVLQAVMVFKVGZUWKFUUDVHUWKFUUDVQVIUUDVJVKYTU
      UDUUAUUEUTVAAUUOUUQUVNUKPZQZUVPAUUOBCEUCZFUCZUUFUWFNZUUGUWKNZMZUEZUWMAUUO
      BCGHUWSUEZUWTBCGHUWSUUNUVGUWQUUKSUWRUUMSUWSUUNSUVHUIUUFUWEUUKGUWFUVCUUFSU
      WDUUJUVCUUFLVNVOUWFRUUJVPZWGUIUUGUWJUUMHUWKUVCUUGSUWIUULUVCUUGOVNVOUWKRUU
      LVPZWGUWQUWRUUKUUMVRVSVTAGUWOSZHUWPSZUXAUWTSAUVRUXDJGEWAWBAUVTUXEKHFWAWBB
      CGHUWOUWPUWSWCVAWDABCUWFUWKEFYTUUDUWOUWPUWORUWPRUWGUWLWEWFZUUOUUQUVNVHWBU
      UOUUQUVNUVKUVBWHWIBCGHUUNUVBUUOUUORWRWJWKWKWLAUUOWMUUIUIUVBUVFVCZSAUXGUUI
      BCUIUUAUUEUVFUUHUVCUUFUUGMSUVDUUFUVEUUGUUFUUGUVCBWNZCWNZWOUUFUUGUVCUXHUXI
      WPWQWSWTVFUVCUUNSZUVFUUKUUMUDUVAUXJUVDUUKUVEUUMUUKUUMUVCUXBUXCWOUUKUUMUVC
      UXBUXCWPWQUUJUULXAXBXIXCAUWNUUIUVNUUSUKPZQUUPUUTQUXFABCUURLUAZXDZUBNZUCZU
      UROUAZXDZUBNZUCZUUHUEZUXNUXRUGPZUUSUKPUUIUXKABCUXLUXPTUURUXTUUSUXNUXRVLUX
      OUXSUXORUXSRUUSRUXNRUXRRUXTRTVLQAXEVFAEVBQZFVBQZTVBUURUQAUVRUYBJGEXFWBAUV
      TUYCKHFXFWBVBEFXGXHTUXLUXPUDZSATLOUHZUYDXJLOXAYAVFLOXKUXLUXPXLLSAOLXMXNLO
      XOXPXQABCUXOUXSUUHUUAUUEUUHAUXNYTAUXMYSUBAUXMLLUURNZMZUAZYSAUURTXRZLTQUXM
      UYHSAUVRUVTUYIJKEFUVQUVSXSVAZLUYETLOVEYBXJXTTLUURYCYDAUYGYRAUYFELAUVRUYFE
      SJEFUVQYEWBYFVOYGYHZYIAUXRUUDAUXQUUCUBAUXQOOUURNZMZUAZUUCAUYIOTQUXQUYNSUY
      JOUYETLOYJYLXJXTTOUURYCYDAUYMUUBAUYLFOAUVTUYLFSKEFUVSYKWBYFVOYGYHZYIAUUHW
      MYMAUYAUVNUUSUKAUXNYTUXRUUDUGUYKUYOYNYOYPUUOUUIUUQUVNUUSYQVAWF $.
  $}

  ${
    $d x y J $.  $d x y K $.  $d x y R $.  $d x y S $.  $d x y X $.
    $d x y Y $.
    xpstps.t $e |- T = ( R Xs. S ) $.
    $( A binary product of topologies is a topological space.  (Contributed by
       Mario Carneiro, 27-Aug-2015.) $)
    xpstps $p |- ( ( R e. TopSp /\ S e. TopSp ) -> T e. TopSp ) $=
      ( vx vy ctps wcel cbs cfv csca c0 cop c1o cpr cv eqid wf1o a1i c2o wa cxp
      cprds cmpo ccnv crn simpl simpr xpsval xpsrnbas wfo xpsff1o2 f1ocnv f1ofo
      co 3syl cvv con0 fvexd 2on wf xpscf biimpri prdstps imastps ) AGHZBGHZUAZ
      AIJZBIJZUBZAKJZLAMNBMOZUCUOZCEFVIVJLEPMNFPMOUDZUEZVOUFZVHEFABCVNVOVLGGVIV
      JDVIQZVJQZVFVGUGZVFVGUHZVOQZVLQZVNQZUIVHEFABCVNVOVLGGVIVJDVRVSVTWAWBWCWDU
      JVHVKVQVORZVQVKVPRVQVKVPUKWEVHEFVIVJVOWBULSVKVQVOUMVQVKVPUNUPVHVMVLTUQURV
      NWDVHAKUSTURHVHUTSTGVMVAVHGABVBVCVDVE $.

    xpstopn.j $e |- J = ( TopOpen ` R ) $.
    xpstopn.k $e |- K = ( TopOpen ` S ) $.
    xpstopn.o $e |- O = ( TopOpen ` T ) $.
    ${
      xpstopnlem.x $e |- X = ( Base ` R ) $.
      xpstopnlem.y $e |- Y = ( Base ` S ) $.
      xpstopnlem.f $e |- F = ( x e. X , y e. Y
        |-> { <. (/) , x >. , <. 1o , y >. } ) $.
      $( Lemma for ~ xpstopn .  (Contributed by Mario Carneiro,
         27-Aug-2015.) $)
      xpstopnlem2 $p |- ( ( R e. TopSp /\ S e. TopSp ) -> O = ( J tX K ) ) $=
        ( cfv c2o ctps wcel wa csca c0 cop c1o cpr cprds co ctopn cqtop cpt ctx
        ccnv ccom cvv con0 eqid fvexd 2on a1i fnpr2o prdstopn wfn wceq wf dffn2
        topnfn sylib fnfco sylancr xpsfeq syl prid1 df2o3 eleqtrri fvco2 fvpr0o
        0ex sylancl adantr fveq2d eqtr4di eqtrd opeq2d 1oex prid2 fvpr1o adantl
        preq12d eqtr3d oveq1d cxp crn simpl simpr xpsval xpsrnbas wf1o xpsff1o2
        f1ocnv mp1i f1ofo ovexd imastopn chmeo ctopon istps xpstopnlem1 hmeocnv
        wfo hmeoqtop 3syl 3eqtr4d ) CUAUBZDUAUBZUCZCUDSZUECUFUGDUFUHZUIUJZUKSZF
        UOZULUJUEGUFZUGHUFZUHZUMSZYCULUJZIGHUNUJZXRYBYGYCULXRYBUKXTUPZUMSYGXRXT
        XSTYBUQURYAYAUSZXRCUDUTTURUBXRVAVBCDUAUAVCZYBUSZVDXRYJYFUMXRUEUEYJSZUFZ
        UGUGYJSZUFZUHZYJYFXRYJTVEZYRYJVFXRUKUQVETUQXTVGZYSVIXRXTTVEZYTYLTXTVHVJ
        UQTUKXTVKVLYJVMVNXRYOYDYQYEXRYNGUEXRYNUEXTSZUKSZGXRUUAUETUBYNUUCVFYLUEU
        EUGUHZTUEUGVTVOVPVQTUKXTUEVRWAXRUUCCUKSGXRUUBCUKXPUUBCVFXQCDUAVSWBWCMWD
        WEWFXRYPHUGXRYPUGXTSZUKSZHXRUUAUGTUBYPUUFVFYLUGUUDTUEUGWGWHVPVQTUKXTUGV
        RWAXRUUFDUKSHXRUUEDUKXQUUEDVFXPCDUAWIWJWCNWDWEWFWKWLWCWEWMXRJKWNZYAEYCY
        BIFWOZUQXRABCDEYAFXSUAUAJKLPQXPXQWPZXPXQWQZRXSUSZYKWRXRABCDEYAFXSUAUAJK
        LPQUUIUUJRUUKYKWSXRUUHUUGYCWTZUUHUUGYCXLUUGUUHFWTUULXRABJKFRXAUUGUUHFXB
        XCUUHUUGYCXDVNXRXSXTUIXEYMOXFXRFYIYGXGUJUBYCYGYIXGUJUBYIYHVFXRABFGHJKRX
        RXPGJXHSUBUUIJGCPMXIVJXRXQHKXHSUBUUJKHDQNXIVJXJFYIYGXKYCYGYIXMXNXO $.
    $}

    $( The topology on a binary product of topological spaces, as we have
       defined it (transferring the indexed product topology on functions on
       ` { (/) , 1o } ` to ` ( X X. Y ) ` by the canonical bijection),
       coincides with the usual topological product (generated by a base of
       rectangles).  (Contributed by Mario Carneiro, 27-Aug-2015.) $)
    xpstopn $p |- ( ( R e. TopSp /\ S e. TopSp ) -> O = ( J tX K ) ) $=
      ( vx vy cbs cfv c0 cv cop c1o cpr eqid cmpo xpstopnlem2 ) KLABCKLAMNZBMNZ
      OKPQRLPQSUAZDEFUCUDGHIJUCTUDTUETUB $.
  $}

  ${
    $d u v x y z A $.  $d u v x y z F $.
    $( A topological product of finitely many compact spaces is compact.  This
       weak version of Tychonoff's theorem does not require the axiom of
       choice.  (Contributed by Mario Carneiro, 8-Feb-2015.) $)
    ptcmpfi $p |- ( ( A e. Fin /\ F : A --> Comp ) -> ( Xt_ ` F ) e. Comp ) $=
      ( vx cfn wcel ccmp cres cpt cfv wceq syl fveq2d wss wi ctop cvv cuni eqid
      cv c0 vy vz vu vv wf wa wfn ffn fnresdm adantl ssid csn sseq1 reseq2 res0
      cun eqtrdi eleq1d imbi2d imbi12d cin 0ex pttop mp2an cpw cixp ptuni ixp0x
      f0 snfi eqeltri eqeltrri pwfi mpbi pwuni ssfi elini fincmp ax-mp wn ssun1
      2a1i id sstrid imim1i ctx co chmph cmpo chmeo resabs1 eqcomi fveq2i ssun2
      wbr vex snex unex a1i simplr cmptop ssriv fss sylancl simprr eqidd simprl
      fssresd disjsn sylibr ptunhmeo hmphi ad2antlr snss fnressn syl2anc ctopon
      cmpt ffvelrnd sselid toptopon2 sylib pt1hmeo cmphmph eqeltrd txcmp expcom
      cop sylc sylsyld a2d ex syl5 findcard2s mpi anabsi5 eqeltrrd ) ADEZAFBUEZ
      UFZBAGZHIZBHIFYTUUABHYSUUABJZYRYSBAUGZUUCAFBUHZABUIKUJLYRYSUUBFEZYRAAMZYT
      UUFNZAUKCSZAMZYTBUUIGZHIZFEZNZNTAMZYTTHIZFEZNZNUASZAMZYTBUUSGZHIZFEZNZNZU
      USUBSZULZUPZAMZYTBUVHGZHIZFEZNZNZUUGUUHNCUAUBAUUITJZUUJUUOUUNUURUUITAUMUV
      OUUMUUQYTUVOUULUUPFUVOUUKTHUVOUUKBTGTUUITBUNBUOUQLURUSUTUUIUUSJZUUJUUTUUN
      UVDUUIUUSAUMUVPUUMUVCYTUVPUULUVBFUVPUUKUVAHUUIUUSBUNLURUSUTUUIUVHJZUUJUVI
      UUNUVMUUIUVHAUMUVQUUMUVLYTUVQUULUVKFUVQUUKUVJHUUIUVHBUNLURUSUTUUIAJZUUJUU
      GUUNUUHUUIAAUMUVRUUMUUFYTUVRUULUUBFUVRUUKUUAHUUIABUNLURUSUTUUQUUOYTUUPODV
      AEUUQUUPODTPEZTOTUEZUUPOEVBOVIZTTPVCVDUUPQZVEZDEZUUPUWCMUUPDEUWBDEUWDCTUU
      ITIQZVFZUWBDUVSUVTUWFUWBJVBUWACTTUUPPUUPRVGVDUWFTULDCUWEVHTVJVKVLUWBVMVNU
      UPVOUWCUUPVPVDVQUUPVRVSWBUVFUUSEVTZUVEUVNNUUSDEUVEUVIUVDNUWGUVNUVIUUTUVDU
      VIUUSUVHAUUSUVGWAZUVIWCWDWEUWGUVIUVDUVMUWGUVIUVDUVMNUWGUVIUFZYTUVCUVLYTUW
      IUVCUVLNYTUWIUFZUVBBUVGGZHIZWFWGZUVKWHWOZUVCUWMFEZUVLUWJUCUDUVBQZUWLQZUCS
      UDSUPWIZUWMUVKWJWGEUWNUWJUCUDUUSUVGUVHUVJUWRUVKUVBUWLPUWPUWQUWPRUWQRUVKRU
      VAUVJUUSGZHUWSUVAUUSUVHMUWSUVAJUWHBUUSUVHWKVSWLWMUWKUVJUVGGZHUWTUWKUVGUVH
      MUWTUWKJUVGUUSWNZBUVGUVHWKVSWLWMUWRRUVHPEUWJUUSUVGUAWPUVFWQWRWSUWJAOUVHBU
      WJYSFOMAOBUEYRYSUWIWTZCFOUUIXAXBZAFOBXCXDYTUWGUVIXEZXHUWJUVHXFUWJUWGUUSUV
      GVATJYTUWGUVIXGUUSUVFXIXJXKUWRUWMUVKXLKUWJUWLFEZUVCUWONUWJUWLUVFUVFBIZYHU
      LZHIZFUWJUWKUXGHUWJUUDUVFAEZUWKUXGJYSUUDYRUWIUUEXMUWJUVGAMUXIUWJUVGUVHAUX
      AUXDWDUVFAUBWPZXNXJZAUVFBXOXPLUWJUXFUXHWHWOZUXFFEUXHFEUWJCUXFQZUVFUUIYHUL
      XRZUXFUXHWJWGEUXLUWJCUVFUXFUXHPUXMUXHRUVFPEUWJUXJWSUWJUXFOEUXFUXMXQIEUWJF
      OUXFUXCUWJAFUVFBUXBUXKXSZXTUXFYAYBYCUXNUXFUXHXLKUXOUXFUXHYDYIYEUVCUXEUWOU
      VBUWLYFYGKUWMUVKYDYJYGYKYLYKYMUJYNYOYPYQ $.
  $}

  ${
    $d f g t u w x y z J $.  $d f g t u w x y z K $.  $d f g t u w x y z ph $.
    $d f g t u w x y z L $.  $d f g t u w x y z X $.  $d f g t u w x y z Y $.
    $d f g x y F $.
    xkohmeo.x $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    xkohmeo.y $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    xkohmeo.f $e |- F = ( f e. ( ( J tX K ) Cn L ) |->
      ( x e. X |-> ( y e. Y |-> ( x f y ) ) ) ) $.
    xkohmeo.j $e |- ( ph -> J e. N-Locally Comp ) $.
    xkohmeo.k $e |- ( ph -> K e. N-Locally Comp ) $.
    xkohmeo.l $e |- ( ph -> L e. Top ) $.
    $( The inverse of the "currying" function ` F ` is the uncurrying function.
       (Contributed by Mario Carneiro, 13-Apr-2015.) $)
    xkocnv $p |- ( ph -> `' F = ( g e. ( J Cn ( L ^ko K ) ) |->
      ( x e. X , y e. Y |-> ( ( g ` x ) ` y ) ) ) ) $=
      ( wcel wceq wa cv ctx co ccn cmpt cxko cfv cmpo ccnv simprr ctopon adantr
      copab cxp cuni wf txtopon syl2anc ctop toptopon2 sylib simpr cnf2 syl3anc
      wfn ffnd fnov eqeltrrd cnmpt2k adantrr eqeltrd wral eqid nfv nfmpt1 nfeq2
      nfan nfcv nfmpt simplrr fveq1d cvv simprl toponmax ad2antrr mptexd fvmpt2
      syl eqtrd ovex sylancl expr ralrimi jctil ex mpoeq123 sylancr eqtr4d ccmp
      jca cnlly nllytop feqmptd ffvelrnda mpteq2dva cnmptk2 nfmpo1 nfmpo2 oveqd
      xkotopon ovmpt4g mp3an3 sylan9eq mpteq12 mpteq2da impbida opabbidv df-mpt
      fvex eqtri cnveqi cnvopab 3eqtr4g ) ADUAZGHUBUCZIUDUCZRZEUAZBJCKBUAZCUAZY
      DUCZUEZUEZSZTZEDUMZYHGIHUFUCZUDUCZRZYDBCJKYJYIYHUGZUGZUHZSZTZEDUMFUIZEYRU
      UBUEAYOUUDEDAYOUUDAYOTZYSUUCUUFYHYMYRAYGYNUJAYGYMYRRYNAYGTZBCYKGHIJKAGJUK
      UGRZYGLULAHKUKUGRZYGMULUUGYDBCJKYKUHZYFUUGYDJKUNZVEYDUUJSZUUGUUKIUOZYDUUG
      YEUUKUKUGRZIUUMUKUGRZYGUUKUUMYDUPAUUNYGAUUHUUIUUNLMGHJKUQURULAUUOYGAIUSRZ
      UUOQIUTVAZULAYGVBZYDYEIUUKUUMVCVDVFBCJKYDVGVAZUURVHVIVJVKUUFYDUUJUUBAYGUU
      LYNUUSVJUUFJJSKKSZUUAYKSZCKVLZTZBJVLUUBUUJSJVMUUFUVCBJAYOBABVNZYGYNBYGBVN
      BYHYMBJYLVOVPVQVQUUFYIJRZUVCUUFUVETZUVBUUTUVFUVACKUUFUVECAYOCACVNZYGYNCYG
      CVNCYHYMCBJYLCJVRCKYKVOVSVPVQVQUVECVNZVQUUFUVEYJKRZUVAUUFUVEUVITZTZUUAYJY
      LUGZYKUVKYJYTYLUVKYTYIYMUGZYLUVKYIYHYMAYGYNUVJVTWAUVKUVEYLWBRUVMYLSUUFUVE
      UVIWCUVKCKYKHAKHRZYOUVJAUUIUVNMKHWDWHWEWFBJYLWBYMYMVMWGURWIWAUVKUVIYKWBRU
      VLYKSUUFUVEUVIUJYIYJYDWJCKYKWBYLYLVMWGWKWIWLWMKVMZWNWOWMBCJKUUAJKYKWPWQWR
      WTAUUDTZYGYNUVPYDUUBYFAYSUUCUJZAYSUUBYFRUUCAYSTZBCUUAGHIJKUUMAUUHYSLULZAU
      UIYSMULAUUOYSUUQULAHWSXARZYSPULZUVRYHBJCKUUAUEZUEZYRUVRYHBJYTUEUWCUVRBJHI
      UDUCZYHUVRUUHYQUWDUKUGRZYSJUWDYHUPUVSUVRHUSRZUUPUWEUVRUVTUWFUWAWSHXBWHAUU
      PYSQULHIYQYQVMXJURAYSVBZYHGYQJUWDVCVDZXCUVRBJYTUWBUVRUVETZCKUUMYTUWIUUIUU
      OYTUWDRKUUMYTUPAUUIYSUVEMWEAUUOYSUVEUUQWEUVRJUWDYIYHUWHXDYTHIKUUMVCVDXCXE
      WIZUWGVHXFVJVKUVPYHUWCYMAYSYHUWCSUUCUWJVJUVPBJYLUWBAUUDBUVDYSUUCBYSBVNBYD
      UUBBCJKUUAXGVPVQVQUVPUVETZUUTYKUUASZCKVLYLUWBSUVOUWKUWLCKUVPUVECAUUDCUVGY
      SUUCCYSCVNCYDUUBBCJKUUAXHVPVQVQUVHVQUVPUVEUVIUWLUVPUVJYKYIYJUUBUCZUUAUVPY
      DUUBYIYJUVQXIUVEUVIUUAWBRUWMUUASYJYTXSBCJKUUAUUBWBUUBVMXKXLXMWLWMCKYKKUUA
      XNWQXOWRWTXPXQUUEYODEUMZUIYPFUWNFDYFYMUEUWNNDEYFYMXRXTYAYODEYBXTEDYRUUBXR
      YC $.

    $( The Exponential Law for topological spaces.  The "currying" function
       ` F ` is a homeomorphism on function spaces when ` J ` and ` K ` are
       exponentiable spaces (by ~ xkococn , it is sufficient to assume that
       ` J , K ` are locally compact to ensure exponentiability).  (Contributed
       by Mario Carneiro, 13-Apr-2015.)  (Proof shortened by Mario Carneiro,
       23-Aug-2015.) $)
    xkohmeo $p |- ( ph ->
      F e. ( ( L ^ko ( J tX K ) ) Homeo ( ( L ^ko K ) ^ko J ) ) ) $=
      ( vz co cmpt cfv vw vu vt vg ctx cxko ccn wcel ccnv chmeo ctop ctopon cxp
      cv txtopon syl2anc topontop syl eqid xkotopon cmpo c2nd c1st cop wceq vex
      op1std op2ndd eqidd oveq123d mpteq2dv mpompt fveq2d toptopon2 sylib cnlly
      cuni ccmp txcmp txnlly wa wf adantr adantl cnf2 syl3anc feqmptd mpteq2dva
      xp1st eqtr3id cnmpt1st cbvmptv eqeltrid cnmpt21 eqeltrrd cnmpt2nd cnmpt1t
      fveq2 eqtr4di cnmptk1p eqeltrrid cnmpt2k xkocnv fveq12d mpteq2i syl2an3an
      df-ov nllytop xkotop xp2nd ffvelrnd eqeltrd ishmeo sylanbrc ) AEHFGUERZUF
      RZHGUFRZFUFRZUGRZUHEUIZXRXPUGRZUHEXPXRUJRUHAEDXOHUGRZBICJBUNZCUNZDUNZRZSZ
      SSXSMADBYGXPFXQYBIAXOUKUHZHUKUHZXPYBULTUHZAXOIJUMZULTUHZYHAFIULTUHZGJULTU
      HZYLKLFGIJUOUPZYKXOUQURPXOHXPXPUSUTUPZKADBYBIYGVAQYBIUMZCJQUNZVBTZYDYRVCT
      ZRZSZSXPFUERZXQUGRDBQYBIUUBYGYRYEYCVDVEZCJUUAYFUUDYSYCYDYDYTYEYEYCYRDVFZB
      VFZVGZYEYCYRUUEUUFVHZUUDYDVIVJVKVLAQCUUAUUCGHYQJAYJYMUUCYQULTUHZYPKXPFYBI
      UOUPZLAQCYQJUUAVAUAYQJUMZUAUNZVCTZVBTZUULVBTZUUMVCTZRZSUUCGUERZHUGRQCUAYQ
      JUUQUUAUULYRYDVDVEZUUNYSUUOYDUUPYTUUSUUMYRVCYRYDUULQVFZCVFZVGZVMZUUSUUMYR
      VBUVBVMZYRYDUULUUTUVAVHZVJVLAUAUBUBUNZUUPTZUUNUUOVDZUUQUURXOHUUKYKHVQZAUU
      IYNUURUUKULTUHUUJLUUCGYQJUOUPZYOAYIHUVIULTUHZPHVNVOZAFVRVPZUHZGUVMUHZXOUV
      MUHNOVRFGBCYCYDVSVTUPAQCYQJYTVAZUAUUKUBYKUVGSZSZUURXPUGRAUVPUAUUKUUPSUVRQ
      CUAYQJUUPYTUVCVLAUAUUKUUPUVQAUULUUKUHZWAZUBYKUVIUUPUVTYLUVKUUPYBUHZYKUVIU
      UPWBAYLUVSYOWCAUVKUVSUVLWCUVTUUMYQUHZUWAUVSUWBAUULYQJWIWDUUMYBIWIURUUPXOH
      YKUVIWEWFWGWHWJAQCUCYRUCUNZVCTZYTUUCGUUCXPYQJYQUUJLAQCUUCGYQJUUJLWKZUUJAU
      CYQUWDSQYQYTSZUUCXPUGRZUCQYQUWDYTUWCYRVCWRZWLAUWFDBYBIYEVAUWGDBQYBIYTYEUU
      GVLADBXPFYBIYPKWKWMWMUWHWNWOAUAUUNUUOUURFGUUKUVJAUAUUKUUNSQCYQJYSVAUURFUG
      RQCUAYQJUUNYSUVDVLAQCUCYRUWCVBTZYSUUCGUUCFYQJYQUUJLUWEUUJAUCYQUWISQYQYSSZ
      UUCFUGRZUCQYQUWIYSUWCYRVBWRZWLAUWJDBYBIYCVAUWKDBQYBIYSYCUUHVLADBXPFYBIYPK
      WPWMWMUWLWNWMAUAUUKUUOSQCYQJYDVAUURGUGRQCUAYQJUUOYDUVEVLAQCUUCGYQJUUJLWPW
      MWQUVFUVHVEUVGUVHUUPTUUQUVFUVHUUPWRUUNUUOUUPXGWSWTXAXBXAXBWMAXTUDFXQUGRZQ
      YKYSYTUDUNZTZTZSZSZYAAXTUDUWMBCIJYDYCUWNTZTZVAZSUWRABCDUDEFGHIJKLMNOPXCUD
      UWMUWQUXABCQIJUWPUWTYRYCYDVDVEZYSYDUWOUWSUXBYTYCUWNYCYDYRUUFUVAVGZVMYCYDY
      RUUFUVAVHZXDVLXEWSAUDQUWPXRXOHUWMYKAFUKUHZXQUKUHZXRUWMULTUHZAUVNUXENVRFXH
      URAGUKUHZYIUXFAUVOUXHOVRGXHURZPGHXIUPFXQXRXRUSUTUPZYOAUDQUWMYKUWPVAUAUWMY
      KUMZUUOVBTZUUOVCTZUUMTZTZSXRXOUERZHUGRUDQUAUWMYKUXOUWPUULUWNYRVDVEZUXLYSU
      XNUWOUXQUXMYTUUMUWNUWNYRUULUDVFZUUTVGZUXQUUOYRVCUWNYRUULUXRUUTVHZVMZXDUXQ
      UUOYRVBUXTVMZXDVLAUACYDUXNTZUXLUXOUXPGHUXKJUVIAUXGYLUXPUXKULTUHUXJYOXRXOU
      WMYKUOUPZLUVLOAUAUXKUXNSUAUXKCJUYCSZSUXPXQUGRAUAUXKUXNUYEAUULUXKUHZWAZCJU
      VIUXNUYGYNUVKUXNGHUGRZUHJUVIUXNWBAYNUYFLWCAUVKUYFUVLWCUYGIUYHUXMUUMAYMXQU
      YHULTUHZUYFUUMUWMUHIUYHUUMWBKAUXHYIUYIUXIPGHXQXQUSUTUPZUULUWMYKWIUUMFXQIU
      YHWEXFZUYGUUOYKUHZUXMIUHUYFUYLAUULUWMYKXJWDUUOIJWIURXKUXNGHJUVIWEWFWGWHAU
      ABYCUUMTZUXMUXNUXPFXQUXKIUYHUYDKUYJNAUDQUWMYKUWNVAZUAUXKBIUYMSZSZUXPXRUGR
      AUYNUAUXKUUMSUYPUDQUAUWMYKUUMUWNUXSVLAUAUXKUUMUYOUYGBIUYHUUMUYKWGWHWJAUDQ
      XRXOUWMYKUXJYOWKWOAUAUXKUXMSUDQUWMYKYTVAUXPFUGRUDQUAUWMYKUXMYTUYAVLAUDQUC
      YRUWDYTXRXOXOFUWMYKYKUXJYOAUDQXRXOUWMYKUXJYOWPZYOAUCYKUWDSQYKYTSZXOFUGRZU
      CQYKUWDYTUWHWLAUYRBCIJYCVAUYSBCQIJYTYCUXCVLABCFGIJKLWKWMWMUWHWNWMYCUXMUUM
      WRWTWOAUAUXKUXLSUDQUWMYKYSVAUXPGUGRUDQUAUWMYKUXLYSUYBVLAUDQUCYRUWIYSXRXOX
      OGUWMYKYKUXJYOUYQYOAUCYKUWISQYKYSSZXOGUGRZUCQYKUWIYSUWLWLAUYTBCIJYDVAVUAB
      CQIJYSYDUXDVLABCFGIJKLWPWMWMUWLWNWMYDUXLUXNWRWTXAXBXLEXPXRXMXN $.
  $}

  ${
    $d x F $.  $d x J $.  $d x ph $.  $d x X $.  $d x Y $.
    qtopf1.1 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    qtopf1.2 $e |- ( ph -> F : X -1-1-> Y ) $.
    $( If a quotient map is injective, then it is a homeomorphism.
       (Contributed by Mario Carneiro, 25-Aug-2015.) $)
    qtopf1 $p |- ( ph -> F e. ( J Homeo ( J qTop F ) ) ) $=
      ( vx co ccn wcel ccnv ctopon cfv syl2anc cima wf1o wa wss adantr wfn f1fn
      cqtop chmeo wf1 syl qtopid crn wf wral f1f1orn f1ocnv f1of 4syl imacnvcnv
      cv imassrn a1i wceq toponss sylan f1imacnv simpr eqeltrd wb dffn4 elqtop3
      wfo sylib mpbir2and eqeltrid ralrimiva qtoptopon iscn ishmeo sylanbrc ) A
      BCCBUCIZJIKZBLZVQCJIKZBCVQUDIKACDMNKZBDUAZVRFADEBUEZWBGDEBUBUFZBCDUGOAVTB
      UHZDVSUIZVSLHUPZPZVQKZHCUJZAWCDWEBQWEDVSQWFGDEBUKDWEBULWEDVSUMUNAWIHCAWGC
      KZRZWHBWGPZVQBWGUOWLWMVQKZWMWESZVSWMPZCKZWOWLBWGUQURWLWPWGCWLWCWGDSZWPWGU
      SAWCWKGTAWAWKWRFWGCDUTVADEWGBVBOAWKVCVDAWNWOWQRVEZWKAWADWEBVHZWSFAWBWTWDD
      BVFVIZWMBCDWEVGOTVJVKVLAVQWEMNKZWAVTWFWJRVEAWAWTXBFXABCDWEVMOFHVSVQCWEDVN
      OVJBCVQVOVP $.
  $}

  ${
    $d f g h x y F $.  $d f g h x y G $.  $d f g h x y J $.  $d f g h x y ph $.
    $d x y X $.  $d f g h x Y $.
    qtophmeo.2 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    qtophmeo.3 $e |- ( ph -> F : X -onto-> Y ) $.
    qtophmeo.4 $e |- ( ph -> G : X -onto-> Y ) $.
    qtophmeo.5 $e |- ( ( ph /\ ( x e. X /\ y e. X ) ) ->
      ( ( F ` x ) = ( F ` y ) <-> ( G ` x ) = ( G ` y ) ) ) $.
    $( If two functions on a base topology ` J ` make the same identifications
       in order to create quotient spaces ` J qTop F ` and ` J qTop G ` , then
       not only are ` J qTop F ` and ` J qTop G ` homeomorphic, but there is a
       unique homeomorphism that makes the diagram commute.  (Contributed by
       Mario Carneiro, 24-Mar-2015.)  (Proof shortened by Mario Carneiro,
       23-Aug-2015.) $)
    qtophmeo $p |- ( ph -> E! f e. ( ( J qTop F ) Homeo ( J qTop G ) )
      G = ( f o. F ) ) $=
      ( vg ccom wceq co wa wcel syl vh cv cqtop chmeo wrex weq wi wral wreu ccn
      ctopon cfv wfn wfo qtopid syl2anc w3a df-3an biimpd sylan2b qtopeu reurex
      fofn impr simprl biimprd adantr wf qtoptopon ad2antrr simplrl syl3anc cid
      ccnv cnf2 cres coeq1 eqeq2d simpr3 cnco simprr simplrr coeq2d eqtrd coass
      idcn eqtr4di fof fcoi2 eqcomd reu2eqd 2fcoidinvd eqeltrd rexlimddv ishmeo
      sylanbrc reximssdv eqtr2 wb wf1o hmeof1o2 f1ofn cocan2 syl5ib ralrimivva
      reu4 ) AFDUBZEOZPZDGEUCQZGFUCQZUDQZUEXIFNUBZEOZPZRZDNUFZUGZNXLUHDXLUHXIDX
      LUIAXIXIDXLXJXKUJQZAXIDXSUIXIDXSUEABCDEFGXKHIJKAGHUKULSZFHUMZFGXKUJQSJAHI
      FUNZYALHIFVCTFGHUOUPZBUBZHSZCUBZHSZYDEULYFEULPZUQAYEYGRZYHRYDFULYFFULPZYE
      YGYHURAYIYHYJAYIRZYHYJMUSVDUTVAXIDXSVBTAXGXSSZXIRZRZYLXGVNZXKXJUJQZSZXGXL
      SZAYLXIVEYNEXMFOZPZYQNYPYNYTNYPUIZYTNYPUEAUUAYMABCNFEGXJHIJLAXTEHUMZEGXJU
      JQSJAHIEUNZUUBKHIEVCTEGHUOUPZYEYGYJUQAYIYJRYHYEYGYJURAYIYJYHYKYHYJMVFVDUT
      VAVGYTNYPVBTYNXMYPSZYTRZRZYOXMYPUUGIIXGXMUUGXJIUKULZSZXKUUHSZYLIIXGVHAUUI
      YMUUFAXTUUCUUIJKEGHIVIUPZVJZAUUJYMUUFAXTYBUUJJLFGHIVIUPZVJZAYLXIUUFVKZXGX
      JXKIIVOVLUUGUUJUUIUUEIIXMVHUUNUULYNUUEYTVEZXMXKXJIIVOVLUUGEUAUBZEOZPZEXMX
      GOZEOZPEVMIVPZEOZPUAXJXJUJQZUUTUVBUUQUUTPUURUVAEUUQUUTEVQVRUUQUVBPZUURUVC
      EUUQUVBEVQVRAUUSUAUVDUIYMUUFABCUAEEGXJHIJKUUDAYEYGYHVSVAVJUUGYLUUEUUTUVDS
      UUOUUPXGXMXJXKXJVTUPAUVBUVDSZYMUUFAUUIUVFUUKXJIWFTVJUUGEXMXHOZUVAUUGEYSUV
      GYNUUEYTWAZUUGFXHXMAYLXIUUFWBZWCWDXMXGEWEWGUUGUVCEUUGHIEVHZUVCEPAUVJYMUUF
      AUUCUVJKHIEWHTVJHIEWITWJWKUUGFUUQFOZPZFXGXMOZFOZPFUVBFOZPUAXKXKUJQZUVMUVB
      UUQUVMPUVKUVNFUUQUVMFVQVRUVEUVKUVOFUUQUVBFVQVRAUVLUAUVPUIYMUUFABCUAFFGXKH
      IJLYCAYEYGYJVSVAVJUUGUUEYLUVMUVPSUUPUUOXMXGXKXJXKVTUPAUVBUVPSZYMUUFAUUJUV
      QUUMXKIWFTVJUUGFXGYSOZUVNUUGFXHUVRUVIUUGEYSXGUVHWCWDXGXMFWEWGUUGUVOFUUGHI
      FVHZUVOFPAUVSYMUUFAYBUVSLHIFWHTVJHIFWITWJWKWLUUPWMWNXGXJXKWOWPAYLXIWAWQAX
      RDNXLXLXPXHXNPZAYRXMXLSZRZRZXQFXHXNWRUWCUUCXGIUMZXMIUMZUVTXQWSAUUCUWBKVGU
      WCIIXGWTZUWDUWCUUIUUJYRUWFAUUIUWBUUKVGZAUUJUWBUUMVGZAYRUWAVEXGXJXKIIXAVLI
      IXGXBTUWCIIXMWTZUWEUWCUUIUUJUWAUWIUWGUWHAYRUWAWAXMXJXKIIXAVLIIXMXBTHIEXGX
      MXCVLXDXEXIXODNXLXQXHXNFXGXMEVQVRXFWP $.
  $}

  ${
    $d x y J $.  $d x y X $.
    t0kq.1 $e |- F = ( x e. X |-> { y e. J | x e. y } ) $.
    $( A topological space is T_0 iff the quotient map is a homeomorphism onto
       the space's Kolmogorov quotient.  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    t0kq $p |- ( J e. ( TopOn ` X ) ->
        ( J e. Kol2 <-> F e. ( J Homeo ( KQ ` J ) ) ) ) $=
      ( ctopon cfv wcel ct0 ckq chmeo co wa cqtop cvv simpl wf1 chmph wbr kqval
      ist0-4 biimpa qtopf1 wceq adantr oveq2d eleqtrrd hmphi hmphsym syl t0hmph
      kqt0lem syl2im impcom impbida ) DEGHIZDJIZCDDKHZLMZIZUQURNZCDDCOMZLMUTVBC
      DEPUQURQUQUREPCRABCDEFUBUCUDVBUSVCDLUQUSVCUEURABCDEFUAUFUGUHVAUQURVAUSDST
      ZUQUSJIURVADUSSTVDCDUSUIDUSUJUKABCDEFUMUSDULUNUOUP $.
  $}

  ${
    $d x y J $.
    $( A topological space is T_0 iff it is homeomorphic to its Kolmogorov
       quotient.  (Contributed by Mario Carneiro, 25-Aug-2015.) $)
    kqhmph $p |- ( J e. Kol2 <-> J ~= ( KQ ` J ) ) $=
      ( vx vy ct0 wcel ckq cfv chmph wbr cuni crab cmpt chmeo co ctopon wb ctop
      wel sylib syl t0top toptopon2 eqid t0kq ibi hmphi hmphsym hmphtop1 t0hmph
      kqt0 sylc impbii ) ADEZAAFGZHIZUMBAJZBCRCAKLZAUNMNEZUOUMURUMAUPOGEZUMURPU
      MAQEZUSAUAAUBSBCUQAUPUQUCUDTUEUQAUNUFTUOUNAHIUNDEZUMAUNUGUOUTVAAUNUHAUJSU
      NAUIUKUL $.
  $}

  ${
    ist1-5lem.1 $e |- ( J e. A -> J e. Kol2 ) $.
    ist1-5lem.2 $e |- ( J ~= ( KQ ` J ) ->
      ( J e. A -> ( KQ ` J ) e. A ) ) $.
    ist1-5lem.3 $e |- ( ( KQ ` J ) ~= J ->
      ( ( KQ ` J ) e. A -> J e. A ) ) $.
    $( Lemma for ~ ist1-5 and similar theorems.  If ` A ` is a topological
       property which implies T_0, such as T_1 or T_2, the property can be
       "decomposed" into T_0 and a non-T_0 version of property ` A ` (which is
       defined as stating that the Kolmogorov quotient of the space has
       property ` A ` ).  For example, if ` A ` is T_1, then the theorem states
       that a space is T_1 iff it is T_0 and its Kolmogorov quotient is T_1 (we
       call this property R_0).  (Contributed by Mario Carneiro,
       25-Aug-2015.) $)
    ist1-5lem $p |- ( J e. A <-> ( J e. Kol2 /\ ( KQ ` J ) e. A ) ) $=
      ( wcel ct0 ckq cfv wa chmph wbr kqhmph sylib mpcom jca hmphsym sylbi syl
      wi imp impbii ) BAFZBGFZBHIZAFZJUCUDUFCBUEKLZUCUFUCUDUGCBMZNDOPUDUFUCUDUE
      BKLZUFUCTUDUGUIUHBUEQRESUAUB $.
  $}

  $( A T_1 space is R_0.  That is, the Kolmogorov quotient of a T_1 space is
     also T_1 (because they are homeomorphic).  (Contributed by Mario Carneiro,
     25-Aug-2015.) $)
  t1r0 $p |- ( J e. Fre -> ( KQ ` J ) e. Fre ) $=
    ( ckq cfv chmph wbr ct1 wcel ct0 t1t0 kqhmph sylib t1hmph mpcom ) AABCZDEZA
    FGZNFGPAHGOAIAJKANLM $.

  $( A topological space is T_1 iff it is both T_0 and R_0.  (Contributed by
     Mario Carneiro, 25-Aug-2015.) $)
  ist1-5 $p |- ( J e. Fre <-> ( J e. Kol2 /\ ( KQ ` J ) e. Fre ) ) $=
    ( ct1 t1t0 ckq cfv t1hmph ist1-5lem ) BAACAADEZFHAFG $.

  $( A topological space is Hausdorff iff it is both T_0 and R_1 (where R_1
     means that any two topologically distinct points are separated by
     neighborhoods).  (Contributed by Mario Carneiro, 25-Aug-2015.) $)
  ishaus3 $p |- ( J e. Haus <-> ( J e. Kol2 /\ ( KQ ` J ) e. Haus ) ) $=
    ( cha wcel ct1 ct0 haust1 t1t0 syl ckq cfv haushmph ist1-5lem ) BAABCADCAEC
    AFAGHAAIJZKMAKL $.

  $( A normal T_1 space is regular Hausdorff.  In other words, a T_4 space is
     T_3 .  One can get away with slightly weaker assumptions; see ~ nrmr0reg .
     (Contributed by Mario Carneiro, 25-Aug-2015.) $)
  nrmreg $p |- ( ( J e. Nrm /\ J e. Fre ) -> J e. Reg ) $=
    ( ct1 wcel cnrm ckq cfv creg t1r0 nrmr0reg sylan2 ) ABCADCAEFBCAGCAHAIJ $.

  $( A regular T_0 space is Hausdorff.  In other words, a T_3 space is T_2 .  A
     regular Hausdorff or T_0 space is also known as a T_3 space.  (Contributed
     by Mario Carneiro, 24-Aug-2015.) $)
  reghaus $p |- ( J e. Reg -> ( J e. Haus <-> J e. Kol2 ) ) $=
    ( creg wcel cha ct0 ct1 haust1 t1t0 syl ckq cfv regr1 anim2i ishaus3 sylibr
    wa expcom impbid2 ) ABCZADCZAECZTAFCUAAGAHIUASTUASPUAAJKDCZPTSUBUAALMANOQR
    $.

  $( A T_1 normal space is Hausdorff.  A Hausdorff or T_1 normal space is also
     known as a T_4 space.  (Contributed by Mario Carneiro, 24-Aug-2015.) $)
  nrmhaus $p |- ( J e. Nrm -> ( J e. Haus <-> J e. Fre ) ) $=
    ( cnrm wcel cha ct1 haust1 creg nrmreg ex reghaus syl5ibrcom sylcom impbid2
    ct0 t1t0 ) ABCZADCZAECZAFPRAGCZQPRSAHIRQSANCAOAJKLM $.


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Filters and filter bases
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Filter bases
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d w x y z X $.  $d w y z B $.  $d x y C $.  $d x z D $.  $d x y V $.
    $d w z ph $.  $d w x y Y $.  $d x y ps $.
    elmptrab.f $e |- F = ( x e. D |-> { y e. B | ph } ) $.
    elmptrab.s1 $e |- ( ( x = X /\ y = Y ) -> ( ph <-> ps ) ) $.
    elmptrab.s2 $e |- ( x = X -> B = C ) $.
    elmptrab.ex $e |- ( x e. D -> B e. V ) $.
    $( Membership in a one-parameter class of sets.  (Contributed by Stefan
       O'Rear, 28-Jul-2015.) $)
    elmptrab $p |- ( Y e. ( F ` X ) <-> ( X e. D /\ Y e. C /\ ps ) ) $=
      ( vw vz wcel wsbc nfv cfv w3a crab mptrcl simp1 cv csb wa cvv wceq csbeq1
      dfsbcq rabeqbidv nfsbc1v nfcsb1v nfrabw weq csbeq1a sbceq1a nfsbcw sbccom
      cmpt nfcv wb equcoms bitr4id cbvrabw eqtr4di cbvmpt eqtri wi nfel1 eleq1w
      eleq1d imbi12d chvarfv rabexg syl fvmpt3 eleq2d sbcbidv elrab a1i csbiegf
      nfim nfcvd anbi1d sbc2iegf pm5.32da 3bitrd 3anass baibr pm5.21nii ) KJHUA
      ZRZJGRZWPKFRZBUBZCGADEUCZHKJLUDWPWQBUEWPWOKADPUFZSZCJSZPCJEUGZUCZRZWQBUHZ
      WRWPWNXDKQJXACQUFZSZPCXGEUGZUCZXDGHUIXGJUJXHXBPXIXCCXGJEUKXACXGJULUMHCGWS
      VBQGXJVBLCQGWSXJQWSVCXHCPXIXACXGUNCXGEUOZUPCQUQZWSACXGSZDXIUCXJXLAXMDEXIC
      XGEURZACXGUSUMXHXMPDXIPXIVCDXIVCXADCXGDXGVCADWTUNUTXMPTPDUQXHXMDWTSZXMACD
      XGWTVAXMXOVDDPXMDWTUSVEVFVGVHVIVJXGGRZXIIRZXJUIRCUFGRZEIRZVKXPXQVKCQXPXQC
      XPCTCXIIXKVLWEXLXRXPXSXQCQGVMXLEXIIXNVNVOOVPXHPXIIVQVRVSVTWPXEKXCRZADKSZC
      JSZUHZWQYBUHXFXEYCVDWPXBYBPKXCWTKUJXAYACJADWTKULWAWBWCWPXTWQYBWPXCFKCJEFG
      WPCFWFNWDVTWGWPWQYBBABCDJKGFBCTBDTWQCTMWHWIWJWRWPXFWPWQBWKWLWJWM $.
  $}

  ${
    $d x y ps $.  $d x y X $.  $d x y Y $.  $d x y C $.  $d x y W $.  $d y B $.
    elmptrab2.f $e |- F = ( x e. _V |-> { y e. B | ph } ) $.
    elmptrab2.s1 $e |- ( ( x = X /\ y = Y ) -> ( ph <-> ps ) ) $.
    elmptrab2.s2 $e |- ( x = X -> B = C ) $.
    elmptrab2.ex $e |- B e. _V $.
    elmptrab2.rc $e |- ( Y e. C -> X e. W ) $.
    $( Membership in a one-parameter class of sets, indexed by arbitrary base
       sets.  (Contributed by Stefan O'Rear, 28-Jul-2015.)  (Revised by AV,
       26-Mar-2021.) $)
    elmptrab2 $p |- ( Y e. ( F ` X ) <-> ( Y e. C /\ ps ) ) $=
      ( cfv wcel cvv w3a wa a1i elmptrab 3simpc elexd adantr simpl simpr impbii
      cv 3jca bitri ) JIGPQIRQZJFQZBSZUMBTZABCDEFRGRIJKLMERQCUIRQNUAUBUNUOULUMB
      UCUOULUMBUMULBUMIHOUDUEUMBUFUMBUGUJUHUK $.
  $}

  ${
    $d x y z w F $.  $d x y z w B $.
    $( The predicate " ` F ` is a filter base."  Note that some authors require
       filter bases to be closed under pairwise intersections, but that is not
       necessary under our definition.  One advantage of this definition is
       that tails in a directed set form a filter base under our meaning.
       (Contributed by Jeff Hankins, 1-Sep-2009.)  (Revised by Mario Carneiro,
       28-Jul-2015.) $)
    isfbas $p |- ( B e. A -> ( F e. ( fBas ` B ) <->
          ( F C_ ~P B /\ ( F =/= (/) /\ (/) e/ F /\
              A. x e. F A. y e. F ( F i^i ~P ( x i^i y ) ) =/= (/) ) ) ) ) $=
      ( vw vz wcel cfbas cvv cpw c0 wne wnel cv cin wral w3a wa wceq cfv wss wb
      df-fbas neeq1 neleq2 ineq1 neeq1d raleqbi1dv 3anbi123d adantl pweqd vpwex
      pweq pwex elmptrab 3anass bitri pwexg elpw2g anbi1d elex biantrurd bitr3d
      a1i syl bitr4id ) DCHZEDIUAHZDJHZEDKZKZHZELMZLENZEAOBOPKZPZLMZBEQZAEQZRZS
      ZSZEVKUBZWASZVIVJVMWARWCFOZLMZLWFNZWFVPPZLMZBWFQZAWFQZRZWAGFGOZKZKZVLJIJD
      EFABGUDWFETZWMWAUCWNDTZWQWGVNWHVOWLVTWFELUEWFELUFWKVSAWFEWJVRBWFEWQWIVQLW
      FEVPUGUHUIUIUJUKWRWOVKWNDUNULWPJHWNJHWOGUMUOVEUPVJVMWAUQURVHWBWEWCVHVMWDW
      AVHVKJHVMWDUCDCUSEVKJUTVFVAVHVJWBDCVBVCVDVG $.
  $}

  ${
    $d x y F $.  $d x y B $.
    $( There are no empty filter bases.  (Contributed by Jeff Hankins,
       1-Sep-2009.)  (Revised by Mario Carneiro, 28-Jul-2015.) $)
    fbasne0 $p |- ( F e. ( fBas ` B ) -> F =/= (/) ) $=
      ( vx vy cfbas cfv wcel cpw wss c0 wne wnel cv cin wral w3a wa cdm wb syl
      elfvdm isfbas ibi simpr1 ) BAEFGZBAHIZBJKZJBLZBCMDMNHNJKDBOCBOZPQZUGUEUJU
      EAERZGUEUJSBAEUACDUKABUBTUCUFUGUHUIUDT $.
  $}

  ${
    $d x y F $.  $d x y B $.
    $( No filter base contains the empty set.  (Contributed by Jeff Hankins,
       1-Sep-2009.)  (Revised by Mario Carneiro, 28-Jul-2015.) $)
    0nelfb $p |- ( F e. ( fBas ` B ) -> -. (/) e. F ) $=
      ( vx vy cfbas cfv wcel c0 wnel wn cpw wss wne cv cin wral w3a wa cdm syl
      wb elfvdm isfbas ibi simpr2 df-nel sylib ) BAEFGZHBIZHBGJUHBAKLZBHMZUIBCN
      DNOKOHMDBPCBPZQRZUIUHUMUHAESZGUHUMUABAEUBCDUNABUCTUDUJUKUIULUETHBUFUG $.
  $}

  ${
    $d F x y $.  $d B x y $.
    $( A filter base on a set is a subset of the power set.  (Contributed by
       Stefan O'Rear, 28-Jul-2015.) $)
    fbsspw $p |- ( F e. ( fBas ` B ) -> F C_ ~P B ) $=
      ( vx vy cfbas cfv wcel cpw wss c0 wne wnel cv cin wral w3a wa cdm elfvdm
      wb isfbas syl ibi simpld ) BAEFGZBAHIZBJKJBLBCMDMNHNJKDBOCBOPZUEUFUGQZUEA
      ERZGUEUHTBAESCDUIABUAUBUCUD $.

    $( An element of the filter base is a subset of the base set.  (Contributed
       by Stefan O'Rear, 28-Jul-2015.) $)
    fbelss $p |- ( ( F e. ( fBas ` B ) /\ X e. F ) -> X C_ B ) $=
      ( cfbas cfv wcel wa cpw fbsspw sselda elpwid ) BADEFZCBFGCALBAHCABIJK $.

    $( The domain of a filter base is nonempty.  (Contributed by Mario
       Carneiro, 28-Nov-2013.)  (Revised by Stefan O'Rear, 28-Jul-2015.) $)
    fbdmn0 $p |- ( F e. ( fBas ` B ) -> B =/= (/) ) $=
      ( vx cfbas cfv wcel c0 wn wne 0nelfb wceq fveq2 eleq2d biimpd wex fbasne0
      cv n0 sylib wa wss fbelss ss0 syl eqeltrrd exlimddv syl6com necon3bd mpd
      simpr ) BADEZFZGBFZHAGIABJULUMAGAGKZULBGDEZFZUMUNULUPUNUKUOBAGDLMNUPCQZBF
      ZUMCUPBGIURCOGBPCBRSUPURTZUQGBUSUQGUAUQGKGBUQUBUQUCUDUPURUJUEUFUGUHUI $.
  $}

  ${
    $d x y z F $.  $d x y z B $.
    $( The predicate " ` F ` is a filter base."  (Contributed by Jeff Hankins,
       1-Sep-2009.)  (Revised by Stefan O'Rear, 28-Jul-2015.) $)
    isfbas2 $p |- ( B e. A -> ( F e. ( fBas ` B ) <->
          ( F C_ ~P B /\ ( F =/= (/) /\ (/) e/ F /\
              A. x e. F A. y e. F E. z e. F z C_ ( x i^i y ) ) ) ) ) $=
      ( wcel cfbas cfv cpw wss c0 wne cv cin wral w3a wa wex anbi2i wnel isfbas
      wrex elin velpw bitri exbii n0 df-rex 3bitr4i 2ralbii 3anbi3i bitrdi ) ED
      GFEHIGFEJKZFLMZLFUAZFANBNOZJZOZLMZBFPAFPZQZRUNUOUPCNZUQKZCFUCZBFPAFPZQZRA
      BDEFUBVBVGUNVAVFUOUPUTVEABFFVCUSGZCSVCFGZVDRZCSUTVEVHVJCVHVIVCURGZRVJVCFU
      RUDVKVDVICUQUETUFUGCUSUHVDCFUIUJUKULTUM $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z F $.  $d x y z X $.
    $( A filter base contains subsets of its pairwise intersections.
       (Contributed by Jeff Hankins, 1-Sep-2009.)  (Revised by Jeff Hankins,
       1-Dec-2010.) $)
    fbasssin $p |- ( ( F e. ( fBas ` X ) /\ A e. F /\ B e. F ) ->
        E. x e. F x C_ ( A i^i B ) ) $=
      ( vy vz cfbas cfv wcel cv cin wss wrex wral wa c0 wceq sseq2d rexbidv wne
      wnel cpw w3a cdm elfvdm isfbas2 syl ibi simprd simp3d ineq1 ineq2 syl5com
      wb rspc2v 3impib ) DEHIJZBDJZCDJZAKZBCLZMZADNZURVAFKZGKZLZMZADNZGDOFDOZUS
      UTPVDURDQUAZQDUBZVJURDEUCMZVKVLVJUDZURVMVNPZUREHUEZJURVOUODEHUFFGAVPEDUGU
      HUIUJUKVIVDVABVFLZMZADNFGBCDDVEBRZVHVRADVSVGVQVAVEBVFULSTVFCRZVRVCADVTVQV
      BVAVFCBUMSTUPUNUQ $.
  $}

  ${
    $d t x A $.  $d t u v x y z F $.  $d u v x y z X $.
    $( A filter base contains subsets of its finite intersections.
       (Contributed by Mario Carneiro, 26-Nov-2013.)  (Revised by Stefan
       O'Rear, 28-Jul-2015.) $)
    fbssfi $p |- ( ( F e. ( fBas ` X ) /\ A e. ( fi ` F ) ) ->
        E. x e. F x C_ A ) $=
      ( vt vz vu vv vy wcel wa cv wss wrex wral wi wceq sseq2 rexbidv cvv cfbas
      cfv cfi cuni cpw crab cin cab cint dffi2 inss1 simp1r elpwid sstrid inex1
      w3a vex elpw sylibr simpl fbasssin syl3an ss2in ad2ant2l 3adant1 sstr syl
      expcom mpd elrabd 3expa rexlimdvaa ralrimivw sseq1 cbvrexvw bitrdi ralrab
      reximdv ralrimiva pwuni ssid rspcev mpan2 rgen ssrab mpbir2an jctil pwexg
      wb uniexg rabexg eleq2 raleqbi1dv anbi12d elabg 4syl mpbird intss1 sselda
      eqsstrd elrab simprbi ) CDUAUBZJZBCUCUBZJKBALZELZMZACNZECUDZUEZUFZJZXFBMZ
      ACNZXDXEXLBXDXECFLZMZGLZHLZUGZXPJZHXPOZGXPOZKZFUHZUIZXLGHFCXCUJXDXLYEJZYF
      XLMXDYGCXLMZXTXLJZHXLOZGXLOZKZXDYKYHXDILZXRMZICNZYJPZGXKOYKXDYPGXKXDXRXKJ
      ZKZYNYJICYRYMCJZYNKZKZXPXSMZFCNZYIPZHXKOYJUUAUUDHXKUUAUUBYIFCYRYTXPCJZUUB
      KZYIYRYTUUFUPZXIXFXTMZACNZEXTXKXGXTQXHUUHACXGXTXFRSUUGXTXJMXTXKJUUGXTXRXJ
      XRXSUKUUGXRXJXDYQYTUUFULUMUNXTXJXRXSGUQUOURUSUUGXFYMXPUGZMZACNZUUIYRXDYTY
      SUUFUUEUULXDYQUTYSYNUTUUEUUBUTAYMXPCDVAVBUUGUUKUUHACUUGUUJXTMZUUKUUHPYTUU
      FUUMYRYNUUBUUMYSUUEYMXRXPXSVCVDVEUUKUUMUUHXFUUJXTVFVHVGVRVIVJVKVLVMXIUUCY
      IHEXKXGXSQZXIXFXSMZACNUUCUUNXHUUOACXGXSXFRSUUOUUBAFCXFXPXSVNVOVPVQUSVLVSX
      IYOYJGEXKXGXRQZXIXFXRMZACNYOUUPXHUUQACXGXRXFRSUUQYNAICXFYMXRVNVOVPVQUSYHC
      XKMXIECOCVTXIECXGCJXGXGMZXIXGWAXHUURAXGCXFXGXGVNWBWCWDXIEXKCWEWFWGXDXJTJX
      KTJXLTJYGYLWICXCWJXJTWHXIEXKTWKYDYLFXLTXPXLQXQYHYCYKXPXLCRYBYJGXPXLYAYIHX
      PXLXPXLXTWLWMWMWNWOWPWQXLYEWRVGWTWSXMBXKJXOXIXOEBXKXGBQXHXNACXGBXFRSXAXBV
      G $.
  $}

  ${
    $d x A $.  $d x F $.  $d x B $.
    $( A filter base contains subsets of its finite intersections.
       (Contributed by Jeff Hankins, 1-Sep-2009.)  (Revised by Stefan O'Rear,
       28-Jul-2015.) $)
    fbssint $p |- ( ( F e. ( fBas ` B ) /\ A C_ F /\ A e. Fin ) ->
        E. x e. F x C_ |^| A ) $=
      ( cfbas cfv wcel wss cfn w3a cv cint wrex c0 wceq wi cvv wex wne wa sylib
      fbasne0 ssv jctr eximi df-rex sylibr syl inteq int0 eqtrdi sseq2d rexbidv
      syl5ibrcom 3ad2ant1 cfi simpl1 simpl2 simpr simpl3 elfir syl13anc syl2anc
      n0 fbssfi ex pm2.61dne ) DCEFZGZBDHZBIGZJZAKZBLZHZADMZBNVIVJBNOZVPPVKVIVP
      VQVMQHZADMZVIVMDGZARZVSVIDNSWACDUBADVDUAWAVTVRTZARVSVTWBAVTVRVMUCUDUEVRAD
      UFUGUHVQVOVRADVQVNQVMVQVNNLQBNUIUJUKULUMUNUOVLBNSZVPVLWCTZVIVNDUPFGZVPVIV
      JVKWCUQZWDVIVJWCVKWEWFVIVJVKWCURVLWCUSVIVJVKWCUTBDVHVAVBAVNDCVEVCVFVG $.
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.  $d x X $.
    $( A filter base does not contain complements of its elements.
       (Contributed by Mario Carneiro, 26-Nov-2013.)  (Revised by Stefan
       O'Rear, 28-Jul-2015.) $)
    fbncp $p |- ( ( F e. ( fBas ` X ) /\ A e. F ) -> -. ( B \ A ) e. F ) $=
      ( vx cfbas cfv wcel wa cdif c0 wn 0nelfb adantr w3a cin wss wrex fbasssin
      cv wceq disjdif sseq2i ss0 sylbi biimpac sylan2 rexlimiva syl 3expia mtod
      eleq1 ) CDFGHZACHZIBAJZCHZKCHZUMUQLUNDCMNUMUNUPUQUMUNUPOETZAUOPZQZECRUQEA
      UOCDSUTUQECUTURCHZURKUAZUQUTURKQVBUSKURABUBUCURUDUEVBVAUQURKCULUFUGUHUIUJ
      UK $.
  $}

  ${
    $d w x y z G $.  $d w x y z F $.  $d w x y z X $.
    $( A necessary and sufficient condition for the union of two filter bases
       to also be a filter base.  (Contributed by Mario Carneiro, 28-Nov-2013.)
       (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    fbun $p |- ( ( F e. ( fBas ` X ) /\ G e. ( fBas ` X ) ) ->
        ( ( F u. G ) e. ( fBas ` X ) <->
          A. x e. F A. y e. G E. z e. ( F u. G ) z C_ ( x i^i y ) ) ) $=
      ( vw cfbas wcel wa cv cin wss wrex wral fbasssin 3expb c0 adantr wn elun1
      cfv cun elun2 anim12i sylan2 ralrimivva cpw wne wnel w3a fbsspw unssd a1d
      adantl ssun1 fbasne0 ssn0 sylancr 0nelfb df-nel elun notbii ioran biimpri
      wo 3bitri syl2an ssrexv mpsyl pm3.2 syl r19.26 ralun ralimi sylbir ralcom
      wi syl6 ineq1 sseq2d rexbidv cbvralvw ralbii ineq2 incom eqtrdi cbvral2vw
      weq biimpi ssun2 expcom jcad 3jcad cdm wb elfvdm isfbas2 sylibrd impbid2
      ) DFHUBZIZEXAIZJZDEUCZXAIZCKZAKZBKZLZMZCXENZBEOZADOZXFXLABDEXHDIZXIEIZJXF
      XHXEIZXIXEIZJXLXOXQXPXRXHDEUAXIEDUDUEXFXQXRXLCXHXIXEFPQUFUGXDXNXEFUHZMZXE
      RUIZRXEUJZXLBXEOZAXEOZUKZJZXFXDXNXTYEXDXTXNXDDEXSXBDXSMXCFDULSXCEXSMXBFEU
      LUOUMUNXDXNYAYBYDXDYAXNXBYAXCXBDXEMZDRUIYADEUPZFDUQDXEURUSSUNXDYBXNXBRDIZ
      TZREIZTZYBXCFDUTFEUTYBYJYLJZYBRXEIZTYIYKVFZTYMRXEVAYNYORDEVBVCYIYKVDVGVEV
      HUNXDXNYCADOZYCAEOZJYDXDXNYPYQXDXNXLBDOZADOZXNJZYPXDYSXNYTVRXBYSXCXBXLABD
      DXBXOXIDIZXLYGXBXOUUAUKXKCDNXLYHCXHXIDFPXKCDXEVIVJQUGSYSXNVKVLYTYRXMJZADO
      YPYRXMADVMUUBYCADXLBDEVNZVOVPVSXDXNYRAEOZXMAEOZJZYQXNXDUUFXNUUDXDUUEXNUUD
      XNXLADOZBEOXGGKZXILZMZCXENZGDOZBEOUUDXLABDEVQUUGUULBEXLUUKAGDAGWIZXKUUJCX
      EUUMXJUUIXGXHUUHXIVTWAWBWCWDUUKXLXGUUHXHLZMZCXENBGABEDBAWIZUUJUUOCXEUUPUU
      IUUNXGXIXHUUHWEWAWBGBWIZUUOXKCXEUUQUUNXJXGUUQUUNXIXHLXJUUHXIXHVTXIXHWFWGW
      AWBWHVGWJXCUUEXBXCXLABEEXCXHEIZXPXLEXEMXCUURXPUKXKCENXLEDWKCXHXIEFPXKCEXE
      VIVJQUGUOUEWLUUFUUBAEOYQYRXMAEVMUUBYCAEUUCVOVPVSWMYCADEVNVSWNWMXDFHWOZIZX
      FYFWPXBUUTXCDFHWQSABCUUSFXEWRVLWSWT $.
  $}

  ${
    $d x y z F $.  $d x S $.  $d x y z B $.
    $( No filter base containing a finite element is free.  (Contributed by
       Jeff Hankins, 5-Dec-2009.)  (Revised by Stefan O'Rear, 28-Jul-2015.) $)
    fbfinnfr $p |- ( ( F e. ( fBas ` B ) /\ S e. F /\ S e. Fin ) ->
        |^| F =/= (/) ) $=
      ( vx vy vz wcel cfn c0 wne wa cv wi wceq eleq1 anbi2d imbi1d wss wn wrex
      cfbas cfv cint wpss wal wral bi2.04 wb ibar adantr bitr4id albidv bitr4di
      df-ral 0nelfb notbid syl5ibrcom necon2ad imp ssn0 ex syl5com ssint notbii
      a1dd rexnal bitr4i w3a cin fbasssin sspsstr sylan2b expcom reximdv 3expia
      nssinpss rexlimdv syl5bi r19.29 id rexlimivw syl pm2.61d sylbid com12 a1i
      syl6 findcard3 3impia ) CAUAUBGZBCGZBHGZCUCZIJZWLWJWKKZWNWJDLZCGZKZWNMZWJ
      ELZCGZKZWNMZWOWNMDEBWPWTNZWRXBWNXDWQXAWJWPWTCOPQWPBNZWRWOWNXEWQWKWJWPBCOP
      QWPWTUDZWSMZDUEZXCMWTHGXBXHWNXBXHXFWNMZDCUFZWNXBXHWQXIMZDUEXJXBXGXKDXBXGW
      RXIMXKXFWRWNUGXBWQWRXIWJWQWRUHXAWJWQUIUJQUKULXIDCUNUMXBWTWMRZXJWNMZXBXLWN
      XJXBWTIJZXLWNWJXAXNWJXAWTIWJXASWTINZICGZSACUOXOXAXPWTICOUPUQURUSXLXNWNWTW
      MUTVAVBVEXBXLSZXFDCTZXMXQWTFLZRZSZFCTZXBXRXQXTFCUFZSYBXLYCFWTCVCVDXTFCVFV
      GXBYAXRFCWJXAXSCGZYAXRMWJXAYDVHWPWTXSVIZRZDCTYAXRDWTXSCAVJYAYFXFDCYFYAXFY
      AYFYEWTUDXFWTXSVPWPYEWTVKVLVMVNVBVOVQVRXJXRWNXJXRKXIXFKZDCTWNXIXFDCVSYGWN
      DCXIXFWNXIVTUSWAWBVMWGWCWDWEWFWHWEWI $.
  $}

  ${
    $d r s t x J $.  $d r s t x S $.  $d r s t x X $.
    opnfbas.1 $e |- X = U. J $.
    $( The collection of open supersets of a nonempty set in a topology is a
       neighborhoods of the set, one of the motivations for the filter concept.
       (Contributed by Jeff Hankins, 2-Sep-2009.)  (Revised by Mario Carneiro,
       7-Aug-2015.) $)
    opnfbas $p |- ( ( J e. Top /\ S C_ X /\ S =/= (/) ) ->
        { x e. J | S C_ x } e. ( fBas ` X ) ) $=
      ( vt vr vs wcel wss c0 wne w3a cv wral wa sseq2 elrab sylibr wn ctop crab
      cfbas cfv cpw wnel cin wrex ssrab2 cuni eqimss2i sspwuni mpbir a1i topopn
      sstri anim1i 3adant3 ne0d ss0 necon3ai intnand df-nel notbii bitr2i sylib
      3ad2ant3 anbi12i simpl simprll simprrl inopn syl3anc ssin biimpi ad2ant2l
      adantl jca 3ad2antl1 ssid rspcev sylancl ex syl5bi ralrimivv 3jca isfbas2
      sseq1 wb syl 3ad2ant1 mpbir2and ) CUAIZBDJZBKLZMZBANZJZACUBZDUCUDIZWSDUEZ
      JZWSKLZKWSUFZFNZGNZHNZUGZJZFWSUHZHWSOGWSOZMZXBWPWSCXAWRACUICXAJCUJZDJDXME
      UKCDULUMUPUNWPXCXDXKWPWSDWPDCIZWNPZDWSIWMWNXOWOWMXNWNCDEUOZUQURWRWNADCWQD
      BQRSUSWPKCIZBKJZPZTZXDWPXRXQWOWMXRTWNXRBKBUTVAVGVBXDKWSIZTXTKWSVCYAXSWRXR
      AKCWQKBQRVDVEVFWPXJGHWSWSXFWSIZXGWSIZPXFCIZBXFJZPZXGCIZBXGJZPZPZWPXJYBYFY
      CYIWRYEAXFCWQXFBQRWRYHAXGCWQXGBQRVHWPYJXJWPYJPZXHWSIZXHXHJZXJYKXHCIZBXHJZ
      PZYLWMWNYJYPWOWMYJPZYNYOYQWMYDYGYNWMYJVIWMYDYEYIVJWMYFYGYHVKXFXGCVLVMYJYO
      WMYEYHYOYDYGYEYHPYOBXFXGVNVOVPVQVRVSWRYOAXHCWQXHBQRSXHVTXIYMFXHWSXEXHXHWH
      WAWBWCWDWEWFWMWNWTXBXLPWIZWOWMXNYRXPGHFCDWSWGWJWKWL $.
  $}

  ${
    $d v w x y z A $.  $d v w x y z F $.  $d w x y z Y $.
    $( Conditions for the trace of a filter base ` F ` to be a filter base.
       (Contributed by Mario Carneiro, 13-Oct-2015.) $)
    trfbas2 $p |- ( ( F e. ( fBas ` Y ) /\ A C_ Y ) ->
      ( ( F |`t A ) e. ( fBas ` A ) <-> -. (/) e. ( F |`t A ) ) ) $=
      ( vx vy vz vw cfbas wcel wss wa c0 cvv cpw wne cv cin wral wb a1i co wnel
      cfv crest wn cdm elfvdm ssexg ancoms sylan restsspw wex fbasne0 adantr n0
      sylib elrestr 3expia syldan ne0i syl6 exlimdv wrex fbasssin 3expb adantlr
      wi mpd simplll ad2antrr simprl syl3anc ssrin ad2antll inex1 sylibr inelcm
      vex elpw syl2anc rexlimddv ralrimivva elrest ineq12 inindir eqtr4di pweqd
      wceq ineq2d neeq1d adantll ralxfr2d mpbird isfbas 3anan32 bitrdi syl22anc
      w3a baibd df-nel ) BCHUCZIZACJZKZBAUDUAZAHUCIZLXEUBZLXEIUEXDAMIZXEANJZXEL
      OZXEDPZEPZQZNZQZLOZEXERZDXERZXFXGSXBCHUFZIZXCXHBCHUGXCXTXHACXSUHUIUJZXIXD
      ABUKTXDXKBIZDULZXJXDBLOZYCXBYDXCCBUMUNDBUOUPXDYBXJDXDYBXKAQZXEIZXJXBXCXHY
      BYFVGYAXBXHYBYFXKABXAMUQZURUSXEYEUTVAVBVHXDXRXEFPZGPZQZAQZNZQZLOZGBRZFBRX
      DYNFGBBXDYHBIZYIBIZKZKZXKYJJZYNDBXBYRYTDBVCZXCXBYPYQUUADYHYIBCVDVEVFYSYBY
      TKZKZYFYEYLIZYNUUCXBXHYBYFXBXCYRUUBVIXDXHYRUUBYAVJYSYBYTVKYGVLUUCYEYKJZUU
      DYTUUEYSYBXKYJAVMVNYEYKXKADVRVOVSVPYEXEYLVQVTWAWBXDXQYODFYHAQZXEBMUUFMIXD
      YPKYHAFVRVOTXBXCXHXKXEIXKUUFWHZFBVCSYAFXKABXAMWCUSXDUUGKZXPYNEGYIAQZXEBMU
      UIMIUUHYQKYIAGVRVOTXDXLXEIXLUUIWHZGBVCSZUUGXBXCXHUUKYAGXLABXAMWCUSUNUUGUU
      JXPYNSXDUUGUUJKZXOYMLUULXNYLXEUULXMYKUULXMUUFUUIQYKXKUUFXLUUIWDYHYIAWEWFW
      GWIWJWKWLWLWMXHXIKZXFXJXRKZXGUUMXFXJXGXRWRZUUNXGKXHXFXIUUODEMAXEWNWSXJXGX
      RWOWPWSWQLXEWTWP $.

    $( Conditions for the trace of a filter base ` F ` to be a filter base.
       (Contributed by Mario Carneiro, 13-Oct-2015.) $)
    trfbas $p |- ( ( F e. ( fBas ` Y ) /\ A C_ Y ) ->
      ( ( F |`t A ) e. ( fBas ` A ) <-> A. v e. F ( v i^i A ) =/= (/) ) ) $=
      ( cfbas cfv wcel wss wa crest co c0 wn cv cin wne wral trfbas2 wceq cvv
      wb cdm elfvdm ssexg ancoms sylan elrest syldan notbid nesym ralbii ralnex
      wrex bitri bitr4di bitrd ) CDEFZGZBDHZIZCBJKZBEFGLVAGZMZANBOZLPZACQZBCDRU
      TVCLVDSZACUMZMZVFUTVBVHURUSBTGZVBVHUAURDEUBZGZUSVJCDEUCUSVLVJBDVKUDUEUFAL
      BCUQTUGUHUIVFVGMZACQVIVEVMACVDLUJUKVGACULUNUOUP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Filters
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Fil $. $( The class of all filters. $)

  $( Extend class notation with the set of filters on a set. $)
  cfil $a class Fil $.

  ${
    $d f x z $.
    $( The set of filters on a set.  Definition 1 (axioms FI, FIIa, FIIb, FIII)
       of [BourbakiTop1] p.  I.36.  Filters are used to define the concept of
       limit in the general case.  They are a generalization of the idea of
       neighborhoods.  Suppose you are in ` RR ` .  With neighborhoods you can
       express the idea of a variable that tends to a specific number but you
       can't express the idea of a variable that tends to infinity.  Filters
       relax the "axioms" of neighborhoods and then succeed in expressing the
       idea of something that tends to infinity.  Filters were invented by
       Cartan in 1937 and made famous by Bourbaki in his treatise.  A notion
       similar to the notion of filter is the concept of net invented by Moore
       and Smith in 1922.  (Contributed by FL, 20-Jul-2007.)  (Revised by
       Stefan O'Rear, 28-Jul-2015.) $)
    df-fil $a |- Fil = ( z e. _V |-> { f e. ( fBas ` z ) |
      A. x e. ~P z ( ( f i^i ~P x ) =/= (/) -> x e. f ) } ) $.
  $}

  ${
    $d F f x z $.  $d X f x z $.
    $( The predicate "is a filter."  (Contributed by FL, 20-Jul-2007.)
       (Revised by Mario Carneiro, 28-Jul-2015.) $)
    isfil $p |- ( F e. ( Fil ` X ) <-> ( F e. ( fBas ` X ) /\
          A. x e. ~P X ( ( F i^i ~P x ) =/= (/) -> x e. F ) ) ) $=
      ( vf vz cv cpw cin c0 wne wel wi wral wcel cfbas cfv cfil cdm df-fil wceq
      wa pweq adantr wb ineq1 neeq1d eleq2 imbi12d adantl raleqbidv fvex elfvdm
      fveq2 elmptrab2 ) DFZAFZGZHZIJZADKZLZAEFZGZMBUQHZIJZUPBNZLZACGZMEDVBOPCOP
      QORCBAEDSVBCTZUOBTZUAVAVGAVCVHVIVCVHTVJVBCUBUCVJVAVGUDVIVJUSVEUTVFVJURVDI
      UOBUQUEUFUOBUPUGUHUIUJVBCOUMVBOUKBCOULUN $.
  $}

  ${
    $d x F $.  $d x X $.
    $( A filter is a filter base.  (Contributed by Jeff Hankins, 2-Sep-2009.)
       (Revised by Mario Carneiro, 28-Jul-2015.) $)
    filfbas $p |- ( F e. ( Fil ` X ) -> F e. ( fBas ` X ) ) $=
      ( vx cfil cfv wcel cfbas cv cpw cin c0 wne wi wral isfil simplbi ) ABDEFA
      BGEFACHZIJKLQAFMCBINCABOP $.
  $}

  $( The empty set doesn't belong to a filter.  (Contributed by FL,
     20-Jul-2007.)  (Revised by Mario Carneiro, 28-Jul-2015.) $)
  0nelfil $p |- ( F e. ( Fil ` X ) -> -. (/) e. F ) $=
    ( cfil cfv wcel cfbas c0 wn filfbas 0nelfb syl ) ABCDEABFDEGAEHABIBAJK $.

  $( An element of a filter is nonempty.  (Contributed by FL, 24-May-2011.)
     (Revised by Mario Carneiro, 28-Jul-2015.) $)
  fileln0 $p |- ( ( F e. ( Fil ` X ) /\ A e. F ) -> A =/= (/) ) $=
    ( wcel c0 wn wne cfil cfv id 0nelfil nelne2 syl2anr ) ABDZNEBDFAEGBCHIDNJBC
    KAEBLM $.

  $( A filter is a subset of the power set of the base set.  (Contributed by
     Stefan O'Rear, 28-Jul-2015.) $)
  filsspw $p |- ( F e. ( Fil ` X ) -> F C_ ~P X ) $=
    ( cfil cfv wcel cfbas cpw wss filfbas fbsspw syl ) ABCDEABFDEABGHABIBAJK $.

  $( An element of a filter is a subset of the base set.  (Contributed by
     Stefan O'Rear, 28-Jul-2015.) $)
  filelss $p |- ( ( F e. ( Fil ` X ) /\ A e. F ) -> A C_ X ) $=
    ( cfil cfv wcel cfbas wss filfbas fbelss sylan ) BCDEFBCGEFABFACHBCICBAJK
    $.

  ${
    $d B x $.  $d F x $.  $d X x $.
    $( A filter is closed under taking supersets.  (Contributed by FL,
       20-Jul-2007.)  (Revised by Stefan O'Rear, 28-Jul-2015.) $)
    filss $p |- ( ( F e. ( Fil ` X ) /\ ( A e. F /\ B C_ X /\ A C_ B ) ) ->
        B e. F ) $=
      ( vx cfil cfv wcel wss w3a wa cv cpw cin c0 wne wi wral cfbas isfil simp2
      simprbi adantr cdm elfvdm elpw2g biimpar syl2an simpr1 simpr3 inelcm wceq
      elpwd syl2anc pweq ineq2d neeq1d eleq1 imbi12d rspccv syl3c ) CDFGHZACHZB
      DIZABIZJZKZCELZMZNZOPZVHCHZQZEDMZRZBVNHZCBMZNZOPZBCHZVBVOVFVBCDSGHVOECDTU
      BUCVBDFUDZHZVDVPVFCDFUEVCVDVEUAWBVPVDBDWAUFUGUHVGVCAVQHVSVBVCVDVEUIZVGABC
      WCVBVCVDVEUJUMACVQUKUNVMVSVTQEBVNVHBULZVKVSVLVTWDVJVROWDVIVQCVHBUOUPUQVHB
      CURUSUTVA $.
  $}

  ${
    $d A x $.  $d B x $.  $d F x $.  $d X x $.
    $( A filter is closed under taking intersections.  (Contributed by FL,
       20-Jul-2007.)  (Revised by Stefan O'Rear, 28-Jul-2015.) $)
    filin $p |- ( ( F e. ( Fil ` X ) /\ A e. F /\ B e. F ) ->
        ( A i^i B ) e. F ) $=
      ( vx cfil cfv wcel w3a cv cin wss cfbas filfbas fbasssin syl3an1 wi inss1
      wrex wa filelss sstrid filss 3exp2 com23 imp rexlimdv syldan 3adant3 mpd
      ) CDFGHZACHZBCHZIEJZABKZLZECSZUOCHZUKCDMGHULUMUQCDNEABCDOPUKULUQURQZUMUKU
      LUODLZUSUKULTUOADABRACDUAUBUKUTTUPURECUKUTUNCHZUPURQZQUKVAUTVBUKVAUTUPURU
      NUOCDUCUDUEUFUGUHUIUJ $.
  $}

  ${
    $d F x $.  $d X x $.
    $( The underlying set belongs to the filter.  (Contributed by FL,
       20-Jul-2007.)  (Revised by Stefan O'Rear, 28-Jul-2015.) $)
    filtop $p |- ( F e. ( Fil ` X ) -> X e. F ) $=
      ( vx cfil cfv wcel c0 wne cfbas filfbas fbasne0 syl cv wex n0 wss filelss
      wa wi mpd ssid filss 3exp2 imp mpi ex exlimdv syl5bi ) ABDEFZAGHZBAFZUIAB
      IEFUJABJBAKLUJCMZAFZCNUIUKCAOUIUMUKCUIUMUKUIUMRZULBPZUKULABQUNBBPZUOUKSZB
      UAUIUMUPUQSUIUMUPUOUKULBABUBUCUDUETUFUGUHT $.
  $}

  ${
    $d F x y z $.  $d X x y z $.
    $( Derive the standard axioms of a filter.  (Contributed by Mario Carneiro,
       27-Nov-2013.)  (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    isfil2 $p |- ( F e. ( Fil ` X ) <->
        ( ( F C_ ~P X /\ -. (/) e. F /\ X e. F ) /\
          A. x e. ~P X ( E. y e. F y C_ x -> x e. F ) /\
          A. x e. F A. y e. F ( x i^i y ) e. F ) ) $=
      ( vz cfv wcel cpw wss c0 w3a cv wrex wi wral cin 3jca elpwi wa ralimi imp
      cfil wn filsspw 0nelfil filtop filss 3exp2 com23 rexlimdv ralrimiva filin
      sylan2 3expb ralrimivva cfbas wne wnel simp11 simp13 simp12 df-nel sylibr
      ne0d ssid sseq1 rspcev mpan2 3ad2ant3 wb isfbas2 syl mpbir2and wex anim2i
      n0 elin sylbi eximi df-rex imim1i 3ad2ant2 isfil sylanbrc impbii ) CDUBFG
      ZCDHZIZJCGUCZDCGZKZBLZALZIZBCMZWMCGZNZAWGOZWMWLPZCGZBCOZACOZKZWFWKWRXBWFW
      HWIWJCDUDCDUECDUFQWFWQAWGWMWGGWFWMDIZWQWMDRWFXDSWNWPBCWFXDWLCGZWNWPNZNWFX
      EXDXFWFXEXDWNWPWLWMCDUGUHUIUAUJUMUKWFWTABCCWFWPXEWTWMWLCDULUNUOQXCCDUPFGZ
      CWMHZPZJUQZWPNZAWGOZWFXCXGWHCJUQZJCURZELZWSIZECMZBCOZACOZKZWHWIWJWRXBUSXC
      XMXNXSXCCDWHWIWJWRXBUTZVDXCWIXNWHWIWJWRXBVAJCVBVCXBWKXSWRXAXRACWTXQBCWTWS
      WSIZXQWSVEXPYBEWSCXOWSWSVFVGVHTTVIQXCWJXGWHXTSVJYAABECDCVKVLVMWRWKXLXBWQX
      KAWGXJWOWPXJXEWNSZBVNZWOXJWLXIGZBVNYDBXIVPYEYCBYEXEWLXHGZSYCWLCXHVQYFWNXE
      WLWMRVOVRVSVRWNBCVTVCWATWBACDWCWDWE $.
  $}

  ${
    $d x y A $.  $d z A $.  $d x y F $.  $d y z F $.  $d x y ph $.
    $d y z ph $.  $d y ps $.  $d y B $.
    isfild.1 $e |- ( ph -> ( x e. F <-> ( x C_ A /\ ps ) ) ) $.
    isfild.2 $e |- ( ph -> A e. V ) $.
    $( Lemma for ~ isfild .  (Contributed by Mario Carneiro, 1-Dec-2013.) $)
    isfildlem $p |- ( ph -> ( B e. F <-> ( B C_ A /\ [. B / x ]. ps ) ) ) $=
      ( vy cvv wcel wss wsbc wa wi wb cv wceq nfv elex a1i ssexg expcom adantrd
      syl eleq1 dfsbcq anbi12d bibi12d imbi2d nfsbc1v nfan nfbi sbceq1a chvarfv
      sseq1 nfim vtoclg com12 pm5.21ndd ) AEKLZEFLZEDMZBCENZOZVCVBPAEFUAUBAVDVB
      VEADGLZVDVBPIVDVGVBEDGUCUDUFUEVBAVCVFQZAJRZFLZVIDMZBCVINZOZQZPZAVHPJEKVIE
      SZVNVHAVPVJVCVMVFVIEFUGVPVKVDVLVEVIEDUQBCVIEUHUIUJUKACRZFLZVQDMZBOZQZPVOC
      JAVNCACTVJVMCVJCTVKVLCVKCTBCVIULUMUNURVQVISZWAVNAWBVRVJVTVMVQVIFUGWBVSVKB
      VLVQVIDUQBCVIUOUIUJUKHUPUSUTVA $.

    isfild.3 $e |- ( ph -> [. A / x ]. ps ) $.
    isfild.4 $e |- ( ph -> -. [. (/) / x ]. ps ) $.
    isfild.5 $e |- ( ( ph /\ y C_ A /\ z C_ y ) ->
                     ( [. z / x ]. ps -> [. y / x ]. ps ) ) $.
    isfild.6 $e |- ( ( ph /\ y C_ A /\ z C_ A )
      -> ( ( [. y / x ]. ps /\ [. z / x ]. ps )
          -> [. ( y i^i z ) / x ]. ps ) ) $.
    $( Sufficient condition for a set of the form ` { x e. ~P A | ph } ` to be
       a filter.  (Contributed by Mario Carneiro, 1-Dec-2013.)  (Revised by
       Stefan O'Rear, 2-Aug-2015.)  (Revised by AV, 10-Apr-2024.) $)
    isfild $p |- ( ph -> F e. ( Fil ` A ) ) $=
      ( wss c0 wcel wa wsbc isfildlem cpw wn w3a cv wrex wi wral cin cfil velpw
      biimpri adantr syl6bi ssrdv simpr mtod ssid jctil mpbird 3jca elpwi simp2
      jctild adantld wb 3ad2ant1 3imtr4d 3expa impancom rexlimdva syl5 ralrimiv
      cfv ex ssinss1 ad2antrr a1i 3expb expimpd syl5bi anbi12d ralrimivv isfil2
      an4 jcad syl3anbrc ) AGFUAZOZPGQZUBZFGQZUCEUDZDUDZOZEGUEWMGQZUFZDWGUGWMWL
      UHZGQZEGUGDGUGGFUIVMQAWHWJWKACGWGACUDZGQWSFOZBRWSWGQZIWTXABXAWTCFUJUKULUM
      UNAWIBCPSZLAWIPFOZXBRXBABCFPGHIJTXCXBUOUMUPAWKFFOZBCFSZRAXEXDKFUQURABCFFG
      HIJTUSUTAWPDWGWMWGQWMFOZAWPWMFVAAXFWPAXFRZWNWOEGXGWNWLGQZWOAXFWNXHWOUFAXF
      WNUCZWLFOZBCWLSZRZXFBCWMSZRZXHWOXIXKXNXJXIXKXMXFMAXFWNVBVCVDAXFXHXLVEWNAB
      CFWLGHIJTZVFAXFWOXNVEWNABCFWMGHIJTZVFVGVHVIVJVNVKVLAWRDEGGAXNXLRZWQFOZBCW
      QSZRWOXHRWRAXQXRXSXQXRUFAXFXRXMXLWMWLFVOVPVQXQXFXJRZXMXKRZRAXSXFXMXJXKWDA
      XTYAXSAXFXJYAXSUFNVRVSVTWEAWOXNXHXLXPXOWAABCFWQGHIJTVGWBDEGFWCWF $.
  $}

  ${
    $d F x y $.  $d X x y $.
    $( A filter is closed under taking intersections.  (Contributed by Mario
       Carneiro, 27-Nov-2013.)  (Revised by Stefan O'Rear, 28-Jul-2015.) $)
    filfi $p |- ( F e. ( Fil ` X ) -> ( fi ` F ) = F ) $=
      ( vx vy cfil cfv wcel cv cin wral cfi filin 3expib ralrimivv inficl mpbid
      wceq ) ABEFZGZCHZDHZIAGZDAJCAJAKFAQSUBCDAASTAGUAAGUBTUAABLMNCDAROP $.
  $}

  $( The intersection of two elements of a filter can't be empty.  (Contributed
     by FL, 16-Sep-2007.)  (Revised by Stefan O'Rear, 28-Jul-2015.) $)
  filinn0 $p |- ( ( F e. ( Fil ` X ) /\ A e. F /\ B e. F ) ->
      ( A i^i B ) =/= (/) ) $=
    ( cfil cfv wcel w3a cin c0 wne simp1 filin fileln0 syl2anc ) CDEFGZACGZBCGZ
    HPABIZCGSJKPQRLABCDMSCDNO $.

  $( A filter has the finite intersection property.  Remark below Definition 1
     of [BourbakiTop1] p.  I.36.  (Contributed by FL, 20-Sep-2007.)  (Revised
     by Stefan O'Rear, 28-Jul-2015.) $)
  filintn0 $p |- ( ( F e. ( Fil ` X ) /\ ( A C_ F /\ A =/= (/) /\
          A e. Fin ) ) -> |^| A =/= (/) ) $=
    ( cfil cfv wcel wss c0 wne cfn w3a cint cfi elfir wceq filfi adantr eleqtrd
    wa fileln0 syldan ) BCDEZFZABGAHIAJFKZALZBFUEHIUCUDSUEBMEZBABUBNUCUFBOUDBCP
    QRUEBCTUA $.

  $( The empty set is not a filter.  Remark below Definition 1 of
     [BourbakiTop1] p.  I.36.  (Contributed by FL, 30-Oct-2007.)  (Revised by
     Stefan O'Rear, 28-Jul-2015.) $)
  filn0 $p |- ( F e. ( Fil ` X ) -> F =/= (/) ) $=
    ( cfil cfv wcel filtop ne0d ) ABCDEABABFG $.

  ${
    $d F x y $.  $d G x y $.  $d X x y $.
    $( The intersection of two filters is a filter.  Use ~ fiint to extend this
       property to the intersection of a finite set of filters.  Paragraph 3 of
       [BourbakiTop1] p.  I.36.  (Contributed by FL, 17-Sep-2007.)  (Revised by
       Stefan O'Rear, 2-Aug-2015.) $)
    infil $p |- ( ( F e. ( Fil ` X ) /\ G e. ( Fil ` X ) ) ->
        ( F i^i G ) e. ( Fil ` X ) ) $=
      ( vy vx wcel wa cin wss c0 wn w3a cv wral adantr elinel1 filtop elind syl
      wi cfil cfv cpw wrex inss1 filsspw sstrid 0nelfil nsyl adantl 3jca simpll
      simpr2 simpr1 elpwid simpr3 filss syl13anc simplr elinel2 3exp2 ralrimiva
      imp rexlimdv simpl anim12i filin 3expb syl2an ralrimivva isfil2 syl3anbrc
      simpr ) ACUAUBZFZBVNFZGZABHZCUCZIZJVRFZKZCVRFZLDMZEMZIZDVRUDWEVRFZTZEVSNW
      EWDHZVRFZDVRNEVRNVRVNFVQVTWBWCVQVRAVSABUEVOAVSIVPACUFOUGVQJAFZWAVOWKKVPAC
      UHOJABPUIVQABCVOCAFVPACQOVPCBFVOBCQUJRUKVQWHEVSVQWEVSFZGWFWGDVRVQWLWDVRFZ
      WFWGTTVQWLWMWFWGVQWLWMWFLZGZABWEWOVOWDAFZWECIZWFWEAFZVOVPWNULWOWMWPVQWLWM
      WFUMZWDABPZSWOWECVQWLWMWFUNUOZVQWLWMWFUPZWDWEACUQURWOVPWDBFZWQWFWEBFZVOVP
      WNUSWOWMXCWSWDABUTZSXAXBWDWEBCUQURRVAVCVDVBVQWJEDVRVRVQWGWMGZGABWIVQVOWRW
      PGWIAFZXFVOVPVEWGWRWMWPWEABPWTVFVOWRWPXGWEWDACVGVHVIVQVPXDXCGWIBFZXFVOVPV
      MWGXDWMXCWEABUTXEVFVPXDXCXHWEWDBCVGVHVIRVJEDVRCVKVL $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( A singleton is a filter.  Example 1 of [BourbakiTop1] p.  I.36.
       (Contributed by FL, 16-Sep-2007.)  (Revised by Stefan O'Rear,
       2-Aug-2015.) $)
    snfil $p |- ( ( A e. B /\ A =/= (/) ) -> { A } e. ( Fil ` A ) ) $=
      ( vx vy wcel c0 wne wa cv wceq wss wb a1i wsbc eqsbc1 cvv ax-mp w3a cin
      wi csn velsn eqimss pm4.71ri bitri simpl eqid mpbiri adantr necomd neneqd
      simpr 0ex sylnibr sseq1 anbi2d biimpri syl6bi com12 3adant1 sbcid 3imtr4g
      eqss elv ineq12 inidm eqtrdi syl2anb vex inex1 sylibr isfild ) ABEZAFGZHZ
      CIZAJZCDCAAUAZBVPVREZVPAKZVQHZLVOVSVQWACAUBVQVTVPAUCUDUEMVMVNUFVMVQCANZVN
      VMWBAAJAUGCAABOUHUIVOFAJZVQCFNZVOFAVOAFVMVNULUJUKFPEWDWCLUMCFAPOQUNVODIZA
      KZVPWEKZRVQWEAJZVQCVPNZVQCWENZWFWGVQWHTVOVQWFWGHZWHVQWKWFAWEKZHZWHVQWGWLW
      FVPAWEUOUPWHWMWEAVCUQURUSUTVQCVAZWJWHLDCWEAPOVDZVBWJWIHZVQCWEVPSZNZTVOWFV
      TRWPWQAJZWRWJWHVQWSWIWOWNWHVQHWQAASAWEAVPAVEAVFVGVHWQPEWRWSLWEVPDVIVJCWQA
      POQVKMVL $.
  $}

  ${
    $d x y F $.  $d x y X $.  $d x y Y $.
    $( A filter base on any set is also a filter base on any larger set.
       (Contributed by Stefan O'Rear, 2-Aug-2015.) $)
    fbasweak $p |- ( ( F e. ( fBas ` X ) /\ F C_ ~P Y /\ Y e. V ) ->
        F e. ( fBas ` Y ) ) $=
      ( vx vy cfbas cfv wcel cpw wss w3a c0 wne cv cin wral wa wb isfbas elfvdm
      wnel simp2 simp1 cdm 3ad2ant1 syl mpbid simprd 3ad2ant3 mpbir2and ) ACGHI
      ZADJKZDBIZLZADGHIZUMAMNMAUBAEOFOPJPMNFAQEAQLZULUMUNUCUOACJKZUQUOULURUQRZU
      LUMUNUDUOCGUEZIZULUSSULUMVAUNACGUAUFEFUTCATUGUHUIUNULUPUMUQRSUMEFBDATUJUK
      $.

    $( Condition for a singleton to be a filter base.  (Contributed by Stefan
       O'Rear, 2-Aug-2015.) $)
    snfbas $p |- ( ( A C_ B /\ A =/= (/) /\ B e. V ) ->
        { A } e. ( fBas ` B ) ) $=
      ( wss wne wcel w3a csn cfbas cfv cpw cfil cvv ssexg 3adant2 simp2 syl2anc
      c0 snfil filfbas syl simp1 wb elpw2g 3ad2ant3 mpbird snssd simp3 fbasweak
      syl3anc ) ABDZAREZBCFZGZAHZAIJFZUOBKZDUMUOBIJFUNUOALJFZUPUNAMFZULURUKUMUS
      ULABCNOUKULUMPAMSQUOATUAUNAUQUNAUQFZUKUKULUMUBUMUKUTUKUCULABCUDUEUFUGUKUL
      UMUHUOCABUIUJ $.
  $}

  ${
    $d x y z A $.  $d x y V $.  $d x y z X $.
    $( A condition for a set to generate a filter base.  (Contributed by Jeff
       Hankins, 2-Sep-2009.)  (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    fsubbas $p |- ( X e. V -> ( ( fi ` A ) e. ( fBas ` X ) <->
          ( A C_ ~P X /\ A =/= (/) /\ -. (/) e. ( fi ` A ) ) ) ) $=
      ( vz vx vy wcel cfi cfv wss c0 wne w3a cvv syl syl2anc 3jca wa cv wral wn
      cfbas cpw fbasne0 fvprc ssfii fbsspw sstrd fieq0 necon3bid biimpar 0nelfb
      necon1ai wnel wrex simpr1 fipwss pwexg adantr simpr2 biimpa simpr3 df-nel
      cin ssexd sylibr fiin sseq1 rspcev sylancl rgen2 a1i wb isfbas2 mpbir2and
      ssid ex impbid2 ) CBGZAHIZCUBIGZACUCZJZAKLZKVTGUAZMZWAWCWDWEWAAVTWBWAANGZ
      AVTJWAVTKLZWGCVTUDZWGVTKAHUEUMOZANUFOCVTUGUHWAWGWHWDWJWIWGWDWHWGAKVTKANUI
      UJZUKPCVTULQVSWFWAVSWFRZWAVTWBJZWHKVTUNZDSZESZFSZVDZJZDVTUOZFVTTEVTTZMZWL
      WCWMVSWCWDWEUPZACUQOWLWHWNXAWLWGWDWHWLAWBNVSWBNGWFCBURUSXCVEVSWCWDWEUTWGW
      DWHWKVAPWLWEWNVSWCWDWEVBKVTVCVFXAWLWTEFVTVTWPVTGWQVTGRWRVTGWRWRJZWTWPWQAV
      GWRVPWSXDDWRVTWOWRWRVHVIVJVKVLQVSWAWMXBRVMWFEFDBCVTVNUSVOVQVR $.
  $}

  ${
    $d y z F $.  $d y z X $.
    $( A filter base has the finite intersection property.  (Contributed by
       Jeff Hankins, 2-Sep-2009.)  (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    fbasfip $p |- ( F e. ( fBas ` X ) -> -. (/) e. ( fi ` F ) ) $=
      ( vy vz cfbas cfv wcel c0 cfi cv cint wceq cfn wrex wa wss wn wi mtod cvv
      cpw cin elin elpwi anim1i sylbi fbssint 3expb sylan2 0nelfb eleq1 biimpcd
      ad2antrr adantl ss0 nsyl adantrr sseq2 biimprcd ad2antll rexlimddv nrexdv
      wb 0ex elfi mpan mtbird ) ABEFZGZHAIFGZHCJZKZLZCAUAZMUBZNZVIVMCVOVIVKVOGZ
      OZDJZVLPZVMQDAVQVIVKAPZVKMGZOZVTDANZVQVKVNGZWBOWCVKVNMUCWEWAWBVKAUDUEUFVI
      WAWBWDDVKBAUGUHUIVRVSAGZVTOOVMVSHPZVRWFWGQVTVRWFOZVSHLZWGWHWIHAGZVIWJQVQW
      FBAUJUMWFWIWJRVRWIWFWJVSHAUKULUNSVSUOUPUQVTVMWGRVRWFVMWGVTHVLVSURUSUTSVAV
      BHTGVIVJVPVCVDCHATVHVEVFVG $.
  $}

  ${
    $d w x y z G $.  $d x y z F $.  $d w x y z X $.  $d w x y z Y $.
    $( A helpful lemma for showing that certain sets generate filters.
       (Contributed by Jeff Hankins, 3-Sep-2009.)  (Revised by Stefan O'Rear,
       2-Aug-2015.) $)
    fbunfip $p |- ( ( F e. ( fBas ` X ) /\ G e. ( fBas ` Y ) ) ->
                    ( -. (/) e. ( fi ` ( F u. G ) ) <->
                      A. x e. F A. y e. G ( x i^i y ) =/= (/) ) ) $=
      ( vz vw cfv wcel wa c0 wn cv wceq wrex wral wss wi syl cun cfi cin elfiun
      cfbas wne w3o notbid w3a 3ioran df-3an bitr2i bitr4di nesym ralbii ralnex
      bitri fbasfip anim12i biantrurd bitr2id ssfii ssralv ralimdv sylan9 ineq1
      neeq1d ineq2 cbvral2vw fbssfi r19.29 ss2in sseq2 ss0 syl6bi syl5com com13
      necon3d ex rexlimivw impancom expimpd com12 syl2an an4s ralrimdvva syl5bi
      imp impbid 3bitrd ) CEUEIZJZDFUEIZJZKZLCDUAUBIJZMZLCUBIZJZMZLDUBIZJZMZKZL
      ANZBNZUCZOZBXAPZAWRPZMZKZXGLUFZBXAQZAWRQZXMBDQZACQZWOWQWSXBXJUGZMZXLWOWPX
      RABLCDWKWMUDUHXSWTXCXKUIXLWSXBXJUJWTXCXKUKULUMXOXKWOXLXOXIMZAWRQXKXNXTAWR
      XNXHMZBXAQXTXMYABXAXGLUNUOXHBXAUPUQUOXIAWRUPUQWOXDXKWLWTWNXCCEURDFURUSUTV
      AWOXOXQWLXOXNACQZWNXQWLCWRRXOYBSCWKVBXNACWRVCTWNXNXPACWNDXARXNXPSDWMVBXMB
      DXAVCTVDVEXQGNZHNZUCZLUFZHDQZGCQZWOXOXMYFYCXFUCZLUFABGHCDXEYCOXGYILXEYCXF
      VFVGXFYDOYIYELXFYDYCVHVGVIWOYHXMABWRXAWLXEWRJZWNXFXAJZYHXMSZWLYJKYCXERZGC
      PZYDXFRZHDPZYLWNYKKGXECEVJHXFDFVJYHYNYPKXMYHYNYPXMYHYNKYGYMKZGCPYPXMSZYGY
      MGCVKYQYRGCYGYPYMXMYGYPKYFYOKZHDPYMXMSZYFYOHDVKYSYTHDYFYOYTYMYOYFXMYMYOYF
      XMSYMYOKZXGLYELUUAYEXGRZXGLOZYELOZYCXEYDXFVLUUCUUBYELRUUDXGLYEVMYEVNVOVPV
      RVSVQWHVTTWAVTTWBWCWDWEWFWGWIWJ $.
  $}

  ${
    $d f v x F $.  $d f v x X $.
    $( The filter generating class gives a filter for every filter base.
       (Contributed by Jeff Hankins, 3-Sep-2009.)  (Revised by Stefan O'Rear,
       2-Aug-2015.) $)
    fgval $p |- ( F e. ( fBas ` X ) -> ( X filGen F ) =
          { x e. ~P X | ( F i^i ~P x ) =/= (/) } ) $=
      ( vv vf cfbas cfv wcel cvv cv cpw cin wne crab cfg cmpo wceq df-fg adantl
      c0 a1i wa pweq adantr wb ineq1 neeq1d rabeqbidv fveq2 elfvex id cdm pwexg
      elfvdm rabexg 3syl ovmpodx ) BCFGZHZDECBIDJZFGZEJZAJKZLZTMZAUTKZNZBVCLZTM
      ZACKZNZOURIODEIVAVGPQUSEADRUAUTCQZVBBQZUBZVGVKQUSVNVEVIAVFVJVLVFVJQVMUTCU
      CUDVMVEVIUEVLVMVDVHTVBBVCUFUGSUHSVLVAURQUSUTCFUISBCFUJUSUKUSCFULZHVJIHVKI
      HBCFUNCVOUMVIAVJIUOUPUQ $.
  $}

  ${
    $d x y A $.  $d x y F $.  $d y X $.
    $( A condition for elements of a generated filter.  (Contributed by Jeff
       Hankins, 3-Sep-2009.)  (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    elfg $p |- ( F e. ( fBas ` X ) -> ( A e. ( X filGen F ) <->
          ( A C_ X /\ E. x e. F x C_ A ) ) ) $=
      ( vy cfbas cfv wcel cfg co cv cpw cin c0 wne crab wss wa wb wex wrex wceq
      fgval eleq2d pweq ineq2d neeq1d elrab cdm elfvdm elpw2g elin velpw anbi2i
      syl bitri exbii n0 df-rex 3bitr4i a1i anbi12d syl5bb bitrd ) CDFGHZBDCIJZ
      HBCEKZLZMZNOZEDLZPZHZBDQZAKZBQZACUAZRZVEVFVLBECDUCUDVMBVKHZCBLZMZNOZRVEVR
      VJWBEBVKVGBUBZVIWANWCVHVTCVGBUEUFUGUHVEVSVNWBVQVEDFUIZHVSVNSCDFUJBDWDUKUO
      WBVQSVEVOWAHZATVOCHZVPRZATWBVQWEWGAWEWFVOVTHZRWGVOCVTULWHVPWFABUMUNUPUQAW
      AURVPACUSUTVAVBVCVD $.
  $}

  ${
    $d t x F $.  $d t x X $.
    $( A filter base is a subset of its generated filter.  (Contributed by Jeff
       Hankins, 3-Sep-2009.)  (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    ssfg $p |- ( F e. ( fBas ` X ) -> F C_ ( X filGen F ) ) $=
      ( vt vx cfbas cfv wcel cfg co cv wss wrex wa fbelss ex sseq1 rspcev mpan2
      ssid jca2 elfg sylibrd ssrdv ) ABEFGZCABAHIZUDCJZAGZUFBKZDJZUFKZDALZMUFUE
      GUDUGUHUKUDUGUHBAUFNOUGUFUFKZUKUFSUJULDUFAUIUFUFPQRTDUFABUAUBUC $.
  $}

  ${
    $d t x F $.  $d t x G $.  $d t x X $.
    $( A bigger base generates a bigger filter.  (Contributed by NM,
       5-Sep-2009.)  (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    fgss $p |- ( ( F e. ( fBas ` X ) /\ G e. ( fBas ` X ) /\ F C_ G ) ->
        ( X filGen F ) C_ ( X filGen G ) ) $=
      ( vt vx cfbas cfv wcel wss w3a cfg co cv wrex wa wi ssrexv anim2d wb elfg
      3ad2ant3 3ad2ant1 3ad2ant2 3imtr4d ssrdv ) ACFGZHZBUFHZABIZJZDCAKLZCBKLZU
      JDMZCIZEMUMIZEANZOZUNUOEBNZOZUMUKHZUMULHZUIUGUQUSPUHUIUPURUNUOEABQRUAUGUH
      UTUQSUIEUMACTUBUHUGVAUSSUIEUMBCTUCUDUE $.
  $}

  ${
    $d t u v x y F $.  $d t u v x y G $.  $d t u v x y X $.
    $( A condition for a filter to be finer than another involving their filter
       bases.  (Contributed by Jeff Hankins, 3-Sep-2009.)  (Revised by Stefan
       O'Rear, 2-Aug-2015.) $)
    fgss2 $p |- ( ( F e. ( fBas ` X ) /\ G e. ( fBas ` X ) ) ->
        ( ( X filGen F ) C_ ( X filGen G ) <->
          A. x e. F E. y e. G y C_ x ) ) $=
      ( vt vu vv wcel wa cfg co wss cv wrex adantr wi elfg adantl rexlimdv wral
      cfbas cfv ssfg sseld ssel2 simpr syl6bi syl5 syl5d ralrimdv sseq2 rexbidv
      expd weq rspcv sstr sseq1 rspcev a1d sylanr2 ancld exp45 impancom impcomd
      syld wb 3imtr4d ssrdv ex impbid ) CEUBUCZIZDVLIZJZECKLZEDKLZMZBNZANZMZBDO
      ZACUAZVOVRWBACVOVTCIVTVPIZVRWBVOCVPVTVMCVPMVNCEUDPUEVOVRWDWBVRWDJVTVQIZVO
      WBVPVQVTUFVNWEWBQVMVNWEVTEMZWBJWBBVTDERWFWBUGUHSUIUNUJUKVOWCVRVOWCJZFVPVQ
      WGFNZEMZGNZWHMZGCOZJZWIHNZWHMZHDOZJZWHVPIZWHVQIZWGWLWIWQWGWKWIWQQZGCVOWJC
      IZWCWKWTQZVOXAJZWCVSWJMZBDOZXBXAWCXEQVOWBXEAWJCAGUOWAXDBDVTWJVSULUMUPSXCX
      DXBBDXCVSDIZXDWKWTXCXFXDWKJZJJWIWPXGXCXFVSWHMZWIWPQVSWJWHUQXCXFXHJZJWPWIX
      IWPXCWOXHHVSDWNVSWHURUSSUTVAVBVCTVFVDTVEVOWRWMVGZWCVMXJVNGWHCERPPVOWSWQVG
      ZWCVNXKVMHWHDERSPVHVIVJVK $.
  $}

  ${
    $d t x F $.  $d t x X $.  $d t A $.
    $( A filter generates itself.  (Contributed by Jeff Hankins, 5-Sep-2009.)
       (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    fgfil $p |- ( F e. ( Fil ` X ) -> ( X filGen F ) = F ) $=
      ( vt vx cfil cfv wcel cfg co cv wss wrex wa cfbas wb filfbas syl wi filss
      elfg 3exp2 com34 rexlimdv impcomd sylbid ssrdv ssfg eqssd ) ABEFGZBAHIZAU
      ICUJAUICJZUJGZUKBKZDJZUKKZDALZMZUKAGZUIABNFGZULUQOABPZDUKABTQUIUPUMURUIUO
      UMURRDAUIUNAGZUMUOURUIVAUMUOURUNUKABSUAUBUCUDUEUFUIUSAUJKUTABUGQUH $.

    $( An element belongs to a filter iff any element below it does.
       (Contributed by Stefan O'Rear, 2-Aug-2015.) $)
    elfilss $p |- ( ( F e. ( Fil ` X ) /\ A C_ X ) ->
        ( A e. F <-> E. t e. F t C_ A ) ) $=
      ( cfil cfv wcel wss wa cv wrex cfg co wb ibar adantl cfbas filfbas adantr
      elfg syl fgfil eleq2d 3bitr2rd ) CDEFGZBDHZIAJBHACKZUFUGIZBDCLMZGZBCGZUFU
      GUHNUEUFUGOPUEUJUHNZUFUECDQFGULCDRABCDTUASUEUJUKNUFUEUICBCDUBUCSUD $.
  $}

  $( No filter containing a finite element is free.  (Contributed by Jeff
     Hankins, 5-Dec-2009.)  (Revised by Stefan O'Rear, 2-Aug-2015.) $)
  filfinnfr $p |- ( ( F e. ( Fil ` X ) /\ S e. F /\ S e. Fin ) ->
      |^| F =/= (/) ) $=
    ( cfil cfv wcel cfbas cfn cint c0 wne filfbas fbfinnfr syl3an1 ) BCDEFBCGEF
    ABFAHFBIJKBCLCABMN $.

  ${
    $d u v w x y z F $.  $d u v w x y z X $.  $d x y z Y $.
    $( A generated filter is a filter.  (Contributed by Jeff Hankins,
       3-Sep-2009.)  (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    fgcl $p |- ( F e. ( fBas ` X ) -> ( X filGen F ) e. ( Fil ` X ) ) $=
      ( vy vz vu vv vw cfbas wcel cv wss wrex wsbc wa c0 sseq2 rexbidv sbcie wi
      wceq cfv cfg co cvv elfg elfvex wex wne fbasne0 n0 sylib fbelss ex eximdv
      ancld mpd df-rex sylibr cdm wb elfvdm sbcieg syl mpbird 0nelfb 0ex eleq1d
      ss0 biimpac rexlimiva sylbi nsyl w3a sstr expcom reximdv 3ad2ant3 vex weq
      3imtr4g fbasssin 3expib sstr2 com12 ss2in syl11 syl6 exp5c imp31 impancom
      cin rexlimdv rexlimdva2 impd 3ad2ant1 sseq1 cbvrexvw bitri anbi12i isfild
      inex1 ) ABHUAIZCJZDJZKZCALZDEFBBAUBUCUDCXDABUEABHUFXBXFDBMZXCBKZCALZXBXCA
      IZXHNZCUGZXIXBXJCUGZXLXBAOUHXMBAUICAUJUKXBXJXKCXBXJXHXBXJXHBAXCULUMUOUNUP
      XHCAUQURXBBHUSZIXGXIUTABHVAXFXIDBXNXDBTXEXHCAXDBXCPQVBVCVDXBOAIZXFDOMZBAV
      EXPXCOKZCALZXOXFXRDOVFXDOTXEXQCAXDOXCPQRXQXOCAXQXJXOXQXCOAXCVHVGVIVJVKVLX
      BEJZBKZFJZXSKZVMXCYAKZCALZXCXSKZCALZXFDYAMZXFDXSMZYBXBYDYFSXTYBYCYECAYCYB
      YEXCYAXSVNVOVPVQXFYDDYAFVRDFVSXEYCCAXDYAXCPQRZXFYFDXSEVRZDEVSXEYECAXDXSXC
      PQRZVTXBXTYABKZVMXDXSKZDALZGJZYAKZGALZNZXCXSYAWKZKZCALZYHYGNXFDYSMXBXTYRU
      UASYLXBYNYQUUAXBYMYQUUASDAXBXDAIZNZYMNYPUUAGAUUCYOAIZYMYPUUASZXBUUBUUDYMU
      UESXBUUBUUDYMYPUUAXBUUBUUDNXCXDYOWKZKZCALZYMYPNZUUASXBUUBUUDUUHCXDYOABWAW
      BUUFYSKZUUHUUAUUIUUJUUGYTCAUUGUUJYTXCUUFYSWCWDVPXDXSYOYAWEWFWGWHWIWJWLWMW
      NWOYHYNYGYQYHYFYNYKYEYMCDAXCXDXSWPWQWRYGYDYQYIYCYPCGAXCYOYAWPWQWRWSXFUUAD
      YSXSYAYJXAXDYSTXEYTCAXDYSXCPQRVTWT $.

    $( Absorption law for filter generation.  (Contributed by Mario Carneiro,
       15-Oct-2015.) $)
    fgabs $p |- ( ( F e. ( fBas ` Y ) /\ Y C_ X ) ->
        ( X filGen ( Y filGen F ) ) = ( X filGen F ) ) $=
      ( vx vy vz vw cfbas cfv wcel wss wa cvv cfg co cv cpw syl sstrd syl3anc
      wceq wrex wb cfil simpll fgcl filfbas 3syl fbsspw simplr sspwd simpr elfg
      fbasweak adantr ad2antrr ssfg sselda adantrr simplrl simprlr simprr filss
      syl13anc expr rexlimdvaa anassrs expimpd sylbid rexlimdv ssrdv fgss eqssd
      wi ex wn c0 cin wne crab df-fg reldmmpo ovprc1 eqtr4d pm2.61d1 ) ACHIZJZC
      BKZLZBMJZBCANOZNOZBANOZUAZWIWJWNWIWJLZWLWMWODWLWMWODPZWLJZWPBKZEPZWPKZEWK
      UBZLZWPWMJZWOWKBHIZJZWQXBUCWOWKWFJZWKBQZKWJXEWOWGWKCUDIJXFWGWHWJUEZACUFWK
      CUGUHZWOWKCQZXGWOXFWKXJKXICWKUIRWOCBWGWHWJUJUKZSWIWJULZWKMCBUNTZEWPWKBUMR
      WOWRXAXCWOWRLZWTXCEWKXNWSWKJZWSCKZFPZWSKZFAUBZLZWTXCVNZXNWGXOXTUCWOWGWRXH
      UOFWSACUMRXNXPXSYAWOWRXPXSYAVNWOWRXPLZLZXRYAFAYCXQAJZXRLZWTXCYCYEWTLZLZWM
      BUDIJZXQWMJZWRXQWPKXCWOYHYBYFWOAXDJZYHWOWGAXGKWJYJXHWOAXJXGWOWGAXJKXHCAUI
      RXKSXLAMCBUNTZABUFRUPYCYEYIWTYCYDYIXRYCAWMXQWOAWMKZYBWOYJYLYKABUQRUOURUSU
      SWOWRXPYFUTYGXQWSWPYCYDXRWTVAYCYEWTVBSXQWPWMBVCVDVEVFVGVHVIVJVHVIVKWOYJXE
      AWKKZWMWLKYKXMWGYMWHWJACUQUPAWKBVLTVMVOWJVPWLVQWMBWKNGDMGPZHIWPWSQVRVQVSE
      YNQVTNDEGWAWBZWCBANYOWCWDWE $.
  $}

  ${
    $d J x y $.  $d S x y $.  $d X x y $.
    $( The neighborhoods of a nonempty set is a filter.  Example 2 of
       [BourbakiTop1] p.  I.36.  (Contributed by FL, 18-Sep-2007.)  (Revised by
       Mario Carneiro, 23-Aug-2015.) $)
    neifil $p |- ( ( J e. ( TopOn ` X ) /\ S C_ X /\ S =/= (/) ) ->
      ( ( nei ` J ) ` S ) e. ( Fil ` X ) ) $=
      ( vy vx cfv wcel wss c0 cv wi wral wa cuni adantr sseqtrd syl2anc 3adant3
      w3a wceq ctopon wne cnei cpw wn wrex cin cfil toponuni ctop topontop eqid
      simpr neiuni eqtrd eqimss2 syl sspwuni sylibr 0nnei sylan 3adant2 eqeltrd
      tpnei biimpa 3jca elpwi ad2antrr simprl simprr simplr syl22anc rexlimdvaa
      ssnei2 sylan2 ralrimiva innei 3expib 3ad2ant1 ralrimivv isfil2 syl3anbrc
      ) BCUAFGZACHZAIUBZSZABUCFFZCUDZHZIWGGUEZCWGGZSDJZEJZHZDWGUFWMWGGZKZEWHLZW
      MWLUGWGGZDWGLEWGLWGCUHFGWFWIWJWKWCWDWIWEWCWDMZWGNZCHZWIWSCWTTXAWSCBNZWTWC
      CXBTZWDCBUIOZWSBUJGZAXBHZXBWTTWCXEWDCBUKZOZWSACXBWCWDUMXDPZABXBXBULZUNQUO
      WTCUPUQWGCURUSRWCWEWJWDWCXEWEWJXGABUTVAVBWCWDWKWEWSCXBWGXDWSXEXFXBWGGZXHX
      IXEXFXKABXBXJVDVEQVCRVFWCWDWQWEWSWPEWHWMWHGWSWMCHZWPWMCVGWSXLMZWNWODWGXMW
      LWGGZWNMZMZXEXNWNWMXBHWOWSXEXLXOXHVHXMXNWNVIXMXNWNVJXPWMCXBWSXLXOVKWSXCXL
      XOXDVHPABWMWLXBXJVNVLVMVOVPRWFWREDWGWGWCWDWOXNMWRKZWEWCXEXQXGXEWOXNWRABWL
      WMVQVRUQVSVTEDWGCWAWB $.
  $}

  ${
    $d w y z $.  $d x F $.
    $( Recover the base set from a filter.  (Contributed by Stefan O'Rear,
       2-Aug-2015.) $)
    filunibas $p |- ( F e. ( Fil ` X ) -> U. F = X ) $=
      ( cfil cfv wcel cuni wss cpw filsspw sspwuni sylib filtop unissel syl2anc
      wceq ) ABCDEZAFZBGZBAEQBOPABHGRABIABJKABLABMN $.

    $( Two ways to express a filter on an unspecified base.  (Contributed by
       Stefan O'Rear, 2-Aug-2015.) $)
    filunirn $p |- ( F e. U. ran Fil <-> F e. ( Fil ` U. F ) ) $=
      ( vx vy vw vz cfil crn cuni wcel cfv cv cvv wrex wfn wb cpw cin wne cfbas
      c0 wi wral crab rabex df-fil fnmpti fnunirn ax-mp filunibas fveq2d eleq2d
      fvex ibir rexlimivw sylbi fvssunirn sseli impbii ) AFGHZIZAAHZFJZIZUTABKZ
      FJZIZBLMZVCFLNUTVGOCLDKZEKZPQTRVIVHIUAECKZPUBZDVJSJZUCFVKDVLVJSULUDECDUEU
      FBAFLUGUHVFVCBLVFVCVFVBVEAVFVAVDFAVDUIUJUKUMUNUOVBUSAFVAUPUQUR $.
  $}

  ${
    $d x y F $.
    $( A filter gives rise to a connected topology.  (Contributed by Jeff
       Hankins, 6-Dec-2009.)  (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    filconn $p |- ( F e. ( Fil ` X ) -> ( F u. { (/) } ) e. Conn ) $=
      ( vx vy cfil cfv wcel cuni c0 cun cin wss wral wa wn wo elun syl wceq cvv
      csn cconn id filunibas fveq2d eleqtrrd ctop ccld cpr cv wi wal wex simpll
      nss ssel2 adantll sylib orcomd ord impr uniss ad2antlr uniun unisn uneq2i
      0ex un0 3eqtrri sseqtrrdi elssuni ad2antrl filss syl13anc elun1 ex syl5bi
      exlimdv uni0b ssun2 sselii eleq1 mpbiri sylbir pm2.61d2 alrimiv w3a filin
      snid 3expa ralrimiva elsni ineq2 eqtrdi eqeltrdi rgen ralun sylancl ineq1
      in0 0in ralrimivw wb p0ex unexg mpan2 istopg mpbir2and cdif cfbas filfbas
      cldopn fbncp sylan pm2.21d a1i13 jaod adantl ssdif0 biimpri eqss simplbi2
      imp syl2im syl5 orim12d expimpd elin elpr 3imtr4g ssrdv isconn2 sylanbrc
      vex ) ABEFZGZAAHZEFZGZAIUAZJZUBGZYPAYOYRYPUCYPYQBEABUDUEUFYSUUAUGGZUUAUUA
      UHFZKZIYQUIZLUUBYSUUCCUJZUUALZUUGHZUUAGZUKZCULZUUGDUJZKZUUAGZDUUAMZCUUAMZ
      YSUUKCYSUUHUUJYSUUHNZUUGYTLZUUJUUSOUUMUUGGZUUMYTGZOZNZDUMUURUUJDUUGYTUOUU
      RUVCUUJDUURUVCUUJUURUVCNZUUIAGZUUJUVDYSUUMAGZUUIYQLUUMUUILZUVEYSUUHUVCUNU
      URUUTUVBUVFUURUUTNZUVAUVFUVHUVFUVAUVHUUMUUAGZUVFUVAPUUHUUTUVIYSUUGUUAUUMU
      PUQUUMAYTQURUSUTVAUVDUUIUUAHZYQUUHUUIUVJLYSUVCUUGUUAVBVCUVJYQYTHZJYQIJYQA
      YTVDUVKIYQIVGVEVFYQVHVIZVJUUTUVGUURUVBUUMUUGVKVLUUMUUIAYQVMVNUUIAYTVORVPV
      RVQUUSUUIISZUUJUUGVSUVMUUJIUUAGYTUUAIYTAVTIVGWIWAZUUIIUUAWBWCWDWEVPWFYSUU
      PCAMUUPCYTMUUQYSUUPCAYSUUGAGZNZUUODAMUUODYTMUUPUVPUUODAYSUVOUVFUUOYSUVOUV
      FWGUUNAGUUOUUGUUMAYQWHUUNAYTVORWJWKUUODYTUVAUUMISZUUOUUMIWLUVQUUNIUUAUVQU
      UNUUGIKIUUMIUUGWMUUGWTWNUVNWORWPUUODAYTWQWRWKUUPCYTUUGYTGZUUGISZUUPUUGIWL
      ZUVSUUODUUAUVSUUNIUUAUVSUUNIUUMKIUUGIUUMWSUUMXAWNUVNWOXBRWPUUPCAYTWQWRYSU
      UATGZUUCUULUUQNXCYSYTTGUWAXDAYTYRTXEXFCDTUUAXGRXHYSCUUEUUFYSUUGUUAGZUUGUU
      DGZNUVSUUGYQSZPZUUGUUEGUUGUUFGYSUWBUWCUWEUWCYQUUGXIZAGZUWFYTGZPZYSUWBNZUW
      EUWCUWFUUAGUWIUUGUUAYQUVLXLUWFAYTQURUWJUWGUVSUWHUWDYSUWBUWGUVSUKZUWBUVOUV
      RPYSUWKUUGAYTQYSUVOUWKUVRYSUVOUWKUVPUWGUVSYSAYQXJFGUVOUWGOAYQXKUUGYQAYQXM
      XNXOVPYSUVRUWGUVSUVTXPXQVQYCUWHUWFISZUWJUWDUWFIWLUWJUUGYQLZUWLYQUUGLZUWDU
      WBUWMYSUWBUUGUVJYQUUGUUAVKUVLVJXRUWNUWLYQUUGXSXTUWDUWMUWNUUGYQYAYBYDYEYFY
      EYGUUGUUAUUDYHUUGIYQCYNYIYJYKUUAYQUVLYLYMR $.
  $}

  ${
    $d r s u v w x z B $.  $d r s u v w z C $.  $d r s u v w x z F $.
    $d r s u v w x V $.  $d r s u v w x X $.  $d r s u v w x z Y $.
    fbasrn.c $e |- C = ran ( x e. B |-> ( F " x ) ) $.
    $( Given a filter on a domain, produce a filter on the range.  (Contributed
       by Jeff Hankins, 7-Sep-2009.)  (Revised by Stefan O'Rear,
       6-Aug-2015.) $)
    fbasrn $p |- ( ( B e. ( fBas ` X ) /\ F : X --> Y /\ Y e. V ) ->
        C e. ( fBas ` Y ) ) $=
      ( vu vv wcel wss c0 cv wrex wa wceq cvv wn wb vz vr vs vw cfv w3a cpw wne
      cfbas wnel cin wral cima cmpt crn simpl3 simpl2 fimass syl sselpwd fmpttd
      wf frnd eqsstrid a1i cdm wfun 3ad2ant2 funimaexg ralrimiva dmmptg fbasne0
      ffun 3syl 3ad2ant1 eqnetrd dm0rn0 necon3bii sylib wi fbelss 0nelfb notbid
      ex eleq1 syl5ibrcom con2d jcad sseq2d biimpar sseqin2 eqeq1d biimpd con3d
      fdm expimpd eqcom imadisj notbii syl6ibr syld ralrimiv eleq2i 0ex elrnmpt
      bitri eqid df-nel ralnex 3bitr4i sylibr imaeq2 cbvmptv elv anbi12i reeanv
      ax-mp bitr4i fbasssin 3expb 3ad2antl1 adantrr rspceeqv mpan2 ad2antrl vex
      funimaex syl5bb ad2antrr mpbird imass2 inss1 inss2 ssini ineq12 sseqtrrid
      ad2antll ad2antlr sstrd sseq1 rspcev syl2anc adantlrl rexlimddv rexlimdvv
      exp32 syl5bi ralrimivv 3jca isfbas2 3ad2ant3 mpbir2and ) BFUIUEKZFGDVBZGE
      KZUFZCGUIUEKZCGUGZLZCMUHZMCUJZUANZUBNZUCNZUKZLZUACOZUCCULUBCULZUFZUUPCABD
      ANZUMZUNZUOZUURHUUPBUURUVLUUPABUVKUURUUPUVJBKZPZUVKGEUUMUUNUUOUVNUPUVOUUN
      UVKGLUUMUUNUUOUVNUQFGDUVJURUSUTVAVCVDUUPUUTUVAUVHUUPCUVMMCUVMQUUPHVEUUPUV
      LVFZMUHUVMMUHUUPUVPBMUUPDVGZUVKRKZABULUVPBQUUNUUMUVQUUOFGDVMVHZUVQUVRABDU
      VJBVIVJABUVKRVKVNUUMUUNBMUHUUOFBVLVOVPUVPMUVMMUVLVQVRVSVPUUPMUVKQZSZABULZ
      UVAUUPUWAABUUPUVNUVJFLZUVJMQZSZPZUWAUUPUVNUWCUWEUUMUUNUVNUWCVTUUOUUMUVNUW
      CFBUVJWAWDVOUUMUUNUVNUWEVTUUOUUMUWDUVNUUMUVNSUWDMBKZSFBWBUWDUVNUWGUVJMBWE
      WCWFWGVOWHUUPUWFDVFZUVJUKZMQZSZUWAUUPUWCUWEUWKUUPUWCPZUWJUWDUWLUWJUWDUWLU
      WIUVJMUWLUVJUWHLZUWIUVJQUUPUWMUWCUUPUWHFUVJUUNUUMUWHFQUUOFGDWOVHWIWJUVJUW
      HWKVSWLWMWNWPUVTUWJUVTUVKMQUWJMUVKWQDUVJWRXFWSWTXAXBMCKZSUVTABOZSUVAUWBUW
      NUWOUWNMUVMKZUWOCUVMMHXCMRKUWPUWOTXDABUVKMUVLRUVLXGZXEXQXFWSMCXHUVTABXIXJ
      XKUUPUVGUBUCCCUVCCKZUVDCKZPZUVCDINZUMZQZUVDDJNZUMZQZPZJBOIBOZUUPUVGUWTUXC
      IBOZUXFJBOZPUXHUWRUXIUWSUXJUWRUVCUVMKZUXICUVMUVCHXCUXKUXITUBIBUXBUVCUVLRA
      IBUVKUXBUVJUXADXLXMXEXNXFUWSUVDUVMKZUXJCUVMUVDHXCUXLUXJTUCJBUXEUVDUVLRAJB
      UVKUXEUVJUXDDXLXMXEXNXFXOUXCUXFIJBBXPXRUUPUXGUVGIJBBUUPUXABKZUXDBKZPZUXGU
      VGUUPUXOUXGPPUDNZUXAUXDUKZLZUVGUDBUUPUXOUXRUDBOZUXGUUMUUNUXOUXSUUOUUMUXMU
      XNUXSUDUXAUXDBFXSXTYAYBUUPUXGUXPBKZUXRPZUVGUXOUUPUXGPZUYAPZDUXPUMZCKZUYDU
      VELZUVGUYCUYEUYDUVKQABOZUXTUYGUYBUXRUXTUYDUYDQUYGUYDXGAUXPBUVKUYDUYDUVJUX
      PDXLYCYDYEUUPUYEUYGTUXGUYAUYEUYDUVMKZUUPUYGCUVMUYDHXCUUPUVQUYDRKUYHUYGTUV
      SDUXPUDYFYGABUVKUYDUVLRUWQXEVNYHYIYJUYCUYDDUXQUMZUVEUXRUYDUYILUYBUXTUXPUX
      QDYKYQUYCUXBUXEUKZUYIUVEUYIUXBUXEUXQUXALUYIUXBLUXAUXDYLUXQUXADYKXQUXQUXDL
      UYIUXELUXAUXDYMUXQUXDDYKXQYNUXGUVEUYJQUUPUYAUVCUXBUVDUXEYOYRYPYSUVFUYFUAU
      YDCUVBUYDUVEYTUUAUUBUUCUUDUUFUUEUUGUUHUUIUUOUUMUUQUUSUVIPTUUNUBUCUAEGCUUJ
      UUKUUL $.
  $}

  ${
    $d f g h x y F $.  $d f g h x y X $.
    $( The union of a nonempty set of filters with a common base and closed
       under pairwise union is a filter.  (Contributed by Mario Carneiro,
       28-Nov-2013.)  (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    filuni $p |- ( ( F C_ ( Fil ` X ) /\ F =/= (/) /\ A. f e. F A. g e. F
              ( f u. g ) e. F ) -> U. F e. ( Fil ` X ) ) $=
      ( vx vy vh c0 cv wcel wel wrex eluni2 wi wa ex syl wsbc sbcel1v bitri cfv
      cfil wss wne cun wral w3a cuni cvv ssel2 filelss 3ad2ant1 syl5bi pm4.71rd
      rexlimdva fvprc necon1ai 3adant3 filtop a1d ralimdva r19.2z sylan9 3impia
      ssn0 sylibr wn 0nelfil ralrimiva notbii ralnex bitr4i simp13 r19.29 simp1
      simpl syl2an simprrr simpl2 simpl3 syl13anc expr reximdva syl3an1 3imtr4g
      filss syld cin simp11 elun1 elun2 anim12i wceq eleq2 anbi12d rspcev an12s
      sylan2 ad2antlr syl9r impr ancom2s rexlimiva 3expib syl2im syland anbi12i
      imp filin isfild ) CDUBUAZUCZCHUDZAIZBIZUEZCJZBCUFZACUFZUGZEIZCUHZJZEFEDY
      BUIXTYCYADUCZYCEAKZACLZXTYDAYACMZXLXMYFYDNXSXLYEYDACXLXNCJZOZXNXKJZYEYDNC
      XKXNUJZYJYEYDYAXNDUKPQUOULUMUNXLXMDUIJZXSXLXMOXKHUDYLCXKVEYLXKHDUBUPUQQUR
      XTDYBJZYCEDRXTDXNJZACLZYMXLXMXSYOXLXSYNACUFZXMYOXLXRYNACYIYNXRYIYJYNYKXND
      USQUTVAXMYPYOYNACVBPVCVDADCMVFEDYBSVFXTHXNJZVGZACUFZYCEHRZVGZXLXMYSXSXLYR
      ACYIYJYRYKXNDVHQVIULUUAYQACLZVGYSYTUUBYTHYBJUUBEHYBSAHCMTVJYQACVKVLVFXTFI
      ZDUCZYAUUCUCZUGZYFFAKZACLZYCEYARZYCEUUCRZUUFYFXRYEOZACLZUUHUUFXSYFUULNXLX
      MXSUUDUUEVMXSYFUULXRYEACVNPQXTXLUUDUUEUULUUHNXLXMXSVOXLUUDUUEUGZUUKUUGACU
      UMYHUUKUUGUUMYHUUKOZOYJYEUUDUUEUUGUUMXLYHYJUUNXLUUDUUEVOYHUUKVPYKVQUUMYHX
      RYEVRXLUUDUUEUUNVSXLUUDUUEUUNVTYAUUCXNDWFWAWBWCWDWGUUIYCYFEYAYBSZYGTUUJUU
      CYBJUUHEUUCYBSAUUCCMTZWEXTUUDYDUGZUUHEBKZBCLZOUUCYAWHZGIZJZGCLZUUJUUIOYCE
      UUTRZUUQUUHXRUUGOZACLZUUSUVCUUQXSUUHUVFNXLXMXSUUDYDVMXSUUHUVFXRUUGACVNPQU
      UQXLUVFUUSOFGKZEGKZOZGCLZUVCXLXMXSUUDYDWIUVFUUSUVJUVEUUSUVJNZACYHUUGXRUVK
      YHUUGXRUVKXRUUSXQUUROZBCLZYHUUGOZUVJXRUUSUVMXQUURBCVNPUVNUVLUVJBCUUGUVLUV
      JNYHXOCJUUGUVLUVJXQUUGUURUVJUUGUUROXQUUCXPJZYAXPJZOZUVJUUGUVOUURUVPUUCXNX
      OWJYAXOXNWKWLUVIUVQGXPCUVAXPWMUVGUVOUVHUVPUVAXPUUCWNUVAXPYAWNWOWPWRWQPWSU
      OWTXAXBXCXHXLUVIUVBGCXLUVACJOUVAXKJZUVIUVBNCXKUVAUJUVRUVGUVHUVBUUCYAUVADX
      IXDQWCXEXFUUJUUHUUIUUSUUPUUIYCUUSUUOBYACMTXGUVDUUTYBJUVCEUUTYBSGUUTCMTWEX
      J $.
  $}

  ${
    $d u v x y z A $.  $d u v x y z L $.  $d u v x y z Y $.
    $( Conditions for the trace of a filter ` L ` to be a filter.  (Contributed
       by FL, 2-Sep-2013.)  (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    trfil1 $p |- ( ( L e. ( Fil ` Y ) /\ A C_ Y ) -> A = U. ( L |`t A ) ) $=
      ( cfil cfv wcel wss wa crest co cuni cin simpr sseqin2 sylib cvv simpl id
      wceq filtop ssexg syl2anr adantr elrestr syl3anc eqeltrrd elssuni syl cpw
      restsspw sspwuni mpbi a1i eqssd ) BCDEZFZACGZHZABAIJZKZURAUSFAUTGURCALZAU
      SURUQVAASUPUQMACNOURUPAPFZCBFZVAUSFUPUQQUQUQVCVBUPUQRBCTZACBUAUBUPVCUQVDU
      CCABUOPUDUEUFAUSUGUHUTAGZURUSAUIGVEABUJUSAUKULUMUN $.

    $( Conditions for the trace of a filter ` L ` to be a filter.  (Contributed
       by FL, 2-Sep-2013.)  (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    trfil2 $p |- ( ( L e. ( Fil ` Y ) /\ A C_ Y ) ->
      ( ( L |`t A ) e. ( Fil ` A ) <-> A. v e. L ( v i^i A ) =/= (/) ) ) $=
      ( vy vx vu vz wcel wss wa c0 cv cin wral wrex wb wceq cvv adantr cfil cfv
      crest co wn wne wi cpw simpr sseqin2 sylib simpl id ssexg syl2anr elrestr
      filtop syl3anc eqeltrrd elpwi vex inex1 a1i elrest syldan sseq1d rexxfr2d
      cun indir simplr df-ss uneq2d simprr ssequn1 eqtrd syl5eq simplll simpllr
      syl2anc simprl filelss sstrd unssd ssun1 filss syl13anc rexlimdvaa sylbid
      ex ralrimiv simpll filin 3expb adantlr ralrimivva inindir eqtr4di adantll
      syl5 ineq12 eleq1d ralxfr2d mpbird isfil2 restsspw 3anass mpbiran 3anbi1i
      w3a 3bitri anass ancom syl12anc nesym ralbii dfrex2 bitrdi con2bid syl5bb
      baib bitr4d ) CDUAUBZIZBDJZKZCBUCUDZBUAUBIZLYFIZUEZAMBNZLUFZACOZYEBYFIZEM
      ZFMZJZEYFPZYOYFIZUGZFBUHZOZYOYNNZYFIZEYFOZFYFOZYGYIQYEDBNZBYFYEYDUUFBRYCY
      DUIBDUJUKYEYCBSIZDCIZUUFYFIYCYDULYDYDUUHUUGYCYDUMCDUQZBDCUNUOZYCUUHYDUUIT
      DBCYBSUPURUSYEYSFYTYOYTIYOBJZYEYSYOBUTYEUUKYSYEUUKKZYQGMZBNZYOJZGCPYRUULY
      PUUOEGUUNYFCSUUNSIZUULUUMCIZKUUMBGVAVBZVCYEYNYFIYNUUNRZGCPQZUUKYCYDUUGUUT
      UUJGYNBCYBSVDVEZTUULUUSKYNUUNYOUULUUSUIVFVGUULUUOYRGCUULUUQUUOKZKZUUMYOVH
      ZBNZYOYFUVCUVEUUNYOBNZVHZYOUUMYOBVIUVCUVGUUNYOVHZYOUVCUVFYOUUNUVCUUKUVFYO
      RYEUUKUVBVJZYOBVKUKVLUVCUUOUVHYORUULUUQUUOVMUUNYOVNUKVOVPUVCYCUUGUVDCIZUV
      EYFIYCYDUUKUVBVQZUVCYCYDUUGUVKYCYDUUKUVBVRZUUJVSUVCYCUUQUVDDJUUMUVDJZUVJU
      VKUULUUQUUOVTZUVCUUMYODUVCYCUUQUUMDJUVKUVNUUMCDWAVSUVCYOBDUVIUVLWBWCUVMUV
      CUUMYOWDVCUUMUVDCDWEWFUVDBCYBSUPURUSWGWHWIWSWJYEUUEHMZUUMNZBNZYFIZGCOZHCO
      YEUVRHGCCYEUVOCIZUUQKZKYCUUGUVPCIZUVRYCYDUWAWKYEUUGUWAUUJTYCUWAUWBYDYCUVT
      UUQUWBUVOUUMCDWLWMWNUVPBCYBSUPURWOYEUUDUVSFHUVOBNZYFCSUWCSIYEUVTKUVOBHVAV
      BVCYCYDUUGYRYOUWCRZHCPQUUJHYOBCYBSVDVEYEUWDKZUUCUVREGUUNYFCSUUPUWEUUQKUUR
      VCYEUUTUWDUVATUWEUUSKUUBUVQYFUWDUUSUUBUVQRYEUWDUUSKUUBUWCUUNNUVQYOUWCYNUU
      NWTUVOUUMBWPWQWRXAXBXBXCYGYMUUAUUEKZKZYIYGYIYMKZUWFKZYIUWGKUWGYIKYGYFYTJZ
      YIYMXIZUUAUUEXIUWHUUAUUEXIUWIFEYFBXDUWKUWHUUAUUEUWKUWJUWHBCXEUWJYIYMXFXGX
      HUWHUUAUUEXFXJYIYMUWFXKYIUWGXLXJXTXMYLLYJRZUEZACOZYEYIYKUWMACYJLXNXOYEYHU
      WNYEYHUWLACPZUWNUEYCYDUUGYHUWOQUUJALBCYBSVDVEUWLACXPXQXRXSYA $.

    $( Conditions for the trace of a filter ` L ` to be a filter.  (Contributed
       by Stefan O'Rear, 2-Aug-2015.) $)
    trfil3 $p |- ( ( L e. ( Fil ` Y ) /\ A C_ Y ) ->
      ( ( L |`t A ) e. ( Fil ` A ) <-> -. ( Y \ A ) e. L ) ) $=
      ( vv cfil cfv wcel wss wa crest co cv cin c0 wne wral wn wrex wb syl5bb
      cdif trfil2 dfral2 nne filelss reldisj syl rexbidva adantr difssd elfilss
      wceq sylan2 bitr4d notbid bitrd ) BCEFGZACHZIZBAJKAEFGDLZAMZNOZDBPZCAUAZB
      GZQZDABCUBVCVBQZDBRZQUSVFVBDBUCUSVHVEUSVHUTVDHZDBRZVEUQVHVJSURUQVGVIDBVGV
      ANULZUQUTBGIZVIVANUDVLUTCHVKVISUTBCUEUTACUFUGTUHUIURUQVDCHVEVJSURCAUJDVDB
      CUKUMUNUOTUP $.
  $}

  ${
    $d x y A $.  $d x y F $.  $d x y V $.  $d x y X $.
    $( If ` A ` is a member of the filter, then the filter truncated to ` A `
       is a subset of the original filter.  (Contributed by Mario Carneiro,
       15-Oct-2015.) $)
    trfilss $p |- ( ( F e. ( Fil ` X ) /\ A e. F ) -> ( F |`t A ) C_ F ) $=
      ( vx cfil cfv wcel wa crest co cv cin cmpt crn restval filin 3expa fmpttd
      an32s frnd eqsstrd ) BCEFZGZABGZHZBAIJDBDKZALZMZNBDABUBBOUEBBUHUEDBUGBUCU
      FBGZUDUGBGZUCUIUDUJUFABCPQSRTUA $.

    $( If ` A ` is a member of the filter, then truncating ` F ` to ` A ` and
       regenerating the behavior outside ` A ` using ` filGen ` recovers the
       original filter.  (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    fgtr $p |- ( ( F e. ( Fil ` X ) /\ A e. F ) ->
      ( X filGen ( F |`t A ) ) = F ) $=
      ( vx vy cfil cfv wcel wa co cfg cfbas wss cpw filfbas filelss syl syl3anc
      wb adantr crest wn fbncp sylan trfil3 syldan mpbird restsspw sspwd sstrid
      cdif filtop fbasweak trfilss fgss wceq fgfil sseqtrd cv wi ex cin elrestr
      wrex 3expa inss1 sseq1 rspcev sylancl jcad elfg sylibrd ssrdv eqssd ) BCF
      GZHZABHZIZCBAUAJZKJZBVRVTCBKJZBVRVSCLGZHZBWBHZVSBMVTWAMVRVSALGHZVSCNZMCBH
      ZWCVRVSAFGHZWEVRWHCAUKBHUBZVPWDVQWIBCOZACBCUCUDVPVQACMWHWISABCPZABCUEUFUG
      VSAOQVRVSANWFABUHVRACWKUIUJVPWGVQBCULTVSBACUMRZVPWDVQWJTABCUNVSBCUORVPWAB
      UPVQBCUQTURVRDBVTVRDUSZBHZWMCMZEUSZWMMZEVSVDZIZWMVTHZVRWNWOWRVPWNWOUTVQVP
      WNWOWMBCPVATVRWNWRVRWNIWMAVBZVSHZXAWMMZWRVPVQWNXBWMABVOBVCVEWMAVFWQXCEXAV
      SWPXAWMVGVHVIVAVJVRWCWTWSSWLEWMVSCVKQVLVMVN $.

    $( The trace operation and the ` filGen ` operation are inverses to one
       another in some sense, with ` filGen ` growing the base set and ` |``t `
       shrinking it.  See ~ fgtr for the converse cancellation law.
       (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    trfg $p |- ( ( F e. ( Fil ` A ) /\ A C_ X /\ X e. V ) ->
      ( ( X filGen F ) |`t A ) = F ) $=
      ( vx vy cfil cfv wcel wss co cv cfbas cpw 3ad2ant1 syl3anc syl wa filelss
      wceq w3a cfg crest cin cmpt crn filfbas filsspw simp2 sspwd fbasweak fgcl
      sstrd simp3 filtop restval syl2anc wrex wb elfg simplbda simprl inss2 a1i
      simpll1 simprr 3ad2antl1 ad2ant2r ssind syl13anc rexlimddv fmpttd eqsstrd
      filss frnd df-ss sylib adantr ssfg sselda elrestr eqeltrrd eqelssd ) BAGH
      IZADJZDCIZUAZEDBUBKZAUCKZBWGWIEWHELZAUDZUEZUFZBWGWHDGHZIZABIZWIWMTWGBDMHI
      ZWOWGBAMHIZBDNZJWFWQWDWEWRWFBAUGOWGBANZWSWDWEBWTJWFBAUHOWGADWDWEWFUIUJUMW
      DWEWFUNBCADUKPZBDULQZWDWEWPWFBAUOOZEAWHWNBUPUQWGWHBWLWGEWHWKBWGWJWHIZRZFL
      ZWJJZWKBIZFBWGXDWJDJZXGFBURZWGWQXDXIXJRUSXAFWJBDUTQVAXEXFBIZXGRZRZWDXKWKA
      JZXFWKJXHWDWEWFXDXLVEXEXKXGVBXNXMWJAVCVDXMXFWJAXEXKXGVFWGXKXFAJZXDXGWDWEX
      KXOWFXFBASVGVHVIXFWKBAVNVJVKVLVOVMWGWJBIZRZWKWJWIXQWJAJZWKWJTWDWEXPXRWFWJ
      BASVGWJAVPVQXQWOWPXDWKWIIWGWOXPXBVRWGWPXPXCVRWGBWHWJWGWQBWHJXABDVSQVTWJAW
      HWNBWAPWBWC $.
  $}

  ${
    $d v A $.  $d v P $.  $d v J $.  $d v Y $.
    $( The trace, over a set ` A ` , of the filter of the neighborhoods of a
       point ` P ` is a filter iff ` P ` belongs to the closure of ` A ` .
       (This is ~ trfil2 applied to a filter of neighborhoods.)  (Contributed
       by FL, 15-Sep-2013.)  (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    trnei $p |- ( ( J e. ( TopOn ` Y ) /\ A C_ Y /\ P e. Y ) ->
        ( P e. ( ( cls ` J ) ` A ) <->
          ( ( ( nei ` J ) ` { P } ) |`t A ) e. ( Fil ` A ) ) ) $=
      ( vv ctopon cfv wcel wss w3a ccl cv cin c0 wne csn cfil 3ad2ant1 syl3anc
      wb cnei wral crest ctop cuni topontop simp2 wceq toponuni sseqtrd eleqtrd
      co simp3 eqid neindisj2 simp1 snssd 3ad2ant3 neifil trfil2 syl2anc bitr4d
      snnzg ) CDFGHZADIZBDHZJZBACKGGHZELAMNOEBPZCUAGGZUBZVJAUCULAQGHZVGCUDHZACU
      EZIBVNHVHVKTVDVEVMVFDCUFRVGADVNVDVEVFUGZVDVEDVNUHVFDCUIRZUJVGBDVNVDVEVFUM
      ZVPUKBAECVNVNUNUOSVGVJDQGHZVEVLVKTVGVDVIDIVINOZVRVDVEVFUPVGBDVQUQVFVDVSVE
      BDVCURVICDUSSVOEAVJDUTVAVB $.
  $}

  ${
    $d w x y z A $.  $d w y z V $.  $d w x y z X $.
    $( Relative complements of the finite parts of an infinite set is a filter.
       When ` A = NN ` the set of the relative complements is called Frechet's
       filter and is used to define the concept of limit of a sequence.
       (Contributed by FL, 14-Jul-2008.)  (Revised by Stefan O'Rear,
       2-Aug-2015.) $)
    cfinfil $p |- ( ( X e. V /\ A C_ X /\ -. A e. Fin ) ->
        { x e. ~P X | ( A \ x ) e. Fin } e. ( Fil ` X ) ) $=
      ( vy vz vw wcel wss cfn cv cdif wa wceq difeq2 eleq1d wsbc c0 sbcie wi wn
      w3a cpw crab elrab velpw anbi1i bitri a1i simp1 ssdif0 eleq1 mpbiri sylbi
      wb 0fin sbcieg biimpar sylan2 3adant3 0ex dif0 sylbb con3i 3ad2ant3 sscon
      eleq1i ssfi expcom syl vex 3imtr4g cin cun difindi eqeltrid anbi12i inex1
      unfi isfild ) DCHZBDIZBJHZUAZUBZBEKZLZJHZEFGDBAKZLZJHZADUCZUDZCWFWMHZWFDI
      ZWHMZUOWEWNWFWLHZWHMWPWKWHAWFWLWIWFNWJWGJWIWFBOPUEWQWOWHEDUFUGUHUIWAWBWDU
      JWAWBWHEDQZWDWBWABDLZJHZWRWBWSRNZWTBDUKXAWTRJHUPWSRJULUMUNWAWRWTWHWTEDCWF
      DNWGWSJWFDBOPUQURUSUTWDWAWHERQZUAWBXBWCXBBRLZJHZWCWHXDERVAWFRNWGXCJWFRBOP
      SXCBJBVBVGVCVDVEGKZFKZIZWEWHEXEQZWHEXFQZTXFDIZXGBXELZJHZBXFLZJHZXHXIXGXMX
      KIZXLXNTXEXFBVFXLXOXNXKXMVHVIVJWHXLEXEGVKWFXENWGXKJWFXEBOPSZWHXNEXFFVKZWF
      XFNWGXMJWFXFBOPSZVLVEWEXJXEDIUBZXNXLMZBXFXEVMZLZJHZXIXHMWHEYAQXTYCTXSXTYB
      XMXKVNJBXFXEVOXMXKVSVPUIXIXNXHXLXRXPVQWHYCEYAXFXEXQVRWFYANWGYBJWFYABOPSVL
      VT $.
  $}

  ${
    $d w x y z X $.
    $( The set of all elements whose complement is dominated by the base set is
       a filter.  (Contributed by Mario Carneiro, 14-Dec-2013.)  (Revised by
       Stefan O'Rear, 2-Aug-2015.) $)
    csdfil $p |- ( ( X e. dom card /\ _om ~<_ X ) ->
        { x e. ~P X | ( X \ x ) ~< X } e. ( Fil ` X ) ) $=
      ( vy vz vw wcel cdom wbr wa cv cdif csdm wb wceq difeq2 breq1d wsbc sbcie
      wss c0 ccrd cdm com cpw crab elrab velpw anbi1i bitri a1i simpl difid wne
      infn0 adantl 0sdomg adantr mpbird eqbrtrid sbcieg sdomirr 0ex dif0 eqtrdi
      mtbiri w3a cvv simp1l difexd sscon 3ad2ant3 ssdomg sylc domsdomtr syl vex
      wi ex 3imtr4g cin infunsdom difindi breq1i syl6ibr 3ad2ant1 anbi12i inex1
      cun isfild ) BUAUBZFZUCBGHZIZBCJZKZBLHZCDEBBAJZKZBLHZABUDZUEZWJWNXAFZWNBS
      ZWPIZMWMXBWNWTFZWPIXDWSWPAWNWTWQWNNWRWOBLWQWNBOPUFXEXCWPCBUGUHUIUJWKWLUKW
      MWPCBQZBBKZBLHZWMXGTBLBULWMTBLHZBTUMZWLXJWKBUNUOWKXIXJMWLBWJUPUQURUSWKXFX
      HMWLWPXHCBWJWNBNWOXGBLWNBBOPUTUQURWMWPCTQZBBLHZBVAXKXLMWMWPXLCTVBWNTNZWOB
      BLXMWOBTKBWNTBOBVCVDPRUJVEWMDJZBSZEJZXNSZVFZBXPKZBLHZBXNKZBLHZWPCXPQZWPCX
      NQZXRYAXSGHZXTYBVQXRXSVGFYAXSSZYEXRBXPWJWKWLXOXQVHVIXQWMYFXOXPXNBVJVKYAXS
      VGVLVMYEXTYBYAXSBVNVRVOWPXTCXPEVPWNXPNWOXSBLWNXPBOPRZWPYBCXNDVPZWNXNNWOYA
      BLWNXNBOPRZVSWMXOXPBSZVFYBXTIZBXNXPVTZKZBLHZYDYCIWPCYLQWMXOYKYNVQYJWMYKYA
      XSWHZBLHZYNWMYKYPYAXSBWAVRYMYOBLBXNXPWBWCWDWEYDYBYCXTYIYGWFWPYNCYLXNXPYHW
      GWNYLNWOYMBLWNYLBOPRVSWI $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w y z V $.
    $( The supersets of a nonempty set which are also subsets of a given base
       set form a filter.  (Contributed by Jeff Hankins, 12-Nov-2009.)
       (Revised by Stefan O'Rear, 7-Aug-2015.) $)
    supfil $p |- ( ( A e. V /\ B C_ A /\ B =/= (/) ) ->
        { x e. ~P A | B C_ x } e. ( Fil ` A ) ) $=
      ( vy vz vw wcel wss c0 w3a cv wa wb sseq2 a1i wsbc 3ad2ant3 sbcie wi crab
      wne cpw elrab velpw anbi1i bitri simp1 simp2 sbcieg syl mpbird wn ss0 0ex
      necon3ai sylnibr sstr expcom vex 3imtr4g ssin biimpi syl2anb inex1 sylibr
      cin isfild ) BDHZCBIZCJUBZKZCELZIZEFGBCALZIZABUCZUAZDVMVRHZVMBIZVNMZNVLVS
      VMVQHZVNMWAVPVNAVMVQVOVMCOUDWBVTVNEBUEUFUGPVIVJVKUHZVLVNEBQZVJVIVJVKUIVLV
      IWDVJNWCVNVJEBDVMBCOUJUKULVLCJIZVNEJQVKVIWEUMVJWECJCUNUPRVNWEEJUOVMJCOSUQ
      GLZFLZIZVLVNEWFQZVNEWGQZTWGBIZWHCWFIZCWGIZWIWJWLWHWMCWFWGURUSVNWLEWFGUTVM
      WFCOSZVNWMEWGFUTZVMWGCOSZVARWJWIMZVNEWGWFVGZQZTVLWKWFBIKWQCWRIZWSWJWMWLWT
      WIWPWNWMWLMWTCWGWFVBVCVDVNWTEWRWGWFWOVEVMWRCOSVFPVH $.
  $}

  ${
    $d x y M $.  $d x y Z $.
    $( The set of upper sets of integers is a filter base on ` ZZ ` , which
       corresponds to convergence of sequences on ` ZZ ` .  (Contributed by
       Mario Carneiro, 13-Oct-2015.) $)
    zfbas $p |- ran ZZ>= e. ( fBas ` ZZ ) $=
      ( vx vy cuz crn cz cfbas cfv wcel cpw c0 wne cv cin wral uzf ax-mp c1 cvv
      wb wa wss wnel w3a wf frn wfn ffn fnfvelrn mp2an ne0ii wceq wrex uzid n0i
      1z syl nrex fvelrnb mtbir nelir uzin2 vex inex1 pwid inelcm sylancl rgen2
      wn 3pm3.2i zex isfbas mpbir2an ) CDZEFGHZVMEIZUAZVMJKZJVMUBZVMALZBLZMZIZM
      JKZBVMNAVMNZUCZEVOCUDZVPOEVOCUEPVQVRWDQCGZVMCEUFZQEHWGVMHWFWHOEVOCUGPZUOE
      QCUHUIUJJVMJVMHZVSCGZJUKZAEULZWLAEVSEHVSWKHWLVHVSUMWKVSUNUPUQWHWJWMSWIAEJ
      CURPUSUTWCABVMVMVSVMHVTVMHTWAVMHWAWBHWCVSVTVAWAVSVTAVBVCVDWAVMWBVEVFVGVIE
      RHVNVPWETSVJABREVMVKPVL $.

    uzfbas.1 $e |- Z = ( ZZ>= ` M ) $.
    $( The restriction of the set of upper sets of integers to an upper set of
       integers is the set of upper sets of integers based at a point above the
       cutoff.  (Contributed by Mario Carneiro, 13-Oct-2015.) $)
    uzrest $p |- ( M e. ZZ -> ( ran ZZ>= |`t Z ) = ( ZZ>= " Z ) ) $=
      ( vx vy cz wcel cuz crn cv cin cvv wceq wf wss uzf ax-mp mp2an wral cfv
      crest co cima cmpt cpw zex pwex frn ssexi fvexi restval wa cle wbr ineq2i
      cif uzin ancoms syl5eq wfn ffn uzssz eqsstri ifcl uzid syl elin2d fnfvima
      eleqtrrd mp3an12i eqeltrd ralrimiva wb ineq1 eleq1d ralrn eqid fmpt sylib
      sylibr frnd eqsstrid uztrn2 ex ssrdv df-ss sseli fnfvelrn sylancr elrestr
      adantl eqeltrrd wfun cdm ffun fdmi sseqtrri funimass4 eqssd ) AFGZHIZBUAU
      BZHBUCZWTXBDXADJZBKZUDZIZXCXALGZBLGZXBXGMXAFUEZFUFUGFXJHNZXAXJOPFXJHUHQUI
      ZBAHCUJZDBXALLUKRWTXAXCXFWTXEXCGZDXASZXAXCXFNWTEJZHTZBKZXCGZEFSZXOWTXSEFW
      TXPFGZULZXRXPAUMUNZAXPUPZHTZXCYBXRXQAHTZKZYEBYFXQCUOYAWTYGYEMXPAUQURUSZHF
      UTZBFOYBYDBGYEXCGXKYIPFXJHVAQZBYFFCAVBVCZYBXQBYDYBYDYEXRYBYDFGYDYEGYCAXPF
      VDYDVEVFYHVIVGFBHYDVHVJVKVLYIXOXTVMYJXNXSDEFHXDXQMXEXRXCXDXQBVNVOVPQVTDXA
      XCXEXFXFVQVRVSWAWBWTXDHTZXBGZDBSZXCXBOZWTYMDBWTXDBGZULZYLBKZYLXBYQYLBOZYR
      YLMYPYSWTYPEYLBYPXPYLGXPBGAXPXDBCWCWDWEWKYLBWFVSXHXIYQYLXAGZYRXBGXLXMYQYI
      XDFGZYTYJYPUUAWTBFXDYKWGWKFXDHWHWIYLBXALLWJVJWLVLHWMZBHWNZOYOYNVMXKUUBPFX
      JHWOQBFUUCYKFXJHPWPWQDBXBHWRRVTWS $.

    $( The set of upper sets of integers based at a point in a fixed upper
       integer set like ` NN ` is a filter base on ` NN ` , which corresponds
       to convergence of sequences on ` NN ` .  (Contributed by Mario Carneiro,
       13-Oct-2015.) $)
    uzfbas $p |- ( M e. ZZ -> ( ZZ>= " Z ) e. ( fBas ` Z ) ) $=
      ( cz wcel cuz crn crest co cima cfbas cfv uzrest c0 wn zfbas 0nelfb ax-mp
      imassrn eqsstrdi sseld wss wb uzssz eqsstri trfbas2 mp2an sylibr eqeltrrd
      mtoi ) ADEZFGZBHIZFBJZBKLZABCMZUKNUMEZOZUMUOEZUKUQNULEZULDKLEZUTOPDULQRUK
      UMULNUKUMUNULUPFBSTUAUJVABDUBUSURUCPBAFLDCAUDUEBULDUFUGUHUI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ultrafilters
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c UFil $.
  $c UFL $.

  $( Extend class notation with the ultrafilters-on-a-set function. $)
  cufil $a class UFil $.

  $( Extend class notation with the ultrafilter lemma. $)
  cufl $a class UFL $.

  ${
    $d f g x $.
    $( Define the set of ultrafilters on a set.  An ultrafilter is a filter
       that gives a definite result for every subset.  (Contributed by Jeff
       Hankins, 30-Nov-2009.) $)
    df-ufil $a |- UFil = ( g e. _V |-> { f e. ( Fil ` g ) |
            A. x e. ~P g ( x e. f \/ ( g \ x ) e. f ) } ) $.

    $( Define the class of base sets for which the ultrafilter lemma
       ~ filssufil holds.  (Contributed by Mario Carneiro, 26-Aug-2015.) $)
    df-ufl $a |- UFL = { x | A. f e. ( Fil ` x )
      E. g e. ( UFil ` x ) f C_ g } $.
  $}

  ${
    $d x y z F $.  $d x y z X $.
    $( The property of being an ultrafilter.  (Contributed by Jeff Hankins,
       30-Nov-2009.)  (Revised by Mario Carneiro, 29-Jul-2015.) $)
    isufil $p |- ( F e. ( UFil ` X ) <-> ( F e. ( Fil ` X ) /\
          A. x e. ~P X ( x e. F \/ ( X \ x ) e. F ) ) ) $=
      ( vz vy wel cv cdif wcel wo cpw wral cfil cfv cufil cdm df-ufil wceq wa
      wb adantr eleq2 adantl difeq1 eleq12 sylan orbi12d raleqbidv fveq2 elfvdm
      pweq fvex elmptrab2 ) ADFZEGZAGZHZDGZIZJZAUOKZLUPBIZCUPHZBIZJZACKZLEDUOMN
      CMNOMPCBADEQUOCRZURBRZSZUTVEAVAVFVGVAVFRVHUOCUKUAVIUNVBUSVDVHUNVBTVGURBUP
      UBUCVGUQVCRVHUSVDTUOCUPUDUQVCURBUEUFUGUHUOCMUIUOMULBCMUJUM $.
  $}

  ${
    $d x F $.  $d x X $.
    $( An ultrafilter is a filter.  (Contributed by Jeff Hankins, 1-Dec-2009.)
       (Revised by Mario Carneiro, 29-Jul-2015.) $)
    ufilfil $p |- ( F e. ( UFil ` X ) -> F e. ( Fil ` X ) ) $=
      ( vx cufil cfv wcel cfil cv cdif wo cpw wral isufil simplbi ) ABDEFABGEFC
      HZAFBOIAFJCBKLCABMN $.
  $}

  ${
    $d f x y F $.  $d x S $.  $d f x y X $.  $d x G $.
    $( For any subset of the base set of an ultrafilter, either the set is in
       the ultrafilter or the complement is.  (Contributed by Jeff Hankins,
       1-Dec-2009.)  (Revised by Mario Carneiro, 29-Jul-2015.) $)
    ufilss $p |- ( ( F e. ( UFil ` X ) /\ S C_ X ) ->
        ( S e. F \/ ( X \ S ) e. F ) ) $=
      ( vx cufil cfv wcel wss cdif wo cpw cdm wb elfvdm elpw2g syl cfil cv wral
      wi isufil wceq eleq1 difeq2 eleq1d orbi12d rspccv simplbiim sylbird imp )
      BCEFGZACHZABGZCAIZBGZJZUKULACKZGZUPUKCELZGURULMBCENACUSOPUKBCQFGDRZBGZCUT
      IZBGZJZDUQSURUPTDBCUAVDUPDAUQUTAUBZVAUMVCUOUTABUCVEVBUNBUTACUDUEUFUGUHUIU
      J $.

    $( The complement is in an ultrafilter iff the set is not.  (Contributed by
       Mario Carneiro, 11-Dec-2013.)  (Revised by Mario Carneiro,
       29-Jul-2015.) $)
    ufilb $p |- ( ( F e. ( UFil ` X ) /\ S C_ X ) ->
                  ( -. S e. F <-> ( X \ S ) e. F ) ) $=
      ( cufil cfv wcel wss wa wn cdif ufilss ord wi cfbas ufilfil filfbas fbncp
      cfil ex con2d 3syl adantr impbid ) BCDEFZACGZHZABFZIZCAJBFZUFUGUIABCKLUDU
      IUHMZUEUDBCREFBCNEFZUJBCOBCPUKUGUIUKUGUIIACBCQSTUAUBUC $.

    $( Any filter finer than an ultrafilter is actually equal to it.
       (Contributed by Jeff Hankins, 1-Dec-2009.)  (Revised by Mario Carneiro,
       29-Jul-2015.) $)
    ufilmax $p |- ( ( F e. ( UFil ` X ) /\ G e. ( Fil ` X ) /\ F C_ G ) ->
        F = G ) $=
      ( vx cufil cfv wcel cfil wss w3a simp3 cv wi filelss ex 3ad2ant2 wa wn wb
      cdif ufilb 3ad2antl1 simpl3 sseld cfbas filfbas fbncp con2d adantr sylbid
      syl syld con4d com23 mpdd ssrdv eqssd ) ACEFGZBCHFGZABIZJZABURUSUTKVADBAV
      ADLZBGZVBCIZVBAGZUSURVCVDMUTUSVCVDVBBCNOPVAVDVCVEVAVDVCVEMVAVDQZVEVCVFVER
      ZCVBTZAGZVCRZURUSVDVGVISUTVBACUAUBVFVIVHBGZVJVFABVHURUSUTVDUCUDVAVKVJMZVD
      USURVLUTUSVCVKUSBCUEFGZVCVKRZMBCUFVMVCVNVBCBCUGOUKUHPUIULUJUMOUNUOUPUQ $.

    $( The maximal property of an ultrafilter.  (Contributed by Jeff Hankins,
       30-Nov-2009.)  (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    isufil2 $p |- ( F e. ( UFil ` X ) <-> ( F e. ( Fil ` X ) /\
          A. f e. ( Fil ` X ) ( F C_ f -> F = f ) ) ) $=
      ( vx vy cfv wcel cv wss wceq wi wral wa wn cin c0 wne cvv syl ad2antrr wo
      cufil cfil ufilfil ufilmax ralrimiva jca cdif cpw simpl velpw csn cun cfi
      3expia cfg simpll snex unexg sylancl ssfii cfbas filsspw biimpri ad2antlr
      snssd unssd ssun2 vex snnz ssn0 mp2an a1i simpr ineq2 neeq1d ralsn ralbii
      co sylibr wb filfbas simplr inss2 filtop adantr ineq1 rspcva sylan snfbas
      sylancr syl3anc fbunfip syl2anc mpbird w3a fsubbas mpbir3and sstrd unssad
      ssfg fgcl sseq2 eqeq2 rspcv 3syl mpid vsnid sselii sseldd syl5ibrcom syld
      imbi12d eleq2 impancom an32s con3d rexnal nne filelss reldisj difss filss
      wrex 3exp2 mpii imp sylbid syl5bi rexlimdva syl5bir orrd sylan2b sylanbrc
      isufil impbii ) BCUBFGZBCUCFZGZBAHZIZBYTJZKZAYRLZMZYQYSUUDBCUDYQUUCAYRYQY
      TYRGUUAUUBBYTCUEUOUFUGUUEYSDHZBGZCUUFUHZBGZUAZDCUIZLYQYSUUDUJUUEUUJDUUKUU
      FUUKGZUUEUUFCIZUUJDCUKZUUEUUMMZUUGUUIUUOUUGNEHZUUFOZPQZEBLZNZUUIUUOUUSUUG
      YSUUMUUDUUSUUGKYSUUMMZUUSUUDUUGUVAUUSMZUUDBCBUUFULZUMZUNFZUPVSZJZUUGUVBUU
      DBUVFIZUVGUVBBUVCUVFUVBUVDUVEUVFUVBUVDRGZUVDUVEIUVBYSUVCRGUVIYSUUMUUSUQUU
      FURBUVCYRRUSUTUVDRVASUVBUVECVBFZGZUVEUVFIUVBUVKUVDUUKIZUVDPQZPUVEGNZUVBBU
      VCUUKYSBUUKIUUMUUSBCVCTUVBUUFUUKUUMUULYSUUSUULUUMUUNVDVEVFVGUVMUVBUVCUVDI
      UVCPQUVMUVCBVHZUUFDVIZVJUVCUVDVKVLVMUVBUVNUUPYTOZPQZAUVCLZEBLZUVBUUSUVTUV
      AUUSVNUVSUUREBUVRUURAUUFUVPYTUUFJUVQUUQPYTUUFUUPVOVPVQVRVTUVBBUVJGZUVCUVJ
      GZUVNUVTWAYSUWAUUMUUSBCWBTUVBUUMUUFPQZCBGZUWBYSUUMUUSWCUVBCUUFOZUUFIUWEPQ
      ZUWCCUUFWDUVAUWDUUSUWFYSUWDUUMBCWEZWFUURUWFECBUUPCJUUQUWEPUUPCUUFWGVPWHWI
      UWEUUFVKWKYSUWDUUMUUSUWGTZUUFCBWJWLEABUVCCCWMWNWOUVBUWDUVKUVLUVMUVNWPWAUW
      HUVDBCWQSWRZUVECXASWSZWTUVBUVKUVFYRGUUDUVHUVGKZKUWIUVECXBUUCUWKAUVFYRYTUV
      FJUUAUVHUUBUVGYTUVFBXCYTUVFBXDXMXEXFXGUVBUUGUVGUUFUVFGUVBUVDUVFUUFUWJUUFU
      VDGUVBUVCUVDUUFUVODXHXIVMXJBUVFUUFXNXKXLXOXPXQYSUUTUUIKUUDUUMUUTUURNZEBYD
      YSUUIUUREBXRYSUWLUUIEBUWLUUQPJZYSUUPBGZMZUUIUUQPXSUWOUWMUUPUUHIZUUIUWOUUP
      CIUWMUWPWAUUPBCXTUUPUUFCYASYSUWNUWPUUIKZYSUWNUUHCIZUWQCUUFYBYSUWNUWRUWPUU
      IUUPUUHBCYCYEYFYGYHYIYJYKTXLYLYMUFDBCYOYNYP $.

    $( An ultrafilter is a prime filter.  (Contributed by Jeff Hankins,
       1-Jan-2010.)  (Revised by Mario Carneiro, 2-Aug-2015.) $)
    ufprim $p |- ( ( F e. ( UFil ` X ) /\ A C_ X /\ B C_ X ) ->
        ( ( A e. F \/ B e. F ) <-> ( A u. B ) e. F ) ) $=
      ( cfv wcel wss w3a cun wa 3ad2ant1 adantr simpr a1i filss syl13anc ex cin
      cdif indifcom cufil wo cfil ufilfil unss biimpi 3adant1 ssun1 ssun2 wn wb
      ufilb 3adant3 difun2 uncom difeq1i eqtr3i ineq2i 3eqtr4i syl3an1 eqeltrid
      jaod filin simp13 inss1 3expia sylbid orrd impbid ) CDUAEFZADGZBDGZHZACFZ
      BCFZUBZABIZCFZVMVNVRVOVMVNVRVMVNJZCDUCEFZVNVQDGZAVQGZVRVMVTVNVJVKVTVLCDUD
      KZLVMVNMVMWAVNVKVLWAVJVKVLJWAABDUEUFUGZLWBVSABUHNAVQCDOPQVMVOVRVMVOJZVTVO
      WABVQGZVRVMVTVOWCLVMVOMVMWAVOWDLWFWEBAUINBVQCDOPQVBVMVRVPVMVRJZVNVOWGVNUJ
      ZDASZCFZVOVMWHWJUKZVRVJVKWKVLACDULUMLVMVRWJVOVMVRWJHZVTBWIRZCFVLWMBGZVOVM
      VRVTWJWCKWLWMVQWIRZCDBASZRDVQASZRWMWOWPWQDBAIZASWPWQBAUNWRVQABAUOUPUQURBD
      ATVQDATUSVMVTVRWJWOCFWCVQWICDVCUTVAVJVKVLVRWJVDWNWLBWIVENWMBCDOPVFVGVHQVI
      $.
  $}

  ${
    $d x A $.  $d x L $.  $d x Y $.
    $( Conditions for the trace of an ultrafilter ` L ` to be an ultrafilter.
       (Contributed by Mario Carneiro, 27-Aug-2015.) $)
    trufil $p |- ( ( L e. ( UFil ` Y ) /\ A C_ Y ) ->
      ( ( L |`t A ) e. ( UFil ` A ) <-> A e. L ) ) $=
      ( vx cufil cfv wcel wss wa cdif cfil ufilfil wo simpll simplr cin elrestr
      cvv adantr wceq crest co wn wb trfil3 sylan syl5ib cpw wral biimprd elpwi
      cv simpr sstrd ufilss syl2anc wi cdm id elfvdm ssexg syl2anr 3expia df-ss
      syldan sylib eleq1d sylibd indif1 sseqin2 difeq1d syl5eq syl3anc eqeltrrd
      simprr expr orim12d sylan2 ralrimiva jctird isufil syl6ibr impbid con1bid
      mpd ufilb bitrd ) BCEFZGZACHZIZBAUAUBZAEFGZCAJBGZUCZABGZWKWMWOWMWLAKFGZWK
      WOWLALWIBCKFGWJWQWOUDBCLABCUEUFZUGWKWOWQDULZWLGZAWSJZWLGZMZDAUHZUIZIWMWKW
      OWQXEWKWQWOWRUJWKXCDXDWSXDGWKWSAHZXCWSAUKWKXFIZWSBGZCWSJZBGZMZXCXGWIWSCHX
      KWIWJXFNXGWSACWKXFUMZWIWJXFOUNWSBCUOUPXGXHWTXJXBXGXHWSAPZWLGZWTWKXHXNUQZX
      FWIWJARGZXOWJWJCEURZGXPWIWJUSBCEUTACXQVAVBZWIXPXHXNWSABWHRQVCVESXGXMWSWLX
      GXFXMWSTXLWSAVDVFVGVHWKXFXJXBWKXFXJIZIZXIAPZXAWLXTYACAPZWSJXACAWSVIXTYBAW
      SXTWJYBATWIWJXSOACVJVFVKVLXTWIXPXJYAWLGWIWJXSNWKXPXSXRSWKXFXJVOXIABWHRQVM
      VNVPVQWEVRVSVTDWLAWAWBWCWKWPWNABCWFWDWG $.
  $}

  ${
    $d f g h x F $.  $d f g h x X $.
    $( A filter is contained in some ultrafilter.  This version of ~ filssufil
       contains the choice as a hypothesis (in the assumption that ` ~P ~P X `
       is well-orderable).  (Contributed by Mario Carneiro, 24-May-2015.)
       (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    filssufilg $p |- ( ( F e. ( Fil ` X ) /\ ~P ~P X e. dom card ) ->
        E. f e. ( UFil ` X ) F C_ f ) $=
      ( vh vg vx cfv wcel cpw wa cv wss wral wrex c0 wne wi sylibr sseq2 elrab
      cfil ccrd cdm wpss wn crab cufil crpss wor w3a cuni wal simpr rabss velpw
      filsspw a1d mprgbir ssnum sylancl ssid jctr adantr cun simpr1 ssrab sylib
      ne0d simpld simpr2 simpr3 sorpssun ralrimivva syl filuni syl3anc n0 ssel2
      wex simprd ssuni sylancom ex exlimdv syl5bi elrabd alrimiv zornn0g ralrab
      sylc weq simpll sstr2 imim1d df-pss simplbi2 necon1bd a2i ralimdv adantll
      syl6 imp isufil2 sylanbrc simplr jca syl2anb reximi2 ) BCUAGZHZCIZIZUBUCZ
      HZJZAKZDKZUDZUEZDBEKZLZEXIUFZMZAYBNZBXPLZACUGGZNXOYBXMHZYBOPZFKZYBLZYIOPZ
      YIUHUIZUJZYIUKZYBHZQZFULZYDXOXNYBXLLZYGXJXNUMYRYAXTXLHZQEXIYAEXIXLUNXTXIH
      ZYSYAYTXTXKLYSXTCUPEXKUORUQURXLYBUSUTXJYHXNXJYBBXJXJBBLZJBYBHXJUUABVAVBYA
      UUAEBXIXTBBSTRVHVCXJYQXNXJYPFXJYMYOXJYMJZYABYNLZEYNXIXTYNBSUUBYIXILZYKXTX
      QVDYIHZDYIMEYIMZYNXIHUUBUUDYAEYIMZUUBYJUUDUUGJXJYJYKYLVEZYAEXIYIVFVGVIXJY
      JYKYLVJZUUBYLUUFXJYJYKYLVKYLUUEEDYIYIYIXTXQVLVMVNEDYICVOVPUUBYJYKUUCUUHUU
      IYKXQYIHZDVSYJUUCDYIVQYJUUJUUCDYJUUJUUCYJUUJBXQLZUUCYJUUJJZXQXIHZUUKUULXQ
      YBHUUMUUKJYIYBXQVRYAUUKEXQXIXTXQBSZTVGVTBXQYIWAWBWCWDWEWJWFWCWGVCADFYBWHV
      PYCYEAYBYFXPYBHXPXIHZYEJZUUKXSQZDXIMZXPYFHZYEJYCYAYEEXPXIXTXPBSTYAUUKXSDE
      XIUUNWIUUPUURJZUUSYEUUTUUOXPXQLZADWKZQZDXIMZUUSUUOYEUURWLYEUURUVDUUOYEUUR
      UVDYEUUQUVCDXIYEUUQUVAXSQUVCYEUVAUUKXSBXPXQWMWNUVAXSUVBUVAXRXPXQXRUVAXPXQ
      PXPXQWOWPWQWRXAWSXBWTDXPCXCXDUUOYEUURXEXFXGXHVN $.

    $( A filter is contained in some ultrafilter.  (Requires the Axiom of
       Choice, via ~ numth3 .)  (Contributed by Jeff Hankins, 2-Dec-2009.)
       (Revised by Stefan O'Rear, 29-Jul-2015.) $)
    filssufil $p |- ( F e. ( Fil ` X ) -> E. f e. ( UFil ` X ) F C_ f ) $=
      ( cfil cfv wcel cpw ccrd cdm cv cufil wrex filtop pwexg numth3 filssufilg
      wss cvv 4syl mpdan ) BCDEFZCGZGZHIFZBAJQACKELUACBFUBRFUCRFUDBCMCBNUBRNUCR
      OSABCPT $.
  $}

  ${
    $d f g F $.  $d f g u x X $.  $d f g u Y $.
    $( Define the (strong) ultrafilter lemma, parameterized over base sets.  A
       set ` X ` satisfies the ultrafilter lemma if every filter on ` X ` is a
       subset of some ultrafilter.  (Contributed by Mario Carneiro,
       26-Aug-2015.) $)
    isufl $p |- ( X e. V -> ( X e. UFL <->
      A. f e. ( Fil ` X ) E. g e. ( UFil ` X ) f C_ g ) ) $=
      ( vx cv wss cufil wrex cfil wral cufl wceq fveq2 rexeqdv raleqbidv df-ufl
      cfv elab2g ) AFBFGZBEFZHRZIZAUAJRZKTBDHRZIZADJRZKEDLCUADMZUCUFAUDUGUADJNU
      HTBUBUEUADHNOPEABQS $.

    $( Property of a set that satisfies the ultrafilter lemma.  (Contributed by
       Mario Carneiro, 26-Aug-2015.) $)
    ufli $p |- ( ( X e. UFL /\ F e. ( Fil ` X ) ) ->
        E. f e. ( UFil ` X ) F C_ f ) $=
      ( vg cufl wcel cv wss cufil cfv wrex cfil wral isufl wceq rexbidv rspccva
      ibi sseq1 sylan ) CEFZDGZAGZHZACIJZKZDCLJZMZBUGFBUCHZAUEKZUAUHDAECNRUFUJD
      BUGUBBOUDUIAUEUBBUCSPQT $.

    $( Consequence of ~ filssufilg : a set whose double powerset is
       well-orderable satisfies the ultrafilter lemma.  (Contributed by Mario
       Carneiro, 26-Aug-2015.) $)
    numufl $p |- ( ~P ~P X e. dom card -> X e. UFL ) $=
      ( vf vg cpw ccrd cdm wcel cufl cv wss cufil cfv wrex cfil wral filssufilg
      ancoms ralrimiva cvv wb pwexr pwexb sylibr isufl syl mpbird ) ADZDEFZGZAH
      GZBIZCIJCAKLMZBANLZOZUIULBUMUKUMGUIULCUKAPQRUIASGZUJUNTUIUGSGUOUGUHUAAUBU
      CBCSAUDUEUF $.

    $( A finite set satisfies the ultrafilter lemma.  (Contributed by Mario
       Carneiro, 26-Aug-2015.) $)
    fiufl $p |- ( X e. Fin -> X e. UFL ) $=
      ( cfn wcel cpw cufl pwfi ccrd cdm finnum numufl syl sylbi ) ABCADZBCZAECZ
      AFNMDZBCZOMFQPGHCOPIAJKLL $.

    $( The axiom of choice implies the ultrafilter lemma.  (Contributed by
       Mario Carneiro, 26-Aug-2015.) $)
    acufl $p |- ( CHOICE -> UFL = _V ) $=
      ( vx wac cufl cvv wcel cpw ccrd cdm vex pwex wceq dfac10 biimpi eleqtrrid
      cv numufl syl a1i 2thd eqrdv ) BACDBAOZCEZUADEZBUAFZFZGHZEUBBUEDUFUDUAAIZ
      JJBUFDKLMNUAPQUCBUGRST $.

    $( If ` Y ` is a subset of ` X ` and filters extend to ultrafilters in
       ` X ` , then they still do in ` Y ` .  (Contributed by Mario Carneiro,
       26-Aug-2015.) $)
    ssufl $p |- ( ( X e. UFL /\ Y C_ X ) -> Y e. UFL ) $=
      ( vf vg vu cufl wcel wss wa cv cufil cfv wrex co cfbas cpw syl2anc adantr
      cfil syl wral simpll filfbas adantl filsspw simplr sspwd fbasweak syl3anc
      sstrd fgcl ufli crest ssfg simprr filtop ad2antlr sseldd wb simprl trufil
      cfg mpbird restid2 ssrest eqsstrrd sseq2 rspcev rexlimddv ralrimiva ssexg
      wceq cvv ancoms isufl ) AFGZBAHZIZBFGZCJZDJZHZDBKLZMZCBSLZUAZVRWDCWEVRVTW
      EGZIZAVTVBNZEJZHZWDEAKLZWHVPWIASLGZWKEWLMVPVQWGUBZWHVTAOLGZWMWHVTBOLGZVTA
      PZHVPWOWGWPVRVTBUCUDWHVTBPZWQWGVTWRHZVRVTBUEUDZWHBAVPVQWGUFZUGUJWNVTFBAUH
      UIZVTAUKTEWIAULQWHWJWLGZWKIZIZWJBUMNZWCGZVTXFHZWDXEXGBWJGZXEVTWJBXEVTWIWJ
      WHVTWIHZXDWHWOXJXBVTAUNTRWHXCWKUOUJZWGBVTGZVRXDVTBUPUQZURXEXCVQXGXIUSWHXC
      WKUTZWHVQXDXARBWJAVAQVCXEVTVTBUMNZXFXEXLWSXOVTVLXMWHWSXDWTRBVTVTVDQXEXCVT
      WJHXOXFHXNXKBVTWJWLVEQVFWBXHDXFWCWAXFVTVGVHQVIVJVRBVMGZVSWFUSVQVPXPBAFVKV
      NCDVMBVOTVC $.
  $}

  ${
    $d f g x F $.  $d f g x X $.
    $( If the ultrafilter containing a given filter is unique, the filter is an
       ultrafilter.  (Contributed by Jeff Hankins, 3-Dec-2009.)  (Revised by
       Mario Carneiro, 2-Oct-2015.) $)
    ufileu $p |- ( F e. ( Fil ` X ) ->
        ( F e. ( UFil ` X ) <-> E! f e. ( UFil ` X ) F C_ f ) ) $=
      ( vg cfv wcel cv wss wceq wi wral wa ex wb syl wn c0 wne ad2antrr cvv csn
      cfil cufil wreu ufilfil ufilmax 3expa eqcomd sylan2 ralrimiva sseq2 eqreu
      ssid mp3an2 mpdan wrex reu6 ibibr pm5.74ri bitr3d rspcva adantll ad2antlr
      vx filelss cdif cun cfi cfg co cfbas cpw difss filtop difexd elpwg mpbiri
      filsspw snssd unssd ssun1 filn0 ssn0 sylancr ad2ant2rl df-ss sylib sseq1d
      cin filss 3exp2 impcomd adantr sylbid con3d expr com23 impr neeq1d ralsng
      imp ineq2 inssdif0 necon3bbii bitr4di mpbird filfbas difssd eqss simplbi2
      ssdif0 eleq1 notbid biimpcd sylan9 adantl syl5bir necon2ad snfbas syl3anc
      mpd fbunfip syl2anc w3a mpbir3and fgcl filssufil r19.29 biimp simpll snex
      fsubbas unexg sylancl ssfii ssfg sstrd unssad sstr2 sseldd a2i syl56 impd
      imim1d rexlimdvw syl5 mpan2d an32s snidg elun2 adantlr simprl ufilb con4d
      simpllr mpdd ssrdv eqssd simplr eqeltrd rexlimdva2 syl5bi impbid2 ) BCUBE
      ZFZBCUCEZFZBAGZHZAUVFUDZUVGUVIUVHBIZJZAUVFKZUVJUVGUVLAUVFUVHUVFFUVGUVHUVD
      FZUVLUVHCUEUVGUVNLZUVIUVKUVOUVILBUVHUVGUVNUVIBUVHIBUVHCUFUGUHMUIUJUVGBBHZ
      UVMUVJBUMUVIUVPAUVFBUVHBBUKULUNUOUVJUVIUVHDGZIZNZAUVFKZDUVFUPUVEUVGUVIADU
      VFUQUVEUVTUVGDUVFUVEUVQUVFFZLZUVTLZBUVQUVFUWCBUVQUWAUVTBUVQHZUVEUVSUWDAUV
      QUVFUVRUVIUVSUWDUVRUVIUVSUVRUVIURUSUVHUVQBUKUTVAVBUWCVDUVQBUWCVDGZUVQFZUW
      ECHZUWEBFZUWAUWFUWGJZUVEUVTUWAUVQUVDFZUWIUVQCUEUWJUWFUWGUWEUVQCVEMOVCUWCU
      WGUWFUWHUWCUWGUWFUWHJUWCUWGLUWHUWFUWCUWGUWHPZUWFPZUWCUWGUWKLZLZUWLCUWEVFZ
      UVQFZUWNCBUWOUAZVGZVHEZVIVJZUVQUWOUWBUWMUVTUWTUVQHZUWBUWMLZUVTUXAUXBUVTUW
      TUVHHZAUVFUPZUXAUXBUWTUVDFZUXDUXBUWSCVKEZFZUXEUXBUXGUWRCVLZHZUWRQRZQUWSFP
      ZUXBBUWQUXHUVEBUXHHUWAUWMBCVRSUXBUWOUXHUXBUWOUXHFZUWOCHZCUWEVMUXBUWOTFZUX
      LUXMNUXBCUWEBUVECBFZUWAUWMBCVNSZVOZUWOCTVPOVQVSVTUXBBUWRHBQRZUXJBUWQWAUVE
      UXRUWAUWMBCWBSBUWRWCWDUXBUXKUVHUVQWIZQRZDUWQKZABKZUXBUYAABUXBUVHBFZLUYAUV
      HCWIZUWEHZPZUXBUYCUYFUWBUWGUWKUYCUYFJUWBUWGLUYCUWKUYFUWBUWGUYCUWKUYFJUWBU
      WGUYCLZLZUYEUWHUYHUYEUVHUWEHZUWHUYHUYDUVHUWEUYHUVHCHZUYDUVHIUVEUYCUYJUWAU
      WGUVHBCVEWEUVHCWFWGWHUWBUYGUYIUWHJZUVEUYGUYKJUWAUVEUYCUWGUYKUVEUYCUWGUYIU
      WHUVHUWEBCWJWKWLWMXAWNWOWPWQWRXAUXBUYAUYFNZUYCUXBUXNUYLUXQUXNUYAUVHUWOWIZ
      QRZUYFUXTUYNDUWOTUVQUWOIUXSUYMQUVQUWOUVHXBWSWTUYEUYMQUVHCUWEXCXDXEOWMXFUJ
      UXBBUXFFZUWQUXFFZUXKUYBNUVEUYOUWAUWMBCXGSUXBUXMUWOQRZUXOUYPUXBCUWEXHUXBUX
      OUYQUXPUXBUXOUWOQUWOQICUWEHZUXBUXOPZCUWEXKUWMUYRUYSJUWBUWGUYRUWECIZUWKUYS
      UYTUWGUYRUWECXIXJUYTUWKUYSUYTUWHUXOUWECBXLXMXNXOXPXQXRYAUXPUWOCBXSXTADBUW
      QCCYBYCXFUXBUXOUXGUXIUXJUXKYDNUXPUWRBCYLOYEZUWSCYFOAUWTCYGOUVTUXDLUVSUXCL
      ZAUVFUPUXBUXAUVSUXCAUVFYHUXBVUBUXAAUVFUXBUVSUXCUXAUVSUVIUVRJUXBUXCUVRJUXC
      UXAJUVIUVRYIUXBUXCUVIUVRUXBBUWTHUXCUVIJUXBBUWQUWTUXBUWRUWSUWTUXBUWRTFZUWR
      UWSHUXBUVEUWQTFVUCUVEUWAUWMYJUWOYKBUWQUVDTYMYNUWRTYOOUXBUXGUWSUWTHVUAUWSC
      YPOYQZYRBUWTUVHYSOUUDUXCUVRUXAUVRUXCUXAUVHUVQUWTUKXNUUAUUBUUCUUEUUFUUGXAU
      UHUWBUWMUWOUWTFUVTUXBUWRUWTUWOVUDUXBUWOUWQFZUWOUWRFUXBUXNVUEUXQUWOTUUIOUW
      OUWQBUUJOYTUUKYTUWNUWAUWGUWLUWPNUVEUWAUVTUWMUUOUWCUWGUWKUULUWEUVQCUUMYCXF
      WPUUNMWQUUPUUQUURUVEUWAUVTUUSUUTUVAUVBUVC $.
  $}

  ${
    $d f x y z F $.  $d f x y z X $.
    $( A filter is equal to the intersection of the ultrafilters containing it.
       (Contributed by Jeff Hankins, 1-Jan-2010.)  (Revised by Stefan O'Rear,
       2-Aug-2015.) $)
    filufint $p |- ( F e. ( Fil ` X ) ->
        |^| { f e. ( UFil ` X ) | F C_ f } = F ) $=
      ( vy vz cfv wcel cv wss wi wn wa w3a c0 wne 3ad2ant1 cvv wb syl wceq cfil
      vx cufil crab cint wral vex elintrab wrex cdif csn cun cfi cfg co filsspw
      cfbas cpw difss filtop difexd elpwg mpbiri snssd unssd ssun1 ssn0 sylancr
      filn0 cin elsni filelss 3adant3 reldisj dfss4 biimpi 3ad2ant3 bitrd filss
      sseq2d 3exp2 3imp sylbid 3exp com24 3imp1 ineq2 neeq1d syl5ibrcom expimpd
      necon3bd sylan2i ralrimivv filfbas a1i 3ad2ant2 difeq2 dif0 eqtrdi eqtr3d
      eqeltrd 3expia ex snfbas syl3anc fbunfip syl2anc mpbird fsubbas mpbir3and
      com23 fgcl filssufil snex unexg mpan2 ssfii unssad sstrd ad2antrr ufilfil
      ssfg simpr 0nelfil disjdif simprr unssbd adantr simprl snidg sseldd filin
      ad2antlr eqeltrrid expr mtod jca exp31 reximdvai syl5 mpd con3d a1d ancld
      impcom reximdva syl5com pm2.61d rexanali syl6ib con4d ssrdv ssintub eqssd
      syl5bi ) BCUAFZGZBAHZIZACUCFZUDUEZBUUQUBUVABUBHZUVAGUUSUVBUURGZJAUUTUFZUU
      QUVBBGZUUSAUVBUUTUBUGUHUUQUVEUVDUUQUVEKZUUSUVCKZLZAUUTUIZUVDKUUQUVFUVIUUQ
      UVFLUVBCIZUVIUUQUVFUVJUVIUUQUVFUVJMZCBCUVBUJZUKZULZUMFZUNUOZUUPGZUVIUVKUV
      OCUQFZGZUVQUVKUVSUVNCURZIZUVNNOZNUVOGKZUVKBUVMUVTUUQUVFBUVTIUVJBCUPPUVKUV
      LUVTUVKUVLUVTGZUVLCIZCUVBUSZUVKUVLQGZUWDUWERUUQUVFUWGUVJUUQCUVBBBCUTZVAZP
      UVLCQVBSVCVDVEUUQUVFUWBUVJUUQBUVNIBNOUWBBUVMVFBCVIBUVNVGVHPUVKUWCDHZEHZVJ
      ZNOZEUVMUFDBUFZUVKUWMDEBUVMUWKUVMGUVKUWJBGZUWKUVLTZUWMUWKUVLVKUVKUWOUWPUW
      MUVKUWOLUWMUWPUWJUVLVJZNOZUUQUVFUVJUWOUWRUUQUWOUVJUVFUWRUUQUWOUVJUVFUWRJU
      UQUWOUVJMZUVEUWQNUWSUWQNTZUWJUVBIZUVEUWSUWTUWJCUVLUJZIZUXAUWSUWJCIZUWTUXC
      RUUQUWOUXDUVJUWJBCVLVMUWJUVLCVNSUVJUUQUXCUXARUWOUVJUXBUVBUWJUVJUXBUVBTZUV
      BCVOVPZVTVQVRUUQUWOUVJUXAUVEJUUQUWOUVJUXAUVEUWJUVBBCVSWAWBWCWKWDWEWFUWPUW
      LUWQNUWKUVLUWJWGWHWIWJWLWMUVKBUVRGZUVMUVRGZUWCUWNRUUQUVFUXGUVJBCWNPUVKUWE
      UVLNOZCBGZUXHUWEUVKUWFWOUUQUVFUVJUXIUUQUVJUVFUXIUUQUVJUVFUXIJUUQUVJLUVEUV
      LNUUQUVJUVLNTZUVEUUQUVJUXKMZUVBCBUXLUXBUVBCUVJUUQUXEUXKUXFWPUXKUUQUXBCTUV
      JUXKUXBCNUJCUVLNCWQCWRWSVQWTUUQUVJUXJUXKUWHPXAXBWKXCXKWBUUQUVFUXJUVJUWHPU
      VLCBXDXEDEBUVMCCXFXGXHUUQUVFUVSUWAUWBUWCMRZUVJUUQUXJUXMUWHUVNBCXISPXJZUVO
      CXLSUVQUVPUURIZAUUTUIUVKUVIAUVPCXMUVKUXOUVHAUUTUVKUURUUTGZUXOUVHUVKUXPLZU
      XOLZUUSUVGUXRBUVPUURUVKBUVPIUXPUXOUVKBUVOUVPUVKBUVMUVOUUQUVFUVNUVOIZUVJUU
      QUVNQGZUXSUUQUVMQGUXTUVLXNBUVMUUPQXOXPUVNQXQSZPXRUVKUVSUVOUVPIZUXNUVOCYBZ
      SXSXTUXQUXOYCXSUXRUVCNUURGZUXPUYDKZUVKUXOUXPUURUUPGZUYEUURCYAZUURCYDSYMUX
      QUXOUVCUYDUXQUXOUVCLZLZNUVBUVLVJZUURUVBCYEUYIUYFUVCUVLUURGUYJUURGUXPUYFUV
      KUYHUYGYMUXQUXOUVCYFUYIUVMUURUVLUYIUVMUVPUURUXQUVMUVPIUYHUXQUVMUVOUVPUVKU
      VMUVOIZUXPUUQUVFUYKUVJUUQBUVMUVOUYAYGPYHUXQUVSUYBUVKUVSUXPUXNYHUYCSXSYHUX
      QUXOUVCYIXSUVKUVLUVMGZUXPUYHUUQUVFUYLUVJUUQUWGUYLUWIUVLQYJSPXTYKUVBUVLUUR
      CYLXEYNYOYPYQYRYSYTUUAXBUUQUVJKZUVIJUVFUUQUUSAUUTUIUYMUVIABCXMUYMUUSUVHAU
      UTUYMUXPLZUUSUVGUYNUVGUUSUXPUYMUVGUXPUVCUVJUXPUYFUVCUVJJUYGUYFUVCUVJUVBUU
      RCVLXCSUUBUUEUUCUUDUUFUUGYHUUHXCUUSUVCAUUTUUIUUJUUKUUOUULBUVAIUUQABUUTUUM
      WOUUN $.
  $}

  ${
    $d x y A $.  $d x y X $.  $d x y V $.
    $( Lemma for ~ fixufil and ~ uffixfr .  (Contributed by Mario Carneiro,
       12-Dec-2013.)  (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    uffix $p |- ( ( X e. V /\ A e. X ) -> ( { { A } } e. ( fBas ` X ) /\
          { x e. ~P X | A e. x } = ( X filGen { { A } } ) ) ) $=
      ( vy wcel wa csn cfbas cfv cv cpw crab cfg co wss snssi wb a1i syl c0 wne
      wceq snnzg simpl snfbas syl2an23an wrex velpw snex snid sseq1 rspcev cint
      sylancr wi intss1 sstr2 snidg adantl intsn eleqtrrdi ssel syl5com sylan9r
      rexlimdva impbid2 anbi12d eleq2w elrab elfg 3bitr4d eqrdv jca ) DCFZBDFZG
      ZBHZHZDIJFZBAKZFZADLZMZDVSNOZUCVPVRDPVRUAUBVOVOVTBDQBDUDVOVPUEVRDCUFUGZVQ
      EWDWEVQEKZWCFZBWGFZGZWGDPZWAWGPZAVSUHZGZWGWDFZWGWEFZVQWHWKWIWMWHWKRVQEDUI
      SVQWIWMWIVRVSFVRWGPZWMVRBUJZUKBWGQWLWQAVRVSWAVRWGULUMUOVQWLWIAVSWAVSFZWLV
      SUNZWGPZVQWIWSWTWAPWLXAUPWAVSUQWTWAWGURTVQBWTFXAWIVQBVRWTVPBVRFVOBDUSUTVR
      WRVAVBWTWGBVCVDVEVFVGVHWOWJRVQWBWIAWGWCAEBVIVJSVQVTWPWNRWFAWGVSDVKTVLVMVN
      $.

    $( The condition describing a fixed ultrafilter always produces an
       ultrafilter.  (Contributed by Jeff Hankins, 9-Dec-2009.)  (Revised by
       Mario Carneiro, 12-Dec-2013.)  (Revised by Stefan O'Rear,
       29-Jul-2015.) $)
    fixufil $p |- ( ( X e. V /\ A e. X ) ->
        { x e. ~P X | A e. x } e. ( UFil ` X ) ) $=
      ( vy wcel wa cv cpw crab cfv wo wral csn wceq cun wss sylib eleq2 elrab
      cfil cdif cufil cfg co cfbas uffix simprd simpld syl eqeltrd undif2 elpwi
      fgcl ssequn1 eqtr2id eleq2d biimpac elun adantll ibar adantl difss elpw2g
      wb mpbiri ad2antrr biantrurd orbi12d mpbid ralrimiva ralbii sylibr isufil
      orbi12i sylanbrc ) DCFZBDFZGZBAHZFZADIZJZDUAKZFEHZWCFZDWEUBZWCFZLZEWBMZWC
      DUCKFVSWCDBNNZUDUEZWDVSWKDUFKFZWCWLOZABCDUGZUHVSWMWLWDFVSWMWNWOUIWKDUNUJU
      KVSWEWBFZBWEFZGZWGWBFZBWGFZGZLZEWBMWJVSXBEWBVSWPGZWQWTLZXBVRWPXDVQVRWPGBW
      EWGPZFZXDWPVRXFWPDXEBWPXEWEDPZDWEDULWPWEDQXGDOWEDUMWEDUORUPUQURBWEWGUSRUT
      XCWQWRWTXAWPWQWRVEVSWPWQVAVBXCWSWTVQWSVRWPVQWSWGDQDWEVCWGDCVDVFVGVHVIVJVK
      WIXBEWBWFWRWHXAWAWQAWEWBVTWEBSTWAWTAWGWBVTWGBSTVOVLVMEWCDVNVP $.
  $}

  ${
    $d x A $.  $d x y F $.  $d x y X $.
    $( An ultrafilter is either fixed or free.  A fixed ultrafilter is called
       principal (generated by a single element ` A ` ), and a free ultrafilter
       is called nonprincipal (having empty intersection).  Note that examples
       of free ultrafilters cannot be defined in ZFC without some form of
       global choice.  (Contributed by Jeff Hankins, 4-Dec-2009.)  (Revised by
       Stefan O'Rear, 2-Aug-2015.) $)
    uffixfr $p |- ( F e. ( UFil ` X ) -> ( A e. |^| F <->
          F = { x e. ~P X | A e. x } ) ) $=
      ( cufil cfv wcel cint cv cpw wceq wa wss csn syl 3syl elintg adantl eleq2
      simprbi crab cfil simpl cfg co cfbas ufilfil filtop c0 wne filn0 intssuni
      cuni filunibas sseqtrd sselda uffix syl2an2r simprd simpld eqeltrd adantr
      fgcl wral filsspw ibi ssrab sylanbrc ufilmax syl3anc eqimss biimpac sylan
      wb elrab mpbird impbida ) CDEFGZBCHZGZCBAIZGZADJZUAZKZVRVTLZVRWDDUBFZGCWD
      MZWEVRVTUCWFWDDBNNZUDUEZWGWFWIDUFFGZWDWJKZVRDCGZVTBDGZWKWLLVRCWGGZWMCDUGZ
      CDUHOZVRVSDBVRVSCUMZDVRWOCUIUJVSWRMWPCDUKCULPVRWOWRDKWPCDUNOUOUPABCDUQURZ
      USWFWKWJWGGWFWKWLWSUTWIDVCOVAWFCWCMZWBACVDZWHWFWOWTVRWOVTWPVBCDVEOVTXAVRV
      TXAABCVSQVFRWBAWCCVGZVHCWDDVIVJVRWELZVTXAXCWHXAWEWHVRCWDVKRWHWTXAXBTOXCDW
      DGZWNVTXAVNVRWMWEXDWQWEWMXDCWDDSVLVMXDDWCGWNWBWNADWCWADBSVOTABCDQPVPVQ $.

    $( A classification of fixed ultrafilters.  (Contributed by Mario Carneiro,
       24-May-2015.)  (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    uffix2 $p |- ( F e. ( UFil ` X ) -> ( |^| F =/= (/) <->
          E. x e. X F = { y e. ~P X | x e. y } ) ) $=
      ( cufil cfv wcel cv cint wex cpw crab wceq wa c0 wne wrex cuni cfil wss
      ufilfil filn0 intssuni 3syl filunibas syl sseqtrd pm4.71rd uffixfr anbi2d
      sseld bitrd exbidv n0 df-rex 3bitr4g ) CDEFGZAHZCIZGZAJURDGZCURBHGBDKLMZN
      ZAJUSOPVBADQUQUTVCAUQUTVAUTNVCUQUTVAUQUSDURUQUSCRZDUQCDSFGZCOPUSVDTCDUAZC
      DUBCUCUDUQVEVDDMVFCDUEUFUGUKUHUQUTVBVABURCDUIUJULUMAUSUNVBADUOUP $.
  $}

  ${
    $d x A $.  $d x y F $.  $d x y X $.
    $( The singleton of the generator of a fixed ultrafilter is in the filter.
       (Contributed by Mario Carneiro, 24-May-2015.)  (Revised by Stefan
       O'Rear, 2-Aug-2015.) $)
    uffixsn $p |- ( ( F e. ( UFil ` X ) /\ A e. |^| F ) -> { A } e. F ) $=
      ( vx cufil cfv wcel cint wa csn cv cpw crab eleq2 wss cuni cfil wne wceq
      c0 ufilfil filn0 intssuni 3syl filunibas sseqtrd sselda snssd snex sylibr
      syl elpw snidg adantl elrabd uffixfr biimpa eleqtrrd ) BCEFGZABHZGZIZAJZA
      DKZGZDCLZMZBVBVEAVCGZDVCVFVDVCANVBVCCOVCVFGVBACUSUTCAUSUTBPZCUSBCQFGZBTRU
      TVIOBCUAZBCUBBUCUDUSVJVICSVKBCUEUKUFUGUHVCCAUIULUJVAVHUSAUTUMUNUOUSVABVGS
      DABCUPUQUR $.

    $( An ultrafilter is generated by at most one element (because free
       ultrafilters have no generators and fixed ultrafilters have exactly
       one).  (Contributed by Mario Carneiro, 24-May-2015.)  (Revised by Stefan
       O'Rear, 2-Aug-2015.) $)
    ufildom1 $p |- ( F e. ( UFil ` X ) -> |^| F ~<_ 1o ) $=
      ( vx cufil cfv wcel cint c1o cdom wbr c0 breq1 wne wa cen cv wex csn con0
      syl wceq wss uffixsn intss1 simpr snssd eqssd ex eximdv en1 3imtr4g endom
      n0 imp 1on 0domg mp1i pm2.61ne ) ABDEFZAGZHIJZKHIJZUTKUTKHILUSUTKMZNUTHOJ
      ZVAUSVCVDUSCPZUTFZCQUTVERZUAZCQVCVDUSVFVHCUSVFVHUSVFNZUTVGVIVGAFUTVGUBVEA
      BUCVGAUDTVIVEUTUSVFUEUFUGUHUICUTUMCUTUJUKUNUTHULTHSFVBUSUOHSUPUQUR $.

    $( An ultrafilter containing a finite element is fixed.  (Contributed by
       Jeff Hankins, 5-Dec-2009.)  (Revised by Stefan O'Rear, 2-Aug-2015.) $)
    uffinfix $p |- ( ( F e. ( UFil ` X ) /\ S e. F /\ S e. Fin ) ->
        E. x e. X F = { y e. ~P X | x e. y } ) $=
      ( cufil cfv wcel cfn w3a cint c0 wne wel cpw crab wceq wrex cfil ufilfil
      filfinnfr syl3an1 wb uffix2 3ad2ant1 mpbid ) DEFGHZCDHZCIHZJDKLMZDABNBEOP
      QAERZUGDESGHUHUIUJDETCDEUAUBUGUHUJUKUCUIABDEUDUEUF $.

    $( An ultrafilter is free iff it contains the Fr&eacute;chet filter
       ~ cfinfil as a subset.  (Contributed by NM, 14-Jul-2008.)  (Revised by
       Stefan O'Rear, 2-Aug-2015.) $)
    cfinufil $p |- ( F e. ( UFil ` X ) -> ( |^| F = (/) <->
          { x e. ~P X | ( X \ x ) e. Fin } C_ F ) ) $=
      ( vy cfv wcel c0 wceq cv cdif cfn wi wss wa wn wb ufilb adantr com23 syl
      cufil cint cpw wral crab elpwi wne cfil ufilfil filfinnfr 3exp imp sylbid
      necon4bd ex sylan2 ralrimdva csn uffixsn filelss syl2anc dfss4 sylib snfi
      eqeltrdi difss filtop elpw2g 3syl mpbiri difeq2 eleq1d eleq1 imbi12d mpid
      rspcv syldan pm2.24d sylbird impancom pm2.01d eq0rdv impbid rabss bitr4di
      syld ) BCUAEFZBUBZGHZCAIZJZKFZWJBFZLZACUCZUDZWLAWOUEBMWGWIWPWGWIWNAWOWJWO
      FWGWJCMZWIWNLWJCUFWGWQNZWLWIWMWRWLWIWMLWRWLNZWMWHGWSWMOZWKBFZWHGUGZWRWTXA
      PWLWJBCQRWRWLXAXBLZWRBCUHEFZWLXCLWGXDWQBCUIZRXDXAWLXBXDXAWLXBWKBCUJUKSTUL
      UMUNUOSUPUQWGWPWIWGWPNZDWHXFDIZWHFZWGXHWPXHOZWGXHNZWPCXGURZJZBFZXIXJWPCXL
      JZKFZXMXJXNXKKXJXKCMZXNXKHXJXDXKBFZXPWGXDXHXERZXGBCUSZXKBCUTVAZXKCVBVCXGV
      DVEXJXLWOFZWPXOXMLZLXJYAXLCMZCXKVFXJXDCBFYAYCPXRBCVGXLCBVHVIVJWNYBAXLWOWJ
      XLHZWLXOWMXMYDWKXNKWJXLCVKVLWJXLBVMVNVPTVOXJXMXQOZXIWGXHXPYEXMPXTXKBCQVQX
      JXQXIXSVRVSWFVTWAWBUOWCWLAWOBWDWE $.
  $}

  ${
    $d f x y A $.  $d f y B $.  $d f x y X $.
    $( An infinite subset is contained in a free ultrafilter.  (Contributed by
       Jeff Hankins, 6-Dec-2009.)  (Revised by Mario Carneiro, 4-Dec-2013.) $)
    ufinffr $p |- ( ( X e. B /\ A C_ X /\ _om ~<_ A ) ->
        E. f e. ( UFil ` X ) ( A e. f /\ |^| f = (/) ) ) $=
      ( vx vy wcel wss com cv cdif cfn cfv wrex cint c0 wceq wa wn mtoi wbr w3a
      cdom cpw crab cufil cfil ominf domfi expcom cfinfil syl3an3 filssufil syl
      difeq2 difid eqtrdi eleq1d elpw2g biimpar 3adant3 0fin a1i elrabd syl5com
      ssel intss csn neldifsn elinti simp2 ssdifssd wb 3ad2ant1 mpbird wi eldif
      snfi notbii iman bitr4i anbi2i bitri pm3.35 sylbi ssriv ssfi mp2an eq0rdv
      nsyl3 sseq2d syl5ib ss0 syl6 jcad reximdv mpd ) DBGZADHZIAUCUAZUBZAEJZKZL
      GZEDUDZUEZCJZHZCDUFMZNZAXGGZXGOZPQZRZCXINXAXFDUGMGZXJWTWRWSALGZSXOWTXPILG
      ZUHXPWTXQAIUIUJTEABDUKULCXFDUMUNXAXHXNCXIXAXHXKXMXAAXFGXHXKXAXDPLGZEAXEXB
      AQZXCPLXSXCAAKPXBAAUOAUPUQURWRWSAXEGZWTWRXTWSADBUSUTVAXRXAVBVCVDXFXGAVFVE
      XAXHXLPHZXMXHXLXFOZHXAYAXFXGVGXAYBPXLXAFYBFJZYBGZAYCVHZKZXFGZXAYDYGYCYFGY
      CAVIYCXFYFVJTXAXDAYFKZLGZEYFXEXBYFQXCYHLXBYFAUOURXAYFXEGZYFDHZXAADYEWRWSW
      TVKVLWRWSYJYKVMWTYFDBUSVNVOYIXAYELGYHYEHYIYCVREYHYEXBYHGZXBAGZYMXBYEGZVPZ
      RZYNYLYMXBYFGZSZRYPXBAYFVQYRYOYMYRYMYNSRZSYOYQYSXBAYEVQVSYMYNVTWAWBWCYMYN
      WDWEWFYEYHWGWHVCVDWJWIWKWLXLWMWNWOWPWQ $.
  $}

  ${
    $d f x y X $.
    $( Any infinite set has an ultrafilter on it whose elements are of the same
       cardinality as the set.  Any such ultrafilter is necessarily free.
       (Contributed by Jeff Hankins, 7-Dec-2009.)  (Revised by Stefan O'Rear,
       3-Aug-2015.) $)
    ufilen $p |- ( _om ~<_ X -> E. f e. ( UFil ` X ) A. x e. f x ~~ X ) $=
      ( vy com cdom wbr cv cdif csdm wss cufil cfv wrex wcel cvv syl wa sylan
      wn cpw crab cen wral cfil ccrd cdm reldom brrelex2i numth3 csdfil mpancom
      filssufil elfvex ad2antlr ufilfil filelss adantll ssdomg wi cfbas filfbas
      sylc adantl fbncp w3a difeq2 breq1d difss elpw2g mpbiri simp2 dfss4 sylib
      3ad2ant1 simp3 eqbrtrd elrabd syl5com 3expa impancom con3d syl21anc bren2
      wceq ssel simplbi2 sylsyld ralrimdva reximdva mpd ) ECFGZCDHZIZCJGZDCUAZU
      BZBHZKZBCLMZNZAHZCUCGZAWRUDZBWTNWLWQCUEMZOZXACUFUGOZWLXFWLCPOZXGECFUHUICP
      UJQDCUKULBWQCUMQWLWSXDBWTWLWRWTOZRZWSXCAWRXJXBWROZRZXBCFGZWSXBCJGZTZXCXLX
      HXBCKZXMXIXHWLXKWRCLUNUOZXIXKXPWLXIWRXEOZXKXPWRCUPZXBWRCUQSURZXBCPUSVCXLX
      HXPCXBIZWROZTZWSXOUTXQXTXJWRCVAMOZXKYCXIYDWLXIXRYDXSWRCVBQVDXBCWRCVESXHXP
      RZWSYCXOYEWSRXNYBYEXNWSYBXHXPXNWSYBUTXHXPXNVFZYAWQOWSYBYFWOCYAIZCJGDYAWPW
      MYAWEWNYGCJWMYACVGVHXHXPYAWPOZXNXHYHYACKCXBVIYACPVJVKVOYFYGXBCJYFXPYGXBWE
      XHXPXNVLXBCVMVNXHXPXNVPVQVRWQWRYAWFVSVTWAWBWAWCXCXMXOXBCWDWGWHWIWJWK $.
  $}

  ${
    $d x F $.  $d x J $.  $d x X $.
    ufildr.1 $e |- J = ( F u. { (/) } ) $.
    $( An ultrafilter gives rise to a connected door topology.  (Contributed by
       Jeff Hankins, 6-Dec-2009.)  (Revised by Stefan O'Rear, 3-Aug-2015.) $)
    ufildr $p |- ( F e. ( UFil ` X ) -> ( J u. ( Clsd ` J ) ) = ~P X ) $=
      ( vx cufil cfv wcel ccld cun cpw wo wss cuni c0 syl5ibr cdif sseld ctop
      wb cv elssuni cfil wceq ufilfil filunibas syl csn unieqi uniun 0ex uneq2i
      unisn un0 3eqtri eqtr2i eqtr3di sseq2d eqid cldss jaod wa ufilss sseqtrri
      ssun1 filconn conntop 3syl eqeltrid biimpa iscld2 syl2an2r difeq1d eleq1d
      a1i cconn adantr bitr4d sylibrd orim12d mpd ex impbid velpw 3bitr4g eqrdv
      elun ) ACFGHZEBBIGZJZCKZWHEUAZBHZWLWIHZLZWLCMZWLWJHWLWKHWHWOWPWHWMWPWNWMW
      PWHWLBNZMZWLBUBWHCWQWLWHANZCWQWHACUCGHZWSCUDACUEZACUFUGWQAOUHZJZNZWSBXCDU
      IXDWSXBNZJWSOJWSAXBUJXEOWSOUKUMULWSUNUOUPUQZURZPWNWPWHWRWLBWQWQUSZUTXGPVA
      WHWPWOWHWPVBZWLAHZCWLQZAHZLWOWLACVCXIXJWMXLWNXIABWLABMXIAXCBAXBVEDVDVOZRX
      IXLXKBHZWNXIABXKXMRXIWNWQWLQZBHZXNWHBSHWPWRWNXPTWHBXCSDWHWTXCVPHXCSHXAACV
      FXCVGVHVIWHWPWRXGVJWLBWQXHVKVLWHXNXPTWPWHXKXOBWHCWQWLXFVMVNVQVRVSVTWAWBWC
      WLBWIWGECWDWEWF $.
  $}

  ${
    $d x y z F $.  $d x y z X $.
    fin1aufil.1 $e |- F = ( ~P X \ Fin ) $.
    $( There are no definable free ultrafilters in ZFC. However, there are free
       ultrafilters in some choice-denying constructions.  Here we show that
       given an amorphous set (a.k.a. a Ia-finite I-infinite set) ` X ` , the
       set of infinite subsets of ` X ` is a free ultrafilter on ` X ` .
       (Contributed by Mario Carneiro, 20-May-2015.) $)
    fin1aufil $p |- ( X e. ( Fin1a \ Fin ) ->
        ( F e. ( UFil ` X ) /\ |^| F = (/) ) ) $=
      ( vx vy cfin1a cfn cdif wcel c0 wceq wo wn wss wa wsbc eleq1 notbid sbcie
      wb vz cufil cfv cint cfil cv cpw wral eleq2i eldif velpw anbi1i 3bitri id
      a1i eldifn sbcieg mpbird 0fin 0ex con2bii mpbi w3a wi ssfi 3ad2ant3 con3d
      expcom vex 3imtr4g cin eldifi fin1ai sylan 3adant3 inundif incom eqeltrid
      simprl simprr simpl3 ssdifd ssfid unfi syl2anc eqeltrrid expr orim2d mpid
      ex anbi12i ioran bitr4i inex1 isfild adantr ssun2 undif2 sseqtrri sylancl
      cun nsyl ianor sylib elpwi adantl baib difss elpw2g mpbiri syl5bb orbi12d
      syl ralrimiva isufil sylanbrc csn snfi eleq2s mt2 uffixsn mtoi eq0rdv jca
      ) BFGHZIZABUBUCIZAUDZJKYFABUEUCIDUFZAIZBYIHZAIZLZDBUGZUHYGYFYIGIZMZDEUABA
      YEYJYIBNZYPOZTYFYJYIYNGHZIYIYNIZYPOYRAYSYICUIYIYNGUJYTYQYPDBUKULUMZUOYFUN
      YFYPDBPBGIZMZBFGUPZYPUUCDBYEYIBKYOUUBYIBGQRUQURYPDJPZMZYFJGIZUUFUSUUEUUGY
      PUUGMDJUTYIJKYOUUGYIJGQRSVAVBUOYFEUFZBNZUAUFZUUHNZVCZUUJGIZMZUUHGIZMZYPDU
      UJPZYPDUUHPZUULUUOUUMUUKYFUUOUUMVDUUIUUOUUKUUMUUHUUJVEVHVFVGYPUUNDUUJUAVI
      YIUUJKYOUUMYIUUJGQRSZYPUUPDUUHEVIZYIUUHKYOUUOYIUUHGQRSZVJYFUUIUUJBNZVCZUU
      OUUMLZMZUUHUUJVKZGIZMZUURUUQOZYPDUVFPUVCUVGUVDUVCUVGUUOBUUHHZGIZLZUVDYFUU
      IUVLUVBYFBFIUUIUVLBFGVLBUUHVMVNVOUVCUVGUVLUVDVDUVCUVGOUVKUUMUUOUVCUVGUVKU
      UMUVCUVGUVKOZOZUUJUUJUUHVKZUUJUUHHZXAZGUUJUUHVPUVNUVOGIUVPGIUVQGIUVNUVOUV
      FGUUJUUHVQUVCUVGUVKVSVRUVNUVJUVPUVCUVGUVKVTUVNUUJBUUHYFUUIUVBUVMWAWBWCUVO
      UVPWDWEWFWGWHWJWIVGUVIUUPUUNOUVEUURUUPUUQUUNUVAUUSWKUUOUUMWLWMYPUVHDUVFUU
      HUUJUUTWNYIUVFKYOUVGYIUVFGQRSVJWOYFYMDYNYFYTOZYMYPYKGIZMZLZUVRYOUVSOZMUWA
      UVRUUBUWBYFUUCYTUUDWPUWBYIYKXAZGIBUWCNUUBYIYKWDBYIBXAUWCBYIWQYIBWRWSUWCBV
      EWTXBYOUVSXCXDUVRYJYPYLUVTUVRYQYJYPTYTYQYFYIBXEXFYJYQYPUUAXGXMYLYKYSIZUVR
      UVTAYSYKCUIUVRYKYNIZUWDUVTTUVRUWEYKBNZBYIXHYFUWEUWFTYTYKBYEXIWPXJUWDUWEUV
      TYKYNGUJXGXMXKXLURXNDABXOXPZYFDYHYFYIYHIZYIXQZAIZUWJUWIGIZYIXRUWKMUWIYSAU
      WIYNGUPCXSXTYFUWHUWJYFYGUWHUWJUWGYIABYAVNWJYBYCYD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Filter limits
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c FilMap $.
  $c fLimf $.

  $c fLim $.
  $c fClus $.
  $c fClusf $.

  $( Extend class definition to include the neighborhood filter mapping
     function. $)
  cfm $a class FilMap $.

  $( Extend class notation with a function returning the limit of a filter. $)
  cflim $a class fLim $.

  $( Extend class definition to include the function for filter-based function
     limits. $)
  cflf $a class fLimf $.

  $( Extend class definition to include the cluster point function on
     filters. $)
  cfcls $a class fClus $.

  $( Extend class definition to include the function for cluster points of a
     function. $)
  cfcf $a class fClusf $.

  ${
    $d f g j t x y $.
    $( Define a function that takes a filter to a neighborhood filter of the
       range.  (Since we now allow filter bases to have support smaller than
       the base set, the function has to come first to ensure that curryings
       are sets.)  (Contributed by Jeff Hankins, 5-Sep-2009.)  (Revised by
       Stefan O'Rear, 20-Jul-2015.) $)
    df-fm $a |- FilMap = ( x e. _V , f e. _V |-> ( y e. ( fBas ` dom f ) |->
         ( x filGen ran ( t e. y |-> ( f " t ) ) ) ) ) $.

    $( Define a function (indexed by a topology ` j ` ) whose value is the
       limits of a filter ` f ` .  (Contributed by Jeff Hankins,
       4-Sep-2009.) $)
    df-flim $a |- fLim = ( j e. Top , f e. U. ran Fil |->
     { x e. U. j | ( ( ( nei ` j ) ` { x } ) C_ f /\ f C_ ~P U. j ) } ) $.

    $( Define a function that gives the limits of a function ` f ` in the
       filter sense.  (Contributed by Jeff Hankins, 14-Oct-2009.) $)
    df-flf $a |- fLimf = ( x e. Top , y e. U. ran Fil |->
        ( f e. ( U. x ^m U. y ) |-> ( x fLim ( ( U. x FilMap f ) ` y ) ) ) ) $.

    $( Define a function that takes a filter in a topology to its set of
       cluster points.  (Contributed by Jeff Hankins, 10-Nov-2009.) $)
    df-fcls $a |- fClus = ( j e. Top , f e. U. ran Fil |->
      if ( U. j = U. f , |^|_ x e. f ( ( cls ` j ) ` x ) , (/) ) ) $.

    $( Define a function that gives the cluster points of a function.
       (Contributed by Jeff Hankins, 24-Nov-2009.) $)
    df-fcf $a |- fClusf = ( j e. Top , f e. U. ran Fil |->
      ( g e. ( U. j ^m U. f ) |-> ( j fClus ( ( U. j FilMap g ) ` f ) ) ) ) $.
  $}

  ${
    $d b f x y B $.  $d b f x y F $.  $d b f x y X $.  $d b f x y Y $.
    $d f x y A $.
    $( Introduce a function that takes a function from a filtered domain to a
       set and produces a filter which consists of supersets of images of
       filter elements.  The functions which are dealt with by this function
       are similar to nets in topology.  For example, suppose we have a
       sequence filtered by the filter generated by its tails under the usual
       positive integer ordering.  Then the elements of this filter are
       precisely the supersets of tails of this sequence.  Under this
       definition, it is not too difficult to see that the limit of a function
       in the filter sense captures the notion of convergence of a sequence.
       As a result, the notion of a filter generalizes many ideas associated
       with sequences, and this function is one way to make that relationship
       precise in Metamath.  (Contributed by Jeff Hankins, 5-Sep-2009.)
       (Revised by Stefan O'Rear, 6-Aug-2015.) $)
    fmval $p |- ( ( X e. A /\ B e. ( fBas ` Y ) /\ F : Y --> X ) ->
        ( ( X FilMap F ) ` B ) = ( X filGen ran ( y e. B |-> ( F " y ) ) ) ) $=
      ( vb vx vf wcel cfbas cfv cfm co cv cmpt crn cfg cvv wceq wf w3a cima cdm
      cmpo df-fm a1i wa fveq2d adantl imaeq1 mpteq2dv rneqd oveqan12d mpteq12dv
      dmeq id fdm mpteq1d 3ad2ant3 sylan9eqr elex 3ad2ant1 elfvdm 3ad2ant2 fexd
      simp3 fvex mptex ovmpod fveq1d mpteq1 oveq2d eqid ovex fvmpt eqtrd ) EBJZ
      CFKLZJZFEDUAZUBZCEDMNZLCGVSEAGOZDAOZUCZPZQZRNZPZLZEACWFPZQZRNZWBCWCWJWBHI
      EDSSGIOZUDZKLZHOZAWDWOWEUCZPZQZRNZPZWJMSMHISSXCUETWBHGAIUFUGWRETZWODTZUHZ
      WBXCGDUDZKLZWIPZWJXFGWQXBXHWIXEWQXHTXDXEWPXGKWODUPUIUJXDXEWREXAWHRXDUQXEW
      TWGXEAWDWSWFWODWEUKULUMUNUOWAVRXIWJTVTWAGXHVSWIWAXGFKFEDURUIUSUTVAVRVTESJ
      WAEBVBVCWBFEKUDZDVRVTWAVGVTVRFXJJWACFKVDVEVFWJSJWBGVSWIFKVHVIUGVJVKVTVRWK
      WNTWAGCWIWNVSWJWDCTZWHWMERXKWGWLAWDCWFVLUMVMWJVNEWMRVOVPVEVQ $.

    $( A mapping filter is a filter.  (Contributed by Jeff Hankins,
       18-Sep-2009.)  (Revised by Stefan O'Rear, 6-Aug-2015.) $)
    fmfil $p |- ( ( X e. A /\ B e. ( fBas ` Y ) /\ F : Y --> X ) ->
        ( ( X FilMap F ) ` B ) e. ( Fil ` X ) ) $=
      ( vy wcel cfbas cfv wf w3a cfm co cv cima cmpt crn cfg cfil fmval eqeltrd
      eqid fbasrn 3comr fgcl syl ) DAGZBEHIGZEDCJZKZBDCLMIDFBCFNOPQZRMZDSIZFABC
      DETUJUKDHIGZULUMGUHUIUGUNFBUKCAEDUKUBUCUDUKDUEUFUA $.

    $d b f x y A $.  $d b f x y B $.  $d b f x y F $.  $d b f x y X $.
    $d b f x y Y $.
    $( Pushing-forward via a function induces a mapping on filters.
       (Contributed by Stefan O'Rear, 8-Aug-2015.) $)
    fmf $p |- ( ( X e. A /\ Y e. B /\ F : Y --> X ) ->
        ( X FilMap F ) : ( fBas ` Y ) --> ( Fil ` X ) ) $=
      ( vb vy vx vf wcel cfm co cfbas cfv cv cmpt cfg cvv wceq wa w3a cfil wral
      wfn cima crn ovex eqid fnmpti cdm cmpo df-fm a1i dmeq adantl fdm 3ad2ant3
      wf sylan9eqr fveq2d id imaeq1 mpteq2dv rneqd oveqan12d mpteq12dv 3ad2ant1
      elex fex2 3com13 mptex ovmpod fneq1d mpbiri simpl1 simpr simpl3 ralrimiva
      fvex fmfil syl3anc ffnfv sylanbrc ) DAJZEBJZEDCURZUAZDCKLZEMNZUDZFOZWHNDU
      BNZJZFWIUCWIWLWHURWGWJFWIDGWKCGOZUEZPZUFZQLZPZWIUDFWIWRWSDWQQUGWSUHUIWGWI
      WHWSWGHIDCRRFIOZUJZMNZHOZGWKWTWNUEZPZUFZQLZPZWSKRKHIRRXHUKSWGHFGIULUMWGXC
      DSZWTCSZTZTZFXBXGWIWRXLXAEMXKWGXACUJZEXJXAXMSXIWTCUNUOWFWDXMESWEEDCUPUQUS
      UTXKXGWRSWGXIXJXCDXFWQQXIVAXJXEWPXJGWKXDWOWTCWNVBVCVDVEUOVFWDWEDRJWFDAVHV
      GWFWEWDCRJEDCBAVIVJWSRJWGFWIWREMVSVKUMVLVMVNWGWMFWIWGWKWIJZTWDXNWFWMWDWEW
      FXNVOWGXNVPWDWEWFXNVQAWKCDEVTWAVRFWIWLWHWBWC $.
  $}

  ${
    $d y A $.  $d y B $.  $d y C $.  $d y F $.  $d y X $.  $d y Y $.
    $( A finer filter produces a finer image filter.  (Contributed by Jeff
       Hankins, 16-Nov-2009.)  (Revised by Stefan O'Rear, 6-Aug-2015.) $)
    fmss $p |- ( ( ( X e. A /\ B e. ( fBas ` Y ) /\ C e. ( fBas ` Y ) ) /\
          ( F : Y --> X /\ B C_ C ) ) ->
        ( ( X FilMap F ) ` B ) C_ ( ( X FilMap F ) ` C ) ) $=
      ( vy wcel cfbas cfv wss wa cmpt crn cfg co eqid fbasrn syl3anc wceq wf cv
      w3a cima simpl2 simprl simpl1 simpl3 cres resmpt ad2antll resss eqsstrrdi
      cfm rnss syl fgss fmval 3sstr4d ) EAHZBFIJZHZCVAHZUCZFEDUAZBCKZLZLZEGBDGU
      BUDZMZNZOPZEGCVIMZNZOPZBEDUNPZJZCVPJZVHVKEIJZHZVNVSHZVKVNKZVLVOKVHVBVEUTV
      TUTVBVCVGUEZVDVEVFUFZUTVBVCVGUGZGBVKDAFEVKQRSVHVCVEUTWAUTVBVCVGUHZWDWEGCV
      NDAFEVNQRSVHVJVMKWBVHVJVMBUIZVMVFWGVJTVDVEGCBVIUJUKVMBULUMVJVMUOUPVKVNEUQ
      SVHUTVBVEVQVLTWEWCWDGABDEFURSVHUTVCVEVRVOTWEWFWDGACDEFURSUS $.
  $}

  ${
    $d s t x y z B $.  $d s t x y C $.  $d s t x y F $.  $d s t x y X $.
    $d x y A $.  $d s x y L $.  $d s t x y Y $.
    $( An element of a mapping filter.  (Contributed by Jeff Hankins,
       8-Sep-2009.)  (Revised by Stefan O'Rear, 6-Aug-2015.) $)
    elfm $p |- ( ( X e. C /\ B e. ( fBas ` Y ) /\ F : Y --> X ) ->
        ( A e. ( ( X FilMap F ) ` B ) <->
          ( A C_ X /\ E. x e. B ( F " x ) C_ A ) ) ) $=
      ( vt vy wcel cfbas cfv co cv cima wss wrex wa eqid wceq wf w3a cmpt fmval
      cfm crn cfg eleq2d wb fbasrn 3comr elfg syl simpr imaeq2 rspceeqv sylancl
      cvv simpl1 imassrn frn 3ad2ant3 adantr sstrid ssexd elrnmpt mpbird adantl
      cbvmptv ibi sseq1d rexxfrd anbi2d 3bitrd ) FDJZCGKLJZGFEUAZUBZBCFEUEMLZJB
      FHCEHNZOZUCZUFZUGMZJZBFPZINZBPZIWCQZRZWFEANZOZBPZACQZRVRVSWDBHDCEFGUDUHVR
      WCFKLJZWEWJUIVPVQVOWOHCWCEDGFWCSUJUKIBWCFULUMVRWIWNWFVRWHWMIAWLWCCVRWKCJZ
      RZWLWCJZWLWATHCQZWQWPWLWLTWSVRWPUNWLSHWKCWAWLWLVTWKEUOZUPUQWQWLURJWRWSUIW
      QWLFDVOVPVQWPUSWQWLEUFZFEWKUTVRXAFPZWPVQVOXBVPGFEVAVBVCVDVEHCWAWLWBURWBSV
      FUMVGWGWCJZWGWLTZACQZVRXCXEACWLWGWBWCHACWAWLWTVIVFVJVHVRXDRWGWLBVRXDUNVKV
      LVMVN $.

    elfm2.l $e |- L = ( Y filGen B ) $.
    $( An element of a mapping filter.  (Contributed by Jeff Hankins,
       26-Sep-2009.)  (Revised by Stefan O'Rear, 6-Aug-2015.) $)
    elfm2 $p |- ( ( X e. C /\ B e. ( fBas ` Y ) /\ F : Y --> X ) ->
        ( A e. ( ( X FilMap F ) ` B ) <->
          ( A C_ X /\ E. x e. L ( F " x ) C_ A ) ) ) $=
      ( vy wcel cfbas cfv co wss cv cima wrex wa wi w3a cfm elfm ssfg sseqtrrdi
      wf cfg sselda adantrr 3ad2antl2 simprr imaeq2 sseq1d rspcev rexlimdvaa wb
      weq syl2anc eleq2i elfg syl5bb 3ad2ant2 sstr2 com12 ad2antll syl5 reximdv
      imass2 expr com23 expimpd sylbid rexlimdv impbid anbi2d bitrd ) GDKZCHLMK
      ZHGEUFZUAZBCGEUBNMKBGOZEJPZQZBOZJCRZSWAEAPZQZBOZAFRZSJBCDEGHUCVTWEWIWAVTW
      EWIVTWDWIJCVTWBCKZWDSZSWBFKZWDWIVRVQWKWLVSVRWJWLWDVRCFWBVRCHCUGNZFCHUDIUE
      UHUIUJVTWJWDUKWHWDAWBFAJUQWGWCBWFWBEULUMUNURUOVTWHWEAFVTWFFKZWFHOZWBWFOZJ
      CRZSZWHWETZVRVQWNWRUPVSWNWFWMKVRWRFWMWFIUSJWFCHUTVAVBVTWOWQWSVTWOSWHWQWEV
      TWOWHWQWETVTWOWHSSZWPWDJCWPWCWGOZWTWDWBWFEVHWHXAWDTVTWOXAWHWDWCWGBVCVDVEV
      FVGVIVJVKVLVMVNVOVP $.

    $( The image filter of a filter base is the same as the image filter of its
       generated filter.  (Contributed by Jeff Hankins, 18-Nov-2009.)  (Revised
       by Stefan O'Rear, 6-Aug-2015.) $)
    fmfg $p |- ( ( X e. C /\ B e. ( fBas ` Y ) /\ F : Y --> X ) ->
        ( ( X FilMap F ) ` B ) = ( ( X FilMap F ) ` L ) ) $=
      ( vx vs wcel cfbas cfv wf w3a cfm co cv wss cima wrex elfm2 cfil cfg fgcl
      wa wb eqeltrid filfbas syl elfm syl3an2 bitr4d eqrdv ) EBJZAFKLZJZFECMZNZ
      HAECOPZLZDUSLZURHQZUTJVBERCIQSVBRIDTUEZVBVAJZIVBABCDEFGUAUPUNDUOJZUQVDVCU
      FUPDFUBLZJVEUPDFAUCPVFGAFUDUGDFUHUIIVBDBCEFUJUKULUM $.

    $( An alternate formulation of elementhood in a mapping filter that
       requires ` F ` to be onto.  (Contributed by Jeff Hankins, 1-Oct-2009.)
       (Revised by Stefan O'Rear, 6-Aug-2015.) $)
    elfm3 $p |- ( ( B e. ( fBas ` Y ) /\ F : Y -onto-> X ) ->
        ( A e. ( ( X FilMap F ) ` B ) <-> E. x e. L A = ( F " x ) ) ) $=
      ( vy vz cfbas cfv wcel cvv cv cima wceq wb wa wss wfo cfm co foima adantl
      wrex cdm fofun elfvdm funimaexg syl2anr eqeltrrd w3a wf fof elfm2 syl3an3
      wfun ccnv cfil fgcl eqeltrid 3ad2ant2 ad2antrr simprl cnvimass fofn fndmd
      cfg sseqtrid 3ad2ant3 eleq2i elfg adantr simprbda sseq2 biimpar 3ad2antl3
      syl5bb sylan adantlr syldan funimass3 biimpd impr filss syl13anc foimacnv
      syl2anc eqcomd imaeq2 rspceeqv rexlimdvaa expimpd simprr crn imassrn forn
      eqsstrd eqimss2 sseq1d rspcev sylan2 jca impbid bitrd 3coml mpd3an3 ) CGK
      LMZGFDUAZFNMZBCFDUBUCLMZBDAOZPZQZAEUFZRZXIXJSDGPZFNXJXRFQXIGFDUDUEXJDURZG
      KUGZMXRNMXIGFDUHZCGKUIDGXTUJUKULXKXIXJXQXKXIXJUMZXLBFTZDIOZPZBTZIEUFZSZXP
      XJXKXIGFDUNXLYHRGFDUOIBCNDEFGHUPUQYBYHXPYBYCYGXPYBYCSZYFXPIEYIYDEMZYFSZSZ
      DUSBPZEMZBDYMPZQZXPYLEGUTLZMZYJYMGTZYDYMTZYNYBYRYCYKXIXKYRXJXIEGCVIUCZYQH
      CGVAVBVCVDYIYJYFVEYBYSYCYKXJXKYSXIXJDUGZYMGDBVFXJGDGFDVGVHZVJVKVDYIYJYFYT
      YIYJSZYFYTUUDXSYDUUBTZYFYTRYBXSYCYJXJXKXSXIYAVKVDYIYJYDGTZUUEYIYJUUFJOYDT
      JCUFZYJYDUUAMZYIUUFUUGSZEUUAYDHVLYBUUHUUIRZYCXIXKUUJXJJYDCGVMVCVNVSVOYBUU
      FUUEYCXJXKUUFUUEXIXJUUBGQZUUFUUEUUCUUKUUEUUFUUBGYDVPVQVTVRWAWBYDBDWCWIWDW
      EYDYMEGWFWGYIYPYKXJXKYCYPXIXJYCSYOBGFBDWHWJVRVNAYMEXNYOBXMYMDWKWLWIWMWNYB
      XOYHAEYBXMEMZXOSZSZYCYGUUNBXNFYBUULXOWOUUNDWPZXNFDXMWQYBUUOFQZUUMXJXKUUPX
      IGFDWRVKVNVJWSUUMYGYBXOUULXNBTZYGXNBWTYFUUQIXMEYDXMQYEXNBYDXMDWKXAXBXCUEX
      DWMXEXFXGXH $.
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.  $d x L $.  $d x S $.  $d x X $.  $d x Y $.
    imaelfm.l $e |- L = ( Y filGen B ) $.
    $( An image of a filter element is in the image filter.  (Contributed by
       Jeff Hankins, 5-Oct-2009.)  (Revised by Stefan O'Rear, 6-Aug-2015.) $)
    imaelfm $p |- ( ( ( X e. A /\ B e. ( fBas ` Y ) /\ F : Y --> X ) /\
          S e. L ) -> ( F " S ) e. ( ( X FilMap F ) ` B ) ) $=
      ( vx wcel cfbas cfv wf w3a wa cima cfm co wss cv wrex 3ad2ant3 ssid mpan2
      fimass wceq imaeq2 sseq1d rspcev anim12i wb elfm2 adantr mpbird ) FAJZBGK
      LJZGFDMZNZCEJZODCPZBFDQRLJZUTFSZDITZPZUTSZIEUAZOZURVBUSVFUQUOVBUPGFDCUEUB
      USUTUTSZVFUTUCVEVHICEVCCUFVDUTUTVCCDUGUHUIUDUJURVAVGUKUSIUTBADEFGHULUMUN
      $.
  $}

  ${
    $d b r s t u v x y z A $.  $d b r s t u v x y z F $.
    $d b r s t u v x y z L $.  $d b r s t u v x y z L $.
    $d b r s t u v x y z X $.  $d b r s t u v x y z Y $.
    $( Lemma for ~ rnelfm .  (Contributed by Jeff Hankins, 14-Nov-2009.) $)
    rnelfmlem $p |- ( ( ( Y e. A /\ L e. ( Fil ` X ) /\ F : Y --> X ) /\
          ran F e. L ) -> ran ( x e. L |-> ( `' F " x ) ) e. ( fBas ` Y ) ) $=
      ( vr vs vy vu vv wcel wa cv cima c0 wrex wceq wb cvv vt vz cfv wf w3a crn
      cfil ccnv cmpt cfbas cpw wss wne wnel wral simpl1 cnvimass simpl3 sselpwd
      fssdm adantr fmpttd frnd filtop 3ad2ant2 fimacnv eqcomd 3ad2ant3 rspceeqv
      cin imaeq2 syl2anc eqid elrnmpt 3ad2ant1 mpbird ne0d wn 0nelfil 0ex ax-mp
      wal wfn ffn fvelrnb syl ad2antrr eleq1 biimparc ad2ant2l adantll wfun cdm
      wi ad3antrrr fdm eleq2d biimpar 3ad2antl3 adantlr ad2ant2r fvimacnv mpbid
      ffun n0i eqcom sylnib rexlimdvaa con2d expr com23 impr alrimiv imnan elin
      sylbid xchbinxr albii 3bitr2i sylib simpll2 simprl simplr syl3anc eqeltrd
      eq0 filin syl5bi mtod df-nel sylibr elv weq eqeq2d cbvrexvw bitri anbi12i
      reeanv bitr4i 3expb eqidd 3adantl1 simpll1 sseqtrid ssexd simprrl simprrr
      ineq12d funcnvcnv imain 3syl eqtr4d sseq1 rspcev rexlimdvv ralrimivv 3jca
      eqimss2 exp32 isfbas2 mpbir2and ) FBLZDEUGUCLZFECUDZUEZCUFZDLZMZADCUHZANZ
      OZUIZUFZFUJUCLZUVMFUKZULZUVMPUMZPUVMUNZUANZGNZHNZVJZULZUAUVMQZHUVMUOGUVMU
      OZUEZUVHDUVOUVLUVHADUVKUVOUVHUVKUVOLUVJDLZUVHUVKFBUVBUVCUVDUVGUPZUVHFEUVK
      CCUVJUQUVBUVCUVDUVGURUTUSVAVBVCUVHUVQUVRUWEUVHUVMFUVHFUVMLZFUVKRADQZUVHED
      LZFUVIEOZRZUWJUVEUWKUVGUVCUVBUWKUVDDEVDVEVAUVEUWMUVGUVDUVBUWMUVCUVDUWLFFE
      CVFVGVHVAAEDUVKUWLFUVJEUVIVKVIVLUVEUWIUWJSZUVGUVBUVCUWNUVDADUVKFUVLBUVLVM
      ZVNVOVAVPVQUVHPUVMLZVRUVRUVHUWPPDLZUVEUWQVRZUVGUVCUVBUWRUVDDEVSVEVAUWPPUV
      KRZADQZUVHUWQPTLUWPUWTSVTADUVKPUVLTUWOVNWAUVHUWSUWQADUVHUWGUWSMZMZPUVJUVF
      VJZDUXBINZUVJLZUXDUVFLZVRZWNZIWBZPUXCRZUXBUXHIUVHUWGUWSUXHUVHUWGMUXEUWSUX
      GUVHUWGUXEUWSUXGWNUVHUWGUXEMZMZUXFUWSUXLUXFUBNZCUCZUXDRZUBFQZUWSVRZUVEUXF
      UXPSZUVGUXKUVDUVBUXRUVCUVDCFWCUXRFECWDUBFUXDCWEWFVHWGUXLUXOUXQUBFUXLUXMFL
      ZUXOMZMZUXMUVKLZUXQUYAUXNUVJLZUYBUXKUXTUYCUVHUXEUXOUYCUWGUXSUXOUYCUXEUXNU
      XDUVJWHWIWJWKUYACWLZUXMCWMZLZUYCUYBSUVEUYDUVGUXKUXTUVDUVBUYDUVCFECXDZVHWO
      UVHUXSUYFUXKUXOUVEUXSUYFUVGUVDUVBUXSUYFUVCUVDUYFUXSUVDUYEFUXMFECWPZWQWRWS
      WTXAUXMUVJCXBVLXCUYBUVKPRUWSUVKUXMXEUVKPXFXGWFXHXPXIXJXKXLXMUXIUXDUXCLZVR
      ZIWBUXCPRUXJUXHUYJIUXHUXEUXFMUYIUXEUXFXNUXDUVJUVFXOXQXRIUXCYFUXCPXFXSXTUX
      BUVCUWGUVGUXCDLUVBUVCUVDUVGUXAYAUVHUWGUWSYBUVEUVGUXAYCUVJUVFDEYGYDYEXHYHY
      IPUVMYJYKUVHUWDGHUVMUVMUVTUVMLZUWAUVMLZMZUVTUVIJNZOZRZUWAUVIKNZOZRZMZKDQJ
      DQZUVHUWDUYMUYPJDQZUYSKDQZMVUAUYKVUBUYLVUCUYKUVTUVKRZADQZVUBUYKVUESGADUVK
      UVTUVLTUWOVNYLVUDUYPAJDAJYMUVKUYOUVTUVJUYNUVIVKYNYOYPUYLUWAUVKRZADQZVUCUY
      LVUGSHADUVKUWAUVLTUWOVNYLVUFUYSAKDAKYMUVKUYRUWAUVJUYQUVIVKYNYOYPYQUYPUYSJ
      KDDYRYSUVHUYTUWDJKDDUVHUYNDLZUYQDLZMZUYTUWDUVHVUJUYTMZMZUVIUYNUYQVJZOZUVM
      LZVUNUWBULZUWDVULVUOVUNUVKRADQZUVEVUJVUQUVGUYTUVCUVDVUJVUQUVBUVCUVDMVUJMZ
      VUMDLZVUNVUNRVUQUVCVUJVUSUVDUVCVUHVUIVUSUYNUYQDEYGYTWTVURVUNUUAAVUMDUVKVU
      NVUNUVJVUMUVIVKVIVLUUBXAVULVUNTLVUOVUQSVULVUNFBUVBUVCUVDUVGVUKUUCUVEVUNFU
      LZUVGVUKUVDUVBVUTUVCUVDUYEVUNFCVUMUQUYHUUDVHWGUUEADUVKVUNUVLTUWOVNWFVPVUL
      UWBVUNRVUPVULUWBUYOUYRVJZVUNVULUVTUYOUWAUYRUVHVUJUYPUYSUUFUVHVUJUYPUYSUUG
      UUHUVEVUNVVARZUVGVUKUVDUVBVVBUVCUVDUYDUVIUHWLVVBUYGCUUIUYNUYQUVIUUJUUKVHW
      GUULVUNUWBUURWFUWCVUPUAVUNUVMUVSVUNUWBUUMUUNVLUUSUUOYHUUPUUQUVHUVBUVNUVPU
      WFMSUWHGHUABFUVMUUTWFUVA $.

    $( A condition for a filter to be an image filter for a given function.
       (Contributed by Jeff Hankins, 14-Nov-2009.)  (Revised by Stefan O'Rear,
       8-Aug-2015.) $)
    rnelfm $p |- ( ( Y e. A /\ L e. ( Fil ` X ) /\ F : Y --> X ) ->
        ( L e. ran ( X FilMap F ) <-> ran F e. L ) ) $=
      ( vx vs wcel cfv cv wceq wrex wb syl wi wa cima ex wss adantr vb vt vz vy
      cfil wf w3a cfm co crn cfbas wfn filtop 3ad2ant2 simp1 simp3 syl3anc ffnd
      fmf fvelrnb wfo ffn dffn4 sylib foima ad2antlr simpll simpr simplr adantl
      cfg fgcl imaelfm syl31anc eqeltrrd eleq2 syl5ibcom sylan 3adant1 rexlimdv
      eqid sylbid ccnv cmpt simpl2 filelss eqidd imaeq2 rspceeqv syl2anc simpl1
      cvv cdm cnvimass fdm sseqtrid 3ad2ant3 ssexd elrnmpt mpbird ssid ad2antrr
      wfun ffun funimass3 sylancl mpbiri sseq1d jcad elv ad3antrrr imassrn ssin
      rspcev sylanblc elin jctir eleq2d biimpar fvimacnv biimpa funfvima2 eleq1
      cin sylc imbi12d rexlimdva impcomd syl5bi ssrdv eqssd filin com23 eqeltrd
      3exp imp31 exp32 eleq1d imbi2d impbid imp44 simprr simprlr filss syl13anc
      syl5ibrcom exp44 rnelfmlem simpl3 elfm bitr4d eqrdv fnfvelrn ) EAHZCDUEIZ
      HZEDBUFZUGZCDBUHUIZUJZHZBUJZCHZUURUVAUAJZUUSIZCKZUAEUKIZLZUVCUURUUSUVGULZ
      UVAUVHMUURUVGUUOUUSUURDCHZUUNUUQUVGUUOUUSUFUUPUUNUVJUUQCDUMZUNZUUNUUPUUQU
      OUUNUUPUUQUPCABDEUSUQURZUAUVGCUUSUTNUURUVFUVCUAUVGUUPUUQUVDUVGHZUVFUVCOZO
      ZUUNUUPUVJUUQUVPUVKUVJUUQPZUVNUVOUVQUVNPZUVBUVEHUVFUVCUVRBEQZUVBUVEUUQUVS
      UVBKZUVJUVNUUQEUVBBVAZUVTUUQBEULZUWAEDBVBZEBVCVDEUVBBVENVFUVRUVJUVNUUQEEU
      VDVKUIZHZUVSUVEHUVJUUQUVNVGUVQUVNVHUVJUUQUVNVIUVNUWEUVQUVNUWDEUEIHUWEUVDE
      VLUWDEUMNVJCUVDEBUWDDEUWDWAVMVNVOUVECUVBVPVQRVRVSVTWBUURUVCUVAUURUVCPZCFC
      BWCZFJZQZWDZUJZUUSIZUUTUWFUBCUWLUWFUBJZCHZUWMDSZBGJZQZUWMSZGUWKLZPZUWMUWL
      HZUWFUWNUWTUWFUWNUWOUWSUWFUUPUWNUWOOUUNUUPUUQUVCWEZUUPUWNUWOUWMCDWFRNUWFU
      WNUWSUWFUWNPZUWGUWMQZUWKHZBUXDQZUWMSZUWSUXCUXEUXDUWIKFCLZUXCUWNUXDUXDKUXH
      UWFUWNVHUXCUXDWGFUWMCUWIUXDUXDUWHUWMUWGWHWIWJUWFUXEUXHMZUWNUWFUXDWLHUXIUW
      FUXDEAUUNUUPUUQUVCWKUURUXDESZUVCUUQUUNUXJUUPUUQBWMZUXDEBUWMWNZEDBWOZWPWQT
      WRFCUWIUXDUWJWLUWJWAZWSNTWTUXCUXGUXDUXDSZUXDXAUXCBXCZUXDUXKSUXGUXOMUURUXP
      UVCUWNUUQUUNUXPUUPEDBXDWQZXBUXLUXDUWMBXEXFXGUWRUXGGUXDUWKUWPUXDKUWQUXFUWM
      UWPUXDBWHXHXNWJRXIUWFUWSUWOUWNUWFUWRUWOUWNOGUWKUWFUWPUWKHZUWRUWOUWNUWFUXR
      UWRPZUWOPZPUUPUWQCHZUWOUWRUWNUWFUUPUXTUXBTUWFUXRUWRUWOUYAUXRUWPUWIKZFCLZU
      WFUWRUWOUYAOZOZUXRUYCMGFCUWIUWPUWJWLUXNWSXJUWFUYBUYEFCUWFUWHCHZPZUYEUYBBU
      WIQZUWMSZUWOUYHCHZOZOUYGUYIUWOUYJUYGUYIUWOPZPZUYHUWHUVBYDZCUYMUYHUYNUYMUY
      HUWHSZUYHUVBSUYHUYNSUYMUYOUWIUWISZUWIXAUYMUXPUWIUXKSZUYOUYPMUURUXPUVCUYFU
      YLUXQXKZBUWHWNZUWIUWHBXEXFXGBUWIXLUYHUWHUVBXMXOUYMUCUYNUYHUCJZUYNHUYTUWHH
      ZUYTUVBHZPUYMUYTUYHHZUYTUWHUVBXPUYMVUBVUAVUCUYMVUBUDJZBIZUYTKZUDELZVUAVUC
      OZUURVUBVUGMZUVCUYFUYLUUQUUNVUIUUPUUQUWBVUIUWCUDEUYTBUTNWQXKUYMVUFVUHUDEU
      YMVUDEHZPZVUEUWHHZVUEUYHHZOVUFVUHVUKVULVUMVUKVULPZUXPUYQPVUDUWIHZVUMVUNUX
      PUYQUYMUXPVUJVULUYRXBUYSXQVUKVULVUOVUKUXPVUDUXKHZVULVUOMUYGUXPUYLVUJUURUX
      PUVCUYFUXQXBXBUYMVUPVUJUYMUXKEVUDUURUXKEKZUVCUYFUYLUUQUUNVUQUUPUXMWQXKXRX
      SVUDUWHBXTWJYAUWIVUDBYBYERVUFVULVUAVUMVUCVUEUYTUWHYCVUEUYTUYHYCYFVQYGWBYH
      YIYJYKUYGUYNCHZUYLUURUVCUYFVURUUPUUNUVCUYFVUROOUUQUUPUYFUVCVURUUPUYFUVCVU
      RUWHUVBCDYLYOYMUNYPTYNYQUYBUWRUYIUYDUYKUYBUWQUYHUWMUWPUWIBWHZXHUYBUYAUYJU
      WOUYBUWQUYHCVUSYRYSYFUUFYGYIUUAUWFUXSUWOUUBUWFUXRUWRUWOUUCUWQUWMCDUUDUUEU
      UGVTYHYTUWFUVJUWKUVGHZUUQUXAUWTMUURUVJUVCUVLTFABCDEUUHZUUNUUPUUQUVCUUIGUW
      MUWKCBDEUUJUQUUKUULUWFUVIVUTUWLUUTHUURUVIUVCUVMTVVAUVGUWKUUSUUMWJYNRYT $.
  $}

  ${
    $d f s t w x y z B $.  $d f s t w x y z F $.  $d f s t w x y z L $.
    $d s t w x y z ph $.  $d f s t w x y z X $.  $d f s t w x z Y $.
    fmfnfm.b $e |- ( ph -> B e. ( fBas ` Y ) ) $.
    fmfnfm.l $e |- ( ph -> L e. ( Fil ` X ) ) $.
    fmfnfm.f $e |- ( ph -> F : Y --> X ) $.
    fmfnfm.fm $e |- ( ph -> ( ( X FilMap F ) ` B ) C_ L ) $.
    $( Lemma for ~ fmfnfm .  (Contributed by Jeff Hankins, 18-Nov-2009.)
       (Revised by Stefan O'Rear, 8-Aug-2015.) $)
    fmfnfmlem1 $p |- ( ph -> ( s e. ( fi ` B ) ->
                       ( ( F " s ) C_ t -> ( t C_ X -> t e. L ) ) ) ) $=
      ( vw cv cfv wcel cima wss wi wa cfi cfbas fbssfi sylan sstr2 imass2 syl11
      wrex reximdv syl5com cfm co wf cfil filtop syl elfm syl3anc sseld sylbird
      wb expcomd adantr syld ex ) AHNZCUAOPZDVFQZBNZRZVIFRZVIEPZSZSAVGTZVJDMNZQ
      ZVIRZMCUHZVMVNVOVFRZMCUHZVJVRACGUBOPZVGVTIMVFCGUCUDVJVSVQMCVPVHRVJVQVSVPV
      HVIUEVOVFDUFUGUIUJAVRVMSVGAVKVRVLAVKVRTZVICFDUKULOZPZVLAFEPZWAGFDUMWDWBVA
      AEFUNOPWEJEFUOUPIKMVICEDFGUQURAWCEVILUSUTVBVCVDVE $.

    $( Lemma for ~ fmfnfm .  (Contributed by Jeff Hankins, 19-Nov-2009.)
       (Revised by Stefan O'Rear, 8-Aug-2015.) $)
    fmfnfmlem2 $p |- ( ph -> ( E. x e. L s = ( `' F " x ) ->
                       ( ( F " s ) C_ t -> ( t C_ X -> t e. L ) ) ) ) $=
      ( cv wss wcel wi wa cfv ad2antrr vy vz ccnv cima wceq cfil crn cin simplr
      cfm co wf wfo wfn ffn dffn4 sylib foima 3syl cfbas cfg filtop syl imaelfm
      fgcl eqid syl31anc eqeltrrd sseldd filin syl3anc simprr elin wrex fvelrnb
      wfun ffund fdmd eleqtrrd fvimacnv syl2anc cnvimass funfvima2 sylancl ssel
      wb cdm ad2antrl syld sylbid eleq1 imbi12d syl5ibcom expr rexlimdv impcomd
      adantrr syl5bi ssrdv filss syl13anc exp32 imaeq2 sseq1d imbi1d syl5ibrcom
      rexlimdva ) AINZEUCBNZUDZUEZEXHUDZCNZOZXMGOZXMFPZQZQZBFAXIFPZRZXRXKEXJUDZ
      XMOZXQQXTYBXOXPXTYBXORZRZFGUFSPZXIEUGZUHZFPZXOYGXMOXPAYEXSYCKTZYDYEXSYFFP
      ZYHYIAXSYCUIAYJXSYCADGEUJUKSZFYFMAEHUDZYFYKAHGEULZHYFEUMZYLYFUELYMEHUNZYN
      HGEUOZHEUPUQHYFEURUSAGFPZDHUTSPZYMHHDVAUKZPZYLYKPAYEYQKFGVBVCJLAYRYSHUFSP
      YTJDHVEYSHVBUSFDHEYSGHYSVFVDVGVHVITXIYFFGVJVKXTYBXOVLYDUAYGXMUANZYGPUUAXI
      PZUUAYFPZRZYDUUAXMPZUUAXIYFVMXTYBUUDUUEQXOXTYBRZUUCUUBUUEUUFUUCUBNZESZUUA
      UEZUBHVNZUUBUUEQZAUUCUUJWFZXSYBAYMYOUULLYPUBHUUAEVOUSTUUFUUIUUKUBHXTYBUUG
      HPZUUIUUKQXTYBUUMRZRZUUHXIPZUUHXMPZQUUIUUKUUOUUPUUGXJPZUUQUUOEVPZUUGEWGZP
      UUPUURWFAUUSXSUUNAHGELVQTZUUOUUGHUUTXTYBUUMVLAUUTHUEXSUUNAHGELVRTVSUUGXIE
      VTWAUUOUURUUHYAPZUUQUUOUUSXJUUTOUURUVBQUVAEXIWBXJUUGEWCWDYBUVBUUQQXTUUMYA
      XMUUHWEWHWIWJUUIUUPUUBUUQUUEUUHUUAXIWKUUHUUAXMWKWLWMWNWOWJWPWQWRWSYGXMFGW
      TXAXBXKXNYBXQXKXLYAXMXHXJEXCXDXEXFXG $.

    $( Lemma for ~ fmfnfm .  (Contributed by Jeff Hankins, 19-Nov-2009.)
       (Revised by Stefan O'Rear, 8-Aug-2015.) $)
    fmfnfmlem3 $p |- ( ph -> ( fi ` ran ( x e. L |-> ( `' F " x ) ) ) =
                                    ran ( x e. L |-> ( `' F " x ) ) ) $=
      ( vs vt vy vz wcel wceq wa wrex cvv cin ccnv cima cmpt crn wral cfi filin
      cv cfv cfil 3expb sylan wf wfun ffun funcnvcnv imain eqcomd adantr imaeq2
      4syl rspceeqv syl2anc ineq12 eqeq1d syl5ibrcom rexlimdvva eqeq2d cbvrexvw
      rexbidv anbi12i eqid elrnmpt elv reeanv 3bitr4i vex inex1 ax-mp ralrimivv
      wb 3imtr4g mptexg rnexg inficl mpbid ) ALUIZMUIZUAZBEDUBZBUIZUCZUDZUEZPZM
      WOUFLWOUFZWOUGUJWOQZAWPLMWOWOAWHWKNUIZUCZQZWIWKOUIZUCZQZRZOESNESZWJWMQZBE
      SZWHWOPZWIWOPZRZWPAXEXHNOEEAWSEPZXBEPZRZRZXHXEWTXCUAZWMQZBESZXOWSXBUAZEPZ
      XPWKXSUCZQZXRAEFUKUJZPZXNXTIYDXLXMXTWSXBEFUHULUMAYBXNAGFDUNDUOWKUBUOZYBJG
      FDUPDUQYEYAXPWSXBWKURUSVBUTBXSEWMYAXPWLXSWKVAVCVDXEXGXQBEXEWJXPWMWHWTWIXC
      VEVFVKVGVHWHWMQZBESZWIWMQZBESZRXANESZXDOESZRXKXFYGYJYIYKYFXABNEWLWSQWMWTW
      HWLWSWKVAVIVJYHXDBOEWLXBQWMXCWIWLXBWKVAVIVJVLXIYGXJYIXIYGWBLBEWMWHWNTWNVM
      ZVNVOXJYIWBMBEWMWIWNTYLVNVOVLXAXDNOEEVPVQWJTPWPXHWBWHWILVRVSBEWMWJWNTYLVN
      VTWCWAAYDWNTPWOTPWQWRWBIBEWMYCWDWNTWELMWOTWFVBWG $.

    $( Lemma for ~ fmfnfm .  (Contributed by Jeff Hankins, 19-Nov-2009.)
       (Revised by Stefan O'Rear, 8-Aug-2015.) $)
    fmfnfmlem4 $p |- ( ph -> ( t e. L <-> ( t C_ X /\
      E. s e. ( fi ` ( B u. ran ( x e. L |-> ( `' F " x ) ) ) )
              ( F " s ) C_ t ) ) ) $=
      ( wcel wss wa wi syl cvv adantr vz vw cima ccnv cmpt crn cun cfi cfv wrex
      vy cv cfil filelss ex cfbas mptexg rnexg unexg syl2anc unssbd wceq imaeq2
      ssfii eqid rspceeqv mpan2 adantl cdm elfvdm cnvimass fssdm elrnmpt mpbird
      wb ssexd sseldd wf wfun ffun ssid funimass2 sylancl sseq1d rspcev cin w3o
      elfiun fmfnfmlem1 fmfnfmlem3 eleq2d fmfnfmlem2 syl5bi sylbid bitrdi sylan
      jcad elv fbssfi ad3antrrr cfm co w3a cfg filtop 3jca ssfg imaelfm adantrr
      sselda jca filin 3expa simprr elin fvelima simplrr simprl syl2an ad2antrr
      wel ssel2 fbelss fdmd sseqtrrd fvimacnv biimpd impr ad2ant2rl elind inss2
      sstri funfvima2 sylc anassrs expr eleq1 rexlimdva imbi1d syl5ibrcom ssrdv
      imbi12d syl5ibcom syld impd adantrl sstrd filss syl13anc exp32 rexlimdvaa
      ineq2 imaeq2d imp syldan rexlimdvva 3jaod rexlimdv impcomd impbid ) ACULZ
      FNZUVAGOZEIULZUCZUVAOZIDBFEUDZBULZUCZUEZUFZUGZUHUIZUJZPAUVBUVCUVNAFGUMUIZ
      NZUVBUVCQKUVPUVBUVCUVAFGUNUORAUVBUVNAUVBPZUVGUVAUCZUVMNEUVRUCZUVAOZUVNUVQ
      UVKUVMUVRAUVKUVMOZUVBAUVLSNZUWAADHUPUIZNZUVKSNZUWBJAUVPUWEKUVPUVJSNUWEBFU
      VIUVOUQUVJSURRRZDUVKUWCSUSUTUWBDUVKUVMUVLSVDVARTUVQUVRUVKNZUVRUVIVBBFUJZU
      VBUWHAUVBUVRUVRVBUWHUVRVEBUVAFUVIUVRUVRUVHUVAUVGVCVFVGVHUVQUVRSNZUWGUWHVO
      AUWIUVBAUVRHUPVIZAUWDHUWJNJDHUPVJRAHGUVREEUVAVKLVLVPTBFUVIUVRUVJSUVJVEZVM
      RVNVQAUVTUVBAHGEVRZUVTLUWLEVSZUVRUVROUVTHGEVTZUVRWAUVRUVAEWBWCRTUVFUVTIUV
      RUVMUVDUVRVBUVEUVSUVAUVDUVREVCWDWEUTUOWQAUVNUVCUVBAUVFUVCUVBQZIUVMAUVDUVM
      NZUVDDUHUIZNZUVDUVKUHUIZNZUVDUAULZUBULZWFZVBZUBUWSUJUAUWQUJZWGZUVFUWOQZAU
      WDUWEUWPUXFVOJUWFUAUBUVDDUVKUWCSWHUTAUWRUXGUWTUXEACDEFGHIJKLMWIAUWTUVDUVK
      NZUXGAUWSUVKUVDABDEFGHJKLMWJZWKUXHUVDUVIVBBFUJZAUXGUXHUXJVOIBFUVIUVDUVJSU
      WKVMWRABCDEFGHIJKLMWLWMWNAUXDUXGUAUBUWQUWSAUXAUWQNZUXBUWSNZPPUXGUXDEUXCUC
      ZUVAOZUWOQZAUXKUXLUXOAUXKPUXLUXBUVIVBZBFUJZUXOAUXLUXQVOUXKAUXLUXBUVKNZUXQ
      AUWSUVKUXBUXIWKUXRUXQVOUBBFUVIUXBUVJSUWKVMWRWOTAUXKUVDUXAOZIDUJZUXQUXOQZA
      UWDUXKUXTJIUXADHWSWPAUXTUYAAUXSUYAIDAUVDDNZUXSPZPZUXPUXOBFUYDUVHFNZPZUXOU
      XPEUXAUVIWFZUCZUVAOZUWOQUYFUYIUVCUVBUYFUYIUVCPZPZUVPUVEUVHWFZFNZUVCUYLUVA
      OUVBAUVPUYCUYEUYJKWTUYFUYMUYJUYDUVPUVEFNZPUYEUYMUYDUVPUYNAUVPUYCKTAUYBUYN
      UXSAUYBPZDGEXAXBUIZFUVEAUYPFOUYBMTUYOGFNZUWDUWLXCZUVDHDXDXBZNUVEUYPNAUYRU
      YBAUYQUWDUWLAUVPUYQKFGXERJLXFTADUYSUVDAUWDDUYSOJDHXGRXJFDUVDEUYSGHUYSVEXH
      UTVQXIXKUVPUYNUYEUYMUVEUVHFGXLXMWPTUYFUYIUVCXNUYKUYLUYHUVAUYKUBUYLUYHUYFU
      VCUXBUYLNZUXBUYHNZQUYIUYTUXBUVENZUBBYAZPUYFUVCPZVUAUXBUVEUVHXOVUDVUBVUCVU
      AVUDVUBUKULZEUIZUXBVBZUKUVDUJZVUCVUAQZAVUBVUHQZUYCUYEUVCAUWMVUJAUWLUWMLUW
      NRZUWMVUBVUHUKUXBUVDEXPUORWTVUDVUGVUIUKUVDVUDUKIYAZPVUFUVHNZVUFUYHNZQVUGV
      UIVUDVULVUMVUNUYFUVCVULVUMPZVUNUYFUVCVUOPZPZUWMVUEUYGNZVUNAUWMUYCUYEVUPVU
      KWTVUQUXAUVIVUEUYFUXSVULUKUAYAVUPAUYBUXSUYEXQUVCVULVUMXRUVDUXAVUEYBXSUYDV
      UOVUEUVINZUYEUVCUYDVULVUMVUSUYDVULPZVUMVUSVUTUWMVUEEVIZNVUMVUSVOAUWMUYCVU
      LVUKXTUYDUVDVVAVUEAUYBUVDVVAOUXSUYOUVDHVVAAUWDUYBUVDHOJHDUVDYCWPAVVAHVBUY
      BAHGELYDTYEXIXJVUEUVHEYFUTYGYHYIYJUWMUYGVVAOVURVUNQUYGUVIVVAUXAUVIYKEUVHV
      KYLUYGVUEEYMVGYNYOYPVUGVUMVUCVUNVUAVUFUXBUVHYQVUFUXBUYHYQUUBUUCYRUUDUUEWM
      UUFUUAUYFUYIUVCXRUUGUYLUVAFGUUHUUIUUJUXPUXNUYIUWOUXPUXMUYHUVAUXPUXCUYGEUX
      BUVIUXAUULUUMWDYSYTYRUUKUUNUUOWNYHUXDUVFUXNUWOUXDUVEUXMUVAUVDUXCEVCWDYSYT
      UUPUUQWNUURUUSUUT $.

    $( A filter finer than an image filter is an image filter of the same
       function.  (Contributed by Jeff Hankins, 13-Nov-2009.)  (Revised by
       Stefan O'Rear, 8-Aug-2015.) $)
    fmfnfm $p |- ( ph -> E. f e. ( Fil ` Y ) ( B C_ f /\
            L = ( ( X FilMap F ) ` f ) ) ) $=
      ( vx vt cfv wcel wss wceq wa c0 syl vs vy ccnv cv cima crn cun cfi cfg co
      cmpt cfil cfm wrex cfbas cpw wne wn fbsspw cdm elfvdm wfo wfn dffn4 sylib
      wf foima 3syl filtop fgcl eqid imaelfm syl31anc eqeltrrd sseldd rnelfmlem
      ffn unssd ssun1 fbasne0 ssn0 sylancr cin wral wb cvv elrnmpt elv ad2antrr
      0nelfil adantr 3jca ssfg sselda syl2anc filin 3expa sylan eleq1 syl5ibcom
      w3a jca mtod wex neq0 elin wi wfun ffun fvelima ad3antrrr fbelss sseqtrrd
      fdmd fvimacnv inelcm adantl sylbid imbi1d rexlimdva syld impd exlimdv mpd
      syl5bi ineq2 neeq1d syl5ibrcom expimpd ralrimivv fbunfip mpbird mpbir3and
      ex fsubbas unexg ssfii unssad sstrd syl3anc fmfnfmlem4 bitr4d eqrdv eqtrd
      elfm fmfg sseq2 fveq2 eqeq2d anbi12d rspcev syl12anc ) AGBLEDUCLUDZUEZUKZ
      UFZUGZUHNZUIUJZGULNZOZBUUSPZEUUSFDUMUJZNZQZBCUDZPZEUVFUVCNZQZRZCUUTUNAUUR
      GUONZOZUVAAUVLUUQGUPZPZUUQSUQZSUUROURZABUUPUVMABUVKOZBUVMPHGBUSTAUUPUVKOZ
      UUPUVMPAGUOUTZOZEFULNOZGFDVFZDUFZEOUVRAUVQUVTHBGUOVAZTIJABUVCNZEUWCKADGUE
      ZUWCUWEAUWBGUWCDVBZUWFUWCQJUWBDGVCUWGGFDVQGDVDVEGUWCDVGVHAFEOZUVQUWBGGBUI
      UJZOZUWFUWEOAUWAUWHIEFVITZHJAUVQUWIUUTOUWJHBGVJUWIGVIVHEBGDUWIFGUWIVKZVLV
      MVNVOLUVSDEFGVPVMZGUUPUSTVRABUUQPBSUQZUVOBUUPVSAUVQUWNHGBVTTBUUQWAWBAUVPU
      AUDZMUDZWCZSUQZMUUPWDUABWDZAUWRUAMBUUPAUWOBOZUWPUUPOZUWRUXAUWPUUNQZLEUNZA
      UWTRZUWRUXAUXCWEMLEUUNUWPUUOWFUUOVKWGWHUXDUXBUWRLEUXDUUMEOZRZUWRUXBUWOUUN
      WCZSUQZUXFDUWOUEZUUMWCZSQZURZUXHUXFUXKSEOZAUXMURZUWTUXEAUWAUXNIEFWJTWIUXF
      UXJEOZUXKUXMUXDUWAUXIEOZRUXEUXOUXDUWAUXPAUWAUWTIWKUXDUWEEUXIAUWEEPUWTKWKU
      XDUWHUVQUWBXAZUWOUWIOUXIUWEOAUXQUWTAUWHUVQUWBUWKHJWLWKABUWIUWOAUVQBUWIPHB
      GWMTWNEBUWODUWIFGUWLVLWOVOXBUWAUXPUXEUXOUXIUUMEFWPWQWRUXJSEWSWTXCUXLUWPUX
      JOZMXDUXFUXHMUXJXEUXFUXRUXHMUXRUWPUXIOZUWPUUMOZRUXFUXHUWPUXIUUMXFUXFUXSUX
      TUXHUXFUXSUBUDZDNZUWPQZUBUWOUNZUXTUXHXGZAUXSUYDXGZUWTUXEAUWBDXHZUYFJGFDXI
      ZUYGUXSUYDUBUWPUWODXJYNVHWIUXFUYCUYEUBUWOUXFUYAUWOOZRZUYBUUMOZUXHXGUYCUYE
      UYJUYKUYAUUNOZUXHUYJUYGUYADUTZOUYKUYLWEAUYGUWTUXEUYIAUWBUYGJUYHTXKUXFUWOU
      YMUYAUXDUWOUYMPUXEUXDUWOGUYMAUVQUWTUWOGPHGBUWOXLWRAUYMGQUWTAGFDJXNWKXMWKW
      NUYAUUMDXOWOUYIUYLUXHXGUXFUYIUYLUXHUYAUWOUUNXPYNXQXRUYCUYKUXTUXHUYBUWPUUM
      WSXSWTXTYAYBYEYCYEYDUXBUWQUXGSUWPUUNUWOYFYGYHXTYEYIYJAUVQUVRUVPUWSWEHUWMU
      AMBUUPGGYKWOYLAUVQUVTUVLUVNUVOUVPXAWEHUWDUUQUVSGYOVHYMZUURGVJTABUURUUSABU
      UPUURAUUQWFOZUUQUURPAUVQUVRUYOHUWMBUUPUVKUVKYPWOUUQWFYQTYRAUVLUURUUSPUYNU
      URGWMTYSAEUURUVCNZUVDAMEUYPAUWPEOUWPFPUXIUWPPUAUURUNRZUWPUYPOZALMBDEFGUAH
      IJKUUAAUWHUVLUWBUYRUYQWEUWKUYNJUAUWPUUREDFGUUEYTUUBUUCAUWHUVLUWBUYPUVDQUW
      KUYNJUUREDUUSFGUUSVKUUFYTUUDUVJUVBUVERCUUSUUTUVFUUSQZUVGUVBUVIUVEUVFUUSBU
      UGUYSUVHUVDEUVFUUSUVCUUHUUIUUJUUKUUL $.
  $}

  ${
    $d f g A $.  $d f g F $.  $d f g L $.  $d f g X $.  $d f g Y $.
    $( An image filter of an ultrafilter is an ultrafilter.  (Contributed by
       Jeff Hankins, 11-Dec-2009.)  (Revised by Stefan O'Rear, 8-Aug-2015.) $)
    fmufil $p |- ( ( X e. A /\ L e. ( UFil ` Y ) /\ F : Y --> X ) ->
        ( ( X FilMap F ) ` L ) e. ( UFil ` X ) ) $=
      ( vf vg wcel cufil cfv wf w3a cfm co cfil cv wss wceq wa simprl cfbas syl
      wi wral ufilfil filfbas fmfil syl3an2 simpl2 simpl3 simprr fmfnfm simprrl
      3syl adantr ufilmax syl3anc fveq2d simprrr eqtr4d rexlimddv expr sylanbrc
      ralrimiva isufil2 ) DAHZCEIJHZEDBKZLZCDBMNZJZDOJZHZVKFPZQZVKVNRZUCZFVLUDV
      KDIJHVGVFCEUAJHZVHVMVGCEOJZHZVRCEUEZCEUFZUBACBDEUGUHVIVQFVLVIVNVLHZVOVPVI
      WCVOSZSZCGPZQZVNWFVJJZRZSZVPGVSWECGBVNDEWEVGVTVRVFVGVHWDUIZWAWBUNVIWCVOTV
      FVGVHWDUJVIWCVOUKULWEWFVSHZWJSZSZVKWHVNWNCWFVJWNVGWLWGCWFRWEVGWMWKUOWEWLW
      JTWEWLWGWIUMCWFEUPUQURWEWLWGWIUSUTVAVBVDFVKDVEVC $.
  $}

  ${
    $d s t u B $.  $d s t u F $.  $d s t u G $.  $d s t u V $.  $d s t u x X $.
    $d s t u W $.  $d f g s t u x y Y $.  $d s t u Z $.
    $( The filter map applied to the identity.  (Contributed by Jeff Hankins,
       8-Nov-2009.)  (Revised by Mario Carneiro, 27-Aug-2015.) $)
    fmid $p |- ( F e. ( Fil ` X ) -> ( ( X FilMap ( _I |` X ) ) ` F ) = F ) $=
      ( vt vs cfil cfv wcel cid cres cfm co cv cima wceq cfg wrex cfbas bitr4di
      wfo wb filfbas wf1o f1oi f1ofo ax-mp eqid elfm3 sylancl fgfil rexeqdv wss
      wa filelss resiima syl eqeq2d equcom rexbidva risset 3bitrd eqrdv ) ABEFG
      ZCABHBIZJKFZAVBCLZVDGZVEVCDLZMZNZDBAOKZPZVIDAPZVEAGZVBABQFGBBVCSZVFVKTABU
      ABBVCUBVNBUCBBVCUDUEDVEAVCVJBBVJUFUGUHVBVIDVJAABUIUJVBVLVGVENZDAPVMVBVIVO
      DAVBVGAGULZVIVEVGNVOVPVHVGVEVPVGBUKVHVGNVGABUMBVGUNUOUPDCUQRURDVEAUSRUTVA
      $.

    $( Composition of image filters.  (Contributed by Mario Carneiro,
       27-Aug-2015.) $)
    fmco $p |- ( ( ( X e. V /\ Y e. W /\ B e. ( fBas ` Z ) ) /\
        ( F : Y --> X /\ G : Z --> Y ) ) ->
      ( ( X FilMap ( F o. G ) ) ` B ) =
      ( ( X FilMap F ) ` ( ( Y FilMap G ) ` B ) ) ) $=
      ( vu vt wcel cfv wf wa cfm co cv wss cima syl3anc cfbas w3a ccom wrex cfg
      vs wi simpl3 ssfg syl sseld simpl2 simprr eqid imaelfm ex syld imp imaeq2
      wceq imaco eqtr4di sseq1d rspcev rexlimdva wb sstr2 imass2 eqsstrid syl11
      elfm reximdv com12 adantl syl6bi rexlimdv impbid anbi2d simpl1 cfil fmfil
      fco filfbas simprl 3bitr4d eqrdv ) FDKZGEKZAHUALKZUBZGFBMZHGCMZNZNZUFAFBC
      UCZOPLZAGCOPLZFBOPLZWNUFQZFRZWOIQZSZWSRZIAUDZNZWTBJQZSZWSRZJWQUDZNZWSWPKZ
      WSWRKZWNXDXIWTWNXDXIWNXCXIIAWNXAAKZNCXASZWQKZXCXIUGWNXMXOWNXMXAHAUEPZKZXO
      WNAXPXAWNWIAXPRWGWHWIWMUHZAHUIUJUKWNWHWIWLXQXOUGWGWHWIWMULZXRWJWKWLUMZWHW
      IWLUBXQXOEAXACXPGHXPUNUOUPTUQURXOXCXIXHXCJXNWQXFXNUTZXGXBWSYAXGBXNSZXBXFX
      NBUSBCXAVAZVBVCVDUPUJVEWNXHXDJWQWNXFWQKZXFGRZXNXFRZIAUDZNZXHXDUGZWNWHWIWL
      YDYHVFXSXRXTIXFAECGHVKTYGYIYEXHYGXDXHYFXCIAXBXGRXHXCYFXBXGWSVGYFXBYBXGYCX
      NXFBVHVIVJVLVMVNVOVPVQVRWNWGWIHFWOMZXKXEVFWGWHWIWMVSZXRWMYJWJHGFBCWBVNIWS
      ADWOFHVKTWNWGWQGUALKZWKXLXJVFYKWNWQGVTLKZYLWNWHWIWLYMXSXRXTEACGHWATWQGWCU
      JWJWKWLWDJWSWQDBFGVKTWEWF $.

    $( The ultrafilter lemma property is a cardinal invariant, so since it
       transfers to subsets it also transfers over set dominance.  (Contributed
       by Mario Carneiro, 26-Aug-2015.) $)
    ufldom $p |- ( ( X e. UFL /\ Y ~<_ X ) -> Y e. UFL ) $=
      ( vx vf vg vu vy cufl wcel cv wss wa cfv cfm filfbas cvv wceq adantr syl
      co cdom wbr cen wex domeng wf1o bren biimpi ssufl wi cufil wrex cfil wral
      simplr cfbas wf adantl f1of ad2antrr fmfil syl3anc ufli syl2anc cdm f1odm
      ccnv vex dmex eqeltrrdi simprl f1ocnv ad3antrrr fmufil ccom cid f1ococnv1
      cres oveq2d fveq1d fmco syl32anc fmid 3eqtr3d ufilfil 3syl eqsstrrd sseq2
      simprr fmss rspcev rexlimddv ralrimiva wb isufl mpbird exlimiv imp syl2an
      ex an12s exlimdv sylbid ) AHIZBAUAUBZBHIZXDXEBCJZUCUBZXGAKZLZCUDXFCBAHUEX
      DXJXFCXDXJXFXHXDXIXFXHBXGDJZUFZDUDZXGHIZXFXDXILXHXMBXGDUGUHAXGUIXMXNXFXLX
      NXFUJDXLXNXFXLXNLZXFEJZFJZKZFBUKMZULZEBUMMZUNZXOXTEYAXOXPYAIZLZXPXGXKNTMZ
      GJZKZXTGXGUKMZYDXNYEXGUMMZIZYGGYHULXLXNYCUOZYDXNXPBUPMIZBXGXKUQZYJYKYCYLX
      OXPBOURZXLYMXNYCBXGXKUSZUTHXPXKXGBVAVBZGYEXGVCVDYDYFYHIZYGLZLZYFBXKVGZNTZ
      MZXSIZXPUUBKZXTYSBPIZYQXGBYTUQZUUCXOUUEYCYRXOBXKVEZPXLUUGBQXNBXGXKVFRXKDV
      HVIVJZUTZYDYQYGVKZYSXGBYTUFZUUFXLUUKXNYCYRBXGXKVLVMXGBYTUSSZPYTYFBXGVNVBY
      SXPYEUUAMZUUBYSXPBYTXKVOZNTZMZXPBVPBVRZNTZMZUUMXPYSXPUUOUURYSUUNUUQBNXLUU
      NUUQQXNYCYRBXGXKVQVMVSVTYSUUEXNYLUUFYMUUPUUMQUUIYDXNYRYKRYDYLYRYNRUULXLYM
      XNYCYRYOVMXPYTXKPHBXGBWAWBYSYCUUSXPQXOYCYRUOXPBWCSWDYSUUEYEXGUPMZIZYFUUTI
      ZUUFYGUUMUUBKUUIYSYJUVAYDYJYRYPRYEXGOSYSYQYFYIIUVBUUJYFXGWEYFXGOWFUULYDYQ
      YGWIPYEYFYTBXGWJWBWGXRUUDFUUBXSXQUUBXPWHWKVDWLWMXOUUEXFYBWNUUHEFPBWOSWPWT
      WQWRWSXAWTXBXCWR $.
  $}

  ${
    $d x A $.  $d f j x F $.  $d f j x J $.  $d f j x X $.
    flimval.1 $e |- X = U. J $.
    $( The set of limit points of a filter.  (Contributed by Jeff Hankins,
       4-Sep-2009.)  (Revised by Stefan O'Rear, 6-Aug-2015.) $)
    flimval $p |- ( ( J e. Top /\ F e. U. ran Fil ) ->
      ( J fLim F ) = { x e. X |
        ( ( ( nei ` J ) ` { x } ) C_ F /\ F C_ ~P X ) } ) $=
      ( vj vf ctop wcel cuni cv cnei cfv wss cpw wa crab cvv cflim wceq crn csn
      cfil co topopn adantr rabexg syl simpl unieqd eqtr4di fveq2d fveq1d simpr
      sseq12d pweqd anbi12d rabeqbidv df-flim ovmpoga mpd3an3 ) CHIZBUCUAJZIZAK
      UBZCLMZMZBNZBDOZNZPZADQZRIZCBSUDVLTVBVDPDCIZVMVBVNVDCDEUEUFVKADCUGUHFGCBH
      VCVEFKZLMZMZGKZNZVRVOJZOZNZPZAVTQVLSRVOCTZVRBTZPZWCVKAVTDWFVTCJDWFVOCWDWE
      UIZUJEUKZWFVSVHWBVJWFVQVGVRBWFVEVPVFWFVOCLWGULUMWDWEUNZUOWFVRBWAVIWIWFVTD
      WHUPUOUQURAGFUSUTVA $.

    $( The predicate "is a limit point of a filter."  (Contributed by Mario
       Carneiro, 9-Apr-2015.)  (Revised by Stefan O'Rear, 6-Aug-2015.) $)
    elflim2 $p |- ( A e. ( J fLim F ) <->
      ( ( J e. Top /\ F e. U. ran Fil /\ F C_ ~P X ) /\
        ( A e. X /\ ( ( nei ` J ) ` { A } ) C_ F ) ) ) $=
      ( vj vf vx ctop wcel cuni wa cpw wss csn cnei cfv cflim cv crab crn anass
      cfil w3a co df-3an anbi1i df-flim elmpocl flimval eleq2d wceq sneq fveq2d
      sseq1d anbi1d biancomd elrab an12 bitri bitrdi biadanii 3bitr4ri ) CIJZBU
      CUAKZJZLZBDMNZLZADJZAOZCPQZQZBNZLZLVGVHVOLZLVDVFVHUDZVOLACBRUEZJZVGVHVOUB
      VQVIVOVDVFVHUFUGVSVGVPFGIVEHSZOZFSZPQQGSZNWCWBKZMNLHWDTCBRAHGFUHUIVGVSAWA
      VLQZBNZVHLZHDTZJZVPVGVRWHAHBCDEUJUKWIVJVHVNLZLVPWGWJHADVTAULZWGVHVNWKWFVN
      VHWKWEVMBWKWAVKVLVTAUMUNUOUPUQURVJVHVNUSUTVAVBVC $.
  $}

  $( Reverse closure for the limit point predicate.  (Contributed by Mario
     Carneiro, 9-Apr-2015.)  (Revised by Stefan O'Rear, 9-Aug-2015.) $)
  flimtop $p |- ( A e. ( J fLim F ) -> J e. Top ) $=
    ( cflim co wcel ctop cfil crn cuni cpw wss w3a csn cnei cfv wa eqid elflim2
    simplbi simp1d ) ACBDEFZCGFZBHIJFZBCJZKLZUBUCUDUFMAUEFANCOPPBLQABCUEUERSTUA
    $.

  $( A filter contains the neighborhood filter as a subfilter.  (Contributed by
     Mario Carneiro, 9-Apr-2015.)  (Revised by Stefan O'Rear, 9-Aug-2015.) $)
  flimneiss $p |- ( A e. ( J fLim F ) -> ( ( nei ` J ) ` { A } ) C_ F ) $=
    ( cflim co wcel cuni csn cnei cfv wss ctop cfil crn cpw w3a wa eqid elflim2
    simprbi simprd ) ACBDEFZACGZFZAHCIJJBKZUBCLFBMNGFBUCOKPUDUEQABCUCUCRSTUA $.

  $( A filter contains all of the neighborhoods of its limit points.
     (Contributed by Jeff Hankins, 4-Sep-2009.)  (Revised by Mario Carneiro,
     9-Apr-2015.) $)
  flimnei $p |- ( ( A e. ( J fLim F ) /\ N e. ( ( nei ` J ) ` { A } ) ) ->
    N e. F ) $=
    ( cflim co wcel csn cnei cfv flimneiss sselda ) ACBEFGAHCIJJBDABCKL $.

  ${
    flimuni.1 $e |- X = U. J $.
    $( A limit point of a filter belongs to its base set.  (Contributed by Jeff
       Hankins, 4-Sep-2009.)  (Revised by Mario Carneiro, 9-Apr-2015.) $)
    flimelbas $p |- ( A e. ( J fLim F ) -> A e. X ) $=
      ( cflim co wcel csn cnei cfv wss ctop cfil crn cuni cpw w3a wa elflim2
      simprbi simpld ) ACBFGHZADHZAICJKKBLZUCCMHBNOPHBDQLRUDUESABCDETUAUB $.

    $( Reverse closure for the limit point predicate.  (Contributed by Mario
       Carneiro, 9-Apr-2015.)  (Revised by Stefan O'Rear, 6-Aug-2015.) $)
    flimfil $p |- ( A e. ( J fLim F ) -> F e. ( Fil ` X ) ) $=
      ( cflim co wcel cuni cfil cfv crn ctop cpw wss w3a csn cnei sylib syl wa
      elflim2 simplbi simp2d filunirn simp3d sspwuni flimneiss topopn flimelbas
      flimtop opnneip syl3anc sseldd elssuni eqssd fveq2d eleqtrd ) ACBFGHZBBIZ
      JKZDJKUSBJLIHZBVAHUSCMHZVBBDNOZUSVCVBVDPADHZAQCRKKZBOUAABCDEUBUCZUDBUESUS
      UTDJUSUTDUSVDUTDOUSVCVBVDVGUFBDUGSUSDBHDUTOUSVFBDABCUHUSVCDCHZVEDVFHABCUK
      ZUSVCVHVICDEUITABCDEUJACDULUMUNDBUOTUPUQUR $.
  $}

  $( Reverse closure for the limit point predicate.  (Contributed by Mario
     Carneiro, 26-Aug-2015.) $)
  flimtopon $p |- ( A e. ( J fLim F ) ->
      ( J e. ( TopOn ` X ) <-> F e. ( Fil ` X ) ) ) $=
    ( cflim co wcel ctopon cfv cuni wceq cfil ctop wb flimtop istopon baib eqid
    syl filunibas flimfil fveq2 eleq2d syl5ibrcom eqeq1d syl5ibcom impbid bitrd
    ) ACBEFGZCDHIGZDCJZKZBDLIZGZUICMGZUJULNABCOUJUOULDCPQSUIULUNUIUNULBUKLIZGZA
    BCUKUKRUAZULUMUPBDUKLUBUCUDUIBJZUKKZUNULUIUQUTURBUKTSUNUSDUKBDTUEUFUGUH $.

  $( The predicate "is a limit point of a filter."  (Contributed by Jeff
     Hankins, 4-Sep-2009.)  (Revised by Mario Carneiro, 23-Aug-2015.) $)
  elflim $p |- ( ( J e. ( TopOn ` X ) /\ F e. ( Fil ` X ) ) ->
                 ( A e. ( J fLim F ) <->
                   ( A e. X /\ ( ( nei ` J ) ` { A } ) C_ F ) ) ) $=
    ( ctopon cfv wcel cfil wa cflim co cuni csn cnei wss ctop crn adantr adantl
    cpw wb topontop fvssunirn sseli filsspw wceq toponuni pweqd sseqtrd elflim2
    w3a eqid baib syl3anc eleq2d anbi1d bitr4d ) CDEFGZBDHFZGZIZACBJKGZACLZGZAM
    CNFFBOZIZADGZVEIVACPGZBHQLZGZBVCTZOZVBVFUAURVHUTDCUBRUTVJURUSVIBHDUCUDSVABD
    TZVKUTBVMOURBDUESVADVCURDVCUFUTDCUGRZUHUIVBVHVJVLUKVFABCVCVCULUJUMUNVAVGVDV
    EVADVCAVNUOUPUQ $.

  ${
    $d x y A $.  $d x y F $.  $d x G $.  $d x y J $.  $d x K $.  $d x y X $.
    $( A limit point of a filter is a limit point of a finer filter.
       (Contributed by Jeff Hankins, 5-Sep-2009.)  (Revised by Stefan O'Rear,
       8-Aug-2015.) $)
    flimss2 $p |- ( ( J e. ( TopOn ` X ) /\ F e. ( Fil ` X ) /\ G C_ F ) ->
        ( J fLim G ) C_ ( J fLim F ) ) $=
      ( vx ctopon cfv wcel cfil wss w3a cflim co cv csn cnei cuni eqid adantl
      wa flimelbas wceq simpl1 toponuni syl eleqtrrd flimneiss simpl3 wb simpl2
      sstrd elflim syl2anc mpbir2and ex ssrdv ) CDFGHZADIGHZBAJZKZECBLMZCALMZUT
      ENZVAHZVCVBHZUTVDTZVEVCDHZVCOCPGGZAJZVFVCCQZDVDVCVJHUTVCBCVJVJRUASVFUQDVJ
      UBUQURUSVDUCZDCUDUEUFVFVHBAVDVHBJUTVCBCUGSUQURUSVDUHUKVFUQURVEVGVITUIVKUQ
      URUSVDUJVCACDULUMUNUOUP $.

    $( A limit point of a filter is a limit point in a coarser topology.
       (Contributed by Mario Carneiro, 9-Apr-2015.)  (Revised by Stefan O'Rear,
       8-Aug-2015.) $)
    flimss1 $p |- ( ( J e. ( TopOn ` X ) /\ F e. ( Fil ` X ) /\ J C_ K ) ->
      ( K fLim F ) C_ ( J fLim F ) ) $=
      ( vx cfv wcel cfil wss cflim co wa cnei cuni eqid adantl filunibas eqtr3d
      wceq syl ctopon w3a csn flimelbas simpl2 flimfil eleqtrrd simpl1 topontop
      cv ctop flimtop toponuni simpl3 topssnei syl31anc flimneiss sstrd syl2anc
      wb elflim mpbir2and ex ssrdv ) BDUAFGZADHFGZBCIZUBZECAJKZBAJKZVHEUJZVIGZV
      KVJGZVHVLLZVMVKDGZVKUCZBMFFZAIZVNVKCNZDVLVKVSGVHVKACVSVSOZUDPVNANZDVSVNVF
      WADSVEVFVGVLUEZADQTVNAVSHFGZWAVSSVLWCVHVKACVSVTUFPAVSQTRZUGVNVQVPCMFFZAVN
      BUKGZCUKGZBNZVSSVGVQWEIVNVEWFVEVFVGVLUHZDBUITVLWGVHVKACULPVNDWHVSVNVEDWHS
      WIDBUMTWDRVEVFVGVLUNVPBCWHVSWHOVTUOUPVLWEAIVHVKACUQPURVNVEVFVMVOVRLUTWIWB
      VKABDVAUSVBVCVD $.

    $( A point is a limit point of its neighborhood filter.  (Contributed by
       Jeff Hankins, 7-Sep-2009.)  (Revised by Stefan O'Rear, 9-Aug-2015.) $)
    neiflim $p |- ( ( J e. ( TopOn ` X ) /\ A e. X ) ->
      A e. ( J fLim ( ( nei ` J ) ` { A } ) ) ) $=
      ( ctopon cfv wcel wa csn cnei cflim co wss ssid jctr adantl cfil wb simpl
      c0 wne snssi snnzg neifil syl3anc elflim syldan mpbird ) BCDEFZACFZGZABAH
      ZBIEEZJKFZUIULULLZGZUIUOUHUIUNULMNOUHUIULCPEFZUMUOQUJUHUKCLZUKSTZUPUHUIRU
      IUQUHACUAOUIURUHACUBOUKBCUCUDAULBCUEUFUG $.

    $( The condition for being a limit point of a filter still holds if one
       only considers open neighborhoods.  (Contributed by Jeff Hankins,
       4-Sep-2009.)  (Proof shortened by Mario Carneiro, 9-Apr-2015.) $)
    flimopn $p |- ( ( J e. ( TopOn ` X ) /\ F e. ( Fil ` X ) ) ->
    ( A e. ( J fLim F ) <-> ( A e. X /\ A. x e. J ( A e. x -> x e. F ) ) ) ) $=
      ( vy cfv wcel wa wss cv wi wral sylan eleq1 rspcv syl ralrimdva ad3antrrr
      wb ctopon cfil cflim csn cnei elflim dfss3 ctop topontop ad2antrr opnneip
      co 3expb expr com23 cnt simpr cuni wceq toponuni eleqtrd snssd eqid neii1
      simplr neiint syl3anc mpbid snssg ad2antlr mpbird syl2anc imbi12d simpllr
      ntropn eleq2 mpid ntrss2 sseqtrrd filss 3exp2 com24 syl3c impbid pm5.32da
      syld syl5bb bitrd ) DEUAGHZCEUBGHZIZBDCUCULHBEHZBUDZDUEGGZCJZIWLBAKZHZWPC
      HZLZADMZIBCDEUFWKWLWOWTWOFKZCHZFWNMZWKWLIZWTFWNCUGXDXCWTXDXCWSADXDWPDHZIW
      QXCWRXDXEWQXCWRLZXDXEWQIZIWPWNHZXFXDDUHHZXGXHWIXIWJWLEDUIZUJZXIXEWQXHBDWP
      UKUMNXBWRFWPWNXAWPCOPQUNUORXDWTXBFWNXDXAWNHZIZWTXADUPGGZCHZXBXMWTBXNHZXOX
      MXPWMXNJZXMXLXQXDXLUQXMXIWMDURZJXAXRJZXLXQTWIXIWJWLXLXJSZXMBXRXMBEXRWKWLX
      LVEWIEXRUSWJWLXLEDUTSZVAVBXDXIXLXSXKWMDXAXRXRVCZVDNZWMDXAXRYBVFVGVHWLXPXQ
      TWKXLBXNEVIVJVKXMXNDHZWTXPXOLZLXMXIXSYDXTYCXADXRYBVOVLWSYEAXNDWPXNUSWQXPW
      RXOWPXNBVPWPXNCOVMPQVQXMWJXNXAJZXAEJZXOXBLWIWJWLXLVNXMXIXSYFXTYCXADXRYBVR
      VLXMXAXREYCYAVSWJXOYGYFXBWJXOYGYFXBXNXACEVTWAWBWCWFRWDWGWEWH $.
  $}

  ${
    $d n x y A $.  $d n x y B $.  $d n x y J $.  $d n x y X $.  $d x y F $.
    fbflim.3 $e |- F = ( X filGen B ) $.
    $( A condition for a filter to converge to a point involving one of its
       bases.  (Contributed by Jeff Hankins, 4-Sep-2009.)  (Revised by Stefan
       O'Rear, 6-Aug-2015.) $)
    fbflim $p |- ( ( J e. ( TopOn ` X ) /\ B e. ( fBas ` X ) ) ->
      ( A e. ( J fLim F ) <->
          ( A e. X /\ A. x e. J ( A e. x -> E. y e. B y C_ x ) ) ) ) $=
      ( ctopon cfv wcel cfbas wa cflim co cv wi wral wss wb cfg eqeltrid sylan2
      wrex cfil flimopn toponss ad4ant14 eleq2i ad3antlr syl5bb mpbirand imbi2d
      fgcl elfg ralbidva pm5.32da bitrd ) FGIJKZDGLJKZMZCFENOKZCGKZCAPZKZVDEKZQ
      ZAFRZMZVCVEBPVDSBDUDZQZAFRZMUTUSEGUEJZKVBVITUTEGDUAOZVMHDGUNUBACEFGUFUCVA
      VCVHVLVAVCMZVGVKAFVOVDFKZMZVFVJVEVQVFVDGSZVJUSVPVRUTVCVDFGUGUHVFVDVNKZVQV
      RVJMZEVNVDHUIUTVSVTTUSVCVPBVDDGUOUJUKULUMUPUQUR $.

    $( A condition for a filter base ` B ` to converge to a point ` A ` .  Use
       neighborhoods instead of open neighborhoods.  Compare ~ fbflim .
       (Contributed by FL, 4-Jul-2011.)  (Revised by Stefan O'Rear,
       6-Aug-2015.) $)
    fbflim2 $p |- ( ( J e. ( TopOn ` X ) /\ B e. ( fBas ` X ) ) ->
        ( A e. ( J fLim F ) <-> ( A e. X /\
            A. n e. ( ( nei ` J ) ` { A } ) E. x e. B x C_ n ) ) ) $=
      ( vy cfv wcel wa cv wss wrex wi wral ad2antrr simpr syl ctopon cfbas cnei
      cflim co csn fbflim cuni ctop topontop wceq toponuni eleqtrd eqid syl2anc
      isneip syl6bi r19.29 pm3.45 imp sstr2 com12 reximdv impcom rexlimivw syl9
      wb ralrimdv adantr simprl simprr opnneip syl3anc sseq2 rexbidv rspcv expr
      ex com23 ralrimdva impbid pm5.32da bitrd ) FGUAJKZCGUBJKZLZBFEUDUEKBGKZBI
      MZKZAMZWHNZACOZPZIFQZLWGWJDMZNZACOZDBUFFUCJJZQZLIABCEFGHUGWFWGWNWSWFWGLZW
      NWSWTWNWQDWRWTWOWRKZWIWHWONZLZIFOZWNWQWTXAWOFUHZNZXDLZXDWTFUIKZBXEKXAXGVG
      WDXHWEWGGFUJRZWTBGXEWFWGSWDGXEUKWEWGGFULRUMBIFWOXEXEUNUPUOXFXDSUQWNXDWQWN
      XDLWMXCLZIFOWQWMXCIFURXJWQIFXJWLXBLZWQWMXCXKWIWLXBUSUTXBWLWQXBWKWPACWKXBW
      PWJWHWOVAVBVCVDTVETVRVFVHWTWSWMIFWTWHFKZLWIWSWLWTXLWIWSWLPZWTXLWILZLZWHWR
      KZXMXOXHXLWIXPWTXHXNXIVIWTXLWIVJWTXLWIVKBFWHVLVMWQWLDWHWRWOWHUKWPWKACWOWH
      WJVNVOVPTVQVSVTWAWBWC $.
  $}

  ${
    $d u v x y F $.  $d f u v w x y z J $.  $d x y S $.  $d f u v w x z X $.
    $( The convergent points of a filter are a subset of the closure of any of
       the filter sets.  (Contributed by Mario Carneiro, 9-Apr-2015.)  (Revised
       by Stefan O'Rear, 9-Aug-2015.) $)
    flimclsi $p |- ( S e. F -> ( J fLim F ) C_ ( ( cls ` J ) ` S ) ) $=
      ( vx vy wcel cflim co ccl cfv cv wa cin wne csn cnei wral syl3anc adantl
      c0 cuni cfil eqid flimfil ad2antlr flimnei adantll filinn0 ralrimiva ctop
      simpll wss wb flimtop filelss ancoms sylan2 flimelbas neindisj2 mpbird ex
      ssrdv ) ABFZDCBGHZACIJJZVCDKZVDFZVFVEFZVCVGLZVHEKZAMTNZEVFOCPJJZQZVIVKEVL
      VIVJVLFZLBCUAZUBJFZVJBFZVCVKVGVPVCVNVFBCVOVOUCZUDZUEVGVNVQVCVFBCVJUFUGVCV
      GVNUKVJABVOUHRUIVICUJFZAVOULZVFVOFZVHVMUMVGVTVCVFBCUNSVGVCVPWAVSVPVCWAABV
      OUOUPUQVGWBVCVFBCVOVRURSVFAECVOVRUSRUTVAVB $.

    $( If ` A ` and ` B ` are both limits of the same filter, then all
       neighborhoods of ` A ` and ` B ` intersect.  (Contributed by Mario
       Carneiro, 21-Sep-2015.) $)
    hausflimlem $p |- ( ( ( A e. ( J fLim F ) /\ B e. ( J fLim F ) ) /\
     ( U e. J /\ V e. J ) /\ ( A e. U /\ B e. V ) ) -> ( U i^i V ) =/= (/) ) $=
      ( cflim co wcel w3a cuni cfil cfv syl csn opnneip syl3anc flimnei syl2anc
      wa cin c0 wne simp1l eqid flimfil cnei simp2l simp3l simp1r simp2r simp3r
      ctop flimtop filinn0 ) AEDGHZIZBUPIZTZCEIZFEIZTZACIZBFIZTZJZDEKZLMIZCDIZF
      DIZCFUAUBUCVFUQVHUQURVBVEUDZADEVGVGUEUFNVFUQCAOEUGMZMIZVIVKVFEUMIZUTVCVMV
      FUQVNVKADEUNNZUSUTVAVEUHUSVBVCVDUIAECPQADECRSVFURFBOVLMIZVJUQURVBVEUJVFVN
      VAVDVPVOUSUTVAVEUKUSVBVCVDULBEFPQBDEFRSCFDVGUOQ $.

    $( One direction of ~ hausflim .  A filter in a Hausdorff space has at most
       one limit.  (Contributed by FL, 14-Nov-2010.)  (Revised by Mario
       Carneiro, 21-Sep-2015.) $)
    hausflimi $p |- ( J e. Haus -> E* x x e. ( J fLim F ) ) $=
      ( vy vu vv cha wcel cv cflim co wa wceq wi wal wne c0 wrex flimelbas syl
      wmo cin w3a cuni simpl simprll eqid simprlr simprr syl13anc df-3an simprl
      hausnei hausflimlem 3expa sylanl1 a1d necon4d expimpd rexlimdvva mpd expr
      syl5bi necon1bd pm2.18d ex alrimivv eleq1w mo4 sylibr ) CGHZAIZCBJKZHZDIZ
      VMHZLZVLVOMZNZDOAOVNAUAVKVSADVKVQVRVKVQLZVRVTVRVLVOVKVQVLVOPZVRVKVQWALZLZ
      VLEIZHZVOFIZHZWDWFUBZQMZUCZFCRECRZVRWCVKVLCUDZHZVOWLHZWAWKVKWBUEWCVNWMVKV
      NVPWAUFVLBCWLWLUGZSTWCVPWNVKVNVPWAUHVOBCWLWOSTVKVQWAUIVLVOFECWLWOUMUJWCWJ
      VREFCCWJWEWGLZWILWCWDCHWFCHLZLZVRWEWGWIUKWRWPWIVRWRWPLZVLVOWHQWSWHQPZWAWC
      VQWQWPWTVKVQWAULVQWQWPWTVLVOWDBCWFUNUOUPUQURUSVCUTVAVBVDVEVFVGVNVPADADVMV
      HVIVJ $.

    flimcf.1 $e |- X = U. J $.
    $( A condition for a topology to be Hausdorff in terms of filters.  A
       topology is Hausdorff iff every filter has at most one limit point.
       (Contributed by Jeff Hankins, 5-Sep-2009.)  (Revised by Stefan O'Rear,
       6-Aug-2015.) $)
    hausflim $p |- ( J e. Haus <-> ( J e. Top /\
      A. f e. ( Fil ` X ) E* x x e. ( J fLim f ) ) ) $=
      ( vz vw vu vv wcel cv cfv wral wa wne c0 wn wb wss syl cha ctop cflim wmo
      co cfil haustop hausflimi ralrimivw jca cin wceq csn cnei wrex wi cun cfi
      cfbas ctopon simpl toptopon sylib simprll syl3anc filfbas simprlr fbunfip
      snssd snn0d neifil syl2anc cpw w3a neisspw unssd adantr a1d ssun1 sylancr
      filn0 ssn0 idd 3jcad topopn fsubbas cfg fgcl adantl simplrr cvv fvex unex
      ssfii ssfg sstrid elflim mpbir2and unssbd eleq1w 3com23 syl22anc necon3ad
      ax-mp moi 3expia mpd oveq2 eleq2d mobidv notbid rspcev sylbird syld df-ne
      ex ralbii ralnex bitri rexnal 3imtr3g con4d imp an32s ralrimivva hausnei2
      expr mpbird impbii ) CUAJZCUBJZAKZCBKZUCUEZJZAUDZBDUFLZMZNZYJYKYRCUGYJYPB
      YQAYMCUHUIUJYSYJFKZGKZOZHKIKUKZPULZIUUAUMZCUNLZLZUOZHYTUMZUUFLZUOZUPZGDMF
      DMZYSUULFGDDYSYTDJZUUADJZNZUUBUUKYKUUPUUBNZYRUUKYKUUQNZYRUUKUURUUKYRUURUU
      CPOZIUUGMZHUUJMZYPQZBYQUOZUUKQZYRQUURUVAPUUJUUGUQZURLZJQZUVCUURUUJDUSLZJZ
      UUGUVHJZUVGUVARUURUUJYQJZUVIUURCDUTLJZUUIDSUUIPOUVKUURYKUVLYKUUQVACDEVBZV
      CZUURYTDYKUUNUUOUUBVDZVIUURYTDUVOVJUUICDVKVEZUUJDVFTUURUUGYQJZUVJUURUVLUU
      EDSUUEPOUVQUVNUURUUADYKUUNUUOUUBVGZVIUURUUADUVRVJUUECDVKVEUUGDVFTHIUUJUUG
      DDVHVLUURUVGUVEDVMZSZUVEPOZUVGVNZUVCUURUVGUVTUWAUVGUURUVTUVGYKUVTUUQYKUUJ
      UUGUVSUUICDEVOUUECDEVOVPVQVRUURUWAUVGUURUUJUVESUUJPOZUWAUUJUUGVSZUURUVKUW
      CUVPUUJDWATUUJUVEWBVTVRUURUVGWCWDUURUWBUVFUVHJZUVCUURDCJZUWEUWBRYKUWFUUQC
      DEWEVQUVECDWFTUURUWEUVCUURUWENZDUVFWGUEZYQJZYLCUWHUCUEZJZAUDZQZUVCUWEUWIU
      URUVFDWHWIZUWGUUBUWMYKUUPUUBUWEWJUWGUWLYTUUAUWGUUNUUOYTUWJJZUUAUWJJZUWLYT
      UUAULZUPUURUUNUWEUVOVQZUURUUOUWEUVRVQZUWGUWOUUNUUJUWHSZUWRUWGUUJUVEUWHUWD
      UWGUVEUVFUWHUVEWKJUVEUVFSUUJUUGUUIUUFWLUUEUUFWLWMUVEWKWNXDUWEUVFUWHSUURUV
      FDWOWIWPZWPUWGUVLUWIUWOUUNUWTNRUURUVLUWEUVNVQZUWNYTUWHCDWQVLWRUWGUWPUUOUU
      GUWHSZUWSUWGUUJUUGUWHUXAWSUWGUVLUWIUWPUUOUXCNRUXBUWNUUAUWHCDWQVLWRUUPUWOU
      WPNZUWLUWQUUPUWLUXDUWQUWKUWOUWPAYTUUADDAFUWJWTAGUWJWTXEXAXFXBXCXGUVBUWMBU
      WHYQYMUWHULZYPUWLUXEYOUWKAUXEYNUWJYLYMUWHCUCXHXIXJXKXLVLXPXMXNXMUVAUUHQZH
      UUJMUVDUUTUXFHUUJUUTUUDQZIUUGMUXFUUSUXGIUUGUUCPXOXQUUDIUUGXRXSXQUUHHUUJXR
      XSYPBYQXTYAYBYCYDYGYEYSUVLYJUUMRYSYKUVLYKYRVAUVMVCFGIHCDYFTYHYI $.
  $}

  ${
    $d x y z F $.  $d f x y z J $.  $d f x y K $.  $d f x y z X $.
    $d x y z Y $.
    $( Fineness is properly characterized by the property that every limit
       point of a filter in the finer topology is a limit point in the coarser
       topology.  (Contributed by Jeff Hankins, 28-Sep-2009.)  (Revised by
       Mario Carneiro, 23-Aug-2015.) $)
    flimcf $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` X ) ) -> ( J C_ K <->
      A. f e. ( Fil ` X ) ( K fLim f ) C_ ( J fLim f ) ) ) $=
      ( vx vy cfv wcel wa cv cflim co wral simplll simprl simplr syl3anc simprr
      wss sseldd ctopon cfil flimss1 expr ssrdv ralrimiva csn cnei wceq sseq12d
      oveq2 c0 wne simpllr toponss syl2anc snssd snn0d neifil rspcdva flimneiss
      neiflim syl ctop topontop opnneip anassrs wb opnnei 3syl mpbird impbida
      ex ) BDUAGZHZCVNHZIZBCSZCAJZKLZBVSKLZSZADUBGZMZVQVRIZWBAWCWEVSWCHZIEVTWAW
      EWFEJZVTHZWGWAHWEWFWHIZIZVTWAWGWJVOWFVRWBVOVPVRWINWEWFWHOVQVRWIPVSBCDUCQW
      EWFWHRTUDUEUFVQWDIZEBCWKWGBHZWGCHZWKWLIZWMWGFJZUGZCUHGGZHZFWGMZWNWRFWGWKW
      LWOWGHZWRWKWLWTIZIZWPBUHGGZWQWGXBWOBWQKLZHXCWQSXBCWQKLZXDWOXBWBXEXDSAWCWQ
      VSWQUIVTXEWAXDVSWQCKUKVSWQBKUKUJVQWDXAPXBVPWPDSWPULUMWQWCHVOVPWDXAUNZXBWO
      DXBWGDWOXBVOWLWGDSVOVPWDXANZWKWLWTOZWGBDUOUPWKWLWTRZTZUQXBWOWGXIURWPCDUSQ
      UTXBVPWODHWOXEHXFXJWOCDVBUPTWOWQBVAVCXBBVDHZWLWTWGXCHXBVOXKXGDBVEVCXHXIWO
      BWGVFQTVGUFWNVPCVDHWMWSVHVOVPWDWLUNDCVEFWGCVIVJVKVMUEVL $.

    $( The set of limit points in a restricted topological space.  (Contributed
       by Mario Carneiro, 15-Oct-2015.) $)
    flimrest $p |- ( ( J e. ( TopOn ` X ) /\ F e. ( Fil ` X ) /\ Y e. F ) ->
        ( ( J |`t Y ) fLim ( F |`t Y ) ) = ( ( J fLim F ) i^i Y ) ) $=
      ( vx vy vz ctopon cfv wcel cfil crest co cv wa wi wral wb wss syl2anc w3a
      cflim cin simp1 filelss 3adant1 resttopon wn cfbas filfbas 3ad2ant2 simp3
      cdif fbncp simp2 trfil3 mpbird flimopn simpll2 simpll3 3expia sseld inss1
      elrestr trfilss simpl1 toponss sylan filss 3exp2 com24 syld impbid imbi2d
      a1i syl3c ralbidva simpl2 sselda baibd syl21anc cvv vex inex1 wceq simpl3
      wrex elrest eleq2 elin adantl sylan9bbr imbi12d ralxfr2d 3bitr4d pm5.32da
      rbaib eleq1 bitr4d ancom bitr4i bitrdi eqrdv ) BCHIZJZACKIZJZDAJZUAZEBDLM
      ZADLMZUBMZBAUBMZDUCZXIENZXLJZXODJZXOXMJZOZXOXNJZXIXPXQXOFNZJZYAXKJZPZFXJQ
      ZOZXSXIXJDHIJZXKDKIJZXPYFRXIXEDCSZYGXEXGXHUDXGXHYIXEDACUEUFZDBCUGTXIYHCDU
      MAJUHZXIACUIIJZXHYKXGXEYLXHACUJUKXEXGXHULDCACUNTXIXGYIYHYKRXEXGXHUOYJDACU
      PTUQFXOXKXJDURTXIXQXRYEXIXQOZXOGNZJZYNAJZPZGBQZYOYNDUCZXKJZPZGBQXRYEYMYQU
      UAGBYMYNBJZOZYPYTYOUUCYPYTUUCXGXHYPYTPXEXGXHXQUUBUSZXEXGXHXQUUBUTZXGXHYPY
      TYNDAXFAVDVATUUCYTYSAJZYPUUCXKAYSUUCXGXHXKASUUDUUEDACVETVBUUCXGYSYNSZYNCS
      ZUUFYPPUUDUUGUUCYNDVCVOYMXEUUBUUHXEXGXHXQVFZYNBCVGVHXGUUFUUHUUGYPXGUUFUUH
      UUGYPYSYNACVIVJVKVPVLVMVNVQYMXEXGXOCJZXRYRRUUIXEXGXHXQVRXIDCXOYJVSXEXGOXR
      UUJYRGXOABCURVTWAYMYDUUAFGYSXJBWBYSWBJUUCYNDGWCWDVOYMXEXHYAXJJYAYSWEZGBWG
      RUUIXEXGXHXQWFGYADBXDAWHTYMUUKOYBYOYCYTUUKYBXOYSJZYMYOYAYSXOWIXQUULYORXIU
      ULYOXQXOYNDWJWQWKWLUUKYCYTRYMYAYSXKWRWKWMWNWOWPWSXSXRXQOXTXQXRWTXOXMDWJXA
      XBXC $.
  $}

  ${
    $d x y A $.  $d x y J $.  $d x y S $.  $d x y X $.
    flimcls.2 $e |- F = ( X filGen ( fi `
      ( ( ( nei ` J ) ` { A } ) u. { S } ) ) ) $.
    $( Lemma for ~ flimcls .  (Contributed by Mario Carneiro, 9-Apr-2015.)
       (Revised by Stefan O'Rear, 6-Aug-2015.) $)
    flimclslem $p |- ( ( J e. ( TopOn ` X ) /\ S C_ X /\
      A e. ( ( cls ` J ) ` S ) ) ->
        ( F e. ( Fil ` X ) /\ S e. F /\ A e. ( J fLim F ) ) ) $=
      ( vx vy cfv wcel wss w3a c0 wne 3ad2ant1 syl wb cvv wa syl2anc ctopon ccl
      cfil cflim csn cnei cun cfi cfg cfbas cpw cuni ctop topontop eqid neisspw
      co wn toponuni pweqd sseqtrrd toponmax elpw2g biimpar 3adant3 snssd unssd
      wceq ssun2 simp2 ssexd snn0d ssn0 sylancr cv cin wral wi sseqtrd neindisj
      simp3 expr syl21anc imp elsni ineq2d neeq1d syl5ibrcom ralrimiv ralrimiva
      simp1 clsss3 sseldd eleqtrrd snnzg 3ad2ant3 syl3anc filfbas ne0i neeqtrrd
      neifil cls0 necon3i snfbas fbunfip mpbird fsubbas mpbir3and fgcl eqeltrid
      fveq2 fvex snex unex ssfii ax-mp sseqtrrdi sstrid mpbiri unssad mpbir2and
      ssfg snssg elflim 3jca ) DEUAIJZBEKZABDUBIZIZJZLZCEUCIZJZBCJADCUDUQJZYKCE
      AUEZDUFIZIZBUEZUGZUHIZUIUQZYLFYKYTEUJIZJZUUAYLJYKUUCYSEUKZKZYSMNZMYTJURZY
      KYQYRUUDYKYQDULZUKZUUDYKDUMJZYQUUIKYFYGUUJYJEDUNOZYODUUHUUHUOZUPPYKEUUHYF
      YGEUUHVHYJEDUSOZUTVAYKBUUDYFYGBUUDJZYJYFUUNYGYFEDJZUUNYGQEDVBZBEDVCPVDVEV
      FVGYKYRYSKZYRMNUUFYRYQVIZYKBRYKBEDYFYGUUOYJUUPOZYFYGYJVJZVKZVLYRYSVMVNYKU
      UGGVOZHVOZVPZMNZHYRVQZGYQVQZYKUVFGYQYKUVBYQJZSZUVEHYRUVIUVEUVCYRJZUVBBVPZ
      MNZYKUVHUVLYKUUJBUUHKZYJUVHUVLVRUUKYKBEUUHUUTUUMVSZYFYGYJWAZUUJUVMSYJUVHU
      VLABDUVBUUHUULVTWBWCWDUVJUVDUVKMUVJUVCBUVBUVCBWEWFWGWHWIWJYKYQUUBJZYRUUBJ
      ZUUGUVGQYKYQYLJZUVPYKYFYOEKYOMNZUVRYFYGYJWKZYKAEYKAUUHEYKYIUUHAYKUUJUVMYI
      UUHKUUKUVNBDUUHUULWLTUVOWMUUMWNZVFYJYFUVSYGAYIWOWPYODEXAWQYQEWRPYKYGBMNZU
      UOUVQUUTYKYIMYHIZNUWBYKYIMUWCYJYFYIMNYGYIAWSWPYKUUJUWCMVHUUKDXBPWTBMYIUWC
      BMYHXKXCPUUSBEDXDWQGHYQYREEXETXFYKUUOUUCUUEUUFUUGLQUUSYSDEXGPXHZYTEXIPXJZ
      YKYSCBYKYSYTCYSRJYSYTKYQYRYOYPXLBXMXNYSRXOXPYKYTUUACYKUUCYTUUAKUWDYTEYBPF
      XQXRZYKBYSJZUUQUURYKBRJUWGUUQQUVABYSRYCPXSWMYKYNAEJZYQCKZUWAYKYQYRCUWFXTY
      KYFYMYNUWHUWISQUVTUWEACDEYDTYAYE $.
  $}

  ${
    $d f A $.  $d f J $.  $d f S $.  $d f X $.
    $( Closure in terms of filter convergence.  (Contributed by Jeff Hankins,
       28-Nov-2009.)  (Revised by Stefan O'Rear, 6-Aug-2015.) $)
    flimcls $p |- ( ( J e. ( TopOn ` X ) /\ S C_ X ) ->
      ( A e. ( ( cls ` J ) ` S ) <->
        E. f e. ( Fil ` X ) ( S e. f /\ A e. ( J fLim f ) ) ) ) $=
      ( ctopon cfv wcel wss wa ccl cv cflim co cfil wrex w3a csn cnei cun sylib
      cfi cfg eqid flimclslem 3anass wceq eleq2 oveq2 eleq2d anbi12d rspcev syl
      3expia flimclsi sselda rexlimivw impbid1 ) DEFGHZBEIZJABDKGGZHZBCLZHZADVC
      MNZHZJZCEOGZPZUSUTVBVIUSUTVBQZEARDSGGBRTUBGUCNZVHHZBVKHZADVKMNZHZJZJZVIVJ
      VLVMVOQVQABVKDEVKUDUEVLVMVOUFUAVGVPCVKVHVCVKUGZVDVMVFVOVCVKBUHVRVEVNAVCVK
      DMUIUJUKULUMUNVGVBCVHVDVEVAABVCDUOUPUQUR $.
  $}

  ${
    $d x y A $.  $d x y F $.  $d x y J $.
    $( If ` A ` is a limit point of the filter ` F ` , then all the points
       which specialize ` A ` (in the specialization preorder) are also limit
       points.  Thus, the set of limit points is a union of closed sets
       (although this is only nontrivial for non-T1 spaces).  (Contributed by
       Mario Carneiro, 20-Sep-2015.) $)
    flimsncls $p |- ( A e. ( J fLim F ) ->
      ( ( cls ` J ) ` { A } ) C_ ( J fLim F ) ) $=
      ( vx vy cflim co wcel csn ccl cfv cv wa cuni wi wral wss syl2anc adantr
      c0 ctop flimtop eqid flimelbas snssd clsss3 sselda cnei simpll syl simprl
      w3a simpr cin wne clsndisj disjsn necon2abii sylibr sylan opnneip syl3anc
      3jca flimnei expr ralrimiva ctopon cfil toptopon2 sylib flimfil mpbir2and
      wb flimopn ex ssrdv ) ACBFGZHZDAIZCJKKZVQVRDLZVTHZWAVQHZVRWBMZWCWACNZHZWA
      ELZHZWGBHZOZECPZVRVTWEWAVRCUAHZVSWEQZVTWEQABCUBZVRAWEABCWEWEUCZUDUEZVSCWE
      WOUFRUGWDWJECWDWGCHZWHWIWDWQWHMZMZVRWGVSCUHKKHZWIVRWBWRUIZWSWLWQAWGHZWTWS
      VRWLXAWNUJWDWQWHUKWDWLWMWBULZWRXBWDWLWMWBVRWLWBWNSZVRWMWBWPSVRWBUMVCXCWRM
      WGVSUNZTUOXBWAVSWGCWEWOUPXBXETWGAUQURUSUTACWGVAVBABCWGVDRVEVFWDCWEVGKHZBW
      EVHKHZWCWFWKMVMWDWLXFXDCVIVJVRXGWBABCWEWOVKSEWABCWEVNRVLVOVP $.
  $}

  ${
    $d a j k l x y A $.  $d a j k l x y J $.  $d j k l x y z A $.
    $d j k l x y z X $.  $d z J $.
    hauspwpwf1.x $e |- X = U. J $.
    ${
      hauspwpwf1.f $e |- F = ( x e. ( ( cls ` J ) ` A ) |->
            { a | E. j e. J ( x e. j /\ a = ( j i^i A ) ) } ) $.
      $( Lemma for ~ hauspwpwdom .  Points in the closure of a set in a
         Hausdorff space are characterized by the open neighborhoods they
         extend into the generating set.  (Contributed by Mario Carneiro,
         28-Jul-2015.) $)
      hauspwpwf1 $p |- ( ( J e. Haus /\ A C_ X ) ->
          F : ( ( cls ` J ) ` A ) -1-1-> ~P ~P A ) $=
        ( vy vk vl vz wcel wa wel cv cin wceq wrex cha wss ccl cfv cpw cab cmpt
        wf1 inss2 vex inex1 elpw mpbir eleq1 mpbiri adantl rexlimivw abssi ctop
        cvv wb haustop topopn syl ssexg sylan2 ancoms pwexg elpw2g 3syl a1d weq
        wne c0 w3a simplll clsss3 sylan ad2antrr simplrl sseldd simplrr hausnei
        simpr syl13anc simprll simprr1 eqidd elequ2 ineq1 eqeq2d anbi12d rspcev
        wn syl12anc eqeq1 anbi2d rexbidv elab sylibr wi ad3antrrr simplr simprr
        ad2antlr simprl inopn syl3anc simpr2 elind clsndisj syl32anc sylib elin
        wex n0 anbi1i bitri biimpri adantll ad2antll simpll simpr3 elinel1 nsyl
        minel syl2anc nelneq2 sylnib expr syl5bi exlimdv mpd anassrs nan nrexdv
        eqcom sylnibr nelne1 ex rexlimdvva necon4d anbi1d impbid1 dom2lem f1eq1
        abbidv ax-mp ) EUANZBFUBZOZBEUCUDUDZBUEZUEZAUULACPZGQZCQZBRZSZOZCETZGUF
        ZUGZUHZUULUUNDUHZUUKAJUULUUNUVBJCPZUUSOZCETZGUFZUUKUVBUUNNZAQZUULNZUUKU
        VJUVBUUMUBZUVAGUUMUUTUUPUUMNZCEUUSUVNUUOUUSUVNUURUUMNZUVOUURBUBUUQBUIUU
        RBUUQBCUJUKULUMUUPUURUUMUNUOUPUQURUUKBUTNZUUMUTNUVJUVMVAUUJUUIUVPUUIUUJ
        FENZUVPUUIEUSNZUVQEVBZEFHVCVDBFEVEVFVGBUTVHUVBUUMUTVIVJUOVKUUKUVLJQZUUL
        NZOZUVBUVISZAJVLZVAUUKUWBOZUWCUWDUWEUVKUVTUVBUVIUWEUVKUVTVMZUVBUVIVMZUW
        EUWFOZAKPZJLPZKQZLQZRVNSZVOZLETKETZUWGUWHUUIUVKFNUVTFNUWFUWOUUIUUJUWBUW
        FVPUWHUULFUVKUUKUULFUBZUWBUWFUUIUVRUUJUWPUVSBEFHVQVRVSZUUKUVLUWAUWFVTWA
        UWHUULFUVTUWQUUKUVLUWAUWFWBWAUWEUWFWDUVKUVTLKEFHWCWEUWHUWNUWGKLEEUWHUWK
        ENZUWLENZOZUWNUWGUWHUWTUWNOZOZUWKBRZUVBNZUXCUVINZWNUWGUXBUUOUXCUURSZOZC
        ETZUXDUXBUWRUWIUXCUXCSZUXHUWHUWRUWSUWNWFUWIUWJUWMUWTUWHWGUXBUXCWHUXGUWI
        UXIOCUWKECKVLZUUOUWIUXFUXICKAWIUXJUURUXCUXCUUQUWKBWJWKWLWMWOUVAUXHGUXCU
        WKBKUJUKZUUPUXCSZUUTUXGCEUXLUUSUXFUUOUUPUXCUURWPZWQWRWSWTUXBUVFUXFOZCET
        ZUXEUXBUXNCEUXBUUQENZOZUXNWNXAUXQUVFOUXFWNZXAUXBUXPUVFUXRUXBUXPUVFOZOZM
        QZUWLUUQRZBRZNZMXOZUXRUXTUYCVNVMZUYEUXTUVRUUJUWAUYBENZUVTUYBNUYFUWEUVRU
        WFUXAUXSUUIUVRUUJUWBUVSVSXBZUWEUUJUWFUXAUXSUUIUUJUWBXCXBUWEUWAUWFUXAUXS
        UUKUVLUWAXDXBUXTUVRUWSUXPUYGUYHUXAUWSUWHUXSUWRUWSUWNXCXEUXBUXPUVFXFUWLU
        UQEXGXHUXTUWLUUQUVTUXAUWJUWHUXSUWTUWIUWJUWMXIXEUXBUXPUVFXDXJUVTBUYBEFHX
        KXLMUYCXPXMUXTUYDUXRMUYDMLPZMCPZOZUYABNZOZUXTUXRUYDUYAUYBNZUYLOUYMUYAUY
        BBXNUYNUYKUYLUYAUWLUUQXNXQXRUXBUXSUYMUXRUXBUXSUYMOZOZUURUXCSZUXFUYPUYAU
        URNZUYAUXCNZWNZUYQWNUYMUYRUXBUXSUYJUYLUYRUYIUYRUYJUYLOUYAUUQBXNXSXTYAUY
        PUYIUWMUYTUYMUYIUXBUXSUYIUYJUYLYBYAUXAUWMUWHUYOUWTUWIUWJUWMYCXEUYIUWMOM
        KPUYSUYAUWLUWKYFUYAUWKBYDYEYGUYAUURUXCYHYGUURUXCYQYIYJYKYLYMYNUXQUVFUXF
        YOUMYPUVHUXOGUXCUXKUXLUVGUXNCEUXLUUSUXFUVFUXMWQWRWSYRUXCUVBUVIYSYGYJUUA
        YMYTUUBUWDUVAUVHGUWDUUTUVGCEUWDUUOUVFUUSUVKUVTUUQUNUUCWRUUGUUDYTUUEDUVC
        SUVEUVDVAIUULUUNDUVCUUFUUHWT $.
    $}

    $( If ` X ` is a Hausdorff space, then the cardinality of the closure of a
       set ` A ` is bounded by the double powerset of ` A ` .  In particular, a
       Hausdorff space with a dense subset ` A ` has cardinality at most
       ` ~P ~P A ` , and a separable Hausdorff space has cardinality at most
       ` ~P ~P NN ` .  (Contributed by Mario Carneiro, 9-Apr-2015.)  (Revised
       by Mario Carneiro, 28-Jul-2015.) $)
    hauspwpwdom $p |- ( ( J e. Haus /\ A C_ X ) ->
        ( ( cls ` J ) ` A ) ~<_ ~P ~P A ) $=
      ( vx vy vz cha wcel wss wa ccl cfv cvv cpw cv cin wceq wrex pwexg cab wf1
      cmpt cdom wbr fvexd ctop haustop topopn syl adantr simpr ssexd hauspwpwf1
      3syl eqid f1dom2g syl3anc ) BHIZACJZKZABLMZMZNIAOZOZNIZVCVEEVCEPFPZIGPVGA
      QRKFBSGUAUCZUBVCVEUDUEVAAVBUFVAANIVDNIVFVAACBUSCBIZUTUSBUGIVIBUHBCDUIUJUK
      USUTULUMANTVDNTUOEAFVHBCGDVHUPUNVCVEVHNNUQUR $.
  $}

  ${
    $d f x y J $.  $d f F $.  $d f x y X $.  $d f x y Y $.  $d f x y L $.
    $( Given a topology and a filtered set, return the convergence function on
       the functions from the filtered set to the base set of the topological
       space.  (Contributed by Jeff Hankins, 14-Oct-2009.)  (Revised by Mario
       Carneiro, 15-Dec-2013.)  (Revised by Stefan O'Rear, 6-Aug-2015.) $)
    flffval $p |- ( ( J e. ( TopOn ` X ) /\ L e. ( Fil ` Y ) ) -> ( J fLimf L )
        = ( f e. ( X ^m Y ) |-> ( J fLim ( ( X FilMap f ) ` L ) ) ) ) $=
      ( vx vy cfv wcel cfil wa cflf co cuni cmap cv cfm cflim cmpt wceq fveq12d
      ctopon ctop crn fvssunirn sseli unieq oveqan12d simpl adantr oveq1d simpr
      topontop oveq12d mpteq12dv df-flf ovmpoa syl2an toponuni eqcomd filunibas
      ovex mptex fveq1d oveq2d eqtrd ) BDUBHIZCEJHZIZKZBCLMZABNZCNZOMZBCVLAPZQM
      ZHZRMZSZADEOMZBCDVOQMZHZRMZSVGBUCICJUDNZIVKVSTVIDBUMVHWDCJEUEUFFGBCUCWDAF
      PZNZGPZNZOMZWEWGWFVOQMZHZRMZSVSLWEBTZWGCTZKZAWIWLVNVRWMWNWFVLWHVMOWEBUGZW
      GCUGUHWOWEBWKVQRWMWNUIWOWGCWJVPWOWFVLVOQWMWFVLTWNWPUJUKWMWNULUAUNUOFGAUPA
      VNVRVLVMOVBVCUQURVJAVNVRVTWCVGVIVLDVMEOVGDVLDBUSUTZCEVAUHVJVQWBBRVJCVPWAV
      JVLDVOQVGVLDTVIWQUJUKVDVEUOVF $.

    $( Given a function from a filtered set to a topological space, define the
       set of limit points of the function.  (Contributed by Jeff Hankins,
       8-Nov-2009.)  (Revised by Stefan O'Rear, 6-Aug-2015.) $)
    flfval $p |- ( ( J e. ( TopOn ` X ) /\ L e. ( Fil ` Y ) /\ F : Y --> X ) ->
        ( ( J fLimf L ) ` F ) = ( J fLim ( ( X FilMap F ) ` L ) ) ) $=
      ( vf ctopon cfv wcel cfil wf cflf co cfm cflim wceq wa cmap wb fveq1d cv
      toponmax filtop elmapg syl2an biimpar cmpt flffval oveq2 oveq2d eqid ovex
      fvmpt sylan9eq syldan 3impa ) BDGHIZCEJHIZEDAKZABCLMZHZBCDANMZHZOMZPZUQUR
      QZUSADERMZIZVEVFVHUSUQDBIECIVHUSSURDBUBCEUCDEABCUDUEUFVFVHVAAFVGBCDFUAZNM
      ZHZOMZUGZHVDVFAUTVMFBCDEUHTFAVLVDVGVMVIAPZVKVCBOVNCVJVBVIADNUITUJVMUKBVCO
      ULUMUNUOUP $.
  $}

  ${
    $d n s F $.  $d n A $.  $d n s J $.  $d n s L $.  $d n s X $.  $d n s Y $.
    $( The property of being a limit point of a function in terms of
       neighborhoods.  (Contributed by Jeff Hankins, 9-Nov-2009.)  (Revised by
       Stefan O'Rear, 6-Aug-2015.) $)
    flfnei $p |- ( ( J e. ( TopOn ` X ) /\ L e. ( Fil ` Y ) /\ F : Y --> X ) ->
        ( A e. ( ( J fLimf L ) ` F ) <-> ( A e. X /\
            A. n e. ( ( nei ` J ) ` { A } ) E. s e. L ( F " s ) C_ n ) ) ) $=
      ( ctopon cfv wcel cfil co wss wa cv wral wb 3ad2ant1 syl3anc w3a cflf cfm
      wf cflim csn cnei cima wrex flfval eleq2d simp1 toponmax filfbas 3ad2ant2
      cfbas simp3 fmfil elflim syl2anc dfss3 cuni ctop topontop eqid neii1 wceq
      sylan toponuni adantr sseqtrrd baibd syldan ralbidva syl5bb anbi2d 3bitrd
      elfm ) DFIJKZEGLJKZGFCUDZUAZACDEUBMJZKADEFCUCMJZUEMZKZAFKZAUFZDUGJJZWDNZO
      ZWGCHPUHBPZNHEUIZBWIQZOWBWCWEACDEFGUJUKWBVSWDFLJKZWFWKRVSVTWAULWBFDKZEGUP
      JKZWAWOVSVTWPWAFDUMSZVTVSWQWAEGUNUOZVSVTWAUQZDECFGURTAWDDFUSUTWBWJWNWGWJW
      LWDKZBWIQWBWNBWIWDVAWBXAWMBWIWBWLWIKZWLFNZXAWMRWBXBOWLDVBZFWBDVCKZXBWLXDN
      VSVTXEWAFDVDSWHDWLXDXDVEVFVHWBFXDVGZXBVSVTXFWAFDVISVJVKWBXAXCWMWBWPWQWAXA
      XCWMORWRWSWTHWLEDCFGVRTVLVMVNVOVPVQ $.
  $}

  ${
    $d n s F $.  $d n A $.  $d n s J $.  $d n s L $.  $d n s N $.  $d n s X $.
    $d n s Y $.
    flfneii.x $e |- X = U. J $.
    $( A neighborhood of a limit point of a function contains the image of a
       filter element.  (Contributed by Jeff Hankins, 11-Nov-2009.)  (Revised
       by Stefan O'Rear, 6-Aug-2015.) $)
    flfneii $p |- ( ( ( J e. Top /\ L e. ( Fil ` Y ) /\ F : Y --> X ) /\
          A e. ( ( J fLimf L ) ` F ) /\ N e. ( ( nei ` J ) ` { A } ) ) ->
        E. s e. L ( F " s ) C_ N ) $=
      ( vn ctop wcel cfil cfv wf w3a cflf cv wss wrex csn cnei cima wral ctopon
      co wa wb toptopon flfnei syl3an1b simplbda 3adant3 wi sseq2 rexbidv rspcv
      wceq 3ad2ant3 mpd ) CKLZDGMNLZGFBOZPZABCDQUFNLZEAUACUBNNZLZPBHRUCZJRZSZHD
      TZJVFUDZVHESZHDTZVDVEVLVGVDVEAFLZVLVACFUENLVBVCVEVOVLUGUHCFIUIAJBCDFGHUJU
      KULUMVGVDVLVNUNVEVKVNJEVFVIEURVJVMHDVIEVHUOUPUQUSUT $.
  $}

  ${
    $d o A $.  $d o s F $.  $d o s J $.  $d o s L $.  $d o s X $.  $d o s Y $.
    $( The property of being a limit point of a function.  (Contributed by Jeff
       Hankins, 8-Nov-2009.)  (Revised by Stefan O'Rear, 7-Aug-2015.) $)
    isflf $p |- ( ( J e. ( TopOn ` X ) /\ L e. ( Fil ` Y ) /\ F : Y --> X ) ->
        ( A e. ( ( J fLimf L ) ` F ) <-> ( A e. X /\
            A. o e. J ( A e. o -> E. s e. L ( F " s ) C_ o ) ) ) ) $=
      ( ctopon cfv wcel cfil co cv wi wral wa wss wb syl3anc w3a cflf cfm cflim
      wf cima wrex flfval eleq2d simp1 cfbas toponmax 3ad2ant1 filfbas 3ad2ant2
      simp3 fmfil flimopn syl2anc toponss sylan adantr mpbirand imbi2d ralbidva
      elfm anbi2d 3bitrd ) DFIJKZEGLJKZGFCUEZUAZACDEUBMJZKADEFCUCMJZUDMZKZAFKZA
      BNZKZVRVNKZOZBDPZQZVQVSCHNUFVRRHEUGZOZBDPZQVLVMVOACDEFGUHUIVLVIVNFLJKZVPW
      CSVIVJVKUJZVLFDKZEGUKJKZVKWGVIVJWIVKFDULUMZVJVIWJVKEGUNUOZVIVJVKUPZDECFGU
      QTBAVNDFURUSVLWBWFVQVLWAWEBDVLVRDKZQZVTWDVSWOVTVRFRZWDVLVIWNWPWHVRDFUTVAV
      LVTWPWDQSZWNVLWIWJVKWQWKWLWMHVREDCFGVFTVBVCVDVEVGVH $.

    $( A limit point of a function is in the topological space.  (Contributed
       by Jeff Hankins, 10-Nov-2009.)  (Revised by Stefan O'Rear,
       7-Aug-2015.) $)
    flfelbas $p |- ( ( ( J e. ( TopOn ` X ) /\ L e. ( Fil ` Y ) /\
       F : Y --> X ) /\ A e. ( ( J fLimf L ) ` F ) ) -> A e. X ) $=
      ( vo vs ctopon cfv wcel cfil wf w3a cflf co cv cima wss wrex wi simprbda
      wral isflf ) CEIJKDFLJKFEBMNABCDOPJKAEKAGQZKBHQRUESHDTUAGCUCAGBCDEFHUDUB
      $.
  $}

  ${
    $d o s t A $.  $d o s t B $.  $d o s t F $.  $d o s t J $.  $d o s t L $.
    $d o s t X $.  $d o s t Y $.
    flffbas.l $e |- L = ( Y filGen B ) $.
    $( Limit points of a function can be defined using filter bases.
       (Contributed by Jeff Hankins, 9-Nov-2009.)  (Revised by Mario Carneiro,
       26-Aug-2015.) $)
    flffbas $p |- ( ( J e. ( TopOn ` X ) /\ B e. ( fBas ` Y ) /\ F : Y --> X )
      -> ( A e. ( ( J fLimf L ) ` F ) <-> ( A e. X /\
            A. o e. J ( A e. o -> E. s e. B ( F " s ) C_ o ) ) ) ) $=
      ( vt cfv wcel co cv cima wss wrex wi wa ctopon cfbas wf cflf wral cfil wb
      w3a cfg fgcl eqeltrid isflf syl3an2 eleq2i elfg sstr2 imass2 syl11 adantl
      3ad2ant2 reximdv ex com23 adantld sylbid adantr syl5bi rexlimdv sseqtrrdi
      ssfg sselda 3ad2antl2 ad2ant2r simprr weq imaeq2 sseq1d rspcev rexlimdvaa
      syl2anc impbid imbi2d ralbidv pm5.32da bitrd ) EGUALMZBHUBLMZHGDUCZUHZADE
      FUDNLMZAGMZACOZMZDKOZPZWLQZKFRZSZCEUEZTZWKWMDIOZPZWLQZIBRZSZCEUEZTWGWFFHU
      FLZMWHWJWTUGWGFHBUINZXGJBHUJUKACDEFGHKULUMWIWKWSXFWIWKTZWRXECEXIWQXDWMXIW
      QXDXIWPXDKFWNFMWNXHMZXIWPXDSZFXHWNJUNWIXJXKSWKWIXJWNHQZXAWNQZIBRZTZXKWGWF
      XJXOUGWHIWNBHUOUTWIXNXKXLWIWPXNXDWIWPXNXDSWIWPTXMXCIBWPXMXCSWIXBWOQWPXCXM
      XBWOWLUPXAWNDUQURUSVAVBVCVDVEVFVGVHXIXCWQIBXIXABMZXCTTXAFMZXCWQWIXPXQWKXC
      WGWFXPXQWHWGBFXAWGBXHFBHVJJVIVKVLVMXIXPXCVNWPXCKXAFKIVOWOXBWLWNXADVPVQVRV
      TVSWAWBWCWDWE $.
  $}

  ${
    $d o s u A $.  $d o u B $.  $d o s u F $.  $d s u J $.  $d o s u L $.
    $d s u X $.  $d s u Y $.
    flftg.l $e |- J = ( topGen ` B ) $.
    $( Limit points of a function can be defined using topological bases.
       (Contributed by Mario Carneiro, 19-Sep-2015.) $)
    flftg $p |- ( ( J e. ( TopOn ` X ) /\ L e. ( Fil ` Y ) /\ F : Y --> X )
      -> ( A e. ( ( J fLimf L ) ` F ) <-> ( A e. X /\
            A. o e. B ( A e. o -> E. s e. L ( F " s ) C_ o ) ) ) ) $=
      ( vu cfv wcel cv wss wrex wi wral wa ctop ctopon cfil wf w3a cflf co cima
      isflf ctg raleqi ctb simpl1 topontop syl eqeltrrid tgclb sylibr bastg weq
      eleq2w sseq2 rexbidv imbi12d cbvralvw ssralv syl5bi 3syl tg2 r19.29 simpl
      simpr sstr2 syl5com reximdv embantd impcom rexlimivw ex expdimp ralrimiva
      syl5 impbid1 syl5bb pm5.32da bitrd ) EGUALMZFHUBLMZHGDUCZUDZADEFUEUFLMAGM
      ZAKNZMZDINUGZWKOZIFPZQZKERZSWJACNZMZWMWROZIFPZQZCBRZSAKDEFGHIUHWIWJWQXCWQ
      WPKBUILZRZWIWJSZXCWPKEXDJUJXFXEXCXFBUKMZBXDOZXEXCQXFXDTMXGXFXDETJXFWFETMW
      FWGWHWJULGEUMUNUOBUPUQBUKURXEXBCXDRXHXCWPXBKCXDKCUSZWLWSWOXAKCAUTXIWNWTIF
      WKWRWMVAVBVCVDXBCBXDVEVFVGXCWPKXDXCWKXDMZWLWOXJWLSWSWRWKOZSZCBPZXCWOCWKBA
      VHXCXMWOXCXMSXBXLSZCBPWOXBXLCBVIXNWOCBXLXBWOXLWSXAWOWSXKVJXLWTWNIFXLXKWTW
      NWSXKVKWMWRWKVLVMVNVOVPVQUNVRWAVSVTWBWCWDWE $.
  $}

  ${
    $d x F $.  $d x J $.  $d x L $.  $d x X $.  $d x Y $.
    hausflf.x $e |- X = U. J $.
    $( If a function has its values in a Hausdorff space, then it has at most
       one limit value.  (Contributed by FL, 14-Nov-2010.)  (Revised by Stefan
       O'Rear, 6-Aug-2015.) $)
    hausflf $p |- ( ( J e. Haus /\ L e. ( Fil ` Y ) /\ F : Y --> X ) ->
        E* x x e. ( ( J fLimf L ) ` F ) ) $=
      ( cha wcel cfil cfv wf w3a cv cflf co wmo cfm cflim hausflimi ctopon wceq
      3ad2ant1 ctop haustop toptopon sylib flfval syl3an1 eleq2d mobidv mpbird
      ) CHIZDFJKIZFEBLZMZANZBCDOPKZIZAQUQCDEBRPKZSPZIZAQZUMUNVCUOAUTCTUCUPUSVBA
      UPURVAUQUMCEUAKIZUNUOURVAUBUMCUDIVDCUECEGUFUGBCDEFUHUIUJUKUL $.

    $( If a convergent function has its values in a Hausdorff space, then it
       has a unique limit.  (Contributed by FL, 14-Nov-2010.)  (Revised by
       Stefan O'Rear, 6-Aug-2015.) $)
    hausflf2 $p |- ( ( ( J e. Haus /\ L e. ( Fil ` Y ) /\ F : Y --> X ) /\
        ( ( J fLimf L ) ` F ) =/= (/) ) -> ( ( J fLimf L ) ` F ) ~~ 1o ) $=
      ( vx cflf co cfv c0 wne cv wcel wex wmo c1o cen wbr cha cfil wf n0 biimpi
      w3a hausflf weu wa euen1b df-eu sylbbr syl2anr ) ABCHIJZKLZGMUMNZGOZUOGPZ
      UMQRSZBTNCEUAJNEDAUBUEUNUPGUMUCUDGABCDEFUFURUOGUGUPUQUHGUMUIUOGUJUKUL $.
  $}

  ${
    $d f u v x y z A $.  $d u x y z L $.  $d f u v x z X $.  $d f u v x z Y $.
    $d f u v x y z F $.  $d f u v x y z J $.  $d f u v x y z K $.
    $( Forward direction of ~ cnpflf .  (Contributed by Mario Carneiro,
       9-Apr-2015.)  (Revised by Stefan O'Rear, 9-Aug-2015.) $)
    cnpflfi $p |- ( ( A e. ( J fLim L ) /\ F e. ( ( J CnP K ) ` A ) ) ->
      ( F ` A ) e. ( ( K fLimf L ) ` F ) ) $=
      ( vx vy co wcel cfv wa cuni cv wrex wi wral eqid adantl adantr syl3anc wf
      cflim ccnp cflf cima wss flimelbas ffvelrnd simplr simprl simprr cnpimaex
      cnpf anass simpl ctopon cfil ctop flimtop toptopon2 sylib flimfil flimopn
      wb syl2anc mpbid simprd r19.21bi expimpd anim1d syl5bir reximdv2 mpd expr
      ralrimiva cnptop2 isflf mpbir2and ) ACEUBHIZBACDUCHJIZKZABJZBDEUDHJIZWBDL
      ZIZWBFMZIZBGMZUEWFUFZGENZOZFDPZWACLZWDABVTWMWDBUAZVSABCDWMWDWMQZWDQUMRZVS
      AWMIZVTAECWMWOUGSUHWAWKFDWAWFDIZWGWJWAWRWGKZKZAWHIZWIKZGCNZWJWTVTWRWGXCVS
      VTWSUIWAWRWGUJWAWRWGUKGWFABCDULTWTXBWIGCEWHCIZXBKXDXAKZWIKWTWHEIZWIKXDXAW
      IUNWTXEXFWIWTXDXAXFWTXAXFOZGCWAXGGCPZWSWAWQXHWAVSWQXHKZVSVTUOWACWMUPJIZEW
      MUQJIZVSXIVDWACURIZXJVSXLVTAECUSSCUTVAVSXKVTAECWMWOVBSZGAECWMVCVEVFVGSVHV
      IVJVKVLVMVNVOWADWDUPJIZXKWNWCWEWLKVDWADURIZXNVTXOVSABCDVPRDUTVAXMWPWBFBDE
      WDWMGVQTVR $.

    ${
      cnpflf2.3 $e |- L = ( ( nei ` J ) ` { A } ) $.
      $( ` F ` is continuous at point ` A ` iff a limit of ` F ` when ` x `
         tends to ` A ` is ` ( F `` A ) ` .  Proposition 9 of [BourbakiTop1]
         p.  TG I.50.  (Contributed by FL, 29-May-2011.)  (Revised by Mario
         Carneiro, 9-Apr-2015.) $)
      cnpflf2 $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) /\ A e. X ) ->
        ( F e. ( ( J CnP K ) ` A ) <-> ( F : X --> Y /\
          ( F ` A ) e. ( ( K fLimf L ) ` F ) ) ) ) $=
        ( vu vz vv cfv wcel co wa cflim syl2anc cv wss wrex ctopon ccnp wf cflf
        w3a cnpf2 3expa 3adantl3 simpl1 simpl3 csn cnei neiflim eleqtrrdi simpr
        oveq2i cnpflfi jca cima wi wral cuni ctop wb topontop syl wceq toponuni
        eleq2i eqid isneip syl5bb sstr2 imass2 syl11 anim2d com12 adantl syl6bi
        eleqtrd reximdv rexlimdv imim2d ralimdv jctild adantld simpl2 wne snssd
        cfil c0 snn0d neifil syl3anc eqeltrid isflf adantr 3imtr4d impr impbida
        iscnp ) CFUALMZDGUALMZAFMZUEZBACDUBNLMZFGBUCZABLZBDEUDNLMZOXEXFOZXGXIXB
        XCXFXGXDXBXCXFXGABCDFGUFUGUHXJACEPNZMZXFXIXJXBXDXLXBXCXDXFUIXBXCXDXFUJX
        BXDOACAUKZCULLLZPNXKACFUMEXNCPHUPUNQXEXFUOABCDEUQQURXEXGXIXFXEXGOZXHGMZ
        XHIRZMZBJRZUSZXQSZJETZUTZIDVAZOZXGXRAKRZMZBYFUSZXQSZOZKCTZUTZIDVAZOZXIX
        FXOYDYNXPXOYDYMXGXOYCYLIDXOYBYKXRXOYAYKJEXOXSEMZXSCVBZSZYGYFXSSZOZKCTZO
        ZYAYKUTZXOCVCMZAYPMZYOUUAVDXOXBUUCXBXCXDXGUIZFCVEVFXOAFYPXBXCXDXGUJZXOX
        BFYPVGUUEFCVHVFVTYOXSXNMUUCUUDOUUAEXNXSHVIAKCXSYPYPVJVKVLQYTUUBYQYAYTYK
        YAYSYJKCYAYRYIYGYHXTSYAYIYRYHXTXQVMYFXSBVNVOVPWAVQVRVSWBWCWDXEXGUOZWEWF
        XOXCEFWJLZMXGXIYEVDXBXCXDXGWGXOEXNUUHHXOXBXMFSXMWKWHXNUUHMUUEXOAFUUFWIX
        OAFUUFWLXMCFWMWNWOUUGXHIBDEGFJWPWNXEXFYNVDXGKIABCDFGXAWQWRWSWT $.
    $}

    $( Continuity of a function at a point in terms of filter limits.
       (Contributed by Jeff Hankins, 7-Sep-2009.)  (Revised by Stefan O'Rear,
       7-Aug-2015.) $)
    cnpflf $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) /\ A e. X ) ->
        ( F e. ( ( J CnP K ) ` A ) <-> ( F : X --> Y /\
            A. f e. ( Fil ` X ) ( A e. ( J fLim f ) ->
                ( F ` A ) e. ( ( K fLimf f ) ` F ) ) ) ) ) $=
      ( ctopon cfv wcel w3a ccnp co wf cflim cflf wi wa oveq2 eleq2d cfil cnpf2
      cv wral 3expa 3adantl3 cnpflfi expcom ralrimivw adantl jca ex cnei simpl1
      csn simpl3 neiflim syl2anc wss wne snssd snn0d neifil syl3anc wceq fveq1d
      c0 imbi12d rspcv syl mpid imdistanda eqid cnpflf2 sylibrd impbid ) DFHIJZ
      EGHIJZAFJZKZCADELMIJZFGCNZADBUCZOMZJZACIZCEWCPMZIZJZQZBFUAIZUDZRZVTWAWMVT
      WARWBWLVQVRWAWBVSVQVRWAWBACDEFGUBUEUFWAWLVTWAWJBWKWEWAWIACDEWCUGUHUIUJUKU
      LVTWMWBWFCEAUOZDUMIIZPMZIZJZRWAVTWBWLWRVTWBRZWLADWOOMZJZWRWSVQVSXAVQVRVSW
      BUNZVQVRVSWBUPZADFUQURWSWOWKJZWLXAWRQZQWSVQWNFUSWNVGUTXDXBWSAFXCVAWSAFXCV
      BWNDFVCVDWJXEBWOWKWCWOVEZWEXAWIWRXFWDWTAWCWODOSTXFWHWQWFXFCWGWPWCWOEPSVFT
      VHVIVJVKVLACDEWOFGWOVMVNVOVP $.

    $( A function is continuous iff it respects filter limits.  (Contributed by
       Jeff Hankins, 6-Sep-2009.)  (Revised by Stefan O'Rear, 7-Aug-2015.) $)
    cnflf $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) ) ->
      ( F e. ( J Cn K ) <-> ( F : X --> Y /\ A. f e. ( Fil ` X )
        A. x e. ( J fLim f ) ( F ` x ) e. ( ( K fLimf f ) ` F ) ) ) ) $=
      ( ctopon cfv wcel wa ccn co wf cv ccnp wral cflf wi bitrdi cflim cncnp wb
      cfil simplr ad4ant124 mpbirand ralbidva cuni eqid flimelbas wceq toponuni
      cnpflf ad2antrr eleq2d syl5ibr pm4.71rd imbi1d impexp ralcom bitr4d bitrd
      ralbidv2 ralbidv pm5.32da ) DFHIJZEGHIJZKZCDELMJFGCNZCAOZDEPMIJZAFQZKVJVK
      CICEBOZRMIJZADVNUAMZQZBFUDIZQZKACDEFGUBVIVJVMVSVIVJKZVMVKVPJZVOSZBVRQZAFQ
      ZVSVTVLWCAFVTVKFJZKVLVJWCVIVJWEUEVGVHWEVLVJWCKUCVJVKBCDEFGUNUFUGUHVTVSWBA
      FQZBVRQWDVTVQWFBVRVTVOWBAVPFVTWBWEWAKZVOSWEWBSVTWAWGVOVTWAWEWAWEVTVKDUIZJ
      VKVNDWHWHUJUKVTFWHVKVGFWHULVHVJFDUMUOUPUQURUSWEWAVOUTTVDVEWBBAVRFVATVBVFV
      C $.

    $( A function is continuous iff it respects filter limits.  (Contributed by
       Mario Carneiro, 9-Apr-2015.)  (Revised by Stefan O'Rear, 8-Aug-2015.) $)
    cnflf2 $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) )
      -> ( F e. ( J Cn K ) <-> ( F : X --> Y /\ A. f e. ( Fil ` X )
        ( F " ( J fLim f ) ) C_ ( ( K fLimf f ) ` F ) ) ) ) $=
      ( vx ctopon cfv wcel wa ccn co wf cv cflf cflim wral wss wceq cfil cdm wb
      cima cnflf wfun ffun cuni flimelbas ssriv fdm toponuni ad2antrr sseqtrrid
      eqid adantl eqtrd funimass4 syl2an2 ralbidv pm5.32da bitr4d ) CEHIJZDFHIJ
      ZKZBCDLMJEFBNZGOZBIBDAOZPMIZJGCVHQMZRZAEUAIZRZKVFBVJUDVISZAVLRZKGABCDEFUE
      VEVFVOVMVEVFKZVNVKAVLVFBUFVEVJBUBZSVNVKUCEFBUGVPCUHZVJVQGVJVRVGVHCVRVRUOU
      IUJVPVQEVRVFVQETVEEFBUKUPVCEVRTVDVFECULUMUQUNGVJVIBURUSUTVAVB $.
  $}

  $( A continuous function preserves filter limits.  (Contributed by Mario
     Carneiro, 18-Sep-2015.) $)
  flfcnp $p |- ( ( ( J e. ( TopOn ` X ) /\ L e. ( Fil ` Y ) /\
     F : Y --> X ) /\
       ( A e. ( ( J fLimf L ) ` F ) /\ G e. ( ( J CnP K ) ` A ) ) ) ->
    ( G ` A ) e. ( ( K fLimf L ) ` ( G o. F ) ) ) $=
    ( ctopon cfv wcel wf cflf co cfm cflim wceq flfval syl syl3anc cfil ccnp wa
    w3a ccom simprl adantr eleqtrd simprr cnpflfi syl2anc cuni cnptop2 ad2antll
    cfbas ctop toptopon2 sylib toponmax simpl1 simpl2 filfbas cnpf2 simpl3 fmco
    syl32anc oveq2d fco fmfil 3eqtr4d eleqtrrd ) DGIJKZFHUAJKZHGBLZUDZABDFMNJZK
    ZCADEUBNJKZUCZUCZACJZCEFGBONJZMNJZCBUEZEFMNJZVTADWBPNZKVRWAWCKVTAVPWFVOVQVR
    UFVOVPWFQVSBDFGHRUGUHVOVQVRUIZACDEWBUJUKVTEFEULZWDONJZPNZEWBWHCONJZPNZWEWCV
    TWIWKEPVTWHEKZGDKZFHUOJKZGWHCLZVNWIWKQVTEWHIJKZWMVTEUPKZWQVRWRVOVQACDEUMUNE
    UQURZWHEUSSVTVLWNVLVMVNVSUTZGDUSSZVTVMWOVLVMVNVSVAZFHVBSZVTVLWQVRWPWTWSWGAC
    DEGWHVCTZVLVMVNVSVDZFCBEDWHGHVEVFVGVTWQVMHWHWDLZWEWJQWSXBVTWPVNXFXDXEHGWHCB
    VHUKWDEFWHHRTVTWQWBGUAJKZWPWCWLQWSVTWNWOVNXGXAXCXEDFBGHVITXDCEWBWHGRTVJVK
    $.

  ${
    $d j k x y F $.  $d j k x y J $.  $d j k x y P $.  $d j k x y X $.
    $d x y L $.  $d j k x M $.  $d j k x y Z $.
    lmflf.1 $e |- Z = ( ZZ>= ` M ) $.
    lmflf.2 $e |- L = ( Z filGen ( ZZ>= " Z ) ) $.
    $( The topological limit relation on functions can be written in terms of
       the filter limit along the filter generated by the upper integer sets.
       (Contributed by Mario Carneiro, 13-Oct-2015.) $)
    lmflf $p |- ( ( J e. ( TopOn ` X ) /\ M e. ZZ /\ F : Z --> X ) ->
      ( F ( ~~>t ` J ) P <-> P e. ( ( J fLimf L ) ` F ) ) ) $=
      ( vx vk vj vy cfv wcel cz cv cuz wa wss ctopon w3a wral wrex cima clm wbr
      wf wi cflf co wfn wb cpw uzf ffn ax-mp uzssz eqsstri imaeq2 sseq1d rexima
      wceq mp2an wfun cdm simpl3 ffund uzss eleq2s adantl fdmd eqtrdi funimass4
      sseqtrrd syl2anc rexbidva bitr2id imbi2d ralbidv anbi2d simp1 simp2 simp3
      eqidd lmbrf cfbas uzfbas flffbas syl3an2 3bitr4d ) CFUANOZEPOZGFBUHZUBZAF
      OZAJQZOZKQZBNZWQOKLQZRNZUCZLGUDZUIZJCUCZSWPWRBMQZUEZWQTZMRGUEZUDZUIZJCUCZ
      SZBACUFNUGABCDUJUKNOZWOXFXMWPWOXEXLJCWOXDXKWRXKBXBUEZWQTZLGUDZWOXDRPULZGP
      TXKXRUMPPUNZRUHXSUOPXTRUPUQGERNZPHEURUSXIXQMLPGRXGXBVCXHXPWQXGXBBUTVAVBVD
      WOXQXCLGWOXAGOZSZBVEXBBVFZTXQXCUMYCGFBWLWMWNYBVGZVHYCXBYAYDYBXBYATZWOYFXA
      YAGEXAVIHVJVKYCYDGYAYCGFBYEVLHVMVOKXBWQBVNVPVQVRVSVTWAWOJWTALKBCEFGWLWMWN
      WBHWLWMWNWCWLWMWNWDWOWSGOSWTWEWFWMWLXJGWGNOWNXOXNUMEGHWHAXJJBCDFGMIWIWJWK
      $.
  $}

  ${
    $d h u v z H $.  $d f g h n u v ph $.  $d h u v x z R $.  $d h u v x z S $.
    $d f g h n u v F $.  $d f g h n u v G $.  $d f h u v x z J $.
    $d g h u v x z K $.  $d f g h u v z L $.  $d f g h n u v Z $.
    $d f h n u x X $.  $d g h n v x Y $.
    txflf.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    txflf.k $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    txflf.l $e |- ( ph -> L e. ( Fil ` Z ) ) $.
    txflf.f $e |- ( ph -> F : Z --> X ) $.
    txflf.g $e |- ( ph -> G : Z --> Y ) $.
    txflf.h $e |- H = ( n e. Z |-> <. ( F ` n ) , ( G ` n ) >. ) $.
    $( Two sequences converge in a filter iff the sequence of their ordered
       pairs converges.  (Contributed by Mario Carneiro, 19-Sep-2015.) $)
    txflf $p |- ( ph -> ( <. R , S >. e. ( ( ( J tX K ) fLimf L ) ` H ) <->
      ( R e. ( ( J fLimf L ) ` F ) /\ S e. ( ( K fLimf L ) ` G ) ) ) ) $=
      ( wcel vz vh vu vv vf vg vx cop cxp cv cima wss wrex wi cmpo crn wral ctx
      wa co cflf cfv cvv vex xpex rgen2w eqid wceq eleq2 sseq2 rexbidv ralrnmpo
      wb imbi12d ax-mp crab opelxp biancomi r19.40 raleq cbvrexvw anbi12i sylib
      a1i reeanv cin cfil filin 3expb sylan inss1 ssralv anim12i anbi12d rspcev
      syl2an rexlimdvva syl5bir impbid2 cmpt cres df-ima filelss reseq1i resmpt
      inss2 syl5eq syl rneqd sseq1d ralbii fmpt wfn opex fnmpti bitrdi rexbidva
      ex wf wfun cdm adantr ffund fdmd funimass4 syl2anc 3bitr4d ralbidv ralrab
      sseqtrrd wne ctopon toponmax rabn0 sylibr bitrd ffvelrnda syl3anc isflf
      c0 mpbiran bitri r19.26 3bitr3i impexp r19.21v bitr4di anim12dan r19.28zv
      bitr3i r19.27zv sylan9bbr syl5bb pm5.32da anbi1i an4 3bitr4g txval oveq1d
      df-f ctg fveq1d eleq2d txtopon eqeltrrd opelxpd fmptd flftg ) ABCUHZKLUIZ
      TZUVIUAUJZTZGUBUJZUKZUVLULZUBJUMZUNZUAUCUDHIUCUJZUDUJZUIZUOZUPZUQZUSZBKTZ
      BUVSTZEUEUJZUKUVSULZUEJUMZUNUCHUQZUSZCLTZCUVTTZFUFUJZUKUVTULZUFJUMZUNUDIU
      QZUSZUSZUVIGHIURUTZJVAUTZVBZTZBEHJVAUTVBTZCFIJVAUTVBTZUSAUWFUWMUSZUWDUSUX
      GUWKUWRUSZUSUWEUWTAUXGUWDUXHUWDUVIUWATZUVOUWAULZUBJUMZUNZUDIUQZUCHUQZAUXG
      USZUXHUWAVCTZUDIUQUCHUQUWDUXNVMUXPUCUDHIUVSUVTUCVDUDVDVEVFUVRUXLUCUDUAHIU
      WAUWBVCUWBVGUVLUWAVHZUVMUXIUVQUXKUVLUWAUVIVIUXQUVPUXJUBJUVLUWAUVOVJVKVNVL
      VOUXOUXNUWJUCBUGUJZTZUGHVPZUQZUWQUDCUXRTZUGIVPZUQZUSZUXHUXOUXNUWJUWQUSZUD
      UYCUQZUCUXTUQZUYEAUXNUYHVMUXGAUXNUWGUYGUNZUCHUQUYHAUXMUYIUCHAUXMUWNUWGUYF
      UNZUNZUDIUQZUYIAUXLUYKUDIAUXLUWNUWGUSZUYFUNUYKAUXIUYMUXKUYFUXIUYMVMAUXIUW
      NUWGBCUVSUVTVQVRWDADUJZEVBZUVSTZDUVNUQZUYNFVBZUVTTZDUVNUQZUSZUBJUMZUYPDUW
      HUQZUEJUMZUYSDUWOUQZUFJUMZUSZUXKUYFAVUBVUGVUBUYQUBJUMZUYTUBJUMZUSVUGUYQUY
      TUBJVSVUHVUDVUIVUFUYQVUCUBUEJUYPDUVNUWHVTWAUYTVUEUBUFJUYSDUVNUWOVTWAWBWCV
      UGVUCVUEUSZUFJUMUEJUMAVUBVUCVUEUEUFJJWEAVUJVUBUEUFJJAUWHJTZUWOJTZUSZUSZVU
      JVUBVUNUWHUWOWFZJTZUYPDVUOUQZUYSDVUOUQZUSZVUBVUJAJMWGVBTZVUMVUPPVUTVUKVUL
      VUPUWHUWOJMWHWIWJVUCVUQVUEVURVUOUWHULVUCVUQUNUWHUWOWKUYPDVUOUWHWLVOVUOUWO
      ULVUEVURUNUWHUWOXFUYSDVUOUWOWLVOWMVUAVUSUBVUOJUVNVUOVHUYQVUQUYTVURUYPDUVN
      VUOVTUYSDUVNVUOVTWNWOWPXRWQWRWSAUXJVUAUBJAUVNJTZUSZUXJDUVNUYOUYRUHZWTZUPZ
      UWAULZVUAVVBUVOVVEUWAVVBUVOGUVNXAZUPVVEGUVNXBVVBVVGVVDVVBUVNMULZVVGVVDVHA
      VUTVVAVVHPUVNJMXCWJVVHVVGDMVVCWTZUVNXAVVDGVVIUVNSXDDMUVNVVCXEXGXHXIXGXJVV
      CUWATZDUVNUQZUYPUYSUSZDUVNUQVVFVUAVVJVVLDUVNUYOUYRUVSUVTVQXKVVKUVNUWAVVDX
      SZVVFDUVNUWAVVCVVDVVDVGZXLVVMVVDUVNXMVVFDUVNVVCVVDUYOUYRXNVVNXOUVNUWAVVDU
      UTUUAUUBUYPUYSDUVNUUCUUDXPXQAUWJVUDUWQVUFAUWIVUCUEJAVUKUSZEXTUWHEYAZULUWI
      VUCVMVVOMKEAMKEXSZVUKQYBZYCVVOUWHMVVPAVUTVUKUWHMULPUWHJMXCWJVVOMKEVVRYDYJ
      DUWHUVSEYEYFXQAUWPVUEUFJAVULUSZFXTUWOFYAZULUWPVUEVMVVSMLFAMLFXSZVULRYBZYC
      VVSUWOMVVTAVUTVULUWOMULPUWOJMXCWJVVSMLFVWBYDYJDUWOUVTFYEYFXQWNYGVNUWNUWGU
      YFUUEXPYHUYLUYJUDUYCUQUYIUYBUWNUYJUDUGIUXRUVTCVIZYIUWGUYFUDUYCUUFUUJXPYHU
      XSUWGUYGUCUGHUXRUVSBVIZYIUUGYBUXOUXTYTYKZUYCYTYKZUSUYHUYEVMAUWFVWEUWMVWFA
      KHTZUWFVWEAHKYLVBZTZVWGNKHYMXHVWGUWFUSUXSUGHUMVWEUXSUWFUGKHUXRKBVIWOUXSUG
      HYNYOWJALITZUWMVWFAILYLVBZTZVWJOLIYMXHVWJUWMUSUYBUGIUMVWFUYBUWMUGLIUXRLCV
      IWOUYBUGIYNYOWJUUHVWFUYHUWJUYDUSZUCUXTUQVWEUYEVWFUYGVWMUCUXTUWJUWQUDUYCUU
      IYHUWJUYDUCUXTUUKUULXHYPUYAUWKUYDUWRUXSUWGUWJUCUGHVWDYIUYBUWNUWQUDUGIVWCY
      IWBXPUUMUUNUVKUXGUWDBCKLVQUUOUWFUWKUWMUWRUUPUUQAUXDUVIGUWCUVAVBZJVAUTZVBZ
      TZUWEAUXCVWPUVIAGUXBVWOAUXAVWNJVAAVWIVWLUXAVWNVHNOUCUDUWCHIVWHVWKUWCVGUUR
      YFZUUSUVBUVCAVWNUVJYLVBZTVUTMUVJGXSVWQUWEVMAUXAVWNVWSVWRAVWIVWLUXAVWSTNOH
      IKLUVDYFUVEPADMVVCUVJGAUYNMTUSUYOUYRKLAMKUYNEQYQAMLUYNFRYQUVFSUVGUVIUWCUA
      GVWNJUVJMUBVWNVGUVHYRYPAUXEUWLUXFUWSAVWIVUTVVQUXEUWLVMNPQBUCEHJKMUEYSYRAV
      WLVUTVWAUXFUWSVMOPRCUDFIJLMUFYSYRWNYG $.
  $}

  ${
    $d y A $.  $d y B $.  $d x y O $.  $d x y ph $.  $d x y Z $.  $d x y X $.
    $d x y Y $.
    flfcnp2.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    flfcnp2.k $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    flfcnp2.l $e |- ( ph -> L e. ( Fil ` Z ) ) $.
    flfcnp2.a $e |- ( ( ph /\ x e. Z ) -> A e. X ) $.
    flfcnp2.b $e |- ( ( ph /\ x e. Z ) -> B e. Y ) $.
    flfcnp2.r $e |- ( ph -> R e. ( ( J fLimf L ) ` ( x e. Z |-> A ) ) ) $.
    flfcnp2.s $e |- ( ph -> S e. ( ( K fLimf L ) ` ( x e. Z |-> B ) ) ) $.
    flfcnp2.o $e |- ( ph -> O e. ( ( ( J tX K ) CnP N ) ` <. R , S >. ) ) $.
    $( The image of a convergent sequence under a continuous map is convergent
       to the image of the original point.  Binary operation version.
       (Contributed by Mario Carneiro, 19-Sep-2015.) $)
    flfcnp2 $p |- ( ph ->
      ( R O S ) e. ( ( N fLimf L ) ` ( x e. Z |-> ( A O B ) ) ) ) $=
      ( vy co cop cfv cmpt cflf df-ov ccom ctx ctopon wcel cfil wf ccnp txtopon
      syl2anc cv wa opelxpd fmpttd nfcv nffvmpt1 nfop wceq fveq2 opeq12d cbvmpt
      cxp txflf mpbir2and simpr fvmpt2 mpteq2dva fveq2d eleqtrd flfcnp syl32anc
      eqid eqidd cuni cnptop2 syl toptopon2 sylib cnpf2 syl3anc feqmptd eqtr4di
      ctop fmptco eqeltrid ) AEFKUDEFUEZKUFZBNCDKUDZUGZJIUHUDZUFZEFKUIAWOKBNCDU
      EZUGZUJZWRUFZWSAGHUKUDZLMVJZULUFUMZINUNUFUMNXEXAUOWNXAXDIUHUDZUFZUMKWNXDJ
      UPUDUFUMZWOXCUMAGLULUFUMHMULUFUMXFOPGHLMUQURZQABNWTXEABUSZNUMZUTZCDLMRSVA
      ZVBAWNBNXKBNCUGZUFZXKBNDUGZUFZUEZUGZXGUFZXHAWNYAUMEXOGIUHUDUFUMFXQHIUHUDU
      FUMTUAAEFUCXOXQXTGHILMNOPQABNCLRVBABNDMSVBBUCNXSUCUSZXOUFZYBXQUFZUEUCXSVC
      BYCYDBNCYBVDBNDYBVDVEXKYBVFXPYCXRYDXKYBXOVGXKYBXQVGVHVIVKVLAXTXAXGABNXSWT
      XMXPCXRDXMXLCLUMXPCVFAXLVMZRBNCLXOXOVTVNURXMXLDMUMXRDVFYESBNDMXQXQVTVNURV
      HVOVPVQUBWNXAKXDJIXENVRVSAXBWQWRABUCNXEWTYBKUFZWPXAKXNAXAWAAUCXEJWBZKAXFJ
      YGULUFUMZXIXEYGKUOXJAJWKUMZYHAXIYIUBWNKXDJWCWDJWEWFUBWNKXDJXEYGWGWHWIYBWT
      VFYFWTKUFWPYBWTKVGCDKUIWJWLVPVQWM $.
  $}

  ${
    $d f j x $.  $d s A $.  $d f j s t F $.  $d f j s X $.  $d f j s Y $.
    $d f j s t J $.
    fclsval.x $e |- X = U. J $.
    $( The set of all cluster points of a filter.  (Contributed by Jeff
       Hankins, 10-Nov-2009.)  (Revised by Stefan O'Rear, 8-Aug-2015.) $)
    fclsval $p |- ( ( J e. Top /\ F e. ( Fil ` Y ) ) -> ( J fClus F ) =
          if ( X = Y , |^|_ t e. F ( ( cls ` J ) ` t ) , (/) ) ) $=
      ( vj vf wcel cfil cfv wa cuni wceq cv ccl ciin c0 cvv adantl cfcls co cif
      ctop crn simpl fvssunirn sseli wne wral filn0 fvex rgenw sylancl 0ex ifcl
      iinexg unieq eqtr4di eqeqan12d iineq1 simpll fveq2d fveq1d iineq2dv eqtrd
      ifbieq1d df-fcls ovmpoga syl3anc wb filunibas eqeq2d ifbid ) CUDIZBEJKZIZ
      LZCBUAUBZDBMZNZABAOZCPKZKZQZRUCZDENZWERUCVRVOBJUEMZIZWFSIZVSWFNVOVQUFVQWI
      VOVPWHBJEUGUHTVRWESIZRSIWJVRBRUIZWDSIZABUJWKVQWLVOBEUKTWMABWBWCULUMABWDSU
      QUNUOWAWERSUPUNGHCBUDWHGOZMZHOZMZNZAWPWBWNPKZKZQZRUCWFUASWNCNZWPBNZLZWRWA
      XAWERXBXCWODWQVTXBWOCMDWNCURFUSWPBURUTXDXAABWTQZWEXCXAXENXBAWPBWTVATXDABW
      TWDXDWBBIZLZWBWSWCXGWNCPXBXCXFVBVCVDVEVFVGAHGVHVIVJVRWAWGWERVQWAWGVKVOVQV
      TEDBEVLVMTVNVF $.

    $( A cluster point of a filter.  (Contributed by Jeff Hankins,
       10-Nov-2009.)  (Revised by Stefan O'Rear, 8-Aug-2015.) $)
    isfcls $p |- ( A e. ( J fClus F ) <-> ( J e. Top /\ F e. ( Fil ` X ) /\
          A. s e. F A e. ( ( cls ` J ) ` s ) ) ) $=
      ( vj vf vx wcel cfil cuni wa wceq cv cfv eleq2d c0 wi a1i ctop wral cfcls
      crn ccl co anass fvssunirn sseli filunibas eqcomd filunirn fveq2 biimparc
      w3a jca sylanb impbii anbi2i 3bitr4i ciin df-fcls elmpocl fclsval sylan2b
      anbi1i df-3an cif n0i iffalse nsyl2 pm4.71rd iftrue adantl cvv elex filn0
      wrex wne sylbi ad2antlr r19.2z ex rexlimivw syl6 wb eliin pm5.21ndd bitrd
      syl pm5.32da 3bitrd biadanii 3bitr4ri ) CUAJZBKUDLZJZMZDBLZNZMZAEOCUEPPZJ
      ZEBUBZMZWRWTXDMZMWOBDKPZJZXDUOZACBUCUFZJZWRWTXDUGWOXHMZXDMWOWQWTMZMZXDMXI
      XEXLXNXDXHXMWOXHXMXHWQWTXGWPBKDUHUIXHWSDBDUJUKUPWQBWSKPZJZWTXHBULZWTXHXPW
      TXGXOBDWSKUMQUNUQURUSVFWOXHXDVGXAXNXDWOWQWTUGVFUTXKWRXFGHUAWPGOZLHOZLNIXS
      IOXRUEPPVARVHCBUCAIHGVBVCWRXKAWTEBXBVAZRVHZJZWTYBMXFWRXJYAAWQWOXPXJYANXQE
      BCDWSFVDVEQWRYBWTYBWTSWRYBYARNWTYAAVIWTXTRVJVKTVLWRWTYBXDXAYBAXTJZXDXAYAX
      TAWTYAXTNWRWTXTRVMVNQXAAVOJZYCXDYCYDSXAAXTVPTXAXDXCEBVRZYDXABRVSZXDYESWQY
      FWOWTWQXPYFXQBWSVQVTWAYFXDYEXCEBWBWCWJXCYDEBAXBVPWDWEYDYCXDWFSXAEABXBVOWG
      TWHWIWKWLWMWN $.

    $( Reverse closure for the cluster point predicate.  (Contributed by Mario
       Carneiro, 11-Apr-2015.)  (Revised by Stefan O'Rear, 8-Aug-2015.) $)
    fclsfil $p |- ( A e. ( J fClus F ) -> F e. ( Fil ` X ) ) $=
      ( vs cfcls co wcel ctop cfil cfv cv ccl wral isfcls simp2bi ) ACBGHICJIBD
      KLIAFMCNLLIFBOABCDFEPQ $.
  $}

  ${
    $d o s A $.  $d o s F $.  $d o s J $.  $d o s U $.  $d s S $.  $d o s X $.
    $( Reverse closure for the cluster point predicate.  (Contributed by Mario
       Carneiro, 11-Apr-2015.)  (Revised by Stefan O'Rear, 8-Aug-2015.) $)
    fclstop $p |- ( A e. ( J fClus F ) -> J e. Top ) $=
      ( vs cfcls co wcel ctop cuni cfil cfv cv ccl wral eqid isfcls simp1bi ) A
      CBEFGCHGBCIZJKGADLCMKKGDBNABCRDROPQ $.

    $( Reverse closure for the cluster point predicate.  (Contributed by Mario
       Carneiro, 26-Aug-2015.) $)
    fclstopon $p |- ( A e. ( J fClus F ) ->
        ( J e. ( TopOn ` X ) <-> F e. ( Fil ` X ) ) ) $=
      ( cfcls wcel ctopon cfv cuni wceq cfil ctop fclstop istopon baib syl eqid
      co wb filunibas fclsfil fveq2 eleq2d syl5ibrcom eqeq1d syl5ibcom impbid
      bitrd ) ACBERFZCDGHFZDCIZJZBDKHZFZUICLFZUJULSABCMUJUOULDCNOPUIULUNUIUNULB
      UKKHZFZABCUKUKQUAZULUMUPBDUKKUBUCUDUIBIZUKJZUNULUIUQUTURBUKTPUNUSDUKBDTUE
      UFUGUH $.

    $( A cluster point of a filter.  (Contributed by Mario Carneiro,
       26-Aug-2015.) $)
    isfcls2 $p |- ( ( J e. ( TopOn ` X ) /\ F e. ( Fil ` X ) ) ->
      ( A e. ( J fClus F ) <-> A. s e. F A e. ( ( cls ` J ) ` s ) ) ) $=
      ( ctopon cfv wcel ctop cfil cuni cfcls co cv wral wb topontop toponuni wa
      ccl fveq2d eleq2d biimpa w3a eqid isfcls df-3an bitri baib syl2an2r ) CDF
      GHZCIHZBDJGZHZBCKZJGZHZACBLMHZAENCTGGHEBOZPDCQUKUNUQUKUMUPBUKDUOJDCRUAUBU
      CURULUQSZUSURULUQUSUDUTUSSABCUOEUOUEUFULUQUSUGUHUIUJ $.

    $( Write the cluster point condition in terms of open sets.  (Contributed
       by Jeff Hankins, 10-Nov-2009.)  (Revised by Mario Carneiro,
       26-Aug-2015.) $)
    fclsopn $p |- ( ( J e. ( TopOn ` X ) /\ F e. ( Fil ` X ) ) ->
      ( A e. ( J fClus F ) <-> ( A e. X /\
        A. o e. J ( A e. o -> A. s e. F ( o i^i s ) =/= (/) ) ) ) ) $=
      ( ctopon cfv wcel cfil wa cfcls cv wral c0 wne wi wss ad2antrr ad3antrrr
      co ccl cin isfcls2 wrex filn0 adantl r19.2z ex cuni ctop topontop filelss
      syl adantll wceq toponuni sseqtrd clsss3 syl2anc sseqtrrd sseld rexlimdva
      eqid syld pm4.71rd wb adantlr simplr eleqtrd elcls syl3anc ralcom r19.21v
      ralbidva ralbii bitri bitrdi pm5.32da 3bitrd ) DEGHIZCEJHIZKZADCLUAIAFMZD
      UBHHZIZFCNZAEIZWGKWHABMZIZWIWDUCOPZFCNQZBDNZKACDEFUDWCWGWHWCWGWFFCUEZWHWC
      COPZWGWNQWBWOWACEUFUGWOWGWNWFFCUHUIUNWCWFWHFCWCWDCIZKZWEEAWQWEDUJZEWQDUKI
      ZWDWRRZWEWRRWAWSWBWPEDULZSWQWDEWRWBWPWDERWAWDCEUMUOWAEWRUPZWBWPEDUQZSZURZ
      WDDWRWRVDZUSUTXDVAVBVCVEVFWCWHWGWMWCWHKZWGWJWKQZBDNZFCNZWMXGWFXIFCXGWPKZW
      SWTAWRIWFXIVGWAWSWBWHWPXATWCWPWTWHXEVHXKAEWRWCWHWPVIWAXBWBWHWPXCTVJBAWDDW
      RXFVKVLVOXJXHFCNZBDNWMXHFBCDVMXLWLBDWJWKFCVNVPVQVRVSVT $.

    $( An open neighborhood of a cluster point of a filter intersects any
       element of that filter.  (Contributed by Mario Carneiro, 11-Apr-2015.)
       (Revised by Stefan O'Rear, 8-Aug-2015.) $)
    fclsopni $p |- ( ( A e. ( J fClus F ) /\ ( U e. J /\ A e. U /\ S e. F ) )
      -> ( U i^i S ) =/= (/) ) $=
      ( vs vo cfcls co wcel cin c0 wne cv wral wi cfv wceq neeq1d rspccv ctopon
      cuni wa cfil wb eqid fclsfil fclstopon mpbird fclsopn syl2anc eleq2 ineq1
      ibi ralbidv imbi12d simpl2im ineq2 syl8 3imp2 ) AEDHIJZCEJZACJZBDJZCBKZLM
      ZVAVBVCCFNZKZLMZFDOZVDVFPVAAEUBZJZAGNZJZVMVGKZLMZFDOZPZGEOZVBVCVJPZPVAVLV
      SUCZVAEVKUAQJZDVKUDQJZVAWAUEVAWBWCADEVKVKUFUGZADEVKUHUIWDAGDEVKFUJUKUNVRV
      TGCEVMCRZVNVCVQVJVMCAULWEVPVIFDWEVOVHLVMCVGUMSUOUPTUQVIVFFBDVGBRVHVELVGBC
      URSTUSUT $.

    fclselbas.1 $e |- X = U. J $.
    $( A cluster point is in the base set.  (Contributed by Jeff Hankins,
       11-Nov-2009.)  (Revised by Mario Carneiro, 26-Aug-2015.) $)
    fclselbas $p |- ( A e. ( J fClus F ) -> A e. X ) $=
      ( vo vs cfcls co wcel cv cin c0 wne wral wi wa ctopon cfv cfil wb fclsfil
      fclstopon mpbird fclsopn syl2anc ibi simpld ) ACBHIJZADJZAFKZJUKGKLMNGBOP
      FCOZUIUJULQZUICDRSJZBDTSJZUIUMUAUIUNUOABCDEUBZABCDUCUDUPAFBCDGUEUFUGUH $.
  $}

  $( A neighborhood of a cluster point of a filter intersects any element of
     that filter.  (Contributed by Jeff Hankins, 11-Nov-2009.)  (Revised by
     Stefan O'Rear, 8-Aug-2015.) $)
  fclsneii $p |- ( ( A e. ( J fClus F ) /\ N e. ( ( nei ` J ) ` { A } ) /\
    S e. F ) -> ( N i^i S ) =/= (/) ) $=
    ( cfcls co wcel csn cnei cfv w3a cnt cin wss c0 wne syl syl2anc wb fclsopni
    ctop cuni simp1 fclstop simp2 eqid neii1 ntrss2 ssrind ntropn snssd syl3anc
    fclselbas neiint mpbid snssg mpbird simp3 syl13anc ssn0 ) ADCFGHZEAIZDJKKHZ
    BCHZLZEDMKKZBNZEBNZOVHPQZVIPQVFVGEBVFDUBHZEDUCZOZVGEOVFVBVKVBVDVEUDZACDUERZ
    VFVKVDVMVOVBVDVEUFZVCDEVLVLUGZUHSZEDVLVQUISUJVFVBVGDHZAVGHZVEVJVNVFVKVMVSVO
    VREDVLVQUKSVFVTVCVGOZVFVDWAVPVFVKVCVLOVMVDWATVOVFAVLVFVBAVLHZVNACDVLVQUNRZU
    LVRVCDEVLVQUOUMUPVFWBVTWATWCAVGVLUQRURVBVDVEUSABVGCDUAUTVHVIVAS $.

  ${
    $d n o s A $.  $d n o s x F $.  $d n o s x J $.  $d s x S $.  $d o s x X $.
    $d x U $.
    $( The set of cluster points is a subset of the closure of any filter
       element.  (Contributed by Mario Carneiro, 11-Apr-2015.)  (Revised by
       Stefan O'Rear, 8-Aug-2015.) $)
    fclssscls $p |- ( S e. F -> ( J fClus F ) C_ ( ( cls ` J ) ` S ) ) $=
      ( vx vs wcel cfcls co ccl cv wral ctop cuni cfil eqid isfcls simp3bi wceq
      cfv fveq2 eleq2d rspcv syl5 ssrdv ) ABFZDCBGHZACISZSZDJZUFFZUIEJZUGSZFZEB
      KZUEUIUHFZUJCLFBCMZNSFUNUIBCUPEUPOPQUMUOEABUKARULUHUIUKAUGTUAUBUCUD $.

    $( Cluster points in terms of neighborhoods.  (Contributed by Jeff Hankins,
       11-Nov-2009.)  (Revised by Stefan O'Rear, 8-Aug-2015.) $)
    fclsnei $p |- ( ( J e. ( TopOn ` X ) /\ F e. ( Fil ` X ) ) ->
      ( A e. ( J fClus F ) <-> ( A e. X /\
        A. n e. ( ( nei ` J ) ` { A } ) A. s e. F ( n i^i s ) =/= (/) ) ) ) $=
      ( vo ctopon cfv wcel cfil wa cfcls cv cin c0 wne wral wceq wi co csn cnei
      cuni eqid fclselbas toponuni adantr eleq2d fclsneii 3expb ralrimivva jca2
      syl5ibr ctop ad3antrrr simprl simprr opnneip syl3anc ineq1 neeq1d ralbidv
      topontop rspcv syl expr com23 ralrimdva imdistanda fclsopn sylibrd impbid
      ) DEHIJZCEKIJZLZADCMUAJZAEJZBNZFNZOZPQZFCRZBAUBDUCIIZRZLZVPVQVRWEVQVRVPAD
      UDZJACDWGWGUEUFVPEWGAVNEWGSVOEDUGUHUIUNVQWBBFWDCVQVSWDJVTCJWBAVTCDVSUJUKU
      LUMVPWFVRAGNZJZWHVTOZPQZFCRZTZGDRZLVQVPVRWEWNVPVRLZWEWMGDWOWHDJZLWIWEWLWO
      WPWIWEWLTZWOWPWILZLZWHWDJZWQWSDUOJZWPWIWTVNXAVOVRWREDVDUPWOWPWIUQWOWPWIUR
      ADWHUSUTWCWLBWHWDVSWHSZWBWKFCXBWAWJPVSWHVTVAVBVCVEVFVGVHVIVJAGCDEFVKVLVM
      $.

    $( The filter of supersets of ` X \ U ` does not cluster at any point of
       the open set ` U ` .  (Contributed by Mario Carneiro, 11-Apr-2015.)
       (Revised by Mario Carneiro, 26-Aug-2015.) $)
    supnfcls $p |- ( ( J e. ( TopOn ` X ) /\ U e. J /\ A e. U ) ->
      -. A e. ( J fClus { x e. ~P X | ( X \ U ) C_ x } ) ) $=
      ( ctopon cfv wcel w3a cdif cin c0 wceq cv wss cpw crab cfcls co wn wne wa
      disjdif simpr simpl2 simpl3 sseq2 difss simpl1 toponmax elpw2g 3syl ssidd
      wb mpbiri elrabd fclsopni syl13anc ex necon2bd mpi ) DEFGHZCDHZBCHZIZCECJ
      ZKZLMBDVFANZOZAEPZQZRSHZTCEUCVEVLVGLVEVLVGLUAZVEVLUBZVLVCVDVFVKHVMVEVLUDV
      BVCVDVLUEVBVCVDVLUFVNVIVFVFOAVFVJVHVFVFUGVNVFVJHZVFEOZECUHVNVBEDHVOVPUNVB
      VCVDVLUIEDUJVFEDUKULUOVNVFUMUPBVFCVKDUQURUSUTVA $.
  $}

  ${
    $d o t A $.  $d o s t B $.  $d o t F $.  $d o t J $.  $d o t X $.
    fclsbas.f $e |- F = ( X filGen B ) $.
    $( Cluster points in terms of filter bases.  (Contributed by Jeff Hankins,
       13-Nov-2009.)  (Revised by Stefan O'Rear, 8-Aug-2015.) $)
    fclsbas $p |- ( ( J e. ( TopOn ` X ) /\ B e. ( fBas ` X ) ) ->
      ( A e. ( J fClus F ) <-> ( A e. X /\
        A. o e. J ( A e. o -> A. s e. B ( o i^i s ) =/= (/) ) ) ) ) $=
      ( vt cfv wcel wa co cv c0 wral wi wb wss syl cfbas cfcls cin wne cfil cfg
      ctopon fgcl adantl eqeltrid fclsopn syldan ssfg ad3antlr sseqtrrdi ssralv
      weq ineq2 neeq1d cbvralvw syl6ib wrex eleq2i elfg syl5bb simplbda r19.29r
      sslin ssn0 sylan rexlimivw ex ralrimdva impbid pm5.74da ralbidva pm5.32da
      anassrs bitrd ) EFUGJKZBFUAJKZLZAEDUBMKZAFKZACNZKZWEINZUCZOUDZIDPZQZCEPZL
      ZWDWFWEGNZUCZOUDZGBPZQZCEPZLVTWADFUEJZKWCWMRWBDFBUFMZWTHWAXAWTKVTBFUHUIUJ
      ACDEFIUKULWBWDWLWSWBWDLZWKWRCEXBWEEKZLWFWJWQXBXCWFWJWQRXBXCWFLZLZWJWQXEWJ
      WIIBPZWQXEBDSWJXFQXEBXADWABXASVTWDXDBFUMUNHUOWIIBDUPTWIWPIGBIGUQWHWOOWGWN
      WEURUSUTVAXEWQWIIDXEWGDKZLWNWGSZGBVBZWQWIQXEXGWGFSZXIXGWGXAKZXEXJXILZDXAW
      GHVCWAXKXLRVTWDXDGWGBFVDUNVEVFXIWQWIXIWQLXHWPLZGBVBWIXHWPGBVGXMWIGBXHWOWH
      SWPWIWNWGWEVHWOWHVIVJVKTVLTVMVNVRVOVPVQVS $.
  $}

  ${
    $d o s t u x y z F $.  $d s x G $.  $d o s t u x y z J $.  $d o s x K $.
    $d o s t u x y z X $.  $d s t u x y z Y $.
    $( A finer topology has fewer cluster points.  (Contributed by Jeff
       Hankins, 11-Nov-2009.)  (Revised by Stefan O'Rear, 8-Aug-2015.) $)
    fclsss1 $p |- ( ( J e. ( TopOn ` X ) /\ F e. ( Fil ` X ) /\ J C_ K ) ->
        ( K fClus F ) C_ ( J fClus F ) ) $=
      ( vx vo vs ctopon cfv wcel cfil cfcls co cv wi wa wral wb fclsopn syl2anc
      wss w3a cin c0 simpl3 ssralv anim2d simpl2 fclstopon adantl mpbird simpl1
      wne syl 3imtr4d ex pm2.43d ssrdv ) BDHIZJZADKIJZBCUAZUBZECALMZBALMZVCENZV
      DJZVFVEJZVCVGVGVHOVCVGPZVFDJZVFFNZJVKGNUCUDUMGAQOZFCQZPZVJVLFBQZPZVGVHVIV
      BVNVPOUTVAVBVGUEVBVMVOVJVLFBCUFUGUNVICUSJZVAVGVNRVIVQVAUTVAVBVGUHZVGVQVAR
      VCVFACDUIUJUKVRVFFACDGSTVIUTVAVHVPRUTVAVBVGULVRVFFABDGSTUOUPUQUR $.

    $( A finer filter has fewer cluster points.  (Contributed by Jeff Hankins,
       11-Nov-2009.)  (Revised by Mario Carneiro, 26-Aug-2015.) $)
    fclsss2 $p |- ( ( J e. ( TopOn ` X ) /\ F e. ( Fil ` X ) /\ F C_ G ) ->
        ( J fClus G ) C_ ( J fClus F ) ) $=
      ( vx vs ctopon cfv wcel cfil wss w3a cfcls co cv wi wral isfcls2 syl2anc
      wb wa ccl simpl3 ssralv syl simpl1 fclstopon adantl mpbid 3imtr4d pm2.43d
      simpl2 ex ssrdv ) CDGHIZADJHZIZABKZLZECBMNZCAMNZUSEOZUTIZVBVAIZUSVCVCVDPU
      SVCUAZVBFOCUBHHIZFBQZVFFAQZVCVDVEURVGVHPUOUQURVCUCVFFABUDUEVEUOBUPIZVCVGT
      UOUQURVCUFZVEUOVIVJVCUOVITUSVBBCDUGUHUIVBBCDFRSVEUOUQVDVHTVJUOUQURVCULVBA
      CDFRSUJUMUKUN $.

    $( The set of cluster points in a restricted topological space.
       (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    fclsrest $p |- ( ( J e. ( TopOn ` X ) /\ F e. ( Fil ` X ) /\ Y e. F ) ->
        ( ( J |`t Y ) fClus ( F |`t Y ) ) = ( ( J fClus F ) i^i Y ) ) $=
      ( vy vz vu vs vt cfv wcel co cin cv wa c0 wne wral wb wceq vx ctopon cfil
      w3a crest cfcls wi wss simp1 filelss 3adant1 resttopon syl2anc cdif cfbas
      wn filfbas 3ad2ant2 simp3 fbncp simp2 trfil3 mpbird fclsopn syl5eq neeq1d
      in32 ineq2 rspccv inss1 ssrin ax-mp ssn0 mpan syl6 ralrimiv simpr syl3anc
      ad3antrrr filin inass eqtr4di rspcv syl ralrimdva impbid2 imbi2d ralbidva
      cvv vex inex1 a1i wrex elrest 3adant2 adantr eleq2 rbaib adantl sylan9bbr
      elin ralxfr2d ineq1 inindir ralbidv sylan9bb imbi12d sselda baibd 3bitr4d
      syl21anc pm5.32da bitrd biancomi bitr4di eqrdv ) BCUBJZKZACUCJZKZDAKZUDZU
      ABDUELZADUELZUFLZBAUFLZDMZYBUANZYEKZYHDKZYHYFKZOZYHYGKZYBYIYJYHENZKZYNFNZ
      MZPQZFYDRZUGZEYCRZOZYLYBYCDUBJKZYDDUCJKZYIUUBSYBXRDCUHZUUCXRXTYAUIZXTYAUU
      EXRDACUJUKZDBCULUMYBUUDCDUNAKUPZYBACUOJKZYAUUHXTXRUUIYAACUQURXRXTYAUSZDCA
      CUTUMYBXTUUEUUDUUHSXRXTYAVAZUUGDACVBUMVCYHEYDYCDFVDUMYBYJUUAYKYBYJOZYHGNZ
      KZUUMHNZMDMZPQZHARZUGZGBRUUNUUMINZMZPQZIARZUGZGBRZUUAYKUULUUSUVDGBUULUUMB
      KZOZUURUVCUUNUVGUURUVCUURUVBIAUURUUTAKUUMDMZUUTMZPQZUVBUUQUVJHUUTAUUOUUTT
      ZUUPUVIPUVKUUPUVHUUOMUVIUUMUUODVGUUOUUTUVHVHVEVFVIUVIUVAUHZUVJUVBUVHUUMUH
      UVLUUMDVJUVHUUMUUTVKVLUVIUVAVMVNVOVPUVGUVCUUQHAUVGUUOAKZOZUUODMZAKZUVCUUQ
      UGUVNXTUVMYAUVPYBXTYJUVFUVMUUKVSUVGUVMVQYBYAYJUVFUVMUUJVSUUODACVTVRUVBUUQ
      IUVOAUUTUVOTZUVAUUPPUVQUVAUUMUVOMUUPUUTUVOUUMVHUUMUUODWAWBVFWCWDWEWFWGWHU
      ULYTUUSEGUVHYCBWIUVHWIKUVGUUMDGWJWKWLYBYNYCKYNUVHTZGBWMSZYJXRYAUVSXTGYNDB
      XQAWNWOWPUULUVROYOUUNYSUURUVRYOYHUVHKZUULUUNYNUVHYHWQYJUVTUUNSYBUVTUUNYJY
      HUUMDXAWRWSWTUULYSYNUVOMZPQZHARUVRUURUULYRUWBFHUVOYDAWIUVOWIKUULUVMOUUODH
      WJWKWLYBYPYDKYPUVOTZHAWMSZYJXTYAUWDXRHYPDAXSAWNUKWPUULUWCOYQUWAPUWCYQUWAT
      UULYPUVOYNVHWSVFXBUVRUWBUUQHAUVRUWAUUPPUVRUWAUVHUVOMUUPYNUVHUVOXCUUMUUODX
      DWBVFXEXFXGXBUULXRXTYHCKZYKUVESYBXRYJUUFWPYBXTYJUUKWPYBDCYHUUGXHXRXTOYKUW
      EUVEYHGABCIVDXIXKXJXLXMYMYJYKYHYFDXAXNXOXP $.
  $}

  ${
    $d f n u x y J $.  $d f n u x y K $.  $d f n u x y X $.
    $( Characterization of fineness of topologies in terms of cluster points.
       (Contributed by Jeff Hankins, 12-Nov-2009.)  (Revised by Stefan O'Rear,
       8-Aug-2015.) $)
    fclscf $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` X ) ) ->
      ( J C_ K <-> A. f e. ( Fil ` X ) ( K fClus f ) C_ ( J fClus f ) ) ) $=
      ( vy vu vn wcel wa wss cv cfcls co wral wrex wi wceq wne c0 wn ctopon cfv
      vx cfil simpll simplr wb fclstopon ad2antll simprl fclsss1 syl3anc simprr
      mpbid sseldd expr ssrdv ralrimivw simpllr ssid eleq2 sseq1 anbi12d rspcev
      toponmax mpanr2 3syl sseq2 anbi2d rexbidv imbi12d syl5ibrcom cin cdif cpw
      crab simplll simprrr supnfcls toponss syl2anc syl difssd simprrl pssdifn0
      supfil fclsopn mpbirand oveq2 sseq12d rspcdva sseld sylbird mtod rexanali
      ex elrab sslin simplbiim ssn0 necon1bd inssdif0 syl6ibr sylan df-ss sylib
      rexnal sseq1d biimpd syl9r rexlimdv syl5bir anim2d reximdva anassrs exp32
      syl5 mpd pm2.61dne ralrimiv ctop topontop eltop2 mpbird impbida ) BDUAUBZ
      HZCYFHZIZBCJZCAKZLMZBYKLMZJZADUDUBZNZYIYJIZYNAYOYQUCYLYMYIYJUCKZYLHZYRYMH
      YIYJYSIZIZYLYMYRUUAYGYKYOHZYJYNYGYHYTUEUUAYHUUBYGYHYTUFYSYHUUBUGYIYJYRYKC
      DUHUIUNYIYJYSUJYKBCDUKULYIYJYSUMUOUPUQURYIYPIZUCBCUUCYRBHZYRCHZUUCUUDIZUU
      EEKZFKZHZUUHYRJZIZFCOZEYRNZUUFUULEYRUUFUUGYRHZUULPZYRDUUFUUOYRDQZUUGDHZUU
      IUUHDJZIZFCOZPZUUFYHDCHZUVAYGYHYPUUDUSZDCVEUVBUUQUUTUVBUUQDDJZUUTDUTUUSUU
      QUVDIFDCUUHDQUUIUUQUURUVDUUHDUUGVAUUHDDVBVCVDVFWPVGUUPUUNUUQUULUUTYRDUUGV
      AUUPUUKUUSFCUUPUUJUURUUIYRDUUHVHVIVJVKVLUUFYRDRZUUNUULUUCUUDUVEUUNIZUULUU
      CUUDUVFIZIZUUIUUHGKZVMZSRZGDYRVNZUUGJZEDVOZVPZNZPFCNZTZUULUVHUVQUUGBUVOLM
      ZHZUVHYGUUDUUNUVTTYGYHYPUVGVQZUUCUUDUVFUJZUUCUUDUVEUUNVRZEUUGYRBDVSULUVHU
      VQUUGCUVOLMZHZUVTUVHUWEUUQUVQUVHYRDUUGUVHYGUUDYRDJZUWAUWBYRBDVTWAZUWCUOUV
      HYHUVOYOHZUWEUUQUVQIUGYGYHYPUVGUSZUVHDBHZUVLDJUVLSRZUWHUVHYGUWJUWADBVEWBU
      VHDYRWCUVHUWFUVEUWKUWGUUCUUDUVEUUNWDYRDWEWAEDUVLBWFULZUUGFUVOCDGWGWAWHUVH
      UWDUVSUUGUVHYNUWDUVSJAYOUVOYKUVOQYLUWDYMUVSYKUVOCLWIYKUVOBLWIWJYIYPUVGUFU
      WLWKWLWMWNUVRUUIUVPTZIZFCOUVHUULUUIUVPFCWOUVHUWNUUKFCUVHUUHCHZIZUWMUUJUUI
      UWMUVKTZGUVOOUWPUUJUVKGUVOXGUWPUWQUUJGUVOUVIUVOHZUUHUVLVMZUVJJZUWPUWQUUJP
      UWRUVIUVNHUVLUVIJZUWTUVMUXAEUVIUVNUUGUVIUVLVHWQUVLUVIUUHWRWSUWTUWQUUHDVMZ
      YRJZUWPUUJUWTUWQUWSSQUXCUWTUVKUWSSUWTUWSSRUVKUWSUVJWTWPXAUUHDYRXBXCUWPUXC
      UUJUWPUXBUUHYRUWPUURUXBUUHQUVHYHUWOUURUWIUUHCDVTXDUUHDXEXFXHXIXJXQXKXLXMX
      NXLXRXOXPXSXTUUFYHCYAHUUEUUMUGUVCDCYBEFYRCYCVGYDWPUQYE $.
  $}

  ${
    $d a x F $.  $d a x J $.
    $( A limit point is a cluster point.  (Contributed by Jeff Hankins,
       12-Nov-2009.)  (Revised by Stefan O'Rear, 8-Aug-2015.) $)
    flimfcls $p |- ( J fLim F ) C_ ( J fClus F ) $=
      ( va vx cflim cfcls wcel ctop cuni cfil cfv ccl wral flimtop eqid flimfil
      co cv flimclsi sseld com12 ralrimiv isfcls syl3anbrc ssriv ) CBAEQZBAFQZC
      RZUFGZBHGABIZJKGUHDRZBLKKZGZDAMUHUGGUHABNUHABUJUJOZPUIUMDAUKAGZUIUMUOUFUL
      UHUKABSTUAUBUHABUJDUNUCUDUE $.
  $}

  ${
    $d g o x y z A $.  $d g o x y z F $.  $d g o x y z J $.  $d g o x y z X $.
    $( A filter clusters at a point iff a finer filter converges to it.
       (Contributed by Jeff Hankins, 12-Nov-2009.)  (Revised by Mario Carneiro,
       26-Aug-2015.) $)
    fclsfnflim $p |- ( F e. ( Fil ` X ) -> ( A e. ( J fClus F ) <->
          E. g e. ( Fil ` X ) ( F C_ g /\ A e. ( J fLim g ) ) ) ) $=
      ( vx vy cfv wcel co cv wss cflim wa c0 wne adantr syl wb cvv cfil csn cun
      cfcls wrex cnei cfi cfg cfbas wn filsspw cuni ctop fclstop adantl neisspw
      cpw eqid filunibas wceq fclsfil sylan9req pweqd sseqtrrd unssd ssun1 ssn0
      filn0 sylancr cin wral incom fclsneii eqnetrrid 3com23 adantll ralrimivva
      w3a 3expb filfbas ctopon istopon sylanbrc fclselbas eleqtrrd snssd neifil
      snnzg syl3anc fbunfip syl2anc mpbird filtop fsubbas mpbir3and unexg mpan2
      fgcl fvex ssfii unssad sstrd unssbd elflim mpbir2and sseq2 eleq2d anbi12d
      ssfg oveq2 rspcev syl12anc simprl simprrr flimtopon simpl simprrl fclsss2
      ex flimfcls sselid sseldd rexlimdvaa impbid ) CEUAHZIZADCUDJZIZCBKZLZADYI
      MJZIZNZBYEUEZYFYHYNYFYHNZECAUBZDUFHZHZUCZUGHZUHJZYEIZCUUALZADUUAMJZIZYNYO
      YTEUIHZIZUUBYOUUGYSEUQZLZYSOPZOYTIUJZYOCYRUUHYFCUUHLYHCEUKQYOYRDULZUQZUUH
      YODUMIZYRUUMLYHUUNYFACDUNUOZYPDUULUULURZUPRYOEUULYFYHECULZUULCEUSYHCUULUA
      HIUUQUULUTACDUULUUPVACUULUSRVBZVCVDVEYFUUJYHYFCYSLCOPUUJCYRVFCEVHCYSVGVIQ
      YOUUKFKZGKZVJZOPZGYRVKFCVKZYOUVBFGCYRYHUUSCIZUUTYRIZNUVBYFYHUVDUVEUVBYHUV
      EUVDUVBYHUVEUVDVRUVAUUTUUSVJOUUTUUSVLAUUSCDUUTVMVNVOVSVPVQYOCUUFIZYRUUFIZ
      UUKUVCSYFUVFYHCEVTQYOYRYEIZUVGYODEWAHIZYPELYPOPZUVHYOUUNEUULUTUVIUUOUURED
      WBWCZYOAEYOAUULEYHAUULIYFACDUULUUPWDUOUURWEZWFYHUVJYFAYGWHUOYPDEWGWIYREVT
      RFGCYREEWJWKWLYFUUGUUIUUJUUKVRSZYHYFECIUVMCEWMYSCEWNRQWOZYTEWRRZYOCYTUUAY
      OCYRYTYFYSYTLZYHYFYSTIZUVPYFYRTIUVQYPYQWSCYRYETWPWQYSTWTRQZXAYOUUGYTUUALU
      VNYTEXIRZXBYOUUEAEIZYRUUALZUVLYOYRYTUUAYOCYRYTUVRXCUVSXBYOUVIUUBUUEUVTUWA
      NSUVKUVOAUUADEXDWKXEYMUUCUUENBUUAYEYIUUAUTZYJUUCYLUUEYIUUACXFUWBYKUUDAYIU
      UADMXJXGXHXKXLXSYFYMYHBYEYFYIYEIZYMNZNZDYIUDJZYGAUWEUVIYFYJUWFYGLUWEUVIUW
      CYFUWCYMXMUWEYLUVIUWCSYFUWCYJYLXNZAYIDEXORWLYFUWDXPYFUWCYJYLXQCYIDEXRWIUW
      EYKUWFAYIDXTUWGYAYBYCYD $.

    flimfnfcls.x $e |- X = U. J $.
    $( A filter converges to a point iff every finer filter clusters there.
       Along with ~ fclsfnflim , this theorem illustrates the duality between
       convergence and clustering.  (Contributed by Jeff Hankins, 12-Nov-2009.)
       (Revised by Stefan O'Rear, 8-Aug-2015.) $)
    flimfnfcls $p |- ( F e. ( Fil ` X ) -> ( A e. ( J fLim F ) <->
          A. g e. ( Fil ` X ) ( F C_ g -> A e. ( J fClus g ) ) ) ) $=
      ( vx wcel co cv wss cfcls wi wa wceq syl c0 wne cvv syl2anc vo vy vz cfil
      cfv cflim wral flimfcls ctopon ctop flimtop toptopon sylib ad2antrr simpr
      simplr flimss2 syl3anc simpll sseldd sselid ralrimiva sseq2 oveq2 imbi12d
      ex eleq2d rspcv ssid id mpi fclstop fclselbas jca syl6 wn cin disjdif cpw
      cdif crab cun cfi cfg simplrl topopn pwexg 3syl unexg ssfii cfbas filsspw
      rabexg ssrab2 a1i unssd ssun2 difss wb elpw2g mpbiri elrabd elrab simprbi
      ne0d ad2antll sslin simprrr adantr inssdif0 simplll simprl filelss sseq1d
      df-ss cuni elssuni sseqtrrdi ad2antrl filss syl13anc syl5bir necon3bd mpd
      sylbid ralrimivva filfbas filtop eleq1 syl5ibrcom pssdifn0 supfil fbunfip
      ssn0 mpbird w3a fsubbas mpbir3and ssfg com23 unssad fgcl simprrl fclsopni
      sstrd mpid syld necon2bd anassrs expr con4d ralrimdva simprr jctild simpl
      flimopn sylibrd mpdd impbid2 ) CEUDUEZHZADCUFIZHZCBJZKZADUVDLIZHZMZBUUTUG
      ZUVCUVHBUUTUVCUVDUUTHZNZUVEUVGUVKUVENZDUVDUFIZUVFAUVDDUHUVLUVBUVMAUVLDEUI
      UEHZUVJUVEUVBUVMKUVCUVNUVJUVEUVCDUJHZUVNACDUKDEFULZUMUNUVCUVJUVEUPUVKUVEU
      OUVDCDEUQURUVCUVJUVEUSUTVAVFVBUVAUVIUVOAEHZNZUVCUVAUVICCKZADCLIZHZMZUVRUV
      HUWBBCUUTUVDCOZUVEUVSUVGUWAUVDCCVCUWCUVFUVTAUVDCDLVDVGVEVHUWBUWAUVRUWBUVS
      UWACVIUWBVJVKUWAUVOUVQACDVLACDEFVMVNPVOUVAUVRUVIUVCUVAUVRUVIUVCMUVAUVRNZU
      VIUVQAUAJZHZUWECHZMZUADUGZNZUVCUWDUVIUWIUVQUWDUVIUWHUADUWDUWEDHZNZUWFUVIU
      WGUWLUWFUVIUWGMUWLUWFNUWGUVIUWLUWFUWGVPZUVIVPZUWDUWKUWFUWMNZUWNUWDUWKUWON
      ZNZUWEEUWEVTZVQZQOUWNUWEEVRUWQUVIUWSQUWQUVIADECUWRGJZKZGEVSZWAZWBZWCUEZWD
      IZLIZHZUWSQRZUWQUVICUXFKZUXHUWQCUXCUXFUWQUXDUXEUXFUWQUXDSHZUXDUXEKUWQUVAU
      XCSHZUXKUVAUVRUWPUSZUWQEDHZUXBSHUXLUWQUVOUXNUVAUVOUVQUWPWEDEFWFPZEDWGUXAG
      UXBSWMWHCUXCUUTSWITUXDSWJPUWQUXEEWKUEZHZUXEUXFKUWQUXQUXDUXBKZUXDQRZQUXEHV
      PZUVAUXRUVRUWPUVACUXCUXBCEWLUXCUXBKUVAUXAGUXBWNWOWPUNUWQUXDUWRUWQUXCUXDUW
      RUXCCWQUWQUXAUWRUWRKZGUWRUXBUWTUWRUWRVCUWQUWRUXBHZUWREKZEUWEWRZUWQUXNUYBU
      YCWSUXOUWREDWTPXAUYAUWQUWRVIWOXBVAZXEUWQUXTUBJZUCJZVQZQRZUCUXCUGUBCUGZUWQ
      UYIUBUCCUXCUWQUYFCHZUYGUXCHZNZNZUYFUWRVQZUYHKZUYOQRZUYIUYNUWRUYGKZUYPUYLU
      YRUWQUYKUYLUYGUXBHUYRUXAUYRGUYGUXBUWTUYGUWRVCXCXDXFUWRUYGUYFXGPUYNUWMUYQU
      WQUWMUYMUWDUWKUWFUWMXHZXIUYNUWGUYOQUYOQOUYFEVQZUWEKZUYNUWGUYFEUWEXJUYNVUA
      UYFUWEKZUWGUYNUYTUYFUWEUYNUYFEKZUYTUYFOUYNUVAUYKVUCUVAUVRUWPUYMXKUWQUYKUY
      LXLUYFCEXMTUYFEXOUMXNUYNVUBUWGUYNVUBNUVAUYKUWEEKZVUBUWGUWQUVAUYMVUBUXMUNU
      WQUYKUYLVUBWEUWQVUDUYMVUBUWKVUDUWDUWOUWKUWEDXPEUWEDXQFXRXSZUNUYNVUBUOUYFU
      WECEXTYAVFYEYBYCYDUYOUYHYNTYFUWQCUXPHZUXCUXPHZUXTUYJWSUWQUVAVUFUXMCEYGPUW
      QUXCUUTHZVUGUWQUXNUYCUWRQRZVUHUXOUYCUWQUYDWOUWQVUDUWEERZVUIVUEUWQUWMVUJUY
      SUWQUWGUWEEUWQUWGUWEEOECHZUWQUVAVUKUXMCEYHPZUWEECYIYJYCYDUWEEYKTGEUWRDYLU
      RUXCEYGPUBUCCUXCEEYMTYOUWQVUKUXQUXRUXSUXTYPWSVULUXDCEYQPYRZUXEEYSPUUEZUUA
      UWQUXFUUTHZUVIUXJUXHMZMUWQUXQVUOVUMUXEEUUBPUVHVUPBUXFUUTUVDUXFOZUVEUXJUVG
      UXHUVDUXFCVCVUQUVFUXGAUVDUXFDLVDVGVEVHPUUFUWQUXHUXIUWQUXHNUXHUWKUWFUWRUXF
      HZUXIUWQUXHUOUWDUWKUWOUXHWEUWQUWFUXHUWDUWKUWFUWMUUCXIUWQVURUXHUWQUXDUXFUW
      RVUNUYEUTXIAUWRUWEUXFDUUDYAVFUUGUUHVKUUIUUJUUKVFYTUULUVAUVOUVQUUMUUNUWDUV
      NUVAUVCUWJWSUWDUVOUVNUVAUVOUVQXLUVPUMUVAUVRUUOUAACDEUUPTUUQVFYTUURUUS $.

    $( Forward direction of ~ fclscmp .  Every filter clusters in a compact
       space.  (Contributed by Mario Carneiro, 11-Apr-2015.)  (Revised by
       Stefan O'Rear, 8-Aug-2015.) $)
    fclscmpi $p |- ( ( J e. Comp /\ F e. ( Fil ` X ) ) ->
        ( J fClus F ) =/= (/) ) $=
      ( vx wcel cfv wa c0 wceq eqtrdi wss cfi wn adantr syl syl2anc fmpttd frnd
      simpr ccmp cfil cfcls ccl cmpt crn cint ciin ctop cmptop cif fclsval eqid
      co iftruei sylan fvex dfiin3 ccld wne simpl filelss adantll clscld clsss3
      cv sscls filss syl13anc fiss filfi sseqtrd 0nelfil ssneldd cmpfii syl3anc
      eqnetrd ) BUAFZACUBGZFZHZBAUCUNZEAEVFZBUDGZGZUEZUFZUGZIWAWBEAWEUHZWHVRBUI
      FZVTWBWIJBUJZWJVTHWBCCJZWIIUKWIEABCCDULWLWIICUMUOKUPEAWEWCWDUQURKWAVRWGBU
      SGZLIWGMGZFNWHIUTVRVTVAZWAAWMWFWAEAWEWMWAWCAFZHZWJWCCLZWEWMFWQVRWJWAVRWPW
      OOWKPZVTWPWRVRWCACVBVCZWCBCDVDQRSWAWNAIWAWNAMGZAWAVTWGALWNXALVRVTTZWAAAWF
      WAEAWEAWQVTWPWECLZWCWELZWEAFWAVTWPXBOWAWPTWQWJWRXCWSWTWCBCDVEQWQWJWRXDWSW
      TWCBCDVGQWCWEACVHVIRSWGAVSVJQWAVTXAAJXBACVKPVLWAVTIAFNXBACVMPVNBWGVOVPVQ
      $.
  $}

  ${
    $d n o x A $.  $d f g j n o s x y J $.  $d f g j n o s x L $.  $d n s N $.
    $d f g n o s x F $.  $d f g j n o s x y X $.  $d f g j n o s x Y $.
    $d s S $.
    $( A space is compact iff every filter clusters.  (Contributed by Jeff
       Hankins, 20-Nov-2009.)  (Revised by Stefan O'Rear, 8-Aug-2015.) $)
    fclscmp $p |- ( J e. ( TopOn ` X ) -> ( J e. Comp <->
          A. f e. ( Fil ` X ) ( J fClus f ) =/= (/) ) ) $=
      ( vx vy cfv wcel cv cfcls co c0 wne cfil wral wi wa wss wceq cvv syl ccmp
      ctopon cuni eqid fclscmpi ralrimiva toponuni fveq2d raleqdv cfi cint ccld
      syl5ibr wn cpw elpwi vn0 simpr inteqd int0 eqtrdi neeq1d mpbiri a1d ssfii
      cfg ccl elv cfbas simplrl ad2antrr pweqd sseqtrrid sstrd simplrr toponmax
      cldss2 w3a wb fsubbas mpbir3and ssfg sstrid sselda fclssscls cldcls ssint
      sylibr fgcl oveq2 rspcv 3syl ssn0 syl6an pm2.61dane expr sylan2 ralrimdva
      sseqtrd com23 ctop topontop cmpfi sylibrd impbid ) BCUBFGZBUAGZBAHZIJZKLZ
      ACMFZNZXGXLXFXJABUCZMFZNXGXJAXNXHBXMXMUDZUEUFXFXJAXKXNXFCXMMCBUGZUHUIUMXF
      XLKDHZUJFZGUNZXQUKZKLZOZDBULFZUOZNZXGXFXLYBDYDXFXQYDGZPXSXLYAYFXFXQYCQZXS
      XLYAOZOXQYCUPXFYGXSYHXFYGXSPZPZYHXQKYJXQKRZPZYAXLYLYASKLUQYLXTSKYLXTKUKSY
      LXQKYJYKURUSUTVAVBVCVDYJXQKLZPZBCXRVFJZIJZXTQZXLYPKLZYAYNYPEHZQZEXQNYQYNY
      TEXQYNYSXQGPZYPYSBVGFFZYSUUAYSYOGYPUUBQYNXQYOYSYNXQXRYOXQXRQDXQSVEVHYNXRC
      VIFGZXRYOQYNUUCXQCUOZQZYMXSYNXQYCUUDXFYGXSYMVJZYNXMUOYCUUDBXMXOVQYNCXMXFC
      XMRYIYMXPVKVLVMVNYJYMURXFYGXSYMVOYNCBGZUUCUUEYMXSVRVSXFUUGYIYMCBVPVKXQBCV
      TTWAZXRCWBTWCWDYSYOBWETUUAYSYCGUUBYSRYNXQYCYSUUFWDYSBWFTWSUFEYPXQWGWHYNUU
      CYOXKGXLYROUUHXRCWIXJYRAYOXKXHYORXIYPKXHYOBIWJVBWKWLYPXTWMWNWOWPWQWTWRXFB
      XAGXGYEVSCBXBDBXCTXDXE $.

    $( The cluster points of an ultrafilter are its limit points.  (Contributed
       by Jeff Hankins, 11-Dec-2009.)  (Revised by Mario Carneiro,
       26-Aug-2015.) $)
    uffclsflim $p |- ( F e. ( UFil ` X ) -> ( J fClus F ) = ( J fLim F ) ) $=
      ( vx vf cufil cfv wcel cfcls co cflim cv wss cfil wrex ufilfil fclsfnflim
      wa wb syl biimpa simprrr simpll simprl simprrl ufilmax eleqtrrd rexlimddv
      wceq syl3anc oveq2d ex ssrdv flimfcls a1i eqssd ) ACFGHZBAIJZBAKJZUQDURUS
      UQDLZURHZUTUSHZUQVARZAELZMZUTBVDKJZHZRZVBECNGZUQVAVHEVIOZUQAVIHVAVJSACPUT
      EABCQTUAVCVDVIHZVHRZRZUTVFUSVCVKVEVGUBVMAVDBKVMUQVKVEAVDUIUQVAVLUCVCVKVHU
      DVCVKVEVGUEAVDCUFUJUKUGUHULUMUSURMUQABUNUOUP $.

    $( A space is compact iff every ultrafilter converges.  (Contributed by
       Jeff Hankins, 11-Dec-2009.)  (Proof shortened by Mario Carneiro,
       12-Apr-2015.)  (Revised by Mario Carneiro, 26-Aug-2015.) $)
    ufilcmp $p |- ( ( X e. UFL /\ J e. ( TopOn ` X ) ) -> ( J e. Comp <->
        A. f e. ( UFil ` X ) ( J fLim f ) =/= (/) ) ) $=
      ( vg cufl wcel cfv wa cv cfcls co c0 wne cufil wral cfil adantl wss wrex
      wb ctopon ccmp cflim cuni ufilfil eqid fclscmpi sylan2 ralrimiva toponuni
      fveq2d raleqdv syl5ibr ufli adantlr r19.29 simpllr simplr fclsss2 syl3anc
      wi simprr ssn0 ex expr impcomd rexlimdva mpan2d ralrimdva fclscmp sylibrd
      syl syl5 impbid uffclsflim neeq1d ralbiia bitrdi ) CEFZBCUAGFZHZBUBFZBAIZ
      JKZLMZACNGZOZBWCUCKZLMZAWFOWAWBWGWBWGWAWEABUDZNGZOZWBWEAWKWCWKFWBWCWJPGFW
      EWCWJUEWCBWJWJUFUGUHUIVTWGWLTVSVTWEAWFWKVTCWJNCBUJUKULQUMWAWGBDIZJKZLMZDC
      PGZOZWBWAWGWODWPWAWMWPFZHZWGWMWCRZAWFSZWOVSWRXAVTAWMCUNUOWGXAHWEWTHZAWFSW
      SWOWEWTAWFUPWSXBWOAWFWSWCWFFZHWTWEWOWSXCWTWEWOVAZWSXCWTHZHZWDWNRZXDXFVTWR
      WTXGVSVTWRXEUQWAWRXEURWSXCWTVBWMWCBCUSUTXGWEWOWDWNVCVDVLVEVFVGVMVHVIVTWBW
      QTVSDBCVJQVKVNWEWIAWFXCWDWHLWCBCVOVPVQVR $.

    $( The set of cluster points of a function.  (Contributed by Jeff Hankins,
       24-Nov-2009.)  (Revised by Stefan O'Rear, 9-Aug-2015.) $)
    fcfval $p |- ( ( J e. ( TopOn ` X ) /\ L e. ( Fil ` Y ) /\ F : Y --> X ) ->
        ( ( J fClusf L ) ` F ) = ( J fClus ( ( X FilMap F ) ` L ) ) ) $=
      ( vg vj vf cfv wcel cfil cv cfm co cfcls cmap cfcf wceq wa cuni ctopon wf
      w3a cvv cmpt ctop crn cmpo df-fcf a1i simprl unieqd toponuni eqtr4d unieq
      ad2antrr ad2antll filunibas eqtrd oveq12d oveq1d simprr fveq12d mpteq12dv
      ad2antlr topontop adantr fvssunirn sseli adantl ovex mptex ovmpod 3adant3
      simpr oveq2d fveq1d toponmax filtop elmapg syl2an biimp3ar ovexd fvmptd
      wb ) BDUAIJZCEKIZJZEDAUBZUCZFABCDFLZMNZIZONZBCDAMNZIZONDEPNZBCQNZUDWFWHWR
      FWQWNUEZRWIWFWHSZGHBCUFKUGTZFGLZTZHLZTZPNZXBXDXCWKMNZIZONZUEZWSQUDQGHUFXA
      XJUHRWTHFGUIUJWTXBBRZXDCRZSZSZFXFXIWQWNXNXCDXEEPXNXCBTZDXNXBBWTXKXLUKZULW
      FDXORWHXMDBUMUPUNZXNXECTZEXLXEXRRWTXKXDCUOUQWHXRERWFXMCEURVEUSUTXNXBBXHWM
      OXPXNXDCXGWLXNXCDWKMXQVAWTXKXLVBVCUTVDWFBUFJWHDBVFVGWHCXAJWFWGXACKEVHVIVJ
      WSUDJWTFWQWNDEPVKVLUJVMVNWJWKARZSZWMWPBOXTCWLWOXTWKADMWJXSVOVPVQVPWFWHAWQ
      JZWIWFDBJECJYAWIWEWHDBVRCEVSDEABCVTWAWBWJBWPOWCWD $.

    $( The property of being a cluster point of a function.  (Contributed by
       Jeff Hankins, 24-Nov-2009.)  (Revised by Stefan O'Rear, 9-Aug-2015.) $)
    isfcf $p |- ( ( J e. ( TopOn ` X ) /\ L e. ( Fil ` Y ) /\ F : Y --> X ) ->
        ( A e. ( ( J fClusf L ) ` F ) <-> ( A e. X /\
        A. o e. J ( A e. o -> A. s e. L ( o i^i ( F " s ) ) =/= (/) ) ) ) ) $=
      ( vx cfv wcel cfil co cv c0 wral wi wa syl wss ctopon wf w3a cfcf cfm cin
      cfcls wne cima fcfval eleq2d wb simp1 cfbas toponmax filfbas fmfil syl3an
      id fclsopn syl2anc simpll1 simpll2 simpll3 wceq simpl2 fgfil biimpar eqid
      cfg imaelfm syl31anc ineq2 neeq1d rspcv ralrimdva adantr simplbda r19.29r
      wrex elfm sslin ssn0 sylan rexlimivw impbid imbi2d ralbidva anbi2d 3bitrd
      ex ) DFUAJKZEGLJKZGFCUBZUCZACDEUDMJZKADEFCUEMJZUGMZKZAFKZABNZKZXAINZUFZOU
      HZIWQPZQZBDPZRZWTXBXACHNZUIZUFZOUHZHEPZQZBDPZRWOWPWRACDEFGUJUKWOWLWQFLJKZ
      WSXIULWLWMWNUMWLFDKZWMEGUNJKZWNWNXQFDUOZEGUPZWNUSZDECFGUQURABWQDFIUTVAWOX
      HXPWTWOXGXOBDWOXADKZRZXFXNXBYDXFXNYDXFXMHEYDXJEKZRZXKWQKZXFXMQYFXRXSWNXJG
      EVJMZKZYGYFWLXRWLWMWNYCYEVBXTSYFWMXSWLWMWNYCYEVCYASWLWMWNYCYEVDYDYIYEYDYH
      EXJYDWMYHEVEWLWMWNYCVFEGVGSUKVHDEXJCYHFGYHVIVKVLXEXMIXKWQXCXKVEXDXLOXCXKX
      AVMVNVOSVPYDXNXEIWQYDXCWQKZRXKXCTZHEVTZXNXEQYDYJXCFTZYLWOYJYMYLRULZYCWLXR
      WMXSWNWNYNXTYAYBHXCEDCFGWAURVQVRYLXNXEYLXNRYKXMRZHEVTXEYKXMHEVSYOXEHEYKXL
      XDTXMXEXKXCXAWBXLXDWCWDWESWKSVPWFWGWHWIWJ $.

    $( The property of being a cluster point of a function in terms of
       neighborhoods.  (Contributed by Jeff Hankins, 26-Nov-2009.)  (Revised by
       Stefan O'Rear, 9-Aug-2015.) $)
    fcfnei $p |- ( ( J e. ( TopOn ` X ) /\ L e. ( Fil ` Y ) /\ F : Y --> X ) ->
      ( A e. ( ( J fClusf L ) ` F ) <-> ( A e. X /\ A. n e.
        ( ( nei ` J ) ` { A } ) A. s e. L ( n i^i ( F " s ) ) =/= (/) ) ) ) $=
      ( vo cfv wcel cv cin c0 wne wral wi wa wss syl ctopon cfil wf w3a cfcf co
      cima csn cnei isfcf ctop cuni simpll1 topontop simpr neii1 syl2anc ntrss2
      cnt eqid wb simplr wceq toponuni eleqtrd snssd neiint syl3anc mpbid snssg
      mpbird ntropn eleq2 ineq1 neeq1d ralbidv imbi12d rspcv mpid ssrin ssn0 ex
      ralimdv sylsyld ralrimdva simpl1 opnneip 3expb sylan expr impbid pm5.32da
      com23 bitrd ) DFUAJKZEGUBJKZGFCUCZUDZACDEUEUFJKAFKZAILZKZWTCHLUGZMZNOZHEP
      ZQZIDPZRWSBLZXBMZNOZHEPZBAUHZDUIJJZPZRAICDEFGHUJWRWSXGXNWRWSRZXGXNXOXGXKB
      XMXOXHXMKZRZXHDUSJJZXHSZXGXRXBMZNOZHEPZXKXQDUKKZXHDULZSZXSXQWOYCWOWPWQWSX
      PUMZFDUNZTZXQYCXPYEYHXOXPUOZXLDXHYDYDUTZUPUQZXHDYDYJURUQXQXGAXRKZYBXQYLXL
      XRSZXQXPYMYIXQYCXLYDSYEXPYMVAYHXQAYDXQAFYDWRWSXPVBZXQWOFYDVCYFFDVDTVEVFYK
      XLDXHYDYJVGVHVIXQWSYLYMVAYNAXRFVJTVKXQXRDKZXGYLYBQZQXQYCYEYOYHYKXHDYDYJVL
      UQXFYPIXRDWTXRVCZXAYLXEYBWTXRAVMYQXDYAHEYQXCXTNWTXRXBVNVOVPVQVRTVSXSYAXJH
      EXSXTXISZYAXJQXRXHXBVTYRYAXJXTXIWAWBTWCWDWEXOXNXFIDXOWTDKZRXAXNXEXOYSXAXN
      XEQZXOYSXARZRWTXMKZYTXOYCUUAUUBXOWOYCWOWPWQWSWFYGTYCYSXAUUBADWTWGWHWIXKXE
      BWTXMXHWTVCZXJXDHEUUCXIXCNXHWTXBVNVOVPVRTWJWMWEWKWLWN $.

    $( A cluster point of a function is in the base set of the topology.
       (Contributed by Jeff Hankins, 26-Nov-2009.)  (Revised by Stefan O'Rear,
       9-Aug-2015.) $)
    fcfelbas $p |- ( ( ( J e. ( TopOn ` X ) /\ L e. ( Fil ` Y ) /\
        F : Y --> X ) /\ A e. ( ( J fClusf L ) ` F ) ) -> A e. X ) $=
      ( ctopon cfv wcel cfil wf w3a cfcf co wa cuni cfm cfcls fcfval eleq2d imp
      eqid fclselbas syl6bi wceq simpl1 toponuni syl eleqtrrd ) CEGHIZDFJHIZFEB
      KZLZABCDMNHZIZOZACPZEUMUOAUQIZUMUOACDEBQNHZRNZIURUMUNUTABCDEFSTAUSCUQUQUB
      UCUDUAUPUJEUQUEUJUKULUOUFECUGUHUI $.

    $( A neighborhood of a cluster point of a function contains a function
       value from every tail.  (Contributed by Jeff Hankins, 27-Nov-2009.)
       (Revised by Stefan O'Rear, 9-Aug-2015.) $)
    fcfneii $p |- ( ( ( J e. ( TopOn ` X ) /\ L e. ( Fil ` Y ) /\
       F : Y --> X ) /\
    ( A e. ( ( J fClusf L ) ` F ) /\ N e. ( ( nei ` J ) ` { A } ) /\ S e. L ) )
      -> ( N i^i ( F " S ) ) =/= (/) ) $=
      ( vn vs cfv wcel cima cin c0 wne cv wral wi wceq ctopon cfil w3a cfcf csn
      wf co cnei wa fcfnei ineq1 neeq1d imaeq2 ineq2d rspc2v com3r adantl 3imp2
      ex syl6bi ) DGUAKLEHUBKLHGCUFUCZACDEUDUGKLZFAUEDUHKKZLZBELZFCBMZNZOPZVAVB
      AGLZIQZCJQZMZNZOPZJERIVCRZUIVDVEVHSSZAICDEGHJUJVOVPVIVDVEVOVHVDVEVOVHSVNV
      HFVLNZOPIJFBVCEVJFTVMVQOVJFVLUKULVKBTZVQVGOVRVLVFFVKBCUMUNULUOUSUPUQUTUR
      $.

    $( A limit point of a function is a cluster point of the function.
       (Contributed by Jeff Hankins, 28-Nov-2009.)  (Revised by Stefan O'Rear,
       9-Aug-2015.) $)
    flfssfcf $p |- ( ( J e. ( TopOn ` X ) /\ L e. ( Fil ` Y ) /\ F : Y --> X )
      -> ( ( J fLimf L ) ` F ) C_ ( ( J fClusf L ) ` F ) ) $=
      ( ctopon cfv wcel cfil wf w3a cfm cflim cfcls cflf cfcf wss flimfcls a1i
      co flfval fcfval 3sstr4d ) BDFGHCEIGHEDAJKZBCDALTGZMTZBUENTZABCOTGABCPTGU
      FUGQUDUEBRSABCDEUAABCDEUBUC $.

    $( If the domain filter is an ultrafilter, the cluster points of the
       function are the limit points.  (Contributed by Jeff Hankins,
       12-Dec-2009.)  (Revised by Stefan O'Rear, 9-Aug-2015.) $)
    uffcfflf $p |- ( ( J e. ( TopOn ` X ) /\ L e. ( UFil ` Y ) /\ F : Y --> X )
      -> ( ( J fClusf L ) ` F ) = ( ( J fLimf L ) ` F ) ) $=
      ( ctopon cfv wcel cufil wf w3a cfm co cfcls cflim cfcf cflf wceq toponmax
      syl3an2 fmufil syl3an1 uffclsflim syl cfil ufilfil fcfval flfval 3eqtr4d
      ) BDFGHZCEIGHZEDAJZKZBCDALMGZNMZBUNOMZABCPMGZABCQMGZUMUNDIGHZUOUPRUJDBHUK
      ULUSDBSBACDEUAUBUNBDUCUDUKUJCEUEGHZULUQUORCEUFZABCDEUGTUKUJUTULURUPRVAABC
      DEUHTUI $.
  $}

  ${
    $d f g h A $.  $d f g h x F $.  $d f g h x J $.  $d f g h x K $.  $d f L $.
    $d f g h x X $.  $d f g h x Y $.
    $( Lemma for ~ cnpfcf .  If a function is continuous at a point, it
       respects clustering there.  (Contributed by Jeff Hankins, 20-Nov-2009.)
       (Revised by Stefan O'Rear, 9-Aug-2015.) $)
    cnpfcfi $p |- ( ( K e. Top /\ A e. ( J fClus L ) /\
      F e. ( ( J CnP K ) ` A ) ) -> ( F ` A ) e. ( ( K fClusf L ) ` F ) ) $=
      ( vf wcel cfcls co cfv wss cfcf cuni cfil eqid syl adantr syl3anc filfbas
      wa ctop ccnp w3a cv cflim wrex simp2 wb fclsfil 3ad2ant2 fclsfnflim mpbid
      cflf ctopon wf simpl1 toptopon2 sylib simprl cnpf 3ad2ant3 flfssfcf cfbas
      cfm topopn fmfil ad2antrl simprrl fmss syl32anc fclsss2 wceq fcfval sstrd
      3sstr4d simprrr simpl3 cnpflfi syl2anc sseldd rexlimddv ) DUAGZACEHIGZBAC
      DUBIJGZUCZEFUDZKZACWFUEIGZTZABJZBDELIJZGFCMZNJZWEWCWIFWMUFZWBWCWDUGWEEWMG
      ZWCWNUHWCWBWOWDAECWLWLOZUIUJZAFECWLUKPULWEWFWMGZWITZTZBDWFUMIJZWKWJWTXABD
      WFLIJZWKWTDDMZUNJGZWRWLXCBUOZXAXBKWTWBXDWBWCWDWSUPZDUQURZWEWRWIUSZWEXEWSW
      DWBXEWCABCDWLXCWPXCOZUTVAQZBDWFXCWLVBRWTDWFXCBVDIZJZHIZDEXKJZHIZXBWKWTXDX
      NXCNJGZXNXLKZXMXOKXGWTXCDGZEWLVCJZGZXEXPWTWBXRXFDXCXIVEPZWTWOXTWEWOWSWQQZ
      EWLSPZXJDEBXCWLVFRWTXRXTWFXSGZXEWGXQYAYCWRYDWEWIWFWLSVGXJWEWRWGWHVHDEWFBX
      CWLVIVJXNXLDXCVKRWTXDWRXEXBXMVLXGXHXJBDWFXCWLVMRWTXDWOXEWKXOVLXGYBXJBDEXC
      WLVMRVOVNWTWHWDWJXAGWEWRWGWHVPWBWCWDWSVQABCDWFVRVSVTWA $.

    $( A function ` F ` is continuous at point ` A ` iff ` F ` respects cluster
       points there.  (Contributed by Jeff Hankins, 14-Nov-2009.)  (Revised by
       Stefan O'Rear, 9-Aug-2015.) $)
    cnpfcf $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) /\ A e. X ) ->
        ( F e. ( ( J CnP K ) ` A ) <-> ( F : X --> Y /\
            A. f e. ( Fil ` X ) ( A e. ( J fClus f ) ->
              ( F ` A ) e. ( ( K fClusf f ) ` F ) ) ) ) ) $=
      ( vg vh cfv wcel co cfcls wi cfil wral wa wceq syl ad2antrr ctopon w3a wf
      ccnp cv cfcf cnpf2 3adantl3 ctop topontop cnpfcfi 3com23 3expia ralrimivw
      3expa sylan 3ad2antl2 jca ex cflim cflf cfm wss wrex cfbas simplrl simprl
      filfbas simpllr simprr fmfnfm r19.29 simpll1 simprrl sseldd sselid simplr
      flimfcls flimss2 syl3anc simpll2 fcfval simprrr oveq2d eqtr4d eleq2d expr
      biimpd embantd impcomd rexlimdva syl5 com23 ralrimdva cuni toponmax fmfil
      mpan2d wb toponuni fveq2d eleqtrd eqid flimfnfcls raleqdv 3bitr4d sylibrd
      flfval imdistanda cnpflf impbid ) DFUAJKZEGUAJKZAFKZUBZCADEUDLJKZFGCUCZAD
      BUEZMLZKZACJZCEXRUFLJZKZNZBFOJZPZQZXOXPYGXOXPQXQYFXLXMXPXQXNXLXMXPXQACDEF
      GUGUOUHXMXLXPYFXNXMXPQYDBYEXMEUIKZXPYDGEUJYHXPXTYCYHXTXPYCACDEXRUKULUMUPU
      NUQURUSXOYGXQADHUEZUTLZKZYACEYIVALJZKZNZHYEPZQXPXOXQYFYOXOXQQZYFYNHYEYPYI
      YEKZQYKYFYMYPYQYKYFYMNYPYQYKQZQZYFYIGCVBLZJZIUEZVCZYAEUUBMLZKZNZIGOJZPZYM
      YSYFUUFIUUGYSUUBUUGKZQUUCYFUUEYSUUIUUCYFUUENYSUUIUUCQZQZYFYIXRVCZUUBXRYTJ
      ZRZQZBYEVDZUUEUUKYIBCUUBGFUUKYQYIFVEJKZYPYQYKUUJVFYIFVHZSYSUUIUUCVGXOXQYR
      UUJVIYSUUIUUCVJVKYFUUPQYDUUOQZBYEVDUUKUUEYDUUOBYEVLUUKUUSUUEBYEUUKXRYEKZQ
      UUOYDUUEUUKUUTUUOYDUUENUUKUUTUUOQZQZXTYCUUEUVBDXRUTLZXSAXRDVRUVBYJUVCAUVB
      XLUUTUULYJUVCVCYSXLUUJUVAXLXMXNXQYRVMTUUKUUTUUOVGZUUKUUTUULUUNVNXRYIDFVSV
      TYSYKUUJUVAYPYQYKVJTVOVPUVBYCUUEUVBYBUUDYAUVBYBEUUMMLZUUDUVBXMUUTXQYBUVER
      YSXMUUJUVAXLXMXNXQYRWAZTUVDYSXQUUJUVAXOXQYRVQZTCEXRGFWBVTUVBUUBUUMEMUUKUU
      TUULUUNWCWDWEWFWHWIWGWJWKWLWRWGWMWNYSYAEUUAUTLZKZUUFIEWOZOJZPZYMUUHYSUUAU
      VKKUVIUVLWSYSUUAUUGUVKYSGEKZUUQXQUUAUUGKYSXMUVMUVFGEWPSYSYQUUQYPYQYKVGZUU
      RSUVGEYICGFWQVTYSGUVJOYSXMGUVJRUVFGEWTSXAZXBYAIUUAEUVJUVJXCXDSYSYLUVHYAYS
      XMYQXQYLUVHRUVFUVNUVGCEYIGFXHVTWFYSUUFIUUGUVKUVOXEXFXGWGWMWNXIAHCDEFGXJXG
      XK $.

    $( Continuity of a function in terms of cluster points of a function.
       (Contributed by Jeff Hankins, 28-Nov-2009.)  (Revised by Stefan O'Rear,
       9-Aug-2015.) $)
    cnfcf $p |- ( ( J e. ( TopOn ` X ) /\ K e. ( TopOn ` Y ) ) ->
      ( F e. ( J Cn K ) <-> ( F : X --> Y /\ A. f e. ( Fil ` X )
        A. x e. ( J fClus f ) ( F ` x ) e. ( ( K fClusf f ) ` F ) ) ) ) $=
      ( ctopon cfv wcel wa ccn co wf cv ccnp wral cfcf wi bitrd cfcls simplr wb
      cfil cnpfcf ad4ant124 mpbirand ralbidva cuni eqid fclselbas wceq toponuni
      cncnp ralcom ad2antrr eleq2d syl5ibr imbi1d impexp bitrdi ralbidv bitr4id
      pm4.71rd ralbidv2 pm5.32da ) DFHIJZEGHIJZKZCDELMJFGCNZCAOZDEPMIJZAFQZKVJV
      KCICEBOZRMIJZADVNUAMZQZBFUDIZQZKACDEFGUNVIVJVMVSVIVJKZVMVKVPJZVOSZBVRQZAF
      QZVSVTVLWCAFVTVKFJZKVLVJWCVIVJWEUBVGVHWEVLVJWCKUCVJVKBCDEFGUEUFUGUHVTWDWB
      AFQZBVRQVSWBABFVRUOVTVQWFBVRVTVOWBAVPFVTWBWEWAKZVOSWEWBSVTWAWGVOVTWAWEWAW
      EVTVKDUIZJVKVNDWHWHUJUKVTFWHVKVGFWHULVHVJFDUMUPUQURVDUSWEWAVOUTVAVEVBVCTV
      FT $.
  $}

  ${
    $d A a x $.  $d B a x $.  $d F a x $.  $d J a x $.  $d K a x $.
    $d X a x $.  $d ph a x $.
    flfcntr.c $e |- C = U. J $.
    flfcntr.b $e |- B = U. K $.
    flfcntr.j $e |- ( ph -> J e. Top ) $.
    flfcntr.a $e |- ( ph -> A C_ C ) $.
    ${
      flfcntr.1 $e |- ( ph -> F e. ( ( J |`t A ) Cn K ) ) $.
      flfcntr.y $e |- ( ph -> X e. A ) $.
      $( A continuous function's value is always in the trace of its filter
         limit.  (Contributed by Thierry Arnoux, 30-Aug-2020.) $)
      flfcntr $p |- ( ph ->
        ( F ` X ) e. ( ( K fLimf ( ( ( nei ` J ) ` { X } ) |`t A ) ) ` F ) ) $=
        ( vx va cfv co wcel cflim cv csn cnei crest cflf wceq fveq2 eleq1d wral
        cfil oveq2 fveq1d eleq2d raleqbidv wf ccn wa ctopon ctop toptopon sylib
        wb wss resttopon syl2anc cntop2 syl cnflf mpbid simprd ccl sscls sseldd
        trnei syl3anc rspcdva neiflim snssd neitr oveq2d eleqtrd ) AOUAZEQZEGHU
        BZFUCQQBUDRZUERZQZSZHEQZWGSOFBUDRZWETRZHWBHUFWCWIWGWBHEUGUHAWCEGPUAZUER
        ZQZSZOWJWLTRZUIZWHOWKUIPBUJQZWEWLWEUFZWOWHOWPWKWLWEWJTUKWSWNWGWCWSEWMWF
        WLWEGUEUKULUMUNABCEUOZWQPWRUIZAEWJGUPRSZWTXAUQZMAWJBURQSZGCURQSZXBXCVBA
        FDURQSZBDVCZXDAFUSSZXFKFDIUTVAZLBFDVDVEZAGUSSZXEAXBXKMEWJGVFVGGCJUTVAOP
        EWJGBCVHVEVIVJAHBFVKQQZSZWEWRSZABXLHAXHXGBXLVCKLBFDIVLVENVMAXFXGHDSXMXN
        VBXILABDHLNVMBHFDVNVOVIVPAHWJWDWJUCQQZTRZWKAXDHBSHXPSXJNHWJBVQVEAXOWEWJ
        TAXHXGWDBVCXOWEUFKLAHBNVRBWDFDIVSVOVTWAVP $.
    $}

$(
    @{
      flfcntr2.y @e |- ( ph -> X e. C ) @.
      flfcntr2.k @e |- ( ph -> K e. N-Locally Comp ) @.
      flfcntr2.1 @e |- ( ph -> F : A --> B ) @.
      flfcntr2.2 @e |- ( ph -> C = ( ( cls ` J ) ` A ) ) @.
      @( The trace of the filter of a function has values on the
         closure of the domain's function.  (Contributed by Thierry Arnoux,
         30-Aug-2020.) @)
      flfcntr2 @p |- ( ph ->
        ( ( K fLimf ( ( ( nei ` J ) ` { X } ) |`t A ) ) ` F ) =/= (/) ) @=
        ? @.
    @}
$)
  $}

  ${
    $d x y z B $.  $d f x y z J $.  $d f x y z ph $.  $d f x y z X $.
    $d x y z F $.
    alexsub.1 $e |- ( ph -> X e. UFL ) $.
    alexsub.2 $e |- ( ph -> X = U. B ) $.
    alexsub.3 $e |- ( ph -> J = ( topGen ` ( fi ` B ) ) ) $.
    alexsub.4 $e |- ( ( ph /\ ( x C_ B /\ X = U. x ) ) ->
       E. y e. ( ~P x i^i Fin ) X = U. y ) $.
    ${
      alexsub.5 $e |- ( ph -> F e. ( UFil ` X ) ) $.
      alexsub.6 $e |- ( ph -> ( J fLim F ) = (/) ) $.
      $( Lemma for ~ alexsub .  (Contributed by Mario Carneiro,
         26-Aug-2015.) $)
      alexsublem $p |- -. ph $=
        ( vz wceq wss wa c0 wcel cvv cv cuni cdif cpw cfn cin wrex cflim co wel
        wi wral wn eldif cfi cfv ctg eleq2d anbi1d biimpa adantlr tg2 syl cufil
        cfil ufilfil ad3antrrr cint csn wb elfvexd eqeltrrd uniexb sylibr elfi2
        adantr wne ad2antrr simplrr intss1 adantl simplr sseldd eldifsn simplbi
        ad2antlr ad2antrl elfpw sselda anasss anim1i syl2anc ex mt3d expr ssrdv
        elunii eldifsni elinel2 elfir syl13anc filfi eleqtrd imbi12d syl5ibrcom
        eleq2 eleq1 rexlimdva sylbid imp32 adantrrr elssuni fibas tgtopon ax-mp
        ctopon ctb eqeltrdi fiuni eqtrd fveq2d eleqtrrd toponuni sseqtrrd filss
        simprrr rexlimddv ralrimiva imdistanda syl5bi flimopn sylibrd ralrimivw
        difexd unieq eqtr4di eqnetrd necon3bii sylib ciun sseq0 difss sseqtrrid
        ssdif0 unissi eqssd jctil sseq1 eqeq2d anbi12d anbi2d pweq ineq1d mpcom
        rexeqdv vtoclg mpdan uni0 eqtrdi neeq2d ciin cmpt crn difssd riinn0 cab
        sylan dfiin2g eqid rnmpt inteqi eldifbd difss2d ufilb mpbid fmpttd frnd
        cdm dmmptd simpr abrexfi eqeltrid filintn0 disj3 iundif2 dfss4 iuneq2dv
        dm0rn0 uniiun eqtr3id neeqtrd filtop fileln0 syl2anc2 pm2.61ne pm2.65i
        neneqd nrexdv ) AGCUAZUBZOZCDEUCZUDZUEUFZUGZAUXBDPZGUXBUBZOZQZUXEAUXHUX
        FAGUXGAGUXGUCZROZGUXGPAUXJFEUHUIZPUXLROUXKABUXJUXLABUAZUXJSZUXMGSZBCUJZ
        UWSESZUKZCFULZQZUXMUXLSZUXNUXOUXMUXGSZUMZQZAUXTUXMGUXGUNAUXOUYCUXSAUXOU
        YCUXSAUYDQZUXRCFUYEUWSFSZUXPUXQUYEUYFUXPQZQZBNUJZNUAZUWSPZQZUXQNDUOUPZU
        YHUWSUYMUQUPZSZUXPQZUYLNUYMUGAUYGUYPUYDAUYGUYPAUYFUYOUXPAFUYNUWSJURUSUT
        VANUWSUYMUXMVBVCUYHUYJUYMSZUYLQZQEGVEUPZSZUYJESZUWSGPZUYKUXQAUYTUYDUYGU
        YRAEGVDUPSZUYTLEGVFVCZVGUYEUYRVUAUYGUYEUYQUYIVUAUYKUYEUYQUYIVUAUYEUYQUY
        JUWSVHZOZCDUDZUEUFZRVIUCZUGZUYIVUAUKZAUYQVUJVJZUYDADTSZVULADUBZTSVUMAGV
        UNTIAEVDGLVKZVLDVMVNZCUYJDTVOVCVPUYEVUFVUKCVUIUYEUWSVUISZQVUKVUFUXMVUES
        ZVUEESZUKUYEVUQVURVUSUYEVUQVURQZQZVUEEUOUPZEVVAUYTUWSEPUWSRVQZUWSUESZVU
        EVVBSAUYTUYDVUTVUDVRZVVANUWSEUYEVUTNCUJZVUAUYEVUTVVFQZQZVUAUYBAUXOUYCVV
        GVSVVHVUAUMZUYBVVHVVIQZUYIUYJUXBSZUYBVVGUYIUYEVVIVVGVUEUYJUXMVVFVUEUYJP
        VUTUYJUWSVTWAVUQVURVVFWBWCWFVVJUYJDSZVVIQVVKVVHVVLVVIUYEVUTVVFVVLVVAUWS
        DUYJVVAUWSVUHSZUWSDPZVUQVVMUYEVURVUQVVMVVCUWSVUHRWDWEWGZVVMVVNVVDUWSDWH
        WEVCWIWJWKUYJDEUNVNUXMUYJUXBWQWLWMWNWOWPVUQVVCUYEVURUWSVUHRWRWGVVAVVMVV
        DVVOUWSVUGUEWSVCUWSEUYSWTXAVVAUYTVVBEOVVEEGXBVCXCWOVUFUYIVURVUAVUSUYJVU
        EUXMXFUYJVUEEXGXDXEXHXIXJXKVAUYHVUBUYRUYHUWSFUBZGUYFUWSVVPPUYEUXPUWSFXL
        WGAGVVPOZUYDUYGAFGXPUPZSZVVQAFUYMUBZXPUPZVVRAFUYNVWAJUYMXQSUYNVWASDXMUY
        MXNXOXRAGVVTXPAGVUNVVTIAVUMVUNVVTOVUPDTXSVCXTYAYBZGFYCVCVRYDVPUYHUYQUYI
        UYKYFUYJUWSEGYEXAYGWOYHWOYIYJAVVSUYTUYAUXTVJVWBVUDCUXMEFGYKWLYLWPMUXJUX
        LUUAWLGUXGUUDVNAVUNUXGGUXBDDEUUBZUUEIUUCUUFVWCUUGUXBTSZAUXIQZUXEAVWDUXI
        ADETVUPYNVPAUXMDPZGUXMUBZOZQZQZUXACUXMUDZUEUFZUGZUKVWEUXEUKBUXBTUXMUXBO
        ZVWJVWEVWMUXEVWNVWIUXIAVWNVWFUXFVWHUXHUXMUXBDUUHVWNVWGUXGGUXMUXBYOUUIUU
        JUUKVWNUXACVWLUXDVWNVWKUXCUEUXMUXBUULUUMUUOXDKUUPUUNUUQAUXACUXDAUWSUXDS
        ZQZGUWTVWPGUWTVQGRVQZUWSRUWSROZUWTRGVWRUWTRUBRUWSRYOUURUUSUUTVWPVVCQZGG
        NUWSGUYJUCZUVAZUCZUWTVWSGVXAUFZRVQGVXBVQVWSVXCNUWSVWTUVBZUVCZVHZRVWSVXC
        VXAVXFVWPVWTGPZNUWSULVVCVXCVXAOVWPVXGNUWSVWPGUYJUVDYMNGVWTUWSUVEUVGVWSV
        XAUXMVWTONUWSUGBUVFZVHZVXFVWSVWTTSZNUWSULVXAVXIOVWSVXJNUWSVWSGUYJTAGTSV
        WOVVCVUOVRYNYMNBUWSVWTTUVHVCVXEVXHNBUWSVWTVXDVXDUVIZUVJZUVKYPXTVWSUYTVX
        EEPVXERVQZVXEUESZVXFRVQAUYTVWOVVCVUDVRVWSUWSEVXDVWSNUWSVWTEVWSVVFQZVVIV
        WTESZVXOUYJDEVWSUWSUXBUYJVWOUWSUXBPZAVVCVWOVXQVVDUWSUXBWHWEWFZWIUVLVXOV
        UCUYJGPZVVIVXPVJAVUCVWOVVCVVFLVGVXOUYJVUNGVXOVVLUYJVUNPVWSUWSDUYJVWSUWS
        DEVXRUVMWIUYJDXLVCAGVUNOVWOVVCVVFIVGYDZUYJEGUVNWLUVOZUVPUVQVWSVXDUVRZRV
        QVXMVWSVYBUWSRVWSNVXDUWSVWTEVXKVYAUVSVWPVVCUVTYQVYBRVXERVXDUWHYRYSVWSVV
        DVXNVWOVVDAVVCUWSUXCUEWSWFVVDVXEVXHUEVXLNBUWSVWTUWAUWBVCVXEEGUWCXAYQVXC
        RGVXBGVXAUWDYRYSVWSVXBNUWSGVWTUCZYTZUWTNUWSGVWTUWEVWSVYDNUWSUYJYTUWTVWS
        NUWSVYCUYJVXOVXSVYCUYJOVXTUYJGUWFYSUWGNUWSUWIYPUWJUWKVWPUYTGESVWQAUYTVW
        OVUDVPEGUWLGEGUWMUWNUWOUWQUWRUWP $.
    $}

    $( The Alexander Subbase Theorem:  If ` B ` is a subbase for the topology
       ` J ` , and any cover taken from ` B ` has a finite subcover, then the
       generated topology is compact.  This proof uses the ultrafilter lemma;
       see ~ alexsubALT for a proof using Zorn's lemma.  (Contributed by Jeff
       Hankins, 24-Jan-2010.)  (Revised by Mario Carneiro, 26-Aug-2015.) $)
    alexsub $p |- ( ph -> J e. Comp ) $=
      ( vf wcel cv c0 cfv wa wceq adantr cuni cvv ccmp cflim co cufil wral cufl
      wne cfi ctg wss cpw cfn cin wrex adantlr simprl simprr alexsublem pm2.21i
      wn expr pm2.01d neqned ralrimiva ctopon wb ctb fibas ax-mp eqeltrdi elexd
      tgtopon eqeltrrd uniexb sylibr fiuni eqtrd fveq2d eleqtrrd ufilcmp mpbird
      syl syl2anc ) AEUALZEKMZUBUCZNUGZKFUDOZUEZAWGKWHAWEWHLZPZWFNWKWFNQZAWJWLW
      LUTZAWJWLPZPZWMWOBCDWEEFAFUFLZWNGRAFDSZQWNHRAEDUHOZUIOZQWNIRABMZDUJFWTSQP
      FCMSQCWTUKULUMUNWNJUOAWJWLUPAWJWLUQURUSVAVBVCVDAWPEFVEOZLWDWIVFGAEWRSZVEO
      ZXAAEWSXCIWRVGLWSXCLDVHWRVLVIVJAFXBVEAFWQXBHADTLZWQXBQAWQTLXDAFWQTHAFUFGV
      KVMDVNVODTVPWBVQVRVSKEFVTWCWA $.
  $}

  ${
    $d w x y z B $.  $d w x y z X $.
    $( Biconditional form of the Alexander Subbase Theorem ~ alexsub .
       (Contributed by Mario Carneiro, 27-Aug-2015.) $)
    alexsubb $p |- ( ( X e. UFL /\ X = U. B ) ->
        ( ( topGen ` ( fi ` B ) ) e. Comp <-> A. x e. ~P B ( X = U. x ->
          E. y e. ( ~P x i^i Fin ) X = U. y ) ) ) $=
      ( vz vw wcel cuni wceq wa cv cpw cfn wrex wi wral cvv syl ctb wss cfi cfv
      cufl ctg ccmp cin ctop eqid iscmp simprbi simpr elex adantr uniexb sylibr
      fiuni fibas unitg mp1i 3eqtr4d eqeq1d rexbidv imbi12d ralbidv ssfii bastg
      eqeltrrd ax-mp sstrdi sspwd ssralv sylbird syl5 simpll simplr eqidd velpw
      unieq eqeq2d ineq1d rexeqdv rspccv adantl syl5bir imp32 cbvrexvw sylib ex
      pweq alexsub impbid ) DUCGZDCHZIZJZCUAUBZUDUBZUEGZDAKZHZIZDBKZHZIZBWSLZMU
      FZNZOZACLZPZWRWQHZWTIZXKXCIZBXFNZOZAWQLZPZWOXJWRWQUGGXQABWQXKXKUHUIUJWOXQ
      XHAXPPZXJWOXHXOAXPWOXAXLXGXNWODXKWTWOWMWPHZDXKWOCQGZWMXSIWOWMQGXTWODWMQWL
      WNUKZWLDQGWNDUCULUMVGCUNUOZCQUPRYAWPSGZXKXSIWOCUQZWPSURUSUTZVAWOXDXMBXFWO
      DXKXCYEVAVBVCVDWOXIXPTXRXJOWOCWQWOCWPWQWOXTCWPTYBCQVERYCWPWQTYDWPSVFVHVIV
      JXHAXIXPVKRVLVMWOXJWRWOXJJZEFCWQDWLWNXJVNWLWNXJVOYFWQVPYFEKZCTZDYGHZIZJJX
      DBYGLZMUFZNZDFKZHZIZFYLNYFYHYJYMYHYGXIGZYFYJYMOZECVQXJYQYROWOXHYRAYGXIWSY
      GIZXAYJXGYMYSWTYIDWSYGVRVSYSXDBXFYLYSXEYKMWSYGWIVTWAVCWBWCWDWEXDYPBFYLXBY
      NIXCYODXBYNVRVSWFWGWJWHWK $.
  $}

  ${
    $d a b c d f m n s t u v w x y z J $.
    $d a b c d f m n s t u v w x y z X $.
    alexsubALT.1 $e |- X = U. J $.
    $( Lemma for ~ alexsubALT .  A compact space has a subbase such that every
       cover taken from it has a finite subcover.  (Contributed by Jeff
       Hankins, 27-Jan-2010.) $)
    alexsubALTlem1 $p |- ( J e. Comp -> E. x ( J = ( topGen ` ( fi ` x ) )
       /\ A. c e. ~P x ( X = U. c -> E. d e. ( ~P c i^i Fin ) X = U. d ) ) ) $=
      ( ccmp wcel cfi cfv ctg wceq cv cuni cpw cfn cin wrex wral wa wi wex ctop
      cmptop fitop fveq2d tgtop eqtr2d velpw cmpcov 3exp syl5bi ralrimiv 2fveq3
      syl wss eqeq2d pweq raleqdv anbi12d spcegv mp2and ) BGHZBBIJZKJZLZCDMZNLZ
      CEMNLEVGOPQRZUAZDBOZSZBAMZIJKJZLZVJDVMOZSZTZAUBVCBUCHZVFBUDVSVEBKJBVSVDBK
      BUEUFBUGUHUOVCVJDVKVGVKHVGBUPZVCVJDBUIVCVTVHVIVGBCEFUJUKULUMVRVFVLTABGVMB
      LZVOVFVQVLWAVNVEBVMBKIUNUQWAVJDVPVKVMBURUSUTVAVB $.

    $( Lemma for ~ alexsubALT .  Every subset of a base which has no finite
       subcover is a subset of a maximal such collection.  (Contributed by Jeff
       Hankins, 27-Jan-2010.) $)
    alexsubALTlem2 $p |- ( ( ( J = ( topGen ` ( fi ` x ) )
      /\ A. c e. ~P x ( X = U. c
        -> E. d e. ( ~P c i^i Fin ) X = U. d ) /\ a e. ~P ( fi ` x ) )
          /\ A. b e. ( ~P a i^i Fin ) -. X = U. b )
            -> E. u e. ( { z e. ~P ( fi ` x ) | ( a C_ z
                /\ A. b e. ( ~P z i^i Fin ) -. X = U. b ) } u. { (/) } )
              A. v e. ( { z e. ~P ( fi ` x ) | ( a C_ z
                  /\ A. b e. ( ~P z i^i Fin ) -. X = U. b ) } u. { (/) } )
                -. u C. v ) $=
      ( vw cv wceq cfn wi wcel wa wss c0 cfi cfv ctg cuni cpw cin wrex wral w3a
      vy vn wn crab csn cun crpss wor wal wpss ssel elun weq sseq2 pweq raleqdv
      wo ineq1d anbi12d elrab velsn orbi12i bitri elpwi adantr 0ss sseq1 mpbiri
      jaoi sylbi syl6 ralrimiv unissb sylibr ad2antlr vuniex uni0b wne disjssun
      elpw notbii biimpcd necon3bd n0 elin anbi2i simprrl simpl syl2anc exlimiv
      wex ssuni ad2antrl syl5bi imp elfpw unieq eqtrdi necon3bi simplrr simprlr
      uni0 simprr finsschain syl22anc expr 0elpw elini eqeq2d notbid rspccv mpi
      0fin velpw syl5bir expd com23 ad2antll a1i ss0 syl6bi biimprcd a1dd syl9r
      com34 jaod sylan9r sylan ad2ant2lr sylib ex adantrl rexlimdv syld impcomd
      cbvralvw jca32 orcom elsn df-or 3bitr4i alrimiv fvex pwex rabex p0ex unex
      bitr2i zorn syl ) EAMZUAUBZUCUBNFIMZUDNFJMUDNJUVBUEOUFUGPIUUTUEUHGMZUVAUE
      ZQUIZFHMZUDZNZULZHUVCUEZOUFZUHZRZUJMZUVCBMZSZUVIHUVOUEZOUFZUHZRZBUVDUMZTU
      NZUOZSZUVNUPUQZRZUVNUDZUWCQZPZUJURDMCMUSULCUWCUHDUWCUGUVMUWIUJUVMUWFUWHUV
      MUWFRZUWGTNZULZUWGUVDQZUVCUWGSZUVIHUWGUEZOUFZUHZRZRZPZUWHUWJUWLUWSUWJUWLR
      ZUWMUWNUWQUXAUWGUVASZUWMUWFUXBUVMUWLUWDUXBUWEUWDLMZUVASZLUVNUHUXBUWDUXDLU
      VNUWDUXCUVNQZUXCUWCQZUXDUVNUWCUXCUTZUXFUXCUVDQZUVCUXCSZUVIHUXCUEZOUFZUHZR
      ZRZUXCTNZVFZUXDUXFUXCUWAQZUXCUWBQZVFUXPUXCUWAUWBVAUXQUXNUXRUXOUVTUXMBUXCU
      VDBLVBZUVPUXIUVSUXLUVOUXCUVCVCUXSUVIHUVRUXKUXSUVQUXJOUVOUXCVDVGVEVHVIZLTV
      JVKVLZUXNUXDUXOUXHUXDUXMUXCUVAVMVNUXOUXDTUVASUVAVOUXCTUVAVPVQVRVSVTWALUVN
      UVAWBWCVNWDUWGUVAUJWEZWIWCUWJUWLUWNUWLUVNUWBSZULZUWJUWNUWKUYCUVNWFWJUWDUY
      DUWNPUVMUWEUWDUYDUVNUWAUFZTWGZUWNUWDUYCUYETUYETNUWDUYCUVNUWAUWBWHWKWLUYFU
      XCUYEQZLWTUWNLUYEWMUYGUWNLUYGUXEUXNRZUWNUYGUXEUXQRUYHUXCUVNUWAWNUXQUXNUXE
      UXTWOVLUYHUXIUXEUWNUXEUXHUXIUXLWPUXEUXNWQUVCUXCUVNXAWRVSWSVSVTXBXCXDUXAFU
      KMZUDZNZULZUKUWPUHUWQUXAUYLUKUWPUYIUWPQUYIUWGSZUYIOQZRUXAUYLUYIUWGXEUXAUY
      NUYMUYLUWJUWLUYNUYMUYLPUWJUWLUYNRZRZUYMUYIUXCSZLUVNUGZUYLUWJUYOUYMUYRUWJU
      YOUYMRZRUVNTWGZUWEUYNUYMUYRUYOUYTUWJUYMUWLUYTUYNUWKUVNTUVNTNUWGTUDZTUVNTX
      FXKXGXHVNXBUVMUWDUWEUYSXIUWJUWLUYNUYMXJUWJUYOUYMXLLUVNUYIXMXNXOUYPUYQUYLL
      UVNUWJUYNUXEUYQUYLPZPZUWLUWJUYNVUCUVLUWDUYNVUCPZUVEUWEUVLFVUANZULZUWDVUDU
      VLTUVKQVUFTUVJOUVCXPYBXQUVIVUFHTUVKUVFTNZUVHVUEVUGUVGVUAFUVFTXFXRXSXTYAVU
      FUWDRUXEUYNVUBUWDUXEUXFVUFUYNVUBPZUXGUXFUXPVUFVUHUYAVUFUXNVUHUXOUXNVUHPVU
      FUXLVUHUXHUXIUXLUYQUYNUYLUYQUYIUXJQZUXLUYNUYLPZUKUXCYCUXLVUIUYNUYLVUIUYNR
      UYIUXKQUXLUYLUYIUXJOWNUVIUYLHUYIUXKHUKVBZUVHUYKVUKUVGUYJFUVFUYIXFXRXSXTYD
      YEYDYFYGYHVUFUXOUYQUYNUYLUXOUYQUYITNZVUFVUJUXOUYQUYITSVULUXCTUYIVCUYIYIYJ
      VUFVULUYLUYNVULUYLVUFVULUYKVUEVULUYJVUAFUYITXFXRXSYKYLYMYNYOXCYPYFYQYRXDU
      UAUUBUUCXOUUDXCWAUYLUVIUKHUWPUKHVBZUYKUVHVUMUYJUVGFUYIUVFXFXRXSUUEYSUUFYT
      UWGUWBQZUWGUWAQZVFZVUOVUNVFUWTUWHVUNVUOUUGVUPUWKUWSVFUWTVUNUWKVUOUWSUWGTU
      YBUUHUVTUWRBUWGUVDUVOUWGNZUVPUWNUVSUWQUVOUWGUVCVCVUQUVIHUVRUWPVUQUVQUWOOU
      VOUWGVDVGVEVHVIVKUWKUWSUUIUUQUWGUWAUWBVAUUJYSYTUUKDCUJUWCUWAUWBUVTBUVDUVA
      UUTUAUULUUMUUNUUOUUPUURUUS $.

    $( Lemma for ~ alexsubALT .  If a point is covered by a collection taken
       from the base with no finite subcover, a set from the subbase can be
       added that covers the point so that the resulting collection has no
       finite subcover.  (Contributed by Jeff Hankins, 28-Jan-2010.)  (Revised
       by Mario Carneiro, 14-Dec-2013.) $)
    alexsubALTlem3 $p |- ( ( ( ( ( J = ( topGen ` ( fi ` x ) ) /\
          A. c e. ~P x ( X = U. c -> E. d e. ( ~P c i^i Fin ) X = U. d ) /\
              a e. ~P ( fi ` x ) ) /\
            ( u e. ~P ( fi ` x ) /\ ( a C_ u /\
              A. b e. ( ~P u i^i Fin ) -. X = U. b ) ) ) /\ w e. u ) /\
          ( ( t e. ( ~P x i^i Fin ) /\ w = |^| t ) /\
            ( y e. w /\ -. y e. U. ( x i^i u ) ) ) ) ->
      E. s e. t A. n e. ( ~P ( u u. { s } ) i^i Fin ) -. X = U. n ) $=
      ( wceq cfn wi wcel wss wa vm vf vv cfi cfv ctg cuni cpw cin wrex wral w3a
      vz cv wn wel cint csn cun dfrex2 ralbii ralnex bitr2i wex cdif elin elpwi
      adantr uncom sseqtrdi ssundif sylib diffi adantl jca sylbi ad2antll elpw2
      wf vex anbi1i simprrr eldif simplbi2 wo elun orcom df-or ssriv uniss mp1i
      bitr4i uniun unisn uneq2i eqtri eqsstrd difss unissi sseq2 mpbiri elssuni
      ad3antrrr syl ctb unieq 3ad2ant1 cvv eqtr4di sseqtrd unssd eqssd rspceeqv
      sseldd uneq1d syl2anc eqeq2d ex ad2antrl ralrimiva sylibr wal alinexa weq
      rspcv eleq2 eluni notbid syl9r syl5bi imp31 ad2antrr anim2i eximi orbi12i
      eliun velsn bitri syl6 exp32 elinel1 elpwid ad2antlr fibas unitg 3eqtr4rd
      simprl fiuni expr expd rexlimdv elinel2 ac6sfi ciun ffvelrn iunss simplrr
      ralimdva snssd elin2d iunfi syl2an ad4ant14 ad2ant2lr snfi sylancl imbi2i
      albii fveq2 unieqd id uneq12d biimpd orbi1i imbi1i 3bitri ralbidv imbi12d
      unfi eleq1w spvv eleq2d alrimdv imim1d a1dd com14 ralrimdv elint2 syl6ibr
      syld com23 wb sylibrd orrd orc equid equequ1 anbi12d spcev mpan2 olc jaoi
      anbi2i exbii ad5ant25 ad2ant2l ssrdv nfra1 nfv eqimss2 sstr expcom syl2im
      ssun3 rexlimd ax-mp eqtr2di sseq1 syl5ibrcom jaod ralrimiv unissb exlimdv
      rsp 3syld syl6ib con4d com24 imp45 ) GAUNZUDUEZUFUEZOZHLUNZUGOHMUNUGOMUYN
      UHPUIUJQLUYJUHZUKZJUNZUYKUHZRZULZDUNZUYRRZUYQVUASZHKUNZUGZOZUOKVUAUHZPUIZ
      UKZTTTCDUPZEUNZUYOPUIRZCUNZVUKUQZOZTZBCUPBUNZUYJVUAUIUGRUOTZTZHFUNZUGZOZU
      OFVUAIUNZURZUSZUHZPUIZUKZIVUKUJZUYTVUBVUCVUIVUJVUSVVIQQZUYTVUBVUCVUIVVJQU
      YTVUBVUCTZTZVUSVUJVUIVVIVVLVUSVUJVUIVVIQVVLVUSVUJTZTZVVIVUIVVNVVIUOZVUFKV
      UHUJZVUIUOVVOVVBFVVGUJZIVUKUKZVVNVVPVVRVVHUOZIVUKUKVVOVVQVVSIVUKVVBFVVGUT
      VAVVHIVUKVBVCVVNVVRHUAUNZUGZVVCUSZOZUAVUHUJZIVUKUKZVUKVUHUBUNZVSZHVVCVWFU
      EZUGZVVCUSZOZIVUKUKZTZUBVDZVVPVVNVVQVWDIVUKVVNIEUPZTZVVBVWDFVVGVWPVUTVVGR
      ZVVBVWDVVNVWOVWQVVBTZVWDVVNVWOVWRTZTZVUTVVDVEZVUHRZHVXAUGZVVCUSZOVWDVWTVX
      AVUASZVXAPRZTZVXBVWRVXGVVNVWOVWQVXGVVBVWQVUTVVFRZVUTPRZTZVXGVUTVVFPVFVXJV
      XEVXFVXJVUTVVDVUAUSZSVXEVXJVUTVVEVXKVXHVUTVVESVXIVUTVVEVGVHVUAVVDVIVJVUTV
      VDVUAVKVLVXIVXFVXHVUTVVDVMVNVOVPVHVQVXBVXAVUGRZVXFTVXGVXAVUGPVFVXLVXEVXFV
      XAVUADVTZVRWAVCVLVWTHVXDVWTHVVAVXDVVNVWOVWQVVBWBVWTVVAVXAVVDUSZUGZVXDVUTV
      XNSVVAVXOSVWTAVUTVXNAFUPZUYJVVDRZUOZUYJVXARZQZUYJVXNRZVXSVXPVXRUYJVUTVVDW
      CWDVYAVXQVXSWEZVXTVYAVXSVXQWEVYBUYJVXAVVDWFVXQVXSWGWLVXQVXSWHVCVLWIVUTVXN
      WJWKVXOVXCVVDUGZUSVXDVXAVVDWMVYCVVCVXCVVCIVTWNWOWPVJWQVWTVXCVVCHVWRVXCHSZ
      VVNVWOVVBVYDVWQVVBVYDVXCVVASVXAVUTVUTVVDWRWSHVVAVXCWTXAVNVQVWTVVCUYJUGZHV
      WTIAUPVVCVYESVWTVUKUYJVVCVVMVUKUYJSZVVLVWSVULVYFVUOVURVUJVULVUKUYJVUKUYOP
      UUAUUBXCUUCVVNVWOVWRUUGXNVVCUYJXBXDVWTVYEGUGZHVWTUYLUGZUYKUGZVYGVYEUYKXER
      ZVYHVYIOZVWTUYJUUDZUYKXEUUEZWKUYTVYGVYHOZVVKVVMVWSUYMUYPVYNUYSGUYLXFZXGXC
      UYJXHRVYEVYIOVWTAVTUYJXHUUHWKUUFNXIXJXKXLUAVXAVUHVWBVXDHVVTVXAOVWAVXCVVCV
      VTVXAXFXOXMXPUUIUUJUUKUURVUSVWEVWNQZVVLVUJVUPVYPVURVUPVUKPRZVYPVULVYQVUOV
      UKUYOPUULVHZVYQVWEVWNVWCVWKIUAVUKVUHUBVVTVWHOZVWBVWJHVYSVWAVWIVVCVVTVWHXF
      XOXQUUMXRXDVHXSVVNVWMVVPUBVVNVWMVVPVVNVWMTZIVUKVWHUUNZVUMURZUSZVUHRZHWUCU
      GZOVVPVYTWUCVUASZWUCPRZTZWUDVYTWUFWUGVYTWUAWUBVUAVWGWUAVUASZVVNVWLVWGVWHV
      UASZIVUKUKWUIVWGWUJIVUKVWGVWOTZVWHVUHRZWUJVUKVUHVVCVWFUUOZWULVWHVUGRZVWHP
      RZTWUJVWHVUGPVFWUNWUJWUOVWHVUAVGVHVPXDXTIVUKVWHVUAUUPYAXSVYTVUMVUAVVLVUSV
      UJVWMUUQZUUSXKVYTWUAPRZWUBPRWUGVVMVWGWUQVVLVWLVUPVWGWUQVURVUJVUPVYQWUOIVU
      KUKWUQVWGVYRVWGWUOIVUKWUKVUGPVWHWUMUUTXTIVUKVWHUVAUVBUVCUVDVUMUVEWUAWUBUV
      SUVFVOWUDWUCVUGRZWUGTWUHWUCVUGPVFWURWUFWUGWUCVUAVXMVRWAVCVLVYTHWUEVYTUCHW
      UEVVMVWLUCUNZHRZWUSWUERZQZVVLVWGVUOVWLWVBVULVURVUJVUOVWLTZWUTUCBUPZVUQVWH
      RZIVUKUJZTZBVDZUCCUPZWEZWVAWVCWUTWVJWVCWUTTZWVHWVIWVHUOZWVDWVEUOZIVUKUKZQ
      ZBYBZWVKWVIWVPWVDWVFUOZQZBYBWVLWVOWVRBWVNWVQWVDWVEIVUKVBUVGUVHWVDWVFBYCVC
      WVKWVPWUSVUNRZWVIWVKWVPUCUMUPZUMVUKUKWVSWVKWVPWVTUMVUKWVKUMEUPZWVPWVTVUOV
      WLWUTWWAWVPWVTQZQWWAVWLWUTVUOWWBWWAVWLHUMUNZVWFUEZUGZWWCUSZOZWUTVUOWWBQZQ
      VWKWWGIWWCVUKIUMYDZVWJWWFHWWIVWIWWEVVCWWCWWIVWHWWDVVCWWCVWFUVIZUVJWWIUVKU
      VLXQYEWWGWUTWUSWWFRZWWAWWHWWGWUTWWKHWWFWUSYFUVMWWAWWKWWBVUOWWKWVIVUMWWDRZ
      UOZQZCYBZWVTQZWWAWWBWWKWUSWWERZWVTWEWVIWWLTCVDZWVTWEZWWPWUSWWEWWCWFWWQWWR
      WVTCWUSWWDYGUVNWWSWWRUOZWVTQWWPWWRWVTWHWWOWWTWVTWVIWWLCYCUVOWLUVPWWAWVPWW
      OWVTWWAWVPWWNCWVPWVIVUMVWHRZUOZIVUKUKZWWAWWMWVOWVIWXCQBCBCYDZWVDWVIWVNWXC
      VUQVUMWUSYFZWXDWVMWXBIVUKWXDWVEWXABCVWHUVTYHUVQUVRUWAWXBWWMIWWCVUKWWIWXAW
      WLWWIVWHWWDVUMWWJUWBYHYEYIUWCUWDYJUWEYIUWJUWFYKUWKUWGUMWUSVUKUCVTUWHUWIVU
      OWVIWVSUWLVWLWUTVUMVUNWUSYFYLUWMYJUWNXRWVJWVDWVFWXDWEZTZBVDZWVAWVHWXHWVIW
      VGWXGBWVFWXFWVDWVFWXDUWOYMYNWVIWVDWXDTZBVDZWXHWVICCYDZWXJCUWPWXIWVIWXKTBV
      UMCVTWXDWVDWVIWXDWXKWXEBCCUWQUWRUWSUWTWXIWXGBWXDWXFWVDWXDWVFUXAYMYNXDUXBW
      VAWVDVUQWUCRZTZBVDWXHBWUSWUCYGWXMWXGBWXLWXFWVDWXLVUQWUARZVUQWUBRZWEWXFVUQ
      WUAWUBWFWXNWVFWXOWXDIVUQVUKVWHYPBVUMYQYOYRUXCUXDVCVLYSUXEUXFUXGVYTWUSHSZU
      CWUCUKWUEHSVYTWXPUCWUCWUSWUCRZWUSVWHRZIVUKUJZUCCYDZWEZVYTWXPWXQWUSWUARZWU
      SWUBRZWEWYAWUSWUAWUBWFWYBWXSWYCWXTIWUSVUKVWHYPUCVUMYQYOYRVYTWXSWXPWXTVWLW
      XSWXPQVVNVWGVWLWXRWXPIVUKVWKIVUKUXHWXPIUXIVWLVWOVWKWXRWXPQVWKIVUKUYDVWKVW
      JHSZWXRWUSVWJSZWXPVWJHUXJWXRWUSVWISWYEWUSVWHXBWUSVWIVVCUXNXDWYEWYDWXPWUSV
      WJHUXKUXLUXMYSUXOVQVYTWXPWXTVUMHSVYTVUMVYIHVYTVUMUYKRVUMVYISVYTVUAUYKVUMV
      VLVUAUYKSZVVMVWMVUBWYFUYTVUCVUAUYKVGXSYLWUPXNVUMUYKXBXDUYTVYIHOZVVKVVMVWM
      UYMUYPWYGUYSUYMVYIVYGHUYMVYGVYHVYIVYOVYJVYKVYLVYMUXPUXQNXIXGXCXJWUSVUMHUX
      RUXSUXTYJUYAUCWUCHUYBYAXLKWUCVUHVUEWUEHVUDWUCXFXMXPXRUYCUYEYJVUFKVUHUTUYF
      UYGYTUYHYTUYIYK $.

    $( Lemma for ~ alexsubALT .  If any cover taken from a subbase has a finite
       subcover, any cover taken from the corresponding base has a finite
       subcover.  (Contributed by Jeff Hankins, 28-Jan-2010.)  (Revised by
       Mario Carneiro, 14-Dec-2013.) $)
    alexsubALTlem4 $p |- ( J = ( topGen ` ( fi ` x ) ) ->
      ( A. c e. ~P x ( X = U. c -> E. d e. ( ~P c i^i Fin ) X = U. d ) ->
        A. a e. ~P ( fi ` x ) ( X = U. a ->
          E. b e. ( ~P a i^i Fin ) X = U. b ) ) ) $=
      ( vu vv vs cv wceq cuni cfn wi wcel wn wa wss vz vy vw vt cfi cfv ctg cpw
      vn cin wrex wral w3a ralnex wpss crab c0 csn alexsubALTlem2 wo elun sseq2
      cun ineq1d raleqdv anbi12d elrab velsn orbi12i bitri simprrl unissd sseq1
      weq pweq syl5ibrcom cvv vex inss1 elpwi2 unieq eqeq2d rexeqdv imbi12d mpi
      rspccv inss2 sstr mpan2 anim1i elfpw 3imtr4i reximi2 syl6 cbvrexvw syl6ib
      dfrex2 con2d a1d 3ad2ant2 adantr impd wb unissi fiuni elv ctb fibas unitg
      impr ax-mp eqtr4i eqtr4id eqtr4di 3ad2ant1 sseqtrid syl ad2antrl ad4antlr
      wex nss ad2antrr ad2antlr simprl sseldd sselid sylibr ssun1 notbid adantl
      wel wne ex syl5bir expd con3d eqimss2 psseq2 rexlimdv syl5bi eqcom syl5bb
      eqss baib mtbid sstr2 df-rex bitr4i eluni2 cint elpwi elfi alexsubALTlem3
      con3rr3 sseld el2v ssfii elinel1 elpwid snssd unssd elpw2 sstrdi cbvralvw
      biimpi ad2antll jca32 elun1 vsnid intss1 impcom ad4ant24 adantrrr adantll
      fvex elun2 simprlr elin elunii sylc com23 exp32 imp55 eleq1w elequ1 spcev
      expr sylancr necon3bi jctil df-pss syl2anc rexlimddv exp45 mpdd biantrurd
      rspcev 3syld bitr3d simpll3 simplr elrabd rspcv 0elpw 0fin elini eqeltrdi
      id syl5 necon2ad psseq1 0pss bitrdi sylibrd nsyld jaod mpd con4d ralrimdv
      3exp ) BALZUEUFZUGUFZMZCFLZNZMZCGLZNZMZGUYEUHZOUJZUKZPZFUYAUHZULZCDLZNZMZ
      CELZNZMZEUYQUHZOUJZUKZPZDUYBUHZUYDUYPUYQVUGQZVUFUYDUYPVUHUMZVUEUYSVUERVUB
      RZEVUDULZVUIUYSRZVUBEVUDUNVUIVUKVULVUIVUKSZILZJLZUOZRZJUYQUALZTZVUJEVURUH
      ZOUJZULZSZUAVUGUPZUQURZVCZULZIVVFUKVULAUAJIBCDEFGHUSVUMVVGVULIVVFVUNVVFQZ
      VUNVUGQZUYQVUNTZVUJEVUNUHZOUJZULZSZSZVUNUQMZUTZVUMVVGVULPZVVHVUNVVDQZVUNV
      VEQZUTVVQVUNVVDVVEVAVVSVVOVVTVVPVVCVVNUAVUNVUGUAIVNZVUSVVJVVBVVMVURVUNUYQ
      VBVWAVUJEVVAVVLVWAVUTVVKOVURVUNVOVDVEVFVGIUQVHVIVJVUMVVOVVRVVPVUIVVOVVRPV
      UKVUIVVOVVRVVGVUPJVVFUKZRVUIVVOSZVULVUPJVVFUNVWCUYSVWBVWCUYSCVUNNZTZVWDUY
      AVUNUJZNZTZRZVWBVWCVWEUYSUYRVWDTVWCUYQVUNVUIVVIVVJVVMVKVLCUYRVWDVMVPVWCCV
      WGTZRVWEVWIPVWCCVWGMZVWJVUIVVIVVNVWKRZVUIVVISVVJVVMVWLVUIVVJVVMVWLPZPZVVI
      UYPUYDVWNVUHUYPVWMVVJUYPVWKVVMUYPVWKVUBEVVLUKZVVMRUYPVWKUYJGVVLUKZVWOUYPV
      WKUYJGVWFUHZOUJZUKZVWPUYPVWFUYOQVWKVWSPZVWFUYAVQAVRUYAVUNVSZVTUYNVWTFVWFU
      YOUYEVWFMZUYGVWKUYMVWSVXBUYFVWGCUYEVWFWAWBVXBUYJGUYLVWRVXBUYKVWQOUYEVWFVO
      VDWCWDWFWEUYJUYJGVWRVVLUYHVWRQZUYHVVLQZUYJUYHVWFTZUYHOQZSUYHVUNTZVXFSVXCV
      XDVXEVXGVXFVXEVWFVUNTVXGUYAVUNWGUYHVWFVUNWHWIWJUYHVWFWKUYHVUNWKWLWJWMWNUY
      JVUBGEVVLGEVNUYIVUACUYHUYTWAWBWOWPVUBEVVLWQWPWRWSWTXAXBXJVWCVWGCTZVWKVWJX
      CVWCUYANZVWGCVWFUYAVXAXDVUIVXICMZVVOUYDUYPVXJVUHUYDVXIBNZCUYDVXIUYCNZVXKV
      XIUYBNZVXLVXIVXMMAUYAVQXEXFUYBXGQVXLVXMMUYAXHUYBXGXIXKXLBUYCWAXMHXNXOXAXP
      VWKVWGCMZVXHVWJCVWGUUAVXNVXHVWJVWGCUUCUUDUUBXQUUEVWEVWHVWJCVWDVWGUUFUUNXQ
      VWIUBLZVWGQZRZUBVWDUKZVWCVWBVWIVXOVWDQZVXQSUBXTVXRUBVWDVWGYAVXQUBVWDUUGUU
      HVWCVXQVWBUBVWDVXSUBUCYKZUCVUNUKVWCVXQVWBPZUCVXOVUNUUIVWCVXTVYAUCVUNVWCUC
      IYKZUCLZUDLZUUJZMZUDUYOOUJZUKZVXTVYAPZVWCVYBVYCUYBQZVYHVVIVYBVYJPVUIVVNVV
      IVUNUYBVYCVUNUYBUUKZUUOXRVYJVYHXCUCAUDVYCUYAVQVQUULUUPWPVWCVYBVYHVYIPVWCV
      YBSZVYFVYIUDVYGVYLVYDVYGQZVYFVYIVYLVYMVYFSZVXTVXQVWBVYLVYNVXTVXQSZSZSZCUI
      LZNZMZRZUIVUNKLZURZVCZUHZOUJZULZVWBKVYDAUBUCIUDUIBCKDEFGHUUMVYQKUDYKZWUGS
      ZSZWUDVVFQZVUNWUDUOZVWBWUJWUDVVDQZWUKWUJWUDVUGQZUYQWUDTZVUJEWUFULZSZSWUMW
      UJWUNWUOWUPWUJWUDUYBTWUNWUJVUNWUCUYBVVOVUNUYBTZVUIVYBVYPWUIVVIWURVVNVYKXA
      XSWUJWUBUYBWUJUYAUYBWUBUYAUYBTAUYAVQUUQXFWUJVYDUYAWUBVYPVYDUYATZVYLWUIVYM
      WUSVYFVYOVYMVYDUYAVYDUYOOUURUUSZYBYCVYQWUHWUGYDYEYFUUTUVAWUDUYBUYAUEUVOUV
      BYGWUJUYQVUNWUDVVOVVJVUIVYBVYPWUIVVIVVJVVMYDXSVUNWUCYHZUVCWUGWUPVYQWUHWUG
      WUPWUAVUJUIEWUFUIEVNZVYTVUBWVBVYSVUACVYRUYTWAWBYIUVDUVEUVFUVGVVCWUQUAWUDV
      UGVURWUDMZVUSWUOVVBWUPVURWUDUYQVBWVCVUJEVVAWUFWVCVUTWUEOVURWUDVOVDVEVFVGY
      GWUDVVDVVEUVHXQWUJVUNWUDTZVUNWUDYLZSWULWUJWVEWVDWUJWUDVUNTZRZWVEWUJVUOWUD
      QZJIYKZRZSZJXTZWVGWUJWUBWUDQZKIYKZRZWVLWUBWUCQWVMKUVIWUBWUCVUNUVPXKVYLVYN
      VXTVXQWUIWVOVYLVYNVXTVXQWUIWVOPPVYLVYNVXTSZSWUIVXQWVOVYLWVPWUIVXQWVOPVYLW
      VPWUISZSZWVNVXPWVRUBKYKZKAYKZWVNVXPPWVRVYCWUBVXOVYBWVQVYCWUBTZVWCVYBWVPWU
      HWWAWUGWVPWUHSWWAVYBVYFWUHWWAVYMVXTWUHVYFWWAWUHWWAVYFVYEWUBTWUBVYDUVJVYCV
      YEWUBVMVPUVKUVLYJUVMUVNVYLVYNVXTWUIUVQYEWVRVYDUYAWUBWVPWUSVYLWUIVYMWUSVYF
      VXTWUTYBXRVYLWVPWUHWUGVKYEWVSWVTWVNVXPWVTWVNSWUBVWFQZWVSVXPWUBUYAVUNUVRWV
      SWWBVXPVXOWUBVWFUVSYMYNYOUVTYPUWGUWAUWBUWCWVKWVMWVOSJWUBKVRJKVNZWVHWVMWVJ
      WVOJKWUDUWDWWCWVIWVNJKIUWEYIVFUWFUWHJWUDVUNYAYGWVFVUNWUDWUDVUNYQUWIXQWVAU
      WJVUNWUDUWKYGVUPWULJWUDVVFVUOWUDVUNYRUWQUWLUWMUWNYOYSYMUWOYSYTYSYTUWRYPYT
      YMXAVUMVVPVVRVUMVVPSZVVGVUNUYQUOZUYSWWDUYQVVFQVVGWWERZPWWDVVDVVFUYQVVDVVE
      YHWWDVVCVUKUAUYQVUGUADVNZVVBVVCVUKWWGVUSVVBUYQVURYQUWPWWGVUJEVVAVUDWWGVUT
      VUCOVURUYQVOVDVEUWSUYDUYPVUHVUKVVPUWTVUIVUKVVPUXAUXBYFVUQWWFJUYQVVFJDVNVU
      PWWEVUOUYQVUNYRYIUXCXQWWDUYSUYQUQYLZWWEVUKUYSWWHPVUIVVPVUKUYSUYQUQUYQUQMZ
      UYQVUDQVUKVULWWIUYQUQVUDWWIUXHUQVUCOUYQUXDUXEUXFUXGVUJVULEUYQVUDEDVNZVUBU
      YSWWJVUAUYRCUYTUYQWAWBYIWFUXIUXJYCWWDWWEUQUYQUOZWWHVVPWWEWWKXCVUMVUNUQUYQ
      UXKYJUYQUXLUXMUXNUXOYMUXPYTYSUXQYMYNUXRUXTUXS $.

    $( The Alexander Subbase Theorem: a space is compact iff it has a subbase
       such that any cover taken from the subbase has a finite subcover.
       (Contributed by Jeff Hankins, 24-Jan-2010.)  (Revised by Mario Carneiro,
       11-Feb-2015.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    alexsubALT $p |- ( J e. Comp <-> E. x ( J = ( topGen ` ( fi ` x ) ) /\ A. c
        e.
    ~P x ( X = U. c -> E. d e. ( ~P c i^i Fin ) X = U. d ) ) ) $=
      ( vb vy vz vt vw wcel cv wceq cuni cfn wrex wi wa wss va ccmp cfi cfv ctg
      vf cpw cin wral wex alexsubALTlem1 alexsubALTlem4 ctop velpw w3a crab wel
      wb eleq2 3ad2ant3 eluni ssel ex syl6bi sylan9r 3impia sseq2 rspcev anim2d
      tg2 reximdv syld 3expia com23 exlimdv syl5bi 3adant3 sylbid elunii expcom
      impd biimprd syl9r rexlimdva rexlimdvw impbid elunirab bitr4di eqrdv fvex
      ssrab2 elpw2 mpbir unieq eqeq2d pweq ineq1d rexeqdv imbi12d rspcv syl5com
      ax-mp elfpw wf sseq1 rexbidv simprbi syl6 ralrimiv ac6sfi syl5 adantl crn
      elrab simprll frn syl cdom wbr simplr wfo wfn dffn4 sylib adantr ad2antrl
      ffn fodomfi syl2anc jca elin vex anbi1i bitr2i simprr ciun uniiun simprlr
      domfi ss2iun eqsstrid fniunfv sseqtrd eqsstrd sstrd uniss sseqtrrdi eqssd
      3syl simpll2 exp32 rexlimdv 3exp com34 syl7bi ralrimdv fibas eleq1 mpbiri
      ctb tgcl jctild iscmp syl6ibr imp exlimiv impbii ) BUBLZBAMZUCUDZUEUDZNZC
      DMZOZNZCEMZOZNZEUVMUGZPUHZQZRZDUVIUGUIZSZAUJABCDEFUKUWDUVHAUVLUWCUVHUVLUW
      CCUAMZOZNZCGMZOZNZGUWEUGZPUHZQZRZUAUVJUGZUIZUVHABCUAGDEFULUVLUWPBUMLZUWBD
      BUGZUIZSUVHUVLUWPUWSUWQUVLUWPUWBDUWRUVMUWRLUVMBTZUVLUWPUWBDBUNUVLUWTUWPUW
      BUVLUWTUVOUWPUWAUVLUWTUVOUWPUWARUVLUWTUVOUOZUWPUWJGHMZIMZTZIUVMQZHUVJUPZU
      GZPUHZQZUWAUXACUXFOZNZUWPUXIUXAJCUXJUXAJMZCLZJHUQZUXESZHUVJQZUXLUXJLUXAUX
      MUXPUXAUXMUXLUVNLZUXPUVOUVLUXMUXQURUWTCUVNUXLUSUTZUVLUWTUXQUXPRUVOUXQJKUQ
      ZKDUQZSZKUJUVLUWTSZUXPKUXLUVMVAUYBUYAUXPKUYBUXSUXTUXPUYBUXTUXSUXPUVLUWTUX
      TUXSUXPRUVLUWTUXTUOZUXSUXNUXBKMZTZSZHUVJQZUXPUVLUWTUXTUXSUYGRZUWTUXTUYDBL
      ZUVLUYHUVMBUYDVBUVLUYIUYDUVKLZUYHBUVKUYDUSUYJUXSUYGHUYDUVJUXLVJVCVDVEVFUY
      CUYFUXOHUVJUYCUYEUXEUXNUXTUVLUYEUXERUWTUXTUYEUXEUXDUYEIUYDUVMUXCUYDUXBVGV
      HVCUTVIVKVLVMVNWAVOVPVQVRUXAUXOUXMHUVJUXAUXNUXEUXMUXAUXEUXNUXMUXAUXDUXNUX
      MRIUVMUXDUXNJIUQZUXAIDUQZSUXMUXBUXCUXLVBUYLUYKUXQUXAUXMUYKUYLUXQUXLUXCUVM
      VSVTUXAUXMUXQUXRWBVEWCWDVNWAWEWFUXEHUXLUVJWGWHWIUXFUWOLZUWPUXKUXIRZRUYMUX
      FUVJTUXEHUVJWKUXFUVJUVIUCWJWLWMUWNUYNUAUXFUWOUWEUXFNZUWGUXKUWMUXIUYOUWFUX
      JCUWEUXFWNWOUYOUWJGUWLUXHUYOUWKUXGPUWEUXFWPWQWRWSWTXBXAUXAUWJUWAGUXHUWHUX
      HLUWHUXFTZUWHPLZSUXAUWJUWARZUWHUXFXCUXAUYPUYQUYRUXAUYQUYPUYRUXAUYQUYPUYRR
      UXAUYQSZUYPUWHUVMUFMZXDZUXLUXLUYTUDZTZJUWHUIZSZUFUJZUYRUYQUYPVUFRUXAUYPUX
      LUXCTZIUVMQZJUWHUIZUYQVUFUYPVUHJUWHUYPJGUQUXLUXFLZVUHUWHUXFUXLVBVUJUXLUVJ
      LVUHUXEVUHHUXLUVJUXBUXLNUXDVUGIUVMUXBUXLUXCXEXFXNXGXHXIUYQVUIVUFVUGVUCJIU
      WHUVMUFUXCVUBUXLVGXJVCXKXLUYSVUEUYRUFUYSVUEUWJUWAUYSVUEUWJSZSZUYTXMZUVTLZ
      CVUMOZNZUWAVULVUMUVMTZVUMPLZSZVUNVULVUQVURVULVUAVUQUYSVUAVUDUWJXOZUWHUVMU
      YTXPXQZVULUYQVUMUWHXRXSZVURUXAUYQVUKXTZVULUYQUWHVUMUYTYAZVVBVVCVUEVVDUYSU
      WJVUAVVDVUDVUAUYTUWHYBZVVDUWHUVMUYTYGZUWHUYTYCYDYEYFUWHVUMUYTYHYIUWHVUMYS
      YIYJVUNVUMUVSLZVURSVUSVUMUVSPYKVVGVUQVURVUMUVMDYLWLYMYNYDVULCVUOVULCUWIVU
      OUYSVUEUWJYOVULUWIJUWHVUBYPZVUOVULUWIJUWHUXLYPZVVHJUWHYQVULVUDVVIVVHTUYSV
      UAVUDUWJYRJUWHUXLVUBYTXQUUAVULVUAVVEVVHVUONVUTVVFJUWHUYTUUBUUIUUCUUDVULVU
      MBTZVUOCTVULVUMUVMBVVAUVLUWTUVOUYQVUKUUJUUEVVJVUOBOCVUMBUUFFUUGXQUUHUVRVU
      PEVUMUVTUVPVUMNUVQVUOCUVPVUMWNWOVHYIUUKVOVLVCVNWAVPUULVLUUMUUNVNUUOUUPUVL
      UWQUVKUMLZUVJUUTLVVKUVIUUQUVJUVAXBBUVKUMUURUUSUVBDEBCFUVCUVDVLUVEUVFUVG
      $.
  $}

  ${
    $d f g k m n t u v w x y z A $.  $d f g t u v x y K $.  $d k n u v y z S $.
    $d f g k m n t u v x y ph $.  $d k t u v x z U $.  $d g k n u w x y z V $.
    $d f g k m n t u v w x y z F $.  $d f g k m n t u v w x y z X $.
    ptcmp.1 $e |- S = ( k e. A , u e. ( F ` k ) |->
      ( `' ( w e. X |-> ( w ` k ) ) " u ) ) $.
    ptcmp.2 $e |- X = X_ n e. A U. ( F ` n ) $.
    ptcmp.3 $e |- ( ph -> A e. V ) $.
    ptcmp.4 $e |- ( ph -> F : A --> Comp ) $.
    ptcmp.5 $e |- ( ph -> X e. ( UFL i^i dom card ) ) $.
    $( Lemma for ~ ptcmp .  (Contributed by Mario Carneiro, 26-Aug-2015.) $)
    ptcmplem1 $p |- ( ph -> ( X = U. ( ran S u. { X } ) /\
      ( Xt_ ` F ) = ( topGen ` ( fi ` ( ran S u. { X } ) ) ) ) ) $=
      ( wceq cfv cv wcel cvv vg vy vz vx crn csn cun cuni cpt cfi ctg wral cdif
      wfn cfn wrex w3a cixp wex cab ccmp ffnd eqid ptval syl2anc cmpt ccnv cima
      wa cmpo ctop wf wss cmptop ssriv sylancl ptbasfi uncom rneqi uneq2i eqtri
      fss fveq2i eqtr4di fveq2d eqtrd unieqd ctb fibas unitg ax-mp eqtrdi ptuni
      syl5eq cpw cufl ccrd cdm cin pwexd ciun mptpreima ssrab3 wb adantr elpw2g
      cxp syl mpbiri ralrimivva fmpox sylib frnd ssexd snex unexg fiuni 3eqtr4d
      jca ) AJEUEZJUFZUGZUHZPHUIQZYBUJQZUKQZPAYDUHZYEUHZJYCAYGYFUHZYHAYDYFAYDUA
      RZDUNUBRZYJQZYKHQZSUBDULYLYMUHPUBDUCRUMULUCUOUPUQUDRZUBDYLURPVIUAUSUDUTZU
      KQZYFADISZHDUNYDYPPMADVAHNVBUDUBUCDYOUAHIYOVCZVDVEAYOYEUKAYOYAFCDFRZHQZBJ
      YSBRQZVFZVGCRZVHZVJZUEZUGZUJQZYEAYQDVKHVLZYOUUHPMADVAHVLVAVKVMUUINUDVAVKY
      NVNVODVAVKHWBVPZUDUBUCBCDYOUAFGHIJYRLVQVEYBUUGUJYBYAXTUGUUGXTYAVRXTUUFYAE
      UUEKVSVTWAWCWDWEWFZWGYEWHSYIYHPYBWIYEWHWJWKWLAJGDGRHQUHURZYGLAYQUUIUULYGP
      MUUJGDHYDIYDVCWMVEWNAYBTSZYCYHPAXTTSYATSUUMAXTJWOZTAJWPWQWRWSZOWTAFDYSUFY
      TXGXAZUUNEAUUDUUNSZCYTULFDULUUPUUNEVLAUUQFCDYTAYSDSUUCYTSVIZVIZUUQUUDJVMZ
      UUAUUCSBJUUDBJUUAUUCUUBUUBVCXBXCUUSJUUOSZUUQUUTXDAUVAUUROXEUUDJUUOXFXHXIX
      JFCDYTUUDUUNEKXKXLXMXNJXOXTYATTXPVPYBTXQXHXRUUKXS $.

    ${
      ptcmplem2.5 $e |- ( ph -> U C_ ran S ) $.
      ptcmplem2.6 $e |- ( ph -> X = U. U ) $.
      ptcmplem2.7 $e |- ( ph -> -. E. z e. ( ~P U i^i Fin ) X = U. z ) $.
      $( Lemma for ~ ptcmp .  (Contributed by Mario Carneiro, 26-Aug-2015.) $)
      ptcmplem2 $p |- ( ph -> U_ k e. { n e. A | -. U. ( F ` n ) ~~ 1o }
          U. ( F ` k ) e. dom card ) $=
        ( vf vg vx vm cv wcel cfv cuni c1o cen wbr wn crab ciun ccrd cdm c0 wne
        wex wceq cpw cfn cin wrex wss 0ss 0fin elfpw mpbir2an unieq uni0 eqtrdi
        rspceeqv mpan necon3bi syl n0 sylib wa cixp cxp cwdom cres cmpt wfo weq
        fveq2 unieqd cbvixpv cufl elin2d adantr eqeltrrid ssrab2 eqnetrrid eqid
        eqtri resixpfo sylancr fonum syl2anc cdif crn wfn cvv wral difexg dmexg
        vex mp1i uniexg ralrimivw fnmpt dffn4 csn ssdif0 simpr eleqtrdi simprbi
        3syl elixp r19.21bi snssd eqssd fvex ensn1 eqbrtrdi ex con3d cif simplr
        syl5bir iftrue syl5ibrcom ad2antrr iffalse wb cab ifex rgenw neq0 unisn
        syl6ib eldifi eleq1d ralrimiva ad3antrrr mptelixpg mpbird sylan2 eleq1w
        eleq12d pm2.61d eleqtrrdi pm4.71rd equequ1 ifbieq2d fvmpt neeq1d adantl
        necon1ai eldifsni ad2antlr neeq12d impbid2 bitrd pm5.32da bitr4d abbidv
        df-sn df-rab 3eqtr4g ixpfn fndmdif eqtr4d eqtr3id dmeqd exlimdv expimpd
        difeq1 breq1d notbid elrab elrnmpt elv 3imtr4g ssrdv ssnum xpnum rabexg
        syld uniex iunexg sylancl resixp ixpiunwdom syl3anc numwdom exlimddv
        ne0d ) AUAUEZLUFZHIUEZJUGZUHZUIUJUKZULZIEUMZHUEZJUGZUHZUNZUOUPZUFZUAALU
        QURZUXBUAUSALBUEZUHZUTBGVAVBVCZVDZULUXOTUXSLUQUQUXRUFZLUQUTUXSUXTUQGVEU
        QVBUFGVFVGUQGVHVIBUQUXRUXQUQLUXPUQUTUXQUQUHUQUXPUQVJVKVLVMVNVOVPZUALVQV
        RAUXBVSZHUXHUXKVTZUXHWAZUXMUFZUXLUYDWBUKZUXNUYBUYCUXMUFZUXHUXMUFZUYEUYB
        HEUXKVTZUXMUFUYIUYCUBUYIUBUEZUXHWCWDZWEZUYGUYBUYILUXMLIEUXEVTZUYINIHEUX
        EUXKIHWFZUXDUXJUXCUXIJWGWHZWIWQZALUXMUFZUXBAWJUXMLQWKWLZWMUYBUXHEVEZUYI
        UQURUYLUXGIEWNZUYBUYILUQUYPAUXOUXBUYAWLWOHEUXHUXKUBUYKUYKWPWRWSUYIUYCUY
        KWTXAUYBUBLUYJUXAXBZUPZUHZWDZXCZUXMUFZUXHVUEVEUYHUYBUYQLVUEVUDWEZVUFUYR
        UYBVUDLXDZVUGUYBVUCXEUFZUBLXFVUHUYBVUIUBLUYBVUAXEUFZVUBXEUFVUIUYJXEUFVU
        JUYBUBXIUYJUXAXEXGXJVUAXEXHVUBXEXKXTXLUBLVUCVUDXEVUDWPZXMVPLVUDXNVRLVUE
        VUDWTXAUYBHUXHVUEUYBUXIEUFZUXKUIUJUKZULZVSUXIVUCUTUBLVDZUXIUXHUFUXIVUEU
        FZUYBVULVUNVUOUYBVULVSZVUNUCUEZUXKUXIUXAUGZXOZXBZUFZUCUSZVUOVUQVUNVVAUQ
        UTZULVVCVUQVVDVUMVVDUXKVUTVEZVUQVUMUXKVUTXPVUQVVEVUMVUQVVEVSZUXKVUTUIUJ
        VVFUXKVUTVUQVVEXQVUQVUTUXKVEVVEVUQVUSUXKUYBVUSUXKUFZHEUYBUXAUYIUFZVVGHE
        XFZUYBUXALUYIAUXBXQZUYPXRZVVHUXAEXDZVVIHEUXKUXAUAXIZYAXSVPYBYCWLYDVUSUX
        IUXAYEYFYGYHYLYIUCVVAUUAUUCVUQVVBVUOUCVUQVVBVUOVUQVVBVSZIEUYNVURUXCUXAU
        GZYJZWDZLUFZUXIVVQUXAXBZUPZUHZUTVUOVVBVUQVURUXKUFZVVRVURUXKVUTUUDVUQVWB
        VSZVVQUYMLVWCVVQUYMUFZVVPUXEUFZIEXFZVWCVWEIEVWCUXCEUFZVSZUYNVWEVWHVWEUY
        NVWBVUQVWBVWGYKUYNVVPVURUXEUXKUYNVURVVOYMUYOUULYNVWHVWEUYNULZVVOUXEUFZV
        WCVWJIEUYBVWJIEXFZVULVWBUYBUXAUYMUFZVWKUYBUXALUYMVVJNXRZVWLVVLVWKIEUXEU
        XAVVMYAXSVPYOYBVWIVVPVVOUXEUYNVURVVOYPUUEYNUUMUUFVWCEKUFZVWDVWFYQAVWNUX
        BVULVWBOUUGIEVVPUXEKUUHVPUUINUUNUUJVVNUXIUXIXOZUHVWAUXIHXIUUBVVNVWOVVTV
        VNVWOUDUEZVVQUGZVWPUXAUGZURZUDEUMZVVTVVNUDHWFZUDYRVWPEUFZVWSVSZUDYRVWOV
        WTVVNVXAVXCUDVVNVXAVXBVXAVSVXCVVNVXAVXBVVNVXBVXAVULUYBVULVVBYKUDHEUUKYN
        UUOVVNVXBVWSVXAVVNVXBVSZVWSVXAVURVWRYJZVWRURZVXAVXBVWSVXFYQVVNVXBVWQVXE
        VWRIVWPVVPVXEEVVQIUDWFUYNVXAVVOVWRVURIUDHUUPUXCVWPUXAWGUUQVVQWPZVXAVURV
        WRUCXIZVWPUXAYEYSUURUUSUUTVXDVXFVXAVXAVXEVWRVXAVURVWRYPUVAVXDVXFVXAVURV
        USURZVVBVXIVUQVXBVURUXKVUSUVBUVCVXAVXEVURVWRVUSVXAVURVWRYMVWPUXIUXAWGUV
        DYNUVEUVFUVGUVHUVIUDUXIUVJVWSUDEUVKUVLVVNVVQEXDZVVLVVTVWTUTVVPXEUFZIEXF
        VXJVVNVXKIEUYNVURVVOVXHUXCUXAYEYSYTIEVVPVVQXEVXGXMXJUYBVVLVULVVBUYBVWLV
        VLVWMIEUXEUXAUVMVPYOUDEVVQUXAUVNXAUVOWHUVPUBVVQLVUCVWAUXIUYJVVQUTZVUBVV
        TVXLVUAVVSUYJVVQUXAUVTUVQWHVMXAYHUVRUWKUVSUXGVUNIUXIEUYNUXFVUMUYNUXEUXK
        UIUJUYOUWAUWBUWCVUPVUOYQHUBLVUCUXIVUDXEVUKUWDUWEUWFUWGVUEUXHUWHXAUYCUXH
        UWIXAUYBUXHXEUFZUXLXEUFZUYCUQURUYFUYBVWNVXMAVWNUXBOWLUXGIEKUWJVPZUYBVXM
        UXKXEUFZHUXHXFVXNVXOVXPHUXHUXJUXIJYEUWLYTHUXHUXKXEXEUWMUWNUYBUYCUXAUXHW
        CZUYBUYSVVHVXQUYCUFUYTVVKHEUXHUXKUXAUWOWSUWTHUXHUXKXEXEUWPUWQUYDUXLUWRX
        AUWS $.

      ptcmplem3.8 $e |- K =
        { u e. ( F ` k ) | ( `' ( w e. X |-> ( w ` k ) ) " u ) e. U } $.
      $( Lemma for ~ ptcmp .  (Contributed by Mario Carneiro, 26-Aug-2015.) $)
      ptcmplem3 $p |- ( ph -> E. f ( f Fn A /\
          A. k e. A ( f ` k ) e. ( U. ( F ` k ) \ U. K ) ) ) $=
        ( vg vy vt vx vm cv cfv cuni c1o cen wbr wn crab cvv cdif wcel wral wfn
        wex ciun ccrd cdm wrex rabexg syl wss ptcmplem2 eldifi 3ad2ant3 rabssdv
        wf ralrimivw ss2iun ssnum syl2anc elrabi wceq cpw cfn cin adantr ssdif0
        wa ccmp ffvelrnda cmpt ccnv cima ssrab3 a1i simpr uniss mp1i eqssd eqid
        c0 cmpcov syl3anc crn simplbi ad2antrl sselda weq imaeq2 eleq1d simprbi
        elfpw elrab2 fmpttd frnd rnmpt abrexfi eqeltrid sylanbrc unieqd eleq12d
        cab fveq2 eleqtrdi vex elixp simp-4r simplrr eleqtrd sylib fveq1 sylibr
        cixp ex ralrimiva cif fvex uniex ifex wi breq1d exlimddv rspcdva eluni2
        wb mptpreima baib ad2antlr rexbidva mpbird eliun dfiun2g unieqi eqtr4di
        ssrdv sseqtrd unissd ad3antrrr sseqtrrd rspceeqv rexlimddv syl5bir mtod
        unieq neq0 rexv sylan2 eleq1 ac6num mptexd rgenw notbid ralrab ad2antll
        fnmpt iftrue adantrr csn adantl en1b elsni eqeltrrd adantlr eqeltrd a1d
        expr pm2.27 iffalse pm2.61d1 ralimdva syl5bi impr fneq1 ifbieq12d fvmpt
        sylibrd sylan9eq ralbidva anbi12d spcegv 3impib ) AJUIZKUJZUKZULUMUNZUO
        ZJEUPZUQUDUIZVNZIUIZUXFUJZUXHKUJZUKZLUKZURZUSZIUXEUTZWFZHUIZEVAZUXHUXQU
        JZUXMUSZIEUTZWFZHVBZUDAUXEUQUSZIUXEUEUIZUXMUSZUEUQUPZVCZVDVEZUSZUYFUEUQ
        VFZIUXEUTUXPUDVBAEMUSZUYDQUXDJEMVGVHAIUXEUXKVCZUYIUSUYHUYMVIZUYJABCDEFG
        IJKMNOPQRSTUAUBVJAUYGUXKVIZIUXEUTUYNAUYOIUXEAUYFUEUQUXKUYFAUYEUXKUSZUYE
        UQUSUYEUXKUXLVKZVLVMVOIUXEUYGUXKVPVHUYMUYHVQVRAUYKIUXEUXHUXEUSAUXHEUSZU
        YKUXDJUXHEVSAUYRWFZUYFUEVBZUYKUYSUXMWSVTZUOUYTUYSVUANBUIZUKZVTBGWAWBWCZ
        VFZAVUEUOUYRUBWDVUAUXKUXLVIZUYSVUEUXKUXLWEUYSVUFVUEUYSVUFWFZUXKUFUIZUKZ
        VTZVUEUFLWAWBWCZVUGUXJWGUSZLUXJVIZUXKUXLVTVUJUFVUKVFUYSVULVUFAEWGUXHKRW
        HWDVUMVUGCNUXHCUIZUJZWIZWJZDUIZWKZGUSZDUXJLUCWLZWMVUGUXKUXLUYSVUFWNVUMU
        XLUXKVIVUGVVALUXJWOWPWQLUXJUXKUFUXKWRWTXAVUGVUHVUKUSZVUJWFZWFZUGVUHVUQU
        GUIZWKZWIZXBZVUDUSZNVVHUKZVTVUEVVDVVHGVIVVHWBUSZVVIVVDVUHGVVGVVDUGVUHVV
        FGVVDVVEVUHUSZWFVVELUSZVVFGUSZVVDVUHLVVEVVBVUHLVIZVUGVUJVVBVVOVUHWBUSZV
        UHLXJZXCXDXEVVMVVEUXJUSVVNVUTVVNDVVEUXJLDUGXFVUSVVFGVURVVEVUQXGXHUCXKXI
        VHZXLXMZVVDVVPVVKVVBVVPVUGVUJVVBVVOVVPVVQXIXDVVPVVHUXQVVFVTUGVUHVFHXTZW
        BUGHVUHVVFVVGVVGWRXNZUGHVUHVVFXOXPVHVVHGXJXQVVDNVVJVVDNUGVUHVVFVCZVVJVV
        DHNVWBVVDUXQNUSZUXQVWBUSZVVDVWCWFZUXQVVFUSZUGVUHVFZVWDVWEVWGUXSVVEUSZUG
        VUHVFZVWEUXSVUIUSVWIVWEUXSUXKVUIVWEUWTUXQUJZUXBUSZUXSUXKUSJEUXHJIXFZVWJ
        UXSUXBUXKUWTUXHUXQYAVWLUXAUXJUWTUXHKYAXRZXSVWEUXQJEUXBYKZUSZVWKJEUTZVWE
        UXQNVWNVVDVWCWNPYBVWOUXRVWPJEUXBUXQHYCYDXIVHAUYRVUFVVCVWCYEUUAVUGVVBVUJ
        VWCYFYGUGUXSVUHUUBYHVWEVWFVWHUGVUHVWCVWFVWHUUCVVDVVLVWFVWCVWHVUOVVEUSVW
        HCUXQNVVFCHXFVUOUXSVVEUXHVUNUXQYIXHCNVUOVVEVUPVUPWRUUDXKUUEUUFUUGUUHUGU
        XQVUHVVFUUIYJYLUUMVVDVWBVVTUKZVVJVVDVVNUGVUHUTVWBVWQVTVVDVVNUGVUHVVRYMU
        GHVUHVVFGUUJVHVVHVVTVWAUUKUULUUNVVDVVJGUKZNVVDVVHGVVSUUOANVWRVTUYRVUFVV
        CUAUUPUUQWQBVVHVUDVUCVVJNVUBVVHUVBUURVRUUSYLUUTUVAUEUXMUVCYHZUYFUEUVDYJ
        UVEYMUYFUXNIUEUXEUQUDUQUYEUXIUXMUVFUVGXAAUXPWFZUHEUHUIZKUJZUKZULUMUNZVX
        CUKZVXAUXFUJZYNZWIZUQUSZVXHEVAZUXKULUMUNZUXKUKZUXIYNZUXMUSZIEUTZUYCVWTU
        HEVXGMAUYLUXPQWDUVHVXGUQUSZUHEUTVXJVWTVXPUHEVXDVXEVXFVXCVXBVXAKYOYPYPVX
        AUXFYOYQUVIUHEVXGVXHUQVXHWRZUVMWPAUXGUXOVXOUXOVXKUOZUXNYRZIEUTAUXGWFZVX
        OUXDVXRUXNIJEVWLUXCVXKVWLUXBUXKULUMVWMYSUVJUVKVXTVXSVXNIEVXTUYRWFVXKVXS
        VXNYRZVXTUYRVXKVYAVXTUYRVXKWFZWFZVXNVXSVYCVXMVXLUXMVXKVXMVXLVTVXTUYRVXK
        VXLUXIUVNUVLAVYBVXLUXMUSZUXGAVYBWFZUYFVYDUEAUYRUYTVXKVWSUVOVYEUYFWFZUYE
        VXLUXMVYFUYEVXLUVPZUSUYEVXLVTVYFUYEUXKVYGUYFUYPVYEUYQUVQVYFVXKUXKVYGVTA
        UYRVXKUYFYFUXKUVRYHYGUYEVXLUVSVHVYEUYFWNUVTYTUWAUWBUWCUWDVXRVXSUXNVXNVX
        RUXNUWEVXRVXMUXIUXMVXKVXLUXIUWFXHUWNUWGUWHUWIUWJVXIVXJVXOUYCUYBVXJVXOWF
        HVXHUQUXQVXHVTZUXRVXJUYAVXOEUXQVXHUWKVYHUXTVXNIEVYHUYRWFUXSVXMUXMVYHUYR
        UXSUXHVXHUJVXMUXHUXQVXHYIUHUXHVXGVXMEVXHUHIXFZVXDVXKVXEVXFVXLUXIVYIVXCU
        XKULUMVYIVXBUXJVXAUXHKYAXRZYSVYIVXCUXKVYJXRVXAUXHUXFYAUWLVXQVXKVXLUXIUX
        KUXJUXHKYOYPYPUXHUXFYOYQUWMUWOXHUWPUWQUWRUWSXAYT $.

      $( Lemma for ~ ptcmp .  (Contributed by Mario Carneiro, 26-Aug-2015.) $)
      ptcmplem4 $p |- -. ph $=
        ( vf vv cv wfn cfv cuni cdif wcel wral wex ptcmplem3 wrex simprl eldifi
        wa cixp ralimi wceq fveq2 unieqd eleq12d cbvralvw sylibr ad2antll elixp
        vex sylanbrc eleqtrrdi adantr eleqtrd eluni2 sylib cmpt ccnv wi simplrr
        cima simprr fveq1 eleq1d eqid mptpreima elrab2 simprbi syl crab simplrl
        eqeltrrd rabid elunii syl2anc rexlimdvaa expr ralimdva ex com23 imp cab
        impr crn wss sselda adantrr rnmpo eleqtrdi abid rexim sylc rexlimddv wn
        eldifn ralnex pm2.65da nexdv pm2.65i ) AUCUEZEUFZHUEZXRUGZXTJUGZUHZKUHZ
        UIUJZHEUKZUQZUCULABCDEFGUCHIJKLMNOPQRSTUAUBUMAYGUCAYGYAYDUJZHEUNZAYGUQZ
        XRUDUEZUJZYIUDGYJXRGUHZUJYLUDGUNYJXRMYMYJXRIEIUEZJUGZUHZURZMYJXSYNXRUGZ
        YPUJZIEUKZXRYQUJAXSYFUOYFYTAXSYFYAYCUJZHEUKYTYEUUAHEYAYCYDUPUSYSUUAIHEY
        NXTUTZYRYAYPYCYNXTXRVAUUBYOYBYNXTJVAVBVCVDVEVFIEYPXRUCVHVGVIOVJAMYMUTYG
        TVKVLUDXRGVMVNYJYKGUJZYLUQZUQZYKCMXTCUEZUGZVOZVPDUEZVSZUTZDYBUNZYHVQZHE
        UKZUULHEUNZYIYJUUDUUNAXSYFUUDUUNVQAXSUQZUUDYFUUNUUPUUDYFUUNVQUUPUUDUQZY
        EUUMHEUUQXTEUJZYEUUMUUQUURYEUQZUQZUUKYHDYBUUTUUIYBUJZUUKUQZUQZYAUUIUJZU
        UIKUJYHUVCXRUUJUJZUVDUVCXRYKUUJUUTYLUVBUUPUUCYLUUSVRVKUUTUVAUUKVTZVLUVE
        XRMUJUVDUUGUUIUJUVDCXRMUUJUUFXRUTUUGYAUUIXTUUFXRWAWBCMUUGUUIUUHUUHWCWDW
        EWFWGUVCUUIUUJGUJZDYBWHZKUVCUVAUVGUUIUVHUJUUTUVAUUKUOUVCYKUUJGUVFUUTUUC
        UVBUUPUUCYLUUSWIVKWJUVGDYBWKVIUBVJYAUUIKWLWMWNWOWPWQWRXAWSUUEYKUUOUDWTZ
        UJUUOUUEYKFXBZUVIYJUUCYKUVJUJYLYJGUVJYKAGUVJXCYGSVKXDXEHDUDEYBUUJFNXFXG
        UUOUDXHVNUULYHHEXIXJXKYJYHXLZHEUKZYIXLYFUVLAXSYEUVKHEYAYCYDXMUSVFYHHEXN
        VNXOXPXQ $.
    $}

    $d z ph $.
    $( Lemma for ~ ptcmp .  (Contributed by Mario Carneiro, 26-Aug-2015.) $)
    ptcmplem5 $p |- ( ph -> ( Xt_ ` F ) e. Comp ) $=
      ( vz cfv wceq wa wcel crn csn cun cpt cufl ccrd cdm elin1d cuni ptcmplem1
      vy cfi ctg simpld simprd cv wss cpw cfn wrex wi elpwi cmpt ccnv cima crab
      wn ad2antrr ccmp wf simplrl simplrr simpr imaeq2 eleq1d cbvrabv ptcmplem4
      iman mpbir expr sylan2 adantlr velpw cdif elpwunsn sylbir sylanbr adantll
      cin eldif snssi adantl snfi elfpw sylanblrc unisng unieq rspceeqv syl2anc
      eqcomd a1d syldan pm2.61dan impr alexsub ) AUKPEUAZJUBZUCZHUDQZJAUEUFUGZJ
      OUHAJXHUIRZXIXHULQUMQRZABCDEFGHIJKLMNOUJZUNAXKXLXMUOAUKUPZXHUQZJXNUIRZJPU
      PZUIZRPXNURUSWIZUTZAXOSZXNXFURZTZXPXTVAZAYCYDXOYCAXNXFUQZYDXNXFVBAYEXPXTA
      YEXPSZSZXTVAYGXTVGZSZVGYIPBCDEXNFGHBJFUPZBUPQVCVDZXQVEZXNTZPYJHQZVFIJKLAD
      ITYFYHMVHADVIHVJYFYHNVHAJUEXJWITYFYHOVHAYEXPYHVKAYEXPYHVLYGYHVMYMYKCUPZVE
      ZXNTPCYNXQYORYLYPXNXQYOYKVNVOVPVQYGXTVRVSVTWAWBYAYCVGZJXNTZYDXOYQYRAXOXNX
      HURZTZYQYRUKXHWCYTYQSXNYSYBWDTYRXNYSYBWJXNXFJWEWFWGWHYAYRSZXTXPUUAXGXSTZJ
      XGUIZRZXTUUAXGXNUQZXGUSTUUBYRUUEYAJXNWKWLJWMXGXNWNWOYRUUDYAYRUUCJJXNWPWTW
      LPXGXSXRUUCJXQXGWQWRWSXAXBXCXDXE $.
  $}

  ${
    $d a b k m n u w A $.  $d a b k m n u w F $.  $d k m n u w V $.
    $d k m u X $.
    ptcmpg.1 $e |- J = ( Xt_ ` F ) $.
    ptcmpg.2 $e |- X = U. J $.
    $( Tychonoff's theorem:  The product of compact spaces is compact.  The
       choice principles needed are encoded in the last hypothesis: the base
       set of the product must be well-orderable and satisfy the ultrafilter
       lemma.  Both these assumptions are satisfied if ` ~P ~P X ` is
       well-orderable, so if we assume the Axiom of Choice we can eliminate
       them (see ~ ptcmp ).  (Contributed by Mario Carneiro, 27-Aug-2015.) $)
    ptcmpg $p |- ( ( A e. V /\ F : A --> Comp /\ X e. ( UFL i^i dom card ) ) ->
        J e. Comp ) $=
      ( vw vu va vb vn vk vm ccmp cfv cv cuni nfcv ctop wcel wf cdm cin w3a cpt
      cufl ccrd cixp cmpt ccnv cima cmpo fveq2 mpteq2dv cnveqd imaeq1d sylan9eq
      weq imaeq2 cbvmpox unieqd cbvixpv simp1 simp2 wceq wss cmptop fss sylancl
      ssriv ptuni syl2anc eqtr4di simp3 eqeltrd ptcmplem5 eqeltrid ) ADUAZAOBUB
      ZEUGUHUCUDZUAZUEZCBUFPOFWCHIAJKAJQZBPZHLALQZBPZRZUIZWDHQZPZUJZUKZKQZULZUM
      MNBDWIJKMIAWEWOMQZBPZHWIWPWJPZUJZUKZIQZULZMWESJWQSMWOSIWOSJXBSKXBSWDWPBUN
      JMUSZKIUSWOWTWNULXBXCWMWTWNXCWLWSXCHWIWKWRWDWPWJUNUOUPUQWNXAWTUTURVALNAWH
      NQZBPZRLNUSWGXEWFXDBUNVBVCVSVTWBVDZVSVTWBVEZWCWIEWAWCWICRZEWCVSATBUBZWIXH
      VFXFWCVTOTVGXIXGMOTWPVHVKAOTBVIVJLABCDFVLVMGVNVSVTWBVOVPVQVR $.
  $}

  $( Tychonoff's theorem:  The product of compact spaces is compact.  The proof
     uses the Axiom of Choice.  (Contributed by Mario Carneiro,
     26-Aug-2015.) $)
  ptcmp $p |- ( ( A e. V /\ F : A --> Comp ) -> ( Xt_ ` F ) e. Comp ) $=
    ( wcel ccmp cpt cfv cuni cufl ccrd cdm cin cvv fvex uniex wac wceq eleqtrri
    wf eqid axac3 acufl ax-mp cardeqv elini ptcmpg mp3an3 ) ACDAEBSBFGZHZIJKZLD
    UHEDUIIUJUIMIUHBFNOZPIMQUAUBUCRUIMUJUKUDRUEABUHCUIUHTUITUFUG $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Extension by continuity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CnExt $.

  $( Extend class notation with the continuous extension operation. $)
  ccnext $a class CnExt $.

  ${
    $d j k f x $.
    $( Define the continuous extension of a given function.  (Contributed by
       Thierry Arnoux, 1-Dec-2017.) $)
    df-cnext $a |- CnExt = ( j e. Top , k e. Top |->
      ( f e. ( U. k ^pm U. j ) |-> U_ x e. ( ( cls ` j ) ` dom f ) ( { x } X.
      ( ( k fLimf ( ( ( nei ` j ) ` { x } ) |`t dom f ) ) ` f ) ) ) ) $.
  $}

  ${
    $d f j k x J $.  $d f j k x K $.
    $( The function applying continuous extension to a given function ` f ` .
       (Contributed by Thierry Arnoux, 1-Dec-2017.) $)
    cnextval $p |- ( ( J e. Top /\ K e. Top ) -> ( J CnExt K )
      = ( f e. ( U. K ^pm U. J ) |-> U_ x e. ( ( cls ` J ) ` dom f ) ( { x } X.
      ( ( K fLimf ( ( ( nei ` J ) ` { x } ) |`t dom f ) ) ` f ) ) ) ) $=
      ( vj vk ctop cv cuni cpm co ccl cfv cnei crest cflf cxp ciun cmpt fveq1d
      cdm ccnext wceq unieq oveq2d fveq2 oveq1d xpeq2d iuneq12d mpteq12dv oveq1
      csn iuneq2d df-cnext ovex mptex ovmpo ) EFCDGGBFHZIZEHZIZJKZABHZUAZUTLMZM
      ZAHULZVCURVGUTNMZMZVDOKZPKZMZQZRZSBDIZCIZJKZAVDCLMZMZVGVCDVGCNMZMZVDOKZPK
      ZMZQZRZSUBBUSVPJKZAVSVGVCURWBPKZMZQZRZSUTCUCZBVBVNWGWKWLVAVPUSJUTCUDUEWLA
      VFVSVMWJWLVDVEVRUTCLUFTWLVLWIVGWLVCVKWHWLVJWBURPWLVIWAVDOWLVGVHVTUTCNUFTU
      GUETUHUIUJURDUCZBWGWKVQWFWMUSVOVPJURDUDUGWMAVSWJWEWMWIWDVGWMVCWHWCURDWBPU
      KTUHUMUJABEFUNBVQWFVOVPJUOUPUQ $.

    $d f x A $.  $d f x B $.  $d f x F $.  $d f x X $.
    cnextfval.1 $e |- X = U. J $.
    cnextfval.2 $e |- B = U. K $.
    $( The continuous extension of a given function ` F ` .  (Contributed by
       Thierry Arnoux, 1-Dec-2017.) $)
    cnextfval $p |- ( ( ( J e. Top /\ K e. Top ) /\ ( F : A --> B /\ A C_ X ) )
      -> ( ( J CnExt K ) ` F ) = U_ x e. ( ( cls ` J ) ` A ) ( { x } X.
      ( ( K fLimf ( ( ( nei ` J ) ` { x } ) |`t A ) ) ` F ) ) ) $=
      ( vf ctop wcel wa wf wss cfv crest co cflf cvv cdm ccl csn cnei ciun cuni
      cxp cpm ccnext cmpt wceq cnextval adantr simpr dmeqd simplrl eqtrd fveq2d
      cv fdmd oveq2d fveq12d xpeq2d iuneq12d uniexg ad2antlr eqid feq23i biimpi
      ad2antrr ad2antrl sseq2i ad2antll elpm2r syl22anc fvex snex iunex fvmptd
      xpex a1i ) EKLZFKLZMZBCDNZBGOZMZMZJDAJUSZUAZEUBPZPZAUSZUCZWIFWNEUDPPZWJQR
      ZSRZPZUGZUEZABWKPZWNDFWOBQRZSRZPZUGZUEZFUFZEUFZUHRZEFUIRZTWDXJJXIWTUJUKWG
      AJEFULUMWHWIDUKZMZAWLXAWSXEXLWJBWKXLWJDUABXLWIDWHXKUNZUOXLBCDWDWEWFXKUPUT
      UQZURXLWRXDWNXLWIDWQXCXLWPXBFSXLWJBWOQXNVAVAXMVBVCVDWHXGTLZXHTLZBXGDNZBXH
      OZDXILWCXOWBWGFKVEVFWBXPWCWGEKVEVJWEXQWDWFWEXQBCBXGDBVGIVHVIVKWFXRWDWEWFX
      RGXHBHVLVIVMXGXHBDTTVNVOXFTLWHAXAXEBWKVPWNXDWMVQDXCVPVTVRWAVS $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x F $.  $d x J $.  $d x K $.
    cnextfrel.1 $e |- C = U. J $.
    cnextfrel.2 $e |- B = U. K $.
    $( In the general case, a continuous extension is a relation.  (Contributed
       by Thierry Arnoux, 20-Dec-2017.) $)
    cnextrel $p |- ( ( ( J e. Top /\ K e. Top ) /\ ( F : A --> B /\ A C_ C ) )
      -> Rel ( ( J CnExt K ) ` F ) ) $=
      ( vx ctop wcel wa wf wss ccnext co cfv wrel ccl cv csn cnei cflf cxp ciun
      crest wral relxp rgenw reliun mpbir cnextfval releqd mpbiri ) EJKFJKLABDM
      ACNLLZDEFOPQZRIAESQQZITUAZDFUREUBQQAUFPUCPQZUDZUEZRZVBUTRZIUQUGVCIUQURUSU
      HUIIUQUTUJUKUOUPVAIABDEFCGHULUMUN $.

    $d x y $.  $d y A $.  $d y B $.  $d y C $.  $d y F $.  $d y J $.  $d y K $.
    $( If the target space is Hausdorff, a continuous extension is a function.
       (Contributed by Thierry Arnoux, 20-Dec-2017.) $)
    cnextfun $p |- ( ( ( J e. Top /\ K e. Haus ) /\ ( F : A --> B /\ A C_ C ) )
      -> Fun ( ( J CnExt K ) ` F ) ) $=
      ( vx vy ctop wcel wa wss co cfv cv wmo wal sylanl2 cha wf ccnext wrel wbr
      wfun haustop cnextrel ccl cnei crest cflf wi cfil simpllr ctopon toptopon
      csn biimpi ad3antrrr simplrr sylibr clsss3 syl2anc simpr sseldd w3a trnei
      biimpa syl31anc simplrl hausflf syl3anc ex alrimiv moanimv albii cop ciun
      cxp df-br a1i wceq cnextfval eleq2d opeliunxp 3bitrd mobidv albidv mpbird
      wb dffun6 sylanbrc ) EKLZFUALZMZABDUBZACNZMZMZDEFUCOPZUDZIQZJQZXAUEZJRZIS
      ZXAUFWOWNFKLZWSXBFUGZABCDEFGHUHTWTXGXCAEUIPPZLZXDDFXCURZEUJPPAUKOZULOPZLZ
      MZJRZISZWTXKXOJRZUMZISXRWTXTIWTXKXSWTXKMZWOXMAUNPLZWQXSWNWOWSXKUOYAECUPPL
      ZWRXCCLZXKYBWNYCWOWSXKWNYCECGUQZUSUTZWPWQWRXKVAZYAXJCXCYAWNWRXJCNYAYCWNYF
      YEVBYGAECGVCVDWTXKVEZVFYHYCWRYDVGXKYBAXCECVHVIVJWPWQWRXKVKJDFXMBAHVLVMVNV
      OXQXTIXKXOJVPVQVBWTXFXQIWTXEXPJWTXEXCXDVRZXALZYIIXJXLXNVTVSZLZXPXEYJWKWTX
      CXDXAWAWBWTXAYKYIWOWNXHWSXAYKWCXIIABDEFCGHWDTWEYLXPWKWTIXJXNXDWFWBWGWHWIW
      JIJXAWLWM $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x C $.  $d x y F $.  $d x y J $.  $d x y K $.
    $d x y X $.  $d x y ph $.
    cnextf.1 $e |- C = U. J $.
    cnextf.2 $e |- B = U. K $.
    cnextf.3 $e |- ( ph -> J e. Top ) $.
    cnextf.4 $e |- ( ph -> K e. Haus ) $.
    cnextf.5 $e |- ( ph -> F : A --> B ) $.
    cnextf.a $e |- ( ph -> A C_ C ) $.
    cnextf.6 $e |- ( ph -> ( ( cls ` J ) ` A ) = C ) $.
    cnextf.7 $e |- ( ( ph /\ x e. C ) ->
             ( ( K fLimf ( ( ( nei ` J ) ` { x } ) |`t A ) ) ` F ) =/= (/) ) $.
    $( The value of the continuous extension of a given function ` F ` at a
       point ` X ` .  (Contributed by Thierry Arnoux, 21-Dec-2017.) $)
    cnextfvval $p |- ( ( ph /\ X e. C ) -> ( ( ( J CnExt K ) ` F ) ` X ) =
      U. ( ( K fLimf ( ( ( nei ` J ) ` { X } ) |`t A ) ) ` F ) ) $=
      ( wcel cfv adantr wa ccnext co wfun csn cnei crest cflf cuni wbr wceq cha
      ctop wf wss cnextfun syl22anc cop ccl cv cxp ciun biimpar fvex uniex snid
      eleq2d c1o cen wi sneq fveq2d oveq1d oveq2d fveq1d breq1d imbi2d cfil wne
      c0 ctopon toptopon sylib simpr w3a trnei biimpa syl31anc hausflf2 vtoclga
      expcom impcom en1b eleqtrrid wb nfiu1 nfel2 nfv nfbi opeq1 eleq1d anbi12d
      eleq1 bibi12d opeliunxp vtoclg1f adantl mpbir2and df-br haustop cnextfval
      syl syl5bb mpbird funbrfv sylc ) AIERZUAZFGHUBUCSZUDZIFHIUEZGUFSZSZCUGUCZ
      UHUCZSZUIZXSUJZIXSSYGUKXRGUMRZHULRZCDFUNZCEUOZXTAYIXQLTZAYJXQMTAYKXQNTZAY
      LXQOTZCDEFGHJKUPUQXRYHIYGURZBCGUSSSZBUTZUEZFHYSYBSZCUGUCZUHUCZSZVAZVBZRZX
      RUUFIYQRZYGYFRZAUUGXQAYQEIPVGVCXRYGYGUEZYFYGYFFYEVDVEVFXRYFVHVIUJZYFUUIUK
      XQAUUJAUUCVHVIUJZVJAUUJVJBIEYRIUKZUUKUUJAUULUUCYFVHVIUULFUUBYEUULUUAYDHUH
      UULYTYCCUGUULYSYAYBYRIVKVLVMVNVOZVPVQAYRERZUUKAUUNUAZYJUUACVRSRZYKUUCVTVS
      UUKAYJUUNMTUUOGEWASRZYLUUNYRYQRZUUPUUOYIUUQAYIUUNLTGEJWBWCAYLUUNOTAUUNWDA
      UURUUNAYQEYRPVGVCUUQYLUUNWEUURUUPCYRGEWFWGWHAYKUUNNTQFHUUADCKWIWHWKWJWLYF
      WMWCWNXQUUFUUGUUHUAZWOZAYRYGURZUUERZUURYGUUCRZUAZWOUUTBIEUUFUUSBBYPUUEBYQ
      UUDWPWQUUSBWRWSUULUVBUUFUVDUUSUULUVAYPUUEYRIYGWTXAUULUURUUGUVCUUHYRIYQXCU
      ULUUCYFYGUUMVGXBXDBYQUUCYGXEXFXGXHYHYPXSRXRUUFIYGXSXIXRXSUUEYPXRYIHUMRZYK
      YLXSUUEUKYMAUVEXQAYJUVEMHXJXLTYNYOBCDFGHEJKXKUQVGXMXNIYGXSXOXP $.

    $( Extension by continuity.  The extension by continuity is a function.
       (Contributed by Thierry Arnoux, 25-Dec-2017.) $)
    cnextf $p |- ( ph -> ( ( J CnExt K ) ` F ) : C --> B ) $=
      ( vy cfv wss wcel ccnext wfn crn wfun cdm wceq ctop cha cnextfun syl22anc
      co wf cv cop wex cab dfdm3 wa ccl cnei crest cflf simpl eleq2d biimpar c0
      csn wne n0 sylib cxp haustop syl cnextfval opeliunxp bitrdi exbidv 19.42v
      ciun syl12anc simprbda mpbid impbida abbi2dv eqtr4id df-fn sylanbrc rneqd
      wb adantr rniun wral vex snnz rnxp ax-mp biimpa ctopon toptopon simpr w3a
      trnei syl31anc flfelbas ex ssrdv syl3anc syldan eqsstrid ralrimiva sylibr
      cfil iunss eqsstrd df-f ) AFGHUAUKRZEUBZXPUCZDSEDXPULAXPUDZXPUEZEUFXQAGUG
      TZHUHTZCDFULZCESZXSKLMNCDEFGHIJUIUJAXTBUMZQUMZUNZXPTZQUOZBUPEBQXPUQAYIBEA
      YEETZYIAYJURZAYECGUSRRZTZYFFHYEVGZGUTRRCVAUKZVBUKRZTZQUOZYIAYJVCAYMYJAYLE
      YEOVDZVEZYKYPVFVHYRPQYPVIVJAYIYMYRURZAYIYMYQURZQUOUUAAYHUUBQAYHYGBYLYNYPV
      KZVSZTUUBAXPUUDYGAYAHUGTZYCYDXPUUDUFKAYBUUELHVLVMZMNBCDFGHEIJVNUJZVDBYLYP
      YFVOVPVQYMYQQVRVPZVEVTAYIURYMYJAYIYMYRUUHWAAYMYJWIYIYSWJWBWCWDWEXPEWFWGAX
      RUUDUCZDAXPUUDUUGWHAUUIBYLUUCUCZVSZDBYLUUCWKAUUJDSZBYLWLUUKDSAUULBYLAYMUR
      UUJYPDYNVFVHUUJYPUFYEBWMWNYNYPWOWPAYMYJYPDSZAYMYJYSWQYKHDWRRTZYOCXLRTZYCU
      UMAUUNYJAUUEUUNUUFHDJWSVJWJYKGEWRRTZYDYJYMUUOAUUPYJAYAUUPKGEIWSVJWJAYDYJN
      WJAYJWTYTUUPYDYJXAYMUUOCYEGEXBWQXCAYCYJMWJUUNUUOYCXAZQYPDUUQYQYFDTYFFHYOD
      CXDXEXFXGXHXIXJBYLUUJDXMXKXIXNEDXPXOWG $.

    $d b d u v x y z A $.  $d b u v w x y B $.  $d b c d u v w x y C $.
    $d b c d u v w x y z F $.  $d b c d u v w x y z J $.
    $d b c d u v w x y z K $.  $d b c d u v w x y z ph $.
    cnextcn.8 $e |- ( ph -> K e. Reg ) $.
    $( Extension by continuity.  Theorem 1 of [BourbakiTop1] p.  I.57.  Given a
       topology ` J ` on ` C ` , a subset ` A ` dense in ` C ` , this states a
       condition for ` F ` from ` A ` to a regular space ` K ` to be extensible
       by continuity.  (Contributed by Thierry Arnoux, 1-Jan-2018.) $)
    cnextcn $p |- ( ph -> ( ( J CnExt K ) ` F ) e. ( J Cn K ) ) $=
      ( cfv wcel wa vv vw vz vd vu vb vy vc ccnext co ccn cv cima wss cnei wrex
      csn wral simpll cin ccl w3a simpr3 ctop ad2antrr simpr2 neii2 syl2anc vex
      wi snss biimpri anim1i anim2i 3anass anbi1i anbi2i 3bitri opnneip syl3an1
      anass adantr imdistanri cha syl clsss sstr sylan anim2d reximdv2 syl21anc
      ex crest simpr simplr wceq fveq2d reximdv cvv fvexd ctopon toptopon sylib
      wb cflf cuni c0 wne weq eleq1w anbi2d oveq1d oveq2d fveq1d neeq1d imbi12d
      sneq chvarvv cnextfvval uniex c1o cen wbr wf eleq2d biimpar trnei syl3anc
      fvex mpbid hausflf2 syl31anc en1b eqeltrd neii1 mpd sylc sseldd ralrimiva
      r19.29a jca sylbir syl6 haustop crn imassrn sstrid ssrin imass2 syl2an3an
      frnd an32s syld imp 3anassrs simp-4l imaeq2 sseq1d biimpcd elfvexd elrest
      ssexd biimpa syl12anc snid cfil eleqtrrid flfnei simprd r19.21bi ad4ant13
      impel ad3antrrr 3an1rs adantllr creg simprl regsep expcom ad2antll reximi
      3expib anim1d syl5bir eltopss 3expa elrestr cfm cflim flfval cfbas uniexd
      cfg eqeltrid filfbas fgfil eleqtrrd eqid imaelfm flimclsi eqsstrrd sylibr
      eqsstrd adantlr expl wfun cdm cnextf ffund fdmd sseqtrrd biimprd reximdva
      funimass4 cnnei mpbird ) AFGHUIUJRZGHUKUJSZUXQUAULZUMUBULZUNZUABULZUQZGUO
      RZRZUPZUBUYBUXQRZUQZHUORRZURZBEURZAUYJBEAUYBESZTZUYFUBUYIUYMUXTUYISZTZAUC
      ULZUXQRZUXTSZUCUXSURZUAUYEUPZUYFAUYLUYNUSUYOUXSGSZFUXSCUTZUMZHVARZRZUXTUN
      ZTZUAUYEUPZUYTUYOFUDULZCUTZUMZVUDRZUXTUNZVUHUDUYEUYMUYNVUIUYESZVUMVUHUYMU
      YNVUNVUMVBZTZAVUMUYCUXSUNZUXSVUIUNZTZUAGUPZVUHAUYLVUOUSUYMUYNVUNVUMVCVUPG
      VDSZVUNVUTAVVAUYLVUOKVEUYMUYNVUNVUMVFUYCUAGVUIVGVHAVUMTZVUTVUHVVBVUSVUGUA
      GUYEVVBVUAVUSTZUXSUYESZVUAVURTZTZVVDVUGTAVVCVVFVJVUMAVVCAVUAUYBUXSSZVURTZ
      TZTZVVFAVVCVVJVVCVVIAVUSVVHVUAVUQVVGVURVVGVUQUYBUXSBVIVKVLVMVNVNWLVVJAVUA
      VVGVBZVURTZVVFVVLAVUAVVGTZTZVURTAVVMVURTZTVVJVVKVVNVURAVUAVVGVOVPAVVMVURW
      AVVOVVIAVUAVVGVURWAVQVRVVLVVDVVEVVKVVDVURAVVAVUAVVGVVDKUYBGUXSVSVTWBVURVV
      KVUAVURVVKVUAVURAVUAVVGVFWLWCUUAUUBUUCWBVVBVVEVUGVVDVVBVURVUFVUAVVBVURVUF
      AVURVUMVUFAVURTVUEVULUNZVUMVUFAHVDSZVUKDUNVURVUCVUKUNZVVPAHWDSZVVQLHUUDWE
      ZAVUKFUUEDFVUJUUFACDFMUUKUUGVURVUBVUJUNVVRUXSVUICUUHVUBVUJFUUIWEVUKVUCHDJ
      WFUUJVUEVULUXTWGWHUULWLWIWIUUMWJUUNWKUUOUYOFUEULZUMZVUDRZUXTUNZVUMUDUYEUP
      ZUEUYECWMUJZUYOVWAVWFSZTZVWDTVWDAVWGVWEVWHVWDWNAUYLUYNVWGVWDUUPUYOVWGVWDW
      OVWDVWAVUJWPZUDUYEUPZVWEAVWGTVWDVWIVUMUDUYEVWIVWDVUMVWIVWCVULUXTVWIVWBVUK
      VUDVWAVUJFUUQWQUURUUSWRAVWGVWJAUYEWSSCWSSZVWGVWJXDAUYCUYDWTACEWSAGXAEAVVA
      GEXARSZKGEIXBXCZUUTNUVBZUDVWACUYEWSWSUVAVHUVCUVLUVDUYOUFULZVUDRZUXTUNZVWD
      UEVWFUPZUFUYIUYOVWOUYISZTVWQTVWBVWOUNZUEVWFUPZVWRUYMVWSVXAUYNVWQUYMVXAUFU
      YIUYMUYGDSZVXAUFUYIURZUYMUYGFHVWFXEUJZRZSZVXBVXCTZUYMUYGVXEXFZVXEAUGCDEFG
      HUYBIJKLMNOUYMVXEXGXHZVJZAUGULZESZTZFHVXKUQZUYDRZCWMUJZXEUJZRZXGXHZVJBUGB
      UGXIZUYMVXMVXIVXSVXTUYLVXLABUGEXJXKVXTVXEVXRXGVXTFVXDVXQVXTVWFVXPHXEVXTUY
      EVXOCWMVXTUYCVXNUYDUYBVXKXQWQXLXMXNXOXPPXRXSUYMVXHVXHUQZVXEVXHVXEFVXDYIXT
      UVEUYMVXEYAYBYCZVXEVYAWPUYMVVSVWFCUVFRZSZCDFYDZVXIVYBAVVSUYLLWBUYMUYBCGVA
      RRZSZVYDAVYGUYLAVYFEUYBOYEYFUYMVWLCEUNZUYLVYGVYDXDAVWLUYLVWMWBAVYHUYLNWBA
      UYLWNCUYBGEYGYHYJZAVYEUYLMWBZPFHVWFDCJYKYLVXEYMXCUVGYNUYMHDXARSZVYDVYEVXF
      VXGXDAVYKUYLAVVQVYKVVTHDJXBXCZWBVYIVYJUYGUFFHVWFDCUEUVHYHYJUVIUVJUVKUYMVW
      SVWQVXAVWRVJZUYNUYMVWSTZVWQTZVVQVWODUNZVWQVYMAVVQUYLVWSVWQVVTUVMZVYOVVQVW
      SVYPVYQUYMVWSVWQWOUYHHVWODJYOVHVYNVWQWNVVQVYPVWQVBZVWTVWDUEVWFVYRVWTVWDVV
      QVYPVWTVWQVWDVVQVYPVWTVBVWCVWPUNVWQVWDVWOVWBHDJWFVWCVWPUXTWGWHUVNWLWRYHUV
      OYPUYOVVQUYGVWOSZVWQTZUFHUPZVWQUFUYIUPAVVQUYLUYNVVTVEZUYOUYGUHULZSZWUCUXT
      UNZTZWUAUHHUYOWUCHSZTZWUFTZVYSVWPWUCUNZTZUFHUPZWUAWUIHUVPSZWUGWUDWULUYOWU
      MWUGWUFAWUMUYLUYNQVEVEUYOWUGWUFWOWUHWUDWUEUVQUFUYGWUCHUVRYHWUEWULWUAVJWUH
      WUDWUEWUKVYTUFHWUEWUJVWQVYSWUJWUEVWQVWPWUCUXTWGUVSWIWRUVTYPUYOVVQUYNWUFUH
      HUPZWUBUYMUYNWNVVQUYNTUYHWUCUNZWUETZUHHUPWUNUYHUHHUXTVGWUPWUFUHHWUFWUPWUD
      WUOWUEUYGWUCUYBUXQYIVKVPVLUWAWEVHYTVVQVYTVWQUFHUYIVWOHSZVYTTWUQVYSTZVWQTV
      VQVWSVWQTWUQVYSVWQWAVVQWURVWSVWQVVQWUQVYSVWSUYGHVWOVSUWBUWCUWDWJYQYTYTYTA
      VUHUYTVJUYLUYNAVUGUYSUAUYEAVUAVUFUYSAVUATZVUFTZUYRUCUXSWUTUYPUXSSZTVUEUXT
      UYQWUSVUFWVAWOWUSWVAUYQVUESZVUFWUSWVATZAUYPESZVUBUYPUQZUYDRZCWMUJZSZWVBAV
      UAWVAUSWVCUXSEUYPWVCVVAVUAUXSEUNZAVVAVUAWVAKVEAVUAWVAWOUXSGEIUWEVHWUSWVAW
      NYRWVCWVFWSSVWKUXSWVFSZWVHWVCWVEUYDWTAVWKVUAWVAVWNVEAVUAWVAWVJAVVAVUAWVAW
      VJKUYPGUXSVSVTUWFUXSCWVFWSWSUWGYHAWVDTZWVHTZUYQFHWVGXEUJZRZXFZVUEWVKUYQWV
      OWPWVHABCDEFGHUYPIJKLMNOPXSWBWVLWVOUQZVUEUNWVOVUESWVLWVPWVNVUEWVKWVNWVPWP
      ZWVHWVKWVNYAYBYCZWVQWVKVVSWVGVYCSZVYEWVNXGXHZWVRAVVSWVDLWBWVKUYPVYFSZWVSA
      WWAWVDAVYFEUYPOYEYFWVKVWLVYHWVDWWAWVSXDAVWLWVDVWMWBAVYHWVDNWBAWVDWNCUYPGE
      YGYHYJZAVYEWVDMWBZVXJWVKWVTVJBUCBUCXIZUYMWVKVXIWVTWWDUYLWVDABUCEXJXKWWDVX
      EWVNXGWWDFVXDWVMWWDVWFWVGHXEWWDUYEWVFCWMWWDUYCWVEUYDUYBUYPXQWQXLXMXNXOXPP
      XRFHWVGDCJYKYLWVNYMXCWBWVLWVNHWVGDFUWHUJRZUWIUJZVUEWVKWVNWWFWPZWVHWVKVYKW
      VSVYEWWGAVYKWVDVYLWBWWBWWCFHWVGDCUWJYHWBWVLVUCWWESZWWFVUEUNWVLDWSSWVGCUWK
      RSZVYEVUBCWVGUWMUJZSWWHWVLDHXFZWSJAWWKWSSWVDWVHAHWDLUWLVEUWNWVLWVSWWIWVKW
      VSWVHWWBWBWVGCUWOWEAVYEWVDWVHMVEWVLVUBWVGWWJWVKWVHWNWVKWWJWVGWPZWVHWVKWVS
      WWLWWBWVGCUWPWEWBUWQWSWVGVUBFWWJDCWWJUWRUWSYLVUCWWEHUWTWEUXCUXAWVOVUEWVNF
      WVMYIXTVKUXBYNWKUXDYRYSUXEWRVEYPAUYSUYAUAUYEAVVDTZUYAUYSWWMUXQUXFZUXSUXQU
      XGZUNUYAUYSXDAWWNVVDAEDUXQABCDEFGHIJKLMNOPUXHZUXIWBWWMUXSEWWOAVVAVVDWVIKU
      YCGUXSEIYOWHAWWOEWPVVDAEDUXQWWPUXJWBUXKUCUXSUXTUXQUXNVHUXLUXMYQYSYSAVVAVV
      QEDUXQYDUXRUYKXDKVVTWWPUBUAUXQGHEDBIJUXOYHUXP $.

    ${
      $d v w y A $.
      cnextfres1.1 $e |- ( ph -> F e. ( ( J |`t A ) Cn K ) ) $.
      $( ` F ` and its extension by continuity agree on the domain of ` F ` .
         (Contributed by Thierry Arnoux, 17-Jan-2018.) $)
      cnextfres1 $p |- ( ph -> ( ( ( J CnExt K ) ` F ) |` A ) = F ) $=
        ( cfv wcel vy vv vw ccnext co cres wfn wss cnextf fnssres syl2anc cv wa
        ffnd csn cnei crest cflf cuni fvres adantl sselda cnextfvval syldan c1o
        wceq cen wbr cima wrex wral ffvelrnda simpr ctop restuni adantr eleqtrd
        ccn wf cvv ccl fvex eqeltrrdi ssexd resttop cha haustop syl feq2d mpbid
        wb eqid cnnei syl3anc r19.21bi snssi syl2an3an rexeqdv ralrimiva ctopon
        neitr cfil toptopon biimpi eleqtrrd sylib trnei flfnei mpbir2and c0 wne
        3syl wi eleq1w anbi2d sneq fveq2d oveq1d oveq2d fveq1d imbi12d hausflf2
        neeq1d chvarvv syl31anc en1eqsn unieqd unisn eqtrdi 3eqtrd eqfnfvd ) AU
        ACFGHUDUESZCUFZFAYLEUGCEUHZYMCUGAEDYLABCDEFGHIJKLMNOPUIUNNECYLUJUKACDFM
        UNAUAULZCTZUMZYOYMSZYOYLSZFHYOUOZGUPSZSZCUQUEZURUEZSZUSZYOFSZYPYRYSVFAY
        OCYLUTVAAYPYOETZYSUUFVFACEYONVBZABCDEFGHYOIJKLMNOPVCVDYQUUFUUGUOZUSUUGY
        QUUEUUJYQUUGUUETZUUEVEVGVHZUUEUUJVFYQUUKUUGDTZFUBULVIUCULZUHZUBUUCVJZUC
        UUJHUPSSZVKZACDYOFMVLYQUUPUCUUQYQUUNUUQTZUMUUOUBYTGCUQUEZUPSSZVJZUUPYQU
        VBUCUUQAYPYOUUTUSZTUVBUCUUQVKZYQYOCUVCAYPVMACUVCVFZYPAGVNTZYNUVEKNCGEIV
        OUKZVPVQAUVDUAUVCAFUUTHVRUETZUVDUAUVCVKZRAUUTVNTZHVNTZUVCDFVSZUVHUVIWKA
        UVFCVTTUVJKACEVTAECGWASZSZVTOCUVMWBWCNWDCGVTWEUKAHWFTZUVKLHWGZWHACDFVSZ
        UVLMACUVCDFUVGWIWJUCUBFUUTHUVCDUAUVCWLJWMWNWJWOVDWOYQUVBUUPWKUUSYQUUOUB
        UVAUUCAUVFYNYPYTCUHUVAUUCVFKNYOCWPCYTGEIXAWQWRVPWJWSYQHDWTSTZUUCCXBSTZU
        VQUUKUUMUURUMWKYQUVOUVKUVRAUVOYPLVPZUVPUVKUVRHDJXCXDXLYQYOUVNTZUVSYQYOE
        UVNUUIAUVNEVFYPOVPXEYQGEWTSTZYNUUHUWAUVSWKAUWBYPAUVFUWBKGEIXCXFVPAYNYPN
        VPUUICYOGEXGWNWJZAUVQYPMVPZUUGUCFHUUCDCUBXHWNXIYQUVOUVSUVQUUEXJXKZUULUV
        TUWCUWDAYPUUHUWEUUIABULZETZUMZFHUWFUOZUUASZCUQUEZURUEZSZXJXKZXMAUUHUMZU
        WEXMBUAUWFYOVFZUWHUWOUWNUWEUWPUWGUUHABUAEXNXOUWPUWMUUEXJUWPFUWLUUDUWPUW
        KUUCHURUWPUWJUUBCUQUWPUWIYTUUAUWFYOXPXQXRXSXTYCYAPYDVDFHUUCDCJYBYEUUGUU
        EYFUKYGUUGYOFWBYHYIYJYK $.
    $}
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d F x $.  $d J x $.  $d K x $.  $d X x $.
    cnextfres.c $e |- C = U. J $.
    cnextfres.b $e |- B = U. K $.
    cnextfres.j $e |- ( ph -> J e. Top ) $.
    cnextfres.k $e |- ( ph -> K e. Haus ) $.
    cnextfres.a $e |- ( ph -> A C_ C ) $.
    cnextfres.1 $e |- ( ph -> F e. ( ( J |`t A ) Cn K ) ) $.
    cnextfres.x $e |- ( ph -> X e. A ) $.
    $( ` F ` and its extension by continuity agree on the domain of ` F ` .
       (Contributed by Thierry Arnoux, 29-Aug-2020.) $)
    cnextfres $p |- ( ph -> ( ( ( J CnExt K ) ` F ) ` X ) = ( F ` X ) ) $=
      ( vx co cfv wceq wcel ccnext wfun wbr ctop cha wf wss crest cuni ccn eqid
      cnf syl restuni syl2anc mpbird cnextfun syl22anc cop ccl cv csn cnei cflf
      feq2d cxp ciun sseldd flfcntr sneq fveq2d oveq1d oveq2d fveq1d opeliunxp2
      sscls sylanbrc haustop cnextfval eleqtrrd df-br sylibr funbrfv sylc ) AEF
      GUAQRZUBZHHERZWEUCZHWERWGSAFUDTZGUETZBCEUFZBDUGZWFKLAWKFBUHQZUIZCEUFZAEWM
      GUJQTWONEWMGWNCWNUKJULUMABWNCEAWIWLBWNSKMBFDIUNUOVEUPZMBCDEFGIJUQURAHWGUS
      ZWETWHAWQPBFUTRRZPVAZVBZEGWTFVCRZRZBUHQZVDQZRZVFVGZWEAHWRTWGEGHVBZXARZBUH
      QZVDQZRZTWQXFTABWRHAWIWLBWRUGKMBFDIVPUOOVHABCDEFGHIJKMNOVIPWRXEHWGXKWSHSZ
      EXDXJXLXCXIGVDXLXBXHBUHXLWTXGXAWSHVJVKVLVMVNVOVQAWIGUDTZWKWLWEXFSKAWJXMLG
      VRUMWPMPBCEFGDIJVSURVTHWGWEWAWBHWGWEWCWD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Topological groups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c TopMnd $.
  $c TopGrp $.

  $( Extend class notation with the class of all topological monoids. $)
  ctmd $a class TopMnd $.

  $( Extend class notation with the class of all topological groups. $)
  ctgp $a class TopGrp $.

  ${
    $d f j $.
    $( Define the class of all topological monoids.  A topological monoid is a
       monoid whose operation is continuous.  (Contributed by Mario Carneiro,
       19-Sep-2015.) $)
    df-tmd $a |- TopMnd = { f e. ( Mnd i^i TopSp ) |
     [. ( TopOpen ` f ) / j ]. ( +f ` f ) e. ( ( j tX j ) Cn j ) } $.

    $( Define the class of all topological groups.  A topological group is a
       group whose operation and inverse function are continuous.  (Contributed
       by FL, 18-Apr-2010.) $)
    df-tgp $a |- TopGrp = { f e. ( Grp i^i TopMnd ) |
     [. ( TopOpen ` f ) / j ]. ( invg ` f ) e. ( j Cn j ) } $.
  $}

  ${
    $d f j F $.  $d f j G $.  $d f j J $.
    istmd.1 $e |- F = ( +f ` G ) $.
    istmd.2 $e |- J = ( TopOpen ` G ) $.
    $( The predicate "is a topological monoid".  (Contributed by Mario
       Carneiro, 19-Sep-2015.) $)
    istmd $p |- ( G e. TopMnd <-> ( G e. Mnd /\ G e. TopSp /\
      F e. ( ( J tX J ) Cn J ) ) ) $=
      ( vf vj cmnd ctps wcel ctx co ccn wa ctmd cv cplusf cfv ctopn wceq anbi1i
      cin w3a elin wsbc cvv fvexd simpl fveq2d eqtr4di id fveq2 oveq12d eleq12d
      sylan9eqr sbcied df-tmd elrab2 df-3an 3bitr4i ) BHIUBZJZACCKLZCMLZJZNBHJZ
      BIJZNZVENBOJVFVGVEUCVBVHVEBHIUDUAFPZQRZGPZVKKLZVKMLZJZGVISRZUEVEFBVAOVIBT
      ZVNVEGVOUFVPVISUGVPVKVOTZNZVJAVMVDVRVJBQRAVRVIBQVPVQUHUIDUJVRVLVCVKCMVRVK
      CVKCKVQVPVKVOCVQUKVPVOBSRCVIBSULEUJUOZVSUMVSUMUNUPFGUQURVFVGVEUSUT $.
  $}

  $( A topological monoid is a monoid.  (Contributed by Mario Carneiro,
     19-Sep-2015.) $)
  tmdmnd $p |- ( G e. TopMnd -> G e. Mnd ) $=
    ( ctmd wcel cmnd ctps cplusf cfv ctopn ctx co ccn eqid istmd simp1bi ) ABCA
    DCAECAFGZAHGZPIJPKJCOAPOLPLMN $.

  $( A topological monoid is a topological space.  (Contributed by Mario
     Carneiro, 19-Sep-2015.) $)
  tmdtps $p |- ( G e. TopMnd -> G e. TopSp ) $=
    ( ctmd wcel cmnd ctps cplusf cfv ctopn ctx co ccn eqid istmd simp2bi ) ABCA
    DCAECAFGZAHGZPIJPKJCOAPOLPLMN $.

  ${
    $d f j G $.  $d f j I $.  $d f j J $.
    istgp.1 $e |- J = ( TopOpen ` G ) $.
    istgp.2 $e |- I = ( invg ` G ) $.
    $( The predicate "is a topological group".  Definition 1 of [BourbakiTop1]
       p.  III.1.  (Contributed by FL, 18-Apr-2010.)  (Revised by Mario
       Carneiro, 13-Aug-2015.) $)
    istgp $p |- ( G e. TopGrp <->
      ( G e. Grp /\ G e. TopMnd /\ I e. ( J Cn J ) ) ) $=
      ( vf vj cgrp ctmd wcel ccn co wa ctgp cv cminusg cfv ctopn wceq eqtr4di
      cin w3a elin anbi1i wsbc cvv fvexd simpl fveq2d sylan9eqr oveq12d eleq12d
      id fveq2 sbcied df-tgp elrab2 df-3an 3bitr4i ) AHIUAZJZBCCKLZJZMAHJZAIJZM
      ZVCMANJVDVEVCUBVAVFVCAHIUCUDFOZPQZGOZVIKLZJZGVGRQZUEVCFAUTNVGASZVKVCGVLUF
      VMVGRUGVMVIVLSZMZVHBVJVBVOVHAPQBVOVGAPVMVNUHUIETVOVICVICKVNVMVIVLCVNUMVMV
      LARQCVGARUNDTUJZVPUKULUOFGUPUQVDVEVCURUS $.
  $}

  $( A topological group is a group.  (Contributed by FL, 18-Apr-2010.)
     (Revised by Mario Carneiro, 13-Aug-2015.) $)
  tgpgrp $p |- ( G e. TopGrp -> G e. Grp ) $=
    ( ctgp wcel cgrp ctmd cminusg cfv ctopn ccn co eqid istgp simp1bi ) ABCADCA
    ECAFGZAHGZOIJCANOOKNKLM $.

  $( A topological group is a topological monoid.  (Contributed by Mario
     Carneiro, 19-Sep-2015.) $)
  tgptmd $p |- ( G e. TopGrp -> G e. TopMnd ) $=
    ( ctgp wcel cgrp ctmd cminusg cfv ctopn ccn co eqid istgp simp2bi ) ABCADCA
    ECAFGZAHGZOIJCANOOKNKLM $.

  $( A topological group is a topological space.  (Contributed by FL,
     21-Jun-2010.)  (Revised by Mario Carneiro, 13-Aug-2015.) $)
  tgptps $p |- ( G e. TopGrp -> G e. TopSp ) $=
    ( ctgp wcel ctmd ctps tgptmd tmdtps syl ) ABCADCAECAFAGH $.

  ${
    tgpcn.j $e |- J = ( TopOpen ` G ) $.
    ${
      tgptopon.x $e |- X = ( Base ` G ) $.
      $( The topology of a topological monoid.  (Contributed by Mario Carneiro,
         27-Jun-2014.)  (Revised by Mario Carneiro, 13-Aug-2015.) $)
      tmdtopon $p |- ( G e. TopMnd -> J e. ( TopOn ` X ) ) $=
        ( ctmd wcel ctps ctopon cfv tmdtps istps sylib ) AFGAHGBCIJGAKCBAEDLM
        $.

      $( The topology of a topological group.  (Contributed by Mario Carneiro,
         27-Jun-2014.)  (Revised by Mario Carneiro, 13-Aug-2015.) $)
      tgptopon $p |- ( G e. TopGrp -> J e. ( TopOn ` X ) ) $=
        ( ctgp wcel ctps ctopon cfv tgptps istps sylib ) AFGAHGBCIJGAKCBAEDLM
        $.
    $}

    ${
      tgpcn.1 $e |- F = ( +f ` G ) $.
      $( In a topological monoid, the operation ` F ` representing the
         functionalization of the operator slot ` +g ` is continuous.
         (Contributed by Mario Carneiro, 19-Sep-2015.) $)
      tmdcn $p |- ( G e. TopMnd -> F e. ( ( J tX J ) Cn J ) ) $=
        ( ctmd wcel cmnd ctps ctx co ccn istmd simp3bi ) BFGBHGBIGACCJKCLKGABCE
        DMN $.

      $( In a topological group, the operation ` F ` representing the
         functionalization of the operator slot ` +g ` is continuous.
         (Contributed by FL, 21-Jun-2010.)  (Revised by Mario Carneiro,
         13-Aug-2015.) $)
      tgpcn $p |- ( G e. TopGrp -> F e. ( ( J tX J ) Cn J ) ) $=
        ( ctgp wcel ctmd ctx co ccn tgptmd tmdcn syl ) BFGBHGACCIJCKJGBLABCDEMN
        $.
    $}

    ${
      tgpinv.5 $e |- I = ( invg ` G ) $.
      $( In a topological group, the inverse function is continuous.
         (Contributed by FL, 21-Jun-2010.)  (Revised by FL, 27-Jun-2014.) $)
      tgpinv $p |- ( G e. TopGrp -> I e. ( J Cn J ) ) $=
        ( ctgp wcel cgrp ctmd ccn co istgp simp3bi ) AFGAHGAIGBCCJKGABCDELM $.

      $( The inverse function in a topological group is a homeomorphism from
         the group to itself.  (Contributed by Mario Carneiro, 14-Aug-2015.) $)
      grpinvhmeo $p |- ( G e. TopGrp -> I e. ( J Homeo J ) ) $=
        ( ctgp wcel ccn co ccnv chmeo tgpinv cgrp wceq tgpgrp cbs cfv grpinvcnv
        eqid syl eqeltrd ishmeo sylanbrc ) AFGZBCCHIZGBJZUEGBCCKIGABCDELZUDUFBU
        EUDAMGUFBNAOAPQZABUHSERTUGUABCCUBUC $.
    $}

    $d x y G $.  $d x y J $.  $d x K $.  $d x y ph $.  $d x y X $.  $d x y Y $.
    cnmpt1plusg.p $e |- .+ = ( +g ` G ) $.
    cnmpt1plusg.g $e |- ( ph -> G e. TopMnd ) $.
    cnmpt1plusg.k $e |- ( ph -> K e. ( TopOn ` X ) ) $.
    ${
      cnmpt1plusg.a $e |- ( ph -> ( x e. X |-> A ) e. ( K Cn J ) ) $.
      cnmpt1plusg.b $e |- ( ph -> ( x e. X |-> B ) e. ( K Cn J ) ) $.
      $( Continuity of the group sum; analogue of ~ cnmpt12f which cannot be
         used directly because ` +g ` is not a function.  (Contributed by Mario
         Carneiro, 23-Aug-2015.) $)
      cnmpt1plusg $p |- ( ph -> ( x e. X |-> ( A .+ B ) ) e. ( K Cn J ) ) $=
        ( cfv co cmpt ccn wcel cplusf cv cbs wceq ctopon ctmd eqid tmdtopon syl
        wa cnf2 syl3anc fvmptelrn plusfval syl2anc mpteq2dva ctx tmdcn cnmpt12f
        wf eqeltrrd ) ABICDFUAPZQZRBICDEQZRHGSQZABIVCVDABUBITUJCFUCPZTDVFTVCVDU
        DABICVFAHIUEPTZGVFUEPTZBICRZVETIVFVIUTMAFUFTZVHLFGVFJVFUGZUHUIZNVIHGIVF
        UKULUMABIDVFAVGVHBIDRZVETIVFVMUTMVLOVMHGIVFUKULUMVFEVBFCDVKKVBUGZUNUOUP
        ABCDVBHGGGIMNOAVJVBGGUQQGSQTLVBFGJVNURUIUSVA $.
    $}

    cnmpt2plusg.l $e |- ( ph -> L e. ( TopOn ` Y ) ) $.
    cnmpt2plusg.a $e |- ( ph -> ( x e. X , y e. Y |-> A ) e.
                                ( ( K tX L ) Cn J ) ) $.
    cnmpt2plusg.b $e |- ( ph -> ( x e. X , y e. Y |-> B ) e.
                                ( ( K tX L ) Cn J ) ) $.
    $( Continuity of the group sum; analogue of ~ cnmpt22f which cannot be used
       directly because ` +g ` is not a function.  (Contributed by Mario
       Carneiro, 23-Aug-2015.) $)
    cnmpt2plusg $p |- ( ph ->
        ( x e. X , y e. Y |-> ( A .+ B ) ) e. ( ( K tX L ) Cn J ) ) $=
      ( wcel cplusf cfv co cmpo ctx ccn cv w3a cbs wceq wral cxp ctopon txtopon
      wa syl2anc ctmd eqid tmdtopon syl cnf2 syl3anc fmpo sylibr r19.21bi 3impa
      wf plusfval mpoeq3dva tmdcn cnmpt22f eqeltrrd ) ABCKLDEGUAUBZUCZUDBCKLDEF
      UCZUDIJUEUCZHUFUCZABCKLVNVOABUGKTZCUGLTZUHDGUIUBZTZEVTTZVNVOUJAVRVSWAAVRU
      OZWACLAWACLUKZBKAKLULZVTBCKLDUDZVGZWDBKUKAVPWEUMUBTZHVTUMUBTZWFVQTWGAIKUM
      UBTJLUMUBTWHPQIJKLUNUPZAGUQTZWIOGHVTMVTURZUSUTZRWFVPHWEVTVAVBBCKLDVTWFWFU
      RVCVDVEVEVFAVRVSWBWCWBCLAWBCLUKZBKAWEVTBCKLEUDZVGZWNBKUKAWHWIWOVQTWPWJWMS
      WOVPHWEVTVAVBBCKLEVTWOWOURVCVDVEVEVFVTFVMGDEWLNVMURZVHUPVIABCDEVMIJHHHKLP
      QRSAWKVMHHUEUCHUFUCTOVMGHMWQVJUTVKVL $.
  $}

  ${
    $d u v x y z G $.  $d u v J $.  $d u v x y z U $.  $d u v X $.  $d u v Y $.
    $d z B $.
    tmdcn2.1 $e |- B = ( Base ` G ) $.
    tmdcn2.2 $e |- J = ( TopOpen ` G ) $.
    tmdcn2.3 $e |- .+ = ( +g ` G ) $.
    $( Write out the definition of continuity of ` +g ` explicitly.
       (Contributed by Mario Carneiro, 20-Sep-2015.) $)
    tmdcn2 $p |- ( ( ( G e. TopMnd /\ U e. J ) /\
      ( X e. B /\ Y e. B /\ ( X .+ Y ) e. U ) ) -> E. u e. J E. v e. J
        ( X e. u /\ Y e. v /\ A. x e. u A. y e. v ( x .+ y ) e. U ) ) $=
      ( vz wcel co cv cfv wral ctmd wa w3a cxp cplusf ccnv cima wss wrex ctopon
      tmdtopon ad2antrr ctx ccn cuni ccnp eqid tmdcn simpr1 simpr2 opelxpd wceq
      cop txtopon syl2anc toponuni eleqtrd cncnpi simplr plusfval simpr3 txcnpi
      syl eqeltrd dfss3 eleq1 wfn wb plusffn elpreima ax-mp bitrdi ralxp opelxp
      bitri df-ov eqtr3id sylbi eleq1d biimpa 2ralimi 3anim3i reximi ) HUAPZGIP
      ZUBZJEPZKEPZJKFQZGPZUCZUBZJDRZPZKCRZPZXCXEUDZHUESZUFGUGZUHZUCZCIUIZDIUIXD
      XFARZBRZFQZGPZBXETAXCTZUCZCIUIZDIUIXBCDJKGXHIIIEEWNIEUJSPZWOXAHIEMLUKULZY
      AXBXHIIUMQZIUNQPZJKVCZYBUOZPXHYDYBIUPQSPWNYCWOXAXHHIMXHUQZURULXBYDEEUDZYE
      XBJKEEWPWQWRWTUSZWPWQWRWTUTZVAXBYBYGUJSPZYGYEVBXBXTXTYJYAYAIIEEVDVEYGYBVF
      VMVGYDXHYBIYEYEUQVHVEWNWOXAVIYHYIXBJKXHQZWSGXBWQWRYKWSVBYHYIEFXHHJKLNYFVJ
      VEWPWQWRWTVKVNVLXLXSDIXKXRCIXJXQXDXFXJXMXNVCZYGPZYLXHSZGPZUBZBXETAXCTZXQX
      JORZXIPZOXGTYQOXGXIVOYSYPOABXCXEYRYLVBYSYLXIPZYPYRYLXIVPXHYGVQYTYPVREXHHL
      YFVSYGYLGXHVTWAWBWCWEYPXPABXCXEYMYOXPYMYNXOGYMXMEPXNEPUBZYNXOVBXMXNEEWDUU
      AYNXMXNXHQXOXMXNXHWFEFXHHXMXNLNYFVJWGWHWIWJWKWHWLWMWMVM $.
  $}

  ${
    $d x y G $.  $d x y J $.  $d x y .- $.
    tgpsubcn.2 $e |- J = ( TopOpen ` G ) $.
    tgpsubcn.3 $e |- .- = ( -g ` G ) $.
    $( In a topological group, the "subtraction" (or "division") is continuous.
       Axiom GT' of [BourbakiTop1] p.  III.1.  (Contributed by FL,
       21-Jun-2010.)  (Revised by Mario Carneiro, 19-Mar-2015.) $)
    tgpsubcn $p |- ( G e. TopGrp -> .- e. ( ( J tX J ) Cn J ) ) $=
      ( vx vy ctgp wcel cbs cfv cv cminusg cplusg cmpo ctx ccn eqid grpsubfval
      co tgptmd tgptopon cnmpt1st cnmpt2nd tgpinv cnmpt21f cnmpt2plusg eqeltrid
      ) AHIZCFGAJKZUJFLZGLZAMKZKZANKZTOBBPTBQTFGUJUOAUMCUJRZUORZUMRZESUIFGUKUNU
      OABBBUJUJDUQAUAABUJDUPUBZUSUIFGBBUJUJUSUSUCUIFGULUMBBBBUJUJUSUSUIFGBBUJUJ
      USUSUDAUMBDURUEUFUGUH $.

    $( A group with a topology is a topological group iff the subtraction
       operation is continuous.  (Contributed by Mario Carneiro,
       2-Sep-2015.) $)
    istgp2 $p |- ( G e. TopGrp <->
      ( G e. Grp /\ G e. TopSp /\ .- e. ( ( J tX J ) Cn J ) ) ) $=
      ( vx vy wcel co ccn w3a cfv 3ad2ant1 simp2 cmpo eqid simp3 cmpt syl3anbrc
      cv ctgp cgrp ctps ctx tgpgrp tgptps tgpsubcn 3jca ctmd cminusg simp1 cmnd
      cplusf grpmnd cbs cplusg grpsubinv mpoeq3dva plusffval ctopon istps sylib
      eqtr4di cnmpt1st cnmpt2nd grpinvf feqmptd wceq grpinvval2 sylan mpteq2dva
      c0g wf grpidcl cnmptc cnmptid cnmpt12f eqeltrd cnmpt21f cnmpt22f eqeltrrd
      eqtrd istmd istgp impbii ) AUAHZAUBHZAUCHZCBBUDIBJIZHZKZWFWGWHWJAUEAUFABC
      DEUGUHWKWGAUIHZAUJLZBBJIZHWFWGWHWJUKZWKAULHZWHAUMLZWIHWLWGWHWPWJAUNMWGWHW
      JNZWKFGAUOLZWSFTZGTZWMLZCIZOZWQWIWKXDFGWSWSWTXAAUPLZIZOWQWKFGWSWSXCXFWKWT
      WSHZXAWSHZKWSXEACWMWTXAWSPZXEPZEWMPZWKXGWGXHWOMWKXGXHNWKXGXHQUQURFGWSXEWQ
      AXIXJWQPZUSVCWKFGWTXBCBBBBBWSWSWKWHBWSUTLHWRWSBAXIDVAVBZXMWKFGBBWSWSXMXMV
      DWKFGXAWMBBBBWSWSXMXMWKFGBBWSWSXMXMVEWKWMFWSAVLLZWTCIZRZWNWKWMFWSWTWMLZRX
      PWKFWSWSWMWGWHWSWSWMVMWJWSAWMXIXKVFMVGWKFWSXQXOWKWGXGXQXOVHWOWSACWMWTXNXI
      EXKXNPZVIVJVKWBWKFXNWTCBBBBWSXMWKFXNBBWSWSXMXMWGWHXNWSHWJWSAXNXIXRVNMVOWK
      FBWSXMVPWGWHWJQZVQVRZVSXSVTWAWQABXLDWCSXTAWMBDXKWDSWE $.
  $}

  ${
    $d k n x y B $.  $d k n x y G $.  $d k n x y J $.  $d k n x y .x. $.
    $d n x N $.
    tgpmulg.j $e |- J = ( TopOpen ` G ) $.
    tgpmulg.t $e |- .x. = ( .g ` G ) $.
    ${
      tgpmulg.b $e |- B = ( Base ` G ) $.
      $( In a topological monoid, the n-times group multiple function is
         continuous.  (Contributed by Mario Carneiro, 19-Sep-2015.) $)
      tmdmulg $p |- ( ( G e. TopMnd /\ N e. NN0 ) ->
         ( x e. B |-> ( N .x. x ) ) e. ( J Cn J ) ) $=
        ( vy wcel cv co cmpt cfv cc0 wceq oveq1 eleq1d mpteq2dv vn ctmd ccn c0g
        vk caddc eqid mulg0 sylan9eq mpteq2dva tmdtopon cmnd tmdmnd mndidcl syl
        c1 cnmptc cn0 wa cplusg oveq2 cbvmptv mulgnn0p1 ad4ant124 syl5eq simpll
        syl3an1 ctopon simpr eqeltrrid cnmptid cnmpt1plusg eqeltrd nn0indd ) DU
        BKZABUALZALZCMZNZEEUCMZKABDUDOZNZVTKABUELZVQCMZNZVTKZABWCUPUFMZVQCMZNZV
        TKABFVQCMZNZVTKUAUEFVPPQZVSWBVTWLABVRWAWLVQBKVRPVQCMWAVPPVQCRBCDVQWAIWA
        UGZHUHUIUJSVPWCQZVSWEVTWNABVRWDVPWCVQCRTSVPWGQZVSWIVTWOABVRWHVPWGVQCRTS
        VPFQZVSWKVTWPABVRWJVPFVQCRTSVOAWAEEBBDEBGIUKZWQVODULKZWABKDUMZBDWAIWMUN
        UOUQVOWCURKZUSZWFUSZWIJBWCJLZCMZXCDUTOZMZNZVTXBWIJBWGXCCMZNXGAJBWHXHVQX
        CWGCVAVBXBJBXHXFVOWTXCBKZXHXFQZWFVOWRWTXIXJWSBXECDWCXCIHXEUGZVCVGVDUJVE
        XBJXDXCXEDEEBGXKVOWTWFVFZXBVOEBVHOKXLWQUOZXBJBXDNWEVTAJBWDXDVQXCWCCVAVB
        XAWFVIVJXBJEBXMVKVLVMVN $.

      $( In a topological group, the n-times group multiple function is
         continuous.  (Contributed by Mario Carneiro, 19-Sep-2015.) $)
      tgpmulg $p |- ( ( G e. TopGrp /\ N e. ZZ ) ->
         ( x e. B |-> ( N .x. x ) ) e. ( J Cn J ) ) $=
        ( ctgp wcel cz wa cn0 co cmpt cneg tmdmulg cfv ad2antrr cv cr cn tgptmd
        ccn ctmd sylan adantlr cminusg simpllr zcnd negnegd wceq eqid mulgnegnn
        oveq1d adantll eqtr3d mpteq2dva ctopon tgptopon adantr cnmpt11f eqeltrd
        nnnn0 syl2an tgpinv adantrl wo simpr elznn0nn sylib mpjaodan ) DJKZFLKZ
        MZFNKZABFAUAZCOZPZEEUEOZKZFUBKZFQZUCKZMZVNVQWBVOVNDUFKZVQWBDUDZABCDEFGH
        IRUGUHVPWEWBWCVPWEMZVTABWDVRCOZDUISZSZPWAWIABVSWLWIVRBKZMZWDQZVRCOZVSWL
        WNWOFVRCWNFWNFVNVOWEWMUJUKULUPWEWMWPWLUMVPBCDWKWDVRIHWKUNZUOUQURUSWIAWJ
        WKEEEBVNEBUTSKVOWEDEBGIVATVPWGWDNKABWJPWAKWEVNWGVOWHVBWDVEABCDEWDGHIRVF
        VNWKWAKVOWEDWKEGWQVGTVCVDVHVPVOVQWFVIVNVOVJFVKVLVM $.
    $}

    $( In a topological monoid, the group multiple function is jointly
       continuous (although this is not saying much as one of the factors is
       discrete).  Use ~ zdis to write the left topology as a subset of the
       complex numbers.  (Contributed by Mario Carneiro, 19-Sep-2015.) $)
    tgpmulg2 $p |- ( G e. TopGrp -> .x. e. ( ( ~P ZZ tX J ) Cn J ) ) $=
      ( vn vx ctgp wcel cvv cbs cfv zex a1i eqid tgptopon ctopon ctop topontop
      cz syl cxp wfn mulgfn cv tgpmulg txdis1cn ) BHIZFGACCJTBKLZTJIUHMNBCUIDUI
      OZPZUHCUIQLICRIUKUICSUAATUIUBUCUHUIABUJEUDNGUIABCFUEDEUJUFUG $.
  $}

  ${
    $d f g k t u w x y z A $.  $d f g t u w x y z J $.  $d f g k t u x y z X $.
    $d f g k t u w x y z B $.  $d f g k t u w x y z G $.  $d f g t u x U $.
    $d g x ph $.
    tmdgsum.j $e |- J = ( TopOpen ` G ) $.
    tmdgsum.b $e |- B = ( Base ` G ) $.
    $( In a topological monoid, the group sum operation is a continuous
       function from the function space to the base topology.  This theorem is
       not true when ` A ` is infinite, because in this case for any basic open
       set of the domain one of the factors will be the whole space, so by
       varying the value of the functions to sum at this index, one can achieve
       any desired sum.  (Contributed by Mario Carneiro, 19-Sep-2015.)  (Proof
       shortened by AV, 24-Jul-2019.) $)
    tmdgsum $p |- ( ( G e. CMnd /\ G e. TopMnd /\ A e. Fin ) ->
      ( x e. ( B ^m A ) |-> ( G gsum x ) ) e. ( ( J ^ko ~P A ) Cn J ) ) $=
      ( vw vk wcel cfn cmap co cgsu cmpt cpt cfv ccn c0 wceq vy vz ccmn ctmd cv
      w3a csn cxp cpw cxko wa cun oveq2 mpteq1d xpeq1 0xp eqtrdi fveq2d eleq12d
      wi oveq1d imbi2d c0g wfn elmapfn fn0 sylib oveq2d eqid gsum0 mpteq2ia cvv
      ctopon 0ex tmdtopon adantl fveq2i eqcomi pttoponconst sylancr cmnd tmdmnd
      mndidcl syl cnmptc eqeltrid wn cres cplusg cbvmptv simpl1l simp2l sylancl
      snfi unfi adantr wf elmapi fdmfifsupp cin simpl2r disjsn sylibr gsumsplit
      fvexd eqidd mpteq2dva syl5eq syl2anc cuni toponuni ctop wss topontop 3syl
      simp1r fconst6g ssun1 xpssres ax-mp ptrescn syl3anc eqeltrd simp3 cnmpt11
      a1i feqmptd reseq1d ssun2 resmpt cmnmnd vex vsnid elun2 mp1i fveq2 gsumsn
      ffvelrnd eqtrd ptpjcn fvconst2g eleqtrd cnmpt1plusg 3expia a2d findcard2s
      expcom com12 3impia xkopt sylan 3adant1 eleqtrrd ) DUCJZDUDJZBKJZUFZACBLM
      ZDAUEZNMZOZBEUGZUHZPQZERMZEBUIUJMZERMUUNUUOUUPUVAUVEJZUUPUUNUUOUKZUVGUVHA
      CHUEZLMZUUTOZUVIUVBUHZPQZERMZJZUTUVHACSLMZUUTOZSPQZERMZJZUTUVHACUAUEZLMZU
      UTOZUWAUVBUHZPQZERMZJZUTUVHACUWAUBUEZUGZULZLMZUUTOZUWJUVBUHZPQZERMZJZUTUV
      HUVGUTHUAUBBUVISTZUVOUVTUVHUWQUVKUVQUVNUVSUWQAUVJUVPUUTUVISCLUMUNUWQUVMUV
      RERUWQUVLSPUWQUVLSUVBUHZSUVISUVBUOUVBUPZUQURVAUSVBUVIUWATZUVOUWGUVHUWTUVK
      UWCUVNUWFUWTAUVJUWBUUTUVIUWACLUMUNUWTUVMUWEERUWTUVLUWDPUVIUWAUVBUOURVAUSV
      BUVIUWJTZUVOUWPUVHUXAUVKUWLUVNUWOUXAAUVJUWKUUTUVIUWJCLUMUNUXAUVMUWNERUXAU
      VLUWMPUVIUWJUVBUOURVAUSVBUVIBTZUVOUVGUVHUXBUVKUVAUVNUVEUXBAUVJUURUUTUVIBC
      LUMUNUXBUVMUVDERUXBUVLUVCPUVIBUVBUOURVAUSVBUVHUVQAUVPDVCQZOUVSAUVPUUTUXCU
      USUVPJZUUTDSNMUXCUXDUUSSDNUXDUUSSVDUUSSTUUSCSVEUUSVFVGVHDUXCUXCVIZVJUQVKU
      VHAUXCUVREUVPCUVHSVLJECVMQJZUVRUVPVMQJVNUUOUXFUUNDECFGVOZVPZSEUVRVLCUWRPQ
      UVRUWRSPUWSVQVRVSVTUXHUVHDWAJZUXCCJUUOUXIUUNDWBVPCDUXCGUXEWCWDWEWFUWAKJZU
      WHUWAJWGZUKZUVHUWGUWPUVHUXLUWGUWPUTUVHUXLUWGUWPUVHUXLUWGUFZUWLHUWKDUVIUWA
      WHZNMZDUVIUWIWHZNMZDWIQZMZOZUWOUXMUWLHUWKDUVINMZOUXTAHUWKUUTUYAUUSUVIDNUM
      WJUXMHUWKUYAUXSUXMUVIUWKJZUKZUWJCUWAUWIUXRUVIDKUXCGUXEUXRVIZUUNUUOUXLUWGU
      YBWKZUXMUWJKJZUYBUXMUXJUWIKJUYFUVHUXJUXKUWGWLZUWHWNUWAUWIWOWMZWPZUYBUWJCU
      VIWQUXMUVICUWJWRVPZUYCUWJCUVIVLUXCUYJUYIUYCDVCXEWSUYCUXKUWAUWIWTSTUXJUXKU
      VHUWGUYBXAUWAUWHXBXCUYCUWJXFXDXGXHUXMHUXOUXQUXRDEUWNUWKFUYDUUNUUOUXLUWGXP
      ZUXMUYFUXFUWNUWKVMQJZUYHUXMUUOUXFUYKUXGWDZUWJEUWNKCUWNVIZVSXIZUXMHAUXNUUT
      UXOUWNUWEEUWKUWBUYOUXMHUWKUXNOHUWNXJZUXNOZUWNUWERMZUXMHUWKUYPUXNUXMUYLUWK
      UYPTUYOUWKUWNXKWDZUNUXMUYFUWJXLUWMWQZUWAUWJXMZUYQUYRJUYHUXMEXLJZUYTUXMUUO
      UXFVUBUYKUXGCEXNZXOZUWJEXLXQWDZVUAUXMUWAUWIXRZYFHUWJUWAUWMUWNUWEKUYPUYPVI
      ZUYNUWDUWMUWAWHZPVUHUWDVUAVUHUWDTVUFUWJUVBUWAXSXTVRVQYAYBYCUXMUXJUXFUWEUW
      BVMQJUYGUYMUWAEUWEKCUWEVIVSXIUVHUXLUWGYDUUSUXNDNUMYEUXMHUWKUXQOHUWKUWHUVI
      QZOZUWOUXMHUWKUXQVUIUYCUXQDIUWIIUEZUVIQZOZNMZVUIUYCUXPVUMDNUYCUXPIUWJVULO
      ZUWIWHZVUMUYCUVIVUOUWIUYCIUWJCUVIUYJYGYHUWIUWJXMVUPVUMTUWIUWAYIIUWJUWIVUL
      YJXTUQVHUYCUXIUWHVLJZVUICJVUNVUITUYCUUNUXIUYEDYKWDVUQUYCUBYLYFUYCUWJCUWHU
      VIUYJUWHUWIJZUWHUWJJZUYCUBYMZUWHUWIUWAYNZYOYRVULCVUIIDUWHVLGVUKUWHUVIYPYQ
      YBYSXGUXMVUJUWNUWHUWMQZRMZUWOUXMVUJHUYPVUIOZVVCUXMHUWKUYPVUIUYSUNUXMUYFUY
      TVUSVVDVVCJUYHVUEVURVUSUXMVUTVVAYOZHUWJUWMUWHUWNKUYPVUGUYNYTYBYCUXMVVBEUW
      NRUXMVUBVUSVVBETVUDVVEUWJEUWHXLUUAXIVHUUBYCUUCYCUUDUUGUUEUUFUUHUUIUUQUVFU
      VDERUUOUUPUVFUVDTZUUNUUOVUBUUPVVFUUOUXFVUBUXGVUCWDBEKUUJUUKUULVAUUM $.

    tmdgsum2.t $e |- .x. = ( .g ` G ) $.
    tmdgsum2.1 $e |- ( ph -> G e. CMnd ) $.
    tmdgsum2.2 $e |- ( ph -> G e. TopMnd ) $.
    tmdgsum2.a $e |- ( ph -> A e. Fin ) $.
    tmdgsum2.u $e |- ( ph -> U e. J ) $.
    tmdgsum2.x $e |- ( ph -> X e. B ) $.
    tmdgsum2.3 $e |- ( ph -> ( ( # ` A ) .x. X ) e. U ) $.
    $( For any neighborhood ` U ` of ` n X ` , there is a neighborhood ` u ` of
       ` X ` such that any sum of ` n ` elements in ` u ` sums to an element of
       ` U ` .  (Contributed by Mario Carneiro, 19-Sep-2015.) $)
    tmdgsum2 $p |- ( ph ->
      E. u e. J ( X e. u /\ A. f e. ( u ^m A ) ( G gsum f ) e. U ) ) $=
      ( wcel vg vy vz vx vt vk wfn cfv csn cxp wral cuni wceq cdif cfn wrex w3a
      cv cixp wa wex cgsu co cmap crab wss cab ctg cpw cxko cmpt ccnv cima eqid
      mptpreima ccn ccmn ctmd tmdgsum syl3anc syl2anc eqeltrrid cpt ctop ctopon
      cnima tmdtopon topontop 3syl xkopt fnconstg ptval eqtrd eleqtrd eleq1d wf
      oveq2 fconst6g syl cvv wb cbs fvexi elmapg sylancr mpbird chash fconstmpt
      oveq2i cmnd cmnmnd gsumconst syl5eq eqeltrd elrabd tg2 eleq2 sseq1 rexab2
      anbi12d sylib wi crn cint cin toponuni ad2antrr simplrl simplrr fvconst2g
      ineq1d eleq2d ralbidva mpbid ffnfv sylanbrc frnd wfo dffn4 exlimdv simprl
      fofi rintopn mptelixpg ralrn elrint inex1 ixpconstg inss2 fnfvelrn intss1
      sylancl sstrid ralrimiva ss2ixp eqsstrrd ssrab ad2antll ssralv sylc oveq1
      simprbi raleqdv rspcev syl12anc ex 3adantr3 imbi1d syl5ibrcom expimpd mpd
      impd ) AUAURZCUGZUBURZUVMUHZUVOCIUIUJZUHZTZUBCUKZUVPUVRULUMUBCUCURZUNUKUC
      UOUPZUQZUDURZUBCUVPUSZUMZUTZUAVAZCJUIUJZUWDTZUWDHGURZVBVCZFTZGDCVDVCZVEZV
      FZUTZUTZUDVAZJBURZTZUWMGUWTCVDVCZUKZUTZBIUPZAUWIUEURZTZUXFUWOVFZUTZUEUWHU
      DVGZUPZUWSAUWOUXJVHUHZTUWIUWOTUXKAUWOICVIVJVCZUXLAUWOGUWNUWLVKZVLFVMZUXMG
      UWNUWLFUXNUXNVNVOAUXNUXMIVPVCTZFITUXOUXMTAHVQTZHVRTZCUOTZUXPNOPGCDHIKLVSV
      TQFUXNUXMIWFWAWBAUXMUVQWCUHZUXLAIWDTZUXSUXMUXTUMAUXRIDWEUHZTZUYAOHIDKLWGZ
      DIWHWIZPCIUOWJWAAUXSUVQCUGZUXTUXLUMPAUXRUYCUYFOUYDCIUYBWKWIUDUBUCCUXJUAUV
      QUOUXJVNWLWAWMWNAUWMHUWIVBVCZFTGUWIUWNUWKUWIUMUWLUYGFUWKUWIHVBWQWOAUWIUWN
      TZCDUWIWPZAJDTZUYIRCJDWRWSADWTTUXSUYHUYIXADHXBLXCZPDCUWIWTUOXDXEXFAUYGCXG
      UHJEVCZFAUYGHUFCJVKZVBVCZUYLUWIUYMHVBUFCJXHXIAHXJTZUXSUYJUYNUYLUMAUXQUYON
      HXKWSPRCDEUFHJLMXLVTXMSXNXOUEUWOUXJUWIXPWAUWHUXIUWQUEUDUXFUWDUMUXGUWJUXHU
      WPUXFUWDUWIXQUXFUWDUWOXRXTXSYAAUWRUXEUDAUWHUWQUXEAUWGUWQUXEYBZUAAUWCUWFUY
      PAUWCUTUYPUWFUWIUWETZUWEUWOVFZUTZUXEYBZAUVNUVTUYTUWBAUVNUVTUTZUTZUYSUXEVU
      BUYSUTZDUVMYCZYDZYEZITJVUFTZUWMGVUFCVDVCZUKZUXEVUCVUFIULZVUEYEZIVUCDVUJVU
      EADVUJUMZVUAUYSAUXRUYCVULOUYDDIYFWIYGYKVUCUYAVUDIVFVUDUOTZVUKITAUYAVUAUYS
      UYEYGZVUCCIUVMVUCUVNUVPITZUBCUKZCIUVMWPAUVNUVTUYSYHZVUCUVTVUPAUVNUVTUYSYI
      VUCUYAUVTVUPXAVUNUYAUVSVUOUBCUYAUVOCTZUTUVRIUVPCIUVOWDYJYLYMWSYNUBCIUVMYO
      YPYQVUCUXSCVUDUVMYRZVUMAUXSVUAUYSPYGZVUCUVNVUSVUQCUVMYSYACVUDUVMUUBWAVUDI
      VUJVUJVNUUCVTXNVUCUYJJUWATZUCVUDUKZVUGAUYJVUAUYSRYGVUCVVBJUVPTZUBCUKZVUCU
      BCJVKZUWETZVVDVUCVVEUWIUWEUBCJXHVUBUYQUYRUUAWBVUCUXSVVFVVDXAVUTUBCJUVPUOU
      UDWSYNVUCUVNVVBVVDXAVUQVVAVVCUCUBCUVMUWAUVPJXQUUEWSXFUCDVUDJUUFYPVUCVUHUW
      EVFUWMGUWEUKZVUIVUCVUHUBCVUFUSZUWEVUCUXSVUFWTTVVHVUHUMVUTDVUEUYKUUGUBCVUF
      UOWTUUHUULVUCUVNVUFUVPVFZUBCUKVVHUWEVFVUQUVNVVIUBCUVNVURUTZVUFVUEUVPDVUEU
      UIVVJUVPVUDTVUEUVPVFCUVOUVMUUJUVPVUDUUKWSUUMUUNUBCVUFUVPUUOWIUUPUYRVVGVUB
      UYQUYRUWEUWNVFVVGUWMGUWNUWEUUQUVBUURUWMGVUHUWEUUSUUTUXDVUGVUIUTBVUFIUWTVU
      FUMZUXAVUGUXCVUIUWTVUFJXQVVKUWMGUXBVUHUWTVUFCVDUVAUVCXTUVDUVEUVFUVGUWFUWQ
      UYSUXEUWFUWJUYQUWPUYRUWDUWEUWIXQUWDUWEUWOXRXTUVHUVIUVJYTUVLYTUVK $.
  $}

  ${
    $d x y G $.  $d x y O $.
    oppgtmd.1 $e |- O = ( oppG ` G ) $.
    $( The opposite of a topological monoid is a topological monoid.
       (Contributed by Mario Carneiro, 19-Sep-2015.) $)
    oppgtmd $p |- ( G e. TopMnd -> O e. TopMnd ) $=
      ( vx vy ctmd wcel cmnd ctps cbs cfv cv cplusg co cmpo ctx ccn tmdmnd eqid
      ctopn oppgmnd syl ctopon tmdtopon oppgtopn istps sylibr cnmpt2nd cnmpt1st
      id cnmpt2plusg cplusf plusffval oppgplus mpoeq123i eqtr2i istmd syl3anbrc
      oppgbas ) AFGZBHGZBIGZDEAJKZVCELZDLZAMKZNZOZATKZVIPNVIQNGBFGUTAHGVAARABCU
      AUBUTVIVCUCKGVBAVIVCVISZVCSZUDZVCVIBVCABCVKUSZAVIBCVJUEZUFUGUTDEVDVEVFAVI
      VIVIVCVCVJVFSZUTUJVLVLUTDEVIVIVCVCVLVLUHUTDEVIVIVCVCVLVLUIUKVHBVIBULKZDEV
      CVCVEVDBMKZNZOVHDEVCVQVPBVMVQSZVPSUMDEVCVCVRVCVCVGVKVKVFVQABVEVDVOCVSUNUO
      UPVNUQUR $.

    $( The opposite of a topological group is a topological group.
       (Contributed by Mario Carneiro, 17-Sep-2015.) $)
    oppgtgp $p |- ( G e. TopGrp -> O e. TopGrp ) $=
      ( ctgp wcel cgrp ctmd cminusg cfv ctopn ccn co tgpgrp oppggrp syl oppgtmd
      tgptmd wceq eqid oppginv tgpinv eqeltrrd oppgtopn istgp syl3anbrc ) ADEZB
      FEZBGEZBHIZAJIZUJKLZEBDEUFAFEZUGAMZABCNOUFAGEUHAQABCPOUFAHIZUIUKUFULUNUIR
      UMAUNBCUNSZTOAUNUJUJSZUOUAUBBUIUJAUJBCUPUCUISUDUE $.
  $}

  ${
    distgp.1 $e |- B = ( Base ` G ) $.
    distgp.2 $e |- J = ( TopOpen ` G ) $.
    $( Any group equipped with the discrete topology is a topological group.
       (Contributed by Mario Carneiro, 14-Aug-2015.) $)
    distgp $p |- ( ( G e. Grp /\ J = ~P B ) -> G e. TopGrp ) $=
      ( cgrp wcel cpw wceq wa ctps csg cfv ctx co ccn ctgp simpl cvv sylibr cbs
      ctopon simpr fvexi distopon ax-mp eqeltrdi istps cxp cmap wf eqid grpsubf
      adantr xpex elmap oveq12d txdis mp2an eqtrdi cndis sylancr eqtrd eleqtrrd
      oveq1d istgp2 syl3anbrc ) BFGZCAHZIZJZVHBKGZBLMZCCNOZCPOZGBQGVHVJRVKCAUBM
      ZGZVLVKCVIVPVHVJUCZASGZVIVPGABUADUDZASUEUFUGZACBDEUHTVKVMAAAUIZUJOZVOVKWB
      AVMUKZVMWCGVHWDVJABVMDVMULZUMUNAWBVMVTAAVTVTUOZUPTVKVOWBHZCPOZWCVKVNWGCPV
      KVNVIVINOZWGVKCVICVINVRVRUQVSVSWIWGIVTVTAASSURUSUTVEVKWBSGVQWHWCIWFWAWBCS
      AVAVBVCVDBCVMEWEVFVG $.

    $( Any group equipped with the indiscrete topology is a topological group.
       (Contributed by Mario Carneiro, 14-Aug-2015.) $)
    indistgp $p |- ( ( G e. Grp /\ J = { (/) , B } ) -> G e. TopGrp ) $=
      ( cgrp wcel c0 cpr wceq wa ctps csg cfv ctx co ccn ctopon cvv sylibr ctgp
      simpl simpr cbs fvexi indistopon ax-mp eqeltrdi istps cxp cmap wf grpsubf
      adantr elmap oveq2d txtopon syl2anc cnindis sylancl eqtrd eleqtrrd istgp2
      eqid xpex syl3anbrc ) BFGZCHAIZJZKZVGBLGZBMNZCCOPZCQPZGBUAGVGVIUBVJCARNZG
      ZVKVJCVHVOVGVIUCZASGZVHVOGABUDDUEZASUFUGUHZACBDEUITVJVLAAAUJZUKPZVNVJWAAV
      LULZVLWBGVGWCVIABVLDVLVDZUMUNAWAVLVSAAVSVSVEUOTVJVNVMVHQPZWBVJCVHVMQVQUPV
      JVMWARNGZVRWEWBJVJVPVPWFVTVTCCAAUQURVSAVMSWAUSUTVAVBBCVLEWDVCVF $.
  $}

  ${
    $d A x y $.  $d M x y $.  $d V x $.
    efmndtmd.g $e |- M = ( EndoFMnd ` A ) $.
    $( The monoid of endofunctions on a set ` A ` is a topological monoid.
       Formerly part of proof for ~ symgtgp .  (Contributed by AV,
       23-Feb-2024.) $)
    efmndtmd $p |- ( A e. V -> M e. TopMnd ) $=
      ( vx vy wcel cfv ctx co ccn ctopon cxp crest eqid wss mpdan cv wceq ccmp
      cmnd ctps ctopn ctmd efmndmnd cbs cpw csn cpt efmndtopn cmap pttoponconst
      cplusg distopon efmndbas eleq2i biimpi a1i ssrdv resttopon eqeltrrd istps
      wi syl2anc sylibr cxko ccom cmpo efmndplusg ctop distop xkotopon sseqtrrd
      cndis cnlly clly disllycmp llynlly syl xkococn syl3anc cnmpt2res eqeltrid
      xkopt mpancom oveq1d eqtrd oveq12d eleqtrd crn cplusf wfn vex coex fnmpoi
      wb wf plusfeq ax-mp eqcomi mndplusf frn 3syl mpbid oveq2d istmd syl3anbrc
      cnrest2 ) ACGZBUAGZBUBGZBUMHZBUCHZXMIJZXMKJZGBUDGABCDUEZXIXMBUFHZLHZGXKXI
      AAUGZUHMUIHZXQNJZXMXRXQBCADXQOZUJZXIXTAAUKJZLHGZXQYDPYAXRGXIXSALHGZYEACUN
      ZAXSXTCAXTOULQXIEXQYDERZXQGZYHYDGZVCXIYIYJXQYDYHAXQBDYBUOUPUQURUSZXQXTYDU
      TVDVAXQXMBYBXMOZVBVEXIXLXNXSXSVFJZXQNJZKJZXOXIXLXNYMKJZGZXLYOGZXIXLYNYNIJ
      ZYMKJZYPXIXLEFXQXQYHFRZVGZVHYTAXQXLEFBDYBXLOZVIZXIEFUUBYMYNYMYMYNXQXSXSKJ
      ZXQUUEYNOZXIXSVJGZUUGYMUUELHGZACVKZUUIXSXSYMYMOVLVDZXIXQYDUUEYKXIYFUUEYDS
      YGAXSCAVNQVMZUUFUUJUUKXIUUGXSTVOGZUUGEFUUEUUEUUBVHZYMYMIJYMKJGUUIXIXSTVPG
      UULCAVQTXSVRVSUUIXSXSXSEFUUMUUMOVTWAWBWCXIYSXNYMKXIYNXMYNXMIXIYNYAXMXIYMX
      TXQNUUGXIYMXTSUUIAXSCWDWEWFYCWGZUUNWHWFWIXIUUHXLWJXQPZXQUUEPYQYRWPUUJXIXJ
      XQXQMZXQXLWQUUOXPXQXLBYBBWKHZXLXLUUPWLUUQXLSEFXQXQUUBXLUUDYHUUAEWMFWMWNWO
      XQXLUUQBYBUUCUUQOWRWSWTZXAUUPXQXLXBXCUUKXQXLXNYMUUEXHWAXDXIYNXMXNKUUNXEWI
      XLBXMUURYLXFXG $.
  $}

  ${
    $d g x A $.  $d g x G $.  $d x J $.  $d g x .+ $.  $d g x X $.
    tgplacthmeo.1 $e |- F = ( x e. X |-> ( A .+ x ) ) $.
    tgplacthmeo.2 $e |- X = ( Base ` G ) $.
    tgplacthmeo.3 $e |- .+ = ( +g ` G ) $.
    tgplacthmeo.4 $e |- J = ( TopOpen ` G ) $.
    $( The left group action of element ` A ` in a topological monoid ` G ` is
       a continuous function.  (Contributed by FL, 18-Mar-2008.)  (Revised by
       Mario Carneiro, 14-Aug-2015.) $)
    tmdlactcn $p |- ( ( G e. TopMnd /\ A e. X ) -> F e. ( J Cn J ) ) $=
      ( ctmd wcel wa cv co cmpt ccn simpl ctopon tmdtopon adantr cnmptc cnmptid
      cfv simpr cnmpt1plusg eqeltrid ) ELMZBGMZNZDAGBAOZCPQFFRPHUKABULCEFFGKJUI
      UJSUIFGTUEMUJEFGKIUAUBZUKABFFGGUMUMUIUJUFUCUKAFGUMUDUGUH $.

    $( The left group action of element ` A ` in a topological group ` G ` is a
       homeomorphism from the group to itself.  (Contributed by Mario Carneiro,
       14-Aug-2015.) $)
    tgplacthmeo $p |- ( ( G e. TopGrp /\ A e. X ) -> F e. ( J Homeo J ) ) $=
      ( vg wcel wa co sylan cfv cmpt wceq eqid ctgp ccnv chmeo tgptmd tmdlactcn
      ccn ctmd cminusg cv wf1o cgrp tgpgrp grplactcnv simprd grplactfval adantl
      eqtr4di cnveqd grpinvcl syl 3eqtr3d syl2an2r eqeltrd ishmeo sylanbrc ) EU
      AMZBGMZNZDFFUFOZMZDUBZVIMDFFUCOMVFEUGMZVGVJEUDZABCDEFGHIJKUEPVHVKAGBEUHQZ
      QZAUIZCORZVIVHBLGAGLUIVPCORRZQZUBZVOVRQZVKVQVHGGVSUJZVTWASZVFEUKMZVGWBWCN
      EULZBCLVREVNGAVRTZIJVNTZUMPUNVHVSDVHVSAGBVPCORZDVGVSWHSVFBCLVREGAWFIUOUPH
      UQURVHVOGMZWAVQSVFWDVGWIWEGEVNBIWGUSPZVOCLVREGAWFIUOUTVAVFVLVGWIVQVIMVMWJ
      AVOCVQEFGVQTIJKUEVBVCDFFVDVE $.
  $}

  ${
    $d x y G $.  $d x y H $.  $d x y S $.
    subgtgp.h $e |- H = ( G |`s S ) $.
    $( A submonoid of a topological monoid is a topological monoid.
       (Contributed by Mario Carneiro, 6-Oct-2015.) $)
    submtmd $p |- ( ( G e. TopMnd /\ S e. ( SubMnd ` G ) ) -> H e. TopMnd ) $=
      ( vx vy ctmd wcel cfv ctps cplusf co ctx ccn adantl cplusg cmpo eqid wss
      cv csubmnd wa ctopn crest submmnd cress tmdtps resstps sylan eqeltrid cbs
      cmnd plusffval submbas ressplusg oveqd mpoeq123dv eqtr4id ctopon tmdtopon
      wceq adantr submss tmdcn eqeltrrid cnmpt2res eqeltrd crn cxp mndplusf frn
      wb wf 3syl sseqtrrd cnrest2 syl3anc mpbid resstopn istmd syl3anbrc ) BGHZ
      ABUAIZHZUBZCULHZCJHCKIZBUCIZAUDLZWIMLZWINLHZCGHWDWFWBACBDUEOZWECBAUFLZJDW
      BBJHWDWMJHBUGABWCUHUIUJWEWGWJWHNLZHZWKWEWGEFAAETZFTZBPIZLZQZWNWEWGEFCUKIZ
      XAWPWQCPIZLZQWTEFXAXBWGCXARZXBRWGRZUMWEEFAAWSXAXAXCWDAXAVAWBACBDUNOZXFWEW
      RXBWPWQWDWRXBVAWBAWRBCWCDWRRZUOOUPUQURWEEFWSWHWIWHWHWIABUKIZAXHWIRZWBWHXH
      USIHZWDBWHXHWHRZXHRZUTVBZWDAXHSZWBXHABXLVCOZXIXMXOWBEFXHXHWSQZWHWHMLWHNLZ
      HWDWBXPBKIZXQEFXHWRXRBXLXGXRRZUMXRBWHXKXSVDVEVBVFVGWEXJWGVHZASXNWOWKVLXMW
      EXTXAAWEWFXAXAVIZXAWGVMXTXASWLXAWGCXDXEVJYAXAWGVKVNXFVOXOAWGWJWHXHVPVQVRW
      GCWIXEACWHBDXKVSVTWA $.

    $( A subgroup of a topological group is a topological group.  (Contributed
       by Mario Carneiro, 17-Sep-2015.) $)
    subgtgp $p |- ( ( G e. TopGrp /\ S e. ( SubGrp ` G ) ) -> H e. TopGrp ) $=
      ( vx ctgp wcel cfv cgrp ctmd cminusg ccn adantl cmpt cbs wceq eqid adantr
      co wf csubg wa ctopn crest subggrp csubmnd tgptmd subgsubm submtmd syl2an
      cv subgbas mpteq1d subginv adantll mpteq2dva grpinvf syl feqmptd 3eqtr4rd
      ctopon tgptopon wss subgss tgpgrp eqeltrrd cnmpt1res eqeltrd crn sseqtrrd
      tgpinv wb frnd cnrest2 syl3anc mpbid resstopn istgp syl3anbrc ) BFGZABUAH
      GZUBZCIGZCJGZCKHZBUCHZAUDSZWGLSGZCFGWAWCVTABCDUEMZVTBJGABUFHGWDWABUGABUHA
      BCDUIUJWBWEWGWFLSZGZWHWBWEEAEUKZBKHZHZNZWJWBEAWLWEHZNECOHZWPNWOWEWBEAWQWP
      WAAWQPVTABCDULMZUMWBEAWNWPWAWLAGWNWPPVTABCWMWEWLDWMQZWEQZUNUOUPWBEWQWQWEW
      BWCWQWQWETWIWQCWEWQQWTUQURZUSUTWBEWNWFWGWFBOHZAWGQVTWFXBVAHGZWABWFXBWFQZX
      BQZVBRZWAAXBVCZVTXBABXEVDMZWBWMEXBWNNWFWFLSZWBEXBXBWMWBBIGZXBXBWMTVTXJWAB
      VERXBBWMXEWSUQURUSVTWMXIGWABWMWFXDWSVKRVFVGVHWBXCWEVIZAVCXGWKWHVLXFWBXKWQ
      AWBWQWQWEXAVMWRVJXHAWEWGWFXBVNVOVPCWEWGACWFBDXDVQWTVRVS $.
  $}

  ${
    $d f t u v x y A $.  $d f t u v x y G $.  $d f t u x y V $.
    symgtgp.g $e |- G = ( SymGrp ` A ) $.
    $( The symmetric group is a topological group.  (Contributed by Mario
       Carneiro, 2-Sep-2015.)  (Proof shortened by AV, 30-Mar-2024.) $)
    symgtgp $p |- ( A e. V -> G e. TopGrp ) $=
      ( vx vu wcel cfv ccn co eqid syl2anc cv cmpt wss wf wb wa wceq ad2antrr
      vy vf vt cgrp ctmd cminusg ctopn ctgp symggrp cefmnd cbs csubmnd efmndtmd
      vv symgsubmefmnd symgressbas submtmd cpw cxko crest ccnv csn cxp symgtopn
      ctopon cmap distopon pttoponconst mpdan wf1o elsymgbas f1of elmapg anidms
      cpt syl5ibr sylbid ssrdv resttopon eqeltrrd ctop distop fconst6g syl ccnp
      id wral biimpa f1ocnv 3syl ffvelrnda an32s fmpttd cima wrex adantr fveq1d
      wi cnveq fvex ad2antlr eleq1d crab cvv mptiniseg elv cuni toponuni mpteq1
      simpll simplr ffvelrnd ptpjcn syl3anc fvconst2g eleqtrd eqeltrd cnmpt1res
      fvmpt oveq2d oveq1d snelpwi cnima eqeltrrid fveq1 eqeq1d f1ocnvfv2 elrabd
      simpllr ssrab2 a1i ad3antrrr f1ocnvfv eleq1 ralrimiva sseqtrrdi mpbir2and
      simplrr feqmptd eqtrd syl5ibrcom syld ralrab ssrab sylanbrc mptpreima cdm
      sylibr funmpt dmmpti funimass3 sylancr mpbird eleq2 imaeq2 sseq1d anbi12d
      wfun rspcev syl12anc expr simpr iscnp cncnp eleqtrrd ptcn grpinvf symginv
      sylan mpteq2dva xkopt mpancom 3eltr4d crn xkotopon cndis sseqtrrd cnrest2
      adantl frn mpbid istgp syl3anbrc ) ACGZBUDGZBUEGZBUFHZBUGHZUWHIJZGBUHGABC
      DUIZUWDAUJHZUEGBUKHZUWKULHGUWFAUWKCUWKKZUMAUWLBUWKCUWMDUWLKZUOUWLUWKBAUWL
      BUWKDUWNUWMUPUQLUWDUWGUWHAURZUWOUSJZUWLUTJZIJZUWIUWDUWGUWHUWPIJZGZUWGUWRG
      ZUWDEUWLUAAUAMZEMZVAZHZNZNZUWHAUWOVBVCZVOHZIJUWGUWSUWDEUXEUAUXHAUWHUXICUW
      LUXIKZUWDUXIUWLUTJZUWHUWLVEHZUWLBCADUWNVDZUWDUXIAAVFJZVEHGZUWLUXNOZUXKUXL
      GUWDUWOAVEHGZUXOACVGZAUWOUXICAUXJVHVIZUWDEUWLUXNUWDUXCUWLGZAAUXCVJZUXCUXN
      GZAUWLUXCBCDUWNVKZUYAUYBUWDAAUXCPZAAUXCVLUWDUYBUYDQAAUXCCCVMVNVPVQVRZUWLU
      XIUXNVSLVTZUWDWFUWDUWOWAGZAWAUXHPZACWBZAUWOWAWCWDZUWDUXBAGZRZEUWLUXENZUWH
      UWOIJZUWHUXBUXHHZIJUYLUYMUYNGZUWLAUYMPZUYMUBMZUWHUWOWEJHGZUBUWLWGZUYLEUWL
      UXEAUWDUXTUYKUXEAGUWDUXTRZAAUXBUXDVUAUYAAAUXDVJAAUXDPUWDUXTUYAUYCWHAAUXCW
      IAAUXDVLWJZWKWLWMZUYLUYSUBUWLUYLUYRUWLGZRZUYSUYQUYRUYMHZUCMZGZUYRUNMZGZUY
      MVUIWNZVUGOZRZUNUWHWOZWRZUCUWOWGZUYLUYQVUDVUCWPVUEVUOUCUWOVUEVUGUWOGZRZVU
      HUXBUYRVAZHZVUGGZVUNVURVUFVUTVUGVUDVUFVUTSUYLVUQEUYRUXEVUTUWLUYMUXCUYRSUX
      BUXDVUSUXCUYRWSWQUYMKZUXBVUSWTXSXAXBVUEVUQVVAVUNVUEVUQVVARZRZVUTFMZHZUXBS
      ZFUWLXCZUWHGZUYRVVHGZUYMVVHWNZVUGOZVUNVUEVVIVVCVUEVVHFUWLVVFNZVAUXBVBZWNZ
      UWHVVOVVHSUAFUWLVVFUXBVVMXDVVMKXEXFVUEVVMUYNGVVNUWOGZVVOUWHGVUEVVMUXKUWOI
      JZUYNVUEFVVFUXIUXKUWOUXNUWLUXKKUWDUXOUYKVUDUXSTZUWDUXPUYKVUDUYETVUEFUXNVV
      FNZFUXIXGZVVFNZUXIUWOIJZVUEUXOUXNVVTSVVSVWASVVRUXNUXIXHFUXNVVTVVFXIWJVUEV
      WAUXIVUTUXHHZIJZVWBVUEUWDUYHVUTAGZVWAVWDGUWDUYKVUDXJUWDUYHUYKVUDUYJTVUEAA
      UXBVUSVUEAAUYRVJZAAVUSVJAAVUSPUYLVUDVWFUWDVUDVWFQUYKAUWLUYRBCDUWNVKWPWHZA
      AUYRWIAAVUSVLWJUWDUYKVUDXKXLZFAUXHVUTUXICVVTVVTKUXJXMXNVUEVWCUWOUXIIVUEUY
      GVWEVWCUWOSUWDUYGUYKVUDUYITVWHAUWOVUTWAXOLXTXPXQXRUWDVVQUYNSUYKVUDUWDUXKU
      WHUWOIUXMYATXPUYKVVPUWDVUDUXBAYBXAVVNVVMUWHUWOYCLYDWPVVDVVGVUTUYRHZUXBSZF
      UYRUWLVVEUYRSVVFVWIUXBVUTVVEUYRYEYFUYLVUDVVCXKVVDVWFUYKVWJVUEVWFVVCVWGWPU
      WDUYKVUDVVCYIAAUXBUYRYGLYHVVDVVLVVHUYMVAVUGWNZOZVVDVVHUXEVUGGZEUWLXCZVWKV
      VDVVHUWLOZVWMEVVHWGZVVHVWNOVWOVVDVVGFUWLYJYKZVVDVUTUXCHZUXBSZVWMWRZEUWLWG
      VWPVVDVWTEUWLVVDUXTRZVWSUXEVUTSZVWMVXAUYAVWEVWSVXBWRVVDUXTUYAUWDUXTUYAQUY
      KVUDVVCUYCYLWHVUEVWEVVCUXTVWHTAAVUTUXBUXCYMLVXAVWMVXBVVAVUEVUQVVAUXTYRUXE
      VUTVUGYNUUAUUBYOVVGVWSVWMEFUWLVVEUXCSVVFVWRUXBVUTVVEUXCYEYFUUCUUHVWMEUWLV
      VHUUDUUEEUWLUXEVUGUYMVVBUUFYPVVDUYMUURVVHUYMUUGZOVVLVWLQEUWLUXEUUIVVDVVHU
      WLVXCVWQEUWLUXEUYMUXBUXDWTVVBUUJYPVVHVUGUYMUUKUULUUMVUMVVJVVLRUNVVHUWHVUI
      VVHSZVUJVVJVULVVLVUIVVHUYRUUNVXDVUKVVKVUGVUIVVHUYMUUOUUPUUQUUSUUTUVAVQYOV
      UEUWHUXLGZUXQVUDUYSUYQVUPRQUWDVXEUYKVUDUYFTUWDUXQUYKVUDUXRTUYLVUDUVBUNUCU
      YRUYMUWHUWOUWLAUVCXNYQYOUWDUYPUYQUYTRQZUYKUWDVXEUXQVXFUYFUXRUBUYMUWHUWOUW
      LAUVDLWPYQUYLUYOUWOUWHIUWDUYGUYKUYOUWOSUYIAUWOUXBWAXOUVIXTUVEUVFUWDUWGEUW
      LUXCUWGHZNUXGUWDEUWLUWLUWGUWDUWEUWLUWLUWGPZUWJUWLBUWGUWNUWGKZUVGZWDYSUWDE
      UWLVXGUXFVUAVXGUXDUXFUXTVXGUXDSUWDAUWLUXCBUWGDUWNVXIUVHUVSVUAUAAAUXDVUBYS
      YTUVJYTUWDUWPUXIUWHIUYGUWDUWPUXISUYIAUWOCUVKUVLZXTUVMUWDUWPUWOUWOIJZVEHGZ
      UWGUVNUWLOZUWLVXLOUWTUXAQUWDUYGUYGVXMUYIUYIUWOUWOUWPUWPKUVOLUWDUWEVXHVXNU
      WJVXJUWLUWLUWGUVTWJUWDUWLUXNVXLUYEUWDUXQVXLUXNSUXRAUWOCAUVPVIUVQUWLUWGUWH
      UWPVXLUVRXNUWAUWDUWQUWHUWHIUWDUWQUXKUWHUWDUWPUXIUWLUTVXKYAUXMYTXTXPBUWGUW
      HUWHKVXIUWBUWC $.
  $}

  ${
    $d u x y A $.  $d u x y z G $.  $d u x y z J $.  $d u x y z S $.
    $d x y z R $.  $d x y z X $.
    subgntr.h $e |- J = ( TopOpen ` G ) $.
    $( A subgroup of a topological group with nonempty interior is open.
       Alternatively, dual to ~ clssubg , the interior of a subgroup is either
       a subgroup, or empty.  (Contributed by Mario Carneiro, 19-Sep-2015.) $)
    subgntr $p |- ( ( G e. TopGrp /\ S e. ( SubGrp ` G ) /\
      A e. ( ( int ` J ) ` S ) ) -> S e. J ) $=
      ( vx vu vy wcel cfv cv wss wa co eqid adantr syl wceq syl2anc sseldd ctgp
      csubg cnt w3a wrex wral csg cplusg cmpt crn cbs cima cres df-ima tgptopon
      ctopon 3ad2ant1 ctop cuni topontop simpl2 subgss toponuni sseqtrd toponss
      ntropn resmptd rneqd syl5eq chmeo simpl1 simpr ntrss2 syl3anc tgplacthmeo
      simpl3 subgsubcl hmeoima eqeltrrd cgrp tgpgrp 3ad2ant2 grpnpcan cvv oveq2
      sselda ovex elrnmpt1s sylancl subgcl fmpttd eleq2 anbi12d rspcev syl12anc
      frnd sseq1 ralrimiva wb eltop2 mpbird ) CUAIZBCUBJIZABDUCJJZIZUDZBDIZFKZG
      KZIZXIBLZMZGDUEZFBUFZXFXMFBXFXHBIZMZHXDXHACUGJZNZHKZCUHJZNZUIZUJZDIXHYCIZ
      YCBLZXMXPHCUKJZYAUIZXDULZYCDXPYHYGXDUMZUJYCYGXDUNXPYIYBXPHYFXDYAXPDYFUPJI
      ZXDDIZXDYFLXFYJXOXBXCYJXECDYFEYFOZUOUQZPZXPDURIZBDUSZLZYKXFYOXOXFYJYOYMYF
      DUTQZPZXPBYFYPXPXCBYFLZXBXCXEXOVAZYFBCYLVBZQZXPYJYFYPRYNYFDVCQVDZBDYPYPOZ
      VFSZXDDYFVESZVGVHVIXPYGDDVJNIZYKYHDIXPXBXRYFIUUHXBXCXEXOVKZXPBYFXRUUCXPXC
      XOABIXRBIZUUAXFXOVLXPXDBAXPYOYQXDBLYSUUDBDYPUUEVMSZXBXCXEXOVPZTBCXQXHAXQO
      ZVQVNZTHXRXTYGCDYFYGOYLXTOZEVOSUUFXDYGDDVRSVSXPXRAXTNZXHYCXPCVTIZXHYFIAYF
      IUUPXHRXPXBUUQUUICWAQXFBYFXHXCXBYTXEUUBWBWFXPXDYFAUUGUULTYFXTCXQXHAYLUUOU
      UMWCVNXPXEUUPWDIUUPYCIUULXRAXTWGHXDYAUUPAYBWDYBOXSAXRXTWEWHWIVSXPXDBYBXPH
      XDYABXPXSXDIZMXCUUJXSBIYABIXPXCUURUUAPXPUUJUURUUNPXPXDBXSUUKWFXTBCXRXSUUO
      WJVNWKWPXLYDYEMGYCDXIYCRXJYDXKYEXIYCXHWLXIYCBWQWMWNWOWRXFYOXGXNWSYRFGBDWT
      QXA $.

    $( An open subgroup of a topological group is also closed.  (Contributed by
       Mario Carneiro, 17-Sep-2015.) $)
    opnsubg $p |- ( ( G e. TopGrp /\ S e. ( SubGrp ` G ) /\ S e. J ) ->
      S e. ( Clsd ` J ) ) $=
      ( vx vu vy wcel cfv wss cdif eqid wceq syl cv wa adantr syl2anc eqeltrrd
      co ctgp csubg ccld cuni subgss 3ad2ant2 ctopon tgptopon 3ad2ant1 toponuni
      w3a cbs sseqtrd difeq1d wrex wral cplusg cmpt crn cima cres resmptd rneqd
      df-ima syl5eq simpl1 eldifi adantl tgplacthmeo simpl3 hmeoima cgrp tgpgrp
      chmeo c0g grprid simpl2 subg0cl ovex oveq2 elrnmpt1s sylancl sselda grpcl
      cvv syl3anc wn eldifn ad2antlr csg subgsubcl 3com23 3expia sylan grppncan
      eleq1d sylibd mtod eldifd fmpttd frnd eleq2 sseq1 anbi12d rspcev syl12anc
      wi ralrimiva ctop wb topontop eltop2 mpbird iscld mpbir2and ) BUAHZABUBIH
      ZACHZUKZACUCIHZACUDZJZYAAKZCHZXSABULIZYAXQXPAYEJZXRYEABYELZUEUFZXSCYEUGIH
      ZYEYAMXPXQYIXRBCYEDYGUHUIZYECUJNZUMXSYEAKZYCCXSYEYAAYKUNXSYLCHZEOZFOZHZYO
      YLJZPZFCUOZEYLUPZXSYSEYLXSYNYLHZPZGAYNGOZBUQIZTZURZUSZCHYNUUGHZUUGYLJZYSU
      UBGYEUUEURZAUTZUUGCUUBUUKUUJAVAZUSUUGUUJAVDUUBUULUUFUUBGYEAUUEXSYFUUAYHQZ
      VBVCVEUUBUUJCCVNTHZXRUUKCHUUBXPYNYEHZUUNXPXQXRUUAVFZUUAUUOXSYNYEAVGVHZGYN
      UUDUUJBCYEUUJLYGUUDLZDVIRXPXQXRUUAVJAUUJCCVKRSUUBYNBVOIZUUDTZYNUUGUUBBVLH
      ZUUOUUTYNMUUBXPUVAUUPBVMNZUUQYEUUDBYNUUSYGUURUUSLZVPRUUBUUSAHZUUTWEHUUTUU
      GHUUBXQUVDXPXQXRUUAVQZABUUSUVCVRNYNUUSUUDVSGAUUEUUTUUSUUFWEUUFLUUCUUSYNUU
      DVTWAWBSUUBAYLUUFUUBGAUUEYLUUBUUCAHZPZUUEYEAUVGUVAUUOUUCYEHZUUEYEHUUBUVAU
      VFUVBQZUUBUUOUVFUUQQZUUBAYEUUCUUMWCZYEUUDBYNUUCYGUURWDWFUVGUUEAHZYNAHZUUA
      UVMWGXSUVFYNYEAWHWIUVGUVLUUEUUCBWJIZTZAHZUVMUUBXQUVFUVLUVPXGUVEXQUVFUVLUV
      PXQUVLUVFUVPABUVNUUEUUCUVNLZWKWLWMWNUVGUVOYNAUVGUVAUUOUVHUVOYNMUVIUVJUVKY
      EUUDBUVNYNUUCYGUURUVQWOWFWPWQWRWSWTXAYRUUHUUIPFUUGCYOUUGMYPUUHYQUUIYOUUGY
      NXBYOUUGYLXCXDXEXFXHXSCXIHZYMYTXJXSYIUVRYJYECXKNZEFYLCXLNXMSXSUVRXTYBYDPX
      JUVSACYAYALXNNXO $.

    $( The closure of a subgroup in a topological group is a subgroup.
       (Contributed by Mario Carneiro, 17-Sep-2015.) $)
    clssubg $p |- ( ( G e. TopGrp /\ S e. ( SubGrp ` G ) ) ->
      ( ( cls ` J ) ` S ) e. ( SubGrp ` G ) ) $=
      ( vx vy vz wcel cfv wa wss cv co wral eqid adantr syl adantl wceq syl2anc
      ctgp csubg ccl cbs c0 wne csg cuni ctop ctopon tgptopon topontop toponuni
      subgss sseqtrd clsss3 sseqtrrd sscls c0g subg0cl ne0d ssn0 cop df-ov ccnv
      cxp cima opelxpi ctx txcls syl22anc txtopon cnvimass cgrp wf tgpgrp fssdm
      grpsubf subgsubcl 3expb ralrimivva fveq2 eqtr4di eleq1d ralxp sylibr wfun
      cdm ffund xpss12 fdmd funimass5 mpbird clsss syl3anc ccn tgpsubcn cncls2i
      wb sstrd eqsstrrd sselda sylan2 wfn ad2antrr elpreima 4syl mpbid eqeltrid
      ffn simprd w3a issubg4 mpbir3and ) BUAHZABUBIZHZJZACUCIIZXPHZXSBUDIZKZXSU
      EUFZELZFLZBUGIZMZXSHZFXSNEXSNZXRXSCUHZYAXRCUIHZAYJKZXSYJKXRCYAUJIHZYKXOYM
      XQBCYADYAOZUKPZYACULQZXRAYAYJXQAYAKZXOYAABYNUNRZXRYMYAYJSYOYACUMQZUOZACYJ
      YJOZUPTYSUQXRAXSKZAUEUFYCXRYKYLUUBYPYTACYJUUAURTXRABUSIZXQUUCAHXOABUUCUUC
      OUTRVAAXSVBTXRYHEFXSXSXRYDXSHYEXSHJZJZYGYDYEVCZYFIZXSYDYEYFVDZUUEUUFYAYAV
      FZHZUUGXSHZUUEUUFYFVEZXSVGZHZUUJUUKJZUUDXRUUFXSXSVFZHUUNYDYEXSXSVHXRUUPUU
      MUUFXRUUPAAVFZCCVIMZUCIZIZUUMXRYMYMYQYQUUTUUPSYOYOYRYRAACCYAYAVJVKXRUUTUU
      LAVGZUUSIZUUMXRUURUIHZUVAUURUHZKUUQUVAKZUUTUVBKXRUURUUIUJIHZUVCXRYMYMUVFY
      OYOCCYAYAVLTZUUIUURULQXRUVAUUIUVDXRUUIYAUVAYFYFAVMXRBVNHZUUIYAYFVOZXOUVHX
      QBVPZPZYABYFYNYFOZVRZQZVQXRUVFUUIUVDSUVGUUIUURUMQUOXRUVEGLZYFIZAHZGUUQNZX
      QUVRXOXQYGAHZFANEANUVRXQUVSEFAAXQYDAHYEAHUVSABYFYDYEUVLVSVTWAUVQUVSGEFAAU
      VOUUFSZUVPYGAUVTUVPUUGYGUVOUUFYFWBUUHWCWDWEWFRXRYFWGUUQYFWHZKUVEUVRWSXRUU
      IYAYFUVNWIXRUUQUUIUWAXRYQYQUUQUUIKYRYRAYAAYAWJTXRUUIYAYFUVNWKUQGUUQAYFWLT
      WMUVAUUQUURUVDUVDOWNWOXRYFUURCWPMHZYLUVBUUMKXOUWBXQBCYFDUVLWQPYTAYFUURCYJ
      UUAWRTWTXAXBXCUUEUVHUVIYFUUIXDUUNUUOWSXOUVHXQUUDUVJXEUVMUUIYAYFXJUUIUUFXS
      YFXFXGXHXKXIWAXRUVHXTYBYCYIXLWSUVKEFYAXSBYFYNUVLXMQXN $.

    $( The closure of a normal subgroup is a normal subgroup.  (Contributed by
       Mario Carneiro, 17-Sep-2015.) $)
    clsnsg $p |- ( ( G e. TopGrp /\ S e. ( NrmSGrp ` G ) ) ->
      ( ( cls ` J ) ` S ) e. ( NrmSGrp ` G ) ) $=
      ( vx vy wcel cfv wa cv co wral cmpt crn wss cima cres eqid ad2antrr syl
      ctgp cnsg ccl csubg cplusg csg nsgsubg clssubg sylan2 wf df-ima cuni ctop
      cbs ctopon tgptopon topontop ad2antlr subgss wceq toponuni sseqtrd clsss3
      syl2anc sseqtrrd resmptd rneqd syl5eq ccn tgptmd simpr cnmptc cnmpt1plusg
      ctmd cnmptid tgpsubcn cnmpt12f cnclsi nsgconj ad4ant234 fmpttd frnd clsss
      ctx eqsstrd syl3anc sstrd eqsstrrd wfn ovex fnmpti df-f mpbiran ralrimiva
      sylibr fmpt isnsg3 sylanbrc ) BUAGZABUBHZGZIZACUCHZHZBUDHZGZEJZFJZBUEHZKZ
      XGBUFHZKZXDGFXDLZEBUNHZLXDWTGXAWSAXEGZXFABUGZABCDUHUIXBXMEXNXBXGXNGZIZXDX
      DFXDXLMZUJZXMXRXSNZXDOZXTXRYAFXNXLMZXDPZXDXRYDYCXDQZNYAYCXDUKXRYEXSXRFXNX
      DXLXRXDCULZXNXRCUMGZAYFOZXDYFOXRCXNUOHGZYGWSYIXAXQBCXNDXNRZUPSZXNCUQTZXRA
      XNYFXRXOAXNOXAXOWSXQXPURXNABYJUSTZXRYIXNYFUTYKXNCVATZVBZACYFYFRZVCVDYNVEV
      FVGVHXRYDYCAPZXCHZXDXRYCCCVIKGYHYDYROXRFXJXGXKCCCCXNYKXRFXGXHXIBCCXNDXIRZ
      WSBVNGXAXQBVJSYKXRFXGCCXNXNYKYKXBXQVKVLZXRFCXNYKVOVMYTWSXKCCWDKCVIKGXAXQB
      CXKDXKRZVPSVQYOAYCCCYFYPVRVDXRYGYHYQAOYRXDOYLYOXRYQFAXLMZNZAXRYQYCAQZNUUC
      YCAUKXRUUDUUBXRFXNAXLYMVFVGVHXRAAUUBXRFAXLAXAXQXHAGXLAGWSXGXHXIABXKXNYJYS
      UUAVSVTWAWBWEAYQCYFYPWCWFWGWHXTXSXDWIYBFXDXLXSXJXGXKWJXSRZWKXDXDXSWLWMWOF
      XDXDXLXSUUEWPWOWNEFXIXDBXKXNYJYSUUAWQWR $.

    cldsubg.1 $e |- R = ( G ~QG S ) $.
    cldsubg.2 $e |- X = ( Base ` G ) $.
    $( A subgroup of finite index is closed iff it is open.  (Contributed by
       Mario Carneiro, 20-Sep-2015.) $)
    cldsubg $p |- ( ( G e. TopGrp /\ S e. ( SubGrp ` G ) /\ ( X /. R ) e. Fin )
      -> ( S e. ( Clsd ` J ) <-> S e. J ) ) $=
      ( vx vy vz wcel cfv wa cuni cdif wceq syl cun wss ctgp csubg cqs cfn ccld
      w3a csn ctopon simpl1 tgptopon toponuni simpl2 unisng uneq2d uniun undif1
      difeq1d c0g cec eqid eqgid cvv ovexi cgrp tgpgrp grpidcl ecelqsg eqeltrrd
      cqg sylancr snssd ssequn2 sylib syl5eq unieqd wer eqger a1i eqtrd eqtr3id
      uniqs2 eqtr3d cin c0 wb difss unissi sseqtrid cpw cv wne wn adantr qsdisj
      df-ne simpr ord disj2 syl6ib syl5bi expimpd eldifsn velpw 3imtr4g sspwuni
      ssrdv sylibr uneqdifeq syl2anc mpbid ctop topontop simpl3 diffi wrex elqs
      vex cplusg co cmpt cima simpll2 subgrcl subgss eqglact simplr tgplacthmeo
      syl3anc chmeo sylan sseqtrd hmeocld eqeltrd syl5ibrcom rexlimdva ssdifssd
      eleq1 unicld cldopn ex wi opnsubg 3expia 3adant3 impbid ) CUALZBCUBMZLZEA
      UCZUDLZUFZBDUEMZLZBDLZUUKUUMUUNUUKUUMNZDOZUUIBUGZPZOZPZBDUUOEUUSPZUUTBUUO
      EUUPUUSUUODEUHMLZEUUPQUUOUUFUVBUUFUUHUUJUUMUIZCDEFHUJRZEDUKRZUQUUOUUSBSZE
      QZUVABQZUUOUUSUUQOZSZUVFEUUOUVIBUUSUUOUUHUVIBQUUFUUHUUJUUMULZBUUGUMRUNUUO
      UVJUURUUQSZOZEUURUUQUOUUOUVMUUIOZEUUOUVLUUIUUOUVLUUIUUQSZUUIUUIUUQUPUUOUU
      QUUITUVOUUIQUUOBUUIUUOCURMZAUSZBUUIUUOUUHUVQBQUVKACEBUVPHGUVPUTZVARUUOAVB
      LZUVPELZUVQUUILACBVIGVCZUUOCVDLZUVTUUOUUFUWBUVCCVERECUVPHUVRVFREUVPAVBVGV
      JVHZVKUUQUUIVLVMVNVOUUOEAVBUUOUUHEAVPZUVKACEBHGVQRZUVSUUOUWAVRWAZVSVTWBUU
      OUUSETUUSBWCWDQZUVGUVHWEUUOUVNUUSEUURUUIUUIUUQWFWGUWFWHUUOUUSVBBPZTZUWGUU
      OUURUWHWIZTUWIUUOIUURUWJUUOIWJZUUILZUWKBWKZNUWKUWHTZUWKUURLUWKUWJLUUOUWLU
      WMUWNUWMUWKBQZWLZUUOUWLNZUWNUWKBWOUWQUWPUWKBWCWDQZUWNUWQUWOUWRUWQEUWKBAEU
      UOUWDUWLUWEWMUUOUWLWPUUOBUUILUWLUWCWMWNWQUWKBWRWSWTXAUWKUUIBXBIUWHXCXDXFU
      URUWHXEVMUUSBWRXGUUSBEXHXIXJWBUUOUUSUULLZUUTDLUUODXKLZUURUDLZUURUULTUWSUU
      OUVBUWTUVDEDXLRUUOUUJUXAUUFUUHUUJUUMXMUUIUUQXNRUUOUUIUULUUQUUOIUUIUULUWLU
      WKJWJZAUSZQZJEXOUUOUWKUULLZJEUWKAIXQXPUUOUXDUXEJEUUOUXBELZNZUXEUXDUXCUULL
      UXGUXCKEUXBKWJCXRMZXSXTZBYAZUULUXGUWBBETZUXFUXCUXJQUXGUUHUWBUUFUUHUUJUUMU
      XFYBBCYCRUUOUXKUXFUUOUUHUXKUVKEBCHYDRZWMUUOUXFWPKUXBUXHACEBHGUXHUTZYEYHUX
      GUUMUXJUULLZUUKUUMUXFYFUXGUXIDDYIXSLZBUUPTZUUMUXNWEUUOUUFUXFUXOUVCKUXBUXH
      UXICDEUXIUTHUXMFYGYJUUOUXPUXFUUOBEUUPUXLUVEYKWMBUXIDDUUPUUPUTZYLXIXJYMUWK
      UXCUULYQYNYOWTXFYPUURDUUPUXQYRYHUUSDUUPUXQYSRVHYTUUFUUHUUNUUMUUAUUJUUFUUH
      UUNUUMBCDFUUBUUCUUDUUE $.
  $}

  ${
    $d y z .~ $.  $d x z .0. $.  $d g x y z A $.  $d w x y z J $.  $d y z S $.
    $d g w x y z G $.  $d g w x y z X $.
    tgpconncomp.x $e |- X = ( Base ` G ) $.
    tgpconncomp.z $e |- .0. = ( 0g ` G ) $.
    tgpconncomp.j $e |- J = ( TopOpen ` G ) $.
    tgpconncomp.s $e |- S =
      U. { x e. ~P X | ( .0. e. x /\ ( J |`t x ) e. Conn ) } $.
    ${
      tgpconncompeqg.r $e |- .~ = ( G ~QG S ) $.
      $( The connected component containing ` A ` is the left coset of the
         identity component containing ` A ` .  (Contributed by Mario Carneiro,
         17-Sep-2015.) $)
      tgpconncompeqg $p |- ( ( G e. TopGrp /\ A e. X ) ->
        [ A ] .~ = U. { x e. ~P X | ( A e. x /\ ( J |`t x ) e. Conn ) } ) $=
        ( vz wcel crest co wss wceq adantr vy vg ctgp wa cec cv cconn crab cuni
        cpw wbr cab dfec2 adantl cminusg cfv cplusg w3a wb sspwuni mpbi eqsstri
        ssrab2 eqid eqgval syldan simp2 syl6bi abssdv eqsstrd simpr cgrp tgpgrp
        a1i grplinv sylan ctopon tgptopon grpidcl syl syl2anc eqeltrd mpbir3and
        conncompid elecg mpbird cmpt cima eqglact mp3an2 oveq2d ccn tgplacthmeo
        chmeo toponuni sseqtrid conncompconn connima conncompss syl3anc wral wi
        hmeocn elpwi ccnv mptpreima ssrab3 grprid simprrl oveq2 eleq1d sylanbrc
        elrab2 hmeocnvcn simprl sseqtrd simprrr wfun cdm wf1o grplactcnv simpld
        mp3an2i grplactfval f1oeq1d mpbid f1ocnv f1ofun 3syl sseqtrrd funimass3
        f1odm imacnvcnv eqtr4di expr sylan2 ralrimiva eleq2w anbi12d sylibr
        ralrab unissb eqssd ) EUCOZBGOZUDZBCUEZBAUFZOZFUUHPQZUGOZUDZAGUJZUHZUIZ
        UUFUUGGRBUUGOZFUUGPQZUGOUUGUUORUUFUUGBNUFZCUKZNULZGUUEUUGUUTSUUDNBCGUMU
        NUUFUUSNGUUFUUSUUEUURGOZBEUOUPZUPZUUREUQUPZQDOZURZUVAUUDUUEDGRZUUSUVFUS
        UVGUUFDHUUHOUUKUDZAUUMUHZUIZGLUVIUUMRUVJGRUVHAUUMVCUVIGUTVAVBZVNZBUURUV
        DCDEUVBUCGIUVBVDZUVDVDZMVEVFUUEUVAUVEVGVHVIVJUUFUUPBBCUKZUUFUVOUUEUUEUV
        CBUVDQZDOZUUDUUEVKZUVRUUFUVPHDUUDEVLOZUUEUVPHSEVMZGUVDEUVBBHIUVNJUVMVOV
        PUUFFGVQUPOZHGOZHDOUUDUWAUUEEFGKIVRTZUUFUVSUWBUUDUVSUUEUVTTGEHIJVSVTZAH
        DFGLWDWAWBUUDUUEUVGUVOUUEUUEUVQURUSUVLBBUVDCDEUVBUCGIUVMUVNMVEVFWCUUFUU
        EUUEUUPUVOUSUVRUVRBBCGGWEWAWFUUFUUQFNGBUURUVDQZWGZDWHZPQUGUUFUUGUWGFPUU
        DUVSUUEUUGUWGSZUVTUVSUVGUUEUWHUVKNBUVDCEGDIMUVNWIWJVPZWKUUFDUWFFFFUIZUW
        JVDZUUFUWFFFWNQOZUWFFFWLQZONBUVDUWFEFGUWFVDZIUVNKWMZUWFFFXCVTUUFGDUWJUV
        KUUFUWAGUWJSZUWCGFWOVTZWPUUFUWAUWBFDPQUGOUWCUWDAHDFGLWQWAWRWBABUUOUUGFG
        UUOVDWSWTUUFUAUFZUUGRZUAUUNXAZUUOUUGRUUFBUWROZFUWRPQZUGOZUDZUWSXBZUAUUM
        XAUWTUUFUXEUAUUMUWRUUMOUUFUWRGRZUXEUWRGXDUUFUXFUXDUWSUUFUXFUXDUDZUDZUWR
        UWFXEZXEDWHZUUGUXHUXIUWRWHZDRZUWRUXJRZUXKGRUXHHUXKOZFUXKPQUGOUXLUWEUWRO
        ZNGUXKNGUWEUWRUWFUWNXFZXGUXHUWBBHUVDQZUWROZUXNUUFUWBUXGUWDTUXHUXQBUWRUU
        FUXQBSZUXGUUDUVSUUEUXSUVTGUVDEBHIUVNJXHVPTUUFUXFUXAUXCXIWBUXOUXRNHGUXKU
        URHSUWEUXQUWRUURHBUVDXJXKUXPXMXLUXHUWRUXIFFUWJUWKUUFUXIUWMOZUXGUUFUWLUX
        TUWOUWFFFXNVTTUXHUWRGUWJUUFUXFUXDXOZUUFUWPUXGUWQTXPUUFUXFUXAUXCXQWRAHDU
        XKFGLWSYCUXHUXIXRZUWRUXIXSZRUXLUXMUSUXHGGUWFXTZGGUXIXTZUYBUUFUYDUXGUUFG
        GBUBGNGUBUFUURUVDQWGWGZUPZXTZUYDUUFUYHUYGXEUVCUYFUPSZUUDUVSUUEUYHUYIUDU
        VTBUVDUBUYFEUVBGNUYFVDZIUVNUVMYAVPYBUUFGGUYGUWFUUEUYGUWFSUUDBUVDUBUYFEG
        NUYJIYDUNYEYFTZGGUWFYGZGGUXIYHYIUXHUWRGUYCUYAUXHUYDUYEUYCGSUYKUYLGGUXIY
        LYIYJUWRDUXIYKWAYFUXHUUGUWGUXJUUFUWHUXGUWITUWFDYMYNYJYOYPYQUULUXDUWSUAA
        UUMUUHUWRSZUUIUXAUUKUXCAUABYRUYMUUJUXBUGUUHUWRFPXJXKYSUUAYTUAUUNUUGUUBY
        TUUC $.
    $}

    $( The identity component, the connected component containing the identity
       element, is a closed ( ~ conncompcld ) normal subgroup.  (Contributed by
       Mario Carneiro, 17-Sep-2015.) $)
    tgpconncomp $p |- ( G e. TopGrp -> S e. ( NrmSGrp ` G ) ) $=
      ( vy vz wcel cfv co wa syl2anc wceq adantr eqid vw ctgp csubg cplusg wral
      cv wi cnsg wss c0 wne csg crest cpw crab cuni ssrab2 sspwuni mpbi eqsstri
      cconn a1i ctopon tgptopon cgrp tgpgrp grpidcl syl conncompid ne0d cmpt wf
      cima cres df-ima resmpt ax-mp rneqi eqtri imassrn sselda grpsubcl syl3anc
      crn simpr fmpttd frnd sstrid grpsubid cvv ovex elrnmpt1s sylancl eqeltrrd
      oveq2 eleqtrrdi chmeo ccn cminusg ccom grpsubval sylan mpteq2dva grpinvcl
      grpinvf feqmptd eqidd fmptco eqtr4d grpinvhmeo tgplacthmeo syldan eqeltrd
      hmeoco hmeocn toponuni sseqtrid conncompconn connima conncompss eqsstrrid
      wfn fnmpti df-f mpbiran sylibr fmpt ralrimiva wb issubg4 mpbir3and oveq1d
      w3a cqg wbr eqgval cec tgpconncompeqg elec mpbid oppginv fveq1d grpinvinv
      coppg simprll eqtr3d oppgplus eqtrdi simprlr simprr oppgtgp oppgid eleq2d
      oppgbas oppgtopn vex fvex 3bitr3g simp3d expr ralrimivva isnsg2 sylanbrc
      ) CUBMZBCUCNMZKUFZLUFZCUDNZOZBMZUVGUVFUVHOZBMZUGZLEUEKEUEBCUHNMUVDUVEBEUI
      ZBUJUKZUVFUVGCULNZOZBMLBUEZKBUEZUVNUVDBFAUFZMDUVTUMOVAMZPZAEUNZUOZUPZEJUW
      DUWCUIUWEEUIUWBAUWCUQUWDEURUSUTZVBZUVDBFUVDDEVCNMZFEMZFBMCDEIGVDZUVDCVEMZ
      UWICVFZECFGHVGVHZAFBDEJVIQVJUVDUVRKBUVDUVFBMZPZBBLBUVQVKZVLZUVRUWOUWPWDZB
      UIZUWQUWOUWRLEUVQVKZBVMZBUXAUWTBVNZWDUWRUWTBVOUXBUWPUVNUXBUWPRUWFLEBUVQVP
      VQVRVSZUWOUXAEUIFUXAMDUXAUMOVAMUXABUIUWOUXAUWTWDEUWTBVTUWOEEUWTUWOLEUVQEU
      WOUVGEMZPUWKUVFEMZUXDUVQEMUWOUWKUXDUVDUWKUWNUWLSZSUWOUXEUXDUVDBEUVFUWGWAZ
      SUWOUXDWEECUVPUVFUVGGUVPTZWBWCWFWGWHUWOFUWRUXAUWOUVFUVFUVPOZFUWRUWOUWKUXE
      UXIFRUXFUXGECUVPUVFFGHUXHWIQUWOUWNUXIWJMUXIUWRMUVDUWNWEUVFUVFUVPWKLBUVQUX
      IUVFUWPWJUWPTZUVGUVFUVFUVPWOWLWMWNUXCWPUWOBUWTDDDUPZUXKTUWOUWTDDWQOZMUWTD
      DWROMUWOUWTUAEUVFUAUFZUVHOZVKZCWSNZWTZUXLUWOUWTLEUVFUVGUXPNZUVHOZVKUXQUWO
      LEUVQUXSUWOUXEUXDUVQUXSRUXGEUVHCUXPUVPUVFUVGGUVHTZUXPTZUXHXAXBXCUWOLUAEEU
      XRUXNUXSUXPUXOUWOUWKUXDUXREMUXFECUXPUVGGUYAXDXBUWOLEEUXPUVDEEUXPVLZUWNUVD
      UWKUYBUWLECUXPGUYAXEVHSXFUWOUXOXGUXMUXRUVFUVHWOXHXIUWOUXPUXLMZUXOUXLMZUXQ
      UXLMUVDUYCUWNCUXPDIUYAXJSUVDUWNUXEUYDUXGUAUVFUVHUXOCDEUXOTGUXTIXKXLUXPUXO
      DDDXNQXMUWTDDXOVHUWOEBUXKUWFUVDEUXKRZUWNUVDUWHUYEUWJEDXPVHSXQUVDDBUMOVAMZ
      UWNUVDUWHUWIUYFUWJUWMAFBDEJXRQSXSAFBUXADEJXTWCYAUWQUWPBYBUWSLBUVQUWPUVFUV
      GUVPWKUXJYCBBUWPYDYEYFLBBUVQUWPUXJYGYFYHUVDUWKUVEUVNUVOUVSYMYIUWLKLEBCUVP
      GUXHYJVHYKUVDUVMKLEEUVDUXEUXDPZUVJUVLUVDUYGUVJPZPZUVFUXPNZCUUDNZWSNZNZUVG
      UYKUDNZOZUVKBUYIUYOUVFUVGUYNOUVKUYIUYMUVFUVGUYNUYIUYJUXPNZUYMUVFUYIUYJUXP
      UYLUYIUWKUXPUYLRUVDUWKUYHUWLSZCUXPUYKUYKTZUYAUUAVHUUBUYIUWKUXEUYPUVFRUYQU
      VDUXEUXDUVJUUEZECUXPUVFGUYAUUCQZUUFYLUVHUYNCUYKUVFUVGUXTUYRUYNTZUUGUUHUYI
      UYJEMZUXDUYOBMZUYIUYJUVGUYKBYNOZYOZVUBUXDVUCYMZUYIUYJUVGCBYNOZYOZVUEUYIVU
      HVUBUXDUYPUVGUVHOZBMZUYIUWKUXEVUBUYQUYSECUXPUVFGUYAXDQZUVDUXEUXDUVJUUIUYI
      VUIUVIBUYIUYPUVFUVGUVHUYTYLUVDUYGUVJUUJXMUYIUWKUVNVUHVUBUXDVUJYMYIUYQUWFU
      YJUVGUVHVUGBCUXPVEEGUYAUXTVUGTZYPWMYKUYIUVGUYJVUGYQZMUVGUYJVUDYQZMVUHVUEU
      YIVUMVUNUVGUYIVUMUYJUVTMUWAPAUWCUOUPZVUNUVDUYHVUBVUMVUORVUKAUYJVUGBCDEFGH
      IJVULYRXLUYIUYKUBMZVUBVUNVUORUVDVUPUYHCUYKUYRUUKSZVUKAUYJVUDBUYKDEFECUYKU
      YRGUUNZCUYKFUYRHUULCDUYKUYRIUUOJVUDTZYRQXIUUMUVGUYJVUGLUUPZUVFUXPUUQZYSUV
      GUYJVUDVUTVVAYSUURYTUYIVUPUVNVUEVUFYIVUQUWFUYJUVGUYNVUDBUYKUYLUBEVURUYLTV
      UAVUSYPWMYTUUSWNUUTUVAKLUVHBCEGUXTUVBUVC $.

    $( The identity component is a subset of any open subgroup.  (Contributed
       by Mario Carneiro, 17-Sep-2015.) $)
    tgpconncompss $p |- ( ( G e. TopGrp /\ T e. ( SubGrp ` G ) /\ T e. J ) ->
      S C_ T ) $=
      ( ctgp wcel csubg cfv w3a ctopon ccld cin wss simp3 opnsubg elind subg0cl
      tgptopon 3ad2ant1 3ad2ant2 conncompclo syl3anc ) DLMZCDNOMZCEMZPZEFQOMZCE
      EROZSMGCMZBCTUJUKUNULDEFJHUEUFUMEUOCUJUKULUACDEJUBUCUKUJUPULCDGIUDUGAGBCE
      FKUHUI $.
  $}

  ${
    $d u v w x y z A $.  $d u v w x y z F $.  $d u v w x y z G $.
    $d u v w x y z H $.  $d u w x y z J $.  $d u v w x y z X $.
    $d u w x y z K $.
    ghmcnp.x $e |- X = ( Base ` G ) $.
    ghmcnp.j $e |- J = ( TopOpen ` G ) $.
    ghmcnp.k $e |- K = ( TopOpen ` H ) $.
    $( A group homomorphism on topological groups is continuous everywhere if
       it is continuous at any point.  (Contributed by Mario Carneiro,
       21-Oct-2015.) $)
    ghmcnp $p |- ( ( G e. TopMnd /\ H e. TopMnd /\ F e. ( G GrpHom H ) ) ->
      ( F e. ( ( J CnP K ) ` A ) <-> ( A e. X /\ F e. ( J Cn K ) ) ) ) $=
      ( vw wcel co cfv wa eqid adantr syl3anc wceq syl2anc vx vy vu vz ctmd w3a
      vv cghm ccnp cuni ccn wi cnprcl a1i cbs wf cv wral ctopon tmdtopon simpl2
      3ad2ant1 syl simpr cima wss wrex csg cplusg crab cmpt ccnv mptpreima cgrp
      cnpf2 simpll3 simprl adantl toponuni eleqtrrd grpsubcl ffvelrnd tmdlactcn
      ghmgrp1 simprrl cnima eqeltrrid oveq2 eleq1d ghmsub oveq1d grpnpcan eqtrd
      ghmgrp2 simprrr eqeltrd elrabd cnpimaex ssrab simprbi wfn wb ffnd toponss
      sylan ralima syl5ib simpl1 ad2antrr fveq2 oveq2d rspccv grpcl c0g cminusg
      ghmlin grpinvsub grprinv eqtr3d grpass syl13anc 3eqtr3d adantlr ralrimiva
      grplid fveq2d sylibd ralrab2 sylibr wfun ffund ssrab2 sseqtrrid funimass4
      cdm fdmd mpbird eleq2 expr mpbir2and imaeq2 sseq1d anbi12d rspcev sylan2d
      syl12anc rexlimdva mpd anassrs iscnp ex jcad cncnpi ancoms impbid1 eleq2d
      cncnp anbi1d bitr4d ) CUELZDUELZBCDUHMLZUFZBAEFUIMZNLZAEUJZLZBEFUKMLZOZAG
      LZUVHOUVCUVEUVIUVCUVEUVGUVHUVEUVGULUVCABEFUVFUVFPZUMZUNUVCUVEUVHUVCUVEOZU
      VHGDUONZBUPZBUAUQZUVDNLZUAGURZUVMEGUSNLZFUVNUSNLZUVEUVOUVCUVSUVEUUTUVAUVS
      UVBCEGIHUTVBZQZUVMUVAUVTUUTUVAUVBUVEVAZDFUVNJUVNPZUTVCZUVCUVEVDZABEFGUVNV
      ORZUVMUVQUAGUVMUVPGLZOZUVQUVOUVPBNZUBUQZLZUVPUCUQZLZBUWMVEZUWKVFZOZUCEVGZ
      ULZUBFURZUVMUVOUWHUWGQUWIUWSUBFUWIUWKFLZUWLUWRUVMUWHUXAUWLOZUWRUVMUWHUXBO
      ZOZAUDUQZLZBUXEVEZUVPACVHNZMZBNZKUQZDVINZMZUWKLZKUVNVJZVFZOZUDEVGZUWRUXDU
      VEUXOFLABNZUXOLUXRUVMUVEUXCUWFQUXDUXOKUVNUXMVKZVLUWKVEZFKUVNUXMUWKUXTUXTP
      ZVMUXDUXTFFUKMLZUXAUYAFLUXDUVAUXJUVNLUYCUVMUVAUXCUWCQUXDGUVNUXIBUVMUVOUXC
      UWGQZUXDCVNLZUWHUVJUXIGLZUXDUVBUYEUUTUVAUVBUVEUXCVPZCDBWDZVCZUVMUWHUXBVQZ
      UVMUVJUXCUVMAUVFGUVEUVGUVCUVLVRUVMUVSGUVFSZUWBGEVSZVCVTQZGCUXHUVPAHUXHPZW
      ARZWBKUXJUXLUXTDFUVNUYBUWDUXLPZJWCTUVMUWHUXAUWLWEUWKUXTFFWFTWGUXDUXNUXJUX
      SUXLMZUWKLKUXSUVNUXKUXSSUXMUYQUWKUXKUXSUXJUXLWHWIUXDGUVNABUYDUYMWBZUXDUYQ
      UWJUWKUXDUYQUWJUXSDVHNZMZUXSUXLMZUWJUXDUXJUYTUXSUXLUXDUVBUWHUVJUXJUYTSUYG
      UYJUYMGCDUVPBUXHUYSAHUYNUYSPZWJRWKUXDDVNLZUWJUVNLUXSUVNLVUAUWJSUXDUVBVUCU
      YGCDBWNVCUXDGUVNUVPBUYDUYJWBUYRUVNUXLDUYSUWJUXSUWDUYPVUBWLRWMUVMUWHUXAUWL
      WOWPWQUDUXOABEFWRRUXDUXQUWRUDEUXDUXEELZOZUXPUXJUGUQZBNZUXLMZUWKLZUGUXEURZ
      UXFUWRUXPUXNKUXGURZVUEVUJUXPUXGUVNVFVUKUXNKUVNUXGWSWTVUEBGXAUXEGVFZVUKVUJ
      XBVUEGUVNBUXDUVOVUDUYDQXCUXDUVSVUDVULUVMUVSUXCUWBQUXEEGXDXEUXNVUIKUGGUXEB
      UXKVUGSUXMVUHUWKUXKVUGUXJUXLWHWIXFTXGUXDVUDUXFVUJOZUWRUXDVUDVUMOZOZAUVPUX
      HMZUXKCVINZMZUXELZKGVJZELUVPVUTLZBVUTVEZUWKVFZUWRVUOVUTKGVURVKZVLUXEVEZEK
      GVURUXEVVDVVDPZVMVUOVVDEEUKMLZVUDVVEELVUOUUTVUPGLZVVGUVMUUTUXCVUNUUTUVAUV
      BUVEXHXIVUOUYEUVJUWHVVHUXDUYEVUNUYIQZUXDUVJVUNUYMQZUXDUWHVUNUYJQZGCUXHAUV
      PHUYNWAZRKVUPVUQVVDCEGVVFHVUQPZIWCTUXDVUDVUMVQUXEVVDEEWFTWGVUOVUSVUPUVPVU
      QMZUXELKUVPGUXKUVPSVURVVNUXEUXKUVPVUPVUQWHWIVVKVUOVVNAUXEVUOUYEUVJUWHVVNA
      SVVIVVJVVKGVUQCUXHAUVPHVVMUYNWLRUXDVUDUXFVUJWEWPWQVUOVVCVUGUWKLZUGVUTURZV
      UOVUSUXKBNZUWKLZULZKGURVVPVUOVVSKGVUOUXKGLZOZVUSUXJVURBNZUXLMZUWKLZVVRVUO
      VUSVWDULZVVTVUOVUJVWEUXDVUDUXFVUJWOVUIVWDUGVURUXEVUFVURSZVUHVWCUWKVWFVUGV
      WBUXJUXLVUFVURBXJXKWIXLVCQVWAVWCVVQUWKUXDVVTVWCVVQSVUNUXDVVTOZUXIVURVUQMZ
      BNZVWCVVQVWGUVBUYFVURGLZVWIVWCSUXDUVBVVTUYGQZUXDUYFVVTUYOQZVWGUYEVVHVVTVW
      JVWGUVBUYEVWKUYHVCZVWGUYEUVJUWHVVHVWMUXDUVJVVTUYMQZUXDUWHVVTUYJQZVVLRZUXD
      VVTVDZGVUQCVUPUXKHVVMXMRVUQUXLCDUXIBVURGHVVMUYPXPRVWGVWHUXKBVWGUXIVUPVUQM
      ZUXKVUQMZCXNNZUXKVUQMZVWHUXKVWGVWRVWTUXKVUQVWGUXIUXICXONZNZVUQMZVWRVWTVWG
      VXCVUPUXIVUQVWGUYEUWHUVJVXCVUPSVWMVWOVWNGCUXHVXBUVPAHUYNVXBPZXQRXKVWGUYEU
      YFVXDVWTSVWMVWLGVUQCVXBUXIVWTHVVMVWTPZVXEXRTXSWKVWGUYEUYFVVHVVTVWSVWHSVWM
      VWLVWPVWQGVUQCUXIVUPUXKHVVMXTYAVWGUYEVVTVXAUXKSVWMVWQGVUQCUXKVWTHVVMVXFYE
      TYBYFXSYCWIYGYDVUSVVOVVRUGKGVUFUXKSVUGVVQUWKVUFUXKBXJWIYHYIVUOBYJVUTBYOZV
      FVVCVVPXBVUOGUVNBUXDUVOVUNUYDQZYKVUOGVUTVXGVUSKGYLVUOGUVNBVXHYPYMUGVUTUWK
      BYNTYQUWQVVAVVCOUCVUTEUWMVUTSZUWNVVAUWPVVCUWMVUTUVPYRVXIUWOVVBUWKUWMVUTBU
      UAUUBUUCUUDUUFYSUUEUUGUUHUUIYSYDUWIUVSUVTUWHUVQUVOUWTOXBUVMUVSUWHUWBQUVMU
      VTUWHUWEQUVMUWHVDUCUBUVPBEFGUVNUUJRYTYDUVMUVSUVTUVHUVOUVROXBUWBUWEUABEFGU
      VNUUQTYTUUKUULUVHUVGUVEABEFUVFUVKUUMUUNUUOUVCUVJUVGUVHUVCGUVFAUVCUVSUYKUW
      AUYLVCUUPUURUUS $.
  $}

  ${
    $d x y A $.  $d x y G $.  $d x J $.  $d x .~ $.  $d x y X $.  $d x y .0. $.
    $d x S $.
    snclseqg.x $e |- X = ( Base ` G ) $.
    snclseqg.j $e |- J = ( TopOpen ` G ) $.
    snclseqg.z $e |- .0. = ( 0g ` G ) $.
    snclseqg.r $e |- .~ = ( G ~QG S ) $.
    snclseqg.s $e |- S = ( ( cls ` J ) ` { .0. } ) $.
    $( The coset of the closure of the identity is the closure of a point.
       (Contributed by Mario Carneiro, 22-Sep-2015.) $)
    snclseqg $p |- ( ( G e. TopGrp /\ A e. X ) ->
      [ A ] .~ = ( ( cls ` J ) ` { A } ) ) $=
      ( vx vy wcel cfv co cima wceq eqid ctgp wa cec cv cplusg cmpt csn imaeq2i
      ccl cgrp wss tgpgrp adantr cuni ctop ctopon tgptopon topontop syl grpidcl
      snssd toponuni sseqtrd clsss3 syl2anc sseqtrrd eqsstrid simpr tgplacthmeo
      eqglact syl3anc chmeo hmeocls 3eqtr4a crn cres df-ima resmptd syl5eq wrex
      rneqd cab fvexi oveq2 eqeq2d rexsn grprid sylan syl5bb abbidv rnmpt df-sn
      c0g 3eqtr4g eqtrd fveq2d ) DUAOZAFOZUBZABUCZMFAMUDZDUEPZQZUFZGUGZRZEUIPZP
      ZAUGZXGPWSXDCRZXDXEXGPZRZWTXHCXKXDLUHWSDUJOZCFUKWRWTXJSWQXMWRDULZUMZWSCXK
      FLWSXKEUNZFWSEUOOZXEXPUKZXKXPUKWSEFUPPOZXQWQXSWRDEFIHUQUMZFEURUSWSXEFXPWS
      GFWSXMGFOXOFDGHJUTUSVAZWSXSFXPSXTFEVBUSZVCZXEEXPXPTZVDVEYBVFVGWQWRVHMAXBB
      DFCHKXBTZVJVKWSXDEEVLQOXRXHXLSMAXBXDDEFXDTHYEIVIYCXEXDEEXPYDVMVEVNWSXFXIX
      GWSXFMXEXCUFZVOZXIWSXFXDXEVPZVOYGXDXEVQWSYHYFWSMFXEXCYAVRWAVSWSNUDZXCSZMX
      EVTZNWBYIASZNWBYGXIWSYKYLNYKYIAGXBQZSZWSYLYJYNMGGDWMJWCXAGSXCYMYIXAGAXBWD
      WEWFWSYMAYIWQXMWRYMASXNFXBDAGHYEJWGWHWEWIWJMNXEXCYFYFTWKNAWLWNWOWPWO $.
  $}

  ${
    $d x y G $.  $d x y .0. $.
    tgphaus.1 $e |- .0. = ( 0g ` G ) $.
    tgphaus.j $e |- J = ( TopOpen ` G ) $.
    $( A topological group is Hausdorff iff the identity subgroup is closed.
       (Contributed by Mario Carneiro, 18-Sep-2015.) $)
    tgphaus $p |- ( G e. TopGrp ->
      ( J e. Haus <-> { .0. } e. ( Clsd ` J ) ) ) $=
      ( vx vy wcel ccld cfv wi eqid syl wceq cid cres co cv wa wb ctgp cha cuni
      csn cbs cgrp tgpgrp grpidcl ctopon tgptopon toponuni eleqtrd sncld expcom
      ctx csg ccnv cima ccn tgpsubcn cnclima ex wbr copab wrel cxp wss cnvimass
      wf grpsubf fssdm relxp relss mpisyl dfrel4v sylib cop wfn elpreima opelxp
      ffnd anbi1i grpsubeq0 3expb sylan df-ov eleq1i ovex bitr3i equcom 3bitr4g
      elsn pm5.32da syl5bb bitrd df-br eleq1w biimparc pm4.71i bitr4i opabresid
      an32 opabbidv eqtr4di reseq2d 3eqtrd eleq1d sylibd ctop topontop hausdiag
      baib sylibrd impbid ) AUAHZBUBHZCUDZBIJHZXOCBUCZHZXPXRKXOCAUEJZXSXOAUFHZC
      YAHAUGZYAACYALZDUHMXOBYAUIJHZYAXSNABYAEYDUJZYABUKMZULXPXTXRCBXSXSLZUMUNMX
      OXROXSPZBBUOQZIJZHZXPXOXRAUPJZUQXQURZYKHZYLXOYMYJBUSQHZXRYOKABYMEYMLZUTYP
      XRYOXQYMYJBVAVBMXOYNYIYKXOYNFRZGRZYNVCZFGVDZOYAPZYIXOYNVEZYNUUANXOYNYAYAV
      FZVGUUDVEUUCXOUUDYAYNYMYMXQVHXOYBUUDYAYMVIYCYAAYMYDYQVJMZVKYAYAVLYNUUDVMV
      NFGYNVOVPXOUUAYRYAHZYSYRNZSZFGVDUUBXOYTUUHFGXOYRYSVQZYNHZUUFYSYAHZSZUUGSZ
      YTUUHXOUUJUUIUUDHZUUIYMJZXQHZSZUUMXOYMUUDVRUUJUUQTXOUUDYAYMUUEWAUUDUUIXQY
      MVSMUUQUULUUPSXOUUMUUNUULUUPYRYSYAYAVTWBXOUULUUPUUGXOUULSYRYSYMQZCNZYRYSN
      ZUUPUUGXOYBUULUUSUUTTZYCYBUUFUUKUVAYAAYMYRYSCYDDYQWCWDWEUUPUURXQHUUSUURUU
      OXQYRYSYMWFWGUURCYRYSYMWHWLWIGFWJWKWMWNWOYRYSYNWPUUHUUHUUKSUUMUUHUUKUUGUU
      KUUFGFYAWQWRWSUUFUUKUUGXBWTWKXCFGYAXAXDXOYAXSOYGXEXFXGXHXOBXIHZXPYLTXOYEU
      VBYFYABXJMXPUVBYLBXSYHXKXLMXMXN $.
  $}

  ${
    tgpt1.j $e |- J = ( TopOpen ` G ) $.
    $( Hausdorff and T1 are equivalent for topological groups.  (Contributed by
       Mario Carneiro, 18-Sep-2015.) $)
    tgpt1 $p |- ( G e. TopGrp -> ( J e. Haus <-> J e. Fre ) ) $=
      ( ctgp wcel cha ct1 haust1 c0g cfv csn ccld cuni wi cbs cgrp eqid grpidcl
      tgpgrp syl wceq tgptopon toponuni eleqtrd t1sncld tgphaus sylibrd impbid2
      ctopon expcom ) ADEZBFEZBGEZBHUKUMAIJZKBLJEZULUKUNBMZEZUMUONUKUNAOJZUPUKA
      PEUNUREASURAUNURQZUNQZRTUKBURUIJEURUPUAABURCUSUBURBUCTUDUMUQUOUNBUPUPQUEU
      JTABUNUTCUFUGUH $.

    $d a w x y z G $.  $d a w x y z J $.
    $( Hausdorff and T0 are equivalent for topological groups.  (Contributed by
       Mario Carneiro, 18-Sep-2015.) $)
    tgpt0 $p |- ( G e. TopGrp -> ( J e. Haus <-> J e. Kol2 ) ) $=
      ( vx vz vy vw va wcel cv wral weq wi cfv wa eleq2 co wceq ad3antrrr eqid
      ctgp cha ct1 ct0 tgpt1 t1t0 wb cbs imbi12d rspccva adantll csg cplusg c0g
      cgrp tgpgrp simpllr simprd grpsubid syl2anc oveq1d simpld eqtrd cmpt ccnv
      grplid cima grpnpcan syl3anc simprr eqeltrd oveq2 eleq1d mptpreima elrab2
      sylanbrc simplr ccn ctmd tgptmd ctopon tgptopon cnmptid tgpsubcn cnmpt12f
      cnmptc ctx cnmpt1plusg simprl cnima rspcdva mpd simprbi syl eqeltrrd expr
      impbid ralrimiva ex imim1d ralimdvva ist0-2 ist1-2 3imtr4d impbid2 bitrd
      ) AUAIZBUBIBUCIZBUDIZABCUEXGXHXIBUFXGDJZEJZIZFJZXKIZUGZEBKZDFLZMZFAUHNZKD
      XSKZXJGJZIZXMYAIZMZGBKZXQMZFXSKDXSKZXIXHXGXRYFDFXSXSXGXJXSIZXMXSIZOZOZYEX
      PXQYKYEXPYKYEOZXOEBYLXKBIZOXLXNYEYMXLXNMZYKYDYNGXKBGELYBXLYCXNYAXKXJPYAXK
      XMPUIUJUKYLYMXNXLYLYMXNOZOZXMXMAULNZQZXJAUMNZQZXJXKYPYTAUNNZXJYSQZXJYPYRU
      UAXJYSYPAUOIZYIYRUUARXGUUCYJYEYOAUPSZYPYHYIXGYJYEYOUQZURZXSAYQXMUUAXSTZUU
      ATZYQTZUSUTVAYPUUCYHUUBXJRUUDYPYHYIUUEVBZXSYSAXJUUAUUGYSTZUUHVFUTVCYPXMHX
      SXMHJZYQQZXJYSQZVDZVEXKVGZIZYTXKIZYPXJUUPIZUUQYPYHXMXJYQQZXJYSQZXKIZUUSUU
      JYPUVAXMXKYPUUCYIYHUVAXMRUUDUUFUUJXSYSAYQXMXJUUGUUKUUIVHVIYLYMXNVJVKUUNXK
      IZUVBHXJXSUUPHDLZUUNUVAXKUVDUUMUUTXJYSUULXJXMYQVLVAVMHXSUUNXKUUOUUOTVNZVO
      VPYPYDUUSUUQMGBUUPYAUUPRYBUUSYCUUQYAUUPXJPYAUUPXMPUIYKYEYOVQYPUUOBBVRQIYM
      UUPBIYPHUUMXJYSABBXSCUUKXGAVSIYJYEYOAVTSXGBXSWANIZYJYEYOABXSCUUGWBZSZYPHX
      MUULYQBBBBXSUVHYPHXMBBXSXSUVHUVHUUFWFYPHBXSUVHWCXGYQBBWGQBVRQIYJYEYOABYQC
      UUIWDSWEYPHXJBBXSXSUVHUVHUUJWFWHYLYMXNWIXKUUOBBWJUTWKWLUUQYIUURUVCUURHXMX
      SUUPHFLZUUNYTXKUVIUUMYRXJYSUULXMXMYQVLVAVMUVEVOWMWNWOWPWQWRWSWTXAXGUVFXIX
      TUGUVGDFEBXSXBWNXGUVFXHYGUGUVGDFGBXSXCWNXDXEXF $.
  $}

  ${
    $d b t $.  $d a b c d p q r s u w x y z G $.  $d a c d p q t u w x y z J $.
    $d a p q r s u w y z F $.  $d a u x y z S $.  $d a b c d p q u w x y z X $.
    $d a b c d p q r s u w x y z H $.  $d a b c d p q r s u w x y z K $.
    $d c d p q t .- $.  $d a b c d p q r s u w x y z Y $.
    qustgp.h $e |- H = ( G /s ( G ~QG Y ) ) $.
    ${
      qustgpopn.x $e |- X = ( Base ` G ) $.
      qustgpopn.j $e |- J = ( TopOpen ` G ) $.
      qustgpopn.k $e |- K = ( TopOpen ` H ) $.
      qustgpopn.f $e |- F = ( x e. X |-> [ x ] ( G ~QG Y ) ) $.
      $( A quotient map in a topological group is an open map.  (Contributed by
         Mario Carneiro, 18-Sep-2015.) $)
      qustgpopn $p |- ( ( G e. TopGrp /\ Y e. ( NrmSGrp ` G ) /\ S e. J ) ->
        ( F " S ) e. K ) $=
        ( va wcel cfv co wceq syl2anc vy vu vz ctgp cnsg w3a cima cqtop cqg cqs
        wss ccnv crn imassrn wfo cvv cqus a1i cbs ovex quslem forn syl sseqtrid
        simp1 cv wa wrex wral cec eceq1 cbvmptv eqtri mptpreima rabeq2i funmpt2
        cmpt wfun fvelima mpan cminusg cplusg wbr ctopon tgptopon simp3 toponss
        adantr sselda ecexg ax-mp fvmpt eqeq1d eqcom csubg wer nsgsubg 3ad2ant2
        bitrdi ad2antrr eqid eqger simplr erth wb subgss eqgval ccn chmeo coppg
        3bitr2d oppgplus mpteq2i oppgtgp oppgbas oppgtopn tgplacthmeo eqeltrrid
        hmeocn ad3antrrr cnima c0g cgrp tgpgrp grprinv oveq1d grpinvcl syl13anc
        grpass grplid 3eqtr3d eqeltrd eleq1d elrab2 sylanbrc crab wfn wi fnmpti
        oveq1 fnfvima 3expia sylancr simpr grpcl syl3anc fvmpt3i grplinv eqtr4d
        mpbir3and erthi ss2rabdv 3sstr4g eleq2 sseq1 anbi12d syl12anc 3ad2antr3
        sylibd rspcev ex sylbid rexlimdva syl5 expimpd syl5bi ralrimiv topontop
        ctop eltop2 3syl mpbird elqtop3 mpbir2and qusval imastopn eleqtrrd ) DU
        DPZIDUEQPZBFPZUFZCBUGZFCUHRZGUWAUWBUWCPZUWBHDIUIRZUJZUKZCULUWBUGZFPZUWA
        CUMZUWBUWFCBUNUWAHUWFCUOZUWJUWFSUWAAUWEDECHUPUDEDUWEUQRSUWAJURZHDUSQSUW
        AKURZNUWEUPPZUWADIUIUTZURZUVRUVSUVTVEZVAZHUWFCVBVCVDUWAUWIUAVFZUBVFZPZU
        WTUWHUKZVGZUBFVHZUAUWHVIZUWAUXDUAUWHUWSUWHPUWSHPZUWSUWEVJZUWBPZVGUWAUXD
        UXHUAUWHHUAHUXGUWBCCAHAVFZUWEVJZVQZUAHUXGVQNAUAHUXJUXGUXIUWSUWEVKVLVMVN
        VOUWAUXFUXHUXDUXHUCVFZCQZUXGSZUCBVHZUWAUXFVGZUXDCVRUXHUXOAHUXJCNVPUCUXG
        BCVSVTUXPUXNUXDUCBUXPUXLBPZVGZUXNUXFUXLHPZUWSDWAQZQZUXLDWBQZRZIPZUFZUXD
        UXRUXNUXGUXLUWEVJZSZUWSUXLUWEWCZUYEUXRUXNUYFUXGSUYGUXRUXMUYFUXGUXRUXSUX
        MUYFSUXPBHUXLUWABHUKZUXFUWAFHWDQPZUVTUYIUWAUVRUYJUWQDFHLKWEVCZUVRUVSUVT
        WFZBFHWGTWHZWIZAUXLUXJUYFHCUXIUXLUWEVKNUWNUYFUPPUWOUXLUPUWEWJWKWLVCWMUY
        FUXGWNWSUXRUWSUXLUWEHUXRIDWOQPZHUWEWPZUWAUYOUXFUXQUVSUVRUYOUVTIDWQWRWTZ
        UWEDHIKUWEXAZXBVCZUWAUXFUXQXCZXDUXRUVRIHUKZUYHUYEXEUWAUVRUXFUXQUWQWTZUX
        RUYOVUAUYQHIDKXFVCZUWSUXLUYBUWEIDUXTUDHKUXTXAZUYBXAZUYRXGTXKUXRUYEUXDUX
        RUXFUYDUXDUXSUXRUYDVGZOHOVFZUYCUYBRZVQZULBUGZFPZUWSVUJPZVUJUWHUKZUXDVUF
        VUIFFXHRPZUVTVUKVUFVUIFFXIRZPVUNVUFVUIOHUYCVUGDXJQZWBQZRZVQZVUOOHVURVUH
        UYBVUQDVUPUYCVUGVUEVUPXAZVUQXAZXLXMVUFVUPUDPZUYCHPZVUSVUOPVUFUVRVVBUXRU
        VRUYDVUBWHZDVUPVUTXNVCUXRIHUYCVUCWIZOUYCVUQVUSVUPFHVUSXAHDVUPVUTKXOVVAD
        FVUPVUTLXPXQTXRVUIFFXSVCUWAUVTUXFUXQUYDUYLXTBVUIFFYATVUFUXFUWSUYCUYBRZB
        PZVULUXRUXFUYDUYTWHZVUFVVFUXLBVUFUWSUYAUYBRZUXLUYBRZDYBQZUXLUYBRZVVFUXL
        VUFVVIVVKUXLUYBVUFDYCPZUXFVVIVVKSVUFUVRVVMVVDDYDVCZVVHHUYBDUXTUWSVVKKVU
        EVVKXAZVUDYETYFVUFVVMUXFUYAHPZUXSVVJVVFSVVNVVHVUFVVMUXFVVPVVNVVHHDUXTUW
        SKVUDYGTUXRUXSUYDUYNWHZHUYBDUWSUYAUXLKVUEYIYHVUFVVMUXSVVLUXLSVVNVVQHUYB
        DUXLVVKKVUEVVOYJTYKUXPUXQUYDXCYLVUHBPZVVGOUWSHVUJVUGUWSSVUHVVFBVUGUWSUY
        CUYBYTYMOHVUHBVUIVUIXAVNZYNYOVUFVVROHYPVUGUWEVJZUWBPZOHYPVUJUWHVUFVVRVW
        AOHVUFVUGHPZVGZVVRVUHCQZUWBPZVWAVWCCHYQZUYIVVRVWEYRAHUXJCUWNUXJUPPUWOUX
        IUPUWEWJWKZNYSUXPUYIUXQUYDVWBUYMXTVWFUYIVVRVWEHBCVUHUUAUUBUUCVWCVWDVVTU
        WBVWCVWDVUHUWEVJZVVTVWCVUHHPZVWDVWHSVWCVVMVWBVVCVWIVUFVVMVWBVVNWHZVUFVW
        BUUDZVUFVVCVWBVVEWHZHUYBDVUGUYCKVUEUUEUUFZAVUHUXJVWHHCUXIVUHUWEVKNVWGUU
        GVCVWCVUGVUHUWEHUXRUYPUYDVWBUYSWTVWCVUGVUHUWEWCZVWBVWIVUGUXTQZVUHUYBRZI
        PZVWKVWMVWCVWPUYCIVWCVWOVUGUYBRZUYCUYBRZVVKUYCUYBRZVWPUYCVWCVWRVVKUYCUY
        BVWCVVMVWBVWRVVKSVWJVWKHUYBDUXTVUGVVKKVUEVVOVUDUUHTYFVWCVVMVWOHPZVWBVVC
        VWSVWPSVWJVWCVVMVWBVXAVWJVWKHDUXTVUGKVUDYGTVWKVWLHUYBDVWOVUGUYCKVUEYIYH
        VWCVVMVVCVWTUYCSVWJVWLHUYBDUYCVVKKVUEVVOYJTYKUXRUYDVWBXCYLVWCVVMVUAVWNV
        WBVWIVWQUFXEVWJUXRVUAUYDVWBVUCWTVUGVUHUYBUWEIDUXTYCHKVUDVUEUYRXGTUUJUUK
        UUIYMUUSUULVVSOHVVTUWBCCUXKOHVVTVQNAOHUXJVVTUXIVUGUWEVKVLVMVNUUMUXCVULV
        UMVGUBVUJFUWTVUJSUXAVULUXBVUMUWTVUJUWSUUNUWTVUJUWHUUOUUPUUTUUQUURUVAUVB
        UVCUVDUVEUVFUVGUWAUYJFUVIPUWIUXEXEUYKHFUVHUAUBUWHFUVJUVKUVLUWAUYJUWKUWD
        UWGUWIVGXEUYKUWRUWBCFHUWFUVMTUVNUWAUWFDECFGHUDUWAAUWEDECHUPUDUWLUWMNUWP
        UWQUVOUWMUWRUWQLMUVPUVQ $.

      qustgplem.m $e |- .- =
        ( z e. X , w e. X |-> [ ( z ( -g ` G ) w ) ] ( G ~QG Y ) ) $.
      $( Lemma for ~ qustgp .  (Contributed by Mario Carneiro, 18-Sep-2015.) $)
      qustgplem $p |- ( ( G e. TopGrp /\ Y e. ( NrmSGrp ` G ) ) ->
        H e. TopGrp ) $=
        ( wcel wa wceq vu vr vs vy va vb vc vd vt vp vq ctgp cnsg cfv cgrp ctps
        csg ctx co ccn qusgrp adantl cbs ctopon cqg cqs cqtop cvv cqus a1i ovex
        adantr syl2anc eqeltrd eqid sylibr cxp wf ccnv cv cima wral grpsubf syl
        wss wrex wrel cop cec wi vex eleq2d bitr3id anbi12d opelxp wfn ad2antrr
        elqs wb elpreima 3syl df-ov qussub syl3anc eqtr3id eleq1d cmpo eqeltrrd
        ffn sylib ecexg ax-mp eceq1 eltx weq oveq12 eceq1d ovmpoa bitrdi anbi1d
        eleq1 qustgpopn fvmpt3i toponss fnfvima mp3an2i sselda anim12dan opeq12
        2rexbidv quseccl opelxpi mpbir2and ralima mpan mpbird sseq1d rexlimdvva
        ralbidv sylbid simpl qusval quslem imastopn wfo qtoptopon qusbas fveq2d
        tgptopon eleqtrd istps cab cdm cnvimass fdmd sseqtrid relxp relss sseld
        mpisyl reeanv 3bitr4g simpllr simprl simprr tgpgrp fnov tgpsubcn fnmpti
        simpr cmpt qtopid sylancl oveq2d eleqtrrd cnmpt21 eqeltrid simplr cnima
        mpbid fnmpoi anbi1i pm5.32i 3bitri rspccv syl5bir mpand simp-4l simprll
        eqeltrrid simprlr simprrl simpld simprd opelxpd 3eqtr3g simprrr simprbi
        syl2an 3expb eqtr4d sylan2 opeq1 opeq2 sylan9bb dfss3 ralxp bitri xpeq1
        ralrimivva xpeq2 rspc2ev syl112anc expr syld adantld imbi12d syl5ibrcom
        opex elab sylbird mpdd relssdv ssabral ralrimiva txtopon iscn syl3anbrc
        com23 istgp2 ) EULRZKEUMUNRZSZFUORZFUPRZFUQUNZHHURUSZHUTUSRZFULRUYLUYNU
        YKKEFLVAVBZUYMHFVCUNZVDUNZRZUYOUYMHJEKVEUSZVFZVDUNZVUAUYMHGDVGUSZVUEUYM
        VUDEFDGHJULUYMAVUCEFDJVHULFEVUCVIUSTUYMLVJZJEVCUNTUYMMVJZPVUCVHRZUYMEKV
        EVKZVJZUYKUYLUUAZUUBVUHUYMAVUCEFDJVHULVUGVUHPVUKVULUUCZVULNOUUDZUYMGJVD
        UNZRZJVUDDUUEVUFVUERUYKVUPUYLEGJNMUUIZVLZVUMDGJVUDUUFVMVNUYMVUDUYTVDUYM
        VUCEFJVHULVUGVUHVUKVULUUGZUUHUUJZUYTHFUYTVOZOUUKVPUYMUYRUYTUYTVQZUYTUYP
        VRZUYPVSUAVTZWAZUYQRZUAHWBZUYMUYNVVCUYSUYTFUYPVVAUYPVOZWCZWDZUYMVVFUAHU
        YMVVDHRZSZVVFCVTZUBVTZUCVTZVQZRZVVPVVEWEZSZUCHWFUBHWFZCVVEWBZVVLVVEVVTC
        UULZWEVWAVVLAUDVVEVWBVVLVVEVVBWEVVBWGVVEWGVVLUYPUUMZVVEVVBUYPVVDUUNUYMV
        WCVVBTVVKUYMVVBUYTUYPVVJUUOVLUUPZUYTUYTUUQVVEVVBUURUUTVVLAVTZUDVTZWHZVV
        ERZVWGVVBRZVWGVWBRZVVLVVEVVBVWGVWDUUSVVLVWIVWHVWJVVLVWIVWEUEVTZVUCWIZTZ
        VWFUFVTZVUCWIZTZSZUFJWFUEJWFZVWHVWJWJZVVLVWMUEJWFZVWPUFJWFZSVWEUYTRZVWF
        UYTRZSVWRVWIVVLVWTVXBVXAVXCVWTVWEVUDRVVLVXBUEJVWEVUCAWKWRVVLVUDUYTVWEUY
        MVUDUYTTVVKVUSVLZWLWMVXAVWFVUDRVVLVXCUFJVWFVUCUDWKWRVVLVUDUYTVWFVXDWLWM
        WNVWMVWPUEUFJJUVAVWEVWFUYTUYTWOUVBVVLVWQVWSUEUFJJVVLVWKJRZVWNJRZSZSZVWS
        VWQVWLVWOWHZVVERZVXIVVPRZVVRSZUCHWFUBHWFZWJVXHVXJVXIVVBRZVXIUYPUNZVVDRZ
        SZVXMVXHVVCUYPVVBWPZVXJVXQWSVXHUYNVVCUYMUYNVVKVXGUYSWQVVIWDZVVBUYTUYPXI
        ZVVBVXIVVDUYPWTXAVXHVXPVXMVXNVXHVXPVWKVWNEUQUNZUSZVUCWIZVVDRZVXMVXHVXOV
        YCVVDVXHVXOVWLVWOUYPUSZVYCVWLVWOUYPXBVXHUYLVXEVXFVYEVYCTUYKUYLVVKVXGUVC
        ZVVLVXEVXFUVDZVVLVXEVXFUVEZKEFVYAUYPJVWKVWNLMVYAVOZVVHXCXDXEXFVXHVYDVWK
        UGVTZRZVWNUHVTZRZSZVYJVYLVQZIVSVVDWAZWEZSZUHGWFUGGWFZVXMVXHVXGVYDVYSVVL
        VXGUVJVXHUIVTZVYORZVYQSZUHGWFUGGWFZUIVYPWBZVXGVYDSZVYSWJVXHVYPGGURUSZRZ
        WUDVXHIWUFHUTUSZRZVVKWUGUYMWUIVVKVXGUYMIBCJJBVTZVVMVYAUSZVUCWIZXGWUHQUY
        MBCAWUKVWEVUCWIZWULGGGHJJJVURVURUYMVYABCJJWUKXGZWUFGUTUSZUYMVYAJJVQZWPZ
        VYAWUNTUYMEUORZWUPJVYAVRWUQUYKWURUYLEUVFVLJEVYAMVYIWCWUPJVYAXIXABCJJVYA
        UVGXJUYKVYAWUORUYLEGVYANVYIUVHVLXHVURUYMAJWUMUVKDGHUTUSZPUYMDGVUFUTUSZW
        USUYMVUPDJWPZDWUTRVURAJWUMDVUIWUMVHRVUJVWEVHVUCXKXLZPUVIZDGJUVLUVMUYMHV
        UFGUTVUNUVNUVOUWJVWEWUKVUCXMUVPUVQWQUYMVVKVXGUVRVVDIWUFHUVSVMVXHVUPVUPW
        UGWUDWSUYMVUPVVKVXGVURWQZWVDUGUHVYPGGVUOVUOUIXNVMUVTWUEVWKVWNWHZVYPRZWU
        DVYSWVFWVEWUPRZWVEIUNZVVDRZSZVXGWVISWUEIWUPWPZWVFWVJWSBCJJWULIQVUIWULVH
        RVUJWUKVHVUCXKXLUWAZWUPWVEVVDIWTXLWVGVXGWVIVWKVWNJJWOUWBVXGWVIVYDVXGWVH
        VYCVVDVXGWVHVWKVWNIUSVYCVWKVWNIXBBCVWKVWNJJWULVYCIBUEXOCUFXOSWUKVYBVUCW
        UJVWKVVMVWNVYAXPXQQVUIVYCVHRVUJVYBVHVUCXKXLXRXEXFUWCUWDWUCVYSUIWVEVYPVY
        TWVETZWUBVYRUGUHGGWVMWUAVYNVYQWVMWUAWVEVYORVYNVYTWVEVYOYAVWKVWNVYJVYLWO
        XSXTYJUWEUWFWDUWGVXHVYRVXMUGUHGGVXHVYJGRZVYLGRZSZVYRVXMVXHWVPVYRSZSZDVY
        JWAZHRZDVYLWAZHRZVXIWVSWWAVQZRZWWCVVEWEZVXMWVRUYKUYLWVNWVTUYKUYLVVKVXGW
        VQUWHZVXHUYLWVQVYFVLZVXHWVNWVOVYRUWIZAVYJDEFGHJKLMNOPYBXDWVRUYKUYLWVOWW
        BWWFWWGVXHWVNWVOVYRUWKZAVYLDEFGHJKLMNOPYBXDWVRVWLVWOWVSWWAWVRVWKDUNZVWL
        WVSWVRVXEWWJVWLTVXHVXEWVQVYGVLAVWKWUMVWLJDVWEVWKVUCXMPWVBYCWDWVAWVRVYJJ
        WEZVYKWWJWVSRWVCWVRVUPWVNWWKWVRUYKVUPWWFVUQWDZWWHVYJGJYDVMZWVRVYKVYMVXH
        WVPVYNVYQUWLZUWMJVYJDVWKYEYFXHWVRVWNDUNZVWOWWAWVRVXFWWOVWOTVXHVXFWVQVYH
        VLAVWNWUMVWOJDVWEVWNVUCXMPWVBYCWDWVAWVRVYLJWEZVYMWWOWWARWVCWVRVUPWVOWWP
        WWLWWIVYLGJYDVMZWVRVYKVYMWWNUWNJVYLDVWNYEYFXHUWOWVRWUJVVMWHZVVERZCWWAWB
        ZBWVSWBZWWEWVRWXAUJVTZDUNZUKVTZDUNZWHZVVERZUKVYLWBZUJVYJWBZWVRWXGUJUKVY
        JVYLWVRWXBVYJRZWXDVYLRZSZSZWXFWXBVUCWIZWXDVUCWIZWHZVVEWXMWXBJRZWXDJRZSZ
        WXFWXPTZWVRWXJWXQWXKWXRWVRVYJJWXBWWMYGWVRVYLJWXDWWQYGYHZWXQWXCWXNTWXEWX
        OTWXTWXRAWXBWUMWXNJDVWEWXBVUCXMPWVBYCAWXDWUMWXOJDVWEWXDVUCXMPWVBYCWXCWX
        EWXNWXOYIUWSWDWXMWXPVVERZWXPVVBRZWXPUYPUNZVVDRZWXMWXNUYTRZWXOUYTRZSZWYC
        WXMUYLWXSWYHWVRUYLWXLWWGVLZWYAUYLWXQWYFWXRWYGUYTKEFJWXBLMVVAYKUYTKEFJWX
        DLMVVAYKYHVMWXNWXOUYTUYTYLWDWXMWYDWXBWXDWHZIUNZVVDWXMWXNWXOUYPUSZWXBWXD
        IUSZWYDWYKWXMWYLWXBWXDVYAUSZVUCWIZWYMWXMUYLWXSWYLWYOTZWYIWYAUYLWXQWXRWY
        PKEFVYAUYPJWXBWXDLMVYIVVHXCUWTVMWXMWXSWYMWYOTWYABCWXBWXDJJWULWYOIBUJXOC
        UKXOSWUKWYNVUCWUJWXBVVMWXDVYAXPXQQVUIWYOVHRVUJWYNVHVUCXKXLXRWDUXAWXNWXO
        UYPXBWXBWXDIXBUWPWXMWYJVYPRZWYKVVDRZWXLWVRWYJVYORWYQWXBWXDVYJVYLYLWVRVY
        OVYPWYJVXHWVPVYNVYQUWQYGUXBWYQWYJWUPRZWYRWVKWYQWYSWYRSWSWVLWUPWYJVVDIWT
        XLUWRWDVNWXMVXRWYBWYCWYESWSVXHVXRWVQWXLVXHVVCVXRVXSVXTWDWQVVBWXPVVDUYPW
        TWDYMVNUXJWVRWWKWWPWXAWXIWSWWMWWQWWKWXAWXCVVMWHZVVERZCWWAWBZUJVYJWBZWWP
        WXIWVAWWKWXAXUCWSWVCWWTXUBBUJJVYJDWUJWXCTZWWSXUACWWAXUDWWRWYTVVEWUJWXCV
        VMUXCXFYSYNYOWWPXUBWXHUJVYJWVAWWPXUBWXHWSWVCXUAWXGCUKJVYLDVVMWXETWYTWXF
        VVEVVMWXEWXCUXDXFYNYOYSUXEVMYPWWEVWFVVERZUDWWCWBWXAUDWWCVVEUXFXUEWWSUDB
        CWVSWWAVWFWWRVVEYAUXGUXHVPVXLWWDWWESVXIWVSVVOVQZRZXUFVVEWEZSUBUCWVSWWAH
        HVVNWVSTZVXKXUGVVRXUHXUIVVPXUFVXIVVNWVSVVOUXIZWLXUIVVPXUFVVEXUJYQWNVVOW
        WATZXUGWWDXUHWWEXUKXUFWWCVXIVVOWWAWVSUXKZWLXUKXUFWWCVVEXULYQWNUXLUXMUXN
        YRUXOYTUXPYTVWQVWHVXJVWJVXMVWQVWGVXIVVEVWEVWFVWLVWOYIZXFVWQVWJVXIVWBRVX
        MVWQVWGVXIVWBXUMXFVVTVXMCVXIVWLVWOUXSVVMVXITZVVSVXLUBUCHHXUNVVQVXKVVRVV
        MVXIVVPYAXTYJUXTXSUXQUXRYRUYAUYIUYBUYCVVTCVVEUYDXJUYMVVFVWAWSZVVKUYMVUB
        VUBXUOVUTVUTUBUCVVEHHVUAVUACXNVMVLYPUYEUYMUYQVVBVDUNRZVUBUYRVVCVVGSWSUY
        MVUBVUBXUPVUTVUTHHUYTUYTUYFVMVUTUAUYPUYQHVVBUYTUYGVMYMFHUYPOVVHUYJUYH
        $.
    $}

    $( The quotient of a topological group is a topological group.
       (Contributed by Mario Carneiro, 17-Sep-2015.) $)
    qustgp $p |- ( ( G e. TopGrp /\ Y e. ( NrmSGrp ` G ) ) -> H e. TopGrp ) $=
      ( vx vz vw cbs cfv cv cqg co cec cmpt ctopn csg cmpo eqid qustgplem ) EFG
      EAHIZEJACKLZMNZABAOIZBOIZFGTTFJGJAPILUAMQZTCDTRUCRUDRUBRUERS $.

    qustgphaus.j $e |- J = ( TopOpen ` G ) $.
    qustgphaus.k $e |- K = ( TopOpen ` H ) $.
    $( The quotient of a topological group by a closed normal subgroup is a
       Hausdorff topological group.  In particular, the quotient by the closure
       of the identity is a Hausdorff topological group, isomorphic to both the
       Kolmogorov quotient and the Hausdorff quotient operations on topological
       spaces (because T0 and Hausdorff coincide for topological groups).
       (Contributed by Mario Carneiro, 22-Sep-2015.) $)
    qustgphaus $p |- ( ( G e. TopGrp /\ Y e. ( NrmSGrp ` G ) /\
        Y e. ( Clsd ` J ) ) -> K e. Haus ) $=
      ( vx ctgp wcel cfv ccld c0g co wss wceq eqid syl wb cnsg w3a cha csn cmpt
      cbs cv cqg cec cqtop ccnv cima qus0 3ad2ant2 cgrp tgpgrp 3ad2ant1 grpidcl
      cqs ovex ecelqsi eqeltrrd snssd crab mptpreima csubg nsgsubg eqgid subgss
      cin eqsstrd sseqin2 sylib wbr wer eqger erth adantr eqeq1d bitrd vex fvex
      wa elec elsn2 eqcom bitri 3bitr4g rabbi2dva 3eqtr3d syl5eq eqeltrd ctopon
      simp3 wfo tgptopon cvv cqus a1i eqidd simp1 quslem qtopcld syl2anc qusval
      mpbir2and imastopn fveq2d eleqtrrd qustgp 3adant3 tgphaus mpbird ) AJKZEA
      UALKZECMLZKZUBZDUCKZBNLZUDZDMLZKZXRYACIAUFLZIUGZAEUHOZUIZUEZUJOZMLZYBXRYA
      YJKZYAYDYFUSZPZYHUKYAULZXPKZXRXTYLXRANLZYFUIZXTYLXOXNYQXTQZXQEABYPFYPRZUM
      UNZXRYPYDKZYQYLKXRAUOKZUUAXNXOUUBXQAUPUQYDAYPYDRZYSURSZYDYPYFAEUHUTZVASVB
      VCXRYNEXPXRYNYGYAKZIYDVDZEIYDYGYAYHYHRZVEXRYDYQVJZYQUUGEXRYQYDPUUIYQQXRYQ
      EYDXREAVFLKZYQEQXOXNUUJXQEAVGUNZYFAYDEYPUUCYFRZYSVHSZXRUUJEYDPUUKYDEAUUCV
      ISVKYQYDVLVMXRUUFIYDYQXRYEYDKZWCZYPYEYFVNZXTYGQZYEYQKUUFUUOUUPYQYGQZUUQXR
      UUPUURTUUNXRYPYEYFYDXRUUJYDYFVOUUKYFAYDEUUCUULVPSUUDVQVRUUOYQXTYGXRYRUUNY
      TVRVSVTYEYPYFIWAANWBWDUUFYGXTQUUQYGXTBNWBWEYGXTWFWGWHWIUUMWJWKXNXOXQWNWLX
      RCYDWMLKZYDYLYHWOYKYMYOWCTXNXOUUSXQACYDGUUCWPUQXRIYFABYHYDWQJBAYFWROQXRFW
      SZXRYDWTZUUHYFWQKXRUUEWSZXNXOXQXAZXBZYAYHCYDYLXCXDXFXRDYIMXRYLABYHCDYDJXR
      IYFABYHYDWQJUUTUVAUUHUVBUVCXEUVAUVDUVCGHXGXHXIXRBJKZXSYCTXNXOUVEXQABEFXJX
      KBDXTXTRHXLSXM $.
  $}

  ${
    $d f g k x z I $.  $d f g k x z ph $.  $d f g k x z R $.  $d f g k x z Y $.
    $d k S $.  $d k V $.  $d k x z W $.
    prdstmdd.y $e |- Y = ( S Xs_ R ) $.
    prdstmdd.i $e |- ( ph -> I e. W ) $.
    prdstmdd.s $e |- ( ph -> S e. V ) $.
    prdstmdd.r $e |- ( ph -> R : I --> TopMnd ) $.
    $( The product of a family of topological monoids is a topological monoid.
       (Contributed by Mario Carneiro, 22-Sep-2015.) $)
    prdstmdd $p |- ( ph -> Y e. TopMnd ) $=
      ( vx vf vg wcel ctps cfv ctopn co ctmd vz vk cplusf ctx ccn wf wss tmdmnd
      cmnd ssriv fss sylancl prdsmndd tmdtps prdstps ccom cpt cbs cxp c1st c2nd
      cplusg cmpt cmpo w3a eqid 3ad2ant1 wfn simp2 simp3 prdsplusgval mpoeq3dva
      ffnd plusffval cop wceq vex op1std fveq1d op2ndd oveq12d mpteq2dv 3eqtr4g
      cv mpompt ctopon istps sylib txtopon syl2anc ctop cres cvv topnfn fnssres
      wral ssv mp2an fvres tpstop eqeltrd rgen ffnfv mpbir2an sylancr ffvelrnda
      fco2 wa adantr cnmpt1st cuni prdstopn eqeltrrd toponuni syl mpteq1d simpr
      ptpjcn syl3anc eqcomd fvco3 sylan eleqtrd fveq1 cnmpt21 cnmpt2nd eleqtrrd
      cnmpt2plusg oveq2d eqeltrid ptcn istmd syl3anbrc ) AGUIOGPOZGUCQZGRQZYPUD
      SZYPUESZOGTOABCDEFGHIJADTBUFZTUIUGDUIBUFKLTUILWDZUHUJDTUIBUKULUMABCDEFGHJ
      IAYSTPUGDPBUFZKLTPYTUNUJDTPBUKULZUOZAYOYQRBUPZUQQZUESZYRAYOUAGURQZUUGUSZU
      BDUBWDZUAWDZUTQZQZUUIUUJVAQZQZUUIBQZVBQZSZVCZVCZUUFAMNUUGUUGMWDZNWDZGVBQZ
      SZVDMNUUGUUGUBDUUIUUTQZUUIUVAQZUUPSZVCZVDYOUUSAMNUUGUUGUVCUVGAUUTUUGOZUVA
      UUGOZVEUBUUGUVBBCUUTUVADEFGHUUGVFZAUVHCEOUVIJVGAUVHDFOZUVIIVGAUVHBDVHUVIA
      DTBKVMZVGAUVHUVIVIAUVHUVIVJUVBVFZVKVLMNUUGUVBYOGUVJUVMYOVFZVNMNUAUUGUUGUU
      RUVGUUJUUTUVAVOVPZUBDUUQUVFUVOUULUVDUUNUVEUUPUVOUUIUUKUUTUUTUVAUUJMVQZNVQ
      ZVRVSUVOUUIUUMUVAUUTUVAUUJUVPUVQVTVSWAZWBWEWCAUAUUQUBUUDDYQUUEFUUHUUEVFZA
      YPUUGWFQZOZUWAYQUUHWFQOAYNUWAUUCUUGYPGUVJYPVFZWGWHZUWCYPYPUUGUUGWIWJIAPWK
      RPWLZUFZUUADWKUUDUFZUWEUWDPVHZYTUWDQZWKOZLPWPRWMVHPWMUGUWGWNPWQWMPRWOWRUW
      ILPYTPOUWHYTRQZWKYTPRWSUWJYTUWJVFWTXAXBLPWKUWDXCXDUUBDPWKRBXGXEZAUUIDOZXH
      ZUAUUHUUQVCMNUUGUUGUVFVDZYQUUIUUDQZUESZMNUAUUGUUGUUQUVFUVRWEUWMUWNYQUUORQ
      ZUESUWPUWMMNUVDUVEUUPUUOUWQYPYPUUGUUGUWQVFUUPVFADTUUIBKXFAUWAUWLUWCXIZUWR
      UWMMNLUUTUUIYTQZUVDYPYPYPUWQUUGUUGUUGUWRUWRUWMMNYPYPUUGUUGUWRUWRXJUWRUWML
      UUGUWSVCZUUEUWOUESZYPUWQUESUWMUWTLUUEXKZUWSVCZUXAUWMLUUGUXBUWSUWMUUEUVTOU
      UGUXBVPUWMYPUUEUVTAYPUUEVPUWLABCDYPEFGHJIUVLUWBXLZXIZUWRXMUUGUUEXNXOXPUWM
      UVKUWFUWLUXCUXAOAUVKUWLIXIAUWFUWLUWKXIAUWLXQLDUUDUUIUUEFUXBUXBVFUVSXRXSXA
      UWMUUEYPUWOUWQUEUWMYPUUEUXEXTAYSUWLUWOUWQVPKDTUUIRBYAYBZWAYCZUUIYTUUTYDYE
      UWMMNLUVAUWSUVEYPYPYPUWQUUGUUGUUGUWRUWRUWMMNYPYPUUGUUGUWRUWRYFUWRUXGUUIYT
      UVAYDYEYHUWMUWOUWQYQUEUXFYIYGYJYKXAAYPUUEYQUEUXDYIYGYOGYPUVNUWBYLYM $.
  $}

  ${
    $d x y I $.  $d x y ph $.  $d x y R $.  $d y S $.  $d x y W $.  $d x y Y $.
    prdstgpd.y $e |- Y = ( S Xs_ R ) $.
    prdstgpd.i $e |- ( ph -> I e. W ) $.
    prdstgpd.s $e |- ( ph -> S e. V ) $.
    prdstgpd.r $e |- ( ph -> R : I --> TopGrp ) $.
    $( The product of a family of topological groups is a topological group.
       (Contributed by Mario Carneiro, 22-Sep-2015.) $)
    prdstgpd $p |- ( ph -> Y e. TopGrp ) $=
      ( vx vy wcel cfv ctopn ccn ctgp eqid adantr cgrp cminusg co wf wss tgpgrp
      ctmd cv ssriv fss sylancl prdsgrpd tgptmd prdstmdd cbs cmpt ccom tmdtopon
      cpt ctopon syl wfn ctop wral cvv topnfn ffnd dffn2 sylib fnfco sylancr wa
      wceq fvco3 sylan ffvelrnda tgptopon topontop 3syl eqeltrd ralrimiva ffnfv
      sylanbrc cuni prdstopn eqcomd mpteq1 simpr ptpjcn syl3anc oveq12d eleqtrd
      toponuni tgpinv cnmpt11f oveq2d eleqtrrd ptcn grpinvf prdsinvgd mpteq2dva
      feqmptd eqtrd 3eltr4d istgp syl3anbrc ) AGUANZGUGNZGUBOZGPOZXJQUCZNGRNABC
      DEFGHIJADRBUDZRUAUEDUABUDZKLRUALUHZUFUIDRUABUJUKZULZABCDEFGHIJAXLRUGUEDUG
      BUDKLRUGXNUMUIDRUGBUJUKUNZALGUOOZMDMUHZXNOZXSBOZUBOZOZUPZUPZXJPBUQZUSOZQU
      CXIXKALYCMYFDXJYGFXRYGSZAXHXJXRUTOZNZXQGXJXRXJSZXRSZURVAZIAYFDVBZXSYFOZVC
      NZMDVDDVCYFUDZAPVEVBDVEBUDZYNVFABDVBYRADRBKVGZDBVHVIVEDPBVJVKAYPMDAXSDNZV
      LZYOYAPOZVCAXLYTYOUUBVMKDRXSPBVNVOZUUAYARNZUUBYAUOOZUTONUUBVCNADRXSBKVPZY
      AUUBUUEUUBSZUUESVQUUEUUBVRVSVTWAMDVCYFWBWCZUUALXRYCUPXJUUBQUCZXJYOQUCUUAL
      XTYBXJUUBUUBXRAYJYTYMTZUUALXRXTUPZYGYOQUCZUUIUUAUUKLYGWDZXTUPZUULUUAYGYIN
      XRUUMVMUUKUUNVMUUAYGXJYIUUAXJYGAXJYGVMYTABCDXJEFGHJIYSYKWEZTWFZUUJVTXRYGW
      MLXRUUMXTWGVSUUADFNZYQYTUUNUULNAUUQYTITAYQYTUUHTAYTWHLDYFXSYGFUUMUUMSYHWI
      WJVTUUAYGXJYOUUBQUUPUUCWKWLUUAUUDYBUUBUUBQUCNUUFYAYBUUBUUGYBSWNVAWOUUAYOU
      UBXJQUUCWPWQWRAXILXRXNXIOZUPYEALXRXRXIAXGXRXRXIUDXPXRGXIYLXISZWSVAXBALXRU
      URYDAXNXRNZVLMXRBCDXIEFXNGHAUUQUUTITACENUUTJTAXMUUTXOTYLUUSAUUTWHWTXAXCAX
      JYGXJQUUOWPXDGXIXJYKUUSXEXF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Infinite group sum on topological groups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c tsums $.

  $( Extend class notation to include infinite group sums in a topological
     group. $)
  ctsu $a class tsums $.

  ${
    $d f s w y z $.
    $( Define the set of limit points of an infinite group sum for the
       topological group ` G ` .  If ` G ` is Hausdorff, then there will be at
       most one element in this set and ` U. ( W tsums F ) ` selects this
       unique element if it exists. ` ( W tsums F ) ~~ 1o ` is a way to say
       that the sum exists and is unique.  Note that unlike ` sum_ `
       ( ~ df-sum ) and ` gsum ` ( ~ df-gsum ), this does not return the sum
       itself, but rather the set of all such sums, which is usually either
       empty or a singleton.  (Contributed by Mario Carneiro, 2-Sep-2015.) $)
    df-tsms $a |- tsums = ( w e. _V , f e. _V |->
      [_ ( ~P dom f i^i Fin ) / s ]_ ( ( ( TopOpen ` w ) fLimf ( s filGen
          ran ( z e. s |-> { y e. s | z C_ y } ) ) ) `
        ( y e. s |-> ( w gsum ( f |` y ) ) ) ) ) $.
  $}

  ${
    $d a u v z A $.  $d a b u v F $.  $d a b u v y z S $.
    tsmsfbas.s $e |- S = ( ~P A i^i Fin ) $.
    tsmsfbas.f $e |- F = ( z e. S |-> { y e. S | z C_ y } ) $.
    tsmsfbas.l $e |- L = ran F $.
    tsmsfbas.a $e |- ( ph -> A e. W ) $.
    $( The collection of all sets of the form
       ` F ( z ) = { y e. S | z C_ y } ` , which can be read as the set of all
       finite subsets of ` A ` which contain ` z ` as a subset, for each finite
       subset ` z ` of ` A ` , form a filter base.  (Contributed by Mario
       Carneiro, 2-Sep-2015.) $)
    tsmsfbas $p |- ( ph -> L e. ( fBas ` S ) ) $=
      ( va vv wcel cvv wss c0 wral syl vb vu cfbas cfv elex crn cpw wne wnel cv
      cin w3a wa ssrab2 wb cfn pwexg inex1g eqeltrid adantr elpw2g mpbiri fmptd
      crab frnd wceq wrex 0ss 0fin elfpw mpbir2an eleqtrri rgenw rabid2 ralbidv
      sseq1 syl5bb rspcev mp2an elrnmpt ne0d wn simpr ssid sseq2 sylancl sylibr
      rabn0 necomd neneqd nrexdv 0ex sylnibr df-nel simplbi eleq2s anim12i unss
      ax-mp cun sylib elinel2 syl2an sylanbrc adantl eleqtrrdi rabbidv rspceeqv
      unfi eqidd syl2anc rabexg cmpt weq cbvmptv eqtri mpbird inelcm ralrimivva
      pwidg ralrimivw ineq1 inrab rabbii eqtrdi pweqd ineq2d neeq1d 3jca isfbas
      ralrnmptw ineq2 mpbir2and 3syl ) ADHODPOZGEUCUDZOLDHUEYOGFUFZYPKYOYQYPOZY
      QEUGZQZYQRUHZRYQUIZYQMUJZUAUJZUKZUGZUKZRUHZUAYQSZMYQSZULZYOEYSFYOCECUJZBU
      JZQZBEVDZYSFYOUULEOZUMZUUOYSOZUUOEQZUUNBEUNUUQEPOZUURUUSUOYOUUTUUPYOEDUGZ
      UPUKZPIYOUVAPOUVBPODPUQUVAUPPURTUSZUTUUOEPVATVBJVCVEYOUUAUUBUUJYOYQEYOEYQ
      OZEUUOVFZCEVGZREORUUMQZBESZUVFRUVBERUVBORDQRUPODVHVIRDVJVKIVLUVGBEUUMVHVM
      UVEUVHCREUVEUUNBESUULRVFZUVHUUNBEVNUVIUUNUVGBEUULRUUMVPVOVQVRVSYOUUTUVDUV
      FUOUVCCEUUOEFPJVTTVBWAYORYQOZWBUUBYORUUOVFZCEVGZUVJYOUVKCEUUQRUUOUUQUUORU
      UQUUNBEVGZUUORUHUUQUUPUULUULQZUVMYOUUPWCUULWDUUNUVNBUULEUUMUULUULWEVRWFUU
      NBEWHWGWIWJWKRPOUVJUVLUOWLCEUUORFPJVTWSWMRYQWNWGYOUUJYQUUCNUJZUUMQZBEVDZU
      KZUGZUKZRUHZNESZMYQSZYOUWCYQUBUJZUVOWTZUUMQZBEVDZUGZUKZRUHZNESZUBESZYOUWJ
      UBNEEYOUWDEOZUVOEOZUMZUMZUWGYQOZUWGUWHOZUWJUWPUWQUWGUUCUUMQZBEVDZVFMEVGZU
      WPUWEEOUWGUWGVFUXAUWPUWEUVBEUWOUWEUVBOZYOUWOUWEDQZUWEUPOZUXBUWOUWDDQZUVOD
      QZUMUXCUWMUXEUWNUXFUXEUWDUVBEUWDUVBOUXEUWDUPOZUWDDVJWOIWPUXFUVOUVBEUVOUVB
      OUXFUVOUPOZUVODVJWOIWPWQUWDUVODWRXAUWMUXGUXHUXDUWNUXGUWDUVBEUWDUVAUPXBIWP
      UXHUVOUVBEUVOUVAUPXBIWPUWDUVOXIXCUWEDVJXDXEIXFUWPUWGXJMUWEEUWTUWGUWGUUCUW
      EVFUWSUWFBEUUCUWEUUMVPXGXHXKUWPUWGPOZUWQUXAUOUWPUUTUXIYOUUTUWOUVCUTUWFBEP
      XLTZMEUWTUWGFPFCEUUOXMZMEUWTXMJCMEUUOUWTCMXNUUNUWSBEUULUUCUUMVPXGXOXPVTTX
      QUWPUXIUWRUXJUWGPXTTUWGYQUWHXRXKXSYOUWDUUMQZBEVDZPOZUBESUWCUWLUOYOUXNUBEY
      OUUTUXNUVCUXLBEPXLTYAUWBUWKUBMEUXMFPFUXKUBEUXMXMJCUBEUUOUXMCUBXNUUNUXLBEU
      ULUWDUUMVPXGXOXPUUCUXMVFZUWAUWJNEUXOUVTUWIRUXOUVSUWHYQUXOUVRUWGUXOUVRUXMU
      VQUKZUWGUUCUXMUVQYBUXPUXLUVPUMZBEVDUWGUXLUVPBEYCUXQUWFBEUWDUVOUUMWRYDXPYE
      YFYGYHVOYKTXQYOUUIUWBMYQYOUVQPOZNESUUIUWBUOYOUXRNEYOUUTUXRUVCUVPBEPXLTYAU
      UHUWANUAEUVQFPFUXKNEUVQXMJCNEUUOUVQCNXNUUNUVPBEUULUVOUUMVPXGXOXPUUDUVQVFZ
      UUGUVTRUXSUUFUVSYQUXSUUEUVRUUDUVQUUCYLYFYGYHYKTVOXQYIYOUUTYRYTUUKUMUOUVCM
      UAPEYQYJTYMUSYN $.
  $}

  ${
    tsmslem1.b $e |- B = ( Base ` G ) $.
    tsmslem1.s $e |- S = ( ~P A i^i Fin ) $.
    tsmslem1.1 $e |- ( ph -> G e. CMnd ) $.
    tsmslem1.a $e |- ( ph -> A e. W ) $.
    tsmslem1.f $e |- ( ph -> F : A --> B ) $.
    $( The finite partial sums of a function ` F ` are defined in a commutative
       monoid.  (Contributed by Mario Carneiro, 2-Sep-2015.) $)
    tsmslem1 $p |- ( ( ph /\ X e. S ) -> ( G gsum ( F |` X ) ) e. B ) $=
      ( wcel wa cres c0g cfv adantr cfn eqid ccmn simpr wf cpw cin wss eleqtrdi
      elfpw simplbi syl fssresd cvv elin2d fvexd fdmfifsupp gsumcl ) AHDNZOZHCE
      HPZFDFQRZIVAUAAFUBNURKSAURUCZUSBCHEABCEUDURMSUSHBUEZTUFZNZHBUGZUSHDVDVBJU
      HZVEVFHTNHBUIUJUKULZUSHCUTUMVAVHUSVCTHVGUNUSFQUOUPUQ $.
  $}

  ${
    $d f s w y z F $.  $d f s w y z G $.  $d f s w y z ph $.  $d f s w y S $.
    $d f s w J $.  $d f s w L $.
    tsmsval.b $e |- B = ( Base ` G ) $.
    tsmsval.j $e |- J = ( TopOpen ` G ) $.
    tsmsval.s $e |- S = ( ~P A i^i Fin ) $.
    tsmsval.l $e |- L = ran ( z e. S |-> { y e. S | z C_ y } ) $.
    tsmsval.g $e |- ( ph -> G e. V ) $.
    ${
      tsmsval2.f $e |- ( ph -> F e. W ) $.
      tsmsval2.a $e |- ( ph -> dom F = A ) $.
      $( Definition of the topological group sum(s) of a collection ` F ( x ) `
         of values in the group with index set ` A ` .  (Contributed by Mario
         Carneiro, 2-Sep-2015.) $)
      tsmsval2 $p |- ( ph -> ( G tsums F ) = ( ( J fLimf ( S filGen L ) ) `
          ( y e. S |-> ( G gsum ( F |` y ) ) ) ) ) $=
        ( cvv vw vf vs cv cdm cpw cfn cin cres cgsu cmpt ctopn cfv wss crab crn
        co cfg cflf csb ctsu cmpo wceq df-tsms a1i wcel dmex pwex inex1 simplrl
        wa vex fveq2d eqtr4di id simprr dmeqd adantr eqtrd pweqd ineq1d rabeqdv
        sylan9eqr mpteq12dv rneqd oveq12d simplrr reseq1d fveq12d csbied ovmpod
        elexd fvexd ) AUAUBHGTTUCUBUDZUEZUFZUGUHZBUCUDZUAUDZWNBUDZUIZUJUQZUKZWS
        ULUMZWRCWRCUDWTUNZBWRUOZUKZUPZURUQZUSUQZUMZUTZBFHGWTUIZUJUQZUKZIFJURUQZ
        USUQZUMZVATVAUAUBTTXLVBVCABCUAUBUCVDVEAWSHVCZWNGVCZVKZVKZUCWQXKXRTWQTVF
        YBWPUGWOWNUBVLVGVHVIVEYBWRWQVCZVKZXCXOXJXQYDXDIXIXPUSYDXDHULUMIYDWSHULA
        XSXTYCVJZVMNVNYDWRFXHJURYCYBWRWQFYCVOYBWQDUFZUGUHFYBWPYFUGYBWODYBWOGUEZ
        DYBWNGAXSXTVPVQAYGDVCYASVRVSVTWAOVNWCZYDXHCFXEBFUOZUKZUPJYDXGYJYDCWRXFF
        YIYHYDXEBWRFYHWBWDWEPVNWFWFYDBWRXBFXNYHYDWSHXAXMUJYEYDWNGWTAXSXTYCWGWHW
        FWDWIWJAHKQWLAGLRWLAXOXQWMWK $.
    $}

    tsmsval.a $e |- ( ph -> A e. W ) $.
    tsmsval.f $e |- ( ph -> F : A --> B ) $.
    $( Definition of the topological group sum(s) of a collection ` F ( x ) `
       of values in the group with index set ` A ` .  (Contributed by Mario
       Carneiro, 2-Sep-2015.) $)
    tsmsval $p |- ( ph -> ( G tsums F ) = ( ( J fLimf ( S filGen L ) ) `
        ( y e. S |-> ( G gsum ( F |` y ) ) ) ) ) $=
      ( cvv wf wcel cbs fvexi a1i fex2 syl3anc fdmd tsmsval2 ) ABCDEFGHIJKTMNOP
      QADEGUADLUBETUBZGTUBSRUJAEHUCMUDUEDEGLTUFUGADEGSUHUI $.
  $}

  ${
    $d y z F $.  $d y z G $.  $d y z H $.  $d y z ph $.
    tsmspropd.f $e |- ( ph -> F e. V ) $.
    tsmspropd.g $e |- ( ph -> G e. W ) $.
    tsmspropd.h $e |- ( ph -> H e. X ) $.
    tsmspropd.b $e |- ( ph -> ( Base ` G ) = ( Base ` H ) ) $.
    tsmspropd.p $e |- ( ph -> ( +g ` G ) = ( +g ` H ) ) $.
    tsmspropd.j $e |- ( ph -> ( TopOpen ` G ) = ( TopOpen ` H ) ) $.
    $( The group sum depends only on the base set, additive operation, and
       topology components.  Note that for entirely unrestricted functions,
       there can be dependency on out-of-domain values of the operation, so
       this is somewhat weaker than ~ mndpropd etc.  (Contributed by Mario
       Carneiro, 18-Sep-2015.) $)
    tsmspropd $p |- ( ph -> ( G tsums F ) = ( H tsums F ) ) $=
      ( vy vz co cmpt cfv cflf eqid cdm cpw cfn cin cv cres cgsu ctopn wss crab
      crn cfg oveq1d cvv resexd gsumpropd mpteq2dv fveq12d cbs tsmsval2 3eqtr4d
      ctsu eqidd ) ANBUAZUBUCUDZCBNUEZUFZUGPZQZCUHRZVEOVEOUEVFUINVEUJQUKZULPZSP
      ZRNVEDVGUGPZQZDUHRZVLSPZRCBVBPDBVBPAVIVOVMVQAVJVPVLSMUMANVEVHVNAVGCDUNFGA
      BVFEHUOIJKLUPUQURANOVDCUSRZVEBCVJVKFEVRTVJTVETZVKTZIHAVDVCZUTANOVDDUSRZVE
      BDVPVKGEWBTVPTVSVTJHWAUTVA $.
  $}

  ${
    $d u w y B $.  $d u w C $.  $d u w y z F $.  $d u w y z G $.  $d u w z J $.
    $d z A $.  $d u y z ph $.  $d u w y z S $.  $d u y z U $.
    eltsms.b $e |- B = ( Base ` G ) $.
    eltsms.j $e |- J = ( TopOpen ` G ) $.
    eltsms.s $e |- S = ( ~P A i^i Fin ) $.
    eltsms.1 $e |- ( ph -> G e. CMnd ) $.
    eltsms.2 $e |- ( ph -> G e. TopSp ) $.
    eltsms.a $e |- ( ph -> A e. V ) $.
    eltsms.f $e |- ( ph -> F : A --> B ) $.
    $( The property of being a sum of the sequence ` F ` in the topological
       commutative monoid ` G ` .  (Contributed by Mario Carneiro,
       2-Sep-2015.) $)
    eltsms $p |- ( ph -> ( C e. ( G tsums F ) <-> ( C e. B /\ A. u e. J
       ( C e. u -> E. z e. S A. y e. S
         ( z C_ y -> ( G gsum ( F |` y ) ) e. u ) ) ) ) ) $=
      ( wcel vw ctsu co cres cgsu cmpt wss crab crn cfg cflf cfv cima wrex wral
      cv wi wa ccmn eqid tsmsval eleq2d ctopon cfbas wf wb istps sylib tsmsfbas
      ctps tsmslem1 fmpttd flffbas syl3anc cvv cpw cfn cin inex1g 3syl eqeltrid
      adantr rabexg syl ralrimivw wceq imaeq2 sseq1d rexrnmptw ccnv wfun funmpt
      pwexg ssrab2 ovex dmmpti sseqtrri funimass3 mp2an mptpreima sseq2i ss2rab
      cdm 3bitri rexbii bitrdi imbi2d ralbidva anbi2d 3bitrd ) AGJIUBUCZTGBHJIB
      UPZUDZUEUCZUFZKHCHCUPXLUGZBHUHZUFZUIZUJUCZUKUCULZTZGFTZGDUPZTZXOUAUPZUMZY
      DUGZUAXSUNZUQZDKUOZURZYCYEXPXNYDTZUQBHUOZCHUNZUQZDKUOZURAXKYAGABCEFHIJKXS
      USLMNOXSUTZPRSVAVBAKFVCULTZXSHVDULTHFXOVEYBYLVFAJVJTYSQFKJMNVGVHABCEHXRXS
      LOXRUTZYRRVIABHXNFAEFHIJLXLMOPRSVKVLGXSDXOKXTFHUAXTUTVMVNAYKYQYCAYJYPDKAY
      DKTZURZYIYOYEUUBYIXOXQUMZYDUGZCHUNZYOUUBXQVOTZCHUOYIUUEVFUUBUUFCHUUBHVOTZ
      UUFAUUGUUAAHEVPZVQVRZVOOAELTUUHVOTUUIVOTRELWMUUHVQVOVSVTWAWBXPBHVOWCWDWEY
      HUUDCUAHXQXRVOYTYFXQWFYGUUCYDYFXQXOWGWHWIWDUUDYNCHUUDXQXOWJYDUMZUGZXQYMBH
      UHZUGYNXOWKXQXOXCZUGUUDUUKVFBHXNWLXQHUUMXPBHWNBHXNXOJXMUEWOXOUTZWPWQXQYDX
      OWRWSUUJUULXQBHXNYDXOUUNWTXAXPYMBHXBXDXEXFXGXHXIXJ $.

    tsmsi.3 $e |- ( ph -> C e. ( G tsums F ) ) $.
    tsmsi.4 $e |- ( ph -> U e. J ) $.
    tsmsi.5 $e |- ( ph -> C e. U ) $.
    $( The property of being a sum of the sequence ` F ` in the topological
       commutative monoid ` G ` .  (Contributed by Mario Carneiro,
       2-Sep-2015.) $)
    tsmsi $p |- ( ph -> E. z e. S A. y e. S
         ( z C_ y -> ( G gsum ( F |` y ) ) e. U ) ) $=
      ( vu wcel cv wss cres cgsu co wi wral wrex wceq imbi2d rexralbidv imbi12d
      eleq2 ctsu wa eltsms mpbid simprd rspcdva mpd ) AFHUDZCUEBUEZUFZJIVFUGUHU
      IZHUDZUJZBGUKCGULZUBAFUCUEZUDZVGVHVLUDZUJZBGUKCGULZUJZVEVKUJUCKHVLHUMZVMV
      EVPVKVLHFUQVRVOVJCBGGVRVNVIVGVLHVHUQUNUOUPAFEUDZVQUCKUKZAFJIURUIUDVSVTUST
      ABCUCDEFGIJKLMNOPQRSUTVAVBUAVCVD $.
  $}

  ${
    $d w x y z A $.  $d w x y B $.  $d w x y z F $.  $d w x y z G $.  $d x X $.
    $d x z J $.  $d w x y z ph $.
    tsmscl.b $e |- B = ( Base ` G ) $.
    tsmscl.1 $e |- ( ph -> G e. CMnd ) $.
    tsmscl.2 $e |- ( ph -> G e. TopSp ) $.
    tsmscl.a $e |- ( ph -> A e. V ) $.
    tsmscl.f $e |- ( ph -> F : A --> B ) $.
    $( A sum in a topological group is an element of the group.  (Contributed
       by Mario Carneiro, 2-Sep-2015.) $)
    tsmscl $p |- ( ph -> ( G tsums F ) C_ B ) $=
      ( vx vw vz vy co cv wcel wi wral ctsu wss cres cgsu cpw cfn cin ctopn cfv
      wrex wa eqid eltsms simpl syl6bi ssrdv ) ALEDUAPZCALQZUQRURCRZURMQZRNQOQZ
      UBEDVAUCUDPUTRSOBUEUFUGZTNVBUJSMEUHUIZTZUKUSAONMBCURVBDEVCFGVCULVBULHIJKU
      MUSVDUNUOUP $.

    haustsms.j $e |- J = ( TopOpen ` G ) $.
    haustsms.h $e |- ( ph -> J e. Haus ) $.
    $( In a Hausdorff topological group, a sum has at most one limit point.
       (Contributed by Mario Carneiro, 2-Sep-2015.) $)
    haustsms $p |- ( ph -> E* x x e. ( G tsums F ) ) $=
      ( vz vy co wcel eqid ctsu wmo cpw cfn cin cres cgsu cmpt wss crab crn cfg
      cv cflf cfv cha cfil cuni wf cfbas tsmsfbas fgcl syl tsmslem1 wceq tpsuni
      wa ctps adantr eleqtrd fmpttd hausflf syl3anc ccmn tsmsval eleq2d mobidv
      mpbird ) ABUMZFEUARZSZBUBVSPCUCUDUEZFEPUMZUFUGRZUHZGWBQWBQUMWCUIPWBUJUHZU
      KZULRZUNRUOZSZBUBZAGUPSWHWBUQUOSZWBGURZWEUSWKOAWGWBUTUOSWLAPQCWBWFWGHWBTZ
      WFTWGTZLVAWGWBVBVCAPWBWDWMAWCWBSZVGWDDWMACDWBEFHWCIWNJLMVDADWMVEZWPAFVHSW
      QKDGFINVFVCVIVJVKBWEGWHWMWBWMTVLVMAWAWJBAVTWIVSAPQCDWBEFGWGVNHINWNWOJLMVO
      VPVQVR $.

    $( In a Hausdorff topological group, a sum has at most one limit point.
       (Contributed by Mario Carneiro, 13-Sep-2015.) $)
    haustsms2 $p |- ( ph ->
        ( X e. ( G tsums F ) -> ( G tsums F ) = { X } ) ) $=
      ( vx ctsu wcel wceq wa co csn cv wmo wi simpr haustsms eleq1 moi2 ancom2s
      adantr expr syl21anc velsn syl6ibr ssrdv wss snssi adantl eqssd ex ) AHED
      QUAZRZVBHUBZSAVCTZVBVDVEPVBVDVEPUCZVBRZVFHSZVFVDRVEVCVGPUDZVCVGVHUEAVCUFZ
      AVIVCAPBCDEFGIJKLMNOUGUKVJVCVITZVCVGVHVKVGVCVHVGVCPHVBVFHVBUHUIUJULUMPHUN
      UOUPVCVDVBUQAHVBURUSUTVA $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y F $.  $d x y G $.  $d x y ph $.
    tsmscls.b $e |- B = ( Base ` G ) $.
    tsmscls.j $e |- J = ( TopOpen ` G ) $.
    tsmscls.1 $e |- ( ph -> G e. CMnd ) $.
    tsmscls.2 $e |- ( ph -> G e. TopSp ) $.
    tsmscls.a $e |- ( ph -> A e. V ) $.
    tsmscls.f $e |- ( ph -> F : A --> B ) $.
    tsmscls.x $e |- ( ph -> X e. ( G tsums F ) ) $.
    $( One half of ~ tgptsmscls , true in any commutative monoid topological
       space.  (Contributed by Mario Carneiro, 21-Sep-2015.) $)
    tsmscls $p |- ( ph -> ( ( cls ` J ) ` { X } ) C_ ( G tsums F ) ) $=
      ( vx vy cfv co wcel csn ccl cpw cfn cin cv wss crab cmpt crn cfg cres cfm
      cgsu cflim ctsu cflf ctps eqid tsmsval ctopon cfil wceq istps sylib cfbas
      tsmsfbas fgcl syl tsmslem1 fmpttd flfval syl3anc eqtrd flimsncls sseqtrrd
      wf eleqtrd ) AHUAFUBRRZFBUCUDUEZPVTPUFQUFZUGQVTUHUIZUJZUKSZCQVTEDWAULUNSZ
      UIZUMSRZUOSZEDUPSZAHWHTVSWHUGAHWIWHOAWIWFFWDUQSRZWHAQPBCVTDEFWCURGIJVTUSZ
      WCUSZLMNUTAFCVARTZWDVTVBRTZVTCWFVQWJWHVCAEURTWMLCFEIJVDVEAWCVTVFRTWNAQPBV
      TWBWCGWKWBUSWLMVGWCVTVHVIAQVTWECABCVTDEGWAIWKKMNVJVKWFFWDCVTVLVMVNZVRHWGF
      VOVIWOVP $.
  $}

  ${
    $d y z .0. $.  $d u y z A $.  $d u z B $.  $d u x y z F $.  $d u x y z G $.
    $d u x y z J $.  $d u x y z ph $.
    tsmsid.b $e |- B = ( Base ` G ) $.
    tsmsid.z $e |- .0. = ( 0g ` G ) $.
    tsmsid.1 $e |- ( ph -> G e. CMnd ) $.
    tsmsid.2 $e |- ( ph -> G e. TopSp ) $.
    tsmsid.a $e |- ( ph -> A e. V ) $.
    tsmsid.f $e |- ( ph -> F : A --> B ) $.
    tsmsid.w $e |- ( ph -> F finSupp .0. ) $.
    ${
      tsmsgsum.j $e |- J = ( TopOpen ` G ) $.
      $( The convergent points of a finite topological group sum are the
         closure of the finite group sum operation.  (Contributed by Mario
         Carneiro, 19-Sep-2015.)  (Revised by AV, 24-Jul-2019.) $)
      tsmsgsum $p |- ( ph ->
          ( G tsums F ) = ( ( cls ` J ) ` { ( G gsum F ) } ) ) $=
        ( vz wcel wa ad2antrr vx vu vy ctsu co cgsu csn ccl cfv cv wss cres cpw
        wi cfn cin wral wrex cuni wne ctopon wceq ctps istps sylib toponuni syl
        eleq2d csupp cun elfpw simplbi adantl suppssdm fssdm elinel2 cfsupp wbr
        c0 unssd fsuppimpd syl2anc sylanbrc wb ssun1 id sseqtrrid reseq2 oveq2d
        unfi pm5.5 eleq1d bitrd rspcv ccmn wf ssun2 a1i sylibd rexlimdva simprr
        gsumres simplrr eqeltrd expr ralrimiva rspceaimv syl2an2r impbid disjsn
        sseq1 necon2abii bitrdi imbi2d ralbidva anbi12d eqid eltsms ctop gsumcl
        topontop snssd sseqtrd elcls2 3bitr4d eqrdv ) AUAEDUDUEZEDUFUEZUGZFUHUI
        UIZAUAUJZCRZYKUBUJZRZUCUJZQUJZUKZEDYPULZUFUEZYMRZUNZQBUMZUOUPZUQZUCUUCU
        RZUNZUBFUQZSYKFUSZRZYNYMYIUPZVSUTZUNZUBFUQZSZYKYGRYKYJRZAYLUUIUUGUUMACU
        UHYKAFCVAUIRZCUUHVBAEVCRUUPLCFEIPVDVEZCFVFVGZVHAUUFUULUBFAYMFRZSZUUEUUK
        YNUUTUUEYHYMRZUUKUUTUUEUVAUUTUUDUVAUCUUCUUTYOUUCRZSZUUDEDYODHVIUEZVJZUL
        ZUFUEZYMRZUVAUVCUVEUUCRZUUDUVHUNUVCUVEBUKUVEUORZUVIUVCYOUVDBUVBYOBUKZUU
        TUVBUVKYOUORZYOBVKVLVMAUVDBUKZUUSUVBABCUVDDDHVNNVOZTVTUVCUVLUVDUORZUVJU
        VBUVLUUTYOUUBUOVPVMUVCDHADHVQVRZUUSUVBOTZWAYOUVDWJWBUVEBVKWCUUAUVHQUVEU
        UCYPUVEVBZUUAYTUVHUVRYQUUAYTWDUVRUVEYOYPYOUVDWEUVRWFWGYQYTWKVGUVRYSUVGY
        MUVRYRUVFEUFYPUVEDWHWIWLWMWNVGUVCUVGYHYMUVCBCDEGUVEHIJAEWORZUUSUVBKTABG
        RZUUSUVBMTABCDWPZUUSUVBNTUVDUVEUKUVCUVDYOWQWRUVQXBWLWSWTAUUSUVAUUEAUVDU
        UCRZUUSUVASZUVDYPUKZYTUNZQUUCUQUUEAUVMUVOUWBUVNADHOWAUVDBVKWCAUWCSZUWEQ
        UUCUWFYPUUCRZUWDYTUWFUWGUWDSZSZYSYHYMUWIBCDEGYPHIJAUVSUWCUWHKTAUVTUWCUW
        HMTAUWAUWCUWHNTUWFUWGUWDXAAUVPUWCUWHOTXBAUUSUVAUWHXCXDXEXFYQUWDYTUCQUVD
        UUCUUCYOUVDYPXKXGXHXEXIUVAUUJVSYMYHXJXLXMXNXOXPAQUCUBBCYKUUCDEFGIPUUCXQ
        KLMNXRAFXSRZYIUUHUKUUOUUNWDAUUPUWJUUQCFYAVGAYICUUHAYHCABCDEGHIJKMNOXTYB
        UURYCUBYKYIFUUHUUHXQYDWBYEYF $.
    $}

    $( If a sum is finite, the usual sum is always a limit point of the
       topological sum (although it may not be the only limit point).
       (Contributed by Mario Carneiro, 2-Sep-2015.)  (Revised by AV,
       24-Jul-2019.) $)
    tsmsid $p |- ( ph -> ( G gsum F ) e. ( G tsums F ) ) $=
      ( cgsu co cfv wss wcel eqid csn ctopn ccl ctsu ctop cuni ctps istps sylib
      ctopon topontop syl gsumcl snssd wceq toponuni sseqtrd sscls syl2anc ovex
      snss sylibr tsmsgsum eleqtrrd ) AEDOPZVEUAZEUBQZUCQQZEDUDPAVFVHRZVEVHSAVG
      UESZVFVGUFZRVIAVGCUJQSZVJAEUGSVLKCVGEHVGTZUHUIZCVGUKULAVFCVKAVECABCDEFGHI
      JLMNUMUNAVLCVKUOVNCVGUPULUQVFVGVKVKTURUSVEVHEDOUTVAVBABCDEVGFGHIJKLMNVMVC
      VD $.

    haustsmsid.j $e |- J = ( TopOpen ` G ) $.
    haustsmsid.h $e |- ( ph -> J e. Haus ) $.
    $( In a Hausdorff topological group, a finite sum sums to exactly the usual
       number with no extraneous limit points.  By setting the topology to the
       discrete topology (which is Hausdorff), this theorem can be used to turn
       any ` tsums ` theorem into a ` gsum ` theorem, so that the infinite
       group sum operation can be viewed as a generalization of the finite
       group sum.  (Contributed by Mario Carneiro, 2-Sep-2015.)  (Revised by
       AV, 24-Jul-2019.) $)
    haustsmsid $p |- ( ph -> ( G tsums F ) = { ( G gsum F ) } ) $=
      ( cgsu co ctsu wcel csn wceq tsmsid haustsms2 mpd ) AEDRSZEDTSZUAUHUGUBUC
      ABCDEGHIJKLMNOUDABCDEFGUGIKLMNPQUEUF $.
  $}

  ${
    $d x A $.  $d x G $.  $d x ph $.  $d x V $.  $d x .0. $.
    tsms0.z $e |- .0. = ( 0g ` G ) $.
    tsms0.1 $e |- ( ph -> G e. CMnd ) $.
    tsms0.2 $e |- ( ph -> G e. TopSp ) $.
    tsms0.a $e |- ( ph -> A e. V ) $.
    $( The sum of zero is zero.  (Contributed by Mario Carneiro, 18-Sep-2015.)
       (Proof shortened by AV, 24-Jul-2019.) $)
    tsms0 $p |- ( ph -> .0. e. ( G tsums ( x e. A |-> .0. ) ) ) $=
      ( cmpt cgsu co ctsu cmnd wcel wceq ccmn syl cvv cmnmnd gsumz syl2anc eqid
      cbs cfv cv mndidcl adantr fmpttd csn cxp cfsupp fconstmpt fvexi fczfsuppd
      c0g a1i eqbrtrrid tsmsid eqeltrrd ) ADBCFKZLMZFDVBNMADOPZCEPVCFQADRPVDHDU
      ASZJCBDEFGUBUCACDUEUFZVBDEFVFUDZGHIJABCFVFAFVFPZBUGCPAVDVHVEVFDFVGGUHSUIU
      JAVBCFUKULFUMBCFUNACETFJFTPAFDUQGUOURUPUSUTVA $.
  $}

  ${
    $d u v x y z F $.  $d u v x y z G $.  $d u v x y z H $.  $d u v x y z ph $.
    $d u v y z A $.  $d u v x y z S $.
    tsmssubm.a $e |- ( ph -> A e. V ) $.
    tsmssubm.1 $e |- ( ph -> G e. CMnd ) $.
    tsmssubm.2 $e |- ( ph -> G e. TopSp ) $.
    tsmssubm.s $e |- ( ph -> S e. ( SubMnd ` G ) ) $.
    tsmssubm.f $e |- ( ph -> F : A --> S ) $.
    tsmssubm.h $e |- H = ( G |`s S ) $.
    $( Evaluate an infinite group sum in a submonoid.  (Contributed by Mario
       Carneiro, 18-Sep-2015.) $)
    tsmssubm $p |- ( ph -> ( H tsums F ) = ( ( G tsums F ) i^i S ) ) $=
      ( vz vy vu co wcel cfv wa vx vv ctsu cin cv wss cres cgsu wi cpw cfn wral
      wrex ctopn cbs csubmnd wceq submbas eleq2d anbi1d elin biancomi wb submss
      syl eqid sselda fssd eltsms baibd syldan cvv vex inex1 a1i crest resstopn
      eleq2i fvex elrest sylancr adantr bitr3id eleq2 adantl sylan9bbr c0g ccmn
      rbaib cmnd submmnd subcmn syl2anc ad2antrr elinel2 wf elfpw simplbi feq3d
      fssresd fdmfifsupp gsumcl eleqtrrd gsumsubm eleq1d bitr4d imbi2d ralbidva
      mpbid an32s rexbidv imbi12d ralxfr2d pm5.32da cress ctps resstps eqeltrid
      syl5bb 3bitr4rd eqrdv ) AUAFDUCQZEDUCQZCUDZAUAUEZCRZYEUBUEZRZNUEOUEZUFZFD
      YIUGZUHQZYGRZUIZOBUJZUKUDZULZNYPUMZUIZUBFUNSZULZTZYEFUOSZRZUUATYEYDRZYEYB
      RAYFUUDUUAACUUCYEACEUPSZRZCUUCUQZKCFEMURVEZUSUTUUEYFYEYCRZTAUUBUUEYFUUJYE
      YCCVAVBAYFUUJUUAAYFTZUUJYEPUEZRZYJEYKUHQZUULRZUIZOYPULZNYPUMZUIZPEUNSZULZ
      UUAAYFYEEUOSZRZUUJUVAVCACUVBYEAUUGCUVBUFKUVBCEUVBVFZVDVEZVGAUUJUVCUVAAONP
      BUVBYEYPDEUUTGUVDUUTVFZYPVFZIJHABCUVBDLUVEVHVIVJVKUUKYSUUSUBPUULCUDZYTUUT
      VLUVHVLRUUKUULUUTRTUULCPVMVNVOYGYTRYGUUTCVPQZRZUUKYGUVHUQZPUUTUMZUVIYTYGC
      FUUTEMUVFVQVRAUVJUVLVCZYFAUUTVLRUUGUVMEUNVSKPYGCUUTVLUUFVTWAWBWCUUKUVKTZY
      HUUMYRUURUVKYHYEUVHRZUUKUUMYGUVHYEWDYFUVOUUMVCAUVOUUMYFYEUULCVAWIWEWFUVNY
      QUUQNYPUVNYNUUPOYPUVNYIYPRZTYMUUOYJUUKUVPUVKYMUUOVCUVKYMYLUVHRZUUKUVPTZUU
      OYGUVHYLWDUVRUVQYLUULRZUUOUVRYLCRZUVQUVSVCUVRYLUUCCUVRYIUUCYKFUKFWGSZUUCV
      FZUWAVFAFWHRZYFUVPAEWHRFWJRZUWCIAUUGUWDKCFEMWKVECEFMWLWMZWNUVPYIUKRZUUKYI
      YOUKWOWEZUVRYICYKWPYIUUCYKWPUVRBCYIDABCDWPZYFUVPLWNUVPYIBUFZUUKUVPUWIUWFY
      IBWQWRWEWTZUVRCUUCYKYIAUUHYFUVPUUIWNZWSXIUVRYICYKVLUWAUWJUWGUWAVLRUVRFWGV
      SVOXAXBUWKXCUVQUVSUVTYLUULCVAWIVEUVRUUNYLUULUVRYICYKEFUKUWGAUUGYFUVPKWNUW
      JMXDXEXFWFXJXGXHXKXLXMXFXNXSAONUBBUUCYEYPDFYTGUWBYTVFUVGUWEAFECXOQZXPMAEX
      PRUUGUWLXPRJKCEUUFXQWMXRHAUWHBUUCDWPLACUUCDBUUIWSXIVIXTYA $.
  $}

  ${
    $d a b u y z A $.  $d b u z B $.  $d a b u x y z F $.  $d a b u x y z ph $.
    $d a b u x y z G $.  $d a b u x y z W $.
    tsmsres.b $e |- B = ( Base ` G ) $.
    tsmsres.z $e |- .0. = ( 0g ` G ) $.
    tsmsres.1 $e |- ( ph -> G e. CMnd ) $.
    tsmsres.2 $e |- ( ph -> G e. TopSp ) $.
    tsmsres.a $e |- ( ph -> A e. V ) $.
    tsmsres.f $e |- ( ph -> F : A --> B ) $.
    tsmsres.s $e |- ( ph -> ( F supp .0. ) C_ W ) $.
    $( Extend an infinite group sum by padding outside with zeroes.
       (Contributed by Mario Carneiro, 18-Sep-2015.)  (Revised by AV,
       25-Jul-2019.) $)
    tsmsres $p |- ( ph -> ( G tsums ( F |` W ) ) = ( G tsums F ) ) $=
      ( cres co wcel wss cfn vx vu va vb vy vz ctsu cv cgsu cin wral wrex ctopn
      wi cpw cfv wa inss1 sspwi ssrin ax-mp simpr sselid simplbi adantl elinel2
      elfpw ssrind ssfi sylancl sylanbrc wceq sseq2 ssin bitr4di reseq2 resabs1
      inss2 eqtrdi oveq2d eleq1d imbi12d ad2antlr sstrdi biantrud ccmn ad2antrr
      rspcv syl fssresd csupp cvv fexd c0g fvexi ressuppss sstrd a1i fdmfifsupp
      wf gsumres resres oveq2i eqtr3di sylibrd ralrimdva sseq1 rspceaimv syl6an
      rexlimdva cun unssd unfi syl2an wb ssun1 id sseqtrrid pm5.5 bitrd adantrr
      jctir indir df-ss sylib uneq2d simprr ssequn1 eqtrd syl5eq reseq2d eqtr4d
      resabs1d eqtr3d biimpd expr com23 syld eqid eltsms impbid ralbidv wfn ffn
      imbi2d anbi2d inex1g fssres fnresdm reseq1d eqtr3id feq1d mpbid 3bitr4d
      3syl eqrdv ) AUAEDGPZUGQZEDUGQZAUAUHZCRZUUTUBUHZRZUCUHZUDUHZSZEUUQUVEPZUI
      QZUVBRZUNZUDBGUJZUOZTUJZUKZUCUVMULZUNZUBEUMUPZUKZUQUVAUVCUEUHZUFUHZSZEDUV
      TPZUIQZUVBRZUNZUFBUOZTUJZUKZUEUWGULZUNZUBUVQUKZUQUUTUURRUUTUUSRAUVRUWKUVA
      AUVPUWJUBUVQAUVOUWIUVCAUVOUWIAUVNUWIUCUVMAUVDUVMRZUQZUVDUWGRUVNUVDUVTSZUW
      DUNZUFUWGUKUWIUWMUVMUWGUVDUVLUWFSUVMUWGSUVKBBGURZUSUVLUWFTUTVAAUWLVBVCUWM
      UVNUWOUFUWGUWMUVTUWGRZUQZUVNUWNUVDGSZUQZEDUVTGUJZPZUIQZUVBRZUNZUWOUWRUXAU
      VMRZUVNUXEUNUWRUXAUVKSUXATRZUXFUWRUVTBGUWQUVTBSZUWMUWQUXHUVTTRZUVTBVGVDVE
      ZVHUWRUXIUXAUVTSUXGUWQUXIUWMUVTUWFTVFVEZUVTGURUVTUXAVIVJUXAUVKVGVKUVJUXEU
      DUXAUVMUVEUXAVLZUVFUWTUVIUXDUXLUVFUVDUXASUWTUVEUXAUVDVMUVDUVTGVNVOUXLUVHU
      XCUVBUXLUVGUXBEUIUXLUVGUUQUXAPZUXBUVEUXAUUQVPUXAGSUXMUXBVLUVTGVRDUXAGVQVA
      VSVTWAWBWHWIUWRUWNUWTUWDUXDUWRUWSUWNUWRUVDUVKGUWLUVDUVKSZAUWQUWLUXNUVDTRU
      VDUVKVGVDWCBGVRZWDWEUWRUWCUXCUVBUWREUWBGPZUIQUWCUXCUWRUVTCUWBETGHIJAEWFRZ
      UWLUWQKWGUXKUWRBCUVTDABCDWTZUWLUWQNWGUXJWJZUWRUWBHWKQZDHWKQZGUWRDWLRZHWLR
      ZUXTUYASAUYBUWLUWQABCFDNMWMZWGHEWNJWOZUVTDWLWLHWPVJAUYAGSZUWLUWQOWGWQUWRU
      VTCUWBWLHUXSUXKUYCUWRUYEWRWSXAUXPUXBEUIDUVTGXBXCXDWAWBXEXFUWAUWNUWDUEUFUV
      DUWGUWGUVSUVDUVTXGXHXIXJAUWHUVOUEUWGAUVSUWGRZUQZUVSGUJZUVMRZUWHUYIUVESZUV
      IUNZUDUVMUKUVOUYHUYIUVKSUYITRZUYJUYHUVSBGUYGUVSBSZAUYGUYNUVSTRZUVSBVGVDZV
      EVHUYHUYOUYIUVSSUYMUYGUYOAUVSUWFTVFVEZUVSGURUVSUYIVIVJUYIUVKVGVKUYHUWHUYL
      UDUVMUYHUVEUVMRZUQZUWHEDUVSUVEXKZPZUIQZUVBRZUYLUYSUYTUWGRZUWHVUCUNUYSUYTB
      SZUYTTRZVUDUYSUVSUVEBUYGUYNAUYRUYPWCUYSUVEUVKBUYRUVEUVKSZUYHUYRVUGUVETRZU
      VEUVKVGVDVEZUWPWDXLZUYHUYOVUHVUFUYRUYQUVEUVLTVFUVSUVEXMXNZUYTBVGVKUWEVUCU
      FUYTUWGUVTUYTVLZUWEUWDVUCVULUWAUWEUWDXOVULUYTUVSUVTUVSUVEXPVULXQXRUWAUWDX
      SWIVULUWCVUBUVBVULUWBVUAEUIUVTUYTDVPVTWAXTWHWIUYSUYKVUCUVIUYHUYRUYKVUCUVI
      UNUYHUYRUYKUQZUQZVUCUVIVUNVUBUVHUVBVUNEVUAGPZUIQVUBUVHVUNUYTCVUAETGHIJAUX
      QUYGVUMKWGUYHUYRVUFUYKVUKYAZVUNBCUYTDAUXRUYGVUMNWGUYHUYRVUEUYKVUJYAWJZVUN
      VUAHWKQZUYAGVUNUYBUYCUQZVURUYASAVUSUYGVUMAUYBUYCUYDUYEYBWGUYTDWLWLHWPWIAU
      YFUYGVUMOWGWQVUNUYTCVUAWLHVUQVUPUYCVUNUYEWRWSXAVUNVUOUVGEUIVUNVUODUVEPZUV
      GVUNVUODUYTGUJZPVUTDUYTGXBVUNVVAUVEDVUNVVAUYIUVEGUJZXKZUVEUVSUVEGYCVUNVVC
      UYIUVEXKZUVEVUNVVBUVEUYIVUNUVEGSZVVBUVEVLUYHUYRVVEUYKUYSUVEUVKGVUIUXOWDYA
      ZUVEGYDYEYFVUNUYKVVDUVEVLUYHUYRUYKYGUYIUVEYHYEYIYJYKYJVUNDUVEGVVFYMYLVTYN
      WAYOYPYQYRXFUVFUYKUVIUCUDUYIUVMUVMUVDUYIUVEXGXHXIXJUUAUUEUUBUUFAUDUCUBUVK
      CUUTUVMUUQEUVQWLIUVQYSZUVMYSKLABFRUVKWLRMBGFUUGWIAUVKCDUVKPZWTZUVKCUUQWTA
      UXRUVKBSVVINUWPBCUVKDUUHVJAUVKCVVHUUQAVVHDBPZGPUUQDBGXBAVVJDGAUXRDBUUCVVJ
      DVLNBCDUUDBDUUIUUOUUJUUKUULUUMYTAUFUEUBBCUUTUWGDEUVQFIVVGUWGYSKLMNYTUUNUU
      P $.
  $}

  ${
    $d a b u y z A $.  $d b u z B $.  $d a b u x y z F $.  $d a b u x y z ph $.
    $d a b u y z C $.  $d a b u x y z G $.  $d a b u x y z H $.
    tsmsf1o.b $e |- B = ( Base ` G ) $.
    tsmsf1o.1 $e |- ( ph -> G e. CMnd ) $.
    tsmsf1o.2 $e |- ( ph -> G e. TopSp ) $.
    tsmsf1o.a $e |- ( ph -> A e. V ) $.
    tsmsf1o.f $e |- ( ph -> F : A --> B ) $.
    tsmsf1o.s $e |- ( ph -> H : C -1-1-onto-> A ) $.
    $( Re-index an infinite group sum using a bijection.  (Contributed by Mario
       Carneiro, 18-Sep-2015.) $)
    tsmsf1o $p |- ( ph -> ( G tsums F ) = ( G tsums ( F o. H ) ) ) $=
      ( vz va vb wcel wss wral vx vu vy ctsu co ccom cres cgsu cpw cfn cin wrex
      cv wi ctopn cfv wa cima cmpt crn wb wf wf1o f1opwfi f1of eqid fmpt sylibr
      syl wceq sseq1 imbi1d ralbidv rexrnmptw f1ofo forn rexeqdv imaeq2 cbvmptv
      wfo 3syl reseq2 oveq2d eleq1d imbi12d ralrnmptw raleqdv bitr3d adantr wf1
      sseq2 f1of1 ad2antrr simplbi ad2antlr adantl f1imass syl12anc c0g elinel2
      elfpw ccmn f1ores syl2anc fofi imassrn sseqtrid fssresd cvv fvexd gsumf1o
      fdmfifsupp df-ima eqimss2i cores ax-mp resco eqtr4i oveq2i eqtrdi 3bitr3d
      ralbidva rexbidva imbi2d anbi2d eltsms f1dmex fco 3bitr4d eqrdv ) AUAFEUD
      UEZFEGUFZUDUEZAUAUMZCRZYNUBUMZRZUCUMZOUMZSZFEYSUGZUHUEZYPRZUNZOBUIUJUKZTZ
      UCUUEULZUNZUBFUOUPZTZUQYOYQPUMZQUMZSZFYLUULUGZUHUEZYPRZUNZQDUIZUJUKZTZPUU
      SULZUNZUBUUITZUQYNYKRYNYMRAUUJUVCYOAUUHUVBUBUUIAUUGUVAYQAUUFUCPUUSGUUKURZ
      USZUTZULZUVDYSSZUUCUNZOUUETZPUUSULZUUGUVAAUVDUUERPUUSTZUVGUVKVAAUUSUUEUVE
      VBZUVLAUUSUUEUVEVCZUVMADBGVCZUVNNDBGPVDVIZUUSUUEUVEVEVIZPUUSUUEUVDUVEUVEV
      FZVGVHUUFUVJPUCUUSUVDUVEUUEUVRYRUVDVJZUUDUVIOUUEUVSYTUVHUUCYRUVDYSVKVLVMV
      NVIAUUFUCUVFUUEAUVNUUSUUEUVEVTUVFUUEVJUVPUUSUUEUVEVOUUSUUEUVEVPWAZVQAUVJU
      UTPUUSAUUKUUSRZUQZUVDGUULURZSZFEUWCUGZUHUEZYPRZUNZQUUSTZUVJUUTAUWIUVJVAUW
      AAUVIOUVFTZUWIUVJAUWCUUERQUUSTZUWJUWIVAAUVMUWKUVQQUUSUUEUWCUVEPQUUSUVDUWC
      UUKUULGVRVSZVGVHUVIUWHQOUUSUWCUVEUUEUWLYSUWCVJZUVHUWDUUCUWGYSUWCUVDWKUWMU
      UBUWFYPUWMUUAUWEFUHYSUWCEWBWCWDWEWFVIAUVIOUVFUUEUVTWGWHWIUWBUWHUUQQUUSUWB
      UULUUSRZUQZUWDUUMUWGUUPUWODBGWJZUUKDSZUULDSZUWDUUMVAAUWPUWAUWNAUVOUWPNDBG
      WLVIZWMZUWAUWQAUWNUWAUWQUUKUJRUUKDXAWNWOUWNUWRUWBUWNUWRUULUJRZUULDXAWNWPZ
      DBUUKUULGWQWRUWOUWFUUOYPUWOUWFFUWEGUULUGZUFZUHUEUUOUWOUWCCUULUWEFUXCUJFWS
      UPZIUXEVFAFXBRUWAUWNJWMUWOUXAUULUWCUXCVTZUWCUJRUWNUXAUWBUULUURUJWTWPUWOUU
      LUWCUXCVCZUXFUWOUWPUWRUXGUWTUXBDBUULGXCXDZUULUWCUXCVOVIUULUWCUXCXEXDZUWOB
      CUWCEABCEVBZUWAUWNMWMUWOGUTZUWCBGUULXFUWOUVODBGVTUXKBVJAUVOUWAUWNNWMDBGVO
      DBGVPWAXGXHZUWOUWCCUWEXIUXEUXLUXIUWOFWSXJXLUXHXKUXDUUNFUHUXDEUXCUFZUUNUXC
      UTZUWCSUXDUXMVJUWCUXNGUULXMXNEUXCUWCXOXPEGUULXQXRXSXTWDWEYBWHYCYAYDVMYEAO
      UCUBBCYNUUEEFUUIHIUUIVFZUUEVFJKLMYFAQPUBDCYNUUSYLFUUIXIIUXOUUSVFJKAUWPBHR
      DXIRUWSLDBHGYGXDAUXJDBGVBZDCYLVBMAUVOUXPNDBGVEVIDBCEGYHXDYFYIYJ $.
  $}

  ${
    $d y z A $.  $d y z C $.  $d y z F $.  $d y z G $.  $d y z ph $.
    $d y z H $.  $d z B $.
    tsmsmhm.b $e |- B = ( Base ` G ) $.
    tsmsmhm.j $e |- J = ( TopOpen ` G ) $.
    tsmsmhm.k $e |- K = ( TopOpen ` H ) $.
    tsmsmhm.1 $e |- ( ph -> G e. CMnd ) $.
    tsmsmhm.2 $e |- ( ph -> G e. TopSp ) $.
    tsmsmhm.3 $e |- ( ph -> H e. CMnd ) $.
    tsmsmhm.4 $e |- ( ph -> H e. TopSp ) $.
    tsmsmhm.5 $e |- ( ph -> C e. ( G MndHom H ) ) $.
    tsmsmhm.6 $e |- ( ph -> C e. ( J Cn K ) ) $.
    tsmsmhm.a $e |- ( ph -> A e. V ) $.
    tsmsmhm.f $e |- ( ph -> F : A --> B ) $.
    tsmsmhm.x $e |- ( ph -> X e. ( G tsums F ) ) $.
    $( Apply a continuous group homomorphism to an infinite group sum.
       (Contributed by Mario Carneiro, 18-Sep-2015.) $)
    tsmsmhm $p |- ( ph -> ( C ` X ) e. ( H tsums ( C o. F ) ) ) $=
      ( vz vy cfv cpw cfn cin cv cres cgsu cmpt ccom wss crab crn cfg cflf ctsu
      co ctopon wcel cfil wf ccnp ctps istps sylib cfbas eqid tsmsfbas fgcl syl
      tsmslem1 fmpttd tsmsval eleqtrd ccn tsmscl sseldd toponuni cncnpi syl2anc
      cuni wceq flfcnp syl32anc cbs ccmn syl3anc fco cofmpt wa resco oveq2i c0g
      cnf2 adantr cmnd cmnmnd elinel2 adantl cmhm elfpw fssres syl2an cvv fvexd
      simplbi fdmfifsupp gsummhm syl5eq mpteq2dva eqtr4d fveq2d eleqtrrd ) AKDU
      FZDUDBUGZUHUIZFEUDUJZUKZULVAZUMZUNZIXTUEXTUEUJYAUOUDXTUPUMZUQZURVAZUSVAZU
      FZGDEUNZUTVAZAHCVBUFVCZYHXTVDUFVCZXTCYDVEKYDHYHUSVAUFZVCDKHIVFVAUFVCZXRYJ
      VCAFVGVCYMPCHFLMVHVIZAYGXTVJUFVCYNAUDUEBXTYFYGJXTVKZYFVKYGVKZUAVLYGXTVMVN
      AUDXTYCCABCXTEFJYALYROUAUBVOZVPAKFEUTVAZYOUCAUDUEBCXTEFHYGVGJLMYRYSPUAUBV
      QVRADHIVSVAVCZKHWEZVCYPTAKCUUCAUUACKABCEFJLOPUAUBVTUCWAAYMCUUCWFYQCHWBVNV
      RKDHIUUCUUCVKWCWDKYDDHIYHCXTWGWHAYLUDXTGYKYAUKZULVAZUMZYIUFYJAUDUEBGWIUFZ
      XTYKGIYGWJJUUGVKZNYRYSQUAACUUGDVEZBCEVEZBUUGYKVEAYMIUUGVBUFVCZUUBUUIYQAGV
      GVCUUKRUUGIGUUHNVHVITDHICUUGWRWKZUBBCUUGDEWLWDVQAYEUUFYIAYEUDXTYCDUFZUMUU
      FAUDXTYCCUUGDUULYTWMAUDXTUUEUUMAYAXTVCZWNZUUEGDYBUNZULVAUUMUUDUUPGULDEYAW
      OWPUUOYACYBFGDUHFWQUFZLUUQVKAFWJVCUUNOWSUUOGWJVCZGWTVCAUURUUNQWSGXAVNUUNY
      AUHVCZAYAXSUHXBXCZADFGXDVAVCUUNSWSAUUJYABUOZYACYBVEUUNUBUUNUVAUUSYABXEXJB
      CYAEXFXGZUUOYACYBXHUUQUVBUUTUUOFWQXIXKXLXMXNXOXPXOXQ $.
  $}

  ${
    $d y z A $.  $d x y z B $.  $d x y z F $.  $d x y z .+ $.  $d x y z ph $.
    $d y z G $.  $d y z H $.
    tsmsadd.b $e |- B = ( Base ` G ) $.
    tsmsadd.p $e |- .+ = ( +g ` G ) $.
    tsmsadd.1 $e |- ( ph -> G e. CMnd ) $.
    tsmsadd.2 $e |- ( ph -> G e. TopMnd ) $.
    tsmsadd.a $e |- ( ph -> A e. V ) $.
    tsmsadd.f $e |- ( ph -> F : A --> B ) $.
    tsmsadd.h $e |- ( ph -> H : A --> B ) $.
    tsmsadd.x $e |- ( ph -> X e. ( G tsums F ) ) $.
    tsmsadd.y $e |- ( ph -> Y e. ( G tsums H ) ) $.
    $( The sum of two infinite group sums.  (Contributed by Mario Carneiro,
       19-Sep-2015.)  (Proof shortened by AV, 24-Jul-2019.) $)
    tsmsadd $p |- ( ph -> ( X .+ Y ) e. ( G tsums ( F oF .+ H ) ) ) $=
      ( wcel vz vy vx co cpw cfn cin cv cres cgsu cplusf cfv cmpt ctopn wss crn
      crab cfg cflf cof ctsu wceq ctmd ctps tmdtps tsmscl eqid plusfval syl2anc
      syl sseldd ctopon istps sylib cfil tsmsfbas fgcl tsmslem1 tsmsval eleqtrd
      cfbas ccmn ctx ccn cop cuni ccnp tmdcn cxp opelxpd txtopon cncnpi flfcnp2
      toponuni eqeltrrd cmnd wa cmnmnd mndcl 3expb sylan off c0g adantr elinel2
      inidm adantl wf elfpw simplbi fssres syl2an fvexd fdmfifsupp gsumadd fexd
      cvv offres oveq2d 3eqtr4d mpteq2dva fveq2d eqtrd eleqtrrd ) AIJDUDZUABUEZ
      UFUGZFEUAUHZUIZUJUDZFGYHUIZUJUDZFUKULZUDZUMZFUNULZYGUBYGUBUHZYHUOUAYGUQUM
      ZUPZURUDZUSUDZULZFEGDUTZUDZVAUDZAIJYMUDZYEUUBAICTJCTUUFYEVBAFEVAUDZCIABCE
      FHKMAFVCTZFVDTZNFVEVJZOPVFRVKZAFGVAUDZCJABCGFHKMUUJOQVFSVKZCDYMFIJKLYMVGZ
      VHVIAUAYJYLIJYPYPYTYPYMCCYGAUUIYPCVLULTZUUJCYPFKYPVGZVMVNZUUQAYSYGWAULTYT
      YGVOULTAUAUBBYGYRYSHYGVGZYRVGYSVGZOVPYSYGVQVJABCYGEFHYHKUURMOPVRZABCYGGFH
      YHKUURMOQVRZAIUUGUAYGYJUMUUAULRAUAUBBCYGEFYPYSWBHKUUPUURUUSMOPVSVTAJUULUA
      YGYLUMUUAULSAUAUBBCYGGFYPYSWBHKUUPUURUUSMOQVSVTAYMYPYPWCUDZYPWDUDTZIJWEZU
      VBWFZTYMUVDUVBYPWGUDULTAUUHUVCNYMFYPUUPUUNWHVJAUVDCCWIZUVEAIJCCUUKUUMWJAU
      VBUVFVLULTZUVFUVEVBAUUOUUOUVGUUQUUQYPYPCCWKVIUVFUVBWNVJVTUVDYMUVBYPUVEUVE
      VGWLVIWMWOAUUEUAYGFUUDYHUIZUJUDZUMZUUAULUUBAUAUBBCYGUUDFYPYSWBHKUUPUURUUS
      MOAUCUBBBBDCCCEGHHAFWPTZUCUHZCTZYQCTZWQUVLYQDUDCTZAFWBTZUVKMFWRVJUVKUVMUV
      NUVOCDFUVLYQKLWSWTXAPQOOBXFXBVSAUVJYOUUAAUAYGUVIYNAYHYGTZWQZFYIYKUUCUDZUJ
      UDYJYLDUDZUVIYNUVRYHCDYIFYKUFFXCULZKUWAVGLAUVPUVQMXDUVQYHUFTZAYHYFUFXEXGZ
      ABCEXHYHBUOZYHCYIXHUVQPUVQUWDUWBYHBXIXJZBCYHEXKXLZABCGXHUWDYHCYKXHUVQQUWE
      BCYHGXKXLZUVRYHCYIXQUWAUWFUWCUVRFXCXMZXNUVRYHCYKXQUWAUWGUWCUWHXNXOUVRUVHU
      VSFUJAUVHUVSVBZUVQAEXQTGXQTUWIABCHEPOXPABCHGQOXPYHDEGXQXQXRVIXDXSUVRYJCTY
      LCTYNUVTVBUUTUVACDYMFYJYLKLUUNVHVIXTYAYBYCYD $.
  $}

  ${
    tsmsinv.b $e |- B = ( Base ` G ) $.
    tsmsinv.p $e |- I = ( invg ` G ) $.
    tsmsinv.1 $e |- ( ph -> G e. CMnd ) $.
    tsmsinv.2 $e |- ( ph -> G e. TopGrp ) $.
    tsmsinv.a $e |- ( ph -> A e. V ) $.
    tsmsinv.f $e |- ( ph -> F : A --> B ) $.
    tsmsinv.x $e |- ( ph -> X e. ( G tsums F ) ) $.
    $( Inverse of an infinite group sum.  (Contributed by Mario Carneiro,
       20-Sep-2015.) $)
    tsmsinv $p |- ( ph -> ( I ` X ) e. ( G tsums ( I o. F ) ) ) $=
      ( ctopn cfv wcel syl co eqid ctgp ctps tgptps cghm cmhm cabl tgpgrp isabl
      cgrp ccmn sylanbrc invghm sylib ghmmhm ccn tgpinv tsmsmhm ) ABCFDEEEPQZUS
      GHIUSUAZUTKAEUBRZEUCRLEUDSZKVBAFEEUETRZFEEUFTRAEUGRZVCAEUJRZEUKRVDAVAVELE
      UHSKEUIULCEFIJUMUNEEFUOSAVAFUSUSUPTRLEFUSUTJUQSMNOUR $.
  $}

  ${
    $d k A $.  $d k x B $.  $d k F $.  $d k x G $.  $d k x H $.  $d k ph $.
    $d k .- $.
    tsmssub.b $e |- B = ( Base ` G ) $.
    tsmssub.p $e |- .- = ( -g ` G ) $.
    tsmssub.1 $e |- ( ph -> G e. CMnd ) $.
    tsmssub.2 $e |- ( ph -> G e. TopGrp ) $.
    tsmssub.a $e |- ( ph -> A e. V ) $.
    tsmssub.f $e |- ( ph -> F : A --> B ) $.
    tsmssub.h $e |- ( ph -> H : A --> B ) $.
    tsmssub.x $e |- ( ph -> X e. ( G tsums F ) ) $.
    tsmssub.y $e |- ( ph -> Y e. ( G tsums H ) ) $.
    $( The difference of two infinite group sums.  (Contributed by Mario
       Carneiro, 20-Sep-2015.) $)
    tsmssub $p |- ( ph -> ( X .- Y ) e. ( G tsums ( F oF .- H ) ) ) $=
      ( co vk vx cminusg cfv cplusg ccom cof ctsu eqid ctgp wcel ctmd tgptmd wf
      syl cgrp tgpgrp grpinvf 3syl fco syl2anc tsmsinv tsmsadd wceq ctps tgptps
      tsmscl sseldd grpsubval cv cmpt ffvelrnda mpteq2dva feqmptd offval2 fvexd
      wa cvv fveq2 fmptco 3eqtr4d oveq2d 3eltr4d ) AIJEUCUDZUDZEUEUDZTZEDWDFUFZ
      WFUGTZUHTIJGTZEDFGUGTZUHTABCWFDEWHHIWEKWFUIZMAEUJUKZEULUKNEUMUOOPACCWDUNZ
      BCFUNBCWHUNAWMEUPUKWNNEUQCEWDKWDUIZURUSZQBCCWDFUTVARABCFEWDHJKWOMNOQSVBVC
      AICUKJCUKWJWGVDAEDUHTCIABCDEHKMAWMEVEUKNEVFUOZOPVGRVHAEFUHTCJABCFEHKMWQOQ
      VGSVHCWFEWDGIJKWLWOLVIVAAWKWIEUHAUABUAVJZDUDZWRFUDZGTZVKUABWSWTWDUDZWFTZV
      KWKWIAUABXAXCAWRBUKVQZWSCUKWTCUKXAXCVDABCWRDPVLZABCWRFQVLZCWFEWDGWSWTKWLW
      OLVIVAVMAUABWSWTGDFHCCOXEXFAUABCDPVNZAUABCFQVNZVOAUABWSXBWFDWHHCVROXEXDWT
      WDVPXGAUAUBBCWTUBVJZWDUDXBFWDXFXHAUBCCWDWPVNXIWTWDVSVTVOWAWBWC $.
  $}

  ${
    $d k A $.  $d k B $.  $d k x F $.  $d k x G $.  $d x J $.  $d k x ph $.
    $d k V $.  $d x X $.
    tgptsmscls.b $e |- B = ( Base ` G ) $.
    tgptsmscls.j $e |- J = ( TopOpen ` G ) $.
    tgptsmscls.1 $e |- ( ph -> G e. CMnd ) $.
    tgptsmscls.2 $e |- ( ph -> G e. TopGrp ) $.
    tgptsmscls.a $e |- ( ph -> A e. V ) $.
    tgptsmscls.f $e |- ( ph -> F : A --> B ) $.
    ${
      tgptsmscls.x $e |- ( ph -> X e. ( G tsums F ) ) $.
      $( A sum in a topological group is uniquely determined up to a coset of
         ` cls ( { 0 } ) ` , which is a normal subgroup by ~ clsnsg , ~ 0nsg .
         (Contributed by Mario Carneiro, 22-Sep-2015.)  (Proof shortened by AV,
         24-Jul-2019.) $)
      tgptsmscls $p |- ( ph -> ( G tsums F ) = ( ( cls ` J ) ` { X } ) ) $=
        ( vk co cfv wcel adantr vx ctsu csn ccl cv wa c0g cqg cec wbr csubg wer
        ctgp cgrp tgpgrp syl eqid 0subg clssubg syl2anc eqger csg tgptps tsmscl
        ctps sselda sseldd ccmn wf simpr tsmssub cmpt ffvelrnda feqmptd offval2
        cof cgsu wceq grpsubid mpteq2dva eqtrd oveq2d grpidcl fmpttd cxp cfsupp
        fconstmpt fvexd fczfsuppd eqbrtrrid tsmsgsum cmnmnd gsumz fveq2d 3eqtrd
        cvv cmnd sneqd eleqtrd cabl wss w3a wb sylanbrc subgss eqgabl mpbir3and
        isabl ersym releqg relelec ax-mp sylibr snclseqg ex ssrdv tsmscls eqssd
        wrel ) AEDUBQZHUCFUDRZRZAUAXTYBAUAUEZXTSZYCYBSAYDUFZYCHEEUGRZUCZYARZUHQ
        ZUIZYBYEHYCYIUJZYCYJSZYEYCHYICYEYHEUKRZSZCYIULYEEUMSZYGYMSZYNAYOYDLTZYE
        EUNSZYPYEYOYRYQEUOUPZEYFYFUQZURUPYGEFJUSUTZYIECYHIYIUQZVAUPYEYCHYIUJZYC
        CSZHCSZHYCEVBRZQZYHSZAXTCYCABCDEGIKAYOEVESZLEVCZUPZMNVDZVFAUUEYDAXTCHUU
        LOVGTZYEUUGEDDUUFVPQZUBQZYHYEBCDEDUUFGHYCIUUFUQZAEVHSZYDKTZYQABGSZYDMTZ
        ABCDVIYDNTZUVAAHXTSYDOTAYDVJVKYEUUOEPBYFVLZUBQEUVBVQQZUCZYARYHYEUUNUVBE
        UBYEUUNPBPUEZDRZUVFUUFQZVLUVBYEPBUVFUVFUUFDDGCCUUTYEBCUVEDUVAVMZUVHYEPB
        CDUVAVNZUVIVOYEPBUVGYFYEUVEBSZUFYRUVFCSUVGYFVRYEYRUVJYSTUVHCEUUFUVFYFIY
        TUUPVSUTVTWAWBYEBCUVBEFGYFIYTUURYEYOUUIYQUUJUPUUTYEPBYFCYEYFCSZUVJYEYRU
        VKYSCEYFIYTWCUPTWDYEUVBBYGWEZYFWFPBYFWGAUVLYFWFUJYDABGWPYFMAEUGWHWITWJJ
        WKYEUVDYGYAYEUVCYFYEEWQSZUUSUVCYFVRYEUUQUVMUUREWLUPUUTBPEGYFYTWMUTWRWNW
        OWSYEEWTSZYHCXAZUUCUUDUUEUUHXBXCYEYRUUQUVNYSUUREXHXDYEYNUVOUUACYHEIXEUP
        YCHYIYHEUUFCIUUPUUBXFUTXGXIYIXSYLYKXCYIYHEUUBXJYCHYIXKXLXMYEYOUUEYJYBVR
        YQUUMHYIYHEFCYFIJYTUUBYHUQXNUTWSXOXPABCDEFGHIJKUUKMNOXQXR $.
    $}

    $( The set of limit points to an infinite sum in a topological group is
       closed.  (Contributed by Mario Carneiro, 22-Sep-2015.) $)
    tgptsmscld $p |- ( ph -> ( G tsums F ) e. ( Clsd ` J ) ) $=
      ( vx cfv wcel c0 wceq syl adantr ctsu co ccld ctop ctgp tgptopon topontop
      ctopon 0cld eleq1 syl5ibrcom wne cv wex n0 wa csn ccl wf simpr tgptsmscls
      ccmn cuni wss tgptps tsmscl toponuni sseqtrd sselda snssd clscld syl2an2r
      ctps eqid eqeltrd ex exlimdv syl5bi pm2.61dne ) AEDUAUBZFUCOZPZVTQAWBVTQR
      QWAPZAFUDPZWCAFCUHOPZWDAEUEPZWEKEFCIHUFSZCFUGSZFUISVTQWAUJUKVTQULNUMZVTPZ
      NUNAWBNVTUOAWJWBNAWJWBAWJUPZVTWIUQZFUROOZWAWKBCDEFGWIHIAEVBPWJJTAWFWJKTAB
      GPWJLTABCDUSWJMTAWJUTVAAWDWJWLFVCZVDWMWAPWHWKWIWNAVTWNWIAVTCWNABCDEGHJAWF
      EVMPKEVESLMVFAWECWNRWGCFVGSVHVIVJWLFWNWNVNVKVLVOVPVQVRVS $.
  $}

  ${
    $d k .+ $.  $d k A $.  $d k B $.  $d k C $.  $d k D $.  $d k ph $.
    $d k F $.  $d k G $.
    tsmssplit.b $e |- B = ( Base ` G ) $.
    tsmssplit.p $e |- .+ = ( +g ` G ) $.
    tsmssplit.1 $e |- ( ph -> G e. CMnd ) $.
    tsmssplit.2 $e |- ( ph -> G e. TopMnd ) $.
    tsmssplit.a $e |- ( ph -> A e. V ) $.
    tsmssplit.f $e |- ( ph -> F : A --> B ) $.
    tsmssplit.x $e |- ( ph -> X e. ( G tsums ( F |` C ) ) ) $.
    tsmssplit.y $e |- ( ph -> Y e. ( G tsums ( F |` D ) ) ) $.
    tsmssplit.i $e |- ( ph -> ( C i^i D ) = (/) ) $.
    tsmssplit.u $e |- ( ph -> A = ( C u. D ) ) $.
    $( Split a topological group sum into two parts.  (Contributed by Mario
       Carneiro, 19-Sep-2015.)  (Proof shortened by AV, 24-Jul-2019.) $)
    tsmssplit $p |- ( ph -> ( X .+ Y ) e. ( G tsums F ) ) $=
      ( vk co cv wcel cfv c0g cif cmpt cof ctsu ffvelrnda cmnd ccmn cmnmnd eqid
      wa syl mndidcl adantr ifcld fmpttd cres feqmptd reseq1d wss cun sseqtrrid
      wceq ssun1 iftrue mpteq2ia resmpt 3eqtr4a eqtr4d oveq2d ctmd ctps cdif wn
      tmdtps eldifn adantl iffalsed suppss2 tsmsres eqtrd eleqtrd ssun2 tsmsadd
      wi cin c0 noel eleq2 mtbiri elin sylnib imnan sylibr imp oveq12d syl2an2r
      mndrid con2d mndlid wo eleq2d elun bitrdi biimpa mpjaodan mpteq2dva eqidd
      offval2 eleqtrrd ) AJKFUCHUBBUBUDZDUEZXQGUFZHUGUFZUHZUIZUBBXQEUEZXSXTUHZU
      IZFUJUCZUKUCHGUKUCABCFYBHYEIJKLMNOPAUBBYACAXQBUEZUQZXRXSXTCABCXQGQULZAXTC
      UEZYGAHUMUEZYJAHUNUEYKNHUOURZCHXTLXTUPZUSURUTZVAZVBZAUBBYDCYHYCXSXTCYIYNV
      AZVBZAJHGDVCZUKUCZHYBUKUCZRAYTHYBDVCZUKUCUUAAYSUUBHUKAYSUBBXSUIZDVCZUUBAG
      UUCDAUBBCGQVDZVEADBVFZUUBUUDVIADEVGZDBDEVJUAVHUUFUBDYAUIUBDXSUIUUBUUDUBDY
      AXSXRXSXTVKZVLUBBDYAVMUBBDXSVMVNURVOVPABCYBHIDXTLYMNAHVQUEHVRUEOHWAURZPYP
      ABYAUBIDXTAXQBDVSUEZUQXRXSXTUUJXRVTZAXQBDWBWCWDPWEWFWGWHAKHGEVCZUKUCZHYEU
      KUCZSAUUMHYEEVCZUKUCUUNAUULUUOHUKAUULUUCEVCZUUOAGUUCEUUEVEAEBVFZUUOUUPVIA
      UUGEBEDWIUAVHUUQUBEYDUIUBEXSUIUUOUUPUBEYDXSYCXSXTVKZVLUBBEYDVMUBBEXSVMVNU
      RVOVPABCYEHIEXTLYMNUUIPYRABYDUBIEXTAXQBEVSUEZUQYCXSXTUUSYCVTZAXQBEWBWCWDP
      WEWFWGWHWJAGYFHUKAGUBBYAYDFUCZUIZYFAGUUCUVBUUEAUBBUVAXSYHXRUVAXSVIYCYHXRU
      QZUVAXSXTFUCZXSUVCYAXSYDXTFXRYAXSVIYHUUHWCUVCYCXSXTYHXRUUTYHXRYCUQZVTXRUU
      TWKYHXQDEWLZUEZUVEAUVGVTZYGAUVFWMVIZUVHTUVIUVGXQWMUEXQWNUVFWMXQWOWPURUTXQ
      DEWQWRXRYCWSWTZXAWDXBYHUVDXSVIZXRAYKYGXSCUEZUVKYLYICFHXSXTLMYMXDXCUTWGYHY
      CUQZUVAXTXSFUCZXSUVMYAXTYDXSFUVMXRXSXTYHYCUUKYHXRYCUVJXEXAWDYCYDXSVIYHUUR
      WCXBYHUVNXSVIZYCAYKYGUVLUVOYLYICFHXSXTLMYMXFXCUTWGAYGXRYCXGZAYGXQUUGUEUVP
      ABUUGXQUAXHXQDEXIXJXKXLXMVOAUBBYAYDFYBYEICCPYOYQAYBXNAYEXNXOVOVPXP $.
  $}

  ${
    $d g k w y z .0. $.  $d a b c d f g h j k n s t u v w x y z G $.  $d y J $.
    $d b g h k s u v w y z B $.  $d f g j k n x y z D $.  $d f g j n x y z L $.
    $d a b g h j k n s t u v y z A $.  $d c d f g j k n w x y z K $.  $d c S $.
    $d a b d f g h j k n s t u v x y z H $.  $d c d g w x y z N $.  $d c d U $.
    $d d f g j n x y z .- $.  $d b f g h j k n s t u v y z C $.  $d c d g T $.
    $d c d g y .+ $.  $d b c d f g h j k n s t u v w x y z F $.
    $d a b f g h j k n s t u v w y z ph $.
    tsmsxp.b $e |- B = ( Base ` G ) $.
    tsmsxp.g $e |- ( ph -> G e. CMnd ) $.
    tsmsxp.2 $e |- ( ph -> G e. TopGrp ) $.
    tsmsxp.a $e |- ( ph -> A e. V ) $.
    tsmsxp.c $e |- ( ph -> C e. W ) $.
    tsmsxp.f $e |- ( ph -> F : ( A X. C ) --> B ) $.
    tsmsxp.h $e |- ( ph -> H : A --> B ) $.
    tsmsxp.1 $e |- ( ( ph /\ j e. A ) ->
      ( H ` j ) e. ( G tsums ( k e. C |-> ( j F k ) ) ) ) $.
    ${
      tsmsxp.j $e |- J = ( TopOpen ` G ) $.
      tsmsxp.z $e |- .0. = ( 0g ` G ) $.
      tsmsxp.p $e |- .+ = ( +g ` G ) $.
      tsmsxp.m $e |- .- = ( -g ` G ) $.
      tsmsxp.l $e |- ( ph -> L e. J ) $.
      tsmsxp.3 $e |- ( ph -> .0. e. L ) $.
      tsmsxp.k $e |- ( ph -> K e. ( ~P A i^i Fin ) ) $.
      ${
        tsmsxp.ks $e |- ( ph -> dom D C_ K ) $.
        tsmsxp.d $e |- ( ph -> D e. ( ~P ( A X. C ) i^i Fin ) ) $.
        $( Lemma for ~ tsmsxp .  (Contributed by Mario Carneiro,
           21-Sep-2015.) $)
        tsmsxplem1 $p |- ( ph -> E. n e. ( ~P C i^i Fin ) ( ran D C_ n /\
      A. x e. K ( ( H ` x ) .- ( G gsum ( F |` ( { x } X. n ) ) ) ) e. L ) ) $=
          ( vf vz vg vy cpw cfn cin cv wf cfv wss co cmpt cres cgsu crn wcel wi
          wral wa csn cxp wrex wex elin2d elfpw simplbi sselda eqid ccmn adantr
          syl ctps ctgp tgptps fovrn syl3an1 fmpttd cima df-ima ctopon tgptopon
          3expa toponss syl2anc resmptd rneqd chmeo cminusg ccom wceq ffvelrnda
          syl5eq grpsubval sylan mpteq2dva cgrp tgpgrp grpinvcl grpinvf feqmptd
          eqidd oveq2 fmptco eqtr4d eqeltrd eqeltrrd ovex syldan ralbidv adantl
          cvv sstrdi sylib 3syl sylanbrc a1i adantlr oveq2d eleq1d ad2antrr weq
          reseq2d grpinvhmeo tgplacthmeo hmeoco hmeoima grpsubid1 sylancl tsmsi
          elrnmpt1s ralrimiva sseq1 imbi1d ac6sfi cuni cun inss1 sspwuni rnxpss
          frn rnss unssd wfo wfn ffn dffn4 fofi inss2 elinel2 rnfi unfi adantrr
          unifi ssun2 wb fvssunirn ssun1 sstri sseqtrrid pm5.5 bitrd rspcv cmnd
          id reseq2 cmnmnd simplr jca ovexd fvexi fsuppmptdm gsumcl velsn ovres
          c0g sylanbr oveq1 eqtrd gsumsn syl3anc snfi snssd xpss12 fssresd xpfi
          sylancr fdmfifsupp gsumxp 3eqtr4rd elrnmpti cabl isabl ablnncan simpr
          ad3antrrr syl5ibrcom rexlimdva syl5bi sylbid syld an32s ralimdva impr
          fveq2 xpeq1d oveq12d cbvralvw sseq2 anbi12d rspcev syl12anc exlimddv
          sneq xpeq2 ) AOEVBZVCVDZURVEZVFZHVEZUYOVGZUSVEZVHZLIEUYQIVEZKVIZVJZUY
          SVKZVLVIZUTPUYQMVGZUTVEZQVIZVJZVMZVNZVOZUSUYNVPZHOVPZVQZFVMZJVEZVHZBV
          EZMVGZLKVUSVRZVUQVSZVKZVLVIZQVIZPVNZBOVPZVQZJUYNVTZURAOVCVNZVAVEZUYSV
          HZVUKVOZUSUYNVPZVAUYNVTZHOVPVUOURWAACVBZVCOUOWBZAVVOHOAUYQOVNZUYQCVNZ
          VVOAOCUYQAOVVPVCVDVNZOCVHZUOVVTVWAVVJOCWCWDWIWEZAVVSVQZUSVAEDVUFUYNVU
          JVUCLNSUAUIUYNWFALWGVNZVVSUBWHALWJVNZVVSALWKVNZVWEUCLWLWIWHAESVNVVSUE
          WHVWCIEVUBDAVVSVUAEVNZVUBDVNZACEVSZDKVFZVVSVWGVWHUFUYQVUADCEKWMZWNWTW
          OUHVWCUTDVUHVJZPWPZVUJNVWCVWMVWLPVKZVMVUJVWLPWQVWCVWNVUIVWCUTDPVUHAPD
          VHZVVSANDWRVGVNZPNVNZVWOAVWFVWPUCLNDUIUAWSWIUMPNDXAXBZWHXCXDXJVWCVWLN
          NXEVIZVNVWQVWMNVNVWCVWLVADVUFVVKGVIZVJZLXFVGZXGZVWSVWCVWLUTDVUFVUGVXB
          VGZGVIZVJVXCVWCUTDVUHVXEVWCVUFDVNZVUGDVNZVUHVXEXHACDUYQMUGXIZDGLVXBQV
          UFVUGUAUKVXBWFZULXKXLXMVWCUTVADDVXDVWTVXEVXBVXAVWCLXNVNZVXGVXDDVNAVXJ
          VVSAVWFVXJUCLXOWIZWHZDLVXBVUGUAVXIXPXLVWCUTDDVXBVWCVXJDDVXBVFVXLDLVXB
          UAVXIXQWIXRVWCVXAXSVVKVXDVUFGXTYAYBVWCVXBVWSVNZVXAVWSVNZVXCVWSVNVWCVW
          FVXMAVWFVVSUCWHZLVXBNUIVXIUUAWIVWCVWFVXFVXNVXOVXHVAVUFGVXALNDVXAWFUAU
          KUIUUBXBVXBVXANNNUUCXBYCAVWQVVSUMWHPVWLNNUUDXBYDVWCVUFTQVIZVUFVUJVWCV
          XJVXFVXPVUFXHVXLVXHDLQVUFTUAUJULUUEXBVWCTPVNZVXPYIVNVXPVUJVNAVXQVVSUN
          WHVUFTQYEUTPVUHVXPTVUIYIVUIWFZVUGTVUFQXTUUHUUFYDUUGYFUUIVVNVUMHVAOUYN
          URVVKUYRXHZVVMVULUSUYNVXSVVLUYTVUKVVKUYRUYSUUJUUKYGUULXBAVUOVQZUYOVMZ
          UUMZVUPUUNZUYNVNZVUPVYCVHZVUTLKVVAVYCVSZVKZVLVIZQVIZPVNZBOVPZVVIAUYPV
          YDVUNAUYPVQZVYCEVHZVYCVCVNZVYDVYLVYBVUPEVYLVYAUYMVHVYBEVHVYLVYAUYNUYM
          UYPVYAUYNVHAOUYNUYOUURYHZUYMVCUUOYJVYAEUUPYKAVUPEVHUYPAVUPVWIVMZEAFVW
          IVBZVCVDVNZFVWIVHZVUPVYPVHUQVYRVYSFVCVNZFVWIWCWDFVWIUUSYLCEUUQYJWHUUT
          ZVYLVYBVCVNZVUPVCVNZVYNVYLVYAVCVNZVYAVCVHWUBVYLVVJOVYAUYOUVAZWUDAVVJU
          YPVVQWHVYLUYOOUVBZWUEUYPWUFAOUYNUYOUVCYHOUYOUVDYKOVYAUYOUVEXBVYLVYAUY
          NVCVYOUYMVCUVFYJVYAUVKXBAWUCUYPAVYRVYTWUCUQFVYQVCUVGFUVHYLWHVYBVUPUVI
          XBZVYCEWCYMZUVJVYEVXTVUPVYBUVLYNVXTVUFLKUYQVRZVYCVSZVKZVLVIZQVIZPVNZH
          OVPZVYKAUYPVUNWUOVYLVUMWUNHOAVVRUYPVUMWUNVOAVVRVQZUYPVQZVUMLVUCVYCVKZ
          VLVIZVUJVNZWUNWUQVYDVUMWUTVOAUYPVYDVVRWUHYOVULWUTUSVYCUYNUYSVYCXHZVUL
          VUKWUTWVAUYTVULVUKUVMWVAVYCUYRUYSUYRVYBVYCUYOUYQUVNVYBVUPUVOUVPWVAUWB
          UVQUYTVUKUVRWIWVAVUEWUSVUJWVAVUDWURLVLUYSVYCVUCUWCYPYQUVSUVTWIWUQWUTW
          ULVUJVNZWUNWUQWUSWULVUJWUQLVAWUILIVYCVVKVUAWUKVIZVJZVLVIZVJVLVIZLIVYC
          VUBVJZVLVIZWULWUSWUQLUWAVNZVVRWVHDVNWVFWVHXHWUQVWDWVIAVWDVVRUYPUBYRZL
          UWDWIAVVRUYPUWEWUQVYCDWVGLVCTUAUJWVJAUYPVYNVVRWUGYOZWUQIVYCVUBDWUQVUA
          VYCVNZVWGVWHWUQVYCEVUAAUYPVYMVVRWUAYOZWEWUPVWGVWHUYPWUPVWJVVSVQVWGVWH
          WUPVWJVVSAVWJVVRUFWHVWBUWFVWJVVSVWGVWHVWKWTXLYOYFWOWUQIVYCWVGYIYIVUBT
          WVGWFWVKWUQWVLVQUYQVUAKUWGTYIVNWUQTLUWMUJUWHYNZUWIUWJWVEDWVHVALUYQOUA
          VAHYSZWVDWVGLVLWVOIVYCWVCVUBWVOWVLVQWVCVVKVUAKVIZVUBWVOVVKWUIVNWVLWVC
          WVPXHVAUYQUWKVVKVUAWUIVYCKUWLUWNWVOWVPVUBXHWVLVVKUYQVUAKUWOWHUWPXMYPU
          WQUWRWUQWUIDVYCVAIWUKLVCVCTUAUJWVJWUIVCVNZWUQUYQUWSZYNWVKWUQVWIDWUJKA
          VWJVVRUYPUFYRWUQWUICVHVYMWUJVWIVHWUQUYQCWUPVVSUYPVWBWHUWTWVMWUICVYCEU
          XAXBUXBZWUQWUJDWUKYITWVSWUQWVQVYNWUJVCVNWVRWVKWUIVYCUXCUXDWVNUXEUXFWU
          QWURWVGLVLWUQIEVYCVUBWVMXCYPUXGYQWVBWULVUHXHZUTPVTWUQWUNUTPVUHWULVUIV
          XRVUFVUGQYEUXHWUQWVTWUNUTPWUQVUGPVNZVQZWUNWVTVUFVUHQVIZPVNWWBWWCVUGPW
          WBDLQVUFVUGUAULALUXIVNZVVRUYPWWAAVXJVWDWWDVXKUBLUXJYMUXMWUPVXFUYPWWAA
          VVRVVSVXFVWBVXHYFYRWUQPDVUGAVWOVVRUYPVWRYRWEUXKWUQWWAUXLYCWVTWUMWWCPW
          ULVUHVUFQXTYQUXNUXOUXPUXQUXRUXSUXTUYAWUNVYJHBOHBYSZWUMVYIPWWEVUFVUTWU
          LVYHQUYQVUSMUYBWWEWUKVYGLVLWWEWUJVYFKWWEWUIVVAVYCUYQVUSUYKUYCYTYPUYDY
          QUYEYKVVHVYEVYKVQJVYCUYNVUQVYCXHZVURVYEVVGVYKVUQVYCVUPUYFWWFVVFVYJBOW
          WFVVEVYIPWWFVVDVYHVUTQWWFVVCVYGLVLWWFVVBVYFKVUQVYCVVAUYLYTYPYPYQYGUYG
          UYHUYIUYJ $.
      $}

      tsmsxp.4 $e |- ( ph -> A. c e. S A. d e. T ( c .+ d ) e. U ) $.
      tsmsxp.n $e |- ( ph -> N e. ( ~P C i^i Fin ) ) $.
      tsmsxp.s $e |- ( ph -> D C_ ( K X. N ) ) $.
      tsmsxp.x $e |- ( ph -> A. x e. K
        ( ( H ` x ) .- ( G gsum ( F |` ( { x } X. N ) ) ) ) e. L ) $.
      tsmsxp.5 $e |- ( ph -> ( G gsum ( F |` ( K X. N ) ) ) e. S ) $.
      tsmsxp.6 $e |- ( ph -> A. g e. ( L ^m K ) ( G gsum g ) e. T ) $.
      $( Lemma for ~ tsmsxp .  (Contributed by Mario Carneiro, 21-Sep-2015.) $)
      tsmsxplem2 $p |- ( ph -> ( G gsum ( H |` K ) ) e. U ) $=
        ( vy vz vw cxp cres cgsu cabl wcel wceq cgrp ccmn ctgp tgpgrp syl isabl
        co sylanbrc cfn cpw elin2d syl2anc wss cin elfpw simplbi xpss12 fssresd
        xpfi fdmfifsupp gsumcl ablpncan3 syl12anc cv wral cfv csn cof wa adantr
        cmpt snfi sylancr sselda snssd cvv c0g fvexi a1i fmpttd eqid fsuppmptdm
        wf ovexd gsumsub fvexd feqresmpt eqidd offval2 oveq2d cmnd cmnmnd simpr
        fovrnd velsn ovres sylanbr oveq1 mpteq2dva gsumxp oveq2 eleq1d eqeltrrd
        weq eqtrd gsumsn syl3anc adantll 3eqtr4d eqtr4d 3eqtr3d cmap fveq2 sneq
        xpeq1d reseq2d oveq12d rspccva elmapd mpbird rspcdva rspc2va syl21anc
        sylan ) AONRUAVKZVLZVMWCZOPRVLZVMWCZUVCTWCZGWCZUVEJAOVNVOZUVCDVOUVEDVOU
        VGUVEVPAOVQVOZOVRVOZUVHAOVSVOUVIUIOVTWAUHOWBWDZAUVADUVBOWEUDUGUPUHARWEV
        OZUAWEVOZUVAWEVOACWFZWERVAWGZAEWFZWEUAVCWGZRUAWOWHZACEVKZDUVANULARCWIZU
        AEWIZUVAUVSWIARUVNWEWJZVOZUVTVAUWCUVTUVLRCWKWLWAZAUAUVPWEWJVOZUWAVCUWEU
        WAUVMUAEWKWLWAZRCUAEWMWHWNZAUVADUVBSUDUWGUVRUTWPZWQARDUVDOUWBUDUGUPUHVA
        ACDRPUMUWDWNZARDUVDSUDUWIUVOUTWPZWQDGOTUVCUVEUGUQURWRWSAUVCHVOUVFIVOUEW
        TZUFWTZGWCZJVOZUFIXAUEHXAUVGJVOZVFAOVHRVHWTZPXBZONUWPXCZUAVKZVLZVMWCZTW
        CZXGZVMWCZUVFIAOUVDVHRUXAXGZTXDWCZVMWCUVEOUXEVMWCZTWCUXDUVFARDUVDOUXETU
        WBUDUGUPURUVKVAUWIAVHRUXADAUWPRVOZXEZUWSDUWTOWEUDUGUPAUVJUXHUHXFZUXIUWR
        WEVOZUVMUWSWEVOUWPXHZAUVMUXHUVQXFZUWRUAWOXIZUXIUVSDUWSNAUVSDNXSZUXHULXF
        ZUXIUWRCWIUWAUWSUVSWIUXIUWPCARCUWPUWDXJZXKAUWAUXHUWFXFZUWRCUAEWMWHWNZUX
        IUWSDUWTXLUDUXSUXNUDXLVOUXIUDOXMUPXNXOZWPZWQXPUWJAVHRUXEXLSUXAUDUXEXQUV
        OUXIOUWTVMXTZUTXRYAAUXFUXCOVMAVHRUWQUXATUVDUXEUWBXLXLVAUXIUWPPYBUYBAVHC
        DRPUMUWDYCAUXEYDYEYFAUXGUVCUVETAUXGOVHROVIUAUWPVIWTZUVBWCZXGZVMWCZXGZVM
        WCUVCAUXEUYGOVMAVHRUXAUYFUXIOVJUWROVIUAVJWTZUYCUWTWCZXGZVMWCZXGVMWCZOVI
        UAUWPUYCNWCZXGZVMWCZUXAUYFUXIOYGVOZUXHUYODVOUYLUYOVPUXIUVJUYPUXJOYHWAAU
        XHYIUXIUADUYNOWEUDUGUPUXJUXMUXIVIUAUYMDUXIUYCUAVOZXEZUWPUYCDCENUXIUXOUY
        QUXPXFUXIUWPCVOUYQUXQXFUXIUAEUYCUXRXJYJXPUXIVIUAUYNXLXLUYMUDUYNXQUXMUYR
        UWPUYCNXTUXTXRWQUYKDUYOVJOUWPRUGVJVHYTZUYJUYNOVMUYSVIUAUYIUYMUYSUYQXEUY
        IUYHUYCNWCZUYMUYSUYHUWRVOUYQUYIUYTVPVJUWPYKUYHUYCUWRUANYLYMUYSUYTUYMVPU
        YQUYHUWPUYCNYNXFUUAYOYFUUBUUCUXIUWRDUAVJVIUWTOWEWEUDUGUPUXJUXKUXIUXLXOU
        XMUXSUYAYPUXIUYEUYNOVMUXIVIUAUYDUYMUXHUYQUYDUYMVPAUWPUYCRUANYLUUDYOYFUU
        EYOYFARDUAVHVIUVBOWEWEUDUGUPUHUVOUVQUWGUWHYPUUFYFUUGAOKWTZVMWCZIVOUXDIV
        OKSRUUHWCZUXCVUAUXCVPVUBUXDIVUAUXCOVMYQYRVGAUXCVUCVORSUXCXSAVHRUXBSABWT
        ZPXBZONVUDXCZUAVKZVLZVMWCZTWCZSVOZBRXAUXHUXBSVOZVEVUKVULBUWPRBVHYTZVUJU
        XBSVUMVUEUWQVUIUXATVUDUWPPUUIVUMVUHUWTOVMVUMVUGUWSNVUMVUFUWRUAVUDUWPUUJ
        UUKUULYFUUMYRUUNUUTXPASRUXCQUWBUSVAUUOUUPUUQYSVBUWNUWOUVCUWLGWCZJVOUEUF
        UVCUVFHIUWKUVCVPUWMVUNJUWKUVCUWLGYNYRUWLUVFVPVUNUVGJUWLUVFUVCGYQYRUURUU
        SYS $.
    $}

    $d x ph $.
    $( Write a sum over a two-dimensional region as a double sum.  This
       infinite group sum version of ~ gsumxp is also known as Fubini's
       theorem.  The converse is not necessarily true without additional
       assumptions.  See ~ tsmsxplem1 for the main proof; this part mostly sets
       up the local assumptions.  (Contributed by Mario Carneiro,
       21-Sep-2015.) $)
    tsmsxp $p |- ( ph -> ( G tsums F ) C_ ( G tsums H ) ) $=
      ( wcel vx vv vy vz vu va vb vt vc vd vs vg vn vh ctsu co cv wss cres cgsu
      wi cxp cpw cfn cin wral wrex ctopn cfv wa w3a c0g cplusg ctmd ctgp tgptmd
      syl 3ad2ant1 simp2 ctopon eqid tmdtopon toponss syl2anc simp3 sseldd cmnd
      tmdmnd mndidcl mndrid eqeltrd tmdcn2 syl23anc r19.29 simp31 elfpw simplbi
      wceq cdm ad2antrl dmss dmxpss elinel2 dmfi sylanbrc cmap cmg ccmn simpl11
      sstrdi simprrl elin2d simpl2r chash cn0 mulgnn0z simpl32 tmdgsum2 crn csn
      hashcl csg simp111 sylan simp3rl simp2rl simp2rr simp2ll 3adant3 3adant3r
      wf wrel xpss12 simprd eleq1d rexlimddv anassrs 3expia rexlimdva eltsms
      cmpt simp3l tsmsxplem1 simp3ll simp133 simpld relxp relss mpisyl sylan9ss
      simp3rr relssdmrn syl12anc sseq2 reseq2 imbi12d simp2lr xpfi anim12i an4s
      oveq2d syl2anb sylibr rspcdva mpd simp3lr oveq2 cbvralvw sylib tsmsxplem2
      3exp exp4a 3imp1 expr ralrimiva rspceaimv rexlimdvaa embantd impcomd syl5
      3expa sseq1 mpan2d com23 ralrimdva anim2d ctps tgptps xpexd 3imtr4d ssrdv
      cvv ) AUAHGUOUPZHIUOUPZAUAUQZCTZUWOUBUQZTZUCUQZUDUQZURZHGUWTUSZUTUPZUWQTZ
      VAZUDBDVBZVCZVDVEZVFZUCUXHVGZVAZUBHVHVIZVFZVJUWPUWOUEUQZTZUFUQZUGUQZURZHI
      UXQUSUTUPUXNTZVAUGBVCZVDVEZVFUFUYAVGZVAZUEUXLVFZVJUWOUWMTUWOUWNTAUXMUYDUW
      PAUXMUYCUEUXLAUXNUXLTZVJUXOUXMUYBAUYEUXOUXMUYBVAAUYEUXOVKZUXMUWRHVLVIZUHU
      QZTZUIUQUJUQHVMVIZUPUXNTUJUYHVFUIUWQVFZVKZUHUXLVGZUBUXLVGZUYBUYFHVNTZUYEU
      WPUYGCTZUWOUYGUYJUPZUXNTUYNAUYEUYOUXOAHVOTZUYONHVPVQZVRZAUYEUXOVSZUYFUXNC
      UWOUYFUXLCVTVITZUYEUXNCURUYFUYOVUBUYTHUXLCUXLWAZLWBVQVUAUXNUXLCWCWDAUYEUX
      OWEZWFZUYFHWGTZUYPUYFUYOVUFUYTHWHZVQZCHUYGLUYGWAZWIZVQUYFUYQUWOUXNUYFVUFU
      WPUYQUWOWRVUHVUECUYJHUWOUYGLUYJWAZVUIWJWDVUDWKUIUJUHUBCUYJUXNHUXLUWOUYGLV
      UCVUKWLWMUXMUYNVJUXKUYMVJZUBUXLVGUYFUYBUXKUYMUBUXLWNUYFVULUYBUBUXLUYFUWQU
      XLTZVJZUYMUXKUYBVUNUYLUXKUYBVAZUHUXLUYFVUMUYHUXLTZUYLVUOVAUYFVUMVUPVJZUYL
      VUOUYFVUQUYLVKZUWRUXJUYBUYFVUQUWRUYIUYKWOVURUXIUYBUCUXHVURUWSUXHTZUXIVJZV
      JZUWSWSZUYATZVVBUXQURZUXSVAZUGUYAVFUYBVVAVVBBURVVBVDTZVVCVVAVVBUXFWSZBVVA
      UWSUXFURZVVBVVGURVUSVVHVURUXIVUSVVHUWSVDTZUWSUXFWPWQZWTUWSUXFXAVQBDXBXJVV
      AVVIVVFVUSVVIVURUXIUWSUXGVDXCWTUWSXDVQVVBBWPXEVVAVVEUGUYAVVAUXQUYATZVVDUX
      SVURVUTVVKVVDVJZUXSVURVUTVVLVJZVJZUYGUKUQZTZHULUQZUTUPZUYHTZULVVOUXQXFUPZ
      VFZVJZUXSUKUXLVVNUKUXQCHXGVIZUYHULHUXLUYGVUCLVWCWAZVVNAHXHTZAUYEUXOVUQUYL
      VVMXIZMVQZVVNAUYOVWFUYSVQZVVNUXTVDUXQVURVUTVVKVVDXKXLZVUMVUPUYFUYLVVMXMVV
      NVUFUYPVVNUYOVUFVWHVUGVQZVUJVQVVNUXQXNVIZUYGVWCUPZUYGUYHVVNVUFVWKXOTZVWLU
      YGWRVWJVVNUXQVDTZVWMVWIUXQYAVQCVWCHVWKUYGLVWDVUIXPWDUWRUYIUYKUYFVUQVVMXQW
      KXRVURVVMVVOUXLTZVWBVJZUXSVURVVMVWPVKZUWSXSZUMUQZURZUWOIVIHGUWOXTVWSVBUSU
      TUPHYBVIZUPVVOTUAUXQVFZVJZUXSUMDVCVDVEZVWQUABCDUWSUYJEFUMGHIUXLUXQVVOVXAJ
      KUYGLVWQAVWEAUYEUXOVUQUYLVVMVWPYCZMVQVWQAUYRVXENVQZVWQABJTZVXEOVQZVWQADKT
      ZVXEPVQZVWQAUXFCGYKZVXEQVQZVWQABCIYKZVXERVQZVWQAEUQZBTZVXOIVIHFDVXOFUQGUP
      UUAUOUPTZVXESYDVUCVUIVUKVXAWAZVURVVMVWOVWBUUBVVPVWAVWOVURVVMYEZVVKVVDVUTV
      URVWPYFVVKVVDVUTVURVWPYGVUSUXIVVLVURVWPYHUUCVURVVMVWPVWSVXDTZVXCVJZUXSVUR
      VVMVWPVYAUXSVURVVMVWPVYAVJZUXSVURVVMVYBVKZUABCDUWSUYJUWQUYHUXNUNEFGHIUXLU
      XQVVOVXAVWSJKUYGUIUJLVURVVMVWEVYBVWGYIVURVVMVWPUYRVYAVXFYJVURVVMVWPVXGVYA
      VXHYJVURVVMVWPVXIVYAVXJYJVURVVMVWPVXKVYAVXLYJVURVVMVWPVXMVYAVXNYJVYCAVXPV
      XQVURVVMAVYBVWFYISYDVUCVUIVUKVXRVWOVWBVYAVURVVMUUDVURVVMVWPVVPVYAVXSYJVVK
      VVDVUTVURVYBYFZUWRUYIUYKUYFVUQVVMVYBUUEVXTVXCVWPVURVVMYEZVYCVUSVVDVWTUWSU
      XQVWSVBZURZVUSUXIVVLVURVYBYHVVKVVDVUTVURVYBYGVYCVWTVXBVXTVXCVWPVURVVMUUKZ
      UUFVUSVVDVWTVJUWSVVBVWRVBZVYFVUSUWSYLZUWSVYIURVUSVVHUXFYLVYJVVJBDUUGUWSUX
      FUUHUUIUWSUULVQVVBUXQVWRVWSYMUUJUUMZVYCVWTVXBVYHYNVYCVYGHGVYFUSZUTUPZUWQT
      ZVYKVYCUXEVYGVYNVAUDUXHVYFUWTVYFWRZUXAVYGUXDVYNUWTVYFUWSUUNVYOUXCVYMUWQVY
      OUXBVYLHUTUWTVYFGUUOUVAYOUUPVUSUXIVVLVURVYBUUQVYCVVKVXTVYFUXHTZVYDVYEVVKV
      XTVJVYFUXFURZVYFVDTZVJZVYPVVKUXQBURZVWNVJVWSDURZVWSVDTZVJVYSVXTUXQBWPVWSD
      WPVYTWUAVWNWUBVYSVYTWUAVJVYQVWNWUBVJVYRUXQBVWSDYMUXQVWSUURUUSUUTUVBVYFUXF
      WPUVCWDUVDUVEVYCVWAHUNUQZUTUPZUYHTZUNVVTVFVYCVVPVWAVWOVWBVYAVURVVMUVFYNVV
      SWUEULUNVVTVVQWUCWRVVRWUDUYHVVQWUCHUTUVGYOUVHUVIUVJUVKUVLUVMYPUWAYPYQUVNU
      VOUXRVVDUXSUFUGVVBUYAUYAUXPVVBUXQUWBUVPWDUVQUVRYRYQYSUVSYSUVTUWCYRUWDUWEU
      WFAUDUCUBUXFCUWOUXHGHUXLUWLLVUCUXHWAMAUYRHUWGTNHUWHVQZABDJKOPUWIQYTAUGUFU
      EBCUWOUYAIHUXLJLVUCUYAWAMWUFORYTUWJUWK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Topological rings, fields, vector spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c TopRing $. $( Topological ring $)
  $c TopDRing $. $( Topological division ring $)
  $c TopMod $. $( Topological module $)
  $c TopVec $. $( Topological vector space $)

  $( The class of all topological division rings. $)
  ctrg $a class TopRing $.

  $( The class of all topological division rings. $)
  ctdrg $a class TopDRing $.

  $( The class of all topological modules. $)
  ctlm $a class TopMod $.

  $( The class of all topological vector spaces. $)
  ctvc $a class TopVec $.

  $( Define a topological ring, which is a ring such that the addition is a
     topological group operation and the multiplication is continuous.
     (Contributed by Mario Carneiro, 5-Oct-2015.) $)
  df-trg $a |- TopRing = { r e. ( TopGrp i^i Ring ) |
    ( mulGrp ` r ) e. TopMnd } $.

  $( Define a topological division ring (which differs from a topological field
     only in being potentially noncommutative), which is a division ring and
     topological ring such that the unit group of the division ring (which is
     the set of nonzero elements) is a topological group.  (Contributed by
     Mario Carneiro, 5-Oct-2015.) $)
  df-tdrg $a |- TopDRing = { r e. ( TopRing i^i DivRing ) |
    ( ( mulGrp ` r ) |`s ( Unit ` r ) ) e. TopGrp } $.

  $( Define a topological left module, which is just what its name suggests:
     instead of a group over a ring with a scalar product connecting them, it
     is a topological group over a topological ring with a continuous scalar
     product.  (Contributed by Mario Carneiro, 5-Oct-2015.) $)
  df-tlm $a |- TopMod = { w e. ( TopMnd i^i LMod ) |
    ( ( Scalar ` w ) e. TopRing /\
      ( .sf ` w ) e. ( ( ( TopOpen ` ( Scalar ` w ) ) tX
                         ( TopOpen ` w ) ) Cn ( TopOpen ` w ) ) ) } $.

  $( Define a topological left vector space, which is a topological module over
     a topological division ring.  (Contributed by Mario Carneiro,
     5-Oct-2015.) $)
  df-tvc $a |- TopVec = { w e. TopMod | ( Scalar ` w ) e. TopDRing } $.

  ${
    $d r M $.  $d r R $.  $d r U $.
    istrg.1 $e |- M = ( mulGrp ` R ) $.
    $( Express the predicate " ` R ` is a topological ring".  (Contributed by
       Mario Carneiro, 5-Oct-2015.) $)
    istrg $p |- ( R e. TopRing <->
      ( R e. TopGrp /\ R e. Ring /\ M e. TopMnd ) ) $=
      ( vr ctgp crg cin wcel ctmd wa ctrg w3a elin anbi1i cmgp cfv wceq eqtr4di
      cv fveq2 eleq1d df-trg elrab2 df-3an 3bitr4i ) AEFGZHZBIHZJAEHZAFHZJZUHJA
      KHUIUJUHLUGUKUHAEFMNDSZOPZIHUHDAUFKULAQZUMBIUNUMAOPBULAOTCRUADUBUCUIUJUHU
      DUE $.

    $( The multiplicative monoid of a topological ring is a topological monoid.
       (Contributed by Mario Carneiro, 5-Oct-2015.) $)
    trgtmd $p |- ( R e. TopRing -> M e. TopMnd ) $=
      ( ctrg wcel ctgp crg ctmd istrg simp3bi ) ADEAFEAGEBHEABCIJ $.

    istdrg.1 $e |- U = ( Unit ` R ) $.
    $( Express the predicate " ` R ` is a topological ring".  (Contributed by
       Mario Carneiro, 5-Oct-2015.) $)
    istdrg $p |- ( R e. TopDRing <->
      ( R e. TopRing /\ R e. DivRing /\ ( M |`s U ) e. TopGrp ) ) $=
      ( vr ctrg cdr cin wcel cress co ctgp wa ctdrg cmgp cfv cui fveq2 eqtr4di
      w3a elin anbi1i cv wceq oveq12d eleq1d df-tdrg elrab2 df-3an 3bitr4i ) AG
      HIZJZCBKLZMJZNAGJZAHJZNZUONAOJUPUQUOUAUMURUOAGHUBUCFUDZPQZUSRQZKLZMJUOFAU
      LOUSAUEZVBUNMVCUTCVABKVCUTAPQCUSAPSDTVCVAARQBUSARSETUFUGFUHUIUPUQUOUJUK
      $.

    $( The unit group of a topological division ring is a topological group.
       (Contributed by Mario Carneiro, 5-Oct-2015.) $)
    tdrgunit $p |- ( R e. TopDRing -> ( M |`s U ) e. TopGrp ) $=
      ( ctdrg wcel ctrg cdr cress co ctgp istdrg simp3bi ) AFGAHGAIGCBJKLGABCDE
      MN $.
  $}

  $( A topological ring is a topological group.  (Contributed by Mario
     Carneiro, 5-Oct-2015.) $)
  trgtgp $p |- ( R e. TopRing -> R e. TopGrp ) $=
    ( ctrg wcel ctgp crg cmgp cfv ctmd eqid istrg simp1bi ) ABCADCAECAFGZHCALLI
    JK $.

  $( A topological ring is a topological monoid.  (Contributed by Mario
     Carneiro, 5-Oct-2015.) $)
  trgtmd2 $p |- ( R e. TopRing -> R e. TopMnd ) $=
    ( ctrg wcel ctgp ctmd trgtgp tgptmd syl ) ABCADCAECAFAGH $.

  $( A topological ring is a topological space.  (Contributed by Mario
     Carneiro, 5-Oct-2015.) $)
  trgtps $p |- ( R e. TopRing -> R e. TopSp ) $=
    ( ctrg wcel ctgp ctps trgtgp tgptps syl ) ABCADCAECAFAGH $.

  $( A topological ring is a ring.  (Contributed by Mario Carneiro,
     5-Oct-2015.) $)
  trgring $p |- ( R e. TopRing -> R e. Ring ) $=
    ( ctrg wcel ctgp crg cmgp cfv ctmd eqid istrg simp2bi ) ABCADCAECAFGZHCALLI
    JK $.

  $( A topological ring is a group.  (Contributed by Mario Carneiro,
     5-Oct-2015.) $)
  trggrp $p |- ( R e. TopRing -> R e. Grp ) $=
    ( ctrg wcel crg cgrp trgring ringgrp syl ) ABCADCAECAFAGH $.

  $( A topological division ring is a topological ring.  (Contributed by Mario
     Carneiro, 5-Oct-2015.) $)
  tdrgtrg $p |- ( R e. TopDRing -> R e. TopRing ) $=
    ( ctdrg wcel ctrg cdr cmgp cfv cui cress co ctgp eqid istdrg simp1bi ) ABCA
    DCAECAFGZAHGZIJKCAPOOLPLMN $.

  $( A topological division ring is a division ring.  (Contributed by Mario
     Carneiro, 5-Oct-2015.) $)
  tdrgdrng $p |- ( R e. TopDRing -> R e. DivRing ) $=
    ( ctdrg wcel ctrg cdr cmgp cfv cui cress co ctgp eqid istdrg simp2bi ) ABCA
    DCAECAFGZAHGZIJKCAPOOLPLMN $.

  $( A topological division ring is a ring.  (Contributed by Mario Carneiro,
     5-Oct-2015.) $)
  tdrgring $p |- ( R e. TopDRing -> R e. Ring ) $=
    ( ctdrg wcel ctrg crg tdrgtrg trgring syl ) ABCADCAECAFAGH $.

  $( A topological division ring is a topological monoid.  (Contributed by
     Mario Carneiro, 5-Oct-2015.) $)
  tdrgtmd $p |- ( R e. TopDRing -> R e. TopMnd ) $=
    ( ctdrg wcel ctrg ctmd tdrgtrg trgtmd2 syl ) ABCADCAECAFAGH $.

  $( A topological division ring is a topological space.  (Contributed by Mario
     Carneiro, 5-Oct-2015.) $)
  tdrgtps $p |- ( R e. TopDRing -> R e. TopSp ) $=
    ( ctdrg wcel ctrg ctps tdrgtrg trgtps syl ) ABCADCAECAFAGH $.

  ${
    istdrg2.m $e |- M = ( mulGrp ` R ) $.
    istdrg2.b $e |- B = ( Base ` R ) $.
    istdrg2.z $e |- .0. = ( 0g ` R ) $.
    $( A topological-ring division ring is a topological division ring iff the
       group of nonzero elements is a topological group.  (Contributed by Mario
       Carneiro, 5-Oct-2015.) $)
    istdrg2 $p |- ( R e. TopDRing <-> ( R e. TopRing /\ R e. DivRing /\
      ( M |`s ( B \ { .0. } ) ) e. TopGrp ) ) $=
      ( ctdrg wcel ctrg cdr cui cfv cress co ctgp w3a csn wa df-3an cdif istdrg
      eqid wceq crg isdrng simprbi adantl oveq2d eleq1d pm5.32i 3bitr4i bitri )
      BHIBJIZBKIZCBLMZNOZPIZQZUNUOCADRUAZNOZPIZQZBUPCEUPUCZUBUNUOSZURSVEVBSUSVC
      VEURVBVEUQVAPVEUPUTCNUOUPUTUDZUNUOBUEIVFABUPDFVDGUFUGUHUIUJUKUNUOURTUNUOV
      BTULUM $.
  $}

  ${
    mulrcn.j $e |- J = ( TopOpen ` R ) $.
    ${
      mulrcn.t $e |- T = ( +f ` ( mulGrp ` R ) ) $.
      $( The functionalization of the ring multiplication operation is a
         continuous function in a topological ring.  (Contributed by Mario
         Carneiro, 5-Oct-2015.) $)
      mulrcn $p |- ( R e. TopRing -> T e. ( ( J tX J ) Cn J ) ) $=
        ( ctrg wcel cmgp cfv ctmd ctx co ccn eqid trgtmd mgptopn tmdcn syl ) AF
        GAHIZJGBCCKLCMLGASSNZOBSCACSTDPEQR $.
    $}

    ${
      invrcn.i $e |- I = ( invr ` R ) $.
      invrcn.u $e |- U = ( Unit ` R ) $.
      $( The multiplicative inverse function is a continuous function from the
         unit group (that is, the nonzero numbers) to itself.  (Contributed by
         Mario Carneiro, 5-Oct-2015.) $)
      invrcn2 $p |- ( R e. TopDRing -> I e. ( ( J |`t U ) Cn ( J |`t U ) ) ) $=
        ( ctdrg wcel cmgp cfv cress co ctgp crest ccn tdrgunit mgptopn resstopn
        eqid invrfval tgpinv syl ) AHIAJKZBLMZNICDBOMZUFPMIABUDUDTZGQUECUFBUEDU
        DUETZADUDUGERSABUECGUHFUAUBUC $.

      $( The multiplicative inverse function is a continuous function from the
         unit group (that is, the nonzero numbers) to the field.  (Contributed
         by Mario Carneiro, 5-Oct-2015.) $)
      invrcn $p |- ( R e. TopDRing -> I e. ( ( J |`t U ) Cn J ) ) $=
        ( ctdrg wcel crest co ccn ctps ctop wss tdrgtps tpstop cnrest2r invrcn2
        3syl sseldd ) AHIZDBJKZUCLKZUCDLKZCUBAMIDNIUDUEOAPDAEQBUCDRTABCDEFGSUA
        $.
    $}

    $d x y J $.  $d x K $.  $d x y ph $.  $d x y R $.  $d x y X $.  $d x y Y $.
    cnmpt1mulr.t $e |- .x. = ( .r ` R ) $.
    cnmpt1mulr.r $e |- ( ph -> R e. TopRing ) $.
    cnmpt1mulr.k $e |- ( ph -> K e. ( TopOn ` X ) ) $.
    ${
      cnmpt1mulr.a $e |- ( ph -> ( x e. X |-> A ) e. ( K Cn J ) ) $.
      cnmpt1mulr.b $e |- ( ph -> ( x e. X |-> B ) e. ( K Cn J ) ) $.
      $( Continuity of ring multiplication; analogue of ~ cnmpt12f which cannot
         be used directly because ` .r ` is not a function.  (Contributed by
         Mario Carneiro, 5-Oct-2015.) $)
      cnmpt1mulr $p |- ( ph -> ( x e. X |-> ( A .x. B ) ) e. ( K Cn J ) ) $=
        ( cmgp cfv eqid mgptopn wcel mgpplusg ctrg ctmd trgtmd syl cnmpt1plusg
        ) ABCDFEPQZGHIEGUGUGRZJSEFUGUHKUAAEUBTUGUCTLEUGUHUDUEMNOUF $.
    $}

    cnmpt2mulr.l $e |- ( ph -> L e. ( TopOn ` Y ) ) $.
    cnmpt2mulr.a $e |- ( ph -> ( x e. X , y e. Y |-> A ) e.
                                ( ( K tX L ) Cn J ) ) $.
    cnmpt2mulr.b $e |- ( ph -> ( x e. X , y e. Y |-> B ) e.
                                ( ( K tX L ) Cn J ) ) $.
    $( Continuity of ring multiplication; analogue of ~ cnmpt22f which cannot
       be used directly because ` .r ` is not a function.  (Contributed by
       Mario Carneiro, 5-Oct-2015.) $)
    cnmpt2mulr $p |- ( ph ->
        ( x e. X , y e. Y |-> ( A .x. B ) ) e. ( ( K tX L ) Cn J ) ) $=
      ( wcel cmgp cfv eqid mgptopn mgpplusg ctrg ctmd trgtmd syl cnmpt2plusg )
      ABCDEGFUAUBZHIJKLFHUKUKUCZMUDFGUKULNUEAFUFTUKUGTOFUKULUHUIPQRSUJ $.
  $}

  ${
    $d x y J $.  $d x y R $.  $d x y U $.
    dvrcn.j $e |- J = ( TopOpen ` R ) $.
    dvrcn.d $e |- ./ = ( /r ` R ) $.
    dvrcn.u $e |- U = ( Unit ` R ) $.
    $( The division function is continuous in a topological field.
       (Contributed by Mario Carneiro, 5-Oct-2015.) $)
    dvrcn $p |- ( R e. TopDRing -> ./ e. ( ( J tX ( J |`t U ) ) Cn J ) ) $=
      ( vx vy ctdrg wcel cbs cfv cv cinvr cmulr co cmpo eqid ctopon ctx dvrfval
      crest ccn tdrgtrg ctps tdrgtps istps sylib wss resttopon sylancl cnmpt1st
      unitss cnmpt2nd invrcn cnmpt21f cnmpt2mulr eqeltrid ) BJKZAHIBLMZCHNZINZB
      OMZMZBPMZQRDDCUCQZUAQDUDQHIVAABVFCVDVASZVFSZGVDSZFUBUTHIVBVEBVFDDVGVACEVI
      BUEUTBUFKDVATMKZBUGVADBVHEUHUIZUTVKCVAUJVGCTMKVLVABCVHGUNCDVAUKULZUTHIDVG
      VACVLVMUMUTHIVCVDDVGVGDVACVLVMUTHIDVGVACVLVMUOBCVDDEVJGUPUQURUS $.
  $}

  ${
    $d w F $.  $d w J $.  $d w K $.  $d w .x. $.  $d w W $.
    istlm.s $e |- .x. = ( .sf ` W ) $.
    istlm.j $e |- J = ( TopOpen ` W ) $.
    istlm.f $e |- F = ( Scalar ` W ) $.
    istlm.k $e |- K = ( TopOpen ` F ) $.
    $( The predicate " ` W ` is a topological left module".  (Contributed by
       Mario Carneiro, 5-Oct-2015.) $)
    istlm $p |- ( W e. TopMod <-> ( ( W e. TopMnd /\ W e. LMod /\
      F e. TopRing ) /\ .x. e. ( ( K tX J ) Cn J ) ) ) $=
      ( vw ctmd clmod wcel ctrg wa ctx co cfv ctopn eqtr4di cin ccn ctlm df-3an
      w3a anass elin anbi1i bitr4i csca cscaf wceq fveq2 eleq1d oveq12d eleq12d
      cv fveq2d anbi12d df-tlm elrab2 3bitr4ri ) EKLUAZMZBNMZOZADCPQZCUBQZMZOVD
      VEVIOZOEKMZELMZVEUEZVIOEUCMVDVEVIUFVMVFVIVMVKVLOZVEOVFVKVLVEUDVDVNVEEKLUG
      UHUIUHJUQZUJRZNMZVOUKRZVPSRZVOSRZPQZVTUBQZMZOVJJEVCUCVOEULZVQVEWCVIWDVPBN
      WDVPEUJRBVOEUJUMHTZUNWDVRAWBVHWDVREUKRAVOEUKUMFTWDWAVGVTCUBWDVSDVTCPWDVSB
      SRDWDVPBSWEURITWDVTESRCVOESUMGTZUOWFUOUPUSJUTVAVB $.

    $( The scalar multiplication is continuous in a topological module.
       (Contributed by Mario Carneiro, 5-Oct-2015.) $)
    vscacn $p |- ( W e. TopMod -> .x. e. ( ( K tX J ) Cn J ) ) $=
      ( ctlm wcel ctmd clmod ctrg w3a ctx co ccn istlm simprbi ) EJKELKEMKBNKOA
      DCPQCRQKABCDEFGHIST $.
  $}

  $( A topological module is a topological monoid.  (Contributed by Mario
     Carneiro, 5-Oct-2015.) $)
  tlmtmd $p |- ( W e. TopMod -> W e. TopMnd ) $=
    ( ctlm wcel ctmd clmod csca cfv ctrg w3a cscaf ctopn ctx eqid istlm simplbi
    co ccn simp1d ) ABCZADCZAECZAFGZHCZSTUAUCIAJGZUBKGZAKGZLPUFQPCUDUBUFUEAUDMU
    FMUBMUEMNOR $.

  $( A topological module is a topological space.  (Contributed by Mario
     Carneiro, 5-Oct-2015.) $)
  tlmtps $p |- ( W e. TopMod -> W e. TopSp ) $=
    ( ctlm wcel ctmd ctps tlmtmd tmdtps syl ) ABCADCAECAFAGH $.

  $( A topological module is a left module.  (Contributed by Mario Carneiro,
     5-Oct-2015.) $)
  tlmlmod $p |- ( W e. TopMod -> W e. LMod ) $=
    ( ctlm wcel ctmd clmod csca cfv ctrg w3a cscaf ctopn ctx eqid istlm simplbi
    co ccn simp2d ) ABCZADCZAECZAFGZHCZSTUAUCIAJGZUBKGZAKGZLPUFQPCUDUBUFUEAUDMU
    FMUBMUEMNOR $.

  ${
    $d x y F $.  $d x y J $.  $d x y K $.  $d x L $.  $d x y ph $.  $d x y W $.
    $d x y X $.  $d x y Y $.
    tlmtrg.f $e |- F = ( Scalar ` W ) $.
    $( The scalar ring of a topological module is a topological ring.
       (Contributed by Mario Carneiro, 5-Oct-2015.) $)
    tlmtrg $p |- ( W e. TopMod -> F e. TopRing ) $=
      ( ctlm wcel ctmd clmod ctrg w3a cscaf cfv ctopn ctx co eqid istlm simplbi
      ccn simp3d ) BDEZBFEZBGEZAHEZTUAUBUCIBJKZALKZBLKZMNUFRNEUDAUFUEBUDOUFOCUE
      OPQS $.

    $( The scalar ring of a topological module is a topological space.
       (Contributed by Mario Carneiro, 5-Oct-2015.) $)
    tlmscatps $p |- ( W e. TopMod -> F e. TopSp ) $=
      ( ctlm wcel ctrg ctps tlmtrg trgtps syl ) BDEAFEAGEABCHAIJ $.

    $( A topological vector space is a topological module over a topological
       division ring.  (Contributed by Mario Carneiro, 5-Oct-2015.) $)
    istvc $p |- ( W e. TopVec <-> ( W e. TopMod /\ F e. TopDRing ) ) $=
      ( vx cv csca ctdrg wcel ctlm ctvc wceq fveq2 eqtr4di eleq1d df-tvc elrab2
      cfv ) DEZFQZGHAGHDBIJRBKZSAGTSBFQARBFLCMNDOP $.

    $( The scalar field of a topological vector space is a topological division
       ring.  (Contributed by Mario Carneiro, 5-Oct-2015.) $)
    tvctdrg $p |- ( W e. TopVec -> F e. TopDRing ) $=
      ( ctvc wcel ctlm ctdrg istvc simprbi ) BDEBFEAGEABCHI $.

    cnmpt1vsca.t $e |- .x. = ( .s ` W ) $.
    cnmpt1vsca.j $e |- J = ( TopOpen ` W ) $.
    cnmpt1vsca.k $e |- K = ( TopOpen ` F ) $.
    cnmpt1vsca.w $e |- ( ph -> W e. TopMod ) $.
    cnmpt1vsca.l $e |- ( ph -> L e. ( TopOn ` X ) ) $.
    ${
      cnmpt1vsca.a $e |- ( ph -> ( x e. X |-> A ) e. ( L Cn K ) ) $.
      cnmpt1vsca.b $e |- ( ph -> ( x e. X |-> B ) e. ( L Cn J ) ) $.
      $( Continuity of scalar multiplication; analogue of ~ cnmpt12f which
         cannot be used directly because ` .s ` is not a function.
         (Contributed by Mario Carneiro, 5-Oct-2015.) $)
      cnmpt1vsca $p |- ( ph -> ( x e. X |-> ( A .x. B ) ) e. ( L Cn J ) ) $=
        ( wcel cscaf cfv co cmpt ccn cv cbs wceq ctopon ctps ctlm tlmscatps syl
        wa wf eqid istps sylib cnf2 syl3anc fvmptelrn scafval syl2anc mpteq2dva
        tlmtps ctx vscacn cnmpt12f eqeltrrd ) ABKCDJUAUBZUCZUDBKCDEUCZUDIGUEUCZ
        ABKVKVLABUFKTUNCFUGUBZTDJUGUBZTVKVLUHABKCVNAIKUIUBTZHVNUIUBTZBKCUDZIHUE
        UCTKVNVRUOQAFUJTZVQAJUKTZVSPFJLULUMVNHFVNUPZOUQURRVRIHKVNUSUTVAABKDVOAV
        PGVOUIUBTZBKDUDZVMTKVOWCUOQAJUJTZWBAVTWDPJVEUMVOGJVOUPZNUQURSWCIGKVOUSU
        TVAVOVJEFVNJCDWELWAVJUPZMVBVCVDABCDVJIHGGKQRSAVTVJHGVFUCGUEUCTPVJFGHJWF
        NLOVGUMVHVI $.
    $}

    cnmpt2vsca.m $e |- ( ph -> M e. ( TopOn ` Y ) ) $.
    cnmpt2vsca.a $e |- ( ph -> ( x e. X , y e. Y |-> A ) e.
                               ( ( L tX M ) Cn K ) ) $.
    cnmpt2vsca.b $e |- ( ph -> ( x e. X , y e. Y |-> B ) e.
                               ( ( L tX M ) Cn J ) ) $.
    $( Continuity of scalar multiplication; analogue of ~ cnmpt22f which cannot
       be used directly because ` .s ` is not a function.  (Contributed by
       Mario Carneiro, 5-Oct-2015.) $)
    cnmpt2vsca $p |- ( ph ->
        ( x e. X , y e. Y |-> ( A .x. B ) ) e. ( ( L tX M ) Cn J ) ) $=
      ( cscaf cfv co cmpo ctx ccn wcel wceq cbs wral cxp ctopon txtopon syl2anc
      cv wa ctps ctlm tlmscatps syl eqid istps sylib cnf2 syl3anc fmpo r19.21bi
      wf sylibr tlmtps scafval 3impa mpoeq3dva vscacn cnmpt22f eqeltrrd ) ABCMN
      DELUDUEZUFZUGBCMNDEFUFZUGJKUHUFZHUIUFZABCMNWAWBABURMUJZCURNUJZWAWBUKZAWEU
      SZWFUSDGULUEZUJZELULUEZUJZWGWHWJCNAWJCNUMZBMAMNUNZWIBCMNDUGZVKZWMBMUMAWCW
      NUOUEUJZIWIUOUEUJZWOWCIUIUFUJWPAJMUOUEUJKNUOUEUJWQTUAJKMNUPUQZAGUTUJZWRAL
      VAUJZWTSGLOVBVCWIIGWIVDZRVEVFUBWOWCIWNWIVGVHBCMNDWIWOWOVDVIVLVJVJWHWLCNAW
      LCNUMZBMAWNWKBCMNEUGZVKZXCBMUMAWQHWKUOUEUJZXDWDUJXEWSALUTUJZXFAXAXGSLVMVC
      WKHLWKVDZQVEVFUCXDWCHWNWKVGVHBCMNEWKXDXDVDVIVLVJVJWKVTFGWILDEXHOXBVTVDZPV
      NUQVOVPABCDEVTJKIHHMNTUAUBUCAXAVTIHUHUFHUIUFUJSVTGHILXIQORVQVCVRVS $.
  $}

  ${
    $d x W $.
    $( A topological vector space is a topological group.  (Contributed by
       Mario Carneiro, 5-Oct-2015.) $)
    tlmtgp $p |- ( W e. TopMod -> W e. TopGrp ) $=
      ( vx ctlm wcel cgrp ctmd cminusg cfv ctopn ccn co ctgp syl cmpt eqid ctps
      cbs ctopon istps sylib clmod tlmlmod lmodgrp tlmtmd csca cv cvsca grpinvf
      cur wf feqmptd wceq lmodvneg1 sylan mpteq2dva eqtr4d tlmtps tlmscatps crg
      lmodring ringgrp ringidcl syl2anc cnmptc cnmptid cnmpt1vsca eqeltrd istgp
      id grpinvcl syl3anbrc ) ACDZAEDZAFDAGHZAIHZVOJKZDALDVLAUADZVMAUBZAUCMZAUD
      VLVNBAQHZAUEHZUIHZWAGHZHZBUFZAUGHZKZNZVPVLVNBVTWEVNHZNWHVLBVTVTVNVLVMVTVT
      VNUJVSVTAVNVTOZVNOZUHMUKVLBVTWGWIVLVQWEVTDWGWIULVRWFWBWAWCVNVTAWEWJWKWAOZ
      WFOZWBOZWCOZUMUNUOUPVLBWDWEWFWAVOWAIHZVOAVTWLWMVOOZWPOZVLVIVLAPDVOVTRHDAU
      QVTVOAWJWQSTZVLBWDVOWPVTWAQHZWSVLWAPDWPWTRHDWAAWLURWTWPWAWTOZWRSTVLWAEDZW
      BWTDZWDWTDVLWAUSDZXBVLVQXDVRWAAWLUTMZWAVAMVLXDXCXEWTWAWBXAWNVBMWTWAWCWBXA
      WOVJVCVDVLBVOVTWSVEVFVGAVNVOWQWKVHVK $.
  $}

  $( A topological vector space is a topological module.  (Contributed by Mario
     Carneiro, 5-Oct-2015.) $)
  tvctlm $p |- ( W e. TopVec -> W e. TopMod ) $=
    ( ctvc wcel ctlm csca cfv ctdrg eqid istvc simplbi ) ABCADCAEFZGCKAKHIJ $.

  $( A topological vector space is a left module.  (Contributed by Mario
     Carneiro, 5-Oct-2015.) $)
  tvclmod $p |- ( W e. TopVec -> W e. LMod ) $=
    ( ctvc wcel ctlm clmod tvctlm tlmlmod syl ) ABCADCAECAFAGH $.

  $( A topological vector space is a vector space.  (Contributed by Mario
     Carneiro, 5-Oct-2015.) $)
  tvclvec $p |- ( W e. TopVec -> W e. LVec ) $=
    ( ctvc wcel clmod csca cfv clvec tvclmod ctdrg eqid tvctdrg tdrgdrng islvec
    cdr syl sylanbrc ) ABCZADCAEFZNCZAGCAHQRICSRARJZKRLORATMP $.


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Uniform Structures and Spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Uniform structures
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c UnifOn $. $( The class function of uniform structures over a base set. $)

  $( Extend class notation with the class function of uniform structures. $)
  cust $a class UnifOn $.

  ${
    $d x u v w $.
    $( Definition of a uniform structure.  Definition 1 of [BourbakiTop1] p.
       II.1.  A uniform structure is used to give a generalization of the idea
       of Cauchy's sequence.  This definition is analogous to ` TopOn ` .
       Elements of an uniform structure are called entourages.  (Contributed by
       FL, 29-May-2014.)  (Revised by Thierry Arnoux, 15-Nov-2017.) $)
    df-ust $a |- UnifOn = ( x e. _V |-> { u | ( u C_ ~P ( x X. x )
       /\ ( x X. x ) e. u /\ A. v e. u (
          A. w e. ~P ( x X. x ) ( v C_ w -> w e. u )
               /\ A. w e. u ( v i^i w ) e. u
               /\ ( ( _I |` x ) C_ v
                    /\ `' v e. u
                    /\ E. w e. u ( w o. w ) C_ v ) ) ) } ) $.
  $}

  ${
    $d u v w x $.
    $( The defined uniform structure as a function.  (Contributed by Thierry
       Arnoux, 15-Nov-2017.) $)
    ustfn $p |- UnifOn Fn _V $=
      ( vx vu vv vw cvv cv cxp cpw wss wcel wral cin cid cres ccnv ccom w3a cab
      wi pwex wrex cust velpw abbii abid2 vex xpex eqeltri eqeltrri simp1 ssexi
      ss2abi df-ust fnmpti ) AEBFZAFZUPGZHZIZUQUOJZCFZDFZIVBUOJSDURKVAVBLUOJDUO
      KMUPNVAIVAOUOJVBVBPVAIDUOUAQQCUOKZQZBRZUBVEUSBRZUOURHZJZBRZVFEVHUSBBURUCU
      DVIVGEBVGUEURUQUPUPAUFZVJUGTTUHUIVDUSBUSUTVCUJULUKADCBUMUN $.
  $}

  ${
    $d x V $.  $d u v w x X $.
    $( The class of all uniform structures for a base ` X ` .  (Contributed by
       Thierry Arnoux, 15-Nov-2017.)  (Revised by AV, 17-Sep-2021.) $)
    ustval $p |- ( X e. V -> ( UnifOn ` X ) = { u | ( u C_ ~P ( X X. X ) /\
        ( X X. X ) e. u /\ A. v e. u (
          A. w e. ~P ( X X. X ) ( v C_ w -> w e. u )
               /\ A. w e. u ( v i^i w ) e. u
               /\ ( ( _I |` X ) C_ v
                    /\ `' v e. u
                    /\ E. w e. u ( w o. w ) C_ v ) ) ) } ) $=
      ( vx wcel cv cxp cpw wss wel wi wral cid cres w3a cab cvv pwexg ccnv ccom
      cin wrex cust df-ust id sqxpeqd pweqd sseq2d eleq1d raleqdv reseq2 sseq1d
      wceq 3anbi1d 3anbi13d ralbidv 3anbi123d abbidv elex simp1 ss2abi sseqtrri
      df-pw sqxpexg 3syl ssexg sylancr fvmptd3 ) EDGZFECHZFHZVMIZJZKZVNVLGZBHZA
      HZKACLMZAVONZVRVSUCVLGAVLNZOVMPZVRKZVRUAVLGZVSVSUBVRKAVLUDZQZQZBVLNZQZCRV
      LEEIZJZKZWKVLGZVTAWLNZWBOEPZVRKZWEWFQZQZBVLNZQZCRZSUESFABCUFVMEUOZWJXACXC
      VPWMVQWNWIWTXCVOWLVLXCVNWKXCVMEXCUGUHZUIZUJXCVNWKVLXDUKXCWHWSBVLXCWAWOWGW
      RWBXCVTAVOWLXEULXCWDWQWEWFXCWCWPVRVMEOUMUNUPUQURUSUTEDVAVKXBWLJZKXFSGZXBS
      GXBWMCRXFXAWMCWMWNWTVBVCCWLVEVDVKWKSGWLSGXGEDVFWKSTWLSTVGXBXFSVHVIVJ $.
  $}

  ${
    $d u v w U $.  $d u v w X $.
    $( The predicate " ` U ` is a uniform structure with base ` X ` ".
       (Contributed by Thierry Arnoux, 15-Nov-2017.)  (Revised by AV,
       17-Sep-2021.) $)
    isust $p |- ( X e. V -> ( U e. ( UnifOn ` X ) <-> ( U C_ ~P ( X X. X ) /\
      ( X X. X ) e. U /\ A. v e. U (
          A. w e. ~P ( X X. X ) ( v C_ w -> w e. U )
               /\ A. w e. U ( v i^i w ) e. U
               /\ ( ( _I |` X ) C_ v
                    /\ `' v e. U
                    /\ E. w e. U ( w o. w ) C_ v ) ) ) ) ) $=
      ( vu wcel cust cfv cv cxp wss wi wral wrex w3a eleq2 raleqbi1dv 3anbi123d
      cvv cpw wel cin cid cres ccnv cab ustval eleq2d wb simp1 wa sqxpexg pwexd
      ccom adantr simpr ssexd ex syl5 wceq sseq1 imbi2d ralbidv 3anbi23d elab3g
      rexeq syl bitrd ) EDGZCEHIZGCFJZEEKZUAZLZVMVLGZBJZAJZLZAFUBZMZAVNNZVQVRUC
      ZVLGZAVLNZUDEUEVQLZVQUFZVLGZVRVRUOVQLZAVLOZPZPZBVLNZPZFUGZGZCVNLZVMCGZVSV
      RCGZMZAVNNZWCCGZACNZWFWGCGZWIACOZPZPZBCNZPZVJVKWOCABFDEUHUIVJXICTGZMWPXIU
      JXIWQVJXJWQWRXHUKVJWQXJVJWQULCVNTVJVNTGWQVJVMTEDUMUNUPVJWQUQURUSUTWNXIFCT
      VLCVAZVOWQVPWRWMXHVLCVNVBVLCVMQWLXGBVLCXKWBXAWEXCWKXFXKWAWTAVNXKVTWSVSVLC
      VRQVCVDWDXBAVLCVLCWCQRXKWHXDWJXEWFVLCWGQWIAVLCVGVESRSVFVHVI $.

    $d v w V $.
    $( Entourages are subsets of the Cartesian product of the base set.
       (Contributed by Thierry Arnoux, 19-Nov-2017.) $)
    ustssxp $p |- ( ( U e. ( UnifOn ` X ) /\ V e. U ) -> V C_ ( X X. X ) ) $=
      ( vv vw cust cfv wcel wa cxp cpw wss cv wi wral cin cid cres w3a cvv ccnv
      ccom wrex wb elfvex isust syl ibi simp1d sselda elpwid ) ACFGHZBAHIBCCJZU
      LAUMKZBULAUNLZUMAHZDMZEMZLURAHNEUNOUQURPAHEAOQCRUQLUQUAAHURURUBUQLEAUCSSD
      AOZULUOUPUSSZULCTHULUTUDACFUEEDATCUFUGUHUIUJUK $.

    $d w W $.
    $( A uniform structure is upward closed.  Condition F_I of [BourbakiTop1]
       p.  I.36.  (Contributed by Thierry Arnoux, 19-Nov-2017.)  (Proof
       shortened by AV, 17-Sep-2021.) $)
    ustssel $p |- ( ( U e. ( UnifOn ` X ) /\ V e. U /\ W C_ ( X X. X ) )
      -> ( V C_ W -> W e. U ) ) $=
      ( vv vw cust cfv wcel cxp wss w3a cv wi cpw wral simp1 cvv syl wceq isust
      cin cid cres ccnv ccom wrex elfvexd mpbid simp3d ralimi simp2 xpexd simp3
      wb sselpwd sseq1 imbi1d sseq2 eleq1 imbi12d rspc2v syl2anc mpd ) ADGHIZBA
      IZCDDJZKZLZEMZFMZKZVKAIZNZFVGOZPZEAPZBCKZCAIZNZVIVPVJVKUBAIFAPZUCDUDVJKVJ
      UEAIVKVKUFVJKFAUGLZLZEAPZVQVIAVOKZVGAIZWDVIVEWEWFWDLZVEVFVHQZVIDRIVEWGUOV
      IAGDWHUHZFEARDUASUIUJWCVPEAVPWAWBQUKSVIVFCVOIVQVTNVEVFVHULVICVGRVIDDRRWIW
      IUMVEVFVHUNUPVNVTBVKKZVMNEFBCAVOVJBTVLWJVMVJBVKUQURVKCTWJVRVMVSVKCBUSVKCA
      UTVAVBVCVD $.

    $( The full set is always an entourage.  Condition F_IIb of [BourbakiTop1]
       p.  I.36.  (Contributed by Thierry Arnoux, 19-Nov-2017.) $)
    ustbasel $p |- ( U e. ( UnifOn ` X ) -> ( X X. X ) e. U ) $=
      ( vv vw cust cfv wcel cxp cpw wss cv wral cin cid cres ccnv ccom w3a cvv
      wi wrex wb elfvex isust syl ibi simp2d ) ABEFGZABBHZIZJZUIAGZCKZDKZJUNAGT
      DUJLUMUNMAGDALNBOUMJUMPAGUNUNQUMJDAUARRCALZUHUKULUORZUHBSGUHUPUBABEUCDCAS
      BUDUEUFUG $.

    $( A uniform structure is closed under finite intersection.  Condition F_II
       of [BourbakiTop1] p.  I.36.  (Contributed by Thierry Arnoux,
       30-Nov-2017.) $)
    ustincl $p |- ( ( U e. ( UnifOn ` X ) /\ V e. U /\ W e. U )
      -> ( V i^i W ) e. U ) $=
      ( vw vv cust wcel cin cv wral wss ccnv wrex w3a cvv wceq ralbidv eleq1d
      wi cfv wa cxp cpw cid cres ccom wb elfvex isust simp3d sseq1 imbi1d ineq1
      syl ibi sseq2 cnveq rexbidv 3anbi123d rspcv mpan9 simp2d ineq2 3impa ) AD
      GUAHZBAHZCAHZBCIZAHZVFVGUBZBEJZIZAHZEAKZVHVJVKBVLLZVLAHZTZEDDUCZUDZKZVOUE
      DUFZBLZBMZAHZVLVLUGZBLZEANZOZVFFJZVLLZVQTZEVTKZWJVLIZAHZEAKZWBWJLZWJMZAHZ
      WFWJLZEANZOZOZFAKZVGWAVOWIOZVFAVTLZVSAHZXDVFXFXGXDOZVFDPHVFXHUHADGUIEFAPD
      UJUOUPUKXCXEFBAWJBQZWMWAWPVOXBWIXIWLVREVTXIWKVPVQWJBVLULUMRXIWOVNEAXIWNVM
      AWJBVLUNSRXIWQWCWSWEXAWHWJBWBUQXIWRWDAWJBURSXIWTWGEAWJBWFUQUSUTUTVAVBVCVN
      VJECAVLCQVMVIAVLCBVDSVAVBVE $.

    $( The diagonal set is included in any entourage, i.e. any point is ` V `
       -close to itself.  Condition U_I of [BourbakiTop1] p.  II.1.
       (Contributed by Thierry Arnoux, 2-Dec-2017.) $)
    ustdiag $p |- ( ( U e. ( UnifOn ` X ) /\ V e. U ) -> ( _I |` X ) C_ V ) $=
      ( vw vv cust wcel wss ccnv cv wrex wral cin w3a cvv simp3d ralbidv eleq1d
      wi sseq2 cfv wa cid cres ccom cxp cpw wb elfvex isust syl ibi wceq imbi1d
      sseq1 ineq1 cnveq rexbidv 3anbi123d rspcv mpan9 simp1d ) ACFUAGZBAGZUBZUC
      CUDZBHZBIZAGZDJZVJUEZBHZDAKZVEBVJHZVJAGZSZDCCUFZUGZLZBVJMZAGZDALZVGVIVMNZ
      VCEJZVJHZVOSZDVRLZWDVJMZAGZDALZVFWDHZWDIZAGZVKWDHZDAKZNZNZEALZVDVSWBWCNZV
      CAVRHZVQAGZWRVCWTXAWRNZVCCOGVCXBUHACFUIDEAOCUJUKULPWQWSEBAWDBUMZWGVSWJWBW
      PWCXCWFVPDVRXCWEVNVOWDBVJUOUNQXCWIWADAXCWHVTAWDBVJUPRQXCWKVGWMVIWOVMWDBVF
      TXCWLVHAWDBUQRXCWNVLDAWDBVKTURUSUSUTVAPVB $.

    $( If ` V ` is an entourage, so is its inverse.  Condition U_II of
       [BourbakiTop1] p.  II.1.  (Contributed by Thierry Arnoux,
       2-Dec-2017.) $)
    ustinvel $p |- ( ( U e. ( UnifOn ` X ) /\ V e. U ) -> `' V e. U ) $=
      ( vw vv cust wcel wss ccnv cv wrex wral cin w3a cvv simp3d ralbidv eleq1d
      wi sseq2 cfv wa cid cres ccom cxp cpw wb elfvex isust syl ibi wceq imbi1d
      sseq1 ineq1 cnveq rexbidv 3anbi123d rspcv mpan9 simp2d ) ACFUAGZBAGZUBZUC
      CUDZBHZBIZAGZDJZVJUEZBHZDAKZVEBVJHZVJAGZSZDCCUFZUGZLZBVJMZAGZDALZVGVIVMNZ
      VCEJZVJHZVOSZDVRLZWDVJMZAGZDALZVFWDHZWDIZAGZVKWDHZDAKZNZNZEALZVDVSWBWCNZV
      CAVRHZVQAGZWRVCWTXAWRNZVCCOGVCXBUHACFUIDEAOCUJUKULPWQWSEBAWDBUMZWGVSWJWBW
      PWCXCWFVPDVRXCWEVNVOWDBVJUOUNQXCWIWADAXCWHVTAWDBVJUPRQXCWKVGWMVIWOVMWDBVF
      TXCWLVHAWDBUQRXCWNVLDAWDBVKTURUSUSUTVAPVB $.

    $( For each entourage ` V ` there is an entourage ` w ` that is "not more
       than half as large".  Condition U_III of [BourbakiTop1] p.  II.1.
       (Contributed by Thierry Arnoux, 2-Dec-2017.) $)
    ustexhalf $p |- ( ( U e. ( UnifOn ` X ) /\ V e. U )
      -> E. w e. U ( w o. w ) C_ V ) $=
      ( vv cust wcel wss ccnv cv wrex wi wral cin w3a cvv simp3d ralbidv eleq1d
      sseq2 cfv wa cid cres ccom cxp cpw elfvex isust syl ibi wceq sseq1 imbi1d
      wb ineq1 cnveq rexbidv 3anbi123d rspcv mpan9 ) BDFUAGZCBGZUBZUCDUDZCHZCIZ
      BGZAJZVIUEZCHZABKZVDCVIHZVIBGZLZADDUFZUGZMZCVINZBGZABMZVFVHVLOZVBEJZVIHZV
      NLZAVQMZWCVINZBGZABMZVEWCHZWCIZBGZVJWCHZABKZOZOZEBMZVCVRWAWBOZVBBVQHZVPBG
      ZWQVBWSWTWQOZVBDPGVBXAUOBDFUHAEBPDUIUJUKQWPWRECBWCCULZWFVRWIWAWOWBXBWEVOA
      VQXBWDVMVNWCCVIUMUNRXBWHVTABXBWGVSBWCCVIUPSRXBWJVFWLVHWNVLWCCVETXBWKVGBWC
      CUQSXBWMVKABWCCVJTURUSUSUTVAQQ $.

    $( The elements of uniform structures, called entourages, are relations.
       (Contributed by Thierry Arnoux, 15-Nov-2017.) $)
    ustrel $p |- ( ( U e. ( UnifOn ` X ) /\ V e. U ) -> Rel V ) $=
      ( cust cfv wcel wa cvv cxp wss wrel ustssxp xpss sstrdi df-rel sylibr ) A
      CDEFBAFGZBHHIZJBKQBCCIRABCLCCMNBOP $.

    $( A uniform structure on a nonempty base is a filter.  Remark 3 of
       [BourbakiTop1] p.  II.2.  (Contributed by Thierry Arnoux, 15-Nov-2017.)
       (Proof shortened by Peter Mazsa, 2-Oct-2022.) $)
    ustfilxp $p |- ( ( X =/= (/) /\ U e. ( UnifOn ` X ) )
      -> U e. ( Fil ` ( X X. X ) ) ) $=
      ( vw vv c0 wne cfv wcel wa cpw cin wral wss w3a cvv wb r19.21bi ralrimiva
      syl simp1d cust cxp cfbas cv wi cfil wnel cid cres ccnv ccom elfvex isust
      wrex ibi adantl simp2d ne0d simp3d cop opelidres elv biimpri r19.2z mpan2
      rgen ad2antrr ne0i rexlimivw ssn0 syl2anc nelrdva df-nel sylibr vex inex2
      wn pwid a1i elind 3jca xpexd isfbas mpbir2and wex elin velpw anbi2i bitri
      n0 exbii an32s expimpd exlimdv syl5bi isfil sylanbrc ) BEFZABUAGHZIZABBUB
      ZUCGHZACUDZJZKZEFZXCAHZUEZCXAJZLAXAUFGHWTXBAXIMZAEFZEAUGZADUDZXCKZJZKZEFZ
      CALZDALZNZWTXJXAAHZXMXCMZXGUEZCXILZXNAHZCALZUHBUIZXMMZXMUJAHZXCXCUKXMMCAU
      NZNZNZDALZWSXJYAYMNZWRWSYNWSBOHWSYNPABUAULZCDAOBUMSUOUPZTWTXKXLXSWTAXAWTX
      JYAYMYPUQURWTEAHVQXLWTDAEWTXMAHZIZYHYGEFZXMEFYRYHYIYJYRYDYFYKWTYLDAWTXJYA
      YMYPUSQZUSTYRXCXCUTZYGHZCBUNZYSWRUUCWSYQWRUUBCBLUUCUUBCBUUBXCBHZUUBUUDPCX
      CBOVAVBVCVFUUBCBVDVEVGUUBYSCBYGUUAVHVISYGXMVJVKVLEAVMVNWTXRDAYRXQCAYRXGIZ
      XPXNUUEAXOXNYRYECAYRYDYFYKYTUQQXNXOHUUEXNXCXMCVOVPVRVSVTURRRWAWSXBXJXTIPZ
      WRWSXAOHUUFWSBBOOYOYOWBDCOXAAWCSUPWDWTXHCXIXFYQYBIZDWEZWTXCXIHZIZXGXFXMXE
      HZDWEUUHDXEWJUUKUUGDUUKYQXMXDHZIUUGXMAXDWFUULYBYQDXCWGWHWIWKWIUUJUUGXGDUU
      JYQYBXGWTYQUUIYCYRYCCXIYRYDYFYKYTTQWLWMWNWORCAXAWPWQ $.
  $}

  $( A uniform structure cannot be empty.  (Contributed by Thierry Arnoux,
     16-Nov-2017.) $)
  ustne0 $p |- ( U e. ( UnifOn ` X ) -> U =/= (/) ) $=
    ( cust cfv wcel cxp ustbasel ne0d ) ABCDEABBFABGH $.

  $( In an uniform structure, any entourage ` V ` is a subset of its
     composition with itself.  (Contributed by Thierry Arnoux, 5-Jan-2018.) $)
  ustssco $p |- ( ( U e. ( UnifOn ` X ) /\ V e. U ) -> V C_ ( V o. V ) ) $=
    ( cust cfv wcel wa cid cres cun ccom ssun1 coires1 wrel cdm wss wceq ustrel
    cxp ustssxp dmss syl dmxpid sseqtrdi syl2anc syl5eq uneq1d sseqtrrid coundi
    relssres sseqtrrdi ustdiag ssequn1 sylib coeq2d sseqtrd ) ACDEFBAFGZBBHCIZB
    JZKZBBKZUQBBURKZVAJZUTUQBVAJBVCBVALUQVBBVAUQVBBCIZBBCMUQBNBOZCPVDBQABCRUQVE
    CCSZOZCUQBVFPVEVGPABCTBVFUAUBCUCUDBCUJUEUFUGUHBURBUIUKUQUSBBUQURBPUSBQABCUL
    URBUMUNUOUP $.

  ${
    $d w x U $.  $d w x V $.  $d x X $.
    $( In an uniform structure, for any entourage ` V ` , there exists a
       smaller symmetrical entourage.  (Contributed by Thierry Arnoux,
       4-Jan-2018.) $)
    ustexsym $p |- ( ( U e. ( UnifOn ` X ) /\ V e. U )
      -> E. w e. U ( `' w = w /\ w C_ V ) ) $=
      ( vx cust cfv wcel wa cv ccom wss ccnv wceq cin simplll ustinvel ad4ant13
      wrex simplr ustincl syl3anc wrel ustrel dfrel2 sylib ineq1d cnvin 3eqtr4g
      incom inss2 ustssco simpr sstrd sstrid cnveq eqeq12d sseq1 anbi12d rspcev
      id syl12anc ustexhalf r19.29a ) BDFGHZCBHZIZEJZVHKZCLZAJZMZVKNZVKCLZIZABS
      ZEBVGVHBHZIZVJIZVHMZVHOZBHZWAMZWANZWACLZVPVSVEVTBHZVQWBVEVFVQVJPVEVQWFVFV
      JBVHDQRVGVQVJTBVTVHDUAUBVEVQWDVFVJVEVQIZVTMZVTOVHVTOWCWAWGWHVHVTWGVHUCWHV
      HNBVHDUDVHUEUFUGVTVHUHVTVHUJUIRVSWAVHCVTVHUKVSVHVICVEVQVHVILVFVJBVHDULRVR
      VJUMUNUOVOWDWEIAWABVKWANZVMWDVNWEWIVLWCVKWAVKWAUPWIVAUQVKWACURUSUTVBEBCDV
      CVD $.
  $}

  ${
    $d v w U $.  $d v w V $.  $d v w X $.
    $( In an uniform structure, for any entourage ` V ` , there exists a
       symmetrical entourage smaller than half ` V ` .  (Contributed by Thierry
       Arnoux, 16-Jan-2018.) $)
    ustex2sym $p |- ( ( U e. ( UnifOn ` X ) /\ V e. U )
      -> E. w e. U ( `' w = w /\ ( w o. w ) C_ V ) ) $=
      ( vv cust cfv wcel wa cv ccom wss ccnv wceq wrex ustexsym ad4ant13 simprl
      coss1 sstrd coss2 ad2antll simpllr jca ex reximdva mpd ustexhalf r19.29a
      ) BDFGHZCBHZIZEJZUMKZCLZAJZMUPNZUPUPKZCLZIZABOZEBULUMBHZIZUOIZUQUPUMLZIZA
      BOZVAUJVBVGUKUOABUMDPQVDVFUTABVDUPBHZIZVFUTVIVFIZUQUSVIUQVERVJURUNCVEURUN
      LVIUQVEURUMUPKUNUPUMUPSUPUMUMUATUBVCUOVHVFUCTUDUEUFUGEBCDUHUI $.
  $}

  ${
    $d v w U $.  $d v w V $.  $d v w X $.
    $( In an uniform structure, for any entourage ` V ` , there exists a
       symmetrical entourage smaller than a third of ` V ` .  (Contributed by
       Thierry Arnoux, 16-Jan-2018.) $)
    ustex3sym $p |- ( ( U e. ( UnifOn ` X ) /\ V e. U )
      -> E. w e. U ( `' w = w /\ ( w o. ( w o. w ) ) C_ V ) ) $=
      ( vv cust cfv wcel wa cv ccom wss ccnv wceq wrex ustex2sym simprl syl2anc
      ad4ant13 sstrd simp-5l simplr ustssco simprr coss2 sstr coss1 syl simpllr
      adantl jca ex reximdva mpd ustexhalf r19.29a ) BDFGHZCBHZIZEJZUTKZCLZAJZM
      VCNZVCVCVCKZKZCLZIZABOZEBUSUTBHZIZVBIZVDVEUTLZIZABOZVIUQVJVOURVBABUTDPSVL
      VNVHABVLVCBHZIZVNVHVQVNIZVDVGVQVDVMQVRVFVACVRVCVELZVMVFVALVRUQVPVSUQURVJV
      BVPVNUAVLVPVNUBBVCDUCRVQVDVMUDVSVMIZVFVCUTKZVAVMVFWALVSVEUTVCUEUJVTVCUTLW
      AVALVCVEUTUFVCUTUTUGUHTRVKVBVPVNUITUKULUMUNEBCDUOUP $.
  $}

  $( Any element of the base set is "near" itself, i.e. entourages are
     reflexive.  (Contributed by Thierry Arnoux, 16-Nov-2017.) $)
  ustref $p |- ( ( U e. ( UnifOn ` X ) /\ V e. U /\ A e. X ) -> A V A ) $=
    ( cust cfv wcel w3a cid cres wbr wa wceq eqid resieq mpbiri anidms 3ad2ant3
    wi ustdiag ssbrd 3adant3 mpd ) BDEFGZCBGZADGZHAAIDJZKZAACKZUFUDUHUEUFUHUFUF
    LUHAAMANDAAOPQRUDUEUHUISUFUDUELUGCAABCDTUAUBUC $.

  ${
    $d u v w $.
    $( The unique uniform structure of the empty set is the empty set.  Remark
       3 of [BourbakiTop1] p.  II.2.  (Contributed by Thierry Arnoux,
       15-Nov-2017.) $)
    ust0 $p |- ( UnifOn ` (/) ) = { { (/) } } $=
      ( vu vv vw c0 cv wcel wceq wss wi wral cin wrex w3a cvv 0ex ax-mp eqeltri
      sseq2 ralsn mpbir cust cfv csn cxp cpw cid cres ccnv wb isust simp1bi 0xp
      ccom pweqi pw0 eqtri sseqtrdi ustbasel eqeltrrid snssd eqssd velsn sylibr
      ssriv eqimss2i snid raleqi eleq1 imbi12d bitri inidm ineq2 eleq1d eqimssi
      a1i res0 cnv0 0trrel id coeq12d sseq1d rexsn 3pm3.2i sseq1 imbi1d ralbidv
      ineq1 cnveq rexbidv 3anbi123d mpbir3an snssi eqssi ) DUAUBZDUCZUCZAWNWPAE
      ZWNFZWQWOGWQWPFWRWQWOWRWQDDUDZUEZWOWRWQWTHZWSWQFZBEZCEZHZXDWQFICWTJXCXDKZ
      WQFCWQJUFDUGZXCHZXCUHZWQFXDXDUMZXCHZCWQLMMBWQJZDNFZWRXAXBXLMUIOCBWQNDUJPU
      KWTDUEWOWSDDULZUNUOUPZUQWRDWQWRDWSWQXNWQDURUSUTVAAWOVBVCVDWOWNFZWPWNHXPWO
      WTHZWSWOFZXEXDWOFZIZCWTJZXFWOFZCWOJZXHXIWOFZXKCWOLZMZMZBWOJZWTWOXOVEWSDWO
      XNDOVFZQYHDXDHZXSIZCWTJZDXDKZWOFZCWOJZXGDHZDUHZWOFZXJDHZCWOLZMZYLDDHZDWOF
      ZIZUUCUUBYIVOYLYKCWOJUUDYKCWTWOXOVGYKUUDCDOXDDGZYJUUBXSUUCXDDDRXDDWOVHVIS
      VJTYODDKZWOFZUUFDWODVKYIQYNUUGCDOUUEYMUUFWOXDDDVLVMSTYPYRYTXGDUFVPVNYQDWO
      VQYIQYTDDUMZDHZVRYSUUICDOUUEXJUUHDUUEXDDXDDUUEVSZUUJVTWAWBTWCYGYLYOUUAMBD
      OXCDGZYAYLYCYOYFUUAUUKXTYKCWTUUKXEYJXSXCDXDWDWEWFUUKYBYNCWOUUKXFYMWOXCDXD
      WGVMWFUUKXHYPYDYRYEYTXCDXGRUUKXIYQWOXCDWHVMUUKXKYSCWOXCDXJRWIWJWJSWKXMXPX
      QXRYHMUIOCBWONDUJPWKWOWNWLPWM $.
  $}

  ${
    $d u v w x $.
    $( The empty set is not an uniform structure.  (Contributed by Thierry
       Arnoux, 3-Dec-2017.) $)
    ustn0 $p |- -. (/) e. U. ran UnifOn $=
      ( vx vu vv vw c0 cust wcel cv cab mtbir cpw wss wral wrex w3a wceq ss2abi
      cvv pwex ax-mp crn cuni cfv wex cxp noel 0ex eleq2 elab cin cid cres ccnv
      wi ccom velpw abbii abid2 xpex eqeltri eqeltrri simp1 ssexi df-ust fvmpt2
      vex mp2an simp2 eqsstri sseli mto nex cdm wfun funmpt2 elunirn ustfn fndm
      wb wfn rexeqi rexv 3bitri ) EFUAUBGZEAHZFUCZGZAUDZWGAWGEWEWEUEZBHZGZBIZGZ
      WMWIEGZWIUFWKWNBEUGWJEWIUHUIJWFWLEWFWJWIKZLZWKCHZDHZLWRWJGUNDWOMWQWRUJWJG
      DWJMUKWEULWQLWQUMWJGWRWRUOWQLDWJNOOCWJMZOZBIZWLWERGXARGWFXAPAVFZXAWPBIZWJ
      WOKZGZBIZXCRXEWPBBWOUPUQXFXDRBXDURWOWIWEWEXBXBUSSSUTVAWTWPBWPWKWSVBQVCARX
      ARFADCBVDZVEVGWTWKBWPWKWSVHQVIVJVKVLWDWGAFVMZNZWGARNWHFVNWDXIVSARXAFXGVOA
      EFVPTWGAXHRFRVTXHRPVQRFVRTWAWGAWBWCJ $.
  $}

  ${
    ustund.1 $e |- ( ph -> ( A X. A ) C_ V ) $.
    ustund.2 $e |- ( ph -> ( B X. B ) C_ V ) $.
    ustund.3 $e |- ( ph -> ( A i^i B ) =/= (/) ) $.
    $( If two intersecting sets ` A ` and ` B ` are both small in ` V ` , their
       union is small in ` ( V ^ 2 ) ` .  Proposition 1 of [BourbakiTop1] p.
       II.12.  This proposition actually does not require any axiom of the
       definition of uniform structures.  (Contributed by Thierry Arnoux,
       17-Nov-2017.) $)
    ustund $p |- ( ph -> ( ( A u. B ) X. ( A u. B ) ) C_ ( V o. V ) ) $=
      ( cun cxp cin ccom wne xpindir inss1 sstrid eqsstrid inss2 unssd xpindi
      c0 wceq xpco syl xpundi xpundir coss12d eqsstrrd ) ABCHZUHIZBCJZUHIZUHUJI
      ZKZDDKAUJTLUMUIUAGUHUJUHUBUCAUKDULDAUKUJBIZUJCIZHDUJBCUDAUNUODAUNBBIZCBIZ
      JZDBCBMAURUPDUPUQNEOPAUOBCIZCCIZJZDBCCMAVAUTDUSUTQFOPRPAULBUJIZCUJIZHDBCU
      JUEAVBVCDAVBUPUSJZDBBCSAVDUPDUPUSNEOPAVCUQUTJZDCBCSAVEUTDUQUTQFOPRPUFUG
      $.
  $}

  $( Any point ` A ` is near enough to itself.  (Contributed by Thierry Arnoux,
     18-Nov-2017.) $)
  ustelimasn $p |- ( ( U e. ( UnifOn ` X ) /\ V e. U /\ A e. X )
    -> A e. ( V " { A } ) ) $=
    ( cust cfv wcel w3a cop csn cima cid wss ustdiag 3adant3 opelidres 3ad2ant3
    simp3 cres ibir sseldd wb elimasng anidms biimpar syl2anc ) BDEFGZCBGZADGZH
    ZUIAAIZCGZACAJKGZUGUHUIRUJLDSZCUKUGUHUNCMUIBCDNOUIUGUKUNGZUHUIUOADDPTQUAUIU
    MULUIUMULUBCAADDUCUDUEUF $.

  $( For a point ` A ` in ` X ` , ` ( V " { A } ) ` is small enough in
     ` ( V o. ``' V ) ` .  This proposition actually does not require any axiom
     of the definition of uniform structures.  (Contributed by Thierry Arnoux,
     18-Nov-2017.) $)
  ustneism $p |- ( ( V C_ ( X X. X ) /\ A e. X )
    -> ( ( V " { A } ) X. ( V " { A } ) ) C_ ( V o. `' V ) ) $=
    ( cxp wss wcel wa csn cima ccom ccnv c0 wne wceq snnzg adantl xpco eqsstrri
    syl mp1i cnvxp ressn cnveqi resss cnvss ax-mp coss2 coss1 sstrd eqsstrrd
    cres ) BCCDEZACFZGZBAHZIZUPDZUOUPDZUPUODZJZBBKZJZUNUOLMZUTUQNUMVCULACOPUPUO
    UPQSUNUTURVAJZVBUSVAEUTVDEUNUSURKZVAUOUPUAVEBUOUKZKZVAVFURBAUBZUCVFBEVGVAEB
    UOUDZVFBUEUFRRUSVAURUGTURBEVDVBEUNURVFBVHVIRURBVAUHTUIUJ $.

  ${
    $d x U $.  $d x X $.
    $( First direction for ~ ustbas .  (Contributed by Thierry Arnoux,
       16-Nov-2017.) $)
    elrnust $p |- ( U e. ( UnifOn ` X ) -> U e. U. ran UnifOn ) $=
      ( vx cust cfv wcel cv cdm wrex crn cuni elfvdm wceq eleq2d rspcev mpancom
      fveq2 cvv wfn wfun wb ustfn fnfun elunirn mp2b sylibr ) ABDEZFZACGZDEZFZC
      DHZIZADJKFZBULFUHUMABDLUKUHCBULUIBMUJUGAUIBDQNOPDRSDTUNUMUAUBRDUCCADUDUEU
      F $.
  $}

  ${
    $d v w U $.  $d v w X $.
    $( Second direction for ~ ustbas .  (Contributed by Thierry Arnoux,
       16-Nov-2017.) $)
    ustbas2 $p |- ( U e. ( UnifOn ` X ) -> X = dom U. U ) $=
      ( vv vw cust cfv wcel cxp cdm cuni dmxpid wss ustbasel elssuni syl cpw cv
      wral w3a cvv wi cin cid cres ccnv ccom wrex wb elfvex isust simp1d unissd
      ibi unipw sseqtrdi eqssd dmeqd eqtr3id ) ABEFGZBBBHZIAJZIBKUSUTVAUSUTVAUS
      UTAGZUTVALABMUTANOUSVAUTPZJUTUSAVCUSAVCLZVBCQZDQZLVFAGUADVCRVEVFUBAGDARUC
      BUDVELVEUEAGVFVFUFVELDAUGSSCARZUSVDVBVGSZUSBTGUSVHUHABEUIDCATBUJOUMUKULUT
      UNUOUPUQUR $.
  $}

  ${
    $d u U $.  $d u X $.
    $( The set union of a uniform structure is the Cartesian product of its
       base.  (Contributed by Thierry Arnoux, 5-Dec-2017.) $)
    ustuni $p |- ( U e. ( UnifOn ` X ) -> U. U = ( X X. X ) ) $=
      ( vu cust cfv wcel cxp cpw wss cuni wceq ustbasel cv wral ralrimiva pwssb
      ustssxp sylibr elpwuni biimpa syl2anc ) ABDEFZBBGZAFZAUCHIZAJUCKZABLUBCMZ
      UCIZCANUEUBUHCAAUGBQOCAUCPRUDUEUFAUCSTUA $.
  $}

  ${
    $d x U $.  $d x X $.
    ustbas.1 $e |- X = dom U. U $.
    $( Recover the base of an uniform structure ` U ` . ` U. ran UnifOn ` is to
       ` UnifOn ` what ` Top ` is to ` TopOn ` .  (Contributed by Thierry
       Arnoux, 16-Nov-2017.) $)
    ustbas $p |- ( U e. U. ran UnifOn <-> U e. ( UnifOn ` X ) ) $=
      ( vx cust crn cuni wcel cfv cv cdm wrex cvv wfun ustfn fnfun elunirn mp2b
      wfn wb ustbas2 eqtr4di fveq2d eleq2d ibi rexlimivw sylbi elrnust impbii )
      AEFGHZABEIZHZUJADJZEIZHZDEKZLZULEMSENUJUQTOMEPDAEQRUOULDUPUOULUOUNUKAUOUM
      BEUOUMAGKBAUMUACUBUCUDUEUFUGABUHUI $.
  $}

  $( Lemma for ~ ustuqtop .  (Contributed by Thierry Arnoux, 5-Dec-2017.) $)
  ustimasn $p |- ( ( U e. ( UnifOn ` X ) /\ V e. U /\ P e. X )
    -> ( V " { P } ) C_ X ) $=
    ( cust cfv wcel w3a csn crn imassrn cxp wss ustssxp 3adant3 rnxpid sseqtrdi
    cima rnss syl sstrid ) BDEFGZCBGZADGZHZCAIZRCJZDCUFKUECDDLZMZUGDMUBUCUIUDBC
    DNOUIUGUHJDCUHSDPQTUA $.

  ${
    $d u v w x y A $.  $d u v w x y U $.  $d u v w x X $.
    $( The trace of a uniform structure ` U ` on a subset ` A ` is a uniform
       structure on ` A ` .  Definition 3 of [BourbakiTop1] p.  II.9.
       (Contributed by Thierry Arnoux, 2-Dec-2017.) $)
    trust $p |- ( ( U e. ( UnifOn ` X ) /\ A C_ X )
      -> ( U |`t ( A X. A ) ) e. ( UnifOn ` A ) ) $=
      ( vv vw vu vx wcel wss wa cv cin cid ccom wrex wceq simpr ad5antr syl2anc
      cvv vy cust cfv cxp crest co cpw wral cres ccnv w3a restsspw inxp sseqin2
      a1i biimpi sqxpeqd syl5eq adantl simpl elfvex adantr ssexd xpexd ustbasel
      wi elrestr syl3anc eqeltrrd cun simplr simp-4r elpwid sstrd ustssxp unssd
      xpss12 ssun2 ustssel mpi df-ss sylib uneq1d simpllr eqsstrrd eqtr2d indir
      ssequn2 eqtr4di rspceeqv elrest biimpar syl21anc syldanl ad2antrr r19.29a
      biimpa ex ralrimiva ustincl simprl simprr ineq12d inindir reeanv sylanbrc
      ineq1 r19.29vva simp-4l ustdiag cdm inss1 resss sstri iss wbr ssel2 equid
      resieq mpbiri breq2 rspcev dminxp sylibr reseq2d eqtr2id eqsstrd sseqtrrd
      mpbi ssrin ad3antrrr ustinvel cnveqd cnvin cnvxp coss1 coss2 ax-mp mpbird
      3jca ineq2i eqtri eqtrdi sstr mpan inss2 xpidtr ssind id sseq1d ustexhalf
      coeq12d adantlr ad4ant13 sseq2d rexbidv wb isust syl ) BCUBUCZHZACIZJZBAA
      UDZUEUFZAUBUCHZUVEUVDUGZIZUVDUVEHZDKZEKZIZUVKUVEHZVFZEUVGUHZUVJUVKLZUVEHZ
      EUVEUHZMAUIZUVJIZUVJUJZUVEHZUVKUVKNZUVJIZEUVEOZUKZUKZDUVEUHZUKZUVCUVHUVIU
      WHUVHUVCUVDBULUOUVCCCUDZUVDLZUVDUVEUVBUWKUVDPUVAUVBUWKCALZUWLUDUVDCCAAUMU
      VBUWLAUVBUWLAPACUNUPUQURUSUVCUVAUVDTHZUWJBHZUWKUVEHUVAUVBUTZUVCAATTUVCACT
      UVACTHUVBBCUBVAVBUVAUVBQZVCZUWQVDZUVAUWNUVBBCVEVBUWJUVDBUUTTVGVHVIUVCUWGD
      UVEUVCUVJUVEHZJZUVOUVRUWFUWTUVNEUVGUWTUVKUVGHZJZUVLUVMUXBUVLJZUVJFKZUVDLZ
      PZUVMFBUXCUXDBHZJZUXFJZUVAUWMUVKGKZUVDLZPZGBOZUVMUVCUVAUWSUXAUVLUXGUXFUWO
      RZUVCUWMUWSUXAUVLUXGUXFUWRRUXIUVKUXDVJZBHZUVKUXOUVDLZPUXMUXIUVAUXGUXOUWJI
      ZUXPUXNUXCUXGUXFVKZUXIUVKUXDUWJUXIUVKUVDUWJUXIUVKUVDUWTUXAUVLUXGUXFVLVMZU
      XIUVBUVBUVDUWJIUVCUVBUWSUXAUVLUXGUXFUWPRZUYAACACVQSVNUXIUVAUXGUXDUWJIUXNU
      XSBUXDCVOSVPUVAUXGUXRUKUXDUXOIUXPUXDUVKVRBUXDUXOCVSVTVHUXIUVKUVKUVDLZUXEV
      JZUXQUXIUYCUVKUXEVJZUVKUXIUYBUVKUXEUXIUVKUVDIUYBUVKPUXTUVKUVDWAWBWCUXIUXE
      UVKIUYDUVKPUXIUXEUVJUVKUXHUXFQUXBUVLUXGUXFWDWEUXEUVKWHWBWFUVKUXDUVDWGWIGU
      XOBUXKUXQUVKUXJUXOUVDXGWJSUVAUWMJZUVMUXMGUVKUVDBUUTTWKZWLWMUWTUXFFBOZUXAU
      VLUVAUVBUWMUWSUYGUWRUYEUWSUYGFUVJUVDBUUTTWKWQWNZWOWPWRWSUWTUVQEUVEUWTUVMJ
      ZUXFUXLJZUVQFGBBUYIUXGJZUXJBHZJZUYJJZUVAUWMUVPUAKZUVDLZPUABOZUVQUVCUVAUWS
      UVMUXGUYLUYJUWORZUVCUWMUWSUVMUXGUYLUYJUWRRUYNUXDUXJLZBHZUVPUYSUVDLZPUYQUY
      NUVAUXGUYLUYTUYRUYIUXGUYLUYJWDUYKUYLUYJVKBUXDUXJCWTVHUYNUVPUXEUXKLVUAUYNU
      VJUXEUVKUXKUYMUXFUXLXAUYMUXFUXLXBXCUXDUXJUVDXDWIUAUYSBUYPVUAUVPUYOUYSUVDX
      GWJSUYEUVQUYQUAUVPUVDBUUTTWKWLWMUYIUYGUXMUYJGBOFBOUWTUYGUVMUYHVBUYIUVAUWM
      UVMUXMUVCUVAUWSUVMUWOWOUVCUWMUWSUVMUWRWOUWTUVMQUYEUVMUXMUYFWQWMUXFUXLFGBB
      XEXFXHWSUWTUVTUWBUWEUWTUXFUVTFBUWTUXGJZUXFJZUVSUXEUVJVUCMCUIZUXDIZUVBUVSU
      XEIVUCUVAUXGVUEUVAUVBUWSUXGUXFXIZUWTUXGUXFVKZBUXDCXJSUVAUVBUWSUXGUXFVLVUE
      UVBJUVSVUDUVDLZUXEUVBUVSVUHPVUEUVBVUHMVUHXKZUIZUVSVUHMIVUHVUJPVUHVUDMVUDU
      VDXLMCXMXNVUHXOYIUVBVUIAMUVBUXDUVJVUDXPZDAOZFAUHVUIAPUVBVULFAUVBUXDAHZJZV
      UMUXDUXDVUDXPZVULUVBVUMQVUNUXDCHZVUPVUOACUXDXQZVUQVUPVUPJVUOUXDUXDPFXRCUX
      DUXDXSXTSVUKVUODUXDAUVJUXDUXDVUDYAYBSWSFDAAVUDYCYDYEYFUSVUEVUHUXEIUVBVUDU
      XDUVDYJVBYGSVUBUXFQZYHUYHWPUWTUXFUWBFBVUCUVAUWMUWAUXKPGBOZUWBVUFUVCUWMUWS
      UXGUXFUWRYKVUCUXDUJZBHZUWAVUTUVDLZPVUSVUCUVAUXGVVAVUFVUGBUXDCYLSVUCUWAUXE
      UJZVVBVUCUVJUXEVURYMVVCVUTUVDUJZLVVBUXDUVDYNVVDUVDVUTAAYOUUAUUBUUCGVUTBUX
      KVVBUWAUXJVUTUVDXGWJSUYEUWBVUSGUWAUVDBUUTTWKWLWMUYHWPUWTUXFUWEFBVUCUWEUWC
      UXEIZEUVEOZUVCUXGVVFUWSUXFUVCUXGJZUXJUXJNZUXDIZVVFGBVVGUYLJZVVIJZUXKUVEHZ
      UXKUXKNZUXEIZVVFVVKUVAUWMUYLVVLUVAUVBUXGUYLVVIXIUVCUWMUXGUYLVVIUWRYKVVGUY
      LVVIVKUXJUVDBUUTTVGVHVVKVVMUXDUVDVVIVVMUXDIZVVJVVMVVHIZVVIVVOUXKUXJIZVVPU
      XJUVDXLVVQVVMUXJUXKNVVHUXKUXJUXKYPUXKUXJUXJYQVNYRVVMVVHUXDUUDUUEUSVVMUVDI
      VVKVVMUVDUVDNZUVDUXKUVDIZVVMVVRIUXJUVDUUFVVSVVMUVDUXKNVVRUXKUVDUXKYPUXKUV
      DUVDYQVNYRAUUGXNUOUUHVVEVVNEUXKUVEUXLUWCVVMUXEUXLUVKUXKUVKUXKUXLUUIZVVTUU
      LUUJYBSUVAUXGVVIGBOUVBGBUXDCUUKUUMWPUUNVUCUWDVVEEUVEVUCUVJUXEUWCVURUUOUUP
      YSUYHWPYTYTWSYTUVCATHUVFUWIUUQUWQEDUVETAUURUUSYS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The topology induced by an uniform structure
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c unifTop $. $( The function producing the topology induced. $)

  $( Extend class notation with the function inducing a topology from a uniform
     structure. $)
  cutop $a class unifTop $.

  ${
    $d a u v x $.
    $( Definition of a topology induced by a uniform structure.  Definition 3
       of [BourbakiTop1] p.  II.4.  (Contributed by Thierry Arnoux,
       17-Nov-2017.) $)
    df-utop $a |- unifTop = ( u e. U. ran UnifOn |-> { a e. ~P dom U. u |
      A. x e. a E. v e. u ( v " { x } ) C_ a } ) $.
  $}

  ${
    $d a u v x U $.  $d a u x X $.
    $( The topology induced by a uniform structure ` U ` .  (Contributed by
       Thierry Arnoux, 30-Nov-2017.) $)
    utopval $p |- ( U e. ( UnifOn ` X ) -> ( unifTop ` U ) = { a e. ~P X |
      A. x e. a E. v e. U ( v " { x } ) C_ a } ) $=
      ( vu cust cfv wcel cv csn cima wrex wral cuni cdm cpw crab cvv wceq cutop
      wss crn df-utop wa simpr unieqd dmeqd ustbas2 adantr eqtr4d pweqd rexeqdv
      ralbidv rabeqbidv elrnust elfvex pwexg rabexg 3syl fvmptd2 ) CDGHIZFCBJAJ
      KLEJZUBZBFJZMZAVCNZEVEOZPZQZRVDBCMZAVCNZEDQZRZGUCOUASABFEUDVBVECTZUEZVGVL
      EVJVMVPVIDVPVICOZPZDVPVHVQVPVECVBVOUFZUGUHVBDVRTVOCDUIUJUKULVPVFVKAVCVPVD
      BVECVSUMUNUOCDUPVBDSIVMSIVNSICDGUQDSURVLEVMSUSUTVA $.
  $}

  ${
    $d a v x A $.  $d a v x U $.  $d a x X $.
    $( Open sets in the topology induced by an uniform structure ` U ` on ` X `
       (Contributed by Thierry Arnoux, 30-Nov-2017.) $)
    elutop $p |- ( U e. ( UnifOn ` X ) -> ( A e. ( unifTop ` U ) <->
      ( A C_ X /\ A. x e. A E. v e. U ( v " { x } ) C_ A ) ) ) $=
      ( va cust cfv wcel cutop cpw cv csn wss wrex wral wa cvv wi a1i cima crab
      utopval eleq2d wceq sseq2 raleqbi1dv elrab bitrdi elex elfvex simpr ssexd
      rexbidv adantr ex wb elpwg pm5.21ndd anbi1d bitrd ) DEGHIZCDJHZIZCEKZIZBL
      ALMUAZCNZBDOZACPZQZCENZVJQVBVDCVGFLZNZBDOZAVMPZFVEUBZIVKVBVCVQCABDEFUCUDV
      PVJFCVEVOVIAVMCVMCUEVNVHBDVMCVGUFUNUGUHUIVBVFVLVJVBCRIZVFVLVFVRSVBCVEUJTV
      BVLVRVBVLQCERVBERIVLDEGUKUOVBVLULUMUPVRVFVLUQSVBCERURTUSUTVA $.
  $}

  ${
    $d a p u v w x y U $.  $d a p u v x y X $.
    $( The topology induced by a uniform structure ` U ` is a topology.
       (Contributed by Thierry Arnoux, 30-Nov-2017.) $)
    utoptop $p |- ( U e. ( UnifOn ` X ) -> ( unifTop ` U ) e. Top ) $=
      ( vx vy vv vp va vw vu wcel cv wss wral wa cima wrex adantr elutop simprd
      simpr cust cfv cutop cuni wi wal cin ctop csn cpw utopval ssrab2 eqsstrdi
      crab sstrd sspwuni simp-4l simp-4r simplr sseldd biimpa r19.21bi syl21anc
      sylib r19.41v ssuni reximi sylbir syl2anc eluni2 biimpi r19.29a ralrimiva
      adantl wb mpbir2and ex alrimiv simpld adantrr ssinss1 syl simpr31 simpr32
      simpl ustincl syl3anc inss1 imass1 ax-mp simpr33 sstrid inss2 wceq imaeq1
      ssind sseq1d rspcev 3anassrs simpll simplrl elin simplrr reeanv r19.29vva
      w3a sylanbrc ralrimivva cvv fvex istopg ) ABUAUBJZCKZAUCUBZLZXMUDZXNJZUEZ
      CUFZXMDKZUGZXNJZDXNMCXNMZXNUHJZXLXRCXLXOXQXLXONZXQXPBLZEKZFKZUIZOZXPLZEAP
      ZFXPMZYEXMBUJZLYFYEXMXNYNXLXOTXLXNYNLXOXLXNYJGKZLEAPFYOMZGYNUNYNFEABGUKYP
      GYNULUMQUOXMBUPVDYEYLFXPYEYHXPJZNZYHXTJZYLDXMYRXTXMJZNZYSNZYJXTLZEAPZYTYL
      UUBXLXTXNJZYSUUDXLXOYQYTYSUQUUBXMXNXTXLXOYQYTYSURYRYTYSUSZUTUUAYSTXLUUENZ
      UUDFXTUUGXTBLZUUDFXTMZXLUUEUUHUUINFEXTABRVASVBZVCUUFUUDYTNUUCYTNZEAPYLUUC
      YTEAVEUUKYKEAYJXTXMVFVGVHVIYQYSDXMPZYEYQUULDYHXMVJVKVNVLVMXLXQYFYMNVOXOFE
      XPABRQVPVQVRXLYBCDXNXNXLXMXNJZUUENZNZYBYABLZHKZYIOZYALZHAPZFYAMZUUOXMBLZU
      UPXLUUMUVBUUEXLUUMNZUVBIKZYIOZXMLZIAPZFXMMZXLUUMUVBUVHNFIXMABRVAZVSVTXMXT
      BWAWBUUOUUTFYAUUOYHYAJZNZUVFUUCNZUUTIEAAUVKUVDAJZYGAJZUVLUUTXLUUNUVJUVMUV
      NUVLXFZUUTXLUUNUVJUVOXFZNZUVDYGUGZAJZUVRYIOZYALZUUTUVQXLUVMUVNUVSXLUVPWEU
      VMUVNUVLUUNUVJXLWCUVMUVNUVLUUNUVJXLWDAUVDYGBWFWGUVQUVTXMXTUVQUVTUVEXMUVRU
      VDLUVTUVELUVDYGWHUVRUVDYIWIWJUVQUVFUUCUVMUVNUVLUUNUVJXLWKZVSWLUVQUVTYJXTU
      VRYGLUVTYJLUVDYGWMUVRYGYIWIWJUVQUVFUUCUWBSWLWPUUSUWAHUVRAUUQUVRWNUURUVTYA
      UUQUVRYIWOWQWRVIWSWSUVKUVGUUDUVLEAPIAPUVKXLUUMYHXMJZUVGXLUUNUVJWTZXLUUMUU
      EUVJXAUVKUWCYSUVKUVJUWCYSNUUOUVJTYHXMXTXBVDZVSUVCUVGFXMUVCUVBUVHUVISVBVCU
      VKXLUUEYSUUDUWDXLUUMUUEUVJXCUVKUWCYSUWESUUJVCUVFUUCIEAAXDXGXEVMXLYBUUPUVA
      NVOUUNFHYAABRQVPXHXNXIJYDXSYCNVOAUCXJCDXIXNXKWJXG $.

    $( The base of the topology induced by a uniform structure ` U ` .
       (Contributed by Thierry Arnoux, 5-Dec-2017.) $)
    utopbas $p |- ( U e. ( UnifOn ` X ) -> X = U. ( unifTop ` U ) ) $=
      ( vv vx va cust cfv wcel cutop cuni cpw wss wceq cv csn cima wrex crn syl
      wral crab utopval ssrab2 eqsstrdi wb ssidd wa ustssxp imassrn rnss rnxpid
      cxp sseqtrdi sstrid ralrimiva c0 wi ustne0 r19.2zb sylib ralrimivw elutop
      wne mpd mpbir2and elpwuni mpbid eqcomd ) ABFGHZAIGZJZBVIVJBKZLZVKBMZVIVJC
      NZDNOZPZENZLCAQDVRTZEVLUAVLDCABEUBVSEVLUCUDVIBVJHZVMVNUEVIVTBBLVQBLZCAQZD
      BTVIBUFVIWBDBVIWACATZWBVIWACAVIVOAHUGVOBBULZLZWAAVOBUHWEVQVORZBVOVPUIWEWF
      WDRBVOWDUJBUKUMUNSUOVIAUPVCWCWBUQABURWACAUSUTVDVADCBABVBVEVJBVFSVGVH $.
  $}

  $( Topology induced by a uniform structure ` U ` with its base set.
     (Contributed by Thierry Arnoux, 5-Jan-2018.) $)
  utoptopon $p |- ( U e. ( UnifOn ` X )
         -> ( unifTop ` U ) e. ( TopOn ` X ) ) $=
    ( cust wcel cutop ctop cuni wceq ctopon utoptop utopbas istopon sylanbrc
    cfv ) ABCNDAENZFDBOGHOBINDABJABKBOLM $.

  ${
    $d a b u v x A $.  $d a b u v x U $.  $d a b u x X $.
    $( Restriction of a topology induced by an uniform structure.  (Contributed
       by Thierry Arnoux, 12-Dec-2017.) $)
    restutop $p |- ( ( U e. ( UnifOn ` X ) /\ A C_ X ) ->
      ( ( unifTop ` U ) |`t A ) C_ ( unifTop ` ( U |`t ( A X. A ) ) ) ) $=
      ( vb vv vx va vu cust cfv wcel wss wa cutop cv cima wrex cin cvv crn wral
      crest co cxp simpl wceq wb fvexd elfvex adantr simpr ssexd elrest syl2anc
      csn biimpa inss2 sseq1 mpbiri rexlimivw syl simp-5l ad2antrr xpexd simplr
      ad6antr elrestr syl3anc inss1 imass1 ax-mp sstr mpan imassrn sstri rnxpid
      rnin sseqtri a1i ssind adantl simpllr imaeq1 sseq1d rspcev eleqtrd elin1d
      sseqtrrd elutop simplbda r19.21bi syl21anc r19.29a trust biimpar syl12anc
      ralrimiva ex ssrdv ) BCIJZKZACLZMZDBNJZAUBUCZBAAUDZUBUCZNJZXCDOZXEKZXIXHK
      ZXCXJMZXCXIALZEOZFOZUOZPZXILZEXGQZFXIUAZXKXCXJUEXLXIGOZARZUFZGXDQZXMXCXJY
      DXCXDSKASKZXJYDUGXCBNUHXCACSXACSKXBBCIUIUJXAXBUKULZGXIAXDSSUMUNUPZYCXMGXD
      YCXMYBALYAAUQXIYBAURUSUTVAXLXSFXIXLXOXIKZMZYCXSGXDYIYAXDKZMZYCMZHOZXPPZYA
      LZXSHBYLYMBKZMZYOMZYMXFRZXGKZYSXPPZXILZXSYRXAXFSKYPYTYLXAYPYOXAXBXJYHYJYC
      VBZVCYRAASSXCYEXJYHYJYCYPYOYFVFZUUDVDYLYPYOVEYMXFBWTSVGVHYRUUAYBXIYOUUAYB
      LYQYOUUAYAAUUAYNLZYOUUAYALYSYMLUUEYMXFVIYSYMXPVJVKUUAYNYAVLVMUUAALYOUUAXF
      TZAUUAYMTZUUFRZUUFUUAYSTUUHYSXPVNYMXFVQVOUUGUUFUQVOAVPVRVSVTWAYKYCYPYOWBW
      HXRUUBEYSXGXNYSUFXQUUAXIXNYSXPWCWDWEUNYLXAYJXOYAKYOHBQZUUCYIYJYCVEYLYAAXO
      YLXOXIYBXLYHYJYCWBYKYCUKWFWGXAYJMUUIFYAXAYJYACLUUIFYAUAFHYABCWIWJWKWLWMXL
      YDYHYGUJWMWQXCXKXMXTMZXCXGAIJKXKUUJUGABCWNFEXIXGAWIVAWOWPWRWS $.
  $}

  ${
    $d a b t u w x A $.  $d a b t u v w x U $.  $d b t u w x X $.
    $( The restriction of the topology induced by an uniform structure to an
       open set.  (Contributed by Thierry Arnoux, 16-Dec-2017.) $)
    restutopopn $p |- ( ( U e. ( UnifOn ` X ) /\ A e. ( unifTop ` U ) )
      -> ( ( unifTop ` U ) |`t A ) = ( unifTop ` ( U |`t ( A X. A ) ) ) ) $=
      ( vt vx va vv vu vw cfv wcel wa wss cv cima wrex cin wceq wb cvv vb cutop
      cust crest co cxp wral elutop simprbda restutop syldan trust adantr sstrd
      csn simp-9l simplr simp-4r ustincl syl3anc inimass adantl simpllr imaeq1d
      syl ssrin ad5antr simp-5r sseldd ad2antrr inimasn elv ineq2d syl5eq incom
      xpimasn eqtrdi eqtrd sseqtrrd sstrid imaeq1 sseq1d rspcev syl2anc simp-4l
      simplbda r19.21bi r19.29a sqxpexg elrest sylan2 ralrimiva mpbir2and df-ss
      biimpa sylib eqcomd ineq1 rspceeqv fvex mpan ad2antlr mpbird eqelssd ) BC
      UCJZKZABUBJZKZLZUAXGAUDUEZBAAUFZUDUEZUBJZXFXHACMZXJXMMXFXHXNDNZENZUOZOZAM
      ZDBPZEAUGZEDABCUHZUIZABCUJUKXIUANZXMKZLZYDXJKZYDFNZAQZRFXGPZYFYDXGKZYDYDA
      QZRYJYFYKYDCMZGNZXQOZYDMZGBPZEYDUGZYFYDACXIYEYDAMZHNZXQOZYDMZHXLPZEYDUGZX
      IXLAUCJKZYEYSUUDLSXFXHXNUUEYCABCULUKEHYDXLAUHVEZUIZXIXNYEYCUMUNYFYQEYDYFX
      PYDKZLZUUBYQHXLUUIYTXLKZLZUUBLZYTINZXKQZRZYQIBUULUUMBKZLZUUOLZXSYQDBUURXO
      BKZLZXSLZXOUUMQZBKZUVBXQOZYDMZYQUVAXFUUSUUPUVCXFXHYEUUHUUJUUBUUPUUOUUSXSU
      PUURUUSXSUQUULUUPUUOUUSXSURBXOUUMCUSUTUVAUVDXRUUMXQOZQZYDXOUUMXQVAUVAUVGU
      UAYDUVAUVGAUVFQZUUAXSUVGUVHMUUTXRAUVFVFVBUVAUUAUUNXQOZUVHUVAYTUUNXQUUQUUO
      UUSXSVCVDUVAXPAKZUVIUVHRUURUVJUUSXSUURYDAXPYFYSUUHUUJUUBUUPUUOUUGVGYFUUHU
      UJUUBUUPUUOVHVIZVJUVJUVIUVFAQZUVHUVJUVIUVFXKXQOZQZUVLUVIUVNREUUMXKXPTVKVL
      UVJUVMAUVFAAXPVPVMVNUVFAVOVQVEVRVSUUKUUBUUPUUOUUSXSVHUNVTYPUVEGUVBBYNUVBR
      YOUVDYDYNUVBXQWAWBWCWDUURXIUVJXTUULXIUUPUUOXIYEUUHUUJUUBWEZVJUVKXIXTEAXFX
      HXNYAYBWFWGWDWHUULXIUUJUUOIBPZUVOUUIUUJUUBUQXIUUJUVPXHXFXKTKUUJUVPSAXGWII
      YTXKBXETWJWKWOWDWHYFUUCEYDXIYEYSUUDUUFWFWGWHWLXFYKYMYRLSXHYEEGYDBCUHVJWMY
      FYLYDYFYSYLYDRUUGYDAWNWPWQFYDXGYIYLYDYHYDAWRWSWDXHYGYJSZXFYEXGTKXHUVQBUBW
      TFYDAXGTXGWJXAXBXCXD $.
  $}

  ${
    $d w A $.  $d q v w P $.  $d p q v w U $.  $d p q v X $.
    utopustuq.1 $e |- N = ( p e. X |-> ran ( v e. U |-> ( v " { p } ) ) ) $.
    $( Lemma for ~ ustuqtop .  (Contributed by Thierry Arnoux, 11-Jan-2018.) $)
    ustuqtoplem $p |- ( ( ( U e. ( UnifOn ` X ) /\ P e. X ) /\ A e. V ) ->
      ( A e. ( N ` P ) <-> E. w e. U A = ( w " { P } ) ) ) $=
      ( vq wcel wa cv csn cima cmpt crn wceq cvv cust cfv simpl sneqd mpteq2dva
      imaeq2d rneqd cbvmptv eqtri w3a simpr2 3anassrs simpr mptexg rnexg adantr
      wrex syl fvmptd2 eleq2d imaeq1 elrnmpt sylan9bb ) EHUAUBZLZDHLZMZCDFUBZLC
      BEBNZDOZPZQZRZLCGLCANZVJPZSAEUQVGVHVMCVGKDBEVIKNZOZPZQZRZVMHFTFIHBEVIINZO
      ZPZQZRZQKHVTQJIKHWEVTWAVPSZWDVSWFBEWCVRWFVIELZMZWBVQVIWHWAVPWFWGUCUDUFUEU
      GUHUIVGVPDSZMZVSVLWJBEVRVKVEVFWIWGVRVKSVEVFWIWGUJMZVQVJVIWKVPDVEVFWIWGUKU
      DUFULUEUGVEVFUMVEVMTLZVFVEVLTLWLBEVKVDUNVLTUOURUPUSUTAEVOCVLGBAEVKVOVIVNV
      JVAUHVBVC $.

    $d a b c j p q r u w N $.  $d a b j p q r u v w x U $.
    $d a b c j p q r u v w X $.
    $( Lemma for ~ ustuqtop .  (Contributed by Thierry Arnoux, 11-Jan-2018.) $)
    ustuqtop0 $p |- ( U e. ( UnifOn ` X ) -> N : X --> ~P ~P X ) $=
      ( cust cfv wcel cv csn cima cmpt crn cpw wa wss wral ustimasn cvv rnmptss
      3expa an32s vex imaex elpw sylibr ralrimiva eqid syl wb mptexg rnexg 3syl
      elpwg adantr mpbird fmptd ) BDGHZIZEDABAJZEJZKZLZMZNZDOZOZCUTVBDIZPZVFVHI
      ZVFVGQZVJVDVGIZABRVLVJVMABVJVABIZPVDDQZVMUTVNVIVOUTVNVIVOVBBVADSUBUCVDDVA
      VCAUDUEUFUGUHABVDVGVEVEUIUAUJUTVKVLUKZVIUTVETIVFTIVPABVDUSULVETUMVFVGTUOU
      NUPUQFUR $.

    $( Lemma for ~ ustuqtop , similar to ~ ssnei2 .  (Contributed by Thierry
       Arnoux, 11-Jan-2018.) $)
    ustuqtop1 $p |- ( ( ( ( U e. ( UnifOn ` X ) /\ p e. X )
      /\ a C_ b /\ b C_ X ) /\ a e. ( N ` p ) ) -> b e. ( N ` p ) ) $=
      ( vu vw wcel cv wa wss w3a cima wceq cun 3anassrs syl2anc cfv csn simpl1l
      cust wrex cxp simplr ustssxp simpl1r snssd simpl3 unssd ssun1 a1i ustssel
      xpss12 imp syl31anc simpl2 ssequn1 biimpi id cin c0 wne inidm vex eqnetri
      snnz xpima2 mp1i eqcomd uneq12d imaundir eqtr4di sylancom imaeq1 rspceeqv
      sylan9req wb cvv ustuqtoplem elvd biimpa 3ad2antl1 3ad2ant1 adantr mpbird
      r19.29a ) BDUDUAKZELZDKZMZFLZGLZNZWODNZOZWNWKCUAZKZMZWOWSKZWOILZWKUBZPZQI
      BUEZXAWNJLZXDPZQZXFJBXAXGBKZMZXIMZXGXDWOUFZRZBKZWOXNXDPZQZXFXLWJXJXNDDUFZ
      NZXGXNNZXOWRWTXJXIWJWJWLWPWQWTXJXIOZUCSZXAXJXIUGZXLXGXMXRXLWJXJXGXRNYBYCB
      XGDUHTXLXDDNWQXMXRNXLWKDWRWTXJXIWLWJWLWPWQYAUISUJWRWTXJXIWQWMWPWQYAUKSXDD
      WODUPTULXTXLXGXMUMUNWJXJXSOXTXOBXGXNDUOUQURXKXIWPXQWRWTXJXIWPWMWPWQYAUSSW
      PXIWOWNWORZXPWPYDWOQWNWOUTVAXIYDXHXMXDPZRXPXIWNXHWOYEXIVBXIYEWOXDXDVCZVDV
      EYEWOQXIYFXDVDXDVFWKEVGVIVHXDWOXDVJVKVLVMXGXMXDVNVOVSVPIXNBXEXPWOXCXNXDVQ
      VRTWMWPWTXIJBUEZWQWMWTYGWMWTYGVTFJAWNWKBCWADEHWBWCWDWEWIWRXBXFVTZWTWMWPYH
      WQWMYHGIAWOWKBCWADEHWBWCWFWGWH $.

    $( Lemma for ~ ustuqtop .  (Contributed by Thierry Arnoux, 11-Jan-2018.) $)
    ustuqtop2 $p |- ( ( U e. ( UnifOn ` X ) /\ p e. X )
      -> ( fi ` ( N ` p ) ) C_ ( N ` p ) ) $=
      ( va vb vw vu vx cfv wcel cv wa wceq cin cima cvv wb cust cfi wss simp-6l
      wral csn wrex simp-7l simp-4r simplr ustincl syl3anc inimasn elv ad4ant24
      ineq12 eqtr4di imaeq1 rspceeqv syl2anc vex inex1 ustuqtoplem biimpar elvd
      mpan2 biimpa ad5ant13 adantr ralrimiva fvex inficl ax-mp sylib eqimss syl
      r19.29a ) BDUALMZENZDMZOZVSCLZUBLZWBPZWCWBUCWAGNZHNZQZWBMZHWBUEZGWBUEZWDW
      AWIGWBWAWEWBMZOZWHHWBWLWFWBMZOZWEINZVSUFZRZPZWHIBWNWOBMZOZWROZWFJNZWPRZPZ
      WHJBXAXBBMZOXDOZWAWGKNZWPRZPKBUGZWHWAWKWMWSWRXEXDUDXFWOXBQZBMZWGXJWPRZPZX
      IXFVRWSXEXKVRVTWKWMWSWRXEXDUHWNWSWRXEXDUIXAXEXDUJBWOXBDUKULWRXDXMWTXEWRXD
      OWGWQXCQZXLWEWQWFXCUPXLXNPEWOXBVSSUMUNUQUOKXJBXHXLWGXGXJWPURUSUTWAWHXIWAW
      GSMWHXITWEWFGVAVBKAWGVSBCSDEFVCVFVDUTWAWMXDJBUGZWKWSWRWAWMXOWAWMXOTHJAWFV
      SBCSDEFVCVEVGVHVQWLWRIBUGZWMWAWKXPWAWKXPTGIAWEVSBCSDEFVCVEVGVIVQVJVJWBSMW
      JWDTVSCVKGHWBSVLVMVNWCWBVOVP $.

    $( Lemma for ~ ustuqtop , similar to ~ elnei .  (Contributed by Thierry
       Arnoux, 11-Jan-2018.) $)
    ustuqtop3 $p |- ( ( ( U e. ( UnifOn ` X ) /\ p e. X ) /\ a e. ( N ` p ) )
      -> p e. a ) $=
      ( vw cust cfv wcel cv wa csn cima wceq cid cres wss ad4antlr mpan ustdiag
      wfn fnresi fnsnfv ad5ant14 imass1 eqsstrd fvex sylibr fvresi eqcomd simpr
      syl snss 3eltr4d wrex wb cvv ustuqtoplem elvd biimpa r19.29a ) BDIJKZELZD
      KZMZFLZVECJKZMZVHHLZVENZOZPZVEVHKHBVJVKBKZMZVNMZVEQDRZJZVMVEVHVQVSNZVMSVS
      VMKVQVTVRVLOZVMVFVTWAPZVDVIVOVNVRDUCVFWBDUDDVEVRUEUATVQVRVKSZWAVMSVDVOWCV
      FVIVNBVKDUBUFVRVKVLUGUNUHVSVMVEVRUIUOUJVFVEVSPVDVIVOVNVFVSVEDVEUKULTVPVNU
      MUPVGVIVNHBUQZVGVIWDURFHAVHVEBCUSDEGUTVAVBVC $.

    $( Lemma for ~ ustuqtop .  (Contributed by Thierry Arnoux, 11-Jan-2018.) $)
    ustuqtop4 $p |- ( ( ( U e. ( UnifOn ` X ) /\ p e. X ) /\ a e. ( N ` p ) )
      -> E. b e. ( N ` p ) A. q e. b a e. ( N ` q ) ) $=
      ( vw wcel cv wa wceq wrex wss cvv wb syl2anc syl vu vr cust cfv cima wral
      ccom simplll simplr eqid imaeq1 rspceeqv adantl imaexg ustuqtoplem sylan2
      csn mpan2 mpbird w3a simp-5l simpld simp-4r ustimasn syl3anc jca wbr wrel
      sselda simp-6l ustrel elrelimasn mpbid simpr wex vex brco biimpri 19.23bi
      simpllr ssbrd mpd simp-5r ex ssrdv adantr 3jca eqidd mpdan syl21anc sseq2
      sseq1 3anbi23d anbi1d eleq1 imbi12d 3anbi2d anbi12d imbi1d anbi2d 3anbi1d
      wi fveq2 eleq2d ustuqtop1 chvarvv vtoclg impcom ralrimiva raleq ustexhalf
      rspcev adantlr r19.29a rexralbidv adantllr biimpa ) BDUCUDKZFLZDKZMZGLZXS
      CUDZKZMYBJLZXSUQZUEZNZYBELZCUDZKZEHLZUFHYCOZJBYAYEBKZYHYMYDYAYNMZYHMYMYGY
      JKZEYLUFZHYCOZYOYRYHYOUALZYSUGZYEPZYRUABYOYSBKZMZUUAMZYSYFUEZYCKZYPEUUEUF
      ZYRUUDYAUUBUUFYAYNUUBUUAUHZYOUUBUUAUIZYAUUBMUUFUUEYGNJBOZUUBUUJYAUUBUUEUU
      ENUUJUUEUJJYSBYGUUEUUEYEYSYFUKULURUMUUBYAUUEQKUUFUUJRYSYFBUNJAUUEXSBCQDFI
      UOUPUSSUUDYPEUUEUUDYIUUEKZMZXRYIDKZMZYSYIUQZUEZYGPZYGDPZUTZUUPYJKZMZUUBYN
      YPUULUUSUUTUULUUNUUQUURUULXRUUMXRXTYNUUBUUAUUKVAZUUDUUEDYIUUDXRUUBXTUUEDP
      UUDXRXTUUHVBUUIXRXTYNUUBUUAVCZXSBYSDVDVEVIZVFUULUBUUPYGUULUBLZUUPKZUVEYGK
      ZUULUVFMZUVGXSUVEYEVGZUVHXSUVEYTVGZUVIUVHXSYIYSVGZYIUVEYSVGZUVJUVHUUKUVKU
      UDUUKUVFUIUVHYSVHZUUKUVKRUVHXRUUBUVMXRXTYNUUBUUAUUKUVFVJZYOUUBUUAUUKUVFVC
      BYSDVKSZXSYIYSVLTVMUVHUVFUVLUULUVFVNUVHUVMUVFUVLRUVOYIUVEYSVLTVMUVKUVLMZU
      VJEUVJUVPEVOEXSUVEYSYSFVPUBVPVQVRVSSUVHYTYEXSUVEUUCUUAUUKUVFVTWAWBUVHYEVH
      ZUVGUVIRUVHXRYNUVQUVNYAYNUUBUUAUUKUVFWCBYEDVKSXSUVEYEVLTUSWDWEUULXRYNXTUU
      RUVBYAYNUUBUUAUUKVCZUUDXTUUKUVCWFXSBYEDVDVEWGUULXRUUMUUBUUTUVBUVDYOUUBUUA
      UUKVTZUUNUUBMUUTUUPYEUUOUEZNJBOZUUBUWAUUNUUBUUPUUPNUWAUUBUUPWHJYSBUVTUUPU
      UPYEYSUUOUKULWIUMUUBUUNUUPQKZUUTUWARYSUUOBUNZJAUUPYIBCQDFIUOUPUSWJVFUVSUV
      RYNUVAUUBMZYPYNYGQKUWDYPXBZYEYFBUNUUNUUPYLPZYLDPZUTZUUTMZUUBMZYLYJKZXBUWE
      HYGQYLYGNZUWJUWDUWKYPUWLUWIUVAUUBUWLUWHUUSUUTUWLUWFUUQUWGUURUUNYLYGUUPWKY
      LYGDWLWMWNWNYLYGYJWOWPUUBUWIUWKUUBUWBUWIUWKXBZUWCUUNYBYLPZUWGUTZYKMZUWKXB
      ZUWMGUUPQYBUUPNZUWPUWIUWKUWRUWOUWHYKUUTUWRUWNUWFUUNUWGYBUUPYLWLWQYBUUPYJW
      OWRWSYAUWNUWGUTZYDMZYLYCKZXBUWQFEXSYINZUWTUWPUXAUWKUXBUWSUWOYDYKUXBYAUUNU
      WNUWGUXBXTUUMXRXSYIDWOWTXAUXBYCYJYBXSYICXCZXDWRUXBYCYJYLUXCXDWPABCDFGHIXE
      XFXGTXHXGTXHWJXIYQUUGHUUEYCYPEYLUUEXJXLSXRYNUUAUABOXTUABYEDXKXMXNWFYHYMYR
      RYOYHYKYPHEYCYLYBYGYJWOXOUMUSXPYAYDYHJBOZYAYBQKYDUXDRGVPJAYBXSBCQDFIUOURX
      QXN $.

    $( Lemma for ~ ustuqtop .  (Contributed by Thierry Arnoux, 11-Jan-2018.) $)
    ustuqtop5 $p |- ( ( U e. ( UnifOn ` X ) /\ p e. X ) -> X e. ( N ` p ) ) $=
      ( vw cust cfv wcel cv wa csn cima wceq wrex cxp cin c0 cvv ustbasel snssi
      wne wss sylib incom eqtr2di snnzg eqnetrd adantl xpima2 syl eqcomd imaeq1
      dfss rspceeqv syl2an2r wb elfvex ustuqtoplem mpidan mpbird ) BDHIJZEKZDJZ
      LZDVDCIJZDGKZVDMZNZOGBPZVCDDQZBJVEDVLVINZOVKBDUAVFVMDVFDVIRZSUCZVMDOVEVOV
      CVEVNVISVEVIVIDRZVNVEVIDUDVIVPOVDDUBVIDUOUEVIDUFUGVDDUHUIUJDDVIUKULUMGVLB
      VJVMDVHVLVIUNUPUQVCVEDTJVGVKURBDHUSGADVDBCTDEFUTVAVB $.

    $d x N $.  $d x X $.
    $( For a given uniform structure ` U ` on a set ` X ` , there is a unique
       topology ` j ` such that the set ` ran ( v e. U |-> ( v " { p } ) ) ` is
       the filter of the neighborhoods of ` p ` for that topology.  Proposition
       1 of [BourbakiTop1] p.  II.3.  (Contributed by Thierry Arnoux,
       11-Jan-2018.) $)
    ustuqtop $p |- ( U e. ( UnifOn ` X ) -> E! j e. ( TopOn ` X )
      A. p e. X ( N ` p ) = ( ( nei ` j ) ` { p } ) ) $=
      ( vc vr vx va vb cfv wcel cv cmpt wceq wreu wral cpw cust csn cnei ctopon
      crab fveq2 eleq2d cbvralvw raleqbi1dv bitr3id cbvrabv ustuqtop0 ustuqtop1
      eleq1w ustuqtop2 ustuqtop3 ustuqtop4 ustuqtop5 neiptopreu eqeq1d cvv fvex
      feqmptd wb rgenw mpteqb ax-mp bitrdi reubidv mpbid ) BEUAMNZDFEFOZUBCOUCM
      MZPZQZCEUDMZRVLDMZVMQFESZCVPRVKCHOZIOZDMZNZIVSSZHETZUEDEJFKLWCKOZVQNZFWES
      ZHKWDWCVSVQNZFVSSVSWEQWGWHWBFIVSVLVTQVQWAVSVLVTDUFUGUHWHWFFVSWEHKVQUNUIUJ
      UKABDEFGULZABDEFKLGUMABDEFGUOABDEFKGUPABDEJFKLGUQABDEFGURUSVKVOVRCVPVKVOF
      EVQPZVNQZVRVKDWJVNVKFEWDTDWIVCUTVQVANZFESWKVRVDWLFEVLDVBVEFEVQVMVAVFVGVHV
      IVJ $.
  $}

  ${
    utoptop.1 $e |- J = ( unifTop ` U ) $.

    ${
      $d a p K $.  $d a b p q N $.  $d p v P $.  $d a b p q u v w U $.
      $d a b p q v w X $.
      utopsnneip.1 $e |- K = { a e. ~P X | A. p e. a a e. ( N ` p ) } $.
      utopsnneip.2 $e |- N = ( p e. X |-> ran ( v e. U |-> ( v " { p } ) ) ) $.
      $( The neighborhoods of a point ` P ` for the topology induced by an
         uniform space ` U ` .  (Contributed by Thierry Arnoux,
         11-Jan-2018.) $)
      utopsnneiplem $p |- ( ( U e. ( UnifOn ` X ) /\ P e. X ) ->
        ( ( nei ` J ) ` { P } ) = ran ( v e. U |-> ( v " { P } ) ) ) $=
        ( vw vb cfv wcel wa wceq simpr cvv vu vq cust csn cnei cv cima cmpt crn
        wral cpw crab wss wrex cutop utopval syl5eq simpll elpwid sselda mptexg
        wb rnexg syl adantr fvmpt2 syl2anc eleq2d eqid elrnmpt elv bitrdi nfre1
        nfv simplr eqimss2 adantl weq imaeq1 sseq1d r19.29af ad2antrr ad3antrrr
        nfan rspcev jca rspceeqv mpan2 vex imaex ustuqtoplem mpbird syl21anc wi
        w3a sseq1 3anbi2d eleq1 anbi12d ustuqtop1 vtocl syl31anc mpbid r19.29an
        imbi1d impbida ralbidva rabbidva eqtr4d eqtr4di fveq2d fveq1d ustuqtop0
        bitrd ustuqtop2 ustuqtop3 ustuqtop4 ustuqtop5 sneqd fvexd fvmptd nfmpt1
        neiptopnei nfel1 simpr2 imaeq2d 3anassrs mpteq2da rneqd fvmptd2 3eqtr2d
        nfrn simpl ) CGUCOZPZBGPZQZBUDZDUEOZOZYREUEOZOZBFOZACAUFZYRUGZUHZUIZYOY
        TUUBRYPYOYRYSUUAYODEUEYODIUFZHUFZFOZPZHUUHUJZIGUKZULZEYODMUFZUUIUDZUGZU
        UHUMZMCUNZHUUHUJZIUUMULZUUNYODCUOOUVAJHMCGIUPUQYOUULUUTIUUMYOUUHUUMPZQZ
        UUKUUSHUUHUVCUUIUUHPZQZUUKUUHUUDUUPUGZRZACUNZUUSUVEYOUUIGPZUUKUVHVBZYOU
        VBUVDURZUVCUUHGUUIUVCUUHGYOUVBSUSZUTZYOUVIQZUUKUUHACUVFUHZUIZPZUVHUVNUU
        JUVPUUHUVNUVIUVPTPZUUJUVPRYOUVISYOUVRUVIYOUVOTPUVRACUVFYNVAUVOTVCVDVEHG
        UVPTFLVFVGVHUVQUVHVBIACUVFUUHUVOTUVOVIVJVKVLZVGUVEUVHUUSUVEUVHQZUVGUUSA
        CUVEUVHAUVEAVNUVGACVMWDUVTUUDCPZQZUVGQUWAUVFUUHUMZUUSUVTUWAUVGVOUVGUWCU
        WBUVFUUHVPVQUURUWCMUUDCMAVRUUQUVFUUHUUOUUDUUPVSVTWEVGUVEUVHSWAUVEUURUVH
        MCUVEUUOCPZQZUURQZUUKUVHUWFUVNUURUUHGUMZUUQUUJPZUUKUWFYOUVIUVEYOUWDUURU
        VKWBZUVEUVIUWDUURUVMWBZWFZUWEUURSUVCUWGUVDUWDUURUVLWCUWFYOUVIUWDUWHUWIU
        WJUVEUWDUURVOUVNUWDQUWHUUQUAUFZUUPUGZRUACUNZUWDUWNUVNUWDUUQUUQRUWNUUQVI
        UAUUOCUWMUUQUUQUWLUUOUUPVSWGWHVQUVNUWHUWNVBZUWDUVNUUQTPUWOUUOUUPMWIWJZU
        AAUUQUUICFTGHLWKWHVEWLWMUVNNUFZUUHUMZUWGWOZUWQUUJPZQZUUKWNUVNUURUWGWOZU
        WHQZUUKWNNUUQUWPUWQUUQRZUXAUXCUUKUXDUWSUXBUWTUWHUXDUWRUURUVNUWGUWQUUQUU
        HWPWQUWQUUQUUJWRWSXEACFGHNILWTXAXBUWFUVNUVJUWKUVSVDXCXDXFXNXGXHXIKXJXKX
        LVEYQHBUUPUUAOZUUBGFTYOFHGUXEUHRYPYOEFGUBHINKACFGHLXMACFGHINLWTACFGHLXO
        ACFGHILXPACFGUBHINLXQACFGHLXRYCVEYQUUIBRZQZUUPYRUUAUXGUUIBYQUXFSXSXKYOY
        PSZYQYRUUAXTYAYQYPUUGTPZUUCUUGRUXHYOUXIYPYOUUFTPUXIACUUEYNVAUUFTVCVDVEY
        PUXIQZHBUVPUUGGFTLUXJUXFQZUVOUUFUXKACUVFUUEUXJUXFAYPUXIAYPAVNAUUGTAUUFA
        CUUEYBYLYDWDUXFAVNWDYPUXIUXFUWAUVFUUERYPUXIUXFUWAWOQZUUPYRUUDUXLUUIBYPU
        XIUXFUWAYEXSYFYGYHYIYPUXIYMYPUXISYJVGYK $.
    $}

    $d p v P $.  $d a b p q r v U $.  $d a b p q r v X $.
    $( The neighborhoods of a point ` P ` for the topology induced by an
       uniform space ` U ` .  (Contributed by Thierry Arnoux, 13-Jan-2018.) $)
    utopsnneip $p |- ( ( U e. ( UnifOn ` X ) /\ P e. X ) ->
       ( ( nei ` J ) ` { P } ) = ran ( v e. U |-> ( v " { P } ) ) ) $=
      ( vb vr vq vp va cv csn cima cmpt crn cfv wcel wral weq crab fveq2 eleq2d
      cpw cbvralvw eleq1w raleqbi1dv syl5bb cbvrabv simpl sneqd mpteq2dva rneqd
      wa imaeq2d cbvmptv utopsnneiplem ) ABCDGLZHLZIEACALZILZMZNZOZPZOZQZRZHURS
      ZGEUDZUAVFEJKFVIKLZJLZVFQZRZJVKSZGKVJVIURVMRZJURSGKTVOVHVPHJURHJTVGVMURUS
      VLVFUBUCUEVPVNJURVKGKVMUFUGUHUIIJEVEACUTVLMZNZOZPIJTZVDVSVTACVCVRVTUTCRZU
      NZVBVQUTWBVAVLVTWAUJUKUOULUMUPUQ $.

    $d v P $.  $d v U $.  $d v V $.
    $( Images of singletons by entourages ` V ` are neighborhoods of those
       singletons.  (Contributed by Thierry Arnoux, 13-Jan-2018.) $)
    utopsnnei $p |- ( ( U e. ( UnifOn ` X ) /\ V e. U /\ P e. X )
        -> ( V " { P } ) e. ( ( nei ` J ) ` { P } ) ) $=
      ( vv cust cfv wcel w3a csn cima cnei cv wceq wrex eqid 3ad2ant2 cvv mpan2
      imaeq1 rspceeqv crn utopsnneip 3adant2 eleq2d wb imaexg elrnmpt syl bitrd
      cmpt mpbird ) BEHIJZDBJZAEJZKZDALZMZUSCNIIZJZUTGOZUSMZPGBQZUPUOVEUQUPUTUT
      PVEUTRGDBVDUTUTVCDUSUBUCUASURVBUTGBVDUMZUDZJZVEURVAVGUTUOUQVAVGPUPGABCEFU
      EUFUGUPUOVHVEUHZUQUPUTTJVIDUSBUIGBVDUTVFTVFRUJUKSULUN $.

    $d r z J $.  $d r z M $.  $d z U $.  $d r z V $.  $d z X $.
    $( For any symmetrical entourage ` V ` and any relation ` M ` , build a
       neighborhood of ` M ` .  First part of proposition 2 of [BourbakiTop1]
       p.  II.4.  (Contributed by Thierry Arnoux, 14-Jan-2018.) $)
    utop2nei $p |- ( ( U e. ( UnifOn ` X ) /\ ( V e. U /\ `' V = V )
        /\ M C_ ( X X. X ) )
      -> ( V o. ( M o. V ) ) e. ( ( nei ` ( J tX J ) ) ` M ) ) $=
      ( vr cfv wcel wceq wa cxp wss ccom c0 syl2anc adantr syl cvv wbr cust w3a
      vz ccnv ctx co cnei ctop cutop utoptop eqeltrid txtop 3ad2ant1 0nei coeq1
      co01 eqtrdi coeq2d co02 adantl simpr fveq2d 3eltr4d wne cv wral c1st cima
      csn c2nd cuni cop simpl1 simpl2l simp3 xp1st utopsnnei syl3anc xp2nd eqid
      sselda neitx syl22anc fvex xpsn fveq2i wrel xpss sstr mpan2 df-rel sylibr
      eleqtrdi 1st2nd sylancom sneqd eleqtrrd a1i simpll2 simprd simpll1 simpld
      relxp ustrel elrelimasn biimpa brcnv breq bitr3id biimpar simplr 1st2ndbr
      simpll3 sylan 3pm3.2i brcogw syl21anc df-br sylib eqeltrd ex ssrdv simp2l
      mpan simp1 ustssxp coss1 coss2 xpcoid sseqtrdi sstrd utopbas unieqi txuni
      eqtr4di sqxpeqd eqtrd sseqtrd ssnei2 ralrimiva wb neips mpbird pm2.61dane
      ) AEUAHIZDAIZDUDZDJZKZCEELZMZUBZDCDNZNZCBBUEUFZUGHZHZIZCOUULCOJZKZOOUUPHZ
      UUNUUQUUTUUOUHIZOUVAIUULUVBUUSUUEUUIUVBUUKUUEBUHIZUVCUVBUUEBAUIHZUHFAEUJU
      KZUVEBBULPUMZQUUOUNRUUSUUNOJUULUUSUUNDONOUUSUUMODUUSUUMODNOCODUODUPUQURDU
      SUQUTUUTCOUUPUULUUSVAVBVCUULCOVDZKZUURUUNGVEZVIZUUPHZIZGCVFZUULUVMUVGUULU
      VLGCUULUVICIZKZUVBDUVIVGHZVIZVHZDUVIVJHZVIZVHZLZUVKIUWBUUNMUUNUUOVKZMZUVL
      UULUVBUVNUVFQUVOUWBUVPUVSVLZVIZUUPHZUVKUVOUWBUVQUVTLZUUPHZUWGUVOUVCUVCUVR
      UVQBUGHZHIZUWAUVTUWJHIZUWBUWIIUVOUUEUVCUUEUUIUUKUVNVMZUVERZUWNUVOUUEUUFUV
      PEIZUWKUWMUUFUUHUUEUUKUVNVNZUVOUVIUUJIZUWOUULCUUJUVIUUEUUIUUKVOZWAZUVIEEV
      PRUVPABDEFVQVRUVOUUEUUFUVSEIZUWLUWMUWPUVOUWQUWTUWSUVIEEVSRUVSABDEFVQVRUVR
      UWAUVQUVTBBBVKZUXAUXAVTZUXBWBWCUWHUWFUUPUVPUVSUVIVGWDZUVIVJWDZWEWFWMUVOUV
      JUWFUUPUVOUVIUWEUULUVNCWGZUVIUWEJUVOUUKUXEUULUUKUVNUWRQUUKCSSLZMZUXEUUKUU
      JUXFMUXGEEWHCUUJUXFWIWJCWKWLZRUVICWNWOWPVBWQUVOUCUWBUUNUVOUCVEZUWBIZUXIUU
      NIUVOUXJKZUXIUXIVGHZUXIVJHZVLZUUNUVOUXJUWBWGZUXIUXNJUXOUXKUVRUWAXCWRUXIUW
      BWNWOUXKUXLUXMUUNTZUXNUUNIUXKUXLUVPDTZUVPUVSCTZUVSUXMDTZUXPUXKUUHUVPUXLDT
      ZUXQUXKUUFUUHUUEUUIUUKUVNUXJWSZWTUXKDWGZUXLUVRIZUXTUXKUUEUUFUYBUUEUUIUUKU
      VNUXJXAUXKUUFUUHUYAXBADEXDPZUXJUYCUVOUXIUVRUWAVPUTUYBUYCUXTUVPUXLDXEXFPUU
      HUXQUXTUXQUVPUXLUUGTUUHUXTUVPUXLDUXCUXIVGWDZXGUVPUXLUUGDXHXIXJPUXKUUKUVNU
      XRUUEUUIUUKUVNUXJXMUULUVNUXJXKUUKUXEUVNUXRUXHUVICXLXNPUXKUYBUXMUWAIZUXSUY
      DUXJUYFUVOUXIUVRUWAVSUTUYBUYFUXSUVSUXMDXEXFPUXQUXRKZUXLUVSUUMTZUXSUXPUXLS
      IZUVSSIZUVPSIZUBUYGUYHUYIUYJUYKUYEUXDUXCXOUXLUVSCDSSUVPSXPYDUYIUXMSIZUYJU
      BUYHUXSKUXPUYIUYLUYJUYEUXIVJWDUXDXOUXLUXMDUUMSSUVSSXPYDXNXQUXLUXMUUNXRXSX
      TYAYBUULUWDUVNUULUUNUUJUWCUULUUNUUJUUMNZUUJUULDUUJMZUUNUYMMUULUUEUUFUYNUU
      EUUIUUKYEUUEUUFUUHUUKYCADEYFPZDUUJUUMYGRUULUUMUUJMZUYMUUJMUULUUMUUJDNZUUJ
      UULUUKUUMUYQMUWRCUUJDYGRUULUYNUYQUUJMUYOUYNUYQUUJUUJNZUUJDUUJUUJYHEYIZYJR
      YKUYPUYMUYRUUJUUMUUJUUJYHUYSYJRYKUUEUUIUUJUWCJUUKUUEUUJUXAUXALZUWCUUEEUXA
      UUEEUVDVKUXAAEYLBUVDFYMYOYPUUEUVCUVCUYTUWCJUVEUVEBBUXAUXAUXBUXBYNPYQUMZYR
      QUVJUUOUUNUWBUWCUWCVTZYSWCYTQUVHUVBCUWCMZUVGUURUVMUUAUULUVBUVGUVFQUULVUCU
      VGUULCUUJUWCUWRVUAYRQUULUVGVACUUOUUNUWCGVUBUUBVRUUCUUD $.

    $( Relation between a topological closure and a symmetric entourage in an
       uniform space.  Second part of proposition 2 of [BourbakiTop1] p.  II.4.
       (Contributed by Thierry Arnoux, 17-Jan-2018.) $)
    utop3cls $p |- ( ( ( U e. ( UnifOn ` X ) /\ M C_ ( X X. X ) ) /\
        ( V e. U /\ `' V = V ) )
        -> ( ( cls ` ( J tX J ) ) ` M ) C_ ( V o. ( M o. V ) ) ) $=
      ( vr cfv wcel cxp wss wa wceq c1st c2nd syl2anc syl wbr csn cvv cust ccnv
      vz ctx co ccl ccom cv cop wrel relxp cuni ctop utoptop eqeltrid ad3antrrr
      cutop txtop simpllr ctopon utoptopon toponuni sqxpeqd txuni eqtrd sseqtrd
      eqid clsss3 sseqtrrd simpr sseldd 1st2nd sylancr cima cin simp-4l simpr1l
      wral ustrel elin sylib simpld xp1st elrelimasn biimpa simp-4r xpss sstrdi
      3anassrs df-rel sylibr simprd 1st2ndbr xp2nd wb simpr1r breq fvex bitr3di
      brcnv mpbird wi w3a brcogw ex mp3an sylan syl21anc ralrimiva cnei simplll
      c0 simplrl 3ad2ant1 utopsnnei syl3an3 neitx syl22anc 1st2nd2 xpsn eqtr4di
      wne sneqd 3ad2ant3 eleqtrrd syl3anc neindisj r19.3rzv df-br eqeltrd ssrdv
      fveq2d ) AEUAHIZCEEJZKZLZDAIZDUBZDMZLZLZUCCBBUDUEZUFHHZDCDUGZUGZUUAUCUHZU
      UCIZUUFUUEIUUAUUGLZUUFUUFNHZUUFOHZUIZUUEUUHYNUJUUFYNIZUUFUUKMEEUKUUHUUCYN
      UUFUUHUUCUUBULZYNUUHUUBUMIZCUUMKZUUCUUMKYMUUNYOYTUUGYMBUMIZUUPUUNYMBAUQHZ
      UMFAEUNUOZUURBBURPUPZUUHCYNUUMYMYOYTUUGUSYMYNUUMMYOYTUUGYMYNBULZUUTJZUUMY
      MEUUTYMBEUTHZIEUUTMYMBUUQUVBFAEVAUOEBVBQVCYMUUPUUPUVAUUMMUURUURBBUUTUUTUU
      TVGZUVCVDPVEUPZVFZCUUBUUMUUMVGZVHPUVDVIUUAUUGVJZVKZUUFYNVLVMUUHUUIUUJUUER
      ZUUKUUEIUUHUVIUVIGDUUISZVNZDUUJSZVNZJZCVOZVRZUUHUVIGUVOUUHGUHZUVOIZLZUUIU
      VQNHZDRZUVTUVQOHZCRZUWBUUJDRZUVIUVSDUJZUVTUVKIZUWAUVSYMYQUWEYMYOYTUUGUVRV
      PYPYTUUGUVRYQYQYSUUGUVRYPVQWIADEVSPZUVSUVQUVNIZUWFUVSUWHUVQCIZUVSUVRUWHUW
      ILUUHUVRVJUVQUVNCVTWAZWBZUVQUVKUVMWCQUWEUWFUWAUUIUVTDWDWEPUVSCUJZUWIUWCUV
      SCTTJZKUWLUVSCYNUWMYMYOYTUUGUVRWFEEWGWHCWJWKUVSUWHUWIUWJWLUVQCWMPUVSUWDUU
      JUWBDRZUVSUWEUWBUVMIZUWNUWGUVSUWHUWOUWKUVQUVKUVMWNQUWEUWOUWNUUJUWBDWDWEPU
      VSYSUWDUWNWOYPYTUUGUVRYSYQYSUUGUVRYPWPWIYSUWBUUJYRRUWDUWNUWBUUJYRDWQUWBUU
      JDUVQOWRZUUFOWRZWTWSQXAUWAUWCLZUUIUWBUUDRZUWDUVIUUITIZUWBTIZUVTTIZUWRUWSX
      BUUFNWRZUWPUVQNWRUWTUXAUXBXCUWRUWSUUIUWBCDTTUVTTXDXEXFUWTUUJTIZUXAUWSUWDL
      ZUVIXBUXCUWQUWPUWTUXDUXAXCUXEUVIUUIUUJDUUDTTUWBTXDXEXFXGXHXIUUHUVOXLYBZUV
      IUVPWOUUHUUNUUOUUGUVNUUFSZUUBXJHZHZIZUXFUUSUVEUVGUUHYMYQUULUXJYMYOYTUUGXK
      YPYQYSUUGXMUVHYMYQUULXCZUVNUVJUVLJZUXHHZUXIUXKUUPUUPUVKUVJBXJHZHIZUVMUVLU
      XNHIZUVNUXMIYMYQUUPUULUURXNZUXQUULYMYQUUIEIUXOUUFEEWCUUIABDEFXOXPUULYMYQU
      UJEIUXPUUFEEWNUUJABDEFXOXPUVKUVMUVJUVLBBUUTUUTUVCUVCXQXRUULYMUXIUXMMYQUUL
      UXGUXLUXHUULUXGUUKSUXLUULUUFUUKUUFEEXSYCUUIUUJUXCUWQXTYAYLYDYEYFUUFCUUBUV
      NUUMUVFYGXRUVIGUVOYHQXAUUIUUJUUEYIWAYJXEYK $.

$(
    @{
      utop2cls.1 @e |- S = { w e. U | `' w = w } @.
      @( Topological closure of a relation in an uniform space.  Proposition 2
         of [BourbakiTop1] p.  II.4. @)
      utop2cls @p |- ( ( U e. ( UnifOn ` X ) /\ ( V e. U /\ `' V = V )
          /\ M C_ ( X X. X ) )
        -> ( ( cls ` J ) ` M ) = |^|_ v e. S ( v o. ( M o. v ) ) ) @=
        ? @.
    @}

    @( For any symmetrical entourage ` V ` and any subset ` A ` , build a
       neighborhood of ` A ` .  Corollary 1 of [BourbakiTop1] p.  II.5. @)
    utopnei @p |- ( ( U e. ( UnifOn ` X ) /\ ( V e. U /\ `' V = V )
        /\ A C_ X ) -> ( V " A ) e. ( ( nei ` J ) ` A ) ) @=
      ? @.

    @( Topological closure in an uniform space.  Corollary 1 of [BourbakiTop1]
       p.  II.5. @)
    utopcls @p |- ( ( U e. ( UnifOn ` X ) /\ A C_ X )
        -> ( ( cls ` J ) ` A ) = |^|_ v e. U ( v " A ) ) @=
      ? @.

    @( Condition for the topology induced by an uniform structure to be
       Hausdorff. @)
    utophaus @p |- ( U e. ( UnifOn ` X ) -> ( J e. Haus <->
      |^| U = ( _I |` X ) ) ) @=
      ? @.
$)
  $}

  ${
    $d a b v w x J $.  $d a b v w x U $.  $d a b v w x X $.
    utopreg.1 $e |- J = ( unifTop ` U ) $.
    $( All Hausdorff uniform spaces are regular.  Proposition 3 of
       [BourbakiTop1] p.  II.5.  (Contributed by Thierry Arnoux,
       16-Jan-2018.) $)
    utopreg $p |- ( ( U e. ( UnifOn ` X ) /\ J e. Haus ) -> J e. Reg ) $=
      ( vx vb va vv vw cfv wcel wa cv wss wrex wceq ad2antrr syl simplr syl2anc
      cust cha ctop wral creg cutop utoptop adantr eqeltrid cima ccnv ccom cnei
      ccl csn simp-4l simpr cuni ad3antrrr simpllr eqid eltopss utopbas eqtr4di
      unieqi sseqtrrd sseldd utopsnnei syl3anc neii2 simprl snss sylibr simplll
      vex ad6antr ustimasn sseqtrd simprr clsss ctx cxp ustssxp sqxpeqd simp-5r
      co imasncls syl22anc utop3cls sstrd imass1 jca reximdva simp-5l ustex3sym
      ex mpd r19.29a cmpt opnneip utopsnneip eleqtrd wb elrnmpt mpbid ralrimiva
      crn isreg sylanbrc ) ACUAJKZBUBKZLZBUCKZEMZFMZKZXOBUNJZJZGMZNZLZFBOZEXSUD
      ZGBUDBUEKXLBAUFJZUCDXJYDUCKXKACUGUHUIZXLYCGBXLXSBKZLZYBEXSYGXNXSKZLZXSHMZ
      XNUOZUJZPZYBHAYIYJAKZLZYMLZIMZUKYQPZYQYQYQULULZYJNZLZYBIAYPYQAKZLZUUALZYK
      XONZXOYQYKUJZNZLZFBOZYBUUDXMUUFYKBUMJJZKZUUIUUDYIXMYIYNYMUUBUUAUPZXLXMYFY
      HYEQZRZUUDYIUUBUUKUULYPUUBUUASZYIUUBLZXJUUBXNCKZUUKXJXKYFYHUUBUPZYIUUBUQU
      UPXSCXNUUPXSBURZCUUPXMYFXSUUSNZXLXMYFYHUUBYEUSXLYFYHUUBUTXSBUUSUUSVAZVBZT
      UUPXJCUUSPZUURXJCYDURUUSACVCBYDDVEVDZRVFYGYHUUBSVGXNABYQCDVHVITYKFBUUFVJT
      UUDUUHYAFBUUDXOBKZLZUUHYAUVFUUHLZXPXTUVGUUEXPUVFUUEUUGVKXNXOEVOVLVMUVGXRY
      LXSUVGXRUUFXQJZYLUVGXMUUFUUSNUUGXRUVHNUUDXMUVEUUHUUNQUVGUUFCUUSUVGXJUUBUU
      QUUFCNUUDXJUVEUUHUUDYIXJUULXJXKYFYHVNZRZQZUUDUUBUVEUUHUUOQYIUUQYNYMUUBUUA
      UVEUUHYIXSCXNYIXSUUSCYIXMYFUUTUUMXLYFYHSZUVBTZYIXJUVCUVIUVDRVFYGYHUQZVGZV
      PXNAYQCVQVIUVGXJUVCUVKUVDRVRUVFUUEUUGVSUUFXOBUUSUVAVTVIUUDUVHYLNUVEUUHUUD
      UVHYQBBWAWFUNJJZYKUJZYLUUDXMXMYQUUSUUSWBZNXNUUSKUVHUVQNUUNUUNUUDYQCCWBZUV
      RUUDXJUUBYQUVSNZUVJUUOAYQCWCTZUUDCUUSUUDXJUVCUVJUVDRWDVRUUDXSUUSXNUUDYIUU
      TUULUVMRYGYHYNYMUUBUUAWEVGXNYQBBUUSUUSUVAUVAWGWHUUDUVPYJNUVQYLNUUDUVPYSYJ
      UUDXJUVTUUBYRUVPYSNUVJUWAUUOUUCYRYTVKABYQYQCDWIWHUUCYRYTVSWJUVPYJYKWKRWJQ
      WJYOYMUUBUUAUVEUUHWEVFWLWPWMWQYPXJYNUUAIAOXJXKYFYHYNYMWNYIYNYMSIAYJCWOTWR
      YIXSHAYLWSZXGZKZYMHAOZYIXSUUJUWCYIXMYFYHXSUUJKUUMUVLUVNXNBXSWTVIYIXJUUQUU
      JUWCPUVIUVOHXNABCDXATXBYIYFUWDUWEXCUVLHAYLXSUWBBUWBVAXDRXEWRXFXFGEFBXHXI
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Uniform Spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c UnifSt $. $( Uniform Structure extractor function $)
  $c UnifSp $. $( The class of uniform spaces. $)
  $c toUnifSp $. $( The function building a uniform space $)

  $( Extend class notation with the Uniform Structure extractor function. $)
  cuss $a class UnifSt $.

  $( Extend class notation with the class of uniform spaces. $)
  cusp $a class UnifSp $.

  $( Extend class notation with the function mapping a uniform structure to a
     uniform space. $)
  ctus $a class toUnifSp $.

  $( Define the uniform structure extractor function.  Similarly with ~ df-topn
     this differs from ~ df-unif when a structure has been restricted using
     ~ df-ress ; in this case the ` UnifSet ` component will still have a
     uniform set over the larger set, and this function fixes this by
     restricting the uniform set as well.  (Contributed by Thierry Arnoux,
     1-Dec-2017.) $)
  df-uss $a |- UnifSt = ( f e. _V |->
    ( ( UnifSet ` f ) |`t ( ( Base ` f ) X. ( Base ` f ) ) ) ) $.

  $( Definition of a uniform space, i.e. a base set with an uniform structure
     and its induced topology.  Derived from definition 3 of [BourbakiTop1] p.
     II.4.  (Contributed by Thierry Arnoux, 17-Nov-2017.) $)
  df-usp $a |- UnifSp = { f | (
       ( UnifSt ` f ) e. ( UnifOn ` ( Base ` f ) )
    /\ ( TopOpen ` f ) = ( unifTop ` ( UnifSt ` f ) ) ) } $.

  $( Define the function mapping a uniform structure to a uniform space.
     (Contributed by Thierry Arnoux, 17-Nov-2017.) $)
  df-tus $a |- toUnifSp = ( u e. U. ran UnifOn |->
      ( { <. ( Base ` ndx ) , dom U. u >. , <. ( UnifSet ` ndx ) , u >. }
        sSet <. ( TopSet ` ndx ) , ( unifTop ` u ) >. ) ) $.

  ${
    $d w W $.
    ussval.1 $e |- B = ( Base ` W ) $.
    ussval.2 $e |- U = ( UnifSet ` W ) $.
    $( The uniform structure on uniform space ` W ` .  This proof uses a trick
       with ~ fvprc to avoid requiring ` W ` to be a set.  (Contributed by
       Thierry Arnoux, 3-Dec-2017.) $)
    ussval $p |- ( U |`t ( B X. B ) ) = ( UnifSt ` W ) $=
      ( vw cvv wcel cxp crest co cuss cfv wceq cunif cbs xpeq12i fveq2 c0 fvprc
      oveq12i cv sqxpeqd oveq12d df-uss ovex fvmpt eqtr4id 0rest syl5eq 3eqtr4a
      wn oveq1d pm2.61i ) CGHZBAAIZJKZCLMZNUOUQCOMZCPMZUTIZJKZURBUSUPVAJEAUTAUT
      DDQUAFCFUBZOMZVCPMZVEIZJKVBGLVCCNZVDUSVFVAJVCCORVGVEUTVCCPRUCUDFUEUSVAJUF
      UGUHUOULZSUPJKSUQURUPUIVHBSUPJVHBUSSECOTUJUMCLTUKUN $.

    $( In case the base of the ` UnifSt ` element of the uniform space is the
       base of its element structure, then ` UnifSt ` does not restrict it
       further.  (Contributed by Thierry Arnoux, 4-Dec-2017.) $)
    ussid $p |- ( ( B X. B ) = U. U -> U = ( UnifSt ` W ) ) $=
      ( cxp cuni wceq crest co cuss cfv oveq2 cvv wcel cbs fvexi xpex eqeltrrdi
      id uniexb sylibr eqid restid syl eqtr2d ussval eqtrdi ) AAFZBGZHZBBUIIJZC
      KLUKULBUJIJZBUIUJBIMUKBNOZUMBHUKUJNOUNUKUJUINUKTAAACPDQZUORSBUAUBBNUJUJUC
      UDUEUFABCDEUGUH $.
  $}

  ${
    $d w B $.  $d w J $.  $d w U $.  $d w W $.
    isusp.1 $e |- B = ( Base ` W ) $.
    isusp.2 $e |- U = ( UnifSt ` W ) $.
    isusp.3 $e |- J = ( TopOpen ` W ) $.
    $( The predicate ` W ` is a uniform space.  (Contributed by Thierry Arnoux,
       4-Dec-2017.) $)
    isusp $p |- ( W e. UnifSp
      <-> ( U e. ( UnifOn ` B ) /\ J = ( unifTop ` U ) ) ) $=
      ( vw cusp wcel cust cfv cutop wceq c0 cbs fveq2d cuss ctopn fveq2 wa elex
      cvv wn csn 0nep0 fvprc syl5eq ust0 eqtrdi eleq2d fvexi elsn bitrdi eqeq1d
      wne bitrd necon3bbid mpbiri adantr eqtr4di eleq12d eqeq12d anbi12d df-usp
      con4i cv elab2g pm5.21nii ) DIJDUCJZBAKLZJZCBMLZNZUAZDIUBVLVJVNVJVLVJUDZV
      LUDOOUEZUPUFVPVLOVQVPVLBVQNZOVQNVPVLBVQUEZJVRVPVKVSBVPVKOKLVSVPAOKVPADPLZ
      OEDPUGUHQUIUJUKBVQBDRFULUMUNVPBOVQVPBDRLZOFDRUGUHUOUQURUSVFUTHVGZRLZWBPLZ
      KLZJZWBSLZWCMLZNZUAVOHDIUCWBDNZWFVLWIVNWJWCBWEVKWJWCWABWBDRTFVAZWJWDAKWJW
      DVTAWBDPTEVAQVBWJWGCWHVMWJWGDSLCWBDSTGVAWJWCBMWKQVCVDHVEVHVI $.
  $}

  $( Value of the uniform structure of a restricted space.  (Contributed by
     Thierry Arnoux, 12-Dec-2017.) $)
  ressuss $p |- ( A e. V ->
    ( UnifSt ` ( W |`s A ) ) = ( ( UnifSt ` W ) |`t ( A X. A ) ) ) $=
    ( wcel cuss cfv cxp crest co cunif cbs cin eqid ussval oveq1i cvv wceq fvex
    cress eqtr3id xpex sqxpexg restco mp3an12i inxp incom ressbas syl5eq oveq2d
    sqxpeqd ressunif oveq1d a1i 3eqtrd eqtr2d ) ABDZCEFZAAGZHIZCJFZCKFZVAGZURLZ
    HIZCASIZEFZUPUSUTVBHIZURHIZVDVGUQURHVAUTCVAMZUTMZNOUTPDVBPDUPURPDVHVDQCJRVA
    VACKRZVKUAABUBVBURUTPPPUCUDTUPVDUTVEKFZVLGZHIVEJFZVMHIZVFUPVCVMUTHUPVCVAALZ
    VPGVMVAVAAAUEUPVPVLUPVPAVALVLAVAUFAVAVEBCVEMZVIUGTUJUHUIUPUTVNVMHAUTCVEBVQV
    JUKULVOVFQUPVLVNVEVLMVNMNUMUNUO $.

  ${
    ressust.x $e |- X = ( Base ` W ) $.
    ressust.t $e |- T = ( UnifSt ` ( W |`s A ) ) $.
    $( The uniform structure of a restricted space.  (Contributed by Thierry
       Arnoux, 22-Jan-2018.) $)
    ressust $p |- ( ( W e. UnifSp /\ A C_ X ) -> T e. ( UnifOn ` A ) ) $=
      ( cusp wcel wss wa cuss cfv cxp crest co cust cress cvv wceq eqid ressuss
      cbs fvexi adantl syl syl5eq ctopn cutop isusp simplbi trust sylan eqeltrd
      ssex ) CGHZADIZJZBCKLZAAMNOZAPLZUQBCAQOKLZUSFUQARHZVAUSSUPVBUOADDCUBEUCUN
      UDARCUAUEUFUOURDPLHZUPUSUTHUOVCCUGLZURUHLSDURVDCEURTVDTUIUJAURDUKULUM $.
  $}

  ${
    ressusp.1 $e |- B = ( Base ` W ) $.
    ressusp.2 $e |- J = ( TopOpen ` W ) $.
    $( The restriction of a uniform topological space to an open set is a
       uniform space.  (Contributed by Thierry Arnoux, 16-Dec-2017.) $)
    ressusp $p |- ( ( W e. UnifSp /\ W e. TopSp /\ A e. J )
      -> ( W |`s A ) e. UnifSp ) $=
      ( cusp wcel co cuss cust crest cutop wceq eqid isusp sylib syl2anc fveq2d
      cfv ctps w3a cress cbs cxp ressuss 3ad2ant3 wss simp1 simpld ctopon simp2
      istps simp3 toponss trust eqeltrd ressbas2 syl eleqtrd simprd restutopopn
      wa oveq1d 3eqtr4d resstopn sylanbrc ) DGHZDUAHZACHZUBZDAUCIZJTZVLUDTZKTZH
      CALIZVMMTZNVLGHVKVMAKTZVOVKVMDJTZAAUELIZVRVJVHVMVTNVIACDUFUGZVKVSBKTHZABU
      HZVTVRHVKWBCVSMTZNZVKVHWBWEVCVHVIVJUIBVSCDEVSOFPQZUJZVKCBUKTHZVJWCVKVIWHV
      HVIVJULBCDEFUMQVHVIVJUNZACBUORZAVSBUPRUQVKAVNKVKWCAVNNWJABVLDVLOZEURUSSUT
      VKWDALIZVTMTZVPVQVKWBAWDHWLWMNWGVKACWDWIVKWBWEWFVAZUTAVSBVBRVKCWDALWNVDVK
      VMVTMWASVEVNVMVPVLVNOVMOAVLCDWKFVFPVG $.
  $}

  ${
    $d u U $.  $d u X $.
    $( The value of the uniform space mapping function.  (Contributed by
       Thierry Arnoux, 5-Dec-2017.) $)
    tusval $p |- ( U e. ( UnifOn ` X ) -> ( toUnifSp ` U ) =
      ( { <. ( Base ` ndx ) , dom U. U >. , <. ( UnifSet ` ndx ) , U >. }
        sSet <. ( TopSet ` ndx ) , ( unifTop ` U ) >. ) ) $=
      ( vu cust cfv wcel cnx cbs cv cuni cdm cop cunif cpr cutop csts co opeq2d
      cts crn ctus cvv df-tus wceq wa simpr unieqd dmeqd preq12d fveq2d oveq12d
      elrnust ovexd fvmptd2 ) ABDEFZCAGHEZCIZJZKZLZGMEZUQLZNZGSEZUQOEZLZPQUPAJZ
      KZLZVAALZNZVDAOEZLZPQDTJUAUBCUCUOUQAUDZUEZVCVKVFVMPVOUTVIVBVJVOUSVHUPVOUR
      VGVOUQAUOVNUFZUGUHRVOUQAVAVPRUIVOVEVLVDVOUQAOVPUJRUKABULUOVKVMPUMUN $.

    tuslem.k $e |- K = ( toUnifSp ` U ) $.
    $( Lemma for ~ tusbas , ~ tusunif , and ~ tustopn .  (Contributed by
       Thierry Arnoux, 5-Dec-2017.)  (Proof shortened by AV, 28-Oct-2024.) $)
    tuslem $p |- ( U e. ( UnifOn ` X ) -> ( X = ( Base ` K ) /\
        U = ( UnifSet ` K ) /\ ( unifTop ` U ) = ( TopOpen ` K ) ) ) $=
      ( cfv wcel cbs wceq cunif cutop cnx cuni cop cts setsnid cvv fveq2d crest
      co eqid cust ctopn cdm baseid tsetndxnbasendx necomi ustbas2 uniexg dmexg
      csts basendxltunifndx unifndxnn 2strbas1 3syl eqtrd tusval syl5eq 3eqtr4a
      ctus unifid unifndxntsetndx 2strop1 prex fvex tsetid setsid mp2an eqtr4id
      cpr utopbas unieqd 3eqtr3rd oveq2d restid ax-mp topnval 3eqtr3g 3jca ) AC
      UAEZFZCBGEZHABIEZHAJEZBUBEZHVTKGEZALZUCZMZKIEZAMZVIZGEZWKKNEZWCMUJSZGECWA
      WCWMGWKUDWMWEUEUFOVTCWGWLACUGVTWFPFWGPFWGWLHAVSUHWFPUIWGAWKWIPWKTZUKULUMU
      NUOVTBWNGVTBAUSEWNDACUPUQZQURZVTWKIEWNIEAWBWCWMIWKUTVAOWGAIWKWIVSWOUKULUT
      VBVTBWNIWPQURVTWCBNEZWDVTWCWNNEZWRWKPFWCPFWCWSHWHWJVCAJVDPWCNPWKVEVFVGVTB
      WNNWPQVHZVTWRWRLZRSZWRWARSWRWDVTXAWAWRRVTCWCLWAXAACVJWQVTWCWRWTVKVLVMWRPF
      XBWRHBNVDWRPXAXATVNVOWAWRBWATWRTVPVQUOVR $.

    $( Obsolete proof of ~ tuslem as of 28-Oct-2024.  Lemma for ~ tusbas ,
       ~ tusunif , and ~ tustopn .  (Contributed by Thierry Arnoux,
       5-Dec-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    tuslemOLD $p |- ( U e. ( UnifOn ` X ) -> ( X = ( Base ` K ) /\
        U = ( UnifSet ` K ) /\ ( unifTop ` U ) = ( TopOpen ` K ) ) ) $=
      ( cfv wcel cbs wceq cunif cnx cuni cop cts co wne c1 c9 cvv c3 eqid cutop
      cust ctopn cdm cpr csts baseid 1re ltneii basendx tsetndx neeq12i setsnid
      1lt9 mpbir ustbas2 uniexg dmexg cdc df-unif 1nn 3nn0 1lt10 declti decnncl
      1nn0 3nn 2strbas 3syl eqtrd ctus tusval syl5eq fveq2d 3eqtr4a unifid 9nn0
      9lt10 gtneii unifndx 2strop prex fvex tsetid setsid mp2an eqtr4id utopbas
      9re crest unieqd 3eqtr3rd oveq2d restid ax-mp topnval 3eqtr3g 3jca ) ACUB
      EZFZCBGEZHABIEZHAUAEZBUCEZHWTJGEZAKZUDZLZJIEZALZUEZGEZXKJMEZXCLUFNZGECXAX
      CXMGXKUGXEXMOPQOPQUHUNUIXEPXMQUJUKULUOUMWTCXGXLACUPWTXFRFXGRFXGXLHAWSUQXF
      RURXGAIXKPSUSZRXKTZUTPSPVAVBVFVCVDZPSVFVGVEZVHVIVJWTBXNGWTBAVKEXNDACVLVMZ
      VNVOZWTXKIEXNIEAXBXCXMIXKVPXIXMOXOQOQXOWIPSQVAVBVQVRVDVSXIXOXMQVTUKULUOUM
      XGAIXKXOWSXPUTXQXRWAWTBXNIXSVNVOWTXCBMEZXDWTXCXNMEZYAXKRFXCRFXCYBHXHXJWBA
      UAWCRXCMRXKWDWEWFWTBXNMXSVNWGZWTYAYAKZWJNZYAXAWJNYAXDWTYDXAYAWJWTCXCKXAYD
      ACWHXTWTXCYAYCWKWLWMYARFYEYAHBMWCYARYDYDTWNWOXAYABXATYATWPWQVJWR $.

    $( The base set of a constructed uniform space.  (Contributed by Thierry
       Arnoux, 5-Dec-2017.) $)
    tusbas $p |- ( U e. ( UnifOn ` X ) -> X = ( Base ` K ) ) $=
      ( cust cfv wcel cbs wceq cunif cutop ctopn tuslem simp1d ) ACEFGCBHFIABJF
      IAKFBLFIABCDMN $.

    $( The uniform structure of a constructed uniform space.  (Contributed by
       Thierry Arnoux, 5-Dec-2017.) $)
    tusunif $p |- ( U e. ( UnifOn ` X ) -> U = ( UnifSet ` K ) ) $=
      ( cust cfv wcel cbs wceq cunif cutop ctopn tuslem simp2d ) ACEFGCBHFIABJF
      IAKFBLFIABCDMN $.

    $( The uniform structure of a constructed uniform space.  (Contributed by
       Thierry Arnoux, 15-Dec-2017.) $)
    tususs $p |- ( U e. ( UnifOn ` X ) -> U = ( UnifSt ` K ) ) $=
      ( cust cfv wcel cunif cuss tusunif cbs cxp cuni wceq ustuni unieqd tusbas
      sqxpeqd 3eqtr3rd eqid ussid syl eqtrd ) ACEFGZABHFZBIFZABCDJZUDBKFZUHLZUE
      MZNUEUFNUDAMCCLUJUIACOUDAUEUGPUDCUHABCDQRSUHUEBUHTUETUAUBUC $.

    ${
      tustopn.j $e |- J = ( unifTop ` U ) $.
      $( The topology induced by a constructed uniform space.  (Contributed by
         Thierry Arnoux, 5-Dec-2017.) $)
      tustopn $p |- ( U e. ( UnifOn ` X ) -> J = ( TopOpen ` K ) ) $=
        ( cust cfv wcel cutop ctopn cbs wceq cunif tuslem simp3d syl5eq ) ADGHI
        ZBAJHZCKHZFRDCLHMACNHMSTMACDEOPQ $.
    $}

    $( A constructed uniform space is an uniform space.  (Contributed by
       Thierry Arnoux, 5-Dec-2017.) $)
    tususp $p |- ( U e. ( UnifOn ` X ) -> K e. UnifSp ) $=
      ( cust cfv wcel cuss cbs ctopn cutop wceq id tususs tusbas fveq2d 3eltr3d
      cusp cunif eqid tusunif tuslem simp3d eqtr3d 3eqtr3d isusp sylanbrc ) ACE
      FZGZBHFZBIFZEFZGBJFZUJKFZLBRGUIAUHUJULUIMABCDNZUICUKEABCDOPQUIAKFZBSFZKFU
      MUNUIAUQKABCDUAZPUICUKLAUQLUPUMLABCDUBUCUIUQUJKUIAUQUJURUOUDPUEUKUJUMBUKT
      UJTUMTUFUG $.

    $( A constructed uniform space is a topological space.  (Contributed by
       Thierry Arnoux, 25-Jan-2018.) $)
    tustps $p |- ( U e. ( UnifOn ` X ) -> K e. TopSp ) $=
      ( cust cfv wcel ctopn cbs ctopon ctps cutop utoptopon eqid tustopn tusbas
      fveq2d 3eltr3d istps sylibr ) ACEFGZBHFZBIFZJFZGBKGUAALFZCJFUBUDACMAUEBCD
      UENOUACUCJABCDPQRUCUBBUCNUBNST $.
  $}

  ${
    uspreg.1 $e |- J = ( TopOpen ` W ) $.
    $( If a uniform space is Hausdorff, it is regular.  Proposition 3 of
       [BourbakiTop1] p.  II.5.  (Contributed by Thierry Arnoux,
       4-Jan-2018.) $)
    uspreg $p |- ( ( W e. UnifSp /\ J e. Haus ) -> J e. Reg ) $=
      ( cusp wcel cha wa cuss cfv cutop creg wceq cbs cust isusp simprbi adantr
      eqid simplbi simpr eqeltrrd utopreg syl2an2r eqeltrd ) BDEZAFEZGZABHIZJIZ
      KUEAUILZUFUEUHBMIZNIEZUJUKUHABUKRUHRCOZPQZUEULUFUIFEUIKEUEULUJUMSUGAUIFUN
      UEUFTUAUHUIUKUIRUBUCUD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Uniform continuity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c uCn $.

  $( Extend class notation with the uniform continuity operation. $)
  cucn $a class uCn $.

  ${
    $d u v f s r x y $.
    $( Define a function on two uniform structures which value is the set of
       uniformly continuous functions from the first uniform structure to the
       second.  A function ` f ` is uniformly continuous if, roughly speaking,
       it is possible to guarantee that ` ( f `` x ) ` and ` ( f `` y ) ` be as
       close to each other as we please by requiring only that ` x ` and ` y `
       are sufficiently close to each other; unlike ordinary continuity, the
       maximum distance between ` ( f `` x ) ` and ` ( f `` y ) ` cannot depend
       on ` x ` and ` y ` themselves.  This formulation is the definition 1 of
       [BourbakiTop1] p.  II.6.  (Contributed by Thierry Arnoux,
       16-Nov-2017.) $)
    df-ucn $a |- uCn = ( u e. U. ran UnifOn , v e. U. ran UnifOn |->
       { f e. ( dom U. v ^m dom U. u ) | A. s e. v E. r e. u
            A. x e. dom U. u A. y e. dom U. u
            ( x r y -> ( f ` x ) s ( f ` y ) ) } ) $.
  $}

  ${
    $d f r s u v x y U $.  $d f r s u v x V $.  $d f r s x y X $.
    $d f r s x Y $.
    $( The set of all uniformly continuous function from uniform space ` U ` to
       uniform space ` V ` .  (Contributed by Thierry Arnoux, 16-Nov-2017.) $)
    ucnval $p |- ( ( U e. ( UnifOn ` X ) /\ V e. ( UnifOn ` Y ) )
      -> ( U uCn V ) = { f e. ( Y ^m X ) | A. s e. V E. r e. U
            A. x e. X A. y e. X ( x r y -> ( f ` x ) s ( f ` y ) ) } ) $=
      ( vu vv cfv wcel co cv cuni cdm wral cmap wceq cust wa cucn wbr wrex crab
      wi crn cvv elrnust adantr adantl ovex rabex a1i simpr dmeqd simpl oveq12d
      unieqd raleqdv raleqbidv rexeqbidv df-ucn ovmpoga syl3anc ustbas2 rexbidv
      rabeqbidv oveqan12rd ralbidv eqtr4d ) CFUALMZEGUALMZUBZCEUCNZAOZBOZIOUDVQ
      DOZLVRVSLHOUDUGZBCPZQZRZAWBRZICUEZHERZDEPZQZWBSNZUFZVTBFRZAFRZICUEZHERZDG
      FSNZUFVOCUAUHPZMZEWPMZWJUIMZVPWJTVMWQVNCFUJUKVNWRVMEGUJULWSVOWFDWIWHWBSUM
      UNUOJKCEWPWPVTBJOZPZQZRZAXBRZIWTUEZHKOZRZDXFPZQZXBSNZUFWJUCUIWTCTZXFETZUB
      ZXGWFDXJWIXMXIWHXBWBSXMXHWGXMXFEXKXLUPZUTUQXMXAWAXMWTCXKXLURZUTUQZUSXMXEW
      EHXFEXNXMXDWDIWTCXOXMXCWCAXBWBXPXMVTBXBWBXPVAVBVCVBVIABKJDHIVDVEVFVOWNWFD
      WOWIVNVMGWHFWBSEGVGCFVGZVJVOWMWEHEVOWLWDICVOWKWCAFWBVMFWBTVNXQUKZVOVTBFWB
      XRVAVBVHVKVIVL $.
  $}

  ${
    $d f r s x y F $.  $d f r s x y U $.  $d f r s x V $.  $d f r s x y X $.
    $d f r s x Y $.
    $( The predicate " ` F ` is a uniformly continuous function from uniform
       space ` U ` to uniform space ` V ` ".  (Contributed by Thierry Arnoux,
       16-Nov-2017.) $)
    isucn $p |- ( ( U e. ( UnifOn ` X ) /\ V e. ( UnifOn ` Y ) )
      -> ( F e. ( U uCn V ) <-> ( F : X --> Y /\ A. s e. V E. r e. U
          A. x e. X A. y e. X ( x r y -> ( F ` x ) s ( F ` y ) ) ) ) ) $=
      ( vf cust cfv wcel wa co cv wbr wi wral cvv cucn cmap wrex wf crab ucnval
      eleq2d fveq1 breq12d imbi2d ralbidv rexralbidv elrab bitrdi elfvex elmapg
      wceq wb syl2anr anbi1d bitrd ) CFKLMZEGKLMZNZDCEUAOZMZDGFUBOZMZAPZBPZIPQZ
      VIDLZVJDLZHPZQZRZBFSZAFSICUCZHESZNZFGDUDZVSNVDVFDVKVIJPZLZVJWBLZVNQZRZBFS
      ZAFSICUCZHESZJVGUEZMVTVDVEWJDABCJEFGHIUFUGWIVSJDVGWBDUQZWHVRHEWKWGVQIACFW
      KWFVPBFWKWEVOVKWKWCVLWDVMVNVIWBDUHVJWBDUHUIUJUKULUKUMUNVDVHWAVSVCGTMFTMVH
      WAURVBEGKUOCFKUOGFDTTUPUSUTVA $.
  $}

  ${
    $d r s u v x y F $.  $d r u x y R $.  $d s u v x y S $.
    $d r s u v x y U $.  $d s u v x V $.  $d r s u v x y X $.
    $d s u v x y Y $.  $d r s u v x y ph $.
    isucn2.u $e |- U = ( ( X X. X ) filGen R ) $.
    isucn2.v $e |- V = ( ( Y X. Y ) filGen S ) $.
    isucn2.1 $e |- ( ph -> U e. ( UnifOn ` X ) ) $.
    isucn2.2 $e |- ( ph -> V e. ( UnifOn ` Y ) ) $.
    isucn2.3 $e |- ( ph -> R e. ( fBas ` ( X X. X ) ) ) $.
    isucn2.4 $e |- ( ph -> S e. ( fBas ` ( Y X. Y ) ) ) $.
    $( The predicate " ` F ` is a uniformly continuous function from uniform
       space ` U ` to uniform space ` V ` ", expressed with filter bases for
       the entourages.  (Contributed by Thierry Arnoux, 26-Jan-2018.) $)
    isucn2 $p |- ( ph -> ( F e. ( U uCn V ) <-> ( F : X --> Y
      /\ A. s e. S E. r e. R A. x e. X A. y e. X
                                  ( x r y -> ( F ` x ) s ( F ` y ) ) ) ) ) $=
      ( wi wa vu vv cucn co wcel wf cv wbr cfv wral wrex cust isucn syl2anc weq
      wb breq imbi2d ralbidv rexralbidv simplr wss cxp cfg cfbas ssfg sseqtrrdi
      syl adantr sselda rspcdva simpr eleqtrdi elfg simplbda syldan ssbr imim1d
      adantl ralrimivw ralim ralimi ex reximdva mpd r19.37v rexlimdva ad3antrrr
      3syl ralrimiva ssrexv imbi1d 2ralbidv cbvrexvw syl6ib nfv nfra1 nfan rspa
      ralimdv ad5ant24 simp-4l reximdv syl21anc r19.29af syld imp impbida bitrd
      imim2d pm5.32da ) AGFHUCUDUEZIJGUFZBUGZCUGZUAUGZUHZXNGUIZXOGUIZUBUGZUHZSZ
      CIUJZBIUJZUAFUKZUBHUJZTZXMXNXOLUGZUHZXRXSKUGZUHZSZCIUJZBIUJZLDUKZKEUJZTAF
      IULUIUEHJULUIUEXLYGUPOPBCFGHIJUBUAUMUNAXMYFYPAXMTZYFYPYQYFTZYOKEYRYJEUEZT
      ZXQYKSZCIUJZBIUJZUAFUKZYOYTYEUUDUBHYJUBKUOZYCUUBUABFIUUEYBUUACIUUEYAYKXQX
      RXSXTYJUQURUSUTYQYFYSVAYREHYJYQEHVBZYFAUUFXMAEJJVCZEVDUDZHAEUUGVEUIUEZEUU
      HVBREUUGVFVHNVGVIVIVJVKAUUDYOSXMYFYSAUUCYOUAFAXPFUEZTZUUCYNSZLDUKZUUCYOSU
      UKYHXPVBZLDUKZUUMAUUJXPIIVCZDVDUDZUEZUUOUUKXPFUUQAUUJVLMVMAUURXPUUPVBZUUO
      ADUUPVEUIUEZUURUUSUUOTUPQLXPDUUPVNVHVOVPAUUOUUMSUUJAUUNUULLDAYHDUETZUUNUU
      LUVAUUNTZUUAYLSZCIUJZBIUJUUBYMSZBIUJUULUVBUVDBIUVBUVCCIUUNUVCUVAUUNYIXQYK
      YHXPXNXOVQVRVSVTVTUVDUVEBIUUAYLCIWAWBUUBYMBIWAWIWCWDVIWEUUCYNLDWFVHWGWHWE
      WJYQYPYFYQYPUUDKEUJZYFAYPUVFSXMAYOUUDKEADFVBZYOUUDSADUUQFAUUTDUUQVBQDUUPV
      FVHMVGUVGYOYNLFUKUUDYNLDFWKYNUUCLUAFLUAUOZYLUUABCIIUVHYIXQYKXNXOYHXPUQWLW
      MWNWOVHWTVIYQUVFYFYQUVFTZYEUBHUVIXTHUEZTZYJXTVBZYEKEUVIUVJKYQUVFKYQKWPUUD
      KEWQWRUVJKWPWRUVKYSTZUVLTZUUDYEUVFYSUUDYQUVJUVLUUDKEWSXAUVNYQYSUVLUUDYESY
      QUVFUVJYSUVLXBUVKYSUVLVAUVMUVLVLYQYSTZUVLTZUUCYDUAFUVPUUBYCBIUVPUUAYBCIUV
      PYKYAXQUVLYKYASUVOYJXTXRXSVQVSXJWTWTXCXDWEUVKUUIXTUUHUEZUVLKEUKZAUUIXMUVF
      UVJRWHUVKXTHUUHUVIUVJVLNVMUUIUVQXTUUGVBUVRKXTEUUGVNVOUNXEWJWCXFXGXHXKXI
      $.
  $}

  ${
    $d p x y F $.  $d p x y X $.
    ucnprima.1 $e |- ( ph -> U e. ( UnifOn ` X ) ) $.
    ucnprima.2 $e |- ( ph -> V e. ( UnifOn ` Y ) ) $.
    ucnprima.3 $e |- ( ph -> F e. ( U uCn V ) ) $.
    ucnprima.4 $e |- ( ph -> W e. V ) $.
    ucnprima.5 $e |- G = ( x e. X , y e. X |-> <. ( F ` x ) , ( F ` y ) >. ) $.
    $( Reformulate the ` G ` function as a mapping with one variable.
       (Contributed by Thierry Arnoux, 19-Nov-2017.) $)
    ucnimalem $p |- G = ( p e. ( X X. X )
                       |-> <. ( F ` ( 1st ` p ) ) , ( F ` ( 2nd ` p ) ) >. ) $=
      ( cv cfv cop vex cmpo cxp c1st c2nd cmpt wceq op1std fveq2d op2ndd mpompt
      opeq12d eqtr4i ) FBCIIBQZERZCQZERZSZUAKIIUBKQZUCRZERZURUDRZERZSZUEPBCKIIV
      CUQURUMUOSUFZUTUNVBUPVDUSUMEUMUOURBTZCTZUGUHVDVAUOEUMUOURVEVFUIUHUKUJUL
      $.

    $d p r w x y F $.  $d p x y G $.  $d p r w x y U $.  $d r w x V $.
    $d p r w x y W $.  $d p r w x y X $.  $d r w x Y $.  $d p r x y ph $.
    $( An equivalent statement of the definition of uniformly continuous
       function.  (Contributed by Thierry Arnoux, 19-Nov-2017.) $)
    ucnima $p |- ( ph -> E. r e. U ( G " r ) C_ W ) $=
      ( cfv wcel wa wrex vp vw cv wral cima wss wi wbr wceq breq imbi2d ralbidv
      rexralbidv wf cucn co cust isucn syl2anc mpbid simprd rspcdva cxp simplll
      wb simplr ustssxp sylan sselda adantlr simpr cop elxp2 sylib eleq1d df-br
      bitr4di c1st c2nd cvv opex ucnimalem fvmpt2 sylancl 1st2nd2 eqtr3d simpld
      syl vex fveq2d opeq12d eqtr4d imbi12d exbiri reximdv mpd r19.29d2r pm3.35
      opth rexlimivw imp syl1111anc ralrimiva ex reximdva wfun cdm mpofun dmmpo
      sseqtrrdi funimass4 sylancr biimprd r19.29r reximi ) AUAUCZFQZHRZUAKUCZUD
      ZXTFXSUEHUFZUGZSZKDTZYAKDTAXTKDTZYBKDUDYDABUCZCUCZXSUHZYFEQZYGEQZHUHZUGZC
      IUDZBIUDZKDTZYEAYHYIYJUBUCZUHZUGZCIUDZBIUDKDTZYOUBGHYPHUIZYSYMKBDIUUAYRYL
      CIUUAYQYKYHYIYJYPHUJUKULUMAIJEUNZYTUBGUDZAEDGUOUPRZUUBUUCSZNADIUQQRZGJUQQ
      RUUDUUEVELMBCDEGIJUBKURUSUTVAOVBAYNXTKDAXSDRZSZYNXTUUHYNSZXRUAXSUUIXPXSRZ
      SAYNXPIIVCZRZUUJXRAUUGYNUUJVDUUHYNUUJVFUUHUUJUULYNUUHXSUUKXPAUUFUUGXSUUKU
      FLDXSIVGVHZVIVJUUIUUJVKAYNSUULSZUUJXRUUNYLYLUUJXRUGZUGZSZCITZBITUUOUUNYLU
      UPBCIIAYNUULVFAUULUUPCITZBITZYNAUULSZXPYFYGVLZUIZCITZBITZUUTUVAUULUVEAUUL
      VKBCXPIIVMVNUVAUVDUUSBIUVAUVCUUPCIUVAUVCUUOYLUVAUVCSZUUJYHXRYKUVFUUJUVBXS
      RZYHAUVCUUJUVGVEUULAUVCSXPUVBXSAUVCVKVOVJYFYGXSVPVQUVFXRYIYJVLZHRYKUVFXQU
      VHHUVFXQXPVRQZEQZXPVSQZEQZVLZUVHUVFUULUVMVTRXQUVMUIAUULUVCVFZUVJUVLWAUAUU
      KUVMVTFABCDEFGHIJUALMNOPWBWCWDUVFYIUVJYJUVLUVFYFUVIEUVFYFUVIUIZYGUVKUIZUV
      FUVBUVIUVKVLZUIUVOUVPSUVFXPUVBUVQUVAUVCVKUVFUULXPUVQUIUVNXPIIWEWHWFYFYGUV
      IUVKBWICWIWSVNZWGWJUVFYGUVKEUVFUVOUVPUVRVAWJWKWLVOYIYJHVPVQWMWNWOWOWPVJWQ
      UURUUOBIUUQUUOCIYLUUOWRWTWTWHXAXBXCXDXEWPAYBKDUUHYAXTUUHFXFXSFXGZUFYAXTVE
      BCIIUVHFPXHUUHXSUUKUVSUUMBCIIUVHFPYIYJWAXIXJUAXSHFXKXLXMXCXTYBKDXNUSYCYAK
      DXTYAWRXOWH $.

    $d r G $.
    $( The preimage by a uniformly continuous function ` F ` of an entourage
       ` W ` of ` Y ` is an entourage of ` X ` .  Note of the definition 1 of
       [BourbakiTop1] p.  II.6.  (Contributed by Thierry Arnoux,
       19-Nov-2017.) $)
    ucnprima $p |- ( ph -> ( `' G " W ) e. U ) $=
      ( vr cv wss wcel cfv ccnv cima wrex ucnima wa wfun cdm wb cop mpofun cust
      cxp ustssxp sylan dmmpo sseqtrrdi funimass3 sylancr rexbidva mpbid adantr
      opex wi simpr cnvimass sseqtri a1i ustssel syl3anc rexlimdva mpd ) APQZFU
      AHUBZRZPDUCZVMDSZAFVLUBHRZPDUCVOABCDEFGHIJPKLMNOUDAVQVNPDAVLDSZUEZFUFVLFU
      GZRVQVNUHBCIIBQETZCQETZUIZFOUJVSVLIIULZVTADIUKTSZVRVLWDRKDVLIUMUNBCIIWCFO
      WAWBVBUOZUPVLHFUQURUSUTAVNVPPDVSWEVRVMWDRZVNVPVCAWEVRKVAAVRVDWGVSVMVTWDFH
      VEWFVFVGDVLVMIVHVIVJVK $.
  $}

  ${
    $d r s x y U $.  $d r s x y X $.
    $( The identity is uniformly continuous from a uniform structure to itself.
       Example 1 of [BourbakiTop1] p.  II.6.  (Contributed by Thierry Arnoux,
       16-Nov-2017.) $)
    iducn $p |- ( U e. ( UnifOn ` X ) -> ( _I |` X ) e. ( U uCn U ) ) $=
      ( vx vy vr vs cust cfv wcel cid cres cucn co wf cv wbr wi wral wa fvresi
      wrex wf1o f1oi f1of mp1i simpr breqan12d biimprd adantl ralrimivva imbi1d
      weq breq 2ralbidv rspcev syl2anc ralrimiva wb isucn anidms mpbir2and ) AB
      GHIZJBKZAALMIZBBVCNZCOZDOZEOZPZVFVCHZVGVCHZFOZPZQZDBRCBRZEAUAZFARZBBVCUBV
      EVBBUCBBVCUDUEVBVPFAVBVLAIZSZVRVFVGVLPZVMQZDBRCBRZVPVBVRUFVSWACDBBVFBIZVG
      BIZSZWAVSWEVMVTWCWDVJVFVKVGVLBVFTBVGTUGUHUIUJVOWBEVLAEFULZVNWACDBBWFVIVTV
      MVFVGVHVLUMUKUNUOUPUQVBVDVEVQSURCDAVCABBFEUSUTVA $.
  $}

  ${
    $d r s x y A $.  $d r s x y U $.  $d r s x y V $.  $d r s x y X $.
    $d r s x Y $.  $d r s x y ph $.
    cstucnd.1 $e |- ( ph -> U e. ( UnifOn ` X ) ) $.
    cstucnd.2 $e |- ( ph -> V e. ( UnifOn ` Y ) ) $.
    cstucnd.3 $e |- ( ph -> A e. Y ) $.
    $( A constant function is uniformly continuous.  Deduction form.  Example 1
       of [BourbakiTop1] p.  II.6.  (Contributed by Thierry Arnoux,
       16-Nov-2017.) $)
    cstucnd $p |- ( ph -> ( X X. { A } ) e. ( U uCn V ) ) $=
      ( vx vy vr vs wcel cv wbr cfv wral wa syl2anc csn cxp cucn co wf fconst6g
      wi wrex syl c0 cust adantr ustne0 ad3antrrr simpllr ustref syl3anc simprl
      wne wceq fvconst2g simprr 3brtr4d ralrimivva reximdva0 mpdan ralrimiva wb
      a1d isucn mpbir2and ) AEBUAUBZCDUCUDNZEFVLUEZJOZKOZLOZPZVOVLQZVPVLQZMOZPZ
      UGZKERJERZLCUHZMDRZABFNZVNIEBFUFUIAWEMDAWADNZSZCUJUSZWEWICEUKQNZWJAWKWHGU
      LCEUMUIWIWDLCWIVQCNZSZWCJKEEWMVOENZVPENZSZSZWBVRWQBBVSVTWAWQDFUKQNZWHWGBB
      WAPAWRWHWLWPHUNAWHWLWPUOAWGWHWLWPIUNZBDWAFUPUQWQWGWNVSBUTWSWMWNWOUREBVOFV
      ATWQWGWOVTBUTWSWMWNWOVBEBVPFVATVCVIVDVEVFVGAWKWRVMVNWFSVHGHJKCVLDEFMLVJTV
      K $.
  $}

  ${
    $d a r s x y z F $.  $d a J $.  $d a r s x z K $.  $d a r s x y z R $.
    $d a r s x y z S $.  $d a r s x y z ph $.
    ucncn.j $e |- J = ( TopOpen ` R ) $.
    ucncn.k $e |- K = ( TopOpen ` S ) $.
    ucncn.1 $e |- ( ph -> R e. UnifSp ) $.
    ucncn.2 $e |- ( ph -> S e. UnifSp ) $.
    ucncn.3 $e |- ( ph -> R e. TopSp ) $.
    ucncn.4 $e |- ( ph -> S e. TopSp ) $.
    ucncn.5 $e |- ( ph -> F e. ( ( UnifSt ` R ) uCn ( UnifSt ` S ) ) ) $.
    $( Uniform continuity implies continuity.  Deduction form.  Proposition 1
       of [BourbakiTop1] p.  II.6.  (Contributed by Thierry Arnoux,
       30-Nov-2017.) $)
    ucncn $p |- ( ph -> F e. ( J Cn K ) ) $=
      ( vx vz wcel cfv wral wa adantr va vr vs vy ccn co cbs wf ccnv cv cima wi
      wbr cuss wrex cucn cust wb cusp cutop wceq eqid isusp simplbi syl syl2anc
      isucn mpbid simpld wss csn cnvimass fdmd sseqtrid simplll ad2antrr simplr
      cdm simpr sseldd simprd r19.21bi r19.12 syl21anc ad3antrrr ad5antr ustrel
      wrel ustimasn syl3anc simpllr elrelimasn biimpar adantlr wfn ffn elpreima
      ad7antr mpbir2and ex ralrimiva r19.26 pm3.33 ralimi sylbir simpl2l biimpa
      3syl breq2 eleq1w imbi12d simpl3 simpl2r rspcdva ssrdv syl121anc reximdva
      w3a mpd sneq imaeq2d sseq1d rexbidv simprbi eleqtrd elutop r19.29a eleq2d
      bitrd ctopon ctps istps sylib iscn ) ADEFUEUFPZBUGQZCUGQZDUHZDUIUAUJZUKZE
      PZUAFRZAYRNUJZOUJZUBUJZUMZUUCDQZUUDDQZUCUJZUMZULZOYPRZNYPRUBBUNQZUOZUCCUN
      QZRZADUUMUUOUPUFPZYRUUPSZMAUUMYPUQQPZUUOYQUQQPZUUQUURURABUSPZUUSIUVAUUSEU
      UMUTQZVAZYPUUMEBYPVBZUUMVBGVCZVDVEZACUSPZUUTJUVGUUTFUUOUTQZVAZYQUUOFCYQVB
      ZUUOVBHVCZVDVEZNOUUMDUUOYPYQUCUBVGVFVHZVIZAUUAUAFAYSFPZSZUUAYTYPVJZUUEUUC
      VKUKZYTVJZUBUUMUOZNYTRZUVPDVRZYTYPDYSVLAUWBYPVAUVOAYPYQDUVNVMTVNZUVPUVTNY
      TUVPUUCYTPZSZUUIUUGVKZUKZYSVJZUVTUCUUOUWEUUIUUOPZSZUWHSZUULUBUUMUOZUVTUWJ
      UWLUWHUWJAUWIUUCYPPZUWLAUVOUWDUWIVOZUWEUWIVSUWJYTYPUUCUVPUVQUWDUWIUWCVPUV
      PUWDUWIVQVTZAUWISZUWLNYPUWPUUNUWLNYPRAUUNUCUUOAYRUUPUVMWAWBUULUBNUUMYPWCV
      EWBWDTUWKUULUVSUBUUMUWKUUEUUMPZSZUULUVSUWRUULSZAUUEWHZUVRYPVJZUUFUUDYTPZU
      LZOYPRZUVSUWJAUWHUWQUULUWNWEZUWRUWTUULUWRUUSUWQUWTAUUSUVOUWDUWIUWHUWQUVFW
      FUWKUWQVSUUMUUEYPWGVFTUWSUUSUWQUWMUXAUWSAUUSUXEUVFVEUWKUWQUULVQUWJUWMUWHU
      WQUULUWOWEUUCUUMUUEYPWIWJUWSUULUUJUXBULZOYPRZUXDUWRUULVSUWRUXGUULUWRUXFOY
      PUWRUUDYPPZSZUUJUXBUXIUUJSUXBUXHUUHYSPZUWRUXHUUJVQUWRUUJUXJUXHUWRUUJSUWGY
      SUUHUWJUWHUWQUUJWKUWRUUHUWGPZUUJUWRUUIWHZUXKUUJURUWRUUTUWIUXLAUUTUVOUWDUW
      IUWHUWQUVLWFUWEUWIUWHUWQWKUUOUUIYQWGVFUUGUUHUUIWLVEWMVTWNAUXBUXHUXJSURZUV
      OUWDUWIUWHUWQUXHUUJAYRDYPWOZUXMUVNYPYQDWPZYPUUDYSDWQXHWRWSWTXATUULUXGSUUK
      UXFSZOYPRUXDUUKUXFOYPXBUXPUXCOYPUUFUUJUXBXCXDXEVFAUWTUXASZUXDXRZUDUVRYTUX
      RUDUJZUVRPZUXSYTPZUXRUXTSZUUCUXSUUEUMZUYAUYBUWTUXTUYCUWTUXAAUXDUXTXFUXRUX
      TVSZUWTUXTUYCUUCUXSUUEWLXGVFUYBUXCUYCUYAULOYPUXSUUDUXSVAUUFUYCUXBUYAUUDUX
      SUUCUUEXIOUDYTXJXKAUXQUXDUXTXLUYBUVRYPUXSUWTUXAAUXDUXTXMUYDVTXNXSWTXOXPWT
      XQXSUWEUUIUXSVKZUKZYSVJZUCUUOUOZUWHUCUUOUOUDYSUUGUXSUUGVAZUYGUWHUCUUOUYIU
      YFUWGYSUYIUYEUWFUUIUXSUUGXTYAYBYCUVPUYHUDYSRZUWDUVPYSYQVJZUYJUVPYSUVHPZUY
      KUYJSZUVPYSFUVHAUVOVSAUVIUVOAUVGUVIJUVGUUTUVIUVKYDVETYEAUYLUYMURZUVOAUUTU
      YNUVLUDUCYSUUOYQYFVETVHWATUWEUWMUUGYSPZUVPUWDUWMUYOSZAUWDUYPURZUVOAYRUXNU
      YQUVNUXOYPUUCYSDWQXHTXGWAXNYGXAUVPUUAYTUVBPZUVQUWASZUVPEUVBYTAUVCUVOAUVAU
      VCIUVAUUSUVCUVEYDVETYHAUYRUYSURZUVOAUUSUYTUVFNUBYTUUMYPYFVETYIWSXAAEYPYJQ
      PZFYQYJQPZYOYRUUBSURABYKPVUAKYPEBUVDGYLYMACYKPVUBLYQFCUVJHYLYMUADEFYPYQYN
      VFWS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cauchy filters in uniform spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CauFilU $.

  $( Extend class notation with the set of Cauchy filter bases. $)
  ccfilu $a class CauFilU $.

  ${
    $d u f v a $.
    $( Define the set of Cauchy filter bases on a uniform space.  A Cauchy
       filter base is a filter base on the set such that for every entourage
       ` v ` , there is an element ` a ` of the filter "small enough in
       ` v ` " i.e. such that every pair ` { x , y } ` of points in ` a ` is
       related by ` v ` ".  Definition 2 of [BourbakiTop1] p.  II.13.
       (Contributed by Thierry Arnoux, 16-Nov-2017.) $)
    df-cfilu $a |- CauFilU = ( u e. U. ran UnifOn |->
        { f e. ( fBas ` dom U. u ) | A. v e. u E. a e. f ( a X. a ) C_ v } ) $.
  $}

  ${
    $d a f u v $.  $d a f v F $.  $d f u v U $.
    $( The predicate " ` F ` is a Cauchy filter base on uniform space ` U ` ".
       (Contributed by Thierry Arnoux, 18-Nov-2017.) $)
    iscfilu $p |- ( U e. ( UnifOn ` X ) -> ( F e. ( CauFilU ` U ) <->
      ( F e. ( fBas ` X ) /\ A. v e. U E. a e. F ( a X. a ) C_ v ) ) ) $=
      ( vf vu cust cfv wcel ccfilu cuni cdm cfbas cv wrex wral wa crab wceq cxp
      wss crn elrnust unieq dmeqd raleq rabeqbidv df-cfilu fvex rabex fvmpt syl
      fveq2d eleq2d rexeq ralbidv elrab bitrdi ustbas2 anbi1d bitr4d ) BDHIJZCB
      KIZJZCBLZMZNIZJZEOZVJUAAOUBZECPZABQZRZCDNIZJZVMRVCVECVKEFOZPZABQZFVHSZJVN
      VCVDVTCVCBHUCLZJVDVTTBDUDGBVRAGOZQZFWBLZMZNIZSVTWAKWBBTZWCVSFWFVHWGWEVGNW
      GWDVFWBBUEUFUNVRAWBBUGUHAGFEUIVSFVHVGNUJUKULUMUOVSVMFCVHVQCTVRVLABVKEVQCU
      PUQURUSVCVPVIVMVCVOVHCVCDVGNBDUTUNUOVAVB $.
  $}

  ${
    $d a v F $.  $d v U $.
    $( A Cauchy filter base is a filter base.  (Contributed by Thierry Arnoux,
       19-Nov-2017.) $)
    cfilufbas $p |- ( ( U e. ( UnifOn ` X ) /\ F e. ( CauFilU ` U ) )
      -> F e. ( fBas ` X ) ) $=
      ( va vv cust cfv wcel ccfilu cfbas cv cxp wss wrex wral iscfilu simprbda
      ) ACFGHBAIGHBCJGHDKZRLEKMDBNEAOEABCDPQ $.
  $}

  ${
    $d a v F $.  $d a v V $.  $d v U $.
    $( For a Cauchy filter base and any entourage ` V ` , there is an element
       of the filter small in ` V ` .  (Contributed by Thierry Arnoux,
       19-Nov-2017.) $)
    cfiluexsm $p |- ( ( U e. ( UnifOn ` X ) /\ F e. ( CauFilU ` U ) /\ V e. U )
      -> E. a e. F ( a X. a ) C_ V ) $=
      ( vv cust cfv wcel ccfilu w3a cv cxp wss wrex wral cfbas iscfilu simplbda
      3adant3 wi wceq sseq2 rexbidv rspcv 3ad2ant3 mpd ) ADGHIZBAJHIZCAIZKELZUK
      MZFLZNZEBOZFAPZULCNZEBOZUHUIUPUJUHUIBDQHIUPFABDERSTUJUHUPURUAUIUOURFCAUMC
      UBUNUQEBUMCULUCUDUEUFUG $.
  $}

  ${
    $( TODO: replace by ~ fimaproj , which is more general. $)
    $d p x y A $.  $d p x y F $.  $d p x y X $.
    $( Lemma for ~ fmucnd .  (Contributed by Thierry Arnoux, 19-Nov-2017.) $)
    fmucndlem $p |- ( ( F Fn X /\ A C_ X ) ->
      ( ( x e. X , y e. X |-> <. ( F ` x ) , ( F ` y ) >. ) " ( A X. A ) )
        = ( ( F " A ) X. ( F " A ) ) ) $=
      ( vp wss wa cv cfv cop cmpo cxp cima crn wceq cvv wcel adantl wrex df-ima
      cres simpr resmpo sylancom rneqd syl5eq wtru c1st c2nd cmpt op1std fveq2d
      wfn op2ndd opeq12d mpompt eqcomi rneqi fvexd fliftrel mptru sseli xpss wb
      eqid opex elrnmpo eqcom fvex opth2 2rexbii reeanv 3bitri fvelimab anbi12d
      bitri bitr4id opelxp bitr4di adantr 1st2nd2 eleq1d 3bitr4d eqrdav eqtrd
      vex ) DEUNZCEGZHZABEEAIZDJZBIZDJZKZLZCCMZNZABCCWOLZOZDCNZXAMZWJWRWPWQUBZO
      WTWPWQUAWJXCWSWHWIWIXCWSPWHWIUCABEECCWOUDUEUFUGWJFWTXBQQMZFIZWTRZXEXDRZWJ
      WTXDXEWTXDGUHFXEUIJZDJZXEUJJZDJZQQWTWQWSFWQXIXKKZUKZXMWSABFCCXLWOXEWKWMKP
      ZXIWLXKWNXNXHWKDWKWMXEAWGZBWGZULUMXNXJWMDWKWMXEXOXPUOUMUPUQURUSUHXEWQRHZX
      HDUTXQXJDUTVAVBVCSXEXBRZXGWJXBXDXEXAXAVDVCSWJXGHZXHXJKZWTRZXTXBRZXFXRWJYA
      YBVEXGWJYAXHXARZXJXARZHZYBWJYAWLXHPZACTZWNXJPZBCTZHZYEYAXTWOPZBCTACTYFYHH
      ZBCTACTYJABCCWOXTWSWSVFWLWNVGVHYKYLABCCYKWOXTPYLXTWOVIWLWNXHXJXEUIVJXEUJV
      JVKVQVLYFYHABCCVMVNWJYCYGYDYIAECXHDVOBECXJDVOVPVRXHXJXAXAVSVTWAXSXEXTWTXG
      XEXTPWJXEQQWBSZWCXSXEXTXBYMWCWDWEWF $.
  $}

  ${
    $d a c C $.  $d a c C $.  $d a b v D $.  $d a b c r s t v x y F $.
    $d r s t v x y U $.  $d a r s t v x y V $.  $d a r s t v x y X $.
    $d a r s v x Y $.  $d a s t v x y ph $.
    fmucnd.1 $e |- ( ph -> U e. ( UnifOn ` X ) ) $.
    fmucnd.2 $e |- ( ph -> V e. ( UnifOn ` Y ) ) $.
    fmucnd.3 $e |- ( ph -> F e. ( U uCn V ) ) $.
    fmucnd.4 $e |- ( ph -> C e. ( CauFilU ` U ) ) $.
    fmucnd.5 $e |- D = ran ( a e. C |-> ( F " a ) ) $.
    $( The image of a Cauchy filter base by an uniformly continuous function is
       a Cauchy filter base.  Deduction form.  Proposition 3 of [BourbakiTop1]
       p.  II.13.  (Contributed by Thierry Arnoux, 18-Nov-2017.) $)
    fmucnd $p |- ( ph -> D e. ( CauFilU ` V ) ) $=
      ( vv vx vy cfv wcel cv vb vr vc vs vt ccfilu cfbas cxp wss wrex wral cust
      wf cvv cfilufbas syl2anc cucn co wa wbr wi isucn simprbda syl21anc fbasrn
      elfvexd syl3anc cop cmpo ccnv cima cmpt wceq simplr eqid rspceeqv sylancl
      crn imaeq2 wb imaexg elrnmpt 3syl ad3antrrr cbvmptv rneqi eqtri eleqtrrdi
      mpbird wfn ffnd fbelss sylan ad4ant13 fmucndlem mpofun funimass2 eqsstrrd
      wfun mpan adantl sqxpeqd sseq1d rspcev adantr simpr nfcv weq simpl fveq2d
      opeq12d cbvmpo ucnprima cfiluexsm r19.29a ralrimiva iscfilu syl mpbir2and
      id ) ACFUFRSZCHUGRSZUATZYCUHZOTZUIZUACUJZOFUKZABGUGRSZGHEUMZHUNSYBADGULRS
      ZBDUFRSZYIJMDBGUOUPZAYKFHULRSZEDFUQURZSZYJJKLYKYNUSYPYJPTZQTZUBTUTYQERZYR
      ERZYEUTVAQGUKPGUKUBDUJOFUKPQDEFGHOUBVBVCVDZAFULHKVFIBCEUNGHNVEVGAYGOFAYEF
      SZUSZITZUUDUHZPQGGYSYTVHZVIZVJYEVKZUIZYGIBUUCUUDBSZUSZUUIUSZEUUDVKZCSUUMU
      UMUHZYEUIZYGUULUUMUCBEUCTZVKZVLZVRZCUULUUMUUSSZUUMUUQVMUCBUJZUULUUJUUMUUM
      VMUVAUUCUUJUUIVNUUMVOUCUUDBUUQUUMUUMUUPUUDEVSVPVQAUUTUVAVTZUUBUUJUUIAYPUU
      MUNSUVBLEUUDYOWAUCBUUQUUMUURUNUURVOWBWCWDWICIBUUMVLZVRUUSNUVCUURIUCBUUMUU
      QUUDUUPEVSWEWFWGWHUULUUNUUGUUEVKZYEUULEGWJZUUDGUIZUVDUUNVMAUVEUUBUUJUUIAG
      HEUUAWKWDAUUJUVFUUBUUIAYIUUJUVFYMGBUUDWLWMWNPQUUDEGWOUPUUIUVDYEUIZUUKUUGW
      SUUIUVGPQGGUUFUUGUUGVOWPUUEYEUUGWQWTXAWRYFUUOUAUUMCYCUUMVMZYDUUNYEUVHYCUU
      MUVHXTXBXCXDUPUUCYKYLUUHDSUUIIBUJAYKUUBJXEZAYLUUBMXEUUCUDUEDEUUGFYEGHUVIA
      YNUUBKXEAYPUUBLXEAUUBXFPQUDUEGGUUFUDTZERZUETZERZVHZUDUUFXGUEUUFXGPUVNXGQU
      VNXGPUDXHZQUEXHZUSZYSUVKYTUVMUVQYQUVJEUVOUVPXIXJUVQYRUVLEUVOUVPXFXJXKXLXM
      DBUUHGIXNVGXOXPAYNYAYBYHUSVTKOFCHUAXQXRXS $.
  $}

  ${
    $d a b v F $.  $d a b v X $.  $d b v U $.
    $( The filter generated by a Cauchy filter base is still a Cauchy filter
       base.  (Contributed by Thierry Arnoux, 24-Jan-2018.) $)
    cfilufg $p |- ( ( U e. ( UnifOn ` X ) /\ F e. ( CauFilU ` U ) )
      -> ( X filGen F ) e. ( CauFilU ` U ) ) $=
      ( va vv vb cust cfv wcel ccfilu wa cfg co cfbas cxp wss wrex wral iscfilu
      cv cfil cfilufbas fgcl filfbas 3syl ad3antrrr ssfg syl simplr weq sqxpeqd
      sseldd id sseq1d rspcev sylancom simplbda r19.21bi ralrimiva wb mpbir2and
      r19.29a adantr ) ACGHIZBAJHZIZKZCBLMZVEIZVHCNHZIZDTZVLOZETZPZDVHQZEARZVGB
      VJIZVHCUAHIVKABCUBZBCUCVHCUDUEVGVPEAVGVNAIZKZFTZWBOZVNPZVPFBWAWBBIZKZWDWB
      VHIVPWFWDKZBVHWBWGVRBVHPVGVRVTWEWDVSUFBCUGUHWAWEWDUIULVOWDDWBVHDFUJZVMWCV
      NWHVLWBWHUMUKUNUOUPVGWDFBQZEAVDVFVRWIEAREABCFSUQURVBUSVDVIVKVQKUTVFEAVHCD
      SVCVA $.
  $}

  ${
    $d a b v w A $.  $d a b v w F $.  $d a v w U $.  $d a v w X $.
    $( Condition for the trace of a Cauchy filter base to be a Cauchy filter
       base for the restricted uniform structure.  (Contributed by Thierry
       Arnoux, 24-Jan-2018.) $)
    trcfilu $p |- ( ( U e. ( UnifOn ` X ) /\
      ( F e. ( CauFilU ` U ) /\ -. (/) e. ( F |`t A ) ) /\ A C_ X )
      -> ( F |`t A ) e. ( CauFilU ` ( U |`t ( A X. A ) ) ) ) $=
      ( vb vw va vv cust cfv wcel ccfilu wa wss cxp cv wrex syl2anc cin cvv w3a
      c0 crest co wn cfbas wral simp1 simp2l iscfilu biimpa simpld simp3 simp2r
      trfbas2 biimpar syl21anc wceq ad5antr adantr elfvexd ssexd ad4antr simplr
      elrestr syl3anc simpr ssrind simpllr sseqtrrd eqsstrrid id sqxpeqd sseq1d
      inxp rspcev simprd r19.21bi ad4ant13 r19.29a xpexd elrest ralrimiva trust
      wb syl mpbir2and ) BDIJZKZCBLJZKZUBCAUCUDZKUEZMZADNZUAZWLBAAOZUCUDZLJKZWL
      AUFJKZEPZXAOZFPZNZEWLQZFWRUGZWPCDUFJKZWOWMWTWPXGGPZXHOZHPZNZGCQZHBUGZWPWI
      WKXGXMMZWIWNWOUHZWIWKWMWOUIZWIWKXNHBCDGUJUKRZULWIWNWOUMZWIWKWMWOUNXGWOMWT
      WMACDUOUPUQWPXEFWRWPXCWRKZMZXCXJWQSZURZXEHBXTXJBKZMZYBMZXKXEGCYEXHCKZMZXK
      MZXHASZWLKZYIYIOZXCNZXEYHWKATKZYFYJWPWKXSYCYBYFXKXPUSXTYMYCYBYFXKXTADTXTB
      IDWPWIXSXOUTZVAWPWOXSXRUTVBZVCYEYFXKVDXHACWJTVEVFYHYKXIWQSZXCXHXHAAVOYHYP
      YAXCYHXIXJWQYGXKVGVHYDYBYFXKVIVJVKXDYLEYIWLXAYIURZXBYKXCYQXAYIYQVLVMVNVPR
      WPYCXLXSYBWPXLHBWPXGXMXQVQVRVSVTXTWIWQTKZXSYBHBQZYNXTAATTYOYOWAWPXSVGWIYR
      MXSYSHXCWQBWHTWBUKUQVTWCWPWRAIJKZWSWTXFMWEWPWIWOYTXOXRABDWDRFWRWLAEUJWFWG
      $.
  $}

  ${
    $d a u v A $.  $d a u v F $.  $d u v U $.  $d v X $.
    $( A Cauchy filter base is also a Cauchy filter base on any coarser uniform
       structure.  (Contributed by Thierry Arnoux, 24-Jan-2018.) $)
    cfiluweak $p |- ( ( U e. ( UnifOn ` X ) /\ A C_ X
      /\ F e. ( CauFilU ` ( U |`t ( A X. A ) ) ) ) -> F e. ( CauFilU ` U ) ) $=
      ( va vv vu cust cfv wcel wss cxp ccfilu cfbas cv wrex wral cvv wa adantr
      crest w3a cpw trust iscfilu biimpa stoic3 simpld fbsspw simp2 sspwd sstrd
      co syl simp1 elfvexd fbasweak syl3anc cin wceq sseq2 rexbidv simprd ssexd
      xpexd simpr elrestr rspcdva inss1 sstr mpan2 reximi ralrimiva wb 3ad2ant1
      mpbir2and ) BDHIZJZADKZCBAALZUAUMZMIJZUBZCBMIJZCDNIJZEOZWFLZFOZKZECPZFBQZ
      WCCANIJZCDUCZKDRJZWEWCWLWGGOZKZECPZGWAQZVRVSWAAHIJZWBWLWRSZABDUDWSWBWTGWA
      CAEUEUFUGZUHZWCCAUCZWMWCWLCXCKXBACUIUNWCADVRVSWBUJZUKULWCBHDVRVSWBUOZUPZC
      RADUQURWCWJFBWCWHBJZSZWGWHVTUSZKZECPZWJXHWQXKGWAXIWOXIUTWPXJECWOXIWGVAVBW
      CWRXGWCWLWRXAVCTXHVRVTRJXGXIWAJWCVRXGXETXHAARRXHADRWCWNXGXFTWCVSXGXDTVDZX
      LVEWCXGVFWHVTBVQRVGURVHXJWIECXJXIWHKWIWHVTVIWGXIWHVJVKVLUNVMVRVSWDWEWKSVN
      WBFBCDEUEVOVP $.
  $}

  ${
    $d a v w J $.  $d a u v w P $.  $d u v w U $.  $d u v w X $.  $d v w W $.
    neipcfilu.x $e |- X = ( Base ` W ) $.
    neipcfilu.j $e |- J = ( TopOpen ` W ) $.
    neipcfilu.u $e |- U = ( UnifSt ` W ) $.
    $( In an uniform space, a neighboring filter is a Cauchy filter base.
       (Contributed by Thierry Arnoux, 24-Jan-2018.) $)
    neipcfilu $p |- ( ( W e. UnifSp /\ W e. TopSp /\ P e. X )
      -> ( ( nei ` J ) ` { P } ) e. ( CauFilU ` U ) ) $=
      ( va vv vw vu wcel w3a cfv wss wrex wa wceq syl2anc cusp ctps cnei ccfilu
      csn cfbas cv cxp wral cfil ctopon wne simp2 istps sylib simp3 snssd snn0d
      neifil syl3anc filfbas syl cima cutop cmpt crn eqid imaeq1 rspceeqv mpan2
      c0 cvv wb imaex elrnmpt ax-mp sylibr ad2antlr cust isusp simplbi 3ad2ant1
      utopsnneip eleq2d ad3antrrr mpbird simpl1 3anassrs fveq2d fveq1d eleqtrrd
      vex simprbi simpr sqxpeqd sseq1d rspcev adantr ccom ccnv simpll1 ustexsym
      simplr ad2antrr ustssxp ustneism simprl coeq2d coss1 coss2 sstrd ad2antll
      id simpll2 simpllr eqsstrd reximdva mpd ustexhalf 3adant2 r19.29a iscfilu
      ex ralrimiva mpbir2and ) DUAMZDUBMZAEMZNZAUEZCUCOZOZBUDOMZYLEUFOMZIUGZYOU
      HZJUGZPZIYLQZJBUIZYIYLEUJOMZYNYICEUKOMZYJEPYJVKULUUAYIYGUUBYFYGYHUMECDFGU
      NUOYIAEYFYGYHUPZUQYIAEUUCURYJCEUSUTYLEVAVBYIYSJBYIYQBMZRZKUGZYJVCZUUGUHZY
      QPZYSKBUUEUUFBMZRZUUIRZUUGYLMUUIYSUULUUGYJBVDOZUCOZOZYLUULUUGUUOMZUUGJBYQ
      YJVCZVEZVFZMZUUJUUTUUEUUIUUJUUGUUQSJBQZUUTUUJUUGUUGSUVAUUGVGJUUFBUUQUUGUU
      GYQUUFYJVHVIVJUUGVLMUUTUVAVMUUFYJKWLVNJBUUQUUGUURVLUURVGVOVPVQVRYIUUPUUTV
      MUUDUUJUUIYIUUOUUSUUGYIBEVSOMZYHUUOUUSSYFYGUVBYHYFUVBCUUMSZEBCDFHGVTZWAWB
      ZUUCJABUUMEUUMVGWCTWDWEWFUULYJYKUUNUULCUUMUCUULYFUVCYIUUDUUJUUIYFYFYGYHUU
      DUUJUUINWGWHYFUVBUVCUVDWMVBWIWJWKUUKUUIWNYRUUIIUUGYLYOUUGSZYPUUHYQUVFYOUU
      GUVFXMWOWPWQTUUEUVBYHUUDUUIKBQZYIUVBUUDUVEWRYIYHUUDUUCWRYIUUDWNUVBYHUUDNZ
      LUGZUVIWSZYQPZUVGLBUVHUVIBMZRZUVKRZUUFWTZUUFSZUUFUVIPZRZKBQZUVGUVNUVBUVLU
      VSUVBYHUUDUVLUVKXAZUVHUVLUVKXCKBUVIEXBTUVNUVRUUIKBUVNUUJRZUVRUUIUWAUVRRZU
      UHUUFUVOWSZYQUWBUUFEEUHPZYHUUHUWCPUWBUVBUUJUWDUVNUVBUUJUVRUVTXDUVNUUJUVRX
      CBUUFEXETUVMUVKUUJUVRYHUVBYHUUDUVLUVKUUJUVRNXNWHAUUFEXFTUWBUWCUUFUUFWSZYQ
      UWBUVOUUFUUFUWAUVPUVQXGXHUWBUWEUVJYQUVQUWEUVJPUWAUVPUVQUWEUVIUUFWSUVJUUFU
      VIUUFXIUUFUVIUVIXJXKXLUVMUVKUUJUVRXOXKXPXKYCXQXRUVBUUDUVKLBQYHLBYQEXSXTYA
      UTYAYDYIUVBYMYNYTRVMUVEJBYLEIYBVBYE $.
  $}

  $(
    cvgfcfilu.j @e |- J = ( TopOpen ` W ) @.
    cvgfcfilu.u @e |- U = ( UnifSt ` W ) @.
    @( In an uniform space, all convergent filters are Cauchy filters bases.
       Proposition 2 of [BourbakiTop1] p.  II.13.  (Contributed by Thierry
       Arnoux, 18-Nov-2017.) @)
    cvgfcfilu @p |- ( ( W e. UnifSp /\ W e. TopSp /\ A e. ( J fLim F ) )
      -> F e. ( CauFilU ` U ) ) @=
      ? @.
  $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Complete uniform spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CUnifSp $.

  $( Extend class notation with the class of all complete uniform spaces. $)
  ccusp $a class CUnifSp $.

  ${
    $d c w $.
    $( Define the class of all complete uniform spaces.  Definition 3 of
       [BourbakiTop1] p.  II.15.  (Contributed by Thierry Arnoux,
       1-Dec-2017.) $)
    df-cusp $a |- CUnifSp = { w e. UnifSp | A. c e. ( Fil ` ( Base ` w ) )
      ( c e. ( CauFilU ` ( UnifSt ` w ) )
        -> ( ( TopOpen ` w ) fLim c ) =/= (/) ) } $.
  $}

  ${
    $d c w W $.
    $( The predicate " ` W ` is a complete uniform space."  (Contributed by
       Thierry Arnoux, 3-Dec-2017.) $)
    iscusp $p |- ( W e. CUnifSp <-> ( W e. UnifSp /\
      A. c e. ( Fil ` ( Base ` W ) ) ( c e. ( CauFilU ` ( UnifSt ` W ) )
        -> ( ( TopOpen ` W ) fLim c ) =/= (/) ) ) ) $=
      ( vw cv cuss cfv ccfilu wcel ctopn cflim co c0 wne wi cbs cfil wral ccusp
      cusp 2fveq3 eleq2d fveq2 oveq1d neeq1d imbi12d raleqbidv df-cusp elrab2
      wceq ) BDZCDZEFGFZHZUKIFZUJJKZLMZNZBUKOFPFZQUJAEFGFZHZAIFZUJJKZLMZNZBAOFP
      FZQCASRUKAUIZUQVDBURVEUKAPOTVFUMUTUPVCVFULUSUJUKAGETUAVFUOVBLVFUNVAUJJUKA
      IUBUCUDUEUFCBUGUH $.

    $( A complete uniform space is an uniform space.  (Contributed by Thierry
       Arnoux, 3-Dec-2017.) $)
    cuspusp $p |- ( W e. CUnifSp -> W e. UnifSp ) $=
      ( vc ccusp wcel cusp cv cuss cfv ccfilu ctopn cflim co c0 wne wi cbs cfil
      wral iscusp simplbi ) ACDAEDBFZAGHIHDAJHUAKLMNOBAPHQHRABST $.

    $d c B $.  $d c C $.  $d c J $.
    cuspcvg.1 $e |- B = ( Base ` W ) $.
    cuspcvg.2 $e |- J = ( TopOpen ` W ) $.
    $( In a complete uniform space, any Cauchy filter ` C ` has a limit.
       (Contributed by Thierry Arnoux, 3-Dec-2017.) $)
    cuspcvg $p |- ( ( W e. CUnifSp /\ C e. ( CauFilU ` ( UnifSt ` W ) )
      /\ C e. ( Fil ` B ) ) -> ( J fLim C ) =/= (/) ) $=
      ( vc ccusp wcel cfil cfv cuss ccfilu cflim co c0 wne wa wi wceq ctopn cbs
      cv eleq1 eqcomi id oveq12d neeq1d imbi12d wral cusp iscusp simprbi adantr
      a1i simpr fveq2i eleqtrdi rspcdva 3impia 3com23 ) DHIZBAJKZIZBDLKMKZIZCBN
      OZPQZVBVDVFVHVBVDRZGUCZVEIZDUAKZVJNOZPQZSZVFVHSGDUBKZJKZBVJBTZVKVFVNVHVJB
      VEUDVRVMVGPVRVLCVJBNVLCTVRCVLFUEUOVRUFUGUHUIVBVOGVQUJZVDVBDUKIVSDGULUMUNV
      IBVCVQVBVDUPAVPJEUQURUSUTVA $.
  $}

  ${
    $d c W $.
    iscusp2.1 $e |- B = ( Base ` W ) $.
    iscusp2.2 $e |- U = ( UnifSt ` W ) $.
    iscusp2.3 $e |- J = ( TopOpen ` W ) $.
    $( The predicate " ` W ` is a complete uniform space."  (Contributed by
       Thierry Arnoux, 15-Dec-2017.) $)
    iscusp2 $p |- ( W e. CUnifSp <-> ( W e. UnifSp /\ A. c e. ( Fil ` B )
      ( c e. ( CauFilU ` U ) -> ( J fLim c ) =/= (/) ) ) ) $=
      ( wcel cfv ccfilu cflim co c0 wne wi cfil wral wa fveq2i ccusp cusp ctopn
      cv cuss cbs iscusp eleq2i oveq1i neeq1i imbi12i raleqbii anbi2i bitr4i )
      DUAIDUBIZEUDZDUEJZKJZIZDUCJZUPLMZNOZPZEDUFJZQJZRZSUOUPBKJZIZCUPLMZNOZPZEA
      QJZRZSDEUGVMVFUOVKVCEVLVEAVDQFTVHUSVJVBVGURUPBUQKGTUHVIVANCUTUPLHUIUJUKUL
      UMUN $.
  $}

  ${
    $d x A $.  $d x F $.  $d x J $.  $d x K $.  $d x ph $.
    cnextucn.x $e |- X = ( Base ` V ) $.
    cnextucn.y $e |- Y = ( Base ` W ) $.
    cnextucn.j $e |- J = ( TopOpen ` V ) $.
    cnextucn.k $e |- K = ( TopOpen ` W ) $.
    cnextucn.u $e |- U = ( UnifSt ` W ) $.
    cnextucn.v $e |- ( ph -> V e. TopSp ) $.
    cnextucn.t $e |- ( ph -> W e. TopSp ) $.
    cnextucn.w $e |- ( ph -> W e. CUnifSp ) $.
    cnextucn.h $e |- ( ph -> K e. Haus ) $.
    cnextucn.a $e |- ( ph -> A C_ X ) $.
    cnextucn.f $e |- ( ph -> F : A --> Y ) $.
    cnextucn.c $e |- ( ph -> ( ( cls ` J ) ` A ) = X ) $.
    cnextucn.l $e |- ( ( ph /\ x e. X ) ->
        ( ( Y FilMap F ) ` ( ( ( nei ` J ) ` { x } ) |`t A ) )
      e. ( CauFilU ` U ) ) $.
    $( Extension by continuity.  Proposition 11 of [BourbakiTop1] p.  II.20.
       Given a topology ` J ` on ` X ` , a subset ` A ` dense in ` X ` , this
       states a condition for ` F ` from ` A ` to a space ` Y ` Hausdorff and
       complete to be extensible by continuity.  (Contributed by Thierry
       Arnoux, 4-Dec-2017.) $)
    cnextucn $p |- ( ph -> ( ( J CnExt K ) ` F ) e. ( J Cn K ) ) $=
      ( cuni eqid ctps wcel ctop tpstop syl wceq tpsuni feq3d mpbid sseqtrd ccl
      wf cfv eqtrd cv wa csn cnei crest co cflf cfm cflim c0 ctopon istps sylib
      cfil adantr eleq2d biimpar eleqtrrd wss wb toptopon2 fveq2 mpbird syl3anc
      trnei flfval ccusp cuss ccfilu wne syldan fveq2i eleqtrdi cvv cfbas fvexi
      cbs filfbas fmfil mp3an2i cuspcvg eqnetrd cusp cha cuspusp uspreg syl2anc
      creg cnextcn ) ABCGUEZFUEZEFGXKUFXJUFAHUGUHZFUIUHZQFHNUJUKZTACKEURZCXJEUR
      UBAKXJECAIUGUHZKXJULRKGIMOUMUKUNUOACJXKUAAXLJXKULZQJFHLNUMUKZUPACFUQUSUSZ
      JXKUCXRUTABVAZXKUHZVBZEGXTVCFVDUSUSCVEVFZVGVFUSZGYCKEVHVFUSZVIVFZVJYBGKVK
      USUHZYCCVNUSUHZXOYDYFULAYGYAAXPYGRKGIMOVLVMVOYBXTXSUHZYHYBXTJXSAXTJUHZYAA
      JXKXTXRVPVQZAXSJULYAUCVOVRYBFJVKUSZUHZCJVSZYJYIYHVTAYMYAAYMFXKVKUSZUHZAXM
      YPXNFWAVMAXQYMYPVTXRXQYLYOFJXKVKWBVPUKWCVOAYNYAUAVOYKCXTFJWEWDUOZAXOYAUBV
      OZEGYCKCWFWDYBIWGUHZYEIWHUSZWIUSZUHYEKVNUSUHZYFVJWJAYSYASVOYBYEDWIUSZUUAA
      YAYJYEUUCUHYKUDWKDYTWIPWLWMKWNUHYBYCCWOUSUHZXOUUBKIWQMWPYBYHUUDYQYCCWRUKY
      RWNYCEKCWSWTKYEGIMOXAWDXBAIXCUHZGXDUHGXHUHAYSUUESIXEUKTGIOXFXGXI $.
  $}

  ${
    $d a b v w x y z A $.  $d a b v w x y z F $.  $d a b x J $.  $d x K $.
    $d v w y z T $.  $d b v w y U $.  $d b X $.  $d a b v w y Y $.
    $d b x ph $.
    ucnextcn.x $e |- X = ( Base ` V ) $.
    ucnextcn.y $e |- Y = ( Base ` W ) $.
    ucnextcn.j $e |- J = ( TopOpen ` V ) $.
    ucnextcn.k $e |- K = ( TopOpen ` W ) $.
    ucnextcn.s $e |- S = ( UnifSt ` V ) $.
    ucnextcn.t $e |- T = ( UnifSt ` ( V |`s A ) ) $.
    ucnextcn.u $e |- U = ( UnifSt ` W ) $.
    ucnextcn.v $e |- ( ph -> V e. TopSp ) $.
    ucnextcn.r $e |- ( ph -> V e. UnifSp ) $.
    ucnextcn.w $e |- ( ph -> W e. TopSp ) $.
    ucnextcn.z $e |- ( ph -> W e. CUnifSp ) $.
    ucnextcn.h $e |- ( ph -> K e. Haus ) $.
    ucnextcn.a $e |- ( ph -> A C_ X ) $.
    ucnextcn.f $e |- ( ph -> F e. ( T uCn U ) ) $.
    ucnextcn.c $e |- ( ph -> ( ( cls ` J ) ` A ) = X ) $.
    $( Extension by continuity.  Theorem 2 of [BourbakiTop1] p.  II.20.  Given
       an uniform space on a set ` X ` , a subset ` A ` dense in ` X ` , and a
       function ` F ` uniformly continuous from ` A ` to ` Y ` , that function
       can be extended by continuity to the whole ` X ` , and its extension is
       uniformly continuous.  (Contributed by Thierry Arnoux, 25-Jan-2018.) $)
    ucnextcn $p |- ( ph -> ( ( J CnExt K ) ` F ) e. ( J Cn K ) ) $=
      ( vx vy vz vv vw va vb wf cv wbr cfv wi wral wrex cucn co wcel wa cust wb
      cusp wss ressust syl2anc cutop ccusp cuspusp syl isusp sylib simpld isucn
      wceq mpbid csn cnei crest cfm cima cmpt crn cfg ccfilu cvv adantr elfvexd
      cfbas cfil ccl simpr eleqtrrd ctopon ctps istps trnei syl3anc filfbas cxp
      fmval c0 wn neipcfilu 0nelfb trcfilu syl121anc cress cuss ressuss 3eqtr4g
      oveq1i fveq2d imaeq2 cbvmptv rneqi fmucnd cfilufg eqeltrd cnextucn ) AUHB
      EFGHIJKLMNOPSTUBUCUDUEABLFUOZUIUPZUJUPZUKUPUQYGFURYHFURULUPUQUSUJBUTUIBUT
      UKDVAULEUTZAFDEVBVCVDZYFYIVEZUFADBVFURVDZELVFURVDZYJYKVGAIVHVDZBKVIZYLUAU
      EBDIKMRVJVKZAYMHEVLURVTZAJVHVDZYMYQVEAJVMVDYRUCJVNVOLEHJNSPVPVQVRZUIUJDFE
      BLULUKVSVKWAVRZUGAUHUPZKVDZVEZUUAWBGWCURURZBWDVCZLFWEVCURZLUMUUEFUMUPZWFZ
      WGZWHZWIVCZEWJURZUUCLWKVDUUEBWNURVDZYFUUFUUKVTUUCEVFLAYMUUBYSWLZWMUUCUUEB
      WOURVDZUUMUUCUUABGWPURURZVDZUUOUUCUUAKUUPAUUBWQZAUUPKVTUUBUGWLWRUUCGKWSUR
      VDZYOUUBUUQUUOVGAUUSUUBAIWTVDZUUSTKGIMOXAVQWLAYOUUBUEWLZUURBUUAGKXBXCWAUU
      EBXDVOZAYFUUBYTWLUMWKUUEFLBXFXCUUCYMUUJUULVDUUKUULVDUUNUUCUUEUUJDFEBLUNAY
      LUUBYPWLZUUNAYJUUBUFWLUUCUUECBBXEZWDVCZWJURZDWJURZUUCCKVFURVDZUUDCWJURVDZ
      XGUUEVDXHZYOUUEUVFVDAUVHUUBAUVHGCVLURVTZAYNUVHUVKVEUAKCGIMQOVPVQVRWLUUCYN
      UUTUUBUVIAYNUUBUAWLAUUTUUBTWLUURUUACGIKMOQXIXCUUCUUMUVJUVBBUUEXJVOUVABCUU
      DKXKXLUUCBWKVDZUVGUVFVTUUCDVFBUVCWMUVLDUVEWJUVLIBXMVCXNURIXNURZUVDWDVCDUV
      EBWKIXORCUVMUVDWDQXQXPXRVOWRUUIUNUUEFUNUPZWFZWGUMUNUUEUUHUVOUUGUVNFXSXTYA
      YBEUUJLYCVKYDYE $.

$(
    @( Extension by continuity. Theorem 2 of [BourbakiTop1] p.  II.20. The
       extension obtained by ~ ucnextcn is uniformly continuous.  (Contributed
       by Thierry Arnoux, 25-Jan-20178) @)
    ucnextucn @p |- ( ph -> ( ( J CnExt K ) ` F ) e. ( S uCn U ) ) @=
      ? @.
$)
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Metric spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Pseudometric spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d d u x y z X $.  $d d x y z D $.
    $( Express the predicate " ` D ` is a pseudometric."  (Contributed by
       Thierry Arnoux, 7-Feb-2018.) $)
    ispsmet $p |- ( X e. V -> ( D e. ( PsMet ` X ) <->
      ( D : ( X X. X ) --> RR* /\ A. x e. X ( ( x D x ) = 0 /\ A. y e. X
        A. z e. X ( x D y ) <_ ( ( z D x ) +e ( z D y ) ) ) ) ) ) $=
      ( vd vu wcel cxr cmap co cv cc0 wceq cxad wral wa cvv oveq cpsmet cfv cxp
      cle wbr wf crab elex id oveq2d raleq raleqbi1dv anbi2d rabeqbidv df-psmet
      sqxpeqd ovex rabex eleq2d eqeq1d oveq12d breq12d 2ralbidv anbi12d ralbidv
      fvmpt syl elrab bitrdi wb xrex sqxpexg elmapg sylancr anbi1d bitrd ) FEIZ
      DFUAUBZIZDJFFUCZKLZIZAMZWCDLZNOZWCBMZDLZCMZWCDLZWHWFDLZPLZUDUEZCFQBFQZRZA
      FQZRZVTJDUFZWORVQVSDWCWCGMZLZNOZWCWFWRLZWHWCWRLZWHWFWRLZPLZUDUEZCFQZBFQZR
      ZAFQZGWAUGZIWPVQVRXJDVQFSIVRXJOFEUHHFWTXECHMZQZBXKQZRZAXKQZGJXKXKUCZKLZUG
      XJSUAXKFOZXOXIGXQWAXRXPVTJKXRXKFXRUIUPUJXNXHAXKFXRXMXGWTXLXFBXKFXECXKFUKU
      LUMULUNHABCGUOXIGWAJVTKUQURVFVGUSXIWOGDWAWRDOZXHWNAFXSWTWEXGWMXSWSWDNWCWC
      WRDTUTXSXEWLBCFFXSXAWGXDWKUDWCWFWRDTXSXBWIXCWJPWHWCWRDTWHWFWRDTVAVBVCVDVE
      VHVIVQWBWQWOVQJSIVTSIWBWQVJVKFEVLJVTDSSVMVNVOVP $.
  $}

  ${
    $d x y z D $.  $d x y z X $.
    $( Recover the base set from a pseudometric.  (Contributed by Thierry
       Arnoux, 7-Feb-2018.) $)
    psmetdmdm $p |- ( D e. ( PsMet ` X ) -> X = dom dom D ) $=
      ( vx vy vz cpsmet cfv wcel cdm cxp cxr wf wceq cv co cc0 cxad wral wa cvv
      cle wbr elfvex ispsmet biimpa mpancom simpld fdm dmeqd syl dmxpid eqtr2di
      ) ABFGHZAIZIZBBJZIZBUMUPKALZUOUQMUMURCNZUSAOPMUSDNZAOENZUSAOVAUTAOQOUAUBE
      BRDBRSCBRZBTHZUMURVBSZABFUCVCUMVDCDEATBUDUEUFUGURUNUPUPKAUHUIUJBUKUL $.
  $}

  ${
    $d a b c D $.  $d a b c X $.
    $( The distance function of a pseudometric as a function.  (Contributed by
       Thierry Arnoux, 7-Feb-2018.) $)
    psmetf $p |- ( D e. ( PsMet ` X ) -> D : ( X X. X ) --> RR* ) $=
      ( va vb vc cpsmet cfv wcel cxp cxr wf cv co cc0 wceq cxad cle wral wa cvv
      wbr wb elfvex ispsmet syl ibi simpld ) ABFGHZBBIJAKZCLZUJAMNOUJDLZAMELZUJ
      AMULUKAMPMQUAEBRDBRSCBRZUHUIUMSZUHBTHUHUNUBABFUCCDEATBUDUEUFUG $.

    $( Closure of the distance function of a pseudometric space.  (Contributed
       by Thierry Arnoux, 7-Feb-2018.) $)
    psmetcl $p |- ( ( D e. ( PsMet ` X ) /\ A e. X /\ B e. X ) ->
        ( A D B ) e. RR* ) $=
      ( cpsmet cfv wcel cxp cxr wf co psmetf fovrn syl3an1 ) CDEFGDDHICJADGBDGA
      BCKIGCDLABIDDCMN $.

    $d a A $.
    $( The distance function of a pseudometric space is zero if its arguments
       are equal.  (Contributed by Thierry Arnoux, 7-Feb-2018.) $)
    psmet0 $p |- ( ( D e. ( PsMet ` X ) /\ A e. X ) -> ( A D A ) = 0 ) $=
      ( va vb vc cpsmet cfv wcel cv co cc0 wceq wral wa cxad cle wbr cxp cvv wf
      cxr wb elfvex ispsmet syl ibi simprd r19.21bi simpld ralrimiva id oveq12d
      eqeq1d rspcv mpan9 ) BCGHIZDJZURBKZLMZDCNACIAABKZLMZUQUTDCUQURCIOUTUREJZB
      KFJZURBKVDVCBKPKQRFCNECNZUQUTVEOZDCUQCCSUBBUAZVFDCNZUQVGVHOZUQCTIUQVIUCBC
      GUDDEFBTCUEUFUGUHUIUJUKUTVBDACURAMZUSVALVJURAURABVJULZVKUMUNUOUP $.

    $d b c A $.  $d b c B $.  $d c C $.
    $( Triangle inequality for the distance function of a pseudometric.
       (Contributed by Thierry Arnoux, 11-Feb-2018.) $)
    psmettri2 $p |- ( ( D e. ( PsMet ` X ) /\ ( C e. X /\ A e. X /\ B e. X ) )
      -> ( A D B ) <_ ( ( C D A ) +e ( C D B ) ) ) $=
      ( va vb vc cpsmet wcel cv co cxad cle wbr wral wa wceq oveq1 oveq2 cfv wf
      w3a cc0 cxp cxr cvv wb elfvex ispsmet simprd r19.21bi ralrimiva wi oveq1d
      syl ibi breq12d oveq2d oveq12d breq2d rspc3v 3comr mpan9 ) DEIUAJZFKZGKZD
      LZHKZVFDLZVIVGDLZMLZNOZHEPGEPZFEPZCEJZAEJZBEJZUCABDLZCADLZCBDLZMLZNOZVEVN
      FEVEVFEJQVFVFDLUDRZVNVEWDVNQZFEVEEEUEUFDUBZWEFEPZVEWFWGQZVEEUGJVEWHUHDEIU
      IFGHDUGEUJUPUQUKULUKUMVQVRVPVOWCUNVMWCAVGDLZVIADLZVKMLZNOVSWJVIBDLZMLZNOF
      GHABCEEEVFARZVHWIVLWKNVFAVGDSWNVJWJVKMVFAVIDTUOURVGBRZWIVSWKWMNVGBADTWOVK
      WLWJMVGBVIDTUSURVICRZWMWBVSNWPWJVTWLWAMVICADSVICBDSUTVAVBVCVD $.

    $( The distance function of a pseudometric is symmetrical.  (Contributed by
       Thierry Arnoux, 7-Feb-2018.) $)
    psmetsym $p |- ( ( D e. ( PsMet ` X ) /\ A e. X /\ B e. X )
      -> ( A D B ) = ( B D A ) ) $=
      ( wcel w3a psmetcl 3com23 cxad cle wbr psmettri2 syl13anc cc0 wceq psmet0
      co oveq2d xaddid1d eqtrd cpsmet cfv cxr simp1 simp3 simp2 3adant2 breqtrd
      3adant3 xrletrid ) CDUAUBEZADEZBDEZFZABCQZBACQZABCDGZUKUMULUPUCEBACDGZHUN
      UOUPBBCQZIQZUPJUNUKUMULUMUOUTJKUKULUMUDZUKULUMUEZUKULUMUFZVBABBCDLMUNUTUP
      NIQZUPUNUSNUPIUKUMUSNOULBCDPUGRUKUMULVDUPOUKUMULFUPURSHTUHUNUPUOAACQZIQZU
      OJUNUKULUMULUPVFJKVAVCVBVCBAACDLMUNVFUONIQUOUNVENUOIUKULVENOUMACDPUIRUNUO
      UQSTUHUJ $.

    $( Triangle inequality for the distance function of a pseudometric space.
       (Contributed by Thierry Arnoux, 11-Feb-2018.) $)
    psmettri $p |- ( ( D e. ( PsMet ` X ) /\ ( A e. X /\ B e. X /\ C e. X ) )
              -> ( A D B ) <_ ( ( A D C ) +e ( C D B ) ) ) $=
      ( cpsmet cfv wcel w3a wa co cxad cle simpl simpr3 simpr1 simpr2 psmettri2
      wbr syl13anc wceq psmetsym syl3anc oveq1d breqtrd ) DEFGHZAEHZBEHZCEHZIZJ
      ZABDKZCADKZCBDKZLKZACDKZUNLKMUKUFUIUGUHULUOMSUFUJNZUFUGUHUIOZUFUGUHUIPZUF
      UGUHUIQABCDERTUKUMUPUNLUKUFUIUGUMUPUAUQURUSCADEUBUCUDUE $.

    $( The distance function of a pseudometric space is nonnegative.
       (Contributed by Thierry Arnoux, 7-Feb-2018.) $)
    psmetge0 $p |- ( ( D e. ( PsMet ` X ) /\ A e. X /\ B e. X ) ->
      0 <_ ( A D B ) ) $=
      ( cpsmet cfv wcel w3a cc0 co cle wbr cxmu cxad simp1 simp2 simp3 cxr wceq
      c2 psmettri2 syl13anc 2re rexr xmul01 mp2b psmet0 3adant2 eqtr4id psmetcl
      cr x2times syl 3brtr4d crp wb 0xr 2rp a1i xlemul2 mp3an2i mpbird ) CDEFGZ
      ADGZBDGZHZIABCJZKLZTIMJZTVGMJZKLZVFBBCJZVGVGNJZVIVJKVFVCVDVEVEVLVMKLVCVDV
      EOVCVDVEPVCVDVEQZVNBBACDUAUBVFVIIVLTUKGTRGVIISUCTUDTUEUFVCVEVLISVDBCDUGUH
      UIVFVGRGZVJVMSABCDUJZVGULUMUNIRGVFVOTUOGZVHVKUPUQVPVQVFURUSIVGTUTVAVB $.

    $( The distance function of a pseudometric space is a function into the
       nonnegative extended real numbers.  (Contributed by Thierry Arnoux,
       24-Feb-2018.) $)
    psmetxrge0 $p |- ( D e. ( PsMet ` X )
       -> D : ( X X. X ) --> ( 0 [,] +oo ) ) $=
      ( va cpsmet cfv wcel cxp wfn crn cc0 cpnf cicc co wss cxr wa cle wbr wceq
      sylanbrc wf psmetf ffnd cv wral ffvelrnda c1st cop elxp6 simprbi psmetge0
      c2nd 3expb sylan2 1st2nd2 fveq2d df-ov eqtr4di breqtrrd elxrge0 ralrimiva
      adantl fnfvrnss syl2anc df-f ) ABDEFZABBGZHZAIJKLMZNZVGVIAUAVFVGOAABUBZUC
      ZVFVHCUDZAEZVIFZCVGUEVJVLVFVOCVGVFVMVGFZPZVNOFJVNQRVOVFVGOVMAVKUFVQJVMUGE
      ZVMULEZAMZVNQVPVFVRBFZVSBFZPZJVTQRZVPVMVRVSUHZSWCVMBBUIUJVFWAWBWDVRVSABUK
      UMUNVPVNVTSVFVPVNWEAEVTVPVMWEAVMBBUOUPVRVSAUQURVBUSVNUTTVACVGVIAVCVDVGVIA
      VET $.

    $d a b c R $.
    $( Restriction of a pseudometric.  (Contributed by Thierry Arnoux,
       11-Feb-2018.) $)
    psmetres2 $p |- ( ( D e. ( PsMet ` X ) /\ R C_ X ) ->
                   ( D |` ( R X. R ) ) e. ( PsMet ` R ) ) $=
      ( va vb vc cpsmet wcel wa cxr cv co cc0 wceq adantr simpr ovresd ad2antrr
      cxad cvv cfv wss cxp cres wf cle wbr psmetf xpss12 syl2anc fssresd simpll
      wral sselda psmet0 eqtrd psmettri2 syl13anc oveq12d 3brtr4d ralrimiva jca
      wb elfvex ssexd ispsmet syl mpbir2and ) ACGUAHZBCUBZIZABBUCZUDZBGUAHZVLJV
      MUEZDKZVPVMLZMNZVPEKZVMLZFKZVPVMLZWAVSVMLZSLZUFUGZFBUMZEBUMZIZDBUMZVKCCUC
      ZJVLAVIWJJAUEVJACUHOVKVJVJVLWJUBVIVJPZWKBCBCUIUJUKVKWHDBVKVPBHZIZVRWGWMVQ
      VPVPALZMWMVPVPABVKWLPZWOQWMVIVPCHZWNMNVIVJWLULZVKBCVPWKUNZVPACUOUJUPWMWFE
      BWMVSBHZIZWEFBWTWABHZIZVPVSALZWAVPALZWAVSALZSLZVTWDUFXBVIWACHWPVSCHZXCXFU
      FUGWMVIWSXAWQRWTBCWAVKVJWLWSWKRUNWMWPWSXAWRRWTXGXAWMBCVSVKVJWLWKOUNOVPVSW
      AACUQURWTVTXCNXAWTVPVSABWMWLWSWOOWMWSPZQOXBWBXDWCXESXBWAVPABWTXAPZWMWLWSX
      AWORQXBWAVSABXIWTWSXAXHOQUSUTVAVAVBVAVKBTHVNVOWIIVCVKBCTVICTHVJACGVDOWKVE
      DEFVMTBVFVGVH $.

    $( Real closure of an extended metric value that is upper bounded by a
       real.  (Contributed by Thierry Arnoux, 11-Mar-2018.) $)
    psmetlecl $p |- ( ( D e. ( PsMet ` X ) /\ ( A e. X /\ B e. X ) /\
      ( C e. RR /\ ( A D B ) <_ C ) ) -> ( A D B ) e. RR ) $=
      ( cpsmet cfv wcel wa cr cle wbr w3a cxr cc0 psmetcl 3expb 3adant3 simp3l
      co psmetge0 simp3r xrrege0 syl22anc ) DEFGHZAEHZBEHZIZCJHZABDTZCKLZIZMUJN
      HZUIOUJKLZUKUJJHUEUHUMULUEUFUGUMABDEPQRUEUHUIUKSUEUHUNULUEUFUGUNABDEUAQRU
      EUHUIUKUBUJCUCUD $.
  $}

  $( A set ` X ` together with a (distance) function ` D ` which is a
     pseudometric is a _distance space_ (according to E. Deza, M.M. Deza:
     "Dictionary of Distances", Elsevier, 2006), i.e. a (base) set ` X `
     equipped with a _distance_ ` D ` , which is a mapping of two elements of
     the base set to the (extended) reals and which is nonnegative, symmetric
     and equal to 0 if the two elements are equal.  (Contributed by AV,
     15-Oct-2021.)  (Revised by AV, 5-Jul-2022.) $)
  distspace $p |- ( ( D e. ( PsMet ` X ) /\ A e. X /\ B e. X )
                    -> ( ( D : ( X X. X ) --> RR* /\ ( A D A ) = 0 )
                         /\ ( 0 <_ ( A D B ) /\ ( A D B ) = ( B D A ) ) ) ) $=
    ( cpsmet cfv wcel w3a cxp cxr wf co cc0 wceq cle wbr psmetf 3ad2ant1 psmet0
    wa 3adant3 jca psmetge0 psmetsym jca32 ) CDEFGZADGZBDGZHZDDIJCKZAACLMNZTMAB
    CLZOPULBACLNUIUJUKUFUGUJUHCDQRUFUGUKUHACDSUAUBABCDUCABCDUDUE $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Basic metric space properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c *MetSp $.
  $c MetSp $.
  $c toMetSp $.

  $( Extend class notation with the class of extended metric spaces. $)
  cxms $a class *MetSp $.

  $( Extend class notation with the class of metric spaces. $)
  cms $a class MetSp $.

  $( Extend class notation with the function mapping a metric to the metric
     space it defines. $)
  ctms $a class toMetSp $.

  $( Define the (proper) class of extended metric spaces.  (Contributed by
     Mario Carneiro, 2-Sep-2015.) $)
  df-xms $a |- *MetSp = { f e. TopSp | ( TopOpen ` f ) =
    ( MetOpen ` ( ( dist ` f ) |` ( ( Base ` f ) X. ( Base ` f ) ) ) ) } $.

  $( Define the (proper) class of metric spaces.  (Contributed by NM,
     27-Aug-2006.) $)
  df-ms $a |- MetSp = { f e. *MetSp | ( ( dist ` f ) |`
    ( ( Base ` f ) X. ( Base ` f ) ) ) e. ( Met ` ( Base ` f ) ) } $.

  $( Define the function mapping a metric to the metric space which it defines.
     (Contributed by Mario Carneiro, 2-Sep-2015.) $)
  df-tms $a |- toMetSp = ( d e. U. ran *Met |->
      ( { <. ( Base ` ndx ) , dom dom d >. , <. ( dist ` ndx ) , d >. }
        sSet <. ( TopSet ` ndx ) , ( MetOpen ` d ) >. ) ) $.

  ${
    $d d x y z D $.  $d d t x y z X $.
    $( Express the predicate " ` D ` is a metric."  (Contributed by NM,
       25-Aug-2006.)  (Revised by Mario Carneiro, 14-Aug-2015.) $)
    ismet $p |- ( X e. A -> ( D e. ( Met ` X ) <-> ( D : ( X X. X ) --> RR /\
                 A. x e. X A. y e. X ( ( ( x D y ) = 0 <-> x = y ) /\
                 A. z e. X ( x D y ) <_ ( ( z D x ) + ( z D y ) ) ) ) ) ) $=
      ( vd vt wcel cr cmap co cv cc0 wceq wb caddc wral wa cvv cmet cfv cxp cle
      wbr wf crab xpeq12 anidms oveq2d raleq anbi2d raleqbi1dv rabeqbidv df-met
      elex rabex fvmpt syl eleq2d eqeq1d bibi1d oveq12d breq12d ralbidv anbi12d
      ovex oveq 2ralbidv elrab bitrdi reex sqxpexg elmapg sylancr anbi1d bitrd
      ) FDIZEFUAUBZIZEJFFUCZKLZIZAMZBMZELZNOZWDWEOZPZWFCMZWDELZWJWEELZQLZUDUEZC
      FRZSZBFRAFRZSZWAJEUFZWQSVRVTEWDWEGMZLZNOZWHPZXAWJWDWTLZWJWEWTLZQLZUDUEZCF
      RZSZBFRZAFRZGWBUGZIWRVRVSXLEVRFTIVSXLOFDUPHFXCXGCHMZRZSZBXMRZAXMRZGJXMXMU
      CZKLZUGXLTUAXMFOZXQXKGXSWBXTXRWAJKXTXRWAOXMFXMFUHUIUJXPXJAXMFXOXIBXMFXTXN
      XHXCXGCXMFUKULUMUMUNHABCGUOXKGWBJWAKVGUQURUSUTXKWQGEWBWTEOZXIWPABFFYAXCWI
      XHWOYAXBWGWHYAXAWFNWDWEWTEVHZVAVBYAXGWNCFYAXAWFXFWMUDYBYAXDWKXEWLQWJWDWTE
      VHWJWEWTEVHVCVDVEVFVIVJVKVRWCWSWQVRJTIWATIWCWSPVLFDVMJWAETTVNVOVPVQ $.

    $( Express the predicate " ` D ` is an extended metric."  (Contributed by
       Mario Carneiro, 20-Aug-2015.) $)
    isxmet $p |- ( X e. A -> ( D e. ( *Met ` X ) <->
               ( D : ( X X. X ) --> RR* /\
                 A. x e. X A. y e. X ( ( ( x D y ) = 0 <-> x = y ) /\
                 A. z e. X ( x D y ) <_ ( ( z D x ) +e ( z D y ) ) ) ) ) ) $=
      ( vd vt wcel cxr cmap co cv cc0 wceq wb cxad wral wa cvv cxmet cfv cxp wf
      cle wbr crab elex xpeq12 anidms oveq2d raleq raleqbi1dv rabeqbidv df-xmet
      anbi2d ovex rabex fvmpt eleq2d oveq eqeq1d bibi1d oveq12d breq12d ralbidv
      anbi12d 2ralbidv elrab bitrdi xrex sqxpexg elmapg sylancr anbi1d bitrd
      syl ) FDIZEFUAUBZIZEJFFUCZKLZIZAMZBMZELZNOZWDWEOZPZWFCMZWDELZWJWEELZQLZUE
      UFZCFRZSZBFRAFRZSZWAJEUDZWQSVRVTEWDWEGMZLZNOZWHPZXAWJWDWTLZWJWEWTLZQLZUEU
      FZCFRZSZBFRZAFRZGWBUGZIWRVRVSXLEVRFTIVSXLOFDUHHFXCXGCHMZRZSZBXMRZAXMRZGJX
      MXMUCZKLZUGXLTUAXMFOZXQXKGXSWBXTXRWAJKXTXRWAOXMFXMFUIUJUKXPXJAXMFXOXIBXMF
      XTXNXHXCXGCXMFULUPUMUMUNHABCGUOXKGWBJWAKUQURUSVQUTXKWQGEWBWTEOZXIWPABFFYA
      XCWIXHWOYAXBWGWHYAXAWFNWDWEWTEVAZVBVCYAXGWNCFYAXAWFXFWMUEYBYAXDWKXEWLQWJW
      DWTEVAWJWEWTEVAVDVEVFVGVHVIVJVRWCWSWQVRJTIWATIWCWSPVKFDVLJWAETTVMVNVOVP
      $.
  $}

  ${
    $d x y z D $.  $d x y z X $.
    ismeti.0 $e |- X e. _V $.
    ismeti.1 $e |- D : ( X X. X ) --> RR $.
    ismeti.2 $e |- ( ( x e. X /\ y e. X ) -> ( ( x D y ) = 0 <-> x = y ) ) $.
    ismeti.3 $e |- ( ( x e. X /\ y e. X /\ z e. X ) ->
                  ( x D y ) <_ ( ( z D x ) + ( z D y ) ) ) $.
    $( Properties that determine a metric.  (Contributed by NM, 17-Nov-2006.)
       (Revised by Mario Carneiro, 14-Aug-2015.) $)
    ismeti $p |- D e. ( Met ` X ) $=
      ( cmet cfv wcel cxp cv co wceq wb wral wa cvv cr wf cc0 cle wbr ralrimiva
      caddc 3expa jca rgen2 ismet ax-mp mpbir2an ) DEJKLZEEMUADUBZANZBNZDOZUCPU
      PUQPQZURCNZUPDOUTUQDOUGOUDUEZCERZSZBERAERZGVCABEEUPELZUQELZSZUSVBHVGVACEV
      EVFUTELVAIUHUFUIUJETLUNUOVDSQFABCTDEUKULUM $.
  $}

  ${
    $d x y z D $.  $d x y z ph $.  $d x y z X $.
    isxmetd.0 $e |- ( ph -> X e. V ) $.
    isxmetd.1 $e |- ( ph -> D : ( X X. X ) --> RR* ) $.
    ${
      isxmetd.2 $e |- ( ( ph /\ ( x e. X /\ y e. X ) ) ->
        ( ( x D y ) = 0 <-> x = y ) ) $.
      isxmetd.3 $e |- ( ( ph /\ ( x e. X /\ y e. X /\ z e. X ) ) ->
                    ( x D y ) <_ ( ( z D x ) +e ( z D y ) ) ) $.
      $( Properties that determine an extended metric.  (Contributed by Mario
         Carneiro, 20-Aug-2015.)  (Revised by AV, 9-Apr-2024.) $)
      isxmetd $p |- ( ph -> D e. ( *Met ` X ) ) $=
        ( cxmet cfv wcel cv co wceq wb wral wa cxp cxr wf cc0 cxad cle wi 3exp2
        wbr imp32 ralrimiv jca ralrimivva isxmet syl mpbir2and ) AEGLMNZGGUAUBE
        UCZBOZCOZEPZUDQUSUTQRZVADOZUSEPVCUTEPUEPUFUIZDGSZTZCGSBGSZIAVFBCGGAUSGN
        ZUTGNZTTZVBVEJVJVDDGAVHVIVCGNZVDUGAVHVIVKVDKUHUJUKULUMAGFNUQURVGTRHBCDF
        EGUNUOUP $.
    $}

    ${
      isxmet2d.2 $e |- ( ( ph /\ ( x e. X /\ y e. X ) ) -> 0 <_ ( x D y ) ) $.
      isxmet2d.3 $e |- ( ( ph /\ ( x e. X /\ y e. X ) ) ->
        ( ( x D y ) <_ 0 <-> x = y ) ) $.
      isxmet2d.4 $e |- ( ( ph /\ ( x e. X /\ y e. X /\ z e. X ) /\
        ( ( z D x ) e. RR /\ ( z D y ) e. RR ) ) ->
          ( x D y ) <_ ( ( z D x ) + ( z D y ) ) ) $.
      $( It is safe to only require the triangle inequality when the values are
         real (so that we can use the standard addition over the reals), but in
         this case the nonnegativity constraint cannot be deduced and must be
         provided separately.  (Counterexample:
         ` D ( x , y ) = if ( x = y , 0 , -oo ) ` satisfies all hypotheses
         except nonnegativity.)  (Contributed by Mario Carneiro,
         20-Aug-2015.) $)
      isxmet2d $p |- ( ph -> D e. ( *Met ` X ) ) $=
        ( wcel wa co cc0 wceq cle wbr cpnf cv cxr fovrnda 0xr xrletri3 biantrud
        wb sylancl 3bitr2d w3a cr cxad cmnf caddc 3expa rexadd breqtrrd anassrs
        adantl 3adantr3 pnfge syl ad2antrr oveq2 wne cicc cxp wral ffnd elxrge0
        wf wfn sylanbrc ralrimivva adantr simpr3 simpr1 fovrnd eliccxr xaddpnf1
        ffnov renemnf syl2an sylan9eqr simpr2 simprbi ge0nemnf syl2anc necon4bd
        wi wn a1d imp w3o elxr sylib mpjao3dan oveq1 xaddpnf2 isxmetd ) ABCDEFG
        HIABUAZGMZCUAZGMZNNZXAXCEOZPQZXFPRSZPXFRSZNZXHXAXCQXEXFUBMZPUBMXGXJUGAX
        AXCUBGGEIUCZUDXFPUEUHXEXIXHJUFKUIAXBXDDUAZGMZUJZNZXMXAEOZUKMZXFXQXMXCEO
        ZULOZRSZXQTQZXQUMQZXPXRNZXSUKMZYAXSTQZXSUMQZXPXRYEYAXPXRYENZNXFXQXSUNOZ
        XTRAXOYHXFYIRSLUOYHXTYIQXPXQXSUPUSUQURYDYFNXFTXTRXPXFTRSZXRYFXPXKYJAXBX
        DXKXNXLUTXFVAVBZVCYFYDXTXQTULOZTXSTXQULVDXPXQUBMZXQUMVEZYLTQXRXPXQPTVFO
        ZMZYMXPXMXAYOGGEAGGVGZYOEVKZXOAEYQVLXFYOMZCGVHBGVHYRAYQUBEIVIAYSBCGGXEX
        KXIYSXLJXFVJVMVNBCGGYOEWAVMVOZAXBXDXNVPZAXBXDXNVQVRZXQPTVSVBZXQWBXQVTWC
        WDUQYDYGYAXPYGYAWJXRXPYAXSUMXPXSUMVEZYAWKZXPXSUBMZPXSRSZUUDXPXSYOMZUUFX
        PXMXCYOGGEYTUUAAXBXDXNWEVRZXSPTVSVBZXPUUHUUGUUIUUHUUFUUGXSVJWFVBXSWGWHZ
        WLWIVOWMYDUUFYEYFYGWNXPUUFXRUUJVOXSWOWPWQXPYBNXFTXTRXPYJYBYKVOYBXPXTTXS
        ULOZTXQTXSULWRXPUUFUUDUULTQUUJUUKXSWSWHWDUQXPYCYAXPYAXQUMXPYNUUEXPYMPXQ
        RSZYNUUCXPYPUUMUUBYPYMUUMXQVJWFVBXQWGWHWLWIWMXPYMXRYBYCWNUUCXQWOWPWQWT
        $.
    $}
  $}

  ${
    $d x y z A $.  $d y z B $.  $d d w x y z D $.  $d x y z R $.  $d x y z X $.
    $d z C $.
    $( Lemma for ~ metf and others.  (Contributed by NM, 30-Aug-2006.)
       (Revised by Mario Carneiro, 14-Aug-2015.) $)
    metflem $p |- ( D e. ( Met ` X ) -> ( D : ( X X. X ) --> RR /\
                  A. x e. X A. y e. X ( ( ( x D y ) = 0 <-> x = y ) /\
                  A. z e. X ( x D y ) <_ ( ( z D x ) + ( z D y ) ) ) ) ) $=
      ( cmet cfv wcel cxp cr wf cv co cc0 wceq wb caddc cle wral wa wbr cdm syl
      elfvdm ismet ibi ) DEFGHZEEIJDKALZBLZDMZNOUHUIOPUJCLZUHDMUKUIDMQMRUACESTB
      ESAESTZUGEFUBZHUGULPDEFUDABCUMDEUEUCUF $.

    $( Mapping of the distance function of an extended metric.  (Contributed by
       Mario Carneiro, 20-Aug-2015.) $)
    xmetf $p |- ( D e. ( *Met ` X ) -> D : ( X X. X ) --> RR* ) $=
      ( vx vy vz cxmet cfv wcel cxp cxr wf cv co cc0 wceq wb cxad cle wral wa
      wbr cdm elfvdm isxmet syl ibi simpld ) ABFGHZBBIJAKZCLZDLZAMZNOUJUKOPULEL
      ZUJAMUMUKAMQMRUAEBSTDBSCBSZUHUIUNTZUHBFUBZHUHUOPABFUCCDEUPABUDUEUFUG $.

    $( Mapping of the distance function of a metric space.  (Contributed by NM,
       30-Aug-2006.) $)
    metf $p |- ( D e. ( Met ` X ) -> D : ( X X. X ) --> RR ) $=
      ( vx vy vz cmet cfv wcel cxp cr wf cv co cc0 wceq wb caddc cle wbr wral
      wa metflem simpld ) ABFGHBBIJAKCLZDLZAMZNOUDUEOPUFELZUDAMUGUEAMQMRSEBTUAD
      BTCBTCDEABUBUC $.

    $( Closure of the distance function of a metric space.  Part of Property M1
       of [Kreyszig] p. 3.  (Contributed by NM, 30-Aug-2006.) $)
    xmetcl $p |- ( ( D e. ( *Met ` X ) /\ A e. X /\ B e. X ) ->
        ( A D B ) e. RR* ) $=
      ( cxmet cfv wcel cxp cxr wf co xmetf fovrn syl3an1 ) CDEFGDDHICJADGBDGABC
      KIGCDLABIDDCMN $.

    $( Closure of the distance function of a metric space.  Part of Property M1
       of [Kreyszig] p. 3.  (Contributed by NM, 30-Aug-2006.) $)
    metcl $p |- ( ( D e. ( Met ` X ) /\ A e. X /\ B e. X ) ->
        ( A D B ) e. RR ) $=
      ( cmet cfv wcel cxp cr wf co metf fovrn syl3an1 ) CDEFGDDHICJADGBDGABCKIG
      CDLABIDDCMN $.

    $( An extended metric is a metric exactly when it takes real values for all
       values of the arguments.  (Contributed by Mario Carneiro,
       20-Aug-2015.) $)
    ismet2 $p |- ( D e. ( Met ` X ) <->
        ( D e. ( *Met ` X ) /\ D : ( X X. X ) --> RR ) ) $=
      ( vx vy vz cmet cfv wcel cvv cxmet cr wf wa elfvex cv wceq cle wral cxr
      co cxp adantr cc0 wb caddc wbr cxad simpllr simpr simplrl simplrr rexaddd
      fovrnd breq2d ralbidva anbi2d 2ralbidva wss ressxr fss biantrurd pm5.32da
      sylancl bitr3d biancomd ismet isxmet anbi1d 3bitr4d pm5.21nii ) ABFGHZBIH
      ZABJGHZBBUAZKALZMZABFNVMVLVOABJNUBVLVOCOZDOZATZUCPVQVRPUDZVSEOZVQATZWAVRA
      TZUETZQUFZEBRZMZDBRCBRZMZVNSALZVTVSWBWCUGTZQUFZEBRZMZDBRCBRZMZVOMVKVPVLWI
      WPVOVLVOWHWPVLVOMZWOWHWPWQWNWGCDBBWQVQBHZVRBHZMZMZWMWFVTXAWLWEEBXAWABHZMZ
      WKWDVSQXCWBWCXCWAVQKBBAVLVOWTXBUHZXAXBUIZWQWRWSXBUJUMXCWAVRKBBAXDXEWQWRWS
      XBUKUMULUNUOUPUQWQWJWOWQVOKSURWJVLVOUIUSVNKSAUTVCVAVDVBVECDEIABVFVLVMWPVO
      CDEIABVGVHVIVJ $.

    $( A metric is an extended metric.  (Contributed by Mario Carneiro,
       20-Aug-2015.) $)
    metxmet $p |- ( D e. ( Met ` X ) -> D e. ( *Met ` X ) ) $=
      ( cmet cfv wcel cxmet cxp cr wf ismet2 simplbi ) ABCDEABFDEBBGHAIABJK $.

    $( Recover the base set from an extended metric.  (Contributed by Mario
       Carneiro, 23-Aug-2015.) $)
    xmetdmdm $p |- ( D e. ( *Met ` X ) -> X = dom dom D ) $=
      ( cxmet cfv wcel cdm cxp cxr xmetf fdmd dmeqd dmxpid eqtr2di ) ABCDEZAFZF
      BBGZFBNOPNPHAABIJKBLM $.

    $( Recover the base set from a metric.  (Contributed by Mario Carneiro,
       23-Aug-2015.) $)
    metdmdm $p |- ( D e. ( Met ` X ) -> X = dom dom D ) $=
      ( cmet cfv wcel cxmet cdm wceq metxmet xmetdmdm syl ) ABCDEABFDEBAGGHABIA
      BJK $.

    $( Two ways to express an extended metric on an unspecified base.
       (Contributed by Mario Carneiro, 13-Oct-2015.) $)
    xmetunirn $p |- ( D e. U. ran *Met <-> D e. ( *Met ` dom dom D ) ) $=
      ( vx vy vz vd vw cxmet crn cuni wcel cdm cfv cv cvv wb wceq wral cxr cmap
      co wrex wfn cc0 cxad cle wbr wa cxp crab ovex rabex df-xmet fnunirn ax-mp
      fnmpti id xmetdmdm fveq2d eleqtrd rexlimivw sylbi fvssunirn sseli impbii
      ) AGHIZJZAAKKZGLZJZVFABMZGLZJZBNUAZVIGNUBVFVMOBNCMZDMZEMZTZUCPVNVOPOVQFMZ
      VNVPTVRVOVPTUDTUEUFFVJQUGDVJQCVJQZERVJVJUHZSTZUIGVSEWARVTSUJUKBCDFEULUOBA
      GNUMUNVLVIBNVLAVKVHVLUPVLVJVGGAVJUQURUSUTVAVHVEAGVGVBVCVD $.

    $( The value of an extended metric is zero iff its arguments are equal.
       (Contributed by Mario Carneiro, 20-Aug-2015.) $)
    xmeteq0 $p |- ( ( D e. ( *Met ` X ) /\ A e. X /\ B e. X )
                 -> ( ( A D B ) = 0 <-> A = B ) ) $=
      ( vx vy vz cxmet cfv wcel co cc0 wceq wb cv wral wa cxp eqeq1d bibi12d wf
      cxr cxad cle wbr cdm elfvdm isxmet syl simpl 2ralimi simpl2im oveq1 eqeq1
      ibi oveq2 eqeq2 rspc2v syl5com 3impib ) CDHIJZADJZBDJZABCKZLMZABMZNZVAEOZ
      FOZCKZLMZVHVIMZNZFDPEDPZVBVCQVGVADDRUBCUAZVMVJGOZVHCKVPVICKUCKUDUEGDPZQZF
      DPEDPZVNVAVOVSQZVADHUFZJVAVTNCDHUGEFGWACDUHUIUOVRVMEFDDVMVQUJUKULVMVGAVIC
      KZLMZAVIMZNEFABDDVHAMZVKWCVLWDWEVJWBLVHAVICUMSVHAVIUNTVIBMZWCVEWDVFWFWBVD
      LVIBACUPSVIBAUQTURUSUT $.

    $( The value of a metric is zero iff its arguments are equal.  Property M2
       of [Kreyszig] p. 4.  (Contributed by NM, 30-Aug-2006.) $)
    meteq0 $p |- ( ( D e. ( Met ` X ) /\ A e. X /\ B e. X )
                 -> ( ( A D B ) = 0 <-> A = B ) ) $=
      ( cmet cfv wcel cxmet co cc0 wceq wb metxmet xmeteq0 syl3an1 ) CDEFGCDHFG
      ADGBDGABCIJKABKLCDMABCDNO $.

    $( Triangle inequality for the distance function of an extended metric.
       (Contributed by Mario Carneiro, 20-Aug-2015.) $)
    xmettri2 $p |- ( ( D e. ( *Met ` X ) /\ ( C e. X /\ A e. X /\ B e. X ) )
                 -> ( A D B ) <_ ( ( C D A ) +e ( C D B ) ) ) $=
      ( vx vy vz wcel w3a cxmet co cxad cle wbr cv wral wceq oveq1 oveq2 cfv wi
      cxp cxr wf cc0 wb cdm elfvdm isxmet syl ibi simpr 2ralimi simpl2im oveq1d
      wa breq12d oveq2d oveq12d breq2d rspc3v syl5 3comr impcom ) CEIZAEIZBEIZJ
      DEKUAIZABDLZCADLZCBDLZMLZNOZVGVHVFVIVNUBVIFPZGPZDLZHPZVODLZVRVPDLZMLZNOZH
      EQZGEQFEQZVGVHVFJVNVIEEUCUDDUEZVQUFRVOVPRUGZWCUQZGEQFEQZWDVIWEWHUQZVIEKUH
      ZIVIWIUGDEKUIFGHWJDEUJUKULWGWCFGEEWFWCUMUNUOWBVNAVPDLZVRADLZVTMLZNOVJWLVR
      BDLZMLZNOFGHABCEEEVOARZVQWKWAWMNVOAVPDSWPVSWLVTMVOAVRDTUPURVPBRZWKVJWMWON
      VPBADTWQVTWNWLMVPBVRDTUSURVRCRZWOVMVJNWRWLVKWNVLMVRCADSVRCBDSUTVAVBVCVDVE
      $.

    $( Triangle inequality for the distance function of a metric space.
       (Contributed by NM, 30-Aug-2006.)  (Revised by Mario Carneiro,
       20-Aug-2015.) $)
    mettri2 $p |- ( ( D e. ( Met ` X ) /\ ( C e. X /\ A e. X /\ B e. X ) )
                 -> ( A D B ) <_ ( ( C D A ) + ( C D B ) ) ) $=
      ( cmet cfv wcel w3a wa co cxad caddc cle cxmet wbr metxmet xmettri2 metcl
      cr sylan 3adant3r3 3adant3r2 rexaddd breqtrd ) DEFGHZCEHZAEHZBEHZIZJZABDK
      ZCADKZCBDKZLKZUMUNMKNUFDEOGHUJULUONPDEQABCDERUAUKUMUNUFUGUHUMTHUICADESUBU
      FUGUIUNTHUHCBDESUCUDUE $.

    $( The distance function of a metric space is zero if its arguments are
       equal.  Definition 14-1.1(a) of [Gleason] p. 223.  (Contributed by Mario
       Carneiro, 20-Aug-2015.) $)
    xmet0 $p |- ( ( D e. ( *Met ` X ) /\ A e. X ) -> ( A D A ) = 0 ) $=
      ( cxmet cfv wcel wa co cc0 wceq eqid wb xmeteq0 3anidm23 mpbiri ) BCDEFZA
      CFZGAABHIJZAAJZAKPQRSLAABCMNO $.

    $( The distance function of a metric space is zero if its arguments are
       equal.  Definition 14-1.1(a) of [Gleason] p. 223.  (Contributed by NM,
       30-Aug-2006.) $)
    met0 $p |- ( ( D e. ( Met ` X ) /\ A e. X ) -> ( A D A ) = 0 ) $=
      ( cmet cfv wcel cxmet co cc0 wceq metxmet xmet0 sylan ) BCDEFBCGEFACFAABH
      IJBCKABCLM $.

    $( The distance function of a metric space is nonnegative.  (Contributed by
       Mario Carneiro, 20-Aug-2015.) $)
    xmetge0 $p |- ( ( D e. ( *Met ` X ) /\ A e. X /\ B e. X ) ->
                  0 <_ ( A D B ) ) $=
      ( cxmet cfv wcel w3a cc0 co cle wbr cxmu cxad simp1 simp2 simp3 cxr wceq
      c2 xmettri2 syl13anc cr 2re rexr xmul01 mp2b xmet0 3adant2 eqtr4id xmetcl
      x2times syl 3brtr4d crp wb 0xr 2rp a1i xlemul2 mp3an2i mpbird ) CDEFGZADG
      ZBDGZHZIABCJZKLZTIMJZTVGMJZKLZVFBBCJZVGVGNJZVIVJKVFVCVDVEVEVLVMKLVCVDVEOV
      CVDVEPVCVDVEQZVNBBACDUAUBVFVIIVLTUCGTRGVIISUDTUETUFUGVCVEVLISVDBCDUHUIUJV
      FVGRGZVJVMSABCDUKZVGULUMUNIRGVFVOTUOGZVHVKUPUQVPVQVFURUSIVGTUTVAVB $.

    $( The distance function of a metric space is nonnegative.  (Contributed by
       NM, 27-Aug-2006.)  (Revised by Mario Carneiro, 14-Aug-2015.) $)
    metge0 $p |- ( ( D e. ( Met ` X ) /\ A e. X /\ B e. X ) ->
                  0 <_ ( A D B ) ) $=
      ( cmet cfv wcel cxmet cc0 co cle wbr metxmet xmetge0 syl3an1 ) CDEFGCDHFG
      ADGBDGIABCJKLCDMABCDNO $.

    $( Real closure of an extended metric value that is upper bounded by a
       real.  (Contributed by Mario Carneiro, 20-Aug-2015.) $)
    xmetlecl $p |- ( ( D e. ( *Met ` X ) /\ ( A e. X /\ B e. X ) /\
      ( C e. RR /\ ( A D B ) <_ C ) ) -> ( A D B ) e. RR ) $=
      ( cxmet cfv wcel wa cr co cle wbr w3a cxr cc0 xmetcl 3expb 3adant3 simp3l
      xmetge0 simp3r xrrege0 syl22anc ) DEFGHZAEHZBEHZIZCJHZABDKZCLMZIZNUJOHZUI
      PUJLMZUKUJJHUEUHUMULUEUFUGUMABDEQRSUEUHUIUKTUEUHUNULUEUFUGUNABDEUARSUEUHU
      IUKUBUJCUCUD $.

    $( The distance function of an extended metric space is symmetric.
       (Contributed by Mario Carneiro, 20-Aug-2015.) $)
    xmetsym $p |- ( ( D e. ( *Met ` X ) /\ A e. X /\ B e. X ) ->
                  ( A D B ) = ( B D A ) ) $=
      ( wcel w3a co xmetcl 3com23 cxad cle wbr xmettri2 syl13anc cc0 wceq xmet0
      oveq2d xaddid1d eqtrd cxmet cfv simp1 simp3 simp2 3adant2 breqtrd 3adant3
      cxr xrletrid ) CDUAUBEZADEZBDEZFZABCGZBACGZABCDHZUKUMULUPUIEBACDHZIUNUOUP
      BBCGZJGZUPKUNUKUMULUMUOUTKLUKULUMUCZUKULUMUDZUKULUMUEZVBABBCDMNUNUTUPOJGZ
      UPUNUSOUPJUKUMUSOPULBCDQUFRUKUMULVDUPPUKUMULFUPURSITUGUNUPUOAACGZJGZUOKUN
      UKULUMULUPVFKLVAVCVBVCBAACDMNUNVFUOOJGUOUNVEOUOJUKULVEOPUMACDQUHRUNUOUQST
      UGUJ $.

    $( An extended metric is a pseudometric.  (Contributed by Thierry Arnoux,
       7-Feb-2018.) $)
    xmetpsmet $p |- ( D e. ( *Met ` X ) -> D e. ( PsMet ` X ) ) $=
      ( vx vy vz cxmet cfv wcel cpsmet cxp cxr wf cv cc0 wral w3a ralrimiva cvv
      co wa wceq cxad cle wbr xmetf xmet0 3anrot xmettri2 sylan2br 3anassrs jca
      wb elfvex ispsmet syl mpbir2and ) ABFGHZABIGHZBBJKALZCMZUTASNUAZUTDMZASEM
      ZUTASVCVBASUBSUCUDZEBOZDBOZTZCBOZABUEUQVGCBUQUTBHZTZVAVFUTABUFVJVEDBVJVBB
      HZTVDEBUQVIVKVCBHZVDVIVKVLPUQVLVIVKPVDVLVIVKUGUTVBVCABUHUIUJQQUKQUQBRHURU
      SVHTULABFUMCDEARBUNUOUP $.

    $( The distance function of an extended metric space is symmetric.
       (Contributed by Mario Carneiro, 20-Aug-2015.) $)
    xmettpos $p |- ( D e. ( *Met ` X ) -> tpos D = D ) $=
      ( vx vy cxmet cfv wcel ctpos wceq cv co wral xmetsym 3expb ralrimivva cxp
      cxr wf wfn wb xmetf ffn tpossym 3syl mpbird ) ABEFGZAHAIZCJZDJZAKUIUHAKIZ
      DBLCBLZUFUJCDBBUFUHBGUIBGUJUHUIABMNOUFBBPZQARAULSUGUKTABUAULQAUBCDBAUCUDU
      E $.

    $( The distance function of a metric space is symmetric.  Definition
       14-1.1(c) of [Gleason] p. 223.  (Contributed by NM, 27-Aug-2006.)
       (Revised by Mario Carneiro, 20-Aug-2015.) $)
    metsym $p |- ( ( D e. ( Met ` X ) /\ A e. X /\ B e. X ) ->
                  ( A D B ) = ( B D A ) ) $=
      ( cmet cfv wcel cxmet co wceq metxmet xmetsym syl3an1 ) CDEFGCDHFGADGBDGA
      BCIBACIJCDKABCDLM $.

    $( Triangle inequality for the distance function of a metric space.
       Definition 14-1.1(d) of [Gleason] p. 223.  (Contributed by Mario
       Carneiro, 20-Aug-2015.) $)
    xmettri $p |- ( ( D e. ( *Met ` X ) /\ ( A e. X /\ B e. X /\ C e. X ) )
              -> ( A D B ) <_ ( ( A D C ) +e ( C D B ) ) ) $=
      ( cxmet cfv wcel w3a wa co cxad cle simpl simpr3 simpr1 xmettri2 syl13anc
      wbr simpr2 wceq xmetsym syl3anc oveq1d breqtrd ) DEFGHZAEHZBEHZCEHZIZJZAB
      DKZCADKZCBDKZLKZACDKZUNLKMUKUFUIUGUHULUOMSUFUJNZUFUGUHUIOZUFUGUHUIPZUFUGU
      HUITABCDEQRUKUMUPUNLUKUFUIUGUMUPUAUQURUSCADEUBUCUDUE $.

    $( Triangle inequality for the distance function of a metric space.
       Definition 14-1.1(d) of [Gleason] p. 223.  (Contributed by NM,
       27-Aug-2006.) $)
    mettri $p |- ( ( D e. ( Met ` X ) /\ ( A e. X /\ B e. X /\ C e. X ) )
              -> ( A D B ) <_ ( ( A D C ) + ( C D B ) ) ) $=
      ( cmet cfv wcel w3a wa co caddc cle wbr mettri2 expcom 3coml impcom wceq
      wi metsym 3adant3r2 oveq1d breqtrrd ) DEFGHZAEHZBEHZCEHZIZJZABDKZCADKZCBD
      KZLKZACDKZUMLKMUIUEUKUNMNZUHUFUGUEUPTUEUHUFUGIUPABCDEOPQRUJUOULUMLUEUFUHU
      OULSUGACDEUAUBUCUD $.

    $( Triangle inequality for the distance function of an extended metric.
       (Contributed by Mario Carneiro, 20-Aug-2015.) $)
    xmettri3 $p |- ( ( D e. ( *Met ` X ) /\ ( A e. X /\ B e. X /\ C e. X ) )
                 -> ( A D B ) <_ ( ( A D C ) +e ( B D C ) ) ) $=
      ( cxmet cfv wcel w3a wa co cxad cle xmettri wceq xmetsym 3adant3r1 oveq2d
      breqtrrd ) DEFGHZAEHZBEHZCEHZIJZABDKACDKZCBDKZLKUEBCDKZLKMABCDENUDUGUFUEL
      TUBUCUGUFOUABCDEPQRS $.

    $( Triangle inequality for the distance function of a metric space.
       (Contributed by NM, 13-Mar-2007.) $)
    mettri3 $p |- ( ( D e. ( Met ` X ) /\ ( A e. X /\ B e. X /\ C e. X ) )
              -> ( A D B ) <_ ( ( A D C ) + ( B D C ) ) ) $=
      ( cmet cfv wcel w3a wa co caddc cle mettri wceq metsym 3adant3r1 breqtrrd
      oveq2d ) DEFGHZAEHZBEHZCEHZIJZABDKACDKZCBDKZLKUEBCDKZLKMABCDENUDUGUFUELTU
      BUCUGUFOUABCDEPQSR $.

    $( One half of the reverse triangle inequality for the distance function of
       an extended metric.  (Contributed by Mario Carneiro, 4-Sep-2015.) $)
    xmetrtri $p |- ( ( D e. ( *Met ` X ) /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                    ( ( A D C ) +e -e ( B D C ) ) <_ ( A D B ) ) $=
      ( cxmet cfv wcel w3a co cxad cle wbr xmetcl 3adant3r2 3adant3r1 3adant3r3
      cxr cc0 xmetge0 wa cxne 3ancomb xmettri sylan2b cmnf wne ge0nemnf syl2anc
      wb xlesubadd syl33anc mpbird ) DEFGHZAEHZBEHZCEHZIZUAZACDJZBCDJZUBKJABDJZ
      LMZUTVBVAKJLMZURUNUOUQUPIVDUOUPUQUCACBDEUDUEUSUTRHZVARHZVBRHZSUTLMZVAUFUG
      ZSVBLMZVCVDUJUNUOUQVEUPACDENOUNUPUQVFUOBCDENPZUNUOUPVGUQABDENQUNUOUQVHUPA
      CDETOUSVFSVALMZVIVKUNUPUQVLUOBCDETPVAUHUIUNUOUPVJUQABDETQUTVAVBUKULUM $.

    ${
      xmetrtri2.1 $e |- K = ( dist ` RR*s ) $.
      $( The reverse triangle inequality for the distance function of an
         extended metric.  In order to express the "extended absolute value
         function", we use the distance function ~ xrsdsval defined on the
         extended real structure.  (Contributed by Mario Carneiro,
         4-Sep-2015.) $)
      xmetrtri2 $p |- ( ( D e. ( *Met ` X ) /\ ( A e. X /\ B e. X /\ C e. X ) )
         -> ( ( A D C ) K ( B D C ) ) <_ ( A D B ) ) $=
        ( wcel w3a co cle wbr cxne cxad cxr wceq xmetcl syl2anc xmetrtri breq1
        cxmet cfv wa cif 3adant3r2 3adant3r1 xrsdsval 3ancoma sylan2b 3adant3r3
        xmetsym breqtrrd ifboth eqbrtrd ) DFUAUBHZAFHZBFHZCFHZIZUCZACDJZBCDJZEJ
        ZVAVBKLZVBVAMNJZVAVBMNJZUDZABDJZKUTVAOHZVBOHZVCVGPUOUPURVIUQACDFQUEUOUQ
        URVJUPBCDFQUFVAVBEGUGRUTVEVHKLZVFVHKLZVGVHKLZUTVEBADJZVHKUSUOUQUPURIVEV
        NKLUPUQURUHBACDFSUIUOUPUQVHVNPURABDFUKUJULABCDFSVDVKVLVMVEVFVEVGVHKTVFV
        GVHKTUMRUN $.
    $}

    $( Reverse triangle inequality for the distance function of a metric space.
       (Contributed by Mario Carneiro, 5-May-2014.) $)
    metrtri $p |- ( ( D e. ( Met ` X ) /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                    ( abs ` ( ( A D C ) - ( B D C ) ) ) <_ ( A D B ) ) $=
      ( cmet cfv wcel w3a wa co cxrs cds cmin cabs cle cr wceq metcl 3adant3r2
      3adant3r1 eqid xrsdsreval syl2anc cxmet metxmet xmetrtri2 sylan eqbrtrrd
      wbr ) DEFGHZAEHZBEHZCEHZIZJZACDKZBCDKZLMGZKZUQURNKOGZABDKZPUPUQQHZURQHZUT
      VARUKULUNVCUMACDESTUKUMUNVDULBCDESUAUQURUSUSUBZUCUDUKDEUEGHUOUTVBPUJDEUFA
      BCDUSEVEUGUHUI $.

    $( The distance function of an extended metric space is positive for
       unequal points.  (Contributed by Mario Carneiro, 20-Aug-2015.) $)
    xmetgt0 $p |- ( ( D e. ( *Met ` X ) /\ A e. X /\ B e. X ) ->
                ( A =/= B <-> 0 < ( A D B ) ) ) $=
      ( cxmet cfv wcel w3a cc0 co clt wbr cle wceq wn wa cxr wb 0xr sylancl
      xmetge0 biantrud xmetcl xrletri3 xrlenlt xmeteq0 3bitr3d necon1abid
      bitr4d ) CDEFGADGBDGHZIABCJZKLZABUJUKIMLZUKINZULOZABNUJUMUMIUKMLZPZUNUJUP
      UMABCDUAUBUJUKQGZIQGZUNUQRABCDUCZSUKIUDTUIUJURUSUMUORUTSUKIUETABCDUFUGUH
      $.

    $( The distance function of a metric space is positive for unequal points.
       Definition 14-1.1(b) of [Gleason] p. 223 and its converse.  (Contributed
       by NM, 27-Aug-2006.) $)
    metgt0 $p |- ( ( D e. ( Met ` X ) /\ A e. X /\ B e. X ) ->
                ( A =/= B <-> 0 < ( A D B ) ) ) $=
      ( cmet cfv wcel cxmet wne cc0 co clt wbr wb metxmet xmetgt0 syl3an1 ) CDE
      FGCDHFGADGBDGABIJABCKLMNCDOABCDPQ $.

    $( A metric space is nonempty iff its base set is nonempty.  (Contributed
       by NM, 4-Oct-2007.)  (Revised by Mario Carneiro, 14-Aug-2015.) $)
    metn0 $p |- ( D e. ( Met ` X ) -> ( D =/= (/) <-> X =/= (/) ) ) $=
      ( cmet cfv wcel c0 wceq cxp cdm cr wrel metf frel reldm0 3syl fdmd eqeq1d
      wf wb bitrd wo xpeq0 oridm bitri bitrdi necon3bid ) ABCDEZAFBFUGAFGZBBHZF
      GZBFGZUGUHAIZFGZUJUGUIJARAKUHUMSABLZUIJAMANOUGULUIFUGUIJAUNPQTUJUKUKUAUKB
      BUBUKUCUDUEUF $.

    $( Restriction of an extended metric.  (Contributed by Mario Carneiro,
       20-Aug-2015.) $)
    xmetres2 $p |- ( ( D e. ( *Met ` X ) /\ R C_ X ) ->
                   ( D |` ( R X. R ) ) e. ( *Met ` R ) ) $=
      ( vx vy vz cxmet wcel wss wa cxp adantr cxr cc0 wceq sseldd cxad 3adantr3
      cv co cfv cres cvv cdm elfvdm simpr ssexd wf xmetf sylancom fssresd ovres
      xpss12 adantl eqeq1d wb simpll simplr simprl simprr xmeteq0 syl3anc bitrd
      w3a cle wbr simpr3 xmettri2 syl13anc simpr1 ovresd simpr2 oveq12d 3brtr4d
      isxmetd ) ACGUAHZBCIZJZDEFABBKZUBZUCBVRBCGUDZVPCWAHVQACGUELVPVQUFZUGVRCCK
      ZMVSAVPWCMAUHVQACUILVPVQVQVSWCIWBBCBCUMUJUKVRDSZBHZESZBHZJZJZWDWFVTTZNOWD
      WFATZNOZWDWFOZWIWJWKNWHWJWKOZVRWDWFBBAULUNZUOWIVPWDCHZWFCHZWLWMUPVPVQWHUQ
      WIBCWDVPVQWHURZVRWEWGUSPZWIBCWFWRVRWEWGUTPZWDWFACVAVBVCVRWEWGFSZBHZVDZJZW
      KXAWDATZXAWFATZQTZWJXAWDVTTZXAWFVTTZQTVEXDVPXACHWPWQWKXGVEVFVPVQXCUQXDBCX
      AVPVQXCURVRWEWGXBVGZPVRWEWGWPXBWSRVRWEWGWQXBWTRWDWFXAACVHVIVRWEWGWNXBWORX
      DXHXEXIXFQXDXAWDABXJVRWEWGXBVJVKXDXAWFABXJVRWEWGXBVLVKVMVNVO $.

    $( Lemma for ~ metres .  (Contributed by Mario Carneiro, 24-Aug-2015.) $)
    metreslem $p |- ( dom D = ( X X. X ) ->
        ( D |` ( R X. R ) ) = ( D |` ( ( X i^i R ) X. ( X i^i R ) ) ) ) $=
      ( cdm cxp wceq cres cin resdmres ineq2 dmres incom eqtr3i 3eqtr4g reseq2d
      inxp eqtr3id ) ADZCCEZFZABBEZGZAUBDZGACBHZUDEZGAUAITUCUEATUARHUASHZUCUERS
      UAJAUAKSUAHUEUFCCBBPSUALMNOQ $.

    $( Lemma for ~ metres .  (Contributed by FL, 12-Oct-2006.)  (Proof
       shortened by Mario Carneiro, 14-Aug-2015.) $)
    metres2 $p |- ( ( D e. ( Met ` X ) /\ R C_ X ) ->
                   ( D |` ( R X. R ) ) e. ( Met ` R ) ) $=
      ( cmet cfv wcel wss wa cxp cres cxmet cr wf metxmet xmetres2 sylan adantr
      metf simpr xpss12 sylancom fssresd ismet2 sylanbrc ) ACDEFZBCGZHZABBIZJZB
      KEFZUHLUIMUIBDEFUEACKEFUFUJACNABCOPUGCCIZLUHAUEUKLAMUFACRQUEUFUFUHUKGUEUF
      SBCBCTUAUBUIBUCUD $.
  $}

  $( A restriction of an extended metric is an extended metric.  (Contributed
     by Mario Carneiro, 24-Aug-2015.) $)
  xmetres $p |- ( D e. ( *Met ` X ) ->
      ( D |` ( R X. R ) ) e. ( *Met ` ( X i^i R ) ) ) $=
    ( cxmet cfv wcel cxp cres cin cxr wf cdm wceq xmetf fdm metreslem wss inss1
    3syl xmetres2 mpan2 eqeltrd ) ACDEFZABBGHZACBIZUEGHZUEDEZUCCCGZJAKALUHMUDUF
    MACNUHJAOABCPSUCUECQUFUGFCBRAUECTUAUB $.

  $( A restriction of a metric is a metric.  (Contributed by NM, 26-Aug-2007.)
     (Revised by Mario Carneiro, 14-Aug-2015.) $)
  metres $p |- ( D e. ( Met ` X ) ->
      ( D |` ( R X. R ) ) e. ( Met ` ( X i^i R ) ) ) $=
    ( cmet cfv wcel cxp cres cin cr wf cdm wceq metf fdm metreslem 3syl metres2
    wss inss1 mpan2 eqeltrd ) ACDEFZABBGHZACBIZUEGHZUEDEZUCCCGZJAKALUHMUDUFMACN
    UHJAOABCPQUCUECSUFUGFCBTAUECRUAUB $.

  ${
    $d x y z $.
    $( The empty metric.  (Contributed by NM, 30-Aug-2006.)  (Revised by Mario
       Carneiro, 14-Aug-2015.) $)
    0met $p |- (/) e. ( Met ` (/) ) $=
      ( vx vy vz c0 0ex cxp cr wf f0 xp0 feq2i mpbir cv wcel co wceq wb pm2.21i
      cc0 noel adantr caddc cle wbr 3ad2ant1 ismeti ) ABCDDEDDFZGDHDGDHGIUGDGDD
      JKLAMZDNZUHBMZDOZSPUHUJPQZUJDNZUIULUHTZRUAUIUMUKCMZUHDOUOUJDOUBOUCUDZUODN
      UIUPUNRUEUF $.
  $}

  ${
    $d f g h y B $.  $d f g h y z D $.  $d z E $.  $d f g x y z I $.  $d z V $.
    $d f g h x y ph $.  $d f g y z R $.  $d f g y S $.  $d f g y Y $.
    prdsdsf.y $e |- Y = ( S Xs_ ( x e. I |-> R ) ) $.
    prdsdsf.b $e |- B = ( Base ` Y ) $.
    prdsdsf.v $e |- V = ( Base ` R ) $.
    prdsdsf.e $e |- E = ( ( dist ` R ) |` ( V X. V ) ) $.
    prdsdsf.d $e |- D = ( dist ` Y ) $.
    prdsdsf.s $e |- ( ph -> S e. W ) $.
    prdsdsf.i $e |- ( ph -> I e. X ) $.
    prdsdsf.r $e |- ( ( ph /\ x e. I ) -> R e. Z ) $.
    prdsdsf.m $e |- ( ( ph /\ x e. I ) -> E e. ( *Met ` V ) ) $.
    $( The product metric is a function into the nonnegative extended reals.
       In general this means that it is not a metric but rather an *extended*
       metric (even when all the factors are metrics), but it will be a metric
       when restricted to regions where it does not take infinite values.
       (Contributed by Mario Carneiro, 20-Aug-2015.) $)
    prdsdsf $p |- ( ph -> D : ( B X. B ) --> ( 0 [,] +oo ) ) $=
      ( vf vg vy cxp cc0 cpnf cicc co wf cfv cmpt cds crn csn cun cxr csup cmpo
      cv clt wcel wral wa cle wbr wss csb cres cvv simpr elexd ralrimiva adantr
      wceq nfcsb1v nfel1 csbeq1a eleq1d rspc mpan9 fvmpts syl2anc fveq2d simprl
      eqid oveqd prdsbascl nfel2 fveq2 eleq12d simprr ovresd eqtr4d cxmet nfres
      nfcv nffv nfxp nfel sqxpeqd reseq12d syl5eq xmetcl syl3anc eqeltrd fmpttd
      frnd 0xr a1i snssd unssd supxrcl ssun2 c0ex mpbir supxrub sylancl elxrge0
      syl snss sylanbrc ralrimivva fmpo sylib mptexd dmmptg prdsds feq1d mpbird
      cdm ) ACCUFZUGUHUIUJZDUKYMYNUCUDCCUEHUEVAZUCVAZULZYOUDVAZULZYOBHEUMZULZUN
      ULZUJZUMZUOZUGUPZUQZURVBUSZUTZUKZAUUHYNVCZUDCVDUCCVDUUJAUUKUCUDCCAYPCVCZY
      RCVCZVEZVEZUUHURVCZUGUUHVFVGZUUKUUOUUGURVHZUUPUUOUUEUUFURUUOHURUUDUUOUEHU
      UCURUUOYOHVCZVEZUUCYQYSBYOEVIZUNULZBYOIVIZUVCUFZVJZUJZURUUTUUCYQYSUVBUJUV
      FUUTUUBUVBYQYSUUTUUAUVAUNUUTUUSUVAVKVCZUUAUVAVPUUOUUSVLUUOEVKVCZBHVDZUUSU
      VGAUVIUUNAUVHBHABVAZHVCVEEMUAVMVNVOZUVHUVGBYOHBUVAVKBYOEVQZVRUVJYOVPZEUVA
      VKBYOEVSZVTWAWBBYOEHYTVKYTWGWCWDWEWHUUTYQYSUVBUVCUUOUVJYPULZIVCZBHVDUUSYQ
      UVCVCZUUOBCEFYPHIJKVKLNOAFJVCUUNSVOZAHKVCUUNTVOZUVKPAUULUUMWFWIUVPUVQBYOH
      BYQUVCBYOIVQZWJUVMUVOYQIUVCUVJYOYPWKBYOIVSZWLWAWBZUUOUVJYRULZIVCZBHVDUUSY
      SUVCVCZUUOBCEFYRHIJKVKLNOUVRUVSUVKPAUULUUMWMWIUWDUWEBYOHBYSUVCUVTWJUVMUWC
      YSIUVCUVJYOYRWKUWAWLWAWBZWNWOUUTUVEUVCWPULZVCZUVQUWEUVFURVCUUOGIWPULZVCZB
      HVDZUUSUWHAUWKUUNAUWJBHUBVNVOUWJUWHBYOHBUVEUWGBUVBUVDBUVAUNBUNWRUVLWSBUVC
      UVCUVTUVTWTWQBUVCWPBWPWRUVTWSXAUVMGUVEUWIUWGUVMGEUNULZIIUFZVJUVEQUVMUWLUV
      BUWMUVDUVMEUVAUNUVNWEUVMIUVCUWAXBXCXDUVMIUVCWPUWAWEWLWAWBUWBUWFYQYSUVEUVC
      XEXFXGXHXIUUOUGURUGURVCUUOXJXKXLXMZUUGXNYAUUOUURUGUUGVCZUUQUWNUWOUUFUUGVH
      UUFUUEXOUGUUGXPYBXQUUGUGXRXSUUHXTYCYDUCUDCCUUHYNUUIUUIWGYEYFAYMYNDUUIAUEC
      DLYTFUCUDHJVKNSABHEKTYGOAEMVCZBHVDYTYLHVPAUWPBHUAVNBHEMYHYARYIYJYK $.

    ${
      $d x B $.  $d x D $.
      $( The product metric is an extended metric.  (Contributed by Mario
         Carneiro, 20-Aug-2015.) $)
      prdsxmetlem $p |- ( ph -> D e. ( *Met ` B ) ) $=
        ( vf vg vh vz cvv wcel cbs fvexi a1i cxp cc0 cpnf co wf cxr wss prdsdsf
        cicc iccssxr fss sylancl cv wa cle wbr fovrnda elxrge0 simprbi syl cmpt
        cfv crn csn cun clt csup wral adantr ralrimiva simprl simprr prdsdsval3
        wceq breq1d cxmet adantlr prdsbascl r19.21bi xmetcl syl3anc fmpttd frnd
        wb 0xr snssd unssd supxrleub 0le0 c0ex breq1 ralsn ralunb mpbiran2 ovex
        mpbir rgenw ralrnmptw ax-mp bitri xmetge0 biantrud xrletri3 xmeteq0 wfn
        eqid prdsbasfn syl2anc w3a cr caddc 3adantr3 3adant3 3ad2ant1 ssun1 cab
        elabrex adantl rnmpt eleqtrrdi sselid supxrub syl2an2r breqtrrd xrrege0
        wrex syl22anc mpbird fovrnd 3bitr2d ralbidva fnmpt eqfnfv bitr4d syl5bb
        3bitrd 3ad2antl1 simp23 simp3l simp21 simp3r readdcld xmettri2 syl13anc
        simp22 rexaddd breqtrd readdcl 3ad2ant3 le2addd addge0d sylibr sylanbrc
        cxad letrd rexrd eqbrtrd isxmet2d ) AUCUDUEDUGCCUGUHACLUIOUJUKACCULZUMU
        NUTUOZDUPZUVKUQURUVJUQDUPABCDEFGHIJKLMNOPQRSTUAUBUSZUMUNVAUVJUVKUQDVBVC
        AUCVDZCUHZUDVDZCUHZVEZVEZUVNUVPDUOZUVKUHZUMUVTVFVGZAUVNUVPUVKCCDUVMVHUW
        AUVTUQUHUWBUVTVIVJVKUVSUVTUMVFVGBHBVDZUVNVMZUWCUVPVMZGUOZVLZVNZUMVOZVPZ
        UQVQVRZUMVFVGZUFVDZUMVFVGZUFUWJVSZUVNUVPWEZUVSUVTUWKUMVFUVSBCDEFGUVNUVP
        HIJKMLNOAFJUHZUVRSVTZAHKUHZUVRTVTZAEMUHZBHVSZUVRAUXABHUAWAZVTZAUVOUVQWB
        ZAUVOUVQWCZPQRWDZWFUVSUWJUQURZUMUQUHZUWLUWOWOUVSUWHUWIUQUVSHUQUWGUVSBHU
        WFUQUVSUWCHUHZVEZGIWGVMUHZUWDIUHZUWEIUHZUWFUQUHZAUXJUXLUVRUBWHZUVSUXMBH
        UVSBCEFUVNHIJKMLNOUWRUWTUXDPUXEWIZWJZUVSUXNBHUVSBCEFUVPHIJKMLNOUWRUWTUX
        DPUXFWIZWJZUWDUWEGIWKZWLZWMWNUVSUMUQUXIUVSWPUKWQWRZWPUFUWJUMWSVCUWOUWFU
        MVFVGZBHVSZUVSUWPUWOUWNUFUWHVSZUYEUWOUYFUWNUFUWIVSZUYGUMUMVFVGZWTUWNUYH
        UFUMXAUWMUMUMVFXBXCXGUWNUFUWHUWIXDXEUWFUGUHZBHVSUYFUYEWOUYIBHUWDUWEGXFX
        HUWNUYDBUFHUWFUWGUGUWGXQZUWMUWFUMVFXBXIXJXKUVSUYEUWDUWEWEZBHVSZUWPUVSUY
        DUYKBHUXKUYDUYDUMUWFVFVGZVEZUWFUMWEZUYKUXKUYMUYDUXKUXLUXMUXNUYMUXPUXRUX
        TUWDUWEGIXLZWLXMUXKUXOUXIUYOUYNWOUYBWPUWFUMXNVCUXKUXLUXMUXNUYOUYKWOUXPU
        XRUXTUWDUWEGIXOWLUUAUUBUVSUVNHXPUVPHXPUWPUYLWOUVSCBHEVLZFUVNHJKLNOUWRUW
        TAUYQHXPZUVRAUXBUYRUXCBHEUYQMUYQXQUUCVKVTZUXEXRUVSCUYQFUVPHJKLNOUWRUWTU
        YSUXFXRBHUVNUVPUUDXSUUEUUFUUGAUVOUVQUEVDZCUHZXTZUYTUVNDUOZYAUHZUYTUVPDU
        OZYAUHZVEZXTZUVTUWKVUCVUEYBUOZVFAVUBUVTUWKWEZVUGAUVOUVQVUJVUAUXGYCYDVUH
        UWKVUIVFVGZUWMVUIVFVGZUFUWJVSZVUHVULUFUWHVSZVULUFUWIVSZVUMVUHVUNUWFVUIV
        FVGZBHVSZVUHVUPBHVUHUXJVEZUWFUWCUYTVMZUWDGUOZVUSUWEGUOZYBUOZVUIVURUXOVV
        BYAUHUYMUWFVVBVFVGUWFYAUHVURUXLUXMUXNUXOAVUBUXJUXLVUGUBUUHZVUHUXMBHAVUB
        UXMBHVSZVUGAUVOUVQVVDVUAUXQYCYDWJZVUHUXNBHAVUBUXNBHVSZVUGAUVOUVQVVFVUAU
        XSYCYDWJZUYAWLZVURVUTVVAVURVUTUQUHZVUDUMVUTVFVGZVUTVUCVFVGVUTYAUHVURUXL
        VUSIUHZUXMVVIVVCVUHVVKBHVUHBCEFUYTHIJKMLNOAVUBUWQVUGSYEZAVUBUWSVUGTYEZA
        VUBUXBVUGUXCYEZPAUVOUVQVUAVUGUUIZWIWJZVVEVUSUWDGIWKWLZVUHVUDUXJAVUBVUDV
        UFUUJZVTZVURUXLVVKUXMVVJVVCVVPVVEVUSUWDGIXLWLVURVUTBHVUTVLZVNZUWIVPZUQV
        QVRZVUCVFVUHVWBUQURUXJVUTVWBUHVUTVWCVFVGVUHVWAUWIUQVUHHUQVVTVUHBHVUTUQV
        VQWMWNVUHUMUQUXIVUHWPUKWQZWRVURVWAVWBVUTVWAUWIYFVURVUTUWMVUTWEBHYQUFYGZ
        VWAUXJVUTVWEUHVUHBUFHVUTVUSUWDGXFYHYIBUFHVUTVVTVVTXQYJYKYLVWBVUTYMYNVUH
        VUCVWCWEUXJVUHBCDEFGUYTUVNHIJKMLNOVVLVVMVVNVVOAUVOUVQVUAVUGUUKZPQRWDVTY
        OZVUTVUCYPYRZVURVVAUQUHZVUFUMVVAVFVGZVVAVUEVFVGVVAYAUHVURUXLVVKUXNVWIVV
        CVVPVVGVUSUWEGIWKWLZVUHVUFUXJAVUBVUDVUFUULZVTZVURUXLVVKUXNVWJVVCVVPVVGV
        USUWEGIXLWLVURVVABHVVAVLZVNZUWIVPZUQVQVRZVUEVFVUHVWPUQURUXJVVAVWPUHVVAV
        WQVFVGVUHVWOUWIUQVUHHUQVWNVUHBHVVAUQVWKWMWNVWDWRVURVWOVWPVVAVWOUWIYFVUR
        VVAUWMVVAWEBHYQUFYGZVWOUXJVVAVWRUHVUHBUFHVVAVUSUWEGXFYHYIBUFHVVAVWNVWNX
        QYJYKYLVWPVVAYMYNVUHVUEVWQWEUXJVUHBCDEFGUYTUVPHIJKMLNOVVLVVMVVNVVOAUVOU
        VQVUAVUGUUPZPQRWDVTYOZVVAVUEYPYRZUUMZVURUXLUXMUXNUYMVVCVVEVVGUYPWLVURUW
        FVUTVVAUVEUOZVVBVFVURUXLVVKUXMUXNUWFVXCVFVGVVCVVPVVEVVGUWDUWEVUSGIUUNUU
        OVURVUTVVAVWHVXAUUQUURZUWFVVBYPYRVXBVUHVUIYAUHZUXJVUGAVXEVUBVUCVUEUUSUU
        TZVTVXDVURVUTVVAVUCVUEVWHVXAVVSVWMVWGVWTUVAUVFWAVUHUXOBHVSVUNVUQWOVUHUX
        OBHVVHWAVULVUPBUFHUWFUWGUQUYJUWMUWFVUIVFXBXIVKYSVUHUMVUIVFVGZVUOVUHVUCV
        UEVVRVWLVUHVUCUVKUHZUMVUCVFVGZVUHUYTUVNUVKCCDAVUBUVLVUGUVMYEZVVOVWFYTVX
        HVUCUQUHVXIVUCVIVJVKVUHVUEUVKUHZUMVUEVFVGZVUHUYTUVPUVKCCDVXJVVOVWSYTVXK
        VUEUQUHVXLVUEVIVJVKUVBVULVXGUFUMXAUWMUMVUIVFXBXCUVCVULUFUWHUWIXDUVDVUHU
        XHVUIUQUHVUKVUMWOAVUBUXHVUGAUVOUVQUXHVUAUYCYCYDVUHVUIVXFUVGUFUWJVUIWSXS
        YSUVHUVI $.
    $}

    $( The product metric is an extended metric.  Eliminate disjoint variable
       conditions from ~ prdsxmetlem .  (Contributed by Mario Carneiro,
       26-Sep-2015.) $)
    prdsxmet $p |- ( ph -> D e. ( *Met ` B ) ) $=
      ( vy cv csb cds cfv cbs cxp cres cvv cmpt cprds co nfcsb1v csbeq1a cbvmpt
      nfcv oveq2i eqtri eqid wcel wral wa elexd ralrimiva nfel1 weq eleq1d rspc
      mpan9 cxmet nffv nfres fveq2d syl5eq sqxpeqd reseq12d eleq12d prdsxmetlem
      nfxp nfel ) AUCCDBUCUDZEUEZFWDUFUGZWDUHUGZWFUIZUJZHWFJKLUKLFBHEULZUMUNFUC
      HWDULZUMUNNWIWJFUMBUCHEWDUCEURBWCEUOZBWCEUPZUQUSUTOWFVAWHVARSTAEUKVBZBHVC
      WCHVBZWDUKVBZAWMBHABUDHVBVDEMUAVEVFWMWOBWCHBWDUKWKVGBUCVHZEWDUKWLVIVJVKAG
      IVLUGZVBZBHVCWNWHWFVLUGZVBZAWRBHUBVFWRWTBWCHBWHWSBWEWGBWDUFBUFURWKVMBWFWF
      BWDUHBUHURWKVMZXAWAVNBWFVLBVLURXAVMWBWPGWHWQWSWPGEUFUGZIIUIZUJWHQWPXBWEXC
      WGWPEWDUFWLVOWPIWFWPIEUHUGWFPWPEWDUHWLVOVPZVQVRVPWPIWFVLXDVOVSVJVKVT $.
  $}

  ${
    $d f g B $.  $d f g D $.  $d x I $.  $d f g x ph $.
    prdsmet.y $e |- Y = ( S Xs_ ( x e. I |-> R ) ) $.
    prdsmet.b $e |- B = ( Base ` Y ) $.
    prdsmet.v $e |- V = ( Base ` R ) $.
    prdsmet.e $e |- E = ( ( dist ` R ) |` ( V X. V ) ) $.
    prdsmet.d $e |- D = ( dist ` Y ) $.
    prdsmet.s $e |- ( ph -> S e. W ) $.
    prdsmet.i $e |- ( ph -> I e. Fin ) $.
    prdsmet.r $e |- ( ( ph /\ x e. I ) -> R e. Z ) $.
    prdsmet.m $e |- ( ( ph /\ x e. I ) -> E e. ( Met ` V ) ) $.
    $( The product metric is a metric when the index set is finite.
       (Contributed by Mario Carneiro, 20-Aug-2015.) $)
    prdsmet $p |- ( ph -> D e. ( Met ` B ) ) $=
      ( vf vg cxmet cfv wcel cxp cr wf cmet cfn cv wa metxmet syl prdsxmet wral
      wfn co cc0 cpnf cicc prdsdsf ffnd cmpt crn csn cun cxr clt csup ralrimiva
      adantr simprl simprr prdsdsval3 prdsbascl r19.26 wi metcl 3expib ralimdva
      syl5bir mp2and eqid fmpt sylib frnd snssd unssd wor c0 wne wss xrltso a1i
      0red mptfi rnfi 3syl snfi unfi sylancl ssun2 c0ex snss ne0i ressxr sstrdi
      mpbir fisupcl syl13anc sseldd eqeltrd ralrimivva ffnov sylanbrc ismet2
      mp1i ) ADCUDUEUFCCUGZUHDUIZDCUJUEUFABCDEFGHIJUKKLMNOPQRSTABULZHUFUMZGIUJU
      EUFZGIUDUEUFUAGIUNUOZUPADXTURUBULZUCULZDUSZUHUFZUCCUQUBCUQYAAXTUTVAVBUSDA
      BCDEFGHIJUKKLMNOPQRSTYEVCVDAYIUBUCCCAYFCUFZYGCUFZUMZUMZYHBHYBYFUEZYBYGUEZ
      GUSZVEZVFZUTVGZVHZVIVJVKZUHYMBCDEFGYFYGHIJUKLKMNAFJUFYLRVMZAHUKUFZYLSVMZA
      ELUFZBHUQYLAUUEBHTVLVMZAYJYKVNZAYJYKVOZOPQVPYMYTUHUUAYMYRYSUHYMHUHYQYMYPU
      HUFZBHUQZHUHYQUIYMYNIUFZBHUQZYOIUFZBHUQZUUJYMBCEFYFHIJUKLKMNUUBUUDUUFOUUG
      VQYMBCEFYGHIJUKLKMNUUBUUDUUFOUUHVQUULUUNUMUUKUUMUMZBHUQZYMUUJUUKUUMBHVRAU
      UPUUJVSYLAUUOUUIBHYCYDUUOUUIVSUAYDUUKUUMUUIYNYOGIVTWAUOWBVMWCWDBHUHYPYQYQ
      WEWFWGWHYMUTUHYMWQWIWJZYMVIVJWKZYTUKUFZYTWLWMZYTVIWNUUAYTUFUURYMWOWPYMYRU
      KUFZYSUKUFUUSYMUUCYQUKUFUVAUUDBHYPWRYQWSWTUTXAYRYSXBXCUTYTUFZUUTYMUVBYSYT
      WNYSYRXDUTYTXEXFXJYTUTXGXSYMYTUHVIUUQXHXIVIYTVJXKXLXMXNXOUBUCCCUHDXPXQDCX
      RXQ $.
  $}

  ${
    $d f g B $.  $d f g D $.  $d f g E $.  $d x I $.  $d f g x ph $.
    ressprdsds.y $e |- ( ph -> Y = ( S Xs_ ( x e. I |-> R ) ) ) $.
    ressprdsds.h $e |- ( ph -> H = ( T Xs_ ( x e. I |-> ( R |`s A ) ) ) ) $.
    ressprdsds.b $e |- B = ( Base ` H ) $.
    ressprdsds.d $e |- D = ( dist ` Y ) $.
    ressprdsds.e $e |- E = ( dist ` H ) $.
    ressprdsds.s $e |- ( ph -> S e. U ) $.
    ressprdsds.t $e |- ( ph -> T e. V ) $.
    ressprdsds.i $e |- ( ph -> I e. W ) $.
    ressprdsds.r $e |- ( ( ph /\ x e. I ) -> R e. X ) $.
    ressprdsds.a $e |- ( ( ph /\ x e. I ) -> A e. Z ) $.
    $( Restriction of a product metric.  (Contributed by Mario Carneiro,
       16-Sep-2015.) $)
    ressprdsds $p |- ( ph -> E = ( D |` ( B X. B ) ) ) $=
      ( vf vg cxp cres wceq cv co wral wcel wa ovres adantl cprds cds cfv cress
      cmpt crn cc0 csn cun cxr clt csup ressds syl oveqd mpteq2dva adantr rneqd
      eqid uneq1d supeq1d cbs ralrimiva wss cixp ressbasss a1i ss2ixp cvv rgenw
      ovex prdsbas3 3sstr4d fveq2d syl5eq sseqtrd simprl sseldd eleqtrd 3eqtr4d
      simprr prdsdsval2 oveqdr eqtr2d ralrimivva wfn mptexd cdm dmmpti prdsdsfn
      wb sqxpeqd fneq12d mpbird dmmptg xpss12 syl2anc fnssres eqfnov2 ) AJEDDUJ
      ZUKZULZUHUMZUIUMZJUNZYBYCXTUNZULZUIDUOUHDUOZAYFUHUIDDAYBDUPZYCDUPZUQZUQZY
      EYBYCEUNZYDYJYEYLULAYBYCDDEURUSYKYBYCGBLFVDZUTUNZVAVBZUNZYBYCHBLFCVCUNZVD
      ZUTUNZVAVBZUNZYLYDYKBLBUMZYBVBZUUBYCVBZFVAVBZUNZVDZVEZVFVGZVHZVIVJVKBLUUC
      UUDYQVAVBZUNZVDZVEZUUIVHZVIVJVKYPUUAYKVIUUJUUOVJYKUUHUUNUUIYKUUGUUMAUUGUU
      MULYJABLUUFUULAUUBLUPUQZUUEUUKUUCUUDUUPCQUPUUEUUKULUGCUUEFYQQYQVRZUUEVRZV
      LVMVNVOVPVQVSVTYKBYNWAVBZYOFGUUEYBYCLINOYNYNVRZUUSVRZAGIUPYJUCVPALNUPYJUE
      VPZAFOUPZBLUOZYJAUVCBLUFWBZVPYKDUUSYBYKDPWAVBZUUSADUVFWCZYJAYSWAVBZUUSDUV
      FABLYQWAVBZWDZBLFWAVBZWDZUVHUUSAUVIUVKWCZBLUOUVJUVLWCAUVMBLUVMUUPCUVKYQFU
      UQUVKVRZWEWFWBBLUVIUVKWGVMABUVHYQHLUVIMNWHYSYSVRZUVHVRZUDUEYQWHUPZBLUOZAU
      VQBLFCVCWJZWIZWFUVIVRWKABUUSFGLUVKINOYNUUTUVAUCUEUVEUVNWKWLADKWAVBUVHTAKY
      SWASWMWNZAPYNWARWMZWLZVPAUVFUUSULYJUWBVPWOZAYHYIWPZWQYKDUUSYCUWDAYHYIWTZW
      QUURYOVRZXAYKBUVHYTYQHUUKYBYCLMNWHYSUVOUVPAHMUPYJUDVPUVBUVRYKUVTWFYKYBDUV
      HUWEADUVHULYJUWAVPZWRYKYCDUVHUWFUWHWRUUKVRYTVRZXAWSAYJUHUIEYOAEPVAVBYOUAA
      PYNVARWMWNZXBAYJUHUIJYTAJKVAVBYTUBAKYSVASWMWNZXBWSXCXDAJXSXEZXTXSXEZYAYGX
      JAUWLYTUVHUVHUJZXEAUVHYTYSYRHLMWHUVOUDABLYQNUEXFUVPYRXGLULABLYQYRUVSYRVRX
      HWFUWIXIAXSUWNJYTUWKADUVHUWAXKXLXMAEUVFUVFUJZXEZXSUWOWCZUWMAUWPYOUUSUUSUJ
      ZXEAUUSYOYNYMGLIWHUUTUCABLFNUEXFUVAAUVDYMXGLULUVEBLFOXNVMUWGXIAUWOUWREYOU
      WJAUVFUUSUWBXKXLXMAUVGUVGUWQUWCUWCDUVFDUVFXOXPUWOXSEXQXPUHUIDDJXTXRXPXM
      $.
  $}

  ${
    $d x A $.  $d x B $.  $d x I $.  $d x ph $.  $d x R $.
    resspwsds.y $e |- ( ph -> Y = ( R ^s I ) ) $.
    resspwsds.h $e |- ( ph -> H = ( ( R |`s A ) ^s I ) ) $.
    resspwsds.b $e |- B = ( Base ` H ) $.
    resspwsds.d $e |- D = ( dist ` Y ) $.
    resspwsds.e $e |- E = ( dist ` H ) $.
    resspwsds.i $e |- ( ph -> I e. V ) $.
    resspwsds.r $e |- ( ph -> R e. W ) $.
    resspwsds.a $e |- ( ph -> A e. X ) $.
    $( Restriction of a power metric.  (Contributed by Mario Carneiro,
       16-Sep-2015.) $)
    resspwsds $p |- ( ph -> E = ( D |` ( B X. B ) ) ) $=
      ( vx csca cfv cress co cvv cpws cmpt cprds csn cxp wcel wceq eqid syl2anc
      pwsval fconstmpt oveq2i eqtrdi eqtrd ovex sylancr fvexd adantr ressprdsds
      cv ) AUABCDEEUBUCZEBUDUEZUBUCZUFFGHUFIJLKALEHUGUEZVGUAHEUHZUIUEZMAVJVGHEU
      JUKZUIUEZVLAEJULZHIULZVJVNUMSREVGHJIVJVJUNVGUNUPUOVMVKVGUIUAHEUQURUSUTAGV
      HHUGUEZVIUAHVHUHZUIUEZNAVQVIHVHUJUKZUIUEZVSAVHUFULVPVQWAUMEBUDVARVHVIHUFI
      VQVQUNVIUNUPVBVTVRVIUIUAHVHUQURUSUTOPQAEUBVCAVHUBVCRAVOUAVFHULZSVDABKULWB
      TVDVE $.
  $}

  ${
    $d g h i n F $.  $d f g h i j m n p x ph $.  $d p T $.  $d f g h i j n V $.
    $d f g i j m n p x E $.  $d g h i n R $.  $d g j m x S $.  $d j m x W $.
    $d g h i j m n p x X $.  $d g h i j n p Y $.
    imasdsf1o.u $e |- ( ph -> U = ( F "s R ) ) $.
    imasdsf1o.v $e |- ( ph -> V = ( Base ` R ) ) $.
    imasdsf1o.f $e |- ( ph -> F : V -1-1-onto-> B ) $.
    imasdsf1o.r $e |- ( ph -> R e. Z ) $.
    imasdsf1o.e $e |- E = ( ( dist ` R ) |` ( V X. V ) ) $.
    imasdsf1o.d $e |- D = ( dist ` U ) $.
    imasdsf1o.m $e |- ( ph -> E e. ( *Met ` V ) ) $.
    imasdsf1o.x $e |- ( ph -> X e. V ) $.
    imasdsf1o.y $e |- ( ph -> Y e. V ) $.
    ${
      imasdsf1o.w $e |- W = ( RR*s |`s ( RR* \ { -oo } ) ) $.
      imasdsf1o.s $e |- S = { h e. ( ( V X. V ) ^m ( 1 ... n ) ) |
      ( ( F ` ( 1st ` ( h ` 1 ) ) ) = ( F ` X ) /\
        ( F ` ( 2nd ` ( h ` n ) ) ) = ( F ` Y ) /\ A. i e. ( 1 ... ( n - 1 ) )
        ( F ` ( 2nd ` ( h ` i ) ) ) = ( F ` ( 1st ` ( h ` ( i + 1 ) ) ) ) ) }
          $.
      imasdsf1o.t $e |- T = U_ n e. NN
        ran ( g e. S |-> ( RR*s gsum ( E o. g ) ) ) $.
      $( Lemma for ~ imasdsf1o .  (Contributed by Mario Carneiro, 21-Aug-2015.)
         (Proof shortened by AV, 6-Oct-2020.) $)
      imasdsf1olem $p |- ( ph -> ( ( F ` X ) D ( F ` Y ) ) = ( X E Y ) ) $=
        ( vx vf vj vp vm cfv co cxr clt cinf cn cxrs cv ccom cgsu cmpt wf1o syl
        eqid wf f1of ffvelrnd wss wcel wral wa cmnf csn c1 cfz cxad cvv cfn cc0
        xrsbas xrsadd a1i cxp w3a wne cle wbr syl2anc eldifsn sylanbrc ad2antrr
        xmetcl cmap c1st wceq c2nd caddc cmin mp1i adantl ax-mp syl3anc 1nn cop
        wrex wb mpbird fveq2d df-ov eqtrdi oveq2d fveq1 fveqeq2d syl12anc oveq2
        1ex c0 2fveq3 syl5bb cres xp2nd f1fveq mpbid wi reseq2d breq12d imbi12d
        weq eleq1 imbi2d cuz resmptd eqtrd breqtrrd adantr crn f1ofo imasdsval2
        ciun cds wfo infeq1i eqtr4di cdif xrsex fzfid difss wfn cxmet xmetf ffn
        3syl xmetge0 ge0nemnf 3expb sylan ralrimivva ffnov ssrab3 sselda elmapi
        fco cr 0re rexr renemnf xaddid2 xaddid1 jca gsumress cbs ressbas2 xrs10
        ccmn xrs1cmn c0ex fdmfifsupp gsumcl eqeltrd fmpttd frnd ralrimiva iunss
        eldifad sylibr eqsstrid infxrcl f1osn opelxpd snssd fss sylancr elfvexd
        opex xpexd snex elmapg op1stg op2ndg snfi fconst6g fcoconst xpsn coeq2i
        sylancl eqcomi sneqi xpeq2i 3eqtr3g feq1d fconstmpt cmnmnd eqidd gsumsn
        cmnd 3eqtrrd fvsn anbi12d coeq2 eqeq2d rspcev ovex elrnmpt crab eqeq12d
        rexeqi ralbidv 3anbi123d rexrab bitri cz 1z fzsn df-3an ral0 oveq1 fz10
        1m1e0 raleqdv mpbiri biantrud anbi2d bitr3d rexeqbidv eleqtrrdi infxrlb
        anbi1d eliun eleq2i elv elrab2 simprbi simp2d wf1 f1of1 simplr elfz1end
        sylib nnuz eleqtrdi eluzfz1 xrleidd fcompt reseq1d 1st2nd2 simp1d xp1st
        opeq1d eqtr2d syl5eq 3eqtr4d a1d simprl simprr peano2fzr expr cun fzsuc
        imim1d elfzuz3 ad2antll fzss2 eqsstrrd unssad fssresd xleadd1a syl13anc
        ex xmettri fvoveq1 simp3d nnz ad2antrl eluzp1m1 elfzuzb rspcdva xaddcld
        eqtr4d xrletr mpand syld cplusg xrex difexi ressplusg fzelp1 sylan2 cin
        wn fzp1disj disjsn gsumunsn reseq12d oveq1d sylibrd animpimp2impd nnind
        breq2d mpcom mpd eqbrtrrd fnresdm syl5ibrcom rexlimdva syl5bi infxrgelb
        breq2 ralrimiv xrletrid ) APMUPZQMUPZCUQZFURUSUTZPQLUQZAVYQKVAHEVBLHVCZ
        VDZVEUQZVFZUUAZUUDZURUSUTVYRABCDELGHIJKDUUEUPZMNVYOVYPRSTANBMVGZNBMUUFU
        ANBMUUBVHUBWUFVIUDANBPMAWUGNBMVJUANBMVKVHZUFVLANBQMWUHUGVLUIUCUUCURFWUE
        USUJUUGUUHAVYRVYSAFURVMZVYRURVNAFWUEURUJAWUDURVMZKVAVOWUEURVMAWUJKVAAKV
        CZVAVNZVPZEURWUCWUMHEWUBURWUMVYTEVNZVPZWUBURVQVRZWUOWUBOWUAVEUQZURWUPUU
        IZWUOUKVSWUKVTUQZURWAWURWUAVBOWBWCWDWEWFUHVBWBVNZWUOUUJWGWUOVSWUKUUKZWU
        RURVMZWUOURWUPUULZWGWUONNWHZWURLVJZWUSWVDVYTVJZWUSWURWUAVJZAWVEWULWUNAL
        WVDUUMZULVCZVYTLUQZWURVNZHNVOULNVOWVEALNUUNUPVNZWVDURLVJZWVHUELNUUOZWVD
        URLUUPUUQZAWVKULHNNAWVLWVINVNZVYTNVNZVPWVKUEWVLWVPWVQWVKWVLWVPWVQWIZWVJ
        URVNZWVJVQWJZWVKWVIVYTLNWQZWVRWVSWDWVJWKWLWVTWWAWVIVYTLNUURWVJUUSWMWVJU
        RVQWNWOUUTUVAUVBULHNNWURLUVCWOWPZWUOVYTWVDWUSWRUQZVNZWVFWUMEWWCVYTEWWCV
        MWUMVSIVCZUPZWSUPZMUPVYOWTZWUKWWEUPZXAUPZMUPVYPWTZJVCZWWEUPZXAUPZMUPZWW
        LVSXBUQZWWEUPZWSUPZMUPZWTZJVSWUKVSXCUQZVTUQZVOZWIZIWWCEUIUVDWGUVEVYTWVD
        WUSUVFVHZWUSWVDWURLVYTUVGWMZWDUVHVNZWDWURVNZWUOUVIWXGWDURVNWDVQWJWXHWDU
        VJWDUVKWDURVQWNWOZXDUKVCZURVNZWDWXJWAUQWXJWTZWXJWDWAUQWXJWTZVPZWUOWXKWX
        LWXMWXJUVLWXJUVMUVNZXEUVOZWUOWUSWURWUAOWCWDWVBWUROUVPUPWTWVCWURUROVBUHW
        EUVQXFZOUHUVRZOUVSVNZWUOOUHUVTZWGWVAWXFWUOWUSWURWUAWBWDWXFWVAWDWBVNZWUO
        UWAWGUWBUWCUWDUWIUWEUWFUWGKVAWUDURUWHUWJUWKZFUWLVHAWVLPNVNZQNVNZVYSURVN
        ZUEUFUGPQLNWQXGZAWUIVYSFVNVYRVYSWKWLWYBAVYSWUEFAVYSWUDVNZKVAXJZVYSWUEVN
        AVSVAVNZVSVYTUPZWSUPZMUPVYOWTZWYJXAUPZMUPVYPWTZVPZVYSWUBWTZVPZHWVDVSVRZ
        WRUQZXJZWYHXHAVSPQXIZXIVRZWYSVNZXUAWSUPZMUPVYOWTZXUAXAUPZMUPVYPWTZVPZVY
        SVBLXUBVDZVEUQZWTZWYTAXUCWYRWVDXUBVJZAWYRXUAVRZXUBVJZXUMWVDVMXULWYRXUMX
        UBVGXUNVSXUAYAPQUWSZUWMWYRXUMXUBVKXFAXUAWVDAPQNNUFUGUWNZUWOWYRXUMWVDXUB
        UWPUWQAWVDWBVNWYRWBVNXUCXULXKANNWBWBALUUNNUEUWRZXUQUWTVSUXAWVDWYRXUBWBW
        BUXBUXJXLAXUEXUGAXUDPMAWYCWYDXUDPWTUFUGPQNNUXCWMXMAXUFQMAWYCWYDXUFQWTUF
        UGPQNNUXDWMXMUVNAXUJOXUIVEUQOUMWYRVYSVFZVEUQZVYSAUKWYRURWAWURXUIVBOWBWC
        WDWEWFUHWUTAUUJWGWYRWCVNAVSUXEWGWVBAWVCWGAWYRWURXUIVJWYRWURWYRVYSVRZWHZ
        VJZAVYSWURVNZXVBAWYEVYSVQWJZXVCWYFAWYEWDVYSWKWLZXVDWYFAWVLWYCWYDXVEUEUF
        UGPQLNUURXGVYSUUSWMVYSURVQWNWOZWYRVYSWURUXFVHAWYRWURXUIXVAALWYRXUMWHZVD
        ZWYRXUALUPZVRZWHZXUIXVAAWVHXUAWVDVNXVHXVKWTWVOXUPLWYRWVDXUAUXGWMXVGXUBL
        VSXUAYAXUOUXHUXIXVJXUTWYRXVIVYSVYSXVIPQLXNUXKUXLUXMUXNZUXOXLWXGWXHAUVIW
        XIXDWXKWXNAWXOXEUVOAXUIXUROVEAXUIXVAXURXVLUMWYRVYSUXPXOXPAOUXTVNZWYIXVC
        XUSVYSWTWXSXVMAWXTOUXQXDZWYIAXHWGXVFVYSWURVYSUMOVSVAWXQUMVCZVSWTVYSUXRU
        XSXGUYAWYQXUHXUKVPHXUBWYSVYTXUBWTZWYOXUHWYPXUKXVPWYLXUEWYNXUGXVPWYKXUDV
        YOMXVPWYJXUAWSXVPWYJVSXUBUPXUAVSVYTXUBXQVSXUAYAXUOUYBXOZXMXRXVPWYMXUFVY
        PMXVPWYJXUAXAXVQXMXRUYCXVPWUBXUJVYSXVPWUAXUIVBVEVYTXUBLUYDXPUYEUYCUYFXS
        WYGWYTKVSVAWYGWYPHEXJZWUKVSWTZWYTVYSWBVNWYGXVRXKPQLUYGHEWUBVYSWUCWBWUCV
        IZUYHXFXVRWYLWUKVYTUPZXAUPZMUPVYPWTZWWLVYTUPZXAUPZMUPZWWPVYTUPZWSUPZMUP
        ZWTZJWXBVOZWIZWYPVPZHWWCXJZXVSWYTXVRWYPHWXDIWWCUYIZXJXWNWYPHEXWOUIUYKWX
        DXWLWYPHIWWCIHYMZWWHWYLWWKXWCWXCXWKXWPWWGWYKVYOMXWPWWFWYJWSVSWWEVYTXQXM
        XRXWPWWJXWBVYPMXWPWWIXWAXAWUKWWEVYTXQXMXRXWPWWTXWJJWXBXWPWWOXWFWWSXWIXW
        PWWNXWEMXWPWWMXWDXAWWLWWEVYTXQXMXMXWPWWRXWHMXWPWWQXWGWSWWPWWEVYTXQXMXMU
        YJUYLUYMZUYNUYOXVSXWMWYQHWWCWYSXVSWUSWYRWVDWRXVSWUSVSVSVTUQZWYRWUKVSVSV
        TXTVSUYPVNXWRWYRWTUYQVSUYRXFZXOXPXVSXWLWYOWYPXWLWYLXWCVPZXWKVPZXVSWYOWY
        LXWCXWKUYSXVSXWTXXAWYOXVSXWKXWTXVSXWKXWJJYBVOXWJJUYTXVSXWJJWXBYBXVSWXBV
        SWDVTUQYBXVSWXAWDVSVTXVSWXAVSVSXCUQWDWUKVSVSXCVUAVUCXOXPVUBXOVUDVUEVUFX
        VSXWCWYNWYLXVSXWBWYMVYPMWUKVSXAVYTYCXRVUGVUHYDVULVUIYDYDUYFUWQKVYSVAWUD
        VUMUWJUJVUJFVYSVUKWMAVYSVYRWKWLZVYSUNVCZWKWLZUNFVOZAXXDUNFXXCFVNZXXCWUD
        VNZKVAXJZAXXDXXFXXCWUEVNXXHFWUEXXCUJVUNKXXCVAWUDVUMUYOAXXGXXDKVAXXGXXCW
        UBWTZHEXJZWUMXXDXXGXXJXKUNHEWUBXXCWUCWBXVTUYHVUOWUMXXIXXDHEWUOXXDXXIVYS
        WUBWKWLWUOVYSOWUAWUSYEZVEUQZWUBWKWUOPXWBLUQZVYSXXLWKWUOXWBQPLWUOXWCXWBQ
        WTZWUOWYLXWCXWKWUNXWLWUMWUNWWDXWLWXDXWLIVYTWWCEXWQUIVUPVUQXEZVURWUONBMV
        USZXWBNVNZWYDXWCXXNXKWUOWUGXXPAWUGWULWUNUAWPNBMVUTVHZWUOXWAWVDVNXXQWUOW
        USWVDWUKVYTWXEWUOWULWUKWUSVNZAWULWUNVVAZWUKVVBVVCZVLXWANNYFVHAWYDWULWUN
        UGWPNBXWBQMYGXSYHXPWUOXXSXXMXXLWKWLZXYAWULWUOXXSXYBYIZXXTWUOUOVCZWUSVNZ
        PXYDVYTUPXAUPZLUQZOWUAVSXYDVTUQZYEZVEUQZWKWLZYIZYIWUOVSWUSVNZPWYMLUQZOW
        UAWYRYEZVEUQZWKWLZYIZYIWUOWXJWUSVNZPWXJVYTUPZXAUPZLUQZOWUAVSWXJVTUQZYEZ
        VEUQZWKWLZYIZYIWUOWXJVSXBUQZWUSVNZPYUHVYTUPZXAUPZLUQZOWUAVSYUHVTUQZYEZV
        EUQZWKWLZYIZYIWUOXYCYIUOUKWUKXYDVSWTZXYLXYRWUOYURXYEXYMXYKXYQXYDVSWUSYN
        YURXYGXYNXYJXYPWKYURXYFWYMPLXYDVSXAVYTYCXPYURXYIXYOOVEYURXYHWYRWUAYURXY
        HXWRWYRXYDVSVSVTXTXWSXOYJXPYKYLYOUOUKYMZXYLYUGWUOYUSXYEXYSXYKYUFXYDWXJW
        USYNYUSXYGYUBXYJYUEWKYUSXYFYUAPLXYDWXJXAVYTYCXPYUSXYIYUDOVEYUSXYHYUCWUA
        XYDWXJVSVTXTYJXPYKYLYOXYDYUHWTZXYLYUQWUOYUTXYEYUIXYKYUPXYDYUHWUSYNYUTXY
        GYULXYJYUOWKYUTXYFYUKPLXYDYUHXAVYTYCXPYUTXYIYUNOVEYUTXYHYUMWUAXYDYUHVSV
        TXTYJXPYKYLYOUOKYMZXYLXYCWUOYVAXYEXXSXYKXYBXYDWUKWUSYNYVAXYGXXMXYJXXLWK
        YVAXYFXWBPLXYDWUKXAVYTYCXPYVAXYIXXKOVEYVAXYHWUSWUAXYDWUKVSVTXTYJXPYKYLY
        OWUOXYQXYMWUOXYNXYNXYPWKWUOXYNWUOWVLWYCWYMNVNZXYNURVNAWVLWULWUNUEWPZAWY
        CWULWUNUFWPZWUOWYJWVDVNZYVBWUOWUSWVDVSVYTWXEWUOWUKVSYPUPZVNXYMWUOWUKVAY
        VFXXTVVDVVEVSWUKVVFVHZVLZWYJNNYFVHPWYMLNWQXGVVGWUOOUMWYRXVOVYTUPZLUPZVF
        ZVEUQZWYJLUPZXYPXYNWUOXVMWYIYVMWURVNYVLYVMWTAXVMWULWUNXVNWPWYIWUOXHWGWU
        OWVDWURWYJLWWBYVHVLYVJWURYVMUMOVSVAWXQXVOVSLVYTYCUXSXGWUOXYOYVKOVEWUOXY
        OUMWUSYVJVFZWYRYEYVKWUOWUAYVNWYRWUOWVMWVFWUAYVNWTZWUOWVLWVMYVCWVNVHWXEU
        MLVYTWUSWVDURVVHWMZVVIWUOUMWUSWYRYVJWUOVSWUSYVGUWOYQYRXPWUOXYNPWYMXIZLU
        PYVMPWYMLXNWUOYVQWYJLWUOWYJWYKWYMXIZYVQWUOYVEWYJYVRWTYVHWYJNNVVJVHWUOWY
        KPWYMWUOWYLWYKPWTZWUOWYLXWCXWKXXOVVKWUOXXPWYKNVNZWYCWYLYVSXKXXRWUOYVEYV
        TYVHWYJNNVVLVHYVDNBWYKPMYGXSYHVVMVVNXMVVOVVPYSVVQWXJVAVNZWUOYUGYUIYUPYU
        FWUOYWAVPYUIXYSYUFWUOYWAYUIXYSWUOYWAYUIVPZVPZWXJYVFVNZYUIXYSYWCWXJVAYVF
        WUOYWAYUIVVRVVDVVEZWUOYWAYUIVVSZWXJVSWUKVVTWMZVWAVWDYWCYUFYULYUEYUJLUPZ
        WAUQZWKWLZYUPYWCYUFYUBYWHWAUQZYWIWKWLZYWJYWCYUBURVNZYUEURVNZYWHURVNZYUF
        YWLYIYWCWVLWYCYUANVNZYWMWUOWVLYWBYVCYTZWUOWYCYWBYVDYTZYWCXYTWVDVNYWPYWC
        WUSWVDWXJVYTWUOWVFYWBWXEYTZYWGVLXYTNNYFVHZPYUALNWQXGZYWCYUEURWUPYWCYUCW
        URYUDOWCWDWXQWXRWXSYWCWXTWGZYWCVSWXJUUKZYWCWUSWURYUCWUAWUOWVGYWBWXFYTYW
        CYUCYUHVRZWUSYWCYUCYXDVWBZYUMWUSYWCYWDYUMYXEWTYWEVSWXJVWCVHZYWCWUKYUHYP
        UPVNZYUMWUSVMYUIYXGWUOYWAYUHVSWUKVWEVWFZYUHVSWUKVWGVHZVWHZVWIZVWJZYWCYU
        CWURYUDWBWDYXLYXCWYAYWCUWAWGUWBUWCUWIZYWCWVDURYUJLYWCWVLWVMYWQWVNVHYWCW
        USWVDYUHVYTYWSYWFVLZVLZYWMYWNYWOWIYUFYWLYUBYUEYWHVWKVWMXGYWCYULYWKWKWLZ
        YWLYWJYWCYULYUBYUAYUKLUQZWAUQZYWKWKYWCWVLWYCYUKNVNZYWPYULYXRWKWLYWQYWRY
        WCYUJWVDVNZYXSYXNYUJNNYFVHZYWTPYUKYUALNVWNVWLYWCYWHYXQYUBWAYWCYWHYUAYUK
        XIZLUPYXQYWCYUJYYBLYWCYUJYUJWSUPZYUKXIZYYBYWCYXTYUJYYDWTYXNYUJNNVVJVHYW
        CYUAYYCYUKYWCYUAMUPZYYCMUPZWTZYUAYYCWTZYWCXWJYYGJWXBWXJJUKYMZXWFYYEXWIY
        YFYYIXWEYUAMWWLWXJXAVYTYCXMYYIXWHYYCMYYIXWGYUJWSWWLWXJVSVYTXBVWOXMXMUYJ
        WUOXWKYWBWUOWYLXWCXWKXXOVWPYTYWCYWDWXAWXJYPUPVNZWXJWXBVNYWEYWCWXJUYPVNZ
        YXGYYJYWAYYKWUOYUIWXJVWQVWRYXHWXJWUKVWSWMWXJVSWXAVWTWOVXAYWCXXPYWPYYCNV
        NZYYGYYHXKWUOXXPYWBXXRYTYWTYWCYXTYYLYXNYUJNNVVLVHNBYUAYYCMYGXSYHVVMVXCX
        MYUAYUKLXNUUHXPYSYWCYULURVNZYWKURVNYWIURVNYXPYWLVPYWJYIYWCWVLWYCYXSYYMY
        WQYWRYYAPYUKLNWQXGYWCYUBYWHYXAYXOVXBYWCYUEYWHYXMYXOVXBYULYWKYWIVXDXGVXE
        VXFYWCYUOYWIYULWKYWCOUMYXEYVJVFZVEUQOUMYUCYVJVFZVEUQZYWHWAUQYUOYWIYWCYU
        CWURWAUMOYUHWUSYVJYWHWXQWURWBVNWAOVXGUPWTURWUPVXHVXIWURWAVBOWBUHWFVXJXF
        YXBYXCYWCXVOYUCVNZVPWVDWURYVILWUOWVEYWBYYQWWBWPYYQYWCXVOYUMVNZYVIWVDVNX
        VOVSWXJVXKYWCYYRVPWUSWVDXVOVYTWUOWVFYWBYYRWXEWPYWCYUMWUSXVOYXIUVEVLVXLV
        LYWFYWCYUCYXDVXMYBWTZYUHYUCVNVXNYYSYWCVSWXJVXOWGYUCYUHVXPVVCYWCWVDWURYU
        JLWUOWVEYWBWWBYTYXNVLXVOYUHLVYTYCVXQYWCYUNYYNOVEYWCYUNYVNYXEYEYYNYWCWUA
        YVNYUMYXEWUOYVOYWBYVPYTZYXFVXRYWCUMWUSYXEYVJYXJYQYRXPYWCYUEYYPYWHWAYWCY
        UDYYOOVEYWCYUDYVNYUCYEYYOYWCWUAYVNYUCYYTVVIYWCUMWUSYUCYVJYXKYQYRXPVXSVV
        PVYCVXTVYAVYBVYDVYEVYFWUOWUBWUQXXLWXPWUOXXKWUAOVEWUOWVGWUAWUSUUMXXKWUAW
        TWXFWUSWURWUAUUPWUSWUAVYGUUQXPVXCYSXXCWUBVYSWKVYLVYHVYIVYJVYIVYJVYMAWUI
        WYEXXBXXEXKWYBWYFUNFVYSVYKWMXLVYNYR $.
    $}

    $( The distance function is transferred across an image structure under a
       bijection.  (Contributed by Mario Carneiro, 20-Aug-2015.) $)
    imasdsf1o $p |- ( ph -> ( ( F ` X ) D ( F ` Y ) ) = ( X E Y ) ) $=
      ( vh vn vi vg c1 cfv c1st wceq c2nd caddc cmin cfz wral w3a cxp cmap crab
      cv co cn cxrs ccom cgsu cmpt crn ciun cxr cmnf csn cdif eqid imasdsf1olem
      cress ) ABCDUEUAURZUFUGUFGUFIGUFUHUBURZVNUFUIUFGUFJGUFUHUCURZVNUFUIUFGUFV
      PUEUJUSVNUFUGUFGUFUHUCUEVOUEUKUSULUSUMUNUAHHUOUEVOULUSUPUSUQZUBUTUDVQVAFU
      DURVBVCUSVDVEVFZEUDUAUCUBFGHVAVGVHVIVJVMUSZIJKLMNOPQRSTVSVKVQVKVRVKVL $.
  $}

  ${
    $d a b x y z B $.  $d a b c x y z D $.  $d a b c x y z F $.  $d a b c ph $.
    $d a b c x y z V $.
    imasf1oxmet.u $e |- ( ph -> U = ( F "s R ) ) $.
    imasf1oxmet.v $e |- ( ph -> V = ( Base ` R ) ) $.
    imasf1oxmet.f $e |- ( ph -> F : V -1-1-onto-> B ) $.
    imasf1oxmet.r $e |- ( ph -> R e. Z ) $.
    imasf1oxmet.e $e |- E = ( ( dist ` R ) |` ( V X. V ) ) $.
    imasf1oxmet.d $e |- D = ( dist ` U ) $.
    ${
      imasf1oxmet.m $e |- ( ph -> E e. ( *Met ` V ) ) $.
      $( The image of an extended metric is an extended metric.  (Contributed
         by Mario Carneiro, 20-Aug-2015.) $)
      imasf1oxmet $p |- ( ph -> D e. ( *Met ` B ) ) $=
        ( vy co wceq wral vx vz va vb vc cxmet cfv wcel cxp cxr wf cc0 cxad cle
        cv wb wbr wa wfn cds wf1o wfo f1ofo syl eqid imasdsfn adantr cbs simprl
        cimas simprr imasdsf1o xmetcl 3expb sylan eqeltrd ralrimivva crn eleq1d
        f1ofn oveq2 ralrn forn raleqdv bitr3d ralbidv mpbid oveq1 ffnov xmeteq0
        sylanbrc syl3anc eqeq1d wf1 f1of1 f1fveq 3bitr4d simpr xmettri2 oveq12d
        3brtr4d ralrimiva breq2d jca eqeq2 bibi12d oveq2d breq12d anbi12d eqeq1
        syl13anc oveq1d cvv elfvexd fornex sylc isxmet mpbir2and ) ACBUFUGUHZBB
        UIZUJCUKZUAUOZQUOZCRZULSZYBYCSZUPZYDUBUOZYBCRZYHYCCRZUMRZUNUQZUBBTZURZQ
        BTZUABTZACXTUSYDUJUHZQBTZUABTZYAABCDEDUTUGZGHIJKAHBGVAZHBGVBZLHBGVCVDZM
        YTVEOVFAUCUOZGUGZYCCRZUJUHZQBTZUCHTZYSAUUEUDUOZGUGZCRZUJUHZUDHTZUCHTUUI
        AUUMUCUDHHAUUDHUHZUUJHUHZURZURZUULUUDUUJFRZUJUURBCDEFGHUUDUUJIAEGDVJRSZ
        UUQJVGZAHDVHUGSZUUQKVGZAUUAUUQLVGZADIUHZUUQMVGZNOAFHUFUGUHZUUQPVGZAUUOU
        UPVIZAUUOUUPVKZVLZAUVGUUQUUSUJUHZPUVGUUOUUPUVLUUDUUJFHVMVNVOVPVQAUUNUUH
        UCHAUUGQGVRZTZUUNUUHAGHUSZUVNUUNUPAUUAUVOLHBGVTVDZUUGUUMQUDHGYCUUKSZUUF
        UULUJYCUUKUUECWAZVSWBVDAUUGQUVMBAUUBUVMBSUUCHBGWCVDZWDWEWFWGAYRUAUVMTZU
        UIYSAUVOUVTUUIUPUVPYRUUHUAUCHGYBUUESZYQUUGQBUWAYDUUFUJYBUUEYCCWHZVSWFWB
        VDAYRUAUVMBUVSWDWEWGUAQBBUJCWIWKAUUFULSZUUEYCSZUPZUUFYHUUECRZYJUMRZUNUQ
        ZUBBTZURZQBTZUCHTZYPAUULULSZUUEUUKSZUPZUULUWFYHUUKCRZUMRZUNUQZUBBTZURZU
        DHTZUCHTUWLAUWTUCUDHHUURUWOUWSUURUUSULSZUUDUUJSZUWMUWNUURUVGUUOUUPUXBUX
        CUPUVHUVIUVJUUDUUJFHWJWLUURUULUUSULUVKWMAHBGWNZUUQUWNUXCUPAUUAUXDLHBGWO
        VDHBUUDUUJGWPVOWQUURUULUEUOZGUGZUUECRZUXFUUKCRZUMRZUNUQZUEHTZUWSUURUXJU
        EHUURUXEHUHZURZUUSUXEUUDFRZUXEUUJFRZUMRZUULUXIUNUXMUVGUXLUUOUUPUUSUXPUN
        UQUURUVGUXLUVHVGZUURUXLWRZUURUUOUXLUVIVGZUURUUPUXLUVJVGZUUDUUJUXEFHWSXK
        UURUULUUSSUXLUVKVGUXMUXGUXNUXHUXOUMUXMBCDEFGHUXEUUDIUURUUTUXLUVAVGZUURU
        VBUXLUVCVGZUURUUAUXLUVDVGZUURUVEUXLUVFVGZNOUXQUXRUXSVLUXMBCDEFGHUXEUUJI
        UYAUYBUYCUYDNOUXQUXRUXTVLWTXAXBAUXKUWSUPUUQAUWRUBUVMTZUXKUWSAUVOUYEUXKU
        PUVPUWRUXJUBUEHGYHUXFSZUWQUXIUULUNUYFUWFUXGUWPUXHUMYHUXFUUECWHYHUXFUUKC
        WHWTXCWBVDAUWRUBUVMBUVSWDWEVGWGXDVQAUXAUWKUCHAUWJQUVMTZUXAUWKAUVOUYGUXA
        UPUVPUWJUWTQUDHGUVQUWEUWOUWIUWSUVQUWCUWMUWDUWNUVQUUFUULULUVRWMYCUUKUUEX
        EXFUVQUWHUWRUBBUVQUUFUULUWGUWQUNUVRUVQYJUWPUWFUMYCUUKYHCWAXGXHWFXIWBVDA
        UWJQUVMBUVSWDWEWFWGAYOUAUVMTZUWLYPAUVOUYHUWLUPUVPYOUWKUAUCHGUWAYNUWJQBU
        WAYGUWEYMUWIUWAYEUWCYFUWDUWAYDUUFULUWBWMYBUUEYCXJXFUWAYLUWHUBBUWAYDUUFY
        KUWGUNUWBUWAYIUWFYJUMYBUUEYHCWAXLXHWFXIWFWBVDAYOUAUVMBUVSWDWEWGABXMUHZX
        SYAYPURUPAHXMUHUUBUYIAFUFHPXNUUCHBXMGXOXPUAQUBXMCBXQVDXR $.
    $}

    imasf1omet.m $e |- ( ph -> E e. ( Met ` V ) ) $.
    $( The image of a metric is a metric.  (Contributed by Mario Carneiro,
       21-Aug-2015.) $)
    imasf1omet $p |- ( ph -> D e. ( Met ` B ) ) $=
      ( vy cfv wcel cr vx va vb cxmet cxp wf cmet metxmet syl imasf1oxmet cv co
      wfn wral cds wf1o wfo f1ofo eqid imasdsfn wa cimas wceq adantr cbs simprl
      simprr imasdsf1o metcl 3expb sylan eqeltrd ralrimivva crn wb f1ofn eleq1d
      oveq2 ralrn forn raleqdv bitr3d ralbidv mpbid oveq1 ffnov sylanbrc ismet2
      ) ACBUDRSBBUEZTCUFZCBUGRSABCDEFGHIJKLMNOAFHUGRSZFHUDRSZPFHUHUIZUJACWIUMUA
      UKZQUKZCULZTSZQBUNZUABUNZWJABCDEDUORZGHIJKAHBGUPZHBGUQZLHBGURUIZMWTUSOUTA
      UBUKZGRZWOCULZTSZQBUNZUBHUNZWSAXEUCUKZGRZCULZTSZUCHUNZUBHUNXIAXMUBUCHHAXD
      HSZXJHSZVAZVAZXLXDXJFULZTXRBCDEFGHXDXJIAEGDVBULVCXQJVDAHDVERVCXQKVDAXAXQL
      VDADISXQMVDNOAWLXQWMVDAXOXPVFAXOXPVGVHAWKXQXSTSZPWKXOXPXTXDXJFHVIVJVKVLVM
      AXNXHUBHAXGQGVNZUNZXNXHAGHUMZYBXNVOAXAYCLHBGVPUIZXGXMQUCHGWOXKVCXFXLTWOXK
      XECVRVQVSUIAXGQYABAXBYABVCXCHBGVTUIZWAWBWCWDAWRUAYAUNZXIWSAYCYFXIVOYDWRXH
      UAUBHGWNXEVCZWQXGQBYGWPXFTWNXEWOCWEVQWCVSUIAWRUAYABYEWAWBWDUAQBBTCWFWGCBW
      HWG $.
  $}

  ${
    $d k x y A $.  $d x M $.  $d x N $.  $d k x ph $.  $d k x R $.  $d k x S $.
    $d k x y B $.  $d k x y C $.  $d k x y D $.  $d x y X $.  $d x y Y $.
    $d x W $.
    xpsds.t $e |- T = ( R Xs. S ) $.
    xpsds.x $e |- X = ( Base ` R ) $.
    xpsds.y $e |- Y = ( Base ` S ) $.
    xpsds.1 $e |- ( ph -> R e. V ) $.
    xpsds.2 $e |- ( ph -> S e. W ) $.
    xpsds.p $e |- P = ( dist ` T ) $.
    $( Closure of the metric in a binary structure product.  (Contributed by
       Mario Carneiro, 20-Aug-2015.) $)
    xpsdsfn $p |- ( ph -> P Fn ( ( X X. Y ) X. ( X X. Y ) ) ) $=
      ( vx vy cfv cop eqid cxp csca c0 c1o cpr cprds co cds cv cmpo ccnv xpsval
      crn cvv xpsrnbas wf1o wfo xpsff1o2 a1i f1ocnv f1ofo 3syl ovexd imasdsfn )
      AHIUAZBCUBRZUCCSUDDSUEZUFUGZEVHUHRZPQHIUCPUISUDQUISUEUJZUKZVJUMZUNAPQCDEV
      HVJVFFGHIJKLMNVJTZVFTZVHTZULAPQCDEVHVJVFFGHIJKLMNVMVNVOUOAVEVLVJUPZVLVEVK
      UPVLVEVKUQVPAPQHIVJVMURUSVEVLVJUTVLVEVKVAVBAVFVGUFVCVITOVD $.

    $( Closure of the metric in a binary structure product.  (Contributed by
       Mario Carneiro, 20-Aug-2015.) $)
    xpsdsfn2 $p |- ( ph -> P Fn ( ( Base ` T ) X. ( Base ` T ) ) ) $=
      ( cxp wfn cbs cfv xpsdsfn xpsbas sqxpeqd fneq2d mpbid ) ABHIPZUEPZQBERSZU
      GPZQABCDEFGHIJKLMNOTAUFUHBAUEUGACDEFGHIJKLMNUAUBUCUD $.

    xpsds.m $e |- M = ( ( dist ` R ) |` ( X X. X ) ) $.
    xpsds.n $e |- N = ( ( dist ` S ) |` ( Y X. Y ) ) $.
    ${
      xpsds.3 $e |- ( ph -> M e. ( *Met ` X ) ) $.
      xpsds.4 $e |- ( ph -> N e. ( *Met ` Y ) ) $.
      $( Lemma for ~ xpsxmet .  (Contributed by Mario Carneiro,
         21-Aug-2015.) $)
      xpsxmetlem $p |- ( ph ->
        ( dist ` ( ( Scalar ` R ) Xs_ { <. (/) , R >. , <. 1o , S >. } ) ) e.
        ( *Met ` ran ( x e. X , y e. Y
          |-> { <. (/) , x >. , <. 1o , y >. } ) ) ) $=
        ( vk csca cfv c2o cv c0 cop c1o cpr cmpt cprds co cds cbs cxmet crn cxp
        cmpo cres cvv con0 eqid fvexd wcel 2on a1i wa elpri df2o3 eleq2s adantr
        wceq fveq2 fvpr0o syl sylan9eqr fveq2d eqtr4di sqxpeqd reseq12d 3eltr4d
        wo fvpr1o jaodan sylan2 prdsxmet wfn fnpr2o dffn5 sylib oveq2d xpsrnbas
        syl2anc eqtrd ) AEUEUFZUDUGUDUHZUIEUJUKFUJULZUFZUMZUNUOZUPUFZXCUQUFZURU
        FWRWTUNUOZUPUFBCLMUIBUHUJUKCUHUJULVAZUSZURUFAUDXEXDXAWRXAUPUFZXAUQUFZXJ
        UTZVBZUGXJVCVDXCVCXCVEXEVEXJVEXLVEXDVEAEUEVFUGVDVGAVHVIAWSUGVGZVJWSWTVF
        XMAWSUIVOZWSUKVOZWEZXLXJURUFZVGZXPWSUIUKULUGWSUIUKVKVLVMAXNXRXOAXNVJZHL
        URUFZXLXQAHXTVGXNUBVNXSXLEUPUFZLLUTZVBHXSXIYAXKYBXSXAEUPXNAXAUIWTUFZEWS
        UIWTVPAEJVGZYCEVOQEFJVQVRVSZVTXSXJLXSXJEUQUFLXSXAEUQYEVTOWAZWBWCTWAXSXJ
        LURYFVTWDAXOVJZIMURUFZXLXQAIYHVGXOUCVNYGXLFUPUFZMMUTZVBIYGXIYIXKYJYGXAF
        UPXOAXAUKWTUFZFWSUKWTVPAFKVGZYKFVOREFKWFVRVSZVTYGXJMYGXJFUQUFMYGXAFUQYM
        VTPWAZWBWCUAWAYGXJMURYNVTWDWGWHWIAXFXCUPAWTXBWRUNAWTUGWJZWTXBVOAYDYLYOQ
        REFJKWKWPUDUGWTWLWMWNZVTAXHXEURAXHXFUQUFXEABCEFGXFXGWRJKLMNOPQRXGVEWRVE
        XFVEWOAXFXCUQYPVTWQVTWD $.

      $( A product metric of extended metrics is an extended metric.
         (Contributed by Mario Carneiro, 21-Aug-2015.) $)
      xpsxmet $p |- ( ph -> P e. ( *Met ` ( X X. Y ) ) ) $=
        ( vx vy cxp csca cfv c0 cop c1o cpr cprds co cds cmpo crn cres ccnv cvv
        cv eqid xpsval xpsrnbas wf1o xpsff1o2 f1ocnv mp1i ovexd wcel xpsxmetlem
        cxmet wss ssid xmetres2 sylancl imasf1oxmet ) AJKUDZBCUEUFZUGCUHUIDUHUJ
        ZUKULZEVSUMUFZUBUCJKUGUBUSUHUIUCUSUHUJUNZUOZWBUDUPZWAUQZWBURAUBUCCDEVSW
        AVQHIJKLMNOPWAUTZVQUTZVSUTZVAAUBUCCDEVSWAVQHIJKLMNOPWEWFWGVBVPWBWAVCWBV
        PWDVCAUBUCJKWAWEVDVPWBWAVEVFAVQVRUKVGWCUTQAVTWBVJUFZVHWBWBVKWCWHVHAUBUC
        BCDEFGHIJKLMNOPQRSTUAVIWBVLVTWBWBVMVNVO $.

      xpsds.a $e |- ( ph -> A e. X ) $.
      xpsds.b $e |- ( ph -> B e. Y ) $.
      xpsds.c $e |- ( ph -> C e. X ) $.
      xpsds.d $e |- ( ph -> D e. Y ) $.
      $( Value of the metric in a binary structure product.  (Contributed by
         Mario Carneiro, 20-Aug-2015.) $)
      xpsdsval $p |- ( ph -> ( <. A , B >. P <. C , D >. ) =
        sup ( { ( A M C ) , ( B N D ) } , RR* , < ) ) $=
        ( vx vy vk c0 cop c1o cpr cv cmpo ccnv cfv co csca cds cxr clt csup crn
        cprds cxp cres cvv eqid xpsval xpsrnbas wf1o xpsff1o2 f1ocnv mp1i ovexd
        cxmet wcel wss xpsxmetlem ssid xmetres2 sylancl xpsfval syl2anc eqtr3id
        df-ov wceq opelxpd wf f1of ax-mp ffvelrni syl eqeltrrd imasdsf1o ovresd
        eqtrd wi f1ocnvfv sylancr mpd oveq12d c2o cmpt cc0 csn cun cbs con0 2on
        fvexd a1i wfn fnpr2o eleqtrd prdsdsval wo df2o3 rexeqi 0ex 2fveq3 fveq2
        oveq123d eqeq2d fvpr0o fveq2d oveqi syl5eq eqtr4d fvpr1o cle wbr xmetcl
        wrex 0xr syl3anc 1oex rexpr bitri orbi12d syl5bb wb elrnmpt elv 3bitr4g
        vex elpr eqrdv uneq1d uncom eqtrdi supeq1d snssd prssd wor xrltso supsn
        mp2an supxrcl xmetge0 ovex prid1 supxrub xrletrd supxrun 3eqtrd 3eqtr3d
        eqbrtrid ) AUMBUNUOCUNUPZUJUKNOUMUJUQZUNUOUKUQUNUPURZUSZUTZUMDUNUOEUNUP
        ZUVPUTZFVAZUVMUVRGVBUTZUMGUNUOHUNUPZVHVAZVCUTZVAZBCUNZDEUNZFVABDJVAZCEK
        VAZUPZVDVEVFZAUVTUVMUVRUWDUVOVGZUWLVIVJZVAUWEANOVIZFUWCIUWMUVPUWLUVMUVR
        VKAUJUKGHIUWCUVOUWALMNOPQRSTUVOVLZUWAVLZUWCVLZVMAUJUKGHIUWCUVOUWALMNOPQ
        RSTUWOUWPUWQVNZUWNUWLUVOVOZUWLUWNUVPVOAUJUKNOUVOUWOVPZUWNUWLUVOVQVRAUWA
        UWBVHVSUWMVLUAAUWDUWLVTUTZWAUWLUWLWBUWMUXAWAAUJUKFGHIJKLMNOPQRSTUAUBUCU
        DUEWCUWLWDUWDUWLUWLWEWFAUWFUVOUTZUVMUWLAUXBBCUVOVAZUVMBCUVOWJABNWAZCOWA
        ZUXCUVMWKUFUGUJUKNOUVOBCUWOWGWHWIZAUWFUWNWAZUXBUWLWAABCNOUFUGWLZUWNUWLU
        WFUVOUWSUWNUWLUVOWMUWTUWNUWLUVOWNWOZWPWQWRZAUWGUVOUTZUVRUWLAUXKDEUVOVAZ
        UVRDEUVOWJADNWAZEOWAZUXLUVRWKUHUIUJUKNOUVODEUWOWGWHWIZAUWGUWNWAZUXKUWLW
        AADENOUHUIWLZUWNUWLUWGUVOUXIWPWQWRZWSAUVMUVRUWDUWLUXJUXRWTXAAUVQUWFUVSU
        WGFAUXBUVMWKZUVQUWFWKZUXFAUWSUXGUXSUXTXBUWTUXHUWNUWLUWFUVMUVOXCXDXEAUXK
        UVRWKZUVSUWGWKZUXOAUWSUXPUYAUYBXBUWTUXQUWNUWLUWGUVRUVOXCXDXEXFAUWEULXGU
        LUQZUVMUTZUYCUVRUTZUYCUWBUTVCUTZVAZXHZVGZXIXJZXKZVDVEVFUYJUWJXKZVDVEVFZ
        UWKAULUWCXLUTZUWDUWBUWAUVMUVRXGVKXMUWCUWQUYNVLAGVBXOXGXMWAAXNXPAGLWAZHM
        WAZUWBXGXQSTGHLMXRWHAUVMUWLUYNUXJUWRXSAUVRUWLUYNUXRUWRXSUWDVLXTAVDUYKUY
        LVEAUYKUWJUYJXKUYLAUYIUWJUYJAUJUYIUWJAUVNUYGWKZULXGYRZUVNUWHWKZUVNUWIWK
        ZYAZUVNUYIWAZUVNUWJWAUYRUVNUMUVMUTZUMUVRUTZUMUWBUTZVCUTZVAZWKZUVNUOUVMU
        TZUOUVRUTZUOUWBUTZVCUTZVAZWKZYAZAVUAUYRUYQULUMUOUPZYRVUOUYQULXGVUPYBYCU
        YQVUHVUNULUMUOYDUUAUYCUMWKZUYGVUGUVNVUQUYDVUCUYEVUDUYFVUFUYCUMVCUWBYEUY
        CUMUVMYFUYCUMUVRYFYGYHUYCUOWKZUYGVUMUVNVURUYDVUIUYEVUJUYFVULUYCUOVCUWBY
        EUYCUOUVMYFUYCUOUVRYFYGYHUUBUUCAVUHUYSVUNUYTAVUGUWHUVNAVUGBDGVCUTZVAZUW
        HAVUCBVUDDVUFVUSAVUEGVCAUYOVUEGWKSGHLYIWQYJAUXDVUCBWKUFBCNYIWQAUXMVUDDW
        KUHDENYIWQYGAUWHBDVUSNNVIVJZVAVUTJVVABDUBYKABDVUSNUFUHWTYLYMYHAVUMUWIUV
        NAVUMCEHVCUTZVAZUWIAVUICVUJEVULVVBAVUKHVCAUYPVUKHWKTGHMYNWQYJAUXEVUICWK
        UGBCOYNWQAUXNVUJEWKUIDEOYNWQYGAUWICEVVBOOVIVJZVAVVCKVVDCEUCYKACEVVBOUGU
        IWTYLYMYHUUDUUEVUBUYRUUFUJULXGUYGUVNUYHVKUYHVLUUGUUHUVNUWHUWIUJUUJUUKUU
        IUULUUMUWJUYJUUNUUOUUPAUYJVDWBUWJVDWBZUYJVDVEVFZUWKYOYPUYMUWKWKAXIVDXIV
        DWAZAYSXPZUUQAUWHUWIVDAJNVTUTWAZUXDUXMUWHVDWAUDUFUHBDJNYQYTZAKOVTUTWAUX
        EUXNUWIVDWAUEUGUICEKOYQYTUURZAVVFXIUWKYOVDVEUUSVVGVVFXIWKUUTYSVDXIVEUVA
        UVBAXIUWHUWKVVHVVJAVVEUWKVDWAVVKUWJUVCWQAVVIUXDUXMXIUWHYOYPUDUFUHBDJNUV
        DYTAVVEUWHUWJWAUWHUWKYOYPVVKUWHUWIBDJUVEUVFUWJUWHUVGWFUVHUVLUYJUWJUVIYT
        UVJUVK $.
    $}

    ${
      xpsmet.3 $e |- ( ph -> M e. ( Met ` X ) ) $.
      xpsmet.4 $e |- ( ph -> N e. ( Met ` Y ) ) $.
      $( The direct product of two metric spaces.  Definition 14-1.5 of
         [Gleason] p. 225.  (Contributed by NM, 20-Jun-2007.)  (Revised by
         Mario Carneiro, 20-Aug-2015.) $)
      xpsmet $p |- ( ph -> P e. ( Met ` ( X X. Y ) ) ) $=
        ( vx vy vk cxp csca cfv c0 cop c1o cpr cprds cds cmpo crn cres ccnv cvv
        co cv eqid xpsval xpsrnbas wf1o xpsff1o2 f1ocnv mp1i ovexd cmet wss c2o
        wcel cmpt cbs fvexd com cfn 2onn nnfi wa wceq elpri df2o3 eleq2s adantr
        wo fveq2 fvpr0o sylan9eqr fveq2d eqtr4di sqxpeqd reseq12d fvpr1o jaodan
        syl 3eltr4d sylan2 prdsmet fnpr2o syl2anc dffn5 sylib oveq2d eqtrd ssid
        wfn metres2 sylancl imasf1omet ) AJKUEZBCUFUGZUHCUIUJDUIUKZULUSZEXNUMUG
        ZUBUCJKUHUBUTUIUJUCUTUIUKUNZUOZXQUEUPZXPUQZXQURAUBUCCDEXNXPXLHIJKLMNOPX
        PVAZXLVAZXNVAZVBAUBUCCDEXNXPXLHIJKLMNOPXTYAYBVCZXKXQXPVDXQXKXSVDAUBUCJK
        XPXTVEXKXQXPVFVGAXLXMULVHXRVAQAXOXQVIUGZVLXQXQVJXRYDVLAXLUDVKUDUTZXMUGZ
        VMZULUSZUMUGZYHVNUGZVIUGXOYDAUDYJYIYFXLYFUMUGZYFVNUGZYLUEZUPZVKYLURYHUR
        YHVAYJVAYLVAYNVAYIVAACUFVOVKVPVLVKVQVLAVRVKVSVGAYEVKVLZVTYEXMVOYOAYEUHW
        AZYEUJWAZWFZYNYLVIUGZVLZYRYEUHUJUKVKYEUHUJWBWCWDAYPYTYQAYPVTZFJVIUGZYNY
        SAFUUBVLYPTWEUUAYNCUMUGZJJUEZUPFUUAYKUUCYMUUDUUAYFCUMYPAYFUHXMUGZCYEUHX
        MWGACHVLZUUECWAOCDHWHWPWIZWJUUAYLJUUAYLCVNUGJUUAYFCVNUUGWJMWKZWLWMRWKUU
        AYLJVIUUHWJWQAYQVTZGKVIUGZYNYSAGUUJVLYQUAWEUUIYNDUMUGZKKUEZUPGUUIYKUUKY
        MUULUUIYFDUMYQAYFUJXMUGZDYEUJXMWGADIVLZUUMDWAPCDIWNWPWIZWJUUIYLKUUIYLDV
        NUGKUUIYFDVNUUOWJNWKZWLWMSWKUUIYLKVIUUPWJWQWOWRWSAXNYHUMAXMYGXLULAXMVKX
        GZXMYGWAAUUFUUNUUQOPCDHIWTXAUDVKXMXBXCXDZWJAXQYJVIAXQXNVNUGYJYCAXNYHVNU
        URWJXEWJWQXQXFXOXQXQXHXIXJ $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Metric space balls
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d d r x y D $.  $d d r x y X $.
    $( The value of the ball function.  (Contributed by NM, 30-Aug-2006.)
       (Revised by Mario Carneiro, 11-Nov-2013.)  (Revised by Thierry Arnoux,
       11-Feb-2018.) $)
    blfvalps $p |- ( D e. ( PsMet ` X ) -> ( ball ` D ) =
      ( x e. X , r e. RR* |-> { y e. X | ( x D y ) < r } ) ) $=
      ( vd cpsmet cfv wcel cv cdm cxr co clt wbr crab cmpo cvv wa wral cbl wceq
      df-bl dmeqd psmetdmdm eqcomd sylan9eqr eqidd simpr oveqd breq1d rabeqbidv
      dmeq mpoeq123dv elex cxp cpw wf wss ssrab2 wb elfvdm adantr elpw2g mpbiri
      ralrimivva eqid fmpo sylib xrex xpexg sylancl pwexd fex2 syl3anc fvmptd2
      syl ) CDGHZIZFCAEFJZKZKZLAJZBJZVTMZEJZNOZBWBPZQAEDLWCWDCMZWFNOZBDPZQZRUAR
      ABEFUCVSVTCUBZSZAEWBLWHDLWKWMVSWBCKZKZDWMWAWOVTCUMUDVSDWPCDUEUFUGZWNLUHWN
      WGWJBWBDWQWNWEWIWFNWNVTCWCWDVSWMUIUJUKULUNCVRUOVSDLUPZDUQZWLURZWRRIZWSRIW
      LRIVSWKWSIZELTADTWTVSXBAEDLVSWCDIWFLISZSZXBWKDUSZWJBDUTXDDGKZIZXBXEVAVSXG
      XCCDGVBZVCWKDXFVDVQVEVFAEDLWKWSWLWLVGVHVIVSXGLRIXAXHVJDLXFRVKVLVSDXFXHVMW
      RWSWLRRVNVOVP $.

    $( The value of the ball function.  (Contributed by NM, 30-Aug-2006.)
       (Revised by Mario Carneiro, 11-Nov-2013.)  (Proof shortened by Thierry
       Arnoux, 11-Feb-2018.) $)
    blfval $p |- ( D e. ( *Met ` X ) -> ( ball ` D ) =
      ( x e. X , r e. RR* |-> { y e. X | ( x D y ) < r } ) ) $=
      ( cxmet cfv wcel cpsmet cbl cxr clt wbr crab cmpo wceq xmetpsmet blfvalps
      cv co syl ) CDFGHCDIGHCJGAEDKASBSCTESLMBDNOPCDQABCDERUA $.
  $}

  ${
    $d x A $.  $d r x y P $.  $d x ph $.  $d x Q $.  $d x S $.  $d r x y D $.
    $d r x y R $.  $d r x y X $.
    $( The ball around a point ` P ` is the set of all points whose distance
       from ` P ` is less than the ball's radius ` R ` .  (Contributed by NM,
       31-Aug-2006.)  (Revised by Mario Carneiro, 11-Nov-2013.)  (Revised by
       Thierry Arnoux, 11-Mar-2018.) $)
    blvalps $p |- ( ( D e. ( PsMet ` X ) /\ P e. X /\ R e. RR* ) ->
                  ( P ( ball ` D ) R ) = { x e. X | ( P D x ) < R } ) $=
      ( vy vr cpsmet cfv wcel cxr cv co clt wbr crab cvv wceq 3ad2ant1 wa simp2
      w3a cbl blfvalps simprl oveq1d simprr breq12d rabbidv simp3 elfvdm rabexg
      cmpo cdm syl ovmpod ) BEHIJZCEJZDKJZUBZFGCDEKFLZALZBMZGLZNOZAEPZCVBBMZDNO
      ZAEPZBUCIZQUQURVJFGEKVFUMRUSFABEGUDSUTVACRZVDDRZTTZVEVHAEVMVCVGVDDNVMVACV
      BBUTVKVLUEUFUTVKVLUGUHUIUQURUSUAUQURUSUJUTEHUNZJZVIQJUQURVOUSBEHUKSVHAEVN
      ULUOUP $.

    $( The ball around a point ` P ` is the set of all points whose distance
       from ` P ` is less than the ball's radius ` R ` .  (Contributed by NM,
       31-Aug-2006.)  (Revised by Mario Carneiro, 11-Nov-2013.) $)
    blval $p |- ( ( D e. ( *Met ` X ) /\ P e. X /\ R e. RR* ) ->
                  ( P ( ball ` D ) R ) = { x e. X | ( P D x ) < R } ) $=
      ( vy vr cxmet cfv wcel cxr cv co clt wbr crab cvv wceq 3ad2ant1 wa blfval
      w3a cbl cmpo simprl oveq1d simprr breq12d rabbidv simp2 cdm elfvdm rabexg
      simp3 syl ovmpod ) BEHIJZCEJZDKJZUBZFGCDEKFLZALZBMZGLZNOZAEPZCVBBMZDNOZAE
      PZBUCIZQUQURVJFGEKVFUDRUSFABEGUASUTVACRZVDDRZTTZVEVHAEVMVCVGVDDNVMVACVBBU
      TVKVLUEUFUTVKVLUGUHUIUQURUSUJUQURUSUNUTEHUKZJZVIQJUQURVOUSBEHULSVHAEVNUMU
      OUP $.

    $( Membership in a ball.  (Contributed by NM, 2-Sep-2006.)  (Revised by
       Mario Carneiro, 11-Nov-2013.)  (Revised by Thierry Arnoux,
       11-Mar-2018.) $)
    elblps $p |- ( ( D e. ( PsMet ` X ) /\ P e. X /\ R e. RR* ) ->
             ( A e. ( P ( ball ` D ) R ) <-> ( A e. X /\ ( P D A ) < R ) ) ) $=
      ( vx cpsmet cfv wcel cxr w3a cbl co cv clt wbr crab wa blvalps eleq2d
      wceq oveq2 breq1d elrab bitrdi ) BEGHICEIDJIKZACDBLHMZIACFNZBMZDOPZFEQZIA
      EICABMZDOPZRUFUGUKAFBCDESTUJUMFAEUHAUAUIULDOUHACBUBUCUDUE $.

    $( Membership in a ball.  (Contributed by NM, 2-Sep-2006.)  (Revised by
       Mario Carneiro, 11-Nov-2013.) $)
    elbl $p |- ( ( D e. ( *Met ` X ) /\ P e. X /\ R e. RR* ) ->
             ( A e. ( P ( ball ` D ) R ) <-> ( A e. X /\ ( P D A ) < R ) ) ) $=
      ( vx cxmet cfv wcel cxr w3a cbl co cv clt wbr crab wa blval eleq2d breq1d
      wceq oveq2 elrab bitrdi ) BEGHICEIDJIKZACDBLHMZIACFNZBMZDOPZFEQZIAEICABMZ
      DOPZRUFUGUKAFBCDESTUJUMFAEUHAUBUIULDOUHACBUCUAUDUE $.

    $( Membership in a ball.  (Contributed by NM, 9-Mar-2007.)  (Revised by
       Thierry Arnoux, 11-Mar-2018.) $)
    elbl2ps $p |- ( ( ( D e. ( PsMet ` X ) /\ R e. RR* ) /\ ( P e. X /\
      A e. X ) ) -> ( A e. ( P ( ball ` D ) R ) <-> ( P D A ) < R ) ) $=
      ( cpsmet cfv wcel cxr wa cbl co clt wbr simprr elblps 3expa an32s adantrr
      wb mpbirand ) BEFGHZDIHZJZCEHZAEHZJJACDBKGLHZUFCABLDMNZUDUEUFOUDUEUGUFUHJ
      TZUFUBUEUCUIUBUEUCUIABCDEPQRSUA $.

    $( Membership in a ball.  (Contributed by NM, 9-Mar-2007.) $)
    elbl2 $p |- ( ( ( D e. ( *Met ` X ) /\ R e. RR* ) /\ ( P e. X /\
      A e. X ) ) -> ( A e. ( P ( ball ` D ) R ) <-> ( P D A ) < R ) ) $=
      ( cxmet cfv wcel cxr wa cbl co clt wbr simprr wb elbl 3expa an32s adantrr
      mpbirand ) BEFGHZDIHZJZCEHZAEHZJJACDBKGLHZUFCABLDMNZUDUEUFOUDUEUGUFUHJPZU
      FUBUEUCUIUBUEUCUIABCDEQRSTUA $.

    $( Membership in a ball, with reversed distance function arguments.
       (Contributed by NM, 10-Nov-2007.) $)
    elbl3ps $p |- ( ( ( D e. ( PsMet ` X ) /\ R e. RR* ) /\ ( P e. X /\
      A e. X ) ) -> ( A e. ( P ( ball ` D ) R ) <-> ( A D P ) < R ) ) $=
      ( cpsmet cfv wcel cxr wa cbl clt wbr elbl2ps wceq psmetsym adantlr breq1d
      co 3expb bitrd ) BEFGHZDIHZJCEHZAEHZJZJZACDBKGSHCABSZDLMACBSZDLMABCDENUGU
      HUIDLUBUFUHUIOZUCUBUDUEUJCABEPTQRUA $.

    $( Membership in a ball, with reversed distance function arguments.
       (Contributed by NM, 10-Nov-2007.) $)
    elbl3 $p |- ( ( ( D e. ( *Met ` X ) /\ R e. RR* ) /\ ( P e. X /\
      A e. X ) ) -> ( A e. ( P ( ball ` D ) R ) <-> ( A D P ) < R ) ) $=
      ( cxmet cfv wcel cxr wa cbl co clt wbr elbl2 xmetsym 3expb adantlr breq1d
      wceq bitrd ) BEFGHZDIHZJCEHZAEHZJZJZACDBKGLHCABLZDMNACBLZDMNABCDEOUGUHUID
      MUBUFUHUITZUCUBUDUEUJCABEPQRSUA $.

    $( Commute the arguments to the ball function.  (Contributed by Mario
       Carneiro, 22-Jan-2014.)  (Revised by Thierry Arnoux, 11-Mar-2018.) $)
    blcomps $p |- ( ( ( D e. ( PsMet ` X ) /\ R e. RR* )
        /\ ( P e. X /\ A e. X ) )
      -> ( A e. ( P ( ball ` D ) R ) <-> P e. ( A ( ball ` D ) R ) ) ) $=
      ( cpsmet cfv wcel cxr wa cbl co clt wbr elbl2ps wb elbl3ps ancom2s bitr4d
      ) BEFGHDIHJZCEHZAEHZJJACDBKGZLHCABLDMNZCADUCLHZABCDEOTUBUAUEUDPCBADEQRS
      $.

    $( Commute the arguments to the ball function.  (Contributed by Mario
       Carneiro, 22-Jan-2014.) $)
    blcom $p |- ( ( ( D e. ( *Met ` X ) /\ R e. RR* ) /\ ( P e. X /\ A e. X ) )
      -> ( A e. ( P ( ball ` D ) R ) <-> P e. ( A ( ball ` D ) R ) ) ) $=
      ( cxmet cfv wcel cxr wa cbl co clt wbr elbl2 wb elbl3 ancom2s bitr4d ) BE
      FGHDIHJZCEHZAEHZJJACDBKGZLHCABLDMNZCADUCLHZABCDEOTUBUAUEUDPCBADEQRS $.

    $( The infinity ball in an extended metric is the set of all points that
       are a finite distance from the center.  (Contributed by Mario Carneiro,
       23-Aug-2015.)  (Revised by Thierry Arnoux, 11-Mar-2018.) $)
    xblpnfps $p |- ( ( D e. ( PsMet ` X ) /\ P e. X ) ->
        ( A e. ( P ( ball ` D ) +oo ) <-> ( A e. X /\ ( P D A ) e. RR ) ) ) $=
      ( cpsmet cfv wcel wa cpnf cbl co clt wbr cr cxr wb pnfxr elblps cmnf syl
      w3a wne cc0 cle psmetcl psmetge0 ge0nemnf syl2anc wceq ngtmnft necon2abid
      mp3an3 wn mpbird biantrurd xrrebnd bitr4d 3expa pm5.32da bitrd ) BDEFGZCD
      GZHZACIBJFKGZADGZCABKZILMZHZVEVFNGZHVAVBIOGVDVHPQABCIDRULVCVEVGVIVAVBVEVG
      VIPVAVBVEUAZVGSVFLMZVGHZVIVJVKVGVJVKVFSUBZVJVFOGZUCVFUDMVMCABDUEZCABDUFVF
      UGUHVJVKVFSVJVNVFSUIVKUMPVOVFUJTUKUNUOVJVNVIVLPVOVFUPTUQURUSUT $.

    $( The infinity ball in an extended metric is the set of all points that
       are a finite distance from the center.  (Contributed by Mario Carneiro,
       23-Aug-2015.) $)
    xblpnf $p |- ( ( D e. ( *Met ` X ) /\ P e. X ) ->
        ( A e. ( P ( ball ` D ) +oo ) <-> ( A e. X /\ ( P D A ) e. RR ) ) ) $=
      ( cxmet cfv wcel wa cpnf cbl co clt wbr cr cxr wb pnfxr elbl cmnf syl w3a
      mp3an3 wne cc0 xmetcl xmetge0 ge0nemnf syl2anc wceq wn ngtmnft necon2abid
      cle mpbird biantrurd xrrebnd bitr4d 3expa pm5.32da bitrd ) BDEFGZCDGZHZAC
      IBJFKGZADGZCABKZILMZHZVEVFNGZHVAVBIOGVDVHPQABCIDRUBVCVEVGVIVAVBVEVGVIPVAV
      BVEUAZVGSVFLMZVGHZVIVJVKVGVJVKVFSUCZVJVFOGZUDVFUMMVMCABDUEZCABDUFVFUGUHVJ
      VKVFSVJVNVFSUIVKUJPVOVFUKTULUNUOVJVNVIVLPVOVFUPTUQURUSUT $.

    $( The infinity ball in a standard metric is just the whole space.
       (Contributed by Mario Carneiro, 23-Aug-2015.) $)
    blpnf $p |- ( ( D e. ( Met ` X ) /\ P e. X ) ->
       ( P ( ball ` D ) +oo ) = X ) $=
      ( vx cmet cfv wcel wa cpnf cbl co cv cr cxmet metxmet xblpnf sylan 3expia
      wb metcl pm4.71d bitr4d eqrdv ) ACEFGZBCGZHZDBIAJFKZCUFDLZUGGZUHCGZBUHAKM
      GZHZUJUDACNFGUEUIULSACOUHABCPQUFUJUKUDUEUJUKBUHACTRUAUBUC $.

    $( Two balls are disjoint if the center-to-center distance is more than the
       sum of the radii.  (Contributed by Mario Carneiro, 30-Dec-2013.) $)
    bldisj $p |- ( ( ( D e. ( *Met ` X ) /\ P e. X /\ Q e. X ) /\
      ( R e. RR* /\ S e. RR* /\ ( R +e S ) <_ ( P D Q ) ) )
        -> ( ( P ( ball ` D ) R ) i^i ( Q ( ball ` D ) S ) ) = (/) ) $=
      ( vx cfv wcel w3a cxr cxad co cle wbr wa clt xmetcl adantr syl3anc cbl cv
      cxmet cin wn simpr3 simpr1 simpr2 xaddcld xrlenltd mpbid wb simpl1 simpl2
      elin elbl simpl3 anbi12d bitr4di simpr xlt2add syl22anc xmettri3 syl13anc
      anandi wi xrlelttr mpand syld expimpd sylbid syl5bi mtod eq0rdv ) AFUCHIZ
      BFIZCFIZJZDKIZEKIZDELMZBCAMZNOZJZPZGBDAUAHZMZCEWFMZUDZWEGUBZWIIZWBWAQOZWE
      WCWLUEVRVSVTWCUFWEWAWBWEDEVRVSVTWCUGZVRVSVTWCUHZUIZVRWBKIZWDBCAFRSZUJUKWK
      WJWGIZWJWHIZPZWEWLWJWGWHUOWEWTWJFIZBWJAMZDQOZCWJAMZEQOZPZPZWLWEWTXAXCPZXA
      XEPZPXGWEWRXHWSXIWEVOVPVSWRXHULVOVPVQWDUMZVOVPVQWDUNZWMWJABDFUPTWEVOVQVTW
      SXIULXJVOVPVQWDUQZWNWJACEFUPTURXAXCXEVEUSWEXAXFWLWEXAPZXFXBXDLMZWAQOZWLXM
      XBKIZXDKIZVSVTXFXOVFXMVOVPXAXPWEVOXAXJSZWEVPXAXKSZWEXAUTZBWJAFRTZXMVOVQXA
      XQXRWEVQXAXLSZXTCWJAFRTZWEVSXAWMSWEVTXAWNSXBXDDEVAVBXMWBXNNOZXOWLXMVOVPVQ
      XAYDXRXSYBXTBCWJAFVCVDXMWPXNKIWAKIZYDXOPWLVFWEWPXAWQSXMXBXDYAYCUIWEYEXAWO
      SWBXNWAVGTVHVIVJVKVLVMVN $.

    $( A nonempty ball implies that the radius is positive.  (Contributed by
       NM, 11-Mar-2007.)  (Revised by Mario Carneiro, 23-Aug-2015.) $)
    blgt0 $p |- ( ( ( D e. ( *Met ` X ) /\ P e. X /\ R e. RR* ) /\
                A e. ( P ( ball ` D ) R ) ) -> 0 < R ) $=
      ( cxmet cfv wcel cxr w3a cbl co wa cc0 0xr a1i simpl1 simpl2 wbr syl3anc
      clt elbl simprbda xmetcl simpl3 cle xmetge0 simplbda xrlelttrd ) BEFGHZCE
      HZDIHZJZACDBKGLHZMZNCABLZDNIHUOOPUOUJUKAEHZUPIHUJUKULUNQZUJUKULUNRZUMUNUQ
      UPDUASZABCDEUBZUCZCABEUDTUJUKULUNUEUOUJUKUQNUPUFSURUSVBCABEUGTUMUNUQUTVAU
      HUI $.

    $( Two balls are disjoint if they don't overlap.  (Contributed by NM,
       11-Mar-2007.)  (Revised by Mario Carneiro, 23-Aug-2015.) $)
    bl2in $p |- ( ( ( D e. ( Met ` X ) /\ P e. X /\ Q e. X ) /\
                ( R e. RR /\ R <_ ( ( P D Q ) / 2 ) ) ) ->
                ( ( P ( ball ` D ) R ) i^i ( Q ( ball ` D ) R ) ) = (/) ) $=
      ( cmet cfv wcel w3a cr co c2 cdiv cle wbr wa cxmet cxr cxad cbl c0 simpl1
      cin wceq metxmet syl simpl2 simpl3 rexr ad2antrl cmul caddc rexaddd recnd
      simprl 2timesd eqtr4d wb id metcl cc0 clt pm3.2i lemuldiv2 mp3an3 syl2anr
      2re 2pos biimprd impr eqbrtrd bldisj syl33anc ) AEFGHZBEHZCEHZIZDJHZDBCAK
      ZLMKNOZPZPZAEQGHZVOVPDRHZWDDDSKZVSNOBDATGZKCDWFKUCUAUDWBVNWCVNVOVPWAUBAEU
      EUFVNVOVPWAUGVNVOVPWAUHVRWDVQVTDUIUJZWGWBWELDUKKZVSNWBWEDDULKWHWBDDVQVRVT
      UOZWIUMWBDWBDWIUNUPUQVQVRVTWHVSNOZVQVRPWJVTVRVRVSJHZWJVTURZVQVRUSBCAEUTVR
      WKLJHZVALVBOZPWLWMWNVGVHVCDVSLVDVEVFVIVJVKABCDDEVLVM $.

    ${
      xblss2ps.1 $e |- ( ph -> D e. ( PsMet ` X ) ) $.
      xblss2ps.2 $e |- ( ph -> P e. X ) $.
      xblss2ps.3 $e |- ( ph -> Q e. X ) $.
      xblss2ps.4 $e |- ( ph -> R e. RR* ) $.
      xblss2ps.5 $e |- ( ph -> S e. RR* ) $.
      xblss2ps.6 $e |- ( ph -> ( P D Q ) e. RR ) $.
      xblss2ps.7 $e |- ( ph -> ( P D Q ) <_ ( S +e -e R ) ) $.
      $( One ball is contained in another if the center-to-center distance is
         less than the difference of the radii.  In this version of ~ blss2 for
         extended metrics, we have to assume the balls are a finite distance
         apart, or else ` P ` will not even be in the infinity ball around
         ` Q ` .  (Contributed by Mario Carneiro, 23-Aug-2015.)  (Revised by
         Thierry Arnoux, 11-Mar-2018.) $)
      xblss2ps $p |- ( ph -> ( P ( ball ` D ) R ) C_ ( Q ( ball ` D ) S ) ) $=
        ( co wcel wbr cxr cpnf adantr vx cbl cfv cv wa cpsmet wb elblps syl3anc
        simprbda cr wceq cxad psmetcl rexrd xaddcld ad2antrr psmettri2 syl13anc
        clt cle simplbda xltadd2 mpbid xrlelttrd cxne xnegcld xleadd1a syl31anc
        xnpcan sylan breqtrd xrltletrd caddc simpll simplr simpr oveq2d eleqtrd
        xblpnfps syl2anc readdcld pnfxr a1i rexaddd ltpnfd wne cc0 0xr psmetge0
        cmnf xrletrd ge0nemnf xaddmnf1 syl xnegeq xnegpnf eqtrdi eqeq1d sylibrd
        wi ex necon1d mpd breqtrrd xrltled jca xrnemnf sylib mpjaodan mpbir2and
        wo ssrdv ) AUACEBUBUCZOZDFXNOZAUAUDZXOPZXQXPPZAXRUEZXSXQGPZDXQBOZFUTQZA
        XRYACXQBOZEUTQZABGUFUCPZCGPZERPZXRYAYEUEUGHIKXQBCEGUHUIZUJZXTEUKPZYCESU
        LZXTYKUEZYBCDBOZEUMOZFXTYBRPZYKXTYFDGPZYAYPAYFXRHTZAYQXRJTZYJDXQBGUNUIZ
        TXTYORPYKXTYNEXTYNAYNUKPZXRMTZUOZAYHXRKTZUPZTAFRPZXRYKLUQXTYBYOUTQYKXTY
        BYNYDUMOZYOYTXTYNYDUUCXTYFYGYAYDRPZYRAYGXRITZYJCXQBGUNUIZUPUUEXTYFYGYQY
        AYBUUGVAQZYRUUIYSYJDXQCBGURZUSXTYEUUGYOUTQZAXRYAYEYIVBZXTUUHYHUUAYEUUMU
        GUUJUUDUUBYDEYNVCUIVDVETYMYOFEVFZUMOZEUMOZFVAXTYOUUQVAQZYKXTYNRPUUPRPZY
        HYNUUPVAQZUURUUCXTFUUOAUUFXRLTZXTEUUDVGUPZUUDAUUTXRNTZYNUUPEVHVITXTUUFY
        KUUQFULUVAFEVJVKVLVMXTYLUEZYBSFUTUVDYBYNYDVNOZSXTYPYLYTTUVDUVEUVDYNYDAU
        UAXRYLMUQZUVDAXQCSXNOZPZYDUKPZAXRYLVOUVDXQXOUVGAXRYLVPUVDESCXNXTYLVQZVR
        VSAUVHYAUVIAYFYGUVHYAUVIUEUGHIXQBCGVTWAVBWAZWBZUOSRPUVDWCWDUVDYBUUGUVEV
        AUVDYFYGYQYAUUKAYFXRYLHUQAYGXRYLIUQAYQXRYLJUQXTYAYLYJTUULUSUVDYNYDUVFUV
        KWEVLUVDUVEUVLWFVEUVDUUPWKWGZFSULXTUVMYLXTUUSWHUUPVAQUVMUVBXTWHYNUUPWHR
        PXTWIWDZUUCUVBXTYFYGYQWHYNVAQYRUUIYSCDBGWJUIUVCWLUUPWMWATUVDFSUUPWKUVDF
        SWGZFWKUMOZWKULZUUPWKULUVDUUFUVOUVQXAAUUFXRYLLUQUUFUVOUVQFWNXBWOUVDUUPU
        VPWKUVDUUOWKFUMUVDUUOSVFZWKUVDYLUUOUVRULUVJESWPWOWQWRVRWSWTXCXDXEXTYHEW
        KWGZUEYKYLXLXTYHUVSUUDXTYHWHEVAQUVSUUDXTWHEUVNUUDXTWHYDEUVNUUJUUDXTYFYG
        YAWHYDVAQYRUUIYJCXQBGWJUIUUNVEXFEWMWAXGEXHXIXJXTYFYQUUFXSYAYCUEUGYRYSUV
        AXQBDFGUHUIXKXBXM $.
    $}

    ${
      xblss2.1 $e |- ( ph -> D e. ( *Met ` X ) ) $.
      xblss2.2 $e |- ( ph -> P e. X ) $.
      xblss2.3 $e |- ( ph -> Q e. X ) $.
      xblss2.4 $e |- ( ph -> R e. RR* ) $.
      xblss2.5 $e |- ( ph -> S e. RR* ) $.
      xblss2.6 $e |- ( ph -> ( P D Q ) e. RR ) $.
      xblss2.7 $e |- ( ph -> ( P D Q ) <_ ( S +e -e R ) ) $.
      $( One ball is contained in another if the center-to-center distance is
         less than the difference of the radii.  In this version of ~ blss2 for
         extended metrics, we have to assume the balls are a finite distance
         apart, or else ` P ` will not even be in the infinity ball around
         ` Q ` .  (Contributed by Mario Carneiro, 23-Aug-2015.) $)
      xblss2 $p |- ( ph -> ( P ( ball ` D ) R ) C_ ( Q ( ball ` D ) S ) ) $=
        ( co wcel wbr adantr cc0 cmnf vx cbl cfv cv wa clt cxmet cxr wb syl3anc
        elbl simprbda cpnf wceq cxad xmetcl rexrd xaddcld ad2antrr cle xmettri2
        syl13anc simplbda xltadd2 mpbid xrlelttrd cxne xleadd1a syl31anc xnpcan
        cr xnegcld sylan breqtrd xrltletrd wne 0xr a1i xmetge0 xrletrd ge0nemnf
        syl2anc wi xaddmnf1 ex syl xnegeq xnegpnf eqtrdi oveq2d sylibrd necon1d
        simpr eqeq1d oveq12d pnfaddmnf biantrud xrletri3 sylancl xmeteq0 oveq1d
        mpd 3bitr2d eqtr4d 3brtr3d xrltled jca xrnemnf sylib mpjaodan mpbir2and
        wo ssrdv ) AUACEBUBUCZOZDFXNOZAUAUDZXOPZXQXPPZAXRUEZXSXQGPZDXQBOZFUFQZA
        XRYACXQBOZEUFQZABGUGUCPZCGPZEUHPZXRYAYEUEUIHIKXQBCEGUKUJZULZXTEVKPZYCEU
        MUNZXTYKUEZYBCDBOZEUOOZFXTYBUHPZYKXTYFDGPZYAYPAYFXRHRZAYQXRJRZYJDXQBGUP
        UJZRXTYOUHPYKXTYNEXTYNAYNVKPZXRMRZUQZAYHXRKRZURZRAFUHPZXRYKLUSXTYBYOUFQ
        YKXTYBYNYDUOOZYOYTXTYNYDUUCXTYFYGYAYDUHPZYRAYGXRIRZYJCXQBGUPUJZURUUEXTY
        FYGYQYAYBUUGUTQYRUUIYSYJDXQCBGVAVBXTYEUUGYOUFQZAXRYAYEYIVCZXTUUHYHUUAYE
        UUKUIUUJUUDUUBYDEYNVDUJVEVFRYMYOFEVGZUOOZEUOOZFUTXTYOUUOUTQZYKXTYNUHPZU
        UNUHPZYHYNUUNUTQZUUPUUCXTFUUMAUUFXRLRZXTEUUDVLURZUUDAUUSXRNRZYNUUNEVHVI
        RXTUUFYKUUOFUNUUTFEVJVMVNVOXTYLUEZYDEYBFUFXTYEYLUULRUVCCDXQBUVCYNSUTQZC
        DUNZUVCYNUUNSUTAUUSXRYLNUSUVCUUNUMTUOOSUVCFUMUUMTUOUVCUUNTVPZFUMUNXTUVF
        YLXTUURSUUNUTQUVFUVAXTSYNUUNSUHPZXTVQVRZUUCUVAXTYFYGYQSYNUTQZYRUUIYSCDB
        GVSUJZUVBVTUUNWAWBRUVCFUMUUNTUVCFUMVPZFTUOOZTUNZUUNTUNUVCUUFUVKUVMWCAUU
        FXRYLLUSUUFUVKUVMFWDWEWFUVCUUNUVLTUVCUUMTFUOUVCUUMUMVGZTUVCYLUUMUVNUNXT
        YLWMZEUMWGWFWHWIZWJWNWKWLXBZUVPWOWPWIVNXTUVDUVEUIYLXTUVDUVDUVIUEZYNSUNZ
        UVEXTUVIUVDUVJWQXTUUQUVGUVSUVRUIUUCVQYNSWRWSXTYFYGYQUVSUVEUIYRUUIYSCDBG
        WTUJXCRVEXAUVCEUMFUVOUVQXDXEXTYHETVPZUEYKYLXLXTYHUVTUUDXTYHSEUTQUVTUUDX
        TSEUVHUUDXTSYDEUVHUUJUUDXTYFYGYASYDUTQYRUUIYJCXQBGVSUJUULVFXFEWAWBXGEXH
        XIXJXTYFYQUUFXSYAYCUEUIYRYSUUTXQBDFGUKUJXKWEXM $.
    $}

    $( One ball is contained in another if the center-to-center distance is
       less than the difference of the radii.  (Contributed by Mario Carneiro,
       15-Jan-2014.)  (Revised by Mario Carneiro, 23-Aug-2015.)  (Revised by
       Thierry Arnoux, 11-Mar-2018.) $)
    blss2ps $p |- ( ( ( D e. ( PsMet ` X ) /\ P e. X /\ Q e. X ) /\
                ( R e. RR /\ S e. RR /\ ( P D Q ) <_ ( S - R ) ) ) ->
                ( P ( ball ` D ) R ) C_ ( Q ( ball ` D ) S ) ) $=
      ( cpsmet cfv wcel w3a cr co cmin cle wbr wa simpl1 simpl2 simpl3 rexrd
      simpr1 simpr2 resubcld simpr3 psmetlecl syl122anc cxne cxad wceq breqtrrd
      rexsub syl2anc xblss2ps ) AFGHIZBFIZCFIZJZDKIZEKIZBCALZEDMLZNOZJZPZABCDEF
      UNUOUPVCQZUNUOUPVCRZUNUOUPVCSZVDDUQURUSVBUAZTVDEUQURUSVBUBZTVDUNUOUPVAKIV
      BUTKIVEVFVGVDEDVIVHUCUQURUSVBUDZBCVAAFUEUFVDUTVAEDUGUHLZNVJVDUSURVKVAUIVI
      VHEDUKULUJUM $.

    $( One ball is contained in another if the center-to-center distance is
       less than the difference of the radii.  (Contributed by Mario Carneiro,
       15-Jan-2014.)  (Revised by Mario Carneiro, 23-Aug-2015.) $)
    blss2 $p |- ( ( ( D e. ( *Met ` X ) /\ P e. X /\ Q e. X ) /\
                ( R e. RR /\ S e. RR /\ ( P D Q ) <_ ( S - R ) ) ) ->
                ( P ( ball ` D ) R ) C_ ( Q ( ball ` D ) S ) ) $=
      ( cxmet cfv wcel w3a cr co cmin cle wbr wa simpl1 simpl2 simpl3 rexrd
      simpr1 simpr2 resubcld simpr3 xmetlecl syl122anc cxne cxad rexsub syl2anc
      wceq breqtrrd xblss2 ) AFGHIZBFIZCFIZJZDKIZEKIZBCALZEDMLZNOZJZPZABCDEFUNU
      OUPVCQZUNUOUPVCRZUNUOUPVCSZVDDUQURUSVBUAZTVDEUQURUSVBUBZTVDUNUOUPVAKIVBUT
      KIVEVFVGVDEDVIVHUCUQURUSVBUDZBCVAAFUEUFVDUTVAEDUGUHLZNVJVDUSURVKVAUKVIVHE
      DUIUJULUM $.
  $}

  $( A ball of radius ` R / 2 ` is contained in a ball of radius ` R ` centered
     at any point inside the smaller ball.  (Contributed by Jeff Madsen,
     2-Sep-2009.)  (Proof shortened by Mario Carneiro, 14-Jan-2014.) $)
  blhalf $p |- ( ( ( M e. ( *Met ` X ) /\ Y e. X ) /\ ( R e. RR /\
                  Z e. ( Y ( ball ` M ) ( R / 2 ) ) ) ) ->
            ( Y ( ball ` M ) ( R / 2 ) ) C_ ( Z ( ball ` M ) R ) ) $=
    ( cxmet cfv wcel wa cr c2 cdiv co cbl cmin cle wbr cxr syl3anc recnd simpll
    wss simplr simprr wb simprl rehalfcld rexrd elbl mpbid simpld xmetcl simprd
    clt xrltled 2halvesd mvlraddd breqtrd blss2 syl33anc ) BCFGHZDCHZIZAJHZEDAK
    LMZBNGZMZHZIZIZVAVBECHZVEJHVDDEBMZAVEOMZPQVGEAVFMUBVAVBVIUAZVAVBVIUCZVJVKVL
    VEUNQZVJVHVKVPIZVCVDVHUDVJVAVBVERHVHVQUEVNVOVJVEVJAVCVDVHUFZUGZUHZEBDVECUIS
    UJZUKZVSVRVJVLVEVMPVJVLVEVJVAVBVKVLRHVNVOWBDEBCULSVTVJVKVPWAUMUOVJVEVEAVJVE
    VSTZWCVJAVJAVRTUPUQURBDEVEACUSUT $.

  ${
    $d r x y A $.  $d r x y z B $.  $d x y z C $.  $d r x y z D $.  $d r x R $.
    $d r x y z P $.  $d x S $.  $d r x y z X $.
    $( Mapping of a ball.  (Contributed by NM, 7-May-2007.)  (Revised by Mario
       Carneiro, 23-Aug-2015.)  (Revised by Thierry Arnoux, 11-Mar-2018.) $)
    blfps $p |- ( D e. ( PsMet ` X ) -> ( ball ` D ) : ( X X. RR* ) --> ~P X )
      $=
      ( vx vr vy cpsmet cfv wcel cxr cxp cpw cbl wf cv clt wbr crab cmpo wral
      co wa wss ssrab2 cdm wb elfvdm elpw2g syl mpbiri a1d ralrimivv eqid sylib
      fmpo blfvalps feq1d mpbird ) ABFGHZBIJZBKZALGZMUSUTCDBICNZENATDNZOPZEBQZR
      ZMZURVEUTHZDISCBSVGURVHCDBIURVHVBBHVCIHUAURVHVEBUBZVDEBUCURBFUDZHVHVIUEAB
      FUFVEBVJUGUHUIUJUKCDBIVEUTVFVFULUNUMURUSUTVAVFCEABDUOUPUQ $.

    $( Mapping of a ball.  (Contributed by NM, 7-May-2007.)  (Revised by Mario
       Carneiro, 23-Aug-2015.) $)
    blf $p |- ( D e. ( *Met ` X ) -> ( ball ` D ) : ( X X. RR* ) --> ~P X ) $=
      ( vx vr vy cxmet cfv wcel cxr cxp cpw cbl wf cv co clt wbr crab cmpo wral
      wa wss ssrab2 cdm elfvdm elpw2g syl mpbiri a1d ralrimivv eqid fmpo blfval
      wb sylib feq1d mpbird ) ABFGHZBIJZBKZALGZMUSUTCDBICNZENAODNZPQZEBRZSZMZUR
      VEUTHZDITCBTVGURVHCDBIURVHVBBHVCIHUAURVHVEBUBZVDEBUCURBFUDZHVHVIUNABFUEVE
      BVJUFUGUHUIUJCDBIVEUTVFVFUKULUOURUSUTVAVFCEABDUMUPUQ $.

    $( Membership in the range of the ball function.  Note that
       ` ran ( ball `` D ) ` is the collection of all balls for metric ` D ` .
       (Contributed by NM, 31-Aug-2006.)  (Revised by Mario Carneiro,
       12-Nov-2013.)  (Revised by Thierry Arnoux, 11-Mar-2018.) $)
    blrnps $p |- ( D e. ( PsMet ` X ) -> ( A e. ran ( ball ` D ) <->
         E. x e. X E. r e. RR* A = ( x ( ball ` D ) r ) ) ) $=
      ( cpsmet cfv wcel cxr cxp cpw cbl wf wfn crn cv co wceq wrex wb blfps ffn
      ovelrn 3syl ) CDFGHDIJZDKZCLGZMUGUENBUGOHBAPEPUGQREISADSTCDUAUEUFUGUBAEDI
      BUGUCUD $.

    $( Membership in the range of the ball function.  Note that
       ` ran ( ball `` D ) ` is the collection of all balls for metric ` D ` .
       (Contributed by NM, 31-Aug-2006.)  (Revised by Mario Carneiro,
       12-Nov-2013.) $)
    blrn $p |- ( D e. ( *Met ` X ) -> ( A e. ran ( ball ` D ) <->
         E. x e. X E. r e. RR* A = ( x ( ball ` D ) r ) ) ) $=
      ( cxmet cfv wcel cxr cxp cpw cbl wf wfn crn cv co wceq wrex wb blf ovelrn
      ffn 3syl ) CDFGHDIJZDKZCLGZMUGUENBUGOHBAPEPUGQREISADSTCDUAUEUFUGUCAEDIBUG
      UBUD $.

    $( A ball contains its center.  (Contributed by NM, 2-Sep-2006.)  (Revised
       by Mario Carneiro, 12-Nov-2013.)  (Revised by Thierry Arnoux,
       11-Mar-2018.) $)
    xblcntrps $p |- ( ( D e. ( PsMet ` X ) /\ P e. X /\ ( R e. RR* /\ 0 < R ) )
              -> P e. ( P ( ball ` D ) R ) ) $=
      ( cpsmet cfv wcel cxr cc0 clt wbr wa w3a cbl co simp2 wceq psmet0 3adant3
      simp3r eqbrtrd wb elblps 3adant3r mpbir2and ) ADEFGZBDGZCHGZICJKZLZMZBBCA
      NFOGZUGBBAOZCJKZUFUGUJPUKUMICJUFUGUMIQUJBADRSUFUGUHUITUAUFUGUHULUGUNLUBUI
      BABCDUCUDUE $.

    $( A ball contains its center.  (Contributed by NM, 2-Sep-2006.)  (Revised
       by Mario Carneiro, 12-Nov-2013.) $)
    xblcntr $p |- ( ( D e. ( *Met ` X ) /\ P e. X /\ ( R e. RR* /\ 0 < R ) ) ->
                 P e. ( P ( ball ` D ) R ) ) $=
      ( cxmet cfv wcel cxr cc0 clt wbr wa w3a cbl co simp2 xmet0 3adant3 simp3r
      wceq eqbrtrd wb elbl 3adant3r mpbir2and ) ADEFGZBDGZCHGZICJKZLZMZBBCANFOG
      ZUGBBAOZCJKZUFUGUJPUKUMICJUFUGUMITUJBADQRUFUGUHUISUAUFUGUHULUGUNLUBUIBABC
      DUCUDUE $.

    $( A ball contains its center.  (Contributed by NM, 2-Sep-2006.)  (Revised
       by Mario Carneiro, 12-Nov-2013.)  (Revised by Thierry Arnoux,
       11-Mar-2018.) $)
    blcntrps $p |- ( ( D e. ( PsMet ` X ) /\ P e. X /\ R e. RR+ ) ->
                 P e. ( P ( ball ` D ) R ) ) $=
      ( crp wcel cpsmet cfv cxr cc0 clt wbr wa cbl rpxr rpgt0 xblcntrps syl3an3
      co jca ) CEFZADGHFBDFCIFZJCKLZMBBCANHSFUAUBUCCOCPTABCDQR $.

    $( A ball contains its center.  (Contributed by NM, 2-Sep-2006.)  (Revised
       by Mario Carneiro, 12-Nov-2013.) $)
    blcntr $p |- ( ( D e. ( *Met ` X ) /\ P e. X /\ R e. RR+ ) ->
                 P e. ( P ( ball ` D ) R ) ) $=
      ( crp wcel cxmet cfv cxr cc0 clt wbr wa cbl co rpxr rpgt0 xblcntr syl3an3
      jca ) CEFZADGHFBDFCIFZJCKLZMBBCANHOFUAUBUCCPCQTABCDRS $.

    $( A ball is nonempty iff the radius is positive.  (Contributed by Mario
       Carneiro, 23-Aug-2015.) $)
    xbln0 $p |- ( ( D e. ( *Met ` X ) /\ P e. X /\ R e. RR* ) ->
                 ( ( P ( ball ` D ) R ) =/= (/) <-> 0 < R ) ) $=
      ( vx cxmet cfv wcel cxr w3a cbl co c0 cc0 clt wbr wa 3expa 3adantl3 wi cv
      wne wex elbl cle xmetge0 0xr xmetcl simpl3 xrlelttr mp3an2i mpand expimpd
      n0 sylbid exlimdv syl5bi xblcntr ne0d expr 3impa impbid ) ADFGHZBDHZCIHZJ
      ZBCAKGLZMUBZNCOPZVHEUAZVGHZEUCVFVIEVGUNVFVKVIEVFVKVJDHZBVJALZCOPZQVIVJABC
      DUDVFVLVNVIVFVLQZNVMUEPZVNVIVCVDVLVPVEVCVDVLVPBVJADUFRSNIHVOVMIHZVEVPVNQV
      ITUGVCVDVLVQVEVCVDVLVQBVJADUHRSVCVDVEVLUINVMCUJUKULUMUOUPUQVCVDVEVIVHTVCV
      DQVEVIVHVCVDVEVIQZVHVCVDVRJVGBABCDURUSRUTVAVB $.

    $( A ball is not empty.  (Contributed by NM, 6-Oct-2007.)  (Revised by
       Mario Carneiro, 12-Nov-2013.) $)
    bln0 $p |- ( ( D e. ( *Met ` X ) /\ P e. X /\ R e. RR+ ) ->
                 ( P ( ball ` D ) R ) =/= (/) ) $=
      ( cxmet cfv wcel crp w3a cbl co blcntr ne0d ) ADEFGBDGCHGIBCAJFKBABCDLM
      $.

    $( A ball belongs to the set of balls of a metric space.  (Contributed by
       NM, 2-Sep-2006.)  (Revised by Mario Carneiro, 12-Nov-2013.)  (Revised by
       Thierry Arnoux, 11-Mar-2018.) $)
    blelrnps $p |- ( ( D e. ( PsMet ` X ) /\ P e. X /\ R e. RR* ) ->
                    ( P ( ball ` D ) R ) e. ran ( ball ` D ) ) $=
      ( cpsmet cfv wcel cbl cxr cxp wfn co crn cpw blfps ffnd fnovrn syl3an1 )
      ADEFGZAHFZDIJZKBDGCIGBCTLTMGSUADNTADOPDIBCTQR $.

    $( A ball belongs to the set of balls of a metric space.  (Contributed by
       NM, 2-Sep-2006.)  (Revised by Mario Carneiro, 12-Nov-2013.) $)
    blelrn $p |- ( ( D e. ( *Met ` X ) /\ P e. X /\ R e. RR* ) ->
                    ( P ( ball ` D ) R ) e. ran ( ball ` D ) ) $=
      ( cxmet cfv wcel cbl cxr cxp wfn co crn cpw blf ffnd fnovrn syl3an1 ) ADE
      FGZAHFZDIJZKBDGCIGBCTLTMGSUADNTADOPDIBCTQR $.

    $( A ball is a subset of the base set of a metric space.  (Contributed by
       NM, 31-Aug-2006.)  (Revised by Mario Carneiro, 12-Nov-2013.) $)
    blssm $p |- ( ( D e. ( *Met ` X ) /\ P e. X /\ R e. RR* ) ->
                  ( P ( ball ` D ) R ) C_ X ) $=
      ( cxmet cfv wcel cxr w3a cbl co cxp cpw wf blf fovrn syl3an1 elpwid ) ADE
      FGZBDGZCHGZIBCAJFZKZDSDHLDMZUBNTUAUCUDGADOBCUDDHUBPQR $.

    $( The union of the set of balls of a metric space is its base set.
       (Contributed by NM, 12-Sep-2006.)  (Revised by Mario Carneiro,
       12-Nov-2013.)  (Revised by Thierry Arnoux, 11-Mar-2018.) $)
    unirnblps $p |- ( D e. ( PsMet ` X ) -> U. ran ( ball ` D ) = X ) $=
      ( vx cpsmet cfv wcel cbl crn cuni cpw wss cxr blfps frnd sspwuni sylib cv
      cxp c1 mp3an3 wa co crp 1rp blcntrps 1xr blelrnps elunii syl2anc eqelssd
      ) ABDEFZCAGEZHZIZBUKUMBJZKUNBKUKBLRUOULABMNUMBOPUKCQZBFZUAUPUPSULUBZFZURU
      MFZUPUNFUKUQSUCFUSUDAUPSBUETUKUQSLFUTUFAUPSBUGTUPURUMUHUIUJ $.

    $( The union of the set of balls of a metric space is its base set.
       (Contributed by NM, 12-Sep-2006.)  (Revised by Mario Carneiro,
       12-Nov-2013.) $)
    unirnbl $p |- ( D e. ( *Met ` X ) -> U. ran ( ball ` D ) = X ) $=
      ( vx cxmet cfv wcel cbl crn cuni cpw wss cxr cxp frnd sspwuni sylib cv c1
      blf mp3an3 wa co crp 1rp blcntr 1xr blelrn elunii syl2anc eqelssd ) ABDEF
      ZCAGEZHZIZBUKUMBJZKUNBKUKBLMUOULABSNUMBOPUKCQZBFZUAUPUPRULUBZFZURUMFZUPUN
      FUKUQRUCFUSUDAUPRBUETUKUQRLFUTUFAUPRBUGTUPURUMUHUIUJ $.

    $( The intersection of two balls with the same center is the smaller of
       them.  (Contributed by NM, 1-Sep-2006.)  (Revised by Mario Carneiro,
       12-Nov-2013.) $)
    blin $p |- ( ( ( D e. ( *Met ` X ) /\ P e. X ) /\ ( R e. RR* /\
      S e. RR* ) ) -> ( ( P ( ball ` D ) R ) i^i ( P ( ball ` D ) S ) ) =
                        ( P ( ball ` D ) if ( R <_ S , R , S ) ) ) $=
      ( vx cxmet cfv wcel wa cxr cbl co cin cle wbr clt wb elbl 3expa cv xmetcl
      ad4ant124 simplrl simplrr xrltmin syl3anc pm5.32da sylan2 adantrr adantrl
      cif ifcl anbi12d elin anandi 3bitr4g 3bitr4rd eqrdv ) AEGHIZBEIZJZCKIZDKI
      ZJZJZFBCALHZMZBDVGMZNZBCDOPZCDULZVGMZVFFUAZEIZBVNAMZVLQPZJZVOVPCQPZVPDQPZ
      JZJZVNVMIZVNVJIZVFVOVQWAVFVOJVPKIZVCVDVQWARUTVAVOWEVEBVNAEUBUCVBVCVDVOUDV
      BVCVDVOUEVPCDUFUGUHVEVBVLKIZWCVRRZVKCDKUMUTVAWFWGVNABVLESTUIVFVNVHIZVNVII
      ZJVOVSJZVOVTJZJWDWBVFWHWJWIWKVBVCWHWJRZVDUTVAVCWLVNABCESTUJVBVDWIWKRZVCUT
      VAVDWMVNABDESTUKUNVNVHVIUOVOVSVTUPUQURUS $.

    $( The size of a ball increases monotonically with its radius.
       (Contributed by NM, 20-Sep-2007.)  (Revised by Mario Carneiro,
       24-Aug-2015.)  (Revised by Thierry Arnoux, 11-Mar-2018.) $)
    ssblps $p |- ( ( ( D e. ( PsMet ` X ) /\ P e. X ) /\
                   ( R e. RR* /\ S e. RR* ) /\ R <_ S ) ->
               ( P ( ball ` D ) R ) C_ ( P ( ball ` D ) S ) ) $=
      ( cpsmet cfv wcel wa cxr cle wbr w3a simp1l simp1r simp2l simp2r co cc0
      cr wceq psmet0 3ad2ant1 0re eqeltrdi cxne simp3 wb xsubge0 syl2anc mpbird
      cxad eqbrtrd xblss2ps ) AEFGHZBEHZIZCJHZDJHZIZCDKLZMZABBCDEUOUPUTVANUOUPU
      TVAOZVCUQURUSVAPZUQURUSVAQZVBBBARZSTUQUTVFSUAVABAEUBUCZUDUEVBVFSDCUFULRZK
      VGVBSVHKLZVAUQUTVAUGVBUSURVIVAUHVEVDDCUIUJUKUMUN $.

    $( The size of a ball increases monotonically with its radius.
       (Contributed by NM, 20-Sep-2007.)  (Revised by Mario Carneiro,
       24-Aug-2015.) $)
    ssbl $p |- ( ( ( D e. ( *Met ` X ) /\ P e. X ) /\
                   ( R e. RR* /\ S e. RR* ) /\ R <_ S ) ->
               ( P ( ball ` D ) R ) C_ ( P ( ball ` D ) S ) ) $=
      ( cxmet cfv wcel wa cxr cle wbr w3a simp1l simp1r simp2l simp2r co cc0 cr
      wceq xmet0 3ad2ant1 0re eqeltrdi cxne cxad xsubge0 syl2anc mpbird eqbrtrd
      simp3 wb xblss2 ) AEFGHZBEHZIZCJHZDJHZIZCDKLZMZABBCDEUOUPUTVANUOUPUTVAOZV
      CUQURUSVAPZUQURUSVAQZVBBBARZSTUQUTVFSUAVABAEUBUCZUDUEVBVFSDCUFUGRZKVGVBSV
      HKLZVAUQUTVAULVBUSURVIVAUMVEVDDCUHUIUJUKUN $.

    $( Any point ` P ` in a ball ` B ` can be centered in another ball that is
       a subset of ` B ` .  (Contributed by NM, 31-Aug-2006.)  (Revised by
       Mario Carneiro, 24-Aug-2015.)  (Revised by Thierry Arnoux,
       11-Mar-2018.) $)
    blssps $p |- ( ( D e. ( PsMet ` X ) /\ B e. ran ( ball ` D ) /\ P e. B ) ->
                E. x e. RR+ ( P ( ball ` D ) x ) C_ B ) $=
      ( vy vr vz wcel cv co wss crp wrex cxr wi clt wbr wa cle cfv cbl crn wceq
      cpsmet blrnps elblps cq simpl1 simpl2 simpr psmetcl syl3anc simpl3 3expia
      w3a qbtwnxr syl2anc cr qre cmin simpll1 simplr simpll2 simprrl eqbrtrd wb
      psmetsym simprl ad2antrl xrltled psmetlecl syl122anc difrp mpbid resubcld
      xrleidd nncand breqtrrd blss2ps syl33anc simpll3 simprrr ssblps syl221anc
      rexr recnd sstrd oveq2 sseq1d rspcev expr sylan2 rexlimdva expimpd sylbid
      syld eleq2 sseq2 rexbidv imbi12d syl5ibrcom 3expib rexlimdvv 3imp ) CEUEU
      AIZBCUBUAZUCIZDBIZDAJZXGKZBLZAMNZXFXHBFJZGJZXGKZUDZGONFENXIXMPZFBCEGUFXFX
      QXRFGEOXFXNEIZXOOIZXQXRPXFXSXTUPZXRXQDXPIZXKXPLZAMNZPYAYBDEIZXNDCKZXOQRZS
      YDDCXNXOEUGYAYEYGYDYAYESZYGYFHJZQRZYIXOQRZSZHUHNZYDYHYFOIZXTYGYMPYHXFXSYE
      YNXFXSXTYEUIXFXSXTYEUJYAYEUKXNDCEULUMXFXSXTYEUNYNXTYGYMHYFXOUQUOURYHYLYDH
      UHYIUHIYHYIUSIZYLYDPYIUTYHYOYLYDYHYOYLSZSZYIDXNCKZVAKZMIZDYSXGKZXPLZYDYQY
      RYIQRZYTYQYRYFYIQYQXFYEXSYRYFUDXFXSXTYEYPVBZYAYEYPVCZXFXSXTYEYPVDZDXNCEVH
      UMYHYOYJYKVEVFZYQYRUSIZYOUUCYTVGYQXFYEXSYOYRYITRUUHUUDUUEUUFYHYOYLVIZYQYR
      YIYQXFYEXSYROIUUDUUEUUFDXNCEULUMZYOYIOIZYHYLYIWFVJZUUGVKDXNYICEVLVMZUUIYR
      YIVNURVOYQUUAXNYIXGKZXPYQXFYEXSYSUSIYOYRYIYSVAKZTRUUAUUNLUUDUUEUUFYQYIYRU
      UIUUMVPUUIYQYRYRUUOTYQYRUUJVQYQYIYRYQYIUUIWGYQYRUUMWGVRVSCDXNYSYIEVTWAYQX
      FXSUUKXTYIXOTRUUNXPLUUDUUFUULXFXSXTYEYPWBZYQYIXOUULUUPYHYOYJYKWCVKCXNYIXO
      EWDWEWHYCUUBAYSMXJYSUDXKUUAXPXJYSDXGWIWJWKURWLWMWNWQWOWPXQXIYBXMYDBXPDWRX
      QXLYCAMBXPXKWSWTXAXBXCXDWPXE $.

    $( Any point ` P ` in a ball ` B ` can be centered in another ball that is
       a subset of ` B ` .  (Contributed by NM, 31-Aug-2006.)  (Revised by
       Mario Carneiro, 24-Aug-2015.) $)
    blss $p |- ( ( D e. ( *Met ` X ) /\ B e. ran ( ball ` D ) /\ P e. B ) ->
                E. x e. RR+ ( P ( ball ` D ) x ) C_ B ) $=
      ( vy vr vz wcel cv co wss crp wrex cxr wi clt wbr wa cle cfv cbl crn wceq
      cxmet blrn w3a elbl cq simpl1 simpl2 xmetcl syl3anc simpl3 qbtwnxr 3expia
      syl2anc cr qre cmin simpll1 simplr simpll2 xmetsym simprrl eqbrtrd simprl
      simpr wb ad2antrl xrltled xmetlecl syl122anc difrp mpbid resubcld xrleidd
      rexr recnd nncand breqtrrd blss2 syl33anc simpll3 simprrr syl221anc sstrd
      ssbl oveq2 sseq1d rspcev expr sylan2 rexlimdva expimpd sylbid eleq2 sseq2
      syld rexbidv imbi12d syl5ibrcom 3expib rexlimdvv 3imp ) CEUEUAIZBCUBUAZUC
      IZDBIZDAJZXGKZBLZAMNZXFXHBFJZGJZXGKZUDZGONFENXIXMPZFBCEGUFXFXQXRFGEOXFXNE
      IZXOOIZXQXRPXFXSXTUGZXRXQDXPIZXKXPLZAMNZPYAYBDEIZXNDCKZXOQRZSYDDCXNXOEUHY
      AYEYGYDYAYESZYGYFHJZQRZYIXOQRZSZHUINZYDYHYFOIZXTYGYMPYHXFXSYEYNXFXSXTYEUJ
      XFXSXTYEUKYAYEVHXNDCEULUMXFXSXTYEUNYNXTYGYMHYFXOUOUPUQYHYLYDHUIYIUIIYHYIU
      RIZYLYDPYIUSYHYOYLYDYHYOYLSZSZYIDXNCKZUTKZMIZDYSXGKZXPLZYDYQYRYIQRZYTYQYR
      YFYIQYQXFYEXSYRYFUDXFXSXTYEYPVAZYAYEYPVBZXFXSXTYEYPVCZDXNCEVDUMYHYOYJYKVE
      VFZYQYRURIZYOUUCYTVIYQXFYEXSYOYRYITRUUHUUDUUEUUFYHYOYLVGZYQYRYIYQXFYEXSYR
      OIUUDUUEUUFDXNCEULUMZYOYIOIZYHYLYIVRVJZUUGVKDXNYICEVLVMZUUIYRYIVNUQVOYQUU
      AXNYIXGKZXPYQXFYEXSYSURIYOYRYIYSUTKZTRUUAUUNLUUDUUEUUFYQYIYRUUIUUMVPUUIYQ
      YRYRUUOTYQYRUUJVQYQYIYRYQYIUUIVSYQYRUUMVSVTWACDXNYSYIEWBWCYQXFXSUUKXTYIXO
      TRUUNXPLUUDUUFUULXFXSXTYEYPWDZYQYIXOUULUUPYHYOYJYKWEVKCXNYIXOEWHWFWGYCUUB
      AYSMXJYSUDXKUUAXPXJYSDXGWIWJWKUQWLWMWNWSWOWPXQXIYBXMYDBXPDWQXQXLYCAMBXPXK
      WRWTXAXBXCXDWPXE $.

    $( Two ways to express the existence of a ball subset.  (Contributed by NM,
       5-May-2007.)  (Revised by Mario Carneiro, 12-Nov-2013.)  (Revised by
       Thierry Arnoux, 11-Mar-2018.) $)
    blssexps $p |- ( ( D e. ( PsMet ` X ) /\ P e. X ) ->
                   ( E. x e. ran ( ball ` D ) ( P e. x /\ x C_ A ) <->
                     E. r e. RR+ ( P ( ball ` D ) r ) C_ A ) ) $=
      ( cpsmet cfv wcel wa cv wss cbl crn wrex co crp wi w3a syl3anc sstr 3expa
      blssps expcom reximdv syl5com expimpd adantlr rexlimdva cxr simpll simplr
      rpxr ad2antrl blelrnps simprl blcntrps simprr wceq eleq2 anbi12d syl12anc
      sseq1 rspcev rexlimdvaa impbid ) CEGHIZDEIZJZDAKZIZVJBLZJZACMHZNZOZDFKZVN
      PZBLZFQOZVIVMVTAVOVGVJVOIZVMVTRVHVGWAJVKVLVTVGWAVKVLVTRVGWAVKSVRVJLZFQOVL
      VTFVJCDEUCVLWBVSFQWBVLVSVRVJBUAUDUEUFUBUGUHUIVIVSVPFQVIVQQIZVSJZJZVRVOIZD
      VRIZVSVPWEVGVHVQUJIZWFVGVHWDUKZVGVHWDULZWCWHVIVSVQUMUNCDVQEUOTWEVGVHWCWGW
      IWJVIWCVSUPCDVQEUQTVIWCVSURVMWGVSJAVRVOVJVRUSVKWGVLVSVJVRDUTVJVRBVCVAVDVB
      VEVF $.

    $( Two ways to express the existence of a ball subset.  (Contributed by NM,
       5-May-2007.)  (Revised by Mario Carneiro, 12-Nov-2013.) $)
    blssex $p |- ( ( D e. ( *Met ` X ) /\ P e. X ) ->
                   ( E. x e. ran ( ball ` D ) ( P e. x /\ x C_ A ) <->
                     E. r e. RR+ ( P ( ball ` D ) r ) C_ A ) ) $=
      ( cxmet cfv wcel wa cv wss cbl crn wrex co crp wi w3a syl3anc blss expcom
      sstr reximdv syl5com expimpd adantlr rexlimdva cxr simpll simplr ad2antrl
      3expa rpxr blelrn simprl blcntr simprr wceq eleq2 anbi12d rspcev syl12anc
      sseq1 rexlimdvaa impbid ) CEGHIZDEIZJZDAKZIZVJBLZJZACMHZNZOZDFKZVNPZBLZFQ
      OZVIVMVTAVOVGVJVOIZVMVTRVHVGWAJVKVLVTVGWAVKVLVTRVGWAVKSVRVJLZFQOVLVTFVJCD
      EUAVLWBVSFQWBVLVSVRVJBUCUBUDUEUMUFUGUHVIVSVPFQVIVQQIZVSJZJZVRVOIZDVRIZVSV
      PWEVGVHVQUIIZWFVGVHWDUJZVGVHWDUKZWCWHVIVSVQUNULCDVQEUOTWEVGVHWCWGWIWJVIWC
      VSUPCDVQEUQTVIWCVSURVMWGVSJAVRVOVJVRUSVKWGVLVSVJVRDUTVJVRBVDVAVBVCVEVF $.

    $( A nested ball exists whose radius is less than any desired amount.
       (Contributed by NM, 20-Sep-2007.)  (Revised by Mario Carneiro,
       12-Nov-2013.) $)
    ssblex $p |- ( ( ( D e. ( *Met ` X ) /\ P e. X ) /\
                     ( R e. RR+ /\ S e. RR+ ) ) ->
     E. x e. RR+ ( x < R /\ ( P ( ball ` D ) x ) C_ ( P ( ball ` D ) S ) ) ) $=
      ( cfv wcel wa crp co cle wbr clt wss rpred cr syl2anc cxr rpxrd cxmet cif
      c2 cdiv cbl cv wrex simprl rphalfcld simprr ifcld min1 cc0 rpgt0d halfpos
      wb syl mpbid lelttrd simpl min2 ssbl syl121anc breq1 oveq2 sseq1d anbi12d
      wceq rspcev syl12anc ) BFUAGHCFHIZDJHZEJHZIZIZDUCUDKZELMZVPEUBZJHVRDNMZCV
      RBUEGZKZCEVTKZOZAUFZDNMZCWDVTKZWBOZIZAJUGVOVQVPEJVODVKVLVMUHZUIZVKVLVMUJZ
      UKZVOVRVPDVOVRWLPVOVPWJPZVODWIPZVOVPQHZEQHZVRVPLMWMVOEWKPZVPEULRVOUMDNMZV
      PDNMZVODWIUNVODQHWRWSUPWNDUOUQURUSVOVKVRSHESHVRELMZWCVKVNUTVOVRWLTVOEWKTV
      OWOWPWTWMWQVPEVARBCVREFVBVCWHVSWCIAVRJWDVRVHZWEVSWGWCWDVRDNVDXAWFWAWBWDVR
      CVTVEVFVGVIVJ $.

    $( Given any two balls and a point in their intersection, there is a ball
       contained in the intersection with the given center point.  (Contributed
       by Mario Carneiro, 12-Nov-2013.) $)
    blin2 $p |- ( ( ( D e. ( *Met ` X ) /\ P e. ( B i^i C ) ) /\
                  ( B e. ran ( ball ` D ) /\ C e. ran ( ball ` D ) ) ) ->
                    E. x e. RR+ ( P ( ball ` D ) x ) C_ ( B i^i C ) ) $=
      ( vy vz cfv wcel cin wa cv co wss crp wrex blss syl3anc cxr cxmet cbl crn
      simpll simprl simplr elin1d simprr elin2d reeanv ss2in cle wbr wceq inss1
      cif cpw cxp wf blf frn 3syl sseldd elpwid sstrid rpxr anim12i blin syl2an
      jca sseq1d wi ifcl oveq2 rspcev syl adantl sylbid syl5 rexlimdvva syl5bir
      ex mp2and ) DFUAIJZEBCKZJZLZBDUBIZUCZJZCWIJZLZLZEGMZWHNZBOZGPQZEHMZWHNZCO
      ZHPQZEAMZWHNZWEOZAPQZWMWDWJEBJWQWDWFWLUDZWGWJWKUEZWMBCEWDWFWLUFZUGGBDEFRS
      WMWDWKECJXAXFWGWJWKUHWMBCEXHUIHCDEFRSWQXALWPWTLZHPQGPQWMXEWPWTGHPPUJWMXIX
      EGHPPXIWOWSKZWEOZWMWNPJZWRPJZLZLZXEWOBWSCUKXOXKEWNWRULUMZWNWRUPZWHNZWEOZX
      EXOXJXRWEWMWDEFJZLWNTJZWRTJZLXJXRUNXNWMWDXTXFWMWEFEWMWEBFBCUOWMBFWMWIFUQZ
      BWMWDFTURZYCWHUSWIYCOXFDFUTYDYCWHVAVBXGVCVDVEXHVCVJXLYAXMYBWNVFWRVFVGDEWN
      WRFVHVIVKXNXSXEVLZWMXNXQPJZYEXPWNWRPVMYFXSXEXDXSAXQPXBXQUNXCXRWEXBXQEWHVN
      VKVOWBVPVQVRVSVTWAWC $.
  $}

  ${
    $d x C $.  $d b r x y z D $.  $d x P $.  $d x R $.  $d b r x y z X $.
    $d x Y $.
    $( The balls of a metric space form a basis for a topology.  (Contributed
       by NM, 12-Sep-2006.)  (Revised by Mario Carneiro, 15-Jan-2014.) $)
    blbas $p |- ( D e. ( *Met ` X ) -> ran ( ball ` D ) e. TopBases ) $=
      ( vz vb vx vy vr cxmet cfv wcel wel cv cin wss wa cbl wrex wral wb cvv co
      crn ctb crp blin2 simpll cuni elinel1 elunii sylan ad2ant2lr wceq unirnbl
      ad2antrr eleqtrd blssex syl2anc mpbird ralrimdva ralrimivv fvex isbasis2g
      ex rnex ax-mp sylibr ) ABHIJZCDKDLELZFLZMZNODAPIZUBZQZCVJRZFVLREVLRZVLUCJ
      ZVGVNEFVLVLVGVHVLJZVIVLJZOZVMCVJVGCLZVJJZOZVSVMWBVSOZVMVTGLVKUAVJNGUDQZGV
      HVIAVTBUEWCVGVTBJVMWDSVGWAVSUFWCVTVLUGZBWAVQVTWEJZVGVRWACEKVQWFVTVHVIUHVT
      VHVLUIUJUKVGWEBULWAVSABUMUNUODVJAVTBGUPUQURVCUSUTVLTJVPVOSVKAPVAVDEFCDVLT
      VBVEVF $.

    blres.2 $e |- C = ( D |` ( Y X. Y ) ) $.
    $( A ball in a restricted metric space.  (Contributed by Mario Carneiro,
       5-Jan-2014.) $)
    blres $p |- ( ( D e. ( *Met ` X ) /\ P e. ( X i^i Y ) /\ R e. RR* ) ->
                  ( P ( ball ` C ) R ) = ( ( P ( ball ` D ) R ) i^i Y ) ) $=
      ( vx cxmet cfv wcel cin cbl co clt wbr wa wb elin elbl cxr w3a cv elinel2
      wceq cxp cres oveqi ovres syl5eq breq1d anbi2d pm5.32da 3ad2ant2 biancomi
      sylan anbi1i anass bitri 3bitr4g xmetres eqeltrid syl3an1 elinel1 syl3an2
      ancom anbi1d syl5bb 3bitr4d eqrdv ) BEIJKZCEFLZKZDUAKZUBZHCDAMJNZCDBMJNZF
      LZVOHUCZVLKZCVSANZDOPZQZVSEKZCVSBNZDOPZQZVSFKZQZVSVPKZVSVRKZVOWHWDWBQZQZW
      HWGQZWCWIVMVKWMWNRVNVMWHWLWGVMWHQZWBWFWDWOWAWEDOVMCFKZWHWAWEUECEFUDWPWHQW
      ACVSBFFUFUGZNWEAWQCVSGUHCVSFFBUIUJUPUKULUMUNWCWHWDQZWBQWMVTWRWBVTWHWDVSEF
      SUOUQWHWDWBURUSWGWHVFUTVKAVLIJZKVMVNWJWCRVKAWQWSGBFEVAVBVSACDVLTVCWKVSVQK
      ZWHQVOWIVSVQFSVOWTWGWHVMVKCEKVNWTWGRCEFVDVSBCDETVEVGVHVIVJ $.
  $}

  ${
    $d x y z D $.  $d x P $.  $d x y z .~ $.  $d x y z X $.
    xmeter.1 $e |- .~ = ( `' D " RR ) $.
    $( Value of the "finitely separated" relation.  (Contributed by Mario
       Carneiro, 24-Aug-2015.) $)
    xmeterval $p |- ( D e. ( *Met ` X ) ->
        ( A .~ B <-> ( A e. X /\ B e. X /\ ( A D B ) e. RR ) ) ) $=
      ( cxmet cfv wcel cop ccnv cr cima cxp wa wbr co w3a cxr bitri wf wb xmetf
      wfn elpreima 3syl breqi df-br df-3an opelxp bicomi eleq1i anbi12i 3bitr4g
      ffn df-ov ) CEGHIZABJZCKLMZIZUREENZIZURCHZLIZOZABDPZAEIZBEIZABCQZLIZRZUQV
      ASCUACVAUDUTVEUBCEUCVASCUOVAURLCUEUFVFABUSPUTABDUSFUGABUSUHTVKVGVHOZVJOVE
      VGVHVJUIVLVBVJVDVBVLABEEUJUKVIVCLABCUPULUMTUN $.

    $( The "finitely separated" relation is an equivalence relation.
       (Contributed by Mario Carneiro, 24-Aug-2015.) $)
    xmeter $p |- ( D e. ( *Met ` X ) -> .~ Er X ) $=
      ( vx vy vz wcel cr cv wbr wa co w3a xmeterval biimpa simp2d simpl adantrr
      wrel cxmet cfv cxp wss cxr ccnv cima cdm cnvimass xmetf fssdm relxp relss
      eqsstri mpisyl simp1d xmetsym syl3anc simp3d eqeltrrd wb adantr mpbir3and
      wceq adantrl cxad caddc readdcl eqeltrd syl2anc xmettri syl13anc xmetlecl
      cle rexadd syl122anc cc0 xmet0 0re eqeltrdi pm4.71rd df-3an anidm anbi2ci
      ex bitri bitr4di bitr4d iserd ) ACUAUBHZEFGCBWJBCCUCZUDWKTBTWJWKUEBABAUFI
      UGAUHDAIUIUNACUJUKCCULBWKUMUOWJEJZFJZBKZLZWMWLBKZWMCHZWLCHZWMWLAMZIHZWOWR
      WQWLWMAMZIHZWJWNWRWQXBNWLWMABCDOPZQZWOWRWQXBXCUPZWOXAWSIWOWJWRWQXAWSVDWJW
      NRXEXDWLWMACUQURWOWRWQXBXCUSZUTWJWPWQWRWTNVAWNWMWLABCDOVBVCWJWNWMGJZBKZLZ
      LZWLXGBKZWRXGCHZWLXGAMZIHZWJWNWRXHXESZXJWQXLWMXGAMZIHZWJXHWQXLXQNZWNWJXHX
      RWMXGABCDOPVEZQZXJWJWRXLXAXPVFMZIHZXMYAVNKZXNWJXIRZXOXTXJXBXQYBWJWNXBXHXF
      SXJWQXLXQXSUSXBXQLYAXAXPVGMIXAXPVOXAXPVHVIVJXJWJWRXLWQYCYDXOXTWJWNWQXHXDS
      WLXGWMACVKVLWLXGYAACVMVPWJXKWRXLXNNVAXIWLXGABCDOVBVCWJWRWRWRWLWLAMZIHZNZW
      LWLBKWJWRYFWRLZYGWJWRYFWJWRYFWJWRLYEVQIWLACVRVSVTWEWAYGWRWRLZYFLYHWRWRYFW
      BYIWRYFWRWCWDWFWGWLWLABCDOWHWI $.

    $( The equivalence classes under the finite separation equivalence relation
       are infinity balls.  Thus, by ~ erdisj , infinity balls are either
       identical or disjoint, quite unlike the usual situation with Euclidean
       balls which admit many kinds of overlap.  (Contributed by Mario
       Carneiro, 24-Aug-2015.) $)
    xmetec $p |- ( ( D e. ( *Met ` X ) /\ P e. X ) ->
        [ P ] .~ = ( P ( ball ` D ) +oo ) ) $=
      ( vx cxmet cfv wcel wa cec cpnf cbl co cv wbr cr w3a xmeterval cvv 3anass
      baib sylan9bb wb vex a1i elecg sylan xblpnf 3bitr4d eqrdv ) ADGHIZBDIZJZF
      BCKZBLAMHNZUNBFOZCPZUQDIZBUQANQIZJZUQUOIZUQUPIULURUMUSUTRZUMVABUQACDESVCU
      MVAUMUSUTUAUBUCULUQTIZUMVBURUDVDULFUEUFUQBCTDUGUHUQABDUIUJUK $.

    $( A ball centered at ` P ` is contained in the set of points finitely
       separated from ` P ` .  This is just an application of ~ ssbl to the
       infinity ball.  (Contributed by Mario Carneiro, 24-Aug-2015.) $)
    blssec $p |- ( ( D e. ( *Met ` X ) /\ P e. X /\ S e. RR* ) ->
        ( P ( ball ` D ) S ) C_ [ P ] .~ ) $=
      ( cxmet cfv wcel cxr w3a cbl co cpnf cec wss wa cle wbr pnfge adantl ssbl
      wi pnfxr 3expia mpanr2 mpd 3impa wceq xmetec 3adant3 sseqtrrd ) AEGHIZBEI
      ZDJIZKBDALHZMZBNUPMZBCOZUMUNUOUQURPZUMUNQZUOQDNRSZUTUOVBVADTUAVAUONJIZVBU
      TUCUDVAUOVCQVBUTABDNEUBUEUFUGUHUMUNUSURUIUOABCEFUJUKUL $.
  $}

  $( The infinity ball in an extended metric acts like an ultrametric ball in
     that every point in the ball is also its center.  (Contributed by Mario
     Carneiro, 21-Aug-2015.) $)
  blpnfctr $p |- ( ( D e. ( *Met ` X ) /\ P e. X /\
      A e. ( P ( ball ` D ) +oo ) ) ->
    ( P ( ball ` D ) +oo ) = ( A ( ball ` D ) +oo ) ) $=
    ( cxmet cfv wcel cpnf cbl co w3a ccnv cima cec wer eqid xmeter wceq xmetec
    cr 3ad2ant1 wbr simp3 3adant3 eleqtrrd elecg ancoms 3adant1 mpbid erthi cxr
    wb wa wss pnfxr blssm mp3an3 sselda adantlr syldan 3impa 3eqtr3d ) BDEFGZCD
    GZACHBIFZJZGZKZCBLTMZNZAVINZVFAHVEJZVHCAVIDVCVDDVIOVGBVIDVIPZQUAVHAVJGZCAVI
    UBZVHAVFVJVCVDVGUCVCVDVJVFRVGBCVIDVMSUDZUEVDVGVNVOULZVCVGVDVQACVIVFDUFUGUHU
    IUJVPVCVDVGVKVLRZVCVDUMZVGADGZVRVSVFDAVCVDHUKGVFDUNUOBCHDUPUQURVCVTVRVDBAVI
    DVMSUSUTVAVB $.

  ${
    $d x y B $.  $d x y D $.  $d x y P $.  $d x y R $.  $d x y X $.
    xmetresbl.1 $e |- B = ( P ( ball ` D ) R ) $.
    $( An extended metric restricted to any ball (in particular the infinity
       ball) is a proper metric.  Together with ~ xmetec , this shows that any
       extended metric space can be "factored" into the disjoint union of
       proper metric spaces, with points in the same region measured by that
       region's metric, and points in different regions being distance ` +oo `
       from each other.  (Contributed by Mario Carneiro, 23-Aug-2015.) $)
    xmetresbl $p |- ( ( D e. ( *Met ` X ) /\ P e. X /\ R e. RR* ) ->
        ( D |` ( B X. B ) ) e. ( Met ` B ) ) $=
      ( vx vy cxmet cfv wcel cxr w3a cr co syl2anc syl wbr wb mpbid cxp cres wf
      cmet wss simp1 cbl blssm eqsstrid xmetres2 wfn cv wral xmetf fssresd ffnd
      xpss12 wa wceq ovres adantl ccnv cima wer simpl1 xmeter cec blssec sselda
      adantrr simpl2 elecg adantrl ertr3d xmeterval eqeltrd ralrimivva sylanbrc
      eqid simp3d ffnov ismet2 ) BEIJKZCEKZDLKZMZBAAUAZUBZAIJKZWGNWHUCZWHAUDJKW
      FWCAEUEZWIWCWDWEUFZWFACDBUGJOZEFBCDEUHUIZBAEUJPWFWHWGUKGULZHULZWHOZNKZHAU
      MGAUMWJWFWGLWHWFEEUAZLWGBWFWCWSLBUCWLBEUNQWFWKWKWGWSUEWNWNAEAEUQPUOUPWFWR
      GHAAWFWOAKZWPAKZURZURZWQWOWPBOZNXBWQXDUSWFWOWPAABUTVAXCWOEKZWPEKZXDNKZXCW
      OWPBVBNVCZRZXEXFXGMZXCWOCWPXHEXCWCEXHVDWCWDWEXBVEZBXHEXHVSZVFQXCWOCXHVGZK
      ZCWOXHRZWFWTXNXAWFAXMWOWFAWMXMFBCXHDEXLVHUIZVIVJZXCXNWDXNXOSXQWCWDWEXBVKZ
      WOCXHXMEVLPTXCWPXMKZCWPXHRZWFXAXSWTWFAXMWPXPVIVMZXCXSWDXSXTSYAXRWPCXHXMEV
      LPTVNXCWCXIXJSXKWOWPBXHEXLVOQTVTVPVQGHAANWHWAVRWHAWBVR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Open sets of a metric space
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z A $.  $d d x y z D $.  $d x y z X $.
    mopnval.1 $e |- J = ( MetOpen ` D ) $.
    $( An open set is a subset of a metric space which includes a ball around
       each of its points.  Definition 1.3-2 of [Kreyszig] p. 18.  The object
       ` ( MetOpen `` D ) ` is the family of all open sets in the metric space
       determined by the metric ` D ` .  By ~ mopntop , the open sets of a
       metric space form a topology ` J ` , whose base set is ` U. J ` by
       ~ mopnuni .  (Contributed by NM, 1-Sep-2006.)  (Revised by Mario
       Carneiro, 12-Nov-2013.) $)
    mopnval $p |- ( D e. ( *Met ` X ) -> J = ( topGen ` ran ( ball ` D ) ) ) $=
      ( vd cxmet cfv wcel crn cuni cbl ctg fvssunirn sseli cmopn cv fveq2 rneqd
      wceq fveq2d df-mopn fvex fvmpt syl5eq syl ) ACFGZHAFIJZHZBAKGZIZLGZSUFUGA
      FCMNUHBAOGUKDEAEPZKGZIZLGUKUGOULASZUNUJLUOUMUIULAKQRTEUAUJLUBUCUDUE $.

    $( The set of open sets of a metric space ` X ` is a topology on ` X ` .
       Remark in [Kreyszig] p. 19.  This theorem connects the two concepts and
       makes available the theorems for topologies for use with metric spaces.
       (Contributed by Mario Carneiro, 24-Aug-2015.) $)
    mopntopon $p |- ( D e. ( *Met ` X ) -> J e. ( TopOn ` X ) ) $=
      ( cxmet cfv wcel cbl crn ctg ctopon mopnval ctb blbas tgtopon syl unirnbl
      cuni fveq2d eleqtrd eqeltrd ) ACEFGZBAHFIZJFZCKFZABCDLUBUDUCRZKFZUEUBUCMG
      UDUGGACNUCOPUBUFCKACQSTUA $.

    $( The set of open sets of a metric space is a topology.  (Contributed by
       NM, 28-Aug-2006.)  (Revised by Mario Carneiro, 12-Nov-2013.) $)
    mopntop $p |- ( D e. ( *Met ` X ) -> J e. Top ) $=
      ( cxmet cfv wcel ctopon ctop mopntopon topontop syl ) ACEFGBCHFGBIGABCDJC
      BKL $.

    $( The union of all open sets in a metric space is its underlying set.
       (Contributed by NM, 4-Sep-2006.)  (Revised by Mario Carneiro,
       12-Nov-2013.) $)
    mopnuni $p |- ( D e. ( *Met ` X ) -> X = U. J ) $=
      ( cxmet cfv wcel ctopon cuni wceq mopntopon toponuni syl ) ACEFGBCHFGCBIJ
      ABCDKCBLM $.

    $( The defining property of an open set of a metric space.  (Contributed by
       NM, 1-Sep-2006.)  (Revised by Mario Carneiro, 12-Nov-2013.) $)
    elmopn $p |- ( D e. ( *Met ` X ) -> ( A e. J <->
   ( A C_ X /\ A. x e. A E. y e. ran ( ball ` D ) ( x e. y /\ y C_ A ) ) ) ) $=
      ( cxmet cfv wcel cbl crn ctg cuni wss cv wa wrex wral ctb eleq2d wb blbas
      mopnval eltg2 syl unirnbl sseq2d anbi1d 3bitrd ) DFHIJZCEJCDKILZMIZJZCULN
      ZOZAPBPZJUQCOQBULRACSZQZCFOZURQUKEUMCDEFGUDUAUKULTJUNUSUBDFUCABCULTUEUFUK
      UPUTURUKUOFCDFUGUHUIUJ $.

    $( The family of open sets of a metric space is a collection of subsets of
       the base set.  (Contributed by NM, 3-Sep-2006.)  (Revised by Mario
       Carneiro, 12-Nov-2013.) $)
    mopnfss $p |- ( D e. ( *Met ` X ) -> J C_ ~P X ) $=
      ( cxmet cfv wcel cuni cpw pwuni mopnuni pweqd sseqtrrid ) ACEFGZBHZIBCIBJ
      NCOABCDKLM $.

    $( The base set of a metric space is open.  Part of Theorem T1 of
       [Kreyszig] p. 19.  (Contributed by NM, 4-Sep-2006.)  (Revised by Mario
       Carneiro, 12-Nov-2013.) $)
    mopnm $p |- ( D e. ( *Met ` X ) -> X e. J ) $=
      ( cxmet cfv wcel ctopon mopntopon toponmax syl ) ACEFGBCHFGCBGABCDICBJK
      $.

    $( A defining property of an open set of a metric space.  (Contributed by
       NM, 5-May-2007.)  (Revised by Mario Carneiro, 12-Nov-2013.) $)
    elmopn2 $p |- ( D e. ( *Met ` X ) -> ( A e. J <-> ( A C_ X /\
           A. x e. A E. y e. RR+ ( x ( ball ` D ) y ) C_ A ) ) ) $=
      ( vz cxmet cfv wcel wss cv wa cbl crn wrex wral co crp elmopn wb ralbidva
      ssel2 blssex sylan2 anassrs pm5.32da bitrd ) DFIJKZCEKCFLZAMZHMZKUMCLNHDO
      JZPQZACRZNUKULBMUNSCLBTQZACRZNAHCDEFGUAUJUKUPURUJUKNUOUQACUJUKULCKZUOUQUB
      ZUKUSNUJULFKUTCFULUDHCDULFBUEUFUGUCUHUI $.

    $( An open set of a metric space is a subspace of its base set.
       (Contributed by NM, 3-Sep-2006.) $)
    mopnss $p |- ( ( D e. ( *Met ` X ) /\ A e. J ) -> A C_ X ) $=
      ( cxmet cfv wcel ctopon wss mopntopon toponss sylan ) BDFGHCDIGHACHADJBCD
      EKACDLM $.
  $}

  ${
    $d f x D $.  $d f x J $.  $d f K $.  $d f x X $.
    isms.j $e |- J = ( TopOpen ` K ) $.
    isms.x $e |- X = ( Base ` K ) $.
    isms.d $e |- D = ( ( dist ` K ) |` ( X X. X ) ) $.
    $( Express the predicate " ` <. X , D >. ` is an extended metric space"
       with underlying set ` X ` and distance function ` D ` .  (Contributed by
       Mario Carneiro, 2-Sep-2015.) $)
    isxms $p |- ( K e. *MetSp <-> ( K e. TopSp /\ J = ( MetOpen ` D ) ) ) $=
      ( vf cv ctopn cfv cds cbs cxp cres cmopn wceq ctps fveq2 eqtr4di reseq12d
      cxms sqxpeqd fveq2d eqeq12d df-xms elrab2 ) HIZJKZUHLKZUHMKZUKNZOZPKZQBAP
      KZQHCRUBUHCQZUIBUNUOUPUICJKBUHCJSETUPUMAPUPUMCLKZDDNZOAUPUJUQULURUHCLSUPU
      KDUPUKCMKDUHCMSFTUCUAGTUDUEHUFUG $.

    $( Express the predicate " ` <. X , D >. ` is an extended metric space"
       with underlying set ` X ` and distance function ` D ` .  (Contributed by
       Mario Carneiro, 2-Sep-2015.) $)
    isxms2 $p |- ( K e. *MetSp <->
        ( D e. ( *Met ` X ) /\ J = ( MetOpen ` D ) ) ) $=
      ( vx wcel cmopn cfv wceq wa cxmet ctopon cdm crn cuni adantl syl isxms cv
      cxms ctps istps cbl ctg df-mopn dmmptss toponmax eleqtrd elfvdm xmetunirn
      simpl sselid sylib eqid mopntopon eqeltrd toponuni eqtr4d fveq2d ex eleq1
      syl5ibr impbid syl5bb pm5.32ri bitri ) CUCICUDIZBAJKZLZMADNKZIZVLMABCDEFG
      UAVLVJVNVJBDOKZIZVLVNDBCFEUEVLVPVNVLVPVNVLVPMZAAPPZNKZVMVQANQRZIAVSIZVQJP
      ZVTAHVTHUBUFKQUGKJHUHUIVQDVKIAWBIVQDBVKVPDBIVLDBUJSVLVPUNZUKDAJULTUOAUMUP
      ZVQVRDNVQVRBRZDVQBVROKZIVRWELVQBVKWFWCVQWAVKWFIWDAVKVRVKUQZURTUSVRBUTTVPD
      WELVLDBUTSVAVBUKVCVNVPVLVKVOIAVKDWGURBVKVOVDVEVFVGVHVI $.

    $( Express the predicate " ` <. X , D >. ` is a metric space" with
       underlying set ` X ` and distance function ` D ` .  (Contributed by NM,
       27-Aug-2006.)  (Revised by Mario Carneiro, 24-Aug-2015.) $)
    isms $p |- ( K e. MetSp <-> ( K e. *MetSp /\ D e. ( Met ` X ) ) ) $=
      ( vf cv cds cfv cbs cxp cres cmet wcel cxms cms fveq2 eqtr4di wceq fveq2d
      sqxpeqd reseq12d eleq12d df-ms elrab2 ) HIZJKZUHLKZUJMZNZUJOKZPADOKZPHCQR
      UHCUAZULAUMUNUOULCJKZDDMZNAUOUIUPUKUQUHCJSUOUJDUOUJCLKDUHCLSFTZUCUDGTUOUJ
      DOURUBUEHUFUG $.

    $( Express the predicate " ` <. X , D >. ` is a metric space" with
       underlying set ` X ` and distance function ` D ` .  (Contributed by NM,
       27-Aug-2006.)  (Revised by Mario Carneiro, 24-Aug-2015.) $)
    isms2 $p |- ( K e. MetSp <->
        ( D e. ( Met ` X ) /\ J = ( MetOpen ` D ) ) ) $=
      ( cxms wcel cmet cfv wa cxmet cmopn wceq cms isxms2 anbi1i isms metxmet
      pm4.71ri an32 bitri 3bitr4i ) CHIZADJKIZLADMKIZBANKOZLZUFLZCPIUFUHLZUEUIU
      FABCDEFGQRABCDEFGSUKUGUFLZUHLUJUFULUHUFUGADTUARUGUFUHUBUCUD $.

    $( The topology component of an extended metric space coincides with the
       topology generated by the metric component.  (Contributed by Mario
       Carneiro, 26-Aug-2015.) $)
    xmstopn $p |- ( K e. *MetSp -> J = ( MetOpen ` D ) ) $=
      ( cxms wcel ctps cmopn cfv wceq isxms simprbi ) CHICJIBAKLMABCDEFGNO $.

    $( The topology component of a metric space coincides with the topology
       generated by the metric component.  (Contributed by Mario Carneiro,
       26-Aug-2015.) $)
    mstopn $p |- ( K e. MetSp -> J = ( MetOpen ` D ) ) $=
      ( cms wcel cmet cfv cmopn wceq isms2 simprbi ) CHIADJKIBALKMABCDEFGNO $.
  $}

  $( An extended metric space is a topological space.  (Contributed by Mario
     Carneiro, 26-Aug-2015.) $)
  xmstps $p |- ( M e. *MetSp -> M e. TopSp ) $=
    ( cxms wcel ctps ctopn cfv cds cbs cxp cres cmopn wceq eqid isxms simplbi )
    ABCADCAEFZAGFAHFZQIJZKFLRPAQPMQMRMNO $.

  $( A metric space is an extended metric space.  (Contributed by Mario
     Carneiro, 26-Aug-2015.) $)
  msxms $p |- ( M e. MetSp -> M e. *MetSp ) $=
    ( cms wcel cxms cds cfv cbs cxp cres cmet ctopn eqid isms simplbi ) ABCADCA
    EFAGFZOHIZOJFCPAKFZAOQLOLPLMN $.

  $( A metric space is a topological space.  (Contributed by Mario Carneiro,
     26-Aug-2015.) $)
  mstps $p |- ( M e. MetSp -> M e. TopSp ) $=
    ( cms wcel cxms ctps msxms xmstps syl ) ABCADCAECAFAGH $.

  ${
    msf.x $e |- X = ( Base ` M ) $.
    msf.d $e |- D = ( ( dist ` M ) |` ( X X. X ) ) $.
    $( The distance function, suitably truncated, is an extended metric on
       ` X ` .  (Contributed by Mario Carneiro, 2-Sep-2015.) $)
    xmsxmet $p |- ( M e. *MetSp -> D e. ( *Met ` X ) ) $=
      ( cxms wcel cxmet cfv ctopn cmopn wceq eqid isxms2 simplbi ) BFGACHIGBJIZ
      AKILAPBCPMDENO $.

    $( The distance function, suitably truncated, is a metric on ` X ` .
       (Contributed by Mario Carneiro, 12-Nov-2013.) $)
    msmet $p |- ( M e. MetSp -> D e. ( Met ` X ) ) $=
      ( cms wcel cmet cfv ctopn cmopn wceq eqid isms2 simplbi ) BFGACHIGBJIZAKI
      LAPBCPMDENO $.

    $( The distance function of a metric space is a function into the real
       numbers.  (Contributed by NM, 30-Aug-2006.)  (Revised by Mario Carneiro,
       12-Nov-2013.) $)
    msf $p |- ( M e. MetSp -> D : ( X X. X ) --> RR ) $=
      ( cms wcel cmet cfv cxp cr wf msmet metf syl ) BFGACHIGCCJKALABCDEMACNO
      $.
  $}

  ${
    mscl.x $e |- X = ( Base ` M ) $.
    mscl.d $e |- D = ( dist ` M ) $.
    $( The distance function, suitably truncated, is an extended metric on
       ` X ` .  (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    xmsxmet2 $p |- ( M e. *MetSp -> ( D |` ( X X. X ) ) e. ( *Met ` X ) ) $=
      ( cxp cres cds cfv reseq1i xmsxmet ) ACCFZGBCDABHILEJK $.

    $( The distance function, suitably truncated, is a metric on ` X ` .
       (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    msmet2 $p |- ( M e. MetSp -> ( D |` ( X X. X ) ) e. ( Met ` X ) ) $=
      ( cxp cres cds cfv reseq1i msmet ) ACCFZGBCDABHILEJK $.

    $( Closure of the distance function of a metric space.  (Contributed by NM,
       30-Aug-2006.)  (Revised by Mario Carneiro, 2-Oct-2015.) $)
    mscl $p |- ( ( M e. MetSp /\ A e. X /\ B e. X ) -> ( A D B ) e. RR ) $=
      ( cms wcel w3a cxp cres co cr wceq ovres 3adant1 cmet cfv msmet2 eqeltrrd
      metcl syl3an1 ) DHIZAEIZBEIZJABCEEKLZMZABCMZNUEUFUHUIOUDABEECPQUDUGERSIUE
      UFUHNICDEFGTABUGEUBUCUA $.

    $( Closure of the distance function of an extended metric space.
       (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    xmscl $p |- ( ( M e. *MetSp /\ A e. X /\ B e. X ) -> ( A D B ) e. RR* ) $=
      ( cxms wcel w3a cxp cres co cxr wceq ovres 3adant1 cxmet cfv xmsxmet2
      xmetcl syl3an1 eqeltrrd ) DHIZAEIZBEIZJABCEEKLZMZABCMZNUEUFUHUIOUDABEECPQ
      UDUGERSIUEUFUHNICDEFGTABUGEUAUBUC $.

    $( The distance function in an extended metric space is nonnegative.
       (Contributed by Mario Carneiro, 4-Oct-2015.) $)
    xmsge0 $p |- ( ( M e. *MetSp /\ A e. X /\ B e. X ) ->
                   0 <_ ( A D B ) ) $=
      ( cxms wcel w3a cc0 cxp cres co cle cxmet cfv wbr xmsxmet2 xmetge0 ovres
      syl3an1 wceq 3adant1 breqtrd ) DHIZAEIZBEIZJKABCEELMZNZABCNZOUFUIEPQIUGUH
      KUJORCDEFGSABUIETUBUGUHUJUKUCUFABEECUAUDUE $.

    $( The distance between two points in an extended metric space is zero iff
       the two points are identical.  (Contributed by Mario Carneiro,
       2-Oct-2015.) $)
    xmseq0 $p |- ( ( M e. *MetSp /\ A e. X /\ B e. X ) ->
                   ( ( A D B ) = 0 <-> A = B ) ) $=
      ( cxms wcel w3a cxp cres co cc0 wceq ovres 3adant1 eqeq1d cxmet cfv wb
      xmsxmet2 xmeteq0 syl3an1 bitr3d ) DHIZAEIZBEIZJZABCEEKLZMZNOZABCMZNOABOZU
      IUKUMNUGUHUKUMOUFABEECPQRUFUJESTIUGUHULUNUACDEFGUBABUJEUCUDUE $.

    $( The distance function in an extended metric space is symmetric.
       (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    xmssym $p |- ( ( M e. *MetSp /\ A e. X /\ B e. X ) ->
                   ( A D B ) = ( B D A ) ) $=
      ( cxms wcel w3a cxp cres cxmet cfv wceq xmsxmet2 xmetsym syl3an1 ovresd
      co simp2 simp3 3eqtr3d ) DHIZAEIZBEIZJZABCEEKLZTZBAUHTZABCTBACTUDUHEMNIUE
      UFUIUJOCDEFGPABUHEQRUGABCEUDUEUFUAZUDUEUFUBZSUGBACEULUKSUC $.

    $( Triangle inequality for the distance function of an extended metric.
       (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    xmstri2 $p |- ( ( M e. *MetSp /\ ( C e. X /\ A e. X /\ B e. X ) )
                 -> ( A D B ) <_ ( ( C D A ) +e ( C D B ) ) ) $=
      ( cxms wcel w3a wa cxp cres co cxad cle cxmet cfv ovresd wbr sylan simpr2
      xmsxmet2 xmettri2 simpr3 simpr1 oveq12d 3brtr3d ) EIJZCFJZAFJZBFJZKZLZABD
      FFMNZOZCAUPOZCBUPOZPOZABDOCADOZCBDOZPOQUJUPFRSJUNUQUTQUADEFGHUDABCUPFUEUB
      UOABDFUJUKULUMUCZUJUKULUMUFZTUOURVAUSVBPUOCADFUJUKULUMUGZVCTUOCBDFVEVDTUH
      UI $.

    $( Triangle inequality for the distance function of a metric space.
       (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    mstri2 $p |- ( ( M e. MetSp /\ ( C e. X /\ A e. X /\ B e. X ) )
                 -> ( A D B ) <_ ( ( C D A ) + ( C D B ) ) ) $=
      ( cms wcel w3a wa cxp cres co caddc cle cmet cfv ovresd wbr mettri2 sylan
      msmet2 simpr2 simpr3 simpr1 oveq12d 3brtr3d ) EIJZCFJZAFJZBFJZKZLZABDFFMN
      ZOZCAUPOZCBUPOZPOZABDOCADOZCBDOZPOQUJUPFRSJUNUQUTQUADEFGHUDABCUPFUBUCUOAB
      DFUJUKULUMUEZUJUKULUMUFZTUOURVAUSVBPUOCADFUJUKULUMUGZVCTUOCBDFVEVDTUHUI
      $.

    $( Triangle inequality for the distance function of a metric space.
       Definition 14-1.1(d) of [Gleason] p. 223.  (Contributed by Mario
       Carneiro, 2-Oct-2015.) $)
    xmstri $p |- ( ( M e. *MetSp /\ ( A e. X /\ B e. X /\ C e. X ) )
              -> ( A D B ) <_ ( ( A D C ) +e ( C D B ) ) ) $=
      ( cxms wcel w3a wa cxp cres co cxad cle cxmet cfv ovresd xmsxmet2 xmettri
      wbr sylan simpr1 simpr2 simpr3 oveq12d 3brtr3d ) EIJZAFJZBFJZCFJZKZLZABDF
      FMNZOZACUPOZCBUPOZPOZABDOACDOZCBDOZPOQUJUPFRSJUNUQUTQUCDEFGHUAABCUPFUBUDU
      OABDFUJUKULUMUEZUJUKULUMUFZTUOURVAUSVBPUOACDFVCUJUKULUMUGZTUOCBDFVEVDTUHU
      I $.

    $( Triangle inequality for the distance function of a metric space.
       Definition 14-1.1(d) of [Gleason] p. 223.  (Contributed by Mario
       Carneiro, 2-Oct-2015.) $)
    mstri $p |- ( ( M e. MetSp /\ ( A e. X /\ B e. X /\ C e. X ) )
              -> ( A D B ) <_ ( ( A D C ) + ( C D B ) ) ) $=
      ( cms wcel w3a wa cxp cres co caddc cle cmet cfv ovresd wbr msmet2 mettri
      sylan simpr1 simpr2 simpr3 oveq12d 3brtr3d ) EIJZAFJZBFJZCFJZKZLZABDFFMNZ
      OZACUPOZCBUPOZPOZABDOACDOZCBDOZPOQUJUPFRSJUNUQUTQUADEFGHUBABCUPFUCUDUOABD
      FUJUKULUMUEZUJUKULUMUFZTUOURVAUSVBPUOACDFVCUJUKULUMUGZTUOCBDFVEVDTUHUI $.

    $( Triangle inequality for the distance function of an extended metric.
       (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    xmstri3 $p |- ( ( M e. *MetSp /\ ( A e. X /\ B e. X /\ C e. X ) )
                 -> ( A D B ) <_ ( ( A D C ) +e ( B D C ) ) ) $=
      ( cxms wcel w3a wa cxp cres co cxad cle cxmet cfv ovresd wbr sylan simpr1
      xmsxmet2 xmettri3 simpr2 simpr3 oveq12d 3brtr3d ) EIJZAFJZBFJZCFJZKZLZABD
      FFMNZOZACUPOZBCUPOZPOZABDOACDOZBCDOZPOQUJUPFRSJUNUQUTQUADEFGHUDABCUPFUEUB
      UOABDFUJUKULUMUCZUJUKULUMUFZTUOURVAUSVBPUOACDFVCUJUKULUMUGZTUOBCDFVDVETUH
      UI $.

    $( Triangle inequality for the distance function of a metric space.
       (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    mstri3 $p |- ( ( M e. MetSp /\ ( A e. X /\ B e. X /\ C e. X ) )
              -> ( A D B ) <_ ( ( A D C ) + ( B D C ) ) ) $=
      ( cms wcel w3a wa cxp cres co caddc cle cmet cfv ovresd wbr mettri3 sylan
      msmet2 simpr1 simpr2 simpr3 oveq12d 3brtr3d ) EIJZAFJZBFJZCFJZKZLZABDFFMN
      ZOZACUPOZBCUPOZPOZABDOACDOZBCDOZPOQUJUPFRSJUNUQUTQUADEFGHUDABCUPFUBUCUOAB
      DFUJUKULUMUEZUJUKULUMUFZTUOURVAUSVBPUOACDFVCUJUKULUMUGZTUOBCDFVDVETUHUI
      $.

    $( Reverse triangle inequality for the distance function of a metric space.
       (Contributed by Mario Carneiro, 4-Oct-2015.) $)
    msrtri $p |- ( ( M e. MetSp /\ ( A e. X /\ B e. X /\ C e. X ) )
              -> ( abs ` ( ( A D C ) - ( B D C ) ) ) <_ ( A D B ) ) $=
      ( cms wcel w3a wa cxp cres co cmin cabs cfv cle ovresd wbr msmet2 metrtri
      cmet sylan simpr1 simpr3 simpr2 oveq12d fveq2d 3brtr3d ) EIJZAFJZBFJZCFJZ
      KZLZACDFFMNZOZBCUROZPOZQRZABUROZACDOZBCDOZPOZQRABDOSULURFUDRJUPVBVCSUADEF
      GHUBABCURFUCUEUQVAVFQUQUSVDUTVEPUQACDFULUMUNUOUFZULUMUNUOUGZTUQBCDFULUMUN
      UOUHZVHTUIUJUQABDFVGVITUK $.
  $}

  ${
    xmspropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    xmspropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    xmspropd.3 $e |- ( ph ->
      ( ( dist ` K ) |` ( B X. B ) ) = ( ( dist ` L ) |` ( B X. B ) ) ) $.
    xmspropd.4 $e |- ( ph -> ( TopOpen ` K ) = ( TopOpen ` L ) ) $.
    $( Property deduction for an extended metric space.  (Contributed by Mario
       Carneiro, 4-Oct-2015.) $)
    xmspropd $p |- ( ph -> ( K e. *MetSp <-> L e. *MetSp ) ) $=
      ( ctps wcel ctopn cfv cds cbs cxp cres cmopn wceq eqtr3d eqid wa tpspropd
      cxms sqxpeqd reseq2d fveq2d eqeq12d anbi12d isxms 3bitr4g ) ACIJZCKLZCMLZ
      CNLZUNOZPZQLZRZUADIJZDKLZDMLZDNLZVBOZPZQLZRZUACUCJDUCJAUKUSURVFACDABUNVBE
      FSHUBAULUTUQVEHAUPVDQAVABBOZPZUPVDAUMVGPVHUPGAVGUOUMABUNEUDUESAVGVCVAABVB
      FUDUESUFUGUHUPULCUNULTUNTUPTUIVDUTDVBUTTVBTVDTUIUJ $.

    $( Property deduction for a metric space.  (Contributed by Mario Carneiro,
       4-Oct-2015.) $)
    mspropd $p |- ( ph -> ( K e. MetSp <-> L e. MetSp ) ) $=
      ( cxms wcel cds cfv cbs cxp cres cmet wa cms eqtr3d eqid xmspropd sqxpeqd
      reseq2d fveq2d eleq12d anbi12d ctopn isms 3bitr4g ) ACIJZCKLZCMLZULNZOZUL
      PLZJZQDIJZDKLZDMLZUSNZOZUSPLZJZQCRJDRJAUJUQUPVCABCDEFGHUAAUNVAUOVBAURBBNZ
      OZUNVAAUKVDOVEUNGAVDUMUKABULEUBUCSAVDUTURABUSFUBUCSAULUSPABULUSEFSUDUEUFU
      NCUGLZCULVFTULTUNTUHVADUGLZDUSVGTUSTVATUHUI $.
  $}

  ${
    setsms.x $e |- ( ph -> X = ( Base ` M ) ) $.
    setsms.d $e |- ( ph -> D = ( ( dist ` M ) |` ( X X. X ) ) ) $.
    setsms.k $e |- ( ph -> K =
      ( M sSet <. ( TopSet ` ndx ) , ( MetOpen ` D ) >. ) ) $.
    $( The base set of a constructed metric space.  (Contributed by Mario
       Carneiro, 28-Aug-2015.) $)
    setsmsbas $p |- ( ph -> X = ( Base ` K ) ) $=
      ( cbs cfv cnx cts cmopn cop csts co baseid wne c1 c9 1lt9 basendx tsetndx
      1re ltneii neeq12i mpbir setsnid fveq2d 3eqtr4a ) ADIJDKLJZBMJZNOPZIJECIJ
      ULUKIDQKIJZUKRSTRSTUDUAUEUNSUKTUBUCUFUGUHFACUMIHUIUJ $.

    $( The distance function of a constructed metric space.  (Contributed by
       Mario Carneiro, 28-Aug-2015.) $)
    setsmsds $p |- ( ph -> ( dist ` M ) = ( dist ` K ) ) $=
      ( cds cfv cnx cts cmopn cop csts co wne c1 c2 c9 dsid cdc 2nn0 9nn0 9lt10
      9re 1nn declti gtneii dsndx tsetndx neeq12i mpbir setsnid fveq2d eqtr4id
      ) ADIJDKLJZBMJZNOPZIJCIJURUQIDUAKIJZUQQRSUBZTQTVAUFRSTUGUCUDUEUHUIUTVAUQT
      UJUKULUMUNACUSIHUOUP $.

    setsms.m $e |- ( ph -> M e. V ) $.
    $( The topology of a constructed metric space.  (Contributed by Mario
       Carneiro, 28-Aug-2015.) $)
    setsmstset $p |- ( ph -> ( MetOpen ` D ) = ( TopSet ` K ) ) $=
      ( cmopn cfv cnx cts cop csts co wcel cvv wceq tsetid setsid fveq2d eqtr4d
      fvex sylancl ) ABKLZDMNLUGOPQZNLZCNLADERUGSRUGUITJBKUEEUGNSDUAUBUFACUHNIU
      CUD $.

    $d x D $.  $d x M $.  $d x V $.  $d x X $.
    $( The topology of a constructed metric space.  (Contributed by Mario
       Carneiro, 28-Aug-2015.) $)
    setsmstopn $p |- ( ph -> ( MetOpen ` D ) = ( TopOpen ` K ) ) $=
      ( vx cmopn cfv cpw wss wceq cdm wcel eqid syl ctopn setsmstset cxmet cuni
      cts cbs crn cv cbl df-mopn dmmptss sseli wa simpr xmetunirn sylib mopnuni
      ctg cxp cds cin cres dmeqd dmres eqtrdi inss1 eqsstrdi dmss dmxpid adantr
      sseqtrdi eqsstrrd sspwuni sylibr ex wn ndmfv 0ss pm2.61d1 setsmsbas pweqd
      syl5 c0 3sstr3d topnid eqtrd ) ABLMZCUEMZCUAMZABCDEFGHIJUBZAWHCUFMZNZOWHW
      IPAWGFNZWHWLABLQZRZWGWMOZWOBUCUGUDZRZAWPWNWQBKWQKUHUIMUGURMLKUJUKULAWRWPA
      WRUMZWGUDZFOWPWSWTBQZQZFWSBXBUCMRZXBWTPWSWRXCAWRUNBUOUPBWGXBWGSUQTAXBFOWR
      AXBFFUSZQZFAXAXDOXBXEOAXAXDDUTMZQZVAZXDAXAXFXDVBZQXHABXIHVCXFXDVDVEXDXGVF
      VGXAXDVHTFVIVKVJVLWGFVMVNVOWBWOVPWGWCWMBLVQWMVRVGVSWJAFWKABCDFGHIVTWAWDWK
      WHCWKSWHSWETWF $.

    $( The constructed metric space is a metric space iff the provided distance
       function is a metric.  (Contributed by Mario Carneiro, 28-Aug-2015.) $)
    setsxms $p |- ( ph -> ( K e. *MetSp <-> D e. ( *Met ` X ) ) ) $=
      ( cxms wcel cds cfv cxp cres cxmet cmopn fveq2d eqid cbs ctopn setsmstopn
      wceq wb setsmsds setsmsbas sqxpeqd reseq12d eqtrd eqtr3d isxms2 rbaib syl
      eleq12d bitr4d ) ACKLZCMNZCUANZUSOZPZUSQNZLZBFQNZLACUBNZVARNZUDZUQVCUEABR
      NVEVFABCDEFGHIJUCABVARABDMNZFFOZPVAHAVHURVIUTABCDFGHIUFAFUSABCDFGHIUGZUHU
      IUJZSUKUQVCVGVAVECUSVETUSTVATULUMUNABVAVDVBVKAFUSQVJSUOUP $.

    $( The constructed metric space is a metric space iff the provided distance
       function is a metric.  (Contributed by Mario Carneiro, 28-Aug-2015.) $)
    setsms $p |- ( ph -> ( K e. MetSp <-> D e. ( Met ` X ) ) ) $=
      ( cxms wcel cds cfv cbs cxp cres cmet wa eqid cxmet cms setsxms setsmsbas
      setsmsds sqxpeqd reseq12d eqtr2d fveq2d eqcomd eleq12d anbi12d ctopn isms
      metxmet pm4.71ri 3bitr4g ) ACKLZCMNZCONZUTPZQZUTRNZLZSBFUANLZBFRNZLZSCUBL
      VGAURVEVDVGABCDEFGHIJUCAVBBVCVFABDMNZFFPZQVBHAVHUSVIVAABCDFGHIUEAFUTABCDF
      GHIUDZUFUGUHAVFVCAFUTRVJUIUJUKULVBCUMNZCUTVKTUTTVBTUNVGVEBFUOUPUQ $.
  $}

  ${
    $d d D $.  $d d M $.  $d d X $.
    tmsval.m $e |- M =
      { <. ( Base ` ndx ) , X >. , <. ( dist ` ndx ) , D >. } $.
    tmsval.k $e |- K = ( toMetSp ` D ) $.
    $( For any metric there is an associated metric space.  (Contributed by
       Mario Carneiro, 2-Sep-2015.) $)
    tmsval $p |- ( D e. ( *Met ` X ) ->
      K = ( M sSet <. ( TopSet ` ndx ) , ( MetOpen ` D ) >. ) ) $=
      ( vd cxmet cfv wcel ctms cnx cmopn cop csts co cdm cpr dmeqd opeq2d cv wa
      cts cbs cds crn cuni cvv df-tms wceq dmeq cxp xmetf fdmd dmxpid sylan9eqr
      eqtrdi simpr preq12d eqtr4di fveq2d oveq12d fvssunirn sseli ovexd fvmptd2
      cxr syl5eq ) ADHIZJZBAKICLUCIZAMIZNZOPZFVJGALUDIZGUAZQZQZNZLUEIZVPNZRZVKV
      PMIZNZOPVNHUFUGZKUHGUIVJVPAUJZUBZWBCWDVMOWGWBVODNZVTANZRCWGVSWHWAWIWGVRDV
      OWFVJVRAQZQZDWFVQWJVPAUKSVJWKDDULZQDVJWJWLVJWLVGAADUMUNSDUOUQUPTWGVPAVTVJ
      WFURZTUSEUTWGWCVLVKWGVPAMWMVATVBVIWEAHDVCVDVJCVMOVEVFVH $.

    $( Lemma for ~ tmsbas , ~ tmsds , and ~ tmstopn .  (Contributed by Mario
       Carneiro, 2-Sep-2015.) $)
    tmslem $p |- ( D e. ( *Met ` X ) -> ( X = ( Base ` K ) /\
        D = ( dist ` K ) /\ ( MetOpen ` D ) = ( TopOpen ` K ) ) ) $=
      ( cxmet cfv wcel cbs wceq cds cnx basendxltdsndx dsndxnn cres cxr cvv cop
      cmopn ctopn cdm elfvdm 2strbas1 syl cxp wf wfn xmetf fnresdm 3syl 2strop1
      ffn reseq1d eqtr3d tmsval setsmsbas setsmsds eqtrd cpr eqeltri setsmstopn
      dsid prex a1i 3jca ) ADGHZIZDBJHKABLHZKATHBUAHKVHABCDVHDGUBZIDCJHKADGUCDA
      CMLHZVJENOUDUEZVHADDUFZPZACLHZVMPVHVMQAUGAVMUHVNAKADUIVMQAUMVMAUJUKVHAVOV
      MDALCVKVGENOVCULZUNUOZABCDEFUPZUQVHAVOVIVPVHABCDVLVQVRURUSVHABCRDVLVQVRCR
      IVHCMJHDSZVKASZUTREVSVTVDVAVEVBVF $.

    $( Obsolete version of ~ tmslem as of 28-Oct-2024.  Lemma for ~ tmsbas ,
       ~ tmsds , and ~ tmstopn .  (Contributed by Mario Carneiro, 2-Sep-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    tmslemOLD $p |- ( D e. ( *Met ` X ) -> ( X = ( Base ` K ) /\
        D = ( dist ` K ) /\ ( MetOpen ` D ) = ( TopOpen ` K ) ) ) $=
      ( cxmet cfv wcel cbs wceq cds c1 c2 df-ds 1nn0 cres cxr cvv cnx cmopn cdm
      ctopn elfvdm cdc 1nn 2nn0 1lt10 declti 2nn decnncl 2strbas syl cxp wf wfn
      xmetf ffn fnresdm 3syl 2strop reseq1d eqtr3d setsmsbas setsmsds eqtrd cop
      tmsval cpr prex eqeltri a1i setsmstopn 3jca ) ADGHZIZDBJHKABLHZKAUAHBUCHK
      VPABCDVPDGUBZIDCJHKADGUDDALCMNUEZVREOMNMUFUGPUHUIZMNPUJUKZULUMZVPADDUNZQZ
      ACLHZWCQVPWCRAUOAWCUPWDAKADUQWCRAURWCAUSUTVPAWEWCDALCVSVOEOVTWAVAZVBVCZAB
      CDEFVHZVDVPAWEVQWFVPABCDWBWGWHVEVFVPABCSDWBWGWHCSIVPCTJHDVGZTLHAVGZVISEWI
      WJVJVKVLVMVN $.
  $}

  ${
    tmsbas.k $e |- K = ( toMetSp ` D ) $.
    $( The base set of a constructed metric space.  (Contributed by Mario
       Carneiro, 2-Sep-2015.) $)
    tmsbas $p |- ( D e. ( *Met ` X ) -> X = ( Base ` K ) ) $=
      ( cxmet cfv wcel cbs wceq cds cmopn ctopn cnx cop cpr eqid tmslem simp1d
      ) ACEFGCBHFIABJFIAKFBLFIABMHFCNMJFANOZCSPDQR $.

    $( The metric of a constructed metric space.  (Contributed by Mario
       Carneiro, 2-Sep-2015.) $)
    tmsds $p |- ( D e. ( *Met ` X ) -> D = ( dist ` K ) ) $=
      ( cxmet cfv wcel cbs wceq cds cmopn ctopn cnx cop cpr eqid tmslem simp2d
      ) ACEFGCBHFIABJFIAKFBLFIABMHFCNMJFANOZCSPDQR $.

    ${
      tmstopn.j $e |- J = ( MetOpen ` D ) $.
      $( The topology of a constructed metric.  (Contributed by Mario Carneiro,
         2-Sep-2015.) $)
      tmstopn $p |- ( D e. ( *Met ` X ) -> J = ( TopOpen ` K ) ) $=
        ( cxmet cfv wcel cmopn ctopn cbs wceq cds cnx cop eqid tmslem simp3d
        cpr syl5eq ) ADGHIZBAJHZCKHZFUBDCLHMACNHMUCUDMACOLHDPONHAPTZDUEQERSUA
        $.
    $}

    $( The constructed metric space is an extended metric space.  (Contributed
       by Mario Carneiro, 2-Sep-2015.) $)
    tmsxms $p |- ( D e. ( *Met ` X ) -> K e. *MetSp ) $=
      ( cxmet cfv wcel cds cbs cxp cres ctopn cmopn wceq cxms tmsds fveq2d eqid
      wss cxr tmsbas eleq12d ibi ssid xmetres2 sylancl wf wfn xmetf ffn fnresdm
      4syl eqtr4d tmstopn eqtr2d isxms2 sylanbrc ) ACEFZGZBHFZBIFZVAJZKZVAEFZGZ
      BLFZVCMFZNBOGUSUTVDGZVAVASVEUSVHUSAUTURVDABCDPZUSCVAEABCDUAQUBUCZVAUDUTVA
      VAUEUFUSVGAMFZVFUSVCAMUSVCUTAUSVHVBTUTUGUTVBUHVCUTNVJUTVAUIVBTUTUJVBUTUKU
      LVIUMQAVKBCDVKRUNUOVCVFBVAVFRVARVCRUPUQ $.

    $( The constructed metric space is a metric space given a metric.
       (Contributed by Mario Carneiro, 2-Sep-2015.) $)
    tmsms $p |- ( D e. ( Met ` X ) -> K e. MetSp ) $=
      ( cmet cfv wcel cxms cds cbs cxp cres cms cxmet metxmet syl wss wceq eqid
      tmsxms tmsds tmsbas fveq2d eleq12d ibi ssid metres2 sylancl isms sylanbrc
      ctopn ) ACEFZGZBHGZBIFZBJFZUPKLZUPEFZGZBMGUMACNFGZUNACOZABCDTPUMUOURGZUPU
      PQUSUMVBUMAUOULURUMUTAUORVAABCDUAPUMCUPEUMUTCUPRVAABCDUBPUCUDUEUPUFUOUPUP
      UGUHUQBUKFZBUPVCSUPSUQSUIUJ $.
  $}

  ${
    $d x D $.  $d x E $.  $d r x y z F $.  $d x P $.  $d r x y ph $.  $d x S $.
    $d r y z B $.  $d r x y R $.  $d r x y z U $.  $d r x y z V $.
    imasf1obl.u $e |- ( ph -> U = ( F "s R ) ) $.
    imasf1obl.v $e |- ( ph -> V = ( Base ` R ) ) $.
    imasf1obl.f $e |- ( ph -> F : V -1-1-onto-> B ) $.
    ${
      imasf1obl.r $e |- ( ph -> R e. Z ) $.
      imasf1obl.e $e |- E = ( ( dist ` R ) |` ( V X. V ) ) $.
      imasf1obl.d $e |- D = ( dist ` U ) $.
      imasf1obl.m $e |- ( ph -> E e. ( *Met ` V ) ) $.
      imasf1obl.x $e |- ( ph -> P e. V ) $.
      imasf1obl.s $e |- ( ph -> S e. RR* ) $.
      $( The image of a metric space ball.  (Contributed by Mario Carneiro,
         28-Aug-2015.) $)
      imasf1obl $p |- ( ph ->
          ( ( F ` P ) ( ball ` D ) S ) = ( F " ( P ( ball ` E ) S ) ) ) $=
        ( vx cfv cbl co ccnv cima cv wcel clt wbr wa wf1o wceq f1ocnvfv2 oveq2d
        sylan cimas adantr cbs cxmet f1ocnv syl f1of ffvelrnda imasdsf1o eqtr3d
        wf breq1d cxr elbl2 syl22anc pm5.32da imasf1oxmet ffvelrnd elbl syl3anc
        wb bitr4d wfn f1ofn elpreima 3syl 3bitr4d eqrdv imacnvcnv eqtrdi ) ADIU
        BZFCUCUBUDZIUEZUEDFHUCUBUDZUFZIWJUFAUAWHWKAUAUGZBUHZWGWLCUDZFUIUJZUKZWM
        WLWIUBZWJUHZUKZWLWHUHZWLWKUHZAWMWOWRAWMUKZWODWQHUDZFUIUJZWRXBWNXCFUIXBW
        GWQIUBZCUDWNXCXBXEWLWGCAJBIULZWMXEWLUMNJBWLIUNUPUOXBBCEGHIJDWQKAGIEUQUD
        UMWMLURAJEUSUBUMWMMURAXFWMNURAEKUHWMOURPQAHJUTUBUHZWMRURZADJUHZWMSURZAB
        JWLWIABJWIULZBJWIVGAXFXKNJBIVAVBZBJWIVCVBVDZVEVFVHXBXGFVIUHZXIWQJUHWRXD
        VQXHAXNWMTURXJXMWQHDFJVJVKVRVLACBUTUBUHWGBUHXNWTWPVQABCEGHIJKLMNOPQRVMA
        JBDIAXFJBIVGNJBIVCVBSVNTWLCWGFBVOVPAXKWIBVSXAWSVQXLBJWIVTBWLWJWIWAWBWCW
        DIWJWEWF $.
    $}

    ${
      imasf1oxms.r $e |- ( ph -> R e. *MetSp ) $.
      $( The image of a metric space is a metric space.  (Contributed by Mario
         Carneiro, 28-Aug-2015.) $)
      imasf1oxms $p |- ( ph -> U e. *MetSp ) $=
        ( vy vr cfv wcel wceq eqid syl co cxr wrex vx vz cds cbs cxp cres cxmet
        ctopn cmopn cxms wss xmsxmet sqxpeqd reseq2d fveq2d 3eltr4d imasf1oxmet
        wf1o f1ofo imasbas eleqtrd ssid xmetres2 sylancl cqtop imastopn xmstopn
        wfo eqtr4d oveq1d cbl crn ctg ctb cuni blbas unirnbl f1oeq2 3syl mpbird
        wb tgqtop syl2anc mopnval wf wfn xmetf fnresdm cv ccnv cima wa ad2antrr
        ffn wf1 f1of1 cdm cnvimass f1odm sseqtrid simprl simprr syl3anc f1imaeq
        blssm syl12anc simplr foimacnv cimas imasf1obl eqcomd eqeq12d 2rexbidva
        bitr3d adantr f1ofn oveq1 eqeq2d rexbidv rexrn rexeqdv 3bitr2d pm5.32da
        forn blrn 3bitr4d elqtop2 cpw blf frn sseld elpwi syl6 pm4.71rd 3eqtr4d
        eqrdv 3eqtrd isxms2 sylanbrc ) ADUCMZDUDMZUUAUEZUFZUUAUGMZNZDUHMZUUCUIM
        ZODUJNAYTUUDNZUUAUUAUKUUEAYTBUGMZUUDABYTCDCUCMZFFUEZUFZEFUJGHIJUULPZYTP
        ZAUUJCUDMZUUOUEZUFZUUOUGMZUULFUGMZACUJNZUUQUURNJUUQCUUOUUOPZUUQPZULQAUU
        KUUPUUJAFUUOHUMUNZAFUUOUGHUOUPZUQZABUUAUGABCDEFUJGHAFBEURZFBEVHZIFBEUSZ
        QZJUTUOVAZUUAVBYTUUAUUAVCVDAUUFCUHMZEVERUULUIMZEVERZUUGABCDEUVKUUFFUJGH
        UVIJUVKPZUUFPZVFAUVKUVLEVEAUVKUUQUIMZUVLAUUTUVKUVPOJUUQUVKCUUOUVNUVAUVB
        VGQAUULUUQUIUVCUOVIVJAUULVKMZVLZVMMZEVERZUVREVERZVMMZUVMUUGAUVRVNNZUVRV
        OZBEURZUVTUWBOAUULUUSNZUWCUVDUULFVPQZAUWEUVFIAUWFUWDFOUWEUVFWAUVDUULFVQ
        UWDFBEVRVSVTZEUVRUWDBUWDPZWBWCAUVLUVSEVEAUWFUVLUVSOUVDUULUVLFUVLPWDQVJA
        YTUIMZYTVKMZVLZVMMZUUGUWBAYTUUINZUWJUWMOUVEYTUWJBUWJPWDQAUUCYTUIAUUBSYT
        WEZYTUUBWFUUCYTOAUUHUWOUVJYTUUAWGQUUBSYTWNUUBYTWHVSUOAUWAUWLVMAUAUWAUWL
        AUAWIZBUKZEWJUWPWKZUVRNZWLZUWQUWPUWLNZWLUWPUWANZUXAAUWQUWSUXAAUWQWLZUWR
        KWIZLWIZUVQRZOZLSTKFTZUWPUBWIZUXEUWKRZOZLSTZUBBTZUWSUXAUXCUXHUWPUXDEMZU
        XEUWKRZOZLSTZKFTZUXLUBEVLZTZUXMUXCUXGUXPKLFSUXCUXDFNZUXESNZWLZWLZEUWRWK
        ZEUXFWKZOZUXGUXPUYDFBEWOZUWRFUKUXFFUKZUYGUXGWAUYDUVFUYHAUVFUWQUYCIWMZFB
        EWPQUYDEWQZUWRFEUWPWRUYDUVFUYKFOUYJFBEWSQWTUYDUWFUYAUYBUYIAUWFUWQUYCUVD
        WMZUXCUYAUYBXAZUXCUYAUYBXBZUULUXDUXEFXEXCFBUWRUXFEXDXFUYDUYEUWPUYFUXOUY
        DUVGUWQUYEUWPOUYDUVFUVGUYJUVHQAUWQUYCXGFBUWPEXHWCUYDUXOUYFUYDBYTUXDCUXE
        DUULEFUJADECXIROUWQUYCGWMAFUUOOUWQUYCHWMUYJAUUTUWQUYCJWMUUMUUNUYLUYMUYN
        XJXKXLXNXMUXCUVFEFWFUXTUXRWAAUVFUWQIXOZFBEXPUXLUXQUBKFEUXIUXNOZUXKUXPLS
        UYPUXJUXOUWPUXIUXNUXEUWKXQXRXSXTVSUXCUXLUBUXSBUXCUVFUVGUXSBOUYOUVHFBEYD
        VSYAYBUXCUWFUWSUXHWAAUWFUWQUVDXOKUWRUULFLYEQUXCUWNUXAUXMWAAUWNUWQUVEXOU
        BUWPYTBLYEQYFYCAUWCUWDBEVHZUXBUWTWAUWGAUWEUYQUWHUWDBEUSQUWPEUVRVNUWDBUW
        IYGWCAUXAUWQAUXAUWPBYHZNUWQAUWLUYRUWPAUWNBSUEZUYRUWKWEUWLUYRUKUVEYTBYIU
        YSUYRUWKYJVSYKUWPBYLYMYNYFYPUOYOYOYQUUCUUFDUUAUVOUUAPUUCPYRYS $.
    $}

    imasf1oms.r $e |- ( ph -> R e. MetSp ) $.
    $( The image of a metric space is a metric space.  (Contributed by Mario
       Carneiro, 28-Aug-2015.) $)
    imasf1oms $p |- ( ph -> U e. MetSp ) $=
      ( cxms wcel cds cfv cxp cres cmet cms syl eqid cbs msxms imasf1oxms msmet
      wss sqxpeqd reseq2d fveq2d 3eltr4d imasf1omet wf1o wfo f1ofo imasbas ssid
      eleqtrd metres2 sylancl ctopn isms sylanbrc ) ADKLDMNZDUANZVCOPZVCQNZLZDR
      LABCDEFGHIACRLZCKLJCUBSUCAVBVELVCVCUEVFAVBBQNVEABVBCDCMNZFFOZPZEFRGHIJVJT
      VBTAVHCUANZVKOZPZVKQNZVJFQNAVGVMVNLJVMCVKVKTVMTUDSAVIVLVHAFVKHUFUGAFVKQHU
      HUIUJABVCQABCDEFRGHAFBEUKFBEULIFBEUMSJUNUHUPVCUOVBVCVCUQURVDDUSNZDVCVOTVC
      TVDTUTVA $.
  $}

  ${
    $d f x z A $.  $d x y B $.  $d f x z D $.  $d f x y z I $.  $d f x y z P $.
    $d f y z E $.  $d f x y ph $.  $d y z R $.  $d y S $.  $d y W $.  $d y Y $.
    prdsbl.y $e |- Y = ( S Xs_ ( x e. I |-> R ) ) $.
    prdsbl.b $e |- B = ( Base ` Y ) $.
    prdsbl.v $e |- V = ( Base ` R ) $.
    prdsbl.e $e |- E = ( ( dist ` R ) |` ( V X. V ) ) $.
    prdsbl.d $e |- D = ( dist ` Y ) $.
    prdsbl.s $e |- ( ph -> S e. W ) $.
    prdsbl.i $e |- ( ph -> I e. Fin ) $.
    prdsbl.r $e |- ( ( ph /\ x e. I ) -> R e. Z ) $.
    prdsbl.m $e |- ( ( ph /\ x e. I ) -> E e. ( *Met ` V ) ) $.
    prdsbl.p $e |- ( ph -> P e. B ) $.
    prdsbl.a $e |- ( ph -> A e. RR* ) $.
    prdsbl.g $e |- ( ph -> 0 < A ) $.
    $( A ball in the product metric for finite index set is the Cartesian
       product of balls in all coordinates.  For infinite index set this is no
       longer true; instead the correct statement is that a *closed ball* is
       the product of closed balls in each coordinate (where closed ball means
       a set of the form in ~ blcld ) - for a counterexample the point ` p ` in
       ` RR ^ NN ` whose ` n ` -th coordinate is ` 1 - 1 / n ` is in
       ` X_ n e. NN ball ( 0 , 1 ) ` but is not in the ` 1 ` -ball of the
       product (since ` d ( 0 , p ) = 1 ` ).

       The last assumption, ` 0 < A ` , is needed only in the case
       ` I = (/) ` , when the right side evaluates to ` { (/) } ` and the left
       evaluates to ` (/) ` if ` A <_ 0 ` and ` { (/) } ` if ` 0 < A ` .
       (Contributed by Mario Carneiro, 28-Aug-2015.) $)
    prdsbl $p |- ( ph ->
      ( P ( ball ` D ) A ) = X_ x e. I ( ( P ` x ) ( ball ` E ) A ) ) $=
      ( vf vz vy cbl cfv co cv cixp wcel clt wbr wa wral wfn ralrimiva prdsbas3
      wb cfn eleq2d biimpa ixpfn vex elixp baib 3syl cxmet cxr adantlr ad2antrr
      prdsbascl adantr r19.21bi simpr syl22anc ralbidva cmpt crn xmetcl syl3anc
      elbl2 eqid breq1 ralrnmptw syl cc0 csn ralsn sylibr cun ralunb prdsdsval3
      c0ex wi csup wor wne wss xrltso a1i wceq wrex rnmpt abrexfi eqeltrid snfi
      cab unfi sylancl ssun2 snss mpbir ne0i mp1i fmpttd frnd 0xr snssd fisupcl
      c0 unssd syl13anc eqeltrd rspcv syl5bir mpan2d sylbird ssun1 ovex elabrex
      cle adantl eleqtrrdi sselid supxrub syl2an2r breqtrrd prdsxmet mpand elbl
      xrlelttr ralrimdva impbid 3bitrrd pm5.32da blssm ss2ixp sseqtrrd pm4.71rd
      sseld 3bitr4d eqrdv ) AUGFCEUJUKULZBJBUMZFUKZCIUJUKULZUNZAUGUMZDUOZFUVCEU
      LZCUPUQZURZUVDUVCUVBUOZURUVCUURUOZUVHAUVDUVFUVHAUVDURZUVHUUSUVCUKZUVAUOZB
      JUSZUUTUVKIULZCUPUQZBJUSZUVFUVJUVCBJKUNZUOZUVCJUTZUVHUVMVCAUVDUVRADUVQUVC
      ABDGHJKLVDNMOPTUAAGNUOZBJUBVAZQVBZVEVFBJKUVCVGUVHUVSUVMBJUVAUVCUGVHVIVJVK
      UVJUVLUVOBJUVJUUSJUOZURZIKVLUKUOZCVMUOZUUTKUOZUVKKUOZUVLUVOVCAUWCUWEUVDUC
      VNZAUWFUVDUWCUEVOZUVJUWGBJAUWGBJUSUVDABDGHFJKLVDNMOPTUAUWAQUDVPZVQVRZUVJU
      WHBJUVJBDGHUVCJKLVDNMOPAHLUOUVDTVQZAJVDUOZUVDUAVQZAUVTBJUSUVDUWAVQZQAUVDV
      SZVPVRZUVKIUUTCKWFVTWAUVJUVPUVFUVJUVPUHUMZCUPUQZUHBJUVNWBZWCZUSZUVFUVJUVN
      VMUOZBJUSUXCUVPVCUVJUXDBJUWDUWEUWGUWHUXDUWIUWLUWRUUTUVKIKWDWEZVAUWTUVOBUH
      JUVNUXAVMUXAWGZUWSUVNCUPWHWIWJUVJUXCUWTUHWKWLZUSZUVFUVJWKCUPUQZUXHAUXIUVD
      UFVQUWTUXIUHWKWRUWSWKCUPWHWMWNUXCUXHURUWTUHUXBUXGWOZUSZUVJUVFUWTUHUXBUXGW
      PUVJUVEUXJUOUXKUVFWSUVJUVEUXJVMUPWTZUXJUVJBDEGHIFUVCJKLVDNMOPUWMUWOUWPAFD
      UOZUVDUDVQUWQQRSWQZUVJVMUPXAZUXJVDUOZUXJYEXBZUXJVMXCZUXLUXJUOUXOUVJXDXEUV
      JUXBVDUOZUXGVDUOUXPUVJUWNUXSUWOUWNUXBUIUMUVNXFBJXGUIXLZVDBUIJUVNUXAUXFXHZ
      BUIJUVNXIXJWJWKXKUXBUXGXMXNWKUXJUOZUXQUVJUYBUXGUXJXCUXGUXBXOWKUXJWRXPXQUX
      JWKXRXSUVJUXBUXGVMUVJJVMUXAUVJBJUVNVMUXEXTYAUVJWKVMWKVMUOUVJYBXEYCYFZVMUX
      JUPYDYGYHUWTUVFUHUVEUXJUWSUVECUPWHYIWJYJYKYLUVJUVFUVOBJUWDUVNUVEYPUQZUVFU
      VOUWDUVNUXLUVEYPUVJUXRUWCUVNUXJUOUVNUXLYPUQUYCUWDUXBUXJUVNUXBUXGYMUWDUVNU
      XTUXBUWCUVNUXTUOUVJBUIJUVNUUTUVKIYNYOYQUYAYRYSUXJUVNYTUUAUVJUVEUXLXFUWCUX
      NVQUUBUWDUXDUVEVMUOZUWFUYDUVFURUVOWSUXEUWDEDVLUKUOZUXMUVDUYEAUYFUVDUWCABD
      EGHIJKLVDMNOPQRSTUAUBUCUUCZVOAUXMUVDUWCUDVOUVJUVDUWCUWQVQFUVCEDWDWEUWJUVN
      UVECUUFWEUUDUUGUUHUUIUUJAUYFUXMUWFUVIUVGVCUYGUDUEUVCEFCDUUEWEAUVHUVDAUVBD
      UVCAUVBUVQDAUVAKXCZBJUSUVBUVQXCAUYHBJAUWCURUWEUWGUWFUYHUCAUWGBJUWKVRAUWFU
      WCUEVQIUUTCKUUKWEVABJUVAKUULWJUWBUUMUUOUUNUUPUUQ $.
  $}

  ${
    $d x y A $.  $d r w x y z D $.  $d r x y J $.  $d x y z R $.  $d w x y S $.
    $d r y N $.  $d r w x y z P $.  $d z T $.  $d r w x y z X $.
    mopni.1 $e |- J = ( MetOpen ` D ) $.
    $( An open set of a metric space includes a ball around each of its points.
       (Contributed by NM, 3-Sep-2006.)  (Revised by Mario Carneiro,
       12-Nov-2013.) $)
    mopni $p |- ( ( D e. ( *Met ` X ) /\ A e. J /\ P e. A ) ->
                 E. x e. ran ( ball ` D ) ( P e. x /\ x C_ A ) ) $=
      ( vy cxmet cfv wcel cv wss wa cbl crn wrex wral wi elmopn simplbda anbi1d
      wceq eleq1 rexbidv rspccv syl 3impia ) CFIJKZBEKZDBKZDALZKZULBMZNZACOJPZQ
      ZUIUJNHLZULKZUNNZAUPQZHBRZUKUQSUIUJBFMVBHABCEFGTUAVAUQHDBURDUCZUTUOAUPVCU
      SUMUNURDULUDUBUEUFUGUH $.

    $( An open set of a metric space includes a ball around each of its points.
       (Contributed by NM, 2-May-2007.)  (Revised by Mario Carneiro,
       12-Nov-2013.) $)
    mopni2 $p |- ( ( D e. ( *Met ` X ) /\ A e. J /\ P e. A ) ->
                 E. x e. RR+ ( P ( ball ` D ) x ) C_ A ) $=
      ( vy cxmet cfv wcel w3a cv wss wa cbl crn wrex co crp mopni mopnss sselda
      wb blssex adantlr syldan 3impa mpbid ) CFIJKZBEKZDBKZLDHMZKUMBNOHCPJZQRZD
      AMUNSBNATRZHBCDEFGUAUJUKULUOUPUDZUJUKOZULDFKZUQURBFDBCEFGUBUCUJUSUQUKHBCD
      FAUEUFUGUHUI $.

    $( An open set of a metric space includes an arbitrarily small ball around
       each of its points.  (Contributed by NM, 20-Sep-2007.)  (Revised by
       Mario Carneiro, 12-Nov-2013.) $)
    mopni3 $p |- ( ( ( D e. ( *Met ` X ) /\ A e. J /\ P e. A ) /\ R e. RR+ ) ->
        E. x e. RR+ ( x < R /\ ( P ( ball ` D ) x ) C_ A ) ) $=
      ( vy cxmet cfv wcel w3a crp wa cv cbl co wss wrex clt mopni2 adantr simp1
      wbr mopnss sselda 3impa ssblex anassrs sstr expcom anim2d reximdv syl5com
      jca sylan rexlimdva mpd ) CGJKLZBFLZDBLZMZENLZOZDIPZCQKZRZBSZINTZAPZEUAUE
      ZDVKVGRZBSZOZANTZVCVJVDIBCDFGHUBUCVEVIVPINVEVFNLZOVLVMVHSZOZANTZVIVPVCVDV
      QVTVCUTDGLZOVDVQOVTVCUTWAUTVAVBUDUTVAVBWAUTVAOBGDBCFGHUFUGUHUPACDEVFGUIUQ
      UJVIVSVOANVIVRVNVLVRVIVNVMVHBUKULUMUNUOURUS $.

    $( The balls of a metric space are open sets.  (Contributed by NM,
       12-Sep-2006.)  (Revised by Mario Carneiro, 23-Dec-2013.) $)
    blssopn $p |- ( D e. ( *Met ` X ) -> ran ( ball ` D ) C_ J ) $=
      ( cxmet cfv wcel cbl crn ctg ctb wss blbas bastg syl mopnval sseqtrrd ) A
      CEFGZAHFIZSJFZBRSKGSTLACMSKNOABCDPQ $.

    $( The union of a collection of open sets of a metric space is open.
       Theorem T2 of [Kreyszig] p. 19.  (Contributed by NM, 4-Sep-2006.)
       (Revised by Mario Carneiro, 23-Dec-2013.) $)
    unimopn $p |- ( ( D e. ( *Met ` X ) /\ A C_ J ) ->
                 U. A e. J ) $=
      ( cxmet cfv wcel ctop wss cuni mopntop uniopn sylan ) BDFGHCIHACJAKCHBCDE
      LACMN $.

    $( The intersection of two open sets of a metric space is open.
       (Contributed by NM, 4-Sep-2006.)  (Revised by Mario Carneiro,
       23-Dec-2013.) $)
    mopnin $p |- ( ( D e. ( *Met ` X ) /\ A e. J /\ B e. J ) ->
               ( A i^i B ) e. J ) $=
      ( cxmet cfv wcel ctop cin mopntop inopn syl3an1 ) CEGHIDJIADIBDIABKDICDEF
      LABDMN $.

    $( The empty set is an open set of a metric space.  Part of Theorem T1 of
       [Kreyszig] p. 19.  (Contributed by NM, 4-Sep-2006.) $)
    mopn0 $p |- ( D e. ( *Met ` X ) -> (/) e. J ) $=
      ( cxmet cfv wcel ctop c0 mopntop 0opn syl ) ACEFGBHGIBGABCDJBKL $.

    $( A ball of a metric space is an open set.  (Contributed by NM,
       12-Sep-2006.) $)
    rnblopn $p |- ( ( D e. ( *Met ` X ) /\ B e. ran ( ball ` D ) ) ->
        B e. J ) $=
      ( cxmet cfv wcel cbl crn blssopn sselda ) BDFGHBIGJCABCDEKL $.

    $( A ball of a metric space is an open set.  (Contributed by NM,
       9-Mar-2007.)  (Revised by Mario Carneiro, 12-Nov-2013.) $)
    blopn $p |- ( ( D e. ( *Met ` X ) /\ P e. X /\ R e. RR* ) ->
                    ( P ( ball ` D ) R ) e. J ) $=
      ( cxmet cfv wcel cxr w3a cbl crn co wss blssopn 3ad2ant1 blelrn sseldd )
      AEGHIZBEIZCJIZKALHZMZDBCUCNTUAUDDOUBADEFPQABCERS $.

    $( The neighborhoods around a point ` P ` of a metric space are those
       subsets containing a ball around ` P ` .  Definition of neighborhood in
       [Kreyszig] p. 19.  (Contributed by NM, 8-Nov-2007.)  (Revised by Mario
       Carneiro, 23-Dec-2013.) $)
    neibl $p |- ( ( D e. ( *Met ` X ) /\ P e. X ) ->
      ( N e. ( ( nei ` J ) ` { P } ) <-> ( N C_ X /\ E. r e. RR+
        ( P ( ball ` D ) r ) C_ N ) ) ) $=
      ( vy cfv wcel wa wss cv wrex crp wb adantr syl2anc wi w3a cxmet cnei cuni
      csn cbl co ctop mopntop mopnuni eleq2d biimpa isneip sseq2d anbi1d mopni2
      eqid sstr2 com12 reximdv syl5com 3exp imp4a ad2antrr rexlimdv cxr syl3an3
      rpxr blopn blcntr wceq eleq2 sseq1 anbi12d rspcev 3expia pm5.32da 3bitr2d
      expr impbid ) AEUAIJZBEJZKZDBUDCUBIIJZDCUCZLZBHMZJZWFDLZKZHCNZKZDELZWJKWL
      BFMZAUEIUFZDLZFONZKWBCUGJZBWDJZWCWKPVTWQWAACEGUHQVTWAWRVTEWDBACEGUIZUJUKB
      HCDWDWDUPULRWBWLWEWJVTWLWEPWAVTEWDDWSUMQUNWBWLWJWPWBWLKZWJWPWTWIWPHCVTWFC
      JZWIWPSSWAWLVTXAWGWHWPVTXAWGWHWPSVTXAWGTWNWFLZFONWHWPFWFABCEGUOWHXBWOFOXB
      WHWOWNWFDUQURUSUTVAVBVCVDWBWPWJSWLWBWOWJFOVTWAWMOJZWOWJSZVTWAXCTWNCJZBWNJ
      ZXDXCVTWAWMVEJXEWMVGABWMCEGVHVFABWMEVIXEXFWOWJWIXFWOKHWNCWFWNVJWGXFWHWOWF
      WNBVKWFWNDVLVMVNVRRVOVDQVSVPVQ $.

    $( A ball around a point is a neighborhood of the point.  (Contributed by
       NM, 8-Nov-2007.)  (Revised by Mario Carneiro, 24-Aug-2015.) $)
    blnei $p |- ( ( D e. ( *Met ` X ) /\ P e. X /\ R e. RR+ ) ->
              ( P ( ball ` D ) R ) e. ( ( nei ` J ) ` { P } ) ) $=
      ( cxmet cfv wcel crp w3a ctop cbl co csn cnei mopntop 3ad2ant1 cxr rpxr
      blopn syl3an3 blcntr opnneip syl3anc ) AEGHIZBEIZCJIZKDLIZBCAMHNZDIZBUJIU
      JBODPHHIUFUGUIUHADEFQRUHUFUGCSIUKCTABCDEFUAUBABCEUCBDUJUDUE $.

    $( Every ball around a limit point ` P ` of a subset ` S ` includes a
       member of ` S ` (even if ` P e/ S ` ).  (Contributed by NM, 9-Nov-2007.)
       (Revised by Mario Carneiro, 23-Dec-2013.) $)
    lpbl $p |- ( ( ( D e. ( *Met ` X ) /\ S C_ X /\
        P e. ( ( limPt ` J ) ` S ) ) /\ R e. RR+ ) ->
      E. x e. S x e. ( P ( ball ` D ) R ) ) $=
      ( cxmet cfv wcel wss wa cin c0 wne wceq syl syl3anc wex clp w3a crp co cv
      cbl csn cdif wrex cnei neeq1d wral simpl3 ctop cuni simpl1 mopntop simpl2
      ineq1 mopnuni sseqtrd eqid lpss syl2anc sseldd islp2 mpbid eleqtrrd simpr
      wb blnei rspcdva elin eldifi anim2i ancomd sylbi eximi n0 df-rex 3imtr4i
      ) BGIJKZEGLZCEFUAJJZKZUBZDUCKZMZCDBUFJUDZECUGZUHZNZOPZAUEZWIKZAEUIZWHWNWK
      NZOPZWMAWJFUJJJZWIWNWIQWQWLOWNWIWKUSUKWHWEWRAWSULZWBWCWEWGUMZWHFUNKZEFUOZ
      LZCXCKWEWTVJWHWBXBWBWCWEWGUPZBFGHUQRZWHEGXCWBWCWEWGURWHWBGXCQXEBFGHUTRZVA
      ZWHWDXCCWHXBXDWDXCLXFXHEFXCXCVBZVCVDXAVEZCEAFXCXIVFSVGWHWBCGKWGWIWSKXEWHC
      XCGXJXGVHWFWGVIBCDFGHVKSVLWNWLKZATWNEKZWOMZATWMWPXKXMAXKWOWNWKKZMZXMWNWIW
      KVMXOWOXLXNXLWOWNEWJVNVOVPVQVRAWLVSWOAEVTWAR $.

    blcld.3 $e |- S = { z e. X | ( P D z ) <_ R } $.
    $( A smaller closed ball is contained in a larger open ball.  (Contributed
       by Mario Carneiro, 10-Jan-2014.) $)
    blsscls2 $p |- ( ( ( D e. ( *Met ` X ) /\ P e. X ) /\
                       ( R e. RR* /\ T e. RR* /\ R < T ) ) ->
                     S C_ ( P ( ball ` D ) T ) ) $=
      ( cxmet cfv wcel wa cxr clt wbr w3a co wi cv cle crab cbl wral wss xmetcl
      simplr3 ad4ant124 simplr1 simplr2 xrlelttr expcomd syl3anc wb simp2 elbl2
      mpd an4s sylanr1 anassrs sylibrd ralrimiva rabss sylibr eqsstrid ) BHKLMZ
      CHMZNZDOMZFOMZDFPQZRZNZECAUAZBSZDUBQZAHUCZCFBUDLSZJVNVQVOVSMZTZAHUEVRVSUF
      VNWAAHVNVOHMZNZVQVPFPQZVTWCVLVQWDTZVJVKVLVIWBUHWCVPOMZVJVKVLWETVGVHWBWFVM
      CVOBHUGUIVJVKVLVIWBUJVJVKVLVIWBUKWFVJVKRVQVLWDVPDFULUMUNURVIVMWBVTWDUOZVM
      VIVKWBWGVJVKVLUPVGVKVHWBWGVOBCFHUQUSUTVAVBVCVQAHVSVDVEVF $.

    $( A "closed ball" in a metric space is actually closed.  (Contributed by
       Mario Carneiro, 31-Dec-2013.)  (Revised by Mario Carneiro,
       24-Aug-2015.) $)
    blcld $p |- ( ( D e. ( *Met ` X ) /\ P e. X /\ R e. RR* ) ->
        S e. ( Clsd ` J ) ) $=
      ( vy wcel wceq wss wa wbr co cle wb syl2anc adantr vw vx cfv cxr w3a ccld
      cuni cdif mopnuni 3ad2ant1 difeq1d cv cbl crn wrex wral difssd clt simpl3
      cxmet cq simpl1 simpl2 eldifi adantl xmetcl syl3anc wn eldif oveq2 breq1d
      elrab2 simplbi2 con3dimp sylbi xrltnle mpbird qbtwnxr cr wi qre cxne cxad
      rexr ad2antrl xnegcld xaddcld cc0 simprrr xposdif mpbid xblcntr syl112anc
      blelrn cin c0 incom xaddcom simprl xnpcan xrleidd eqbrtrd bldisj syl33anc
      eqtrd syl5eq blssm reldisj syl blsscls2 syl23anc sscond sstrd eleq2 sseq1
      simprrl anbi12d rspcev syl12anc expr sylan2 rexlimdva ralrimiva mpbir2and
      mpd elmopn eqeltrrd ctop mopntop ssrab3 sseqtrid eqid iscld2 ) BGUTUCKZCG
      KZDUDKZUEZEFUFUCKZFUGZEUHZFKZYQGEUHZYTFYQGYSEYNYOGYSLYPBFGHUIUJZUKYQUUBFK
      ZUUBGMZJULZUAULZKZUUGUUBMZNZUABUMUCZUNZUOZJUUBUPZYQGEUQYQUUMJUUBYQUUFUUBK
      ZNZDUBULZUROZUUQCUUFBPZUROZNZUBVAUOZUUMUUPYPUUSUDKZDUUSUROZUVBYNYOYPUUOUS
      ZUUPYNYOUUFGKZUVCYNYOYPUUOVBZYNYOYPUUOVCZUUOUVFYQUUFGEVDVEZCUUFBGVFVGZUUP
      UVDUUSDQOZVHZUUOUVLYQUUOUVFUUFEKZVHNUVLUUFGEVIUVFUVKUVMUVMUVFUVKCAULZBPZD
      QOZUVKAUUFGEUVNUUFLUVOUUSDQUVNUUFCBVJVKIVLVMVNVOVEUUPYPUVCUVDUVLRUVEUVJDU
      USVPSVQUBDUUSVRVGUUPUVAUUMUBVAUUQVAKUUPUUQVSKZUVAUUMVTUUQWAUUPUVQUVAUUMUU
      PUVQUVANZNZUUFUUSUUQWBZWCPZUUKPZUULKZUUFUWBKZUWBUUBMZUUMUVSYNUVFUWAUDKZUW
      CUUPYNUVRUVGTZUUPUVFUVRUVITZUVSUUSUVTUUPUVCUVRUVJTZUVSUUQUVQUUQUDKZUUPUVA
      UUQWDWEZWFWGZBUUFUWAGWNVGUVSYNUVFUWFWHUWAUROZUWDUWGUWHUWLUVSUUTUWMUUPUVQU
      URUUTWIUVSUWJUVCUUTUWMRUWKUWIUUQUUSWJSWKBUUFUWAGWLWMUVSUWBGCUUQUUKPZUHZUU
      BUVSUWBUWNWOZWPLZUWBUWOMZUVSUWPUWNUWBWOZWPUWBUWNWQUVSYNYOUVFUWJUWFUUQUWAW
      CPZUUSQOUWSWPLUWGUUPYOUVRUVHTZUWHUWKUWLUVSUWTUUSUUSQUVSUWTUWAUUQWCPZUUSUV
      SUWJUWFUWTUXBLUWKUWLUUQUWAWRSUVSUVCUVQUXBUUSLUWIUUPUVQUVAWSUUSUUQWTSXEUVS
      UUSUWIXAXBBCUUFUUQUWAGXCXDXFUVSUWBGMZUWQUWRRUVSYNUVFUWFUXCUWGUWHUWLBUUFUW
      AGXGVGUWBUWNGXHXIWKUVSEUWNGUVSYNYOYPUWJUUREUWNMUWGUXAUUPYPUVRUVETUWKUUPUV
      QUURUUTXPABCDEUUQFGHIXJXKXLXMUUJUWDUWENUAUWBUULUUGUWBLUUHUWDUUIUWEUUGUWBU
      UFXNUUGUWBUUBXOXQXRXSXTYAYBYEYCYNYOUUDUUEUUNNRYPJUAUUBBFGHYFUJYDYGYQFYHKZ
      EYSMYRUUARYNYOUXDYPBFGHYIUJYQGEYSUVPAGEIYJUUCYKEFYSYSYLYMSVQ $.

    $( The closure of an open ball in a metric space is contained in the
       corresponding closed ball.  (Equality need not hold; for example, with
       the discrete metric, the closed ball of radius 1 is the whole space, but
       the open ball of radius 1 is just a point, whose closure is also a
       point.)  (Contributed by Mario Carneiro, 31-Dec-2013.) $)
    blcls $p |- ( ( D e. ( *Met ` X ) /\ P e. X /\ R e. RR* ) ->
                  ( ( cls ` J ) ` ( P ( ball ` D ) R ) ) C_ S ) $=
      ( cxmet cfv wcel cxr w3a ccld co wss wbr wa syl2anc cbl ccl blcld cv crab
      cle wral blssm elbl wi xmetcl 3expa 3adantl3 simpl3 xrltle expimpd sylbid
      clt ralrimiv ssrab sylanbrc sseqtrrdi cuni eqid clsss2 ) BGJKLZCGLZDMLZNZ
      EFOKLCDBUAKPZEQVJFUBKKEQABCDEFGHIUCVIVJCAUDZBPZDUFRZAGUEZEVIVJGQVMAVJUGVJ
      VNQBCDGUHVIVMAVJVIVKVJLVKGLZVLDURRZSVMVKBCDGUIVIVOVPVMVIVOSVLMLZVHVPVMUJV
      FVGVOVQVHVFVGVOVQCVKBGUKULUMVFVGVHVOUNVLDUOTUPUQUSVMAGVJUTVAIVBEVJFFVCZVR
      VDVET $.
  $}

  ${
    $d x D $.  $d x P $.  $d x R $.  $d x S $.  $d x X $.
    blsscls.2 $e |- J = ( MetOpen ` D ) $.
    $( If two concentric balls have different radii, the closure of the smaller
       one is contained in the larger one.  (Contributed by Mario Carneiro,
       5-Jan-2014.) $)
    blsscls $p |- ( ( ( D e. ( *Met ` X ) /\ P e. X ) /\
                    ( R e. RR* /\ S e. RR* /\ R < S ) ) ->
            ( ( cls ` J ) ` ( P ( ball ` D ) R ) ) C_ ( P ( ball ` D ) S ) ) $=
      ( vx cxmet cfv wcel wa cxr clt wbr w3a cbl co ccl cv cle crab blcls 3expa
      wss eqid 3ad2antr1 blsscls2 sstrd ) AFIJKZBFKZLZCMKZDMKZCDNOZPLBCAQJZRESJ
      JZBHTARCUAOHFUBZBDUPRULUNUMUQURUEZUOUJUKUMUSHABCUREFGURUFZUCUDUGHABCURDEF
      GUTUHUI $.
  $}

  ${
    $d r s x y z C $.  $d r s x y J $.  $d r s x y K $.  $d s y R $.  $d y S $.
    $d r s x y z D $.  $d r x y ph $.  $d r s x y z X $.  $d a b x C $.
    $d a b x D $.  $d a b x J $.  $d a b x K $.  $d a b x X $.
    metequiv.3 $e |- J = ( MetOpen ` C ) $.
    metequiv.4 $e |- K = ( MetOpen ` D ) $.
    $( Two ways of saying that metric ` D ` generates a finer topology than
       metric ` C ` .  (Contributed by Mario Carneiro, 12-Nov-2013.)  (Revised
       by Mario Carneiro, 24-Aug-2015.) $)
    metss $p |- ( ( C e. ( *Met ` X ) /\ D e. ( *Met ` X ) ) ->
          ( J C_ K <-> A. x e. X A. r e. RR+ E. s e. RR+
                ( x ( ball ` D ) s ) C_ ( x ( ball ` C ) r ) ) ) $=
      ( vy cfv wcel wa wss cv wrex wral crp wceq cxmet cbl crn ctg cuni mopnval
      vz wi co adantr adantl sseq12d ctb wb blbas unirnbl eqtr4d tgss2 syl2an2r
      raleqdv blssex adantll imbi2d ralbidv w3a cxr blelrn syl3an3 blcntr eleq2
      rpxr sseq2 rexbidv imbi12d rspcv com23 ad4ant134 ralrimdva 3expb ad4ant14
      sylc blss r19.29 sstr expcom reximdv impcom rexlimivw syl ex syl5com expr
      impbid bitrd ralbidva 3bitrd ) BFUALZMZCWQMZNZDEOBUBLZUCZUDLZCUBLZUCZUDLZ
      OZAPZKPZMZXHUGPZMXKXIONUGXEQZUHZKXBRZAXBUEZRZXHGPXDUIZXHHPZXAUIZOZGSQZHSR
      ZAFRZWTDXCEXFWRDXCTWSBDFIUFUJWSEXFTWRCEFJUFUKULWRXBUMMWSXOXEUEZTXGXPUNBFU
      OWTXOFYDWRXOFTWSBFUPUJZWSYDFTWRCFUPUKUQAKUGXBXEUMURUSWTXPXNAFRYCWTXNAXOFY
      EUTWTXNYBAFWTXHFMZNZXNXJXQXIOZGSQZUHZKXBRZYBYGXMYJKXBYGXLYIXJWSYFXLYIUNWR
      UGXICXHFGVAVBVCVDYGYKYBYGYKYAHSWRYFXRSMZYKYAUHZWSWRYFYLVEXSXBMZXHXSMZYMYL
      WRYFXRVFMYNXRVKBXHXRFVGVHBXHXRFVIYNYKYOYAYJYOYAUHKXSXBXIXSTZXJYOYIYAXIXSX
      HVJYPYHXTGSXIXSXQVLVMVNVOVPWAVQVRYGYBYJKXBYGXIXBMZNXJYBYIYGYQXJYBYIUHYGYQ
      XJNZNXSXIOZHSQZYBYIWRYRYTWSYFWRYQXJYTHXIBXHFWBVSVTYBYTYIYBYTNYAYSNZHSQYIY
      AYSHSWCUUAYIHSYSYAYIYSXTYHGSXTYSYHXQXSXIWDWEWFWGWHWIWJWKWLVPVRWMWNWOWNWP
      $.

    $( Two ways of saying that two metrics generate the same topology.  Two
       metrics satisfying the right-hand side are said to be (topologically)
       equivalent.  (Contributed by Jeff Hankins, 21-Jun-2009.)  (Revised by
       Mario Carneiro, 12-Nov-2013.) $)
    metequiv $p |- ( ( C e. ( *Met ` X ) /\ D e. ( *Met ` X ) ) ->
      ( J = K <-> A. x e. X
          ( A. r e. RR+ E. s e. RR+
                ( x ( ball ` D ) s ) C_ ( x ( ball ` C ) r ) /\
            A. a e. RR+ E. b e. RR+
                ( x ( ball ` C ) b ) C_ ( x ( ball ` D ) a ) ) ) ) $=
      ( cfv wcel wa wss cv co crp wral cxmet cbl wrex wceq metss ancoms anbi12d
      wb eqss r19.26 3bitr4g ) BFUAMZNZCULNZOZDEPZEDPZOAQZGQCUBMZRURHQBUBMZRPGS
      UCHSTZAFTZURJQUTRURIQUSRPJSUCISTZAFTZODEUDVAVCOAFTUOUPVBUQVDABCDEFGHKLUEU
      NUMUQVDUHACBEDFJILKUEUFUGDEUIVAVCAFUJUK $.

    $( If there is a sequence of radii approaching zero for which the balls of
       both metrics coincide, then the generated topologies are equivalent.
       (Contributed by Mario Carneiro, 26-Aug-2015.) $)
    metequiv2 $p |- ( ( C e. ( *Met ` X ) /\ D e. ( *Met ` X ) ) ->
      ( A. x e. X A. r e. RR+ E. s e. RR+ ( s <_ r /\
        ( x ( ball ` C ) s ) = ( x ( ball ` D ) s ) ) -> J = K ) ) $=
      ( cfv wcel wa cv cbl co crp wrex wral wss cle wbr wceq wi simprrr simplll
      cxmet cxr simplr simprlr rpxrd simprll simprrl syl221anc eqsstrrd simpllr
      ssbl eqsstrd jca expr anassrs reximdva r19.40 syl6 ralimdva r19.26 syl6ib
      metequiv sylibrd ) BFUGKZLZCVJLZMZGNZHNZUAUBZANZVNBOKZPZVQVNCOKZPZUCZMZGQ
      RZHQSZAFSWAVQVOVRPZTZGQRZHQSVSVQVOVTPZTZGQRZHQSMZAFSDEUCVMWEWLAFVMVQFLZMZ
      WEWHWKMZHQSWLWNWDWOHQWNVOQLZMZWDWGWJMZGQRWOWQWCWRGQWNWPVNQLZWCWRUDWNWPWSM
      ZWCWRWNWTWCMZMZWGWJXBWAVSWFWNWTVPWBUEZXBVKWMVNUHLZVOUHLZVPVSWFTVKVLWMXAUF
      VMWMXAUIZXBVNWNWPWSWCUJUKZXBVOWNWPWSWCULUKZWNWTVPWBUMZBVQVNVOFUQUNUOXBVSW
      AWIXCXBVLWMXDXEVPWAWITVKVLWMXAUPXFXGXHXICVQVNVOFUQUNURUSUTVAVBWGWJGQVCVDV
      EWHWKHQVFVGVEABCDEFGHHGIJVHVI $.

    metss2.1 $e |- ( ph -> C e. ( Met ` X ) ) $.
    metss2.2 $e |- ( ph -> D e. ( Met ` X ) ) $.
    metss2.3 $e |- ( ph -> R e. RR+ ) $.
    metss2.4 $e |- ( ( ph /\ ( x e. X /\ y e. X ) ) ->
      ( x C y ) <_ ( R x. ( x D y ) ) ) $.
    $( Lemma for ~ metss2 .  (Contributed by Mario Carneiro, 14-Sep-2015.) $)
    metss2lem $p |- ( ( ph /\ ( x e. X /\ S e. RR+ ) ) ->
      ( x ( ball ` D ) ( S / R ) ) C_ ( x ( ball ` C ) S ) ) $=
      ( wcel wa co syl3anc crp cdiv clt wbr crab cbl cmul cmet ad2antrr simplrl
      cv cfv simpr metcl simplrr rpred ltmuldiv2d cle anassrs adantlrr remulcld
      cr lelttr mpand sylbird ss2rabdv cxmet cxr wceq metxmet syl adantr simprl
      wi rpdivcl syl2anr rpxrd blval rpxr ad2antll 3sstr4d ) ABUKZJQZGUAQZRZRZW
      BCUKZESZGFUBSZUCUDZCJUEZWBWGDSZGUCUDZCJUEZWBWIEUFULSZWBGDUFULSZWFWJWMCJWF
      WGJQZRZWJFWHUGSZGUCUDZWMWRWHGFWREJUHULZQZWCWQWHVBQAXBWEWQNUIAWCWDWQUJZWFW
      QUMZWBWGEJUNTZWRGAWCWDWQUOUPZAFUAQZWEWQOUIZUQWRWLWSURUDZWTWMAWCWQXIWDAWCW
      QXIPUSUTWRWLVBQZWSVBQGVBQXIWTRWMVNWRDXAQZWCWQXJAXKWEWQMUIXCXDWBWGDJUNTWRF
      WHWRFXHUPXEVAXFWLWSGVCTVDVEVFWFEJVGULZQZWCWIVHQWOWKVIAXMWEAXBXMNEJVJVKVLA
      WCWDVMZWFWIWEWDXGWIUAQAWCWDUMOGFVOVPVQCEWBWIJVRTWFDXLQZWCGVHQZWPWNVIAXOWE
      AXKXOMDJVJVKVLXNWDXPAWCGVSVTCDWBGJVRTWA $.

    $( If the metric ` D ` is "strongly finer" than ` C ` (meaning that there
       is a positive real constant ` R ` such that
       ` C ( x , y ) <_ R x. D ( x , y ) ` ), then ` D ` generates a finer
       topology.  (Using this theorem twice in each direction states that if
       two metrics are strongly equivalent, then they generate the same
       topology.)  (Contributed by Mario Carneiro, 14-Sep-2015.) $)
    metss2 $p |- ( ph -> J C_ K ) $=
      ( vs vr cfv crp wcel wss cv cbl co wrex wral cdiv simpr rpdivcl metss2lem
      wa syl2anr wceq oveq2 sseq1d rspcev syl2anc ralrimivva cxmet cmet metxmet
      wb syl metss mpbird ) AGHUAZBUBZPUBZEUCRZUDZVGQUBZDUCRUDZUAZPSUEZQSUFBIUF
      ZAVNBQISAVGITZVKSTZUKZUKVKFUGUDZSTZVGVSVIUDZVLUAZVNVRVQFSTVTAVPVQUHNVKFUI
      ULABCDEFVKGHIJKLMNOUJVMWBPVSSVHVSUMVJWAVLVHVSVGVIUNUOUPUQURADIUSRZTZEWCTZ
      VFVOVBADIUTRZTWDLDIVAVCAEWFTWEMEIVAVCBDEGHIPQJKVDUQVE $.
  $}

  ${
    $d a b c x y D $.  $d a b c x y F $.  $d a b c x y ph $.  $d a b c X $.
    comet.1 $e |- ( ph -> D e. ( *Met ` X ) ) $.
    comet.2 $e |- ( ph -> F : ( 0 [,] +oo ) --> RR* ) $.
    comet.3 $e |- ( ( ph /\ x e. ( 0 [,] +oo ) ) ->
      ( ( F ` x ) = 0 <-> x = 0 ) ) $.
    comet.4 $e |- ( ( ph /\ ( x e. ( 0 [,] +oo ) /\ y e. ( 0 [,] +oo ) ) ) ->
      ( x <_ y -> ( F ` x ) <_ ( F ` y ) ) ) $.
    comet.5 $e |- ( ( ph /\ ( x e. ( 0 [,] +oo ) /\ y e. ( 0 [,] +oo ) ) ) ->
      ( F ` ( x +e y ) ) <_ ( ( F ` x ) +e ( F ` y ) ) ) $.
    $( The composition of an extended metric with a monotonic subadditive
       function is an extended metric.  (Contributed by Mario Carneiro,
       21-Mar-2015.) $)
    comet $p |- ( ph -> ( F o. D ) e. ( *Met ` X ) ) $=
      ( cc0 co cxr wcel cfv cle wbr wceq cxad va vb ccom cvv cxmet elfvexd cpnf
      vc cxp cicc wfn cv wral wf xmetf syl ffnd wa w3a xmetge0 elxrge0 sylanbrc
      xmetcl 3expb sylan ralrimivva ffnov cop opelxpi fvco3 syl2an df-ov fveq2i
      fcod 3eqtr4g eqeq1d fveq2 bibi12d ralrimiva adantr rspcdva xmeteq0 3bitrd
      wb eqeq1 3adantr3 ffvelrnd simpr3 simpr1 fovrnd ge0xaddcl syl2anc xaddcld
      simpr2 3anrot xmettri2 sylan2br breq1 breq1d imbi12d breq2 breq2d rspc2va
      wi syl21anc mpd fvoveq1 oveq1d breq12d oveq2 fveq2d oveq2d xrletrd fvco3d
      opelxpd oveq12d 3brtr4d isxmetd ) AUAUBUHEDUCZUDFADUEFGUFAFFUIZLUGUJMZNED
      HADXTUKUAULZUBULZDMZYAOZUBFUMUAFUMXTYADUNZAXTNDADFUEPOZXTNDUNZGDFUOUPZUQA
      YEUAUBFFAYGYBFOZYCFOZURZYEGYGYJYKYEYGYJYKUSYDNOLYDQRYEYBYCDFVCYBYCDFUTYDV
      AVBVDVEZVFUAUBFFYADVGVBZVNAYLURZYBYCXSMZLSYDEPZLSZYDLSZYBYCSZYOYPYQLYOYBY
      CVHZXSPZUUADPZEPZYPYQAYHUUAXTOUUBUUDSYLYIYBYCFFVIXTNUUAEDVJVKYBYCXSVLYDUU
      CEYBYCDVLVMVOZVPYOBULZEPZLSZUUFLSZWDZYRYSWDBYAYDUUFYDSZUUHYRUUIYSUUKUUGYQ
      LUUFYDEVQZVPUUFYDLWEVRAUUJBYAUMYLAUUJBYAIVSVTYMWAAYGYLYSYTWDZGYGYJYKUUMYB
      YCDFWBVDVEWCAYJYKUHULZFOZUSZURZYQUUNYBDMZEPZUUNYCDMZEPZTMZYPUUNYBXSMZUUNY
      CXSMZTMQUUQYQUURUUTTMZEPZUVBUUQYANYDEAYANEUNUUPHVTZAYJYKYEUUOYMWFZWGUUQYA
      NUVEEUVGUUQUURYAOZUUTYAOZUVEYAOZUUQUUNYBYAFFDAYFUUPYNVTZAYJYKUUOWHZAYJYKU
      UOWIZWJZUUQUUNYCYAFFDUVLUVMAYJYKUUOWNZWJZUURUUTWKWLZWGUUQUUSUVAUUQYANUURE
      UVGUVOWGUUQYANUUTEUVGUVQWGWMUUQYDUVEQRZYQUVFQRZAYGUUPUVSGUUPYGUUOYJYKUSUV
      SUUOYJYKWOYBYCUUNDFWPWQVEUUQYEUVKUUFCULZQRZUUGUWAEPZQRZXDZCYAUMBYAUMZUVSU
      VTXDZUVHUVRAUWFUUPAUWEBCYAYAJVFVTUWEUWGYDUWAQRZYQUWCQRZXDBCYDUVEYAYAUUKUW
      BUWHUWDUWIUUFYDUWAQWRUUKUUGYQUWCQUULWSWTUWAUVESZUWHUVSUWIUVTUWAUVEYDQXAUW
      JUWCUVFYQQUWAUVEEVQXBWTXCXEXFUUQUVIUVJUUFUWATMEPZUUGUWCTMZQRZCYAUMBYAUMZU
      VFUVBQRZUVOUVQAUWNUUPAUWMBCYAYAKVFVTUWMUWOUURUWATMZEPZUUSUWCTMZQRBCUURUUT
      YAYAUUFUURSZUWKUWQUWLUWRQUUFUURUWAETXGUWSUUGUUSUWCTUUFUUREVQXHXIUWAUUTSZU
      WQUVFUWRUVBQUWTUWPUVEEUWAUUTUURTXJXKUWTUWCUVAUUSTUWAUUTEVQXLXIXCXEXMAYJYK
      YPYQSUUOUUEWFUUQUVCUUSUVDUVATUUQUUNYBVHZXSPUXADPZEPUVCUUSUUQXTNUXAEDAYHUU
      PYIVTZUUQUUNYBFFUVMUVNXOXNUUNYBXSVLUURUXBEUUNYBDVLVMVOUUQUUNYCVHZXSPUXDDP
      ZEPUVDUVAUUQXTNUXDEDUXCUUQUUNYCFFUVMUVPXOXNUUNYCXSVLUUTUXEEUUNYCDVLVMVOXP
      XQXR $.
  $}

  ${
    $d x y A $.  $d a b r s x y z C $.  $d r s z D $.  $d r s z J $.  $d z S $.
    $d x y B $.  $d x y z P $.  $d a b r s x y z R $.  $d a b r s x y z X $.
    stdbdmet.1 $e |- D = ( x e. X , y e. X |->
      if ( ( x C y ) <_ R , ( x C y ) , R ) ) $.
    $( Value of the standard bounded metric.  (Contributed by Mario Carneiro,
       26-Aug-2015.) $)
    stdbdmetval $p |- ( ( R e. V /\ A e. X /\ B e. X ) ->
      ( A D B ) = if ( ( A C B ) <_ R , ( A C B ) , R ) ) $=
      ( wcel co cle wbr cif wceq cvv ovex ifexg cv mpan oveq12 ifbieq1d ovmpoga
      wa breq1d syl3an3 3comr ) CIKZDIKZGHKZCDFLCDELZGMNZULGOZPZUKUIUJUNQKZUOUL
      QKUKUPCDERUMULGQHSUAABCDIIATZBTZELZGMNZUSGOUNFQUQCPURDPUEZUTUMUSULGVAUSUL
      GMUQCURDEUBZUFVBUCJUDUGUH $.

    $( The standard bounded metric is an extended metric given an extended
       metric and a positive extended real cutoff.  (Contributed by Mario
       Carneiro, 26-Aug-2015.) $)
    stdbdxmet $p |- ( ( C e. ( *Met ` X ) /\ R e. RR* /\ 0 < R ) ->
        D e. ( *Met ` X ) ) $=
      ( vz wcel cxr cc0 wbr co cv cle wa wceq cvv syl2anc cxad va cxmet cfv clt
      vb w3a cpnf cicc cif cmpt ccom cmpo simp1 xmetcl xmetge0 elxrge0 sylanbrc
      3expb sylan cxp wf xmetf 3ad2ant1 ffnd fnov sylib eqidd breq1 id ifbieq1d
      wfn fmpoco eqtr4di eliccxr simp2 ifcl syl2anr fmpttd ifexg sylancr fvmptg
      vex eqid eqeq1d wb eqeq1 bibi1d biidd wn simp3 gt0ne0d neneqd ad2antrr wi
      0xr xrltle mpd adantr syl5ibrcom con3dimp 2falsed ifbothda bitrd ad2antrl
      xrmin1 ifcld ad2antll xrletr syl3anc mpand xrmin2 xrlemin sylibrd adantrr
      jctird breq12d xaddcld xaddid2 syl a1i simprbi xleadd1a syl31anc eqbrtrrd
      simpr xrletrd oveq2 breq2d ifboth xaddid1d breq2 xleadd2a oveq1 ge0xaddcl
      ovex oveq12d 3brtr4d comet eqeltrrd ) CFUBUCZIZEJIZKEUDLZUFZHKUGUHMZHNZEO
      LZUUFEUIZUJZCUKZDYTUUDUUJABFFANZBNZCMZEOLZUUMEUIZULDUUDABHFFUUEUUMUUHUUOC
      UUIUUDUUAUUKFIZUULFIZPUUMUUEIZUUAUUBUUCUMZUUAUUPUUQUURUUAUUPUUQUFUUMJIKUU
      MOLUURUUKUULCFUNUUKUULCFUOUUMUPUQURUSUUDCFFUTZVKCABFFUUMULQUUDUUTJCUUAUUB
      UUTJCVAUUCCFVBVCVDABFFCVEVFUUDUUIVGUUFUUMQZUUGUUNUUFUUMEUUFUUMEOVHUVAVIVJ
      VLGVMUUDUAUECUUIFUUSUUDHUUEUUHJUUFUUEIUUFJIUUBUUHJIUUDUUFKUGVNUUAUUBUUCVO
      ZUUGUUFEJVPVQVRUUDUANZUUEIZPZUVCUUIUCZKQUVCEOLZUVCEUIZKQZUVCKQZUVEUVFUVHK
      UVDUVDUVHRIZUVFUVHQZUUDUVDVIUUDUVCRIUUBUVKUAWBUVBUVGUVCERJVSVTHUVCUUHUVHU
      UERUUIUUFUVCQZUUGUVGUUFUVCEUUFUVCEOVHUVMVIVJUUIWCZWAVQZWDUVGUVJUVJWEEKQZU
      VJWEUVIUVJWEUVEUVCEUVCUVHQZUVJUVIUVJUVCUVHKWFWGEUVHQZUVPUVIUVJEUVHKWFWGUV
      EUVGPUVJWHUVEUVGWIZPUVPUVJUUDUVPWIUVDUVSUUDEKUUDEUUAUUBUUCWJZWKWLWMUVEUVJ
      UVGUVEUVGUVJKEOLZUUDUWAUVDUUDUUCUWAUVTUUDKJIZUUBUUCUWAWNWOUVBKEWPVTWQZWRU
      VCKEOVHWSWTXAXBXCUUDUVDUENZUUEIZPZPZUVCUWDOLZUVHUWDEOLZUWDEUIZOLZUVFUWDUU
      IUCZOLUWGUWHUVHUWDOLZUVHEOLZPZUWKUWGUWHUWMUWNUWGUVHUVCOLZUWHUWMUWGUVCJIZU
      UBUWPUVDUWQUUDUWEUVCKUGVNXDZUUDUUBUWFUVBWRZUVCEXESUWGUVHJIZUWQUWDJIZUWPUW
      HPUWMWNUWGUVGUVCEJUWRUWSXFZUWRUWEUXAUUDUVDUWDKUGVNXGZUVHUVCUWDXHXIXJUWGUW
      QUUBUWNUWRUWSUVCEXKSXOUWGUWTUXAUUBUWKUWOWEUXBUXCUWSUVHUWDEXLXIXMUWGUVFUVH
      UWLUWJOUUDUVDUVLUWEUVOXNZUWFUWEUWJRIZUWLUWJQUUDUVDUWEYEUUDUWDRIUUBUXEUEWB
      UVBUWIUWDERJVSVTHUWDUUHUWJUUERUUIUUFUWDQZUUGUWIUUFUWDEUUFUWDEOVHUXFVIVJUV
      NWAVQZXPXMUWGUVCUWDTMZEOLZUXHEUIZUVHUWJTMZUXHUUIUCZUVFUWLTMOUWGUXJUVCUWJT
      MZOLZUXJEUWJTMZOLZUXJUXKOLZUWGUXJUXHOLZUXJUVCETMZOLZUXNUWGUXHJIZUUBUXRUWG
      UVCUWDUWRUXCXQZUWSUXHEXESUWGUXJEUXSUWGUXIUXHEJUYBUWSXFZUWSUWGUVCEUWRUWSXQ
      UWGUYAUUBUXJEOLUYBUWSUXHEXKSZUWGKETMZEUXSOUWGUUBUYEEQUWSEXRXSUWGUWBUWQUUB
      KUVCOLZUYEUXSOLUWBUWGWOXTZUWRUWSUVDUYFUUDUWEUVDUWQUYFUVCUPYAXDKUVCEYBYCYD
      YFUWIUXRUXTUXNUWDEUWDUWJQUXHUXMUXJOUWDUWJUVCTYGYHEUWJQUXSUXMUXJOEUWJUVCTY
      GYHYISUWGUXJEUXOUYCUWSUWGEUWJUWSUWGUWIUWDEJUXCUWSXFZXQUYDUWGEKTMZEUXOOUWG
      EUWSYJUWGUWBUWJJIUUBKUWJOLZUYIUXOOLUYGUYHUWSUWGKUWDOLZUWAUYJUWEUYKUUDUVDU
      WEUXAUYKUWDUPYAXGUUDUWAUWFUWCWRUWIUYKUWAUYJUWDEUWDUWJKOYKEUWJKOYKYISKUWJE
      YLYCYDYFUVGUXNUXPUXQUVCEUVQUXMUXKUXJOUVCUVHUWJTYMYHUVRUXOUXKUXJOEUVHUWJTY
      MYHYISUWFUXHUUEIUXJRIZUXLUXJQUUDUVCUWDYNUUDUXHRIUUBUYLUVCUWDTYOUVBUXIUXHE
      RJVSVTHUXHUUHUXJUUERUUIUUFUXHQZUUGUXIUUFUXHEUUFUXHEOVHUYMVIVJUVNWAVQUWGUV
      FUVHUWLUWJTUXDUXGYPYQYRYS $.

    $( The standard bounded metric is a proper metric given an extended metric
       and a positive real cutoff.  (Contributed by Mario Carneiro,
       26-Aug-2015.) $)
    stdbdmet $p |- ( ( C e. ( *Met ` X ) /\ R e. RR+ ) -> D e. ( Met ` X ) ) $=
      ( cfv wcel wa cr cxr cc0 wbr 3expb cv cle wral adantlr ad2antlr cxmet crp
      cxp wf cmet clt rpxr rpgt0 jca stdbdxmet sylan2 co cif ifcld rpre xmetge0
      xmetcl rpge0 breq2 ifboth syl2anc xrmin2 xrrege0 syl22anc ralrimivva fmpo
      sylib ismet2 sylanbrc ) CFUAHZIZEUBIZJZDVJIZFFUCKDUDZDFUEHIVLVKELIZMEUFNZ
      JVNVLVPVQEUGZEUHUIVKVPVQVNABCDEFGUJOUKVMAPZBPZCULZEQNZWAEUMZKIZBFRAFRVOVM
      WDABFFVMVSFIZVTFIZJZJZWCLIEKIZMWCQNZWCEQNZWDWHWBWAELVKWGWALIZVLVKWEWFWLVS
      VTCFUQOSZVLVPVKWGVRTZUNVLWIVKWGEUOTWHMWAQNZMEQNZWJVKWGWOVLVKWEWFWOVSVTCFU
      POSVLWPVKWGEURTWBWOWPWJWAEWAWCMQUSEWCMQUSUTVAWHWLVPWKWMWNWAEVBVAWCEVCVDVE
      ABFFWCKDGVFVGDFVHVI $.

    $( The standard bounded metric corresponding to ` C ` generates the same
       balls as ` C ` for radii less than ` R ` .  (Contributed by Mario
       Carneiro, 26-Aug-2015.) $)
    stdbdbl $p |- ( ( ( C e. ( *Met ` X ) /\ R e. RR* /\ 0 < R ) /\
      ( P e. X /\ S e. RR* /\ S <_ R ) ) ->
        ( P ( ball ` D ) S ) = ( P ( ball ` C ) S ) ) $=
      ( vz cfv wcel cxr clt wbr cle wa co adantr syl3anc cxmet cc0 w3a crab cbl
      cv cif simpll2 simpr1 simpr stdbdmetval breq1d wn simplr3 biantrud simpr2
      wceq wb simpl1 xmetcl xrlemin bitr4d notbid xrltnle syl2anc ifcld 3bitr4d
      rabbidva stdbdxmet blval 3eqtr4d ) CHUAKZLZFMLZUBFNOZUCZEHLZGMLZGFPOZUCZQ
      ZEJUFZDRZGNOZJHUDZEWBCRZGNOZJHUDZEGDUEKRZEGCUEKRZWAWDWGJHWAWBHLZQZWDWFFPO
      ZWFFUGZGNOZWGWLWCWNGNWLVNVQWKWCWNUQVMVNVOVTWKUHZWAVQWKVPVQVRVSUIZSZWAWKUJ
      ZABEWBCDFMHIUKTULWLGWFPOZUMZGWNPOZUMZWGWOWLWTXBWLWTWTVSQZXBWLVSWTVQVRVSVP
      WKUNUOWLVRWFMLZVNXBXDURWAVRWKVPVQVRVSUPZSZWLVMVQWKXEWAVMWKVMVNVOVTUSZSWRW
      SEWBCHUTTZWPGWFFVATVBVCWLXEVRWGXAURXIXGWFGVDVEWLWNMLVRWOXCURWLWMWFFMXIWPV
      FXGWNGVDVEVGVBVHWADVLLZVQVRWIWEUQVPXJVTABCDFHIVISWQXFJDEGHVJTWAVMVQVRWJWH
      UQXHWQXFJCEGHVJTVK $.

    stdbdmopn.2 $e |- J = ( MetOpen ` C ) $.
    $( The standard bounded metric corresponding to ` C ` generates the same
       topology as ` C ` .  (Contributed by Mario Carneiro, 26-Aug-2015.) $)
    stdbdmopn $p |- ( ( C e. ( *Met ` X ) /\ R e. RR* /\ 0 < R ) ->
        J = ( MetOpen ` D ) ) $=
      ( vs vr vz wcel cxr cc0 clt wbr cle wceq crp cxmet cfv w3a cv cbl co wrex
      wa wral cmopn cif cr rpxr ad2antll simpl2 ifcld rpgt0 simpl3 breq2 ifboth
      rpre syl2anc 0xr xrltle sylancr mpd xrmin1 xrrege0 syl22anc simprl xrmin2
      wi elrpd 3jca stdbdbl syldan eqcomd breq1 eqeq12d anbi12d rspcev syl12anc
      oveq2 ralrimivva simp1 stdbdxmet eqid metequiv2 ) CGUAUBZMZENMZOEPQZUCZJU
      DZKUDZRQZLUDZWNCUEUBZUFZWQWNDUEUBZUFZSZUHZJTUGZKTUILGUIZFDUJUBZSZWMXDLKGT
      WMWQGMZWOTMZUHZUHZWOERQZWOEUKZTMXMWORQZWQXMWRUFZWQXMWTUFZSZXDXKXMXKXMNMZW
      OULMZOXMRQZXNXMULMXKXLWOENXIWONMZWMXHWOUMUNZWJWKWLXJUOZUPZXIXSWMXHWOVAUNX
      KOXMPQZXTXKOWOPQZWLYEXIYFWMXHWOUQUNWJWKWLXJURXLYFWLYEWOEWOXMOPUSEXMOPUSUT
      VBZXKONMXRYEXTVLVCYDOXMVDVEVFXKYAWKXNYBYCWOEVGVBZXMWOVHVIYGVMYHXKXPXOWMXJ
      XHXRXMERQZUCXPXOSXKXHXRYIWMXHXIVJYDXKYAWKYIYBYCWOEVKVBVNABCDWQEXMGHVOVPVQ
      XCXNXQUHJXMTWNXMSZWPXNXBXQWNXMWORVRYJWSXOXAXPWNXMWQWRWCWNXMWQWTWCVSVTWAWB
      WDWMWJDWIMXEXGVLWJWKWLWEABCDEGHWFLCDFXFGJKIXFWGWHVBVF $.
  $}

  ${
    $d d x y D $.  $d d J $.  $d d x y X $.
    mopnex.1 $e |- J = ( MetOpen ` D ) $.
    $( The topology generated by an extended metric can also be generated by a
       true metric.  Thus, "metrizable topologies" can equivalently be defined
       in terms of metrics or extended metrics.  (Contributed by Mario
       Carneiro, 26-Aug-2015.) $)
    mopnex $p |- ( D e. ( *Met ` X ) ->
      E. d e. ( Met ` X ) J = ( MetOpen ` d ) ) $=
      ( vx vy cxmet cfv wcel cv co c1 cle wbr cif cmpo cmet cmopn wceq wrex crp
      1rp eqid stdbdmet mpan2 cxr cc0 clt 0lt1 stdbdmopn mp3an23 fveq2 rspceeqv
      1xr syl2anc ) ACHIJZFGCCFKGKALZMNOURMPQZCRIZJZBUSSIZTZBDKZSIZTDUTUAUQMUBJ
      VAUCFGAUSMCUSUDZUEUFUQMUGJUHMUIOVCUOUJFGAUSMBCVFEUKULDUSUTVEVBBVDUSSUMUNU
      P $.
  $}

  ${
    $d d n r t u w x y z D $.  $d d m n r t u w x y z J $.
    $d n r t u w x y z A $.  $d d n r t u w x y z X $.
    methaus.1 $e |- J = ( MetOpen ` D ) $.
    $( The topology generated by a metric space is Hausdorff.  (Contributed by
       Mario Carneiro, 21-Mar-2015.)  (Revised by Mario Carneiro,
       26-Aug-2015.) $)
    methaus $p |- ( D e. ( *Met ` X ) -> J e. Haus ) $=
      ( vd vx vy vm vn cfv wcel cv wceq wrex cha cin c0 w3a co syl3anc cmet wne
      cxmet cmopn mopnex wi wral wa c2 cdiv cbl cxr metxmet ad2antrr simplrl cr
      metcl 3expb adantr cc0 clt wbr wb metgt0 elrpd rphalfcld rpxrd eqid blopn
      biimpa simplrr crp blcntr cxad cle caddc rpred recnd 2halvesd eqtrd leidd
      rexaddd eqbrtrd bldisj syl33anc eleq2 ineq1 eqeq1d 3anbi13d ineq2 rspc2ev
      3anbi23d syl113anc ex ralrimivva ctopon mopntopon ishaus2 3syl syl5ibrcom
      mpbird eleq1 rexlimiv syl ) ACUCJZKBELZUDJZMZECUAJZNBOKZABCEDUEXHXJEXIXFX
      IKZXJXHXGOKZXKXLFLZGLZUBZXMHLZKZXNILZKZXPXRPZQMZRZIXGNHXGNZUFZGCUGFCUGZXK
      YDFGCCXKXMCKZXNCKZUHZUHZXOYCYIXOUHZXMXMXNXFSZUIUJSZXFUKJZSZXGKZXNYLYMSZXG
      KZXMYNKZXNYPKZYNYPPZQMZYCYJXFXEKZYFYLULKZYOXKUUBYHXOXFCUMZUNZXKYFYGXOUOZY
      JYLYJYKYJYKYIYKUPKZXOXKYFYGUUGXMXNXFCUQURUSZYIXOUTYKVAVBZXKYFYGXOUUIVCXMX
      NXFCVDURVJVEVFZVGZXFXMYLXGCXGVHZVITYJUUBYGUUCYQUUEXKYFYGXOVKZUUKXFXNYLXGC
      UULVITYJUUBYFYLVLKZYRUUEUUFUUJXFXMYLCVMTYJUUBYGUUNYSUUEUUMUUJXFXNYLCVMTYJ
      UUBYFYGUUCUUCYLYLVNSZYKVOVBUUAUUEUUFUUMUUKUUKYJUUOYKYKVOYJUUOYLYLVPSYKYJY
      LYLYJYLUUJVQZUUPWBYJYKYJYKUUHVRVSVTYJYKUUHWAWCXFXMXNYLYLCWDWEYBYRYSUUARYR
      XSYNXRPZQMZRHIYNYPXGXGXPYNMZXQYRYAUURXSXPYNXMWFUUSXTUUQQXPYNXRWGWHWIXRYPM
      ZXSYSUURUUAYRXRYPXNWFUUTUUQYTQXRYPYNWJWHWLWKWMWNWOXKUUBXGCWPJKXLYEVCUUDXF
      XGCUULWQFGIHXGCWRWSXABXGOXBWTXCXD $.

    $( The topology generated by a metric space is first-countable.
       (Contributed by Mario Carneiro, 21-Mar-2015.) $)
    met1stc $p |- ( D e. ( *Met ` X ) -> J e. 1stc ) $=
      ( vy vx vz vw vn vr wcel cv com wbr wss wa wrex cn co crp cxmet ctop cdom
      cfv wel wi wral cpw cuni c1stc mopntop mopnuni eleq2d biimpar c1 cdiv cbl
      cmpt crn cxr simpll simplr nnrp adantl rpreccld rpxrd syl3anc fmpttd frnd
      blopn nnex mptex rnex elpw sylibr cen cdm wfo omelon nnenom ensymi isnumi
      ccrd con0 mp2an wfn ovex eqid fnmpti mpbi fodomnum mp2 domentr a1i simprl
      dffn4 simprr mopni2 clt simp-4l simp-4r nnrpd blcntr cle simplrl ad2antrl
      cr nnrecre rpred ltled ssbl syl221anc simplrr sstrd jca elrp nnrecl sylbi
      cc0 reximddv rexlimddv cvv ovexd wceq wb vex oveq2 oveq2d cbvmptv elrnmpt
      mp1i eleq2 sseq1 anbi12d rexxfr2d mpbird expr ralrimiva breq1 rexeq
      imbi2d ralbidv rspcev syl12anc syldan is1stc2 sylanbrc ) ACUAUDKZBUBKELZM
      UCNZFGUEZFHUEZHLZGLZOZPZHUUIQZUFZGBUGZPZEBUHZQZFBUIZUGBUJKABCDUKUUHUVBFUV
      CUUHFLZUVCKZUVDCKZUVBUUHUVFUVEUUHCUVCUVDABCDULUMUNUUHUVFPZIRUVDUOILZUPSZA
      UQUDZSZURZUSZUVAKZUVMMUCNZUUKUUPHUVMQZUFZGBUGZUVBUVGUVMBOUVNUVGRBUVLUVGIR
      UVKBUVGUVHRKZPZUUHUVFUVIUTKUVKBKUUHUVFUVSVAUUHUVFUVSVBUVTUVIUVTUVHUVSUVHT
      KUVGUVHVCVDVEVFAUVDUVIBCDVJVGVHVIUVMBUVLIRUVKVKVLVMVNVOUVOUVGUVMRUCNZRMVP
      NUVORWCVQKZRUVMUVLVRZUWAMWDKMRVPNUWBVSRMVTWAMRWBWEUVLRWFUWCIRUVKUVLUVDUVI
      UVJWGUVLWHWIRUVLWPWJRUVMUVLWKWLVTUVMRMWMWEWNUVGUVQGBUVGUUNBKZUUKUVPUVGUWD
      UUKPZPZUVPUVDUVDUOUUIUPSZUVJSZKZUWHUUNOZPZERQZUWFUVDJLZUVJSZUUNOZUWLJTUWF
      UUHUWDUUKUWOJTQUUHUVFUWEVAUVGUWDUUKWOUVGUWDUUKWQJUUNAUVDBCDWRVGUWFUWMTKZU
      WOPZPZUWGUWMWSNZUWKERUWRUUIRKZUWSPZPZUWIUWJUXBUUHUVFUWGTKUWIUUHUVFUWEUWQU
      XAWTZUUHUVFUWEUWQUXAXAZUXBUUIUXBUUIUWRUWTUWSWOXBVEZAUVDUWGCXCVGUXBUWHUWNU
      UNUXBUUHUVFUWGUTKUWMUTKUWGUWMXDNUWHUWNOUXCUXDUXBUWGUXEVFUXBUWMUWFUWPUWOUX
      AXEZVFUXBUWGUWMUWTUWGXGKUWRUWSUUIXHXFUXBUWMUXFXIUWRUWTUWSWQXJAUVDUWGUWMCX
      KXLUWFUWPUWOUXAXMXNXOUWPUWSERQZUWFUWOUWPUWMXGKXSUWMWSNPUXGUWMXPUWMEXQXRXF
      XTYAUWFUUPUWKHEUWHUVMRYBUWFUWTPUVDUWGUVJYCUUMYBKUUMUVMKUUMUWHYDZERQYEUWFH
      YFERUWHUUMUVLYBIERUVKUWHUVHUUIYDUVIUWGUVDUVJUVHUUIUOUPYGYHYIYJYKUXHUUPUWK
      YEUWFUXHUULUWIUUOUWJUUMUWHUVDYLUUMUWHUUNYMYNVDYOYPYQYRUUTUVOUVRPEUVMUVAUU
      IUVMYDZUUJUVOUUSUVRUUIUVMMUCYSUXIUURUVQGBUXIUUQUVPUUKUUPHUUIUVMYTUUAUUBYN
      UUCUUDUUEYRFEGHBUVCUVCWHUUFUUG $.

    $( A separable metric space (a metric space with a countable dense subset)
       is second-countable.  (Contributed by Mario Carneiro, 13-Apr-2015.) $)
    met2ndci $p |- ( ( D e. ( *Met ` X ) /\ ( A C_ X /\ A ~<_ _om /\
      ( ( cls ` J ) ` A ) = X ) ) -> J e. 2ndc ) $=
      ( vx vy vz wcel wss com wbr wceq wa cn cv co wrex adantr syl3anc vw vu vr
      vn vt cxmet cfv cdom ccl w3a c1 cdiv cbl cmpo crn c2ndc ctop wral mopntop
      ctg cxp wf simpll simplr1 simprr sseldd simprl nnrpd rpreccld rpxrd blopn
      cxr ralrimivva eqid fmpo sylib frnd crp mopni2 c2 clt rphalfcld cr nnrecl
      cc0 elrp sylbi syl cin c0 wne wex cuni ad2antrr mopnuni ad3antrrr sseqtrd
      simpr1 simplrr simplrl elunii syl2anc eleqtrrd simpr3 simprrl clsndisj n0
      blcntr syl32anc simpr elin2d eqidd oveq2 oveq2d eqeq2d oveq1 rspc2ev ovex
      eqeq1 2rexbidv rnmpo elab2 sylibr elin1d blcom syl22anc mpbid cle simprll
      wb simprrr wi rpre ltle syl2an mpd ssbl sstrd rexlimddv cen rpred simprlr
      syl221anc blhalf eleq2 sseq1 anbi12d rspcev syl12anc exlimddv anassrs ctb
      basgen2 eqeltrd tgclb ccrd cdm con0 omelon simpr2 nnex xpdom2 nnenom omex
      wfo enref xpen mp2an entri domentr sylancl ondomen sylancr wfn ffnd dffn4
      xpomen fodomnum sylc domtr 2ndci eqeltrrd ) BDUFUGIZADJZAKUHLZACUIUGUGZDM
      ZUJZNZFGOAGPZUKFPZULQZBUMUGZQZUNZUOZUTUGZCUPUWICUQIZUWPCJHPZUAPZIZUWTUBPZ
      JZNZUAUWPRZHUXBURUBCURUWQCMUWCUWRUWHBCDEUSSZUWIOAVAZCUWOUWIUWNCIZGAURFOUR
      UXGCUWOVBUWIUXHFGOAUWIUWKOIZUWJAIZNZNZUWCUWJDIUWLVLIUXHUWCUWHUXKVCUXLADUW
      JUWDUWEUWGUWCUXKVDUWIUXIUXJVEVFUXLUWLUXLUWKUXLUWKUWIUXIUXJVGVHVIVJBUWJUWL
      CDEVKTVMFGOAUWNCUWOUWOVNZVOVPZVQUWIUXEUBHCUXBUWIUXBCIZUWSUXBIZNZNZUWSUCPZ
      UWMQZUXBJZUXEUCVRUXRUWCUXOUXPUYAUCVRRUWCUWHUXQVCZUWIUXOUXPVGUWIUXOUXPVEUC
      UXBBUWSCDEVSTUXRUXSVRIZUYANZNZUKUDPZULQZUXSVTULQZWALZUXEUDOUYEUYHVRIZUYIU
      DORZUYEUXSUXRUYCUYAVGWBUYJUYHWCIZWEUYHWALNUYKUYHWFUYHUDWDWGWHUXRUYDUYFOIZ
      UYINZUXEUXRUYDUYNNZNZUEPZUWSUYGUWMQZAWIZIZUXEUEUYPUYSWJWKZUYTUEWLUYPUWRAC
      WMZJUWSUWFIUYRCIZUWSUYRIZVUAUWIUWRUXQUYOUXFWNUYPADVUBUWIUWDUXQUYOUWCUWDUW
      EUWGWRWNZUWCDVUBMUWHUXQUYOBCDEWOWPZWQUYPUWSDUWFUYPUWSVUBDUYPUXPUXOUWSVUBI
      UWIUXOUXPUYOWSUWIUXOUXPUYOWTUWSUXBCXAXBVUFXCZUWIUWGUXQUYOUWCUWDUWEUWGXDWN
      XCUYPUWCUWSDIZUYGVLIZVUCUXRUWCUYOUYBSZVUGUYPUYGUYPUYFUYPUYFUXRUYDUYMUYIXE
      ZVHVIZVJZBUWSUYGCDEVKTUYPUWCVUHUYGVRIZVUDVUJVUGVULBUWSUYGDXHTUWSAUYRCVUBV
      UBVNXFXIUEUYSXGVPUYPUYTNZUYQUYGUWMQZUWPIZUWSVUPIZVUPUXBJZUXEVUOVUPUWNMZGA
      RFORZVUQVUOUYMUYQAIVUPVUPMZVVAUYPUYMUYTVUKSVUOUYRAUYQUYPUYTXJZXKZVUOVUPXL
      VUTVVBVUPUWJUYGUWMQZMFGUYFUYQOAUWKUYFMZUWNVVEVUPVVFUWLUYGUWJUWMUWKUYFUKUL
      XMXNXOUWJUYQMVVEVUPVUPUWJUYQUYGUWMXPXOXQTUWSUWNMZGARFORVVAHVUPUWPUYQUYGUW
      MXRUWSVUPMVVGVUTFGOAUWSVUPUWNXSXTFGHOAUWNUWOUXMYAYBYCVUOUYQUYRIZVURVUOUYR
      AUYQVVCYDVUOUWCVUIVUHUYQDIZVVHVURYJUYPUWCUYTVUJSZUYPVUIUYTVUMSZUYPVUHUYTV
      UGSVUOADUYQUYPUWDUYTVUESVVDVFZUYQBUWSUYGDYEYFYGZVUOVUPUYQUYHUWMQZUXBVUOUW
      CVVIVUIUYHVLIUYGUYHYHLZVUPVVNJVVJVVLVVKVUOUYHVUOUXSUYPUYCUYTUXRUYCUYAUYNY
      IZSZWBVJUYPVVOUYTUYPUYIVVOUXRUYDUYMUYIYKUYPVUNUYJUYIVVOYLZVULUYPUXSVVPWBV
      UNUYGWCIUYLVVRUYJUYGYMUYHYMUYGUYHYNYOXBYPSBUYQUYGUYHDYQUUCZVUOVVNUXTUXBVU
      OUWCVVIUXSWCIUWSVVNIVVNUXTJVVJVVLVUOUXSVVQUUAVUOVUPVVNUWSVVSVVMVFUXSBDUYQ
      UWSUUDYFUYPUYAUYTUXRUYCUYAUYNUUBSYRYRUXDVURVUSNUAVUPUWPUWTVUPMUXAVURUXCVU
      SUWTVUPUWSUUEUWTVUPUXBUUFUUGUUHUUIUUJUUKYSYSVMUBHUAUWPCUUMTZUWIUWPUULIZUW
      PKUHLZUWQUPIUWIUWQUQIVWAUWIUWQCUQVVTUXFUUNUWPUUOYCUWIUWPUXGUHLZUXGKUHLZVW
      BUWIUXGUUPUUQIZUXGUWPUWOUVEZVWCUWIKUURIVWDVWEUUSUWIUXGOKVAZUHLZVWGKYTLVWD
      UWIUWEVWHUWCUWDUWEUWGUUTAKOUVAUVBWHVWGKKVAZKOKYTLKKYTLVWGVWIYTLUVCKUVDUVF
      OKKKUVGUVHUVQUVIUXGVWGKUVJUVKZKUXGUVLUVMUWIUWOUXGUVNVWFUWIUXGCUWOUXNUVOUX
      GUWOUVPVPUXGUWPUWOUVRUVSVWJUWPUXGKUVTXBUWPUWAXBUWB $.

    $( A metric space is second-countable iff it is separable (has a countable
       dense subset).  (Contributed by Mario Carneiro, 13-Apr-2015.) $)
    met2ndc $p |- ( D e. ( *Met ` X ) -> ( J e. 2ndc <->
      E. x e. ~P X ( x ~<_ _om /\ ( ( cls ` J ) ` x ) = X ) ) ) $=
      ( cxmet cfv wcel c2ndc cv com cdom wbr ccl wceq wa cpw wrex cuni eqid wss
      2ndcsep mopnuni pweqd eqeq2d rexeqbidv syl5ibr elpwi met2ndci 3exp2 imp4a
      anbi2d wi syl5 rexlimdv impbid ) BDFGHZCIHZAJZKLMZUSCNGGZDOZPZADQZRZURVEU
      QUTVACSZOZPZAVFQZRACVFVFTUBUQVCVHAVDVIUQDVFBCDEUCZUDUQVBVGUTUQDVFVAVJUEUL
      UFUGUQVCURAVDUSVDHUSDUAZUQVCURUMUSDUHUQVKUTVBURUQVKUTVBURUSBCDEUIUJUKUNUO
      UP $.
  $}

  ${
    $d r u x y z C $.  $d r y D $.  $d r u x y z J $.  $d r u x y z X $.
    $d r u x y z Y $.  $d x K $.
    metrest.1 $e |- D = ( C |` ( Y X. Y ) ) $.
    metrest.3 $e |- J = ( MetOpen ` C ) $.
    metrest.4 $e |- K = ( MetOpen ` D ) $.
    $( Two alternate formulations of a subspace topology of a metric space
       topology.  (Contributed by Jeff Hankins, 19-Aug-2009.)  (Proof shortened
       by Mario Carneiro, 5-Jan-2014.) $)
    metrest $p |- ( ( C e. ( *Met ` X ) /\ Y C_ X ) -> ( J |`t Y ) = K ) $=
      ( vu vy vr vz wcel wss wa cin wrex crp wi vx cxmet cfv crest co wceq wral
      cbl inss1 elmopn2 simplbda adantlr ssralv mpsyl ssrin reximi ralimi inss2
      syl jctil sseq1 sseq2 rexbidv raleqbi1dv anbi12d syl5ibrcom rexlimdva cab
      cv cuni ctop mopntop ad2antrr wel ssel2 cxr w3a blopn eleq1a 3expa sylan2
      rpxr anassrs adantrd adantrr abssdv uniopn syl2anc ineq1d sseq1d ad2antll
      oveq1 rspccv ssel blcntr a1d ancld reximdva ex sylan9r mpdd eleq2d rspcev
      sylcom simprl sseld jcad elin sylan2br expr rexlimivw imp impbid1 eluniab
      ancom anass r19.41v rexbii bitr2i 3bitri exbii ovex ineq1 ceqsexv rexcom4
      wex eleq2 bitr3i anbi1i bitrdi eqrdv rspceeqv impbid wb simpr elind blres
      rexbidva ralbidva cvv pm5.32da bitr4d mopnm ssexg syl2anr elrest syl2an2r
      id cxp cres xmetres2 eqeltrid 3bitr4d ) AEUBUCNZFEOZPZUACFUDUEZDUUPUAVIZJ
      VIZFQZUFZJCRZUURFOZKVIZLVIZBUHUCUEZUUROZLSRZKUURUGZPZUURUUQNZUURDNZUUPUVB
      UVCUVDUVEAUHUCZUEZFQZUUROZLSRZKUURUGZPZUVJUUPUVBUVSUUPUVAUVSJCUUPUUSCNZPZ
      UVSUVAUUTFOZUVOUUTOZLSRZKUUTUGZPUWAUWEUWBUWAUVNUUSOZLSRZKUUTUGZUWEUUTUUSO
      UWAUWGKUUSUGZUWHUUSFUIUUNUVTUWIUUOUUNUVTUUSEOUWIKLUUSACEHUJUKULUWGKUUTUUS
      UMUNUWGUWDKUUTUWFUWCLSUVNUUSFUOUPUQUSUUSFURUTUVAUVCUWBUVRUWEUURUUTFVAUVQU
      WDKUURUUTUVAUVPUWCLSUURUUTUVOVBVCVDVEVFVGUUPUVSUVBUUPUVSPZMVIZUVNUFZLSRZK
      UURRZUWKFQZUUROZPZMVHZVJZCNZUURUWSFQZUFUVBUWJCVKNZUWRCOUWTUUNUXBUUOUVSACE
      HVLZVMUWJUWQMCUUPUVCUWQUWKCNZTUVRUUPUVCPZUWNUXDUWPUXEUWMUXDKUURUUPUVCKUAV
      NZUWMUXDTZUVCUXFPZUUPUVDFNZUXGUURFUVDVOZUUNUUOUXIUXGUUOUXIPZUUNUVDENZUXGF
      EUVDVOZUUNUXLPZUWLUXDLSUVESNZUXNUVEVPNZUWLUXDTZUVEWBZUUNUXLUXPUXQUUNUXLUX
      PVQUVNCNUXQAUVDUVECEHVRUVNCUWKVSUSVTWAVGWAWCWAWCVGWDWEWFUWRCWGWHUWJJUURUX
      AUWJJUAVNZUVPUUSUVNNZPZLSRZKUURRZUUSFNZPZUUSUXANZUWJUXSUYEUWJUXSUYCUYDUWJ
      UXSUUSUVEUVMUEZFQZUUROZUUSUYGNZPZLSRZUYCUWJUXSUYILSRZUYLUVRUXSUYMTUUPUVCU
      VQUYMKUUSUURUVDUUSUFZUVPUYILSUYNUVOUYHUURUYNUVNUYGFUVDUUSUVEUVMWLZWIWJZVC
      WMWKUUPUVCUXSUYMUYLTZTUVRUVCUXSUYDUUPUYQUURFUUSWNUUOUYDUUSENZUUNUYQFEUUSW
      NUUNUYRUYQUUNUYRPUYIUYKLSUUNUYRUXOUYIUYKTUUNUYRUXOVQZUYIUYJUYSUYJUYIAUUSU
      VEEWOWPWQVTWRWSWTWTWEXAUXSUYLUYCUYBUYLKUUSUURUYNUYAUYKLSUYNUVPUYIUXTUYJUY
      PUYNUVNUYGUUSUYOXBVEVCXCWSXDUWJUURFUUSUUPUVCUVRXEXFXGUYCUYDUXSUYBUYDUXSTZ
      KUURUYAUYTLSUVPUXTUYDUXSUXTUYDPUVPUUSUVONUXSUUSUVNFXHUVOUURUUSVOXIXJXKXKX
      LXMUYFUUSUWSNZUYDPUYEUUSUWSFXHVUAUYCUYDVUAJMVNZUWQPZMYFUWLUWPVUBPZPZLSRZK
      UURRZMYFZUYCUWQMUUSXNVUCVUGMVUCUWQVUBPUWNVUDPZVUGVUBUWQXOUWNUWPVUBXPVUGUW
      MVUDPZKUURRVUIVUFVUJKUURUWLVUDLSXQXRUWMVUDKUURXQXSXTYAUYCVUFMYFZKUURRVUHU
      YBVUKKUURUYBVUEMYFZLSRVUKVULUYALSVUDUYAMUVNUVDUVEUVMYBUWLUWPUVPVUBUXTUWLU
      WOUVOUURUWKUVNFYCWJUWKUVNUUSYGVEYDXRVUELMSYEYHXRVUFKMUURYEXSXTYIXSYJYKJUW
      SCUUTUXAUURUUSUWSFYCYLWHWSYMUUPUVCUVIUVRUXEUVHUVQKUURUUPUVCUXFUVHUVQYNZUX
      HUUPUXIVUMUXJUUNUUOUXIVUMUXKUUNUVDEFQNZVUMUXKEFUVDUXMUUOUXIYOYPUUNVUNPZUV
      GUVPLSUXOVUOUXPUVGUVPYNZUXRUUNVUNUXPVUPUUNVUNUXPVQUVFUVOUURBAUVDUVEEFGYQW
      JVTWAYRWAWCWAWCYSUUAUUBUUNUXBUUOFYTNZUVKUVBYNUXCUUOUUOECNVUQUUNUUOUUHACEH
      UUCFECUUDUUEJUURFCVKYTUUFUUGUUPBFUBUCZNUVLUVJYNUUPBAFFUUIUUJVURGAFEUUKUUL
      KLUURBDFIUJUSUUMYK $.
  $}

  $( The restriction of a metric space is a metric space.  (Contributed by
     Mario Carneiro, 24-Aug-2015.) $)
  ressxms $p |- ( ( K e. *MetSp /\ A e. V ) -> ( K |`s A ) e. *MetSp ) $=
    ( cxms wcel cds cfv cbs cxp cres cxmet crest cmopn wceq cin eqid adantr syl
    co syl5eq wa cress ctopn xmsxmet xmetres resres reseq2i eqtri ressds adantl
    inxp incom ressbas sqxpeqd reseq12d fveq2d 3eltr3d xmstopn oveq1d wss inss1
    xpss12 mp2an resabs1 ax-mp eqtr4i metrest sylancl cuni xmstps tpsuni ineq2d
    eqtrd oveq2d ctopon istps sylib restin sylan eqtr4d 3eqtr3d resstopn isxms2
    ctps sylanbrc ) BDEZACEZUAZBAUBSZFGZWIHGZWKIZJZWKKGZEBUCGZALSZWMMGZNWIDEWHB
    FGZBHGZWSIZJZAAIZJZWSAOZKGZWMWNWHXAWSKGEZXCXEEWFXFWGXABWSWSPZXAPZUDQZXAAWSU
    ERWHXCWRXDXDIZJZWMXCWRWTXBOZJXKWRWTXBUFXLXJWRWSWSAAUKUGUHZWHWRWJXJWLWGWRWJN
    WFAWRBWICWIPZWRPUIUJWHXDWKWHXDAWSOZWKWSAULZWGXOWKNWFAWSWICBXNXGUMUJTZUNUOTZ
    WHXDWKKXQUPUQWHWOXDLSZXCMGZWPWQWHXSXAMGZXDLSZXTWHWOYAXDLWFWOYANWGXAWOBWSWOP
    ZXGXHURQUSWHXFXDWSUTZYBXTNXIWSAVAZXAXCYAXTWSXDXCXKXAXJJZXMXJWTUTZYFXKNYDYDY
    GYEYEXDWSXDWSVBVCWRXJWTVDVEVFYAPXTPVGVHVMWHXSWOAWOVIZOZLSZWPWHXDYIWOLWHXDXO
    YIXPWHWSYHAWFWSYHNZWGWFBWDEZYKBVJZWSWOBXGYCVKRQVLTVNWFWOWSVOGZEZWGWPYJNWFYL
    YOYMWSWOBXGYCVPVQAWOYNCYHYHPVRVSVTWHXCWMMXRUPWAWMWPWIWKAWIWOBXNYCWBWKPWMPWC
    WE $.

  $( The restriction of a metric space is a metric space.  (Contributed by
     Mario Carneiro, 24-Aug-2015.) $)
  ressms $p |- ( ( K e. MetSp /\ A e. V ) -> ( K |`s A ) e. MetSp ) $=
    ( cms wcel cress cxms cds cfv cbs cxp cres cmet cin eqid wceq adantl syl5eq
    wa co msxms ressxms sylan msmet adantr metres syl resres inxp reseq2i eqtri
    ressds incom ressbas sqxpeqd reseq12d 3eltr3d ctopn crest resstopn sylanbrc
    fveq2d isms ) BDEZACEZSZBAFTZGEZVGHIZVGJIZVJKZLZVJMIZEVGDEVDBGEVEVHBUAABCUB
    UCVFBHIZBJIZVOKZLZAAKZLZVOANZMIZVLVMVFVQVOMIEZVSWAEVDWBVEVQBVOVOOZVQOUDUEVQ
    AVOUFUGVFVSVNVTVTKZLZVLVSVNVPVRNZLWEVNVPVRUHWFWDVNVOVOAAUIUJUKVFVNVIWDVKVEV
    NVIPVDAVNBVGCVGOZVNOULQVFVTVJVFVTAVONZVJVOAUMVEWHVJPVDAVOVGCBWGWCUNQRZUOUPR
    VFVTVJMWIVBUQVLBURIZAUSTVGVJAVGWJBWGWJOUTVJOVLOVCVA $.

  ${
    $d g k p r w y B $.  $d g k m p r u w x y D $.  $d g k m n p r u w x z I $.
    $d m n u C $.  $d g n r w E $.  $d g k x S $.  $d g k x W $.  $d g k x Y $.
    $d p r u w K $.  $d g k p r u w x ph $.  $d g k m n p r u w x z R $.
    $d r V $.
    prdsxms.y $e |- Y = ( S Xs_ R ) $.
    ${
      prdsxms.s $e |- ( ph -> S e. W ) $.
      prdsxms.i $e |- ( ph -> I e. Fin ) $.
      prdsxms.d $e |- D = ( dist ` Y ) $.
      prdsxms.b $e |- B = ( Base ` Y ) $.
      ${
        prdsms.r $e |- ( ph -> R : I --> MetSp ) $.
        $( Lemma for ~ prdsms .  The distance function of a product structure
           is an extended metric.  (Contributed by Mario Carneiro,
           28-Aug-2015.) $)
        prdsmslem1 $p |- ( ph -> D e. ( Met ` B ) ) $=
          ( vk cfv cds cbs cmet eqid cv cmpt cprds co cxp cres cms ffvelrnda wa
          wcel msmet syl prdsmet feqmptd oveq2d syl5eq fveq2d 3eltr4d ) AEOFOUA
          ZDPZUBZUCUDZQPZVBRPZSPCBSPAOVDVCUTEUTQPUTRPZVEUEUFZFVEGVBUGVBTVDTVETZ
          VFTZVCTJKAFUGUSDNUHZAUSFUJUIUTUGUJVFVESPUJVIVFUTVEVGVHUKULUMACHQPVCLA
          HVBQAHEDUCUDVBIADVAEUCAOFUGDNUNUOUPZUQUPABVDSABHRPVDMAHVBRVJUQUPUQUR
          $.
      $}

      prdsxms.r $e |- ( ph -> R : I --> *MetSp ) $.
      $( Lemma for ~ prdsms .  The distance function of a product structure is
         an extended metric.  (Contributed by Mario Carneiro, 28-Aug-2015.) $)
      prdsxmslem1 $p |- ( ph -> D e. ( *Met ` B ) ) $=
        ( vk cfv cds cbs cxmet eqid cmpt cprds cxp cres cfn cxms ffvelrnda wcel
        cv co wa xmsxmet syl prdsxmet feqmptd oveq2d syl5eq fveq2d 3eltr4d ) AE
        OFOUIZDPZUAZUBUJZQPZVCRPZSPCBSPAOVEVDVAEVAQPVARPZVFUCUDZFVFGUEVCUFVCTVE
        TVFTZVGTZVDTJKAFUFUTDNUGZAUTFUHUKVAUFUHVGVFSPUHVJVGVAVFVHVIULUMUNACHQPV
        DLAHVCQAHEDUBUJVCIADVBEUBAOFUFDNUOUPUQZURUQABVESABHRPVEMAHVCRVKURUQURUS
        $.

      prdsxms.j $e |- J = ( TopOpen ` Y ) $.
      prdsxms.v $e |- V = ( Base ` ( R ` k ) ) $.
      prdsxms.e $e |- E = ( ( dist ` ( R ` k ) ) |` ( V X. V ) ) $.
      prdsxms.k $e |- K = ( TopOpen ` ( R ` k ) ) $.
      prdsxms.c $e |- C = { x | E. g ( ( g Fn I /\
          A. k e. I ( g ` k ) e. ( ( TopOpen o. R ) ` k ) /\ E. z e. Fin
          A. k e. ( I \ z ) ( g ` k ) = U. ( ( TopOpen o. R ) ` k ) ) /\
        x = X_ k e. I ( g ` k ) ) } $.
      $( Lemma for ~ prdsxms .  The topology generated by the supremum metric
         is the same as the product topology, when the index set is finite.
         (Contributed by Mario Carneiro, 28-Aug-2015.) $)
      prdsxmslem2 $p |- ( ph -> J = ( MetOpen ` D ) ) $=
        ( vp vr vn vm vu vw vy ctopn cfv cbl crn c0 csn cdif ctg cmopn cfn wcel
        wfn wceq cvv wf topnfn cxms sylib sylancr syl2anc wss cv wral cuni wrex
        w3a wa wex wi wne co cxr cxmet wb syl adantr simprl syl3anc cds cbs cxp
        cixp cres cmpt 3ad2ant1 ovex eqid ffvelrnda cprds feqmptd oveq2d syl5eq
        ralrimiva fveq2d eleqtrd blopn 2fveq3 eqtr4di fveq2 sylan eqtrd anbi12d
        fveq1 eleq1d ixpeq2dva syl121anc sylbid eqtrdi raleqdv rspcev sseqtrrdi
        weq syl5bi cfi ccnv cima xmstps eqeltrd ctopon eqeltrrd ad2antrr cnveqd
        ctop ctps crp ccom cpt ffnd dffn2 fnfco cab wal eldifsn prdsxmslem1 cc0
        ptval blrn clt simprr xbln0 mptexd rgenw fnmpt xmsxmet simp2l prdsbascl
        mp1i r19.21bi simp2r sqxpeqd reseq12d eqidd oveq123d fvmpt adantl fvco3
        xmstopn 3eltr4d oveqd cbvmptv oveq2i simp3 prdsbl fneq1 sylan9eq eqeq2d
        wbr ralbidv spcegv 3impib 3expia simpr neeq1d df-3an ral0 difid sylancl
        difeq2 biantrud bitr4id bi2anan9 exbidv 3imtr4d rexlimdvva impd alrimiv
        eqeq1 ex ssab sylibr cmpo cun ssv fnssres mp2an fvres tpstop rgen ffnfv
        mpbir2an ptbasfi mopntop prdsbas2 istps toponuni eqtr3id unieqd cbvixpv
        fco2 mopntopon toponmax mpteq1d imaeq1d mptpreima elrab2 simprrr mopni2
        snssd ciun ad3antrrr simprrl rpxr ad2antrl blcntr blssm simplrr simplll
        crab rpgt0 eleq2d biimpa vex elixp simprbi simp-4r sseldd ssrabdv eleq2
        rsp sylc sseq1 syl12anc rexlimddv expr ralrimiv eltop2 mpbird raleqbidv
        mpteq2dv cbvralvw fmpox frnd unssd eqsstrd fitop mopnval tgdif0 sseqtrd
        fiss 2basgen eqtr4d prdstopn 3eqtr4d ) AUPGUUAZUUBUQZFURUQZUSZUTVAVBZVC
        UQZMFVDUQZAVVTEVCUQZVWDALVEVFZVVSLVGZVVTVWFVHTAUPVIVGZLVIGVJZVWHVKAGLVG
        VWJALVLGUCUUCZLGUUDVMVILUPGUUEVNBJCLEIVVSVEUHUUKVOAVWCEVPEVWDVPVWDVWFVH
        AVWCIVQZLVGZJVQZVWLUQZVWNVVSUQZVFZJLVRZVWOVWPVSZVHZJLCVQZVBZVRZCVEVTZWA
        ZBVQZJLVWOWQZVHZWBZIWCZBUUFZEAVXFVWCVFZVXJWDZBUUGVWCVXKVPAVXMBVXLVXFVWB
        VFZVXFUTWEZWBAVXJVXFVWBUTUUHAVXNVXOVXJAVXNVXFUIVQZUJVQZVWAWFZVHZUJWGVTU
        IDVTZVXOVXJWDZAFDWHUQVFZVXNVXTWIADFGHLPQRSTUAUBUCUUIZUIVXFFDUJUULWJAVXS
        VYAUIUJDWGAVXPDVFZVXQWGVFZWBZWBZVXSVYAVYGVXSWBZVXRUTWEZVWMVWRWBZVXRVXGV
        HZWBZIWCZVXOVXJVYGVYIVYMWDVXSVYGVYIUUJVXQUUMUWBZVYMVYGVYBVYDVYEVYIVYNWI
        AVYBVYFVYCWKAVYDVYEWLAVYDVYEUUNFVXPVXQDUUOWMAVYFVYNVYMAVYFVYNWAZUKLUKVQ
        ZVXPUQZVXQVYPGUQZWNUQZVYRWOUQZVYTWPZWRZURUQZWFZWSZVIVFZWUELVGZVWNWUEUQZ
        VWPVFZJLVRZVXRJLVWNVXPUQZVXQKURUQZWFZWQZVHZVYMVYOUKLWUDVEAVYFVWGVYNTWTZ
        UUPWUDVIVFZUKLVRWUGVYOWUQUKLVYQVXQWUCXAUUQUKLWUDWUEVIWUEXBZUURUVBVYOWUI
        JLVYOVWNLVFZWBZWUMKVDUQZWUHVWPWUTKOWHUQVFZWUKOVFZVYEWUMWVAVFWUTVWNGUQZV
        LVFZWVBVYOLVLVWNGAVYFLVLGVJZVYNUCWTZXCZKWVDOUEUFUUSZWJZVYOWVCJLVYOJHJLW
        VDWSZXDWFZWOUQZWVDHVXPLOPVEVLWVLWVLXBWVMXBAVYFHPVFVYNSWTZWUPVYOWVEJLWVH
        XHUEVYOVXPDWVMAVYDVYEVYNUUTZVYODQWOUQZWVMUBVYOQWVLWOVYOQHGXDWFZWVLRVYOG
        WVKHXDVYOJLVLGWVGXEXFXGXIXGXJUVAUVCVYOVYEWUSAVYDVYEVYNUVDZWKKWUKVXQWVAO
        WVAXBZXKWMWUSWUHWUMVHVYOUKVWNWUDWUMLWUEUKJYGZVYQWUKVXQVXQWUCWULWVTWUBKU
        RWVTWUBWVDWNUQZOOWPZWRKWVTVYSWWAWUAWWBVYPVWNWNGXLWVTVYTOWVTVYTWVDWOUQZO
        VYPVWNWOGXLUEXMUVEUVFUFXMXIVYPVWNVXPXNWVTVXQUVGUVHWURWUKVXQWULXAUVIZUVJ
        WUTVWPNWVAVYOWVFWUSVWPNVHZWVGWVFWUSWBVWPWVDUPUQNLVLVWNUPGUVKUGXMZXOWUTW
        VENWVAVHZWVHKNWVDOUGUEUFUVLZWJXPUVMXHVYOVXRVXPVXQHUKLVYRWSZXDWFZWNUQZUR
        UQZWFWUNVYOVWAWWLVXPVXQVYOFWWKURVYOFQWNUQWWKUAVYOQWWJWNVYOQWVQWWJRVYOGW
        WIHXDVYOUKLVLGWVGXEXFXGZXIXGXIUVNVYOJVXQWWJWOUQZWWKVXPWVDHKLOPWWJVLWWIW
        VKHXDUKJLVYRWVDVYPVWNGXNUVOUVPWWNXBUEUFWWKXBWVNWUPWVHWVJVYOVXPDWWNWVOVY
        ODWVPWWNUBVYOQWWJWOWWMXIXGXJWVRAVYFVYNUVQUVRXPZWUFWUGWUJWBZWUOVYMVYLWWP
        WUOWBIWUEVIVWLWUEVHZVYJWWPVYKWUOWWQVWMWUGVWRWUJLVWLWUEUVSWWQVWQWUIJLWWQ
        VWOWUHVWPVWNVWLWUEXRZXSUWCXQWWQVXGWUNVXRWWQJLVWOWUMWWQWUSVWOWUHWUMWWRWW
        DUVTXTUWAXQUWDUWEYAUWFYBWKVYHVXFVXRUTVYGVXSUWGUWHVYHVXIVYLIVYGVXEVYJVXS
        VXHVYKVYGVXEVYJVXDWBVYJVWMVWRVXDUWIVYGVXDVYJAVXDVYFAVWGVWTJUTVRZVXDTVWT
        JUWJVXCWWSCLVEVXALVHZVWTJVXBUTWWTVXBLLVBUTVXALLUWMLUWKYCYDYEUWLWKUWNUWO
        VXFVXRVXGUXBUWPUWQUWRUXCUWSYBUWTYHUXAVXJBVWCUXDUXEUHYFAEVWEYIUQZVWDAEUK
        LVYPVVSUQZVSZWQZVAZULUMLULVQZVVSUQZUNWXDWXFUNVQZUQZWSZYJZUMVQZYKZUXFZUS
        ZUXGZYIUQZWXAAVWGLYRVVSVJZEWXQVHTAVLYRUPVLWRZVJZWVFWXRWXTWXSVLVGZVXFWXS
        UQZYRVFZBVLVRVWIVLVIVPWYAVKVLUXHVIVLUPUXIUXJWYCBVLVXFVLVFZWYBVXFUPUQZYR
        VXFVLUPUXKWYDVXFYSVFWYEYRVFVXFYLWYEVXFWYEXBUXLWJYMUXMBVLYRWXSUXNUXOUCLV
        LYRUPGUYDVNBJCUNUMLEIULUKVVSVEWXDUHWXDXBUXPVOAVWEYRVFZWXPVWEVPWXQWXAVPA
        VYBWYFVYCFVWEDVWEXBZUXQWJZAWXEWXOVWEAWXDVWEADWXDVWEADJLVWSWQZWXDADJLWWC
        WQWYIAJDGHLPVEQRUBSTVWKUXRAJLWWCVWSAWUSWBZWWCOVWSUEWYJVWPOYNUQZVFOVWSVH
        WYJVWPNWYKAWVFWUSWWEUCWWFXOZWYJWVDYSVFZNWYKVFWYJWVEWYMALVLVWNGUCXCZWVDY
        LWJONWVDUEUGUXSVMYMOVWPUXTWJUYAXTXPJUKLVWSWXCJUKYGVWPWXBVWNVYPVVSXNUYBU
        YCYCZAVWEDYNUQVFZDVWEVFAVYBWYPVYCFVWEDWYGUYEWJDVWEUYFWJYOUYMAULLWXFVAWX
        GWPUYNZVWEWXNAWXMVWEVFZUMWXGVRZULLVRZWYQVWEWXNVJAUNWXDVWNWXHUQZWSZYJZWX
        LYKZVWEVFZUMVWPVRZJLVRWYTAXUFJLWYJXUFXUEUMNVRWYJXUEUMNWYJWXLNVFZWBZUNDX
        UAWSZYJZWXLYKZXUDVWEXUHXUJXUCWXLXUHXUIXUBAXUIXUBVHWUSXUGAUNDWXDXUAWYOUY
        GYPYQUYHXUHXUKVWEVFZVXPUOVQZVFZXUMXUKVPZWBZUOVWEVTZUIXUKVRZXUHXUQUIXUKV
        XPXUKVFVYDWUKWXLVFZWBZXUHXUQXUAWXLVFZXUSUNVXPDXUKUNUIYGXUAWUKWXLVWNWXHV
        XPXRXSUNDXUAWXLXUIXUIXBUYIZUYJWYJXUGXUTXUQWYJXUGXUTWBZWBZWUMWXLVPZXUQUJ
        YTXVDWVBWXLWVAVFXUSXVEUJYTVTWYJWVBXVCWYJWVEWVBWYNWVIWJWKXVDWXLNWVAWYJXU
        GXUTWLWYJWWGXVCWYJWVEWWGWYNWWHWJWKXJWYJXUGVYDXUSUYKUJWXLKWUKWVAOWVSUYLW
        MXVDVXQYTVFZXVEWBZWBZVXRVWEVFZVXPVXRVFZVXRXUKVPZXUQXVHVYBVYDVYEXVIAVYBW
        USXVCXVGVYCUYOZXVDVYDXVGWYJXUGVYDXUSUYPWKZXVFVYEXVDXVEVXQUYQUYRZFVXPVXQ
        VWEDWYGXKWMXVHVYBVYDXVFXVJXVLXVMXVDXVFXVEWLFVXPVXQDUYSWMXVHVXRXVAUNDVUC
        XUKXVHXVAUNDVXRXVHVYBVYDVYEVXRDVPXVLXVMXVNFVXPVXQDUYTWMXVHWXHVXRVFZWBZW
        UMWXLXUAXVDXVFXVEXVOVUAXVPXUAWUMVFZJLVRZWUSXVQXVPWXHWUNVFZXVRXVHXVOXVSX
        VHVXRWUNWXHXVHAVYDVYEVYNWUOAWUSXVCXVGVUBXVMXVNXVFVYNXVDXVEVXQVUDUYRWWOY
        AVUEVUFXVSWXHLVGXVRJLWUMWXHUNVUGVUHVUIWJAWUSXVCXVGXVOVUJXVQJLVUNVUOVUKV
        ULXVBYFXUPXVJXVKWBUOVXRVWEXUMVXRVHXUNXVJXUOXVKXUMVXRVXPVUMXUMVXRXUKVUPX
        QYEVUQVURVUSYHVUTXUHWYFXULXURWIAWYFWUSXUGWYHYPUIUOXUKVWEVVAWJVVBYOXHWYJ
        XUEUMVWPNWYLYDVVBXHXUFWYSJULLJULYGZXUEWYRUMVWPWXGVWNWXFVVSXNXVTXUDWXMVW
        EXVTXUCWXKWXLXVTXUBWXJXVTUNWXDXUAWXIVWNWXFWXHXNVVDYQUYHXSVVCVVEVMULUMLW
        XGWXMVWEWXNWXNXBVVFVMVVGVVHWXPVWEYRVVNVOVVIAWXAVWEVWDAWYFWXAVWEVHWYHVWE
        VVJWJAVWEVWBVCUQZVWDAVYBVWEXWAVHVYCFVWEDWYGVVKWJVWBVVLXMZXPVVMVWCEVVOVO
        VVPAGHLMPVEQRSTVWKUDVVQXWBVVR $.
    $}

    $( The indexed product structure is an extended metric space when the index
       set is finite.  (Although the extended metric is still valid when the
       index set is infinite, it no longer agrees with the product topology,
       which is not metrizable in any case.)  (Contributed by Mario Carneiro,
       28-Aug-2015.) $)
    prdsxms $p |- ( ( S e. W /\ I e. Fin /\ R : I --> *MetSp ) ->
      Y e. *MetSp ) $=
      ( vx vz vg vk wcel cfn cxms wf cfv ctopn cmopn wceq eqid cv w3a cds cxmet
      cbs cxp cres wss simp1 simp2 simp3 prdsxmslem1 ssid xmetres2 sylancl ccom
      wfn wral cuni cdif wrex cixp wa wex cab prdsxmslem2 cxr xmetf ffn fnresdm
      4syl fveq2d eqtr4d isxms2 sylanbrc ) BDKZCLKZCMANZUAZEUBOZEUDOZVTUEZUFZVT
      UCOZKZEPOZWBQOZREMKVRVSWCKZVTVTUGWDVRVTVSABCDEFVOVPVQUHZVOVPVQUIZVSSZVTSZ
      VOVPVQUJZUKZVTULVSVTVTUMUNVRWEVSQOWFVRGHVTITZCUPJTZWNOZWOPAUOOZKJCUQWPWQU
      RRJCHTUSUQHLUTUAGTJCWPVARVBIVCGVDZVSABIJWOAOZUBOWSUDOZWTUEUFZCWEWSPOZWTDE
      FWHWIWJWKWLWESZWTSXASXBSWRSVEVRWBVSQVRWGWAVFVSNVSWAUPWBVSRWMVSVTVGWAVFVSV
      HWAVSVIVJVKVLWBWEEVTXCWKWBSVMVN $.

    $( The indexed product structure is a metric space when the index set is
       finite.  (Contributed by Mario Carneiro, 28-Aug-2015.) $)
    prdsms $p |- ( ( S e. W /\ I e. Fin /\ R : I --> MetSp ) ->
      Y e. MetSp ) $=
      ( vx wcel cfn cms wf w3a cxms cds cfv cbs cxp cres wss eqid cmet cv msxms
      ssriv fss mpan2 prdsxms syl3an3 simp1 simp2 simp3 prdsmslem1 ssid metres2
      sylancl ctopn isms sylanbrc ) BDHZCIHZCJAKZLZEMHZENOZEPOZVEQRZVEUAOZHZEJH
      VAUSUTCMAKZVCVAJMSVIGJMGUBUCUDCJMAUEUFABCDEFUGUHVBVDVGHVEVESVHVBVEVDABCDE
      FUSUTVAUIUSUTVAUJVDTVETZUSUTVAUKULVEUMVDVEVEUNUOVFEUPOZEVEVKTVJVFTUQUR $.
  $}

  ${
    pwsms.y $e |- Y = ( R ^s I ) $.
    $( A power of an extended metric space is an extended metric space.
       (Contributed by Mario Carneiro, 28-Aug-2015.) $)
    pwsxms $p |- ( ( R e. *MetSp /\ I e. Fin ) -> Y e. *MetSp ) $=
      ( cxms wcel cfn wa csca cfv csn cxp cprds co eqid pwsval cvv fvexd simpr
      wf fconst6g adantr prdsxms syl3anc eqeltrd ) AEFZBGFZHZCAIJZBAKLZMNZEAUIB
      EGCDUIOPUHUIQFUGBEUJTZUKEFUHAIRUFUGSUFULUGBAEUAUBUJUIBQUKUKOUCUDUE $.

    $( A power of a metric space is a metric space.  (Contributed by Mario
       Carneiro, 28-Aug-2015.) $)
    pwsms $p |- ( ( R e. MetSp /\ I e. Fin ) -> Y e. MetSp ) $=
      ( cms wcel cfn wa csca cfv csn cxp cprds co eqid pwsval cvv fvexd simpr
      wf fconst6g adantr prdsms syl3anc eqeltrd ) AEFZBGFZHZCAIJZBAKLZMNZEAUIBE
      GCDUIOPUHUIQFUGBEUJTZUKEFUHAIRUFUGSUFULUGBAEUAUBUJUIBQUKUKOUCUDUE $.
  $}

  ${
    $d x y R $.  $d x y S $.
    xpsms.t $e |- T = ( R Xs. S ) $.
    $( A binary product of metric spaces is a metric space.  (Contributed by
       Mario Carneiro, 28-Aug-2015.) $)
    xpsxms $p |- ( ( R e. *MetSp /\ S e. *MetSp ) -> T e. *MetSp ) $=
      ( vx vy cxms wcel cbs cfv csca c0 cop c1o cpr cv eqid wf1o mp1i c2o cprds
      wa cxp co cmpo crn simpl simpr xpsval xpsrnbas xpsff1o2 f1ocnv cvv cfn wf
      ccnv fvexd com 2onn nnfi xpscf biimpri prdsxms syl3anc imasf1oxms ) AGHZB
      GHZUBZAIJZBIJZUCZAKJZLAMNBMOZUAUDZCEFVIVJLEPMNFPMOUEZUPZVOUFZVHEFABCVNVOV
      LGGVIVJDVIQZVJQZVFVGUGZVFVGUHZVOQZVLQZVNQZUIVHEFABCVNVOVLGGVIVJDVRVSVTWAW
      BWCWDUJVKVQVORVQVKVPRVHEFVIVJVOWBUKVKVQVOULSVHVLUMHTUNHZTGVMUOZVNGHVHAKUQ
      TURHWEVHUSTUTSWFVHGABVAVBVMVLTUMVNWDVCVDVE $.

    $( A binary product of metric spaces is a metric space.  (Contributed by
       Mario Carneiro, 28-Aug-2015.) $)
    xpsms $p |- ( ( R e. MetSp /\ S e. MetSp ) -> T e. MetSp ) $=
      ( vx vy cms wcel cbs cfv csca c0 cop c1o cpr cv eqid wf1o mp1i c2o wa cxp
      cprds co cmpo ccnv crn simpl simpr xpsval xpsrnbas xpsff1o2 f1ocnv cvv wf
      cfn fvexd com 2onn nnfi xpscf biimpri prdsms syl3anc imasf1oms ) AGHZBGHZ
      UAZAIJZBIJZUBZAKJZLAMNBMOZUCUDZCEFVIVJLEPMNFPMOUEZUFZVOUGZVHEFABCVNVOVLGG
      VIVJDVIQZVJQZVFVGUHZVFVGUIZVOQZVLQZVNQZUJVHEFABCVNVOVLGGVIVJDVRVSVTWAWBWC
      WDUKVKVQVORVQVKVPRVHEFVIVJVOWBULVKVQVOUMSVHVLUNHTUPHZTGVMUOZVNGHVHAKUQTUR
      HWEVHUSTUTSWFVHGABVAVBVMVLTUNVNWDVCVDVE $.
  $}

  ${
    tmsxps.p $e |- P = ( dist ` ( ( toMetSp ` M ) Xs. ( toMetSp ` N ) ) ) $.
    tmsxps.1 $e |- ( ph -> M e. ( *Met ` X ) ) $.
    tmsxps.2 $e |- ( ph -> N e. ( *Met ` Y ) ) $.
    $( Express the product of two metrics as another metric.  (Contributed by
       Mario Carneiro, 2-Sep-2015.) $)
    tmsxps $p |- ( ph -> P e. ( *Met ` ( X X. Y ) ) ) $=
      ( ctms cfv cbs cxmet cxp wceq cxms eqid wcel tmsxms syl cxps wfn xpsdsfn2
      cres fnresdm xpsxms syl2anc xmsxmet2 eqeltrrd tmsbas xpeq12d xpsbas eqtrd
      co fveq2d eleqtrrd ) ABCJKZDJKZUAUNZLKZMKZEFNZMKABUTUTNZUDZBVAABVCUBVDBOA
      BUQURUSPPUQLKZURLKZUSQZVEQZVFQZACEMKRZUQPRZHCUQEUQQZSTZADFMKRZURPRZIDURFU
      RQZSTZGUCVCBUETAUSPRZVDVARAVKVOVRVMVQUQURUSVGUFUGBUSUTUTQGUHTUIAVBUTMAVBV
      EVFNUTAEVEFVFAVJEVEOHCUQEVLUJTAVNFVFOIDURFVPUJTUKAUQURUSPPVEVFVGVHVIVMVQU
      LUMUOUP $.

    ${
      tmsxpsmopn.j $e |- J = ( MetOpen ` M ) $.
      tmsxpsmopn.k $e |- K = ( MetOpen ` N ) $.
      tmsxpsmopn.l $e |- L = ( MetOpen ` P ) $.
      $( Express the product of two metrics as another metric.  (Contributed by
         Mario Carneiro, 2-Sep-2015.) $)
      tmsxpsmopn $p |- ( ph -> L = ( J tX K ) ) $=
        ( cfv wcel wceq eqid syl ctms cxps co ctopn ctx ctps cxms tmsxms xmstps
        cxmet xpstopn syl2anc cmopn cbs cxp cres xpsxms cds reseq1i xmstopn wfn
        xpsdsfn2 fnresdm fveq2d eqtr2d syl5eq tmstopn oveq12d 3eqtr4d ) AFUAPZG
        UAPZUBUCZUDPZVJUDPZVKUDPZUEUCZECDUEUCAVJUFQZVKUFQZVMVPRAVJUGQZVQAFHUJPQ
        ZVSKFVJHVJSZUHTZVJUITAVKUGQZVRAGIUJPQZWCLGVKIVKSZUHTZVKUITVJVKVLVNVOVMV
        LSZVNSVOSVMSZUKULAEBUMPZVMOAVMBVLUNPZWJUOZUPZUMPZWIAVLUGQZVMWMRAVSWCWNW
        BWFVJVKVLWGUQULWLVMVLWJWHWJSBVLURPWKJUSUTTAWLBUMABWKVAWLBRABVJVKVLUGUGV
        JUNPZVKUNPZWGWOSWPSWBWFJVBWKBVCTVDVEVFACVNDVOUEAVTCVNRKFCVJHWAMVGTAWDDV
        ORLGDVKIWENVGTVHVI $.
    $}

    tmsxpsval.a $e |- ( ph -> A e. X ) $.
    tmsxpsval.b $e |- ( ph -> B e. Y ) $.
    tmsxpsval.c $e |- ( ph -> C e. X ) $.
    tmsxpsval.d $e |- ( ph -> D e. Y ) $.
    $( Value of the product of two metrics.  (Contributed by Mario Carneiro,
       2-Sep-2015.) $)
    tmsxpsval $p |- ( ph -> ( <. A , B >. P <. C , D >. ) =
        sup ( { ( A M C ) , ( B N D ) } , RR* , < ) ) $=
      ( co cfv wcel cop ctms cds cbs cxp cres cpr cxr csup cxps cxms eqid cxmet
      clt tmsxms syl wss wceq tmsds tmsbas fveq2d 3eltr3d ssid xmetres2 sylancl
      eleqtrd xpsdsval ovresd oveqd eqtr4d preq12d supeq1d eqtrd ) ABCUADEUAFRB
      DGUBSZUCSZVNUDSZVPUEUFZRZCEHUBSZUCSZVSUDSZWAUEUFZRZUGZUHUNUIBDGRZCEHRZUGZ
      UHUNUIABCDEFVNVSVNVSUJRZVQWBUKUKVPWAWHULVPULWAULAGIUMSZTZVNUKTLGVNIVNULZU
      OUPAHJUMSZTZVSUKTMHVSJVSULZUOUPKVQULWBULAVOVPUMSZTVPVPUQVQWOTAGWIVOWOLAWJ
      GVOURLGVNIWKUSUPZAIVPUMAWJIVPURLGVNIWKUTUPZVAVBVPVCVOVPVPVDVEAVTWAUMSZTWA
      WAUQWBWRTAHWLVTWRMAWMHVTURMHVSJWNUSUPZAJWAUMAWMJWAURMHVSJWNUTUPZVAVBWAVCV
      TWAWAVDVEABIVPNWQVFZACJWAOWTVFZADIVPPWQVFZAEJWAQWTVFZVGAUHWDWGUNAVRWEWCWF
      AVRBDVORWEABDVOVPXAXCVHAGVOBDWPVIVJAWCCEVTRWFACEVTWAXBXDVHAHVTCEWSVIVJVKV
      LVM $.

    $( Value of the product of two metrics.  (Contributed by Mario Carneiro,
       2-Sep-2015.) $)
    tmsxpsval2 $p |- ( ph -> ( <. A , B >. P <. C , D >. ) =
        if ( ( A M C ) <_ ( B N D ) , ( B N D ) , ( A M C ) ) ) $=
      ( cxr clt wcel cop co cpr csup wbr cif cle tmsxpsval wor xrltso cxmet cfv
      wceq xmetcl syl3anc suppr mp3an2i wn wb xrltnle ifbid ifnot eqtrdi 3eqtrd
      syl2anc ) ABCUADEUAFUBBDGUBZCEHUBZUCRSUDZVGVFSUEZVFVGUFZVFVGUGUEZVGVFUFZA
      BCDEFGHIJKLMNOPQUHRSUIAVFRTZVGRTZVHVJUMUJAGIUKULTBITDITVMLNPBDGIUNUOZAHJU
      KULTCJTEJTVNMOQCEHJUNUOZRVFVGSUPUQAVJVKURZVFVGUFVLAVIVQVFVGAVNVMVIVQUSVPV
      OVGVFUTVEVAVKVFVGVBVCVD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Continuity in metric spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d t u v w x y z F $.  $d t u v w x y z J $.  $d t u v w x y z K $.
    $d t u v w x y z X $.  $d t u v w x y z Y $.  $d t u v w x y z Z $.
    $d u v w x y z A $.  $d u v w x y z C $.  $d u v w x y z D $.
    $d u v w x z B $.  $d u v w x y z E $.  $d u v w x y z P $.
    $d t w x y z L $.
    metcn.2 $e |- J = ( MetOpen ` C ) $.
    metcn.4 $e |- K = ( MetOpen ` D ) $.
    $( Two ways to express that ` F ` is continuous at ` P ` for metric spaces.
       Proposition 14-4.2 of [Gleason] p. 240.  (Contributed by NM,
       17-May-2007.)  (Revised by Mario Carneiro, 28-Aug-2015.) $)
    metcnp3 $p |- ( ( C e. ( *Met ` X ) /\ D e. ( *Met ` Y ) /\ P e. X ) ->
      ( F e. ( ( J CnP K ) ` P ) <-> ( F : X --> Y /\
        A. y e. RR+ E. z e. RR+ ( F " ( P ( ball ` C ) z ) )
        C_ ( ( F ` P ) ( ball ` D ) y ) ) ) ) $=
      ( vv cfv wcel wss wa wrex wi crp vu cxmet w3a ccnp co wf cv cima cbl wral
      crn ctopon mopntopon 3ad2ant1 ctg wceq mopnval simp3 tgcnp simpll2 simplr
      3ad2ant2 simpll3 ffvelrnd simpr blcntr cxr rpxr adantl blelrn eleq2 sseq2
      syl3anc anbi2d rexbidv imbi12d rspcv syl mpid simpl1 simplrr mopni2 sstr2
      ad2antrr imass2 syl11 reximdv syl5com expr rexlimdv syld ralrimdva simpl2
      expimpd blss 3expib r19.29r ad5ant12 ad2antrl simprl sstr ad2ant2l ancoms
      blopn imaeq2 sseq1d anbi12d rspcev syl12anc rexlimdva syl5 com23 ralrimdv
      expd exp4a impbid pm5.32da bitrd ) CIUBNOZDJUBNOZEIOZUCZFEGHUDUENOIJFUFZE
      FNZUAUGZOZEMUGZOZFYGUHZYEPZQZMGRZSZUADUINZUKZUJZQYCFEBUGZCUINUEZUHZYDAUGZ
      YNUEZPZBTRZATUJZQYBMUAYOEFGHIJXSXTGIULNOYACGIKUMUNXTXSHYOUONUPYADHJLUQVBX
      TXSHJULNOYADHJLUMVBXSXTYAURUSYBYCYPUUDYBYCQZYPUUDUUEYPUUCATUUEYTTOZQZYPYH
      YIUUAPZQZMGRZUUCUUGYPYDUUAOZUUJUUGXTYDJOZUUFUUKXSXTYAYCUUFUTZUUGIJEFYBYCU
      UFVAXSXTYAYCUUFVCZVDZUUEUUFVEDYDYTJVFVMUUGUUAYOOZYPUUKUUJSZSUUGXTUULYTVGO
      ZUUPUUMUUOUUFUURUUEYTVHVIDYDYTJVJVMYMUUQUAUUAYOYEUUAUPZYFUUKYLUUJYEUUAYDV
      KUUSYKUUIMGUUSYJUUHYHYEUUAYIVLVNVOVPVQVRVSUUGUUIUUCMGUUEUUFYGGOZUUIUUCSUU
      EUUFUUTQZQZYHUUHUUCUVBYHQZYRYGPZBTRZUUHUUCUVCXSUUTYHUVEUUEXSUVAYHXSXTYAYC
      VTZWDUUEUUFUUTYHWAUVBYHVEBYGCEGIKWBVMUUHUVDUUBBTYSYIPUUHUUBUVDYSYIUUAWCYR
      YGFWEWFWGWHWNWIWJWKWLUUEUUDYMUAYOUUEUUDYEYOOZYFYLUUEUVGYFQZUUDYLUUEUVHUUA
      YEPZATRZUUDYLSUUEXTUVHUVJSXSXTYAYCWMXTUVGYFUVJAYEDYDJWOWPVRUUEUVJUUDYLUVJ
      UUDQUVIUUCQZATRUUEYLUVIUUCATWQUUEUVKYLATUUGUVIUUCYLUUGUVIQZUUBYLBTUVLYQTO
      ZUUBYLUVLUVMUUBQZQZYRGOZEYROZYSYEPZYLUVOXSYAYQVGOZUVPYBYCXSUUFUVIUVNUVFWR
      ZUUGYAUVIUVNUUNWDZUVMUVSUVLUUBYQVHWSCEYQGIKXDVMUVOXSYAUVMUVQUVTUWAUVLUVMU
      UBWTCEYQIVFVMUVNUVLUVRUUBUVIUVRUVMUUGYSUUAYEXAXBXCYKUVQUVRQMYRGYGYRUPZYHU
      VQYJUVRYGYREVKUWBYIYSYEYGYRFXEXFXGXHXIWIXJWNXJXKXNWKXLXOXMXPXQXR $.

    $( Two ways to say a mapping from metric ` C ` to metric ` D ` is
       continuous at point ` P ` .  (Contributed by NM, 11-May-2007.)  (Revised
       by Mario Carneiro, 28-Aug-2015.) $)
    metcnp $p |- ( ( C e. ( *Met ` X ) /\ D e. ( *Met ` Y ) /\ P e. X ) ->
                ( F e. ( ( J CnP K ) ` P ) <->
          ( F : X --> Y /\ A. y e. RR+ E. z e. RR+
      A. w e. X ( ( P C w ) < z -> ( ( F ` P ) D ( F ` w ) ) < y ) ) ) ) $=
      ( cfv wcel co crp wral wa wi cxmet w3a ccnp cbl cima wss wrex clt metcnp3
      wf cv wbr wb wfun cdm ffun ad2antlr simpll1 simpll3 rpxr ad2antll syl3anc
      cxr blssm wceq fdm sseqtrrd funimass4 syl2anc elbl imbi1d impexp ad2antrr
      simpl2 simplrl rpxrd simpllr adantr ffvelrnd simplr elbl2 syl22anc imbi2d
      ffvelrnda pm5.74da syl5bb ralbidv2 anassrs rexbidva ralbidva pm5.32da
      bitrd ) DJUANOZEKUANOZFJOZUBZGFHIUCPNOJKGUJZGFBUKZDUDNPZUEFGNZAUKZEUDNPZU
      FZBQUGZAQRZSWQFCUKZDPWRUHULZWTXFGNZEPXAUHULZTZCJRZBQUGZAQRZSABDEFGHIJKLMU
      IWPWQXEXMWPWQSZXDXLAQXNXAQOZSXCXKBQXNXOWRQOZXCXKUMXNXOXPSZSZXCXHXBOZCWSRZ
      XKXRGUNZWSGUOZUFXCXTUMWQYAWPXQJKGUPUQXRWSJYBXRWMWOWRVCOZWSJUFWMWNWOWQXQUR
      ZWMWNWOWQXQUSZXPYCXNXOWRUTVAZDFWRJVDVBWQYBJVEWPXQJKGVFUQVGCWSXBGVHVIXRXSX
      JCWSJXRXFWSOZXSTXFJOZXGSZXSTZYHXJTZXRYGYIXSXRWMWOYCYGYIUMYDYEYFXFDFWRJVJV
      BVKYJYHXGXSTZTXRYKYHXGXSVLXRYHYLXJXRYHSZXSXIXGYMWNXAVCOWTKOXHKOXSXIUMXNWN
      XQYHWMWNWOWQVNVMYMXAXNXOXPYHVOVPYMJKFGWPWQXQYHVQXRWOYHYEVRVSXRJKXFGWPWQXQ
      VTWDXHEWTXAKWAWBWCWEWFWLWGWLWHWIWJWKWL $.

    $( Two ways to say a mapping from metric ` C ` to metric ` D ` is
       continuous at point ` P ` .  The distance arguments are swapped compared
       to ~ metcnp (and Munkres' ~ metcn ) for compatibility with ~ df-lm .
       Definition 1.3-3 of [Kreyszig] p. 20.  (Contributed by NM, 4-Jun-2007.)
       (Revised by Mario Carneiro, 13-Nov-2013.) $)
    metcnp2 $p |- ( ( C e. ( *Met ` X ) /\ D e. ( *Met ` Y ) /\ P e. X ) ->
                ( F e. ( ( J CnP K ) ` P ) <->
          ( F : X --> Y /\ A. y e. RR+ E. z e. RR+
      A. w e. X ( ( w C P ) < z -> ( ( F ` w ) D ( F ` P ) ) < y ) ) ) ) $=
      ( cfv wcel co clt wbr crp wa cxmet ccnp wf cv wi wral wrex metcnp wb wceq
      w3a simpl1 ad2antrr simpl3 xmetsym syl3anc breq1d simpl2 simpllr ffvelrnd
      simpr imbi12d ralbidva anassrs rexbidva pm5.32da bitrd ) DJUANOZEKUANOZFJ
      OZUKZGFHIUBPNOJKGUCZFCUDZDPZBUDZQRZFGNZVMGNZEPZAUDZQRZUEZCJUFZBSUGZASUFZT
      VLVMFDPZVOQRZVRVQEPZVTQRZUEZCJUFZBSUGZASUFZTABCDEFGHIJKLMUHVKVLWEWMVKVLTZ
      WDWLASWNVTSOZTWCWKBSWNWOVOSOZWCWKUIWNWOWPTZTZWBWJCJWRVMJOZTZVPWGWAWIWTVNW
      FVOQWTVHVJWSVNWFUJWNVHWQWSVHVIVJVLULUMWNVJWQWSVHVIVJVLUNUMZWRWSVAZFVMDJUO
      UPUQWTVSWHVTQWTVIVQKOVRKOVSWHUJWNVIWQWSVHVIVJVLURUMWTJKFGVKVLWQWSUSZXAUTW
      TJKVMGXCXBUTVQVREKUOUPUQVBVCVDVEVCVFVG $.

    $( Two ways to say a mapping from metric ` C ` to metric ` D ` is
       continuous.  Theorem 10.1 of [Munkres] p. 127.  The second biconditional
       argument says that for every positive "epsilon" ` y ` there is a
       positive "delta" ` z ` such that a distance less than delta in ` C `
       maps to a distance less than epsilon in ` D ` .  (Contributed by NM,
       15-May-2007.)  (Revised by Mario Carneiro, 28-Aug-2015.) $)
    metcn $p |- ( ( C e. ( *Met ` X ) /\ D e. ( *Met ` Y ) ) ->
                ( F e. ( J Cn K ) <-> ( F : X --> Y /\
                A. x e. X A. y e. RR+ E. z e. RR+
      A. w e. X ( ( x C w ) < z -> ( ( F ` x ) D ( F ` w ) ) < y ) ) ) ) $=
      ( cxmet cfv wcel wa co cv wral ccn ccnp clt wbr crp wrex ctopon mopntopon
      wf wi wb cncnp syl2an simplr metcnp ad4ant124 mpbirand ralbidva pm5.32da
      bitrd ) EJNOPZFKNOPZQZGHIUARPZJKGUIZGASZHIUBROPZAJTZQZVEVFDSZERCSUCUDVFGO
      VJGOFRBSUCUDUJDJTCUEUFBUETZAJTZQVAHJUGOPIKUGOPVDVIUKVBEHJLUHFIKMUHAGHIJKU
      LUMVCVEVHVLVCVEQZVGVKAJVMVFJPZQVGVEVKVCVEVNUNVAVBVNVGVEVKQUKVEBCDEFVFGHIJ
      KLMUOUPUQURUSUT $.

    $( Epsilon-delta property of a continuous metric space function, with
       function arguments as in ~ metcnp .  (Contributed by NM, 17-Dec-2007.)
       (Revised by Mario Carneiro, 13-Nov-2013.) $)
    metcnpi $p |- ( ( ( C e. ( *Met ` X ) /\ D e. ( *Met ` Y ) ) /\
        ( F e. ( ( J CnP K ) ` P ) /\ A e. RR+ ) ) -> E. x e. RR+
      A. y e. X ( ( P C y ) < x -> ( ( F ` P ) D ( F ` y ) ) < A ) ) $=
      ( vz cfv wcel wa co crp clt cxmet ccnp cv wi wral wrex wf simpr wb simpll
      wbr simplr cuni eqid cnprcl adantl wceq mopnuni ad2antrr eleqtrrd syl3anc
      metcnp mpbid breq2 imbi2d rexralbidv rspccv simpl2im impr ) DJUAOPZEKUAOP
      ZQZGFHIUBROPZCSPZFBUCZDRAUCTUKZFGOVOGOERZCTUKZUDZBJUEASUFZVLVMQZJKGUGZVPV
      QNUCZTUKZUDZBJUEASUFZNSUEZVNVTUDWAVMWBWGQZVLVMUHWAVJVKFJPVMWHUIVJVKVMUJVJ
      VKVMULWAFHUMZJVMFWIPVLFGHIWIWIUNUOUPVJJWIUQVKVMDHJLURUSUTNABDEFGHIJKLMVBV
      AVCWFVTNCSWCCUQZWEVSABSJWJWDVRVPWCCVQTVDVEVFVGVHVI $.

    $( Epsilon-delta property of a continuous metric space function, with
       swapped distance function arguments as in ~ metcnp2 .  (Contributed by
       NM, 16-Dec-2007.)  (Revised by Mario Carneiro, 13-Nov-2013.) $)
    metcnpi2 $p |- ( ( ( C e. ( *Met ` X ) /\ D e. ( *Met ` Y ) )
        /\ ( F e. ( ( J CnP K ) ` P ) /\ A e. RR+ ) ) -> E. x e. RR+
      A. y e. X ( ( y C P ) < x -> ( ( F ` y ) D ( F ` P ) ) < A ) ) $=
      ( vz cfv wcel wa co crp clt cxmet ccnp cv wi wral wrex wf simpr wb simpll
      wbr simplr cuni eqid cnprcl adantl wceq mopnuni ad2antrr eleqtrrd metcnp2
      syl3anc mpbid breq2 imbi2d rexralbidv rspccv simpl2im impr ) DJUAOPZEKUAO
      PZQZGFHIUBROPZCSPZBUCZFDRAUCTUKZVOGOFGOERZCTUKZUDZBJUEASUFZVLVMQZJKGUGZVP
      VQNUCZTUKZUDZBJUEASUFZNSUEZVNVTUDWAVMWBWGQZVLVMUHWAVJVKFJPVMWHUIVJVKVMUJV
      JVKVMULWAFHUMZJVMFWIPVLFGHIWIWIUNUOUPVJJWIUQVKVMDHJLURUSUTNABDEFGHIJKLMVA
      VBVCWFVTNCSWCCUQZWEVSABSJWJWDVRVPWCCVQTVDVEVFVGVHVI $.

    $( Epsilon-delta property of a metric space function continuous at ` P ` .
       A variation of ~ metcnpi2 with non-strict ordering.  (Contributed by NM,
       16-Dec-2007.)  (Revised by Mario Carneiro, 13-Nov-2013.) $)
    metcnpi3 $p |- ( ( ( C e. ( *Met ` X ) /\ D e. ( *Met ` Y ) )
        /\ ( F e. ( ( J CnP K ) ` P ) /\ A e. RR+ ) ) -> E. x e. RR+
      A. y e. X ( ( y C P ) <_ x -> ( ( F ` y ) D ( F ` P ) ) <_ A ) ) $=
      ( cfv wcel wa crp wbr wi cxr vz cxmet ccnp co cv clt wral cle metcnpi2 c2
      wrex cdiv rphalfcl ad2antrl simplll simprr cuni simplrl eqid wceq mopnuni
      cnprcl syl eleqtrrd xmetcl syl3anc rpxr rphalflt w3a xrlelttr expcomd imp
      rpxrd syl31anc simpllr ctopon wf mopntopon cnpf2 ffvelrnd simplrr syl2anc
      xrltle imim12d anassrs ralimdva impr breq2 rspceaimv rexlimddv ) DJUBNOZE
      KUBNOZPZGFHIUCUDNOZCQOZPZPZBUEZFDUDZUAUEZUFRZWRGNZFGNZEUDZCUFRZSZBJUGZWSA
      UEZUHRZXDCUHRZSBJUGAQUKZUAQUABCDEFGHIJKLMUIWQWTQOZXGPPWTUJULUDZQOZWSXMUHR
      ZXJSZBJUGZXKXLXNWQXGWTUMZUNWQXLXGXQWQXLPXFXPBJWQXLWRJOZXFXPSWQXLXSPZPZXOX
      AXEXJYAWSTOZXMTOZWTTOZXMWTUFRZXOXASZYAWKXSFJOYBWKWLWPXTUOZWQXLXSUPZYAFHUQ
      ZJYAWNFYIOWMWNWOXTURZFGHIYIYIUSVBVCYAWKJYIUTYGDHJLVAVCVDZWRFDJVEVFYAXMXLX
      NWQXSXRUNVMXLYDWQXSWTVGUNXLYEWQXSWTVHUNYBYCYDVIZYEYFYLXOYEXAWSXMWTVJVKVLV
      NYAXDTOZCTOXEXJSYAWLXBKOXCKOYMWKWLWPXTVOZYAJKWRGYAHJVPNOZIKVPNOZWNJKGVQYA
      WKYOYGDHJLVRVCYAWLYPYNEIKMVRVCYJFGHIJKVSVFZYHVTYAJKFGYQYKVTXBXCEKVEVFYACW
      MWNWOXTWAVMXDCWCWBWDWEWFWGXIXOXJABXMQJXHXMWSUHWHWIWBWJ $.

    txmetcnp.4 $e |- L = ( MetOpen ` E ) $.
    $( Continuity of a binary operation on metric spaces.  (Contributed by
       Mario Carneiro, 2-Sep-2015.) $)
    txmetcnp $p |- ( ( ( C e. ( *Met ` X ) /\ D e. ( *Met ` Y ) /\
      E e. ( *Met ` Z ) ) /\ ( A e. X /\ B e. Y ) ) ->
        ( F e. ( ( ( J tX K ) CnP L ) ` <. A , B >. ) <->
          ( F : ( X X. Y ) --> Z /\ A. z e. RR+ E. w e. RR+
      A. u e. X A. v e. Y ( ( ( A C u ) < w /\ ( B D v ) < w ) ->
        ( ( A F B ) E ( u F v ) ) < z ) ) ) ) $=
      ( wcel vx cxmet cfv w3a wa cop ctms cxps co cds cmopn ccnp cxp wf clt wbr
      cv wi wral crp wrex ctx wb eqid simpl1 simpl2 tmsxps simpl3 adantl metcnp
      opelxpi syl3anc tmsxpsmopn oveq1d fveq1d eleq2d oveq2 breq1d df-ov oveq1i
      wceq fveq2 eqtr4di oveq2d eqtr3id imbi12d cle cif ad2antrr simpllr simpld
      ralxp simprd simprrl simprrr tmsxpsval2 cxr xmetcl ad2antrl xrmaxlt bitrd
      rpxr imbi1d anassrs 2ralbidva syl5bb rexbidva ralbidv pm5.32da 3bitr3d )
      GNUBUCTZHOUBUCTZIPUBUCTZUDZENTZFOTZUEZUEZJEFUFZGUGUCHUGUCUHUIUJUCZUKUCZMU
      LUIZUCZTZNOUMZPJUNZXSUAUQZXTUIZBUQZUOUPZXSJUCZYGJUCZIUIZAUQZUOUPZURZUAYEU
      SZBUTVAZAUTUSZUEZJXSKLVBUIZMULUIZUCZTYFEDUQZGUIZYIUOUPFCUQZHUIZYIUOUPUEZE
      FJUIZUUDUUFJUIZIUIZYNUOUPZURZCOUSDNUSZBUTVAZAUTUSZUEXRXTYEUBUCTXMXSYETZYD
      YTVCXRXTGHNOXTVDZXKXLXMXQVEZXKXLXMXQVFZVGXKXLXMXQVHXQUUQXNEFNOVKVIABUAXTI
      XSJYAMYEPYAVDZSVJVLXRYCUUCJXRXSYBUUBXRYAUUAMULXRXTKLYAGHNOUURUUSUUTQRUVAV
      MVNVOVPXRYFYSUUPXRYFUEZYRUUOAUTUVBYQUUNBUTYQXSUUDUUFUFZXTUIZYIUOUPZUULURZ
      COUSDNUSUVBYIUTTZUEZUUNYPUVFUADCNOYGUVCWAZYJUVEYOUULUVIYHUVDYIUOYGUVCXSXT
      VQVRUVIYMUUKYNUOUVIYMUUIYLIUIUUKUUIYKYLIEFJVSVTUVIYLUUJUUIIUVIYLUVCJUCUUJ
      YGUVCJWBUUDUUFJVSWCWDWEVRWFWLUVHUVFUUMDCNOUVBUVGUUDNTZUUFOTZUEZUVFUUMVCUV
      BUVGUVLUEZUEZUVEUUHUULUVNUVEUUEUUGWGUPUUGUUEWHZYIUOUPZUUHUVNUVDUVOYIUOUVN
      EFUUDUUFXTGHNOUURXRXKYFUVMUUSWIZXRXLYFUVMUUTWIZUVNXOXPXNXQYFUVMWJZWKZUVNX
      OXPUVSWMZUVBUVGUVJUVKWNZUVBUVGUVJUVKWOZWPVRUVNUUEWQTZUUGWQTZYIWQTZUVPUUHV
      CUVNXKXOUVJUWDUVQUVTUWBEUUDGNWRVLUVNXLXPUVKUWEUVRUWAUWCFUUFHOWRVLUVGUWFUV
      BUVLYIXBWSUUEUUGYIWTVLXAXCXDXEXFXGXHXIXJ $.

    $( Continuity of a binary operation on metric spaces.  (Contributed by
       Mario Carneiro, 2-Sep-2015.) $)
    txmetcn $p |- ( ( C e. ( *Met ` X ) /\ D e. ( *Met ` Y ) /\
      E e. ( *Met ` Z ) ) -> ( F e. ( ( J tX K ) Cn L ) <->
        ( F : ( X X. Y ) --> Z /\ A. x e. X A. y e. Y A. z e. RR+ E. w e. RR+
      A. u e. X A. v e. Y ( ( ( x C u ) < w /\ ( y D v ) < w ) ->
        ( ( x F y ) E ( u F v ) ) < z ) ) ) ) $=
      ( wcel vt cxmet cfv w3a ctx co ccn cxp wf cv ccnp wral wa clt wbr wi wrex
      crp ctopon wb mopntopon txtopon syl2an 3adant3 3ad2ant3 cncnp syl2anc cop
      wceq fveq2 eleq2d ralxp simplr txmetcnp adantlr mpbirand 2ralbidva syl5bb
      pm5.32da bitrd ) GNUBUCTZHOUBUCTZIPUBUCTZUDZJKLUEUFZMUGUFTZNOUHZPJUIZJUAU
      JZWEMUKUFZUCZTZUAWGULZUMZWHAUJZFUJZGUFDUJZUNUOBUJZEUJZHUFWQUNUOUMWOWRJUFW
      PWSJUFIUFCUJUNUOUPEOULFNULDURUQCURULZBOULANULZUMWDWEWGUSUCTZMPUSUCTZWFWNU
      TWAWBXBWCWAKNUSUCTLOUSUCTXBWBGKNQVAHLORVAKLNOVBVCVDWCWAXCWBIMPSVAVEUAJWEM
      WGPVFVGWDWHWMXAWMJWOWRVHZWJUCZTZBOULANULWDWHUMZXAWLXFUAABNOWIXDVIWKXEJWIX
      DWJVJVKVLXGXFWTABNOXGWONTWROTUMZUMXFWHWTWDWHXHVMWDXHXFWHWTUMUTWHCDEFWOWRG
      HIJKLMNOPQRSVNVOVPVQVRVSVT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The uniform structure generated by a metric
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d d u v w x y z $.  $d a d x D $.  $d a d x X $.
    $( Value of the uniform structure generated by metric ` D ` .  (Contributed
       by Thierry Arnoux, 1-Dec-2017.)  (Revised by Thierry Arnoux,
       11-Feb-2018.) $)
    metuval $p |- ( D e. ( PsMet ` X ) -> ( metUnif ` D ) = ( ( X X. X )
      filGen ran ( a e. RR+ |-> ( `' D " ( 0 [,) a ) ) ) ) ) $=
      ( vd vx vy vz vu vw vv cpsmet wcel cv cdm cxp crp co crn cfg wceq cfv cc0
      ccnv cico cima cmpt cmetu cvv df-metu simpr dmeqd psmetdmdm adantr eqtr4d
      cuni wa sqxpeqd simplr cnveqd imaeq1d mpteq2dva rneqd oveq12d wrex elfvdm
      fveq2 eleq2d rspcev mpancom wfun cxad cle wbr wral cxr cmap crab df-psmet
      wb funmpt2 elunirn ax-mp sylibr ovexd fvmptd2 ) ABKUAZLZDADMZNZNZWJOZCPWH
      UCZUBCMZUDQZUEZUFZRZSQBBOZCPAUCZWNUEZUFZRZSQKRUOZUGUHCDUIWGWHATZUPZWKWRWQ
      XBSXEWJBXEWJANZNZBXEWIXFXEWHAWGXDUJUKUKWGBXGTXDABULUMUNUQXEWPXAXECPWOWTXE
      WMPLZUPZWLWSWNXIWHAWGXDXHURUSUTVAVBVCWGAEMZKUAZLZEKNZVDZAXCLZBXMLWGXNABKV
      EXLWGEBXMXJBTXKWFAXJBKVFVGVHVIKVJXOXNVSFUHGMZXPHMZQUBTXPIMZXQQJMZXPXQQXSX
      RXQQVKQVLVMJFMZVNIXTVNUPGXTVNHVOXTXTOVPQVQKFGIJHVRVTEAKWAWBWCWGWRXBSWDWE
      $.
  $}

  ${
    $d a B $.  $d a D $.  $d a X $.
    metust.1 $e |- F = ran ( a e. RR+ |-> ( `' D " ( 0 [,) a ) ) ) $.
    $( Define a filter base ` F ` generated by a metric ` D ` .  (Contributed
       by Thierry Arnoux, 22-Nov-2017.)  (Revised by Thierry Arnoux,
       11-Feb-2018.) $)
    metustel $p |- ( D e. ( PsMet ` X )
      -> ( B e. F <-> E. a e. RR+ B = ( `' D " ( 0 [,) a ) ) ) ) $=
      ( wcel crp ccnv cc0 cv cico co cima cmpt crn cpsmet cvv wi a1i cfv eleq2i
      wceq wrex elex cnvexg imaexg eleq1a 3syl rexlimdvw eqid elrnmpt pm5.21ndd
      wb syl5bb ) ACGAEHBIZJEKLMZNZOZPZGZBDQUAZGZAURUCZEHUDZCUTAFUBVCARGZVAVEVA
      VFSVCAUTUETVCVDVFEHVCUPRGURRGVDVFSBVBUFUPUQRUGURRAUHUIUJVFVAVEUNSVCEHURAU
      SRUSUKULTUMUO $.

    $d a b A $.  $d a b B $.  $d a b D $.  $d a b F $.  $d a b X $.
    $( Range of the elements of the filter base generated by the metric ` D ` .
       (Contributed by Thierry Arnoux, 28-Nov-2017.)  (Revised by Thierry
       Arnoux, 11-Feb-2018.) $)
    metustss $p |- ( ( D e. ( PsMet ` X ) /\ A e. F ) -> A C_ ( X X. X ) ) $=
      ( cpsmet cfv wcel wa cxp cpw crp ccnv cc0 cv cico wss ad2antrr cvv co crn
      cima cmpt wral cxr cnvimass psmetf fssdm wb cnvexg imaexg elpwg ralrimiva
      3syl mpbird eqid rnmptss syl eqsstrid simpr sseldd elpwid ) BDGHZIZACIZJZ
      ADDKZVGCVHLZAVGCEMBNZOEPZQUAZUCZUDZUBZVIFVGVMVIIZEMUEVOVIRVGVPEMVGVKMIZJV
      PVMVHRZVEVRVFVQVEVHUFVMBBVLUGBDUHUISVEVPVRUJZVFVQVEVJTIVMTIVSBVDUKVJVLTUL
      VMVHTUMUOSUPUNEMVMVIVNVNUQURUSUTVEVFVAVBVC $.

    $( Elements of the filter base generated by the metric ` D ` are relations.
       (Contributed by Thierry Arnoux, 28-Nov-2017.)  (Revised by Thierry
       Arnoux, 11-Feb-2018.) $)
    metustrel $p |- ( ( D e. ( PsMet ` X ) /\ A e. F ) -> Rel A ) $=
      ( cpsmet cfv wcel wa cvv cxp wss wrel metustss xpss sstrdi df-rel sylibr
      ) BDGHIACIJZAKKLZMANTADDLUAABCDEFODDPQARS $.

    $( Any two elements of the filter base generated by the metric ` D ` can be
       compared, like for RR+ (i.e. it's totally ordered).  (Contributed by
       Thierry Arnoux, 22-Nov-2017.)  (Revised by Thierry Arnoux,
       11-Feb-2018.) $)
    metustto $p |- ( ( D e. ( PsMet ` X ) /\ A e. F /\ B e. F )
      -> ( A C_ B \/ B C_ A ) ) $=
      ( vb wcel cc0 cico wceq wa wss crp rpred cle wbr a1i wrex cpsmet cfv ccnv
      w3a cv co cima wo simpll simplr cr simpllr cxr 0xr simpl rexrd 0le0 simpr
      icossico syl22anc imass2 sylancom simplrl simplrr 3sstr4d simplll lecasei
      syl orcd olcd adantlll metustel biimpa 3adant3 cmpt oveq2 imaeq2d cbvmptv
      crn rneqi eqtri 3adant2 reeanv sylanbrc r19.29vva ) CEUAUBIZADIZBDIZUDZAC
      UCZJFUEZKUFZUGZLZBWJJHUEZKUFZUGZLZMZABNZBANZUHZFHOOWKOIZWOOIZWSXBWIXCXDMZ
      WSMZXBWKWOXFWKXCXDWSUIPXFWOXCXDWSUJPXFWKWOQRZMZWTXAXHWMWQABXFXGWOUKIZWMWQ
      NZXHWOXCXDWSXGULPXIXGMZWLWPNZXJXKJUMIZWOUMIJJQRZXGXLXMXKUNSXKWOXIXGUOUPXN
      XKUQSXIXGURJWOJWKUSUTWLWPWJVAVHVBXEWNWRXGVCXEWNWRXGVDVEVIXFWOWKQRZMZXAWTX
      PWQWMBAXFXOWKUKIZWQWMNZXPWKXCXDWSXOVFPXQXOMZWPWLNZXRXSXMWKUMIXNXOXTXMXSUN
      SXSWKXQXOUOUPXNXSUQSXQXOURJWKJWOUSUTWPWLWJVAVHVBXEWNWRXOVDXEWNWRXOVCVEVJV
      GVKWIWNFOTZWRHOTZWSHOTFOTWFWGYAWHWFWGYAACDEFGVLVMVNWFWHYBWGWFWHYBBCDEHDFO
      WMVOZVSHOWQVOZVSGYCYDFHOWMWQWKWOLWLWPWJWKWOJKVPVQVRVTWAVLVMWBWNWRFHOOWCWD
      WE $.

    $d a b p q A $.  $d a p q x D $.  $d b p q x y z F $.  $d p q x y z X $.
    $( The identity diagonal is included in all elements of the filter base
       generated by the metric ` D ` .  (Contributed by Thierry Arnoux,
       22-Nov-2017.)  (Revised by Thierry Arnoux, 11-Feb-2018.)  (Proof
       shortened by Peter Mazsa, 2-Oct-2022.) $)
    metustid $p |- ( ( D e. ( PsMet ` X ) /\ A e. F ) -> ( _I |` X ) C_ A ) $=
      ( vp vq cfv wcel wa cid cv cop cc0 co wceq crp wbr cxr cpsmet cres relres
      wrel a1i ccnv cico vex brresi df-br anbi2i 3bitr3i biimpi ad2antlr simprd
      cima ideq df-ov opeq2 fveq2d syl5eq syl simplll simpld psmet0 syl2anc clt
      eqtr3d 0xr rpxr rpgt0 lbico1 mp3an2i adantl eqeltrd wfun cdm wb cxp ffund
      psmetf ad3antrrr eqeltrrd opelxpd fdmd eleqtrrd fvimacnv mpbid simpr wrex
      adantr simplr metustel ad2antrr r19.29a ex relssdv ) BDUAIJZACJZKZGHLDUBZ
      AXAUDWTLDUCUEWTGMZHMZNZXAJZXDAJZWTXEKZABUFOEMZUGPZUPZQZXFERXGXHRJZKZXKKXD
      XJAXMXDXJJZXKXMXDBIZXIJZXNXMXOOXIXMXBXBBPZXOOXMXBXCQZXQXOQXMXBDJZXRXEXSXR
      KZWTXLXEXTXBXCXASXSXBXCLSZKXEXTDXBXCLHUHZUIXBXCXAUJYAXRXSXBXCYBUQUKULUMUN
      ZUOZXRXQXBXBNZBIXOXBXBBURXRYEXDBXBXCXBUSUTVAVBXMWRXSXQOQWRWSXEXLVCXMXSXRY
      CVDZXBBDVEVFVHXLOXIJZXGOTJXLXHTJOXHVGSYGVIXHVJXHVKOXHVLVMVNVOXMBVPZXDBVQZ
      JXPXNVRWRYHWSXEXLWRDDVSZTBBDWAZVTWBXMXDYJYIXMXBXCDDYFXMXBXCDYDYFWCWDWRYIY
      JQWSXEXLWRYJTBYKWEWBWFXDXIBWGVFWHWKXMXKWIWFXGWSXKERWJZWRWSXEWLWRWSYLVRWSX
      EABCDEFWMWNWHWOWPWQ $.

    $( Elements of the filter base generated by the metric ` D ` are symmetric.
       (Contributed by Thierry Arnoux, 28-Nov-2017.)  (Revised by Thierry
       Arnoux, 11-Feb-2018.) $)
    metustsym $p |- ( ( D e. ( PsMet ` X ) /\ A e. F ) -> `' A = A ) $=
      ( vp vq cfv wcel wa ccnv wss syl cv wb co wceq crp cxr cxp metustss cnvss
      cpsmet cnvxp sseqtrdi wbr cop cico cima simp-4l simpr1r 3anassrs psmetsym
      cc0 simpr1l syl3anc df-ov 3eqtr3g eleq1d wfun wf psmetf ffun 3syl simpllr
      cdm ancomd opelxpi eleqtrrd fvimacnv syl2anc 3bitr3d simpr eleq2d 3bitr4d
      fdm wrex cmpt crn elrnmpt ibi eleq2s ad2antlr r19.29a df-br opelcnv bitri
      eqid vex 3bitr4g 3impb eqbrrdva ) BDUDIJZACJZKZGHALZADDWPADDUAZMZWQWRMABC
      DEFUBZWSWQWRLWRAWRUCDDUEUFNWTWPGOZDJZHOZDJZXAXCWQUGZXAXCAUGZPWPXBXDKZKZXC
      XAUHZAJZXAXCUHZAJZXEXFXHABLUOEOZUIQZUJZRZXJXLPESXHXMSJZKZXPKZXIXOJZXKXOJZ
      XJXLXSXIBIZXNJZXKBIZXNJZXTYAXSYBYDXNXSXCXABQZXAXCBQZYBYDXSWNXDXBYFYGRWNWO
      XGXQXPUKZWPXGXQXPXDXBXDXQXPWPULUMWPXGXQXPXBXBXDXQXPWPUPUMXCXABDUNUQXCXABU
      RXAXCBURUSUTXSBVAZXIBVGZJYCXTPXSWNWRTBVBZYIYHBDVCZWRTBVDVEZXSXIWRYJXSXDXB
      KXIWRJXSXBXDWPXGXQXPVFZVHXCXADDVINXSWNYKYJWRRYHYLWRTBVQVEZVJXIXNBVKVLXSYI
      XKYJJYEYAPYMXSXKWRYJXSXGXKWRJYNXAXCDDVINYOVJXKXNBVKVLVMXSAXOXIXRXPVNZVOXS
      AXOXKYPVOVPWOXPESVRZWNXGYQAESXOVSZVTZCAYSJYQESXOAYRYSYRWIWAWBFWCWDWEXEXKW
      QJXJXAXCWQWFXAXCAGWJHWJWGWHXAXCAWFWKWLWM $.

    $d a p q r v A $.  $d a r u v w D $.  $d r u v w F $.  $d r u v w X $.
    $( For any element ` A ` of the filter base generated by the metric ` D ` ,
       the half element (corresponding to half the distance) is also in this
       base.  (Contributed by Thierry Arnoux, 28-Nov-2017.)  (Revised by
       Thierry Arnoux, 11-Feb-2018.) $)
    metustexhalf $p |- ( ( ( X =/= (/) /\ D e. ( PsMet ` X ) ) /\ A e. F )
      -> E. v e. F ( v o. v ) C_ A ) $=
      ( vb vr wcel wa cc0 co wceq wss crp cxr syl wbr syl21anc vp vq wne cpsmet
      c0 cfv ccnv cv cico cima ccom wrex c2 cdiv simp-4r simplr rphalfcld eqidd
      oveq2 imaeq2d rspceeqv syl2anc cmpt crn cbvmptv rneqi eqtri metustel wrel
      biimpar relco a1i cop cxp cossxp cnvimass psmetf fssdm dmss xpss12 adantl
      cdm rnss dmxp xpeq12d adantr sseqtrd sstrid ad3antrrr sselda opelxp sylib
      rnxp simpll simprl simprr w3a simplll simp1d jca simp2d simp3d 3jca ffund
      wfun simpld opelxpd fdmd eleqtrrd 0xr simprd wf ffvelrnd psmetge0 syl3anc
      rpxrd cle df-ov breqtrdi clt cxad eqeltrid caddc cr rpred rehalfcld rexrd
      0red df-br fvimacnv elico2 biimpa rexaddd readdcld eqeltrd sylibr wex vex
      ex r19.29a psmettri syl13anc lt2halvesd eqbrtrd xrlelttrd elicod syl22anc
      eqbrtrrid breqd mpbird simpr brco wi brelrn sseldd adantrr ancrd 3ad2ant1
      eximdv mpd df-rex syl31anc mpdan relssdv id coeq12d sseq1d rspcev wb ) EU
      EUCZCEUDUFJZKZBDJZKZBCUGZLFUHZUIMZUJZNZAUHZUVTUKZBOZADULZFPUVNUVPPJZKZUVS
      KZUVOLUVPUMUNMZUIMZUJZDJZUWIUWIUKZBOZUWCUWFUVKUWIUVOLHUHZUIMZUJZNHPULZUWJ
      UVJUVKUVMUWDUVSUOZUWFUWGPJUWIUWINUWPUWFUVPUVNUWDUVSUPZUQUWFUWIURHUWGPUWOU
      WIUWIUWMUWGNUWNUWHUVOUWMUWGLUIUSUTVAVBUVKUWJUWPUWICDEHDFPUVRVCZVDHPUWOVCZ
      VDGUWSUWTFHPUVRUWOUVPUWMNUVQUWNUVOUVPUWMLUIUSUTVEVFVGVHVJVBUWFUAUBUWKBUWK
      VIUWFUWIUWIVKVLUWFUAUHZUBUHZVMZUWKJZUXCBJZUWFUXDKZUXAEJZUXBEJZKZUXEUXFUXC
      EEVNZJUXIUWFUWKUXJUXCUVLUWKUXJOUVMUWDUVSUVLUWKUWIWBZUWIVDZVNZUXJUWIUWIVOU
      VLUXMUXJWBZUXJVDZVNZUXJUVKUXMUXPOZUVJUVKUWIUXJOZUXQUVKUXJQUWICCUWHVPCEVQZ
      VRZUXRUXKUXNOUXLUXOOZUXQUWIUXJVSUWIUXJWCZUXKUXNUXLUXOVTVBRWAUVJUXPUXJNUVK
      UVJUXNEUXOEEEWDEEWMZWEWFWGWHWIWJUXAUXBEEWKWLUXFUXIKUWFUXGUXHUXDUXEUWFUXDU
      XIWNUXFUXGUXHWOUXFUXGUXHWPUWFUXDUXIUPUWFUXGUXHWQZUXDKZUXAUXBBSZUXEUYEUXAI
      UHZUWISZUYGUXBUWISZKZUYFIEUYEUYGEJZKZUYJKZUYFUXAUXBUVRSZUYMUVKUWDKZUXGUXH
      WQZUYKUYHUYIUYNUYMUYOUXGUXHUYMUVKUWDUYMUWFUVKUYMUWFUXGUXHUYDUXDUYKUYJWRZW
      SZUWQRUYMUWFUWDUYRUWRRWTUYMUWFUXGUXHUYQXAUYMUWFUXGUXHUYQXBXCUYEUYKUYJUPUY
      LUYHUYIWOUYLUYHUYIWPUYPUYKKZUYJKZCXEZUXCCWBZJZUXCCUFZUVQJZUYNUYTUVKVUAUYT
      UVKUWDUYTUYOUXGUXHUYPUYKUYJWNZWSZXFZUVKUXJQCUXSXDRZUYTUXCUXJVUBUYTUXAUXBE
      EUYTUYOUXGUXHVUFXAZUYTUYOUXGUXHVUFXBZXGZUYTUVKVUBUXJNVUHUVKUXJQCUXSXHRZXI
      UYTLUVPVUDLQJUYTXJVLUYTUVPUYTUVKUWDVUGXKZXPZUYTUXJQUXCCUYTUVKUXJQCXLVUHUX
      SRVULXMZUYTLUXAUXBCMZVUDXQUYTUVKUXGUXHLVUQXQSVUHVUJVUKUXAUXBCEXNXOUXAUXBC
      XRZXSUYTVUDVUQUVPXTVURUYTVUQUXAUYGCMZUYGUXBCMZYAMZUVPUYTVUQVUDQVURVUPYBUY
      TVVAUYTVVAVUSVUTYCMZYDUYTVUSVUTUYTLYDJZUWGQJZVUSUWHJZVUSYDJZUYTYHZUYTUWGU
      YTUVPUYTUVPVUNYEZYFYGZUYTVUSUXAUYGVMZCUFZUWHUXAUYGCXRUYTVUAVVJVUBJZVVJUWI
      JZVVKUWHJZVUIUYTVVJUXJVUBUYTUXAUYGEEVUJUYPUYKUYJUPZXGVUMXIUYTUYHVVMUYSUYH
      UYIWOUXAUYGUWIYIWLVUAVVLKVVNVVMVVJUWHCYJVJTYBZVVCVVDKZVVEKZVVFLVUSXQSZVUS
      UWGXTSZVVQVVEVVFVVSVVTWQLUWGVUSYKYLZWSTZUYTVVCVVDVUTUWHJZVUTYDJZVVGVVIUYT
      VUTUYGUXBVMZCUFZUWHUYGUXBCXRUYTVUAVWEVUBJZVWEUWIJZVWFUWHJZVUIUYTVWEUXJVUB
      UYTUYGUXBEEVVOVUKXGVUMXIUYTUYIVWHUYSUYHUYIWPUYGUXBUWIYIWLVUAVWGKVWIVWHVWE
      UWHCYJVJTYBZVVQVWCKZVWDLVUTXQSZVUTUWGXTSZVVQVWCVWDVWLVWMWQLUWGVUTYKYLZWST
      ZYMZUYTVUSVUTVWBVWOYNYOYGVUOUYTUVKUXGUXHUYKVUQVVAXQSVUHVUJVUKVVOUXAUXBUYG
      CEUUAUUBUYTVVAVVBUVPXTVWPUYTVUSVUTUVPVWBVWOVVHUYTVVCVVDVVEVVTVVGVVIVVPVVR
      VVFVVSVVTVWAXBTUYTVVCVVDVWCVWMVVGVVIVWJVWKVWDVWLVWMVWNXBTUUCUUDUUEUUHUUFV
      UAVUCKZVUEKUXCUVRJZUYNVWQVUEVWRUXCUVQCYJYLUXAUXBUVRYIYPTUUGUYMBUVRUXAUXBU
      YMUWEUVSUYRXKUUIUUJUYEUYKUYJKZIYQZUYJIEULUYEUYJIYQZVWTUYEUXAUXBUWKSZVXAUY
      EUXDVXBUYDUXDUUKUXAUXBUWKYIYPIUXAUXBUWIUWIUAYRZUBYRUULWLUYDVXAVWTUUMZUXDU
      WFUXGVXDUXHUVLVXDUVMUWDUVSUVLUYJVWSIUVLUYJUYKUVLUYJUYKUVLUYHUYKUYIUVLUYHK
      UXLEUYGUVLUXLEOUYHUVLUXLUXOEUVLUXRUYAUVKUXRUVJUXTWAUYBRUVJUXOENUVKUYCWFWG
      WFUYHUYGUXLJUVLUXAUYGUWIVXCIYRUUNWAUUOUUPYSUUQUUSWIUURWFUUTUYJIEUVAYPYTUX
      AUXBBYIWLUVBUVCYSUVDUWBUWLAUWIDUVTUWINZUWAUWKBVXEUVTUWIUVTUWIVXEUVEZVXFUV
      FUVGUVHVBUVLUVMUVSFPULZUVKUVMVXGUVIUVJBCDEFGVHWAYLYT $.

    $d a y D $.
    $( The filter base generated by a metric ` D ` .  (Contributed by Thierry
       Arnoux, 26-Nov-2017.)  (Revised by Thierry Arnoux, 11-Feb-2018.)  (Proof
       shortened by Peter Mazsa, 2-Oct-2022.) $)
    metustfbas $p |- ( ( X =/= (/) /\ D e. ( PsMet ` X ) )
      -> F e. ( fBas ` ( X X. X ) ) ) $=
      ( vz vx vy vp c0 wne wcel wa wss cv wceq crp adantl cvv c1 cpsmet cfv cxp
      cfbas cpw wnel cin wrex wral w3a ccnv cc0 cico co cima metustel simpr cdm
      cnvimass psmetf fdmd adantr sseqtrid eqsstrd ex rexlimdvw sylbid ralrimiv
      cxr pwssb sylibr wex cnvexg elisset 1rp oveq2 imaeq2d rspceeqv mpan eximi
      imaexg 4syl exbidv mpbird n0 wn cid metustid adantll biimpi cop opelidres
      cres ibir ne0d exlimiv syl syl2anc nelrdva df-nel simplrl eqeltrd sseqin2
      ssn0 df-ss simplrr wo simplr simprl metustto syl3anc mpjaodan ssidd sseq1
      simprr rspcev ralrimivva 3jca wb elfvex xpexd isfbas2 mpbir2and ) CJKZACU
      AUBZLZMZBCCUCZUDUBLZBYHUENZBJKZJBUFZFOZGOZHOZUGZNZFBUHZHBUIGBUIZUJZYFYJYD
      YFYNYHNZGBUIYJYFUUAGBYFYNBLZYNAUKZULDOZUMUNZUOZPZDQUHZUUAYNABCDEUPZYFUUGU
      UADQYFUUGUUAYFUUGMZYNUUFYHYFUUGUQUUJAURZUUFYHAUUEUSYFUUKYHPUUGYFYHVIAACUT
      VAVBVCVDVEVFVGVHGBYHVJVKRYGYKYLYSYGUUBGVLZYKYFUULYDYFUULUUHGVLZYFUUCSLUUC
      ULTUMUNZUOZSLYNUUOPZGVLUUMAYEVMUUCUUNSWAGUUOSVNUUPUUHGTQLUUPUUHVODTQUUFUU
      OYNUUDTPUUEUUNUUCUUDTULUMVPVQVRVSVTWBYFUUBUUHGUUIWCWDRGBWEVKYGJBLWFYLYGGB
      JYGUUBMWGCWMZYNNZUUQJKZYNJKYFUUBUURYDYNABCDEWHWIYGUUSUUBYGIOZCLZIVLZUUSYD
      UVBYFYDUVBICWEWJVBUVAUUSIUVAUUQUUTUUTWKZUVAUVCUUQLUUTCCWLWNWOWPWQVBUUQYNX
      DWRWSJBWTVKYGYRGHBBYGUUBYOBLZMZMZYPBLZYPYPNZYRUVFYNYONZUVGYOYNNZUVFUVIMYP
      YNBUVIYPYNPZUVFUVIUVKYNYOXEWJRYGUUBUVDUVIXAXBUVFUVJMYPYOBUVJYPYOPZUVFUVJU
      VLYOYNXCWJRYGUUBUVDUVJXFXBUVFYFUUBUVDUVIUVJXGYDYFUVEXHYGUUBUVDXIYGUUBUVDX
      OYNYOABCDEXJXKXLUVFYPXMYQUVHFYPBYMYPYPXNXPWRXQXRYGYHSLYIYJYTMXSYGCCSSYFCS
      LYDACUAXTRZUVMYAGHFSYHBYBWQYC $.

    $( The uniform structure generated by a metric ` D ` .  (Contributed by
       Thierry Arnoux, 26-Nov-2017.)  (Revised by Thierry Arnoux,
       11-Feb-2018.) $)
    metust $p |- ( ( X =/= (/) /\ D e. ( PsMet ` X ) )
      -> ( ( X X. X ) filGen F ) e. ( UnifOn ` X ) ) $=
      ( vv vw vu cfv wcel wa wss cv wral ccnv wrex w3a syl simplr simpr wne cxp
      c0 cpsmet cfg co cust cpw wi cin cid cres ccom cfbas cfil metustfbas fgcl
      filsspw filtop ad3antrrr simpllr elpwid filss syl13anc ralrimiva ad2antrr
      3syl ex filin syl3anc metustid ad5ant24 sstrd biimpa simprd sylan r19.29a
      elfg adantr ssfg sseldd simpld cnvss cnvxp sseqtrdi wceq metustsym adantl
      eqsstrrd metustexhalf ad4ant13 r19.41v sstr reximi sylbir sylancom ssrexv
      sylc 3jca cvv wb elfvex isust mpbir3and ) CUCUAZACUDIJZKZCCUBZBUEUFZCUGIJ
      ZXIXHUHZLZXHXIJZFMZGMZLZXOXIJZUIZGXKNZXNXOUJXIJZGXINZUKCULZXNLZXNOZXIJZXO
      XOUMZXNLZGXIPZQZQZFXINZXGBXHUNIJZXIXHUOIJZXLABCDEUPZBXHUQZXIXHURVGXGYLYMX
      MYNYOXIXHUSVGXGYJFXIXGXNXIJZKZXSYAYIYQXRGXKYQXOXKJZKZXPXQYSXPKZYMYPXOXHLX
      PXQXGYMYPYRXPXGYLYMYNYORZUTXGYPYRXPVAYTXOXHYQYRXPSVBYSXPTXNXOXIXHVCVDVHVE
      YQXTGXIYQXQKYMYPXQXTXGYMYPXQUUAVFXGYPXQSYQXQTXNXOXIXHVIVJVEYQYCYEYHYQHMZX
      NLZYCHBYQUUBBJZKZUUCKZYBUUBXNXFUUDYBUUBLXEYPUUCUUBABCDEVKVLUUEUUCTVMXGYLY
      PUUCHBPZYNYLYPKZXNXHLZUUGYLYPUUIUUGKHXNBXHVRVNZVOVPZVQYQUUCYEHBUUFYMUUBXI
      JYDXHLZUUBYDLYEXGYMYPUUDUUCUUAUTUUFBXIUUBYQBXILZUUDUUCYQYLUUMXGYLYPYNVSBX
      HVTRZVFYQUUDUUCSWAUUFUUIUULYQUUIUUDUUCXGYLYPUUIYNUUHUUIUUGUUJWBVPVFUUIYDX
      HOXHXNXHWCCCWDWERUUFUUBUUBOZYDXFUUDUUOUUBWFXEYPUUCUUBABCDEWGVLUUCUUOYDLUU
      EUUBXNWCWHWIUUBYDXIXHVCVDUUKVQYQUUMYGGBPZYHUUNYQUUCUUPHBUUEUUCYFUUBLZGBPZ
      UUPXGUUDUURYPUUCGUUBABCDEWJWKUURUUCKUUQUUCKZGBPUUPUUQUUCGBWLUUSYGGBYFUUBX
      NWMWNWOWPUUKVQYGGBXIWQWRWSWSVEXGCWTJZXJXLXMYKQXAXFUUTXEACUDXBWHGFXIWTCXCR
      XD $.

    $d a v w x y C $.  $d a v w x y D $.  $d a v x y F $.  $d a v w x y X $.
    $( Given a metric ` D ` and a uniform structure generated by that metric,
       Cauchy filter bases on that uniform structure are exactly the filter
       bases which contain balls of any pre-chosen size.  See ~ iscfil .
       (Contributed by Thierry Arnoux, 29-Nov-2017.)  (Revised by Thierry
       Arnoux, 11-Feb-2018.) $)
    cfilucfil $p |- ( ( X =/= (/) /\ D e. ( PsMet ` X ) ) -> (
      C e. ( CauFilU ` ( ( X X. X ) filGen F ) ) <-> ( C e. ( fBas ` X )
        /\ A. x e. RR+ E. y e. C ( D " ( y X. y ) ) C_ ( 0 [,) x ) ) ) ) $=
      ( vw cfv wcel wa co cv cc0 wss wrex crp wceq syl2anc vv c0 wne cpsmet cxp
      cfg ccfilu cfbas cima cico wral cust metust cfilufbas sylan wfun ccnv cxr
      simpllr psmetf ffun 3syl ad2antrr simplr metustfbas cdm cnvimass sseqtrid
      wf fdm cdiv simpr rphalfcld eqidd oveq2 imaeq2d rspceeqv metustel biimpar
      cle wbr 0xr a1i rpxr 0le0 rpre rehalfcld rphalflt ltled icossico syl22anc
      c2 imass2 sseq1 elfg syl12anc cfiluexsm syl3anc funimass2 ex reximdv sylc
      rspcev ralrimiva jca simprl sseq2d rexbidv simp-4r rspcdva nfv nfcv nfre1
      simprd nfralw nfan ad4antr fbelss sylancom xpss12 simp-6r ralrimi r19.29r
      sseqtrrd cin sseqin2 biimpi adantl dminss eqsstrrdi adantr reximi r19.41v
      sstrd syl sstr sylbir simp-5r biimpa r19.29a wb iscfilu mpbir2and impbida
      ) FUBUCZDFUDJKZLZCFFUEZEUFMZUGJKZCFUHJKZDBNZUULUEZUIZOANZUJMZPZBCQZARUKZL
      ZUUGUUJLZUUKUUSUUGUUIFULJKZUUJUUKDEFGHUMZUUICFUNUOUVAUURARUVAUUORKZLZDUPZ
      UUMDUQZUUPUIZPZBCQZUURUVEUUFUUHURDVIZUVFUUEUUFUUJUVDUSZDFUTZUUHURDVAVBUVE
      UVBUUJUVHUUIKZUVJUUGUVBUUJUVDUVCVCUUGUUJUVDVDUVEEUUHUHJKZUVHUUHPZINZUVHPZ
      IEQZUVNUUGUVOUUJUVDDEFGHVEZVCUVEDVFZUVHUUHDUUPVGUVEUUFUVKUWAUUHSZUVLUVMUU
      HURDVJZVBVHUVEUVGOUUOWLVKMZUJMZUIZEKZUWFUVHPZUVSUVEUUFUWFUVGOGNZUJMZUIZSG
      RQZUWGUVLUVEUWDRKUWFUWFSUWLUVEUUOUVAUVDVLZVMUVEUWFVNGUWDRUWKUWFUWFUWIUWDS
      UWJUWEUVGUWIUWDOUJVOVPVQTUUFUWGUWLUWFDEFGHVRVSTUVEUVDUWEUUPPZUWHUWMUVDOUR
      KZUUOURKOOVTWAZUWDUUOVTWAUWNUWOUVDWBWCUUOWDUWPUVDWEWCUVDUWDUUOUVDUUOUUOWF
      ZWGUWQUUOWHWIOUUOOUWDWJWKUWEUUPUVGWMVBUVRUWHIUWFEUVQUWFUVHWNXCTUVOUVNUVPU
      VSLIUVHEUUHWOVSWPUUICUVHFBWQWRUVFUVIUUQBCUVFUVIUUQUUMUUPDWSWTXAXBXDXEUUGU
      UTLZUUJUUKUUMUANZPZBCQZUAUUIUKZUUGUUKUUSXFZUWRUXAUAUUIUWRUWSUUIKZLZUWKUWS
      PZUXAGRUXEUWIRKZLZUXFUUMUWKPZBCQZUXAUXHUXFLZUUNUWJPZBCQZUUMUWAPZBCUKZUXJU
      XKUURUXMARUWIUUOUWISZUUQUXLBCUXPUUPUWJUUNUUOUWIOUJVOXGXHUXKUUKUUSUUGUUTUX
      DUXGUXFXIXNUXEUXGUXFVDXJUXKUXNBCUXHUXFBUXEUXGBUWRUXDBUUGUUTBUUGBXKUUKUUSB
      UUKBXKUURBARBRXLUUQBCXMXOXPXPUXDBXKXPUXGBXKXPUXFBXKXPUXKUULCKZUXNUXKUXQLZ
      UUMUUHUWAUXRUULFPZUXSUUMUUHPUXKUXQUUKUXSUWRUUKUXDUXGUXFUXQUXCXQFCUULXRXSZ
      UXTUULFUULFXTTUXRUUFUVKUWBUUEUUFUUTUXDUXGUXFUXQYAUVMUWCVBYDWTYBUXMUXOLUXL
      UXNLZBCQUXJUXLUXNBCYCUYAUXIBCUYAUUMUVGUUNUIZUWKUYAUUMUWAUUMYEZUYBUXNUYCUU
      MSZUXLUXNUYDUUMUWAYFYGYHUUMDYIYJUXLUYBUWKPUXNUUNUWJUVGWMYKYNYLYOTUXJUXFLU
      XIUXFLZBCQUXAUXIUXFBCYMUYEUWTBCUUMUWKUWSYPYLYQXSUXEUVQUWSPZUXFGRQZIEUXEUV
      QEKZLZUYFUVQUWKSZGRQZUYGUYIUYFLUUFUYHUYKUUEUUFUUTUXDUYHUYFYRUXEUYHUYFVDUU
      FUYHUYKUVQDEFGHVRYSTUYKUYFLUYJUYFLZGRQUYGUYJUYFGRYMUYLUXFGRUYJUYFUXFUVQUW
      KUWSWNYSYLYQXSUXEUWSUUHPZUYFIEQZUWRUXDUVOUYMUYNLZUUGUVOUUTUXDUVTVCUVOUXDU
      YOIUWSEUUHWOYSXSXNYTYTXDUWRUVBUUJUUKUXBLUUAUUGUVBUUTUVCYKUAUUICFBUUBYOUUC
      UUD $.
  $}

  ${
    $d a b D $.  $d a b X $.
    $( The uniform structure generated by metric ` D ` is a uniform structure.
       (Contributed by Thierry Arnoux, 1-Dec-2017.)  (Revised by Thierry
       Arnoux, 11-Feb-2018.) $)
    metuust $p |- ( ( X =/= (/) /\ D e. ( PsMet ` X ) )
      -> ( metUnif ` D ) e. ( UnifOn ` X ) ) $=
      ( va vb c0 wne cpsmet cfv wcel wa cmetu cxp crp cv cico co cima cmpt wceq
      cc0 ccnv crn cfg cust metuval adantl oveq2 imaeq2d cbvmptv metust eqeltrd
      rneqi ) BEFZABGHIZJAKHZBBLCMAUAZTCNZOPZQZRZUBZUCPZBUDHUNUOVBSUMABCUEUFAVA
      BDUTDMUPTDNZOPZQZRCDMUSVEUQVCSURVDUPUQVCTOUGUHUIULUJUK $.
  $}

  ${
    $d b x y C $.  $d a b x y D $.  $d a b x y X $.
    $( Given a metric ` D ` and a uniform structure generated by that metric,
       Cauchy filter bases on that uniform structure are exactly the filter
       bases which contain balls of any pre-chosen size.  See ~ iscfil .
       (Contributed by Thierry Arnoux, 1-Dec-2017.)  (Revised by Thierry
       Arnoux, 11-Feb-2018.) $)
    cfilucfil2 $p |- ( ( X =/= (/) /\ D e. ( PsMet ` X ) ) -> (
      C e. ( CauFilU ` ( metUnif ` D ) ) <-> ( C e. ( fBas ` X )
        /\ A. x e. RR+ E. y e. C ( D " ( y X. y ) ) C_ ( 0 [,) x ) ) ) ) $=
      ( va vb cfv wcel wa ccfilu cxp crp cc0 cv cico co cima cmpt wceq c0 cmetu
      wne cpsmet ccnv crn cfg cfbas wss wrex metuval adantl fveq2d eleq2d oveq2
      wral imaeq2d cbvmptv rneqi cfilucfil bitrd ) EUAUCZDEUDHIZJZCDUBHZKHZICEE
      LFMDUEZNFOZPQZRZSZUFZUGQZKHZICEUHHIDBOZVOLRNAOPQUIBCUJAMUPJVDVFVNCVDVEVMK
      VCVEVMTVBDEFUKULUMUNABCDVLEGVKGMVGNGOZPQZRZSFGMVJVRVHVPTVIVQVGVHVPNPUOUQU
      RUSUTVA $.
  $}

  ${
    $d x D $.  $d x P $.  $d x R $.  $d x X $.
    $( The ball around a point ` P ` , alternative definition.  (Contributed by
       Thierry Arnoux, 7-Dec-2017.)  (Revised by Thierry Arnoux,
       11-Mar-2018.) $)
    blval2 $p |- ( ( D e. ( PsMet ` X ) /\ P e. X /\ R e. RR+ )
      -> ( P ( ball ` D ) R ) = ( ( `' D " ( 0 [,) R ) ) " { P } ) ) $=
      ( vx cpsmet cfv wcel w3a co wbr cc0 cima cxr wa wb 3ad2ant2 syl3anc bitrd
      ex crp cbl cv clt crab ccnv cico csn wceq rpxr blvalps syl3an3 nfv nfrab1
      nfcv cop cxp wf wfn psmetf ffn elpreima 3syl 3ad2ant1 opelxp baib adantrd
      biimpd simprl simpl2 syl df-ov eleq1i cle 0xr simpl3 rpxrd elico1 sylancr
      df-3an simpr psmetcl psmetge0 biantrurd bitr4id bitr3id anbi12d pm5.21ndd
      simpl1 jca cvv elimasng elvd rabid a1i 3bitr4d eqrd eqtr4d ) ADFGHZBDHZCU
      AHZIZBCAUBGJZBEUCZAJZCUDKZEDUEZAUFLCUGJZMZBUHMZXAWSWTCNHZXCXGUICUJEABCDUK
      ULXBEXJXGXBEUMEXJUOXFEDUNXBBXDUPZXIHZXDDHZXFOZXDXJHZXDXGHZXBXMXLDDUQZHZXL
      AGZXHHZOZXOWSWTXMYBPZXAWSXRNAURAXRUSYCADUTXRNAVAXRXLXHAVBVCVDXBXNYBXOXBXS
      XNYAXBXSXNWTWSXSXNPZXAXSWTXNBXDDDVEVFZQVHVGXBXOXNXBXNXFVITXBXNYBXOPXBXNOZ
      XSXNYAXFYFWTYDWSWTXAXNVJZYEVKYAXEXHHZYFXFXEXTXHBXDAVLVMYFYHXENHZLXEVNKZXF
      IZXFYFLNHXKYHYKPVOYFCWSWTXAXNVPVQLCXEVRVSYFYKYIYJOZXFOXFYIYJXFVTYFYLXFYFY
      IYJYFWSWTXNYIWSWTXAXNWIZYGXBXNWAZBXDADWBRYFWSWTXNYJYMYGYNBXDADWCRWJWDWESW
      FWGTWHSWTWSXPXMPZXAWTYOEXIBXDDWKWLWMQXQXOPXBXFEDWNWOWPWQWR $.
  $}

  $( Membership in a ball, alternative definition.  (Contributed by Thierry
     Arnoux, 26-Jan-2018.)  (Revised by Thierry Arnoux, 11-Mar-2018.) $)
  elbl4 $p |- ( ( ( D e. ( PsMet ` X ) /\ R e. RR+ ) /\ ( A e. X /\ B e. X ) )
    -> ( B e. ( A ( ball ` D ) R ) <-> B ( `' D " ( 0 [,) R ) ) A ) ) $=
    ( cpsmet cfv wcel crp wa cbl co ccnv cc0 cico cima csn wbr cxr wb w3a df-br
    rpxr blcomps sylanl2 simpll simprr simplr blval2 eleq2d syl3anc cop bitr4di
    elimasng ancoms adantl 3bitrd ) CEFGHZDIHZJZAEHZBEHZJZJZBADCKGZLHZABDVELZHZ
    ACMNDOLPZBQPZHZBAVIRZUSURDSHVCVFVHTDUCBCADEUDUEVDURVBUSVHVKTURUSVCUFUTVAVBU
    GURUSVCUHURVBUSUAVGVJACBDEUIUJUKVCVKVLTZUTVBVAVMVBVAJVKBAULVIHVLVIBAEEUNBAV
    IUBUMUOUPUQ $.

  ${
    $d a e w D $.  $d a e X $.  $d w V $.
    $( Elementhood in the uniform structure generated by a metric ` D `
       (Contributed by Thierry Arnoux, 8-Dec-2017.)  (Revised by Thierry
       Arnoux, 11-Feb-2018.) $)
    metuel $p |- ( ( X =/= (/) /\ D e. ( PsMet ` X ) ) ->
      ( V e. ( metUnif ` D ) <-> ( V C_ ( X X. X )
        /\ E. w e. ran ( a e. RR+ |-> ( `' D " ( 0 [,) a ) ) ) w C_ V ) ) ) $=
      ( ve c0 wne cfv wcel wa crp cc0 cv cico co cima cmpt wss wceq cpsmet ccnv
      cmetu cxp crn cfg wrex metuval adantl eleq2d cfbas wb oveq2 imaeq2d rneqi
      cbvmptv metustfbas elfg syl bitrd ) DGHZBDUAIJZKZCBUCIZJCDDUDZELBUBZMENZO
      PZQZRZUEZUFPZJZCVESANCSAVKUGKZVCVDVLCVBVDVLTVABDEUHUIUJVCVKVEUKIJVMVNULBV
      KDFVJFLVFMFNZOPZQZREFLVIVQVGVOTVHVPVFVGVOMOUMUNUPUOUQACVKVEURUSUT $.
  $}

  ${
    $d a d w x y D $.  $d d w x y V $.  $d a d x y X $.
    metuel2.u $e |- U = ( metUnif ` D ) $.
    $( Elementhood in the uniform structure generated by a metric ` D `
       (Contributed by Thierry Arnoux, 24-Jan-2018.)  (Revised by Thierry
       Arnoux, 11-Feb-2018.) $)
    metuel2 $p |- ( ( X =/= (/) /\ D e. ( PsMet ` X ) ) ->
      ( V e. U <-> ( V C_ ( X X. X )
        /\ E. d e. RR+ A. x e. X A. y e. X ( ( x D y ) < d -> x V y ) ) ) ) $=
      ( vw va wcel wa wss cv crp cc0 wrex wb cvv cxr c0 wne cpsmet cfv cxp ccnv
      cmetu cico co cima cmpt crn clt wbr wral eleq2i a1i metuel wceq wex oveq2
      wi imaeq2d cbvmptv elrnmpt elv anbi1i r19.41v bitr4i exbii df-rex rexcom4
      3bitr4i cnvexg imaexg sseq1 ceqsexgv 3syl rexbidv adantr cop cdm cnvimass
      syl5bb simpll psmetf fdm sseqtrid ssrel2 syl simplr opelxpd biantrurd cle
      wf simpr w3a psmetcl ad5ant145 3biant1d psmetge0 0xr simpllr rpxrd elico1
      sylancr 3bitr4d df-ov eleq1i bitrdi wfn simp-4l ffn elpreima anasss df-br
      4syl imbi12d 2ralbidva bitr4d rexbidva bitrd pm5.32da adantl 3bitrd ) FUA
      UBZCFUCUDZKZLZEDKZECUGUDZKZEFFUEZMZINZEMZIJOCUFZPJNZUHUIZUJZUKZULZQZLZYNA
      NZBNZCUIZGNZUMUNZUUEUUFEUNZVBZBFUOAFUOZGOQZLZYJYLRYIDYKEHUPUQICEFJURYHUUD
      UUNRYFYHYNUUCUUMYHYNLZUUCYQPUUHUHUIZUJZEMZGOQZUUMUUCYOUUQUSZYPLZIUTZGOQZU
      UOUUSYOUUBKZYPLZIUTUVAGOQZIUTUUCUVCUVEUVFIUVEUUTGOQZYPLUVFUVDUVGYPUVDUVGR
      IGOUUQYOUUASJGOYTUUQYRUUHUSYSUUPYQYRUUHPUHVAVCVDVEVFVGUUTYPGOVHVIVJYPIUUB
      VKUVAGIOVLVMYHUVCUUSRYNYHUVBUURGOYHYQSKUUQSKUVBUURRCYGVNYQUUPSVOYPUURIUUQ
      SYOUUQEVPVQVRVSVTWDUUOUURUULGOUUOUUHOKZLZUURUUEUUFWAZUUQKZUVJEKZVBZBFUOAF
      UOZUULUVIUUQYMMUURUVNRUVICWBZUUQYMCUUPWCUVIYHYMTCWOZUVOYMUSYHYNUVHWECFWFZ
      YMTCWGVRWHABFFUUQEWIWJUVIUUKUVMABFFUVIUUEFKZUUFFKZLLZUUIUVKUUJUVLUVIUVRUV
      SUUIUVKRUVIUVRLZUVSLZUVJCUDZUUPKZUVJYMKZUWDLZUUIUVKUWBUWEUWDUWBUUEUUFFFUV
      IUVRUVSWKUWAUVSWPWLWMUWBUUIUUGUUPKZUWDUWBPUUGWNUNZUUILZUUGTKZUWHUUIWQZUUI
      UWGUWBUUIUWHUWJYHUVRUVSUWJYNUVHUUEUUFCFWRWSWTYHUVRUVSUUIUWIRYNUVHYHUVRUVS
      WQUWHUUIUUEUUFCFXAWMWSUWBPTKUUHTKUWGUWKRXBUWBUUHUUOUVHUVRUVSXCXDPUUHUUGXE
      XFXGUUGUWCUUPUUEUUFCXHXIXJUWBYHUVPCYMXKUVKUWFRYHYNUVHUVRUVSXLUVQYMTCXMYMU
      VJUUPCXNXQXGXOUUJUVLRUVTUUEUUFEXPUQXRXSXTYAYBYCYDYE $.
  $}

  ${
    $d a r w D $.  $d a r w P $.  $d a r w V $.  $d a r w X $.
    $( The "section" image of an entourage at a point ` P ` always contains a
       ball (centered on this point).  (Contributed by Thierry Arnoux,
       8-Dec-2017.) $)
    metustbl $p |- ( ( D e. ( PsMet ` X ) /\ V e. ( metUnif ` D ) /\ P e. X )
      -> E. a e. ran ( ball ` D ) ( P e. a /\ a C_ ( V " { P } ) ) ) $=
      ( vr vw cfv wcel w3a cv cima wss wa crn wrex co crp wb syl21anc cmetu csn
      cpsmet cbl ccnv cc0 cico simp1 simp3 cmpt wceq simpr cvv eqid elrnmpt elv
      biimpi ad2antlr sseq1 biimpcd reximdv sylc c0 wne ne0d simp2 cxp simplbda
      metuel r19.29a imass1 reximi blval2 sseq1d 3expa rexbidva syl5ibr 3adant2
      imp blssexps mpbird ) ADUCHIZCAUAHIZBDIZJZBEKZIWFCBUBZLZMNEAUDHZOPZBFKZWI
      QZWHMZFRPZWEWBWDAUEUFWKUGQLZCMZFRPZWNWBWCWDUHZWBWCWDUIZWEGKZCMZWQGFRWOUJZ
      OZWEWTXCIZNZXANXAWTWOUKZFRPZWQXEXAULXDXGWEXAXDXGXDXGSGFRWOWTXBUMXBUNUOUPU
      QURXAXFWPFRXFXAWPWTWOCUSUTVAVBWEDVCVDZWBWCXAGXCPZWEDBWSVEWRWBWCWDVFXHWBNW
      CCDDVGMXIGACDFVIVHTVJWBWDNZWQWNWQWNXJWOWGLZWHMZFRPWPXLFRWOCWGVKVLXJWMXLFR
      WBWDWKRIZWMXLSWBWDXMJWLXKWHABWKDVMVNVOVPVQVSTWBWDWJWNSWCEWHABDFVTVRWA $.
  $}

  ${
    $d a b d e v x D $.  $d a b d e v x X $.
    $( The topology induced by a uniform structure generated by a metric ` D `
       is generated by that metric's open balls.  (Contributed by Thierry
       Arnoux, 6-Dec-2017.)  (Revised by Thierry Arnoux, 11-Mar-2018.) $)
    psmetutop $p |- ( ( X =/= (/) /\ D e. ( PsMet ` X ) ) ->
      ( unifTop ` ( metUnif ` D ) ) = ( topGen ` ran ( ball ` D ) ) ) $=
      ( va vx vb vv vd ve cfv wcel wa cv wss wrex cima wceq syl cvv wb crp cuni
      wne cpsmet cmetu cutop cbl crn ctg wral cpw csn crab cust metuust utopval
      c0 eleq2d bitrdi biimpa simpld elpwid unirnblps ad2antlr sseqtrrd simp-5r
      rabid simplr ad3antrrr simpllr sseldd metustbl syl3anc sstr expcom anim2d
      simpr reximdv sylc simprd r19.21bi r19.29a ralrimiva fvex rnex eltg2 mp1i
      jca mpbird sseqtrd elpwg adantl ccnv cico co cmpt sselda blssexps syl2anc
      cc0 mpbid blval2 3expa sseq1d rexbidva syl21anc cnvexg imaexg eqid imaeq1
      ralrimivw rexrnmptw 3syl cxp cfbas oveq2 imaeq2d cbvmptv rneqi metustfbas
      wi cfg ssfg metuval ssrexv ad2antrr mpd biimpar syldan impbida eqrdv ) BU
      PUBZABUCIZJZKZCAUDIZUEIZAUFIZUGZUHIZYNCLZYPJZYTYSJZYNUUAKZUUBYTYRUAZMZDLZ
      ELZJZUUGYTMZKZEYRNZDYTUIZKZUUCUUEUULUUCYTBUUDUUCYTBUUCYTBUJZJZFLZUUFUKZOZ
      YTMZFYONZDYTUIZYNUUAUUOUVAKZYNUUAYTUVACUUNULZJUVBYNYPUVCYTYNYOBUMIJYPUVCP
      ABUNDFYOBCUOQUQUVACUUNVFURZUSZUTVAZYMUUDBPZYKUUAABVBZVCVDUUCUUKDYTUUCUUFY
      TJZKZUUSUUKFYOUVJUUPYOJZKZUUSKZUUSUUHUUGUURMZKZEYRNZUUKUVLUUSVPUVMYMUVKUU
      FBJZUVPYKYMUUAUVIUVKUUSVEUVJUVKUUSVGUVMYTBUUFUUCYTBMZUVIUVKUUSUVFVHUUCUVI
      UVKUUSVIVJAUUFUUPBEVKVLUUSUVOUUJEYRUUSUVNUUIUUHUVNUUSUUIUUGUURYTVMVNVOVQV
      RUUCUUTDYTUUCUUOUVAUVEVSVTWAWBWGYRRJZUUBUUMSZUUCYQAUFWCWDZDEYTYRRWEZWFWHY
      NUUBUVBUUAYNUUBKZUUOUVAUWCUUOUVRUWCYTUUDBUWCUUEUULYNUUBUUMUVSUVTYNUWAUWBW
      FUSZUTYMUVGYKUUBUVHVCWIZUUBUUOUVRSYNYTBYSWJWKWHUWCUUTDYTUWCUVIKZUUSFGTAWL
      ZWSGLZWMWNZOZWOZUGZNZUUTUWFUWMUWJUUQOZYTMZGTNZUWFYMUVQUUFUWHYQWNZYTMZGTNZ
      UWPYKYMUUBUVIVIZUWCYTBUUFUWEWPZUWFUUKUWSUWCUUKDYTUWCUUEUULUWDVSVTUWFYMUVQ
      UUKUWSSUWTUXAEYTAUUFBGWQWRWTYMUVQKZUWSUWPUXBUWRUWOGTUXBUWHTJZKUWQUWNYTYMU
      VQUXCUWQUWNPAUUFUWHBXAXBXCXDUSXEUWFYMUWJRJZGTUIUWMUWPSUWTYMUXDGTYMUWGRJUX
      DAYLXFUWGUWIRXGQXJUUSUWOGFTUWJUWKRUWKXHUUPUWJPUURUWNYTUUPUWJUUQXIXCXKXLWH
      YNUWMUUTXTZUUBUVIYNUWLYOMUXEYNUWLBBXMZUWLYAWNZYOYNUWLUXFXNIJUWLUXGMAUWLBH
      UWKHTUWGWSHLZWMWNZOZWOGHTUWJUXJUWHUXHPUWIUXIUWGUWHUXHWSWMXOXPXQXRXSUWLUXF
      YBQYMYOUXGPYKABGYCWKVDUUSFUWLYOYDQYEYFWBWGYNUUAUVBUVDYGYHYIYJ $.

    $( The topology induced by a uniform structure generated by an extended
       metric ` D ` is that metric's open sets.  (Contributed by Thierry
       Arnoux, 11-Mar-2018.) $)
    xmetutop $p |- ( ( X =/= (/) /\ D e. ( *Met ` X ) ) ->
      ( unifTop ` ( metUnif ` D ) ) = ( MetOpen ` D ) ) $=
      ( c0 wne cxmet cfv wcel wa cmetu cutop cbl crn ctg cmopn cpsmet xmetpsmet
      wceq psmetutop sylan2 eqid mopnval adantl eqtr4d ) BCDZABEFGZHAIFJFZAKFLM
      FZANFZUEUDABOFGUFUGQABPABRSUEUHUGQUDAUHBUHTUAUBUC $.
  $}

  ${
    xmsusp.x $e |- X = ( Base ` F ) $.
    xmsusp.d $e |- D = ( ( dist ` F ) |` ( X X. X ) ) $.
    xmsusp.u $e |- U = ( UnifSt ` F ) $.
    $( If the uniform set of a metric space is the uniform structure generated
       by its metric, then it is a uniform space.  (Contributed by Thierry
       Arnoux, 14-Dec-2017.) $)
    xmsusp $p |- ( ( X =/= (/) /\ F e. *MetSp /\ U = ( metUnif ` D ) )
      -> F e. UnifSp ) $=
      ( c0 wne cxms wcel cmetu cfv wceq w3a cust ctopn cutop 3ad2ant2 syl2anc
      cusp simp3 cxmet xmsxmet cpsmet xmetpsmet metuust sylan2 eqeltrd xmetutop
      simp1 cmopn fveq2d eqid xmstopn 3eqtr4rd isusp sylanbrc ) DHIZCJKZBALMZNZ
      OZBDPMZKCQMZBRMZNCUAKVCBVAVDUSUTVBUBZVCUSADUCMKZVAVDKZUSUTVBUKZUTUSVHVBAC
      DEFUDSZVHUSADUEMKVIADUFADUGUHTUIVCVARMZAULMZVFVEVCUSVHVLVMNVJVKADUJTVCBVA
      RVGUMUTUSVEVMNVBAVECDVEUNZEFUOSUPDBVECEGVNUQUR $.
  $}

  ${
    $d a b u v w A $.  $d a b u v w D $.  $d a b u v w X $.
    $( The uniform structure generated by the restriction of a metric is its
       trace.  (Contributed by Thierry Arnoux, 18-Dec-2017.) $)
    restmetu $p |- ( ( A =/= (/) /\ D e. ( PsMet ` X ) /\ A C_ X ) ->
      ( ( metUnif ` D ) |`t ( A X. A ) ) = ( metUnif ` ( D |` ( A X. A ) ) )
      ) $=
      ( va vv vb vu vw c0 cfv wcel wss crp cin wceq syl2anc cvv wrex wa wb cres
      wne cpsmet w3a cxp ccnv cc0 cv cico co cima cmpt crn cfg crab cmetu crest
      cpw cfbas simp1 psmetres2 3adant1 weq oveq2 imaeq2d cbvmptv rneqi metuval
      metustfbas fgval syl elfvexd xpexd restval sylancr inss2 sseq1 mpbiri vex
      fvex elpw sylibr rexlimivw adantl nfmpt1 nfrn nfcri nfan nfcv nfin simplr
      nfv nfne ineq1 cxr wf wfun psmetf ffun respreima 4syl ad6antr eqtr4d rspe
      simp2 inex1 eqid elrnmpt ax-mp simpllr ssinss1 pweq eleq2d bitrdi bitr4di
      a1i ssin ad5antlr mpbir2and inelcm elv sylib r19.29af2 ssn0 ancoms metuel
      3adant2 simplbda adantr r19.29a r19.29an jca cun elpwid rspceeqv eqsstrrd
      cdif unssd 3bitri wex simprl simpl3 xpss12 difssd ad4antr cnvexg cnvimass
      sstrd eqidd imaexg mpbird fssdm ssdif0 0ss eqsstrdi simpr ssundif difdif2
      difcom sseq1i rspcev anbi1i ancom exbii n0 df-rex 3bitr4i biimpi ad2antll
      elin r19.29vva indir disjdifr uneq2i 3eqtri eqtr2id impbida ineq2d neeq1d
      un0 df-ss elrab 3bitr4g eqrdv eqtrd 3eqtr4rd ) AIUBZBCUCJZKZACLZUDZAAUEZD
      MBUWLUAZUFZUGDUHZUIUJZUKZULZUMZUNUJZUWSEUHZURZNZIUBZEUWLURZUOZUWMUPJZBUPJ
      ZUWLUQUJZUWKUWSUWLUSJKZUWTUXFOUWKUWGUWMAUCJKZUXJUWGUWIUWJUTUWIUWJUXKUWGBA
      CVAVBZUWMUWSAFUWRFMUWNUGFUHZUIUJZUKZULDFMUWQUXODFVCZUWPUXNUWNUWOUXMUGUIVD
      ZVEVFZVGVIPEUWSUWLVJVKUWKUXKUXGUWTOUXLUWMADVHVKUWKUXIEUXHUXAUWLNZULZUMZUX
      FUWKUXHQKUWLQKUXIUYAOBUPVTUWKAAQQUWKUWMUCAUXLVLZUYBVMEUWLUXHQQVNVOUWKGUYA
      UXFUWKGUHZUXSOZEUXHRZUYCUXEKZUWSUYCURZNZIUBZSZUYCUYAKZUYCUXFKUWKUYEUYJUWK
      UYESUYFUYIUYEUYFUWKUYDUYFEUXHUYDUYCUWLLZUYFUYDUYLUXSUWLLUXAUWLVPUYCUXSUWL
      VQVRUYCUWLGVSWAWBWCWDUWKUYDUYIEUXHUWKUXAUXHKZSZUYDSZHUHZUXALZUYIHDMBUFZUW
      PUKZULZUMZUYOUYPVUAKZSZUYQSZUYPUYSOZUYIDMVUCUYQDUYOVUBDUYODWLDHVUADUYTDMU
      YSWEWFWGWHUYQDWLWHDUYHIDUWSUYGDUWRDMUWQWEWFDUYGWIWJDIWIWMVUDUWOMKZSZVUESZ
      UYPUWLNZUWSKZVUIUYGKZUYIVUHVUIUWQOZDMRZVUJVUHVUFVULVUMVUDVUFVUEWKVUHVUIUY
      SUWLNZUWQVUEVUIVUNOVUGUYPUYSUWLWNWDUWKUWQVUNOZUYMUYDVUBUYQVUFVUEUWKUWICCU
      EZWOBWPZBWQZVUOUWGUWIUWJXEZBCWRZVUPWOBWSZUWPUWLBWTXAXBXCVULDMXDPVUIQKVUJV
      UMTUYPUWLHVSXFZDMUWQVUIUWRQUWRXGXHXIWBVUHVUKVUIUXALZVUIUWLLZVUHUYQVVCVUCU
      YQVUFVUEXJUYPUWLUXAXKVKVVDVUHUYPUWLVPXPUYDVUKVVCVVDSZTUYNVUBUYQVUFVUEUYDV
      UKVUIUXSLZVVEUYDVUKVUIUXSURZKVVFUYDUYGVVGVUIUYCUXSXLXMVUIUXSVVBWAXNVUIUXA
      UWLXQXOXRXSVUIUWSUYGXTPVUDVUBVUEDMRZUYOVUBUYQWKVUBVVHTHDMUYSUYPUYTQUYTXGZ
      XHYAYBYCUYNUYQHVUARZUYDUWKUYMUXAVUPLZVVJUWKCIUBZUWIUYMVVKVVJSTUWGUWJVVLUW
      IUWJUWGVVLACYDYEYGZVUSHBUXACDYFPYHYIYJYKYLUWKUYJSZUYCVUPUWLYQZYMZUXHKZUYC
      VVPUWLNZOUYEVVNVVQVVPVUPLZUYPVVPLZHVUARZVVNUYCVVOVUPVVNUYCUWLVUPVVNUYCUWL
      UWKUYFUYIUUAYNZVVNUWJUWJUWLVUPLUWGUWIUWJUYJUUBZVWCACACUUCPUUHVVNVUPUWLUUD
      YRVVNUXAUXOOZVWAEFUYGMVVNUXAUYGKZSZUXMMKZSZVWDSZUYRUXNUKZVUAKZVWJVVPLZVWA
      VWIVWKVWJUYSODMRZVWIVWGVWJVWJOVWMVWFVWGVWDWKVWIVWJUUIDUXMMUYSVWJVWJUXPUWP
      UXNUYRUXQVEYOPVWIUWIUYRQKVWJQKVWKVWMTUWKUWIUYJVWEVWGVWDVUSUUEZBUWHUUFUYRU
      XNQUUJDMUYSVWJUYTQVVIXHXAUUKVWIVWJVUPYQZVWJUWLNZYMZUYCLZVWLVWIVWOVWPUYCVW
      IVWOIUYCVWIVWJVUPLZVWOIOVWIUWIVWSVWNUWIVUPWOVWJBBUXNUUGVUTUULVKVWJVUPUUMY
      BUYCUUNUUOVWIVWPUXOUYCVWIUWIVUQVURUXOVWPOVWNVUTVVAUXNUWLBWTXAVWIUXOUXAUYC
      VWHVWDUUPVWIUXAUYCVVNVWEVWGVWDXJYNYPYPYRVWLVWJUYCYQVVOLVWJVVOYQZUYCLVWRVW
      JUYCVVOUUQVWJUYCVVOUUSVWTVWQUYCVWJVUPUWLUURUUTYSWBVVTVWLHVWJVUAUYPVWJVVPV
      QUVAPUYIVWDFMRZEUYGRZUWKUYFUYIVXBUXAUYHKZEYTVWEVXASZEYTUYIVXBVXCVXDEVXCUX
      AUWSKZVWESVXAVWESVXDUXAUWSUYGUVJVXEVXAVWEVXEVXATEFMUXOUXAUWRQUXRXHYAUVBVX
      AVWEUVCYSUVDEUYHUVEVXAEUYGUVFUVGUVHUVIUVKVVNVVLUWIVVQVVSVWASTUWKVVLUYJVVM
      YIUWKUWIUYJVUSYIHBVVPCDYFPXSVVNVVRUYCUWLNZUYCVVRVXFVVOUWLNZYMVXFIYMVXFUYC
      VVOUWLUVLVXGIVXFUWLVUPUVMUVNVXFUVTUVOVVNUYLVXFUYCOVWBUYCUWLUWAYBUVPEVVPUX
      HUXSVVRUYCUXAVVPUWLWNYOPUVQUYKUYETGEUXHUXSUYCUXTQUXTXGXHYAUXDUYIEUYCUXEEG
      VCZUXCUYHIVXHUXBUYGUWSUXAUYCXLUVRUVSUWBUWCUWDUWEUWF $.
  $}

  ${
    $d a c d e u v x y C $.  $d b c d f u v x y D $.  $d c d u v x y F $.
    $d u v x y U $.  $d u v x V $.  $d a c d e u v x y X $.
    $d b c d f u v x y Y $.  $d c d u v x y ph $.
    metucn.u $e |- U = ( metUnif ` C ) $.
    metucn.v $e |- V = ( metUnif ` D ) $.
    metucn.x $e |- ( ph -> X =/= (/) ) $.
    metucn.y $e |- ( ph -> Y =/= (/) ) $.
    metucn.c $e |- ( ph -> C e. ( PsMet ` X ) ) $.
    metucn.d $e |- ( ph -> D e. ( PsMet ` Y ) ) $.
    $( Uniform continuity in metric spaces.  Compare the order of the
       quantifiers with ~ metcn .  (Contributed by Thierry Arnoux,
       26-Jan-2018.)  (Revised by Thierry Arnoux, 11-Feb-2018.) $)
    metucn $p |- ( ph -> ( F e. ( U uCn V ) <-> ( F : X --> Y
      /\ A. d e. RR+ E. c e. RR+ A. x e. X A. y e. X
      ( ( x C y ) < c -> ( ( F ` x ) D ( F ` y ) ) < d ) ) ) ) $=
      ( wcel crp vu vv va vb ve vf cucn co wf cv wbr cfv wi wral ccnv cico cima
      cc0 cmpt crn wrex wa clt cxp cfg cmetu cpsmet wceq metuval syl5eq oveq12d
      syl eleq2d eqid c0 wne cust weq oveq2 imaeq2d cbvmptv rneqi syl2anc cfbas
      metust isucn2 bitrd wb rspceeqv mpan2 adantl metustel adantr mpbird simpr
      metustfbas breqd imbi2d ralbidv ralxfr2d imbi1d 2ralbidv rexxfr2d ad4antr
      rexralbidv simplr simprr simprl cbl elbl4 cxr rpxr elbl3ps sylanl2 bitr3d
      syl22anc simpllr simp-4r ffvelrnd 2ralbidva rexbidva ralbidva pm5.32da
      imbi12d ) AGFHUGUHZSZIJGUIZBUJZCUJZUAUJZUKZYHGULZYIGULZUBUJZUKZUMZCIUNZBI
      UNUAUCTDUOZURUCUJZUPUHZUQZUSZUTZVAZUBUDTEUOZURUDUJZUPUHZUQZUSZUTZUNZVBZYG
      YHYIDUHKUJZVCUKZYLYMEUHLUJZVCUKZUMZCIUNBIUNZKTVAZLTUNZVBAYFGIIVDZUUCVEUHZ
      JJVDZUUJVEUHZUGUHZSUULAYEUVEGAFUVBHUVDUGAFDVFULZUVBMADIVGULSZUVFUVBVHQDIU
      CVIVLVJAHEVFULZUVDNAEJVGULSZUVHUVDVHREJUDVIVLVJVKVMABCUUCUUJUVBGUVDIJUBUA
      UVBVNUVDVNAIVOVPZUVGUVBIVQULSOQDUUCIKUUBKTYRURUUMUPUHZUQZUSUCKTUUAUVLUCKV
      RYTUVKYRYSUUMURUPVSVTWAWBZWEWCAJVOVPZUVIUVDJVQULSPREUUJJLUUILTUUEURUUOUPU
      HZUQZUSUDLTUUHUVPUDLVRUUGUVOUUEUUFUUOURUPVSVTWAWBZWEWCAUVJUVGUUCUVAWDULSO
      QDUUCIUEUUBUETYRURUEUJZUPUHZUQZUSUCUETUUAUVTUCUEVRYTUVSYRYSUVRURUPVSVTWAW
      BZWPWCAUVNUVIUUJUVCWDULSPREUUJJUFUUIUFTUUEURUFUJZUPUHZUQZUSUDUFTUUHUWDUDU
      FVRUUGUWCUUEUUFUWBURUPVSVTWAWBZWPWCWFWGAYGUUKUUTAYGVBZUUKYHYIUVLUKZYLYMUV
      PUKZUMZCIUNBIUNZKTVAZLTUNZUUTAUUKUWLWHYGAUUKYKUWHUMZCIUNZBIUNZUAUUCVAZLTU
      NUWLAUUDUWPUBLUVPUUJTUUJAUUOTSZVBUVPUUJSZUVPUWDVHUFTVAZUWQUWSAUWQUVPUVPVH
      UWSUVPVNUFUUOTUWDUVPUVPUFLVRUWCUVOUUEUWBUUOURUPVSVTWIWJWKAUWRUWSWHZUWQAUV
      IUWTRUVPEUUJJUFUWEWLVLWMWNAUVIYNUUJSYNUVPVHZLTVAWHRYNEUUJJLUVQWLVLAUXAVBZ
      YQUWNUABUUCIUXBYPUWMCIUXBYOUWHYKUXBYNUVPYLYMAUXAWOWQWRWSXEWTAUWPUWKLTAUWO
      UWJUAKUVLUUCTUUCAUUMTSZVBUVLUUCSZUVLUVTVHUETVAZUXCUXEAUXCUVLUVLVHUXEUVLVN
      UEUUMTUVTUVLUVLUEKVRUVSUVKYRUVRUUMURUPVSVTWIWJWKAUXDUXEWHZUXCAUVGUXFQUVLD
      UUCIUEUWAWLVLWMWNAUVGYJUUCSYJUVLVHZKTVAWHQYJDUUCIKUVMWLVLAUXGVBZUWMUWIBCI
      IUXHYKUWGUWHUXHYJUVLYHYIAUXGWOWQXAXBXCWSWGWMUWFUWKUUSLTUWFUWQVBZUWJUURKTU
      XIUXCVBZUWIUUQBCIIUXJYHISZYIISZVBZVBZUWGUUNUWHUUPUXNUVGUXCUXLUXKUWGUUNWHA
      UVGYGUWQUXCUXMQXDUXIUXCUXMXFUXJUXKUXLXGZUXJUXKUXLXHZUVGUXCVBUXLUXKVBZVBYH
      YIUUMDXIULUHSZUWGUUNYIYHDUUMIXJUXCUVGUUMXKSUXQUXRUUNWHUUMXLYHDYIUUMIXMXNX
      OXPUXNUVIUWQYMJSZYLJSZUWHUUPWHAUVIYGUWQUXCUXMRXDUWFUWQUXCUXMXQUXNIJYIGAYG
      UWQUXCUXMXRZUXOXSUXNIJYHGUYAUXPXSUVIUWQVBUXSUXTVBZVBYLYMUUOEXIULUHSZUWHUU
      PYMYLEUUOJXJUWQUVIUUOXKSUYBUYCUUPWHUUOXLYLEYMUUOJXMXNXOXPYDXTYAYBWGYCWG
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Examples of metric spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d u v w D $.  $d u v w V $.  $d u v w x y X $.
    dscmet.1 $e |- D = ( x e. X , y e. X |-> if ( x = y , 0 , 1 ) ) $.
    $( The discrete metric on any set ` X ` .  Definition 1.1-8 of [Kreyszig]
       p. 8.  (Contributed by FL, 12-Oct-2006.) $)
    dscmet $p |- ( X e. V -> D e. ( Met ` X ) ) $=
      ( vw vv vu wcel cv cc0 wceq weq cle wbr wa c1 ifbid cn0 cmet cfv cr wf co
      cxp wb caddc wral cif 0re 1re ifcli rgen2w fmpo mpbi equequ1 equequ2 0nn0
      elexi ovmpo eqeq1d wn iffalse wne ax-1ne0 a1i eqnetrd neneqd con4i iftrue
      1nn0 impbii bitrdi cn wo nn0addcli elnn0 breq1 leidi keephyp nnge1 nn0rei
      letri sylancr nn0ge0i add20i mp2an bibi12d chvarvv eqtr2 syl2anb eqbrtrdi
      0le1 iftrued sylbi id breqtrrd jaoi adantl eqeq12 adantrr adantrl oveq12d
      mp1i ovmpoa 3brtr4d expcom ralrimiv jca rgen2 pm3.2i ismet mpbiri ) EDJCE
      UAUBJEEUFUCCUDZGKZHKZCUEZLMZGHNZUGZXRIKZXPCUEZYBXQCUEZUHUEZOPZIEUIZQZHEUI
      GEUIZQXOYIABNZLRUJZUCJZBEUIAEUIXOYLABEEYJLRUCUKULUMUNABEEYKUCCFUOUPYHGHEE
      XPEJZXQEJZQZYAYGYOXSXTLRUJZLMZXTYOXRYPLABXPXQEEYKYPCGBNZLRUJAGNYJYRLRAGBU
      QSBHNZYRXTLRBHGURSFYPTXTLRTUSVLUMZUTVAZVBYQXTXTYQXTVCZYPLUUBYPRLXTLRVDRLV
      EUUBVFVGVHVIVJXTLRVKVMZVNYOYFIEYBEJZYOYFUUDYOQZYPIGNZLRUJZIHNZLRUJZUHUEZX
      RYEOUUJVOJZUUJLMZVPZYPUUJOPZUUEUUJTJUUMUUGUUIUUFLRTUSVLUMZUUHLRTUSVLUMZVQ
      ZUUJVRUPUUKUUNUULUUKYPROPZRUUJOPUUNXTLROPRROPUURLRLYPROVSRYPROVSWNRULVTWA
      UUJWBYPRUUJYPYTWCULUUJUUQWCWDWEUULYPLUUJOUULUUGLMZUUILMZQZYPLOPLUUGOPLUUI
      OPUULUVAUGUUGUUOWFUUIUUPWFUUGUUIUUGUUOWCUUIUUPWCWGWHUVAYPLLOUVAXTLRUUSUUF
      UUHXTUUTUUTUUHUGZUUSUUFUGHGHGNZUUTUUSUUHUUFUVCUUIUUGLUVCUUHUUFLRHGIURZSVB
      UVDWIYQXTUGUVBGIGINZYQUUTXTUUHUVEYPUUILUVEXTUUHLRGIHUQZSVBUVFWIUUCWJZWJUV
      GYBXPXQWKWLWOLUKVTWMWPUULWQWRWSXEYOXRYPMUUDUUAWTUUEYCUUGYDUUIUHUUDYMYCUUG
      MYNABYBXPEEYKUUGCAINZBGNQYJUUFLRAKZYBBKZXPXASFUUGTUUOUTXFXBUUDYNYDUUIMYMA
      BYBXQEEYKUUICUVHYSQYJUUHLRUVIYBUVJXQXASFUUITUUPUTXFXCXDXGXHXIXJXKXLGHIDCE
      XMXN $.

    $( The discrete metric generates the discrete topology.  In particular, the
       discrete topology is metrizable.  (Contributed by Mario Carneiro,
       29-Jan-2014.) $)
    dscopn $p |- ( X e. V -> ( MetOpen ` D ) = ~P X ) $=
      ( vu vv vw wcel cfv cv wss wa wb c1 weq clt wbr cc0 cpw cbl crn wrex wral
      cmopn cxmet cmet dscmet metxmet syl eqid elmopn simpll adantll jca csn co
      ssel2 velsn eleq1a wi simpl a1i cif eqeq12 ifbid cr 0re 1re ovmpoa breq1d
      ifcli elexi ltnri iffalse mtbiri con4i iftrue 0lt1 eqbrtrdi impbii equcom
      wn bitri bitr2di simpr biantrurd bitrd ex pm5.21ndd adantl cxr 1xr mp3an3
      elbl sylan bitr4d syl5bb eqrdv eqeltrd snssi vsnid jctil wceq eleq2 sseq1
      blelrn anbi12d rspcev syl2an sylancom ralrimiva pm4.71d velpw bitr4di ) E
      DJZGCUFKZEUAZXQGLZXRJZXTEMZXTXSJXQYAYBHLZILZJZYDXTMZNZICUBKZUCZUDZHXTUEZN
      ZYBXQCEUGKJZYAYLOXQCEUHKJYMABCDEFUICEUJUKZHIXTCXREXRULUMUKXQYBYKXQYBYKXQY
      BNZYJHXTYOYCXTJZXQYCEJZNZYJYOYPNXQYQXQYBYPUNYBYPYQXQXTEYCUSUOUPYRYCUQZYIJ
      YCYSJZYSXTMZNZYJYPYRYSYCPYHURZYIYRIYSUUCYDYSJIHQZYRYDUUCJZIYCUTYRUUDYDEJZ
      YCYDCURZPRSZNZUUEYQUUDUUIOZXQYQUUFUUDUUIYCEYDVAUUIUUFVBYQUUFUUHVCVDYQUUFU
      UJYQUUFNZUUDUUHUUIUUKUUHHIQZTPVEZPRSZUUDUUKUUGUUMPRABYCYDEEABQZTPVEUUMCAH
      QBIQNUUOUULTPALYCBLYDVFVGFUUMVHUULTPVHVIVJVMVNVKVLUUNUULUUDUUNUULUULUUNUU
      LWDZUUNPPRSPVJVOUUPUUMPPRUULTPVPVLVQVRUULUUMTPRUULTPVSVTWAWBHIWCWEWFUUKUU
      FUUHYQUUFWGWHWIWJWKWLXQYMYQUUEUUIOZYNYMYQPWMJZUUQWNYDCYCPEWPWOWQWRWSWTXQY
      MYQUUCYIJZYNYMYQUURUUSWNCYCPEXHWOWQXAYPUUAYTYCXTXBHXCXDYGUUBIYSYIYDYSXEYE
      YTYFUUAYDYSYCXFYDYSXTXGXIXJXKXLXMWJXNWRGEXOXPWT $.
  $}

  ${
    $d a b c x y .- $.  $d x y .0. $.  $d a b c x y F $.  $d a b c x y ph $.
    $d a b c x y X $.
    nrmmetd.x $e |- X = ( Base ` G ) $.
    nrmmetd.m $e |- .- = ( -g ` G ) $.
    nrmmetd.z $e |- .0. = ( 0g ` G ) $.
    nrmmetd.g $e |- ( ph -> G e. Grp ) $.
    nrmmetd.f $e |- ( ph -> F : X --> RR ) $.
    nrmmetd.1 $e |- ( ( ph /\ x e. X ) -> ( ( F ` x ) = 0 <-> x = .0. ) ) $.
    nrmmetd.2 $e |- ( ( ph /\ ( x e. X /\ y e. X ) ) ->
      ( F ` ( x .- y ) ) <_ ( ( F ` x ) + ( F ` y ) ) ) $.
    $( Show that a group norm generates a metric.  Part of Definition 2.2-1 of
       [Kreyszig] p. 58.  (Contributed by NM, 4-Dec-2006.)  (Revised by Mario
       Carneiro, 2-Oct-2015.) $)
    nrmmetd $p |- ( ph -> ( F o. .- ) e. ( Met ` X ) ) $=
      ( co wceq cle cfv wcel va vb vc cxp cr ccom wf cv cc0 caddc wbr wral cmet
      wb wa cgrp grpsubf syl fco syl2anc cop opelxpi fvco3 syl2an df-ov 3eqtr4g
      fveq2i eqeq1d ralrimiva grpsubcl 3expb sylan fveq2 eqeq1 bibi12d syl2an2r
      rspccva grpsubeq0 3bitrd adantr adantrr ffvelrnd simprll syl3anc readdcld
      simprr simprlr grpnnncan2 syl13anc fveq2d ralrimivva fvoveq1 oveq1d oveq2
      breq12d oveq2d rspc2va syl21anc eqbrtrrd wi eleq1w anbi2d imbi12d grpidcl
      simprl cminusg eqid grpinvval2 grpinvsub eqtr3d bicom bitrdi bitr3d recnd
      pm5.501 addid2d 3brtr3d chvarvv adantrlr adantrll le2addd oveq12d 3brtr4d
      eqtrd anbi1d letrd expr ralrimiv jca cvv cbs fvexi ismet ax-mp sylanbrc )
      AGGUDZUEDFUFZUGZUAUHZUBUHZYQPZUIQZYSYTQZUNZUUAUCUHZYSYQPZUUEYTYQPZUJPZRUK
      ZUCGULZUOZUBGULUAGULZYQGUMSTZAGUEDUGZYPGFUGZYRMAEUPTZUUOLGEFIJUQURZYPGUED
      FUSUTAUUKUAUBGGAYSGTZYTGTZUOZUOZUUDUUJUVAUUBYSYTFPZDSZUIQZUVBHQZUUCUVAUUA
      UVCUIUVAYSYTVAZYQSZUVFFSZDSZUUAUVCAUUOUVFYPTUVGUVIQUUTUUQYSYTGGVBYPGUVFDF
      VCVDYSYTYQVEUVBUVHDYSYTFVEVGVFZVHABUHZDSZUIQZUVKHQZUNZBGULZUUTUVBGTZUVDUV
      EUNZAUVOBGNVIZAUUPUUTUVQLUUPUURUUSUVQGEFYSYTIJVJVKVLZUVOUVRBUVBGUVKUVBQZU
      VMUVDUVNUVEUWAUVLUVCUIUVKUVBDVMVHUVKUVBHVNVOVQVPAUUPUUTUVEUUCUNZLUUPUURUU
      SUWBGEFYSYTHIKJVRVKVLVSUVAUUIUCGAUUTUUEGTZUUIAUUTUWCUOZUOZUVCUUEYSFPZDSZU
      UEYTFPZDSZUJPZUUAUUHRUWEUVCYSUUEFPZDSZYTUUEFPZDSZUJPZUWJUWEGUEUVBDAUUNUWD
      MVTZAUUTUVQUWCUVTWAWBUWEUWLUWNUWEGUEUWKDUWPUWEUUPUURUWCUWKGTZAUUPUWDLVTZA
      UURUUSUWCWCZAUUTUWCWFZGEFYSUUEIJVJWDZWBZUWEGUEUWMDUWPUWEUUPUUSUWCUWMGTZUW
      RAUURUUSUWCWGZUWTGEFYTUUEIJVJWDZWBZWEUWEUWGUWIUWEGUEUWFDUWPUWEUUPUWCUURUW
      FGTUWRUWTUWSGEFUUEYSIJVJWDWBZUWEGUEUWHDUWPUWEUUPUWCUUSUWHGTUWRUWTUXDGEFUU
      EYTIJVJWDWBZWEUWEUWKUWMFPZDSZUVCUWORUWEUXIUVBDUWEUUPUURUUSUWCUXIUVBQUWRUW
      SUXDUWTGEFYSYTUUEIJWHWIWJUWEUWQUXCUVKCUHZFPDSZUVLUXKDSZUJPZRUKZCGULBGULZU
      XJUWORUKZUXAUXEAUXPUWDAUXOBCGGOWKZVTUXOUXQUWKUXKFPZDSZUWLUXMUJPZRUKBCUWKU
      WMGGUVKUWKQZUXLUXTUXNUYARUVKUWKUXKDFWLUYBUVLUWLUXMUJUVKUWKDVMWMWOUXKUWMQZ
      UXTUXJUYAUWORUYCUXSUXIDUXKUWMUWKFWNWJUYCUXMUWNUWLUJUXKUWMDVMWPWOWQWRWSUWE
      UWLUWNUWGUWIUXBUXFUXGUXHAUURUWCUWLUWGRUKZUUSUVAUVCYTYSFPZDSZRUKZWTAUURUWC
      UOZUOZUYDWTZUBUCYTUUEQZUVAUYIUYGUYDUYKUUTUYHAUYKUUSUWCUURUBUCGXAXBXBUYKUV
      CUWLUYFUWGRUYKUVBUWKDYTUUEYSFWNWJYTUUEYSDFWLWOXCUVAHUYEFPZDSZHDSZUYFUJPZU
      VCUYFRUVAHGTZUYEGTZUXPUYMUYORUKZUVAUUPUYPAUUPUUTLVTZGEHIKXDZURUVAUUPUUSUU
      RUYQUYSAUURUUSWFZAUURUUSXEZGEFYTYSIJVJWDZAUXPUUTUXRVTUXOUYRHUXKFPZDSZUYNU
      XMUJPZRUKBCHUYEGGUVNUXLVUEUXNVUFRUVKHUXKDFWLUVNUVLUYNUXMUJUVKHDVMZWMWOUXK
      UYEQZVUEUYMVUFUYORVUHVUDUYLDUXKUYEHFWNWJVUHUXMUYFUYNUJUXKUYEDVMWPWOWQWRUV
      AUYLUVBDUVAUYEEXFSZSZUYLUVBAUUPUUTUYQVUJUYLQLVUCGEFVUIUYEHIJVUIXGZKXHVPUV
      AUUPUUSUURVUJUVBQUYSVUAVUBGEFVUIYTYSIJVUKXIWDXJWJUVAUYOUIUYFUJPUYFUVAUYNU
      IUYFUJAUYNUIQZUUTAUVPUYPVULUVSAUUPUYPLUYTURUVOVULBHGUVNUVMUVOVULUVNUVMUVN
      UVMUNUVOUVNUVMXOUVNUVMXKXLUVNUVLUYNUIVUGVHXMVQUTVTWMUVAUYFUVAUYFUVAGUEUYE
      DAUUNUUTMVTVUCWBXNXPYDXQXRZXSAUUSUWCUWNUWIRUKZUURUYJAUUSUWCUOZUOZVUNWTUAU
      BUUCUYIVUPUYDVUNUUCUYHVUOAUUCUURUUSUWCUAUBGXAYEXBUUCUWLUWNUWGUWIRYSYTUUED
      FWLUUCUWFUWHDYSYTUUEFWNWJWOXCVUMXRXTYAYFAUUTUUAUVCQUWCUVJWAUWEUUFUWGUUGUW
      IUJUWEUUEYSVAZYQSZVUQFSZDSZUUFUWGAUUOUWDVUQYPTZVURVUTQUUQUWEUWCUURVVAUWTU
      WSUUEYSGGVBUTYPGVUQDFVCVPUUEYSYQVEUWFVUSDUUEYSFVEVGVFUWEUUEYTVAZYQSZVVBFS
      ZDSZUUGUWIAUUOUWDVVBYPTZVVCVVEQUUQUWEUWCUUSVVFUWTUXDUUEYTGGVBUTYPGVVBDFVC
      VPUUEYTYQVEUWHVVDDUUEYTFVEVGVFYBYCYGYHYIWKGYJTUUMYRUULUOUNGEYKIYLUAUBUCYJ
      YQGYMYNYO $.
  $}

  ${
    $d x y A $.  $d x y F $.  $d x y .- $.  $d x y R $.  $d x y X $.
    abvmet.x $e |- X = ( Base ` R ) $.
    abvmet.a $e |- A = ( AbsVal ` R ) $.
    abvmet.m $e |- .- = ( -g ` R ) $.
    $( An absolute value ` F ` generates a metric defined by
       ` d ( x , y ) = F ( x - y ) ` , analogously to ~ cnmet .  (In fact, the
       ring structure is not needed at all; the group properties ~ abveq0 and
       ~ abvtri , ~ abvneg are sufficient.)  (Contributed by Mario Carneiro,
       9-Sep-2014.)  (Revised by Mario Carneiro, 2-Oct-2015.) $)
    abvmet $p |- ( F e. A -> ( F o. .- ) e. ( Met ` X ) ) $=
      ( vx vy wcel c0g cfv eqid crg cgrp abvrcl ringgrp cv co abvf abveq0 caddc
      syl cle wbr abvsubtri 3expb nrmmetd ) CAKZIJCBDEBLMZFHUKNZUJBOKBPKABCGQBR
      UDAEBCGFUAAEBCISZUKGFULUBUJUMEKJSZEKUMUNDTCMUMCMUNCMUCTUEUFAEBCDUMUNGFHUG
      UHUI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Normed algebraic structures
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  In the following, the norm of a normed algebraic structure (group, left
  module, vector space) is defined by the (given) distance function (the norm
  ` N ` of an element is its distance ` D ` from the zero element, see
  ~ nmval : ` ( N `` A ) = ( A D .0. ) ` ).  By this definition, the norm
  function ` N ` is actually a norm (satisfying the properties: being a
  function into the reals; subadditivity/triangle inequality
  ` ( N `` ( x + y ) ) <_ ( ( N `` x ) + ( N `` y ) ) ` ;
  absolute homogeneity
  ( n(sx) = |s| n(x) )
  [Remark: for group norms, some authors (e.g., Juris Steprans in "A
  characterization of free abelian groups") demand that
  n(sx) = |s| n(x) for all ` s e. ZZ ` , whereas other authors (e.g.,
  N. H. Bingham and A. J. Ostaszewski in "Normed versus topological groups:
  Dichotomy and duality") only require inversion symmetry, i.e.,
  ` ( N `` ( - x ) = N `` x ) ` .
  The definition ~ df-ngp of a group norm follows the second aproach, see
  ~ nminv .]
  and positive definiteness/point-separation
  ` ( ( N `` x ) = 0 <-> x = 0 ) ` )
  if the structure is a metric space with a right-translation-invariant metric
  (see ~ nmf , ~ nmtri , ~ nmvs and ~ nmeq0 ).  An alternate definition of a
  normed group (i.e., a group equipped with a norm) not using the properties of
  a metric space is given by Theorem ~ tngngp3 .  The norm can be expressed as
  the distance to zero ( ~ nmfval ), so in a structure with a zero (a "pointed
  set", for instance a monoid or a group), the norm can be expressed as the
  distance restricted to the elements of the base set to zero ( ~ nmfval0 ).

  Usually, however, the norm of a normed structure is given, and the
  corresponding metric ("induced metric") is defined as the distance function
  based on the norm (the distance ` D ` between two elements is the norm
  ` N ` of their difference, see ~ ngpds :
  ` ( A D B ) = ( N `` ( A .- B ) ) ` ).
  The operation ` toNrmGrp ` does exactly this, i.e., it adds a distance
  function (and a topology) to a structure (which should be at least a group
  for the difference of two elements to make sense) corresponding to a given
  norm as explained above: ` ( dist `` T ) = ( N o. .- ) ` , see also ~ tngds .
  By this, the enhanced structure becomes a normed structure if the induced
  metric is in fact a metric (see ~ tngngp2 ) or a norm (see ~ tngngpd ).  If
  the norm is derived from a given metric, as done with ~ df-nm , the induced
  metric is the original metric restricted to the base set:
  ` ( dist `` T ) = ( ( dist `` G ) |`` ( X X. X ) ) `, see ~ nrmtngdist , and
  the norm remains the same: ` ( norm `` T ) = ( norm `` G ) `, see
  ~ nrmtngnrm .

$)

  $( Introduce new constant symbols. $)
  $c norm $. $( Norm of a normed ring $)
  $c NrmGrp $. $( Normed group $)
  $c toNrmGrp $. $( norm + group = normed group $)
  $c NrmRing $. $( Normed ring $)
  $c NrmMod $. $( Normed module $)
  $c NrmVec $. $( Normed vector space $)

  $( Norm of a normed ring. $)
  cnm $a class norm $.

  $( The class of all normed groups. $)
  cngp $a class NrmGrp $.

  $( Make a normed group from a norm and a group. $)
  ctng $a class toNrmGrp $.

  $( Normed ring. $)
  cnrg $a class NrmRing $.

  $( Normed module. $)
  cnlm $a class NrmMod $.

  $( Normed vector space. $)
  cnvc $a class NrmVec $.

  ${
    $d f g w x y $.
    $( Define the norm on a group or ring (when it makes sense) in terms of the
       distance to zero.  (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    df-nm $a |- norm = ( w e. _V |-> ( x e. ( Base ` w ) |->
      ( x ( dist ` w ) ( 0g ` w ) ) ) ) $.

    $( Define a normed group, which is a group with a
       right-translation-invariant metric.  This is not a standard notion, but
       is helpful as the most general context in which a metric-like norm makes
       sense.  (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    df-ngp $a |- NrmGrp = { g e. ( Grp i^i MetSp ) |
      ( ( norm ` g ) o. ( -g ` g ) ) C_ ( dist ` g ) } $.

    $( Define a function that fills in the topology and metric components of a
       structure given a group and a norm on it.  (Contributed by Mario
       Carneiro, 2-Oct-2015.) $)
    df-tng $a |- toNrmGrp = ( g e. _V , f e. _V |-> ( ( g
      sSet <. ( dist ` ndx ) , ( f o. ( -g ` g ) ) >. )
      sSet <. ( TopSet ` ndx ) , ( MetOpen ` ( f o. ( -g ` g ) ) ) >. ) ) $.

    $( A normed ring is a ring with an induced topology and metric such that
       the metric is translation-invariant and the norm (distance from 0) is an
       absolute value on the ring.  (Contributed by Mario Carneiro,
       4-Oct-2015.) $)
    df-nrg $a |- NrmRing = { w e. NrmGrp | ( norm ` w ) e. ( AbsVal ` w ) } $.

    $( A normed (left) module is a module which is also a normed group over a
       normed ring, such that the norm distributes over scalar multiplication.
       (Contributed by Mario Carneiro, 4-Oct-2015.) $)
    df-nlm $a |- NrmMod = { w e. ( NrmGrp i^i LMod )
      | [. ( Scalar ` w ) / f ].
      ( f e. NrmRing /\ A. x e. ( Base ` f ) A. y e. ( Base ` w )
        ( ( norm ` w ) ` ( x ( .s ` w ) y ) ) =
        ( ( ( norm ` f ) ` x ) x. ( ( norm ` w ) ` y ) ) ) } $.

    $( A normed vector space is a normed module which is also a vector space.
       (Contributed by Mario Carneiro, 4-Oct-2015.) $)
    df-nvc $a |- NrmVec = ( NrmMod i^i LVec ) $.
  $}

  ${
    $d x A $.  $d w x D $.  $d w x W $.  $d w x X $.  $d w x .0. $.
    nmfval.n $e |- N = ( norm ` W ) $.
    nmfval.x $e |- X = ( Base ` W ) $.
    nmfval.z $e |- .0. = ( 0g ` W ) $.
    nmfval.d $e |- D = ( dist ` W ) $.
    $( The value of the norm function as the distance to zero.  (Contributed by
       Mario Carneiro, 2-Oct-2015.) $)
    nmfval $p |- N = ( x e. X |-> ( x D .0. ) ) $=
      ( vw cnm cfv cmpt cvv wcel cbs cds eqtr4di c0 cv c0g fveq2 eqidd oveq123d
      co wceq mpteq12dv df-nm crn csn cun wf eqid cop df-ov fvrn0 eqeltri fmpti
      fvexi rnex p0ex unex fex2 mp3an fvmpt wn fvprc mpt0 syl5eq mpteq1d eqtr4d
      a1i pm2.61i eqtri ) CDLMZAEAUAZFBUFZNZGDOPZVPVSUGKDAKUAZQMZVQWAUBMZWARMZU
      FZNVSOLWADUGZAWBWEEVRWFWBDQMZEWADQUCHSWFVQVQWCFWDBWFWDDRMBWADRUCJSWFVQUDW
      FWCDUBMFWADUBUCISUEUHAKUIEBUJZTUKZULZVSUMEOPWJOPVSOPAEWJVRVSVSUNVRWJPVQEP
      VRVQFUOZBMWJVQFBUPBWKUQURVMUSEDQHUTWHWIBBDRJUTVAVBVCEWJVSOOVDVEVFVTVGZVPA
      TVRNZVSWLVPTWMDLVHAVRVISWLAETVRWLEWGTHDQVHVJVKVLVNVO $.

    $( The value of the norm as the distance to zero.  Problem 1 of [Kreyszig]
       p. 63.  (Contributed by NM, 4-Dec-2006.)  (Revised by Mario Carneiro,
       2-Oct-2015.) $)
    nmval $p |- ( A e. X -> ( N ` A ) = ( A D .0. ) ) $=
      ( vx cv co oveq1 nmfval ovex fvmpt ) KAKLZFBMAFBMECRAFBNKBCDEFGHIJOAFBPQ
      $.
  $}

  ${
    $d x D $.  $d x W $.  $d x X $.  $d x .0. $.
    nmfval0.n $e |- N = ( norm ` W ) $.
    nmfval0.x $e |- X = ( Base ` W ) $.
    nmfval0.z $e |- .0. = ( 0g ` W ) $.
    nmfval0.d $e |- D = ( dist ` W ) $.
    nmfval0.e $e |- E = ( D |` ( X X. X ) ) $.
    $( The value of the norm function on a structure containing a zero as the
       distance restricted to the elements of the base set to zero.  Examples
       of structures containing a "zero" are groups (see ~ nmfval2 proved from
       this theorem and ~ grpidcl ) or more generally monoids (see ~ mndidcl ),
       or pointed sets).  (Contributed by Mario Carneiro, 2-Oct-2015.)  Extract
       this result from the proof of ~ nmfval2 .  (Revised by BJ,
       27-Aug-2024.) $)
    nmfval0 $p |- ( .0. e. X -> N = ( x e. X |-> ( x E .0. ) ) ) $=
      ( wcel cv co cmpt nmfval wa cxp cres oveqi ovres ancoms eqtr2id mpteq2dva
      wceq syl5eq ) GFMZDAFANZGBOZPAFUIGCOZPABDEFGHIJKQUHAFUJUKUHUIFMZRUKUIGBFF
      STZOZUJCUMUIGLUAULUHUNUJUFUIGFFBUBUCUDUEUG $.
  $}

  ${
    $d x D $.  $d x W $.  $d x X $.  $d x .0. $.
    nmfval2.n $e |- N = ( norm ` W ) $.
    nmfval2.x $e |- X = ( Base ` W ) $.
    nmfval2.z $e |- .0. = ( 0g ` W ) $.
    nmfval2.d $e |- D = ( dist ` W ) $.
    nmfval2.e $e |- E = ( D |` ( X X. X ) ) $.
    $( The value of the norm function on a group as the distance restricted to
       the elements of the base set to zero.  (Contributed by Mario Carneiro,
       2-Oct-2015.) $)
    nmfval2 $p |- ( W e. Grp -> N = ( x e. X |-> ( x E .0. ) ) ) $=
      ( cgrp wcel cv co cmpt wceq grpidcl nmfval0 syl ) EMNGFNDAFAOGCPQRFEGIJSA
      BCDEFGHIJKLTUA $.

    $( The value of the norm on a group as the distance restricted to the
       elements of the base set to zero.  (Contributed by Mario Carneiro,
       2-Oct-2015.) $)
    nmval2 $p |- ( ( W e. Grp /\ A e. X ) -> ( N ` A ) = ( A E .0. ) ) $=
      ( cgrp wcel wa cfv co wceq nmval adantl cxp cres oveqi id grpidcl syl2anr
      ovres eqtr2id eqtrd ) EMNZAFNZOZADPZAGBQZAGCQZUKUMUNRUJABDEFGHIJKSTULUOAG
      BFFUAUBZQZUNCUPAGLUCUKUKGFNUQUNRUJUKUDFEGIJUEAGFFBUGUFUHUI $.
  $}

  ${
    $d x D $.  $d x E $.  $d x W $.  $d x X $.
    nmf2.n $e |- N = ( norm ` W ) $.
    nmf2.x $e |- X = ( Base ` W ) $.
    nmf2.d $e |- D = ( dist ` W ) $.
    nmf2.e $e |- E = ( D |` ( X X. X ) ) $.
    $( The norm on a metric group is a function from the base set into the
       reals.  (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    nmf2 $p |- ( ( W e. Grp /\ E e. ( Met ` X ) ) -> N : X --> RR ) $=
      ( vx cgrp wcel cmet cfv wa cv c0g co cr cmpt nmfval2 adantr grpidcl metcl
      wceq eqid 3comr syl3an1 3expa fmpt3d ) DKLZBEMNLZOJEJPZDQNZBRZSCUKCJEUOTU
      EULJABCDEUNFGUNUFZHIUAUBUKULUMELZUOSLZUKUNELZULUQUREDUNGUPUCULUQUSURUMUNB
      EUDUGUHUIUJ $.
  $}

  ${
    $d x y K $.  $d x y L $.  $d x y ph $.
    nmpropd.1 $e |- ( ph -> ( Base ` K ) = ( Base ` L ) ) $.
    nmpropd.2 $e |- ( ph -> ( +g ` K ) = ( +g ` L ) ) $.
    nmpropd.3 $e |- ( ph -> ( dist ` K ) = ( dist ` L ) ) $.
    $( Weak property deduction for a norm.  (Contributed by Mario Carneiro,
       4-Oct-2015.) $)
    nmpropd $p |- ( ph -> ( norm ` K ) = ( norm ` L ) ) $=
      ( vx vy cbs cfv cv c0g cds co cmpt cnm eqidd wcel cplusg eqid wa oveq123d
      oveqdr grpidpropd mpteq12dv nmfval 3eqtr4g ) AGBIJZGKZBLJZBMJZNZOGCIJZUIC
      LJZCMJZNZOBPJZCPJZAGUHULUMUPDAUIUIUJUNUKUOFAUIQAGHUHBCAUHQDAUIUHRHKUHRUAG
      HBSJCSJEUCUDUBUEGUKUQBUHUJUQTUHTUJTUKTUFGUOURCUMUNURTUMTUNTUOTUFUG $.
  $}

  ${
    $d x y B $.  $d a x y K $.  $d a x y L $.  $d a x y ph $.
    nmpropd2.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    nmpropd2.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    nmpropd2.3 $e |- ( ph -> K e. Grp ) $.
    nmpropd2.4 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    nmpropd2.5 $e |- ( ph ->
      ( ( dist ` K ) |` ( B X. B ) ) = ( ( dist ` L ) |` ( B X. B ) ) ) $.
    $( Strong property deduction for a norm.  (Contributed by Mario Carneiro,
       4-Oct-2015.) $)
    nmpropd2 $p |- ( ph -> ( norm ` K ) = ( norm ` L ) ) $=
      ( va cbs cfv c0g cds cxp cres eqtr3d eqid cv co cnm sqxpeqd reseq2d eqidd
      cmpt grpidpropd oveq123d mpteq12dv cgrp wcel nmfval2 syl grppropd 3eqtr4d
      wceq mpbid ) ALEMNZLUAZEONZEPNZUSUSQZRZUBZUGZLFMNZUTFONZFPNZVGVGQZRZUBZUG
      ZEUCNZFUCNZALUSVEVGVLADUSVGGHSAUTUTVAVHVDVKAVIDDQZRZVDVKAVBVPRVQVDKAVPVCV
      BADUSGUDUESAVPVJVIADVGHUDUESAUTUFABCDEFGHJUHUIUJAEUKULZVNVFUQILVBVDVNEUSV
      AVNTUSTVATVBTVDTUMUNAFUKULZVOVMUQAVRVSIABCDEFGHJUOURLVIVKVOFVGVHVOTVGTVHT
      VITVKTUMUNUP $.
  $}

  ${
    $d g x y D $.  $d g x y G $.  $d g x y .- $.  $d g x y N $.  $d x y X $.
    isngp.n $e |- N = ( norm ` G ) $.
    isngp.z $e |- .- = ( -g ` G ) $.
    isngp.d $e |- D = ( dist ` G ) $.
    $( The property of being a normed group.  (Contributed by Mario Carneiro,
       2-Oct-2015.) $)
    isngp $p |- ( G e. NrmGrp <->
                            ( G e. Grp /\ G e. MetSp /\ ( N o. .- ) C_ D ) ) $=
      ( vg cgrp cms wcel ccom wss wa cnm cfv csg cds fveq2 eqtr4di cin cngp w3a
      elin anbi1i cv wceq coeq12d sseq12d df-ngp elrab2 df-3an 3bitr4i ) BIJUAZ
      KZDCLZAMZNBIKZBJKZNZUQNBUBKURUSUQUCUOUTUQBIJUDUEHUFZOPZVAQPZLZVARPZMUQHBU
      NUBVABUGZVDUPVEAVFVBDVCCVFVBBOPDVABOSETVFVCBQPCVABQSFTUHVFVEBRPAVABRSGTUI
      HUJUKURUSUQULUM $.

    isngp2.x $e |- X = ( Base ` G ) $.
    ${
      isngp2.e $e |- E = ( D |` ( X X. X ) ) $.
      $( The property of being a normed group.  (Contributed by Mario Carneiro,
         2-Oct-2015.) $)
      isngp2 $p |- ( G e. NrmGrp <->
                             ( G e. Grp /\ G e. MetSp /\ ( N o. .- ) = E ) ) $=
        ( wcel wss w3a wceq wa cres cr wf cvv cngp cgrp cms isngp resss eqsstri
        ccom cxp sseq1 mpbiri cdm cmet cfv cds reseq1i eqtri msmet nmf2 grpsubf
        sylan2 ad2antrr fco syl2an2r fdmd reseq2d wfun msf ad2antlr ffund simpr
        cin ssv fss sylancl fssxp syl df-res sseqtrrdi funssres syl2anc wfn ffn
        ssind fnresdm 3syl 3eqtr3d ex impbid2 pm5.32i df-3an 3bitr4i bitr4i ) C
        UALCUBLZCUCLZEDUGZAMZNZWMWNWOBOZNZACDEGHIUDWMWNPZWRPWTWPPZWSWQWTWRWPWTW
        RWPWRWPBAMBAFFUHZQZAKAXBUEUFWOBAUIUJWTWPWRXABWOUKZQZBXBQZWOBXAXDXBBXAXB
        RWOWTFRESZWPXBFDSZXBRWOSZWNWMBFULUMLXGBCFJBXCCUNUMZXBQKAXJXBIUOUPZUQABE
        CFGJIKURUTWMXHWNWPFCDJHUSVAXBFREDVBVCZVDVEXABVFWOBMXEWOOXAXBRBWNXBRBSZW
        MWPBCFJXKVGVHZVIXAWOAXBTUHZVKZBXAWOAXOWTWPVJXAXBTWOSZWOXOMXAXIRTMXQXLRV
        LXBRTWOVMVNXBTWOVOVPWCBXCXPKAXBVQUPVRBWOVSVTXAXMBXBWAXFBOXNXBRBWBXBBWDW
        EWFWGWHWIWMWNWRWJWMWNWPWJWKWL $.
    $}

    $( The property of being a normed group.  (Contributed by Mario Carneiro,
       4-Oct-2015.) $)
    isngp3 $p |- ( G e. NrmGrp <-> ( G e. Grp /\ G e. MetSp /\
                      A. x e. X A. y e. X ( x D y ) = ( N ` ( x .- y ) ) ) ) $=
      ( wcel wceq w3a co cfv wral wa cr wf cngp cgrp cms ccom cxp cres eqid wfn
      cv isngp2 wb cmet msmet2 nmf2 sylan2 grpsubf adantr fco syl2anc ffnd metf
      adantl ffn 3syl eqfnov2 opelxpi fvco3 syl2an df-ov fveq2i 3eqtr4g eqeq12d
      cop ovres eqcom bitrdi 2ralbidva bitrd pm5.32i df-3an 3bitr4i bitri ) DUA
      LDUBLZDUCLZFEUDZCGGUEZUFZMZNZWCWDAUIZBUIZCOZWJWKEOZFPZMZBGQAGQZNZCWGDEFGH
      IJKWGUGZUJWCWDRZWHRWSWPRWIWQWSWHWPWSWHWJWKWEOZWJWKWGOZMZBGQAGQZWPWSWEWFUH
      WGWFUHZWHXCUKWSWFSWEWSGSFTZWFGETZWFSWETWDWCWGGULPLZXECDGKJUMZCWGFDGHKJWRU
      NUOWCXFWDGDEKIUPUQZWFGSFEURUSUTWSXGWFSWGTXDWDXGWCXHVBWGGVAWFSWGVCVDABGGWE
      WGVEUSWSXBWOABGGWSWJGLWKGLRZRZXBWNWLMWOXKWTWNXAWLXKWJWKVMZWEPZXLEPZFPZWTW
      NWSXFXLWFLXMXOMXJXIWJWKGGVFWFGXLFEVGVHWJWKWEVIWMXNFWJWKEVIVJVKXJXAWLMWSWJ
      WKGGCVNVBVLWNWLVOVPVQVRVSWCWDWHVTWCWDWPVTWAWB $.
  $}

  $( A normed group is a group.  (Contributed by Mario Carneiro,
     2-Oct-2015.) $)
  ngpgrp $p |- ( G e. NrmGrp -> G e. Grp ) $=
    ( cngp wcel cgrp cms cnm cfv csg ccom cds wss eqid isngp simp1bi ) ABCADCAE
    CAFGZAHGZIAJGZKQAPOOLPLQLMN $.

  $( A normed group is a metric space.  (Contributed by Mario Carneiro,
     2-Oct-2015.) $)
  ngpms $p |- ( G e. NrmGrp -> G e. MetSp ) $=
    ( cngp wcel cgrp cms cnm cfv csg ccom cds wss eqid isngp simp2bi ) ABCADCAE
    CAFGZAHGZIAJGZKQAPOOLPLQLMN $.

  $( A normed group is an extended metric space.  (Contributed by Mario
     Carneiro, 2-Oct-2015.) $)
  ngpxms $p |- ( G e. NrmGrp -> G e. *MetSp ) $=
    ( cngp wcel cms cxms ngpms msxms syl ) ABCADCAECAFAGH $.

  $( A normed group is a topological space.  (Contributed by Mario Carneiro,
     5-Oct-2015.) $)
  ngptps $p |- ( G e. NrmGrp -> G e. TopSp ) $=
    ( cngp wcel cms ctps ngpms mstps syl ) ABCADCAECAFAGH $.

  ${
    ngpmet.x $e |- X = ( Base ` G ) $.
    ngpmet.d $e |- D = ( ( dist ` G ) |` ( X X. X ) ) $.
    $( The (induced) metric of a normed group is a metric.  Part of Definition
       2.2-1 of [Kreyszig] p. 58.  (Contributed by NM, 4-Dec-2006.)  (Revised
       by AV, 14-Oct-2021.) $)
    ngpmet $p |- ( G e. NrmGrp -> D e. ( Met ` X ) ) $=
      ( cngp wcel cms cmet cfv ngpms msmet syl ) BFGBHGACIJGBKABCDELM $.
  $}

  ${
    ngpds.n $e |- N = ( norm ` G ) $.
    ngpds.x $e |- X = ( Base ` G ) $.
    ngpds.m $e |- .- = ( -g ` G ) $.
    ngpds.d $e |- D = ( dist ` G ) $.
    $( Value of the distance function in terms of the norm of a normed group.
       Equation 1 of [Kreyszig] p. 59.  (Contributed by NM, 28-Nov-2006.)
       (Revised by Mario Carneiro, 2-Oct-2015.) $)
    ngpds $p |- ( ( G e. NrmGrp /\ A e. X /\ B e. X ) ->
      ( A D B ) = ( N ` ( A .- B ) ) ) $=
      ( cngp wcel w3a co cfv wceq 3ad2ant1 3adant1 df-ov ccom cxp cres cgrp cms
      eqid isngp2 simp3bi oveqd cop wf ngpgrp grpsubf syl opelxpi fvco3 syl2anc
      fveq2i 3eqtr4g ovres 3eqtr3rd ) DLMZAGMZBGMZNZABFEUAZOZABCGGUBZUCZOZABEOZ
      FPZABCOZVEVFVIABVBVCVFVIQZVDVBDUDMZDUEMVNCVIDEFGHJKIVIUFUGUHRUIVEABUJZVFP
      ZVPEPZFPZVGVLVEVHGEUKZVPVHMZVQVSQVBVCVTVDVBVOVTDULGDEIJUMUNRVCVDWAVBABGGU
      OSVHGVPFEUPUQABVFTVKVRFABETURUSVCVDVJVMQVBABGGCUTSVA $.

    $( Value of the distance function in terms of the norm of a normed group.
       (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    ngpdsr $p |- ( ( G e. NrmGrp /\ A e. X /\ B e. X ) ->
      ( A D B ) = ( N ` ( B .- A ) ) ) $=
      ( cngp wcel w3a co cfv cxms wceq ngpxms xmssym syl3an1 ngpds 3com23 eqtrd
      ) DLMZAGMZBGMZNABCOZBACOZBAEOFPZUEDQMUFUGUHUIRDSABCDGIKTUAUEUGUFUIUJRBACD
      EFGHIJKUBUCUD $.
  $}

  ${
    ngpds2.x $e |- X = ( Base ` G ) $.
    ngpds2.z $e |- .0. = ( 0g ` G ) $.
    ngpds2.m $e |- .- = ( -g ` G ) $.
    ngpds2.d $e |- D = ( dist ` G ) $.
    $( Write the distance between two points in terms of distance from zero.
       (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    ngpds2 $p |- ( ( G e. NrmGrp /\ A e. X /\ B e. X ) ->
      ( A D B ) = ( ( A .- B ) D .0. ) ) $=
      ( cngp wcel w3a co cnm cfv eqid ngpds wceq cgrp ngpgrp grpsubcl nmval syl
      syl3an1 eqtrd ) DLMZAFMZBFMZNZABCOABEOZDPQZQZULGCOZABCDEUMFUMRZHJKSUKULFM
      ZUNUOTUHDUAMUIUJUQDUBFDEABHJUCUFULCUMDFGUPHIKUDUEUG $.

    $( Write the distance between two points in terms of distance from zero.
       (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    ngpds2r $p |- ( ( G e. NrmGrp /\ A e. X /\ B e. X ) ->
      ( A D B ) = ( ( B .- A ) D .0. ) ) $=
      ( cngp wcel w3a co cxms wceq ngpxms xmssym syl3an1 ngpds2 3com23 eqtrd )
      DLMZAFMZBFMZNABCOZBACOZBAEOGCOZUDDPMUEUFUGUHQDRABCDFHKSTUDUFUEUHUIQBACDEF
      GHIJKUAUBUC $.

    $( Write the distance between two points in terms of distance from zero.
       (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    ngpds3 $p |- ( ( G e. NrmGrp /\ A e. X /\ B e. X ) ->
      ( A D B ) = ( .0. D ( A .- B ) ) ) $=
      ( cngp wcel w3a co ngpds2 cxms wceq ngpxms 3ad2ant1 cgrp grpsubcl syl3an1
      ngpgrp grpidcl syl xmssym syl3anc eqtrd ) DLMZAFMZBFMZNZABCOABEOZGCOZGUNC
      OZABCDEFGHIJKPUMDQMZUNFMZGFMZUOUPRUJUKUQULDSTUJDUAMZUKULURDUDZFDEABHJUBUC
      UMUTUSUJUKUTULVATFDGHIUEUFUNGCDFHKUGUHUI $.

    $( Write the distance between two points in terms of distance from zero.
       (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    ngpds3r $p |- ( ( G e. NrmGrp /\ A e. X /\ B e. X ) ->
      ( A D B ) = ( .0. D ( B .- A ) ) ) $=
      ( cngp wcel w3a co cxms wceq ngpxms xmssym syl3an1 ngpds3 3com23 eqtrd )
      DLMZAFMZBFMZNABCOZBACOZGBAEOCOZUDDPMUEUFUGUHQDRABCDFHKSTUDUFUEUHUIQBACDEF
      GHIJKUAUBUC $.
  $}

  ${
    ngprcan.x $e |- X = ( Base ` G ) $.
    ngprcan.p $e |- .+ = ( +g ` G ) $.
    ngprcan.d $e |- D = ( dist ` G ) $.
    $( Cancel right addition inside a distance calculation.  (Contributed by
       Mario Carneiro, 2-Oct-2015.) $)
    ngprcan $p |- ( ( G e. NrmGrp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
      ( ( A .+ C ) D ( B .+ C ) ) = ( A D B ) ) $=
      ( cngp wcel w3a co cfv wceq eqid grpcl syl3anc ngpds wa ngpgrp grppnpcan2
      csg cnm cgrp sylan fveq2d simpl adantr simpr1 simpr3 simpr2 3eqtr4d ) FKL
      ZAGLZBGLZCGLZMZUAZACENZBCENZFUDOZNZFUEOZOZABVCNZVEOZVAVBDNZABDNZUTVDVGVEU
      OFUFLZUSVDVGPFUBZGEFVCABCHIVCQZUCUGUHUTUOVAGLZVBGLZVIVFPUOUSUIZUTVKUPURVN
      UOVKUSVLUJZUOUPUQURUKZUOUPUQURULZGEFACHIRSUTVKUQURVOVQUOUPUQURUMZVSGEFBCH
      IRSVAVBDFVCVEGVEQZHVMJTSUTUOUPUQVJVHPVPVRVTABDFVCVEGWAHVMJTSUN $.

    $( Cancel left addition inside a distance calculation.  (Contributed by
       Mario Carneiro, 2-Oct-2015.) $)
    ngplcan $p |- ( ( ( G e. NrmGrp /\ G e. Abel ) /\
        ( A e. X /\ B e. X /\ C e. X ) ) ->
      ( ( C .+ A ) D ( C .+ B ) ) = ( A D B ) ) $=
      ( cngp wcel cabl wa w3a co wceq simplr ablcom syl3anc simpr3 simpr1 eqtrd
      simpr2 oveq12d ngprcan adantlr ) FKLZFMLZNZAGLZBGLZCGLZOZNZCAEPZCBEPZDPAC
      EPZBCEPZDPZABDPZUOUPURUQUSDUOUIUMUKUPURQUHUIUNRZUJUKULUMUAZUJUKULUMUBGEFC
      AHISTUOUIUMULUQUSQVBVCUJUKULUMUDGEFCBHISTUEUHUNUTVAQUIABCDEFGHIJUFUGUC $.

    $d x y z D $.  $d x y z G $.  $d z .+ $.  $d x y z X $.
    $( Express the property of being a normed group purely in terms of
       right-translation invariance of the metric instead of using the
       definition of norm (which itself uses the metric).  (Contributed by
       Mario Carneiro, 29-Oct-2015.) $)
    isngp4 $p |- ( G e. NrmGrp <-> ( G e. Grp /\ G e. MetSp /\
   A. x e. X A. y e. X A. z e. X ( ( x .+ z ) D ( y .+ z ) ) = ( x D y ) ) ) $=
      ( wcel cv co wceq wral cfv wa eqid ad2ant2rl oveq2 cngp cgrp ngpgrp ngpms
      cms w3a ngprcan ralrimivvva csg cnm simp1 simp2 cminusg wi grpinvcl eqcom
      3jca oveq12d eqeq2d syl5bb rspcv syl c0g grpsubval adantl eqcomd grpsubcl
      grprinv 3expb adantlr nmval eqtr4d sylibd ralimdvva 3impia isngp3 impbii
      syl3anbrc ) FUAKZFUBKZFUEKZALZCLZEMZBLZWCEMZDMZWBWEDMZNZCGOZBGOAGOZUFZVSV
      TWAWKFUCFUDVSWIABCGGGWBWEWCDEFGHIJUGUHUQWLVTWAWHWBWEFUIPZMZFUJPZPZNZBGOAG
      OZVSVTWAWKUKVTWAWKULVTWAWKWRVTWAQZWJWQABGGWSWBGKZWEGKZQZQZWJWHWBWEFUMPZPZ
      EMZWEXEEMZDMZNZWQXCXEGKZWJXIUNVTXAXJWAWTGFXDWEHXDRZUOSWIXICXEGWIWHWGNWCXE
      NZXIWGWHUPXLWGXHWHXLWDXFWFXGDWCXEWBETWCXEWEETURUSUTVAVBXCXHWPWHXCXHWNFVCP
      ZDMZWPXCXFWNXGXMDXCWNXFXBWNXFNWSGEFXDWMWBWEHIXKWMRZVDVEVFVTXAXGXMNWAWTGEF
      XDWEXMHIXMRZXKVHSURXCWNGKZWPXNNVTXBXQWAVTWTXAXQGFWMWBWEHXOVGVIVJWNDWOFGXM
      WORZHXPJVKVBVLUSVMVNVOABDFWMWOGXRXOJHVPVRVQ $.
  $}

  ${
    ngpinvds.x $e |- X = ( Base ` G ) $.
    ngpinvds.i $e |- I = ( invg ` G ) $.
    ngpinvds.d $e |- D = ( dist ` G ) $.
    $( Two elements are the same distance apart as their inverses.
       (Contributed by Mario Carneiro, 4-Oct-2015.) $)
    ngpinvds $p |- ( ( ( G e. NrmGrp /\ G e. Abel ) /\ ( A e. X /\ B e. X ) )
      -> ( ( I ` A ) D ( I ` B ) ) = ( A D B ) ) $=
      ( cngp wcel cabl wa cfv co eqid wceq grpinvcl syl2anc syl3anc simplr cgrp
      csg cnm simprr simprl ablsub2inv fveq2d simpll ngpgrp syl ngpdsr 3eqtr4d
      ngpds ) DJKZDLKZMZAFKZBFKZMZMZBENZAENZDUCNZOZDUDNZNZABVDOZVFNZVCVBCOZABCO
      ZVAVEVHVFVAFDVDEBAGVDPZHUOUPUTUAUQURUSUEZUQURUSUFZUGUHVAUOVCFKZVBFKZVJVGQ
      UOUPUTUIZVADUBKZURVOVAUOVRVQDUJUKZVNFDEAGHRSVAVRUSVPVSVMFDEBGHRSVCVBCDVDV
      FFVFPZGVLIULTVAUOURUSVKVIQVQVNVMABCDVDVFFVTGVLIUNTUM $.
  $}

  ${
    ngpsubcan.x $e |- X = ( Base ` G ) $.
    ngpsubcan.m $e |- .- = ( -g ` G ) $.
    ngpsubcan.d $e |- D = ( dist ` G ) $.
    $( Cancel right subtraction inside a distance calculation.  (Contributed by
       Mario Carneiro, 4-Oct-2015.) $)
    ngpsubcan $p |- ( ( G e. NrmGrp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
      ( ( A .- C ) D ( B .- C ) ) = ( A D B ) ) $=
      ( cngp wcel w3a wa co cfv wceq eqid grpsubval syl2anc cplusg simpr1 simpl
      cminusg simpr3 simpr2 oveq12d cgrp ngpgrp grpinvcl syl2an2r ngprcan eqtrd
      syl13anc ) EKLZAGLZBGLZCGLZMZNZACFOZBCFOZDOACEUDPZPZEUAPZOZBVDVEOZDOZABDO
      ZUTVAVFVBVGDUTUPURVAVFQUOUPUQURUBZUOUPUQURUEZGVEEVCFACHVERZVCRZISTUTUQURV
      BVGQUOUPUQURUFZVKGVEEVCFBCHVLVMISTUGUTUOUPUQVDGLZVHVIQUOUSUCVJVNUOEUHLUSU
      RVOEUIVKGEVCCHVMUJUKABVDDVEEGHVLJULUNUM $.
  $}

  ${
    nmf.x $e |- X = ( Base ` G ) $.
    nmf.n $e |- N = ( norm ` G ) $.
    $( The norm on a normed group is a function into the reals.  (Contributed
       by Mario Carneiro, 4-Oct-2015.) $)
    nmf $p |- ( G e. NrmGrp -> N : X --> RR ) $=
      ( cngp wcel cgrp cds cfv cxp cres cmet cr ngpgrp eqid ngpmet nmf2 syl2anc
      wf ) AFGAHGAIJZCCKLZCMJGCNBTAOUBACDUBPZQUAUBBACEDUAPUCRS $.

    $( The norm of a normed group is closed in the reals.  (Contributed by
       Mario Carneiro, 4-Oct-2015.) $)
    nmcl $p |- ( ( G e. NrmGrp /\ A e. X ) -> ( N ` A ) e. RR ) $=
      ( cngp wcel cr nmf ffvelrnda ) BGHDIACBCDEFJK $.

    $( The norm of a normed group is nonnegative.  Second part of Problem 2 of
       [Kreyszig] p. 64.  (Contributed by NM, 28-Nov-2006.)  (Revised by Mario
       Carneiro, 4-Oct-2015.) $)
    nmge0 $p |- ( ( G e. NrmGrp /\ A e. X ) -> 0 <_ ( N ` A ) ) $=
      ( cngp wcel wa cc0 c0g cfv cds co cle wbr cgrp ngpgrp eqid grpidcl adantr
      syl cxms ngpxms xmsge0 syl3an1 mpd3an3 wceq nmval adantl breqtrrd ) BGHZA
      DHZIJABKLZBMLZNZACLZOULUMUNDHZJUPOPZULURUMULBQHURBRDBUNEUNSZTUBUAULBUCHUM
      URUSBUDAUNUOBDEUOSZUEUFUGUMUQUPUHULAUOCBDUNFEUTVAUIUJUK $.

    ${
      nmeq0.z $e |- .0. = ( 0g ` G ) $.
      $( The identity is the only element of the group with zero norm.  First
         part of Problem 2 of [Kreyszig] p. 64.  (Contributed by NM,
         24-Nov-2006.)  (Revised by Mario Carneiro, 4-Oct-2015.) $)
      nmeq0 $p |- ( ( G e. NrmGrp /\ A e. X ) ->
                     ( ( N ` A ) = 0 <-> A = .0. ) ) $=
        ( cngp wcel wa cfv cc0 wceq cds co eqid nmval adantl eqeq1d cgrp ngpgrp
        wb adantr grpidcl syl cxms ngpxms xmseq0 syl3an1 mpd3an3 bitrd ) BIJZAD
        JZKZACLZMNAEBOLZPZMNZAENZUOUPURMUNUPURNUMAUQCBDEGFHUQQZRSTUMUNEDJZUSUTU
        CZUOBUAJZVBUMVDUNBUBUDDBEFHUEUFUMBUGJUNVBVCBUHAEUQBDFVAUIUJUKUL $.

      $( The norm of a nonzero element is nonzero.  (Contributed by Mario
         Carneiro, 4-Oct-2015.) $)
      nmne0 $p |- ( ( G e. NrmGrp /\ A e. X /\ A =/= .0. ) ->
                     ( N ` A ) =/= 0 ) $=
        ( cngp wcel cfv cc0 wne wa nmeq0 necon3bid biimp3ar ) BIJZADJZACKZLMAEM
        RSNTLAEABCDEFGHOPQ $.

      $( The norm of a nonzero element is a positive real.  (Contributed by
         Mario Carneiro, 4-Oct-2015.) $)
      nmrpcl $p |- ( ( G e. NrmGrp /\ A e. X /\ A =/= .0. ) ->
                      ( N ` A ) e. RR+ ) $=
        ( cngp wcel wne w3a cfv cr nmcl 3adant3 cc0 cle wbr nmge0 nmne0 ne0gt0d
        elrpd ) BIJZADJZAEKZLZACMZUDUEUHNJUFABCDFGOPZUGUHUIUDUEQUHRSUFABCDFGTPA
        BCDEFGHUAUBUC $.
    $}

    ${
      nminv.i $e |- I = ( invg ` G ) $.
      $( The norm of a negated element is the same as the norm of the original
         element.  (Contributed by Mario Carneiro, 4-Oct-2015.) $)
      nminv $p |- ( ( G e. NrmGrp /\ A e. X ) ->
                     ( N ` ( I ` A ) ) = ( N ` A ) ) $=
        ( cngp wcel wa c0g cfv cds co csg wceq cgrp ngpgrp eqid grpidcl mpd3an3
        adantr syl ngpdsr nmval adantl grpinvval2 sylan fveq2d 3eqtr4rd ) BIJZA
        EJZKZABLMZBNMZOZUOABPMZOZDMZADMZACMZDMULUMUOEJZUQUTQUNBRJZVCULVDUMBSZUC
        EBUOFUOTZUAUDAUOUPBURDEGFURTZUPTZUEUBUMVAUQQULAUPDBEUOGFVFVHUFUGUNVBUSD
        ULVDUMVBUSQVEEBURCAUOFVGHVFUHUIUJUK $.
    $}

    ${
      nmmtri.m $e |- .- = ( -g ` G ) $.
      $( The triangle inequality for the norm of a subtraction.  (Contributed
         by NM, 27-Dec-2007.)  (Revised by Mario Carneiro, 4-Oct-2015.) $)
      nmmtri $p |- ( ( G e. NrmGrp /\ A e. X /\ B e. X ) ->
                        ( N ` ( A .- B ) ) <_ ( ( N ` A ) + ( N ` B ) ) ) $=
        ( cngp wcel w3a cfv co caddc cle eqid 3ad2ant1 wceq nmval cds ngpds c0g
        cms wbr ngpms simp2 simp3 ngpgrp grpidcl syl syl13anc 3ad2ant2 3ad2ant3
        cgrp mstri3 oveq12d breqtrrd eqbrtrrd ) CJKZAFKZBFKZLZABCUAMZNZABDNEMAE
        MZBEMZONZPABVDCDEFHGIVDQZUBVCVEACUCMZVDNZBVJVDNZONZVHPVCCUDKZVAVBVJFKZV
        EVMPUEUTVAVNVBCUFRUTVAVBUGUTVAVBUHUTVAVOVBUTCUOKVOCUIFCVJGVJQZUJUKRABVJ
        VDCFGVIUPULVCVFVKVGVLOVAUTVFVKSVBAVDECFVJHGVPVITUMVBUTVGVLSVABVDECFVJHG
        VPVITUNUQURUS $.

      $( The norm of the difference between two elements.  (Contributed by
         Mario Carneiro, 4-Oct-2015.) $)
      nmsub $p |- ( ( G e. NrmGrp /\ A e. X /\ B e. X ) ->
                        ( N ` ( A .- B ) ) = ( N ` ( B .- A ) ) ) $=
        ( cngp wcel w3a co cminusg cfv cgrp wceq simp1 ngpgrp syl3anc syl simp3
        simp2 eqid grpinvsub fveq2d grpsubcl nminv syl2anc eqtr3d ) CJKZAFKZBFK
        ZLZBADMZCNOZOZEOZABDMZEOUOEOZUNUQUSEUNCPKZUMULUQUSQUNUKVAUKULUMRZCSUAZU
        KULUMUBZUKULUMUCZFCDUPBAGIUPUDZUETUFUNUKUOFKZURUTQVBUNVAUMULVGVCVDVEFCD
        BAGIUGTUOCUPEFGHVFUHUIUJ $.

      $( Reverse triangle inequality for the norm of a subtraction.  Problem 3
         of [Kreyszig] p. 64.  (Contributed by NM, 4-Dec-2006.)  (Revised by
         Mario Carneiro, 4-Oct-2015.) $)
      nmrtri $p |- ( ( G e. NrmGrp /\ A e. X /\ B e. X ) ->
        ( abs ` ( ( N ` A ) - ( N ` B ) ) ) <_ ( N ` ( A .- B ) ) ) $=
        ( cngp wcel cfv co cmin cabs cle 3ad2ant1 eqid wceq nmval w3a c0g ngpms
        cds cms wbr simp2 cgrp ngpgrp grpidcl msrtri syl13anc 3ad2ant2 3ad2ant3
        simp3 syl oveq12d fveq2d ngpds eqcomd 3brtr4d ) CJKZAFKZBFKZUAZACUBLZCU
        DLZMZBVFVGMZNMZOLZABVGMZAELZBELZNMZOLABDMELZPVECUEKZVCVDVFFKZVKVLPUFVBV
        CVQVDCUCQVBVCVDUGVBVCVDUOVECUHKZVRVBVCVSVDCUIQFCVFGVFRZUJUPABVFVGCFGVGR
        ZUKULVEVOVJOVEVMVHVNVINVCVBVMVHSVDAVGECFVFHGVTWATUMVDVBVNVISVCBVGECFVFH
        GVTWATUNUQURVEVLVPABVGCDEFHGIWAUSUTVA $.

      $( Inequality for the difference of norms.  (Contributed by Mario
         Carneiro, 6-Oct-2015.) $)
      nm2dif $p |- ( ( G e. NrmGrp /\ A e. X /\ B e. X ) ->
        ( ( N ` A ) - ( N ` B ) ) <_ ( N ` ( A .- B ) ) ) $=
        ( cngp wcel w3a cfv cmin co cabs cr nmcl 3adant3 3adant2 resubcld recnd
        abscld simp1 cgrp ngpgrp grpsubcl syl3an1 syl2anc leabsd nmrtri letrd )
        CJKZAFKZBFKZLZAEMZBEMZNOZUSPMABDOZEMZUPUQURUMUNUQQKUOACEFGHRSUMUOURQKUN
        BCEFGHRTUAZUPUSUPUSVBUBUCUPUMUTFKZVAQKUMUNUOUDUMCUEKUNUOVCCUFFCDABGIUGU
        HUTCEFGHRUIUPUSVBUJABCDEFGHIUKUL $.
    $}

    ${
      nmtri.p $e |- .+ = ( +g ` G ) $.
      $( The triangle inequality for the norm of a sum.  (Contributed by NM,
         11-Nov-2006.)  (Revised by Mario Carneiro, 4-Oct-2015.) $)
      nmtri $p |- ( ( G e. NrmGrp /\ A e. X /\ B e. X ) ->
                     ( N ` ( A .+ B ) ) <_ ( ( N ` A ) + ( N ` B ) ) ) $=
        ( cngp wcel w3a cminusg cfv csg co caddc cle wbr eqid cgrp ngpgrp simp3
        3ad2ant1 grpinvcl syl2anc nmmtri syld3an3 grpsubinv fveq2d wceq 3adant2
        simp2 nminv oveq2d 3brtr3d ) DJKZAFKZBFKZLZABDMNZNZDONZPZENZAENZVBENZQP
        ZABCPZENVFBENZQPRUQURUSVBFKZVEVHRSUTDUAKZUSVKUQURVLUSDUBUDZUQURUSUCZFDV
        ABGVATZUEUFAVBDVCEFGHVCTZUGUHUTVDVIEUTFCDVCVAABGIVPVOVMUQURUSUMVNUIUJUT
        VGVJVFQUQUSVGVJUKURBDVAEFGHVOUNULUOUP $.
    $}
  $}

  ${
    nmtri2.x $e |- X = ( Base ` G ) $.
    nmtri2.n $e |- N = ( norm ` G ) $.
    nmtri2.m $e |- .- = ( -g ` G ) $.
    $( Triangle inequality for the norm of two subtractions.  (Contributed by
       NM, 24-Feb-2008.)  (Revised by AV, 8-Oct-2021.) $)
    nmtri2 $p |- ( ( G e. NrmGrp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
         ( N ` ( A .- C ) ) <_ ( ( N ` ( A .- B ) ) + ( N ` ( B .- C ) ) ) ) $=
      ( cngp wcel w3a wa co cfv cplusg cle grpsubcl syl3anc cgrp wceq grpnpncan
      caddc ngpgrp eqid eqcomd sylan fveq2d adantr simpr1 simpr2 simpr3 eqbrtrd
      wbr simpl nmtri ) DKLZAGLZBGLZCGLZMZNZACEOZFPABEOZBCEOZDQPZOZFPZVEFPVFFPU
      DOZRVCVDVHFURDUALZVBVDVHUBDUEZVKVBNVHVDGVGDEABCHVGUFZJUCUGUHUIVCURVEGLZVF
      GLZVIVJRUOURVBUPVCVKUSUTVNURVKVBVLUJZURUSUTVAUKURUSUTVAULZGDEABHJSTVCVKUT
      VAVOVPVQURUSUTVAUMGDEBCHJSTVEVFVGDFGHIVMUQTUN $.
  $}

  ${
    $d V y $.  $d W x y $.
    ngpi.v $e |- V = ( Base ` W ) $.
    ngpi.n $e |- N = ( norm ` W ) $.
    ngpi.m $e |- .- = ( -g ` W ) $.
    ngpi.0 $e |- .0. = ( 0g ` W ) $.
    $( The properties of a normed group, which is a group accompanied by a
       norm.  (Contributed by AV, 7-Oct-2021.) $)
    ngpi $p |- ( W e. NrmGrp -> ( W e. Grp /\ N : V --> RR
          /\ A. x e. V ( ( ( N ` x ) = 0 <-> x = .0. )
          /\ A. y e. V ( N ` ( x .- y ) ) <_ ( ( N ` x ) + ( N ` y ) ) ) ) ) $=
      ( cngp wcel cv cfv wceq co wral wa ralrimiva cgrp cr wf cc0 caddc cle wbr
      wb ngpgrp nmf nmeq0 nmmtri 3expa jca 3jca ) FLMZFUAMEUBDUCANZDOZUDPUQGPUH
      ZUQBNZCQDOURUTDOUEQUFUGZBERZSZAERFUIFDEHIUJUPVCAEUPUQEMZSZUSVBUQFDEGHIKUK
      VEVABEUPVDUTEMVAUQUTFCDEHIJULUMTUNTUO $.
  $}

  ${
    nm0.n $e |- N = ( norm ` G ) $.
    nm0.z $e |- .0. = ( 0g ` G ) $.
    $( Norm of the identity element.  (Contributed by Mario Carneiro,
       4-Oct-2015.) $)
    nm0 $p |- ( G e. NrmGrp -> ( N ` .0. ) = 0 ) $=
      ( cngp wcel cfv cc0 wceq eqid cbs wb cgrp ngpgrp grpidcl syl nmeq0 mpbiri
      mpdan ) AFGZCBHIJZCCJZCKUACALHZGZUBUCMUAANGUEAOUDACUDKZEPQCABUDCUFDERTS
      $.
  $}

  ${
    nmgt0.x $e |- X = ( Base ` G ) $.
    nmgt0.n $e |- N = ( norm ` G ) $.
    nmgt0.z $e |- .0. = ( 0g ` G ) $.
    $( The norm of a nonzero element is a positive real.  (Contributed by NM,
       20-Nov-2007.)  (Revised by AV, 8-Oct-2021.) $)
    nmgt0 $p |- ( ( G e. NrmGrp /\ A e. X )
                  -> ( A =/= .0. <-> 0 < ( N ` A ) ) ) $=
      ( cngp wcel wa cfv cc0 wne clt wbr nmeq0 necon3bid cr cle wb nmge0 ne0gt0
      nmcl syl2anc bitr3d ) BIJADJKZACLZMNZAENMUHOPZUGUHMAEABCDEFGHQRUGUHSJMUHT
      PUIUJUAABCDFGUDABCDFGUBUHUCUEUF $.
  $}

  ${
    sgrim.x $e |- X = ( T |`s U ) $.
    sgrim.d $e |- D = ( dist ` T ) $.
    sgrim.e $e |- E = ( dist ` X ) $.
    $( The induced metric on a subgroup is the induced metric on the parent
       group equipped with a norm.  (Contributed by NM, 1-Feb-2008.)  (Revised
       by AV, 19-Oct-2021.) $)
    sgrim $p |- ( U e. S -> E = D ) $=
      ( wcel cds cfv ressds eqtr4id ) DBJEFKLAIDACFBGHMN $.

    sgrimval.t $e |- T = ( G toNrmGrp N ) $.
    sgrimval.n $e |- N = ( norm ` G ) $.
    sgrimval.s $e |- S = ( SubGrp ` T ) $.
    $( The induced metric on a subgroup in terms of the induced metric on the
       parent normed group.  (Contributed by NM, 1-Feb-2008.)  (Revised by AV,
       19-Oct-2021.) $)
    sgrimval $p |- ( ( ( G e. NrmGrp /\ U e. S ) /\ ( A e. U /\ B e. U ) ) ->
                    ( A E B ) = ( A D B ) ) $=
      ( wcel co wceq cngp wa sgrim oveqd ad2antlr ) FDQZABGRABCRSHTQAFQBFQUAUEG
      CABCDEFGJKLMUBUCUD $.
  $}

  ${
    $d x y A $.  $d x y G $.  $d x y H $.
    subgngp.h $e |- H = ( G |`s A ) $.
    ${
      subgnm.n $e |- N = ( norm ` G ) $.
      subgnm.m $e |- M = ( norm ` H ) $.
      $( The norm in a subgroup.  (Contributed by Mario Carneiro,
         4-Oct-2015.) $)
      subgnm $p |- ( A e. ( SubGrp ` G ) -> M = ( N |` A ) ) $=
        ( vx csubg cfv wcel cbs c0g cds co cmpt cres eqid nmfval subgss resmptd
        cv subgbas ressds eqidd subg0 oveq123d mpteq12dv eqtr2d reseq1i 3eqtr4g
        ) ABJKZLZICMKZIUCZCNKZCOKZPZQZIBMKZUPBNKZBOKZPZQZARZDEARUNVFIAVDQUTUNIV
        AAVDVAABVASZUAUBUNIAVDUOUSABCFUDUNUPUPVBUQVCURAVCBCUMFVCSZUEUNUPUFABCVB
        FVBSZUGUHUIUJIURDCUOUQHUOSUQSURSTEVEAIVCEBVAVBGVGVIVHTUKUL $.

      $( A substructure assigns the same values to the norms of elements of a
         subgroup.  (Contributed by Mario Carneiro, 4-Oct-2015.) $)
      subgnm2 $p |- ( ( A e. ( SubGrp ` G ) /\ X e. A ) ->
        ( M ` X ) = ( N ` X ) ) $=
        ( csubg cfv wcel cres subgnm fveq1d fvres sylan9eq ) ABJKLZFALFDKFEAMZK
        FEKRFDSABCDEGHINOFAEPQ $.
    $}

    $( A normed group restricted to a subgroup is a normed group.  (Contributed
       by Mario Carneiro, 4-Oct-2015.) $)
    subgngp $p |- ( ( G e. NrmGrp /\ A e. ( SubGrp ` G ) ) -> H e. NrmGrp ) $=
      ( vx vy cngp wcel cfv wa cms cv cds csg cnm wceq ad2antlr eleqtrrd eqid
      co csubg cgrp cbs subggrp adantl cress ngpms ressms sylan eqeltrid simplr
      wral simprl subgbas simprr subgsub syl3anc fveq2d ressds oveqd simpll wss
      subgss sseldd ngpds grpsubcl subgnm2 syl2anc 3eqtr4d ralrimivva syl3anbrc
      eqtr3d 3expb isngp3 ) BGHZABUAIZHZJZCUBHZCKHELZFLZCMIZTZVTWACNIZTZCOIZIZP
      ZFCUCIZULEWIULCGHVQVSVOABCDUDUEZVRCBAUFTZKDVOBKHVQWKKHBUGABVPUHUIUJVRWHEF
      WIWIVRVTWIHZWAWIHZJZJZVTWABNIZTZBOIZIZWEWRIZWCWGWOWQWEWRWOVQVTAHWAAHWQWEP
      VOVQWNUKZWOVTWIAVRWLWMUMVQAWIPVOWNABCDUNQZRZWOWAWIAVRWLWMUOXBRZABCWPWDVTW
      AWPSZDWDSZUPUQURWOVTWABMIZTZWCWSWOXGWBVTWAVQXGWBPVOWNAXGBCVPDXGSZUSQUTWOV
      OVTBUCIZHWAXJHXHWSPVOVQWNVAWOAXJVTVQAXJVBVOWNXJABXJSZVCQZXCVDWOAXJWAXLXDV
      DVTWAXGBWPWRXJWRSZXKXEXIVEUQVLWOVQWEAHWGWTPXAWOWEWIAVRVSWNWEWIHZWJVSWLWMX
      NWICWDVTWAWISZXFVFVMUIXBRABCWFWRWEDXMWFSZVGVHVIVJEFWBCWDWFWIXPXFWBSXOVNVK
      $.
  $}

  ${
    $d r u v x y z G $.
    $( A normed abelian group is a topological group (with the topology induced
       by the metric induced by the norm).  (Contributed by Mario Carneiro,
       4-Oct-2015.) $)
    ngptgp $p |- ( ( G e. NrmGrp /\ G e. Abel ) -> G e. TopGrp ) $=
      ( vx vu vr vy vv wcel wa cfv co syl cv clt wbr wral crp eqid syl3anc wceq
      cr vz cngp cabl cgrp ctps csg ctopn ctx ccn ngpgrp adantr cms ngpms mstps
      ctgp cds cbs cres cmopn wf wi wrex grpsubf c2 cdiv rphalfcl caddc simplll
      simpllr simpld simprl mscl simprd simprr rpre ad2antlr lt2halves grpsubcl
      cxp cle mstri syl13anc ngpsubcan cminusg cplusg grpsubval syl2anc oveq12d
      adantl grpinvcl ngplcan ngpinvds syl12anc 3eqtrd lelttr mpand syld ovresd
      breqtrd readdcld breq1d anbi12d 3imtr4d ralrimivva imbi1d 2ralbidv rspcev
      breq2 syl2an2 ralrimiva cxmet wb cxms msxms xmsxmet 3syl mpbir2and mstopn
      txmetcn eleqtrrd istgp2 syl3anbrc ) AUBGZAUCGZHZAUDGZAUEGZAUFIZAUGIZYIUHJ
      ZYIUIJZGAUOGYCYFYDAUJUKZYEAULGZYGYCYMYDAUMUKZAUNKYEYHAUPIZAUQIZYPVSZURZUS
      IZYSUHJZYSUIJZYKYEYHUUAGZYQYPYHUTZBLZCLZYRJZDLZMNZELZFLZYRJZUUGMNZHZUUDUU
      IYHJZUUEUUJYHJZYRJZUALZMNZVAZFYPOCYPOZDPVBZUAPOZEYPOBYPOZYEYFUUCYLYPAYHYP
      QZYHQZVCKYEUVBBEYPYPYEUUDYPGZUUIYPGZHZHZUVAUAPUUQPGZUUQVDVEJZPGUVIUUFUVKM
      NZUUKUVKMNZHZUURVAZFYPOCYPOZUVAUUQVFUVIUVJHZUVOCFYPYPUVQUUEYPGZUUJYPGZHZH
      ZUUDUUEYOJZUVKMNZUUIUUJYOJZUVKMNZHZUUNUUOYOJZUUQMNZUVNUURUWAUWFUWBUWDVGJZ
      UUQMNZUWHUWAUWBTGZUWDTGZUUQTGZUWFUWJVAUWAYMUVFUVRUWKUWAYEYMYEUVHUVJUVTVHZ
      YNKZUWAUVFUVGYEUVHUVJUVTVIZVJZUVQUVRUVSVKZUUDUUEYOAYPUVDYOQZVLRZUWAYMUVGU
      VSUWLUWOUWAUVFUVGUWPVMZUVQUVRUVSVNZUUIUUJYOAYPUVDUWSVLRZUVJUWMUVIUVTUUQVO
      VPZUWBUWDUUQVQRUWAUWGUWIVTNZUWJUWHUWAUWGUUNUUEUUIYHJZYOJZUXFUUOYOJZVGJZUW
      IVTUWAYMUUNYPGZUUOYPGZUXFYPGZUWGUXIVTNUWOUWAYFUVFUVGUXJUWAYEYFUWNYLKZUWQU
      XAYPAYHUUDUUIUVDUVEVRRZUWAYFUVRUVSUXKUXMUWRUXBYPAYHUUEUUJUVDUVEVRRZUWAYFU
      VRUVGUXLUXMUWRUXAYPAYHUUEUUIUVDUVEVRRUUNUUOUXFYOAYPUVDUWSWAWBUWAUXGUWBUXH
      UWDVGUWAYCUVFUVRUVGUXGUWBSUWAYCYDUWNVJUWQUWRUXAUUDUUEUUIYOAYHYPUVDUVEUWSW
      CWBUWAUXHUUEUUIAWDIZIZAWEIZJZUUEUUJUXPIZUXRJZYOJZUXQUXTYOJZUWDUWAUXFUXSUU
      OUYAYOUWAUVRUVGUXFUXSSUWRUXAYPUXRAUXPYHUUEUUIUVDUXRQZUXPQZUVEWFWGUVTUUOUY
      ASUVQYPUXRAUXPYHUUEUUJUVDUYDUYEUVEWFWIWHUWAYEUXQYPGZUXTYPGZUVRUYBUYCSUWNU
      WAYFUVGUYFUXMUXAYPAUXPUUIUVDUYEWJWGUWAYFUVSUYGUXMUXBYPAUXPUUJUVDUYEWJWGUW
      RUXQUXTUUEYOUXRAYPUVDUYDUWSWKWBUWAYEUVGUVSUYCUWDSUWNUXAUXBUUIUUJYOAUXPYPU
      VDUYEUWSWLWMWNWHWSUWAUWGTGZUWITGUWMUXEUWJHUWHVAUWAYMUXJUXKUYHUWOUXNUXOUUN
      UUOYOAYPUVDUWSVLRUWAUWBUWDUWTUXCWTUXDUWGUWIUUQWORWPWQUWAUVLUWCUVMUWEUWAUU
      FUWBUVKMUWAUUDUUEYOYPUWQUWRWRXAUWAUUKUWDUVKMUWAUUIUUJYOYPUXAUXBWRXAXBUWAU
      UPUWGUUQMUWAUUNUUOYOYPUXNUXOWRXAXCXDUUTUVPDUVKPUUGUVKSZUUSUVOCFYPYPUYIUUM
      UVNUURUYIUUHUVLUULUVMUUGUVKUUFMXHUUGUVKUUKMXHXBXEXFXGXIXJXDYEYRYPXKIGZUYJ
      UYJUUBUUCUVCHXLYEYMAXMGUYJYNAXNYRAYPUVDYRQZXOXPZUYLUYLBEUADFCYRYRYRYHYSYS
      YSYPYPYPYSQZUYMUYMXSRXQYEYJYTYIYSUIYEYIYSYIYSUHYEYMYIYSSYNYRYIAYPYIQZUVDU
      YKXRKZUYOWHUYOWHXTAYIYHUYNUVEYAYB $.
  $}

  ${
    $d x y B $.  $d x y K $.  $d x y L $.  $d x y ph $.
    ngppropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    ngppropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    ngppropd.3 $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    ngppropd.4 $e |- ( ph ->
      ( ( dist ` K ) |` ( B X. B ) ) = ( ( dist ` L ) |` ( B X. B ) ) ) $.
    ngppropd.5 $e |- ( ph -> ( TopOpen ` K ) = ( TopOpen ` L ) ) $.
    $( Property deduction for a normed group.  (Contributed by Mario Carneiro,
       4-Oct-2015.) $)
    ngppropd $p |- ( ph -> ( K e. NrmGrp <-> L e. NrmGrp ) ) $=
      ( cgrp wcel cfv cxp cres wceq wa adantr eqid cms cnm csg ccom cds cbs w3a
      cngp wb mspropd simpr cv co adantlr nmpropd2 grpsubpropd2 coeq12d sqxpeqd
      cplusg reseq2d 3eqtr3d eqeq12d anbi12d anbi1d bitrd 3anass 3bitr4g isngp2
      pm5.32da grppropd ) AELMZEUAMZEUBNZEUCNZUDZEUENZEUFNZVQOZPZQZUGZFLMZFUAMZ
      FUBNZFUCNZUDZFUENZFUFNZWHOZPZQZUGZEUHMFUHMAVKVLVTRZRZWBWCWKRZRZWAWLAWNVKW
      ORWPAVKWMWOAVKRZVLWCVTWKAVLWCUIVKADEFGHJKUJSWQVOWFVSWJWQVMWDVNWEWQBCDEFAD
      VQQVKGSZADWHQVKHSZAVKUKZABULZDMCULZDMRXAXBEUSNUMXAXBFUSNUMQVKIUNZAVPDDOZP
      ZWGXDPZQVKJSUOWQBCDEFWRWSWTXCUPUQAVSWJQVKAXEXFVSWJJAXDVRVPADVQGURUTAXDWIW
      GADWHHURUTVASVBVCVIAVKWBWOABCDEFGHIVJVDVEVKVLVTVFWBWCWKVFVGVPVSEVNVMVQVMT
      VNTVPTVQTVSTVHWGWJFWEWDWHWDTWETWGTWHTWJTVHVG $.
  $}

  ${
    $d f g D $.  $d f g G $.  $d f g J $.  $d f g N $.
    $( The function ` toNrmGrp ` is a two-argument function.  (Contributed by
       Mario Carneiro, 8-Oct-2015.) $)
    reldmtng $p |- Rel dom toNrmGrp $=
      ( vg vf cvv cv cnx cds cfv csg ccom cop csts co cts cmopn df-tng reldmmpo
      ctng ) ABCCADZEFGBDRHGIZJKLEMGSNGJKLQBAOP $.

    tngval.t $e |- T = ( G toNrmGrp N ) $.
    tngval.m $e |- .- = ( -g ` G ) $.
    tngval.d $e |- D = ( N o. .- ) $.
    tngval.j $e |- J = ( MetOpen ` D ) $.
    $( Value of the function which augments a given structure ` G ` with a norm
       ` N ` .  (Contributed by Mario Carneiro, 2-Oct-2015.) $)
    tngval $p |- ( ( G e. V /\ N e. W ) -> T =
   ( ( G sSet <. ( dist ` ndx ) , D >. ) sSet <. ( TopSet ` ndx ) , J >. ) ) $=
      ( vg vf wcel co cfv cop csts cvv wa ctng cnx cds cts wceq elex ccom cmopn
      cv simpl simpr fveq2d eqtr4di coeq12d opeq2d oveq12d df-tng ovmpoa syl2an
      csg ovex syl5eq ) CGOZFHOZUABCFUBPZCUCUDQZARZSPZUCUEQZDRZSPZIVDCTOFTOVFVL
      UFVECGUGFHUGMNCFTTMUJZVGNUJZVMVAQZUHZRZSPZVJVPUIQZRZSPVLUBVMCUFZVNFUFZUAZ
      VRVIVTVKSWCVMCVQVHSWAWBUKZWCVPAVGWCVPFEUHAWCVNFVOEWAWBULWCVOCVAQEWCVMCVAW
      DUMJUNUOKUNZUPUQWCVSDVJWCVSAUIQDWCVPAUIWEUMLUNUPUQNMURVIVKSVBUSUTVC $.
  $}

  ${
    $d x y G $.  $d x y N $.  $d x y T $.  $d x y V $.
    tngbas.t $e |- T = ( G toNrmGrp N ) $.
    ${
      tnglem.e $e |- E = Slot ( E ` ndx ) $.
      tnglem.t $e |- ( E ` ndx ) =/= ( TopSet ` ndx ) $.
      tnglem.d $e |- ( E ` ndx ) =/= ( dist ` ndx ) $.
      $( Lemma for ~ tngbas and similar theorems.  (Contributed by Mario
         Carneiro, 2-Oct-2015.)  (Revised by AV, 31-Oct-2024.) $)
      tnglem $p |- ( N e. V -> ( E ` G ) = ( E ` T ) ) $=
        ( cvv wcel cfv wceq cnx cop csts co setsnid eqid c0 wa cds csg ccom cts
        cmopn tngval fveq2d eqtr4id wn ctng str0 eqcomi reldmtng oveqprc adantr
        eqtri pm2.61ian ) CJKZDEKZCBLZABLZMZUSUTUAZVACNUBLZDCUCLZUDZOPQZNUELZVG
        UFLZOPQZBLZVBVAVHBLVLVGVEBCGIRVJVIBVHGHRUQVDAVKBVGACVJVFDJEFVFSVGSVJSUG
        UHUIUSUJVCUTBUKCDATTBLBNBLGULUMFUNUOUPUR $.
    $}

    ${
      tnglemOLD.2 $e |- E = Slot K $.
      tnglemOLD.3 $e |- K e. NN $.
      tnglemOLD.4 $e |- K < 9 $.
      $( Obsolete version of ~ tnglem as of 31-Oct-2024.  Lemma for ~ tngbas
         and similar theorems.  (Contributed by Mario Carneiro, 2-Oct-2015.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      tnglemOLD $p |- ( N e. V -> ( E ` G ) = ( E ` T ) ) $=
        ( cfv wceq cnx co c1 c2 c9 clt wbr c0 cvv wcel wa cds csg ccom cop csts
        cts cmopn ndxid cdc cr ndxarg nnrei eqeltri eqbrtri 1nn 2nn0 9nn0 9lt10
        declti 9re 1nn0 deccl nn0rei lttri mp2an dsndx neeqtrri setsnid tsetndx
        ltneii eqtri eqid tngval fveq2d eqtr4id str0 fvprc adantr ctng reldmtng
        wn ovprc1 syl5eq 3eqtr4a pm2.61ian ) CUAUBZEFUBZCBKZABKZLWIWJUCZWKCMUDK
        ZECUEKZUFZUGUHNZMUIKZWPUJKZUGUHNZBKZWLWKWQBKXAWPWNBCBDHIUKZMBKZOPULZWNX
        CXDXCDUMBDHIUNZDIUOUPZXCQRSQXDRSXCXDRSXCDQRXEJUQZOPQURUSUTVAVBXCQXDXFVC
        XDOPVDUSVEVFVGVHVMVIVJVKWSWRBWQXBXCQWRXCQXFXGVMVLVJVKVNWMAWTBWPACWSWOEU
        AFGWOVOWPVOWSVOVPVQVRWIWDZWJUCZTTBKWKWLBDHVSXHWKTLWJCBVTWAXIATBXIACEWBN
        ZTGXHXJTLWJCEWBWCWEWAWFVQWGWH $.
    $}

    ${
      tngbas.2 $e |- B = ( Base ` G ) $.
      $( The base set of a structure augmented with a norm.  (Contributed by
         Mario Carneiro, 2-Oct-2015.)  (Revised by AV, 31-Oct-2024.) $)
      tngbas $p |- ( N e. V -> B = ( Base ` T ) ) $=
        ( cbs cfv baseid cnx tsetndxnbasendx necomi dsndxnbasendx tnglem syl5eq
        wcel cts cds ) DEQACHIBHIGBHCDEFJKRIKHIZLMKSITNMOP $.

      $( Obsolete proof of ~ tngbas as of 31-Oct-2024.  The base set of a
         structure augmented with a norm.  (Contributed by Mario Carneiro,
         2-Oct-2015.)  (New usage is discouraged.)
         (Proof modification is discouraged.) $)
      tngbasOLD $p |- ( N e. V -> B = ( Base ` T ) ) $=
        ( wcel cbs cfv c1 df-base 1nn 1lt9 tnglemOLD syl5eq ) DEHACIJBIJGBICKDE
        FLMNOP $.
    $}

    ${
      tngplusg.2 $e |- .+ = ( +g ` G ) $.
      $( The group addition of a structure augmented with a norm.  (Contributed
         by Mario Carneiro, 2-Oct-2015.)  (Revised by AV, 31-Oct-2024.) $)
      tngplusg $p |- ( N e. V -> .+ = ( +g ` T ) ) $=
        ( cplusg cfv plusgid cnx cts tsetndxnplusgndx necomi cds dsndxnplusgndx
        wcel tnglem syl5eq ) DEQACHIBHIGBHCDEFJKLIKHIZMNKOITPNRS $.

      $( Obsolete proof of ~ tngplusg as of 31-Oct-2024.  The group addition of
         a structure augmented with a norm.  (Contributed by Mario Carneiro,
         2-Oct-2015.)  (New usage is discouraged.)
         (Proof modification is discouraged.) $)
      tngplusgOLD $p |- ( N e. V -> .+ = ( +g ` T ) ) $=
        ( wcel cplusg cfv c2 df-plusg 2nn 2lt9 tnglemOLD syl5eq ) DEHACIJBIJGBI
        CKDEFLMNOP $.
    $}

    ${
      tng0.2 $e |- .0. = ( 0g ` G ) $.
      $( The group identity of a structure augmented with a norm.  (Contributed
         by Mario Carneiro, 4-Oct-2015.)  (Revised by AV, 31-Oct-2024.) $)
      tng0 $p |- ( N e. V -> .0. = ( 0g ` T ) ) $=
        ( vx vy wcel c0g cfv cbs eqidd eqid tngbas cv wa cplusg tngplusg oveqdr
        grpidpropd syl5eq ) CDJZEBKLAKLGUDHIBMLZBAUDUENUEABCDFUEOPUDHQUEJIQUEJR
        HIBSLZASLUFABCDFUFOTUAUBUC $.
    $}

    ${
      tngmulr.2 $e |- .x. = ( .r ` G ) $.
      $( The ring multiplication of a structure augmented with a norm.
         (Contributed by Mario Carneiro, 2-Oct-2015.)  (Revised by AV,
         31-Oct-2024.) $)
      tngmulr $p |- ( N e. V -> .x. = ( .r ` T ) ) $=
        ( wcel cmulr cfv mulrid cnx tsetndxnmulrndx necomi dsndxnmulrndx tnglem
        cts cds syl5eq ) DEHBCIJAIJGAICDEFKLQJLIJZMNLRJTONPS $.

      $( Obsolete proof of ~ tngmulr as of 31-Oct-2024.  The ring
         multiplication of a structure augmented with a norm.  (Contributed by
         Mario Carneiro, 2-Oct-2015.)  (New usage is discouraged.)
         (Proof modification is discouraged.) $)
      tngmulrOLD $p |- ( N e. V -> .x. = ( .r ` T ) ) $=
        ( wcel cmulr cfv c3 df-mulr 3nn 3lt9 tnglemOLD syl5eq ) DEHBCIJAIJGAICK
        DEFLMNOP $.
    $}

    ${
      tngsca.2 $e |- F = ( Scalar ` G ) $.
      $( The scalar ring of a structure augmented with a norm.  (Contributed by
         Mario Carneiro, 2-Oct-2015.)  (Revised by AV, 31-Oct-2024.) $)
      tngsca $p |- ( N e. V -> F = ( Scalar ` T ) ) $=
        ( wcel csca cfv scaid cnx cts wne cvsca cip slotstnscsi simp1i necomi
        cds slotsdnscsi tnglem syl5eq ) DEHBCIJAIJGAICDEFKLMJZLIJZUDUENUDLOJZNU
        DLPJZNQRSLTJZUEUHUENUHUFNUHUGNUARSUBUC $.

      $( Obsolete proof of ~ tngsca as of 31-Oct-2024.  The scalar ring of a
         structure augmented with a norm.  (Contributed by Mario Carneiro,
         2-Oct-2015.)  (New usage is discouraged.)
         (Proof modification is discouraged.) $)
      tngscaOLD $p |- ( N e. V -> F = ( Scalar ` T ) ) $=
        ( wcel csca cfv c5 df-sca 5nn 5lt9 tnglemOLD syl5eq ) DEHBCIJAIJGAICKDE
        FLMNOP $.
    $}

    ${
      tngvsca.2 $e |- .x. = ( .s ` G ) $.
      $( The scalar multiplication of a structure augmented with a norm.
         (Contributed by Mario Carneiro, 2-Oct-2015.)  (Revised by AV,
         31-Oct-2024.) $)
      tngvsca $p |- ( N e. V -> .x. = ( .s ` T ) ) $=
        ( wcel cvsca cfv vscaid cnx cts csca wne cip slotstnscsi simp2i necomi
        cds slotsdnscsi tnglem syl5eq ) DEHBCIJAIJGAICDEFKLMJZLIJZUDLNJZOUDUEOU
        DLPJZOQRSLTJZUEUHUFOUHUEOUHUGOUARSUBUC $.

      $( Obsolete proof of ~ tngvsca as of 31-Oct-2024.  The scalar
         multiplication of a structure augmented with a norm.  (Contributed by
         Mario Carneiro, 2-Oct-2015.)  (New usage is discouraged.)
         (Proof modification is discouraged.) $)
      tngvscaOLD $p |- ( N e. V -> .x. = ( .s ` T ) ) $=
        ( wcel cvsca cfv c6 df-vsca 6nn 6lt9 tnglemOLD syl5eq ) DEHBCIJAIJGAICK
        DEFLMNOP $.
    $}

    ${
      tngip.2 $e |- ., = ( .i ` G ) $.
      $( The inner product operation of a structure augmented with a norm.
         (Contributed by Mario Carneiro, 2-Oct-2015.)  (Revised by AV,
         31-Oct-2024.) $)
      tngip $p |- ( N e. V -> ., = ( .i ` T ) ) $=
        ( wcel cip cfv ipid cnx cts csca wne cvsca slotstnscsi simp3i necomi
        cds slotsdnscsi tnglem syl5eq ) DEHCBIJAIJGAIBDEFKLMJZLIJZUDLNJZOUDLPJZ
        OUDUEOQRSLTJZUEUHUFOUHUGOUHUEOUARSUBUC $.

      $( Obsolete proof of ~ tngip as of 31-Oct-2024.  The inner product
         operation of a structure augmented with a norm.  (Contributed by Mario
         Carneiro, 2-Oct-2015.)  (New usage is discouraged.)
         (Proof modification is discouraged.) $)
      tngipOLD $p |- ( N e. V -> ., = ( .i ` T ) ) $=
        ( wcel cip cfv c8 df-ip 8nn 8lt9 tnglemOLD syl5eq ) DEHCBIJAIJGAIBKDEFL
        MNOP $.
    $}

    ${
      tngds.2 $e |- .- = ( -g ` G ) $.
      $( The metric function of a structure augmented with a norm.
         (Contributed by Mario Carneiro, 3-Oct-2015.)  (Proof shortened by AV,
         29-Oct-2024.) $)
      tngds $p |- ( N e. V -> ( N o. .- ) = ( dist ` T ) ) $=
        ( cvv wcel ccom cds cfv wceq cnx cop csts co dsid csg c0 wa cts setsnid
        cmopn dsndxntsetndx fvexi coexg mpan2 setsid sylan2 eqid tngval 3eqtr4a
        fveq2d wn co02 str0 eqtri fvprc syl5eq coeq2d reldmtng ovprc1 pm2.61ian
        ctng adantr ) BHIZDEIZDCJZAKLZMZVGVHUAZBNKLZVIOPQZKLZVNNUBLZVIUDLZOPQZK
        LVIVJVQVPKVNRUEUCVHVGVIHIZVIVOMVHCHIVSCBSGUFDCEHUGUHHVIKHBRUIUJVLAVRKVI
        ABVQCDHEFGVIUKVQUKULUNUMVGUOZVKVHVTDTJZTKLZVIVJWATWBDUPKVMRUQURVTCTDVTC
        BSLTGBSUSUTVAVTATKVTABDVEQTFBDVEVBVCUTUNUMVFVD $.

      $( Obsolete proof of ~ tngds as of 29-Oct-2024.  The metric function of a
         structure augmented with a norm.  (Contributed by Mario Carneiro,
         3-Oct-2015.)  (Proof modification is discouraged.)
         (New usage is discouraged.) $)
      tngdsOLD $p |- ( N e. V -> ( N o. .- ) = ( dist ` T ) ) $=
        ( cvv wcel ccom cds cfv wceq cnx cop csts co c9 csg c0 wa cts cmopn wne
        dsid c1 cdc 9re 1nn 2nn0 9nn0 9lt10 declti gtneii dsndx tsetndx neeq12i
        c2 mpbir setsnid fvexi coexg mpan2 setsid sylan2 eqid tngval 3eqtr4a wn
        fveq2d co02 df-ds str0 eqtri fvprc syl5eq coeq2d reldmtng ovprc1 adantr
        ctng pm2.61ian ) BHIZDEIZDCJZAKLZMZWCWDUAZBNKLZWEOPQZKLZWJNUBLZWEUCLZOP
        QZKLWEWFWMWLKWJUEWIWLUDUFURUGZRUDRWOUHUFURRUIUJUKULUMUNWIWOWLRUOUPUQUSU
        TWDWCWEHIZWEWKMWDCHIWPCBSGVADCEHVBVCHWEKHBUEVDVEWHAWNKWEABWMCDHEFGWEVFW
        MVFVGVJVHWCVIZWGWDWQDTJZTKLZWEWFWRTWSDVKKWOVLVMVNWQCTDWQCBSLTGBSVOVPVQW
        QATKWQABDWAQTFBDWAVRVSVPVJVHVTWB $.
    $}

    tngtset.2 $e |- D = ( dist ` T ) $.
    tngtset.3 $e |- J = ( MetOpen ` D ) $.
    $( The topology generated by a normed structure.  (Contributed by Mario
       Carneiro, 3-Oct-2015.) $)
    tngtset $p |- ( ( G e. V /\ N e. W ) -> J = ( TopSet ` T ) ) $=
      ( wcel cfv cmopn cnx cds cop csts cts cvv eqid wa csg ccom wceq ovex fvex
      co tsetid setsid mp2an tngds eqtr4id adantl fveq2d syl5eq tngval 3eqtr4a
      ) CFKZEGKZUAZECUBLZUCZMLZCNOLVBPZQUGZNRLVCPQUGZRLZDBRLVESKVCSKVCVGUDCVDQU
      EVBMUFSVCRSVEUHUIUJUTDAMLVCJUTAVBMUSAVBUDURUSABOLVBIBCVAEGHVATZUKULUMUNUO
      UTBVFRVBBCVCVAEFGHVHVBTVCTUPUNUQ $.

    $( The topology generated by a normed structure.  (Contributed by Mario
       Carneiro, 4-Oct-2015.) $)
    tngtopn $p |- ( ( G e. V /\ N e. W ) -> J = ( TopOpen ` T ) ) $=
      ( vx vy wcel cfv wss wceq cmopn cdm eqid syl wa cts ctopn tngtset cbs cpw
      cxmet crn cuni cv cbl ctg df-mopn dmmptss sseli cxp csg cds tngds eqtr4di
      ccom adantl dmeqd dmcoss cminusg cplusg grpsubfval ovex sseqtri eqsstrrdi
      co dmmpo adantr dmss dmxpid sseqtrdi simpr xmetunirn sylib mopnuni tngbas
      ad2antlr 3sstr3d sspwuni sylibr ex syl5 wn c0 ndmfv 0ss eqsstrdi pm2.61d1
      eqsstrid eqsstrrd topnid eqtrd ) CFMZEGMZUAZDBUBNZBUCNZABCDEFGHIJUDZWTXAB
      UENZUFZOXAXBPWTXADXEXCWTDAQNZXEJWTAQRZMZXFXEOZXHAUGUHUIZMZWTXIXGXJAKXJKUJ
      ZUKNUHULNQKUMUNUOWTXKXIWTXKUAZXFUIZXDOXIXMARZRZCUENZXNXDXMXPXQXQUPZRZXQXM
      XOXROZXPXSOWTXTXKWTXOECUQNZVAZRZXRWTYBAWSYBAPWRWSYBBURNABCYAEGHYASZUSIUTV
      BVCYCYARXREYAVDKLXQXQXLLUJCVENZNZCVFNZVKYAKLXQYGCYEYAXQSZYGSYESYDVGXLYFYG
      VHVLVIVJVMXOXRVNTXQVOVPXMAXPUGNMZXPXNPXMXKYIWTXKVQAVRVSAXFXPXFSVTTWSXQXDP
      WRXKXQBCEGHYHWAWBWCXFXDWDWEWFWGXHWHXFWIXEAQWJXEWKWLWMWNWOXDXABXDSXASWPTWQ
      $.
  $}

  ${
    $d x A $.  $d x G $.  $d x N $.  $d x T $.  $d x X $.
    tngnm.t $e |- T = ( G toNrmGrp N ) $.
    tngnm.x $e |- X = ( Base ` G ) $.
    tngnm.a $e |- A e. _V $.
    $( The topology generated by a normed structure.  (Contributed by Mario
       Carneiro, 4-Oct-2015.) $)
    tngnm $p |- ( ( G e. Grp /\ N : X --> A ) -> N = ( norm ` T ) ) $=
      ( vx wcel wf wa cfv cmpt c0g co wceq eqid cvv syl cgrp csg ccom cnm simpr
      cv feqmptd cop cxp grpsubf ad2antrr grpidcl opelxpd fvco3 syl2anc 3eqtr4g
      df-ov fveq2i grpsubid1 adantlr fveq2d eqtr2d mpteq2dva cbs cds fvexi fex2
      mp3an23 adantl tngbas tngds tng0 oveq123d mpteq12dv nmfval eqtr4di 3eqtrd
      eqidd ) CUAJZEADKZLZDIEIUFZDMZNIEWBCOMZDCUBMZUCZPZNZBUDMZWAIEADVSVTUEUGWA
      IEWCWGWAWBEJZLZWGWBWDWEPZDMZWCWKWBWDUHZWFMZWNWEMZDMZWGWMWKEEUIZEWEKZWNWRJ
      WOWQQVSWSVTWJECWEGWERZUJUKWKWBWDEEWAWJUEVSWDEJVTWJECWDGWDRZULUKUMWREWNDWE
      UNUOWBWDWFUQWLWPDWBWDWEUQURUPWKWLWBDVSWJWLWBQVTECWEWBWDGXAWTUSUTVAVBVCWAW
      HIBVDMZWBBOMZBVEMZPZNWIWAIEWGXBXEWADSJZEXBQVTXFVSVTESJASJXFECVDGVFHEADSSV
      GVHVIZEBCDSFGVJTWAWBWBWDXCWFXDWAXFWFXDQXGBCWEDSFWTVKTWAWBVRWAXFWDXCQXGBCD
      SWDFXAVLTVMVNIXDWIBXBXCWIRXBRXCRXDRVOVPVQ $.
  $}

  ${
    $d x y G $.  $d x y N $.  $d x y T $.  $d x y X $.
    tngngp2.t $e |- T = ( G toNrmGrp N ) $.
    tngngp2.x $e |- X = ( Base ` G ) $.
    tngngp2.d $e |- D = ( dist ` T ) $.
    $( A norm turns a group into a normed group iff the generated metric is in
       fact a metric.  (Contributed by Mario Carneiro, 4-Oct-2015.) $)
    tngngp2 $p |- ( N : X --> RR ->
      ( T e. NrmGrp <-> ( G e. Grp /\ D e. ( Met ` X ) ) ) ) $=
      ( vx vy cr wf wcel cmet cfv wa cvv wceq eqid syl cngp ngpgrp wb cbs fvexi
      cgrp reex fex2 mp3an23 a1i tngbas cplusg tngplusg oveqdr grppropd syl5ibr
      cv imp cxp cres cms ngpms adantl msmet2 wfn csg grpsubf fco syldan adantr
      ccom cds tngds eqtr4id feq1d mpbird fnresdm sqxpeqd reseq2d eqtr3d fveq2d
      ffn 3eltr4d jca cnm wss biimpa adantrr ctopn cmopn simprr eleqtrd eqeltrd
      3syl metf simprl tngtopn syl2anc reseq1i isms2 sylanbrc simpl grpsubpropd
      eqtr2d tngnm coeq12d eqimss isngp syl3anbrc impbida ) EKDLZBUAMZCUFMZAENO
      ZMZPZXKXLPZXMXOXKXLXMXLXMXKBUFMZBUBXKDQMZXMXRUCXKEQMKQMXSECUDGUEUGEKDQQUH
      UIZXSIJECBECUDOZRXSGUJZEBCDQFGUKZXSIUQEMJUQEMPIJCULOZBULOYDBCDQFYDSUMZUNU
      OTZUPURZXQABUDOZYHUSZUTZYHNOZAXNXQBVAMZYJYKMZXLYLXKBVBVCABYHYHSZHVDTXQAEE
      USZUTZAYJXQYOKALZAYOVEYPARXQYQYOKDCVFOZVKZLZXKXLYOEYRLZYTXQXMUUAYGECYRGYR
      SZVGTYOEKDYRVHVIXQYOKAYSXQABVLOZYSHXQXSYSUUCRZXKXSXLXTVJZBCYRDQFUUBVMZTVN
      VOVPYOKAWBYOAVQWNXQYOYIAXQEYHXQXSEYHRZUUEYCTZVRVSVTXQEYHNUUHWAWCWDXKXPPZX
      RYLBWEOZBVFOZVKZUUCWFZXLXKXMXRXOXKXMXRYFWGWHUUIYMBWIOZYJWJOZRYLUUIYJAYKUU
      IYIKALZAYIVEYJARUUIAYKMUUPUUIAXNYKXKXMXOWKUUIEYHNUUIXSUUGXKXSXPXTVJZYCTWA
      WLZAYHWOTYIKAWBYIAVQWNZUURWMUUIUUOAWJOZUUNUUIYJAWJUUSWAUUIXMXSUUTUUNRXKXM
      XOWPZUUQABCUUTDUFQFHUUTSWQWRXDYJUUNBYHUUNSYNAUUCYIHWSWTXAUUIUULUUCRUUMUUI
      YSUULUUCUUIDUUJYRUUKUUIXMXKDUUJRUVAXKXPXBKBCDEFGUGXEWRUUIXSYRUUKRUUQXSCBX
      SEYAYHYBYCVTYEXCTXFUUIXSUUDUUQUUFTVTUULUUCXGTUUCBUUKUUJUUJSUUKSUUCSXHXIXJ
      $.
  $}

  ${
    $d a b x y .- $.  $d a b x y N $.  $d a b x y T $.  $d a b x y X $.
    $d a b G $.  $d x y ph $.  $d a b x y .0. $.
    tngngp.t $e |- T = ( G toNrmGrp N ) $.
    tngngp.x $e |- X = ( Base ` G ) $.
    tngngp.m $e |- .- = ( -g ` G ) $.
    tngngp.z $e |- .0. = ( 0g ` G ) $.
    ${
      tngngpd.1 $e |- ( ph -> G e. Grp ) $.
      tngngpd.2 $e |- ( ph -> N : X --> RR ) $.
      tngngpd.3 $e |- ( ( ph /\ x e. X ) -> ( ( N ` x ) = 0 <-> x = .0. ) ) $.
      tngngpd.4 $e |- ( ( ph /\ ( x e. X /\ y e. X ) ) ->
        ( N ` ( x .- y ) ) <_ ( ( N ` x ) + ( N ` y ) ) ) $.
      $( Derive the axioms for a normed group from the axioms for a metric
         space.  (Contributed by Mario Carneiro, 4-Oct-2015.) $)
      tngngpd $p |- ( ph -> T e. NrmGrp ) $=
        ( wcel cr cvv cngp cgrp cds cfv cmet ccom wf wceq cbs reex fex2 mp3an23
        fvexi tngds 3syl nrmmetd eqeltrrd wa wb eqid tngngp2 syl mpbir2and ) AD
        UARZEUBRZDUCUDZHUEUDZRZNAGFUFZVFVGAHSGUGZGTRZVIVFUHOVJHTRSTRVKHEUIKUMUJ
        HSGTTUKULDEFGTJLUNUOABCGEFHIKLMNOPQUPUQAVJVDVEVHURUSOVFDEGHJKVFUTVAVBVC
        $.
    $}

    $( Derive the axioms for a normed group from the axioms for a metric space.
       (Contributed by Mario Carneiro, 4-Oct-2015.) $)
    tngngp $p |- ( N : X --> RR -> ( T e. NrmGrp <-> ( G e. Grp /\ A. x e. X
        ( ( ( N ` x ) = 0 <-> x = .0. ) /\
          A. y e. X ( N ` ( x .- y ) ) <_ ( ( N ` x ) + ( N ` y ) ) ) ) ) ) $=
      ( wcel cfv wceq co caddc cle wa cvv va vb cr wf cngp cgrp cv cc0 wbr wral
      wb cds cmet eqid tngngp2 simprbda cnm c0g simplr simpr fvexi reex mp3an23
      cbs fex2 ad2antrr tngbas eleqtrd nmeq0 syl2anc adantr simpll tngnm fveq1d
      syl eqeq1d eqeq2d 3bitr4d csg simpllr eleq2d biimpa nmmtri syl3anc cplusg
      tng0 eqtr3id tngplusg grpsubpropd oveqd fveq12d oveq12d 3brtr4d ralrimiva
      syl5eq jca simprl simpl ralimi ad2antll fveq2 eqeq1 bibi12d rspccva sylan
      fvoveq1 oveq1d breq12d oveq2 fveq2d oveq2d rspc2va ancoms tngngpd impbida
      ) GUCFUDZCUEMZDUFMZAUGZFNZUHOZXSHOZUKZXSBUGZEPZFNZXTYDFNZQPZRUIZBGUJZSZAG
      UJZSZXPXQSZXRYLXPXQXRCULNZGUMNMYOCDFGIJYOUNUOUPZYNYKAGYNXSGMZSZYCYJYRXSCU
      QNZNZUHOZXSCURNZOZYAYBYRXQXSCVDNZMZUUAUUCUKXPXQYQUSYRXSGUUDYNYQUTYRFTMZGU
      UDOXPUUFXQYQXPGTMUCTMUUFGDVDJVAVBGUCFTTVEVCVFZGCDFTIJVGVOZVHZXSCYSUUDUUBU
      UDUNZYSUNZUUBUNVIVJYRXTYTUHYRXSFYSYRXRXPFYSOYNXRYQYPVKXPXQYQVLUCCDFGIJVBV
      MVJZVNZVPYRHUUBXSYRUUFHUUBOUUGCDFTHILWFVOVQVRYRYIBGYRYDGMZSZXSYDCVSNZPZYS
      NZYTYDYSNZQPZYFYHRUUOXQUUEYDUUDMZUURUUTRUIXPXQYQUUNVTYRUUEUUNUUIVKYRUUNUV
      AYRGUUDYDUUHWAWBXSYDCUUPYSUUDUUJUUKUUPUNWCWDYRYFUUROUUNYRYEUUQFYSUULYREUU
      PXSYDYREDVSNUUPKYRDCYRDVDNGUUDJUUHWGYRUUFDWENZCWENOUUGUVBCDFTIUVBUNWHVOWI
      WOWJWKVKYRYHUUTOUUNYRXTYTYGUUSQUUMYRYDFYSUULVNWLVKWMWNWPWNWPXPYMSZUAUBCDE
      FGHIJKLXPXRYLWQXPYMWRUVCYCAGUJZUAUGZGMZUVEFNZUHOZUVEHOZUKZYLUVDXPXRYKYCAG
      YCYJWRWSWTYCUVJAUVEGXSUVEOZYAUVHYBUVIUVKXTUVGUHXSUVEFXAZVPXSUVEHXBXCXDXEU
      VCYJAGUJZUVFUBUGZGMSZUVEUVNEPZFNZUVGUVNFNZQPZRUIZYLUVMXPXRYKYJAGYCYJUTWSW
      TUVOUVMUVTYIUVTUVEYDEPZFNZUVGYGQPZRUIABUVEUVNGGUVKYFUWBYHUWCRXSUVEYDFEXFU
      VKXTUVGYGQUVLXGXHYDUVNOZUWBUVQUWCUVSRUWDUWAUVPFYDUVNUVEEXIXJUWDYGUVRUVGQY
      DUVNFXAXKXHXLXMXEXNXO $.
  $}

  ${
    $d G x y $.  $d N x y $.  $d T x y $.  $d V x y $.
    tngngp3.t $e |- T = ( G toNrmGrp N ) $.
    $( If a structure equipped with a norm is a normed group, the structure
       itself must be a group.  (Contributed by AV, 15-Oct-2021.) $)
    tnggrpr $p |- ( ( N e. V /\ T e. NrmGrp ) -> G e. Grp ) $=
      ( vx vy wcel cgrp cngp cbs eqid tngbas eqidd cv wa cplusg tngplusg eqcomd
      cfv oveqdr grppropd biimpd ngpgrp impel ) CDHZAIHZBIHZAJHUFUGUHUFFGBKTZAB
      UIABCDEUILMUFUINUFFOUIHGOUIHPFGAQTZBQTZUFUKUJUKABCDEUKLRSUAUBUCAUDUE $.

    $d G a b x y $.  $d N a b x y $.  $d T a b x y $.  $d X a b x y $.
    $d I a b x y $.  $d .+ a b x y $.  $d .0. a b x y $.
    tngngp3.x $e |- X = ( Base ` G ) $.
    tngngp3.z $e |- .0. = ( 0g ` G ) $.
    tngngp3.p $e |- .+ = ( +g ` G ) $.
    tngngp3.i $e |- I = ( invg ` G ) $.
    $( Alternate definition of a normed group (i.e., a group equipped with a
       norm) without using the properties of a metric space.  This corresponds
       to the definition in N. H. Bingham, A. J. Ostaszewski:  "Normed versus
       topological groups: dichotomy and duality", 2010, Dissertationes
       Mathematicae 472, pp. 1-138 and E. Deza, M.M. Deza:  "Dictionary of
       Distances", Elsevier, 2006.  (Contributed by AV, 16-Oct-2021.) $)
    tngngp3 $p |- ( N : X --> RR -> ( T e. NrmGrp <-> ( G e. Grp /\ A. x e. X
      ( ( ( N ` x ) = 0 <-> x = .0. ) /\ ( N ` ( I ` x ) ) = ( N ` x )
        /\ A. y e. X ( N ` ( x .+ y ) ) <_ ( ( N ` x ) + ( N ` y ) ) ) ) ) ) $=
      ( wcel cfv wceq co cle wa va vb cr wf cngp cgrp cv cc0 caddc wbr wral w3a
      wb cvv wi cbs fvexi fex mpan2 tnggrpr simp2 cnm cminusg cplusg eqid nmeq0
      c0g nminv nmtri 3expa ralrimiva 3jca adantl 3ad2ant1 tngplusg eqidd oveqd
      tngbas adantr grpinvpropd syl5eq tngnm 3adant1 simp1 fveq1d eqeq1d eqeq2d
      reex tng0 simp3 bibi12d fveq12d eqeq12d fveq1 oveq12d raleqbidv 3anbi123d
      3ad2ant2 breq12d syl mpbird jca 3exp mpd expcom com13 csg simpl weq fveq2
      eqeq1 fveq2d fvoveq1 oveq1d ralbidv rspccva ex imp grpsubval 3simpc simpr
      ralimi oveq2 oveq2d rspc2v grpinvcl anim2d eqcomd adantld breqtrrd impcom
      syl11 expd eqbrtrd tngngpd impbid ) HUCGUDZDUEOZEUFOZAUGZGPZUHQZYTIQZUMZY
      TFPZGPZUUAQZYTBUGZCRZGPZUUAUUHGPZUIRZSUJZBHUKZULZAHUKZTZYQGUNOZYRUUQUOYQH
      UNOUURHEUPKUQHUCUNGURUSYRUURYQUUQUURYRYQUUQUOZUURYRTZYSUUSDEGUNJUTUUTYSYQ
      UUQUUTYSYQULZYSUUPUUTYSYQVAUVAUUPYTDVBPZPZUHQZYTDVGPZQZUMZYTDVCPZPZUVBPZU
      VCQZYTUUHDVDPZRZUVBPZUVCUUHUVBPZUIRZSUJZBDUPPZUKZULZAUVRUKZUUTYSUWAYQYRUW
      AUURYRUVTAUVRYRYTUVROZTZUVGUVKUVSYTDUVBUVRUVEUVRVEZUVBVEZUVEVEVFYTDUVHUVB
      UVRUWDUWEUVHVEVHUWCUVQBUVRYRUWBUUHUVROUVQYTUUHUVLDUVBUVRUWDUWEUVLVEVIVJVK
      VLVKVMVNUVAHUVRQZCUVLQZFUVHQZULZGUVBQZIUVEQZULZUUPUWAUMUVAUWIUWJUWKUUTYSU
      WIYQUURUWIYRUURUWFUWGUWHHDEGUNJKVRCDEGUNJMVOUURFEVCPUVHNUURABEUPPZEDUURUW
      MVPUWMDEGUNJUWMVEVRUURYTUUHEVDPZRUVMQYTUWMOUUHUWMOTUURUWNUVLYTUUHUWNDEGUN
      JUWNVEVOVQVSVTWAVLVSVNYSYQUWJUUTUCDEGHJKWHWBWCUUTYSUWKYQUURUWKYRDEGUNIJLW
      IVSVNVLUWLUUOUVTAHUVRUWIUWJUWFUWKUWFUWGUWHWDVNZUWLUUDUVGUUGUVKUUNUVSUWLUU
      BUVDUUCUVFUWLUUAUVCUHUWLYTGUVBUWIUWJUWKVAZWEZWFUWLIUVEYTUWIUWJUWKWJWGWKUW
      LUUFUVJUUAUVCUWLUUEUVIGUVBUWPUWLYTFUVHUWIUWJUWHUWKUWFUWGUWHWJVNWEWLUWQWMU
      WLUUMUVQBHUVRUWOUWLUUJUVNUULUVPSUWLUUIUVMGUVBUWPUWLCUVLYTUUHUWIUWJUWGUWKU
      WFUWGUWHVAVNVQWLUWJUWIUULUVPQUWKUWJUUAUVCUUKUVOUIYTGUVBWNUUHGUVBWNWOWRWSW
      PWQWPWTXAXBXCXDXEXFXDYQUUQYRYQUUQTZUAUBDEEXGPZGHIJKUWSVEZLUUQYSYQYSUUPXHV
      MYQUUQXHUWRUAUGZHOZUXAGPZUHQZUXAIQZUMZUUQUXBUXFUOZYQUUPUXGYSUUPUXBUXFUUPU
      XBTUXFUXAFPZGPZUXCQZUXAUUHCRZGPZUXCUUKUIRZSUJZBHUKZULZUXFUUOUXPAUXAHAUAXI
      ZUUDUXFUUGUXJUUNUXOUXQUUBUXDUUCUXEUXQUUAUXCUHYTUXAGXJZWFYTUXAIXKWKUXQUUFU
      XIUUAUXCUXQUUEUXHGYTUXAFXJXLUXRWMUXQUUMUXNBHUXQUUJUXLUULUXMSYTUXAUUHGCXMU
      XQUUAUXCUUKUIUXRXNWSZXOWQXPUXFUXJUXOWDWTXQVMVMXRUWRUXBUBUGZHOZTZTZUXAUXTU
      WSRZGPUXAUXTFPZCRZGPZUXCUXTGPZUIRZSUYCUYDUYFGUYBUYDUYFQUWRHCEFUWSUXAUXTKM
      NUWTXSVMXLUWRUYBUYGUYISUJZUUQUYBUYJUOZYQUUPYSUYKUUPUUGUUNTZAHUKZYSUYKUOUU
      OUYLAHUUDUUGUUNXTYBUYMYSUYKUYMYSTZUYBUYJUYNUYBTZUYGUXCUYEGPZUIRZUYISUYNUY
      BUYGUYQSUJZUYMYSUYBUYRUOZUYMUUNAHUKZYSUYSUOUYLUUNAHUUGUUNYAYBUYTYSUYBUYRU
      XBUYEHOZTZUYTUYRYSUYBTUUMUYRUXNABUXAUYEHHUXSUUHUYEQZUXLUYGUXMUYQSVUCUXKUY
      FGUUHUYEUXACYCXLVUCUUKUYPUXCUIUUHUYEGXJYDWSYEYSUYBVUBYSUYAVUAUXBYSUYAVUAH
      EFUXTKNYFXQYGXRYLYMWTXRXRUYOUYHUYPUXCUIUYNUYBUYHUYPQZUYNUYAVUDUXBUYMUYAVU
      DUOZYSUYMUUGAHUKZVUEUYLUUGAHUUGUUNXHYBVUFUYAVUDVUFUYATUYPUYHUUGUYPUYHQAUX
      THAUBXIZUUFUYPUUAUYHVUGUUEUYEGYTUXTFXJXLYTUXTGXJWMXPYHXQWTVSYIXRYDYJXQXQW
      TYKVMXRYNYOXQYP $.
  $}

  ${
    nrmtngdist.t $e |- T = ( G toNrmGrp ( norm ` G ) ) $.
    ${
      nrmtngdist.x $e |- X = ( Base ` G ) $.
      $( The augmentation of a normed group by its own norm has the same
         distance function as the normed group (restricted to the base set).
         (Contributed by AV, 15-Oct-2021.) $)
      nrmtngdist $p |- ( G e. NrmGrp
                         -> ( dist ` T ) = ( ( dist ` G ) |` ( X X. X ) ) ) $=
        ( cngp wcel cds cfv cnm csg ccom cxp cres wceq fvex eqid tngds ax-mp
        cvv cgrp cms isngp2 simp3bi eqtr3id ) BFGZAHIZBJIZBKIZLZBHIZCCMNZUHTGUJ
        UGOBJPABUIUHTDUIQZRSUFBUAGBUBGUJULOUKULBUIUHCUHQUMUKQEULQUCUDUE $.
    $}

    $( The augmentation of a normed group by its own norm is a normed group
       with the same norm.  (Contributed by AV, 15-Oct-2021.) $)
    nrmtngnrm $p |- ( G e. NrmGrp
                      -> ( T e. NrmGrp /\ ( norm ` T ) = ( norm ` G ) ) ) $=
      ( cngp wcel cnm cfv wceq cgrp cds cbs cmet ngpgrp cxp cres eqid cr wa syl
      jca nrmtngdist ngpmet eqeltrd wf nmf tngngp2 mpbir2and reex tngnm eqcomd
      wb ) BDEZADEZAFGZBFGZHULUMBIEZAJGZBKGZLGZEZBMZULUQBJGURURNOZUSABURCURPZUA
      VBBURVCVBPUBUCULURQUOUDZUMUPUTRUKBUOURVCUOPUEZUQABUOURCVCUQPUFSUGULUOUNUL
      UPVDRUOUNHULUPVDVAVETQABUOURCVCUHUISUJT $.
  $}

  ${
    tngngpim.t $e |- T = ( G toNrmGrp N ) $.
    tngngpim.n $e |- N = ( norm ` G ) $.
    tngngpim.x $e |- X = ( Base ` G ) $.
    tngngpim.d $e |- D = ( dist ` T ) $.
    $( The induced metric of a normed group is a function.  (Contributed by AV,
       19-Oct-2021.) $)
    tngngpim $p |- ( G e. NrmGrp -> D : ( X X. X ) --> RR ) $=
      ( cngp wcel cr wf cxp nmf cfv cnm wa ctng co cmet wceq wi eqtri nrmtngnrm
      oveq2i cgrp tngngp2 simpr syl6bi com12 adantr syl metf syl6 mpd ) CJKZELD
      MZEENLAMZCDEHGOUQURAEUAPKZUSUQBJKZBQPCQPZUBZRURUTUCZBCBCDSTCVBSTFDVBCSGUF
      UDUEVAVDVCURVAUTURVACUGKZUTRUTABCDEFHIUHVEUTUIUJUKULUMAEUNUOUP $.
  $}

  ${
    $d r A $.  $d r N $.  $d r R $.
    isnrg.1 $e |- N = ( norm ` R ) $.
    isnrg.2 $e |- A = ( AbsVal ` R ) $.
    $( A normed ring is a ring with a norm that makes it into a normed group,
       and such that the norm is an absolute value on the ring.  (Contributed
       by Mario Carneiro, 4-Oct-2015.) $)
    isnrg $p |- ( R e. NrmRing <-> ( R e. NrmGrp /\ N e. A ) ) $=
      ( vr cnm cfv cabv wcel cngp cnrg wceq fveq2 eqtr4di eleq12d df-nrg elrab2
      cv ) FSZGHZTIHZJCAJFBKLTBMZUACUBAUCUABGHCTBGNDOUCUBBIHATBINEOPFQR $.

    $( The norm of a normed ring is an absolute value.  (Contributed by Mario
       Carneiro, 4-Oct-2015.) $)
    nrgabv $p |- ( R e. NrmRing -> N e. A ) $=
      ( cnrg wcel cngp isnrg simprbi ) BFGBHGCAGABCDEIJ $.
  $}

  $( A normed ring is a normed group.  (Contributed by Mario Carneiro,
     4-Oct-2015.) $)
  nrgngp $p |- ( R e. NrmRing -> R e. NrmGrp ) $=
    ( cnrg wcel cngp cnm cfv cabv eqid isnrg simplbi ) ABCADCAEFZAGFZCLAKKHLHIJ
    $.

  $( A normed ring is a ring.  (Contributed by Mario Carneiro, 4-Oct-2015.) $)
  nrgring $p |- ( R e. NrmRing -> R e. Ring ) $=
    ( cnrg wcel cnm cfv cabv crg eqid nrgabv abvrcl syl ) ABCADEZAFEZCAGCMALLHM
    HZIMALNJK $.

  ${
    nmmul.x $e |- X = ( Base ` R ) $.
    nmmul.n $e |- N = ( norm ` R ) $.
    nmmul.t $e |- .x. = ( .r ` R ) $.
    $( The norm of a product in a normed ring.  (Contributed by Mario Carneiro,
       5-Oct-2015.) $)
    nmmul $p |- ( ( R e. NrmRing /\ A e. X /\ B e. X ) ->
      ( N ` ( A .x. B ) ) = ( ( N ` A ) x. ( N ` B ) ) ) $=
      ( cnrg wcel cabv cfv co cmul wceq eqid nrgabv abvmul syl3an1 ) CJKECLMZKA
      FKBFKABDNEMAEMBEMONPUACEHUAQZRUAFCDEABUBGIST $.

    nrgdsdi.d $e |- D = ( dist ` R ) $.
    $( Distribute a distance calculation.  (Contributed by Mario Carneiro,
       5-Oct-2015.) $)
    nrgdsdi $p |- ( ( R e. NrmRing /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
      ( ( N ` A ) x. ( B D C ) ) = ( ( A .x. B ) D ( A .x. C ) ) ) $=
      ( wcel cfv co cmul wceq adantr syl3anc ngpds cnrg w3a wa csg simpl simpr1
      cgrp crg nrgring ringgrp syl simpr2 simpr3 eqid grpsubcl ringsubdi fveq2d
      nmmul eqtr3d cngp nrgngp oveq2d ringcl 3eqtr4d ) EUAMZAHMZBHMZCHMZUBZUCZA
      GNZBCEUDNZOZGNZPOZABFOZACFOZVLOZGNZVKBCDOZPOVPVQDOZVJAVMFOZGNZVOVSVJVEVFV
      MHMZWCVOQVEVIUEVEVFVGVHUFZVJEUGMZVGVHWDVJEUHMZWFVEWGVIEUIRZEUJUKVEVFVGVHU
      LZVEVFVGVHUMZHEVLBCIVLUNZUOSAVMEFGHIJKURSVJWBVRGVJHEFVLABCIKWKWHWEWIWJUPU
      QUSVJVTVNVKPVJEUTMZVGVHVTVNQVEWLVIEVARZWIWJBCDEVLGHJIWKLTSVBVJWLVPHMZVQHM
      ZWAVSQWMVJWGVFVGWNWHWEWIHEFABIKVCSVJWGVFVHWOWHWEWJHEFACIKVCSVPVQDEVLGHJIW
      KLTSVD $.

    $( Distribute a distance calculation.  (Contributed by Mario Carneiro,
       5-Oct-2015.) $)
    nrgdsdir $p |- ( ( R e. NrmRing /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
      ( ( A D B ) x. ( N ` C ) ) = ( ( A .x. C ) D ( B .x. C ) ) ) $=
      ( wcel cfv co cmul wceq adantr syl3anc ngpds cnrg w3a wa csg cgrp nrgring
      simpl crg ringgrp syl simpr1 simpr2 eqid grpsubcl simpr3 rngsubdir fveq2d
      nmmul eqtr3d cngp nrgngp oveq1d ringcl 3eqtr4d ) EUAMZAHMZBHMZCHMZUBZUCZA
      BEUDNZOZGNZCGNZPOZACFOZBCFOZVKOZGNZABDOZVNPOVPVQDOZVJVLCFOZGNZVOVSVJVEVLH
      MZVHWCVOQVEVIUGVJEUEMZVFVGWDVJEUHMZWEVEWFVIEUFRZEUIUJVEVFVGVHUKZVEVFVGVHU
      LZHEVKABIVKUMZUNSVEVFVGVHUOZVLCEFGHIJKURSVJWBVRGVJHEFVKABCIKWJWGWHWIWKUPU
      QUSVJVTVMVNPVJEUTMZVFVGVTVMQVEWLVIEVARZWHWIABDEVKGHJIWJLTSVBVJWLVPHMZVQHM
      ZWAVSQWMVJWFVFVHWNWGWHWKHEFACIKVCSVJWFVGVHWOWGWIWKHEFBCIKVCSVPVQDEVKGHJIW
      JLTSVD $.
  $}

  ${
    nm1.n $e |- N = ( norm ` R ) $.
    nm1.u $e |- .1. = ( 1r ` R ) $.
    $( The norm of one in a nonzero normed ring.  (Contributed by Mario
       Carneiro, 5-Oct-2015.) $)
    nm1 $p |- ( ( R e. NrmRing /\ R e. NzRing ) -> ( N ` .1. ) = 1 ) $=
      ( cnrg wcel cabv cfv c0g wne c1 wceq cnzr eqid nrgabv nzrnz abv1z syl2an
      ) AFGCAHIZGBAJIZKBCILMANGTACDTOZPABUAEUAOZQTABCUAUBEUCRS $.
  $}

  ${
    nminvr.n $e |- N = ( norm ` R ) $.
    nminvr.u $e |- U = ( Unit ` R ) $.
    $( The norm of a unit is nonzero in a nonzero normed ring.  (Contributed by
       Mario Carneiro, 5-Oct-2015.) $)
    unitnmn0 $p |- ( ( R e. NrmRing /\ R e. NzRing /\ A e. U ) ->
      ( N ` A ) =/= 0 ) $=
      ( cnrg wcel cnzr w3a cngp cbs cfv c0g wne cc0 nrgngp 3ad2ant1 eqid unitcl
      3ad2ant3 nzrunit 3adant1 nmne0 syl3anc ) BGHZBIHZACHZJBKHZABLMZHZABNMZOZA
      DMPOUFUGUIUHBQRUHUFUKUGUJBCAUJSZFTUAUGUHUMUFABCULFULSZUBUCABDUJULUNEUOUDU
      E $.

    nminvr.i $e |- I = ( invr ` R ) $.
    $( The norm of an inverse in a nonzero normed ring.  (Contributed by Mario
       Carneiro, 5-Oct-2015.) $)
    nminvr $p |- ( ( R e. NrmRing /\ R e. NzRing /\ A e. U ) ->
      ( N ` ( I ` A ) ) = ( 1 / ( N ` A ) ) ) $=
      ( cnrg wcel cnzr cfv c1 cr eqid nmcl syl2anc recnd co wceq w3a cbs nrgngp
      cngp 3ad2ant1 unitcl 3ad2ant3 crg 3ad2ant2 simp3 ringinvcl unitnmn0 cmulr
      nzrring cur cmul unitrinv fveq2d simp1 nmmul syl3anc nm1 3adant3 mvllmuld
      3eqtr3d ) BIJZBKJZACJZUAZAELZADLZELZMVIVJVIBUDJZABUBLZJZVJNJVFVGVMVHBUCUE
      ZVHVFVOVGVNBCAVNOZGUFUGZABEVNVQFPQRVIVLVIVMVKVNJZVLNJVPVIBUHJZVHVSVGVFVTV
      HBUNUIZVFVGVHUJZVNBCDAGHVQUKQZVKBEVNVQFPQRABCEFGULVIAVKBUMLZSZELZBUOLZELZ
      VJVLUPSZMVIWEWGEVIVTVHWEWGTWAWBBWDCWGDAGHWDOZWGOZUQQURVIVFVOVSWFWITVFVGVH
      USVRWCAVKBWDEVNVQFWJUTVAVFVGWHMTVHBWGEFWKVBVCVEVD $.
  $}

  ${
    nmdvr.x $e |- X = ( Base ` R ) $.
    nmdvr.n $e |- N = ( norm ` R ) $.
    nmdvr.u $e |- U = ( Unit ` R ) $.
    nmdvr.d $e |- ./ = ( /r ` R ) $.
    $( The norm of a division in a nonzero normed ring.  (Contributed by Mario
       Carneiro, 5-Oct-2015.) $)
    nmdvr $p |- ( ( ( R e. NrmRing /\ R e. NzRing ) /\ ( A e. X /\ B e. U ) )
      -> ( N ` ( A ./ B ) ) = ( ( N ` A ) / ( N ` B ) ) ) $=
      ( wcel wa cfv co cdiv cmul wceq ad2antrr syl2anc cnrg cnzr cinvr cmulr c1
      simpll simprl nrgring simprr ringinvcl nmmul syl3anc simplr nminvr oveq2d
      crg eqid eqtrd dvrval adantl fveq2d cngp cr nrgngp nmcl unitss sselid cc0
      recnd wne unitnmn0 3expa adantrl divrecd 3eqtr4d ) DUALZDUBLZMZAGLZBELZMZ
      MZABDUCNZNZDUDNZOZFNZAFNZUEBFNZPOZQOZABCOZFNWHWIPOWBWGWHWDFNZQOZWKWBVPVSW
      DGLZWGWNRVPVQWAUFZVRVSVTUGZWBDUPLZVTWOVPWRVQWADUHSVRVSVTUIZGDEWCBJWCUQZHU
      JTAWDDWEFGHIWEUQZUKULWBWMWJWHQWBVPVQVTWMWJRWPVPVQWAUMWSBDEWCFIJWTUNULUOUR
      WBWLWFFWAWLWFRVRGCDWEEWCABHXAJWTKUSUTVAWBWHWIWBWHWBDVBLZVSWHVCLVPXBVQWADV
      DSZWQADFGHIVETVIWBWIWBXBBGLWIVCLXCWBEGBGDEHJVFWSVGBDFGHIVETVIVRVTWIVHVJZV
      SVPVQVTXDBDEFIJVKVLVMVNVO $.
  $}

  $( A nonzero normed ring is a domain.  (Contributed by Mario Carneiro,
     4-Oct-2015.) $)
  nrgdomn $p |- ( R e. NrmRing -> ( R e. Domn <-> R e. NzRing ) ) $=
    ( cnrg wcel cdomn cnzr domnnzr wa cabv cfv wne simpr cnm eqid nrgabv adantr
    c0 ne0d abvn0b sylanbrc ex impbid2 ) ABCZADCZAECZAFUBUDUCUBUDGUDAHIZPJZUCUB
    UDKUBUFUDUBUEALIZUEAUGUGMUEMZNQOUEAUHRSTUA $.

  $( A normed ring is a topological group.  (Contributed by Mario Carneiro,
     5-Oct-2015.) $)
  nrgtgp $p |- ( R e. NrmRing -> R e. TopGrp ) $=
    ( cnrg wcel cngp cabl ctgp nrgngp crg nrgring ringabl syl ngptgp syl2anc )
    ABCZADCAECZAFCAGNAHCOAIAJKALM $.

  ${
    subrgnrg.h $e |- H = ( G |`s A ) $.
    $( A normed ring restricted to a subring is a normed ring.  (Contributed by
       Mario Carneiro, 4-Oct-2015.) $)
    subrgnrg $p |- ( ( G e. NrmRing /\ A e. ( SubRing ` G ) ) ->
      H e. NrmRing ) $=
      ( cnrg wcel csubrg cfv wa cngp cabv csubg nrgngp subrgsubg subgngp syl2an
      cnm cres wceq eqid adantl subgnm syl nrgabv abvres sylan eqeltrd sylanbrc
      isnrg ) BEFZABGHFZIZCJFZCQHZCKHZFCEFUJBJFABLHFZUMUKBMABNZABCDOPULUNBQHZAR
      ZUOULUPUNUSSUKUPUJUQUAABCUNURDURTZUNTZUBUCUJURBKHZFUKUSUOFVBBURUTVBTZUDVB
      UOABCURVCDUOTZUEUFUGUOCUNVAVDUIUH $.
  $}

  ${
    $d x y A $.  $d x y F $.  $d x y R $.  $d x y T $.
    tngnrg.t $e |- T = ( R toNrmGrp F ) $.
    tngnrg.a $e |- A = ( AbsVal ` R ) $.
    $( Given any absolute value over a ring, augmenting the ring with the
       absolute value produces a normed ring.  (Contributed by Mario Carneiro,
       4-Oct-2015.) $)
    tngnrg $p |- ( F e. A -> T e. NrmRing ) $=
      ( vx vy wcel cngp cfv cabv syl eqid cr wa cv cplusg oveqdr cmulr cnm cnrg
      cgrp cds cbs cmet crg abvrcl ringgrp csg ccom tngds abvmet eqeltrrd wf wb
      abvf tngngp2 mpbir2and wceq tngnm syl2anc eqidd tngplusg tngmulr abvpropd
      reex tngbas syl5eq eleq12d ibi isnrg sylanbrc ) DAIZCJIZCUAKZCLKZIZCUBIVN
      VOBUCIZCUDKZBUEKZUFKZIZVNBUGIVSABDFUHBUIMZVNDBUJKZUKVTWBCBWEDAEWENZULABDW
      EWAWANZFWFUMUNVNWAODUOZVOVSWCPUPAWABDFWGUQZVTCBDWAEWGVTNURMUSVNVRVNDVPAVQ
      VNVSWHDVPUTWDWIOCBDWAEWGVGVAVBVNABLKVQFVNGHWABCVNWAVCWACBDAEWGVHVNGQWAIHQ
      WAIPZGHBRKZCRKWKCBDAEWKNVDSVNWJGHBTKZCTKCWLBDAEWLNVESVFVIVJVKVQCVPVPNVQNV
      LVM $.
  $}

  ${
    $d f w x y A $.  $d f w F $.  $d f w x y N $.  $d f w x y V $.  $d x y X $.
    $d f w x K $.  $d f w x y W $.  $d f w x y .x. $.  $d y Y $.
    isnlm.v $e |- V = ( Base ` W ) $.
    isnlm.n $e |- N = ( norm ` W ) $.
    isnlm.s $e |- .x. = ( .s ` W ) $.
    isnlm.f $e |- F = ( Scalar ` W ) $.
    isnlm.k $e |- K = ( Base ` F ) $.
    isnlm.a $e |- A = ( norm ` F ) $.
    $( A normed (left) module is a module which is also a normed group over a
       normed ring, such that the norm distributes over scalar multiplication.
       (Contributed by Mario Carneiro, 4-Oct-2015.) $)
    isnlm $p |- ( W e. NrmMod <->
      ( ( W e. NrmGrp /\ W e. LMod /\ F e. NrmRing ) /\
    A. x e. K A. y e. V ( N ` ( x .x. y ) ) = ( ( A ` x ) x. ( N ` y ) ) ) ) $=
      ( wcel wa cfv cnm cbs vf vw cngp clmod cin cnrg cv co cmul wceq wral cnlm
      w3a anass df-3an elin anbi1i bitr4i cvsca csca cvv fvexd id fveq2 eqtr4di
      wsbc sylan9eqr eleq1d fveq2d simpl oveqd fveq12d fveq1d oveq12d raleqbidv
      eqeq12d anbi12d sbcied df-nlm elrab2 3bitr4ri ) IUCUDUEZPZEUFPZQZAUGZBUGZ
      DUHZGRZWFCRZWGGRZUIUHZUJZBHUKZAFUKZQWCWDWOQZQIUCPZIUDPZWDUMZWOQIULPWCWDWO
      UNWSWEWOWSWQWRQZWDQWEWQWRWDUOWCWTWDIUCUDUPUQURUQUAUGZUFPZWFWGUBUGZUSRZUHZ
      XCSRZRZWFXASRZRZWGXFRZUIUHZUJZBXCTRZUKZAXATRZUKZQZUAXCUTRZVFWPUBIWBULXCIU
      JZXQWPUAXRVAXSXCUTVBXSXAXRUJZQZXBWDXPWOYAXAEUFXTXSXAXREXTVCXSXRIUTREXCIUT
      VDMVEVGZVHYAXNWNAXOFYAXOETRFYAXAETYBVINVEYAXLWMBXMHYAXMITRHYAXCITXSXTVJZV
      IJVEYAXGWIXKWLYAXEWHXFGYAXFISRGYAXCISYCVIKVEZYAXDDWFWGYAXDIUSRDYAXCIUSYCV
      ILVEVKVLYAXIWJXJWKUIYAWFXHCYAXHESRCYAXAESYBVIOVEVMYAWGXFGYDVMVNVPVOVOVQVR
      ABUBUAVSVTWA $.

    $( Defining property of a normed module.  (Contributed by Mario Carneiro,
       4-Oct-2015.) $)
    nmvs $p |- ( ( W e. NrmMod /\ X e. K /\ Y e. V ) ->
      ( N ` ( X .x. Y ) ) = ( ( A ` X ) x. ( N ` Y ) ) ) $=
      ( wcel co cfv cmul wceq vx vy cnlm cv wral wa cngp clmod cnrg w3a simprbi
      isnlm fvoveq1 fveq2 oveq1d eqeq12d fveq2d oveq2d rspc2v syl5com 3impib
      oveq2 ) GUCPZHDPZIFPZHIBQZERZHARZIERZSQZTZVCUAUDZUBUDZBQERZVLARZVMERZSQZT
      ZUBFUEUADUEZVDVEUFVKVCGUGPGUHPCUIPUJVSUAUBABCDEFGJKLMNOULUKVRVKHVMBQZERZV
      HVPSQZTUAUBHIDFVLHTZVNWAVQWBVLHVMEBUMWCVOVHVPSVLHAUNUOUPVMITZWAVGWBVJWDVT
      VFEVMIHBVBUQWDVPVIVHSVMIEUNURUPUSUTVA $.
  $}

  ${
    $d x y F $.  $d x y W $.
    $( A normed module is a normed group.  (Contributed by Mario Carneiro,
       4-Oct-2015.) $)
    nlmngp $p |- ( W e. NrmMod -> W e. NrmGrp ) $=
      ( vx vy cnlm wcel cngp clmod csca cfv cnrg w3a cv cvsca cnm cmul wceq cbs
      co wral eqid isnlm simplbi simp1d ) ADEZAFEZAGEZAHIZJEZUDUEUFUHKBLZCLZAMI
      ZRANIZIUIUGNIZIUJULIORPCAQIZSBUGQIZSBCUMUKUGUOULUNAUNTULTUKTUGTUOTUMTUAUB
      UC $.

    $( A normed module is a left module.  (Contributed by Mario Carneiro,
       4-Oct-2015.) $)
    nlmlmod $p |- ( W e. NrmMod -> W e. LMod ) $=
      ( vx vy cnlm wcel cngp clmod csca cfv cnrg w3a cv cvsca cnm cmul wceq cbs
      co wral eqid isnlm simplbi simp2d ) ADEZAFEZAGEZAHIZJEZUDUEUFUHKBLZCLZAMI
      ZRANIZIUIUGNIZIUJULIORPCAQIZSBUGQIZSBCUMUKUGUOULUNAUNTULTUKTUGTUOTUMTUAUB
      UC $.

    nlmnrg.1 $e |- F = ( Scalar ` W ) $.
    $( The scalar component of a left module is a normed ring.  (Contributed by
       Mario Carneiro, 4-Oct-2015.) $)
    nlmnrg $p |- ( W e. NrmMod -> F e. NrmRing ) $=
      ( vx vy cnlm wcel cngp clmod cnrg w3a cv cvsca cfv cnm cmul cbs wral eqid
      co wceq isnlm simplbi simp3d ) BFGZBHGZBIGZAJGZUEUFUGUHKDLZELZBMNZTBONZNU
      IAONZNUJULNPTUAEBQNZRDAQNZRDEUMUKAUOULUNBUNSULSUKSCUOSUMSUBUCUD $.

    $( The scalar component of a left module is a normed group.  (Contributed
       by Mario Carneiro, 4-Oct-2015.) $)
    nlmngp2 $p |- ( W e. NrmMod -> F e. NrmGrp ) $=
      ( cnlm wcel cnrg cngp nlmnrg nrgngp syl ) BDEAFEAGEABCHAIJ $.
  $}

  ${
    nlmdsdi.v $e |- V = ( Base ` W ) $.
    nlmdsdi.s $e |- .x. = ( .s ` W ) $.
    nlmdsdi.f $e |- F = ( Scalar ` W ) $.
    nlmdsdi.k $e |- K = ( Base ` F ) $.
    nlmdsdi.d $e |- D = ( dist ` W ) $.
    ${
      nlmdsdi.a $e |- A = ( norm ` F ) $.
      $( Distribute a distance calculation.  (Contributed by Mario Carneiro,
         6-Oct-2015.) $)
      nlmdsdi $p |- ( ( W e. NrmMod /\ ( X e. K /\ Y e. V /\ Z e. V ) ) ->
        ( ( A ` X ) x. ( Y D Z ) ) = ( ( X .x. Y ) D ( X .x. Z ) ) ) $=
        ( wcel cfv co syl3anc cnlm w3a csg cnm cmul wceq simpl simpr1 cgrp cngp
        nlmngp adantr ngpgrp syl simpr2 simpr3 eqid grpsubcl nmvs clmod nlmlmod
        wa lmodsubdi fveq2d eqtr3d ngpds oveq2d lmodvscl 3eqtr4d ) GUAQZHEQZIFQ
        ZJFQZUBZVBZHARZIJGUCRZSZGUDRZRZUESZHICSZHJCSZVQSZVSRZVPIJBSZUESWBWCBSZV
        OHVRCSZVSRZWAWEVOVJVKVRFQZWIWAUFVJVNUGVJVKVLVMUHZVOGUIQZVLVMWJVOGUJQZWL
        VJWMVNGUKULZGUMUNVJVKVLVMUOZVJVKVLVMUPZFGVQIJKVQUQZURTACDEVSFGHVRKVSUQZ
        LMNPUSTVOWHWDVSVOHCDEVQFGIJKLMNWQVJGUTQZVNGVAULZWKWOWPVCVDVEVOWFVTVPUEV
        OWMVLVMWFVTUFWNWOWPIJBGVQVSFWRKWQOVFTVGVOWMWBFQZWCFQZWGWEUFWNVOWSVKVLXA
        WTWKWOHCDEFGIKMLNVHTVOWSVKVMXBWTWKWPHCDEFGJKMLNVHTWBWCBGVQVSFWRKWQOVFTV
        I $.
    $}

    nlmdsdir.n $e |- N = ( norm ` W ) $.
    nlmdsdir.e $e |- E = ( dist ` F ) $.
    $( Distribute a distance calculation.  (Contributed by Mario Carneiro,
       6-Oct-2015.) $)
    nlmdsdir $p |- ( ( W e. NrmMod /\ ( X e. K /\ Y e. K /\ Z e. V ) ) ->
      ( ( X E Y ) x. ( N ` Z ) ) = ( ( X .x. Z ) D ( Y .x. Z ) ) ) $=
      ( wcel co cnlm w3a wa csg cfv cnm cmul wceq simpl cgrp cngp adantr ngpgrp
      nlmngp2 syl simpr1 simpr2 eqid grpsubcl syl3anc simpr3 nmvs clmod nlmlmod
      lmodsubdir fveq2d eqtr3d ngpds oveq1d nlmngp lmodvscl 3eqtr4d ) HUASZIESZ
      JESZKGSZUBZUCZIJDUDUEZTZDUFUEZUEZKFUEZUGTZIKBTZJKBTZHUDUEZTZFUEZIJCTZWCUG
      TWEWFATZVRVTKBTZFUEZWDWIVRVMVTESZVPWMWDUHVMVQUIVRDUJSZVNVOWNVRDUKSZWOVMWP
      VQDHNUNULZDUMUOVMVNVOVPUPZVMVNVOVPUQZEDVSIJOVSURZUSUTVMVNVOVPVAZWABDEFGHV
      TKLQMNOWAURZVBUTVRWLWHFVRIJVSBDEWGGHKLMNOWGURZWTVMHVCSZVQHVDULZWRWSXAVEVF
      VGVRWJWBWCUGVRWPVNVOWJWBUHWQWRWSIJCDVSWAEXBOWTRVHUTVIVRHUKSZWEGSZWFGSZWKW
      IUHVMXFVQHVJULVRXDVNVPXGXEWRXAIBDEGHKLNMOVKUTVRXDVOVPXHXEWSXAJBDEGHKLNMOV
      KUTWEWFAHWGFGQLXCPVHUTVL $.
  $}

  ${
    nlmmul0or.v $e |- V = ( Base ` W ) $.
    nlmmul0or.s $e |- .x. = ( .s ` W ) $.
    nlmmul0or.z $e |- .0. = ( 0g ` W ) $.
    nlmmul0or.f $e |- F = ( Scalar ` W ) $.
    nlmmul0or.k $e |- K = ( Base ` F ) $.
    nlmmul0or.o $e |- O = ( 0g ` F ) $.
    $( If a scalar product is zero, one of its factors must be zero.
       (Contributed by NM, 6-Dec-2007.)  (Revised by Mario Carneiro,
       4-Oct-2015.) $)
    nlmmul0or $p |- ( ( W e. NrmMod /\ A e. K /\ B e. V ) ->
                    ( ( A .x. B ) = .0. <-> ( A = O \/ B = .0. ) ) ) $=
      ( wcel cfv cc0 wceq syl2anc cnlm w3a cnm cmul co wo cngp nlmngp2 3ad2ant1
      cr simp2 eqid nmcl recnd nlmngp simp3 mul0ord nmvs clmod nlmlmod lmodvscl
      eqeq1d wb syl3an1 nmeq0 bitr3d orbi12d 3bitr3d ) HUAPZAEPZBGPZUBZADUCQZQZ
      BHUCQZQZUDUEZRSZVNRSZVPRSZUFABCUEZISZAFSZBISZUFVLVNVPVLVNVLDUGPZVJVNUJPVI
      VJWEVKDHMUHUIZVIVJVKUKZADVMENVMULZUMTUNVLVPVLHUGPZVKVPUJPVIVJWIVKHUOUIZVI
      VJVKUPZBHVOGJVOULZUMTUNUQVLWAVOQZRSZVRWBVLWMVQRVMCDEVOGHABJWLKMNWHURVBVLW
      IWAGPZWNWBVCWJVIHUSPVJVKWOHUTACDEGHBJMKNVAVDWAHVOGIJWLLVETVFVLVSWCVTWDVLW
      EVJVSWCVCWFWGADVMEFNWHOVETVLWIVKVTWDVCWJWKBHVOGIJWLLVETVGVH $.
  $}

  ${
    $d x y A $.  $d x y S $.  $d x y W $.
    sranlm.a $e |- A = ( ( subringAlg ` W ) ` S ) $.
    $( The subring algebra over a normed ring is a normed left module.
       (Contributed by Mario Carneiro, 4-Oct-2015.) $)
    sranlm $p |- ( ( W e. NrmRing /\ S e. ( SubRing ` W ) ) ->
      A e. NrmMod ) $=
      ( vx vy cnrg wcel cfv wa cngp cnm cmul wceq cbs adantr eqid adantl eqtr3d
      co csubrg clmod csca w3a cv cvsca wral cnlm nrgngp eqidd csra a1i subrgss
      wss srabase cplusg sraaddg cds cxp srads reseq1d sratopn ngppropd sralmod
      oveqdr mpbid cress srasca subrgnrg eqeltrrd 3jca cmulr cabv nrgabv simprl
      ad2antrr subrgbas fveq2d eqtrd sseldd simprr abvmul syl3anc nmpropd csubg
      eleqtrrd sravsca fveq12d subrgsubg ad2antlr subgnm2 syl2anc oveq12d isnlm
      fveq1d ralrimivva sylanbrc ) CGHZBCUAIHZJZAKHZAUBHZAUCIZGHZUDEUEZFUEZAUFI
      ZTZALIZIZXEXCLIZIZXFXIIZMTZNZFAOIZUGEXCOIZUGAUHHWTXAXBXDWTCKHZXAWRXRWSCUI
      PWTEFCOIZCAWTXSUJWTABCABCUKIINWTDULZWSBXSUNZWRBXSCXSQZUMRZUOZWTXEXSHZXFXS
      HZJEFCUPIAUPIWTABCXTYCUQZVEWTCURIAURIXSXSUSWTABCXTYCUTZVAWTABCXTYCVBVCVFW
      SXBWRABCDVDRWTCBVGTZXCGWTABCXTYCVHZBCYIYIQZVIVJVKWTXOEFXQXPWTXEXQHZXFXPHZ
      JZJZXECLIZIZXFYPIZMTZXJXNYOXEXFCVLIZTZYPIZYSXJYOYPCVMIZHZYEYFUUBYSNWRUUDW
      SYNUUCCYPYPQZUUCQZVNVPYOBXSXEWTYAYNYCPYOXEXQBWTYLYMVOWTBXQNYNWTBYIOIZXQWS
      BUUGNWRBCYIYKVQRWTYIXCOYJVRVSPWFZVTYOXFXPXSWTYLYMWAWTXSXPNYNYDPWFUUCXSCYT
      YPXEXFUUFYBYTQWBWCYOUUAXHYPXIWTYPXINYNWTCAYDYGYHWDPZWTYNEFYTXGWTABCXTYCWG
      VEWHSYOYQXLYRXMMYOXEYILIZIZYQXLYOBCWEIHZXEBHUUKYQNWSUULWRYNBCWIWJUUHBCYIU
      UJYPXEYKUUEUUJQWKWLYOXEUUJXKYOYIXCLWTYIXCNYNYJPVRWOSYOXFYPXIUUIWOWMSWPEFX
      KXGXCXQXIXPAXPQXIQXGQXCQXQQXKQWNWQ $.
  $}

  ${
    $d r B $.  $d r D $.  $d r E $.  $d x y ph $.  $d r x y T $.  $d r x y U $.
    $d r s w x y z F $.  $d r y K $.  $d r R $.  $d r V $.  $d r s w x y z W $.
    $d r s w x y z .x. $.  $d r X $.
    nlmvscn.f $e |- F = ( Scalar ` W ) $.
    ${
      nlmvscn.v $e |- V = ( Base ` W ) $.
      nlmvscn.k $e |- K = ( Base ` F ) $.
      nlmvscn.d $e |- D = ( dist ` W ) $.
      nlmvscn.e $e |- E = ( dist ` F ) $.
      nlmvscn.n $e |- N = ( norm ` W ) $.
      nlmvscn.a $e |- A = ( norm ` F ) $.
      nlmvscn.s $e |- .x. = ( .s ` W ) $.
      nlmvscn.t $e |- T = ( ( R / 2 ) / ( ( A ` B ) + 1 ) ) $.
      nlmvscn.u $e |- U = ( ( R / 2 ) / ( ( N ` X ) + T ) ) $.
      nlmvscn.w $e |- ( ph -> W e. NrmMod ) $.
      nlmvscn.r $e |- ( ph -> R e. RR+ ) $.
      nlmvscn.b $e |- ( ph -> B e. K ) $.
      nlmvscn.x $e |- ( ph -> X e. V ) $.
      ${
        nlmvscn.c $e |- ( ph -> C e. K ) $.
        nlmvscn.y $e |- ( ph -> Y e. V ) $.
        nlmvscn.1 $e |- ( ph -> ( B E C ) < U ) $.
        nlmvscn.2 $e |- ( ph -> ( X D Y ) < T ) $.
        $( Lemma for ~ nlmvscn .  Compare this proof with the similar
           elementary proof ~ mulcn2 for continuity of multiplication on
           ` CC ` .  (Contributed by Mario Carneiro, 5-Oct-2015.) $)
        nlmvscnlem2 $p |- ( ph -> ( ( B .x. X ) D ( C .x. Y ) ) < R ) $=
          ( co caddc cms wcel cngp cnlm nlmngp syl ngpms clmod nlmlmod lmodvscl
          cr syl3anc mscl readdcld rpred cle wbr mstri syl13anc c1 cmul c2 cdiv
          cfv nlmngp2 nmcl syl2anc cc0 ge0p1rpd remulcld rehalfcld wceq nlmdsdi
          nmge0 cxms msxms xmsge0 lep1d lemul1ad eqbrtrrd clt ltmuldiv2d mpbird
          breqtrdi lelttrd crp rphalfcld rpdivcld eqeltrid nlmdsdir cmin nm2dif
          resubcld csg ngpdsr breqtrrd ltled letrd lesubadd2d mpbid lemul2ad wb
          eqid 0red ltaddrpd ltmuldiv syl112anc lt2halvesd ) ACPHUPZDQHUPZEUPZY
          FCQHUPZEUPZYIYGEUPZUQUPZFAOURUSZYFNUSZYGNUSZYHVHUSAOUTUSZYMAOVAUSZYPU
          HOVBVCZOVDVCZAOVEUSZCLUSZPNUSZYNAYQYTUHOVFVCZUJUKCHKLNOPSRUETVGVIZAYT
          DLUSZQNUSZYOUUCULUMDHKLNOQSRUETVGVIZYFYGEONSUAVJVIAYJYKAYMYNYINUSZYJV
          HUSYSUUDAYTUUAUUFUUHUUCUJUMCHKLNOQSRUETVGVIZYFYIEONSUAVJVIZAYMUUHYOYK
          VHUSYSUUIUUGYIYGEONSUAVJVIZVKAFUIVLZAYMYNYOUUHYHYLVMVNYSUUDUUGUUIYFYG
          YIEONSUAVOVPAYJYKFUUJUUKUULAYJCBWAZVQUQUPZPQEUPZVRUPZFVSVTUPZUUJAUUNU
          UOAUUNAUUMAKUTUSZUUAUUMVHUSAYQUURUHKORWBVCZUJCKBLTUDWCWDZAUURUUAWEUUM
          VMVNUUSUJCKBLTUDWKWDWFZVLZAYMUUBUUFUUOVHUSYSUKUMPQEONSUAVJVIZWGAFUULW
          HZAUUMUUOVRUPZYJUUPVMAYQUUAUUBUUFUVEYJWIUHUJUKUMBEHKLNOCPQSUERTUAUDWJ
          VPAUUMUUNUUOUUTUVBUVCAOWLUSZUUBUUFWEUUOVMVNAYMUVFYSOWMVCUKUMPQEONSUAW
          NVIAUUMUUTWOWPWQAUUPUUQWRVNUUOUUQUUNVTUPZWRVNAUUOGUVGWRUOUFXAAUUOUUQU
          UNUVCUVDUVAWSWTXBAYKCDJUPZPMWAZGUQUPZVRUPZUUQUUKAUVHUVJAKURUSZUUAUUEU
          VHVHUSZAUURUVLUUSKVDVCZUJULCDJKLTUBVJVIZAUVIGAYPUUBUVIVHUSYRUKPOMNSUC
          WCWDZAGAGUVGXCUFAUUQUUNAFUIXDUVAXEXFZVLZVKZWGUVDAUVHQMWAZVRUPZYKUVKVM
          AYQUUAUUEUUFUWAYKWIUHUJULUMEHJKLMNOCDQSUERTUAUCUBXGVPAUVTUVJUVHAYPUUF
          UVTVHUSYRUMQOMNSUCWCWDZUVSUVOAKWLUSZUUAUUEWEUVHVMVNAUVLUWCUVNKWMVCUJU
          LCDJKLTUBWNVIAUVTUVIXHUPZGVMVNUVTUVJVMVNAUWDUUOGAUVTUVIUWBUVPXJUVCUVR
          AUWDQPOXKWAZUPMWAZUUOVMAYPUUFUUBUWDUWFVMVNYRUMUKQPOUWEMNSUCUWEXTZXIVI
          AYPUUBUUFUUOUWFWIYRUKUMPQEOUWEMNUCSUWGUAXLVIXMAUUOGUVCUVRUOXNXOAUVTUV
          IGUWBUVPUVRXPXQXRWQAUVKUUQWRVNZUVHUUQUVJVTUPZWRVNZAUVHIUWIWRUNUGXAAUV
          MUUQVHUSUVJVHUSWEUVJWRVNUWHUWJXSUVOUVDUVSAWEUVIUVJAYAUVPUVSAYPUUBWEUV
          IVMVNYRUKPOMNSUCWKWDAUVIGUVPUVQYBXBUVHUUQUVJYCYDWTXBYEXB $.
      $}

      $( Lemma for ~ nlmvscn .  (Contributed by Mario Carneiro, 5-Oct-2015.) $)
      nlmvscnlem1 $p |- ( ph ->
        E. r e. RR+ A. x e. K A. y e. V ( ( ( B E x ) < r /\ ( X D y ) < r ) ->
          ( ( B .x. X ) D ( x .x. y ) ) < R ) ) $=
        ( cle wbr cif crp wcel cv co clt wa wi wral wrex c2 cfv caddc rphalfcld
        cdiv c1 cngp cr cnlm nlmngp2 syl syl2anc cc0 ge0p1rpd rpdivcld eqeltrid
        nmge0 nlmngp rpred readdcld ltaddrpd lelttrd elrpd ifcld adantr simprll
        nmcl 0red simprlr cms ngpms syl3anc simprrl ltletrd simprrr nlmvscnlem2
        mscl min2 min1 expr ralrimivva breq2 anbi12d imbi1d 2ralbidv rspcev
        wceq ) AHJUMUNZHJUOZUPUQZEBURZKUSZXMUTUNZQCURZFUSZXMUTUNZVAZEQIUSXOXRIU
        SFUSGUTUNZVBZCOVCBMVCZXPRURZUTUNZXSYEUTUNZVAZYBVBZCOVCBMVCZRUPVDAXLHJUP
        AHGVEVIUSZEDVFZVJVGUSZVIUSUPUGAYKYMAGUJVHZAYLALVKUQZEMUQZYLVLUQAPVMUQZY
        OUILPSVNVOZUKELDMUAUEWKVPAYOYPVQYLUMUNYRUKELDMUAUEWAVPVRVSVTZAJYKQNVFZH
        VGUSZVIUSUPUHAYKUUAYNAUUAAYTHAPVKUQZQOUQZYTVLUQAYQUUBUIPWBVOZULQPNOTUDW
        KVPZAHYSWCZWDZAVQYTUUAAWLUUEUUGAUUBUUCVQYTUMUNUUDULQPNOTUDWAVPAYTHUUEYS
        WEWFWGVSVTZWHZAYCBCMOAXOMUQZXROUQZVAZYAYBAUULYAVAZVAZDEXOFGHIJKLMNOPQXR
        STUAUBUCUDUEUFUGUHAYQUUMUIWIAGUPUQUUMUJWIAYPUUMUKWIZAUUCUUMULWIZAUUJUUK
        YAWJZAUUJUUKYAWMZUUNXPXMJUUNLWNUQZYPUUJXPVLUQUUNYOUUSAYOUUMYRWILWOVOUUO
        UUQEXOKLMUAUCXAWPUUNXMAXNUUMUUIWIWCZAJVLUQZUUMAJUUHWCWIZAUULXQXTWQUUNHV
        LUQZUVAXMJUMUNAUVCUUMUUFWIZUVBHJXBVPWRUUNXSXMHUUNPWNUQZUUCUUKXSVLUQAUVE
        UUMAUUBUVEUUDPWOVOWIUUPUURQXRFPOTUBXAWPUUTUVDAUULXQXTWSUUNUVCUVAXMHUMUN
        UVDUVBHJXCVPWRWTXDXEYJYDRXMUPYEXMXKZYIYCBCMOUVFYHYAYBUVFYFXQYGXTYEXMXPU
        TXFYEXMXSUTXFXGXHXIXJVP $.
    $}

    nlmvscn.sf $e |- .x. = ( .sf ` W ) $.
    nlmvscn.j $e |- J = ( TopOpen ` W ) $.
    nlmvscn.kf $e |- K = ( TopOpen ` F ) $.
    $( The scalar multiplication of a normed module is continuous.  Lemma for
       ~ nrgtrg and ~ nlmtlm .  (Contributed by Mario Carneiro, 4-Oct-2015.) $)
    nlmvscn $p |- ( W e. NrmMod -> .x. e. ( ( K tX J ) Cn J ) ) $=
      ( vz vs vw wcel cfv co clt wa wral crp eqid vx vy cnlm cds cbs cres cmopn
      vr cxp ctx ccn wf cv wbr wi wrex clmod nlmlmod lmodscaf syl cvsca c2 cdiv
      c1 caddc simpll simpr simplrl simplrr nlmvscnlem1 ralrimiva simprl ovresd
      cnm breq1d simprr anbi12d wceq scafval ad2antlr oveq12d ad2antrr lmodvscl
      adantl syl3anc eqtrd imbi12d 2ralbidva rexbidv mpbird ralrimivva cxmet wb
      ralbidv cms cxms cngp nlmngp2 ngpms xmsxmet 3syl nlmngp txmetcn mpbir2and
      msxms mstopn eleqtrrd ) EUCMZABUDNZBUENZXJUIUFZUGNZEUDNZEUENZXNUIUFZUGNZU
      JOZXPUKOZDCUJOZCUKOXHAXRMZXJXNUIXNAULZUAUMZJUMZXKOZKUMZPUNZUBUMZLUMZXOOZY
      EPUNZQZYBYGAOZYCYHAOZXOOZUHUMZPUNZUOZLXNRJXJRZKSUPZUHSRZUBXNRUAXJRZXHEUQM
      ZYAEURZXNABXJEXNTZFXJTZGUSUTXHYTUAUBXJXNXHYBXJMZYGXNMZQZQZYTYBYCXIOZYEPUN
      ZYGYHXMOZYEPUNZQZYBYGEVANZOZYCYHUUOOZXMOZYOPUNZUOZLXNRJXJRZKSUPZUHSRUUIUV
      BUHSUUIYOSMZQJLBVNNZYBXMYOYOVBVCOZYBUVDNVDVEOVCOZUUOUVEYGEVNNZNUVFVEOVCOZ
      XIBXJUVGXNEYGKFUUDUUEXMTXITUVGTUVDTUUOTZUVFTUVHTXHUUHUVCVFUUIUVCVGXHUUFUU
      GUVCVHXHUUFUUGUVCVIVJVKUUIYSUVBUHSUUIYRUVAKSUUIYQUUTJLXJXNUUIYCXJMZYHXNMZ
      QZQZYKUUNYPUUSUVMYFUUKYJUUMUVMYDUUJYEPUVMYBYCXIXJXHUUFUUGUVLVHZUUIUVJUVKV
      LZVMVOUVMYIUULYEPUVMYGYHXMXNXHUUFUUGUVLVIZUUIUVJUVKVPZVMVOVQUVMYNUURYOPUV
      MYNUUPUUQXOOUURUVMYLUUPYMUUQXOUUHYLUUPVRXHUVLXNAUUOBXJEYBYGUUDFUUEGUVIVSV
      TUVLYMUUQVRUUIXNAUUOBXJEYCYHUUDFUUEGUVIVSWDWAUVMUUPUUQXMXNUVMUUBUUFUUGUUP
      XNMXHUUBUUHUVLUUCWBZUVNUVPYBUUOBXJXNEYGUUDFUVIUUEWCWEUVMUUBUVJUVKUUQXNMUV
      RUVOUVQYCUUOBXJXNEYHUUDFUVIUUEWCWEVMWFVOWGWHWIWNWJWKXHXKXJWLNMZXOXNWLNMZU
      VTXTYAUUAQWMXHBWOMZBWPMUVSXHBWQMUWABEFWRBWSUTZBXEXKBXJUUEXKTZWTXAXHEWOMZE
      WPMUVTXHEWQMUWDEXBEWSUTZEXEXOEXNUUDXOTZWTXAZUWGUAUBUHKLJXKXOXOAXLXPXPXJXN
      XNXLTXPTZUWHXCWEXDXHXSXQCXPUKXHDXLCXPUJXHUWADXLVRUWBXKDBXJIUUEUWCXFUTXHUW
      DCXPVRUWEXOCEXNHUUDUWFXFUTZWAUWIWAXG $.
  $}

  $( The ring module over a normed ring is a normed module.  (Contributed by
     Mario Carneiro, 4-Oct-2015.) $)
  rlmnlm $p |- ( R e. NrmRing -> ( ringLMod ` R ) e. NrmMod ) $=
    ( cnrg wcel cbs cfv csubrg crglmod cnlm crg nrgring eqid subrgid syl rlmval
    sranlm mpdan ) ABCZADEZAFECZAGEZHCQAICSAJRARKLMTRAANOP $.

  $( The norm function in the ring module.  (Contributed by AV, 9-Oct-2021.) $)
  rlmnm $p |- ( norm ` R ) = ( norm ` ( ringLMod ` R ) ) $=
    ( cbs cfv crglmod cnm rlmbas id cplusg rlmplusg a1i cds rlmds nmpropd ax-mp
    wceq ) ABCADCZBCOZAECPECOAFQAPQGAHCPHCOQAIJAKCPKCOQALJMN $.

  $( A normed ring is a topological ring.  (Contributed by Mario Carneiro,
     4-Oct-2015.)  (Proof shortened by AV, 31-Oct-2024.) $)
  nrgtrg $p |- ( R e. NrmRing -> R e. TopRing ) $=
    ( cnrg wcel ctgp crg cfv ctps ctopn eqid syl cbs istps wceq wtru cnx strfvi
    co a1i cts syl3anbrc cmgp ctmd nrgtgp nrgring cplusf ctx ccn ringmgp ctopon
    ctrg cmnd tgptps sylib mgpbas mgptopn sylibr crglmod rlmnlm rlmsca2 rlmscaf
    cnlm cid rlmtopn baseid tsetid topnpropd mptru nlmvscn istmd istrg ) ABCZAD
    CZAECZAUAFZUBCZAUJCAUCZAUDZVKVNUKCZVNGCZVNUEFZAHFZWAUFQWAUGQCZVOVKVMVRVQAVN
    VNIZUHJVKWAAKFZUIFCZVSVKAGCZWEVKVLWFVPAULJWDWAAWDIZWAIZLUMWDWAVNWDAVNWCWGUN
    AWAVNWCWHUOZLUPVKAUQFZVACWBAURVTAVBFZWAWAWJAUSAUTAVCWAWKHFMNAWKWDWKKFMNAKOK
    FWDVDWGPRASFZWKSFMNASOSFWLVEWLIPRVFVGVHJVTVNWAVTIWIVITAVNWCVJT $.

  ${
    $d r s x y I $.  $d y ph $.  $d r s x y R $.  $d x y T $.  $d r s x y U $.
    $d x A $.  $d x B $.  $d x D $.
    nrginvrcn.x $e |- X = ( Base ` R ) $.
    nrginvrcn.u $e |- U = ( Unit ` R ) $.
    nrginvrcn.i $e |- I = ( invr ` R ) $.
    ${
      nrginvrcn.n $e |- N = ( norm ` R ) $.
      nrginvrcn.d $e |- D = ( dist ` R ) $.
      nrginvrcn.r $e |- ( ph -> R e. NrmRing ) $.
      nrginvrcn.z $e |- ( ph -> R e. NzRing ) $.
      nrginvrcn.a $e |- ( ph -> A e. U ) $.
      nrginvrcn.b $e |- ( ph -> B e. RR+ ) $.
      nrginvrcn.t $e |- T = ( if ( 1 <_ ( ( N ` A ) x. B ) ,
        1 , ( ( N ` A ) x. B ) ) x. ( ( N ` A ) / 2 ) ) $.
      $( Lemma for ~ nrginvrcn .  Compare this proof with ~ reccn2 , the
         elementary proof of continuity of division.  (Contributed by Mario
         Carneiro, 6-Oct-2015.) $)
      nrginvrcnlem $p |- ( ph -> E. x e. RR+ A. y e. U
        ( ( A D y ) < x -> ( ( I ` A ) D ( I ` y ) ) < B ) ) $=
        ( crp wcel cv co clt wbr cfv wi wral wrex c1 cmul cle cif cdiv 1rp cngp
        c0g wne cnrg nrgngp syl unitss sselid cnzr eqid nzrunit syl2anc syl3anc
        c2 nmrpcl rpmulcld ifcl sylancr rphalfcld eqeltrid wa csg wceq cmulr cr
        cur adantr unitcl nmcl recnd simprl cgrp crg nrgring ringinvcl grpsubcl
        ngpgrp mul32d nmmul unitrinv oveq1d eqtrd fveq2d eqtr3d ringidcl ringcl
        ringsubdi rngsubdir ringlidm ringass syl13anc unitlinv ringridm oveq12d
        oveq2d 3eqtrd rpred rpne0d divmuld mpbird ngpdsr ngpds 3eqtr4rd eqeltrd
        remulcld simprr 1re min2 lemul1d mpbid eqbrtrid caddc 2halvesd resubcld
        cmin nm2dif breqtrrd min1 1red mulid2d lelttrd eqbrtrd breqtrd ltmul2dd
        ltletrd ltsubadd2d ltadd1d lttrd ltdivmuld ralrimiva breq2 rspceaimv
        expr ) AHUCUDZDCUEZFUFZHUGUHZDJUIZUUMJUIZFUFZEUGUHZUJZCIUKUUNBUEZUGUHZU
        USUJCIUKBUCULAHUMDKUIZEUNUFZUOUHZUMUVDUPZUVCVLUQUFZUNUFZUCUBAUVFUVGAUMU
        CUDUVDUCUDZUVFUCUDZURAUVCEAGUSUDZDLUDZDGUTUIZVAZUVCUCUDZAGVBUDZUVKRGVCV
        DZAILDLGIMNVEZTVFAGVGUDZDIUDZUVNSTDGIUVMNUVMVHZVIVJDGKLUVMMPUWAVMVKZUAV
        NZUVEUMUVDUCVOVPZAUVCUWBVQVNVRZAUUTCIAUUMIUDZUUOUUSAUWFUUOVSZVSZUURUUNU
        VCUUMKUIZUNUFZUQUFZEUGUWHUUMDGVTUIZUFZKUIZUWJUQUFZUUPUUQUWLUFZKUIZUWKUU
        RUWHUWOUWQWAUWJUWQUNUFZUWNWAUWHUWRUVCUWQUNUFZUWIUNUFGWDUIZDUUQGWBUIZUFZ
        UWLUFZKUIZUWIUNUFZUWNUWHUVCUWIUWQUWHUVCUWHUVKUVLUVCWCUDAUVKUWGUVQWEZUWH
        UVTUVLAUVTUWGTWEZLGIDMNWFVDZDGKLMPWGVJZWHZUWHUWIUWHUVKUUMLUDZUWIWCUDUXF
        UWHILUUMUVRAUWFUUOWIZVFZUUMGKLMPWGVJZWHZUWHUWQUWHUVKUWPLUDZUWQWCUDUXFUW
        HGWJUDZUUPLUDZUUQLUDZUXPUWHUVKUXQUXFGWOVDZUWHGWKUDZUVTUXRAUYAUWGAUVPUYA
        RGWLVDWEZUXGLGIJDNOMWMVJZUWHUYAUWFUXSUYBUXLLGIJUUMNOMWMVJZLGUWLUUPUUQMU
        WLVHZWNVKZUWPGKLMPWGVJWHZWPUWHUWSUXDUWIUNUWHDUWPUXAUFZKUIZUWSUXDUWHUVPU
        VLUXPUYIUWSWAAUVPUWGRWEZUXHUYFDUWPGUXAKLMPUXAVHZWQVKUWHUYHUXCKUWHUYHDUU
        PUXAUFZUXBUWLUFUXCUWHLGUXAUWLDUUPUUQMUYKUYEUYBUXHUYCUYDXEUWHUYLUWTUXBUW
        LUWHUYAUVTUYLUWTWAUYBUXGGUXAIUWTJDNOUYKUWTVHZWRVJWSWTXAXBWSUWHUXCUUMUXA
        UFZKUIZUXEUWNUWHUVPUXCLUDZUXKUYOUXEWAUYJUWHUXQUWTLUDZUXBLUDZUYPUXTUWHUY
        AUYQUYBLGUWTMUYMXCVDZUWHUYAUVLUXSUYRUYBUXHUYDLGUXADUUQMUYKXDVKZLGUWLUWT
        UXBMUYEWNVKUXMUXCUUMGUXAKLMPUYKWQVKUWHUYNUWMKUWHUYNUWTUUMUXAUFZUXBUUMUX
        AUFZUWLUFUWMUWHLGUXAUWLUWTUXBUUMMUYKUYEUYBUYSUYTUXMXFUWHVUAUUMVUBDUWLUW
        HUYAUXKVUAUUMWAUYBUXMLGUXAUWTUUMMUYKUYMXGVJUWHVUBDUUQUUMUXAUFZUXAUFZDUW
        TUXAUFZDUWHUYAUVLUXSUXKVUBVUDWAUYBUXHUYDUXMLGUXADUUQUUMMUYKXHXIUWHVUCUW
        TDUXAUWHUYAUWFVUCUWTWAUYBUXLGUXAIUWTJUUMNOUYKUYMXJVJXMUWHUYAUVLVUEDWAUY
        BUXHLGUXAUWTDMUYKUYMXKVJXNXLWTXAXBXNUWHUWNUWJUWQUWHUWNUWHUVKUWMLUDZUWNW
        CUDUXFUWHUXQUXKUVLVUFUXTUXMUXHLGUWLUUMDMUYEWNVKUWMGKLMPWGVJZWHUWHUWJUWH
        UWJUWHUVCUWIAUVOUWGUWBWEZUWHUVKUXKUUMUVMVAZUWIUCUDUXFUXMUWHUVSUWFVUIAUV
        SUWGSWEUXLUUMGIUVMNUWAVIVJUUMGKLUVMMPUWAVMVKVNZXOZWHUYGUWHUWJVUJXPXQXRU
        WHUUNUWNUWJUQUWHUVKUVLUXKUUNUWNWAUXFUXHUXMDUUMFGUWLKLPMUYEQXSVKZWSUWHUV
        KUXRUXSUURUWQWAUXFUYCUYDUUPUUQFGUWLKLPMUYEQXTVKYAUWHUWKEUGUHUUNUWJEUNUF
        ZUGUHUWHUUNHVUMUWHUUNUWNWCVULVUGYBZUWHHAUULUWGUWEWEXOZUWHUWJEVUKUWHEAEU
        CUDUWGUAWEXOZYCZAUWFUUOYDZUWHHUVDUVGUNUFZVUMVUOUWHVUSUWHUVDUVGAUVIUWGUW
        CWEZUWHUVCVUHVQZVNXOVUQUWHHUVHVUSUOUBUWHUVFUVDUOUHZUVHVUSUOUHUWHUMWCUDZ
        UVDWCUDZVVBYEUWHUVDVUTXOZUMUVDYFVPUWHUVFUVDUVGUWHUVFAUVJUWGUWDWEXOZVVEV
        VAYGYHYIUWHVUSUVDUWIUNUFVUMUGUWHUVGUWIUVDUWHUVGVVAXOZUXNVUTUWHUVGUWIUGU
        HUVGUVGYJUFZUWIUVGYJUFZUGUHUWHVVHUVCVVIUGUWHUVCUXJYKUWHUVCUWIYMUFZUVGUG
        UHUVCVVIUGUHUWHVVJUUNUVGUWHUVCUWIUXIUXNYLVUNVVGUWHVVJDUUMUWLUFKUIZUUNUO
        UWHUVKUVLUXKVVJVVKUOUHUXFUXHUXMDUUMGUWLKLMPUYEYNVKUWHUVKUVLUXKUUNVVKWAU
        XFUXHUXMDUUMFGUWLKLPMUYEQXTVKYOUWHUUNHUVGVUNVUOVVGVURUWHHUMUVGUNUFZUVGU
        OUWHHUVHVVLUOUBUWHUVFUMUOUHZUVHVVLUOUHUWHVVCVVDVVMYEVVEUMUVDYPVPUWHUVFU
        MUVGVVFUWHYQVVAYGYHYIUWHUVGUWHUVGVVGWHYRUUAUUCYSUWHUVCUWIUVGUXIUXNVVGUU
        DYHYTUWHUVGUWIUVGVVGUXNVVGUUEXRUUBUWHUVCUWIEUXJUXOUWHEVUPWHWPYOYSUUFUWH
        UUNEUWJVUNVUPVUJUUGXRYTUUKUUHUVBUUOUUSBCHUCIUVAHUUNUGUUIUUJVJ $.
    $}

    nrginvrcn.j $e |- J = ( TopOpen ` R ) $.
    $( The ring inverse function is continuous in a normed ring.  (Note that
       this is true even in rings which are not division rings.)  (Contributed
       by Mario Carneiro, 6-Oct-2015.) $)
    nrginvrcn $p |- ( R e. NrmRing -> I e. ( ( J |`t U ) Cn ( J |`t U ) ) ) $=
      ( vy vs wcel cfv co clt wbr crp eqid wa wceq vx vr cnrg cds cxp cmopn ccn
      cres crest wf cv wral wrex crg cmgp cress cgrp nrgring unitgrp unitgrpbas
      wi invrfval grpinvf 3syl cur c0g c0 wne 1rp ne0ii ad2antrr unitss simplrl
      c1 sselid simpr ring1eq0 syl3anc cc0 cxms wb cngp cms nrgngp ngpms adantr
      msxms xmseq0 mpbiri simplrr rpgt0d eqbrtrd fveq2 oveq1d breq1d syl5ibrcom
      ffvelrnda syld imp an32s a1d ralrimiva ralrimivw sylancr cnm cmul cle cif
      r19.2z c2 cdiv simpll isnzr sylanbrc nrginvrcnlem pm2.61dane ovresd simpl
      cnzr ffvelrn syl2an imbi12d ralbidva rexbidv mpbird ralrimivva wss xpss12
      cxmet mp2an resabs1 ax-mp xmsxmet 4syl xmetres2 sylancl eqeltrrid syl2anc
      metcn mpbir2and mstopn eqcomi metrest eqtrd oveq12d eleqtrrd ) AUCLZCAUDM
      ZBBUEZUHZUFMZUUKUGNZDBUINZUUMUGNUUGCUULLZBBCUJZUAUKZJUKZUUJNZKUKZOPZUUPCM
      ZUUQCMZUUJNZUBUKZOPZVAZJBULZKQUMZUBQULUABULZUUGAUNLZAUOMBUPNZUQLUUOAURZAB
      UVKGUVKRZUSBUVKCABUVKGUVMUTABUVKCGUVMHVBVCVDZUUGUVHUAUBBQUUGUUPBLZUVDQLZS
      ZSZUVHUUPUUQUUHNZUUSOPZUVAUVBUUHNZUVDOPZVAZJBULZKQUMZUVRUWEAVEMZAVFMZUVRU
      WFUWGTZSZQVGVHUWDKQULUWEVNQVIVJUWIUWDKQUWIUWCJBUWIUUQBLZSUWBUVTUVRUWJUWHU
      WBUVRUWJSZUWHUWBUWKUWHUUPUUQTZUWBUWKUVJUUPELUUQELUWHUWLVAUUGUVJUVQUWJUVLV
      KUWKBEUUPEABFGVLZUUGUVOUVPUWJVMZVOUWKBEUUQUWMUVRUWJVPZVOEAUWFUUPUUQUWGFUW
      FRZUWGRZVQVRUWKUWBUWLUVBUVBUUHNZUVDOPUWKUWRVSUVDOUWKUWRVSTZUVBUVBTZUVBRUW
      KAVTLZUVBELZUXBUWSUWTWAUUGUXAUVQUWJUUGAWBLZAWCLZUXAAWDZAWEZAWGZVDVKUWKBEU
      VBUWMUVRBBUUQCUUGUUOUVQUVNWFWQZVOZUXIUVBUVBUUHAEFUUHRZWHVRWIUWKUVDUUGUVOU
      VPUWJWJWKWLUWLUWAUWRUVDOUWLUVAUVBUVBUUHUUPUUQCWMWNWOWPWRWSWTXAXBXCUWDKQXI
      XDUVRUWFUWGVHZSZKJUUPUVDUUHAVNUUPAXEMZMZUVDXFNZXGPVNUXOXHUXNXJXKNXFNZBCUX
      MEFGHUXMRUXJUUGUVQUXKXLUXLUVJUXKAXSLUUGUVJUVQUXKUVLVKUVRUXKVPAUWFUWGUWPUW
      QXMXNUUGUVOUVPUXKVMUUGUVOUVPUXKWJUXPRXOXPUVRUVGUWDKQUVRUVFUWCJBUWKUUTUVTU
      VEUWBUWKUURUVSUUSOUWKUUPUUQUUHBUWNUWOXQWOUWKUVCUWAUVDOUWKUVAUVBUUHBUVRUVA
      BLZUWJUUGUUOUVOUXQUVQUVNUVOUVPXRBBUUPCXTYAWFUXHXQWOYBYCYDYEYFUUGUUJBYIMZL
      ZUXSUUNUUOUVISWAUUGUUJUUHEEUEZUHZUUIUHZUXRUUIUXTYGZUYBUUJTBEYGZUYDUYCUWMU
      WMBEBEYHYJUUHUUIUXTYKYLZUUGUYAEYIMLZUYDUYBUXRLUUGUXCUXDUXAUYFUXEUXFUXGUYA
      AEFUYARZYMYNZUWMUYABEYOYPYQZUYIUAUBKJUUJUUJCUUKUUKBBUUKRZUYJYSYRYTUUGUUMU
      UKUUMUUKUGUUGUUMUYAUFMZBUINZUUKUUGDUYKBUIUUGUXCUXDDUYKTUXEUXFUYADAEIFUYGU
      UAVDWNUUGUYFUYDUYLUUKTUYHUWMUYAUUJUYKUUKEBUYBUUJUYEUUBUYKRUYJUUCYPUUDZUYM
      UUEUUF $.
  $}

  $( A normed division ring is a topological division ring.  (Contributed by
     Mario Carneiro, 6-Oct-2015.) $)
  nrgtdrg $p |- ( ( R e. NrmRing /\ R e. DivRing ) -> R e. TopDRing ) $=
    ( cnrg wcel cdr wa ctrg cmgp cfv cui cress co ctgp ctdrg nrgtrg adantr ctmd
    simpr eqid syl syl3anbrc cgrp cinvr ctopn crest ccn nrgring unitgrp csubmnd
    crg trgtmd unitsubm submtmd syl2anc cbs nrginvrcn mgptopn resstopn invrfval
    istgp istdrg ) ABCZADCZEZAFCZVBAGHZAIHZJKZLCZAMCVAVDVBANOZVAVBQVCVGUACZVGPC
    ZAUBHZAUCHZVFUDKZVNUEKCZVHVCAUICZVJVAVPVBAUFOZAVFVGVFRZVGRZUGSVCVEPCZVFVEUH
    HCZVKVCVDVTVIAVEVERZUJSVCVPWAVQAVFVEVRWBUKSVFVEVGVSULUMVAVOVBAVFVLVMAUNHZWC
    RVRVLRZVMRZUOOVGVLVNVFVGVMVEVSAVMVEWBWEUPUQAVFVGVLVRVSWDURUSTAVFVEWBVRUTT
    $.

  $( A normed module is a topological module.  (Contributed by Mario Carneiro,
     6-Oct-2015.) $)
  nlmtlm $p |- ( W e. NrmMod -> W e. TopMod ) $=
    ( cnlm wcel ctmd clmod csca cfv ctrg w3a cscaf ctopn ctx ccn ctlm ctgp cngp
    co cabl syl eqid nlmngp nlmlmod lmodabl ngptgp syl2anc tgptmd nlmnrg nrgtrg
    cnrg 3jca nlmvscn istlm sylanbrc ) ABCZADCZAECZAFGZHCZIAJGZUQKGZAKGZLQVAMQC
    ANCUNUOUPURUNAOCZUOUNAPCARCZVBAUAUNUPVCAUBZAUCSAUDUEAUFSVDUNUQUICURUQAUQTZU
    GUQUHSUJUSUQVAUTAVEUSTZVATZUTTZUKUSUQVAUTAVFVGVEVHULUM $.

  $( A normed vector space is just a normed module which is algebraically a
     vector space.  (Contributed by Mario Carneiro, 4-Oct-2015.) $)
  isnvc $p |- ( W e. NrmVec <-> ( W e. NrmMod /\ W e. LVec ) ) $=
    ( cnlm clvec cnvc df-nvc elin2 ) ABCDEF $.

  $( A normed vector space is a normed module.  (Contributed by Mario Carneiro,
     4-Oct-2015.) $)
  nvcnlm $p |- ( W e. NrmVec -> W e. NrmMod ) $=
    ( cnvc wcel cnlm clvec isnvc simplbi ) ABCADCAECAFG $.

  $( A normed vector space is a left vector space.  (Contributed by Mario
     Carneiro, 4-Oct-2015.) $)
  nvclvec $p |- ( W e. NrmVec -> W e. LVec ) $=
    ( cnvc wcel cnlm clvec isnvc simprbi ) ABCADCAECAFG $.

  $( A normed vector space is a left module.  (Contributed by Mario Carneiro,
     4-Oct-2015.) $)
  nvclmod $p |- ( W e. NrmVec -> W e. LMod ) $=
    ( cnvc wcel cnlm clmod nvcnlm nlmlmod syl ) ABCADCAECAFAGH $.

  ${
    isnvc2.1 $e |- F = ( Scalar ` W ) $.
    $( A normed vector space is just a normed module whose scalar ring is a
       division ring.  (Contributed by Mario Carneiro, 4-Oct-2015.) $)
    isnvc2 $p |- ( W e. NrmVec <-> ( W e. NrmMod /\ F e. DivRing ) ) $=
      ( cnvc wcel cnlm clvec wa cdr isnvc clmod nlmlmod islvec baib syl pm5.32i
      wb bitri ) BDEBFEZBGEZHSAIEZHBJSTUASBKEZTUAQBLTUBUAABCMNOPR $.
  $}

  $( A normed vector space is a topological vector space.  (Contributed by
     Mario Carneiro, 4-Oct-2015.) $)
  nvctvc $p |- ( W e. NrmVec -> W e. TopVec ) $=
    ( cnvc wcel ctlm csca cfv ctdrg ctvc cnlm nvcnlm nlmtlm syl cnrg cdr nlmnrg
    eqid clvec nvclvec lvecdrng nrgtdrg syl2anc istvc sylanbrc ) ABCZADCZAEFZGC
    ZAHCUDAICZUEAJZAKLUDUFMCZUFNCZUGUDUHUJUIUFAUFPZOLUDAQCUKARUFAULSLUFTUAUFAUL
    UBUC $.

  ${
    $d x y S $.  $d x y U $.  $d x y W $.  $d x y X $.
    lssnlm.x $e |- X = ( W |`s U ) $.
    lssnlm.s $e |- S = ( LSubSp ` W ) $.
    $( A subspace of a normed module is a normed module.  (Contributed by Mario
       Carneiro, 4-Oct-2015.) $)
    lssnlm $p |- ( ( W e. NrmMod /\ U e. S ) -> X e. NrmMod ) $=
      ( vx vy wcel wa cfv cnrg co cnm cmul wceq cbs syl2an2r eqid adantr w3a cv
      cnlm cngp clmod csca cvsca nlmngp nlmlmod lsssubg subgngp lsslmod resssca
      wral csubg sylan adantl nlmnrg eqeltrrd simpll simprl fveq2d eleqtrrd wss
      3jca subgss syl simprr subgbas sseldd nmvs simplr ressvsca oveqd ad2antrr
      syl3anc lssvscl syl22anc subgnm2 eqtr3d eqcomd oveq12d 3eqtr4d ralrimivva
      fveq1d isnlm sylanbrc ) CUCIZBAIZJZDUDIZDUEIZDUFKZLIZUAGUBZHUBZDUGKZMZDNK
      ZKZWOWMNKZKZWPWSKZOMZPZHDQKZUNGWMQKZUNDUCIWJWKWLWNWHCUDIWIBCUOKIZWKCUHWHC
      UEIZWIXHCUIZABCFUJUPZBCDEUKRWHXIWIWLXJABCDEFULUPWJCUFKZWMLWIXLWMPZWHBXLCD
      AEXLSZUMUQZWHXLLIWIXLCXNURTUSVEWJXEGHXGXFWJWOXGIZWPXFIZJZJZWOWPCUGKZMZCNK
      ZKZWOXLNKZKZWPYBKZOMZWTXDXSWHWOXLQKZIZWPCQKZIYCYGPWHWIXRUTXSWOXGYHWJXPXQV
      AXSXLWMQWJXMXRXOTZVBVCZXSBYJWPXSXHBYJVDWJXHXRXKTZYJBCYJSZVFVGXSWPXFBWJXPX
      QVHXSXHBXFPYMBCDEVIVGVCZVJYDXTXLYHYBYJCWOWPYNYBSZXTSZXNYHSZYDSVKVPXSYAWSK
      ZWTYCXSYAWRWSXSXTWQWOWPXSWIXTWQPWHWIXRVLZBXTCDAEYQVMVGVNVBWJXHXRYABIZYSYC
      PXKXSXIWIYIWPBIZUUAWHXIWIXRXJVOYTYLYOYHAXTBXLCWOWPXNYQYRFVQVRBCDWSYBYAEYP
      WSSZVSRVTXSXBYEXCYFOXSWOXAYDXSWMXLNXSXLWMYKWAVBWEWJXHXRUUBXCYFPXKYOBCDWSY
      BWPEYPUUCVSRWBWCWDGHXAWQWMXGWSXFDXFSUUCWQSWMSXGSXASWFWG $.

    $( A subspace of a normed vector space is a normed vector space.
       (Contributed by Mario Carneiro, 4-Oct-2015.) $)
    lssnvc $p |- ( ( W e. NrmVec /\ U e. S ) -> X e. NrmVec ) $=
      ( cnvc wcel wa cnlm csca cfv nvcnlm lssnlm sylan wceq eqid resssca adantl
      cdr clvec nvclvec lvecdrng syl adantr eqeltrrd isnvc2 sylanbrc ) CGHZBAHZ
      IZDJHZDKLZTHDGHUICJHUJULCMABCDEFNOUKCKLZUMTUJUNUMPUIBUNCDAEUNQZRSUIUNTHZU
      JUICUAHUPCUBUNCUOUCUDUEUFUMDUMQUGUH $.
  $}

  $( The ring module over a normed division ring is a normed vector space.
     (Contributed by Mario Carneiro, 4-Oct-2015.) $)
  rlmnvc $p |- ( ( R e. NrmRing /\ R e. DivRing ) ->
    ( ringLMod ` R ) e. NrmVec ) $=
    ( cnrg wcel crglmod cfv cnlm clvec cnvc cdr rlmnlm rlmlvec wa isnvc biimpri
    syl2an ) ABCADEZFCZPGCZPHCZAICAJAKSQRLPMNO $.

  ${
    ngpocelbl.n $e |- N = ( norm ` G ) $.
    ngpocelbl.x $e |- X = ( Base ` G ) $.
    ngpocelbl.p $e |- .+ = ( +g ` G ) $.
    ngpocelbl.d $e |- D = ( ( dist ` G ) |` ( X X. X ) ) $.
    $( Membership of an off-center vector in a ball in a normed module.
       (Contributed by NM, 27-Dec-2007.)  (Revised by AV, 14-Oct-2021.) $)
    ngpocelbl $p |- ( ( G e. NrmMod /\ R e. RR* /\ ( P e. X /\ A e. X ) )
               -> ( ( P .+ A ) e. ( P ( ball ` D ) R ) <-> ( N ` A ) < R ) ) $=
      ( wcel wa w3a co cfv clt syl 3ad2ant1 cnlm cxr cbl wbr cxmet wb cngp cmet
      nlmngp ngpmet metxmet 3syl anim1i 3adant3 simp3l cgrp ngpgrp simp3 3anass
      sylanbrc grpcl jca elbl2 cds csg wceq cres oveqi ovres syl5eq eqid ngpdsr
      syl3anc cabl clmod nlmlmod lmodabl ablpncan2 fveq2d 3eqtrd breq1d bitrd
      cxp ) FUAMZEUBMZCHMZAHMZNZOZCADPZCEBUCQPMZCWJBPZERUDZAGQZERUDWIBHUEQMZWEN
      ZWFWJHMZNZNWKWMUFWIWPWRWDWEWPWHWDWOWEWDFUGMZBHUHQMWOFUIZBFHJLUJBHUKULUMUN
      WIWFWQWDWEWFWGUOZWIFUPMZWFWGOZWQWIXBWHXCWDWEXBWHWDWSXBWTFUQSTWDWEWHURZXBW
      FWGUSUTHDFCAJKVASZVBZVBWJBCEHVCSWIWLWNERWIWLCWJFVDQZPZWJCFVEQZPZGQZWNWIWR
      WLXHVFXFWRWLCWJXGHHWCVGZPXHBXLCWJLVHCWJHHXGVIVJSWIWSWFWQXHXKVFWDWEWSWHWTT
      XAXECWJXGFXIGHIJXIVKZXGVKVLVMWIXJAGWIFVNMZWFWGOZXJAVFWIXNWHXOWDWEXNWHWDFV
      OMXNFVPFVQSTXDXNWFWGUSUTHDFXICAJKXMVRSVSVTWAWB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Normed space homomorphisms (bounded linear operators)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c normOp $. $( Operator norm $)
  $c NGHom $. $( Normed group homomorphism $)
  $c NMHom $. $( Normed module homomorphism $)

  $( The operator norm function. $)
  cnmo $a class normOp $.

  $( The class of normed group homomorphisms. $)
  cnghm $a class NGHom $.

  $( The class of normed module homomorphisms. $)
  cnmhm $a class NMHom $.

  ${
    $d f r s t x L $.  $d f r s t x M $.  $d f r s t x S $.  $d f r s t x T $.
    $d r s x A $.  $d f r s x F $.  $d x ph $.  $d f r s t x V $.  $d r x X $.
    $d r s t x N $.
    $( Define the norm of an operator between two normed groups (usually vector
       spaces).  This definition produces an operator norm function for each
       pair of groups ` <. s , t >. ` .  Equivalent to the definition of linear
       operator norm in [AkhiezerGlazman] p. 39.  (Contributed by Mario
       Carneiro, 18-Oct-2015.)  (Revised by AV, 25-Sep-2020.) $)
    df-nmo $a |- normOp = ( s e. NrmGrp , t e. NrmGrp |->
    ( f e. ( s GrpHom t ) |-> inf ( { r e. ( 0 [,) +oo ) | A. x e. ( Base ` s )
        ( ( norm ` t ) ` ( f ` x ) ) <_ ( r x. ( ( norm ` s ) ` x ) ) } ,
      RR* , < ) ) ) $.

    $( Define the set of normed group homomorphisms between two normed groups.
       A normed group homomorphism is a group homomorphism which additionally
       bounds the increase of norm by a fixed real operator.  In vector spaces
       these are also known as bounded linear operators.  (Contributed by Mario
       Carneiro, 18-Oct-2015.) $)
    df-nghm $a |- NGHom = ( s e. NrmGrp , t e. NrmGrp |->
      ( `' ( s normOp t ) " RR ) ) $.

    $( Define a normed module homomorphism, also known as a bounded linear
       operator.  This is a module homomorphism (a linear function) such that
       the operator norm is finite, or equivalently there is a constant ` c `
       such that...  (Contributed by Mario Carneiro, 18-Oct-2015.) $)
    df-nmhm $a |- NMHom = ( s e. NrmMod , t e. NrmMod |->
      ( ( s LMHom t ) i^i ( s NGHom t ) ) ) $.

    $( The function producing operator norm functions is a function on normed
       groups.  (Contributed by Mario Carneiro, 18-Oct-2015.)  (Proof shortened
       by AV, 26-Sep-2020.) $)
    nmoffn $p |- normOp Fn ( NrmGrp X. NrmGrp ) $=
      ( vs vt vf vx vr cngp cghm cfv cnm cmul cle wbr cbs cc0 cpnf cxr cvv wcel
      cv co wral cico crab clt cinf cmpt cnmo df-nmo wf eqid wss ssrab2 icossxr
      sstri infxrcl mp1i fmpti ovex xrex fex2 mp3an fnmpoi ) ABFFCASZBSZGTZDSZC
      SZHVDIHHESVFVCIHHJTKLDVCMHUAZENOUBTZUCZPUDUEZUFZUGDBCAEUHVEPVLUIVEQRPQRVL
      QRCVEPVKVLVLUJVJPUKVKPRVGVERVJVIPVHEVIULNOUMUNVJUOUPUQVCVDGURUSVEPVLQQUTV
      AVB $.

    $( Lemma for normed group homomorphisms.  (Contributed by Mario Carneiro,
       18-Oct-2015.) $)
    reldmnghm $p |- Rel dom NGHom $=
      ( vs vt cngp cv cnmo co ccnv cr cima cnghm df-nghm reldmmpo ) ABCCADBDEFG
      HIJBAKL $.

    $( Lemma for module homomorphisms.  (Contributed by Mario Carneiro,
       18-Oct-2015.) $)
    reldmnmhm $p |- Rel dom NMHom $=
      ( vs vt cnlm cv clmhm co cnghm cin cnmhm df-nmhm reldmmpo ) ABCCADZBDZEFL
      MGFHIBAJK $.

    nmofval.1 $e |- N = ( S normOp T ) $.
    ${
      nmofval.2 $e |- V = ( Base ` S ) $.
      nmofval.3 $e |- L = ( norm ` S ) $.
      nmofval.4 $e |- M = ( norm ` T ) $.
      $( Value of the operator norm.  (Contributed by Mario Carneiro,
         18-Oct-2015.)  (Revised by AV, 26-Sep-2020.) $)
      nmofval $p |- ( ( S e. NrmGrp /\ T e. NrmGrp ) ->
        N = ( f e. ( S GrpHom T ) |-> inf ( { r e. ( 0 [,) +oo ) | A. x e. V
          ( M ` ( f ` x ) ) <_ ( r x. ( L ` x ) ) } , RR* , < ) ) ) $=
        ( wcel co cv cfv cxr cnm cvv vs vt cngp cnmo cghm cmul cle wbr wral cc0
        cpnf cico crab clt cinf cmpt cbs wceq oveq12 simpl fveq2d eqtr4di simpr
        wa fveq1d oveq2d breq12d raleqbidv rabbidv infeq1d mpteq12dv df-nmo wss
        wf eqid ssrab2 icossxr sstri infxrcl mp1i fmpti ovex xrex ovmpoa syl5eq
        fex2 mp3an ) BUCNCUCNVDGBCUDODBCUEOZAPZDPZQZFQZIPZWIEQZUFOZUGUHZAHUIZIU
        JUKULOZUMZRUNUOZUPZJUAUBBCUCUCDUAPZUBPZUEOZWKXCSQZQZWMWIXBSQZQZUFOZUGUH
        ZAXBUQQZUIZIWRUMZRUNUOZUPXAUDXBBURZXCCURZVDZDXDXNWHWTXBBXCCUEUSXQRXMWSU
        NXQXLWQIWRXQXJWPAXKHXQXKBUQQHXQXBBUQXOXPUTZVAKVBXQXFWLXIWOUGXQWKXEFXQXE
        CSQFXQXCCSXOXPVCVAMVBVEXQXHWNWMUFXQWIXGEXQXGBSQEXQXBBSXRVALVBVEVFVGVHVI
        VJVKAUBDUAIVLWHRXAVNWHTNRTNXATNDWHRWTXAXAVOWSRVMWTRNWJWHNWSWRRWQIWRVPUJ
        UKVQVRWSVSVTWABCUEWBWCWHRXATTWFWGWDWE $.

      $( Value of the operator norm.  (Contributed by Mario Carneiro,
         18-Oct-2015.)  (Revised by AV, 26-Sep-2020.) $)
      nmoval $p |- ( ( S e. NrmGrp /\ T e. NrmGrp /\ F e. ( S GrpHom T ) ) ->
        ( N ` F ) = inf ( { r e. ( 0 [,) +oo ) | A. x e. V
          ( M ` ( F ` x ) ) <_ ( r x. ( L ` x ) ) } , RR* , < ) ) $=
        ( vf wcel co cfv cv cxr clt cngp cghm cmul cle wral cpnf cico crab cinf
        wbr cc0 wceq wa cmpt nmofval fveq1d fveq1 fveq2d breq1d ralbidv rabbidv
        infeq1d eqid xrltso infex fvmpt sylan9eq 3impa ) BUAOZCUAOZDBCUBPZOZDGQ
        ZARZDQZFQZIRVNEQUCPZUDUJZAHUEZIUKUFUGPZUHZSTUIZULVIVJUMZVLVMDNVKVNNRZQZ
        FQZVQUDUJZAHUEZIVTUHZSTUIZUNZQWBWCDGWKABCNEFGHIJKLMUOUPNDWJWBVKWKWDDULZ
        SWIWATWLWHVSIVTWLWGVRAHWLWFVPVQUDWLWEVOFVNWDDUQURUSUTVAVBWKVCSWATVDVEVF
        VGVH $.

      $( Property of the operator norm.  (Contributed by Mario Carneiro,
         18-Oct-2015.)  (Proof shortened by AV, 26-Sep-2020.) $)
      nmogelb $p |- ( ( ( S e. NrmGrp /\ T e. NrmGrp /\ F e. ( S GrpHom T ) )
        /\ A e. RR* ) -> ( A <_ ( N ` F ) <-> A. r e. ( 0 [,) +oo )
         ( A. x e. V ( M ` ( F ` x ) ) <_ ( r x. ( L ` x ) ) -> A <_ r ) ) ) $=
        ( vs wcel cfv cle wbr cxr cngp cghm co w3a cmul wral cc0 cpnf cico crab
        cv clt cinf wi nmoval breq2d wss wb ssrab2 icossxr sstri infxrgelb mpan
        breq2 ralrab2 bitrdi sylan9bb ) CUAPDUAPECDUBUCPUDZBEHQZRSBAUKZEQGQJUKZ
        VJFQUEUCRSAIUFZJUGUHUIUCZUJZTULUMZRSZBTPZVLBVKRSZUNJVMUFZVHVIVOBRACDEFG
        HIJKLMNUOUPVQVPBOUKZRSZOVNUFZVSVNTUQVQVPWBURVNVMTVLJVMUSUGUHUTVAOVNBVBV
        CVLWAVROJVMVTVKBRVDVEVFVG $.

      $( Any upper bound on the values of a linear operator translates to an
         upper bound on the operator norm.  (Contributed by Mario Carneiro,
         18-Oct-2015.)  (Proof shortened by AV, 26-Sep-2020.) $)
      nmolb $p |- ( ( ( S e. NrmGrp /\ T e. NrmGrp /\ F e. ( S GrpHom T ) ) /\
           A e. RR /\ 0 <_ A ) -> ( A. x e. V
         ( M ` ( F ` x ) ) <_ ( A x. ( L ` x ) ) -> ( N ` F ) <_ A ) ) $=
        ( vr wcel co cle wbr cfv cxr cngp cghm w3a cr cv cmul wral wi cpnf cico
        cc0 wa elrege0 crab clt nmoval wss ssrab2 icossxr sstri infxrcl eqeltrd
        cinf mp1i xrleidd nmogelb mpdan mpbid wceq oveq1 breq2d ralbidv imbi12d
        wb breq2 rspccv syl syl5bir 3impib ) CUAODUAOECDUBPOUCZBUDOZUKBQRZAUEZE
        SGSZBWCFSZUFPZQRZAIUGZEHSZBQRZUHZWAWBULBUKUIUJPZOZVTWKBUMVTWDNUEZWEUFPZ
        QRZAIUGZWIWNQRZUHZNWLUGZWMWKUHVTWIWIQRZWTVTWIVTWIWQNWLUNZTUOVCZTACDEFGH
        INJKLMUPXBTUQXCTOVTXBWLTWQNWLURUKUIUSUTXBVAVDVBZVEVTWITOXAWTVNXDAWICDEF
        GHINJKLMVFVGVHWSWKNBWLWNBVIZWQWHWRWJXEWPWGAIXEWOWFWDQWNBWEUFVJVKVLWNBWI
        QVOVMVPVQVRVS $.

      nmolb2d.z $e |- .0. = ( 0g ` S ) $.
      nmolb2d.1 $e |- ( ph -> S e. NrmGrp ) $.
      nmolb2d.2 $e |- ( ph -> T e. NrmGrp ) $.
      nmolb2d.3 $e |- ( ph -> F e. ( S GrpHom T ) ) $.
      nmolb2d.4 $e |- ( ph -> A e. RR ) $.
      nmolb2d.5 $e |- ( ph -> 0 <_ A ) $.
      nmolb2d.6 $e |- ( ( ph /\ ( x e. V /\ x =/= .0. ) ) ->
        ( M ` ( F ` x ) ) <_ ( A x. ( L ` x ) ) ) $.
      $( Any upper bound on the values of a linear operator at nonzero vectors
         translates to an upper bound on the operator norm.  (Contributed by
         Mario Carneiro, 18-Oct-2015.) $)
      nmolb2d $p |- ( ph -> ( N ` F ) <_ A ) $=
        ( cv cfv cmul co cle wbr wral wcel wceq 2fveq3 fveq2 oveq2d breq12d wne
        wa anassrs cc0 0le0 recnd mul01d breqtrrid c0g cghm eqid ghmid syl cngp
        fveq2d nm0 eqtrd 3brtr4d adantr pm2.61ne ralrimiva cr wi syl311anc mpd
        nmolb ) ABUCZFUDHUDZCWBGUDZUEUFZUGUHZBJUIZFIUDCUGUHZAWFBJAWBJUJZUQWFKFU
        DZHUDZCKGUDZUEUFZUGUHZWBKWBKUKZWCWKWEWMUGWBKHFULWOWDWLCUEWBKGUMUNUOAWIW
        BKUPWFUBURAWNWIAUSCUSUEUFZWKWMUGAUSUSWPUGUTACACTVAVBVCAWKEVDUDZHUDZUSAW
        JWQHAFDEVEUFUJZWJWQUKSDEFKWQPWQVFZVGVHVJAEVIUJZWRUSUKREHWQOWTVKVHVLAWLU
        SCUEADVIUJZWLUSUKQDGKNPVKVHUNVMVNVOVPAXBXAWSCVQUJUSCUGUHWGWHVRQRSTUABCD
        EFGHIJLMNOWAVSVT $.
    $}

    $( The operator norm is a function into the extended reals.  (Contributed
       by Mario Carneiro, 18-Oct-2015.)  (Proof shortened by AV,
       26-Sep-2020.) $)
    nmof $p |- ( ( S e. NrmGrp /\ T e. NrmGrp ) ->
                 N : ( S GrpHom T ) --> RR* ) $=
      ( vf vx vr cngp wcel wa cghm co cv cfv cnm cmul cc0 cpnf cxr eqid cle wbr
      cbs wral cico crab clt cinf nmofval wss ssrab2 icossxr sstri infxrcl mp1i
      fmpt3d ) AHIBHIJZEABKLZFMZEMZNBONZNGMUSAONZNPLUAUBFAUCNZUDZGQRUELZUFZSUGU
      HZSCFABEVBVACVCGDVCTVBTVATUIVFSUJVGSIUQUTURIJVFVESVDGVEUKQRULUMVFUNUOUP
      $.

    $( The operator norm of an operator is an extended real.  (Contributed by
       Mario Carneiro, 18-Oct-2015.) $)
    nmocl $p |- ( ( S e. NrmGrp /\ T e. NrmGrp /\ F e. ( S GrpHom T ) ) ->
                  ( N ` F ) e. RR* ) $=
      ( cngp wcel cghm co cfv cxr wa nmof ffvelrnda 3impa ) AFGZBFGZCABHIZGCDJK
      GPQLRKCDABDEMNO $.

    $( The operator norm of an operator is nonnegative.  (Contributed by Mario
       Carneiro, 18-Oct-2015.) $)
    nmoge0 $p |- ( ( S e. NrmGrp /\ T e. NrmGrp /\ F e. ( S GrpHom T ) ) ->
                   0 <_ ( N ` F ) ) $=
      ( vx vr cngp wcel cghm co w3a cc0 cfv cle wbr cv cnm wral eqid cmul wi wa
      cbs cpnf cr elrege0 simprbi adantl a1d ralrimiva cxr wb 0xr nmogelb mpan2
      cico mpbird ) AHIBHICABJKILZMCDNOPZFQZCNBRNZNGQZVAARNZNUAKOPFAUDNZSZMVCOP
      ZUBZGMUEUQKZSZUSVHGVIUSVCVIIZUCVGVFVKVGUSVKVCUFIVGVCUGUHUIUJUKUSMULIUTVJU
      MUNFMABCVDVBDVEGEVETVDTVBTUOUPUR $.

    $( A normed group homomorphism is a group homomorphism with bounded norm.
       (Contributed by Mario Carneiro, 18-Oct-2015.) $)
    nghmfval $p |- ( S NGHom T ) = ( `' N " RR ) $=
      ( vs vt cngp wcel wa cnghm co ccnv cr cima wceq cv cnmo cnveqd imaeq1d c0
      oveq12 eqtr4di df-nghm ovexi cnvex imaex ovmpoa wn cxp nmoffn fndmi ndmov
      mpondm0 syl5eq cnv0 eqtrdi 0ima eqtr4d pm2.61i ) AGHBGHIZABJKZCLZMNZOEFAB
      GGEPZFPZQKZLZMNZVCJVDAOVEBOIZVGVBMVIVFCVIVFABQKZCVDAVEBQUADUBRSFEUCZVBMCC
      ABQDUDUEUFUGUTUHZVATVCEFVHJABGGVKUMVLVCTMNTVLVBTMVLVBTLTVLCTVLCVJTDABGQGG
      UIQUJUKULUNRUOUPSMUQUPURUS $.

    $( A normed group homomorphism is a group homomorphism with bounded norm.
       (Contributed by Mario Carneiro, 18-Oct-2015.) $)
    isnghm $p |- ( F e. ( S NGHom T ) <-> ( ( S e. NrmGrp /\ T e. NrmGrp ) /\
      ( F e. ( S GrpHom T ) /\ ( N ` F ) e. RR ) ) ) $=
      ( cnghm co wcel ccnv cr cima cngp wa cghm cfv nghmfval c0 cnmo eqtrdi cxr
      eleq2i wceq n0i wn cxp nmoffn fndmi ndmov syl5eq cnveqd cnv0 imaeq1d 0ima
      nsyl2 wf wfn wb nmof ffn elpreima 3syl biadanii bitri ) CABFGZHCDIZJKZHZA
      LHBLHMZCABNGZHCDOJHMZMVDVFCABDEPUAVGVHVJVGVFQUBVHVFCUCVHUDZVFQJKQVKVEQJVK
      VEQIQVKDQVKDABRGQEABLRLLUERUFUGUHUIUJUKSULJUMSUNVHVITDUODVIUPVGVJUQABDEUR
      VITDUSVICJDUTVAVBVC $.

    $( A normed group homomorphism is a group homomorphism with bounded norm.
       (Contributed by Mario Carneiro, 18-Oct-2015.) $)
    isnghm2 $p |- ( ( S e. NrmGrp /\ T e. NrmGrp /\ F e. ( S GrpHom T ) ) ->
      ( F e. ( S NGHom T ) <-> ( N ` F ) e. RR ) ) $=
      ( cngp wcel cghm co cnghm cfv cr wb wa isnghm baib baibd 3impa ) AFGZBFGZ
      CABHIGZCABJIGZCDKLGZMSTNZUBUAUCUBUDUAUCNABCDEOPQR $.

    $( A normed group homomorphism is a group homomorphism with bounded norm.
       (Contributed by Mario Carneiro, 18-Oct-2015.) $)
    isnghm3 $p |- ( ( S e. NrmGrp /\ T e. NrmGrp /\ F e. ( S GrpHom T ) ) ->
     ( F e. ( S NGHom T ) <-> ( N ` F ) < +oo ) ) $=
      ( cngp wcel cghm co w3a cnghm cfv cpnf clt wbr isnghm2 cxr cmnf syl2anc
      cr wb nmocl cc0 cle nmoge0 ge0gtmnf xrrebnd baibd bitrd ) AFGBFGCABHIGJZC
      ABKIGCDLZTGZUKMNOZABCDEPUJUKQGZRUKNOZULUMUAABCDEUBZUJUNUCUKUDOUOUPABCDEUE
      UKUFSUNULUOUMUKUGUHSUI $.

    $( A bounded group homomorphism is a normed group homomorphism.
       (Contributed by Mario Carneiro, 18-Oct-2015.) $)
    bddnghm $p |- ( ( ( S e. NrmGrp /\ T e. NrmGrp /\ F e. ( S GrpHom T ) ) /\
      ( A e. RR /\ ( N ` F ) <_ A ) ) -> F e. ( S NGHom T ) ) $=
      ( cngp wcel cghm co w3a cr cfv cle wbr wa cnghm cxr cc0 nmocl jca xrrege0
      nmoge0 an4s sylan wb isnghm2 adantr mpbird ) BGHCGHDBCIJHKZALHZDEMZANOZPZ
      PDBCQJHZULLHZUJULRHZSULNOZPUNUPUJUQURBCDEFTBCDEFUCUAUQUKURUMUPULAUBUDUEUJ
      UOUPUFUNBCDEFUGUHUI $.

    $( A normed group homomorphism has a real operator norm.  (Contributed by
       Mario Carneiro, 18-Oct-2015.) $)
    nghmcl $p |- ( F e. ( S NGHom T ) -> ( N ` F ) e. RR ) $=
      ( cnghm co wcel cghm cfv cr cngp wa isnghm simprbi simprd ) CABFGHZCABIGH
      ZCDJKHZQALHBLHMRSMABCDENOP $.

    nmoi.2 $e |- V = ( Base ` S ) $.
    nmoi.3 $e |- L = ( norm ` S ) $.
    nmoi.4 $e |- M = ( norm ` T ) $.
    $( The operator norm achieves the minimum of the set of upper bounds, if
       the operator is bounded.  (Contributed by Mario Carneiro,
       18-Oct-2015.) $)
    nmoi $p |- ( ( F e. ( S NGHom T ) /\ X e. V ) ->
      ( M ` ( F ` X ) ) <_ ( ( N ` F ) x. ( L ` X ) ) ) $=
      ( co wcel wa cfv cle wbr cc0 adantr vx cnghm cmul c0g 2fveq3 fveq2 oveq2d
      vr wceq breq12d wne cdiv cv wral wi cpnf cico rspcv ad3antlr clt cngp cbs
      cr wb cghm isnghm simplbi simprd wf simprbi simpld eqid ghmf syl sylancom
      ffvelrn nmcl syl2anc elrege0 adantl crp simpr nmrpcl 3expa sylan rpregt0d
      jca ledivmul2 syl3anc sylibrd ralrimiva rerpdivcld rexrd nmogelb syl31anc
      cxr mpbird ledivmul2d mpbid ghmid fveq2d nm0 eqtrd 0re eqeltrdi breqtrrid
      nmoge0 0le0 mulge0d eqbrtrd pm2.61ne ) CABUBMNZHGNZOZHCPZEPZCFPZHDPZUCMZQ
      RZAUDPZCPZEPZXQYADPZUCMZQRHYAHYAUIZXPYCXSYEQHYAECUEYFXRYDXQUCHYADUFUGUJXN
      HYAUKZOZXPXRULMZXQQRZXTYHYJUAUMZCPEPZUHUMZYKDPZUCMZQRZUAGUNZYIYMQRZUOZUHS
      UPUQMZUNZYHYSUHYTYHYMYTNZOZYQXPYMXRUCMZQRZYRXMYQUUEUOXLYGUUBYPUUEUAHGYKHU
      IZYLXPYOUUDQYKHECUEUUFYNXRYMUCYKHDUFUGUJURUSUUCXPVCNZYMVCNZXRVCNSXRUTROZY
      RUUEVDYHUUGUUBXNUUGYGXNBVANZXOBVBPZNZUUGXNAVANZUUJXLUUMUUJOZXMXLUUNCABVEM
      NZXQVCNZOZABCFIVFZVGTZVHZXLXMGUUKCVIZUULXNUUOUVAXNUUOUUPXLUUQXMXLUUNUUQUU
      RVJTZVKZABCGUUKJUUKVLZVMVNGUUKHCVPVOXOBEUUKUVDLVQVRTZTUUBUUHYHUUBUUHSYMQR
      YMVSVGVTYHUUIUUBYHXRXNUUMXMOYGXRWANZXNUUMXMXNUUMUUJUUSVKZXLXMWBWGUUMXMYGU
      VFHADGYAJKYAVLZWCWDWEZWFTXPYMXRWHWIWJWKYHUUMUUJUUOYIWPNYJUUAVDXNUUMYGUVGT
      XNUUJYGUUTTXNUUOYGUVCTYHYIYHXPXRUVEUVIWLWMUAYIABCDEFGUHIJKLWNWOWQYHXPXQXR
      UVEXNUUPYGXNUUOUUPUVBVHZTUVIWRWSXNYCSYEQXNYCBUDPZEPZSXNYBUVKEXNUUOYBUVKUI
      UVCABCYAUVKUVHUVKVLZWTVNXAXNUUJUVLSUIUUTBEUVKLUVMXBVNXCXNXQYDUVJXNYDSVCXN
      UUMYDSUIUVGADYAKUVHXBVNZXDXEXNUUMUUJUUOSXQQRUVGUUTUVCABCFIXGWIXNSSYDQXHUV
      NXFXIXJXK $.

    $( The operator norm is a bound on the size of an operator, even when it is
       infinite (using extended real multiplication).  (Contributed by Mario
       Carneiro, 18-Oct-2015.) $)
    nmoix $p |- ( ( ( S e. NrmGrp /\ T e. NrmGrp /\ F e. ( S GrpHom T ) ) /\
      X e. V ) -> ( M ` ( F ` X ) ) <_ ( ( N ` F ) *e ( L ` X ) ) ) $=
      ( wcel co cfv cle wbr cpnf wceq cc0 cngp cghm w3a wa cr cxmu cmul isnghm2
      cnghm biimpar nmoi sylan an32s nmcl 3ad2antl1 rexmul syl2anr breqtrrd c0g
      id fveq2d oveq2d breq12d wne cxr cbs simpl2 eqid ghmf ffvelrnda 3ad2antl3
      fveq2 syl2anc adantr rexrd pnfge syl crp simp1 nmrpcl 3expa sylanl1 rpgt0
      clt rpxr xmulpnf2 simpl3 ghmid nm0 eqtrd simpl1 pnfxr xmul01 ax-mp eqtrdi
      0le0 mpbiri pm2.61ne simpr oveq1d wo cmnf nmocl nmoge0 ge0nemnf jca sylib
      xrnemnf mpjaodan ) AUAMZBUAMZCABUBNMZUCZHGMZUDZCFOZUEMZHCOZEOZXPHDOZUFNZP
      QXPRSZXOXQUDXSXPXTUGNZYAPXMXQXNXSYCPQZXMXQUDCABUINMZXNYDXMYEXQABCFIUHUJAB
      CDEFGHIJKLUKULUMXQXQXTUEMZYAYCSXOXQUTXJXKXNYFXLHADGJKUNUOXPXTUPUQURXOYBUD
      ZXSRXTUFNZYAPXOXSYHPQZYBXOYIAUSOZCOZEOZRYJDOZUFNZPQZHYJHYJSZXSYLYHYNPYPXR
      YKEHYJCVLVAYPXTYMRUFHYJDVLVBVCXOHYJVDZUDZXSRYHPYRXSVEMXSRPQYRXSXOXSUEMZYQ
      XOXKXRBVFOZMZYSXJXKXLXNVGZXLXJXNUUAXKXLGYTHCABCGYTJYTVHZVIVJVKXRBEYTUUCLU
      NVMVNVOXSVPVQYRXTVRMZYHRSZXMXJXNYQUUDXJXKXLVSXJXNYQUUDHADGYJJKYJVHZVTWAWB
      UUDXTVEMTXTWDQUUEXTWEXTWCXTWFVMVQURXOYOTTPQWPXOYLTYNTPXOYLBUSOZEOZTXOYKUU
      GEXOXLYKUUGSXJXKXLXNWGABCYJUUGUUFUUGVHZWHVQVAXOXKUUHTSUUBBEUUGLUUIWIVQWJX
      OYNRTUFNZTXOYMTRUFXOXJYMTSXJXKXLXNWKADYJKUUFWIVQVBRVEMUUJTSWLRWMWNWOVCWQW
      RVNYGXPRXTUFXOYBWSWTURXMXQYBXAZXNXMXPVEMZXPXBVDZUDUUKXMUULUUMABCFIXCZXMUU
      LTXPPQUUMUUNABCFIXDXPXEVMXFXPXHXGVNXI $.

    nmoi2.z $e |- .0. = ( 0g ` S ) $.
    $( The operator norm is a bound on the growth of a vector under the action
       of the operator.  (Contributed by Mario Carneiro, 19-Oct-2015.) $)
    nmoi2 $p |- ( ( ( S e. NrmGrp /\ T e. NrmGrp /\ F e. ( S GrpHom T ) ) /\
        ( X e. V /\ X =/= .0. ) ) ->
      ( ( M ` ( F ` X ) ) / ( L ` X ) ) <_ ( N ` F ) ) $=
      ( wcel co cfv c1 cxmu cxr cngp cghm w3a wne wa cdiv cle cc0 wbr cr simpl2
      cbs wf simpl3 eqid ghmf syl simprl ffvelrnd nmcl syl2anc rexrd adantr crp
      nmocl nmrpcl 3expb 3ad2antl1 rpxrd xmulcld rpreccld rpge0d nmoix xlemul1a
      adantrr syl31anc cmul wceq rpred rexmul recnd rpcnd rpne0d divrecd eqtr4d
      jca xmulass syl3anc recidd eqtrd oveq2d xmulid1 3eqtrd 3brtr3d ) AUAOZBUA
      OZCABUBPOZUCZHGOZHIUDZUEZUEZHCQZEQZRHDQZUFPZSPZCFQZXESPZXFSPZXDXEUFPZXHUG
      XBXDTOXITOXFTOZUHXFUGUIZUEXDXIUGUIZXGXJUGUIXBXDXBWPXCBULQZOXDUJOZWOWPWQXA
      UKXBGXOHCXBWQGXOCUMWOWPWQXAUNABCGXOKXOUOZUPUQWRWSWTURUSXCBEXOXQMUTVAZVBXB
      XHXEWRXHTOZXAABCFJVEVCZXBXEWOWPXAXEVDOZWQWOWSWTYAHADGIKLNVFVGVHZVIZVJXBXL
      XMXBXFXBXEYBVKZVIZXBXFYDVLWFWRWSXNWTABCDEFGHJKLMVMVOXDXIXFVNVPXBXGXDXFVQP
      ZXKXBXPXFUJOZXGYFVRXRXBXFYDVSZXDXFVTVAXBXDXEXBXDXRWAXBXEYBWBZXBXEYBWCZWDW
      EXBXJXHXEXFSPZSPZXHRSPZXHXBXSXETOXLXJYLVRXTYCYEXHXEXFWGWHXBYKRXHSXBYKXEXF
      VQPZRXBXEUJOYGYKYNVRXBXEYBVSYHXEXFVTVAXBXEYIYJWIWJWKXBXSYMXHVRXTXHWLUQWMW
      N $.

    nmoleub.1 $e |- ( ph -> S e. NrmGrp ) $.
    nmoleub.2 $e |- ( ph -> T e. NrmGrp ) $.
    nmoleub.3 $e |- ( ph -> F e. ( S GrpHom T ) ) $.
    nmoleub.4 $e |- ( ph -> A e. RR* ) $.
    nmoleub.5 $e |- ( ph -> 0 <_ A ) $.
    $( The operator norm, defined as an infimum of upper bounds, can also be
       defined as a supremum of norms of ` F ( x ) ` away from zero.
       (Contributed by Mario Carneiro, 18-Oct-2015.) $)
    nmoleub $p |- ( ph -> ( ( N ` F ) <_ A <->
      A. x e. V ( x =/= .0. -> ( ( M ` ( F ` x ) ) / ( L ` x ) ) <_ A ) ) ) $=
      ( cfv cle wbr cv wne cdiv co wi wral wa wcel cngp cbs cr ad2antrr wf cghm
      eqid ghmf syl simprl ffvelrn syl2anc adantr nmrpcl 3expb sylan rerpdivcld
      nmcl crp rexrd cxr nmocl syl3anc 3jca nmoi2 simplr xrletrd expr ralrimiva
      w3a cpnf wceq cmul cc0 simpllr recnd mul01d breqtrrid c0g fveq2 sylan9eqr
      0le0 ghmid fveq2d ad3antrrr nm0 eqtrd oveq2d 3brtr4d a1d simpr ledivmul2d
      3expa sylanl1 biimpd embantd pm2.61dane ralimdva nmolb syl311anc syld imp
      an32s pnfge breqtrrd wo cmnf ge0nemnf jca xrnemnf sylib mpjaodan impbida
      ) AFIUBZCUCUDZBUEZKUFZYHFUBZHUBZYHGUBZUGUHZCUCUDZUIZBJUJZAYGUKZYOBJYQYHJU
      LZYIYNYQYRYIUKZUKZYMYFCYTYMYTYKYLYTEUMULZYJEUNUBZULZYKUOULZAUUAYGYSRUPYTJ
      UUBFUQZYRUUCAUUEYGYSAFDEURUHULZUUESDEFJUUBMUUBUSZUTVAZUPYQYRYIVBJUUBYHFVC
      ZVDYJEHUUBUUGOVJZVDYQDUMULZYSYLVKULZAUUKYGQVEUUKYRYIUULYHDGJKMNPVFZVGVHVI
      VLAYFVMULZYGYSAUUKUUAUUFUUNQRSDEFILVNVOZUPACVMULZYGYSTUPYQUUKUUAUUFWBZYSY
      MYFUCUDAUUQYGAUUKUUAUUFQRSVPVEDEFGHIJYHKLMNOPVQVHAYGYSVRVSVTWAAYPUKZCUOUL
      ZYGCWCWDZAUUSYPYGAUUSUKZYPYGUVAYPYKCYLWEUHZUCUDZBJUJZYGUVAYOUVCBJUVAYRUKZ
      YOUVCUIYHKUVEYHKWDZUKZUVCYOUVGWFCWFWEUHZYKUVBUCUVGWFWFUVHUCWNUVGCUVGCAUUS
      YRUVFWGWHWIWJUVGYKEWKUBZHUBZWFUVGYJUVIHUVFUVEYJKFUBZUVIYHKFWLUVEUUFUVKUVI
      WDAUUFUUSYRSUPDEFKUVIPUVIUSZWOVAWMWPUVGUUAUVJWFWDAUUAUUSYRUVFRWQEHUVIOUVL
      WRVAWSUVGYLWFCWEUVFUVEYLKGUBZWFYHKGWLUVEUUKUVMWFWDAUUKUUSYRQUPDGKNPWRVAWM
      WTXAXBUVEYIUKZYIYNUVCUVEYIXCUVNYNUVCUVNYKCYLUVEUUDYIUVEUUAUUCUUDAUUAUUSYR
      RUPUVAUUEYRUUCAUUEUUSUUHVEUUIVHUUJVDVEAUUSYRYIWGUVAUUKYRYIUULAUUKUUSQVEZU
      UKYRYIUULUUMXEXFXDXGXHXIXJUVAUUKUUAUUFUUSWFCUCUDZUVDYGUIUVOAUUAUUSRVEAUUF
      UUSSVEAUUSXCAUVPUUSUAVEBCDEFGHIJLMNOXKXLXMXNXOUURUUTUKZYFWCCUCUVQUUNYFWCU
      CUDAUUNYPUUTUUOUPYFXPVAUURUUTXCXQAUUSUUTXRZYPAUUPCXSUFZUKUVRAUUPUVSTAUUPU
      VPUVSTUACXTVDYACYBYCVEYDYE $.
  $}

  $( Reverse closure for a normed group homomorphism.  (Contributed by Mario
     Carneiro, 18-Oct-2015.) $)
  nghmrcl1 $p |- ( F e. ( S NGHom T ) -> S e. NrmGrp ) $=
    ( cnghm co wcel cngp wa cghm cnmo cfv cr eqid isnghm simplbi simpld ) CABDE
    FZAGFZBGFZQRSHCABIEFCABJEZKLFHABCTTMNOP $.

  $( Reverse closure for a normed group homomorphism.  (Contributed by Mario
     Carneiro, 18-Oct-2015.) $)
  nghmrcl2 $p |- ( F e. ( S NGHom T ) -> T e. NrmGrp ) $=
    ( cnghm co wcel cngp wa cghm cnmo cfv cr eqid isnghm simplbi simprd ) CABDE
    FZAGFZBGFZQRSHCABIEFCABJEZKLFHABCTTMNOP $.

  $( A normed group homomorphism is a group homomorphism.  (Contributed by
     Mario Carneiro, 18-Oct-2015.) $)
  nghmghm $p |- ( F e. ( S NGHom T ) -> F e. ( S GrpHom T ) ) $=
    ( cnghm co wcel cghm cnmo cfv cr cngp wa eqid isnghm simprbi simpld ) CABDE
    FZCABGEFZCABHEZIJFZQAKFBKFLRTLABCSSMNOP $.

  ${
    $d x F $.  $d x N $.  $d x S $.  $d x T $.  $d x V $.  $d x .0. $.
    nmo0.1 $e |- N = ( S normOp T ) $.
    nmo0.2 $e |- V = ( Base ` S ) $.
    nmo0.3 $e |- .0. = ( 0g ` T ) $.
    $( The operator norm of the zero operator.  (Contributed by Mario Carneiro,
       20-Oct-2015.) $)
    nmo0 $p |- ( ( S e. NrmGrp /\ T e. NrmGrp ) ->
                  ( N ` ( V X. { .0. } ) ) = 0 ) $=
      ( vx cngp wcel wa cfv cc0 wceq cle wbr cnm c0g eqid simpl simpr cgrp cghm
      csn cxp co ngpgrp 0ghm syl2an 0red 0le0 a1i cv wne cmul fvconst2 ad2antrl
      fvexi fveq2d nm0 ad2antlr eqtrd cr nmcl ad2ant2r mul02d breqtrrid eqbrtrd
      recnd nmolb2d nmoge0 mpd3an3 cxr wb nmocl 0xr xrletri3 sylancl mpbir2and
      ) AJKZBJKZLZDEUEUFZCMZNOZWENPQZNWEPQZWCINABWDARMZBRMZCDASMZFGWITZWJTZWKTW
      AWBUAWAWBUBWAAUCKBUCKWDABUDUGKZWBAUHBUHDABEHGUIUJZWCUKNNPQWCULUMWCIUNZDKZ
      WPWKUOZLZLZWPWDMZWJMZNNWPWIMZUPUGZPWTXBEWJMZNWTXAEWJWQXAEOWCWRDEWPEBSHUSU
      QURUTWBXENOWAWSBWJEWMHVAVBVCWTNNXDPULWTXCWTXCWAWQXCVDKWBWRWPAWIDGWLVEVFVJ
      VGVHVIVKWAWBWNWHWOABWDCFVLVMWCWEVNKZNVNKWFWGWHLVOWAWBWNXFWOABWDCFVPVMVQWE
      NVRVSVT $.

    $( The operator norm is zero only for the zero operator.  (Contributed by
       Mario Carneiro, 20-Oct-2015.) $)
    nmoeq0 $p |- ( ( S e. NrmGrp /\ T e. NrmGrp /\ F e. ( S GrpHom T ) ) ->
                   ( ( N ` F ) = 0 <-> F = ( V X. { .0. } ) ) ) $=
      ( vx wcel co cfv cc0 wceq wa cle wbr cmul cr cngp cghm w3a csn cxp cv cnm
      cmpt cnghm id 0re eqeltrdi isnghm2 biimpar sylan2 eqid nmoi simplr oveq1d
      sylan simpl1 nmcl recnd mul02d eqtrd breqtrd cbs simpll2 simpl3 ffvelrnda
      wf ghmf syl nmge0 syl2anc wb letri3 sylancl mpbir2and nmeq0 mpbid feqmptd
      mpteq2dva fconstmpt a1i 3eqtr4d ex nmo0 3adant3 fveqeq2 syl5ibrcom impbid
      ) AUAKZBUAKZCABUBLKZUCZCDMZNOZCEFUDUEZOZWPWRWTWPWRPZJEJUFZCMZUHJEFUHZCWSX
      AJEXCFXAXBEKZPZXCBUGMZMZNOZXCFOZXFXIXHNQRZNXHQRZXFXHWQXBAUGMZMZSLZNQXACAB
      UILKZXEXHXOQRWRWPWQTKZXPWRWQNTWRUJUKULWPXPXQABCDGUMUNUOABCXMXGDEXBGHXMUPZ
      XGUPZUQUTXFXONXNSLNXFWQNXNSWPWRXEURUSXFXNXFXNXAWMXEXNTKWMWNWOWRVAXBAXMEHX
      RVBUTVCVDVEVFXFWNXCBVGMZKZXLWMWNWOWRXEVHZXAEXTXBCXAWOEXTCVKWMWNWOWRVIABCE
      XTHXTUPZVLVMZVJZXCBXGXTYCXSVNVOXFXHTKZNTKXIXKXLPVPXFWNYAYFYBYEXCBXGXTYCXS
      VBVOUKXHNVQVRVSXFWNYAXIXJVPYBYEXCBXGXTFYCXSIVTVOWAWCXAJEXTCYDWBWSXDOXAJEF
      WDWEWFWGWPWRWTWSDMNOZWMWNYGWOABDEFGHIWHWICWSNDWJWKWL $.
  $}

  ${
    $d x F $.  $d x G $.  $d x L $.  $d x M $.  $d x N $.  $d x S $.  $d x T $.
    $d x U $.
    nmoco.1 $e |- N = ( S normOp U ) $.
    nmoco.2 $e |- L = ( T normOp U ) $.
    nmoco.3 $e |- M = ( S normOp T ) $.
    $( An upper bound on the operator norm of a composition.  (Contributed by
       Mario Carneiro, 20-Oct-2015.) $)
    nmoco $p |- ( ( F e. ( T NGHom U ) /\ G e. ( S NGHom T ) ) ->
                  ( N ` ( F o. G ) ) <_ ( ( L ` F ) x. ( M ` G ) ) ) $=
      ( co wcel wa cfv cmul eqid cr cle wbr vx cnghm ccom cnm cbs cngp nghmrcl1
      c0g adantl nghmrcl2 adantr nghmghm ghmco syl2an nghmcl remulcl cc0 nmoge0
      cghm syl3anc jca mulge0 cv wne ad2antrr ghmf syl ad2antlr simprl ffvelrnd
      wf nmcl syl2anc remulcld sylan ad2ant2lr nmoi lemul2a syl31anc letrd wceq
      simpll fvco3 fveq2d recnd mulassd 3brtr4d nmolb2d ) DBCUBLMZEABUBLMZNZUAD
      FOZEGOZPLZACDEUCZAUDOZCUDOZHAUEOZAUHOZIWRQZWPQZWQQZWSQWJAUFMZWIABEUGZUIWI
      CUFMZWJBCDUJZUKWIDBCUSLMZEABUSLMZWOACUSLMWJBCDULZABEULZABCDEUMUNWIWLRMZWM
      RMZWNRMWJBCDFJUOZABEGKUOZWLWMUPUNWIXKUQWLSTZNZXLUQWMSTZNUQWNSTWJWIXKXOXMW
      IBUFMZXEXGXOBCDUGZXFXIBCDFJURUTVAZWJXLXQXNWJXCXRXHXQXDABEUJXJABEGKURUTVAW
      LWMVBUNWKUAVCZWRMZYAWSVDZNZNZYAEOZDOZWQOZWLWMYAWPOZPLZPLZYAWOOZWQOWNYIPLS
      YEYHWLYFBUDOZOZPLZYKYEXEYGCUEOZMYHRMWIXEWJYDXFVEYEBUEOZYPYFDYEXGYQYPDVKWI
      XGWJYDXIVEBCDYQYPYQQZYPQZVFVGYEWRYQYAEYEXHWRYQEVKZWJXHWIYDXJVHABEWRYQWTYR
      VFVGZWKYBYCVIZVJZVJYGCWQYPYSXBVLVMYEWLYNWIXKWJYDXMVEZYEXRYFYQMZYNRMZWIXRW
      JYDXSVEUUCYFBYMYQYRYMQZVLVMZVNYEWLYJUUDYEWMYIWJXLWIYDXNVHZWJYBYIRMZWIYCWJ
      XCYBUUJXDYAAWPWRWTXAVLVOVPZVNZVNYEWIUUEYHYOSTWIWJYDWBUUCBCDYMWQFYQYFJYRUU
      GXBVQVMYEUUFYJRMXPYNYJSTZYOYKSTUUHUULWIXPWJYDXTVEWJYBUUMWIYCABEWPYMGWRYAK
      WTXAUUGVQVPYNYJWLVRVSVTYEYLYGWQYEYTYBYLYGWAUUAUUBWRYQYADEWCVMWDYEWLWMYIYE
      WLUUDWEYEWMUUIWEYEYIUUKWEWFWGWH $.
  $}

  $( The composition of normed group homomorphisms is a normed group
     homomorphism.  (Contributed by Mario Carneiro, 20-Oct-2015.) $)
  nghmco $p |- ( ( F e. ( T NGHom U ) /\ G e. ( S NGHom T ) ) ->
                 ( F o. G ) e. ( S NGHom U ) ) $=
    ( cnghm co wcel wa cngp ccom cghm cnmo cfv cmul nghmghm syl2an eqid nghmcl
    cr cle nghmrcl1 adantl nghmrcl2 adantr ghmco remulcl nmoco bddnghm syl32anc
    wbr ) DBCFGHZEABFGHZIAJHZCJHZDEKZACLGHZDBCMGZNZEABMGZNZOGZTHZUPACMGZNVBUAUK
    UPACFGHUMUNULABEUBUCULUOUMBCDUDUEULDBCLGHEABLGHUQUMBCDPABEPABCDEUFQULUSTHVA
    THVCUMBCDURURRZSABEUTUTRZSUSVAUGQABCDEURUTVDVDRZVEVFUHVBACUPVDVGUIUJ $.

  ${
    $d x F $.  $d x G $.  $d x N $.  $d x .+ $.  $d x S $.  $d x T $.
    nmotri.1 $e |- N = ( S normOp T ) $.
    nmotri.p $e |- .+ = ( +g ` T ) $.
    $( Triangle inequality for the operator norm.  (Contributed by Mario
       Carneiro, 20-Oct-2015.) $)
    nmotri $p |- ( ( T e. Abel /\ F e. ( S NGHom T ) /\ G e. ( S NGHom T ) ) ->
                   ( N ` ( F oF .+ G ) ) <_ ( ( N ` F ) + ( N ` G ) ) ) $=
      ( wcel co cfv eqid 3ad2ant2 cr cle wbr syl3anc adantr nmcl syl2anc vx w3a
      cabl cnghm caddc cof cnm cbs cngp nghmrcl1 nghmrcl2 cghm nghmghm ghmplusg
      c0g id syl3an nghmcl 3ad2ant3 readdcld cc0 nmoge0 addge0d cv wa cmul cgrp
      wne ngpgrp syl wf ghmf simprl ffvelrnd grpcl simpl syl2an remulcld simpl2
      nmtri nmoi simpl3 le2addd letrd wfn cvv wceq fvexd fnfvof syl22anc fveq2d
      ffnd recnd adddird 3brtr4d nmolb2d ) CUCIZDBCUDJZIZEWRIZUBZUADFKZEFKZUEJZ
      BCDEAUFJZBUGKZCUGKZFBUHKZBUOKZGXHLZXFLZXGLZXILWSWQBUIIZWTBCDUJMZWSWQCUIIZ
      WTBCDUKMZWQWQWSDBCULJZIZWTEXQIZXEXQIWQUPBCDUMZBCEUMZADEBCHUNUQXAXBXCWSWQX
      BNIZWTBCDFGURMZWTWQXCNIZWSBCEFGURUSZUTXAXBXCYCYEXAXMXOXRVAXBOPXNXPWSWQXRW
      TXTMZBCDFGVBQXAXMXOXSVAXCOPXNXPWTWQXSWSYAUSZBCEFGVBQVCXAUAVDZXHIZYHXIVHZV
      EZVEZYHDKZYHEKZAJZXGKZXBYHXFKZVFJZXCYQVFJZUEJZYHXEKZXGKXDYQVFJOYLYPYMXGKZ
      YNXGKZUEJZYTYLXOYOCUHKZIZYPNIXAXOYKXPRZYLCVGIZYMUUEIZYNUUEIZUUFYLXOUUHUUG
      CVIVJYLXHUUEYHDYLXRXHUUEDVKXAXRYKYFRBCDXHUUEXJUUELZVLVJZXAYIYJVMZVNZYLXHU
      UEYHEYLXSXHUUEEVKXAXSYKYGRBCEXHUUEXJUUKVLVJZUUMVNZUUEACYMYNUUKHVOQYOCXGUU
      EUUKXLSTYLUUBUUCYLXOUUIUUBNIUUGUUNYMCXGUUEUUKXLSTZYLXOUUJUUCNIUUGUUPYNCXG
      UUEUUKXLSTZUTYLYRYSYLXBYQXAYBYKYCRZXAXMYIYQNIYKXNYIYJVPYHBXFXHXJXKSVQZVRZ
      YLXCYQXAYDYKYERZUUTVRZUTYLXOUUIUUJYPUUDOPUUGUUNUUPYMYNACXGUUEUUKXLHVTQYLU
      UBUUCYRYSUUQUURUVAUVCYLWSYIUUBYROPWQWSWTYKVSUUMBCDXFXGFXHYHGXJXKXLWATYLWT
      YIUUCYSOPWQWSWTYKWBUUMBCEXFXGFXHYHGXJXKXLWATWCWDYLUUAYOXGYLDXHWEEXHWEXHWF
      IYIUUAYOWGYLXHUUEDUULWLYLXHUUEEUUOWLYLBUHWHUUMXHADEWFYHWIWJWKYLXBXCYQYLXB
      UUSWMYLXCUVBWMYLYQUUTWMWNWOWP $.
  $}

  ${
    nghmplusg.p $e |- .+ = ( +g ` T ) $.
    $( The sum of two bounded linear operators is bounded linear.  (Contributed
       by Mario Carneiro, 20-Oct-2015.) $)
    nghmplusg $p |- ( ( T e. Abel /\ F e. ( S NGHom T ) /\ G e. ( S NGHom T ) )
                      -> ( F oF .+ G ) e. ( S NGHom T ) ) $=
      ( cabl wcel cnghm co w3a cngp cof cghm cnmo cfv 3ad2ant2 nghmghm nghmcl
      cr caddc cle wbr nghmrcl1 nghmrcl2 ghmplusg syl3an eqid 3ad2ant3 readdcld
      id nmotri bddnghm syl32anc ) CGHZDBCIJZHZEUPHZKZBLHZCLHZDEAMJZBCNJZHZDBCO
      JZPZEVEPZUAJZTHVBVEPVHUBUCVBUPHUQUOUTURBCDUDQUQUOVAURBCDUEQUOUOUQDVCHUREV
      CHVDUOUKBCDRBCERADEBCFUFUGUSVFVGUQUOVFTHURBCDVEVEUHZSQURUOVGTHUQBCEVEVISU
      IUJABCDEVEVIFULVHBCVBVEVIUMUN $.
  $}

  ${
    0nghm.2 $e |- V = ( Base ` S ) $.
    0nghm.3 $e |- .0. = ( 0g ` T ) $.
    $( The zero operator is a normed group homomorphism.  (Contributed by Mario
       Carneiro, 18-Oct-2015.) $)
    0nghm $p |- ( ( S e. NrmGrp /\ T e. NrmGrp ) ->
                  ( V X. { .0. } ) e. ( S NGHom T ) ) $=
      ( cngp wcel wa csn cxp cnghm co cnmo cfv cr cc0 eqid cgrp ngpgrp nmo0 0re
      eqeltrdi cghm wb 0ghm syl2an isnghm2 mpd3an3 mpbird ) AGHZBGHZIZCDJKZABLM
      HZUNABNMZOZPHZUMUQQPABUPCDUPRZEFUAUBUCUKULUNABUDMHZUOURUEUKASHBSHUTULATBT
      CABDFEUFUGABUNUPUSUHUIUJ $.
  $}

  ${
    $d x N $.  $d x S $.  $d x V $.  $d x .0. $.
    nmoid.1 $e |- N = ( S normOp S ) $.
    nmoid.2 $e |- V = ( Base ` S ) $.
    nmoid.3 $e |- .0. = ( 0g ` S ) $.
    $( The operator norm of the identity function on a nontrivial group.
       (Contributed by Mario Carneiro, 20-Oct-2015.) $)
    nmoid $p |- ( ( S e. NrmGrp /\ { .0. } C. V ) ->
      ( N ` ( _I |` V ) ) = 1 ) $=
      ( vx wcel wa cfv c1 wceq cle wbr co adantr 1red cr syl3anc cngp wpss cres
      csn cid cnm eqid simpl cgrp cghm ngpgrp syl cc0 0le1 a1i cv wne cmul nmcl
      idghm ad2ant2r leidd fvresi ad2antrl fveq2d recnd mulid2d 3brtr4d nmolb2d
      wn wex pssnel adantl velsn biimpri necon3bi eqtr4d cnghm cxr nmocl nmoge0
      xrrege0 syl22anc wb isnghm2 mpbird simprl nmoi syl2an2r eqbrtrd crp 3expb
      nmrpcl adantlr lemul1d sylanr2 exlimddv 1xr xrletri3 sylancl mpbir2and )
      AUAIZDUDZCUBZJZUECUCZBKZLMZXGLNOZLXGNOZXEHLAAXFAUFKZXKBCDEFXKUGZXLGXBXDUH
      ZXMXEAUIIZXFAAUJPIZXBXNXDAUKQCAFUTULZXERZUMLNOXEUNUOXEHUPZCIZXRDUQZJZJZXR
      XKKZYCXRXFKZXKKZLYCURPZNYBYCXBXSYCSIXDXTXRAXKCFXLUSVAZVBYBYDXRXKXSYDXRMXE
      XTCXRVCVDVEZYBYCYBYCYGVFVGZVHVIZXEXSXRXCIZVJZJZXJHXDYMHVKXBHXCCVLVMYLXEXS
      XTXJYKXRDYKXRDMHDVNVOVPYBXJYFXGYCURPZNOYBYFYEYNNYBYFYCYEYIYHVQXEXFAAVRPIZ
      YAXSYEYNNOXEYOXGSIZXEXGVSIZLSIUMXGNOZXIYPXEXBXBXOYQXMXMXPAAXFBEVTTZXQXEXB
      XBXOYRXMXMXPAAXFBEWATYJXGLWBWCZXEXBXBXOYOYPWDXMXMXPAAXFBEWETWFXEXSXTWGAAX
      FXKXKBCXREFXLXLWHWIWJYBLXGYCYBRXEYPYAYTQXBYAYCWKIZXDXBXSXTUUAXRAXKCDFXLGW
      MWLWNWOWFWPWQXEYQLVSIXHXIXJJWDYSWRXGLWSWTXA $.
  $}

  ${
    $d x S $.  $d x V $.
    idnghm.2 $e |- V = ( Base ` S ) $.
    $( The identity operator is a normed group homomorphism.  (Contributed by
       Mario Carneiro, 18-Oct-2015.) $)
    idnghm $p |- ( S e. NrmGrp -> ( _I |` V ) e. ( S NGHom S ) ) $=
      ( vx cngp wcel cid cres cnghm co cnmo cfv wceq eqid eqeltrdi cc0 cmpt syl
      cr wa c0g csn wpss c1 nmoid 1re cv eleq2 biimpar elsni mpteq2dva mptresid
      cxp fconstmpt 3eqtr4g fveq2d nmo0 anidms sylan9eqr 0re wss wo cgrp ngpgrp
      grpidcl snssd sspss sylib mpjaodan cghm wb idghm isnghm2 mpd3an23 mpbird
      id ) AEFZGBHZAAIJFZVRAAKJZLZSFZVQAUALZUBZBUCZWBWDBMZVQWETWAUDSAVTBWCVTNZC
      WCNZUEUFOVQWFTWAPSWFVQWABWDUMZVTLZPWFVRWIVTWFDBDUGZQDBWCQVRWIWFDBWKWCWFWK
      BFZTWKWDFZWKWCMWFWMWLWDBWKUHUIWKWCUJRUKDBULDBWCUNUOUPVQWJPMAAVTBWCWGCWHUQ
      URUSUTOVQWDBVAWEWFVBVQWCBVQAVCFZWCBFAVDZBAWCCWHVERVFWDBVGVHVIVQVQVRAAVJJF
      ZVSWBVKVQVPVQWNWPWOBACVLRAAVRVTWGVMVNVO $.
  $}

  ${
    nmods.n $e |- N = ( S normOp T ) $.
    nmods.v $e |- V = ( Base ` S ) $.
    nmods.c $e |- C = ( dist ` S ) $.
    nmods.d $e |- D = ( dist ` T ) $.
    $( Upper bound for the distance between the values of a bounded linear
       operator.  (Contributed by Mario Carneiro, 22-Oct-2015.) $)
    nmods $p |- ( ( F e. ( S NGHom T ) /\ A e. V /\ B e. V ) ->
      ( ( F ` A ) D ( F ` B ) ) <_ ( ( N ` F ) x. ( A C B ) ) ) $=
      ( co wcel cfv cmul eqid syl3an1 wceq cnghm w3a csg cnm cle wbr simp1 cgrp
      cngp nghmrcl1 ngpgrp syl grpsubcl nmoi syl2anc cbs nghmrcl2 3ad2ant1 cghm
      wf nghmghm simp2 ffvelrnd simp3 ngpds syl3anc ghmsub fveq2d eqtr4d oveq2d
      ghmf 3brtr4d ) GEFUANOZAIOZBIOZUBZABEUCPZNZGPZFUDPZPZGHPZVREUDPZPZQNZAGPZ
      BGPZDNZWBABCNZQNUEVPVMVRIOZWAWEUEUFVMVNVOUGVMEUHOZVNVOWJVMEUIOZWKEFGUJZEU
      KULIEVQABKVQRZUMSEFGWCVTHIVRJKWCRZVTRZUNUOVPWHWFWGFUCPZNZVTPZWAVPFUIOZWFF
      UPPZOWGXAOWHWSTVMVNWTVOEFGUQURVPIXAAGVPGEFUSNOZIXAGUTVMVNXBVOEFGVAZUREFGI
      XAKXARZVKULZVMVNVOVBVCVPIXABGXEVMVNVOVDVCWFWGDFWQVTXAWPXDWQRZMVEVFVPVSWRV
      TVMXBVNVOVSWRTXCIEFAGVQWQBKWNXFVGSVHVIVPWIWDWBQVMWLVNVOWIWDTWMABCEVQWCIWO
      KWNLVESVJVL $.
  $}

  ${
    $d r s x y F $.  $d r s x y S $.  $d r s x y T $.
    nghmcn.j $e |- J = ( TopOpen ` S ) $.
    nghmcn.k $e |- K = ( TopOpen ` T ) $.
    $( A normed group homomorphism is a continuous function.  (Contributed by
       Mario Carneiro, 20-Oct-2015.) $)
    nghmcn $p |- ( F e. ( S NGHom T ) -> F e. ( J Cn K ) ) $=
      ( vy co wcel cfv clt wbr crp eqid syl wa syl3anc cr ad2antrr vx vs vr cds
      cnghm cbs cxp cres cmopn ccn wf cv wi wral wrex cghm nghmghm ghmf cnmo c1
      caddc cdiv simprr nghmcl cc0 cle nghmrcl1 nghmrcl2 nmoge0 ge0p1rpd adantr
      cngp rpdivcld cmul cms ngpms simplrl simpr mscl rpred ltmuldiv2d ffvelrnd
      remulcld nmods 3expa adantlrr cxms msxms xmsge0 lep1d letrd mpand sylbird
      lelttr ovresd breq1d 3imtr4d ralrimiva breq2 rspceaimv syl2anc ralrimivva
      lemul1ad cxmet xmsxmet 3syl metcn mpbir2and wceq mstopn oveq12d eleqtrrd
      wb ) CABUEIJZCAUDKZAUFKZXPUGUHZUIKZBUDKZBUFKZXTUGUHZUIKZUJIZDEUJIXNCYCJZX
      PXTCUKZUAULZHULZXQIZUBULZLMZYFCKZYGCKZYAIZUCULZLMZUMHXPUNUBNUOZUCNUNUAXPU
      NZXNCABUPIJZYEABCUQZABCXPXTXPOZXTOZURPZXNYPUAUCXPNXNYFXPJZYNNJZQZQZYNCABU
      SIZKZUTVAIZVBIZNJYHUUJLMZYOUMZHXPUNYPUUFYNUUIXNUUCUUDVCZXNUUINJZUUEXNUUHA
      BCUUGUUGOZVDZXNAVLJZBVLJZYRVEUUHVFMABCVGZABCVHZYSABCUUGUUOVIRVJZVKVMUUFUU
      LHXPUUFYGXPJZQZYFYGXOIZUUJLMZYKYLXSIZYNLMZUUKYOUVCUVEUUIUVDVNIZYNLMZUVGUV
      CUVDYNUUIUVCAVOJZUUCUVBUVDSJXNUVJUUEUVBXNUUQUVJUUSAVPPZTZXNUUCUUDUVBVQZUU
      FUVBVRZYFYGXOAXPYTXOOZVSRZUVCYNUUFUUDUVBUUMVKVTZXNUUNUUEUVBUVATZWAUVCUVFU
      VHVFMZUVIUVGUVCUVFUUHUVDVNIZUVHUVCBVOJZYKXTJYLXTJUVFSJZXNUWAUUEUVBXNUURUW
      AUUTBVPPZTUVCXPXTYFCXNYEUUEUVBUUBTZUVMWBZUVCXPXTYGCUWDUVNWBZYKYLXSBXTUUAX
      SOZVSRZUVCUUHUVDXNUUHSJUUEUVBUUPTZUVPWCUVCUUIUVDUVCUUIUVRVTZUVPWCZXNUUCUV
      BUVFUVTVFMZUUDXNUUCUVBUWLYFYGXOXSABCUUGXPUUOYTUVOUWGWDWEWFUVCUUHUUIUVDUWI
      UWJUVPUVCAWGJZUUCUVBVEUVDVFMUVCUVJUWMUVLAWHZPUVMUVNYFYGXOAXPYTUVOWIRUVCUU
      HUWIWJXCWKUVCUWBUVHSJYNSJUVSUVIQUVGUMUWHUWKUVQUVFUVHYNWNRWLWMUVCYHUVDUUJL
      UVCYFYGXOXPUVMUVNWOWPUVCYMUVFYNLUVCYKYLXSXTUWEUWFWOWPWQWRYJUUKYOUBHUUJNXP
      YIUUJYHLWSWTXAXBXNXQXPXDKJZYAXTXDKJZYDYEYQQXMXNUVJUWMUWOUVKUWNXQAXPYTXQOZ
      XEXFXNUWABWGJUWPUWCBWHYABXTUUAYAOZXEXFUAUCUBHXQYACXRYBXPXTXROYBOXGXAXHXND
      XREYBUJXNUVJDXRXIUVKXQDAXPFYTUWQXJPXNUWAEYBXIUWCYAEBXTGUUAUWRXJPXKXL $.
  $}

  ${
    $d s t S $.  $d s t T $.
    $( A normed module homomorphism is a left module homomorphism which is also
       a normed group homomorphism.  (Contributed by Mario Carneiro,
       18-Oct-2015.) $)
    isnmhm $p |- ( F e. ( S NMHom T ) <-> ( ( S e. NrmMod /\ T e. NrmMod ) /\
      ( F e. ( S LMHom T ) /\ F e. ( S NGHom T ) ) ) ) $=
      ( vs vt cnmhm co wcel cnlm wa clmhm cnghm cin df-nmhm elmpocl wceq oveq12
      cv ineq12d ovex inex1 ovmpoa eleq2d elin bitrdi biadanii ) CABFGZHZAIHBIH
      JZCABKGZHCABLGZHJZDEIIDRZERZKGZUMUNLGZMZABFCEDNZOUIUHCUJUKMZHULUIUGUSCDEA
      BIIUQUSFUMAPUNBPJUOUJUPUKUMAUNBKQUMAUNBLQSURUJUKABKTUAUBUCCUJUKUDUEUF $.

    $( Reverse closure for a normed module homomorphism.  (Contributed by Mario
       Carneiro, 18-Oct-2015.) $)
    nmhmrcl1 $p |- ( F e. ( S NMHom T ) -> S e. NrmMod ) $=
      ( cnmhm co wcel cnlm wa clmhm cnghm isnmhm simplbi simpld ) CABDEFZAGFZBG
      FZNOPHCABIEFCABJEFHABCKLM $.

    $( Reverse closure for a normed module homomorphism.  (Contributed by Mario
       Carneiro, 18-Oct-2015.) $)
    nmhmrcl2 $p |- ( F e. ( S NMHom T ) -> T e. NrmMod ) $=
      ( cnmhm co wcel cnlm wa clmhm cnghm isnmhm simplbi simprd ) CABDEFZAGFZBG
      FZNOPHCABIEFCABJEFHABCKLM $.

    $( A normed module homomorphism is a left module homomorphism (a linear
       operator).  (Contributed by Mario Carneiro, 18-Oct-2015.) $)
    nmhmlmhm $p |- ( F e. ( S NMHom T ) -> F e. ( S LMHom T ) ) $=
      ( cnmhm co wcel clmhm cnghm cnlm wa isnmhm simprbi simpld ) CABDEFZCABGEF
      ZCABHEFZNAIFBIFJOPJABCKLM $.

    $( A normed module homomorphism is a normed group homomorphism.
       (Contributed by Mario Carneiro, 18-Oct-2015.) $)
    nmhmnghm $p |- ( F e. ( S NMHom T ) -> F e. ( S NGHom T ) ) $=
      ( cnmhm co wcel clmhm cnghm cnlm wa isnmhm simprbi simprd ) CABDEFZCABGEF
      ZCABHEFZNAIFBIFJOPJABCKLM $.

    $( A normed module homomorphism is a group homomorphism.  (Contributed by
       Mario Carneiro, 18-Oct-2015.) $)
    nmhmghm $p |- ( F e. ( S NMHom T ) -> F e. ( S GrpHom T ) ) $=
      ( cnmhm co wcel cnghm cghm nmhmnghm nghmghm syl ) CABDEFCABGEFCABHEFABCIA
      BCJK $.

    isnmhm2.1 $e |- N = ( S normOp T ) $.
    $( A normed module homomorphism is a left module homomorphism with bounded
       norm (a bounded linear operator).  (Contributed by Mario Carneiro,
       18-Oct-2015.) $)
    isnmhm2 $p |- ( ( S e. NrmMod /\ T e. NrmMod /\ F e. ( S LMHom T ) ) ->
      ( F e. ( S NMHom T ) <-> ( N ` F ) e. RR ) ) $=
      ( cnlm wcel clmhm co cnmhm cfv cr wb cnghm isnmhm baib baibd cngp nlmngp
      wa cghm lmghm isnghm syl2an sylan2 bitrd 3impa ) AFGZBFGZCABHIGZCABJIGZCD
      KLGZMUHUITZUJTUKCABNIGZULUMUKUJUNUKUMUJUNTABCOPQUJUMCABUAIGZUNULMABCUBUMU
      NUOULUHARGZBRGZUNUOULTZMUIASBSUNUPUQTURABCDEUCPUDQUEUFUG $.

    $( A normed module homomorphism has a real operator norm.  (Contributed by
       Mario Carneiro, 18-Oct-2015.) $)
    nmhmcl $p |- ( F e. ( S NMHom T ) -> ( N ` F ) e. RR ) $=
      ( cnmhm co wcel cnghm cfv cr nmhmnghm nghmcl syl ) CABFGHCABIGHCDJKHABCLA
      BCDEMN $.
  $}

  ${
    0nmhm.1 $e |- V = ( Base ` S ) $.
    $( The identity operator is a bounded linear operator.  (Contributed by
       Mario Carneiro, 20-Oct-2015.) $)
    idnmhm $p |- ( S e. NrmMod -> ( _I |` V ) e. ( S NMHom S ) ) $=
      ( cnlm wcel cid cres clmhm co cnghm wa cnmhm id clmod nlmlmod idlmhm cngp
      syl nlmngp idnghm jca isnmhm syl21anbrc ) ADEZUDUDFBGZAAHIEZUEAAJIEZKUEAA
      LIEUDMZUHUDUFUGUDANEUFAOBACPRUDAQEUGASABCTRUAAAUEUBUC $.

    0nmhm.2 $e |- .0. = ( 0g ` T ) $.
    0nmhm.f $e |- F = ( Scalar ` S ) $.
    0nmhm.g $e |- G = ( Scalar ` T ) $.
    $( The zero operator is a bounded linear operator.  (Contributed by Mario
       Carneiro, 20-Oct-2015.) $)
    0nmhm $p |- ( ( S e. NrmMod /\ T e. NrmMod /\ F = G ) ->
                  ( V X. { .0. } ) e. ( S NMHom T ) ) $=
      ( cnlm wcel wceq co clmod nlmlmod cngp nlmngp 3adant3 wa w3a csn cnmhm id
      cxp clmhm cnghm 0lmhm syl3an 0nghm syl2an wb isnmhm baib mpbir2and ) AKLZ
      BKLZCDMZUAEFUBUEZABUCNLZUSABUFNLZUSABUGNLZUPAOLUQBOLURURVAAPBPURUDECDABFH
      GIJUHUIUPUQVBURUPAQLBQLVBUQARBRABEFGHUJUKSUPUQUTVAVBTZULURUTUPUQTVCABUSUM
      UNSUO $.
  $}

  $( The composition of bounded linear operators is a bounded linear operator.
     (Contributed by Mario Carneiro, 20-Oct-2015.) $)
  nmhmco $p |- ( ( F e. ( T NMHom U ) /\ G e. ( S NMHom T ) ) ->
                 ( F o. G ) e. ( S NMHom U ) ) $=
    ( cnmhm co wcel cnlm clmhm cnghm nmhmrcl2 nmhmrcl1 anim12ci nmhmlmhm lmhmco
    wa ccom syl2an nmhmnghm nghmco jca isnmhm sylanbrc ) DBCFGHZEABFGHZQZAIHZCI
    HZQDERZACJGHZUJACKGHZQUJACFGHUEUIUFUHBCDLABEMNUGUKULUEDBCJGHEABJGHUKUFBCDOA
    BEODEABCPSUEDBCKGHEABKGHULUFBCDTABETABCDEUASUBACUJUCUD $.

  ${
    nmhmplusg.p $e |- .+ = ( +g ` T ) $.
    $( The sum of two bounded linear operators is bounded linear.  (Contributed
       by Mario Carneiro, 20-Oct-2015.) $)
    nmhmplusg $p |- ( ( F e. ( S NMHom T ) /\ G e. ( S NMHom T ) ) ->
                      ( F oF .+ G ) e. ( S NMHom T ) ) $=
      ( cnmhm co wcel wa cnlm cof clmhm cnghm nmhmrcl1 nmhmrcl2 nmhmlmhm adantl
      anim12i nmhmnghm lmhmplusg syl2an cabl clmod nlmlmod lmodabl 3syl syl3anc
      adantr nghmplusg jca isnmhm sylanbrc ) DBCGHZIZEUNIZJZBKIZCKIZJDEALHZBCMH
      ZIZUTBCNHZIZJUTUNIUOURUPUSBCDOBCEPZSUQVBVDUODVAIEVAIVBUPBCDQBCEQADEBCFUAU
      BUQCUCIZDVCIZEVCIZVDUPVFUOUPUSCUDIVFVECUECUFUGRUOVGUPBCDTUIUPVHUOBCETRABC
      DEFUJUHUKBCUTULUM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Topology on the reals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d t u v w x y z S $.
    qtopbas.1 $e |- S C_ RR* $.
    $( The set of open intervals with endpoints in a subset forms a basis for a
       topology.  (Contributed by Mario Carneiro, 17-Jun-2014.) $)
    qtopbaslem $p |- ( (,) " ( S X. S ) ) e. TopBases $=
      ( vx vy vz vw vv vu vt cioo wcel cv cin wral wa cxr wceq sseli cfv mp2an
      cxp cima cvv ctb iooex imaex cle wbr cif anim12i iooin syl2an ifcl ancoms
      co cop df-ov opelxpi wfun cdm wss wi cr cpw wf ioof ax-mp xpss12 sseqtrri
      ffun fdmi funfvima2 syl eqeltrid an4s eqeltrd ralrimivva rgen2 wfn wb ffn
      ineq1 eleq1d ralbidv ralima fveq2 eqtr4di ineq1d ineq2 ineq2d ralxp bitri
      bitrdi mpbir fiinbas ) JAAUAZUBZUCKCLZDLZMZWQKZDWQNZCWQNZWQUDKJWPUEUFXCEL
      ZFLZJUOZGLZHLZJUOZMZWQKZHANGANZFANEANZXLEFAAXDAKZXEAKZOZXKGHAAXPXGAKZXHAK
      ZOZOXJXDXGUGUHZXGXDUIZXEXHUGUHZXEXHUIZJUOZWQXPXDPKZXEPKZOXGPKZXHPKZOXJYDQ
      XSXNYEXOYFAPXDBRAPXEBRUJXQYGXRYHAPXGBRAPXHBRUJXDXEXGXHUKULXNXQXOXRYDWQKZX
      NXQOYAAKZYCAKZYIXOXROXQXNYJXTXGXDAUMUNYBXEXHAUMYJYKOZYDYAYCUPZJSZWQYAYCJU
      QYLYMWPKZYNWQKZYAYCAAURJUSZWPJUTZVAYOYPVBPPUAZVCVDZJVEZYQVFYSYTJVJVGWPYSY
      RAPVAZUUBWPYSVAZBBAPAPVHTZYSYTJVFVKVIWPYMJVLTVMVNULVOVPVQVRXCILZJSZWSMZWQ
      KZDWQNZIWPNZXMJYSVSZUUCXCUUJVTUUAUUKVFYSYTJWAVGZUUDXBUUICIYSWPJWRUUFQZXAU
      UHDWQUUMWTUUGWQWRUUFWSWBWCWDWETUUIXLIEFAAUUEXDXEUPZQZUUIXFWSMZWQKZDWQNZXL
      UUOUUHUUQDWQUUOUUGUUPWQUUOUUFXFWSUUOUUFUUNJSXFUUEUUNJWFXDXEJUQWGWHWCWDUUR
      XFUUFMZWQKZIWPNZXLUUKUUCUURUVAVTUULUUDUUQUUTDIYSWPJWSUUFQUUPUUSWQWSUUFXFW
      IWCWETUUTXKIGHAAUUEXGXHUPZQZUUSXJWQUVCUUFXIXFUVCUUFUVBJSXIUUEUVBJWFXGXHJU
      QWGWJWCWKWLWMWKWLWNCDWQUCWOT $.
  $}

  $( The set of open intervals with rational endpoints forms a basis for a
     topology.  (Contributed by NM, 8-Mar-2007.) $)
  qtopbas $p |- ( (,) " ( QQ X. QQ ) ) e. TopBases $=
    ( cq cr cxr qssre ressxr sstri qtopbaslem ) AABCDEFG $.

  $( A basis for the standard topology on the reals.  (Contributed by NM,
     6-Feb-2007.)  (Proof shortened by Mario Carneiro, 17-Jun-2014.) $)
  retopbas $p |- ran (,) e. TopBases $=
    ( cioo cxr cxp cima crn ctb cdm cr cpw ioof fdmi imaeq2i imadmrn qtopbaslem
    eqtr3i ssid eqeltrri ) ABBCZDZAEZFAAGZDSTUARARHIAJKLAMOBBPNQ $.

  $( The standard topology on the reals.  (Contributed by FL, 4-Jun-2007.) $)
  retop $p |- ( topGen ` ran (,) ) e. Top $=
    ( cioo crn ctb wcel ctg cfv ctop retopbas tgcl ax-mp ) ABZCDKEFGDHKIJ $.

  $( The underlying set of the standard topology on the reals is the reals.
     (Contributed by FL, 4-Jun-2007.) $)
  uniretop $p |- RR = U. ( topGen ` ran (,) ) $=
    ( cioo crn cuni ctg cfv unirnioo ctb wcel wceq retopbas unitg ax-mp eqtr4i
    cr ) NABZCZODECZFOGHQPIJOGKLM $.

  $( The standard topology on the reals is a topology on the reals.
     (Contributed by Mario Carneiro, 28-Aug-2015.) $)
  retopon $p |- ( topGen ` ran (,) ) e. ( TopOn ` RR ) $=
    ( cioo crn ctg cfv ctop wcel cr ctopon retop uniretop toptopon mpbi ) ABCDZ
    EFMGHDFIMGJKL $.

  ${
    retps.k $e |- K = { <. ( Base ` ndx ) , RR >. ,
                      <. ( TopSet ` ndx ) , ( topGen ` ran (,) ) >. } $.
    $( The standard topological space on the reals.  (Contributed by NM,
       19-Oct-2012.) $)
    retps $p |- K e. TopSp $=
      ( cr cioo crn ctg cfv uniretop retop eltpsi ) CDEFGABHIJ $.
  $}

  $( Open intervals are open sets of the standard topology on the reals .
     (Contributed by FL, 18-Jun-2007.) $)
  iooretop $p |- ( A (,) B ) e. ( topGen ` ran (,) ) $=
    ( cioo crn ctg cfv co ctb wcel wss retopbas bastg ax-mp ioorebas sselii ) C
    DZPEFZABCGPHIPQJKPHLMABNO $.

  $( Closed intervals are closed sets of the standard topology on ` RR ` .
     (Contributed by FL, 14-Sep-2007.) $)
  icccld $p |- ( ( A e. RR /\ B e. RR ) -> ( A [,] B ) e.
        ( Clsd ` ( topGen ` ran (,) ) ) ) $=
    ( cr wcel wa cicc co cioo crn ctg cfv ccld cdif cmnf cpnf cun difreicc ctop
    retop iooretop unopn eqeltrdi wss wb iccssre uniretop iscld2 sylancr mpbird
    mp3an ) ACDBCDEZABFGZHIJKZLKDZCULMZUMDZUKUONAHGZBOHGZPZUMABQUMRDZUQUMDURUMD
    USUMDSNATBOTUQURUMUAUJUBUKUTULCUCUNUPUDSABUEULUMCUFUGUHUI $.

  ${
    $d w x y z A $.
    $( Right-unbounded closed intervals are closed sets of the standard
       topology on ` RR ` .  (Contributed by Mario Carneiro, 17-Feb-2015.) $)
    icopnfcld $p |- ( A e. RR -> ( A [,) +oo ) e.
          ( Clsd ` ( topGen ` ran (,) ) ) ) $=
      ( vx vy vz vw cr wcel cpnf cico co cmnf cioo cfv wceq cxr clt wbr a1i cle
      mnfxr cdif crn ctg ccld cun rexr pnfxr mnflt df-ioo df-ico xrlenlt xrlttr
      ltpnf cv xrltletr ixxun syl32anc ioomax eqtrdi wss cin c0 ioossre ixxdisj
      mp3an2i uneqdifeq sylancr mpbid ctop retop iooretop uniretop opncld mp2an
      wb eqeltrrdi ) AFGZAHIJZFKALJZUAZLUBUCMZUDMZVQVSVRUEZFNZVTVRNZVQWCKHLJZFV
      QKOGZAOGZHOGZKAPQAHPQWCWFNWGVQTRAUFZWIVQUGRZAUHAUMBCDEKAHILPPSPLPPBCDUIZB
      CDUJZAEUNZUKZWLWNAHULKAWNUOUPUQURUSVQVSFUTVSVRVAVBNZWDWEVOKAVCWGVQWHWIWPT
      WJWKBCDEKAHIPPSPLWLWMWOVDVEVSVRFVFVGVHWAVIGVSWAGVTWBGVJKAVKVSWAFVLVMVNVP
      $.

    $( Left-unbounded closed intervals are closed sets of the standard topology
       on ` RR ` .  (Contributed by Mario Carneiro, 17-Feb-2015.) $)
    iocmnfcld $p |- ( A e. RR -> ( -oo (,] A ) e.
          ( Clsd ` ( topGen ` ran (,) ) ) ) $=
      ( vx vy vz vw cr wcel cmnf cioc co cioo cfv cpnf wceq cxr clt wbr a1i cle
      mnfxr crn ctg ccld cdif cun rexr pnfxr mnflt ltpnf df-ioc df-ioo xrlelttr
      cv xrltnle xrlttr ixxun syl32anc ioomax eqtrdi wss cin c0 wb iocssre mpan
      ixxdisj mp3an2i uneqdifeq syl2anc mpbid iooretop eqeltrdi uniretop iscld2
      ctop retop sylancr mpbird ) AFGZHAIJZKUAUBLZUCLGZFVTUDZWAGZVSWCAMKJZWAVSV
      TWEUEZFNZWCWENZVSWFHMKJZFVSHOGZAOGZMOGZHAPQAMPQWFWINWJVSTRAUFZWLVSUGRZAUH
      AUIBCDEHAMKKPSPPIPPBCDUJZBCDUKZAEUMZUNZWPWQAMULHAWQUOUPUQURUSVSVTFUTZVTWE
      VAVBNZWGWHVCWJVSWSTHAVDVEZWJVSWKWLWTTWMWNBCDEHAMKPSPPIWOWPWRVFVGVTWEFVHVI
      VJAMVKVLVSWAVOGWSWBWDVCVPXAVTWAFVMVNVQVR $.

    $( ` QQ ` is dense in the standard topology on ` RR ` .  (Contributed by
       NM, 1-Mar-2007.) $)
    qdensere $p |- ( ( cls ` ( topGen ` ran (,) ) ) ` QQ ) = RR $=
      ( vx vy vz vw cq cioo cfv cr wcel wss qssre uniretop cv c0 cxr clt wbr wa
      wrex a1i crn ctg ccl ctop retop clsss3 mp2an cin wne wi wral wceq cxp cpw
      co wf wfn ioof ffn ovelrn mp2b w3a elioo3g simplbi simp1d ad2antrr simp2d
      wb qre ad2antlr rexrd 3jca sylanbrc simplr inelcm syl2anc simp3d eliooord
      simpr simpld simprd xrlttrd qbtwnxr syl3anc r19.29a eleq2 ineq1 rexlimivw
      neeq1d 3imtr4d sylbi rgen eqidd ctb retopbas id elcls3 mpbiri ssriv eqssi
      cuni ) EFUAZUBGZUCGGZHXCUDIEHJZXDHJUEKEXCHLUFUGAHXDAMZHIZXFXDIXFBMZIZXHEU
      HZNUIZUJZBXBUKXLBXBXHXBIZXHCMZDMZFUOZULZDOSZCOSZXLOOUMZHUNZFUPFXTUQXMXSVH
      URXTYAFUSCDOOXHFUTVAXRXLCOXQXLDOXQXFXPIZXPEUHZNUIZXIXKYBYDUJXQYBXNXHPQXHX
      OPQRZYDBEYBXHEIZRZYERZXHXPIZYFYDYHXNOIZXOOIZXHOIZVBYEYIYHYJYKYLYBYJYFYEYB
      YJYKXFOIZYBYJYKYMVBXNXFPQZXFXOPQZRXNXOXFVCVDZVEZVFYBYKYFYEYBYJYKYMYPVGZVF
      YHXHYFXHHIYBYEXHVIVJVKVLYGYEVSXNXOXHVCVMYBYFYEVNXHXPEVOVPYBYJYKXNXOPQYEBE
      SYQYRYBXNXFXOYQYBYJYKYMYPVQYRYBYNYOXFXNXOVRZVTYBYNYOYSWAWBBXNXOWCWDWETXHX
      PXFWFXQXJYCNXHXPEWGWIWJWHWHWKWLXGBXBXFEXCHXGXCWMHXCXAULXGLTXBWNIXGWOTXEXG
      KTXGWPWQWRWSWT $.
  $}

  ${
    cnmetdval.1 $e |- D = ( abs o. - ) $.
    $( Value of the distance function of the metric space of complex numbers.
       (Contributed by NM, 9-Dec-2006.)  (Revised by Mario Carneiro,
       27-Dec-2014.) $)
    cnmetdval $p |- ( ( A e. CC /\ B e. CC ) ->
                  ( A D B ) = ( abs ` ( A - B ) ) ) $=
      ( cc wcel wa cop cabs cmin ccom cfv co cxp wceq subf opelxpi fvco3 df-ov
      wf sylancr fveq1i eqtri fveq2i 3eqtr4g ) AEFBEFGZABHZIJKZLZUGJLZILZABCMZA
      BJMZILUFEENZEJTUGUNFUIUKOPABEEQUNEUGIJRUAULUGCLUIABCSUGCUHDUBUCUMUJIABJSU
      DUE $.
  $}

  ${
    $d x y z $.
    $( The absolute value metric determines a metric space on the complex
       numbers.  This theorem provides a link between complex numbers and
       metrics spaces, making metric space theorems available for use with
       complex numbers.  (Contributed by FL, 9-Oct-2006.) $)
    cnmet $p |- ( abs o. - ) e. ( Met ` CC ) $=
      ( vx vy vz cabs cmin cc cr wf cv wcel wa cfv cc0 wceq cnmetdval w3a caddc
      co cle 3adant2 ccom cnex cxp absf subf fco mp2an subcl eqid eqcomd eqeq1d
      abs00ad subeq0 3bitr3d abs3dif abssub oveq1d breqtrd 3adant3 3coml ismeti
      oveq12d 3brtr4d ) ABCDEUAZFUBFGDHFFUCZFEHVEGVDHUDUEVEFGDEUFUGAIZFJZBIZFJZ
      KZVFVHERZDLZMNVKMNVFVHVDRZMNVFVHNVJVKVFVHUHULVJVLVMMVJVMVLVFVHVDVDUIZOZUJ
      UKVFVHUMUNVGVICIZFJZPZVLVPVFERDLZVPVHERDLZQRZVMVPVFVDRZVPVHVDRZQRZSVRVLVF
      VPERDLZVTQRZWASVFVHVPUOVGVQWFWANVIVGVQKWEVSVTQVFVPUPUQTURVGVIVMVLNVQVOUSV
      QVGVIWDWANVQVGVIPWBVSWCVTQVQVGWBVSNVIVPVFVDVNOUSVQVIWCVTNVGVPVHVDVNOTVBUT
      VCVA $.

    $( The absolute value metric is an extended metric.  (Contributed by Mario
       Carneiro, 28-Aug-2015.) $)
    cnxmet $p |- ( abs o. - ) e. ( *Met ` CC ) $=
      ( cabs cmin ccom cc cmet cfv wcel cxmet cnmet metxmet ax-mp ) ABCZDEFGLDH
      FGILDJK $.
  $}

  ${
    $d x D $.  $d x R $.
    cnblcld.1 $e |- D = ( abs o. - ) $.
    $( Two ways to write the open ball centered at zero.  (Contributed by Mario
       Carneiro, 8-Sep-2015.) $)
    cnbl0 $p |- ( R e. RR* ->
      ( `' abs " ( 0 [,) R ) ) = ( 0 ( ball ` D ) R ) ) $=
      ( vx wcel cabs cc0 co cfv cc wa clt wbr cr adantl wb wceq cmin 0cn eqtrd
      cxr ccnv cico cima cbl cv cle w3a df-3an absge0 jca biantrurd bitr4id 0re
      abscl simpl elico2 sylancr cnmetdval abssub subid1 fveq2d breq1d pm5.32da
      mpan 3bitr4d wfn wf absf ffn ax-mp elpreima mp1i ccom cnxmet eqeltri elbl
      cxmet mp3an12 eqrdv ) BUAEZDFUBGBUCHZUDZGBAUEIHZWADUFZJEZWEFIZWBEZKZWFGWE
      AHZBLMZKZWEWCEZWEWDEZWAWFWHWKWAWFKZWGNEZGWGUGMZWGBLMZUHZWRWHWKWOWSWPWQKZW
      RKWRWPWQWRUIWOWTWRWFWTWAWFWPWQWEUOWEUJUKOULUMWOGNEWAWHWSPUNWAWFUPGBWGUQUR
      WOWJWGBLWFWJWGQWAWFWJWEGRHZFIZWGGJEZWFWJXBQSXCWFKWJGWERHFIXBGWEACUSGWEUTT
      VEWFXAWEFWEVAVBTOVCVFVDFJVGZWMWIPWAJNFVHXDVIJNFVJVKJWEWBFVLVMAJVRIZEXCWAW
      NWLPAFRVNXECVOVPSWEAGBJVQVSVFVT $.

    $( Two ways to write the closed ball centered at zero.  (Contributed by
       Mario Carneiro, 8-Sep-2015.) $)
    cnblcld $p |- ( R e. RR* ->
      ( `' abs " ( 0 [,] R ) ) = { x e. CC | ( 0 D x ) <_ R } ) $=
      ( cxr wcel cabs cc0 co cc cle wbr wa cfv cr wb adantl wceq cmin eqtrd cab
      ccnv cicc cima cv crab wfn absf ffn elpreima mp2b w3a df-3an abscl absge0
      rexrd jca biantrurd bitr4id 0xr simpl elicc1 sylancr 0cn cnmetdval abssub
      mpan subid1 fveq2d breq1d 3bitr4d pm5.32da syl5bb abbi2dv df-rab eqtr4di
      wf ) CEFZGUBHCUCIZUDZAUEZJFZHWABIZCKLZMZAUAWDAJUFVRWEAVTWAVTFZWBWAGNZVSFZ
      MZVRWEJOGVQGJUGWFWIPUHJOGUIJWAVSGUJUKVRWBWHWDVRWBMZWGEFZHWGKLZWGCKLZULZWM
      WHWDWJWNWKWLMZWMMWMWKWLWMUMWJWOWMWBWOVRWBWKWLWBWGWAUNUPWAUOUQQURUSWJHEFVR
      WHWNPUTVRWBVAHCWGVBVCWJWCWGCKWBWCWGRVRWBWCWAHSIZGNZWGHJFZWBWCWQRVDWRWBMWC
      HWASIGNWQHWABDVEHWAVFTVGWBWPWAGWAVHVITQVJVKVLVMVNWDAJVOVP $.
  $}

  $( The complex number field is a metric space.  (Contributed by Mario
     Carneiro, 28-Aug-2015.) $)
  cnfldms $p |- CCfld e. MetSp $=
    ( ccnfld cms wcel cabs cmin ccom cc cmet cmopn wceq cnmet eqid cxmet ctopon
    cfv cnfldbas mp2b cres cr wf ctopn cnxmet mopntopon cnfldtset topontopn cxp
    cds wfn absf subf fco mp2an fnresdm cnfldds reseq1i eqtr3i isms2 mpbir2an
    ffn ) ABCDEFZGHOCUTIOZVAJKVALZUTVAAGUTGMOCVAGNOCVAAUAOJUBUTVAGVBUCGVAAPUDUE
    QPUTGGUFZRZUTAUGOZVCRVCSUTTZUTVCUHVDUTJGSDTVCGETVFUIUJVCGSDEUKULVCSUTUSVCUT
    UMQUTVEVCUNUOUPUQUR $.

  $( The complex number field is a topological space.  (Contributed by Mario
     Carneiro, 28-Aug-2015.) $)
  cnfldxms $p |- CCfld e. *MetSp $=
    ( ccnfld cms wcel cxms cnfldms msxms ax-mp ) ABCADCEAFG $.

  $( The complex number field is a topological space.  (Contributed by Mario
     Carneiro, 28-Aug-2015.) $)
  cnfldtps $p |- CCfld e. TopSp $=
    ( ccnfld cms wcel ctps cnfldms mstps ax-mp ) ABCADCEAFG $.

  $( The norm of the field of complex numbers.  (Contributed by Mario Carneiro,
     4-Oct-2015.) $)
  cnfldnm $p |- abs = ( norm ` CCfld ) $=
    ( vx cc cc0 cabs cmin ccom cmpt cfv ccnfld cnm wcel wceq 0cn eqid cnmetdval
    cv co mpan2 wtru cr subid1 fveq2d eqtrd mpteq2ia cnfldbas cnfld0 cnfldds wf
    nmfval absf a1i feqmptd mptru 3eqtr4ri ) ABAPZCDEFZQZGABUODHZGZIJHZDABUQURU
    OBKZUQUOCEQZDHZURVACBKUQVCLMUOCUPUPNORVAVBUODUOUAUBUCUDAUPUTIBCUTNUEUFUGUID
    USLSABTDBTDUHSUJUKULUMUN $.

  $( The complex numbers form a normed group.  (Contributed by Mario Carneiro,
     4-Oct-2015.) $)
  cnngp $p |- CCfld e. NrmGrp $=
    ( ccnfld cngp wcel cgrp cms cabs cmin ccom wss cnring ringgrp ax-mp cnfldms
    crg ssid cnfldnm cnfldsub cnfldds isngp mpbir3an ) ABCADCZAECFGHZUBIANCUAJA
    KLMUBOUBAGFPQRST $.

  $( The complex numbers form a normed ring.  (Contributed by Mario Carneiro,
     4-Oct-2015.) $)
  cnnrg $p |- CCfld e. NrmRing $=
    ( ccnfld cnrg wcel cngp cabs cabv cnngp absabv cnfldnm eqid isnrg mpbir2an
    cfv ) ABCADCEAFMZCGHNAEINJKL $.

  ${
    cnfldtopn.1 $e |- J = ( TopOpen ` CCfld ) $.
    $( The topology of the complex numbers.  (Contributed by Mario Carneiro,
       28-Aug-2015.) $)
    cnfldtopn $p |- J = ( MetOpen ` ( abs o. - ) ) $=
      ( ccnfld ctopn cabs cmin ccom cmopn cc cxmet wcel ctopon wceq cnxmet eqid
      cfv mopntopon cnfldbas cnfldtset topontopn mp2b eqtr4i ) ACDPZEFGZHPZBUDI
      JPKUEILPKUEUCMNUDUEIUEOQIUECRSTUAUB $.

    $( The topology of the complex numbers is a topology.  (Contributed by
       Mario Carneiro, 2-Sep-2015.) $)
    cnfldtopon $p |- J e. ( TopOn ` CC ) $=
      ( ccnfld ctps wcel cc ctopon cfv cnfldtps cnfldbas istps mpbi ) CDEAFGHEI
      FACJBKL $.

    $( The topology of the complex numbers is a topology.  (Contributed by
       Mario Carneiro, 2-Sep-2015.) $)
    cnfldtop $p |- J e. Top $=
      ( cc cnfldtopon topontopi ) CAABDE $.

    $( The topology of the complex numbers is Hausdorff.  (Contributed by Mario
       Carneiro, 8-Sep-2015.) $)
    cnfldhaus $p |- J e. Haus $=
      ( cabs cmin ccom cc cxmet cfv wcel cha cnxmet cnfldtopn methaus ax-mp ) C
      DEZFGHIAJIKOAFABLMN $.
  $}

  $( The underlying set of the standard topology on the complex numbers is the
     set of complex numbers.  (Contributed by Glauco Siliprandi,
     11-Dec-2019.) $)
  unicntop $p |- CC = U. ( TopOpen ` CCfld ) $=
    ( cc ccnfld ctopn cfv eqid cnfldtopon toponunii ) ABCDZHHEFG $.

  $( The set of complex numbers is open with respect to the standard topology
     on complex numbers.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  cnopn $p |- CC e. ( TopOpen ` CCfld ) $=
    ( cc ccnfld ctopn cfv cuni unicntop ctop wcel wss eqid cnfldtop ssid uniopn
    mp2an eqeltri ) ABCDZEZPFPGHPPIQPHPPJKPLPPMNO $.

  $( The ring of integers is a normed ring.  (Contributed by AV,
     13-Jun-2019.) $)
  zringnrg $p |- ZZring e. NrmRing $=
    ( ccnfld cnrg wcel cz csubrg cfv zring cnnrg zsubrg df-zring subrgnrg mp2an
    ) ABCDAEFCGBCHIDAGJKL $.

  ${
    $d r x y z D $.  $d x A $.  $d x B $.
    remet.1 $e |- D = ( ( abs o. - ) |` ( RR X. RR ) ) $.
    $( Value of the distance function of the metric space of real numbers.
       (Contributed by NM, 16-May-2007.) $)
    remetdval $p |- ( ( A e. RR /\ B e. RR ) ->
                  ( A D B ) = ( abs ` ( A - B ) ) ) $=
      ( cr wcel wa co cop cabs cmin ccom cxp cres cfv df-ov fveq1i eqtri recn
      cc opelxpi fvresd wceq eqid cnmetdval syl2an eqtr3id eqtrd syl5eq ) AEFZB
      EFZGZABCHZABIZJKLZEEMZNZOZABKHJOZUMUNCOURABCPUNCUQDQRULURUNUOOZUSULUNUPUO
      ABEEUAUBULUTABUOHZUSABUOPUJATFBTFVAUSUCUKASBSABUOUOUDUEUFUGUHUI $.

    $( The absolute value metric determines a metric space on the reals.
       (Contributed by NM, 10-Feb-2007.) $)
    remet $p |- D e. ( Met ` RR ) $=
      ( cabs cmin ccom cr cxp cres cmet cfv cc wcel wss cnmet ax-resscn metres2
      mp2an eqeltri ) ACDEZFFGHZFIJZBSKIJLFKMTUALNOSFKPQR $.

    $( The absolute value metric is an extended metric.  (Contributed by Mario
       Carneiro, 28-Aug-2015.) $)
    rexmet $p |- D e. ( *Met ` RR ) $=
      ( cr cmet cfv wcel cxmet remet metxmet ax-mp ) ACDEFACGEFABHACIJ $.

    $( A ball in terms of an open interval of reals.  (Contributed by NM,
       18-May-2007.)  (Revised by Mario Carneiro, 13-Nov-2013.) $)
    bl2ioo $p |- ( ( A e. RR /\ B e. RR ) ->
                   ( A ( ball ` D ) B ) = ( ( A - B ) (,) ( A + B ) ) ) $=
      ( vx cr wcel wa cfv co cmin clt wbr cabs wb cc recn syl2an cxr rexr caddc
      cbl cioo cv w3a remetdval wceq abssub eqtrd breq1d adantlr absdiflt 3expb
      ancoms bitrd pm5.32da 3anass bitr4di rexmet mp3an1 sylan2 resubcl readdcl
      cxmet elbl elioo2 syl2anc 3bitr4d eqrdv ) AFGZBFGZHZEABCUBIJZABKJZABUAJZU
      CJZVLEUDZFGZAVQCJZBLMZHZVRVNVQLMZVQVOLMZUEZVQVMGZVQVPGZVLWAVRWBWCHZHWDVLV
      RVTWGVLVRHVTVQAKJNIZBLMZWGVJVRVTWIOVKVJVRHZVSWHBLWJVSAVQKJNIZWHAVQCDUFVJA
      PGVQPGWKWHUGVRAQVQQAVQUHRUIUJUKVRVLWIWGOZVRVJVKWLVQABULUMUNUOUPVRWBWCUQUR
      VKVJBSGZWEWAOZBTCFVDIGVJWMWNCDUSVQCABFVEUTVAVLVNFGZVOFGZWFWDOZABVBABVCWOV
      NSGVOSGWQWPVNTVOTVNVOVQVFRVGVHVI $.

    $( An open interval of reals in terms of a ball.  (Contributed by NM,
       18-May-2007.)  (Revised by Mario Carneiro, 28-Aug-2015.) $)
    ioo2bl $p |- ( ( A e. RR /\ B e. RR ) -> ( A (,) B ) =
     ( ( ( A + B ) / 2 ) ( ball ` D ) ( ( B - A ) / 2 ) ) ) $=
      ( cr wcel wa caddc co c2 cdiv cmin cioo wceq ancoms rehalfcld recn oveq1d
      cc syl2anr cbl cfv readdcl resubcl bl2ioo addcom halfaddsub simprd simpld
      syl2anc oveq12d 3eqtr3rd ) AEFZBEFZGZBAHIZJKIZBALIZJKIZCUAUBZIZUQUSLIZUQU
      SHIZMIZABHIZJKIZUSUTIABMIUOUQEFUSEFVAVDNUOUPUNUMUPEFBAUCOPUOURUNUMUREFBAU
      DOPUQUSCDUEUJUOUQVFUSUTUOUPVEJKUNBSFZASFZUPVENUMBQZAQZBAUFTRRUOVBAVCBMUOV
      CBNZVBANZUNVGVHVKVLGUMVIVJBAUGTZUHUOVKVLVMUIUKUL $.

    $( An open interval of reals in terms of a ball.  (Contributed by Mario
       Carneiro, 14-Nov-2013.) $)
    ioo2blex $p |- ( ( A e. RR /\ B e. RR ) ->
                     ( A (,) B ) e. ran ( ball ` D ) ) $=
      ( cr wcel wa cioo co caddc c2 cdiv cbl cfv crn ioo2bl cxmet cxr rehalfcld
      cmin rexmet readdcl resubcl ancoms rexrd blelrn mp3an2i eqeltrd ) AEFZBEF
      ZGZABHIABJIZKLIZBATIZKLIZCMNZIZUPOZABCDPCEQNFUKUMEFUORFUQURFCDUAUKULABUBS
      UKUOUKUNUJUIUNEFBAUCUDSUECUMUOEUFUGUH $.

    $( The balls of the standard real metric space are included in the open
       real intervals.  (Contributed by NM, 8-May-2007.)  (Revised by Mario
       Carneiro, 13-Nov-2013.) $)
    blssioo $p |- ran ( ball ` D ) C_ ran (,) $=
      ( vz vy vr cfv crn cioo cv wcel co wceq cxr cr ax-mp wa cpnf cmnf c0 cc0
      cbl wrex cxmet rexmet blrn w3o elxr cmin caddc bl2ioo resubcl readdcl cxp
      wb wfn cpw ioof ffn rexr fnovrn mp3an3an syl2anc eqeltrd oveq2 cmet remet
      blpnf mpan sylan9eqr ioomax ioorebas eqeltrri eqeltrdi clt wbr 0xr nltmnf
      wf wn wne mnfxr xbln0 mp3an13 necon1bbid mpbii 3jaodan sylan2b syl5ibrcom
      iooid eleq1 rexlimivv sylbi ssriv ) CAUAFZGZHGZCIZWOJZWQDIZEIZWNKZLZEMUBD
      NUBZWQWPJZANUCFJZWRXCUNABUDZDWQANEUEOXBXDDENMWSNJZWTMJZPXDXBXAWPJZXHXGWTN
      JZWTQLZWTRLZUFXIWTUGXGXJXIXKXLXGXJPZXAWSWTUHKZWSWTUIKZHKZWPWSWTABUJXMXNNJ
      ZXONJZXPWPJZWSWTUKWSWTULHMMUMZUOZXQXNMJXRXOMJXSXTNUPZHVRYAUQXTYBHUROXNUSX
      OUSMMXNXOHUTVAVBVCXGXKPXANWPXKXGXAWSQWNKZNWTQWSWNVDANVEFJXGYCNLABVFAWSNVG
      VHVIRQHKNWPVJRQVKVLVMXGXLPXASWPXLXGXAWSRWNKZSWTRWSWNVDXGTRVNVOZVSZYDSLTMJ
      YFVPTVQOXGYEYDSXEXGRMJYDSVTYEUNXFWAAWSRNWBWCWDWEVITTHKSWPTWITTVKVLVMWFWGW
      QXAWPWJWHWKWLWM $.

    ${
      $d a b v x y z $.  $d a b x y z D $.  $d v J $.
      tgioo.2 $e |- J = ( MetOpen ` D ) $.
      $( The topology generated by open intervals of reals is the same as the
         open sets of the standard metric space on the reals.  (Contributed by
         NM, 7-May-2007.)  (Revised by Mario Carneiro, 13-Nov-2013.) $)
      tgioo $p |- ( topGen ` ran (,) ) = J $=
        ( vz cioo cr wcel wceq wss cv co wrex wa c1 cxr syl cle wbr cmnf vv cbl
        vx vy va vb cfv crn ctg cxmet rexmet mopnval ax-mp blssioo wral elssuni
        crp cuni unirnioo sseqtrrdi cin ctb retopbas a1i simpl sselda caddc 1re
        cmin bl2ioo mpan2 cxp wfn cpw ioof ffn peano2rem rexrd peano2re mp3an2i
        wf fnovrn eqeltrd simpr 1rp blcntr mp3an13 elind basis2 syl22anc ovelrn
        wb wi eleq2 sseq1 anbi12d inss2 sstr adantl elioore adantr sseqtrd dfss
        cif sylib eliooxr jca iooin syl2anc eqtrd clt mnfxr simpld ifcld simprd
        mnfltd xrmax2 xrltletrd eleqtrd c0 wne ne0i ioon0 syl5ib mpcom syl32anc
        xrre2 mnfle xrlelttrd xrmin2 xrre ioo2blex inss1 rspcev syl12anc blssex
        sylancr mpbid syl6bi rexlimivv imp rexlimiva ralrimiva elmopn2 sylanbrc
        sylanb ssriv sseqtri 2basgen mp2an eqtr2i ) BAUBUGZUHZUIUGZFUHZUIUGZAGU
        JUGHZBUUNIACUKZABGDULUMZUUMUUOJUUOUUNJUUNUUPIACUNUUOBUUNUAUUOBUAKZUUOHZ
        UUTGJZUCKZUDKUULLUUTJUDUQMZUCUUTUOZUUTBHZUVAUUTUUOURGUUTUUOUPUSUTZUVAUV
        DUCUUTUVAUVCUUTHZNZUVCEKZHZUVJUUTUVCOUULLZVAZJZNZEUUOMZUVDUVIUUOVBHZUVA
        UVLUUOHZUVCUVMHUVPUVQUVIVCVDUVAUVHVEUVIUVCGHZUVRUVAUUTGUVCUVGVFZUVSUVLU
        VCOVILZUVCOVGLZFLZUUOUVSOGHUVLUWCIZVHUVCOACVJVKZFPPVLZVMZUVSUWAPHZUWBPH
        ZUWCUUOHUWFGVNZFWAUWGVOUWFUWJFVPUMZUVSUWAUVCVQZVRZUVSUWBUVCVSZVRZPPUWAU
        WBFWBVTWCQUVIUUTUVLUVCUVAUVHWDUVIUVSUVCUVLHZUVTUUQUVSOUQHUWPUURWEAUVCOG
        WFWGQWHEUVCUUOUUTUVLWIWJUVOUVDEUUOUVJUUOHZUVJUEKZUFKZFLZIZUFPMUEPMZUVOU
        VDUWGUWQUXBWLUWKUEUFPPUVJFWKUMUXBUVOUVDUXAUVOUVDWMZUEUFPPUXAUXCWMUWRPHZ
        UWSPHZNZUXAUVOUVCUWTHZUWTUVMJZNZUVDUXAUVKUXGUVNUXHUVJUWTUVCWNZUVJUWTUVM
        WOWPUXIUVKUVJUUTJZNZEUUMMZUVDUXIUWTUUMHUXGUWTUUTJZUXMUXIUWTUWRUWARSZUWA
        UWRXDZUWSUWBRSZUWSUWBXDZFLZUUMUXIUWTUWTUWCVAZUXSUXIUWTUWCJUWTUXTIUXIUWT
        UVLUWCUXHUWTUVLJZUXGUXHUVMUVLJUYAUUTUVLWQUWTUVMUVLWRVKWSUXIUVSUWDUXGUVS
        UXHUVCUWRUWSWTZXAZUWEQXBUWTUWCXCXEUXGUXTUXSIZUXHUXGUXFUWHUWINZUYDUVCUWR
        UWSXFZUXGUVSUYEUYBUVSUWHUWIUWMUWOXGQUWRUWSUWAUWBXHXIXAXJZUXIUXPGHZUXRGH
        ZUXSUUMHUXITPHZUXPPHZUXRPHZTUXPXKSUXPUXRXKSZUYHUYJUXIXLVDZUXIUXOUWAUWRP
        UXIUVSUWHUYCUWMQZUXIUXDUXEUXGUXFUXHUYFXAZXMZXNZUXIUXQUWSUWBPUXIUXDUXEUY
        PXOZUXIUWBUXIUVSUWBGHZUYCUWNQZVRZXNZUXITUWAUXPUYNUYOUYRUXIUWAUXGUWAGHZU
        XHUXGUVSVUDUYBUWLQXAXPUXIUXDUWHUWAUXPRSUYQUYOUWRUWAXQXIXRUXIUVCUXSHZUYM
        UXIUVCUWTUXSUXGUXHVEZUYGXSUYKUYLNZVUEUYMUVCUXPUXRXFVUEUXSXTYAVUGUYMUXSU
        VCYBUXPUXRYCYDYEQZTUXPUXRYGYFUXIUYLUYTTUXRXKSUXRUWBRSZUYIVUCVUAUXITUXPU
        XRUYNUYRVUCUXIUYKTUXPRSUYRUXPYHQVUHYIUXIUXEUWIVUIUYSVUBUWSUWBYJXIUXRUWB
        YKWJUXPUXRACYLXIWCVUFUXHUXNUXGUXHUVMUUTJUXNUUTUVLYMUWTUVMUUTWRVKWSUXLUX
        GUXNNEUWTUUMUXAUVKUXGUXKUXNUXJUVJUWTUUTWOWPYNYOUXIUUQUVSUXMUVDWLUURUYCE
        UUTAUVCGUDYPYQYRYSVDYTUUAUUFUUBQUUCUUQUVFUVBUVENWLUURUCUDUUTABGDUUDUMUU
        EUUGUUSUUHUUMUUOUUIUUJUUK $.

      $( ` QQ ` is dense in ` RR ` .  (Contributed by NM, 24-Aug-2007.) $)
      qdensere2 $p |- ( ( cls ` J ) ` QQ ) = RR $=
        ( cq cioo crn ctg cfv ccl cr tgioo fveq2i fveq1i qdensere eqtr3i ) EFGH
        IZJIZIEBJIZIKERSQBJABCDLMNOP $.
    $}
  $}

  ${
    blcvx.s $e |- S = ( P ( ball ` ( abs o. - ) ) R ) $.
    $( An open ball in the complex numbers is a convex set.  (Contributed by
       Mario Carneiro, 12-Feb-2015.)  (Revised by Mario Carneiro,
       8-Sep-2015.) $)
    blcvx $p |- ( ( ( P e. CC /\ R e. RR* ) /\
        ( A e. S /\ B e. S /\ T e. ( 0 [,] 1 ) ) ) ->
      ( ( T x. A ) + ( ( 1 - T ) x. B ) ) e. S ) $=
      ( cc wcel wa cc0 c1 co cmul cmin cabs clt wbr cr adantr cxr cicc w3a ccom
      caddc cbl cfv cle simpr3 elicc01 sylib simp1d recnd simpr1 eleqtrdi cxmet
      cnxmet simpll simplr elbl mp3an2i mpbid simpld mulcld 1re resubcl sylancr
      wb simpr2 addcld wceq eqid cnmetdval syl2anc subdid oveq12d ax-1cn pncan3
      addsub4d sylancl oveq1d adddird mulid2 3eqtr3d 3eqtr2d fveq2d eqtr4d cpnf
      ad2antrr subcld abscld simpr abstrid oveq1 mul02d sylan9eqr abs00bd oveq2
      readdcld eqtrdi mulid2d addid2d simprd eqbrtrd adantlr wne absmuld simp2d
      1m0e1 absidd eqtrd eqbrtrrd 0red leltned biimpar syl112anc a1i abssubge0d
      ltmul2 simp3d subge0 mpbird jca wi ltle sylan mpd lemul2a remulcl ltleadd
      syl31anc syl22anc mp2and breqtrd pm2.61dane lelttrd ltpnfd breqtrrd cmnf
      wo rexrd absge0d xrlelttrd xrltled ge0nemnf mpjaodan mpbir2and eleqtrrdi
      0xr xrnemnf ) CHIZDUAIZJZAEIZBEIZFKLUBMIZUCZJZFANMZLFOMZBNMZUEMZCDPOUDZUF
      UGMZEUURUVBUVDIZUVBHIZCUVBUVCMZDQRZUURUUSUVAUURFAUURFUURFSIZKFUHRZFLUHRZU
      URUUPUVIUVJUVKUCUUMUUNUUOUUPUIFUJUKZULZUMZUURAHIZCAUVCMZDQRZUURAUVDIZUVOU
      VQJZUURAEUVDUUMUUNUUOUUPUNGUOUVCHUPUGIZUURUUKUULUVRUVSVHUQUUKUULUUQURZUUK
      UULUUQUSZAUVCCDHUTVAVBZVCZVDZUURUUTBUURUUTUURLSIZUVIUUTSIZVEUVMLFVFVGZUMZ
      UURBHIZCBUVCMZDQRZUURBUVDIZUWJUWLJZUURBEUVDUUMUUNUUOUUPVIGUOUVTUURUUKUULU
      WMUWNVHUQUWAUWBBUVCCDHUTVAVBZVCZVDZVJZUURUVGFCAOMZNMZUUTCBOMZNMZUEMZPUGZD
      QUURUVGCUVBOMZPUGZUXDUURUUKUVFUVGUXFVKUWAUWRCUVBUVCUVCVLZVMVNUURUXCUXEPUU
      RUXCFCNMZUUSOMZUUTCNMZUVAOMZUEMUXHUXJUEMZUVBOMUXEUURUWTUXIUXBUXKUEUURFCAU
      VNUWAUWDVOUURUUTCBUWIUWAUWPVOVPUURUXHUXJUUSUVAUURFCUVNUWAVDUURUUTCUWIUWAV
      DUWEUWQVSUURUXLCUVBOUURFUUTUEMZCNMLCNMZUXLCUURUXMLCNUURFHIZLHIUXMLVKUVNVQ
      FLVRVTZWAUURFUUTCUVNUWIUWAWBUUKUXNCVKUULUUQCWCWIWDWAWEWFWGUURDSIZUXDDQRDW
      HVKZUURUXQJZUXDUWTPUGZUXBPUGZUEMZDUURUXDSIZUXQUURUXCUURUWTUXBUURFUWSUVNUU
      RCAUWAUWDWJZVDZUURUUTUXAUWIUURCBUWAUWPWJZVDZVJWKZTUURUYBSIUXQUURUXTUYAUUR
      UWTUYEWKZUURUXBUYGWKZWSTUURUXQWLZUURUXDUYBUHRUXQUURUWTUXBUYEUYGWMTUXSUYBD
      QRZFKUURFKVKZUYLUXQUURUYMJZUYBKUXAPUGZUEMZDQUYNUXTKUYAUYOUEUYNUWTUYMUURUW
      TKUWSNMKFKUWSNWNUURUWSUYDWOWPWQUYNUXBUXAPUYMUURUXBLUXANMUXAUYMUUTLUXANUYM
      UUTLKOMLFKLOWRXIWTWAUURUXAUYFXAWPWFVPUURUYPDQRUYMUURUYPUWKDQUURUYPUYOUWKU
      URUYOUURUYOUURUXAUYFWKZUMXBUURUUKUWJUWKUYOVKUWAUWPCBUVCUXGVMVNZWGUURUWJUW
      LUWOXCZXDTXDXEUXSFKXFZJZUYBFDNMZUUTDNMZUEMZDQVUAUXTVUBQRZUYAVUCUHRZUYBVUD
      QRZVUAUXTFUWSPUGZNMZVUBQUURUXTVUIVKUXQUYTUURUXTFPUGZVUHNMVUIUURFUWSUVNUYD
      XGUURVUJFVUHNUURFUVMUURUVIUVJUVKUVLXHZXJWAXKWIVUAVUHDQRZVUIVUBQRZUURVULUX
      QUYTUURUVPVUHDQUURUUKUVOUVPVUHVKUWAUWDCAUVCUXGVMVNUURUVOUVQUWCXCXLZWIVUAV
      UHSIZUXQUVIKFQRZVULVUMVHUURVUOUXQUYTUURUWSUYDWKZWIUURUXQUYTUSUURUVIUXQUYT
      UVMWIUURUYTVUPUXQUURVUPUYTUURKFUURXMUVMVUKXNXOXEVUHDFXSXPVBXDUXSVUFUYTUXS
      UYAUUTUYONMZVUCUHUURUYAVURVKUXQUURUYAUUTPUGZUYONMVURUURUUTUXAUWIUYFXGUURV
      USUUTUYONUURFLUVMUWFUURVEXQUURUVIUVJUVKUVLXTZXRWAXKTUXSUYOSIZUXQUWGKUUTUH
      RZJZUYODUHRZVURVUCUHRUURVVAUXQUYQTUYKUURVVCUXQUURUWGVVBUWHUURVVBUVKVUTUUR
      UWFUVIVVBUVKVHVEUVMLFYAVGYBYCTUXSUYODQRZVVDUURVVEUXQUURUWKUYODQUYRUYSXLTU
      URVVAUXQVVEVVDYDUYQUYODYEYFYGUYODUUTYHYKXDTUXSVUEVUFJVUGYDZUYTUXSUXTSIZUY
      ASIZVUBSIZVUCSIZVVFUURVVGUXQUYITUURVVHUXQUYJTUURUVIUXQVVIUVMFDYIYFUURUWGU
      XQVVJUWHUUTDYIYFUXTUYAVUBVUCYJYLTYMUXSVUDDVKUYTUXSUXMDNMZLDNMZVUDDUURVVKV
      VLVKUXQUURUXMLDNUXPWATUXSFUUTDUURUXOUXQUVNTUURUUTHIUXQUWITUXSDUYKUMZWBUXS
      DVVMXAWDTYNYOYPUURUXRJZUXDWHDQVVNUXDUURUYCUXRUYHTYQUURUXRWLYRUURUULDYSXFZ
      JUXQUXRYTUURUULVVOUWBUURUULKDUHRVVOUWBUURKDKUAIUURUUIXQZUWBUURKVUHDVVPUUR
      VUHVUQUUAUWBUURUWSUYDUUBVUNUUCUUDDUUEVNYCDUUJUKUUFXDUVTUURUUKUULUVEUVFUVH
      JVHUQUWAUWBUVBUVCCDHUTVAUUGGUUH $.
  $}

  ${
    $d u v w x y z $.
    $( The standard topology on the reals is Hausdorff.  (Contributed by NM,
       8-Mar-2007.) $)
    rehaus $p |- ( topGen ` ran (,) ) e. Haus $=
      ( cabs cmin ccom cr cxp cres cxmet cfv wcel cioo crn ctg cha rexmet cmopn
      eqid tgioo methaus ax-mp ) ABCDDEFZDGHIJKLHZMITTPZNTUADTTOHZUBUCPQRS $.

    tgqioo.1 $e |- Q = ( topGen ` ( (,) " ( QQ X. QQ ) ) ) $.
    $( The topology generated by open intervals of reals with rational
       endpoints is the same as the open sets of the standard metric space on
       the reals.  In particular, this proves that the standard topology on the
       reals is second-countable.  (Contributed by Mario Carneiro,
       17-Jun-2014.) $)
    tgqioo $p |- ( topGen ` ran (,) ) = Q $=
      ( vx vy vz vw vu vv cioo cq cfv wss cxr cv wcel ax-mp wa wrex clt wbr cxp
      cima ctg crn wceq imassrn wf wfn co wral cr cpw ioof simpll elioo1 biimpa
      ffn w3a simp1d simp2d qbtwnxr syl3anc simplr simp3d reeanv df-ov 3ad2ant2
      cop opelxpi wfun cdm wi ffun qssre ressxr sstri xpss12 sseqtrri funfvima2
      mp2an fdmi syl eqeltrid 3ad2ant1 simp3lr simp3rl wb simp2l sselid syl2anc
      simp2r mpbir3and simp3ll xrltled iooss1 simp3rr sstrd eleq2 sseq1 anbi12d
      cle iooss2 rspcev syl12anc rexlimdvv syl5bir mp2and ralrimiva ctb qtopbas
      3exp eltg2b sylibr rgen2 ffnov mpbir2an frn 2basgen eqtr2i ) AIJJUAZUBZUC
      KZIUDZUCKZBYAYCLYCYBLZYBYDUEIXTUFMMUAZYBIUGZYEYGIYFUHZCNZDNZIUIZYBOZDMUJC
      MUJYFUKULZIUGZYHUMYFYMIUQPYLCDMMYIMOZYJMOZQZENZFNZOZYSYKLZQZFYARZEYKUJZYL
      YQUUCEYKYQYRYKOZQZYIGNZSTZUUGYRSTZQZGJRZYRHNZSTZUULYJSTZQZHJRZUUCUUFYOYRM
      OZYIYRSTZUUKYOYPUUEUNZUUFUUQUURYRYJSTZYQUUEUUQUURUUTURYIYJYRUOUPZUSZUUFUU
      QUURUUTUVAUTGYIYRVAVBUUFUUQYPUUTUUPUVBYOYPUUEVCZUUFUUQUURUUTUVAVDHYRYJVAV
      BUUKUUPQUUJUUOQZHJRGJRUUFUUCUUJUUOGHJJVEUUFUVDUUCGHJJUUFUUGJOZUULJOZQZUVD
      UUCUUFUVGUVDURZUUGUULIUIZYAOYRUVIOZUVIYKLZUUCUVHUVIUUGUULVHZIKZYAUUGUULIV
      FUVHUVLXTOZUVMYAOZUVGUUFUVNUVDUUGUULJJVIVGIVJZXTIVKZLUVNUVOVLYNUVPUMYFYMI
      VMPXTYFUVQJMLZUVRXTYFLJUKMVNVOVPZUVSJMJMVQVTYFYMIUMWAVRXTUVLIVSVTWBWCUVHU
      VJUUQUUIUUMUUFUVGUUQUVDUVBWDUUHUUIUUOUUFUVGWEUUMUUNUUJUUFUVGWFUVHUUGMOUUL
      MOUVJUUQUUIUUMURWGUVHJMUUGUVSUUFUVEUVFUVDWHWIZUVHJMUULUVSUUFUVEUVFUVDWKWI
      ZUUGUULYRUOWJWLUVHUVIYIUULIUIZYKUVHYOYIUUGXATUVIUWBLUUFUVGYOUVDUUSWDZUVHY
      IUUGUWCUVTUUHUUIUUOUUFUVGWMWNYIUUGUULWOWJUVHYPUULYJXATUWBYKLUUFUVGYPUVDUV
      CWDZUVHUULYJUWAUWDUUMUUNUUJUUFUVGWPWNYIUULYJXBWJWQUUBUVJUVKQFUVIYAYSUVIUE
      YTUVJUUAUVKYSUVIYRWRYSUVIYKWSWTXCXDXKXEXFXGXHYAXIOYLUUDWGXJEFYKYAXIXLPXMX
      NCDMMYBIXOXPYFYBIXQPYAYCXRVTXS $.
  $}

  $( The standard topology on the reals is second-countable.  (Contributed by
     Mario Carneiro, 21-Mar-2015.) $)
  re2ndc $p |- ( topGen ` ran (,) ) e. 2ndc $=
    ( cioo ctg cfv cq cxp c2ndc wcel com cdom wbr cen cdm cn qnnen mp2an nnenom
    entri wss cxr cr crn cima eqid tgqioo ctb qtopbas ccrd cres wfo con0 omelon
    xpen xpnnen entr2i isnumi wfun wf ioof ffun ax-mp qssre ressxr sstri xpss12
    cpw fdmi sseqtrri fores fodomnum mp2 domentr 2ndci eqeltri ) AUABCADDEZUBZB
    CZFVPVPUCUDVOUEGVOHIJZVPFGUFVOVNIJZVNHKJVQVNUGLGZVNVOAVNUHZUIZVRHUJGHVNKJVS
    UKVNMHVNMMEZMDMKJZWCVNWBKJNNDMDMULOUMQZPUNHVNUOOAUPZVNALZRWASSEZTVEZAUQWEUR
    WGWHAUSUTVNWGWFDSRZWIVNWGRDTSVAVBVCZWJDSDSVDOWGWHAURVFVGVNAVHOVNVOVTVIVJVNM
    HWDPQVOVNHVKOVOVLOVM $.

  ${
    resubmet.1 $e |- R = ( topGen ` ran (,) ) $.
    resubmet.2 $e |- J = ( MetOpen ` ( ( abs o. - ) |` ( A X. A ) ) ) $.
    $( The subspace topology induced by a subset of the reals.  (Contributed by
       Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro, 13-Aug-2014.) $)
    resubmet $p |- ( A C_ RR -> J = ( R |`t A ) ) $=
      ( wss cabs cmin ccom cxp cres cmopn cfv crest xpss12 anidms resabs1d eqid
      cr co fveq2d eqtr4id cxmet wcel wceq rexmet cioo crn ctg tgioo eqtri mpan
      metrest eqtr4d ) ASFZCGHIZSSJZKZAAJZKZLMZBANTZUOCUPUSKZLMVAEUOUTVCLUOUPUS
      UQUOUSUQFASASOPQUAUBURSUCMUDUOVBVAUEURURRZUFURUTBVASAUTRBUGUHUIMURLMZDURV
      EVDVERUJUKVARUMULUN $.
  $}

  ${
    tgioo2.1 $e |- J = ( TopOpen ` CCfld ) $.
    $( The standard topology on the reals is a subspace of the complex metric
       topology.  (Contributed by Mario Carneiro, 13-Aug-2014.) $)
    tgioo2 $p |- ( topGen ` ran (,) ) = ( J |`t RR ) $=
      ( cabs cmin ccom cr cxp cres crest co eqid cc cxmet cfv wcel cmopn cnxmet
      wss wceq ax-resscn cnfldtopn metrest mp2an tgioo ) CDEZFFGHZAFIJZUFKZUELM
      NOFLRUGUFPNZSQTUEUFAUILFUHABUAUIKUBUCUD $.

    rerest.2 $e |- R = ( topGen ` ran (,) ) $.
    $( The subspace topology induced by a subset of the reals.  (Contributed by
       Mario Carneiro, 13-Aug-2014.) $)
    rerest $p |- ( A C_ RR -> ( J |`t A ) = ( R |`t A ) ) $=
      ( cr wss crest co cioo crn ctg cfv tgioo2 eqtri oveq1i ctop wcel cvv wceq
      cnfldtop reex restabs mp3an13 eqtr2id ) AFGZBAHICFHIZAHIZCAHIZBUGAHBJKLMU
      GECDNOPCQRUFFSRUHUITCDUAUBAFCQSUCUDUE $.
  $}

  ${
    tgioo3.1 $e |- J = ( TopOpen ` RRfld ) $.
    $( The standard topology on the reals is a subspace of the complex metric
       topology.  (Contributed by Mario Carneiro, 13-Aug-2014.)  (Revised by
       Thierry Arnoux, 3-Jul-2019.) $)
    tgioo3 $p |- ( topGen ` ran (,) ) = J $=
      ( ccnfld ctopn cfv cr crest co cress cioo crn eqid resstopn tgioo2 crefld
      ctg df-refld fveq2i eqtri 3eqtr4i ) CDEZFGHCFIHZDEZJKPEAFUBUACUBLUALZMUAU
      DNAODEUCBOUBDQRST $.
  $}

  ${
    $d a b c u v x y $.
    xrtgioo.1 $e |- J = ( ( ordTop ` <_ ) |`t RR ) $.
    $( The topology on the extended reals coincides with the standard topology
       on the reals, when restricted to ` RR ` .  (Contributed by Mario
       Carneiro, 3-Sep-2015.) $)
    xrtgioo $p |- ( topGen ` ran (,) ) = J $=
      ( vx vy vv cioo cfv cle cr co wcel wss cxr wceq wa wb cpnf cmnf clt wbr
      vu va vb vc crn ctg cordt crest cv ctop letop cxp wfn wral cpw ioof ax-mp
      wf ffn iooordt rgen2w ffnov mpbir2an frn mp2an tgtop sseqtri sseli ctopon
      tgss retopon toponss mpan restopn2 sylanbrc ssriv cioc cmpt cico cun eqid
      reordt leordtval oveq1i ctb cvv eqeltrri tgclb mpbir reex tgrest retopbas
      eqtr4i cin wrex elrest elun elrnmpt elv w3a simpl pnfxr a1i adantl df-ioc
      wo rexr elixx3g baib syl3anc pnfge syl biantrud 3bitr2d pm5.32da biancomi
      ltpnf elin 3anass 3bitr4g elioo2 mpan2 bitr4d eqrdv ioorebas ineq1 eleq1d
      eqeltrdi syl5ibrcom rexlimiv sylbi mnfxr df-ico mnfle biantrurd jaoi cuni
      mnflt elssuni unirnioo sseqtrrdi df-ss sylib eqeltrd eleq1 eqsstri eqssi
      id ) FUEZUFGZHUGGZIUHJZAUUJUULCUUJUULCUIZUUJKZUUMUUKKZUUMILZUUMUULKZUUJUU
      KUUMUUJUUKUFGZUUKUUKUJKZUUIUUKLZUUJUURLUKMMULZUUKFURZUUTUVBFUVAUMZUUMDUIZ
      FJUUKKZDMUNCMUNUVAIUOZFURUVCUPUVAUVFFUSUQUVECDMMUUMUVDUTVACDMMUUKFVBVCUVA
      UUKFVDUQUUIUUKUJVJVEUUSUURUUKNUKUUKVFUQVGVHUUJIVIGKUUNUUPVKUUMUUJIVLVMUUS
      IUUKKUUQUUOUUPOPUKWBIUUMUUKVNVEVOVPUULCMUUMQVQJZVRZUEZCMRUUMVSJZVRZUEZVTZ
      UUIVTZIUHJZUFGZUUJUULUVNUFGZIUHJZUVPUUKUVQIUHCUVIUVLUUIUVIWAUVLWAUUIWAWCZ
      WDUVNWEKZIWFKZUVPUVRNUVTUVQUJKUUKUVQUJUVSUKWGUVNWHWIZWJIUVNWEWFWKVEWMUUIW
      EKUVOUUILUVPUUJLWLUAUVOUUIUAUIZUVOKZUWCEUIZIWNZNZEUVNWOZUWCUUIKZUVTUWAUWD
      UWHPUWBWJEUWCIUVNWEWFWPVEUWGUWIEUVNUWEUVNKZUWIUWGUWFUUIKZUWJUWEUVMKZUWEUU
      IKZXFUWKUWEUVMUUIWQUWLUWKUWMUWLUWEUVIKZUWEUVLKZXFUWKUWEUVIUVLWQUWNUWKUWOU
      WNUWEUVGNZCMWOZUWKUWNUWQPECMUVGUWEUVHWFUVHWAWRWSUWPUWKCMUUMMKZUWKUWPUVGIW
      NZUUIKUWRUWSUUMQFJZUUIUWRDUWSUWTUWRUVDUWSKZUVDIKZUUMUVDSTZUVDQSTZWTZUVDUW
      TKZUWRUXBUVDUVGKZOUXBUXCUXDOZOUXAUXEUWRUXBUXGUXHUWRUXBOZUXGUXCUVDQHTZOZUX
      CUXHUXIUWRQMKZUVDMKZUXGUXKPUWRUXBXAZUXLUXIXBXCUXBUXMUWRUVDXGXDZUXGUWRUXLU
      XMWTUXKUBUCUDUUMQUVDSHVQUBUCUDXEXHXIXJUXIUXJUXCUXIUXMUXJUXOUVDXKXLXMUXIUX
      DUXCUXBUXDUWRUVDXQXDXMXNXOUXAUXBUXGUVDUVGIXRXPUXBUXCUXDXSXTUWRUXLUXFUXEPX
      BUUMQUVDYAYBYCYDUUMQYEYHUWPUWFUWSUUIUWEUVGIYFYGYIYJYKUWOUWEUVJNZCMWOZUWKU
      WOUXQPECMUVJUWEUVKWFUVKWAWRWSUXPUWKCMUWRUWKUXPUVJIWNZUUIKUWRUXRRUUMFJZUUI
      UWRDUXRUXSUWRUVDUXRKZUXBRUVDSTZUVDUUMSTZWTZUVDUXSKZUWRUXBUVDUVJKZOUXBUYAU
      YBOZOUXTUYCUWRUXBUYEUYFUXIUYERUVDHTZUYBOZUYBUYFUXIRMKZUWRUXMUYEUYHPUYIUXI
      YLXCUXNUXOUYEUYIUWRUXMWTUYHUBUCUDRUUMUVDHSVSUBUCUDYMXHXIXJUXIUYGUYBUXIUXM
      UYGUXOUVDYNXLYOUXIUYAUYBUXBUYAUWRUVDYRXDYOXNXOUXTUXBUYEUVDUVJIXRXPUXBUYAU
      YBXSXTUYIUWRUYDUYCPYLRUUMUVDYAVMYCYDRUUMYEYHUXPUWFUXRUUIUWEUVJIYFYGYIYJYK
      YPYKUWMUWFUWEUUIUWMUWEILUWFUWENUWMUWEUUIYQIUWEUUIYSYTUUAUWEIUUBUUCUWMUUHU
      UDYPYKUWCUWFUUIUUEYIYJYKVPUVOUUIWEVJVEUUFUUGBWM $.
  $}

  ${
    xrrest.1 $e |- X = ( ordTop ` <_ ) $.
    xrrest.2 $e |- R = ( topGen ` ran (,) ) $.
    $( The subspace topology induced by a subset of the reals.  (Contributed by
       Mario Carneiro, 9-Sep-2015.) $)
    xrrest $p |- ( A C_ RR -> ( X |`t A ) = ( R |`t A ) ) $=
      ( cr wss crest cioo crn ctg cfv cle cordt oveq1i xrtgioo eqtri cvv wcel
      co wceq fvexi reex restabs mp3an13 eqtr2id ) AFGZBAHTCFHTZAHTZCAHTZBUHAHB
      IJKLUHEUHCMNLFHDOPQOCRSUGFRSUIUJUACMNDUBUCAFCRRUDUEUF $.
  $}

  ${
    xrrest2.1 $e |- J = ( TopOpen ` CCfld ) $.
    xrrest2.2 $e |- X = ( ordTop ` <_ ) $.
    $( The subspace topology induced by a subset of the reals.  (Contributed by
       Mario Carneiro, 9-Sep-2015.) $)
    xrrest2 $p |- ( A C_ RR -> ( J |`t A ) = ( X |`t A ) ) $=
      ( cr wss crest co cioo crn ctg cfv eqid rerest xrrest eqtr4d ) AFGBAHIJKL
      MZAHICAHIARBDRNZOARCESPQ $.
  $}

  ${
    $d r x y z D $.  $d x J $.  $d x P $.  $d x R $.
    xrsxmet.1 $e |- D = ( dist ` RR*s ) $.
    $( The metric on the extended reals is a proper extended metric.
       (Contributed by Mario Carneiro, 4-Sep-2015.) $)
    xrsxmet $p |- D e. ( *Met ` RR* ) $=
      ( vx vy cxr wcel wtru cle wbr cxad co wa cc0 wb cr recnd syl adantr caddc
      wceq vz cxmet cfv cvv xrex a1i cxp wf cxne cif wral xnegcl xaddcl syl2anr
      cv id sylan2 ifcld rgen2 xrsds fmpo mpbi breq2 xsubge0 biimpar wn xrletri
      ancoms orcanai syldan ifbothda xrsdsval breqtrrd weq biantrud eqeltrd 0xr
      adantl xrletri3 sylancl simpr wne 0re eqeltrdi xrsdsreclb ad4ant124 mpbid
      simplr simpld simprd cmin rexsub eqeq1d biimpa xneg11 xnegdi oveq2d simpl
      syl2anc xnegneg xaddcom 3eqtrd xneg0 eqeq12d bitr3d ad2antrr biidd bibi1d
      eqeq1 ifboth eqtr3d subeq0d pm2.61dane anidms xrleid iftrued xnegid oveq1
      syl5ibrcom impbid 3bitr2d w3a simplrr leidd oveq1d simpll1 oveq12 vtoclga
      ex eqtrd addid2d simplrl simpll2 eqeq2 wo oveq12d 3brtr4d cabs xrsdsreval
      syl3anc eqtr2d 3brtr3d oveq2 eqtr4d clt xrleloe neneqd biorf orcom bitrdi
      eqeltrrd xrltnle con2bid iffalsed 3eqtr4d addid1d simpll3 simprl abs3difd
      simprr abssubd pm2.61da2ne 3adant1 isxmet2d mptru ) AEUBUCFGCDUAAUDEEUDFG
      UEUFEEUGEAUHZGCUOZDUOZHIZUVHUVGUIZJKZUVGUVHUIZJKZUJZEFZDEUKCEUKUVFUVOCDEE
      UVGEFZUVHEFZLZUVIUVKUVMEUVQUVQUVJEFZUVKEFZUVPUVQUPUVGULZUVHUVJUMUNZUVQUVP
      UVLEFZUVMEFUVHULZUVGUVLUMUQURZUSCDEEUVNEACDABUTVAVBUFUVRMUVGUVHAKZHIZGUVR
      MUVNUWFHUVIMUVKHIZMUVMHIZMUVNHIUVRUVKUVMUVKUVNMHVCUVMUVNMHVCUVRUWHUVIUVQU
      VPUWHUVINUVHUVGVDVHVEUVRUVIVFZUVHUVGHIZUWIUVRUVIUWKUVGUVHVGVIUVRUWIUWKUVG
      UVHVDVEVJVKUVGUVHABVLZVMZVRUVRUWFMHIZCDVNZNGUVRUWNUWNUWGLZUWFMTZUWOUVRUWG
      UWNUWMVOUVRUWFEFMEFZUWQUWPNUVRUWFUVNEUWLUWEVPVQUWFMVSVTUVRUWQUWOUVRUWQUWO
      UVRUWQLZUWOUVGUVHUWSUWOWAUWSUVGUVHWBZLZUVGUVHUXAUVGUXAUVGOFZUVHOFZUXAUWFO
      FZUXBUXCLZUXAUWFMOUVRUWQUWTWHWCWDUVPUVQUWTUXDUXENUWQUVGUVHABWEWFWGZWIPUXA
      UVHUXAUXBUXCUXFWJPUXAUVMUVGUVHWKKZMUXAUXEUVMUXGTUXFUVGUVHWLQUXAUVNMTZUVMM
      TZUWSUXHUWTUVRUWQUXHUVRUWFUVNMUWLWMWNRUXAUVKMTZUXINZUXIUXINZUXHUXINZUVRUX
      KUWQUWTUVRUVKUIZMUIZTZUXJUXIUVRUVTUWRUXPUXJNUWBVQUVKMWOVTUVRUXNUVMUXOMUVR
      UXNUVLUVJUIZJKZUVLUVGJKZUVMUVRUVQUVSUXNUXRTUVPUVQWAUVPUVSUVQUWARUVHUVJWPW
      SUVRUXQUVGUVLJUVPUXQUVGTUVQUVGWTRWQUVRUWCUVPUXSUVMTUVQUWCUVPUWDVRUVPUVQWR
      UVLUVGXAWSXBUXOMTUVRXCUFXDXEXFUXAUXIXGUVIUXKUXLUXMUVKUVMUVKUVNTUXJUXHUXIU
      VKUVNMXIXHUVMUVNTUXIUXHUXIUVMUVNMXIXHXJWSWGXKXLXMYIUVRUWQUWOUVHUVHAKZMTZU
      VQUYAUVPUVQUXTUVHUVHHIZUVHUVLJKZUYCUJZUYCMUVQUXTUYDTUVHUVHABVLXNUVQUYBUYC
      UYCUVHXOXPUVHXQXBZVRUWOUWFUXTMUVGUVHUVHAXRZWMXSXTYAVRUVPUVQUAUOZEFZYBZUYG
      UVGAKZOFZUYGUVHAKZOFZLZUWFUYJUYLSKZHIZGUYIUYNLZUYPUYGUVGUYGUVHUYQUACVNZLZ
      UYLUYLUWFUYOHUYSUYLUYIUYKUYMUYRYCZYDUYSUYGUVGUVHAUYQUYRWAZYEUYSUYOMUYLSKU
      YLUYSUYJMUYLSUYSUYJUVGUVGAKZMUYSUYGUVGUVGAVUAYEUYSUVPVUBMTZUVPUVQUYHUYNUY
      RYFUYAVUCDUVGEDCVNZUXTVUBMVUDUXTVUBTUVHUVGUVHUVGAYGXNWMUYEYHQYJYEUYSUYLUY
      SUYLUYTPYKUUAUUBUYQUADVNZLZUVHUVGAKZVUGUWFUYOHVUFVUGVUFUYJVUGOVUFUYGUVHUV
      GAUYQVUEWAZYEZUYIUYKUYMVUEYLUUKZYDVUFUVPUVQUWFVUGTZUVPUVQUYHUYNVUEYFUVPUV
      QUYHUYNVUEYMZUVRVUKUVGUVHUWOVUKUVRUWOUWFUXTVUGUYFUVGUVHUVHAUUCUUDVRUVRUWT
      LZUVNUWKUVMUVKUJZUWFVUGUWKUVNUVMTUVNUVKTUVNVUNTVUMUVMUVKUVMVUNUVNYNUVKVUN
      UVNYNVUMUWKLUVIUVKUVMVUMUWKUWJVUMUVIUWKVUMUVIUVGUVHUUEIZUWOYOZVUOUWKVFZUV
      RUVIVUPNUWTUVGUVHUUFRVUMUWOVFZVUOVUPNVUMUVGUVHUVRUWTWAUUGVURVUOUWOVUOYOVU
      PUWOVUOUUHUWOVUOUUIUUJQUVRVUOVUQNUWTUVGUVHUULRYAZUUMWNUUNVUMVUQLUVIUVKUVM
      VUMUVIVUQVUSVEXPVKUVRUWFUVNTUWTUWLRUVRVUGVUNTZUWTUVQUVPVUTUVHUVGABVLVHRUU
      OXMWSVUFUYOVUGMSKVUGVUFUYJVUGUYLMSVUIVUFUYLUXTMVUFUYGUVHUVHAVUHYEVUFUVQUY
      AVULUYEQYJYPVUFVUGVUFVUGVUJPUUPYJYQUYQUYGUVGWBZUYGUVHWBZLZLZUXGYRUCZUVGUY
      GWKKYRUCZUYGUVHWKKYRUCZSKUWFUYOHVVDUVGUVHUYGVVDUVGVVDUYGOFZUXBVVDUYKVVHUX
      BLZUYIUYKUYMVVCYLVVDUYHUVPVVAUYKVVINUVPUVQUYHUYNVVCUUQZUVPUVQUYHUYNVVCYFU
      YQVVAVVBUURUYGUVGABWEYTWGZWJZPZVVDUVHVVDVVHUXCVVDUYMVVHUXCLZUYIUYKUYMVVCY
      CVVDUYHUVQVVBUYMVVNNVVJUVPUVQUYHUYNVVCYMUYQVVAVVBUUTUYGUVHABWEYTWGZWJZPVV
      DUYGVVDVVHUXBVVKWIPZUUSVVDUXBUXCUWFVVETVVLVVPUVGUVHABYSWSVVDUYJVVFUYLVVGS
      VVDUYJUYGUVGWKKYRUCZVVFVVDVVIUYJVVRTVVKUYGUVGABYSQVVDUYGUVGVVQVVMUVAYJVVD
      VVNUYLVVGTVVOUYGUVHABYSQYPYQUVBUVCUVDUVE $.

    $( The metric on the extended reals coincides with the usual metric on the
       reals.  (Contributed by Mario Carneiro, 4-Sep-2015.) $)
    xrsdsre $p |- ( D |` ( RR X. RR ) ) = ( ( abs o. - ) |` ( RR X. RR ) ) $=
      ( vx vy cr cxp cres cabs cmin wceq cv co wral wcel cfv wfn cxr wss mp2an
      cc ccom wa xrsdsreval ovres eqid remetdval 3eqtr4d rgen2 wb cxmet xrsxmet
      wf xmetf mp2b rexpssxrxp fnssres cmet cnmet metf ax-resscn xpss12 eqfnov2
      ffn mpbir ) AEEFZGZHIUAZVEGZJZCKZDKZVFLZVJVKVHLZJZDEMCEMZVNCDEEVJENVKENUB
      VJVKALVJVKILHOVLVMVJVKABUCVJVKEEAUDVJVKVHVHUEUFUGUHVFVEPZVHVEPZVIVOUIAQQF
      ZPZVEVRRVPAQUJONVRQAULVSABUKAQUMVRQAVCUNUOVRVEAUPSVGTTFZPZVEVTRZVQVGTUQON
      VTEVGULWAURVGTUSVTEVGVCUNETRZWCWBUTUTETETVASVTVEVGUPSCDEEVFVHVBSVD $.

    $( Any ball of the metric of the extended reals centered on an element of
       ` RR ` is entirely contained in ` RR ` .  (Contributed by Mario
       Carneiro, 4-Sep-2015.) $)
    xrsblre $p |- ( ( P e. RR /\ R e. RR* ) -> ( P ( ball ` D ) R ) C_ RR ) $=
      ( vx cr wcel cxr wa cbl cfv co ccnv cima cec wss rexr cvv wb simpr blssec
      cxmet xrsxmet eqid mp3an1 sylan wbr vex simpl elecg sylancr w3a xmeterval
      cv ax-mp wceq simplll eqeltrrd simplr3 simplr1 simplr2 xrsdsreclb syl3anc
      wne mpbid simprd pm2.61dane ex syl5bi sylbid ssrdv sstrd ) BFGZCHGZIZBCAJ
      KLZBAMFNZOZFVMBHGZVNVPVRPZBQAHUBKGZVSVNVTADUCZABVQCHVQUDZUAUEUFVOEVRFVOEU
      NZVRGZBWDVQUGZWDFGZVOWDRGVMWEWFSEUHVMVNUIWDBVQRFUJUKWFVSWDHGZBWDALFGZULZV
      OWGWAWFWJSWBBWDAVQHWCUMUOVOWJWGVOWJIZWGBWDWKBWDUPZIBWDFWKWLTVMVNWJWLUQURW
      KBWDVDZIZVMWGWNWIVMWGIZVSWHWIVOWMUSWNVSWHWMWIWOSVSWHWIVOWMUTVSWHWIVOWMVAW
      KWMTBWDADVBVCVEVFVGVHVIVJVKVL $.

    xrsmopn.1 $e |- J = ( MetOpen ` D ) $.
    $( The metric on the extended reals generates a topology, but this does not
       match the order topology on ` RR* ` ; for example ` { +oo } ` is open in
       the metric topology, but not the order topology.  However, the metric
       topology is finer than the order topology, meaning that all open
       intervals are open in the metric topology.  (Contributed by Mario
       Carneiro, 4-Sep-2015.) $)
    xrsmopn $p |- ( ordTop ` <_ ) C_ J $=
      ( vx vy vr vz cfv cv wcel cxr wss co crp wa cr mp3an2i wceq c1 cordt wrex
      cle cbl wral cuni elssuni letopuni sseqtrrdi wel cabs cmin ccom cxp cxmet
      cres cin crest eqid rexmet ctop cvv reex elrestr mp3an12 ad2antrr biimpri
      letop elin adantll cioo crn ctg cmopn xrtgioo tgioo eqtr3i mopni2 xrsxmet
      simplr ressxr sseqin2 mpbi eleqtrrdi adantl xrsdsre eqcomi xrsblre sylan2
      rpxr blres df-ss sylib eqtrd sseq1d inss1 sstr syl6bi reximdva mpd wn 1rp
      mpan2 clt wbr wb sselda adantr mp1i elbl w3a simp2 wne cc0 simpl3l xmetcl
      3ad2ant1 1red xmetge0 simpl3r 1xr xrltle sylancl xrrege0 simpr xrsdsreclb
      wi syl22anc syl3anc mpbid simpld ex necon1bd simp1r elequ1 syl5ibcom syld
      3expia sylbid ssrdv oveq2 rspcev sylancr pm2.61dan elmopn2 ax-mp sylanbrc
      ralrimiva ssriv ) EUCUAIZBEJZUUJKZUUKLMZFJZGJZAUDIZNZUUKMZGOUBZFUUKUEZUUK
      BKZUULUUKUUJUFLUUKUUJUGUHUIZUULUUSFUUKUULFEUJZPZUUNQKZUUSUVDUVEPZUUNUUOUK
      ULUMQQUNZUPZUDINZUUKQUQZMZGOUBZUUSUVHQUOIKUVFUVJUUJQURNZKZUUNUVJKZUVLUVHU
      VHUSZUTUULUVNUVCUVEUUJVAKQVBKUULUVNVHVCUUKQUUJVAVBVDVEVFUVCUVEUVOUULUVOUV
      CUVEPUUNUUKQVIVGVJGUVJUVHUUNUVMQVKVLVMIUVMUVHVNIZUVMUVMUSVOUVHUVQUVPUVQUS
      VPVQVRRUVFUVKUURGOUVFUUOOKZPZUVKUUQUVJMZUURUVSUVIUUQUVJUVSUVIUUQQUQZUUQAL
      UOIKZUVSUUNLQUQZKUUOLKZUVIUWASACVSZUVSUUNQUWCUVDUVEUVRVTQLMUWCQSWAQLWBWCW
      DUVRUWDUVFUUOWJZWEUVHAUUNUUOLQAUVGUPUVHACWFWGWKRUVSUUQQMZUWAUUQSUVEUVRUWG
      UVDUVRUVEUWDUWGUWFAUUNUUOCWHWIVJUUQQWLWMWNWOUVTUVJUUKMUURUUKQWPUUQUVJUUKW
      QXCWRWSWTUVDUVEXAZPZTOKZUUNTUUPNZUUKMZUUSXBUWIHUWKUUKUWIHJZUWKKZUWMLKZUUN
      UWMANZTXDXEZPZHEUJZUWBUWIUUNLKZTLKZUWNUWRXFUWEUVDUWTUWHUULUUKLUUNUVBXGZXH
      UWJUXAUWIXBTWJXIUWMAUUNTLXJRUVDUWHUWRUWSUVDUWHUWRXKZUWHUWSUVDUWHUWRXLUXCU
      WHUUNUWMSZUWSUXCUVEUUNUWMUXCUUNUWMXMZUVEUXCUXEPZUVEUWMQKZUXFUWPQKZUVEUXGP
      ZUXFUWPLKZTQKXNUWPUCXEZUWPTUCXEZUXHUWBUXFUWTUWOUXJUWEUXCUWTUXEUVDUWHUWTUW
      RUXBXQXHZUWOUWQUVDUWHUXEXOZUUNUWMALXPRZUXFXRUWBUXFUWTUWOUXKUWEUXMUXNUUNUW
      MALXSRUXFUWQUXLUWOUWQUVDUWHUXEXTUXFUXJUXAUWQUXLYGUXOYAUWPTYBYCWTUWPTYDYHU
      XFUWTUWOUXEUXHUXIXFUXMUXNUXCUXEYEUUNUWMACYFYIYJYKYLYMUXCUVCUXDUWSUULUVCUW
      HUWRYNFHEYOYPYQWTYRYSYTUURUWLGTOUUOTSUUQUWKUUKUUOTUUNUUPUUAWOUUBUUCUUDUUH
      UWBUVAUUMUUTPXFUWEFGUUKABLDUUEUUFUUGUUI $.
  $}

  ${
    $d x y J $.
    zcld.1 $e |- J = ( topGen ` ran (,) ) $.
    $( The integers are a closed set in the topology on ` RR ` .  (Contributed
       by Mario Carneiro, 17-Feb-2015.) $)
    zcld $p |- ZZ e. ( Clsd ` J ) $=
      ( vx vy cz cfv wcel cr cv c1 caddc co cioo wa clt wbr syl syl2anc cxr wb
      ccld cdif ciun wrex eliun elioore adantl wn eliooord btwnnz sylan2 eldifd
      3expb rexlimiva cfl eldifi zred cle flle wne eldifn nelne2 necomd leneltd
      flcld flltp1 rexrd peano2re elioo2 mpbir3and wceq id oveq1 oveq12d eleq2d
      w3a rspcev impbii bitri eqriv ctop wral crn ctg eqeltri iooretop eleqtrri
      retop rgenw iunopn mp2an eqeltrri wss zssre uniretop unieqi eqtr4i iscld2
      cuni mpbir ) EAUAFGZHEUBZAGZCECIZXDJKLZMLZUCZXBADXGXBDIZXGGXHXFGZCEUDZXHX
      BGZCXHEXFUEXJXKXIXKCEXDEGZXINXHHEXIXHHGZXLXHXDXEUFUGXIXLXDXHOPZXHXEOPZNXH
      EGUHZXHXDXEUIXLXNXOXPXDXHUJUMUKULUNXKXHUOFZEGZXHXQXQJKLZMLZGZXJXKXHXHHEUP
      ZVEZXKYAXMXQXHOPZXHXSOPZYBXKXQXHXKXQYCUQZYBXKXMXQXHURPYBXHUSQXKXQXHXKXRXP
      XQXHUTYCXHHEVAXQXHEVBRVCVDXKXMYEYBXHVFQXKXQSGXSSGYAXMYDYEVPTXKXQYFVGXKXSX
      KXQHGXSHGYFXQVHQVGXQXSXHVIRVJXIYACXQEXDXQVKZXFXTXHYGXDXQXEXSMYGVLXDXQJKVM
      VNVOVQRVRVSVTAWAGZXFAGZCEWBXGAGAMWCWDFZWABWHWEZYICEXFYJAXDXEWFBWGWICEXFAW
      JWKWLYHEHWMXAXCTYKWNEAHHYJWSAWSWOAYJBWPWQWRWKWT $.
  $}

  ${
    $d n r u x y z J $.  $d n r u v S $.
    recld2.1 $e |- J = ( TopOpen ` CCfld ) $.
    $( The real numbers are a closed set in the topology on ` CC ` .
       (Contributed by Mario Carneiro, 17-Feb-2015.) $)
    recld2 $p |- RR e. ( Clsd ` J ) $=
      ( vx vy cr cfv wcel cc wss cabs cmin co crp cim wn cc0 wceq wb wa cnxmet
      ccld cdif cv ccom cbl wrex difss eldifi imcld recnd wne eldifn reim0b syl
      wral necon3bbid mpbid absrpcld clt wbr cxmet cxr abscld rexrd elbl simprl
      mp3an2i wi adantr simpr eqid cnmetdval syl2anc subcld imsubd reim0 adantl
      oveq2d subid1d 3eqtrd fveq2d absimle eqbrtrrd lensymd eqnbrtrd con2d impr
      cle ex eldifd sylbid ssrdv oveq2 sseq1d rspcev cnfldtopn elmopn2 mpbir2an
      rgen ax-mp ctop cnfldtop ax-resscn cuni mopnuni iscld2 mp2an mpbir ) EAUA
      FGZHEUBZAGZXKXJHIZCUCZDUCZJKUDZUEFZLZXJIZDMUFZCXJUOZHEUGXSCXJXMXJGZXMNFZJ
      FZMGXMYCXPLZXJIZXSYAYBYAYBYAXMXMHEUHZUIUJZYAXMEGZOYBPUKXMHEULYAYHYBPYAXMH
      GZYHYBPQRYFXMUMUNUPUQURYADYDXJYAXNYDGZXNHGZXMXNXOLZYCUSUTZSZXNXJGZXOHVAFG
      ZYAYIYCVBGYJYNRTYFYAYCYAYBYGVCVDXNXOXMYCHVEVGYAYNYOYAYNSXNHEYAYKYMVFYAYKY
      MXNEGZOZYAYMYRVHYKYAYQYMYAYQYMOYAYQSZYLXMXNKLZJFZYCUSYSYIYKYLUUAQYAYIYQYF
      VIZYSXNYAYQVJUJZXMXNXOXOVKVLVMYSYCUUAYSYBYAYBHGYQYGVIZVCYSYTYSXMXNUUBUUCV
      NZVCYSYTNFZJFZYCUUAWHYSUUFYBJYSUUFYBXNNFZKLYBPKLYBYSXMXNUUBUUCVOYSUUHPYBK
      YQUUHPQYAXNVPVQVRYSYBUUDVSVTWAYSYTHGUUGUUAWHUTUUEYTWBUNWCWDWEWIWFVIWGWJWI
      WKWLXRYEDYCMXNYCQXQYDXJXNYCXMXPWMWNWOVMWSYPXKXLXTSRTCDXJXOAHABWPZWQWTWRAX
      AGEHIXIXKRABXBXCEAHYPHAXDQTXOAHUUIXEWTXFXGXH $.

    $( The integers are a closed set in the topology on ` CC ` .  (Contributed
       by Mario Carneiro, 17-Feb-2015.) $)
    zcld2 $p |- ZZ e. ( Clsd ` J ) $=
      ( cr ccld cfv wcel cz crest co recld2 cioo crn ctg tgioo2 eqcomi restcldr
      zcld mp2an ) CADEZFGACHIZDEFGSFABJTKLMETABNOQCGAPR $.

    $( The integers are a discrete set in the topology on ` CC ` .
       (Contributed by Mario Carneiro, 19-Sep-2015.) $)
    zdis $p |- ( J |`t ZZ ) = ~P ZZ $=
      ( vx vy vz cz co cv wcel wa c1 cfv cc zcnd cnxmet ctop cvv clt wceq wb ex
      crest cpw restsspw wss wrex wral cabs cmin cbl cin elpwi sselda cxmet cxr
      ccom 1xr cnfldtopn blopn mp3an13 cnfldtop zex elrestr mp3an12 3syl blcntr
      crp 1rp syl elind adantr simpr elin2d zsubcld wbr cc0 eqid syl2anc elin1d
      cnmetdval elbl2 mpanl12 mpbid eqbrtrrd cn0 nn0abscl abs00d subeq0d simplr
      nn0lt10b eqeltrrd ssrdv eleq2 sseq1 anbi12d rspcev syl12anc resttop mp2an
      ralrimiva eltop2 ax-mp sylibr ssriv eqssi ) AFUBGZFUCZFAUDCXGXFCHZXGIZDHZ
      EHZIZXKXHUEZJZEXFUFZDXHUGZXHXFIZXIXODXHXIXJXHIZJZXJKUHUIUPZUJLGZFUKZXFIZX
      JYBIZYBXHUEZXOXSXJMIZYAAIZYCXSXJXIXHFXJXHFULUMZNZXTMUNLIZYFKUOIZYGOUQXTXJ
      KAMABURUSUTAPIZFQIZYGYCABVAZVBYAFAPQVCVDVEXSYAFXJXSYFXJYAIZYIYJYFKVGIYOOV
      HXTXJKMVFUTVIYHVJXSEYBXHXSXKYBIZXKXHIXSYPJZXJXKXHYQXJXKXSYFYPYIVKZYQXKYQY
      AFXKXSYPVLZVMZNZYQXJXKUIGZYQUUBYQXJXKXSXJFIYPYHVKYTVNZNYQUUBUHLZKRVOZUUDV
      PSZYQXJXKXTGZUUDKRYQYFXKMIZUUGUUDSYRUUAXJXKXTXTVQVTVRYQXKYAIZUUGKRVOZYQYA
      FXKYSVSYQYFUUHUUIUUJTZYRUUAYJYKYFUUHJUUKOUQXKXTXJKMWAWBVRWCWDYQUUBFIUUDWE
      IUUEUUFTUUCUUBWFUUDWJVEWCWGWHXIXRYPWIWKUAWLXNYDYEJEYBXFXKYBSXLYDXMYEXKYBX
      JWMXKYBXHWNWOWPWQWTXFPIZXQXPTYLYMUULYNVBFAQWRWSDEXHXFXAXBXCXDXE $.

    $( Every subset of the integers are closed in the topology on ` CC ` .
       (Contributed by Mario Carneiro, 6-Jul-2017.) $)
    sszcld $p |- ( A C_ ZZ -> A e. ( Clsd ` J ) ) $=
      ( cz wss ccld cfv wcel crest co zcld2 cdif id cpw cvv zex difss elpwi2 cc
      ctopon zdis eleqtrri wa wb cnfldtopon zsscn resttopon topontopi toponunii
      ctop mp2an iscld ax-mp sylanblrc restcldr sylancr ) ADEZDBFGZHABDIJZFGHZA
      URHBCKUQUQDALZUSHZUTUQMVADNUSVADOPDAQRBCUAUBUSUJHUTUQVBUCUDDUSBSTGHDSEUSD
      TGHBCUEUFDBSUGUKZUHAUSDDUSVCUIULUMUNDABUOUP $.

    ${
      reperflem.2 $e |- ( ( u e. S /\ v e. RR ) -> ( u + v ) e. S ) $.
      reperflem.3 $e |- S C_ CC $.
      $( A subset of the real numbers that is closed under addition with real
         numbers is perfect.  (Contributed by Mario Carneiro, 26-Dec-2016.) $)
      reperflem $p |- ( J |`t S ) e. Perf $=
        ( vn vr co wcel cfv wss cv wne cc cabs crp wb cr crest clp csn cdif cin
        cperf c0 cnei wral cmin ccom wrex wa cxmet cnxmet sseli cnfldtopn neibl
        cbl sylancr ssrin c2 cdiv caddc clt wceq ralrimiva rpre rehalfcld oveq2
        wbr eleq1d rspccva syl2an sselid eqid cnmetdval syl2anc simpr rphalfcld
        adantr rpcnd pncan2d fveq2d rpred rpge0d absidd 3eqtrd rphalflt eqbrtrd
        adantl cxr a1i rpxr syl22anc mpbird cc0 rpne0d eqnetrd subne0ad eldifsn
        elbl3 sylanbrc inelcm ssn0 ex syl2imc rexlimdva adantld sylbid ralrimiv
        cnfldtop cnfldtopon toponunii islp2 mp3an12i ssriv restperf mp2an mpbir
        ctop ) DCUAJZUFKZCCDUBLLZMZBCYDBNZCKZYFYDKZHNZCYFUCZUDZUEZUGOZHYJDUHLLZ
        UIZYGYMHYNYGYIYNKZYIPMZYFINZQUJUKZUSLJZYIMZIRULZUMZYMYGYSPUNLKZYFPKZYPU
        UCSUOCPYFGUPZYSYFDYIPIDEUQURUTYGUUBYMYQYGUUAYMIRUUAYTYKUEZYLMZYGYRRKZUM
        ZUUGUGOZYMYTYIYKVAUUJYFYRVBVCJZVDJZYTKZUUMYKKZUUKUUJUUNUUMYFYSJZYRVEVKZ
        UUJUUPUULYRVEUUJUUPUUMYFUJJZQLZUULQLUULUUJUUMPKZUUEUUPUUSVFUUJCPUUMGYGY
        FANZVDJZCKZATUIUULTKUUMCKZUUIYGUVCATFVGUUIYRYRVHVIUVCUVDAUULTUVAUULVFUV
        BUUMCUVAUULYFVDVJVLVMVNZVOZYGUUEUUIUUFWAZUUMYFYSYSVPVQVRUUJUURUULQUUJYF
        UULUVGUUJUULUUJYRYGUUIVSVTZWBWCZWDUUJUULUUJUULUVHWEUUJUULUVHWFWGWHUUIUU
        LYRVEVKYGYRWIWKWJUUJUUDYRWLKZUUEUUTUUNUUQSUUDUUJUOWMUUIUVJYGYRWNWKUVGUV
        FUUMYSYFYRPXBWOWPUUJUVDUUMYFOUUOUVEUUJUUMYFUVFUVGUUJUURUULWQUVIUUJUULUV
        HWRWSWTUUMCYFXAXCUUMYTYKXDVRUUHUUKYMUUGYLXEXFXGXHXIXJXKDYAKZCPMZYGUUEYH
        YOSDEXLZGUUFYFCHDPPDDEXMXNZXOXPWPXQUVKUVLYCYESUVMGDYBPCUVNYBVPXRXSXT $.
    $}

    $( The real numbers are a perfect subset of the complex numbers.
       (Contributed by Mario Carneiro, 26-Dec-2016.) $)
    reperf $p |- ( J |`t RR ) e. Perf $=
      ( vy vx cr cv readdcl ax-resscn reperflem ) CDEABDFCFGHI $.

    $( The complex numbers are a perfect space.  (Contributed by Mario
       Carneiro, 26-Dec-2016.) $)
    cnperf $p |- J e. Perf $=
      ( vy vx cc crest co cperf ctopon cfv wcel wceq cnfldtopon toponunii ax-mp
      restid cv cr caddc recn addcl sylan2 ssid reperflem eqeltrri ) AEFGZAHAEI
      JZKUFALABMZAUGEEAUHNPOCDEABCQZRKDQZEKUIEKUJUISGEKUITUJUIUAUBEUCUDUE $.
  $}

  ${
    $d x A $.  $d x B $.
    $( The interior of a closed interval in the standard topology on ` RR ` is
       the corresponding open interval.  (Contributed by Mario Carneiro,
       1-Sep-2014.) $)
    iccntr $p |- ( ( A e. RR /\ B e. RR ) ->
      ( ( int ` ( topGen ` ran (,) ) ) ` ( A [,] B ) ) = ( A (,) B ) ) $=
      ( vx cr wcel wa co cfv wss clt wbr c0 wceq cxr cle w3a wn ad2antrr adantl
      crp cicc cioo crn ctg cnt cpr cun wb rexr icc0 syl2an biimpar fveq2d ctop
      retop ntr0 ax-mp eqsstri eqsstrdi iccssre uniretop ntrss2 sylancr anim12i
      adantr uncom prunioo syl5eq 3expa sylan sseqtrrd simpr simpl ltlecasei cv
      0ss cin wral cabs cmin ccom cxp cres wrex ntropn cxmet rexmet cmopn tgioo
      cbl eqid mopni2 mp3an1 cdiv rphalfcl ltsubrpd rpred resubcld ltnled mpbid
      caddc rpre rphalflt ltsub2dd readdcld ltaddrp sylancom lttrd rexrd elioo2
      c2 syl2anc mpbir3and bl2ioo eleqtrrd syl5com sseld wi elicc2 simp2 syl6bi
      3syld nrexdv pm2.65da ltaddrpd ltsubrp ltadd2dd simp3 eleq1 notbid ralprg
      ssel mtod mpbir2and disjr sylibr disjssun syl iooretop ioossicc mpanr12
      ssntr eqssd ) ADEZBDEZFZABUAGZUBUCUDHZUEHZHZABUBGZUUFUUJABUFZUUKUGZIZUUJU
      UKIZUUFUUNBAUUFBAJKZFZUUJLUUIHZUUMUUQUUGLUUIUUFUUGLMZUUPUUDANEZBNEZUUSUUP
      UHUUEAUIZBUIZABUJUKULUMUURLUUMUUHUNEZUURLMUOUUHUPUQUUMVPURUSUUFABOKZFUUJU
      UGUUMUUFUUJUUGIZUVEUUFUVDUUGDIZUVFUOABUTZUUGUUHDVAVBVCZVEUUFUUTUVAFUVEUUM
      UUGMZUUDUUTUUEUVAUVBUVCVDUUTUVAUVEUVJUUTUVAUVEPUUMUUKUULUGUUGUULUUKVFABVG
      VHVIVJVKUUDUUEVLZUUDUUEVMZVNUUFUUJUULVQLMZUUNUUOUHUUFCVOZUUJEZQZCUULVRZUV
      MUUFUVQAUUJEZQZBUUJEZQZUUFUVRAUVNVSVTWADDWBWCZWJHZGZUUJIZCTWDZUUFUUJUUHEZ
      UVRUWFUUFUVDUVGUWGUOUVHUUGUUHDVAWEVCZUWBDWFHEZUWGUVRUWFUWBUWBWKZWGZCUUJUW
      BAUUHDUWBUWBWHHZUWJUWLWKWIZWLWMVJUUFUVRFZUWECTUWNUVNTEZFZUWEAAUVNXKWNGZVT
      GZOKZUWPUWRAJKUWSQUWPAUWQUUFUUDUVRUWOUVLRZUWOUWQTEZUWNUVNWOZSZWPZUWPUWRAU
      WPAUWQUWTUWPUWQUXCWQZWRZUWTWSWTUWPUWEUWRUUJEZUWRUUGEZUWSUWPUWRUWDEUWEUXGU
      WPUWRAUVNVTGZAUVNXAGZUBGZUWDUWPUWRUXKEZUWRDEZUXIUWRJKZUWRUXJJKZUXFUWPUWQU
      VNAUXEUWOUVNDEZUWNUVNXBZSZUWTUWOUWQUVNJKZUWNUVNXCZSXDUWPUWRAUXJUXFUWTUWPA
      UVNUWTUXRXEZUXDUWNUWOUUDAUXJJKUWTAUVNXFXGXHUWPUXINEUXJNEUXLUXMUXNUXOPUHUW
      PUXIUWPAUVNUWTUXRWRXIUWPUXJUYAXIUXIUXJUWRXJXLXMUWPUUDUXPUWDUXKMUWTUXRAUVN
      UWBUWJXNXLXOUWDUUJUWRYLXPUWPUUJUUGUWRUUFUVFUVRUWOUVIRXQUUFUXHUWSXRUVRUWOU
      UFUXHUXMUWSUWRBOKZPUWSABUWRXSUXMUWSUYBXTYARYBYMYCYDUUFUVTBUVNUWCGZUUJIZCT
      WDZUUFUWGUVTUYEUWHUWIUWGUVTUYEUWKCUUJUWBBUUHDUWMWLWMVJUUFUVTFZUYDCTUYFUWO
      FZUYDBUWQXAGZBOKZUYGBUYHJKUYIQUYGBUWQUUFUUEUVTUWOUVKRZUWOUXAUYFUXBSZYEZUY
      GBUYHUYJUYGBUWQUYJUYGUWQUYKWQZXEZWSWTUYGUYDUYHUUJEZUYHUUGEZUYIUYGUYHUYCEU
      YDUYOUYGUYHBUVNVTGZBUVNXAGZUBGZUYCUYGUYHUYSEZUYHDEZUYQUYHJKZUYHUYRJKZUYNU
      YGUYQBUYHUYGBUVNUYJUWOUXPUYFUXQSZWRZUYJUYNUYFUWOUUEUYQBJKUYJBUVNYFXGUYLXH
      UYGUWQUVNBUYMVUDUYJUWOUXSUYFUXTSYGUYGUYQNEUYRNEUYTVUAVUBVUCPUHUYGUYQVUEXI
      UYGUYRUYGBUVNUYJVUDXEXIUYQUYRUYHXJXLXMUYGUUEUXPUYCUYSMUYJVUDBUVNUWBUWJXNX
      LXOUYCUUJUYHYLXPUYGUUJUUGUYHUUFUVFUVTUWOUVIRXQUUFUYPUYIXRUVTUWOUUFUYPVUAA
      UYHOKZUYIPUYIABUYHXSVUAVUFUYIYHYARYBYMYCYDUVPUVSUWACABDDUVNAMUVOUVRUVNAUU
      JYIYJUVNBMUVOUVTUVNBUUJYIYJYKYNCUUJUULYOYPUUJUULUUKYQYRWTUUFUVDUVGUUKUUJI
      ZUOUVHUVDUVGFUUKUUHEUUKUUGIVUGABYSABYTUUGUUHUUKDVAUUBUUAVCUUC $.
  $}

  ${
    $d n t u v w x y z B $.  $d t v w C $.  $d t u v w y ph $.  $d t v w y R $.
    $d t u v w x y z A $.  $d w x D $.  $d t v w G $.  $d x z T $.  $d t y V $.
    $d u w z J $.  $d n u v w y S $.  $d t u v w x y z U $.
    icccmp.1 $e |- J = ( topGen ` ran (,) ) $.
    icccmp.2 $e |- T = ( J |`t ( A [,] B ) ) $.
    ${
      icccmp.3 $e |- D = ( ( abs o. - ) |` ( RR X. RR ) ) $.
      icccmp.4 $e |- S = { x e. ( A [,] B ) | E. z e. ( ~P U i^i Fin )
                           ( A [,] x ) C_ U. z } $.
      icccmp.5 $e |- ( ph -> A e. RR ) $.
      icccmp.6 $e |- ( ph -> B e. RR ) $.
      icccmp.7 $e |- ( ph -> A <_ B ) $.
      icccmp.8 $e |- ( ph -> U C_ J ) $.
      icccmp.9 $e |- ( ph -> ( A [,] B ) C_ U. U ) $.
      $( Lemma for ~ icccmp .  (Contributed by Mario Carneiro, 18-Jun-2014.) $)
      icccmplem1 $p |- ( ph -> ( A e. S /\ A. y e. S y <_ B ) ) $=
        ( vu wcel cv cle wbr wral cicc co cuni wss cpw cfn cin cxr rexrd lbicc2
        wrex syl3anc sseldd eluni2 sylib wa csn snssi ad2antrl snex elpw sylibr
        snfi a1i elind adantr iccid syl ad2antll eqsstrd unieq vex unisn eqtrdi
        wceq sseq2d rspcev syl2anc rexlimddv oveq2 sseq1d rexbidv elrab2 ssrab3
        sylanbrc sseli cr w3a wb elicc2 biimpa simp3d sylan2 ralrimiva jca ) AE
        HUBZCUCZFUDUEZCHUFAEEFUGUHZUBZEEUGUHZDUCZUIZUJZDJUKZULUMZUQZXBAEUNUBZFU
        NUBEFUDUEXFAEPUOZAFQUOREFUPURZAEUAUCZUBZXMUAJAEJUIZUBXRUAJUQAXEXSETXPUS
        UAEJUTVAAXQJUBZXRVBZVBZXQVCZXLUBXGXQUJZXMYBXKULYCYBYCJUJZYCXKUBXTYEAXRX
        QJVDVEYCJXQVFVGVHYCULUBYBXQVIVJVKYBXGEVCZXQYBXNXGYFWAAXNYAXOVLEVMVNXRYF
        XQUJAXTEXQVDVOVPXJYDDYCXLXHYCWAZXIXQXGYGXIYCUIXQXHYCVQXQUAVRVSVTWBWCWDW
        EEBUCZUGUHZXIUJZDXLUQZXMBEXEHYHEWAZYJXJDXLYLYIXGXIYHEEUGWFWGWHOWIWKAXDC
        HXCHUBAXCXEUBZXDHXEXCYKBXEHOWJWLAYMVBXCWMUBZEXCUDUEZXDAYMYNYOXDWNZAEWMU
        BFWMUBYMYPWOPQEFXCWPWDWQWRWSWTXA $.

      ${
        icccmp.10 $e |- ( ph -> V e. U ) $.
        icccmp.11 $e |- ( ph -> C e. RR+ ) $.
        icccmp.12 $e |- ( ph -> ( G ( ball ` D ) C ) C_ V ) $.
        icccmp.13 $e |- G = sup ( S , RR , < ) $.
        icccmp.14 $e |- R =
          if ( ( G + ( C / 2 ) ) <_ B , ( G + ( C / 2 ) ) , B ) $.
        $( Lemma for ~ icccmp .  (Contributed by Mario Carneiro,
           13-Jun-2014.) $)
        icccmplem2 $p |- ( ph -> B e. S ) $=
          ( vn vy vv vw vt c2 cdiv co caddc cle wbr wn wceq clt cr csup cicc cv
          cuni wss cpw cfn cin wrex ssrab3 wcel iccssre syl2anc wral icccmplem1
          sstrid simpld ne0d simprd brralrspcev suprcld eqeltrid ltaddrpd rpred
          rphalfcld readdcld ltnled mpbid cif ifcld breqtrrdi ltled letrd breq2
          suprubd ifboth min2 eqbrtrid w3a wb elicc2 mpbir3and cmin ltsubrpd c0
          breqtrdi wne resubcld suprlub syl31anc wa wi weq oveq2 sseq1d rexbidv
          elrab2 unieq sseq2d cbvrexvw csn cun simpr1 syl adantrr simprr sseldd
          elin adantr expr lelttrd cxr rexr syl5eq rexlimdv syl5bi crab sylancl
          sylib elpwid simpll snssd unssd snex unex elpw sylibr snfi unfi elind
          vex simplr2 ssun1 sstrdi biimpa simp1d simp2d simplr cbl cioo simplr3
          cfv lttrd simp3d min1 rphalflt ltadd2dd elioo2 syl2an bl2ioo eleqtrrd
          elun2 wo lelttric mpjaod ex ssrdv uniun unisng uneq2d sseqtrrd rspcev
          crp 3exp2 expimpd mpd bitrdi cbvrabv sylanbrc iftrue breq1d syl5ibcom
          eqtri mtod iffalse eqeltrrd ) AHEIALFUNUOUPZUQUPZEURUSZUTZHEVAAUXBUXA
          LURUSZALUXAVBUSUXDUTALUWTALIVCVBVDZVCUGAUIUJIAIDEVEUPZVCDBVFZVEUPZCVF
          ZVGZVHZCKVIZVJVKZVLZBUXFIRVMADVCVNZEVCVNZUXFVCVHZSTDEVOVPZVSZAIDADIVN
          ZUJVFZEURUSUJIVQZABUJCDEGIJKMOPQRSTUAUBUCVRZVTZWAZAUXPUYBUYAUIVFURUSU
          JIVQUIVCVLZTAUXTUYBUYCWBUIUJUYAEURVCIWCVPZWDWEZAFUEWHZWFZALUXAUYHALUW
          TUYHAUWTUYIWGZWIZWJWKAHLURUSUXBUXDAHUXELURAUIUJIHUXSUYEUYGAHUXFVNZDHV
          EUPZUYAVGZVHZUJUXMVLZHIVNAUYMHVCVNZDHURUSZHEURUSZAHUXBUXAEWLZVCUHAUXB
          UXAEVCUYLTWMWEZADVUAHURADUXAURUSZDEURUSZDVUAURUSZADLUXASUYHUYLADUXELU
          RAUIUJIDUXSUYEUYGUYDWRUGWNALUXAUYHUYLUYJWOWPUAUXBVUCVUDVUEUXAEUXAVUAD
          URWQEVUADURWQWSVPUHWNAHVUAEURUHAUXAVCVNZUXPVUAEURUSUYLTUXAEWTVPXAAUXO
          UXPUYMUYRUYSUYTXBXCSTDEHXDVPXEALFXFUPZUKVFZVBUSZUKIVLZUYQAVUGUXEVBUSZ
          VUJAVUGLUXEVBALFUYHUEXGUGXIAIVCVHIXHXJUYFVUGVCVNZVUKVUJXCUXSUYEUYGALF
          UYHAFUEWGZXKZUIUJUKIVUGXLXMWKAVUIUYQUKIVUHIVNVUHUXFVNZDVUHVEUPZUXJVHZ
          CUXMVLZXNAVUIUYQXOZUXNVURBVUHUXFIBUKXPZUXKVUQCUXMVUTUXHVUPUXJUXGVUHDV
          EXQXRXSZRXTAVUOVURVUSVURVUPULVFZVGZVHZULUXMVLAVUOXNZVUSVUQVVDCULUXMCU
          LXPUXJVVCVUPUXIVVBYAYBYCVVEVVDVUSULUXMVVEVVBUXMVNZVVDVUIUYQVVEVVFVVDV
          UIXBZXNZVVBNYDZYEZUXMVNUYNVVJVGZVHZUYQVVHUXLVJVVJVVHVVJKVHVVJUXLVNVVH
          VVBVVIKVVHVVBKVVHVVBUXLVNZVVBVJVNZVVHVVFVVMVVNXNVVEVVFVVDVUIYFVVBUXLV
          JYKUUBZVTUUCVVHNKVVHANKVNZAVUOVVGUUDZUDYGZUUEUUFVVJKVVBVVIULUUNNUUGUU
          HUUIUUJVVHVVNVVIVJVNVVJVJVNVVHVVMVVNVVOWBNUUKVVBVVIUULUUAUUMVVHUYNVVC
          NYEZVVKVVHUMUYNVVSVVHUMVFZUYNVNZVVTVVSVNZVVHVWAXNZVVTVUHURUSZVWBVUHVV
          TVBUSZVVHVWAVWDVWBVVHVWAVWDXNZXNZVUPVVSVVTVWGVUPVVCVVSVVFVVDVUIVVEVWF
          UUOVVCNUUPUUQVWGVVTVUPVNZVVTVCVNZDVVTURUSZVWDVVHVWAVWIVWDVWCVWIVWJVVT
          HURUSZVVHVWAVWIVWJVWKXBZVVHUXOUYRVWAVWLXCVVHAUXOVVQSYGZVVHAUYRVVQVUBY
          GDHVVTXDVPUURZUUSZYHVVHVWAVWJVWDVWCVWIVWJVWKVWNUUTYHVVHVWAVWDYIVVHVWH
          VWIVWJVWDXBXCZVWFVVHUXOVUHVCVNZVWPVWMVVHUXFVCVUHVVHAUXQVVQUXRYGAVUOVV
          GUVAYJZDVUHVVTXDVPYLXEYJYMVVHVWAVWEVWBVVHVWAVWEXNZXNZVVTNVNVWBVWTLFGU
          VBUVEUPZNVVTVWTAVXANVHVVHAVWSVVQYLZUFYGVWTVVTVUGLFUQUPZUVCUPZVXAVWTVV
          TVXDVNZVWIVUGVVTVBUSZVVTVXCVBUSZVVHVWAVWIVWEVWOYHZVWTVUGVUHVVTVWTAVUL
          VXBVUNYGZVVHVWQVWSVWRYLVXHVVFVVDVUIVVEVWSUVDVVHVWAVWEYIUVFVWTVVTHVXCV
          XHVWTAUYRVXBVUBYGVWTAVXCVCVNZVXBALFUYHVUMWIZYGZVVHVWAVWKVWEVWCVWIVWJV
          WKVWNUVGYHVWTAHVXCVBUSVXBAHUXAVXCVUBUYLVXKAHVUAUXAURUHAVUFUXPVUAUXAUR
          USUYLTUXAEUVHVPXAAUWTFLUYKVUMUYHAFUWFVNZUWTFVBUSUEFUVIYGUVJYNYGYNVWTV
          ULVXJVXEVWIVXFVXGXBXCZVXIVXLVULVUGYOVNVXCYOVNVXNVXJVUGYPVXCYPVUGVXCVV
          TUVKUVLVPXEVWTLVCVNZFVCVNVXAVXDVAVWTAVXOVXBUYHYGVWTFVWTAVXMVXBUEYGWGL
          FGQUVMVPUVNYJVVTNVVCUVOYGYMVWCVWIVWQVWDVWEUVPVWOVVHVWQVWAVWRYLVVTVUHU
          VQVPUVRUVSUVTVVHVVKVVCVVIVGZYEVVSVVBVVIUWAVVHVXPNVVCVVHVVPVXPNVAVVRNK
          UWBYGUWCYQUWDUYPVVLUJVVJUXMUYAVVJVAUYOVVKUYNUYAVVJYAYBUWEVPUWGYRYSUWH
          YSYRUWIVUPUYOVHZUJUXMVLZUYQUKHUXFIVUHHVAZVXQUYPUJUXMVXSVUPUYNUYOVUHHD
          VEXQXRXSIUXNBUXFYTVXRUKUXFYTRUXNVXRBUKUXFVUTUXNVURVXRVVAVUQVXQCUJUXMC
          UJXPUXJUYOVUPUXIUYAYAYBYCUWJUWKUWPXTUWLZWRUGWNUXBHUXALURUXBHVUAUXAUHU
          XBUXAEUWMYQUWNUWOUWQUXCHVUAEUHUXBUXAEUWRYQYGVXTUWS $.
      $}

      $( Lemma for ~ icccmp .  (Contributed by Mario Carneiro, 13-Jun-2014.) $)
      icccmplem3 $p |- ( ph -> B e. S ) $=
        ( wcel vu vv vy vw cr clt csup cv wrex cuni cicc co cle wbr wss cpw cfn
        ssrab3 iccssre syl2anc sstrid wral icccmplem1 simpld simprd brralrspcev
        cin suprcld suprubd c0 wne wb suprleub syl31anc mpbird elicc2 mpbir3and
        ne0d w3a sseldd eluni2 sylib wa cbl cfv crp wi sselda cxmet rexmet cioo
        crn ctg cmopn eqid tgioo eqtri mopni2 mp3an1 ex syl cdiv caddc ad2antrr
        c2 cif simplr simprl simprr icccmplem2 rexlimdvaa syld rexlimdva mpd )
        AGUEUFUGZUAUHZTZUAIUIZEGTZAXOIUJZTXRADEUKULZXTXOSAXOYATZXOUETZDXOUMUNZX
        OEUMUNZAUBUCGAGYAUEDBUHUKULCUHUJUOCIUPUQVGUIBYAGNURADUETZEUETZYAUEUOOPD
        EUSUTVAZAGDADGTZUCUHZEUMUNUCGVBZABUCCDEFGHIJKLMNOPQRSVCZVDZVRZAYGYKYJUB
        UHUMUNUCGVBUBUEUIZPAYIYKYLVEZUBUCYJEUMUEGVFUTZVHAUBUCGDYHYNYQYMVIAYEYKY
        PAGUEUOGVJVKYOYGYEYKVLYHYNYQPUBUCUCGEVMVNVOAYFYGYBYCYDYEVSVLOPDEXOVPUTV
        QVTUAXOIWAWBAXQXSUAIAXPITZWCZXQXOUDUHZFWDWEULXPUOZUDWFUIZXSYSXPJTZXQUUB
        WGAIJXPRWHUUCXQUUBFUEWIWETUUCXQUUBFMWJUDXPFXOJUEJWKWLWMWEFWNWEZKFUUDMUU
        DWOWPWQWRWSWTXAYSUUAXSUDWFYSYTWFTZUUAWCZWCBCDEYTFXOYTXEXBULXCULZEUMUNUU
        GEXFZGHIXOJXPKLMNAYFYRUUFOXDAYGYRUUFPXDADEUMUNYRUUFQXDAIJUOYRUUFRXDAYAX
        TUOYRUUFSXDAYRUUFXGYSUUEUUAXHYSUUEUUAXIXOWOUUHWOXJXKXLXMXN $.
    $}

    $( A closed interval in ` RR ` is compact.  (Contributed by Mario Carneiro,
       13-Jun-2014.) $)
    icccmp $p |- ( ( A e. RR /\ B e. RR ) -> T e. Comp ) $=
      ( vu vz vx cr wcel wa cicc co crest ccmp cv cuni wss c0 cle wbr wrex wral
      clt cpw cfn cin wi crab cabs cmin ccom cxp cres eqid simplll simplr elpwi
      simpllr ad2antrl simprr icccmplem3 oveq2 sseq1d rexbidv elrab simprbi syl
      wceq expr ralrimiva ctop wb cioo crn ctg cfv retop eqeltri iccssre adantr
      uniretop unieqi eqtr4i cmpsub sylancr mpbird csn rexr icc0 syl2an biimpar
      cxr oveq2d rest0 ax-mp eqtrdi 0cmp eqeltrdi lelttric mpjaodan eqeltrid )
      AJKZBJKZLZCDABMNZONZPFXFABUAUBZXHPKZBAUEUBZXFXILZXJXGGQZRSZXGHQRZSZHXMUFU
      GUHZUCZUIZGDUFZUDZXLXSGXTXLXMXTKZXNXRXLYBXNLZLZBAIQZMNZXOSZHXQUCZIXGUJZKZ
      XRYDIHABUKULUMJJUNUOZYICXMDEFYKUPYIUPXDXEXIYCUQXDXEXIYCUTXFXIYCURYBXMDSXL
      XNXMDUSVAXLYBXNVBVCYJBXGKXRYHXRIBXGYEBVJZYGXPHXQYLYFXGXOYEBAMVDVEVFVGVHVI
      VKVLXLDVMKZXGJSZXJYAVNDVOVPVQVRZVMEVSVTZXFYNXIABWAWBXGDJGHJYORDRWCDYOEWDW
      EWFWGWHXFXKLZXHTWIZPYQXHDTONZYRYQXGTDOXFXGTVJZXKXDAWNKBWNKYTXKVNXEAWJBWJA
      BWKWLWMWOYMYSYRVJYPDWPWQWRWSWTABXAXBXC $.
  $}

  ${
    $d z A $.  $d z X $.  $d z Y $.
    $( Lemma for ~ reconn .  Connectedness in the reals-easy direction.
       (Contributed by Jeff Hankins, 13-Jul-2009.)  (Proof shortened by Mario
       Carneiro, 9-Sep-2015.) $)
    reconnlem1 $p |- ( ( ( A C_ RR /\ ( ( topGen ` ran (,) ) |`t A ) e. Conn )
                             /\ ( X e. A /\ Y e. A ) ) -> ( X [,] Y ) C_ A ) $=
      ( cr wss cioo co wcel wa c0 wceq cmnf cpnf a1i cin clt wbr wb mpbid cun
      vz crn ctg cfv crest cconn cicc cdif cv simplr wn ctopon retopon iooretop
      simplll wne simplrl sseldd mnfltd eldifn adantl syl5ibcom mtod cle wo w3a
      eleq1 eldifi simplrr elicc2 syl2anc simp2d simp1d leloed mt3d mnfxr rexrd
      ord elioo2 sylancr mpbir3and inelcm syl5ibrcom simp3d pnfxr sylancl inss1
      cxr ltpnfd jctil jctir leidd ioodisj syl21anc sseq0 ioojoin syl32anc un12
      csn unass ioomax 3eqtr3g sseqtrrd disjsn sylibr disjssun syl nconnsubb ex
      eqtri mt2d eq0rdv ssdif0 ) ADEZFUBUCUDZAUEGUFHZIZBAHZCAHZIZIZBCUGGZAUHZJK
      YBAEYAUAYCYAUAUIZYCHZXPXNXPXTUJYAYEXPUKYAYEIZALYDFGZXOYDMFGZDXODULUDHYFUM
      NXNXPXTYEUOZYGXOHYFLYDUNNYHXOHYFYDMUNNYFBYGHZXRYGAOJUPYFYJBDHZLBPQZBYDPQZ
      YFADBYIXQXRXSYEUQZURZYFBYOUSYFYMBYDKZYFYPYDAHZYEYQUKZYAYDYBAUTVAZYFXRYPYQ
      YNBYDAVGVBVCYFYMYPYFBYDVDQZYMYPVEYFYDDHZYTYDCVDQZYFYDYBHZUUAYTUUBVFZYEUUC
      YAYDYBAVHVAYFYKCDHZUUCUUDRYOYFADCYIXQXRXSYEVIZURZBCYDVJVKSZVLYFBYDYOYFUUA
      YTUUBUUHVMZVNSVRVOYFLWHHZYDWHHZYJYKYLYMVFRVPYFYDUUIVQZLYDBVSVTWAYNBYGAWBV
      KYFCYHHZXSYHAOJUPYFUUMUUEYDCPQZCMPQZUUGYFUUNYDCKZYFUUPYQYSYFYQUUPXSUUFYDC
      AVGWCVCYFUUNUUPYFUUBUUNUUPVEYFUUAYTUUBUUHWDYFYDCUUIUUGVNSVRVOYFCUUGWIYFUU
      KMWHHZUUMUUEUUNUUOVFRUULWEYDMCVSWFWAUUFCYHAWBVKYFYGYHOZAOZUUREUURJKZUUSJK
      UURAWGYFUUJUUKIUUKUUQIYDYDVDQUUTYFUUKUUJUULVPWJYFUUKUUQUULWEWKYFYDUUIWLLY
      DYDMWMWNUUSUURWOVTYFAYDWSZYGYHTZTZEZAUVBEZYFADUVCYIYFYGUVATYHTZLMFGZUVCDY
      FUUJUUKUUQLYDPQYDMPQUVFUVGKUUJYFVPNUULUUQYFWENYFYDUUIUSYFYDUUIWILYDMWPWQU
      VFYGUVAYHTTUVCYGUVAYHWTYGUVAYHWRXJXAXBXCYFAUVAOJKZUVDUVERYFYRUVHYSAYDXDXE
      AUVAUVBXFXGSXHXIXKXLYBAXMXE $.
  $}

  ${
    $d x y A $.  $d w x y z B $.  $d r w y z C $.  $d r w ph $.  $d r w z U $.
    $d r w S $.  $d r w V $.
    reconnlem2.1 $e |- ( ph -> A C_ RR ) $.
    reconnlem2.2 $e |- ( ph -> U e. ( topGen ` ran (,) ) ) $.
    reconnlem2.3 $e |- ( ph -> V e. ( topGen ` ran (,) ) ) $.
    reconnlem2.4 $e |- ( ph -> A. x e. A A. y e. A ( x [,] y ) C_ A ) $.
    reconnlem2.5 $e |- ( ph -> B e. ( U i^i A ) ) $.
    reconnlem2.6 $e |- ( ph -> C e. ( V i^i A ) ) $.
    reconnlem2.7 $e |- ( ph -> ( U i^i V ) C_ ( RR \ A ) ) $.
    reconnlem2.8 $e |- ( ph -> B <_ C ) $.
    reconnlem2.9 $e |- S = sup ( ( U i^i ( B [,] C ) ) , RR , < ) $.
    $( Lemma for ~ reconn .  (Contributed by Jeff Hankins, 17-Aug-2009.)
       (Proof shortened by Mario Carneiro, 9-Sep-2015.) $)
    reconnlem2 $p |- ( ph -> -. A C_ ( U u. V ) ) $=
      ( wcel cr vr vz vw cun wss wo wn cv cabs cmin ccom cxp cres cbl cmnf cioo
      cfv co cin crp wrex wa cdiv caddc cle wbr clt cicc csup inss2 wral elin2d
      c2 wceq oveq1 sseq1d oveq2 rspc2va syl21anc sstrd sstrid elin1d cxr rexrd
      sseldd lbicc2 syl3anc elind ne0d elinel2 w3a wb elicc2 syl2anc simp3 syl5
      syl6bi ralrimiv brralrspcev suprcld eqeltrid rphalfcl syl2an adantr rpred
      ltaddrp readdcl ltnled mpbid ad2antrr simpr breqtrrdi ltled syl mpbir3and
      suprubd eqid recnd adantl rpre mpbird ssel syl5com mtod suprleub syl31anc
      nrexdv eqbrtrid elndif elin syl5bir elioo2 ex wi mopni2 ad3antrrr adantrr
      syld mp3an1 rexr wne letrd eliooord simprd mtand remetdval pncan2d fveq2d
      rpge0 absidd 3eqtrd rphalflt eqbrtrd cxmet rexmet a1i rpxr elbl3 syl22anc
      c0 mnfltd leloed ord sseld mpan2d eleq1 notbid syl5ibrcom con4d imp mnfxr
      cdif sylancr ancld crn ctop retop iooretop inopn mp3an13 cmopn tgioo 3syl
      ltsubrp sylan resubcl bl2ioo sselda simprl simplr simprr simpllr readdcld
      ltaddrpd lelttrd expr nltled ralrimiva sylbid ioran sylanbrc elun sylnibr
      ctg ) ADHIUDZUEZGUXESZAGHSZGISZUFZUXGAUXHUGZUXIUGUXJUGAUXHGUAUHZUIUJUKTTU
      LUMZUNUQURZHUOFUPURZUSZUEZUAUTVAZAUXQUAUTAUXLUTSZVBZUXQGUXLVMVCURZVDURZUX
      PSZUXTUYCUYBGVEVFZUXTGUYBVGVFZUYDUGAGTSZUYAUTSZUYEUXSAGHEFVHURZUSZTVGVIZT
      RAUBUCUYIAUYIUYHTHUYHVJZAUYHDTAEDSFDSZBUHZCUHZVHURZDUEZCDVKBDVKUYHDUEZAHD
      ENVLZAIDFOVLZMUYPUYQEUYNVHURZDUEBCEFDDUYMEVNUYOUYTDUYMEUYNVHVOVPUYNFVNUYT
      UYHDUYNFEVHVQVPVRVSZJVTWAZAUYIEAHUYHEAHDENWBAEWCSFWCSZEFVEVFEUYHSAEADTEJU
      YRWEZWDAFADTFJUYSWEZWDZQEFWFWGWHZWIZAFTSZUCUHZFVEVFZUCUYIVKZVUJUBUHVEVFUC
      UYIVKUBTVAZVUEAVUKUCUYIVUJUYISZVUJUYHSZAVUKVUJHUYHWJAVUOVUJTSZEVUJVEVFZVU
      KWKZVUKAETSZVUIVUOVURWLVUDVUEEFVUJWMWNVUPVUQVUKWOWQWPWRZUBUCVUJFVETUYIWSW
      NZWTXAZUXLXBZGUYAXFXCZUXTGUYBAUYFUXSVVBXDZAUYFUYATSZUYBTSZUXSVVBUXSUYAVVC
      XEZGUYAXGXCZXHXIUXTUYCVBZUYBUYJGVEVVJUBUCUYIUYBAUYITUEZUXSUYCVUBXJAUYIUUT
      UUAZUXSUYCVUHXJAVUMUXSUYCVVAXJVVJHUYHUYBVVJHUXOUYBUXTUYCXKZWBVVJUYBUYHSZV
      VGEUYBVEVFZUYBFVEVFZUXTVVGUYCVVIXDZVVJEGUYBAVUSUXSUYCVUDXJZAUYFUXSUYCVVBX
      JZVVQAEGVEVFZUXSUYCAEUYJGVEAUBUCUYIEVUBVUHVVAVUGXPRXLZXJVVJGUYBVVSVVQUXTU
      YEUYCVVDXDXMUUBVVJUYBFVVQAVUIUXSUYCVUEXJZVVJUYBUXOSZUYBFVGVFZVVJHUXOUYBVV
      MVLVWCUOUYBVGVFVWDUYBUOFUUCUUDXNXMVVJVUSVUIVVNVVGVVOVVPWKWLVVRVWBEFUYBWMW
      NXOWHXPRXLUUEUXTUYBUXNSZUXQUYCUXTVWEUYBGUXMURZUXLVGVFZUXTVWFUYAUXLVGUXTVW
      FUYBGUJURZUIUQZUYAUIUQZUYAUXTVVGUYFVWFVWIVNVVIVVEUYBGUXMUXMXQZUUFWNUXTVWH
      UYAUIUXTGUYAUXTGVVEXRUXTUYAUXSVVFAVVHXSXRUUGUUHUXTUYGVWJUYAVNUXSUYGAVVCXS
      UYGUYAUYAXTUYAUUIUUJXNUUKUXSUYAUXLVGVFAUXLUULXSUUMUXTUXMTUUNUQSZUXLWCSZUY
      FVVGVWEVWGWLVWLUXTUXMVWKUUOZUUPUXSVWMAUXLUUQXSVVEVVIUYBUXMGUXLTUURUUSYAUX
      NUXPUYBYBYCYDYGAUXHUXHGUXOSZVBZUXRAUXHVWOAUXHVWOAUXHVBZVWOUYFUOGVGVFZGFVG
      VFZAUYFUXHVVBXDZVWQGVWTUVAAUXHVWSAVWSUXHAVWSUGGFVNZUXKAVWSVXAAGFVEVFZVWSV
      XAUFAGUYJFVERAUYJFVEVFZVULVUTAVVKVVLVUMVUIVXCVULWLVUBVUHVVAVUEUBUCUCUYIFY
      EYFYAYHZAGFVVBVUEUVBXIUVCAUXKVXAFHSZUGAVXEFTDUVLZSZAUYLVXGUGUYSFDTYIXNAVX
      EFISZVXGAIDFOWBVXEVXHVBFHIUSZSAVXGFHIYJAVXIVXFFPUVDYKUVEYDVXAUXHVXEGFHUVF
      UVGUVHYRUVIUVJAVWOUYFVWRVWSWKWLZUXHAUOWCSVUCVXJUVKVUFUOFGYLUVMXDXOYMUVNVW
      PGUXPSZAUXRGHUXOYJAHUPUVOUXDUQZSZUXPVXLSZVXKUXRYNKVXLUVPSVXMUXOVXLSVXNUVQ
      UOFUVRHUXOVXLUVSUVTVXNVXKUXRVWLVXNVXKUXRVWNUAUXPUXMGVXLTUXMUXMUWAUQZVWKVX
      OXQUWBZYOYSYMUWCYKYRYDAUXIUXNIUEZUAUTVAZAVXQUAUTUXTVXQGGUXLUJURZVEVFZUXTV
      XSGVGVFZVXTUGAUYFUXSVYAVVBGUXLUWDUWEUXTVXSGAUYFUXLTSZVXSTSZUXSVVBUXLXTZGU
      XLUWFXCZVVEXHXIUXTVXQVXSGUXLVDURZUPURZIUEZVXTUXTUXNVYGIAUYFVYBUXNVYGVNUXS
      VVBVYDGUXLUXMVWKUWGXCVPUXTVYHVXTUXTVYHVBZGUYJVXSVERVYIUYJVXSVEVFZVUJVXSVE
      VFZUCUYIVKZVYIVYKUCUYIVYIVUNVBZVUJVXSVYMUYITVUJAVVKUXSVYHVUNVUBYPZVYIVUNX
      KWEZUXTVYCVYHVUNVYEXJVYMVXSVUJVGVFZVUJVXFSZVYMVUJDSVYQUGVYIUYIDVUJVYIUYIU
      YHDUYKAUYQUXSVYHVUAXJWAUWHVUJDTYIXNVYIVUNVYPVYQVYIVUNVYPVBZVBZVXIVXFVUJAV
      XIVXFUEUXSVYHVYRPYPVYSHIVUJVYSHUYHVUJVYIVUNVYPUWIZWBVYSVYGIVUJUXTVYHVYRUW
      JVYSVUJVYGSZVUPVYPVUJVYFVGVFZVYIVUNVUPVYPVYOYQZVYIVUNVYPUWKVYSVUJGVYFWUCU
      XTUYFVYHVYRVVEXJZVYSGUXLWUDVYSUXLAUXSVYHVYRUWLZXEUWMZVYSVUJUYJGVEVYSUBUCU
      YIVUJVYIVUNVVKVYPVYNYQAVVLUXSVYHVYRVUHYPAVUMUXSVYHVYRVVAYPVYTXPRXLVYSGUXL
      WUDWUEUWNUWOVYSVYCVYFTSZWUAVUPVYPWUBWKWLZUXTVYCVYHVYRVYEXJWUFVYCVXSWCSVYF
      WCSWUHWUGVXSYTVYFYTVXSVYFVUJYLXCWNXOWEWHWEUWPYDUWQUWRVYIVVKVVLVUMVYCVYJVY
      LWLAVVKUXSVYHVUBXJAVVLUXSVYHVUHXJAVUMUXSVYHVVAXJUXTVYCVYHVYEXDUBUCUCUYIVX
      SYEYFYAYHYMUWSYDYGAIVXLSZUXIVXRYNLWUIUXIVXRVWLWUIUXIVXRVWNUAIUXMGVXLTVXPY
      OYSYMXNYDUXHUXIUWTUXAGHIUXBUXCAGDSUXFUXGAUYHDGVUAAGUYHSZUYFVVTVXBVVBVWAVX
      DAVUSVUIWUJUYFVVTVXBWKWLVUDVUEEFGWMWNXOWEDUXEGYBYCYD $.
  $}

  ${
    $d b c u v x y A $.
    $( A subset of the reals is connected iff it has the interval property.
       (Contributed by Jeff Hankins, 15-Jul-2009.)  (Proof shortened by Mario
       Carneiro, 9-Sep-2015.) $)
    reconn $p |- ( A C_ RR -> ( ( ( topGen ` ran (,) ) |`t A ) e. Conn <->
                                    A. x e. A A. y e. A ( x [,] y ) C_ A ) ) $=
      ( vu vv vb vc cr wss co wcel cv cicc wral cin wex adantr ad2antrr simplrr
      wa cioo crn ctg cfv crest cconn reconnlem1 ralrimivva ex wne cdif w3a cun
      c0 wn anbi12i exdistrv simplll simprll elin2d sseldd simprlr cle wbr csup
      wi clt simplrl simpllr simpr eqid reconnlem2 incom eqsstrid sseq2i sylnib
      n0 uncom lecasei exp32 exlimdvv syl5bir syl5bi 3impd ralrimdvva ctopon wb
      expd retopon connsub mpan sylibrd impbid ) CHIZUAUBUCUDZCUEJUFKZALZBLZMJC
      IZBCNACNZWNWPWTWNWPTWSABCCCWQWRUGUHUIWNWTDLZCOZUNUJZELZCOZUNUJZXAXDOZHCUK
      ZIZULCXAXDUMZIZUOZVFZEWONDWONZWPWNWTXMDEWOWOWNXAWOKZXDWOKZTZTZWTXMXRWTTZX
      CXFXIXLXSXCXFXIXLVFZXCXFTFLZXBKZFPZGLZXEKZGPZTZXSXTXCYCXFYFFXBVQGXEVQUPYG
      YBYETZGPFPXSXTYBYEFGUQXSYHXTFGXSYHXIXLXSYHXITZTZXLYAYDYJCHYAWNXQWTYIURZYJ
      XACYAXSYBYEXIUSZUTVAYJCHYDYKYJXDCYDXSYBYEXIVBZUTVAYJYAYDVCVDZTABCYAYDXAYA
      YDMJOHVGVEZXAXDYJWNYNYKQXSXOYIYNWNXOXPWTVHZRXSXPYIYNWNXOXPWTSZRXRWTYIYNVI
      YJYBYNYLQYJYEYNYMQXSYHXIYNSYJYNVJYOVKVLYJYDYAVCVDZTZCXDXAUMZIXKYSABCYDYAX
      DYDYAMJOHVGVEZXDXAYJWNYRYKQXSXPYIYRYQRXSXOYIYRYPRXRWTYIYRVIYJYEYRYMQYJYBY
      RYLQYSXDXAOXGXHXDXAVMXSYHXIYRSVNYJYRVJUUAVKVLYTXJCXDXAVRVOVPVSVTWAWBWCWHW
      DUIWEWOHWFUDKWNWPXNWGWIDECWOHWJWKWLWM $.
  $}

  ${
    $d x y $.
    $( Corollary of ~ reconn .  The set of real numbers is connected.
       (Contributed by Jeff Hankins, 17-Aug-2009.) $)
    retopconn $p |- ( topGen ` ran (,) ) e. Conn $=
      ( vx vy cioo crn ctg cfv cr crest co cconn ctop wcel wceq uniretop restid
      retop ax-mp cv wss wral cicc iccssre rgen2 wb ssid reconn mpbir eqeltrri
      ) CDEFZGHIZUIJUIKLUJUIMPUIKGNOQUJJLZARZBRZUAIGSZBGTAGTZUNABGGULUMUBUCGGSU
      KUOUDGUEABGUFQUGUH $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( A closed interval is connected.  (Contributed by Jeff Hankins,
       17-Aug-2009.) $)
    iccconn $p |- ( ( A e. RR /\ B e. RR ) ->
      ( ( topGen ` ran (,) ) |`t ( A [,] B ) ) e. Conn ) $=
      ( vx vy cr wcel wa cioo crn ctg cfv cicc co crest cconn cv wss wral rgen2
      iccss2 wb iccssre reconn syl mpbiri ) AEFBEFGZHIJKABLMZNMOFZCPZDPZLMUGQZD
      UGRCUGRZUKCDUGUGABUIUJTSUFUGEQUHULUAABUBCDUGUCUDUE $.

    $( Every nonempty open set is uncountable.  (Contributed by Mario Carneiro,
       26-Jul-2014.)  (Revised by Mario Carneiro, 20-Feb-2015.) $)
    opnreen $p |- ( ( A e. ( topGen ` ran (,) ) /\ A =/= (/) ) ->
                    A ~~ ~P NN ) $=
      ( vx vy cioo cfv wcel cdom wbr cen cr cvv wss ssdomg wa cmin co crp caddc
      clt sylan2 crn ctg cn cpw wne reex cuni elssuni uniretop sseqtrrdi rpnnen
      c0 mpsyl domentr sylancl cv wex n0 cabs ccom cxp cres sselda c2 cdiv cicc
      cbl c1 rpnnen2 rphalfcl rpred resubcl readdcl simpl ltsubrp ltaddrp lttrd
      cc0 iccen syl3anc sylancr ovex rpre rexrd adantl subsub4d 2halvesd oveq2d
      cxr recnd eqtrd ltsubrpd eqbrtrrd ltaddrpd addassd breqtrd iccssioo domtr
      syl22anc syl2anc wceq eqid bl2ioo breqtrrd sylan simplll simpr sylc cmopn
      syl2an2r wrex tgioo eleq2i rexmet mopni2 mp3an1 sylanb r19.29a ex exlimdv
      cxmet syl5bi imp sbth ) ADUAUBEZFZAUCUDZGHZAULUEZYGAGHZAYGIHYFAJGHZJYGIHY
      HJKFYFAJLYKUFYFAYEUGJAYEUHUIUJZAJKMUMUKAJYGUNUOYFYIYJYIBUPZAFZBUQYFYJBAUR
      YFYNYJBYFYNYJYFYNNZYMCUPZUSOUTJJVAVBZVGEPZALZYJCQYOYPQFZNZYGYRGHZYSYRAGHZ
      YJYOYMJFZYTUUBYFAJYMYLVCUUDYTNZYGYMYPOPZYMYPRPZDPZYRGUUEYGYMYPVDVEPZOPZYM
      UUIRPZVFPZGHZUULUUHGHZYGUUHGHUUEYGVRVHVFPZGHUUOUULIHZUUMVIUUEUUJJFZUUKJFZ
      UUJUUKSHUUPYTUUDUUIJFZUUQYTUUIYPVJZVKZYMUUIVLTZYTUUDUUSUURUVAYMUUIVMTZUUE
      UUJYMUUKUVBUUDYTVNZUVCYTUUDUUIQFZUUJYMSHUUTYMUUIVOTYTUUDUVEYMUUKSHUUTYMUU
      IVPTVQUUJUUKVSVTYGUUOUULUNWAUUHKFUUEUULUUHLZUUNUUFUUGDWBUUEUUFWIFUUGWIFUU
      FUUJSHUUKUUGSHUVFUUEUUFYTUUDYPJFZUUFJFYPWCZYMYPVLTWDUUEUUGYTUUDUVGUUGJFUV
      HYMYPVMTWDUUEUUJUUIOPZUUFUUJSUUEUVIYMUUIUUIRPZOPUUFUUEYMUUIUUIUUEYMUVDWJZ
      UUEUUIYTUUSUUDUVAWEWJZUVLWFUUEUVJYPYMOUUEYPUUEYPYTUVGUUDUVHWEWJWGZWHWKUUE
      UUJUUIUVBYTUVEUUDUUTWEZWLWMUUEUUKUUKUUIRPZUUGSUUEUUKUUIUVCUVNWNUUEUVOYMUV
      JRPUUGUUEYMUUIUUIUVKUVLUVLWOUUEUVJYPYMRUVMWHWKWPUUFUUGUUJUUKWQWSUULUUHKMU
      MYGUULUUHWRWTYTUUDUVGYRUUHXAUVHYMYPYQYQXBZXCTXDXEUUAYSNYFYSUUCYFYNYTYSXFU
      UAYSXGYRAYEMXHYGYRAWRXJYFAYQXIEZFZYNYSCQXKZYEUVQAYQUVQUVPUVQXBZXLXMYQJYAE
      FUVRYNUVSYQUVPXNCAYQYMUVQJUVTXOXPXQXRXSXTYBYCAYGYDXJ $.
  $}

  $( A countable subset of the reals has empty interior.  (Contributed by Mario
     Carneiro, 26-Jul-2014.) $)
  rectbntr0 $p |- ( ( A C_ RR /\ A ~<_ NN ) ->
    ( ( int ` ( topGen ` ran (,) ) ) ` A ) = (/) ) $=
    ( cr wss cn cdom wbr wa cpw wn cioo crn ctg cfv cnt cen wcel retop uniretop
    c0 cvv wceq csdm nnex canth2 domnsym mt2 wne wi ctop ntropn sylancr opnreen
    simpl ex reex ssex ntrss2 mpan ssdomg sylc domtr sylan ensym endomtr expcom
    syl syl2im syld necon1bd mpi ) ABCZADEFZGZDHZDEFZIAJKLMZNMMZSUAVODVNUBFDUCU
    DVNDUEUFVMVOVQSVMVQSUGZVQVNOFZVOVMVQVPPZVRVSUHVMVPUIPZVKVTQVKVLUMAVPBRUJUKV
    TVRVSVQULUNVFVMVQDEFZVSVNVQOFZVOVKVQAEFZVLWBVKATPVQACZWDABUOUPWAVKWEQAVPBRU
    QURVQATUSUTVQADVAVBVQVNVCWCWBVOVNVQDVDVEVGVHVIVJ $.

  ${
    $d s A $.  $d s ph $.
    xrge0gsumle.g $e |- G = ( RR*s |`s ( 0 [,] +oo ) ) $.
    xrge0gsumle.a $e |- ( ph -> A e. V ) $.
    xrge0gsumle.f $e |- ( ph -> F : A --> ( 0 [,] +oo ) ) $.
    xrge0gsumle.b $e |- ( ph -> B e. ( ~P A i^i Fin ) ) $.
    xrge0gsumle.c $e |- ( ph -> C C_ B ) $.
    $( A finite sum in the nonnegative extended reals is monotonic in the
       support.  (Contributed by Mario Carneiro, 13-Sep-2015.) $)
    xrge0gsumle $p |- ( ph ->
      ( G gsum ( F |` C ) ) <_ ( G gsum ( F |` B ) ) ) $=
      ( cgsu co cc0 cxr wcel cfn cvv c0 vs vx cres cxad cdif cle wbr cpw cin cv
      cmpt crn wa cpnf cicc iccssxr wss cbs cfv wceq cxrs xrsbas ressbas2 ax-mp
      cmnf csn cress csubmnd c0g eqid xrge0subm xrex wne simpl ge0nemnf elxrge0
      difexi jca eldifsn 3imtr4i ssriv ressabs mp2an eqtr4i xrs10 ccmn xrge0cmn
      subm0 eqeltri a1i simprbi adantl wf simplbi fssres syl2an c0ex fdmfifsupp
      elfpw gsumcl sselid fmpttd frnd cc 0ss 0fin mpbir2an reseq2 eqtrdi oveq2d
      0cn res0 gsum0 elrnmpt1s sseldd elin2d diffi ssdifssd fssresd ssfid sstrd
      syl xleadd2a syl31anc xaddid1d cplusg xrsadd ressplusg disjdif cun undif2
      ovex ssequn1 sylib eqtr2id gsumsplit resabs1d difss resabs1 mp1i oveq12d
      eqtr2d 3brtr3d ) AFEDUCZMNZOUDNZUUEFECDUEZUCZMNZUDNZUUEFECUCZMNZUFAOPQUUI
      PQZUUEPQOUUIUFUGZUUFUUJUFUGAUABUHZRUIZFEUAUJZUCZMNZUKZULZPOAUUPPUUTAUAUUP
      UUSPAUUQUUPQZUMZOUNUONZPUUSOUNUPZUVCUUQUVDUURFROUVDPUQUVDFURUSUTUVEUVDPFV
      AHVBVCVDZUVDVAPVEVFZUEZVGNZVHUSQOFVIUSUTUVIUVIVJZVKUVDFUVIOFVAUVDVGNZUVIU
      VDVGNZHUVHSQUVDUVHUQUVLUVKUTPUVGVLVQUBUVDUVHUBUJZPQZOUVMUFUGZUMZUVNUVMVEV
      MZUMUVMUVDQUVMUVHQUVPUVNUVQUVNUVOVNUVMVOVRUVMVPUVMPVEVSVTWAUVHUVDVASWBWCW
      DUVIUVJWEWHVDZFWFQZUVCFUVKWFHWGWIZWJUVBUUQRQZAUVBUUQBUQZUWAUUQBWSZWKWLZAB
      UVDEWMUWBUUQUVDUURWMUVBJUVBUWBUWAUWCWNBUVDUUQEWOWPZUVCUUQUVDUURSOUWEUWDOS
      QZUVCWQWJWRWTXAXBXCOUVAQZATUUPQZOXDQUWGUWHTBUQTRQBXEXFTBWSXGXKUAUUPUUSOTU
      UTXDUUTVJUUQTUTZUUSFTMNOUWIUURTFMUWIUURETUCTUUQTEXHEXLXIXJFOUVRXMXIXNWCWJ
      XOAUVDPUUIUVEAUUGUVDUUHFROUVFUVRUVSAUVTWJZACRQZUUGRQAUUORCKXPZCDXQYBZABUV
      DUUGEJACBDACUUPQZCBUQZKUWNUWOUWKCBWSWNYBZXRXSZAUUGUVDUUHSOUWQUWMUWFAWQWJZ
      WRWTZXAAUVDPUUEUVEADUVDUUDFROUVFUVRUWJACDUWLLXTZABUVDDEJADCBLUWPYAXSZADUV
      DUUDSOUXAUWTUWRWRWTXAZAUUIUVDQZUUNUWSUXCUUMUUNUUIVPWKYBOUUIUUEYCYDAUUEUXB
      YEAUULFUUKDUCZMNZFUUKUUGUCZMNZUDNUUJACUVDDUUGUDUUKFUUPOUVFUVRUVDSQUDFYFUS
      UTOUNUOYLUVDUDVAFSHYGYHVDUWJKABUVDCEJUWPXSZACUVDUUKSOUXHUWLUWRWRDUUGUITUT
      ADCYIWJADUUGYJDCYJZCDCYKADCUQUXICUTLDCYMYNYOYPAUXEUUEUXGUUIUDAUXDUUDFMAED
      CLYQXJAUXFUUHFMUUGCUQUXFUUHUTACDYREUUGCYSYTXJUUAUUBUUC $.
  $}

  ${
    $d r s u v w y z A $.  $d r s u v w y z F $.  $d r s u v w y z ph $.
    $d r s u v w y z G $.  $d r u v w y z S $.
    xrge0tsms.g $e |- G = ( RR*s |`s ( 0 [,] +oo ) ) $.
    xrge0tsms.a $e |- ( ph -> A e. V ) $.
    xrge0tsms.f $e |- ( ph -> F : A --> ( 0 [,] +oo ) ) $.
    xrge0tsms.s $e |- S = sup (
      ran ( s e. ( ~P A i^i Fin ) |-> ( G gsum ( F |` s ) ) ) , RR* , < ) $.
    $( Any finite or infinite sum in the nonnegative extended reals is uniquely
       convergent to the supremum of all finite sums.  (Contributed by Mario
       Carneiro, 13-Sep-2015.)  (Proof shortened by AV, 26-Jul-2019.) $)
    xrge0tsms $p |- ( ph -> ( G tsums F ) = { S } ) $=
      ( vz co wcel cc0 cxr wbr clt wa cvv vu vy vx vv vr vw ctsu wceq cpnf cicc
      csn cv wss cres cgsu wi cpw cfn cin wral wrex cle cordt cfv cmpt crn csup
      crest iccssxr cxrs ax-mp cmnf cress eqid wne ge0nemnf jca elxrge0 eqeltri
      mp2an ccmn a1i elinel2 wf elfpw simplbi c0ex fdmfifsupp gsumcl sselid syl
      c0 cc reseq2 eqtrdi oveq2d elrnmpt1s supxrub sylancl breqtrrdi ctop letop
      wb ovex cioo simplrl simplrr simpr syl2anc simprrr adantr simprrl fssresd
      cr elind ssfid sstrd simprlr xrge0gsumle xrltletrd weq w3a mpbir3and expr
      sseldd ralrimiva breqtrdi ad3antrrr mpbid sylib reximddv eleq2 syl5ibrcom
      syl5bi mpd simprr ad2antrr ad2antrl ctps cha xrsbas ressbas2 cdif csubmnd
      cbs c0g xrge0subm difexi simpl eldifsn 3imtr4i ssriv ressabs eqtr4i xrs10
      xrex subm0 xrge0cmn adantl fssres syl2an fmpttd frnd supxrcl eqeltrid 0ss
      0fin mpbir2an 0cn res0 gsum0 sylanbrc elrest elinel1 ctg elrestr mp3an12i
      reex xrtgioo eleqtrrdi tg2 cxp wfn ioof ovelrn mp2b inss1 simp-4l simprll
      ffn sstrdi eliooord simprd xrlelttrd elioo1 anassrs simpld supxrlub rgenw
      cbvmptv breq2 rexrnmptw sseq1 anbi12d imbi1d rexlimdvva rexlimdv eqeltrrd
      cioc pnfnei simp-5l rexr simprl pnfge pnfxr elioc1 ltpnf simplr rexlimddv
      breqtrrd wo xrnemnf mpjaodan imbi2d rexralbidv imbi12d rexlimdva ralrimiv
      syl5 cts xrstset resstset topnval xrstps resstps mpbir2and letsr ordthaus
      eltsms ctsr mp1i resthaus haustsms2 ) ACEDUGMZNZVUDCUKUHAVUECOUIUJMZNZCUA
      ULZNZLULZUBULZUMZEDVUKUNZUOMZVUHNZUPZUBBUQZURUSZUTLVURVAZUPZUAVBVCVDZVUFV
      HMZUTACPNZOCVBQZVUGACGVUREDGULZUNZUOMZVEZVFZPRVGZPKAVVIPUMZVVJPNAVURPVVHA
      GVURVVGPAVVEVURNZSZVUFPVVGOUIVIZVVMVVEVUFVVFEUROVUFPUMVUFEUUEVDUHVVNVUFPE
      VJHUUAUUBVKZVUFVJPVLUKZUUCZVMMZUUDVDNOEUUFVDUHVVRVVRVNZUUGVUFEVVROEVJVUFV
      MMZVVRVUFVMMZHVVQTNVUFVVQUMVWAVVTUHPVVPUUPUUHUCVUFVVQUCULZPNZOVWBVBQZSZVW
      CVWBVLVOZSVWBVUFNVWBVVQNVWEVWCVWFVWCVWDUUIVWBVPVQVWBVRVWBPVLUUJUUKUULVVQV
      UFVJTUUMVTUUNVVRVVSUUOUUQVKZEWANZVVMEVVTWAHUURVSZWBVVLVVEURNZAVVEVUQURWCU
      USZABVUFDWDZVVEBUMZVVEVUFVVFWDVVLJVVLVWMVWJVVEBWEWFBVUFVVEDUUTUVAZVVMVVEV
      UFVVFTOVWNVWKOTNZVVMWGWBWHWIWJUVBUVCZVVIUVDWKUVEZAOVVJCVBAVVKOVVINZOVVJVB
      QVWPWLVURNZOWMNVWRVWSWLBUMWLURNBUVFUVGWLBWEUVHUVIGVURVVGOWLVVHWMVVHVNZVVE
      WLUHZVVGEWLUOMOVXAVVFWLEUOVXAVVFDWLUNWLVVEWLDWNDUVJWOWPEOVWGUVKWOWQVTVVIO
      WRWSKWTZCVRUVLAVUTUAVVBVUHVVBNZVUHUDULZVUFUSZUHZUDVVAVAZAVUTVVAXANZVUFTNZ
      VXCVXGXCXBOUIUJXDZUDVUHVUFVVAXATUVMVTAVXFVUTUDVVAAVXDVVANZSZVUTVXFCVXENZV
      ULVUNVXENZUPZUBVURUTZLVURVAZUPVXMCVXDNZVXLVXQCVXDVUFUVNAVXKVXRVXQAVXKVXRS
      ZSZCXNNZVXQCUIUHZVXTVYASZVUIVUHVXDXNUSZUMZSZUAXEVFZVAZVXQVYCVYDVYGUVOVDZN
      CVYDNVYHVYCVYDVVAXNVHMZVYIVXHXNTNVYCVXKVYDVYJNXBUVRAVXKVXRVYAXFVXDXNVVAXA
      TUVPUVQVYJVYJVNUVSUVTVYCVXDXNCAVXKVXRVYAXGVXTVYAXHXOUAVYDVYGCUWAXIVYCVYFV
      XQUAVYGVUHVYGNZVUHUEULZUFULZXEMZUHZUFPVAUEPVAZVYCVYFVXQUPZPPUWBZXNUQZXEWD
      XEVYRUWCVYKVYPXCUWDVYRVYSXEUWJUEUFPPVUHXEUWEUWFVYCVYOVYQUEUFPPVYCVYLPNZVY
      MPNZSZSVYQVYOCVYNNZVYNVYDUMZSZVXQUPVYCWUBWUEVXQVYCWUBWUESZSZVYLEDVUJUNZUO
      MZRQZVXPLVURWUGVUJVURNZWUJSZSZVXOUBVURWUMVUKVURNZVULVXNWUGWULWUNVULSZVXNW
      UGWULWUOSZSZVXDVUFVUNWUQVYNVXDVUNWUQVYNVYDVXDWUGWUDWUPVYCWUBWUCWUDXJXKVXD
      XNUWGUWKWUQVUNVYNNZVUNPNZVYLVUNRQZVUNVYMRQZWUQVUFPVUNVVNWUQVUKVUFVUMEUROV
      VOVWGVWHWUQVWIWBZWUQWUNVUKURNZWUGWULWUNVULXLZVUKVUQURWCZWKZWUQBVUFVUKDWUQ
      AVWLAVXSVYAWUFWUPUWHZJWKZWUQWUNVUKBUMZWVDWUNWVIWVCVUKBWEWFZWKZXMZWUQVUKVU
      FVUMTOWVLWVFVWOWUQWGWBZWHWIZWJZWUQVYLWUIVUNWUGVYTWUPVYCVYTWUAWUEUWIZXKZWU
      QVUFPWUIVVNWUQVUJVUFWUHEUROVVOVWGWVBWUQVUKVUJWVFWUGWULWUNVULXJZXPZWUQBVUF
      VUJDWVHWUQVUJVUKBWVRWVKXQXMZWUQVUJVUFWUHTOWVTWVSWVMWHWIWJWVOWUGWUKWUJWUOX
      RWUQBVUKVUJDEFHWUQABFNZWVGIWKWVHWVDWVRXSXTWUQVUNCVYMWVOWUQAVVCWVGVWQWKWUG
      WUAWUPVYCVYTWUAWUEXRXKZWUQVUNVVJCVBWUQVVKVUNVVINZVUNVVJVBQWUQAVVKWVGVWPWK
      WUQWUNVUNTNWWCWVDEVUMUOXDGVURVVGVUNVUKVVHTVWTGUBYAVVFVUMEUOVVEVUKDWNWPWQW
      SVVIVUNWRXIKWTWUGCVYMRQZWUPWUGVYLCRQZWWDWUGWUCWWEWWDSVYCWUBWUCWUDXLCVYLVY
      MUWLWKZUWMXKUWNWUQVYTWUAWURWUSWUTWVAYBXCWVQWWBVYLVYMVUNUWOXIYCYEWVNXOUWPY
      DYFWUGVYLVYMRQZUFVVIVAZWUJLVURVAZWUGVYLVVJRQZWWHWUGVYLCVVJRWUGWWEWWDWWFUW
      QKYGWUGVVKVYTWWJWWHXCZAVVKVXSVYAWUFVWPYHWVPUFVVIVYLUWRZXIYIWUITNZLVURUTWW
      HWWIXCWWMLVUREWUHUOXDUWSWWGWUJLUFVURWUIVVHTGLVURVVGWUIGLYAVVFWUHEUOVVEVUJ
      DWNWPUWTVYMWUIVYLRUXAUXBVKZYJYKYDVYOVYFWUEVXQVYOVUIWUCVYEWUDVUHVYNCYLVUHV
      YNVYDUXCUXDUXEYMUXFYNUXGYOVXTVYBSZVYLUIUXIMZVXDUMZVXQUEXNWWOVXKUIVXDNWWQU
      EXNVAAVXKVXRVYBXFWWOCUIVXDVXTVYBXHAVXKVXRVYBXGUXHUEVXDUXJXIWWOVYLXNNZWWQS
      ZSZWUJVXPLVURWWTWULSZVXOUBVURWXAWUNVULVXNWXAWUOSZVXDVUFVUNWXBWWPVXDVUNWWT
      WWQWULWUOWWOWWRWWQYPYQWXBVUNWWPNZWUSWUTVUNUIVBQZWXBVUFPVUNVVNWXBVUKVUFVUM
      EUROVVOVWGVWHWXBVWIWBZWUNWVCWXAVULWVEYRZWXBBVUFVUKDWXBAVWLAVXSVYBWWSWULWU
      OUXKZJWKZWUNWVIWXAVULWVJYRZXMZWXBVUKVUFVUMTOWXJWXFVWOWXBWGWBZWHWIZWJZWXBV
      YLWUIVUNWWTVYTWULWUOWWRVYTWWOWWQVYLUXLYRZYQZWXBVUFPWUIVVNWXBVUJVUFWUHEURO
      VVOVWGWXEWXBVUKVUJWXFWXAWUNVULYPZXPZWXBBVUFVUJDWXHWXBVUJVUKBWXPWXIXQXMZWX
      BVUJVUFWUHTOWXRWXQWXKWHWIWJWXMWWTWUKWUJWUOXGWXBBVUKVUJDEFHWXBAWWAWXGIWKWX
      HWXAWUNVULUXMWXPXSXTWXBWUSWXDWXMVUNUXNWKWXBVYTUIPNWXCWUSWUTWXDYBXCWXOUXOV
      YLUIVUNUXPWSYCYEWXLXOYDYFWWTWWHWWIWWTWWJWWHWWTVYLCVVJRWWTVYLUICRWWRVYLUIR
      QWWOWWQVYLUXQYRVXTVYBWWSUXRUXTKYGWWTVVKVYTWWKAVVKVXSVYBWWSVWPYHWXNWWLXIYI
      WWNYJYKUXSVXTVVCCVLVOZSZVYAVYBUYAAWXTVXSAVVCWXSVWQAVVCVVDWXSVWQVXBCVPXIVQ
      XKCUYBYJUYCYDUYIVXFVUIVXMVUSVXQVUHVXECYLVXFVUPVXOLUBVURVURVXFVUOVXNVULVUH
      VXEVUNYLUYDUYEUYFYMUYGYNUYHAUBLUABVUFCVURDEVVBFVVOVUFVVAEVVOVXIVVAEUYJVDU
      HVXJVUFVJEVVATHUYKUYLVKUYMZVURVNVWHAVWIWBZEYSNAEVVTYSHVJYSNVXIVVTYSNUYNVX
      JVUFVJTUYOVTVSWBZIJUYSUYPABVUFDEVVBFCVVOWYBWYCIJWYAAVVAYTNZVXIVVBYTNVBUYT
      NWYDAUYQVBUYRVUAVXJVUFVVATVUBWSVUCYO $.
  $}

  ${
    $d x A $.  $d x F $.  $d x G $.  $d x V $.
    xrge0tsms2.g $e |- G = ( RR*s |`s ( 0 [,] +oo ) ) $.
    $( Any finite or infinite sum in the nonnegative extended reals is
       convergent.  This is a rather unique property of the set
       ` [ 0 , +oo ] ` ; a similar theorem is not true for ` RR* ` or ` RR ` or
       ` [ 0 , +oo ) ` .  It is true for ` NN0 u. { +oo } ` , however, or more
       generally any additive submonoid of ` [ 0 , +oo ) ` with ` +oo `
       adjoined.  (Contributed by Mario Carneiro, 13-Sep-2015.) $)
    xrge0tsms2 $p |- ( ( A e. V /\ F : A --> ( 0 [,] +oo ) ) ->
        ( G tsums F ) ~~ 1o ) $=
      ( vx wcel cc0 cpnf cicc co wf wa ctsu cpw cfn cin cv cxr clt cres crn csn
      cgsu cmpt csup c1o simpl simpr eqid xrge0tsms xrltso supex ensn1 eqbrtrdi
      cen ) ADGZAHIJKBLZMZCBNKFAOPQCBFRUAUDKUEUBZSTUFZUCUGUPUSAVABCDFEUQURUHUQU
      RUIVAUJUKVASUTTULUMUNUO $.
  $}

  ${
    $d r s w x y z C $.  $d r s w x y z D $.  $d r s w x y z J $.
    $d r s x y K $.  $d r s w x y z X $.
    xmetdcn2.1 $e |- J = ( MetOpen ` D ) $.
    ${
      xmetdcn2.2 $e |- C = ( dist ` RR*s ) $.
      xmetdcn2.3 $e |- K = ( MetOpen ` C ) $.
      ${
        metdcn.d $e |- ( ph -> D e. ( *Met ` X ) ) $.
        metdcn.a $e |- ( ph -> A e. X ) $.
        metdcn.b $e |- ( ph -> B e. X ) $.
        metdcn.r $e |- ( ph -> R e. RR+ ) $.
        metdcn.y $e |- ( ph -> Y e. X ) $.
        metdcn.z $e |- ( ph -> Z e. X ) $.
        metdcn.4 $e |- ( ph -> ( A D Y ) < ( R / 2 ) ) $.
        metdcn.5 $e |- ( ph -> ( B D Z ) < ( R / 2 ) ) $.
        $( The metric function of a metric space is always continuous in the
           topology generated by it.  (Contributed by Mario Carneiro,
           5-May-2014.)  (Revised by Mario Carneiro, 4-Sep-2015.) $)
        metdcnlem $p |- ( ph -> ( ( A D B ) C ( Y D Z ) ) < R ) $=
          ( co caddc cxr cxmet cfv wcel cle wbr xrsxmet a1i xmetcl syl3anc cdiv
          cr c2 rphalfcld rpred xmetrtri2 syl13anc xrlelttrd xmetlecl syl122anc
          xrltled wceq xmetsym oveq12d eqbrtrd readdcld xmettri rexaddd breqtrd
          rpxrd cxad lt2halvesd lelttrd ) ABCEUCZJKEUCZDUCZVRJCEUCZDUCZWAVSDUCZ
          UDUCZFADUEUFUGUHZVRUEUHZVSUEUHZWDUPUHVTWDUIUJVTUPUHWEADMUKULZAEIUFUGU
          HZBIUHZCIUHZWFOPQBCEIUMUNZAWIJIUHZKIUHZWGOSTJKEIUMUNZAWBWCAWEWFWAUEUH
          ZFUQUOUCZUPUHZWBWQUIUJWBUPUHWHWLAWIWMWKWPOSQJCEIUMUNZAWQAFRURZUSZAWBW
          QAWEWFWPWBUEUHWHWLWSVRWADUEUMUNZAWQWTVNZAWBBJEUCZWQXBAWIWJWMXDUEUHOPS
          BJEIUMUNXCAWIWJWMWKWBXDUIUJOPSQBJCEDIMUTVAUAVBZVEVRWAWQDUEVCVDZAWEWPW
          GWRWCWQUIUJWCUPUHWHWSWOXAAWCWQAWEWPWGWCUEUHWHWSWOWAVSDUEUMUNZXCAWCCKE
          UCZWQXGAWIWKWNXHUEUHOQTCKEIUMUNXCAWCCJEUCZKJEUCZDUCZXHUIAWAXIVSXJDAWI
          WMWKWAXIVFOSQJCEIVGUNAWIWMWNVSXJVFOSTJKEIVGUNVHAWIWKWNWMXKXHUIUJOQTSC
          KJEDIMUTVAVIUBVBZVEWAVSWQDUEVCVDZVJZAVTWBWCVOUCZWDUIAWEWFWGWPVTXOUIUJ
          WHWLWOWSVRVSWADUEVKVAAWBWCXFXMVLVMZVRVSWDDUEVCVDXNAFRUSZXPAWBWCFXFXMX
          QXEXLVPVQ $.
      $}

      $( The metric function of an extended metric space is always continuous
         in the topology generated by it.  In this variation of ~ xmetdcn we
         use the metric topology instead of the order topology on ` RR* ` ,
         which makes the theorem a bit stronger.  Since ` +oo ` is an isolated
         point in the metric topology, this is saying that for any points
         ` A , B ` which are an infinite distance apart, there is a product
         neighborhood around ` <. A , B >. ` such that ` d ( a , b ) = +oo `
         for any ` a ` near ` A ` and ` b ` near ` B ` , i.e., the distance
         function is locally constant ` +oo ` .  (Contributed by Mario
         Carneiro, 5-May-2014.)  (Revised by Mario Carneiro, 4-Sep-2015.) $)
      xmetdcn2 $p |- ( D e. ( *Met ` X ) -> D e. ( ( J tX J ) Cn K ) ) $=
        ( vx vz vs vw wcel co cv clt wbr wa wral crp vy vr cxmet cfv ctx ccn wf
        cxp cxr wi wrex xmetf c2 cdiv rphalfcl simp-4l simplrl ad2antrr simplrr
        simpllr simprl simprr metdcnlem ex ralrimivva wceq breq2 anbi12d imbi1d
        2ralbidv rspcev syl2an2 ralrimiva wb xrsxmet txmetcn mpd3an23 mpbir2and
        id a1i ) BEUCUDMZBCCUENDUFNMZEEUHUIBUGZIOZJOZBNZKOZPQZUAOZLOZBNZWGPQZRZ
        WDWIBNWEWJBNANUBOZPQZUJZLESJESZKTUKZUBTSZUAESIESZBEULWAWSIUAEEWAWDEMZWI
        EMZRZRZWRUBTWNTMZWNUMUNNZTMXDWFXFPQZWKXFPQZRZWOUJZLESJESZWRWNUOXDXERZXJ
        JLEEXLWEEMZWJEMZRZRZXIWOXPXIRWDWIABWNCDEWEWJFGHWAXCXEXOXIUPXLXAXOXIWAXA
        XBXEUQURXLXBXOXIWAXAXBXEUSURXDXEXOXIUTXLXMXNXIUQXLXMXNXIUSXPXGXHVAXPXGX
        HVBVCVDVEWQXKKXFTWGXFVFZWPXJJLEEXQWMXIWOXQWHXGWLXHWGXFWFPVGWGXFWKPVGVHV
        IVJVKVLVMVEWAWAAUIUCUDMZWBWCWTRVNWAVSXRWAAGVOVTIUAUBKLJBBABCCDEEUIFFHVP
        VQVR $.
    $}

    ${
      xmetdcn.2 $e |- K = ( ordTop ` <_ ) $.
      $( The metric function of an extended metric space is always continuous
         in the topology generated by it.  (Contributed by Mario Carneiro,
         4-Sep-2015.) $)
      xmetdcn $p |- ( D e. ( *Met ` X ) -> D e. ( ( J tX J ) Cn K ) ) $=
        ( cxmet cfv wcel ctx co cxrs cds cmopn ccn cxr ctopon wss cle eqid cuni
        cordt letopon eqeltri xrsmopn eqsstri xrsxmet mopnuni ax-mp cnss2 mp2an
        wceq xmetdcn2 sselid ) ADGHIBBJKZLMHZNHZOKZUOCOKZACPQHZICUQRURUSRCSUBHZ
        UTFUCUDCVAUQFUPUQUPTZUQTZUEUFUOUQCPUPPGHIPUQUAULUPVBUGUPUQPVCUHUIUJUKUP
        ABUQDEVBVCUMUN $.
    $}

    ${
      metdcn2.2 $e |- K = ( topGen ` ran (,) ) $.
      $( The metric function of a metric space is always continuous in the
         topology generated by it.  (Contributed by Mario Carneiro,
         5-May-2014.)  (Revised by Mario Carneiro, 4-Sep-2015.) $)
      metdcn2 $p |- ( D e. ( Met ` X ) -> D e. ( ( J tX J ) Cn K ) ) $=
        ( cmet cfv wcel ctx co cle cordt cr crest ccn eqid cxr crn wss cxmet wb
        metxmet xmetdcn syl ctopon letopon cxp metf frnd ressxr cnrest2 mp3an2i
        a1i mpbid cioo ctg xrtgioo eqtri oveq2i eleqtrrdi ) ADGHIZABBJKZLMHZNOK
        ZPKZVCCPKVBAVCVDPKIZAVFIZVBADUAHIVGADUCABVDDEVDQUDUEVDRUFHIVBASNTNRTZVG
        VHUBUGVBDDUHNAADUIUJVIVBUKUNNAVCVDRULUMUOCVEVCPCUPSUQHVEFVEVEQURUSUTVA
        $.
    $}

    metdcn.2 $e |- K = ( TopOpen ` CCfld ) $.
    $( The metric function of a metric space is always continuous in the
       topology generated by it.  (Contributed by Mario Carneiro, 5-May-2014.)
       (Revised by Mario Carneiro, 4-Sep-2015.) $)
    metdcn $p |- ( D e. ( Met ` X ) -> D e. ( ( J tX J ) Cn K ) ) $=
      ( cmet cfv wcel ctx co cioo crn ctg ccn cr crest tgioo2 oveq2i ctop ax-mp
      wss cnfldtop cnrest2r eqsstri eqid metdcn2 sselid ) ADGHIBBJKZLMNHZOKZUIC
      OKZAUKUICPQKZOKZULUJUMUIOCFRSCTIUNULUBCFUCPUICUDUAUEABUJDEUJUFUGUH $.
  $}

  ${
    msdcn.x $e |- X = ( Base ` M ) $.
    msdcn.d $e |- D = ( dist ` M ) $.
    msdcn.j $e |- J = ( TopOpen ` M ) $.
    msdcn.2 $e |- K = ( topGen ` ran (,) ) $.
    $( The metric function of a metric space is always continuous in the
       topology generated by it.  (Contributed by Mario Carneiro, 5-May-2014.)
       (Revised by Mario Carneiro, 5-Oct-2015.) $)
    msdcn $p |- ( M e. MetSp -> ( D |` ( X X. X ) ) e. ( ( J tX J ) Cn K ) ) $=
      ( cms wcel cxp cres cmopn cfv ctx co ccn cmet msmet2 eqid metdcn2 syl cds
      reseq1i mstopn oveq12d oveq1d eleqtrrd ) DJKZAEELZMZULNOZUMPQZCRQZBBPQZCR
      QUJULESOKULUOKADEFGTULUMCEUMUAIUBUCUJUPUNCRUJBUMBUMPULBDEHFADUDOUKGUEUFZU
      QUGUHUI $.
  $}

  ${
    $d x y D $.  $d x y G $.  $d x y J $.  $d x K $.  $d x y ph $.  $d x y R $.
    $d x y X $.  $d x y Y $.
    cnmpt1ds.d $e |- D = ( dist ` G ) $.
    cnmpt1ds.j $e |- J = ( TopOpen ` G ) $.
    cnmpt1ds.r $e |- R = ( topGen ` ran (,) ) $.
    cnmpt1ds.g $e |- ( ph -> G e. MetSp ) $.
    cnmpt1ds.k $e |- ( ph -> K e. ( TopOn ` X ) ) $.
    ${
      cnmpt1ds.a $e |- ( ph -> ( x e. X |-> A ) e. ( K Cn J ) ) $.
      cnmpt1ds.b $e |- ( ph -> ( x e. X |-> B ) e. ( K Cn J ) ) $.
      $( Continuity of the metric function; analogue of ~ cnmpt12f which cannot
         be used directly because ` D ` is not necessarily a function.
         (Contributed by Mario Carneiro, 5-Oct-2015.) $)
      cnmpt1ds $p |- ( ph -> ( x e. X |-> ( A D B ) ) e. ( K Cn R ) ) $=
        ( co cmpt wcel cbs cfv cxp cres ccn cv wa ctopon wf ctps cms mstps eqid
        syl istps cnf2 syl3anc fvmptelrn ovresd mpteq2dva ctx cnmpt12f eqeltrrd
        sylib msdcn ) ABJCDEGUAUBZVFUCUDZRZSBJCDERZSIFUERABJVHVIABUFJTUGCDEVFAB
        JCVFAIJUHUBTZHVFUHUBTZBJCSZIHUERZTJVFVLUIOAGUJTZVKAGUKTZVNNGULUNVFHGVFU
        MZLUOVDZPVLIHJVFUPUQURABJDVFAVJVKBJDSZVMTJVFVRUIOVQQVRIHJVFUPUQURUSUTAB
        CDVGIHHFJOPQAVOVGHHVARFUERTNEHFGVFVPKLMVEUNVBVC $.
    $}

    cnmpt2ds.l $e |- ( ph -> L e. ( TopOn ` Y ) ) $.
    cnmpt2ds.a $e |- ( ph -> ( x e. X , y e. Y |-> A ) e.
                             ( ( K tX L ) Cn J ) ) $.
    cnmpt2ds.b $e |- ( ph -> ( x e. X , y e. Y |-> B ) e.
                             ( ( K tX L ) Cn J ) ) $.
    $( Continuity of the metric function; analogue of ~ cnmpt22f which cannot
       be used directly because ` D ` is not necessarily a function.
       (Contributed by Mario Carneiro, 5-Oct-2015.) $)
    cnmpt2ds $p |- ( ph ->
        ( x e. X , y e. Y |-> ( A D B ) ) e. ( ( K tX L ) Cn R ) ) $=
      ( cbs cfv cxp cres co cmpo ctx ccn cv wcel wceq wa wral wf ctopon txtopon
      syl2anc ctps cms mstps eqid istps sylib cnf2 syl3anc fmpo sylibr r19.21bi
      syl ovresd 3impa mpoeq3dva msdcn cnmpt22f eqeltrrd ) ABCLMDEFHUBUCZVQUDUE
      ZUFZUGBCLMDEFUFZUGJKUHUFZGUIUFABCLMVSVTABUJLUKZCUJMUKZVSVTULAWBUMZWCUMDEF
      VQWDDVQUKZCMAWECMUNZBLALMUDZVQBCLMDUGZUOZWFBLUNAWAWGUPUCUKZIVQUPUCUKZWHWA
      IUIUFZUKWIAJLUPUCUKKMUPUCUKWJRSJKLMUQURZAHUSUKZWKAHUTUKZWNQHVAVJVQIHVQVBZ
      OVCVDZTWHWAIWGVQVEVFBCLMDVQWHWHVBVGVHVIVIWDEVQUKZCMAWRCMUNZBLAWGVQBCLMEUG
      ZUOZWSBLUNAWJWKWTWLUKXAWMWQUAWTWAIWGVQVEVFBCLMEVQWTWTVBVGVHVIVIVKVLVMABCD
      EVRJKIIGLMRSTUAAWOVRIIUHUFGUIUFUKQFIGHVQWPNOPVNVJVOVP $.
  $}

  ${
    nmcn.n $e |- N = ( norm ` G ) $.
    nmcn.j $e |- J = ( TopOpen ` G ) $.
    ${
      $d x G $.  $d x J $.  $d x K $.
      nmcn.k $e |- K = ( topGen ` ran (,) ) $.
      $( The norm of a normed group is a continuous function.  (Contributed by
         Mario Carneiro, 4-Oct-2015.) $)
      nmcn $p |- ( G e. NrmGrp -> N e. ( J Cn K ) ) $=
        ( vx cngp wcel cbs cfv cv c0g cds co cmpt ccn eqid nmfval ctopon ngptps
        ngpms ctps istps sylib cnmptid cgrp ngpgrp syl cnmptc cnmpt1ds eqeltrid
        grpidcl ) AIJZDHAKLZHMZANLZAOLZPQBCRPHUSDAUPUREUPSZURSZUSSZTUOHUQURUSCA
        BBUPVBFGAUCUOAUDJBUPUALJAUBUPBAUTFUEUFZUOHBUPVCUGUOHURBBUPUPVCVCUOAUHJU
        RUPJAUIUPAURUTVAUNUJUKULUM $.
    $}

    ngnmcncn.k $e |- K = ( TopOpen ` CCfld ) $.
    $( The norm of a normed group is a continuous function to ` CC ` .
       (Contributed by NM, 12-Aug-2007.)  (Revised by AV, 17-Oct-2021.) $)
    ngnmcncn $p |- ( G e. NrmGrp -> N e. ( J Cn K ) ) $=
      ( cngp wcel cr crest co ccn ctop wss cnfldtop cnrest2r ax-mp cioo crn ctg
      cfv tgioo2 eqcomi nmcn sselid ) AHIBCJKLZMLZBCMLZDCNIUHUIOCGPJBCQRABUGDEF
      STUAUBUGCGUCUDUEUF $.
  $}

  ${
    abscn.3 $e |- J = ( TopOpen ` CCfld ) $.
    abscn.4 $e |- K = ( topGen ` ran (,) ) $.
    $( The absolute value function on complex numbers is continuous.
       (Contributed by NM, 22-Aug-2007.)  (Proof shortened by Mario Carneiro,
       10-Jan-2014.) $)
    abscn $p |- abs e. ( J Cn K ) $=
      ( ccnfld cngp wcel cabs ccn co cnngp cnfldnm nmcn ax-mp ) EFGHABIJGKEABHL
      CDMN $.
  $}

  ${
    $d r w x y z A $.  $d r s t w x y z D $.  $d r s t w y z J $.  $d s t ph $.
    $d x y B $.  $d r s w z C $.  $d s t G $.  $d w z R $.  $d s t w x y z T $.
    $d r s w z K $.  $d r s t w x y z S $.  $d s w U $.  $d r s t w x y z X $.
    $d r s t w z F $.  $d w z V $.
    metdscn.f $e |- F = ( x e. X |->
      inf ( ran ( y e. S |-> ( x D y ) ) , RR* , < ) ) $.
    $( Value of the "distance to a set" function.  (Contributed by Mario
       Carneiro, 14-Feb-2015.)  (Revised by Mario Carneiro, 4-Sep-2015.)
       (Revised by AV, 30-Sep-2020.) $)
    metdsval $p |- ( A e. X -> ( F ` A ) =
      inf ( ran ( y e. S |-> ( A D y ) ) , RR* , < ) ) $=
      ( cv co cmpt crn cxr clt cinf wceq oveq1 mpteq2dv rneqd infeq1d xrltso
      infex fvmpt ) ACBEAIZBIZDJZKZLZMNOBECUEDJZKZLZMNOGFUDCPZMUHUKNULUGUJULBEU
      FUIUDCUEDQRSTHMUKNUAUBUC $.

    $( The distance from a point to a set is a nonnegative extended real
       number.  (Contributed by Mario Carneiro, 14-Feb-2015.)  (Revised by
       Mario Carneiro, 4-Sep-2015.)  (Proof shortened by AV, 30-Sep-2020.) $)
    metdsf $p |- ( ( D e. ( *Met ` X ) /\ S C_ X ) ->
       F : X --> ( 0 [,] +oo ) ) $=
      ( vz wcel wss wa cv co cxr cc0 cle wbr simplr syl3anc wral cxmet cfv cmpt
      crn clt cinf cpnf cicc simplll sselda eqid fmptd frnd infxrcl syl xmetge0
      xmetcl ralrimiva cvv wb ovex rgenw breq2 ralrnmptw ax-mp sylibr infxrgelb
      0xr sylancl mpbird elxrge0 sylanbrc ) CFUAUBIZDFJZKZAFBDALZBLZCMZUCZUDZNU
      EUFZOUGUHMZEVOVPFIZKZWANIZOWAPQZWAWBIWDVTNJZWEWDDNVSWDBDVRNVSWDVQDIZKZVMW
      CVQFIZVRNIVMVNWCWHUIZVOWCWHRZWDDFVQVMVNWCRUJZVPVQCFUQSVSUKZULUMZVTUNUOWDW
      FOHLZPQZHVTTZWDOVRPQZBDTZWRWDWSBDWIVMWCWJWSWKWLWMVPVQCFUPSURVRUSIZBDTWRWT
      UTXABDVPVQCVAVBWQWSBHDVRVSUSWNWPVROPVCVDVEVFWDWGONIWFWRUTWOVHHVTOVGVIVJWA
      VKVLGUL $.

    $( The distance from the point ` A ` to the set ` S ` is greater than ` R `
       iff the ` R ` -ball around ` A ` misses ` S ` .  (Contributed by Mario
       Carneiro, 4-Sep-2015.)  (Proof shortened by AV, 30-Sep-2020.) $)
    metdsge $p |- ( ( ( D e. ( *Met ` X ) /\ S C_ X /\ A e. X ) /\ R e. RR* )
      -> ( R <_ ( F ` A ) <-> ( S i^i ( A ( ball ` D ) R ) ) = (/) ) ) $=
      ( vz vw cfv wcel cxr cle wbr cv co wral wb cxmet wss w3a wa cmpt crn cinf
      clt cbl cin c0 simpl3 metdsval breq2d simpll1 adantr simpl2 sselda xmetcl
      wceq syl3anc oveq2 cbvmptv fmptd frnd simpr infxrgelb syl2anc wn syl22anc
      syl elbl2 xrltnle bitrd con2bid ralbidva ovex rgenw breq2 ralrnmptw ax-mp
      cvv disj 3bitr4g 3bitrd ) DHUALMZFHUBZCHMZUCZENMZUDZECGLZOPEBFCBQZDRZUEZU
      FZNUHUGZOPZEJQZOPZJWPSZFCEDUILRZUJUKUTZWKWLWQEOWKWHWLWQUTWFWGWHWJULZABCDF
      GHIUMVKUNWKWPNUBWJWRXATWKFNWOWKKFCKQZDRZNWOWKXEFMZUDZWFWHXEHMZXFNMZWFWGWH
      WJXGUOZWKWHXGXDUPZWKFHXEWFWGWHWJUQURZCXEDHUSVAZBKFWNXFWMXECDVBVCZVDVEWIWJ
      VFZJWPEVGVHWKEXFOPZKFSZXEXBMZVIZKFSXAXCWKXQXTKFXHXSXQXHXSXFEUHPZXQVIZXHWF
      WJWHXIXSYATXKWKWJXGXPUPZXLXMXEDCEHVLVJXHXJWJYAYBTXNYCXFEVMVHVNVOVPXFWBMZK
      FSXAXRTYDKFCXEDVQVRWTXQKJFXFWOWBXOWSXFEOVSVTWAKFXBWCWDWE $.

    $( If a point is in a set, its distance to the set is zero.  (Contributed
       by Mario Carneiro, 14-Feb-2015.)  (Revised by Mario Carneiro,
       4-Sep-2015.) $)
    metds0 $p |- ( ( D e. ( *Met ` X ) /\ S C_ X /\ A e. S ) ->
        ( F ` A ) = 0 ) $=
      ( cfv wcel cc0 wbr wceq co c0 cle cpnf cxr syl adantr wss w3a clt cbl cin
      cxmet wn cicc wf metdsf 3adant3 ssel2 3adant1 ffvelrnd eliccxr xrleidd wb
      simp1 simp2 metdsge syl31anc mpbid wne wa simpl3 xblcntr syl112anc inelcm
      simpr syl2anc necon2bd mpd elxrge0 simprbi 0xr xrleloe sylancr ord eqcomd
      ex wo ) DGUFIJZEGUAZCEJZUBZKCFIZWEKWFUCLZUGZKWFMZWEECWFDUDINZUEZOMZWHWEWF
      WFPLZWLWEWFWEWFKQUHNZJZWFRJZWEGWNCFWBWCGWNFUIWDABDEFGHUJUKWCWDCGJZWBEGCUL
      UMZUNZWFKQUOSZUPWEWBWCWQWPWMWLUQWBWCWDURZWBWCWDUSWRWTABCDWFEFGHUTVAVBWEWG
      WKOWEWGWKOVCZWEWGVDZWDCWJJZXBWBWCWDWGVEXCWBWQWPWGXDWEWBWGXATWEWQWGWRTWEWP
      WGWTTWEWGVIDCWFGVFVGCEWJVHVJVTVKVLWEWGWIWEKWFPLZWGWIWAZWEWOXEWSWOWPXEWFVM
      VNSWEKRJWPXEXFUQVOWTKWFVPVQVBVRVLVS $.

    $( A generalization of the triangle inequality to the point-set distance
       function.  Under the usual notation where the same symbol ` d ` denotes
       the point-point and point-set distance functions, this theorem would be
       written ` d ( a , S ) <_ d ( a , b ) + d ( b , S ) ` .  (Contributed by
       Mario Carneiro, 4-Sep-2015.) $)
    metdstri $p |- ( ( ( D e. ( *Met ` X ) /\ S C_ X ) /\
      ( A e. X /\ B e. X ) ) -> ( F ` A ) <_ ( ( A D B ) +e ( F ` B ) ) ) $=
      ( wcel wa co cle wbr wceq cpnf syl2anc adantr cc0 syl cxmet cfv cxad cxne
      wss cbl cin c0 cr cmin simprr simprl rexsub oveq2d resubcld leidd xmetsym
      simpll syl3anc eqcomd recnd nncand 3brtr4d syl33anc eqsstrd expr cxr cicc
      blss2 wf metdsf ffvelrnd eliccxr xmetcl xnegcld xaddcld adantrr pnfxr a1i
      pnfge ssbl syl221anc wb xblpnf mpbir2and blpnfctr eqtr2d sseqtrd cmnf wne
      wo elxrge0 simprbi ge0nemnf jca xrnemnf sylib mpjaod clt wn xbln0 xposdif
      pnfnlt bitr4d breq1 sylan9bb necon1bbid mpbid 0ss eqsstrdi mpjaodan sslin
      xmetge0 xrleidd simplr metdsge syl31anc mpbird xlesubadd xaddcom breqtrd
      sseq0 ) EHUAUBJZFHUEZKZCHJZDHJZKZKZCGUBZDGUBZCDELZUCLZYLYKUCLZMYIYJYLUDZU
      CLZYKMNZYJYMMNZYIYQFDYPEUFUBZLZUGZUHOZYIUUAFCYJYSLZUGZUEZUUDUHOZUUBYIYTUU
      CUEZUUEYIYLUIJZUUGYLPOZYIUUHKZYJUIJZUUGYJPOZYIUUHUUKUUGYIUUHUUKKZKZYTDYJY
      LUJLZYSLZUUCUUNYPUUODYSUUNUUKUUHYPUUOOYIUUHUUKUKZYIUUHUUKULZYJYLUMQUNUUNY
      CYGYFUUOUIJUUKDCELZYJUUOUJLZMNUUPUUCUEYIYCUUMYCYDYHURZRYIYGUUMYEYFYGUKZRY
      IYFUUMYEYFYGULZRUUNYJYLUUQUURUOUUQUUNYLYLUUSUUTMUUNYLUURUPUUNYLUUSYIYLUUS
      OZUUMYIYCYFYGUVDUVAUVCUVBCDEHUQUSRUTUUNYJYLUUNYJUUQVAUUNYLUURVAVBVCEDCUUO
      YJHVIVDVEVFYIUUHUULUUGYIUUHUULKZKZYTDPYSLZUUCUVFYCYGYPVGJZPVGJZYPPMNZYTUV
      GUEYIYCUVEUVARZYIYGUVEUVBRZYIUUHUVHUULUUJYJYOYIYJVGJZUUHYIYJSPVHLZJZUVMYI
      HUVNCGYEHUVNGVJYHABEFGHIVKRZUVCVLZYJSPVMTZRUUJYLYIYLVGJZUUHYIYCYFYGUVSUVA
      UVCUVBCDEHVNUSZRVOVPVQZUVIUVFVRVSUVFUVHUVJUWAYPVTTEDYPPHWAWBUVFUUCCPYSLZU
      VGUVFYJPCYSYIUUHUULUKUNUVFYCYFDUWBJZUWBUVGOUVKYIYFUVEUVCRZUVFUWCYGUUHUVLY
      IUUHUULULUVFYCYFUWCYGUUHKWCUVKUWDDECHWDQWEDECHWFUSWGWHVFUUJUVMYJWIWJZKZUU
      KUULWKYIUWFUUHYIUVMUWEUVRYIUVMSYJMNZUWEUVRYIUVOUWGUVQUVOUVMUWGYJWLWMTZYJW
      NQWORYJWPWQWRYIUUIKZYTUHUUCUWIPYJWSNZWTZYTUHOYIUWKUUIYIUVMUWKUVRYJXCTRUWI
      UWJYTUHYIYTUHWJZYLYJWSNZUUIUWJYIUWLSYPWSNZUWMYIYCYGUVHUWLUWNWCUVAUVBYIYJY
      OUVRYIYLUVTVOVPZEDYPHXAUSYIUVSUVMUWMUWNWCUVTUVRYLYJXBQXDYLPYJWSXEXFXGXHUU
      CXIXJYIUVSYLWIWJZKUUHUUIWKYIUVSUWPUVTYIUVSSYLMNZUWPUVTYIYCYFYGUWQUVAUVCUV
      BCDEHXMUSYLWNQZWOYLWPWQXKYTUUCFXLTYIYJYJMNZUUFYIYJUVRXNYIYCYDYFUVMUWSUUFW
      CUVAYCYDYHXOZUVCUVRABCEYJFGHIXPXQXHUUAUUDYBQYIYCYDYGUVHYQUUBWCUVAUWTUVBUW
      OABDEYPFGHIXPXQXRYIUVMUVSYKVGJZUWGUWPSYKMNZYQYRWCUVRUVTYIYKUVNJZUXAYIHUVN
      DGUVPUVBVLZYKSPVMTZUWHUWRYIUXCUXBUXDUXCUXAUXBYKWLWMTYJYLYKXSVDXHYIUXAUVSY
      MYNOUXEUVTYKYLXTQYA $.

    $( The distance from a point to a set is bounded by the distance to any
       member of the set.  (Contributed by Mario Carneiro, 5-Sep-2015.) $)
    metdsle $p |- ( ( ( D e. ( *Met ` X ) /\ S C_ X ) /\
      ( A e. S /\ B e. X ) ) -> ( F ` B ) <_ ( A D B ) ) $=
      ( cxmet cfv wcel wa co cxad cle adantrr cc0 wceq syl3anc wss simprr simpr
      wbr sselda jca metdstri syldan simpll xmetsym metds0 3expa oveq12d xmetcl
      cxr xaddid1d eqtrd breqtrd ) EHJKLZFHUAZMZCFLZDHLZMZMZDGKZDCENZCGKZONZCDE
      NZPVAVDVCCHLZMVFVIPUDVEVCVKVAVBVCUBZVAVBVKVCVAFHCUSUTUCUEQZUFABDCEFGHIUGU
      HVEVIVJRONVJVEVGVJVHROVEUSVCVKVGVJSUSUTVDUIZVLVMDCEHUJTVAVBVHRSZVCUSUTVBV
      OABCEFGHIUKULQUMVEVJVEUSVKVCVJUOLVNVMVLCDEHUNTUPUQUR $.

    $( The distance from a point to a nonempty set in a proper metric space is
       a real number.  (Contributed by Mario Carneiro, 5-Sep-2015.) $)
    metdsre $p |- ( ( D e. ( Met ` X ) /\ S C_ X /\ S =/= (/) ) ->
       F : X --> RR ) $=
      ( vz vw cfv wcel cr wf cv wa cc0 cpnf co adantr cle wss c0 wne wex n0 wfn
      cmet wral cicc cxmet metxmet metdsf sylan cxr wbr simprr ffvelrnd eliccxr
      simpll simpr sselda adantrr metcl syl3anc elxrge0 simprbi metdsle sylanl1
      ffnd syl xrrege0 syl22anc anassrs ralrimiva ffnfv sylanbrc exlimdv syl5bi
      ex 3impia ) CFUGJKZDFUAZDUBUCZFLEMZWCHNZDKZHUDWAWBOZWDHDUEWGWFWDHWGWFWDWG
      WFOZEFUFINZEJZLKZIFUHWDWHFPQUIRZEWGFWLEMZWFWACFUJJKZWBWMCFUKZABCDEFGULUMZ
      SVIWHWKIFWGWFWIFKZWKWGWFWQOZOZWJUNKZWEWICRZLKZPWJTUOZWJXATUOZWKWSWJWLKZWT
      WSFWLWIEWGWMWRWPSWGWFWQUPZUQZWJPQURVJWSWAWEFKZWQXBWAWBWRUSWGWFXHWQWGDFWEW
      AWBUTVAVBXFWEWICFVCVDWSXEXCXGXEWTXCWJVEVFVJWAWNWBWRXDWOABWEWICDEFGVGVHWJX
      AVKVLVMVNIFLEVOVPVSVQVRVT $.

    metdscn.j $e |- J = ( MetOpen ` D ) $.
    $( The distance from a point to a set is zero iff the point is in the
       closure set.  (Contributed by Mario Carneiro, 14-Feb-2015.) $)
    metdseq0 $p |- ( ( D e. ( *Met ` X ) /\ S C_ X /\ A e. X ) ->
      ( ( F ` A ) = 0 <-> A e. ( ( cls ` J ) ` S ) ) ) $=
      ( cfv wcel cc0 wceq wa cin c0 cle wbr syl vz vr cxmet wss w3a ccl cv wral
      wne wi cbl co crp wrex simpll1 simprl simprr mopni2 syl3anc ssrind wn clt
      rpgt0 cr wb 0re ltnle sylancr mpbid ad2antrl simpllr breq2d adantr simpl2
      rpre cxr ad2antrr simpl3 rpxr metdsge syl31anc bitr3d incom eqeq1i bitrdi
      ssn0 syl2anc rexlimddv expr ralrimiva ctop cuni ctopon mopntopon 3ad2ant1
      necon3bbid topontop toponuni sseqtrd eleqtrd eqid mpbird cpnf cicc metdsf
      elcls ffvelrnda 3impa eliccxr xrleidd mpdan syl5eq simpll2 simplr simpll3
      blopn xblcntr syl112anc clsndisj syl32anc ex necon2bd mpd elxrge0 simprbi
      simpr wo 0xr xrleloe ord eqcomd impbida ) DHUCKLZEHUDZCHLZUEZCFKZMNZCEGUF
      KKLZYPYROZYSCUAUGZLZUUAEPZQUIZUJZUAGUHZYTUUEUAGYTUUAGLZUUBUUDYTUUGUUBOZOZ
      CUBUGZDUKKZULZUUAUDZUUDUBUMUUIYMUUGUUBUUMUBUMUNYMYNYOYRUUHUOZYTUUGUUBUPYT
      UUGUUBUQUBUUADCGHJURUSUUIUUJUMLZUUMOZOZUULEPZUUCUDUURQUIZUUDUUQUULUUAEUUI
      UUOUUMUQUTUUQUUJMRSZVAZUUSUUOUVAUUIUUMUUOMUUJVBSZUVAUUJVCUUOMVDLUUJVDLUVB
      UVAVEVFUUJVOMUUJVGVHVIVJUUQUUTUURQUUQUUTEUULPZQNZUURQNUUQUUJYQRSZUUTUVDUU
      QYQMUUJRYPYRUUHUUPVKVLUUQYMYNYOUUJVPLZUVEUVDVEUUIYMUUPUUNVMYTYNUUHUUPYMYN
      YOYRVNZVQYTYOUUHUUPYMYNYOYRVRZVQUUOUVFUUIUUMUUJVSVJABCDUUJEFHIVTWAWBUVCUU
      RQEUULWCWDWEWPVIUURUUCWFWGWHWIWJYTGWKLZEGWLZUDZCUVJLYSUUFVEYTGHWMKLZUVIYP
      UVLYRYMYNUVLYODGHJWNWOZVMZHGWQZTYTEHUVJUVGYTUVLHUVJNZUVNHGWRZTZWSYTCHUVJU
      VHUVRWTUACEGUVJUVJXAZXFUSXBYPYSOZMYQUVTMYQVBSZVAZMYQNZUVTCYQUUKULZEPZQNZU
      WBYPUWFYSYPUWEEUWDPZQUWDEWCYPYQYQRSZUWGQNZYPYQYPYQMXCXDULZLZYQVPLZYMYNYOU
      WKYMYNOHUWJCFABDEFHIXEXGXHZYQMXCXITZXJYPUWLUWHUWIVEUWNABCDYQEFHIVTXKVIXLV
      MUVTUWAUWEQUVTUWAUWEQUIZUVTUWAOZUVIUVKYSUWDGLZCUWDLZUWOUWPUVLUVIYPUVLYSUW
      AUVMVQZUVOTUWPEHUVJYMYNYOYSUWAXMUWPUVLUVPUWSUVQTWSYPYSUWAXNUWPYMYOUWLUWQY
      MYNYOYSUWAUOZYMYNYOYSUWAXOZYPUWLYSUWAUWNVQZDCYQGHJXPUSUWPYMYOUWLUWAUWRUWT
      UXAUXBUVTUWAYFDCYQHXQXRCEUWDGUVJUVSXSXTYAYBYCUVTUWAUWCYPUWAUWCYGZYSYPMYQR
      SZUXCYPUWKUXDUWMUWKUWLUXDYQYDYETYPMVPLUWLUXDUXCVEYHUWNMYQYIVHVIVMYJYCYKYL
      $.

    ${
      metdscn.c $e |- C = ( dist ` RR*s ) $.
      metdscn.k $e |- K = ( MetOpen ` C ) $.
      ${
        metdscnlem.1 $e |- ( ph -> D e. ( *Met ` X ) ) $.
        metdscnlem.2 $e |- ( ph -> S C_ X ) $.
        metdscnlem.3 $e |- ( ph -> A e. X ) $.
        metdscnlem.4 $e |- ( ph -> B e. X ) $.
        metdscnlem.5 $e |- ( ph -> R e. RR+ ) $.
        metdscnlem.6 $e |- ( ph -> ( A D B ) < R ) $.
        $( Lemma for ~ metdscn .  (Contributed by Mario Carneiro,
           4-Sep-2015.) $)
        metdscnlem $p |- ( ph -> ( ( F ` A ) +e -e ( F ` B ) ) < R ) $=
          ( cfv cxne cxad co cc0 cpnf cicc wcel cxr cxmet wss wf metdsf syl2anc
          ffvelrnd eliccxr syl xnegcld xaddcld xmetcl syl3anc metdstri syl22anc
          rpxrd cle wbr cmnf wne wb elxrge0 simprbi ge0nemnf xlesubadd syl33anc
          xmetge0 mpbird xrlelttrd ) ADJUDZEJUDZUEZUFUGZDEGUGZHAWAWCAWAUHUIUJUG
          ZUKZWAULUKZAMWFDJAGMUMUDUKZIMUNZMWFJUORSBCGIJMNUPUQZTURZWAUHUIUSUTZAW
          BAWBWFUKZWBULUKZAMWFEJWKUAURZWBUHUIUSUTZVAVBAWIDMUKZEMUKZWEULUKZRTUAD
          EGMVCVDZAHUBVGAWDWEVHVIZWAWEWBUFUGVHVIZAWIWJWRWSXCRSTUABCDEGIJMNVEVFA
          WHWOWTUHWAVHVIZWBVJVKZUHWEVHVIZXBXCVLWMWQXAAWGXDWLWGWHXDWAVMVNUTAWOUH
          WBVHVIZXEWQAWNXGWPWNWOXGWBVMVNUTWBVOUQAWIWRWSXFRTUADEGMVRVDWAWBWEVPVQ
          VSUCVT $.
      $}

      $( The function ` F ` which gives the distance from a point to a set is a
         continuous function into the metric topology of the extended reals.
         (Contributed by Mario Carneiro, 14-Feb-2015.)  (Revised by Mario
         Carneiro, 4-Sep-2015.) $)
      metdscn $p |- ( ( D e. ( *Met ` X ) /\ S C_ X ) ->
          F e. ( J Cn K ) ) $=
        ( vw wcel wa co cxr clt wbr vz vs vr cxmet cfv wss ccn wf wral crp wrex
        cv wi cc0 cpnf cicc metdsf iccssxr fss sylancl simprr cle cxne cxad cif
        wceq ad2antrr simplrl ffvelrnd xrsdsval syl2anc simplll simpllr simplrr
        simprl xmetsym syl3anc metdscnlem breq1 ifboth expr ralrimiva rspceaimv
        eqbrtrd breq2 ralrimivva wb simpl xrsxmet metcn mpbir2and ) DIUDUEOZEIU
        FZPZFGHUGQOZIRFUHZUAULZNULZDQZUBULZSTZWQFUEZWRFUEZCQZUCULZSTZUMNIUIUBUJ
        UKZUCUJUIUAIUIZWNIUNUOUPQZFUHXIRUFWPABDEFIJUQUNUOURIXIRFUSUTZWNXGUAUCIU
        JWNWQIOZXEUJOZPZPZXLWSXESTZXFUMZNIUIXGWNXKXLVAXNXPNIXNWRIOZXOXFXNXQXOPZ
        PZXDXBXCVBTZXCXBVCVDQZXBXCVCVDQZVEZXESXSXBROXCROXDYCVFXSIRWQFWNWPXMXRXJ
        VGZWNXKXLXRVHZVIXSIRWRFYDXNXQXOVOZVIXBXCCLVJVKXSYAXESTZYBXESTZYCXESTZXS
        ABWRWQCDXEEFGHIJKLMWLWMXMXRVLZWLWMXMXRVMZYFYEWNXKXLXRVNZXSWRWQDQZWSXESX
        SWLXQXKYMWSVFYJYFYEWRWQDIVPVQXNXQXOVAZWDVRXSABWQWRCDXEEFGHIJKLMYJYKYEYF
        YLYNVRXTYGYHYIYAYBYAYCXESVSYBYCXESVSVTVKWDWAWBXAXOXFUBNXEUJIWTXEWSSWEWC
        VKWFWNWLCRUDUEOWOWPXHPWGWLWMWHCLWIUAUCUBNDCFGHIRKMWJUTWK $.
    $}

    ${
      metdscn2.k $e |- K = ( TopOpen ` CCfld ) $.
      $( The function ` F ` which gives the distance from a point to a nonempty
         set in a metric space is a continuous function into the topology of
         the complex numbers.  (Contributed by Mario Carneiro, 5-Sep-2015.) $)
      metdscn2 $p |- ( ( D e. ( Met ` X ) /\ S C_ X /\ S =/= (/) ) ->
          F e. ( J Cn K ) ) $=
        ( cfv wcel wss cmopn cr co ccn eqid cxr cmet c0 wne w3a cxrs crest cioo
        cds crn ctg cres xrsdsre cxmet wceq xrsxmet ressxr metrest mp2an tgioo2
        cxp tgioo eqtr3i oveq2i cnfldtop cnrest2r ax-mp eqsstri metxmet metdscn
        ctop sylan 3adant3 wf metdsre frn ctopon mopntopon cnrest2 mp3an13 3syl
        wb mpbid sselid ) CHUALMZDHNZDUBUCZUDZFUEUHLZOLZPUFQZRQZFGRQZEWKFGPUFQZ
        RQZWLWJWMFRUGUIUJLWJWMWHPPUTUKZWJWHWHSZULWHTUMLMZPTNZWJWOOLZUNWHWPUOZUP
        WHWOWIWSTPWOSWISZWSSUQURVAGKUSVBVCGVJMWNWLNGKVDPFGVEVFVGWGEFWIRQMZEWKMZ
        WDWEXBWFWDCHUMLMWEXBCHVHABWHCDEFWIHIJWPXAVIVKVLWGHPEVMEUIPNZXBXCWAZABCD
        EHIVNHPEVOWITVPLMZXDWRXEWQXFWTWHWITXAVQVFUPPEFWITVRVSVTWBWC $.
    $}

    metnrmlem.1 $e |- ( ph -> D e. ( *Met ` X ) ) $.
    metnrmlem.2 $e |- ( ph -> S e. ( Clsd ` J ) ) $.
    metnrmlem.3 $e |- ( ph -> T e. ( Clsd ` J ) ) $.
    metnrmlem.4 $e |- ( ph -> ( S i^i T ) = (/) ) $.
    $( Lemma for ~ metnrm .  (Contributed by Mario Carneiro, 14-Jan-2014.)
       (Revised by Mario Carneiro, 4-Sep-2015.) $)
    metnrmlem1a $p |- ( ( ph /\ A e. T ) ->
      ( 0 < ( F ` A ) /\ if ( 1 <_ ( F ` A ) , 1 , ( F ` A ) ) e. RR+ ) ) $=
      ( wcel cc0 wbr c1 wa cfv clt cle cif crp wceq cin c0 wn adantr wne inelcm
      wi expcom adantl necon2bd mpd ccl eqcom cxmet wss wb cuni ccld eqid cldss
      mopnuni sseqtrrd simpr sseldd metdseq0 syl3anc syl5bb cldcls eleq2d bitrd
      syl mtbird wo cpnf cicc co wf metdsf syl2anc ffvelrnd cxr elxrge0 simprbi
      0xr eliccxr xrleloe sylancr mpbid ord mt3d cr ifcl 1red 0lt1 breq2 ifboth
      1xr xrltle xrmin1 xrrege0 syl22anc elrpd jca ) ADGQZUAZRDHUBZUCSZTXMUDSZT
      XMUEZUFQXLXNRXMUGZXLXQDFQZXLFGUHZUIUGZXRUJAXTXKPUKXLXRXSUIXKXRXSUIULZUNAX
      RXKYADFGUMUOUPUQURXLXQDFIUSUBUBZQZXRXQXMRUGZXLYCRXMUTXLEJVAUBQZFJVBZDJQYD
      YCVCAYEXKMUKZXLFIVDZJXLFIVEUBZQZFYHVBAYJXKNUKZFIYHYHVFZVGVRXLYEJYHUGYGEIJ
      LVHVRZVIZXLGJDXLGYHJXLGYIQZGYHVBAYOXKOUKGIYHYLVGVRYMVIAXKVJVKZBCDEFHIJKLV
      LVMVNXLYBFDXLYJYBFUGYKFIVOVRVPVQVSXLXNXQXLRXMUDSZXNXQVTZXLXMRWAWBWCZQZYQX
      LJYSDHXLYEYFJYSHWDYGYNBCEFHJKWEWFYPWGZYTXMWHQZYQXMWIWJVRXLRWHQZUUBYQYRVCW
      KXLYTUUBUUAXMRWAWLVRZRXMWMWNWOWPWQZXLXPXLXPWHQZTWRQRXPUDSZXPTUDSZXPWRQXLT
      WHQZUUBUUFXDUUDXOTXMWHWSWNZXLWTXLRXPUCSZUUGXLRTUCSZXNUUKXAUUEXOUULXNUUKTX
      MTXPRUCXBXMXPRUCXBXCWNZXLUUCUUFUUKUUGUNWKUUJRXPXEWNURXLUUIUUBUUHXDUUDTXMX
      FWNXPTXGXHUUMXIXJ $.

    $( Lemma for ~ metnrm .  (Contributed by Mario Carneiro, 14-Jan-2014.)
       (Revised by Mario Carneiro, 4-Sep-2015.) $)
    metnrmlem1 $p |- ( ( ph /\ ( A e. S /\ B e. T ) ) ->
                       if ( 1 <_ ( F ` B ) , 1 , ( F ` B ) ) <_ ( A D B ) ) $=
      ( wcel c1 co wa cfv cle wbr cif cxr 1xr cc0 cpnf cicc cxmet wss wf adantr
      cuni ccld eqid cldss wceq mopnuni sseqtrrd metdsf syl2anc simprr ffvelrnd
      syl sseldd eliccxr sylancr simprl xmetcl syl3anc xrmin2 metdstri syl22anc
      ifcl cxad xmetsym metds0 oveq12d xaddid1d eqtrd breqtrd xrletrd ) ADGRZEH
      RZUAZUAZSEIUBZUCUDZSWIUEZWIDEFTZWHSUFRZWIUFRZWKUFRUGWHWIUHUIUJTZRWNWHKWOE
      IWHFKUKUBRZGKULZKWOIUMAWPWGNUNZWHGJUOZKWHGJUPUBZRZGWSULAXAWGOUNGJWSWSUQZU
      RVFWHWPKWSUSWRFJKMUTVFZVAZBCFGIKLVBVCWHHKEWHHWSKWHHWTRZHWSULAXEWGPUNHJWSX
      BURVFXCVAAWEWFVDVGZVEWIUHUIVHVFZWJSWIUFVPVIXGWHWPDKRZEKRZWLUFRWRWHGKDXDAW
      EWFVJZVGZXFDEFKVKVLZWHWMWNWKWIUCUDUGXGSWIVMVIWHWIEDFTZDIUBZVQTZWLUCWHWPWQ
      XIXHWIXOUCUDWRXDXFXKBCEDFGIKLVNVOWHXOWLUHVQTWLWHXMWLXNUHVQWHWPXIXHXMWLUSW
      RXFXKEDFKVRVLWHWPWQWEXNUHUSWRXDXJBCDFGIKLVSVLVTWHWLXLWAWBWCWD $.

    metnrmlem.u $e |- U = U_ t e. T ( t ( ball ` D )
      ( if ( 1 <_ ( F ` t ) , 1 , ( F ` t ) ) / 2 ) ) $.
    $( Lemma for ~ metnrm .  (Contributed by Mario Carneiro, 14-Jan-2014.)
       (Revised by Mario Carneiro, 5-Sep-2015.) $)
    metnrmlem2 $p |- ( ph -> ( U e. J /\ T C_ U ) ) $=
      ( wcel wss cv c1 cfv cle wbr cif c2 cdiv cbl ciun ctop wral cxmet mopntop
      co syl wa cxr adantr cuni ccld eqid cldss mopnuni sseqtrrd sselda cc0 clt
      metnrmlem1a simprd rphalfcld rpxrd blopn syl3anc ralrimiva iunopn syl2anc
      wceq crp eqeltrid csn blcntr snssd ss2iun iunid eqcomi 3sstr4g jca ) AHJS
      GHTAHDGDUAZUBWIIUCZUDUEUBWJUFZUGUHUOZEUIUCUOZUJZJRAJUKSZWMJSZDGULWNJSAEKU
      MUCSZWONEJKMUNUPAWPDGAWIGSZUQZWQWIKSZWLURSWPAWQWRNUSZAGKWIAGJUTZKAGJVAUCS
      GXBTPGJXBXBVBVCUPAWQKXBVRNEJKMVDUPVEVFZWSWLWSWKWSVGWJVHUEWKVSSABCWIEFGIJK
      LMNOPQVIVJVKZVLEWIWLJKMVMVNVODGWMJVPVQVTADGWIWAZUJZWNGHAXEWMTZDGULXFWNTAX
      GDGWSWIWMWSWQWTWLVSSWIWMSXAXCXDEWIWLKWBVNWCVODGXEWMWDUPXFGDGWEWFRWGWH $.

    metnrmlem.g $e |- G = ( x e. X |->
      inf ( ran ( y e. T |-> ( x D y ) ) , RR* , < ) ) $.
    metnrmlem.v $e |- V = U_ s e. S ( s ( ball ` D )
      ( if ( 1 <_ ( G ` s ) , 1 , ( G ` s ) ) / 2 ) ) $.
    $( Lemma for ~ metnrm .  (Contributed by Mario Carneiro, 14-Jan-2014.)
       (Revised by Mario Carneiro, 5-Sep-2015.) $)
    metnrmlem3 $p |- ( ph -> E. z e. J E. w e. J
                       ( S C_ z /\ T C_ w /\ ( z i^i w ) = (/) ) ) $=
      ( wcel wss cin c0 wceq w3a wrex incom syl5eq metnrmlem2 simpld simprd cfv
      cv c1 cle wbr cif c2 cdiv co cbl ciun ineq1i iunin1 eqtr4i wral wa ineq2i
      iunin2 cxmet cxr cxad adantr cuni ccld eqid cldss mopnuni sseqtrrd sselda
      syl adantrr adantrl crp metnrmlem1a rphalfcld rpxrd caddc rpred rehalfcld
      cc0 clt rexaddd recnd 2cnd wne 2ne0 a1i divdird eqtr4d metnrmlem1 ancom2s
      cxmu xmetsym syl3anc breqtrd xmetcl xle2add syl22anc mp2and cmul readdcld
      wi divcan2d cr 2re rexmul sylancr 3eqtr4d x2times 3brtr4d wb rexrd mpbird
      2rp xlemul2 eqbrtrd bldisj syl33anc ralrimiva iunss sylibr sseq2 eqeq1d
      eqimss anassrs eqsstrid ineq1 3anbi13d ineq2 3anbi23d rspc2ev syl113anc
      ss0 ) ANMUFZJMUFZHNUGZIJUGZNJUHZUIUJZHDUSZUGZIEUSZUGZUUQUUSUHZUIUJZUKZEMU
      LDMULAUUKUUMABCPGIHNLMOUDRSUATAIHUHHIUHUIIHUMUBUNZUEUOZUPAUULUUNABCFGHIJK
      MOQRSTUAUBUCUOZUPAUUKUUMUVEUQAUULUUNUVFUQAUUOPHPUSZUTUVGLURZVAVBUTUVHVCZV
      DVEVFZGVGURZVFZJUHZVHZUIUUOPHUVLVHZJUHUVNNUVOJUEVIPHJUVLVJVKAUVNUIUGZUVNU
      IUJAUVMUIUGZPHVLUVPAUVQPHAUVGHUFZVMZUVMFIUVLFUSZUTUVTKURZVAVBUTUWAVCZVDVE
      VFZUVKVFZUHZVHZUIUVMUVLFIUWDVHZUHUWFJUWGUVLUCVNFIUVLUWDVOVKUVSUWEUIUGZFIV
      LUWFUIUGUVSUWHFIAUVRUVTIUFZUWHAUVRUWIVMZVMZUWEUIUJZUWHUWKGOVPURUFZUVGOUFZ
      UVTOUFZUVJVQUFUWCVQUFUVJUWCVRVFZUVGUVTGVFZVAVBUWLAUWMUWJSVSZAUVRUWNUWIAHO
      UVGAHMVTZOAHMWAURZUFHUWSUGTHMUWSUWSWBZWCWGAUWMOUWSUJSGMORWDWGZWEWFWHZAUWI
      UWOUVRAIOUVTAIUWSOAIUWTUFIUWSUGUAIMUWSUXAWCWGUXBWEWFWIZUWKUVJUWKUVIAUVRUV
      IWJUFZUWIUVSWQUVHWRVBUXEABCUVGGIHLMOUDRSUATUVDWKUQWHZWLWMUWKUWCUWKUWBUWKW
      QUWAWRVBZUWBWJUFZAUWIUXGUXHVMUVRABCUVTGHIKMOQRSTUAUBWKWIUQZWLWMUWKUWPUVIU
      WBWNVFZVDVEVFZUWQVAUWKUWPUVJUWCWNVFUXKUWKUVJUWCUWKUVIUWKUVIUXFWOZWPUWKUWB
      UWKUWBUXIWOZWPWSUWKUVIUWBVDUWKUVIUXLWTUWKUWBUXMWTUWKXAZVDWQXBUWKXCXDZXEXF
      UWKUXKUWQVAVBZVDUXKXIVFZVDUWQXIVFZVAVBZUWKUVIUWBVRVFZUWQUWQVRVFZUXQUXRVAU
      WKUVIUWQVAVBZUWBUWQVAVBZUXTUYAVAVBZUWKUVIUVTUVGGVFZUWQVAAUWIUVRUVIUYEVAVB
      ABCUVTUVGGIHLMOUDRSUATUVDXGXHUWKUWMUWOUWNUYEUWQUJUWRUXDUXCUVTUVGGOXJXKXLA
      BCUVGUVTGHIKMOQRSTUAUBXGUWKUVIVQUFUWBVQUFUWQVQUFZUYFUYBUYCVMUYDXSUWKUVIUX
      FWMUWKUWBUXIWMUWKUWMUWNUWOUYFUWRUXCUXDUVGUVTGOXMXKZUYGUVIUWBUWQUWQXNXOXPU
      WKVDUXKXQVFZUXJUXQUXTUWKUXJVDUWKUXJUWKUVIUWBUXLUXMXRZWTUXNUXOXTUWKVDYAUFU
      XKYAUFUXQUYHUJYBUWKUXJUYIWPZVDUXKYCYDUWKUVIUWBUXLUXMWSYEUWKUYFUXRUYAUJUYG
      UWQYFWGYGUWKUXKVQUFUYFVDWJUFZUXPUXSYHUWKUXKUYJYIUYGUYKUWKYKXDUXKUWQVDYLXK
      YJYMGUVGUVTUVJUWCOYNYOUWEUIUUAWGUUBYPFIUWEUIYQYRUUCYPPHUVMUIYQYRUVNUUJWGU
      NUVCUUMUUNUUPUKUUMUUTNUUSUHZUIUJZUKDENJMMUUQNUJZUURUUMUVBUYMUUTUUQNHYSUYN
      UVAUYLUIUUQNUUSUUDYTUUEUUSJUJZUUTUUNUYMUUPUUMUUSJIYSUYOUYLUUOUIUUSJNUUFYT
      UUGUUHUUI $.
  $}

  ${
    $d s t u v w x y z D $.  $d s t v w x y z J $.  $d s t u v w x y z X $.
    metnrm.j $e |- J = ( MetOpen ` D ) $.
    $( A metric space is normal.  (Contributed by Jeff Hankins, 31-Aug-2013.)
       (Revised by Mario Carneiro, 5-Sep-2015.)  (Proof shortened by AV,
       30-Sep-2020.) $)
    metnrm $p |- ( D e. ( *Met ` X ) -> J e. Nrm ) $=
      ( vx vy vz vw vu vv vs vt cfv wcel cv cin c1 co cmpt eqid cxmet ctop wceq
      c0 wss w3a wrex wi ccld wral cnrm mopntop wa crn cxr clt cinf cle wbr cif
      c2 cdiv cbl simp1 simp2l simp2r simp3 metnrmlem3 3expia ralrimivva isnrm3
      ciun sylanbrc ) ACUAMNZBUBNEOZFOZPUDUCZVOGOZUEVPHOZUEVRVSPUDUCUFHBUGGBUGZ
      UHZFBUIMZUJEWBUJBUKNABCDULVNWAEFWBWBVNVOWBNZVPWBNZUMZVQVTVNWEVQUFIJGHKAVO
      VPKVPKOZQWFICJVOIOJOARZSUNUOUPUQSZMZURUSQWIUTVAVBRAVCMZRVLZWHICJVPWGSUNUO
      UPUQSZBLVOLOZQWMWLMZURUSQWNUTVAVBRWJRVLZCLWHTDVNWEVQVDVNWCWDVQVEVNWCWDVQV
      FVNWEVQVGWKTWLTWOTVHVIVJGHBEFVKVM $.

    $( A metric space is regular.  (Contributed by Mario Carneiro,
       29-Dec-2016.) $)
    metreg $p |- ( D e. ( *Met ` X ) -> J e. Reg ) $=
      ( cxmet cfv wcel cnrm ct1 creg metnrm cha methaus haust1 nrmreg syl2anc
      syl ) ACEFGZBHGBIGZBJGABCDKRBLGSABCDMBNQBOP $.
  $}

  ${
    $d a b c u v w x y z J $.  $d u w x y z K $.  $d a b c u v x y z .+ $.
    addcn.j $e |- J = ( TopOpen ` CCfld ) $.
    ${
      addcn.2 $e |- .+ : ( CC X. CC ) --> CC $.
      addcn.3 $e |- ( ( a e. RR+ /\ b e. CC /\ c e. CC ) ->
      E. y e. RR+ E. z e. RR+ A. u e. CC A. v e. CC
        ( ( ( abs ` ( u - b ) ) < y /\ ( abs ` ( v - c ) ) < z ) ->
          ( abs ` ( ( u .+ v ) - ( b .+ c ) ) ) < a ) ) $.
      $( Lemma for ~ addcn , ~ subcn , and ~ mulcn .  (Contributed by Mario
         Carneiro, 5-May-2014.)  (Proof shortened by Mario Carneiro,
         2-Sep-2015.) $)
      addcnlem $p |- .+ e. ( ( J tX J ) Cn J ) $=
        ( co wcel cc clt wbr wa wral crp vx ctx ccn cxp wf cv cabs cmin ccom wi
        wrex w3a cfv 3coml cle ifcl adantl wceq simpll1 simprl cnmetdval abssub
        cif eqid eqtrd syl2anc breq1d cr wb subcld abscld simplrl rpred simplrr
        ltmin syl3anc bitrd simpl syl6bi simpll2 simprr anim12d biimprd imim12d
        simpr fovcl ralimdvva breq2 anbi12d imbi1d rspcev syl6an rexlimdvva mpd
        2ralbidv rgen3 cxmet cnxmet cnfldtopn txmetcn mp3an mpbir2an ) EFFUBMFU
        CMNZOOUDOEUEZHUFZDUFZUGUHUIZMZUAUFZPQZIUFZCUFZXGMZXIPQZRZXEXKEMZXFXLEMZ
        XGMZGUFZPQZUJZCOSDOSZUATUKZGTSIOSHOSZKYCHIGOOTXEONZXKONZXSTNZULZXFXEUHM
        ZUGUMZAUFZPQZXLXKUHMZUGUMZBUFZPQZRZXQXPUHMUGUMZXSPQZUJZCOSDOSZBTUKATUKZ
        YCYGYEYFUUBLUNYHUUAYCABTTYHYKTNZYOTNZRZRZYKYOUOQZYKYOVCZTNZUUAXHUUHPQZX
        MUUHPQZRZXTUJZCOSDOSZYCUUEUUIYHUUGYKYOTUPUQUUFYTUUMDCOOUUFXFONZXLONZRZR
        ZUULYQYSXTUURUUJYLUUKYPUURUUJYLYJYOPQZRZYLUURUUJYJUUHPQZUUTUURXHYJUUHPU
        URYEUUOXHYJURYEYFYGUUEUUQUSZUUFUUOUUPUTZYEUUORXHXEXFUHMUGUMYJXEXFXGXGVD
        ZVAXEXFVBVEVFVGUURYJVHNYKVHNZYOVHNZUVAUUTVIUURYIUURXFXEUVCUVBVJVKUURYKY
        HUUCUUDUUQVLVMZUURYOYHUUCUUDUUQVNVMZYJYKYOVOVPVQYLUUSVRVSUURUUKYNYKPQZY
        PRZYPUURUUKYNUUHPQZUVJUURXMYNUUHPUURYFUUPXMYNURYEYFYGUUEUUQVTZUUFUUOUUP
        WAZYFUUPRXMXKXLUHMUGUMYNXKXLXGUVDVAXKXLVBVEVFVGUURYNVHNUVEUVFUVKUVJVIUU
        RYMUURXLXKUVMUVLVJVKUVGUVHYNYKYOVOVPVQUVIYPWEVSWBUURXTYSUURXRYRXSPUURXP
        ONZXQONZXRYRURUURYEYFUVNUVBUVLXEXKOOOEKWFVFUUQUVOUUFXFXLOOOEKWFUQUVNUVO
        RXRXPXQUHMUGUMYRXPXQXGUVDVAXPXQVBVEVFVGWCWDWGYBUUNUAUUHTXIUUHURZYAUUMDC
        OOUVPXOUULXTUVPXJUUJXNUUKXIUUHXHPWHXIUUHXMPWHWIWJWOWKWLWMWNWPXGOWQUMNZU
        VQUVQXCXDYDRVIWRWRWRHIGUACDXGXGXGEFFFOOOFJWSZUVRUVRWTXAXB $.
    $}

    $( Complex number addition is a continuous function.  Part of Proposition
       14-4.16 of [Gleason] p. 243.  (Contributed by NM, 30-Jul-2007.)  (Proof
       shortened by Mario Carneiro, 5-May-2014.) $)
    addcn $p |- + e. ( ( J tX J ) Cn J ) $=
      ( vy vz vv vu va vb vc caddc ax-addf cv addcn2 addcnlem ) CDEFJAGHIBKCDEF
      GLHLILMN $.

    $( Complex number subtraction is a continuous function.  Part of
       Proposition 14-4.16 of [Gleason] p. 243.  (Contributed by NM,
       4-Aug-2007.)  (Proof shortened by Mario Carneiro, 5-May-2014.) $)
    subcn $p |- - e. ( ( J tX J ) Cn J ) $=
      ( vy vz vv vu va vb vc cmin subf cv subcn2 addcnlem ) CDEFJAGHIBKCDEFGLHL
      ILMN $.

    $( Complex number multiplication is a continuous function.  Part of
       Proposition 14-4.16 of [Gleason] p. 243.  (Contributed by NM,
       30-Jul-2007.)  (Proof shortened by Mario Carneiro, 5-May-2014.) $)
    mulcn $p |- x. e. ( ( J tX J ) Cn J ) $=
      ( vy vz vv vu va vb vc cmul ax-mulf cv mulcn2 addcnlem ) CDEFJAGHIBKCDEFG
      LHLILMN $.

    divcn.k $e |- K = ( J |`t ( CC \ { 0 } ) ) $.
    $( Complex number division is a continuous function, when the second
       argument is nonzero.  (Contributed by Mario Carneiro, 12-Aug-2014.) $)
    divcn $p |- / e. ( ( J tX K ) Cn J ) $=
      ( vx vy vz vw vu cdiv cc cc0 c1 co cmul wcel wa wtru cfv cabs csn cdif cv
      cmpo ctx ccn wceq crio df-div wne eldifsn w3a divval divrec 3expb sylan2b
      eqtr3d mpoeq3ia eqtri ctopon cnfldtopon a1i crest difss resttopon sylancl
      wss eqeltrid cnmpt1st cnmpt2nd cmpt wf cmin ccom cxp cres clt wbr wi wral
      crp wrex eqid reccl sylbi fmpti cle cif c2 reccn2 eldifi cnmetdval abssub
      wb ovres eqtrd syl2an oveq2 ovex fvmpt oveqan12d imbi12d ralbidva rexbidv
      breq1d adantr mpbird rgen2 cxmet cnxmet xmetres2 mp2an cnfldtopn mpbir2an
      cmopn metrest metcn cnmpt21 mulcn cnmpt22f mptru eqeltri ) JEFKKLUAZUBZEU
      CZMFUCZJNZONZUDZABUENAUFNZJEFKYDYFGUCZONYEUGGKUHZUDYIEFGUIEFKYDYLYHYFYDPY
      EKPZYFKPZYFLUJZQYLYHUGZYFKLUKYMYNYOYPYMYNYOULYEYFJNYLYHGYEYFUMYEYFUNUQUOU
      PURUSYIYJPREFYEYGOABAAAKYDAKUTSPZRACVAVBZRBAYDVCNZYDUTSZDRYQYDKVGZYSYTPYR
      KYCVDZYDAKVEVFVHZREFABKYDYRUUCVIREFGYFMYKJNZYGABBAKYDYDYRUUCREFABKYDYRUUC
      VJUUCGYDUUDVKZBAUFNPZRUUFYDKUUEVLZYEHUCZTVMVNZYDYDVOVPZNZIUCZVQVRZYEUUESZ
      UUHUUESZUUINZYFVQVRZVSZHYDVTZIWAWBZFWAVTEYDVTZGYDKUUDUUEUUEWCZYKYDPYKKPYK
      LUJQUUDKPYKKLUKYKWDWEWFUUTEFYDWAYEYDPZYFWAPZQUUTUUHYEVMNTSZUULVQVRZMUUHJN
      ZMYEJNZVMNTSZYFVQVRZVSZHYDVTZIWAWBZIHYEYFMYETSZYFONZWGVRMUVOWHUVNWIJNONZU
      VPWCWJUVCUUTUVMWNUVDUVCUUSUVLIWAUVCUURUVKHYDUVCUUHYDPZQZUUMUVFUUQUVJUVRUU
      KUVEUULVQUVRUUKYEUUHUUINZUVEYEUUHYDYDUUIWOUVCYMUUHKPZUVSUVEUGUVQYEKYCWKUU
      HKYCWKYMUVTQUVSYEUUHVMNTSUVEYEUUHUUIUUIWCZWLYEUUHWMWPWQWPXEUVRUUPUVIYFVQU
      VRUUPUVHUVGUUINZUVIUVCUVQUUNUVHUUOUVGUUIGYEUUDUVHYDUUEYKYEMJWRUVBMYEJWSWT
      GUUHUUDUVGYDUUEYKUUHMJWRUVBMUUHJWSWTXAUVCUVHKPZUVGKPZUWBUVIUGUVQUVCYMYELU
      JQUWCYEKLUKYEWDWEUVQUVTUUHLUJQUWDUUHKLUKUUHWDWEUWCUWDQUWBUVHUVGVMNTSUVIUV
      HUVGUUIUWAWLUVHUVGWMWPWQWPXEXBXCXDXFXGXHUUJYDXISPZUUIKXISPZUUFUUGUVAQWNUW
      FUUAUWEXJUUBUUIYDKXKXLXJEFIHUUJUUIUUEBAYDKBYSUUJXOSZDUWFUUAYSUWGUGXJUUBUU
      IUUJAUWGKYDUUJWCACXMZUWGWCXPXLUSUWHXQXLXNVBYKYFMJWRXROAAUENAUFNPRACXSVBXT
      YAYB $.
  $}

  $( The complex numbers form a topological group under addition, with the
     standard topology induced by the absolute value metric.  (Contributed by
     Mario Carneiro, 2-Sep-2015.) $)
  cnfldtgp $p |- CCfld e. TopGrp $=
    ( ccnfld ctgp wcel cgrp ctps cmin ctopn cfv ctx co ccn cnring ringgrp ax-mp
    crg cnfldtps eqid subcn cnfldsub istgp2 mpbir3an ) ABCADCZAECFAGHZUCIJUCKJC
    AOCUBLAMNPUCUCQZRAUCFUDSTUA $.

  ${
    $d k u v w x y z A $.  $d k v w x y z J $.  $d k z L $.  $d k w x y z ph $.
    $d k v w x y z K $.  $d k u v w x y z X $.  $d k u v w x y z Y $.
    $d u v w z B $.
    fsumcn.3 $e |- K = ( TopOpen ` CCfld ) $.
    fsumcn.4 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    fsumcn.5 $e |- ( ph -> A e. Fin ) $.
    ${
      $d y B $.
      fsumcn.6 $e |- ( ( ph /\ k e. A ) -> ( x e. X |-> B ) e. ( J Cn K ) ) $.
      $( A finite sum of functions to complex numbers from a common topological
         space is continuous.  The class expression for ` B ` normally contains
         free variables ` k ` and ` x ` to index it.  (Contributed by NM,
         8-Aug-2007.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
      fsumcn $p |- ( ph -> ( x e. X |-> sum_ k e. A B ) e. ( J Cn K ) ) $=
        ( vw wss cmpt wcel wi cc wa caddc vy vz csu ccn co ssid cfn cv csn wceq
        c0 cun sseq1 sumeq1 mpteq2dv eleq1d imbi12d imbi2d weq cc0 sum0 mpteq2i
        ctopon cfv cnfldtopon a1i 0cnd cnmptc eqeltrid a1d wn ssun1 sstr imim1i
        csb cin simplr disjsn sylibr eqidd ad2antrr simprl ssfid simplll sselda
        mpan simplrr wral wf adantr cnf2 syl3anc eqid fmpt rsp syl imp syl21anc
        fsumsplit simpr unssbd snss adantrr impancom ralrimiv ad2ant2rl nfcsb1v
        vex nfel1 csbeq1a rspc sylc sumsns syl2anc eqtrd anassrs mpteq2dva nfcv
        oveq2d nfcsbw sumeq2sdv csbeq2dv oveq12d cbvmpt eqtrdi simprr eqeltrrid
        nfsum nfov ralrimiva nfmpt ctx addcn cnmpt12f eqeltrd exp32 syl5 expcom
        a2d adantl findcard2s mpcom mpi ) ACCNZBHCDEUCZOZFGUDUEZPZCUFCUGPZAUUDU
        UHQZKAMUHZCNZBHUUKDEUCZOZUUGPZQZQAUKCNZBHUKDEUCZOZUUGPZQZQAUAUHZCNZBHUV
        BDEUCZOZUUGPZQZQAUVBUBUHZUIZULZCNZBHUVJDEUCZOZUUGPZQZQAUUJQMUAUBCUUKUKU
        JZUUPUVAAUVPUULUUQUUOUUTUUKUKCUMUVPUUNUUSUUGUVPBHUUMUURUUKUKDEUNUOUPUQU
        RMUAUSZUUPUVGAUVQUULUVCUUOUVFUUKUVBCUMUVQUUNUVEUUGUVQBHUUMUVDUUKUVBDEUN
        UOUPUQURUUKUVJUJZUUPUVOAUVRUULUVKUUOUVNUUKUVJCUMUVRUUNUVMUUGUVRBHUUMUVL
        UUKUVJDEUNUOUPUQURUUKCUJZUUPUUJAUVSUULUUDUUOUUHUUKCCUMUVSUUNUUFUUGUVSBH
        UUMUUEUUKCDEUNUOUPUQURAUUTUUQAUUSBHUTOUUGBHUURUTDEVAVBABUTFGHRJGRVCVDPZ
        AGIVEZVFAVGVHVIVJUVBUGPZUVHUVBPVKZSAUVGUVOUWCAUVGUVOQZQUWBAUWCUWDUVGUVK
        UVFQAUWCSZUVOUVKUVCUVFUVBUVJNUVKUVCUVBUVIVLUVBUVJCVMWFVNUWEUVKUVFUVNUWE
        UVKUVFUVNUWEUVKUVFSZSZUVMMHUVBBUUKDVOZEUCZEUVHUWHVOZTUEZOZUUGUWGUVMBHUV
        DEUVHDVOZTUEZOZUWLUWEUVKUVMUWOUJUVFUWEUVKSZBHUVLUWNUWEUVKBUHHPZUVLUWNUJ
        UWEUVKUWQSZSZUVLUVDUVIDEUCZTUEUWNUWSUVBUVIDUVJEUWSUWCUVBUVIVPUKUJAUWCUW
        RVQUVBUVHVRVSUWSUVJVTUWSCUVJAUUIUWCUWRKWAUWEUVKUWQWBZWCUWSEUHZUVJPZSAUX
        BCPZUWQDRPZAUWCUWRUXCWDUWSUVJCUXBUXAWEUWEUVKUWQUXCWGAUXDSZUWQUXEUXFUXEB
        HWHZUWQUXEQUXFHRBHDOZWIZUXGUXFFHVCVDPZUVTUXHUUGPZUXIAUXJUXDJWJUVTUXFUWA
        VFLUXHFGHRWKWLBHRDUXHUXHWMWNVSUXEBHWOWPZWQWRWSUWSUWTUWMUVDTUWSUVHCPZUWM
        RPZUWTUWMUJUWEUVKUXMUWQUWPUVICNUXMUWPUVBUVICUWEUVKWTXAUVHCUBXHXBVSZXCZU
        WSUXMUXEECWHZUXNUXPAUWQUXQUWCUVKAUWQSUXEECAUXDUWQUXEUXLXDXEXFUXEUXNEUVH
        CEUWMREUVHDXGZXIEUBUSZDUWMREUVHDXJZUPXKXLDEUVHCXMXNXSXOXPXQXCBMHUWNUWKM
        UWNXRBUWIUWJTBUVBUWHEBUVBXRBUUKDXGZYHZBTXRBEUVHUWHBUVHXRUYAXTZYIBMUSZUV
        DUWIUWMUWJTUYDUVBDUWHEBUUKDXJZYAZUYDEUVHDUWHUYEYBZYCYDYEUWGMUWIUWJTFGGG
        HAUXJUWCUWFJWAUWGMHUWIOUVEUUGBMHUVDUWIMUVDXRUYBUYFYDUWEUVKUVFYFYGUWGMHU
        WJOBHUWMOZUUGBMHUWMUWJMUWMXRUYCUYGYDUWGUXMUXKECWHZUYHUUGPZUWEUVKUXMUVFU
        XOXCAUYIUWCUWFAUXKECLYJWAUXKUYJEUVHCEUYHUUGEBHUWMEHXRUXRYKXIUXSUXHUYHUU
        GUXSBHDUWMUXTUOUPXKXLYGTGGYLUEGUDUEPUWGGIYMVFYNYOYPYSYQYRYTYSUUAUUBUUC
        $.
    $}

    fsum2cn.7 $e |- ( ph -> L e. ( TopOn ` Y ) ) $.
    fsum2cn.8 $e |- ( ( ph /\ k e. A ) ->
                     ( x e. X , y e. Y |-> B ) e. ( ( J tX L ) Cn K ) ) $.
    $( Version of ~ fsumcn for two-argument mappings.  (Contributed by Mario
       Carneiro, 6-May-2014.) $)
    fsum2cn $p |- ( ph -> ( x e. X , y e. Y |-> sum_ k e. A B ) e.
                          ( ( J tX L ) Cn K ) ) $=
      ( vz vu vv nfcv csu cmpo cxp cv c2nd cfv c1st csb cmpt ctx co ccn nfcsb1v
      nfcsbw nfsum weq wa csbeq1a sylan9eq sumeq2sdv cbvmpo cop wceq vex op2ndd
      csbeq1d op1std csbeq2dv eqtrd mpompt eqtr4i ctopon wcel txtopon eqeltrrid
      syl2anc fsumcn eqeltrid ) ABCJKDEFUAZUBZQJKUCZDCQUDZUEUFZBWBUGUFZEUHZUHZF
      UAZUIZGIUJUKZHULUKZVTRSJKDCSUDZBRUDZEUHZUHZFUAZUBWHBCRSJKVSWORVSTSVSTBDWN
      FBDTBCWKWMBWKTBWLEUMUNZUOCDWNFCDTCWKWMUMZUOBRUPZCSUPZUQDEWNFWRWSEWMWNBWLE
      URCWKWMURUSZUTVARSQJKWGWOWBWLWKVBVCZDWFWNFXAWFCWKWEUHWNXACWCWKWEWLWKWBRVD
      ZSVDZVEVFXACWKWEWMXABWDWLEWLWKWBXBXCVGVFVHVIZUTVJVKAQDWFFWIHWALAGJVLUFVMI
      KVLUFVMWIWAVLUFVMMOGIJKVNVPNAFUDDVMUQQWAWFUIZBCJKEUBZWJXFRSJKWNUBXEBCRSJK
      EWNRETSETWPWQWTVARSQJKWFWNXDVJVKPVOVQVR $.
  $}

  ${
    $d x A $.  $d k n x J $.  $d n x N $.
    expcn.j $e |- J = ( TopOpen ` CCfld ) $.
    $( The power function on complex numbers, for fixed exponent ` N ` , is
       continuous.  (Contributed by Mario Carneiro, 5-May-2014.)  (Revised by
       Mario Carneiro, 23-Aug-2014.) $)
    expcn $p |- ( N e. NN0 -> ( x e. CC |-> ( x ^ N ) ) e. ( J Cn J ) ) $=
      ( vn cc cv cexp co cmpt wcel cc0 wceq oveq2 mpteq2dv eleq1d wtru a1i cmul
      c1 vk ccn caddc exp0 mpteq2ia ctopon cnfldtopon 1cnd cnmptc mptru eqeltri
      cfv cn0 wa oveq1 cbvmptv id simpl expp1 syl2anr mpteq2dva simpr eqeltrrid
      syl5eq cnmptid ctx mulcn cnmpt12f eqeltrd ex nn0ind ) AFAGZEGZHIZJZBBUBIZ
      KAFVLLHIZJZVPKAFVLUAGZHIZJZVPKZAFVLVSTUCIZHIZJZVPKZAFVLCHIZJZVPKEUACVMLMZ
      VOVRVPWIAFVNVQVMLVLHNOPVMVSMZVOWAVPWJAFVNVTVMVSVLHNOPVMWCMZVOWEVPWKAFVNWD
      VMWCVLHNOPVMCMZVOWHVPWLAFVNWGVMCVLHNOPVRAFTJZVPAFVQTVLUDUEWMVPKQATBBFFBFU
      FULKZQBDUGZRZWPQUHUIUJUKVSUMKZWBWFWQWBUNZWEEFVMVSHIZVMSIZJZVPWRWEEFVMWCHI
      ZJXAAEFWDXBVLVMWCHUOUPWREFXBWTVMFKZXCWQXBWTMWRXCUQWQWBURVMVSUSUTVAVDWREWS
      VMSBBBBFWNWRWORZWREFWSJWAVPAEFVTWSVLVMVSHUOUPWQWBVBVCWREBFXDVESBBVFIBUBIK
      WRBDVGRVHVIVJVK $.

    $( Division by a nonzero constant is a continuous operation.  (Contributed
       by Mario Carneiro, 5-May-2014.) $)
    divccn $p |- ( ( A e. CC /\ A =/= 0 ) ->
                   ( x e. CC |-> ( x / A ) ) e. ( J Cn J ) ) $=
      ( cc wcel cc0 wne wa cv cdiv co cmpt c1 cmul ccn wceq divrec 3expb a1i
      ancoms mpteq2dva ctopon cfv cnfldtopon cnmptid reccl cnmptc mulcn eqeltrd
      ctx cnmpt12f ) BEFZBGHZIZAEAJZBKLZMAEUPNBKLZOLZMCCPLUOAEUQUSUPEFZUOUQUSQZ
      UTUMUNVAUPBRSUAUBUOAUPUROCCCCECEUCUDFUOCDUETZUOACEVBUFUOAURCCEEVBVBBUGUHO
      CCUKLCPLFUOCDUITULUJ $.
  $}

  ${
    $d x J $.
    sqcn.j $e |- J = ( TopOpen ` CCfld ) $.
    $( The square function on complex numbers is continuous.  (Contributed by
       NM, 13-Jun-2007.)  (Proof shortened by Mario Carneiro, 5-May-2014.) $)
    sqcn $p |- ( x e. CC |-> ( x ^ 2 ) ) e. ( J Cn J ) $=
      ( c2 cn0 wcel cc cv cexp co cmpt ccn 2nn0 expcn ax-mp ) DEFAGAHDIJKBBLJFM
      ABDCNO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Topological definitions using the reals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c II $.
  $c -cn-> $.

  $( Extend class notation with the unit interval. $)
  cii $a class II $.

  $( Extend class notation to include the operation which returns a class of
     continuous complex functions. $)
  ccncf $a class -cn-> $.

  $( Define the unit interval with the Euclidean topology.  (Contributed by
     Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro, 3-Sep-2015.) $)
  df-ii $a |- II = ( MetOpen ` ( ( abs o. - )
                          |` ( ( 0 [,] 1 ) X. ( 0 [,] 1 ) ) ) ) $.

  ${
    $d a b d e f x y $.
    $( Define the operation whose value is a class of continuous complex
       functions.  (Contributed by Paul Chapman, 11-Oct-2007.) $)
    df-cncf $a |- -cn-> = ( a e. ~P CC , b e. ~P CC |->
      { f e. ( b ^m a ) | A. x e. a A. e e. RR+ E. d e. RR+ A. y e. a
  ( ( abs ` ( x - y ) ) < d -> ( abs ` ( ( f ` x ) - ( f ` y ) ) ) < e ) } ) $.
  $}

  $( The unit interval is a topological space.  (Contributed by Mario Carneiro,
     3-Sep-2015.) $)
  iitopon $p |- II e. ( TopOn ` ( 0 [,] 1 ) ) $=
    ( cabs cmin ccom cc0 c1 cicc co cxp cres cxmet cfv cii ctopon cc wss cnxmet
    wcel cr unitssre ax-resscn sstri xmetres2 mp2an df-ii mopntopon ax-mp ) ABC
    ZDEFGZUHHIZUHJKQZLUHMKQUGNJKQUHNOUJPUHRNSTUAUGUHNUBUCUILUHUDUEUF $.

  $( The unit interval is a topological space.  (Contributed by Jeff Madsen,
     2-Sep-2009.) $)
  iitop $p |- II e. Top $=
    ( cc0 c1 cicc co cii iitopon topontopi ) ABCDEFG $.

  $( The base set of the unit interval.  (Contributed by Jeff Madsen,
     2-Sep-2009.)  (Revised by Mario Carneiro, 15-Jan-2014.) $)
  iiuni $p |- ( 0 [,] 1 ) = U. II $=
    ( cc0 c1 cicc co cii iitopon toponunii ) ABCDEFG $.

  $( Alternate definition of the unit interval.  (Contributed by Jeff Madsen,
     2-Sep-2009.) $)
  dfii2 $p |- II = ( ( topGen ` ran (,) ) |`t ( 0 [,] 1 ) ) $=
    ( cc0 c1 cicc co cr wss cii cioo crn ctg cfv crest wceq unitssre eqid df-ii
    resubmet ax-mp ) ABCDZEFGHIJKZSLDMNSTGTOPQR $.

  ${
    dfii3.1 $e |- J = ( TopOpen ` CCfld ) $.
    $( Alternate definition of the unit interval.  (Contributed by Jeff Madsen,
       11-Jun-2010.)  (Revised by Mario Carneiro, 3-Sep-2015.) $)
    dfii3 $p |- II = ( J |`t ( 0 [,] 1 ) ) $=
      ( cc0 c1 cicc co crest cii cabs cmin ccom cc cxmet cfv wcel wss cnxmet cr
      wceq unitssre ax-resscn sstri cxp cres eqid cnfldtopn df-ii metrest mp2an
      eqcomi ) ACDEFZGFZHIJKZLMNOUKLPULHSQUKRLTUAUBUMUMUKUKUCUDZAHLUKUNUEABUFUG
      UHUIUJ $.
  $}

  ${
    dfii4.1 $e |- I = ( CCfld |`s ( 0 [,] 1 ) ) $.
    $( Alternate definition of the unit interval.  (Contributed by Mario
       Carneiro, 3-Sep-2015.) $)
    dfii4 $p |- II = ( TopOpen ` I ) $=
      ( cii ccnfld ctopn cfv cc0 c1 cicc co crest eqid dfii3 resstopn eqtri ) C
      DEFZGHIJZKJAEFPPLZMQAPDBRNO $.
  $}

  $( The unit interval expressed as an order topology.  (Contributed by Mario
     Carneiro, 9-Sep-2015.) $)
  dfii5 $p |- II = ( ordTop ` ( <_ i^i ( ( 0 [,] 1 ) X. ( 0 [,] 1 ) ) ) ) $=
    ( cii cioo crn ctg cfv cc0 c1 cicc co crest cle cordt cxp cin dfii2 cr wceq
    wss unitssre eqid xrrest ax-mp ordtresticc 3eqtr2i ) ABCDEZFGHIZJIZKLEZUFJI
    ZKUFUFMNLEOUFPRUIUGQSUFUEUHUHTUETUAUBFGUCUD $.

  $( The unit interval is compact.  (Contributed by Jeff Madsen, 2-Sep-2009.)
     (Revised by Mario Carneiro, 13-Jun-2014.) $)
  iicmp $p |- II e. Comp $=
    ( cc0 cr wcel c1 cii ccmp 0re 1re cioo crn ctg cfv eqid dfii2 icccmp mp2an
    ) ABCDBCEFCGHADEIJKLZQMNOP $.

  $( The unit interval is connected.  (Contributed by Mario Carneiro,
     11-Feb-2015.) $)
  iiconn $p |- II e. Conn $=
    ( cii cioo crn ctg cfv cc0 c1 cicc co crest cconn dfii2 cr wcel 0re iccconn
    1re mp2an eqeltri ) ABCDEFGHIJIZKLFMNGMNTKNOQFGPRS $.

  ${
    $d a b f w x y z A $.  $d w x y z C $.  $d f w x y z F $.  $d w y z R $.
    $d a b f w x y z B $.
    $( The value of the continuous complex function operation is the set of
       continuous functions from ` A ` to ` B ` .  (Contributed by Paul
       Chapman, 11-Oct-2007.)  (Revised by Mario Carneiro, 9-Nov-2013.) $)
    cncfval $p |- ( ( A C_ CC /\ B C_ CC ) ->
      ( A -cn-> B ) = { f e. ( B ^m A ) | A. x e. A A. y e. RR+
        E. z e. RR+ A. w e. A ( ( abs ` ( x - w ) ) < z ->
        ( abs ` ( ( f ` x ) - ( f ` w ) ) ) < y ) } ) $=
      ( va vb cc wss wcel co cv cfv wral crp cmap crab wceq cpw ccncf cmin cabs
      clt wbr wi wrex cnex elpw2 oveq2 raleq rexbidv raleqbi1dv rabeqbidv oveq1
      ralbidv rabeqdv df-cncf ovex rabex ovmpo syl2anbr ) EJKEJUAZLFVDLEFUBMANZ
      DNZUCMUDOCNUEUFVEGNZOVFVGOUCMUDOBNUEUFUGZDEPZCQUHZBQPZAEPZGFERMZSZTFJKEJU
      IUJFJUIUJHIEFVDVDVHDHNZPZCQUHZBQPZAVOPZGINZVORMZSVNUBVLGVTERMZSVOETZVSVLG
      WAWBVOEVTRUKVRVKAVOEWCVQVJBQWCVPVICQVHDVOEULUMUQUNUOVTFTVLGWBVMVTFERUPURA
      DBGHICUSVLGVMFERUTVAVBVC $.

    $( Membership in the set of continuous complex functions from ` A ` to
       ` B ` .  (Contributed by Paul Chapman, 11-Oct-2007.)  (Revised by Mario
       Carneiro, 9-Nov-2013.) $)
    elcncf $p |- ( ( A C_ CC /\ B C_ CC ) ->
     ( F e. ( A -cn-> B ) <-> ( F : A --> B /\ A. x e. A A. y e. RR+
     E. z e. RR+ A. w e. A ( ( abs ` ( x - w ) ) < z ->
     ( abs ` ( ( F ` x ) - ( F ` w ) ) ) < y ) ) ) ) $=
      ( vf cc wa co wcel cv cmin cabs cfv clt wral crp cvv wss cmap wbr wi wrex
      ccncf wf crab cncfval eleq2d wceq oveq12d fveq2d breq1d imbi2d rexralbidv
      fveq1 2ralbidv elrab bitrdi wb cnex ssex elmapg syl2anr anbi1d bitrd ) EI
      UAZFIUAZJZGEFUFKZLZGFEUBKZLZAMZDMZNKOPCMQUCZVOGPZVPGPZNKZOPZBMZQUCZUDZDER
      CSUEZBSRAERZJZEFGUGZWFJVJVLGVQVOHMZPZVPWIPZNKZOPZWBQUCZUDZDERCSUEZBSRAERZ
      HVMUHZLWGVJVKWRGABCDEFHUIUJWQWFHGVMWIGUKZWPWEABESWSWOWDCDSEWSWNWCVQWSWMWA
      WBQWSWLVTOWSWJVRWKVSNVOWIGUQVPWIGUQULUMUNUOUPURUSUTVJVNWHWFVIFTLETLVNWHVA
      VHFIVBVCEIVBVCFEGTTVDVEVFVG $.

    $( Version of ~ elcncf with arguments commuted.  (Contributed by Mario
       Carneiro, 28-Apr-2014.) $)
    elcncf2 $p |- ( ( A C_ CC /\ B C_ CC ) ->
     ( F e. ( A -cn-> B ) <-> ( F : A --> B /\ A. x e. A A. y e. RR+
     E. z e. RR+ A. w e. A ( ( abs ` ( w - x ) ) < z ->
     ( abs ` ( ( F ` w ) - ( F ` x ) ) ) < y ) ) ) ) $=
      ( cc wa co wcel cv cmin cabs cfv clt wbr wral crp sseldd ccncf wf wi wrex
      wss elcncf wb simplll simprl simprr abssubd breq1d simpllr simplr imbi12d
      ffvelrnd anassrs ralbidva rexbidv ralbidv pm5.32da bitrd ) EHUEZFHUEZIZGE
      FUAJKEFGUBZALZDLZMJNOZCLZPQZVGGOZVHGOZMJNOZBLZPQZUCZDERZCSUDZBSRZAERZIVFV
      HVGMJNOZVJPQZVMVLMJNOZVOPQZUCZDERZCSUDZBSRZAERZIABCDEFGUFVEVFWAWJVEVFIZVT
      WIAEWKVGEKZIZVSWHBSWMVRWGCSWMVQWFDEWKWLVHEKZVQWFUGWKWLWNIZIZVKWCVPWEWPVIW
      BVJPWPVGVHWPEHVGVCVDVFWOUHZWKWLWNUIZTWPEHVHWQWKWLWNUJZTUKULWPVNWDVOPWPVLV
      MWPFHVLVCVDVFWOUMZWPEFVGGVEVFWOUNZWRUPTWPFHVMWTWPEFVHGXAWSUPTUKULUOUQURUS
      UTURVAVB $.

    $( Reverse closure of the continuous function predicate.  (Contributed by
       Mario Carneiro, 25-Aug-2014.) $)
    cncfrss $p |- ( F e. ( A -cn-> B ) -> A C_ CC ) $=
      ( va vb vx vw vz vf vy ccncf co cc cv cmin cabs cfv clt wbr wral wcel cpw
      wi crp wrex cmap crab df-cncf elmpocl1 elpwid ) CABKLUAAMDEMUBZUKFNZGNZOL
      PQHNRSULINZQUMUNQOLPQJNRSUCGDNZTHUDUEJUDTFUOTIENUOUFLUGABKCFGJIDEHUHUIUJ
      $.

    $( Reverse closure of the continuous function predicate.  (Contributed by
       Mario Carneiro, 25-Aug-2014.) $)
    cncfrss2 $p |- ( F e. ( A -cn-> B ) -> B C_ CC ) $=
      ( va vb vx vw vz vf vy ccncf co cc cv cmin cabs cfv clt wbr wral wcel cpw
      wi crp wrex cmap crab df-cncf elmpocl2 elpwid ) CABKLUABMDEMUBZUKFNZGNZOL
      PQHNRSULINZQUMUNQOLPQJNRSUCGDNZTHUDUEJUDTFUOTIENUOUFLUGABKCFGJIDEHUHUIUJ
      $.

    $( A continuous complex function's domain and codomain.  (Contributed by
       Paul Chapman, 17-Jan-2008.)  (Revised by Mario Carneiro,
       25-Aug-2014.) $)
    cncff $p |- ( F e. ( A -cn-> B ) -> F : A --> B ) $=
      ( vx vw vz vy ccncf co wcel cv cmin cabs cfv clt wbr wral crp cc wss wrex
      wf wi wa wb cncfrss cncfrss2 elcncf syl2anc ibi simpld ) CABHIJZABCUBZDKZ
      EKZLIMNFKOPUNCNUOCNLIMNGKOPUCEAQFRUAGRQDAQZULUMUPUDZULASTBSTULUQUEABCUFAB
      CUGDGFEABCUHUIUJUK $.

    $( Defining property of a continuous function.  (Contributed by Mario
       Carneiro, 30-Apr-2014.)  (Revised by Mario Carneiro, 25-Aug-2014.) $)
    cncfi $p |- ( ( F e. ( A -cn-> B ) /\ C e. A /\ R e. RR+ ) ->
                  E. z e. RR+ A. w e. A ( ( abs ` ( w - C ) ) < z ->
                    ( abs ` ( ( F ` w ) - ( F ` C ) ) ) < R ) ) $=
      ( vx vy co wcel crp cv cmin cabs cfv clt wbr wi wral ccncf wrex wa wf wss
      cc wb cncfrss cncfrss2 elcncf2 syl2anc ibi simprd wceq oveq2 fveq2d fveq2
      breq1d oveq2d imbi12d rexralbidv breq2 imbi2d rspc2v mpan9 3impb ) GCDUAJ
      KZECKZFLKZBMZENJZOPZAMZQRZVJGPZEGPZNJZOPZFQRZSZBCTALUBZVGVJHMZNJZOPZVMQRZ
      VOWBGPZNJZOPZIMZQRZSZBCTALUBZILTHCTZVHVIUCWAVGCDGUDZWMVGWNWMUCZVGCUFUEDUF
      UEVGWOUGCDGUHCDGUIHIABCDGUJUKULUMWLWAVNVRWIQRZSZBCTALUBHIEFCLWBEUNZWKWQAB
      LCWRWEVNWJWPWRWDVLVMQWRWCVKOWBEVJNUOUPURWRWHVRWIQWRWGVQOWRWFVPVONWBEGUQUS
      UPURUTVAWIFUNZWQVTABLCWSWPVSVNWIFVRQVBVCVAVDVEVF $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w x y z F $.  $d w x y ph $.
    $d w z Z $.
    elcncf1d.1 $e |- ( ph -> F : A --> B ) $.
    elcncf1d.2 $e |- ( ph -> ( ( x e. A /\ y e. RR+ ) -> Z e. RR+ ) ) $.
    elcncf1d.3 $e |- ( ph -> ( ( ( x e. A /\ w e. A ) /\ y e. RR+ ) ->
                       ( ( abs ` ( x - w ) ) < Z ->
                         ( abs ` ( ( F ` x ) - ( F ` w ) ) ) < y ) ) ) $.
    $( Membership in the set of continuous complex functions from ` A ` to
       ` B ` .  (Contributed by Paul Chapman, 26-Nov-2007.) $)
    elcncf1di $p |- ( ph ->
                   ( ( A C_ CC /\ B C_ CC ) -> F e. ( A -cn-> B ) ) ) $=
      ( vz co wcel wa cv cfv clt wral crp ccncf cc wss wf cmin cabs wbr wi wrex
      imp an32 bianass sylbir ralrimiva rspceaimv syl2anc ralrimivva jca elcncf
      breq2 syl5ibrcom ) AGEFUAMNEUBUCFUBUCOEFGUDZBPZDPZUEMUFQZLPZRUGZVCGQVDGQU
      EMUFQCPZRUGZUHDESLTUIZCTSBESZOAVBVKIAVJBCETAVCENZVHTNZOZOZHTNZVEHRUGZVIUH
      ZDESVJAVNVPJUJVOVRDEVOVDENZOAVLVSOVMOZOVRVTVNVSAVLVSVMUKULAVTVRKUJUMUNVGV
      QVILDHTEVFHVERUTUOUPUQURBCLDEFGUSVA $.
  $}

  ${
    $d w x y A $.  $d w x y B $.  $d w x y F $.  $d w Z $.
    elcncf1i.1 $e |- F : A --> B $.
    elcncf1i.2 $e |- ( ( x e. A /\ y e. RR+ ) -> Z e. RR+ ) $.
    elcncf1i.3 $e |- ( ( ( x e. A /\ w e. A ) /\ y e. RR+ ) ->
                       ( ( abs ` ( x - w ) ) < Z ->
                         ( abs ` ( ( F ` x ) - ( F ` w ) ) ) < y ) ) $.
    $( Membership in the set of continuous complex functions from ` A ` to
       ` B ` .  (Contributed by Paul Chapman, 26-Nov-2007.) $)
    elcncf1ii $p |- ( ( A C_ CC /\ B C_ CC ) -> F e. ( A -cn-> B ) ) $=
      ( cc wss wa co wcel wi wtru a1i cv cfv wf crp cmin cabs clt wbr elcncf1di
      ccncf mptru ) DKLEKLMFDEUHNOPQABCDEFGDEFUAQHRASZDOZBSZUBOZMGUBOPQIRUKCSZD
      OMUMMUJUNUCNUDTGUEUFUJFTUNFTUCNUDTULUEUFPPQJRUGUI $.
  $}

  ${
    $d f w x y z A $.  $d f w x y z B $.  $d f w x y z C $.  $d w x y z F $.
    $( A continuous complex function restricted to a subset is continuous.
       (Contributed by Paul Chapman, 18-Oct-2007.)  (Revised by Mario Carneiro,
       25-Aug-2014.) $)
    rescncf $p |- ( C C_ A ->
            ( F e. ( A -cn-> B ) -> ( F |` C ) e. ( C -cn-> B ) ) ) $=
      ( vx vw vz vy wss co wcel wa cv cmin cabs cfv clt wral crp cc cres wf wbr
      ccncf wi wrex simpr wb cncfrss adantl cncfrss2 elcncf syl2anc mpbid simpl
      simpld fssresd simprd ssralv fvres oveqan12d fveq2d breq1d imbi2d biimprd
      ralimdva sylan9 reximdv ralimdv syld sylc sstrd mpbir2and ex ) CAIZDABUDJ
      KZDCUAZCBUDJKZVOVPLZVRCBVQUBZEMZFMZNJOPGMQUCZWAVQPZWBVQPZNJZOPZHMZQUCZUEZ
      FCRZGSUFZHSRZECRZVSABCDVSABDUBZWCWADPZWBDPZNJZOPZWHQUCZUEZFARZGSUFZHSRZEA
      RZVSVPWOXELZVOVPUGVSATIZBTIZVPXFUHVPXGVOABDUIUJZVPXHVOABDUKUJZEHGFABDULUM
      UNZUPVOVPUOZUQVSVOXEWNXLVSWOXEXKURVOXEXDECRWNXDECAUSVOXDWMECVOWACKZLZXCWL
      HSXNXBWKGSVOXBXAFCRXMWKXAFCAUSXMXAWJFCXMWBCKZLZWJXAXPWIWTWCXPWGWSWHQXPWFW
      ROXMXOWDWPWEWQNWACDUTWBCDUTVAVBVCVDVEVFVGVHVIVFVJVKVSCTIXHVRVTWNLUHVSCATX
      LXIVLXJEHGFCBVQULUMVMVN $.

    $( Change the codomain of a continuous complex function.  (Contributed by
       Paul Chapman, 18-Oct-2007.)  (Revised by Mario Carneiro, 1-May-2015.) $)
    cncffvrn $p |- ( ( C C_ CC /\ F e. ( A -cn-> B ) ) ->
      ( F e. ( A -cn-> C ) <-> F : A --> C ) ) $=
      ( vw vx vz vy cc wss ccncf co wcel wa cv cmin cabs cfv wral crp wf clt wi
      wbr wrex cncfi 3expb ralrimivva adantl wb cncfrss simpl elcncf2 mpbiran2d
      syl2an2 ) CIJZDABKLMZNDACKLMZACDUAZEOZFOZPLQRGOUBUDUTDRVADRPLQRHOZUBUDUCE
      ASGTUEZHTSFASZUQVDUPUQVCFHATUQVAAMVBTMVCGEABVAVBDUFUGUHUIUQAIJUPUPURUSVDN
      UJABDUKUPUQULFHGEACDUMUOUN $.

    $( The set of continuous functions is expanded when the range is expanded.
       (Contributed by Mario Carneiro, 30-Aug-2014.) $)
    cncfss $p |- ( ( B C_ C /\ C C_ CC ) -> ( A -cn-> B ) C_ ( A -cn-> C ) ) $=
      ( vf wss cc wa ccncf co cv wcel cncff adantl simpll fssd cncffvrn adantll
      wf wb mpbird ex ssrdv ) BCEZCFEZGZDABHIZACHIZUEDJZUFKZUHUGKZUEUIGZUJACUHR
      ZUKABCUHUIABUHRUEABUHLMUCUDUINOUDUIUJULSUCABCUHPQTUAUB $.
  $}

  ${
    $d y z B $.  $d k x y z D $.  $d k x y z F $.  $d k x y z G $.  $d k y Z $.
    $d k y z A $.  $d k x y z ph $.
    climcncf.1 $e |- Z = ( ZZ>= ` M ) $.
    climcncf.2 $e |- ( ph -> M e. ZZ ) $.
    climcncf.4 $e |- ( ph -> F e. ( A -cn-> B ) ) $.
    climcncf.5 $e |- ( ph -> G : Z --> A ) $.
    climcncf.6 $e |- ( ph -> G ~~> D ) $.
    climcncf.7 $e |- ( ph -> D e. A ) $.
    $( Image of a limit under a continuous map.  (Contributed by Mario
       Carneiro, 7-Apr-2015.) $)
    climcncf $p |- ( ph -> ( F o. G ) ~~> ( F ` D ) ) $=
      ( vy vz cvv cv wcel cfv vx vk ccom cc ccncf co wf cncff syl ffvelrnda wss
      cncfrss2 sselda cuz fvexi fex sylancl coexg syl2anc crp cmin cabs clt wbr
      syldan wi wral wrex cncfi 3expia imp wceq fvco3 sylan climcn1 ) AUAOPDBUB
      EFEFUCZGQHIJNAPRZBSVQETZCSVRUDSABCVQEAEBCUEUFZSZBCEUGKBCEUHUIUJACUDVRAVTC
      UDUKKBCEULUIUMVEMAVTFQSZVPQSKAHBFUGZHQSWALHGUNIUOHBQFUPUQEFVSQURUSAUARZUT
      SZVQDVAUFVBTORVCVDVRDETVAUFVBTWCVCVDVFPBVGOUTVHZAVTDBSZWDWEVFKNVTWFWDWEOP
      BCDWCEVIVJUSVKAHBUBRZFLUJAWBWGHSWGVPTWGFTETVLLHBWGEFVMVNVO $.
  $}

  ${
    $d w x y z $.
    $( Absolute value is continuous.  (Contributed by Paul Chapman,
       21-Oct-2007.)  (Revised by Mario Carneiro, 28-Apr-2014.) $)
    abscncf $p |- abs e. ( CC -cn-> RR ) $=
      ( vw vx vz vy cabs cc cr ccncf co wcel wf cv cmin cfv clt wbr wi wral crp
      wss wrex absf abscn2 rgen2 wa wb ssid ax-resscn elcncf2 mp2an mpbir2an )
      EFGHIJZFGEKZALZBLZMIENCLOPUNENUOENMIENDLOPQAFRCSUAZDSRBFRZUBUPBDFSDCAUOUC
      UDFFTGFTULUMUQUEUFFUGUHBDCAFGEUIUJUK $.

    $( Real part is continuous.  (Contributed by Paul Chapman, 21-Oct-2007.)
       (Revised by Mario Carneiro, 28-Apr-2014.) $)
    recncf $p |- Re e. ( CC -cn-> RR ) $=
      ( vw vx vz vy cre cc cr ccncf co wcel wf cv cmin cabs cfv clt wbr crp wss
      wral wi wrex ref recn2 rgen2 wa wb ssid ax-resscn elcncf2 mp2an mpbir2an
      ) EFGHIJZFGEKZALZBLZMINOCLPQUOEOUPEOMINODLPQUAAFTCRUBZDRTBFTZUCUQBDFRDCAU
      PUDUEFFSGFSUMUNURUFUGFUHUIBDCAFGEUJUKUL $.

    $( Imaginary part is continuous.  (Contributed by Paul Chapman,
       21-Oct-2007.)  (Revised by Mario Carneiro, 28-Apr-2014.) $)
    imcncf $p |- Im e. ( CC -cn-> RR ) $=
      ( vw vx vz vy cim cc cr ccncf co wcel wf cv cmin cabs cfv clt wbr crp wss
      wral wi wrex imf imcn2 rgen2 wa wb ssid ax-resscn elcncf2 mp2an mpbir2an
      ) EFGHIJZFGEKZALZBLZMINOCLPQUOEOUPEOMINODLPQUAAFTCRUBZDRTBFTZUCUQBDFRDCAU
      PUDUEFFSGFSUMUNURUFUGFUHUIBDCAFGEUJUKUL $.

    $( Complex conjugate is continuous.  (Contributed by Paul Chapman,
       21-Oct-2007.)  (Revised by Mario Carneiro, 28-Apr-2014.) $)
    cjcncf $p |- * e. ( CC -cn-> CC ) $=
      ( vw vx vz vy ccj cc ccncf co wcel wf cmin cabs cfv clt wbr wral crp wrex
      cv wi cjf cjcn2 rgen2 wss wa wb ssid elcncf2 mp2an mpbir2an ) EFFGHIZFFEJ
      ZASZBSZKHLMCSNOUMEMUNEMKHLMDSNOTAFPCQRZDQPBFPZUAUOBDFQDCAUNUBUCFFUDZUQUKU
      LUPUEUFFUGZURBDCAFFEUHUIUJ $.
  $}

  ${
    $d t u v w x y z A $.  $d t u w y z F $.
    mulc1cncf.1 $e |- F = ( x e. CC |-> ( A x. x ) ) $.
    $( Multiplication by a constant is continuous.  (Contributed by Paul
       Chapman, 28-Nov-2007.)  (Revised by Mario Carneiro, 30-Apr-2014.) $)
    mulc1cncf $p |- ( A e. CC -> F e. ( CC -cn-> CC ) ) $=
      ( vu vw cc wcel cv cmin co cabs cfv clt wbr wi wral crp cmul wa vy simprr
      vz vv vt wrex ccncf mulcl fmptd simprl mulcn2 syl3anc wceq fvoveq1 breq1d
      wf simpl anbi1d oveq1 fvoveq1d imbi12d ralbidv rspcv ad2antrr cc0 abs00bd
      wb subid simprll rpgt0d eqbrtrd biantrurd oveq2 fvmpt syl simplrl oveq12d
      fveq2d anassrs ralbidva sylibrd reximdva rexlimdva mpd ralrimivva elcncf2
      ovex wss ssid mp2an sylanbrc ) BGHZGGCUPZEIZUAIZJKLMFIZNOZWNCMZWOCMZJKZLM
      ZUCIZNOZPZEGQZFRUFZUCRQUAGQZCGGUGKHZWLAGBAIZSKZGCBXIUHDUIWLXFUAUCGRWLWOGH
      ZXBRHZTZTZUDIZBJKLMZUEIZNOZWQTZXOWNSKZBWOSKZJKLMZXBNOZPZEGQZUDGQZFRUFZUER
      UFZXFXNXLWLXKYHWLXKXLUBWLXMUQWLXKXLUJUEFEUDXBBWOUKULXNYGXFUERXNXQRHZTYFXE
      FRXNYIWPRHZYFXEPXNYIYJTZTZYFBBJKZLMZXQNOZWQTZBWNSKZYAJKZLMZXBNOZPZEGQZXEW
      LYFUUBPXMYKYEUUBUDBGXOBUMZYDUUAEGUUCXSYPYCYTUUCXRYOWQUUCXPYNXQNXOBBLJUNUO
      URUUCYBYSXBNUUCXTYQYALJXOBWNSUSUTUOVAVBVCVDYLXDUUAEGXNYKWNGHZXDUUAVGXNYKU
      UDTZTZWQYPXCYTUUFYOWQUUFYNVEXQNUUFYMWLYMVEUMXMUUEBVHVDVFUUFXQXNYIYJUUDVIV
      JVKVLUUFXAYSXBNUUFWTYRLUUFWRYQWSYAJUUFUUDWRYQUMXNYKUUDUBAWNXJYQGCXIWNBSVM
      DBWNSWGVNVOUUFXKWSYAUMWLXKXLUUEVPAWOXJYAGCXIWOBSVMDBWOSWGVNVOVQVRUOVAVSVT
      WAVSWBWCWDWEGGWHZUUGXHWMXGTVGGWIZUUHUAUCFEGGCWFWJWK $.
  $}

  ${
    $d A x $.
    divccncf.1 $e |- F = ( x e. CC |-> ( x / A ) ) $.
    $( Division by a constant is continuous.  (Contributed by Paul Chapman,
       28-Nov-2007.) $)
    divccncf $p |- ( ( A e. CC /\ A =/= 0 ) -> F e. ( CC -cn-> CC ) ) $=
      ( cc wcel cc0 wne wa c1 cdiv co cmul cmpt ccncf wceq divrec2 3expb ancoms
      cv mpteq2dva syl5eq reccl eqid mulc1cncf syl eqeltrd ) BEFZBGHZIZCAEJBKLZ
      ATZMLZNZEEOLZUJCAEULBKLZNUNDUJAEUPUMULEFZUJUPUMPZUQUHUIURULBQRSUAUBUJUKEF
      UNUOFBUCAUKUNUNUDUEUFUG $.
  $}

  ${
    $d u w x y z A $.  $d u v w z B $.  $d u v w x y z C $.  $d u w x y z ph $.
    $d u v w x y z F $.  $d u v w x y z G $.
    cncfco.4 $e |- ( ph -> F e. ( A -cn-> B ) ) $.
    cncfco.5 $e |- ( ph -> G e. ( B -cn-> C ) ) $.
    $( The composition of two continuous maps on complex numbers is also
       continuous.  (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by
       Mario Carneiro, 25-Aug-2014.) $)
    cncfco $p |- ( ph -> ( G o. F ) e. ( A -cn-> C ) ) $=
      ( vw vz co wcel cv cmin cabs cfv clt wi crp wa vx vy vv vu ccom ccncf wbr
      wf wral cncff syl fco syl2anc adantr simprl ffvelrnd simprr cncfi syl3anc
      ad2antrr simplrl simpr ad3antrrr fvoveq1 breq1d imbrov2fvoveq rspcv fvco3
      wrex wceq oveq12d fveq2d imbi2d sylibrd imp an32s imim2d anassrs ralimdva
      reximdva ex mpid rexlimdva mpd ralrimivva cc wss cncfrss cncfrss2 elcncf2
      wb mpbir2and ) AFEUEZBDUFKLZBDWMUHZIMZUAMZNKOPJMZQUGZWPWMPZWQWMPZNKZOPZUB
      MZQUGZRZIBUIZJSVIZUBSUIUABUIZACDFUHZBCEUHZWOAFCDUFKLZXJHCDFUJUKAEBCUFKLZX
      KGBCEUJUKZBCDFEULUMAXHUAUBBSAWQBLZXDSLZTZTZUCMZWQEPZNKOPZUDMZQUGZXSFPXTFP
      ZNKOPXDQUGRZUCCUIZUDSVIZXHXRXLXTCLXPYGAXLXQHUNXRBCWQEAXKXQXNUNAXOXPUOUPAX
      OXPUQUDUCCDXTXDFURUSXRYFXHUDSXRYBSLZTZYFWSWPEPZXTNKOPZYBQUGZRZIBUIZJSVIZX
      HYIXMXOYHYOAXMXQYHGUTAXOXPYHVAZXRYHVBJIBCWQYBEURUSYIYFYOXHRYIYFTZYNXGJSYQ
      WRSLZTYMXFIBYQYRWPBLZYMXFRYQYRYSTZTYLXEWSYIYTYFYLXERZYIYTTZYFUUAUUBYFYLYJ
      FPZYDNKZOPZXDQUGZRZUUAUUBYJCLYFUUGRUUBBCWPEAXKXQYHYTXNVCZYIYRYSUQZUPYEUUG
      UCYJCYCYLXDQNOFYDXSYJXSYJVJYAYKYBQXSYJXTONVDVEVFVGUKUUBXEUUFYLUUBXCUUEXDQ
      UUBXBUUDOUUBWTUUCXAYDNUUBXKYSWTUUCVJUUHUUIBCWPFEVHUMUUBXKXOXAYDVJUUHYIXOY
      TYPUNBCWQFEVHUMVKVLVEVMVNVOVPVQVRVSVTWAWBWCWDWEABWFWGZDWFWGZWNWOXITWKAXMU
      UJGBCEWHUKAXLUUKHCDFWIUKUAUBJIBDWMWJUMWL $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x y $.  $d R y $.  $d S x $.  $d T y $.
    cncfcompt2.xph $e |- F/ x ph $.
    cncfcompt2.ab $e |- ( ph -> ( x e. A |-> R ) e. ( A -cn-> B ) ) $.
    cncfcompt2.cd $e |- ( ph -> ( y e. C |-> S ) e. ( C -cn-> E ) ) $.
    cncfcompt2.bc $e |- ( ph -> B C_ C ) $.
    cncfcompt2.st $e |- ( y = R -> S = T ) $.
    $( Composition of continuous functions.  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    cncfcompt2 $p |- ( ph -> ( x e. A |-> T ) e. ( A -cn-> E ) ) $=
      ( cmpt ccncf co wcel wss ccom cv wa adantr wf cncff syl fvmptelrn ralrimi
      sseldd ex eqidd fmptcof eqcomd cc cncfrss cncfss syl2anc cncfco eqeltrd )
      ABDIPZCFHPZBDGPZUAZDJQRAVDVAABCDFGHIVCVBAGFSZBDKABUBDSZVEAVFUCEFGAEFTZVFN
      UDABDGEAVCDEQRZSDEVCUELDEVCUFUGUHUJUKUIAVCULAVBULOUMUNADFJVCVBAVHDFQRZVCA
      VGFUOTZVHVITNAVBFJQRSVJMFJVBUPUGDEFUQURLUJMUSUT $.
  $}

  ${
    $d f w x y z A $.  $d f w x y z B $.  $d f w x y z J $.  $d f w x y z K $.
    $d w x y z C $.  $d w x y z D $.
    cncfmet.1 $e |- C = ( ( abs o. - ) |` ( A X. A ) ) $.
    cncfmet.2 $e |- D = ( ( abs o. - ) |` ( B X. B ) ) $.
    cncfmet.3 $e |- J = ( MetOpen ` C ) $.
    cncfmet.4 $e |- K = ( MetOpen ` D ) $.
    $( Relate complex function continuity to metric space continuity.
       (Contributed by Paul Chapman, 26-Nov-2007.)  (Revised by Mario Carneiro,
       7-Sep-2015.) $)
    cncfmet $p |- ( ( A C_ CC /\ B C_ CC ) -> ( A -cn-> B ) = ( J Cn K ) ) $=
      ( vx vw vz vy cc wa co clt cfv wcel vf wss ccncf ccn cv wbr wral crp wrex
      wf wi cmin cabs wb wceq simplll simprl simprr ccom cxp oveqi ovres syl5eq
      cres ad2ant2l ssel2 eqid cnmetdval syl2an eqtrd syl22anc breq1d ad2ant2lr
      ffvelrn syl2anc simpllr imbi12d anassrs ralbidva rexbidv ralbidv pm5.32da
      sseldd cxmet cnxmet xmetres2 mpan eqeltrid metcn elcncf 3bitr4rd eqrdv )
      AOUBZBOUBZPZUAABUCQZEFUDQZWOABUAUEZUJZKUEZLUEZCQZMUEZRUFZWTWRSZXAWRSZDQZN
      UEZRUFZUKZLAUGZMUHUIZNUHUGZKAUGZPZWSWTXAULQUMSZXCRUFZXEXFULQUMSZXHRUFZUKZ
      LAUGZMUHUIZNUHUGZKAUGZPWRWQTZWRWPTWOWSXNYDWOWSPZXMYCKAYFWTATZPZXLYBNUHYHX
      KYAMUHYHXJXTLAYFYGXAATZXJXTUNYFYGYIPZPZXDXQXIXSYKXBXPXCRYKWMYGWMYIXBXPUOW
      MWNWSYJUPZYFYGYIUQYLYFYGYIURWMYGPZWMYIPZPXBWTXAUMULUSZQZXPYGYIXBYPUOWMWMY
      JXBWTXAYOAAUTVDZQYPCYQWTXAGVAWTXAAAYOVBVCVEYMWTOTXAOTYPXPUOYNAOWTVFAOXAVF
      WTXAYOYOVGZVHVIVJVKVLYKXGXRXHRYKXGXEXFYOQZXRYKXEBTZXFBTZXGYSUOWSYGYTWOYIA
      BWTWRVNVMZWSYIUUAWOYGABXAWRVNVEZYTUUAPXGXEXFYOBBUTVDZQYSDUUDXEXFHVAXEXFBB
      YOVBVCVOYKXEOTXFOTYSXRUOYKBOXEWMWNWSYJVPZUUBWCYKBOXFUUEUUCWCXEXFYOYRVHVOV
      JVLVQVRVSVTWAVSWBWMCAWDSZTDBWDSZTYEXOUNWNWMCYQUUFGYOOWDSTZWMYQUUFTWEYOAOW
      FWGWHWNDUUDUUGHUUHWNUUDUUGTWEYOBOWFWGWHKNMLCDWREFABIJWIVIKNMLABWRWJWKWL
      $.
  $}

  ${
    cncfcn.2 $e |- J = ( TopOpen ` CCfld ) $.
    cncfcn.3 $e |- K = ( J |`t A ) $.
    cncfcn.4 $e |- L = ( J |`t B ) $.
    $( Relate complex function continuity to topological continuity.
       (Contributed by Mario Carneiro, 17-Feb-2015.) $)
    cncfcn $p |- ( ( A C_ CC /\ B C_ CC ) -> ( A -cn-> B ) = ( K Cn L ) ) $=
      ( cc wss co cxp cres cmopn cfv ccn eqid crest wceq cnxmet ccncf cabs cmin
      wa ccom cncfmet cxmet wcel simpl cnfldtopn metrest sylancr syl5eq oveq12d
      simpr eqtr4d ) AIJZBIJZUDZABUAKUBUCUEZAALMZNOZUTBBLMZNOZPKDEPKABVAVCVBVDV
      AQZVCQZVBQZVDQZUFUSDVBEVDPUSDCARKZVBGUSUTIUGOUHZUQVIVBSTUQURUIUTVACVBIAVE
      CFUJZVGUKULUMUSECBRKZVDHUSVJURVLVDSTUQURUOUTVCCVDIBVFVKVHUKULUMUNUP $.
  $}

  ${
    cncfcn1.1 $e |- J = ( TopOpen ` CCfld ) $.
    $( Relate complex function continuity to topological continuity.
       (Contributed by Paul Chapman, 28-Nov-2007.)  (Revised by Mario Carneiro,
       7-Sep-2015.) $)
    cncfcn1 $p |- ( CC -cn-> CC ) = ( J Cn J ) $=
      ( cc wss ccncf co ccn wceq ssid cnfldtopon toponrestid cncfcn mp2an ) CCD
      ZNCCEFAAGFHCIZOCCAAABACABJKZPLM $.
  $}

  ${
    $d x A $.  $d x S $.  $d x T $.
    $( A constant function is a continuous function on ` CC ` .  (Contributed
       by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro,
       7-Sep-2015.) $)
    cncfmptc $p |- ( ( A e. T /\ S C_ CC /\ T C_ CC ) ->
      ( x e. S |-> A ) e. ( S -cn-> T ) ) $=
      ( wcel cc wss w3a cmpt ccnfld ctopn cfv crest co ccn ccncf eqid resttopon
      ctopon sylancr cnfldtopon simp2 simp3 cnmptc wceq cncfcn 3adant1 eleqtrrd
      simp1 ) BDEZCFGZDFGZHZACBIJKLZCMNZUNDMNZONZCDPNZUMABUOUPCDUMUNFSLEZUKUOCS
      LEUNUNQZUAZUJUKULUBCUNFRTUMUSULUPDSLEVAUJUKULUCDUNFRTUJUKULUIUDUKULURUQUE
      UJCDUNUOUPUTUOQUPQUFUGUH $.

    $( The identity function is a continuous function on ` CC ` .  (Contributed
       by Jeff Madsen, 11-Jun-2010.)  (Revised by Mario Carneiro,
       17-May-2016.) $)
    cncfmptid $p |- ( ( S C_ T /\ T C_ CC ) ->
      ( x e. S |-> x ) e. ( S -cn-> T ) ) $=
      ( wss cc wa ccncf co cv cmpt cncfss ccnfld ctopn cfv ccn ctopon wcel eqid
      crest cnfldtopon resttopon sylancr cnmptid cncfcn syl2anc eleqtrrd sseldd
      sstr wceq ) BCDCEDFZBBGHZBCGHABAIJZBBCKUJULLMNZBSHZUNOHZUKUJAUNBUJUMEPNQB
      EDZUNBPNQUMUMRZTBCEUHZBUMEUAUBUCUJUPUPUKUOUIURURBBUMUNUNUQUNRZUSUDUEUFUG
      $.
  $}

  ${
    $d y A $.  $d x y F $.  $d x ph $.  $d x X $.
    cncfmpt1f.1 $e |- ( ph -> F e. ( CC -cn-> CC ) ) $.
    cncfmpt1f.2 $e |- ( ph -> ( x e. X |-> A ) e. ( X -cn-> CC ) ) $.
    $( Composition of continuous functions. ` -cn-> ` analogue of ~ cnmpt11f .
       (Contributed by Mario Carneiro, 3-Sep-2014.) $)
    cncfmpt1f $p |- ( ph -> ( x e. X |-> ( F ` A ) ) e. ( X -cn-> CC ) ) $=
      ( vy cmpt ccom cfv cc ccncf co cv wf wcel wral cncff syl eqid fmpt sylibr
      eqidd feqmptd fveq2 fmptcof cncfco eqeltrrd ) ADBECIZJBECDKZIELMNZABHELCH
      OZDKUKUJDAELUJPZCLQBERAUJULQUNGELUJSTBELCUJUJUAUBUCAUJUDAHLLDADLLMNQLLDPF
      LLDSTUEUMCDUFUGAELLUJDGFUHUI $.
  $}

  ${
    $d x F $.  $d x J $.  $d x ph $.  $d x X $.
    cncfmpt2f.1 $e |- J = ( TopOpen ` CCfld ) $.
    cncfmpt2f.2 $e |- ( ph -> F e. ( ( J tX J ) Cn J ) ) $.
    cncfmpt2f.3 $e |- ( ph -> ( x e. X |-> A ) e. ( X -cn-> CC ) ) $.
    cncfmpt2f.4 $e |- ( ph -> ( x e. X |-> B ) e. ( X -cn-> CC ) ) $.
    $( Composition of continuous functions. ` -cn-> ` analogue of ~ cnmpt12f .
       (Contributed by Mario Carneiro, 3-Sep-2014.) $)
    cncfmpt2f $p |- ( ph -> ( x e. X |-> ( A F B ) ) e. ( X -cn-> CC ) ) $=
      ( co cmpt crest cc ctopon cfv wcel wss eleqtrd ccn cnfldtopon cncfrss syl
      ccncf resttopon sylancr wceq toponrestid cncfcn sylancl cnmpt12f eleqtrrd
      ssid eqid ) ABGCDELMFGNLZFUALZGOUELZABCDEUPFFFGAFOPQRGOSZUPGPQRFHUBZABGCM
      ZURRUSJGOVAUCUDZGFOUFUGAVAURUQJAUSOOSURUQUHVBOUNGOFUPFHUPUOFOUTUIUJUKZTAB
      GDMURUQKVCTIULVCUM $.
  $}

  ${
    $d x F $.  $d x J $.  $d x ph $.  $d x S $.  $d x X $.
    cncfmpt2ss.1 $e |- J = ( TopOpen ` CCfld ) $.
    cncfmpt2ss.2 $e |- F e. ( ( J tX J ) Cn J ) $.
    cncfmpt2ss.3 $e |- ( ph -> ( x e. X |-> A ) e. ( X -cn-> S ) ) $.
    cncfmpt2ss.4 $e |- ( ph -> ( x e. X |-> B ) e. ( X -cn-> S ) ) $.
    cncfmpt2ss.5 $e |- S C_ CC $.
    cncfmpt2ss.6 $e |- ( ( A e. S /\ B e. S ) -> ( A F B ) e. S ) $.
    $( Composition of continuous functions in a subset.  (Contributed by Mario
       Carneiro, 17-May-2016.) $)
    cncfmpt2ss $p |- ( ph -> ( x e. X |-> ( A F B ) ) e. ( X -cn-> S ) ) $=
      ( co cmpt wcel wf cc wss ccncf cv wa syl fvmptelrn syl2anc fmpttd ctx ccn
      cncff wb a1i ssid cncfss mp2an sselid cncfmpt2f cncffvrn sylancr mpbird )
      ABHCDFOZPZHEUAOZQZHEVBRZABHVAEABUBHQUCCEQDEQVAEQABHCEABHCPZVCQHEVFRKHEVFU
      JUDUEABHDEABHDPZVCQHEVGRLHEVGUJUDUENUFUGAESTZVBHSUAOZQVDVEUKMABCDFGHIFGGU
      HOGUIOQAJULAVCVIVFVHSSTVCVITMSUMHESUNUOZKUPAVCVIVGVJLUPUQHSEVBURUSUT $.
  $}

  ${
    $d A x $.
    addccncf.1 $e |- F = ( x e. CC |-> ( x + A ) ) $.
    $( Adding a constant is a continuous function.  (Contributed by Jeff
       Madsen, 2-Sep-2009.)  (Proof shortened by Mario Carneiro,
       12-Sep-2015.) $)
    addccncf $p |- ( A e. CC -> F e. ( CC -cn-> CC ) ) $=
      ( cc wcel cv caddc cmpt ccncf ccnfld ctopn cfv eqid ctx ccn addcn a1i wss
      co ssid cncfmptid mp2an cncfmptc mp3an23 cncfmpt2f eqeltrid ) BEFZCAEAGZB
      HTIEEJTZDUHAUIBHKLMZEUKNZHUKUKOTUKPTFUHUKULQRAEUIIUJFZUHEESZUNUMEUAZUOAEE
      UBUCRUHUNUNAEBIUJFUOUOABEEUDUEUFUG $.
  $}

  ${
    idcncf.1 $e |- F = ( x e. CC |-> x ) $.
    $( The identity function is a continuous function on ` CC ` .  (Contributed
       by Jeff Madsen, 11-Jun-2010.)  (Moved into main set.mm as ~ cncfmptid
       and may be deleted by mathbox owner, JM. --MC 12-Sep-2015.)  (Revised by
       Mario Carneiro, 12-Sep-2015.) $)
    idcncf $p |- F e. ( CC -cn-> CC ) $=
      ( cc cv cmpt ccncf co wss wcel ssid cncfmptid mp2an eqeltri ) BADAEFZDDGH
      ZCDDIZQOPJDKZRADDLMN $.
  $}

  ${
    $d A x $.
    sub1cncf.1 $e |- F = ( x e. CC |-> ( x - A ) ) $.
    $( Subtracting a constant is a continuous function.  (Contributed by Jeff
       Madsen, 2-Sep-2009.)  (Proof shortened by Mario Carneiro,
       12-Sep-2015.) $)
    sub1cncf $p |- ( A e. CC -> F e. ( CC -cn-> CC ) ) $=
      ( cc wcel cv cmin co cmpt ccncf ccnfld ctopn cfv ctx ccn subcn a1i idcncf
      eqid wss ssid cncfmptc mp3an23 cncfmpt2f eqeltrid ) BEFZCAEAGZBHIJEEKIZDU
      GAUHBHLMNZEUJTZHUJUJOIUJPIFUGUJUKQRAEUHJZUIFUGAULULTSRUGEEUAZUMAEBJUIFEUB
      ZUNABEEUCUDUEUF $.
  $}

  ${
    $d A x $.
    sub2cncf.1 $e |- F = ( x e. CC |-> ( A - x ) ) $.
    $( Subtraction from a constant is a continuous function.  (Contributed by
       Jeff Madsen, 2-Sep-2009.)  (Proof shortened by Mario Carneiro,
       12-Sep-2015.) $)
    sub2cncf $p |- ( A e. CC -> F e. ( CC -cn-> CC ) ) $=
      ( cc wcel cv cmin cmpt ccncf ccnfld ctopn cfv eqid ctx ccn subcn a1i wss
      co ssid cncfmptc mp3an23 idcncf cncfmpt2f eqeltrid ) BEFZCAEBAGZHTIEEJTZD
      UGABUHHKLMZEUJNZHUJUJOTUJPTFUGUJUKQRUGEESZULAEBIUIFEUAZUMABEEUBUCAEUHIZUI
      FUGAUNUNNUDRUEUF $.
  $}

  ${
    $d A x $.
    cdivcncf.1 $e |- F = ( x e. ( CC \ { 0 } ) |-> ( A / x ) ) $.
    $( Division with a constant numerator is continuous.  (Contributed by Mario
       Carneiro, 28-Dec-2016.) $)
    cdivcncf $p |- ( A e. CC -> F e. ( ( CC \ { 0 } ) -cn-> CC ) ) $=
      ( cc wcel cc0 csn cdif cv cdiv co cmpt ccnfld cfv ccn ctopon wss eqid a1i
      ctopn crest ccncf cnfldtopon difss resttopon sylancl cnmptc cnmptid divcn
      id ctx cnmpt12f wceq ssid toponrestid cncfcn mp2an 3eltr4g ) BEFZAEGHZIZB
      AJZKLMNUAOZVBUBLZVDPLZCVBEUCLZUTABVCKVEVDVEVDVBUTVDEQOFZVBERZVEVBQOFVHUTV
      DVDSZUDZTZEVAUEZVBVDEUFUGZUTABVEVDVBEVNVLUTUKUHUTAVEVBVNUIKVDVEULLVDPLFUT
      VDVEVJVESZUJTUMDVIEERVGVFUNVMEUOVBEVDVEVDVJVOVDEVKUPUQURUS $.
  $}

  ${
    $d x A $.
    negcncf.1 $e |- F = ( x e. A |-> -u x ) $.
    $( The negative function is continuous.  (Contributed by Mario Carneiro,
       30-Dec-2016.) $)
    negcncf $p |- ( A C_ CC -> F e. ( A -cn-> CC ) ) $=
      ( cc c1 cneg cv cmul co cmpt ccncf wcel wa ssel2 mulm1d mpteq2dva eqtr4di
      wss ccnfld ctopn cfv eqid ctx ccn mulcn a1i neg1cn ssid mp3an13 cncfmptid
      cncfmptc mpan2 cncfmpt2f eqeltrrd ) BESZABFGZAHZIJZKZCBELJZUPUTABURGZKCUP
      ABUSVBUPURBMNURBEUROPQDRUPAUQURITUAUBZBVCUCZIVCVCUDJVCUEJMUPVCVDUFUGUQEMU
      PEESZABUQKVAMUHEUIZAUQBEULUJUPVEABURKVAMVFABEUKUMUNUO $.
  $}

  ${
    $d x y F $.  $d x A $.
    negfcncf.1 $e |- G = ( x e. A |-> -u ( F ` x ) ) $.
    $( The negative of a continuous complex function is continuous.
       (Contributed by Paul Chapman, 21-Jan-2008.)  (Revised by Mario Carneiro,
       25-Aug-2014.) $)
    negfcncf $p |- ( F e. ( A -cn-> CC ) -> G e. ( A -cn-> CC ) ) $=
      ( vy cc ccncf co wcel cv cneg cmpt ccom cfv cncff ffvelrnda feqmptd eqidd
      negeq fmptco eqtr4di id wss ssid eqid negcncf mp1i cncfco eqeltrrd ) CBGH
      IZJZFGFKZLZMZCNZDUKULUPABAKZCOZLZMDULAFBGURUNUSCUOULBGUQCBGCPZQULABGCUTRU
      LUOSUMURTUAEUBULBGGCUOULUCGGUDUOGGHIJULGUEFGUOUOUFUGUHUIUJ $.
  $}

  $( Absolute value is continuous.  Alternate proof of ~ abscncf .
     (Contributed by NM, 6-Jun-2008.)  (Revised by Mario Carneiro,
     10-Sep-2015.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  abscncfALT $p |- abs e. ( CC -cn-> RR ) $=
    ( cabs ccnfld ctopn cfv cioo crn ctg ccn co cc cr ccncf eqid abscn wss wceq
    ssid ax-resscn crest ctopon cnfldtopon toponunii restid ax-mp eqcomi tgioo2
    wcel cncfcn mp2an eleqtrri ) ABCDZEFGDZHIZJKLIZUKULUKMZULMNJJOKJOUNUMPJQRJK
    UKUKULUOUKJSIZUKUKJTDZUGUPUKPUKUOUAZUKUQJJUKURUBUCUDUEUKUOUFUHUIUJ $.

  ${
    cncfcnvcn.j $e |- J = ( TopOpen ` CCfld ) $.
    cncfcnvcn.k $e |- K = ( J |`t X ) $.
    $( Rewrite ~ cmphaushmeo for functions on the complex numbers.
       (Contributed by Mario Carneiro, 19-Feb-2015.) $)
    cncfcnvcn $p |- ( ( K e. Comp /\ F e. ( X -cn-> Y ) ) ->
      ( F : X -1-1-onto-> Y <-> `' F e. ( Y -cn-> X ) ) ) $=
      ( wcel ccncf co crest ccn wf1o wb cc wss wceq eqid cuni sylancr ccmp ccnv
      wa chmeo simpr cncfrss adantl cncfrss2 cncfcn syl2anc eleqtrd ishmeo baib
      ctop cnfldtop cnfldtopon toponunii restuni unieqi eqtr4di f1oeq2d f1oeq3d
      syl cha simpl cvv cnfldhaus cnex ssex resthaus cmphaushmeo syl3anc eleq2d
      3bitr4d ) CUAHZADEIJZHZUCZACBEKJZUDJHZAUBZVSCLJZHZDEAMZWAEDIJZHVRACVSLJZH
      ZVTWCNVRAVPWFVOVQUEVRDOPZEOPZVPWFQVQWHVODEAUFUGZVQWIVODEAUHUGZDEBCVSFGVSR
      ZUIUJUKZVTWGWCACVSULUMVCVRDVSSZAMCSZWNAMZWDVTVRDWOWNAVRDBDKJZSZWOVRBUNHZW
      HDWRQBFUOZWJDBOOBBFUPUQZURTCWQGUSUTVAVREWNDAVRWSWIEWNQWTWKEBOXAURTVBVRVOV
      SVDHZWGVTWPNVOVQVEVRBVDHEVFHZXBBFVGVRWIXCWKEOVHVIVCEBVFVJTWMACVSWOWNWORWN
      RVKVLVNVRWEWBWAVRWIWHWEWBQWKWJEDBVSCFWLGUIUJVMVN $.
  $}

  ${
    $d x N $.
    $( The power function on complex numbers, for fixed exponent N, is
       continuous.  Similar to ~ expcn .  (Contributed by Glauco Siliprandi,
       29-Jun-2017.) $)
    expcncf $p |- ( N e. NN0 -> ( x e. CC |-> ( x ^ N ) ) e. ( CC -cn-> CC ) )
               $=
      ( cn0 wcel cc cv cexp co cmpt ccnfld ctopn cfv ccncf eqid expcn eleqtrrdi
      ccn cncfcn1 ) BCDAEAFBGHIJKLZSQHEEMHASBSNZOSTRP $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    cnmptre.1 $e |- R = ( TopOpen ` CCfld ) $.
    cnmptre.2 $e |- J = ( ( topGen ` ran (,) ) |`t A ) $.
    cnmptre.3 $e |- K = ( ( topGen ` ran (,) ) |`t B ) $.
    cnmptre.4 $e |- ( ph -> A C_ RR ) $.
    cnmptre.5 $e |- ( ph -> B C_ RR ) $.
    cnmptre.6 $e |- ( ( ph /\ x e. A ) -> F e. B ) $.
    cnmptre.7 $e |- ( ph -> ( x e. CC |-> F ) e. ( R Cn R ) ) $.
    $( Lemma for ~ iirevcn and related functions.  (Contributed by Mario
       Carneiro, 6-Jun-2014.) $)
    cnmptre $p |- ( ph -> ( x e. A |-> F ) e. ( J Cn K ) ) $=
      ( crest co ccn cc cr cmpt wcel ctopon cfv cnfldtopon a1i ax-resscn sstrdi
      eqid cnmpt1res cioo crn ctg wss wceq rerest syl eqtr4di oveq1d eleqtrd wb
      fmpttd frnd cnrest2 mp3an2i mpbid oveq2d ) ABCFUAZGEDPQZRQZGHRQAVHGERQZUB
      ZVHVJUBZAVHECPQZERQVKABFEVNESCVNUIESUCUDUBZAEIUEZUFACTSLUGUHOUJAVNGERAVNU
      KULUMUDZCPQZGACTUNVNVRUOLCVQEIVQUIZUPUQJURUSUTVOAVHULDUNDSUNVLVMVAVPACDVH
      ABCFDNVBVCADTSMUGUHDVHGESVDVEVFAVIHGRAVIVQDPQZHADTUNVIVTUOMDVQEIVSUPUQKUR
      VGUT $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y K $.  $d x y ph $.
    $d x y X $.
    cnmpopc.r $e |- R = ( topGen ` ran (,) ) $.
    cnmpopc.m $e |- M = ( R |`t ( A [,] B ) ) $.
    cnmpopc.n $e |- N = ( R |`t ( B [,] C ) ) $.
    cnmpopc.o $e |- O = ( R |`t ( A [,] C ) ) $.
    cnmpopc.a $e |- ( ph -> A e. RR ) $.
    cnmpopc.c $e |- ( ph -> C e. RR ) $.
    cnmpopc.b $e |- ( ph -> B e. ( A [,] C ) ) $.
    cnmpopc.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    cnmpopc.q $e |- ( ( ph /\ ( x = B /\ y e. X ) ) -> D = E ) $.
    cnmpopc.d $e |- ( ph -> ( x e. ( A [,] B ) , y e. X |-> D )
                               e. ( ( M tX J ) Cn K ) ) $.
    cnmpopc.e $e |- ( ph -> ( x e. ( B [,] C ) , y e. X |-> E )
                               e. ( ( N tX J ) Cn K ) ) $.
    $( Piecewise definition of a continuous function on a real interval.
       (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro,
       5-Jun-2014.) $)
    cnmpopc $p |- ( ph -> ( x e. ( A [,] C ) , y e. X |->
                            if ( x <_ B , D , E ) ) e. ( ( O tX J ) Cn K ) ) $=
      ( cicc co cxp cv cle wbr cif cmpo ctx cuni eqid ccld cfv crest cr iccssre
      wcel wss syl2anc cioo crn ctg sseldd icccld fveq2i eleqtrrdi cun iccsplit
      ssun1 wceq syl3anc sseqtrrid uniretop unieqi eqtr4i restcldi toponuni syl
      ctopon ctop topcld 3syl eqeltrd txcld ssun2 xpeq1d xpundir eqtrdi retopon
      topontop eqeltri resttopon sylancr eqeltrid txtopon eqtr3d wral ccn sstrd
      cntop2 toptopon2 sylib w3a elicc2 biimpa simp3d 3adant3 iftrued mpoeq3dva
      wf cnf2 fmpo sylibr simp2d biantrud simp1d adantr cres resmpo sylancl cvv
      wa a1i ovexd txrest syl22anc restabs oveq1i 3eqtr4g eqtrd oveq12d 3eltr4d
      wb oveq1d letri3d bitr4d ancom2s ifeq1d ifid expr 3adant2 sylbid pm2.61d1
      wi iffalse ralun raleqdv mpbird feq2d mpbid ssid retop ovex resttop mp2an
      oveq2d restid paste ) ADEUGUHZOUIZEFUGUHZOUIZBCDFUGUHZOBUJZEUKULZGIUMZUNZ
      NJUOUHZKUVNUPZKUPZUVOUQUVPUQAUVENURUSZVCOJURUSZVCZUVFUVNURUSZVCAUVEHUVIUT
      UHZURUSZUVQAUVIVAVDZUVEHURUSZVCUVEUVIVDZUVEUWBVCADVAVCZFVAVCZUWCTUADFVBVE
      ZAUVEVFVGVHUSZURUSZUWDAUWFEVAVCZUVEUWJVCTAUVIVAEUWHUBVIZDEVJVEHUWIURPVKZV
      LAUVEUVGVMZUVEUVIUVEUVGVOAUWFUWGEUVIVCUVIUWNVPTUAUBDFEVNVQZVRZUVIUVEHVAVA
      UWIUPHUPVSHUWIPVTWAZWBVQNUWAURSVKZVLAOJUPZUVRAJOWEUSZVCZOUWSVPUCOJWCWDZAU
      XAJWFVCUWSUVRVCUCOJWPJUWSUWSUQZWGWHWIZUVEONJWJVEAUVGUVQVCUVSUVHUVTVCAUVGU
      WBUVQAUWCUVGUWDVCUVGUVIVDZUVGUWBVCUWHAUVGUWJUWDAUWKUWGUVGUWJVCUWLUAEFVJVE
      UWMVLAUWNUVGUVIUVGUVEWKUWOVRZUVIUVGHVAUWQWBVQUWRVLUXDUVGONJWJVEAUVIOUIZUV
      FUVHVMZUVOAUXGUWNOUIUXHAUVIUWNOUWOWLUVEUVGOWMWNAUVNUXGWEUSVCZUXGUVOVPANUV
      IWEUSZVCUXAUXIANUWAUXJSAHVAWEUSZVCZUWCUWAUXJVCHUWIUXKPWOWQZUWHUVIHVAWRWSW
      TUCNJUVIOXAVEUXGUVNWCWDZXBAUXGUVPUVMXPZUVOUVPUVMXPAUVLUVPVCCOXCZBUVIXCZUX
      OAUXQUXPBUWNXCZAUXPBUVEXCZUXPBUVGXCZUXRAUVFUVPBCUVEOUVLUNZXPZUXSALJUOUHZU
      VFWEUSVCZKUVPWEUSVCZUYAUYCKXDUHZVCUYBALUVEWEUSZVCUXAUYDALHUVEUTUHZUYGQAUX
      LUVEVAVDUYHUYGVCUXMAUVEUVIVAUWPUWHXEUVEHVAWRWSWTUCLJUVEOXAVEAKWFVCZUYEABC
      UVEOGUNZUYFVCUYIUEUYJUYCKXFWDKXGXHZAUYAUYJUYFABCUVEOUVLGAUVJUVEVCZCUJOVCZ
      XIUVKGIAUYLUVKUYMAUYLYHUVJVAVCZDUVJUKULZUVKAUYLUYNUYOUVKXIZAUWFUWKUYLUYPY
      STUWLDEUVJXJVEXKXLXMXNXOUEWIZUYAUYCKUVFUVPXQVQBCUVEOUVLUVPUYAUYAUQXRXSAUV
      HUVPBCUVGOUVLUNZXPZUXTAMJUOUHZUVHWEUSVCZUYEUYRUYTKXDUHZVCUYSAMUVGWEUSZVCU
      XAVUAAMHUVGUTUHZVUCRAUXLUVGVAVDVUDVUCVCUXMAUVGUVIVAUXFUWHXEUVGHVAWRWSWTUC
      MJUVGOXAVEUYKAUYRBCUVGOIUNVUBABCUVGOUVLIAUVJUVGVCZUYMXIZUVKUVLIVPZVUFUVKU
      VJEVPZVUGAVUEUVKVUHYSUYMAVUEYHZUVKUVKEUVJUKULZYHVUHVUIVUJUVKVUIUYNVUJUVJF
      UKULZAVUEUYNVUJVUKXIZAUWKUWGVUEVULYSUWLUAEFUVJXJVEXKZXTYAVUIUVJEVUIUYNVUJ
      VUKVUMYBAUWKVUEUWLYCUUAUUBXMAUYMVUHVUGUUJVUEAUYMVUHVUGAUYMVUHYHYHZUVLUVKI
      IUMIVUNUVKGIIAVUHUYMGIVPUDUUCUUDUVKIUUEWNUUFUUGUUHUVKGIUUKUUIXOUFWIZUYRUY
      TKUVHUVPXQVQBCUVGOUVLUVPUYRUYRUQXRXSUXPBUVEUVGUULVEAUXPBUVIUWNUWOUUMUUNBC
      UVIOUVLUVPUVMUVMUQXRXHAUXGUVOUVPUVMUXNUUOUUPAUYAUYFUVMUVFYDZUVNUVFUTUHZKX
      DUHUYQAUWEOOVDZVUPUYAVPUWPOUUQZBCUVIOUVEOUVLYEYFAVUQUYCKXDAVUQNUVEUTUHZJO
      UTUHZUOUHZUYCANWFVCZUXAUVEYGVCUVSVUQVVBVPVVCANUWAWFSHWFVCZUVIYGVCZUWAWFVC
      HUWIWFPUURWQZDFUGUUSUVIHYGUUTUVAWQYIZUCADEUGYJUXDUVEONJWFUWTYGUVRYKYLAVUT
      LVVAJUOAUWAUVEUTUHZUYHVUTLAVVDUWEVVEVVHUYHVPVVDAVVFYIZUWPADFUGYJZUVEUVIHW
      FYGYMVQNUWAUVEUTSYNQYOAVVAJUWSUTUHZJAOUWSJUTUXBUVBAUXAVVKJVPUCJUWTUWSUXCU
      VCWDYPZYQYPYTYRAUYRVUBUVMUVHYDZUVNUVHUTUHZKXDUHVUOAUXEVURVVMUYRVPUXFVUSBC
      UVIOUVGOUVLYEYFAVVNUYTKXDAVVNNUVGUTUHZVVAUOUHZUYTAVVCUXAUVGYGVCUVSVVNVVPV
      PVVGUCAEFUGYJUXDUVGONJWFUWTYGUVRYKYLAVVOMVVAJUOAUWAUVGUTUHZVUDVVOMAVVDUXE
      VVEVVQVUDVPVVIUXFVVJUVGUVIHWFYGYMVQNUWAUVGUTSYNRYOVVLYQYPYTYRUVD $.
  $}

  $( Reverse the unit interval.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
  iirev $p |- ( X e. ( 0 [,] 1 ) -> ( 1 - X ) e. ( 0 [,] 1 ) ) $=
    ( cr wcel cc0 cle wbr c1 w3a cmin co cicc resubcl mpan 3ad2ant1 simp3 simp1
    1re wb sylancr elicc01 subge0 mpbird simp2 subge02 mpbid 3jca 3imtr4i ) ABC
    ZDAEFZAGEFZHZGAIJZBCZDULEFZULGEFZHADGKJZCULUPCUKUMUNUOUHUIUMUJGBCZUHUMQGALM
    NUKUNUJUHUIUJOUKUQUHUNUJRQUHUIUJPZGAUASUBUKUIUOUHUIUJUCUKUQUHUIUORQURGAUDSU
    EUFATULTUG $.

  $( The reversion function is a continuous map of the unit interval.
     (Contributed by Mario Carneiro, 6-Jun-2014.) $)
  iirevcn $p |- ( x e. ( 0 [,] 1 ) |-> ( 1 - x ) ) e. ( II Cn II ) $=
    ( cc0 c1 cicc co cv cmin cmpt cii ccn wcel wtru ccnfld ctopn cfv eqid dfii2
    cr a1i cc unitssre iirev adantl ctopon cnfldtopon 1cnd cnmptc cnmptid subcn
    wss ctx cnmpt12f cnmptre mptru ) ABCDEZCAFZGEZHIIJEKLAUOUOMNOZUQIIURPZQQUOR
    UJLUASZUTUPUOKUQUOKLUPUBUCLACUPGURURURURTURTUDOKLURUSUESZLACURURTTVAVALUFUG
    LAURTVAUHGURURUKEURJEKLURUSUISULUMUN $.

  $( Map the first half of ` II ` into ` II ` .  (Contributed by Jeff Madsen,
     2-Sep-2009.) $)
  iihalf1 $p |- ( X e. ( 0 [,] ( 1 / 2 ) ) -> ( 2 x. X ) e. ( 0 [,] 1 ) ) $=
    ( cr wcel cc0 cle wbr c1 c2 cdiv w3a cmul cicc 2re remulcl mpan 1re elicc2i
    co wa 0re 3ad2ant1 0le2 mulge0 mpanl12 3adant3 clt wb 2pos pm3.2i lemuldiv2
    mp3an23 biimpar 3adant2 3jca halfre 3imtr4i ) ABCZDAEFZAGHIRZEFZJZHAKRZBCZD
    VBEFZVBGEFZJADUSLRCVBDGLRCVAVCVDVEUQURVCUTHBCZUQVCMHANOUAUQURVDUTVFDHEFUQUR
    SVDMUBHAUCUDUEUQUTVEURUQVEUTUQGBCVFDHUFFZSVEUTUGPVFVGMUHUIAGHUJUKULUMUNDUSA
    TUOQDGVBTPQUP $.

  ${
    iihalf1cn.1 $e |- J = ( ( topGen ` ran (,) ) |`t ( 0 [,] ( 1 / 2 ) ) ) $.
    $( The first half function is a continuous map.  (Contributed by Mario
       Carneiro, 6-Jun-2014.) $)
    iihalf1cn $p |- ( x e. ( 0 [,] ( 1 / 2 ) ) |-> ( 2 x. x ) )
                      e. ( J Cn II ) $=
      ( cc0 c1 c2 cdiv co cicc cv cmul cii ccn wcel wtru cfv cr wss a1i cc cmpt
      ccnfld ctopn eqid dfii2 0re halfre iccssre unitssre iihalf1 adantl ctopon
      mp2an cnfldtopon 2cnd cnmptc cnmptid ctx mulcn cnmpt12f cnmptre mptru ) A
      DEFGHZIHZFAJZKHZUABLMHNOAVDDEIHZUBUCPZVFBLVHUDZCUEVDQRZODQNVCQNVJUFUGDVCU
      HUMSVGQROUISVEVDNVFVGNOVEUJUKOAFVEKVHVHVHVHTVHTULPNOVHVIUNSZOAFVHVHTTVKVK
      OUOUPOAVHTVKUQKVHVHURHVHMHNOVHVIUSSUTVAVB $.
  $}

  $( Map the second half of ` II ` into ` II ` .  (Contributed by Jeff Madsen,
     2-Sep-2009.) $)
  iihalf2 $p |- ( X e. ( ( 1 / 2 ) [,] 1 ) ->
                                      ( ( 2 x. X ) - 1 ) e. ( 0 [,] 1 ) ) $=
    ( cr wcel c1 c2 cdiv cle wbr w3a cmul cmin cc0 cicc 2re remulcl 1re sylancl
    co wb mp3an23 mpan resubcl 3ad2ant1 subge0 clt 2pos pm3.2i ledivmul mp3an13
    bitr4d biimpar 3adant3 caddc wceq ax-1cn 2timesi a1i breq2d lemul2 lesubadd
    wa syl 3bitr4d biimpa 3adant2 3jca halfre elicc2i elicc01 3imtr4i ) ABCZDEF
    RZAGHZADGHZIZEAJRZDKRZBCZLVQGHZVQDGHZIAVLDMRCVQLDMRCVOVRVSVTVKVMVRVNVKVPBCZ
    DBCZVREBCZVKWANEAOUAZPVPDUBQUCVKVMVSVNVKVSVMVKVSDVPGHZVMVKWAWBVSWESWDPVPDUD
    QWBVKWCLEUEHZVAZVMWESPWCWFNUFUGZDAEUHUIUJUKULVKVNVTVMVKVNVTVKVPEDJRZGHZVPDD
    UMRZGHZVNVTVKWIWKVPGWIWKUNVKDUOUPUQURVKWBWGVNWJSPWHADEUSTVKWAVTWLSZWDWAWBWB
    WMPPVPDDUTTVBVCVDVEVFVLDAVGPVHVQVIVJ $.

  ${
    iihalf2cn.1 $e |- J = ( ( topGen ` ran (,) ) |`t ( ( 1 / 2 ) [,] 1 ) ) $.
    $( The second half function is a continuous map.  (Contributed by Mario
       Carneiro, 6-Jun-2014.) $)
    iihalf2cn $p |- ( x e. ( ( 1 / 2 ) [,] 1 ) |-> ( ( 2 x. x ) - 1 ) )
                      e. ( J Cn II ) $=
      ( c1 c2 co cicc cmul cmin cii ccn wcel wtru cfv cr wss cc cnmptc cnmpt12f
      a1i cdiv cv cmpt cc0 ccnfld ctopn dfii2 halfre 1re iccssre mp2an unitssre
      eqid iihalf2 adantl ctopon cnfldtopon 2cnd cnmptid ctx mulcn 1cnd cnmptre
      subcn mptru ) ADEUAFZDGFZEAUBZHFZDIFZUCBJKFLMAVGUDDGFZUEUFNZVJBJVLUMZCUGV
      GOPZMVFOLDOLVNUHUIVFDUJUKTVKOPMULTVHVGLVJVKLMVHUNUOMAVIDIVLVLVLVLQVLQUPNL
      MVLVMUQTZMAEVHHVLVLVLVLQVOMAEVLVLQQVOVOMURRMAVLQVOUSHVLVLUTFVLKFZLMVLVMVA
      TSMADVLVLQQVOVOMVBRIVPLMVLVMVDTSVCVE $.
  $}

  $( Divide the unit interval into two pieces.  (Contributed by Mario Carneiro,
     7-Jun-2014.) $)
  elii1 $p |- ( X e. ( 0 [,] ( 1 / 2 ) ) <->
                ( X e. ( 0 [,] 1 ) /\ X <_ ( 1 / 2 ) ) ) $=
    ( cc0 c1 c2 co cicc wcel cle wbr wa cr 0re halfre elicc2i a1i 1re w3a bitri
    df-3an anbi1i cdiv simp1bi simp3bi halflt1 ltleii letrd pm4.71ri ancom an32
    3bitr4i ) ABCDUAEZFEGZACHIZULJZABCFEGZAUKHIZJZULUMULAUKCULAKGZBAHIZUPBUKALM
    NZUBUKKGULMOCKGULPOULURUSUPUTUCUKCHIULUKCMPUDUEOUFUGUNULUMJZUQUMULUHURUSJZU
    PJZUMJVBUMJZUPJVAUQVBUPUMUIULVCUMULURUSUPQVCUTURUSUPSRTUOVDUPUOURUSUMQVDBCA
    LPNURUSUMSRTUJRR $.

  $( Divide the unit interval into two pieces.  (Contributed by Mario Carneiro,
     7-Jun-2014.) $)
  elii2 $p |- ( ( X e. ( 0 [,] 1 ) /\ -. X <_ ( 1 / 2 ) ) ->
                X e. ( ( 1 / 2 ) [,] 1 ) ) $=
    ( cc0 c1 cicc co wcel c2 cdiv cle wn wa cr elicc01 simp1bi adantr wo halfre
    wbr letric sylancl orcanai simp3bi 1re elicc2i syl3anbrc ) ABCDEFZACGHEZIRZ
    JZKALFZUGAIRZACIRZAUGCDEFUFUJUIUFUJBAIRZULAMZNZOUFUHUKUFUJUGLFUHUKPUOQAUGST
    UAUFULUIUFUJUMULUNUBOUGCAQUCUDUE $.

  $( The unit interval is closed under multiplication.  (Contributed by Jeff
     Madsen, 2-Sep-2009.) $)
  iimulcl $p |- ( ( A e. ( 0 [,] 1 ) /\ B e. ( 0 [,] 1 ) )
                                  -> ( A x. B ) e. ( 0 [,] 1 ) ) $=
    ( cr wcel cc0 cle wbr c1 wa cmul co cicc remulcl 3ad2antr1 3ad2antl1 mulge0
    w3a 3adantr3 1re elicc01 3adantl3 an6 wi lemul12a mpanr2 mpanl2 an4s 3impia
    sylbi 1t1e1 breqtrdi 3jca anbi12i 3imtr4i ) ACDZEAFGZAHFGZQZBCDZEBFGZBHFGZQ
    ZIZABJKZCDZEVDFGZVDHFGZQAEHLKZDZBVHDZIVDVHDVCVEVFVGUOUPVBVEUQUOUTUSVEVAABMN
    OUOUPVBVFUQUOUPIZUSUTVFVAABPRUAVCVDHHJKZHFVCUOUSIZUPUTIZUQVAIZQVDVLFGZUOUPU
    QUSUTVAUBVMVNVOVPUOUPUSUTVOVPUCZVKHCDZUSUTIZVQSVKVRIVSVRVQSAHBHUDUEUFUGUHUI
    UJUKULVIURVJVBATBTUMVDTUN $.

  ${
    $d x y $.
    $( Multiplication is a continuous function on the unit interval.
       (Contributed by Mario Carneiro, 8-Jun-2014.) $)
    iimulcn $p |- ( x e. ( 0 [,] 1 ) , y e. ( 0 [,] 1 ) |-> ( x x. y ) )
                  e. ( ( II tX II ) Cn II ) $=
      ( co cv cmul cmpo cii ctx cfv ccn wcel wtru cc eqid a1i wss wf ax-mp mpbi
      cxp c1 cicc ccnfld ctopn crest dfii3 ctopon cnfldtopon unitssre ax-resscn
      cc0 cr sstri wfn wceq ax-mulf ffn fnov mulcn eqeltrri cnmpt2res mptru crn
      wb wral iimulcl rgen2 fmpo frn sylbi cnrest2 mp3an oveq2i eleqtrri ) ABUK
      UAUBCZVOADZBDZECZFZGGHCZUCUDIZVOUECZJCZVTGJCVSVTWAJCKZVSWCKZWDLABVRWAGWAW
      AGVOMVOMWAWANZUFZWAMUGIKZLWAWFUHZOZVOMPZLVOULMUIUJUMZOZWGWJWMABMMVRFZWAWA
      HCWAJCZKLEWNWOEMMTZUNZEWNUOWPMEQWQUPWPMEUQRABMMEURSWAWFUSUTOVAVBWHVSVCVOP
      ZWKWDWEVDWIVRVOKZBVOVEAVOVEZWRWSABVOVOVPVQVFVGWTVOVOTZVOVSQWRABVOVOVRVOVS
      VSNVHXAVOVSVIVJRWLVOVSVTWAMVKVLSGWBVTJWGVMVN $.
  $}

  ${
    $d J v $.  $d A v $.  $d B v $.  $d C v $.
    icoopnst.1 $e |- J = ( MetOpen ` ( ( abs o. - ) |`
                                    ( ( A [,] B ) X. ( A [,] B ) ) ) ) $.
    $( A half-open interval starting at ` A ` is open in the closed interval
       from ` A ` to ` B ` .  (Contributed by Jeff Madsen, 2-Sep-2009.)
       (Revised by Mario Carneiro, 15-Dec-2013.) $)
    icoopnst $p |- ( ( A e. RR /\ B e. RR ) ->
                                ( C e. ( A (,] B ) -> ( A [,) C ) e. J ) ) $=
      ( vv cr wcel wa co wceq cle wbr clt w3a wi a1i adantr ex wb cioc cico crn
      cioo ctg cfv cicc crest cv cin wrex c1 cmin iooretop simp1 ltm1 peano2rem
      ltletr 3expb mpancom mpand 3adantr3 ad2antrr simp3 3jcad simp2 cxr elioc2
      impr rexr sylan biimpa ltleletr 3expa an31s ancom2s an4s 3adantr2 adantll
      anasss syldan jcad simpl1 simpr2 simpl3 3jca impbid1 simpll simp1d elico2
      imp rexrd syl2anc elin elioo2 elicc2 anbi12d 3bitr4d eqrdv ineq1 rspceeqv
      syl5bb sylancr ctop cvv retop ovex elrest mp2an wss iccssre eqid resubmet
      sylibr syl eleqtrrd ) AGHZBGHZIZCABUAJHZACUBJZDHXSXTIZYAUDUCUEUFZABUGJZUH
      JZDYBYAFUIZYDUJZKFYCUKZYAYEHZYBAULUMJZCUDJZYCHYAYKYDUJZKYHYJCUNYBFYAYLYBY
      FGHZAYFLMZYFCNMZOZYMYJYFNMZYOOZYMYNYFBLMZOZIZYFYAHZYFYLHZYBYPUUAYBYPYRYTY
      BYPYMYQYOYPYMPYBYMYNYOUOQZXQYPYQPXRXTXQYPYQXQYMYNYQYOXQYMYNYQXQYMIZYJANMZ
      YNYQXQUUFYMAUPRYJGHZUUEUUFYNIYQPZXQUUGYMAUQZRUUGXQYMUUHYJAYFURUSUTVAVIVBS
      VCYPYOPYBYMYNYOVDQVEYBYPYMYNYSUUDYPYNPYBYMYNYOVFQXSXTCGHZACNMZCBLMZOZYPYS
      PZXSXTUUMXQAVGHXRXTUUMTAVJABCVHVKVLZXRUUMUUNXQXRUUJUULUUNUUKXRUUJUULUUNXR
      UUJIZUULIZYPYSUUQYMYOYSYNUUPYMUULYOYSUUPYMIZYOUULYSUURYOUULIZYSYMUUJXRUUS
      YSPZYMUUJXRUUTYFCBVMVNVOWKVPVQVRSVTVRVSWAVEWBUUAYMYNYOYMYQYOYTWCYRYMYNYSW
      DYMYQYOYTWEWFWGYBXQCVGHZUUBYPTXQXRXTWHYBCYBUUJUUKUULUUOWIWLZACYFWJWMUUCYF
      YKHZYFYDHZIYBUUAYFYKYDWNYBUVCYRUVDYTYBYJVGHZUVAUVCYRTXQUVEXRXTXQYJUUIWLVC
      UVBYJCYFWOWMXSUVDYTTXTABYFWPRWQXBWRWSFYKYCYGYLYAYFYKYDWTXAXCYCXDHYDXEHYIY
      HTXFABUGXGFYAYDYCXDXEXHXIXNYBYDGXJZDYEKXSUVFXTABXKRYDYCDYCXLEXMXOXPS $.
  $}

  ${
    $d J v $.  $d A v $.  $d B v $.  $d C v $.
    iocopnst.1 $e |- J = ( MetOpen ` ( ( abs o. - ) |`
                                    ( ( A [,] B ) X. ( A [,] B ) ) ) ) $.
    $( A half-open interval ending at ` B ` is open in the closed interval from
       ` A ` to ` B ` .  (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by
       Mario Carneiro, 15-Dec-2013.) $)
    iocopnst $p |- ( ( A e. RR /\ B e. RR ) ->
                                ( C e. ( A [,) B ) -> ( C (,] B ) e. J ) ) $=
      ( vv cr wcel wa co wceq clt wbr cle w3a wi a1i adantr ex wb cico cioc crn
      cioo ctg cfv cicc crest cv cin wrex c1 caddc iooretop simp1 ltp1 peano2re
      simp2 lelttr 3expa ancom1s ancomsd mpand impr 3adantr2 ad2antlr 3jcad cxr
      mpidan rexr elico2 sylan2 biimpa ltle 3adant2 imp 3adantr3 anasss adantlr
      syld an4s syldan simp3 jcad simpl1 simpl2 simpr3 3jca simp1d rexrd simplr
      impbid1 elioc2 syl2anc elin elioo2 elicc2 anbi12d syl5bb 3bitr4d rspceeqv
      eqrdv ineq1 sylancr ctop cvv retop ovex elrest mp2an wss iccssre resubmet
      sylibr eqid syl eleqtrrd ) AGHZBGHZIZCABUAJHZCBUBJZDHXTYAIZYBUDUCUEUFZABU
      GJZUHJZDYCYBFUIZYEUJZKFYDUKZYBYFHZYCCBULUMJZUDJZYDHYBYLYEUJZKYICYKUNYCFYB
      YMYCYGGHZCYGLMZYGBNMZOZYNYOYGYKLMZOZYNAYGNMZYPOZIZYGYBHZYGYMHZYCYQUUBYCYQ
      YSUUAYCYQYNYOYRYQYNPYCYNYOYPUOQZYQYOPYCYNYOYPURQXSYQYRPXRYAXSYQYRXSYNYPYR
      YOXSYNYPYRXSYNIZBYKLMZYPYRXSUUGYNBUPRXSYNYKGHZUUGYPIYRPBUQZUUFUUHIYPUUGYR
      YNXSUUHYPUUGIYRPZYNXSUUHUUJYGBYKUSUTVAVBVIVCVDVESVFVGYCYQYNYTYPUUEXTYACGH
      ZACNMZCBLMZOZYQYTPZXTYAUUNXSXRBVHHYAUUNTBVJABCVKVLVMZXRUUNUUOXSXRUUKUULUU
      OUUMXRUUKUULUUOXRUUKIZUULIZYQYTUURYNYOYTYPUUQYNUULYOYTUUQYNIUULYOIZYTXRUU
      KYNUUSYTPXRUUKYNOUUSAYGLMZYTACYGUSXRYNUUTYTPUUKAYGVNVOVTUTVPWAVQSVRVQVSWB
      YQYPPYCYNYOYPWCQVGWDUUBYNYOYPYNYOYRUUAWEYNYOYRUUAWFYSYNYTYPWGWHWLYCCVHHZX
      SUUCYQTYCCYCUUKUULUUMUUPWIWJZXRXSYAWKCBYGWMWNUUDYGYLHZYGYEHZIYCUUBYGYLYEW
      OYCUVCYSUVDUUAYCUVAYKVHHZUVCYSTUVBXSUVEXRYAXSYKUUIWJVFCYKYGWPWNXTUVDUUATY
      AABYGWQRWRWSWTXBFYLYDYHYMYBYGYLYEXCXAXDYDXEHYEXFHYJYITXGABUGXHFYBYEYDXEXF
      XIXJXNYCYEGXKZDYFKXTUVFYAABXLRYEYDDYDXOEXMXPXQS $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d v w y z F $.  $d w z G $.  $d v w x y z J $.
    ${
      icchmeo.j $e |- J = ( TopOpen ` CCfld ) $.
      icchmeo.f $e |- F = ( x e. ( 0 [,] 1 ) |->
        ( ( x x. B ) + ( ( 1 - x ) x. A ) ) ) $.
      $( The natural bijection from ` [ 0 , 1 ] ` to an arbitrary nontrivial
         closed interval ` [ A , B ] ` is a homeomorphism.  (Contributed by
         Mario Carneiro, 8-Sep-2015.) $)
      icchmeo $p |- ( ( A e. RR /\ B e. RR /\ A < B ) ->
        F e. ( II Homeo ( J |`t ( A [,] B ) ) ) ) $=
        ( vy cr wcel cii co ccn cmul cmin cmpt a1i wss cc cnmpt12f clt wbr cicc
        w3a crest ccnv chmeo cc0 c1 cv caddc ctopon cfv iitopon oveq2i cnfldtop
        dfii3 ctop cnrest2r ax-mp eqsstri cnmptid sselid cnfldtopon simp2 recnd
        cnmptc ctx mulcn 1cnd subcn simp1 addcn eqeltrid wb wf1o wf cdiv iccf1o
        crn wceq simpld f1of frn 3syl iccssre 3adant3 ax-resscn cnrest2 mp3an2i
        sstrdi mpbid simprd resttopon sylancr wne crp difrp rpcnd rpne0d divccn
        biimp3a syl2anc oveq1 cnmpt11 eqeltrd cdm dfdm4 eqimss2i f1odm sseqtrid
        syl unitssre eleqtrrdi ishmeo sylanbrc ) BIJZCIJZBCUAUBZUDZDKEBCUCLZUEL
        ZMLJZDUFZYBKMLZJDKYBUGLJXTDKEMLZJZYCXTDAUHUIUCLZAUJZCNLZUIYIOLZBNLZUKLP
        YFGXTAYJYLUKKEEEYHKYHULUMJXTUNQZXTAYICNKEEEYHYMXTKKMLZYFAYHYIPYNKEYHUEL
        ZMLZYFKYOKMEFUQZUOEURJZYPYFREFUPZYHKEUSUTVAXTAKYHYMVBVCZXTACKEYHSYMESUL
        UMJZXTEFVDZQZXTCXQXRXSVEVFVGNEEVHLEMLZJXTEFVIQZTXTAYKBNKEEEYHYMXTAUIYIO
        KEEEYHYMXTAUIKEYHSYMUUCXTVJVGYTOUUDJXTEFVKQZTXTABKEYHSYMUUCXTBXQXRXSVLV
        FZVGUUETUKUUDJXTEFVMQTVNUUAXTDVTYARZYASRZYGYCVOUUBXTYHYADVPZYHYADVQUUHX
        TUUJYDHYAHUJZBOLZCBOLZVRLZPZWAZAHBCDGVSZWBZYHYADWCYHYADWDWEXTYAISXQXRYA
        IRXSBCWFWGWHWKZYADKESWIWJWLXTYDYBYOMLZYEXTYDYBEMLZJZYDUUTJZXTYDUUOUVAXT
        UUJUUPUUQWMXTHAUULYIUUMVRLZUUNYBEEYASXTUUAUUIYBYAULUMJUUBUUSYAESWNWOZXT
        HUUKBOYBEEEYAUVEXTYBYBMLZUVAHYAUUKPYRUVFUVARYSYAYBEUSUTXTHYBYAUVEVBVCXT
        HBYBEYASUVEUUCUUGVGUUFTUUCXTUUMSJUUMUHWPASUVDPEEMLJXTUUMXQXRXSUUMWQJBCW
        RXBZWSXTUUMUVGWTAUUMEFXAXCYIUULUUMVRXDXEXFUUAXTYDVTZYHRYHSRUVBUVCVOUUBX
        TDXGZUVHYHUVIUVHDXHXIXTUUJUVIYHWAUURYHYADXJXLXKXTYHISYHIRXTXMQWHWKYHYDY
        BESWIWJWLKYOYBMYQUOXNDKYBXOXP $.
    $}

    ${
      icopnfhmeo.f $e |- F = ( x e. ( 0 [,) 1 ) |-> ( x / ( 1 - x ) ) ) $.
      $( Define a bijection from ` [ 0 , 1 ) ` to ` [ 0 , +oo ) ` .
         (Contributed by Mario Carneiro, 9-Sep-2015.) $)
      icopnfcnv $p |- ( F : ( 0 [,) 1 ) -1-1-onto-> ( 0 [,) +oo ) /\
        `' F = ( y e. ( 0 [,) +oo ) |-> ( y / ( 1 + y ) ) ) ) $=
        ( cc0 c1 co caddc wceq wtru cmin wcel cr cle wbr clt adantl cmul eqcom
        wb cico cpnf wf1o ccnv cv cdiv cmpt wa cxr w3a 0re elico2 mp2an simp1bi
        1xr crp simp3bi difrp sylancl mpbid rerpdivcld simp2bi divge0d sylanbrc
        1re elrege0 simplbi readdcl sylancr a1i simprbi ltp1d cc recnd breqtrrd
        ax-1cn addcom lelttrd divge0 syl22anc mulid1d ltdivmul syl112anc mpbird
        elrpd syl3anbrc adantr mulcld subadd2d 1cnd subdird oveq1d eqtrd eqeq1d
        mulid2d adddid 3bitr4rd 3bitr4g rpne0d divmul3d rpcnd divmul2d f1ocnv2d
        3bitr4d mptru ) EFUAGZEUBUAGZCUCCUDBXGBUEZFXHHGZUFGZUGIUHJABXFXGAUEZFXK
        KGZUFGZXJCDXKXFLZXMXGLZJXNXMMLEXMNOXOXNXKXLXNXKMLZEXKNOZXKFPOZEMLZFUILZ
        XNXPXQXRUJTUKUOEFXKULUMZUNZXNXRXLUPLZXNXPXQXRYAUQXNXPFMLZXRYCTYBVEXKFUR
        USUTZVAXNXKXLYBYEXNXPXQXRYAVBVCXMVFVDQXHXGLZXJXFLZJYFXJMLZEXJNOZXJFPOZY
        GYFXHXIYFXHMLZEXHNOZXHVFZVGZYFXIYFYDYKXIMLZVEYNFXHVHVIZYFEXHXIXSYFUKVJY
        NYPYFYKYLYMVKZYFXHXHFHGZXIPYFXHYNVLYFFVMLXHVMLZXIYRIVPYFXHYNVNZFXHVQVIV
        OZVRZWEZVAYFYKYLYOEXIPOZYIYNYQYPUUBXHXIVSVTYFYJXHXIFRGZPOZYFXHXIUUEPUUA
        YFXIYFXIYPVNZWAVOYFYKYDYOUUDYJUUFTYNYDYFVEVJYPUUBXHFXIWBWCWDXSXTYGYHYIY
        JUJTUKUOEFXJULUMWFQXNYFUHZXKXJIZXHXMIZTJUUHXJXKIZXMXHIZUUIUUJUUHXHXKXIR
        GZIZXKXLXHRGZIZUUKUULUUHUUMXHIZUUOXKIZUUNUUPUUHXHXKXHRGZKGZXKIXKUUSHGZX
        HIUURUUQUUHXHUUSXKYFYSXNYTQZUUHXKXHUUHXKXNXPYFYBWGVNZUVBWHUVCWIUUHUUOUU
        TXKUUHUUOFXHRGZUUSKGUUTUUHFXKXHUUHWJZUVCUVBWKUUHUVDXHUUSKUUHXHUVBWOWLWM
        WNUUHUUMUVAXHUUHUUMXKFRGZUUSHGUVAUUHXKFXHUVCUVEUVBWPUUHUVFXKUUSHUUHXKUV
        CWAWLWMWNWQXHUUMSXKUUOSWRUUHXHXKXIUVBUVCYFXIVMLXNUUGQUUHXIYFXIUPLXNUUCQ
        WSWTUUHXKXHXLUVCUVBUUHXLXNYCYFYEWGZXAUUHXLUVGWSXBXDXKXJSXHXMSWRQXCXE $.

      icopnfhmeo.j $e |- J = ( TopOpen ` CCfld ) $.
      $( The defined bijection from ` [ 0 , 1 ) ` to ` [ 0 , +oo ) ` is an
         order isomorphism and a homeomorphism.  (Contributed by Mario
         Carneiro, 9-Sep-2015.) $)
      icopnfhmeo $p |- ( F Isom < , < ( ( 0 [,) 1 ) , ( 0 [,) +oo ) ) /\
        F e. ( ( J |`t ( 0 [,) 1 ) ) Homeo ( J |`t ( 0 [,) +oo ) ) ) ) $=
        ( vy cc0 c1 co clt wcel wbr wb cdiv wceq cmin cmul cr cle mp2an vz cico
        vw cpnf wiso crest chmeo wf1o cfv wral ccnv caddc cmpt icopnfcnv simpli
        cv wa cxr w3a 0re 1xr elico2 simp1bi ssriv sseli adantr crp simp3bi 1re
        difrp sylancl mpbid rpregt0d lt2mul2div syl22anc remulcld ltsub1d recnd
        adantl subdid mulid1d oveq1d eqtrd mulcomd oveq12d breq12d bitr4d oveq2
        1cnd id ovex fvmpt breqan12d 3bitr4d rgen2 df-isom mpbir2an cxp cin cvv
        cordt ctsr letsr elexi inex1 wss icossxr leiso mpbi isores1 isores2 cdm
        cps tsrps ax-mp ledm psssdm eqcomi ordthmeo mp3an iccssico2 ordtrestixx
        eqid xrrest2 eqtri rge0ssre oveq12i eleqtrri pm3.2i ) GHUBIZGUDUBIZJJBU
        EZBCYJUFIZCYKUFIZUGIZKYLYJYKBUHZUAUPZUCUPZJLZYQBUIZYRBUIZJLZMZUCYJUJUAY
        JUJYPBUKFYKFUPZHUUDULINIUMOAFBDUNUOUUCUAUCYJYJYQYJKZYRYJKZUQZYQHYRPIZQI
        ZYRHYQPIZQIZJLZYQUUJNIZYRUUHNIZJLZYSUUBUUGYQRKZUUHRKGUUHJLUQZYRRKZUUJRK
        GUUJJLUQUULUUOMUUEUUPUUFYJRYQAYJRAUPZYJKZUUSRKZGUUSSLZUUSHJLZGRKZHURKZU
        UTUVAUVBUVCUSMUTVAGHUUSVBTVCVDZVEZVFZUUFUUQUUEUUFUUHUUFYRHJLZUUHVGKZUUF
        UURGYRSLZUVIUVDUVEUUFUURUVKUVIUSMUTVAGHYRVBTVHUUFUURHRKZUVIUVJMYJRYRUVF
        VEZVIYRHVJVKVLVMVSUUFUURUUEUVMVSZUUGUUJUUEUUJVGKZUUFUUEYQHJLZUVOUUEUUPG
        YQSLZUVPUVDUVEUUEUUPUVQUVPUSMUTVAGHYQVBTVHUUEUUPUVLUVPUVOMUVGVIYQHVJVKV
        LVFVMYQUUHYRUUJVNVOUUGYSYQYQYRQIZPIZYRUVRPIZJLUULUUGYQYRUVRUVHUVNUUGYQY
        RUVHUVNVPVQUUGUUIUVSUUKUVTJUUGUUIYQHQIZUVRPIUVSUUGYQHYRUUGYQUVHVRZUUGWI
        ZUUGYRUVNVRZVTUUGUWAYQUVRPUUGYQUWBWAWBWCUUGUUKYRHQIZYRYQQIZPIUVTUUGYRHY
        QUWDUWCUWBVTUUGUWEYRUWFUVRPUUGYRUWDWAUUGYRYQUWDUWBWDWEWCWFWGUUEUUFYTUUM
        UUAUUNJAYQUUSHUUSPIZNIZUUMYJBUUSYQOZUUSYQUWGUUJNUWIWJUUSYQHPWHWEDYQUUJN
        WKWLAYRUWHUUNYJBUUSYROZUUSYRUWGUUHNUWJWJUUSYRHPWHWEDYRUUHNWKWLWMWNWOUAU
        CYJYKJJBWPWQZBSYJYJWRZWSZXAUIZSYKYKWRZWSZXAUIZUGIZYOUWMWTKUWPWTKYJYKUWM
        UWPBUEZBUWRKSUWLSXBXCXDZXESUWOUWTXEYJYKUWMSBUEZUWSYJYKSSBUEZUXAYLUXBUWK
        YJURXFZYKURXFZYLUXBMGHXGZGUDXGZYJYKBXHTXIYJYKSSBXJXIYJYKUWMSBXKXIUWMUWP
        BWTWTYJYKUWMXLZYJSXMKZUXCUXGYJOSXBKUXHXCSXNXOZUXEYJSURXPXQTXRUWPXLZYKUX
        HUXDUXJYKOUXIUXFYKSURXPXQTXRXSXTYMUWNYNUWQUGYMSXAUIZYJUFIZUWNYJRXFYMUXL
        OUVFYJCUXKEUXKYCZYDXOAFYJUXEGHUUSUUDYAYBYEYNUXKYKUFIZUWQYKRXFYNUXNOYFYK
        CUXKEUXMYDXOAFYKUXFGUDUUSUUDYAYBYEYGYHYI $.
    $}

    ${
      iccpnfhmeo.f $e |- F = ( x e. ( 0 [,] 1 ) |->
        if ( x = 1 , +oo , ( x / ( 1 - x ) ) ) ) $.
      $( Define a bijection from ` [ 0 , 1 ] ` to ` [ 0 , +oo ] ` .
         (Contributed by Mario Carneiro, 9-Sep-2015.) $)
      iccpnfcnv $p |- ( F : ( 0 [,] 1 ) -1-1-onto-> ( 0 [,] +oo ) /\ `' F =
        ( y e. ( 0 [,] +oo ) |-> if ( y = +oo , 1 , ( y / ( 1 + y ) ) ) ) ) $=
        ( cc0 c1 co cpnf wceq cdiv wa wtru wcel wbr wn adantl wb eqeq2 cr cvv
        cicc wf1o ccnv cv caddc cif cmpt cmin cxr cle pnfxr 0lepnf ubicc2 mp3an
        0xr a1i cico icossicc csn wo wi cun 1xr 0le1 snunico eleq2i elun bitr3i
        pm2.53 sylbi elsni syl6 con1d imp wral eqid icopnfcnv simpli f1of ax-mp
        wf fmpt mpbir rspec syl sselid ifclda 1elunit f1ocnv mp2b simpri bibi1d
        simpr iftrue eqeq2d syl5ibrcom wnel pnfnre neleq1 mpbiri df-nel iffalse
        syl5ibcom rge0ssre eqeltrd ex ad2antrr syl5bi impbid bibi2d wne clt w3a
        syld elico2 mp2an sylib simp1d simp3d gtned adantll neneqd eqeq1 notbid
        0re simplr 2falsed f1ocnvfvb mp3an1 ovex fvmpt2 sylancl eqeq1d 3bitr3rd
        cfv simpl eqcom 3bitr4g syl2an ifbothda an4s anass1rs f1ocnv2d mptru )
        EFUAGZEHUAGZCUBCUCBUUFBUDZHIZFUUGFUUGUEGZJGZUFZUGIKLABUUEUUFAUDZFIZHUUL
        FUULUHGZJGZUFZUUKCDUULUUEMZUUPUUFMLUUQUUMHUUOUUFHUUFMZUUQUUMKEUIMZHUIMZ
        EHUJNZUURUOUKULEHUMUNUPUUQUUMOZKZEHUQGZUUFUUOEHURUVCUULEFUQGZMZUUOUVDMZ
        UUQUVBUVFUUQUVFUUMUUQUVFOZUULFUSZMZUUMUUQUVFUVJUTZUVHUVJVAUUQUULUVEUVIV
        BZMUVKUVLUUEUULUUSFUIMZEFUJNUVLUUEIUOVCVDEFVEUNVFUULUVEUVIVGVHUVFUVJVIV
        JUULFVKVLVMVNZUVGAUVEUVGAUVEVOUVEUVDAUVEUUOUGZWAZUVEUVDUVOUBZUVPUVQUVOU
        CZBUVDUUJUGIZABUVOUVOVPZVQZVRZUVEUVDUVOVSVTAUVEUVDUUOUVOUVTWBWCWDWEZWFW
        GPUUGUUFMZUUKUUEMLUWDUUHFUUJUUEFUUEMUWDUUHKWHUPUWDUUHOZKZUVEUUEUUJEFURU
        WFUUGUVDMZUUJUVEMZUWDUWEUWGUWDUWGUUHUWDUWGOZUUGHUSZMZUUHUWDUWGUWKUTZUWI
        UWKVAUWDUUGUVDUWJVBZMUWLUWMUUFUUGUUSUUTUVAUWMUUFIUOUKULEHVEUNVFUUGUVDUW
        JVGVHUWGUWKVIVJUUGHVKVLVMVNZUWHBUVDUWHBUVDVOUVDUVEUVRWAZUVQUVDUVEUVRUBU
        WOUWBUVEUVDUVOWIUVDUVEUVRVSWJBUVDUVEUUJUVRUVQUVSUWAWKZWBWCWDWEZWFWGPUUQ
        UWDKZUULUUKIZUUGUUPIZQZLUUHUUMUWTQUULUUJIZUWTQZUXAUWRFUUJFUUKIUUMUWSUWT
        FUUKUULRWLUUJUUKIUXBUWSUWTUUJUUKUULRWLUWRUUHKZUUMUWTUXDUWTUUMUUHUWRUUHW
        MUUMUUPHUUGUUMHUUOWNWOWPUXDUWTUUPSWQZUUMUXDUUGSWQZUWTUXEUXDUXFHSWQZWRUU
        HUXFUXGQUWRUUGHSWSPWTUUGUUPSWSXCUXEUUPSMZOUXDUUMUUPSXAUXDUUMUXHUUQUVBUX
        HVAUWDUUHUUQUVBUXHUVCUUPUUOSUVBUUPUUOIUUQUUMHUUOXBPUVCUVDSUUOXDUWCWFXEX
        FXGVMXHXNXIUUMUXBUUHQUXBUUGUUOIZQZUXCUWRUWEKZHUUOHUUPIUUHUWTUXBHUUPUUGR
        XJUUOUUPIUXIUWTUXBUUOUUPUUGRXJUXKUUMKUXBUUHUXKUUMUXBOZUXKUXLUUMFUUJIZOU
        XKFUUJUWDUWEFUUJXKUUQUWFUUJFUWFUUJSMZEUUJUJNZUUJFXLNZUWFUWHUXNUXOUXPXMZ
        UWQESMUVMUWHUXQQYEVCEFUUJXOXPXQZXRUWFUXNUXOUXPUXRXSXTYAYBUUMUXBUXMUULFU
        UJYCYDWPVNUWRUWEUUMYFYGUWRUVBUWEUXJUUQUVBUWDUWEUXJUVCUVFUWGUXJUWFUVNUWN
        UVFUWGKZUUJUULIZUUOUUGIZUXBUXIUXSUULUVOYOZUUGIZUUGUVRYOZUULIZUYAUXTUVQU
        VFUWGUYCUYEQUWBUVEUVDUULUUGUVOYHYIUXSUYBUUOUUGUXSUVFUUOTMUYBUUOIUVFUWGY
        PUULUUNJYJAUVEUUOTUVOUVTYKYLYMUXSUYDUUJUULUXSUWGUUJTMUYDUUJIUVFUWGWMUUG
        UUIJYJBUVDUUJTUVRUWPYKYLYMYNUULUUJYQUUGUUOYQYRYSUUAUUBYTYTPUUCUUD $.

      iccpnfhmeo.k $e |- K = ( ( ordTop ` <_ ) |`t ( 0 [,] +oo ) ) $.
      $( The defined bijection from ` [ 0 , 1 ] ` to ` [ 0 , +oo ] ` is an
         order isomorphism and a homeomorphism.  (Contributed by Mario
         Carneiro, 8-Sep-2015.) $)
      iccpnfhmeo $p |- ( F Isom < , < ( ( 0 [,] 1 ) , ( 0 [,] +oo ) ) /\
        F e. ( II Homeo K ) ) $=
        ( vz vw cc0 c1 co cpnf clt wiso wcel wbr cfv cxr wceq cdiv cle cicc cii
        vy chmeo wor wpo wfo cv wi wral wss iccssxr xrltso soss sopo ax-mp wf1o
        mp2 ccnv caddc cif cmpt iccpnfcnv simpli f1ofo cmin w3a elicc01 simp1bi
        wa wne cr 3ad2ant1 3ad2ant2 1red simp3 simp3bi ltletrd necomd ifnefalse
        gtned syl breq2 1re resubcl sylancr cc wb ax-1cn recnd subeq0 necon3bid
        mpbird redivcld ltpnfd adantr cico simpl3 ccnfld ctopn crest icopnfhmeo
        wn eqid a1i csn cun simp1 0xr mp3an eleqtrrdi elun sylib ord elsni syl6
        wo weq oveq2 oveq12d ovex fvmpt eqeq1 ifbieq2d pnfex ifex cxp cin cordt
        id cvv ctsr letsr inex1 mp2an mpbi cdm ledm psssdm eqcomi 0le1 necon1ad
        1xr snunico mpd simp2 con1d imp syl12anc mpbid 3brtr3d ifbothda eqbrtrd
        isorel 3expia breqan12d sylibrd rgen2 mp4an elexi leiso isores1 isores2
        soisoi tsrps ordthmeo dfii5 ordtresticc eqtri oveq12i eleqtrri pm3.2i
        cps ) HIUAJZHKUAJZLLBMZBUBCUDJZNUVNLUEZUVOLUFZUVNUVOBUGZFUHZGUHZLOZUWAB
        PZUWBBPZLOZUIZGUVNUJFUVNUJUVPUVNQUKZQLUEZUVRHIULZUMUVNQLUNURUVOLUEZUVSU
        VOQUKZUWIUWKHKULZUMUVOQLUNURUVOLUOUPUVNUVOBUQZUVTUWNBUSUCUVOUCUHZKRIUWO
        IUWOUTJSJVAVBRAUCBDVCVDUVNUVOBVEUPUWGFGUVNUVNUWAUVNNZUWBUVNNZVJUWCUWAIR
        ZKUWAIUWAVFJZSJZVAZUWBIRZKUWBIUWBVFJZSJZVAZLOZUWFUWPUWQUWCUXFUWPUWQUWCV
        GZUXAUWTUXELUXGUWAIVKZUXAUWTRUXGIUWAUXGUWAIUWPUWQUWAVLNZUWCUWPUXIHUWATO
        UWAITOUWAVHVIVMZUXGUWAUWBIUXJUWQUWPUWBVLNZUWCUWQUXKHUWBTOZUWBITOZUWBVHZ
        VIVNUXGVOUWPUWQUWCVPUWQUWPUXMUWCUWQUXKUXLUXMUXNVQVNVRWAZVSZUWAIKUWTVTWB
        UXBUWTKLOZUWTUXDLOUWTUXELOUXGKUXDKUXEUWTLWCUXDUXEUWTLWCUXGUXQUXBUXGUWTU
        XGUWAUWSUXJUXGIVLNUXIUWSVLNWDUXJIUWAWEWFUXGUWSHVKZIUWAVKZUXOUXGIWGNZUWA
        WGNZUXRUXSWHWIUXGUWAUXJWJUXTUYAVJUWSHIUWAIUWAWKWLWFWMWNWOWPUXGUXBXCZVJZ
        UWAAHIWQJZAUHZIUYEVFJZSJZVBZPZUWBUYHPZUWTUXDLUYCUWCUYIUYJLOZUWPUWQUWCUY
        BWRUYCUYDHKWQJZLLUYHMZUWAUYDNZUWBUYDNZUWCUYKWHUYMUYCUYMUYHWSWTPZUYDXAJU
        YPUYLXAJUDJNAUYHUYPUYHXDZUYPXDXBVDXEUXGUYNUYBUXGUXHUYNUXPUXGUYNUWAIUXGU
        YNXCUWAIXFZNZUWRUXGUYNUYSUXGUWAUYDUYRXGZNUYNUYSXQUXGUWAUVNUYTUWPUWQUWCX
        HHQNIQNHITOUYTUVNRXIUUCUUAHIUUDXJZXKUWAUYDUYRXLXMXNUWAIXOXPUUBUUEWPZUXG
        UYBUYOUXGUYOUXBUXGUYOXCUWBUYRNZUXBUXGUYOVUCUXGUWBUYTNUYOVUCXQUXGUWBUVNU
        YTUWPUWQUWCUUFVUAXKUWBUYDUYRXLXMXNUWBIXOXPUUGUUHZUYDUYLUWAUWBLLUYHUUNUU
        IUUJUYCUYNUYIUWTRVUBAUWAUYGUWTUYDUYHAFXRZUYEUWAUYFUWSSVUEYJUYEUWAIVFXSX
        TZUYQUWAUWSSYAZYBWBUYCUYOUYJUXDRVUDAUWBUYGUXDUYDUYHAGXRZUYEUWBUYFUXCSVU
        HYJUYEUWBIVFXSXTZUYQUWBUXCSYAZYBWBUUKUULUUMUUOUWPUWQUWDUXAUWEUXELAUWAUY
        EIRZKUYGVAZUXAUVNBVUEVUKUWRUYGUWTKUYEUWAIYCVUFYDDUWRKUWTYEVUGYFYBAUWBVU
        LUXEUVNBVUHVUKUXBUYGUXDKUYEUWBIYCVUIYDDUXBKUXDYEVUJYFYBUUPUUQUURFGUVNUV
        OLLBUVDUUSZBTUVNUVNYGZYHZYIPZTUVOUVOYGZYHZYIPZUDJZUVQVUOYKNVURYKNUVNUVO
        VUOVURBMZBVUTNTVUNTYLYMUUTZYNTVUQVVBYNUVNUVOVUOTBMZVVAUVNUVOTTBMZVVCUVP
        VVDVUMUWHUWLUVPVVDWHUWJUWMUVNUVOBUVAYOYPUVNUVOTTBUVBYPUVNUVOVUOTBUVCYPV
        UOVURBYKYKUVNUVOVUOYQZUVNTUVMNZUWHVVEUVNRTYLNVVFYMTUVEUPZUWJUVNTQYRYSYO
        YTVURYQZUVOVVFUWLVVHUVORVVGUWMUVOTQYRYSYOYTUVFXJUBVUPCVUSUDUVGCTYIPUVOX
        AJVUSEHKUVHUVIUVJUVKUVL $.
    $}

    ${
      xrhmeo.f $e |- F = ( x e. ( 0 [,] 1 ) |->
                                    if ( x = 1 , +oo , ( x / ( 1 - x ) ) ) ) $.
      xrhmeo.g $e |- G = ( y e. ( -u 1 [,] 1 ) |->
                               if ( 0 <_ y , ( F ` y ) , -e ( F ` -u y ) ) ) $.
      xrhmeo.j $e |- J = ( TopOpen ` CCfld ) $.
      $( The bijection from ` [ -u 1 , 1 ] ` to the extended reals is an order
         isomorphism and a homeomorphism.  (Contributed by Mario Carneiro,
         9-Sep-2015.) $)
      xrhmeo $p |- ( G Isom < , < ( ( -u 1 [,] 1 ) , RR* ) /\
                   G e. ( ( J |`t ( -u 1 [,] 1 ) ) Homeo ( ordTop ` <_ ) ) ) $=
        ( c1 co cxr clt cle cfv wcel wbr wceq cc0 wa syl vz vw cneg crest cordt
        vv cicc wiso chmeo wor wpo wfo cv wi wral wss iccssxr xrltso soss ax-mp
        wf cxne cif cpnf cr neg1rr 1re adantr simpr elicc01 syl3anbrc wf1o cdiv
        simpli f1of ffvelrni sselid wn wo 0re sylancr le0neg1d mpbid simp2bi wb
        xnegcld wrex mpbi mp4an elxrge0 f1ocnvfv2 breq2 eqeq2d anbi12d syl12anc
        fveq2 rspcev biimpar reximi 0xr mpan mp2an mp3an12 0elunit cmin ax-1ne0
        notbid wne eqtrdi eqtrd fvmpt mtbird pm3.2i sylancl fveq2d xnegeq negeq
        a1i eqid breq1 simpl1 eleq1w imbi12d vtoclga sylc isorel syl2anc eleq1d
        simpll2 simpll1 ifbothda ifbieq12d fvex xnegex ifex cvv ctsr letsr ledm
        ex mp2 sopo crn elicc2i simp1bi simp3bi ccnv caddc cmpt renegcld letric
        iccpnfcnv orcanai lenegcon1 ifclda fmpti frn ssabral 0le1 le0neg2 iccss
        cab 1le1 f1ocnv mp2b sylbir biimpri eqcomd iftrue xnegcl xrletri sylibd
        ord xle0neg1 sylanbrc iccssre iccneg negneg1e1 oveq2i eleqtrdi xle0neg2
        biimpa neeq2 mpbiri necomd ifnefalse id oveq2 1m0e1 oveq12d ax-1cn c0ex
        imp div0i breq12d cii iccpnfhmeo leisorel mtbid unitssre negnegd eqtr2d
        recnd xnegneg iffalse pm2.61dan rnmpt sseqtrri eqssi dffo2 mpbir2an w3a
        mprgbir simpl3 ltled letrd iftrued breqtrrd lt0neg1d eqbrtrrid xlt0neg2
        simpl2 mpbird simprbi xrltletrd simpll3 ltnegd xltneg breqan12d sylibrd
        ltnle 3expia rgen2 cxp cin elexi inex1 ssid leiso isores1 cdm cps tsrps
        soisoi psssdm eqcomi ordthmeo mp3an xrrest2 ordtresticc oveq1i eleqtrri
        eqtri ) IUCZIUGJZKLLDUHZDEVUOUDJZMUENZUIJZOVUOLUJZKLUKZVUOKDULZUAUMZUBU
        MZLPZVVCDNZVVDDNZLPZUNZUBVUOUOUAVUOUOVUPVUOKUPZKLUJZVUTVUNIUQZURVUOKLUS
        UUAVVKVVAURKLUUBUTVVBVUOKDVAZDUUCZKQBVUOKRBUMZMPZVVOCNZVVOUCZCNZVBZVCZD
        GVVOVUOOZVVPVVQVVTKVWBVVPSZRVDUGJZKVVQRVDUQZVWCVVORIUGJZOZVVQVWDOVWCVVO
        VEOZVVPVVOIMPZVWGVWBVWHVVPVWBVWHVUNVVOMPZVWIVUNIVVOVFVGUUDZUUEZVHVWBVVP
        VIVWBVWIVVPVWBVWHVWJVWIVWKUUFVHVVOVJVKZVWFVWDVVOCVWFVWDCVLZVWFVWDCVAVWN
        CUUGZUFVWDUFUMZVDQIVWPIVWPUUHJVMJVCUUIQAUFCFUULVNZVWFVWDCVOUTZVPTVQVWBV
        VPVRZSZVVSVWTVWDKVVSVWEVWTVVRVWFOZVVSVWDOVWTVVRVEORVVRMPZVVRIMPZVXAVWTV
        VOVWBVWHVWSVWLVHZUUJVWTVVORMPZVXBVWBVVPVXEVWBRVEOZVWHVVPVXEVSVTVWLRVVOU
        UKWAUUMVWTVVOVXDWBWCVWTVWJVXCVWBVWJVWSVWBVWHVWJVWIVWKWDVHVWTIVEOZVWHVWJ
        VXCWEVGVXDIVVOUUNWAWCVVRVJVKZVWFVWDVVRCVWRVPTVQWFUUOUUPZVVNKVVMVVNKUPVX
        IVUOKDUUQUTKVVCVWAQZBVUOWGZUAUVBZVVNKVXLUPVXKUAKVXKUAKUURVVCKOZRVVCMPZV
        XKVXMVXNSZVVPVVCVVQQZSZBVUOWGZVXKVXOVVCVWONZVUOORVXSMPZVVCVXSCNZQZVXRVX
        OVWFVUOVXSVUNVEOZVXGVUNRMPZIIMPVWFVUOUPVFVGRIMPZVYDUUSVXGVYEVYDWEVGIUUT
        UTWHUVCVUNIRIUVAWIZVXOVVCVWDOZVXSVWFOZVVCWJZVWDVWFVVCVWOVWNVWDVWFVWOVLV
        WDVWFVWOVAVWQVWFVWDCUVDVWDVWFVWOVOUVEZVPUVFZVQVXOVYHVXTVYKVYHVXSVEOVXTV
        XSIMPVXSVJWDTVXOVYAVVCVXOVWNVYGVYAVVCQVWQVYGVXOVYIUVGVWFVWDVVCCWKWAUVHV
        XQVXTVYBSBVXSVUOVVOVXSQZVVPVXTVXPVYBVVOVXSRMWLVYLVVQVYAVVCVVOVXSCWPWMWN
        WQWOVXQVXJBVUOVVPVXJVXPVVPVWAVVQVVCVVPVVQVVTUVIWMWRWSTVXMVXNVRZSZVWSVVC
        VVTQZSZBVUOWGZVXKVYNVVCVBZVWONZUCZVUOORVYTMPZVRZVVCVYTUCZCNZVBZQZVYQVYN
        VYTVUNVUNUCZUGJZVUOVYNVYSVUOOZVYTWUHOZVYNVWFVUOVYSVYFVYNVYRVWDOZVYSVWFO
        ZVYNVYRKOZRVYRMPZWUKVXMWUMVYMVVCUVJVHVXMVYMWUNVXMVYMVVCRMPZWUNVXMVXNWUO
        RKOZVXMVXNWUOVSWTRVVCUVKXAUVMVVCUVNUVLUWMVYRWJUVOZVWDVWFVYRVWOVYJVPTZVQ
        ZVYNVYSVEOZWUIWUJWEZVYNVUOVEVYSVYCVXGVUOVEUPZVFVGVUNIUVPXBZWUSVQZVYCVXG
        WUTWVAVFVGVUNIVYSUVQXCTWCWUGIVUNUGUVRUVSUVTVYNVYSRMPZWUAVYNWVEVYSCNZRCN
        ZMPZVYNWVHVYRRMPZVXMVYMWVIVRVXMVXNWVIVVCUWAXGUWBVYNWVFVYRWVGRMVYNVWNWUK
        WVFVYRQVWQWUQVWFVWDVYRCWKWAZWVGRQZVYNRVWFOZWVKXDARAUMZIQVDWVMIWVMXEJZVM
        JZVCZRVWFCWVMRQZWVPWVORWVQWVMIXHWVPWVOQWVQIWVMWVQIWVMXHIRXHXFWVMRIUWCUW
        DUWEWVMIVDWVOUWFTWVQWVORIVMJRWVQWVMRWVNIVMWVQUWGWVQWVNIRXEJIWVMRIXEUWHU
        WIXIUWJIUWKXFUWNXIXJFUWLXKUTZXRUWOXLVYNWULWVLWVEWVHWEZWURXDVWFVWDLLCUHZ
        VWFKUPZVWDKUPZSWULWVLSWVSWVTCUWPVURVWDUDJZUIJOACWWCFWWCXSUWQVNZWWAWWBRI
        UQVWEXMVWFVWDVYSRCUWRXCXNXLVYNVYSWVDWBUWSVYNWUEVYRVBZVVCVYNWUDVYRQWUEWW
        EQVYNWUDWVFVYRVYNWUCVYSCVYNVYSVYNVYSVYNVWFVEVYSUWTWURVQUXCUXAXOWVJXJWUD
        VYRXPTVXMWWEVVCQVYMVVCUXDVHUXBVYPWUBWUFSBVYTVUOVVOVYTQZVWSWUBVYOWUFWWFV
        VPWUAVVOVYTRMWLXGWWFVVTWUEVVCWWFVVSWUDQVVTWUEQWWFVVRWUCCVVOVYTXQXOVVSWU
        DXPTWMWNWQWOVYPVXJBVUOVWSVXJVYOVWSVWAVVTVVCVVPVVQVVTUXEWMWRWSTUXFUXMBUA
        VUOVWADGUXGUXHUXIVUOKDUXJUXKVVIUAUBVUOVUOVVCVUOOZVVDVUOOZSVVEVXNVVCCNZV
        VCUCZCNZVBZVCZRVVDMPZVVDCNZVVDUCZCNZVBZVCZLPZVVHWWGWWHVVEWWTVXNWWIWWSLP
        WWLWWSLPZWWTWWGWWHVVEUXLZWWIWWLWWIWWMWWSLXTWWLWWMWWSLXTWXBVXNSZWWIWWOWW
        SLWXCVVEWWIWWOLPZWWGWWHVVEVXNUXNZWXCVVCVWFOZVVDVWFOZVVEWXDWEZWXCWWGVXNW
        XFWWGWWHVVEVXNYAZWXBVXNVIZVVPVWGUNZVXNWXFUNBVVCVUOVVOVVCQZVVPVXNVWGWXFV
        VOVVCRMWLZBUAVWFYBYCVWBVVPVWGVWMYTZYDYEWXCWWHWWNWXGWWGWWHVVEVXNUYBZWXCR
        VVCVVDVXFWXCVTXRWXCVUOVEVVCWVCWXIVQZWXCVUOVEVVDWVCWXOVQZWXJWXCVVCVVDWXP
        WXQWXEUXOUXPZWXKWWNWXGUNBVVDVUOVVOVVDQZVVPWWNVWGWXGVVOVVDRMWLZBUBVWFYBY
        CWXNYDZYEWVTWXFWXGSWXHWWDVWFVWDVVCVVDLLCYFXAYGWCWXCWWNWWOWWRWXRUXQUXRWW
        NWWLWWOLPWWLWWRLPZWXAWXBVYMSZWWOWWRWWOWWSWWLLWLWWRWWSWWLLWLWYCWWNSZWWLR
        WWOWYDWWKWYDVWDKWWKVWEWYDWWJVWFOZWWKVWDOZWYCWYEWWNWYCWWGVYMWYEWWGWWHVVE
        VYMYAWXBVYMVIZVWSVXAUNZVYMWYEUNBVVCVUOWXLVWSVYMVXAWYEWXLVVPVXNWXMXGWXLV
        VRWWJVWFVVOVVCXQZYHYCVWBVWSVXAVXHYTZYDYEZVHZVWFVWDWWJCVWRVPZTVQZWFWUPWY
        DWTXRWYDVWDKWWOVWEWYDWXGWWOVWDOZWYDWWHWWNWXGWWGWWHVVEVYMWWNYIWYCWWNVIWY
        AYEVWFVWDVVDCVWRVPTZVQWYDRWWKLPZWWLRLPZWYDRWVGWWKLWVRWYDRWWJLPZWVGWWKLP
        ZWYDVVCRLPZWYSWYDXUAVYMWYCVYMWWNWYGVHWYDVVCVEOVXFXUAVYMWEWYDVUOVEVVCWVC
        WWGWWHVVEVYMWWNYJVQZVTVVCRUYKXNUYCWYDVVCXUBUXSWCWYDWVLWYEWYSWYTWEZXDWYL
        WVTWVLWYESXUCWWDVWFVWDRWWJLLCYFXAWAWCUXTWYDWWKKOZWYQWYRWEWYNWWKUYATWCWY
        DWYORWWOMPZWYPWYOWWOKOXUEWWOWJUYDTUYEWYCWWNVRZSZWWQWWKLPZWYBXUGWWPWWJLP
        ZXUHXUGVVEXUIWWGWWHVVEVYMXUFUYFXUGVVCVVDXUGVUOVEVVCWVCWWGWWHVVEVYMXUFYJ
        VQXUGVUOVEVVDWVCWWGWWHVVEVYMXUFYIZVQUYGWCXUGWWPVWFOZWYEXUIXUHWEZXUGWWHX
        UFXUKXUJWYCXUFVIWYHXUFXUKUNBVVDVUOWXSVWSXUFVXAXUKWXSVVPWWNWXTXGWXSVVRWW
        PVWFVVOVVDXQZYHYCWYJYDYEZWYCWYEXUFWYKVHZWVTXUKWYESXULWWDVWFVWDWWPWWJLLC
        YFXAYGWCXUGWWQKOXUDXUHWYBWEXUGVWDKWWQVWEXUGXUKWWQVWDOXUNVWFVWDWWPCVWRVP
        TVQXUGVWDKWWKVWEXUGWYEWYFXUOWYMTVQWWQWWKUYHYGWCYKYKUYLWWGWWHVVFWWMVVGWW
        SLBVVCVWAWWMVUODWXLVVPVXNVVQVVTWWIWWLWXMVVOVVCCWPWXLVVSWWKQVVTWWLQWXLVV
        RWWJCWYIXOVVSWWKXPTYLGVXNWWIWWLVVCCYMWWKYNYOXKBVVDVWAWWSVUODWXSVVPWWNVV
        QVVTWWOWWRWXTVVOVVDCWPWXSVVSWWQQVVTWWRQWXSVVRWWPCXUMXOVVSWWQXPTYLGWWNWW
        OWWRVVDCYMWWQYNYOXKUYIUYJUYMUAUBVUOKLLDVUDWIZDMVUOVUOUYNZUYOZUENZVURUIJ
        ZVUSXURYPOMYQOZVUOKXURMDUHZDXUTOMXUQMYQYRUYPUYQYRVUOKMMDUHZXVBVUPXVCXUP
        VVJKKUPVUPXVCWEVVLKUYRVUOKDUYSXBWHVUOKMMDUYTWHXURMDYPYQVUOKXURVUAZVUOMV
        UBOZVVJXVDVUOQXVAXVEYRMVUCUTVVLVUOMKYSVUEXBVUFYSVUGVUHVUQXUSVURUIVUQVUR
        VUOUDJZXUSWVBVUQXVFQWVCVUOEVURHVURXSVUIUTVUNIVUJVUMVUKVULXM $.
    $}
  $}

  ${
    $d x y $.
    $( The extended reals are homeomorphic to the interval ` [ 0 , 1 ] ` .
       (Contributed by Mario Carneiro, 9-Sep-2015.) $)
    xrhmph $p |- II ~= ( ordTop ` <_ ) $=
      ( vx vy cii cfv c1 cneg cicc co chmph wbr cle cc0 cv cmul cmpt chmeo wcel
      cr clt eqid ccnfld ctopn crest cordt cmin caddc neg1rr neg1lt0 0lt1 lttri
      1re 0re mp2an icchmeo mp3an hmphi wceq cpnf cdiv cif cxne cxr wiso xrhmeo
      ax-mp simpri hmphtr ) CUAUBDZEFZEGHZUCHZIJZVKKUDDZIJZCVMIJALEGHZAMZENHEVP
      UEHZVINHUFHOZCVKPHQZVLVIRQERQVIESJZVSUGUKVILSJLESJVTUHUIVILEUGULUKUJUMAVI
      EVRVHVHTZVRTUNUOVRCVKUPVEBVJLBMZKJWBAVOVPEUQURVPVQUSHUTOZDWBFWCDVAUTOZVKV
      MPHQZVNVJVBSSWDVCWEABWCWDVHWCTWDTWAVDVFWDVKVMUPVECVKVMVGUM $.
  $}

  $( The topology of the extended reals is compact.  Since the topology of the
     extended reals extends the topology of the reals (by ~ xrtgioo ), this
     means that ` RR* ` is a compactification of ` RR ` .  (Contributed by
     Mario Carneiro, 9-Sep-2015.) $)
  xrcmp $p |- ( ordTop ` <_ ) e. Comp $=
    ( cii cle cordt cfv chmph wbr ccmp wcel xrhmph iicmp cmphmph mp2 ) ABCDZEFA
    GHMGHIJAMKL $.

  $( The topology of the extended reals is connected.  (Contributed by Mario
     Carneiro, 9-Sep-2015.) $)
  xrconn $p |- ( ordTop ` <_ ) e. Conn $=
    ( cii cle cordt cfv chmph wbr cconn wcel xrhmph iiconn connhmph mp2 ) ABCDZ
    EFAGHMGHIJAMKL $.

  $( A linear combination of two reals lies in the interval between them.
     Equivalently, a closed interval is a convex set.  (Contributed by Jeff
     Madsen, 2-Sep-2009.) $)
  icccvx $p |- ( ( A e. RR /\ B e. RR ) ->
              ( ( C e. ( A [,] B ) /\ D e. ( A [,] B ) /\ T e. ( 0 [,] 1 ) ) ->
                      ( ( ( 1 - T ) x. C ) + ( T x. D ) ) e. ( A [,] B ) ) ) $=
    ( cr wcel wa cicc co c1 w3a cmul caddc wceq adantl 3adantr3 jca oveq1d cc
    cc0 cmin clt wbr wss iccss2 adantr iccssre sselda adantrr adantrl simpr3 wi
    lincmb01cmp ex 3expa an32s sylan sseldd oveq2 unitssre sseli recnd ad2antll
    imp ax-1cn npcan mpan subcl ancri adddir 3eqtr3d syl2anc 3adantr1 sylan9eqr
    mulid2 simplr2 eqeltrd ancom2s iirev sselid syl2anr adantll adantlr addcomd
    recn mulcl 3adantl3 nncan eqcomd syl eqtrd sylan2 w3o lttri4d mpjao3dan ) A
    FGBFGHZCABIJZGZDWRGZEUAKIJZGZLZKEUBJZCMJZEDMJZNJZWRGZWQXCHZCDUCUDZXHCDOZDCU
    CUDZXIXJHCDIJZWRXGXIXMWRUEZXJWQWSWTXNXBWSWTHZXNWQABCDUFPQUGXICFGZDFGZHZXBHX
    JXGXMGZXIXRXBWQWSWTXRXBWQXOHZXPXQWQWSXPWTWQWRFCABUHZUIUJZWQWTXQWSWQWRFDYAUI
    ZUKZRQWQWSWTXBULZRXRXJXBXSXRXJHXBXSXPXQXJXBXSUMXPXQXJLXBXSCDEUNUOUPVEUQURUS
    XIXKHXGDWRXKXIXGXDDMJZXFNJZDXKXEYFXFNCDXDMUTSWQWTXBYGDOZWSWQWTXBHHETGZDTGZY
    HXBYIWQWTXBEXAFEVAVBVCZVDWQWTYJXBWQWTHDYCVCUJYIYJHZXDENJZDMJZKDMJZYGDYLYMKD
    MYIYMKOZYJKTGZYIYPVFKEVGVHUGSYIXDTGZYIHYJYNYGOZYIYRYQYIYRVFKEVIVHVJYRYIYJYS
    XDEDVKUPURYJYODOYIDVPPVLVMVNVOWSWTXBWQXKVQVRXIXLHDCIJZWRXGXIYTWRUEZXLWQWSWT
    UUAXBWQWTWSUUAWTWSHUUAWQABDCUFPVSQUGXIXQXPHZXBHZXLXGYTGZXIUUBXBWQWSWTUUBXBX
    TXQXPYDYBRQYERUUBXLXBUUDUUBXLHXBUUDXQXPXLXBUUDUMXQXPXLLZXBUUDUUEXBHZXGKXDUB
    JZDMJZXENJZYTUUFXGXFXENJZUUIXQXPXBXGUUJOXLUUCXEXFXPXBXETGZXQXBYRCTGUUKXPXBX
    DXBXAFXDVAEVTZWAVCCWFXDCWGWBWCXQXBXFTGZXPXBYIYJUUMXQYKDWFEDWGWBWDWEWHXBUUJU
    UIOZUUEXBYIUUNYKYIXFUUHXENYIEUUGDMYIUUGEYQYIUUGEOVFKEWIVHWJSSWKPWLXBUUEXDXA
    GUUIYTGUULDCXDUNWMVRUOUPVEUQURUSWQWSWTXJXKXLWNXBXTCDYBYDWOQWPUO $.

  ${
    $d A x y $.  $d B x y $.  $d C x y $.  $d K x y $.
    oprpiece1.1 $e |- A e. RR $.
    oprpiece1.2 $e |- B e. RR $.
    oprpiece1.3 $e |- A <_ B $.
    oprpiece1.4 $e |- R e. _V $.
    oprpiece1.5 $e |- S e. _V $.
    oprpiece1.6 $e |- K e. ( A [,] B ) $.
    oprpiece1.7 $e |- F =
      ( x e. ( A [,] B ) , y e. C |-> if ( x <_ K , R , S ) ) $.
    ${
      oprpiece1.8 $e |- G = ( x e. ( A [,] K ) , y e. C |-> R ) $.
      $( Restriction to the first part of a piecewise defined function.
         (Contributed by Jeff Madsen, 11-Jun-2010.)  (Proof shortened by Mario
         Carneiro, 3-Sep-2015.) $)
      oprpiece1res1 $p |- ( F |` ( ( A [,] K ) X. C ) ) = G $=
        ( cmpo wcel cicc co cv cle wbr cif cxp cres wss wceq rexri lbicc2 mp3an
        iccss2 mp2an ssid resmpo reseq1i eliccxr iccleub mp3an12 iftrued adantr
        cxr ax-mp mpoeq3ia eqtr4i 3eqtr4i ) ABCDUAUBZEAUCZJUDUEZFGUFZSZCJUAUBZE
        UGZUHZABVNEVLSZHVOUHIVNVIUIZEEUIVPVQUJCVITZJVITZVRCVDTZDVDTCDUDUEVSCKUK
        ZDLUKMCDULUMPCDCJUNUOEUPABVIEVNEVLUQUOHVMVOQURIABVNEFSVQRABVNEVLFVJVNTZ
        VLFUJBUCETWCVKFGWAJVDTZWCVKWBVTWDPJCDUSVECJVJUTVAVBVCVFVGVH $.
    $}

    ${
      $d P x $.  $d Q x $.
      oprpiece1.9 $e |- ( x = K -> R = P ) $.
      oprpiece1.10 $e |- ( x = K -> S = Q ) $.
      oprpiece1.11 $e |- ( y e. C -> P = Q ) $.
      oprpiece1.12 $e |- G = ( x e. ( K [,] B ) , y e. C |-> S ) $.
      $( Restriction to the second part of a piecewise defined function.
         (Contributed by Jeff Madsen, 11-Jun-2010.)  (Proof shortened by Mario
         Carneiro, 3-Sep-2015.) $)
      oprpiece1res2 $p |- ( F |` ( ( K [,] B ) X. C ) ) = G $=
        ( cicc co cv cle wbr cif cmpo cxp cres wss wceq wcel rexri ubicc2 mp3an
        cxr iccss2 mp2an ssid resmpo reseq1i wa ad2antlr simpr cr elicc2i ax-mp
        simp1bi simp2bi ad2antrr wb letri3 sylancl mpbir2and syl 3eqtr4d ifeqda
        wn eqidd mpoeq3ia eqtr4i 3eqtr4i ) ABCDUDUEZEAUFZLUGUHZHIUIZUJZLDUDUEZE
        UKZULZABWKEWIUJZJWLULKWKWFUMZEEUMWMWNUNLWFUOZDWFUOZWORCUSUODUSUOCDUGUHW
        QCMUPDNUPOCDUQURCDLDUTVAEVBABWFEWKEWIVCVAJWJWLSVDKABWKEIUJWNUCABWKEWIIW
        GWKUOZBUFEUOZVEZWHHIIWTWHVEZFGHIWSFGUNWRWHUBVFXAWGLUNZHFUNXAXBWHLWGUGUH
        ZWTWHVGWRXCWSWHWRWGVHUOZXCWGDUGUHZLDWGWPLVHUOZRWPXFCLUGUHLDUGUHCDLMNVIV
        KVJZNVIZVLVMXAXDXFXBWHXCVEVNWRXDWSWHWRXDXCXEXHVKVMXGWGLVOVPVQZTVRXAXBIG
        UNXIUAVRVSWTWHWAVEIWBVTWCWDWE $.
    $}
  $}

  ${
    $d z F $.  $d z J $.  $d x y z K $.
    cnrehmeo.1 $e |- F = ( x e. RR , y e. RR |-> ( x + ( _i x. y ) ) ) $.
    cnrehmeo.2 $e |- J = ( topGen ` ran (,) ) $.
    cnrehmeo.3 $e |- K = ( TopOpen ` CCfld ) $.
    $( The canonical bijection from ` ( RR X. RR ) ` to ` CC ` described in
       ~ cnref1o is in fact a homeomorphism of the usual topologies on these
       sets.  (It is also an isometry, if ` ( RR X. RR ) ` is metrized with the
       l<SUP>2</SUP> norm.)  (Contributed by Mario Carneiro, 25-Aug-2014.) $)
    cnrehmeo $p |- F e. ( ( J tX J ) Homeo K ) $=
      ( vz co wcel wtru ccn cr ci cfv a1i cc cre cim chmeo ccnv cmul caddc cmpo
      ctx ctopon cioo crn ctg retopon eqeltri crest ctop cnfldtop cnrest2r mp1i
      cv cnmpt1st tgioo2 eqtri oveq2i eleqtrdi sseldd cnfldtopon ax-icn cnmpt2c
      wss cnmpt2nd mulcn cnmpt22f addcn eqeltrid cop cmpt cnrecnv feqmptd ccncf
      ref recncf wceq ssid ax-resscn toponrestid cncfcn mp2an eleqtri eqeltrrdi
      wf imf imcncf cnmpt1t ishmeo sylanbrc mptru ) CDDUFJZEUAJKZLCWPEMJZKCUBZE
      WPMJZKWQLCABNNAURZOBURZUCJZUDJUEWRFLABXAXCUDDDEEENNDNUGPZKLDUHUIUJPZXDGUK
      ULQZXFLWPENUMJZMJZWRABNNXAUEZEUNKXHWRVHLEHUONWPEUPUQZLXIWPDMJZXHLABDDNNXF
      XFUSDXGWPMDXEXGGEHUTVAZVBZVCVDLABOXBUCDDEEENNXFXFLABODDENNRXFXFERUGPKLEHV
      EZQZORKLVFQVGLXHWRABNNXBUEZXJLXPXKXHLABDDNNXFXFVIXMVCVDUCEEUFJEMJZKLEHVJQ
      VKUDXQKLEHVLQVKVMLWSIRIURZSPZXRTPZVNVOWTABICFVPLIXSXTEDDRXOLIRXSVOSEDMJZL
      IRNSRNSWILVSQVQSRNVRJZYAVTRRVHNRVHYBYAWARWBWCRNEEDHERXNWDXLWEWFZWGWHLIRXT
      VOTYALIRNTRNTWILWJQVQTYBYAWKYCWGWHWLVMCWPEWMWNWO $.
  $}

  ${
    $d u z F $.  $d u z R $.  $d f r s u x y z T $.  $d r u x y z J $.
    $d f r s u x y z X $.
    cnheibor.2 $e |- J = ( TopOpen ` CCfld ) $.
    cnheibor.3 $e |- T = ( J |`t X ) $.
    ${
      cnheibor.4 $e |- F = ( x e. RR , y e. RR |-> ( x + ( _i x. y ) ) ) $.
      cnheibor.5 $e |- Y = ( F " ( ( -u R [,] R ) X. ( -u R [,] R ) ) ) $.
      $( Lemma for ~ cnheibor .  (Contributed by Mario Carneiro,
         14-Sep-2014.) $)
      cnheiborlem $p |- ( ( X e. ( Clsd ` J ) /\ ( R e. RR /\
        A. z e. X ( abs ` z ) <_ R ) ) -> T e. Comp ) $=
        ( cfv wcel cr cle co ccmp cc vu ccld cv cabs wbr wral wa crest ctop wss
        cvv wceq cnfldtop cneg cicc cxp cima ccnv wfn wb cnref1o f1ofn elpreima
        wf1o mp2b c1st c2nd cop 1st2nd2 xp1st recnd abscld cnfldtopon toponunii
        ad2antrl cldss adantr simprr sseldd simplrl cre f1ocnvfv1 sylancr fveq2
        cim simprl opeq12d cnrecnv opex fvmpt eqtr3d fveq2d fvex eqtrdi absrele
        syl op1st eqbrtrd breq1d simplrr rspcdva letrd absled simpld simprd w3a
        mpbid renegcl elicc2 syl2anc mpbir3and xp2nd absimle opelxpd eqeltrd ex
        op2nd syl5bi ssrdv wfun crn f1ofun ax-mp f1ofo forn sseqtrrdi funimass1
        wi wfo mpd cioo ctg ctx eqid mp3an2i eqtr4di ccn mpancom retop eqeltrrd
        chmeo cnrehmeo imaexg eqeltri restabs oveq2i ishmeo mpbi simpli iccssre
        rerest oveq12d ovex txrest mp4an icccmp imacmp eqeltrid imassrn eqsstri
        a1i txcmp wf f1of frn sstri simpl restcldi cmpcld ) HGUBNOZDPOZCUCZUDNZ
        DQUEZCHUFZUGZUGZGIUHRZHUHRZESUVQUVSGHUHRZEGUIOUVQHIUJZIUKOZUVSUVTULGJUM
        UVQHFDUNZDUORZUWDUPZUQZIUVQFURZHUQZUWEUJZHUWFUJZUVQUAUWHUWEUAUCZUWHOZUW
        KPPUPZOZUWKFNZHOZUGZUVQUWKUWEOZUWMTFVDZFUWMUSUWLUWQUTABFLVAZUWMTFVBUWMU
        WKHFVCVEUVQUWQUWRUVQUWQUGZUWKUWKVFNZUWKVGNZVHZUWEUWNUWKUXDULUVQUWPUWKPP
        VIVOUXAUXBUXCUWDUWDUXAUXBUWDOZUXBPOZUWCUXBQUEZUXBDQUEZUWNUXFUVQUWPUWKPP
        VJVOZUXAUXGUXHUXAUXBUDNZDQUEUXGUXHUGUXAUXJUWOUDNZDUXAUXBUXAUXBUXIVKVLUX
        AUWOUXAHTUWOUVQHTUJZUWQUVJUXLUVPHGTTGGJVMVNZVPVQZVQUVQUWNUWPVRZVSZVLZUV
        JUVKUVOUWQVTZUXAUXJUWOWANZUDNZUXKQUXAUXBUXSUDUXAUXBUXSUWOWENZVHZVFNUXSU
        XAUWKUYBVFUXAUWOUWGNZUWKUYBUXAUWSUWNUYCUWKULUWTUVQUWNUWPWFUWMTUWKFWBWCU
        XAUWOTOZUYCUYBULUXPCUWOUVLWANZUVLWENZVHUYBTUWGUVLUWOULZUYEUXSUYFUYAUVLU
        WOWAWDUVLUWOWEWDWGABCFLWHUXSUYAWIWJWPWKZWLUXSUYAUWOWAWMZUWOWEWMZWQWNWLU
        XAUYDUXTUXKQUEUXPUWOWOWPWRUXAUVNUXKDQUECHUWOUYGUVMUXKDQUVLUWOUDWDWSUVJU
        VKUVOUWQWTUXOXAZXBUXAUXBDUXIUXRXCXGZXDUXAUXGUXHUYLXEUXAUWCPOZUVKUXEUXFU
        XGUXHXFUTUXAUVKUYMUXRDXHZWPZUXRUWCDUXBXIXJXKUXAUXCUWDOZUXCPOZUWCUXCQUEZ
        UXCDQUEZUWNUYQUVQUWPUWKPPXLVOZUXAUYRUYSUXAUXCUDNZDQUEUYRUYSUGUXAVUAUXKD
        UXAUXCUXAUXCUYTVKVLUXQUXRUXAVUAUYAUDNZUXKQUXAUXCUYAUDUXAUXCUYBVGNUYAUXA
        UWKUYBVGUYHWLUXSUYAUYIUYJXQWNWLUXAUYDVUBUXKQUEUXPUWOXMWPWRUYKXBUXAUXCDU
        YTUXRXCXGZXDUXAUYRUYSVUCXEUXAUYMUVKUYPUYQUYRUYSXFUTUYOUXRUWCDUXCXIXJXKX
        NXOXPXRXSUVQFXTZHFYAZUJUWIUWJYHUWSVUDUWTUWMTFYBYCUVQHTVUEUXNUWSUWMTFYIV
        UETULUWTUWMTFYDUWMTFYEVEYFHUWEFYGWCYJMYFZUWBUVQIUWFUKMFYKYAYLNZVUGYMRZG
        UUARZOZUWFUKOABFVUGGLVUGYNZJUUBZFUWEVUIUUCYCUUDUVAHIGUIUKUUEYOKYPUVQUVR
        SOZHUVRUBNOZUVSSOUVKVUMUVJUVOUVKUVRGUWFUHRZSIUWFGUHMUUFUVKFVUHGYQROZVUH
        UWEUHRZSOVUOSOVUPUWGGVUHYQROZVUJVUPVURUGVULFVUHGUUGUUHUUIUVKGUWDUHRZVUS
        YMRZVUQSUVKVUTVUGUWDUHRZVVAYMRZVUQUVKVUSVVAVUSVVAYMUVKUWDPUJZVUSVVAULUY
        MUVKVVCUYNUWCDUUJYRUWDVUGGJVUKUUKWPZVVDUULVUGUIOZVVEUWDUKOZVVFVUQVVBULY
        SYSUWCDUOUUMZVVGUWDUWDVUGVUGUIUIUKUKUUNUUOYPUVKVUSSOZVVHVUTSOUVKVUSVVAS
        VVDUYMUVKVVASOUYNUWCDVVAVUGVUKVVAYNUUPYRXOZVVIVUSVUSUVBXJYTUWEFVUHGUUQW
        CUURVOITUJUVQUVJUWAVUNIVUETIUWFVUEMFUWEUUSUUTUWSUWMTFUVCVUETUJUWTUWMTFU
        VDUWMTFUVEVEUVFUVJUVPUVGVUFIHGTUXMUVHYOHUVRUVIXJYT $.
    $}

    $( Heine-Borel theorem for complex numbers.  A subset of ` CC ` is compact
       iff it is closed and bounded.  (Contributed by Mario Carneiro,
       14-Sep-2014.) $)
    cnheibor $p |- ( X C_ CC -> ( T e. Comp <-> ( X e. ( Clsd ` J ) /\
      E. r e. RR A. x e. X ( abs ` x ) <_ r ) ) ) $=
      ( vu vz cc wcel cfv cv cr wrex wa co wceq crp cc0 vs vf vy ccmp ccld cabs
      wss cle wbr wral cha crest cnfldhaus simpl eqeltrrid cnfldtopon toponunii
      simpr hauscmp mp3an2i cuni wf cmin ccom cbl cin wex cpw cfn ctop cnfldtop
      wel restuni sylancr unieqi eqtr4di eleq2d biimpar c1 caddc cvv cnex ssexg
      sylancl adantr cxmet cxr cnxmet 0cnd sselda abscld peano2re syl cnfldtopn
      rexrd blopn elrestr eleqtrrdi clt 0cn eqid cnmetdval df-neg fveq2i absneg
      mpan cneg eqtr3id eqtrd ltp1d eqbrtrd wb mpbir2and elind absge0d ge0p1rpd
      elbl oveq2 ineq1d rspceeqv eleq2 eqeq1 rexbidv anbi12d syl12anc ralrimiva
      rspcev syldan eqeq2d cmpcovf syl2anc ad4antr ad2antrl simprr simprl rpred
      simpllr ad2antrr rspcdva rexlimdvaa eluni2 elssuni sseqtrrd simp-6l sstrd
      bitrdi sseldd simplrl ffvelrnd id fveq2 oveq2d eqeq12d elin1d rpxrd mpbid
      eleqtrd simprd eqbrtrrd breq1d simplrr ltletrd ralrimiv fimaxre3 reximddv
      ltled sylbid elin2d ffvelrn ex exlimdv expimpd rexlimdva mpd ci cmul cmpo
      jca cicc cxp cima cnheiborlem imp adantl impbida ) DJUGZBUDKZDCUELKZAMZUF
      LZEMZUHUIZADUJZENOZPZUWFUWGPZUWHUWNCUKKUWPUWFCDULQZUDKUWHCFUMUWFUWGUNZUWP
      UWQBUDGUWFUWGURZUODCJJCCFUPUQZUSUTUWPBVAZUAMZVAZRZUXBSUBMZVBZHMZTUXGUXELZ
      UFVCVDZVELZQZDVFZRZHUXBUJZPZUBVGZPZUABVHZVIVFZOZUWNUWPUWGAHVLZUXGTUWKUXJQ
      ZDVFZRZESOZPZHBOZAUXAUJUXTUWSUWPUYGAUXAUWPUWIUXAKZUWIDKZUYGUWPUYIUYHUWPDU
      XAUWIUWPDUWQVAZUXAUWPCVJKZUWFDUYJRCFVKZUWRDCJUWTVMVNBUWQGVOVPZVQVRUWPUYIP
      ZTUWJVSVTQZUXJQZDVFZBKUWIUYQKZUYQUYCRZESOZUYGUYNUYQUWQBUYKUYNDWAKZUYPCKZU
      YQUWQKUYLUWPVUAUYIUWPUWFJWAKVUAUWRWBDJWAWCWDWEUXIJWFLKZUYNTJKZUYOWGKZVUBW
      HUYNWIZUYNUYOUYNUWJNKUYONKUYNUWIUWPDJUWIUWRWJZWKZUWJWLWMWOZUXITUYOCJCFWNW
      PUTUYPDCVJWAWQUTGWRUYNUYPDUWIUYNUWIUYPKZUWIJKZTUWIUXIQZUYOWSUIZVUGUYNVULU
      WJUYOWSUYNVUKVULUWJRZVUGVUKVULTUWIVCQZUFLZUWJVUDVUKVULVUPRWTTUWIUXIUXIXAX
      BXFVUKVUPUWIXGZUFLUWJVUQVUOUFUWIXCXDUWIXEXHXIZWMUYNUWJVUHXJXKVUCUYNVUDVUE
      VUJVUKVUMPXLWHVUFVUIUWIUXITUYOJXQUTXMUWPUYIURXNUYNUYOSKUYQUYQRUYTUYNUWJVU
      HUYNUWIVUGXOXPUYQXAEUYOSUYCUYQUYQUWKUYORUYBUYPDUWKUYOTUXJXRXSXTWDUYFUYRUY
      TPHUYQBUXGUYQRZUYAUYRUYEUYTUXGUYQUWIYAVUSUYDUYSESUXGUYQUYCYBYCYDYGYEYHYFU
      YDUXMAHESUBBUXAUAUXAXAUWKUXHRZUYCUXLUXGVUTUYBUXKDUWKUXHTUXJXRXSYIYJYKUWPU
      XQUWNUAUXSUWPUXBUXSKZPZUXDUXPUWNVVBUXDPZUXOUWNUBVVCUXOUWNVVCUXOPZUXHUWKUH
      UIZHUXBUJZUWMENVVDUWKNKZVVFPZPZUWLADVVIUYIAIVLZIUXBOZUWLVVIUYIUWIUXCKVVKV
      VIDUXCUWIVVIDUXAUXCUWPDUXARVVAUXDUXOVVHUYMYLVVBUXDUXOVVHYQXIZVQIUWIUXBUUA
      UUFVVIVVJUWLIUXBVVIIUAVLZVVJPZPZUWJUWKVVOUWIVVOIMZJUWIVVOVVPDJVVOVVPUXCDV
      VMVVPUXCUGVVIVVJVVPUXBUUBYMVVIDUXCRVVNVVLWEUUCUWFUWGVVAUXDUXOVVHVVNUUDUUE
      VVIVVMVVJYNZUUGZWKZVVDVVGVVFVVNUUHZVVOUWJVVPUXELZUWKVVSVVOVWAVVOUXBSVVPUX
      EVVDUXFVVHVVNVVCUXFUXNYOYRVVIVVMVVJYOZUUIZYPVVTVVOVULUWJVWAWSVVOVUKVUNVVR
      VURWMVVOVUKVULVWAWSUIZVVOUWITVWAUXJQZKZVUKVWDPZVVOVWEDUWIVVOUWIVVPVWEDVFZ
      VVQVVOUXMVVPVWHRHUXBVVPUXGVVPRZUXGVVPUXLVWHVWIUUJVWIUXKVWEDVWIUXHVWATUXJU
      XGVVPUXEUUKZUULXSUUMVVDUXNVVHVVNVVCUXFUXNYNYRVWBYSUUQUUNVUCVVOVUDVWAWGKVW
      FVWGXLWHVVOWIVVOVWAVWCUUOUWIUXITVWAJXQUTUUPUURUUSVVOVVEVWAUWKUHUIHUXBVVPV
      WIUXHVWAUWKUHVWJUUTVVDVVGVVFVVNUVAVWBYSUVBUVFYTUVGUVCVVDUXBVIKUXHNKZHUXBU
      JZVVFENOVVDUXRVIUXBUWPVVAUXDUXOYQUVHUXFVWLVVCUXNUXFVWKHUXBUXFHUAVLPUXHUXB
      SUXGUXEUVIYPYFYMEHUXBUXHUVDYKUVEUVJUVKUVLUVMUVNUVRUWOUWGUWFUWHUWNUWGUWHUW
      MUWGENUCIAUWKBUCINNUCMUVOVVPUVPQVTQUVQZCDVWMUWKXGUWKUVSQZVWNUVTUWAZFGVWMX
      AVWOXAUWBYTUWCUWDUWE $.
  $}

  ${
    $d r s u w x y z J $.
    cnllycmp.1 $e |- J = ( TopOpen ` CCfld ) $.
    $( The topology on the complex numbers is locally compact.  (Contributed by
       Mario Carneiro, 2-Mar-2015.) $)
    cnllycmp $p |- J e. N-Locally Comp $=
      ( vu vy vx vz ccmp wcel cv co cfv wral wa cabs wss cc syl3anc wbr cle cr
      vr vs cnlly ctop crest csn cnei cpw cin wrex cnfldtop cmin ccom cbl cxmet
      crp cnxmet cnfldtopn mopni2 mp3an1 cdiv ccl a1i cxr cuni elssuni ad2antrr
      vw c2 cnfldtopon toponunii sseqtrrdi simplr rphalfcl ad2antrl rpxrd blopn
      sseldd blcntr opnneip blssm syl2anc rpxr rphalflt blsscls syl23anc simprr
      sscls clt sstrd ssnei2 syl22anc vex elpw2 sylibr elind ccld clscld abscld
      caddc rpred readdcld crab eqid blcls wi simpr adantr abs2difd subcld letr
      resubcld mpand abssubd cnmetdval sylan eqtr4d breq1d lesubadd2d ralrimiva
      wceq 3imtr3d oveq2 ralrab ssralv brralrspcev wb cnheibor mpbir2and eleq1d
      sylc syl rspcev rexlimddv rgen2 isnlly mpbir2an ) AGUCHAUDHZACIZUEJZGHZCD
      IZUFZAUGKKZEIZUHZUIZUJZDUUELEALABUKZUUHEDAUUEUUEAHZUUBUUEHZMZUUBUAIZNULUM
      ZUNKZJZUUEOZUUHUAUPUUNPUOKHZUUJUUKUUQUAUPUJUQUAUUEUUNUUBAPABURZUSUTUULUUM
      UPHZUUQMZMZUUBUUMVIVAJZUUOJZAVBKKZUUGHAUVEUEJZGHZUUHUVBUUDUUFUVEUVBYRUVDU
      UDHZUVDUVEOZUVEPOZUVEUUDHYRUVBUUIVCZUVBYRUVDAHZUUBUVDHZUVHUVKUVBUURUUBPHZ
      UVCVDHZUVLUURUVBUQVCZUVBUUEPUUBUVBUUEAVEZPUUJUUEUVQOUUKUVAUUEAVFVGPAABVJV
      KZVLZUUJUUKUVAVMVRZUVBUVCUUTUVCUPHZUULUUQUUMVNVOZVPZUUNUUBUVCAPUUSVQQUVBU
      URUVNUWAUVMUVPUVTUWBUUNUUBUVCPVSQUUBAUVDVTQUVBYRUVDPOZUVIUVKUVBUURUVNUVOU
      WDUVPUVTUWCUUNUUBUVCPWAQZUVDAPUVRWHWBUVBUVEUUEPUVBUVEUUPUUEUVBUURUVNUVOUU
      MVDHZUVCUUMWIRZUVEUUPOUVPUVTUWCUUTUWFUULUUQUUMWCVOUUTUWGUULUUQUUMWDVOUUNU
      UBUVCUUMAPUUSWEWFUULUUTUUQWGWJZUVSWJZUUCAUVEUVDPUVRWKWLUVBUVEUUEOUVEUUFHU
      WHUVEUUEEWMWNWOWPUVBUVGUVEAWQKHZFIZNKZUBISRFUVELUBTUJZUVBYRUWDUWJUVKUWEUV
      DAPUVRWRWBUVBUUBNKZUVCWTJZTHUWLUWOSRZFUVELZUWMUVBUWNUVCUVBUUBUVTWSZUVBUVC
      UWBXAZXBUVBUVEUUBVHIZUUNJZUVCSRZVHPXCZOZUWPFUXCLZUWQUVBUURUVNUVOUXDUVPUVT
      UWCVHUUNUUBUVCUXCAPUUSUXCXDXEQUVBUUBUWKUUNJZUVCSRZUWPXFZFPLUXEUVBUXHFPUVB
      UWKPHZMZUWKUUBULJZNKZUVCSRZUWLUWNULJZUVCSRZUXGUWPUXJUXNUXLSRZUXMUXOUXJUWK
      UUBUVBUXIXGZUVBUVNUXIUVTXHZXIUXJUXNTHUXLTHUVCTHZUXPUXMMUXOXFUXJUWLUWNUXJU
      WKUXQWSZUVBUWNTHUXIUWRXHZXLUXJUXKUXJUWKUUBUXQUXRXJWSUVBUXSUXIUWSXHZUXNUXL
      UVCXKQXMUXJUXLUXFUVCSUXJUXLUUBUWKULJNKZUXFUXJUWKUUBUXQUXRXNUVBUVNUXIUXFUY
      CYAUVTUUBUWKUUNUUNXDXOXPXQXRUXJUWLUWNUVCUXTUYAUYBXSYBXTUXBUXGUWPFVHPUWTUW
      KYAUXAUXFUVCSUWTUWKUUBUUNYCXRYDWOUWPFUVEUXCYEYKUBFUWLUWOSTUVEYFWBUVBUVJUV
      GUWJUWMMYGUWIFUVFAUVEUBBUVFXDYHYLYIUUAUVGCUVEUUGYSUVEYAYTUVFGYSUVEAUEYCYJ
      YMWBYNYOEDCGAYPYQ $.
  $}

  $( The topology on the reals is locally compact.  (Contributed by Mario
     Carneiro, 2-Mar-2015.) $)
  rellycmp $p |- ( topGen ` ran (,) ) e. N-Locally Comp $=
    ( cioo crn ctg cfv ccnfld ctopn cr crest co ccmp cnlly eqid tgioo2 cnllycmp
    wcel ccld recld2 cldllycmp mp2an eqeltri ) ABCDEFDZGHIZJKZUAUALZMUAUCOGUAPD
    OUBUCOUAUDNUAUDQGUARST $.

  ${
    $d u v x y z F $.  $d u v y z K $.  $d u v w x y z ph $.  $d v x y z X $.
    $d x y z J $.
    bndth.1 $e |- X = U. J $.
    bndth.2 $e |- K = ( topGen ` ran (,) ) $.
    bndth.3 $e |- ( ph -> J e. Comp ) $.
    bndth.4 $e |- ( ph -> F e. ( J Cn K ) ) $.
    $( The Boundedness Theorem.  A continuous function from a compact
       topological space to the reals is bounded (above).  (Boundedness below
       is obtained by applying this theorem to ` -u F ` .)  (Contributed by
       Mario Carneiro, 12-Aug-2014.) $)
    bndth $p |- ( ph -> E. x e. RR A. y e. X ( F ` y ) <_ x ) $=
      ( vw wss cr cioo cmnf wcel clt cxr wa vv vu vz crn cuni cfv cle wral wrex
      cv wbr csn cxp cpw cfn cin ccn co wf ctg ctopon retopon eqeltri toponunii
      cima cnf syl frnd wi wceq unieq imassrn unissi unirnioo sseqtrri c1 caddc
      id ltp1 wb ressxr peano2re sselid elioomnf mpbir2and cop df-ov mnfxr snid
      elexi opelxpi sylancr wfun cdm ioof ffun ax-mp snssi mp2an fdmi funfvima2
      xpss12 eqeltrid elunii syl2anc ssriv eqtrdi sseq2d ineq1d rexeqdv imbi12d
      eqssi pweq crest ccmp rncmp ctop retop mpbid ctb retopbas bastg sstri mpd
      cmpsub csup simpr adantrr elpwid c0 sseli adantr adantl idd xrltle eleq1d
      wn mpbir wfn sseldd elpwi2 a1i rspcdva elin sylib simprd simpld wne mnflt
      xrltnle elsni breq2d mtbird syl2an necon3abid mpbird df-ioo ixxub syl3anc
      eqeltrd rgen2 fveq2 eqtr4di supeq1d ralxp ffn supeq1 ralima ssralv mpisyl
      fimaxre3 simplrr sselda eluni2 r19.29r w3a sspwuni 3ad2ant1 simp2r simp3l
      ioo0 r19.21bi adantrl 3adant3 simp2l sstrdi supxrub simp3r 3expia anassrs
      letrd rexlimdva adantlrr syl5 expdimp sylan2b syldan ralrimdva ffnd breq1
      ad2antrr ralrn sylibd reximdva rexlimddv ) ADUDZUAUJZUEZMZCUJDUFZBUJZUGUK
      ZCGUHZBNUIZUAOPULZNUMZVEZUNZUOUPZAUXFNMZUXIUAUXSUIZAGNDADEFUQURQZGNDUSKDE
      FGNHNFFOUDZUTUFZNVAUFIVBVCVDZVFVGZVHZAUXFUBUJZUEZMZUXIUAUYHUNZUOUPZUIZVIZ
      UXTUYAVIUBFUNZUXQUYHUXQVJZUYJUXTUYMUYAUYPUYINUXFUYPUYIUXQUEZNUYHUXQVKUYQN
      UYQUYCUENUXQUYCOUXPVLZVMVNVOZBNUYQUXKNQZUXKPUXKVPVQURZOURZQZVUBUXQQUXKUYQ
      QUYTVUCUYTUXKVUARUKZUYTVRUXKVSUYTVUASQVUCUYTVUDTVTUYTNSVUAWAUXKWBZWCVUAUX
      KWDVGWEUYTVUBPVUAWFZOUFZUXQPVUAOWGUYTVUFUXPQZVUGUXQQZUYTPUXOQVUANQVUHPPSW
      HWJWIVUEPVUAUXONWKWLOWMZUXPOWNZMVUHVUIVISSUMZNUNZOUSZVUJWOVULVUMOWPWQUXPV
      ULVUKUXOSMZNSMUXPVULMZPSQZVUOWHPSWRWQZWAUXOSNSXBWSZVULVUMOWOWTVOUXPVUFOXA
      WSVGXCUXKVUBUXQXDXEXFXLXGXHUYPUXIUAUYLUXSUYPUYKUXRUOUYHUXQXMXIXJXKAFUXFXN
      URXOQZUYNUBUYOUHZAEXOQUYBVUTJKDEFXPXEAFXQQUXTVUTVVAVTFUYDXQIXRVCZUYGUXFFN
      UBUAUYEYEWLXSUXQUYOQAUXQFXQVVBUXQUYCFUYRUYCUYDFUYCXTQUYCUYDMYAUYCXTYBWQIV
      OYCUUAUUBUUCYDAUXGUXSQZUXITZTZLUJZSRYFZUXKUGUKZLUXGUHZBNUIZUXNVVEUXGUOQZV
      VGNQZLUXGUHZVVJVVEUXGUXRQZVVKAVVCVVNVVKTZUXIAVVCTZVVCVVOAVVCYGUXGUXRUOUUD
      UUEZYHUUFAVVCVVMUXIVVPUXGUXQMZVVLLUXQUHZVVMVVPUXGUXQVVPVVNVVKVVQUUGYIZVVS
      UCUJZOUFZSRYFZNQZUCUXPUHZVWEUYHVVFOURZSRYFZNQZLNUHUBUXOUHVWHUBLUXONUYHUXO
      QZVVFNQZTZVWGVVFNVWKUYHSQZVVFSQZVWFYJUUHZVWGVVFVJVWIVWLVWJUXOSUYHVURYKZYL
      VWJVWMVWINSVVFWAYKZYMVWKVWNVVFUYHUGUKZYQVWKVWQVVFPUGUKZVWJVWRYQZVWIVWJPVV
      FRUKZVWSVVFUUIVWJVUQVWMVWTVWSVTWHVWPPVVFUUJWLXSYMVWKUYHPVVFUGVWIUYHPVJVWJ
      UYHPUUKYLUULUUMVWKVWQVWFYJVWIVWLVWMVWFYJVJVWQVTVWJVWOVWPUYHVVFUWAUUNUUOUU
      PCUCUABUYHVVFRROCUCUAUUQUXKSQZVWMTUXKVVFRUKYNUXKVVFYOVWLVXATUYHUXKRUKYNUY
      HUXKYOUURUUSVWIVWJYGUUTUVAVWDVWHUCUBLUXONVWAUYHVVFWFZVJZVWCVWGNVXCSVWBVWF
      RVXCVWBVXBOUFVWFVWAVXBOUVBUYHVVFOWGUVCUVDYPUVEYROVULYSZVUPVVSVWEVTVUNVXDW
      OVULVUMOUVFWQVUSVVLVWDLUCVULUXPOVVFVWBVJVVGVWCNSVVFVWBRUVGYPUVHWSYRVVLLUX
      GUXQUVIUVJZYHBLUXGVVGUVKXEVVEVVIUXMBNVVEUYTTZVVIVWAUXKUGUKZUCUXFUHZUXMVXF
      VVIVXGUCUXFVXFVWAUXFQVWAUXHQZVVIVXGVIZVXFUXFUXHVWAAVVCUXIUYTUVLUVMVXIVXFV
      WAVVFQZLUXGUIZVXJLVWAUXGUVNVXFVXLVVIVXGVXLVVITVXKVVHTZLUXGUIZVXFVXGVXKVVH
      LUXGUVOAVVCUYTVXNVXGVIUXIVVPUYTTVXMVXGLUXGVVPUYTVVFUXGQZVXMVXGVIVVPUYTVXO
      TZVXMVXGVVPVXPVXMUVPZVWAVVGUXKVXQVVFNVWAVXQVVFNVXQUXQVUMVVFUXQVUMMUYQNMUY
      SUXQNUVQYRVXQUXGUXQVVFVVPVXPVVRVXMVVTUVRVVPUYTVXOVXMUVSYTWCYIZVVPVXPVXKVV
      HUVTZYTVVPVXPVVLVXMVVPVXOVVLUYTVVPVVLLUXGVXEUWBUWCUWDVVPUYTVXOVXMUWEVXQVV
      FSMVXKVWAVVGUGUKVXQVVFNSVXRWAUWFVXSVVFVWAUWGXEVVPVXPVXKVVHUWHUWKUWIUWJUWL
      UWMUWNUWOUWPUWQUWRVXFDGYSZVXHUXMVTAVXTVVDUYTAGNDUYFUWSUXAVXGUXLUCCGDVWAUX
      JUXKUGUWTUXBVGUXCUXDYDUXE $.

    evth.5 $e |- ( ph -> X =/= (/) ) $.
    $( The Extreme Value Theorem.  A continuous function from a nonempty
       compact topological space to the reals attains its maximum at some point
       in the domain.  (Contributed by Mario Carneiro, 12-Aug-2014.) $)
    evth $p |- ( ph -> E. x e. X A. y e. X ( F ` y ) <_ ( F ` x ) ) $=
      ( vz cle wbr cr c1 co wcel cc cv cfv wral wrex crn clt csup csn cdif cmin
      wn wf cdiv cmpt ccmp adantr ccnfld ctopn crest ccn cc0 ctop ctopon cmptop
      wa syl toptopon sylib eqid cnfldtopon a1i 1cnd cnmptc wss c0 wne w3a cioo
      ctg cuni uniretop unieqi eqtr4i cnf frnd cdm fdmd eqnetrd necon3bii bndth
      dm0rn0 wfn wb ffnd breq1 ralrn rexbidv mpbird 3jca recnd feqmptd cnfldtop
      suprcl cnrest2r ax-mp tgioo2 oveq2i eleqtrdi sselid eqeltrrd ctx cnmpt12f
      eqtri subcn ad2antrr ffvelrn adantll simpld resubcld simprd necomd fmpttd
      eldifsn cnrest2 syl3anc mpbid rereccld sylancl sylancr gt0ne0d recgt0d wi
      1re wceq oveq2d adantrr ralimdva sylibrd mtod baib subne0d sylanbrc divcn
      difssd ax-resscn eleqtrrdi cif simpr ifcl 0red 0lt1 max1 ltletrd ltsubrpd
      elrpd ltnled simprl max2 ad2ant2l fnfvelrn sylan suprub ad2ant2rl leneltd
      syl2an2r posdifd letr mpan2d fveq2 ovex fvmpt breq1d ad2antll lerec lesub
      syl22anc recrecd breq2d 3bitr3d 3imtr4d anassrs suprleub syl2anc pm2.65da
      bitrd nrexdv ralrimiva breq2 ralbidv syl5ibrcom necon3bd ffvelrnda dfrex2
      ffnfv sylibr ) ACUAZDUBZBUAZDUBZNOZCGUCZUKZBGUCZUKUXABGUDAUXCGPDUEZPUFUGZ
      UHUIZDULZAUXGUWPMGQUXEMUAZDUBZUJRZUMRZUNZUBZUWRNOZCGUCZBPUDAUXGVEZBCUXLEF
      GHIAEUOSZUXGJUPZUXPUXLEUQURUBZPUSRZUTRZEFUTRZUXPUXLEUXSUTRZSZUXLUYASZUXPM
      QUXJUMEUXSUXSTVAUHZUIZUSRZUXSGUXPEVBSZEGVCUBSUXPUXQUYIUXREVDVFEGHVGVHZUXP
      MQEUXSGTUYJUXSTVCUBSZUXPUXSUXSVIZVJVKZUXPVLVMUXPMGUXJUNZUYCSZUYNEUYHUTRSZ
      UXPMUXEUXIUJEUXSUXSUXSGUYJUXPMUXEEUXSGTUYJUYMAUXETSUXGAUXEAUXDPVNZUXDVOVP
      ZUXHUWRNOZMUXDUCZBPUDZVQZUXEPSZAUYQUYRVUAAGPDADUYBSGPDULKDEFGPHPVRUEVSUBZ
      VTFVTWAFVUDIWBWCWDVFZWEADWFZVOVPUYRAVUFGVOAGPDVUEWGLWHVUFVOUXDVODWKWIVHAV
      UAUWQUWRNOZCGUCZBPUDABCDEFGHIJKWJAUYTVUHBPADGWLZUYTVUHWMAGPDVUEWNZUYSVUGM
      CGDUXHUWQUWRNWOWPVFWQWRWSZBMUXDXCVFZWTUPVMAMGUXIUNZUYCSUXGADVUMUYCAMGPDVU
      EXAAUYAUYCDUXSVBSUYAUYCVNUXSUYLXBPEUXSXDXEADUYBUYAKFUXTEUTFVUDUXTIUXSUYLX
      FXMXGZXHXIXJUPUJUXSUXSXKRUXSUTRSUXPUXSUYLXNVKXLUXPUYKUYNUEUYGVNUYGTVNUYOU
      YPWMUYMUXPGUYGUYNUXPMGUXJUYGUXPUXHGSZVEZUXJTSUXJVAVPUXJUYGSVUPUXJVUPUXEUX
      IAVUCUXGVUOVULXOZVUPUXIPSZUXIUXEVPZVUPUXIUXFSZVURVUSVEUXGVUOVUTAGUXFUXHDX
      PXQUXIPUXEYCVHZXRZXSZWTVUPUXEUXIVUPUXEVUQWTVUPUXIVVBWTVUPUXIUXEVUPVURVUSV
      VAXTYAUUAZUXJTVAYCUUBYBWEUXPTUYFUUDUYGUYNEUXSTYDYEYFUMUXSUYHXKRUXSUTRSUXP
      UXSUYHUYLUYHVIUUCVKXLUXPUYKUXLUEPVNPTVNZUYDUYEWMUYMUXPGPUXLUXPMGUXKPVUPUX
      JVVCVVDYGYBWEVVEUXPUUEVKPUXLEUXSTYDYEYFVUNUUFWJUXPUXOBPUXPUWRPSZVEZUXOUXE
      UXEQQUWRNOZUWRQUUGZUMRZUJRZNOZVVGVVKUXEUFOVVLUKVVGUXEVVJAVUCUXGVVFVULXOZV
      VGVVJVVGVVIVVGVVFQPSZVVIPSZUXPVVFUUHZYMVVHUWRQPUUIZYHZVVGVVIVVGVAQVVIVVGU
      UJVVNVVGYMVKVVRVAQUFOVVGUUKVKVVGVVNVVFQVVINOYMVVPQUWRUULYIUUMZYJZYGZVVGVV
      IVVRVVSYKUUOUUNVVGVVKUXEVVGUXEVVJVVMVWAXSZVVMUUPYFVVGUXOUWQVVKNOZCGUCZVVL
      VVGUXNVWCCGUXPVVFUWPGSZUXNVWCYLUXPVVFVWEVEZVEZQUXEUWQUJRZUMRZUWRNOZVWIVVI
      NOZUXNVWCVWGVWJUWRVVINOZVWKVWGVVNVVFVWLYMUXPVVFVWEUUQZQUWRUURYIVWGVWIPSVV
      FVVOVWJVWLVEVWKYLVWGVWHVWGUXEUWQAVUCUXGVWFVULXOZVWGUWQPSZUWQUXEVPZVWGUWQU
      XFSZVWOVWPVEUXGVWEVWQAVVFGUXFUWPDXPUUSUWQPUXEYCVHZXRZXSZVWGVWHVWGUWQUXEUF
      OVAVWHUFOZVWGUWQUXEVWSVWNAVWEUWQUXENOZUXGVVFAVUBVWEUWQUXDSZVXBVUKAVUIVWEV
      XCVUJGUWPDUUTUVABMUXDUWQUVBUVEZUVCVWGUWQUXEVWGVWOVWPVWRXTYAUVDVWGUWQUXEVW
      SVWNUVFYFZYJYGVWMVWGVVFVVNVVOVWMYMVVQYHZVWIUWRVVIUVGYEUVHVWEUXNVWJWMUXPVV
      FVWEUXMVWIUWRNMUWPUXKVWIGUXLUXHUWPYNZUXJVWHQUMVXGUXIUWQUXEUJUXHUWPDUVIYOY
      OUXLVIQVWHUMUVJUVKUVLUVMVWGVVJVWHNOZVWIQVVJUMRZNOZVWCVWKVWGVVJPSZVAVVJUFO
      VWHPSVXAVXHVXJWMUXPVVFVXKVWEVWAYPZVWGVVIVXFUXPVVFVAVVIUFOVWEVVSYPYKVWTVXE
      VVJVWHUVNUVPVWGVXKVUCVWOVXHVWCWMVXLVWNVWSVVJUXEUWQUVOYEVWGVXIVVIVWINVWGVV
      IVWGVVIVXFWTUXPVVFVVIVAVPVWEVVTYPUVQUVRUVSUVTUWAYQVVGVVLUXHVVKNOZMUXDUCZV
      WDVVGVUBVVKPSVVLVXNWMAVUBUXGVVFVUKXOVWBBMMUXDVVKUWBUWCVVGVUIVXNVWDWMAVUIU
      XGVVFVUJXOVXMVWCMCGDUXHUWQVVKNWOWPVFUWEYRYSUWFUWDAUXCUWSUXFSZBGUCZUXGAUXB
      VXOBGAUWRGSZVEZUXBUWSUXEVPZVXOAUXBVXSYLVXQAUXAUWSUXEAUXAUWSUXEYNZVXBCGUCA
      VXBCGVXDUWGVXTUWTVXBCGUWSUXEUWQNUWHUWIUWJUWKUPVXRUWSPSZVXOVXSWMAGPUWRDVUE
      UWLVXOVYAVXSUWSPUXEYCYTVFYRYQAVUIUXGVXPWMVUJUXGVUIVXPBGUXFDUWNYTVFYRYSUXA
      BGUWMUWO $.

    $( The Extreme Value Theorem, minimum version.  A continuous function from
       a nonempty compact topological space to the reals attains its minimum at
       some point in the domain.  (Contributed by Mario Carneiro,
       12-Aug-2014.) $)
    evth2 $p |- ( ph -> E. x e. X A. y e. X ( F ` x ) <_ ( F ` y ) ) $=
      ( vz cfv co cr wcel ccn cc wceq cneg cmpt cle wbr wral wrex cc0 cmin ctop
      cv ctopon ccmp cmptop syl toptopon sylib wf cioo crn cuni uniretop unieqi
      ctg eqtr4i feqmptd eqeltrrd retopon eqeltri ccnfld ctopn crest cnfldtopon
      cnf a1i eqid 0cnd cnmptc tgioo2 eqtri wss ax-resscn cnmptid cnmpt1res ctx
      subcn cnmpt12f df-neg renegcl eqeltrrid adantl frnd cnrest2 syl3anc mpbid
      wb fmpttd oveq2i eleqtrrdi negeq eqtr3id cnmpt11 fveq2 negeqd negex fvmpt
      evth wa ad2antlr breq12d ffvelrnda adantr lenegd bitr4d ralbidva rexbidva
      adantlr ) ACUJZMGMUJZDNZUAZUBZNZBUJZYANZUCUDZCGUEZBGUFYCDNZXQDNZUCUDZCGUE
      ZBGUFABCYAEFGHIJAMCXSUGXQUHOZXTEFFGPAEUIQZEGUKNQAEULQYLJEUMUNEGHUOUPADMGX
      SUBEFROZAMGPDADYMQGPDUQKDEFGPHPURUSVCNZUTFUTVAFYNIVBVDVMUNZVEKVFFPUKNZQAF
      YNYPIVGVHVNZACPYKUBZFVIVJNZPVKOZROZFFROAYRFYSROQZYRUUAQZACUGXQUHFYSYSYSPY
      QACUGFYSPSYQYSSUKNQZAYSYSVOZVLVNZAVPVQACXQYSFYSSPFYNYTIYSUUEVRVSZUUFPSVTZ
      AWAVNZACYSSUUFWBWCUHYSYSWDOYSROQAYSUUEWEVNWFAUUDYRUSPVTUUHUUBUUCWOUUFAPPY
      RACPYKPXQPQZYKPQAUUJYKXQUAZPXQWGZXQWHWIWJWPWKUUIPYRFYSSWLWMWNFYTFRUUGWQWR
      XQXSTYKUUKXTUULXQXSWSWTXALXFAYFYJBGAYCGQZXGZYEYICGUUNXQGQZXGZYEYHUAZYGUAZ
      UCUDYIUUPYBUUQYDUURUCUUOYBUUQTUUNMXQXTUUQGYAXRXQTXSYHXRXQDXBXCYAVOZYHXDXE
      WJUUMYDUURTAUUOMYCXTUURGYAXRYCTXSYGXRYCDXBXCUUSYGXDXEXHXIUUPYGYHUUNYGPQUU
      OAGPYCDYOXJXKAUUOYHPQUUMAGPXQDYOXJXPXLXMXNXOWN $.
  $}

  ${
    $d d k m r u w x y z D $.  $d d k w x y z J $.  $d d k m r u w x y z U $.
    $d r w x F $.  $d d k m r w x y z ph $.  $d d k m r u w x y z X $.
    $d x K $.
    lebnum.j $e |- J = ( MetOpen ` D ) $.
    lebnum.d $e |- ( ph -> D e. ( Met ` X ) ) $.
    lebnum.c $e |- ( ph -> J e. Comp ) $.
    lebnum.s $e |- ( ph -> U C_ J ) $.
    lebnum.u $e |- ( ph -> X = U. U ) $.
    ${
      lebnumlem1.u $e |- ( ph -> U e. Fin ) $.
      lebnumlem1.n $e |- ( ph -> -. X e. U ) $.
      lebnumlem1.f $e |- F = ( y e. X |-> sum_ k e. U
        inf ( ran ( z e. ( X \ k ) |-> ( y D z ) ) , RR* , < ) ) $.
      $( Lemma for ~ lebnum .  The function ` F ` measures the sum of all of
         the distances to escape the sets of the cover.  Since by assumption it
         is a cover, there is at least one set which covers a given point, and
         since it is open, the point is a positive distance from the edge of
         the set.  Thus, the sum is a strictly positive number.  (Contributed
         by Mario Carneiro, 14-Feb-2015.)  (Revised by AV, 30-Sep-2020.) $)
      lebnumlem1 $p |- ( ph -> F : X --> RR+ ) $=
        ( wcel ad2antrr cc0 vm vw cv cdif co cmpt crn cxr clt csu crp wa adantr
        cinf cfn cr wral wf cmet cfv wss c0 wne difssd cuni sselda elssuni wceq
        syl cxmet metxmet mopnuni sseqtrrd wi wn notbid syl5ibrcom necon2ad imp
        eleq1 pssdifn0 syl2anc eqid metdsre syl3anc fmpt sylibr simplr rsp sylc
        fsumrecl wbr wrex eleq2d biimpa eluni2 0red metdsval simprl sseldd 3syl
        sylib mpd ffvelrnd eqeltrrd cle cpnf metdsf elxrge0 simprd ccl ad2antll
        cicc elndif ccld difeq1d ctop mopntop opncld eqeltrd neleqtrrd metdseq0
        cldcls necon3abid mpbird ne0gt0d breqtrd adantlr difeq2 mpteq1d infeq1d
        wb rneqd fsumge1 ltletrd rexlimddv elrpd fmptd ) ABIECIFUCZUDZBUCZCUCZD
        UEZUFZUGZUHUIUNZFUJZUKGAUUAIRZULZUUGUUIEUUFFAEUORZUUHOUMUUIYSERZULZUUFU
        PRZBIUQZUUHUUMUULIUPBIUUFUFZURZUUNUULDIUSUTRZYTIVAZYTVBVCZUUPAUUQUUHUUK
        KSUULIYSVDZUULYSIVAYSIVCZUUSUULYSHVEZIUULYSHRYSUVBVAUUIEHYSAEHVAZUUHMUM
        VFYSHVGVIAIUVBVHZUUHUUKADIVJUTRZUVDAUUQUVEKDIVKZVIZDHIJVLZVISVMUUIUUKUV
        AAUUKUVAVNUUHAUUKYSIAUUKVOYSIVHZIERZVOZPUVIUUKUVJYSIEVTVPVQVRUMVSYSIWAW
        BBCDYTUUOIUUOWCZWDWEBIUPUUFUUOUVLWFWGAUUHUUKWHZUUMBIWIWJZWKZUUIUUAUAUCZ
        RZTUUGUIWLUAEUUIUUAEVEZRZUVQUAEWMAUUHUVSAIUVRUUANWNWOUAUUAEWPXBUUIUVPER
        ZUVQULZULZTCIUVPUDZUUCUFZUGZUHUIUNZUUGUWBWQUWBUUAUBICUWCUBUCUUBDUEUFUGU
        HUIUNUFZUTZUWFUPUWBUUHUWHUWFVHAUUHUWAWHZUBCUUADUWCUWGIUWGWCZWRVIZUWBIUP
        UUAUWGUWBUUQUWCIVAZUWCVBVCZIUPUWGURAUUQUUHUWAKSZUWBIUVPVDZUWBUVPIVAUVPI
        VCZUWMUWBUVPUVBIUWBUVPHRZUVPUVBVAUWBEHUVPAUVCUUHUWAMSUUIUVTUVQWSZWTZUVP
        HVGVIUWBUUQUVEUVDUWNUVFUVHXAZVMUWBUVTUWPUWRAUVTUWPVNUUHUWAAUVTUVPIAUVTV
        OUVPIVHZUVKPUXAUVTUVJUVPIEVTVPVQVRSXCUVPIWAWBUBCDUWCUWGIUWJWDWEUWIXDZXE
        UUIUUGUPRUWAUVOUMUWBTUWHUWFUIUWBUWHUXBUWBUWHUHRZTUWHXFWLZUWBUWHTXGXMUEZ
        RUXCUXDULUWBIUXEUUAUWGUWBUVEUWLIUXEUWGURAUVEUUHUWAUVGSZUWOUBCDUWCUWGIUW
        JXHWBUWIXDUWHXIXBXJUWBUWHTVCUUAUWCHXKUTUTZRZVOUWBUXGUWCUUAUVQUUAUWCRVOU
        UIUVTUUAUVPIXNXLUWBUWCHXOUTZRUXGUWCVHUWBUWCUVBUVPUDZUXIUWBIUVBUVPUWTXPU
        WBHXQRZUWQUXJUXIRUWBUVEUXKUXFDHIJXRVIUWSUVPHUVBUVBWCXSWBXTUWCHYCVIYAUWB
        UXHUWHTUWBUVEUWLUUHUWHTVHUXHYLUXFUWOUWIUBCUUADUWCUWGHIUWJJYBWEYDYEYFUWK
        YGUWBEUUFUWFFUVPAUUJUUHUWAOSUUIUUKUUMUWAUVNYHUUIUUKTUUFXFWLZUWAUULUUFUH
        RZUXLUULUUFUXERZUXMUXLULUULUXNBIUQZUUHUXNUULIUXEUUOURZUXOUULUVEUURUXPAU
        VEUUHUUKUVGSUUTBCDYTUUOIUVLXHWBBIUXEUUFUUOUVLWFWGUVMUXNBIWIWJUUFXIXBXJY
        HYSUVPVHZUHUUEUWEUIUXQUUDUWDUXQCYTUWCUUCYSUVPIYIYJYMYKUWRYNYOYPYQQYR $.

      lebnumlem2.k $e |- K = ( topGen ` ran (,) ) $.
      $( Lemma for ~ lebnum .  As a finite sum of point-to-set distance
         functions, which are continuous by ~ metdscn , the function ` F ` is
         also continuous.  (Contributed by Mario Carneiro, 14-Feb-2015.)
         (Revised by AV, 30-Sep-2020.) $)
      lebnumlem2 $p |- ( ph -> F e. ( J Cn K ) ) $=
        ( wcel ccnfld ctopn cfv cr crest co ccn cdif cmpt crn cxr clt cinf eqid
        cv csu cxmet ctopon cmet metxmet syl mopntopon wa wss wne adantr difssd
        c0 sselda toponss syl2anc eleq1 notbid syl5ibrcom necon2ad imp pssdifn0
        wn metdscn2 syl3anc fsumcn eqeltrid cc wb cnfldtopon a1i crp lebnumlem1
        wceq frnd rpssre sstrdi ax-resscn cnrest2 mpbid ctg tgioo2 eqtri oveq2i
        cioo eleqtrrdi ) AGHUAUBUCZUDUEUFZUGUFZHIUGUFAGHXBUGUFZTZGXDTZAGBJECJFU
        OZUHZBUOCUODUFUIUJUKULUMZFUPUIXERABEXJFHXBJXBUNZADJUQUCTZHJURUCTZADJUSU
        CTZXLLDJUTVAZDHJKVBZVAPAXHETZVCZXNXIJVDXIVHVEZBJXJUIZXETAXNXQLVFXRJXHVG
        XRXHJVDZXHJVEZXSXRXMXHHTYAXRXLXMAXLXQXOVFXPVAAEHXHNVIXHHJVJVKAXQYBAXQXH
        JAXQVRXHJWIZJETZVRQYCXQYDXHJEVLVMVNVOVPXHJVQVKBCDXIXTHXBJXTUNKXKVSVTWAW
        BAXBWCURUCTZGUJZUDVDUDWCVDZXFXGWDYEAXBXKWEWFAYFWGUDAJWGGABCDEFGHJKLMNOP
        QRWHWJWKWLYGAWMWFUDGHXBWCWNVTWOIXCHUGIWTUJWPUCXCSXBXKWQWRWSXA $.

      $( Lemma for ~ lebnum .  By the previous lemmas, ` F ` is continuous and
         positive on a compact set, so it has a positive minimum ` r ` .  Then
         setting ` d = r / # ( U ) ` , since for each ` u e. U ` we have
         ` ball ( x , d ) C_ u ` iff ` d <_ d ( x , X \ u ) ` , if
         ` -. ball ( x , d ) C_ u ` for all ` u ` then summing over ` u `
         yields ` sum_ u e. U d ( x , X \ u ) = F ( x ) < sum_ u e. U d = r ` ,
         in contradiction to the assumption that ` r ` is the minimum of
         ` F ` .  (Contributed by Mario Carneiro, 14-Feb-2015.)  (Revised by
         Mario Carneiro, 5-Sep-2015.)  (Revised by AV, 30-Sep-2020.) $)
      lebnumlem3 $p |- ( ph ->
        E. d e. RR+ A. x e. X E. u e. U ( x ( ball ` D ) d ) C_ u ) $=
        ( vr vw cv cbl cfv co wss wrex wral crp c0 wceq wa wne ne0ii ral0 simpr
        c1 1rp raleqdv mpbiri ralrimivw r19.2z sylancr cle wf lebnumlem1 adantr
        wbr crn frnd cuni eqid ccmp wcel ccn lebnumlem2 cmet cxmet metxmet 3syl
        mopnuni neeq1d biimpa evth2 raleq rexeqbi1dv syl mpbird wfn ffn ralbidv
        wb breq1 rexrn ssrexv sylc chash cdiv cn ad2antrr simplr eqnetrrd unieq
        uni0 eqtrdi necon3i cfn hashnncl nnrpd rpdivcld wn ralnex clt cdif cmpt
        cxr cinf csu cr simprl metdsval difssd elssuni adantl sseqtrrd wi eleq1
        notbid syl5ibrcom necon2ad syl2anc syl3anc ffvelrnd rpred ltnled rpcnd
        weq ad3antrrr imp pssdifn0 metdsre simprr sseq2 rspccva sylan cin rpxrd
        eqeltrrd metdsge syl31anc blssm difin0ss syl5com sylbid eqbrtrrd fsumlt
        mtod oveq1 mpteq2dv rneqd infeq1d sumeq2sdv sumex fvmpt fsumconst nncnd
        cmul cc nnne0d divcan2d 3brtr4d mpbid expr syl5bir con4d ralimdva oveq2
        eqtr2d sseq1d rexbidv rspcev syl6an rexlimdva mpd pm2.61dane ) ABUEZMUE
        ZFUFUGZUHZEUEZUIZEGUJZBLUKZMULUJZLUMALUMUNZUOZULUMUPUWPMULUKUWQUTULVAUQ
        UWSUWPMULUWSUWPUWOBUMUKUWOBURUWSUWOBLUMAUWRUSVBVCVDUWPMULVEVFALUMUPZUOZ
        UCUEZUWIIUGZVGVKZBLUKZUCULUJZUWQUXAIVLZULUIUXEUCUXGUJZUXFUXALULIALULIVH
        ZUWTACDFGHIJLNOPQRSTUAVIVJZVMUXAUXHUDUEIUGZUXCVGVKZBLUKZUDLUJZUXAUXNUXL
        BJVNZUKZUDUXOUJZUXAUDBIJKUXOUXOVOUBAJVPVQUWTPVJAIJKVRUHVQUWTACDFGHIJKLN
        OPQRSTUAUBVSVJAUWTUXOUMUPALUXOUMAFLVTUGVQZFLWAUGVQZLUXOUNZOFLWBZFJLNWDW
        CZWEWFWGUXAUXTUXNUXQWOAUXTUWTUYBVJUXMUXPUDLUXOUXLBLUXOWHWIWJWKUXAUXIILW
        LUXHUXNWOUXJLULIWMUXEUXMUCUDLIUXBUXKUNUXDUXLBLUXBUXKUXCVGWPWNWQWCWKUXEU
        CUXGULWRWSUXAUXEUWQUCULUXAUXBULVQZUOZUXBGWTUGZXAUHZULVQZUXEUWIUYFUWKUHZ
        UWMUIZEGUJZBLUKZUWQUYDUXBUYEUXAUYCUSUYDUYEUYDUYEXBVQZGUMUPZUYDGVNZUMUPU
        YMUYDLUYNUMALUYNUNZUWTUYCRXCZAUWTUYCXDXEGUMUYNUMGUMUNUYNUMVNUMGUMXFXGXH
        XIWJZUYDGXJVQZUYLUYMWOAUYRUWTUYCSXCZGXKWJWKZXLXMZUYDUXDUYJBLUYDUWILVQZU
        OZUYJUXDUYJXNUYIXNZEGUKZVUCUXDXNZUYIEGXOUYDVUBVUEVUFUYDVUBVUEUOZUOZUXCU
        XBXPVKVUFVUHGDLHUEZXQZUWIDUEZFUHZXRZVLZXSXPXTZHYAZGUYFHYAZUXCUXBXPVUHGV
        UOUYFHUYDUYRVUGUYSVJZUYDUYMVUGUYQVJVUHVUIGVQZUOZUWICLDVUJCUEZVUKFUHZXRZ
        VLZXSXPXTZXRZUGZVUOYBVUTVUBVVGVUOUNVUHVUBVUSUYDVUBVUEYCZVJZCDUWIFVUJVVF
        LVVFVOZYDWJZVUTLYBUWIVVFVUTUXRVUJLUIZVUJUMUPZLYBVVFVHUYDUXRVUGVUSAUXRUW
        TUYCOXCXCZVUTLVUIYEZVUTVUILUIVUILUPZVVMVUTVUIUYNLVUSVUIUYNUIVUHVUIGYFYG
        UYDUYOVUGVUSUYPXCYHVUHVUSVVPAVUSVVPYIUWTUYCVUGAVUSVUILAVUSXNVUILUNZLGVQ
        ZXNTVVQVUSVVRVUILGYJYKYLYMUUAUUBVUILUUCYNCDFVUJVVFLVVJUUDYOVVIYPZUUKVUT
        UYFUYDUYGVUGVUSVUAXCZYQZVUTVVGVUOUYFXPVVKVUTVVGUYFXPVKUYFVVGVGVKZXNVUTV
        WBUYHVUIUIZVUHVUEVUSVWCXNZUYDVUBVUEUUEVUDVWDEVUIGEHYTUYIVWCUWMVUIUYHUUF
        YKUUGUUHVUTVWBVUJUYHUUIUMUNZVWCVUTUXSVVLVUBUYFXSVQZVWBVWEWOVUTUXRUXSVVN
        UYAWJZVVOVVIVUTUYFVVTUUJZCDUWIFUYFVUJVVFLVVJUULUUMVUTUYHLUIZVWEVWCVUTUX
        SVUBVWFVWIVWGVVIVWHFUWIUYFLUUNYOLVUIUYHUUOUUPUUQUUTVUTVVGUYFVVSVWAYRWKU
        URUUSVUHVUBUXCVUPUNVVHCUWIGVVEHYAVUPLICBYTZGVVEVUOHVWJXSVVDVUNXPVWJVVCV
        UMVWJDVUJVVBVULVVAUWIVUKFUVAUVBUVCUVDUVEUAGVUOHUVFUVGWJVUHVUQUYEUYFUVJU
        HZUXBVUHUYRUYFUVKVQVUQVWKUNVURVUHUYFUYDUYGVUGVUAVJYSGUYFHUVHYNVUHUXBUYE
        VUHUXBUXAUYCVUGXDZYSVUHUYEUYDUYLVUGUYTVJZUVIVUHUYEVWMUVLUVMUWAUVNVUHUXC
        UXBVUHUXCVUHLULUWIIUXAUXIUYCVUGUXJXCVVHYPYQVUHUXBVWLYQYRUVOUVPUVQUVRUVS
        UWPUYKMUYFULUWJUYFUNZUWOUYJBLVWNUWNUYIEGVWNUWLUYHUWMUWJUYFUWIUWKUVTUWBU
        WCWNUWDUWEUWFUWGUWH $.
    $}

    $( The Lebesgue number lemma, or Lebesgue covering lemma.  If ` X ` is a
       compact metric space and ` U ` is an open cover of ` X ` , then there
       exists a positive real number ` d ` such that every ball of size ` d `
       (and every subset of a ball of size ` d ` , including every subset of
       diameter less than ` d ` ) is a subset of some member of the cover.
       (Contributed by Mario Carneiro, 14-Feb-2015.)  (Proof shortened by Mario
       Carneiro, 5-Sep-2015.)  (Proof shortened by AV, 30-Sep-2020.) $)
    lebnum $p |- ( ph ->
      E. d e. RR+ A. x e. X E. u e. U ( x ( ball ` D ) d ) C_ u ) $=
      ( cv wss wrex crp wcel wa c1 vw vy vz vk cuni wceq cbl cfv co cpw cfn cin
      wral ccmp cxmet cmet metxmet syl mopnuni eqtr3d cmpcov syl3anc 1rp simprl
      eqid elin1d elpwid ad2antrr simplr sseldd ad3antrrr simpr rpxr mp1i blssm
      cxr sseq2 rspcev syl2anc ralrimiva sseq1d rexbidv ralbidv sylancr wn cdif
      oveq2 cmpt crn clt cinf csu cioo ctg adantr sstrd eqtrd elin2d lebnumlem3
      simplrr wi ssrexv ralimdv reximdv mpd pm2.61dan rexlimddv ) AFUEZUANZUEZU
      FZBNZHNZDUGUHZUIZCNZOZCEPZBGUMZHQPZUAEUJZUKULZAFUNRZEFOZXHEUEZUFXKUAYBPKL
      AGXHYEADGUOUHRZGXHUFZADGUPUHRZYFJDGUQURZDFGIUSURZMUTEFXHUAXHVEVAVBAXIYBRZ
      XKSZSZGXIRZXTYMYNSZTQRZXLTXNUIZXPOZCEPZBGUMZXTVCYOYSBGYOXLGRZSZGERYQGOZYS
      UUBXIEGYMXIEOZYNUUAYMXIEYMYAUKXIAYKXKVDZVFVGZVHYMYNUUAVIVJUUBYFUUATVPRZUU
      CAYFYLYNUUAYIVKYOUUAVLYPUUGUUBVCTVMVNDXLTGVOVBYRUUCCGEXPGYQVQVRVSVTXSYTHT
      QXMTUFZXRYSBGUUHXQYRCEUUHXOYQXPXMTXLXNWGWAWBWCVRWDYMYNWEZSZXQCXIPZBGUMZHQ
      PXTUUJBUBUCCDXIUDUBGXIUCGUDNWFUBNUCNDUIWHWIVPWJWKUDWLWHZFWMWIWNUHZGHIAYHY
      LUUIJVHAYCYLUUIKVHUUJXIEFYMUUDUUIUUFWOZAYDYLUUILVHWPUUJGXHXJAYGYLUUIYJVHA
      YKXKUUIWTWQYMXIUKRUUIYMYAUKXIUUEWRWOYMUUIVLUUMVEUUNVEWSUUJUULXSHQUUJUUKXR
      BGUUJUUDUUKXRXAUUOXQCXIEXBURXCXDXEXFXG $.
  $}

  ${
    $d d r u x y z D $.  $d r u x ph $.  $d d r u x U $.  $d d r u x y z X $.
    xlebnum.j $e |- J = ( MetOpen ` D ) $.
    xlebnum.d $e |- ( ph -> D e. ( *Met ` X ) ) $.
    xlebnum.c $e |- ( ph -> J e. Comp ) $.
    xlebnum.s $e |- ( ph -> U C_ J ) $.
    xlebnum.u $e |- ( ph -> X = U. U ) $.
    $( Generalize ~ lebnum to extended metrics.  (Contributed by Mario
       Carneiro, 5-Sep-2015.) $)
    xlebnum $p |- ( ph ->
      E. d e. RR+ A. x e. X E. u e. U ( x ( ball ` D ) d ) C_ u ) $=
      ( vy vz cv co c1 crp wcel vr cle wbr cif cmpo cbl cfv wss wrex wral cmopn
      eqid cxmet cmet 1rp stdbdmet sylancl ccmp cxr cc0 clt wceq rpxr mp1i 0lt1
      a1i stdbdmopn syl3anc eqeltrrd sseqtrd lebnum wa simpr wi ad2antrr adantr
      ifcl syl cr rpre ad2antlr 1re min2 stdbdbl syl33anc metxmet min1 eqsstrrd
      ssbl syl221anc sstr2 reximdv ralimdva oveq2 sseq1d rexbidv ralbidv rspcev
      syl6an rexlimdva mpd ) ABPZUAPZNOGGNPOPDQZRUBUCXDRUDUEZUFUGZQZCPZUHZCEUIZ
      BGUJZUASUIXBHPZDUFUGZQZXHUHZCEUIZBGUJZHSUIZABCXEEXEUKUGZGUAXSULADGUMUGZTZ
      RSTZXEGUNUGTZJUONODXERGXEULZUPUQZAFXSURAYARUSTZUTRVAUCZFXSVBJYBYFAUORVCZV
      DYGAVEVFNODXERFGYDIVGVHZKVIAEFXSLYIVJMVKAXKXRUASAXCSTZVLZXCRUBUCZXCRUDZST
      ZXKXBYMXMQZXHUHZCEUIZBGUJZXRYKYJYBYNAYJVMUOYLXCRSVQUQZYKXJYQBGYKXBGTZVLZX
      IYPCEUUAYOXGUHXIYPVNUUAYOXBYMXFQZXGUUAYAYFYGYTYMUSTZYMRUBUCZUUBYOVBAYAYJY
      TJVOYBYFUUAUOYHVDYGUUAVEVFYKYTVMZUUAYNUUCYKYNYTYSVPYMVCVRZUUAXCVSTZRVSTZU
      UDYJUUGAYTXCVTWAZWBXCRWCUQNODXEXBRYMGYDWDWEUUAXEXTTZYTUUCXCUSTZYMXCUBUCZU
      UBXGUHUUAYCUUJAYCYJYTYEVOXEGWFVRUUEUUFYJUUKAYTXCVCWAUUAUUGUUHUULUUIWBXCRW
      GUQXEXBYMXCGWIWJWHYOXGXHWKVRWLWMXQYRHYMSXLYMVBZXPYQBGUUMXOYPCEUUMXNYOXHXL
      YMXBXMWNWOWPWQWRWSWTXA $.
  $}

  ${
    $d k n r u x U $.
    $( Specialize the Lebesgue number lemma ~ lebnum to the closed unit
       interval.  (Contributed by Mario Carneiro, 14-Feb-2015.) $)
    lebnumii $p |- ( ( U C_ II /\ ( 0 [,] 1 ) = U. U ) -> E. n e. NN
    A. k e. ( 1 ... n ) E. u e. U ( ( ( k - 1 ) / n ) [,] ( k / n ) ) C_ u ) $=
      ( wss cc0 c1 co wceq cv cmin cfv wrex cdiv wcel cc cr cle wbr clt vx cicc
      vr cii cuni wa cabs ccom cxp cres cbl wral crp cfz cn df-ii cmet unitssre
      cnmet ax-resscn sstri metres2 mp2an a1i ccmp iicmp simpl simpr lebnum cfl
      caddc cn0 rpreccl adantl rpred rpge0d flge0nn0 syl2anc nn0p1nn syl elfznn
      wi nnrpd adantr rpdivcld cmul elfzle2 nnred recnd mulid1d breqtrrd nngt0d
      wb ledivmul syl112anc mpbird elicc01 syl3anbrc oveq1 sseq1d rexbidv rspcv
      1red cioo cin cxr simplr resubcld readdcld nnm1nn0 nn0red nndivred nnne0d
      rexrd divsubdird ax-1cn nncan sylancl oveq1d eqtr3d rprecred flltp1 rpgt0
      ad2antlr ltdiv23 syl122anc mpbid ltsub23d ltaddrpd iccssioo syl22anc 0red
      eqbrtrd nn0ge0d divge0 iccss ssind cxmet eqid oveq2 rexmet mpbi eleqtrrdi
      sseqin2 rpxr xpss12 resabs1 ax-mp eqcomi blres mp3an2i bl2ioo eqtrd sstr2
      ineq1d sseqtrrd reximdv syld ralrimdva oveq12d raleqbidv rspcev rexlimdva
      syl6an mpd ) BUDEZFGUBHZBUEIZUFZUAJZUCJZUGKUHZUVGUVGUIZUJZUKLZHZAJZEZABMZ
      UAUVGULZUCUMMCJZGKHZDJZNHZUWAUWCNHZUBHZUVQEZABMZCGUWCUNHZULZDUOMZUVIUAAUV
      NBUDUVGUCUPUVNUVGUQLOZUVIUVLPUQLOUVGPEUWLUSUVGQPURUTVAUVLUVGPVBVCVDUDVEOU
      VIVFVDUVFUVHVGUVFUVHVHVIUVIUVTUWKUCUMUVIUVKUMOZUFZGUVKNHZVJLZGVKHZUOOZUVT
      UWBUWQNHZUWAUWQNHZUBHZUVQEZABMZCGUWQUNHZULZUWKUWNUWPVLOZUWRUWNUWOQOZFUWOR
      SUXFUWNUWOUWMUWOUMOUVIUVKVMVNZVOUWNUWOUXHVPUWOVQVRUWPVSVTZUWNUVTUXCCUXDUW
      NUWAUXDOZUFZUVTUWTUVKUVOHZUVQEZABMZUXCUXKUWTUVGOZUVTUXNWBUXKUWTQOZFUWTRSU
      WTGRSZUXOUXKUWTUXKUWAUWQUXKUWAUXJUWAUOOZUWNUWAUWQWAVNZWCUXKUWQUWNUWRUXJUX
      IWDZWCWEZVOZUXKUWTUYAVPUXKUXQUWAUWQGWFHZRSZUXKUWAUWQUYCRUXJUWAUWQRSUWNUWA
      GUWQWGVNUXKUWQUXKUWQUXKUWQUXTWHZWIZWJWKUXKUWAQOGQOZUWQQOZFUWQTSZUXQUYDWMU
      XKUWAUXSWHZUXKXCZUYEUXKUWQUXTWLZUWAGUWQWNWOWPZUWTWQWRZUVSUXNUAUWTUVGUVJUW
      TIZUVRUXMABUYOUVPUXLUVQUVJUWTUVKUVOWSWTXAXBVTUXKUXMUXBABUXKUXAUXLEUXMUXBW
      BUXKUXAUWTUVKKHZUWTUVKVKHZXDHZUVGXEZUXLUXKUXAUYRUVGUXKUYPXFOUYQXFOUYPUWST
      SUWTUYQTSUXAUYREUXKUYPUXKUWTUVKUYBUXKUVKUVIUWMUXJXGZVOZXHXNUXKUYQUXKUWTUV
      KUYBVUAXIXNUXKUWTUWSUVKUYBUXKUWBUWQUXKUWBUXKUXRUWBVLOUXSUWAXJVTZXKZUXTXLV
      UAUXKUWTUWSKHZGUWQNHZUVKTUXKUWAUWBKHZUWQNHVUDVUEUXKUWAUWBUWQUXKUWAUYJWIZU
      XKUWBVUCWIUYFUXKUWQUXTXMXOUXKVUFGUWQNUXKUWAPOGPOVUFGIVUGXPUWAGXQXRXSXTUXK
      UWOUWQTSZVUEUVKTSZUXKUXGVUHUXKUVKUYTYAUWOYBVTUXKUYGUVKQOZFUVKTSZUYHUYIVUH
      VUIWMUYKVUAUWMVUKUVIUXJUVKYCYDUYEUYLGUVKUWQYEYFYGYMYHUXKUWTUVKUYBUYTYIUYP
      UYQUWSUWTYJYKUXKFQOUYGFUWSRSZUXQUXAUVGEUXKYLUYKUXKUWBQOFUWBRSUYHUYIVULVUC
      UXKUWBVUBYNUYEUYLUWBUWQYOYKUYMFGUWSUWTYPYKYQUXKUXLUWTUVKUVLQQUIZUJZUKLHZU
      VGXEZUYSVUNQYRLOUXKUWTQUVGXEZOUVKXFOZUXLVUPIVUNVUNYSZUUAUXKUWTUVGVUQUYNUV
      GQEZVUQUVGIURUVGQUUDUUBUUCUWMVURUVIUXJUVKUUEYDUVNVUNUWTUVKQUVGVUNUVMUJZUV
      NUVMVUMEZVVAUVNIVUTVUTVVBURURUVGQUVGQUUFVCUVLUVMVUMUUGUUHUUIUUJUUKUXKVUOU
      YRUVGUXKUXPVUJVUOUYRIUYBVUAUWTUVKVUNVUSUULVRUUOUUMUUPUXAUXLUVQUUNVTUUQUUR
      UUSUWJUXEDUWQUOUWCUWQIZUWHUXCCUWIUXDUWCUWQGUNYTVVCUWGUXBABVVCUWFUXAUVQVVC
      UWDUWSUWEUWTUBUWCUWQUWBNYTUWCUWQUWANYTUUTWTXAUVAUVBUVDUVCUVE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Path homotopy
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Htpy $.
  $c PHtpy $.
  $c ~=ph $.

  $( Extend class notation with the class of homotopies between two continuous
     functions. $)
  chtpy $a class Htpy $.

  $( Extend class notation with the class of path homotopies between two
     continuous functions. $)
  cphtpy $a class PHtpy $.

  $( Extend class notation with the path homotopy relation. $)
  cphtpc $a class ~=ph $.

  ${
    $d f g h s x y $.
    $( Define the function which takes topological spaces ` X , Y ` and two
       continuous functions ` F , G : X --> Y ` and returns the class of
       homotopies from ` F ` to ` G ` .  (Contributed by Mario Carneiro,
       22-Feb-2015.) $)
    df-htpy $a |- Htpy = ( x e. Top , y e. Top |->
        ( f e. ( x Cn y ) , g e. ( x Cn y ) |->
            { h e. ( ( x tX II ) Cn y ) | A. s e. U. x
              ( ( s h 0 ) = ( f ` s ) /\ ( s h 1 ) = ( g ` s ) ) } ) ) $.

    $( Define the class of path homotopies between two paths
       ` F , G : II --> X ` ; these are homotopies (in the sense of ~ df-htpy )
       which also preserve both endpoints of the paths throughout the homotopy.
       Definition of [Hatcher] p. 25.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    df-phtpy $a |- PHtpy = ( x e. Top |->
        ( f e. ( II Cn x ) , g e. ( II Cn x ) |->
            { h e. ( f ( II Htpy x ) g ) | A. s e. ( 0 [,] 1 )
              ( ( 0 h s ) = ( f ` 0 ) /\ ( 1 h s ) = ( f ` 1 ) ) } ) ) $.
  $}

  ${
    $d s A $.  $d f g h s t F $.  $d f g h s t G $.  $d h s x y H $.  $d t M $.
    $d f g h j k s t x y z J $.  $d f g h j k s t x y z ph $.
    $d f g h j k x y K $.  $d f g h j k s t x y z X $.
    ishtpy.1 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    ishtpy.3 $e |- ( ph -> F e. ( J Cn K ) ) $.
    ishtpy.4 $e |- ( ph -> G e. ( J Cn K ) ) $.
    $( Membership in the class of homotopies between two continuous functions.
       (Contributed by Mario Carneiro, 22-Feb-2015.)  (Revised by Mario
       Carneiro, 5-Sep-2015.) $)
    ishtpy $p |- ( ph -> ( H e. ( F ( J Htpy K ) G ) <->
                    ( H e. ( ( J tX II ) Cn K ) /\ A. s e. X
                    ( ( s H 0 ) = ( F ` s ) /\ ( s H 1 ) = ( G ` s ) ) ) ) ) $=
      ( vh vf vg co wcel wceq wa ccn cvv vj vk chtpy cv cc0 cfv c1 wral cii ctx
      crab ctop df-htpy a1i simprl simprr oveq12d oveq1d unieqd ctopon toponuni
      cuni cmpo syl adantr eqtr4d raleqdv rabeqbidv mpoeq123dv topontop cxp cpw
      cntop2 wf ovex ssrab2 elpwi2 rgen2w eqid fmpo mpbi xpex pwex mp3an ovmpod
      fex2 wb fveq1 eqeq2d bi2anan9 adantl ralbidv rabbidv rabex eleq2d anbi12d
      oveq eqeq1d elrab bitrdi ) ADBCEFUCOZOZPDHUDZUELUDZOZXCBUFZQZXCUGXDOZXCCU
      FZQZRZHGUHZLEUIUJOZFSOZUKZPDXNPXCUEDOZXFQZXCUGDOZXIQZRZHGUHZRAXBXODAMNBCE
      FSOZYBXEXCMUDZUFZQZXHXCNUDZUFZQZRZHGUHZLXNUKZXOXATAUAUBEFULULMNUAUDZUBUDZ
      SOZYNYIHYLVBZUHZLYLUIUJOZYMSOZUKZVCZMNYBYBYKVCZUCTUCUAUBULULYTVCQAUAUBMNL
      HUMUNAYLEQZYMFQZRZRZMNYNYNYSYBYBYKUUEYLEYMFSAUUBUUCUOZAUUBUUCUPZUQZUUHUUE
      YPYJLYRXNUUEYQXMYMFSUUEYLEUIUJUUFURUUGUQUUEYIHYOGUUEYOEVBZGUUEYLEUUFUSAGU
      UIQZUUDAEGUTUFPZUUJIGEVAVDVEVFVGVHVIAUUKEULPIGEVJVDABYBPFULPJBEFVMVDUUATP
      ZAYBYBVKZXNVLZUUAVNZUUMTPUUNTPUULYKUUNPZNYBUHMYBUHUUOUUPMNYBYBYKXNTXMFSVO
      ZYJLXNVPVQVRMNYBYBYKUUNUUAUUAVSVTWAYBYBEFSVOZUURWBXNUUQWCUUMUUNUUATTWFWDU
      NWEAYCBQZYFCQZRZRZYJXLLXNUVBYIXKHGUVAYIXKWGAUUSYEXGUUTYHXJUUSYDXFXEXCYCBW
      HWIUUTYGXIXHXCYFCWHWIWJWKWLWMJKXOTPAXLLXNUUQWNUNWEWOXLYALDXNXDDQZXKXTHGUV
      CXGXQXJXSUVCXEXPXFXCUEXDDWQWRUVCXHXRXIXCUGXDDWQWRWPWLWSWT $.

    $( A homotopy is a continuous function.  (Contributed by Mario Carneiro,
       22-Feb-2015.) $)
    htpycn $p |- ( ph -> ( F ( J Htpy K ) G ) C_ ( ( J tX II ) Cn K ) ) $=
      ( vh vs chtpy co cii ctx cv wcel cfv wceq wa ccn cc0 c1 wral ishtpy simpl
      syl6bi ssrdv ) AJBCDELMMZDNOMEUAMZAJPZUIQUKUJQZKPZUBUKMUMBRSUMUCUKMUMCRST
      KFUDZTULABCUKDEFKGHIUEULUNUFUGUH $.

    ${
      htpyi.1 $e |- ( ph -> H e. ( F ( J Htpy K ) G ) ) $.
      $( A homotopy evaluated at its endpoints.  (Contributed by Mario
         Carneiro, 22-Feb-2015.) $)
      htpyi $p |- ( ( ph /\ A e. X ) ->
        ( ( A H 0 ) = ( F ` A ) /\ ( A H 1 ) = ( G ` A ) ) ) $=
        ( vs cc0 co cfv wceq c1 wa wcel cv wral cii ctx ccn chtpy ishtpy simprd
        mpbid oveq1 fveq2 eqeq12d anbi12d rspccva sylan ) AMUAZNEOZUPCPZQZUPREO
        ZUPDPZQZSZMHUBZBHTBNEOZBCPZQZBREOZBDPZQZSZAEFUCUDOGUEOTZVDAECDFGUFOOTVL
        VDSLACDEFGHMIJKUGUIUHVCVKMBHUPBQZUSVGVBVJVMUQVEURVFUPBNEUJUPBCUKULVMUTV
        HVAVIUPBREUJUPBDUKULUMUNUO $.
    $}

    ${
      ishtpyd.1 $e |- ( ph -> H e. ( ( J tX II ) Cn K ) ) $.
      ishtpyd.2 $e |- ( ( ph /\ s e. X ) -> ( s H 0 ) = ( F ` s ) ) $.
      ishtpyd.3 $e |- ( ( ph /\ s e. X ) -> ( s H 1 ) = ( G ` s ) ) $.
      $( Deduction for membership in the class of homotopies.  (Contributed by
         Mario Carneiro, 22-Feb-2015.) $)
      ishtpyd $p |- ( ph -> H e. ( F ( J Htpy K ) G ) ) $=
        ( chtpy co wcel cfv wceq wa cii ctx ccn cv cc0 c1 wral ralrimiva ishtpy
        jca mpbir2and ) ADBCEFOPPQDEUAUBPFUCPQHUDZUEDPULBRSZULUFDPULCRSZTZHGUGL
        AUOHGAULGQTUMUNMNUJUHABCDEFGHIJKUIUK $.
    $}

    htpycom.6 $e |- M = ( x e. X , y e. ( 0 [,] 1 ) |->
                           ( x H ( 1 - y ) ) ) $.
    htpycom.7 $e |- ( ph -> H e. ( F ( J Htpy K ) G ) ) $.
    $( Given a homotopy from ` F ` to ` G ` , produce a homotopy from ` G ` to
       ` F ` .  (Contributed by Mario Carneiro, 23-Feb-2015.) $)
    htpycom $p |- ( ph -> M e. ( G ( J Htpy K ) F ) ) $=
      ( cc0 c1 co cmin cii vt vz cicc cmpo ctx ccn ctopon wcel iitopon cnmpt1st
      cv cfv cnmpt2nd cmpt iirevcn oveq2 cnmpt21 chtpy htpycn cnmpt22f eqeltrid
      sseldd wa wceq simpr 0elunit oveq1 1m0e1 eqtrdi oveq2d ovex ovmpo sylancl
      a1i htpyi simprd eqtrd 1elunit 1m1e0 simpld ishtpyd ) AEDIGHJUAKMLAIBCJPQ
      UCRZBUKZQCUKZSRZFRZUDGTUERHUFRZNABCWCWEFGTGTHJWBKTWBUGULUHAUIVNZABCGTJWBK
      WHUJABCUBWDQUBUKZSRZWEGTTTJWBWBKWHABCGTJWBKWHUMWHUBWBWJUNTTUFRUHAUBUOVNWI
      WDQSUPUQADEGHURRRWGFADEGHJKLMUSOVBUTVAAUAUKZJUHZVCZWKPIRZWKQFRZWKEULZWMWL
      PWBUHWNWOVDAWLVEZVFBCWKPJWBWFWOIWKWEFRZWCWKWEFVGZWDPVDZWEQWKFWTWEQPSRQWDP
      QSUPVHVIVJNWKQFVKVLVMWMWKPFRZWKDULZVDZWOWPVDZAWKDEFGHJKLMOVOZVPVQWMWKQIRZ
      XAXBWMWLQWBUHXFXAVDWQVRBCWKQJWBWFXAIWRWSWDQVDZWEPWKFXGWEQQSRPWDQQSUPVSVIV
      JNWKPFVKVLVMWMXCXDXEVTVQWA $.
  $}

  ${
    $d s x y F $.  $d s x y J $.  $d x y K $.  $d s x y ph $.  $d s x y X $.
    $d s G $.
    htpyid.1 $e |- G = ( x e. X , y e. ( 0 [,] 1 ) |-> ( F ` x ) ) $.
    htpyid.2 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    htpyid.4 $e |- ( ph -> F e. ( J Cn K ) ) $.
    $( A homotopy from a function to itself.  (Contributed by Mario Carneiro,
       23-Feb-2015.) $)
    htpyid $p |- ( ph -> G e. ( F ( J Htpy K ) F ) ) $=
      ( vs cc0 c1 co cv cfv cii wcel wceq cicc cmpo ctx ctopon iitopon cnmpt1st
      ccn a1i cnmpt21f eqeltrid wa simpr 0elunit fveq2 eqidd fvex ovmpo sylancl
      1elunit ishtpyd ) ADDEFGHLJKKAEBCHMNUAOZBPZDQZUBFRUCOGUGOIABCVBDFRFGHVAJR
      VAUDQSAUEUHZABCFRHVAJVDUFKUIUJALPZHSZUKZVFMVASVEMEOVEDQZTAVFULZUMBCVEMHVA
      VCVHEVHVBVEDUNZCPZMTVHUOIVEDUPZUQURVGVFNVASVENEOVHTVIUSBCVENHVAVCVHEVHVJV
      KNTVHUOIVLUQURUT $.
  $}

  ${
    $d s F $.  $d s G $.  $d x y H $.  $d x y K $.  $d x y L $.  $d s x y ph $.
    $d s x y J $.  $d s N $.  $d s x y P $.  $d s x y X $.
    htpyco1.n $e |- N = ( x e. X , y e. ( 0 [,] 1 ) |-> ( ( P ` x ) H y ) ) $.
    htpyco1.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    htpyco1.p $e |- ( ph -> P e. ( J Cn K ) ) $.
    htpyco1.f $e |- ( ph -> F e. ( K Cn L ) ) $.
    htpyco1.g $e |- ( ph -> G e. ( K Cn L ) ) $.
    htpyco1.h $e |- ( ph -> H e. ( F ( K Htpy L ) G ) ) $.
    $( Compose a homotopy with a continuous map.  (Contributed by Mario
       Carneiro, 10-Mar-2015.) $)
    htpyco1 $p |- ( ph -> N e. ( ( F o. P ) ( J Htpy L ) ( G o. P ) ) ) $=
      ( co wcel vs ccom ccn cnco syl2anc cc0 c1 cicc cv cfv cmpo cii ctx ctopon
      iitopon cnmpt1st cnmpt21f cnmpt2nd chtpy cuni ctop cntop2 toptopon2 sylib
      a1i syl htpycn sseldd cnmpt22f eqeltrid wa wceq wf cnf2 syl3anc ffvelrnda
      htpyi syldan simpld simpr 0elunit fveq2 id oveqan12d ovmpoa sylancl fvco3
      ovex sylan 3eqtr4d simprd 1elunit ishtpyd ) AEDUBZFDUBZKHJLUANADHIUCSTZEI
      JUCSZTWNHJUCSZTOPDEHIJUDUEAWPFWQTWOWRTOQDFHIJUDUEAKBCLUFUGUHSZBUIZDUJZCUI
      ZGSZUKHULUMSJUCSMABCXAXBGHULIULJLWSNULWSUNUJTAUOVEZABCWTDHULHILWSNXDABCHU
      LLWSNXDUPOUQABCHULLWSNXDURAEFIJUSSSIULUMSJUCSGAEFIJIUTZAIVATZIXEUNUJTZAWP
      XFODHIVBVFIVCVDZPQVGRVHVIVJAUAUIZLTZVKZXIDUJZUFGSZXLEUJZXIUFKSZXIWNUJZXKX
      MXNVLZXLUGGSZXLFUJZVLZAXJXLXETXQXTVKALXEXIDAHLUNUJTXGWPLXEDVMZNXHODHILXEV
      NVOZVPAXLEFGIJXEXHPQRVQVRZVSXKXJUFWSTXOXMVLAXJVTZWABCXIUFLWSXCXMKWTXIVLZX
      BUFVLZXAXLXBUFGWTXIDWBZYFWCWDMXLUFGWHWEWFAYAXJXPXNVLYBLXEXIEDWGWIWJXKXRXS
      XIUGKSZXIWOUJZXKXQXTYCWKXKXJUGWSTYHXRVLYDWLBCXIUGLWSXCXRKYEXBUGVLZXAXLXBU
      GGYGYJWCWDMXLUGGWHWEWFAYAXJYIXSVLYBLXEXIFDWGWIWJWM $.
  $}

  ${
    $d s F $.  $d s G $.  $d s H $.  $d s J $.  $d s P $.  $d s ph $.
    htpyco2.f $e |- ( ph -> F e. ( J Cn K ) ) $.
    htpyco2.g $e |- ( ph -> G e. ( J Cn K ) ) $.
    htpyco2.p $e |- ( ph -> P e. ( K Cn L ) ) $.
    htpyco2.h $e |- ( ph -> H e. ( F ( J Htpy K ) G ) ) $.
    $( Compose a homotopy with a continuous map.  (Contributed by Mario
       Carneiro, 10-Mar-2015.) $)
    htpyco2 $p |- ( ph ->
      ( P o. H ) e. ( ( P o. F ) ( J Htpy L ) ( P o. G ) ) ) $=
      ( wcel ctopon cfv ccn co cc0 wceq c1 ccom cuni cntop1 syl toptopon2 sylib
      vs ctop syl2anc cii ctx chtpy htpycn sseldd cv wa htpyi simpld fveq2d cop
      cnco cicc cxp iitopon txtopon sylancl cntop2 cnf2 syl3anc 0elunit opelxpi
      simpr fvco3 syl2an2r df-ov fveq2i 3eqtr4g eqid cnf 3eqtr4d simprd 1elunit
      wf sylan ishtpyd ) ABCUAZBDUAZBEUAZFHFUBZUGAFUHMZFWINOMZACFGPQZMZWJICFGUC
      UDFUEUFZAWMBGHPQMZWFFHPQZMIKCBFGHVAUIADWLMZWOWGWPMJKDBFGHVAUIAEFUJUKQZGPQ
      ZMZWOWHWRHPQMACDFGULQQWSEACDFGWIWNIJUMLUNZKEBWRGHVAUIAUGUOZWIMZUPZXBREQZB
      OZXBCOZBOZXBRWHQZXBWFOZXDXEXGBXDXEXGSZXBTEQZXBDOZSZAXBCDEFGWIWNIJLUQZURUS
      XDXBRUTZWHOZXPEOZBOZXIXFAWIRTVBQZVCZGUBZEWCZXCXPYAMZXQXSSAWRYANOMZGYBNOMZ
      WTYCAWKUJXTNOMYEWNVDFUJWIXTVEVFAGUHMZYFAWMYGICFGVGUDGUEUFXAEWRGYAYBVHVIZX
      DXCRXTMYDAXCVLZVJXBRWIXTVKVFYAYBXPBEVMVNXBRWHVOXEXRBXBREVOVPVQAWIYBCWCZXC
      XJXHSAWMYJICFGWIYBWIVRZYBVRZVSUDWIYBXBBCVMWDVTXDXLBOZXMBOZXBTWHQZXBWGOZXD
      XLXMBXDXKXNXOWAUSXDXBTUTZWHOZYQEOZBOZYOYMAYCXCYQYAMZYRYTSYHXDXCTXTMUUAYIW
      BXBTWIXTVKVFYAYBYQBEVMVNXBTWHVOXLYSBXBTEVOVPVQAWIYBDWCZXCYPYNSAWQUUBJDFGW
      IYBYKYLVSUDWIYBXBBDVMWDVTWE $.
  $}

  ${
    $d s x y z J $.  $d x y K $.  $d s x y L $.  $d s x y M $.  $d s x y z X $.
    $d s F $.  $d s H $.  $d s N $.  $d s x y z ph $.
    htpycc.1 $e |- N = ( x e. X , y e. ( 0 [,] 1 ) |->
   if ( y <_ ( 1 / 2 ) , ( x L ( 2 x. y ) ) , ( x M ( ( 2 x. y ) - 1 ) ) ) ) $.
    htpycc.2 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    htpycc.4 $e |- ( ph -> F e. ( J Cn K ) ) $.
    htpycc.5 $e |- ( ph -> G e. ( J Cn K ) ) $.
    htpycc.6 $e |- ( ph -> H e. ( J Cn K ) ) $.
    htpycc.7 $e |- ( ph -> L e. ( F ( J Htpy K ) G ) ) $.
    htpycc.8 $e |- ( ph -> M e. ( G ( J Htpy K ) H ) ) $.
    $( Concatenate two homotopies.  (Contributed by Jeff Madsen, 2-Sep-2009.)
       (Revised by Mario Carneiro, 23-Feb-2015.) $)
    htpycc $p |- ( ph -> N e. ( F ( J Htpy K ) H ) ) $=
      ( c1 vs vz cc0 cicc co cdiv cle wbr cmul cmin cif cmpo cii ctx ccn ctopon
      cv c2 cfv wcel iitopon a1i cioo crn ctg crest eqid dfii2 0red 1red halfre
      cr halfge0 1re halflt1 ltleii elicc01 mpbir3an wceq wa wral simprd simpld
      htpyi eqtr4d ralrimiva weq oveq1 eqeq12d rspccva sylan adantrl simprl 2cn
      oveq2d 2ne0 recidi eqtrdi 1m1e0 3eqtr4d wss retopon 0re iccssre resttopon
      oveq1d mp2an cnmpt2nd cnmpt1st cmpt iihalf1cn oveq2 cnmpt21 htpycn sseldd
      chtpy cnmpt22f iihalf2cn cnmpopc cnmptcom eqeltrid simpr 0elunit eqbrtrdi
      iftrued simpl 2t0e0 oveq12d eqtrd ovex ovmpoa sylancl 1elunit clt wn mpbi
      ltnlei breq1d mtbiri iffalsed 2t1e2 2m1e1 ishtpyd ) ADFKGHLUANOQAKBCLUCTU
      DUEZCUQZTURUFUEZUGUHZBUQZURUUEUIUEZIUEZUUHUUITUJUEZJUEZUKZULGUMUNUEHUOUEZ
      MACBUUMUMGHUUDLUMUUDUPUSUTAVAVBNACBUCUUFTUUJVCVDVEUSZUULGHUUOUCUUFUDUEZVF
      UEZUUOUUFTUDUEZVFUEZUMLUUOVGUUQVGZUUSVGZVHAVIAVJUUFUUDUTZAUVBUUFVLUTZUCUU
      FUGUHUUFTUGUHVKVMUUFTVKVNVOVPUUFVQVRVBNAUUEUUFVSZUUHLUTZVTVTZUUHTIUEZUUHU
      CJUEZUUJUULAUVEUVGUVHVSZUVDAUAUQZTIUEZUVJUCJUEZVSZUALWAUVEUVIAUVMUALAUVJL
      UTZVTZUVKUVJEUSZUVLUVOUVJUCIUEZUVJDUSZVSZUVKUVPVSZAUVJDEIGHLNOPRWDZWBUVOU
      VLUVPVSZUVJTJUEZUVJFUSZVSZAUVJEFJGHLNPQSWDZWCWEWFUVMUVIUAUUHLUABWGUVKUVGU
      VLUVHUVJUUHTIWHUVJUUHUCJWHWIWJWKWLUVFUUITUUHIUVFUUIURUUFUIUETUVFUUEUUFURU
      IAUVDUVEWMWOURWNWPWQWRZWOUVFUUKUCUUHJUVFUUKTTUJUEUCUVFUUITTUJUWGXFWSWRWOW
      TACBUUHUUIIUUQGGUMHUUPLUUQUUPUPUSUTZAUUOVLUPUSUTZUUPVLXAZUWHXBUCVLUTUVCUW
      JXCVKUCUUFXDXGUUPUUOVLXEXGVBZNACBUUQGUUPLUWKNXHACBUBUUEURUBUQZUIUEZUUIUUQ
      GUUQUMUUPLUUPUWKNACBUUQGUUPLUWKNXIUWKUBUUPUWMXJUUQUMUOUEUTAUBUUQUUTXKVBUW
      LUUEURUIXLZXMADEGHXPUEZUEUUNIADEGHLNOPXNRXOXQACBUUHUUKJUUSGGUMHUURLUUSUUR
      UPUSUTZAUWIUURVLXAZUWPXBUVCTVLUTUWQVKVNUUFTXDXGUURUUOVLXEXGVBZNACBUUSGUUR
      LUWRNXHACBUBUUEUWMTUJUEZUUKUUSGUUSUMUURLUURUWRNACBUUSGUURLUWRNXIUWRUBUURU
      WSXJUUSUMUOUEUTAUBUUSUVAXRVBUBCWGUWMUUITUJUWNXFXMAEFUWOUEUUNJAEFGHLNPQXNS
      XOXQXSXTYAUVOUVJUCKUEZUVQUVRUVOUVNUCUUDUTUWTUVQVSAUVNYBZYCBCUVJUCLUUDUUMU
      VQKBUAWGZUUEUCVSZVTZUUMUUJUVQUXDUUGUUJUULUXDUUEUCUUFUGUXBUXCYBZVMYDYEUXDU
      UHUVJUUIUCIUXBUXCYFUXDUUIURUCUIUEUCUXDUUEUCURUIUXEWOYGWRYHYIMUVJUCIYJYKYL
      UVOUVSUVTUWAWCYIUVOUVJTKUEZUWCUWDUVOUVNTUUDUTUXFUWCVSUXAYMBCUVJTLUUDUUMUW
      CKUXBUUETVSZVTZUUMUULUWCUXHUUGUUJUULUXHUUGTUUFUGUHZUUFTYNUHUXIYOVOUUFTVKV
      NYQYPUXHUUETUUFUGUXBUXGYBZYRYSYTUXHUUHUVJUUKTJUXBUXGYFUXHUUKURTUJUETUXHUU
      IURTUJUXHUUIURTUIUEURUXHUUETURUIUXJWOUUAWRXFUUBWRYHYIMUVJTJYJYKYLUVOUWBUW
      EUWFWBYIUUC $.
  $}

  ${
    $d s A $.  $d f g h s t F $.  $d f g h s t G $.  $d h s x y H $.  $d t K $.
    $d f g h j s t x y J $.  $d f g h s t x y ph $.
    isphtpy.2 $e |- ( ph -> F e. ( II Cn J ) ) $.
    isphtpy.3 $e |- ( ph -> G e. ( II Cn J ) ) $.
    $( Membership in the class of path homotopies between two continuous
       functions.  (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario
       Carneiro, 23-Feb-2015.) $)
    isphtpy $p |- ( ph -> ( H e. ( F ( PHtpy ` J ) G ) <->
                    ( H e. ( F ( II Htpy J ) G ) /\ A. s e. ( 0 [,] 1 )
                    ( ( 0 H s ) = ( F ` 0 ) /\ ( 1 H s ) = ( F ` 1 ) ) ) ) ) $=
      ( vh vf vg cfv co wcel cc0 cv wceq c1 wa cii vj cphtpy cicc wral crab ccn
      chtpy ctop cmpo cntop2 oveq2 oveqd rabeqdv mpoeq123dv df-phtpy ovex mpoex
      cvv fvmpt 3syl oveq12 simpl fveq1d eqeq2d anbi12d ralbidv rabeqbidv rabex
      adantl a1i ovmpod eleq2d oveq eqeq1d elrab bitrdi ) ADBCEUBLZMZNDOFPZIPZM
      ZOBLZQZRVSVTMZRBLZQZSZFORUCMZUDZIBCTEUGMZMZUEZNDWKNOVSDMZWBQZRVSDMZWEQZSZ
      FWHUDZSAVRWLDAJKBCTEUFMZWSWAOJPZLZQZWDRWTLZQZSZFWHUDZIWTKPZWJMZUEZWLVQURA
      BWSNEUHNVQJKWSWSXIUIZQGBTEUJUAEJKTUAPZUFMZXLXFIWTXGTXKUGMZMZUEZUIXJUHUBXK
      EQZJKXLXLXOWSWSXIXKETUFUKZXQXPXFIXNXHXPXMWJWTXGXKETUGUKULUMUNUAJKIFUOJKWS
      WSXITEUFUPZXRUQUSUTWTBQZXGCQZSZXIWLQAYAXFWIIXHWKWTBXGCWJVAYAXEWGFWHYAXBWC
      XDWFYAXAWBWAYAOWTBXSXTVBZVCVDYAXCWEWDYARWTBYBVCVDVEVFVGVIGHWLURNAWIIWKBCW
      JUPVHVJVKVLWIWRIDWKVTDQZWGWQFWHYCWCWNWFWPYCWAWMWBOVSVTDVMVNYCWDWOWERVSVTD
      VMVNVEVFVOVP $.

    $( A path homotopy is a homotopy.  (Contributed by Mario Carneiro,
       23-Feb-2015.) $)
    phtpyhtpy $p |- ( ph -> ( F ( PHtpy ` J ) G ) C_ ( F ( II Htpy J ) G ) ) $=
      ( vh vs cphtpy cfv co cii chtpy cv wcel cc0 wceq c1 wa cicc isphtpy simpl
      wral syl6bi ssrdv ) AGBCDIJKZBCLDMKKZAGNZUFOUHUGOZPHNZUHKPBJQRUJUHKRBJQSH
      PRTKUCZSUIABCUHDHEFUAUIUKUBUDUE $.

    $( A path homotopy is a continuous function.  (Contributed by Mario
       Carneiro, 23-Feb-2015.) $)
    phtpycn $p |- ( ph -> ( F ( PHtpy ` J ) G ) C_ ( ( II tX II ) Cn J ) ) $=
      ( cphtpy cfv co cii chtpy ctx ccn phtpyhtpy cc0 cicc ctopon wcel iitopon
      c1 a1i htpycn sstrd ) ABCDGHIBCJDKIIJJLIDMIABCDEFNABCJDOTPIZJUDQHRASUAEFU
      BUC $.

    ${
      phtpyi.1 $e |- ( ph -> H e. ( F ( PHtpy ` J ) G ) ) $.
      $( Membership in the class of path homotopies between two continuous
         functions.  (Contributed by Mario Carneiro, 23-Feb-2015.) $)
      phtpyi $p |- ( ( ph /\ A e. ( 0 [,] 1 ) ) ->
        ( ( 0 H A ) = ( F ` 0 ) /\ ( 1 H A ) = ( F ` 1 ) ) ) $=
        ( vs cc0 cv co cfv wceq c1 wa wcel oveq2 eqeq1d cicc wral chtpy isphtpy
        cii cphtpy mpbid simprd anbi12d rspccva sylan ) AKJLZEMZKCNZOZPULEMZPCN
        ZOZQZJKPUAMZUBZBUTRKBEMZUNOZPBEMZUQOZQZAECDUEFUCMMRZVAAECDFUFNMRVGVAQIA
        CDEFJGHUDUGUHUSVFJBUTULBOZUOVCURVEVHUMVBUNULBKESTVHUPVDUQULBPESTUIUJUK
        $.

      $( Two path-homotopic paths have the same start and end point.
         (Contributed by Mario Carneiro, 23-Feb-2015.) $)
      phtpy01 $p |- ( ph ->
        ( ( F ` 0 ) = ( G ` 0 ) /\ ( F ` 1 ) = ( G ` 1 ) ) ) $=
        ( cc0 cfv wceq c1 co wcel wa 1elunit mpan2 cii htpyi simprd cicc phtpyi
        simpld 0elunit ctopon iitopon a1i cphtpy chtpy phtpyhtpy sseldd eqtr3d
        jca ) AIBJZICJZKLBJZLCJZKAILDMZUNUOAURUNKZLLDMZUPKZALILUAMZNZUSVAOPALBC
        DEFGHUBQZUCAIIDMUNKZURUOKZAIVBNVEVFOUDAIBCDREVBRVBUEJNAUFUGZFGABCEUHJMB
        CREUIMMDABCEFGUJHUKZSQTULAUTUPUQAUSVAVDTALIDMUPKZUTUQKZAVCVIVJOPALBCDRE
        VBVGFGVHSQTULUM $.
    $}

    ${
      isphtpyd.1 $e |- ( ph -> H e. ( F ( II Htpy J ) G ) ) $.
      isphtpyd.2 $e |- ( ( ph /\ s e. ( 0 [,] 1 ) ) ->
        ( 0 H s ) = ( F ` 0 ) ) $.
      isphtpyd.3 $e |- ( ( ph /\ s e. ( 0 [,] 1 ) ) ->
        ( 1 H s ) = ( F ` 1 ) ) $.
      $( Deduction for membership in the class of path homotopies.
         (Contributed by Mario Carneiro, 23-Feb-2015.) $)
      isphtpyd $p |- ( ph -> H e. ( F ( PHtpy ` J ) G ) ) $=
        ( cphtpy cfv co wcel cii cc0 wceq c1 wa chtpy cv cicc ralrimiva isphtpy
        wral jca mpbir2and ) ADBCELMNODBCPEUANNOQFUBZDNQBMRZSUIDNSBMRZTZFQSUCNZ
        UFIAULFUMAUIUMOTUJUKJKUGUDABCDEFGHUEUH $.
    $}

    ${
      isphtpy2d.1 $e |- ( ph -> H e. ( ( II tX II ) Cn J ) ) $.
      isphtpy2d.2 $e |- ( ( ph /\ s e. ( 0 [,] 1 ) ) ->
        ( s H 0 ) = ( F ` s ) ) $.
      isphtpy2d.3 $e |- ( ( ph /\ s e. ( 0 [,] 1 ) ) ->
        ( s H 1 ) = ( G ` s ) ) $.
      isphtpy2d.4 $e |- ( ( ph /\ s e. ( 0 [,] 1 ) ) ->
        ( 0 H s ) = ( F ` 0 ) ) $.
      isphtpy2d.5 $e |- ( ( ph /\ s e. ( 0 [,] 1 ) ) ->
        ( 1 H s ) = ( F ` 1 ) ) $.
      $( Deduction for membership in the class of path homotopies.
         (Contributed by Mario Carneiro, 23-Feb-2015.) $)
      isphtpy2d $p |- ( ph -> H e. ( F ( PHtpy ` J ) G ) ) $=
        ( cii cc0 c1 cicc co ctopon cfv wcel iitopon a1i ishtpyd isphtpyd ) ABC
        DEFGHABCDNEOPQRZFNUFSTUAAUBUCGHIJKUDLMUE $.
    $}

    phtpycom.6 $e |- K = ( x e. ( 0 [,] 1 ) , y e. ( 0 [,] 1 ) |->
                           ( x H ( 1 - y ) ) ) $.
    phtpycom.7 $e |- ( ph -> H e. ( F ( PHtpy ` J ) G ) ) $.
    $( Given a homotopy from ` F ` to ` G ` , produce a homotopy from ` G ` to
       ` F ` .  (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario
       Carneiro, 23-Feb-2015.) $)
    phtpycom $p |- ( ph -> K e. ( G ( PHtpy ` J ) F ) ) $=
      ( cii cc0 c1 co cfv wcel cv wceq cicc ctopon iitopon a1i cphtpy phtpyhtpy
      vt chtpy sseldd htpycom wa 0elunit simpr oveq1 oveq2 oveq2d ovmpo sylancr
      cmin ovex iirev phtpyi sylan2 simpld phtpy01 adantr 3eqtrd 1elunit simprd
      isphtpyd ) AEDHGUGJIABCDEFMGHNOUAPZMVKUBQRAUCUDIJKADEGUEQPDEMGUHPPFADEGIJ
      UFLUIUJAUGSZVKRZUKZNVLHPZNOVLUSPZFPZNDQZNEQZVNNVKRVMVOVQTULAVMUMZBCNVLVKV
      KBSZOCSZUSPZFPZVQHNWCFPWANWCFUNWBVLTZWCVPNFWBVLOUSUOZUPKNVPFUTUQURVNVQVRT
      ZOVPFPZODQZTZVMAVPVKRWGWJUKVLVAAVPDEFGIJLVBVCZVDVNVRVSTZWIOEQZTZAWLWNUKVM
      ADEFGIJLVEVFZVDVGVNOVLHPZWHWIWMVNOVKRVMWPWHTVHVTBCOVLVKVKWDWHHOWCFPWAOWCF
      UNWEWCVPOFWFUPKOVPFUTUQURVNWGWJWKVIVNWLWNWOVIVGVJ $.
  $}

  ${
    $d s x y F $.  $d s G $.  $d s x y J $.  $d s x y ph $.
    phtpyid.1 $e |- G = ( x e. ( 0 [,] 1 ) , y e. ( 0 [,] 1 ) |->
                          ( F ` x ) ) $.
    phtpyid.3 $e |- ( ph -> F e. ( II Cn J ) ) $.
    $( A homotopy from a path to itself.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Revised by Mario Carneiro, 23-Feb-2015.) $)
    phtpyid $p |- ( ph -> G e. ( F ( PHtpy ` J ) F ) ) $=
      ( vs cii cc0 c1 co cfv wcel cv wceq fveq2 eqidd fvex cicc iitopon 0elunit
      ctopon a1i htpyid ovmpo mpan adantl 1elunit isphtpyd ) ADDEFIHHABCDEJFKLU
      AMZGJULUDNOAUBUEHUFIPZULOZKUMEMKDNZQZAKULOUNUPUCBCKUMULULBPZDNZUOEUOUQKDR
      CPUMQZUOSGKDTUGUHUIUNLUMEMLDNZQZALULOUNVAUJBCLUMULULURUTEUTUQLDRUSUTSGLDT
      UGUHUIUK $.
  $}

  ${
    $d s F $.  $d s G $.  $d s H $.  $d s K $.  $d s P $.  $d s ph $.
    phtpyco2.f $e |- ( ph -> F e. ( II Cn J ) ) $.
    phtpyco2.g $e |- ( ph -> G e. ( II Cn J ) ) $.
    phtpyco2.p $e |- ( ph -> P e. ( J Cn K ) ) $.
    phtpyco2.h $e |- ( ph -> H e. ( F ( PHtpy ` J ) G ) ) $.
    $( Compose a path homotopy with a continuous map.  (Contributed by Mario
       Carneiro, 10-Mar-2015.) $)
    phtpyco2 $p |- ( ph ->
      ( P o. H ) e. ( ( P o. F ) ( PHtpy ` K ) ( P o. G ) ) ) $=
      ( cii ccn co wcel cfv cc0 c1 wceq fvco3 vs ccom cnco syl2anc cphtpy chtpy
      phtpyhtpy sseldd htpyco2 cv cicc wa phtpyi simpld fveq2d cop cxp cuni ctx
      ctopon iitopon txtopon mp2an ctop cntop2 syl toptopon2 sylib phtpycn cnf2
      mp3an2i 0elunit simpr opelxpi sylancr syl2an2r df-ov fveq2i 3eqtr4g iiuni
      wf eqid cnf adantr sylancl 3eqtr4d simprd 1elunit isphtpyd ) ABCUBZBDUBZB
      EUBZGUAACLFMNZOZBFGMNOZWJLGMNZOHJCBLFGUCUDADWMOWOWKWPOIJDBLFGUCUDABCDELFG
      HIJACDFUEPNZCDLFUFNNEACDFHIUGKUHUIAUAUJZQRUKNZOZULZQWRENZBPZQCPZBPZQWRWLN
      ZQWJPZXAXBXDBXAXBXDSZRWRENZRCPZSZAWRCDEFHIKUMZUNUOXAQWRUPZWLPZXMEPZBPZXFX
      CAWSWSUQZFURZEWAZWTXMXQOZXNXPSLLUSNZXQUTPOZAFXRUTPOZEYAFMNZOXSLWSUTPOZYEY
      BVAVALLWSWSVBVCAFVDOZYCAWNYFHCLFVEVFFVGVHAWQYDEACDFHIVIKUHEYAFXQXRVJVKZXA
      QWSOZWTXTVLAWTVMZQWRWSWSVNVOXQXRXMBETVPQWRWLVQXBXOBQWREVQVRVSXAWSXRCWAZYH
      XGXESAYJWTAWNYJHCLFWSXRVTXRWBWCVFWDZVLWSXRQBCTWEWFXAXIBPZXJBPZRWRWLNZRWJP
      ZXAXIXJBXAXHXKXLWGUOXARWRUPZWLPZYPEPZBPZYNYLAXSWTYPXQOZYQYSSYGXARWSOZWTYT
      WHYIRWRWSWSVNVOXQXRYPBETVPRWRWLVQXIYRBRWREVQVRVSXAYJUUAYOYMSYKWHWSXRRBCTW
      EWFWI $.
  $}

  ${
    $d s F $.  $d s H $.  $d s x y J $.  $d x y K $.  $d s M $.  $d s x y ph $.
    $d x y L $.
    phtpycc.1 $e |- M = ( x e. ( 0 [,] 1 ) , y e. ( 0 [,] 1 ) |->
                          if ( y <_ ( 1 / 2 ) ,
                    ( x K ( 2 x. y ) ) , ( x L ( ( 2 x. y ) - 1 ) ) ) ) $.
    phtpycc.3 $e |- ( ph -> F e. ( II Cn J ) ) $.
    phtpycc.4 $e |- ( ph -> G e. ( II Cn J ) ) $.
    phtpycc.5 $e |- ( ph -> H e. ( II Cn J ) ) $.
    phtpycc.6 $e |- ( ph -> K e. ( F ( PHtpy ` J ) G ) ) $.
    phtpycc.7 $e |- ( ph -> L e. ( G ( PHtpy ` J ) H ) ) $.
    $( Concatenate two path homotopies.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Proof shortened by Mario Carneiro, 7-Jun-2014.) $)
    phtpycc $p |- ( ph -> M e. ( F ( PHtpy ` J ) H ) ) $=
      ( cc0 c1 co wceq vs cii cicc ctopon cfv wcel iitopon a1i cphtpy phtpyhtpy
      chtpy sseldd htpycc cv wa cdiv cle wbr cmul cmin cif 0elunit simpr breq1d
      c2 simpl oveq2d oveq12d oveq1d ifbieq12d ovex ovmpoa sylancr simpll elii1
      iihalf1 sylbir adantll phtpyi syl2anc simpld wn elii2 iihalf2 syl phtpy01
      ifex ad2antrr eqtr4d ifeqda eqtrd 1elunit simprd isphtpyd ) ADFJGUALNABCD
      EFUBGHIJQRUCSZKUBWOUDUEUFAUGUHLMNADEGUIUEZSDEUBGUKSZSHADEGLMUJOULAEFWPSEF
      WQSIAEFGMNUJPULUMAUAUNZWOUFZUOZQWRJSZWRRVEUPSZUQURZQVEWRUSSZHSZQXDRUTSZIS
      ZVAZQDUEZWTQWOUFWSXAXHTVBAWSVCZBCQWRWOWOCUNZXBUQURZBUNZVEXKUSSZHSZXMXNRUT
      SZISZVAZXHJXMQTZXKWRTZUOZXLXCXOXQXEXGYAXKWRXBUQXSXTVCZVDYAXMQXNXDHXSXTVFZ
      YAXKWRVEUSYBVGZVHYAXMQXPXFIYCYAXNXDRUTYDVIVHVJKXCXEXGQXDHVKQXFIVKWGVLVMWT
      XCXEXGXIWTXCUOZXEXITZRXDHSZRDUEZTZYEAXDWOUFZYFYIUOAWSXCVNWSXCYJAWSXCUOWRQ
      XBUCSUFYJWRVOWRVPVQVRAXDDEHGLMOVSVTZWAWTXCWBZUOZXGQEUEZXIYMXGYNTZRXFISZRE
      UEZTZYMAXFWOUFZYOYRUOAWSYLVNWSYLYSAWSYLUOWRXBRUCSUFYSWRWCWRWDWEVRAXFEFIGM
      NPVSVTZWAYMXIYNTZYHYQTZAUUAUUBUOWSYLADEHGLMOWFWHZWAWIWJWKWTRWRJSZXCYGYPVA
      ZYHWTRWOUFWSUUDUUETWLXJBCRWRWOWOXRUUEJXMRTZXTUOZXLXCXOXQYGYPUUGXKWRXBUQUU
      FXTVCZVDUUGXMRXNXDHUUFXTVFZUUGXKWRVEUSUUHVGZVHUUGXMRXPXFIUUIUUGXNXDRUTUUJ
      VIVHVJKXCYGYPRXDHVKRXFIVKWGVLVMWTXCYGYPYHYEYFYIYKWMYMYPYQYHYMYOYRYTWMYMUU
      AUUBUUCWMWIWJWKWN $.
  $}

  ${
    $d x f g J $.
    $( Define the function which takes a topology and returns the path homotopy
       relation on that topology.  Definition of [Hatcher] p. 25.  (Contributed
       by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro,
       7-Jun-2014.) $)
    df-phtpc $a |- ~=ph = ( x e. Top |-> { <. f , g >. |
        ( { f , g } C_ ( II Cn x ) /\ ( f ( PHtpy ` x ) g ) =/= (/) ) } ) $.

    $( The path homotopy relation is a relation.  (Contributed by Mario
       Carneiro, 7-Jun-2014.)  (Revised by Mario Carneiro, 7-Aug-2014.) $)
    phtpcrel $p |- Rel ( ~=ph ` J ) $=
      ( vf vg vx cv cpr cii ccn co wss cphtpy cfv c0 wne ctop cphtpc relmptopab
      wa df-phtpc ) BEZCEZFGDEZHIJTUAUBKLIMNRDBCOAPDBCSQ $.
  $}

  ${
    $d f g F $.  $d f g G $.  $d f g j J $.
    $( The relation "is path homotopic to".  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Revised by Mario Carneiro, 5-Sep-2015.) $)
    isphtpc $p |- ( F ( ~=ph ` J ) G <->
      ( F e. ( II Cn J ) /\ G e. ( II Cn J ) /\
        ( F ( PHtpy ` J ) G ) =/= (/) ) ) $=
      ( vj vf vg cphtpc cfv wbr ctop wcel cii ccn co cphtpy c0 wne cv wa wceq
      w3a cop df-br cpr wss copab df-phtpc mptrcl sylbi cntop2 oveq2 sseq2d vex
      3ad2ant1 prss bitr4di fveq2 oveqd anbi12d opabbidv cxp ovex xpex opabssxp
      neeq1d ssexi fvmpt breqd oveq12 brab2a df-3an bitr4i bitrdi pm5.21nii
      eqid ) ABCGHZIZCJKZALCMNZKZBVSKZABCOHZNZPQZUAZVQABUBZVPKVRABVPUCDJERZFRZU
      DZLDRZMNZUEZWGWHWJOHZNZPQZSZEFUFZGWFCDEFUGZUHUIVTWAVRWDALCUJUNVRVQABWGVSK
      WHVSKSZWGWHWBNZPQZSZEFUFZIZWEVRVPXCABDCWQXCJGWJCTZWPXBEFXEWLWSWOXAXEWLWIV
      SUEWSXEWKVSWIWJCLMUKULWGWHVSEUMFUMUOUPXEWNWTPXEWMWBWGWHWJCOUQURVEUSUTWRXC
      VSVSVAVSVSLCMVBZXFVCXAEFVSVSVDVFVGVHXDVTWASWDSWEXAWDEFABVSVSXCWGATWHBTSWT
      WCPWGAWHBWBVIVEXCVOVJVTWAWDVKVLVMVN $.
  $}

  ${
    $d f g u v x y z J $.
    $( Path homotopy is an equivalence relation.  Proposition 1.2 of [Hatcher]
       p. 26.  (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario
       Carneiro, 6-Jul-2015.)  (Proof shortened by AV, 1-May-2021.) $)
    phtpcer $p |- ( ~=ph ` J ) Er ( II Cn J ) $=
      ( vy vz vf vu vv vg co cfv cv wbr wcel c0 wne isphtpc wex sylib wa adantr
      c1 vx cii ccn cphtpc phtpcrel cphtpy simp2bi simp1bi simp3bi n0 cicc cmin
      cc0 cmpo eqid phtpycom ne0d exlimddv syl3anbrc w3a simp2d simp3d exdistrv
      simpr sylanbrc c2 cdiv cle cmul cif simp1d simprl simprr phtpycc exlimdvv
      ex mpd id phtpyid ancli pm4.71ri df-3an 3ancomb 3bitr2i bitr4i iseri ) UA
      BCUBAUCHZAUDIZAUEUAJZBJZWHKZWJWGLZWIWGLZWJWIAUFIZHZMNZWJWIWHKWKWMWLWIWJWN
      HZMNZWIWJAOZUGZWKWMWLWRWSUHZWKDJZWQLZWPDWKWRXCDPZWKWMWLWRWSUIZDWQUJZQWKXC
      RZWOEFUMTUKHZXHEJZTFJZULHXBHUNZXGEFWIWJXBAXKWKWMXCXASWKWLXCWTSXKUOWKXCVDU
      PUQURWJWIAOUSWKWJCJZWHKZRZWMXLWGLZWIXLWNHZMNZWIXLWHKWKWMXMXASZXNWLXOWJXLW
      NHZMNZXNXMWLXOXTUTWKXMVDWJXLAOQZVAZXNXCGJZXSLZRZGPDPZXQXNXDYDGPZYFXNWRXDW
      KWRXMXESXFQXNXTYGXNWLXOXTYAVBGXSUJQXCYDDGVCVEXNYEXQDGXNYEXQXNYERZXPEFXHXH
      XJTVFVGHVHKXIVFXJVIHZXBHXIYITULHYCHVJUNZYHEFWIWJXLAXBYCYJYJUOXNWMYEXRSXNW
      LYEXNWLXOXTYAVKSXNXOYEYBSXNXCYDVLXNXCYDVMVNUQVPVOVQWIXLAOUSWMWMWMWIWIWNHZ
      MNZUTZWIWIWHKWMWMYLRZWMRWMYLWMUTYMWMYNWMYLWMYKBCXHXHWJWIIUNZWMBCWIYOAYOUO
      WMVRVSUQVTWAWMYLWMWBWMYLWMWCWDWIWIAOWEWF $.
  $}

  ${
    $d h F $.  $d h G $.  $d h J $.
    $( Path homotopic paths have the same endpoints.  (Contributed by Mario
       Carneiro, 24-Feb-2015.) $)
    phtpc01 $p |- ( F ( ~=ph ` J ) G ->
      ( ( F ` 0 ) = ( G ` 0 ) /\ ( F ` 1 ) = ( G ` 1 ) ) ) $=
      ( vh cphtpc cfv wbr cii ccn co wcel cphtpy c0 wne w3a cc0 wceq c1 isphtpc
      wa cv wex n0 simpll simplr simpr phtpy01 ex exlimdv syl5bi 3impia sylbi )
      ABCEFGAHCIJZKZBUMKZABCLFJZMNZOPAFPBFQRAFRBFQTZABCSUNUOUQURUQDUAZUPKZDUBUN
      UOTZURDUPUCVAUTURDVAUTURVAUTTABUSCUNUOUTUDUNUOUTUEVAUTUFUGUHUIUJUKUL $.
  $}

  ${
    $d s x y F $.  $d s x y G $.  $d s H $.  $d s x y J $.  $d s x y z ph $.
    reparpht.2 $e |- ( ph -> F e. ( II Cn J ) ) $.
    reparpht.3 $e |- ( ph -> G e. ( II Cn II ) ) $.
    reparpht.4 $e |- ( ph -> ( G ` 0 ) = 0 ) $.
    reparpht.5 $e |- ( ph -> ( G ` 1 ) = 1 ) $.
    ${
      reparphti.6 $e |- H = ( x e. ( 0 [,] 1 ) , y e. ( 0 [,] 1 ) |->
                    ( F ` ( ( ( 1 - y ) x. ( G ` x ) ) + ( y x. x ) ) ) ) $.
      $( Lemma for ~ reparpht .  (Contributed by NM, 15-Jun-2010.)  (Revised by
         Mario Carneiro, 7-Jun-2014.) $)
      reparphti $p |- ( ph -> H e. ( ( F o. G ) ( PHtpy ` J ) F ) ) $=
        ( cii co wcel cc0 c1 cfv cmul caddc vs vz ccom ccn cnco syl2anc cicc cv
        cmin cmpo ctx ctopon iitopon a1i ctopn crest ctop wss cnfldtop cnrest2r
        ccnfld eqid cnmpt2nd iirevcn oveq2 cnmpt21 dfii3 oveq2i eleqtrdi sseldd
        mp1i cmpt cnmpt1st cnmpt21f mulcn cnmpt22f addcn cc crn cnfldtopon wral
        wb cxp wf wa iiuni cnf syl ffvelrnda adantrr simprl simprr cr wi icccvx
        w3a 0re 1re mp2an syl3anc ralrimivva fmpo sylib frnd unitssre ax-resscn
        sstri cnrest2 mpbid eqeltrid sselid mulid2d sseli adantl mul02d oveq12d
        eleqtrrdi addid1d eqtrd fveq2d wceq simpr weq oveq2d 1m0e1 eqtrdi simpl
        0elunit fvex ovmpoa sylancl fvco3 3eqtr4d 1elunit adantr ax-1cn sylancr
        sylan mul01d mulid1d 1m1e0 addid2d subcl 00id npcan isphtpy2d ) ADEUCZD
        FGUAAEMMUDNZOZDMGUDNZOUUGUUJOIHEDMMGUEUFHAFBCPQUGNZUUKQCUHZUINZBUHZERZS
        NZUULUUNSNZTNZDRZUJMMUKNZGUDNLABCUURDMMMGUUKUUKMUUKULROAUMUNZUVAABCUUKU
        UKUURUJZUUTVAUORZUUKUPNZUDNZUUTMUDNZAUVBUUTUVCUDNZOZUVBUVEOZABCUUPUUQTM
        MUVCUVCUVCUUKUUKUVAUVAABCUUMUUOSMMUVCUVCUVCUUKUUKUVAUVAAUVEUVGBCUUKUUKU
        UMUJZUVCUQOUVEUVGURAUVCUVCVBZUSUUKUUTUVCUTVKZAUVJUVFUVEABCUBUULQUBUHZUI
        NZUUMMMMMUUKUUKUUKUVAUVAABCMMUUKUUKUVAUVAVCZUVAUBUUKUVNVLUUHOAUBVDUNUVM
        UULQUIVEVFMUVDUUTUDUVCUVKVGVHZVIVJAUVEUVGBCUUKUUKUUOUJZUVLAUVQUVFUVEABC
        UUNEMMMMUUKUUKUVAUVAABCMMUUKUUKUVAUVAVMZIVNUVPVIVJSUVCUVCUKNUVCUDNZOAUV
        CUVKVOUNZVPABCUULUUNSMMUVCUVCUVCUUKUUKUVAUVAAUVEUVGBCUUKUUKUULUJZUVLAUW
        AUVFUVEUVOUVPVIVJAUVEUVGBCUUKUUKUUNUJZUVLAUWBUVFUVEUVRUVPVIVJUVTVPTUVSO
        AUVCUVKVQUNVPAUVCVRULROZUVBVSUUKURUUKVRURZUVHUVIWBUWCAUVCUVKVTUNAUUKUUK
        WCZUUKUVBAUURUUKOZCUUKWABUUKWAUWEUUKUVBWDAUWFBCUUKUUKAUUNUUKOZUULUUKOZW
        EWEUUOUUKOZUWGUWHUWFAUWGUWIUWHAUUKUUKUUNEAUUIUUKUUKEWDZIEMMUUKUUKWFWFWG
        WHZWIWJAUWGUWHWKAUWGUWHWLPWMOQWMOUWIUWGUWHWPUWFWNWQWRPQUUOUUNUULWOWSWTX
        ABCUUKUUKUURUUKUVBUVBVBXBXCXDUWDAUUKWMVRXEXFXGZUNUUKUVBUUTUVCVRXHWTXIUV
        PXQHVNXJAUAUHZUUKOZWEZQUWMERZSNZPUWMSNZTNZDRZUWPDRZUWMPFNZUWMUUGRZUWOUW
        SUWPDUWOUWSUWPPTNUWPUWOUWQUWPUWRPTUWOUWPUWOUUKVRUWPUWLAUUKUUKUWMEUWKWIX
        KZXLUWOUWMUWNUWMVROZAUUKVRUWMUWLXMXNZXOXPUWOUWPUXDXRXSXTUWOUWNPUUKOZUXB
        UWTYAAUWNYBZYHBCUWMPUUKUUKUUSUWTFBUAYCZUULPYAZWEZUURUWSDUXKUUPUWQUUQUWR
        TUXKUUMQUUOUWPSUXKUUMQPUINQUXKUULPQUIUXIUXJYBZYDYEYFUXKUUNUWMEUXIUXJYGZ
        XTXPUXKUULPUUNUWMSUXLUXMXPXPXTLUWSDYIYJYKAUWJUWNUXCUXAYAUWKUUKUUKUWMDEY
        LYRYMUWOUWMQFNZPUWPSNZQUWMSNZTNZDRZUWMDRUWOUWNQUUKOZUXNUXRYAUXHYNBCUWMQ
        UUKUUKUUSUXRFUXIUULQYAZWEZUURUXQDUYAUUPUXOUUQUXPTUYAUUMPUUOUWPSUYAUUMQQ
        UINPUYAUULQQUIUXIUXTYBZYDUUAYFUYAUUNUWMEUXIUXTYGZXTXPUYAUULQUUNUWMSUYBU
        YCXPXPXTLUXQDYIYJYKUWOUXQUWMDUWOUXQPUWMTNUWMUWOUXOPUXPUWMTUWOUWPUXDXOUW
        OUWMUXFXLXPUWOUWMUXFUUBXSXTXSUWOQUWMUINZPERZSNZUWMPSNZTNZDRZPDRZPUWMFNZ
        PUUGRZUWOUYHPDUWOUYHPPTNPUWOUYFPUYGPTUWOUYFUYDPSNPUWOUYEPUYDSAUYEPYAUWN
        JYOYDUWOUYDUWOQVROZUXEUYDVROYPUXFQUWMUUCYQZYSXSUWOUWMUXFYSXPUUDYFXTUWOU
        XGUWNUYKUYIYAYHUXHBCPUWMUUKUUKUUSUYIFUUNPYAZCUAYCZWEZUURUYHDUYQUUPUYFUU
        QUYGTUYQUUMUYDUUOUYESUYQUULUWMQUIUYOUYPYBZYDUYQUUNPEUYOUYPYGZXTXPUYQUUL
        UWMUUNPSUYRUYSXPXPXTLUYHDYIYJYQAUYLUYJYAUWNAUYLUYEDRZUYJAUWJUXGUYLUYTYA
        UWKYHUUKUUKPDEYLYKAUYEPDJXTXSYOYMUWOUYDQERZSNZUWMQSNZTNZDRZQDRZQUWMFNZQ
        UUGRZUWOVUDQDUWOVUDUYDUWMTNZQUWOVUBUYDVUCUWMTUWOVUBUYDQSNUYDUWOVUAQUYDS
        AVUAQYAUWNKYOYDUWOUYDUYNYTXSUWOUWMUXFYTXPUWOUYMUXEVUIQYAYPUXFQUWMUUEYQX
        SXTUWOUXSUWNVUGVUEYAYNUXHBCQUWMUUKUUKUUSVUEFUUNQYAZUYPWEZUURVUDDVUKUUPV
        UBUUQVUCTVUKUUMUYDUUOVUASVUKUULUWMQUIVUJUYPYBZYDVUKUUNQEVUJUYPYGZXTXPVU
        KUULUWMUUNQSVULVUMXPXPXTLVUDDYIYJYQAVUHVUFYAUWNAVUHVUADRZVUFAUWJUXSVUHV
        UNYAUWKYNUUKUUKQDEYLYKAVUAQDKXTXSYOYMUUF $.
    $}

    $( Reparametrization lemma.  The reparametrization of a path by any
       continuous map ` G : II --> II ` with ` G ( 0 ) = 0 ` and
       ` G ( 1 ) = 1 ` is path-homotopic to the original path.  (Contributed by
       Jeff Madsen, 15-Jun-2010.)  (Revised by Mario Carneiro, 23-Feb-2015.) $)
    reparpht $p |- ( ph -> ( F o. G ) ( ~=ph ` J ) F ) $=
      ( vx vy ccom cii ccn co wcel cphtpy cfv c1 cv cmul c0 wne cphtpc wbr cnco
      syl2anc cc0 cicc cmin caddc cmpo eqid reparphti ne0d isphtpc syl3anbrc )
      ABCKZLDMNZOZBUROZUQBDPQNZUAUBUQBDUCQUDACLLMNOUTUSFECBLLDUEUFEAVAIJUGRUHNZ
      VBRJSZUINISZCQTNVCVDTNUJNBQUKZAIJBCVEDEFGHVEULUMUNUQBDUOUP $.
  $}

  ${
    $d f F $.  $d f G $.  $d f J $.  $d f K $.  $d f P $.  $d f ph $.
    phtpcco2.f $e |- ( ph -> F ( ~=ph ` J ) G ) $.
    phtpcco2.p $e |- ( ph -> P e. ( J Cn K ) ) $.
    $( Compose a path homotopy with a continuous map.  (Contributed by Mario
       Carneiro, 6-Jul-2015.) $)
    phtpcco2 $p |- ( ph -> ( P o. F ) ( ~=ph ` K ) ( P o. G ) ) $=
      ( vf ccom cii ccn co wcel cphtpy cfv c0 wne cphtpc adantr wbr w3a isphtpc
      sylib simp1d cnco syl2anc simp2d cv wex simp3d n0 simpr phtpyco2 exlimddv
      wa ne0d syl3anbrc ) ABCJZKFLMZNZBDJZUTNZUSVBFOPMZQRZUSVBFSPUAACKELMZNZBEF
      LMNZVAAVGDVFNZCDEOPMZQRZACDESPUAVGVIVKUBGCDEUCUDZUEZHCBKEFUFUGAVIVHVCAVGV
      IVKVLUHZHDBKEFUFUGAIUIZVJNZVEIAVKVPIUJAVGVIVKVLUKIVJULUDAVPUPZVDBVOJVQBCD
      VOEFAVGVPVMTAVIVPVNTAVHVPHTAVPUMUNUQUOUSVBFUCUR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The fundamental group
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c *p $.
  $c Om1 $.
  $c OmN $.
  $c pi1 $.
  $c piN $.

  $( Extend class notation with the concatenation operation for paths in a
     topological space. $)
  cpco $a class *p $.

  $( Extend class notation with the loop space. $)
  comi $a class Om1 $.

  $( Extend class notation with the higher loop spaces. $)
  comn $a class OmN $.

  $( Extend class notation with the fundamental group. $)
  cpi1 $a class pi1 $.

  $( Extend class notation with the higher homotopy groups. $)
  cpin $a class piN $.

  ${
    $d f g j n p x y $.
    $( Define the concatenation of two paths in a topological space ` J ` .
       For simplicity of definition, we define it on all paths, not just those
       whose endpoints line up.  Definition of [Hatcher] p. 26.  Hatcher
       denotes path concatenation with a square dot; other authors, such as
       Munkres, use a star.  (Contributed by Jeff Madsen, 15-Jun-2010.) $)
    df-pco $a |- *p = ( j e. Top |-> ( f e. ( II Cn j ) , g e. ( II Cn j ) |->
               ( x e. ( 0 [,] 1 ) |-> if ( x <_ ( 1 / 2 ) ,
                 ( f ` ( 2 x. x ) ) , ( g ` ( ( 2 x. x ) - 1 ) ) ) ) ) ) $.

    $( Define the loop space of a topological space, with a magma structure on
       it given by concatenation of loops.  This structure is not a group, but
       the operation is compatible with homotopy, which allows the homotopy
       groups to be defined based on this operation.  (Contributed by Mario
       Carneiro, 10-Jul-2015.) $)
    df-om1 $a |- Om1 = ( j e. Top , y e. U. j |-> { <. ( Base ` ndx ) ,
           { f e. ( II Cn j ) | ( ( f ` 0 ) = y /\ ( f ` 1 ) = y ) } >. ,
        <. ( +g ` ndx ) , ( *p ` j ) >. ,
        <. ( TopSet ` ndx ) , ( j ^ko II ) >. } ) $.

    $( Define the n-th iterated loop space of a topological space.  Unlike
       ` Om1 ` this is actually a _pointed_ topological space, which is to say
       a tuple of a topological space (a member of ` TopSp ` , not ` Top ` )
       and a point in the space.  Higher loop spaces select the constant loop
       at the point from the lower loop space for the distinguished point.
       (Contributed by Mario Carneiro, 10-Jul-2015.) $)
    df-omn $a |- OmN = ( j e. Top , y e. U. j |->
      seq 0 ( ( ( x e. _V , p e. _V |->
        <. ( ( TopOpen ` ( 1st ` x ) ) Om1 ( 2nd ` x ) ) ,
           ( ( 0 [,] 1 ) X. { ( 2nd ` x ) } ) >. ) o. 1st ) ,
          <. { <. ( Base ` ndx ) , U. j >. ,
               <. ( TopSet ` ndx ) , j >. } , y >. ) ) $.

    $( Define the fundamental group, whose operation is given by concatenation
       of homotopy classes of loops.  Definition of [Hatcher] p. 26.
       (Contributed by Mario Carneiro, 11-Feb-2015.) $)
    df-pi1 $a |- pi1 = ( j e. Top , y e. U. j |->
       ( ( j Om1 y ) /s ( ~=ph ` j ) ) ) $.

    $( Define the n-th homotopy group, which is formed by taking the ` n ` -th
       loop space and forming the quotient under the relation of path homotopy
       equivalence in the base space of the ` n ` -th loop space, which is the
       ` n - 1 ` -th loop space.  For ` n = 0 ` , since this is not
       well-defined we replace this relation with the path-connectedness
       relation, so that the ` 0 ` -th homotopy group is the set of path
       components of ` X ` .  (Since the ` 0 ` -th loop space does not have a
       group operation, neither does the ` 0 ` -th homotopy group, but the rest
       are genuine groups.)  (Contributed by Mario Carneiro, 11-Feb-2015.) $)
    df-pin $a |- piN = ( j e. Top , p e. U. j |->
      ( n e. NN0 |-> ( ( 1st ` ( ( j OmN p ) ` n ) ) /s if ( n = 0 ,
    { <. x , y >. | E. f e. ( II Cn j ) ( ( f ` 0 ) = x /\ ( f ` 1 ) = y ) } ,
      ( ~=ph ` ( TopOpen ` ( 1st ` ( ( j OmN p ) ` ( n - 1 ) ) ) ) ) ) ) ) ) $.
  $}

  ${
    $d f g x y z F $.  $d f g x y z G $.  $d x K $.  $d x y z ph $.  $d x X $.
    $d x y H $.  $d f g j x y z J $.
    $( The value of the path concatenation function on a topological space.
       (Contributed by Jeff Madsen, 15-Jun-2010.)  (Revised by Mario Carneiro,
       7-Jun-2014.)  (Proof shortened by AV, 2-Mar-2024.) $)
    pcofval $p |- ( *p ` J ) = ( f e. ( II Cn J ) ,
                    g e. ( II Cn J ) |->
               ( x e. ( 0 [,] 1 ) |-> if ( x <_ ( 1 / 2 ) ,
                 ( f ` ( 2 x. x ) ) , ( g ` ( ( 2 x. x ) - 1 ) ) ) ) ) $=
      ( vj ctop wcel cpco cfv cii ccn co cc0 c1 cicc cv c2 cmpo wceq c0 cle wbr
      cdiv cmul cmin cif cmpt oveq2 eqidd mpoeq123dv df-pco ovex mpoex fvmpt wn
      fvmptndm wo cntop2 con3i eq0rdv olcd 0mpo0 syl eqtr4d pm2.61i ) DFGZDHIZB
      CJDKLZVHAMNOLAPZNQUCLUAUBQVIUDLZBPZIVJNUELCPIUFUGZRZSEDBCJEPZKLZVOVLRZVMF
      HVNDSZBCVOVOVLVHVHVLVNDJKUHZVRVQVLUIUJABCEUKZBCVHVHVLJDKULZVTUMUNVFUOZVGT
      VMEFVPHDVSUPWAVHTSZWBUQVMTSWAWBWBWABVHVKVHGVFVKJDURUSUTVABCVHVHVLVBVCVDVE
      $.

    pcoval.2 $e |- ( ph -> F e. ( II Cn J ) ) $.
    pcoval.3 $e |- ( ph -> G e. ( II Cn J ) ) $.
    $( The concatenation of two paths.  (Contributed by Jeff Madsen,
       15-Jun-2010.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
    pcoval $p |- ( ph -> ( F ( *p ` J ) G ) =
                ( x e. ( 0 [,] 1 ) |-> if ( x <_ ( 1 / 2 ) ,
                  ( F ` ( 2 x. x ) ) , ( G ` ( ( 2 x. x ) - 1 ) ) ) ) ) $=
      ( vf vg co wcel cfv cc0 c1 cicc cv c2 cif cmpt wceq cii ccn cpco cdiv cle
      wbr cmul cmin wa fveq1 adantr adantl ifeq12d mpteq2dv pcofval ovex ovmpoa
      mptex syl2anc ) ACUAEUBJZKDUTKCDEUCLZJBMNOJZBPZNQUDJUEUFZQVCUGJZCLZVENUHJ
      ZDLZRZSZTFGHICDUTUTBVBVDVEHPZLZVGIPZLZRZSVJVAVKCTZVMDTZUIZBVBVOVIVRVDVLVF
      VNVHVPVLVFTVQVEVKCUJUKVQVNVHTVPVGVMDUJULUMUNBHIEUOBVBVIMNOUPURUQUS $.

    $( Evaluate the concatenation of two paths.  (Contributed by Mario
       Carneiro, 7-Jun-2014.) $)
    pcovalg $p |- ( ( ph /\ X e. ( 0 [,] 1 ) ) ->
                  ( ( F ( *p ` J ) G ) ` X ) = if ( X <_ ( 1 / 2 ) ,
                  ( F ` ( 2 x. X ) ) , ( G ` ( ( 2 x. X ) - 1 ) ) ) ) $=
      ( vx cc0 c1 cicc co cfv c2 cle wbr cmul cmin cif fvex wcel cpco cdiv cmpt
      cv pcoval fveq1d wceq breq1 oveq2 fveq2d fvoveq1d ifbieq12d eqid sylan9eq
      ifex fvmpt ) AEIJKLZUAEBCDUBMLZMEHURHUEZJNUCLZOPZNUTQLZBMZVCJRLCMZSZUDZME
      VAOPZNEQLZBMZVIJRLZCMZSZAEUSVGAHBCDFGUFUGHEVFVMURVGUTEUHZVBVHVDVEVJVLUTEV
      AOUIVNVCVIBUTENQUJZUKVNVCVIJCRVOULUMVGUNVHVJVLVIBTVKCTUPUQUO $.

    $( Evaluate the concatenation of two paths on the first half.  (Contributed
       by Jeff Madsen, 15-Jun-2010.)  (Revised by Mario Carneiro,
       7-Jun-2014.) $)
    pcoval1 $p |- ( ( ph /\ X e. ( 0 [,] ( 1 / 2 ) ) ) ->
                  ( ( F ( *p ` J ) G ) ` X ) = ( F ` ( 2 x. X ) ) ) $=
      ( cc0 c1 c2 cdiv co cicc wcel cfv cle wbr wceq cr 1re wa cpco cif wss 0re
      cmul halfre halflt1 ltleii iccss mp4an sseli pcovalg sylan2 elii1 simprbi
      cmin 0le0 iftrued adantl eqtrd ) AEHIJKLZMLZNZUAEBCDUBOLOZEVBPQZJEUFLZBOZ
      VGIUQLCOZUCZVHVDAEHIMLZNZVEVJRVCVKEHSNISNHHPQVBIPQVCVKUDUETURVBIUGTUHUIHI
      HVBUJUKULABCDEFGUMUNVDVJVHRAVDVFVHVIVDVLVFEUOUPUSUTVA $.

    $( The starting point of a path concatenation.  (Contributed by Jeff
       Madsen, 15-Jun-2010.) $)
    pco0 $p |- ( ph -> ( ( F ( *p ` J ) G ) ` 0 ) = ( F ` 0 ) ) $=
      ( cc0 cpco cfv co c2 cmul c1 cdiv cicc wcel wceq cle wbr 0re 0le0 halfge0
      cr halfre elicc2i mpbir3an pcoval1 mpan2 2t0e0 fveq2i eqtrdi ) AGBCDHIJIZ
      KGLJZBIZGBIAGGMKNJZOJPZULUNQUPGUCPGGRSGUORSTUAUBGUOGTUDUEUFABCDGEFUGUHUMG
      BUIUJUK $.

    $( The ending point of a path concatenation.  (Contributed by Jeff Madsen,
       15-Jun-2010.) $)
    pco1 $p |- ( ph -> ( ( F ( *p ` J ) G ) ` 1 ) = ( G ` 1 ) ) $=
      ( vx c1 cpco cfv co cc0 cicc c2 cle wbr cmul cmin wceq eqtrdi cv cdiv cif
      cmpt pcoval fveq1d wcel 1elunit clt halflt1 halfre 1re ltnlei mpbi mtbiri
      wn breq1 iffalsed oveq2 2t1e2 oveq1d 2m1e1 fveq2d eqtrd eqid fvmpt ax-mp
      fvex ) AHBCDIJKZJHGLHMKZGUAZHNUBKZOPZNVKQKZBJZVNHRKZCJZUCZUDZJZHCJZAHVIVS
      AGBCDEFUEUFHVJUGVTWASUHGHVRWAVJVSVKHSZVRVQWAWBVMVOVQWBVMHVLOPZVLHUIPWCUPU
      JVLHUKULUMUNVKHVLOUQUOURWBVPHCWBVPNHRKHWBVNNHRWBVNNHQKNVKHNQUSUTTVAVBTVCV
      DVSVEHCVHVFVGT $.

    pcoval2.4 $e |- ( ph -> ( F ` 1 ) = ( G ` 0 ) ) $.
    $( Evaluate the concatenation of two paths on the second half.
       (Contributed by Jeff Madsen, 15-Jun-2010.)  (Proof shortened by Mario
       Carneiro, 7-Jun-2014.) $)
    pcoval2 $p |- ( ( ph /\ X e. ( ( 1 / 2 ) [,] 1 ) ) ->
                  ( ( F ( *p ` J ) G ) ` X ) = ( G ` ( ( 2 x. X ) - 1 ) ) ) $=
      ( c1 c2 co wcel wa cfv cle wbr cmul cc0 wceq cr cdiv cicc cif wss 0re 1re
      cpco cmin halfge0 iccss mp4an pcovalg sylan2 adantr simprr halfre elicc2i
      1le1 simp2bi ad2antrl wb simp1bi letri3 sylancl mpbir2and oveq2d 2cn 2ne0
      sseli recidi eqtrdi fveq2d oveq1d 1m1e0 3eqtr4d ifeq1d ifid expr pm2.61d1
      iffalse eqtrd ) AEIJUAKZIUBKZLZMZEBCDUGNKNZEWBOPZJEQKZBNZWHIUHKZCNZUCZWKW
      DAERIUBKZLWFWLSWCWMERTLITLRWBOPIIOPWCWMUDUEUFUIURRIWBIUJUKVIABCDEFGULUMWE
      WGWLWKSZAWDWGWNAWDWGMZMZWLWGWKWKUCWKWPWGWIWKWKWPIBNZRCNZWIWKAWQWRSWOHUNWP
      WHIBWPWHJWBQKIWPEWBJQWPEWBSZWGWBEOPZAWDWGUOWDWTAWGWDETLZWTEIOPZWBIEUPUFUQ
      ZUSUTWPXAWBTLWSWGWTMVAWDXAAWGWDXAWTXBXCVBUTUPEWBVCVDVEVFJVGVHVJVKZVLWPWJR
      CWPWJIIUHKRWPWHIIUHXDVMVNVKVLVOVPWGWKVQVKVRWGWIWKVTVSWA $.

    $( The concatenation of two paths is a path.  (Contributed by Jeff Madsen,
       19-Jun-2010.)  (Proof shortened by Mario Carneiro, 7-Jun-2014.) $)
    pcocn $p |- ( ph -> ( F ( *p ` J ) G ) e. ( II Cn J ) ) $=
      ( vx vy vz cfv co cc0 c1 c2 cmul cii wcel a1i cr cpco cicc cv cle wbr cif
      cdiv cmin cmpt ccn pcoval ctopon iitopon cnmptid 0elunit cnmptc crn crest
      cioo ctg eqid 0re 1re halfre halfge0 halflt1 ltleii elicc01 mpbir3an wceq
      dfii2 wa adantr simprl oveq2d 2cn 2ne0 recidi eqtrdi fveq2d 1m1e0 3eqtr4d
      retopon iccssre mp2an resttopon cnmpt1st iihalf1cn oveq2 cnmpt21 cnmpt21f
      oveq1d wss iihalf2cn cnmpopc breq1 ifbieq12d cnmpt12 eqeltrd ) ABCDUAKLHM
      NUBLZHUCZNOUGLZUDUEZOXAPLZBKZXDNUHLZCKZUFZUIQDUJLAHBCDEFUKAHIJXAMIUCZXBUD
      UEZOXIPLZBKZXKNUHLZCKZUFZXHQQQDWTWTWTQWTULKRAUMSZAHQWTXPUNAHMQQWTWTXPXPMW
      TRAUOSUPXPXPAIJMXBNXLUSUQUTKZXNQDXQMXBUBLZURLZXQXBNUBLZURLZQWTXQVAXSVAZYA
      VAZVKMTRZAVBSNTRZAVCSXBWTRZAYFXBTRZMXBUDUEXBNUDUEVDVEXBNVDVCVFVGXBVHVISXP
      AXIXBVJZJUCZWTRZVLZVLZNBKZMCKZXLXNAYMYNVJYKGVMYLXKNBYLXKOXBPLNYLXIXBOPAYH
      YJVNVOOVPVQVRVSZVTYLXMMCYLXMNNUHLMYLXKNNUHYOWLWAVSVTWBAIJXKBXSQQDXRWTXSXR
      ULKRZAXQTULKRZXRTWMZYPWCYDYGYRVBVDMXBWDWEXRXQTWFWESZXPAIJHXIXDXKXSQXSQXRW
      TXRYSXPAIJXSQXRWTYSXPWGYSHXRXDUIXSQUJLRAHXSYBWHSXAXIOPWIZWJEWKAIJXMCYAQQD
      XTWTYAXTULKRZAYQXTTWMZUUAWCYGYEUUBVDVCXBNWDWEXTXQTWFWESZXPAIJHXIXFXMYAQYA
      QXTWTXTUUCXPAIJYAQXTWTUUCXPWGUUCHXTXFUIYAQUJLRAHYAYCWNSXAXIVJXDXKNUHYTWLW
      JFWKWOXIXAVJZXOXHVJYIMVJUUDXJXCXLXNXEXGXIXAXBUDWPUUDXKXDBXIXAOPWIZVTUUDXM
      XFCUUDXKXDNUHUUEWLVTWQVMWRWS $.

    copco.6 $e |- ( ph -> H e. ( J Cn K ) ) $.
    $( The composition of a concatenation of paths with a continuous function.
       (Contributed by Mario Carneiro, 9-Jul-2015.) $)
    copco $p |- ( ph ->
      ( H o. ( F ( *p ` J ) G ) ) = ( ( H o. F ) ( *p ` K ) ( H o. G ) ) ) $=
      ( vx vy c1 co cfv wcel wf cii cnf syl cc0 cicc cv cdiv cle cmul ccom cmin
      c2 wbr cif cmpt cpco wceq cuni ccn iiuni eqid elii1 iihalf1 sylbir syl2an
      wa fvco3 anassrs wn elii2 iihalf2 ifeq12da mpteq2dva syl2anc pcoval pcocn
      cnco wral eqeltrrd fmpt sylibr feqmptd fveq2 fvif eqtrdi fmptcof 3eqtr4rd
      ) AKUAMUBNZKUCZMUIUDNZUEUJZUIWFUFNZDBUGZOZWIMUHNZDCUGZOZUKZULKWEWHWIBOZDO
      ZWLCOZDOZUKZULWJWMFUMONDBCEUMONZUGAKWEWOWTAWFWEPZVCWHWKWNWQWSAXBWHWKWQUNZ
      AWEEUOZBQZWIWEPZXCXBWHVCZABREUPNZPZXEGBREWEXDUQXDURZSTXGWFUAWGUBNPXFWFUSW
      FUTVAWEXDWIDBVDVBVEAXBWHVFZWNWSUNZAWEXDCQZWLWEPZXLXBXKVCZACXHPZXMHCREWEXD
      UQXJSTXOWFWGMUBNPXNWFVGWFVHTWEXDWLDCVDVBVEVIVJAKWJWMFAXIDEFUPNPZWJRFUPNZP
      GJBDREFVNVKAXPXQWMXRPHJCDREFVNVKVLAKLWEXDWHWPWRUKZLUCZDOZWTXADAWEXDKWEXSU
      LZQZXSXDPKWEVOAYBXHPYCAXAYBXHAKBCEGHVLZABCEGHIVMVPYBREWEXDUQXJSTKWEXDXSYB
      YBURVQVRYDALXDFUOZDAXQXDYEDQJDEFXDYEXJYEURSTVSXTXSUNYAXSDOWTXTXSDVTWHWPWR
      DWAWBWCWD $.
  $}

  ${
    $d m n s x y F $.  $d s x y M $.  $d s x y N $.  $d m n s x y z ph $.
    $d m n s x y G $.  $d m n s x y H $.  $d m n s x y J $.  $d s P $.
    $d m n s x y K $.
    pcohtpy.4 $e |- ( ph -> ( F ` 1 ) = ( G ` 0 ) ) $.
    pcohtpy.5 $e |- ( ph -> F ( ~=ph ` J ) H ) $.
    pcohtpy.6 $e |- ( ph -> G ( ~=ph ` J ) K ) $.
    ${
      pcohtpylem.7 $e |- P = ( x e. ( 0 [,] 1 ) , y e. ( 0 [,] 1 ) |->
                               if ( x <_ ( 1 / 2 ) ,
                         ( ( 2 x. x ) M y ) , ( ( ( 2 x. x ) - 1 ) N y ) ) ) $.
      pcohtpylem.8 $e |- ( ph -> M e. ( F ( PHtpy ` J ) H ) ) $.
      pcohtpylem.9 $e |- ( ph -> N e. ( G ( PHtpy ` J ) K ) ) $.
      $( Lemma for ~ pcohtpy .  (Contributed by Jeff Madsen, 15-Jun-2010.)
         (Revised by Mario Carneiro, 24-Feb-2015.) $)
      pcohtpylem $p |- ( ph ->
        P e. ( ( F ( *p ` J ) G ) ( PHtpy ` J ) ( H ( *p ` J ) K ) ) ) $=
        ( co c1 cc0 vs vz cpco cfv cii ccn cphtpy c0 wne cphtpc wbr w3a isphtpc
        wcel sylib simp1d pcocn simp2d wceq phtpy01 simprd simpld 3eqtr3d cv c2
        cicc cdiv cle cmul cmin cif cmpo ctx cioo crn ctg crest eqid dfii2 0red
        cr halfre halfge0 1re halflt1 ltleii elicc01 mpbir3an ctopon iitopon wa
        1red a1i adantr phtpyi adantrl 3eqtr4d simprl oveq2d 2ne0 recidi eqtrdi
        2cn 1m1e0 wss retopon 0re iccssre mp2an resttopon cnmpt1st cmpt cnmpt21
        oveq1d cnmpt2nd phtpycn sseldd cnmpt22f adantll phtpyhtpy htpyi syl2anc
        weq simpll wn ifeq12da simpr 0elunit breq1d oveq12d ifbieq12d ovex ifex
        simpl ovmpoa sylancl pcovalg 1elunit eqtrd sylancr oveq2 eqeltrid elii1
        iihalf1cn iihalf2cn cnmpopc iihalf1 sylbir chtpy elii2 iihalf2 eqbrtrdi
        syl iftrued 2t0e0 pco0 clt ltnlei mpbi mtbiri iffalsed 2t1e2 2m1e1 pco1
        isphtpy2d ) AEFHUCUDZRZGIUVFRZDHUAAEFHAEUEHUFRZUNZGUVIUNZEGHUGUDZRZUHUI
        ZAEGHUJUDZUKUVJUVKUVNULMEGHUMUOZUPZAFUVIUNZIUVIUNZFIUVLRZUHUIZAFIUVOUKU
        VRUVSUWAULNFIHUMUOZUPZLUQAGIHAUVJUVKUVNUVPURZAUVRUVSUWAUWBURZASEUDZTFUD
        ZSGUDZTIUDZLATEUDZTGUDUSUWFUWHUSAEGJHUVQUWDPUTVAAUWGUWIUSSFUDZSIUDUSAFI
        KHUWCUWEQUTVBVCUQADBCTSVFRZUWLBVDZSVEVGRZVHUKZVEUWMVIRZCVDZJRZUWPSVJRZU
        WQKRZVKZVLUEUEVMRHUFRZOABCTUWNSUWRVNVOVPUDZUWTUEHUXCTUWNVFRZVQRZUXCUWNS
        VFRZVQRZUEUWLUXCVRUXEVRZUXGVRZVSAVTAWLUWNUWLUNZAUXJUWNWAUNZTUWNVHUKUWNS
        VHUKWBWCUWNSWBWDWEWFUWNWGWHWMUEUWLWIUDUNAWJWMZAUWMUWNUSZUWQUWLUNZWKZWKZ
        SUWQJRZTUWQKRZUWRUWTUXPUWFUWGUXQUXRAUWFUWGUSUXOLWNAUXNUXQUWFUSZUXMAUXNW
        KZTUWQJRUWJUSUXSAUWQEGJHUVQUWDPWOVAWPAUXNUXRUWGUSZUXMUXTUYASUWQKRUWKUSA
        UWQFIKHUWCUWEQWOVBWPWQUXPUWPSUWQJUXPUWPVEUWNVIRSUXPUWMUWNVEVIAUXMUXNWRW
        SVEXCWTXAXBZXNUXPUWSTUWQKUXPUWSSSVJRTUXPUWPSSVJUYBXNXDXBXNWQABCUWPUWQJU
        XEUEUEUEHUXDUWLUXEUXDWIUDUNZAUXCWAWIUDUNZUXDWAXEZUYCXFTWAUNUXKUYEXGWBTU
        WNXHXIUXDUXCWAXJXIWMZUXLABCUBUWMVEUBVDZVIRZUWPUXEUEUXEUEUXDUWLUXDUYFUXL
        ABCUXEUEUXDUWLUYFUXLXKUYFUBUXDUYHXLUXEUEUFRUNAUBUXEUXHUUDWMUYGUWMVEVIUU
        AZXMABCUXEUEUXDUWLUYFUXLXOAUVMUXBJAEGHUVQUWDXPPXQXRABCUWSUWQKUXGUEUEUEH
        UXFUWLUXGUXFWIUDUNZAUYDUXFWAXEZUYJXFUXKSWAUNUYKWBWDUWNSXHXIUXFUXCWAXJXI
        WMZUXLABCUBUWMUYHSVJRZUWSUXGUEUXGUEUXFUWLUXFUYLUXLABCUXGUEUXFUWLUYLUXLX
        KUYLUBUXFUYMXLUXGUEUFRUNAUBUXGUXIUUEWMUBBYCUYHUWPSVJUYIXNXMABCUXGUEUXFU
        WLUYLUXLXOAUVTUXBKAFIHUWCUWEXPQXQXRUUFUUBAUAVDZUWLUNZWKZUYNUWNVHUKZVEUY
        NVIRZTJRZUYRSVJRZTKRZVKZUYQUYREUDZUYTFUDZVKUYNTDRZUYNUVGUDUYPUYQUYSVUAV
        UCVUDUYPUYQWKZUYSVUCUSZUYRSJRZUYRGUDZUSZVUFAUYRUWLUNZVUGVUJWKAUYOUYQYDU
        YOUYQVUKAUYOUYQWKUYNUXDUNVUKUYNUUCUYNUUGUUHXSAUYREGJUEHUWLUXLUVQUWDAUVM
        EGUEHUUIRZRJAEGHUVQUWDXTPXQYAYBZVBUYPUYQYEZWKZVUAVUDUSZUYTSKRZUYTIUDZUS
        ZVUOAUYTUWLUNZVUPVUSWKAUYOVUNYDVUOUYNUXFUNZVUTUYOVUNVVAAUYNUUJXSUYNUUKU
        UMAUYTFIKUEHUWLUXLUWCUWEAUVTFIVULRKAFIHUWCUWEXTQXQYAYBZVBYFUYPUYOTUWLUN
        ZVUEVUBUSAUYOYGZYHBCUYNTUWLUWLUXAVUBDBUAYCZUWQTUSZWKZUWOUYQUWRUWTUYSVUA
        VVGUWMUYNUWNVHVVEVVFYNZYIVVGUWPUYRUWQTJVVGUWMUYNVEVIVVHWSZVVEVVFYGZYJVV
        GUWSUYTUWQTKVVGUWPUYRSVJVVIXNVVJYJYKOUYQUYSVUAUYRTJYLUYTTKYLYMYOYPAEFHU
        YNUVQUWCYQWQUYPUYQVUHVUQVKZUYQVUIVURVKUYNSDRZUYNUVHUDUYPUYQVUHVUQVUIVUR
        VUFVUGVUJVUMVAVUOVUPVUSVVBVAYFUYPUYOSUWLUNZVVLVVKUSVVDYRBCUYNSUWLUWLUXA
        VVKDVVEUWQSUSZWKZUWOUYQUWRUWTVUHVUQVVOUWMUYNUWNVHVVEVVNYNZYIVVOUWPUYRUW
        QSJVVOUWMUYNVEVIVVPWSZVVEVVNYGZYJVVOUWSUYTUWQSKVVOUWPUYRSVJVVQXNVVRYJYK
        OUYQVUHVUQUYRSJYLUYTSKYLYMYOYPAGIHUYNUWDUWEYQWQUYPTUYNJRZUWJTUYNDRZTUVG
        UDZUYPVVSUWJUSSUYNJRUWFUSAUYNEGJHUVQUWDPWOVBUYPVVCUYOVVTVVSUSYHVVDBCTUY
        NUWLUWLUXAVVSDUWMTUSZCUAYCZWKZUXAUWRVVSVWDUWOUWRUWTVWDUWMTUWNVHVWBVWCYN
        ZWCUULUUNVWDUWPTUWQUYNJVWDUWPVETVIRTVWDUWMTVEVIVWEWSUUOXBVWBVWCYGYJYSOT
        UYNJYLYOYTAVWAUWJUSUYOAEFHUVQUWCUUPWNWQUYPSUYNKRZUWKSUYNDRZSUVGUDZUYPTU
        YNKRUWGUSVWFUWKUSAUYNFIKHUWCUWEQWOVAUYPVVMUYOVWGVWFUSYRVVDBCSUYNUWLUWLU
        XAVWFDUWMSUSZVWCWKZUXAUWTVWFVWJUWOUWRUWTVWJUWOSUWNVHUKZUWNSUUQUKVWKYEWE
        UWNSWBWDUURUUSVWJUWMSUWNVHVWIVWCYNZYIUUTUVAVWJUWSSUWQUYNKVWJUWSVESVJRSV
        WJUWPVESVJVWJUWPVESVIRVEVWJUWMSVEVIVWLWSUVBXBXNUVCXBVWIVWCYGYJYSOSUYNKY
        LYOYTAVWHUWKUSUYOAEFHUVQUWCUVDWNWQUVE $.
    $}

    $( Homotopy invariance of path concatenation.  (Contributed by Jeff Madsen,
       15-Jun-2010.)  (Revised by Mario Carneiro, 24-Feb-2015.) $)
    pcohtpy $p |- ( ph ->
                    ( F ( *p ` J ) G ) ( ~=ph ` J ) ( H ( *p ` J ) K ) ) $=
      ( vm vn cfv co wcel wbr sylib c1 cc0 wceq wa vx vy cpco cii ccn cphtpy c0
      wne cphtpc w3a isphtpc simp1d simp2d phtpc01 syl simprd simpld 3eqtr3d cv
      pcocn wex simp3d n0 exdistrv sylanbrc cicc c2 cdiv cle cmul cmin cif cmpo
      adantr eqid simprl simprr pcohtpylem ne0d ex exlimdvv mpd syl3anbrc ) ABC
      EUCLZMZUDEUEMZNDFWDMZWFNWEWGEUFLZMZUGUHZWEWGEUILZOABCEABWFNZDWFNZBDWHMZUG
      UHZABDWKOZWLWMWOUJHBDEUKPZULACWFNZFWFNZCFWHMZUGUHZACFWKOZWRWSXAUJICFEUKPZ
      ULGUTADFEAWLWMWOWQUMAWRWSXAXCUMAQBLZRCLZQDLZRFLZGARBLRDLSZXDXFSZAWPXHXITH
      BDEUNUOUPAXEXGSZQCLQFLSZAXBXJXKTICFEUNUOUQURUTAJUSZWNNZKUSZWTNZTZKVAJVAZW
      JAXMJVAZXOKVAZXQAWOXRAWLWMWOWQVBJWNVCPAXAXSAWRWSXAXCVBKWTVCPXMXOJKVDVEAXP
      WJJKAXPWJAXPTZWIUAUBRQVFMZYAUAUSZQVGVHMVIOVGYBVJMZUBUSZXLMYCQVKMYDXNMVLVM
      ZXTUAUBYEBCDEFXLXNAXDXESXPGVNAWPXPHVNAXBXPIVNYEVOAXMXOVPAXMXOVQVRVSVTWAWB
      WEWGEUKWC $.
  $}

  ${
    $d x y z F $.  $d x y z J $.  $d x P $.  $d x y z Y $.
    pcopt.1 $e |- P = ( ( 0 [,] 1 ) X. { Y } ) $.
    $( A constant function is a path from ` Y ` to itself.  (Contributed by
       Mario Carneiro, 12-Feb-2015.)  (Revised by Mario Carneiro,
       19-Mar-2015.) $)
    pcoptcl $p |- ( ( J e. ( TopOn ` X ) /\ Y e. X ) ->
      ( P e. ( II Cn J ) /\ ( P ` 0 ) = Y /\ ( P ` 1 ) = Y ) ) $=
      ( ctopon cfv wcel wa cii ccn co cc0 wceq c1 cicc fveq1i fvconst2g sylancl
      syl5eq csn iitopon cnconst2 mp3an1 eqeltrid simpr 0elunit 1elunit 3jca
      cxp ) BCFGHZDCHZIZAJBKLZHMAGZDNOAGZDNUMAMOPLZDUAUJZUNEJUQFGHUKULURUNHUBDJ
      BUQCUCUDUEUMUOMURGZDMAUREQUMULMUQHUSDNUKULUFZUGUQDMCRSTUMUPOURGZDOAUREQUM
      ULOUQHVADNUTUHUQDOCRSTUI $.

    $( Concatenation with a point does not affect homotopy class.  (Contributed
       by Jeff Madsen, 19-Jun-2010.)  (Revised by Mario Carneiro,
       20-Dec-2013.) $)
    pcopt $p |- ( ( F e. ( II Cn J ) /\ ( F ` 0 ) = Y )
                                -> ( P ( *p ` J ) F ) ( ~=ph ` J ) F ) $=
      ( vx vy cii co wcel cc0 cfv wceq c1 c2 cle cmul cmin a1i cr ccn cpco cicc
      vz wa cv cdiv wbr cif cmpt ccom cphtpc csn cxp fveq1i cuni simpr wf iiuni
      eqid cnf adantr 0elunit ffvelrn sylancl eqeltrrd iihalf1 sylbir fvconst2g
      elii1 syl2an syl5eq simplr eqtr4d ifeq1d expr wn iffalse mpteq2dva ctopon
      pm2.61d1 ctop cntop2 toptopon2 sylib pcoptcl syl2anc simp1d pcoval adantl
      w3a simpl elii2 iihalf2 eqeltrd ex iftrue eqeltrdi pm2.61d2 feqmptd fveq2
      syl fvif eqtrdi fmptco 3eqtr4d iitopon cnmptid cnmptc crn ctg crest dfii2
      cioo 0re 1re halfre halfge0 halflt1 ltleii elicc01 mpbir3an simprl oveq2d
      2cn recidi oveq1d 1m1e0 eqtr2di wss retopon iccssre mp2an resttopon oveq2
      2ne0 weq breq1 fvmpt mp1i cnmpt2c cnmpt1st iihalf2cn ifbieq2d id eqbrtrdi
      cnmpt21 cnmpopc cnmpt12 c0ex 1elunit ltnlei mpbi mtbiri 2t1e2 2m1e1 eqtrd
      clt 1ex reparpht eqbrtrd ) BHCUAIZJZKBLZDMZUEZABCUBLIZBFKNUCIZFUFZNOUGIZP
      UHZKOUVIQIZNRIZUIZUJZUKZBCULLUVFFUVHUVKUVLALZUVMBLZUIZUJFUVHUVKUVDUVRUIZU
      JUVGUVPUVFFUVHUVSUVTUVFUVIUVHJZUEUVKUVSUVTMZUVFUWAUVKUWBUVFUWAUVKUEZUEZUV
      KUVQUVDUVRUWDUVQDUVDUWDUVQUVLUVHDUMUNZLZDUVLAUWEEUOUVFDCUPZJZUVLUVHJZUWFD
      MUWCUVFUVDDUWGUVCUVEUQUVFUVHUWGBURZKUVHJZUVDUWGJUVCUWJUVEBHCUVHUWGUSUWGUT
      VAVBZVCUVHUWGKBVDVEVFZUWCUVIKUVJUCIZJUWIUVIVJUVIVGVHUVHDUVLUWGVIVKVLUVCUV
      EUWCVMVNVOVPUVKVQZUVSUVRUVTUVKUVQUVRVRUVKUVDUVRVRVNWAVSUVFFABCUVFAUVBJZKA
      LDMZNALDMZUVFCUWGVTLJZUWHUWPUWQUWRWKUVFCWBJZUWSUVCUWTUVEBHCWCVBCWDWEUWMAC
      UWGDEWFWGWHUVCUVEWLZWIUVFFGUVHUVHUVNGUFZBLZUVTUVOBUWAUVNUVHJZUVFUWAUVKUXD
      UWAUWOUXDUWAUWOUEZUVNUVMUVHUWOUVNUVMMZUWAUVKKUVMVRZWJUXEUVIUVJNUCIZJUVMUV
      HJUVIWMUVIWNXBWOWPUVKUVNKUVHUVKKUVMWQZVCWRWSWJUVOUVOMUVFUVOUTZSUVFGUVHUWG
      BUWLWTUXBUVNMUXCUVNBLUVTUXBUVNBXAUVKKUVMBXCXDXEXFUVFBUVOCUXAUVFFGUDUVIKUX
      BUVJPUHZKOUXBQIZNRIZUIZUVNHHHHUVHUVHUVHHUVHVTLJUVFXGSZUVFFHUVHUXOXHUVFFKH
      HUVHUVHUXOUXOUWKUVFVCSZXIUXOUXOUVFGUDKUVJNKXNXJXKLZUXMHHUXQUWNXLIZUXQUXHX
      LIZHUVHUXQUTUXRUTUXSUTZXMKTJZUVFXOSNTJZUVFXPSUVJUVHJZUVFUYCUVJTJZKUVJPUHU
      VJNPUHXQXRUVJNXQXPXSXTUVJYAYBSUXOUVFUXBUVJMZUDUFZUVHJZUEUEZUXMNNRIKUYHUXL
      NNRUYHUXLOUVJQINUYHUXBUVJOQUVFUYEUYGYCYDOYEYPYFXDYGYHYIUVFGUDKUXRHHUWNUVH
      UVHUXRUWNVTLJZUVFUXQTVTLJZUWNTYJZUYIYKUYAUYDUYKXOXQKUVJYLYMUWNUXQTYNYMSUX
      OUXOUXPUUAUVFGUDFUXBUVMUXMUXSHUXSHUXHUVHUXHUXSUXHVTLJZUVFUYJUXHTYJZUYLYKU
      YDUYBUYMXQXPUVJNYLYMUXHUXQTYNYMSZUXOUVFGUDUXSHUXHUVHUYNUXOUUBUYNFUXHUVMUJ
      UXSHUAIJUVFFUXSUXTUUCSFGYQUVLUXLNRUVIUXBOQYOYGUUGUUHGFYQZUXNUVNMUYFKMUYOU
      XKUVKUXMUVMKUXBUVIUVJPYRUYOUXLUVLNRUXBUVIOQYOYGUUDVBUUIUWKKUVOLKMUVFVCFKU
      VNKUVHUVOUVIKMZUVKUVNKMUYPUVIKUVJPUYPUUEXRUUFUXIXBUXJUUJYSYTNUVHJNUVOLNMU
      VFUUKFNUVNNUVHUVOUVINMZUVNUVMNUYQUWOUXFUYQUVKNUVJPUHZUVJNUURUHUYRVQXSUVJN
      XQXPUULUUMUVINUVJPYRUUNUXGXBUYQUVMONRINUYQUVLONRUYQUVLONQIOUVINOQYOUUOXDY
      GUUPXDUUQUXJUUSYSYTUUTUVA $.

    $( Concatenation with a point does not affect homotopy class.  (Contributed
       by Mario Carneiro, 12-Feb-2015.) $)
    pcopt2 $p |- ( ( F e. ( II Cn J ) /\ ( F ` 1 ) = Y )
                  -> ( F ( *p ` J ) P ) ( ~=ph ` J ) F ) $=
      ( vx vy cii co wcel c1 cfv wceq wa cc0 c2 cle cmul a1i cr vz cpco cicc cv
      ccn cdiv wbr cif cmpt ccom cphtpc cmin wn csn cxp fveq1i cuni simpr iiuni
      wf eqid cnf adantr 1elunit ffvelrn sylancl eqeltrrd iihalf2 syl fvconst2g
      elii2 syl2an syl5eq simplr eqtr4d anassrs mpteq2dva simpl ctopon w3a ctop
      ifeq2da cntop2 toptopon2 sylib pcoptcl syl2anc simp1d pcoval iftrue elii1
      adantl iihalf1 eqeltrd iffalse eqeltrdi pm2.61d1 eqidd feqmptd fveq2 fvif
      sylbir ex eqtrdi fmptco 3eqtr4d iitopon cnmptid 0elunit cnmptc cioo crest
      crn ctg dfii2 0re 1re halfre halfge0 halflt1 ltleii elicc01 simprl oveq2d
      mpbir3an 2cn 2ne0 recidi wss retopon iccssre resttopon cnmpt1st iihalf1cn
      mp2an oveq2 cnmpt21 breq1 fvmpt mp1i cnmpt2c cnmpopc ifbieq1d id eqbrtrdi
      cnmpt12 2t0e0 eqtrd c0ex clt ltnlei mpbi mtbiri 1ex reparpht eqbrtrd ) BH
      CUEIZJZKBLZDMZNZBACUBLIZBFOKUCIZFUDZKPUFIZQUGZPUVDRIZKUHZUIZUJZBCUKLUVAFU
      VCUVFUVGBLZUVGKULIZALZUHZUIFUVCUVFUVKUUSUHZUIUVBUVJUVAFUVCUVNUVOUVAUVDUVC
      JZNUVFUVMUUSUVKUVAUVPUVFUMZUVMUUSMUVAUVPUVQNZNZUVMDUUSUVSUVMUVLUVCDUNUOZL
      ZDUVLAUVTEUPUVADCUQZJZUVLUVCJZUWADMUVRUVAUUSDUWBUURUUTURUVAUVCUWBBUTZKUVC
      JZUUSUWBJUURUWEUUTBHCUVCUWBUSUWBVAVBVCZVDUVCUWBKBVEVFVGZUVRUVDUVEKUCIZJUW
      DUVDVKUVDVHVIUVCDUVLUWBVJVLVMUURUUTUVRVNVOVPWBVQUVAFBACUURUUTVRZUVAAUUQJZ
      OALDMZKALDMZUVACUWBVSLJZUWCUWKUWLUWMVTUVACWAJZUWNUURUWOUUTBHCWCVCCWDWEUWH
      ACUWBDEWFWGWHWIUVAFGUVCUVCUVHGUDZBLZUVOUVIBUVPUVHUVCJZUVAUVPUVFUWRUVPUVFU
      WRUVPUVFNZUVHUVGUVCUVFUVHUVGMZUVPUVFUVGKWJZWLUWSUVDOUVEUCIZJUVGUVCJUVDWKU
      VDWMXBWNXCUVQUVHKUVCUVFUVGKWOZVDWPWQWLUVAUVIWRUVAGUVCUWBBUWGWSUWPUVHMUWQU
      VHBLUVOUWPUVHBWTUVFUVGKBXAXDXEXFUVABUVICUWJUVAFGUAUVDOUWPUVEQUGZPUWPRIZKU
      HZUVHHHHHUVCUVCUVCHUVCVSLJUVAXGSZUVAFHUVCUXGXHUVAFOHHUVCUVCUXGUXGOUVCJZUV
      AXISXJUXGUXGUVAGUAOUVEKUXEXKXMXNLZKHHUXIUXBXLIZUXIUWIXLIZHUVCUXIVAUXJVAZU
      XKVAXOOTJZUVAXPSKTJZUVAXQSUVEUVCJZUVAUXOUVETJZOUVEQUGUVEKQUGXRXSUVEKXRXQX
      TYAUVEYBYESUXGUVAUWPUVEMZUAUDZUVCJZNNZUXEPUVERIKUXTUWPUVEPRUVAUXQUXSYCYDP
      YFYGYHXDUVAGUAFUWPUVGUXEUXJHUXJHUXBUVCUXBUXJUXBVSLJZUVAUXITVSLJZUXBTYIZUY
      AYJUXMUXPUYCXPXROUVEYKYOUXBUXITYLYOSZUXGUVAGUAUXJHUXBUVCUYDUXGYMUYDFUXBUV
      GUIUXJHUEIJUVAFUXJUXLYNSUVDUWPPRYPYQUVAGUAKUXKHHUWIUVCUVCUXKUWIVSLJZUVAUY
      BUWITYIZUYEYJUXPUXNUYFXRXQUVEKYKYOUWIUXITYLYOSUXGUXGUWFUVAVDSUUAUUBUWPUVD
      MZUXFUVHMUXROMUYGUXDUVFUXEUVGKUWPUVDUVEQYRUWPUVDPRYPUUCVCUUFUXHOUVILOMUVA
      XIFOUVHOUVCUVIUVDOMZUVHUVGOUYHUVFUWTUYHUVDOUVEQUYHUUDXSUUEUXAVIUYHUVGPORI
      OUVDOPRYPUUGXDUUHUVIVAZUUIYSYTUWFKUVILKMUVAVDFKUVHKUVCUVIUVDKMZUVQUVHKMUY
      JUVFKUVEQUGZUVEKUUJUGUYKUMXTUVEKXRXQUUKUULUVDKUVEQYRUUMUXCVIUYIUUNYSYTUUO
      UUP $.
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y H $.  $d x y J $.  $d x y z ph $.
    pcoass.2 $e |- ( ph -> F e. ( II Cn J ) ) $.
    pcoass.3 $e |- ( ph -> G e. ( II Cn J ) ) $.
    pcoass.4 $e |- ( ph -> H e. ( II Cn J ) ) $.
    pcoass.5 $e |- ( ph -> ( F ` 1 ) = ( G ` 0 ) ) $.
    pcoass.6 $e |- ( ph -> ( G ` 1 ) = ( H ` 0 ) ) $.
    pcoass.7 $e |- P = ( x e. ( 0 [,] 1 ) |-> if ( x <_ ( 1 / 2 ) ,
                    if ( x <_ ( 1 / 4 ) , ( 2 x. x ) , ( x + ( 1 / 4 ) ) ) ,
                      ( ( x / 2 ) + ( 1 / 2 ) ) ) ) $.
    $( Order of concatenation does not affect homotopy class.  (Contributed by
       Jeff Madsen, 19-Jun-2010.)  (Proof shortened by Mario Carneiro,
       8-Jun-2014.) $)
    pcoass $p |- ( ph -> ( ( F ( *p ` J ) G ) ( *p ` J ) H ) ( ~=ph ` J )
                    ( F ( *p ` J ) ( G ( *p ` J ) H ) ) ) $=
      ( cfv co cc0 c1 c2 wcel cii vy vz cicc cv cdiv cle wbr c4 cmul caddc cmpt
      cif cmin wa wceq iftrue fveq2d adantl cc 2cn elicc01 simp1bi adantr recnd
      sylancr simp2bi 0re ax-mp elicc2i syl3anbrc 2rp 2ne0 oveq2i eqtri 2halves
      cr halfcn iccdili syl eqeltrd pcocn pcoval1 eqtr4d sylan2 anassrs sylancl
      eqtrd halfre a1i clt 2re 4re 4pos mpbi ltleii ax-1cn pcoval2 syl2anc 2cnd
      wn 1re eqtrdi oveq1d 3eqtrd iffalse 3eqtr4d pm2.61dan wss halfge0 halflt1
      mpbir3an 1elunit iccss2 mp2an eqid oveq2d ccn ctopon cnmptid cnmptc crest
      wf dfii2 simprl ltnlei mtbiri iffalsed retopon cxr mp3an iccssre cnmpt1st
      resttopon ctop cvv oveq2 cnmpt21 oveq1 breq1 iiuni cpco ccom cphtpc simpr
      mulcom cn 4nn nnrecre mul02i recni 2timesi wne recdiv2 mp4an 2t2e4 eqtr3i
      oveq12i mulcomli adantlr simplll ad2antlr letric orcanai readdcl leadd1dd
      wo simplr eqbrtrrid simp3bi 2lt4 2pos ltrecii le2addd pco0 adddid eqtr3id
      breqtrdi pnpcan2d divcan1i subidi 1mhlfehlf iccshftli subdid recidi elii2
      remulcl sseli div0i icccntri addid2i iccshftri 3syl 1cnd divdird peano2cn
      divcan2d eqtr3d mvrraddd mpteq2dva wral iitopon 0elunit cioo crn ctg 0red
      1red addcomi breq1d recgt0ii 3eqtr4a 0xr rexri lbicc2 sstri retop restabs
      ovex eqcomi iihalf1cn cnmpt1res ccnfld ctopn unitssre cnfldtopon cnmpt12f
      sselid ctx addcn cnmptre cnmpopc divccn ifbieq12d equcoms eqcomd eqeltrid
      weq cnmpt12 cnf fmpt sylibr cuni feqmptd fveq2 fmptcof pcoval 3eqtr4rd id
      eqbrtrdi iftrued 2t0e0 c0ex fvmpt 1ex reparpht eqbrtrd ) ADEGUUANZOZFVUQO
      ZDEFVUQOZVUQOZCUUBZVVAGUUCNABPQUCOZBUDZQRUEOZUFUGZVVDQUHUEOZUFUGZRVVDUIOZ
      VVDVVGUJOZULZVVDRUEOZVVEUJOZULZVVANZUKBVVCVVFVVIVURNZVVIQUMOFNZULZUKVVBVU
      SABVVCVVOVVRAVVDVVCSZUNZVVFVVOVVRUOVVTVVFUNZVVKVVANZVVPVVOVVRVWAVVHVWBVVP
      UOZVVTVVHVWCVVFVVTVVHUNVWBVVIVVANZVVPVVHVWBVWDUOVVTVVHVVKVVIVVAVVHVVIVVJU
      PUQURAVVSVVHVWDVVPUOZVVSVVHUNZAVVIPVVEUCOZSZVWEVWFVVIVVDRUIOZVWGVWFRUSSZV
      VDUSSZVVIVWIUOZUTVWFVVDVVSVVDVPSZVVHVVSVWMPVVDUFUGZVVDQUFUGZVVDVAZVBZVCZV
      DRVVDUUEZVEVWFVVDPVVGUCOZSZVWIVWGSVWFVWMVWNVVHVXAVWRVVSVWNVVHVVSVWMVWNVWO
      VWPVFVCVVSVVHUUDPVVGVVDVGUHUUFSVVGVPSZUUGUHUUHVHZVIVJPVVGPVVERVVDVGVXCVKR
      UTUUIRVVGVVEUTVVGVXCUUJZRVVGUIOZVVGVVGUJOZVVEVVGVXDUUKZVVERUEOZVXHUJOZVXF
      VVEVXHVVGVXHVVGUJVXHQRRUIOZUEOZVVGVWJRPUULZVWJVXLVXHVXKUOUTVLUTVLRRUUMUUN
      VXJUHQUEUUOVMVNZVXMUUQVVEUSSZVXIVVEUOVQVVEVOVHUUPZVNZUURZVRVSVTAVWHUNVWDR
      VVIUIOZDNVVPADVUTGVVIHAEFGIJLWAZWBADEGVVIHIWBWCWDWEWGUUSVWAVVHWTZUNZVVJVV
      ANZVXRQUMOZENZVWBVVPVYAVYBRVVJUIOZQUMOZVUTNZVVIVVEUMOZVUTNZVYDVYAAVVJVVEQ
      UCOZSZVYBVYGUOAVVSVVFVXTUUTZVYAVVDVVGVVEUCOZSZVYKVYAVWMVVGVVDUFUGZVVFVYNV
      WAVWMVXTVVSVWMAVVFVWQUVAZVCZVWAVVHVYOVWAVWMVXBVVHVYOUVFVYPVXCVVDVVGUVBWFU
      VCVVTVVFVXTUVGVVGVVEVVDVXCWHVIZVJZVYNVVJVPSZVVEVVJUFUGVVJQUFUGVYKVYNVWMVX
      BVYTVYNVWMVYOVVFVYRVBZVXCVVDVVGUVDWFVYNVVEVXFVVJUFVXOVYNVVGVVDVVGVXBVYNVX
      CWIZWUAWUBVYNVWMVYOVVFVYRVFUVEUVHVYNVVJVVEVVEUJOZQUFVYNVVDVVGVVEVVEWUAWUB
      VVEVPSZVYNWHWIZWUEVYNVWMVYOVVFVYRUVIVVGVVEUFUGZVYNVVGVVEVXCWHRUHWJUGVVGVV
      EWJUGZUVJRUHWKWLUVKWMUVLWNZWOZWIUVMQUSSWUCQUOWPQVOVHZUVQVVEQVVJWHXAVIVJZV
      SADVUTGVVJHVXSAQDNPENPVUTNKAEFGIJUVNWCZWQWRVYAVYFVYHVUTVYAVYFVVIVVEUJOZWU
      CUMOZVYHVYAVYFVYEWUCUMOWUNWUCQVYEUMWUJVMVYAVYEWUMWUCUMVYAVYEVVIVXEUJOWUMV
      YARVVDVVGVYAWSZVYAVVDVYQVDZVVGUSSVYAVXDWIUVOVXEVVEVVIUJVXPVMXBXCUVPVYAVVI
      VVEVVEVYAVVIVYARVPSVWMVVIVPSWKVYQRVVDUWFVEVDZVXNVYAVQWIZWURUVRWGUQVYAVYIR
      VYHUIOZENZVYDVYAAVYHVWGSZVYIWUTUOVYLVYAVVIVYJSZWVAVYAVVIVWIVYJVYAVWJVWKVW
      LUTWUPVWSVEVYAVYNVWIVYJSVYSVVGVVEVVEQRVVDVXCWHVKVXQQRWPUTVLUVSVRVSVTZVVEQ
      PVVEVVEVVIWHXAWHVVEVQUVTUWAUWBVSAEFGVYHIJWBWRVYAWUSVYCEVYAWUSVXRRVVEUIOZU
      MOVYCVYARVVIVVEWUOWUQWURUWCWVDQVXRUMRUTVLUWDVMXBUQWGXDVXTVWBVYBUOVWAVXTVV
      KVVJVVAVVHVVIVVJXEUQURVYAAWVBVVPVYDUOVYLWVCADEGVVIHIKWQWRXFXGVVFVVOVWBUOV
      VTVVFVVNVVKVVAVVFVVKVVMUPUQURVVFVVRVVPUOVVTVVFVVPVVQUPURXFVVTVVFWTZUNVVMV
      VANZVVQVVOVVRAVVSWVEWVFVVQUOZVVSWVEUNAVVDVYJSZWVGVVDUWEAWVHUNWVFRVVMUIOZQ
      UMOZVUTNZVVDVUTNZVVQWVHAVVMVYJSZWVFWVKUOWVHVVSVVLVWGSWVMVYJVVCVVDVVEVVCSZ
      QVVCSZVYJVVCXHWVNWUDPVVEUFUGZVVEQUFUGWHXIVVEQWHXAXJWOVVEVAXKZXLPQVVEQXMXN
      ZUWGPQPVVERVVDVGXAVKRUTVLUWHVVEXOUWIPVVEVVEQVVEVVLVGWHWHVVEVQUWJWUJUWKUWL
      ZADVUTGVVMHVXSWULWQWDWVHWVKWVLUOAWVHWVJVVDVUTWVHWVIVVDQWVHVVDWVHVWMVVEVVD
      UFUGVWOVVEQVVDWHXAVIVBVDZWVHUWMZWVHRVVDQUJOZRUEOZUIOWVIWWBWVHWWCVVMRUIWVH
      VVDQRWVTWWAWVHWSZVXLWVHVLWIZUWNXPWVHWWBRWVHVWKWWBUSSWVTVVDUWOVSWWDWWEUWPU
      WQUWRUQURAEFGVVDIJLWQXDWDWEWVEVVOWVFUOVVTWVEVVNVVMVVAVVFVVKVVMXEUQURWVEVV
      RVVQUOVVTVVFVVPVVQXEURXFXGUWSABUAVVCVVCVVNUAUDZVVANVVOCVVAAVVCVVCCYBZVVNV
      VCSBVVCUWTACTTXQOZSWWGACBVVCVVNUKZWWHMABUAUBVVDPWWFVVEUFUGZWWFVVGUFUGZRWW
      FUIOZWWFVVGUJOZULZWWFRUEOZVVEUJOZULZVVNTTTTVVCVVCVVCTVVCXRNSAUXAWIZABTVVC
      WWRXSABPTTVVCVVCWWRWWRPVVCSZAUXBWIZXTWWRWWRAUAUBPVVEQWWNUXCUXDUXENZWWPTTW
      XAVWGYAOZWXAVYJYAOZTVVCWXAXOZWXBXOZWXCXOZYCAUXFZAUXGWVNAWVQWIWWRAWWFVVEUO
      ZUBUDZVVCSZUNUNZWWMVVGVVEUJOZWWNWWPWXKWWMVVEVVGUJOWXLWXKWWFVVEVVGUJAWXHWX
      JYDZXCVVEVVGVQVXDUXHXBWXKWWKWWLWWMWXKWWKVVEVVGUFUGZWUGWXNWTWUHVVGVVEVXCWH
      YEWNWXKWWFVVEVVGUFWXMUXIYFYGWXKWWOVVGVVEUJWXKWWOVXHVVGWXKWWFVVERUEWXMXCVX
      MXBXCXFAUAUBPVVGVVEWWLWXAWWMTTWXAVWTYAOZWXAVYMYAOZWXBVVCWXDWXOXOWXPXOZWXE
      WXGWUDAWHWIVVGVWGSZAWXRVXBPVVGUFUGWUFVXCPVVGVGVXCUHWLWMUXJWOZWUIPVVEVVGVG
      WHVIXKZWIWWRAWWFVVGUOZWXJUNUNZVXEVXFWWLWWMVXGWYBWWFVVGRUIAWYAWXJYDZXPWYBW
      WFVVGVVGUJWYCXCUXKAUAUBBWWFVVIWWLWXOTWXOTVWTVVCVWTWXOVWTXRNSZAWXAVPXRNSZV
      WTVPXHWYDYHVWTVWGVPPVWGSZWXRVWTVWGXHZPYISVVEYISWVPWYFUXLVVEWHUXMXIPVVEUXN
      YJWXTPVVEPVVGXMXNZPVPSWUDVWGVPXHZVGWHPVVEYKXNZUXOVWTWXAVPYMXNWIZWWRAUAUBW
      XOTVWTVVCWYKWWRYLWYKABVVIWXBWXOTVWGVWTWXBVWTYAOZWXOWXAYNSWYGVWGYOSWYLWXOU
      OUXPWYHPVVEUCUXRVWTVWGWXAYNYOUXQYJUXSWXBVWGXRNSZAWYEWYIWYMYHWYJVWGWXAVPYM
      XNWIWYGAWYHWIBVWGVVIUKWXBTXQOSABWXBWXEUXTWIUYAVVDWWFRUIYPZYQAUAUBBWWFVVJW
      WMWXPTWXPTVYMVVCVYMWXPVYMXRNSZAWYEVYMVPXHZWYOYHVXBWUDWYPVXCWHVVGVVEYKXNZV
      YMWXAVPYMXNWIZWWRAUAUBWXPTVYMVVCWYRWWRYLWYRABVYMVVCUYBUYCNZVVJWXPTWYSXOZW
      XQYCWYPAWYQWIVVCVPXHAUYDWIZVYNVVJVVCSAVYNVYJVVCVVJWVRWUKUYGURABVVDVVGUJWY
      SWYSWYSWYSUSWYSUSXRNSAWYSWYTUYEWIZABWYSUSXUBXSABVVGWYSWYSUSUSXUBXUBAVVGVX
      BAVXCWIVDXTUJWYSWYSUYHOWYSXQOSAWYSWYTUYIWIZUYFUYJVVDWWFVVGUJYRZYQUYKAUAUB
      BWWFVVMWWPWXCTWXCTVYJVVCVYJWXCVYJXRNSZAWYEVYJVPXHZXUEYHWUDQVPSXUFWHXAVVEQ
      YKXNZVYJWXAVPYMXNWIZWWRAUAUBWXCTVYJVVCXUHWWRYLXUHABVYJVVCWYSVVMWXCTWYTWXF
      YCXUFAXUGWIXUAWVHVVMVVCSAWVHVYJVVCVVMWVRWVSUYGURABVVLVVEUJWYSWYSWYSWYSUSX
      UBBUSVVLUKWYSWYSXQOSZAVWJVXLXUIUTVLBRWYSWYTUYLXNWIABVVEWYSWYSUSUSXUBXUBVX
      NAVQWIXTXUCUYFUYJBUAUYQZVVLWWOVVEUJVVDWWFRUEYRXCZYQUYKUABUYQZWXIPUOZUNVVN
      WWQXULVVNWWQUOZXUMXUNBUAXUJVVFWWJVVKVVMWWNWWPVVDWWFVVEUFYSXUJVVHWWKVVIVVJ
      WWLWWMVVDWWFVVGUFYSWYNXUDUYMXUKUYMUYNVCUYOUYRUYPZCTTVVCVVCYTYTUYSVSBVVCVV
      CVVNCMUYTVUACWWIUOAMWIAUAVVCGVUBZVVAAVVATGXQOSVVCXUPVVAYBADVUTGHVXSWULWAZ
      VVATGVVCXUPYTXUPXOUYSVSVUCWWFVVNVVAVUDVUEABVURFGADEGHIKWAJVUFVUGAVVACGXUQ
      XUOAWWSPCNPUOWWTBPVVNPVVCCVVDPUOZVVNVVKVVIPXURVVFVVKVVMXURVVDPVVEUFXURVUH
      ZXIVUIVUJXURVVHVVIVVJXURVVDPVVGUFXUSWXSVUIVUJXURVVIRPUIOPVVDPRUIYPVUKXBXD
      MVULVUMVSAWVOQCNQUOWVOAXLWIBQVVNQVVCCVVDQUOZVVNVVMQXUTVVFVVKVVMXUTVVFQVVE
      UFUGZVVEQWJUGXVAWTXJVVEQWHXAYEWNVVDQVVEUFYSYFYGXUTVVMWUCQXUTVVLVVEVVEUJVV
      DQRUEYRXCWUJXBWGMVUNVUMVSVUOVUP $.
  $}

  ${
    $d s t x y F $.  $d s t y G $.  $d y H $.  $d s t x y J $.  $d s t x y P $.
    pcorev.1 $e |- G = ( x e. ( 0 [,] 1 ) |-> ( F ` ( 1 - x ) ) ) $.
    $( Closure for a reversed path.  (Contributed by Mario Carneiro,
       12-Feb-2015.) $)
    pcorevcl $p |- ( F e. ( II Cn J ) ->
    ( G e. ( II Cn J ) /\ ( G ` 0 ) = ( F ` 1 ) /\ ( G ` 1 ) = ( F ` 0 ) ) ) $=
      ( cii ccn co wcel cc0 cfv c1 wceq cmin cmpt a1i oveq2 eqtrdi fveq2d fvex
      cicc cv ctopon iitopon iirevcn cnmpt11f eqeltrid 0elunit 1m0e1 fvmpt mp1i
      id 1elunit 1m1e0 3jca ) BFDGHZIZCUPIJCKLBKZMZLCKJBKZMZUQCAJLUAHZLAUBZNHZB
      KZOUPEUQAVDBFFDVBFVBUCKIUQUDPAVBVDOFFGHIUQAUEPUQULUFUGJVBIUSUQUHAJVEURVBC
      VCJMZVDLBVFVDLJNHLVCJLNQUIRSELBTUJUKLVBIVAUQUMALVEUTVBCVCLMZVDJBVGVDLLNHJ
      VCLLNQUNRSEJBTUJUKUO $.

    pcorev.2 $e |- P = ( ( 0 [,] 1 ) X. { ( F ` 1 ) } ) $.
    ${
      pcorevlem.3 $e |- H = ( s e. ( 0 [,] 1 ) , t e. ( 0 [,] 1 ) |->
                           ( F ` if ( s <_ ( 1 / 2 ) ,
              ( 1 - ( ( 1 - t ) x. ( 2 x. s ) ) ) ,
              ( 1 - ( ( 1 - t ) x. ( 1 - ( ( 2 x. s ) - 1 ) ) ) ) ) ) ) $.
      $( Lemma for ~ pcorev .  Prove continuity of the homotopy function.
         (Contributed by Jeff Madsen, 11-Jun-2010.)  (Proof shortened by Mario
         Carneiro, 8-Jun-2014.) $)
      pcorevlem $p |- ( F e. ( II Cn J ) ->
        ( H e. ( ( G ( *p ` J ) F ) ( PHtpy ` J ) P ) /\
          ( G ( *p ` J ) F ) ( ~=ph ` J ) P ) ) $=
        ( cii co wcel cfv cc0 c1 cmin cmul oveq2d vy ccn cpco cphtpy cphtpc wbr
        cicc cv cmpt ctopon iitopon a1i iirevcn id cnmpt11f eqeltrid wceq oveq2
        1elunit 1m1e0 eqtrdi fveq2d fvex fvmpt mp1i pcocn cuni cntop2 toptopon2
        w3a ctop sylib wf iiuni eqid cnf ffvelrn sylancl pcoptcl syl2anc simp1d
        cdiv cle cif cmpo ctx cioo crn ctg crest dfii2 0red 1red halfre halfge0
        c2 cr 1re halflt1 ltleii elicc01 wa 2cn oveq1d 1m0e1 eqtr4d wss retopon
        iccssre mp2an resttopon cnmpt2nd cnmpt21 cnmpt1st cnmpt22 simpr 0elunit
        oveq12 weq simpl breq1d oveq12d ifbieq12d ovmpoa unitssre sseli mulid2d
        adantl recnd syl eqtrd anassrs wn ax-1cn subcl sylancr mul02d sylan9eqr
        cc mpan mpbir3an simprl 2ne0 recidi iihalf1cn iimulcn iihalf2cn cnmpopc
        0re cnmpt21f iftrue elii1 pcoval1 iihalf1 iffalse elii2 pcoval2 iihalf2
        sylan2br nncan eqtr2d sylan2 pm2.61dan ifeq12d ifid csn fveq1i fvconst2
        mulcl cxp syl5eq 3eqtr4d eqbrtrdi iftrued 2t0e0 mul01d pco0 eqtr2di clt
        ax-mp ltnlei mpbi mtbiri iffalsed 2t1e2 2m1e1 pco1 eqcomd isphtpy2d wne
        c0 ne0d isphtpc syl3anbrc jca ) DLGUBMZNZFEDGUCOMZCGUDOMZNUWRCGUEOUFZUW
        QUWRCFGUAUWQEDGUWQEAPQUGMZQAUHZRMZDOZUIUWPIUWQAUXCDLLGUXALUXAUJONUWQUKU
        LZAUXAUXCUILLUBMNUWQAUMULZUWQUNZUOUPZUXGQUXANZQEOPDOZUQUWQUSAQUXDUXJUXA
        EUXBQUQZUXCPDUXKUXCQQRMZPUXBQQRURUTVAVBIPDVCVDVEZVFZUWQCUWPNZPCOQDOZUQZ
        QCOUXPUQZUWQGGVGZUJONZUXPUXSNZUXOUXQUXRVJUWQGVKNUXTDLGVHGVIVLUWQUXAUXSD
        VMUXIUYADLGUXAUXSVNUXSVOVPUSUXAUXSQDVQVRCGUXSUXPJVSVTWAZUWQFHBUXAUXAHUH
        ZQWPWBMZWCUFZQQBUHZRMZWPUYCSMZSMZRMZQUYGQUYHQRMZRMZSMZRMZWDZDOZWELLWFMZ
        GUBMKUWQHBUYODLLLGUXAUXAUXEUXEUWQHBPUYDQUYJWGWHWIOZUYNLLUYRPUYDUGMZWJMZ
        UYRUYDQUGMZWJMZLUXAUYRVOUYTVOZVUBVOZWKUWQWLUWQWMUYDUXANZUWQVUEUYDWQNZPU
        YDWCUFUYDQWCUFWNWOUYDQWNWRWSWTUYDXAUUAULUXEUWQUYCUYDUQZUYFUXANZXBXBZUYI
        UYMQRVUIUYHUYLUYGSVUIUYHQUYLVUIUYHWPUYDSMQVUIUYCUYDWPSUWQVUGVUHUUBTWPXC
        UUCUUDVAZVUIUYLQPRMZQVUIUYKPQRVUIUYKUXLPVUIUYHQQRVUJXDUTVATXEVAXFTTUWQH
        BAUYIUXCUYJUYTLLLUYSUXAUXAUYTUYSUJONZUWQUYRWQUJONZUYSWQXGZVULXHPWQNVUFV
        UNUUIWNPUYDXIXJUYSUYRWQXKXJULZUXEUWQHBAUAUYGUYHUXBUAUHZSMZUYIUYTLLLLUXA
        UYSUXAUXAVUOUXEUWQHBAUYFUXCUYGUYTLLLUYSUXAUXAVUOUXEUWQHBUYTLUYSUXAVUOUX
        EXLUXEUXFUXBUYFQRURZXMUWQHBAUYCWPUXBSMZUYHUYTLUYTLUYSUXAUYSVUOUXEUWQHBU
        YTLUYSUXAVUOUXEXNVUOAUYSVUSUIUYTLUBMNUWQAUYTVUCUUEULUXBUYCWPSURZXMUXEUX
        EAUAUXAUXAVUQWEUYQLUBMNUWQAUAUUFULZUXBUYGVUPUYHSXRXOUXEUXFUXBUYIQRURXMU
        WQHBAUYMUXCUYNVUBLLLVUAUXAUXAVUBVUAUJONZUWQVUMVUAWQXGZVVBXHVUFQWQNVVCWN
        WRUYDQXIXJVUAUYRWQXKXJULZUXEUWQHBAUAUYGUYLVUQUYMVUBLLLLUXAVUAUXAUXAVVDU
        XEUWQHBAUYFUXCUYGVUBLLLVUAUXAUXAVVDUXEUWQHBVUBLVUAUXAVVDUXEXLUXEUXFVURX
        MUWQHBAUYKUXCUYLVUBLLLVUAUXAUXAVVDUXEUWQHBAUYCVUSQRMZUYKVUBLVUBLVUAUXAV
        UAVVDUXEUWQHBVUBLVUAUXAVVDUXEXNVVDAVUAVVEUIVUBLUBMNUWQAVUBVUDUUGULAHXSV
        USUYHQRVUTXDXMUXEUXFUXBUYKQRURXMUXEUXEVVAUXBUYGVUPUYLSXRXOUXEUXFUXBUYMQ
        RURXMUUHUXGUUJUPUWQVUPUXANZXBZVUPPFMZVUPUYDWCUFZQQWPVUPSMZSMZRMZQQQVVJQ
        RMZRMZSMZRMZWDZDOZVUPUWROZVVGVVFPUXANZVVHVVRUQUWQVVFXPZXQHBVUPPUXAUXAUY
        PVVRFHUAXSZUYFPUQZXBZUYOVVQDVWDUYEVVIUYJUYNVVLVVPVWDUYCVUPUYDWCVWBVWCXT
        ZYAVWDUYIVVKQRVWDUYGQUYHVVJSVWDUYGVUKQVWDUYFPQRVWBVWCXPTXEVAZVWDUYCVUPW
        PSVWETZYBTVWDUYMVVOQRVWDUYGQUYLVVNSVWFVWDUYKVVMQRVWDUYHVVJQRVWGXDTYBTYC
        VBKVVQDVCYDVRVVGVVIVVRVVSUQVVGVVIXBZVVRVVLDOZVVSVWHVVQVVLDVVIVVQVVLUQVV
        GVVIVVLVVPUUKYHVBUWQVVFVVIVVSVWIUQZVVFVVIXBUWQVUPUYSNZVWJVUPUULUWQVWKXB
        ZVVSVVJEOZVWIUWQEDGVUPUXHUXGUUMVWLVVJUXANZVWMVWIUQVWKVWNUWQVUPUUNYHVWNV
        WMQVVJRMZDOZVWIAVVJUXDVWPUXAEUXBVVJUQUXCVWODUXBVVJQRURVBIVWODVCVDVWNVVL
        VWODVWNVVKVVJQRVWNVVJVWNVVJUXAWQVVJYEYFYIYGTVBXFYJYKUUSYLXFVVGVVIYMZXBZ
        VVRVVPDOZVVSVWRVVQVVPDVWQVVQVVPUQVVGVVIVVLVVPUUOYHVBUWQVVFVWQVVSVWSUQZV
        VFVWQXBUWQVUPVUANZVWTVUPUUPUWQVXAXBZVVSVVMDOVWSUWQEDGVUPUXHUXGUXMUUQVXB
        VVMVVPDVXBVVMUXANZVVMVVPUQVXAVXCUWQVUPUURYHVXCVVPQVVNRMZVVMVXCVVOVVNQRV
        XCVVNVXCQYSNZVVMYSNZVVNYSNZYNVXCVVMUXAWQVVMYEYFYIZQVVMYOZYPYGTVXCVXEVXF
        VXDVVMUQYNVXHQVVMUUTYPUVAYJVBYKUVBYLXFUVCYKVVGVVIQPVVJSMZRMZQPVVNSMZRMZ
        WDZDOZUXPVUPQFMZVUPCOZVVGVXNQDVVGVXNVVIQQWDQVVGVVIVXKQVXMQVVGVXKVUKQVVG
        VXJPQRVVGVVJVVFVVJYSNZUWQVVFWPYSNVUPYSNZVXRXCVVFVUPUXAWQVUPYEYFYIZWPVUP
        UVIYPYHZYQTXEVAVVGVXMVUKQVVGVXLPQRVVGVVNVVGVXEVXFVXGYNVVGVXRVXEVXFVYAYN
        VVJQYOVRVXIYPYQTXEVAUVDVVIQUVEVAVBVVGVVFUXIVXPVXOUQVWAUSHBVUPQUXAUXAUYP
        VXOFVWBUYFQUQZXBZUYOVXNDVYCUYEVVIUYJUYNVXKVXMVYCUYCVUPUYDWCVWBVYBXTZYAV
        YCUYIVXJQRVYCUYGPUYHVVJSVYCUYGUXLPVYCUYFQQRVWBVYBXPTUTVAZVYCUYCVUPWPSVY
        DTZYBTVYCUYMVXLQRVYCUYGPUYLVVNSVYEVYCUYKVVMQRVYCUYHVVJQRVYFXDTYBTYCVBKV
        XNDVCYDVRVVGVXQVUPUXAUXPUVFUVJZOZUXPVUPCVYGJUVGVVFVYHUXPUQUWQUXAUXPVUPQ
        DVCZUVHYHUVKUVLVVFUWQPVUPFMZUXPPUWROZVVFVYJQQVUPRMZPSMZRMZDOZUXPVVTVVFV
        YJVYOUQXQHBPVUPUXAUXAUYPVYOFUYCPUQZBUAXSZXBZUYOVYNDVYRUYOUYJVYNVYRUYEUY
        JUYNVYRUYCPUYDWCVYPVYQXTZWOUVMUVNVYRUYIVYMQRVYRUYGVYLUYHPSVYRUYFVUPQRVY
        PVYQXPTVYRUYHWPPSMPVYRUYCPWPSVYSTUVOVAYBTYKVBKVYNDVCZYDYTVVFVYNQDVVFVYN
        VUKQVVFVYMPQRVVFVYLVVFVXEVXSVYLYSNYNVXTQVUPYOYPUVPTXEVAVBZYKUWQVYKPEOZU
        XPUWQEDGUXHUXGUVQVVTWUBUXPUQXQAPUXDUXPUXAEUXBPUQZUXCQDWUCUXCVUKQUXBPQRU
        RXEVAVBIVYIVDUVTUVRYRVVFUWQQVUPFMZUXPQUWROZVVFWUDVYOUXPUXIVVFWUDVYOUQUS
        HBQVUPUXAUXAUYPVYOFUYCQUQZVYQXBZUYOVYNDWUGUYOUYNVYNWUGUYEUYJUYNWUGUYEQU
        YDWCUFZUYDQUVSUFWUHYMWSUYDQWNWRUWAUWBWUGUYCQUYDWCWUFVYQXTZYAUWCUWDWUGUY
        MVYMQRWUGUYGVYLUYLPSWUGUYFVUPQRWUFVYQXPTWUGUYLUXLPWUGUYKQQRWUGUYKWPQRMQ
        WUGUYHWPQRWUGUYHWPQSMWPWUGUYCQWPSWUITUWEVAXDUWFVATUTVAYBTYKVBKVYTYDYTWU
        AYKUWQWUEUXPUWQEDGUXHUXGUWGUWHYRUWIZUWQUWRUWPNUXOUWSUWKUWJUWTUXNUYBUWQU
        WSFWUJUWLUWRCGUWMUWNUWO $.
    $}

    $( Concatenation with the reverse path.  (Contributed by Jeff Madsen,
       19-Jun-2010.)  (Revised by Mario Carneiro, 20-Dec-2013.) $)
    pcorev $p |- ( F e. ( II Cn J ) -> ( G ( *p ` J ) F ) ( ~=ph ` J ) P ) $=
      ( vs vt cii ccn co wcel c1 cv c2 wbr cmin cmul cfv cc0 cicc cdiv cle cmpo
      cif cpco cphtpy cphtpc eqid pcorevlem simprd ) CJEKLMHIUANUBLZUMHOZNPUCLU
      DQNNIORLZPUNSLZSLRLNUONUPNRLRLSLRLUFCTUEZDCEUGTLZBEUHTLMURBEUITQAIBCDUQEH
      FGUQUJUKUL $.
  $}

  ${
    $d x y F $.  $d y G $.  $d x y J $.
    pcorev2.1 $e |- G = ( x e. ( 0 [,] 1 ) |-> ( F ` ( 1 - x ) ) ) $.
    pcorev2.2 $e |- P = ( ( 0 [,] 1 ) X. { ( F ` 0 ) } ) $.
    $( Concatenation with the reverse path.  (Contributed by Mario Carneiro,
       12-Feb-2015.) $)
    pcorev2 $p |- ( F e. ( II Cn J ) -> ( F ( *p ` J ) G ) ( ~=ph ` J ) P ) $=
      ( vy cii co wcel cc0 c1 cv cmin cfv cmpt csn wceq eqid ccn cxp cphtpc wbr
      cicc cpco pcorevcl simp1d pcorev syl iirev oveq2 fveq2d fvex fvmpt ax-1cn
      cc cr unitssre sseli recnd nncan sylancr eqtrd mpteq2ia iiuni cnf feqmptd
      cuni eqtr4id oveq1d simp3d sneqd xpeq2d eqtr4di 3brtr3d ) CIEUAJZKZHLMUEJ
      ZMHNZOJZDPZQZDEUFPZJZVSMDPZRZUBZCDWDJBEUCPZVRDVQKZWEWHWIUDVRWJLDPMCPSZWFL
      CPZSZACDEFUGZUHHWHDWCEWCTWHTUIUJVRWCCDWDVRWCHVSVTCPZQCHVSWBWOVTVSKZWBMWAO
      JZCPZWOWPWAVSKWBWRSVTUKAWAMANZOJZCPWRVSDWSWASWTWQCWSWAMOULUMFWQCUNUOUJWPW
      QVTCWPMUQKVTUQKWQVTSUPWPVTVSURVTUSUTVAMVTVBVCUMVDVEVRHVSEVIZCCIEVSXAVFXAT
      VGVHVJVKVRWHVSWLRZUBBVRWGXBVSVRWFWLVRWJWKWMWNVLVMVNGVOVP $.
  $}

  ${
    $d y F $.  $d x y G $.  $d y H $.  $d x y J $.  $d y P $.  $d y ph $.
    pcophtb.h $e |- H = ( x e. ( 0 [,] 1 ) |-> ( G ` ( 1 - x ) ) ) $.
    pcophtb.p $e |- P = ( ( 0 [,] 1 ) X. { ( F ` 0 ) } ) $.
    pcophtb.f $e |- ( ph -> F e. ( II Cn J ) ) $.
    pcophtb.g $e |- ( ph -> G e. ( II Cn J ) ) $.
    pcophtb.0 $e |- ( ph -> ( F ` 0 ) = ( G ` 0 ) ) $.
    pcophtb.1 $e |- ( ph -> ( F ` 1 ) = ( G ` 1 ) ) $.
    $( The path homotopy equivalence relation on two paths ` F , G ` with the
       same start and end point can be written in terms of the loop ` F - G `
       formed by concatenating ` F ` with the inverse of ` G ` .  Thus, all the
       homotopy information in ` ~=ph `` J ` is available if we restrict our
       attention to closed loops, as in the definition of the fundamental
       group.  (Contributed by Mario Carneiro, 12-Feb-2015.) $)
    pcophtb $p |- ( ph ->
      ( ( F ( *p ` J ) H ) ( ~=ph ` J ) P <-> F ( ~=ph ` J ) G ) ) $=
      ( cfv co wbr cc0 c1 wceq adantr vy cpco cphtpc wa cii ccn wer phtpcer a1i
      cicc csn cxp wcel w3a pcorevcl syl simp2d eqtr4d simp1d pco0 erref pcorev
      eqid pcohtpy pcopt2 syl2anc ertrd cv c2 cdiv cle c4 cmul caddc cif simp3d
      cmpt pcoass eqtrd simpr ertr3d eqcomd pcopt pcorev2 sneqd xpeq2d breqtrrd
      pco1 syl5eq impbida ) ADFGUBNZOZCGUCNZPZDEWMPZAWNUDZDDFEWKOZWKOZEWMUEGUFO
      ZWSWMUGZWPGUHZUIZWPWRDQRUJOZRENZUKULZWKOZDWMWSXBWPDWQDGXEARDNZQWQNZSWNAXG
      QFNZXHAXGXDXIMAFWSUMZXIXDSZRFNZQENZSZAEWSUMZXJXKXNUNKBEFGHUOUPZUQURZAFEGA
      XJXKXNXPUSZKUTURTWPDWMWSXBADWSUMZWNJTZVAAWQXEWMPZWNAXOYAKBXEEFGHXEVCZVBUP
      TVDWPXSXGXDSZXFDWMPXTAYCWNMTXEDGXDYBVEVFVGWPWRCEWKOZEWMWSXBWPWRWLEWKOYDWM
      WSXBWPUAUAXCUAVHZRVIVJOZVKPYERVLVJOZVKPVIYEVMOYEYGVNOVOYEVIVJOYFVNOVOVQZD
      FEGXTAXJWNXRTAXOWNKTZAXGXISZWNXQTAXNWNAXJXKXNXPVPZTYHVCVRWPWLECGEARWLNZXM
      SWNAYLXLXMADFGJXRWHYKVSTAWNVTWPEWMWSXBYIVAVDWAWPXOXMQDNZSYDEWMPYIWPYMXMAY
      MXMSWNLTWBCEGYMIWCVFVGWAAWOUDZWLEFWKOZCWMWSWTYNXAUIZYNDFEGFAYJWOXQTAWOVTY
      NFWMWSYPAXJWOXRTVAVDAYOCWMPWOAYOXCXMUKZULZCWMAXOYOYRWMPKBYREFGHYRVCWDUPAC
      XCYMUKZULYRIAYSYQXCAYMXMLWEWFWIWGTVGWJ $.
  $}

  ${
    $d j y B $.  $d f j y J $.  $d f j y ph $.  $d f j y Y $.  $d j y K $.
    $d j y .+ $.
    om1val.o $e |- O = ( J Om1 Y ) $.
    om1val.b $e |- ( ph -> B =
      { f e. ( II Cn J ) | ( ( f ` 0 ) = Y /\ ( f ` 1 ) = Y ) } ) $.
    om1val.p $e |- ( ph -> .+ = ( *p ` J ) ) $.
    om1val.k $e |- ( ph -> K = ( J ^ko II ) ) $.
    om1val.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    om1val.y $e |- ( ph -> Y e. X ) $.
    $( The definition of the loop space.  (Contributed by Mario Carneiro,
       10-Jul-2015.) $)
    om1val $p |- ( ph -> O = { <. ( Base ` ndx ) , B >. ,
        <. ( +g ` ndx ) , .+ >. , <. ( TopSet ` ndx ) , K >. } ) $=
      ( co cfv cop wceq cii vj vy comi cnx cbs cplusg cts ctp ctop cv cc0 c1 wa
      cuni ccn crab cpco cxko cmpo df-om1 simprl oveq2d simprr eqeq2d rabeqbidv
      cvv a1i anbi12d adantr eqtr4d opeq2d fveq2d oveq1d tpeq123d adantl ctopon
      unieq wcel toponuni syl topontop tpex ovmpodx syl5eq ) AGEIUCPUDUEQZBRZUD
      UFQZCRZUDUGQZFRZUHZJAUAUBEIUIUAUJZUNZWEUKDUJZQZUBUJZSZULWNQZWPSZUMZDTWLUO
      PZUPZRZWGWLUQQZRZWIWLTURPZRZUHZWKUCHVFUCUAUBUIWMXHUSSAUBDUAUTVGAWLESZWPIS
      ZUMZUMZXCWFXEWHXGWJXLXBBWEXLXBWOISZWRISZUMZDTEUOPZUPZBXLWTXODXAXPXLWLETUO
      AXIXJVAZVBXLWQXMWSXNXLWPIWOAXIXJVCZVDXLWPIWRXSVDVHVEABXQSXKKVIVJVKXLXDCWG
      XLXDEUQQZCXLWLEUQXRVLACXTSXKLVIVJVKXLXFFWIXLXFETURPZFXLWLETURXRVMAFYASXKM
      VIVJVKVNAXIUMWMEUNZHXIWMYBSAWLEVQVOAHYBSZXIAEHVPQVRZYCNHEVSVTVIVJAYDEUIVR
      NHEWAVTOWKVFVRAWFWHWJWBVGWCWD $.
  $}

  ${
    $d f F $.  $d f J $.  $d f ph $.  $d f X $.  $d f Y $.
    om1bas.o $e |- O = ( J Om1 Y ) $.
    om1bas.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    om1bas.y $e |- ( ph -> Y e. X ) $.
    ${
      om1bas.b $e |- ( ph -> B = ( Base ` O ) ) $.
      $( The base set of the loop space.  (Contributed by Mario Carneiro,
         10-Jul-2015.) $)
      om1bas $p |- ( ph -> B =
          { f e. ( II Cn J ) | ( ( f ` 0 ) = Y /\ ( f ` 1 ) = Y ) } ) $=
        ( cnx cbs cfv wceq cii ccn co cop eqidd cc0 cv c1 crab cplusg cpco cxko
        wa cts ctp om1val fveq2d eqtrd cvv wcel ovex rabex eqid topgrpbas ax-mp
        eqtr4di ) ABLMNUACUBZNGOUCVBNGOUHZCPDQRZUDZSLUENDUFNZSLUINDPUGRZSUJZMNZ
        VEABEMNVIKAEVHMAVEVFCDVGEFGHAVETAVFTAVGTIJUKULUMVEUNUOVEVIOVCCVDPDQUPUQ
        VEVFVGVHUNVHURUSUTVA $.

      $( Elementhood in the base set of the loop space.  (Contributed by Mario
         Carneiro, 10-Jul-2015.) $)
      om1elbas $p |- ( ph -> ( F e. B <->
          ( F e. ( II Cn J ) /\ ( F ` 0 ) = Y /\ ( F ` 1 ) = Y ) ) ) $=
        ( vf wcel cc0 cfv wceq c1 wa fveq1 eqeq1d cv cii ccn co crab w3a om1bas
        eleq2d anbi12d elrab 3anass bitr4i bitrdi ) ACBMCNLUAZOZGPZQUNOZGPZRZLU
        BDUCUDZUEZMZCUTMZNCOZGPZQCOZGPZUFZABVACABLDEFGHIJKUGUHVBVCVEVGRZRVHUSVI
        LCUTUNCPZUPVEURVGVJUOVDGNUNCSTVJUQVFGQUNCSTUIUJVCVEVGUKULUM $.

      om1addcl.h $e |- ( ph -> H e. B ) $.
      om1addcl.k $e |- ( ph -> K e. B ) $.
      $( Closure of the group operation of the loop space.  (Contributed by
         Jeff Madsen, 11-Jun-2010.)  (Revised by Mario Carneiro,
         5-Sep-2015.) $)
      om1addcl $p |- ( ph -> ( H ( *p ` J ) K ) e. B ) $=
        ( cfv wcel cc0 wceq c1 om1elbas cpco co cii ccn w3a mpbid simp1d simp3d
        simp2d eqtr4d pcocn pco0 eqtrd pco1 mpbir3and ) ACEDUAOUBZBPUPUCDUDUBZP
        QUPOZHRSUPOZHRACEDACUQPZQCOZHRZSCOZHRZACBPUTVBVDUEMABCDFGHIJKLTUFZUGZAE
        UQPZQEOZHRZSEOZHRZAEBPVGVIVKUENABEDFGHIJKLTUFZUGZAVCHVHAUTVBVDVEUHAVGVI
        VKVLUIUJUKAURVAHACEDVFVMULAUTVBVDVEUIUMAUSVJHACEDVFVMUNAVGVIVKVLUHUMABU
        PDFGHIJKLTUO $.
    $}

    $( The group operation (which isn't much more than a magma) of the loop
       space.  (Contributed by Mario Carneiro, 11-Feb-2015.) $)
    om1plusg $p |- ( ph -> ( *p ` J ) = ( +g ` O ) ) $=
      ( vf cpco cfv cnx cbs cop cplusg cts cii cxko cvv eqidd co wcel wceq fvex
      ctp eqid topgrpplusg ax-mp om1bas om1val fveq2d eqtr4id ) ABJKZLMKCMKZNLO
      KUMNLPKBQRUAZNUEZOKZCOKUMSUBUMUQUCBJUDUNUMUOUPSUPUFUGUHACUPOAUNUMIBUOCDEF
      AUNIBCDEFGHAUNTUIAUMTAUOTGHUJUKUL $.

    $( The topology of the loop space.  (Contributed by Mario Carneiro,
       10-Jul-2015.) $)
    om1tset $p |- ( ph -> ( J ^ko II ) = ( TopSet ` O ) ) $=
      ( vf cii cxko co cnx cbs cfv cop cplusg cts cvv eqidd cpco wcel wceq ovex
      ctp eqid topgrptset ax-mp om1bas om1val fveq2d eqtr4id ) ABJKLZMNOCNOZPMQ
      OBUAOZPMROUMPUEZROZCROUMSUBUMUQUCBJKUDUNUOUMUPSUPUFUGUHACUPRAUNUOIBUMCDEF
      AUNIBCDEFGHAUNTUIAUOTAUMTGHUJUKUL $.

    om1opn.k $e |- K = ( TopOpen ` O ) $.
    om1opn.b $e |- ( ph -> B = ( Base ` O ) ) $.
    $( The topology of the loop space.  (Contributed by Mario Carneiro,
       10-Jul-2015.) $)
    om1opn $p |- ( ph -> K = ( ( J ^ko II ) |`t B ) ) $=
      ( cts cfv cbs crest co cii cxko eqid ctopn topnval eqtr4i om1tset oveq12d
      eqtr4id ) ADEMNZEONZPQZCRSQZBPQDEUANUIKUHUGEUHTUGTUBUCAUJUGBUHPACEFGHIJUD
      LUEUF $.
  $}

  ${
    $d j x y J $.  $d x y K $.  $d j y O $.  $d j x y ph $.  $d j y Y $.
    pi1val.g $e |- G = ( J pi1 Y ) $.
    pi1val.1 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    pi1val.2 $e |- ( ph -> Y e. X ) $.
    ${
      pi1val.o $e |- O = ( J Om1 Y ) $.
      $( The definition of the fundamental group.  (Contributed by Mario
         Carneiro, 11-Feb-2015.)  (Revised by Mario Carneiro, 10-Jul-2015.) $)
      pi1val $p |- ( ph -> G = ( O /s ( ~=ph ` J ) ) ) $=
        ( vj vy cpi1 co cphtpc cfv cqus ctop comi wceq cuni cvv cmpo df-pi1 a1i
        cv wa simprl simprr oveq12d eqtr4di fveq2d unieq adantl ctopon toponuni
        wcel syl adantr eqtr4d topontop ovexd ovmpodx syl5eq ) ABCFMNDCOPZQNZGA
        KLCFRKUFZUAZVGLUFZSNZVGOPZQNZVFMEUBMKLRVHVLUCTALKUDUEAVGCTZVIFTZUGUGZVJ
        DVKVEQVOVJCFSNDVOVGCVIFSAVMVNUHZAVMVNUIUJJUKVOVGCOVPULUJAVMUGVHCUAZEVMV
        HVQTAVGCUMUNAEVQTZVMACEUOPUQZVRHECUPURUSUTAVSCRUQHECVAURIADVEQVBVCVD $.

      pi1bas.b $e |- ( ph -> B = ( Base ` G ) ) $.
      pi1bas.k $e |- ( ph -> K = ( Base ` O ) ) $.
      $( The base set of the fundamental group of a topological space at a
         given base point.  (Contributed by Jeff Madsen, 11-Jun-2010.)
         (Revised by Mario Carneiro, 10-Jul-2015.) $)
      pi1bas $p |- ( ph -> B = ( K /. ( ~=ph ` J ) ) ) $=
        ( cbs cfv cphtpc cqs cvv wceq pi1val eqidd fvexd wcel comi ovexi qusbas
        a1i qseq1 syl 3eqtr4rd ) AFOPZDQPZRZCOPEUMRZBAUMFCULSSACDFGHIJKLUAAULUB
        ADQUCFSUDAFDHUELUFUHUGAEULTUOUNTNEULUMUIUJMUK $.

      $( Lemma for ~ pi1buni .  (Contributed by Mario Carneiro,
         10-Jul-2015.) $)
      pi1blem $p |- ( ph ->
          ( ( ( ~=ph ` J ) " K ) C_ K /\ K C_ ( II Cn J ) ) ) $=
        ( vx vy cfv wcel wa wceq cphtpc cima wss cii ccn co cv wbr wrex vex cc0
        elima c1 cphtpy c0 wne w3a simpr isphtpc sylib adantrl phtpc01 ad2antll
        simp2d simpld om1elbas biimpa adantrr eqtr3d simprd simp3d wb mpbir3and
        adantr rexlimdvaa syl5bi ssrdv simp1 syl6bi jca ) ADUAQZEUBZEUCEUDDUEUF
        ZUCAOWBEOUGZWBRPUGZWDWAUHZPEUIAWDERZPWDWAEOUJULAWFWGPEAWEERZWFSZSZWGWDW
        CRZUKWDQZHTZUMWDQZHTZWJWEWCRZWKWEWDDUNQUFUOUPZAWFWPWKWQUQZWHAWFSWFWRAWF
        URWEWDDUSUTVAVDWJUKWEQZWLHWJWSWLTZUMWEQZWNTZWFWTXBSAWHWEWDDVBVCZVEWJWPW
        SHTZXAHTZAWHWPXDXEUQZWFAWHXFAEWEDFGHLJKNVFVGVHZVDVIWJXAWNHWJWTXBXCVJWJW
        PXDXEXGVKVIAWGWKWMWOUQZVLWIAEWDDFGHLJKNVFZVNVMVOVPVQAOEWCAWGXHWKXIWKWMW
        OVRVSVQVT $.

      $( Another way to write the loop space base in terms of the base of the
         fundamental group.  (Contributed by Mario Carneiro, 10-Jul-2015.) $)
      pi1buni $p |- ( ph -> U. B = K ) $=
        ( cuni cphtpc cqs wss eqtrd cvv cfv cxp cin pi1bas cima wceq cii ccn co
        pi1blem simpld qsinxp syl unieqd wer phtpcer a1i simprd wcel fvex inex1
        erinxp uniqs2 ) ABOEDPUAZEEUBZUCZQZOEABVGABEVDQZVGABCDEFGHIJKLMNUDAVDEU
        EERZVHVGUFAVIEUGDUHUIZRZABCDEFGHIJKLMNUJZUKEVDULUMSUNAEVFTAVJEVDVJVDUOA
        DUPUQAVIVKVLURVBVFTUSAVDVEDPUTVAUQVCS $.
    $}

    pi1bas2.b $e |- ( ph -> B = ( Base ` G ) ) $.
    $( The base set of the fundamental group, written self-referentially.
       (Contributed by Mario Carneiro, 10-Jul-2015.) $)
    pi1bas2 $p |- ( ph -> B = ( U. B /. ( ~=ph ` J ) ) ) $=
      ( cuni comi co eqid cbs cfv eqidd pi1buni pi1bas ) ABCDBKDFLMZEFGHITNZJAB
      CDTOPZTEFGHIUAJAUBQRS $.

    $( Elementhood in the base set of the loop space.  (Contributed by Mario
       Carneiro, 10-Jul-2015.) $)
    pi1eluni $p |- ( ph -> ( F e. U. B <->
        ( F e. ( II Cn J ) /\ ( F ` 0 ) = Y /\ ( F ` 1 ) = Y ) ) ) $=
      ( cuni comi co eqid cbs cfv eqidd pi1buni om1elbas ) ABLCEEGMNZFGUAOZIJAB
      DEUAPQZUAFGHIJUBKAUCRST $.

    pi1bas3.r $e |- R = ( ( ~=ph ` J ) i^i ( U. B X. U. B ) ) $.
    $( The base set of the fundamental group.  (Contributed by Mario Carneiro,
       10-Jul-2015.) $)
    pi1bas3 $p |- ( ph -> B = ( U. B /. R ) ) $=
      ( cuni cphtpc cfv cxp cqs wss wceq co cin pi1bas2 cima cii ccn comi eqidd
      eqid cbs pi1buni pi1blem simpld qsinxp syl eqtrd qseq2 ax-mp eqtr4di ) AB
      BMZENOZUSUSPUAZQZUSCQZABUSUTQZVBABDEFGHIJKUBAUTUSUCUSRZVDVBSAVEUSUDEUETRA
      BDEUSEGUFTZFGHIJVFUHZKABDEVFUIOZVFFGHIJVGKAVHUGUJUKULUSUTUMUNUOCVASVCVBSL
      CVAUSUPUQUR $.

    pi1cpbl.o $e |- O = ( J Om1 Y ) $.
    pi1cpbl.a $e |- .+ = ( +g ` O ) $.
    $( The group operation, loop concatenation, is compatible with homotopy
       equivalence.  (Contributed by Mario Carneiro, 10-Jul-2015.) $)
    pi1cpbl $p |- ( ph ->
      ( ( M R N /\ P R Q ) -> ( M .+ P ) R ( N .+ Q ) ) ) $=
      ( wbr wa co cpco cfv cuni wcel cphtpc ctopon adantr cbs wceq eqidd simprl
      pi1buni cxp cin breqi brinxp2 bitri sylib simplld simprr om1addcl simplrd
      c1 cc0 cii ccn w3a pi1eluni mpbid simp3d simp2d eqtr4d pcohtpy syl21anbrc
      simprd cplusg om1plusg eqtr4di oveqd 3brtr3d ex ) AIJFUAZCEFUAZUBZICDUCZJ
      EDUCZFUAAWGUBZICHUDUEZUCZJEWKUCZWHWIFWJWLBUFZUGZWMWNUGZWLWMHUHUEZUAZWLWMF
      UAZWJWNIHCKLMSAHLUIUEUGWGOUJZAMLUGWGPUJZWJBGHKUKUEZKLMNWTXASABGUKUEULWGQU
      JZWJXBUMUOZWJIWNUGZJWNUGZIJWQUAZWJWEXEXFUBZXGUBZAWEWFUNWEIJWQWNWNUPUQZUAX
      IIJFXJRURWNWNIJWQUSUTVAZVBZWJCWNUGZEWNUGZCEWQUAZWJWFXMXNUBZXOUBZAWEWFVCWF
      CEXJUAXQCEFXJRURWNWNCEWQUSUTVAZVBZVDWJWNJHEKLMSWTXAXDWJXEXFXGXKVEWJXMXNXO
      XRVEVDWJICJHEWJVFIUEZMVGCUEZWJIVHHVIUCZUGZVGIUEMULZXTMULZWJXEYCYDYEVJXLWJ
      BIGHLMNWTXAXCVKVLVMWJCYBUGZYAMULZVFCUEMULZWJXMYFYGYHVJXSWJBCGHLMNWTXAXCVK
      VLVNVOWJXHXGXKVRWJXPXOXRVRVPWSWLWMXJUAWOWPUBWRUBWLWMFXJRURWNWNWLWMWQUSUTV
      QWJWKDICWJWKKVSUEDWJHKLMSWTXAVTTWAZWBWJWKDJEYIWBWCWD $.
  $}

  ${
    $d a b c d .+ $.  $d f F $.  $d f G $.  $d c d M $.  $d c d N $.  $d f X $.
    $d a b c d f B $.  $d a b c d f J $.  $d a b c d f ph $.  $d c d f Y $.
    elpi1.g $e |- G = ( J pi1 Y ) $.
    elpi1.b $e |- B = ( Base ` G ) $.
    elpi1.1 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    elpi1.2 $e |- ( ph -> Y e. X ) $.
    $( The elements of the fundamental group.  (Contributed by Jeff Madsen,
       19-Jun-2010.)  (Revised by Mario Carneiro, 10-Jul-2015.) $)
    elpi1 $p |- ( ph -> ( F e. B <->
                  E. f e. ( II Cn J ) ( ( ( f ` 0 ) = Y /\ ( f ` 1 ) = Y )
                                  /\ F = [ f ] ( ~=ph ` J ) ) ) ) $=
      ( wcel cphtpc cfv wceq wa wrex cvv bitrdi cuni cqs cc0 cv cec cii ccn cbs
      c1 co a1i pi1bas2 eleq2d elex id ecexg ax-mp eqeltrdi rexlimivw pm5.21nii
      fvex elqsg w3a pi1eluni 3anass anbi1d anass rexbidv2 syl5bb bitrd ) ADBMD
      BUAZFNOZUBZMZUCCUDZOHPZUIVOOHPZQZDVOVLUEZPZQZCUFFUGUJZRZABVMDABEFGHIKLBEU
      HOPAJUKZULUMVNVTCVKRZAWCVNDSMZWEDVMUNVTWFCVKVTDVSSVTUOVLSMVSSMFNVAVOSVLUP
      UQURUSCVKDVLSVBUTAVTWACVKWBAVOVKMZVTQVOWBMZVRQZVTQWHWAQAWGWIVTAWGWHVPVQVC
      WIABVOEFGHIKLWDVDWHVPVQVETVFWHVRVTVGTVHVIVJ $.

    ${
      elpi1i.3 $e |- ( ph -> F e. ( II Cn J ) ) $.
      elpi1i.4 $e |- ( ph -> ( F ` 0 ) = Y ) $.
      elpi1i.5 $e |- ( ph -> ( F ` 1 ) = Y ) $.
      $( The elements of the fundamental group.  (Contributed by Jeff Madsen,
         19-Jun-2010.)  (Revised by Mario Carneiro, 10-Jul-2015.) $)
      elpi1i $p |- ( ph -> [ F ] ( ~=ph ` J ) e. B ) $=
        ( vf cfv cc0 wceq c1 wa cphtpc cec wcel cv cii ccn co wrex eceq1 eqcomd
        biantrud fveq1 eqeq1d anbi12d bitr3d rspcev syl12anc elpi1 mpbird ) ACE
        UAPZUBZBUCQOUDZPZGRZSVBPZGRZTZVAVBUTUBZRZTZOUEEUFUGZUHZACVKUCQCPZGRZSCP
        ZGRZVLLMNVJVNVPTZOCVKVBCRZVGVJVQVRVIVGVRVHVAVBCUTUIUJUKVRVDVNVFVPVRVCVM
        GQVBCULUMVRVEVOGSVBCULUMUNUOUPUQABOVADEFGHIJKURUS $.
    $}

    pi1addf.p $e |- .+ = ( +g ` G ) $.
    $( The group operation of ` pi1 ` is a binary operation.  (Contributed by
       Jeff Madsen, 11-Jun-2010.)  (Revised by Mario Carneiro, 10-Jul-2015.) $)
    pi1addf $p |- ( ph -> .+ : ( B X. B ) --> B ) $=
      ( cxp wf cfv co cvv cqus cv wcel vd vc va cuni cphtpc cin cqs comi cplusg
      cbs eqidd fvexd ovexd cima wss cii ccn eqid wceq a1i pi1blem simpld qusin
      vb pi1val pi1buni sqxpeqd ineq2d oveq2d 3eqtr4d wer phtpcer simprd erinxp
      eqsstrd pi1cpbl wa ctopon adantr om1plusg simprl simprr om1addcl eqeltrrd
      cpco oveqd qusaddf pi1bas3 feq2d mpbird feq3d ) ABBMZBCNWLBUDZEUEOZWMWMMZ
      UFZUGZCNZAWRWQWQMZWQCNAWPEGUHPZCWTUIOZDWMQUAUBUCVDAWTWNRPZWTWNWTUJOZXCMZU
      FZRPDWTWPRPAWNWTXBXCQQAXBUKAXCUKZAEUEULAEGUHUMZAWNXCUNXCUOZXCUPEUQPZUOZAB
      DEXCWTFGHJKWTURZBDUJOUSAIUTZXFVAZVBVCADEWTFGHJKXKVEAWPXEWTRAWOXDWNAWMXCAB
      DEXCWTFGHJKXKXLXFVFZVGVHVIVJXNAXIWMWNXIWNVKAEVLUTAWMXCXIXNAXHXJXMVMVOVNXG
      ABVDSXAUASZWPDEUCSUBSZWTFGHJKXLWPURZXKXAURZVPAXPWMTZXOWMTZVQZVQZXPXOEWEOZ
      PXPXOXAPWMYBYCXAXPXOYBEWTFGXKAEFVROTYAJVSZAGFTYAKVSZVTWFYBWMXPEXOWTFGXKYD
      YEAWMXCUSYAXNVSAXSXTWAAXSXTWBWCWDXRLWGAWLWSWQCABWQABWPDEFGHJKXLXQWHZVGWIW
      JABWQCWLYFWKWJ $.

    pi1addval.3 $e |- ( ph -> M e. U. B ) $.
    pi1addval.4 $e |- ( ph -> N e. U. B ) $.
    $( The concatenation of two path-homotopy classes in the fundamental group.
       (Contributed by Jeff Madsen, 11-Jun-2010.)  (Revised by Mario Carneiro,
       10-Jul-2015.) $)
    pi1addval $p |- ( ph -> ( [ M ] ( ~=ph ` J ) .+ [ N ] ( ~=ph ` J ) ) =
        [ ( M ( *p ` J ) N ) ] ( ~=ph ` J ) ) $=
      ( cfv cec co wcel vd vc va cphtpc cuni cxp cin comi cplusg cpco wceq cqus
      cvv cbs eqidd fvexd ovexd cima wss cii ccn eqid a1i pi1blem simpld pi1val
      vb qusin pi1buni sqxpeqd ineq2d oveq2d 3eqtr4d wer phtpcer simprd eqsstrd
      erinxp cv pi1cpbl wa om1plusg oveqdr ctopon adantr simprl simprr om1addcl
      eqeltrrd qusaddval mpd3an23 imaeq2d 3sstr4d ecinxp syl2anc oveq12d eceq1d
      oveqd eqtrd ) AFEUDQZBUEZXAUFZUGZRZGXCRZCSZFGEIUHSZUIQZSZXCRZFWTRZGWTRZCS
      FGEUJQZSZWTRZAFXATZGXATZXFXJUKOPAXCXGCXHDXAFGUMUAUBUCVGAXGWTULSZXGWTXGUNQ
      ZXSUFZUGZULSDXGXCULSAWTXGXRXSUMUMAXRUOAXSUOZAEUDUPAEIUHUQZAWTXSURZXSUSZXS
      UTEVASZUSZABDEXSXGHIJLMXGVBZBDUNQUKAKVCZYBVDZVEZVHADEXGHIJLMYHVFAXCYAXGUL
      AXBXTWTAXAXSABDEXSXGHIJLMYHYIYBVIZVJVKVLVMYLAYFXAWTYFWTVNAEVOVCAXAXSYFYLA
      YEYGYJVPVQVRYCABVGVSXHUAVSZXCDEUCVSUBVSZXGHIJLMYIXCVBYHXHVBZVTAYNXATZYMXA
      TZWAZWAZYNYMXMSYNYMXHSXAAYRUBUAXMXHAEXGHIYHLMWBZWCYSXAYNEYMXGHIYHAEHWDQTY
      RLWEAIHTYRMWEAXAXSUKYRYLWEAYPYQWFAYPYQWGWHWIYONWJWKAXKXDXLXECAWTXAURZXAUS
      ZXPXKXDUKAYDXSUUAXAYKAXAXSWTYLWLYLWMZOXAFWTWNWOAUUBXQXLXEUKUUCPXAGWTWNWOW
      PAXOXNXCRZXJAUUBXNXATXOUUDUKUUCAXAFEGXGHIYHLMYLOPWHXAXNWTWNWOAXNXIXCAXMXH
      FGYTWRWQWSVM $.
  $}

  ${
    $d a b c d u x y z B $.  $d a b c d u x y z J $.  $d a b c d u x y z ph $.
    $d a b c d x y z G $.  $d a b c d x y Y $.  $d a b c d x .0. $.
    pi1fval.g $e |- G = ( J pi1 Y ) $.
    pi1fval.b $e |- B = ( Base ` G ) $.
    pi1fval.3 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    pi1fval.4 $e |- ( ph -> Y e. X ) $.
    pi1grplem.z $e |- .0. = ( ( 0 [,] 1 ) X. { Y } ) $.
    $( Lemma for ~ pi1grp .  (Contributed by Jeff Madsen, 11-Jun-2010.)
       (Revised by Mario Carneiro, 10-Aug-2015.) $)
    pi1grplem $p |- ( ph ->
        ( G e. Grp /\ [ .0. ] ( ~=ph ` J ) = ( 0g ` G ) ) ) $=
      ( wcel cfv wceq co c1 cv wbr w3a vx vy vz va vd vc vb cgrp cphtpc cec c0g
      vu wa cuni cxp cin cpco comi cc0 cicc cmin cmpt cvv eqid pi1val cbs eqidd
      a1i pi1buni fvexd ovexd wss cii ccn pi1blem simpld qusin om1plusg phtpcer
      cima wer simprd erinxp cplusg pi1cpbl oveqd breq12d ctopon 3ad2ant1 simp2
      sylibrd simp3 om1addcl adantr 3adant3r3 simpr3 simpr1 simpr2 c2 cdiv cmul
      cle caddc cif pi1eluni biimpa 3ad2antr1 simp1d mpbid simp3d simp2d eqtr4d
      c4 pcoass brinxp2 syl21anbrc pcoptcl syl2anc mpbird simpr sselda pcorevcl
      pcopt syl eqtrd wb mpbir3and pcorev sneqd xpeq2d eqtr4id breqtrrd qusgrp2
      csn ecinxp eqeq1d anbi2d ) ACUHMZGDUINZUJZCUKNZOZUMYRGYSBUNZUUCUOUPZUJZUU
      AOZUMAUAUBUCDUQNZUUDDFURPZCUDUSQUTPZQUDRZVAPUARZNVBZUUCVCGUEUFUDUGAYSUUHC
      UUCVCVCACDUUHEFHJKUUHVDZVEABCDUUHVFNZUUHEFHJKUUMBCVFNOZAIVHZAUUNVGVIZADUI
      VJADFURVKZAYSUUCVTUUCVLZUUCVMDVNPZVLZABCDUUCUUHEFHJKUUMUUPUUQVOZVPZVQUUQA
      DUUHEFUUMJKVRZAUUTUUCYSUUTYSWAADVSVHAUUSUVAUVBWBZWCUURAUUJUFRZUUDSUGRZUER
      ZUUDSUMUUJUVGUUHWDNZPZUVFUVHUVIPZUUDSUUJUVGUUGPZUVFUVHUUGPZUUDSABUVGUVIUV
      HUUDCDUUJUVFUUHEFHJKUUPUUDVDUUMUVIVDWEAUVLUVJUVMUVKUUDAUUGUVIUUJUVGUVDWFA
      UUGUVIUVFUVHUVDWFWGWKAUUKUUCMZUBRZUUCMZTUUCUUKDUVOUUHEFUUMAUVNDEWHNMZUVPJ
      WIAUVNFEMZUVPKWIAUVNUUCUUNOZUVPUUQWIAUVNUVPWJAUVNUVPWLWMZAUVNUVPUCRZUUCMZ
      TZUMZUUKUVOUUGPZUWAUUGPZUUCMUUKUVOUWAUUGPZUUGPZUUCMUWFUWHYSSUWFUWHUUDSUWD
      UUCUWEDUWAUUHEFUUMAUVQUWCJWNZAUVRUWCKWNZAUVSUWCUUQWNZAUVNUVPUWEUUCMUWBUVT
      WOAUVNUVPUWBWPZWMUWDUUCUUKDUWGUUHEFUUMUWIUWJUWKAUVNUVPUWBWQUWDUUCUVODUWAU
      UHEFUUMUWIUWJUWKAUVNUVPUWBWRZUWLWMWMUWDULULUUIULRZQWSWTPZXBSUWNQXMWTPZXBS
      WSUWNXAPUWNUWPXCPXDUWNWSWTPUWOXCPXDVBZUUKUVOUWADUWDUUKUUTMZUSUUKNZFOZQUUK
      NZFOZAUVPUVNUWRUWTUXBTZUWBAUVNUXCABUUKCDEFHJKUUPXEXFZXGZXHUWDUVOUUTMZUSUV
      ONZFOZQUVONZFOZUWDUVPUXFUXHUXJTUWMUWDBUVOCDEFHUWIUWJUUOUWDIVHZXEXIZXHUWDU
      WAUUTMZUSUWANZFOZQUWANFOZUWDUWBUXMUXOUXPTUWLUWDBUWACDEFHUWIUWJUXKXEXIZXHU
      WDUXAFUXGUWDUWRUWTUXBUXEXJUWDUXFUXHUXJUXLXKXLUWDUXIFUXNUWDUXFUXHUXJUXLXJU
      WDUXMUXOUXPUXQXKXLUWQVDXNUUCUUCUWFUWHYSXOXPAGUUCMZGUUTMUSGNFOQGNFOTZAUVQU
      VRUXSJKGDEFLXQXRABGCDEFHJKUUPXEXSZAUVNUMZGUUKUUGPZUUCMUVNUYBUUKYSSZUYBUUK
      UUDSUYAUUCGDUUKUUHEFUUMAUVQUVNJWNZAUVRUVNKWNZAUVSUVNUUQWNZAUXRUVNUXTWNZAU
      VNXTZWMUYHUYAUWRUWTUYCAUUCUUTUUKUVEYAZUYAUWRUWTUXBUXDXKZGUUKDFLYCXRUUCUUC
      UYBUUKYSXOXPUYAUULUUCMZUULUUTMZUSUULNZFOZQUULNZFOZUYAUYLUYMUXAOZUYOUWSOZU
      YAUWRUYLUYQUYRTUYIUDUUKUULDUULVDZYBYDZXHUYAUYMUXAFUYAUYLUYQUYRUYTXKUYAUWR
      UWTUXBUXDXJZYEUYAUYOUWSFUYAUYLUYQUYRUYTXJUYJYEAUYKUYLUYNUYPTYFUVNABUULCDE
      FHJKUUPXEWNYGZUYAUULUUKUUGPZUUCMUXRVUCGYSSVUCGUUDSUYAUUCUULDUUKUUHEFUUMUY
      DUYEUYFVUBUYHWMUYGUYAVUCUUIUXAYNZUOZGYSUYAUWRVUCVUEYSSUYIUDVUEUUKUULDUYSV
      UEVDYHYDUYAGUUIFYNZUOVUELUYAVUDVUFUUIUYAUXAFVUAYIYJYKYLUUCUUCVUCGYSXOXPYM
      AUUBUUFYRAYTUUEUUAAUUSUXRYTUUEOUVCUXTUUCGYSYOXRYPYQXS $.
  $}

  ${
    $d x F $.  $d x G $.  $d x J $.  $d x ph $.  $d x Y $.
    pi1grp.2 $e |- G = ( J pi1 Y ) $.
    $( The fundamental group is a group.  Proposition 1.3 of [Hatcher] p. 26.
       (Contributed by Jeff Madsen, 19-Jun-2010.)  (Proof shortened by Mario
       Carneiro, 8-Jun-2014.)  (Revised by Mario Carneiro, 10-Aug-2015.) $)
    pi1grp $p |- ( ( J e. ( TopOn ` X ) /\ Y e. X ) -> G e. Grp ) $=
      ( ctopon cfv wcel wa cgrp cc0 c1 cicc co csn cxp cphtpc cec c0g eqid wceq
      cbs simpl simpr pi1grplem simpld ) BCFGHZDCHZIZAJHKLMNDOPZBQGRASGUAUIAUBG
      ZABCDUJEUKTUGUHUCUGUHUDUJTUEUF $.

    ${
      pi1id.3 $e |- .0. = ( ( 0 [,] 1 ) X. { Y } ) $.
      $( The identity element of the fundamental group.  (Contributed by Mario
         Carneiro, 12-Feb-2015.)  (Revised by Mario Carneiro, 10-Aug-2015.) $)
      pi1id $p |- ( ( J e. ( TopOn ` X ) /\ Y e. X ) ->
        [ .0. ] ( ~=ph ` J ) = ( 0g ` G ) ) $=
        ( ctopon cfv wcel wa cgrp cphtpc cec c0g wceq cbs eqid simpl simpr
        pi1grplem simprd ) BCHIJZDCJZKZALJEBMINAOIPUEAQIZABCDEFUFRUCUDSUCUDTGUA
        UB $.
    $}

    pi1inv.n $e |- N = ( invg ` G ) $.
    pi1inv.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    pi1inv.y $e |- ( ph -> Y e. X ) $.
    pi1inv.f $e |- ( ph -> F e. ( II Cn J ) ) $.
    pi1inv.0 $e |- ( ph -> ( F ` 0 ) = Y ) $.
    pi1inv.1 $e |- ( ph -> ( F ` 1 ) = Y ) $.
    pi1inv.i $e |- I = ( x e. ( 0 [,] 1 ) |-> ( F ` ( 1 - x ) ) ) $.
    $( An inverse in the fundamental group.  (Contributed by Mario Carneiro,
       12-Feb-2015.)  (Revised by Mario Carneiro, 10-Aug-2015.) $)
    pi1inv $p |- ( ph -> ( N ` [ F ] ( ~=ph ` J ) ) = [ I ] ( ~=ph ` J ) ) $=
      ( cfv wceq wcel cphtpc cec cplusg c0g cpco cc0 cicc csn cxp cbs eqid cuni
      co cii ccn w3a pcorevcl syl simp1d simp2d eqtrd simp3d pi1eluni mpbir3and
      a1i pi1addval wer phtpcer wbr pcorev sneqd xpeq2d breqtrd erthi pi1grplem
      c1 cgrp simprd 3eqtrd wb simpld elpi1i grpinvid2 syl3anc mpbird ) ACFUARZ
      UBZGREWFUBZSZWHWGDUCRZUMZDUDRZSZAWKECFUERUMZWFUBUFVPUGUMZIUHZUIZWFUBZWLAD
      UJRZWJDFECHIJWSUKZLMWJUKZAEWSULZTEUNFUOUMZTZUFERZISVPERZISAXDXEVPCRZSZXFU
      FCRZSZACXCTZXDXHXJUPNBCEFQUQURZUSZAXEXGIAXDXHXJXLUTPVAZAXFXIIAXDXHXJXLVBO
      VAZAWSEDFHIJLMWSWSSAWTVEZVCVDACXBTXKXIISXGISNOPAWSCDFHIJLMXPVCVDVFAWNWQWF
      XCXCWFVGAFVHVEAWNWOXGUHZUIZWQWFAXKWNXRWFVINBXRCEFQXRUKVJURAXQWPWOAXGIPVKV
      LVMVNADVQTZWRWLSZAWSDFHIWQJWTLMWQUKVOZVRVSAXSWGWSTWHWSTWIWMVTAXSXTYAWAAWS
      CDFHIJWTLMNOPWBAWSEDFHIJWTLMXMXNXOWBWSWJDGWGWHWLWTXAWLUKKWCWDWE $.
  $}

  ${
    $d f g h s u x y z B $.  $d g h s u x y z F $.  $d g h s u x y z I $.
    $d g s x A $.  $d f h y z G $.  $d f s z H $.  $d f g h s u x y z ph $.
    $d f g h s u x y z J $.  $d f g h s x y z P $.  $d f g h s x y z Q $.
    pi1xfr.p $e |- P = ( J pi1 ( F ` 0 ) ) $.
    pi1xfr.q $e |- Q = ( J pi1 ( F ` 1 ) ) $.
    pi1xfr.b $e |- B = ( Base ` P ) $.
    pi1xfr.g $e |- G = ran ( g e. U. B |-> <. [ g ] ( ~=ph ` J ) ,
      [ ( I ( *p ` J ) ( g ( *p ` J ) F ) ) ] ( ~=ph ` J ) >. ) $.
    pi1xfr.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    pi1xfr.f $e |- ( ph -> F e. ( II Cn J ) ) $.
    ${
      pi1xfrval.i $e |- ( ph -> I e. ( II Cn J ) ) $.
      pi1xfrval.1 $e |- ( ph -> ( F ` 1 ) = ( I ` 0 ) ) $.
      pi1xfrval.2 $e |- ( ph -> ( I ` 1 ) = ( F ` 0 ) ) $.
      $( Functionality of the loop transfer function on the equivalence class
         of a path.  (Contributed by Mario Carneiro, 23-Dec-2016.) $)
      pi1xfrf $p |- ( ph -> G : B --> ( Base ` Q ) ) $=
        ( cfv vh vs cbs wf cuni cv cphtpc cec cmpt crn wfun cpco co wcel wa cc0
        ctopon adantr cicc cii ccn iitopon cnf2 mp3an2i 0elunit ffvelrn sylancl
        c1 wceq w3a a1i pi1eluni biimpa simp1d simp2d simp3d eqid 1elunit pcocn
        elpi1i pco0 3eqtr4rd eqtr4d eqtrd eceq1 oveq1 oveq2d eceq1d wer phtpcer
        pco1 3ad2antr1 erref simpr3 mpbird pcohtpy erthi fliftfund fliftf mpbid
        wbr erth cqs pi1bas2 wrex cab df-qs rnmpt eqtr4i eqtrdi feq2d ) ABDUCTZ
        GUDEBUEZEUFZIUGTZUHZUIZUJZXLGUDZAGUKXSAEUAXPHXNFIULTZUMZXTUMZXOUHZUAUFZ
        XOUHZHYDFXTUMZXTUMZXOUHBXLGXMNAXNXMUNZUOZBXNCIJUPFTZKMAIJUQTUNZYHOURZAY
        JJUNZYHAUPVHUSUMZJFUDZUPYNUNYMUTYNUQTUNAYKFUTIVAUMZUNZYOVBOPFUTIYNJVCVD
        ZVEYNJUPFVFVGZURYIXNYPUNZUPXNTZYJVIZVHXNTYJVIZAYHYTUUBUUCVJABXNCIJYJKOY
        SBCUCTVIAMVKZVLVMZVNZYIYTUUBUUCUUEVOZYIYTUUBUUCUUEVPZVTZYIXLYBDIJVHFTZL
        XLVQYLAUUJJUNZYHAYOVHYNUNUUKYRVRYNJVHFVFVGURYIHYAIAHYPUNZYHQURZYIXNFIUU
        FAYQYHPURZUUHVSZYIUUAYJUPYATZVHHTZUUGYIXNFIUUFUUNWAAUUQYJVIZYHSURWBVSYI
        UPYBTUPHTZUUJYIHYAIUUMUUOWAAUUJUUSVIYHRURWCYIVHYBTVHYATUUJYIHYAIUUMUUOW
        KYIXNFIUUFUUNWKWDVTZXNYDXOWEXNYDVIZYBYGXOUVAYAYFHXTXNYDFXTWFWGWHAYHYDXM
        UNZXPYEVIZVJZUOZYBYGXOYPYPXOWIUVEIWJVKZUVEHYAHIYFUVEUUAYJUUPUUQAUVBYHUU
        BUVCUUGWLUVEXNFIAUVBYHYTUVCUUFWLZAYQUVDPURZWAAUURUVDSURWBUVEHXOYPUVFAUU
        LUVDQURWMUVEXNFYDIFAUVBYHUUCUVCUUHWLUVEXNYDXOXAUVCAYHUVBUVCWNUVEXNYDXOY
        PUVFUVGXBWOUVEFXOYPUVFUVHWMWPWPWQWRAEXPYCBXLGXMNUUIUUTWSWTABXRXLGABXMXO
        XCZXRABCIJYJKOYSUUDXDUVIUBUFXPVIEXMXEUBXFXREUBXMXOXGEUBXMXPXQXQVQXHXIXJ
        XKWO $.

      pi1xfrval.a $e |- ( ph -> A e. U. B ) $.
      $( The value of the loop transfer function on the equivalence class of a
         path.  (Contributed by Mario Carneiro, 12-Feb-2015.)  (Revised by
         Mario Carneiro, 23-Dec-2016.) $)
      pi1xfrval $p |- ( ph -> ( G ` [ A ] ( ~=ph ` J ) ) =
        [ ( I ( *p ` J ) ( A ( *p ` J ) F ) ) ] ( ~=ph ` J ) ) $=
        ( cuni wcel cphtpc cfv cec cpco co wceq cv cvv wa fvex ecexg mp1i eceq1
        oveq1 oveq2d eceq1d cbs pi1xfrf ffund fliftval mpdan ) ABCUBZUCBJUDUEZU
        FZHUEIBGJUGUEZUHZVHUHZVFUFZUIUAAFFUJZVFUFZIVLGVHUHZVHUHZVFUFZVGVKUKUKHV
        EBOVFUKUCZVMUKUCAVLVEUCULZJUDUMZVLUKVFUNUOVQVPUKUCVRVSVOUKVFUNUOVLBVFUP
        VLBUIZVOVJVFVTVNVIIVHVLBGVHUQURUSACEUTUEHACDEFGHIJKLMNOPQRSTVAVBVCVD $.
    $}

    pi1xfr.i $e |- I = ( x e. ( 0 [,] 1 ) |-> ( F ` ( 1 - x ) ) ) $.
    $( Given a path ` F ` and its inverse ` I ` between two basepoints, there
       is an induced group homomorphism on the fundamental groups.
       (Contributed by Mario Carneiro, 12-Feb-2015.) $)
    pi1xfr $p |- ( ph -> G e. ( P GrpHom Q ) ) $=
      ( cfv co vy vz vf vh vu cgrp wcel cbs wf cplusg wceq wral cghm ctopon cc0
      cv wa c1 cicc cii ccn iitopon cnf2 mp3an2i 0elunit ffvelrn sylancl pi1grp
      syl2anc 1elunit w3a pcorevcl syl simp1d simp2d eqcomd simp3d pi1xfrf cuni
      cphtpc cqs a1i pi1bas2 eleq2d biimpa fvoveq1 fveq2 oveq1d eqeq12d ralbidv
      cec eqid adantlr oveq2 fveq2d oveq2d cpco wer phtpcer pi1eluni 3adant3 wb
      adantr biimp3a pco0 eqtrd eqtr4d pcocn 3ad2ant1 3eqtr4rd erref c2 cle wbr
      cdiv cmul caddc cif cmpt pcoass csn cxp pco1 pcorev2 pcohtpy pcopt ertr3d
      c4 ertrd ertr4d erthi mpbir3and pi1xfrval eqidd pi1addval 3eqtr4d ectocld
      simp2 syldan ralrimiva simp3 simpr oveq12d 3expa jca isghm syl21anbrc ) A
      DUFUGZEUFUGZCEUHSZHUIZUAUPZUBUPZDUJSZTHSZUULHSZUUMHSZEUJSZTZUKZUBCULZUACU
      LZUQHDEUMTUGAJKUNSUGZUOGSZKUGZUUHPAUOURUSTZKGUIZUOUVFUGUVEUTUVFUNSUGAUVCG
      UTJVATZUGZUVGVBPQGUTJUVFKVCVDZVEUVFKUOGVFVGZDJKUVDLVHVIAUVCURGSZKUGZUUIPA
      UVGURUVFUGUVMUVJVJUVFKURGVFVGZEJKUVLMVHVIAUUKUVBACDEFGHIJKLMNOPQAIUVHUGZU
      OISZUVLUKZURISZUVDUKZAUVIUVOUVQUVSVKQBGIJRVLVMZVNZAUVPUVLAUVOUVQUVSUVTVOZ
      VPZAUVOUVQUVSUVTVQZVRAUVAUACAUULCUGZUULCVSZJVTSZWAZUGZUVAAUWEUWIACUWHUULA
      CDJKUVDLPUVKCDUHSUKANWBZWCZWDWEUCUPZUWGWKZUUMUUNTZHSZUWMHSZUUQUURTZUKZUBC
      ULUVAAUCUULUWFUWGUWHUWHWLZUWMUULUKZUWRUUTUBCUWTUWOUUOUWQUUSUWMUULUUMHUUNW
      FUWTUWPUUPUUQUURUWMUULHWGWHWIWJAUWLUWFUGZUQZUWRUBCUXBUUMCUGZUUMUWHUGZUWRA
      UXCUXDUXAAUXCUXDACUWHUUMUWKWDWEWMUWMUDUPZUWGWKZUUNTZHSZUWPUXFHSZUURTZUKZU
      WRUXBUDUUMUWFUWGUWHUWSUXFUUMUKZUXHUWOUXJUWQUXLUXGUWNHUXFUUMUWMUUNWNWOUXLU
      XIUUQUWPUURUXFUUMHWGWPWIAUXAUXEUWFUGZUXKAUXAUXMVKZUWLUXEJWQSZTZUWGWKZHSZI
      UWLGUXOTZUXOTZUWGWKZIUXEGUXOTZUXOTZUWGWKZUURTZUXHUXJUXNIUXPGUXOTZUXOTZUWG
      WKUXTUYCUXOTZUWGWKUXRUYEUXNUYGUYHUWGUVHUVHUWGWRUXNJWSWBZUXNUYGIUXSUYCUXOT
      ZUXOTUYHUWGUVHUYIUXNIUYFIJUYJUXNUOUXPSZUVDUOUYFSUVRUXNUYKUOUWLSZUVDUXNUWL
      UXEJAUXAUWLUVHUGZUXMUXBUYMUYLUVDUKZURUWLSZUVDUKZAUXAUYMUYNUYPVKACUWLDJKUV
      DLPUVKUWJWTWEZVNZXAZUXNUXEUVHUGZUOUXESZUVDUKZURUXESZUVDUKZAUXAUXMUYTVUBVU
      DVKZAUXMVUEXBUXAACUXEDJKUVDLPUVKUWJWTXCXDZVNZXEAUXAUYNUXMUXBUYMUYNUYPUYQV
      OZXAXFZUXNUXPGJUXNUWLUXEJUYSVUGUXNUYOUVDVUAAUXAUYPUXMUXBUYMUYNUYPUYQVQZXA
      ZUXNUYTVUBVUDVUFVOZXGZXHZAUXAUVIUXMQXIZXEAUXAUVSUXMUWDXIZXJUXNIUWGUVHUYIA
      UXAUVOUXMUWAXIZXKUXNUYFUWLUYBUXOTZUYJUWGUVHUYIUXNUEUEUVFUEUPZURXLXOTZXMXN
      VUSURYHXOTZXMXNXLVUSXPTVUSVVAXQTXRVUSXLXOTVUTXQTXRXSZUWLUXEGJUYSVUGVUOVUM
      UXNUYTVUBVUDVUFVQZVVBWLZXTUXNVURUWLGUYCUXOTZUXOTUYJUWGUVHUYIUXNUWLUYBUWLJ
      VVEUXNUYOVUAUOUYBSZVUMUXNUXEGJVUGVUOXEZXGUXNUWLUWGUVHUYIUYSXKUXNUYBGIUXOT
      ZUYBUXOTZVVEUWGUVHUYIUXNVVIUVFUVDYAYBZUYBUXOTZUYBUWGUVHUYIUXNVVHUYBVVJJUY
      BUXNURVVHSUVRVVFUXNGIJVUOVUQYCUXNVUAUVDVVFUVRVULVVGVUPXJZXFUXNUVIVVHVVJUW
      GXNVUOBVVJGIJRVVJWLZYDVMUXNUYBUWGUVHUYIUXNUXEGJVUGVUOVVCXHZXKYEUXNUYBUVHU
      GVVFUVDUKVVKUYBUWGXNVVNUXNVVFVUAUVDVVGVULXFVVJUYBJUVDVVMYFVIYIUXNUEVVBGIU
      YBJVUOVUQVVNUXNUVPUVLAUXAUVQUXMUWBXIZVPZVVLVVDXTYGYEUXNUEVVBUWLGUYCJUYSVU
      OUXNIUYBJVUQVVNVVLXHZVUKUXNUOUYCSZUVLUXNVVRUVPUVLUXNIUYBJVUQVVNXEVVOXFZVP
      VVDXTYJYIYEUXNUEVVBIUXSUYCJVUQAUXAUXSUVHUGUXMUXBUWLGJUYRAUVIUXAQXCZVUJXHZ
      XAVVQAUXAUVRUOUXSSZUKUXMUXBUYLUVDVWBUVRVUHUXBUWLGJUYRVVTXEAUVSUXAUWDXCZXJ
      ZXAUXNURUXSSZUVLVVRUXNUWLGJUYSVUOYCVVSXGVVDXTYJYKUXNUXPCDEFGHIJKLMNOAUXAU
      VCUXMPXIZVUOVUQVVPVUPUXNUXPUWFUGZUXPUVHUGZUYKUVDUKZURUXPSZUVDUKZVUNVUIUXN
      VWJVUCUVDUXNUWLUXEJUYSVUGYCVVCXFAUXAVWGVWHVWIVWKVKXBUXMACUXPDJKUVDLPUVKUW
      JWTXIYLYMUXNUUJUUREJUXTUYCKUVLMUUJWLZVWFAUXAUVMUXMUVNXIZUURWLZUXNUXTUUJVS
      ZUGUXTUVHUGZUOUXTSZUVLUKZURUXTSZUVLUKZAUXAVWPUXMUXBIUXSJAUVOUXAUWAXCZVWAV
      WDXHXAAUXAVWRUXMUXBVWQUVPUVLUXBIUXSJVXAVWAXEAUVQUXAUWBXCXFXAAUXAVWTUXMUXB
      VWSVWEUVLUXBIUXSJVXAVWAYCUXBUWLGJUYRVVTYCXFXAUXNUUJUXTEJKUVLMVWFVWMUXNUUJ
      YNZWTYLUXNUYCVWOUGUYCUVHUGVVRUVLUKURUYCSZUVLUKVVQVVSUXNVXCURUYBSUVLUXNIUY
      BJVUQVVNYCUXNUXEGJVUGVUOYCXFUXNUUJUYCEJKUVLMVWFVWMVXBWTYLYOYPUXNUXGUXQHUX
      NCUUNDJUWLUXEKUVDLNVWFAUXAUVEUXMUVKXIUUNWLZAUXAUXMYRAUXAUXMUUAZYOWOUXNUWP
      UYAUXIUYDUURAUXAUWPUYAUKUXMUXBUWLCDEFGHIJKLMNOAUVCUXAPXCVVTVXAAUVLUVPUKUX
      AUWCXCVWCAUXAUUBYMXAUXNUXECDEFGHIJKLMNOVWFVUOVUQVVPVUPVXEYMUUCYPUUDYQYSYT
      YQYSYTUUEUBUAUUNUURDEHCUUJNVWLVXDVWNUUFUUG $.

    ${
      pi1xfrcnv.h $e |- H = ran ( h e. U. ( Base ` Q ) |-> <. [ h ]
    ( ~=ph ` J ) , [ ( F ( *p ` J ) ( h ( *p ` J ) I ) ) ] ( ~=ph ` J ) >. ) $.
      $( Given a path ` F ` between two basepoints, there is an induced group
         homomorphism on the fundamental groups.  (Contributed by Mario
         Carneiro, 12-Feb-2015.)  (Proof shortened by Mario Carneiro,
         23-Dec-2016.) $)
      pi1xfrcnvlem $p |- ( ph -> `' G C_ H ) $=
        ( ccnv cbs cfv cuni cv cphtpc cec cpco co cop cmpt ccom crn cvv wcel wa
        fvex ecexg mp1i fliftcnv cii ccn cc0 c1 wceq w3a pcorevcl simp1d adantr
        syl cicc wf ctopon iitopon mp3an2i 0elunit ffvelrn sylancl a1i pi1eluni
        cnf2 biimpa simp3d pcocn simp2d eqtr4d pco0 eqtrd pco1 wb 1elunit eqidd
        mpbir3and eceq1 oveq1 oveq2d eceq1d opeq12d fmptco phtpcer eqtr2d erref
        wer csn cxp wbr eqid pcopt2 syl2anc c2 cdiv c4 cmul caddc eqcomd pcoass
        cle cif pcorev2 ertr2d ertr3d ertr4d pcopt ertrd erthi opeq2d mpteq2dva
        pcohtpy rneqd rncoss sseqtrri eqsstrdi ) AIUBZGEUCUDZUEZGUFZLUGUDZUHZHY
        QKLUIUDZUJZYTUJZYRUHZUKZULZFCUEZKFUFZHYTUJZYTUJZULZUMZUNZJAYNFUUFUUIYRU
        HZUUGYRUHZUKZULZUNUULAFUUNUUMUOUOIUUFQYRUOUPZUUNUOUPAUUGUUFUPZUQZLUGURZ
        UUGUOYRUSUTUUQUUMUOUPUUSUUTUUIUOYRUSUTVAAUUKUUPAUUKFUUFUUMHUUIKYTUJZYTU
        JZYRUHZUKZULUUPAFGUUFYPUUIUUDUVDUUJUUEUUSUUIYPUPZUUIVBLVCUJZUPZVDUUIUDZ
        VEHUDZVFZVEUUIUDZUVIVFZUUSKUUHLAKUVFUPZUURAUVMVDKUDZUVIVFZVEKUDZVDHUDZV
        FZAHUVFUPZUVMUVOUVRVGSBHKLTVHVKZVIVJZUUSUUGHLUUSUUGUVFUPZVDUUGUDZUVQVFZ
        VEUUGUDZUVQVFZAUURUWBUWDUWFVGACUUGDLMUVQNRAVDVEVLUJZMHVMZVDUWGUPUVQMUPV
        BUWGVNUDUPALMVNUDUPUVSUWHVORSHVBLUWGMWBVPZVQUWGMVDHVRVSCDUCUDVFAPVTWAWC
        ZVIZAUVSUURSVJZUUSUWBUWDUWFUWJWDZWEZUUSUVPUWCVDUUHUDUUSUVPUVQUWCAUVRUUR
        AUVMUVOUVRUVTWDVJUUSUWBUWDUWFUWJWFZWGZUUSUUGHLUWKUWLWHWGZWEUUSUVHUVNUVI
        UUSKUUHLUWAUWNWHAUVOUURAUVMUVOUVRUVTWFVJZWIUUSUVKVEUUHUDZUVIUUSKUUHLUWA
        UWNWJUUSUUGHLUWKUWLWJZWIAUVEUVGUVJUVLVGWKUURAYOUUIELMUVIORAUWHVEUWGUPUV
        IMUPUWIWLUWGMVEHVRVSAYOWMWAVJWNAUUJWMAUUEWMYQUUIVFZYSUUMUUCUVCYQUUIYRWO
        UXAUUBUVBYRUXAUUAUVAHYTYQUUIKYTWPWQWRWSWTAFUUFUVDUUOUUSUVCUUNUUMUUSUVBU
        UGYRUVFUVFYRXDUUSLXAVTZUUSUVBHKUUGYTUJZYTUJZUUGYRUVFUXBUUSHUXCHLUVAUUSV
        DUXCUDUVNUVIUUSKUUGLUWAUWKWHUWRXBUUSHYRUVFUXBUWLXCUUSUXCKUUHKYTUJZYTUJU
        VAYRUVFUXBUUSKUUGKLUXEUWPUUSKYRUVFUXBUWAXCUUSUUGUUGUWGUVQXEXFZYTUJZUXEY
        RUVFUXBUUSUWBUWFUXGUUGYRXGUWKUWMUXFUUGLUVQUXFXHZXIXJUUSUXEUUGHKYTUJZYTU
        JUXGYRUVFUXBUUSBBUWGBUFZVEXKXLUJZXRXGUXJVEXMXLUJZXRXGXKUXJXNUJUXJUXLXOU
        JXSUXJXKXLUJUXKXOUJXSULZUUGHKLUWKUWLUWAUWMUUSUVNUVIUWRXPZUXMXHZXQUUSUUG
        UXIUUGLUXFUUSUWEUVQVDUXIUDUWMUUSHKLUWLUWAWHWGUUSUUGYRUVFUXBUWKXCZUUSUVS
        UXIUXFYRXGUWLBUXFHKLTUXHXTVKZYIYAYBYIUUSBUXMKUUHKLUWAUWNUWAUWQUUSUWSUVI
        UVNUWTUWRWGUXOXQYCYIUUSUXDUXIUUGYTUJZUUGYRUVFUXBUUSBUXMHKUUGLUWLUWAUWKU
        XNUWPUXOXQUUSUXRUXFUUGYTUJZUUGYRUVFUXBUUSUXIUUGUXFLUUGUUSVEUXIUDUVPUWCU
        USHKLUWLUWAWJUWPWIUXQUXPYIUUSUWBUWDUXSUUGYRXGUWKUWOUXFUUGLUVQUXHYDXJYEY
        BYBYFYGYHWIYJWGUULUUEUNJUUEUUJYKUAYLYM $.

      $( Given a path ` F ` between two basepoints, there is an induced group
         homomorphism on the fundamental groups.  (Contributed by Mario
         Carneiro, 12-Feb-2015.)  (Proof shortened by Mario Carneiro,
         23-Dec-2016.) $)
      pi1xfrcnv $p |- ( ph -> ( `' G = H /\ `' G e. ( Q GrpHom P ) ) ) $=
        ( vz vy ccnv wceq cghm co wcel pi1xfrcnvlem wrel cvv cxp wss cphtpc cfv
        cv cec cpco cuni wa fvex ecexg mp1i fliftrel df-rel sylibr dfrel2 sylib
        cbs cc0 c1 cicc cmin cmpt cop crn cpi1 0elunit oveq2 1m0e1 eqtrdi fvmpt
        fveq2d ax-mp oveq2i eqtr4i 1elunit fveq2i eqid cii ccn w3a pcorevcl syl
        1m1e0 simp1d cbvmptv ctopon wf iitopon cnf2 mp3an2i feqmptd iirev cc cr
        ax-1cn unitssre sseli recnd nncan sylancr eqtrd mpteq2ia eqtr4di oveq1d
        eceq1d opeq2d mpteq2dv rneqd syl5eq cnveqd a1i unieqd mpteq12dv 3sstr4d
        oveq2d cnvss eqsstrrd eqssd pi1xfr eqeltrd jca ) AIUDZJUEYNEDUFUGZUHAYN
        JABCDEFGHIJKLMNOPQRSTUAUIAJJUDZUDZYNAJUJZYQJUEAJUKUKULUMYRAGGUPZLUNUOZU
        QZHYSKLURUOZUGZUUBUGZYTUQZUKUKJEVIUOZUSZUAYTUKUHZUUAUKUHAYSUUGUHUTZLUNV
        AZYSUKYTVBVCUUHUUEUKUHUUIUUJUUDUKYTVBVCVDJVEVFJVGVHAYPIUMYQYNUMAGUUGUUA
        UBVJVKVLUGZVKUBUPZVMUGZKUOZVNZUUCUUBUGZYTUQZVOZVNZVPZUDFDVIUOZUSZFUPZYT
        UQZKUVCUUOUUBUGZUUBUGZYTUQZVOZVNZVPZYPIAUCUUFEDGFKUUTUVJUUOLMELVKHUOZVQ
        UGLVJKUOZVQUGOUVLUVKLVQVJUUKUHUVLUVKUEZVRBVJVKBUPZVMUGZHUOZUVKUUKKUVNVJ
        UEZUVOVKHUVQUVOVKVJVMUGVKUVNVJVKVMVSVTWAWCTVKHVAWBWDWEWFZDLVJHUOZVQUGLV
        KKUOZVQUGNUVTUVSLVQVKUUKUHUVTUVSUEZWGBVKUVPUVSUUKKUVNVKUEZUVPVKVKVMUGZH
        UOUVSUWBUVOUWCHUVNVKVKVMVSWCUWCVJHWOWHWATVJHVAWBWDWEWFZUUFWIZUUTWIZRAKW
        JLWKUGZUHZUVMUWAAHUWGUHZUWHUVMUWAWLSBHKLTWMWNWPZUBUCUUKUUNVKUCUPZVMUGZK
        UOUULUWKUEUUMUWLKUULUWKVKVMVSWCWQZUVJWIUIAJUUTAJGUUGUUAUUEVOZVNZVPUUTUA
        AUWOUUSAGUUGUWNUURAUUEUUQUUAAUUDUUPYTAHUUOUUCUUBAHUBUUKUULHUOZVNUUOAUBU
        UKMHWJUUKWRUOUHALMWRUOUHUWIUUKMHWSWTRSHWJLUUKMXAXBXCUBUUKUUNUWPUULUUKUH
        ZUUNVKUUMVMUGZHUOZUWPUWQUUMUUKUHUUNUWSUEUULXDBUUMUVPUWSUUKKUVNUUMUEUVOU
        WRHUVNUUMVKVMVSWCTUWRHVAWBWNUWQUWRUULHUWQVKXEUHUULXEUHUWRUULUEXGUWQUULU
        UKXFUULXHXIXJVKUULXKXLWCXMXNXOZXPXQXRXSXTYAZYBAIFCUSZUVDKUVCHUUBUGZUUBU
        GZYTUQZVOZVNZVPUVJQAUXGUVIAFUXBUXFUVBUVHACUVACUVAUEAPYCYDAUXEUVGUVDAUXD
        UVFYTAUXCUVEKUUBAHUUOUVCUUBUWTYGYGXQXRYEXTYAYFYPIYHWNYIYJZAYNUUTYOAYNJU
        UTUXHUXAXMAUCUUFEDGKUUTUUOLMUVRUWDUWEUWFRUWJUWMYKYLYM $.
    $}

    $( The mapping ` G ` between fundamental groups is an isomorphism.
       (Contributed by Mario Carneiro, 12-Feb-2015.) $)
    pi1xfrgim $p |- ( ph -> G e. ( P GrpIso Q ) ) $=
      ( vy co cghm wcel ccnv cgim pi1xfr cbs cfv cuni cphtpc cec cpco cmpt wceq
      cv cop crn eqid pi1xfrcnv simprd isgim2 sylanbrc ) AHDEUATUBHUCZEDUATUBZH
      DEUDTUBABCDEFGHIJKLMNOPQRUEAVBSEUFUGUHSUNZJUIUGZUJGVDIJUKUGZTVFTVEUJUOULU
      PZUMVCABCDEFSGHVGIJKLMNOPQRVGUQURUSDEHUTVA $.
  $}

  ${
    $d g s A $.  $d g h s F $.  $d f g h s z J $.  $d f g h s y z ph $.
    $d f h y z G $.  $d g h s K $.  $d f g h s y z P $.  $d g s T $.
    $d f g h s y z Q $.  $d f g h s y z V $.
    pi1co.p $e |- P = ( J pi1 A ) $.
    pi1co.q $e |- Q = ( K pi1 B ) $.
    pi1co.v $e |- V = ( Base ` P ) $.
    pi1co.g $e |- G = ran ( g e. U. V |->
      <. [ g ] ( ~=ph ` J ) , [ ( F o. g ) ] ( ~=ph ` K ) >. ) $.
    pi1co.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    pi1co.f $e |- ( ph -> F e. ( J Cn K ) ) $.
    pi1co.a $e |- ( ph -> A e. X ) $.
    pi1co.b $e |- ( ph -> ( F ` A ) = B ) $.
    $( Functionality of the loop transfer function on the equivalence class of
       a path.  (Contributed by Mario Carneiro, 23-Dec-2016.) $)
    pi1cof $p |- ( ph -> G : V --> ( Base ` Q ) ) $=
      ( vh vs cbs cfv wf cuni cv cphtpc cec cmpt crn wfun ccom cvv wcel wa fvex
      ecexg mp1i eqid ctopon ctop ccn co cntop2 syl toptopon2 sylib adantr cnf2
      syl3anc ffvelrnd eqeltrrd cii cc0 wceq c1 w3a pi1eluni biimpa simp1d cnco
      syl2anc cicc iitopon mp3an2ani 0elunit fvco3 sylancl simp2d fveq2d 3eqtrd
      a1i 1elunit simp3d elpi1i eceq1 coeq2 eceq1d wer phtpcer simpr3 simpr1 wb
      wbr mpbid erth mpbird phtpcco2 erthi fliftfund cqs pi1bas2 wrex cab df-qs
      fliftf rnmpt eqtr4i eqtrdi feq2d ) AKEUCUDZHUEFKUFZFUGZIUHUDZUIZUJZUKZYBH
      UEZAHULYIAFUAYFGYDUMZJUHUDZUIZUAUGZYEUIZGYMUMZYKUIUNYBHYCPYEUNUOYFUNUOAYD
      YCUOZUPZIUHUQYDUNYEURUSZYQYBYJEJJUFZCNYBUTAJYSVAUDUOZYPAJVBUOZYTAGIJVCVDU
      OZUUARGIJVEVFJVGVHZVIACYSUOYPABGUDZCYSTALYSBGAILVAUDUOZYTUUBLYSGUEQUUCRGI
      JLYSVJVKSVLVMVIYQYDVNIVCVDZUOZUUBYJVNJVCVDZUOYQUUGVOYDUDZBVPZVQYDUDZBVPZA
      YPUUGUUJUULVRZAKYDDILBMQSKDUCUDVPAOWMZVSZVTZWAZAUUBYPRVIYDGVNIJWBWCYQVOYJ
      UDZUUIGUDZUUDCYQVOVQWDVDZLYDUEZVOUUTUOUURUUSVPVNUUTVAUDUOAUUEYPUUGUVAWEQU
      UQYDVNIUUTLVJWFZWGUUTLVOGYDWHWIYQUUIBGYQUUGUUJUULUUPWJWKAUUDCVPYPTVIZWLYQ
      VQYJUDZUUKGUDZUUDCYQUVAVQUUTUOUVDUVEVPUVBWNUUTLVQGYDWHWIYQUUKBGYQUUGUUJUU
      LUUPWOWKUVCWLWPZYDYMYEWQYDYMVPYJYOYKYDYMGWRWSAYPYMYCUOZYFYNVPZVRZUPZYJYOY
      KUUHUUHYKWTUVJJXAWMUVJGYDYMIJUVJYDYMYEXEUVHAYPUVGUVHXBUVJYDYMYEUUFUUFYEWT
      UVJIXAWMUVJUUGUUJUULUVJYPUUMAYPUVGUVHXCAYPUUMXDUVIUUOVIXFWAXGXHAUUBUVIRVI
      XIXJXKAFYFYLUNYBHYCPYRUVFXQXFAKYHYBHAKYCYEXLZYHAKDILBMQSUUNXMUVKUBUGYFVPF
      YCXNUBXOYHFUBYCYEXPFUBYCYFYGYGUTXRXSXTYAXH $.

    $( The value of the loop transfer function on the equivalence class of a
       path.  (Contributed by Mario Carneiro, 10-Aug-2015.)  (Proof shortened
       by Mario Carneiro, 23-Dec-2016.) $)
    pi1coval $p |- ( ( ph /\ T e. U. V ) ->
        ( G ` [ T ] ( ~=ph ` J ) ) = [ ( F o. T ) ] ( ~=ph ` K ) ) $=
      ( cv cphtpc cfv cec ccom cvv cuni wcel fvex ecexg mp1i eceq1 coeq2 eceq1d
      wa wceq cbs pi1cof ffund fliftval ) AGGUBZJUCUDZUEZHVBUFZKUCUDZUEZFVCUEHF
      UFZVFUEUGUGILUHZFQVCUGUIVDUGUIAVBVIUIUPZJUCUJVBUGVCUKULVFUGUIVGUGUIVJKUCU
      JVEUGVFUKULVBFVCUMVBFUQVEVHVFVBFHUNUOALEURUDIABCDEGHIJKLMNOPQRSTUAUSUTVA
      $.

    $( The mapping ` G ` between fundamental groups is a group homomorphism.
       (Contributed by Mario Carneiro, 10-Aug-2015.)  (Revised by Mario
       Carneiro, 23-Dec-2016.) $)
    pi1coghm $p |- ( ph -> G e. ( P GrpHom Q ) ) $=
      ( vy vz vf vh cgrp wcel cbs cfv wf cv cplusg wceq wral cghm ctopon pi1grp
      co syl2anc cuni ctop ccn cntop2 syl toptopon2 sylib cnf2 syl3anc ffvelrnd
      wa eqeltrrd pi1cof cphtpc cqs a1i pi1bas2 eleq2d biimpa cec fvoveq1 fveq2
      eqid oveq1d eqeq12d ralbidv oveq2 fveq2d oveq2d cpco ccom cii c1 pi1eluni
      simp1d adantr simp3d simp2d eqtr4d ad2antrr copco eceq1d pcocn pco0 eqtrd
      cc0 w3a pco1 mpbir3and pi1coval adantlr cnco cicc iitopon mp3an2i 0elunit
      syldan fvco3 sylancl 3eqtrd 1elunit eqidd pi1addval 3eqtr4d simpr oveq12d
      wb simplr ectocld ralrimiva raleqdv mpbird jca isghm syl21anbrc ) ADUEUFZ
      EUEUFZKEUGUHZHUIZUAUJZUBUJZDUKUHZUQHUHZYRHUHZYSHUHZEUKUHZUQZULZUBKUMZUAKU
      MZVIHDEUNUQUFAILUOUHUFZBLUFZYNQSDILBMUPURAJJUSZUOUHUFZCUUKUFZYOAJUTUFZUUL
      AGIJVAUQUFZUUNRGIJVBVCJVDVEZABGUHZCUUKTALUUKBGAUUIUULUUOLUUKGUIQUUPRGIJLU
      UKVFVGSVHVJZEJUUKCNUPURAYQUUHABCDEFGHIJKLMNOPQRSTVKAUUGUAKAYRKUFZYRKUSZIV
      LUHZVMZUFZUUGAUUSUVCAKUVBYRAKDILBMQSKDUGUHULZAOVNZVOZVPVQUCUJZUVAVRZYSYTU
      QZHUHZUVHHUHZUUCUUDUQZULZUBKUMZUUGAUCYRUUTUVAUVBUVBWAZUVHYRULZUVMUUFUBKUV
      PUVJUUAUVLUUEUVHYRYSHYTVSUVPUVKUUBUUCUUDUVHYRHVTWBWCWDAUVGUUTUFZVIZUVNUVM
      UBUVBUMUVRUVMUBUVBUVHUDUJZUVAVRZYTUQZHUHZUVKUVTHUHZUUDUQZULUVMUVRUDYSUUTU
      VAUVBUVOUVTYSULZUWBUVJUWDUVLUWEUWAUVIHUVTYSUVHYTWEWFUWEUWCUUCUVKUUDUVTYSH
      VTWGWCUVRUVSUUTUFZVIZUVGUVSIWHUHUQZUVAVRZHUHZGUVGWIZJVLUHZVRZGUVSWIZUWLVR
      ZUUDUQZUWBUWDUWGGUWHWIZUWLVRZUWKUWNJWHUHUQZUWLVRUWJUWPUWGUWQUWSUWLUWGUVGU
      VSGIJUVRUVGWJIVAUQZUFZUWFUVRUXAXDUVGUHZBULZWKUVGUHZBULZAUVQUXAUXCUXEXEAKU
      VGDILBMQSUVEWLVQZWMZWNZUWGUVSUWTUFZXDUVSUHZBULZWKUVSUHZBULZUVRUWFUXIUXKUX
      MXEUVRKUVSDILBMAUUIUVQQWNZAUUJUVQSWNUVDUVROVNWLVQZWMZUWGUXDBUXJUVRUXEUWFU
      VRUXAUXCUXEUXFWOZWNUWGUXIUXKUXMUXOWPZWQZAUUOUVQUWFRWRZWSWTUVRUWFUWHUUTUFZ
      UWJUWRULZUWGUYAUWHUWTUFXDUWHUHZBULWKUWHUHZBULUWGUVGUVSIUXHUXPUXSXAUWGUYCU
      XBBUWGUVGUVSIUXHUXPXBUVRUXCUWFUVRUXAUXCUXEUXFWPZWNXCUWGUYDUXLBUWGUVGUVSIU
      XHUXPXFUWGUXIUXKUXMUXOWOZXCUWGKUWHDILBMAUUIUVQUWFQWRZAUUJUVQUWFSWRZUVDUWG
      OVNWLXGAUYAUYBUVQABCDEUWHFGHIJKLMNOPQRSTXHXIXOUWGYPUUDEJUWKUWNUUKCNYPWAZA
      UULUVQUWFUUPWRAUUMUVQUWFUURWRUUDWAZUVRUWKYPUSZUFZUWFUVRUYLUWKWJJVAUQZUFZX
      DUWKUHZCULWKUWKUHZCULUVRUXAUUOUYNUXGAUUOUVQRWNUVGGWJIJXJURUVRUYOUXBGUHZUU
      QCUVRXDWKXKUQZLUVGUIZXDUYRUFZUYOUYQULWJUYRUOUHUFZUVRUUIUXAUYSXLUXNUXGUVGW
      JIUYRLVFXMZXNUYRLXDGUVGXPXQUVRUXBBGUYEWFAUUQCULZUVQTWNZXRUVRUYPUXDGUHZUUQ
      CUVRUYSWKUYRUFZUYPVUEULVUBXSUYRLWKGUVGXPXQUVRUXDBGUXQWFVUDXRUVRYPUWKEJUUK
      CNAUULUVQUUPWNAUUMUVQUURWNUVRYPXTWLXGWNUWGUWNUYKUFZUWNUYMUFZXDUWNUHZCULZW
      KUWNUHZCULZUWGUXIUUOVUHUXPUXTUVSGWJIJXJURUWGVUIUXJGUHZUUQCUWGUYRLUVSUIZUY
      TVUIVUMULVUAUWGUUIUXIVUNXLUYGUXPUVSWJIUYRLVFXMZXNUYRLXDGUVSXPXQUWGUXJBGUX
      RWFAVUCUVQUWFTWRZXRUWGVUKUXLGUHZUUQCUWGVUNVUFVUKVUQULVUOXSUYRLWKGUVSXPXQU
      WGUXLBGUYFWFVUPXRAVUGVUHVUJVULXEYEUVQUWFAYPUWNEJUUKCNUUPUURAYPXTWLWRXGYAY
      BUWGUWAUWIHUWGKYTDIUVGUVSLBMOUYGUYHYTWAZAUVQUWFYFUVRUWFYCYAWFUWGUVKUWMUWC
      UWOUUDUVRUVKUWMULUWFABCDEUVGFGHIJKLMNOPQRSTXHWNAUWFUWCUWOULUVQABCDEUVSFGH
      IJKLMNOPQRSTXHXIYDYBYGYHUVRUVMUBKUVBAKUVBULUVQUVFWNYIYJYGXOYHYKUBUAYTUUDD
      EHKYPOUYIVURUYJYLYM $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Metric subcomplex vector spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subcomplex modules
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CMod $. $( Token for the class of subcomplex modules. $)

  $( Syntax for the class of subcomplex modules. $)
  cclm $a class CMod $.

  ${
    $d f k w F $.  $d f k w K $.  $d f k w W $.
    $( Define the class of subcomplex modules, which are left modules over a
       subring of the field of complex numbers ` CCfld ` , which allows us to
       use the complex addition, multiplication, etc. in theorems about
       subcomplex modules.  Since the field of complex numbers is commutative
       and so are its subrings (see ~ subrgcrng ), left modules over such
       subrings are the same as right modules, see ~ rmodislmod .  Therefore,
       we drop the word "left" from "subcomplex left module".  (Contributed by
       Mario Carneiro, 16-Oct-2015.) $)
    df-clm $a |- CMod = { w e. LMod | [. ( Scalar ` w ) / f ].
      [. ( Base ` f ) / k ].
        ( f = ( CCfld |`s k ) /\ k e. ( SubRing ` CCfld ) ) } $.

    isclm.f $e |- F = ( Scalar ` W ) $.
    isclm.k $e |- K = ( Base ` F ) $.
    $( A subcomplex module is a left module over a subring of the field of
       complex numbers.  (Contributed by Mario Carneiro, 16-Oct-2015.) $)
    isclm $p |- ( W e. CMod <-> ( W e. LMod /\
      F = ( CCfld |`s K ) /\ K e. ( SubRing ` CCfld ) ) ) $=
      ( vf vk vw cclm wcel clmod ccnfld cress co wceq cfv wa cv cbs csca csubrg
      w3a wsbc cvv fvexd id fveq2 eqtr4di sylan9eqr adantr fveq2d oveq2d eleq1d
      eqeq12d anbi12d sbcied df-clm elrab2 3anass bitr4i ) CIJCKJZALBMNZOZBLUAP
      ZJZQZQVAVCVEUBFRZLGRZMNZOZVHVDJZQZGVGSPZUCZFHRZTPZUCVFHCKIVOCOZVNVFFVPUDV
      QVOTUEVQVGVPOZQZVLVFGVMUDVSVGSUEVSVHVMOZQZVJVCVKVEWAVGAVIVBVSVGAOVTVRVQVG
      VPAVRUFVQVPCTPAVOCTUGDUHUIZUJWAVHBLMVTVSVHVMBVTUFVSVMASPBVSVGASWBUKEUHUIZ
      ULUNWAVHBVDWCUMUOUPUPHFGUQURVAVCVEUSUT $.

    $( The ring of scalars ` F ` of a subcomplex module is the restriction of
       the field of complex numbers to the base set of ` F ` .  (Contributed by
       Mario Carneiro, 16-Oct-2015.) $)
    clmsca $p |- ( W e. CMod -> F = ( CCfld |`s K ) ) $=
      ( cclm wcel clmod ccnfld cress co wceq csubrg cfv isclm simp2bi ) CFGCHGA
      IBJKLBIMNGABCDEOP $.

    $( The base set of the ring of scalars of a subcomplex module is the base
       set of a subring of the field of complex numbers.  (Contributed by Mario
       Carneiro, 16-Oct-2015.) $)
    clmsubrg $p |- ( W e. CMod -> K e. ( SubRing ` CCfld ) ) $=
      ( cclm wcel clmod ccnfld cress co wceq csubrg cfv isclm simp3bi ) CFGCHGA
      IBJKLBIMNGABCDEOP $.
  $}

  $( A subcomplex module is a left module.  (Contributed by Mario Carneiro,
     16-Oct-2015.) $)
  clmlmod $p |- ( W e. CMod -> W e. LMod ) $=
    ( cclm wcel clmod csca cfv ccnfld cbs cress wceq csubrg eqid isclm simp1bi
    co ) ABCADCAEFZGPHFZIOJQGKFCPQAPLQLMN $.

  $( A subcomplex module is an additive group.  (Contributed by Mario Carneiro,
     16-Oct-2015.) $)
  clmgrp $p |- ( W e. CMod -> W e. Grp ) $=
    ( cclm wcel clmod cgrp clmlmod lmodgrp syl ) ABCADCAECAFAGH $.

  $( A subcomplex module is an abelian group.  (Contributed by Mario Carneiro,
     16-Oct-2015.) $)
  clmabl $p |- ( W e. CMod -> W e. Abel ) $=
    ( cclm wcel clmod cabl clmlmod lmodabl syl ) ABCADCAECAFAGH $.

  ${
    clm0.f $e |- F = ( Scalar ` W ) $.
    $( The scalar ring of a subcomplex module is a ring.  (Contributed by Mario
       Carneiro, 16-Oct-2015.) $)
    clmring $p |- ( W e. CMod -> F e. Ring ) $=
      ( cclm wcel clmod crg clmlmod lmodring syl ) BDEBFEAGEBHABCIJ $.

    $( The scalar ring of a subcomplex module is a group.  (Contributed by
       Mario Carneiro, 16-Oct-2015.) $)
    clmfgrp $p |- ( W e. CMod -> F e. Grp ) $=
      ( cclm wcel clmod cgrp clmlmod lmodfgrp syl ) BDEBFEAGEBHABCIJ $.

    $( The zero of the scalar ring of a subcomplex module.  (Contributed by
       Mario Carneiro, 16-Oct-2015.) $)
    clm0 $p |- ( W e. CMod -> 0 = ( 0g ` F ) ) $=
      ( cclm wcel cc0 ccnfld cbs cfv cress c0g csubrg wceq eqid clmsubrg cnfld0
      co subrg0 syl clmsca fveq2d eqtr4d ) BDEZFGAHIZJQZKIZAKIUCUDGLIEFUFMAUDBC
      UDNZOUDGUEFUENPRSUCAUEKAUDBCUGTUAUB $.

    $( The identity of the scalar ring of a subcomplex module.  (Contributed by
       Mario Carneiro, 16-Oct-2015.) $)
    clm1 $p |- ( W e. CMod -> 1 = ( 1r ` F ) ) $=
      ( cclm wcel c1 ccnfld cbs cfv cress co cur csubrg wceq eqid cnfld1 subrg1
      clmsubrg syl clmsca fveq2d eqtr4d ) BDEZFGAHIZJKZLIZALIUCUDGMIEFUFNAUDBCU
      DOZRUDGUEFUEOPQSUCAUELAUDBCUGTUAUB $.

    $( The addition of the scalar ring of a subcomplex module.  (Contributed by
       Mario Carneiro, 16-Oct-2015.) $)
    clmadd $p |- ( W e. CMod -> + = ( +g ` F ) ) $=
      ( cclm wcel caddc ccnfld cbs cfv cress cplusg cvv wceq fvex eqid cnfldadd
      co ressplusg ax-mp clmsca fveq2d eqtr4id ) BDEZFGAHIZJQZKIZAKIUDLEFUFMAHN
      UDFGUELUEOPRSUCAUEKAUDBCUDOTUAUB $.

    $( The multiplication of the scalar ring of a subcomplex module.
       (Contributed by Mario Carneiro, 16-Oct-2015.) $)
    clmmul $p |- ( W e. CMod -> x. = ( .r ` F ) ) $=
      ( cclm wcel cmul ccnfld cbs cfv cress co cmulr cvv wceq cnfldmul ressmulr
      fvex eqid ax-mp clmsca fveq2d eqtr4id ) BDEZFGAHIZJKZLIZALIUDMEFUFNAHQUDG
      UEFMUEROPSUCAUELAUDBCUDRTUAUB $.

    $( The conjugation of the scalar ring of a subcomplex module.  (Contributed
       by Mario Carneiro, 16-Oct-2015.) $)
    clmcj $p |- ( W e. CMod -> * = ( *r ` F ) ) $=
      ( cclm wcel ccj ccnfld cbs cfv cress co cstv cvv wceq fvex eqid ressstarv
      cnfldcj ax-mp clmsca fveq2d eqtr4id ) BDEZFGAHIZJKZLIZALIUDMEFUFNAHOUDGUE
      FMUEPRQSUCAUELAUDBCUDPTUAUB $.

    $( Reverse direction of ~ isclm .  (Contributed by Mario Carneiro,
       30-Oct-2015.) $)
    isclmi $p |- ( ( W e. LMod /\ F = ( CCfld |`s K ) /\
                     K e. ( SubRing ` CCfld ) ) -> W e. CMod ) $=
      ( clmod wcel ccnfld cress co wceq csubrg cfv w3a cbs simp1 simp2 subrgbas
      cclm eqid 3ad2ant3 fveq2d eqtr4d oveq2d eqtrd simp3 eqeltrrd syl3anbrc
      isclm ) CEFZAGBHIZJZBGKLZFZMZUIAGANLZHIZJUOULFCRFUIUKUMOUNAUJUPUIUKUMPZUN
      BUOGHUNBUJNLZUOUMUIBURJUKBGUJUJSQTUNAUJNUQUAUBZUCUDUNBUOULUSUIUKUMUEUFAUO
      CDUOSUHUG $.

    clmsub.k $e |- K = ( Base ` F ) $.
    $( The scalar ring of a subcomplex module contains the integers.
       (Contributed by Mario Carneiro, 16-Oct-2015.) $)
    clmzss $p |- ( W e. CMod -> ZZ C_ K ) $=
      ( cclm wcel ccnfld csubrg cfv cz wss clmsubrg zsssubrg syl ) CFGBHIJGKBLA
      BCDEMBNO $.

    $( The scalar ring of a subcomplex module is a subset of the complex
       numbers.  (Contributed by Mario Carneiro, 16-Oct-2015.) $)
    clmsscn $p |- ( W e. CMod -> K C_ CC ) $=
      ( cclm wcel ccnfld csubrg cfv cc wss clmsubrg cnfldbas subrgss syl ) CFGB
      HIJGBKLABCDEMBKHNOP $.

    $( Subtraction in the scalar ring of a subcomplex module.  (Contributed by
       Mario Carneiro, 16-Oct-2015.) $)
    clmsub $p |- ( ( W e. CMod /\ A e. K /\ B e. K ) ->
      ( A - B ) = ( A ( -g ` F ) B ) ) $=
      ( cclm wcel w3a cmin co ccnfld cress csg cfv csubg wceq csubrg eqid oveqd
      clmsubrg subrgsubg cnfldsub subgsub syl3an1 clmsca fveq2d 3ad2ant1 eqtr4d
      syl ) EHIZADIZBDIZJZABKLZABMDNLZOPZLZABCOPZLULDMQPIZUMUNUPUSRULDMSPIVACDE
      FGUBDMUCUKDMUQKURABUDUQTURTUEUFUOUTURABULUMUTURRUNULCUQOCDEFGUGUHUIUAUJ
      $.

    $( Negation in the scalar ring of a subcomplex module.  (Contributed by
       Mario Carneiro, 16-Oct-2015.) $)
    clmneg $p |- ( ( W e. CMod /\ A e. K ) -> -u A = ( ( invg ` F ) ` A ) ) $=
      ( cclm wcel wa cminusg cfv ccnfld cress co cneg wceq clmsca syl eqid cc
      fveq2d adantr fveq1d csubg csubrg clmsubrg subrgsubg subginv sylan sselda
      clmsscn cnfldneg 3eqtr2rd ) DGHZACHZIZABJKZKALCMNZJKZKZALJKZKZAOZUPAUQUSU
      NUQUSPUOUNBURJBCDEFQUAUBUCUNCLUDKHZUOVBUTPUNCLUEKHVDBCDEFUFCLUGRCLURVAUSA
      URSVASUSSUHUIUPATHVBVCPUNCTABCDEFUKUJAULRUM $.

    $( Minus one is in the scalar ring of a subcomplex module.  (Contributed by
       AV, 28-Sep-2021.) $)
    clmneg1 $p |- ( W e. CMod -> -u 1 e. K ) $=
      ( cclm wcel cz wss c1 cneg clmzss neg1z ssel mpisyl ) CFGHBIJKZHGPBGABCDE
      LMHBPNO $.

    $( Norm in the scalar ring of a subcomplex module.  (Contributed by Mario
       Carneiro, 16-Oct-2015.) $)
    clmabs $p |- ( ( W e. CMod /\ A e. K ) ->
      ( abs ` A ) = ( ( norm ` F ) ` A ) ) $=
      ( cclm wcel wa cnm cfv ccnfld cress cabs wceq clmsca fveq2d adantr eqid
      co fveq1d csubg csubrg clmsubrg subrgsubg cnfldnm subgnm2 sylan eqtr2d
      syl ) DGHZACHZIZABJKZKALCMTZJKZKZANKZUMAUNUPUKUNUPOULUKBUOJBCDEFPQRUAUKCL
      UBKHZULUQUROUKCLUCKHUSBCDEFUDCLUEUJCLUOUPNAUOSUFUPSUGUHUI $.

    $( Closure of ring addition for a subcomplex module.  (Contributed by Mario
       Carneiro, 16-Oct-2015.) $)
    clmacl $p |- ( ( W e. CMod /\ X e. K /\ Y e. K ) -> ( X + Y ) e. K ) $=
      ( cclm wcel ccnfld csubrg cfv caddc co clmsubrg cnfldadd subrgacl syl3an1
      ) CHIBJKLIDBIEBIDEMNBIABCFGOBMJDEPQR $.

    $( Closure of ring multiplication for a subcomplex module.  (Contributed by
       Mario Carneiro, 16-Oct-2015.) $)
    clmmcl $p |- ( ( W e. CMod /\ X e. K /\ Y e. K ) -> ( X x. Y ) e. K ) $=
      ( cclm wcel ccnfld csubrg cfv cmul co clmsubrg cnfldmul subrgmcl syl3an1
      ) CHIBJKLIDBIEBIDEMNBIABCFGOBJMDEPQR $.

    $( Closure of ring subtraction for a subcomplex module.  (Contributed by
       Mario Carneiro, 16-Oct-2015.) $)
    clmsubcl $p |- ( ( W e. CMod /\ X e. K /\ Y e. K ) -> ( X - Y ) e. K ) $=
      ( cclm wcel ccnfld csubg cfv cmin csubrg clmsubrg subrgsubg syl subgsubcl
      co cnfldsub syl3an1 ) CHIZBJKLIZDBIEBIDEMSBIUBBJNLIUCABCFGOBJPQBJMDETRUA
      $.
  $}

  $( The domain of a linear operator is a subcomplex module iff the range is.
     (Contributed by Mario Carneiro, 21-Oct-2015.) $)
  lmhmclm $p |- ( F e. ( S LMHom T ) -> ( S e. CMod <-> T e. CMod ) ) $=
    ( clmhm wcel clmod csca cfv ccnfld cbs cress wceq csubrg w3a cclm lmhmlmod1
    co lmhmlmod2 eqid isclm 2thd lmhmsca eqcomd fveq2d oveq2d eqeq12d 3anbi123d
    eleq1d 3bitr4g ) CABDQEZAFEZAGHZIULJHZKQZLZUMIMHZEZNBFEZBGHZIUSJHZKQZLZUTUP
    EZNAOEBOEUJUKURUOVBUQVCUJUKURABCPABCRUAUJULUSUNVAUJUSULABCULUSULSZUSSZUBUCZ
    UJUMUTIKUJULUSJVFUDZUEUFUJUMUTUPVGUHUGULUMAVDUMSTUSUTBVEUTSTUI $.

  ${
    clmvscl.v $e |- V = ( Base ` W ) $.
    clmvscl.f $e |- F = ( Scalar ` W ) $.
    clmvscl.s $e |- .x. = ( .s ` W ) $.
    clmvscl.k $e |- K = ( Base ` F ) $.
    $( Closure of scalar product for a subcomplex module.  Analogue of
       ~ lmodvscl .  (Contributed by NM, 3-Nov-2006.)  (Revised by AV,
       28-Sep-2021.) $)
    clmvscl $p |- ( ( W e. CMod /\ Q e. K /\ X e. V )
                    -> ( Q .x. X ) e. V ) $=
      ( cclm wcel clmod co clmlmod lmodvscl syl3an1 ) FLMFNMADMGEMAGBOEMFPABCDE
      FGHIJKQR $.

    $( Associative law for scalar product.  Analogue of ~ lmodvsass .
       (Contributed by Mario Carneiro, 16-Oct-2015.) $)
    clmvsass $p |- ( ( W e. CMod /\ ( Q e. K /\ R e. K /\ X e. V ) ) ->
                      ( ( Q x. R ) .x. X ) = ( Q .x. ( R .x. X ) ) ) $=
      ( cclm wcel w3a wa cmul co cmulr wceq cfv clmmul adantr oveqd oveq1d eqid
      clmod clmlmod lmodvsass sylan eqtrd ) GMNZAENBENHFNOZPZABQRZHCRABDSUAZRZH
      CRZABHCRCRZUNUOUQHCUNQUPABULQUPTUMDGJUBUCUDUEULGUGNUMURUSTGUHABCUPDEFGHIJ
      KLUPUFUIUJUK $.

    $( Commutative law for the scalar product.  (Contributed by NM,
       14-Feb-2008.)  (Revised by AV, 7-Oct-2021.) $)
    clmvscom $p |- ( ( W e. CMod /\ ( Q e. K /\ R e. K /\ X e. V ) )
                     -> ( Q .x. ( R .x. X ) ) = ( R .x. ( Q .x. X ) ) ) $=
      ( wcel w3a wa cmul co cc wceq ssel cclm wss anim12d clmsscn syl11 3adant3
      wi impcom mulcom syl oveq1d clmvsass 3ancoma sylan2b 3eqtr3d ) GUAMZAEMZB
      EMZHFMZNZOZABPQZHCQBAPQZHCQZABHCQCQBAHCQCQZVAVBVCHCVAARMZBRMZOZVBVCSUTUPV
      HUQURUPVHUGUSERUBZUQUROVHUPVIUQVFURVGERATERBTUCDEGJLUDUEUFUHABUIUJUKABCDE
      FGHIJKLULUTUPURUQUSNVDVESUQURUSUMBACDEFGHIJKLULUNUO $.

    clmvsdir.a $e |- .+ = ( +g ` W ) $.
    $( Distributive law for scalar product (right-distributivity).
       ( ~ lmodvsdir analog.)  (Contributed by Mario Carneiro, 16-Oct-2015.) $)
    clmvsdir $p |- ( ( W e. CMod /\ ( Q e. K /\ R e. K /\ X e. V ) ) ->
                      ( ( Q + R ) .x. X ) = ( ( Q .x. X ) .+ ( R .x. X ) ) ) $=
      ( cclm wcel w3a caddc co wceq cplusg cfv clmadd oveqd oveq1d adantr clmod
      wa clmlmod eqid lmodvsdir sylan eqtrd ) HOPZBFPCFPIGPQZUHBCRSZIDSZBCEUAUB
      ZSZIDSZBIDSCIDSASZUNUQUTTUOUNUPUSIDUNRURBCEHKUCUDUEUFUNHUGPUOUTVATHUIAURB
      CDEFGHIJNKLMURUJUKULUM $.

    $( Distributive law for scalar product (left-distributivity).  ( ~ lmodvsdi
       analog.)  (Contributed by NM, 3-Nov-2006.)  (Revised by AV,
       28-Sep-2021.) $)
    clmvsdi $p |- ( ( W e. CMod /\ ( A e. K /\ X e. V /\ Y e. V ) ) ->
                    ( A .x. ( X .+ Y ) ) = ( ( A .x. X ) .+ ( A .x. Y ) ) ) $=
      ( cclm wcel clmod w3a co wceq clmlmod lmodvsdi sylan ) GOPGQPAEPHFPIFPRAH
      IBSCSAHCSAICSBSTGUABACDEFGHIJNKLMUBUC $.
  $}

  ${
    clmvs1.v $e |- V = ( Base ` W ) $.
    clmvs1.s $e |- .x. = ( .s ` W ) $.
    $( Scalar product with ring unit.  ( ~ lmodvs1 analog.)  (Contributed by
       Mario Carneiro, 16-Oct-2015.) $)
    clmvs1 $p |- ( ( W e. CMod /\ X e. V ) -> ( 1 .x. X ) = X ) $=
      ( cclm wcel wa c1 co csca cfv cur wceq eqid clm1 adantr oveq1d clmod
      clmlmod lmodvs1 sylan eqtrd ) CGHZDBHZIZJDAKCLMZNMZDAKZDUGJUIDAUEJUIOUFUH
      CUHPZQRSUECTHUFUJDOCUAAUIUHBCDEUKFUIPUBUCUD $.

    clmvs2.a $e |- .+ = ( +g ` W ) $.
    $( A vector plus itself is two times the vector.  (Contributed by NM,
       1-Feb-2007.)  (Revised by AV, 21-Sep-2021.) $)
    clmvs2 $p |- ( ( W e. CMod /\ A e. V ) -> ( A .+ A ) = ( 2 .x. A ) ) $=
      ( cclm wcel wa c2 co c1 caddc wceq df-2 oveq1i cfv eqid a1i cbs simpl cur
      csca clm1 clmod clmlmod lmod1cl syl adantr simpr clmvsdir syl13anc clmvs1
      eqeltrd oveq12d 3eqtrrd ) EIJZADJZKZLACMZNNOMZACMZNACMZVEBMZAABMVBVDPVALV
      CACQRUAVAUSNEUESZUBSZJZVIUTVDVFPUSUTUCUSVIUTUSNVGUDSZVHVGEVGTZUFUSEUGJVJV
      HJEUHVJVGVHEVKVHTZVJTUIUJUPUKZVMUSUTULBNNCVGVHDEAFVKGVLHUMUNVAVEAVEABCDEA
      FGUOZVNUQUR $.
  $}

  ${
    clm0vs.v $e |- V = ( Base ` W ) $.
    clm0vs.f $e |- F = ( Scalar ` W ) $.
    clm0vs.s $e |- .x. = ( .s ` W ) $.
    clm0vs.z $e |- .0. = ( 0g ` W ) $.
    $( Zero times a vector is the zero vector.  Equation 1a of [Kreyszig]
       p. 51.  ( ~ lmod0vs analog.)  (Contributed by Mario Carneiro,
       16-Oct-2015.) $)
    clm0vs $p |- ( ( W e. CMod /\ X e. V ) -> ( 0 .x. X ) = .0. ) $=
      ( cclm wcel wa cc0 co c0g cfv wceq clm0 adantr clmod clmlmod eqid lmod0vs
      oveq1d sylan eqtrd ) DKLZECLZMZNEAOBPQZEAOZFUJNUKEAUHNUKRUIBDHSTUEUHDUALU
      IULFRDUBABUKCDEFGHIUKUCJUDUFUG $.
  $}

  ${
    clmopfne.t $e |- .x. = ( .sf ` W ) $.
    clmopfne.a $e |- .+ = ( +f ` W ) $.
    $( The (functionalized) operations of addition and multiplication by a
       scalar of a subcomplex module cannot be identical.  (Contributed by NM,
       31-May-2008.)  (Revised by AV, 3-Oct-2021.) $)
    clmopfne $p |- ( W e. CMod -> .+ =/= .x. ) $=
      ( cclm wcel clmod csca cfv cur c0g wne clmlmod cc0 ax-1ne0 a1i eqid cbs
      c1 clm1 clm0 3netr3d lmodfopne syl2anc ) CFGZCHGCIJZKJZUGLJZMABMCNUFTOUHU
      ITOMUFPQUGCUGRZUAUGCUJUBUCAUGBUHUGSJZCSJZCUIDEULRUJUKRUIRUHRUDUE $.
  $}

  ${
    $d K r x y z $.  $d S r x y z $.  $d V r x y z $.  $d W r x y z $.
    $d .+ r x y z $.  $d .x. r x y z $.
    isclmp.t $e |- .x. = ( .s ` W ) $.
    isclmp.a $e |- .+ = ( +g ` W ) $.
    isclmp.v $e |- V = ( Base ` W ) $.
    isclmp.s $e |- S = ( Scalar ` W ) $.
    isclmp.k $e |- K = ( Base ` S ) $.
    $( The predicate "is a subcomplex module".  (Contributed by NM,
       31-May-2008.)  (Revised by AV, 4-Oct-2021.) $)
    isclmp $p |- ( W e. CMod <-> ( ( W e. Grp /\ S = ( CCfld |`s K )
                                     /\ K e. ( SubRing ` CCfld ) )
                 /\ A. x e. V ( ( 1 .x. x ) = x /\ A. y e. K ( ( y .x. x ) e. V
          /\ A. z e. V ( y .x. ( x .+ z ) ) = ( ( y .x. x ) .+ ( y .x. z ) )
            /\ A. z e. K ( ( ( z + y ) .x. x ) = ( ( z .x. x ) .+ ( y .x. x ) )
            /\ ( ( z x. y ) .x. x ) = ( z .x. ( y .x. x ) ) ) ) ) ) ) $=
      ( vr wcel co wceq wa wral cclm clmod ccnfld cress csubrg cfv w3a cgrp crg
      cv cplusg cmulr cur c1 caddc cmul isclm eqid islmod 3anbi1i 3anass df-3an
      anbi1i bitri 3bitri bicomi anass ancom anbi12i an4 wb fveq2 subrg1 eqcomd
      an32 sylan9eq cnfld1 eqtr4di oveq1d eqeq1d 3adant1 ad2antrr anbi1d adantl
      ressplusg cnfldadd a1i 3eqtr4rd oveqd ressmulr 3ad2ant3 cnfldmul 3ad2ant2
      adantr anbi12d syl5bb 2ralbidva ralrot3 ralbii ralcom bitrdi eleq1 mpbird
      2ralbii subrgring biantrurd c0 wne grpbn0 3ad2ant1 subrg1cl ne0d r19.28zv
      ralbidv bitrd anbi2i weq eqeq12d cbvralvw 3anbi3i 3anan32 syl2anc 3bitr3d
      oveq1 pm5.32i ) IUAPIUBPZEUCGUDQZRZGUCUEUFZPZUGZIUHPZEUIPZSZYHYJSZSZBUJZA
      UJZFQZHPZYQYRCUJZDQFQYSYQUUAFQDQRZOUJZYQEUKUFZQZYRFQZUUCYRFQZYSDQZRZUGZUU
      CYQEULUFZQZYRFQZUUCYSFQZRZEUMUFZYRFQZYRRZSZSZAHTCHTZBGTOGTZSZYLYHYJUGZUNY
      RFQZYRRZYTUUBCHTZUUAYQUOQZYRFQZUUAYRFQZYSDQZRZUUAYQUPQZYRFQZUUAYSFQZRZSZC
      GTZUGZBGTSZAHTZSZEGIMNUQYKYLYMUVBUGZYHYJUGZYNUVBSZYOSZUVCYFUWCYHYJCADUUDF
      UUKUUPEGHIBOLKJMNUUDURUUKURUUPURUSUTUWDUWCYOSUWFUWCYHYJVAUWCUWEYOYLYMUVBV
      BVCVDYNUVBYOVOVEUVCUVDYMSZUVBSUVDYMUVBSZSUWBYPUWGUVBYPYLYOSZYMSUWGYLYMYOV
      OUWIUVDYMUVDUWIYLYHYJVAVFVCVDVCUVDYMUVBVGUVDUWHUWAUVDUVBUVFYTSZUUBSZUUCYQ
      UOQZYRFQZUUHRZUUCYQUPQZYRFQZUUNRZSZSZOGTZCHTZBGTZAHTZUWHUWAUVDUVBUWSAHTCH
      TZBGTZOGTZUXCUVDUVAUXDOBGGUVDUUCGPYQGPSZSZUUTUWSCAHHUUTUURYTSZUUBSZUUIUUO
      SZSZUXHUUAHPYRHPSZSZUWSUUTYTUUBSZUUISZUURUUOSZSUXOUURSZUXKSUXLUUJUXPUUSUX
      QYTUUBUUIVBUUOUURVHVIUXOUUIUURUUOVJUXRUXJUXKUXRYTUURSZUUBSUXJYTUUBUURVOUX
      SUXIUUBYTUURVHVCVDVCVEUXNUXJUWKUXKUWRUXNUXIUWJUUBUXNUURUVFYTUVDUURUVFVKZU
      XGUXMYHYJUXTYLYOUUQUVEYRYOUUPUNYRFYOUUPUCUMUFZUNYHYJUUPYGUMUFZUYAEYGUMVLY
      JUYAUYBGUCYGUYAYGURZUYAURZVMVNVPVQVRVSVTWAWBWCWCUXNUUIUWNUUOUWQUXNUUFUWMU
      UHUXNUUEUWLYRFUVDUUEUWLRUXGUXMUVDUUDUOUUCYQYHYJUUDUORYLYOUCUKUFZYGUKUFZUO
      UUDYJUYEUYFRYHGUYEUCYGYIUYCUYEURWEWDUOUYERYOWFWGYHUUDUYFRYJEYGUKVLWNWHWAW
      IWBVSVTUXNUUMUWPUUNUXNUULUWOYRFUVDUULUWORUXGUXMUVDUUKUPUUCYQUVDUCULUFZYGU
      LUFZUPUUKYJYLUYGUYHRYHGUCYGUYGYIUYCUYGURWJWKUPUYGRUVDWLWGYHYLUUKUYHRYJEYG
      ULVLWMWHWIWBVSVTWOWOWPWQWQUXFUWSCHTZBGTZOGTZAHTZUYIOGTZBGTZAHTUXCUXFUYJAH
      TZOGTUYLUXEUYOOGUWSBCAGHHWRWSUYJOAGHWTVDUYKUYNAHUYIOBGGWTWSUYMUXAABHGUWSO
      CGHWTXDVEXAUVDYMUVBUVDYMYGUIPZYJYLUYPYHGUCYGUYCXEWKYHYLYMUYPVKYJEYGUIXBWM
      XCXFUVDUXBUVTAHUVDHXGXHZGXGXHZUXBUVTVKYLYHUYQYJHILXIXJYJYLUYRYHYJGUYAGUCU
      YAUYDXKXLWKUYQUYRSZUXBUVFUVSSZBGTZUVTUYSUXAUYTBGUYSUXAUVFYTUWROGTZSZSZUVG
      SZUYTUYSUXAVUDUUBSZCHTZVUEUYSUWTVUFCHUYSUWTUUBUWJSZVUBSZVUFUYSUWTVUHUWRSZ
      OGTZVUIUYSUWSVUJOGUWSVUJVKUYSUWKVUHUWRUWJUUBVHVCWGXNUYRVUKVUIVKUYQVUHUWRO
      GXMWDXOVUIUUBUWJVUBSZSUUBVUDSVUFUUBUWJVUBVGVULVUDUUBUVFYTVUBVGXPUUBVUDVHV
      EXAXNUYQVUGVUEVKUYRVUDUUBCHXMWNXOVUEUVFVUCUVGSZSUYTUVFVUCUVGVGVUMUVSUVFUV
      SVUMUVSYTUVGVUBUGVUMUVRVUBYTUVGUVQUWRCOGCOXQZUVLUWNUVPUWQVUNUVIUWMUVKUUHV
      UNUVHUWLYRFUUAUUCYQUOYDVSVUNUVJUUGYSDUUAUUCYRFYDVSXRVUNUVNUWPUVOUUNVUNUVM
      UWOYRFUUAUUCYQUPYDVSUUAUUCYSFYDXRWOXSXTYTUVGVUBYAVDVFXPVDXAXNUYRVUAUVTVKU
      YQUVFUVSBGXMWDXOYBXNYCYEVEVE $.

    isclmi0.1 $e |- S = ( CCfld |`s K ) $.
    isclmi0.2 $e |- W e. Grp $.
    isclmi0.3 $e |- K e. ( SubRing ` CCfld ) $.
    isclmi0.4 $e |- ( x e. V -> ( 1 .x. x ) = x ) $.
    isclmi0.5 $e |- ( ( y e. K /\ x e. V ) -> ( y .x. x ) e. V ) $.
    isclmi0.6 $e |- ( ( y e. K /\ x e. V /\ z e. V ) ->
                  ( y .x. ( x .+ z ) ) = ( ( y .x. x ) .+ ( y .x. z ) ) ) $.
    isclmi0.7 $e |- ( ( y e. K /\ z e. K /\ x e. V ) ->
                  ( ( z + y ) .x. x ) = ( ( z .x. x ) .+ ( y .x. x ) ) ) $.
    isclmi0.8 $e |- ( ( y e. K /\ z e. K /\ x e. V ) ->
                  ( ( z x. y ) .x. x ) = ( z .x. ( y .x. x ) ) ) $.
    $( Properties that determine a subcomplex module.  (Contributed by NM,
       5-Nov-2006.)  (Revised by AV, 4-Oct-2021.) $)
    isclmi0 $p |- W e. CMod $=
      ( cclm wcel cgrp ccnfld cress co wceq csubrg cfv c1 cv wral caddc cmul wa
      w3a 3pm3.2i ancoms 3com12 3expa ralrimiva 3comr 3jca rgen isclmp mpbir2an
      jca ) IUCUDIUEUDZEUFGUGUHUIZGUFUJUKUDZURULAUMZFUHVMUIZBUMZVMFUHZHUDZVOVMC
      UMZDUHFUHVPVOVRFUHDUHUIZCHUNZVRVOUOUHVMFUHVRVMFUHVPDUHUIZVRVOUPUHVMFUHVRV
      PFUHUIZUQZCGUNZURZBGUNZUQZAHUNVJVKVLPOQUSWGAHVMHUDZVNWFRWHWEBGWHVOGUDZUQZ
      VQVTWDWIWHVQSUTWJVSCHWHWIVRHUDZVSWIWHWKVSTVAVBVCWJWCCGWHWIVRGUDZWCWIWLWHW
      CWIWLWHURWAWBUAUBVIVDVBVCVEVCVIVFABCDEFGHIJKLMNVGVH $.
  $}

  ${
    clmvneg1.v $e |- V = ( Base ` W ) $.
    clmvneg1.n $e |- N = ( invg ` W ) $.
    clmvneg1.f $e |- F = ( Scalar ` W ) $.
    clmvneg1.s $e |- .x. = ( .s ` W ) $.
    $( Minus 1 times a vector is the negative of the vector.  Equation 2 of
       [Kreyszig] p. 51.  ( ~ lmodvneg1 analog.)  (Contributed by Mario
       Carneiro, 16-Oct-2015.) $)
    clmvneg1 $p |- ( ( W e. CMod /\ X e. V ) -> ( -u 1 .x. X ) = ( N ` X ) ) $=
      ( cclm wcel wa c1 cneg co cfv wceq eqid eqtrd cur cminusg cbs clmzss 1zzd
      cz sseldd clmneg mpdan fveq2d adantr oveq1d clmod clmlmod lmodvneg1 sylan
      clm1 ) EKLZFDLZMZNOZFAPBUAQZBUBQZQZFAPZFCQZUTVAVDFAURVAVDRUSURVANVCQZVDUR
      NBUCQZLVAVGRURUFVHNBVHEIVHSZUDURUEUGNBVHEIVIUHUIURNVBVCBEIUQUJTUKULUREUML
      USVEVFREUNAVBBVCCDEFGHIJVBSVCSUOUPT $.
  $}

  ${
    clmvsneg.b $e |- B = ( Base ` W ) $.
    clmvsneg.f $e |- F = ( Scalar ` W ) $.
    clmvsneg.s $e |- .x. = ( .s ` W ) $.
    clmvsneg.n $e |- N = ( invg ` W ) $.
    clmvsneg.k $e |- K = ( Base ` F ) $.
    clmvsneg.w $e |- ( ph -> W e. CMod ) $.
    clmvsneg.x $e |- ( ph -> X e. B ) $.
    clmvsneg.r $e |- ( ph -> R e. K ) $.
    $( Multiplication of a vector by a negated scalar.  ( ~ lmodvsneg analog.)
       (Contributed by Mario Carneiro, 16-Oct-2015.) $)
    clmvsneg $p |- ( ph -> ( N ` ( R .x. X ) ) = ( -u R .x. X ) ) $=
      ( co cfv wcel cminusg cneg eqid cclm clmod clmlmod lmodvsneg wceq syl2anc
      syl clmneg oveq1d eqtr4d ) ACIDRGSCEUASZSZIDRCUBZIDRABCDEFUNGHIJKLMNUNUCA
      HUDTZHUETOHUFUJPQUGAUPUOIDAUQCFTUPUOUHOQCEFHKNUKUIULUM $.
  $}

  ${
    $d x y B $.  $d x y V $.  $d x y W $.  $d x y .x. $.  $d x y .xb $.
    $d x A $.
    clmmulg.1 $e |- V = ( Base ` W ) $.
    clmmulg.2 $e |- .xb = ( .g ` W ) $.
    clmmulg.3 $e |- .x. = ( .s ` W ) $.
    $( The group multiple function matches the scalar multiplication function.
       (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    clmmulg $p |- ( ( W e. CMod /\ A e. ZZ /\ B e. V ) ->
      ( A .xb B ) = ( A .x. B ) ) $=
      ( wcel cz co wceq cc0 c1 oveq1 eqeq12d cfv eqid ad2antrr vx vy cclm caddc
      cv cneg wa c0g mulg0 adantl csca clm0vs eqtr4d cn0 wi cplusg cmnd grpmndd
      clmgrp simpr simplr mulgnn0p1 syl3anc cbs simpll wss clmzss nn0z clmvsdir
      sseldd 1zzd syl13anc clmvs1 adantr eqtrd syl5ibr ex cn cminusg fveq2 cgrp
      oveq2d nnz mulgneg clmvsneg eqcomd zindd 3impia 3com23 ) FUCJZBEJZAKJZABC
      LZABDLZMZWJWKWLWOUAUEZBCLZWPBDLZMNBCLZNBDLZMUBUEZBCLZXABDLZMZXAUFZBCLZXEB
      DLZMZXAOUDLZBCLZXIBDLZMZWOWJWKUGZUAUBAWPNMWQWSWRWTWPNBCPWPNBDPQWPXAMWQXBW
      RXCWPXABCPWPXABDPQWPXIMWQXJWRXKWPXIBCPWPXIBDPQWPXEMWQXFWRXGWPXEBCPWPXEBDP
      QWPAMWQWMWRWNWPABCPWPABDPQXMWSFUHRZWTWKWSXNMWJECFBXNGXNSZHUIUJDFUKRZEFBXN
      GXPSZIXOULUMXMXAUNJZXDXLUOXDXLXMXRUGZXBBFUPRZLZXCBXTLZMXBXCBXTPXSXJYAXKYB
      XSFUQJZXRWKXJYAMWJYCWKXRWJFFUSZURTXMXRUTWJWKXRVAZEXTCFXABGHXTSZVBVCXSXKXC
      OBDLZXTLZYBXSWJXAXPVDRZJOYIJWKXKYHMWJWKXRVEXSKYIXAWJKYIVFZWKXRXPYIFXQYISZ
      VGZTZXRXAKJZXMXAVHUJVJXSKYIOYMXSVKVJYEXTXAODXPYIEFBGXQIYKYFVIVLXSYGBXCXTX
      MYGBMXRDEFBGIVMVNWBVOQVPVQXMXAVRJZXDXHUOXDXHXMYOUGZXBFVSRZRZXCYQRZMXBXCYQ
      VTYPXFYRXGYSYPFWAJZYNWKXFYRMWJYTWKYOYDTYOYNXMXAWCUJZWJWKYOVAZECFYQXABGHYQ
      SZWDVCYPYSXGYPEXADXPYIYQFBGXQIUUCYKWJWKYOVEUUBYPKYIXAWJYJWKYOYLTUUAVJWEWF
      QVPVQWGWHWI $.
  $}

  ${
    clmsubdir.v $e |- V = ( Base ` W ) $.
    clmsubdir.t $e |- .x. = ( .s ` W ) $.
    clmsubdir.f $e |- F = ( Scalar ` W ) $.
    clmsubdir.k $e |- K = ( Base ` F ) $.
    clmsubdir.m $e |- .- = ( -g ` W ) $.
    clmsubdir.w $e |- ( ph -> W e. CMod ) $.
    clmsubdir.a $e |- ( ph -> A e. K ) $.
    clmsubdir.b $e |- ( ph -> B e. K ) $.
    clmsubdir.x $e |- ( ph -> X e. V ) $.
    $( Scalar multiplication distributive law for subtraction.  ( ~ lmodsubdir
       analog.)  (Contributed by Mario Carneiro, 16-Oct-2015.) $)
    clmsubdir $p |- ( ph ->
      ( ( A - B ) .x. X ) = ( ( A .x. X ) .- ( B .x. X ) ) ) $=
      ( co cmin csg cfv cclm wcel wceq clmsub syl3anc oveq1d eqid clmod clmlmod
      syl lmodsubdir eqtrd ) ABCUATZJDTBCEUBUCZTZJDTBJDTCJDTGTAUPURJDAIUDUEZBFU
      ECFUEUPURUFPQRBCEFIMNUGUHUIABCUQDEFGHIJKLMNOUQUJAUSIUKUEPIULUMQRSUNUO $.
  $}

  ${
    clmpm1dir.v $e |- V = ( Base ` W ) $.
    clmpm1dir.s $e |- .x. = ( .s ` W ) $.
    clmpm1dir.a $e |- .+ = ( +g ` W ) $.
    ${
      clmpm1dir.k $e |- K = ( Base ` ( Scalar ` W ) ) $.
      $( Subtractive distributive law for the scalar product of a subcomplex
         module.  (Contributed by NM, 31-Jul-2007.)  (Revised by AV,
         21-Sep-2021.) $)
      clmpm1dir $p |- ( ( W e. CMod /\ ( A e. K /\ B e. K /\ C e. V ) ) ->
         ( ( A - B ) .x. C ) = ( ( A .x. C ) .+ ( -u 1 .x. ( B .x. C ) ) ) ) $=
        ( wcel wa co cfv eqid wceq clmvscl syl3anc cclm w3a cmin csg cminusg c1
        cneg csca simpl simpr1 simpr2 simpr3 clmsubdir grpsubval syl2anc eqcomd
        clmvneg1 oveq2d 3eqtrd ) HUAMZAFMZBFMZCGMZUBZNZABUCOCEOACEOZBCEOZHUDPZO
        ZVFVGHUEPZPZDOZVFUFUGVGEOZDOVEABEHUHPZFVHGHCIJVNQZLVHQZUTVDUIZUTVAVBVCU
        JZUTVAVBVCUKZUTVAVBVCULZUMVEVFGMZVGGMZVIVLRVEUTVAVCWAVQVRVTAEVNFGHCIVOJ
        LSTVEUTVBVCWBVQVSVTBEVNFGHCIVOJLSTZGDHVJVHVFVGIKVJQZVPUNUOVEVKVMVFDVEUT
        WBVKVMRVQWCUTWBNVMVKEVNVJGHVGIWDVOJUQUPUOURUS $.
    $}

    $( Double negative of a vector.  (Contributed by NM, 6-Aug-2007.)  (Revised
       by AV, 21-Sep-2021.) $)
    clmnegneg $p |- ( ( W e. CMod /\ A e. V ) ->
                  ( -u 1 .x. ( -u 1 .x. A ) ) = A ) $=
      ( cclm wcel wa c1 cneg cmul co neg1mulneg1e1 oveq1i csca cfv eqid clmneg1
      cbs wceq simpl adantr simpr clmvsass syl13anc clmvs1 3eqtr3a ) EIJZADJZKZ
      LMZUNNOZACOZLACOUNUNACOCOZAUOLACPQUMUKUNERSZUBSZJZUTULUPUQUCUKULUDUKUTULU
      RUSEURTZUSTZUAUEZVCUKULUFUNUNCURUSDEAFVAGVBUGUHCDEAFGUIUJ $.

    $( Distribution of negative over vector subtraction.  (Contributed by NM,
       6-Aug-2007.)  (Revised by AV, 29-Sep-2021.) $)
    clmnegsubdi2 $p |- ( ( W e. CMod /\ A e. V /\ B e. V ) ->
            ( -u 1 .x. ( A .+ ( -u 1 .x. B ) ) ) = ( B .+ ( -u 1 .x. A ) ) ) $=
      ( wcel co cfv wceq eqid 3ad2ant1 wa simpl adantr simpr syl3anc w3a c1 cbs
      cclm cneg simp1 clmneg1 clmvscl 3adant2 clmvsdi syl13anc clmnegneg oveq2d
      csca simp2 cabl clmabl 3adant3 simp3 ablcom 3eqtrd ) FUDJZAEJZBEJZUAZUBUE
      ZAVFBDKZCKDKZVFADKZVFVGDKZCKZVIBCKZBVICKZVEVBVFFUNLZUCLZJZVCVGEJZVHVKMVBV
      CVDUFVBVCVPVDVNVOFVNNZVONZUGZOVBVCVDUOVBVDVQVCVBVDPVBVPVDVQVBVDQVBVPVDVTR
      VBVDSVFDVNVOEFBGVRHVSUHTUIVFCDVNVOEFAVGGVRHVSIUJUKVEVJBVICVBVDVJBMVCBCDEF
      GHIULUIUMVEFUPJZVIEJZVDVLVMMVBVCWAVDFUQOVBVCWBVDVBVCPVBVPVCWBVBVCQVBVPVCV
      TRVBVCSVFDVNVOEFAGVRHVSUHTURVBVCVDUSECFVIBGIUTTVA $.

    $( Rearrangement of 4 terms in a mixed vector addition and subtraction.
       (Contributed by NM, 5-Aug-2007.)  (Revised by AV, 29-Sep-2021.) $)
    clmsub4 $p |- ( ( W e. CMod /\ ( A e. V /\ B e. V )
                                /\ ( C e. V /\ D e. V ) )
                 -> ( ( A .+ B ) .+ ( -u 1 .x. ( C .+ D ) ) ) =
                    ( ( A .+ ( -u 1 .x. C ) ) .+ ( B .+ ( -u 1 .x. D ) ) ) ) $=
      ( wcel wa co wceq cfv simpl adantr simpr syl3anc cclm w3a c1 cneg clmneg1
      csca cbs eqid adantl clmvsdi syl13anc 3adant2 oveq2d ccmn cabl clmabl syl
      ablcmn 3ad2ant1 simp2 clmvscl anim12dan cmn4 eqtrd ) HUALZAGLBGLMZCGLZDGL
      ZMZUBZABENZUCUDZCDENFNZENVKVLCFNZVLDFNZENZENZAVNENBVOENENZVJVMVPVKEVEVIVM
      VPOZVFVEVIMVEVLHUFPZUGPZLZVGVHVSVEVIQVEWBVIVTWAHVTUHZWAUHZUEZRVIVGVEVGVHQ
      UIVIVHVEVGVHSUIVLEFVTWAGHCDIWCJWDKUJUKULUMVJHUNLZVFVNGLZVOGLZMZVQVROVEVFW
      FVIVEHUOLWFHUPHURUQUSVEVFVIUTVEVIWIVFVEVGWGVHWHVEVGMVEWBVGWGVEVGQVEWBVGWE
      RVEVGSVLFVTWAGHCIWCJWDVATVEVHMVEWBVHWHVEVHQVEWBVHWERVEVHSVLFVTWAGHDIWCJWD
      VATVBULGEHVOABVNIKVCTVD $.

    clmvsrinv.0 $e |- .0. = ( 0g ` W ) $.
    $( A vector minus itself.  (Contributed by NM, 4-Dec-2006.)  (Revised by
       AV, 28-Sep-2021.) $)
    clmvsrinv $p |- ( ( W e. CMod /\ A e. V )
                   -> ( A .+ ( -u 1 .x. A ) ) = .0. ) $=
      ( cclm wcel wa c1 cneg co cminusg cfv csca eqid clmvneg1 oveq2d cgrp wceq
      clmgrp grprinv sylan eqtrd ) EKLZADLZMZANOACPZBPAAEQRZRZBPZFUKULUNABCESRZ
      UMDEAGUMTZUPTHUAUBUIEUCLUJUOFUDEUEDBEUMAFGIJUQUFUGUH $.

    $( Minus a vector plus itself.  (Contributed by NM, 4-Dec-2006.)  (Revised
       by AV, 28-Sep-2021.) $)
    clmvslinv $p |- ( ( W e. CMod /\ A e. V )
                   -> ( ( -u 1 .x. A ) .+ A ) = .0. ) $=
      ( cclm wcel wa c1 cneg co cminusg cfv csca eqid clmvneg1 oveq1d cgrp wceq
      clmgrp grplinv sylan eqtrd ) EKLZADLZMZNOACPZABPAEQRZRZABPZFUKULUNABCESRZ
      UMDEAGUMTZUPTHUAUBUIEUCLUJUOFUDEUEDBEUMAFGIJUQUFUGUH $.
  $}

  ${
    clmvsubval.v $e |- V = ( Base ` W ) $.
    clmvsubval.p $e |- .+ = ( +g ` W ) $.
    clmvsubval.m $e |- .- = ( -g ` W ) $.
    clmvsubval.f $e |- F = ( Scalar ` W ) $.
    clmvsubval.s $e |- .x. = ( .s ` W ) $.
    $( Value of vector subtraction in terms of addition in a subcomplex module.
       Analogue of ~ lmodvsubval2 .  (Contributed by NM, 31-Mar-2014.)
       (Revised by AV, 7-Oct-2021.) $)
    clmvsubval $p |- ( ( W e. CMod /\ A e. V /\ B e. V )
                       -> ( A .- B ) = ( A .+ ( -u 1 .x. B ) ) ) $=
      ( cclm wcel co cfv c1 wceq eqid w3a cur cminusg cneg clmlmod lmodvsubval2
      clmod syl3an1 eqcomd fveq2d cbs crg clmring ringidcl eqeltrd clmneg mpdan
      clm1 syl eqtr4d 3ad2ant1 oveq1d oveq2d eqtrd ) HNOZAGOZBGOZUAZABFPZAEUBQZ
      EUCQZQZBDPZCPZARUDZBDPZCPVEHUGOVFVGVIVNSHUEABCDVJEFVKGHIJKLMVKTVJTZUFUHVH
      VMVPACVHVLVOBDVEVFVLVOSVGVEVLRVKQZVOVEVJRVKVERVJEHLURZUIUJVEREUKQZOVOVRSV
      ERVJVTVSVEEULOVJVTOEHLUMVTEVJVTTZVQUNUSUOREVTHLWAUPUQUTVAVBVCVD $.

    $( Value of vector subtraction on a subcomplex module.  (Contributed by
       Mario Carneiro, 19-Nov-2013.)  (Revised by AV, 7-Oct-2021.) $)
    clmvsubval2 $p |- ( ( W e. CMod /\ A e. V /\ B e. V )
                        -> ( A .- B ) = ( ( -u 1 .x. B ) .+ A ) ) $=
      ( cclm wcel w3a co c1 cneg syl3anc clmvsubval cabl wceq 3ad2ant1 simp2 wa
      clmabl cbs simpl eqid clmneg1 adantr simpr clmvscl 3adant2 ablcom eqtrd
      cfv ) HNOZAGOZBGOZPZABFQARSZBDQZCQZVDACQZABCDEFGHIJKLMUAVBHUBOZUTVDGOZVEV
      FUCUSUTVGVAHUGUDUSUTVAUEUSVAVHUTUSVAUFUSVCEUHURZOZVAVHUSVAUIUSVJVAEVIHLVI
      UJZUKULUSVAUMVCDEVIGHBILMVKUNTUOGCHAVDIJUPTUQ $.
  $}

  ${
    clmvz.v $e |- V = ( Base ` W ) $.
    clmvz.m $e |- .- = ( -g ` W ) $.
    clmvz.s $e |- .x. = ( .s ` W ) $.
    clmvz.0 $e |- .0. = ( 0g ` W ) $.
    $( Two ways to express the negative of a vector.  (Contributed by NM,
       29-Feb-2008.)  (Revised by AV, 7-Oct-2021.) $)
    clmvz $p |- ( ( W e. CMod /\ A e. V ) -> ( .0. .- A ) = ( -u 1 .x. A ) ) $=
      ( cclm wcel wa co c1 cfv wceq adantr eqid syl3anc cneg cplusg cgrp clmgrp
      simpl grpidcl syl simpr csca clmvsubval2 cbs clmneg1 clmvscl grprid eqtrd
      syl2an2r ) EKLZADLZMZFACNZOUAZABNZFEUBPZNZVBUSUQFDLZURUTVDQUQURUEZUQVEURU
      QEUCLZVEEUDZDEFGJUFUGRUQURUHZFAVCBEUIPZCDEGVCSZHVJSZIUJTUQVGURVBDLZVDVBQV
      HUSUQVAVJUKPZLZURVMVFUQVOURVJVNEVLVNSZULRVIVABVJVNDEAGVLIVPUMTDVCEVBFGVKJ
      UNUPUO $.
  $}

  ${
    zlmclm.w $e |- W = ( ZMod ` G ) $.
    $( The ` ZZ ` -module operation turns an arbitrary abelian group into a
       subcomplex module.  (Contributed by Mario Carneiro, 30-Oct-2015.) $)
    zlmclm $p |- ( G e. Abel <-> W e. CMod ) $=
      ( cabl wcel cclm clmod csca ccnfld cz cress co wceq csubrg zlmlmod biimpi
      cfv zring zlmsca df-zring eqtr3di zsubrg a1i isclmi syl3anc sylibr impbii
      eqid clmlmod ) ADEZBFEZUJBGEZBHQZIJKLZMJINQEZUKUJULABCOZPUJRUMUNADBCSTUAU
      OUJUBUCUMJBUMUHUDUEUKULUJBUIUPUFUG $.

    clmzlmvsca.x $e |- X = ( Base ` G ) $.
    $( The scalar product of a subcomplex module matches the scalar product of
       the derived ` ZZ ` -module, which implies, together with ~ zlmbas and
       ~ zlmplusg , that any module over ` ZZ ` is structure-equivalent to the
       canonical ` ZZ ` -module ` ZMod `` G ` .  (Contributed by Mario
       Carneiro, 30-Oct-2015.) $)
    clmzlmvsca $p |- ( ( G e. CMod /\ ( A e. ZZ /\ B e. X ) ) ->
                       ( A ( .s ` G ) B ) = ( A ( .s ` W ) B ) ) $=
      ( cclm wcel cz cvsca cfv co wceq w3a cmg eqid zlmvsca eqcomi clmmulg
      eqcomd 3expb ) CHIZAJIZBEIZABCKLZMZABDKLZMZNUCUDUEOUIUGABUHUFECGCPLZUHUJC
      DFUJQRSUFQTUAUB $.
  $}

  ${
    $d r x y z A $.  $d r x y z F $.  $d r x y z L $.  $d x y N $.  $d y z O $.
    $d r x y z M $.  $d r x y z ph $.  $d y ps $.  $d x y z S $.  $d x y z V $.
    $d r B $.  $d r x y z R $.  $d y T $.
    nmoleub2.n $e |- N = ( S normOp T ) $.
    nmoleub2.v $e |- V = ( Base ` S ) $.
    nmoleub2.l $e |- L = ( norm ` S ) $.
    nmoleub2.m $e |- M = ( norm ` T ) $.
    nmoleub2.g $e |- G = ( Scalar ` S ) $.
    nmoleub2.w $e |- K = ( Base ` G ) $.
    nmoleub2.s $e |- ( ph -> S e. ( NrmMod i^i CMod ) ) $.
    nmoleub2.t $e |- ( ph -> T e. ( NrmMod i^i CMod ) ) $.
    nmoleub2.f $e |- ( ph -> F e. ( S LMHom T ) ) $.
    nmoleub2.a $e |- ( ph -> A e. RR* ) $.
    nmoleub2.r $e |- ( ph -> R e. RR+ ) $.
    ${
      nmoleub2lem.5 $e |- ( ( ph /\
        A. x e. V ( ps -> ( ( M ` ( F ` x ) ) / R ) <_ A ) ) -> 0 <_ A ) $.
      nmoleub2lem.6 $e |- ( ( ( ( ph /\ A. x e. V ( ps -> ( ( M ` ( F ` x ) )
         / R ) <_ A ) ) /\ A e. RR ) /\ ( y e. V /\ y =/= ( 0g ` S ) ) )
      -> ( M ` ( F ` y ) ) <_ ( A x. ( L ` y ) ) ) $.
      nmoleub2lem.7 $e |- ( ( ph /\ x e. V ) -> ( ps -> ( L ` x ) <_ R ) ) $.
      $( Lemma for ~ nmoleub2a and similar theorems.  (Contributed by Mario
         Carneiro, 19-Oct-2015.) $)
      nmoleub2lem $p |- ( ph -> ( ( N ` F ) <_ A <->
          A. x e. V ( ps -> ( ( M ` ( F ` x ) ) / R ) <_ A ) ) ) $=
        ( cfv cle wbr cv cdiv co wi wral wcel adantlr cngp cbs cnlm cclm elin1d
        wa cr nlmngp syl ad2antrr clmhm eqid lmhmf simprl ffvelrnd nmcl syl2anc
        crp rerpdivcld rexrd cxr cghm lmghm nmocl syl3anc cxmu cmul wceq rexmul
        wf rpred recnd rpne0d divcan1d eqtrd xmulcld rpxrd nmoix cc0 nmoge0 jca
        syl31anc simprr xrletrd eqbrtrd wb xlemul1 mpbird simplr expr ralrimiva
        xlemul2a syld cpnf c0g simpr adantr nmolb2d pnfge breqtrrd wne ge0nemnf
        cmnf wo xrnemnf sylib mpjaodan impbida ) AINUJZEUKULZBCUMZIUJZMUJZFUNUO
        ZEUKULZUPZCOUQZAYIVEZYOCOYQYJOURZVEBYJLUJZFUKULZYNAYRBYTUPYIUIUSYQYRYTY
        NYQYRYTVEZVEZYMYHEUUBYMUUBYLFUUBHUTURZYKHVAUJZURYLVFURAUUCYIUUAAHVBURUU
        CAVBVCHUCVDHVGVHZVIZUUBOUUDYJIAOUUDIWIZYIUUAAIGHVJUOURZUUGUDOUUDGHIQUUD
        VKZVLVHVIYQYRYTVMZVNYKHMUUDUUISVOVPZAFVQURZYIUUAUFVIZVRZVSZAYHVTURZYIUU
        AAGUTURZUUCIGHWAUOURZUUPAGVBURUUQAVBVCGUBVDGVGVHZUUEAUUHUURUDGHIWBVHZGH
        INPWCWDZVIZAEVTURZYIUUAUEVIUUBYMYHUKULZYMFWEUOZYHFWEUOZUKULZUUBUVEYLUVF
        UKUUBUVEYMFWFUOZYLUUBYMVFURFVFURUVEUVHWGUUNUUBFUUMWJZYMFWHVPUUBYLFUUBYL
        UUKWKUUBFUVIWKUUBFUUMWLWMWNUUBYLYHYSWEUOZUVFUUBYLUUKVSUUBYHYSUVBUUBYSUU
        BUUQYRYSVFURAUUQYIUUAUUSVIZUUJYJGLOQRVOVPVSZWOUUBYHFUVBUUBFUUMWPZWOUUBU
        UQUUCUURYRYLUVJUKULUVKUUFAUURYIUUAUUTVIUUJGHILMNOYJPQRSWQXAUUBYSVTURFVT
        URUUPWRYHUKULZVEZYTUVJUVFUKULUVLUVMAUVOYIUUAAUUPUVNUVAAUUQUUCUURUVNUUSU
        UEUUTGHINPWSWDWTVIYQYRYTXBYSFYHXKXAXCXDUUBYMVTURUUPUULUVDUVGXEUUOUVBUUM
        YMYHFXFWDXGAYIUUAXHXCXIXLXJAYPVEZEVFURZYIEXMWGZUVPUVQVEDEGHILMNOGXNUJZP
        QRSUVSVKAUUQYPUVQUUSVIAUUCYPUVQUUEVIAUURYPUVQUUTVIUVPUVQXOUVPWREUKULZUV
        QUGXPUHXQUVPUVRVEZYHXMEUKUWAUUPYHXMUKULAUUPYPUVRUVAVIYHXRVHUVPUVRXOXSUV
        PUVCEYBXTZVEUVQUVRYCUVPUVCUWBAUVCYPUEXPZUVPUVCUVTUWBUWCUGEYAVPWTEYDYEYF
        YG $.
    $}

    ${
      nmoleub2a.5 $e |- ( ph -> QQ C_ K ) $.
      ${
        nmoleub2lem3.p $e |- .x. = ( .s ` S ) $.
        nmoleub2lem3.1 $e |- ( ph -> A e. RR ) $.
        nmoleub2lem3.2 $e |- ( ph -> 0 <_ A ) $.
        nmoleub2lem3.3 $e |- ( ph -> B e. V ) $.
        nmoleub2lem3.4 $e |- ( ph -> B =/= ( 0g ` S ) ) $.
        nmoleub2lem3.5 $e |- ( ph -> ( ( r .x. B ) e. V ->
 ( ( L ` ( r .x. B ) ) < R -> ( ( M ` ( F ` ( r .x. B ) ) ) / R ) <_ A ) ) ) $.
        nmoleub2lem3.6 $e |- ( ph ->
          -. ( M ` ( F ` B ) ) <_ ( A x. ( L ` B ) ) ) $.
        $( Lemma for ~ nmoleub2a and similar theorems.  (Contributed by Mario
           Carneiro, 19-Oct-2015.)  (Proof shortened by AV, 29-Sep-2021.) $)
        nmoleub2lem3 $p |- -. ph $=
          ( cfv cmul co cle wbr cdiv cv clt wa cq wcel simprl cr ad2antlr rpred
          qre remulcld cngp cbs cnlm cclm elin1d nlmngp syl clmhm wf eqid lmhmf
          ffvelrnd nmcl syl2anc cc0 0red nmge0 mulge0d wn ltnled mpbird lelttrd
          elrpd rerpdivcld ad2antrr csca cnm wceq sselda adantr lmhmlin syl3anc
          fveq2d lmhmsca eqtr4di eleqtrrd nmvs fveq1d cabs elin2d clmabs rpge0d
          cvsca divge0 syl22anc ltled absidd eqtr3d eqtrd oveq1d 3eqtrd clmvscl
          simprr wb c0g wne nmrpcl rpregt0d ltmuldiv eqbrtrd wi mp2d ledivmul2d
          crp eqbrtrrd mpbid jca cc recnd lemuldiv lensymd pm2.21dd wrex mulass
          w3a mul12 ltmul2dd lt2mul2div qbtwnre r19.29a pm2.65i ) ACHUOZLUOZBCK
          UOZUPUQZURUSZABDUPUQZUUNUTUQZOVAZVBUSZUUTDUUOUTUQZVBUSZVCZUUQOVDAUUTV
          DVEZVCZUVDVCZUVAUUQUVFUVAUVCVFZUVGUUTUUSUVEUUTVGVEZAUVDUUTVJVHZAUUSVG
          VEZUVEUVDAUURUUNABDUIADUFVIZVKZAUUNAFVLVEZUUMFVMUOZVEZUUNVGVEZAFVNVEZ
          UVNAVNVOFUCVPZFVQVRANUVOCHAHEFVSUQVEZNUVOHVTUDNUVOEFHQUVOWAZWBVRUKWCZ
          UUMFLUVOUWASWDWEZAWFUUPUUNAWGABUUOUIAEVLVEZCNVEZUUOVGVEZAEVNVEZUWDAVN
          VOEUBVPZEVQVRZUKCEKNQRWDWEZVKZUWCABUUOUIUWJUJAUWDUWEWFUUOURUSUWIUKCEK
          NQRWHWEWIAUUPUUNVBUSUUQWJUNAUUPUUNUWKUWCWKWLZWMZWNWOZWPZUVGUUTUUNUPUQ
          ZUURURUSZUUTUUSURUSZUVGUWPDUTUQZBURUSUWQUVGUUTCGUQZHUOZLUOZDUTUQZUWSB
          URUVGUXBUWPDUTUVGUXBUUTUUMFXNUOZUQZLUOZUUTFWQUOZWRUOZUOZUUNUPUQZUWPUV
          GUXAUXELUVGUVTUUTJVEZUWEUXAUXEWSAUVTUVEUVDUDWPZUVFUXKUVDAVDJUUTUGWTXA
          ZAUWEUVEUVDUKWPZJEFGUXDNHIUUTCTUAQUHUXDWAZXBXCXDUVGUVRUUTUXGVMUOZVEUV
          PUXFUXJWSAUVRUVEUVDUVSWPUVGUUTJUXPUXMUVGUXPIVMUOJUVGUXGIVMUVGUVTUXGIW
          SUXLEFHIUXGTUXGWAZXEVRZXDUAXFXGAUVPUVEUVDUWBWPUXHUXDUXGUXPLUVOFUUTUUM
          UWASUXOUXQUXPWAUXHWAXHXCUVGUXIUUTUUNUPUVGUXIUUTIWRUOZUOZUUTUVGUUTUXHU
          XSUVGUXGIWRUXRXDXIUVGUUTXJUOZUXTUUTUVGEVOVEZUXKUYAUXTWSAUYBUVEUVDAVNV
          OEUBXKWPZUXMUUTIJETUAXLWEUVGUUTUVJUVGWFUUTUVGWGZUVJUVGWFUUSUUTUYDUWOU
          VJAWFUUSURUSZUVEUVDAUURVGVEZWFUURURUSUVQWFUUNVBUSZUYEUVMABDUIUVLUJADU
          FXMWIUWCUWMUURUUNXOXPWPUVHWMXQXRXSZXTYAYBYAUVGUWTNVEZUWTKUOZDVBUSZUXC
          BURUSZUVGUYBUXKUWEUYIUYCUXMUXNUUTGIJNECQTUHUAYCXCUVGUYJUUTUUOUPUQZDVB
          UVGUYJUXTUUOUPUQZUYMUVGUWGUXKUWEUYJUYNWSAUWGUVEUVDUWHWPUXMUXNUXSGIJKN
          EUUTCQRUHTUAUXSWAXHXCUVGUXTUUTUUOUPUYHYAXTUVGUYMDVBUSZUVCUVFUVAUVCYDU
          VGUVIDVGVEZUWFWFUUOVBUSVCZUYOUVCYEUVJAUYPUVEUVDUVLWPZAUYQUVEUVDAUUOAU
          WDUWECEYFUOZYGUUOYOVEUWIUKULCEKNUYSQRUYSWAYHXCZYIZWPUUTDUUOYJXCWLYKAU
          YIUYKUYLYLYLUVEUVDUMWPYMYPUVGUWPBDUVGUUTUUNUVJAUVQUVEUVDUWCWPVKABVGVE
          UVEUVDUIWPZADYOVEUVEUVDUFWPYNYQUVGUVIUYFUVQUYGVCZUWQUWRYEUVJUVGBDVUBU
          YRVKAVUCUVEUVDAUVQUYGUWCUWMYRZWPUUTUURUUNUUAXCYQUUBUUCAUVKUVBVGVEUUSU
          VBVBUSZUVDOVDUUDUWNADUUOUVLUYTWOAUURUUOUPUQZDUUNUPUQZVBUSZVUEAVUFDUUP
          UPUQZVUGVBABYSVEZDYSVEZUUOYSVEZVUFVUIWSABUIYTADUVLYTAUUOUWJYTVUJVUKVU
          LUUFVUFBDUUOUPUQUPUQVUIBDUUOUUEBDUUOUUGXTXCAUUPUUNDUWKUWCUFUWLUUHYKAU
          YFUYQUYPVUCVUHVUEYEUVMVUAUVLVUDUURUUODUUNUUIXPYQOUUSUVBUUJXCUUKUNUUL
          $.
      $}

      ${
        nmoleub2lem2.6 $e |- ( ( ( L ` x ) e. RR /\ R e. RR ) ->
          ( ( L ` x ) O R -> ( L ` x ) <_ R ) ) $.
        nmoleub2lem2.7 $e |- ( ( ( L ` x ) e. RR /\ R e. RR ) ->
          ( ( L ` x ) < R -> ( L ` x ) O R ) ) $.
        $( Lemma for ~ nmoleub2a and similar theorems.  (Contributed by Mario
           Carneiro, 19-Oct-2015.) $)
        nmoleub2lem2 $p |- ( ph -> ( ( N ` F ) <_ A <->
           A. x e. V ( ( L ` x ) O R -> ( ( M ` ( F ` x ) ) / R ) <_ A ) ) ) $=
          ( vy vz cv cfv wbr cdiv co cle wi wral c0g wceq clmhm wcel cghm lmghm
          wa cc0 eqid ghmid 3syl fveq2d cnlm cngp cclm elin1d nlmngp nm0 adantr
          eqtrd oveq1d crp rpcnd rpne0d div0d clt rpgt0d eqbrtrd breq1d imbi12d
          fveq2 2fveq3 cr syl nmcl sylan rpred syl2anc imim1d ralimdva imp cgrp
          ngpgrp grpidcl rspcdva mpd eqbrtrrd wne cmul wn cvsca cin simp-4l cxr
          wss simpllr ad3antrrr simplrl simplrr rspccv simpr nmoleub2lem3 mpbir
          cq iman nmoleub2lem ) ABUKZJULZDMUMZBUICDEFGHIJKLNOPQRSTUAUBUCUDUEAYG
          YEGULKULZDUNUOZCUPUMZUQZBNURZVEZEUSULZGULZKULZDUNUOZVFCUPYMYQVFDUNUOV
          FYMYPVFDUNAYPVFUTYLAYPFUSULZKULZVFAYOYRKAGEFVAUOVBZGEFVCUOVBYOYRUTUCE
          FGVDEFGYNYRYNVGZYRVGZVHVIVJAFVKVBFVLVBYSVFUTAVKVMFUBVNFVOFKYRRUUBVPVI
          VRVQVSYMDYMDADVTVBZYLUEVQZWAYMDUUDWBWCVRYMYNJULZDWDUMZYQCUPUMZYMUUEVF
          DWDAUUEVFUTZYLAEVKVBZEVLVBZUUHAVKVMEUAVNZEVOZEJYNQUUAVPVIVQYMDUUDWEWF
          YMYFDWDUMZYJUQZUUFUUGUQBNYNYEYNUTZUUMUUFYJUUGUUOYFUUEDWDYEYNJWIWGUUOY
          IYQCUPUUOYHYPDUNYEYNKGWJVSWGWHAYLUUNBNURZAYKUUNBNAYENVBZVEZUUMYGYJUUR
          YFWKVBZDWKVBZUUMYGUQAUUJUUQUUSAUUIUUJUUKUULWLZYEEJNPQWMWNZUURDAUUCUUQ
          UEVQWOZUHWPWQWRWSZAYNNVBZYLAUUJEWTVBUVEUVAEXANEYNPUUAXBVIVQXCXDXEZYMC
          WKVBZVEZUIUKZNVBZUVIYNXFZVEZVEZUVIGULKULCUVIJULXGUOUPUMZUQUVMUVNXHZVE
          ZXHUVPCUVIDEFEXIULZGHIJKLNUJOPQRSTUVPAEVKVMXJZVBAYLUVGUVLUVOXKZUAWLUV
          PAFUVRVBUVSUBWLUVPAYTUVSUCWLUVPACXLVBUVSUDWLUVPAUUCUVSUEWLUVPAYBIXMUV
          SUFWLUVQVGYMUVGUVLUVOXNYMVFCUPUMUVGUVLUVOUVFXOUVHUVJUVKUVOXPUVHUVJUVK
          UVOXQUVPUUPUJUKUVIUVQUOZNVBUVTJULZDWDUMZUVTGULKULZDUNUOZCUPUMZUQZUQYM
          UUPUVGUVLUVOUVDXOUUNUWFBUVTNYEUVTUTZUUMUWBYJUWEUWGYFUWADWDYEUVTJWIWGU
          WGYIUWDCUPUWGYHUWCDUNYEUVTKGWJVSWGWHXRWLUVMUVOXSXTUVMUVNYCYAUURUUSUUT
          YGYFDUPUMUQUVBUVCUGWPYD $.
      $}

      $( The operator norm is the supremum of the value of a linear operator in
         the closed unit ball.  (Contributed by Mario Carneiro,
         19-Oct-2015.) $)
      nmoleub2a $p |- ( ph -> ( ( N ` F ) <_ A <->
          A. x e. V ( ( L ` x ) <_ R -> ( ( M ` ( F ` x ) ) / R ) <_ A ) ) ) $=
        ( cle cv cfv cr wcel wa wbr idd ltle nmoleub2lem2 ) ABCDEFGHIJKLUFMNOPQ
        RSTUAUBUCUDUEBUGJUHZUIUJDUIUJUKUPDUFULUMUPDUNUO $.

      $( The operator norm is the supremum of the value of a linear operator in
         the open unit ball.  (Contributed by Mario Carneiro, 19-Oct-2015.) $)
      nmoleub2b $p |- ( ph -> ( ( N ` F ) <_ A <->
          A. x e. V ( ( L ` x ) < R -> ( ( M ` ( F ` x ) ) / R ) <_ A ) ) ) $=
        ( clt cv cfv ltle cr wcel wa wbr idd nmoleub2lem2 ) ABCDEFGHIJKLUFMNOPQ
        RSTUAUBUCUDUEBUGJUHZDUIUPUJUKDUJUKULUPDUFUMUNUO $.
    $}

    nmoleub3.5 $e |- ( ph -> 0 <_ A ) $.
    nmoleub3.6 $e |- ( ph -> RR C_ K ) $.
    $( The operator norm is the supremum of the value of a linear operator on
       the unit sphere.  (Contributed by Mario Carneiro, 19-Oct-2015.)  (Proof
       shortened by AV, 29-Sep-2021.) $)
    nmoleub3 $p |- ( ph -> ( ( N ` F ) <_ A <->
        A. x e. V ( ( L ` x ) = R -> ( ( M ` ( F ` x ) ) / R ) <_ A ) ) ) $=
      ( vy cv cfv wceq cc0 cle wbr cdiv co wi wral adantr wa wcel c0g wne cvsca
      cr cmul csca cnm clmhm ad3antrrr wss crp cngp cnlm cclm elin1d nlmngp syl
      simprl simprr nmrpcl syl3anc rpdivcld rpred sseldd lmhmlin fveq2d lmhmsca
      eqid eqtr4di eleqtrrd wf lmhmf ffvelrnd nmvs fveq1d elin2d clmabs syl2anc
      cbs cabs rpge0d absidd eqtr3d eqtrd oveq1d 3eqtrd rpcnd nmcl recnd rpne0d
      divassd dmdcand fveqeq2 2fveq3 breq1d imbi12d simpllr clmvscl rspcdva mpd
      divcan1d eqbrtrrd simplr ledivmul2d mpbid leidd syl5ibrcom nmoleub2lem
      breq1 ) ABUHZJUIZDUJZBUGCDEFGHIJKLMNOPQRSTUAUBUCUDAUKCULUMYLYJGUIKUIZDUNU
      OZCULUMZUPZBMUQZUEURAYQUSZCVDUTZUSZUGUHZMUTZUUAEVAUIZVBZUSZUSZUUAGUIZKUIZ
      UUAJUIZUNUOZCULUMUUHCUUIVEUOULUMUUFDUUIUNUOZUUAEVCUIZUOZGUIZKUIZDUNUOZUUJ
      CULUUFUUPUUKUUHVEUOZDUNUOUUKUUHDUNUOVEUOUUJUUFUUOUUQDUNUUFUUOUUKUUGFVCUIZ
      UOZKUIZUUKFVFUIZVGUIZUIZUUHVEUOZUUQUUFUUNUUSKUUFGEFVHUOUTZUUKIUTZUUBUUNUU
      SUJAUVEYQYSUUEUBVIZUUFVDIUUKAVDIVJYQYSUUEUFVIUUFUUKUUFDUUIADVKUTZYQYSUUEU
      DVIZUUFEVLUTZUUBUUDUUIVKUTUUFEVMUTZUVJAUVKYQYSUUEAVMVNETVOVIZEVPVQYTUUBUU
      DVRZYTUUBUUDVSUUAEJMUUCOPUUCWHVTWAZWBZWCZWDZUVMIEFUULUURMGHUUKUUARSOUULWH
      ZUURWHZWEWAWFUUFFVMUTZUUKUVAWSUIZUTUUGFWSUIZUTZUUTUVDUJAUVTYQYSUUEAVMVNFU
      AVOVIZUUFUUKIUWAUVQUUFUWAHWSUIIUUFUVAHWSUUFUVEUVAHUJUVGEFGHUVARUVAWHZWGVQ
      ZWFSWIWJUUFMUWBUUAGUUFUVEMUWBGWKUVGMUWBEFGOUWBWHZWLVQUVMWMZUVBUURUVAUWAKU
      WBFUUKUUGUWGQUVSUWEUWAWHUVBWHWNWAUUFUVCUUKUUHVEUUFUVCUUKHVGUIZUIZUUKUUFUU
      KUVBUWIUUFUVAHVGUWFWFWOUUFUUKWTUIZUWJUUKUUFEVNUTZUVFUWKUWJUJAUWLYQYSUUEAV
      MVNETWPVIZUVQUUKHIERSWQWRUUFUUKUVPUUFUUKUVOXAXBXCZXDXEXFXEUUFUUKUUHDUUFUU
      KUVOXGUUFUUHUUFFVLUTZUWCUUHVDUTUUFUVTUWOUWDFVPVQUWHUUGFKUWBUWGQXHWRZXIZUU
      FDUVIXGZUUFDUVIXJZXKUUFUUHDUUIUWQUWRUUFUUIUVNXGZUWSUUFUUIUVNXJZXLXFUUFUUM
      JUIZDUJZUUPCULUMZUUFUXBUWJUUIVEUOZUUKUUIVEUODUUFUVKUVFUUBUXBUXEUJUVLUVQUV
      MUWIUULHIJMEUUKUUAOPUVRRSUWIWHWNWAUUFUWJUUKUUIVEUWNXEUUFDUUIUWRUWTUXAYAXF
      UUFYPUXCUXDUPBMUUMYJUUMUJZYLUXCYOUXDYJUUMDJXMUXFYNUUPCULUXFYMUUODUNYJUUMK
      GXNXEXOXPAYQYSUUEXQUUFUWLUVFUUBUUMMUTUWMUVQUVMUUKUULHIMEUUAORUVRSXRWAXSXT
      YBUUFUUHCUUIUWPYRYSUUEYCUVNYDYEAYJMUTZUSZYKDULUMYLDDULUMUXHDUXHDAUVHUXGUD
      URWCYFYKDDULYIYGYH $.
  $}

  ${
    $d x y B $.  $d x y F $.  $d x y J $.  $d x y K $.  $d x y S $.
    $d x y T $.
    nmhmcn.j $e |- J = ( TopOpen ` S ) $.
    nmhmcn.k $e |- K = ( TopOpen ` T ) $.
    nmhmcn.g $e |- G = ( Scalar ` S ) $.
    nmhmcn.b $e |- B = ( Base ` G ) $.
    $( A linear operator over a normed subcomplex module is bounded iff it is
       continuous.  (Contributed by Mario Carneiro, 22-Oct-2015.) $)
    nmhmcn $p |- ( ( S e. ( NrmMod i^i CMod ) /\ T e. ( NrmMod i^i CMod )
      /\ QQ C_ B ) ->
      ( F e. ( S NMHom T ) <-> ( F e. ( S LMHom T ) /\ F e. ( J Cn K ) ) ) ) $=
      ( vy cnlm wcel co wa cfv c1 3syl eqid vx cin cq wss w3a cnmhm clmhm cnghm
      cclm ccn wb elinel1 isnmhm baib syl2an 3adant3 nghmcn c0g cv cds cbs cres
      cxp cbl ccnv cima crp wrex cxmet cmopn cms cxms cngp simpll1 elin1d ngpms
      nlmngp msxms xmsxmet simpr simpll2 clmod nlmlmod lmod0vcl rpxr mp1i blopn
      cxr syl3anc wceq mstopn 4syl eleqtrrd cnima syl2anc eleqtrd cghm ad2antlr
      1rp lmghm ghmid syl a1i blcntr eqeltrd wf lmhmf elpreima mpbir2and mopni2
      wfn ffn cnmo cdiv cle wbr clt wral cnm cgrp simpl1 adantr ad2antrr ngpgrp
      wi nmval2 xmetsym eqtrd breq1d biimpd elbl cr simpl2 simplr ffvelrnda 1re
      nmcl ltle adantld sylbid sylancl 1red lediv1d 3imtr3d ralimdva crab blval
      imim12d syl2an3an sseq1d rabss bitrdi rpreccl adantl rpxrd simpl3 3imtr4d
      nmoleub2b 3jca rpred bddnghm expr rexlimdva mpd ex impbid2 pm5.32da bitrd
      syld ) BMUIUBZNZCUVJNZUCAUDZUEZDBCUFONZDBCUGONZDBCUHONZPZUVPDFGUJONZPUVKU
      VLUVOUVRUKZUVMUVKBMNZCMNZUVTUVLBMUIULCMUIULUVOUWAUWBPUVRBCDUMUNUOUPUVNUVP
      UVQUVSUVNUVPPZUVQUVSBCDFGHIUQUWCUVSUVQUWCUVSPZBURQZUAUSZBUTQZBVAQZUWHVCVB
      ZVDQOZDVECURQZRCUTQZCVAQZUWMVCVBZVDQOZVFZUDZUAVGVHZUVQUWDUWIUWHVIQNZUWPUW
      IVJQZNUWEUWPNZUWRUWDBVKNZBVLNUWSUWDUWABVMNZUXBUWDMUIBUVKUVLUVMUVPUVSVNZVO
      ZBVQZBVPZSBVRUWIBUWHUWHTZUWITZVSSZUWDUWPFUWTUWDUVSUWOGNUWPFNUWCUVSVTUWDUW
      OUWNVJQZGUWDUWNUWMVIQNZUWKUWMNZRWHNZUWOUXKNUWDCVKNZCVLNUXLUWDUWBCVMNZUXOU
      WDMUICUVKUVLUVMUVPUVSWAZVOZCVQZCVPZSCVRUWNCUWMUWMTZUWNTZVSSZUWDUWBCWBNUXM
      UXRCWCUWMCUWKUYAUWKTZWDSZRVGNZUXNUWDWSRWEZWFUWNUWKRUXKUWMUXKTWGWIUWDUWBUX
      PUXOGUXKWJUXRUXSUXTUWNGCUWMIUYAUYBWKWLWMUWODFGWNWOUWDUWAUXCUXBFUWTWJUXEUX
      FUXGUWIFBUWHHUXHUXIWKWLWPUWDUXAUWEUWHNZUWEDQZUWONZUWDUWABWBNUYHUXEBWCUWHB
      UWEUXHUWETZWDSZUWDUYIUWKUWOUWDDBCWQONZUYIUWKWJUVPUYMUVNUVSBCDWTWRZBCDUWEU
      WKUYKUYDXAXBUWDUXLUXMUYFUWKUWONUYCUYEUYFUWDWSXCUWNUWKRUWMXDWIXEUWDUWHUWMD
      XFZDUWHXKZUXAUYHUYJPUKUVPUYOUVNUVSUWHUWMBCDUXHUYAXGZWRZUWHUWMDXLZUWHUWEUW
      ODXHSXIUAUWPUWIUWEUWTUWHUWTTXJWIUWDUWQUVQUAVGUWDUWFVGNZPZUWQDBCXMOZQRUWFX
      NOZXOXPZUVQVUAUWELUSZUWIOZUWFXQXPZVUEUWPNZYEZLUWHXRZVUEBXSQZQZUWFXQXPZVUE
      DQZCXSQZQZUWFXNOVUCXOXPZYEZLUWHXRUWQVUDVUAVUIVURLUWHVUAVUEUWHNZPZVUMVUGVU
      HVUQVUTVUMVUGVUTVULVUFUWFXQVUTVULVUEUWEUWIOZVUFVUTBXTNZVUSVULVVAWJVUTUXCV
      VBUWDUXCUYTVUSUWCUXCUVSUWCUWAUXCUWCMUIBUVKUVLUVMUVPYAVOUXFXBYBZYCBYDXBVUA
      VUSVTZVUEUWGUWIVUKBUWHUWEVUKTZUXHUYKUWGTUXIYFWOVUTUWSVUSUYHVVAVUFWJUWDUWS
      UYTVUSUXJYCVVDUWDUYHUYTVUSUYLYCVUEUWEUWIUWHYGWIYHYIYJVUTVUHVUSVUNUWONZPZV
      UQVUTUYOUYPVUHVVGUKUWDUYOUYTVUSUYRYCUYSUWHVUEUWODXHSVUTVVFVUQVUSVUTVVFVUN
      UWMNZUWKVUNUWNOZRXQXPZPZVUQVUTUXLUXMUXNVVFVVKUKUWDUXLUYTVUSUYCYCZUWDUXMUY
      TVUSUYEYCZUYFUXNVUTWSUYGWFVUNUWNUWKRUWMYKWIVUTVVJVUQVVHVUTVUPRXQXPZVUPRXO
      XPZVVJVUQVUTVUPYLNZRYLNVVNVVOYEVUTUXPVVHVVPUWDUXPUYTVUSUWCUXPUVSUWCUWBUXP
      UWCMUICUVKUVLUVMUVPYMVOUXSXBYBZYCZVUAUWHUWMVUEDVUAUVPUYOUWDUVPUYTUVNUVPUV
      SYNYBZUYQXBYOZVUNCVUOUWMUYAVUOTZYQWOZYPVUPRYRUUAVUTVUPVVIRXQVUTVUPVUNUWKU
      WNOZVVIVUTCXTNZVVHVUPVWCWJVUTUXPVWDVVRCYDXBVVTVUNUWLUWNVUOCUWMUWKVWAUYAUY
      DUWLTUYBYFWOVUTUXLVVHUXMVWCVVIWJVVLVVTVVMVUNUWKUWNUWMYGWIYHYIVUTVUPRUWFVW
      BVUTUUBUWDUYTVUSYNUUCUUDYSYTYSYTUUHUUEVUAUWQVUGLUWHUUFZUWPUDVUJVUAUWJVWEU
      WPUWDUWSUYHUYTUWFWHNUWJVWEWJUXJUYLUWFWELUWIUWEUWFUWHUUGUUIUUJVUGLUWHUWPUU
      KUULVUALVUCUWFBCDEAVUKVUOVUBUWHVUBTZUXHVVEVWAJKUWDUVKUYTUXDYBUWDUVLUYTUXQ
      YBVVSVUAVUCUYTVUCVGNUWDUWFUUMZUUNUUOUWDUYTVTUWCUVMUVSUYTUVKUVLUVMUVPUUPYC
      UURUUQUWDUXCUXPUYMUEZVUCYLNZVUDUVQYEUYTUWDUXCUXPUYMVVCVVQUYNUUSUYTVUCVWGU
      UTVWHVWIVUDUVQVUCBCDVUBVWFUVAUVBUOUVIUVCUVDUVEUVFUVGUVH $.
  $}

  ${
    cmodscexp.f $e |- F = ( Scalar ` W ) $.
    cmodscexp.k $e |- K = ( Base ` F ) $.
    $( The powers of ` _i ` belong to the scalar subring of a subcomplex module
       if ` _i ` belongs to the scalar subring .  (Contributed by AV,
       18-Oct-2021.) $)
    cmodscexp $p |- ( ( ( W e. CMod /\ _i e. K ) /\ N e. NN )
                       -> ( _i ^ N ) e. K ) $=
      ( cclm wcel ci wa cn ccnfld cmgp cfv cmg co cexp cc cn0 eqid ax-icn nnnn0
      a1i cnfldexp syl2an csubmnd csubrg clmsubrg subrgsubm syl ad2antrr adantl
      wceq simplr submmulgcl syl3anc eqeltrrd ) DGHZIBHZJZCKHZJZCILMNZONZPZICQP
      ZBUTIRHZCSHZVEVFUMVAVGUTUAUCCUBZICUDUEVBBVCUFNHZVHUSVEBHURVJUSVAURBLUGNHV
      JABDEFUHBLVCVCTUIUJUKVAVHUTVIULURUSVAUNBVDVCCIVDTUOUPUQ $.

    cmodscmulexp.x $e |- X = ( Base ` W ) $.
    cmodscmulexp.s $e |- .x. = ( .s ` W ) $.
    $( The scalar product of a vector with powers of ` _i ` belongs to the base
       set of a subcomplex module if the scalar subring of th subcomplex module
       contains ` _i ` .  (Contributed by AV, 18-Oct-2021.) $)
    cmodscmulexp $p |- ( ( W e. CMod /\ ( _i e. K /\ B e. X /\ N e. NN ) )
                         -> ( ( _i ^ N ) .x. B ) e. X ) $=
      ( cclm wcel ci cn w3a wa clmod cexp co clmlmod adantr simp1 anim2i simpr3
      cmodscexp syl2anc simpr2 lmodvscl syl3anc ) FLMZNDMZAGMZEOMZPZQZFRMZNESTZ
      DMZUMURABTGMUKUQUOFUAUBUPUKULQUNUSUOULUKULUMUNUCUDUKULUMUNUECDEFHIUFUGUKU
      LUMUNUHURBCDGFAJHKIUIUJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subcomplex vector spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Usually, "complex vector spaces" are vector spaces over the field of the
  complex numbers, see for example the definition in [Roman] p. 36.

  In the setting of set.mm, it is convenient to consider collectively vector
  spaces on subfields of the field of complex numbers.  We call these,
  "subcomplex vector spaces" and collect them in the class ` CVec ` defined in
  ~ df-cvs and characterized in ~ iscvs .  These include rational vector spaces
  ( ~ qcvs ), real vector spaces ( ~ recvs ) and complex vector spaces
  ( ~ cncvs ).

  This definition is analogous to the definition of subcomplex modules (and
  their class ` CMod `), which are modules over subrings of the field of
  complex numbers.  Note that ZZ-modules (that are roughly the same thing as
  Abelian groups, see ~ zlmclm ) are subcomplex modules but are not subcomplex
  vector spaces (see ~ zclmncvs ), because the ring ZZ is not a division ring
  (see ~ zringndrg ).

  Since the field of complex numbers is commutative, so are its subrings, so
  there is no need to explicitly state "left module" or "left vector space" for
  subcomplex modules or vector spaces.

$)

  $c CVec $. $( Token for the class of subcomplex vector spaces. $)

  $( Syntax for the class of subcomplex vector spaces. $)
  ccvs $a class CVec $.

  $( Define the class of subcomplex vector spaces, which are the subcomplex
     modules which are also vector spaces.  (Contributed by Thierry Arnoux,
     22-May-2019.) $)
  df-cvs $a |- CVec = ( CMod i^i LVec ) $.

  ${
    cvslvec.1 $e |- ( ph -> W e. CVec ) $.
    $( A subcomplex vector space is a (left) vector space.  (Contributed by
       Thierry Arnoux, 22-May-2019.) $)
    cvslvec $p |- ( ph -> W e. LVec ) $=
      ( ccvs wcel clvec cclm df-cvs elin2 simprbi syl ) ABDEZBFEZCLBGEMBGFDHIJK
      $.

    $( A subcomplex vector space is a subcomplex module.  (Contributed by
       Thierry Arnoux, 22-May-2019.) $)
    cvsclm $p |- ( ph -> W e. CMod ) $=
      ( ccvs wcel cclm clvec df-cvs elin2 simplbi syl ) ABDEZBFEZCLMBGEBFGDHIJK
      $.
  $}

  $( A subcomplex vector space is a subcomplex module over a division ring.
     For example, the subcomplex modules over the rational or real or complex
     numbers are subcomplex vector spaces.  (Contributed by AV, 4-Oct-2021.) $)
  iscvs $p |- ( W e. CVec <-> ( W e. CMod /\ ( Scalar ` W ) e. DivRing ) ) $=
    ( ccvs wcel cclm clvec wa csca cfv cdr df-cvs elin2 clmod clmlmod wb islvec
    eqid a1i mpbirand pm5.32i bitri ) ABCADCZAECZFUAAGHZICZFADEBJKUAUBUDUAUBALC
    ZUDAMUBUEUDFNUAUCAUCPOQRST $.

  ${
    $d K x y z $.  $d S x y z $.  $d V x y z $.  $d W x y z $.  $d .+ x y z $.
    $d .x. x y z $.
    iscvsp.t $e |- .x. = ( .s ` W ) $.
    iscvsp.a $e |- .+ = ( +g ` W ) $.
    iscvsp.v $e |- V = ( Base ` W ) $.
    iscvsp.s $e |- S = ( Scalar ` W ) $.
    iscvsp.k $e |- K = ( Base ` S ) $.
    $( The predicate "is a subcomplex vector space".  (Contributed by NM,
       31-May-2008.)  (Revised by AV, 4-Oct-2021.) $)
    iscvsp $p |- ( W e. CVec <-> ( ( W e. Grp
                                     /\ ( S e. DivRing /\ S = ( CCfld |`s K ) )
                                     /\ K e. ( SubRing ` CCfld ) )
                 /\ A. x e. V ( ( 1 .x. x ) = x /\ A. y e. K ( ( y .x. x ) e. V
          /\ A. z e. V ( y .x. ( x .+ z ) ) = ( ( y .x. x ) .+ ( y .x. z ) )
            /\ A. z e. K ( ( ( z + y ) .x. x ) = ( ( z .x. x ) .+ ( y .x. x ) )
            /\ ( ( z x. y ) .x. x ) = ( z .x. ( y .x. x ) ) ) ) ) ) ) $=
      ( wcel cdr wa co wceq wral ccvs cclm csca cfv cgrp ccnfld cress csubrg c1
      w3a cv caddc cmul iscvs isclmp anbi2ci anass 3anan12 anbi2i eqcomi eleq1i
      anbi1i 3bitr2i bitr4i bitri ) IUAOIUBOZIUCUDZPOZQZIUEOZEPOZEUFGUGRSZQZGUF
      UHUDOZUJZUIAUKZFRVPSBUKZVPFRZHOVQVPCUKZDRFRVRVQVSFRDRSCHTVSVQULRVPFRVSVPF
      RVRDRSVSVQUMRVPFRVSVRFRSQCGTUJBGTQAHTZQZIUNVIVHVJVLVNUJZVTQZQVHWBQZVTQWAV
      FWCVHABCDEFGHIJKLMNUOUPVHWBVTUQWDVOVTWDVMVJVNQZQZVOWDVHVLWEQZQVHVLQZWEQWF
      WBWGVHVJVLVNURUSVHVLWEUQWHVMWEVHVKVLVGEPEVGMUTVAVBVBVCVJVMVNURVDVBVCVE $.

    iscvsi.1 $e |- W e. Grp $.
    iscvsi.2 $e |- S = ( CCfld |`s K ) $.
    iscvsi.3 $e |- S e. DivRing $.
    iscvsi.4 $e |- K e. ( SubRing ` CCfld ) $.
    iscvsi.5 $e |- ( x e. V -> ( 1 .x. x ) = x ) $.
    iscvsi.6 $e |- ( ( y e. K /\ x e. V ) -> ( y .x. x ) e. V ) $.
    iscvsi.7 $e |- ( ( y e. K /\ x e. V /\ z e. V ) ->
                  ( y .x. ( x .+ z ) ) = ( ( y .x. x ) .+ ( y .x. z ) ) ) $.
    iscvsi.8 $e |- ( ( y e. K /\ z e. K /\ x e. V ) ->
                  ( ( z + y ) .x. x ) = ( ( z .x. x ) .+ ( y .x. x ) ) ) $.
    iscvsi.9 $e |- ( ( y e. K /\ z e. K /\ x e. V ) ->
                  ( ( z x. y ) .x. x ) = ( z .x. ( y .x. x ) ) ) $.
    $( Properties that determine a subcomplex vector space.  (Contributed by
       NM, 5-Nov-2006.)  (Revised by AV, 4-Oct-2021.) $)
    iscvsi $p |- W e. CVec $=
      ( ccvs wcel cgrp cdr ccnfld cress co wceq wa csubrg cfv w3a c1 wral caddc
      cv cmul pm3.2i 3pm3.2i ancoms 3com12 3expa ralrimiva jca 3jca rgen iscvsp
      3comr mpbir2an ) IUDUEIUFUEZEUGUEZEUHGUIUJUKZULZGUHUMUNUEZUOUPAUSZFUJVRUK
      ZBUSZVRFUJZHUEZVTVRCUSZDUJFUJWAVTWCFUJDUJUKZCHUQZWCVTURUJVRFUJWCVRFUJWADU
      JUKZWCVTUTUJVRFUJWCWAFUJUKZULZCGUQZUOZBGUQZULZAHUQVMVPVQOVNVOQPVARVBWLAHV
      RHUEZVSWKSWMWJBGWMVTGUEZULZWBWEWIWNWMWBTVCWOWDCHWMWNWCHUEZWDWNWMWPWDUAVDV
      EVFWOWHCGWMWNWCGUEZWHWNWQWMWHWNWQWMUOWFWGUBUCVGVKVEVFVHVFVGVIABCDEFGHIJKL
      MNVJVL $.
  $}

  ${
    $d W x y z $.  $d X y z $.  $d S z $.
    cvsi.x $e |- X = ( Base ` W ) $.
    cvsi.a $e |- .+ = ( +g ` W ) $.
    cvsi.s $e |- S = ( Base ` ( Scalar ` W ) ) $.
    cvsi.m $e |- .xb = ( .sf ` W ) $.
    cvsi.t $e |- .x. = ( .s ` W ) $.
    $( The properties of a subcomplex vector space, which is an Abelian group
       (i.e. the vectors, with the operation of vector addition) accompanied by
       a scalar multiplication operation on the field of complex numbers.
       (Contributed by NM, 3-Nov-2006.)  (Revised by AV, 21-Sep-2021.) $)
    cvsi $p |- ( W e. CVec -> ( W e. Abel
                                /\ ( S C_ CC /\ .xb : ( S X. X ) --> X )
                                /\ A. x e. X ( ( 1 .x. x ) = x /\ A. y e. S
       ( A. z e. X ( y .x. ( x .+ z ) ) = ( ( y .x. x ) .+ ( y .x. z ) )
            /\ A. z e. S ( ( ( y + z ) .x. x ) = ( ( y .x. x ) .+ ( z .x. x ) )
            /\ ( ( y x. z ) .x. x ) = ( y .x. ( z .x. x ) ) ) ) ) ) ) $=
      ( wcel wa co wceq wral jca ccvs cclm clvec cabl cc wss cxp wf c1 cv caddc
      cmul w3a df-cvs elin2 clmod lveclmod lmodabl syl adantl csca eqid clmsscn
      cfv clmlmod lmodscaf adantr clmvs1 ad2antrr simplr simpllr simpr lmodvsdi
      syl13anc ralrimiva cplusg clmadd oveqdr oveq1d lmodvsdir clmmul lmodvsass
      eqtrd cmulr 3jca sylbi ) HUAOHUBOZHUCOZPZHUDOZEUEUFZEIUGIFUHZPZUIAUJZGQWN
      RZBUJZWNCUJZDQGQWPWNGQZWPWQGQDQRZCISZWPWQUKQZWNGQZWRWQWNGQZDQZRZWPWQULQZW
      NGQZWPXCGQZRZPZCESZPZBESZPZAISZUMHUBUCUAUNUOWIWJWMXOWHWJWGWHHUPOZWJHUQHUR
      USUTWGWMWHWGWKWLHVAVDZEHXQVBZLVCWGXPWLHVEZIFXQEHJXRLMVFUSTVGWGXOWHWGXNAIW
      GWNIOZPZWOXMGIHWNJNVHYAXLBEYAWPEOZPZWTXKYCWSCIYCWQIOZPXPYBXTYDWSYAXPYBYDW
      GXPXTXSVGZVIYAYBYDVJWGXTYBYDVKYCYDVLDWPGXQEIHWNWQJKXRNLVMVNVOYCXJCEYCWQEO
      ZPZXEXIYGXBWPWQXQVPVDZQZWNGQZXDYGXAYIWNGYCYFBCUKYHWGUKYHRXTYBXQHXRVQVIVRV
      SYGXPYBYFXTYJXDRYAXPYBYFYEVIZYAYBYFVJZYCYFVLZWGXTYBYFVKZDYHWPWQGXQEIHWNJK
      XRNLYHVBVTVNWCYGXGWPWQXQWDVDZQZWNGQZXHYGXFYPWNGYCYFBCULYOWGULYORXTYBXQHXR
      WAVIVRVSYGXPYBYFXTYQXHRYKYLYMYNWPWQGYOXQEIHWNJXRNLYOVBWBVNWCTVOTVOTVOVGWE
      WF $.
  $}

  ${
    cvsdiv.f $e |- F = ( Scalar ` W ) $.
    cvsdiv.k $e |- K = ( Base ` F ) $.
    $( Unit group of the scalar ring of a subcomplex vector space.
       (Contributed by Thierry Arnoux, 22-May-2019.) $)
    cvsunit $p |- ( W e. CVec -> ( K \ { 0 } ) = ( Unit ` F ) ) $=
      ( ccvs wcel cc0 csn cdif c0g cfv cui cclm wceq id cvsclm clm0 syl eqid
      sneqd difeq2d clvec cdr cvslvec lvecdrng crg isdrng simprbi 3syl eqtr4d )
      CFGZBHIZJBAKLZIZJZAMLZULUMUOBULHUNULCNGHUNOULCULPZQACDRSUAUBULCUCGAUDGZUQ
      UPOZULCURUEACDUFUSAUGGUTBAUQUNEUQTUNTUHUIUJUK $.

    $( Division of the scalar ring of a subcomplex vector space.  (Contributed
       by Thierry Arnoux, 22-May-2019.) $)
    cvsdiv $p |- ( ( W e. CVec /\ ( A e. K /\ B e. K /\ B =/= 0 ) ) ->
      ( A / B ) = ( A ( /r ` F ) B ) ) $=
      ( ccvs wcel cc0 cdiv co ccnfld cdvr cfv cui wceq syl fveq2d eqid wa cress
      wne w3a csubrg cclm cvsclm clmsubrg simpr1 csn cdif simpr2 simpr3 eldifsn
      simpl sylanbrc cvsunit clmsca eqtrd eleqtrd cnflddiv subrgdv oveqd eqtr4d
      syl3anc ) EHIZADIZBDIZBJUCZUDZUAZABKLZABMDUBLZNOZLZABCNOZLVKDMUEOIZVGBVMP
      OZIVLVOQVKEUFIZVQVKEVFVJUOZUGZCDEFGUHRVFVGVHVIUIVKBDJUJUKZVRVKVHVIBWBIVFV
      GVHVIULVFVGVHVIUMBDJUNUPVKWBCPOZVRVKVFWBWCQVTCDEFGUQRVKCVMPVKVSCVMQWACDEF
      GURRZSUSUTDKMVMVRVNABVMTVAVRTVNTVBVEVKVPVNABVKCVMNWDSVCVD $.

    $( The scalar field of a subcomplex vector space is closed under division.
       (Contributed by Thierry Arnoux, 22-May-2019.) $)
    cvsdivcl $p |- ( ( W e. CVec /\ ( A e. K /\ B e. K /\ B =/= 0 ) ) ->
      ( A / B ) e. K ) $=
      ( ccvs wcel cc0 wne w3a wa cdiv co cdvr cfv cvsdiv crg eqid cui clvec cdr
      simpl cvslvec lvecdrng drngring simpr1 csn simpr2 simpr3 eldifsn sylanbrc
      3syl cdif wceq cvsunit adantr eleqtrd dvrcl syl3anc eqeltrd ) EHIZADIZBDI
      ZBJKZLZMZABNOABCPQZOZDABCDEFGRVHCSIZVDBCUAQZIVJDIVHEUBICUCIVKVHEVCVGUDUEC
      EFUFCUGUNVCVDVEVFUHVHBDJUIUOZVLVHVEVFBVMIVCVDVEVFUJVCVDVEVFUKBDJULUMVCVMV
      LUPVGCDEFGUQURUSDVICVLABGVLTVITUTVAVB $.
  $}

  ${
    cvsdiveqd.v $e |- V = ( Base ` W ) $.
    cvsdiveqd.t $e |- .x. = ( .s ` W ) $.
    cvsdiveqd.f $e |- F = ( Scalar ` W ) $.
    cvsdiveqd.k $e |- K = ( Base ` F ) $.
    cvsdiveqd.w $e |- ( ph -> W e. CVec ) $.
    cvsdiveqd.a $e |- ( ph -> A e. K ) $.
    cvsdiveqd.b $e |- ( ph -> B e. K ) $.
    cvsdiveqd.x $e |- ( ph -> X e. V ) $.
    cvsdiveqd.y $e |- ( ph -> Y e. V ) $.
    cvsdiveqd.1 $e |- ( ph -> A =/= 0 ) $.
    ${
      cvsmuleqdivd.1 $e |- ( ph -> ( A .x. X ) = ( B .x. Y ) ) $.
      $( An equality involving ratios in a subcomplex vector space.
         (Contributed by Thierry Arnoux, 22-May-2019.) $)
      cvsmuleqdivd $p |- ( ph -> X = ( ( B / A ) .x. Y ) ) $=
        ( c1 cdiv co oveq2d cmul cc cclm wcel wss cvsclm clmsscn sseldd recid2d
        syl oveq1d wceq ccvs cc0 wne cur cfv clm1 clmring eqid ringidcl eqeltrd
        3syl cvsdivcl syl13anc clmvsass clmvs1 syl2anc 3eqtr3d divrec2d eqtr2d
        crg ) AUBBUCUDZBIDUDZDUDZVRCJDUDZDUDZICBUCUDZJDUDZAVSWAVRDUAUEAVRBUFUDZ
        IDUDZUBIDUDZVTIAWEUBIDABAFUGBAHUHUIZFUGUJAHOUKZEFHMNULUOZPUMZTUNUPAWHVR
        FUIZBFUIZIGUIZWFVTUQWIAHURUIUBFUIWMBUSUTWLOAUBEVAVBZFAWHUBWOUQWIEHMVCUO
        AWHEVQUIWOFUIWIEHMVDFEWONWOVEVFVHVGPTUBBEFHMNVIVJZPRVRBDEFGHIKMLNVKVJAW
        HWNWGIUQWIRDGHIKLVLVMVNAWDVRCUFUDZJDUDZWBAWCWQJDACBAFUGCWJQUMWKTVOUPAWH
        WLCFUIJGUIWRWBUQWIWPQSVRCDEFGHJKMLNVKVJVPVN $.
    $}

    ${
      cvsdiveqd.2 $e |- ( ph -> B =/= 0 ) $.
      cvsdiveqd.3 $e |- ( ph -> X = ( ( A / B ) .x. Y ) ) $.
      $( An equality involving ratios in a subcomplex vector space.
         (Contributed by Thierry Arnoux, 22-May-2019.) $)
      cvsdiveqd $p |- ( ph -> ( ( B / A ) .x. X ) = Y ) $=
        ( cdiv co oveq2d cmul c1 cc cclm wss cvsclm clmsscn syl sseldd divcan6d
        wcel oveq1d wceq ccvs cc0 wne cvsdivcl syl13anc clmvsass clmvs1 syl2anc
        3eqtr3d eqtrd ) ACBUCUDZIDUDVIBCUCUDZJDUDZDUDZJAIVKVIDUBUEAVIVJUFUDZJDU
        DZUGJDUDZVLJAVMUGJDACBAFUHCAHUIUPZFUHUJAHOUKZEFHMNULUMZQUNAFUHBVRPUNUAT
        UOUQAVPVIFUPZVJFUPZJGUPZVNVLURVQAHUSUPZCFUPZBFUPZBUTVAVSOQPTCBEFHMNVBVC
        AWBWDWCCUTVAVTOPQUABCEFHMNVBVCSVIVJDEFGHJKMLNVDVCAVPWAVOJURVQSDGHJKLVEV
        FVGVH $.
    $}
  $}

  ${
    cnlmod.w $e |- W = ( { <. ( Base ` ndx ) , CC >. ,
                          <. ( +g ` ndx ) , + >. }
                     u. { <. ( Scalar ` ndx ) , CCfld >. ,
                          <. ( .s ` ndx ) , x. >. } ) $.
    $( Lemma 1 for ~ cnlmod .  (Contributed by AV, 20-Sep-2021.) $)
    cnlmodlem1 $p |- ( Base ` W ) = CC $=
      ( cc cvv wcel cbs cfv wceq cnex caddc cmul ccnfld cnx cop cplusg cpr csca
      cvsca cun ctp csn qdass eqtri lmodbase eqcomd ax-mp ) CDEZAFGZCHIUGCUHCJK
      LADAMFGCNZMOGJNZPMQGLNZMRGKNZPSUIUJUKTULUASBUIUJUKULUBUCUDUEUF $.

    $( Lemma 2 for ~ cnlmod .  (Contributed by AV, 20-Sep-2021.) $)
    cnlmodlem2 $p |- ( +g ` W ) = + $=
      ( caddc cvv wcel cplusg cfv wceq addex cmul ccnfld cnx cbs cop csca cvsca
      cc cpr cun ctp csn qdass eqtri lmodplusg eqcomd ax-mp ) CDEZAFGZCHIUGCUHQ
      CJKADALMGQNZLFGCNZRLOGKNZLPGJNZRSUIUJUKTULUASBUIUJUKULUBUCUDUEUF $.

    $( Lemma 3 for ~ cnlmod .  (Contributed by AV, 20-Sep-2021.) $)
    cnlmodlem3 $p |- ( Scalar ` W ) = CCfld $=
      ( ccnfld cvv wcel csca cfv wceq cnfldex caddc cmul cnx cbs cop cplusg cpr
      cc cvsca cun ctp csn qdass eqtri lmodsca eqcomd ax-mp ) CDEZAFGZCHIUGCUHQ
      JKCADALMGQNZLOGJNZPLFGCNZLRGKNZPSUIUJUKTULUASBUIUJUKULUBUCUDUEUF $.

    $( Lemma 4 for ~ cnlmod .  (Contributed by AV, 20-Sep-2021.) $)
    cnlmod4 $p |- ( .s ` W ) = x. $=
      ( cmul cvv wcel cvsca cfv wceq mulex caddc ccnfld cnx cbs cop cplusg csca
      cc cpr cun ctp csn qdass eqtri lmodvsca eqcomd ax-mp ) CDEZAFGZCHIUGCUHQJ
      CKADALMGQNZLOGJNZRLPGKNZLFGCNZRSUIUJUKTULUASBUIUJUKULUBUCUDUEUF $.

    $d W x y z $.
    $( The set of complex numbers is a left module over itself.  The vector
       operation is ` + ` , and the scalar product is ` x. ` .  (Contributed by
       AV, 20-Sep-2021.) $)
    cnlmod $p |- W e. LMod $=
      ( vx vy vz cc0 cc wcel caddc cv cfv wceq eqcomi a1i co adantl cmul ccnfld
      id c1 cgrp clmod 0cn cneg cbs cnlmodlem1 cplusg cnlmodlem2 3adant1 addass
      addcl w3a addid2 negcl addcomd negid eqtrd isgrpd csca cnlmodlem3 cnlmod4
      cvsca cnfldbas cnfldadd cmulr cnfldmul cur cnfld1 crg cnring mulcl adddir
      wa adddi mulass mulid2 islmodd mp2b ) FGHZAUAHZAUBHUCVSCDEGIACJZUDZFGAUEK
      ZLZVSWCGABUFMZNIAUGKZLZVSWFIABUHMZNWAGHZDJZGHZWAWJIOZGHVSWAWJUKUIWIWKEJZG
      HULZWLWMIOWAWJWMIOZIOLVSWAWJWMUJPVSSWIFWAIOWALVSWAUMPWIWBGHVSWAUNZPVSWIVM
      WBWAIOZWAWBIOZFWIWQWRLVSWIWBWAWPWISUOPWIWRFLVSWAUPPUQURVTCDEGIIQQTRGAWDVT
      WENWGVTWHNRAUSKZLVTWSRABUTMNQAVBKZLVTWTQABVAMNGRUEKLVTVCNIRUGKLVTVDNQRVEK
      LVTVFNTRVGKLVTVHNRVIHVTVJNVTSWIWKWAWJQOZGHVTWAWJVKUIWNWAWOQOXAWAWMQOZIOLV
      TWAWJWMVNPWNWLWMQOXBWJWMQOZIOLVTWAWJWMVLPWNXAWMQOWAXCQOLVTWAWJWMVOPWITWAQ
      OWALVTWAVPPVQVR $.

    $( The set of complex numbers is a subcomplex vector space.  The vector
       operation is ` + ` , and the scalar product is ` x. ` .  (Contributed by
       NM, 5-Nov-2006.)  (Revised by AV, 20-Sep-2021.) $)
    cnstrcvs $p |- W e. CVec $=
      ( vx vy cclm clvec wcel ccnfld cc wceq cfv cvv cnfldex ax-mp cv csca cmul
      caddc cnx cop ccvs clmod cress co csubrg cnlmod cnfldbas ressid eqcomi id
      cin addcl negcl ax-1cn mulcl cnsubrglem cbs cpr cvsca cun ctp qdass eqtri
      cplusg csn lmodsca isclmi mp3an cdr cndrng islvec mpbir2an elini eleqtrri
      df-cvs ) AEFUKUAAEFAUBGZHHIUCUDZJIHUEKGAEGABUFZVQHHLGZVQHJMIHLUGUHNUICDIC
      OZIGUJVTDOZULVTUMUNVTWAUOUPHIAVSHAPKJMIRQHALASUQKITZSVDKRTZURSPKHTZSUSKQT
      ZURUTWBWCWDVAWEVEUTBWBWCWDWEVBVCVFNZVGVHAFGVPHVIGVRVJHAWFVKVLVMVOVN $.
  $}

  ${
    cnrlmod.c $e |- C = ( ringLMod ` CCfld ) $.
    $( The set of complex numbers is the base set of the complex left module of
       complex numbers.  (Contributed by AV, 21-Sep-2021.) $)
    cnrbas $p |- ( Base ` C ) = CC $=
      ( ccnfld cbs cfv crglmod cc rlmbas cnfldbas fveq2i 3eqtr4ri ) CDECFEZDEGA
      DECHIALDBJK $.

    $( The complex left module of complex numbers is a left module.  The vector
       operation is ` + ` , and the scalar product is ` x. ` .  (Contributed by
       AV, 21-Sep-2021.) $)
    cnrlmod $p |- C e. LMod $=
      ( ccnfld crglmod cfv clmod crg wcel cnring rlmlmod ax-mp eqeltri ) ACDEZF
      BCGHMFHICJKL $.

    $( The complex left module of complex numbers is a left vector space.  The
       vector operation is ` + ` , and the scalar product is ` x. ` .
       (Contributed by AV, 21-Sep-2021.) $)
    cnrlvec $p |- C e. LVec $=
      ( ccnfld crglmod cfv clvec cdr wcel cndrng rlmlvec ax-mp eqeltri ) ACDEZF
      BCGHMFHICJKL $.

    $d x y $.
    $( The complex left module of complex numbers is a subcomplex vector space.
       The vector operation is ` + ` , and the scalar product is ` x. ` .
       (Contributed by NM, 5-Nov-2006.)  (Revised by AV, 21-Sep-2021.) $)
    cncvs $p |- C e. CVec $=
      ( vx vy cclm clvec cin ccvs clmod wcel ccnfld wceq cfv cvv cnfldex eqcomi
      cc ax-mp cv csca cress co csubrg cnfldbas ressid addcl negcl ax-1cn mulcl
      cnrlmod cnsubrglem crglmod rlmsca fveq2i eqtri isclmi mp3an cnrlvec elini
      id df-cvs eleqtrri ) AEFGHAEFAIJKKQUAUBZLQKUCMJAEJABUJVCKKNJZVCKLOQKNUDUE
      RPCDQCSZQJUTVEDSZUFVEUGUHVEVFUIUKKQAKKULMZTMZATMVDKVHLOKNUMRVGATAVGBPUNUO
      UPUQABURUSVAVB $.
  $}

  ${
    recvs.r $e |- R = ( ringLMod ` RRfld ) $.
    $( The field of the real numbers as left module over itself is a subcomplex
       vector space.  The vector operation is ` + ` , and the scalar product is
       ` x. ` .  (Contributed by AV, 22-Oct-2021.) $)
    recvs $p |- R e. CVec $=
      ( crefld crglmod cfv cclm clvec ccvs clmod wcel csca ccnfld cr cress wceq
      cin cfield refld ax-mp resubdrg co csubrg crg cidom fldidom ccrg cdomn wa
      isidom crngring adantr syl rlmlmod rlmsca df-refld eqtr3i cdr simpli eqid
      sylbi isclmi mp3an simpri rlmlvec elini df-cvs 3eltr4i ) CDEZFGPAHVHFGVHI
      JZVHKEZLMNUAZOMLUBEJZVHFJCUCJZVICQJZVMRVNCUDJZVMCUEVOCUFJZCUGJZUHVMCUIVPV
      MVQCUJUKUTULSCUMSCVJVKVNCVJORCQUNSUOUPVLCUQJZTURVJMVHVJUSVAVBVRVHGJVLVRTV
      CCVDSVEBVFVG $.
  $}

  ${
    qcvs.q $e |- Q = ( ringLMod ` ( CCfld |`s QQ ) ) $.
    $( The field of rational numbers as left module over itself is a subcomplex
       vector space.  The vector operation is ` + ` , and the scalar product is
       ` x. ` .  (Contributed by AV, 22-Oct-2021.) $)
    qcvs $p |- Q e. CVec $=
      ( ccnfld cq cress co crglmod cfv cclm clvec cin ccvs clmod wcel csca wceq
      csubrg cdr qsubdrg ax-mp crg drngring adantl rlmlmod simpri rlmsca eqcomd
      wa simpli eqid isclmi mp3an rlmlvec elini df-cvs 3eltr4i ) CDEFZGHZIJKALU
      RIJURMNZUROHZUQPZDCQHNZURINUQUANZUSVBUQRNZUHVCSVDVCVBUQUBUCTUQUDTVDVAVBVD
      SUEZVDUQUTUQRUFUGTVBVDSUIUTDURUTUJUKULVDURJNVEUQUMTUNBUOUP $.
  $}

  ${
    zclmncvs.z $e |- Z = ( ringLMod ` ZZring ) $.
    $( The ring of integers as left module over itself is a subcomplex module,
       but not a subcomplex vector space.  The vector operation is ` + ` , and
       the scalar product is ` x. ` .  (Contributed by AV, 22-Oct-2021.) $)
    zclmncvs $p |- ( Z e. CMod /\ Z e/ CVec ) $=
      ( cclm wcel ccvs zring cfv ccnfld cz wceq zringring ax-mp eleq1i mpbir wn
      crg clvec cdr wa mtbir wnel crglmod clmod csca co csubrg rlmlmod df-zring
      cress rlmsca eqtr3i zsubrg eqid isclmi mp3an zringndrg neli eqcomd intnan
      wo islvec olci df-nel cin ianor elin xchnxbir df-cvs eleq12i bitri pm3.2i
      ) ACDZAEUAZVLFUBGZCDZVNUCDZVNUDGZHIUIUEZJIHUFGDVOFPDZVPKFUGLFVQVRVSFVQJKF
      PUJZLUHUKULVQIVNVQUMZUNUOAVNCBMNVMVOOZVNQDZOZUTZWDWBWCVPVQRDZSWFVPWFFRDFR
      UPUQVQFRVSVQFJKVSFVQVTURLMTUSVQVNWAVATVBVMAEDZOWEAEVCVNCQVDZDZWEWGVOWCSWE
      WIVOWCVEVNCQVFVGAVNEWHBVHVIVGVJNVK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Normed subcomplex vector spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This section characterizes normed subcomplex vector spaces as subcomplex
  vector spaces which are also normed vector spaces (that is, normed groups
  with a positively homogeneous norm).  For the moment, there is no need of a
  special token to represent their class, so we only use the characterization
  ~ isncvsngp .  Most theorems for normed subcomplex vector spaces have a label
  containing "ncvs".  The idiom `  W e. ( NrmVec i^i CVec ) ` is used in the
  following to say that ` W ` is a _normed subcomplex vector space_, i.e., a
  subcomplex vector space which is also a normed vector space.

$)

  ${
    $d F k x $.  $d K k x $.  $d N k x $.  $d V k x $.  $d W k x $.
    $d .x. k x $.
    isncvsngp.v $e |- V = ( Base ` W ) $.
    isncvsngp.n $e |- N = ( norm ` W ) $.
    isncvsngp.s $e |- .x. = ( .s ` W ) $.
    isncvsngp.f $e |- F = ( Scalar ` W ) $.
    isncvsngp.k $e |- K = ( Base ` F ) $.
    $( A normed subcomplex vector space is a subcomplex vector space which is a
       normed group with a positively homogeneous norm.  (Contributed by NM,
       5-Jun-2008.)  (Revised by AV, 7-Oct-2021.) $)
    isncvsngp $p |- ( W e. ( NrmVec i^i CVec ) <-> ( W e. CVec /\ W e. NrmGrp
                   /\ A. x e. V A. k e. K ( N ` ( k .x. x ) )
                                          = ( ( abs ` k ) x. ( N ` x ) ) ) ) $=
      ( wcel wa cfv cabs wceq wral ccnfld ccvs cnvc cngp cv cmul cin clvec cnlm
      co w3a wb isnvc biancomi a1i cvslvec biantrurd cclm cvsclm clmod cnrg cnm
      id eqid isnlm 3anass anbi1i anass bitri clmlmod cress clmsca csubrg cnnrg
      clmsubrg subrgnrg sylancr eqeltrd jca ralcom cres fveq2d subrgsubg subgnm
      csubg 3syl eqtrd adantr fveq1d cnfldnm eqcomi reseq1i fveq1i fvres syl5eq
      ad2antll oveq1d eqeq2d 2ralbidva syl5bb 3bitr2d syl pm5.32i elin 3bitr4i
      anbi2d ) HUANZHUBNZOXFHUCNZCUDZAUDZBUIFPZXIQPZXJFPZUEUIZRZCESAGSZOZOHUBUA
      UFNZXFXHXPUJXFXGXQXFXGHUGNZHUHNZOZXTXQXGYAUKXFXGXSXTHULUMUNXFXSXTXFHXFVBZ
      UOUPXFHUQNZXTXQUKXFHYBURXTXHHUSNZDUTNZUJZXKXIDVAPZPZXMUEUIZRZAGSCESZOZYCX
      QCAYGBDEFGHIJKLMYGVCVDYCYLYDYEOZXHYKOZOZYNXQYLYOUKYCYLYMXHOZYKOYOYFYPYKYF
      YMXHXHYDYEVEUMVFYMXHYKVGVHUNYCYMYNYCYDYEHVIYCDTEVJUIZUTDEHLMVKZYCTUTNETVL
      PNZYQUTNVMDEHLMVNZETYQYQVCZVOVPVQVRUPYCYKXPXHYKYJCESAGSYCXPYJCAEGVSYCYJXO
      ACGEYCXJGNZXIENZOZOZYIXNXKUUEYHXLXMUEUUEYHXITVAPZEVTZPZXLUUEXIYGUUGYCYGUU
      GRUUDYCYGYQVAPZUUGYCDYQVAYRWAYCYSETWDPNUUIUUGRYTETWBETYQUUIUUFUUAUUFVCUUI
      VCWCWEWFWGWHUUEUUHXIQEVTZPZXLXIUUGUUJUUFQEQUUFWIWJWKWLUUCUUKXLRYCUUBXIEQW
      MWOWNWFWPWQWRWSXEWTWSXAWTXBXRXFXGHUBUAXCUMXFXHXPVEXD $.

    ${
      $d ph k x $.
      isncvsngpd.v $e |- ( ph -> W e. CVec ) $.
      isncvsngpd.g $e |- ( ph -> W e. NrmGrp ) $.
      isncvsngpd.t $e |- ( ( ph /\ ( x e. V /\ k e. K ) )
                     -> ( N ` ( k .x. x ) ) = ( ( abs ` k ) x. ( N ` x ) ) ) $.
      $( Properties that determine a normed subcomplex vector space.
         (Contributed by NM, 15-Apr-2007.)  (Revised by AV, 7-Oct-2021.) $)
      isncvsngpd $p |- ( ph -> W e. ( NrmVec i^i CVec ) ) $=
        ( ccvs wcel cfv cngp cv co cabs cmul wceq wral cin ralrimivva isncvsngp
        cnvc syl3anbrc ) AIRSIUASDUBZBUBZCUCGTUMUDTUNGTUEUCUFZDFUGBHUGIUKRUHSOP
        AUOBDHFQUIBCDEFGHIJKLMNUJUL $.
    $}

    $d V y $.  $d W y $.  $d x y $.
    ncvsi.m $e |- .- = ( -g ` W ) $.
    ncvsi.0 $e |- .0. = ( 0g ` W ) $.
    $( The properties of a normed subcomplex vector space, which is a vector
       space accompanied by a norm.  (Contributed by NM, 11-Nov-2006.)
       (Revised by AV, 7-Oct-2021.) $)
    ncvsi $p |- ( W e. ( NrmVec i^i CVec ) -> ( W e. CVec /\ N : V --> RR
                /\ A. x e. V ( ( ( N ` x ) = 0 <-> x = .0. )
                   /\ A. y e. V ( N ` ( x .- y ) ) <_ ( ( N ` x ) + ( N ` y ) )
                   /\ A. k e. K ( N ` ( k .x. x ) )
                                = ( ( abs ` k ) x. ( N ` x ) ) ) ) ) $=
      ( cfv wral cnvc ccvs cin wcel cngp cv co cabs cmul w3a cr wf cc0 wb caddc
      wceq cle wbr isncvsngp simp1 nmf 3ad2ant2 cgrp wa wi r19.26 simpll simplr
      ngpi simpr 3jca ralimi sylbir ex 3ad2ant3 syl imp 3adant1 sylbi ) JUAUBUC
      UDJUBUDZJUEUDZDUFZAUFZCUGHSWBUHSWCHSZUIUGUPDFTZAITZUJZVTIUKHULZWDUMUPWCKU
      PUNZWCBUFZGUGHSWDWJHSUOUGUQURBITZWEUJZAITZUJACDEFHIJLMNOPUSWGVTWHWMVTWAWF
      UTWAVTWHWFJHILMVAVBWAWFWMVTWAWFWMWAJVCUDZWHWIWKVDZAITZUJWFWMVEZABGHIJKLMQ
      RVIWPWNWQWHWPWFWMWPWFVDWOWEVDZAITWMWOWEAIVFWRWLAIWRWIWKWEWIWKWEVGWIWKWEVH
      WOWEVJVKVLVMVNVOVPVQVRVKVS $.
  $}

  ${
    ncvsprp.v $e |- V = ( Base ` W ) $.
    ncvsprp.n $e |- N = ( norm ` W ) $.
    ncvsprp.s $e |- .x. = ( .s ` W ) $.
    ${
      ncvsprp.f $e |- F = ( Scalar ` W ) $.
      ncvsprp.k $e |- K = ( Base ` F ) $.
      $( Proportionality property of the norm of a scalar product in a normed
         subcomplex vector space.  (Contributed by NM, 11-Nov-2006.)  (Revised
         by AV, 8-Oct-2021.) $)
      ncvsprp $p |- ( ( W e. ( NrmVec i^i CVec ) /\ A e. K /\ B e. V ) ->
                        ( N ` ( A .x. B ) ) = ( ( abs ` A ) x. ( N ` B ) ) ) $=
        ( cnvc ccvs wcel co cfv cmul wceq cin w3a cnm cabs cnlm wa nvcnlm sylbi
        elin adantr eqid nmvs syl3an1 cclm cvsclm simplbiim clmabs sylan eqcomd
        id 3adant3 oveq1d eqtrd ) HNOUAPZAEPZBGPZUBZABCQFRZADUCRZRZBFRZSQZAUDRZ
        VKSQVDHUEPZVEVFVHVLTVDHNPZHOPZUFVNHNOUIZVOVNVPHUGUJUHVICDEFGHABIJKLMVIU
        KULUMVGVJVMVKSVGVMVJVDVEVMVJTZVFVDHUNPZVEVRVDVOVPVSVQVPHVPUTUOUPADEHLMU
        QURVAUSVBVC $.

      $( The norm of a scalar product with a nonnegative real.  (Contributed by
         NM, 1-Jan-2008.)  (Revised by AV, 8-Oct-2021.) $)
      ncvsge0 $p |- ( ( W e. ( NrmVec i^i CVec )
                        /\ ( A e. ( K i^i RR ) /\ 0 <_ A ) /\ B e. V ) ->
                      ( N ` ( A .x. B ) ) = ( A x. ( N ` B ) ) ) $=
        ( cin wcel cr co cfv cmul wceq cnvc ccvs cc0 cle wbr wa w3a cabs adantr
        elinel1 ncvsprp syl3an2 elinel2 absid sylan 3ad2ant2 oveq1d eqtrd ) HUA
        UBNOZAEPNOZUCAUDUEZUFZBGOZUGZABCQFRZAUHRZBFRZSQZAVGSQVBUSAEOZVCVEVHTUTV
        IVAAEPUJUIABCDEFGHIJKLMUKULVDVFAVGSVBUSVFATZVCUTAPOVAVJAEPUMAUNUOUPUQUR
        $.
    $}

    $( The norm of the opposite of a vector.  (Contributed by NM, 28-Nov-2006.)
       (Revised by AV, 8-Oct-2021.) $)
    ncvsm1 $p |- ( ( W e. ( NrmVec i^i CVec ) /\ A e. V ) ->
               ( N ` ( -u 1 .x. A ) ) = ( N ` A ) ) $=
      ( cnvc ccvs wcel wa c1 co cfv cabs cmul eqid syl adantr cin cneg csca cbs
      wceq simpl elin id cvsclm clmneg1 simplbiim simpr ncvsprp syl3anc absnegi
      cclm ax-1cn abs1 eqtri oveq1i cngp cr cnlm nvcnlm nlmngp sylbi nmcl sylan
      recnd mulid2d syl5eq eqtrd ) EIJUAKZADKZLZMUBZABNCOZVPPOZACOZQNZVSVOVMVPE
      UCOZUDOZKZVNVQVTUEVMVNUFVMWCVNVMEIKZEJKZWCEIJUGZWEEUPKWCWEEWEUHUIWAWBEWAR
      ZWBRZUJSUKTVMVNULVPABWAWBCDEFGHWGWHUMUNVOVTMVSQNVSVRMVSQVRMPOMMUQUOURUSUT
      VOVSVOVSVMEVAKZVNVSVBKVMWDWELWIWFWDWIWEWDEVCKWIEVDEVESTVFAECDFGVGVHVIVJVK
      VL $.

    ncvsdif.p $e |- .+ = ( +g ` W ) $.
    $( The norm of the difference between two vectors.  (Contributed by NM,
       1-Dec-2006.)  (Revised by AV, 8-Oct-2021.) $)
    ncvsdif $p |- ( ( W e. ( NrmVec i^i CVec ) /\ A e. V /\ B e. V )
                    -> ( N ` ( A .+ ( -u 1 .x. B ) ) )
                       = ( N ` ( B .+ ( -u 1 .x. A ) ) ) ) $=
      ( cnvc ccvs wcel w3a co cfv wceq eqid clmvsubval cin c1 cneg cclm elin id
      csg cvsclm simplbiim csca eqcomd syl3an1 fveq2d cngp wa nvcnlm nlmngp syl
      cnlm adantr sylbi nmsub 3ad2ant1 simp3 simp2 syl3anc 3eqtrd ) GLMUANZAFNZ
      BFNZOZAUBUCZBDPCPZEQABGUGQZPZEQZBAVNPZEQZBVLADPCPZEQVKVMVOEVHGUDNZVIVJVMV
      ORVHGLNZGMNZVTGLMUEZWBGWBUFUHUIZVTVIVJOVOVMABCDGUJQZVNFGHKVNSZWESZJTUKULU
      MVHGUNNZVIVJVPVRRVHWAWBUOWHWCWAWHWBWAGUSNWHGUPGUQURUTVAABGVNEFHIWFVBULVKV
      QVSEVKVTVJVIVQVSRVHVIVTVJWDVCVHVIVJVDVHVIVJVEBACDWEVNFGHKWFWGJTVFUMVG $.

    ncvspi.f $e |- F = ( Scalar ` W ) $.
    ncvspi.k $e |- K = ( Base ` F ) $.
    $( The norm of a vector plus the imaginary scalar product of another.
       (Contributed by NM, 2-Feb-2007.)  (Revised by AV, 8-Oct-2021.) $)
    ncvspi $p |- ( ( W e. ( NrmVec i^i CVec )
                     /\ ( A e. V /\ B e. V ) /\ _i e. K )
                   -> ( N ` ( A .+ ( _i .x. B ) ) )
                      = ( N ` ( B .+ ( -u _i .x. A ) ) ) ) $=
      ( wcel ci c1 co cfv cnvc ccvs cin wa cmul cneg cngp cr elin nvcnlm nlmngp
      w3a cnlm syl adantr sylbi 3ad2ant1 cgrp clmod nvclmod lmodgrp simp2l cclm
      id cvsclm simplbiim simp3 simp2r clmvscl syl3anc grpcl nmcl syl2anc recnd
      mulid2d cabs ax-icn absnegi absi eqtri oveq1i wceq simp1 wi cminusg sylan
      clmneg clmfgrp eqid grpinvcl eqeltrd imp 3adant2 ncvsprp clmvsdi syl13anc
      ex mulneg1i negeqi negneg1e1 clmvsass simpr anim12i 3adant3 clmvs1 oveq2d
      ixi 3eqtr3a cabl clmabl ablcom 3eqtrd fveq2d eqtr3d eqtr3id ) IUAUBUCPZAH
      PZBHPZUDZQFPZULZRAQBDSZCSZGTZUESZYDBQUFZADSZCSZGTZYAYDYAYDYAIUGPZYCHPZYDU
      HPXPXSYJXTXPIUAPZIUBPZUDZYJIUAUBUIZYLYJYMYLIUMPYJIUJIUKUNUOUPUQYAIURPZXQY
      BHPZYKXPXSYPXTXPYNYPYOYLYPYMYLIUSPYPIUTIVAUNUOUPUQXPXQXRXTVBZYAIVCPZXTXRY
      QXPXSYSXTXPYLYMYSYOYMIYMVDVEZVFZUQZXPXSXTVGZXPXQXRXTVHZQDEFHIBJNLOVIVJZHC
      IAYBJMVKVJZYCIGHJKVLVMVNVOYAYEYFVPTZYDUESZYIUUGRYDUEUUGQVPTRQVQVRVSVTWAYA
      YFYCDSZGTZUUHYIYAXPYFFPZYKUUJUUHWBXPXSXTWCXPXTUUKXSXPXTUUKXPYLYMXTUUKWDYO
      YMXTUUKYMXTUDYFQEWETZTZFYMYSXTYFUUMWBYTQEFINOWGWFYMEURPZXTUUMFPYMYSUUNYTE
      INWHUNFEUULQOUULWIWJWFWKWQVFWLWMZUUFYFYCDEFGHIJKLNOWNVJYAUUIYHGYAUUIYGYFY
      BDSZCSZYGBCSZYHYAYSUUKXQYQUUIUUQWBUUBUUOYRUUEYFCDEFHIAYBJNLOMWOWPYAUUPBYG
      CYAYFQUESZBDSZRBDSZUUPBUUSRBDUUSQQUESZUFZRQQVQVQWRUVCRUFZUFRUVBUVDXGWSWTV
      TVTWAYAYSUUKXTXRUUTUUPWBUUBUUOUUCUUDYFQDEFHIBJNLOXAWPYAYSXRUDZUVABWBXPXSU
      VEXTXPYSXSXRUUAXQXRXBXCXDDHIBJLXEUNXHXFYAIXIPZYGHPZXRUURYHWBXPXSUVFXTXPYL
      YMUVFYOYMYSUVFYTIXJUNVFUQYAYSUUKXQUVGUUBUUOYRYFDEFHIAJNLOVIVJUUDHCIYGBJMX
      KVJXLXMXNXOXN $.
  $}

  ${
    ncvs1.x $e |- X = ( Base ` G ) $.
    ncvs1.n $e |- N = ( norm ` G ) $.
    ncvs1.z $e |- .0. = ( 0g ` G ) $.
    ncvs1.s $e |- .x. = ( .s ` G ) $.
    ncvs1.f $e |- F = ( Scalar ` G ) $.
    ncvs1.k $e |- K = ( Base ` F ) $.
    $( From any nonzero vector of a normed subcomplex vector space, construct a
       collinear vector whose norm is one.  (Contributed by NM, 6-Dec-2007.)
       (Revised by AV, 8-Oct-2021.) $)
    ncvs1 $p |- ( ( G e. ( NrmVec i^i CVec ) /\ ( A e. X /\ A =/= .0. )
                   /\ ( 1 / ( N ` A ) ) e. K )
                 -> ( N ` ( ( 1 / ( N ` A ) ) .x. A ) ) = 1 ) $=
      ( wcel wa c1 cr cc0 syl cnvc ccvs cin wne cfv cdiv w3a cmul cle wbr simp1
      co wceq simp3 cngp elin cnlm nvcnlm nlmngp sylbi simpl anim12i nmcl nmeq0
      adantr bicomd sylan necon3bid biimpd impr rereccld 3adant3 elind clt 0le1
      wb 1re pm3.2i a1i simprr nmgt0 mpbid jca32 divge0 ncvsge0 syl121anc recnd
      simp2l recid2d eqtrd ) DUAUBUCOZAGOZAHUDZPZQAFUEZUFULZEOZUGZWPABULFUEZWPW
      OUHULZQWRWKWPERUCOSWPUIUJZWLWSWTUMWKWNWQUKWRERWPWKWNWQUNWKWNWPROWQWKWNPZW
      OXBDUOOZWLPZWOROZWKXCWNWLWKDUAOZDUBOZPXCDUAUBUPXFXCXGXFDUQOXCDURDUSTVEUTZ
      WLWMVAVBZADFGIJVCZTZWKWLWMWOSUDZWKWLPZWMXLXMAHWOSWKXCWLAHUMZWOSUMZVPXHXDX
      OXNADFGHIJKVDVFVGVHVIVJZVKVLVMWRQROZSQUIUJZPZXESWOVNUJZPPZXAWKWNYAWQXBXSX
      EXTXSXBXQXRVQVOVRVSXKXBWMXTWKWLWMVTXBXDWMXTVPXIADFGHIJKWATWBWCVLQWOWDTWKW
      LWMWQWHWPABCEFGDIJLMNWEWFWRWOWRWOWRXDXEWKWNXDWQXIVLXJTWGWKWNXLWQXPVLWIWJ
      $.
  $}

  ${
    cnrnvc.c $e |- C = ( ringLMod ` CCfld ) $.
    $( The module of complex numbers (as a module over itself) is a normed
       vector space over itself.  The vector operation is ` + ` , and the
       scalar product is ` x. ` , and the norm function is ` abs ` .
       (Contributed by AV, 9-Oct-2021.) $)
    cnrnvc $p |- C e. NrmVec $=
      ( ccnfld cnrg wcel cdr cnvc cnnrg cndrng wa crglmod rlmnvc eqeltrid mp2an
      cfv ) CDEZCFEZAGEHIPQJACKOGBCLMN $.

    $( The module of complex numbers (as a module over itself) is a normed
       subcomplex vector space.  The vector operation is ` + ` , the scalar
       product is ` x. ` , and the norm is ` abs ` (see ~ cnnm ) .
       (Contributed by Steve Rodriguez, 3-Dec-2006.)  (Revised by AV,
       9-Oct-2021.) $)
    cnncvs $p |- C e. ( NrmVec i^i CVec ) $=
      ( cnvc ccvs cnrnvc cncvs elini ) ACDABEABFG $.

    $( The norm of the normed subcomplex vector space of complex numbers is the
       absolute value.  (Contributed by NM, 12-Jan-2008.)  (Revised by AV,
       9-Oct-2021.) $)
    cnnm $p |- ( norm ` C ) = abs $=
      ( ccnfld cnm cfv crglmod cabs rlmnm cnfldnm fveq2i 3eqtr4ri ) CDECFEZDEGA
      DECHIALDBJK $.
  $}

  ${
    ncvspds.n $e |- N = ( norm ` G ) $.
    ncvspds.x $e |- X = ( Base ` G ) $.
    ncvspds.p $e |- .+ = ( +g ` G ) $.
    ncvspds.d $e |- D = ( dist ` G ) $.
    ncvspds.s $e |- .x. = ( .s ` G ) $.
    $( Value of the distance function in terms of the norm of a normed
       subcomplex vector space.  Equation 1 of [Kreyszig] p. 59.  (Contributed
       by NM, 28-Nov-2006.)  (Revised by AV, 13-Oct-2021.) $)
    ncvspds $p |- ( ( G e. ( NrmVec i^i CVec ) /\ A e. X /\ B e. X ) ->
        ( A D B ) = ( N ` ( A .+ ( -u 1 .x. B ) ) ) ) $=
      ( cnvc ccvs wcel co cfv wceq eqid cin w3a csg c1 cneg cngp wa elin nvcnlm
      cnlm nlmngp syl adantr sylbi ngpds syl3an1 id cvsclm simplbiim clmvsubval
      cclm csca fveq2d eqtrd ) FNOUAPZAHPZBHPZUBZABCQZABFUCRZQZGRZAUDUEBEQDQZGR
      VEFUFPZVFVGVIVLSVEFNPZFOPZUGVNFNOUHZVOVNVPVOFUJPVNFUIFUKULUMUNABCFVJGHIJV
      JTZLUOUPVHVKVMGVEFVAPZVFVGVKVMSVEVOVPVSVQVPFVPUQURUSABDEFVBRZVJHFJKVRVTTM
      UTUPVCVD $.
  $}

  ${
    cnindmet.t $e |- T = ( CCfld toNrmGrp abs ) $.
    $( The metric induced on the complex numbers. ~ cnmet proves that it is a
       metric.  The induced metric is identical with the original metric on the
       complex numbers, see ~ cnfldds and also ~ cnmet .  (Contributed by Steve
       Rodriguez, 5-Dec-2006.)  (Revised by AV, 17-Oct-2021.) $)
    cnindmet $p |- ( dist ` T ) = ( abs o. - ) $=
      ( cabs cmin ccom ccnfld cabv wcel wceq absabv cnfldsub tngds ax-mp eqcomi
      cds cfv ) CDEZAOPZCFGPZHQRIJAFDCSBKLMN $.
  $}

  $( Derive the associative law for complex number addition ~ addass to
     demonstrate the use of the properties of a normed subcomplex vector space
     for the complex numbers.  (Contributed by NM, 12-Jan-2008.)  (Revised by
     AV, 9-Oct-2021.)  (Proof modification is discouraged.) $)
  cnncvsaddassdemo $p |- ( ( A e. CC /\ B e. CC /\ C e. CC )
                           -> ( ( A + B ) + C ) = ( A + ( B + C ) ) ) $=
    ( ccnfld cgrp wcel cc w3a caddc co wceq crg ringgrp ax-mp cnfldbas cnfldadd
    cnring grpass mpan ) DEFZAGFBGFCGFHABIJCIJABCIJIJKDLFTQDMNGIDABCOPRS $.

  $( Derive the associative law for complex number multiplication ~ mulass
     interpreted as scalar multiplication to demonstrate the use of the
     properties of a normed subcomplex vector space for the complex numbers.
     (Contributed by AV, 9-Oct-2021.)  (Proof modification is discouraged.) $)
  cnncvsmulassdemo $p |- ( ( A e. CC /\ B e. CC /\ C e. CC )
                     -> ( ( A x. B ) x. C ) = ( A x. ( B x. C ) ) ) $=
    ( ccnfld crglmod cfv cclm wcel cc cmul co wceq ccvs eqid cncvs ax-mp eqcomi
    w3a cbs cvv id cvsclm cnrbas csca cnfldex rlmsca cmulr cvsca cnfldmul eqtri
    rlmvsca cnfldbas clmvsass mpan ) DEFZGHZAIHBIHCIHRABJKCJKABCJKJKLUOMHZUPUOU
    ONZOUQUOUQUAUBPABJDIIUOCUOSFIUOURUCQDTHDUOUDFLUEDTUFPJDUGFUOUHFUIDUKUJDSFZI
    IUSULQQUMUN $.

  $( Derive the absolute value of a negative complex number ~ absneg to
     demonstrate the use of the properties of a normed subcomplex vector space
     for the complex numbers.  (Contributed by AV, 9-Oct-2021.)
     (Proof modification is discouraged.) $)
  cnncvsabsnegdemo $p |- ( A e. CC -> ( abs ` -u A ) = ( abs ` A ) ) $=
    ( cc wcel cneg cabs cfv ccnfld cminusg cnm wceq cnfldnm a1i cnfldneg eqcomd
    fveq12d cngp cnngp cnfldbas eqid nminv mpan eqcomi fveq1i 3eqtrd ) ABCZADZE
    FAGHFZFZGIFZFZAUIFZAEFZUEUFUHEUIEUIJUEKLUEUHUFAMNOGPCUEUJUKJQAGUGUIBRUISUGS
    TUAUKULJUEAUIEEUIKUBUCLUD $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subcomplex pre-Hilbert spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CPreHil $. $( The class of subcomplex pre-Hilbert spaces. $)
  $c toCPreHil $. $( Function to put a norm on a pre-Hilbert space. $)

  $( Extend class notation with the class of subcomplex pre-Hilbert spaces. $)
  ccph $a class CPreHil $.

  $( Function to put a norm on a pre-Hilbert space. $)
  ctcph $a class toCPreHil $.

  ${
    $d f k w F $.  $d f k w K $.  $d f k w N $.  $d f k w V $.  $d f k w x W $.
    $d f k w ., $.
    $( Define the class of subcomplex pre-Hilbert spaces.  By restricting the
       scalar field to a subfield of ` CCfld ` closed under square roots of
       nonnegative reals, we have enough structure to define a norm, with the
       associated connection to a metric and topology.  (Contributed by Mario
       Carneiro, 8-Oct-2015.) $)
    df-cph $a |- CPreHil = { w e. ( PreHil i^i NrmMod ) |
     [. ( Scalar ` w ) / f ]. [. ( Base ` f ) / k ]. ( f = ( CCfld |`s k ) /\
        ( sqrt " ( k i^i ( 0 [,) +oo ) ) ) C_ k /\ ( norm ` w )
               = ( x e. ( Base ` w ) |-> ( sqrt ` ( x ( .i ` w ) x ) ) ) ) } $.

    $( Define a function to augment a pre-Hilbert space with a norm.  No extra
       parameters are needed, but some conditions must be satisfied to ensure
       that this in fact creates a normed subcomplex pre-Hilbert space (see
       ~ tcphcph ).  (Contributed by Mario Carneiro, 7-Oct-2015.) $)
    df-tcph $a |- toCPreHil = ( w e. _V |-> ( w toNrmGrp
                 ( x e. ( Base ` w ) |-> ( sqrt ` ( x ( .i ` w ) x ) ) ) ) ) $.

    iscph.v $e |- V = ( Base ` W ) $.
    iscph.h $e |- ., = ( .i ` W ) $.
    iscph.n $e |- N = ( norm ` W ) $.
    iscph.f $e |- F = ( Scalar ` W ) $.
    iscph.k $e |- K = ( Base ` F ) $.
    $( A subcomplex pre-Hilbert space is exactly a pre-Hilbert space over a
       subfield of the field of complex numbers closed under square roots of
       nonnegative reals equipped with a norm.  (Contributed by Mario Carneiro,
       8-Oct-2015.) $)
    iscph $p |- ( W e. CPreHil <-> ( ( W e. PreHil /\ W e. NrmMod /\
      F = ( CCfld |`s K ) ) /\ ( sqrt " ( K i^i ( 0 [,) +oo ) ) ) C_ K /\
      N = ( x e. V |-> ( sqrt ` ( x ., x ) ) ) ) ) $=
      ( co wceq wa csqrt cfv cbs fveq2d eqtr4di vf vk cphl cnlm cin wcel ccnfld
      vw cress cc0 cpnf cico cima wss cv cmpt w3a ccph anbi1i df-3an bitr4i cnm
      elin cip wsbc csca fvexd simplr simpll eqtrd simpr oveq2d eqeq12d imaeq2d
      cvv ineq1d sseq12d mpteq12dv 3anbi123d 3anass bitrdi sbcied df-cph elrab2
      oveqd anass 3bitr4i ) GUCUDUEZUFZBUGDUIMZNZOZPDUJUKULMZUEZUMZDUNZEAFAUOZW
      QCMZPQZUPZNZOZOZGUCUFZGUDUFZWKUQZXBOGURUFZXFWPXAUQWLXFXBWLXDXEOZWKOXFWIXH
      WKGUCUDVCUSXDXEWKUTVAUSXGWIWKXBOZOXCUAUOZUGUBUOZUIMZNZPXKWMUEZUMZXKUNZUHU
      OZVBQZAXQRQZWQWQXQVDQZMZPQZUPZNZUQZUBXJRQZVEZUAXQVFQZVEXIUHGWHURXQGNZYGXI
      UAYHVOYIXQVFVGYIXJYHNZOZYEXIUBYFVOYKXJRVGYKXKYFNZOZYEWKWPXAUQXIYMXMWKXPWP
      YDXAYMXJBXLWJYMXJYHBYIYJYLVHYMYHGVFQBYMXQGVFYIYJYLVIZSKTVJZYMXKDUGUIYMXKY
      FDYKYLVKYMYFBRQDYMXJBRYOSLTVJZVLVMYMXOWOXKDYMXNWNPYMXKDWMYPVPVNYPVQYMXREY
      CWTYMXRGVBQEYMXQGVBYNSJTYMAXSYBFWSYMXSGRQFYMXQGRYNSHTYMYAWRPYMXTCWQWQYMXT
      GVDQCYMXQGVDYNSITWESVRVMVSWKWPXAVTWAWBWBAUHUAUBWCWDWIWKXBWFVAXFWPXAVTWG
      $.
  $}

  ${
    $d x W $.
    $( A subcomplex pre-Hilbert space is a pre-Hilbert space.  (Contributed by
       Mario Carneiro, 7-Oct-2015.) $)
    cphphl $p |- ( W e. CPreHil -> W e. PreHil ) $=
      ( vx ccph wcel cphl cnlm csca cfv ccnfld cbs cress co wceq w3a csqrt cpnf
      cc0 cico cin eqid cima wss cnm cv cip cmpt iscph simp1bi simp1d ) ACDZAED
      ZAFDZAGHZIUMJHZKLMZUJUKULUONOUNQPRLSUAUNUBAUCHZBAJHZBUDZURAUEHZLOHUFMBUMU
      SUNUPUQAUQTUSTUPTUMTUNTUGUHUI $.

    $( A subcomplex pre-Hilbert space is a normed module.  (Contributed by
       Mario Carneiro, 7-Oct-2015.) $)
    cphnlm $p |- ( W e. CPreHil -> W e. NrmMod ) $=
      ( vx ccph wcel cphl cnlm csca cfv ccnfld cbs cress co wceq w3a csqrt cpnf
      cc0 cico cin eqid cima wss cnm cv cip cmpt iscph simp1bi simp2d ) ACDZAED
      ZAFDZAGHZIUMJHZKLMZUJUKULUONOUNQPRLSUAUNUBAUCHZBAJHZBUDZURAUEHZLOHUFMBUMU
      SUNUPUQAUQTUSTUPTUMTUNTUGUHUI $.
  $}

  $( A subcomplex pre-Hilbert space is a normed group.  (Contributed by Mario
     Carneiro, 13-Oct-2015.) $)
  cphngp $p |- ( W e. CPreHil -> W e. NrmGrp ) $=
    ( ccph wcel cnlm cngp cphnlm nlmngp syl ) ABCADCAECAFAGH $.

  $( A subcomplex pre-Hilbert space is a left module.  (Contributed by Mario
     Carneiro, 7-Oct-2015.) $)
  cphlmod $p |- ( W e. CPreHil -> W e. LMod ) $=
    ( ccph wcel cnlm clmod cphnlm nlmlmod syl ) ABCADCAECAFAGH $.

  $( A subcomplex pre-Hilbert space is a left vector space.  (Contributed by
     Mario Carneiro, 7-Oct-2015.) $)
  cphlvec $p |- ( W e. CPreHil -> W e. LVec ) $=
    ( ccph wcel cphl clvec cphphl phllvec syl ) ABCADCAECAFAGH $.

  $( A subcomplex pre-Hilbert space is a normed vector space.  (Contributed by
     Mario Carneiro, 8-Oct-2015.) $)
  cphnvc $p |- ( W e. CPreHil -> W e. NrmVec ) $=
    ( ccph wcel cnlm clvec cnvc cphnlm cphlvec isnvc sylanbrc ) ABCADCAECAFCAGA
    HAIJ $.

  ${
    cphsubrglem.k $e |- K = ( Base ` F ) $.
    cphsubrglem.1 $e |- ( ph -> F = ( CCfld |`s A ) ) $.
    cphsubrglem.2 $e |- ( ph -> F e. DivRing ) $.
    $( Lemma for ~ cphsubrg .  (Contributed by Mario Carneiro, 9-Oct-2015.) $)
    cphsubrglem $p |- ( ph -> ( F = ( CCfld |`s K ) /\ K = ( A i^i CC ) /\
      K e. ( SubRing ` CCfld ) ) ) $=
      ( ccnfld co wceq cc cfv wcel cbs cvv crg syl eqid cc0 cmul cin csubrg c0g
      cress fveq2d wa drngring eqeltrrd ring0cl reldmress elbasov 3syl cnfldbas
      cdr simprd ressbas eqtr4d syl5eq oveq2d ressinbas wss c1 cnring ressbasss
      jctil eqsstrdi eqsstrid cur wn wne drngunz csubg cgrp ringgrp mp1i issubg
      syl3anbrc cnfld0 subg0 neeqtrd neneqd c2 wo ringidcl sseldd sqvald oveq1d
      cexp eleqtrd cmulr fvexi cnfldmul ressmulr ax-mp ringlidm syl2anc wb sq01
      3eqtrd mpbid ord mpd jca cnfld1 issubrg sylanbrc 3jca ) ACHDUDIZJDBKUAZJD
      HUBLMZACHBUDIZXHFAXHHXIUDIZXKADXIHUDADCNLZXIEAXMXKNLZXIACXKNFUEZABOMZXIXN
      JAHOMZXPAXKPMXKUCLZXNMXQXPUFACXKPFACUNMZCPMZGCUGQZUHXNXKXRXNRZXRRUIXRXNXK
      UDHBUJXKRZYBUKULUOZBKXKOHYCUMUPQUQURZUSAXPXKXLJYDBKHOUMUTQUQUQZYEAHPMZXHP
      MZUFDKVAZVBDMZUFXJAYHYGACXHPYFYAUHZVCVEAYIYJADXMKEAXMXNKXOBKXKHYCUMVDVFVG
      ZACVHLZVBDAYMSJZVIYMVBJZAYMSAYMCUCLZSAXSYMYPVJGCYMYPYPRYMRZVKQAYPXHUCLZSA
      CXHUCYFUEADHVLLMZSYRJAHVMMZYIXHVMMZYSYGYTAVCHVNVOYLAYHUUAYKXHVNQKDHUMVPVQ
      DHXHSXHRZVRVSQUQVTWAAYNYOAYMWBWHIZYMJZYNYOWCZAUUCYMYMTIXHVHLZYMTIZYMAYMAD
      KYMYLAXTYMDMYADCYMEYQWDQZWEZWFAYMUUFYMTACXHVHYFUEWGAYHYMXHNLZMUUGYMJYKAYM
      DUUJUUHADXMUUJEACXHNYFUEURWIUUJXHTUUFYMUUJRDOMTXHWJLJDCNEWKDHXHTOUUBWLWMW
      NUUFRWOWPWSAYMKMUUDUUEWQUUIYMWRQWTXAXBUUHUHXCDKHVBUMXDXEXFXG $.

    $( Lemma for ~ cphreccl .  (Contributed by Mario Carneiro, 8-Oct-2015.) $)
    cphreccllem $p |- ( ( ph /\ X e. K /\ X =/= 0 ) -> ( 1 / X ) e. K ) $=
      ( wcel cc0 wne ccnfld cfv cc wceq 3ad2ant1 syl cui c0g eqid cinvr c1 cdiv
      w3a csubrg wss cress cin cphsubrglem simp3d cnfldbas subrgss simp2 sseldd
      co simp3 cnfldinv syl2anc cdif cnfld0 subrg0 simp1d fveq2d eqtr4d neeqtrd
      csn eldifsn sylanbrc cdr isdrng simprbi eqtr3d eleqtrd wb subrgunit mpbid
      crg eqeltrrd ) AEDIZEJKZUDZELUAMZMZUBEUCUOZDWAENIVTWCWDOWADNEWADLUEMIZDNU
      FAVSWEVTACLDUGUOZOZDBNUHOZWEABCDFGHUIZUJPZDNLUKULQAVSVTUMZUNAVSVTUPZEUQUR
      WAELRMZIZVSWCDIZWAEWFRMZIZWNVSWOUDZWAEDCSMZVFUSZWPWAVSEWSKEWTIWKWAEJWSWLW
      AJWFSMZWSWAWEJXAOWJDLWFJWFTZUTVAQWACWFSAVSWGVTAWGWHWEWIVBPZVCVDVEEDWSVGVH
      WACRMZWTWPWACVIIZXDWTOZAVSXEVTHPXECVQIXFDCXDWSFXDTWSTVJVKQWACWFRXCVCVLVMW
      AWEWQWRVNWJDLWFWMWBWPEXBWMTWPTWBTVOQVPUJVR $.
  $}

  ${
    $d x W $.
    cphsca.f $e |- F = ( Scalar ` W ) $.
    cphsca.k $e |- K = ( Base ` F ) $.
    $( A subcomplex pre-Hilbert space is a vector space over a subfield of
       ` CCfld ` .  (Contributed by Mario Carneiro, 8-Oct-2015.) $)
    cphsca $p |- ( W e. CPreHil -> F = ( CCfld |`s K ) ) $=
      ( vx ccph wcel cphl cnlm ccnfld cress co wceq w3a csqrt cc0 cpnf cfv eqid
      cico cin cima wss cnm cbs cv cip cmpt iscph simp1bi simp3d ) CGHZCIHZCJHZ
      AKBLMNZUMUNUOUPOPBQRUAMUBUCBUDCUESZFCUFSZFUGZUSCUHSZMPSUINFAUTBUQURCURTUT
      TUQTDEUJUKUL $.

    $( The scalar field of a subcomplex pre-Hilbert space is a subring of
       ` CCfld ` .  (Contributed by Mario Carneiro, 8-Oct-2015.) $)
    cphsubrg $p |- ( W e. CPreHil -> K e. ( SubRing ` CCfld ) ) $=
      ( ccph wcel ccnfld cress co wceq cin csubrg cfv cphsca clvec cdr lvecdrng
      cc cphlvec syl cphsubrglem simp3d ) CFGZAHBIJKBBSLKBHMNGUDBABEABCDEOUDCPG
      AQGCTACDRUAUBUC $.

    $( The scalar field of a subcomplex pre-Hilbert space is closed under
       reciprocal.  (Contributed by Mario Carneiro, 8-Oct-2015.) $)
    cphreccl $p |- ( ( W e. CPreHil /\ A e. K /\ A =/= 0 ) ->
      ( 1 / A ) e. K ) $=
      ( ccph wcel cphsca clvec cdr cphlvec lvecdrng syl cphreccllem ) DGHZCBCAF
      BCDEFIPDJHBKHDLBDEMNO $.

    $( The scalar field of a subcomplex pre-Hilbert space is closed under
       reciprocal.  (Contributed by Mario Carneiro, 11-Oct-2015.) $)
    cphdivcl $p |- ( ( W e. CPreHil /\ ( A e. K /\ B e. K /\ B =/= 0 ) ) ->
      ( A / B ) e. K ) $=
      ( ccph wcel cc0 wne w3a wa cdiv co c1 cmul cc ccnfld sseldd csubrg adantr
      cfv wss cphsubrg cnfldbas subrgss simpr1 simpr2 simpr3 cphreccl 3adant3r1
      syl divrecd cnfldmul subrgmcl syl3anc eqeltrd ) EHIZADIZBDIZBJKZLZMZABNOA
      PBNOZQOZDVDABVDDRAVDDSUAUCIZDRUDUSVGVCCDEFGUEUBZDRSUFUGUMZUSUTVAVBUHZTVDD
      RBVIUSUTVAVBUITUSUTVAVBUJUNVDVGUTVEDIZVFDIVHVJUSVAVBVKUTBCDEFGUKULDSQAVEU
      OUPUQUR $.

    $( The scalar field of a subcomplex pre-Hilbert space is closed under
       conjugation.  (Contributed by Mario Carneiro, 11-Oct-2015.) $)
    cphcjcl $p |- ( ( W e. CPreHil /\ A e. K ) -> ( * ` A ) e. K ) $=
      ( ccph wcel wa cstv cfv ccj wceq ccnfld cress co cphsca fveq2d cvv eqid
      cbs fvexi cnfldcj ressstarv eqtr4di adantr fveq1d csr cphl cphphl phlsrng
      ax-mp syl srngcl sylan eqeltrrd ) DGHZACHZIZABJKZKZALKCUSAUTLUQUTLMURUQUT
      NCOPZJKZLUQBVBJBCDEFQRCSHLVCMCBUAFUBCNVBLSVBTUCUDULUEUFUGUQBUHHZURVACHUQD
      UIHVDDUJBDEUKUMCBUTAUTTFUNUOUP $.

    $( The scalar field of a subcomplex pre-Hilbert space is closed under
       square roots of nonnegative reals.  (Contributed by Mario Carneiro,
       8-Oct-2015.) $)
    cphsqrtcl $p |- ( ( W e. CPreHil /\ ( A e. K /\ A e. RR /\ 0 <_ A ) ) ->
      ( sqrt ` A ) e. K ) $=
      ( vx wcel cr cc0 cle w3a csqrt cfv co cc wss sstri wceq eqid wbr ccph cin
      cpnf cico cima wfn sqrtf ffn ax-mp inss2 rge0ssre ax-resscn simp1 elrege0
      wf wa biimpri 3adant1 elind fnfvima mp3an12i cphl ccnfld cress cnm cbs cv
      cnlm cip cmpt iscph simp2bi sselda sylan2 ) ACHZAIHZJAKUAZLZDUBHZAMNZMCJU
      DUEOZUCZUFZHZWACHMPUGZWCPQVSAWCHWEPPMUPWFUHPPMUIUJWCWBPCWBUKWBIPULUMRRVSC
      WBAVPVQVRUNVQVRAWBHZVPWGVQVRUQAUOURUSUTPWCMAVAVBVTWDCWAVTDVCHDVIHBVDCVEOS
      LWDCQDVFNZGDVGNZGVHZWJDVJNZOMNVKSGBWKCWHWIDWITWKTWHTEFVLVMVNVO $.

    $( The scalar field of a subcomplex pre-Hilbert space is closed under the
       absolute value operation.  (Contributed by Mario Carneiro,
       11-Oct-2015.) $)
    cphabscl $p |- ( ( W e. CPreHil /\ A e. K ) -> ( abs ` A ) e. K ) $=
      ( ccph wcel wa cabs cfv ccj cmul co csqrt cc wceq ccnfld csubrg syl simpl
      wss cphsubrg cnfldbas subrgss sselda absval cr cc0 cle wbr adantr cphcjcl
      cnfldmul subrgmcl syl3anc cjmulrcld cjmulge0d cphsqrtcl syl13anc eqeltrd
      simpr ) DGHZACHZIZAJKZAALKZMNZOKZCVEAPHVFVIQVCCPAVCCRSKHZCPUBBCDEFUCZCPRU
      DUETUFZAUGTVEVCVHCHZVHUHHUIVHUJUKVICHVCVDUAVEVJVDVGCHVMVCVJVDVKULVCVDVBAB
      CDEFUMCRMAVGUNUOUPVEAVLUQVEAVLURVHBCDEFUSUTVA $.

    $( The scalar field of a subcomplex pre-Hilbert space is closed under
       square roots of all numbers except possibly the negative reals.
       (Contributed by Mario Carneiro, 8-Oct-2015.) $)
    cphsqrtcl2 $p |- ( ( W e. CPreHil /\ A e. K /\ -. -u A e. RR+ ) ->
      ( sqrt ` A ) e. K ) $=
      ( wcel crp wn csqrt cfv cc0 wceq wne co cmul cc ccnfld syl2anc sseldd w3a
      ccph cneg wa sqrt0 fveq2 id 3eqtr4a adantl simpl2 eqeltrd cabs caddc cdiv
      csubrg wss simpl1 cphsubrg syl cnfldbas subrgss cr cle wbr abscld absge0d
      cphabscl cphsqrtcl syl13anc cnfldadd subrgacl syl3anc simpl3 cmin subnegd
      recnd eqeq1d negcld subeq0ad bitr3d absrpcl sylancom syl5ibcom sylbid mpd
      eleq1 necon3bd absne0d cphdivcl cnfldmul subrgmcl c2 cexp cre ci sqreulem
      wnel eqid simp1d simp2d simp3d df-nel sylib eqsqrtd eqeltrrd pm2.61dane )
      DUBGZACGZAUCZHGZIZUAZAJKZCGALXLALMZUDXMACXNXMAMXLXNLJKLXMAUEALJUFXNUGUHUI
      XGXHXKXNUJUKXLALNZUDZAULKZJKZXQAUMOZXSULKZUNOZPOZXMCXPYBAXPCQYBXPCRUOKGZC
      QUPXPXGYCXGXHXKXOUQZBCDEFURUSZCQRUTVAUSZXPYCXRCGZYACGZYBCGYEXPXGXQCGZXQVB
      GLXQVCVDYGYDXPXGXHYIYDXGXHXKXOUJZABCDEFVGSZXPAXPCQAYFYJTZVEZXPAYLVFXQBCDE
      FVHVIXPXGXSCGZXTCGZXTLNYHYDXPYCYIXHYNYEYKYJCUMRXQAVJVKVLZXPXGYNYOYDYPXSBC
      DEFVGSXPXSXPCQXSYFYPTXPXKXSLNZXGXHXKXOVMXPXJXSLXPXSLMZXQXIMZXJXPXQXIVNOZL
      MYRYSXPYTXSLXPXQAXPXQYMVPZYLVOVQXPXQXIUUAXPAYLVRVSVTXPXQHGZYSXJXLXOAQGZUU
      BYLAWAWBXQXIHWFWCWDWGWEZWHXSXTBCDEFWIVICRPXRYAWJWKVLZTYLXPYBWLWMOAMZLYBWN
      KVCVDZWOYBPOZHWQZXPUUCYQUUFUUGUUIUAYLUUDAYBYBWRWPSZWSXPUUFUUGUUIUUJWTXPUU
      IUUHHGIXPUUFUUGUUIUUJXAUUHHXBXCXDUUEXEXF $.

    $( If the scalar field of a subcomplex pre-Hilbert space contains the
       imaginary unit ` _i ` , then it is closed under square roots (i.e., it
       is quadratically closed).  (Contributed by Mario Carneiro,
       11-Oct-2015.) $)
    cphsqrtcl3 $p |- ( ( W e. CPreHil /\ _i e. K /\ A e. K ) ->
      ( sqrt ` A ) e. K ) $=
      ( ccph wcel ci w3a cneg crp csqrt cfv wa cmul cc ccnfld syl adantl csubrg
      co wss simpl1 cphsubrg cnfldbas subrgss simpl3 sseldd negnegd fveq2d rpre
      cc0 cle wbr rpge0 sqrtnegd eqtr3d simpl2 cminusg cnfldneg csubg subrgsubg
      wceq eqid subginvcl syl2anc eqeltrrd cphsqrtcl syl13anc cnfldmul subrgmcl
      cr syl3anc eqeltrd ex wn wi cphsqrtcl2 3expia 3adant2 pm2.61d ) DGHZICHZA
      CHZJZAKZLHZAMNZCHZWFWHWJWFWHOZWIIWGMNZPUBZCWKWGKZMNWIWMWKWNAMWKAWKCQAWKCR
      UANHZCQUCWKWCWOWCWDWEWHUDZBCDEFUESZCQRUFUGSWCWDWEWHUHZUIZUJUKWKWGWHWGVMHZ
      WFWGULTZWHUMWGUNUOZWFWGUPTZUQURWKWOWDWLCHZWMCHWQWCWDWEWHUSWKWCWGCHWTXBXDW
      PWKARUTNZNZWGCWKAQHXFWGVDWSAVASWKCRVBNHZWEXFCHWKWOXGWQCRVCSWRCRXEAXEVEVFV
      GVHXAXCWGBCDEFVIVJCRPIWLVKVLVNVOVPWCWEWHVQZWJVRWDWCWEXHWJABCDEFVSVTWAWB
      $.

    $( The scalar field of a subcomplex pre-Hilbert space contains the rational
       numbers.  (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    cphqss $p |- ( W e. CPreHil -> QQ C_ K ) $=
      ( ccph wcel ccnfld csubrg cfv cress co cdr cq wss cphsubrg cphsca cphlvec
      clvec lvecdrng syl eqeltrrd qsssubdrg syl2anc ) CFGZBHIJGHBKLZMGNBOABCDEP
      UEAUFMABCDEQUECSGAMGCRACDTUAUBBUCUD $.
  $}

  $( A subcomplex pre-Hilbert space is a subcomplex module.  (Contributed by
     Mario Carneiro, 16-Oct-2015.) $)
  cphclm $p |- ( W e. CPreHil -> W e. CMod ) $=
    ( ccph wcel clmod csca cfv ccnfld cbs cress wceq csubrg cclm cphlmod cphsca
    co eqid cphsubrg isclm syl3anbrc ) ABCADCAEFZGTHFZIOJUAGKFCALCAMTUAATPZUAPZ
    NTUAAUBUCQTUAAUBUCRS $.

  ${
    cphnmvs.v $e |- V = ( Base ` W ) $.
    cphnmvs.n $e |- N = ( norm ` W ) $.
    cphnmvs.s $e |- .x. = ( .s ` W ) $.
    cphnmvs.f $e |- F = ( Scalar ` W ) $.
    cphnmvs.k $e |- K = ( Base ` F ) $.
    $( Norm of a scalar product.  (Contributed by Mario Carneiro,
       16-Oct-2015.) $)
    cphnmvs $p |- ( ( W e. CPreHil /\ X e. K /\ Y e. V ) ->
      ( N ` ( X .x. Y ) ) = ( ( abs ` X ) x. ( N ` Y ) ) ) $=
      ( ccph wcel w3a co cfv cmul wceq cnm cabs cnlm cphnlm eqid syl3an1 cphclm
      nmvs cclm clmabs sylan 3adant3 oveq1d eqtr4d ) FNOZGCOZHEOZPZGHAQDRZGBUAR
      ZRZHDRZSQZGUBRZVBSQUOFUCOUPUQUSVCTFUDUTABCDEFGHIJKLMUTUEUHUFURVDVAVBSUOUP
      VDVATZUQUOFUIOUPVEFUGGBCFLMUJUKULUMUN $.
  $}

  ${
    $d x A $.  $d x ., $.  $d x K $.  $d x V $.  $d x W $.
    nmsq.v $e |- V = ( Base ` W ) $.
    nmsq.h $e |- ., = ( .i ` W ) $.
    $( An inner product is a member of the complex numbers.  (Contributed by
       Mario Carneiro, 13-Oct-2015.) $)
    cphipcl $p |- ( ( W e. CPreHil /\ A e. V /\ B e. V ) ->
      ( A ., B ) e. CC ) $=
      ( ccph wcel w3a csca cfv cbs cc co wss ccnfld csubrg eqid cphsubrg cphphl
      cnfldbas subrgss syl 3ad2ant1 cphl ipcl syl3an1 sseldd ) EHIZADIZBDIZJEKL
      ZMLZNABCOZUJUKUNNPZULUJUNQRLIUPUMUNEUMSZUNSZTUNNQUBUCUDUEUJEUFIUKULUOUNIE
      UAABUMCUNDEUQGFURUGUHUI $.

    nmsq.n $e |- N = ( norm ` W ) $.
    $( The value of the norm in a subcomplex pre-Hilbert space is the square
       root of the inner product of a vector with itself.  (Contributed by
       Mario Carneiro, 7-Oct-2015.) $)
    cphnmfval $p |- ( W e. CPreHil ->
        N = ( x e. V |-> ( sqrt ` ( x ., x ) ) ) ) $=
      ( ccph wcel cphl cnlm csca cfv ccnfld cbs co wceq csqrt eqid w3a cc0 cpnf
      cress cico cin cima wss cv cmpt iscph simp3bi ) EIJEKJELJEMNZOUMPNZUDQRUA
      SUNUBUCUEQUFUGUNUHCADAUIZUOBQSNUJRAUMBUNCDEFGHUMTUNTUKUL $.

    $( The square of the norm is the norm of an inner product in a subcomplex
       pre-Hilbert space.  (Contributed by Mario Carneiro, 7-Oct-2015.) $)
    cphnm $p |- ( ( W e. CPreHil /\ A e. V ) ->
        ( N ` A ) = ( sqrt ` ( A ., A ) ) ) $=
      ( vx ccph wcel cfv cv co csqrt cmpt cphnmfval fveq1d wceq oveq12 sylan9eq
      anidms fveq2d eqid fvex fvmpt ) EJKZADKACLAIDIMZUHBNZOLZPZLAABNZOLZUGACUK
      IBCDEFGHQRIAUJUMDUKUHASZUIULOUNUIULSUHAUHABTUBUCUKUDULOUEUFUA $.

    $( The square of the norm is the norm of an inner product in a subcomplex
       pre-Hilbert space.  Equation I4 of [Ponnusamy] p. 362.  (Contributed by
       NM, 1-Feb-2007.)  (Revised by Mario Carneiro, 7-Oct-2015.) $)
    nmsq $p |- ( ( W e. CPreHil /\ A e. V ) ->
      ( ( N ` A ) ^ 2 ) = ( A ., A ) ) $=
      ( ccph wcel wa cfv c2 cexp co csqrt cphnm oveq1d cc cphipcl sqsqrtd eqtrd
      3anidm23 ) EIJZADJZKZACLZMNOAABOZPLZMNOUHUFUGUIMNABCDEFGHQRUFUHUDUEUHSJAA
      BDEFGTUCUAUB $.

    cphnmcl.f $e |- F = ( Scalar ` W ) $.
    cphnmcl.k $e |- K = ( Base ` F ) $.
    $( The norm of a vector is a member of the scalar field in a subcomplex
       pre-Hilbert space.  (Contributed by Mario Carneiro, 9-Oct-2015.) $)
    cphnmf $p |- ( W e. CPreHil -> N : V --> K ) $=
      ( vx ccph wcel cv co cfv cr cc0 cle csqrt cphnmfval wbr simpl cphl cphphl
      wa adantr simpr ipcl syl3anc c2 cexp nmsq cngp cphngp nmcl sylan eqeltrrd
      resqcld sqge0d breqtrd cphsqrtcl syl13anc fmpt3d ) FMNZLELOZVGBPZUAQZCDLB
      DEFGHIUBVFVGENZUGZVFVHCNZVHRNSVHTUCVICNVFVJUDVKFUENZVJVJVLVFVMVJFUFUHVFVJ
      UIZVNVGVGABCEFJHGKUJUKVKVGDQZULUMPZVHRVGBDEFGHIUNZVKVOVFFUONVJVORNFUPVGFD
      EGIUQURZUTUSVKSVPVHTVKVOVRVAVQVBVHACFJKVCVDVE $.

    $( The norm of a vector is a member of the scalar field in a subcomplex
       pre-Hilbert space.  (Contributed by Mario Carneiro, 9-Oct-2015.) $)
    cphnmcl $p |- ( ( W e. CPreHil /\ A e. V ) -> ( N ` A ) e. K ) $=
      ( ccph wcel cphnmf ffvelrnda ) GMNFDAEBCDEFGHIJKLOP $.
  $}

  ${
    reipcl.v $e |- V = ( Base ` W ) $.
    reipcl.h $e |- ., = ( .i ` W ) $.
    $( An inner product of an element with itself is real.  (Contributed by
       Mario Carneiro, 7-Oct-2015.) $)
    reipcl $p |- ( ( W e. CPreHil /\ A e. V ) -> ( A ., A ) e. RR ) $=
      ( ccph wcel wa cnm cfv c2 cexp co cr eqid nmsq cngp cphngp nmcl eqeltrrd
      sylan resqcld ) DGHZACHZIZADJKZKZLMNAABNOABUGCDEFUGPZQUFUHUDDRHUEUHOHDSAD
      UGCEUITUBUCUA $.

    $( The inner product in a subcomplex pre-Hilbert space is positive
       definite.  (Contributed by Mario Carneiro, 7-Oct-2015.) $)
    ipge0 $p |- ( ( W e. CPreHil /\ A e. V ) -> 0 <_ ( A ., A ) ) $=
      ( ccph wcel wa cc0 cnm cfv c2 cexp co cle cngp cr cphngp eqid nmcl sqge0d
      sylan nmsq breqtrd ) DGHZACHZIZJADKLZLZMNOAABOPUHUJUFDQHUGUJRHDSADUICEUIT
      ZUAUCUBABUICDEFUKUDUE $.
  $}

  ${
    cphipcj.h $e |- ., = ( .i ` W ) $.
    cphipcj.v $e |- V = ( Base ` W ) $.
    $( Conjugate of an inner product in a subcomplex pre-Hilbert space.
       Complex version of ~ ipcj .  (Contributed by Mario Carneiro,
       16-Oct-2015.) $)
    cphipcj $p |- ( ( W e. CPreHil /\ A e. V /\ B e. V ) ->
      ( * ` ( A ., B ) ) = ( B ., A ) ) $=
      ( ccph wcel w3a co ccj cfv csca cstv wceq cclm cphclm eqid clmcj 3ad2ant1
      syl fveq1d cphl cphphl ipcj syl3an1 eqtrd ) EHIZADIZBDIZJZABCKZLMUMENMZOM
      ZMZBACKZULUMLUOUIUJLUOPZUKUIEQIURERUNEUNSZTUBUAUCUIEUDIUJUKUPUQPEUEABUNCU
      ODEUSFGUOSUFUGUH $.

    $( An inner product times its conjugate.  (Contributed by NM, 23-Nov-2007.)
       (Revised by AV, 19-Oct-2021.) $)
    cphipipcj $p |- ( ( W e. CPreHil /\ A e. V /\ B e. V ) ->
        ( ( A ., B ) x. ( B ., A ) ) = ( ( abs ` ( A ., B ) ) ^ 2 ) ) $=
      ( ccph wcel w3a co cabs cfv c2 cexp ccj cmul csqrt cc wceq cphipcl absval
      syl oveq1d cjcld mulcld sqsqrtd cphipcj oveq2d 3eqtrrd ) EHIADIBDIJZABCKZ
      LMZNOKULULPMZQKZRMZNOKUOULBACKZQKUKUMUPNOUKULSIUMUPTABCDEGFUAZULUBUCUDUKU
      OUKULUNURUKULURUEUFUGUKUNUQULQABCDEFGUHUIUJ $.

    $( Orthogonality (meaning inner product is 0) is commutative.  Complex
       version of ~ iporthcom .  (Contributed by Mario Carneiro,
       16-Oct-2015.) $)
    cphorthcom $p |- ( ( W e. CPreHil /\ A e. V /\ B e. V ) ->
      ( ( A ., B ) = 0 <-> ( B ., A ) = 0 ) ) $=
      ( ccph wcel w3a co csca cfv c0g wceq cc0 cphl wb eqid eqeq2d syl3an1 cclm
      cphphl iporthcom cphclm clm0 syl 3ad2ant1 3bitr4d ) EHIZADIZBDIZJZABCKZEL
      MZNMZOZBACKZUPOZUNPOURPOUJEQIUKULUQUSREUCABUOCDEUPUOSZFGUPSUDUAUMPUPUNUJU
      KPUPOZULUJEUBIVAEUEUOEUTUFUGUHZTUMPUPURVBTUI $.

    ${
      cphip0l.z $e |- .0. = ( 0g ` W ) $.
      $( Inner product with a zero first argument.  Part of proof of Theorem
         6.44 of [Ponnusamy] p. 361.  Complex version of ~ ip0l .  (Contributed
         by Mario Carneiro, 16-Oct-2015.) $)
      cphip0l $p |- ( ( W e. CPreHil /\ A e. V ) -> ( .0. ., A ) = 0 ) $=
        ( ccph wcel wa co csca cfv c0g cc0 cphl wceq cphphl eqid ip0l cclm clm0
        sylan cphclm syl adantr eqtr4d ) DIJZACJZKEABLZDMNZONZPUIDQJUJUKUMRDSAU
        LBCDEUMULTZFGUMTHUAUDUIPUMRZUJUIDUBJUODUEULDUNUCUFUGUH $.

      $( Inner product with a zero second argument.  Complex version of
         ~ ip0r .  (Contributed by Mario Carneiro, 16-Oct-2015.) $)
      cphip0r $p |- ( ( W e. CPreHil /\ A e. V ) -> ( A ., .0. ) = 0 ) $=
        ( ccph wcel wa co csca cfv c0g cc0 cphl wceq cphphl eqid ip0r cclm clm0
        sylan cphclm syl adantr eqtr4d ) DIJZACJZKAEBLZDMNZONZPUIDQJUJUKUMRDSAU
        LBCDEUMULTZFGUMTHUAUDUIPUMRZUJUIDUBJUODUEULDUNUCUFUGUH $.

      $( The inner product of a vector with itself is zero iff the vector is
         zero.  Part of Definition 3.1-1 of [Kreyszig] p. 129.  Complex version
         of ~ ipeq0 .  (Contributed by Mario Carneiro, 16-Oct-2015.) $)
      cphipeq0 $p |- ( ( W e. CPreHil /\ A e. V ) ->
        ( ( A ., A ) = 0 <-> A = .0. ) ) $=
        ( ccph wcel wa co cc0 wceq csca cfv c0g cclm cphclm eqid clm0 adantr wb
        syl eqeq2d cphl cphphl ipeq0 sylan bitrd ) DIJZACJZKZAABLZMNUNDOPZQPZNZ
        AENZUMMUPUNUKMUPNZULUKDRJUSDSUODUOTZUAUDUBUEUKDUFJULUQURUCDUGAUOBCDEUPU
        TFGUPTHUHUIUJ $.
    $}

    ${
      cphdir.P $e |- .+ = ( +g ` W ) $.
      $( Distributive law for inner product (right-distributivity).  Equation
         I3 of [Ponnusamy] p. 362.  Complex version of ~ ipdir .  (Contributed
         by Mario Carneiro, 16-Oct-2015.) $)
      cphdir $p |- ( ( W e. CPreHil /\ ( A e. V /\ B e. V /\ C e. V ) ) ->
        ( ( A .+ B ) ., C ) = ( ( A ., C ) + ( B ., C ) ) ) $=
        ( ccph wcel w3a wa co csca cfv caddc wceq eqid cplusg cphl cphphl ipdir
        sylan cclm cphclm clmadd syl adantr oveqd eqtr4d ) GKLZAFLBFLCFLMZNZABD
        OCEOZACEOZBCEOZGPQZUAQZOZUQURROUMGUBLUNUPVASGUCABCDUTUSEFGUSTZHIJUTTUDU
        EUORUTUQURUMRUTSZUNUMGUFLVCGUGUSGVBUHUIUJUKUL $.

      $( Distributive law for inner product (left-distributivity).  Complex
         version of ~ ipdi .  (Contributed by Mario Carneiro, 16-Oct-2015.) $)
      cphdi $p |- ( ( W e. CPreHil /\ ( A e. V /\ B e. V /\ C e. V ) ) ->
        ( A ., ( B .+ C ) ) = ( ( A ., B ) + ( A ., C ) ) ) $=
        ( ccph wcel w3a wa co csca cfv caddc wceq eqid cplusg cphl cphphl sylan
        ipdi cclm cphclm clmadd syl adantr oveqd eqtr4d ) GKLZAFLBFLCFLMZNZABCD
        OEOZABEOZACEOZGPQZUAQZOZUQURROUMGUBLUNUPVASGUCABCDUTUSEFGUSTZHIJUTTUEUD
        UORUTUQURUMRUTSZUNUMGUFLVCGUGUSGVBUHUIUJUKUL $.

      cph2di.1 $e |- ( ph -> W e. CPreHil ) $.
      cph2di.2 $e |- ( ph -> A e. V ) $.
      cph2di.3 $e |- ( ph -> B e. V ) $.
      cph2di.4 $e |- ( ph -> C e. V ) $.
      cph2di.5 $e |- ( ph -> D e. V ) $.
      $( Distributive law for inner product.  Complex version of ~ ip2di .
         (Contributed by Mario Carneiro, 16-Oct-2015.) $)
      cph2di $p |- ( ph -> ( ( A .+ B ) ., ( C .+ D ) ) =
        ( ( ( A ., C ) + ( B ., D ) ) + ( ( A ., D ) + ( B ., C ) ) ) ) $=
        ( co caddc wcel csca cfv cplusg eqid ccph cphl cphphl ip2di cclm cphclm
        syl wceq clmadd 3syl oveqd oveq123d eqtr4d ) ABCFRDEFRGRBDGRZCEGRZIUAUB
        ZUCUBZRZBEGRZCDGRZVARZVARURUSSRZVCVDSRZSRABCDEFVAUTGHIUTUDZJKLVAUDAIUET
        ZIUFTMIUGUKNOPQUHAVFVBVGVESVAAVIIUITSVAULMIUJUTIVHUMUNZASVAURUSVJUOASVA
        VCVDVJUOUPUQ $.
    $}

    ${
      cphsubdir.m $e |- .- = ( -g ` W ) $.
      $( Distributive law for inner product subtraction.  Complex version of
         ~ ipsubdir .  (Contributed by Mario Carneiro, 16-Oct-2015.) $)
      cphsubdir $p |- ( ( W e. CPreHil /\ ( A e. V /\ B e. V /\ C e. V ) ) ->
        ( ( A .- B ) ., C ) = ( ( A ., C ) - ( B ., C ) ) ) $=
        ( ccph wcel w3a co cfv wceq eqid adantr ipcl syl3anc csca csg cmin cphl
        wa cphphl ipsubdir sylan cclm cphclm simpr1 simpr3 simpr2 clmsub eqtr4d
        cbs ) GKLZAFLZBFLZCFLZMZUEZABENCDNZACDNZBCDNZGUAOZUBOZNZVDVEUCNZUQGUDLZ
        VAVCVHPGUFZABCVGVFDEFGVFQZHIJVGQUGUHVBGUILZVDVFUPOZLZVEVNLZVIVHPUQVMVAG
        UJRVBVJURUTVOUQVJVAVKRZUQURUSUTUKUQURUSUTULZACVFDVNFGVLHIVNQZSTVBVJUSUT
        VPVQUQURUSUTUMVRBCVFDVNFGVLHIVSSTVDVEVFVNGVLVSUNTUO $.

      $( Distributive law for inner product subtraction.  Complex version of
         ~ ipsubdi .  (Contributed by Mario Carneiro, 16-Oct-2015.) $)
      cphsubdi $p |- ( ( W e. CPreHil /\ ( A e. V /\ B e. V /\ C e. V ) ) ->
        ( A ., ( B .- C ) ) = ( ( A ., B ) - ( A ., C ) ) ) $=
        ( ccph wcel w3a co cfv wceq eqid adantr ipcl syl3anc csca csg cmin cphl
        cphphl ipsubdi sylan cclm cbs cphclm simpr1 simpr2 simpr3 clmsub eqtr4d
        wa ) GKLZAFLZBFLZCFLZMZUPZABCENDNZABDNZACDNZGUAOZUBOZNZVDVEUCNZUQGUDLZV
        AVCVHPGUEZABCVGVFDEFGVFQZHIJVGQUFUGVBGUHLZVDVFUIOZLZVEVNLZVIVHPUQVMVAGU
        JRVBVJURUSVOUQVJVAVKRZUQURUSUTUKZUQURUSUTULABVFDVNFGVLHIVNQZSTVBVJURUTV
        PVQVRUQURUSUTUMACVFDVNFGVLHIVSSTVDVEVFVNGVLVSUNTUO $.

      cph2subdi.1 $e |- ( ph -> W e. CPreHil ) $.
      cph2subdi.2 $e |- ( ph -> A e. V ) $.
      cph2subdi.3 $e |- ( ph -> B e. V ) $.
      cph2subdi.4 $e |- ( ph -> C e. V ) $.
      cph2subdi.5 $e |- ( ph -> D e. V ) $.
      $( Distributive law for inner product subtraction.  Complex version of
         ~ ip2subdi .  (Contributed by Mario Carneiro, 16-Oct-2015.) $)
      cph2subdi $p |- ( ph -> ( ( A .- B ) ., ( C .- D ) ) =
        ( ( ( A ., C ) + ( B ., D ) ) - ( ( A ., D ) + ( B ., C ) ) ) ) $=
        ( co wcel syl3anc caddc csca cfv cplusg cmin cclm wceq ccph cphclm eqid
        csg syl clmadd oveqd oveq12d cbs cphphl clmacl clmsub ip2subdi 3eqtr4rd
        cphl ipcl ) ABDFRZCEFRZUARZBEFRZCDFRZUARZIUBUCZUKUCZRZVDVEVJUDUCZRZVGVH
        VMRZVKRVFVIUERZBCGRDEGRFRAVFVNVIVOVKAUAVMVDVEAIUFSZUAVMUGAIUHSZVQMIUIUL
        ZVJIVJUJZUMULZUNAUAVMVGVHWAUNUOAVQVFVJUPUCZSZVIWBSZVPVLUGVSAVQVDWBSZVEW
        BSZWCVSAIVBSZBHSZDHSZWEAVRWGMIUQULZNPBDVJFWBHIVTJKWBUJZVCTAWGCHSZEHSZWF
        WJOQCEVJFWBHIVTJKWKVCTVJWBIVDVEVTWKURTAVQVGWBSZVHWBSZWDVSAWGWHWMWNWJNQB
        EVJFWBHIVTJKWKVCTAWGWLWIWOWJOPCDVJFWBHIVTJKWKVCTVJWBIVGVHVTWKURTVFVIVJW
        BIVTWKUSTABCDEVMVKVJFGHIVTJKLVKUJVMUJWJNOPQUTVA $.
    $}

    cphass.f $e |- F = ( Scalar ` W ) $.
    cphass.k $e |- K = ( Base ` F ) $.
    cphass.s $e |- .x. = ( .s ` W ) $.
    $( Associative law for inner product.  Equation I2 of [Ponnusamy] p. 363.
       See ~ ipass , ~ his5 .  (Contributed by Mario Carneiro, 16-Oct-2015.) $)
    cphass $p |- ( ( W e. CPreHil /\ ( A e. K /\ B e. V /\ C e. V ) ) ->
      ( ( A .x. B ) ., C ) = ( A x. ( B ., C ) ) ) $=
      ( ccph wcel w3a co cmul wceq wa cmulr cphl cphphl eqid ipass sylan cphclm
      cfv cclm clmmul syl adantr oveqd eqtr4d ) IOPZAGPBHPCHPQZUAZABDRCFRZABCFR
      ZEUBUIZRZAUTSRUPIUCPUQUSVBTIUDABCDVAEFGHILJKMNVAUEUFUGURSVAAUTUPSVATZUQUP
      IUJPVCIUHEILUKULUMUNUO $.

    $( "Associative" law for second argument of inner product (compare
       ~ cphass ).  See ~ ipassr , his52 .  (Contributed by Mario Carneiro,
       16-Oct-2015.) $)
    cphassr $p |- ( ( W e. CPreHil /\ ( A e. K /\ B e. V /\ C e. V ) ) ->
      ( B ., ( A .x. C ) ) = ( ( * ` A ) x. ( B ., C ) ) ) $=
      ( wcel co ccj cfv cmul wceq ccph w3a cstv cmulr cclm cphclm adantr clmmul
      wa syl eqidd clmcj fveq1d oveq123d cc clmsscn simpr1 sseldd cjcld cphipcl
      3adant3r1 mulcomd cphl cphphl 3anrot biimpi eqid ipassr syl2an 3eqtr4rd
      wss ) IUAOZAGOZBHOZCHOZUBZUIZBCFPZAQRZSPVRAEUCRZRZEUDRZPZVSVRSPBACDPFPZVQ
      VRVRVSWASWBVQIUEOZSWBTVLWEVPIUFUGZEILUHUJVQVRUKVQAQVTVQWEQVTTWFEILULUJUMU
      NVQVSVRVQAVQGUOAVQWEGUOVKWFEGILMUPUJVLVMVNVOUQURUSVLVNVOVRUOOVMBCFHIKJUTV
      AVBVLIVCOVNVOVMUBZWDWCTVPIVDVPWGVMVNVOVEVFBCADWBEFVTGHILJKMNWBVGVTVGVHVIV
      J $.

    $( Move scalar multiplication to outside of inner product.  See ~ his35 .
       (Contributed by Mario Carneiro, 17-Oct-2015.) $)
    cph2ass $p |- ( ( W e. CPreHil /\
       ( A e. K /\ B e. K ) /\ ( C e. V /\ D e. V ) ) ->
     ( ( A .x. C ) ., ( B .x. D ) ) = ( ( A x. ( * ` B ) ) x. ( C ., D ) ) ) $=
      ( wcel wa co cmul cc ccph w3a ccj wceq simp1 simp2r simp3l simp3r cphassr
      cfv syl13anc oveq2d simp2l clmod cphlmod 3ad2ant1 lmodvscl syl3anc cphass
      wss cphclm clmsscn syl sseldd cjcld cphipcl 3expb 3adant2 mulassd 3eqtr4d
      cclm ) JUAPZAHPZBHPZQZCIPZDIPZQZUBZACBDERZGRZSRZABUCUJZCDGRZSRZSRACERVTGR
      ZAWCSRWDSRVSWAWEASVSVLVNVPVQWAWEUDVLVOVRUEZVLVMVNVRUFZVLVOVPVQUGZVLVOVPVQ
      UHZBCDEFGHIJKLMNOUIUKULVSVLVMVPVTIPZWFWBUDWGVLVMVNVRUMZWIVSJUNPZVNVQWKVLV
      OWMVRJUOUPWHWJBEFHIJDLMONUQURACVTEFGHIJKLMNOUSUKVSAWCWDVSHTAVSJVKPZHTUTVL
      VOWNVRJVAUPFHJMNVBVCZWLVDVSBVSHTBWOWHVDVEVLVRWDTPZVOVLVPVQWPCDGIJLKVFVGVH
      VIVJ $.
  $}

  ${
    cphassi.x $e |- X = ( Base ` W ) $.
    cphassi.s $e |- .x. = ( .s ` W ) $.
    cphassi.i $e |- ., = ( .i ` W ) $.
    cphassi.f $e |- F = ( Scalar ` W ) $.
    cphassi.k $e |- K = ( Base ` F ) $.
    $( Associative law for the first argument of an inner product with scalar
       ` _ i ` .  (Contributed by AV, 17-Oct-2021.) $)
    cphassi $p |- ( ( ( W e. CPreHil /\ _i e. K ) /\ A e. X /\ B e. X )
                        -> ( ( _i .x. B ) ., A ) = ( _i x. ( B ., A ) ) ) $=
      ( ccph wcel ci wa w3a co cmul simp1l simp1r simp3 simp2 cphass syl13anc
      wceq ) GNOZPFOZQZAHOZBHOZRUHUIULUKPBCSAESPBAESTSUGUHUIUKULUAUHUIUKULUBUJU
      KULUCUJUKULUDPBACDEFHGKILMJUEUF $.

    $( "Associative" law for the second argument of an inner product with
       scalar ` _ i ` .  (Contributed by AV, 17-Oct-2021.) $)
    cphassir $p |- ( ( ( W e. CPreHil /\ _i e. K ) /\ A e. X /\ B e. X )
                        -> ( A ., ( _i .x. B ) ) = ( -u _i x. ( A ., B ) ) ) $=
      ( ccph wcel ci wa w3a co cmul ccj cfv cneg wceq simp1l simp1r simp2 simp3
      cphassr syl13anc cji oveq1i eqtrdi ) GNOZPFOZQZAHOZBHOZRZAPBCSESZPUAUBZAB
      ESZTSZPUCZVBTSUSUNUOUQURUTVCUDUNUOUQURUEUNUOUQURUFUPUQURUGUPUQURUHPABCDEF
      HGKILMJUIUJVAVDVBTUKULUM $.
  $}

  ${
    cphpyth.v $e |- V = ( Base ` W ) $.
    cphpyth.h $e |- ., = ( .i ` W ) $.
    cphpyth.p $e |- .+ = ( +g ` W ) $.
    cphpyth.n $e |- N = ( norm ` W ) $.
    cphpyth.w $e |- ( ph -> W e. CPreHil ) $.
    cphpyth.a $e |- ( ph -> A e. V ) $.
    cphpyth.b $e |- ( ph -> B e. V ) $.
    $( The pythagorean theorem for a subcomplex pre-Hilbert space.  The square
       of the norm of the sum of two orthogonal vectors (i.e., whose inner
       product is 0) is the sum of the squares of their norms.  Problem 2 in
       [Kreyszig] p. 135.  This is Metamath 100 proof #4.  (Contributed by NM,
       17-Apr-2008.)  (Revised by SN, 22-Sep-2024.) $)
    cphpyth $p |- ( ( ph /\ ( A ., B ) = 0 ) ->
    ( ( N ` ( A .+ B ) ) ^ 2 ) = ( ( ( N ` A ) ^ 2 ) + ( ( N ` B ) ^ 2 ) ) ) $=
      ( co cc0 wceq caddc wcel wa cfv c2 cexp cph2di adantr simpr wb cphorthcom
      ccph syl3anc biimpa oveq12d 00id eqtrdi oveq2d cphipcl addcld 3eqtrd cngp
      cc addid1d cgrp cphngp ngpgrp 3syl grpcld nmsq syl2anc 3eqtr4d ) ABCEPZQR
      ZUAZBCDPZVNEPZBBEPZCCEPZSPZVNFUBUCUDPZBFUBUCUDPZCFUBUCUDPZSPZVMVOVRVKCBEP
      ZSPZSPZVRQSPZVRAVOWERVLABCBCDEGHJIKMNONOUEUFVMWDQVRSVMWDQQSPQVMVKQWCQSAVL
      UGAVLWCQRZAHUJTZBGTZCGTZVLWGUHMNOBCEGHJIUIUKULUMUNUOUPAWFVRRVLAVRAVPVQAWH
      WIWIVPVATMNNBBEGHIJUQUKAWHWJWJVQVATMOOCCEGHIJUQUKURVBUFUSAVSVORZVLAWHVNGT
      WKMAGDHBCIKAWHHUTTHVCTMHVDHVEVFNOVGVNEFGHIJLVHVIUFAWBVRRVLAVTVPWAVQSAWHWI
      VTVPRMNBEFGHIJLVHVIAWHWJWAVQRMOCEFGHIJLVHVIUMUFVJ $.
  $}

  ${
    $d x V $.
    tcphex.v $e |- V = ( Base ` W ) $.
    $( Lemma for ~ tcphbas and similar theorems.  (Contributed by Mario
       Carneiro, 7-Oct-2015.) $)
    tcphex $p |- ( x e. V |-> ( sqrt ` ( x ., x ) ) ) e. _V $=
      ( csqrt crn c0 csn cun cv co cfv cmpt wf cvv wcel eqid fvrn0 cc a1i fmpti
      cbs fvexi cnex wss sqrtf frn ax-mp ssexi p0ex unex fex2 mp3an ) CFGZHIZJZ
      ACAKZURBLZFMZNZOCPQUQPQVAPQACUQUTVAVARUTUQQURCQFUSSUAUBCDUCEUDUOUPUOTUETT
      FOUOTUFUGTTFUHUIUJUKULCUQVAPPUMUN $.
  $}

  ${
    $d x .- $.  $d w x y z ., $.  $d x y z F $.  $d x y z G $.  $d w x y z V $.
    $d x C $.  $d x y z ph $.  $d w x y z W $.  $d x .x. $.  $d x X $.
    $d x Y $.
    tcphval.n $e |- G = ( toCPreHil ` W ) $.
    ${
      tcphval.v $e |- V = ( Base ` W ) $.
      tcphval.h $e |- ., = ( .i ` W ) $.
      $( Define a function to augment a subcomplex pre-Hilbert space with norm.
         (Contributed by Mario Carneiro, 7-Oct-2015.) $)
      tcphval $p |- G = ( W toNrmGrp ( x e. V |-> ( sqrt ` ( x ., x ) ) ) ) $=
        ( vw ctcph cfv cv co csqrt cmpt ctng cvv wceq cbs cip wcel fveq2 fveq2d
        id eqtr4di oveqd mpteq12dv oveq12d df-tcph ovex fvmpt wn fvprc reldmtng
        c0 ovprc1 eqtr4d pm2.61i eqtri ) BEJKZEADALZVACMZNKZOZPMZFEQUAZUTVERIEI
        LZAVGSKZVAVAVGTKZMZNKZOZPMVEQJVGERZVGEVLVDPVMUDVMAVHVKDVCVMVHESKDVGESUB
        GUEVMVJVBNVMVICVAVAVMVIETKCVGETUBHUEUFUCUGUHAIUIEVDPUJUKVFULUTUOVEEJUME
        VDPUNUPUQURUS $.
    $}

    ${
      tcphbas.v $e |- V = ( Base ` W ) $.
      $( The base set of a subcomplex pre-Hilbert space augmented with norm.
         (Contributed by Mario Carneiro, 8-Oct-2015.) $)
      tcphbas $p |- V = ( Base ` G ) $=
        ( vx cv cip cfv csqrt cmpt cvv wcel cbs wceq tcphex eqid tcphval tngbas
        co ax-mp ) FBFGZUBCHIZTJIKZLMBANIOFUCBCEPBACUDLFAUCBCDEUCQRESUA $.
    $}

    ${
      tchplusg.v $e |- .+ = ( +g ` W ) $.
      $( The addition operation of a subcomplex pre-Hilbert space augmented
         with norm.  (Contributed by Mario Carneiro, 8-Oct-2015.) $)
      tchplusg $p |- .+ = ( +g ` G ) $=
        ( vx cbs cfv cv cip csqrt cmpt cvv wcel cplusg wceq eqid tcphex tcphval
        co tngplusg ax-mp ) FCGHZFIZUDCJHZTKHLZMNABOHPFUEUCCUCQZRABCUFMFBUEUCCD
        UGUEQSEUAUB $.
    $}

    ${
      tcphsub.v $e |- .- = ( -g ` W ) $.
      $( The subtraction operation of a subcomplex pre-Hilbert space augmented
         with norm.  (Contributed by Thierry Arnoux, 30-Jun-2019.) $)
      tcphsub $p |- .- = ( -g ` G ) $=
        ( csg cfv wceq wtru cbs eqid tcphbas a1i cplusg grpsubpropd mptru eqtri
        tchplusg ) BCFGZAFGZESTHICACJGZAJGHIAUACDUAKLMCNGZANGHIUBACDUBKRMOPQ $.
    $}

    ${
      tcphmulr.t $e |- .x. = ( .r ` W ) $.
      $( The ring operation of a subcomplex pre-Hilbert space augmented with
         norm.  (Contributed by Mario Carneiro, 8-Oct-2015.) $)
      tcphmulr $p |- .x. = ( .r ` G ) $=
        ( vx cbs cfv cv cip csqrt cmpt cvv wcel cmulr wceq eqid tcphex tcphval
        co tngmulr ax-mp ) FCGHZFIZUDCJHZTKHLZMNABOHPFUEUCCUCQZRBACUFMFBUEUCCDU
        GUEQSEUAUB $.
    $}

    ${
      tcphsca.f $e |- F = ( Scalar ` W ) $.
      $( The scalar field of a subcomplex pre-Hilbert space augmented with
         norm.  (Contributed by Mario Carneiro, 8-Oct-2015.) $)
      tcphsca $p |- F = ( Scalar ` G ) $=
        ( vx cbs cfv cv cip csqrt cmpt cvv wcel csca wceq eqid tcphex tcphval
        co tngsca ax-mp ) FCGHZFIZUDCJHZTKHLZMNABOHPFUEUCCUCQZRBACUFMFBUEUCCDUG
        UEQSEUAUB $.
    $}

    ${
      tcphvsca.s $e |- .x. = ( .s ` W ) $.
      $( The scalar multiplication of a subcomplex pre-Hilbert space augmented
         with norm.  (Contributed by Mario Carneiro, 8-Oct-2015.) $)
      tcphvsca $p |- .x. = ( .s ` G ) $=
        ( vx cbs cfv cv cip csqrt cmpt cvv wcel cvsca wceq eqid tcphex tcphval
        co tngvsca ax-mp ) FCGHZFIZUDCJHZTKHLZMNABOHPFUEUCCUCQZRBACUFMFBUEUCCDU
        GUEQSEUAUB $.
    $}

    ${
      tcphip.s $e |- .x. = ( .i ` W ) $.
      $( The inner product of a subcomplex pre-Hilbert space augmented with
         norm.  (Contributed by Mario Carneiro, 8-Oct-2015.) $)
      tcphip $p |- .x. = ( .i ` G ) $=
        ( vx cbs cfv cv csqrt cmpt cvv wcel cip wceq eqid tcphex tcphval tngip
        co ax-mp ) FCGHZFIZUCATJHKZLMABNHOFAUBCUBPZQBCAUDLFBAUBCDUEERESUA $.
    $}

    ${
      tcphtopn.d $e |- D = ( dist ` G ) $.
      tcphtopn.j $e |- J = ( TopOpen ` G ) $.
      $( The topology of a subcomplex pre-Hilbert space augmented with norm.
         (Contributed by Mario Carneiro, 8-Oct-2015.) $)
      tcphtopn $p |- ( W e. V -> J = ( MetOpen ` D ) ) $=
        ( vx wcel ctopn cfv cmopn cbs cv cip co csqrt cvv eqid cmpt wceq tcphex
        tcphval tngtopn mpan2 eqtr4id ) EDJZCBKLZAMLZHUHIENLZIOZULEPLZQRLUAZSJU
        JUIUBIUMUKEUKTZUCABEUJUNDSIBUMUKEFUOUMTUDGUJTUEUFUG $.
    $}

    $( Augmentation of a subcomplex pre-Hilbert space with a norm does not
       affect whether it is still a pre-Hilbert space (because all the original
       components are the same).  (Contributed by Mario Carneiro,
       8-Oct-2015.) $)
    tcphphl $p |- ( W e. PreHil <-> G e. PreHil ) $=
      ( vx vy cphl wcel wtru cbs cfv csca eqidd wceq a1i cv cplusg oveqdr cvsca
      eqid wa wb tcphbas tchplusg tcphsca tcphvsca cip tcphip phlpropd mptru )
      BFGAFGUAHDEBIJZBKJZIJZUKBAHUJLUJAIJMHAUJBCUJSUBNHDOZUJGEOUJGZTZDEBPJZAPJZ
      UPUQMHUPABCUPSUCNQHUKLUKAKJMHUKABCUKSUDNULSHUMULGUNTDEBRJZARJZURUSMHURABC
      URSUENQHUODEBUFJZAUFJZUTVAMHUTABCUTSUGNQUHUI $.

    ${
      tcphnmval.n $e |- N = ( norm ` G ) $.
      tcphnmval.v $e |- V = ( Base ` W ) $.
      tcphnmval.h $e |- ., = ( .i ` W ) $.
      $( The norm of a subcomplex pre-Hilbert space augmented with norm.
         (Contributed by Mario Carneiro, 8-Oct-2015.) $)
      tchnmfval $p |- ( W e. Grp ->
        N = ( x e. V |-> ( sqrt ` ( x ., x ) ) ) ) $=
        ( cgrp wcel cnm cfv cv co csqrt cmpt wf cc crn c0 csn cun wceq eqid a1i
        fvrn0 fmpti tcphval cnex wss sqrtf ax-mp ssexi p0ex tngnm mpan2 eqtr4id
        frn unex ) FKLZDBMNZAEAOZVDCPZQNZRZHVBEQUAZUBUCZUDZVGSVGVCUEAEVJVFVGVGU
        FVFVJLVDELQVEUHUGUIVJBFVGEABCEFGIJUJIVHVIVHTUKTTQSVHTULUMTTQUTUNUOUPVAU
        QURUS $.

      $( The norm of a subcomplex pre-Hilbert space augmented with norm.
         (Contributed by Mario Carneiro, 8-Oct-2015.) $)
      tcphnmval $p |- ( ( W e. Grp /\ X e. V ) ->
        ( N ` X ) = ( sqrt ` ( X ., X ) ) ) $=
        ( vx cgrp wcel cfv cv co csqrt cmpt tchnmfval wceq fveq1d oveq12 anidms
        fveq2d eqid fvex fvmpt sylan9eq ) ELMZFDMFCNFKDKOZUJBPZQNZRZNFFBPZQNZUI
        FCUMKABCDEGHIJSUAKFULUODUMUJFTZUKUNQUPUKUNTUJFUJFBUBUCUDUMUEUNQUFUGUH
        $.
    $}

    ${
      cphtcphnm.n $e |- N = ( norm ` W ) $.
      $( The norm of a norm-augmented subcomplex pre-Hilbert space is the same
         as the original norm on it.  (Contributed by Mario Carneiro,
         11-Oct-2015.) $)
      cphtcphnm $p |- ( W e. CPreHil -> N = ( norm ` G ) ) $=
        ( vx ccph wcel cbs cfv cv cip csqrt cmpt cnm eqid cphnmfval clmod cgrp
        co wceq cphlmod lmodgrp tchnmfval 3syl eqtr4d ) CGHZBFCIJZFKZUICLJZTMJN
        ZAOJZFUJBUHCUHPZUJPZEQUGCRHCSHULUKUACUBCUCFAUJULUHCDULPUMUNUDUEUF $.
    $}

    ${
      tcphds.n $e |- N = ( norm ` G ) $.
      tcphds.m $e |- .- = ( -g ` W ) $.
      $( The distance of a pre-Hilbert space augmented with norm.  (Contributed
         by Thierry Arnoux, 30-Jun-2019.) $)
      tcphds $p |- ( W e. Grp -> ( N o. .- ) = ( dist ` G ) ) $=
        ( vx cgrp wcel ccom cbs cfv cv cip co csqrt cmpt eqid cvv cds tchnmfval
        coeq1d wceq tcphex tcphval tngds ax-mp eqtrdi ) DIJZCBKHDLMZHNZULDOMZPQ
        MRZBKZAUAMZUJCUNBHAUMCUKDEFUKSZUMSZUBUCUNTJUOUPUDHUMUKDUQUEADBUNTHAUMUK
        DEUQURUFGUGUHUI $.
    $}

    tcphcph.v $e |- V = ( Base ` W ) $.
    tcphcph.f $e |- F = ( Scalar ` W ) $.
    tcphcph.1 $e |- ( ph -> W e. PreHil ) $.
    tcphcph.2 $e |- ( ph -> F = ( CCfld |`s K ) ) $.
    $( A pre-Hilbert space whose field of scalars is a restriction of the field
       of complex numbers is a subcomplex module.  TODO: redundant hypotheses.
       (Contributed by Mario Carneiro, 16-Oct-2015.) $)
    phclm $p |- ( ph -> W e. CMod ) $=
      ( clmod wcel ccnfld cbs cfv cress co wceq syl csubrg cclm cphl phllmod cc
      cin eqid clvec phllvec lvecdrng cphsubrglem simp1d simp3d isclm syl3anbrc
      cdr ) AFLMZBNBOPZQRSZURNUAPMZFUBMAFUCMZUQJFUDTAUSURDUEUFSZUTADBURURUGZKAF
      UHMZBUPMAVAVDJFUITBFIUJTUKZULAUSVBUTVEUMBURFIVCUNUO $.

    tcphcph.h $e |- ., = ( .i ` W ) $.
    $( Lemma for ~ tcphcph : real closure of an inner product of a vector with
       itself.  (Contributed by Mario Carneiro, 10-Oct-2015.) $)
    tcphcphlem3 $p |- ( ( ph /\ X e. V ) -> ( X ., X ) e. RR ) $=
      ( wcel cfv cc adantr eqid ccj wa cbs cclm wss phclm clmsscn syl cphl ipcl
      co 3anidm23 sylan sseldd cstv wceq clmcj fveq1d simpr ipcj syl3anc cjrebd
      eqtrd ) AHFOZUAZHHDUJZVDBUBPZQVEVDGUCOZVFQUDAVGVCABCEFGIJKLMUERZBVFGKVFSZ
      UFUGAGUHOZVCVEVFOZLVJVCVKHHBDVFFGKNJVIUIUKULUMVDVETPVEBUNPZPZVEVDVETVLVDV
      GTVLUOVHBGKUPUGUQVDVJVCVCVMVEUOAVJVCLRAVCURZVNHHBDVLFGKNJVLSUSUTVBVA $.

    tcphcph.3 $e |- ( ( ph /\ ( x e. K /\ x e. RR /\ 0 <_ x ) ) ->
                     ( sqrt ` x ) e. K ) $.
    tcphcph.4 $e |- ( ( ph /\ x e. V ) -> 0 <_ ( x ., x ) ) $.
    ${
      tcphcph.k $e |- K = ( Base ` F ) $.
      ${
        ipcau2.n $e |- N = ( norm ` G ) $.
        ipcau2.c $e |- C = ( ( Y ., X ) / ( Y ., Y ) ) $.
        ipcau2.3 $e |- ( ph -> X e. V ) $.
        ipcau2.4 $e |- ( ph -> Y e. V ) $.
        $( The Cauchy-Schwarz inequality for a subcomplex pre-Hilbert space
           built from a pre-Hilbert space with certain properties.  The main
           theorem is ~ ipcau .  (Contributed by Mario Carneiro,
           11-Oct-2015.) $)
        ipcau2 $p |- ( ph ->
                        ( abs ` ( X ., Y ) ) <_ ( ( N ` X ) x. ( N ` Y ) ) ) $=
          ( co cabs cfv csqrt cmul cle wbr c2 cexp c0g wceq oveq2 oveq1d breq1d
          wne wa cdiv cc wcel cclm wss phclm clmsscn cphl syl3anc sseldd adantr
          syl ipcl cr tcphcphlem3 mpdan recnd clm0 eqeq2d wb eqid ipeq0 syl2anc
          cc0 bitrd necon3bid biimpar divassd oveq2i eqtr4di cmin ccj cvsca csg
          cv oveq12 anidms breq2d wral ralrimiva clmod phllmod c1 fveq2i syl5eq
          cstv ccnfld fveq2d ax-mp fveq1d eqtr3d oveq12d divrecd 3eqtrd eqeltrd
          cvv clmmcl rspcdva cplusg caddc eqidd cmulr ipass ipassr2 oveqd eqtrd
          syl13anc 3eqtr3rd oveq123d eqeltrrd eqbrtrd mulge0d resqrtcld sqsqrtd
          oveq2d clmacl mpbid sqrtge0d tcphnmval cjdivd cress cbs fvexi cnfldcj
          ressstarv cjcjd cjred cdr clvec phllvec lvecdrng cphreccllem mpd3an23
          ipcj lmodvscl lmodvsubcl ip2subdi cnfldadd cnfldmul ressmulr divcan2d
          ressplusg clmsub abscld resqcld redivcld pnpcan2d breqtrd subge0d clt
          absvalsqd ne0gt0d ledivmul2 syl112anc eqtr4d mul02d pm2.61ne remulcld
          ip0r sqmuld 3brtr4d absge0d le2sqd mpbird cgrp lmodgrp breqtrrd ) AKL
          FUFZUGUHZKKFUFZUIUHZLLFUFZUIUHZUJUFZKHUHZLHUHZUJUFUKAUWJUWOUKULUWJUMU
          NUFZUWOUMUNUFZUKULAUWILKFUFZUJUFZUWKUWMUJUFZUWRUWSUKAUXAUXBUKULZKJUOU
          HZFUFZUWTUJUFZUXBUKULLUXDLUXDUPZUXAUXFUXBUKUXGUWIUXEUWTUJLUXDKFUQURUS
          ALUXDUTZVAZUXAUWMVBUFZUWKUKULZUXCUXIUXJUWICUJUFZUWKUKUXIUXJUWIUWTUWMV
          BUFZUJUFUXLUXIUWIUWTUWMAUWIVCVDUXHAGVCUWIAJVEVDZGVCVFZADEGIJMNOPQVGZD
          GJOUAVHZVMZAJVIVDZKIVDZLIVDZUWIGVDZPUDUEKLDFGIJORNUAVNVJZVKZVLZAUWTVC
          VDUXHAGVCUWTUXRAUXSUYAUXTUWTGVDZPUEUDLKDFGIJORNUAVNVJZVKZVLZAUWMVCVDU
          XHAUWMAUYAUWMVOVDZUEADEFGIJLMNOPQRVPVQZVRZVLZAUWMWEUTZUXHAUWMWELUXDAU
          WMWEUPUWMDUOUHZUPZUXGAWEUYOUWMAUXNWEUYOUPUXPDJOVSVMZVTAUXSUYAUYPUXGWA
          PUELDFIJUXDUYOORNUYOWBZUXDWBZWCWDWFWGWHZWICUXMUWIUJUCWJWKZUXIWEUWKUXL
          WLUFZUKULUXLUWKUKULUXIWEKCWMUHZLJWNUHZUFZJWOUHZUFZVUGFUFZVUBUKUXIWEBW
          PZVUIFUFZUKULZWEVUHUKULBIVUGVUIVUGUPZVUJVUHWEUKVULVUJVUHUPVUIVUGVUIVU
          GFWQWRWSAVUKBIWTUXHAVUKBITXAZVLUXIJXBVDZUXTVUEIVDZVUGIVDAVUNUXHAUXSVU
          NPJXCVMZVLZAUXTUXHUDVLZUXIVUNVUCGVDZUYAVUOVUQUXIVUCUWIXDUWMVBUFZUJUFZ
          GUXIVUCUWTWMUHZUWMWMUHZVBUFZUWIUWMVBUFVVAUXIVUCUXMWMUHVVDCUXMWMUCXEUX
          IUWTUWMUYIUYMUYTUUAXFUXIVVBUWIVVCUWMVBUXIUWIWMUHZWMUHVVBUWIUXIVVEUWTW
          MAVVEUWTUPUXHAUWIDXGUHZUHZVVEUWTAUWIVVFWMAVVFXHGUUBUFZXGUHZWMADVVHXGQ
          XIGXQVDZWMVVIUPGDUUCUAUUDZGXHVVHWMXQVVHWBZUUEUUFXJWKZXKAUXSUXTUYAVVGU
          WTUPPUDUEKLDFVVFIJORNVVFWBZUUOVJXLZVLXIUXIUWIUYEUUGXLUXIUWMAUYJUXHUYK
          VLZUUHXMUXIUWIUWMUYEUYMUYTXNXOUXIUXNUYBVUTGVDZVVAGVDAUXNUXHUXPVLZAUYB
          UXHUYCVLZUXIUWMGVDZUYNVVQAVVTUXHAUXSUYAUYAVVTPUEUELLDFGIJORNUAVNVJVLU
          YTUXIGDGUWMUAADVVHUPUXHQVLZADUUIVDZUXHAJUUJVDZVWBAUXSVWCPJUUKVMDJOUUL
          VMVLUUMUUNZDGJUWIVUTOUAXRVJXPZAUYAUXHUEVLZVUCVUDDGIJLNOVUDWBZUAUUPVJZ
          VUFIJKVUENVUFWBZUUQVJXSUXIVUHUWKVUEVUEFUFZDXTUHZUFZKVUEFUFZVUEKFUFZVW
          KUFZDWOUHZUFUWKVUCUWTUJUFZYAUFZUXLVWQYAUFZVWPUFZVUBUXIKVUEKVUEVWKVWPD
          FVUFIJORNVWIVWPWBVWKWBAUXSUXHPVLZVURVWHVURVWHUURUXIVWLVWRVWOVWSVWPUXI
          UWKUWKVWJVWQVWKYAUXIVWKVVHXTUHZYAUXIDVVHXTVWAXIVVJYAVXBUPVVKGYAXHVVHX
          QVVLUUSUVCXJWKZUXIUWKYBUXIVWJVUCLVUEFUFZDYCUHZUFZVWQUXIUXSVUSUYAVUOVW
          JVXFUPVXAVWEVWFVWHVUCLVUEVUDVXEDFGIJORNUAVWGVXEWBZYDYHUXIVUCVUCVXDUWT
          VXEUJUXIVXEVVHYCUHZUJUXIDVVHYCVWAXIVVJUJVXHUPVVKGXHVVHUJXQVVLUUTUVAXJ
          WKZUXIVUCYBUXIUWMCVXEUFZLCVVFUHZLVUDUFZFUFZUWTVXDUXIUXSUYAUYACGVDZVXJ
          VXMUPVXAVWFVWFUXICUWTVUTUJUFZGUXICUXMVXOUCUXIUWTUWMUYIUYMUYTXNXFUXIUX
          NUYFVVQVXOGVDVVRAUYFUXHUYGVLZVWDDGJUWTVUTOUAXRVJXPZLLCVUDVXEDFVVFGIJO
          RNUAVWGVXGVVNYEYHUXIVXJUWMCUJUFZUWTUXIVXEUJUWMCVXIYFUXIVXRUWMUXMUJUFU
          WTCUXMUWMUJUCWJUXIUWTUWMUYIUYMUYTUVBXFYGUXIVXLVUELFUXIVXKVUCLVUDUXICV
          VFWMAVVFWMUPUXHVVMVLXKURZYPYIYJYGYJUXIVWMUXLVWNVWQVWKYAVXCUXIUWICVXEU
          FZKVXLFUFZUXLVWMUXIUXSUXTUYAVXNVXTVYAUPVXAVURVWFVXQKLCVUDVXEDFVVFGIJO
          RNUAVWGVXGVVNYEYHUXIVXEUJUWICVXIYFUXIVXLVUEKFVXSYPYIUXIVWNVUCUWTVXEUF
          ZVWQUXIUXSVUSUYAUXTVWNVYBUPVXAVWEVWFVURVUCLKVUDVXEDFGIJORNUAVWGVXGYDY
          HUXIVXEUJVUCUWTVXIYFYGYJXMUXIVWRVWSWLUFZVWTVUBUXIUXNVWRGVDZVWSGVDZVYC
          VWTUPVVRUXIUXNUWKGVDZVWQGVDZVYDVVRUXIUXSUXTUXTVYFVXAVURVURKKDFGIJORNU
          AVNVJUXIUXNVUSUYFVYGVVRVWEVXPDGJVUCUWTOUAXRVJZDGJUWKVWQOUAYQVJUXIUXNU
          XLGVDZVYGVYEVVRUXIUXNUYBVXNVYIVVRVVSVXQDGJUWICOUAXRVJVYHDGJUXLVWQOUAY
          QVJVWRVWSDGJOUAUVDVJUXIUWKUXLVWQAUWKVCVDUXHAUWKAUXTUWKVOVDZUDADEFGIJK
          MNOPQRVPVQZVRZVLUXIUXLUXIUXJUXLVOVUAUXIUXAUWMAUXAVOVDZUXHAUWRUXAVOAUW
          RUWIVVEUJUFUXAAUWIUYDUVLAVVEUWTUWIUJVVOYPYGZAUWJAUWIUYDUVEZUVFYKVLZVV
          PUYTUVGYKZVRUXIGVCVWQUXIUXNUXOVVRUXQVMVYHVKUVHXLXOUVIUXIUWKUXLAVYJUXH
          VYKVLZVYQUVJYRYLUXIVYMVYJUYJWEUWMUVKULUXKUXCWAVYPVYRVVPUXIUWMVVPAWEUW
          MUKULZUXHAVUKVYSBILVUILUPZVUJUWMWEUKVYTVUJUWMUPVUILVUILFWQWRWSVUMUEXS
          ZVLUYTUVMUXAUWKUWMUVNUVOYRAUXFWEUXBUKAUXFWEUWTUJUFWEAUXEWEUWTUJAUXEUY
          OWEAUXSUXTUXEUYOUPPUDKDFIJUXDUYOORNUYRUYSUVTWDUYQUVPURAUWTUYHUVQYGAUW
          KUWMVYKUYKAVUKWEUWKUKULBIKVUIKUPZVUJUWKWEUKWUBVUJUWKUPVUIKVUIKFWQWRWS
          VUMUDXSZWUAYMYLUVRVYNAUWSUWLUMUNUFZUWNUMUNUFZUJUFUXBAUWLUWNAUWLAUWKVY
          KWUCYNZVRAUWNAUWMUYKWUAYNZVRUWAAWUDUWKWUEUWMUJAUWKVYLYOAUWMUYLYOXMYGU
          WBAUWJUWOVYOAUWLUWNWUFWUGUVSAUWIUYDUWCAUWLUWNWUFWUGAUWKVYKWUCYSAUWMUY
          KWUAYSYMUWDUWEAUWPUWLUWQUWNUJAJUWFVDZUXTUWPUWLUPAVUNWUHVUPJUWGVMZUDEF
          HIJKMUBNRYTWDAWUHUYAUWQUWNUPWUIUEEFHIJLMUBNRYTWDXMUWH $.
      $}

      ${
        tcphcph.m $e |- .- = ( -g ` W ) $.
        tcphcphlem1.3 $e |- ( ph -> X e. V ) $.
        tcphcphlem1.4 $e |- ( ph -> Y e. V ) $.
        $( Lemma for ~ tcphcph : the triangle inequality.  (Contributed by
           Mario Carneiro, 8-Oct-2015.) $)
        tcphcphlem1 $p |- ( ph -> ( sqrt ` ( ( X .- Y ) ., ( X .- Y ) ) )
                      <_ ( ( sqrt ` ( X ., X ) ) + ( sqrt ` ( Y ., Y ) ) ) ) $=
          ( co csqrt cfv caddc cle wbr c2 cexp cmul cabs wcel cgrp cphl phllmod
          cr clmod lmodgrp 3syl grpsubcl syl3anc tcphcphlem3 mpdan readdcld wss
          cc cclm phclm clmsscn syl ipcl sseldd addcld abscld recnd 2re cv wceq
          cc0 oveq12 anidms breq2d ralrimiva rspcdva resqrtcld remulcld remulcl
          sylancr add32d eqeltrd cmin absidd cplusg clmadd oveqd oveq12d clmacl
          clmsub eqid ip2subdi 3eqtr4rd fveq2d eqtr3d abs2dif2d eqbrtrd addge0d
          csg oveq1d breqtrd abstrid 2timesd ccj abscjd cstv clmcj fveq1d eqtrd
          ipcj oveq2d breqtrrd cnm cdiv ipcau2 tcphnmval syl2anc clt a1i lemul2
          2pos syl112anc mpbid letrd leadd2dd sqsqrtd sqrtcld binom2 sqrtge0d
          wb 3brtr4d le2sqd mpbird ) AJKGUDZUUDEUDZUEUFZJJEUDZUEUFZKKEUDZUEUFZU
          GUDZUHUIUUFUJUKUDZUUKUJUKUDZUHUIAUUEUUGUJUUHUUJULUDZULUDZUGUDZUUIUGUD
          ZUULUUMUHAUUEUUGUUIUGUDZJKEUDZKJEUDZUGUDZUMUFZUGUDZUUQAUUDHUNZUUEURUN
          AIUOUNZJHUNZKHUNZUVDAIUPUNZIUSUNUVEOIUQIUTVAZUBUCHIGJKMUAVBVCZACDEFHI
          UUDLMNOPQVDVEZAUURUVBAUUGUUIAUVFUUGURUNUBACDEFHIJLMNOPQVDVEZAUVGUUIUR
          UNUCACDEFHIKLMNOPQVDVEZVFZAUVAAUUSUUTAFVHUUSAIVIUNZFVHVGACDFHILMNOPVJ
          ZCFINTVKVLZAUVHUVFUVGUUSFUNZOUBUCJKCEFHINQMTVMVCZVNZAFVHUUTUVQAUVHUVG
          UVFUUTFUNZOUCUBKJCEFHINQMTVMVCZVNZVOZVPZVFAUUQUURUUOUGUDZURAUUGUUOUUI
          AUUGUVLVQZAUUOAUJURUNZUUNURUNZUUOURUNVRAUUHUUJAUUGUVLAWABVSZUWJEUDZUH
          UIZWAUUGUHUIBHJUWJJVTZUWKUUGWAUHUWMUWKUUGVTUWJJUWJJEWBWCWDAUWLBHSWEZU
          BWFZWGZAUUIUVMAUWLWAUUIUHUIBHKUWJKVTZUWKUUIWAUHUWQUWKUUIVTUWJKUWJKEWB
          WCWDUWNUCWFZWGZWHZUJUUNWIWJZVQAUUIUVMVQZWKZAUURUUOUVNUXAVFWLAUUEUURUM
          UFZUVBUGUDZUVCUHAUUEUURUVAWMUDZUMUFZUXEUHAUUEUMUFUUEUXGAUUEUVKAUWLWAU
          UEUHUIBHUUDUWJUUDVTZUWKUUEWAUHUXHUWKUUEVTUWJUUDUWJUUDEWBWCWDUWNUVJWFZ
          WNAUUEUXFUMAUURUVACXIUFZUDZUUGUUICWOUFZUDZUUSUUTUXLUDZUXJUDUXFUUEAUUR
          UXMUVAUXNUXJAUGUXLUUGUUIAUVOUGUXLVTUVPCINWPVLZWQAUGUXLUUSUUTUXOWQWRAU
          VOUURFUNZUVAFUNZUXFUXKVTUVPAUVOUUGFUNZUUIFUNZUXPUVPAUVHUVFUVFUXROUBUB
          JJCEFHINQMTVMVCAUVHUVGUVGUXSOUCUCKKCEFHINQMTVMVCCFIUUGUUINTWSVCZAUVOU
          VRUWAUXQUVPUVSUWBCFIUUSUUTNTWSVCUURUVACFINTWTVCAJKJKUXLUXJCEGHINQMUAU
          XJXAUXLXAOUBUCUBUCXBXCXDXEAUURUVAAFVHUURUVQUXTVNUWDXFXGAUXDUURUVBUGAU
          URUVNAUUGUUIUVLUVMUWOUWRXHWNXJXKAUVCUWFUUQUHAUVBUUOUURUWEUXAUVNAUVBUJ
          UUSUMUFZULUDZUUOUWEAUWHUYAURUNZUYBURUNVRAUUSUVTVPZUJUYAWIWJUXAAUVBUYA
          UUTUMUFZUGUDZUYBUHAUUSUUTUVTUWCXLAUYBUYAUYAUGUDUYFAUYAAUYAUYDVQXMAUYA
          UYEUYAUGAUUSXNUFZUMUFUYAUYEAUUSUVTXOAUYGUUTUMAUYGUUSCXPUFZUFZUUTAUUSX
          NUYHAUVOXNUYHVTUVPCINXQVLXRAUVHUVFUVGUYIUUTVTOUBUCJKCEUYHHINQMUYHXAXT
          VCXSXDXEYAXSYBAUYAUUNUHUIZUYBUUOUHUIZAUYAJDYCUFZUFZKUYLUFZULUDUUNUHAB
          UUTUUIYDUDZCDEFUYLHIJKLMNOPQRSTUYLXAZUYOXAUBUCYEAUYMUUHUYNUUJULAUVEUV
          FUYMUUHVTUVIUBDEUYLHIJLUYPMQYFYGAUVEUVGUYNUUJVTUVIUCDEUYLHIKLUYPMQYFY
          GWRXKAUYCUWIUWHWAUJYHUIZUYJUYKYTUYDUWTUWHAVRYIUYQAYKYIUYAUUNUJYJYLYMY
          NYOUXCYBYNAUUEAUUEUVKVQYPAUUMUUHUJUKUDZUUOUGUDZUUJUJUKUDZUGUDZUUQAUUH
          VHUNUUJVHUNUUMVUAVTAUUGUWGYQAUUJUWSVQUUHUUJYRYGAUYSUUPUYTUUIUGAUYRUUG
          UUOUGAUUGUWGYPXJAUUIUXBYPWRXSUUAAUUFUUKAUUEUVKUXIWGAUUHUUJUWPUWSVFAUU
          EUVKUXIYSAUUHUUJUWPUWSAUUGUVLUWOYSAUUIUVMUWRYSXHUUBUUC $.
      $}

      tcphcph.s $e |- .x. = ( .s ` W ) $.
      tcphcphlem2.3 $e |- ( ph -> X e. K ) $.
      tcphcphlem2.4 $e |- ( ph -> Y e. V ) $.
      $( Lemma for ~ tcphcph : homogeneity.  (Contributed by Mario Carneiro,
         8-Oct-2015.) $)
      tcphcphlem2 $p |- ( ph -> ( sqrt ` ( ( X .x. Y ) ., ( X .x. Y ) ) ) =
                                  ( ( abs ` X ) x. ( sqrt ` ( Y ., Y ) ) ) ) $=
        ( ccj cfv cmul co csqrt cabs cc cclm wss phclm clmsscn sseldd cjmulrcld
        wcel syl cjmulge0d cr tcphcphlem3 mpdan cc0 cv cle oveq12 anidms breq2d
        wbr wceq ralrimiva rspcdva sqrtmuld cstv cmulr phllmod lmodvscl syl3anc
        cphl clmod ipassr syl13anc clmmul oveqd ipass eqtr4d clmcj fveq1d recnd
        eqid oveq123d cjcld mul32d 3eqtr2d fveq2d absval oveq1d 3eqtr4d ) AJJUD
        UEZUFUGZKKFUGZUFUGZUHUEWTUHUEZXAUHUEZUFUGJKCUGZXEFUGZUHUEJUIUEZXDUFUGAW
        TXAAJAGUJJAIUKUQZGUJULADEGHILMNOPUMZDGINTUNURUBUOZUPAJXJUSAKHUQZXAUTUQU
        CADEFGHIKLMNOPQVAVBZAVCBVDZXMFUGZVEVIZVCXAVEVIBHKXMKVJZXNXAVCVEXPXNXAVJ
        XMKXMKFVFVGVHAXOBHSVKUCVLVMAXFXBUHAXFXEKFUGZJDVNUEZUEZDVOUEZUGZJXAUFUGZ
        WSUFUGXBAIVSUQZXEHUQZXKJGUQZXFYAVJOAIVTUQZYEXKYDAYCYFOIVPURUBUCJCDGHIKM
        NUATVQVRUCUBXEKJCXTDFXRGHINQMTUAXTWJZXRWJWAWBAYBXQWSXSUFXTAXHUFXTVJXIDI
        NWCURZAYBJXAXTUGZXQAUFXTJXAYHWDAYCYEXKXKXQYIVJOUBUCUCJKKCXTDFGHINQMTUAY
        GWEWBWFAJUDXRAXHUDXRVJXIDINWGURWHWKAJXAWSXJAXAXLWIAJXJWLWMWNWOAXGXCXDUF
        AJUJUQXGXCVJXJJWPURWQWR $.
    $}

    $( The standard definition of a norm turns any pre-Hilbert space over a
       subfield of ` CCfld ` closed under square roots of nonnegative reals
       into a subcomplex pre-Hilbert space (which allows access to a norm,
       metric, and topology).  (Contributed by Mario Carneiro, 11-Oct-2015.) $)
    tcphcph $p |- ( ph -> G e. CPreHil ) $=
      ( wcel cfv wceq cc vy vz cphl cnlm ccnfld cbs cress co w3a csqrt cc0 cpnf
      cico cin cima wss cmpt ccph tcphphl sylib cngp clmod cnrg cvsca cmul wral
      cnm cv csg c0g tcphval eqid cgrp phllmod lmodgrp cr tcphcphlem3 resqrtcld
      syl wa fmpttd oveq12 anidms fveq2d fvex fvmpt3i adantl eqeq1d cexp csubrg
      c2 wb clvec cdr phllvec lvecdrng cphsubrglem simp2d inss2 eqsstrdi adantr
      ipcl 3anidm23 sylan sseldd sqrtcld sqeq0 sqsqrtd cclm clm0 eqeq12d bitr3d
      phclm ipeq0 3bitrd caddc cle simp1d wbr 3anass simpr2 recnd jca ex eleq2d
      recn elin rbaib syl5bi adantlr simprl simprr 3expb sylancr 3jca tcphnmval
      cabs syl2an2r wf sqrtf sylan9bb adantrr pm5.32rd bitr4di 3imtr4d grpsubcl
      bitrdi imp tcphcphlem1 oveqan12d 3brtr4d tngngpd cnnrg simp3d tcphcphlem2
      subrgnrg eqeltrd lmodvscl csubg subrgsubg cnfldnm subgnm2 oveq12d 3eqtr4d
      fveq1d eqtrd tcphbas tcphvsca tcphsca isnlm sylanbrc elrege0 anbi2i bitri
      ralrimivva ralrimiv wfun ffun ax-mp inss1 sstrid fdmi sseqtrrdi funimass4
      cdm mpbird cnex tngnm syl2anc eqcomd tcphip iscph syl3anbrc ) ADUCQZDUDQZ
      CUECUFRZUGUHZSZUIUJUWPUKULUMUHZUNZUOUWPUPZDVGRZUAGUAVHZUXCEUHZUJRZUQZSDUR
      QAUWNUWOUWRAHUCQZUWNLDHIUSUTZADVAQZDVBQZCVCQZUIUXCUBVHZHVDRZUHZUXBRZUXCCV
      GRZRZUXLUXBRZVEUHZSZUBGVFUAUWPVFUWOAUXIUXJUXKAUAUBDHHVIRZBGBVHZUYBEUHZUJR
      ZUQZGHVJRZBDEGHIJNVKJUYAVLZUYFVLZAHVBQZHVMQZAUXGUYILHVNVSZHVOVSZABGUYDVPA
      UYBGQZVTUYCACDEFGHUYBIJKLMNVQPVRWAAUXCGQZVTZUXCUYERZUKSUXEUKSZUXDCVJRZSZU
      XCUYFSZUYOUYPUXEUKUYNUYPUXESABUXCUYDUXEGUYEUYBUXCSZUYCUXDUJVUAUYCUXDSUYBU
      XCUYBUXCEWBWCWDUYEVLZUYCUJWEZWFZWGWHUYOUXEWKWIUHZUKSZUYQUYSUYOUXETQVUFUYQ
      WLUYOUXDUYOUWPTUXDAUWPTUPUYNAUWPFTUNZTAUWRUWPVUGSZUWPUEWJRQZAFCUWPUWPVLZM
      AHWMQZCWNQAUXGVUKLHWOVSCHKWPVSWQZWRZFTWSWTZXAAUXGUYNUXDUWPQZLUXGUYNVUOUXC
      UXCCEUWPGHKNJVUJXBXCXDXEZXFZUXEXGVSUYOVUEUXDUKUYRUYOUXDVUPXHAUKUYRSZUYNAH
      XIQVURACDFGHIJKLMXMCHKXJVSXAXKXLAUXGUYNUYSUYTWLLUXCCEGHUYFUYRKNJUYRVLUYHX
      NXDXOAUYNUXLGQZVTZVTZUXCUXLUYAUHZVVBEUHZUJRZUXEUXLUXLEUHZUJRZXPUHZVVBUYER
      ZUYPUXLUYERZXPUHZXQVVABCDEUWPUYAGHUXCUXLIJKAUXGVUTLXAAUWRVUTAUWRVUHVUIVUL
      XRZXANAUYBUWPQZUYBVPQZUKUYBXQXSZUIZUYBUJRZUWPQZVUTAVVOVVQVVOVVLVVMVVNVTZV
      TZAVVQVVLVVMVVNXTAUYBFQZVVMVVNUIZVVPFQZVVPTQZVTZVVSVVQAVWAVWDAVWAVTZVWBVW
      COVWEUYBVWEUYBAVVTVVMVVNYAYBXFYCYDAVVSVVTVVRVTVWAAVVRVVLVVTAVVRVVLVVTWLZA
      VVMVWFVVNAVVLUYBVUGQZVVMVVTAUWPVUGUYBVUMYEVVMUYBTQZVWGVVTWLUYBYFVWGVVTVWH
      UYBFTYGYHVSUUAUUBYDUUCVVTVVMVVNXTUUDAVVQVVPVUGQVWDAUWPVUGVVPVUMYEVVPFTYGU
      UGUUEZYIUUHZYJAUYMUKUYCXQXSZVUTPYJVUJUYGAUYNVUSYKAUYNVUSYLUUIVVAVVBGQZVVH
      VVDSAUYJVUTVWLUYLUYJUYNVUSVWLGHUYAUXCUXLJUYGUUFYMXDBVVBUYDVVDGUYEUYBVVBSZ
      UYCVVCUJVWMUYCVVCSUYBVVBUYBVVBEWBWCWDVUBVUCWFVSVUTVVJVVGSAUYNVUSUYPUXEVVI
      VVFXPVUDBUXLUYDVVFGUYEUYBUXLSZUYCVVEUJVWNUYCVVESUYBUXLUYBUXLEWBWCWDVUBVUC
      WFUUJWGUUKUULAUWNUXJUXHDVNVSACUWQVCVVKAUEVCQVUIUWQVCQUUMAUWRVUHVUIVULUUNZ
      UWPUEUWQUWQVLZUUPYNUUQYOAUXTUAUBUWPGAUXCUWPQZVUSVTZVTZUXNUXNEUHUJRZUXCYQR
      ZVVFVEUHUXOUXSVWSBUXMCDEUWPGHUXCUXLIJKAUXGVWRLXAAUWRVWRVVKXAZNAVVOVVQVWRV
      WJYJAUYMVWKVWRPYJVUJUXMVLZAVWQVUSYKZAVWQVUSYLZUUOAUYJVWRUXNGQZUXOVWTSUYLA
      UYIVWRVXFUYKUYIVWQVUSVXFUXCUXMCUWPGHUXLJKVXCVUJUURYMXDDEUXBGHUXNIUXBVLZJN
      YPYRVWSUXQVXAUXRVVFVEVWSUXQUXCUWQVGRZRZVXAVWSUXCUXPVXHVWSCUWQVGVXBWDUVEAU
      WPUEUUSRQZVWRVWQVXIVXASAVUIVXJVWOUWPUEUUTVSVXDUWPUEUWQVXHYQUXCVWPUVAVXHVL
      UVBYRUVFAUYJVWRVUSUXRVVFSUYLVXEDEUXBGHUXLIVXGJNYPYRUVCUVDUVOUAUBUXPUXMCUW
      PUXBGDDGHIJUVGZVXGUXMDHIVXCUVHCDHIKUVIZVUJUXPVLUVJUVKVVKYOAUXAVVQBUWTVFZA
      VVQBUWTUYBUWTQZVVSAVVQVXNVVLUYBUWSQZVTVVSUYBUWPUWSYGVXOVVRVVLUYBUVLUVMUVN
      VWIYIUVPAUJUVQZUWTUJUWEZUPUXAVXMWLTTUJYSVXPYTTTUJUVRUVSAUWTTVXQAUWTUWPTUW
      PUWSUVTVUNUWATTUJYTUWBUWCBUWTUWPUJUWDYNUWFAUXFUXBAUYJGTUXFYSUXFUXBSUYLAUA
      GUXETVUQWATDHUXFGUADEGHIJNVKJUWGUWHUWIUWJUACEUWPUXBGDVXKEDHINUWKVXGVXLVUJ
      UWLUWM $.
  $}

  ${
    $d x ., $.  $d x V $.  $d x W $.  $d x X $.  $d x Y $.
    ipcau.v $e |- V = ( Base ` W ) $.
    ipcau.h $e |- ., = ( .i ` W ) $.
    ipcau.n $e |- N = ( norm ` W ) $.
    $( The Cauchy-Schwarz inequality for a subcomplex pre-Hilbert space.  Part
       of Lemma 3.2-1(a) of [Kreyszig] p. 137.  This is Metamath 100 proof #78.
       (Contributed by NM, 12-Jan-2008.)  (Revised by Mario Carneiro,
       11-Oct-2015.) $)
    ipcau $p |- ( ( W e. CPreHil /\ X e. V /\ Y e. V ) ->
                        ( abs ` ( X ., Y ) ) <_ ( ( N ` X ) x. ( N ` Y ) ) ) $=
      ( vx wcel w3a co cfv cmul cle eqid syl wceq cc0 ccph cabs ctcph cdiv csca
      cnm cbs cphl simp1 cphphl ccnfld cress cphsca cv cr csqrt cphsqrtcl sylan
      wbr ipge0 simp2 simp3 ipcau2 cphtcphnm fveq1d oveq12d breqtrrd ) DUAKZECK
      ZFCKZLZEFAMUBNEDUCNZUFNZNZFVMNZOMEBNZFBNZOMPVKJFEAMFFAMUDMZDUENZVLAVSUGNZ
      VMCDEFVLQZGVSQZVKVHDUHKVHVIVJUIZDUJRVKVHVSUKVTULMSWCVSVTDWBVTQZUMRHVKVHJU
      NZVTKWEUOKTWEPUSLWEUPNVTKWCWEVSVTDWBWDUQURVKVHWECKTWEWEAMPUSWCWEACDGHUTUR
      WDVMQVRQVHVIVJVAVHVIVJVBVCVKVPVNVQVOOVKEBVMVKVHBVMSWCVLBDWAIVDRZVEVKFBVMW
      FVEVFVG $.
  $}

  ${
    nmpar.v $e |- V = ( Base ` W ) $.
    nmpar.p $e |- .+ = ( +g ` W ) $.
    nmpar.m $e |- .- = ( -g ` W ) $.
    nmpar.n $e |- N = ( norm ` W ) $.
    ${
      nmpar.h $e |- ., = ( .i ` W ) $.
      nmpar.f $e |- F = ( Scalar ` W ) $.
      nmpar.k $e |- K = ( Base ` F ) $.
      nmpar.1 $e |- ( ph -> W e. CPreHil ) $.
      nmpar.2 $e |- ( ph -> A e. V ) $.
      nmpar.3 $e |- ( ph -> B e. V ) $.
      $( Lemma for ~ nmpar .  (Contributed by Mario Carneiro, 7-Oct-2015.) $)
      nmparlem $p |- ( ph ->
        ( ( ( N ` ( A .+ B ) ) ^ 2 ) + ( ( N ` ( A .- B ) ) ^ 2 ) ) =
         ( 2 x. ( ( ( N ` A ) ^ 2 ) + ( ( N ` B ) ^ 2 ) ) ) ) $=
        ( co caddc cfv c2 cexp cmul cmin cph2di cph2subdi oveq12d cclm wcel wss
        cc ccph cphclm syl clmsscn cphl cphphl ipcl syl3anc clmacl sseldd eqtrd
        ppncand wceq clmod cphlmod lmodvacl nmsq syl2anc oveq2d 2timesd 3eqtr4d
        lmodvsubcl ) ABCDUBZVRFUBZBCHUBZVTFUBZUCUBZBBFUBZCCFUBZUCUBZWEUCUBZVRIU
        DUEUFUBZVTIUDUEUFUBZUCUBUEBIUDUEUFUBZCIUDUEUFUBZUCUBZUGUBZAWBWEBCFUBZCB
        FUBZUCUBZUCUBZWEWOUHUBZUCUBWFAVSWPWAWQUCABCBCDFJKPLMSTUATUAUIABCBCFHJKP
        LNSTUATUAUJUKAWEWOWEAGUOWEAKULUMZGUOUNAKUPUMZWRSKUQURZEGKQRUSURZAWRWCGU
        MZWDGUMZWEGUMWTAKUTUMZBJUMZXEXBAWSXDSKVAURZTTBBEFGJKQPLRVBVCAXDCJUMZXGX
        CXFUAUACCEFGJKQPLRVBVCEGKWCWDQRVDVCVEZAGUOWOXAAWRWMGUMZWNGUMZWOGUMWTAXD
        XEXGXIXFTUABCEFGJKQPLRVBVCAXDXGXEXJXFUATCBEFGJKQPLRVBVCEGKWMWNQRVDVCVEX
        HVGVFAWGVSWHWAUCAWSVRJUMZWGVSVHSAKVIUMZXEXGXKAWSXLSKVJURZTUADJKBCLMVKVC
        VRFIJKLPOVLVMAWSVTJUMZWHWAVHSAXLXEXGXNXMTUAHJKBCLNVQVCVTFIJKLPOVLVMUKAW
        LUEWEUGUBWFAWKWEUEUGAWIWCWJWDUCAWSXEWIWCVHSTBFIJKLPOVLVMAWSXGWJWDVHSUAC
        FIJKLPOVLVMUKVNAWEXHVOVFVP $.
    $}

    $( A subcomplex pre-Hilbert space satisfies the parallelogram law.
       (Contributed by Mario Carneiro, 7-Oct-2015.) $)
    nmpar $p |- ( ( W e. CPreHil /\ A e. V /\ B e. V ) ->
      ( ( ( N ` ( A .+ B ) ) ^ 2 ) + ( ( N ` ( A .- B ) ) ^ 2 ) ) =
        ( 2 x. ( ( ( N ` A ) ^ 2 ) + ( ( N ` B ) ^ 2 ) ) ) ) $=
      ( ccph wcel w3a csca cfv cip cbs eqid simp1 simp2 simp3 nmparlem ) GLMZAF
      MZBFMZNABCGOPZGQPZUGRPZDEFGHIJKUHSUGSUISUDUEUFTUDUEUFUAUDUEUFUBUC $.
  $}

  ${
    $d k N $.  $d k A $.  $d k B $.  $d k X $.
    cphipfval.x $e |- X = ( Base ` W ) $.
    cphipfval.p $e |- .+ = ( +g ` W ) $.
    cphipfval.s $e |- .x. = ( .s ` W ) $.
    cphipfval.n $e |- N = ( norm ` W ) $.
    cphipfval.i $e |- ., = ( .i ` W ) $.
    ${
      cphipval2.m $e |- .- = ( -g ` W ) $.
      cphipval2.f $e |- F = ( Scalar ` W ) $.
      cphipval2.k $e |- K = ( Base ` F ) $.
      $( Value of the inner product expressed by the norm defined by it.
         (Contributed by NM, 31-Jan-2007.)  (Revised by AV, 18-Oct-2021.) $)
      cphipval2 $p |- ( ( ( W e. CPreHil /\ _i e. K ) /\ A e. X /\ B e. X )
       -> ( A ., B ) = ( ( ( ( ( N ` ( A .+ B ) ) ^ 2 ) -
                         ( ( N ` ( A .- B ) ) ^ 2 ) ) +
                         ( _i x. ( ( ( N ` ( A .+ ( _i .x. B ) ) ) ^ 2 ) -
                         ( ( N ` ( A .- ( _i .x. B ) ) ) ^ 2 ) ) ) ) / 4 ) ) $=
        ( co ccph wcel ci wa w3a cfv c2 cexp cmin cmul caddc c4 cdiv wceq simpl
        3ad2ant1 cgrp cngp cphngp adantr ngpgrp syl grpcl syl3an1 syl2anc simp2
        nmsq simp3 cph2di eqtrd grpsubcl cph2subdi oveq12d cc cr reipcl adantlr
        recnd 3adant3 3adant2 addcld cphipcl 3com23 pnncand clmod cphlmod simpr
        simplr lmodvscl syl3anc oveq2d cneg cphassi ax-icn negicn mulcld adddid
        cphassir a1i c1 mulassd mulneg2i negeqi negneg1e1 3eqtri oveq1i eqtr3di
        ixi mulid2d oveq1d addneg1mul 3eqtrd subcld ppncand 2timesd eqcomd 2cnd
        add4d adddird 2p2e4 3eqtr2d 4cn cc0 wne 4ne0 divcan3d 3eqtrrd ) JUAUBZU
        CGUBZUDZAKUBZBKUBZUEZABCTZIUFUGUHTZABHTZIUFUGUHTZUITZUCAUCBDTZCTZIUFUGU
        HTZAYSHTZIUFUGUHTZUITZUJTZUKTZULUMTABFTZBAFTZUKTZUUIUKTZUUGUUHUITZUUKUK
        TZUKTZULUMTUUGUUGUKTZUUNUKTZULUMTZUUGYMUUFUUMULUMYMYRUUJUUEUULUKYMYRAAF
        TZBBFTZUKTZUUIUKTZUUSUUIUITZUITUUJYMYOUUTYQUVAUIYMYOYNYNFTZUUTYMYHYNKUB
        ZYOUVBUNYJYKYHYLYHYIUOZUPZYJJUQUBZYKYLUVCYJJURUBZUVFYHUVGYIJUSUTJVAVBZK
        CJABLMVCVDYNFIKJLPOVGVEYMABABCFKJPLMUVEYJYKYLVFZYJYKYLVHZUVIUVJVIVJYMYQ
        YPYPFTZUVAYMYHYPKUBZYQUVKUNUVEYJUVFYKYLUVLUVHKJHABLQVKVDYPFIKJLPOVGVEYM
        ABABFHKJPLQUVEUVIUVJUVIUVJVLVJVMYMUUSUUIUUIYMUUQUURYJYKUUQVNUBYLYJYKUDU
        UQYHYKUUQVOUBYIAFKJLPVPVQVRVSZYJYLUURVNUBYKYJYLUDZUURYHYLUURVOUBYIBFKJL
        PVPVQVRVTWAYMUUGUUHYJYHYKYLUUGVNUBZUVDABFKJLPWBVDZYJYLYKUUHVNUBZYJYHYLY
        KUVQUVDBAFKJLPWBVDWCZWAZUVSWDVJYMUUEUCUUQYSYSFTZUKTZAYSFTZYSAFTZUKTZUKT
        ZUWAUWDUITZUITZUJTUCUWDUWDUKTZUJTZUULYMUUDUWGUCUJYMUUAUWEUUCUWFUIYMUUAY
        TYTFTZUWEYMYHYTKUBZUUAUWJUNUVEYMUVFYKYSKUBZUWKYJYKUVFYLUVHUPZUVIYJYLUWL
        YKUVNJWEUBZYIYLUWLYJUWNYLYHUWNYIJWFUTUTYHYIYLWHYJYLWGUCDEGKJBLRNSWIWJVT
        ZKCJAYSLMVCWJYTFIKJLPOVGVEYMAYSAYSCFKJPLMUVEUVIUWOUVIUWOVIVJYMUUCUUBUUB
        FTZUWFYMYHUUBKUBZUUCUWPUNUVEYMUVFYKUWLUWQUWMUVIUWOKJHAYSLQVKWJUUBFIKJLP
        OVGVEYMAYSAYSFHKJPLQUVEUVIUWOUVIUWOVLVJVMWKYMUWGUWHUCUJYMUWAUWDUWDYMUUQ
        UVTUVMYMYHUWLUWLUVTVNUBUVEUWOUWOYSYSFKJLPWBWJWAYMUWBUWCYMYHYKUWLUWBVNUB
        UVEUVIUWOAYSFKJLPWBWJYMYHUWLYKUWCVNUBUVEUWOUVIYSAFKJLPWBWJWAZUWRWDWKYMU
        WIUCUCWLZUUGUJTZUCUUHUJTZUKTZUXBUKTZUJTUCUXBUJTZUXDUKTZUULYMUWHUXCUCUJY
        MUWDUXBUWDUXBUKYMUWBUWTUWCUXAUKABDEFGJKLNPRSWRABDEFGJKLNPRSWMVMZUXFVMWK
        YMUCUXBUXBUCVNUBYMWNWSZYMUWTUXAYMUWSUUGUWSVNUBYMWOWSZUVPWPZYMUCUUHUXGUV
        RWPZWAZUXKWQYMUXEWTUUGUJTZWTWLZUUHUJTZUKTZUXOUKTUULYMUXDUXOUXDUXOUKYMUX
        DUCUWTUJTZUCUXAUJTZUKTUXOYMUCUWTUXAUXGUXIUXJWQYMUXPUXLUXQUXNUKYMUCUWSUJ
        TZUUGUJTUXPUXLYMUCUWSUUGUXGUXHUVPXAUXRWTUUGUJUXRUCUCUJTZWLUXMWLWTUCUCWN
        WNXBUXSUXMXHXCXDXEXFXGYMUXSUUHUJTUXQUXNYMUCUCUUHUXGUXGUVRXAUXSUXMUUHUJX
        HXFXGVMVJZUXTVMYMUXOUUKUXOUUKUKYMUXOUUGUXNUKTZUUKYMUXLUUGUXNUKYMUUGUVPX
        IXJYMUVOUVQUYAUUKUNUVPUVRUUGUUHXKVEVJZUYBVMVJXLXLVMXJYMUUMUUOULUMYMUUMU
        UIUUKUKTZUYCUKTUUOYMUUIUUIUUKUUKUVSUVSYMUUGUUHUVPUVRXMZUYDXRYMUYCUUNUYC
        UUNUKYMUUGUUHUUGUVPUVRUVPXNZUYEVMVJXJYMUUPULUUGUJTZULUMTUUGYMUUOUYFULUM
        YMUUOUGUUGUJTZUYGUKTUGUGUKTZUUGUJTUYFYMUUNUYGUUNUYGUKYMUYGUUNYMUUGUVPXO
        XPZUYIVMYMUGUGUUGYMXQZUYJUVPXSYMUYHULUUGUJUYHULUNYMXTWSXJYAXJYMUUGULUVP
        ULVNUBYMYBWSULYCYDYMYEWSYFVJYG $.

      $( Four times the inner product value ~ cphipval2 .  (Contributed by NM,
         1-Feb-2008.)  (Revised by AV, 18-Oct-2021.) $)
      4cphipval2 $p |- ( ( ( W e. CPreHil /\ _i e. K ) /\ A e. X /\ B e. X )
           -> ( 4 x. ( A ., B ) )
              = ( ( ( ( N ` ( A .+ B ) ) ^ 2 ) - ( ( N ` ( A .- B ) ) ^ 2 ) ) +
                              ( _i x. ( ( ( N ` ( A .+ ( _i .x. B ) ) ) ^ 2 ) -
                              ( ( N ` ( A .- ( _i .x. B ) ) ) ^ 2 ) ) ) ) ) $=
        ( wcel ccph ci wa w3a c4 co cmul cfv c2 cexp cmin cdiv cphipval2 oveq2d
        caddc cc ccnfld csubrg cphsubrg cnfldbas subrgss adantr 3ad2ant1 simp1l
        wss syl cgrp cngp cphngp ngpgrp syl3an1 cphnmcl syl2anc sseldd grpsubcl
        grpcl sqcld subcld ax-icn a1i simp2 clmod cphlmod simp1r simp3 lmodvscl
        syl3anc mulcld addcld 4cn cc0 wne 4ne0 divcan2d eqtrd ) JUATZUBGTZUCZAK
        TZBKTZUDZUEABFUFZUGUFUEABCUFZIUHZUIUJUFZABHUFZIUHZUIUJUFZUKUFZUBAUBBDUF
        ZCUFZIUHZUIUJUFZAXJHUFZIUHZUIUJUFZUKUFZUGUFZUOUFZUEULUFZUGUFXSXAXBXTUEU
        GABCDEFGHIJKLMNOPQRSUMUNXAXSUEXAXIXRXAXEXHXAXDXAGUPXDWRWSGUPVEZWTWPYAWQ
        WPGUQURUHTYAEGJRSUSGUPUQUTVAVFVBVCZXAWPXCKTZXDGTWPWQWSWTVDZWRJVGTZWSWTY
        CWPYEWQWPJVHTYEJVIJVJVFZVBZKCJABLMVPVKXCEFGIKJLPORSVLVMVNVQXAXGXAGUPXGY
        BXAWPXFKTZXGGTYDWRYEWSWTYHYGKJHABLQVOVKXFEFGIKJLPORSVLVMVNVQVRXAUBXQUBU
        PTXAVSVTXAXMXPXAXLXAGUPXLYBXAWPXKKTZXLGTYDXAYEWSXJKTZYIXAWPYEYDYFVFZWRW
        SWTWAZXAJWBTZWQWTYJWRWSYMWTWPYMWQJWCVBVCWPWQWSWTWDWRWSWTWEUBDEGKJBLRNSW
        FWGZKCJAXJLMVPWGXKEFGIKJLPORSVLVMVNVQXAXOXAGUPXOYBXAWPXNKTZXOGTYDXAYEWS
        YJYOYKYLYNKJHAXJLQVOWGXNEFGIKJLPORSVLVMVNVQVRWHWIUEUPTXAWJVTUEWKWLXAWMV
        TWNWO $.
    $}

    $d K k $.  $d W k $.  $d .+ k $.  $d .x. k $.
    cphipval.f $e |- F = ( Scalar ` W ) $.
    cphipval.k $e |- K = ( Base ` F ) $.
    $( Value of the inner product expressed by a sum of terms with the norm
       defined by the inner product.  Equation 6.45 of [Ponnusamy] p. 361.
       (Contributed by NM, 31-Jan-2007.)  (Revised by AV, 18-Oct-2021.) $)
    cphipval $p |- ( ( ( W e. CPreHil /\ _i e. K ) /\ A e. X /\ B e. X )
                     -> ( A ., B ) = ( sum_ k e. ( 1 ... 4 ) ( ( _i ^ k ) x.
                     ( ( N ` ( A .+ ( ( _i ^ k ) .x. B ) ) ) ^ 2 ) ) / 4 ) ) $=
      ( wcel co ccph ci wa w3a cfv c2 cexp csg cmin cmul caddc c4 c1 cfz cv csu
      cdiv eqid cphipval2 cneg cc wceq ax-icn a1i simp1l cgrp cphngp ngpgrp syl
      cngp adantr 3ad2ant1 simp2 clmod cphlmod 3anim1i lmodvscl 3adant2 syl3anc
      3expa grpcl nmsq syl2anc cr reipcl recnd eqeltrd mulcld cclm cphclm simp3
      clmneg1 addneg1mul clmvsubval eqcomd syl3an1 fveq2d oveq1d oveq2d cminusg
      eqtrd simp1r clmvsneg grpsubval eqtr4d oveq12d anim1i clmvs1 mulid2d nnuz
      cn c3 df-4 oveq2 eqtrdi nnnn0 expcld adantl cmodscexp sylan df-3 cn0 df-2
      i4 i3 i2 cz 1z exp1 ax-mp fsum1 sylancr 1nn jctil fsump1i simprd grpsubcl
      eqidd subcld addcomd subadd23d subdid 3eqtr2d negsubd mulneg1d 3eqtr4rd
      sub32d eqtr3d ) JUASZUBHSZUCZAKSZBKSZUDZABGTABCTZIUEZUFUGTZABJUHUEZTZIUEZ
      UFUGTZUITZUBAUBBDTZCTZIUEZUFUGTZAUVCUURTZIUEZUFUGTZUITZUJTZUKTZULUQTUMULU
      NTUBEUOZUGTZAUVNBDTZCTZIUEZUFUGTZUJTZEUPZULUQTABCDFGHUURIJKLMNOPUURURZQRU
      SUUNUVLUVTULUQUUNUBUVFUJTZUMUTZAUWCBDTZCTZIUEZUFUGTZUJTZUKTZUBUTZAUWJBDTZ
      CTZIUEZUFUGTZUJTZUKTZUMAUMBDTZCTZIUEZUFUGTZUJTZUKTZUWBUVAUITZUWJUVIUJTZUK
      TZUUQUKTZUVTUVLUUNUWPUXEUXAUUQUKUUNUWIUXCUWOUXDUKUUNUWIUWBUWGUITZUXCUUNUW
      BVASZUWGVASUWIUXGVBUUNUBUVFUBVASZUUNVCVDZUUNUVFUVDUVDGTZVAUUNUUIUVDKSZUVF
      UXKVBUUIUUJUULUUMVEZUUNJVFSZUULUVCKSZUXLUUKUULUXNUUMUUIUXNUUJUUIJVJSUXNJV
      GJVHVIVKZVLZUUKUULUUMVMZUUKUUMUXOUULUUKUUMUCJVNSZUUJUUMUDZUXOUUIUUJUUMUXT
      UUIUXSUUJUUMJVOZVPVTUBDFHKJBLQNRVQVIVRZKCJAUVCLMWAVSZUVDGIKJLPOWBWCUUNUXK
      UUNUUIUXLUXKWDSUXMUYCUVDGKJLPWEWCWFWGZWHZUUNUWGUUNUWGUWEUWEGTZWDUUNUUIUWE
      KSZUWGUYFVBUXMUUNUXNUULUWDKSZUYGUXQUXRUUNUXSUWCHSZUUMUYHUUKUULUXSUUMUUIUX
      SUUJUYAVKVLZUUKUULUYIUUMUUIUYIUUJUUIJWISZUYIJWJZFHJQRWLVIVKVLUUKUULUUMWKZ
      UWCDFHKJBLQNRVQVSKCJAUWDLMWAVSZUWEGIKJLPOWBWCUUNUUIUYGUYFWDSUXMUYNUWEGKJL
      PWEWCWGWFUWBUWGWMWCUUNUWGUVAUWBUIUUNUWFUUTUFUGUUNUWEUUSIUUKUYKUULUUMUWEUU
      SVBUUIUYKUUJUYLVKZUYKUULUUMUDUUSUWEABCDFUURKJLMUWAQNWNWOWPWQWRWSXAUUNUWNU
      VIUWJUJUUNUWMUVHUFUGUUNUWLUVGIUUNUWLAUVCJWTUEZUEZCTZUVGUUNUWKUYQACUUNUYQU
      WKUUNKUBDFHUYPJBLQNUYPURZRUUKUULUYKUUMUYOVLUYMUUIUUJUULUUMXBXCWOWSUUNUULU
      XOUVGUYRVBUXRUYBKCJUYPUURAUVCLMUYSUWAXDWCXEWQWRWSXFUUNUXAUMUUQUJTUUQUUNUW
      TUUQUMUJUUNUWSUUPUFUGUUNUWRUUOIUUNUWQBACUUNUYKUUMUCZUWQBVBUUKUUMUYTUULUUK
      UYKUUMUYOXGVRDKJBLNXHVIWSWQWRWSUUNUUQUUNUUQUUNUUQUUOUUOGTZWDUUNUUIUUOKSZU
      UQVUAVBUXMUUKUXNUULUUMVUBUXPKCJABLMWAWPZUUOGIKJLPOWBWCUUNUUIVUBVUAWDSUXMV
      UCUUOGKJLPWEWCWGWFZXIXAXFUUNULXKSUVTUXBVBUUNUVSUXAUWPUXBEXLUMULXKXJXMUVMU
      LVBZUVNUMUVRUWTUJVUEUVNUBULUGTUMUVMULUBUGXNYDXOZVUEUVQUWSUFUGVUEUVPUWRIVU
      EUVOUWQACVUEUVNUMBDVUFWRWSWQWRXFUUNUVMXKSZUCZUVNUVRVUGUVNVASUUNVUGUBUVMUX
      IVUGVCVDUVMXPZXQXRVUHUVRUVPUVPGTZVAVUHUUIUVPKSZUVRVUJVBUUNUUIVUGUXMVKZVUH
      UXNUULUVOKSZVUKUUNUXNVUGUXQVKUUNUULVUGUXRVKVUHUXSUVNHSZUUMVUMUUNUXSVUGUYJ
      VKUUNUYKUUJUCZVUGVUNUUKUULVUOUUMUUIUYKUUJUYLXGVLFHUVMJQRXSXTUUNUUMVUGUYMV
      KUVNDFHKJBLQNRVQVSKCJAUVOLMWAVSZUVPGIKJLPOWBWCZVUHVUJVUHUUIVUKVUJWDSVULVU
      PUVPGKJLPWEZWCWFWGZWHUUNUVSUWOUWIUWPEUFUMXLXKXJYAUVMXLVBZUVNUWJUVRUWNUJVU
      TUVNUBXLUGTUWJUVMXLUBUGXNYEXOZVUTUVQUWMUFUGVUTUVPUWLIVUTUVOUWKACVUTUVNUWJ
      BDVVAWRWSWQWRXFVUHUVNUVRVUHUBUVMUXIVUHVCVDVUGUVMYBSUUNVUIXRXQZVUHUVRVUJVA
      VUQVUHUUIVUKVUJVASVULVUPUUIVUKUCVUJVURWFWCWGWHUUNUVSUWHUWBUWIEUMUMUFXKXJY
      CUVMUFVBZUVNUWCUVRUWGUJVVCUVNUBUFUGTUWCUVMUFUBUGXNYFXOZVVCUVQUWFUFUGVVCUV
      PUWEIVVCUVOUWDACVVCUVNUWCBDVVDWRWSWQWRXFVUHUVNUVRVVBVUSWHUUNUMUMUNTUVSEUP
      UWBVBZUMXKSUUNUMYGSUXHVVEYHUYEUVSUWBEUMUVMUMVBZUVNUBUVRUVFUJVVFUVNUBUMUGT
      ZUBUVMUMUBUGXNUXIVVGUBVBVCUBYIYJXOZVVFUVQUVEUFUGVVFUVPUVDIVVFUVOUVCACVVFU
      VNUBBDVVHWRWSWQWRXFYKYLYMYNUUNUWIYRYOUUNUWPYRYOUUNUXBYRYOYPUUNUVLUXCUBUVI
      UJTZUITZUUQUKTZUXFUUNUVLUVKUVBUKTUVKUVAUITZUUQUKTVVKUUNUVBUVKUUNUUQUVAVUD
      UUNUVAUUNUVAUUSUUSGTZWDUUNUUIUUSKSZUVAVVMVBUXMUUKUXNUULUUMVVNUXPKJUURABLU
      WAYQWPZUUSGIKJLPOWBWCUUNUUIVVNVVMWDSUXMVVOUUSGKJLPWEWCWGWFZYSUUNUBUVJUXJU
      UNUVFUVIUYDUUNUVIUUNUVIUVGUVGGTZWDUUNUUIUVGKSZUVIVVQVBUXMUUNUXNUULUXOVVRU
      XQUXRUYBKJUURAUVCLUWAYQVSZUVGGIKJLPOWBWCUUNUUIVVRVVQWDSUXMVVSUVGGKJLPWEWC
      WGWFZYSWHZYTUUNUVKUVAUUQVWAVVPVUDUUAUUNVVLVVJUUQUKUUNVVLUWBVVIUITZUVAUITV
      VJUUNUVKVWBUVAUIUUNUBUVFUVIUXJUYDVVTUUBWRUUNUWBVVIUVAUYEUUNUBUVIUXJVVTWHZ
      VVPUUGXAWRUUCUUNVVJUXEUUQUKUUNUXCVVIUTZUKTVVJUXEUUNUXCVVIUUNUWBUVAUYEVVPY
      SVWCUUDUUNVWDUXDUXCUKUUNUXDVWDUUNUBUVIUXJVVTUUEWOWSUUHWRXAUUFWRXA $.
  $}

  ${
    $d r A $.  $d r B $.  $d r D $.  $d x y ph $.  $d r x y T $.  $d r x y U $.
    $d r ., $.  $d r R $.  $d r y V $.
    ipcn.v $e |- V = ( Base ` W ) $.
    ipcn.h $e |- ., = ( .i ` W ) $.
    ipcn.d $e |- D = ( dist ` W ) $.
    ipcn.n $e |- N = ( norm ` W ) $.
    ipcn.t $e |- T = ( ( R / 2 ) / ( ( N ` A ) + 1 ) ) $.
    ipcn.u $e |- U = ( ( R / 2 ) / ( ( N ` B ) + T ) ) $.
    ipcn.w $e |- ( ph -> W e. CPreHil ) $.
    ipcn.a $e |- ( ph -> A e. V ) $.
    ipcn.b $e |- ( ph -> B e. V ) $.
    ipcn.r $e |- ( ph -> R e. RR+ ) $.
    ${
      ipcn.x $e |- ( ph -> X e. V ) $.
      ipcn.y $e |- ( ph -> Y e. V ) $.
      ipcn.1 $e |- ( ph -> ( A D X ) < U ) $.
      ipcn.2 $e |- ( ph -> ( B D Y ) < T ) $.
      $( The inner product operation of a subcomplex pre-Hilbert space is
         continuous.  (Contributed by Mario Carneiro, 13-Oct-2015.) $)
      ipcnlem2 $p |- ( ph -> ( abs ` ( ( A ., B ) - ( X ., Y ) ) ) < R ) $=
        ( co ccph wcel cc cphipcl syl3anc rpred cmin cabs c1 caddc cmul c2 cdiv
        cfv subcld abscld cngp cr cnlm cphnlm syl nlmngp nmcl syl2anc cc0 nmge0
        cle wbr ge0p1rpd cms mscl remulcld rehalfcld csg wceq cphsubdi syl13anc
        ngpms eqid fveq2d cgrp ngpgrp grpsubcl ipcau ngpds oveq2d breqtrrd cxms
        eqbrtrrd msxms xmsge0 lep1d lemul1ad breqtrdi ltmuldiv2d mpbird lelttrd
        letrd clt crp rphalfcld rpdivcld eqeltrid readdcld oveq1d nm2dif ngpdsr
        cphsubdir resubcld ltled lesubadd2d mpbid lemul2ad wb ltaddrpd ltmuldiv
        0red syl112anc abs3lemd ) ABCHUHZLMHUHZBMHUHZEAKUIUJZBJUJZCJUJZYHUKUJTU
        AUBBCHJKNOULUMZAYKLJUJZMJUJZYIUKUJTUDUELMHJKNOULUMZAYKYLYPYJUKUJTUAUEBM
        HJKNOULUMZAEUCUNZAYHYJUOUHZUPVBZBIVBZUQURUHZCMDUHZUSUHZEUTVAUHZAYTAYHYJ
        YNYRVCVDZAUUCUUDAUUCAUUBAKVEUJZYLUUBVFUJAKVGUJZUUHAYKUUITKVHVIKVJVIZUAB
        KIJNQVKVLZAUUHYLVMUUBVOVPUUJUABKIJNQVNVLVQZUNZAKVRUJZYMYPUUDVFUJAUUHUUN
        UUJKWFVIZUBUECMDKJNPVSUMZVTZAEYSWAZAUUAUUBUUDUSUHZUUEUUGAUUBUUDUUKUUPVT
        UUQABCMKWBVBZUHZHUHZUPVBZUUAUUSVOAUVBYTUPAYKYLYMYPUVBYTWCTUAUBUEBCMHUUT
        JKONUUTWGZWDWEWHAUVCUUBUVAIVBZUSUHZUUSVOAYKYLUVAJUJZUVCUVFVOVPTUAAKWIUJ
        ZYMYPUVGAUUHUVHUUJKWJVIZUBUEJKUUTCMNUVDWKUMHIJKBUVANOQWLUMAUUDUVEUUBUSA
        UUHYMYPUUDUVEWCUUJUBUECMDKUUTIJQNUVDPWMUMWNWOWQAUUBUUCUUDUUKUUMUUPAKWPU
        JZYMYPVMUUDVOVPAUUNUVJUUOKWRVIZUBUECMDKJNPWSUMAUUBUUKWTXAXFAUUEUUFXGVPU
        UDUUFUUCVAUHZXGVPAUUDFUVLXGUGRXBAUUDUUFUUCUUPUURUULXCXDXEAYJYIUOUHZUPVB
        ZBLDUHZCIVBZFURUHZUSUHZUUFAUVMAYJYIYRYQVCVDZAUVOUVQAUUNYLYOUVOVFUJZUUOU
        AUDBLDKJNPVSUMZAUVPFAUUHYMUVPVFUJUUJUBCKIJNQVKVLZAFAFUVLXHRAUUFUUCAEUCX
        IUULXJXKZUNZXLZVTZUURAUVNUVOMIVBZUSUHZUVRUVSAUVOUWGUWAAUUHYPUWGVFUJUUJU
        EMKIJNQVKVLZVTUWFABLUUTUHZMHUHZUPVBZUVNUWHVOAUWKUVMUPAYKYLYOYPUWKUVMWCT
        UAUDUEBLMHUUTJKONUVDXPWEWHAUWLUWJIVBZUWGUSUHZUWHVOAYKUWJJUJZYPUWLUWNVOV
        PTAUVHYLYOUWOUVIUAUDJKUUTBLNUVDWKUMUEHIJKUWJMNOQWLUMAUVOUWMUWGUSAUUHYLY
        OUVOUWMWCUUJUAUDBLDKUUTIJQNUVDPWMUMXMWOWQAUWGUVQUVOUWIUWEUWAAUVJYLYOVMU
        VOVOVPUVKUAUDBLDKJNPWSUMAUWGUVPUOUHZFVOVPUWGUVQVOVPAUWPUUDFAUWGUVPUWIUW
        BXQUUPUWDAUWPMCUUTUHIVBZUUDVOAUUHYPYMUWPUWQVOVPUUJUEUBMCKUUTIJNQUVDXNUM
        AUUHYMYPUUDUWQWCUUJUBUECMDKUUTIJQNUVDPXOUMWOAUUDFUUPUWDUGXRXFAUWGUVPFUW
        IUWBUWDXSXTYAXFAUVRUUFXGVPZUVOUUFUVQVAUHZXGVPZAUVOGUWSXGUFSXBAUVTUUFVFU
        JUVQVFUJVMUVQXGVPUWRUWTYBUWAUURUWEAVMUVPUVQAYEUWBUWEAUUHYMVMUVPVOVPUUJU
        BCKIJNQVNVLAUVPFUWBUWCYCXEUVOUUFUVQYDYFXDXEYG $.
    $}

    $( The inner product operation of a subcomplex pre-Hilbert space is
       continuous.  (Contributed by Mario Carneiro, 13-Oct-2015.) $)
    ipcnlem1 $p |- ( ph -> E. r e. RR+ A. x e. V A. y e. V
      ( ( ( A D x ) < r /\ ( B D y ) < r ) ->
        ( abs ` ( ( A ., B ) - ( x ., y ) ) ) < R ) ) $=
      ( cle wbr cif crp wcel cv co clt wa cmin cabs cfv wi wral wrex c2 cdiv c1
      caddc rphalfcld cngp cr cnlm ccph cphnlm syl nlmngp nmcl syl2anc ge0p1rpd
      nmge0 rpdivcld eqeltrid rpred readdcld 0red ltaddrpd lelttrd elrpd adantr
      cc0 ifcld simprll simprlr ngpms mscl syl3anc simprrl min2 ltletrd simprrr
      min1 ipcnlem2 expr ralrimivva wceq breq2 anbi12d imbi1d 2ralbidv rspcev
      cms ) AHIUEUFZHIUGZUHUIZDBUJZFUKZXHULUFZECUJZFUKZXHULUFZUMZDEJUKXJXMJUKUN
      UKUOUPGULUFZUQZCLURBLURZXKNUJZULUFZXNXTULUFZUMZXQUQZCLURBLURZNUHUSAXGHIUH
      AHGUTVAUKZDKUPZVBVCUKZVAUKUHSAYFYHAGUDVDZAYGAMVEUIZDLUIZYGVFUIAMVGUIZYJAM
      VHUIZYLUAMVIVJMVKVJZUBDMKLORVLVMAYJYKWEYGUEUFYNUBDMKLORVOVMVNVPVQZAIYFEKU
      PZHVCUKZVAUKUHTAYFYQYIAYQAYPHAYJELUIZYPVFUIYNUCEMKLORVLVMZAHYOVRZVSZAWEYP
      YQAVTYSUUAAYJYRWEYPUEUFYNUCEMKLORVOVMAYPHYSYOWAWBWCVPVQZWFZAXRBCLLAXJLUIZ
      XMLUIZUMZXPXQAUUFXPUMZUMZDEFGHIJKLMXJXMOPQRSTAYMUUGUAWDAYKUUGUBWDZAYRUUGU
      CWDZAGUHUIUUGUDWDAUUDUUEXPWGZAUUDUUEXPWHZUUHXKXHIUUHMXFUIZYKUUDXKVFUIUUHY
      JUUMAYJUUGYNWDMWIZVJUUIUUKDXJFMLOQWJWKUUHXHAXIUUGUUCWDVRZAIVFUIZUUGAIUUBV
      RWDZAUUFXLXOWLUUHHVFUIZUUPXHIUEUFAUURUUGYTWDZUUQHIWMVMWNUUHXNXHHUUHUUMYRU
      UEXNVFUIAUUMUUGAYJUUMYNUUNVJWDUUJUULEXMFMLOQWJWKUUOUUSAUUFXLXOWOUUHUURUUP
      XHHUEUFUUSUUQHIWPVMWNWQWRWSYEXSNXHUHXTXHWTZYDXRBCLLUUTYCXPXQUUTYAXLYBXOXT
      XHXKULXAXTXHXNULXAXBXCXDXEVM $.
  $}

  ${
    $d r s w x y z ., $.  $d r s x y K $.  $d r s w x y z W $.
    ipcn.f $e |- ., = ( .if ` W ) $.
    ipcn.j $e |- J = ( TopOpen ` W ) $.
    ipcn.k $e |- K = ( TopOpen ` CCfld ) $.
    $( The inner product operation of a subcomplex pre-Hilbert space is
       continuous.  (Contributed by Mario Carneiro, 13-Oct-2015.) $)
    ipcn $p |- ( W e. CPreHil -> ., e. ( ( J tX J ) Cn K ) ) $=
      ( vz vs vw vr wcel cfv co cc clt wa wral crp eqid vx vy ccph cds cbs cres
      cxp cmopn ctx ccn wf cv wbr cabs cmin ccom wi wrex csca cphphl phlipf syl
      cphl cclm wss cphclm clmsscn fssd cip c2 cdiv cnm c1 caddc simpll simplrl
      simplrr simpr ipcnlem1 ralrimiva simprl ovresd breq1d simprr anbi12d wceq
      ad2antrr fovrnd cnmetdval syl2anc ipfval adantl oveq12d imbi12d 2ralbidva
      fveq2d eqtrd rexbidv ralbidv mpbird ralrimivva cxmet cxms cms cngp cphngp
      ngpms msxms xmsxmet cnxmet a1i cnfldtopn txmetcn syl3anc mpbir2and mstopn
      wb oveq1d eleqtrrd ) DUCLZADUDMZDUEMZYBUGZUFZUHMZYEUINZCUJNZBBUINZCUJNXTA
      YGLZYCOAUKZUAULZHULZYDNZIULZPUMZUBULZJULZYDNZYNPUMZQZYKYPANZYLYQANZUNUOUP
      ZNZKULZPUMZUQZJYBRHYBRZISURZKSRZUBYBRUAYBRZXTYCDUSMZUEMZOAXTDVCLYCUUMAUKD
      UTUULAUUMYBDYBTZEUULTZUUMTZVAVBXTDVDLUUMOVEDVFUULUUMDUUOUUPVGVBVHZXTUUJUA
      UBYBYBXTYKYBLZYPYBLZQZQZUUJYKYLYANZYNPUMZYPYQYANZYNPUMZQZYKYPDVIMZNZYLYQU
      VGNZUONZUNMZUUEPUMZUQZJYBRHYBRZISURZKSRUVAUVOKSUVAUUESLZQHJYKYPYAUUEUUEVJ
      VKNZYKDVLMZMVMVNNVKNZUVQYPUVRMUVSVNNVKNZUVGUVRYBDIUUNUVGTZYATUVRTUVSTUVTT
      XTUUTUVPVOXTUURUUSUVPVPXTUURUUSUVPVQUVAUVPVRVSVTUVAUUIUVOKSUVAUUHUVNISUVA
      UUGUVMHJYBYBUVAYLYBLZYQYBLZQZQZYTUVFUUFUVLUWEYOUVCYSUVEUWEYMUVBYNPUWEYKYL
      YAYBXTUURUUSUWDVPZUVAUWBUWCWAZWBWCUWEYRUVDYNPUWEYPYQYAYBXTUURUUSUWDVQZUVA
      UWBUWCWDZWBWCWEUWEUUDUVKUUEPUWEUUDUUAUUBUONZUNMZUVKUWEUUAOLUUBOLUUDUWKWFU
      WEYKYPOYBYBAXTYJUUTUWDUUQWGZUWFUWHWHUWEYLYQOYBYBAUWLUWGUWIWHUUAUUBUUCUUCT
      WIWJUWEUWJUVJUNUWEUUAUVHUUBUVIUOUWEUURUUSUUAUVHWFUWFUWHAUVGYBDYKYPUUNUWAE
      WKWJUWDUUBUVIWFUVAAUVGYBDYLYQUUNUWAEWKWLWMWPWQWCWNWOWRWSWTXAXTYDYBXBMLZUW
      MUUCOXBMLZYIYJUUKQXQXTDXCLZUWMXTDXDLZUWOXTDXELUWPDXFDXGVBZDXHVBYDDYBUUNYD
      TZXIVBZUWSUWNXTXJXKUAUBKIJHYDYDUUCAYEYECYBYBOYETZUWTCGXLXMXNXOXTYHYFCUJXT
      BYEBYEUIXTUWPBYEWFUWQYDBDYBFUUNUWRXPVBZUXAWMXRXS $.
  $}

  ${
    $d x y C $.  $d x y J $.  $d x K $.  $d x y ph $.  $d x y W $.  $d x y X $.
    $d x y Y $.
    cnmpt1ip.j $e |- J = ( TopOpen ` W ) $.
    cnmpt1ip.c $e |- C = ( TopOpen ` CCfld ) $.
    cnmpt1ip.h $e |- ., = ( .i ` W ) $.
    cnmpt1ip.r $e |- ( ph -> W e. CPreHil ) $.
    cnmpt1ip.k $e |- ( ph -> K e. ( TopOn ` X ) ) $.
    ${
      cnmpt1ip.a $e |- ( ph -> ( x e. X |-> A ) e. ( K Cn J ) ) $.
      cnmpt1ip.b $e |- ( ph -> ( x e. X |-> B ) e. ( K Cn J ) ) $.
      $( Continuity of inner product; analogue of ~ cnmpt12f which cannot be
         used directly because ` .i ` is not a function.  (Contributed by Mario
         Carneiro, 13-Oct-2015.) $)
      cnmpt1ip $p |- ( ph -> ( x e. X |-> ( A ., B ) ) e. ( K Cn C ) ) $=
        ( cfv co wcel cipf cmpt ccn cv wa cbs wceq ctopon ctps ccph cngp cphngp
        wf ngptps 3syl eqid istps sylib cnf2 syl3anc fvmptelrn ipfval mpteq2dva
        syl2anc ctx ipcn syl cnmpt12f eqeltrrd ) ABJCDIUARZSZUBBJCDFSZUBHEUCSAB
        JVKVLABUDJTUECIUFRZTDVMTVKVLUGABJCVMAHJUHRTZGVMUHRTZBJCUBZHGUCSZTJVMVPU
        MOAIUITZVOAIUJTZIUKTVRNIULIUNUOVMGIVMUPZKUQURZPVPHGJVMUSUTVAABJDVMAVNVO
        BJDUBZVQTJVMWBUMOWAQWBHGJVMUSUTVAVJFVMICDVTMVJUPZVBVDVCABCDVJHGGEJOPQAV
        SVJGGVESEUCSTNVJGEIWCKLVFVGVHVI $.
    $}

    cnmpt2ip.l $e |- ( ph -> L e. ( TopOn ` Y ) ) $.
    cnmpt2ip.a $e |- ( ph -> ( x e. X , y e. Y |-> A ) e.
                                ( ( K tX L ) Cn J ) ) $.
    cnmpt2ip.b $e |- ( ph -> ( x e. X , y e. Y |-> B ) e.
                                ( ( K tX L ) Cn J ) ) $.
    $( Continuity of inner product; analogue of ~ cnmpt22f which cannot be used
       directly because ` .i ` is not a function.  (Contributed by Mario
       Carneiro, 13-Oct-2015.) $)
    cnmpt2ip $p |- ( ph ->
        ( x e. X , y e. Y |-> ( A ., B ) ) e. ( ( K tX L ) Cn C ) ) $=
      ( cipf cfv co cmpo ctx ccn cv wcel wceq wa cbs wral cxp wf ctopon txtopon
      syl2anc ctps ccph cngp cphngp ngptps 3syl eqid istps sylib syl3anc sylibr
      cnf2 fmpo r19.21bi ipfval 3impa mpoeq3dva ipcn syl cnmpt22f eqeltrrd ) AB
      CLMDEKUBUCZUDZUEBCLMDEGUDZUEIJUFUDZFUGUDABCLMWAWBABUHLUIZCUHMUIZWAWBUJZAW
      DUKZWEUKDKULUCZUIZEWHUIZWFWGWICMAWICMUMZBLALMUNZWHBCLMDUEZUOZWKBLUMAWCWLU
      PUCUIZHWHUPUCUIZWMWCHUGUDZUIWNAILUPUCUIJMUPUCUIWORSIJLMUQURZAKUSUIZWPAKUT
      UIZKVAUIWSQKVBKVCVDWHHKWHVEZNVFVGZTWMWCHWLWHVJVHBCLMDWHWMWMVEVKVIVLVLWGWJ
      CMAWJCMUMZBLAWLWHBCLMEUEZUOZXCBLUMAWOWPXDWQUIXEWRXBUAXDWCHWLWHVJVHBCLMEWH
      XDXDVEVKVIVLVLVTGWHKDEXAPVTVEZVMURVNVOABCDEVTIJHHFLMRSTUAAWTVTHHUFUDFUGUD
      UIQVTHFKXFNOVPVQVRVS $.
  $}

  ${
    $d x y C $.  $d x y J $.  $d x y S $.  $d x y W $.
    csscld.c $e |- C = ( ClSubSp ` W ) $.
    csscld.j $e |- J = ( TopOpen ` W ) $.
    $( A "closed subspace" in a subcomplex pre-Hilbert space is actually closed
       in the topology induced by the norm, thus justifying the terminology
       "closed subspace".  (Contributed by Mario Carneiro, 13-Oct-2015.) $)
    csscld $p |- ( ( W e. CPreHil /\ S e. C ) -> S e. ( Clsd ` J ) ) $=
      ( vy vx wcel wa cfv cv co c0g wceq crab cin eqid syl cc ccph cuni cip cbs
      cocv csca ciin ccld cssi adantl wral wss ocvss ocvval mp1i riinrab ctopon
      eqtr4di ctps cnlm cphnlm adantr nlmngp ngptps istps sylib toponuni ineq1d
      cngp 3syl ctop topontop sseli cmpt ccnv csn cima cvv fvex mptiniseg ax-mp
      3eqtrd ccnfld ctopn ccn simpll cnmptid cnmptc cnmpt1ip cha cnfldhaus cclm
      simpr cc0 cphclm clm0 ad2antrr eqeltrrdi unicntop sylancr cnclima syl2anc
      0cn sncld eqeltrrid sylan2 ralrimiva riincld eqeltrd ) DUAIZBAIZJZBCUBZGB
      DUEKZKZHLZGLZDUCKZMZDUFKZNKZOZHDUDKZPZUGZQZCUHKZXLBXOXNKZYCYEQZYFXKBYHOXJ
      ABXNDXNRZEUIUJXLYHYBGXOUKHYCPZYIXOYCULYHYKOXLBXNYCDYCRZYJUMZHGXOXTXRXNYCD
      YAYLXRRZXTRZYARYJUNUOYBGHYCXOUPURXLYCXMYEXLCYCUQKIZYCXMOXLDUSIZYPXLDUTIZD
      VIIYQXJYRXKDVAVBDVCDVDVJYCCDYLFVEVFZYCCVGSVHWBXLCVKIZYDYGIZGXOUKYFYGIXLYP
      YTYSYCCVLSXLUUAGXOXQXOIXLXQYCIZUUAXOYCXQYMVMXLUUBJZYDHYCXSVNZVOYAVPZVQZYG
      YAVRIUUFYDOXTNVSHYCXSYAUUDVRUUDRVTWAUUCUUDCWCWDKZWEMIUUEUUGUHKIZUUFYGIUUC
      HXPXQUUGXRCCDYCFUUGRZYNXJXKUUBWFXLYPUUBYSVBZUUCHCYCUUJWGUUCHXQCCYCYCUUJUU
      JXLUUBWMWHWIUUCUUGWJIYATIUUHUUGUUIWKUUCYAWNTXJWNYAOZXKUUBXJDWLIUUKDWOXTDY
      OWPSWQXCWRYAUUGTWSXDWTUUEUUDCUUGXAXBXEXFXGGXOYDCXMXMRXHXBXI $.
  $}

  ${
    $d x y J $.  $d x y O $.  $d x y S $.  $d x y V $.  $d x y W $.
    clsocv.v $e |- V = ( Base ` W ) $.
    clsocv.o $e |- O = ( ocv ` W ) $.
    clsocv.j $e |- J = ( TopOpen ` W ) $.
    $( The orthogonal complement of the closure of a subset is the same as the
       orthogonal complement of the subset itself.  (Contributed by Mario
       Carneiro, 13-Oct-2015.) $)
    clsocv $p |- ( ( W e. CPreHil /\ S C_ V ) ->
      ( O ` ( ( cls ` J ) ` S ) ) = ( O ` S ) ) $=
      ( vy wcel wss cfv syl adantr sylib wceq eqid syl2anc cin cc ccph ccl ctop
      vx wa cuni ctopon ctps cngp cphngp ngptps istps topontop toponuni sseqtrd
      simpr sscls ocv2ss cv cip co csca c0g wral clsss3 sseqtrrd ocvss a1i crab
      sselda ccld cab df-ss ineq1d dfrab3 ineq2i inass eqtr4i 3eqtr4g cmpt ccnv
      clscld csn cima cvv fvex mptiniseg ax-mp ccnfld ccn simpll cnmptc cnmptid
      ctopn cnmpt1ip cha cnfldhaus cclm cphclm clm0 ad2antrr eqeltrrdi unicntop
      cc0 sncld sylancr cnclima eqeltrrid incld eqeltrrd ralrimiva adantl ssrab
      0cn ocvi sylanbrc clsss2 ssrab2 eqssd rabid2 elocv syl3anbrc eqelssd ) EU
      AJZADKZUEZUDABUBLLZCLZACLZYFAYGKZYHYIKYFBUCJZABUFZKZYJYFBDUGLJZYKYFEUHJZY
      NYDYOYEYDEUIJYOEUJEUKMNDBEFHULOZDBUMMZYFADYLYDYEUPYFYNDYLPYPDBUNMZUOZABYL
      YLQZUQRZYGACEGURMYFUDUSZYIJZUEZYGDKZUUBDJUUBIUSZEUTLZVAZEVBLZVCLZPZIYGVDZ
      UUBYHJYFUUEUUCYFYGYLDYFYKYMYGYLKYQYSABYLYTVERYRVFNZYFYIDUUBYIDKYFACDEFGVG
      VHVJZUUDYGUUKIYGVIZPUULUUDYGUUOUUDUUOBVKLZJAUUOKZYGUUOKUUDYGUUKIDVIZSZUUO
      UUPUUDYGDSZUUKIVLZSZYGUVASUUSUUOUUDUUTYGUVAUUDUUEUUTYGPUUMYGDVMOVNUUSYGDU
      VASZSUVBUURUVCYGUUKIDVOVPYGDUVAVQVRUUKIYGVOVSUUDYGUUPJZUURUUPJUUSUUPJYFUV
      DUUCYFYKYMUVDYQYSABYLYTWBRNUUDUURIDUUHVTZWAUUJWCZWDZUUPUUJWEJUVGUURPUUIVC
      WFIDUUHUUJUVEWEUVEQWGWHUUDUVEBWIWNLZWJVAJUVFUVHVKLJZUVGUUPJUUDIUUBUUFUVHU
      UGBBEDHUVHQZUUGQZYDYEUUCWKYFYNUUCYPNZUUDIUUBBBDDUVLUVLUUNWLUUDIBDUVLWMWOU
      UDUVHWPJUUJTJUVIUVHUVJWQUUDUUJXDTYDXDUUJPZYEUUCYDEWRJUVMEWSUUIEUUIQZWTMXA
      XNXBUUJUVHTXCXEXFUVFUVEBUVHXGRXHYGUURBXIRXJUUDYJUUKIAVDZUUQYFYJUUCUUANUUC
      UVOYFUUCUUKIAUUBUUFAUUIUUGCDEUUJFUVKUVNUUJQZGXOXKXLUUKIYGAXMXPUUOABYLYTXQ
      RUUOYGKUUDUUKIYGXRVHXSUUKIYGXTOIUUBYGUUIUUGCDEUUJFUVKUVNUVPGYAYBYC $.
  $}

  ${
    $d S b $.  $d S q x $.  $d U b $.  $d U q x $.  $d W b $.  $d W q x $.
    $d X b $.  $d c x $.
    cphsscph.x $e |- X = ( W |`s U ) $.
    cphsscph.s $e |- S = ( LSubSp ` W ) $.
    $( A subspace of a subcomplex pre-Hilbert space is a subcomplex pre-Hilbert
       space.  (Contributed by NM, 1-Feb-2008.)  (Revised by AV,
       25-Sep-2022.) $)
    cphsscph $p |- ( ( W e. CPreHil /\ U e. S ) -> X e. CPreHil ) $=
      ( vb vx vq wcel cfv cbs co wceq csqrt wss cv eqid adantr adantl ccph cphl
      vc wa cnlm csca ccnfld cress w3a cc0 cpnf cico cin cima cnm cmpt phlssphl
      cip cphphl sylan cphnlm lssnlm cphsca resssca fveq2d oveq2d eqeq12d mpbid
      wb 3jca wrex wi cle wbr simpl elinel1 elinel2 elrege0 simplbi syl simprbi
      cr cphsqrtcl syl2anr eleq1 ex rexlimiva wfun cc c2 cexp cre cmul crp wnel
      crio df-sqrt funmpt2 fvelima mpan syl11 ssrdv ineq1d imaeq2d sseq12d cres
      ci csubg clmod cphlmod subgnm cphnmfval ressip oveqd mpteq2dv eqtrd lssss
      lsssubg sylib reseq12d ressbas reseq2d ressbasss a1i resmptd 3eqtrd iscph
      dfss syl3anbrc ) CUAJZBAJZUDZDUBJZDUEJZDUFKZUGYOLKZUHMZNZUIOYPUJUKULMZUMZ
      UNZYPPZDUOKZGDLKZGQZUUEDURKZMZOKZUPZNDUAJYLYMYNYRYJCUBJYKYMCUSABCDEFUQUTY
      JCUEJYKYNCVAABCDEFVBUTYLCUFKZUGUUJLKZUHMZNZYRYJUUMYKUUJUUKCUUJRZUUKRZVCSY
      KUUMYRVIYJYKUUJYOUULYQBUUJCDAEUUNVDZYKUUKYPUGUHYKUUJYOLUUPVEZVFVGTVHVJYLO
      UUKYSUMZUNZUUKPZUUBYLHUUSUUKIQZOKZHQZNZIUURVKZYLUVCUUKJZUVCUUSJZUVDYLUVFV
      LIUURUVAUURJZUVDUDZYLUVFUVIYLUDUVBUUKJZUVFYLYJUVAUUKJZUVAWBJZUJUVAVMVNZUI
      UVJUVIYJYKVOUVIUVKUVLUVMUVHUVKUVDUVAUUKYSVPSUVHUVLUVDUVHUVAYSJZUVLUVAUUKY
      SVQZUVNUVLUVMUVAVRZVSVTSUVHUVMUVDUVHUVNUVMUVOUVNUVLUVMUVPWAVTSVJUVAUUJUUK
      CUUNUUOWCWDUVIUVJUVFVIZYLUVDUVQUVHUVBUVCUUKWETSVHWFWGOWHUVGUVEHWIUCQZWJWK
      MUVCNUJUVRWLKVMVNXGUVRWMMWNWOUIUCWIWPOHUCWQWRIUVCUUROWSWTXAXBYKUUTUUBVIYJ
      YKUUSUUAUUKYPYKUURYTOYKUUKYPYSUUQXCXDUUQXETVHYLUUCCUOKZBXFZGCLKZUUHUPZUUD
      XFZUUIYLBCXHKJZUUCUVTNYJCXIJYKUWDCXJABCFXRUTBCDUUCUVSEUVSRZUUCRZXKVTYLUVT
      UWBBUWAUMZXFUWCYLUVSUWBBUWGYLUVSGUWAUUEUUECURKZMZOKZUPZUWBYJUVSUWKNYKGUWH
      UVSUWACUWARZUWHRZUWEXLSYLGUWAUWJUUHYLUWIUUGOYLUWHUUFUUEUUEYKUWHUUFNYJBCDU
      WHAEUWMXMTXNVEXOXPYLBUWAPZBUWGNYKUWNYJABUWACUWLFXQTBUWAYHXSXTYLUWGUUDUWBY
      KUWGUUDNYJBUWADACEUWLYATYBXPYLGUWAUUDUUHUUDUWAPYLBUWADCEUWLYCYDYEYFGYOUUF
      YPUUCUUDDUUDRUUFRUWFYORYPRYGYI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Neighborhoods and closure
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$(
  @c neiOLD @.
  @c accOLD @.
  @c acc @.
  @c cls @.
  @c int @.

  @( Extend class notation with neighborhood of a metric space point. @)
  cne @a class neiOLD @.

  @( Extend class notation with accumulation points (limit points) of
     a metric space point. @)
  cacOLD @a class accOLD @.

  @( Extend class notation with accumulation points (limit points) of
     a metric space point. @)
  cac @a class acc @.

  @( Extend class notation with closure of a metric space subset. @)
  ccl @a class cls @.

  @( Extend class notation with interior of a metric space subset. @)
  cnt @a class int @.

  @{
    @d u v w x y z @.
    @( Define a function on metric spaces whose value is the relation "subset
       ` x ` is a neighborhood of point ` y ` ". @)
    df-neiOLD @a |- neiOLD =
             { <. z , w >. | ( z e. MetSp /\ w = { <. x , y >. |
      ( x C_ ( 1st ` z ) /\ y e. ( 1st ` z ) /\ E. v e. RR
      ( 0 < v /\ ( y ( ball ` z ) v ) C_ x ) ) } ) } @.

    @( Define a function on metric spaces whose value is the relation " ` x `
       is an accumulation point (limit point) of subset ` y ` ". @)
    df-accOLD @a |- accOLD =
                   { <. z , w >. | ( z e. MetSp /\ w = { <. x , y >. |
      ( x e. ( 1st ` z ) /\ y C_ ( 1st ` z ) /\ A. v ( ( v C_ ( 1st ` z ) /\
       v ( neiOLD ` z ) x ) -> E. u e. v ( u e. y /\ -. u = x ) ) ) } ) } @.

    @( Define a function on metric spaces whose value is the relation " ` x `
       is an accumulation point (limit point) of subset ` y ` ". @)
    df-acc @a |- acc = { <. z , w >. | ( z e. MetSp /\ w = { <. x , y >. |
      ( x e. ( 1st ` z ) /\ y C_ ( 1st ` z ) /\ A. v e. RR ( 0 < v -> E. u e.
      ( x ( ball ` z ) v ) ( u e. y /\ -. u = x ) ) ) } ) } @.

    @( Define a function on metric spaces whose value is the closure function
       on the subsets of the metric space. @)
    df-clsOLD @a |- cls = { <. z , w >. | ( z e. MetSp /\ w = { <. x , y >. |
      ( x C_ ( 1st ` z ) /\
      y = ( x u. { v e. ( 1st ` z ) | v ( acc ` z ) x } ) ) } ) } @.

    @( Define a function on metric spaces whose value is the interior function
       on the subsets of the metric space. @)
    df-ntr @a |- int = { <. z , w >. | ( z e. MetSp /\ w = { <. x , y >. |
      ( x C_ ( 1st ` z ) /\ y = U. { v e. ran ( ball ` z ) | v C_ x } ) } @.
  @}

  @{
    @d u v w x y z M @.  @d v w x y z X @.  @d u v w x y z @.
    accfval.1 @e |- X = ( 1st ` M ) @.
    @( The relation "subset ` x ` is a neighborhood of point ` y ` ". @)
    neifvalOLD @p |- ( M e. MetSp ->
                ( neiOLD ` M ) = { <. x , y >. | ( x C_ X /\
           y e. X /\ E. v e. RR ( 0 < v /\ ( y ( ball ` M ) v ) C_ x ) ) } ) @=
      ( vz vw cv c1st cfv wss wcel cc0 clt wbr cblOLD co wa cr wrex w3a
      copab cms
      cne wceq fveq2 eqtr4di sseq2d eleq2d oveqd sseq1d anbi2d rexbidv
      3anbi123d opabbidv df-neiOLD cpw cxp cvv fvex eqeltri pwex xpex df-3an
      vex elpw 3anbi1i bitr3i opabbii opabssxp eqsstrri ssexi
      fvopab4 ) GHDAIZ
      GIZJKZLZBIZVQMZNCIZOPZVSWAVPQKZRZVOLZSZCTUAZUBZABUCVOELZVSEMZWBVSWADQKZRZ
      VOLZSZCTUAZUBZABUCZUDUEVPDUFZWHWPABWRVRWIVTWJWGWOWRVQEVOWRVQDJKZEVPDJUGFU
      HZUIWRVQEVSWTUJWRWFWNCTWRWEWMWBWRWDWLVOWRWCWKVSWAVPDQUGUKULUMUNUOUPABGHCU
      QWQEURZEUSZXAEEEWSUTFDJVAVBZVCXCVDWQVOXAMZWJSWOSZABUCXBXEWPABXEXDWJWOUBWP
      XDWJWOVEXDWIWJWOVOEAVFVGVHVIVJWOABXAEVKVLVMVN @.
      @( [ ?] @) @( [8-Sep-2006] @)

    @( The relation " ` x ` is an accumulation point (limit point) of subset
       ` y ` ". @)
    accfvalOLD @p |- ( M e. MetSp -> ( accOLD ` M ) = { <. x , y >. |
      ( x e. X /\ y C_ X /\ A. v ( ( v C_ X /\
       v ( neiOLD ` M ) x ) -> E. u e. v ( u e. y /\ -. u = x ) ) ) } ) @=
      ( vz vw cv c1st cfv wcel wss cne wbr wa wceq wn wrex wi wal w3a copab
      cms cacOLD fveq2 eqtr4di eleq2d sseq2d wb breq syl anbi12d imbi1d albidv
      3anbi123d opabbidv df-accOLD cpw cxp cvv fvex eqeltri pwex xpex df-3an
      vex elpw 3anbi2i bitr3i opabbii opabssxp eqsstrri ssexi
      fvopab4 ) HIEAJZ
      HJZKLZMZBJZVSNZCJZVSNZWCVQVROLZPZQZDJZWAMWHVQRSQDWCTZUAZCUBZUCZABUDVQFMZW
      AFNZWCFNZWCVQEOLZPZQZWIUAZCUBZUCZABUDZUEUFVRERZWLXAABXCVTWMWBWNWKWTXCVSFV
      QXCVSEKLZFVREKUGGUHZUIXCVSFWAXEUJXCWJWSCXCWGWRWIXCWDWOWFWQXCVSFWCXEUJXCWE
      WPRWFWQUKVREOUGWCVQWEWPULUMUNUOUPUQURABHICDUSXBFFUTZVAZFXFFXDVBGEKVCVDZFX
      HVEVFXBWMWAXFMZQWTQZABUDXGXJXAABXJWMXIWTUCXAWMXIWTVGXIWNWMWTWAFBVHVIVJVKV
      LWTABFXFVMVNVOVP @.
      @( [ ?] @) @( [8-Sep-2006] @)

    @( The relation " ` x ` is an accumulation point (limit point) of subset
       ` y ` ". @)
    accfval @p |- ( M e. MetSp -> ( acc ` M ) = { <. x , y >. |
      ( x e. X /\ y C_ X /\ A. v e. RR ( 0 < v -> E. u e.
      ( x ( ball ` M ) v ) ( u e. y /\ -. u = x ) ) ) } ) @=
      ( vz vw cv c1st cfv wcel wss cc0 clt wbr wceq wn wa cblOLD co wrex wi cr
      wral w3a copab cms cac fveq2 eqtr4di eleq2d sseq2d wb oveqd rexeq syl
      imbi2d ralbidv 3anbi123d opabbidv df-acc cpw cxp cvv fvex eqeltri pwex
      xpex df-3an vex elpw 3anbi2i bitr3i opabbii opabssxp eqsstrri ssexi
      fvopab4 ) HIEAJZHJZKLZMZBJZWCNZOCJZPQZDJZWEMWIWARSTZDWAWGWBUALZUBZUCZUDZC
      UEUFZUGZABUHWAFMZWEFNZWHWJDWAWGEUALZUBZUCZUDZCUEUFZUGZABUHZUIUJWBERZWPXDA
      BXFWDWQWFWRWOXCXFWCFWAXFWCEKLZFWBEKUKGULZUMXFWCFWEXHUNXFWNXBCUEXFWMXAWHXF
      WLWTRWMXAUOXFWKWSWAWGWBEUAUKUPWJDWLWTUQURUSUTVAVBABHICDVCXEFFVDZVEZFXIFXG
      VFGEKVGVHZFXKVIVJXEWQWEXIMZTXCTZABUHXJXMXDABXMWQXLXCUGXDWQXLXCVKXLWRWQXCW
      EFBVLVMVNVOVPXCABFXIVQVRVSVT @.
      @( [ ?] @) @( [9-Sep-2006] @)

    @( The closure function on the subsets of the metric space. @)
    clsfvalOLD @p |- ( M e. MetSp -> ( cls ` M ) =  { <. x , y >. | ( x C_ X /\
                     y = ( x u. { v e. X | v ( acc ` M ) x } ) ) } ) @=
      ( vz vw cv c1st cfv wss cac wbr crab cun wceq wa copab cms ccl fveq2
      eqtr4di sseq2d rabeq syl wb breq rabbidv eqtrd uneq2d eqeq2d anbi12d
      opabbidv df-clsOLD cpw wcel cvv vex elpw anbi1i opabbii fvex eqeltri
      pwex
      opabex2 eqeltrri fvopab4 ) GHDAIZGIZJKZLZBIZVICIZVIVJMKZNZCVKOZPZQZRZAB
      SVIELZVMVIVNVIDMKZNZCEOZPZQZRZABSZTUAVJDQZVTWGABWIVLWAVSWFWIVKEVIWIVKDJKZ
      EVJDJUBFUCZUDWIVRWEVMWIVQWDVIWIVQVPCEOZWDWIVKEQVQWLQWKVPCVKEUEUFWIVPWCCEW
      IVOWBQVPWCUGVJDMUBVNVIVOWBUHUFUIUJUKULUMUNABGHCUOVIEUPZUQZWFRZABSWHURWOWG
      ABWNWAWFVIEAUSUTVAVBABWMWEEEWJURFDJVCVDVEVFVGVH @.
      @( [ ?] @) @( [8-Sep-2006] @)

    @( The interior function on the subsets of the metric space. @)
    ntrfval @p |- ( M e. MetSp -> ( int ` M ) =  { <. x , y >. | ( x C_ X /\
                     y = U. { v e. ran ( ball ` M ) | v C_ x } ) } ) @=
?@.
  @}

  @{
    @d w x y z M @.  @d w x y z P @.  @d w x y z S @.  @d w x y z X @.
    accbr.1 @e |- X = ( 1st ` M ) @.
    @( A neighborhood of a point ` P ` is any subset ` S ` that contains a ball
       around ` P ` .  Definition of neighborhood in [Kreyszig] p. 19. @)
    neibrOLD @p |- ( ( M e. MetSp /\ S C_ X /\ P e. X ) ->
                    ( S ( neiOLD ` M ) P <->
                E. x e. RR ( 0 < x /\ ( P ( ball ` M ) x ) C_ S ) ) ) @=
     ( vy vz cms wcel wss w3a cne cfv wbr cv cc0 clt cblOLD co wa cr wrex copab
      wb wceq neifvalOLD breq syl 3ad2ant1 cpw sseq1 sseq2 anbi2d rexbidv
      3anbi13d eleq1 oveq1 sseq1d 3anbi23d eqid brabg cvv c1st fvex eqeltri
   elpw2g ax-mp sylanbrOLD df-3an baibr bitr4d 3adant1 bitrd ) DIJZCEKZBEJZLCBD
      MNZOZCBGPZEKZHPZEJZQAPZROZWBWDDSNZTZVTKZUAZAUBUCZLZGHUDZOZWEBWDWFTZCKZUAZ
      AUBUCZVOVPVSWMUEZVQVOVRWLUFWRGHADEFUGCBVRWLUHUIUJVPVQWMWQUEVOVPVQUAZWMVPV
      QWQLZWQCEUKZJZVQWMWTUEVPWKVPWCWEWGCKZUAZAUBUCZLWTGHCBXAEWLVTCUFZWAVPWJXEW
      CVTCEULXFWIXDAUBXFWHXCWEVTCWGUMUNUOUPWBBUFZWCVQXEWQVPWBBEUQXGXDWPAUBXGXCW
      OWEXGWGWNCWBBWDWFURUSUNUOUTWLVAVBEVCJXBVPUEEDVDNVCFDVDVEVFCEVCVGVHVIWTWSW
      QVPVQWQVJVKVLVMVN @.
      @( [ ?] @) @( [8-Sep-2006] @)

    @( ` P ` is an accumulation point (also called limit point) of a subset
       ` S ` iff every ball around ` P ` contains a point in ` S ` distinct
       from ` P ` .  Definition 2.20(b) [Rudin] p. 28. @)
    accbr @p |- ( ( M e. MetSp /\ P e. X /\ S C_ X ) -> ( P ( acc ` M ) S <->
            A. x e. RR ( 0 < x -> E. y e. ( P ( ball ` M ) x )
                ( y e. S /\ -. y = P ) ) ) ) @=
      ( vz vw cms wcel wss w3a cac cfv wbr cv cc0 clt wceq wn wa cblOLD co wrex
      wi cr wral copab wb accfval breq syl 3ad2ant1 cpw eleq1 oveq1 rexeq
      eqeq2 notbid anbi2d rexbidv bitrd imbi2d ralbidv 3anbi13d sseq1 eleq2
      anbi1d 3anbi23d eqid brabg cvv c1st fvex eqeltri elpw2g ax-mp sylan2brOLD
      df-3an baibr bitr4d 3adant1 ) EJKZCFKZDFLZMCDENOZPZCDHQZFKZIQZFLZRAQZSPZB
      QZWKKZWOWITZUAZUBZBWIWMEUCOZUDZUEZUFZAUGUHZMZHIUIZPZWNWODKZWOCTZUAZUBZBCW
      MWTUDZUEZUFZAUGUHZWDWEWHXGUJZWFWDWGXFTXPHIABEFGUKCDWGXFULUMUNWEWFXGXOUJWD
      WEWFUBZXGWEWFXOMZXOWEDFUOZKZXGXRUJWFXEWEWLWNWPXJUBZBXLUEZUFZAUGUHZMXRHICD
      FXSXFWICTZWJWEXDYDWLWICFUPYEXCYCAUGYEXBYBWNYEXBWSBXLUEZYBYEXAXLTXBYFUJWIC
      WMWTUQWSBXAXLURUMYEWSYABXLYEWRXJWPYEWQXIWICWOUSUTVAVBVCVDVEVFWKDTZWLWFYDX
      OWEWKDFVGYGYCXNAUGYGYBXMWNYGYAXKBXLYGWPXHXJWKDWOVHVIVBVDVEVJXFVKVLFVMKXTW
      FUJFEVNOVMGEVNVOVPDFVMVQVRVSXRXQXOWEWFXOVTWAWBWCVC @.
      @( [ ?] @) @( [9-Sep-2006] @)

    @( ` P ` is an accumulation point (also called limit point) of a subset
       ` S ` iff every neighborhood of ` P ` contains a point in ` S ` distinct
       from ` P ` .  Definition of accumulation point in [Kreyszig] p. 21. @)
    accbrOLD @p |- ( ( M e. MetSp /\ P e. X /\ S C_ X ) -> ( P ( accOLD ` M ) S
                   <-> A. x ( ( x C_ X /\ x ( neiOLD ` M ) P ) -> E. y e. x
                   ( y e. S /\ -. y = P ) ) ) ) @=
      ( vz vw cms wcel wss w3a cacOLD cfv wbr cv cne wa wceq wn wrex wi wal
      copab wb accfvalOLD
      breq syl 3ad2ant1 cpw eleq1 breq2 anbi2d eqeq2 notbid rexbidv
      imbi12d albidv 3anbi13d sseq1 eleq2 anbi1d imbi2d 3anbi23d eqid brabg
      cvv c1st fvex eqeltri elpw2g ax-mp sylan2brOLD
      df-3an baibr bitr4d 3adant1
      bitrd ) EJKZCFKZDFLZMCDENOZPZCDHQZFKZIQZFLZAQZFLZWIWEEROZPZSZBQZWGKZWNWET
      ZUAZSZBWIUBZUCZAUDZMZHIUEZPZWJWICWKPZSZWNDKZWNCTZUAZSZBWIUBZUCZAUDZVTWAWD
      XDUFZWBVTWCXCTXNHIABEFGUGCDWCXCUHUIUJWAWBXDXMUFVTWAWBSZXDWAWBXMMZXMWADFUK
      ZKZXDXPUFWBXBWAWHXFWOXISZBWIUBZUCZAUDZMXPHICDFXQXCWECTZWFWAXAYBWHWECFULYC
      WTYAAYCWMXFWSXTYCWLXEWJWECWIWKUMUNYCWRXSBWIYCWQXIWOYCWPXHWECWNUOUPUNUQURU
      SUTWGDTZWHWBYBXMWAWGDFVAYDYAXLAYDXTXKXFYDXSXJBWIYDWOXGXIWGDWNVBVCUQVDUSVE
      XCVFVGFVHKXRWBUFFEVIOVHGEVIVJVKDFVHVLVMVNXPXOXMWAWBXMVOVPVQVRVS @.
      @( [ ?] @) @( [8-Sep-2006] @)

    @( The closure of a subset of a metric space consists of the subset and
       the accumulation points of the subset.  Definition of closure of
       [Kreyszig] p. 21. @)
    clsval2 @p |- ( ( M e. MetSp /\ S C_ X ) -> ( ( cls ` M ) ` S ) =
                 ( S u. { x e. X | x ( acc ` M ) S } ) ) @=
      ? @.

    @( The interior of a subset of a metric space is the union of all the balls
       it includes.  From Definition 2.20(e) of [Rudin] p. 28.  Rudin uses
       "neighborhood" for what we call "ball." @)
    ntrval @p |- ( ( M e. MetSp /\ S C_ X ) -> ( ( int ` M ) ` S ) =
                 U. { x e. ran ( ball ` M ) | x C_ S } ) @=
?@.
  @}
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Convergence and completeness
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CauFil $.
  $c Cau $.
  $c CMet $.

  $( Extend class notation with the class of Cauchy filters. $)
  ccfil $a class CauFil $.

  $( Extend class notation with the class of Cauchy sequences. $)
  ccau $a class Cau $.

  $( Extend class notation with the class of complete metrics. $)
  ccmet $a class CMet $.

  ${
    $d d f j x y $.
    $( Define the set of Cauchy filters on a given extended metric space.  A
       Cauchy filter is a filter on the set such that for every ` 0 < x ` there
       is an element of the filter whose metric diameter is less than ` x ` .
       (Contributed by Mario Carneiro, 13-Oct-2015.) $)
    df-cfil $a |- CauFil = ( d e. U. ran *Met |-> { f e. ( Fil ` dom dom d ) |
            A. x e. RR+ E. y e. f ( d " ( y X. y ) ) C_ ( 0 [,) x ) } ) $.

    $( Define the set of Cauchy sequences on a given extended metric space.
       (Contributed by NM, 8-Sep-2006.) $)
    df-cau $a |- Cau = ( d e. U. ran *Met |-> { f e. ( dom dom d ^pm CC ) |
       A. x e. RR+ E. j e. ZZ ( f |` ( ZZ>= ` j ) ) :
          ( ZZ>= ` j ) --> ( ( f ` j ) ( ball ` d ) x ) } ) $.

    $( Define the set of complete metrics on a given set.  (Contributed by
       Mario Carneiro, 1-May-2014.) $)
    df-cmet $a |- CMet = ( x e. _V |-> { d e. ( Met ` x ) |
      A. f e. ( CauFil ` d ) ( ( MetOpen ` d ) fLim f ) =/= (/) } ) $.
  $}

  ${
    $d j k u x y D $.  $d j k u x y F $.  $d j k u x y P $.  $d j k u x y X $.
    $d u x y J $.  $d j M $.  $d j k u x ph $.  $d j k x R $.  $d j k x Z $.
    lmmbr.2 $e |- J = ( MetOpen ` D ) $.
    lmmbr.3 $e |- ( ph -> D e. ( *Met ` X ) ) $.
    $( Express the binary relation "sequence ` F ` converges to point
       ` P ` " in a metric space.  Definition 1.4-1 of [Kreyszig] p. 25.  The
       condition ` F C_ ( CC X. X ) ` allows us to use objects more general
       than sequences when convenient; see the comment in ~ df-lm .
       (Contributed by NM, 7-Dec-2006.)  (Revised by Mario Carneiro,
       1-May-2014.) $)
    lmmbr $p |- ( ph -> ( F ( ~~>t ` J ) P <->
                  ( F e. ( X ^pm CC ) /\ P e. X /\ A. x e. RR+ E. y e. ran ZZ>=
                    ( F |` y ) : y --> ( P ( ball ` D ) x ) ) ) ) $=
      ( vu cfv wcel cv wrex wi w3a crp syl wa clm wbr cc cpm co cres wf cuz crn
      wral cbl cxmet ctopon mopntopon lmbr wb cxr rpxr blopn syl3an3 wceq eleq2
      blcntr feq3 rexbidv imbi12d rspcva impancom syl2anc adantlrl ralrimiv wss
      3expa mopni2 r19.29 expcom reximdv impcom rexlimivw 3exp2 adantlr impbida
      fss sylan2 pm5.32da df-3an 3bitr4g bitrd ) AFEGUALUBFHUCUDUEMZEHMZEKNZMZC
      NZWKFWMUFZUGZCUHUIZOZPZKGUJZQZWIWJWMEBNZDUKLUEZWNUGZCWPOZBRUJZQZACKEFGHAD
      HULLMZGHUMLMJDGHIUNSUOAXGWTXFUPJXGWIWJTZWSTXHXETWTXFXGXHWSXEXGXHTZWSXEXIW
      STXDBRXIXARMZWSXDXGWJXJWSXDPZWIXGWJXJXKXGWJXJQXBGMZEXBMZXKXJXGWJXAUQMXLXA
      URDEXAGHIUSUTDEXAHVCXLWSXMXDWRXMXDPKXBGWKXBVAZWLXMWQXDWKXBEVBXNWOXCCWPWKX
      BWMWNVDVEVFVGVHVIVMVJVHVKXIXETWRKGXGXEWKGMZWRPZXHXEXGXPXEXGXOWLWQXGXOWLQX
      EXBWKVLZBROZWQBWKDEGHIVNXEXRTXDXQTZBROWQXDXQBRVOXSWQBRXQXDWQXQXCWOCWPXCXQ
      WOWMXBWKWNWCVPVQVRVSSWDVTVRWAVKWBWEWIWJWSWFWIWJXEWFWGSWH $.

    $( Express the binary relation "sequence ` F ` converges to point
       ` P ` " in a metric space.  Definition 1.4-1 of [Kreyszig] p. 25.  The
       condition ` F C_ ( CC X. X ) ` allows us to use objects more general
       than sequences when convenient; see the comment in ~ df-lm .
       (Contributed by NM, 7-Dec-2006.)  (Revised by Mario Carneiro,
       1-May-2014.) $)
    lmmbr2 $p |- ( ph -> ( F ( ~~>t ` J ) P <->
   ( F e. ( X ^pm CC ) /\ P e. X /\ A. x e. RR+ E. j e. ZZ A. k e. ( ZZ>= ` j )
      ( k e. dom F /\ ( F ` k ) e. X /\ ( ( F ` k ) D P ) < x ) ) ) ) $=
      ( vy cfv cc wcel cuz w3a cz wa wb clm wbr cpm co cv cbl cres crn wrex crp
      wf wral cdm clt lmmbr df-3an cxmet cpw wfn uzf ffn reseq2 id feq12d rexrn
      wceq mp2b wfun cxp wss simp2l cvv elfvdm 3ad2ant1 cnex elpmg mpbid simpld
      sylancl ffvresb syl cxr rpxr elbl syl3an3 xmetsym breq1d pm5.32da 3adant3
      3expa 3adant2l anbi2d 3anass bitr4di ralbidv rexbidv syl5bb ralbidva
      bitrd ) AGDHUAMUBGINUCUDOZDIOZLUEZDBUEZCUFMUDZGXBUGZUKZLPUHUIZBUJULZQZWTX
      AFUEZGUMOZXJGMZIOZXLDCUDZXCUNUBZQZFEUEPMZULZERUIZBUJULZQZABLCDGHIJKUOAXIW
      TXASZXTSZYAXIYBXHSZAYCWTXAXHUPACIUQMOZYDYCTKYEYBXHXTYEYBSXGXSBUJYEYBXCUJO
      ZXGXSTXGXQXDGXQUGZUKZERUIZYEYBYFQZXSRRURZPUKPRUSXGYITUTRYKPVAXFYHLERPXBXQ
      VFZXBXQXDXEYGXBXQGVBYLVCVDVEVGYJYHXRERYJYHXKXLXDOZSZFXQULZXRYJGVHZYHYOTYJ
      YPGNIVIVJZYJWTYPYQSZYEWTXAYFVKYJIUQUMZOZNVLOWTYRTYEYBYTYFCIUQVMVNVOINGYSV
      LVPVSVQVRFXQXDGVTWAYJYNXPFXQYJYNXKXMXOSZSXPYJYMUUAXKYEXAYFYMUUATWTYEXAYFQ
      YMXMDXLCUDZXCUNUBZSZUUAYFYEXAXCWBOYMUUDTXCWCXLCDXCIWDWEYEXAUUDUUATYFYEXAS
      XMUUCXOYEXAXMUUCXOTYEXAXMQUUBXNXCUNDXLCIWFWGWJWHWIWSWKWLXKXMXOWMWNWOWSWPW
      QWJWRWHWAWQWTXAXTUPWNWS $.

    lmmbr3.5 $e |- Z = ( ZZ>= ` M ) $.
    lmmbr3.6 $e |- ( ph -> M e. ZZ ) $.
    $( Express the binary relation "sequence ` F ` converges to point
       ` P ` " in a metric space using an arbitrary upper set of integers.
       (Contributed by NM, 19-Dec-2006.)  (Revised by Mario Carneiro,
       1-May-2014.) $)
    lmmbr3 $p |- ( ph -> ( F ( ~~>t ` J ) P <->
  ( F e. ( X ^pm CC ) /\ P e. X /\ A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j )
      ( k e. dom F /\ ( F ` k ) e. X /\ ( ( F ` k ) D P ) < x ) ) ) ) $=
      ( cfv wcel cv w3a wral clm wbr cc cpm co cdm clt cuz cz crp lmmbr2 rexuz3
      wrex wb syl ralbidv 3anbi3d bitr4d ) AGDHUAPUBGJUCUDUEQZDJQZFRZGUFQVAGPZJ
      QVBDCUEBRUGUBSZFERUHPTZEUIUMZBUJTZSUSUTVDEKUMZBUJTZSABCDEFGHJLMUKAVHVFUSU
      TAVGVEBUJAIUIQVGVEUNOVCEFIKNULUOUPUQUR $.

    lmmbrf.7 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.
    ${
      lmmcvg.8 $e |- ( ph -> F ( ~~>t ` J ) P ) $.
      lmmcvg.9 $e |- ( ph -> R e. RR+ ) $.
      $( Convergence property of a converging sequence.  (Contributed by NM,
         1-Jun-2007.)  (Revised by Mario Carneiro, 1-May-2014.) $)
      lmmcvg $p |- ( ph -> E. j e. Z A. k e. ( ZZ>= ` j )
                     ( A e. X /\ ( A D P ) < R ) ) $=
        ( wcel vx cv cdm cfv co clt wbr w3a cuz wral wrex wa wceq breq2 3anbi3d
        crp rexralbidv cpm clm lmmbr3 mpbid simp3d rspcdva uztrn2 3simpc eleq1d
        cc wi oveq1d breq1d anbi12d syl5ib sylan2 anassrs ralimdva reximdva mpd
        ) AGUBZHUCTZVRHUDZKTZVTDCUEZEUFUGZUHZGFUBZUIUDZUJZFLUKZBKTZBDCUEZEUFUGZ
        ULZGWFUJZFLUKAVSWAWBUAUBZUFUGZUHZGWFUJFLUKZWHUAUPEWNEUMZWPWDFGLWFWRWOWC
        VSWAWNEWBUFUNUOUQAHKVGURUETZDKTZWQUAUPUJZAHDIUSUDUGWSWTXAUHRAUACDFGHIJK
        LMNOPUTVAVBSVCAWGWMFLAWELTZULWDWLGWFAXBVRWFTZWDWLVHZXBXCULAVRLTZXDJVRWE
        LOVDWDWAWCULAXEULZWLVSWAWCVEXFWAWIWCWKXFVTBKQVFXFWBWJEUFXFVTBDCQVIVJVKV
        LVMVNVOVPVQ $.
    $}

    lmmbrf.8 $e |- ( ph -> F : Z --> X ) $.
    $( Express the binary relation "sequence ` F ` converges to point
       ` P ` " in a metric space using an arbitrary upper set of integers.
       This version of ~ lmmbr2 presupposes that ` F ` is a function.
       (Contributed by NM, 20-Jul-2007.)  (Revised by Mario Carneiro,
       1-May-2014.) $)
    lmmbrf $p |- ( ph -> ( F ( ~~>t ` J ) P <-> ( P e. X /\
      A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j ) ( A D P ) < x ) ) ) $=
      ( wcel wa cv cdm cfv co clt wbr w3a cuz wral wrex crp cc cpm clm cxmet wf
      cvv wss elfvdm cnex jctir cz uzssz zsscn sstri eqsstri jctr elpm2r syl2an
      syl2anc biantrurd wb uztrn2 adantll oveq1d adantrl fdmd biimpar ffvelrnda
      breq1d eleq2d jca df-3an bitr4di bitr3d anassrs ralbidva rexbidva ralbidv
      syldan anbi2d lmmbr3 3anass bitrdi 3bitr4rd ) AEKSZGUAZHUBZSZWQHUCZKSZWTE
      DUDZBUAZUEUFZUGZGFUAZUHUCZUIZFLUJZBUKUIZTZHKULUMUDSZXKTZWPCEDUDZXCUEUFZGX
      GUIZFLUJZBUKUIZTHEIUNUCUFZAXLXKADKUOUCSZLKHUPZXLNRXTKUOUBZSZULUQSZTYALULU
      RZTXLYAXTYCYDDKUOUSUTVAYAYELJUHUCZULOYFVBULJVCVDVEVFVGKULLHYBUQVHVIVJVKAX
      RXJWPAXQXIBUKAXPXHFLAXFLSZTZXOXEGXGYHWQXGSZWQLSZXOXEVLZYGYIYJAJWQXFLOVMVN
      AYGYJYKAYGYJTTXDXOXEAYJXDXOVLYGAYJTZXBXNXCUEYLWTCEDQVOVTVPAYJXDXEVLYGYLXD
      WSXATZXDTXEYLYMXDYLWSXAAWSYJAWRLWQALKHRVQWAVRALKWQHRVSWBVKWSXAXDWCWDVPWEW
      FWJWGWHWIWKAXSXLWPXJUGXMABDEFGHIJKLMNOPWLXLWPXJWMWNWO $.
  $}

  ${
    $d j k x D $.  $d j k x F $.  $d j k x P $.  $d j k x ph $.  $d j k x X $.
    $d x J $.
    lmnn.2 $e |- J = ( MetOpen ` D ) $.
    lmnn.3 $e |- ( ph -> D e. ( *Met ` X ) ) $.
    lmnn.4 $e |- ( ph -> P e. X ) $.
    lmnn.5 $e |- ( ph -> F : NN --> X ) $.
    lmnn.6 $e |- ( ( ph /\ k e. NN ) -> ( ( F ` k ) D P ) < ( 1 / k ) ) $.
    $( A condition that implies convergence.  (Contributed by NM, 8-Jun-2007.)
       (Revised by Mario Carneiro, 1-May-2014.) $)
    lmnn $p |- ( ph -> F ( ~~>t ` J ) P ) $=
      ( vx vj cfv wbr wcel clt cn wa clm cv co cuz wral wrex crp cdiv cfl caddc
      c1 cn0 cc0 cle rpreccl adantl rpred rpge0d flge0nn0 syl2anc nn0p1nn cxmet
      cr syl cxr ad2antrr wf eluznn sylan ffvelrnd xmetcl syl3anc nnrecred rpxr
      rexrd ad2antlr adantlr syldan adantr flltp1 eluzle ltletrd simplr rpregt0
      nnred wb nnrp rpregt0d ltrec1 syl2an mpbid xrlttrd ralrimiva wceq raleqdv
      fveq2 rspcev nnuz 1zzd eqidd lmmbrf mpbir2and ) AECFUAOPCGQZDUBZEOZCBUCZM
      UBZRPZDNUBZUDOZUEZNSUFZMUGUEJAXLMUGAXGUGQZTZUKXGUHUCZUIOZUKUJUCZSQZXHDXQU
      DOZUEZXLXNXPULQZXRXNXOVCQZUMXOUNPYAXNXOXMXOUGQAXGUOUPZUQZXNXOYCURXOUSUTXP
      VAVDZXNXHDXSXNXDXSQZTZXFUKXDUHUCZXGYGBGVBOQZXEGQXCXFVEQAYIXMYFIVFYGSGXDEA
      SGEVGXMYFKVFXNXRYFXDSQZYEXDXQVHVIZVJAXCXMYFJVFXECBGVKVLYGYHYGXDYKVMVOXMXG
      VEQAYFXGVNVPXNYFYJXFYHRPZYKAYJYLXMLVQVRYGXOXDRPZYHXGRPZYGXOXQXDXNYBYFYDVS
      ZXNXQVCQYFXNXQYEWEVSYGXDYKWEYGYBXOXQRPYOXOVTVDYFXQXDUNPXNXQXDWAUPWBYGXMYJ
      YMYNWFZAXMYFWCYKXMXGVCQUMXGRPTXDVCQUMXDRPTYPYJXGWDYJXDXDWGWHXGXDWIWJUTWKW
      LWMXKXTNXQSXIXQWNXHDXJXSXIXQUDWPWOWQUTWMAMXEBCNDEFUKGSHIWRAWSAYJTXEWTKXAX
      B $.
  $}

  ${
    $d s u v w x y z B $.  $d f r s u v w x y z F $.  $d f r s u v w x y z X $.
    $d x y G $.  $d r x y z J $.  $d r s x y z R $.  $d u v w x y z Y $.
    $d d f r s u v w x y z D $.
    $( The set of Cauchy filters on a metric space.  (Contributed by Mario
       Carneiro, 13-Oct-2015.) $)
    cfilfval $p |- ( D e. ( *Met ` X ) -> ( CauFil ` D ) = { f e. ( Fil ` X ) |
            A. x e. RR+ E. y e. f ( D " ( y X. y ) ) C_ ( 0 [,) x ) } ) $=
      ( vd cxmet cfv wcel ccfil cv cima wss wrex crp wral cdm cfil crab wceq co
      cxp cc0 cico cuni fvssunirn sseli dmeq dmeqd fveq2d imaeq1 sseq1d rexbidv
      crn ralbidv rabeqbidv df-cfil fvex rabex fvmpt xmetdmdm rabeqdv eqtr4d
      syl ) CEGHZIZCJHZCBKZVHUBZLZUCAKUDUAZMZBDKZNZAOPZDCQZQZRHZSZVODERHZSVFCGU
      NUEZIVGVSTVEWACGEUFUGFCFKZVILZVKMZBVMNZAOPZDWBQZQZRHZSVSWAJWBCTZWFVODWIVR
      WJWHVQRWJWGVPWBCUHUIUJWJWEVNAOWJWDVLBVMWJWCVJVKWBCVIUKULUMUOUPABDFUQVODVR
      VQRURUSUTVDVFVODVTVRVFEVQRCEVAUJVBVC $.

    $( The property of being a Cauchy filter.  (Contributed by Mario Carneiro,
       13-Oct-2015.) $)
    iscfil $p |- ( D e. ( *Met ` X ) ->
      ( F e. ( CauFil ` D ) <-> ( F e. ( Fil ` X ) /\ A. x e. RR+ E. y e. F
        ( D " ( y X. y ) ) C_ ( 0 [,) x ) ) ) ) $=
      ( vf cxmet cfv wcel ccfil cv cxp cima cc0 cico co wss wrex crp wral rexeq
      cfil crab wa cfilfval eleq2d wceq ralbidv elrab bitrdi ) CEGHIZDCJHZIDCBK
      ZUMLMNAKOPQZBFKZRZASTZFEUBHZUCZIDURIUNBDRZASTZUDUKULUSDABCFEUEUFUQVAFDURU
      ODUGUPUTASUNBUODUAUHUIUJ $.

    $( The property of being a Cauchy filter.  (Contributed by Mario Carneiro,
       13-Oct-2015.) $)
    iscfil2 $p |- ( D e. ( *Met ` X ) ->
      ( F e. ( CauFil ` D ) <-> ( F e. ( Fil ` X ) /\ A. x e. RR+ E. y e. F
        A. z e. y A. w e. y ( z D w ) < x ) ) ) $=
      ( cfv wcel cv cxp cc0 co wss wrex crp wral wa wbr cxr cxmet cfil cima clt
      ccfil cico iscfil cdm wb wf xmetf ad3antrrr ffund filelss ad4ant24 xpss12
      wfun syl2anc sseqtrrd funimassov cle 0xr a1i simpllr rpxrd simp-4l sselda
      fdmd adantrr adantrl xmetcl syl3anc xmetge0 elico1 df-3an bitrdi syl22anc
      w3a baibd 2ralbidva bitrd rexbidva ralbidva pm5.32da ) EGUAHIZFEUEHIFGUBH
      IZEBJZWGKZUCLAJZUFMZNZBFOZAPQZRWFCJZDJZEMZWIUDSZDWGQCWGQZBFOZAPQZRABEFGUG
      WEWFWMWTWEWFRZWLWSAPXAWIPIZRZWKWRBFXCWGFIZRZWKWPWJIZDWGQCWGQZWRXEEUQWHEUH
      ZNWKXGUIXEGGKZTEWEXITEUJWFXBXDEGUKULZUMXEWHXIXHXEWGGNZXKWHXINWFXDXKWEXBWG
      FGUNUOZXLWGGWGGUPURXEXITEXJVHUSCDWGWGWJEUTURXEXFWQCDWGWGXEWNWGIZWOWGIZRZR
      ZLTIZWITIZWPTIZLWPVASZXFWQUIXQXPVBVCXPWIXAXBXDXOVDVEXPWEWNGIZWOGIZXSWEWFX
      BXDXOVFZXEXMYAXNXEWGGWNXLVGVIZXEXNYBXMXEWGGWOXLVGVJZWNWOEGVKVLXPWEYAYBXTY
      CYDYEWNWOEGVMVLXQXRRZXFXSXTRZWQYFXFXSXTWQVRYGWQRLWIWPVNXSXTWQVOVPVSVQVTWA
      WBWCWDWA $.

    $( A Cauchy filter is a filter.  (Contributed by Mario Carneiro,
       13-Oct-2015.) $)
    cfilfil $p |- ( ( D e. ( *Met ` X ) /\ F e. ( CauFil ` D ) ) ->
      F e. ( Fil ` X ) ) $=
      ( vy vx cxmet cfv wcel ccfil cfil cv cxp cima cc0 cico wss wrex crp wral
      co iscfil simprbda ) ACFGHBAIGHBCJGHADKZUCLMNEKOTPDBQERSEDABCUAUB $.

    $( Property of a Cauchy filter.  (Contributed by Mario Carneiro,
       13-Oct-2015.) $)
    cfili $p |- ( ( F e. ( CauFil ` D ) /\ R e. RR+ ) ->
      E. x e. F A. y e. x A. z e. x ( y D z ) < R ) $=
      ( vr vd vf ccfil cfv wcel cv co clt wbr wral wrex crp cdm wa cxmet wb crn
      cfil cuni cxp cima cc0 cico wss crab df-cfil mptrcl xmetunirn iscfil2 syl
      sylib ibi simprd wceq breq2 2ralbidv rexbidv rspccva sylan ) FDJKLZBMZCMD
      NZGMZOPZCAMZQBVLQZAFRZGSQZESLVIEOPZCVLQBVLQZAFRZVGFDTTZUEKLZVOVGVTVOUAZVG
      DVSUBKLZVGWAUCVGDUBUDUFZLWBHWCHMZVHVHUGUHUIVLUJNUKBIMRASQIWDTTUEKULJFDABI
      HUMUNDUOURGABCDFVSUPUQUSUTVNVRGESVJEVAZVMVQAFWEVKVPBCVLVLVJEVIOVBVCVDVEVF
      $.

    $( A Cauchy filter contains balls of any pre-chosen size.  (Contributed by
       Mario Carneiro, 15-Oct-2015.) $)
    cfil3i $p |- ( ( D e. ( *Met ` X ) /\ F e. ( CauFil ` D ) /\ R e. RR+ ) ->
      E. x e. X ( x ( ball ` D ) R ) e. F ) $=
      ( vy vs cfv wcel cv co wral wrex wa wi sylan syl wss ad2antrr adantr cfil
      cxmet ccfil crp w3a clt wbr cbl cfili 3adant1 wne cfilfil 3adant3 fileln0
      c0 r19.2z ex filelss ssrexv dfss3 cxr wb simpl1 rpxrd simplr sselda elbl2
      simpll3 syl22anc ralbidva syl5bb simpr blssm syl3anc filss 3exp2 reximdva
      syl3c sylbird 3syld rexlimdva mpd ) BEUBHIZDBUCHIZCUDIZUEZAJZFJZBKCUFUGZF
      GJZLZAWJLZGDMZWGCBUHHKZDIZAEMZWDWEWMWCGAFBCDUIUJWFWLWPGDWFWJDIZNZWLWKAWJM
      ZWKAEMZWPWRWJUOUKZWLWSOWFDEUAHIZWQXAWCWDXBWEBDEULUMZWJDEUNPXAWLWSWKAWJUPU
      QQWRWJERZWSWTOWFXBWQXDXCWJDEURPZWKAWJEUSQWRWKWOAEWRWGEIZNZWKWJWNRZWOXHWHW
      NIZFWJLXGWKFWJWNUTXGXIWIFWJXGWHWJIZNWCCVAIZXFWHEIXIWIVBWRWCXFXJWCWDWEWQVC
      ZSXGXKXJXGCWCWDWEWQXFVHVDZTWRXFXJVEXGWJEWHWRXDXFXETVFWHBWGCEVGVIVJVKXGXBW
      QWNERZXHWOOWFXBWQXFXCSWFWQXFVEXGWCXFXKXNWRWCXFXLTWRXFVLXMBWGCEVMVNXBWQXNX
      HWOWJWNDEVOVPVRVSVQVTWAWB $.

    $( A filter finer than a Cauchy filter is Cauchy.  (Contributed by Mario
       Carneiro, 13-Oct-2015.) $)
    cfilss $p |- ( ( ( D e. ( *Met ` X ) /\ F e. ( CauFil ` D ) ) /\
      ( G e. ( Fil ` X ) /\ F C_ G ) ) -> G e. ( CauFil ` D ) ) $=
      ( vy vx cxmet cfv wcel ccfil wa cfil wss cv cxp cima wrex crp wral iscfil
      cc0 cico co simprl simprr simplbda adantr ssrexv ralimdv sylc wb ad2antrr
      mpbir2and ) ADGHIZBAJHZIZKZCDLHZIZBCMZKZKZCUOIZUSAENZVDOPUAFNUBUCMZECQZFR
      SZUQUSUTUDVBUTVEEBQZFRSZVGUQUSUTUEUQVIVAUNUPBURIVIFEABDTUFUGUTVHVFFRVEEBC
      UHUIUJUNVCUSVGKUKUPVAFEACDTULUM $.

    $( The Cauchy filter condition for a filter base.  (Contributed by Mario
       Carneiro, 13-Oct-2015.) $)
    fgcfil $p |- ( ( D e. ( *Met ` X ) /\ B e. ( fBas ` X ) ) ->
      ( ( X filGen B ) e. ( CauFil ` D ) <-> A. x e. RR+ E. y e. B
        A. z e. y A. w e. y ( z D w ) < x ) ) $=
      ( vu cfv wcel wa co cv wral wrex crp wss wi wb adantl cxmet cfbas cfg clt
      ccfil wbr cfili adantll elfg ad3antlr ssralv ralimdv syldc reximdv syl6bi
      rexlimdv mpd ralrimiva ex cfil ssfg ssrexv syl fgcl jctild iscfil2 adantr
      com12 sylibrd impbid ) FGUAIJZEGUBIJZKZGEUCLZFUEIJZCMDMFLAMZUDUFZDBMZNZCV
      RNZBEOZAPNZVMVOWBVMVOKZWAAPWCVPPJZKZVQDHMZNZCWFNZHVNOZWAVOWDWIVMHCDFVPVNU
      GUHWEWHWAHVNWEWFVNJZWFGQZVRWFQZBEOZKZWHWARZVLWJWNSVKVOWDBWFEGUIUJWMWOWKWH
      WMWAWHWLVTBEWLWHVSCWFNVTWLWGVSCWFVQDVRWFUKULVSCVRWFUKUMUNVHTUOUPUQURUSVMW
      BVNGUTIJZVTBVNOZAPNZKZVOVMWBWRWPVMEVNQZWBWRRVLWTVKEGVATWTWAWQAPVTBEVNVBUL
      VCVLWPVKEGVDTVEVKVOWSSVLABCDFVNGVFVGVIVJ $.

    $( The Cauchy filter condition for a filter map.  (Contributed by Mario
       Carneiro, 13-Oct-2015.) $)
    fmcfil $p |- ( ( D e. ( *Met ` X ) /\ B e. ( fBas ` Y ) /\ F : Y --> X ) ->
      ( ( ( X FilMap F ) ` B ) e. ( CauFil ` D ) <-> A. x e. RR+ E. y e. B
        A. z e. y A. w e. y ( ( F ` z ) D ( F ` w ) ) < x ) ) $=
      ( vu vv vs cxmet cfv wcel co cv clt wral wb cfbas w3a cfm ccfil cima cmpt
      wf crn cfg wbr wrex crp cdm elfvdm fmval syl3an1 eleq1d simp1 simp2 simp3
      wceq 3ad2ant1 eqid fbasrn syl3anc fgcfil syl2anc cvv imassrn wss 3ad2ant3
      frn sstrid ssexd ralrimivw raleq raleqbi1dv rexrnmptw syl wfn simpl3 ffnd
      wa fbelss sylan oveq1 breq1d ralbidv ralima oveq2 bitrd rexbidva 3bitrd )
      FHMNOZEIUANOZIHGUGZUBZEHGUCPNZFUDNZOHBEGBQZUEZUFZUHZUIPZWSOZJQZKQZFPZAQZR
      UJZKLQZSZJXKSZLXCUKZAULSZCQGNZDQGNZFPZXIRUJZDWTSZCWTSZBEUKZAULSWQWRXDWSWN
      HMUMZOZWOWPWRXDVAFHMUNZBYCEGHIUOUPUQWQWNXCHUANOZXEXOTWNWOWPURWQWOWPYDYFWN
      WOWPUSZWNWOWPUTWNWOYDWPYEVBZBEXCGYCIHXCVCVDVEALJKXCFHVFVGWQXNYBAULWQXNXJK
      XASZJXASZBEUKZYBWQXAVHOZBESXNYKTWQYLBEWQXAHYCYHWQXAGUHZHGWTVIWPWNYMHVJWOI
      HGVLVKVMVNVOXMYJBLEXAXBVHXBVCXLYIJXKXAXJKXKXAVPVQVRVSWQYJYABEWQWTEOZWCZYJ
      XPXGFPZXIRUJZKXASZCWTSZYAYOGIVTZWTIVJZYJYSTYOIHGWNWOWPYNWAWBZWQWOYNUUAYGI
      EWTWDWEZYIYRJCIWTGXFXPVAZXJYQKXAUUDXHYPXIRXFXPXGFWFWGWHWIVGYOYRXTCWTYOYTU
      UAYRXTTUUBUUCYQXSKDIWTGXGXQVAYPXRXIRXGXQXPFWJWGWIVGWHWKWLWKWHWM $.

    $( A filter is Cauchy iff it contains a ball of any chosen size.
       (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    iscfil3 $p |- ( D e. ( *Met ` X ) ->
      ( F e. ( CauFil ` D ) <-> ( F e. ( Fil ` X ) /\
        A. r e. RR+ E. x e. X ( x ( ball ` D ) r ) e. F ) ) ) $=
      ( vu vv vs vy cfv wcel cv co wrex crp wral wa simprl syl sseldd cxmet cbl
      ccfil cfil cfilfil cfil3i 3expa ralrimiva jca clt wbr c2 cdiv wi rphalfcl
      adantl wceq oveq2 eleq1d rexbidv rspcv simprr wss simp-4l simplrl simpllr
      cr rpred blhalf syl22anc rpxrd blssm syl3anc elbl2 mpbid ralrimivva raleq
      cxr wb raleqbi1dv rspcev syl2anc rexlimdvaa syld ralrimdva iscfil2 adantr
      impr mpbir2and impbida ) BDUAJKZCBUCJKZCDUDJKZALZELZBUBJZMZCKZADNZEOPZQZW
      KWLQZWMWTBCDUEXBWSEOWKWLWOOKWSABWOCDUFUGUHUIWKXAQWLWMFLZGLZBMHLZUJUKZGILZ
      PZFXGPZICNZHOPZWKWMWTRWKWMWTXKWKWMQZWTXJHOXLXEOKZQZWTWNXEULUMMZWPMZCKZADN
      ZXJXNXOOKZWTXRUNXMXSXLXEUOZUPWSXREXOOWOXOUQZWRXQADYAWQXPCWOXOWNWPURUSUTVA
      SXNXQXJADXNWNDKZXQQZQZXQXFGXPPZFXPPZXJXNYBXQVBYDXFFGXPXPYDXCXPKZXDXPKZQZQ
      ZXDXCXEWPMZKZXFYJXPYKXDYJWKYBXEVGKYGXPYKVCWKWMXMYCYIVDZXNYBXQYIVEZYJXEXLX
      MYCYIVFZVHYDYGYHRZXEBDWNXCVIVJYDYGYHVBZTYJWKXEVRKXCDKXDDKYLXFVSYMYJXEYOVK
      YJXPDXCYJWKYBXOVRKXPDVCYMYNYJXOYJXMXSYOXTSVKBWNXODVLVMZYPTYJXPDXDYRYQTXDB
      XCXEDVNVJVOVPXIYFIXPCXHYEFXGXPXFGXGXPVQVTWAWBWCWDWEWHWKWLWMXKQVSXAHIFGBCD
      WFWGWIWJ $.

    cfilfcls.1 $e |- J = ( MetOpen ` D ) $.
    cfilfcls.2 $e |- X = dom dom D $.
    $( Similar to ultrafilters ( ~ uffclsflim ), the cluster points and limit
       points of a Cauchy filter coincide.  (Contributed by Mario Carneiro,
       15-Oct-2015.) $)
    cfilfcls $p |- ( F e. ( CauFil ` D ) -> ( J fClus F ) = ( J fLim F ) ) $=
      ( vx vy vr vz cfv wcel co cv wa cxmet wss crp adantr syl3anc vd wral cuni
      vf ccfil cfcls cflim wi eqid fclselbas adantl ctopon wceq cdm crn cxp cc0
      cima cico wrex cfil crab df-cfil mptrcl xmetunirn eleqtrrdi mopntopon syl
      sylib fveq2i toponuni eleqtrrd cbl mopni2 3expb sylan cfilfil ad2antrr c2
      mpancom cdiv simpll rphalfcl cfil3i simprr cxr rpxr ad2antlr blssm cin c0
      wex simpllr rpxrd blopn blcntr fclsopni syl13anc n0 elin cr simplrl rpred
      wne blhalf syl22anc sselda adantrr simprl wb blcom mpbid sstrd ex exlimdv
      syl5bi mpd rexlimddv ad2ant2r toponss ralrimiva flimopn syl2anc mpbir2and
      filss expr ssrdv flimfcls a1i eqssd ) BAUEKLZCBUFMZCBUGMZYKGYLYMYKGNZYLLZ
      YNYMLZYKYOOZYPYNDLZYNHNZLZYSBLZUHZHCUBZYQYNCUCZDYOYNUUDLYKYNBCUUDUUDUIUJU
      KYQCDULKLZDUUDUMYQADPKZLZUUEYKUUGYOYKAAUNUNZPKZUUFYKAPUOUCZLAUUILUAUUJUAN
      ZYSYSUPURUQYNUSMQHUDNUTGRUBUDUUKUNUNVAKVBUEBAGHUDUAVCVDAVEVIDUUHPFVJVFZSZ
      ACDEVGVHZDCVKVHVLZYQUUBHCYQYSCLZYTUUAYQUUPYTOZOZYNINZAVMKZMZYSQZUUAIRYQUU
      GUUQUVBIRUTZUUMUUGUUPYTUVCIYSAYNCDEVNVOVPUURUUSRLZUVBOZOBDVAKLZUVABLZYSDQ
      ZUVBUUAYQUVFUUQUVEYKUVFYOUUGYKUVFUULABDVQVTSZVRYQUVDUVGUUQUVBYQUVDOZYSUUS
      VSWAMZVSWAMZUUTMZBLZUVGHDUVJUUGYKUVLRLZUVNHDUTYQUUGUVDUUMSZYKYOUVDWBUVJUV
      KRLZUVOUVDUVQYQUUSWCUKZUVKWCVHHAUVLBDWDTUVJYSDLZUVNOZOZUVFUVNUVADQZUVMUVA
      QZUVGYQUVFUVDUVTUVIVRUVJUVSUVNWEZUWAUUGYRUUSWFLZUWBUVJUUGUVTUVPSZYQYRUVDU
      VTUUOVRZUVDUWEYQUVTUUSWGWHAYNUUSDWITUWAJNZYNUVKUUTMZUVMWJZLZJWLZUWCUWAUWJ
      WKXDZUWLUWAYOUWICLZYNUWILZUVNUWMYKYOUVDUVTWMUWAUUGYRUVKWFLZUWNUWFUWGUWAUV
      KUVJUVQUVTUVRSZWNZAYNUVKCDEWOTUWAUUGYRUVQUWOUWFUWGUWQAYNUVKDWPTUWDYNUVMUW
      IBCWQWRJUWJWSVIUWAUWKUWCJUWKUWHUWILZUWHUVMLZOZUWAUWCUWHUWIUVMWTUWAUXAUWCU
      WAUXAOZUVMUWHUVKUUTMZUVAUXBUUGUVSUVKXALUWTUVMUXCQUWAUUGUXAUWFSZUVJUVSUVNU
      XAXBUXBUVKUWAUVQUXAUWQSZXCUWAUWSUWTWEUVKADYSUWHXEXFUXBUUGUWHDLZUUSXALYNUX
      CLZUXCUVAQUXDUWAUWSUXFUWTUWAUWIDUWHUWAUUGYRUWPUWIDQUWFUWGUWRAYNUVKDWITXGX
      HZUXBUUSYQUVDUVTUXAWMXCUXBUWSUXGUWAUWSUWTXIUXBUUGUWPYRUXFUWSUXGXJUXDUXBUV
      KUXEWNUWAYRUXAUWGSUXHUWHAYNUVKDXKXFXLUUSADUWHYNXEXFXMXNXPXOXQUVMUVABDYEWR
      XRXSUURUVHUVEYQUUEUUQUVHUUNUUEUUPUVHYTYSCDXTXHVPSUURUVDUVBWEUVAYSBDYEWRXR
      YFYAYQUUEUVFYPYRUUCOXJUUNUVIHYNBCDYBYCYDXNYGYMYLQYKBCYHYIYJ $.
  $}

  ${
    $d d f j k m x D $.  $d f j k m x F $.  $d j k x ph $.  $d d f j k m x X $.
    $d j M $.  $d j k x Z $.
    $( The set of Cauchy sequences on a metric space.  (Contributed by NM,
       8-Sep-2006.)  (Revised by Mario Carneiro, 5-Sep-2015.) $)
    caufval $p |- ( D e. ( *Met ` X ) -> ( Cau ` D ) = { f e. ( X ^pm CC ) |
         A. x e. RR+ E. k e. ZZ ( f |` ( ZZ>= ` k ) ) :
          ( ZZ>= ` k ) --> ( ( f ` k ) ( ball ` D ) x ) } ) $=
      ( vd cxmet cfv wcel cv cbl co wf cz wrex crp wral cdm cc cpm cuz cres crn
      crab cuni ccau cvv df-cau wceq wa dmeq dmeqd cxp xmetf fdmd dmxpid eqtrdi
      cxr sylan9eqr oveq1d simpr fveq2d oveqd feq3d rexbidv rabeqbidv fvssunirn
      ralbidv sseli ovex rabex a1i fvmptd2 ) BEGHZIZFBDJZUAHZVPCJZHZAJZFJZKHZLZ
      VRVQUBZMZDNOZAPQZCWARZRZSTLZUDVQVSVTBKHZLZWDMZDNOZAPQZCESTLZUDZGUCUEZUFUG
      ACDFUHVOWABUIZUJZWGWOCWJWPWTWIESTWSVOWIBRZRZEWSWHXAWABUKULVOXBEEUMZREVOXA
      XCVOXCURBBEUNUOULEUPUQUSUTWTWFWNAPWTWEWMDNWTWCWLWDVQWTWBWKVSVTWTWABKVOWSV
      AVBVCVDVEVHVFVNWRBGEVGVIWQUGIVOWOCWPESTVJVKVLVM $.

    $( Express the property " ` F ` is a Cauchy sequence of metric ` D ` ".
       Part of Definition 1.4-3 of [Kreyszig] p. 28.  The condition
       ` F C_ ( CC X. X ) ` allows us to use objects more general than
       sequences when convenient; see the comment in ~ df-lm .  (Contributed by
       NM, 7-Dec-2006.)  (Revised by Mario Carneiro, 14-Nov-2013.) $)
    iscau $p |- ( D e. ( *Met ` X ) -> ( F e. ( Cau ` D ) <->
        ( F e. ( X ^pm CC ) /\ A. x e. RR+ E. k e. ZZ ( F |` ( ZZ>= ` k ) ) :
          ( ZZ>= ` k ) --> ( ( F ` k ) ( ball ` D ) x ) ) ) ) $=
      ( vf cxmet cfv wcel ccau cv cuz cbl co cres wf cz wrex crp wral cc cpm wa
      crab caufval eleq2d wceq reseq1 eqidd fveq1 feq123d rexbidv ralbidv elrab
      oveq1d bitrdi ) BEGHIZDBJHZIDCKZLHZUSFKZHZAKZBMHZNZVAUTOZPZCQRZASTZFEUAUB
      NZUDZIDVJIUTUSDHZVCVDNZDUTOZPZCQRZASTZUCUQURVKDABFCEUEUFVIVQFDVJVADUGZVHV
      PASVRVGVOCQVRUTUTVEVMVFVNVADUTUHVRUTUIVRVBVLVCVDUSVADUJUOUKULUMUNUP $.

    $( Express the property " ` F ` is a Cauchy sequence of metric
       ` D ` " using an arbitrary upper set of integers.  (Contributed by NM,
       19-Dec-2006.)  (Revised by Mario Carneiro, 14-Nov-2013.) $)
    iscau2 $p |- ( D e. ( *Met ` X ) -> ( F e. ( Cau ` D ) <->
        ( F e. ( X ^pm CC ) /\ A. x e. RR+ E. j e. ZZ A. k e. ( ZZ>= ` j )
             ( k e. dom F /\ ( F ` k ) e. X /\
               ( ( F ` k ) D ( F ` j ) ) < x ) ) ) ) $=
      ( cfv wcel cc co cz crp wral wa clt w3a wb syl wi wceq cxmet ccau cpm cuz
      cv cbl cres wrex cdm wbr iscau wfun cxp wss cvv elfvdm cnex elpmg sylancl
      wf simprbda ffvresb rexbidv adantr uzid adantl eleq1w fveq2 anbi12d rspcv
      eleq1d c0 wn cxr n0i cpw blf ndmovg ex con1d simpl syl56 adantld ad2antrr
      fdmd syld oveq1d breq1d 3anbi123d syl6 rpxr elbl syl3an3 xmetsym 3adantl3
      simp2 3expa pm5.32da bitrd 3com23 anbi2d 3anass bitr4di ralbidv pm5.21ndd
      3expia rexbidva adantlr ralbidva ) BFUAGHZEBUBGHEFIUCJHZCUEZUDGZXLEGZAUEZ
      BUFGZJZEXMUGUTZCKUHZALMZNXKDUEZEUIZHZYAEGZFHZYDXNBJZXOOUJZPZDXMMZCKUHZALM
      ZNABCEFUKXJXKXTYKXJXKNZXSYJALYLXOLHZNXSYCYDXQHZNZDXMMZCKUHZYJYLXSYQQYMYLX
      RYPCKYLEULZXRYPQXJXKYREIFUMUNZXJFUAUIZHIUOHXKYRYSNQBFUAUPUQFIEYTUOURUSVAD
      XMXQEVBRVCVDXJYMYQYJQXKXJYMNZYPYICKUUAXLKHZNZXNFHZYPYIUUCYPXLYBHZXNXQHZNZ
      UUDUUCXLXMHZYPUUGSUUBUUHUUAXLVEVFZYOUUGDXLXMYAXLTZYCUUEYNUUFDCYBVGZUUJYDX
      NXQYAXLEVHZVKVIVJRXJUUGUUDSYMUUBXJUUFUUDUUEUUFXQVLTZVMXJUUDXOVNHZNZUUDXQX
      NVOXJUUOUUMXJXPUIFVNUMZTZUUOVMZUUMSXJUUPFVPXPBFVQWEUUQUURUUMXNXOFVNXPVRVS
      RVTUUDUUNWAWBWCWDWFUUCYIUUEUUDXNXNBJZXOOUJZPZUUDUUCUUHYIUVASUUIYHUVADXLXM
      UUJYCUUEYEUUDYGUUTUUKUUJYDXNFUULVKUUJYFUUSXOOUUJYDXNXNBUULWGWHWIVJRUUEUUD
      UUTWPWJUUAUUDYPYIQZSUUBXJYMUUDUVBXJYMUUDPZYOYHDXMUVCYOYCYEYGNZNYHUVCYNUVD
      YCXJUUDYMYNUVDQXJUUDYMPZYNYEXNYDBJZXOOUJZNZUVDYMXJUUDUUNYNUVHQXOWKYDBXNXO
      FWLWMUVEYEUVGYGUVEYENUVFYFXOOXJUUDYEUVFYFTZYMXJUUDYEUVIXNYDBFWNWQWOWHWRWS
      WTXAYCYEYGXBXCXDXFVDXEXGXHWSXIWRWS $.

    iscau3.2 $e |- Z = ( ZZ>= ` M ) $.
    iscau3.3 $e |- ( ph -> D e. ( *Met ` X ) ) $.
    iscau3.4 $e |- ( ph -> M e. ZZ ) $.
    $( Express the Cauchy sequence property in the more conventional
       three-quantifier form.  (Contributed by NM, 19-Dec-2006.)  (Revised by
       Mario Carneiro, 14-Nov-2013.) $)
    iscau3 $p |- ( ph -> ( F e. ( Cau ` D ) <-> ( F e. ( X ^pm CC ) /\
           A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j )
             ( k e. dom F /\ ( F ` k ) e. X /\ A. m e. ( ZZ>= ` k )
               ( ( F ` k ) D ( F ` m ) ) < x ) ) ) ) $=
      ( cfv wcel co clt wbr wral wa ccau cc cpm cv cdm w3a cuz cz wrex cxmet wb
      crp iscau2 syl cid adantr ssid simpr eleq1 xmetsym fveq2d cr c2 cdiv cxad
      cxr wi simp1 simp2l simp3l xmetcl syl3anc simp2r simp3r rehalfcld xlt2add
      rexrd syl22anc caddc rexaddd recnd 2halvesd eqtrd breq2d xmettri syl13anc
      cle xaddcld xrlelttr mpand sylbid syld cvv wceq ovex ax-mp breq1i anbi12i
      3imtr4g cau3lem anbi2i df-3an bitr4i ralbii rexbii 3bitr3g rexuz3 ralbidv
      fvi bitr4d pm5.32da bitrd ) AGCUANOZGIUBUCPOZEUDZGUEOZXOGNZIOZXQDUDZGNZCP
      ZBUDZQRZUFZEXSUGNZSZDUHUIZBULSZTZXNXPXRXQFUDGNZCPZYBQRZFXOUGNZSZUFZEYESZD
      JUIZBULSZTACIUJNOZXMYIUKLBCDEGIUMUNAXNYHYRAXNTZYHYPDUHUIZBULSZYRYTXPXRTZY
      AUONZYBQRZTZEYESZDUHUIZBULSZUUCYKUONZYBQRZFYMSZTZEYESZDUHUIZBULSZYHUUBYTY
      SUUIUUPUKAYSXNLUPYSXRXTIOZYJIOZUUCBCDEFGUOUHUHUQXPXRURXQXTIUSXQYJIUSYSUUQ
      XRUFXTXQCPYAUOXTXQCIUTVAYSUURUUQUFYJXTCPXTYJCPZUOYJXTCIUTVAYSXRUURTZUUQYB
      VBOZTZUFZYAYBVCVDPZQRZUUSUVDQRZTZYLUUDUVDQRZUUSUONZUVDQRZTUUKUVCUVGYAUUSV
      EPZUVDUVDVEPZQRZYLUVCYAVFOZUUSVFOZUVDVFOZUVPUVGUVMVGUVCYSXRUUQUVNYSUUTUVB
      VHZYSXRUURUVBVIZYSUUTUUQUVAVJZXQXTCIVKVLZUVCYSUUQUURUVOUVQUVSYSXRUURUVBVM
      ZXTYJCIVKVLZUVCUVDUVCYBYSUUTUUQUVAVNZVOZVQZUWEYAUUSUVDUVDVPVRUVCUVMUVKYBQ
      RZYLUVCUVLYBUVKQUVCUVLUVDUVDVSPYBUVCUVDUVDUWDUWDVTUVCYBUVCYBUWCWAWBWCWDUV
      CYKUVKWGRZUWFYLUVCYSXRUURUUQUWGUVQUVRUWAUVSXQYJXTCIWEWFUVCYKVFOZUVKVFOYBV
      FOUWGUWFTYLVGUVCYSXRUURUWHUVQUVRUWAXQYJCIVKVLUVCYAUUSUVTUWBWHUVCYBUWCVQYK
      UVKYBWIVLWJWKWLUVHUVEUVJUVFUUDYAUVDQYAWMOUUDYAWNXQXTCWOYAWMXIWPZWQUVIUUSU
      VDQUUSWMOUVIUUSWNXTYJCWOUUSWMXIWPWQWRUUJYKYBQYKWMOUUJYKWNXQYJCWOYKWMXIWPW
      QZWSWTUNUUHYGBULUUGYFDUHUUFYDEYEUUFUUCYCTYDUUEYCUUCUUDYAYBQUWIWQXAXPXRYCX
      BXCXDXEXDUUOUUABULUUNYPDUHUUMYOEYEUUMUUCYNTYOUULYNUUCUUKYLFYMUWJXDXAXPXRY
      NXBXCXDXEXDXFYTYQUUABULYTHUHOZYQUUAUKAUWKXNMUPYODEHJKXGUNXHXJXKXL $.

    $d j k m x Z $.
    iscau4.5 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.
    iscau4.6 $e |- ( ( ph /\ j e. Z ) -> ( F ` j ) = B ) $.
    $( Express the property " ` F ` is a Cauchy sequence of metric
       ` D ` " using an arbitrary upper set of integers.  (Contributed by NM,
       19-Dec-2006.)  (Revised by Mario Carneiro, 23-Dec-2013.) $)
    iscau4 $p |- ( ph -> ( F e. ( Cau ` D ) <->
            ( F e. ( X ^pm CC ) /\ A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j )
              ( k e. dom F /\ A e. X /\ ( A D B ) < x ) ) ) ) $=
      ( wcel clt wral wa vm ccau cfv cc cpm co cv cdm wbr w3a cuz crp iscau3 wi
      wrex simpr eleqtrdi eluzelz uzid 3syl fveq2 oveq1d breq1d raleqbidv rspcv
      wceq syl adantr oveq2d cbvralvw ralimi eleq1d syl2im imp r19.26 ad3antrrr
      cxmet simplr simprr xmetsym syl3anc expimpd ralimdv syl5bir expd impancom
      cz biimpd mpd syl5bi syld imdistanda df-3an ralbii reximdva anim2d sylbid
      3imtr4g wss uzssz eqsstri ssrexv ax-mp anim2i iscau2 syl5ibr impbid simpl
      uztrn2 adantrl adantrr oveq12d 3anbi23d anassrs ralbidva rexbidva ralbidv
      wb jca sylan2 anbi2d bitrd ) AHEUBUCQZHJUDUEUFQZGUGZHUHQZYEHUCZJQZYGFUGZH
      UCZEUFZBUGZRUIZUJZGYIUKUCZSZFKUOZBULSZTZYDYFCJQZCDEUFZYLRUIZUJZGYOSZFKUOZ
      BULSZTAYCYSAYCYDYFYHYGUAUGZHUCZEUFZYLRUIZUAYEUKUCZSZUJZGYOSZFKUOZBULSZTYS
      ABEFGUAHIJKLMNUMAUUPYRYDAUUOYQBULAUUNYPFKAYIKQZTZYFYHTZUULTZGYOSZUUSYMTZG
      YOSZUUNYPUURUUSGYOSZUULGYOSZTUVDYMGYOSZTUVAUVCUURUVDUVEUVFUURUVDTZUVEYJUU
      HEUFZYLRUIZUAYOSZUVFUURUVEUVJUNZUVDUURYIYOQZUVKUURYIIUKUCZQYIWGQUVLUURYIK
      UVMAUUQUPLUQIYIURYIUSUTZUULUVJGYIYOYEYIVFZUUJUVIUAUUKYOYEYIUKVAUVOUUIUVHY
      LRUVOYGYJUUHEYEYIHVAZVBVCVDVEVGVHUVJYJYGEUFZYLRUIZGYOSZUVGUVFUVIUVRUAGYOU
      UGYEVFZUVHUVQYLRUVTUUHYGYJEUUGYEHVAVIVCVJUVGYJJQZUVSUVFUNZUURUVDUWAUURUVL
      UVDYHGYOSUWAUVNUUSYHGYOYFYHUPVKYHUWAGYIYOUVOYGYJJUVPVLVEVMVNUURUWAUVDUWBU
      URUWATZUVDUVSUVFUVDUVSTUUSUVRTZGYOSUWCUVFUUSUVRGYOVOUWCUWDYMGYOUWCUUSUVRY
      MUWCUUSTZUVRYMUWEUVQYKYLRUWEEJVQUCQZUWAYHUVQYKVFAUWFUUQUWAUUSMVPUURUWAUUS
      VRUWCYFYHVSYJYGEJVTWAVCWHWBWCWDWEWFWIWJWKWLUUSUULGYOVOUUSYMGYOVOWRUUMUUTG
      YOYFYHUULWMWNYNUVBGYOYFYHYMWMWNWRWOWCWPWQAUWFYSYCUNMYSYCUWFYDYPFWGUOZBULS
      ZTYRUWHYDYQUWGBULKWGWSYQUWGUNKUVMWGLIWTXAYPFKWGXBXCVKXDBEFGHJXEXFVGXGAYRU
      UFYDAYQUUEBULAYPUUDFKUURYNUUCGYOAUUQYEYOQZYNUUCXRZUUQUWITZAUUQYEKQZTZUWJU
      WKUUQUWLUUQUWIXHIYEYIKLXIXSAUWMTZYHYTYMUUBYFUWNYGCJAUWLYGCVFUUQOXJZVLUWNY
      KUUAYLRUWNYGCYJDEUWOAUUQYJDVFUWLPXKXLVCXMXTXNXOXPXQYAYB $.

    iscauf.7 $e |- ( ph -> F : Z --> X ) $.
    $( Express the property " ` F ` is a Cauchy sequence of metric
       ` D ` " presupposing ` F ` is a function.  (Contributed by NM,
       24-Jul-2007.)  (Revised by Mario Carneiro, 23-Dec-2013.) $)
    iscauf $p |- ( ph -> ( F e. ( Cau ` D ) <->
                A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j ) ( B D A ) < x ) ) $=
      ( wcel cfv wa cv cdm co clt wbr w3a cuz wral wrex crp cc cpm cxmet cvv wf
      ccau wss elfvdm syl cnex jctir uzssz zsscn sstri eqsstri elpm2r biantrurd
      cz syl2anc wb wceq adantr adantrr simprl ffvelrnd eqeltrrd uztrn2 ffvelrn
      sylan2 syl2an xmetsym syl3anc breq1d fdm eleq2d biimpar jca bitr4di bitrd
      df-3an anassrs ralbidva rexbidva ralbidv iscau4 3bitr4rd ) AGUAZHUBZRZCJR
      ZCDEUCZBUAZUDUEZUFZGFUAZUGSZUHZFKUIZBUJUHZHJUKULUCRZXITDCEUCZXBUDUEZGXFUH
      ZFKUIZBUJUHHEUPSRAXJXIAJUMUBZRZUKUNRZTKJHUOZKUKUQZTXJAXPXQAEJUMSRZXPMEJUM
      URUSUTVAAXRXSQKIUGSZUKLYAVHUKIVBVCVDVEVAJUKKHXOUNVFVIVGAXNXHBUJAXMXGFKAXE
      KRZTXLXDGXFAYBWQXFRZXLXDVJAYBYCTZTZXLXCXDYEXKXAXBUDYEXTDJRWTXKXAVKAXTYDMV
      LYEXEHSZDJAYBYFDVKYCPVMYEKJXEHAXRYDQVLAYBYCVNVOVPYEWQHSZCJYDAWQKRZYGCVKIW
      QXEKLVQZOVSAXRYHYGJRYDQYIKJWQHVRVTVPZDCEJWAWBWCYEXCWSWTTZXCTXDYEYKXCYEWSW
      TAXRYHWSYDQYIXRWSYHXRWRKWQKJHWDWEWFVTYJWGVGWSWTXCWJWHWIWKWLWMWNABCDEFGHIJ
      KLMNOPWOWP $.
  $}

  ${
    $d j k x y D $.  $d j k x y F $.  $d j k x y X $.
    $( A metric with a Cauchy sequence cannot be empty.  (Contributed by NM,
       19-Dec-2006.)  (Revised by Mario Carneiro, 24-Dec-2013.) $)
    caun0 $p |- ( ( D e. ( *Met ` X ) /\ F e. ( Cau ` D ) ) -> X =/= (/) ) $=
      ( vk vj vx cxmet cfv wcel cv co wral cz wrex crp c0 r19.2z ne0i rexlimivw
      wne wa cdm clt wbr w3a cuz c1 1rp ne0ii cc cpm iscau2 simplbda sylancr wi
      ccau uzid ex 3syl 3ad2ant2 syl6 rexlimiv syl ) ACGHIZBAUPHIZUAZDJZBUBIZVG
      BHZCIZVIEJZBHAKFJUCUDZUEZDVKUFHZLZEMNZFONZCPTZVFOPTVPFOLZVQUGOUHUIVDVEBCU
      JUKKIVSFAEDBCULUMVPFOQUNVPVRFOVOVREMVKMIZVOVMDVNNZVRVTVKVNIVNPTZVOWAUOVKU
      QVNVKRWBVOWAVMDVNQURUSVMVRDVNVJVHVRVLCVIRUTSVAVBSVC $.

    $( Inclusion of a Cauchy sequence, under our definition.  (Contributed by
       NM, 7-Dec-2006.)  (Revised by Mario Carneiro, 24-Dec-2013.) $)
    caufpm $p |- ( ( D e. ( *Met ` X ) /\ F e. ( Cau ` D ) ) ->
        F e. ( X ^pm CC ) ) $=
      ( vy vx cxmet cfv wcel ccau cc cpm co cv cuz cbl cres wf cz wrex crp wral
      iscau simprbda ) ACFGHBAIGHBCJKLHDMZNGZUDBGEMAOGLBUEPQDRSETUAEADBCUBUC $.
  $}

  ${
    $d j k m u x D $.  $d j k m u x F $.  $d j k m u x X $.  $d j k m u x Z $.
    $d j k m x M $.
    caucfil.1 $e |- Z = ( ZZ>= ` M ) $.
    caucfil.2 $e |- L = ( ( X FilMap F ) ` ( ZZ>= " Z ) ) $.
    $( A Cauchy sequence predicate can be expressed in terms of the Cauchy
       filter predicate for a suitably chosen filter.  (Contributed by Mario
       Carneiro, 13-Oct-2015.) $)
    caucfil $p |- ( ( D e. ( *Met ` X ) /\ M e. ZZ /\ F : Z --> X ) ->
      ( F e. ( Cau ` D ) <-> L e. ( CauFil ` D ) ) ) $=
      ( vk vm vx vu cfv wcel cz clt cuz wral wa wi vj cxmet wf w3a cdm wbr wrex
      cv co crp cima ccau ccfil df-3an uztrn2 adantll simpll3 eleqtrrd ffvelrnd
      fdmd jca biantrurd wss uzss adantl pm4.71rd imbi1d impexp bitrdi ralbidv2
      sseld bitr3d syl5bb ralbidva r19.26-2 eleq1w fveq2 oveq2d breq1d cbvralvw
      imbi12d ralbii eleq2d oveq1d cbvral2vw ralcom 3bitr3i anbi2i 3bitr2i wceq
      anidm simpll1 ad2ant2l adantrr xmetsym syl3anc imbi2d anbi2d jaob eluzelz
      weq wo wb uztric syl2an pm5.5 syl bitr3id bitrd 2ralbidva wfn cpw uzf ffn
      rexbidva ax-mp uzssz eqsstri raleq raleqbi1dv rexima mp2an bitr4di cc cpm
      ralbidv cvv elfvdm adantr cnex jctir zsscn sstri jctr elpm2r simpl iscau3
      simpr baibd syldan 3impa cfm eleq1i cfbas uzfbas fmcfil syl3an2 3bitr4d )
      AEUBMNZDONZFEBUCZUDZIUHZBUEZNZUUMBMZENZUUPJUHZBMZAUIZKUHZPUFZJUUMQMZRZUDZ
      IUAUHZQMZRZUAFUGZKUJRZUVBJLUHZRZIUVKRZLQFUKZUGZKUJRZBAULMNZCAUMMZNZUULUVI
      UVOKUJUULUVIUVBJUVGRZIUVGRZUAFUGZUVOUULUVHUWAUAFUULUVFFNZSZUVHUURUVCNZUVB
      TZJUVGRZIUVGRZUWAUWDUVEUWGIUVGUVEUUOUUQSZUVDSZUWDUUMUVGNZSZUWGUUOUUQUVDUN
      UWLUVDUWJUWGUWLUWIUVDUWLUUOUUQUWLUUMFUUNUWCUWKUUMFNUULDUUMUVFFGUOUPZUWLFE
      BUUIUUJUUKUWCUWKUQZUTURUWLFEUUMBUWNUWMUSZVAVBUWLUVBUWFJUVCUVGUWLUWFUURUVG
      NZUWESZUVBTUWPUWFTUWLUWEUWQUVBUWLUWEUWPUWLUVCUVGUURUWKUVCUVGVCUWDUVFUUMVD
      VEVKVFVGUWPUWEUVBVHVIVJVLVMVNUWHUWFUUMUURQMZNZUUSUUPAUIZUVAPUFZTZSZJUVGRI
      UVGRZUWDUWAUXDUWHUXBJUVGRIUVGRZSUWHUWHSUWHUWFUXBIJUVGUVGVOUWHUXEUWHUVKUWR
      NZUUSUVKBMZAUIZUVAPUFZTZLUVGRZJUVGRUXBIUVGRZJUVGRUWHUXEUXKUXLJUVGUXJUXBLI
      UVGLIXAZUXFUWSUXIUXALIUWRVPUXMUXHUWTUVAPUXMUXGUUPUUSAUVKUUMBVQVRVSWAVTWBU
      XJUWFUVKUVCNZUUPUXGAUIZUVAPUFZTJLIJUVGUVGJIXAZUXFUXNUXIUXPUXQUWRUVCUVKUUR
      UUMQVQWCUXQUXHUXOUVAPUXQUUSUUPUXGAUURUUMBVQWDVSWALJXAZUXNUWEUXPUVBLJUVCVP
      UXRUXOUUTUVAPUXRUXGUUSUUPAUVKUURBVQVRVSWAWEUXBJIUVGUVGWFWGWHUWHWKWIUWDUXC
      UVBIJUVGUVGUWDUWKUWPSZSZUXCUWFUWSUVBTZSZUVBUXTUXBUYAUWFUXTUXAUVBUWSUXTUWT
      UUTUVAPUXTUUIUUSENUUQUWTUUTWJUUIUUJUUKUWCUXSWLUXTFEUURBUUIUUJUUKUWCUXSUQU
      WCUWPUURFNUULUWKDUURUVFFGUOWMUSUWDUWKUUQUWPUWOWNUUSUUPAEWOWPVSWQWRUYBUWEU
      WSXBZUVBTZUXTUVBUWEUVBUWSWSUXTUYCUYDUVBXCUXSUYCUWDUWKUUMONUURONUYCUWPUVFU
      UMWTUVFUURWTUUMUURXDXEVEUYCUVBXFXGXHXIXJXHXIXOQOXKZFOVCUVOUWBXCOOXLZQUCUY
      EXMOUYFQXNXPFDQMOGDXQXRZUVMUWALUAOFQUVLUVTIUVKUVGUVBJUVKUVGXSXTYAYBYCYFUU
      IUUJUUKUVQUVJXCZUUIUUJSZUUKBEYDYEUINZUYHUYIEUBUEZNZYDYGNZSUUKFYDVCZSUYJUU
      KUYIUYLUYMUUIUYLUUJAEUBYHYIYJYKUUKUYNFOYDUYGYLYMYNEYDFBUYKYGYOXEUYIUVQUYJ
      UVJUYIKAUAIJBDEFGUUIUUJYPUUIUUJYRYQYSYTUUAUVSUVNEBUUBUIMZUVRNZUULUVPCUYOU
      VRHUUCUUJUUIUVNFUUDMNUUKUYPUVPXCDFGUUEKLIJUVNABEFUUFUUGVMUUH $.
  $}

  ${
    $d d f D $.  $d f F $.  $d d f J $.  $d d f x X $.
    iscmet.1 $e |- J = ( MetOpen ` D ) $.
    $( The property " ` D ` is a complete metric." meaning all Cauchy filters
       converge to a point in the space.  (Contributed by Mario Carneiro,
       1-May-2014.)  (Revised by Mario Carneiro, 13-Oct-2015.) $)
    iscmet $p |- ( D e. ( CMet ` X ) <-> ( D e. ( Met ` X ) /\
                 A. f e. ( CauFil ` D ) ( J fLim f ) =/= (/) ) ) $=
      ( vd vx ccmet cfv wcel cvv cmet cv cflim co c0 wne ccfil cmopn fveq2 wral
      wa elfvex adantr crab wceq rabeqdv df-cmet fvex rabex fvmpt eleq2d oveq1d
      eqtr4di neeq1d raleqbidv elrab bitrdi pm5.21nii ) ADHIZJZDKJZADLIZJZCBMZN
      OZPQZBARIZUAZUBZADHUCVDVBVIADLUCUDVBVAAFMZSIZVENOZPQZBVKRIZUAZFVCUEZJVJVB
      UTVQAGDVPFGMZLIZUEVQKHVRDUFVPFVSVCVRDLTUGGBFUHVPFVCDLUIUJUKULVPVIFAVCVKAU
      FZVNVGBVOVHVKARTVTVMVFPVTVLCVENVTVLASICVKASTEUNUMUOUPUQURUS $.

    $( The convergence of a Cauchy filter in a complete metric space.
       (Contributed by Mario Carneiro, 14-Oct-2015.) $)
    cmetcvg $p |- ( ( D e. ( CMet ` X ) /\ F e. ( CauFil ` D ) ) ->
                    ( J fLim F ) =/= (/) ) $=
      ( vf ccmet cfv wcel cv cflim co wne ccfil wral cmet iscmet simprbi wceq
      c0 oveq2 neeq1d rspccva sylan ) ADGHIZCFJZKLZTMZFANHZOZBUIICBKLZTMZUEADPH
      IUJAFCDEQRUHULFBUIUFBSUGUKTUFBCKUAUBUCUD $.
  $}

  ${
    $d f D $.  $d f X $.
    $( A complete metric space is a metric space.  (Contributed by NM,
       18-Dec-2006.)  (Revised by Mario Carneiro, 29-Jan-2014.) $)
    cmetmet $p |- ( D e. ( CMet ` X ) -> D e. ( Met ` X ) ) $=
      ( vf ccmet cfv wcel cmet cmopn cv cflim co c0 wne ccfil wral eqid simplbi
      iscmet ) ABDEFABGEFAHEZCIJKLMCANEOACSBSPRQ $.

    cmetmeti.1 $e |- D e. ( CMet ` X ) $.
    $( A complete metric space is a metric space.  (Contributed by NM,
       26-Oct-2007.) $)
    cmetmeti $p |- D e. ( Met ` X ) $=
      ( ccmet cfv wcel cmet cmetmet ax-mp ) ABDEFABGEFCABHI $.
  $}

  ${
    $d j k m w x y z D $.  $d j k m w x y z F $.  $d j k m y z G $.  $d x P $.
    $d j k x y z J $.  $d j k m x y z ph $.  $d j k m w x y z X $.
    cmetcau.1 $e |- J = ( MetOpen ` D ) $.
    ${
      cmetcau.3 $e |- ( ph -> D e. ( CMet ` X ) ) $.
      cmetcau.4 $e |- ( ph -> P e. X ) $.
      cmetcau.5 $e |- ( ph -> F e. ( Cau ` D ) ) $.
      cmetcau.6 $e |- G = ( x e. NN |-> if ( x e. dom F , ( F ` x ) , P ) ) $.
      $( Lemma for ~ cmetcau .  (Contributed by Mario Carneiro,
         14-Oct-2015.) $)
      cmetcaulem $p |- ( ph -> F e. dom ( ~~>t ` J ) ) $=
        ( vk vz cn cfv wcel wa wral vy vj vw vm cv cuz cima cfg co cflf wex clm
        cdm c0 wne cfm cflim ctopon cfil wf wceq cxmet cmet cmetmet syl metxmet
        ccmet mopntopon cfbas c1 cz 1z nnuz uzfbas mp1i fgcl cif cvv cpm elfvdm
        cc cnex a1i ccau caufpm syl2anc wss elpm2g simprbda adantr ffvelrnda wn
        syl21anc ifclda fmptd flfval syl3anc eqid fmfg oveq2d eqtr4d ccfil wrex
        ad2antrr crp biidd clt wbr w3a 1zzd iscau3 simplbda mpdan ralimi reximi
        simp1 1rp rspcdva dfss3 eqidd iscau4 wi simprl eluznn sylan idd anassrs
        sylan2 ralimdva syldan reximdva ralimdv mpd sselda weq fveq2 syl5bir wb
        lmmbr3 ex nnsscn jctir elpm2r nnz ad2antrl mpidan dmmptd eleq2d biimpar
        a1d 3anim123d simprr iftrue adantl fvex eqeltrdi eleq1w ifbieq1d fvmptg
        eqtrd elind eqeq12d elin sylbi vtoclga mpbir2and expr rexlimdva caucfil
        mpbid cmetcvg eqnetrd n0 sylib lmflf lmcl biimpa simp3d r19.26 rexanuz2
        ad2ant2lr simprr2 eqeltrrd oveq1d simprr3 eqbrtrrd 3jca mpand mpbir3and
        cin lmrel releldmi sylbird exlimdv ) AUAUEZFGPUFPUGZUHUIZUJUIQZRZUAUKZE
        GULQZUMRZAUWRUNUOUWTAUWRGUWPHFUPUIZQZUQUIZUNAUWRGUWQUXCQZUQUIZUXEAGHURQ
        RZUWQPUSQRZPHFUTZUWRUXGVAACHVBQRZUXHACHVCQRZUXKACHVGQRZUXLJCHVDVECHVFVE
        ZCGHIVHVEZAUWPPVIQRZUXIVJVKRZUXPAVLVJPVMVNVOZUWPPVPVEABPBUEZEUMZRZUXSEQ
        ZDVQZHFAUXSPRZSZUYAUYBDHUYEUXTHUXSEAUXTHEUTZUYDAHVGUMZRZWAVRRZEHWAVSUIZ
        RZUYFAUXMUYHJCHVGVTVEZUYIAWBWCZAUXKECWDQZRZUYKUXNLCEHWEWFZUYHUYISUYKUYF
        UXTWAWGHWAEUYGVRWHWIWMWJWKADHRUYDUYAWLKXDWNZMWOZFGUWQHPWPWQAUXDUXFGUQAU
        YHUXPUXJUXDUXFVAUYLUXRUYRUWPUYGFUWQHPUWQWRZWSWQWTXAAUXMUXDCXBQRZUXEUNUO
        JAFUYNRZUYTANUEZUXTRZNUBUEZUFQZTZUBPXCZVUAAVUGVUGOXEVJOUEZVJVAVUGXFAVUC
        VUBEQZHRZVUIUCUEEQCUIVUHXGXHUCVUBUFQTZXIZNVUETZUBPXCZOXETZVUGOXETZAUYOV
        UOLAUYOUYKVUOAOCUBNUCEVJHPVMUXNAXJZXKXLXMVUNVUGOXEVUMVUFUBPVULVUCNVUEVU
        CVUJVUKXPXNXOXNVEZVJXERAXQWCXRAVUFVUAUBPVUFVUEUXTWGZAVUDPRZSZVUANVUEUXT
        XSAVUTVUSVUAAVUTVUSSZSZVUAFUYJRZVUBFUMZRZVUJVUIUDUEZEQZCUIVUHXGXHZXIZNV
        VGUFQZTZUDVUEXCZOXETZAVVDVVBAUYHUYIUXJPWAWGZSVVDUYLUYMAUXJVVOUYRUUAUUBH
        WAPFUYGVRUUCWMWJVVCVUCVUJVVIXIZNVVKTZUDVUEXCZOXETZVVNAVVBUYOVVSLVVCUYOU
        YKVVSVVCOVUIVVHCUDNEVUDHVUEVUEWRZAUXKVVBUXNWJZVUTVUDVKRAVUSVUDUUDUUEZVV
        CVUBVUERZSZVUIXTVVCVVGVUERZSZVVHXTYAXLUUFVVCVVRVVMOXEVVCVVQVVLUDVUEVVCV
        WEVVGPRZVVQVVLYBVVCVUTVWEVWGAVUTVUSYCZVVGVUDYDYEZVVCVWGSVVPVVJNVVKVVCVW
        GVUBVVKRZVVPVVJYBZVWGVWJSVVCVUBPRZVWKVUBVVGYDVVCVWLSZVUCVVFVUJVUJVVIVVI
        VWMVVFVUCVVCVVFVWLVVCVVEPVUBAVVEPVAVVBABFPUYCHMUYQUUGWJUUHUUIUUJVWMVUJY
        FVWMVVIYFUUKYHYGYIYJYKYLYMVVCOVUIVVHCUDNFVUDHVUEVVTVWAVWBVWDVWLVUCVUBFQ
        ZVUIVAZVVCVUTVWCVWLVWHVUBVUDYDZYEVVCVUEUXTVUBAVUTVUSUULZYNVWLVUCSZVWNVU
        CVUIDVQZVUIVWLVUCVWSVRRVWNVWSVAVWRVWSVUIVRVUCVWSVUIVAVWLVUCVUIDUUMUUNZV
        UBEUUOUUPBVUBUYCVWSPVRFBNYOUYAVUCUYBVUIDBNUXTUUQUXSVUBEYPUURMUUSYJVWTUU
        TZWFVWFVVGPUXTUWJZRVVGFQZVVHVAZVWFPUXTVVGVWIVVCVUEUXTVVGVWQYNUVAVWOVXDN
        VVGVXBNUDYOVWNVXCVUIVVHVUBVVGFYPVUBVVGEYPUVBVUBVXBRVWRVWOVUBPUXTUVCVXAU
        VDUVEVEYAUVFUVGYQUVHYMAUXKUXQUXJVUAUYTYRUXNVUQUYRCFUXDVJHPVMUXDWRUVIWQU
        VJCUXDGHIUVKWFUVLUAUWRUVMUVNAUWSUXBUAAUWSFUWOUXAXHZUXBAUXHUXQUXJVXEUWSY
        RUXOVUQUYRUWOFGUWQVJHPVMUYSUVOWQAVXEUXBAVXESZEUWOUXAXHZUXBVXFVXGUYKUWOH
        RZVUCVUJVUIUWOCUIZVUHXGXHZXIZNVUETZUBPXCZOXETZAUYKVXEUYPWJAUXHVXEVXHUXO
        UWOFGHUVPYEVXFVVFVWNHRZVWNUWOCUIZVUHXGXHZXIZNVUETUBPXCZOXETZVXNVXFVVDVX
        HVXTAVXEVVDVXHVXTXIAOCUWOUBNFGVJHPIUXNVMVUQYSUVQUVRAVXTVXNYBVXEAVUPVXTV
        XNVURVUPVXTSVUGVXSSZOXETAVXNVUGVXSOXEUVSAVYAVXMOXEVYAVUCVXRSZNVUETZUBPX
        CAVXMVUCVXRUBNVJPVMUVTAVYCVXLUBPVVAVYBVXKNVUEAVUTVWCVYBVXKYBZVUTVWCSAVW
        LVYDVWPAVWLSZVYBVXKVYEVYBSZVUCVUJVXJVYEVUCVXRYCVYFVWNVUIHVWLVUCVWOAVXRV
        XAUWAZVVFVXOVXQVUCVYEUWBUWCVYFVXPVXIVUHXGVYFVWNVUIUWOCVYGUWDVVFVXOVXQVU
        CVYEUWEUWFUWGYTYHYGYIYKYQYLYQUWHWJYMVXFOCUWOUBNEGVJHPIAUXKVXEUXNWJVMVXF
        XJYSUWIEUWOUXAGUWKUWLVEYTUWMUWNYM $.
    $}

    $( The convergence of a Cauchy sequence in a complete metric space.
       (Contributed by NM, 19-Dec-2006.)  (Revised by Mario Carneiro,
       14-Oct-2015.) $)
    cmetcau $p |- ( ( D e. ( CMet ` X ) /\ F e. ( Cau ` D ) ) ->
                    F e. dom ( ~~>t ` J ) ) $=
      ( vx vy ccmet cfv wcel ccau wa cv clm cdm c0 wne wex cxmet cmet syl caun0
      cmetmet metxmet sylan n0 sylib cn cif cmpt simpll simpr simplr cmetcaulem
      eqid exlimddv ) ADHIJZBAKIJZLZFMZDJZBCNIOJFUSDPQZVAFRUQADSIJZURVBUQADTIJV
      CADUCADUDUAABDUBUEFDUFUGUSVALGAUTBGUHGMZBOJVDBIUTUIUJZCDEUQURVAUKUSVAULUQ
      URVAUMVEUOUNUP $.
  $}

  ${
    $d f g i j k n r s t u v x y D $.  $d j k r x y G $.  $d j k R $.
    $d j k n r u v x y F $.  $d f g i j k n r s x y X $.
    $d f g i j k n r s x y J $.  $d k n u v y S $.  $d f g i j k n r s y Z $.
    $d f i j k n x M $.  $d f g i j k n r s x y ph $.
    iscmet3.1 $e |- Z = ( ZZ>= ` M ) $.
    $( Lemma for ~ iscmet3 .  (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    iscmet3lem3 $p |- ( ( M e. ZZ /\ R e. RR+ ) ->
      E. j e. Z A. k e. ( ZZ>= ` j ) ( ( 1 / 2 ) ^ k ) < R ) $=
      ( vn cz wcel crp wa c1 co cexp cfv clt wbr wceq cc0 cn0 c2 cdiv cabs wral
      cuz wrex cmpt simpl simpr eluzelz eleq2s adantl oveq2 eqid ovex fvmpt syl
      cv cres cli nn0uz reseq2i wss nn0ssz resmpt ax-mp eqtr3i cc halfcn a1i cr
      cle halfre halfge0 absid mp2an halflt1 eqbrtri expcnv eqbrtrid cvv wb zex
      mptex climres sylancr mpbid climi0 uztrn2 1rp rphalfcl rpexpcl rpre rpge0
      0z absidd breq1d sylan2 anassrs ralbidva rexbidva ) DHIZAJIZKZLUAUBMZCURZ
      NMZUCOZAPQZCBURZUEOZUDZBEUFXGAPQZCXKUDZBEUFXDXGABCGHXEGURZNMZUGZDEFXBXCUH
      XBXCUIXDXFEIZKZXFHIZXFXQOXGRXRXTXDXTXFDUEOEDXFUJFUKULZGXFXPXGHXQXOXFXENUM
      XQUNXEXFNUOUPUQXDXQSUEOZUSZSUTQZXQSUTQZXDYCGTXPUGZSUTXQTUSZYCYFTYBXQVAVBT
      HVCYGYFRVDGHTXPVEVFVGXDXEGXEVHIXDVIVJXEUCOZLPQXDYHXELPXEVKISXEVLQYHXERVMV
      NXEVOVPVQVRVJVSVTXDSHIXQWAIZYDYEWBWOYIXDGHXPWCWDVJSXQSWAWEWFWGWHXDXLXNBEX
      DXJEIZKXIXMCXKXDYJXFXKIZXIXMWBZYJYKKXDXRYLDXFXJEFWIXSXHXGAPXSXGJIZXHXGRXS
      XEJIZXTYMLJIYNWJLWKVFYAXEXFWLWFYMXGXGWMXGWNWPUQWQWRWSWTXAWG $.

    iscmet3.2 $e |- J = ( MetOpen ` D ) $.
    iscmet3.3 $e |- ( ph -> M e. ZZ ) $.
    iscmet3.4 $e |- ( ph -> D e. ( Met ` X ) ) $.
    ${
      iscmet3.6 $e |- ( ph -> F : Z --> X ) $.
      iscmet3.9 $e |- ( ph -> A. k e. ZZ
        A. u e. ( S ` k ) A. v e. ( S ` k ) ( u D v ) < ( ( 1 / 2 ) ^ k ) ) $.
      iscmet3.10 $e |- ( ph -> A. k e. Z
        A. n e. ( M ... k ) ( F ` k ) e. ( S ` n ) ) $.
      $( Lemma for ~ iscmet3 .  (Contributed by Mario Carneiro,
         15-Oct-2015.) $)
      iscmet3lem1 $p |- ( ph -> F e. ( Cau ` D ) ) $=
        ( wcel vj vr ccau cfv cv co clt wbr cuz wral wrex wa c1 c2 cdiv cexp cz
        crp iscmet3lem3 sylan r19.2uz syl cfz wceq fveq2 eleq2d ad2antrr adantl
        wi simpl rsp sylc eleqtrdi eluzfz2 oveq2 eleq1d raleqbidv uztrn2 simprr
        rspcdva elfzuzb sylanbrc eluzelz eleq2s ad2antrl oveq1 rspc2va syl21anc
        breq1d cr cmet adantr ffvelrn syl2an metcl syl3anc 1rp rphalfcl rpexpcl
        ax-mp sylancr rpred rpre ad2antlr lttr mpand anassrs ralrimdva reximdva
        wf mpd ralrimiva cxmet metxmet eqidd iscauf mpbird ) AHDUCUDTFUEZHUDZUA
        UEZHUDZDUFZUBUEZUGUHZUAXRUIUDZUJZFLUKZUBURUJAYGUBURAYCURTZULZUMUNUOUFZX
        RUPUFZYCUGUHZFLUKZYGYIYLFXTUIUDUJUALUKZYMAJUQTYHYNOYCUAFJLMUSUTYLUAFJLM
        VAVBYIYLYFFLYIXRLTZULYLYDUAYEYIYOXTYETZYLYDVIYIYOYPULZULZYBYKUGUHZYLYDY
        RXSXREUDZTZYAYTTZCUEZBUEZDUFZYKUGUHZBYTUJCYTUJZYSYRXSGUEZEUDZTZUUAGJXRV
        CUFZXRUUHXRVDZUUIYTXSUUHXREVEZVFYRUUJGUUKUJZFLUJZYOUUNAUUOYHYQSVGZYQYOY
        IYOYPVJZVHZUUNFLVKVLYRXRJUIUDZTZXRUUKTYRXRLUUSUURMVMZJXRVNVBVTYRYAUUITZ
        UUBGJXTVCUFZXRUULUUIYTYAUUMVFYRUUNUVBGUVCUJFLXTXRXTVDZUUJUVBGUUKUVCXRXT
        JVCVOUVDXSYAUUIXRXTHVEVPVQUUPYQXTLTZYIJXTXRLMVRZVHVTYRUUTYPXRUVCTUVAYIY
        OYPVSXRJXTWAWBVTYRUUGFUQUJZXRUQTZUUGAUVGYHYQRVGYOUVHYIYPUVHXRUUSLJXRWCM
        WDWEZUUGFUQVKVLUUFYSXSUUDDUFZYKUGUHCBXSYAYTYTUUCXSVDUUEUVJYKUGUUCXSUUDD
        WFWIUUDYAVDUVJYBYKUGUUDYAXSDVOWIWGWHYRYBWJTZYKWJTYCWJTZYSYLULYDVIYRDKWK
        UDTZXSKTZYAKTZUVKAUVMYHYQPVGYILKHXJZYOUVNYQAUVPYHQWLZUUQLKXRHWMWNYIUVPU
        VEUVOYQUVQUVFLKXTHWMWNXSYADKWOWPYRYKYRYJURTZUVHYKURTUMURTUVRWQUMWRWTUVI
        YJXRWSXAXBYHUVLAYQYCXCXDYBYKYCXEWPXFXGXHXIXKXLAUBYAXSDFUAHJKLMAUVMDKXMU
        DTPDKXNVBOAUVEULYAXOAYOULXSXOQXPXQ $.

      iscmet3.7 $e |- ( ph -> G e. ( Fil ` X ) ) $.
      iscmet3.8 $e |- ( ph -> S : ZZ --> G ) $.
      iscmet3.5 $e |- ( ph -> F e. dom ( ~~>t ` J ) ) $.
      $( Lemma for ~ iscmet3 .  (Contributed by Mario Carneiro,
         15-Oct-2015.) $)
      iscmet3lem2 $p |- ( ph -> ( J fLim G ) =/= (/) ) $=
        ( vx vy vr vj cv clm cfv wbr cflim co c0 wne cdm wcel wex eldmg ibi syl
        wa wral ctopon cxmet cmet metxmet mopntopon lmcl sylan cbl wss crp wrex
        wi adantr mopni2 3expia cfil ad3antrrr c1 c2 cdiv cexp clt cuz ad2antrr
        cz rphalfcl adantl iscmet3lem3 syl2anc blcntr syl3anc rpxrd blopn lmcvg
        simplr cxr rexanuz2 r19.2uz wf eluzelz eleq2s ad2antrl ffvelrn rpxr cle
        blssm cr 1rp ax-mp rpexpcl mpan rpred ltle cfz weq fveq2 eleq2d eluzfz2
        r19.21bi rspcdva simpr ad2antlr rsp sylc oveq1 breq1d oveq2 syl21anc wb
        wceq ffvelrnda syl22anc syld impr filss syl13anc rexlimdvaa elbl2 ssrdv
        rspc2va syl2an filelss sselda mpbird ex ad4ant14 ssbl sstr syl6an blcom
        adantrd rpre blhalf expr sylbid adantld syl5bir mp2and ad2ant2r toponss
        sstrd syl5 simprr ralrimiva flimopn mpbir2and ne0d exlimddv ) AHUDUHZJU
        IUJZUKZJIULUMZUNUOUDAHUVMUPZUQZUVNUDURZUCUVQUVRUDHUVMUVPUSUTVAAUVNVBZUV
        OUVLUVSUVLUVOUQZUVLLUQZUVLUEUHZUQZUWBIUQZVOZUEJVCZAJLVDUJUQZUVNUWAADLVE
        UJUQZUWGADLVFUJUQUWHQDLVGVAZDJLOVHVAZUVLHJLVIVJZUVSUWEUEJUVSUWBJUQZVBZU
        WCUVLUFUHZDVKUJZUMZUWBVLZUFVMVNZUWDUVSUWHUWLUWCUWRVOAUWHUVNUWIVPZUWHUWL
        UWCUWRUFUWBDUVLJLOVQVRVJUWMUWQUWDUFVMUWMUWNVMUQZUWQVBZVBILVSUJUQZUWPIUQ
        ZUWBLVLZUWQUWDAUXBUVNUWLUXAUAVTUVSUWTUXCUWLUWQUVSUWTVBZWAWBWCUMZFUHZWDU
        MZUWNWBWCUMZWEUKZFUGUHWFUJZVCUGMVNZUXGHUJZUVLUXIUWOUMZUQZFUXKVCUGMVNZUX
        CUXEKWHUQZUXIVMUQZUXLAUXQUVNUWTPWGZUWTUXRUVSUWNWIWJZUXIUGFKMNWKWLUXEUVL
        UXNUGFHJKMNUXEUWHUWAUXRUVLUXNUQUVSUWHUWTUWSVPZUVSUWAUWTUWKVPZUXTDUVLUXI
        LWMWNUXSAUVNUWTWRUXEUWHUWAUXIWSUQZUXNJUQUYAUYBUXEUXIUXTWOZDUVLUXIJLOWPW
        NWQUXLUXPVBUXJUXOVBZFUXKVCUGMVNZUXEUXCUXJUXOUGFKMNWTUYFUYEFMVNUXEUXCUYE
        UGFKMNXAUXEUYEUXCFMUXEUXGMUQZUYEVBZVBZUXBUXGEUJZIUQZUWPLVLZUYJUWPVLUXCA
        UXBUVNUWTUYHUAVTUYIWHIEXBZUXGWHUQZUYKAUYMUVNUWTUYHUBVTUYGUYNUXEUYEUYNUX
        GKWFUJZMKUXGXCNXDZXEWHIUXGEXFZWLUXEUYLUYHUXEUWHUWAUWNWSUQZUYLUYAUYBUWTU
        YRUVSUWNXGWJDUVLUWNLXIWNVPUYIUYJUXMUXIUWOUMZUWPUXEUYGUYEUYJUYSVLZUXEUYG
        VBZUXJUYTUXOVUAUXJUXHUXIXHUKZUYTVUAUXHXJUQUXIXJUQUXJVUBVOVUAUXHVUAUYNUX
        HVMUQZUYGUYNUXEUYPWJUXFVMUQZUYNVUCWAVMUQVUDXKWAWIXLUXFUXGXMXNZVAZXOVUAU
        XIUXEUXRUYGUXTVPXOUXHUXIXPWLVUAUYJUXMUXHUWOUMZVLZVUBVUGUYSVLZUYTAUYGVUH
        UVNUWTAUYGVBZUEUYJVUGVUJUWBUYJUQZUWBVUGUQZVUJVUKVBZVULUXMUWBDUMZUXHWEUK
        ZVUMUXMUYJUQZVUKCUHZBUHZDUMZUXHWEUKZBUYJVCCUYJVCZVUOVUJVUPVUKVUJUXMGUHZ
        EUJZUQZVUPGKUXGXQUMZUXGGFXRVVCUYJUXMVVBUXGEXSXTAVVDGVVEVCFMTYBUYGUXGVVE
        UQZAVVFUXGUYOMKUXGYANXDWJYCVPVUJVUKYDVUMVVAFWHVCZUYNVVAAVVGUYGVUKSWGUYG
        UYNAVUKUYPYEVVAFWHYFYGVUTVUOUXMVURDUMZUXHWEUKCBUXMUWBUYJUYJVUQUXMYMVUSV
        VHUXHWEVUQUXMVURDYHYIBUEXRVVHVUNUXHWEVURUWBUXMDYJYIUUCYKVUMUWHUXHWSUQZU
        XMLUQZUWBLUQVULVUOYLAUWHUYGVUKUWIWGUYGVVIAVUKUYGUXHUYGUYNVUCUYPVUEVAWOY
        EVUJVVJVUKAMLUXGHRYNVPVUJUYJLUWBVUJUXBUYKUYJLVLAUXBUYGUAVPAUYMUYNUYKUYG
        UBUYPUYQUUDUYJILUUEWLUUFUWBDUXMUXHLUUAYOUUGUUHUUBUUIVUAUWHVVJVVIUYCVUBV
        UIVOUXEUWHUYGUYAVPZUXEMLUXGHAMLHXBUVNUWTRWGYNZVUAUXHVUFWOUXEUYCUYGUYDVP
        ZUWHVVJVBZVVIUYCVBVUBVUIDUXMUXHUXILUUJVRYOUYJVUGUYSUUKUULYPUUNYQUXEUYGU
        YEUYSUWPVLZVUAUXOVVOUXJVUAUXOUVLUYSUQZVVOVUAUWHUYCUWAVVJUXOVVPYLVVKVVMU
        XEUWAUYGUYBVPVVLUXMDUVLUXILUUMYOVUAUWHVVJUWNXJUQZVVPVVOVOVVKVVLUWTVVQUV
        SUYGUWNUUOYEVVNVVQVVPVVOUWNDLUXMUVLUUPUUQYKUURUUSYQUVDUYJUWPILYRYSYTUVE
        UUTUVAUVBUWMUXDUXAUVSUWGUWLUXDAUWGUVNUWJVPUWBJLUVCVJVPUWMUWTUWQUVFUWPUW
        BILYRYSYTYPUVGAUVTUWAUWFVBYLZUVNAUWGUXBVVRUWJUAUEUVLIJLUVHWLVPUVIUVJUVK
        $.
    $}

    $( The property " ` D ` is a complete metric" expressed in terms of
       functions on ` NN ` (or any other upper integer set).  Thus, we only
       have to look at functions on ` NN ` , and not all possible Cauchy
       filters, to determine completeness.  (The proof uses countable choice.)
       (Contributed by NM, 18-Dec-2006.)  (Revised by Mario Carneiro,
       5-May-2014.) $)
    iscmet3 $p |- ( ph -> ( D e. ( CMet ` X ) <->
            A. f e. ( Cau ` D ) ( f : Z --> X -> f e. dom ( ~~>t ` J ) ) ) ) $=
      ( vu vk vn cfv wcel cv wral wa cz vg vs vv vt vx vi vj ccmet clm cdm ccau
      wf wi cmetcau a1d ralrimiva cmet cflim co c0 ccfil adantr c1 c2 cdiv cexp
      wne clt wbr wex wrex crp simpr 1rp rphalfcl ax-mp rpexpcl mpan syl2an vex
      cfili com znnen nnenom entri raleq raleqbi1dv axcc4 syl cid cfz cdom ciin
      cn cen ad2antrr uzenom endom 3syl crab cin dfin5 wss wceq cuz fzn0 eleq2s
      biimpri cfil cxmet metxmet simpl cfilfil elfzelz ffvelrn filelss syl2an2r
      simprr r19.2z syl2anr iinss elfvdm fvi sseqtrrd sseqin2 sylib eqtr3id cfi
      fvex cvv wb syl2anc weq fveq2 oveq2 raleqbidv cbvralvw ex exlimdv mpd cfn
      adantl fzfid iinfi syl13anc filfi eleqtrd fileln0 eqnetrd adantrrr bitrdi
      rabn0 eleq1 eliin axcc4dom df-ral 19.29 sylanb simprrl feq3 mpbid simplrr
      wal simprd breq2d simprrr eleq2d eleq1d syl5bb simplrl simpld iscmet3lem1
      4syl simprl mp2d iscmet3lem2 syl5 expdimp an32s iscmet sylanbrc impbid2
      expr ) ABFUHOPZGFCQZULZUWEDUIOUJPZUMZCBUKOZRZUWDUWHCUWIUWDUWEUWIPZSUWGUWF
      BUWEDFIUNUOUPAUWJUWDAUWJSZBFUQOPZDUAQZURUSUTVGZUABVAOZRUWDAUWMUWJKVBZUWLU
      WOUAUWPUWLUWNUWPPZSZTUWNUBQZULZLQUCQBUSZVCVDVEUSZMQZVFUSZVHVIZUCUXDUWTOZR
      ZLUXGRZMTRZSZUBVJZUWOUWSUXFUCUDQZRZLUXMRZUDUWNVKZMTRUXLUWSUXPMTUWSUWRUXEV
      LPZUXPUXDTPZUWLUWRVMUXCVLPZUXRUXQVCVLPUXSVNVCVOVPUXCUXDVQVRUDLUCBUXEUWNWA
      VSUPUXOUXIUDUWNUBMTUAVTTWNWBWCWDWEUXNUXHLUXMUXGUXFUCUXMUXGWFWGWHWIUWSUXKU
      WOUBUWLUWRUXKUWOUWLUWRUXKSZSZGFWJOZUWEULZUXDUWEOZNQZUWTOZPZNEUXDWKUSZRZMG
      RZSZCVJZUWOUYAGWBWLVIZUEQZNUYHUYFWMZPZUEUYBVKZMGRZUYLUYAETPZGWBWOVIUYMAUY
      SUWJUXTJWPEGHWQGWBWRWSUWLUWRUXAUYRUXJUWLUWRUXASZSZUYQMGVUAUXDGPZSZUYPUEUY
      BWTZUTVGUYQVUCVUDUYOUTVUCVUDUYBUYOXAZUYOUEUYBUYOXBVUCUYOUYBXCVUEUYOXDVUCU
      YOFUYBVUCUYFFXCZNUYHVKZUYOFXCVUBUYHUTVGZVUFNUYHRVUGVUAVUHUXDEXEOZGVUHUXDV
      UIPEUXDXFXHHXGZVUAVUFNUYHVUAUWNFXIOZPZUYEUYHPZUYFUWNPZVUFUWLBFXJOPZUWRVUL
      UYTAVUOUWJAUWMVUOKBFXKZWIVBUWRUXAXLBUWNFXMZVSZVUAUXAUYETPVUNVUMUWLUWRUXAX
      RUYEEUXDXNTUWNUYEUWTXOVSZUYFUWNFXPXQUPVUFNUYHXSXTNUYHUYFFYAWIVUCUWMFUQUJZ
      PZUYBFXDZUWLUWMUYTVUBUWQWPBFUQYBZFVUTYCZWSYDUYOUYBYEYFYGVUAVULVUBUYOUWNPU
      YOUTVGVURVUCUYOUWNYHOZUWNVUCVULVUNNUYHRZVUHUYHUUAPUYOVVEPVUAVULVUBVURVBZV
      UAVVFVUBVUAVUNNUYHVUSUPVBVUBVUHVUAVUJUUBVUCEUXDUUCNUYHUYFUWNVUKUUDUUEVUCV
      ULVVEUWNXDVVGUWNFUUFWIUUGUYOUWNFUUHXQUUIUYPUEUYBUULYFUPUUJUYPUYIUEUYBCMGF
      WJYIUYNUYDXDUYPUYDUYOPZUYIUYNUYDUYOUUMUYDYJPVVHUYIYKUXDUWEYINUYDUYHUYFYJU
      UNVPUUKUUOYLAUXTUWJUYLUWOUMAUXTSZUWJUYLUWOUWJUYLSUWKUWHUMZUYKSZCVJZVVIUWO
      UWJVVJCUVCUYLVVLUWHCUWIUUPVVJUYKCUUQUURVVIVVKUWOCVVIVVKUWOVVIVVKSZUCLBUWT
      UFUGUWEUWNDEFGHIAUYSUXTVVKJWPZAUWMUXTVVKKWPZVVMUYCUWFVVIVVJUYCUYJUUSVVMUW
      MVVAVVBUYCUWFYKVVOVVCVVDUYBFGUWEUUTUVMUVAZVVMUXJUXBUXCUFQZVFUSZVHVIZUCVVQ
      UWTOZRZLVVTRZUFTRVVMUXAUXJAUWRUXKVVKUVBZUVDUXIVWBMUFTMUFYMZUXHVWALUXGVVTU
      XDVVQUWTYNZVWDUXFVVSUCUXGVVTVWEVWDUXEVVRUXBVHUXDVVQUXCVFYOUVEYPYPYQYFZVVM
      UYJVVQUWEOZUGQZUWTOZPZUGEVVQWKUSZRZUFGRVVIVVJUYCUYJUVFUYIVWLMUFGUYIUYDVWI
      PZUGUYHRVWDVWLUYGVWMNUGUYHNUGYMUYFVWIUYDUYEVWHUWTYNUVGYQVWDVWMVWJUGUYHVWK
      UXDVVQEWKYOVWDUYDVWGVWIUXDVVQUWEYNUVHYPUVIYQYFZVVMVUOUWRVULVVMUWMVUOVVOVU
      PWIAUWRUXKVVKUVJVUQYLVVMUXAUXJVWCUVKVVMUWKUWFUWGVVMUCLBUWTUFUGUWEDEFGHIVV
      NVVOVVPVWFVWNUVLVVPVVIVVJUYKUVNUVOUVPYRYSUVQUVRUVSYTUWCYSYTUPBUADFIUVTUWA
      YRUWB $.
  $}

  ${
    $d f D $.  $d f J $.  $d f X $.
    iscmet2.1 $e |- J = ( MetOpen ` D ) $.
    $( A metric ` D ` is complete iff all Cauchy sequences converge to a point
       in the space.  The proof uses countable choice.  Part of Definition
       1.4-3 of [Kreyszig] p. 28.  (Contributed by NM, 7-Sep-2006.)  (Revised
       by Mario Carneiro, 15-Oct-2015.) $)
    iscmet2 $p |- ( D e. ( CMet ` X ) <-> ( D e. ( Met ` X ) /\
                   ( Cau ` D ) C_ dom ( ~~>t ` J ) ) ) $=
      ( vf ccmet cfv wcel cmet ccau clm cdm wss wa cmetmet cv cmetcau ex ssrdv
      cn jca wf wi wral ssel2 a1d ralrimiva adantl c1 nnuz simpl iscmet3 mpbird
      1zzd impbii ) ACFGHZACIGHZAJGZBKGLZMZNZUPUQUTACOUPEURUSUPEPZURHZVBUSHZAVB
      BCDQRSUAVAUPTCVBUBZVDUCZEURUDZUTVGUQUTVFEURUTVCNVDVEURUSVBUEUFUGUHVAAEBUI
      CTUJDVAUNUQUTUKULUMUO $.
  $}

  ${
    $d s u v x y D $.  $d s u v x y F $.  $d s u v x y X $.  $d s u v x y Y $.
    $( A Cauchy filter on a metric subspace extends to a Cauchy filter in the
       larger space.  (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    cfilresi $p |- ( ( D e. ( *Met ` X ) /\
         F e. ( CauFil ` ( D |` ( Y X. Y ) ) ) ) ->
       ( X filGen F ) e. ( CauFil ` D ) ) $=
      ( vu vv vx vy cxmet cfv wcel wa co cv clt wral crp sylan wss syl cxp cres
      ccfil cfg wbr wrex cin xmetres cfil iscfil2 simplbda wceq cfilfil filelss
      inss2 sstrdi sselda anim12dan ovres breq1d 2ralbidva rexbidva mpbid cfbas
      ralbidv wb cpw filfbas filsspw inss1 sspwi elfvdm adantr fbasweak syl3anc
      cdm fgcfil syldan mpbird ) ACIJKZBADDUAUBZUCJKZLZCBUDMAUCJKZENZFNZAMZGNZO
      UEZFHNZPEWJPZHBUFZGQPZWCWEWFWAMZWHOUEZFWJPEWJPZHBUFZGQPZWMVTWACDUGZIJKZWB
      WRADCUHZWTWBBWSUIJKZWRGHEFWABWSUJUKRWCWQWLGQWCWPWKHBWCWJBKZLZWOWIEFWJWJXD
      WEWJKZWFWJKZLLZWNWGWHOXGWEDKZWFDKZLWNWGULXDXEXHXFXIXDWJDWEXDWJWSDWCXBXCWJ
      WSSVTWTWBXBXAWABWSUMRZWJBWSUNRCDUOUPZUQXDWJDWFXKUQURWEWFDDAUSTUTVAVBVEVCV
      TWBBCVDJKZWDWMVFWCBWSVDJKZBCVGZSCIVPZKZXLWCXBXMXJBWSVHTWCBWSVGZXNWCXBBXQS
      XJBWSVITWSCCDVJVKUPVTXPWBACIVLVMBXOWSCVNVOGHEFBACVQVRVS $.

    $( Cauchy filter on a metric subspace.  (Contributed by Mario Carneiro,
       15-Oct-2015.) $)
    cfilres $p |- ( ( D e. ( *Met ` X ) /\ F e. ( Fil ` X ) /\ Y e. F ) ->
      ( F e. ( CauFil ` D ) <->
        ( F |`t Y ) e. ( CauFil ` ( D |` ( Y X. Y ) ) ) ) ) $=
      ( vu vv vx vy vs cfv wcel co wa cv clt wral crp syl2anc wb ex cxmet ccfil
      cfil w3a crest cxp cres wbr wrex cdif cfbas simp2 filfbas syl simp3 fbncp
      wn wss filelss 3adant1 trfil3 mpbird adantr cfili adantll simpll2 simpll3
      cin jca elrestr 3expa sylan wi inss1 ss2ralv ax-mp elinel2 ovres ralbidva
      breq1d syl2an ralbiia sylibr raleq raleqbi1dv rspcev syl2im rexlimdva mpd
      ralrimiva simp1 xmetres2 mpbir2and cfg cfilresi 3ad2ant1 wceq fgtr eleq1d
      iscfil2 sylibd impbid ) ACUAJKZBCUCJZKZDBKZUDZBAUBJZKZBDUELZADDUFUGZUBJKZ
      XGXIXLXGXIMZXLXJDUCJKZENZFNZXKLZGNZOUHZFHNZPZEXTPZHXJUIZGQPZXGXNXIXGXNCDU
      JBKUQZXGBCUKJKZXFYEXGXEYFXCXEXFULZBCUMUNXCXEXFUODCBCUPRXGXEDCURZXNYESYGXE
      XFYHXCDBCUSUTZDBCVARVBVCXMYCGQXMXRQKZMZXOXPALZXROUHZFINZPEYNPZIBUIZYCXIYJ
      YPXGIEFAXRBVDVEYKYOYCIBYKYNBKZMYNDVHZXJKZYOXSFYRPZEYRPZYCYKXEXFMYQYSYKXEX
      FXCXEXFXIYJVFXCXEXFXIYJVGVIXEXFYQYSYNDBXDBVJVKVLYOYMFYRPZEYRPZUUAYRYNURYO
      UUCVMYNDVNYMEFYRYNVOVPYTUUBEYRXOYRKZXSYMFYRUUDXODKZXPDKZXSYMSXPYRKXOYNDVQ
      XPYNDVQUUEUUFMXQYLXROXOXPDDAVRVTWAVSWBWCYSUUAYCYBUUAHYRXJYAYTEXTYRXSFXTYR
      WDWEWFTWGWHWIWJXMXKDUAJKZXLXNYDMSXGUUGXIXGXCYHUUGXCXEXFWKYIADCWLRVCGHEFXK
      XJDWTUNWMTXGXLCXJWNLZXHKZXIXCXEXLUUIVMXFXCXLUUIAXJCDWOTWPXGUUHBXHXEXFUUHB
      WQXCDBCWRUTWSXAXB $.
  $}

  ${
    $d f x y z D $.  $d x y z F $.  $d f x y z X $.  $d f x y z Y $.
    $( Cauchy sequence on a metric subspace.  (Contributed by NM, 30-Jan-2008.)
       (Revised by Mario Carneiro, 30-Dec-2013.) $)
    caussi $p |- ( D e. ( *Met ` X ) ->
                   ( Cau ` ( D |` ( Y X. Y ) ) ) C_ ( Cau ` D ) ) $=
      ( vz vy vx cxmet cfv wcel cxp cv cc co clt wral cz crp wa wss cvv vf cres
      ccau cin cpm cdm wbr w3a wrex wfun wi inss1 xpss2 ax-mp sstr mpan2 anim2i
      cuz a1i wb elfvdm inex1g syl cnex elpmg sylancl 3imtr4d uzid adantl simp2
      ralimi fveq2 eleq1d rspcva syl2an simpr elin2d inss2 sselda simplr ovresd
      breq1d biimpd imdistanda anim1d syld syldan anim2d 3anass 3imtr4g ralimdv
      weq sseld impancom mpd ex reximdva anim12d xmetres iscau2 ssrdv ) ABGHIZU
      AACCJUBZUCHZAUCHZXBUAKZBCUDZLUEMIZDKZXFUFIZXIXFHZXGIZXKEKZXFHZXCMZFKZNUGZ
      UHZDXMURHZOZEPUIZFQOZRZXFBLUEMIZXJXKBIZXKXNAMZXPNUGZUHZDXSOZEPUIZFQOZRXFX
      DIZXFXEIXBXHYDYBYKXBXFUJZXFLXGJZSZRZYMXFLBJZSZRZXHYDYPYSUKXBYOYRYMYOYNYQS
      ZYRXGBSZYTBCULZXGBLUMUNXFYNYQUOUPUQUSXBXGTIZLTIZXHYPUTXBBGUFZIZUUCABGVAZB
      CUUEVBVCVDXGLXFTTVEVFXBUUFUUDYDYSUTUUGVDBLXFUUETVEVFVGXBYAYJFQXBXTYIEPXBX
      MPIZRZXTYIUUIXTRXNXGIZYIUUIXMXSIZXLDXSOUUJXTUUHUUKXBXMVHVIXRXLDXSXJXLXQVJ
      VKXLUUJDXMXSDEWLXKXNXGXIXMXFVLVMVNVOUUIUUJXTYIUUIUUJRZXRYHDXSUULXJXLXQRZR
      XJYEYGRZRXRYHUULUUMUUNXJUUIUUJXNCIZUUMUUNUKUULBCXNUUIUUJVPVQUUIUUORZUUMXL
      YGRUUNUUPXLXQYGUUPXLRZXQYGUUQXOYFXPNUUQXKXNACUUPXGCXKXGCSUUPBCVRUSVSUUIUU
      OXLVTWAWBWCWDUUPXLYEYGUUPXGBXKUUAUUPUUBUSWMWEWFWGWHXJXLXQWIXJYEYGWIWJWKWN
      WOWPWQWKWRXBXCXGGHIYLYCUTACBWSFXCEDXFXGWTVCFAEDXFBWTVGXA $.

    $( Cauchy sequence on a metric subspace.  (Contributed by NM, 29-Jan-2008.)
       (Revised by Mario Carneiro, 30-Dec-2013.) $)
    causs $p |- ( ( D e. ( *Met ` X ) /\ F : NN --> Y ) ->
      ( F e. ( Cau ` D ) <-> F e. ( Cau ` ( D |` ( Y X. Y ) ) ) ) ) $=
      ( vy vz vx cxmet cfv wcel cn wf wa crn wss cc co cvv wb wral cin ccau cxp
      cres wfun cpm caufpm cdm elfvdm cnex elpmg sylancl biimpa syldan simpl2im
      rnss rnxpss sstrdi adantlr frn ad2antlr ssind ex xmetres sylan inex1g syl
      wi adantr wfn ffn df-f simplbi2 clt wbr cuz wrex crp inss2 a1i fss sylan2
      cv ancoms ffvelrn eluznn anassrs ovresd ralbidva rexbidva ralbidv c1 nnuz
      breq1d 1zzd eqidd simpr simpl id inss1 syl2anr 3bitr4rd sylan9r pm5.21ndd
      iscauf ) ACHIJZKDBLZMZBNZCDUAZOZBAUBIJZBADDUCUDZUBIJZXHXLXKXHXLMXICDXFXLX
      ICOXGXFXLMZXIPCUCZNZCXOBUEZBXPOZXIXQOXFXLBCPUFQJZXRXSMZABCUGXFXTYAXFCHUHZ
      JZPRJZXTYASACHUIZUJCPBYBRUKULUMUNBXPUPUOPCUQURUSXGXIDOXFXLKDBUTVAVBVCXFXN
      XKVHXGXFXNXKXFXNMZXIPXJUCZNZXJYFXRBYGOZXIYHOXFXNBXJPUFQJZXRYIMZXFXMXJHIJZ
      XNYJADCVDZXMBXJUGVEXFYJYKXFXJRJZYDYJYKSXFYCYNYECDYBVFVGUJXJPBRRUKULUMUNBY
      GUPUOPXJUQURVCVIXGXKKXJBLZXFXLXNSZXGBKVJZXKYOVHKDBVKYOYQXKKXJBVLVMVGXFYOY
      PXFYOMZEWCZBIZFWCZBIZXMQZGWCZVNVOZFYSVPIZTZEKVQZGVRTZYTUUBAQZUUDVNVOZFUUF
      TZEKVQZGVRTZXNXLYRXGUUIUUNSYOXFXGXFYOXJDOZXGUUOXFCDVSVTKXJDBWAWBWDXGUUHUU
      MGVRXGUUGUULEKXGYSKJZMZUUEUUKFUUFUUQUUAUUFJZMZUUCUUJUUDVNUUSYTUUBADUUQYTD
      JUURKDYSBWEVIXGUUPUURUUBDJZUUPUURMXGUUAKJZUUTUUAYSWFKDUUABWEWBWGWHWNWIWJW
      KVGYRGUUBYTXMEFBWLXJKWMXFYLYOYMVIYRWOZYRUVAMUUBWPZYRUUPMYTWPZXFYOWQXEYRGU
      UBYTAEFBWLCKWMXFYOWRUVBUVCUVDYOYOXJCOZKCBLXFYOWSUVEXFCDWTVTKXJCBWAXAXEXBV
      CXCXD $.
  $}

  ${
    $d f k r x y C $.  $d f k r s x y D $.  $d f k r x y ph $.  $d k s x y R $.
    $d f k r s x y X $.
    equivcau.1 $e |- ( ph -> C e. ( Met ` X ) ) $.
    equivcau.2 $e |- ( ph -> D e. ( Met ` X ) ) $.
    equivcau.3 $e |- ( ph -> R e. RR+ ) $.
    equivcau.4 $e |- ( ( ph /\ ( x e. X /\ y e. X ) ) ->
      ( x C y ) <_ ( R x. ( x D y ) ) ) $.
    $( If the metric ` D ` is "strongly finer" than ` C ` (meaning that there
       is a positive real constant ` R ` such that
       ` C ( x , y ) <_ R x. D ( x , y ) ` ), all the ` D ` -Cauchy filters are
       also ` C ` -Cauchy.  (Using this theorem twice in each direction states
       that if two metrics are strongly equivalent, then they have the same
       Cauchy sequences.)  (Contributed by Mario Carneiro, 14-Sep-2015.) $)
    equivcfil $p |- ( ph -> ( CauFil ` D ) C_ ( CauFil ` C ) ) $=
      ( vs vr cfv cv wcel co wrex crp wa vf ccfil cfil wral cdiv simpr ad2antrr
      cbl wi rpdivcld wceq oveq2 eleq1d rexbidv rspcv syl wss simpllr metss2lem
      cmopn eqid ancom2s adantlr anassrs cxmet cxr cmet ad3antrrr rpxr ad2antlr
      metxmet blssm syl3anc filss 3exp2 com24 syl3c reximdva syld imdistanda wb
      ralrimdva iscfil3 3syl 3imtr4d ssrdv ) AUAEUBNZDUBNZAUAOZGUCNPZBOZLOZEUHN
      ZQZWIPZBGRZLSUDZTZWJWKMOZDUHNQZWIPZBGRZMSUDZTZWIWGPZWIWHPZAWJWQXCAWJTZWQX
      BMSXGWSSPZTZWQWKWSFUEQZWMQZWIPZBGRZXBXIXJSPWQXMUIXIWSFXGXHUFAFSPWJXHJUGUJ
      WPXMLXJSWLXJUKZWOXLBGXNWNXKWIWLXJWKWMULUMUNUOUPXIXLXABGXIWKGPZTZWJXKWTUQZ
      WTGUQZXLXAUIAWJXHXOURXGXHXOXQAXHXOTXQWJAXOXHXQABCDEFWSDUTNZEUTNZGXSVAXTVA
      HIJKUSVBVCVDXPDGVENZPZXOWSVFPZXRXPDGVGNZPZYBAYEWJXHXOHVHDGVKZUPXIXOUFXHYC
      XGXOWSVIVJDWKWSGVLVMWJXLXRXQXAWJXLXRXQXAXKWTWIGVNVOVPVQVRVSWBVTAEYDPEYAPX
      EWRWAIEGVKBEWIGLWCWDAYEYBXFXDWAHYFBDWIGMWCWDWEWF $.

    $( If the metric ` D ` is "strongly finer" than ` C ` (meaning that there
       is a positive real constant ` R ` such that
       ` C ( x , y ) <_ R x. D ( x , y ) ` ), all the ` D ` -Cauchy sequences
       are also ` C ` -Cauchy.  (Using this theorem twice in each direction
       states that if two metrics are strongly equivalent, then they have the
       same Cauchy sequences.)  (Contributed by Mario Carneiro,
       14-Sep-2015.) $)
    equivcau $p |- ( ph -> ( Cau ` D ) C_ ( Cau ` C ) ) $=
      ( vk vf cv cfv co cz crp wcel wceq vs vr cuz cbl cres wf wrex wral cc cpm
      crab ccau wa cdiv wi simpr ad2antrr rpdivcld oveq2 feq3d rspcv syl simprr
      rexbidv wss elpmi simpld ad3antlr resss dmss ax-mp uzid ad2antrl ad2antll
      cdm fdm eleqtrrd sselid ffvelrnd cmopn eqid metss2lem ralrimiva ad3antrrr
      expr simplr oveq1 imbi2d syl3c fssd reximdva syld ralrimdva ss2rabdv cmet
      sseq12d cxmet metxmet caufval 3syl 3sstr4d ) ALNZUCOZXBMNZOZUANZEUDOZPZXD
      XCUEZUFZLQUGZUARUHZMGUIUJPZUKZXCXEUBNZDUDOZPZXIUFZLQUGZUBRUHZMXMUKZEULOZD
      ULOZAXLXTMXMAXDXMSZUMZXLXSUBRYEXORSZUMZXLXCXEXOFUNPZXGPZXIUFZLQUGZXSYGYHR
      SXLYKUOYGXOFYEYFUPAFRSYDYFJUQURXKYKUAYHRXFYHTZXJYJLQYLXHYIXIXCXFYHXEXGUSU
      TVDVAVBYGYJXRLQYGXBQSZYJXRYGYMYJUMZUMZXCYIXQXIYGYMYJVCYOXEGSYFBNZYHXGPZYP
      XOXPPZVEZUOZBGUHZYFYIXQVEZYOXDVOZGXBXDYDUUCGXDUFZAYFYNYDUUDUUCUIVEGUIXDVF
      VGVHYOXIVOZUUCXBXIXDVEUUEUUCVEXDXCVIXIXDVJVKYOXBXCUUEYMXBXCSYGYJXBVLVMYJU
      UEXCTYGYMXCYIXIVPVNVQVRVSAUUAYDYFYNAYTBGAYPGSYFYSABCDEFXODVTOZEVTOZGUUFWA
      UUGWAHIJKWBWEWCWDYEYFYNWFYTYFUUBUOBXEGYPXETZYSUUBYFUUHYQYIYRXQYPXEYHXGWGY
      PXEXOXPWGWPWHVAWIWJWEWKWLWMWNAEGWOOZSEGWQOZSYBXNTIEGWRUAEMLGWSWTADUUISDUU
      JSYCYATHDGWRUBDMLGWSWTXA $.
  $}

  ${
    $d j k x D $.  $d j k J $.  $d j M $.  $d j k ph $.  $d j k Z $.
    $d j k x F $.  $d j k x P $.  $d j k x Q $.  $d j k x R $.  $d j k x X $.
    lmle.1 $e |- Z = ( ZZ>= ` M ) $.
    lmle.3 $e |- J = ( MetOpen ` D ) $.
    lmle.4 $e |- ( ph -> D e. ( *Met ` X ) ) $.
    lmle.6 $e |- ( ph -> M e. ZZ ) $.
    lmle.7 $e |- ( ph -> F ( ~~>t ` J ) P ) $.
    lmle.8 $e |- ( ph -> Q e. X ) $.
    lmle.9 $e |- ( ph -> R e. RR* ) $.
    lmle.10 $e |- ( ( ph /\ k e. Z ) -> ( Q D ( F ` k ) ) <_ R ) $.
    $( If the distance from each member of a converging sequence to a given
       point is less than or equal to a given amount, so is the convergence
       value.  (Contributed by NM, 23-Dec-2007.)  (Proof shortened by Mario
       Carneiro, 1-May-2014.) $)
    lmle $p |- ( ph -> ( Q D P ) <_ R ) $=
      ( wcel vx vj cv co cle wbr crab cuz cfv wf cxmet ctopon mopntopon syl clm
      cres wrel cdm lmrel releldm sylancr lmff wa eqid adantr cz simprl eluzelz
      eleqtrdi oveq2 breq1d fvres adantl simprr ffvelrnda eqeltrrd uztrn2 sylan
      wceq adantlr syldan elrabd ccld cxr blcld syl3anc lmcld rexlimddv simprbi
      elrab ) ACDUAUCZBUDZEUEUFZUAJUGZTZDCBUDZEUEUFZAUBUCZUHUIZJGWSUPZUJZWOUBKA
      UBGHIJKLABJUKUITZHJULUITZNBHJMUMUNZOAHUOUIZUQGCXEUFZGXEURTHUSPGCXEUTVAVBA
      WRKTZXAVCZVCZCWNFGHWRJWSWSVDAXCXHXDVEXIWRIUHUIZTWRVFTXIWRKXJAXGXAVGZLVIIW
      RVHUNAXFXHPVEXIFUCZWSTZVCZWMDXLGUIZBUDZEUEUFZUAXOJWKXOVSWLXPEUEWKXODBVJVK
      XNXLWTUIZXOJXMXRXOVSXIXLWSGVLVMXIWSJXLWTAXGXAVNVOVPXIXMXLKTZXQXIXGXMXSXKI
      XLWRKLVQVRAXSXQXHSVTWAWBAWNHWCUITZXHAXBDJTEWDTXTNQRUABDEWNHJMWNVDWEWFVEWG
      WHWOCJTWQWMWQUACJWKCVSWLWPEUEWKCDBVJVKWJWIUN $.
  $}

  ${
    $d F k $.  $d D k $.  $d G k $.  $d J k $.  $d P k $.  $d R k $.  $d X k $.
    $d ph k $.
    nglmle.1 $e |- X = ( Base ` G ) $.
    nglmle.2 $e |- D = ( ( dist ` G ) |` ( X X. X ) ) $.
    nglmle.3 $e |- J = ( MetOpen ` D ) $.
    nglmle.5 $e |- N = ( norm ` G ) $.
    nglmle.6 $e |- ( ph -> G e. NrmGrp ) $.
    nglmle.7 $e |- ( ph -> F : NN --> X ) $.
    nglmle.8 $e |- ( ph -> F ( ~~>t ` J ) P ) $.
    nglmle.9 $e |- ( ph -> R e. RR* ) $.
    nglmle.10 $e |- ( ( ph /\ k e. NN ) -> ( N ` ( F ` k ) ) <_ R ) $.
    $( If the norm of each member of a converging sequence is less than or
       equal to a given amount, so is the norm of the convergence value.
       (Contributed by NM, 25-Dec-2007.)  (Revised by AV, 16-Oct-2021.) $)
    nglmle $p |- ( ph -> ( N ` P ) <_ R ) $=
      ( wcel cfv c0g co cle cgrp wceq cngp ngpgrp syl ctopon clm wbr cxmet cxms
      cms ngpms msxms xmsxmet mopntopon lmcl syl2anc cds nmval2 grpidcl xmetsym
      eqid syl3anc eqtrd c1 cn nnuz 1zzd adantr ffvelrnda eqbrtrrd lmle eqbrtrd
      cv wa ) ACIUAZGUBUAZCBUCZDUDAVTCWABUCZWBAGUETZCJTZVTWCUFAGUGTZWDOGUHUIZAH
      JUJUATZFCHUKUAULWEABJUMUATZWHAGUNTZWIAGUOTZWJAWFWKOGUPUIGUQUIBGJKLURUIZBH
      JMUSUIQCFHJUTVAZCGVBUAZBIGJWANKWAVFZWNVFZLVCVAAWIWEWAJTZWCWBUFWLWMAWDWQWG
      JGWAKWOVDUIZCWABJVEVGVHABCWADEFHVIJVJVKMWLAVLQWRRAEVRZVJTZVSZWSFUAZIUAZWA
      XBBUCZDUDXAXCXBWABUCZXDXAWDXBJTZXCXEUFAWDWTWGVMAVJJWSFPVNZXBWNBIGJWANKWOW
      PLVCVAXAWIXFWQXEXDUFAWIWTWLVMXGAWQWTWRVMXBWABJVEVGVHSVOVPVQ $.
  $}

  ${
    $d j k x F $.  $d j k x M $.  $d j k x P $.  $d x J $.  $d j k x Z $.
    lmclim.2 $e |- J = ( TopOpen ` CCfld ) $.
    lmclim.3 $e |- Z = ( ZZ>= ` M ) $.
    $( Relate a limit on the metric space of complex numbers to our complex
       number limit notation.  (Contributed by NM, 9-Dec-2006.)  (Revised by
       Mario Carneiro, 1-May-2014.) $)
    lmclim $p |- ( ( M e. ZZ /\ Z C_ dom F ) ->
                ( F ( ~~>t ` J ) P <-> ( F e. ( CC ^pm CC ) /\ F ~~> P ) ) ) $=
      ( vk vx vj wcel wa cc co cv cfv clt wbr wral crp cz cdm wss cpm cabs cmin
      ccom w3a cuz wrex clm cli 3anass uztrn2 simplr sselda biantrurd wceq eqid
      wb cnmetdval ancoms breq1d pm5.32da ad2antlr bitr3d syl5bb sylan2 anassrs
      ralbidva rexbidva ralbidv anbi2d cnfldtopn cxmet cnxmet a1i lmmbr3 simpll
      simpl simpr eqidd clim2 3bitr4d ) DUAKZEBUBZUCZLZBMMUDNZKZAMKZHOZWFKZWLBP
      ZMKZWNAUEUFUGZNZIOZQRZUHZHJOZUIPZSZJEUJZITSZUHZWJWKWOWNAUFNUEPZWRQRZLZHXB
      SZJEUJZITSZLZLZBACUKPRWJBAULRZLXFWJWKXELZLWHXNWJWKXEUMWHXPXMWJWHWKXEXLWHW
      KLZXDXKITXQXCXJJEXQXAEKZLWTXIHXBXQXRWLXBKZWTXIUTZXRXSLXQWLEKZXTDWLXAEGUNW
      TWMWOWSLZLZXQYALZXIWMWOWSUMYDYBYCXIYDWMYBXQEWFWLWEWGWKUOUPUQWKYBXIUTWHYAW
      KWOWSXHWKWOLWQXGWRQWOWKWQXGURWNAWPWPUSVAVBVCVDVEVFVGVHVIVJVKVLVDVMVGWHIWP
      AJHBCDMECFVNWPMVOPKWHVPVQGWEWGVTVRWHWJXOXMWHWJLZIAWNJHBDWIEGWEWGWJVSWHWJW
      AYEYALWNWBWCVDWD $.

    $( Relate a limit on the metric space of complex numbers to our complex
       number limit notation.  (Contributed by NM, 24-Jul-2007.)  (Revised by
       Mario Carneiro, 1-May-2014.) $)
    lmclimf $p |- ( ( M e. ZZ /\ F : Z --> CC ) ->
                 ( F ( ~~>t ` J ) P <-> F ~~> P ) ) $=
      ( cz wcel cc wf wa clm cfv wbr cpm co wss cvv cnex cli simpr uzssz elpm2r
      cuz zsscn sstri eqsstri mpanl12 sylancl cdm wb wceq eqimss2 lmclim syldan
      fdm 3syl mpbirand ) DHIZEJBKZLZBACMNOZBJJPQIZBAUAOZVBVAEJRZVDUTVAUBZEDUEN
      ZJGVHHJDUCUFUGUHJSIZVIVAVFLVDTTJJEBSSUDUIUJUTVAEBUKZRZVCVDVELULVBVAVJEUMV
      KVGEJBUQEVJUNURABCDEFGUOUPUS $.
  $}

  ${
    $d f D $.  $d f J $.  $d f P $.  $d f S $.  $d f ph $.
    metelcls.2 $e |- J = ( MetOpen ` D ) $.
    metelcls.3 $e |- ( ph -> D e. ( *Met ` X ) ) $.
    metelcls.5 $e |- ( ph -> S C_ X ) $.
    $( A point belongs to the closure of a subset iff there is a sequence in
       the subset converging to it.  Theorem 1.4-6(a) of [Kreyszig] p. 30.
       This proof uses countable choice ~ ax-cc .  The statement can be
       generalized to first-countable spaces, not just metrizable spaces.
       (Contributed by NM, 8-Nov-2007.)  (Proof shortened by Mario Carneiro,
       1-May-2015.) $)
    metelcls $p |- ( ph -> ( P e. ( ( cls ` J ) ` S ) <->
                     E. f ( f : NN --> S /\ f ( ~~>t ` J ) P ) ) ) $=
      ( c1stc wcel cuni wss ccl cfv cn cv wf syl clm wbr wa wex wb met1stc wceq
      cxmet mopnuni sseqtrd eqid 1stcelcls syl2anc ) AFKLZDFMZNCDFOPPLQDERZSUPC
      FUAPUBUCEUDUEABGUHPLZUNIBFGHUFTADGUOJAUQGUOUGIBFGHUITUJCDEFUOUOUKULUM $.
  $}

  ${
    $d f x D $.  $d f x J $.  $d f x S $.  $d f x X $.
    metcld.2 $e |- J = ( MetOpen ` D ) $.
    $( A subset of a metric space is closed iff every convergent sequence on it
       converges to a point in the subset.  Theorem 1.4-6(b) of [Kreyszig]
       p. 30.  (Contributed by NM, 11-Nov-2007.)  (Revised by Mario Carneiro,
       1-May-2014.) $)
    metcld $p |- ( ( D e. ( *Met ` X ) /\ S C_ X ) -> ( S e. ( Clsd ` J ) <->
            A. x A. f ( ( f : NN --> S /\ f ( ~~>t ` J ) x ) -> x e. S ) ) ) $=
      ( cxmet cfv wcel wss wa ccld ccl cn cv wf clm wi wal ctop cuni wb mopntop
      wbr mopnuni sseq2d biimpa iscld4 syl2an2r wex 19.23v simpl simpr metelcls
      eqid imbi1d bitr4id albidv dfss2 bitr4di bitr4d ) BFHIJZCFKZLZCEMIJZCENII
      ZCKZOCDPZQVIAPZERIUELZVJCJZSDTZATZVCEUAJVDCEUBZKZVFVHUCBEFGUDVCVDVPVCFVOC
      BEFGUFUGUHCEVOVOUPUIUJVEVNVJVGJZVLSZATVHVEVMVRAVEVMVKDUKZVLSVRVKVLDULVEVQ
      VSVLVEBVJCDEFGVCVDUMVCVDUNUOUQURUSAVGCUTVAVB $.

    $( A subset of a metric space is closed iff every convergent sequence on it
       converges to a point in the subset.  Theorem 1.4-6(b) of [Kreyszig]
       p. 30.  (Contributed by Mario Carneiro, 1-May-2014.) $)
    metcld2 $p |- ( ( D e. ( *Met ` X ) /\ S C_ X ) -> ( S e. ( Clsd ` J ) <->
                    ( ( ~~>t ` J ) " ( S ^m NN ) ) C_ S ) ) $=
      ( vf vx cxmet cfv wcel wss wa ccld cn cv wf wi wal wex cvv clm wbr metcld
      cmap co cima 19.23v vex elima2 wb cdm id elfvdm ssexg syl2anr nnex elmapg
      sylancl anbi1d exbidv bitr2id imbi1d syl5bb albidv dfss2 bitr4di bitrd )
      ADHIJZBDKZLZBCMIJNBFOZPZVKGOZCUAIZUBZLZVMBJZQFRZGRZVNBNUDUEZUFZBKZGABFCDE
      UCVJVSVMWAJZVQQZGRWBVJVRWDGVRVPFSZVQQVJWDVPVQFUGVJWEWCVQWCVKVTJZVOLZFSVJW
      EFVMVNVTGUHUIVJWGVPFVJWFVLVOVJBTJZNTJWFVLUJVIVIDHUKZJWHVHVIULADHUMBDWIUNU
      OUPBNVKTTUQURUSUTVAVBVCVDGWABVEVFVG $.
  $}

  ${
    $d k r A $.  $d k n r D $.  $d k n r F $.  $d k r ph $.  $d k n r X $.
    $d k J $.  $d k P $.
    caubl.2 $e |- ( ph -> D e. ( *Met ` X ) ) $.
    caubl.3 $e |- ( ph -> F : NN --> ( X X. RR+ ) ) $.
    caubl.4 $e |- ( ph -> A. n e. NN
      ( ( ball ` D ) ` ( F ` ( n + 1 ) ) ) C_ ( ( ball ` D ) ` ( F ` n ) ) ) $.
    ${
      $d n ph $.
      caubl.5 $e |- ( ph -> A. r e. RR+ E. n e. NN ( 2nd ` ( F ` n ) ) < r ) $.
      $( Sufficient condition to ensure a sequence of nested balls is Cauchy.
         (Contributed by Mario Carneiro, 18-Jan-2014.)  (Revised by Mario
         Carneiro, 1-May-2014.) $)
      caubl $p |- ( ph -> ( 1st o. F ) e. ( Cau ` D ) ) $=
        ( cfv wcel co cn crp wa wss wi wceq syl c1st ccom ccau clt wbr cuz wral
        vk cv wrex c2nd cbl caddc 2fveq3 sseq1d imbi2d ssid 2a1i eluznn fvoveq1
        c1 cz fveq2d sseq12d rspccva syl2an anassrs sstr2 expcom com12 ad2ant2r
        a2d uzind4 cop cxp wrel relxp ad3antrrr simplrl ffvelrnd 1st2nd sylancr
        df-ov eqtr4di cxmet cxr cle xp1st xp2nd rpxrd simpllr simplrr rpre ltle
        wf cr syl2anc mpd syl221anc eqsstrd syl5com simprl sylan blcntr syl3anc
        ssbl eleqtrrd ssel syl6ci wb elbl2 syl22anc sylibd ex ralrimiv reximdva
        mpdd expr ralimdva nnuz 1zzd fvco3 1stcof iscauf mpbird ) AUADUBZBUCKLC
        UIZDKZUAKZUHUIZDKZUAKZBMFUIZUDUEZUHYGUFKZUGZCNUJZFOUGZAYHUKKZYMUDUEZCNU
        JZFOUGYRJAUUAYQFOAYMOLZPZYTYPCNUUCYGNLZYTYPUUCUUDYTPZPZYNUHYOUUFYJYOLZY
        KBULKZKZYHUUHKZQZYNAUUDUUGUUKRUUBYTUUGAUUDPZUUKUULYMDKUUHKZUUJQZRUULUUJ
        UUJQZRUULUUKRZUULYJVAUMMZDKZUUHKZUUJQZRUUPFUHYGYJYMYGSZUUNUUOUULUVAUUMU
        UJUUJYMYGUUHDUNUOUPYMYJSZUUNUUKUULUVBUUMUUIUUJYMYJUUHDUNUOUPZYMUUQSZUUN
        UUTUULUVDUUMUUSUUJYMUUQUUHDUNUOUPUVCUUOYGVBLUULUUJUQURUUGUULUUKUUTUULUU
        GUUKUUTRZUULUUGPUUSUUIQZUVEAUUDUUGUVFAYGVAUMMDKZUUHKZUUJQZCNUGYJNLZUVFU
        UDUUGPIYJYGUSZUVIUVFCYJNYGYJSZUVHUUSUUJUUIUVLUVGUURUUHYGYJVADUMUTVCYGYJ
        UUHDUNVDVEVFVGUUSUUIUUJVHTVIVLVMVJVKUUFUUGUUKYNRUUFUUGPZUUKYLYIYMUUHMZL
        ZYNUVMUUKUUIUVNQZYLUUILUVOUVMUUJUVNQUUKUVPUVMUUJYIYSUUHMZUVNUVMUUJYIYSV
        NZUUHKUVQUVMYHUVRUUHUVMEOVOZVPZYHUVSLZYHUVRSEOVQZUVMNUVSYGDANUVSDWOZUUB
        UUEUUGHVRZUUCUUDYTUUGVSVTZYHUVSWAWBVCYIYSUUHWCWDUVMBEWEKLZYIELZYSWFLYMW
        FLZYSYMWGUEZUVQUVNQAUWFUUBUUEUUGGVRZUVMUWAUWGUWEYHEOWHTZUVMYSUVMUWAYSOL
        ZUWEYHEOWITZWJUVMYMAUUBUUEUUGWKZWJZUVMYTUWIUUCUUDYTUUGWLUVMUWLUUBYTUWIR
        ZUWMUWNUWLYSWPLYMWPLUWPUUBYSWMYMWMYSYMWNVFWQWRBYIYSYMEXFWSWTUUIUUJUVNVH
        XAUVMYLYLYKUKKZUUHMZUUIUVMUWFYLELZUWQOLZYLUWRLUWJUVMYKUVSLZUWSUVMNUVSYJ
        DUWDUUFUUDUUGUVJUUCUUDYTXBUVKXCVTZYKEOWHTZUVMUXAUWTUXBYKEOWITBYLUWQEXDX
        EUVMUUIYLUWQVNZUUHKUWRUVMYKUXDUUHUVMUVTUXAYKUXDSUWBUXBYKUVSWAWBVCYLUWQU
        UHWCWDXGUUIUVNYLXHXIUVMUWFUWHUWGUWSUVOYNXJUWJUWOUWKUXCYLBYIYMEXKXLXMXNX
        QXOXRXPXSWRAFYLYIBCUHYFVAENXTGAYAAUWCUVJYJYFKYLSHNUVSYJUADYBXCAUWCUUDYG
        YFKYISHNUVSYGUADYBXCAUWCNEYFWOHNEODYCTYDYE $.
    $}

    caublcls.6 $e |- J = ( MetOpen ` D ) $.
    $( The convergent point of a sequence of nested balls is in the closures of
       any of the balls (i.e. it is in the intersection of the closures).
       Indeed, it is the only point in the intersection because a metric space
       is Hausdorff, but we don't prove this here.  (Contributed by Mario
       Carneiro, 21-Jan-2014.)  (Revised by Mario Carneiro, 1-May-2014.) $)
    caublcls $p |- ( ( ph /\ ( 1st o. F ) ( ~~>t ` J ) P /\ A e. NN ) ->
                     P e. ( ( cls ` J ) ` ( ( ball ` D ) ` ( F ` A ) ) ) ) $=
      ( cfv cn wcel syl wss wi wceq crp vk c1st ccom clm wbr w3a cbl eqid cxmet
      vr cuz ctopon 3ad2ant1 mopntopon simp3 simp2 cv wa c1 caddc 2fveq3 sseq1d
      nnzd co imbi2d cz ssid 2a1i eluznn fvoveq1 fveq2d sseq12d rspccva anassrs
      wral syl2an sstr2 expcom a2d uzind4 impcom 3adantl2 c2nd adantr wf simpl1
      cxp 3ad2antl3 ffvelrnd xp1st xp2nd blcntr syl3anc fvco3 syl2anc cop df-ov
      1st2nd2 eqtr4di 3eltr4d sseldd ffvelrnda 3adant2 cxr rpxrd blssm eqsstrd
      lmcls ) AUBFUCZDGUDMUEZBNOZUFZDBFMZCUGMZMZUAXIGBHBUKMZXPUHXLCHUIMOZGHULMO
      AXJXQXKIUMZCGHLUNPXLBAXJXKUOVCAXJXKUPXLUAUQZXPOZURZXSFMZXNMZXOXSXIMZAXKXT
      YCXOQZXJXTAXKURZYEYFUJUQZFMXNMZXOQZRYFXOXOQZRYFYERZYFXSUSUTVDZFMZXNMZXOQZ
      RYKUJUABXSYGBSZYIYJYFYPYHXOXOYGBXNFVAVBVEYGXSSZYIYEYFYQYHYCXOYGXSXNFVAVBV
      EZYGYLSZYIYOYFYSYHYNXOYGYLXNFVAVBVEYRYJBVFOYFXOVGVHXTYFYEYOYFXTYEYORZYFXT
      URYNYCQZYTAXKXTUUAAEUQZUSUTVDFMZXNMZUUBFMXNMZQZENVOXSNOZUUAXKXTURKXSBVIZU
      UFUUAEXSNUUBXSSZUUDYNUUEYCUUIUUCYMXNUUBXSUSFUTVJVKUUBXSXNFVAVLVMVPVNYNYCX
      OVQPVRVSVTWAWBYAYBUBMZUUJYBWCMZXNVDZYDYCYAXQUUJHOZUUKTOZUUJUULOXLXQXTXRWD
      YAYBHTWGZOZUUMYANUUOXSFYAANUUOFWEZAXJXKXTWFJPZXKAXTUUGXJUUHWHZWIZYBHTWJPY
      AUUPUUNUUTYBHTWKPCUUJUUKHWLWMYAUUQUUGYDUUJSUURUUSNUUOXSUBFWNWOYAYCUUJUUKW
      PZXNMUULYAYBUVAXNYAUUPYBUVASUUTYBHTWRPVKUUJUUKXNWQWSWTXAXLXOXMUBMZXMWCMZX
      NVDZHXLXOUVBUVCWPZXNMUVDXLXMUVEXNXLXMUUOOZXMUVESAXKUVFXJANUUOBFJXBXCZXMHT
      WRPVKUVBUVCXNWQWSXLXQUVBHOZUVCXDOUVDHQXRXLUVFUVHUVGXMHTWJPXLUVCXLUVFUVCTO
      UVGXMHTWKPXECUVBUVCHXFWMXGXH $.
  $}

  ${
    $d f x C $.  $d f x D $.  $d f x F $.  $d f x P $.  $d f x J $.
    $d f x ph $.  $d f x X $.  $d f x Y $.  $d f x K $.
    metcnp4.3 $e |- J = ( MetOpen ` C ) $.
    metcnp4.4 $e |- K = ( MetOpen ` D ) $.
    metcnp4.5 $e |- ( ph -> C e. ( *Met ` X ) ) $.
    metcnp4.6 $e |- ( ph -> D e. ( *Met ` Y ) ) $.
    ${
      metcnp4.7 $e |- ( ph -> P e. X ) $.
      $( Two ways to say a mapping from metric ` C ` to metric ` D ` is
         continuous at point ` P ` .  Theorem 14-4.3 of [Gleason] p. 240.
         (Contributed by NM, 17-May-2007.)  (Revised by Mario Carneiro,
         4-May-2014.) $)
      metcnp4 $p |- ( ph -> ( F e. ( ( J CnP K ) ` P ) <-> ( F : X --> Y /\
                      A. f ( ( f : NN --> X /\ f ( ~~>t ` J ) P ) ->
                             ( F o. f ) ( ~~>t ` K ) ( F ` P ) ) ) ) ) $=
        ( cxmet cfv wcel syl ctopon c1stc met1stc mopntopon 1stccnp ) ADEFGHIJA
        BIPQRZGUARMBGIKUBSAUEGITQRMBGIKUCSACJPQRHJTQRNCHJLUCSOUD $.
    $}

    metcn4.7 $e |- ( ph -> F : X --> Y ) $.
    $( Two ways to say a mapping from metric ` C ` to metric ` D ` is
       continuous.  Theorem 10.3 of [Munkres] p. 128.  (Contributed by NM,
       13-Jun-2007.)  (Revised by Mario Carneiro, 4-May-2014.) $)
    metcn4 $p |- ( ph -> ( F e. ( J Cn K ) <-> A. f ( f : NN --> X ->
        A. x ( f ( ~~>t ` J ) x -> ( F o. f ) ( ~~>t ` K ) ( F ` x ) ) ) ) ) $=
      ( cxmet cfv wcel syl ctopon c1stc met1stc mopntopon 1stccn ) ABEFGHIJACIP
      QRZGUARMCGIKUBSAUEGITQRMCGIKUCSADJPQRHJTQRNDHJLUCSOUD $.
  $}

  ${
    $d f D $.  $d f J $.  $d f X $.
    iscmet3i.2 $e |- J = ( MetOpen ` D ) $.
    iscmet3i.3 $e |- D e. ( Met ` X ) $.
    iscmet3i.4 $e |- ( ( f e. ( Cau ` D ) /\ f : NN --> X ) ->
                      f e. dom ( ~~>t ` J ) ) $.
    $( Properties that determine a complete metric space.  (Contributed by NM,
       15-Apr-2007.)  (Revised by Mario Carneiro, 5-May-2014.) $)
    iscmet3i $p |- D e. ( CMet ` X ) $=
      ( ccmet cfv wcel cn cv wf clm cdm wi ccau wral wb wtru nnuz 1zzd cmet a1i
      c1 iscmet3 mptru ex mprgbir ) ADHIJZKDBLZMZUKCNIOJZPZBAQIZUJUNBUORSTABCUE
      DKUAETUBADUCIJTFUDUFUGUKUOJULUMGUHUI $.
  $}

  ${
    $d x y A $.  $d f j u x y D $.  $d f j u x y J $.  $d f j u x y X $.
    $d x y F $.
    lmcau.1 $e |- J = ( MetOpen ` D ) $.
    $( Every convergent sequence in a metric space is a Cauchy sequence.
       Theorem 1.4-5 of [Kreyszig] p. 28.  (Contributed by NM, 29-Jan-2008.)
       (Proof shortened by Mario Carneiro, 5-May-2014.) $)
    lmcau $p |- ( D e. ( *Met ` X ) -> dom ( ~~>t ` J ) C_ ( Cau ` D ) ) $=
      ( vf vj vx vu vy cfv wcel cv wb wa co cuz wf cz wrex crp clm cdm ccau wbr
      cxmet cha wfun methaus lmfun funfvbrb 3syl cc cpm cbl cres wral crn lmmbr
      w3a id biimpa simp1d c2 cdiv simprr cr wss simplll ad2antrr rpre ad2antlr
      simp2d uzid ad2antrl fvresd ffvelrnd eqeltrrd blhalf syl22anc fssd simp3d
      rphalfcl wceq oveq2 feq3d rexbidv syl2im impcom cpw wfn uzf reseq2 feq12d
      rspcv ffn rexrn sylib reximddv ralrimiva iscau adantr mpbir2and ex sylbid
      mp2b ssrdv ) ACUEJKZEBUAJZUBZAUCJZXGELZXIKZXKXKXHJZXHUDZXKXJKZXGBUFKXHUGX
      LXNMABCDUHBUIXKXHUJUKXGXNXOXGXNNZXOXKCULUMOKZFLZPJZXRXKJZGLZAUNJZOZXKXSUO
      ZQZFRSZGTUPZXPXQXMCKZHLZXMILZYBOZXKYIUOZQZHPUQZSZITUPZXGXNXQYHYPUSXGIHAXM
      XKBCDXGUTURVAZVBXPYFGTXPYATKZNZXSXMYAVCVDOZYBOZYDQZYEFRYSXRRKZUUBNZNZXSUU
      AYCYDYSUUCUUBVEZUUEXGYHYAVFKZXTUUAKUUAYCVGXGXNYRUUDVHXPYHYRUUDXPXQYHYPYQV
      LVIYRUUGXPUUDYAVJVKUUEXRYDJXTUUAUUEXRXSXKUUCXRXSKYSUUBXRVMVNZVOUUEXSUUAXR
      YDUUFUUHVPVQYAACXMXTVRVSVTYSYIUUAYLQZHYNSZUUBFRSZYRXPUUJYRYTTKXPYPUUJYAWB
      XPXQYHYPYQWAYOUUJIYTTYJYTWCZYMUUIHYNUULYKUUAYLYIYJYTXMYBWDWEWFWNWGWHRRWIZ
      PQPRWJUUJUUKMWKRUUMPWOUUIUUBHFRPYIXSWCZYIXSUUAYLYDYIXSXKWLUUNUTWMWPXEWQWR
      WSXGXOXQYGNMXNGAFXKCWTXAXBXCXDXF $.

    $( Every convergent filter in a metric space is a Cauchy filter.
       (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    flimcfil $p |- ( ( D e. ( *Met ` X ) /\ A e. ( J fLim F ) ) ->
      F e. ( CauFil ` D ) ) $=
      ( vy vx cfv wcel co wa cfil cv crp adantl wceq adantr eleqtrrd syl3anc wb
      cxmet cflim ccfil cbl wrex wral cuni eqid flimfil mopnuni fveq2d ad2antlr
      flimelbas ad2antrr csn cnei simplr ctop mopntop simpll blopn simpr blcntr
      cxr rpxr opnneip flimnei syl2anc oveq1 eleq1d ralrimiva iscfil3 mpbir2and
      rspcev ) BEUBIJZADCUCKJZLZCBUDIJZCEMIZJZGNZHNZBUEIZKZCJZGEUFZHOUGZVRCDUHZ
      MIZVTVQCWJJVPACDWIWIUIZUJPVREWIMVPEWIQZVQBDEFUKZRULSVRWGHOVRWCOJZLZAEJZAW
      CWDKZCJZWGWOAWIEVQAWIJVPWNACDWIWKUNUMVPWLVQWNWMUOSZWOVQWQAUPDUQIIJZWRVPVQ
      WNURWODUSJZWQDJZAWQJZWTVPXAVQWNBDEFUTUOWOVPWPWCVEJZXBVPVQWNVAZWSWNXDVRWCV
      FPBAWCDEFVBTWOVPWPWNXCXEWSVRWNVCBAWCEVDTADWQVGTACDWQVHVIWFWRGAEWBAQWEWQCW
      BAWCWDVJVKVOVIVLVPVSWAWHLUAVQGBCEHVMRVN $.
  $}

  ${
    $d f x D $.  $d f x J $.  $d f x X $.  $d f x Y $.
    metsscmetcld.j $e |- J = ( MetOpen ` D ) $.
    $( A complete subspace of a metric space is closed in the parent space.
       Formerly part of proof for ~ cmetss .  (Contributed by NM, 28-Jan-2008.)
       (Revised by Mario Carneiro, 15-Oct-2015.)  (Revised by AV,
       9-Oct-2022.) $)
    metsscmetcld $p |- ( ( D e. ( Met ` X )
                           /\ ( D |` ( Y X. Y ) ) e. ( CMet ` Y ) )
                         -> Y e. ( Clsd ` J ) ) $=
      ( vx vf cfv wcel wa wss cflim co wb adantr syl cdm wceq syl2anc c0 cxp cv
      cmet cres ccmet ccld ccl cfil wrex ctopon cxmet mopntopon resss dmss mp2b
      metxmet cmetmet metdmdm sseq12 syl2anr mpbiri flimcls simprrr wmo wex cha
      wi methaus hausflimi 3syl cin cmopn crest simprl simprrl flimrest syl3anc
      wne eqid metrest oveq1d eqtr3d ccfil simplr cfilres mpbid cmetcvg eqnetrd
      flimcfil ndisj sylib mopick mpd rexlimdvaa sylbid ssrdv ctop cuni mopntop
      mopnuni sseqtrd iscld4 mpbird ) ACUCHIZADDUAZUDZDUEHIZJZDBUFHIZDBUGHHZDKZ
      XHFXJDXHFUBZXJIZDGUBZIZXLBXNLMZIZJZGCUHHZUIZXLDIZXHBCUJHIZDCKZXMXTNXHACUK
      HIZYBXDYDXGACUPOZABCEULZPXHYCXFQZQZAQZQZKZXFAKYGYIKYKAXEUMXFAUNYGYIUNUOXG
      DYHRZCYJRYCYKNXDXGXFDUCHIYLXFDUQXFDURPACURDYHCYJUSUTVAZXLDGBCVBSXHXRYAGXS
      XHXNXSIZXRJZJZXQYAXHYNXOXQVCZYPXQFVDZXQYAJFVEZXQYAVGYPYDBVFIYRXHYDYOYEOZA
      BCEVHFXNBVIVJYPXPDVKZTVRYSYPUUAXFVLHZXNDVMMZLMZTYPBDVMMZUUCLMZUUAUUDYPYBY
      NXOUUFUUARYPYDYBYTYFPXHYNXRVNZXHYNXOXQVOZXNBCDVPVQYPUUEUUBUUCLYPYDYCUUEUU
      BRYTXHYCYOYMOAXFBUUBCDXFVSEUUBVSZVTSWAWBYPXGUUCXFWCHIZUUDTVRXDXGYOWDYPXNA
      WCHIZUUJYPYDXQUUKYTYQXLAXNBCEWISYPYDYNXOUUKUUJNYTUUGUUHAXNCDWEVQWFXFUUCUU
      BDUUIWGSWHFXPDWJWKXQYAFWLSWMWNWOWPXHBWQIZDBWRZKXIXKNXHYDUULYEABCEWSPXHDCU
      UMYMXHYDCUUMRYEABCEWTPXADBUUMUUMVSXBSXC $.

    $( A subspace of a complete metric space is complete iff it is closed in
       the parent space.  Theorem 1.4-7 of [Kreyszig] p. 30.  (Contributed by
       NM, 28-Jan-2008.)  (Revised by Mario Carneiro, 15-Oct-2015.)  (Proof
       shortened by AV, 9-Oct-2022.) $)
    cmetss $p |- ( D e. ( CMet ` X ) ->
      ( ( D |` ( Y X. Y ) ) e. ( CMet ` Y ) <-> Y e. ( Clsd ` J ) ) ) $=
      ( vf ccmet cfv wcel cmet sylan cflim co wss eqid wceq syl2anc syl syl3anc
      c0 cxp cres ccld cmetmet metsscmetcld wa cmopn wne ccfil wral adantr cuni
      cv cldss adantl cxmet metxmet mopnuni 3syl sseqtrrd metres2 cfg crest cin
      ad2antrr metrest eqcomd cfil cfilfil elfvdm trfg oveq12d ctopon mopntopon
      cdm cfbas cpw filfbas filsspw sspwd sstrd fbasweak filtop sseldd flimrest
      fgcl ssfg ccl flimclsi cldcls ad2antlr df-ss sylib 3eqtrd simpll cfilresi
      sseqtrd cmetcvg eqnetrd ralrimiva iscmet sylanbrc impbida ) ACGHIZADDUAUB
      ZDGHIZDBUCHIZXDACJHIZXFXGACUDZABCDEUEKXDXGUFZXEDJHIZXEUGHZFUMZLMZTUHZFXEU
      IHZUJXFXJXHDCNZXKXDXHXGXIUKZXJDBULZCXGDXSNXDDBXSXSOUNUOXJXHACUPHIZCXSPXRA
      CUQZABCEURUSUTZADCVAQZXJXOFXPXJXMXPIZUFZXNBCXMVBMZLMZTYEXNBDVCMZYFDVCMZLM
      ZYGDVDZYGYEXLYHXMYILYEYHXLYEXTXQYHXLPXDXTXGYDXDXHXTXIYARVEZXJXQYDYBUKZAXE
      BXLCDXEOEXLOZVFQVGYEYIXMYEXMDVHHIZXQCGVOZIZYIXMPXJXEDUPHIZYDYOXJXKYRYCXED
      UQRXEXMDVIKZYMXDYQXGYDACGVJVEZDXMYPCVKSVGVLYEBCVMHIZYFCVHHIZDYFIZYJYKPYEX
      TUUAYLABCEVNRYEXMCVPHIZUUBYEXMDVPHIZXMCVQZNYQUUDYEYOUUEYSXMDVRRYEXMDVQZUU
      FYEYOXMUUGNYSXMDVSRYEDCYMVTWAYTXMYPDCWBSZXMCWFRYEXMYFDYEUUDXMYFNUUHXMCWGR
      YEYODXMIYSXMDWCRWDZYFBCDWESYEYGDNYKYGPYEYGDBWHHHZDYEUUCYGUUJNUUIDYFBWIRXG
      UUJDPXDYDDBWJWKWQYGDWLWMWNYEXDYFAUIHIZYGTUHXDXGYDWOXJXTYDUUKXJXHXTXRYARAX
      MCDWPKAYFBCEWRQWSWTXEFXLDYNXAXBXC $.
  $}

  ${
    $d f x y C $.  $d f x y D $.  $d f x y ph $.  $d x y R $.  $d f x y X $.
    $d x y S $.
    equivcmet.1 $e |- ( ph -> C e. ( Met ` X ) ) $.
    equivcmet.2 $e |- ( ph -> D e. ( Met ` X ) ) $.
    equivcmet.3 $e |- ( ph -> R e. RR+ ) $.
    equivcmet.4 $e |- ( ph -> S e. RR+ ) $.
    equivcmet.5 $e |- ( ( ph /\ ( x e. X /\ y e. X ) ) ->
      ( x C y ) <_ ( R x. ( x D y ) ) ) $.
    equivcmet.6 $e |- ( ( ph /\ ( x e. X /\ y e. X ) ) ->
      ( x D y ) <_ ( S x. ( x C y ) ) ) $.
    $( If two metrics are strongly equivalent, one is complete iff the other
       is.  Unlike ~ equivcau , ~ metss2 , this theorem does not have a
       one-directional form - it is possible for a metric ` C ` that is
       strongly finer than the complete metric ` D ` to be incomplete and vice
       versa.  Consider ` D = ` the metric on ` RR ` induced by the usual
       homeomorphism from ` ( 0 , 1 ) ` against the usual metric ` C ` on
       ` RR ` and against the discrete metric ` E ` on ` RR ` .  Then both
       ` C ` and ` E ` are complete but ` D ` is not, and ` C ` is strongly
       finer than ` D ` , which is strongly finer than ` E ` .  (Contributed by
       Mario Carneiro, 15-Sep-2015.) $)
    equivcmet $p |- ( ph -> ( C e. ( CMet ` X ) <-> D e. ( CMet ` X ) ) ) $=
      ( vf cfv wcel cmopn cflim c0 cmet cv co wne ccfil wral wa ccmet equivcfil
      2thd eqssd eqid metss2 oveq1d neeq1d raleqbidv anbi12d iscmet 3bitr4g ) A
      DHUAPZQZDRPZOUBZSUCZTUDZODUEPZUFZUGEUTQZERPZVCSUCZTUDZOEUEPZUFZUGDHUHPZQE
      VNQAVAVHVGVMAVAVHIJUJAVEVKOVFVLAVFVLABCEDGHJILNUIABCDEFHIJKMUIUKAVDVJTAVB
      VIVCSAVBVIABCDEFVBVIHVBULZVIULZIJKMUMABCEDGVIVBHVPVOJILNUMUKUNUOUPUQDOVBH
      VOUREOVIHVPURUS $.
  $}

  ${
    $d f x D $.  $d f x J $.  $d f x ph $.  $d x R $.  $d f x X $.
    relcmpcmet.1 $e |- J = ( MetOpen ` D ) $.
    relcmpcmet.2 $e |- ( ph -> D e. ( Met ` X ) ) $.
    ${
      relcmpcmet.3 $e |- ( ph -> R e. RR+ ) $.
      relcmpcmet.4 $e |- ( ( ph /\ x e. X ) ->
        ( J |`t ( ( cls ` J ) ` ( x ( ball ` D ) R ) ) ) e. Comp ) $.
      $( If ` D ` is a metric space such that all the balls of some fixed size
         are relatively compact, then ` D ` is complete.  (Contributed by Mario
         Carneiro, 15-Oct-2015.) $)
      relcmpcmet $p |- ( ph -> D e. ( CMet ` X ) ) $=
        ( vf cfv wcel co wa syl wss cfil wceq syl2anc cmet cv cflim c0 wne wral
        ccfil ccmet cbl cxmet crp metxmet adantr simpr cfil3i syl3anc ccl crest
        wrex cfcls cin ctopon ad2antrr mopntopon cfilfil sylan simprr cuni ctop
        topontop simprl rpxrd blssm toponuni sseqtrd eqid clsss3 sseqtrrd sscls
        cxr filss syl13anc fclsrest cdm cfilfcls ad2antlr sseqtrid eqsstrd ccmp
        inss1 ad2ant2r wn cfbas filfbas fbncp wb trfil3 mpbird resttopon fveq2d
        cdif eleqtrd fclscmpi ssn0 rexlimddv ralrimiva iscmet sylanbrc ) ACFUAL
        MZEKUBZUCNZUDUEZKCUGLZUFCFUHLMHAXLKXMAXJXMMZOZBUBZDCUILNZXJMZXLBFXOCFUJ
        LMZXNDUKMZXRBFUSAXSXNAXIXSHCFULPZUMAXNUNAXTXNIUMBCDXJFUOUPXOXPFMZXROZOZ
        EXQEUQLLZURNZXJYEURNZUTNZXKQYHUDUEZXLYDYHEXJUTNZYEVAZXKYDEFVBLMZXJFRLMZ
        YEXJMZYHYKSYDXSYLAXSXNYCYAVCZCEFGVDPZXOYMYCAXSXNYMYACXJFVEVFUMZYDYMXRYE
        FQZXQYEQZYNYQXOYBXRVGYDYEEVHZFYDEVIMZXQYTQZYEYTQYDYLUUAYPFEVJPZYDXQFYTY
        DXSYBDVTMZXQFQYOXOYBXRVKAUUDXNYCADIVLVCCXPDFVMUPYDYLFYTSYPFEVNPZVOZXQEY
        TYTVPZVQTUUEVRZYDUUAUUBYSUUCUUFXQEYTUUGVSTXQYEXJFWAWBZXJEFYEWCUPYDYJYKX
        KYJYEWJXNYJXKSAYCCXJECWDWDZGUUJVPWEWFWGWHYDYFWIMZYGYFVHZRLZMYIAYBUUKXNX
        RJWKYDYGYERLZUUMYDYGUUNMZFYEXAXJMWLZYDXJFWMLMZYNUUPYDYMUUQYQXJFWNPUUIYE
        FXJFWOTYDYMYRUUOUUPWPYQUUHYEXJFWQTWRYDYEUULRYDYFYEVBLMZYEUULSYDYLYRUURY
        PUUHYEEFWSTYEYFVNPWTXBYGYFUULUULVPXCTYHXKXDTXEXFCKEFGXGXH $.
    $}

    cmpcmet.3 $e |- ( ph -> J e. Comp ) $.
    $( A compact metric space is complete.  One half of ~ heibor .
       (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    cmpcmet $p |- ( ph -> D e. ( CMet ` X ) ) $=
      ( vx c1 crp wcel 1rp a1i ccmp cfv co adantr wss syl syl2anc cv wa cbl ccl
      ccld crest ctop cuni cxmet cmet metxmet mopntop cxr simpr rpxr mp1i blssm
      syl3anc wceq mopnuni sseqtrd eqid clscld cmpcld relcmpcmet ) AHBICDEFIJKZ
      ALMAHUAZDKZUBZCNKZVGIBUCOPZCUDOOZCUEOKZCVLUFPNKAVJVHGQVICUGKZVKCUHZRVMVIB
      DUIOKZVNAVPVHABDUJOKVPFBDUKSQZBCDEULSVIVKDVOVIVPVHIUMKZVKDRVQAVHUNVFVRVIL
      IUOUPBVGIDUQURVIVPDVOUSVQBCDEUTSVAVKCVOVOVBVCTVLCVDTVE $.
  $}

  ${
    $d x y C $.  $d x y D $.  $d x y X $.
    $( Given a metric ` D ` and a uniform structure generated by that metric,
       Cauchy filter bases on that uniform structure are exactly the Cauchy
       filters for the metric.  (Contributed by Thierry Arnoux, 15-Dec-2017.)
       (Revised by Thierry Arnoux, 11-Feb-2018.) $)
    cfilucfil3 $p |- ( ( X =/= (/) /\ D e. ( *Met ` X ) ) -> (
      ( C e. ( Fil ` X ) /\ C e. ( CauFilU ` ( metUnif ` D ) ) )
      <-> C e. ( CauFil ` D ) ) ) $=
      ( vy vx c0 wne cxmet cfv wcel wa cfil cmetu ccfilu cv cxp cima cc0 cico
      wb co wss wrex crp ccfil cpsmet xmetpsmet cfbas cfilucfil2 anbi2d filfbas
      wral pm4.71i anbi1i anass bitr2i bitrdi sylan2 iscfil adantl bitr4d ) CFG
      ZBCHIJZKACLIJZABMINIJZKZVDBDOZVGPQREOSUAUBDAUCEUDULZKZABUEIJZVCVBBCUFIJZV
      FVITBCUGVBVKKZVFVDACUHIJZVHKZKZVIVLVEVNVDEDABCUIUJVIVDVMKZVHKVOVDVPVHVDVM
      ACUKUMUNVDVMVHUOUPUQURVCVJVITVBEDBACUSUTVA $.
  $}

  $( Given a metric ` D ` and a uniform structure generated by that metric,
     Cauchy filter bases on that uniform structure are exactly the Cauchy
     filters for the metric.  (Contributed by Thierry Arnoux, 15-Dec-2017.)
     (Revised by Thierry Arnoux, 11-Feb-2018.) $)
  cfilucfil4 $p |- ( ( X =/= (/) /\ D e. ( *Met ` X ) /\ C e. ( Fil ` X ) )
    -> ( C e. ( CauFilU ` ( metUnif ` D ) ) <-> C e. ( CauFil ` D ) ) ) $=
    ( c0 wne cxmet cfv wcel cfil cmetu ccfilu ccfil wb wa wi cfilucfil3 cfilfil
    ex adantl pm4.71rd bitrd pm5.32 sylibr 3impia ) CDEZBCFGHZACIGHZABJGKGHZABL
    GHZMZUEUFNZUGUHNZUGUINZMUGUJOUKULUIUMABCPUKUIUGUFUIUGOUEUFUIUGBACQRSTUAUGUH
    UIUBUCUD $.

  ${
    $d r x y D $.
    cncmet.1 $e |- D = ( abs o. - ) $.
    $( The set of complex numbers is a complete metric space under the absolute
       value metric.  (Contributed by NM, 20-Dec-2006.)  (Revised by Mario
       Carneiro, 15-Oct-2015.) $)
    cncmet $p |- D e. ( CMet ` CC ) $=
      ( vx vy vr cc cfv wcel wtru c1 cabs cmin cmopn cv co cle wbr cr wss wa id
      ccmet ccnfld ctopn ccom eqid cnfldtopn fveq2i eqtr4i cmet eqeltri a1i crp
      cnmet 1rp cbl ccl crest ccmp ccld wral wrex ctop cnfldtop cxmet cxr ax-mp
      metxmet 1xr blssm mp3an13 unicntop clscld sylancr caddc peano2re syl crab
      abscl cab df-rab eqcomi blcls ad2antrl adantr resubcld simpl subcl abscld
      syl2anr 1red simprl abs2difd wceq cnmetdval abssub eqtrd adantrr eqbrtrrd
      letrd lesubadd2d mpbid ex ss2abdv sstrd ssabral sylib brralrspcev syl2anc
      simprr wb clsss3 cnheibor mpbir2and adantl relcmpcmet mptru ) AFUBGHICAJU
      CUDGZFXRKLUEZMGAMGXRXRUFZUGAXSMBUHUIZAFUJGZHZIAXSYBBUNUKZULJUMHIUOULCNZFH
      ZXRYEJAUPGOZXRUQGGZUROZUSHZIYFYJYHXRUTGHZDNZKGZENPQDYHVAERVBZYFXRVCHZYGFS
      ZYKXRXTVDZAFVEGHZYFJVFHZYPYCYRYDAFVHVGZVIAYEJFVJVKZYGXRFVLVMVNYFYEKGZJVOO
      ZRHZYMUUCPQZDYHVAZYNYFUUBRHZUUDYEVSZUUBVPVQYFYHUUEDVTZSUUFYFYHYLFHZYEYLAO
      ZJPQZTZDVTZUUIYRYFYSYHUUNSYTVIDAYEJUUNXRFYAUULDFVRUUNUULDFWAWBWCVKYFUUMUU
      EDYFUUMUUEYFUUMTZYMUUBLOZJPQUUEUUOUUPYLYELOZKGZJUUOYMUUBUUJYMRHYFUULYLVSW
      DZYFUUGUUMUUHWEZWFUUOUUQUUMUUJYFUUQFHYFUUJUULWGYFUAYLYEWHWJWIUUOWKZUUOYLY
      EYFUUJUULWLYFUUMWGWMUUOUUKUURJPYFUUJUUKUURWNUULYFUUJTUUKYEYLLOKGUURYEYLAB
      WOYEYLWPWQWRYFUUJUULXJWSWTUUOYMUUBJUUSUUTUVAXAXBXCXDXEUUEDYHXFXGEDYMUUCPR
      YHXHXIYFYHFSZYJYKYNTXKYFYOYPUVBYQUUAYGXRFVLXLVNDYIXRYHEXTYIUFXMVQXNXOXPXQ
      $.
  $}

  $( The real numbers are a complete metric space.  (Contributed by Jeff
     Madsen, 2-Sep-2009.)  (Proof shortened by Mario Carneiro, 12-Sep-2015.) $)
  recmet $p |- ( ( abs o. - ) |` ( RR X. RR ) ) e. ( CMet ` RR ) $=
    ( cabs cmin ccom cr cxp cres ccmet wcel ccnfld ctopn ccld eqid recld2 cc wb
    cfv cncmet cnfldtopn cmetss ax-mp mpbir ) ABCZDDEFDGPHZDIJPZKPHZUDUDLZMUBNG
    PHUCUEOUBUBLQUBUDNDUDUFRSTUA $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Baire's Category Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d k n r x z A $.  $d k r x z B $.  $d r x C $.  $d g k m n r x y z D $.
    $d g k n r x z F $.  $d g k m n r x y z J $.  $d g k m n r x y z M $.
    $d k m n r x z ph $.  $d x R $.  $d g k m n r x y z X $.
    bcth.2 $e |- J = ( MetOpen ` D ) $.
    ${
      bcthlem.4 $e |- ( ph -> D e. ( CMet ` X ) ) $.
      bcthlem.5 $e |- F = ( k e. NN , z e. ( X X. RR+ ) |->
           { <. x , r >. | ( ( x e. X /\ r e. RR+ ) /\ ( r < ( 1 / k ) /\
             ( ( cls ` J ) ` ( x ( ball ` D ) r ) ) C_
               ( ( ( ball ` D ) ` z ) \ ( M ` k ) ) ) ) } ) $.
      $( Lemma for ~ bcth .  Substitutions for the function ` F ` .
         (Contributed by Mario Carneiro, 9-Jan-2014.) $)
      bcthlem1 $p |- ( ( ph /\ ( A e. NN /\ B e. ( X X. RR+ ) ) ) ->
         ( C e. ( A F B ) <-> ( C e. ( X X. RR+ ) /\ ( 2nd ` C ) < ( 1 / A ) /\
           ( ( cls ` J ) ` ( ( ball ` D ) ` C ) ) C_
             ( ( ( ball ` D ) ` B ) \ ( M ` A ) ) ) ) ) $=
        ( wcel crp wa cfv cn cxp co cv cdiv clt wbr cbl ccl cdif wss copab c2nd
        c1 w3a wceq cvv opabssxp ccmet cdm elfvdm syl reex rpssre ssexi sylancl
        cr xpexg ssexg sylancr oveq2 breq2d fveq2 difeq2d sseq2d anbi12d anbi2d
        opabbidv difeq1d ovmpog syl3an3 3expa ancoms eleq2d sseli simp1 1st2nd2
        c1st cop eleq1d eleq1 bi2anan9 simpr breq1d oveq12 fveq2d sseq1d bitrdi
        opelopaba opelxp bitr2di df-ov eqtr4id 3anass bitr4di bitrd pm5.21nii
        fvex ) ADUAQZELRUBZQZSZSZFDEIUCZQFBUDZLQZMUDZRQZSZXQUNDUEUCZUFUGZXOXQGU
        HTZUCZJUITZTZEYBTZDKTZUJZUKZSZSZBMULZQZFXJQZFUMTZXTUFUGZFYBTZYDTZYHUKZU
        OZXMXNYLFXLAXNYLUPZXIXKAUUAAXIXKYLUQQZUUAAYLXJUKXJUQQZUUBYJBMLRURZALUSU
        TZQZRUQQUUCAGLUSTQUUFOGLUSVAVBRVGVCVDVELRUUEUQVHVFYLXJUQVIVJHCDEUAXJXSX
        QUNHUDZUEUCZUFUGZYECUDZYBTZUUGKTZUJZUKZSZSZBMULYLIXSYAYEUUKYGUJZUKZSZSZ
        BMULUQUUGDUPZUUPUUTBMUVAUUOUUSXSUVAUUIYAUUNUURUVAUUHXTXQUFUUGDUNUEVKVLU
        VAUUMUUQYEUVAUULYGUUKUUGDKVMVNVOVPVQVRUUJEUPZUUTYKBMUVBUUSYJXSUVBUURYIY
        AUVBUUQYHYEUVBUUKYFYGUUJEYBVMVSVOVQVQVRPVTWAWBWCWDYMYNYTYLXJFUUDWEYNYPY
        SWFYNYMFWHTZLQZYORQZSZYPUVCYOYBUCZYDTZYHUKZSZSZYTYNYMUVCYOWIZYLQUVKYNFU
        VLYLFLRWGZWJYKUVKBMUVCYOFWHXHFUMXHXOUVCUPZXQYOUPZSZXSUVFYJUVJUVNXPUVDUV
        OXRUVEXOUVCLWKXQYORWKWLUVPYAYPYIUVIUVPXQYOXTUFUVNUVOWMWNUVPYEUVHYHUVPYC
        UVGYDXOUVCXQYOYBWOWPWQVPVPWSWRYNUVKYNYPYSSZSYTYNUVFYNUVJUVQYNYNUVLXJQUV
        FYNFUVLXJUVMWJUVCYOLRWTXAYNUVIYSYPYNUVHYRYHYNUVGYQYDYNUVGUVLYBTYQUVCYOY
        BXBYNFUVLYBUVMWPXCWPWQVQVPYNYPYSXDXEXFXGWR $.

      bcthlem.6 $e |- ( ph -> M : NN --> ( Clsd ` J ) ) $.
      ${
        bcthlem.7 $e |- ( ph -> R e. RR+ ) $.
        bcthlem.8 $e |- ( ph -> C e. X ) $.
        bcthlem.9 $e |- ( ph -> g : NN --> ( X X. RR+ ) ) $.
        bcthlem.10 $e |- ( ph -> ( g ` 1 ) = <. C , R >. ) $.
        bcthlem.11 $e |- ( ph -> A. k e. NN
                            ( g ` ( k + 1 ) ) e. ( k F ( g ` k ) ) ) $.
        $( Lemma for ~ bcth .  The balls in the sequence form an inclusion
           chain.  (Contributed by Mario Carneiro, 7-Jan-2014.) $)
        bcthlem2 $p |- ( ph -> A. n e. NN
      ( ( ball ` D ) ` ( g ` ( n + 1 ) ) ) C_ ( ( ball ` D ) ` ( g ` n ) ) ) $=
          ( cv c1 caddc co cfv cbl wss cn wcel wa crp cxp c2nd cdiv clt wbr ccl
          cdif w3a wral wceq fvoveq1 id fveq2 oveq12d eleq12d rspccva ffvelrnda
          sylan wb bcthlem1 expr mpd mpbid wi ctop cuni cxmet ccmet cmetmet syl
          cmet metxmet mopntop cxr xp1st xp2nd rpxrd jca blssm 3expb syl2an cop
          c1st df-ov 1st2nd2 fveq2d eqtr4id adantl mopnuni adantr 3sstr3d sscls
          eqid syl2an2r difss2 sstr2 syl2im a1d ex 3impd ralrimiva ) AIUDZUEUFU
          GGUDZUHZEUIUHZUHZXPXQUHZXSUHZUJZIUKAXPUKULZUMZXRMUNUOZULZXRUPUHZUEXPU
          QUGURUSZXTKUTUHUHZYBXPLUHZVAUJZVBZYCYEXRXPYAJUGZULZYMAHUDZUEUFUGXQUHZ
          YPYPXQUHZJUGZULZHUKVCYDYOUCYTYOHXPUKYPXPVDZYQXRYSYNYPXPUEXQUFVEUUAYPX
          PYRYAJUUAVFYPXPXQVGVHVIVJVLYEYAYFULZYOYMVMZAUKYFXPXQUAVKAYDUUBUUCABCX
          PYAXREHJKLMNOPQVNVOVPVQAYMYCVRYDAYGYIYLYCAYGYIYLYCVRZVRAYGUMZUUDYIUUE
          XTYJUJZYLYJYBUJYCAKVSULZYGXTKVTZUJUUFAEMWAUHULZUUGAEMWEUHULZUUIAEMWBU
          HULUUJPEMWCWDEMWFWDZEKMOWGWDUUEXRWQUHZYHXSUGZMXTUUHAUUIUULMULZYHWHULZ
          UMUUMMUJZYGUUKYGUUNUUOXRMUNWIYGYHXRMUNWJWKWLUUIUUNUUOUUPEUULYHMWMWNWO
          YGUUMXTVDAYGUUMUULYHWPZXSUHXTUULYHXSWRYGXRUUQXSXRMUNWSWTXAXBAMUUHVDZY
          GAUUIUURUUKEKMOXCWDXDXEXTKUUHUUHXGXFXHYJYBYKXIXTYJYBXJXKXLXMXNXDVPXO
          $.

        $( Lemma for ~ bcth .  The limit point of the centers in the sequence
           is in the intersection of every ball in the sequence.  (Contributed
           by Mario Carneiro, 7-Jan-2014.) $)
        bcthlem3 $p |- ( ( ph /\ ( 1st o. g ) ( ~~>t ` J ) x /\ A e. NN ) ->
                         x e. ( ( ball ` D ) ` ( g ` A ) ) ) $=
          ( vn c1st cv ccom clm cfv wbr cn wcel w3a c1 caddc co cbl ccl wss crp
          wa cxp c2nd cdiv cdif wral wceq fvoveq1 fveq2 oveq12d eleq12d rspccva
          clt id sylan ffvelrnda bcthlem1 expr mpd mpbid simp3d difss2d 3adant2
          wb peano2nn ccmet cmet cmetmet metxmet 3syl bcthlem2 caublcls syl3an3
          cxmet sseldd ) AUEHUFZUGBUFZKUHUIUJZDUKULZUMDUNUOUPZWPUIZFUQUIZUIKURU
          IUIZDWPUIZXBUIZWQAWSXCXEUSWRAWSVAZXCXEDLUIZXFXAMUTVBZULZXAVCUIUNDVDUP
          VMUJZXCXEXGVEUSZXFXADXDJUPZULZXIXJXKUMZAIUFZUNUOUPWPUIZXOXOWPUIZJUPZU
          LZIUKVFWSXMUCXSXMIDUKXODVGZXPXAXRXLXODUNWPUOVHXTXODXQXDJXTVNXODWPVIVJ
          VKVLVOXFXDXHULZXMXNWDZAUKXHDWPUAVPAWSYAYBABCDXDXAFIJKLMNOPQVQVRVSVTWA
          WBWCWSAWRWTUKULWQXCULDWEAWTFWQUDWPKMAFMWFUIULFMWGUIULFMWNUIULPFMWHFMW
          IWJUAABCEFGHIUDJKLMNOPQRSTUAUBUCWKOWLWMWO $.

        $( Lemma for ~ bcth .  Given any open ball ` ( C ( ball `` D ) R ) ` as
           starting point (and in particular, a ball in ` int ( U. ran M ) ` ),
           the limit point ` x ` of the centers of the induced sequence of
           balls ` g ` is outside ` U. ran M ` .  Note that a set ` A ` has
           empty interior iff every nonempty open set ` U ` contains points
           outside ` A ` , i.e. ` ( U \ A ) =/= (/) ` .  (Contributed by Mario
           Carneiro, 7-Jan-2014.) $)
        bcthlem4 $p |- ( ph -> ( ( C ( ball ` D ) R ) \ U. ran M ) =/= (/) ) $=
          ( vn vm vy c1st cv ccom clm cfv wbr cbl co crn cuni cdif wne cdm wcel
          c0 wex ccmet ccau cmet cxmet cmetmet syl metxmet bcthlem2 c2nd clt cn
          wrex crp wa c1 cdiv cr cc0 nnrecl sylbi adantl caddc peano2nn cxp ccl
          elrp wss w3a wral wceq fvoveq1 id fveq2 oveq12d eleq12d rspccva sylan
          wb ffvelrnda bcthlem1 expr mpbid simp2d adantlr wi simp1d xp2nd rpred
          mpd nnrecre rpre ad2antlr lttr syl3anc 2fveq3 breq1d rspcev rexlimdva
          mpand syl6an ralrimiva caubl cmetcau syl2anc wfun cvv wfo fo1st fofun
          ax-mp vex cofunexg mp2an bcthlem3 cop fveq2d df-ov adantr wn eldm 1nn
          sylib mp3an3 eqtr4di eleqtrd ctop mopntop xp1st rpxrd 1st2nd2 eqtr4id
          blssm mopnuni 3sstr3d eqid sscls simp3d sstrd 3adant2 syl3an3 eldifbd
          cxr sseldd 3expa eluni2 ccld eleq2 rexrn syl5bb notbid ralnex bitr4di
          wfn ffnd biimpar syldan eldifd ne0d exlimddv ) AUFGUGZUHZBUGZJUIUJZUK
          ZDFEULUJZUMZKUNZUOZUPZUTUQBAUWBUWDURUSZUWEBVAAELVBUJUSZUWBEVCUJUSUWKO
          AEUCUWALMAELVDUJUSZELVEUJUSZAUWLUWMOELVFVGELVHVGZTABCDEFGHUCIJKLMNOPQ
          RSTUAUBVIAUCUGZUWAUJVJUJZMUGZVKUKZUCVLVMZMVNAUWRVNUSZVOZVPUDUGZVQUMZU
          WRVKUKZUDVLVMZUWTUXAUXFAUXAUWRVRUSZVSUWRVKUKVOUXFUWRWGUWRUDVTWAWBUXBU
          XEUWTUDVLUXBUXCVLUSZVOZUXCVPWCUMZVLUSZUXEUXJUWAUJZVJUJZUWRVKUKZUWTUXH
          UXKUXBUXCWDZWBUXIUXMUXDVKUKZUXEUXNAUXHUXPUXAAUXHVOZUXLLVNWEZUSZUXPUXL
          UWFUJZJWFUJUJZUXCUWAUJZUWFUJZUXCKUJZUPZWHZUXQUXLUXCUYBIUMZUSZUXSUXPUY
          FWIZAHUGZVPWCUMUWAUJZUYJUYJUWAUJZIUMZUSZHVLWJUXHUYHUBUYNUYHHUXCVLUYJU
          XCWKZUYKUXLUYMUYGUYJUXCVPUWAWCWLUYOUYJUXCUYLUYBIUYOWMUYJUXCUWAWNWOWPW
          QWRUXQUYBUXRUSZUYHUYIWSZAVLUXRUXCUWATWTAUXHUYPUYQABCUXCUYBUXLEHIJKLMN
          OPXAXBXJXCZXDXEUXIUXMVRUSZUXDVRUSZUXGUXPUXEVOUXNXFAUXHUYSUXAUXQUXMUXQ
          UXSUXMVNUSUXQUXSUXPUYFUYRXGZUXLLVNXHVGZXIXEUXHUYTUXBUXCXKWBUXAUXGAUXH
          UWRXLXMUXMUXDUWRXNXOXTUWSUXNUCUXJVLUWPUXJWKUWQUXMUWRVKUWPUXJVJUWAXPXQ
          XRYAXSXJYBYCEUWBJLNYDYEBUWBUWDUFYFZUWAYGUSUWBYGUSYGYGUFYHVUCYIYGYGUFY
          JYKGYLUFUWAYGYMYNUUAUUCAUWEVOZUWJUWCVUDUWCUWGUWIVUDUWCVPUWAUJZUWFUJZU
          WGAUWEVPVLUSUWCVUFUSUUBABCVPDEFGHIJKLMNOPQRSTUAUBYOUUDAVUFUWGWKUWEAVU
          FDFYPZUWFUJUWGAVUEVUGUWFUAYQDFUWFYRUUEYSUUFAUWEUWCUYDUSZYTZUDVLWJZUWC
          UWIUSZYTZVUDVUIUDVLAUWEUXHVUIAUWEUXHWIZUWCUYCUYDVUMUXTUYEUWCAUXHUXTUY
          EWHUWEUXQUXTUYAUYEUXQJUUGUSZUXTJUOZWHUXTUYAWHAVUNUXHAUWNVUNUWOEJLNUUH
          VGYSUXQUXLUFUJZUXMUWFUMZLUXTVUOUXQUWNVUPLUSZUXMUVCUSVUQLWHAUWNUXHUWOY
          SUXQUXSVURVUAUXLLVNUUIVGUXQUXMVUBUUJEVUPUXMLUUMXOUXQVUQVUPUXMYPZUWFUJ
          UXTVUPUXMUWFYRUXQUXLVUSUWFUXQUXSUXLVUSWKVUAUXLLVNUUKVGYQUULALVUOWKZUX
          HAUWNVUTUWOEJLNUUNVGYSUUOUXTJVUOVUOUUPUUQYEUXQUXSUXPUYFUYRUURUUSUUTUX
          HAUWEUXKUWCUXTUSUXOABCUXJDEFGHIJKLMNOPQRSTUAUBYOUVAUVDUVBUVEYBAVULVUJ
          AVULVUHUDVLVMZYTVUJAVUKVVAVUKUWCUEUGZUSZUEUWHVMZAVVAUEUWCUWHUVFAKVLUV
          NVVDVVAWSAVLJUVGUJKQUVOVVCVUHUEUDVLKVVBUYDUWCUVHUVIVGUVJUVKVUHUDVLUVL
          UVMUVPUVQUVRUVSUVT $.
      $}

      $d g ph $.
      bcthlem5.7 $e |- ( ph -> A. k e. NN
                         ( ( int ` J ) ` ( M ` k ) ) = (/) ) $.
      $( Lemma for ~ bcth .  The proof makes essential use of the Axiom of
         Dependent Choice ~ axdc4uz , which in the form used here accepts a
         "selection" function ` F ` from each element of ` K ` to a nonempty
         subset of ` K ` , and the result function ` g ` maps ` g ( n + 1 ) `
         to an element of ` F ( n , g ( n ) ) ` .  The trick here is thus in
         the choice of ` F ` and ` K ` : we let ` K ` be the set of all tagged
         nonempty open sets (tagged here meaning that we have a point and an
         open set, in an ordered pair), and ` F ( k , <. x , z >. ) ` gives the
         set of all balls of size less than ` 1 / k ` , tagged by their
         centers, whose closures fit within the given open set ` z ` and miss
         ` M ( k ) ` .

         Since ` M ( k ) ` is closed, ` z \ M ( k ) ` is open and also
         nonempty, since ` z ` is nonempty and ` M ( k ) ` has empty interior.
         Then there is some ball contained in it, and hence our function ` F `
         is valid (it never maps to the empty set).  Now starting at a point in
         the interior of ` U. ran M ` , DC gives us the function ` g ` all
         whose elements are constrained by ` F ` acting on the previous value.
         (This is all proven in this lemma.)  Now ` g ` is a sequence of tagged
         open balls, forming an inclusion chain (see ~ bcthlem2 ) and whose
         sizes tend to zero, since they are bounded above by ` 1 / k ` .  Thus,
         the centers of these balls form a Cauchy sequence, and converge to a
         point ` x ` (see ~ bcthlem4 ).  Since the inclusion chain also ensures
         the closure of each ball is in the previous ball, the point ` x ` must
         be in all these balls (see ~ bcthlem3 ) and hence misses each
         ` M ( k ) ` , contradicting the fact that ` x ` is in the interior of
         ` U. ran M ` (which was the starting point).  (Contributed by Mario
         Carneiro, 6-Jan-2014.) $)
      bcthlem5 $p |- ( ph -> ( ( int ` J ) ` U. ran M ) = (/) ) $=
        ( cfv wcel wss crp wa vn vm vg crn cuni cnt cv co wrex cxmet ccmet cmet
        cbl cmetmet metxmet 3syl ctop mopntop syl cpw ccld cn frnd eqid sspwuni
        cldss2 sstrdi sylib ntropn syl2anc jca mopni2 3expa sylan wn w3a c0 wne
        cdif cxp wf cop wceq caddc wral cvv csn wex mopnuni topopn eqeltrd reex
        c1 cr rpssre ssexi xpexg sylancl 3ad2ant1 ntrss3 sseqtrrd simp2 opelxpd
        sseldd simp3 cdiv clt wbr ccl copab opabssxp elpw2g adantr mpbiri simpl
        wb rspa syl2an ssdif0 c1st 1st2nd2 ad2antll fveq2d df-ov syl3anc wi cxr
        c2nd syl21anc mpd syl31anc simpr3 rpred simpr1 simpr2 rpxr sstr2 eximdv
        id syl5bi eqtr4di xp1st xp2nd bln0 eqnetrd cldss rpxrd blopn ssntr expr
        ffvelrn ssn0 expcom sylsyld syl5bir necon2d difopn simp2l nnrp rpreccld
        n0 3adant3 mopni3 simp1 elssuni ssdifssd sseld 3impia rphalfcl rphalflt
        c2 breq1 rspcev ad2antlr df-rex simplrl nnrecred lttr expdimp 3anim123i
        anim1i 3coml blsscls anim12d jctild 3exp2 com35 imp5d rexlimdva2 3expia
        simpllr opabn0 sylibr eldifsn sylanbrc ralrimivva fmpo 1z simpl1 simpl3
        axdc4uz fvoveq1 fveq2 oveq12d eleq12d cbvralvw bcthlem4 exlimddv ntrss2
        nnuz syl5com syl6ib necon3ad nrexdv pm2.65da eq0rdv ) AUAHUDZUEZGUFPZPZ
        AUAUGZUXTQZUYAUBUGZDUMPZUHZUXTRZUBSUIZADIUJPQZUXTGQZTUYBUYGAUYHUYIADIUK
        PQZDIULPQUYHLDIUNDIUOUPZAGUQQZUXRGUEZRZUYIAUYHUYLUYKDGIKURUSZAUXQUYMUTZ
        RUYNAUXQGVAPZUYPAVBUYQHNVCGUYMUYMVDZVFVGUXQUYMVEVHZUXRGUYMUYRVIVJVKUYHU
        YIUYBUYGUBUXTDUYAGIKVLVMVNAUYBTUYFUBSAUYBUYCSQZUYFVOZAUYBUYTVPZUYEUXRVS
        ZVQVRZVUAVUBVBISVTZUCUGZWAZWMVUFPUYAUYCWBZWCZUYAWMWDUHVUFPZUYAUYAVUFPZF
        UHZQZUAVBWEZVPZVUDUCVUBVUEWFQZVUHVUEQVBVUEVTVUEUTZVQWGVSZFWAZVUOUCWHAUY
        BVUPUYTAIGQSWFQVUPAIUYMGAUYHIUYMWCZUYKDGIKWIUSZAUYLUYMGQUYOGUYMUYRWJUSW
        KSWNWLWOWPISGWFWQWRZWSVUBUYAUYCISVUBUXTIUYAAUYBUXTIRUYTAUXTUYMIAUYLUYNU
        XTUYMRUYOUYSUXRGUYMUYRWTVJVVAXAWSAUYBUYTXBXDZAUYBUYTXEXCAUYBVUSUYTABUGZ
        IQZJUGZSQZTZVVFWMEUGZXFUHZXGXHZVVDVVFUYDUHGXIPPZCUGZUYDPZVVIHPZVSZRZTZT
        ZBJXJZVURQZCVUEWEEVBWEVUSAVWAECVBVUEAVVIVBQZVVMVUEQZTZTZVVTVUQQZVVTVQVR
        ZVWAVWEVWFVVTVUERZVVRBJISXKAVWFVWHXPZVWDAVUPVWIVVBVVTVUEWFXLUSXMXNVWEVV
        SJWHZBWHZVWGVWEVVPVQVRZVWKVWEVVOUXSPZVQWCZVWLAVWNEVBWEVWBVWNVWDOVWBVWCX
        OZVWNEVBXQXRVWEVVPVQVWMVQVVPVQWCVVNVVORZVWEVWMVQVRZVVNVVOXSVWEVVNVQVRZV
        WPVVNVWMRZVWQVWEVVNVVMXTPZVVMYHPZUYDUHZVQVWEVVNVWTVXAWBZUYDPVXBVWEVVMVX
        CUYDVWCVVMVXCWCAVWBVVMISYAYBYCVWTVXAUYDYDUUAZVWEUYHVWTIQZVXASQZVXBVQVRA
        UYHVWDUYKXMZVWCVXEAVWBVVMISUUBYBZVWCVXFAVWBVVMISUUCYBZDVWTVXAIUUDYEUUEV
        WEUYLVVOUYMRZVVNGQZVWPVWSYFAUYLVWDUYOXMVWEVVOUYQQZVXJAVBUYQHWAZVWBVXLVW
        DNVWOVBUYQVVIHUUKXRZVVOGUYMUYRUUFUSVWEVVNVXBGVXDVWEUYHVXEVXAYGQVXBGQVXG
        VXHVWEVXAVXIUUGDVWTVXAGIKUUHYEWKZUYLVXJTVXKVWPVWSVVOGVVNUYMUYRUUIUUJYIV
        WSVWRVWQVVNVWMUULUUMUUNUUOUUPYJVWLVVDVVPQZBWHVWEVWKBVVPUVAVWEVXPVWJBAVW
        DVXPVWJAVWDVXPVPZUYAVVJXGXHZVVDUYAUYDUHZVVPRZTZUASUIZVWJVXQUYHVVPGQZVXP
        VVJSQZVYBAVWDUYHVXPUYKWSAVWDVYCVXPVWEVXKVXLVYCVXOVXNVVNVVOGUYMUYRUUQVJU
        VBAVWDVXPXEVXQVWBVYDAVWBVWCVXPUURVWBVVIVVIUUSUUTUSUAVVPDVVDVVJGIKUVCYKV
        XQAVVEVWDVYBVWJYFAVWDVXPUVDAVWDVXPVVEVWEVVPIVVDVWEVVNIVVOVWEVVNUYMIVWEV
        XKVVNUYMRVXOVVNGUVEUSAVUTVWDVVAXMXAUVFUVGUVHAVWDVXPXBAVVETZVWDTZVYAVWJU
        ASVYFUYASQZTVYATZVVFUYAXGXHZJSUIZVWJVYGVYJVYFVYAVYGUYAUVKXFUHZSQVYKUYAX
        GXHZVYJUYAUVIUYAUVJVYIVYLJVYKSVVFVYKUYAXGUVLUVMVJUVNVYJVVGVYITZJWHVYHVW
        JVYIJSUVOVYHVYMVVSJVYFVYGVYAVVGVYIVVSVYFVYGVYIVVGVYAVVSVYFVYGVYIVVGVYAV
        VSYFVYFVYGVYIVVGVPZTZVYAVVRVVHVYOVXRVVKVXTVVQVYOVVFWNQZUYAWNQZVVJWNQZVY
        IVXRVVKYFVYOVVFVYFVYGVYIVVGYLZYMVYOUYAVYFVYGVYIVVGYNYMVYOVVIVYEVWBVWCVY
        NUVPUVQVYFVYGVYIVVGYOVYPVYQVYRVPVYIVXRVVKVVFUYAVVJUVRUVSYKVYOVVLVXSRZVX
        TVVQYFVYFUYHVVETZVVFYGQZUYAYGQZVYIVPZVYTVYNVYEWUAVWDAUYHVVEUYKUWAXMVVGV
        YGVYIWUDVVGWUBVYGWUCVYIVYIVVFYPUYAYPVYIYSUVTUWBDVVDVVFUYAGIKUWCXRVVLVXS
        VVPYQUSUWDVYOVVEVVGAVVEVWDVYNUWKVYSVKUWEUWFUWGUWHYRYTYJUWIYIYJUWJYRYTYJ
        VVSBJUWLUWMVVTVUQVQUWNUWOUWPECVBVUEVVTVURFMUWQVHWSVUEVUHUCUAFWMWFVBUWRU
        XJUXAYEVUBVUOTZBCUYADUYCUCEFGHIJKWUEAUYJAUYBUYTVUOUWSZLUSMWUEAVXMWUFNUS
        AUYBUYTVUOUWTVUBUYAIQVUOVVCXMVUBVUGVUIVUNYNVUBVUGVUIVUNYOWUEVUNVVIWMWDU
        HVUFPZVVIVVIVUFPZFUHZQZEVBWEVUBVUGVUIVUNYLVUMWUJUAEVBUYAVVIWCZVUJWUGVUL
        WUIUYAVVIWMVUFWDUXBWUKUYAVVIVUKWUHFWUKYSUYAVVIVUFUXCUXDUXEUXFVHUXGUXHAU
        YBVUDVUAYFUYTAUYFVUCVQAUYFUYEUXRRZVUCVQWCAUXTUXRRZUYFWULAUYLUYNWUMUYOUY
        SUXRGUYMUYRUXIVJUYEUXTUXRYQUXKUYEUXRXSUXLUXMWSYJVMUXNUXOUXP $.
    $}

    $( Baire's Category Theorem.  If a nonempty metric space is complete, it is
       nonmeager in itself.  In other words, no open set in the metric space
       can be the countable union of rare closed subsets (where rare means
       having a closure with empty interior), so some subset ` M `` k ` must
       have a nonempty interior.  Theorem 4.7-2 of [Kreyszig] p. 247.  (The
       terminology "meager" and "nonmeager" is used by Kreyszig to replace
       Baire's "of the first category" and "of the second category."  The
       latter terms are going out of favor to avoid confusion with category
       theory.)  See ~ bcthlem5 for an overview of the proof.  (Contributed by
       NM, 28-Oct-2007.)  (Proof shortened by Mario Carneiro, 6-Jan-2014.) $)
    bcth $p |- ( ( D e. ( CMet ` X ) /\ M : NN --> ( Clsd ` J ) /\
                  ( ( int ` J ) ` U. ran M ) =/= (/) ) ->
               E. k e. NN ( ( int ` J ) ` ( M ` k ) ) =/= (/) ) $=
      ( vy vn vx vr vm cfv wcel cn c0 cv wceq wa crp clt vg ccmet ccld crn cuni
      vz wf cnt wne w3a wral wn wrex cxp c1 cdiv co wbr cbl ccl cdif copab cmpo
      simpll eleq1w bi2anan9 simpr breq1d oveq12 fveq2d sseq1d anbi12d cbvopabv
      oveq2 breq2d difeq2d sseq2d anbi2d opabbidv syl5eq difeq1d cbvmpov simplr
      wss fveq2 fveqeq2d cbvralvw sylib bcthlem5 ex necon3ad 3impia df-ne bitri
      rexbii rexnal sylibr ) AEUBLMZNCUCLDUGZDUDUECUHLZLZOUIZUJBPZDLZWTLZOQZBNU
      KZULZXEOUIZBNUMZWRWSXBXHWRWSRZXGXAOXKXGXAOQXKXGRZGUAAHBUFNESUNZIPZEMZJPZS
      MZRZXPUOXCUPUQZTURZXNXPAUSLZUQZCUTLZLZUFPZYALZXDVAZWDZRZRZIJVBZVCCDEKFWRW
      SXGVDBUFHUANXMYKGPZEMZKPZSMZRZYNUOHPZUPUQZTURZYLYNYAUQZYCLZUAPZYALZYQDLZV
      AZWDZRZRZGKVBYPYSUUAYFUUDVAZWDZRZRZGKVBZXCYQQZYKYPYNXSTURZUUAYGWDZRZRZGKV
      BUUMYJUURIJGKXNYLQZXPYNQZRZXRYPYIUUQUUSXOYMUUTXQYOIGEVEJKSVEVFUVAXTUUOYHU
      UPUVAXPYNXSTUUSUUTVGVHUVAYDUUAYGUVAYBYTYCXNYLXPYNYAVIVJVKVLVLVMUUNUURUULG
      KUUNUUQUUKYPUUNUUOYSUUPUUJUUNXSYRYNTXCYQUOUPVNVOUUNYGUUIUUAUUNXDUUDYFXCYQ
      DWEZVPVQVLVRVSVTYEUUBQZUULUUHGKUVCUUKUUGYPUVCUUJUUFYSUVCUUIUUEUUAUVCYFUUC
      UUDYEUUBYAWEWAVQVRVRVSWBWRWSXGWCXLXGUUDWTLOQZHNUKXKXGVGXFUVDBHNUUNXDUUDOW
      TUVBWFWGWHWIWJWKWLXJXFULZBNUMXHXIUVEBNXEOWMWOXFBNWPWNWQ $.

    $( Baire's Category Theorem, version 2:  If countably many closed sets
       cover ` X ` , then one of them has an interior.  (Contributed by Mario
       Carneiro, 10-Jan-2014.) $)
    bcth2 $p |- ( ( ( D e. ( CMet ` X ) /\ X =/= (/) ) /\
                  ( M : NN --> ( Clsd ` J ) /\ U. ran M = X ) ) ->
               E. k e. NN ( ( int ` J ) ` ( M ` k ) ) =/= (/) ) $=
      ( ccmet cfv wcel c0 wne wa cn ccld wf crn cuni wceq cnt syl simpll simprl
      cv wrex ctop ctopon cmet cmetmet ad2antrr metxmet mopntopon 3syl topontop
      cxmet simprr toponmax eqeltrd isopn3i syl2anc simplr eqnetrd bcth syl3anc
      eqtrd ) AEGHIZEJKZLZMCNHDOZDPQZERZLZLZVEVHVICSHZHZJKBUCDHVMHJKBMUDVEVFVKU
      AVGVHVJUBVLVNEJVLVNVIEVLCUEIZVICIVNVIRVLCEUFHIZVOVLAEUGHIZAEUNHIVPVEVQVFV
      KAEUHUIAEUJACEFUKULZECUMTVLVIECVGVHVJUOZVLVPECIVRECUPTUQVICURUSVSVDVEVFVK
      UTVAABCDEFVBVC $.

    $( Baire's Category Theorem, version 3:  The intersection of countably many
       dense open sets is dense.  (Contributed by Mario Carneiro,
       10-Jan-2014.) $)
    bcth3 $p |- ( ( D e. ( CMet ` X ) /\ M : NN --> J /\
                    A. k e. NN ( ( cls ` J ) ` ( M ` k ) ) = X ) ->
                  ( ( cls ` J ) ` |^| ran M ) = X ) $=
      ( vx cfv wcel cn wceq wral wa cdif c0 wi syl wss cvv sylan ccmet ccl cint
      wf crn cmpt cuni cxmet cmet cmetmet metxmet ctop mopntop ad2antrr ffvelrn
      cv cnt elssuni adantll eqid clsval2 syl2anc mopnuni eqeq12d difeq2 eqtrdi
      difid difss ntropn sylancl dfss4 sylib id cdm elfvdm difexd fveq2 difeq2d
      adantr fvmptg syl2anr difeq1d fveq2d eqtr4d eqeq1d syl5ib sylbid ralimdva
      eqtrd ccld opncld eqeltrd sylan2 anassrs ralrimiva fmpt wne wn nne ralbii
      wrex ralnex bitr3i bcth 3expia necon1bd syl5bi syldan ciin ciun wfn fnmpt
      fniunfv iuneq2dv cbviunv eqtr4di eqtr3d iundif2 ffn adantl fniinfv 3eqtrd
      3syl c1 1nn biidd fnfvelrn intss1 sstrd expcom vtoclga ax-mp dif0 eqtr4id
      3syld 3impia ) AEUAHIZJCDUDZBUPZDHZCUBHZHZEKZBJLZDUEZUCZUUAHZEKZYQYRMZUUD
      YSGJEGUPZDHZNZUFZHZCUQHZHZOKZBJLZUUMUEUGZUUOHZOKZUUHYQAEUHHIZYRUUDUURPYQA
      EUIHIUVBAEUJAEUKQZUVBYRMZUUCUUQBJUVDYSJIZMZUUCCUGZUVGYTNZUUOHZNZUVGKZUUQU
      VFUUBUVJEUVGUVFCULIZYTUVGRZUUBUVJKUVBUVLYRUVEACEFUMZUNZYRUVEUVMUVBYRUVEMY
      TCIUVMJCYSDUOYTCURQUSZYTCUVGUVGUTZVAVBUVBEUVGKZYRUVEACEFVCZUNZVDUVKUVGUVJ
      NZOKUVFUUQUVKUWAUVGUVGNOUVJUVGUVGVEUVGVGVFUVFUWAUUPOUVFUWAUVIUUPUVFUVIUVG
      RZUWAUVIKUVFUVICIZUWBUVFUVLUVHUVGRUWCUVOUVGYTVHUVHCUVGUVQVIVJUVICURQUVIUV
      GVKVLUVFUUNUVHUUOUVFUUNEYTNZUVHUVEUVEUWDSIZUUNUWDKUVDUVEVMUVBUWEYRUVBEYTU
      HVNZAEUHVOZVPVSGYSUULUWDJSUUMUUJYSKUUKYTEUUJYSDVQVRZUUMUTZVTWAZUVFEUVGYTU
      VTWBWIWCWDWEWFWGWHTYQYRJCWJHZUUMUDZUURUVAPUUIUULUWKIZGJLZUWLYQUVBYRUWNUVC
      UVDUWMGJUVBYRUUJJIZUWMYRUWOMUVBUUKCIZUWMJCUUJDUOUVBUWPMUULUVGUUKNZUWKUVBU
      ULUWQKUWPUVBEUVGUUKUVSWBVSUVBUVLUWPUWQUWKIUVNUUKCUVGUVQWKTWLWMWNWOTGJUWKU
      ULUUMUWIWPVLUURUUPOWQZBJXAZWRZYQUWLMZUVAUURUWRWRZBJLUWTUXBUUQBJUUPOWSWTUW
      RBJXBXCUXAUWSUUTOYQUWLUUTOWQUWSABCUUMEFXDXEXFXGXHYQUVBYRUVAUUHPUVCUVAUVGU
      UTNZUVGONZKUVDUUHUUTOUVGVEUVDUXCUUGUXDEUVDUXCUVGUVGUUFNZUUOHZNZUUGUVDUUTU
      XFUVGUVDUUSUXEUUOUVDUUSEGJUUKXIZNZEUUFNUXEUVDUUSGJUULXJZUXIUVDBJUUNXJZUUS
      UXJUVDUULSIZGJLUUMJXKUXKUUSKUVDUXLGJUVBUXLYRUWOUVBEUUKUWFUWGVPUNWOGJUULUU
      MSUWIXLBJUUMXMYCUVDUXKBJUWDXJUXJUVDBJUUNUWDUWJXNGBJUULUWDUWHXOXPXQGJEUUKX
      RVFUVDUXHUUFEUVDDJXKZUXHUUFKYRUXMUVBJCDXSXTZGJDYAQVRUVDEUVGUUFUVBUVRYRUVS
      VSZWBYBWCVRUVDUVLUUFUVGRZUUGUXGKUVBUVLYRUVNVSYDJIUVDUXPPZYEUXQUXQBYDJYSYD
      KUXQYFUVDUVEUXPUVFUUFYTUVGUVFYTUUEIZUUFYTRUVDUXMUVEUXRUXNJYSDYGTYTUUEYHQU
      VPYIYJYKYLUUFCUVGUVQVAVBWDUVDUXDUVGEUVGYMUXOYNVDWFTYOYP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Banach spaces and subcomplex Hilbert spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CMetSp $.
  $c Ban $.
  $c CHil $.

  $( Extend class notation with the class of complete metric spaces. $)
  ccms $a class CMetSp $.

  $( Extend class notation with the class of Banach spaces. $)
  cbn $a class Ban $.

  $( Extend class notation with the class of subcomplex Hilbert spaces. $)
  chl $a class CHil $.

  ${
    $d b w $.
    $( Define the class of complete metric spaces.  (Contributed by Mario
       Carneiro, 15-Oct-2015.) $)
    df-cms $a |- CMetSp = { w e. MetSp |
     [. ( Base ` w ) / b ]. ( ( dist ` w ) |` ( b X. b ) ) e. ( CMet ` b ) } $.
  $}

  $( Define the class of all Banach spaces.  A Banach space is a normed vector
     space such that both the vector space and the scalar field are complete
     under their respective norm-induced metrics.  (Contributed by NM,
     5-Dec-2006.)  (Revised by Mario Carneiro, 15-Oct-2015.) $)
  df-bn $a |- Ban = { w e. ( NrmVec i^i CMetSp ) |
    ( Scalar ` w ) e. CMetSp } $.

  $( Define the class of all subcomplex Hilbert spaces.  A subcomplex Hilbert
     space is a Banach space which is also an inner product space over a
     subfield of the field of complex numbers closed under square roots of
     nonnegative reals.  (Contributed by Steve Rodriguez, 28-Apr-2007.) $)
  df-hl $a |- CHil = ( Ban i^i CPreHil ) $.

  ${
    $d w F $.  $d w W $.
    isbn.1 $e |- F = ( Scalar ` W ) $.
    $( A Banach space is a normed vector space with a complete induced metric.
       (Contributed by NM, 5-Dec-2006.)  (Revised by Mario Carneiro,
       15-Oct-2015.) $)
    isbn $p |- ( W e. Ban <->
      ( W e. NrmVec /\ W e. CMetSp /\ F e. CMetSp ) ) $=
      ( vw cnvc ccms cin wcel wa cbn w3a elin anbi1i cv csca wceq fveq2 eqtr4di
      cfv eleq1d df-bn elrab2 df-3an 3bitr4i ) BEFGZHZAFHZIBEHZBFHZIZUGIBJHUHUI
      UGKUFUJUGBEFLMDNZOSZFHUGDBUEJUKBPZULAFUMULBOSAUKBOQCRTDUAUBUHUIUGUCUD $.

    $( The scalar field of a Banach space is complete.  (Contributed by NM,
       8-Sep-2007.)  (Revised by Mario Carneiro, 15-Oct-2015.) $)
    bnsca $p |- ( W e. Ban -> F e. CMetSp ) $=
      ( cbn wcel cnvc ccms isbn simp3bi ) BDEBFEBGEAGEABCHI $.
  $}

  $( A Banach space is a normed vector space.  (Contributed by Mario Carneiro,
     15-Oct-2015.) $)
  bnnvc $p |- ( W e. Ban -> W e. NrmVec ) $=
    ( cbn wcel cnvc ccms csca cfv eqid isbn simp1bi ) ABCADCAECAFGZECKAKHIJ $.

  $( A Banach space is a normed module.  (Contributed by Mario Carneiro,
     15-Oct-2015.) $)
  bnnlm $p |- ( W e. Ban -> W e. NrmMod ) $=
    ( cbn wcel cnvc cnlm bnnvc nvcnlm syl ) ABCADCAECAFAGH $.

  $( A Banach space is a normed group.  (Contributed by Mario Carneiro,
     15-Oct-2015.) $)
  bnngp $p |- ( W e. Ban -> W e. NrmGrp ) $=
    ( cbn wcel cnlm cngp bnnlm nlmngp syl ) ABCADCAECAFAGH $.

  $( A Banach space is a left module.  (Contributed by Mario Carneiro,
     15-Oct-2015.) $)
  bnlmod $p |- ( W e. Ban -> W e. LMod ) $=
    ( cbn wcel cnlm clmod bnnlm nlmlmod syl ) ABCADCAECAFAGH $.

  $( A Banach space is a complete metric space.  (Contributed by Mario
     Carneiro, 15-Oct-2015.) $)
  bncms $p |- ( W e. Ban -> W e. CMetSp ) $=
    ( cbn wcel cnvc ccms csca cfv eqid isbn simp2bi ) ABCADCAECAFGZECKAKHIJ $.

  ${
    $d b w D $.  $d b w M $.  $d b w X $.
    iscms.1 $e |- X = ( Base ` M ) $.
    iscms.2 $e |- D = ( ( dist ` M ) |` ( X X. X ) ) $.
    $( A complete metric space is a metric space with a complete metric.
       (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    iscms $p |- ( M e. CMetSp <-> ( M e. MetSp /\ D e. ( CMet ` X ) ) ) $=
      ( vw vb cv cds cfv cxp cres ccmet wcel cbs wsbc cms wceq fveq2 eqtr4di wa
      ccms cvv fvexd adantr id sylan9eqr sqxpeqd reseq12d fveq2d eleq12d sbcied
      df-cms elrab2 ) FHZIJZGHZUQKZLZUQMJZNZGUOOJZPACMJZNZFBQUBUOBRZVAVDGVBUCVE
      UOOUDVEUQVBRZUAZUSAUTVCVGUSBIJZCCKZLAVGUPVHURVIVEUPVHRVFUOBISUEVGUQCVFVEU
      QVBCVFUFVEVBBOJCUOBOSDTUGZUHUIETVGUQCMVJUJUKULFGUMUN $.

    $( The induced metric on a complete normed group is complete.  (Contributed
       by Mario Carneiro, 15-Oct-2015.) $)
    cmscmet $p |- ( M e. CMetSp -> D e. ( CMet ` X ) ) $=
      ( ccms wcel cms ccmet cfv iscms simprbi ) BFGBHGACIJGABCDEKL $.

    $( The induced metric on Banach space is complete.  (Contributed by NM,
       8-Sep-2007.)  (Revised by Mario Carneiro, 15-Oct-2015.) $)
    bncmet $p |- ( M e. Ban -> D e. ( CMet ` X ) ) $=
      ( cbn wcel ccms ccmet cfv bncms cmscmet syl ) BFGBHGACIJGBKABCDELM $.
  $}

  $( A complete metric space is a metric space.  (Contributed by Mario
     Carneiro, 15-Oct-2015.) $)
  cmsms $p |- ( G e. CMetSp -> G e. MetSp ) $=
    ( ccms wcel cms cds cfv cbs cxp cres ccmet eqid iscms simplbi ) ABCADCAEFAG
    FZNHIZNJFCOANNKOKLM $.

  ${
    cmspropd.1 $e |- ( ph -> B = ( Base ` K ) ) $.
    cmspropd.2 $e |- ( ph -> B = ( Base ` L ) ) $.
    cmspropd.3 $e |- ( ph ->
      ( ( dist ` K ) |` ( B X. B ) ) = ( ( dist ` L ) |` ( B X. B ) ) ) $.
    cmspropd.4 $e |- ( ph -> ( TopOpen ` K ) = ( TopOpen ` L ) ) $.
    $( Property deduction for a complete metric space.  (Contributed by Mario
       Carneiro, 15-Oct-2015.) $)
    cmspropd $p |- ( ph -> ( K e. CMetSp <-> L e. CMetSp ) ) $=
      ( cms wcel cds cfv cbs cxp cres ccmet wa ccms eqtr3d eqid mspropd sqxpeqd
      reseq2d fveq2d eleq12d anbi12d iscms 3bitr4g ) ACIJZCKLZCMLZUKNZOZUKPLZJZ
      QDIJZDKLZDMLZURNZOZURPLZJZQCRJDRJAUIUPUOVBABCDEFGHUAAUMUTUNVAAUQBBNZOZUMU
      TAUJVCOVDUMGAVCULUJABUKEUBUCSAVCUSUQABURFUBUCSAUKURPABUKUREFSUDUEUFUMCUKU
      KTUMTUGUTDURURTUTTUGUH $.
  $}

  ${
    cmsss.h $e |- K = ( M |`s A ) $.
    cmsss.x $e |- X = ( Base ` M ) $.
    cmsss.j $e |- J = ( TopOpen ` M ) $.
    $( The restriction of a metric space is closed if it is complete.
       (Contributed by AV, 9-Oct-2022.) $)
    cmssmscld $p |- ( ( M e. MetSp /\ A C_ X /\ K e. CMetSp )
                      -> A e. ( Clsd ` J ) ) $=
      ( cms wcel wss cds cfv cxp cres ccld ccmet eqid wceq cbs ccms cmopn msmet
      w3a cmet 3ad2ant1 xpss12 anidms 3ad2ant2 resabs1d sseq2i fvex ssex ressds
      cvv sylbi syl reseq1d eqtrd wa iscms adantr eqcomd sqxpeqd reseq2d fveq2d
      ressbas2 eleq12d biimpd expimpd syl5bi imp 3adant1 eqeltrd syl2anc mstopn
      metsscmetcld eleqtrrd ) DIJZAEKZCUAJZUDZADLMZEENZOZUBMZPMZBPMWBWEEUEMJZWE
      AANZOZAQMZJAWGJVSVTWHWAWEDEGWERZUCUFWBWJCLMZWIOZWKWBWJWCWIOWNWBWCWIWDVTVS
      WIWDKZWAVTWOAEAEUGUHUIUJWBWCWMWIWBAUOJZWCWMSVTVSWPWAVTADTMZKWPEWQAGUKAWQD
      TULUMUPUIAWCDCUOFWCRUNUQURUSVTWAWNWKJZVSVTWAWRWACIJZWMCTMZWTNZOZWTQMZJZUT
      VTWRXBCWTWTRXBRVAVTWSXDWRVTWSUTZXDWRXEXBWNXCWKXEXAWIWMXEWTAXEAWTVTAWTSWSA
      ECDFGVGVBVCZVDVEXEWTAQXFVFVHVIVJVKVLVMVNWEWFEAWFRVQVOWBBWFPVSVTBWFSWAWEBD
      EHGWLVPUFVFVR $.

    $( The restriction of a complete metric space is complete iff it is closed.
       (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    cmsss $p |- ( ( M e. CMetSp /\ A C_ X ) ->
                    ( K e. CMetSp <-> A e. ( Clsd ` J ) ) ) $=
      ( ccms wcel cfv cxp cres ccmet ccld cvv wceq eqid syl cms wss cmopn simpr
      wa cds xpss12 sylancom resabs1d fvexi ssex adantl ressds ressbas2 sqxpeqd
      reseq12d eqtrd fveq2d eleq12d wb cmscmet adantr cmetss bitr3d cmsms cress
      cbs co ressms eqeltrid syl2an iscms baib mstopn eleq2d 3bitr4d ) DIJZAEUA
      ZUDZCUEKZCVFKZVTLZMZVTNKZJZADUEKZEELZMZUBKZOKZJZCIJZABOKZJVRWGAALZMZANKZJ
      ZWDWJVRWNWBWOWCVRWNWEWMMWBVRWEWMWFVPVQVQWMWFUAVPVQUCAEAEUFUGUHVRWEVSWMWAV
      RAPJZWEVSQVQWQVPAEEDVFGUIUJZUKAWEDCPFWERULSVRAVTVQAVTQVPAECDFGUMUKZUNUOUP
      VRAVTNWSUQURVRWGENKJZWPWJUSVPWTVQWGDEGWGRZUTVAWGWHEAWHRVBSVCVRCTJZWKWDUSV
      PDTJZWQXBVQDVDZWRXCWQUDCDAVEVGTFADPVHVIVJWKXBWDWBCVTVTRWBRVKVLSVRWLWIAVRB
      WHOVRXCBWHQVPXCVQXDVAWGBDEHGXAVMSUQVNVO $.
  $}

  ${
    lssbn.x $e |- X = ( W |`s U ) $.
    lssbn.s $e |- S = ( LSubSp ` W ) $.
    lssbn.j $e |- J = ( TopOpen ` W ) $.
    $( A subspace of a Banach space is a Banach space iff it is closed.
       (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    lssbn $p |- ( ( W e. Ban /\ U e. S ) ->
                  ( X e. Ban <-> U e. ( Clsd ` J ) ) ) $=
      ( cbn wcel wa ccms ccld cfv cnvc csca wb bnnvc lssnvc eqid resssca adantl
      sylan wceq bnsca adantr eqeltrrd w3a isbn 3anan32 bitri syl2anc cbs bncms
      baib wss lssss cmsss syl2an bitrd ) DIJZBAJZKZEIJZELJZBCMNJZVCEOJZEPNZLJZ
      VDVEQVADOJVBVGDRABDEFGSUCVCDPNZVHLVBVJVHUDVABVJDEAFVJTZUAUBVAVJLJVBVJDVKU
      EUFUGVDVGVIKZVEVDVGVEVIUHVLVEKVHEVHTUIVGVEVIUJUKUOULVADLJBDUMNZUPVEVFQVBD
      UNABVMDVMTZGUQBCEDVMFVNHURUSUT $.
  $}

  ${
    $d c D $.  $d c F $.  $d c U $.  $d c X $.
    cmetcusp1.x $e |- X = ( Base ` F ) $.
    cmetcusp1.d $e |- D = ( ( dist ` F ) |` ( X X. X ) ) $.
    cmetcusp1.u $e |- U = ( UnifSt ` F ) $.
    $( If the uniform set of a complete metric space is the uniform structure
       generated by its metric, then it is a complete uniform space.
       (Contributed by Thierry Arnoux, 15-Dec-2017.) $)
    cmetcusp1 $p |- ( ( X =/= (/) /\ F e. CMetSp /\ U = ( metUnif ` D ) )
      -> F e. CUnifSp ) $=
      ( vc c0 wne wcel cfv wceq ccfilu cflim co wi wral syl 3ad2ant2 ccms cmetu
      w3a cusp cv ctopn cfil ccusp cxms cms cmsms msxms xmsusp syl3an2 wa ccfil
      simpl3 fveq2d eleq2d cxmet simpl1 ccmet cmet cmscmet cmetmet metxmet 3syl
      wb adantr simpr cfilucfil4 syl3anc bitrd cmopn eqid iscmet simprbi oveq1d
      xmstopn neeq1d ralbidv mpbird r19.21bi sylbid ralrimiva iscusp2 sylanbrc
      ex ) DIJZCUAKZBAUBLZMZUCZCUDKZHUEZBNLZKZCUFLZWOOPZIJZQZHDUGLZRCUHKWJWICUI
      KZWLWNWJCUJKXCCUKCULSZABCDEFGUMUNWMXAHXBWMWOXBKZUOZWQWOAUPLZKZWTXFWQWOWKN
      LZKZXHXFWPXIWOXFBWKNWIWJWLXEUQURUSXFWIADUTLKZXEXJXHVHWIWJWLXEVAWMXKXEWJWI
      XKWLWJADVBLKZADVCLKZXKACDEFVDZADVEADVFVGTVIWMXEVJWOADVKVLVMWMXHWTQZXEWJWI
      XOWLWJXHWTWJWTHXGWJWTHXGRAVNLZWOOPZIJZHXGRZWJXLXSXNXLXMXSAHXPDXPVOVPVQSWJ
      WTXRHXGWJWSXQIWJWRXPWOOWJXCWRXPMXDAWRCDWRVOZEFVSSVRVTWAWBWCWHTVIWDWEDBWRC
      HEGXTWFWG $.
  $}

  ${
    $d c x y D $.  $d c x y X $.
    $( The uniform space generated by a complete metric is a complete uniform
       space.  (Contributed by Thierry Arnoux, 5-Dec-2017.) $)
    cmetcusp $p |- ( ( X =/= (/) /\ D e. ( CMet ` X ) )
      -> ( toUnifSp ` ( metUnif ` D ) ) e. CUnifSp ) $=
      ( vc vy vx c0 wne cfv wcel wa cv ccfilu cflim cfil 3syl eqid biimpar wceq
      co syl ccmet cmetu ctus cusp cuss ctopn wi cbs wral ccusp cust cmet cxmet
      cpsmet cmetmet metxmet xmetpsmet anim2i metuust tususp cmopn simpll ccfil
      simprd cxp cima cc0 cico wss wrex ad3antlr wb tusbas fveq2d eleq2d adantr
      crp tususs adantlr cfbas cfilucfil2 simplbda syl2anc iscfil cmetcvg cutop
      syl12anc tustopn xmetutop eqtr3d oveq1d neeq1d ralrimiva iscusp sylanbrc
      ex ) BFGZABUAHIZJZAUBHZUCHZUDIZCKZXAUEHZLHZIZXAUFHZXCMSZFGZUGZCXAUHHZNHZU
      IXAUJIWSWQABUNHIZJZWTBUKHIZXBWRXMWQWRABULHIZABUMHIZXMABUOZABUPZABUQOURZAB
      USZWTXABXAPZUTOWSXJCXLWSXCXLIZJZXFXIYDXFJZWSAVAHZXCMSZFGZXIWSYCXFVBZYEWRX
      CAVCHIZYHYEWQWRYIVDYEXQXCBNHZIZADKZYMVEVFVGEKVHSVIDXCVJEVQUIZYJWRXQWQYCXF
      WRXPXQXRXSTZVKYDYLXFWSYLYCWSXNXOYLYCVLXTYAXOYKXLXCXOBXKNWTXABYBVMVNVOOQVP
      YEWSXCWTLHZIZYNYIWSXFYQYCWSYQXFWSYPXEXCWSXNXOYPXERXTYAXOWTXDLWTXABYBVRVNO
      VOQVSWSYQXCBVTHIZYNWSXNYQYRYNJVLXTEDXCABWATWBWCXQYJYLYNJEDAXCBWDQWGAXCYFB
      YFPWEWCWSXIYHWSXHYGFWSXGYFXCMWSWTWFHZXGYFWSXNXOYSXGRXTYAWTYSXABYBYSPWHOWS
      WQXQJYSYFRWRXQWQYOURABWITWJWKWLQWCWPWMXACWNWO $.
  $}

  $( The field of complex numbers is a complete metric space.  (Contributed by
     Mario Carneiro, 15-Oct-2015.) $)
  cncms $p |- CCfld e. CMetSp $=
    ( ccnfld ccms wcel cms cabs cmin ccom cc ccmet cnfldms eqid cncmet cnfldbas
    cfv cxp cres cds cr wf wfn wceq cmet cnmet metf ffn fnresdm cnfldds reseq1i
    ax-mp mp2b eqtr3i iscms mpbir2an ) ABCADCEFGZHINCJUNUNKLUNAHMUNHHOZPZUNAQNZ
    UOPUORUNSZUNUOTUPUNUAUNHUBNCURUCUNHUDUIUORUNUEUOUNUFUJUNUQUOUGUHUKULUM $.

  ${
    cnflduss.1 $e |- U = ( UnifSt ` CCfld ) $.
    $( The uniform structure of the complex numbers.  (Contributed by Thierry
       Arnoux, 17-Dec-2017.)  (Revised by Thierry Arnoux, 11-Mar-2018.) $)
    cnflduss $p |- U = ( metUnif ` ( abs o. - ) ) $=
      ( ccnfld cuss cfv cabs cmin ccom cmetu cxp cuni wceq cust wcel wne cpsmet
      cc c0 cc0 ax-mp 0cn ne0ii cnxmet xmetpsmet metuust ustuni eqcomi cnfldbas
      cxmet mp2an cnfldunif ussid eqtr4i ) ACDEZFGHZIEZBQQJZUPKZLUPUNLURUQUPQME
      NZURUQLQROUOQPENZUSSQUAUBUOQUIENUTUCUOQUDTUOQUEUJUPQUFTUGQUPCUHUKULTUM $.
  $}

  $( The field of complex numbers is a complete uniform space.  (Contributed by
     Thierry Arnoux, 17-Dec-2017.) $)
  cnfldcusp $p |- CCfld e. CUnifSp $=
    ( cc c0 wne ccnfld ccms wcel cuss cfv cabs cmin ccom cmetu wceq ccusp ne0ii
    cc0 0cn cres cr wf cncms eqid cnflduss cnfldbas cxp cds wfn absf subf mp2an
    fco ffn fnresdm mp2b cnfldds reseq1i eqtr3i cmetcusp1 mp3an ) ABCDEFDGHZIJK
    ZLHMDNFPAQOUAUTUTUBZUCVAUTDAUDVAAAUEZRZVADUFHZVCRVCSVATZVAVCUGVDVAMASITVCAJ
    TVFUHUIVCASIJUKUJVCSVAULVCVAUMUNVAVEVCUOUPUQVBURUS $.

  ${
    resscdrg.1 $e |- F = ( CCfld |`s K ) $.
    $( The real numbers are a subset of any complete subfield in the complex
       numbers.  (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    resscdrg $p |- ( ( K e. ( SubRing ` CCfld ) /\
                       F e. DivRing /\ F e. CMetSp ) -> RR C_ K ) $=
      ( ccnfld csubrg cfv wcel cdr ccms w3a cr cq ctopn ccl wss cin cc unicntop
      wceq cnfldbas cioo crn ctg ctop eqid ax-resscn qssre tgioo2 restcls mp3an
      cnfldtop qdensere eqtr3i sseqin2 mpbir ccld simp3 wb cncms 3ad2ant1 cmsss
      subrgss sylancr co eleq1i qsssubdrg sylan2b 3adant3 clsss2 syl2anc sstrid
      mpbid cress ) BDEFGZAHGZAIGZJZKLDMFZNFFZBKVSOVSKPZKSLUAUBUCFZNFFZVTKVRUDG
      KQOLKOWBVTSVRVRUEZUKUFUGLVRWAQKRVRWCUHUIUJULUMKVSUNUOVQBVRUPFGZLBOZVSBOVQ
      VPWDVNVOVPUQVQDIGBQOZVPWDURUSVNVOWFVPBQDTVBUTBVRADQCTWCVAVCVLVNVOWEVPVOVN
      DBVMVDZHGWEAWGHCVEBVFVGVHBLVRQRVIVJVK $.

    $( The only complete subfields of the complex numbers are ` RR ` and
       ` CC ` .  (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    cncdrg $p |- ( ( K e. ( SubRing ` CCfld ) /\
                     F e. DivRing /\ F e. CMetSp ) -> K e. { RR , CC } ) $=
      ( ccnfld csubrg cfv wcel cdr ccms w3a cr wss cc cpr simp1 cnsubrg syl2anc
      resscdrg ) BDEFGZAHGZAIGZJSKBLBKMNGSTUAOABCRBPQ $.
  $}

  ${
    srabn.a $e |- A = ( ( subringAlg ` W ) ` S ) $.
    srabn.j $e |- J = ( TopOpen ` W ) $.
    $( The subring algebra over a complete normed ring is a Banach space iff
       the subring is a closed division ring.  (Contributed by Mario Carneiro,
       15-Oct-2015.) $)
    srabn $p |- ( ( W e. NrmRing /\ W e. CMetSp /\ S e. ( SubRing ` W ) ) ->
      ( A e. Ban <-> ( S e. ( Clsd ` J ) /\ ( W |`s S ) e. DivRing ) ) ) $=
      ( cnrg wcel ccms csubrg cfv w3a wa cdr wb eqid cds baib syl eleq1d cbn co
      csca cnvc ccld cress simp2 cbs csra wceq a1i wss subrgss 3ad2ant3 srabase
      eqidd cxp srads reseq1d sratopn cmspropd isbn 3anrot 3anass 3bitri srasca
      mpbid cmsss syl2anc bitr3d sranlm 3adant2 isnvc2 bitr4d anbi12d bitrd
      cnlm ) DGHZDIHZBDJKHZLZAUAHZAUCKZIHZAUDHZMZBCUEKHZDBUFUBZNHZMWAAIHZWBWFOW
      AVSWJVRVSVTUGZWADUHKZDAWAWLUPWAABDABDUIKKUJWAEUKZVTVRBWLULZVSBWLDWLPZUMUN
      ZUOWADQKAQKWLWLUQWAABDWMWPURUSWAABDWMWPUTVAVGWBWJWFWBWEWJWDLWJWDWELWJWFMW
      CAWCPZVBWEWJWDVCWJWDWEVDVERSWAWDWGWEWIWAWHIHZWDWGWAWHWCIWAABDWMWPVFZTWAVS
      WNWRWGOWKWPBCWHDWLWHPWOFVHVIVJWAWEWCNHZWIWAAVQHZWEWTOVRVTXAVSABDEVKVLWEXA
      WTWCAWQVMRSWAWHWCNWSTVNVOVP $.
  $}

  $( The ring module over a complete normed division ring is a Banach space.
     (Contributed by Mario Carneiro, 15-Oct-2015.) $)
  rlmbn $p |- ( ( R e. NrmRing /\ R e. DivRing /\ R e. CMetSp ) ->
    ( ringLMod ` R ) e. Ban ) $=
    ( cnrg wcel cdr ccms w3a crglmod cfv cbn ctopn ccld cress co wceq 3syl eqid
    cbs syl eqeltrd 3ad2ant1 cuni ctps cms simp3 cmsms mstps tpsuni ctop tpstop
    topcld ressid simp2 csubrg wa wb simp1 nrgring subrgid rlmval srabn syl3anc
    crg mpbir2and ) ABCZADCZAECZFZAGHZICZAQHZAJHZKHZCZAVJLMZDCZVGVJVKUAZVLVGAUB
    CZVJVPNVGVFAUCCVQVDVEVFUDZAUEAUFOZVJVKAVJPZVKPZUGRVGVQVKUHCVPVLCVSVKAWAUIVK
    VPVPPUJOSVGVNADVDVEVNANVFVJABVTUKTVDVEVFULSVGVDVFVJAUMHCZVIVMVOUNUOVDVEVFUP
    VRVGAVBCZWBVDVEWCVFAUQTVJAVTURRVHVJVKAAUSWAUTVAVC $.

  $( The predicate "is a subcomplex Hilbert space".  A Hilbert space is a
     Banach space which is also an inner product space, i.e. whose norm
     satisfies the parallelogram law.  (Contributed by Steve Rodriguez,
     28-Apr-2007.)  (Revised by Mario Carneiro, 15-Oct-2015.) $)
  ishl $p |- ( W e. CHil <-> ( W e. Ban /\ W e. CPreHil ) ) $=
    ( cbn ccph chl df-hl elin2 ) ABCDEF $.

  $( Every subcomplex Hilbert space is a Banach space.  (Contributed by Steve
     Rodriguez, 28-Apr-2007.) $)
  hlbn $p |- ( W e. CHil -> W e. Ban ) $=
    ( chl wcel cbn ccph ishl simplbi ) ABCADCAECAFG $.

  $( Every subcomplex Hilbert space is a subcomplex pre-Hilbert space.
     (Contributed by Mario Carneiro, 15-Oct-2015.) $)
  hlcph $p |- ( W e. CHil -> W e. CPreHil ) $=
    ( chl wcel cbn ccph ishl simprbi ) ABCADCAECAFG $.

  $( Every subcomplex Hilbert space is an inner product space (also called a
     pre-Hilbert space).  (Contributed by NM, 28-Apr-2007.)  (Revised by Mario
     Carneiro, 15-Oct-2015.) $)
  hlphl $p |- ( W e. CHil -> W e. PreHil ) $=
    ( chl wcel ccph cphl hlcph cphphl syl ) ABCADCAECAFAGH $.

  $( Every subcomplex Hilbert space is a complete metric space.  (Contributed
     by Mario Carneiro, 17-Oct-2015.) $)
  hlcms $p |- ( W e. CHil -> W e. CMetSp ) $=
    ( chl wcel cbn ccms hlbn bncms syl ) ABCADCAECAFAGH $.

  ${
    hlress.f $e |- F = ( Scalar ` W ) $.
    hlress.k $e |- K = ( Base ` F ) $.
    $( Lemma for ~ hlpr .  (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    hlprlem $p |- ( W e. CHil -> ( K e. ( SubRing ` CCfld ) /\
      ( CCfld |`s K ) e. DivRing /\ ( CCfld |`s K ) e. CMetSp ) ) $=
      ( chl wcel ccnfld csubrg cfv cress co cdr ccms ccph cphsubrg syl eqeltrrd
      hlcph wceq cphsca clvec cphlvec lvecdrng 3syl cbn hlbn bnsca 3jca ) CFGZB
      HIJGZHBKLZMGULNGUJCOGZUKCSZABCDEPQUJAULMUJUMAULTUNABCDEUAQZUJUMCUBGAMGUNC
      UCACDUDUERUJAULNUOUJCUFGANGCUGACDUHQRUI $.

    $( The scalar field of a subcomplex Hilbert space contains ` RR ` .
       (Contributed by Mario Carneiro, 8-Oct-2015.) $)
    hlress $p |- ( W e. CHil -> RR C_ K ) $=
      ( chl wcel ccnfld csubrg cfv cress cdr ccms w3a wss hlprlem eqid resscdrg
      co cr syl ) CFGBHIJGHBKSZLGUBMGNTBOABCDEPUBBUBQRUA $.

    $( The scalar field of a subcomplex Hilbert space is either ` RR ` or
       ` CC ` .  (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    hlpr $p |- ( W e. CHil -> K e. { RR , CC } ) $=
      ( chl wcel ccnfld csubrg cfv cress co cdr ccms w3a cr cc cpr hlprlem eqid
      cncdrg syl ) CFGBHIJGHBKLZMGUCNGOBPQRGABCDESUCBUCTUAUB $.

    $( A Hilbert space is a complete subcomplex pre-Hilbert space over ` RR `
       or ` CC ` .  (Contributed by Mario Carneiro, 15-Oct-2015.) $)
    ishl2 $p |- ( W e. CHil <->
      ( W e. CMetSp /\ W e. CPreHil /\ K e. { RR , CC } ) ) $=
      ( wcel wa ccms cr cc w3a syl ccnfld cress co cfv cdr eqid wceq cncms ccph
      chl cbn cpr ishl df-3an 3ancomb cnvc cphnvc isbn 3anass bitri baib cphsca
      wb eleq1d csubrg wi cphsubrg clvec cphlvec lvecdrng cncdrg 3expia syl2anc
      eqeltrrd elpri oveq2 ctopn ccld recld2 wss ax-resscn cnfldbas cmsss mp2an
      wo mpbir eqeltrdi ressid ax-mp eqeltri jaoi impbid1 bitrd anbi2d pm5.32ri
      3bitr4ri ) CUBFCUCFZCUAFZGZCHFZWJBIJUDFZKZCUEWLWMWJKWLWMGZWJGWNWKWLWMWJUF
      WLWJWMUGWJWIWOWJWIWLAHFZGZWOWJCUHFZWIWQUOCUIWIWRWQWIWRWLWPKWRWQGACDUJWRWL
      WPUKULUMLWJWPWMWLWJWPMBNOZHFZWMWJAWSHABCDEUNZUPWJWTWMWJBMUQPFZWSQFZWTWMUR
      ABCDEUSWJAWSQXAWJCUTFAQFCVAACDVBLVFXBXCWTWMWSBWSRVCVDVEWMBISZBJSZVQWTBIJV
      GXDWTXEXDWSMINOZHBIMNVHXFHFZIMVIPZVJPFZXHXHRZVKMHFZIJVLXGXIUOTVMIXHXFMJXF
      RVNXJVOVPVRVSXEWSMJNOZHBJMNVHXLMHXKXLMSTJMHVNVTWATWBVSWCLWDWEWFWEWGWHUL
      $.
  $}

  ${
    cphssphl.x $e |- X = ( W |`s U ) $.
    cphssphl.s $e |- S = ( LSubSp ` W ) $.
    $( A Banach subspace of a subcomplex pre-Hilbert space is a subcomplex
       Hilbert space.  (Contributed by NM, 11-Apr-2008.)  (Revised by AV,
       25-Sep-2022.) $)
    cphssphl $p |- ( ( W e. CPreHil /\ U e. S /\ X e. Ban ) -> X e. CHil ) $=
      ( ccph wcel cbn w3a chl simp3 cphsscph 3adant3 ishl sylanbrc ) CGHZBAHZDI
      HZJSDGHZDKHQRSLQRTSABCDEFMNDOP $.
  $}

  ${
    cmslssbn.x $e |- X = ( W |`s U ) $.
    ${
      cmslssbn.s $e |- S = ( LSubSp ` W ) $.
      $( A complete linear subspace of a normed vector space is a Banach space.
         We furthermore have to assume that the field of scalars is complete
         since this is a requirement in the current definition of Banach spaces
         ~ df-bn .  (Contributed by AV, 8-Oct-2022.) $)
      cmslssbn $p |- ( ( ( W e. NrmVec /\ ( Scalar ` W ) e. CMetSp )
                         /\ ( X e. CMetSp /\ U e. S ) ) -> X e. Ban ) $=
        ( cnvc wcel csca cfv ccms cbn lssnvc ad2ant2rl simprl wceq eqid resssca
        wa ad2antll eleq1d biimpd impancom imp isbn syl3anbrc ) CGHZCIJZKHZSZDK
        HZBAHZSZSDGHZUKDIJZKHZDLHUGULUNUIUKABCDEFMNUJUKULOUJUMUPUGUMUIUPUGUMSZU
        IUPUQUHUOKULUHUOPUGUKBUHCDAEUHQRTUAUBUCUDUODUOQUEUF $.
    $}

    cmscsscms.s $e |- S = ( ClSubSp ` W ) $.
    $( A closed subspace of a complete metric space which is also a subcomplex
       pre-Hilbert space is a complete metric space.  Remark: the assumption
       that the Banach space must be a (subcomplex) pre-Hilbert space is
       required because the definition of ` ClSubSp ` is based on an inner
       product.  If ` ClSubSp ` was generalized to arbitrary topological spaces
       (or at least topological modules), this assumption could be omitted.
       (Contributed by AV, 8-Oct-2022.) $)
    cmscsscms $p |- ( ( ( W e. CMetSp /\ W e. CPreHil ) /\ U e. S )
                      -> X e. CMetSp ) $=
      ( ccms wcel wa cms cds cfv cbs cres adantr ccld wceq adantl eqid syl ccph
      ccmet cress co cmsms ressms sylan eqeltrid ctopn csubg clmod clss cphlmod
      cphl cphphl csslss lsssubg syl2anc subgbas csscld adantll eqeltrrd ressds
      cxp cmopn eqcomd reseq1d wss subgss xpss12 resabs1d eqtr4d eleq1d cmscmet
      wb cmetss mstopn fveq2d eleq2d 3bitrd mpbird iscms sylanbrc ) CGHZCUAHZIZ
      BAHZIZDJHDKLZDMLZWJVDZNZWJUBLZHZDGHWHDCBUCUDZJEWFCJHZWGWOJHWDWPWECUEOZBCA
      UFUGUHWHWNWJCUILZPLZHZWHBWJWSWHBCUJLZHZBWJQWHCUKHZBCULLZHZXBWFXCWGWEXCWDC
      UMROWFCUNHZWGXEWEXFWDCUORABXDCFXDSZUPUGXDBCXGUQURZBCDEUSTZWEWGBWSHWDABWRC
      FWRSZUTVAVBWHWNCKLZCMLZXLVDZNZWKNZWMHZWJXNVELZPLZHZWTWHWLXOWMWHWLXKWKNXOW
      HWIXKWKWHXKWIWGXKWIQWFBXKCDAEXKSVCRVFVGWHXKWKXMWHWJXLVHZXTWKXMVHWHWJXAHXT
      WHBWJXAXIXHVBXLWJCXLSZVITZYBWJXLWJXLVJURVKVLVMWHXNXLUBLHZXPXSVOWFYCWGWDYC
      WEXNCXLYAXNSZVNOOXNXQXLWJXQSVPTWHXRWSWJWHXQWRPWHWRXQWHWPWRXQQWFWPWGWQOXNW
      RCXLXJYAYDVQTVFVRVSVTWAWLDWJWJSWLSWBWC $.

    $( A closed subspace of a Banach space which is also a subcomplex
       pre-Hilbert space is a Banach space.  Remark: the assumption that the
       Banach space must be a (subcomplex) pre-Hilbert space is required
       because the definition of ` ClSubSp ` is based on an inner product.  If
       ` ClSubSp ` was generalized for arbitrary topological spaces, this
       assuption could be omitted.  (Contributed by AV, 8-Oct-2022.) $)
    bncssbn $p |- ( ( ( W e. Ban /\ W e. CPreHil ) /\ U e. S )
                    -> X e. Ban ) $=
      ( cbn wcel ccph wa cnvc csca cfv ccms clss bnnvc eqid bnsca jca ad2antrr
      bncms cmscsscms sylanl1 cphl cphphl adantl csslss sylan cmslssbn syl12anc
      ) CGHZCIHZJZBAHZJCKHZCLMZNHZJZDNHZBCOMZHZDGHUKURULUNUKUOUQCPUPCUPQRSTUKCN
      HULUNUSCUAABCDEFUBUCUMCUDHZUNVAULVBUKCUEUFABUTCFUTQZUGUHUTBCDEVCUIUJ $.
  $}

  ${
    cssbn.x $e |- X = ( W |`s U ) $.
    cssbn.s $e |- S = ( LSubSp ` W ) $.
    cssbn.d $e |- D = ( ( dist ` W ) |` ( U X. U ) ) $.
    $( A complete subspace of a normed vector space with a complete scalar
       field is a Banach space.  Remark:  In contrast to ` ClSubSp ` , a
       complete subspace is defined by "a linear subspace in which all Cauchy
       sequences converge to a point in the subspace".  This is closer to the
       original, but deprecated definition ` CH ` ( ~ df-ch ) of closed
       subspaces of a Hilbert space.  It may be superseded by ~ cmslssbn .
       (Contributed by NM, 10-Apr-2008.)  (Revised by AV, 6-Oct-2022.) $)
    cssbn $p |- ( ( ( W e. NrmVec /\ ( Scalar ` W ) e. CMetSp /\ U e. S )
                    /\ ( Cau ` D ) C_ dom ( ~~>t ` ( MetOpen ` D ) ) )
                  -> X e. Ban ) $=
      ( wcel cfv ccms cds cxp cres cngp syl 3adant2 adantr wceq eqid cnvc cmopn
      csca w3a ccau clm cdm wss wa cbn simpl1 simpl2 cms cbs ccmet csubg nvcnlm
      nlmngp clmod nvclmod lsssubg sylan subgngp syl2an2r ngpms ressds 3ad2ant3
      cnlm subgbas sqxpeqd reseq12d syl5eq eqcomd ngpmet eqeltrd simpr sylanbrc
      cmet iscmet2 iscms simpl3 cmslssbn syl22anc ) DUAIZDUCJKIZCBIZUDZAUEJAUBJ
      ZUFJUGUHZUIZWDWEEKIZWFEUJIWDWEWFWIUKWDWEWFWIULWJEUMIZELJZEUNJZWNMZNZWNUOJ
      ZIWKWJEOIZWLWGWRWIWDWFWRWEWDDOIZWFCDUPJIZWRWDDVHIWSDUQDURPWDDUSIWFWTDUTBC
      DGVAVBZCDEFVCVDQZREVEPWJWPAWQWGWPASWIWGAWPWGADLJZCCMZNWPHWGXCWMXDWOWFWDXC
      WMSWECXCDEBFXCTVFVGWGCWNWGWTCWNSWDWFWTWEXAQCDEFVIPVJVKVLZVMRWJAWNVRJZIZWI
      AWQIWGXGWIWGAWPXFXEWGWRWPXFIXBWPEWNWNTZWPTZVNPVORWGWIVPAWHWNWHTVSVQVOWPEW
      NXHXIVTVQWDWEWFWIWABCDEFGWBWC $.

    csschl.c $e |- ( Scalar ` W ) = CCfld $.
    $( A complete subspace of a complex pre-Hilbert space is a complex Hilbert
       space.  Remarks:  (a) In contrast to ` ClSubSp ` , a complete subspace
       is defined by "a linear subspace in which all Cauchy sequences converge
       to a point in the subspace".  This is closer to the original, but
       deprecated definition ` CH ` ( ~ df-ch ) of closed subspaces of a
       Hilbert space.  (b) This theorem does not hold for arbitrary subcomplex
       (pre-)Hilbert spaces, because the scalar field as restriction of the
       field of the complex numbers need not be closed.  (Contributed by NM,
       10-Apr-2008.)  (Revised by AV, 6-Oct-2022.) $)
    csschl $p |- ( ( W e. CPreHil /\ U e. S
                     /\ ( Cau ` D ) C_ dom ( ~~>t ` ( MetOpen ` D ) ) )
                   -> ( X e. CHil /\ ( Scalar ` X ) = CCfld ) ) $=
      ( ccph wcel ccau cfv cmopn clm cdm csca ccnfld wceq ccms wss w3a chl cnvc
      cbn cphnvc 3ad2ant1 cncms eleq1 mpbiri mp1i simp2 simp3 syl31anc cphssphl
      cssbn syld3an3 eqid resssca eqtr3di 3ad2ant2 jca ) DJKZCBKZALMANMOMPUAZUB
      ZEUCKZEQMZRSZVCVDVEEUEKZVGVFDUDKZDQMZTKZVDVEVJVCVDVKVEDUFUGVLRSZVMVFIVNVM
      RTKUHVLRTUIUJUKVCVDVEULVCVDVEUMABCDEFGHUPUNBCDEFGUOUQVDVCVIVEVDVLVHRCVLDE
      BFVLURUSIUTVAVB $.
  $}

  ${
    cmslsschl.x $e |- X = ( W |`s U ) $.
    ${
      cmslsschl.s $e |- S = ( LSubSp ` W ) $.
      $( A complete linear subspace of a subcomplex Hilbert space is a
         subcomplex Hilbert space.  (Contributed by AV, 8-Oct-2022.) $)
      cmslsschl $p |- ( ( W e. CHil /\ X e. CMetSp /\ U e. S )
                        -> X e. CHil ) $=
        ( chl wcel ccms w3a cbn ccph cnvc csca cfv wa hlbn bnnvc syl 3ad2ant1
        eqid bnsca cmslssbn syl21anc hlcph cphsscph sylan 3adant2 ishl sylanbrc
        3simpc ) CGHZDIHZBAHZJZDKHZDLHZDGHUOCMHZCNOZIHZUMUNPUPULUMURUNULCKHZURC
        QZCRSTULUMUTUNULVAUTVBUSCUSUAUBSTULUMUNUKABCDEFUCUDULUNUQUMULCLHUNUQCUE
        ABCDEFUFUGUHDUIUJ $.
    $}

    chlcsschl.s $e |- S = ( ClSubSp ` W ) $.
    $( A closed subspace of a subcomplex Hilbert space is a subcomplex Hilbert
       space.  (Contributed by NM, 10-Apr-2008.)  (Revised by AV,
       8-Oct-2022.) $)
    chlcsschl $p |- ( ( W e. CHil /\ U e. S ) -> X e. CHil ) $=
      ( chl wcel wa cbn ccph hlbn hlcph jca bncssbn sylan clss cfv cphl hlphl
      eqid csslss cphsscph syl2an2r ishl sylanbrc ) CGHZBAHZIDJHZDKHZDGHUGCJHZC
      KHZIUHUIUGUKULCLCMZNABCDEFOPUGULUHBCQRZHZUJUMUGCSHUHUOCTABUNCFUNUAZUBPUNB
      CDEUPUCUDDUEUF $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The complete ordered field of the real numbers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The topology of the real numbers.  (Contributed by Thierry Arnoux,
     30-Jun-2019.) $)
  retopn $p |- ( topGen ` ran (,) ) = ( TopOpen ` RRfld ) $=
    ( cioo crn ctg cfv ccnfld ctopn cr crest co crefld tgioo2 df-refld resstopn
    eqid eqtri ) ABCDEFDZGHIJFDPPNZKGJPELQMO $.

  $( The real numbers form a complete metric space.  (Contributed by Thierry
     Arnoux, 1-Nov-2017.) $)
  recms $p |- RRfld e. CMetSp $=
    ( crefld ccms wcel cr ccnfld ctopn cfv ccld eqid recld2 cc wss wb ax-resscn
    cncms df-refld cnfldbas cmsss mp2an mpbir ) ABCZDEFGZHGCZUBUBIZJEBCDKLUAUCM
    ONDUBAEKPQUDRST $.

  $( The Uniform structure of the real numbers.  (Contributed by Thierry
     Arnoux, 14-Feb-2018.) $)
  reust $p |- ( UnifSt ` RRfld )
                = ( metUnif ` ( ( dist ` RRfld ) |` ( RR X. RR ) ) ) $=
    ( crefld cuss cfv cabs cmin ccom cmetu cr cxp crest cres ccnfld fveq2i wcel
    co cvv wceq ax-mp 3eqtri cc cds cress df-refld reex ressuss cnflduss oveq1i
    eqid wne cpsmet wss cc0 0re ne0ii cxmet cnxmet xmetpsmet ax-resscn restmetu
    c0 mp3an reds reseq1i ) ABCZDEFZGCZHHIZJOZVEVGKZGCZAUACZVGKZGCVDLHUBOZBCZLB
    CZVGJOZVHAVMBUCMHPNVNVPQUDHPLUERVOVFVGJVOVOUHUFUGSHUTUIVETUJCNZHTUKVHVJQULH
    UMUNVETUOCNVQUPVETUQRURHVETUSVAVIVLGVEVKVGVBVCMS $.

  $( The real numbers form a complete uniform space.  (Contributed by Thierry
     Arnoux, 17-Dec-2017.) $)
  recusp $p |- RRfld e. CUnifSp $=
    ( cr c0 wne crefld ccms wcel cuss cfv cds cxp cres cmetu wceq ccusp cc0 0re
    ne0ii recms reust eqid rebase cmetcusp1 mp3an ) ABCDEFDGHZDIHAAJKZLHMDNFOAP
    QRSUEUDDAUAUETUDTUBUC $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Euclidean spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c RR^ EEhil $.

  $( Extend class notation with generalized real Euclidean spaces. $)
  crrx $a class RR^ $.

  $( Extend class notation with real Euclidean spaces. $)
  cehl $a class EEhil $.

  ${
    $d i n $.
    $( Define the function associating with a set the free real vector space on
       that set, equipped with the natural inner product and norm.  This is the
       direct sum of copies of the field of real numbers indexed by that set.
       We call it here a "generalized real Euclidean space", but note that it
       need not be complete (for instance if the given set is infinite
       countable).  (Contributed by Thierry Arnoux, 16-Jun-2019.) $)
    df-rrx $a |- RR^ = ( i e. _V |-> ( toCPreHil ` ( RRfld freeLMod i ) ) ) $.

    $( Define a function generating the real Euclidean spaces of finite
       dimension.  The case ` n = 0 ` corresponds to a space of dimension 0,
       that is, limited to a neutral element (see ~ ehl0 ).  Members of this
       family of spaces are Hilbert spaces, as shown in - ehlhl .  (Contributed
       by Thierry Arnoux, 16-Jun-2019.) $)
    df-ehl $a |- EEhil = ( n e. NN0 |-> ( RR^ ` ( 1 ... n ) ) ) $.
  $}

  ${
    $d f g h x B $.  $d f g h i x I $.  $d f g h x V $.
    rrxval.r $e |- H = ( RR^ ` I ) $.
    $( Value of the generalized Euclidean space.  (Contributed by Thierry
       Arnoux, 16-Jun-2019.) $)
    rrxval $p |- ( I e. V -> H = ( toCPreHil ` ( RRfld freeLMod I ) ) ) $=
      ( vi wcel crrx cfv crefld cfrlm co ctcph wceq elex cv oveq2 fveq2d df-rrx
      cvv fvex fvmpt syl syl5eq ) BCFZABGHZIBJKZLHZDUDBSFUEUGMBCNEBIEOZJKZLHUGS
      GUHBMUIUFLUHBIJPQERUFLTUAUBUC $.

    rrxbase.b $e |- B = ( Base ` H ) $.
    $( The base of the generalized real Euclidean space is the set of functions
       with finite support.  (Contributed by Thierry Arnoux, 16-Jun-2019.)
       (Proof shortened by AV, 22-Jul-2019.) $)
    rrxbase $p |- ( I e. V -> B = { f e. ( RR ^m I ) | f finSupp 0 } ) $=
      ( wcel cbs cfv crefld cfrlm co cv cc0 cfsupp cr eqid wceq cfield wbr cmap
      crab ctcph rrxval fveq2d tcphbas eqtr4di a1i refld rebase frlmbas 3eqtr4d
      re0g mpan ) DEHZCIJZKDLMZIJZABNOPUABQDUBMUCZUPUQURUDJZIJUSUPCVAICDEFUEUFV
      AUSURVARUSRUGUHAUQSUPGUIKTHUPUTUSSUJUTKBURDQTEOURRUKUNUTRULUOUM $.

    $( Expand the definition of the generalized real Euclidean spaces.
       (Contributed by Thierry Arnoux, 16-Jun-2019.) $)
    rrxprds $p |- ( I e. V -> H = ( toCPreHil ` ( ( RRfld
              Xs_ ( I X. { ( ( subringAlg ` RRfld ) ` RR ) } ) ) |`s B ) ) ) $=
      ( wcel crefld co ctcph cfv cr cress cpws cbs cfield wceq eqid rebase wtru
      cfrlm csra csn cprds rrxval crglmod refld frlmpws mpan fvex rlmval fveq2i
      cxp cvv eqtr4i oveq1i csca ressid ax-mp eqidd eqimssi srasca mptru eqtr3i
      wss a1i pwsval eqcomd fveq2d tcphbas 3eqtr4g oveq12d eqtr4d eqtrd ) CDGZB
      HCUAIZJKZHCLHUBKZKZUCUMUDIZAMIZJKBCDEUEZVOVPWAJVOVPHUFKZCNIZVPOKZMIZWAHPG
      ZVOVPWFQUGWEHVPCPDVPRWERZUHUIVOVTWDAWEMVOWDVTVSUNGVOWDVTQLVRUJVSHCUNDWDWC
      VSCNWCHOKZVRKVSHUKLWIVRSULUOUPHLMIZHVSUQKZWGWJHQUGLHPSURUSWJWKQTVSLHTVSUT
      LWIVETLWISVAVFVBVCVDVGUIVHVOBOKVQOKAWEVOBVQOWBVIFVQWEVPVQRWHVJVKVLVMVIVN
      $.

    $( The inner product of the generalized real Euclidean spaces.
       (Contributed by Thierry Arnoux, 16-Jun-2019.) $)
    rrxip $p |- ( I e. V -> ( f e. ( RR ^m I ) , g e. ( RR ^m I ) |-> ( RRfld
      gsum ( x e. I |-> ( ( f ` x ) x. ( g ` x ) ) ) ) ) = ( .i ` H ) ) $=
      ( wcel cip cfv crefld cr co eqid cvv wceq cbs a1i csra csn cxp cprds cmap
      cress ctcph cmul cmpt cgsu cmpo rrxprds fveq2d tcphip fvexi ressip cfield
      cv ax-mp refld snex xpexg mpan2 cdm c0 fvex snnz dmxp prdsip cixp prdsbas
      wne eqidd wss rebase eqimssi fvconst2 3eqtr4rd adantl ixpeq2dva ixpconstg
      srabase reex 3eqtrd cmulr remulr sraip eqtr2id mpteq2ia oveq2d mpoeq123dv
      oveqd eqtrd eqtr3id eqtr2d ) FGJZEKLMFNMUALZLZUBZUCZUDOZBUFOZUGLZKLZCDNFU
      EOZXEMAFAURZCURLZXFDURLZUHOZUIZUJOZUKZWPEXCKBEFGHIULUMWPXDXBKLZXLXMXCXBXC
      PXMPUNWPXMXAKLZXLBQJXNXMRBESIUOBXAXBXNQXBPXNPZUPUSWPXNCDXASLZXPMAFXGXHXFW
      TLZKLZOZUIZUJOZUKXLWPAXPXAWTMCDXNFUQQXAPZMUQJWPUTTZWPWSQJWTQJWRVAFWSGQVBV
      CZXPPZWTVDFRZWPWSVEVLYFWRNWQVFZVGFWSVHUSTZXOVIWPCDXPXPYAXEXEXKWPXPAFXQSLZ
      VJAFNVJZXEWPAXPXAWTMFUQQYBYCYDYEYHVKWPAFYINXFFJZYINRWPYKMSLZWRSLNYIYKWRNM
      YKWRVMNYLVNYKNYLVOVPTZWBNYLRYKVOTYKXQWRSFWRXFYGVQZUMVRVSVTWPNQJYJXERWCAFN
      GQWAVCWDZYOWPXTXJMUJXTXJRWPAFXSXIYKXRUHXGXHYKUHMWELXRWFYKXQNMYNYMWGWHWLWI
      TWJWKWMWNWNWO $.

    $( The norm of the generalized real Euclidean spaces.  (Contributed by
       Thierry Arnoux, 16-Jun-2019.) $)
    rrxnm $p |- ( I e. V -> ( f e. B |-> ( sqrt ` ( RRfld
      gsum ( x e. I |-> ( ( f ` x ) ^ 2 ) ) ) ) ) = ( norm ` H ) ) $=
      ( vh vg wcel crefld co cfv cbs cv cip wceq eqid wa cfrlm ctcph csqrt cmpt
      cnm c2 cexp cgsu clmod cgrp crg csr recrng srngring frlmlmod mpan lmodgrp
      ax-mp tchnmfval 3syl rrxval fveq2d tcphbas 3eqtr4g cr cmap cc0 cfsupp wbr
      crab rrxbase ssrab2 eqsstrdi sselda cmul cvv cmpo rrxip tcphip a1i adantr
      3eqtr4rd simprl fveq1d simprr oveq12d cc wf elmapi adantl ffvelrnda recnd
      adantlr sqvald eqtr4d oveq2d simpr ovexd ovmpod syldan eqcomd mpteq12dva
      mpteq2dva ) EFKZLEUAMZUBNZUENZCXEONZCPZXIXEQNZMZUCNZUDZDUENCBLAEAPZXINZUF
      UGMZUDZUHMZUCNZUDXDXEUIKZXEUJKXGXMRLUKKZXDXTLULKYAUMLUNURLXEEFXESUOUPXEUQ
      CXFXJXGXHXEXFSZXGSXHSZXJSZUSUTXDDXFUEDEFGVAZVBXDCBXSXHXLXDDONXFONBXHXDDXF
      OYEVBHXFXHXEYBYCVCVDXDXIBKZTZXRXKUCYGXKXRXDYFXIVEEVFMZKZXKXRRXDBYHXIXDBXI
      VGVHVIZCYHVJYHBCDEFGHVKYJCYHVLVMVNXDYITZIJXIXIYHYHLAEXNIPZNZXNJPZNZVOMZUD
      ZUHMZXRXJVPXDXJIJYHYHYRVQZRYIXDDQNXFQNZYSXJXDDXFQYEVBABIJDEFGHVRXJYTRXDXJ
      XFXEYBYDVSVTWBWAYKYLXIRZYNXIRZTZTZYQXQLUHUUDAEYPXPUUDXNEKZTZYPXOXOVOMZXPU
      UDYPUUGRUUEUUDYMXOYOXOVOUUDXNYLXIYKUUAUUBWCWDUUDXNYNXIYKUUAUUBWEWDWFWAUUF
      XOYKUUEXOWGKUUCYKUUETXOYKEVEXNXIYIEVEXIWHXDXIVEEWIWJWKWLWMWNWOXCWPXDYIWQZ
      UUHYKLXQUHWRWSWTXAVBXBWB $.

    $( Generalized Euclidean real spaces are subcomplex pre-Hilbert spaces.
       (Contributed by Thierry Arnoux, 23-Jun-2019.)  (Proof shortened by AV,
       22-Jul-2019.) $)
    rrxcph $p |- ( I e. V -> H e. CPreHil ) $=
      ( vx wcel crefld co cfv cr eqid cmul cc0 refld wceq wa 3adant3 wbr rrxval
      vf cfrlm ctcph ccph csca cip cbs ccj c0g rebase remulr refldcj cfield a1i
      re0g w3a csn cxp cmpt fconstmpt wfn wral frlmbasf ffnd cof csupp cdif csu
      cv wo cgsu simpl simpr frlmipval syl22anc wf cfsupp inidm eqidd ffvelrnda
      offval remulcld fmpt3d cvv wfun wss ovexd ffund frlmbasfsupp recnd mul02d
      0red suppofss1d fsuppsssupp regsumsupp syl3anc suppssdm fssdm sstrd ofval
      sselda syldan sumeq2dv eqtrd simp3 eqtr3d wb fsuppimpd cle msqge0d fsum00
      ssfid mpbid r19.21bi adantlr 3adantl3 mul0ord adantr oridm simpl1 suppssr
      sylib ssidd eqeq1d bitrd bitrdi biimpa undif eleq2d biimpar elun mpjaodan
      cun ralrimiva fconstfv c0ex mpan eqtr3di breqtrrd fconst2 syl2anc crg cdr
      sylbb1 ccrg isfld mpbi simpli drngring ax-mp 3ad2ant1 3eqtr4a cjre adantl
      frlm0 frlmphl ccnfld cress frlmsca df-refld simpr1 simpr3 fsumge0 tcphcph
      id resqrtcld eqeltrd ) CDHZBICUCJZUDKZUEBCDEUAUVIUBUVJUFKZUVKUVJUGKZLUVJU
      HKZUVJUVKMUVNMZUVLMUVIGLINUBUVMCUIUVJUJKZUVNDUVJOUVJMZUKULUVOUVMMZUVPMUPU
      MIUNHZUVIPUOUVIUBVJZUVNHZUVTUVTUVMJZOQZUQZCOURZUSZGCOUTZUVTUVPGCOVAZUWDUV
      TCVBZGVJZUVTKZOQZGCVCZUVTUWFQZUVIUWAUWIUWCUVIUWARZCLUVTUVNIUVJCLDUVTUVQUK
      UVOVDZVEZSUWDUWLGCUWDUWJCHZRZUWJUVTUVTNVFZJZOVGJZHZUWLUWJCUXBVHZHZUWSUXCR
      ZUWLUWLVKZUWLUXFUWKUWKNJZOQZUXGUWDUXCUXIUWRUWDUXIGUXBUWDUXBUXHGVIZOQZUXIG
      UXBVCZUWDUWBUXJOUVIUWAUWBUXJQUWCUWOUWBIUXAVLJZUXJUWOUVIUVSUWAUWAUWBUXMQUV
      IUWAVMZUVSUWOPUOUVIUWAVNZUXOLINUVTUVTUVMCUVNDUNUVJUVQUKULUVOUVRVOVPZUWOUX
      MUXBUWJUXAKZGVIZUXJUWOCLUXAVQZUXAOVRTZUVIUXMUXRQUWOGCUXHLUXAUWOGCCUWKUWKN
      CUVTUVTDDUWQUWQUXNUXNCVSZUWOUWRRZUWKVTZUYCWBUYBUWKUWKUWOCLUWJUVTUWPWAZUYD
      WCZWDZUWOUXAWEHUXAWFUVTOVRTUXBUVTOVGJZWGUXTUWOUVTUVTUWTWHUWOCLUXAUYFWIUVN
      IUVJCDUVTOUVQUPUVOWJZUWOGCLUVTUVTDNOUXNUWOWMUWPUWPUWOUWJLHZRZUWJUYJUWJUWO
      UYIVNWKWLWNZUVTUXAWEOWOVPUXNGUXACDWPWQUWOUXBUXQUXHGUWOUXCUWRUXQUXHQZUWOUX
      BCUWJUWOUXBUYGCUYKUWOCLUYGUVTUVTOWRUWPWSWTZXBZUWOCCUWKUWKNCUVTUVTDDUWJUWQ
      UWQUXNUXNUYAUYCUYCXAZXCXDXEZXESUVIUWAUWCXFXGUVIUWAUXKUXLXHUWCUWOUXBUXHGUW
      OUYGUXBUWOUVTOUYHXIUYKXMZUWOUXCUWRUXHLHUYNUYEXCZUWOUXCUWROUXHXJTUYNUYBUWK
      UYDXKXCZXLSXNXOXPUWSUXIUXGXHUXCUWSUWKUWKUWSUWKUVIUWAUWRUWKLHUWCUYDXQWKZUY
      TXRZXSXNUWLXTZYCUWSUXEUXQOQZUWLUWSCLLUXADUXBUWJOUWDUXSUWRUVIUWAUXSUWCUYFS
      XSUWSUXBYDUVIUWAUWCUWRYAUWSWMYBUWSVUCUWLUWSVUCUXGUWLUWSVUCUXIUXGUWSUXQUXH
      OUVIUWAUWRUYLUWCUYOXQYEVUAYFVUBYGYHXCUWSUWJUXBUXDYNZHZUXCUXEVKUWDVUEUWRUV
      IUWAVUEUWRXHUWCUWOVUDCUWJUWOUXBCWGVUDCQUYMUXBCYIYCYJSYKUWJUXBUXDYLYCYMYOC
      UWEUVTVQUWIUWMRUWNGCOUVTYPCOUVTYQUUAUUEUUBUVIUWAUVPUWGQUWCUVIUWFUVPUWGIUU
      CHZUVIUWFUVPQIUUDHZVUFVUGIUUFHZUVSVUGVUHRPIUUGUUHUUIIUUJUUKIUVJCDOUVQUPUU
      PYRUWHYSUULUUMUYIUWJUIKUWJQUVIUWJUUNUUOUVIUVFUUQUVIIUVLUURLUUSJUVSUVIIUVL
      QPIUVJCUNDUVQUUTYRUVAYSUVRUVIUVTLHZVUIOUVTXJTZUQRUVTUVIVUIVUIVUJUVBUVIVUI
      VUIVUJUVCUVGUWOOUXMUWBXJUWOOUXJUXMXJUWOUXBUXHGUYQUYRUYSUVDUYPYTUXPYTUVEUV
      H $.

    $( The distance over generalized Euclidean spaces.  Compare with ~ df-rrn .
       (Contributed by Thierry Arnoux, 20-Jun-2019.)  (Proof shortened by AV,
       20-Jul-2019.) $)
    rrxds $p |- ( I e. V
      -> ( f e. B , g e. B |-> ( sqrt ` ( RRfld gsum ( x e. I
         |-> ( ( ( f ` x ) - ( g ` x ) ) ^ 2 ) ) ) ) ) = ( dist ` H ) ) $=
      ( vh wcel cfv crefld co c2 cexp cmpt wceq eqid cr cds cfrlm ctcph cnm csg
      ccom cv cmin cgsu csqrt cmpo rrxval fveq2d clmod cgrp crg recrng srngring
      csr ax-mp frlmlmod mpan lmodgrp tcphds 3syl cxp wf cbs grpsubf cc0 cfsupp
      cmap crab rrxbase rebase re0g frlmbas eqtrd sqxpeqd feq23d mpbird fovrnda
      wbr wfn ffnd fnov sylib rrxnm eqtr2d oveq1d mpteq2dv oveq2d fmpoco w3a wa
      fveq1 cof simp1 simprl adantr eleqtrd 3impb frlmbasmap syl2anc elmapi syl
      simprr inidm eqidd offval simpl frlmsubgval ffvelrnda resubgval mpteq2dva
      a1i 3eqtr4d resubcld fvmpt2d mpoeq3dva 3eqtr2rd ) FGKZEUALMFUBNZUCLZUALZY
      DUDLZYCUELZUFZCDBBMAFAUGZCUGZLZYIDUGZLZUHNZOPNZQZUINZUJLZUKZYBEYDUAEFGHUL
      ZUMYBYCUNKZYCUOKZYHYERMUPKZYBUUAMUSKUUCUQMURUTZMYCFGYCSZVAVBZYCVCZYDYGYFY
      CYDSYFSYGSZVDVEYBYHCDBBMAFYIYJYLYGNZLZOPNZQZUINZUJLZUKYSYBCDJBBBUUIMAFYIJ
      UGZLZOPNZQZUINZUJLZUUNYGYFYBYJYLBBBYGYBBBVFZBYGVGYCVHLZUVBVFZUVBYGVGZYBUU
      AUUBUVDUUFUUGUVBYCYGUVBSZUUHVIVEYBUVABUVCUVBYGYBBUVBYBBUUOVJVKWCJTFVLNZVM
      ZUVBBJEFGHIVNUUCYBUVGUVBRUUDUVGMJYCFTUPGVJUUEVOVPUVGSVQVBVRZVSUVHVTWAZWBY
      BYGUVAWDYGCDBBUUIUKRYBUVABYGUVIWECDBBYGWFWGYBJBUUTQEUDLYFABJEFGHIWHYBEYDU
      DYTUMWIUUOUUIRZUUSUUMUJUVJUURUULMUIUVJAFUUQUUKUVJUUPUUJOPYIUUOUUIWPWJWKWL
      UMWMYBCDBBUUNYRYBYJBKZYLBKZWNZUUMYQUJUVMUULYPMUIUVMAFUUKYOUVMYIFKWOZUUJYN
      OPUVMAFYNUUITUVMYJYLMUELZWQNZAFYKYMUVONZQUUIAFYNQUVMAFFYKYMUVOFYJYLGGUVMF
      TYJUVMYJUVFKZFTYJVGUVMYBYJUVBKZUVRYBUVKUVLWRZYBUVKUVLUVSYBUVKUVLWOZWOZYJB
      UVBYBUVKUVLWSYBBUVBRUWAUVHWTZXAZXBUVBMYCFTGYJUUEVOUVEXCXDYJTFXEXFZWEUVMFT
      YLUVMYLUVFKZFTYLVGUVMYBYLUVBKZUWFUVTYBUVKUVLUWGUWBYLBUVBYBUVKUVLXGUWCXAZX
      BUVBMYCFTGYLUUEVOUVEXCXDYLTFXEXFZWEUVTUVTFXHUVNYKXIUVNYMXIXJYBUVKUVLUUIUV
      PRUWBUVBMYJYLFYGUVOGYCUUEUVEUUCUWBUUDXPYBUWAXKUWDUWHUVOSZUUHXLXBUVMAFYNUV
      QUVNYKTKYMTKYNUVQRUVMFTYIYJUWEXMZUVMFTYIYLUWIXMZUVOYKYMUWJXNXDXOXQUVNYKYM
      UWKUWLXRXSWJXOWLUMXTVRYA $.

    ${
      rrxvsca.r $e |- .xb = ( .s ` H ) $.
      rrxvsca.i $e |- ( ph -> I e. V ) $.
      rrxvsca.j $e |- ( ph -> J e. I ) $.
      rrxvsca.a $e |- ( ph -> A e. RR ) $.
      rrxvsca.x $e |- ( ph -> X e. ( Base ` H ) ) $.
      $( The scalar product over generalized Euclidean spaces is the
         componentwise real number multiplication.  (Contributed by Thierry
         Arnoux, 18-Jan-2023.) $)
      rrxvsca $p |- ( ph -> ( ( A .xb X ) ` J ) = ( A x. ( X ` J ) ) ) $=
        ( co cfv cvsca cbs crefld cfrlm cmul wcel wceq rrxval syl fveq2d syl5eq
        ctcph oveqd fveq1d cr eqid rebase tcphbas eqtr4di eleqtrd eqcomi remulr
        tcphvsca frlmvscaval eqtrd ) AGBIDQZRGBIUAFUBQZUJRZSRZQZRBGIRUCQAGVDVHA
        DVGBIADESRVGLAEVFSAFHUDEVFUEMEFHJUFUGZUHUIUKULABVETRZUAVGUCFGUMHIVEVEUN
        VJUNZUOMOAIETRZVJPAVLVFTRVJAEVFTVIUHVFVJVEVFUNZVKUPUQURNVESRZVGVNVFVEVM
        VNUNVAUSUTVBVC $.
    $}

    ${
      $d A i $.  $d C i $.  $d I i $.  $d X i $.  $d Y i $.  $d Z i $.
      $d ph i $.
      rrxplusgvscavalb.r $e |- .xb = ( .s ` H ) $.
      rrxplusgvscavalb.i $e |- ( ph -> I e. V ) $.
      rrxplusgvscavalb.a $e |- ( ph -> A e. RR ) $.
      rrxplusgvscavalb.x $e |- ( ph -> X e. B ) $.
      rrxplusgvscavalb.y $e |- ( ph -> Y e. B ) $.
      rrxplusgvscavalb.z $e |- ( ph -> Z e. B ) $.
      rrxplusgvscavalb.p $e |- .+b = ( +g ` H ) $.
      rrxplusgvscavalb.c $e |- ( ph -> C e. RR ) $.
      $( The result of the addition combined with scalar multiplication in a
         generalized Euclidean space is defined by its coordinate-wise
         operations.  (Contributed by AV, 21-Jan-2023.) $)
      rrxplusgvscavalb $p |- ( ph -> ( Z = ( ( A .xb X ) .+b ( C .xb Y ) )
                     <-> A. i e. I ( Z ` i ) = ( ( A x. ( X ` i ) )
                                                 + ( C x. ( Y ` i ) ) ) ) ) $=
        ( co wceq crefld cfrlm ctcph cfv cvsca cplusg cv cmul caddc wral rrxval
        wcel syl fveq2d syl5eq oveqd oveq123d eqeq2d cr tcphbas 3eqtr4g eleqtrd
        cbs eqid csr recrng srngring mp1i rebase tcphvsca eqcomi remulr replusg
        crg tchplusg frlmvplusgscavalb bitrd ) AMBKFUDZDLFUDZEUDZUEMBKUFIUGUDZU
        HUIZUJUIZUDZDLWHUDZWGUKUIZUDZUEGULZMUIBWMKUIUMUDDWMLUIUMUDUNUDUEGIUOAWE
        WLMAWCWIWDWJEWKAEHUKUIWKUBAHWGUKAIJUQHWGUEQHIJNUPURZUSUTAFWHBKAFHUJUIWH
        PAHWGUJWNUSUTZVAAFWHDLWOVAVBVCABWFVHUIZDUNWKUFWHUMGWFIVDJKLMWFVIWPVIZQA
        KCWPSAHVHUIWGVHUICWPAHWGVHWNUSOWGWPWFWGVIZWQVEVFZVGAMCWPUAWSVGUFVJUQUFV
        SUQAVKUFVLVMVNRWFUJUIZWHWTWGWFWRWTVIVOVPVQALCWPTWSVGVRWFUKUIZWKXAWGWFWR
        XAVIVTVPUCWAWB $.
    $}
  $}

  ${
    $d H x $.  $d I x $.
    rrxsca.r $e |- H = ( RR^ ` I ) $.
    $( The field of real numbers is the scalar field of the generalized real
       Euclidean space.  (Contributed by AV, 15-Jan-2023.) $)
    rrxsca $p |- ( I e. V -> ( Scalar ` H ) = RRfld ) $=
      ( vx wcel csca cfv crefld cr cbs eqid cvv wceq fvex mp1i a1i cfield eqtrd
      co csra csn cxp cprds cress ctcph rrxprds fveq2d cv csqrt cmpt ctng mptex
      cip tngsca eqcomd tcphval fveq2i refld snex xpexd prdssca resssca 3eqtr4d
      id ) BCFZAGHIBJIUAHHZUBZUCZUDTZAKHZUETZUFHZGHZIVFAVMGVKABCDVKLUGUHVFVLEVL
      KHZEUIZVPVLUNHZTUJHZUKZULTZGHZVLGHZVNIVSMFZWAWBNVFEVOVRVLKOUMWCWBWAVTWBVL
      VSMVTLWBLUOUPPVNWANVFVMVTGEVMVQVOVLVMLVOLVQLUQURQVFIVJGHZWBVFVJVIIRMVJLIR
      FVFUSQVFBVHCMVFVEVHMFVFVGUTQVAVBVKMFWDWBNVFAKOVKWDVJVLMVLLWDLVCPSVDS $.

    rrx0.0 $e |- .0. = ( I X. { 0 } ) $.
    $( The zero ("origin") in a generalized real Euclidean space.  (Contributed
       by AV, 11-Feb-2023.) $)
    rrx0 $p |- ( I e. V -> ( 0g ` H ) = .0. ) $=
      ( vx wcel c0g cfv crefld cfrlm co ctcph fveq2d cbs wceq eqid cvv cc0 cmpt
      rrxval cv cip csqrt ctng tcphval a1i fvexd mptexd tng0 syl csn cxp cfield
      crg refld cdr ccrg wa isfld drngring adantr sylbi ax-mp re0g mpan eqtr2id
      frlm0 3eqtr2d eqtrd ) BCHZAIJKBLMZNJZIJZDVLAVNIABCEUBOVLVOVMGVMPJZGUCZVQV
      MUDJZMUEJZUAZUFMZIJZVMIJZDVLVNWAIVNWAQVLGVNVRVPVMVNRVPRVRRUGUHOVLVTSHWCWB
      QVLGVPVSSVLVMPUIUJWAVMVTSWCWARWCRUKULVLDBTUMUNZWCFKUPHZVLWDWCQKUOHZWEUQWF
      KURHZKUSHZUTWEKVAWGWEWHKVBVCVDVEKVMBCTVMRVFVIVGVHVJVK $.
  $}

  ${
    rrx0el.0 $e |- .0. = ( I X. { 0 } ) $.
    rrx0el.p $e |- P = ( RR ^m I ) $.
    $( The zero ("origin") in a generalized real Euclidean space is an element
       of its base set.  (Contributed by AV, 11-Feb-2023.) $)
    rrx0el $p |- ( I e. V -> .0. e. P ) $=
      ( wcel cc0 csn cxp cr cmap co wf c0ex fconst a1i wss 0re cvv wb mpbi fssd
      snssg ax-mp reex id elmapd mpbird 3eltr4g ) BCGZBHIZJZKBLMZDAUKUMUNGBKUMN
      UKBULKUMBULUMNUKBHOPQULKRZUKHKGZUOSUPUPUOUASHKKUDUEUBQUCUKKBUMTCKTGUKUFQU
      KUGUHUIEFUJ $.
  $}

  ${
    $d k x A $.  $d x B $.  $d x C $.  $d k x ph $.
    csbrn.1 $e |- ( ph -> A e. Fin ) $.
    csbrn.2 $e |- ( ( ph /\ k e. A ) -> B e. RR ) $.
    csbrn.3 $e |- ( ( ph /\ k e. A ) -> C e. RR ) $.
    $( Cauchy-Schwarz-Bunjakovsky inequality for R^n.  (Contributed by Jeff
       Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro, 4-Jun-2014.) $)
    csbren $p |- ( ph -> ( sum_ k e. A ( B x. C ) ^ 2 ) <_
                        ( sum_ k e. A ( B ^ 2 ) x. sum_ k e. A ( C ^ 2 ) ) ) $=
      ( cmul co csu c2 cexp cle c4 wcel recnd cr caddc adantlr vx wbr cc 2cn cv
      wceq wa remulcld fsumrecl sqmul sylancr sq2 oveq1i eqtrdi cc0 resqcld 2re
      cmin remulcl cfn adantr simplr sqge0d binom2 syl2anc sqmuld mul32d oveq2d
      readdcld 2cnd mulassd eqtr4d oveq12d oveq1d eqtrd breqtrd fsumge0 fsumadd
      addcld simpr sqcld fsummulc1 fsummulc2 discr 4re suble0d eqbrtrrd clt a1i
      mpbid wb 4pos lemul2 syl112anc mpbird ) ABCDIJZEKZLMJZBCLMJZEKZBDLMJZEKZI
      JZNUBZOWRIJZOXCIJZNUBZALWQIJZLMJZXEXFNAXILLMJZWRIJZXEALUCPWQUCPXIXKUFUDAW
      QABWPEFAEUEBPZUGZCDGHUHZUIZQLWQUJUKXJOWRIULUMUNAXIXFURJUONUBXIXFNUBAUAWTX
      HXBABWSEFXMCGUPZUIZALRPZWQRPXHRPUQXOLWQUSUKZABXAEFXMDHUPZUIZAUAUEZRPZUGZU
      OBWSYBLMJZIJZLWPIJZYBIJZSJZXASJZEKZWTYEIJZXHYBIJZSJZXBSJZNYDBYJEABUTPYCFV
      AZYDXLUGZYIXAYQYFYHYQWSYEAXLWSRPYCXPTZYQYBAYCXLVBZUPUHZYQYGYBAXLYGRPZYCXM
      XRWPRPZUUAUQXNLWPUSUKZTYSUHZVIAXLXARPYCXTTZVIYQUOCYBIJZDSJZLMJZYJNYQUUGYQ
      UUFDYQCYBAXLCRPYCGTZYSUHZAXLDRPYCHTZVIVCYQUUHUUFLMJZLUUFDIJZIJZSJZXASJZYJ
      YQUUFUCPDUCPUUHUUPUFYQUUFUUJQYQDUUKQZUUFDVDVEYQUUOYIXASYQUULYFUUNYHSYQCYB
      YQCUUIQZYQYBYSQZVFYQUUNLWPYBIJZIJYHYQUUMUUTLIYQCYBDUURUUSUUQVGVHYQLWPYBYQ
      VJYQWPAXLUUBYCXNTQZUUSVKVLVMVNVOVPVQYDYKBYIEKZXBSJYOYDBYIXAEYPYQYFYHYQYFY
      TQZYQYHUUDQZVSYQXAUUEQVRYDUVBYNXBSYDUVBBYFEKZBYHEKZSJYNYDBYFYHEYPUVCUVDVR
      YDYLUVEYMUVFSYDBWSYEEYPYDYBYDYBAYCVTQZWAYQWSYRQWBYDYMBYGEKZYBIJUVFYDXHUVH
      YBIYDBWPLEYPYDVJUVAWCVNYDBYGYBEYPUVGAXLYGUCPYCXMYGUUCQTWBVOVMVLVNVOVPWDAX
      IXFAXHXSUPAORPZXCRPZXFRPWEAWTXBXQYAUHZOXCUSUKWFWJWGAWRRPUVJUVIUOOWHUBZXDX
      GWKAWQXOUPUVKUVIAWEWIUVLAWLWIWRXCOWMWNWO $.

    $( Triangle inequality in R^n.  (Contributed by Jeff Madsen, 2-Sep-2009.)
       (Revised by Mario Carneiro, 4-Jun-2014.) $)
    trirn $p |- ( ph -> ( sqrt ` sum_ k e. A ( ( B + C ) ^ 2 ) ) <_
   ( ( sqrt ` sum_ k e. A ( B ^ 2 ) ) + ( sqrt ` sum_ k e. A ( C ^ 2 ) ) ) ) $=
      ( caddc co c2 cexp csu cle wbr cmul wcel cr recnd wceq cfv cv resqcld 2re
      csqrt remulcld remulcl sylancr readdcld fsumrecl sqge0d fsumge0 resqrtcld
      mulge0d fsumadd 2cnd fsummulc2 cabs abscld leabsd csbren absresq resqrtth
      syl cc0 syl2anc 3brtr4d absge0d sqrtge0d le2sqd mpbird letrd clt a1i 2pos
      wa wb lemul2 syl112anc mpbid eqbrtrrd leadd2dd eqbrtrd leadd1dd cc binom2
      sumeq2dv eqtrd sqrtmuld eqcomd oveq2d oveq12d addge0d ) ABCDIJZKLJZEMZUEU
      AZBCKLJZEMZUEUAZBDKLJZEMZUEUAZIJZNOWQKLJZXDKLJZNOABWRKCDPJZPJZIJZEMZXBIJZ
      WSKWSXBPJZUEUAZPJZIJZXBIJZXEXFNAXJXOXBABXIEFAEUBBQVPZWRXHXQCGUCZXQKRQZXGR
      QXHRQUDXQCDGHUFZKXGUGUHZUIZUJAWSXNABWREFXRUJZAXSXMRQZXNRQUDAXLAWSXBYCABXA
      EFXQDHUCZUJZUFZAWSXBYCYFABWREFXRXQCGUKULZABXAEFYEXQDHUKULZUNZUMZKXMUGUHZU
      IYFAXJWSBXHEMZIJXONABWRXHEFXQWRXRSXQXHYASUOAYMXNWSABXHEFYAUJYLYCAKBXGEMZP
      JZYMXNNABXGKEFAUPXQXGXTSUQAYNXMNOZYOXNNOZAYNYNURUAZXMABXGEFXTUJZAYNAYNYSS
      ZUSZYKAYNYSUTAYRXMNOYRKLJZXMKLJZNOAYNKLJZXLUUBUUCNABCDEFGHVAAYNRQZUUBUUDT
      YSYNVBVDAXLRQVEXLNOUUCXLTYGYJXLVCVFVGAYRXMUUAYKAYNYTVHAXLYGYJVIVJVKVLAUUE
      YDXSVEKVMOZYPYQVQYSYKXSAUDVNUUFAVOVNYNXMKVRVSVTWAWBWCWDAXEWPXKAWPRQVEWPNO
      XEWPTABWOEFXQWNXQCDGHUIZUCZUJZABWOEFUUHXQWNUUGUKULZWPVCVFAWPBXIXAIJZEMXKA
      BWOUUKEXQCWEQDWEQWOUUKTXQCGSXQDHSCDWFVFWGABXIXAEFXQXIYBSXQXAYESUOWHWHAXFW
      TKLJZKWTXCPJZPJZIJZXCKLJZIJZXPAWTWEQXCWEQXFUUQTAWTAWSYCYHUMZSAXCAXBYFYIUM
      ZSWTXCWFVFAUUOXOUUPXBIAUULWSUUNXNIAWSRQVEWSNOUULWSTYCYHWSVCVFAUUMXMKPAXMU
      UMAWSXBYCYHYFYIWIWJWKWLAXBRQVEXBNOUUPXBTYFYIXBVCVFWLWHVGAWQXDAWPUUIUUJUMA
      WTXCUURUUSUIAWPUUIUUJVIAWTXCUURUUSAWSYCYHVIAXBYFYIVIWMVJVK $.
  $}

  ${
    $d A k $.  $d D f g x y z $.  $d F f g h k x $.  $d G f g h k x $.
    $d I f g h k x y z $.  $d V f g h k x y z $.  $d X f g k x y z $.
    rrxmval.1 $e |- X = { h e. ( RR ^m I ) | h finSupp 0 } $.
    ${
      rrxf.1 $e |- ( ph -> F e. X ) $.
      $( Euclidean vectors as functions.  (Contributed by Thierry Arnoux,
         7-Jul-2019.) $)
      rrxf $p |- ( ph -> F : I --> RR ) $=
        ( cr cmap co wcel wf cv cc0 cfsupp wbr ssrab3 sselid elmapi syl ) ACHDI
        JZKDHCLAEUACBMNOPBUAEFQGRCHDST $.

      $( Euclidean vectors are of finite support.  (Contributed by Thierry
         Arnoux, 7-Jul-2019.) $)
      rrxfsupp $p |- ( ph -> ( F supp 0 ) e. Fin ) $=
        ( cc0 cr cmap co wcel cfsupp wbr cv crab wa eleqtrdi breq1 elrab simprd
        sylib fsuppimpd ) ACHACIDJKZLZCHMNZACBOZHMNZBUDPZLUEUFQACEUIGFRUHUFBCUD
        UGCHMSTUBUAUC $.

      $( Support of Euclidean vectors.  (Contributed by Thierry Arnoux,
         7-Jul-2019.) $)
      rrxsuppss $p |- ( ph -> ( F supp 0 ) C_ I ) $=
        ( cr cc0 csupp co suppssdm rrxf fssdm ) ADHCIJKCCILABCDEFGMN $.
    $}

    $( Support of the function used for building the distance .  (Contributed
       by Thierry Arnoux, 30-Jun-2019.) $)
    rrxmvallem $p |- ( ( I e. V /\ F e. X /\ G e. X ) ->
        ( ( k e. I |-> ( ( ( F ` k ) - ( G ` k ) ) ^ 2 ) ) supp 0 )
      C_ ( ( F supp 0 ) u. ( G supp 0 ) ) ) $=
      ( vx wcel cfv co c2 cexp cc0 crab wa wceq cc cr w3a cv cmin wne cun csupp
      cmpt wo wn simprl 0cn eqeltrdi simprr eqtr4d subeq0bd sq0id ex wb anbi12i
      ioran nne bitri a1i eqidd fveq2d oveq12d oveq1d ovex fvmptd neeq1d bicomd
      simpr necon1bbid 3imtr4d con4d ss2rabdv unrab sseqtrrdi simp1 eqid fnmpti
      cvv wfn suppvalfn mp3an13 syl cmap wf cfsupp wbr elrabi eleq2s elmapi ffn
      3syl 3ad2ant2 syl3anc 3ad2ant3 uneq12d 3sstr4d ) EFJZCGJZDGJZUAZIUBZBEBUB
      ZCKZXFDKZUCLZMNLZUGZKZOUDZIEPZXECKZOUDZIEPZXEDKZOUDZIEPZUEZXKOUFLZCOUFLZD
      OUFLZUEXDXNXPXSUHZIEPYAXDXMYEIEXDXEEJZQZYEXMYGXOORZXRORZQZXOXRUCLZMNLZORZ
      YEUIZXMUIYGYJYMYGYJQZYKYOXOXRYOXOOSYGYHYIUJZUKULYOXOOXRYPYGYHYIUMUNUOUPUQ
      YNYJURYGYNXPUIZXSUIZQYJXPXSUTYQYHYRYIXOOVAXROVAUSVBVCYGXMYLOYGXMYLOUDYGXL
      YLOYGBXEXJYLEXKWBYGXKVDYGXFXERZQZXIYKMNYTXGXOXHXRUCYTXFXECYGYSVLZVEYTXFXE
      DUUAVEVFVGXDYFVLYLWBJYGYKMNVHVCVIVJVKVMVNVOVPXPXSIEVQVRXDXAYBXNRZXAXBXCVS
      ZXKEWCXAOSJZUUBBEXJXKXIMNVHXKVTWAUKIXKFSEOWDWEWFXDYCXQYDXTXDCEWCZXAUUDYCX
      QRXBXAUUEXCXBCTEWGLZJZETCWHUUEUUGCAUBOWIWJZAUUFPZGUUHACUUFWKHWLCTEWMETCWN
      WOWPUUCUUDXDUKVCZICFSEOWDWQXDDEWCZXAUUDYDXTRXCXAUUKXBXCDUUFJZETDWHUUKUULD
      UUIGUUHADUUFWKHWLDTEWMETDWNWOWRUUCUUJIDFSEOWDWQWSWT $.

    rrxmval.d $e |- D = ( dist ` ( RR^ ` I ) ) $.
    $( The value of the Euclidean metric.  Compare with ~ rrnmval .
       (Contributed by Thierry Arnoux, 30-Jun-2019.) $)
    rrxmval $p |- ( ( I e. V /\ F e. X /\ G e. X ) -> ( F D G ) =
        ( sqrt ` sum_ k e. ( ( F supp 0 ) u. ( G supp 0 ) )
        ( ( ( F ` k ) - ( G ` k ) ) ^ 2 ) ) ) $=
      ( vf vg vx wcel cfv co c2 cc0 wceq cr crefld cv cmin cexp cmpt cgsu csqrt
      w3a csupp cun csu cvv cmpo crrx cbs cds eqid eqtr4id cfsupp wbr cmap crab
      rrxds rrxbase mpoeq12 syl2anc eqtr4d 3ad2ant1 simprl fveq1d simprr oveq1d
      wa oveq12d mpteq2dv oveq2d wf simp2 rrxf ffvelrnda simp3 resubcld resqcld
      fmpttd rrxfsupp unfi rrxmvallem ssfid wb mptexg wfun cc funmpt funisfsupp
      cfn 0cn mp3an13 syl mpbird simp1 regsumsupp syl3anc wss cdm dmmptss sstri
      suppssdm a1i sselda eqidd simpr fveq2d ovexd fvmptd eqcomd sumeq2dv recnd
      syldan adantr subcld sqcld cdif rrxsuppss unssd ssdifd ssidd 0cnd suppssr
      ssdifssd eqtrd fsumss 3eqtrd fvexd ovmpod ) FGNZDHNZEHNZUHZKLDEHHUAMFMUBZ
      KUBZOZYSLUBZOZUCPZQUDPZUEZUFPZUGOZDRUIPZERUIPZUJZCUBZDOZUULEOZUCPZQUDPZCU
      KZUGOAULYOYPAKLHHUUHUMZSYQYOAKLFUNOZUOOZUUTUUHUMZUURYOAUUSUPOUVAJMUUTKLUU
      SFGUUSUQZUUTUQZVCURYOHUUTSZUVDUURUVASYOHBUBRUSUTBTFVAPVBUUTIUUTBUUSFGUVBU
      VCVDURZUVEKLHHUUTUUTUUHVEVFVGVHYRYTDSZUUBESZVMZVMZUUGUUQUGUVIUUGUAMFYSDOZ
      YSEOZUCPZQUDPZUEZUFPZUVNRUIPZUUPCUKZUUQUVIUUFUVNUAUFUVIMFUUEUVMUVIUUDUVLQ
      UDUVIUUAUVJUUCUVKUCUVIYSYTDYRUVFUVGVIVJUVIYSUUBEYRUVFUVGVKVJVNVLVOVPYRUVO
      UVQSUVHYRUVOUVPUULUVNOZCUKZUVQYRFTUVNVQUVNRUSUTZYOUVOUVSSYRMFUVMTYRYSFNVM
      ZUVLUWAUVJUVKYRFTYSDYRBDFHIYOYPYQVRZVSZVTYRFTYSEYRBEFHIYOYPYQWAZVSZVTWBWC
      WDZYRUVTUVPWONZYRUUKUVPYRUUIWONUUJWONUUKWONYRBDFHIUWBWEYRBEFHIUWDWEUUIUUJ
      WFVFZBMDEFGHIWGZWHYOYPUVTUWGWIZYQYOUVNULNZUWJMFUVMGWJUVNWKUWKRWLNUWJMFUVM
      WMWPUVNULWLRWNWQWRVHWSYOYPYQWTZCUVNFGXAXBYRUVPUUPUVRCYRUULUVPNZUULFNZUUPU
      VRSZYRUVPFUULUVPFXCYRUVPUVNXDFUVNRXGMFUVMUVNUVNUQXEXFXHXIZYRUWNVMZUVRUUPU
      WQMUULUVMUUPFUVNULUWQUVNXJUWQYSUULSZVMZUVLUUOQUDUWSUVJUUMUVKUUNUCUWSYSUUL
      DUWQUWRXKZXLUWSYSUULEUWTXLVNVLYRUWNXKUWQUUOQUDXMXNXOZXRXPVGXSYRUVQUUQSUVH
      YRUVPUUKUUPCUWIYRUWMUWNUUPWLNUWPUWQUUOUWQUUMUUNUWQUUMYRFTUULDUWCVTXQUWQUU
      NYRFTUULEUWEVTXQXTYAXRYRUULUUKUVPYBZNZVMUUPUVRRYRUXCUWNUWOYRUXBFUULYRUUKF
      UVPYRUUIUUJFYRBDFHIUWBYCYRBEFHIUWDYCYDZYIXIUXAXRYRUXCUULFUVPYBZNUVRRSYRUX
      BUXEUULYRUUKFUVPUXDYEXIYRFTWLUVNGUVPUULRUWFYRUVPYFUWLYRYGYHXRYJUWHYKXSYLX
      LUWBUWDYRUUQUGYMYN $.

    $( The value of the Euclidean metric.  Compare with ~ rrnval .
       (Contributed by Thierry Arnoux, 30-Jun-2019.) $)
    rrxmfval $p |- ( I e. V -> D = ( f e. X , g e. X |->
        ( sqrt ` sum_ k e. ( ( f supp 0 ) u. ( g supp 0 ) )
        ( ( ( f ` k ) - ( g ` k ) ) ^ 2 ) ) ) ) $=
      ( vx cv co cmpo cc0 csupp cfv cmin csqrt eqid wcel cun cexp csu wceq crrx
      c2 cxp wfn cbs crefld cmpt cgsu fvex fnmpoi cds rrxds eqtr4id cfsupp cmap
      cr crab rrxbase sqxpeqd fneq12d mpbiri fnov sylib rrxmval mpoeq3dva eqtrd
      wbr ) FGUAZABCHHBLZCLZAMZNZBCHHVNOPMVOOPMUBELZVNQVRVOQRMUGUCMEUDSQZNVMAHH
      UHZUIZAVQUEVMWABCFUFQZUJQZWCUKKFKLZVNQWDVOQRMUGUCMULUMMZSQZNZWCWCUHZUIBCW
      CWCWFWGWGTWESUNUOVMVTWHAWGVMAWBUPQWGJKWCBCWBFGWBTZWCTZUQURVMHWCVMHDLOUSVL
      DVAFUTMVBWCIWCDWBFGWIWJVCURVDVEVFBCHHAVGVHVMBCHHVPVSADEVNVOFGHIJVIVJVK $.

    ${
      $d ph k $.
      rrxmetlem.1 $e |- ( ph -> I e. V ) $.
      rrxmetlem.2 $e |- ( ph -> F e. X ) $.
      rrxmetlem.3 $e |- ( ph -> G e. X ) $.
      rrxmetlem.4 $e |- ( ph -> A C_ I ) $.
      rrxmetlem.5 $e |- ( ph -> A e. Fin ) $.
      rrxmetlem.6 $e |- ( ph -> ( ( F supp 0 ) u. ( G supp 0 ) ) C_ A ) $.
      $( Lemma for ~ rrxmet .  (Contributed by Thierry Arnoux, 5-Jul-2019.) $)
      rrxmetlem $p |- ( ph -> sum_ k e. ( ( F supp 0 ) u. ( G supp 0 ) )
        ( ( ( F ` k ) - ( G ` k ) ) ^ 2 )
        = sum_ k e. A ( ( ( F ` k ) - ( G ` k ) ) ^ 2 ) ) $=
        ( cc0 wcel csupp co cun cv cmin c2 cexp wa cc sstrd sselda cr ffvelrnda
        cfv rrxf recnd syldan subcld sqcld cdif wceq ssdifd simpr eldifad ssun1
        wss a1i 0red suppssr ssun2 eqtr4d subeq0bd sq0id fsumss ) AFSUAUBZGSUAU
        BZUCZBEUDZFUNZVRGUNZUEUBZUFUGUBZERAVRVQTZUHZWAWDVSVTAWCVRHTZVSUITZAVQHV
        RAVQBHRPUJUKZAWEUHZVSAHULVRFADFHJKNUOZUMUPZUQAWCWEVTUITWGWHVTAHULVRGADG
        HJKOUOZUMUPUQURUSAVRBVQUTZTVRHVQUTZTZWBSVAAWLWMVRABHVQPVBUKAWNUHZWAWOVS
        VTAWNWEWFWOVRHVQAWNVCVDWJUQWOVSSVTAHULULFIVQVRSWIVOVQVFAVOVPVEVGMAVHZVI
        AHULULGIVQVRSWKVPVQVFAVPVOVJVGMWPVIVKVLVMUQQVN $.
    $}

    $( Euclidean space is a metric space.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Proof shortened by Mario Carneiro, 5-Jun-2014.)  (Revised
       by Thierry Arnoux, 30-Jun-2019.) $)
    rrxmet $p |- ( I e. V -> D e. ( Met ` X ) ) $=
      ( vx vy vk wcel cr co cc0 wceq caddc wral wa cfv csqrt vz cxp wf cle cmet
      cv wb wbr csupp cun cmin c2 cexp csu cmpo cfn simprl rrxfsupp simprr unfi
      syl2anc rrxsuppss unssd sselda ffvelrnda resubcld resqcld syldan fsumrecl
      rrxf sqge0d fsumge0 resqrtcld ralrimivva eqid sylib rrxmfval feq1d mpbird
      fmpo sqrt00 fsum00 recnd sqeq0 syl subeq0ad bitrd ralbidva 3bitrd rrxmval
      3expb eqeq1d wfn ffnd eqfnfv cdif wss ssun1 a1i simpl 0red suppssr eqtr4d
      cc ssun2 ralrimiva raldifeq bitr4d 3bitr4d w3a 3adant2 simp2 3expa adantr
      an32s simpr adantlr trirn npncand oveq1d sumeq2dv sqsubswap 3brtr3d simp1
      fveq2d rrxmetlem eqtrd 3adant3r 3adant3l oveq12d sstri 3brtr4d jca cfsupp
      cvv cmap ovex rabex2 ismet ax-mp sylanbrc ) CDKZEEUBZLAUCZHUFZIUFZAMZNOZU
      UEUUFOZUGZUUGUAUFZUUEAMZUUKUUFAMZPMZUDUHZUAEQZRZIEQHEQZAEUESKZUUBUUDUUCLH
      IEEUUENUIMZUUFNUIMZUJZJUFZUUESZUVCUUFSZUKMZULUMMZJUNZTSZUOZUCZUUBUVILKZIE
      QHEQUVKUUBUVLHIEEUUBUUEEKZUUFEKZRZRZUVHUVPUVBUVGJUVPUUTUPKUVAUPKUVBUPKZUV
      PBUUECEFUUBUVMUVNUQZURUVPBUUFCEFUUBUVMUVNUSZURUUTUVAUTVAZUVPUVCUVBKZUVCCK
      ZUVGLKUVPUVBCUVCUVPUUTUVACUVPBUUECEFUVRVBUVPBUUFCEFUVSVBVCZVDZUVPUWBRZUVF
      UWEUVDUVEUVPCLUVCUUEUVPBUUECEFUVRVJZVEZUVPCLUVCUUFUVPBUUFCEFUVSVJZVEZVFZV
      GVHZVIZUVPUVBUVGJUVTUWKUVPUWAUWBNUVGUDUHUWDUWEUVFUWJVKVHZVLZVMVNHIEEUVILU
      VJUVJVOVTVPUUBUUCLAUVJAHIBJCDEFGVQVRVSUUBUUQHIEEUVPUUJUUPUVPUVINOZUVDUVEO
      ZJUVBQZUUHUUIUVPUWOUVHNOZUVGNOZJUVBQUWQUVPUVHLKNUVHUDUHUWOUWRUGUWLUWNUVHW
      AVAUVPUVBUVGJUVTUWKUWMWBUVPUWSUWPJUVBUVPUWAUWBUWSUWPUGUWDUWEUWSUVFNOZUWPU
      WEUVFXDKUWSUWTUGUWEUVFUWJWCUVFWDWEUWEUVDUVEUWEUVDUWGWCZUWEUVEUWIWCZWFWGVH
      WHWIUVPUUGUVINUUBUVMUVNUUGUVIOZABJUUEUUFCDEFGWJWKZWLUVPUUIUWPJCQZUWQUVPUU
      ECWMUUFCWMUUIUXEUGUVPCLUUEUWFWNUVPCLUUFUWHWNJCUUEUUFWOVAUVPUWPJUVBCUWCUVP
      UWPJCUVBWPZUVPUVCUXFKRUVDNUVEUVPCLLUUEDUVBUVCNUWFUUTUVBWQUVPUUTUVAWRZWSUU
      BUVOWTZUVPXAZXBUVPCLLUUFDUVBUVCNUWHUVAUVBWQUVPUVAUUTXEZWSUXHUXIXBXCXFXGXH
      XIUVPUUOUAEUVPUUKEKZRZUVBUUKNUIMZUJZUVGJUNZTSZUXNUVCUUKSZUVDUKMULUMMZJUNZ
      TSZUXNUXQUVEUKMZULUMMZJUNZTSZPMZUUGUUNUDUXLUXNUVDUXQUKMZUYAPMZULUMMZJUNZT
      SUXNUYFULUMMZJUNZTSZUYDPMUXPUYEUDUXLUXNUYFUYAJUUBUXKUVOUXNUPKZUUBUXKUVOUY
      MUUBUXKUVOXJZUVQUXMUPKUYMUUBUVOUVQUXKUVTXKUYNBUUKCEFUUBUXKUVOXLZURUVBUXMU
      TVAZXMXOUXLUVCUXNKZUWBUYFLKUXLUXNCUVCUXLUVBUXMCUVPUVBCWQUXKUWCXNUXLBUUKCE
      FUVPUXKXPZVBVCVDZUXLUWBRZUVDUXQUVPUWBUVDLKUXKUWGXQUXLCLUVCUUKUXLBUUKCEFUY
      RVJVEZVFVHUXLUYQUWBUYALKUYSUYTUXQUVEVUAUVPUWBUVELKUXKUWIXQVFVHXRUXLUYIUXO
      TUXLUXNUYHUVGJUXLUYQUWBUYHUVGOUYSUYTUYGUVFULUMUYTUVDUXQUVEUVPUWBUVDXDKZUX
      KUXAXQZUYTUXQVUAWCZUVPUWBUVEXDKUXKUXBXQXSXTVHYAYEUXLUYLUXTUYDPUXLUYKUXSTU
      XLUXNUYJUXRJUXLUYQUWBUYJUXROZUYSUYTVUBUXQXDKVUEVUCVUDUVDUXQYBVAVHYAYEXTYC
      UXLUUGUVIUXPUVPUXCUXKUXDXNUUBUXKUVOUVIUXPOZUUBUXKUVOVUFUYNUVHUXOTUYNUXNAB
      JUUEUUFCDEFGUUBUXKUVOYDZUUBUVOUVMUXKUVRXKZUUBUVOUVNUXKUVSXKZUYNUVBUXMCUYN
      UUTUVACUYNBUUECEFVUHVBUYNBUUFCEFVUIVBVCUYNBUUKCEFUYOVBVCZUYPUVBUXNWQUYNUV
      BUXMWRZWSYFYEXMXOYGUUBUXKUVOUUNUYEOZUUBUXKUVOVULUYNUUNUXMUUTUJUXRJUNZTSZU
      XMUVAUJUYBJUNZTSZPMUYEUYNUULVUNUUMVUPPUUBUXKUVMUULVUNOUVNABJUUKUUECDEFGWJ
      YHUUBUXKUVNUUMVUPOUVMABJUUKUUFCDEFGWJYIYJUYNVUNUXTVUPUYDPUYNVUMUXSTUYNUXN
      ABJUUKUUECDEFGVUGUYOVUHVUJUYPUYNUXMUUTUXNUXMUXNWQUYNUXMUVBXEWSZUUTUXNWQUY
      NUUTUVBUXNUXGVUKYKWSVCYFYEUYNVUOUYCTUYNUXNABJUUKUUFCDEFGVUGUYOVUIVUJUYPUY
      NUXMUVAUXNVUQUVAUXNWQUYNUVAUVBUXNUXJVUKYKWSVCYFYEYJYGXMXOYLXFYMVNEYOKUUSU
      UDUURRUGBUFNYNUHBLCYPMEFLCYPYQYRHIUAYOAEYSYTUUA $.

    rrxdstprj1.1 $e |- M = ( ( abs o. - ) |` ( RR X. RR ) ) $.
    $( The distance between two points in Euclidean space is greater than the
       distance between the projections onto one coordinate.  (Contributed by
       Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro, 13-Sep-2015.)
       (Revised by Thierry Arnoux, 7-Jul-2019.) $)
    rrxdstprj1 $p |- ( ( ( I e. V /\ A e. I ) /\ ( F e. X /\ G e. X
                    ) ) -> ( ( F ` A ) M ( G ` A ) ) <_ ( F D G ) ) $=
      ( wcel wa cc0 co cfv cle cr wceq vk csupp cun wbr cdif simplll simpr cmin
      simplr cabs cv c2 cexp csu csqrt simprl rrxfsupp simprr syl2anc rrxsuppss
      cfn unfi unssd sselda rrxf ffvelrnda resubcld resqcld syldan sqge0d fveq2
      oveq12d oveq1d fsumge1 ffvelrnd absresq fsumrecl fsumge0 resqrtth 3brtr4d
      sseldd syl recnd abscld resqrtcld absge0d le2sqd mpbird remetdval rrxmval
      sqrtge0d 3expb adantlr syl21anc simplrl wss ssun1 sscond ssidd simpl 0red
      suppssr eqeltrd simplrr ssun2 0m0e0 eqtrdi abs00bd eqtrd rrxmet ad3antrrr
      a1i cmet metge0 syl3anc eqbrtrd wo undif sylib eleqtrrd elun mpjaodan ) F
      HMZAFMZNZDIMZEIMZNZNZADOUBPZEOUBPZUCZMZADQZAEQZGPZDEBPZRUDZAFYLUEZMZYIYMN
      YCYMYHYRYCYDYHYMUFYIYMUGYEYHYMUIYCYMNZYHNZYNYOUHPZUJQZYLUAUKZDQZUUEEQZUHP
      ZULUMPZUAUNZUOQZYPYQRUUBUUDUUKRUDUUDULUMPZUUKULUMPZRUDUUBUUCULUMPZUUJUULU
      UMRUUBYLUUIUUNUAAUUBYJVAMYKVAMYLVAMUUBCDFIJUUAYFYGUPZUQUUBCEFIJUUAYFYGURZ
      UQYJYKVBUSZUUBUUEYLMZUUEFMZUUISMUUBYLFUUEUUBYJYKFUUBCDFIJUUOUTUUBCEFIJUUP
      UTVCZVDZUUBUUSNZUUHUVBUUFUUGUUBFSUUEDUUBCDFIJUUOVEZVFUUBFSUUEEUUBCEFIJUUP
      VEZVFVGZVHVIZUUBUURUUSOUUIRUDUVAUVBUUHUVEVJVIZUUEATZUUHUUCULUMUVHUUFYNUUG
      YOUHUUEADVKUUEAEVKVLVMYCYMYHUIZVNUUBUUCSMUULUUNTUUBYNYOUUBFSADUVCUUBYLFAU
      UTUVIWAZVOZUUBFSAEUVDUVJVOZVGZUUCVPWBUUBUUJSMOUUJRUDUUMUUJTUUBYLUUIUAUUQU
      VFVQZUUBYLUUIUAUUQUVFUVGVRZUUJVSUSVTUUBUUDUUKUUBUUCUUBUUCUVMWCZWDUUBUUJUV
      NUVOWEUUBUUCUVPWFUUBUUJUVNUVOWKWGWHUUBYNSMZYOSMZYPUUDTZUVKUVLYNYOGLWIZUSY
      CYHYQUUKTZYMYCYFYGUWABCUADEFHIJKWJWLWMVTWNYIYTNZYPOYQRUWBYPUUDOUWBUVQUVRU
      VSUWBYNOSUWBYCYFAFYJUEZMYNOTYCYDYHYTUFZYEYFYGYTWOZYIYSUWCAYIYJYLFYJYLWPYI
      YJYKWQXLWRVDYCYFNZFSSDHYJAOUWFCDFIJYCYFUGVEUWFYJWSYCYFWTUWFXAXBWNZUWBXAZX
      CUWBYOOSUWBYCYGAFYKUEZMYOOTUWDYEYFYGYTXDZYIYSUWIAYIYKYLFYKYLWPYIYKYJXEXLW
      RVDYCYGNZFSSEHYKAOUWKCEFIJYCYGUGVEUWKYKWSYCYGWTUWKXAXBWNZUWHXCUVTUSUWBUUC
      UWBUUCOOUHPOUWBYNOYOOUHUWGUWLVLXFXGXHXIUWBBIXMQMZYFYGOYQRUDYCUWMYDYHYTBCF
      HIJKXJXKUWEUWJDEBIXNXOXPYIAYLYSUCZMYMYTXQYIAFUWNYCYDYHUIYIYLFWPUWNFTYIYJY
      KFYICDFIJYEYFYGUPUTYICEFIJYEYFYGURUTVCYLFXRXSXTAYLYSYAXSYB $.
  $}

  ${
    $d B f $.  $d X f $.  $d f ph $.
    rrxbasefi.x $e |- ( ph -> X e. Fin ) $.
    rrxbasefi.h $e |- H = ( RR^ ` X ) $.
    rrxbasefi.b $e |- B = ( Base ` H ) $.
    $( The base of the generalized real Euclidean space, when the dimension of
       the space is finite.  This justifies the use of ` ( RR ^m X ) ` for the
       development of the Lebesgue measure theory for n-dimensional real
       numbers.  (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    rrxbasefi $p |- ( ph -> B = ( RR ^m X ) ) $=
      ( vf cr cmap co cv cc0 cfsupp wbr cfn wcel wceq cvv adantr rrxbase ssrab2
      crab syl eqsstrdi wa simpr wf elmapi adantl a1i fdmfifsupp rabid sylanbrc
      c0ex eqcomd eleqtrd eqelssd ) AHBIDJKZABHLZMNOZHUSUCZUSADPQZBVBREBHCDPFGU
      AUDZVAHUSUBUEAUTUSQZUFZUTVBBVFVEVAUTVBQAVEUGVFDIUTSMVEDIUTUHAUTIDUIUJAVCV
      EETMSQVFUOUKULVAHUSUMUNAVBBRVEABVBVDUPTUQUR $.
  $}

  ${
    $d B k $.  $d H f g k $.  $d I f g k $.
    rrxdsfi.h $e |- H = ( RR^ ` I ) $.
    rrxdsfi.b $e |- B = ( RR ^m I ) $.
    $( The distance over generalized Euclidean spaces.  Finite dimensional
       case.  (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    rrxdsfi $p |- ( I e. Fin -> ( dist ` H ) = ( f e. B , g e. B |-> ( sqrt `
       sum_ k e. I ( ( ( f ` k ) - ( g ` k ) ) ^ 2 ) ) ) ) $=
      ( cfn wcel cv cfv co csqrt cmpo crefld cgsu cr wceq wa cmin cexp csu cmpt
      c2 cbs cmap id eqid rrxbasefi eqtr4id adantr ccnfld cress df-refld oveq1i
      cds w3a simp1 wf simpr eleqtrdi 3adant3 elmapi ffvelrnda 3adant2 resubcld
      syl resqcld regsumfsum eqtr2id fveq2d 3expb mpoeq123dva rrxds eqtr2d ) FI
      JZBCAAFDKZBKZLZVRCKZLZUAMZUEUBMZDUCZNLZOBCEUFLZWGPDFWDUDZQMZNLZOEUQLVQBCA
      AWFWGWGWJVQARFUGMZWGHVQWGEFVQUHGWGUIZUJUKZVQAWGSVSAJZWMULVQWNWAAJZWFWJSVQ
      WNWOURZWEWINWPWIUMRUNMZWHQMWEPWQWHQUOUPWPFWDDVQWNWOUSWPVRFJTZWCWRVTWBWPFR
      VRVSWPVSWKJZFRVSUTVQWNWSWOVQWNTVSAWKVQWNVAHVBVCVSRFVDVHVEWPFRVRWAWPWAWKJZ
      FRWAUTVQWOWTWNVQWOTWAAWKVQWOVAHVBVFWARFVDVHVEVGVIVJVKVLVMVNDWGBCEFIGWLVOV
      P $.
  $}

  ${
    $d I h $.
    rrxmetfi.1 $e |- D = ( dist ` ( RR^ ` I ) ) $.
    $( Euclidean space is a metric space.  Finite dimensional version.
       (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    rrxmetfi $p |- ( I e. Fin -> D e. ( Met ` ( RR ^m I ) ) ) $=
      ( vh cfn wcel cv cc0 cfsupp wbr cr cmap co crab cmet cfv eqid rrxmet crrx
      cbs rrxbase id rrxbasefi eqtr3d fveq2d eleqtrd ) BEFZADGHIJDKBLMZNZOPUHOP
      ADBEUIUIQCRUGUIUHOUGBSPZTPZUIUHUKDUJBEUJQZUKQZUAUGUKUJBUGUBULUMUCUDUEUF
      $.
  $}

  ${
    $d I k x y $.  $d F k x y $.  $d G k x y $.  $d X k x y $.
    rrxdsfival.1 $e |- X = ( RR ^m I ) $.
    rrxdsfival.d $e |- D = ( dist ` ( RR^ ` I ) ) $.
    $( The value of the Euclidean distance function in a generalized real
       Euclidean space of finite dimension.  (Contributed by AV,
       15-Jan-2023.) $)
    rrxdsfival $p |- ( ( I e. Fin /\ F e. X /\ G e. X ) -> ( F D G ) =
                  ( sqrt ` sum_ k e. I ( ( ( F ` k ) - ( G ` k ) ) ^ 2 ) ) ) $=
      ( vx vy wcel co cv cfv cmin c2 cexp csu csqrt wceq cfn w3a cmpo crrx eqid
      cds rrxdsfi syl5eq oveqd 3ad2ant1 cvv eqidd wa oveqan12d oveq1d sumeq2sdv
      fveq1 fveq2d adantl simp2 simp3 fvexd ovmpod eqtrd ) EUAKZCFKZDFKZUBZCDAL
      ZCDIJFFEBMZIMZNZVJJMZNZOLZPQLZBRZSNZUCZLZEVJCNZVJDNZOLZPQLZBRZSNZVEVFVIVT
      TVGVEAVSCDVEAEUDNZUFNVSHFIJBWGEWGUEGUGUHUIUJVHIJCDFFVRWFVSUKVHVSULVKCTZVM
      DTZUMZVRWFTVHWJVQWESWJEVPWDBWJVOWCPQWHWIVLWAVNWBOVJVKCUQVJVMDUQUNUOUPURUS
      VEVFVGUTVEVFVGVAVHWESVBVCVD $.
  $}

  ${
    $d f n N $.
    ehlval.e $e |- E = ( EEhil ` N ) $.
    $( Value of the Euclidean space of dimension ` N ` .  (Contributed by
       Thierry Arnoux, 16-Jun-2019.) $)
    ehlval $p |- ( N e. NN0 -> E = ( RR^ ` ( 1 ... N ) ) ) $=
      ( vn cn0 wcel cehl cfv c1 cfz co crrx wceq oveq2 fveq2d df-ehl fvex fvmpt
      cv syl5eq ) BEFABGHIBJKZLHZCDBIDSZJKZLHUBEGUCBMUDUALUCBIJNODPUALQRT $.

    $( The base of the Euclidean space is the set of n-tuples of real numbers.
       (Contributed by Thierry Arnoux, 16-Jun-2019.) $)
    ehlbase $p |- ( N e. NN0 -> ( RR ^m ( 1 ... N ) ) = ( Base ` E ) ) $=
      ( vf cn0 wcel cr c1 cfz co cmap crrx cfv cbs cv cc0 cfsupp wceq cvv eqid
      wbr crab rabid2 elmapi fzfid 0red fdmfifsupp mprgbir rrxbase ax-mp eqtr4i
      ovex ehlval fveq2d eqtr4id ) BEFZGHBIJZKJZUQLMZNMZANMURDOZPQUAZDURUBZUTUR
      VCRVBDURVBDURUCVAURFZUQGVAGPVAGUQUDVDHBUEVDUFUGUHUQSFUTVCRHBIULUTDUSUQSUS
      TUTTUIUJUKUPAUSNABCUMUNUO $.
  $}

  ${
    ehl0base.e $e |- E = ( EEhil ` 0 ) $.
    $( The base of the Euclidean space of dimension 0 consists only of one
       element, the empty set.  (Contributed by AV, 12-Feb-2023.) $)
    ehl0base $p |- ( Base ` E ) = { (/) } $=
      ( cbs cfv cr c1 cc0 cfz co cmap c0 csn cn0 wcel wceq ehlbase eqcomd ax-mp
      0nn0 cvv fz10 oveq2i reex mapdm0 3eqtri ) ACDZEFGHIZJIZEKJIZKLZGMNZUFUHOS
      UKUHUFAGBPQRUGKEJUAUBETNUIUJOUCETUDRUE $.

    ehl0base.0 $e |- .0. = ( 0g ` E ) $.
    $( The Euclidean space of dimension 0 consists of the neutral element only.
       (Contributed by AV, 12-Feb-2023.) $)
    ehl0 $p |- ( Base ` E ) = { .0. } $=
      ( cbs cfv c0 csn ehl0base cc0 cxp c0g c1 cfz wcel wceq ax-mp eqcomi eqtri
      cvv co ovex cn0 crrx 0nn0 ehlval fz10 xpeq1i rrx0 0xp sneqi ) AEFGHBHACIG
      BBGBGJHZKZGBALFZUMDMJNUAZTOUNUMPMJNUBAUOTUMJUCOAUOUDFPUEAJCUFQUOULKUMUOGU
      LUGUHRUIQSULUJSRUKS $.
  $}

  ${
    $d I f g k $.  $d X k $.
    ehleudis.i $e |- I = ( 1 ... N ) $.
    ehleudis.e $e |- E = ( EEhil ` N ) $.
    ehleudis.x $e |- X = ( RR ^m I ) $.
    ehleudis.d $e |- D = ( dist ` E ) $.
    $( The Euclidean distance function in a real Euclidean space of finite
       dimension.  (Contributed by AV, 15-Jan-2023.) $)
    ehleudis $p |- ( N e. NN0 -> D = ( f e. X , g e. X |->
                ( sqrt ` sum_ k e. I ( ( ( f ` k ) - ( g ` k ) ) ^ 2 ) ) ) ) $=
      ( wcel c1 co crrx cfv cds cv syl5eq cn0 cfz cmin c2 cexp csu csqrt ehlval
      cmpo fveq2d cfn wceq fzfi eqeltri eqcomi fveq2i eqid rrxdsfi mp1i eqtrd )
      GUAMZANGUBOZPQZRQZBCHHFDSZBSQVECSQUCOUDUEODUFUGQUIZVAAERQVDLVAEVCREGJUHUJ
      TFUKMZVDVFULVAFVBUKINGUMUNVGVDFPQZRQVFVCVHRVBFPFVBIUOUPUPHBCDVHFVHUQKURTU
      SUT $.

    $d X k $.  $d F k $.  $d G k $.
    $( The value of the Euclidean distance function in a real Euclidean space
       of finite dimension.  (Contributed by AV, 15-Jan-2023.) $)
    ehleudisval $p |- ( ( N e. NN0 /\ F e. X /\ G e. X ) -> ( F D G ) =
                  ( sqrt ` sum_ k e. I ( ( ( F ` k ) - ( G ` k ) ) ^ 2 ) ) ) $=
      ( wcel co c1 crrx cfv cds wceq cfn cn0 w3a cfz cv cmin c2 cexp csu ehlval
      csqrt fveq2d syl5eq oveqd 3ad2ant1 cr cmap eqeltri eleq2i biimpi 3ad2ant2
      fzfi 3ad2ant3 eqid eqcomi fveq2i rrxdsfival mp3an2i eqtrd ) GUAMZDHMZEHMZ
      UBZDEANZDEOGUCNZPQZRQZNZFBUDZDQVREQUENUFUGNBUHUJQZVIVJVMVQSVKVIAVPDEVIACR
      QVPLVICVORCGJUIUKULUMUNFTMVLDUOFUPNZMZEVTMZVQVSSFVNTIOGVAUQVJVIWAVKVJWAHV
      TDKURUSUTVKVIWBVJVKWBHVTEKURUSVBVPBDEFVTVTVCVOFPQRVNFPFVNIVDVEVEVFVGVH $.
  $}

  ${
    $d f g k $.  $d X k $.
    ehl1eudis.e $e |- E = ( EEhil ` 1 ) $.
    ehl1eudis.x $e |- X = ( RR ^m { 1 } ) $.
    ehl1eudis.d $e |- D = ( dist ` E ) $.
    $( The Euclidean distance function in a real Euclidean space of dimension
       1.  (Contributed by AV, 16-Jan-2023.) $)
    ehl1eudis $p |- D = ( f e. X , g e. X |->
                          ( abs ` ( ( f ` 1 ) - ( g ` 1 ) ) ) ) $=
      ( vk c1 cv cfv cmin co c2 cexp csqrt wcel wceq cr csn csu cmpo cn0 cfz cz
      cabs 1nn0 1z fzsn ax-mp eqcomi ehleudis wa cc cmap eleq2i reex snex elmap
      wf bitri 1ex snid a1i ffvelrnd sylbi adantr adantl resubcld resqcld recnd
      id fveq2 oveq12d oveq1d sumsn sylancr fveq2d absred eqtr4d mpoeq3ia eqtri
      ) ABCEEJUAZIKZBKZLZWECKZLZMNZOPNZIUBZQLZUCZBCEEJWFLZJWHLZMNZUGLZUCJUDRAWN
      SUHABCIDWDJEJJUENZWDJUFRZWSWDSUIJUJUKULFGHUMUKBCEEWMWRWFERZWHERZUNZWMWQOP
      NZQLWRXCWLXDQXCWTXDUORWLXDSUIXCXDXCWQXCWOWPXAWOTRZXBXAWDTWFVAZXEXAWFTWDUP
      NZRXFEXGWFGUQTWDWFURJUSZUTVBXFWDTJWFXFVMJWDRZXFJVCVDZVEVFVGVHXBWPTRZXAXBW
      DTWHVAZXKXBWHXGRXLEXGWHGUQTWDWHURXHUTVBXLWDTJWHXLVMXIXLXJVEVFVGVIVJZVKVLW
      KXDIJUFWEJSZWJWQOPXNWGWOWIWPMWEJWFVNWEJWHVNVOVPVQVRVSXCWQXMVTWAWBWC $.

    $d F x y $.  $d G x y $.  $d X x y $.
    $( The value of the Euclidean distance function in a real Euclidean space
       of dimension 1.  (Contributed by AV, 16-Jan-2023.) $)
    ehl1eudisval $p |- ( ( F e. X /\ G e. X )
                        -> ( F D G ) = ( abs ` ( ( F ` 1 ) - ( G ` 1 ) ) ) ) $=
      ( vx vy c1 cv cfv cmin co cabs wceq fveq1 fvoveq1d oveq2d ehl1eudis ovmpo
      fveq2d fvex ) IJCDEEKILZMZKJLZMZNOPMKCMZKDMZNOZPMAUIUHNOZPMUECQUFUIUHPNKU
      ECRSUGDQZULUKPUMUHUJUINKUGDRTUCAIJBEFGHUAUKPUDUB $.
  $}

  ${
    $d f g k $.  $d X k $.
    ehl2eudis.e $e |- E = ( EEhil ` 2 ) $.
    ehl2eudis.x $e |- X = ( RR ^m { 1 , 2 } ) $.
    ehl2eudis.d $e |- D = ( dist ` E ) $.
    $( The Euclidean distance function in a real Euclidean space of dimension
       2.  (Contributed by AV, 16-Jan-2023.) $)
    ehl2eudis $p |- D = ( f e. X , g e. X |->
                ( sqrt ` ( ( ( ( f ` 1 ) - ( g ` 1 ) ) ^ 2 )
                           + ( ( ( f ` 2 ) - ( g ` 2 ) ) ^ 2 ) ) ) ) $=
      ( vk c1 c2 cfv cmin co cexp wcel cvv fveq2 cr a1i cpr cv csqrt cmpo caddc
      csu cn0 wceq 2nn0 cfz fz12pr eqcomi ehleudis ax-mp wa oveq12d oveq1d cmap
      cc wf eleq2i reex prex elmap bitri 1ex prid1 ffvelrnd sylbi adantr adantl
      id resubcld resqcld recnd 2ex prid2 jca pm3.2i 1ne2 sumpr fveq2d mpoeq3ia
      wne eqtri ) ABCEEJKUAZIUBZBUBZLZWGCUBZLZMNZKONZIUFZUCLZUDZBCEEJWHLZJWJLZM
      NZKONZKWHLZKWJLZMNZKONZUENZUCLZUDKUGPAWPUHUIABCIDWFKEJKUJNWFUKULFGHUMUNBC
      EEWOXFWHEPZWJEPZUOZWNXEUCXIJKWMWTIXDQQWGJUHZWLWSKOXJWIWQWKWRMWGJWHRWGJWJR
      UPUQWGKUHZWLXCKOXKWIXAWKXBMWGKWHRWGKWJRUPUQXIWTUSPXDUSPXIWTXIWSXIWQWRXGWQ
      SPZXHXGWFSWHUTZXLXGWHSWFURNZPXMEXNWHGVASWFWHVBJKVCZVDVEZXMWFSJWHXMVLZJWFP
      ZXMJKVFVGZTVHVIVJXHWRSPZXGXHWFSWJUTZXTXHWJXNPYAEXNWJGVASWFWJVBXOVDVEZYAWF
      SJWJYAVLZXRYAXSTVHVIVKVMVNVOXIXDXIXCXIXAXBXGXASPZXHXGXMYDXPXMWFSKWHXQKWFP
      ZXMJKVPVQZTVHVIVJXHXBSPZXGXHYAYGYBYAWFSKWJYCYEYAYFTVHVIVKVMVNVOVRJQPZKQPZ
      UOXIYHYIVFVPVSTJKWDXIVTTWAWBWCWE $.

    $d F f g $.  $d G f g $.  $d X f g $.
    $( The value of the Euclidean distance function in a real Euclidean space
       of dimension 2.  (Contributed by AV, 16-Jan-2023.) $)
    ehl2eudisval $p |- ( ( F e. X /\ G e. X ) -> ( F D G ) =
                  ( sqrt ` ( ( ( ( F ` 1 ) - ( G ` 1 ) ) ^ 2 )
                           + ( ( ( F ` 2 ) - ( G ` 2 ) ) ^ 2 ) ) ) ) $=
      ( vf vg co c1 cfv cmin c2 cexp caddc csqrt wceq fveq1 wcel cmpo ehl2eudis
      wa cv oveqi cvv eqidd oveqan12d oveq1d oveq12d fveq2d adantl simpl ovmpod
      simpr fvexd syl5eq ) CEUAZDEUAZUDZCDAKCDIJEELIUEZMZLJUEZMZNKZOPKZOVBMZOVD
      MZNKZOPKZQKZRMZUBZKLCMZLDMZNKZOPKZOCMZODMZNKZOPKZQKZRMZAVNCDAIJBEFGHUCUFV
      AIJCDEEVMWDVNUGVAVNUHVBCSZVDDSZUDZVMWDSVAWGVLWCRWGVGVRVKWBQWGVFVQOPWEWFVC
      VOVEVPNLVBCTLVDDTUIUJWGVJWAOPWEWFVHVSVIVTNOVBCTOVDDTUIUJUKULUMUSUTUNUSUTU
      PVAWCRUQUOUR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Minimizing Vector Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d j w x y .- $.  $d j r s t u v w x y z A $.  $d r w x y J $.  $d x y P $.
    $d s t u v w x y F $.  $d y K $.  $d j w x y N $.  $d r s t u v w x y ph $.
    $d w x y R $.  $d w x y U $.  $d r w x y X $.  $d j r s t u v w x y z Y $.
    $d r s t u v w x y z D $.  $d r s t u v w x y z S $.  $d r y T $.
    $d y L $.
    minvec.x $e |- X = ( Base ` U ) $.
    minvec.m $e |- .- = ( -g ` U ) $.
    minvec.n $e |- N = ( norm ` U ) $.
    minvec.u $e |- ( ph -> U e. CPreHil ) $.
    minvec.y $e |- ( ph -> Y e. ( LSubSp ` U ) ) $.
    minvec.w $e |- ( ph -> ( U |`s Y ) e. CMetSp ) $.
    minvec.a $e |- ( ph -> A e. X ) $.
    ${
      minvec.j $e |- J = ( TopOpen ` U ) $.
      minvec.r $e |- R = ran ( y e. Y |-> ( N ` ( A .- y ) ) ) $.
      $( Lemma for ~ minvec .  The set of all distances from points of ` Y ` to
         ` A ` are a nonempty set of nonnegative reals.  (Contributed by Mario
         Carneiro, 8-May-2014.)  (Revised by Mario Carneiro, 15-Oct-2015.) $)
      minveclem1 $p |- ( ph ->
                         ( R C_ RR /\ R =/= (/) /\ A. w e. R 0 <_ w ) ) $=
        ( cr wss c0 wne cc0 cle wbr wral cfv cmpt crn cngp wcel ccph cphngp syl
        cv co wa clmod cphlmod adantr clss eqid lssss sselda lmodvsubcl syl3anc
        nmcl syl2an2r fmpttd frnd eqsstrid lssn0 wceq eqeq1i dm0rn0 fvex dmmpti
        3bitr2i necon3bii sylibr nmge0 ralrimiva wb rgenw breq2 ralrnmptw ax-mp
        cdm cvv raleqi 3jca ) AEUAUBEUCUDZUECUQZUFUGZCEUHZAEBKDBUQZHURZIUIZUJZU
        KZUATAKUAXAABKWTUAAFULUMZWRKUMZWSJUMZWTUAUMAFUNUMZXCOFUOUPZAXDUSFUTUMZD
        JUMZWRJUMXEAXHXDAXFXHOFVAUPVBAXIXDRVBAKJWRAKFVCUIZUMZKJUBPXJKJFLXJVDZVE
        UPVFHJFDWRLMVGVHZWSFIJLNVIVJVKVLVMAKUCUDZWNAXKXNPXJKFXLVNUPEUCKUCEUCVOX
        BUCVOXAWJZUCVOKUCVOEXBUCTVPXAVQXOKUCBKWTXAWSIVRZXAVDZVSVPVTWAWBAWPCXBUH
        ZWQAUEWTUFUGZBKUHZXRAXSBKAXCXDXEXSXGXMWSFIJLNWCVJWDWTWKUMZBKUHXRXTWEYAB
        KXPWFWPXSBCKWTXAWKXQWOWTUEUFWGWHWIWBWPCEXBTWLWBWM $.

      minvec.s $e |- S = inf ( R , RR , < ) $.
      $( Lemma for ~ minvec .  The infimum of the distances to ` A ` is a real
         number.  (Contributed by Mario Carneiro, 16-Jun-2014.)  (Revised by
         Mario Carneiro, 15-Oct-2015.)  (Revised by AV, 3-Oct-2020.) $)
      minveclem4c $p |- ( ph -> S e. RR ) $=
        ( vw cr clt cinf wss c0 wne cv cle wbr wral wrex wcel minveclem1 simp1d
        cc0 simp2d 0re simp3d wceq breq1 ralbidv rspcev sylancr infrecl syl3anc
        eqeltrid ) AEDUCUDUEZUCUAADUCUFZDUGUHZBUIZUBUIZUJUKZUBDULZBUCUMZVIUCUNA
        VJVKUQVMUJUKZUBDULZABUBCDFGHIJKLMNOPQRSTUOZUPAVJVKVRVSURAUQUCUNVRVPUSAV
        JVKVRVSUTVOVRBUQUCVLUQVAVNVQUBDVLUQVMUJVBVCVDVEBUBDVFVGVH $.

      minvec.d $e |- D = ( ( dist ` U ) |` ( X X. X ) ) $.
      ${
        minveclem2.1 $e |- ( ph -> B e. RR ) $.
        minveclem2.2 $e |- ( ph -> 0 <_ B ) $.
        minveclem2.3 $e |- ( ph -> K e. Y ) $.
        minveclem2.4 $e |- ( ph -> L e. Y ) $.
        minveclem2.5 $e |- ( ph -> ( ( A D K ) ^ 2 ) <_ ( ( S ^ 2 ) + B ) ) $.
        minveclem2.6 $e |- ( ph -> ( ( A D L ) ^ 2 ) <_ ( ( S ^ 2 ) + B ) ) $.
        $( Lemma for ~ minvec .  Any two points ` K ` and ` L ` in ` Y ` are
           close to each other if they are close to the infimum of distance to
           ` A ` .  (Contributed by Mario Carneiro, 9-May-2014.)  (Revised by
           Mario Carneiro, 15-Oct-2015.)  (Revised by AV, 3-Oct-2020.) $)
        minveclem2 $p |- ( ph -> ( ( K D L ) ^ 2 ) <_ ( 4 x. B ) ) $=
          ( vw vx co c2 cexp c4 cmul cle wbr caddc c1 cdiv cplusg cvsca cr wcel
          cfv 4re minveclem4c resqcld remulcl sylancr cmet cms cngp ccph cphngp
          syl ngpms msmet clss eqid lssss sseldd metcl syl3anc readdcld cphlmod
          wss clmod csca cbs cc0 wne cz cclm cphclm clmzss 2z a1i 2ne0 cphreccl
          lssvacl syl22anc lssvscl lmodvsubcl nmcl syl2anc clt cv wral wrex 0re
          wb wceq mpbird fveq2d pm3.2i lemul2 mp3an3 mpbid recnd 2re 2cn oveq1i
          wa cc eqtrdi eqtr3d eqtr3id oveq12d oveq1d oveqi ovresd 3eqtr4d ngpds
          syl5eq eqtrd cinf c0 minveclem1 simp3d simp1d breq1 ralbidv infregelb
          simp2d rspcev syl31anc breqtrrdi cmpt crn oveq2 rspceeqv sylancl fvex
          elrnmpti sylibr infrelb eqbrtrid le2sq2 4pos leadd1dd le2addd 2timesd
          eleqtrrdi breqtrrd 2pos nmpar sqmul sq2 cabs cphnmvs 0le2 absid mp2an
          lmodsubdi mulg2 clmmulg lmodvacl clmvs1 recidi clmvsass syl13anc cabl
          cmg lmodabl ablsub4 syl122anc 3eqtr2d cds ngpdsr cxp ablnnncan1 2t2e4
          cres oveq2d 2cnd mulassd 3brtr4d letrd 4cn adddid breqtrd leadd2d ) A
          JKEUOZUPUQUOZURDUSUOZUTVAURGUPUQUOZUSUOZUXIVBUOZUXLUXJVBUOZUTVAAUXMUR
          UXKDVBUOZUSUOZUXNUTAUXMURCVCUPVDUOZJKHVEVIZUOZHVFVIZUOZLUOZMVIZUPUQUO
          ZUSUOZUXIVBUOZUXPAUXLUXIAURVGVHZUXKVGVHZUXLVGVHVJAGABCFGHILMNOPQRSTUA
          UBUCUDUEVKZVLZURUXKVMVNZAUXHAENVOVIVHZJNVHZKNVHZUXHVGVHAHVPVHZUYLAHVQ
          VHZUYOAHVRVHZUYPSHVSVTZHWAVTEHNPUFWBVTZAONJAOHWCVIZVHZONWKTUYTONHPUYT
          WDZWEVTZUIWFZAONKVUCUJWFZJKENWGWHVLZWIAUYEUXIAUYGUYDVGVHZUYEVGVHVJAUY
          CAUYPUYBNVHZUYCVGVHZUYRAHWLVHZCNVHZUYANVHVUHAUYQVUJSHWJVTZUBAONUYAVUC
          AVUJVUAUXQHWMVIZWNVIZVHZUXSOVHZUYAOVHZVULTAUYQUPVUNVHZUPWOWPZVUOSAWQV
          UNUPAHWRVHZWQVUNWKAUYQVUTSHWSVTZVUMVUNHVUMWDZVUNWDZWTVTUPWQVHZAXAXBZW
          FZVUSAXCXBUPVUMVUNHVVBVVCXDWHZAVUJVUAJOVHKOVHVUPVULTUIUJUXRUYTOHJKUXR
          WDZVUBXEXFVUNUYTUXTOVUMHUXQUXSVVBUXTWDZVVCVUBXGXFZWFZLNHCUYAPQXHWHZUY
          BHMNPRXIXJZVLZURUYDVMVNZVUFWIAUYGUXOVGVHZUXPVGVHVJAUXKDUYJUGWIZURUXOV
          MVNAUXLUYEUXIUYKVVOVUFAUXKUYDUTVAZUXLUYEUTVAZAGVGVHWOGUTVAVUIGUYCUTVA
          VVRUYIAWOFVGXKUUAZGUTAWOVVTUTVAZWOUMXLZUTVAZUMFXMZAFVGWKZFUUBWPZVWDAB
          UMCFHILMNOPQRSTUAUBUCUDUUCZUUDZAVWEVWFUNXLZVWBUTVAZUMFXMZUNVGXNZWOVGV
          HZVWAVWDXPAVWEVWFVWDVWGUUEZAVWEVWFVWDVWGUUIAVWMVWDVWLXOVWHVWKVWDUNWOV
          GVWIWOXQVWJVWCUMFVWIWOVWBUTUUFUUGUUJVNZVWMAXOXBUNUMUMFWOUUHUUKXRUEUUL
          VVMAGVVTUYCUTUEAVWEVWLUYCFVHVVTUYCUTVAVWNVWOAUYCBOCBXLZLUOZMVIZUUMZUU
          NZFAUYCVWRXQBOXNZUYCVWTVHAVUQUYCUYCXQVXAVVJUYCWDBUYAOVWRUYCUYCVWPUYAX
          QVWQUYBMVWPUYACLUUOXSUUPUUQBOVWRUYCVWSVWSWDVWQMUURUUSUUTUDUVHUNUMUYCF
          UVAWHUVBGUYCUVCXFAUYHVUGVVRVVSXPZUYJVVNUYHVUGUYGWOURXKVAZYHVXBUYGVXCV
          JUVDXTUXKUYDURYAYBXJYCUVEAUPCJEUOZUPUQUOZCKEUOZUPUQUOZVBUOZUSUOZUPUPU
          XOUSUOZUSUOZUYFUXPUTAVXHVXJUTVAZVXIVXKUTVAZAVXHUXOUXOVBUOVXJUTAVXEVXG
          UXOUXOAVXDAUYLVUKUYMVXDVGVHUYSUBVUDCJENWGWHVLZAVXFAUYLVUKUYNVXFVGVHUY
          SUBVUECKENWGWHVLZVVQVVQUKULUVFAUXOAUXOVVQYDZUVGUVIAVXHVGVHZVXJVGVHZVX
          LVXMXPZAVXEVXGVXNVXOWIAUPVGVHZVVPVXRYEVVQUPUXOVMVNVXQVXRVXTWOUPXKVAZY
          HVXSVXTVYAYEUVJXTVXHVXJUPYAYBXJYCACJLUOZCKLUOZUXRUOZMVIZUPUQUOZVYBVYC
          LUOZMVIZUPUQUOZVBUOZUPVYBMVIZUPUQUOZVYCMVIZUPUQUOZVBUOZUSUOZUYFVXIAUY
          QVYBNVHZVYCNVHZVYJVYPXQSAVUJVUKUYMVYQVULUBVUDLNHCJPQXHWHAVUJVUKUYNVYR
          VULUBVUELNHCKPQXHWHVYBVYCUXRLMNHPVVHQRUVKWHAUYEVYFUXIVYIVBAUPUYCUSUOZ
          UPUQUOZUYEVYFAVYTUPUPUQUOZUYDUSUOZUYEAUPYIVHUYCYIVHVYTWUBXQYFAUYCVVMY
          DUPUYCUVLVNWUAURUYDUSUVMYGYJAVYSVYEUPUQAUPUYBUXTUOZMVIZVYSVYEAWUDUPUV
          NVIZUYCUSUOZVYSAUYQVURVUHWUDWUFXQSVVFVVLUXTVUMVUNMNHUPUYBPRVVIVVBVVCU
          VOWHWUEUPUYCUSVXTWOUPUTVAWUEUPXQYEUVPUPUVQUVRYGYJAWUCVYDMAWUCUPCUXTUO
          ZUPUYAUXTUOZLUOCCUXRUOZUXSLUOZVYDAUPUXTVUMVUNLNHCUYAPVVIVVBVVCQVULVVF
          UBVVKUVSAWUIWUGUXSWUHLAUPCHUWHVIZUOZWUIWUGAVUKWULWUIXQUBNUXRWUKHCPWUK
          WDZVVHUVTVTAVUTVVDVUKWULWUGXQVVAVVEUBUPCWUKUXTNHPWUMVVIUWAWHYKAVCUXSU
          XTUOZUXSWUHAVUTUXSNVHZWUNUXSXQVVAAVUJUYMUYNWUOVULVUDVUEUXRNHJKPVVHUWB
          WHZUXTNHUXSPVVIUWCXJAWUNUPUXQUSUOZUXSUXTUOZWUHWUQVCUXSUXTUPYFXCUWDYGA
          VUTVURVUOWUOWURWUHXQVVAVVFVVGWUPUPUXQUXTVUMVUNNHUXSPVVBVVIVVCUWEUWFYL
          YKYMAHUWGVHZVUKVUKUYMUYNWUJVYDXQAVUJWUSVULHUWIVTZUBUBVUDVUENUXRHLKCCJ
          PVVHQUWJUWKUWLXSYKYNYKAUXHVYHUPUQAJKHUWMVIZUOZKJLUOZMVIZUXHVYHAUYPUYM
          UYNWVBWVDXQUYRVUDVUEJKWVAHLMNRPQWVAWDZUWNWHAUXHJKWVANNUWOUWRZUOWVBEWV
          FJKUFYOAJKWVANVUDVUEYPYSAVYGWVCMANHLCJKPQWUTUBVUDVUEUWPXSYQYNYMAVXHVY
          OUPUSAVXEVYLVXGVYNVBAVXDVYKUPUQAVXDCJWVAUOZVYKAVXDCJWVFUOWVGEWVFCJUFY
          OACJWVANUBVUDYPYSAUYPVUKUYMWVGVYKXQUYRUBVUDCJWVAHLMNRPQWVEYRWHYTYNAVX
          FVYMUPUQAVXFCKWVAUOZVYMAVXFCKWVFUOWVHEWVFCKUFYOACKWVANUBVUEYPYSAUYPVU
          KUYNWVHVYMXQUYRUBVUECKWVAHLMNRPQWVEYRWHYTYNYMUWSYQAUXPUPUPUSUOZUXOUSU
          OVXKWVIURUXOUSUWQYGAUPUPUXOAUWTZWVJVXPUXAYLUXBUXCAURUXKDURYIVHAUXDXBA
          UXKUYJYDADUGYDUXEUXFAUXIUXJUXLVUFAUYGDVGVHUXJVGVHVJUGURDVMVNUYKUXGXR
          $.
      $}

      $( Lemma for ~ minvec . ` D ` is a complete metric when restricted to
         ` Y ` .  (Contributed by Mario Carneiro, 7-May-2014.)  (Revised by
         Mario Carneiro, 15-Oct-2015.) $)
      minveclem3a $p |- ( ph -> ( D |` ( Y X. Y ) ) e. ( CMet ` Y ) ) $=
        ( cress co cds cfv cbs cxp cres ccmet ccms wcel cmscmet syl reseq1i wss
        eqid clss xpss12 syl2anc resabs1d wceq ressds ressbas2 sqxpeqd reseq12d
        lssss eqtrd syl5eq fveq2d 3eltr4d ) AGLUDUEZUFUGZVMUHUGZVOUIZUJZVOUKUGZ
        DLLUIZUJZLUKUGAVMULUMVQVRUMRVQVMVOVOURVQURUNUOAVTGUFUGZKKUIZUJZVSUJZVQD
        WCVSUCUPAWDWAVSUJVQAWAVSWBALKUQZWEVSWBUQALGUSUGZUMZWEQWFLKGMWFURVHUOZWH
        LKLKUTVAVBAWAVNVSVPAWGWAVNVCQLWAGVMWFVMURZWAURVDUOALVOAWELVOVCWHLKVMGWI
        MVEUOZVFVGVIVJALVOUKWJVKVL $.

      ${
        minvec.f $e |- F = ran ( r e. RR+ |->
          { y e. Y | ( ( A D y ) ^ 2 ) <_ ( ( S ^ 2 ) + r ) } ) $.
        $( Lemma for ~ minvec .  The set of vectors within a fixed distance of
           the infimum forms a filter base.  (Contributed by Mario Carneiro,
           15-Oct-2015.)  (Revised by AV, 3-Oct-2020.) $)
        minveclem3b $p |- ( ph -> F e. ( fBas ` Y ) ) $=
          ( vu vv vw vs vt cfbas cfv wcel cpw wss c0 wne wnel cv cin w3a crp co
          wral c2 cexp caddc cle wbr crab cmpt crn wa ssrab2 clss adantr elpw2g
          wb syl mpbiri fmpttd frnd eqsstrid cdm 1rp eqid dmmptd eleqtrrid ne0d
          c1 wceq dm0rn0 eqeq1i bitr4i necon3bii sylib wn csqrt clt minveclem4c
          wrex cr resqcld ltaddrp sylan rpre adantl readdcld recnd sqsqrtd cinf
          breqtrrd cc0 minveclem1 simp1d simp2d simp3d syl3anc infregelb mpbird
          0re syl31anc breq2 ax-mp bitrdi sylibr ad2antrr sselda sylbid elrnmpt
          cvv bitri rabbidva eleq2d weq rabbidv cbvmptv elv rpred breq1 ralbidv
          rspcev sylancr infrecl eqeltrid 0red sqge0d ltled resqrtcld breqtrrdi
          lelttrd lt2sqd ltnled mpbid breq2i raleqi fvex rgenw ralrnmptw syl5bb
          sqrtge0d mtbid rexnal cmet cngp cms ccph ngpms msmet 3syl lssss metcl
          cphngp metge0 le2sqd cds cres oveqi ovresd syl5eq ngpds breq2d breq1d
          cxp eqtrd 3bitr3d notbid letrid ord reximdva mpd necomd neneqd nrexdv
          rabn0 eleq2i sylnibr df-nel cmin lesubadd2d mpteq2dva eqtr4id anbi12d
          0ex rneqd reeanv resubcld simplrl simplrr lemin ifcl rabexg elrnmpt1s
          syl2an2 eleqtrrd eqeltrrd ineq12 inrab eqtrdi eleq1d syl5ibrcom inex1
          cif vex pwid inelcm mpan2 syl6 rexlimdvva syl5bir ralrimivv mpbir2and
          3jca isfbas ) AHMULUMUNZHMUOZUPZHUQURZUQHUSZHUGUTZUHUTZVAZUOZVAUQURZU
          HHVEUGHVEZVBZAHNVCCBUTZDVDZVFVGVDZFVFVGVDZNUTZVHVDZVIVJZBMVKZVLZVMZUY
          QUFAVCUYQVUPANVCVUOUYQAVULVCUNZVNZVUOUYQUNZVUOMUPZVUNBMVOVUSMGVPUMZUN
          ZVUTVVAVSAVVCVURSVQZVUOMVVBVRVTWAZWBWCWDAUYSUYTVUFAVUPWEZUQURUYSAVVFW
          KAWKVCVVFWFANVUPVCVUOUYQVUPWGZVVEWHWIWJVVFUQHUQVVFUQWLVUQUQWLHUQWLVUP
          WMHVUQUQUFWNWOWPWQAUQHUNZWRUYTAUQVUOWLZNVCXBZVVHAVVINVCVUSUQVUOVUSVUO
          UQVUSVUNBMXBZVUOUQURVUSVUMWSUMZCVUHJVDZKUMZVIVJZWRZBMXBZVVKVUSVVOBMVE
          ZWRVVQVUSVVLFVIVJZVVRVUSFVVLWTVJZVVSWRVUSVVTVUKVVLVFVGVDZWTVJVUSVUKVU
          MVWAWTAVUKXCUNZVURVUKVUMWTVJAFABCEFGIJKLMOPQRSTUAUBUCUDXAXDZVUKVULXEX
          FZVUSVUMVUSVUMVUSVUKVULAVWBVURVWCVQZVURVULXCUNZAVULXGXHZXIZXJXKZXMVUS
          FVVLVUSFEXCWTXLZXCUDVUSEXCUPZEUQURZVUHUIUTZVIVJZUIEVEZBXCXBZVWJXCUNAV
          WKVURAVWKVWLXNVWMVIVJZUIEVEZABUICEGIJKLMOPQRSTUAUBUCXOZXPVQZAVWLVURAV
          WKVWLVWRVWSXQVQZAVWPVURAXNXCUNZVWRVWPYBAVWKVWLVWRVWSXRZVWOVWRBXNXCVUH
          XNWLVWNVWQUIEVUHXNVWMVIUUAUUBUUCUUDVQZBUIEUUEXSUUFZVUSVUMVWHVUSXNVUMV
          USUUGZVWHVUSXNVUKVUMVXFVWEVWHVUSFVXEUUHVWDUULUUIZUUJZVUSXNVWJFVIVUSXN
          VWJVIVJZVWRAVWRVURVXCVQVUSVWKVWLVWPVXBVXIVWRVSVWTVXAVXDVXFBUIUIEXNXTY
          CYAUDUUKVUSVUMVWHVXGUVBZUUMYAVUSFVVLVXEVXHUUNUUOVVSVVLVWJVIVJZVUSVVRF
          VWJVVLVIUDUUPVUSVXKVVLVWMVIVJZUIEVEZVVRVUSVWKVWLVWPVVLXCUNZVXKVXMVSVW
          TVXAVXDVXHBUIUIEVVLXTYCVXMVXLUIBMVVNVLZVMZVEZVVRVXLUIEVXPUCUUQVVNYLUN
          ZBMVEVXQVVRVSVXRBMVVMKUURUUSVXLVVOBUIMVVNVXOYLVXOWGVWMVVNVVLVIYDUUTYE
          YMYFUVAUVCVVOBMUVDYGVUSVVPVUNBMVUSVUHMUNZVNZVVPVUMVUJVIVJZWRVUNVXTVVO
          VYAVXTVVLVUIVIVJVWAVUJVIVJVVOVYAVXTVVLVUIVUSVXNVXSVXHVQVXTDLUVEUMUNZC
          LUNZVUHLUNZVUIXCUNZAVYBVURVXSAGUVFUNZGUVGUNVYBAGUVHUNVYFRGUVNVTZGUVID
          GLOUEUVJUVKZYHZAVYCVURVXSUAYHZVUSMLVUHVUSVVCMLUPZVVDVVBMLGOVVBWGUVLZV
          TYIZCVUHDLUVMZXSZVUSXNVVLVIVJVXSVXJVQVXTVYBVYCVYDXNVUIVIVJVYIVYJVYMCV
          UHDLUVOXSUVPVXTVUIVVNVVLVIVXTVUICVUHGUVQUMZVDZVVNVXTVUICVUHVYPLLUWEUV
          RZVDVYQDVYRCVUHUEUVSVXTCVUHVYPLVYJVYMUVTUWAVXTVYFVYCVYDVYQVVNWLAVYFVU
          RVXSVYGYHVYJVYMCVUHVYPGJKLQOPVYPWGUWBXSUWFUWCVXTVWAVUMVUJVIVUSVWAVUMW
          LVXSVWIVQUWDUWGUWHVXTVYAVUNVXTVUMVUJVUSVUMXCUNVXSVWHVQVXTVUIVYOXDZUWI
          UWJYJUWKUWLVUNBMUWPYGUWMUWNUWOVVHUQVUQUNZVVJHVUQUQUFUWQUQYLUNVYTVVJVS
          UXENVCVUOUQVUPYLVVGYKYEYMUWRUQHUWSYGAVUEUGUHHHAVUAHUNZVUBHUNZVNVUAVUJ
          VUKUWTVDZUJUTZVIVJZBMVKZWLZUJVCXBZVUBWUCUKUTZVIVJZBMVKZWLZUKVCXBZVNZV
          UEAWUAWUHWUBWUMAWUAVUANVCWUCVULVIVJZBMVKZVLZVMZUNZWUHAHWURVUAAHVUQWUR
          UFAWUQVUPANVCWUPVUOVUSWUOVUNBMVXTVUJVUKVULVYSVXTFVUSFXCUNVXSVXEVQXDVU
          SVWFVXSVWGVQUXAYNUXBUXFUXCZYOWUSWUHVSUGUJVCWUFVUAWUQYLNUJVCWUPWUFNUJY
          PWUOWUEBMVULWUDWUCVIYDYQYRYKYSYFAWUBVUBWURUNZWUMAHWURVUBWUTYOWVAWUMVS
          UHUKVCWUKVUBWUQYLNUKVCWUPWUKNUKYPWUOWUJBMVULWUIWUCVIYDYQYRYKYSYFUXDWU
          NWUGWULVNZUKVCXBUJVCXBAVUEWUGWULUJUKVCVCUXGAWVBVUEUJUKVCVCAWUDVCUNZWU
          IVCUNZVNZVNZWVBVUCHUNZVUEWVFWVGWVBWUEWUJVNZBMVKZHUNWVFWUCWUDWUIVIVJZW
          UDWUIUYDZVIVJZBMVKZWVIHWVFWVLWVHBMWVFVXSVNZWUCXCUNWUDXCUNWUIXCUNWVLWV
          HVSWVNVUJVUKWVNVUIWVNVYBVYCVYDVYEAVYBWVEVXSVYHYHAVYCWVEVXSUAYHWVFMLVU
          HAVYKWVEAVVCVYKSVYLVTVQYIVYNXSXDAVWBWVEVXSVWCYHUXHWVNWUDAWVCWVDVXSUXI
          YTWVNWUIAWVCWVDVXSUXJYTWUCWUDWUIUXKXSYNWVFWVMWURHWVEWVKVCUNAWVMYLUNZW
          VMWURUNWVJWUDWUIVCUXLWVFVVCWVOAVVCWVESVQWVLBMVVBUXMVTNVCWUPWVMWVKWUQY
          LWUQWGVULWVKWLWUOWVLBMVULWVKWUCVIYDYQUXNUXOAHWURWLWVEWUTVQUXPUXQWVBVU
          CWVIHWVBVUCWUFWUKVAWVIVUAWUFVUBWUKUXRWUEWUJBMUXSUXTUYAUYBWVGVUCVUDUNV
          UEVUCVUAVUBUGUYEUYCUYFVUCHVUDUYGUYHUYIUYJUYKYJUYLUYNAVVCUYPUYRVUGVNVS
          SUGUHVVBMHUYOVTUYM $.

        $( Lemma for ~ minvec .  The filter formed by taking elements
           successively closer to the infimum is Cauchy.  (Contributed by Mario
           Carneiro, 8-May-2014.)  (Revised by Mario Carneiro, 15-Oct-2015.) $)
        minveclem3 $p |- ( ph ->
          ( Y filGen F ) e. ( CauFil ` ( D |` ( Y X. Y ) ) ) ) $=
          ( vu vv vs vw cfg co cxp cres ccfil cfv wcel cv clt wbr wral wrex crp
          wa c2 cexp cdiv c4 caddc cle crab crn cvv cz simpr 2z rpexpcl sylancl
          cmpt rphalfcld cn 4nn nnrp ax-mp rpdivcl clss adantr rabexg eqid wceq
          syl oveq2 breq2d rabbidv elrnmpt1s syl2anc eleqtrrdi weq oveq1d elrab
          breq1d anbi12i simprll simprrl ovresd cmet ccph cngp cms cphngp ngpms
          msmet 4syl ad2antrr wss lssss sseldd metcl syl3anc resqcld rpred cmul
          cr cress ccms rpge0d simprlr simprrr minveclem2 rpcnd 4cn a1i cc0 wne
          cc 4ne0 divcan2d breqtrd ad2antlr mpbird rphalflt lelttrd rpre metge0
          rpge0 lt2sqd eqbrtrd sylan2b ralrimivva raleq raleqbi1dv rspcev cxmet
          ralrimiva cfbas wb ccmet minveclem3a cmetmet metxmet 3syl minveclem3b
          fgcfil ) AMHUKULDMMUMUNZUOUPUQZUGURZUHURZUVDULZUIURZUSUTZUHUJURZVAZUG
          UVKVAZUJHVBZUIVCVAZAUVNUIVCAUVIVCUQZVDZCBURZDULZVEVFULZFVEVFULZUVIVEV
          FULZVEVGULZVHVGULZVIULZVJUTZBMVKZHUQUVJUHUWGVAZUGUWGVAZUVNUVQUWGNVCUV
          TUWANURZVIULZVJUTZBMVKZVSZVLZHUVQUWDVCUQZUWGVMUQZUWGUWOUQUVQUWCVCUQZV
          HVCUQZUWPUVQUWBUVQUVPVEVNUQUWBVCUQZAUVPVOVPUVIVEVQVRZVTZVHWAUQUWSWBVH
          WCWDUWCVHWEVRZUVQMGWFUPZUQZUWQAUXEUVPSWGUWFBMUXDWHWKNVCUWMUWGUWDUWNVM
          UWNWIUWJUWDWJZUWLUWFBMUXFUWKUWEUVTVJUWJUWDUWAVIWLWMWNWOWPUFWQUVQUVJUG
          UHUWGUWGUVFUWGUQZUVGUWGUQZVDUVQUVFMUQZCUVFDULZVEVFULZUWEVJUTZVDZUVGMU
          QZCUVGDULZVEVFULZUWEVJUTZVDZVDZUVJUXGUXMUXHUXRUWFUXLBUVFMBUGWRZUVTUXK
          UWEVJUXTUVSUXJVEVFUVRUVFCDWLWSXAWTUWFUXQBUVGMBUHWRZUVTUXPUWEVJUYAUVSU
          XOVEVFUVRUVGCDWLWSXAWTXBUVQUXSVDZUVHUVFUVGDULZUVIUSUYBUVFUVGDMUVQUXIU
          XLUXRXCZUVQUXMUXNUXQXDZXEUYBUYCUVIUSUTUYCVEVFULZUWBUSUTUYBUYFUWCUWBUY
          BUYCUYBDLXFUPUQZUVFLUQZUVGLUQZUYCYCUQAUYGUVPUXSAGXGUQZGXHUQGXIUQUYGRG
          XJGXKDGLOUEXLXMXNZUYBMLUVFAMLXOZUVPUXSAUXEUYLSUXDMLGOUXDWIXPWKXNZUYDX
          QZUYBMLUVGUYMUYEXQZUVFUVGDLXRXSZXTUYBUWCUVQUWRUXSUXBWGZYAUYBUWBUVQUWT
          UXSUXAWGZYAUYBUYFVHUWDYBULUWCVJUYBBCUWDDEFGIUVFUVGJKLMOPQAUYJUVPUXSRX
          NAUXEUVPUXSSXNAGMYDULYEUQUVPUXSTXNACLUQUVPUXSUAXNUBUCUDUEUYBUWDUVQUWP
          UXSUXCWGZYAUYBUWDUYSYFUYDUYEUVQUXIUXLUXRYGUVQUXMUXNUXQYHYIUYBUWCVHUYB
          UWCUYQYJVHYOUQUYBYKYLVHYMYNUYBYPYLYQYRUYBUWTUWCUWBUSUTUYRUWBUUAWKUUBU
          YBUYCUVIUYPUVPUVIYCUQAUXSUVIUUCYSUYBUYGUYHUYIYMUYCVJUTUYKUYNUYOUVFUVG
          DLUUDXSUVPYMUVIVJUTAUXSUVIUUEYSUUFYTUUGUUHUUIUVMUWIUJUWGHUVLUWHUGUVKU
          WGUVJUHUVKUWGUUJUUKUULWPUUNAUVDMUUMUPUQZHMUUOUPUQUVEUVOUUPAUVDMUUQUPU
          QUVDMXFUPUQUYTABCDEFGIJKLMOPQRSTUAUBUCUDUEUURUVDMUUSUVDMUUTUVAABCDEFG
          HIJKLMNOPQRSTUAUBUCUDUEUFUVBUIUJUGUHHUVDMUVCWPYT $.

        minvec.p $e |- P = U. ( J fLim ( X filGen F ) ) $.
        $( Lemma for ~ minvec . ` F ` converges to a point ` P ` in ` Y ` .
           (Contributed by Mario Carneiro, 7-May-2014.)  (Revised by Mario
           Carneiro, 15-Oct-2015.) $)
        minveclem4a $p |- ( ph -> P e. ( ( J fLim ( X filGen F ) ) i^i Y ) ) $=
          ( vx cfg co cflim cuni cin csn ovex uniex snid c0 wceq cxp cres cmopn
          wn cfv crest cxms wcel ccph cngp cphngp ngpxms 3syl xmstopn syl cxmet
          oveq1d wss xmsxmet clss eqid lssss metrest syl2anc eqtr2d minveclem3b
          cfil cvv cfbas fgcl cbs fvexi a1i syl3anc fgabs eqtr3d oveq12d ctopon
          trfg ctps xmstps istps sylib fbsspw sspwd sstrd fbasweak filfbas ssfg
          cpw sseqtrd filtop sseldd flimrest eqtrd ccmet minveclem3a minveclem3
          ccfil wne cmetcvg eqnetrrd neneqd wo inss1 c1o cen wbr cv weu wmo cha
          methaus eqeltrd hausflimi wb ssn0 sylancr n0moeu mpbid euen1b ord mpd
          sylibr en1b sseqtrid sssn eleqtrrid eqeltrid ) AEJMIUJUKZULUKZUMZUUKN
          UNZUHAUULUULUOZUUMUULUUKJUUJULUPUQURAUUMUSUTZVDUUMUUNUTZAUUMUSADNNVAV
          BZVCVEZNIUJUKZULUKZUUMUSAUUTJNVFUKZUUJNVFUKZULUKZUUMAUURUVAUUSUVBULAU
          VADVCVEZNVFUKZUURAJUVDNVFAHVGVHZJUVDUTAHVIVHHVJVHUVFSHVKHVLVMZDJHMUCP
          UFVNZVOVQADMVPVEVHZNMVRZUVEUURUTAUVFUVIUVGDHMPUFVSZVOANHVTVEZVHUVJTUV
          LNMHPUVLWAWBVOZDUUQUVDUURMNUUQWAUVDWAZUURWAZWCWDWEAMUUSUJUKZNVFUKZUUS
          UVBAUUSNWGVEVHZUVJMWHVHZUVQUUSUTAINWIVEZVHZUVRABCDFGHIJKLMNOPQRSTUAUB
          UCUDUEUFUGWFZINWJZVOZUVMUVSAMHWKPWLWMZNUUSWHMWSWNAUVPUUJNVFAUWAUVJUVP
          UUJUTUWBUVMIMNWOWDZVQWPWQAJMWRVEVHZUUJMWGVEVHZNUUJVHUVCUUMUTAHWTVHZUW
          GAUVFUWIUVGHXAVOMJHPUCXBXCAIMWIVEZVHZUWHAUWAIMXJZVRUVSUWKUWBAINXJZUWL
          AUWAIUWMVRUWBNIXDVOANMUVMXEZXFUWEIWHNMXGWNIMWJVOAUUSUUJNAUUSUVPUUJAUU
          SUWJVHZUUSUVPVRAUUSUVTVHZUUSUWLVRUVSUWOAUWAUVRUWPUWBUWCUUSNXHVMZAUUSU
          WMUWLAUWPUUSUWMVRUWQNUUSXDVOUWNXFUWEUUSWHNMXGWNUUSMXIVOUWFXKAUVRNUUSV
          HUWDUUSNXLVOXMUUJJMNXNWNXOAUUQNXPVEVHUUSUUQXSVEVHUUTUSXTABCDFGHJKLMNP
          QRSTUAUBUCUDUEUFXQABCDFGHIJKLMNOPQRSTUAUBUCUDUEUFUGXRUUQUUSUURNUVOYAW
          DYBZYCAUUOUUPAUUMUUNVRUUOUUPYDAUUKUUMUUNUUKNYEZAUUKYFYGYHZUUKUUNUTAUI
          YIUUKVHZUIYJZUWTAUXAUIYKZUXBAUVFJYLVHUXCUVGUVFJUVDYLUVHUVFUVIUVDYLVHU
          VKDUVDMUVNYMVOYNUIUUJJYOVMAUUKUSXTZUXCUXBYPAUUMUUKVRUUMUSXTUXDUWSUWRU
          UMUUKYQYRUIUUKYSVOYTUIUUKUUAUUDUUKUUEXCUUFUUMUULUUGXCUUBUUCUUHUUI $.

        $( Lemma for ~ minvec .  The convergent point of the Cauchy sequence
           ` F ` is a member of the base space.  (Contributed by Mario
           Carneiro, 16-Jun-2014.)  (Revised by Mario Carneiro,
           15-Oct-2015.) $)
        minveclem4b $p |- ( ph -> P e. X ) $=
          ( clss cfv wcel wss eqid lssss syl co cflim minveclem4a elin2d sseldd
          cfg ) ANMEANHUIUJZUKNMULTVBNMHPVBUMUNUOAJMIVAUPUQUPNEABCDEFGHIJKLMNOP
          QRSTUAUBUCUDUEUFUGUHURUSUT $.

        minvec.t $e |- T = ( ( ( ( ( A D P ) + S ) / 2 ) ^ 2 ) - ( S ^ 2 ) ) $.
        $( Lemma for ~ minvec .  The convergent point of the Cauchy sequence
           ` F ` attains the minimum distance, and so is closer to ` A ` than
           any other point in ` Y ` .  (Contributed by Mario Carneiro,
           7-May-2014.)  (Revised by Mario Carneiro, 15-Oct-2015.)  (Revised by
           AV, 3-Oct-2020.) $)
        minveclem4 $p |- ( ph -> E. x e. Y A. y e. Y
                          ( N ` ( A .- x ) ) <_ ( N ` ( A .- y ) ) ) $=
          ( vw wcel co cfv cv cle wbr wral wrex cfg cflim minveclem4a elin2d wa
          wceq cds cxp cres minveclem4b ovresd syl5eq cngp ccph cphngp syl eqid
          oveqi ngpds syl3anc eqtrd adantr cr cmet ngpms msmet 3syl minveclem4c
          cms metcl clmod cphlmod clss wss lssss sselda lmodvsubcl nmcl syl2anc
          wn clt ltnled caddc cdiv crab ccl cfil cexp cfbas cpw cvv minveclem3b
          c2 fbsspw sspwd sstrd cbs a1i crp cmpt crn resqcld cmul recnd 2timesd
          cc0 breq1d wb 3bitr2d 0re rspcev metge0 oveq2 breq2d eleqtrrdi sseldd
          ralbidv ad2antrr ccld fveq2d fbasweak fgcl ssfg cmin readdcld ltadd1d
          fvexi rehalfcld resubcld 2re 2pos pm3.2i ltmuldiv2 cinf c0 minveclem1
          wne simp3d simp1d simp2d sylancr infregelb syl31anc breqtrrdi addge0d
          breq1 mpbird divge0 lt2sqd posdifd 3bitrd biimpa elrpd rabexg rabbidv
          syl21anc elrnmpt1s ssrab2 oveq2i pncan3d adantlr le2sqd bitr4d rabss2
          eqeltrid rabbidva filss syl13anc flimclsi elin1d cmopn cxmet cxr cxms
          eqsstrd ngpxms xmsxmet rexrd xmstopn eleqtrrd eleqtrd simprbi leadd2d
          blcld cldcls elrab lemuldiv2 mp3an3 biimpar syldan ex sylbird pm2.18d
          simpr fvex elrnmpt1 sylancl infrelb eqbrtrid letrd eqbrtrrd ralrimiva
          ) AFPUMDFMUNZNUOZDCUPZMUNZNUOZUQURZCPUSZDBUPZMUNZNUOZUYGUQURZCPUSZBPU
          TALOKVAUNZVBUNZPFACDEFGHJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJVCZVDAUYHCPAUY
          EPUMZVEZDFEUNZUYDUYGUQAUYTUYDVFUYRAUYTDFJVGUOZUNZUYDAUYTDFVUAOOVHVIZU
          NVUBEVUCDFUHVRADFVUAOUDACDEFGHJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJVJZVKVLA
          JVMUMZDOUMZFOUMZVUBUYDVFAJVNUMZVUEUAJVOVPZUDVUDDFVUAJMNOTRSVUAVQVSVTW
          AWBUYSUYTHUYGAUYTWCUMZUYRAEOWDUOUMZVUFVUGVUJAVUEJWIUMVUKVUIJWEEJORUHW
          FWGZUDVUDDFEOWJVTZWBAHWCUMZUYRACDGHJLMNOPRSTUAUBUCUDUEUFUGWHZWBUYSVUE
          UYFOUMZUYGWCUMAVUEUYRVUIWBUYSJWKUMZVUFUYEOUMZVUPAVUQUYRAVUHVUQUAJWLVP
          WBAVUFUYRUDWBAPOUYEAPJWMUOZUMZPOWNZUBVUSPOJRVUSVQWOVPZWPZMOJDUYERSWQV
          TUYFJNORTWRWSAUYTHUQURZUYRAVVDAVVDWTHUYTXAURZVVDAHUYTVUOVUMXBAVVEVVDA
          VVEUYTUYTHXCUNZXMXDUNZUQURZVVDAVVEVEZFDUYEEUNZVVGUQURZCOXEZUMZVVHVVIF
          VVLLXFUOUOZVVLVVIUYPVVNFVVIVVLUYOUMZUYPVVNWNVVIUYOOXGUOUMZVVJXMXHUNZH
          XMXHUNZIXCUNZUQURZCPXEZUYOUMVVLOWNZVWAVVLWNVVOVVIKOXIUOUMZVVPAVWCVVEA
          KPXIUOUMZKOXJZWNOXKUMZVWCACDEGHJKLMNOPQRSTUAUBUCUDUEUFUGUHUIXLZAKPXJZ
          VWEAVWDKVWHWNVWGPKXNVPAPOVVBXOXPVWFAOJXQRUUGXRKXKPOUUAVTWBZKOUUBVPVVI
          KUYOVWAVVIVWCKUYOWNVWIKOUUCVPVVIVWAQXSVVQVVRQUPZXCUNZUQURZCPXEZXTZYAZ
          KVVIIXSUMVWAXKUMZVWAVWOUMVVIIVVGXMXHUNZVVRUUDUNZXSUKVVIVWRAVWRWCUMVVE
          AVWQVVRAVVGAVVFAUYTHVUMVUOUUEZUUHZYBZAHVUOYBZUUIWBAVVEYFVWRXAURZAVVEH
          VVGXAURZVVRVWQXAURVXCAVVEHHXCUNZVVFXAURXMHYCUNZVVFXAURZVXDAHUYTHVUOVU
          MVUOUUFAVXFVXEVVFXAAHAHVUOYDYEYGAVUNVVFWCUMZXMWCUMZYFXMXAURZVEZVXGVXD
          YHVUOVWSVXKAVXIVXJUUJUUKUULZXRZHVVFXMUUMVTYIAHVVGVUOVWTAYFGWCXAUUNZHU
          QAYFVXNUQURZYFULUPZUQURZULGUSZAGWCWNZGUUOUUQZVXRACULDGJLMNOPRSTUAUBUC
          UDUEUFUUPZUURZAVXSVXTUYJVXPUQURZULGUSZBWCUTZYFWCUMZVXOVXRYHAVXSVXTVXR
          VYAUUSZAVXSVXTVXRVYAUUTAVYFVXRVYEYJVYBVYDVXRBYFWCUYJYFVFVYCVXQULGUYJY
          FVXPUQUVFYQYKUVAZVYFAYJXRBULULGYFUVBUVCUVGUGUVDZAVXHYFVVFUQURVXKYFVVG
          UQURZVWSAUYTHVUMVUOAVUKVUFVUGYFUYTUQURVULUDVUDDFEOYLVTVYIUVEVXMVVFXMU
          VHUVPZUVIAVVRVWQVXBVXAUVJUVKUVLUVMUWEVVIVUTVWPAVUTVVEUBWBVVTCPVUSUVNV
          PQXSVWMVWAIVWNXKVWNVQVWJIVFZVWLVVTCPVYLVWKVVSVVQUQVWJIVVRXCYMYNUVOUVQ
          WSUIYOYPVWBVVIVVKCOUVRXRVVIVWAVVKCPXEZVVLVVIVVTVVKCPVVIUYRVEZVVTVVQVW
          QUQURVVKVYNVVSVWQVVQUQVYNVVSVVRVWRXCUNVWQIVWRVVRXCUKUVSVYNVVRVWQVYNVV
          RAVVRWCUMVVEUYRVXBYRYDVYNVWQVYNVVGAVVGWCUMZVVEUYRVWTYRZYBYDUVTVLYNVYN
          VVJVVGVYNVUKVUFVURVVJWCUMAVUKVVEUYRVULYRZAVUFVVEUYRUDYRZAUYRVURVVEVVC
          UWAZDUYEEOWJVTVYPVYNVUKVUFVURYFVVJUQURVYQVYRVYSDUYEEOYLVTAVYJVVEUYRVY
          KYRUWBUWCUWFVVIVVAVYMVVLWNAVVAVVEVVBWBVVKCPOUWDVPUWOVWAVVLUYOOUWGUWHV
          VLUYOLUWIVPAFUYPUMVVEAUYPPFUYQUWJWBYPVVIVVLLYSUOZUMVVNVVLVFVVIVVLEUWK
          UOZYSUOZVYTVVIEOUWLUOUMZVUFVVGUWMUMVVLWUBUMAWUCVVEAVUEJUWNUMZWUCVUIJU
          WPZEJORUHUWQWGWBAVUFVVEUDWBVVIVVGAVYOVVEVWTWBUWRCEDVVGVVLWUAOWUAVQVVL
          VQUXDVTVVILWUAYSALWUAVFZVVEAVUEWUDWUFVUIWUEELJOUERUHUWSWGWBYTUWTVVLLU
          XEVPUXAVVMVUGVVHVVKVVHCFOUYEFVFVVJUYTVVGUQUYEFDEYMYGUXFUXBVPAVVDVVHAV
          VDUYTUYTXCUNZVVFUQURXMUYTYCUNZVVFUQURZVVHAUYTHUYTVUMVUOVUMUXCAWUHWUGV
          VFUQAUYTAUYTVUMYDYEYGAVUJVXHWUIVVHYHZVUMVWSVUJVXHVXKWUJVXLUYTVVFXMUXG
          UXHWSYIUXIUXJUXKUXLUXMWBUYSHVXNUYGUQUGUYSVXSVYEUYGGUMVXNUYGUQURAVXSUY
          RVYGWBAVYEUYRVYHWBUYSUYGCPUYGXTZYAZGUYSUYRUYGXKUMUYGWULUMAUYRUXNUYFNU
          XOCPUYGWUKXKWUKVQUXPUXQUFYOBULUYGGUXRVTUXSUXTUYAUYBUYNUYIBFPUYJFVFZUY
          MUYHCPWUMUYLUYDUYGUQWUMUYKUYCNUYJFDMYMYTYGYQYKWS $.
      $}

      $( Lemma for ~ minvec .  Discharge the assumptions in ~ minveclem4 .
         (Contributed by Mario Carneiro, 9-May-2014.)  (Revised by Mario
         Carneiro, 15-Oct-2015.) $)
      minveclem5 $p |- ( ph -> E. x e. Y A. y e. Y
                        ( N ` ( A .- x ) ) <_ ( N ` ( A .- y ) ) ) $=
        ( vs vz vr crp cv co c2 cexp caddc cle wbr crab cmpt crn cfg cflim cuni
        cdiv cmin weq oveq2 breq2d rabbidv oveq1d breq1d cbvrabv eqtrdi cbvmptv
        rneqi eqid minveclem4 ) ABCDEILUEUHDUFUIZEUJZUKULUJZGUKULUJZUEUIZUMUJZU
        NUOZUFMUPZUQZURZUSUJUTUJVAZFGDWFEUJGUMUJUKVBUJUKULUJVSVCUJZHWEIJKLMUGNO
        PQRSTUAUBUCUDWDUGUHDCUIZEUJZUKULUJZVSUGUIZUMUJZUNUOZCMUPZUQUEUGUHWCWNUE
        UGVDZWCVRWLUNUOZUFMUPWNWOWBWPUFMWOWAWLVRUNVTWKVSUMVEVFVGWPWMUFCMUFCVDZV
        RWJWLUNWQVQWIUKULVPWHDEVEVHVIVJVKVLVMWFVNWGVNVO $.

      $( Lemma for ~ minvec .  Any minimal point is less than ` S ` away from
         ` A ` .  (Contributed by Mario Carneiro, 9-May-2014.)  (Revised by
         Mario Carneiro, 15-Oct-2015.)  (Revised by AV, 3-Oct-2020.) $)
      minveclem6 $p |- ( ( ph /\ x e. Y ) ->
        ( ( ( A D x ) ^ 2 ) <_ ( ( S ^ 2 ) + 0 ) <->
          A. y e. Y ( N ` ( A .- x ) ) <_ ( N ` ( A .- y ) ) ) ) $=
        ( vw cv wcel wa co cexp cc0 caddc cle wbr cfv wral cds cxp oveqi adantr
        cres clss wss eqid lssss syl sselda ovresd syl5eq cngp wceq ccph cphngp
        c2 ngpds syl3anc eqtrd oveq1d cr clt cinf c0 wne wrex minveclem1 simp1d
        w3a simp2d simp3d breq1 ralbidv rspcev syl2anc infrecl eqeltrid resqcld
        0red recnd addid1d breq12d clmod cphlmod lmodvsubcl nmcl nmge0 syl31anc
        infregelb mpbird breqtrrdi le2sqd breq2i syl5bb 3bitr2d cmpt crn raleqi
        wb cvv fvex rgenw breq2 ralrnmptw ax-mp bitri bitrdi ) ABUFZMUGZUHZDYFE
        UIZVNUJUIZGVNUJUIZUKULUIZUMUNZDYFJUIZKUOZUEUFZUMUNZUEFUPZYODCUFJUIZKUOZ
        UMUNZCMUPZYHYMYOVNUJUIZYKUMUNYOGUMUNZYRYHYJUUCYLYKUMYHYIYOVNUJYHYIDYFHU
        QUOZUIZYOYHYIDYFUUELLURVAZUIUUFEUUGDYFUDUSYHDYFUUELADLUGZYGTUTZAMLYFAMH
        VBUOZUGMLVCRUUJMLHNUUJVDVEVFVGZVHVIYHHVJUGZUUHYFLUGZUUFYOVKAUULYGAHVLUG
        ZUULQHVMVFUTZUUIUUKDYFUUEHJKLPNOUUEVDVOVPVQVRYHYKYHYKYHGYHGFVSVTWAZVSUC
        YHFVSVCZFWBWCZYFYPUMUNZUEFUPZBVSWDZUUPVSUGYHUUQUURUKYPUMUNZUEFUPZAUUQUU
        RUVCWGYGACUEDFHIJKLMNOPQRSTUAUBWEUTZWFZYHUUQUURUVCUVDWHZYHUKVSUGZUVCUVA
        YHWQZYHUUQUURUVCUVDWIZUUTUVCBUKVSYFUKVKUUSUVBUEFYFUKYPUMWJWKWLWMZBUEFWN
        VPWOZWPWRWSWTYHYOGYHUULYNLUGZYOVSUGZUUOYHHXAUGZUUHUUMUVLAUVNYGAUUNUVNQH
        XBVFUTUUIUUKJLHDYFNOXCVPZYNHKLNPXDWMZUVKYHUULUVLUKYOUMUNUUOUVOYNHKLNPXE
        WMYHUKUUPGUMYHUKUUPUMUNZUVCUVIYHUUQUURUVAUVGUVQUVCXQUVEUVFUVJUVHBUEUEFU
        KXGXFXHUCXIXJUUDYOUUPUMUNZYHYRGUUPYOUMUCXKYHUUQUURUVAUVMUVRYRXQUVEUVFUV
        JUVPBUEUEFYOXGXFXLXMYRYQUECMYTXNZXOZUPZUUBYQUEFUVTUBXPYTXRUGZCMUPUWAUUB
        XQUWBCMYSKXSXTYQUUACUEMYTUVSXRUVSVDYPYTYOUMYAYBYCYDYE $.

      $( Lemma for ~ minvec .  Since any two minimal points are distance zero
         away from each other, the minimal point is unique.  (Contributed by
         Mario Carneiro, 9-May-2014.)  (Revised by Mario Carneiro,
         15-Oct-2015.) $)
      minveclem7 $p |- ( ph -> E! x e. Y A. y e. Y
                        ( N ` ( A .- x ) ) <_ ( N ` ( A .- y ) ) ) $=
        ( vw cv co cfv cle wbr wral wrex wa wceq wi wreu minveclem5 wcel c2 cc0
        cexp caddc c4 cmul ccph ad2antrr clss cress ccms cr 0re simplrl simplrr
        a1i 0le0 simprl simprr minveclem2 ex minveclem6 adantrr adantrl anbi12d
        4cn mul01i breq2i cmet cms cngp cphngp ngpms 3syl adantr msmet syl eqid
        wb lssss sseldd metcl syl3anc sqge0d biantrud resqcld letri3 sylancl cc
        recnd sqeq0 meteq0 bitrd 3bitr2d syl5bb 3imtr3d ralrimivva oveq2 fveq2d
        wss breq1d ralbidv reu4 sylanbrc ) ADBUFZJUGZKUHZDCUFJUGKUHZUIUJZCMUKZB
        MULYHDUEUFZJUGZKUHZYFUIUJZCMUKZUMZYCYIUNZUOZUEMUKBMUKYHBMUPABCDEFGHIJKL
        MNOPQRSTUAUBUCUDUQAYPBUEMMAYCMURZYIMURZUMZUMZDYCEUGUSVAUGGUSVAUGUTVBUGZ
        UIUJZDYIEUGUSVAUGUUAUIUJZUMZYCYIEUGZUSVAUGZVCUTVDUGZUIUJZYNYOYTUUDUUHYT
        UUDUMZCDUTEFGHIYCYIJKLMNOPAHVEURZYSUUDQVFAMHVGUHZURZYSUUDRVFAHMVHUGVIUR
        YSUUDSVFADLURYSUUDTVFUAUBUCUDUTVJURZUUIVKVNUTUTUIUJUUIVOVNAYQYRUUDVLAYQ
        YRUUDVMYTUUBUUCVPYTUUBUUCVQVRVSYTUUBYHUUCYMAYQUUBYHWQYRABCDEFGHIJKLMNOP
        QRSTUAUBUCUDVTWAAYRUUCYMWQYQAUECDEFGHIJKLMNOPQRSTUAUBUCUDVTWBWCUUHUUFUT
        UIUJZYTYOUUGUTUUFUIVCWDWEWFYTUUNUUNUTUUFUIUJZUMZUUFUTUNZYOYTUUOUUNYTUUE
        YTELWGUHURZYCLURZYILURZUUEVJURYTHWHURZUURAUVAYSAUUJHWIURUVAQHWJHWKWLWME
        HLNUDWNWOZYTMLYCAMLXRZYSAUULUVCRUUKMLHNUUKWPWRWOWMZAYQYRVPWSZYTMLYIUVDA
        YQYRVQWSZYCYIELWTXAZXBXCYTUUFVJURUUMUUQUUPWQYTUUEUVGXDVKUUFUTXEXFYTUUQU
        UEUTUNZYOYTUUEXGURUUQUVHWQYTUUEUVGXHUUEXIWOYTUURUUSUUTUVHYOWQUVBUVEUVFY
        CYIELXJXAXKXLXMXNXOYHYMBUEMYOYGYLCMYOYEYKYFUIYOYDYJKYCYIDJXPXQXSXTYAYB
        $.
    $}

    $( Minimizing vector theorem, or the Hilbert projection theorem.  There is
       exactly one vector in a complete subspace ` W ` that minimizes the
       distance to an arbitrary vector ` A ` in a parent inner product space.
       Theorem 3.3-1 of [Kreyszig] p. 144, specialized to subspaces instead of
       convex subsets.  (Contributed by NM, 11-Apr-2008.)  (Proof shortened by
       Mario Carneiro, 9-May-2014.)  (Revised by Mario Carneiro, 15-Oct-2015.)
       (Proof shortened by AV, 3-Oct-2020.) $)
    minvec $p |- ( ph -> E! x e. Y A. y e. Y
                   ( N ` ( A .- x ) ) <_ ( N ` ( A .- y ) ) ) $=
      ( vj cfv cv eqid cds cxp cres co cmpt crn clt cinf ctopn weq oveq2 fveq2d
      cr cbvmptv rneqi minveclem7 ) ABCDEUARHHUBUCZQIDQSZFUDZGRZUEZUFZVBUMUGUHZ
      EEUIRZFGHIJKLMNOPVDTVACIDCSZFUDZGRZUEQCIUTVGQCUJUSVFGURVEDFUKULUNUOVCTUQT
      UP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Projection Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d w x y z .- $.  $d w z ., $.  $d w x y z A $.  $d x B $.  $d w x y z N $.
    $d x .(+) $.  $d x O $.  $d w x y z ph $.  $d w x y z U $.  $d w x y z V $.
    $d y .+ $.  $d x T $.  $d w x y z W $.
    pjthlem.v $e |- V = ( Base ` W ) $.
    pjthlem.n $e |- N = ( norm ` W ) $.
    pjthlem.p $e |- .+ = ( +g ` W ) $.
    pjthlem.m $e |- .- = ( -g ` W ) $.
    pjthlem.h $e |- ., = ( .i ` W ) $.
    pjthlem.l $e |- L = ( LSubSp ` W ) $.
    pjthlem.1 $e |- ( ph -> W e. CHil ) $.
    pjthlem.2 $e |- ( ph -> U e. L ) $.
    pjthlem.4 $e |- ( ph -> A e. V ) $.
    ${
      pjthlem.5 $e |- ( ph -> B e. U ) $.
      pjthlem.7 $e |- ( ph ->
        A. x e. U ( N ` A ) <_ ( N ` ( A .- x ) ) ) $.
      pjthlem.8 $e |- T = ( ( A ., B ) / ( ( B ., B ) + 1 ) ) $.
      $( Lemma for ~ pjth .  (Contributed by NM, 10-Oct-1999.)  (Revised by
         Mario Carneiro, 17-Oct-2015.)  (Proof shortened by AV,
         10-Jul-2022.) $)
      pjthlem1 $p |- ( ph -> ( A ., B ) = 0 ) $=
        ( co ccph wcel cc chl hlcph syl wss lssss sseldd cphipcl syl3anc abscld
        cabs cfv recnd cexp cc0 wceq cle wbr cneg caddc resqcld renegcld reipcl
        c2 cr syl2anc 2re readdcl sylancl 0red peano2re ipge0 ltp1d lelttrd clt
        c1 df-2 oveq2i ax-1cn addass mp3an23 eqtr4id breqtrrd lttrd elrpd cvsca
        cmul cdiv cmin cv oveq2 fveq2d breq2d clmod csca cbs cphlmod cphl hlphl
        wne eqid ipcl hlress ge0p1rpd rpne0d cphdivcl syl13anc eqeltrid lssvscl
        nmcl nmge0 mpbird crp remulcld cphsubdi oveq1d eqeltrd oveq2d ccj cjcld
        nmsq mulcomd absvalsqd fveq2i cjred eqtrd syl5eq 3eqtr4rd 3eqtrd div23d
        oveq12d 3eqtr3d syl22anc rspcdva cngp cphngp lmodvscl lmodvsubcl le2sqd
        mpbid subge0d cz 2z rpexpcl rerpdivcld negcld pncand cphsubdir subsub4d
        subcld 1cnd adddid cphassr divcld divassd cjdivd sqvald divcan5d eqtr2d
        rpcnd cphipcj cph2ass absdivd rpge0d absidd sqdivd pncan2 subdid eqtr3d
        syl122anc 3eqtr4d negsubd addcomd 3eqtr2d mulneg2d ge0divd prodge0ld wa
        mulneg12 le0neg1d sqge0d wb 0re letri3 mpbir2and sqeq0d abs00d ) ACDHUF
        ZAMUGUHZCLUHZDLUHZUWPUIUHAMUJUHZUWQTMUKULZUBAGLDAGIUHZGLUMUAIGLMNSUNULU
        CUOZCDHLMNRUPUQZAUWPUSUTZAUXEAUWPUXDURZVAZAUXEVLVBUFZVCVDZUXHVCVEVFZVCU
        XHVEVFZAUXJVCUXHVGZVEVFAUXLDDHUFZVLVHUFZAUXHAUXEUXFVIZVJAUXNAUXMVMUHZVL
        VMUHUXNVMUHAUWQUWSUXPUXAUXCDHLMNRVKVNZVOUXMVLVPVQZAVCUXMWDVHUFZUXNAVRZA
        UXPUXSVMUHUXQUXMVSULZUXRAVCUXMUXSUXTUXQUYAAUWQUWSVCUXMVEVFUXAUXCDHLMNRV
        TVNZAUXMUXQWAWBAUXSUXSWDVHUFZUXNWCAUXSUYAWAAUXNUXMWDWDVHUFZVHUFZUYCVLUY
        DUXMVHWEWFAUXMUIUHZUYCUYEVDZAUXMUXQVAZUYFWDUIUHZUYIUYGWGWGUXMWDWDWHWIUL
        WJZWKWLWMAVCUXHUXNVGZWOUFZUXLUXNWOUFZVEAVCUYLVEVFVCUYLUXSVLVBUFZWPUFZVE
        VFAVCCFDMWNUTZUFZJUFZKUTZVLVBUFZCKUTZVLVBUFZWQUFZUYOVEAVCVUCVEVFVUBUYTV
        EVFZAVUAUYSVEVFZVUDAVUACBWRZJUFZKUTZVEVFVUEBGUYQVUFUYQVDZVUHUYSVUAVEVUI
        VUGUYRKVUFUYQCJWSWTXAUDAMXBUHZUXBFMXCUTZXDUTZUHZDGUHUYQGUHAUWQVUJUXAMXE
        ULZUAAFUWPUXSWPUFZVULUEAUWQUWPVULUHZUXSVULUHUXSVCXHVUOVULUHUXAAMXFUHZUW
        RUWSVUPAUWTVUQTMXGULUBUXCCDVUKHVULLMVUKXIZRNVULXIZXJUQAVMVULUXSAUWTVMVU
        LUMTVUKVULMVURVUSXKULUYAUOAUXSAUXMUXQUYBXLZXMZUWPUXSVUKVULMVURVUSXNXOXP
        ZUCVULIUYPGVUKMFDVURUYPXIZVUSSXQUUAUUBAVUAUYSAMUUCUHZUWRVUAVMUHAUWQVVDU
        XAMUUDULZUBCMKLNOXRVNZAVVDUYRLUHZUYSVMUHVVEAVUJUWRUYQLUHZVVGVUNUBAVUJVU
        MUWSVVHVUNVVBUXCFUYPVUKVULLMDNVURVVCVUSUUEUQZJLMCUYQNQUUFUQZUYRMKLNOXRV
        NZAVVDUWRVCVUAVEVFVVEUBCMKLNOXSVNAVVDVVGVCUYSVEVFVVEVVJUYRMKLNOXSVNUUGU
        UHAUYTVUBAUYSVVKVIAVUAVVFVIUUIXTAUXHUYNWPUFZUXNWOUFZVGZCCHUFZVHUFZVVOWQ
        UFVVNVUCUYOAVVNVVOAVVMAVVMAVVLUXNAUXHUYNUXOAUXSYAUHVLUUJUHUYNYAUHVUTUUK
        UXSVLUULVQZUUMZUXRYBVAZUUNZAUWQUWRUWRVVOUIUHUXAUBUBCCHLMNRUPUQZUUOAUYTV
        VPVUBVVOWQAUYTVVOVVMWQUFZVVOVVNVHUFVVPAUYTUYRUYRHUFZCUYRHUFZUYQUYRHUFZW
        QUFZVWBAUWQVVGUYTVWCVDUXAVVJUYRHKLMNROYIVNAUWQUWRVVHVVGVWCVWFVDUXAUBVVI
        VVJCUYQUYRHJLMRNQUUPXOAVWFVVOCUYQHUFZWQUFZVWEWQUFVVOVWGVWEVHUFZWQUFVWBA
        VWDVWHVWEWQAUWQUWRUWRVVHVWDVWHVDUXAUBUBVVICCUYQHJLMRNQYCXOYDAVVOVWGVWEV
        WAAUWQUWRVVHVWGUIUHUXAUBVVICUYQHLMNRUPUQAVWEUYQCHUFZUYQUYQHUFZWQUFZUIAU
        WQVVHUWRVVHVWEVWLVDUXAVVIUBVVIUYQCUYQHJLMRNQYCXOZAVWJVWKAUWQVVHUWRVWJUI
        UHUXAVVIUBUYQCHLMNRUPUQAUWQVVHVVHVWKUIUHUXAVVIVVIUYQUYQHLMNRUPUQUURYEUU
        QAVWIVVMVVOWQAVVLUYCWOUFVVLUXSWOUFZVVLWDWOUFZVHUFVVMVWIAVVLUXSWDAVVLVVR
        VAZAUXSUYAVAZAUUSUUTAUXNUYCVVLWOUYJYFAVWGVWNVWEVWOVHAVWGUXHUXSWPUFZUXHU
        XSWOUFZUYNWPUFZVWNAVWGFYGUTZUWPWOUFZUWPVXAWOUFZVWRAUWQVUMUWRUWSVWGVXBVD
        UXAVVBUBUXCFCDUYPVUKHVULLMRNVURVUSVVCUVAXOAVXAUWPAFAFVUOUIUEAUWPUXSUXDV
        WQVVAUVBXPZYHUXDYJAUWPUWPYGUTZWOUFZUXSWPUFUWPVXEUXSWPUFZWOUFVWRVXCAUWPV
        XEUXSUXDAUWPUXDYHVWQVVAUVCAUXHVXFUXSWPAUWPUXDYKYDAVXAVXGUWPWOAVXAVUOYGU
        TZVXGFVUOYGUEYLAVXHVXEUXSYGUTZWPUFVXGAUWPUXSUXDVWQVVAUVDAVXIUXSVXEWPAUX
        SUYAYMYFYNYOYFYPYQAVWTUXSUXHWOUFZUXSUXSWOUFZWPUFVWRAVWSVXJUYNVXKWPAUXHU
        XSAUXHUXOVAZVWQYJAUXSVWQUVEYSAUXHUXSUXSVXLVWQVWQVVAVVAUVFUVGAUXHUXSUYNV
        XLVWQAUYNVVQUVHZAUYNVVQXMZYRYQZAVWLVWNVVLUXMWOUFZWQUFZVWEVWOAVWJVWNVWKV
        XPWQAVWGYGUTZVWGVWJVWNAVWGAVWGVWNVMVXOAVVLUXSVVRUYAYBYEYMAUWQUWRVVHVXRV
        WJVDUXAUBVVICUYQHLMRNUVIUQVXOYTAVWKFVXAWOUFZUXMWOUFZVXPAUWQVUMVUMUWSUWS
        VWKVXTVDUXAVVBVVBUXCUXCFFDDUYPVUKHVULLMRNVURVUSVVCUVJUVRAVXSVVLUXMWOAFU
        SUTZVLVBUFUXEUXSWPUFZVLVBUFVXSVVLAVYAVYBVLVBAVYAVUOUSUTZVYBFVUOUSUEYLAV
        YCUXEUXSUSUTZWPUFVYBAUWPUXSUXDVWQVVAUVKAVYDUXSUXEWPAUXSUYAAUXSVUTUVLUVM
        YFYNYOYDAFVXDYKAUXEUXSUXGVWQVVAUVNYTYDYNYSVWMAVVLUXSUXMWQUFZWOUFVWOVXQA
        VYEWDVVLWOAUYFUYIVYEWDVDUYHWGUXMWDUVOVQYFAVVLUXSUXMVWPVWQUYHUVPUVQUVSYS
        YPYFYQYQAVVOVVMVWAVVSUVTAVVOVVNVWAVVTUWAUWBAUWQUWRVUBVVOVDUXAUBCHKLMNRO
        YIVNYSAUYOVVLUYKWOUFVVNAUXHUYKUYNVXLAUYKAUXNUXRVJZVAVXMVXNYRAVVLUXNVWPA
        UXNUXRVAZUWCYNYPWKAUYLUYNAUXHUYKUXOVYFYBVVQUWDXTAUXHUIUHUXNUIUHUYMUYLVD
        VXLVYGUXHUXNUWGVNWKUWEAUXHUXOUWHXTAUXEUXFUWIAUXHVMUHVCVMUHUXIUXJUXKUWFU
        WJUXOUWKUXHVCUWLVQUWMUWNUWO $.
    $}

    pjthlem.j $e |- J = ( TopOpen ` W ) $.
    pjthlem.s $e |- .(+) = ( LSSum ` W ) $.
    pjthlem.o $e |- O = ( ocv ` W ) $.
    pjthlem.3 $e |- ( ph -> U e. ( Clsd ` J ) ) $.
    $( Lemma for ~ pjth .  (Contributed by NM, 10-Oct-1999.)  (Revised by Mario
       Carneiro, 15-May-2014.) $)
    pjthlem2 $p |- ( ph -> A e. ( U .(+) ( O ` U ) ) ) $=
      ( vx vy vz vw cv co cfv cle wbr wral wcel wreu wrex chl ccph syl eleqtrdi
      hlcph clss cress ccms ccld wss wb hlcms lssss cmsss syl2anc mpbird minvec
      eqid reurex cabl wceq clmod adantr cphlmod lmodabl simprl sseldd syl12anc
      wa ablpncan3 lsssssubg cphl cphphl ocvlss csca c0g lmodvsubcl syl3anc cc0
      csubg c1 caddc cdiv ad2antrr simpr fveq2d breq2d simplrr lssvacl syl22anc
      oveq2 rspcdva cgrp sselda grpsubsub4 syl13anc breqtrrd ralrimiva pjthlem1
      lmodgrp cclm cphclm eqtrd elocv syl3anbrc lsmelvali eqeltrrd rexlimddv
      clm0 ) ABUGUKZIULZJUMZBUHUKZIULZJUMZUNUOZUHEUPZBEEKUMZDULZUQUGEAYPUGEURYP
      UGEUSAUGUHBMIJLENQOAMUTUQZMVAUQZTMVDVBZAEHMVEUMUASVCAMEVFULZVGUQZEGVHUMUQ
      ZUFAMVGUQZELVIZUUCUUDVJAYSUUETMVKVBAEHUQZUUFUAHELMNSVLZVBEGUUBMLUUBVQNUCV
      MVNVOUBVPYPUGEVRVBAYIEUQZYPWHZWHZYIYJCULZBYRUUKMVSUQZYILUQZBLUQZUULBVTUUK
      MWAUQZUUMUUKYTUUPAYTUUJUUAWBZMWCVBZMWDVBUUKELYIUUKUUGUUFAUUGUUJUAWBZUUHVB
      ZAUUIYPWEZWFZAUUOUUJUBWBZLCMIYIBNPQWIWGUUKEMWSUMZUQYQUVDUQUUIYJYQUQZUULYR
      UQUUKHUVDEUUKUUPHUVDVIUURHMSWJVBZUUSWFUUKHUVDYQUVFUUKMWKUQZUUFYQHUQUUKYTU
      VGUUQMWLVBUUTEHKLMNUESWMVNWFUVAUUKUUFYJLUQZYJUIUKZFULZMWNUMZWOUMZVTZUIEUP
      UVEUUTUUKUUPUUOUUNUVHUURUVCUVBILMBYINQWPWQZUUKUVMUIEUUKUVIEUQZWHZUVJWRUVL
      UVPUJYJUVICUVJUVIUVIFULWTXAULXBULZEFHIJLMNOPQRSAYSUUJUVOTXCUUKUUGUVOUUSWB
      UUKUVHUVOUVNWBUUKUVOXDUUKYKYJUJUKZIULZJUMZUNUOZUJEUPUVOUUKUWAUJEUUKUVREUQ
      ZWHZYKBUVRYICULZIULZJUMZUVTUNUWCYOYKUWFUNUOUHEUWDYLUWDVTZYNUWFYKUNUWGYMUW
      EJYLUWDBIXJXEXFAUUIYPUWBXGUWCUUPUUGUWBUUIUWDEUQUUKUUPUWBUURWBUUKUUGUWBUUS
      WBUUKUWBXDUUKUUIUWBUVAWBCHEMUVRYIPSXHXIXKUWCUVSUWEJUWCMXLUQZUUOUUNUVRLUQU
      VSUWEVTUUKUWHUWBUUKUUPUWHUURMXSVBWBUUKUUOUWBUVCWBUUKUUNUWBUVBWBUUKELUVRUU
      TXMLCMIBYIUVRNPQXNXOXEXPXQWBUVQVQXRUVPMXTUQZWRUVLVTUVPYTUWIUUKYTUVOUUQWBM
      YAVBUVKMUVKVQZYHVBYBXQUIYJEUVKFKLMUVLNRUWJUVLVQUEYCYDCDEYQMYIYJPUDYEXIYFY
      G $.
  $}

  ${
    $d x .(+) $.  $d x J $.  $d x L $.  $d x O $.  $d x U $.  $d x V $.
    $d x W $.
    pjth.v $e |- V = ( Base ` W ) $.
    pjth.s $e |- .(+) = ( LSSum ` W ) $.
    pjth.o $e |- O = ( ocv ` W ) $.
    pjth.j $e |- J = ( TopOpen ` W ) $.
    pjth.l $e |- L = ( LSubSp ` W ) $.
    $( Projection Theorem:  Any Hilbert space vector ` A ` can be decomposed
       uniquely into a member ` x ` of a closed subspace ` H ` and a member
       ` y ` of the complement of the subspace.  Theorem 3.7(i) of [Beran]
       p. 102 (existence part).  (Contributed by NM, 23-Oct-1999.)  (Revised by
       Mario Carneiro, 14-May-2014.) $)
    pjth $p |- ( ( W e. CHil /\ U e. L /\ U e. ( Clsd ` J ) ) ->
      ( U .(+) ( O ` U ) ) = V ) $=
      ( vx chl wcel cfv wss syl lssss eqid ccld w3a co clmod cphl hlphl phllmod
      3ad2ant1 simp2 3ad2ant2 ocvlss syl2anc lsmcl syl3anc cv wa cplusg cip csg
      cnm simpl1 simpl2 simpr simpl3 pjthlem2 eqelssd ) GNOZBDOZBCUAPOZUBZMBBEP
      ZAUCZFVJVLDOZVLFQVJGUDOZVHVKDOZVMVJGUEOZVNVGVHVPVIGUFUHZGUGRVGVHVIUIVJVPB
      FQZVOVQVHVGVRVIDBFGHLSUJBDEFGHJLUKULADBVKGLIUMUNDVLFGHLSRVJMUOZFOZUPVSGUQ
      PZABGURPZCDGUSPZGUTPZEFGHWDTWATWCTWBTLVGVHVIVTVAVGVHVIVTVBVJVTVCKIJVGVHVI
      VTVDVEVF $.
  $}

  ${
    pjth2.j $e |- J = ( TopOpen ` W ) $.
    pjth2.l $e |- L = ( LSubSp ` W ) $.
    pjth2.k $e |- K = ( proj ` W ) $.
    $( Projection Theorem with abbreviations:  A topologically closed subspace
       is a projection subspace.  (Contributed by Mario Carneiro,
       17-Oct-2015.) $)
    pjth2 $p |- ( ( W e. CHil /\ U e. L /\ U e. ( Clsd ` J ) ) ->
      U e. dom K ) $=
      ( chl wcel ccld cfv w3a cdm cocv clsm co cbs wceq eqid simp2 pjth cphl wa
      wb hlphl 3ad2ant1 pjdm2 syl mpbir2and ) EIJZADJZABKLJZMZACNJZULAAEOLZLEPL
      ZQERLZSZUKULUMUAUQABDUPUREURTZUQTZUPTZFGUBUNEUCJZUOULUSUDUEUKULVCUMEUFUGU
      QACDUPUREUTGVBVAHUHUIUJ $.
  $}

  ${
    $d x C $.  $d x J $.  $d x L $.  $d x W $.
    cldcss.v $e |- V = ( Base ` W ) $.
    cldcss.j $e |- J = ( TopOpen ` W ) $.
    cldcss.l $e |- L = ( LSubSp ` W ) $.
    cldcss.c $e |- C = ( ClSubSp ` W ) $.
    $( Corollary of the Projection Theorem:  A topologically closed subspace is
       algebraically closed in Hilbert space.  (Contributed by Mario Carneiro,
       17-Oct-2015.) $)
    cldcss $p |- ( W e. CHil ->
      ( U e. C <-> ( U e. L /\ U e. ( Clsd ` J ) ) ) ) $=
      ( chl wcel ccld cfv wa cphl hlphl csslss sylan ccph hlcph jca w3a cpj cdm
      csscld wss 3ad2ant1 eqid pjcss syl pjth2 sseldd 3expb impbida ) FKLZBALZB
      DLZBCMNLZOUPUQOURUSUPFPLZUQURFQZABDFJIRSUPFTLUQUSFUAABCFJHUFSUBUPURUSUQUP
      URUSUCZFUDNZUEZABVBUTVDAUGUPURUTUSVAUHAVCFVCUIZJUJUKBCVCDFHIVEULUMUNUO $.

    $( Corollary of the Projection Theorem:  A topologically closed subspace is
       algebraically closed in Hilbert space.  (Contributed by Mario Carneiro,
       17-Oct-2015.) $)
    cldcss2 $p |- ( W e. CHil -> C = ( L i^i ( Clsd ` J ) ) ) $=
      ( vx chl wcel ccld cfv cin cv wa cldcss elin bitr4di eqrdv ) EKLZJACBMNZO
      ZUBJPZALUECLUEUCLQUEUDLAUEBCDEFGHIRUECUCSTUA $.
  $}

  ${
    $d x W $.
    $( Corollary of the Projection Theorem:  A subcomplex Hilbert space is a
       Hilbert space (in the algebraic sense, meaning that all algebraically
       closed subspaces have a projection decomposition).  (Contributed by
       Mario Carneiro, 17-Oct-2015.) $)
    hlhil $p |- ( W e. CHil -> W e. Hil ) $=
      ( chl wcel cphl cpj cfv cdm ccss wceq chil hlphl wss eqid pjcss syl ctopn
      vx clss ccld cin cbs cldcss2 cv wa elin pjth2 3expib syl5bi ssrdv eqsstrd
      eqssd ishil sylanbrc ) ABCZADCZAEFZGZAHFZIAJCAKZUNUQURUNUOUQURLUSURUPAUPM
      ZURMZNOUNURARFZAPFZSFZTZUQURVCVBAUAFZAVFMVCMZVBMZVAUBUNQVEUQQUCZVECVIVBCZ
      VIVDCZUDUNVIUQCZVIVBVDUEUNVJVKVLVIVCUPVBAVGVHUTUFUGUHUIUJUKURAUPUTVAULUM
      $.
  $}

$( End $[ set-top.mm $] $)


$( Begin $[ set-numanal.mm $] $)
$(
###############################################################################
  BASIC REAL AND COMPLEX ANALYSIS
###############################################################################
$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Continuity
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  ${
    $d X x $.  $d ph x $.
    addcncf.a $e |- ( ph -> ( x e. X |-> A ) e. ( X -cn-> CC ) ) $.
    addcncf.b $e |- ( ph -> ( x e. X |-> B ) e. ( X -cn-> CC ) ) $.
    $( The addition of two continuous complex functions is continuous.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    addcncf $p |- ( ph -> ( x e. X |-> ( A + B ) ) e. ( X -cn-> CC ) ) $=
      ( caddc ccnfld ctopn cfv eqid ctx co ccn wcel addcn a1i cncfmpt2f ) ABCDH
      IJKZETLZHTTMNTONPATUAQRFGS $.
  $}

  ${
    $d X x $.  $d ph x $.
    subcncf.a $e |- ( ph -> ( x e. X |-> A ) e. ( X -cn-> CC ) ) $.
    subcncf.b $e |- ( ph -> ( x e. X |-> B ) e. ( X -cn-> CC ) ) $.
    $( The addition of two continuous complex functions is continuous.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    subcncf $p |- ( ph -> ( x e. X |-> ( A - B ) ) e. ( X -cn-> CC ) ) $=
      ( cmin ccnfld ctopn cfv eqid ctx co ccn wcel subcn a1i cncfmpt2f ) ABCDHI
      JKZETLZHTTMNTONPATUAQRFGS $.
  $}

  ${
    $d X x $.  $d ph x $.
    mulcncf.1 $e |- ( ph -> ( x e. X |-> A ) e. ( X -cn-> CC ) ) $.
    mulcncf.2 $e |- ( ph -> ( x e. X |-> B ) e. ( X -cn-> CC ) ) $.
    $( The multiplication of two continuous complex functions is continuous.
       (Contributed by Glauco Siliprandi, 29-Jun-2017.) $)
    mulcncf $p |- ( ph -> ( x e. X |-> ( A x. B ) ) e. ( X -cn-> CC ) ) $=
      ( cmul ccnfld ctopn cfv eqid ctx co ccn wcel mulcn a1i cncfmpt2f ) ABCDHI
      JKZETLZHTTMNTONPATUAQRFGS $.
  $}

  ${
    $d B y $.  $d X x $.  $d ph x $.  $d x y $.
    divcncf.1 $e |- ( ph -> ( x e. X |-> A ) e. ( X -cn-> CC ) ) $.
    divcncf.2 $e |- ( ph -> ( x e. X |-> B ) e. ( X -cn-> ( CC \ { 0 } ) ) ) $.
    $( The quotient of two continuous complex functions is continuous.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    divcncf $p |- ( ph -> ( x e. X |-> ( A / B ) ) e. ( X -cn-> CC ) ) $=
      ( vy cdiv co cmpt c1 cc ccncf cv wcel wf cncff syl cc0 cmul fvmptelrn csn
      wa cdif eldifad wne eldifsni divrecd mpteq2dva ccom csb ralrimiva fmptcos
      eqidd wceq csbov2g csbvarg oveq2d eqtr2d ax-1cn eqid cdivcncf mp1i cncfco
      eqtrd eqeltrd mulcncf ) ABECDIJZKBECLDIJZUAJZKEMNJZABEVIVKABOEPUDZCDABECM
      ABECKZVLPEMVNQFEMVNRSUBVMDMTUCZABEDMVOUEZABEDKZEVPNJPEVPVQQGEVPVQRSUBZUFZ
      VMDVPPZDTUGVRDMTUHSUIUJABCVJEFABEVJKZHVPLHOZIJZKZVQUKZVLAWEBEHDWCULZKWAAB
      HEVPDWCVQWDAVTBEVRUMAVQUOAWDUOUNABEWFVJVMWFLHDWBULZIJZVJVMDMPZWFWHUPVSHDL
      WBIMUQSVMWGDLIVMWIWGDUPVSHDMURSUSVFUJUTAEVPMVQWDGLMPWDVPMNJPAVAHLWDWDVBVC
      VDVEVGVHVG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Intermediate value theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d a b c A $.  $d b c B $.  $d c C $.  $d a b c F $.  $d a b c S $.
    pmltpclem1.1 $e |- ( ph -> A e. S ) $.
    pmltpclem1.2 $e |- ( ph -> B e. S ) $.
    pmltpclem1.3 $e |- ( ph -> C e. S ) $.
    pmltpclem1.4 $e |- ( ph -> A < B ) $.
    pmltpclem1.5 $e |- ( ph -> B < C ) $.
    pmltpclem1.6 $e |- ( ph ->
      ( ( ( F ` A ) < ( F ` B ) /\ ( F ` C ) < ( F ` B ) ) \/
        ( ( F ` B ) < ( F ` A ) /\ ( F ` B ) < ( F ` C ) ) ) ) $.
    $( Lemma for ~ pmltpc .  (Contributed by Mario Carneiro, 1-Jul-2014.) $)
    pmltpclem1 $p |- ( ph ->
      E. a e. S E. b e. S E. c e. S ( a < b /\ b < c /\
        ( ( ( F ` a ) < ( F ` b ) /\ ( F ` c ) < ( F ` b ) ) \/
          ( ( F ` b ) < ( F ` a ) /\ ( F ` b ) < ( F ` c ) ) ) ) ) $=
      ( clt wbr cfv wa wo wcel w3a wrex wceq breq1 breq1d anbi1d breq2d orbi12d
      fveq2 3anbi13d breq2 anbi12d 3anbi123d anbi2d 3anbi23d rspc3ev syl33anc
      cv ) ABEUACEUADEUABCPQZCDPQZBFRZCFRZPQZDFRZVCPQZSZVCVBPQZVCVEPQZSZTZGUSZH
      USZPQZVMIUSZPQZVLFRZVMFRZPQZVOFRZVRPQZSZVRVQPQZVRVTPQZSZTZUBZIEUCHEUCGEUC
      JKLMNOWGUTVAVKUBBVMPQZVPVBVRPQZWASZVRVBPQZWDSZTZUBUTCVOPQZVDVTVCPQZSZVHVC
      VTPQZSZTZUBGHIBCDEEEVLBUDZVNWHWFWMVPVLBVMPUEWTWBWJWEWLWTVSWIWAWTVQVBVRPVL
      BFUJZUFUGWTWCWKWDWTVQVBVRPXAUHUGUIUKVMCUDZWHUTVPWNWMWSVMCBPULVMCVOPUEXBWJ
      WPWLWRXBWIVDWAWOXBVRVCVBPVMCFUJZUHXBVRVCVTPXCUHUMXBWKVHWDWQXBVRVCVBPXCUFX
      BVRVCVTPXCUFUMUIUNVODUDZWNVAWSVKUTVODCPULXDWPVGWRVJXDWOVFVDXDVTVEVCPVODFU
      JZUFUOXDWQVIVHXDVTVEVCPXEUHUOUIUPUQUR $.
  $}

  ${
    $d a b c A $.  $d a b c F $.  $d b c V $.  $d a b c U $.  $d a b c W $.
    $d b c X $.
    pmltpc.1 $e |- ( ph -> F e. ( RR ^pm RR ) ) $.
    pmltpc.2 $e |- ( ph -> A C_ dom F ) $.
    pmltpc.3 $e |- ( ph -> U e. A ) $.
    pmltpc.4 $e |- ( ph -> V e. A ) $.
    pmltpc.5 $e |- ( ph -> W e. A ) $.
    pmltpc.6 $e |- ( ph -> X e. A ) $.
    pmltpc.7 $e |- ( ph -> U <_ V ) $.
    pmltpc.8 $e |- ( ph -> W <_ X ) $.
    pmltpc.9 $e |- ( ph -> -. ( F ` U ) <_ ( F ` V ) ) $.
    pmltpc.10 $e |- ( ph -> -. ( F ` X ) <_ ( F ` W ) ) $.
    $( Lemma for ~ pmltpc .  (Contributed by Mario Carneiro, 1-Jul-2014.) $)
    pmltpclem2 $p |- ( ph -> E. a e. A E. b e. A E. c e. A ( a < b /\ b < c /\
      ( ( ( F ` a ) < ( F ` b ) /\ ( F ` c ) < ( F ` b ) ) \/
        ( ( F ` b ) < ( F ` a ) /\ ( F ` b ) < ( F ` c ) ) ) ) ) $=
      ( cv clt wbr cfv wa wo w3a wrex wcel ad2antrr simpr cdm cr wf wss co reex
      cpm elpm2 sylib simprd sseldd wne simpld ffvelrnd cle ltnled mpbird gtned
      wn wceq eqcomd necon3i syl leneltd simplr jca orcd pmltpclem1 olcd adantr
      fveq2 ltlecasei lelttrd lttrd ) AHUAZIUAZUBUCWGJUAZUBUCWFDUDZWGDUDZUBUCWH
      DUDZWJUBUCUEWJWIUBUCWJWKUBUCUEUFUGJBUHIBUHHBUHZFDUDZCDUDZAWMWNUBUCZUEZWLF
      CWPFCUBUCZUEZFCEBDHIJAFBUIZWOWQOUJACBUIZWOWQMUJAEBUIZWOWQNUJWPWQUKACEUBUC
      ZWOWQACEADULZUMCAXCUMDUNZXCUMUOZADUMUMURUPUIXDXEUEKUMUMDUQUQUSUTZVAZABXCC
      LMVBZVBZAXCUMEXGABXCELNVBZVBZQAWNEDUDZVCECVCAXLWNAXCUMEDAXDXEXFVDZXJVEZAX
      LWNUBUCZWNXLVFUCVJSAXLWNXNAXCUMCDXMXHVEZVGVHZVIECWNXLECVKXLWNECDWBVLVMVNV
      OZUJWRWOXOUEWNWMUBUCZWNXLUBUCZUEWRWOXOAWOWQVPAXOWOWQXQUJVQVRVSWPCFVFUCZUE
      ZCFGBDHIJAWTWOYAMUJAWSWOYAOUJAGBUIZWOYAPUJYBCFACUMUIZWOYAXIUJAFUMUIZWOYAA
      XCUMFXGABXCFLOVBZVBZUJWPYAUKYBWNWMVCFCVCYBWMWNAWMUMUIZWOYAAXCUMFDXMYFVEZU
      JAWOYAVPZVIFCWNWMFCVKWMWNFCDWBVLVMVNVOAFGUBUCZWOYAAFGYGAXCUMGXGABXCGLPVBZ
      VBZRAGDUDZWMVCGFVCAWMYNYIAWMYNUBUCZYNWMVFUCVJTAWMYNYIAXCUMGDXMYLVEZVGVHZV
      IGFYNWMGFDWBVMVNVOZUJYBWOYOUEXSYNWMUBUCZUEYBWOYOYJAYOWOYAYQUJVQVTVSAYEWOY
      GWAAYDWOXIWAWCAWNWMVFUCZUEZWLEGUUAEGUBUCZUEZCEGBDHIJAWTYTUUBMUJAXAYTUUBNU
      JAYCYTUUBPUJAXBYTUUBXRUJUUAUUBUKUUCXOXLYNUBUCZUEXTYNXLUBUCZUEUUCXOUUDAXOY
      TUUBXQUJUUAUUDUUBUUAXLWNYNAXLUMUIZYTXNWAAWNUMUIYTXPWAZAYNUMUIYTYPWAZAXOYT
      XQWAUUAWNWMYNUUGAYHYTYIWAUUHAYTUKAYOYTYQWAWDWEZWAVQVTVSUUAGEVFUCZUEZFGEBD
      HIJAWSYTUUJOUJAYCYTUUJPUJAXAYTUUJNUJAYKYTUUJYRUJUUKGEAGUMUIZYTUUJYMUJAEUM
      UIZYTUUJXKUJUUAUUJUKUUKYNXLVCEGVCUUKXLYNAUUFYTUUJXNUJUUAUUDUUJUUIWAZVIEGY
      NXLEGVKXLYNEGDWBVLVMVNVOUUKYOUUDUEYSUUEUEUUKYOUUDAYOYTUUJYQUJUUNVQVRVSAUU
      MYTXKWAAUULYTYMWAWCYIXPWC $.
  $}

  ${
    $d a b c w x y z A $.  $d a b c w x y z F $.
    $( Any function on the reals is either increasing, decreasing, or has a
       triple of points in a vee formation.  (This theorem was created on
       demand by Mario Carneiro for the 6PCM conference in Bialystok,
       1-Jul-2014.)  (Contributed by Mario Carneiro, 1-Jul-2014.) $)
    pmltpc $p |- ( ( F e. ( RR ^pm RR ) /\ A C_ dom F ) ->
      ( A. x e. A A. y e. A ( x <_ y -> ( F ` x ) <_ ( F ` y ) ) \/
        A. x e. A A. y e. A ( x <_ y -> ( F ` y ) <_ ( F ` x ) ) \/
        E. a e. A E. b e. A E. c e. A ( a < b /\ b < c /\
        ( ( ( F ` a ) < ( F ` b ) /\ ( F ` c ) < ( F ` b ) ) \/
          ( ( F ` b ) < ( F ` a ) /\ ( F ` b ) < ( F ` c ) ) ) ) ) ) $=
      ( vz vw wcel wa cv cle wbr cfv wi wral clt wrex wn cr cpm cdm wss w3a w3o
      co wo rexanali rexbii rexnal bitri weq breq1 fveq2 breq2d breq2 cbvral2vw
      imbi12d breq1d xchbinx anbi12i reeanv ioran 3bitr4i simplll simpld simprd
      simpllr simplrl simplrr simprll simprrl simprlr simprrr pmltpclem2 df-3or
      ex rexlimdvva syl5bir orrd sylibr ) DUAUAUBUGJZCDUCUDZKZALZBLZMNZWFDOZWGD
      OZMNZPBCQZACQZWHWJWIMNZPZBCQACQZUHZELZFLZRNWSGLZRNWRDOZWSDOZRNWTDOZXBRNKX
      BXARNXBXCRNKUHUEGCSFCSECSZUHWMWPXDUFWEWQXDWQTZWHWKTZKZBCSZHLZILZMNZXJDOZX
      IDOZMNZTZKZICSZKZHCSACSZWEXDXHACSZXQHCSZKWMTZWPTZKXSXEXTYBYAYCXTWLTZACSYB
      XHYDACWHWKBCUIUJWLACUKULYAXKXNPZICQZTZHCSZYCXQYGHCXKXNICUIUJYHYFHCQWPYFHC
      UKYEWOWFXJMNZXLWIMNZPHIABCCHAUMZXKYIXNYJXIWFXJMUNYKXMWIXLMXIWFDUOUPUSIBUM
      ZYIWHYJWNXJWGWFMUQYLXLWJWIMXJWGDUOUTUSURVAULVBXHXQAHCCVCWMWPVDVEWEXRXDAHC
      CXRXGXPKZICSBCSWEWFCJZXICJZKZKZXDXGXPBICCVCYQYMXDBICCYQWGCJZXJCJZKZKZYMXD
      UUAYMKZCWFDWGXIXJEFGUUBWCWDWEYPYTYMVFZVGUUBWCWDUUCVHUUBYNYOWEYPYTYMVIZVGY
      QYRYSYMVJUUBYNYOUUDVHYQYRYSYMVKUUAWHXFXPVLUUAXGXKXOVMUUAWHXFXPVNUUAXGXKXO
      VOVPVRVSVTVSVTWAWMWPXDVQWB $.
  $}

  ${
    $d c x y z B $.  $d c x y z D $.  $d c x y z F $.  $d c x y z ph $.
    $d c x y A $.  $d x y z C $.  $d x y z S $.  $d c x y z U $.
    ivth.1 $e |- ( ph -> A e. RR ) $.
    ivth.2 $e |- ( ph -> B e. RR ) $.
    ivth.3 $e |- ( ph -> U e. RR ) $.
    ivth.4 $e |- ( ph -> A < B ) $.
    ivth.5 $e |- ( ph -> ( A [,] B ) C_ D ) $.
    ivth.7 $e |- ( ph -> F e. ( D -cn-> CC ) ) $.
    ivth.8 $e |- ( ( ph /\ x e. ( A [,] B ) ) -> ( F ` x ) e. RR ) $.
    ${
      ivth.9 $e |- ( ph -> ( ( F ` A ) < U /\ U < ( F ` B ) ) ) $.
      ${
        ivth.10 $e |- S = { x e. ( A [,] B ) | ( F ` x ) <_ U } $.
        $( Lemma for ~ ivth .  The set ` S ` of all ` x ` values with
           ` ( F `` x ) ` less than ` U ` is lower bounded by ` A ` and upper
           bounded by ` B ` .  (Contributed by Mario Carneiro, 17-Jun-2014.) $)
        ivthlem1 $p |- ( ph -> ( A e. S /\ A. z e. S z <_ B ) ) $=
          ( wcel wbr cv cle wral cicc co cfv rexrd ltled lbicc2 syl3anc cr wceq
          cxr eleq1d ralrimiva rspcdva clt simpld breq1d elrab2 sylanbrc ssrab3
          fveq2 sseli wi iccleub 3expia syl2anc syl5 ralrimiv jca ) ADGSZCUAZEU
          BTZCGUCADDEUDUEZSZDIUFZHUBTZVLADUMSZEUMSZDEUBTVPADJUGZAEKUGZADEJKMUHD
          EUIUJZAVQHABUAZIUFZUKSZVQUKSBVODWDDULZWEVQUKWDDIVCZUNAWFBVOPUOWCUPLAV
          QHUQTHEIUFUQTQURUHWEHUBTZVRBDVOGWGWEVQHUBWHUSRUTVAAVNCGVMGSVMVOSZAVNG
          VOVMWIBVOGRVBVDAVSVTWJVNVEWAWBVSVTWJVNDEVMVFVGVHVIVJVK $.

        ivth.11 $e |- C = sup ( S , RR , < ) $.
        $( Lemma for ~ ivth .  Show that the supremum of ` S ` cannot be less
           than ` U ` .  If it was, continuity of ` F ` implies that there are
           points just above the supremum that are also less than ` U ` , a
           contradiction.  (Contributed by Mario Carneiro, 17-Jun-2014.) $)
        ivthlem2 $p |- ( ph -> -. ( F ` C ) < U ) $=
          ( wbr vy vz cfv clt wa cv cmin co cabs wi wral crp wrex wn ccncf wcel
          cc adantr cicc cr cle csup ssrab3 wss iccssre syl2anc sstrid ivthlem1
          simpld ne0d simprd brralrspcev suprcld eqeltrid suprubd breqtrrdi wne
          c0 w3a wb 3jca suprleub mpbird eqbrtrid elicc2 mpbir3and sseldd fveq2
          wceq eleq1d ralrimiva rspcdva difrp biimpa cncfi syl3anc syl ad2antrr
          ssralv c2 cdiv caddc rphalfcl adantl rpred readdcld ifcld rexrd ltled
          cif ubicc2 lttr mpan2d ltnrd breq2d notbid syl5ibrcom necon2ad jctild
          cxr imp ltlend sylibrd mpd ltaddrpd breq2 ifboth min1 abssubge0d rpre
          letrd min2 rphalflt ltadd2dd lelttrd breq1d recnd syld syl5 rexlimdva
          ltsubadd2d eqbrtrd fvoveq1 anbi12d rspcev r19.29 pm3.45 simprr simprl
          syl12anc simplll resubcld absdifltd ltle pncan3d elrab2 baib ad2antrl
          3imtr4d suprub ex 3syl lenltd sylibd adantld sylbid mt2d pm2.21d expr
          impcomd pm2.01da ) AEIUCZHUDTZAUVMUEZUAUFZEUGUHUIUCZUBUFZUDTZUVOIUCZU
          VLUGUHUIUCHUVLUGUHZUDTZUJZUAFUKZUBULUMZUVMUNZUVNIFUQUOUHUPZEFUPZUVTUL
          UPZUWDAUWFUVMOURAUWGUVMACDUSUHZFENAEUWIUPZEUTUPZCEVATZEDVATZAEGUTUDVB
          ZUTSABUBGAGUWIUTBUFZIUCZHVATZBUWIGRVCACUTUPZDUTUPZUWIUTVDZJKCDVEVFZVG
          ZAGCACGUPZUVQDVATUBGUKZABUBCDFGHIJKLMNOPQRVHZVIZVJZAUWSUXDUVQUWOVATUB
          GUKBUTUMZKAUXCUXDUXEVKZBUBUVQDVAUTGVLVFZVMVNZACUWNEVAABUBGCUXBUXGUXJU
          XFVOSVPZAEUWNDVASAUWNDVATZUXDUXIAGUTVDZGVRVQZUXHVSZUWSUXMUXDVTAUXNUXO
          UXHUXBUXGUXJWAZKBUBUBGDWBVFWCWDZAUWRUWSUWJUWKUWLUWMVSVTJKCDEWEVFWFZWG
          URAUVMUWHAUVLUTUPZHUTUPZUVMUWHVTAUWPUTUPZUXTBUWIEUWOEWIUWPUVLUTUWOEIW
          HWJAUYBBUWIPWKZUXSWLZLUVLHWMVFWNUBUAFUQEUVTIWOWPUVNUWCUWEUBULUVNUVQUL
          UPZUEZUWCUWBUAUWIUKZUWEAUWCUYGUJZUVMUYEAUWIFVDUYHNUWBUAUWIFWSWQWRUYFU
          YGUVREUVOUDTZUEZUAUWIUMZUWEUYFDEUVQWTXAUHZXBUHZVATZDUYMXJZUWIUPZUYOEU
          GUHZUIUCZUVQUDTZEUYOUDTZUYKUYFUYPUYOUTUPZCUYOVATZUYODVATZUYFUYNDUYMUT
          AUWSUVMUYEKWRZUYFEUYLAUWKUVMUYEUXKWRZUYFUYLUYEUYLULUPUVNUVQXCXDZXEZXF
          ZXGZUYFCEUYOAUWRUVMUYEJWRVUEVUIAUWLUVMUYEUXLWRUYFEUYOVUEVUIUYFEDUDTZE
          UYMUDTZUYTUYFUVLDIUCZUDTZVUJUVNVUMUYEAUVMVUMAUVMHVULUDTZVUMACIUCHUDTV
          UNQVKAUXTUYAVULUTUPZUVMVUNUEVUMUJUYDLAUYBVUOBUWIDUWODWIUWPVULUTUWODIW
          HWJUYCACXTUPDXTUPCDVATDUWIUPACJXHADKXHACDJKMXICDXKWPWLUVLHVULXLWPXMYA
          URAVUMVUJUJUVMUYEAVUMUWMDEVQZUEVUJAVUMVUPUWMAVUMDEAVUMUNDEWIZUVLUVLUD
          TZUNAUVLUYDXNVUQVUMVURVUQVULUVLUVLUDDEIWHXOXPXQXRUXRXSAEDUXKKYBYCWRYD
          UYFEUYLVUEVUFYEUYNVUJVUKUYTDUYMDUYOEUDYFUYMUYOEUDYFYGVFZXIZYKUYFUWSUY
          MUTUPZVUCVUDVUHDUYMYHVFAUYPVUAVUBVUCVSVTZUVMUYEAUWRUWSVVBJKCDUYOWEVFW
          RWFUYFUYRUYQUVQUDUYFEUYOVUEVUIVUTYIUYFUYQUVQUDTUYOEUVQXBUHZUDTUYFUYOU
          YMVVCVUIVUHUYFEUVQVUEUYEUVQUTUPUVNUVQYJXDZXFUYFUWSVVAUYOUYMVATVUDVUHD
          UYMYLVFUYFUYLUVQEVUGVVDVUEUYEUYLUVQUDTUVNUVQYMXDYNYOUYFUYOEUVQVUIVUEV
          VDUUAWCUUBVUSUYJUYSUYTUEUAUYOUWIUVOUYOWIZUVRUYSUYIUYTVVEUVPUYRUVQUDUV
          OUYOEUIUGUUCYPUVOUYOEUDYFUUDUUEUUJUYGUYKUEUWBUYJUEZUAUWIUMUYFUWEUWBUY
          JUAUWIUUFUYFVVFUWEUAUWIVVFUWAUYIUEZUYFUVOUWIUPZUEZUWEUWBUYJVVGUVRUWAU
          YIUUGYAVVIUYIUWAUWEUYFVVHUYIUWAUWEUJUYFVVHUYIUEZUEZUWAUWEVVKUWAUYIUYF
          VVHUYIUUHVVKUWAUVLUVTUGUHUVSUDTZUVSUVLUVTXBUHZUDTZUEUYIUNZVVKUVSUVLUV
          TVVKUYBUVSUTUPZBUWIUVOUWOUVOWIZUWPUVSUTUWOUVOIWHZWJVVKAUYBBUWIUKAUVMU
          YEVVJUUKZUYCWQUYFVVHUYIUUIZWLZVVKAUXTVVSUYDWQZVVKHUVLVVKAUYAVVSLWQZVW
          BUULUUMVVKVVNVVOVVLVVKVVNUVOGUPZVVOVVKUVSHUDTZUVSHVATZVVNVWDVVKVVPUYA
          VWEVWFUJVWAVWCUVSHUUNVFVVKVVMHUVSUDVVKUVLHVVKUVLVWBYQVVKHVWCYQUUOXOVV
          HVWDVWFVTUYFUYIVWDVVHVWFUWQVWFBUVOUWIGVVQUWPUVSHVAVVRYPRUUPUUQUURUUSV
          VKVWDUVOEVATZVVOVVKAUXPVWDVWGUJVVSUXQUXPVWDVWGUXPVWDUEUVOUWNEVABUBGUV
          OUUTSVPUVAUVBVVKUVOEVVKUWIUTUVOVVKAUWTVVSUXAWQVVTWGVVKAUWKVVSUXKWQUVC
          UVDYRUVEUVFUVGUVHUVIUVJYSYTYSXMYRYTYDUVK $.

        $( Lemma for ~ ivth , the intermediate value theorem.  Show that
           ` ( F `` C ) ` cannot be greater than ` U ` , and so establish the
           existence of a root of the function.  (Contributed by Mario
           Carneiro, 30-Apr-2014.)  (Revised by Mario Carneiro,
           17-Jun-2014.) $)
        ivthlem3 $p |- ( ph -> ( C e. ( A (,) B ) /\ ( F ` C ) = U ) ) $=
          ( clt vz vy cioo co wcel cfv wceq cr wbr csup cicc cle ssrab3 iccssre
          wss syl2anc sstrid wral ivthlem1 simpld ne0d wrex brralrspcev suprcld
          cv simprd eqeltrid wn ivthlem2 wa cmin wi crp cc ccncf adantr suprubd
          cabs breqtrrdi wne w3a 3jca suprleub mpbird eqbrtrid elicc2 mpbir3and
          c0 wb sseldd fveq2 eleq1d ralrimiva rspcdva difrp biimpa cncfi ssralv
          syl3anc ad2antrr ltsubrp sylancom breqtrdi rpre adantl resubcld mpbid
          syl suprlub ad2antrl simplll simprl suprub abssuble0d simprr ltsub23d
          sseli eqbrtrd jca32 ex reximdv2 mpd r19.29 pm3.45 imp caddc absdifltd
          ad2antll recnd breq1d sylbid rexlimdva notbid necon2ad jctild sylibrd
          syl5 ltlend cxr rexrd nncand elrab2 simprbi lensymd pm2.21d expr syld
          adantrd impcomd mpan2d pm2.01da lttri3d mpbir2and breqtrrd syl5ibrcom
          ltnrd syl5ibcom breq2d elioo2 jca ) AECDUCUDUEZEIUFZHUGZAUVAEUHUEZCET
          UIZEDTUIZAEGUHTUJZUHSABUAGAGCDUKUDZUHBVEZIUFZHULUIZBUVHGRUMZACUHUEZDU
          HUEZUVHUHUOZJKCDUNUPZUQZAGCACGUEZUAVEZDULUIUAGURZABUACDFGHIJKLMNOPQRU
          SZUTZVAZAUVNUVTUVSUVIULUIUAGURBUHVBZKAUVRUVTUWAVFZBUAUVSDULUHGVCUPZVD
          VGZACIUFZUVBTUIZUVEAUWHHUVBTAUWHHTUIZHDIUFZTUIZQUTAUVCUVBHTUIVHHUVBTU
          IZVHZABCDEFGHIJKLMNOPQRSVIAUWMAUWMVJZUBVEZEVKUDVRUFZUVSTUIZUWPIUFZUVB
          VKUDVRUFUVBHVKUDZTUIZVLZUBFURZUAVMVBZUWNUWOIFVNVOUDUEZEFUEZUWTVMUEZUX
          DAUXEUWMOVPAUXFUWMAUVHFENAEUVHUEZUVDCEULUIZEDULUIZUWGACUVGEULABUAGCUV
          QUWCUWFUWBVQSVSZAEUVGDULSAUVGDULUIZUVTUWEAGUHUOZGWHVTZUWDWAZUVNUXLUVT
          WIAUXMUXNUWDUVQUWCUWFWBZKBUAUAGDWCUPWDWEZAUVMUVNUXHUVDUXIUXJWAWIJKCDE
          WFUPWGZWJVPAUWMUXGAHUHUEZUVBUHUEZUWMUXGWILAUVJUHUEZUXTBUVHEUVIEUGUVJU
          VBUHUVIEIWKWLAUYABUVHPWMZUXRWNZHUVBWOUPWPUAUBFVNEUWTIWQWSUWOUXCUWNUAV
          MUWOUVSVMUEZVJZUXCUXBUBUVHURZUWNAUXCUYFVLZUWMUYDAUVHFUOUYGNUXBUBUVHFW
          RXHWTUYEUYFUWRUWPGUEZVJZUBUVHVBZUWNUYEEUVSVKUDZUWPTUIZUBGVBZUYJUYEUYK
          UVGTUIZUYMUYEUYKEUVGTUWOUYDUVDUYKETUIAUVDUWMUYDUWGWTZEUVSXAXBSXCUYEUX
          OUYKUHUEUYNUYMWIAUXOUWMUYDUXPWTUYEEUVSUYOUYDUVSUHUEZUWOUVSXDXEZXFBUAU
          BGUYKXIUPXGUYEUYLUYIUBGUVHUYEUYHUYLVJZUWPUVHUEZUYIVJUYEUYRVJZUYSUWRUY
          HUYHUYSUYEUYLGUVHUWPUVLXQZXJZUYTUWQEUWPVKUDUVSTUYTUWPEUYTUVHUHUWPUYTA
          UVOAUWMUYDUYRXKZUVPXHVUBWJZUYTAUVDVUCUWGXHZUYTUWPUVGEULUYTUXOUYHUWPUV
          GULUIUYTAUXOVUCUXPXHUYEUYHUYLXLZBUAGUWPXMUPSVSXNUYTEUVSUWPVUEUYEUYPUY
          RUYQVPVUDUYEUYHUYLXOXPXRVUFXSXTYAYBUYFUYJVJUXBUYIVJZUBUVHVBUYEUWNUXBU
          YIUBUVHYCUYEVUGUWNUBUVHVUGUXAUYHVJZUYEUYSVJUWNUXBUYIVUHUWRUXAUYHYDYEU
          YEVUHUWNVLUYSUYEUYHUXAUWNUWOUYDUYHUXAUWNVLUWOUYDUYHVJZVJZUXAUVBUWTVKU
          DZUWSTUIZUWSUVBUWTYFUDTUIZVJUWNVUJUWSUVBUWTVUJUYAUWSUHUEBUVHUWPUVIUWP
          UGZUVJUWSUHUVIUWPIWKZWLAUYABUVHURUWMVUIUYBWTUYHUYSUWOUYDVUAYHWNZAUXTU
          WMVUIUYCWTZVUJUVBHVUQAUXSUWMVUILWTZXFYGVUJVULUWNVUMVUJVULHUWSTUIZUWNV
          UJVUKHUWSTVUJUVBHVUJUVBVUQYIVUJHVURYIUUAYJVUJVUSUWNVUJUWSHVUPVURUYHUW
          SHULUIZUWOUYDUYHUYSVUTUVKVUTBUWPUVHGVUNUVJUWSHULVUOYJRUUBUUCYHUUDUUEY
          KUUHYKUUFUUIVPYQYLYQUUJUUGYLYBUUKAUVBHUYCLUULUUMZUUNAUWIUXIECVTZVJUVE
          AUWIVVBUXIAUWIECAUVBUVBTUIZVHZECUGZUWIVHAUVBUYCUUPZVVEVVCUWIVVEUVBUWH
          UVBTECIWKYJYMUUQYNUXKYOACEJUWGYRYPYBAUVBUWKTUIZUVFAUVBHUWKTVVAAUWJUWL
          QVFXRAVVGUXJDEVTZVJUVFAVVGVVHUXJAVVGDEAVVGVHDEUGZVVDVVFVVIVVGVVCVVIUW
          KUVBUVBTDEIWKUURYMUUOYNUXQYOAEDUWGKYRYPYBACYSUEDYSUEUVAUVDUVEUVFWAWIA
          CJYTADKYTCDEUUSUPWGVVAUUT $.
      $}

      $( The intermediate value theorem, increasing case.  This is Metamath 100
         proof #79.  (Contributed by Paul Chapman, 22-Jan-2008.)  (Proof
         shortened by Mario Carneiro, 30-Apr-2014.) $)
      ivth $p |- ( ph -> E. c e. ( A (,) B ) ( F ` c ) = U ) $=
        ( vy cv cfv cle wbr cicc co crab cr clt csup cioo wcel wceq wrex breq1d
        wa fveq2 cbvrabv eqid ivthlem3 fveqeq2 rspcev syl ) AQRZGSZFTUAZQCDUBUC
        ZUDZUEUFUGZCDUHUCZUIVFGSFUJZUMHRZGSFUJZHVGUKABCDVFEVEFGIJKLMNOPVCBRZGSZ
        FTUAQBVDVAVKUJVBVLFTVAVKGUNULUOVFUPUQVJVHHVFVGVIVFFGURUSUT $.
    $}

    ${
      ivth2.9 $e |- ( ph -> ( ( F ` B ) < U /\ U < ( F ` A ) ) ) $.
      $( The intermediate value theorem, decreasing case.  (Contributed by Paul
         Chapman, 22-Jan-2008.)  (Revised by Mario Carneiro, 30-Apr-2014.) $)
      ivth2 $p |- ( ph -> E. c e. ( A (,) B ) ( F ` c ) = U ) $=
        ( cfv wceq wcel clt vy cv cneg cmpt cioo co wrex renegcld cc ccncf eqid
        negfcncf syl cicc wa cr sselda fveq2 negeqd negex fvmpt eqeltrd wbr cxr
        rexrd ltled lbicc2 syl3anc sseldd simprd eleq1d ralrimiva rspcdva mpbid
        cle ltnegd eqbrtrd simpld ubicc2 breqtrrd jca ioossicc sstrid eqeq1d wf
        ivth cncff ffvelrnda syldan recnd adantr neg11ad bitrd rexbidva ) AHUBZ
        UAEUAUBZGQZUCZUDZQZFUCZRZHCDUEUFZUGWOGQZFRZHXCUGABCDEXAWSHIJAFKUHLMAGEU
        IUJUFZSZWSXFSNUAEGWSWSUKZULUMABUBZCDUNUFZSUOZXIWSQZXIGQZUCZUPXKXIESXLXN
        RAXJEXIMUQUAXIWRXNEWSWPXIRWQXMWPXIGURUSXHXMUTVAUMXKXMOUHVBACWSQZXATVCXA
        DWSQZTVCAXOCGQZUCZXATACESXOXRRAXJECMACVDSZDVDSZCDVOVCZCXJSACIVEZADJVEZA
        CDIJLVFZCDVGVHZVIUACWRXREWSWPCRWQXQWPCGURUSXHXQUTVAUMAFXQTVCZXRXATVCADG
        QZFTVCZYFPVJAFXQKAXMUPSZXQUPSBXJCXICRXMXQUPXICGURVKAYIBXJOVLZYEVMVPVNVQ
        AXAYGUCZXPTAYHXAYKTVCAYHYFPVRAYGFAYIYGUPSBXJDXIDRXMYGUPXIDGURVKYJAXSXTY
        ADXJSYBYCYDCDVSVHZVMKVPVNADESXPYKRAXJEDMYLVIUADWRYKEWSWPDRWQYGWPDGURUSX
        HYGUTVAUMVTWAWFAXBXEHXCAWOXCSZUOZXBXDUCZXARXEYNWTYOXAYNWOESZWTYORAXCEWO
        AXCXJECDWBMWCUQZUAWOWRYOEWSWPWORWQXDWPWOGURUSXHXDUTVAUMWDYNXDFAYMYPXDUI
        SYQAEUIWOGAXGEUIGWENEUIGWGUMWHWIAFUISYMAFKWJWKWLWMWNVN $.
    $}

    ${
      ivthle.9 $e |- ( ph -> ( ( F ` A ) <_ U /\ U <_ ( F ` B ) ) ) $.
      $( The intermediate value theorem with weak inequality, increasing case.
         (Contributed by Mario Carneiro, 12-Aug-2014.) $)
      ivthle $p |- ( ph -> E. c e. ( A [,] B ) ( F ` c ) = U ) $=
        ( wceq cr wcel adantr cfv clt wbr cv cicc co wrex wa wss ioossicc ccncf
        cioo adantlr simpr ivth ssrexv mpsyl anassrs cxr cle rexrd ltled ubicc2
        cc syl3anc eqcom fveq2 eqeq2d syl5bb rspcev sylan simprd eleq1d rspcdva
        wo ralrimiva leloed mpbid mpjaodan lbicc2 fveqeq2 simpld ) ACGUAZFUBUCZ
        HUDZGUAZFQZHCDUEUFZUGZWCFQZAWDUHFDGUAZUBUCZWIFWKQZAWDWLWICDULUFZWHUIAWD
        WLUHZUHZWGHWNUGWICDUJWPBCDEFGHACRSWOITADRSWOJTAFRSWOKTACDUBUCWOLTAWHEUI
        WOMTAGEVDUKUFSWONTABUDZWHSWQGUAZRSZWOOUMAWOUNUOWGHWNWHUPUQURAWMWIWDADWH
        SZWMWIACUSSZDUSSZCDUTUCZWTACIVAZADJVAZACDIJLVBZCDVCVEZWGWMHDWHWGFWFQWED
        QZWMWFFVFXHWFWKFWEDGVGVHVIVJVKUMAWLWMVOZWDAFWKUTUCZXIAWCFUTUCZXJPVLAFWK
        KAWSWKRSBWHDWQDQWRWKRWQDGVGVMAWSBWHOVPZXGVNVQVRTVSACWHSZWJWIAXAXBXCXMXD
        XEXFCDVTVEZWGWJHCWHWECFGWAVJVKAXKWDWJVOAXKXJPWBAWCFAWSWCRSBWHCWQCQWRWCR
        WQCGVGVMXLXNVNKVQVRVS $.
    $}

    ivthle2.9 $e |- ( ph -> ( ( F ` B ) <_ U /\ U <_ ( F ` A ) ) ) $.
    $( The intermediate value theorem with weak inequality, decreasing case.
       (Contributed by Mario Carneiro, 12-May-2014.) $)
    ivthle2 $p |- ( ph -> E. c e. ( A [,] B ) ( F ` c ) = U ) $=
      ( wceq cr wcel adantr cfv clt wbr cv cicc co wrex wa cioo wss ioossicc cc
      ccncf adantlr simpr ivth2 ssrexv mpsyl anassrs cxr cle rexrd ltled lbicc2
      syl3anc eqcom fveq2 eqeq2d syl5bb rspcev sylan wo simprd eleq1d ralrimiva
      rspcdva leloed mpbid mpjaodan ubicc2 fveqeq2 simpld ) ADGUAZFUBUCZHUDZGUA
      ZFQZHCDUEUFZUGZWCFQZAWDUHFCGUAZUBUCZWIFWKQZAWDWLWICDUIUFZWHUJAWDWLUHZUHZW
      GHWNUGWICDUKWPBCDEFGHACRSWOITADRSWOJTAFRSWOKTACDUBUCWOLTAWHEUJWOMTAGEULUM
      UFSWONTABUDZWHSWQGUAZRSZWOOUNAWOUOUPWGHWNWHUQURUSAWMWIWDACWHSZWMWIACUTSZD
      UTSZCDVAUCZWTACIVBZADJVBZACDIJLVCZCDVDVEZWGWMHCWHWGFWFQWECQZWMWFFVFXHWFWK
      FWECGVGVHVIVJVKUNAWLWMVLZWDAFWKVAUCZXIAWCFVAUCZXJPVMAFWKKAWSWKRSBWHCWQCQW
      RWKRWQCGVGVNAWSBWHOVOZXGVPVQVRTVSADWHSZWJWIAXAXBXCXMXDXEXFCDVTVEZWGWJHDWH
      WEDFGWAVJVKAXKWDWJVLAXKXJPWBAWCFAWSWCRSBWHDWQDQWRWCRWQDGVGVNXLXNVPKVQVRVS
      $.
  $}

  ${
    $d x z D $.  $d x y z F $.  $d x y z M $.  $d x y z N $.  $d x y z ph $.
    $d x A $.  $d x B $.
    ivthicc.1 $e |- ( ph -> A e. RR ) $.
    ivthicc.2 $e |- ( ph -> B e. RR ) $.
    ivthicc.3 $e |- ( ph -> M e. ( A [,] B ) ) $.
    ivthicc.4 $e |- ( ph -> N e. ( A [,] B ) ) $.
    ivthicc.5 $e |- ( ph -> ( A [,] B ) C_ D ) $.
    ivthicc.7 $e |- ( ph -> F e. ( D -cn-> CC ) ) $.
    ivthicc.8 $e |- ( ( ph /\ x e. ( A [,] B ) ) -> ( F ` x ) e. RR ) $.
    $( The interval between any two points of a continuous real function is
       contained in the range of the function.  Equivalently, the range of a
       continuous real function is convex.  (Contributed by Mario Carneiro,
       12-Aug-2014.) $)
    ivthicc $p |- ( ph -> ( ( F ` M ) [,] ( F ` N ) ) C_ ran F ) $=
      ( vz wcel wbr cr ad2antrr vy cfv cicc co crn clt wceq wrex simpll cle w3a
      cv wa wb elicc2 syl2anc mpbid simp1d wss eleq1d ralrimiva rspcdva iccssre
      fveq2 sselda adantr simpr simp2d simp3d iccss syl22anc sstrd ccncf syldan
      cc sylan biimpa 3simpc syl ivthle wi wfn wf cncff ffn 3syl fnfvelrn eleq1
      syl5ibcom rexlimdva sylc csn simplr fveq2d oveq2d cxr rexrd iccid eleqtrd
      eqtr3d elsni sseldd eqeltrd ivthle2 w3o lttri4d mpjao3dan ex ssrdv ) AUAG
      FUBZHFUBZUCUDZFUEZAUAULZXLQZXNXMQZAXOUMZGHUFRZXPGHUGZHGUFRZXQXRUMZAPULZFU
      BZXNUGZPGHUCUDZUHXPAXOXRUIZYABGHEXNFPAGSQZXOXRAYGCGUJRZGDUJRZAGCDUCUDZQZY
      GYHYIUKZKACSQZDSQZYKYLUNIJCDGUOUPUQZURZTAHSQZXOXRAYQCHUJRZHDUJRZAHYJQZYQY
      RYSUKZLAYMYNYTUUAUNIJCDHUOUPUQZURZTXQXNSQZXRAXLSXNAXJSQZXKSQZXLSUSABULZFU
      BZSQZUUEBYJGUUGGUGUUHXJSUUGGFVDUTAUUIBYJOVAZKVBZAUUIUUFBYJHUUGHUGUUHXKSUU
      GHFVDUTUUJLVBZXJXKVCUPVEZVFXQXRVGAYEEUSXOXRAYEYJEAYMYNYHYSYEYJUSIJAYGYHYI
      YOVHAYQYRYSUUBVICDGHVJVKZMVLZTAFEVOVMUDQZXOXRNTYAAUUGYEQZUUIYFAUUQUUGYJQZ
      UUIAYEYJUUGUUNVEOVNVPXQXJXNUJRZXNXKUJRZUMZXRXQUUDUUSUUTUKZUVAAXOUVBAUUEUU
      FXOUVBUNUUKUULXJXKXNUOUPVQUUDUUSUUTVRVSZVFVTAYDXPPYEAYBYEQYBEQZYDXPWAZAYE
      EYBUUOVEAUVDUMYCXMQZYDXPAFEWBZUVDUVFAUUPEVOFWCUVGNEVOFWDEVOFWEWFZEYBFWGVP
      YCXNXMWHWIZVNWJWKXQXSUMZXNXJXMUVJXNXJWLZQXNXJUGUVJXNXLUVKAXOXSWMUVJXJXJUC
      UDZXLUVKUVJXJXKXJUCUVJGHFXQXSVGWNWOUVJXJWPQZUVLUVKUGAUVMXOXSAXJUUKWQTXJWR
      VSWTWSXNXJXAVSAXJXMQZXOXSAUVGGEQUVNUVHAYJEGMKXBEGFWGUPTXCXQXTUMZAYDPHGUCU
      DZUHXPAXOXTUIZUVOBHGEXNFPAYQXOXTUUCTAYGXOXTYPTXQUUDXTUUMVFXQXTVGAUVPEUSXO
      XTAUVPYJEAYMYNYRYIUVPYJUSIJAYQYRYSUUBVHAYGYHYIYOVICDHGVJVKZMVLZTAUUPXOXTN
      TUVOAUUGUVPQZUUIUVQAUVTUURUUIAUVPYJUUGUVRVEOVNVPXQUVAXTUVCVFXDAYDXPPUVPAY
      BUVPQUVDUVEAUVPEYBUVSVEUVIVNWJWKAXRXSXTXEXOAGHYPUUCXFVFXGXHXI $.
  $}

  ${
    $d x y A $.  $d a b w z A $.  $d a b x y B $.  $d w z B $.  $d a b x y F $.
    $d a b x y ph $.  $d w z ph $.  $d w z F $.
    evthicc.1 $e |- ( ph -> A e. RR ) $.
    evthicc.2 $e |- ( ph -> B e. RR ) $.
    evthicc.3 $e |- ( ph -> A <_ B ) $.
    evthicc.4 $e |- ( ph -> F e. ( ( A [,] B ) -cn-> RR ) ) $.
    $( Specialization of the Extreme Value Theorem to a closed interval of
       ` RR ` .  (Contributed by Mario Carneiro, 12-Aug-2014.) $)
    evthicc $p |- ( ph ->
      ( E. x e. ( A [,] B ) A. y e. ( A [,] B ) ( F ` y ) <_ ( F ` x ) /\
        E. z e. ( A [,] B ) A. w e. ( A [,] B ) ( F ` z ) <_ ( F ` w ) ) ) $=
      ( cv cfv co wral wrex eqid cr wcel cle wbr cicc cioo crn ctg crest icccmp
      cuni ccmp syl2anc ccncf ccn cabs cmin ccom cxp cres cmopn cc wceq iccssre
      wss ax-resscn sstrdi tgioo cncfmet sylancl resubmet syl oveq1d eleqtrd c0
      eqtrd ctop retop uniretop restuni sylancr cxr rexrd syl3anc ne0d eqnetrrd
      lbicc2 evth raleqdv rexeqbidv mpbird evth2 jca ) ACMHNBMHNUAUBZCFGUCOZPZB
      WMQZDMHNEMHNUAUBZEWMPZDWMQZAWOWLCUDUEUFNZWMUGOZUIZPZBXAQABCHWTWSXAXARZWSR
      ZAFSTZGSTZWTUJTIJFGWTWSXDWTRUHUKZAHWMSULOZWTWSUMOZLAXHUNUOUPZWMWMUQURZUSN
      ZWSUMOZXIAWMUTVCSUTVCXHXMVAAWMSUTAXEXFWMSVCZIJFGVBUKZVDVEVDWMSXKXJSSUQURZ
      XLWSXKRXPRZXLRZXPXPUSNZXQXSRVFVGVHAXLWTWSUMAXNXLWTVAXOWMWSXLXDXRVIVJVKVNV
      LZAWMXAVMAWSVOTXNWMXAVAVPXOWMWSSVQVRVSZAWMFAFVTTGVTTFGUAUBFWMTAFIWAAGJWAK
      FGWEWBWCWDZWFAWNXBBWMXAYAAWLCWMXAYAWGWHWIAWRWPEXAPZDXAQADEHWTWSXAXCXDXGXT
      YBWJAWQYCDWMXAYAAWPEWMXAYAWGWHWIWK $.

    $( Combine ~ ivthicc with ~ evthicc to exactly describe the image of a
       closed interval.  (Contributed by Mario Carneiro, 19-Feb-2015.) $)
    evthicc2 $p |- ( ph -> E. x e. RR E. y e. RR ran F = ( x [,] y ) ) $=
      ( vz va vb cv wa wrex cr wcel adantr cc cfv cle wbr cicc co wral crn wceq
      evthicc reeanv sylibr r19.26 ccncf wf syl simprr ffvelrnd simprl wfn ffnd
      cncff w3a elicc2 syl2an2r 3anass bitrdi ffvelrnda biantrurd syl5bb bitr4d
      wb ancom ralbidva biimpar ffnfv sylanbrc frnd ssidd ax-resscn ssid cncfss
      wss mp2an sselid ivthicc eqssd rspceov syl3anc ex syl5bir rexlimdvva mpd
      ) AKNZFUAZLNZFUAZUBUCZKDEUDUEZUFZMNZFUAZWNUBUCZKWRUFZOZMWRPLWRPZFUGZBNZCN
      UDUEUHCQPBQPZAWSLWRPXCMWRPOXEALKMKDEFGHIJUIWSXCLMWRWRUJUKAXDXHLMWRWRXDWQX
      BOZKWRUFZAWOWRRZWTWRRZOZOZXHWQXBKWRULXNXJXHXNXJOZXAQRZWPQRZXFXAWPUDUEZUHX
      HXNXPXJXNWRQWTFXNFWRQUMUEZRZWRQFUNZAXTXMJSZWRQFVAUOZAXKXLUPZUQZSXNXQXJXNW
      RQWOFYCAXKXLURZUQZSXOXFXRXOWRXRFXOFWRUSWNXRRZKWRUFZWRXRFUNXOWRQFXNYAXJYCS
      UTXNYIXJXNYHXIKWRXNWMWRRZOZYHWNQRZXBWQOZOZXIYKYHYLXBWQVBZYNXNXPYJXQYHYOVK
      YEXNXQYJYGSXAWPWNVCVDYLXBWQVEVFXIYMYKYNWQXBVLYKYLYMXNWRQWMFYCVGVHVIVJVMVN
      KWRXRFVOVPVQXNXRXFWBXJXNBDEWRFWTWOADQRXMGSAEQRXMHSYDYFXNWRVRXNXSWRTUMUEZF
      QTWBTTWBXSYPWBVSTVTWRQTWAWCYBWDXNWRQXGFYCVGWESWFBCQQXAWPXFUDWGWHWIWJWKWL
      $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z F $.
    $( A continuous function on a closed interval is bounded.  (Contributed by
       Mario Carneiro, 7-Sep-2014.) $)
    cniccbdd $p |- ( ( A e. RR /\ B e. RR /\ F e. ( ( A [,] B ) -cn-> CC ) ) ->
      E. x e. RR A. y e. ( A [,] B ) ( abs ` ( F ` y ) ) <_ x ) $=
      ( vz cr wcel co cc ccncf cv cfv cabs cle wbr wral wrex wa adantr cicc w3a
      clt cc0 0re c0 ral0 wceq cxr wb simp1 rexrd simp2 syl2anc biimpar raleqdv
      icc0 mpbiri brralrspcev sylancr simpr simp3 abscncf cncfco evthicc simpld
      ccom a1i wf cncff syl ffvelrnda fvco3 sylan breq1d ralbidva biimpd syl6an
      rexlimdva imp syldan ltlecasei ) CGHZDGHZECDUAIZJKIHZUBZBLZEMNMZALOPBWEQA
      GRZDCWGDCUCPZSZUDGHWIUDOPZBWEQZWJUEWLWNWMBUFQWMBUGWLWMBWEUFWGWEUFUHZWKWGC
      UIHDUIHWOWKUJWGCWCWDWFUKZULWGDWCWDWFUMZULCDUQUNUOUPURABWIUDOGWEUSUTWGCDOP
      ZWHNEVGZMZFLZWSMZOPZBWEQZFWERZWJWGWRSZXEXBWTOPBWEQFWERXFFBFBCDWSWGWCWRWPT
      WGWDWRWQTWGWRVAWGWSWEGKIHZWRWGWEJGENWCWDWFVBZNJGKIHWGVCVHVDZTVEVFWGXEWJWG
      XDWJFWEWGXAWEHZSZXBGHXDWIXBOPZBWEQZWJWGWEGXAWSWGXGWEGWSVIXIWEGWSVJVKVLXKX
      DXMXKXCXLBWEXKWHWEHZSWTWIXBOXKWEJEVIZXNWTWIUHWGXOXJWGWFXOXHWEJEVJVKTWEJWH
      NEVMVNVOVPVQABWIXBOGWEUSVRVSVTWAWQWPWB $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Integrals
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Lebesgue measure
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c vol* $. $( outer Lebesgue measure $)
  $c vol $. $( Lebesgue measure $)

  $( Extend class notation with the outer Lebesgue measure. $)
  covol $a class vol* $.

  $( Extend class notation with the Lebesgue measure. $)
  cvol $a class vol $.

  ${
    $d x y f $.
    $( Define the outer Lebesgue measure for subsets of the reals.  Here ` f `
       is a function from the positive integers to pairs ` <. a , b >. ` with
       ` a <_ b ` , and the outer volume of the set ` x ` is the infimum over
       all such functions such that the union of the open intervals
       ` ( a , b ) ` covers ` x ` of the sum of ` b - a ` .  (Contributed by
       Mario Carneiro, 16-Mar-2014.)  (Revised by AV, 17-Sep-2020.) $)
    df-ovol $a |- vol* = ( x e. ~P RR |-> inf ( { y e. RR* |
      E. f e. ( ( <_ i^i ( RR X. RR ) ) ^m NN ) ( x C_ U. ran ( (,) o. f ) /\
          y = sup ( ran seq 1 ( + , ( ( abs o. - ) o. f ) ) , RR* , < ) ) } ,
                    RR* , < ) ) $.

    $( Define the Lebesgue measure, which is just the outer measure with a
       peculiar domain of definition.  The property of being
       Lebesgue-measurable can be expressed as ` A e. dom vol ` .  (Contributed
       by Mario Carneiro, 17-Mar-2014.) $)
    df-vol $a |- vol = ( vol* |` { x | A. y e. ( `' vol* " RR )
      ( vol* ` y ) = ( ( vol* ` ( y i^i x ) ) + ( vol* ` ( y \ x ) ) ) } ) $.
  $}

  $( Closure for the interval endpoint function.  (Contributed by Mario
     Carneiro, 16-Mar-2014.) $)
  ovolfcl $p |- ( ( F : NN --> ( <_ i^i ( RR X. RR ) ) /\ N e. NN ) ->
                    ( ( 1st ` ( F ` N ) ) e. RR /\
                      ( 2nd ` ( F ` N ) ) e. RR /\
                      ( 1st ` ( F ` N ) ) <_ ( 2nd ` ( F ` N ) ) ) ) $=
    ( cn cle cr cxp cin wf wcel wa cfv c1st c2nd cop wbr ffvelrn elin2d 1st2nd2
    w3a wceq syl eqeltrrd ancom elin df-br bicomi opelxp anbi12i df-3an 3bitr4i
    bitri sylib ) CDEEFZGZAHBCIJZBAKZLKZUPMKZNZUNIZUQEIZUREIZUQURDOZSZUOUPUSUNU
    OUPUMIUPUSTUODUMUPCUNBAPZQUPEERUAVEUBVCVAVBJZJZVFVCJUTVDVCVFUCUTUSDIZUSUMIZ
    JVGUSDUMUDVHVCVIVFVCVHUQURDUEUFUQUREEUGUHUKVAVBVCUIUJUL $.

  ${
    $d n z A $.  $d n x y z F $.
    $( Unpack the interval covering property of the outer measure definition.
       (Contributed by Mario Carneiro, 16-Mar-2014.) $)
    ovolfioo $p |- ( ( A C_ RR /\ F : NN --> ( <_ i^i ( RR X. RR ) ) ) ->
                      ( A C_ U. ran ( (,) o. F ) <-> A. z e. A E. n e. NN
                  ( ( 1st ` ( F ` n ) ) < z /\ z < ( 2nd ` ( F ` n ) ) ) ) ) $=
      ( cr wss cn cle cxp wf wa cv cioo cfv clt wbr wb cxr wcel rexr ccom inss2
      cin ciun crn cuni c1st c2nd wrex wral cpw wfn wceq rexpssxrxp sstri mpan2
      ioof fss fco sylancr ffn fniunfv sseq2d adantl dfss3 ssel2 eliun ad2antrr
      co fvco3 cop ffvelrn elin2d 1st2nd2 syl fveq2d df-ov eqtr4di eqtrd eleq2d
      w3a ovolfcl elioo1 syl2an 3anass bitrdi 3adant3 adantll mpbirand rexbidva
      3syl bitrd syl5bb sylan an32s ralbidva bitr3d ) BEFZGHEEIZUCZDJZKZBCGCLZM
      DUAZNZUDZFZBXDUEUFZFZXCDNZUGNZALZOPZXLXJUHNZOPZKZCGUIZABUJZXAXGXIQWRXAXFX
      HBXAGEUKZXDJZXDGULXFXHUMXARRIZXSMJGYADJZXTUQXAWTYAFYBWTWSYAHWSUBUNUOGWTYA
      DURUPGYAXSMDUSUTGXSXDVACGXDVBWKVCVDXGXLXFSZABUJXBXRABXFVEXBYCXQABWRXLBSZX
      AYCXQQZWRYDKXLESZXAYEBEXLVFYCXLXESZCGUIYFXAKZXQCXLGXEVGYHYGXPCGYHXCGSZKYG
      XLRSZXPYFYJXAYIXLTVHXAYIYGYJXPKZQYFXAYIKZYGXLXKXNMVIZSZYKYLXEYMXLYLXEXJMN
      ZYMGWTXCMDVJYLYOXKXNVKZMNYMYLXJYPMYLXJWSSXJYPUMYLHWSXJGWTXCDVLVMXJEEVNVOV
      PXKXNMVQVRVSVTYLXKESZXNESZXKXNHPZWAYNYKQZDXCWBYQYRYTYSYQYRKYNYJXMXOWAZYKY
      QXKRSXNRSYNUUAQYRXKTXNTXKXNXLWCWDYJXMXOWEWFWGVOWLWHWIWJWMWNWOWPWMWQ $.

    $( Unpack the interval covering property using closed intervals.
       (Contributed by Mario Carneiro, 16-Mar-2014.) $)
    ovolficc $p |- ( ( A C_ RR /\ F : NN --> ( <_ i^i ( RR X. RR ) ) ) ->
                      ( A C_ U. ran ( [,] o. F ) <-> A. z e. A E. n e. NN
                ( ( 1st ` ( F ` n ) ) <_ z /\ z <_ ( 2nd ` ( F ` n ) ) ) ) ) $=
      ( cr wss cn cle cxp wf wa cv cicc cfv wbr wrex wral wb cxr wcel ccom ciun
      cin crn cuni c1st c2nd cpw wfn wceq iccf inss2 rexpssxrxp sstri fss mpan2
      fco sylancr ffn fniunfv 3syl sseq2d adantl dfss3 ssel2 eliun simpll fvco3
      co cop ffvelrn elin2d 1st2nd2 syl fveq2d df-ov eqtr4di eleq2d w3a ovolfcl
      eqtrd elicc2 3anass bitrdi 3adant3 bitrd adantll mpbirand rexbidva syl5bb
      sylan an32s ralbidva bitr3d ) BEFZGHEEIZUCZDJZKZBCGCLZMDUAZNZUBZFZBXAUDUE
      ZFZWTDNZUFNZALZHOZXIXGUGNZHOZKZCGPZABQZWRXDXFRWOWRXCXEBWRGSUHZXAJZXAGUIXC
      XEUJWRSSIZXPMJGXRDJZXQUKWRWQXRFXSWQWPXRHWPULUMUNGWQXRDUOUPGXRXPMDUQURGXPX
      AUSCGXAUTVAVBVCXDXIXCTZABQWSXOABXCVDWSXTXNABWOXIBTZWRXTXNRZWOYAKXIETZWRYB
      BEXIVEXTXIXBTZCGPYCWRKZXNCXIGXBVFYEYDXMCGYEWTGTZKYDYCXMYCWRYFVGWRYFYDYCXM
      KZRYCWRYFKZYDXIXHXKMVIZTZYGYHXBYIXIYHXBXGMNZYIGWQWTMDVHYHYKXHXKVJZMNYIYHX
      GYLMYHXGWPTXGYLUJYHHWPXGGWQWTDVKVLXGEEVMVNVOXHXKMVPVQWAVRYHXHETZXKETZXHXK
      HOZVSYJYGRZDWTVTYMYNYPYOYMYNKYJYCXJXLVSYGXHXKXIWBYCXJXLWCWDWEVNWFWGWHWIWJ
      WKWLWMWJWN $.

    $( Any (closed) interval covering is a subset of the reals.  (Contributed
       by Mario Carneiro, 24-Mar-2015.) $)
    ovolficcss $p |- ( F : NN --> ( <_ i^i ( RR X. RR ) ) ->
      U. ran ( [,] o. F ) C_ RR ) $=
      ( vx vy cn cle cr cxp wf cicc crn cpw wss cv cfv wcel wral wceq syl cxr
      wb cin ccom cuni cima rnco2 wa c1st c2nd co ffvelrn elin2d 1st2nd2 fveq2d
      cop df-ov eqtr4di xp1st xp2nd iccssre syl2anc reex elpw2 sylibr ralrimiva
      eqsstrd wfn ffn fveq2 eleq1d ralrn mpbird wfun iccf ffun ax-mp rexpssxrxp
      cdm frn inss2 sstri fdmi sseqtrri sstrdi funimass4 sylancr eqsstrid sylib
      sspwuni ) DEFFGZUAZAHZIAUBJZFKZLWLUCFLWKWLIAJZUDZWMIAUEWKWOWMLZBMZINZWMOZ
      BWNPZWKWTCMZANZINZWMOZCDPZWKXDCDWKXADOUFZXCFLXDXFXCXBUGNZXBUHNZIUIZFXFXCX
      GXHUNZINXIXFXBXJIXFXBWIOZXBXJQXFEWIXBDWJXAAUJUKZXBFFULRUMXGXHIUOUPXFXGFOZ
      XHFOZXIFLXFXKXMXLXBFFUQRXFXKXNXLXBFFURRXGXHUSUTVEXCFVAVBVCVDWKADVFWTXETDW
      JAVGWSXDBCDAWQXBQWRXCWMWQXBIVHVIVJRVKWKIVLZWNIVQZLWPWTTSSGZSKZIHXOVMXQXRI
      VNVOWKWNWJXPDWJAVRWJXQXPWJWIXQEWIVSVPVTXQXRIVMWAWBWCBWNWMIWDWEVKWFWLFWHWG
      $.
  $}

  ${
    ovolfs.1 $e |- G = ( ( abs o. - ) o. F ) $.
    $( The value of the interval length function.  (Contributed by Mario
       Carneiro, 16-Mar-2014.) $)
    ovolfsval $p |- ( ( F : NN --> ( <_ i^i ( RR X. RR ) ) /\ N e. NN ) ->
                      ( G ` N ) = ( ( 2nd ` ( F ` N ) ) -
                                    ( 1st ` ( F ` N ) ) ) ) $=
      ( cn cle cr cxp cin wcel cfv cabs cmin ccom co wceq syl cc recnd eqtrd wf
      wa c2nd c1st fveq1i fvco3 syl5eq cop ffvelrn elin2d 1st2nd2 df-ov eqtr4di
      fveq2d wbr ovolfcl simp1d simp2d eqid cnmetdval syl2anc w3a abssuble0 ) E
      FGGHZIZAUACEJUBZCBKZCAKZLMNZKZVHUCKZVHUDKZMOZVFVGCVIANZKVJCBVNDUEEVECVIAU
      FUGVFVJVLVKVIOZVMVFVJVLVKUHZVIKVOVFVHVPVIVFVHVDJVHVPPVFFVDVHEVECAUIUJVHGG
      UKQUNVLVKVIULUMVFVOVLVKMOLKZVMVFVLRJVKRJVOVQPVFVLVFVLGJZVKGJZVLVKFUOZACUP
      ZUQSVFVKVFVRVSVTWAURSVLVKVIVIUSUTVAVFVRVSVTVBVQVMPWAVLVKVCQTTT $.

    $d x y G $.  $d x y F $.
    $( Closure for the interval length function.  (Contributed by Mario
       Carneiro, 16-Mar-2014.) $)
    ovolfsf $p |- ( F : NN --> ( <_ i^i ( RR X. RR ) ) ->
      G : NN --> ( 0 [,) +oo ) ) $=
      ( vx cn cle cr cxp wf cfv cc0 co wcel cabs cmin ccom cc fco wss wbr mp2an
      cin wfn cpnf cico wral absf subf inss2 ax-resscn xpss12 sstri fss sylancr
      cv mpan2 feq1i sylibr ffnd wa ffvelrnda c2nd w3a ovolfcl wb subge0 ancoms
      c1st biimp3ar syl ovolfsval breqtrrd elrege0 sylanbrc ralrimiva ffnfv ) E
      FGGHZUBZAIZBEUCDUOZBJZKUDUELZMZDEUFEWBBIVSEGBVSEGNOPZAPZIZEGBIVSQQHZGWDIZ
      EWGAIZWFQGNIWGQOIWHUGUHWGQGNORUAVSVRWGSWIVRVQWGFVQUIGQSZWJVQWGSUJUJGQGQUK
      UAULEVRWGAUMUPEWGGWDARUNEGBWECUQURZUSVSWCDEVSVTEMUTZWAGMKWAFTWCVSEGVTBWKV
      AWLKVTAJZVBJZWMVHJZOLZWAFWLWOGMZWNGMZWOWNFTZVCKWPFTZAVTVDWQWRWTWSWRWQWTWS
      VEWNWOVFVGVIVJABVTCVKVLWAVMVNVODEWBBVPVN $.

    ovolfs.2 $e |- S = seq 1 ( + , G ) $.
    $( Closure for the partial sums of the interval length function.
       (Contributed by Mario Carneiro, 16-Mar-2014.) $)
    ovolsf $p |- ( F : NN --> ( <_ i^i ( RR X. RR ) ) ->
      S : NN --> ( 0 [,) +oo ) ) $=
      ( vx vy cn cle cr cxp cin wf cc0 cpnf co caddc c1 cv wcel cico ovolfsf wa
      cseq nnuz 1zzd ffvelrnda ge0addcl adantl seqf feq1i sylibr ) HIJJKLBMZHNO
      UAPZQCRUDZMHUNAMUMFGQUNCRHUEUMUFUMHUNFSZCBCDUBUGUPUNTGSZUNTUCUPUQQPUNTUMU
      PUQUHUIUJHUNAUOEUKUL $.
  $}

  ${
    $d A f x y $.  $d M x $.
    ovolval.1 $e |- M = { y e. RR* |
      E. f e. ( ( <_ i^i ( RR X. RR ) ) ^m NN ) ( A C_ U. ran ( (,) o. f ) /\
           y = sup ( ran seq 1 ( + , ( ( abs o. - ) o. f ) ) , RR* , < ) ) } $.
    $( The value of the outer measure.  (Contributed by Mario Carneiro,
       16-Mar-2014.)  (Revised by AV, 17-Sep-2020.) $)
    ovolval $p |- ( A C_ RR -> ( vol* ` A ) = inf ( M , RR* , < ) ) $=
      ( vx cr wss cpw covol cxr clt cinf wceq cv ccom crn wa wrex crab wcel cfv
      reex elpw2 cioo cuni caddc cabs cmin c1 cseq csup cle cxp cin cn cleq1lem
      cmap co rexbidv rabbidv eqtr4di infeq1d df-ovol xrltso infex fvmpt sylbir
      ) BGHBGIZUABJUBDKLMZNBGUCUDFBFOZUECOZPQUFZHAOUGUHUIPVLPUJUKQKLULNZRZCUMGG
      UNUOUPURUSZSZAKTZKLMVJVIJVKBNZKVRDLVSVRBVMHVNRZCVPSZAKTDVSVQWAAKVSVOVTCVP
      VNVKBVMUQUTVAEVBVCFACVDKDLVEVFVGVH $.
  $}

  $( Lemma for ~ elovolm and related theorems.  (Contributed by BJ,
     23-Jul-2022.) $)
  elovolmlem $p |- ( F e. ( ( A i^i ( RR X. RR ) ) ^m NN ) <->
                                         F : NN --> ( A i^i ( RR X. RR ) ) ) $=
    ( cr cxp cin cn reex xpex inex2 nnex elmap ) ACCDZEFBLACCGGHIJK $.

  ${
    $d B f y $.  $d A y $.
    elovolm.1 $e |- M = { y e. RR* |
      E. f e. ( ( <_ i^i ( RR X. RR ) ) ^m NN ) ( A C_ U. ran ( (,) o. f ) /\
           y = sup ( ran seq 1 ( + , ( ( abs o. - ) o. f ) ) , RR* , < ) ) } $.
    $( Elementhood in the set ` M ` of approximations to the outer measure.
       (Contributed by Mario Carneiro, 16-Mar-2014.) $)
    elovolm $p |- ( B e. M <->
      E. f e. ( ( <_ i^i ( RR X. RR ) ) ^m NN ) ( A C_ U. ran ( (,) o. f ) /\
          B = sup ( ran seq 1 ( + , ( ( abs o. - ) o. f ) ) , RR* , < ) ) ) $=
      ( wcel cxr cv ccom crn wss wceq wa cle cr cn co wrex wf cioo cuni cabs c1
      caddc cmin cseq clt csup cxp cin cmap anbi2d rexbidv elrab2 cc0 cpnf cico
      eqeq1 elovolmlem eqid ovolsf sylbi icossxr fss sylancl supxrcl 3syl eleq1
      frn syl5ibrcom imp adantrl rexlimiva pm4.71ri bitr4i ) CEGCHGZBUADIZJKUBL
      ZCUEUCUFJVRJZUDUGZKZHUHUIZMZNZDOPPUJUKZQULRZSZNWHVSAIZWCMZNZDWGSWHACHEWIC
      MZWKWEDWGWLWJWDVSWICWCUSUMUNFUOWHVQWEVQDWGVRWGGZWDVQVSWMWDVQWMVQWDWCHGZWM
      QHWATZWBHLWNWMQUPUQURRZWATZWPHLWOWMQWFVRTWQOVRUTWAVRVTVTVAWAVAVBVCUPUQVDQ
      WPHWAVEVFQHWAVJWBVGVHCWCHVIVKVLVMVNVOVP $.

    ${
      $d F f $.  $d A f $.  $d S f y $.
      elovolmr.2 $e |- S = seq 1 ( + , ( ( abs o. - ) o. F ) ) $.
      $( Sufficient condition for elementhood in the set ` M ` .  (Contributed
         by Mario Carneiro, 16-Mar-2014.) $)
      elovolmr $p |- ( ( F : NN --> ( <_ i^i ( RR X. RR ) ) /\
                A C_ U. ran ( (,) o. F ) ) -> sup ( ran S , RR* , < ) e. M ) $=
        ( cn cle cr cioo ccom crn cuni wss cxr clt caddc c1 cxp wf wa csup cabs
        cv cmin cseq wceq cmap co wrex wcel elovolmlem id eqcomd coeq2d seqeq3d
        syl5eq rneqd supeq1d biantrud coeq2 unieqd sseq2d bitr3d rspcev sylanbr
        cin elovolm sylibr ) IJKKUAVIZEUBZBLEMZNZOZPZUCBLDUFZMZNZOZPZCNZQRUDZSU
        EUGMZVRMZTUHZNZQRUDUIZUCZDVLIUJUKZULZWDFUMVMEWKUMVQWLJEUNWJVQDEWKVREUIZ
        WBWJVQWMWIWBWMQWCWHRWMCWGWMCSWEEMZTUHWGHWMWNWFSTWMEVRWEWMVREWMUOUPUQURU
        SUTVAVBWMWAVPBWMVTVOWMVSVNVRELVCUTVDVEVFVGVHABWDDFGVJVK $.
    $}

    $( The set ` M ` is composed of nonnegative extended real numbers.
       (Contributed by Mario Carneiro, 16-Mar-2014.) $)
    ovolmge0 $p |- ( B e. M -> 0 <_ B ) $=
      ( wcel ccom crn wss c1 cxr wa cle cr cn co cc0 wbr wf cioo cuni cabs cmin
      cv caddc cseq clt csup wceq cxp cin cmap wrex elovolm elovolmlem cfv cpnf
      cico eqid ovolsf 1nn ffvelrn sylancl elrege0 simprbi syl frnd icossxr wfn
      sstrdi ffnd fnfvelrn supxrub syl2anc wi 0xr sselid supxrcl xrletr mp3an2i
      mp2and sylbi breq2 syl5ibrcom adantld rexlimiv ) CEGBUADUEZHIUBJZCUFUCUDH
      WHHZKUGZIZLUHUIZUJZMZDNOOUKULZPUMQZUNRCNSZABCDEFUOWOWRDWQWHWQGZWNWRWIWSWR
      WNRWMNSZWSPWPWHTZWTNWHUPXARKWKUQZNSZXBWMNSZWTXAXBRURUSQZGZXCXAPXEWKTKPGZX
      FWKWHWJWJUTWKUTVAZVBPXEKWKVCVDZXFXBOGXCXBVEVFVGXAWLLJZXBWLGZXDXAWLXELXAPX
      EWKXHVHRURVIZVKZXAWKPVJXGXKXAPXEWKXHVLVBPKWKVMVDWLXBVNVORLGXAXBLGWMLGZXCX
      DMWTVPVQXAXELXBXLXIVRXAXJXNXMWLVSVGRXBWMVTWAWBWCCWMRNWDWEWFWGWC $.
  $}

  ${
    $d f g m n x y z A $.  $d f m n x z F $.  $d m z G $.  $d x M $.  $d x N $.
    $d f g k m n x y B $.  $d k m n z ph $.  $d f k n x y S $.  $d k y T $.
    $( The volume of a set is an extended real number.  (Contributed by Mario
       Carneiro, 16-Mar-2014.) $)
    ovolcl $p |- ( A C_ RR -> ( vol* ` A ) e. RR* ) $=
      ( vf vy cr wss covol cfv cioo cv ccom crn cuni caddc cabs cmin c1 cxr clt
      cseq csup wceq wa cle cxp cin cn cmap co wrex crab cinf eqid ovolval wcel
      ssrab2 infxrcl ax-mp eqeltrdi ) ADEAFGAHBIZJKLECIMNOJUSJPSKQRTUAUBBUCDDUD
      UEUFUGUHUIZCQUJZQRUKZQCABVAVAULUMVAQEVBQUNUTCQUOVAUPUQUR $.

    ${
      ovollb.1 $e |- S = seq 1 ( + , ( ( abs o. - ) o. F ) ) $.
      $( The outer volume is a lower bound on the sum of all interval coverings
         of ` A ` .  (Contributed by Mario Carneiro, 15-Jun-2014.) $)
      ovollb $p |- ( ( F : NN --> ( <_ i^i ( RR X. RR ) ) /\
                       A C_ U. ran ( (,) o. F ) ) ->
                     ( vol* ` A ) <_ sup ( ran S , RR* , < ) ) $=
        ( vf vy cn cle cr cxp wf cioo ccom crn cuni wss wa cv cxr clt cin covol
        cfv caddc cabs cmin c1 cseq csup wceq cmap co wrex crab cinf simpr ioof
        cpw simpl inss2 rexpssxrxp sstri fss sylancl sylancr frnd sspwuni sylib
        fco sstrd eqid ovolval syl wcel wbr ssrab2 elovolmr infxrlb eqbrtrd ) G
        HIIJZUAZCKZALCMZNZOZPZQZAUBUCZALERZMNOPFRUDUEUFMWIMUGUHNSTUIUJQEWAGUKUL
        UMZFSUNZSTUOZBNSTUIZHWGAIPWHWLUJWGAWEIWBWFUPWGWDIURZPWEIPWGGWNWCWGSSJZW
        NLKGWOCKZGWNWCKUQWGWBWAWOPWPWBWFUSWAVTWOHVTUTVAVBGWAWOCVCVDGWOWNLCVIVEV
        FWDIVGVHVJFAEWKWKVKZVLVMWGWKSPWMWKVNWLWMHVOWJFSVPFABECWKWQDVQWKWMVRVEVS
        $.
    $}

    ${
      ovolgelb.1 $e |- S = seq 1 ( + , ( ( abs o. - ) o. g ) ) $.
      $( The outer volume is the greatest lower bound on the sum of all
         interval coverings of ` A ` .  (Contributed by Mario Carneiro,
         15-Jun-2014.) $)
      ovolgelb $p |- ( ( A C_ RR /\ ( vol* ` A ) e. RR /\ B e. RR+ ) ->
              E. g e. ( ( <_ i^i ( RR X. RR ) ) ^m NN )
                ( A C_ U. ran ( (,) o. g ) /\
                sup ( ran S , RR* , < ) <_ ( ( vol* ` A ) + B ) ) ) $=
        ( vy vx cr wss wcel cxr clt cle wbr wa cn wrex wi wral wceq cfv crp w3a
        covol cioo cv ccom crn cuni caddc co csup cxp cmap simp2 simp3 ltaddrpd
        wn rpred readdcld ltnled mpbid cabs cmin c1 cseq crab cinf eqid ovolval
        cin 3ad2ant1 breq2d wb ssrab2 rexrd infxrgelb sylancr weq eqeq1 supeq1i
        rneqi eqeq2i bitr4di anbi2d rexbidv ralrab ralcom r19.23v ralbii impexp
        ancomst bitri cc0 cpnf cico elovolmlem ovolsf sylbi frnd icossxr sstrdi
        supxrcl syl breq2 imbi2d ceqsralv syl5bb ralbiia 3bitr3i bitr2di bitr4d
        wf mtbid rexanali sylibr xrltnle xrltle sylbird syl2anr anim2d reximdva
        mpd ) AHIZAUDUAZHJZBUBJZUCZAUEDUFZUGUHUIIZYEBUJUKZCUHZKLULZMNZURZOZDMHH
        UMVKZPUNUKZQZYJYMYKMNZOZDYRQYHYJYNRZDYRSZURYSYHYKYEMNZUUCYHYEYKLNUUDURY
        HYEBYDYFYGUOZYDYFYGUPZUQYHYEYKUUEYHYEBUUEYHBUUFUSUTZVAVBYHUUDYKYJFUFZUJ
        VCVDUGYIUGZVEVFZUHZKLULZTZOZDYRQZFKVGZKLVHZMNZUUCYHYEUUQYKMYDYFYEUUQTYG
        FADUUPUUPVIVJVLVMYHUURYKGUFZMNZGUUPSZUUCYHUUPKIYKKJZUURUVAVNUUOFKVOYHYK
        UUGVPZGUUPYKVQVRUVAYJUUSYMTZOZDYRQZUUTRZGKSZUUCUUOUVFUUTGFKFGVSZUUNUVED
        YRUVIUUMUVDYJUVIUUMUUSUULTUVDUUHUUSUULVTYMUULUUSKYLUUKLCUUJEWBWAWCWDWEW
        FWGUVEUUTRZDYRSZGKSUVJGKSZDYRSUVHUUCUVJGDKYRWHUVKUVGGKUVEUUTDYRWIWJUVLU
        UBDYRUVLUVDYJUUTRZRZGKSZYIYRJZUUBUVJUVNGKUVJUVDYJOUUTRUVNYJUVDUUTWLUVDY
        JUUTWKWMWJUVPYMKJZUVOUUBVNUVPYLKIUVQUVPYLWNWOWPUKZKUVPPUVRCUVPPYQYIXMPU
        VRCXMMYIWQCYIUUIUUIVIEWRWSWTWNWOXAXBYLXCXDZUVMUUBGYMKUVDUUTYNYJUUSYMYKM
        XEXFXGXDXHXIXJWMXKXLXNYJYNDYRXOXPYHYPUUADYRYHUVPOYOYTYJUVPUVQUVBYOYTRYH
        UVSUVCUVQUVBOYOYMYKLNYTYMYKXQYMYKXRXSXTYAYBYC $.
    $}

    $( The volume of a set is always nonnegative.  (Contributed by Mario
       Carneiro, 16-Mar-2014.) $)
    ovolge0 $p |- ( A C_ RR -> 0 <_ ( vol* ` A ) ) $=
      ( vf vy vx cr wss cc0 cioo cv ccom crn cuni caddc cabs c1 cxr clt cle wbr
      cmin cseq csup wceq wa cxp cin cn cmap wrex crab cinf covol cfv wcel wral
      co wb ssrab2 0xr infxrgelb mp2an eqid ovolmge0 mprgbir ovolval breqtrrid
      ) AEFGAHBIZJKLFCIMNTJVGJOUAKPQUBUCUDBREEUEUFUGUHUPUIZCPUJZPQUKZAULUMRGVJR
      SZGDIZRSZDVIVIPFGPUNVKVMDVIUOUQVHCPURUSDVIGUTVACAVLBVIVIVBZVCVDCABVIVNVEV
      F $.

    $( The domain and range of the outer volume function.  (Contributed by
       Mario Carneiro, 16-Mar-2014.)  (Proof shortened by AV, 17-Sep-2020.) $)
    ovolf $p |- vol* : ~P RR --> ( 0 [,] +oo ) $=
      ( vx vf vy cr cpw cc0 cpnf cicc co covol cv wcel ccom crn wss cxr clt cle
      wbr syl wf wfn cfv wral cioo cuni caddc cabs cmin c1 cseq csup wa cxp cin
      wceq cmap wrex crab cinf xrltso infex df-ovol fnmpti elpwi ovolcl ovolge0
      cn pnfge w3a wb 0xr pnfxr elicc1 mp2an syl3anbrc rgen ffnfv mpbir2an ) DE
      ZFGHIZJUAJVTUBAKZJUCZWALZAVTUDAVTWBUEBKZMNUFOCKUGUHUIMWEMUJUKNPQULUPUMBRD
      DUNUOVHUQIURCPUSZPQUTJPWFQVAVBACBVCVDWDAVTWBVTLWBDOZWDWBDVEWGWCPLZFWCRSZW
      CGRSZWDWBVFZWBVGWGWHWJWKWCVITFPLGPLWDWHWIWJVJVKVLVMFGWCVNVOVPTVQAVTWAJVRV
      S $.

    $( If an outer volume is bounded above, then it is real.  (Contributed by
       Mario Carneiro, 18-Mar-2014.) $)
    ovollecl $p |- ( ( A C_ RR /\ B e. RR /\ ( vol* ` A ) <_ B ) ->
                     ( vol* ` A ) e. RR ) $=
      ( cr wss wcel covol cfv cle wbr w3a cxr cc0 ovolcl 3ad2ant1 simp2 ovolge0
      simp3 xrrege0 syl22anc ) ACDZBCEZAFGZBHIZJUBKEZUALUBHIZUCUBCETUAUDUCAMNTU
      AUCOTUAUEUCAPNTUAUCQUBBRS $.

    ${
      ovolss.1 $e |- M = { y e. RR* |
        E. f e. ( ( <_ i^i ( RR X. RR ) ) ^m NN ) ( A C_ U. ran ( (,) o. f ) /\
           y = sup ( ran seq 1 ( + , ( ( abs o. - ) o. f ) ) , RR* , < ) ) } $.
      ovolss.2 $e |- N = { y e. RR* |
        E. f e. ( ( <_ i^i ( RR X. RR ) ) ^m NN ) ( B C_ U. ran ( (,) o. f ) /\
           y = sup ( ran seq 1 ( + , ( ( abs o. - ) o. f ) ) , RR* , < ) ) } $.
      $( Lemma for ~ ovolss .  (Contributed by Mario Carneiro, 16-Mar-2014.)
         (Proof shortened by AV, 17-Sep-2020.) $)
      ovolsslem $p |- ( ( A C_ B /\ B C_ RR ) ->
                        ( vol* ` A ) <_ ( vol* ` B ) ) $=
        ( vx wss cr wa cxr clt cle wbr cv ccom wceq wcel cfv cinf wral cioo crn
        covol cuni caddc cabs cmin c1 cseq csup cxp cin cn cmap co wrex crab wi
        sstr2 ad2antrr anim1d reximdv ss2rabdv 3sstr4g sstr ovolval adantr mpan
        ssrab3 infxrlb adantl eqbrtrd ralrimiva ssralv sylc wb ovolcl infxrgelb
        syl sylancr mpbird breqtrrd ) BCJZCKJZLZBUFUAZFMNUBZCUFUAZOWHWIWJOPZWII
        QZOPZIFUCZWHFEJWNIEUCZWOWHCUDDQZRUEUGZJZAQZUHUIUJRWQRUKULUEMNUMSZLZDOKK
        UNUOUPUQURZUSZAMUTBWRJZXALZDXCUSZAMUTFEWHXDXGAMWHWTMTZLZXBXFDXCXIWSXEXA
        WFWSXEVAWGXHBCWRVBVCVDVEVFHGVGWHBKJZWPBCKVHZXJWNIEXJWMETZLWIEMNUBZWMOXJ
        WIXMSXLABDEGVIVJXLXMWMOPZXJEMJXLXNXGAMEGVLEWMVMVKVNVOVPWBWNIFEVQVRWHFMJ
        WIMTZWLWOVSXDAMFHVLWHXJXOXKBVTWBIFWIWAWCWDWGWKWJSWFACDFHVIVNWE $.
    $}

    $( The volume of a set is monotone with respect to set inclusion.
       (Contributed by Mario Carneiro, 16-Mar-2014.) $)
    ovolss $p |- ( ( A C_ B /\ B C_ RR ) -> ( vol* ` A ) <_ ( vol* ` B ) ) $=
      ( vy vf cioo cv ccom crn cuni wss caddc cabs cmin c1 wa cr wrex crab eqid
      cxr cseq clt csup wceq cle cxp cin cn cmap co ovolsslem ) CABDAEDFZGHIZJC
      FKLMGULGNUAHTUBUCUDZODUEPPUFUGUHUIUJZQCTRZBUMJUNODUOQCTRZUPSUQSUK $.

    $( If a set is contained in another of bounded measure, it too is bounded.
       (Contributed by Mario Carneiro, 18-Mar-2014.) $)
    ovolsscl $p |- ( ( A C_ B /\ B C_ RR /\ ( vol* ` B ) e. RR ) ->
                     ( vol* ` A ) e. RR ) $=
      ( wss cr covol cfv wcel w3a cle wbr 3adant3 simp3 ovolss ovollecl syl3anc
      sstr ) ABCZBDCZBEFZDGZHADCZTAEFZSIJZUBDGQRUATABDPKQRTLQRUCTABMKASNO $.

    $( A subset of a nullset is null.  (Contributed by Mario Carneiro,
       19-Mar-2014.) $)
    ovolssnul $p |- ( ( A C_ B /\ B C_ RR /\ ( vol* ` B ) = 0 ) ->
                      ( vol* ` A ) = 0 ) $=
      ( wss cr covol cfv cc0 wceq w3a cle wbr ovolss 3adant3 simp3 breqtrd sstr
      ovolge0 syl cxr wcel wa wb ovolcl 0xr xrletri3 sylancl mpbir2and ) ABCZBD
      CZBEFZGHZIZAEFZGHZUMGJKZGUMJKZULUMUJGJUHUIUMUJJKUKABLMUHUIUKNOULADCZUPUHU
      IUQUKABDPMZAQRULUMSTZGSTUNUOUPUAUBULUQUSURAUCRUDUMGUEUFUG $.

    ${
      ovollb2.1 $e |- S = seq 1 ( + , ( ( abs o. - ) o. F ) ) $.
      ${
        ovollb2.2 $e |- G = ( n e. NN |->
          <. ( ( 1st ` ( F ` n ) ) - ( ( B / 2 ) / ( 2 ^ n ) ) ) ,
             ( ( 2nd ` ( F ` n ) ) + ( ( B / 2 ) / ( 2 ^ n ) ) ) >. ) $.
        ovollb2.3 $e |- T = seq 1 ( + , ( ( abs o. - ) o. G ) ) $.
        ovollb2.4 $e |- ( ph -> F : NN --> ( <_ i^i ( RR X. RR ) ) ) $.
        ovollb2.5 $e |- ( ph -> A C_ U. ran ( [,] o. F ) ) $.
        ovollb2.6 $e |- ( ph -> B e. RR+ ) $.
        ovollb2.7 $e |- ( ph -> sup ( ran S , RR* , < ) e. RR ) $.
        $( Lemma for ~ ovollb2 .  (Contributed by Mario Carneiro,
           24-Mar-2015.) $)
        ovollb2lem $p |- ( ph ->
          ( vol* ` A ) <_ ( sup ( ran S , RR* , < ) + B ) ) $=
          ( cfv caddc co wcel cn vm vz vy vk covol crn cxr clt csup cr wss cicc
          ccom cuni cle cxp cin wf ovolficcss syl sstrd ovolcl cc0 cpnf cico cv
          c1st c2 cdiv cexp cmin c2nd cop wa wbr ovolfcl sylan simp1d rphalfcld
          w3a crp adantr cn0 2nn nnnn0 adantl nnexpcl sylancr rpdivcld resubcld
          nnrpd rpred simp2d readdcld ltsubrpd simp3d lelttrd lttrd ltled df-br
          ltaddrpd sylib opelxpd elind eqid ovolsf frnd sstrdi wrex wral 2fveq3
          wceq oveq2d oveq12d fveq2d ovex eqbrtrd adantlr wi syl3anc wb syl2anc
          eqtrdi c1 cseq fveq1i rge0ssre sselid recnd cc rpcnd sylan2 ovolfsval
          csu oveq1d eqtrd 3eqtr4d fsumser wfn mpbird cabs icossxr supxrcl cioo
          fmptd rexrd oveq2 opex fvmpt op1st sselda ltletr mpand op2nd breqtrrd
          opeq12d lelttr mpan2d anim12d reximdva ralimdva ovolficc ovolfioo mpd
          3imtr4d ovollb cfz fzfid ovolfsf elfznn ffvelrn syl2an fsumadd subcld
          addsubassd subadd23d subsub3d nncnd nnne0d divdird 2halvesd cuz simpr
          eqtr3d eleqtrdi addcld eqidd eqtr4di geo2sum 3eqtr3d syl5eq ffvelrnda
          nnuz ffnd fnfvelrn supxrub le2addd ralrimiva ffn breq1 3syl supxrleub
          ralrn xrletrd ) ABUEPZEUFZUGUHUIZDUFZUGUHUIZCQRZABUJUKZUXEUGSABULGUMU
          FUNZUJMATUOUJUJUPZUQZGURZUXLUJUKLGUSUTVAZBVBUTAUXFUGUKZUXGUGSAUXFVCVD
          VERZUGATUXREATUXNHURZTUXREURZAFTFVFZGPZVGPZCVHVIRZVHUYAVJRZVIRZVKRZUY
          BVLPZUYFQRZVMZUXNHAUYATSZVNZUOUXMUYJUYLUYGUYIUOVOUYJUOSUYLUYGUYIUYLUY
          CUYFUYLUYCUJSZUYHUJSZUYCUYHUOVOZAUXOUYKUYMUYNUYOVTLGUYAVPVQZVRZUYLUYF
          UYLUYDUYEAUYDWASZUYKACNVSZWBUYLUYEUYLVHTSZUYAWCSZUYETSWDUYKVUAAUYAWEW
          FVHUYAWGWHWKWIZWLZWJZUYLUYHUYFUYLUYMUYNUYOUYPWMZVUCWNZUYLUYGUYCUYIVUD
          UYQVUFUYLUYCUYFUYQVUBWOUYLUYCUYHUYIUYQVUEVUFUYLUYMUYNUYOUYPWPUYLUYHUY
          FVUEVUBXAWQWRWSUYGUYIUOWTXBUYLUYGUYIUJUJVUDVUFXCXDJUUEZEHUUAVKUMZHUMZ
          VUIXEZKXFUTZXGVCVDUUBZXHZUXFUUCUTAUXJAUXICOACNWLWNUUFZAUXSBUUDHUMUFUN
          UKZUXEUXGUOVOVUGABUXLUKZVUOMAUAVFZGPZVGPZUBVFZUOVOZVUTVURVLPZUOVOZVNZ
          UATXIZUBBXJZVUQHPZVGPZVUTUHVOZVUTVVGVLPZUHVOZVNZUATXIZUBBXJZVUPVUOAVV
          EVVMUBBAVUTBSZVNZVVDVVLUATVVPVUQTSZVNZVVAVVIVVCVVKVVRVVHVUSUHVOZVVAVV
          IAVVQVVSVVOAVVQVNZVVHVUSUYDVHVUQVJRZVIRZVKRZVUSUHVVTVVHVWCVVBVWBQRZVM
          ZVGPVWCVVTVVGVWEVGVVQVVGVWEXLAFVUQUYJVWETHUYAVUQXLZUYGVWCUYIVWDVWFUYC
          VUSUYFVWBVKUYAVUQVGGXKVWFUYEVWAUYDVIUYAVUQVHVJUUGXMZXNVWFUYHVVBUYFVWB
          QUYAVUQVLGXKVWGXNUUPJVWCVWDUUHUUIWFZXOVWCVWDVUSVWBVKXPZVVBVWBQXPZUUJY
          CZVVTVUSVWBVVTVUSUJSZVVBUJSZVUSVVBUOVOZAUXOVVQVWLVWMVWNVTLGVUQVPVQZVR
          ZVVTUYDVWAAUYRVVQUYSWBZVVTVWAVVTUYTVUQWCSZVWATSWDVVQVWRAVUQWEWFVHVUQW
          GWHZWKZWIZWOXQXRVVRVVHUJSZVWLVUTUJSZVVSVVAVNVVIXSAVVQVXBVVOVVTVXBVVJU
          JSZVVHVVJUOVOZAUXSVVQVXBVXDVXEVTVUGHVUQVPVQZVRXRAVVQVWLVVOVWPXRVVPVXC
          VVQABUJVUTUXPUUKWBZVVHVUSVUTUULXTUUMVVRVVCVVBVVJUHVOZVVKAVVQVXHVVOVVT
          VVBVWDVVJUHVVTVVBVWBVVTVWLVWMVWNVWOWMZVXAXAVVTVVJVWEVLPVWDVVTVVGVWEVL
          VWHXOVWCVWDVWIVWJUUNYCZUUOXRVVRVXCVWMVXDVVCVXHVNVVKXSVXGAVVQVWMVVOVXI
          XRAVVQVXDVVOVVTVXBVXDVXEVXFWMXRVUTVVBVVJUUQXTUURUUSUUTUVAAUXKUXOVUPVV
          FYAUXPLUBBUAGUVBYBAUXKUXSVUOVVNYAUXPVUGUBBUAHUVCYBUVEUVDBEHKUVFYBAUXG
          UXJUOVOZUCVFZUXJUOVOZUCUXFXJZAVXNUDVFZEPZUXJUOVOZUDTXJZAVXQUDTAVXOTSZ
          VNZVXPVXODPZCCVHVXOVJRZVIRZVKRZQRZUXJUOVXTVXPVXOQVUIYDYEZPZVYEVXOEVYF
          KYFVXTYDVXOUVGRZVUQVUHGUMZPZCVWAVIRZQRZUAYNVYHVYJUAYNZVYHVYKUAYNZQRVY
          GVYEVXTVYHVYJVYKUAVXTYDVXOUVHVXTVUQVYHSZVNZVYJVYPUXRUJVYJYGVXTTUXRVYI
          URZVVQVYJUXRSVYOAVYQVXSAUXOVYQLGVYIVYIXEZUVIUTWBVUQVXOUVJZTUXRVUQVYIU
          VKUVLYHYIZAVYOVYKYJSZVXSVYOAVVQWUAVYSVVTVYKVVTCVWAACWASZVVQNWBZVWTWIY
          KZYLXRZUVMVXTVYLUAVUIYDVXOAVYOVUQVUIPZVYLXLZVXSVYOAVVQWUGVYSVVTWUFVVJ
          VVHVKRZVYLAUXSVVQWUFWUHXLVUGHVUIVUQVUJYMVQVVTVWDVWCVKRVVBVWBVWCVKRZQR
          ZWUHVYLVVTVVBVWBVWCVVTVVBVXIYIZVVTVWBVXAYKZVVTVUSVWBVVTVUSVWPYIZWULUV
          NUVOVVTVVJVWDVVHVWCVKVXJVWKXNVVTVVBVUSVKRZVYKQRVVBVYKVUSVKRZQRVYLWUJV
          VTVVBVUSVYKWUKWUMWUDUVPVVTVYJWUNVYKQAUXOVVQVYJWUNXLLGVYIVUQVYRYMVQYOV
          VTWUIWUOVVBQVVTWUIVWBVWBQRZVUSVKRWUOVVTVWBVUSVWBWULWUMWULUVQVVTWUPVYK
          VUSVKVVTUYDUYDQRZVWAVIRWUPVYKVVTUYDUYDVWAVVTUYDVWQYKZWURVVTVWAVWSUVRV
          VTVWAVWSUVSUVTVVTWUQCVWAVIVVTCVVTCWUCYKUWAYOUWDYOYPXMYQYQYPYLXRVXTVXO
          TYDUWBPAVXSUWCZUWMUWEZVYPVYJVYKVYTWUEUWFYRVXTVYMVYAVYNVYDQVXTVYMVXOQV
          YIYDYEZPVYAVXTVYJUAVYIYDVXOVYPVYJUWGWUTVYTYRVXODWVAIYFUWHVXTVXSCYJSVY
          NVYDXLWUSVXTCAWUBVXSNWBZYKCUAVXOUWIYBXNUWJUWKVXTVYAVYDUXICVXTUXRUJVYA
          YGATUXRVXODAUXOTUXRDURLDGVYIVYRIXFUTZUWLYHVXTCVYCVXTCWVBWLZVXTVYCVXTC
          VYBWVBVXTVYBVXTUYTVXOWCSZVYBTSWDVXSWVEAVXOWEWFVHVXOWGWHWKWIZWLWJZAUXI
          UJSVXSOWBWVDVXTUXHUGUKZVYAUXHSZVYAUXIUOVOAWVHVXSAUXHUXRUGATUXRDWVCXGV
          ULXHWBADTYSVXSWVIATUXRDWVCUWNTVXODUWOVQUXHVYAUWPYBVXTVYDCWVGWVDVXTCVY
          CWVDWVFWOWSUWQXQUWRAUXTETYSVXNVXRYAVUKTUXREUWSVXMVXQUCUDTEVXLVXPUXJUO
          UWTUXCUXAYTAUXQUXJUGSVXKVXNYAVUMVUNUCUXFUXJUXBYBYTUXD $.
      $}

      $( It is often more convenient to do calculations with *closed* coverings
         rather than open ones; here we show that it makes no difference
         (compare ~ ovollb ).  (Contributed by Mario Carneiro, 24-Mar-2015.) $)
      ovollb2 $p |- ( ( F : NN --> ( <_ i^i ( RR X. RR ) ) /\
                       A C_ U. ran ( [,] o. F ) ) ->
                     ( vol* ` A ) <_ sup ( ran S , RR* , < ) ) $=
        ( vx vm cn cle cr ccom wss wa cfv cpnf c0 co cmin caddc c2 cdiv cxp cin
        vn wf cicc crn cuni covol cxr clt csup wbr wceq simpr ovolficcss adantr
        wcel sstrd ovolcl syl pnfge breqtrrd wne cc0 cico cabs eqid ovolsf frnd
        wb rge0ssre sstrdi cdm c1 fdmd eleqtrrid ne0d dm0rn0 necon3bii supxrre2
        1nn sylib syl2anc biimpar crp wral c1st cexp c2nd cop cmpt 2fveq3 oveq2
        cv cseq oveq2d oveq12d opeq12d cbvmptv simplll simpllr simplr ralrimiva
        ovollb2lem xralrple sylan mpbird syldan pm2.61dane ) GHIIUAUBCUDZAUECJU
        FUGZKZLZAUHMZBUFZUIUJUKZHULZXPNXMXPNUMZLZXNNXPHXSXNUIUQZXNNHULXMXTXRXMA
        IKXTXMAXKIXJXLUNXJXKIKXLCUOUPURAUSUTZUPXNVAUTXMXRUNVBXMXPNVCZXPIUQZXQXM
        YCYBXMXOIKXOOVCZYCYBVJXMXOVDNVEPZIXMGYEBXJGYEBUDXLBCVFQJZCJZYGVGDVHUPZV
        IVKVLXMBVMZOVCYDXMYIVNXMVNGYIWAXMGYEBYHVOVPVQYIOXOOBVRVSWBXOVTWCWDXMYCL
        ZXQXNXPEWNZRPHULZEWEWFZYJYLEWEYJYKWEUQZLAYKBRYFFGFWNZCMZWGMZYKSTPZSYOWH
        PZTPZQPZYPWIMZYTRPZWJZWKZJVNWOZUCCUUEDFUCGUUDUCWNZCMZWGMZYRSUUGWHPZTPZQ
        PZUUHWIMZUUKRPZWJYOUUGUMZUUAUULUUCUUNUUOYQUUIYTUUKQYOUUGWGCWLUUOYSUUJYR
        TYOUUGSWHWMWPZWQUUOUUBUUMYTUUKRYOUUGWICWLUUPWQWRWSUUFVGXJXLYCYNWTXJXLYC
        YNXAYJYNUNXMYCYNXBXDXCXMXTYCXQYMVJYAEXNXPXEXFXGXHXI $.
    $}

    $( The volume of a denumerable set is 0.  (Contributed by Mario Carneiro,
       17-Mar-2014.)  (Proof shortened by Mario Carneiro, 25-Mar-2015.) $)
    ovolctb $p |- ( ( A C_ RR /\ A ~~ NN ) -> ( vol* ` A ) = 0 ) $=
      ( vx vy cr cn wbr cfv cc0 wceq wa cle cid c1 cxr clt wf wcel cvv eqtrdi
      cc vf wss cen covol cv wf1o wex bren caddc cabs cmin ccom cof co cseq crn
      csup cxp cin cicc cuni cmpt cop simpll f1of adantl ffvelrnda sseldd leidd
      df-br sylib opelxpd elind df-ov opex ax-mp eqtri mpteq2i fmptd nnex recnd
      fvi a1i feqmptd offval2 feq1d mpbird c1st c2nd wrex wral wfo f1ofo eleq2d
      forn syl wb f1ofn fvelrnb bitr3d fveq1d eqid fvmpt2 mpan2 sylan9eq fveq2d
      wfn op1st eqbrtrd op2nd breqtrrd jca breq2 breq1 anbi12d syl5ibcom sylbid
      fvex reximdva ralrimiv ovolficc syldan ovollb2 syl2anc csn absf fco mp2an
      subf fveq2 eqtr4di fmptco cmet cnmet met0 sylancr mpteq2dva eqtrd adantr
      0xr fconstmpt seqeq3d cz 1z nnuz ser0f rneqd c0 wne 1nn ne0i rnxp supeq1d
      mp2b wor xrltso breqtrd ovolge0 ovolcl xrletri3 sylancl mpbir2and exlimdv
      supsn ex syl5bi ensym impel ) ADUBZEAUCFZAUDGZHIZAEUCFUVJEAUAUEZUFZUAUGUV
      IUVLEAUAUHUVIUVNUVLUAUVIUVNUVLUVIUVNJZUVLUVKHKFZHUVKKFZUVOUVKUIUJUKULZUVM
      UVMLUMUNZULZMUOZUPZNOUQZHKUVOEKDDURZUSZUVSPZAUTUVSULUPVAUBZUVKUWCKFUVOUWF
      EUWEBEBUEZUVMGZUWILUNZVBZPUVOBEUWIUWIVCZUWEUWKUVOUWHEQZJZKUWDUWLUWNUWIUWI
      KFUWLKQUWNUWIUWNADUWIUVIUVNUWMVDUVOEAUWHUVMUVNEAUVMPUVIEAUVMVEVFZVGVHZVIZ
      UWIUWIKVJVKUWNUWIUWIDDUWPUWPVLVMBEUWJUWLUWJUWLLGZUWLUWIUWILVNUWLRQZUWRUWL
      IUWIUWIVOZUWLRWBVPVQVRZVSUVOEUWEUVSUWKUVOBEUWIUWILUVMUVMRTTERQUVOVTWCUWNU
      WIUWPWAZUXBUVOBEAUVMUWOWDZUXCWEZWFWGZUVOUWGUWHUVSGZWHGZCUEZKFZUXHUXFWIGZK
      FZJZBEWJZCAWKZUVOUXMCAUVOUXHAQZUWIUXHIZBEWJZUXMUVOUXHUVMUPZQZUXOUXQUVOUXR
      AUXHUVOEAUVMWLZUXRAIUVNUXTUVIEAUVMWMVFEAUVMWOWPWNUVOUVMEXGZUXSUXQWQUVNUYA
      UVIEAUVMWRVFBEUXHUVMWSWPWTUVOUXPUXLBEUWNUXGUWIKFZUWIUXJKFZJUXPUXLUWNUYBUY
      CUWNUXGUWIUWIKUWNUXGUWLWHGUWIUWNUXFUWLWHUVOUWMUXFUWHBEUWLVBZGZUWLUVOUWHUV
      SUYDUVOUVSUWKUYDUXDUXASZXAUWMUWSUYEUWLIUWTBEUWLRUYDUYDXBXCXDXEZXFUWIUWIUW
      HUVMXRZUYHXHSUWQXIUWNUWIUWIUXJKUWQUWNUXJUWLWIGUWIUWNUXFUWLWIUYGXFUWIUWIUY
      HUYHXJSXKXLUXPUYBUXIUYCUXKUWIUXHUXGKXMUWIUXHUXJKXNXOXPXSXQXTUVIUVNUWFUWGU
      XNWQUXECABUVSYAYBWGAUWAUVSUWAXBYCYDUVOUWCHYEZNOUQZHUVONUWBUYIOUVOUWBEUYIU
      RZUPZUYIUVOUWAUYKUVOUWAUIUYKMUOZUYKUVOUVTUYKUIMUVOUVTBEHVBZUYKUVOUVTBEUWI
      UWIUVRUNZVBUYNUVOBCETTURZUWLUXHUVRGZUYOUVSUVRUWNUWIUWITTUXBUXBVLUYFUVOCUY
      PDUVRUYPDUVRPZUVOTDUJPUYPTUKPUYRYFYIUYPTDUJUKYGYHWCWDUXHUWLIUYQUWLUVRGUYO
      UXHUWLUVRYJUWIUWIUVRVNYKYLUVOBEUYOHUWNUVRTYMGQUWITQUYOHIYNUXBUWIUVRTYOYPY
      QYRBEHUUAYKUUBMUUCQUYMUYKIUUDMEUUEUUFVPSUUGMEQEUUHUUIUYLUYIIUUJEMUUKEUYIU
      ULUUNSUUMNOUUOHNQZUYJHIUUPYTNHOUVDYHSUUQUVIUVQUVNAUURYSUVOUVKNQZUYSUVLUVP
      UVQJWQUVIUYTUVNAUUSYSYTUVKHUUTUVAUVBUVEUVCUVFAEUVGUVH $.
  $}

  $( The rational numbers have 0 outer Lebesgue measure.  (Contributed by Mario
     Carneiro, 17-Mar-2014.) $)
  ovolq $p |- ( vol* ` QQ ) = 0 $=
    ( cq cr wss cn cen wbr covol cfv cc0 wceq qssre qnnen ovolctb mp2an ) ABCAD
    EFAGHIJKLAMN $.

  $( The volume of a countable set is 0.  (Contributed by Mario Carneiro,
     17-Mar-2014.) $)
  ovolctb2 $p |- ( ( A C_ RR /\ A ~<_ NN ) -> ( vol* ` A ) = 0 ) $=
    ( cn cun wss cr cdom wbr wa covol cfv cc0 wceq ssun1 cen com nnenom domentr
    sylancl cvv syl2anc simpl nnssre unss sylanblc mpan2 adantl nnct unctb wcel
    ensymi reex ssex syl ssun2 ssdomg mpisyl sbth ovolctb ovolssnul mp3an2i ) A
    ABCZDAEDZABFGZHZVAEDZVAIJKLZAIJKLABMVDVBBEDVEVBVCUAUBABEUCUDZVDVEVABNGZVFVG
    VDVABFGZBVAFGZVHVDVAOFGZOBNGVIVDAOFGZBOFGVKVCVLVBVCBONGVLPABOQUEUFUGABUHRBO
    PUJVAOBQRVDVASUIZBVADVJVDVEVMVGVAEUKULUMBAUNBVASUOUPVABUQTVAURTAVAUSUT $.

  $( The empty set has 0 outer Lebesgue measure.  (Contributed by Mario
     Carneiro, 17-Mar-2014.) $)
  ovol0 $p |- ( vol* ` (/) ) = 0 $=
    ( c0 cr wss cn cdom wbr covol cfv cc0 wceq 0ss nnex 0dom ovolctb2 mp2an ) A
    BCADEFAGHIJBKDLMANO $.

  $( A finite set has 0 outer Lebesgue measure.  (Contributed by Mario
     Carneiro, 13-Aug-2014.) $)
  ovolfi $p |- ( ( A e. Fin /\ A C_ RR ) -> ( vol* ` A ) = 0 ) $=
    ( cr wss cn cdom wbr covol cfv cc0 wceq cfn wcel com cen fict nnenom ensymi
    id domentr sylancl ovolctb2 syl2anr ) ABCZUCADEFZAGHIJAKLZUCRUEAMEFMDNFUDAO
    DMPQAMDSTAUAUB $.

  $( A singleton has 0 outer Lebesgue measure.  (Contributed by Mario Carneiro,
     15-Aug-2014.) $)
  ovolsn $p |- ( A e. RR -> ( vol* ` { A } ) = 0 ) $=
    ( cr wcel csn cfn wss covol cfv cc0 wceq snfi snssi ovolfi sylancr ) ABCADZ
    ECOBFOGHIJAKABLOMN $.

  ${
    $d g h k n z C $.  $d k m n z F $.  $d j k m z H $.  $d g h k m n z A $.
    $d g h k m n z B $.  $d k z S $.  $d k z T $.  $d k m n z G $.
    $d g h j k m n z ph $.  $d k z U $.
    ovolun.a $e |- ( ph -> ( A C_ RR /\ ( vol* ` A ) e. RR ) ) $.
    ovolun.b $e |- ( ph -> ( B C_ RR /\ ( vol* ` B ) e. RR ) ) $.
    ovolun.c $e |- ( ph -> C e. RR+ ) $.
    ${
      ovolun.s $e |- S = seq 1 ( + , ( ( abs o. - ) o. F ) ) $.
      ovolun.t $e |- T = seq 1 ( + , ( ( abs o. - ) o. G ) ) $.
      ovolun.u $e |- U = seq 1 ( + , ( ( abs o. - ) o. H ) ) $.
      ovolun.f1 $e |- ( ph -> F e. ( ( <_ i^i ( RR X. RR ) ) ^m NN ) ) $.
      ovolun.f2 $e |- ( ph -> A C_ U. ran ( (,) o. F ) ) $.
      ovolun.f3 $e |- ( ph -> sup ( ran S , RR* , < ) <_
                        ( ( vol* ` A ) + ( C / 2 ) ) ) $.
      ovolun.g1 $e |- ( ph -> G e. ( ( <_ i^i ( RR X. RR ) ) ^m NN ) ) $.
      ovolun.g2 $e |- ( ph -> B C_ U. ran ( (,) o. G ) ) $.
      ovolun.g3 $e |- ( ph -> sup ( ran T , RR* , < ) <_
                        ( ( vol* ` B ) + ( C / 2 ) ) ) $.
      ovolun.h $e |- H = ( n e. NN |-> if ( ( n / 2 ) e. NN ,
        ( G ` ( n / 2 ) ) , ( F ` ( ( n + 1 ) / 2 ) ) ) ) $.
      $( Lemma for ~ ovolun .  (Contributed by Mario Carneiro, 7-May-2015.) $)
      ovolunlem1a $p |- ( ( ph /\ k e. NN ) ->
        ( U ` k ) <_ ( ( ( vol* ` A ) + ( vol* ` B ) ) + C ) ) $=
        ( vj vz cv cn wcel wa cfv c2 c1 caddc co cdiv cmul covol cr cc0 wss cle
        wf elovolmlem sylib adantr ffvelrnda wn wb nneo adantl syldan cmin ccom
        cif eqid ovolsf syl rge0ssre sylancl 2nn cz wbr rehalfcld mp3an13 mpbid
        1re clt 1z nnmulcl simprd readdcld cseq cuz eleqtrdi nnz syl2an syl2anc
        nnuz cfz ovolfsf fveq1i crn frnd sstrdi wfn syl2an2r cxr wne letrd wceq
        c0 1nn wi oveq2 fveq2d fveq2 oveq12d eqeq12d imbi2d c2nd c1st ovolfsval
        oveq1 eleq1d eqtrdi eqtrd fvmpt fveq2i seq1i syl5eq recnd seqp1 eqeltrd
        a1i fvex 3eqtrd ffvelrn sselid cfl cpnf cico cxp con2bid biimpar ifclda
        cin cmap fmptd cabs fss peano2nn nnred flcld ax-1cn 2timesi nnre leadd1
        nnge1 eqbrtrid 2pos pm3.2i lemuldiv2 flge elnnz1 sylanbrc sylancr rpred
        2re simpr flhalf eluz mpbird elfznn elrege0 simpld sylan2 elfzuz eluznn
        sermono 3brtr4g ffnd fnfvelrn sseldd csup cmnf ressxr supxrcl eleqtrrid
        cdm fdmd ne0d dm0rn0 necon3bii supxrgtmnf xrre syl22anc supxrub le2addd
        halfnz syl5ib mtoi iffalsed df-2 eqtr4di 2div2e1 ax-mp oveq12i eqeltrdi
        oveq1d 2t1e2 iftrued seqp1d eqtr4d oveq2i 2cnd 1cnd adddid mpan addassd
        nncnd 3eqtr4a peano2nnd fvoveq1d ifbieq12d ifex divcan3d cc 2cn divcan3
        mp3an23 eqtr3d 3eqtr4rd 3eqtr4d oveq1i 3eqtr4g add4d syl5ibr expcom a2d
        2ne0 nnind impcom 2halvesd oveq2d eqtr2d 3brtr4d ) AHUHZUIUJZUKZVUIGULZ
        UMVUIUNUOUPZUMUQUPZUUAULZURUPZGULZBUSULZCUSULZUOUPZDUOUPZAUIUTVUIGAUIVA
        UUBUUCUPZGVDZVVBUTVBUIUTGVDAUIVCUTUTUUDUUHZLVDZVVCAIUIIUHZUMUQUPZUIUJZV
        VGKULZVVFUNUOUPZUMUQUPZJULZVPZVVDLAVVFUIUJZUKZVVHVVIVVLVVDVVOUIVVDVVGKA
        UIVVDKVDZVVNAKVVDUIUUIUPZUJVVPUBVCKVEVFZVGVHVVOVVHVIZVVKUIUJZVVLVVDUJVV
        OVVTVVSVVOVVHVVTVVNVVHVVTVIVJAVVFVKVLUUEUUFVVOUIVVDVVKJAUIVVDJVDZVVNAJV
        VQUJVWASVCJVEVFZVGVHVMUUGUEUUJZGLUUKVNVOZLVOZVWEVQZRVRVSZVTUIVVBUTGUULW
        AZVHAVUJVUPUIUJZVUQUTUJVUKUMUIUJZVUOUIUJZVWIWBVUKVUOWCUJUNVUOVCWDZVWKVU
        KVUNVUKVUMVUKVUMVUJVUMUIUJZAVUIUUMZVLZUUNZWEZUUOVUKUNVUNVCWDZVWLVUKUMUN
        URUPZVUMVCWDZVWRVUKVWSUNUNUOUPZVUMVCUNUUPUUQZVUKUNVUIVCWDZVXAVUMVCWDZVU
        JVXCAVUIUUTVLVUKVUIUTUJZVXCVXDVJZVUJVXEAVUIUURVLZUNUTUJZVXEVXHVXFWHWHUN
        VUIUNUUSWFVSWGUVAVUKVUMUTUJZVWTVWRVJZVWPVXHVXIUMUTUJZVAUMWIWDZUKVXJWHVX
        KVXLUVJUVBUVCUNVUMUMUVDWFVSWGVUKVUNUTUJUNWCUJVWRVWLVJVWQWJVUNUNUVEWAWGV
        UOUVFUVGZUMVUOWKUVHZAUIUTVUPGVWHVHVMAVVAUTUJVUJAVUTDAVURVUSABUTVBVURUTU
        JZMWLZACUTVBVUSUTUJZNWLZWMADOUVIZWMVGVUKVUIUOVWEUNWNZULVUPVXTULVULVUQVC
        VUKUFVWEVUIUNVUPVUKVUIUIUNWOULZAVUJUVKZWTWPZVUKVUPVUIWOULUJZVUIVUPVCWDZ
        VUKVUIWCUJZVYEVUJVYFAVUIWQZVLVUIUVLVSVUKVUJVWIVYDVYEVJZVYBVXNVUJVYFVUPW
        CUJVYHVWIVYGVUPWQVUIVUPUVMWRWSUVNUFUHZUNVUPXAUPUJVUKVYIUIUJZVYIVWEULZUT
        UJZVYIVUPUVOVUKVYJUKZVYLVAVYKVCWDZVYMVYKVVBUJVYLVYNUKVUKUIVVBVYIVWEAUIV
        VBVWEVDZVUJAVVEVYOVWCLVWEVWFXBVSVGVHVYKUVPVFZUVQUVRVUKVYIVUMVUPXAUPUJZV
        YJVYNVUKVWMVYIVUMWOULUJVYJVYQVWOVYIVUMVUPUVSVYIVUMUVTWRVYMVYLVYNVYPWLVM
        UWAVUIGVXTRXCVUPGVXTRXCUWBVUKVUOEULZVUOFULZUOUPZVURDUMUQUPZUOUPZVUSWUAU
        OUPZUOUPZVUQVVAVCVUKVYRVYSWUBWUCVUKEXDZUTVYRAWUEUTVBZVUJAWUEVVBUTAUIVVB
        EAVWAUIVVBEVDVWBEJVWDJVOZWUGVQZPVRVSZXEVTXFZVGAEUIXGVUJVWKVYRWUEUJZAUIV
        VBEWUIUWCVXMUIVUOEUWDXHZUWEZVUKFXDZUTVYSAWUNUTVBZVUJAWUNVVBUTAUIVVBFAVV
        PUIVVBFVDVVRFKVWDKVOZWUPVQZQVRVSZXEVTXFZVGAFUIXGVUJVWKVYSWUNUJZAUIVVBFW
        URUWCVXMUIVUOFUWDXHZUWEZAWUBUTUJZVUJAVURWUAVXPADVXSWEZWMZVGZAWUCUTUJZVU
        JAVUSWUAVXRWVDWMZVGZVUKVYRWUEXIWIUWFZWUBWUMAWVJUTUJZVUJAWVJXIUJZWVCUWGW
        VJWIWDZWVJWUBVCWDZWVKAWUEXIVBZWVLAWUEUTXIWUJUWHXFZWUEUWIVSWVEAWUFWUEXMX
        JZWVMWUJAEUWKZXMXJWVQAWVRUNAUNUIWVRXNAUIVVBEWUIUWLUWJUWMWVRXMWUEXMEUWNU
        WOVFWUEUWPWSUAWVJWUBUWQUWRVGWVFAWVOVUJWUKVYRWVJVCWDWVPWULWUEVYRUWSXHAWV
        NVUJUAVGXKVUKVYSWUNXIWIUWFZWUCWVBAWVSUTUJZVUJAWVSXIUJZWVGUWGWVSWIWDZWVS
        WUCVCWDZWVTAWUNXIVBZWWAAWUNUTXIWUSUWHXFZWUNUWIVSWVHAWUOWUNXMXJZWWBWUSAF
        UWKZXMXJWWFAWWGUNAUNUIWWGXNAUIVVBFWURUWLUWJUWMWWGXMWUNXMFUWNUWOVFWUNUWP
        WSUDWVSWUCUWQUWRVGWVIAWWDVUJWUTVYSWVSVCWDWWEWVAWUNVYSUWSXHAWWCVUJUDVGXK
        UWTAVUJVWKVUQVYTXLZVXMVWKAWWHAUMUGUHZURUPZGULZWWIEULZWWIFULZUOUPZXLZXOA
        VWSGULZUNEULZUNFULZUOUPZXLZXOAUMVUIURUPZGULZVUIEULZVUIFULZUOUPZXLZXOAUM
        VUMURUPZGULZVUMEULZVUMFULZUOUPZXLZXOAWWHXOUGHVUOWWIUNXLZWWOWWTAWXMWWKWW
        PWWNWWSWXMWWJVWSGWWIUNUMURXPXQWXMWWLWWQWWMWWRUOWWIUNEXRWWIUNFXRXSXTYAWW
        IVUIXLZWWOWXFAWXNWWKWXBWWNWXEWXNWWJWXAGWWIVUIUMURXPXQWXNWWLWXCWWMWXDUOW
        WIVUIEXRWWIVUIFXRXSXTYAWWIVUMXLZWWOWXLAWXOWWKWXHWWNWXKWXOWWJWXGGWWIVUMU
        MURXPXQWXOWWLWXIWWMWXJUOWWIVUMEXRWWIVUMFXRXSXTYAWWIVUOXLZWWOWWHAWXPWWKV
        UQWWNVYTWXPWWJVUPGWWIVUOUMURXPXQWXPWWLVYRWWMVYSUOWWIVUOEXRWWIVUOFXRXSXT
        YAAWWPUNJULZYBULZWXQYCULZVNUPZUNKULZYBULZWYAYCULZVNUPZUOUPZWWSAWWPVWSVX
        TULWYEVWSGVXTRXCAWXTWYDUOVWEVWSUNUNUIWTUNUIUJZAXNYPVXBAWXTUOVWEUNWJAUNV
        WEULZUNLULZYBULZWYHYCULZVNUPZWXTAVVEWYFWYGWYKXLVWCXNLVWEUNVWFYDWAWYIWXR
        WYJWXSVNWYHWXQYBWYFWYHWXQXLXNIUNVVMWXQUILVVFUNXLZVVMVVLWXQWYLVVHVVIVVLW
        YLVVHUNUMUQUPZWCUJZUXAVVHVVGWCUJWYLWYNVVGWQWYLVVGWYMWCVVFUNUMUQYEYFUXBU
        XCUXDWYLVVKUNJWYLVVKUMUMUQUPZUNWYLVVJUMUMUQWYLVVJVXAUMVVFUNUNUOYEUXEUXF
        UXKUXGYGXQYHUEUNJYQYIUXHZYJWYHWXQYCWYPYJUXIYGYKAVWSVWEULUMVWEULZWYDVWSU
        MVWEUXLYJAWYQUMLULZYBULZWYRYCULZVNUPZWYDAVVEVWJWYQXUAXLVWCWBLVWEUMVWFYD
        WAWYSWYBWYTWYCVNWYRWYAYBVWJWYRWYAXLWBIUMVVMWYAUILVVFUMXLZVVMVVIWYAXUBVV
        HVVIVVLXUBVVGUNUIXUBVVGWYOUNVVFUMUMUQYEUXGYGZXNUXJUXMXUBVVGUNKXUCXQYHUE
        UNKYQYIUXHZYJWYRWYAYCXUDYJUXIYGYLUXNYLAWWQWXTWWRWYDUOAWWQUNUOWUGUNWNZUL
        WXTUNEXUEPXCAWXTUOWUGUNWJAVWAWYFUNWUGULWXTXLVWBXNJWUGUNWUHYDWAYKYLAWWRU
        NUOWUPUNWNZULWYDUNFXUFQXCAWYDUOWUPUNWJAVVPWYFUNWUPULWYDXLVVRXNKWUPUNWUQ
        YDWAYKYLXSUXOVUJAWXFWXLAVUJWXFWXLXOWXFWXLVUKWXBVUMWUGULZVUMWUPULZUOUPZU
        OUPZWXEXUIUOUPZXLWXBWXEXUIUOYEVUKWXHXUJWXKXUKVUKWXHWXAUNUOUPZUNUOUPZGUL
        ZWXBXUGUOUPZXUHUOUPZXUJVUKWXGXUMGVUKWXAVWSUOUPWXAVXAUOUPWXGXUMVWSVXAWXA
        UOVXBUXPVUKUMVUIUNVUKUXQZVUKVUIVXGYMZVUKUXRZUXSVUKWXAUNUNVUKWXAVUJWXAUI
        UJZAVWJVUJXUTWBUMVUIWKUXTZVLZUYBXUSXUSUYAUYCZXQVUKXUNXUMVXTULZXUPXUMGVX
        TRXCVUKXVDXULVXTULZXUMVWEULZUOUPZXUPVUKXULVYAUJXVDXVGXLVUKXULUIVYAVUKWX
        AXVBUYDZWTWPUOVWEUNXULYNVSVUKXVEXUOXVFXUHUOVUKXVEWXAVXTULZXULVWEULZUOUP
        ZXUOVUKWXAVYAUJXVEXVKXLVUKWXAUIVYAXVBWTWPUOVWEUNWXAYNVSVUKWXBXVIXUGXVJU
        OWXBXVIXLVUKWXAGVXTRXCYPVUKXULLULZYBULZXVLYCULZVNUPZVUMJULZYBULZXVPYCUL
        ZVNUPZXVJXUGVUKXVMXVQXVNXVRVNVUKXVLXVPYBVUKXVLXULUMUQUPZUIUJZXVTKULZXUM
        UMUQUPZJULZVPZXWDXVPVUKXULUIUJZXVLXWEXLXVHIXULVVMXWEUILVVFXULXLZVVHXWAV
        VIVVLXWBXWDXWGVVGXVTUIVVFXULUMUQYEZYFXWGVVGXVTKXWHXQXWGVVJXUMUMJUQVVFXU
        LUNUOYEUYEUYFUEXWAXWBXWDXVTKYQXWCJYQUYGYIVSVUKXWAXWBXWDVUKWXAUMUQUPZUIU
        JZXWAVIZVUKXWIVUIUIVUKVUIUMXURXUQUMVAXJZVUKVUBYPUYHVYBYOVUKXUTXWJXWKVJX
        VBWXAVKVSWGUXDVUKXWCVUMJVUKWXGUMUQUPZXWCVUMVUKWXGXUMUMUQXVCUXKVUKVUMUYI
        UJZXWMVUMXLZVUKVUMVWOUYBXWNUMUYIUJXWLXWOUYJVUBVUMUMUYKUYLVSZUYMXQYRZXQV
        UKXVLXVPYCXWQXQXSAVVEVUJXWFXVJXVOXLVWCXVHLVWEXULVWFYDXHAVWAVWMXUGXVSXLV
        UJVWBVWNJWUGVUMWUHYDWRUYNXSUXOVUKXUMLULZYBULZXWRYCULZVNUPZVUMKULZYBULZX
        XBYCULZVNUPZXVFXUHVUKXWSXXCXWTXXDVNVUKXWRXXBYBVUKWXGLULZXWRXXBVUKWXGXUM
        LXVCXQVUKXXFXWMUIUJZXWMKULZWXGUNUOUPZUMUQUPZJULZVPZXXHXXBVUKWXGUIUJXXFX
        XLXLVUKWXGXUMUIXVCVUKXULXVHUYDZYOIWXGVVMXXLUILVVFWXGXLZVVHXXGVVIVVLXXHX
        XKXXNVVGXWMUIVVFWXGUMUQYEZYFXXNVVGXWMKXXOXQXXNVVJXXIUMJUQVVFWXGUNUOYEUY
        EUYFUEXXGXXHXXKXWMKYQXXJJYQUYGYIVSVUKXXGXXHXXKVUKXWMVUMUIXWPVWOYOUXMVUK
        XWMVUMKXWPXQYRUYMZXQVUKXWRXXBYCXXPXQXSAVVEVUJXUMUIUJXVFXXAXLVWCXXMLVWEX
        UMVWFYDXHAVVPVWMXUHXXEXLVUJVVRVWNKWUPVUMWUQYDWRUYOXSYHYLVUKWXBXUGXUHVUK
        WXBVUKVVBUTWXBVTAVVCXUTWXBVVBUJVUJVWGXVAUIVVBWXAGYSWRYTYMVUKXUGVUKVVBUT
        XUGVTAUIVVBWUGVDZVWMXUGVVBUJVUJAVWAXXQVWBJWUGWUHXBVSVWNUIVVBVUMWUGYSWRY
        TYMZVUKXUHVUKVVBUTXUHVTAUIVVBWUPVDZVWMXUHVVBUJVUJAVVPXXSVVRKWUPWUQXBVSV
        WNUIVVBVUMWUPYSWRYTYMZUYAYRVUKWXKWXCXUGUOUPZWXDXUHUOUPZUOUPXUKVUKWXIXYA
        WXJXYBUOVUKVUMXUEULZVUIXUEULZXUGUOUPZWXIXYAVUKVUIVYAUJZXYCXYEXLVYCUOWUG
        UNVUIYNVSVUMEXUEPXCWXCXYDXUGUOVUIEXUEPXCUYPUYQVUKVUMXUFULZVUIXUFULZXUHU
        OUPZWXJXYBVUKXYFXYGXYIXLVYCUOWUPUNVUIYNVSVUMFXUFQXCWXDXYHXUHUOVUIFXUFQX
        CUYPUYQXSVUKWXCXUGWXDXUHVUKWXCVUKVVBUTWXCVTAUIVVBVUIEWUIVHYTYMXXRVUKWXD
        VUKVVBUTWXDVTAUIVVBVUIFWURVHYTYMXXTUYRYHXTUYSUYTVUAVUCVUDVMVUKWUDVUTWUA
        WUAUOUPZUOUPVVAVUKVURWUAVUSWUAVUKVURAVXOVUJVXPVGYMVUKWUAVUKDADUTUJVUJVX
        SVGZWEYMZVUKVUSAVXQVUJVXRVGYMXYLUYRVUKXYJDVUTUOVUKDVUKDXYKYMVUEVUFVUGVU
        HXK $.

      $( Lemma for ~ ovolun .  (Contributed by Mario Carneiro, 12-Jun-2014.) $)
      ovolunlem1 $p |- ( ph ->
          ( vol* ` ( A u. B ) ) <_ ( ( ( vol* ` A ) + ( vol* ` B ) ) + C ) ) $=
        ( vz vk vm cun covol cfv crn cxr clt csup caddc wss wcel cle wbr simpld
        co cr unssd c0 wne cpnf cn cc0 cico wf cxp cin cv c2 cdiv c1 elovolmlem
        wa cmap sylib adantr ffvelrnda wn wb nneo adantl con2bid biimpar syldan
        cif ifclda fmptd cabs cmin ccom eqid syl rge0ssre sylancl wfn wral wrex
        ovolsf simprd readdcld mpbird syl2anc mpbid syl3anc cioo cuni c1st c2nd
        wceq cc oveq1d eqeltrd oveq1 eleq1d fveq2d fvoveq1d ifbieq12d fvex ifex
        fvmpt 3eqtrd fveqeq2 rspcev fveq2 breq1d breq2d anbi12d reximdv syl5com
        biimprcd rexlimdva ralimdv ovolfioo 3imtr4d mpd fss frnd cdm 1nn cuz cz
        cseq 1z seqfn mp1i fneq1i nnuz fneq2i bitri sylibr fndmd eleqtrrid ne0d
        necon3bii rpred ovolunlem1a ralrimiva breq1 ralrn brralrspcev supxrbnd2
        dm0rn0 ressxr sstrdi supxrbnd cmul nncn 2timesd assraddsubd cn0 nnm1nn0
        1cnd simpr nnnn0addcl syl2anc2 2nn nnmulcl sylancr nncnd npcan 2cn 2ne0
        ax-1cn divcan3 mp3an23 eqtrd iffalsed iftrued ovollb ovollecl supxrleub
        rexrd letrd ) ABCUHZUIUJZGUKZULUMUNZBUIUJZCUIUJZUOVAZDUOVAZAUWSVBUPUXBV
        BUQZUWTUXBURUSZUWTVBUQABCVBABVBUPZUXCVBUQZLUTZACVBUPZUXDVBUQZMUTZVCAUXA
        VBUPUXAVDVEZUXBVFUMUSZUXGAVGVBGAVGVHVFVIVAZGVJZUXQVBUPVGVBGVJAVGURVBVBV
        KVLZKVJZUXRAHVGHVMZVNVOVAZVGUQZUYBJUJZUYAVPUOVAZVNVOVAZIUJZWJZUXSKAUYAV
        GUQZVRZUYCUYDUYGUXSUYJVGUXSUYBJAVGUXSJVJZUYIAJUXSVGVSVAZUQUYKUAURJVQVTZ
        WAWBUYJUYCWCZUYFVGUQZUYGUXSUQUYJUYOUYNUYJUYCUYOUYIUYCUYOWCWDAUYAWEWFWGW
        HUYJVGUXSUYFIAVGUXSIVJZUYIAIUYLUQUYPRURIVQVTZWAWBWIWKUDWLZGKWMWNWOKWOZU
        YSWPQXCWQWRVGUXQVBGUUAWSUUBZAGUUCZVDVEUXOAVUAVPAVPVGVUAUUDAVGGAUOUYSVPU
        UGZVPUUEUJZWTZGVGWTZVPUUFUQVUDAUUHUOUYSVPUUIUUJVUEVUBVGWTVUDVGGVUBQUUKV
        GVUCVUBUULUUMUUNUUOZUUPUUQUURVUAVDUXAVDGUVGUUSVTAUEVMZUFVMZURUSUEUXAXAU
        FVBXBZUXPAUXFVBUQVUGUXFURUSZUEUXAXAZVUIAUXEDAUXCUXDAUXIUXJLXDAUXLUXMMXD
        XEADNUUTXEZAVUKVUHGUJZUXFURUSZUFVGXAZAVUNUFVGABCDEFGUFHIJKLMNOPQRSTUAUB
        UCUDUVAUVBAVUEVUKVUOWDVUFVUJVUNUEUFVGGVUGVUMUXFURUVCUVDWQXFZUFUEVUGUXFU
        RVBUXAUVEXGAUXAULUPZVUIUXPWDAUXAVBULUYTUVHUVIZUFUEUXAUVFWQXHUXAUVJXIZAU
        XTUWSXJKWOUKXKZUPUXHUYRABCVUTABXJIWOUKXKUPZBVUTUPZSAUGVMZIUJZXLUJZVUGUM
        USZVUGVVDXMUJZUMUSZVRZUGVGXBZUEBXAZVUHKUJZXLUJZVUGUMUSZVUGVVLXMUJZUMUSZ
        VRZUFVGXBZUEBXAZVVAVVBAVVJVVRUEBAVVIVVRUGVGAVVCVGUQZVRZVVLVVDXNZUFVGXBZ
        VVIVVRVWAVNVVCUVKVAZVPWNVAZVGUQZVWEKUJZVVDXNZVWCVWAVWEVVCVVCVPWNVAZUOVA
        ZVGVWAVWEVVCVVCVPVVTVVCXOUQZAVVCUVLWFZVWLVWAUVQVWAVWDVVCVVCUOVAVPWNVWAV
        VCVWLUVMXPUVNVWAVVTVWIUVOUQVWJVGUQAVVTUVRZVVCUVPVVCVWIUVSUVTXQZVWAVWGVW
        EVNVOVAZVGUQZVWOJUJZVWEVPUOVAZVNVOVAZIUJZWJZVWTVVDVWAVWFVWGVXAXNVWNHVWE
        UYHVXAVGKUYAVWEXNZUYCVWPUYDUYGVWQVWTVXBUYBVWOVGUYAVWEVNVOXRZXSVXBUYBVWO
        JVXCXTVXBUYEVWRVNIVOUYAVWEVPUOXRYAYBUDVWPVWQVWTVWOJYCVWSIYCYDYEWQVWAVWP
        VWQVWTVWAVWSVGUQZVWPWCVWAVWSVVCVGVWAVWSVWDVNVOVAZVVCVWAVWRVWDVNVOVWAVWD
        XOUQVPXOUQVWRVWDXNVWAVWDVWAVNVGUQVVTVWDVGUQZUWAVWMVNVVCUWBUWCZUWDUWHVWD
        VPUWEWSXPVWAVWKVXEVVCXNZVWLVWKVNXOUQVNVHVEVXHUWFUWGVVCVNUWIUWJWQZUWKZVW
        MXQVWAVWPVXDVWAVWFVWPVXDWCWDVWNVWEWEWQWGXHUWLVWAVWSVVCIVXJXTYFVWBVWHUFV
        WEVGVUHVWEVVDKYGYHXGVVIVWBVVQUFVGVWBVVQVVIVWBVVNVVFVVPVVHVWBVVMVVEVUGUM
        VVLVVDXLYIYJVWBVVOVVGVUGUMVVLVVDXMYIYKYLYOYMYNYPYQAUXIUYPVVAVVKWDUXKUYQ
        UEBUGIYRXGAUXIUXTVVBVVSWDUXKUYRUEBUFKYRXGYSYTACXJJWOUKXKUPZCVUTUPZUBAVV
        CJUJZXLUJZVUGUMUSZVUGVXMXMUJZUMUSZVRZUGVGXBZUECXAZVVRUECXAZVXKVXLAVXSVV
        RUECAVXRVVRUGVGVWAVVLVXMXNZUFVGXBZVXRVVRVWAVXFVWDKUJZVXMXNZVYCVXGVWAVYD
        VXEVGUQZVXEJUJZVWDVPUOVAZVNVOVAZIUJZWJZVYGVXMVWAVXFVYDVYKXNVXGHVWDUYHVY
        KVGKUYAVWDXNZUYCVYFUYDUYGVYGVYJVYLUYBVXEVGUYAVWDVNVOXRZXSVYLUYBVXEJVYMX
        TVYLUYEVYHVNIVOUYAVWDVPUOXRYAYBUDVYFVYGVYJVXEJYCVYIIYCYDYEWQVWAVYFVYGVY
        JVWAVXEVVCVGVXIVWMXQUWMVWAVXEVVCJVXIXTYFVYBVYEUFVWDVGVUHVWDVXMKYGYHXGVX
        RVYBVVQUFVGVYBVVQVXRVYBVVNVXOVVPVXQVYBVVMVXNVUGUMVVLVXMXLYIYJVYBVVOVXPV
        UGUMVVLVXMXMYIYKYLYOYMYNYPYQAUXLUYKVXKVXTWDUXNUYMUECUGJYRXGAUXLUXTVXLVY
        AWDUXNUYRUECUFKYRXGYSYTVCUWSGKQUWNXGZUWSUXBUWOXIVUSVULVYNAUXBUXFURUSZVU
        KVUPAVUQUXFULUQVYOVUKWDVURAUXFVULUWQUEUXAUXFUWPXGXFUWR $.
    $}

    $( Lemma for ~ ovolun .  (Contributed by Mario Carneiro, 12-Jun-2014.) $)
    ovolunlem2 $p |- ( ph ->
        ( vol* ` ( A u. B ) ) <_ ( ( ( vol* ` A ) + ( vol* ` B ) ) + C ) ) $=
      ( vg vh ccom crn wss caddc c1 cfv co cle wa cr wcel vn cioo cuni cabs cxr
      cv cmin cseq clt csup covol c2 cdiv wbr cxp cin cn cmap cun simpld simprd
      wrex crp rphalfcld eqid ovolgelb syl3anc reeanv w3a cmpt 3ad2ant1 simp3ll
      simp2l simp3lr simp2r simp3rl simp3rr ovolunlem1 rexlimdvv syl5bir mp2and
      cif 3exp ) ABUBHUFZJKUCLZMUDUGJZWDJNUHZKUEUIUJBUKOZDULUMPZMPQUNZRZHQSSUOU
      PUQURPZVBZCUBIUFZJKUCLZMWFWNJNUHZKUEUIUJCUKOZWIMPQUNZRZIWLVBZBCUSUKOWHWQM
      PDMPQUNZABSLZWHSTZWIVCTZWMAXBXCEUTAXBXCEVAADGVDZBWIWGHWGVEZVFVGACSLZWQSTZ
      XDWTAXGXHFUTAXGXHFVAXECWIWPIWPVEZVFVGWMWTRWKWSRZIWLVBHWLVBAXAWKWSHIWLWLVH
      AXJXAHIWLWLAWDWLTZWNWLTZRZXJXAAXMXJVIBCDWGWPMWFUAUQUAUFZULUMPZUQTXOWNOXNN
      MPULUMPWDOWBVJZJNUHZUAWDWNXPAXMXBXCRXJEVKAXMXGXHRXJFVKAXMDVCTXJGVKXFXIXQV
      EAXKXLXJVMWEWJWSAXMVLWEWJWSAXMVNAXKXLXJVOWOWRWKAXMVPWOWRWKAXMVQXPVEVRWCVS
      VTWA $.
  $}

  ${
    $d x A $.  $d x B $.
    $( The Lebesgue outer measure function is finitely sub-additive.  (Unlike
       the stronger ~ ovoliun , this does not require any choice principles.)
       (Contributed by Mario Carneiro, 12-Jun-2014.) $)
    ovolun $p |- ( ( ( A C_ RR /\ ( vol* ` A ) e. RR ) /\
                     ( B C_ RR /\ ( vol* ` B ) e. RR ) ) ->
                  ( vol* ` ( A u. B ) ) <_ ( ( vol* ` A ) + ( vol* ` B ) ) ) $=
      ( vx cr wss covol cfv wcel wa cun caddc co cle wbr crp wral simpll simplr
      cv simpr ovolunlem2 ralrimiva cxr unss biimpi ad2ant2r ovolcl syl readdcl
      wb ad2ant2l xralrple syl2anc mpbird ) ADEZAFGZDHZIZBDEZBFGZDHZIZIZABJZFGZ
      UPUTKLZMNZVEVFCSZKLMNZCOPZVCVICOVCVHOHZIABVHURVBVKQURVBVKRVCVKTUAUBVCVEUC
      HZVFDHZVGVJUJVCVDDEZVLUOUSVNUQVAUOUSIVNABDUDUEUFVDUGUHUQVAVMUOUSUPUTUIUKC
      VEVFULUMUN $.
  $}

  $( Adding a nullset does not change the measure of a set.  (Contributed by
     Mario Carneiro, 25-Mar-2015.) $)
  ovolunnul $p |- ( ( A C_ RR /\ B C_ RR /\ ( vol* ` B ) = 0 ) ->
                ( vol* ` ( A u. B ) ) = ( vol* ` A ) ) $=
    ( cr wss covol cfv cc0 cxr ovolcl syl 3ad2ant1 cle wbr clt syl2anc caddc co
    wcel adantr cmnf wceq w3a cun simp1 simp2 unssd wn wb xrltnle mnfxr ovolge0
    wa a1i ge0gtmnf simpr xrre2 syl32anc simpl3 eqeltrdi ovolun syl22anc oveq2d
    0re recnd addid1d eqtrd breqtrd ex sylbird pm2.18d ovolss sylancr xrletrid
    ssun1 ) ACDZBCDZBEFZGUAZUBZABUCZEFZAEFZVSVTCDZWAHRZVSABCVOVPVRUDZVOVPVRUEZU
    FZVTIJZVOVPWBHRZVRAIZKZVSWAWBLMZVSWLUGZWBWANMZWLVSWIWDWNWMUHWKWHWBWAUIOVSWN
    WLVSWNULZWAWBVQPQZWBLWOVOWBCRZVPVQCRWAWPLMVSVOWNWESZWOTHRZWIWDTWBNMZWNWQWSW
    OUJUMWOVOWIWRWJJVSWDWNWHSVSWTWNVSWIGWBLMZWTWKVOVPXAVRAUKKWBUNOSVSWNUOTWBWAU
    PUQZVSVPWNWFSWOVQGCVOVPVRWNURZVCUSABUTVAWOWPWBGPQWBWOVQGWBPXCVBWOWBWOWBXBVD
    VEVFVGVHVIVJVSAVTDWCWBWALMABVNWGAVTVKVLVM $.

  ${
    $d k m x y z A $.  $d m x y z B $.
    $( The Lebesgue outer measure function is finitely sub-additive.  Finite
       sum version.  (Contributed by Mario Carneiro, 19-Jun-2014.) $)
    ovolfiniun $p |- ( ( A e. Fin /\ A. k e. A
                         ( B C_ RR /\ ( vol* ` B ) e. RR ) ) ->
                  ( vol* ` U_ k e. A B ) <_ sum_ k e. A ( vol* ` B ) ) $=
      ( vm wcel cr wss covol cfv wa wral ciun csu cle wbr cv wi c0 wceq fveq2d
      vx vy vz cfn csn cun raleq iuneq1 sumeq1 breq12d imbi12d 0le0 0iun fveq2i
      cc0 ovol0 eqtri 3brtr4i a1i wn ssun1 ssralv ax-mp imim1i csb caddc simprl
      sum0 nfcsb1v nfcv nfss nffv nfel1 nfan csbeq1a sseq1d eleq1d anbi12d rspc
      co mpan9 simpld ralrimiva iunss sylibr iunss1 sstrid simpll simprd sylan2
      elun1 fsumrecl simprr cbviun cbvsumi 3brtr3g ovollecl syl3anc ssun2 vsnid
      sselii readdcld iunxun csbeq1 iunxsn uneq2i ovolun syl21anc eqbrtrid snfi
      mpsyl vex mpan2 ad2antrr leadd1dd cin simplr disjsn eqidd recnd fsumsplit
      unfi cvv sumsn sylancr oveq2d eqtrd breqtrrd letrd 3brtr4g exp32 a2d syl5
      cc findcard2s imp ) AUDEBFGZBHIZFEZJZCAKZCABLZHIZAYRCMZNOZYTCUAPZKZCUUFBL
      ZHIZUUFYRCMZNOZQYTCRKZCRBLZHIZRYRCMZNOZQYTCUBPZKZCUUQBLZHIZUUQYRCMZNOZQZY
      TCUUQUCPZUEZUFZKZCUVFBLZHIZUVFYRCMZNOZQZUUAUUEQUAUBUCAUUFRSZUUGUULUUKUUPY
      TCUUFRUGUVMUUIUUNUUJUUONUVMUUHUUMHCUUFRBUHTUUFRYRCUIUJUKUUFUUQSZUUGUURUUK
      UVBYTCUUFUUQUGUVNUUIUUTUUJUVANUVNUUHUUSHCUUFUUQBUHTUUFUUQYRCUIUJUKUUFUVFS
      ZUUGUVGUUKUVKYTCUUFUVFUGUVOUUIUVIUUJUVJNUVOUUHUVHHCUUFUVFBUHTUUFUVFYRCUIU
      JUKUUFASZUUGUUAUUKUUEYTCUUFAUGUVPUUIUUCUUJUUDNUVPUUHUUBHCUUFABUHTUUFAYRCU
      IUJUKUUPUULUOUOUUNUUONULUUNRHIUOUUMRHCBUMUNUPUQYRCVHURUSUVCUVGUVBQUUQUDEZ
      UVDUUQEUTZJZUVLUVGUURUVBUUQUVFGZUVGUURQUUQUVEVAZYTCUUQUVFVBVCVDUVSUVGUVBU
      VKUVSUVGUVBUVKUVSUVGUVBJZJZDUVFCDPZBVEZLZHIZUVFUWEHIZDMZUVIUVJNUWCUWGDUUQ
      UWELZHIZCUVDBVEZHIZVFVTZUWIUWCUWFFGZUWNFEUWGUWNNOUWGFEUWCUWEFGZDUVFKUWOUW
      CUWPDUVFUWCUWDUVFEZJZUWPUWHFEZUWCUVGUWQUWPUWSJZUVSUVGUVBVGZYTUWTCUWDUVFUW
      PUWSCCUWEFCUWDBVIZCFVJZVKCUWHFCUWEHCHVJZUXBVLZVMVNCPZUWDSZYQUWPYSUWSUXGBU
      WEFCUWDBVOZVPUXGYRUWHFUXGBUWEHUXHTZVQVRVSWAZWBWCDUVFUWEFWDWEZUWCUWKUWMUWC
      UWJFGZUUQUWHDMZFEUWKUXMNOUWKFEZUWCUWJUWFFUVTUWJUWFGUWADUUQUVFUWEWFVCUXKWG
      ZUWCUUQUWHDUVQUVRUWBWHUWDUUQEUWCUWQUWSUWDUUQUVEWKUWRUWPUWSUXJWIZWJWLZUWCU
      UTUVAUWKUXMNUVSUVGUVBWMUUSUWJHCDUUQBUWEDBVJZUXBUXHWNUNUUQYRUWHCDDYRVJZUXE
      UXIWOWPZUWJUXMWQWRZUWCUWLFGZUWMFEZUVDUVFEUWCUVGUYBUYCJZUVEUVFUVDUVEUUQWSU
      CWTXAUXAYTUYDCUVDUVFUYBUYCCCUWLFCUVDBVIZUXCVKCUWMFCUWLHUXDUYEVLVMVNUXFUVD
      SZYQUYBYSUYCUYFBUWLFCUVDBVOZVPUYFYRUWMFUYFBUWLHUYGTVQVRVSXKZWIZXBZUWCUWGU
      WJUWLUFZHIZUWNNUWFUYKHUWFUWJDUVEUWELZUFUYKDUUQUVEUWEXCUYMUWLUWJDUVDUWEUWL
      UCXLZCUWDUVDBXDZXEXFUQUNUWCUXLUXNUYDUYLUWNNOUXOUYAUYHUWJUWLXGXHXIZUWFUWNW
      QWRUYJUWCUVFUWHDUVQUVFUDEZUVRUWBUVQUVEUDEUYQUVDXJUUQUVEYBXMXNZUXPWLUYPUWC
      UWNUXMUWMVFVTZUWINUWCUWKUXMUWMUYAUXQUYIUXTXOUWCUWIUXMUVEUWHDMZVFVTUYSUWCU
      UQUVEUWHUVFDUWCUVRUUQUVEXPRSUVQUVRUWBXQUUQUVDXRWEUWCUVFXSUYRUWRUWHUXPXTYA
      UWCUYTUWMUXMVFUWCUVDYCEUWMYNEUYTUWMSUYNUWCUWMUYIXTUWHUWMDUVDYCUWDUVDSUWEU
      WLHUYOTYDYEYFYGYHYIUVHUWFHCDUVFBUWEUXRUXBUXHWNUNUVFYRUWHCDUXSUXEUXIWOYJYK
      YLYMYOYP $.
  $}

  ${
    $d f g j k m x y z A $.  $d f g j k m n x y z B $.  $d f i j k m n x z F $.
    $d i j k m n w x y z J $.  $d i j m n w x y z K $.  $d i j k n w x y z L $.
    $d f j m n z H $.  $d g i j k m n x y z ph $.  $d f k x y z S $.
    $d k m x G $.  $d g j k m x y z T $.  $d f j x y z U $.
    ovoliun.t $e |- T = seq 1 ( + , G ) $.
    ovoliun.g $e |- G = ( n e. NN |-> ( vol* ` A ) ) $.
    ovoliun.a $e |- ( ( ph /\ n e. NN ) -> A C_ RR ) $.
    ovoliun.v $e |- ( ( ph /\ n e. NN ) -> ( vol* ` A ) e. RR ) $.
    ${
      $d n G $.  $d n T $.
      ovoliun.r $e |- ( ph -> sup ( ran T , RR* , < ) e. RR ) $.
      ovoliun.b $e |- ( ph -> B e. RR+ ) $.
      ${
        ovoliun.s $e |- S = seq 1 ( + , ( ( abs o. - ) o. ( F ` n ) ) ) $.
        ovoliun.u $e |- U = seq 1 ( + , ( ( abs o. - ) o. H ) ) $.
        ovoliun.h $e |- H = ( k e. NN |-> ( ( F ` ( 1st ` ( J ` k ) ) ) `
                                                   ( 2nd ` ( J ` k ) ) ) ) $.
        ovoliun.j $e |- ( ph -> J : NN -1-1-onto-> ( NN X. NN ) ) $.
        ovoliun.f $e |- ( ph
               -> F : NN --> ( ( <_ i^i ( RR X. RR ) ) ^m NN ) ) $.
        ovoliun.x1 $e |- ( ( ph /\ n e. NN ) ->
                          A C_ U. ran ( (,) o. ( F ` n ) ) ) $.
        ovoliun.x2 $e |- ( ( ph /\ n e. NN ) -> sup ( ran S , RR* , < ) <_
                           ( ( vol* ` A ) + ( B / ( 2 ^ n ) ) ) ) $.
        ${
          ovoliun.k $e |- ( ph -> K e. NN ) $.
          ovoliun.l1 $e |- ( ph -> L e. ZZ ) $.
          ovoliun.l2 $e |- ( ph ->
                            A. w e. ( 1 ... K ) ( 1st ` ( J ` w ) ) <_ L ) $.
          $( Lemma for ~ ovoliun .  (Contributed by Mario Carneiro,
             12-Jun-2014.)  (Proof shortened by Peter Mazsa, 2-Oct-2022.) $)
          ovoliunlem1 $p |- ( ph ->
                ( U ` K ) <_ ( sup ( ran T , RR* , < ) + B ) ) $=
            ( vj vm vi vx vy vz c1 cfz co cima cv c2nd cfv c1st csu crn cxr clt
            cmin csup caddc cle ccom cseq cres wceq 2fveq3 fveq2 fveq12d fveq2d
            oveq12d fzfid cn cxp wss wf1o syl sylancl wcel adantl wa cin adantr
            cr imassrn frnd sstrid xp1st ffvelrnd elovolmlem sylib xp2nd elin2d
            wf resubcld recnd ffvelrnda elfznn eqid ovolfsval syl2an eqtrd nnuz
            eleqtrdi cc ffvelrn eqeltrrd c2 cfn cen wbr syl2anc fsumrecl sylan2
            readdcld ciun cvv cop vex wral wfn wb eqeltrd cmnf cc0 sstrdi letrd
            cli c0 cabs wf1 f1of1 fz1ssnn f1ores fvres cmap f1of sselda fsumf1o
            fmptd fvex fvmpt cuz fsumser fveq1i eqtr4di cexp cdiv f1oeng ensymd
            covol enfii rpred cn0 2nn nnnn0 nnexpcl sylancr nndivre relxp elsni
            csn relres opeq1d eleq1d elimasn bitr4di pm5.32i opelresi eqrelriiv
            opelxp 3bitr4ri df-res eqtri a1i iuneq2dv iunin2 eqtrdi wrel mpisyl
            relss wi ffnd breq1d ralima mpbird r19.21bi ralrimiva op1std rspccv
            elfz5 biantru iunid 3bitr2i syl6ibr relssdv xpiundir sseqtrdi df-ss
            cz eleq2i ssiun2 ssfi 2ndconst elv adantrr rnss rnxpid impr anassrs
            sseld cpnf cico ovolsf icossxr supxrcl mnfxr rexrd mnfltd cioo cuni
            ovollb xrltletrd xrre syl22anc 1zzd sylan ovolfsf simpld simprd cdm
            elrege0 wrex supxrub brralrspcev breq1 ralrn rexbidv mpbid isumsup2
            eqbrtrrid climrel releldmi isumless isumsup rge0ssre fdmd eleqtrrid
            wne 1nn ne0d dm0rn0 necon3bii supxrre syl3anc eqtr4d breqtrd fsumle
            op2ndd fsum2d sumeq1d fsumadd simpr fvmpt2 serfre feq1i sylibr 1red
            3brtr3d ressxr zred nnge1d eluzfz1 rspcdva elnnz1 sylanbrc fnfvelrn
            nnred seqfn rneqi eleqtrrdi geo2sum nnnn0d rpdivcld rpge0d nndivred
            nnrpd subge02d eqbrtrd le2addd eqbrtrrd ) AMURNUSUTZVAZULVBZVCVDZVX
            EVEVDZJVDZVDZVCVDZVXIVEVDZVJUTZULVFZNGVDZFVGZVHVIVKZDVLUTZVMAVXMNVL
            UUAVJVNZLVNZURVOZVDZVXNAVXMVXCUMVBZMVDZVCVDZVYCVEVDZJVDZVDZVCVDZVYG
            VEVDZVJUTZUMVFVYAAVXDVXLVXCVYJULUMMVXCVPZVYCVXEVYCVQZVXJVYHVXKVYIVJ
            VYLVXIVYGVCVYLVXFVYDVXHVYFVXEVYCJVEVRVXEVYCVCVSVTZWAVYLVXIVYGVEVYMW
            AWBAURNWCZAWDWDWDWEZMUUBZVXCWDWFZVXCVXDVYKWGZAWDVYOMWGZVYPUEWDVYOMU
            UCWHNUUDZWDVYOVXCMUUEWIZVYBVXCWJZVYBVYKVDVYCVQAVYBVXCMUUFWKAVXEVXDW
            JZWLZVXLWUDVXJVXKWUDVXIWOWOWEZWJZVXJWOWJWUDVMWUEVXIWUDWDVMWUEWMZVXF
            VXHWUDVXHWUGWDUUGUTZWJWDWUGVXHXEWUDWDWUHVXGJAWDWUHJXEZWUCUFWNWUDVXE
            VYOWJZVXGWDWJAVXDVYOVXEAVXDMVGVYOMVXCWPAWDVYOMAVYSWDVYOMXEZUEWDVYOM
            UUHWHZWQWRZUUIZVXEWDWDWSWHZWTVMVXHXAXBWUDWUJVXFWDWJWUNVXEWDWDXCWHWT
            XDZVXIWOWOXCWHWUDWUFVXKWOWJWUPVXIWOWOWSWHXFZXGUUJAVYJUMVXSURNAWUBWL
            ZVYBVXSVDZVYBLVDZVCVDZWUTVEVDZVJUTZVYJAWDWUGLXEZVYBWDWJZWUSWVCVQWUB
            AHWDHVBZMVDZVCVDZWVGVEVDZJVDZVDZWUGLAWVFWDWJZWLZWDWUGWVHWVJWVMWVJWU
            HWJWDWUGWVJXEWVMWDWUHWVIJAWUIWVLUFWNWVMWVGVYOWJZWVIWDWJAWDVYOWVFMWU
            LXHZWVGWDWDWSWHWTVMWVJXAXBWVMWVNWVHWDWJWVOWVGWDWDXCWHWTUDUUKZVYBNXI
            ZLVXSVYBVXSXJXKXLWURWVAVYHWVBVYIVJWURWUTVYGVCWURWVEWUTVYGVQWUBWVEAW
            VQWKHVYBWVKVYGWDLWVFVYBVQZWVHVYDWVJVYFWVRWVIVYEJWVFVYBVEMVRWAWVFVYB
            VCMVRVTUDVYDVYFUULUUMWHZWAWURWUTVYGVEWVSWAWBZXMANWDURUUNVDZUIXNXOZW
            URWVCVYJXPWVTWURWVCWURWVAWVBWURWUTWUEWJZWVAWOWJWURVMWUEWUTAWVDWVEWU
            TWUGWJWUBWVPWVQWDWUGVYBLXQXLXDZWUTWOWOXCWHWURWWCWVBWOWJWWDWUTWOWOWS
            WHXFXGXRUUOXMNGVXTUCUUPUUQAVXMUROUSUTZCUVBVDZIVFZWWEDXSIVBZUURUTZUU
            SUTZIVFZVLUTZVXQAVXDVXLULAVXCXTWJZVXDVXCYAYBVXDXTWJVYNAVXCVXDAWWMVY
            RVXCVXDYAYBVYNWUAVXCVXDXTVYKUUTYCUVAVXDVXCUVCYCZWUQYDAWWGWWKAWWEWWF
            IAUROWCZWWHWWEWJZAWWHWDWJZWWFWOWJZWWHOXIZSYEZYDZAWWEWWJIWWOADWOWJZW
            WIWDWJZWWJWOWJZWWPADUAUVDZWWPWWQWXCWWSWWQXSWDWJZWWHUVEWJWXCUVFWWHUV
            GXSWWHUVHUVIZWHDWWIUVJZXLZYDZYFAVXPDTWXEYFAWWEVXDWWHUVMZVAZUNVBZWWH
            JVDZVDZVCVDZWXOVEVDZVJUTZUNVFZIVFZWWEWWFWWJVLUTZIVFVXMWWLVMAWWEWXSW
            YAIWWOAWWPWLZWXLWXRUNWYBWXKWXLWEZXTWJZWXLWYCYAYBWXLXTWJAIWWEWYCYGZX
            TWJWYCWYEWFWYDWWPAWYEVXDXTAWYEVXDIWWEWXKYHWEZYGZWMZVXDAWYEIWWEVXDWY
            FWMZYGWYHAIWWEWYCWYIWYCWYIVQWYBWYCVXDWXKVPZWYIUOUPWYCWYJWXKWXLUVKVX
            DWXKUVNUOVBZWXKWJZWYKUPVBZYIZVXDWJZWLWYLWYMWXLWJZWLWYNWYJWJWYNWYCWJ
            WYLWYOWYPWYLWYOWWHWYMYIZVXDWJWYPWYLWYNWYQVXDWYLWYKWWHWYMWYKWWHUVLUV
            OUVPVXDWWHWYMIYJZUPYJZUVQUVRUVSWXKWYKWYMVXDWYSUVTWYKWYMWXKWXLUWBUWC
            UWAVXDWXKUWDUWEUWFUWGIWWEVXDWYFUWHUWIAVXDWYGWFWYHVXDVQAVXDIWWEWXKYG
            ZYHWEZWYGAUOUPVXDXUAAVXDVYOWFZVYOUWJVXDUWJWUMWDWDUVKVXDVYOUWLUWKAWY
            OWYKWWEWJZWYNXUAWJZAVXGWWEWJZULVXDYKWYOXUCUWMAXUEULVXDWUDXUEVXGOVMY
            BZAXUFULVXDAXUFULVXDYKZBVBZMVDZVEVDZOVMYBZBVXCYKZUKAMWDYLVYQXUGXULY
            MAWDVYOMWULUWNVYTXUFXUKULBWDVXCMVXEXUIVQVXGXUJOVMVXEXUIVEVSUWOUWPWI
            UWQUWRWUDVXGWWAWJOUXKWJZXUEXUFYMWUDVXGWDWWAWUOXNXOAXUMWUCUJWNVXGURO
            UXBYCUWQUWSXUEXUCULWYNVXDVXEWYNVQVXGWYKWWEWYKWYMVXEUOYJWYSUWTUVPUXA
            WHXUDWYKWYTWJZWYMYHWJZWLXUNXUCWYKWYMWYTYHUWBXUOXUNWYSUXCWYTWWEWYKIW
            WEUXDUXLUXEUXFUXGIWWEWXKYHUXHUXIVXDWYGUXJXBXMZWWNYNIWWEWYCUXMWYEWYC
            UXNXLZWYBWYCWXLWYBWYDWYCWXLVCWYCVPZWGZWYCWXLYAYBXUQXUSIWWHWXLYHUXOU
            XPWYCWXLXTXURUUTWIUVAWXLWYCUVCYCZAWWPWXMWXLWJZWXRWOWJZAWWPXVAWLWLZW
            XPWXQXVCWXOWUEWJZWXPWOWJXVCVMWUEWXOXVCWDWUGWXMWXNAWWPWDWUGWXNXEZXVA
            WYBWXNWUHWJZXVEAWUIWWQXVFWWPUFWWSWDWUHWWHJXQXLVMWXNXAXBZUXQAWWPXVAW
            XMWDWJZWYBWXLWDWXMWYBWXLVXDVGZWDVXDWXKWPWYBXVIVYOVGZWDWYBXUBXVIXVJW
            FAXUBWWPWUMWNVXDVYOUXRWHWDUXSUXIWRZUYBUXTWTXDZWXOWOWOXCWHXVCXVDWXQW
            OWJXVLWXOWOWOWSWHXFZUYAYDZWWPAWWQWYAWOWJZWWSAWWQWLZWWFWWJSAWXBWXCWX
            DWWQWXEWXGWXHXLYFYEZWYBWXSEVGZVHVIVKZWYAXVNWYBXVSVHWJZXVOYOXVSVIYBX
            VSWYAVMYBZXVSWOWJZWYBXVRVHWFZXVTWYBXVRYPUYCUYDUTZVHWYBWDXWDEWYBXVEW
            DXWDEXEXVGEWXNVXRWXNVNZXWEXJZUBUYEWHZWQZYPUYCUYFYQZXVRUYGWHZXVQWYBY
            OWWFXVSYOVHWJWYBUYHUWFWYBWWFWWTUYIXWJWYBWWFWWTUYJWYBXVECUYKWXNVNVGU
            YLWFZWWFXVSVMYBXVGWWPAWWQXWKWWSUGYECEWXNUBUYMYCUYNWWPAWWQXWAWWSUHYE
            ZXVSWYAUYOUYPZXVQWYBWXSWDWXRUNVFZXVSVMWYBWXLWXRUNXWEURWDXNWYBUYQZXU
            TXVKWYBXVEXVHWXMXWEVDZWXRVQXVGWXNXWEWXMXWFXKUYRZWYBXVHWLZXVBYPWXRVM
            YBZXWRWXRXWDWJXVBXWSWLXWRXWPWXRXWDXWQWYBWDXWDWXMXWEWYBXVEWDXWDXWEXE
            XVGWXNXWEXWFUYSWHXHXRWXRVUCXBZUYTZXWRXVBXWSXWTVUAZWYBVLXWEURVOZXVRW
            OVIVKZYSYBXXCYSVUBWJWYBXXCEXXDYSUBWYBUOWXRHUNXWEEURWDXNUBXWOXWQXXAX
            XBWYBUQVBZWYKVMYBZUQXVRYKZUOWOVUDZWVFEVDZWYKVMYBZHWDYKZUOWOVUDWYBXW
            BXXEXVSVMYBZUQXVRYKXXHXWMWYBXXLUQXVRWYBXWCXXEXVRWJXXLXWIXVRXXEVUEUY
            RUWSUOUQXXEXVSVMWOXVRVUFYCZWYBXXGXXKUOWOWYBEWDYLXXGXXKYMWYBWDXWDEXW
            GUWNXXFXXJUQHWDEXXEXXIWYKVMVUGVUHWHVUIVUJZVUKVULXXCXXDYSVUMVUNWHVUO
            WYBXWNXXDXVSWYBUOWXRHUNXWEEURWDXNUBXWOXWQXXAXXBXXNVUPWYBXVRWOWFXVRY
            TVUTZXXHXVSXXDVQWYBXVRXWDWOXWHVUQYQWYBEVUBZYTVUTXXOWYBXXPURWYBURWDX
            XPVVAWYBWDXWDEXWGVURVUSVVBXXPYTXVRYTEVVCVVDXBXXMUOUQXVRVVEVVFVVGVVH
            XWLYRVVIAWXTWYEVXLULVFVXMAULWWEWXLWXRVXLIUNVXEWWHWXMYIVQZVXJWXPVXKW
            XQVJXXQVXIWXOVCXXQVXFWXMVXHWXNXXQVXGWWHJWWHWXMVXEWYRUNYJZUWTWAWWHWX
            MVXEWYRXXRVVJVTZWAXXQVXIWXOVEXXSWAWBWWOXUTXVCWXRXVMXGVVKAWYEVXDVXLU
            LXUPVVLXMAWWEWWFWWJIWWOWYBWWFWWTXGZWYBWWJWXIXGVVMVVTAWWGWWKVXPDWXAW
            XJTWXEAVXOVHWFWWGVXOWJWWGVXPVMYBAVXOWOVHAWDWOFAWDWOVLKURVOZXEWDWOFX
            EAIKURWDXNAUYQZXVPWWHKVDZWWFWOXVPWWQWWRXYCWWFVQZAWWQVVNSIWDWWFWOKQV
            VOYCZSYNVVPWDWOFXYAPVVQVVRWQVWAYQAWWGOXYAVDZVXOAWWFIKUROWWPAWWQXYDW
            WSXYEYEAOWDWWAAXUMUROVMYBOWDWJZUJAURURMVDZVEVDZOAVVSAXYIAXYHVYOWJZX
            YIWDWJAWUKURWDWJXYJWULVVAWDVYOURMXQWIXYHWDWDWSWHZVWIAOUJVWBAXYIXYKV
            WCAXUKXYIOVMYBBVXCURXUHURVQXUJXYIOVMXUHURVEMVRUWOUKANWWAWJURVXCWJWW
            BURNVWDWHVWEYROVWFVWGZXNXOZXXTUUOAXYFXYAVGZVXOAXYAWWAYLZOWWAWJXYFXY
            NWJAURUXKWJXYOXYBVLKURVWJWHXYMWWAOXYAVWHYCFXYAPVWKVWLYNVXOWWGVUEYCA
            WWKDDXSOUURUTZUUSUTZVJUTZDVMAXYGDXPWJWWKXYRVQXYLADWXEXGDIOVWMYCAYPX
            YQVMYBXYRDVMYBAXYQADXYPUAAXYPAWXFOUVEWJXYPWDWJUVFAOXYLVWNXSOUVHUVIZ
            VWRVWOVWPADXYQWXEADXYPWXEXYSVWQVWSVUJVWTVXAYRVXB $.
        $}

        $d w ph $.
        $( Lemma for ~ ovoliun .  (Contributed by Mario Carneiro,
           12-Jun-2014.) $)
        ovoliunlem2 $p |- ( ph ->
              ( vol* ` U_ n e. NN A ) <_ ( sup ( ran T , RR* , < ) + B ) ) $=
          ( vm vz vj vw vx cn ciun covol cfv crn cxr clt csup caddc co wss wcel
          cr wral ralrimiva iunss sylibr ovolcl syl cc0 cpnf cico cle cxp wf cv
          cin c2nd c1st wa cmap adantr wf1o ffvelrnda xp1st ffvelrnd elovolmlem
          f1of sylib xp2nd fmptd cabs cmin ccom eqid ovolsf 3syl icossxr sstrdi
          frn supxrcl rpred readdcld rexrd cioo cuni wbr wrex eliun w3a 3adant3
          wb ovolfioo syl2anc mpbid simp3 rsp sylc ccnv simpl1 f1ocnv 4syl wceq
          2fveq3 fveq2d fveq12d vex eqtrdi breq1d breq2d rexlimdva mpbird c1 wi
          anbi12d mpd ad2antlr adantlr simplr sylan simpl2 simpr fvex fvmpt cop
          fovrnd df-ov fveq2i opelxpd f1ocnvfv2 syl5eq op1st op2nd eqtrd rspcev
          biimprd syl6an rexlimdv3a syl5bi ralrimiv ovollb cfz cfn fzfi ffvelrn
          elfznn nnre syl2an fimaxre3 sylancr fllep1 flcl peano2zd zred syl3anc
          cfl letr mpan2d ralimdva simpll crp c2 cexp cdiv ad2antrl ovoliunlem1
          cz simprr expr syld wfn ffn breq1 ralrn supxrleub xrletrd ) AHUKBULZU
          MUNZFUOZUPUQURZEUOUPUQURZCUSUTZAUWQVCVAZUWRUPVBABVCVAZHUKVDUXCAUXDHUK
          OVEHUKBVCVFVGZUWQVHVIAUWSUPVAZUWTUPVBAUWSVJVKVLUTZUPAUKVMVCVCVNVQZKVO
          ZUKUXGFVOZUWSUXGVAAGUKGVPZLUNZVRUNZUXLVSUNZIUNZUNZUXHKAUXKUKVBZVTZUKU
          XHUXMUXOUXRUXOUXHUKWAUTZVBUKUXHUXOVOUXRUKUXSUXNIAUKUXSIVOZUXQUCWBUXRU
          XLUKUKVNZVBZUXNUKVBAUKUYAUXKLAUKUYALWCZUKUYALVOZUBUKUYALWHVIZWDZUXLUK
          UKWEVIWFVMUXOWGWIUXRUYBUXMUKVBUYFUXLUKUKWJVIWFUAWKZFKWLWMWNKWNZUYHWOT
          WPZUKUXGFWTWQVJVKWRWSZUWSXAVIAUXBAUXACQACRXBXCXDZAUXIUWQXEKWNUOXFVAZU
          WRUWTVMXGUYGAUYLUFVPZKUNZVSUNZUGVPZUQXGZUYPUYNVRUNZUQXGZVTZUFUKXHZUGU
          WQVDZAVUAUGUWQUYPUWQVBUYPBVBZHUKXHAVUAHUYPUKBXIAVUCVUAHUKAHVPZUKVBZVU
          CXJZUHVPZVUDIUNZUNZVSUNZUYPUQXGZUYPVUIVRUNZUQXGZVTZUHUKXHZVUAVUFVUOUG
          BVDZVUCVUOVUFBXEVUHWNUOXFVAZVUPAVUEVUQVUCUDXKVUFUXDUKUXHVUHVOZVUQVUPX
          LAVUEUXDVUCOXKAVUEVURVUCAVUEVTVUHUXSVBVURAUKUXSVUDIUCWDVMVUHWGWIXKUGB
          UHVUHXMXNXOAVUEVUCXPVUOUGBXQXRVUFVUNVUAUHUKVUFVUGUKVBZVTZVUDVUGLXSZUT
          ZUKVBZVUNVVBKUNZVSUNZUYPUQXGZUYPVVDVRUNZUQXGZVTZVUAVUTVUDVUGUKUKUKVVA
          VUTAUYCUYAUKVVAWCUYAUKVVAVOAVUEVUCVUSXTZUBUKUYALYAUYAUKVVAWHYBAVUEVUC
          VUSUUAZVUFVUSUUBZUUFZVUTVVIVUNVUTVVFVUKVVHVUMVUTVVEVUJUYPUQVUTVVDVUIV
          SVUTVVDVVBLUNZVRUNZVVNVSUNZIUNZUNZVUIVUTVVCVVDVVRYCVVMGVVBUXPVVRUKKUX
          KVVBYCZUXMVVOUXOVVQVVSUXNVVPIUXKVVBVSLYDYEUXKVVBVRLYDYFUAVVOVVQUUCUUD
          VIVUTVVOVUGVVQVUHVUTVVPVUDIVUTVVPVUDVUGUUEZVSUNVUDVUTVVNVVTVSVUTVVNVV
          TVVAUNZLUNZVVTVVBVWALVUDVUGVVAUUGUUHVUTUYCVVTUYAVBVWBVVTYCVUTAUYCVVJU
          BVIVUTVUDVUGUKUKVVKVVLUUIUKUYAVVTLUUJXNUUKZYEVUDVUGHYGZUHYGZUULYHYEVU
          TVVOVVTVRUNVUGVUTVVNVVTVRVWCYEVUDVUGVWDVWEUUMYHYFUUNZYEYIVUTVVGVULUYP
          UQVUTVVDVUIVRVWFYEYJYOUUPUYTVVIUFVVBUKUYMVVBYCZUYQVVFUYSVVHVWGUYOVVEU
          YPUQUYMVVBVSKYDYIVWGUYRVVGUYPUQUYMVVBVRKYDYJYOUUOUUQYKYPUURUUSUUTAUXC
          UXIUYLVUBXLUXEUYGUGUWQUFKXMXNYLUWQFKTUVAXNAUWTUXBVMXGZUYPUXBVMXGZUGUW
          SVDZAVWJVUGFUNZUXBVMXGZUHUKVDZAVWLUHUKAVUSVTZUIVPZLUNZVSUNZUJVPZVMXGZ
          UIYMVUGUVBUTZVDZUJVCXHZVWLVWNVWTUVCVBVWQVCVBZUIVWTVDZVXBYMVUGUVDAVXDV
          USAVXCUIVWTAUYDVWOUKVBZVXCVWOVWTVBZUYEVWOVUGUVFUYDVXEVTVWPUYAVBVWQUKV
          BVXCUKUYAVWOLUVEVWPUKUKWEVWQUVGWQUVHZVEWBUJUIVWTVWQUVIUVJVWNVXAVWLUJV
          CVWNVWRVCVBZVTVXAVWQVWRUVPUNZYMUSUTZVMXGZUIVWTVDZVWLAVXHVXAVXLYNVUSAV
          XHVTZVWSVXKUIVWTVXMVXFVTZVWSVWRVXJVMXGZVXKVXHVXOAVXFVWRUVKYQVXNVXCVXH
          VXJVCVBZVWSVXOVTVXKYNAVXFVXCVXHVXGYRAVXHVXFYSVXHVXPAVXFVXHVXJVXHVXIVW
          RUVLUVMZUVNYQVWQVWRVXJUVQUVOUVRUVSYRVWNVXHVXLVWLVWNVXHVXLVTZVTZUIBCDE
          FGHIJKLVUGVXJMNVXSAVUEUXDAVUSVXRUVTZOYTVXSAVUEBUMUNZVCVBVXTPYTVXSAUXA
          VCVBVXTQVIVXSACUWAVBVXTRVISTUAVXSAUYCVXTUBVIVXSAUXTVXTUCVIVXSAVUEVUQV
          XTUDYTVXSAVUEDUOUPUQURVYACUWBVUDUWCUTUWDUTUSUTVMXGVXTUEYTAVUSVXRYSVXH
          VXJUWGVBVWNVXLVXQUWEVWNVXHVXLUWHUWFUWIUWJYKYPVEAUXIUXJFUKUWKVWJVWMXLU
          YGUYIUKUXGFUWLVWIVWLUGUHUKFUYPVWKUXBVMUWMUWNYBYLAUXFUXBUPVBVWHVWJXLUY
          JUYKUGUWSUXBUWOXNYLUWP $.
      $}

      $( Lemma for ~ ovoliun .  (Contributed by Mario Carneiro,
         12-Jun-2014.) $)
      ovoliunlem3 $p |- ( ph ->
                ( vol* ` U_ n e. NN A ) <_ ( sup ( ran T , RR* , < ) + B ) ) $=
        ( vm cn cfv caddc cle nfcv cr wcel vg vf vj vk covol cv csb crn cxr clt
        ciun csup nfcsb1v csbeq1a cbviun fveq2i cxp cin cmap cioo ccom cuni wss
        co wf cabs cmin c1 cseq c2 cexp cdiv wbr wa wral wex wrex crp cn0 nnnn0
        2nn nnexpcl sylancr rpdivcl syl2an eqid ovolgelb syl3anc ralrimiva ovex
        nnrpd nnenom wceq coeq2 rneqd unieqd sseq2d seqeq3d supeq1d anbi12d syl
        breq1d axcc4 wf1o wi xpnnen ensymi bren mpbi c2nd c1st cmpt nffv fveq2d
        cen cbvmpt eqtri nfv nfss sseq1d cbvralw sylib r19.21bi ad4ant14 eleq1d
        nfel1 ad2antrr simplr simprl simprr nfov nfbr nfan fveq2 coeq2d sseq12d
        oveq2 oveq2d oveq12d exlimdv breq12d simpld simprd ovoliunlem2 eqbrtrid
        exp31 mpi mpd ) AENBUKZUEOMNEMUFZBUGZUKZUEOZDUHUIUJULZCPVDZQUUIUULUEEMN
        BUUKMBREUUJBUMZEUUJBUNZUOUPANQSSUQURZNUSVDZUAUFZVEZBUTEUFZUUTOZVAZUHZVB
        ZVCZPVFVGVAZUVCVAZVHVIZUHZUIUJULZBUEOZCVJUVBVKVDZVLVDZPVDZQVMZVNZENVOZV
        NZUAVPZUUMUUOQVMZABUTUBUFZVAZUHZVBZVCZPUVHUWCVAZVHVIZUHZUIUJULZUVPQVMZV
        NZUBUUSVQZENVOUWAAUWNENAUVBNTZVNBSVCZUVMSTZUVOVRTZUWNIJACVRTZUVNVRTUWRU
        WOLUWOUVNUWOVJNTUVBVSTUVNNTWAUVBVTVJUVBWBWCWKCUVNWDWEBUVOUWIUBUWIWFWGWH
        WIUWMUVRUBUUSUAENUURNUSWJWLUWCUVCWMZUWGUVGUWLUVQUWTUWFUVFBUWTUWEUVEUWTU
        WDUVDUWCUVCUTWNWOWPWQUWTUWKUVLUVPQUWTUIUWJUVKUJUWTUWIUVJUWTUWHUVIPVHUWC
        UVCUVHWNWRWOWSXBWTXCXAAUVTUWBUAANNNUQZUCUFZXDZUCVPZUVTUWBXEZNUXAXOVMUXD
        UXANXFXGNUXAUCXHXIAUXCUXEUCAUXCUVTUWBAUXCVNZUVTVNZUUKCPUVHUUJUUTOZVAZVH
        VIZDPUVHUDNUDUFUXBOZXJOUXKXKOUUTOOXLZVAVHVIZUDMUUTFUXLUXBGFENUVMXLMNUUK
        UEOZXLHEMNUVMUXNMUVMRZEUUKUEEUERUUPXMZUVBUUJWMZBUUKUEUUQXNZXPXQAUUJNTZU
        UKSVCZUXCUVTAUXTMNAUWPENVOUXTMNVOAUWPENIWIUWPUXTEMNUWPMXREUUKSUUPESRXSU
        XQBUUKSUUQXTYAYBYCYDAUXSUXNSTZUXCUVTAUYAMNAUWQENVOUYAMNVOAUWQENJWIUWQUY
        AEMNMUVMSUXOYFEUXNSUXPYFUXQUVMUXNSUXRYEYAYBYCYDAUUNSTUXCUVTKYGAUWSUXCUV
        TLYGUXJWFUXMWFUXLWFAUXCUVTYHUXFUVAUVSYIUXGUXSVNZUUKUTUXHVAZUHZVBZVCZUXJ
        UHZUIUJULZUXNCVJUUJVKVDZVLVDZPVDZQVMZUXGUYFUYLVNZMNUXGUVSUYMMNVOUXFUVAU
        VSYJUVRUYMEMNUVRMXRUYFUYLEEUUKUYEUUPEUYERXSEUYHUYKQEUYHREQREUXNUYJPUXPE
        PREUYJRYKYLYMUXQUVGUYFUVQUYLUXQBUUKUVFUYEUUQUXQUVEUYDUXQUVDUYCUXQUVCUXH
        UTUVBUUJUUTYNZYOWOWPYPUXQUVLUYHUVPUYKQUXQUIUVKUYGUJUXQUVJUXJUXQUVIUXIPV
        HUXQUVCUXHUVHUYNYOWRWOWSUXQUVMUXNUVOUYJPUXRUXQUVNUYICVLUVBUUJVJVKYQYRYS
        UUAWTYAYBYCZUUBUYBUYFUYLUYOUUCUUDUUFYTUUGYTUUHUUE $.
    $}

    $( The Lebesgue outer measure function is countably sub-additive.  (Many
       books allow ` +oo ` as a value for one of the sets in the sum, but in
       our setup we can't do arithmetic on infinity, and in any case the volume
       of a union containing an infinitely large set is already infinitely
       large by monotonicity ~ ovolss , so we need not consider this case here,
       although we do allow the sum itself to be infinite.)  (Contributed by
       Mario Carneiro, 12-Jun-2014.) $)
    ovoliun $p |- ( ph ->
                    ( vol* ` U_ n e. NN A ) <_ sup ( ran T , RR* , < ) ) $=
      ( vm cxr wbr cn covol cfv cle cr wcel c1 syl vk vx crn clt csup cpnf ciun
      cmnf mnfxr wf caddc cseq nnuz 1zzd cv fmptd ffvelrnda serfre feq1i sylibr
      a1i 1nn ffvelrn sylancl rexrd wss frnd ressxr sstrdi supxrcl wfn fnfvelrn
      mnfltd ffnd supxrub syl2anc xrltletrd wa wb xrrebnd mpbirand crp wral csb
      nfcv nfcsb1v csbeq1a cbviun fveq2i cmpt nffv wceq fveq2d cbvmpt ralrimiva
      eqtri nfv nfss sseq1d cbvralw sylib ad2antrr r19.21bi nfel1 eleq1d simplr
      co simpr ovoliunlem3 eqbrtrid iunss ovolcl xralrple sylan sylbird nltpnft
      mpbird ex wn pnfge breq2 syl5ibrcom pm2.61d ) ACUCZKUDUEZUFUDLZDMBUGZNOZY
      EPLZAYFYEQRZYIAYJUHYEUDLZYFAUHSCOZYEUHKRAUIVAAYLAMQCUJZSMRZYLQRAMQUKESULZ
      UJYMAUAESMUMAUNAMQUAUOEADMBNOZQEIGUPUQURMQCYOFUSUTZVBMQSCVCVDZVEAYDKVFZYE
      KRZAYDQKAMQCYQVGVHVIZYDVJTZAYLYRVMAYSYLYDRZYLYEPLUUAACMVKYNUUCAMQCYQVNVBM
      SCVLVDYDYLVOVPVQAYTYJYKYFVRVSUUBYEVTTWAAYJYIAYJVRZYIYHYEUBUOZUKXGZPLZUBWB
      WCZUUDUUGUBWBUUDUUEWBRZVRZYHJMDJUOZBWDZUGZNOUUFPYGUUMNDJMBUULJBWEDUUKBWFZ
      DUUKBWGZWHWIUUJUULUUECJEFEDMYPWJJMUULNOZWJGDJMYPUUPJYPWEZDUULNDNWEUUNWKZD
      UOUUKWLZBUULNUUOWMZWNWPUUJUULQVFZJMAUVAJMWCZYJUUIABQVFZDMWCZUVBAUVCDMHWOZ
      UVCUVADJMUVCJWQDUULQUUNDQWEWRUUSBUULQUUOWSWTXAXBXCUUJUUPQRZJMAUVFJMWCZYJU
      UIAYPQRZDMWCUVGAUVHDMIWOUVHUVFDJMJYPQUUQXDDUUPQUURXDUUSYPUUPQUUTXEWTXAXBX
      CAYJUUIXFUUDUUIXHXIXJWOAYHKRZYJYIUUHVSAYGQVFZUVIAUVDUVJUVEDMBQXKUTYGXLTZU
      BYHYEXMXNXQXRXOAYFXSZYEUFWLZYIAYTUVMUVLVSUUBYEXPTAYIUVMYHUFPLZAUVIUVNUVKY
      HXTTYEUFYHPYAYBXOYC $.

    ovoliun2.t $e |- ( ph -> T e. dom ~~> ) $.
    $( The Lebesgue outer measure function is countably sub-additive.  (This
       version is a little easier to read, but does not allow infinite values
       like ~ ovoliun .)  (Contributed by Mario Carneiro, 12-Jun-2014.) $)
    ovoliun2 $p |- ( ph ->
                     ( vol* ` U_ n e. NN A ) <_ sum_ n e. NN ( vol* ` A ) ) $=
      ( vm vx vk cn covol cfv cle cr wral c1 vz ciun crn cxr clt csu ovoliun cv
      csup csb wss c0 wne wbr wrex wceq caddc cseq nnuz 1zzd wcel cvv fvex cmpt
      wf wa nfcv nfcsb1v nffv fveq2d cbvmpt eqtri fvmpt2 mpan2 adantl ralrimiva
      csbeq1a nfel1 eleq1d cbvralw sylib r19.21bi eqeltrd serfre feq1i frnd cdm
      sylibr 1nn fdmd eleqtrrid ne0d dm0rn0 necon3bii cli eqeltrrid isumrecl co
      cfz elfznn syl cuz simpr eleqtrdi simpl syl2an recnd fsumser fveq1i fzfid
      eqtr4di fz1ssnn a1i cc0 nfss sseq1d ovolge0 isumless eqbrtrrd brralrspcev
      nfv adantr syl2anc wfn wb ffnd breq1 ralrn rexbidv mpbird supxrre syl3anc
      isumsup eqtr4d cbvsumi breqtrd ) ADNBUBOPCUCZUDUEUIZNBOPZDUFZQABCDEFGHIUG
      AYRNDKUHZBUJZOPZKUFZYTAYRYQRUEUIZUUDAYQRUKYQULUMZUAUHZLUHZQUNZUAYQSZLRUOZ
      YRUUEUPANRCANRUQETURZVENRCVEAKETNUSAUTZAUUANVAZVFZUUAEPZUUCRUUNUUPUUCUPZA
      UUNUUCVBVAUUQUUBOVCKNUUCVBEEDNYSVDKNUUCVDGDKNYSUUCKYSVGZDUUBODOVGDUUABVHZ
      VIZDUHUUAUPZBUUBODUUABVQZVJZVKVLVMVNZVOZAUUCRVAZKNAYSRVAZDNSUVFKNSAUVGDNI
      VPUVGUVFDKNKYSRUURVRDUUCRUUTVRUVAYSUUCRUVCVSVTWAWBZWCWDNRCUULFWEWHZWFACWG
      ZULUMUUFAUVJTATNUVJWIANRCUVIWJWKWLUVJULYQULCWMWNWAAUUKMUHZCPZUUHQUNZMNSZL
      RUOZAUUDRVAUVLUUDQUNZMNSUVOAUUCKETNUSUUMUVEUVHAUULCWOWGFJWPZWQAUVPMNAUVKN
      VAZVFZTUVKWSWRZUUCKUFZUVLUUDQUVSUWAUVKUULPUVLUVSUUCKETUVKUVSUUAUVTVAZVFZU
      UNUUQUWBUUNUVSUUAUVKWTZVOUVDXAUVSUVKNTXBPAUVRXCUSXDUWCUUCUVSAUUNUVFUWBAUV
      RXEUWDUVHXFXGXHUVKCUULFXIXKAUWAUUDQUNUVRAUVTUUCKETNUSUUMATUVKXJUVTNUKAUVK
      XLXMUVEUVHUUOUUBRUKZXNUUCQUNAUWEKNABRUKZDNSUWEKNSAUWFDNHVPUWFUWEDKNUWFKYA
      DUUBRUUSDRVGXOUVABUUBRUVBXPVTWAWBUUBXQXAZUVQXRYBXSVPLMUVLUUDQRNXTYCZAUUJU
      VNLRACNYDUUJUVNYEANRCUVIYFUUIUVMUAMNCUUGUVLUUHQYGYHXAYIYJLUAYQYKYLALUUCMK
      ECTNUSFUUMUVEUVHUWGUWHYMYNNYSUUCDKUURUUTUVCYOXKYP $.
  $}

  ${
    $d f k n x A $.  $d f k x B $.
    $( A countable union of nullsets is null.  (Contributed by Mario Carneiro,
       8-Apr-2015.) $)
    ovoliunnul $p |- ( ( A ~<_ NN /\ A. n e. A
      ( B C_ RR /\ ( vol* ` B ) = 0 ) ) -> ( vol* ` U_ n e. A B ) = 0 ) $=
      ( vf vk cn wbr cr wss covol cfv cc0 wceq wa c0 wi eqtrdi wcel cv c1 ovol0
      vx cdom wral ciun iuneq1 0iun fveq2d a1i wne csdm cvv wb reldom brrelex1i
      adantr 0sdomg syl wfo wex fodomr expcom csb wrex eliun nfcv nfcsb1v nfiun
      nfv nfcri foelrn ex csbeq1a adantl eleq2d biimpd impancom reximdv syl6ibr
      com23 syld rexlimd syl5bi ssrdv wf ffvelrnda simpllr nfss nffv nfeq1 nfan
      fof sseq1d fveqeq2d anbi12d rspc sylc simpld ralrimiva iunss sylibr caddc
      cle csu cmpt cseq simprd 0re eqeltrdi cuz csn cxp cli mpteq2dva fconstmpt
      eqid cdm nnuz xpeq1i eqtr3i seqeq3d cz 1z serclim0 seqex c0ex breldm mp2b
      ovoliun2 sumeq2dv cfn eqimssi orci sumz ax-mp breqtrd ovolge0 cxr ovolcl
      wo xrletri3 sylancl mpbir2and ovolssnul syl3anc exlimdv sylbird pm2.61dne
      0xr ) AFUCGZBHIZBJKLMZNZCAUDZNZCABUEZJKZLMZAOAOMZUURPUUOUUSUUQOJKLUUSUUPO
      JUUSUUPCOBUEOCAOBUFCBUGQUHUAQUIUUOAOUJZOAUKGZUURUUOAULRZUVAUUTUMUUJUVBUUN
      AFUCUNUOUPAULUQURUUOUVAFADSZUSZDUTZUURUUJUVAUVEPUUNUVAUUJUVEFADVAVBUPUUOU
      VDUURDUUOUVDUURUUOUVDNZUUPEFCESZUVCKZBVCZUEZIZUVJHIZUVJJKZLMZUURUVDUVKUUO
      UVDUBUUPUVJUBSZUUPRUVOBRZCAVDUVDUVOUVJRZCUVOABVEUVDUVPUVQCAUVDCVICUBUVJEC
      FUVICFVFCUVHBVGZVHVJUVDCSZARZUVSUVHMZEFVDZUVPUVQPUVDUVTUWBEFAUVSUVCVKVLUV
      DUVPUWBUVQUVDUVPUWBUVQPUVDUVPNZUWBUVOUVIRZEFVDUVQUWCUWAUWDEFUVDUWAUVPUWDU
      VDUWANZUVPUWDUWEBUVIUVOUWABUVIMUVDCUVHBVMZVNVOVPVQVREUVOFUVIVEVSVLVTWAWBW
      CWDVNUVFUVIHIZEFUDUVLUVFUWGEFUVFUVGFRZNZUWGUVIJKZLMZUWIUVHARUUNUWGUWKNZUV
      FFAUVGUVCUVDFAUVCWEUUOFAUVCWLVNWFUUJUUNUVDUWHWGUUMUWLCUVHAUWGUWKCCUVIHUVR
      CHVFWHCUWJLCUVIJCJVFUVRWIWJWKUWAUUKUWGUULUWKUWABUVIHUWFWMUWABUVILJUWFWNWO
      WPWQZWRZWSEFUVIHWTXAZUVFUVNUVMLXCGZLUVMXCGZUVFUVMFUWJEXDZLXCUVFUVIXBEFUWJ
      XEZTXFZEUWSUWTXPUWSXPUWNUWIUWJLHUWIUWGUWKUWMXGZXHXIUVFUWTXBTXJKZLXKZXLZTX
      FZXMXQZUVFUWSUXDXBTUVFUWSEFLXEZUXDUVFEFUWJLUXAXNFUXCXLUXGUXDEFLXOFUXBUXCX
      RXSXTQYATYBRUXELXMGUXEUXFRYCTYDUXELXMXBUXDTYEYFYGYHXIYIUVFUWRFLEXDZLUVFFU
      WJLEUXAYJFUXBIZFYKRZYTUXHLMUXIUXJFUXBXRYLYMFETYNYOQYPUVFUVLUWQUWOUVJYQURU
      VFUVMYRRZLYRRUVNUWPUWQNUMUVFUVLUXKUWOUVJYSURUUIUVMLUUAUUBUUCUUPUVJUUDUUEV
      LUUFWAUUGUUH $.
  $}

  ${
    $d f g n w x y z A $.  $d f g m n w x y z C $.  $d n x F $.  $d f n y G $.
    $d f g n w y z B $.  $d g z M $.  $d f g n w y z ph $.
    ovolshft.1 $e |- ( ph -> A C_ RR ) $.
    ovolshft.2 $e |- ( ph -> C e. RR ) $.
    ovolshft.3 $e |- ( ph -> B = { x e. RR | ( x - C ) e. A } ) $.
    $( If ` B ` is a shift of ` A ` by ` C ` , then ` A ` is a shift of ` B `
       by ` -u C ` .  (Contributed by Mario Carneiro, 22-Mar-2014.)  (Revised
       by Mario Carneiro, 6-Apr-2015.) $)
    shft2rab $p |- ( ph -> A = { y e. RR | ( y - -u C ) e. B } ) $=
      ( cv cr wcel cmin co wa crab cc wceq syl2anr eleq1d cneg sseld caddc recn
      cab pm4.71rd recnd subneg adantr eleq12d wb id readdcl oveq1 elrab3 pncan
      syl 3bitrd pm5.32da bitr4d abbi2dv df-rab eqtr4di ) ADCJZKLZVDFUAMNZELZOZ
      CUEVGCKPAVHCDAVDDLZVEVIOVHAVIVEADKVDGUBUFAVEVGVIAVEOZVGVDFUCNZBJZFMNZDLZB
      KPZLZVKFMNZDLZVIVJVFVKEVOVEVDQLZFQLZVFVKRAVDUDZAFHUGZVDFUHSAEVORVEIUIUJVJ
      VKKLZVPVRUKVEVEFKLWCAVEULHVDFUMSVNVRBVKKVLVKRVMVQDVLVKFMUNTUOUQVJVQVDDVEV
      SVTVQVDRAWAWBVDFUPSTURUSUTVAVGCKVBVC $.

    ${
      ovolshft.4 $e |- M = { y e. RR* |
        E. f e. ( ( <_ i^i ( RR X. RR ) ) ^m NN ) ( B C_ U. ran ( (,) o. f ) /\
           y = sup ( ran seq 1 ( + , ( ( abs o. - ) o. f ) ) , RR* , < ) ) } $.
      ${
        ovolshft.5 $e |- S = seq 1 ( + , ( ( abs o. - ) o. F ) ) $.
        ovolshft.6 $e |- G = ( n e. NN |->
          <. ( ( 1st ` ( F ` n ) ) + C ) , ( ( 2nd ` ( F ` n ) ) + C ) >. ) $.
        ovolshft.7 $e |- ( ph -> F : NN --> ( <_ i^i ( RR X. RR ) ) ) $.
        ovolshft.8 $e |- ( ph -> A C_ U. ran ( (,) o. F ) ) $.
        $( Lemma for ~ ovolshft .  (Contributed by Mario Carneiro,
           22-Mar-2014.) $)
        ovolshftlem1 $p |- ( ph -> sup ( ran S , RR* , < ) e. M ) $=
          ( caddc cabs cmin ccom c1 cseq crn cxr clt csup cn cle cr cxp cin cc0
          wf cpnf cico co wfn cv cfv c1st c2nd cop wcel wa wbr w3a sylan simp1d
          ovolfcl simp2d adantr simp3d leadd1dd df-br sylib opelxpd elind fmptd
          readdcld eqid ovolfsf ffn 3syl wceq cvv opex fvmpt2 mpan2 fveq2d ovex
          op2nd eqtrdi op1st oveq12d adantl recnd eqtrd 3eqtr4d eqfnfvd seqeq3d
          pnpcan2d ovolfsval eqtr4di rneqd supeq1d cioo cuni wss wrex wral crab
          eleq2d oveq1 eleq1d elrab bitrdi breq2 breq1 anbi12d rexbidv ovolfioo
          biimpa syl2anc mpbid simprr rspcdva breq1d adantlr ad2antrr ltaddsubd
          wb simplrl bitrd breq2d ltsubaddd mpbird rexbidva ralrimiva eqsstrdi
          bitr4d syldan ssrab2 elovolmr eqeltrrd ) AUAUBUCUDZKUDZUEUFZUGZUHUIUJ
          ZGUGZUHUIUJLAUHUULUUNUIAUUKGAUUKUAUUIJUDZUEUFGAUUJUUOUAUEAIUKUUJUUOAU
          KULUMUMUNZUOZKUQZUKUPURUSUTZUUJUQUUJUKVAAIUKIVBZJVCZVDVCZFUAUTZUVAVEV
          CZFUAUTZVFZUUQKAUUTUKVGZVHZULUUPUVFUVHUVCUVEULVIUVFULVGUVHUVBUVDFUVHU
          VBUMVGZUVDUMVGZUVBUVDULVIZAUKUUQJUQZUVGUVIUVJUVKVJSJUUTVMVKZVLZUVHUVI
          UVJUVKUVMVNZAFUMVGZUVGNVOZUVHUVIUVJUVKUVMVPVQUVCUVEULVRVSUVHUVCUVEUMU
          MUVHUVBFUVNUVQWCUVHUVDFUVOUVQWCVTWARWBZKUUJUUJWDZWEUKUUSUUJWFWGAUVLUK
          UUSUUOUQUUOUKVASJUUOUUOWDZWEUKUUSUUOWFWGUVHUUTKVCZVEVCZUWAVDVCZUCUTZU
          VDUVBUCUTZUUTUUJVCZUUTUUOVCZUVHUWDUVEUVCUCUTZUWEUVGUWDUWHWHAUVGUWBUVE
          UWCUVCUCUVGUWBUVFVEVCUVEUVGUWAUVFVEUVGUVFWIVGUWAUVFWHUVCUVEWJIUKUVFWI
          KRWKWLZWMUVCUVEUVBFUAWNZUVDFUAWNZWOWPZUVGUWCUVFVDVCUVCUVGUWAUVFVDUWIW
          MUVCUVEUWJUWKWQWPZWRWSUVHUVDUVBFUVHUVDUVOWTUVHUVBUVNWTUVHFUVQWTXEXAAU
          URUVGUWFUWDWHUVRKUUJUUTUVSXFVKAUVLUVGUWGUWEWHSJUUOUUTUVTXFVKXBXCXDQXG
          XHXIAUUREXJKUDUGXKXLZUUMLVGUVRAUWNUWCCVBZUIVIZUWOUWBUIVIZVHZIUKXMZCEX
          NZAUWSCEAUWOEVGZUWOUMVGZUWOFUCUTZDVGZVHZUWSAUXAUXEAUXAUWOBVBZFUCUTZDV
          GZBUMXOZVGUXEAEUXIUWOOXPUXHUXDBUWOUMUXFUWOWHUXGUXCDUXFUWOFUCXQXRXSXTY
          FAUXEVHZUWSUVBUXCUIVIZUXCUVDUIVIZVHZIUKXMZUXJUVBUXFUIVIZUXFUVDUIVIZVH
          ZIUKXMZUXNBDUXCUXFUXCWHZUXQUXMIUKUXSUXOUXKUXPUXLUXFUXCUVBUIYAUXFUXCUV
          DUIYBYCYDAUXRBDXNZUXEADXJJUDUGXKXLZUXTTADUMXLUVLUYAUXTYOMSBDIJYEYGYHV
          OAUXBUXDYIYJUXJUWRUXMIUKUXJUVGVHZUWPUXKUWQUXLUYBUWPUVCUWOUIVIUXKUYBUW
          CUVCUWOUIUVGUWCUVCWHUXJUWMWSYKUYBUVBFUWOAUVGUVIUXEUVNYLAUVPUXEUVGNYMZ
          AUXBUXDUVGYPZYNYQUYBUWQUWOUVEUIVIUXLUYBUWBUVEUWOUIUVGUWBUVEWHUXJUWLWS
          YRUYBUWOFUVDUYDUYCAUVGUVJUXEUVOYLYSUUDYCUUAYTUUEUUBAEUMXLUURUWNUWTYOA
          EUXIUMOUXHBUMUUFUUCUVRCEIKYEYGYTCEUUKHKLPUUKWDUUGYGUUH $.
      $}

      $( Lemma for ~ ovolshft .  (Contributed by Mario Carneiro,
         22-Mar-2014.) $)
      ovolshftlem2 $p |- ( ph -> { z e. RR* |
        E. g e. ( ( <_ i^i ( RR X. RR ) ) ^m NN ) ( A C_ U. ran ( (,) o. g ) /\
    z = sup ( ran seq 1 ( + , ( ( abs o. - ) o. g ) ) , RR* , < ) ) } C_ M ) $=
        ( cv caddc cxr co wcel cfv vn cioo ccom crn cuni wss cabs cmin cseq clt
        vm c1 csup wceq wa cle cr cxp cin cn cmap wrex wral crab c1st c2nd cmpt
        wi cop ad3antrrr eqid 2fveq3 oveq1d opeq12d cbvmptv wf elovolmlem sylib
        simplr simpr ovolshftlem1 eleq1a syl expimpd rexlimdva ralrimiva sylibr
        rabss ) AEUBIOZUCUDUEUFZDOZPUGUHUCWIUCULUIZUDQUJUMZUNZUOZIUPUQUQURUSZUT
        VARZVBZWKJSZVHZDQVCWRDQVDJUFAWTDQAWKQSZUOZWOWSIWQXBWIWQSZUOZWJWNWSXDWJU
        OZWMJSWNWSVHXEBCEFGWLHUAWIUKUTUKOZWITZVETZGPRZXGVFTZGPRZVIZVGJAEUQUFXAX
        CWJKVJAGUQSXAXCWJLVJAFBOGUHRESBUQVDUNXAXCWJMVJNWLVKUKUAUTXLUAOZWITZVETZ
        GPRZXNVFTZGPRZVIXFXMUNZXIXPXKXRXSXHXOGPXFXMVEWIVLVMXSXJXQGPXFXMVFWIVLVM
        VNVOXEXCUTWPWIVPXBXCWJVSUPWIVQVRXDWJVTWAWMJWKWBWCWDWEWFWRDQJWHWG $.
    $}

    $( The Lebesgue outer measure function is shift-invariant.  (Contributed by
       Mario Carneiro, 22-Mar-2014.)  (Proof shortened by AV, 17-Sep-2020.) $)
    ovolshft $p |- ( ph -> ( vol* ` A ) = ( vol* ` B ) ) $=
      ( vf vy vg vz cv ccom crn wss cxr clt wceq cr vw cioo cuni cabs cmin cseq
      caddc c1 csup wa cle cxp cin cn cmap co wrex crab cinf covol ovolshftlem2
      cfv eqid cneg ssrab2 eqsstrdi renegcld shft2rab eqssd infeq1d ovolval syl
      wcel 3eqtr4d ) ACUBIMZNOUCPJMUGUDUENZVONUHUFOQRUISUJIUKTTULUMUNUOUPZUQJQU
      RZQRUSZDUBKMZNOUCPLMUGVPVTNUHUFOQRUISUJKVQUQLQURZQRUSZCUTVBZDUTVBZAQVRWAR
      AVRWAABLJCDEKIWAFGHWAVCZVAAUAJLDCEVDIKVRADBMEUEUPCVMZBTURTHWFBTVEVFZAEGVG
      ABUACDEFGHVHVRVCZVAVIVJACTPWCVSSFJCIVRWHVKVLADTPWDWBSWGLDKWAWEVKVLVN $.
  $}

  ${
    $d f k n x y A $.  $d f n y B $.  $d n x F $.  $d k n y G $.  $d k x y R $.
    $d f k m n x y C $.  $d f k n y ph $.  $d k x S $.
    ovolsca.1 $e |- ( ph -> A C_ RR ) $.
    ovolsca.2 $e |- ( ph -> C e. RR+ ) $.
    ovolsca.3 $e |- ( ph -> B = { x e. RR | ( C x. x ) e. A } ) $.
    $( If ` B ` is a scale of ` A ` by ` C ` , then ` A ` is a scale of ` B `
       by ` 1 / C ` .  (Contributed by Mario Carneiro, 22-Mar-2014.) $)
    sca2rab $p |- ( ph -> A = { y e. RR | ( ( 1 / C ) x. y ) e. B } ) $=
      ( cv cr wcel cdiv co cmul wa crab wceq adantr eleq1d c1 sseld pm4.71rd wb
      cab eleq2d crp rprecred remulcl oveq2 elrab3 syl simpr recnd rpcnd rpne0d
      sylancom divrec2d oveq2d divcan2d eqtr3d 3bitrd pm5.32da abbi2dv eqtr4di
      bitr4d df-rab ) ADCJZKLZUAFMNZVHONZELZPZCUEVLCKQAVMCDAVHDLZVIVNPVMAVNVIAD
      KVHGUBUCAVIVLVNAVIPZVLVKFBJZONZDLZBKQZLZFVKONZDLZVNVOEVSVKAEVSRVIISUFVOVK
      KLZVTWBUDAVIVJKLWCVOFAFUGLVIHSZUHVJVHUIUQVRWBBVKKVPVKRVQWADVPVKFOUJTUKULV
      OWAVHDVOFVHFMNZONWAVHVOWEVKFOVOVHFVOVHAVIUMUNZVOFWDUOZVOFWDUPZURUSVOVHFWF
      WGWHUTVATVBVCVFVDVLCKVGVE $.

    ovolsca.4 $e |- ( ph -> ( vol* ` A ) e. RR ) $.
    ${
      ovolsca.5 $e |- S = seq 1 ( + , ( ( abs o. - ) o. F ) ) $.
      ovolsca.6 $e |- G = ( n e. NN |->
      <. ( ( 1st ` ( F ` n ) ) / C ) , ( ( 2nd ` ( F ` n ) ) / C ) >. ) $.
      ovolsca.7 $e |- ( ph -> F : NN --> ( <_ i^i ( RR X. RR ) ) ) $.
      ovolsca.8 $e |- ( ph -> A C_ U. ran ( (,) o. F ) ) $.
      ovolsca.9 $e |- ( ph -> R e. RR+ ) $.
      ovolsca.10 $e |- ( ph ->
        sup ( ran S , RR* , < ) <_ ( ( vol* ` A ) + ( C x. R ) ) ) $.
      $( Lemma for ~ ovolsca .  (Contributed by Mario Carneiro, 6-Apr-2015.) $)
      ovolscalem1 $p |- ( ph ->
        ( vol* ` B ) <_ ( ( ( vol* ` A ) / C ) + R ) ) $=
        ( vy vk covol cfv caddc cabs cmin ccom c1 cseq crn cxr clt csup cdiv co
        cr wss wcel cv cmul crab ssrab2 eqsstrdi ovolcl syl cc0 cpnf cn cle cxp
        cico cin wf c1st c2nd cop wa wbr w3a ovolfcl sylan simp3d simp1d simp2d
        rpregt0d adantr lediv1 syl3anc mpbid df-br sylib crp rerpdivcld opelxpd
        elind fmptd eqid ovolsf frnd icossxr sstrdi supxrcl rpred readdcld cioo
        wb rexrd cuni wrex wral eleq2d oveq2 eleq1d elrab bitrdi breq1 ovolfioo
        wceq anbi12d syl2anc cvv fveq2d ovex eqtrdi adantl adantlr mpbird rpcnd
        csu cc syl2an recnd ovolfsval fsumser eqtrd supxrleub wfn ffnd ralrn ex
        breq2 rexbidv simprr rspcdva fvmpt2 mpan2 op1st breq1d simplrl ltdivmul
        opex bitr2d ltmuldiv2 breq2d bitr4d rexbidva sylbid ralrimiv ovollb cfz
        op2nd fzfid simpl elfznn resubcld wne rpne0d fsumdivc oveq12d divsubdir
        rpcnne0d 3eqtr4d cuz simpr nnuz eleqtrdi rpmulcld fveq1i eqtr4di adddid
        r19.21bi divcan2d 3brtr4d fsumrecl ledivmul eqbrtrrd ralrimiva xrletrd
        oveq1d ) ADUCUDZUEUFUGUHZJUHZUIUJZUKZULUMUNZCUCUDZEUOUPZFUEUPZADUQURZUW
        KULUSADEBUTZVAUPZCUSZBUQVBZUQMUXCBUQVCVDZDVEVFAUWOULURZUWPULUSAUWOVGVHV
        LUPZULAVIUXGUWNAVIVJUQUQVKZVMZJVNZVIUXGUWNVNAHVIHUTZIUDZVOUDZEUOUPZUXLV
        PUDZEUOUPZVQZUXIJAUXKVIUSZVRZVJUXHUXQUXSUXNUXPVJVSZUXQVJUSUXSUXMUXOVJVS
        ZUXTUXSUXMUQUSZUXOUQUSZUYAAVIUXIIVNZUXRUYBUYCUYAVTQIUXKWAWBZWCUXSUYBUYC
        EUQUSVGEUMVSVRZUYAUXTXGUXSUYBUYCUYAUYEWDZUXSUYBUYCUYAUYEWEZAUYFUXRAELWF
        ZWGZUXMUXOEWHWIWJUXNUXPVJWKWLUXSUXNUXPUQUQUXSUXMEUYGAEWMUSUXRLWGZWNUXSU
        XOEUYHUYKWNWOWPPWQZUWNJUWMUWMWRZUWNWRZWSVFZWTVGVHXAZXBZUWOXCVFAUWSAUWRF
        AUWQENLWNZAFSXDXEZXHZAUXJDXFJUHUKXIURZUWKUWPVJVSUYLAVUAUXKJUDZVOUDZUAUT
        ZUMVSZVUDVUBVPUDZUMVSZVRZHVIXJZUADXKZAVUIUADAVUDDUSZVUDUQUSZEVUDVAUPZCU
        SZVRZVUIAVUKVUDUXDUSVUOADUXDVUDMXLUXCVUNBVUDUQUXAVUDXSUXBVUMCUXAVUDEVAX
        MXNXOXPAVUOVUIAVUOVRZUXMVUMUMVSZVUMUXOUMVSZVRZHVIXJZVUIVUPUXMUXAUMVSZUX
        AUXOUMVSZVRZHVIXJZVUTBCVUMUXAVUMXSZVVCVUSHVIVVEVVAVUQVVBVURUXAVUMUXMUMU
        UBUXAVUMUXOUMXQXTUUCAVVDBCXKZVUOACXFIUHUKXIURZVVFRACUQURUYDVVGVVFXGKQBC
        HIXRYAWJWGAVULVUNUUDUUEVUPVUSVUHHVIVUPUXRVRZVUQVUEVURVUGVVHVUEUXNVUDUMV
        SZVUQVVHVUCUXNVUDUMUXRVUCUXNXSVUPUXRVUCUXQVOUDUXNUXRVUBUXQVOUXRUXQYBUSV
        UBUXQXSUXNUXPUULHVIUXQYBJPUUFUUGZYCUXNUXPUXMEUOYDZUXOEUOYDZUUHYEZYFUUIV
        VHUYBVULUYFVVIVUQXGAUXRUYBVUOUYGYGAVULVUNUXRUUJZAUXRUYFVUOUYJYGZUXMVUDE
        UUKWIUUMVVHVURVUDUXPUMVSZVUGVVHVULUYCUYFVURVVPXGVVNAUXRUYCVUOUYHYGVVOVU
        DUXOEUUNWIVVHVUFUXPVUDUMUXRVUFUXPXSVUPUXRVUFUXQVPUDUXPUXRVUBUXQVPVVJYCU
        XNUXPVVKVVLUVBYEZYFUUOUUPXTUUQWJUUAUURUUSAUWTUXJVUAVUJXGUXEUYLUADHJXRYA
        YHDUWNJUYNUUTYAAUWPUWSVJVSZVUDUWSVJVSZUAUWOXKZAVVTUBUTZUWNUDZUWSVJVSZUB
        VIXKZAVWCUBVIAVWAVIUSZVRZUIVWAUVAUPZUXOUXMUGUPZHYJZEUOUPZVWBUWSVJVWFVWJ
        VWGVWHEUOUPZHYJVWBVWFVWGVWHEHVWFUIVWAUVCZAEYKUSZVWEAELYIZWGVWFUXKVWGUSZ
        VRVWHVWFAUXRVWHUQUSVWOAVWEUVDZUXKVWAUVEZUXSUXOUXMUYHUYGUVFZYLZYMZAEVGUV
        GZVWEAELUVHZWGUVIVWFVWKHUWMUIVWAVWFAUXRUXKUWMUDZVWKXSVWOVWPVWQUXSVUFVUC
        UGUPZUXPUXNUGUPZVXCVWKUXRVXDVXEXSAUXRVUFUXPVUCUXNUGVVQVVMUVJYFAUXJUXRVX
        CVXDXSUYLJUWMUXKUYMYNWBUXSUXOYKUSUXMYKUSVWMVXAVRZVWKVXEXSUXSUXOUYHYMUXS
        UXMUYGYMAVXFUXRAELUVLWGUXOUXMEUVKWIUVMYLVWFVWAVIUIUVNUDAVWEUVOUVPUVQZVW
        FAUXRVWKYKUSVWOVWPVWQUXSVWKUXSVWHEVWRUYKWNYMYLYOYPVWFVWJUWSVJVSZVWIEUWS
        VAUPZVJVSZVWFVWAGUDZUWQEFVAUPZUEUPZVWIVXIVJAVXKVXMVJVSZUBVIAUXAVXMVJVSZ
        BGUKZXKZVXNUBVIXKZAVXPULUMUNVXMVJVSZVXQTAVXPULURVXMULUSVXSVXQXGAVXPUXGU
        LAVIUXGGAUYDVIUXGGVNQGIUWLIUHZVXTWRZOWSVFZWTUYPXBAVXMAUWQVXLNAVXLAEFLSU
        VRXDXEXHBVXPVXMYQYAWJAGVIYRVXQVXRXGAVIUXGGVYBYSVXOVXNBUBVIGUXAVXKVXMVJX
        QYTVFWJUWBVWFVWIVWAUEVXTUIUJZUDVXKVWFVWHHVXTUIVWAVWFUYDUXRUXKVXTUDVWHXS
        VWOAUYDVWEQWGVWQIVXTUXKVYAYNYLVXGVWTYOVWAGVYCOUVSUVTAVXIVXMXSVWEAVXIEUW
        RVAUPZVXLUEUPVXMAEUWRFVWNAUWRUYRYMAFSYIUWAAVYDUWQVXLUEAUWQEAUWQNYMVWNVX
        BUWCUWJYPWGUWDVWFVWIUQUSUWSUQUSZUYFVXHVXJXGVWFVWGVWHHVWLVWSUWEAVYEVWEUY
        SWGAUYFVWEUYIWGVWIUWSEUWFWIYHUWGUWHAUWNVIYRVVTVWDXGAVIUXGUWNUYOYSVVSVWC
        UAUBVIUWNVUDVWBUWSVJXQYTVFYHAUXFUWSULUSVVRVVTXGUYQUYTUAUWOUWSYQYAYHUWI
        $.
    $}

    $( Lemma for ~ ovolshft .  (Contributed by Mario Carneiro, 22-Mar-2014.) $)
    ovolscalem2 $p |- ( ph -> ( vol* ` B ) <_ ( ( vol* ` A ) / C ) ) $=
      ( vy vf cfv cdiv co cle cv crp wcel cr cn vn vm covol wbr caddc wral cioo
      wa ccom crn cuni wss cabs cmin cseq cxr clt csup cmul cxp cin cmap adantr
      wrex rpmulcl sylan eqid ovolgelb syl3anc c1st c2nd cop cmpt ad2antrr crab
      wceq 2fveq3 oveq1d opeq12d cbvmptv elmapi ad2antrl simprrl simplr simprrr
      c1 wf ovolscalem1 rexlimddv ralrimiva ssrab2 eqsstrdi ovolcl syl xralrple
      wb rerpdivcld syl2anc mpbird ) ADUCLZCUCLZEMNZOUDZWTXBJPZUENOUDZJQUFZAXEJ
      QAXDQRZUHZCUGKPZUIUJUKULZUEUMUNUIXIUIWFUOZUJUPUQURXAEXDUSNZUENOUDZUHZXEKO
      SSUTVAZTVBNZXHCSULZXASRZXLQRZXNKXPVDAXQXGFVCAXRXGIVCAEQRZXGXSGEXDVEVFCXLX
      KKXKVGZVHVIXHXIXPRZXNUHZUHBCDEXDXKUAXIUBTUBPZXILZVJLZEMNZYEVKLZEMNZVLZVMA
      XQXGYCFVNAXTXGYCGVNADEBPUSNCRZBSVOZVPXGYCHVNAXRXGYCIVNYAUBUATYJUAPZXILZVJ
      LZEMNZYNVKLZEMNZVLYDYMVPZYGYPYIYRYSYFYOEMYDYMVJXIVQVRYSYHYQEMYDYMVKXIVQVR
      VSVTYBTXOXIWGXHXNXIXOTWAWBXHYBXJXMWCAXGYCWDXHYBXJXMWEWHWIWJAWTUPRZXBSRXCX
      FWPADSULYTADYLSHYKBSWKWLDWMWNAXAEIGWQJWTXBWOWRWS $.

    $( The Lebesgue outer measure function respects scaling of sets by positive
       reals.  (Contributed by Mario Carneiro, 6-Apr-2015.) $)
    ovolsca $p |- ( ph -> ( vol* ` B ) = ( ( vol* ` A ) / C ) ) $=
      ( vy covol cfv cdiv co cle wbr ovolscalem2 cmul wcel cr wceq recnd rpne0d
      c1 rpcnd divrecd cv crab ssrab2 eqsstrdi rpreccld wss rerpdivcld ovollecl
      sca2rab syl3anc lemuldivd mpbird eqbrtrd letri3d mpbir2and ) ADKLZCKLZEMN
      ZUAVBVDOPZVDVBOPABCDEFGHIQZAVDVCUDEMNZRNZVBOAVCEAVCIUBAEGUEAEGUCUFAVHVBOP
      VCVBVGMNOPAJDCVGADEBUGRNCSZBTUHTHVIBTUIUJZAEGUKZABJCDEFGHUOADTULVDTSVEVBT
      SVJAVCEIGUMZVFDVDUNUPZQAVCVBVGIVMVKUQURUSAVBVDVMVLUTVA $.
  $}

  ${
    $d f g h k m n t u v x y z A $.  $d f g h k m n t u v x y z B $.  $d t H $.
    $d f g k m n t y z C $.  $d h i j k n t x y F $.  $d i j k n t u x y z K $.
    $d f h i j k n t x y z G $.  $d i j m n t x y z M $.  $d i j k m n x y W $.
    $d k y P $.  $d f g h i j k m n t v x y z ph $.  $d f h k n t x y z T $.
    $d k n t u x y N $.  $d h z S $.  $d h n t u x z U $.  $d t X $.
    ovolicc.1 $e |- ( ph -> A e. RR ) $.
    ovolicc.2 $e |- ( ph -> B e. RR ) $.
    ovolicc.3 $e |- ( ph -> A <_ B ) $.
    ${
      ovolicc1.4 $e |- G = ( n e. NN |->
        if ( n = 1 , <. A , B >. , <. 0 , 0 >. ) ) $.
      $( The measure of a closed interval is lower bounded by its length.
         (Contributed by Mario Carneiro, 13-Jun-2014.)  (Proof shortened by
         Mario Carneiro, 25-Mar-2015.) $)
      ovolicc1 $p |- ( ph -> ( vol* ` ( A [,] B ) ) <_ ( B - A ) ) $=
        ( co cfv c1 cr wcel syl2anc cc0 cn cle wceq wbr vx vz vk cicc cabs cmin
        covol caddc ccom cseq crn cxr clt csup wss iccssre ovolcl syl cpnf cico
        cxp cin wf cv cop cif wa df-br sylib opelxpd elind adantr 0le0 mpbi 0re
        opelxpi mp2an elini ifcl sylancl fmptd eqid ovolsf frnd icossxr supxrcl
        sstrdi resubcld rexrd cuni c1st c2nd wrex wral 1nn a1i op1stg wb elicc2
        w3a biimpa simp2d eqbrtrd simp3d op2ndg breqtrrd fveq2 opex fvmpt ax-mp
        iftrue eqtrdi fveq2d breq1d anbi12d syl12anc ralrimiva ovolficc ovollb2
        breq2d rspcev mpbird addid1 adantl nnuz eleqtri simpr eleqtrdi rge0ssre
        cc cuz ffvelrn sselid c2 fveq2i ovolfsval eqtrd c0ex oveq12d syl5eq cfz
        recnd ad2antrr elfzuz df-2 eleqtrrdi eluz2nn eqeq1 ifex eluz2b3 simprbi
        ifbid wne neneqd iffalsed op2nd op1st 0m0e0 seqid2 1z seq1i eqtr3d ffnd
        leidd wfn breq1 ralrn supxrleub xrletrd ) ABCUDJZUGKZUHUEUFUIEUIZLUJZUK
        ZULUMUNZCBUFJZAUVJMUOZUVKULNABMNZCMNZUVQFGBCUPOZUVJUQURAUVNULUOZUVOULNA
        UVNPUSUTJZULAQUWBUVMAQRMMVAZVBZEVCZQUWBUVMVCZADQDVDZLSZBCVEZPPVEZVFZUWD
        EAUWGQNZVGUWIUWDNZUWJUWDNUWKUWDNAUWMUWLARUWCUWIABCRTUWIRNHBCRVHVIABCMMF
        GVJVKVLUWJRUWCPPRTUWJRNVMPPRVHVNPMNZUWNUWJUWCNVOVOPPMMVPVQVRUWHUWIUWJUW
        DVSVTIWAZUVMEUVLUVLWBZUVMWBZWCURZWDPUSWEWGZUVNWFURAUVPACBGFWHZWIZAUWEUV
        JUDEUIUKWJUOZUVKUVORTUWOAUXBUWGEKZWKKZUAVDZRTZUXEUXCWLKZRTZVGZDQWMZUAUV
        JWNZAUXJUAUVJAUXEUVJNZVGZLQNZUWIWKKZUXERTZUXEUWIWLKZRTZUXJUXNUXMWOWPUXM
        UXOBUXERAUXOBSZUXLAUVRUVSUXSFGBCMMWQOZVLUXMUXEMNZBUXERTZUXECRTZAUXLUYAU
        YBUYCWTZAUVRUVSUXLUYDWRFGBCUXEWSOXAZXBXCUXMUXECUXQRUXMUYAUYBUYCUYEXDAUX
        QCSZUXLAUVRUVSUYFFGBCMMXEOZVLXFUXIUXPUXRVGDLQUWHUXFUXPUXHUXRUWHUXDUXOUX
        ERUWHUXCUWIWKUWHUXCLEKZUWIUWGLEXGUXNUYHUWISWODLUWKUWIQEUWHUWIUWJXKIBCXH
        ZXIXJZXLZXMXNUWHUXGUXQUXERUWHUXCUWIWLUYKXMXTXOYAXPXQAUVQUWEUXBUXKWRUVTU
        WOUAUVJDEXROYBUVJUVMEUWQXSOAUVOUVPRTZUBVDZUVPRTZUBUVNWNZAUYOUXEUVMKZUVP
        RTZUAQWNZAUYQUAQAUXEQNZVGZUYPUVPUVPRUYTLUVMKZUYPUVPUYTUCUHYJUVLLLUXEPUC
        VDZYJNVUBPUHJVUBSUYTVUBYCYDLLYKKZNUYTLQVUCWOYEYFWPUYTUXEQVUCAUYSYGYEYHU
        YTVUAUYTUWBMVUAYIUYTUWFUXNVUAUWBNAUWFUYSUWRVLWOQUWBLUVMYLVTYMUUBUYTVUBL
        LUHJZUXEUUAJNZVGZVUBUVLKZVUBEKZWLKZVUHWKKZUFJZPVUFUWEVUBQNZVUGVUKSAUWEU
        YSVUEUWOUUCVUFVUBYNYKKZNZVULVUFVUBVUDYKKZVUMVUEVUBVUONUYTVUBVUDUXEUUDYD
        YNVUDYKUUEYOUUFZVUBUUGURZEUVLVUBUWPYPOVUFVUKPPUFJPVUFVUIPVUJPUFVUFVUIUW
        JWLKPVUFVUHUWJWLVUFVUHVUBLSZUWIUWJVFZUWJVUFVULVUHVUSSVUQDVUBUWKVUSQEUWG
        VUBSUWHVURUWIUWJUWGVUBLUUHUULIVURUWIUWJUYIPPXHUUIXIURVUFVURUWIUWJVUFVUB
        LVUFVUNVUBLUUMZVUPVUNVULVUTVUBUUJUUKURUUNUUOYQZXMPPYRYRUUPXLVUFVUJUWJWK
        KPVUFVUHUWJWKVVAXMPPYRYRUUQXLYSUURXLYQUUSUYTUVPUHUVLLUUTUYTLUVLKZUYHWLK
        ZUYHWKKZUFJZUVPUYTUWEUXNVVBVVESAUWEUYSUWOVLWOEUVLLUWPYPVTUYTVVCCVVDBUFU
        YTVVCUXQCUYHUWIWLUYJYOAUYFUYSUYGVLYTUYTVVDUXOBUYHUWIWKUYJYOAUXSUYSUXTVL
        YTYSYQUVAUVBAUVPUVPRTUYSAUVPUWTUVDVLXCXQAUVMQUVEUYOUYRWRAQUWBUVMUWRUVCU
        YNUYQUBUAQUVMUYMUYPUVPRUVFUVGURYBAUWAUVPULNUYLUYOWRUWSUXAUBUVNUVPUVHOYB
        UVI $.
    $}

    ${
      ovolicc2.4 $e |- S = seq 1 ( + , ( ( abs o. - ) o. F ) ) $.
      ovolicc2.5 $e |- ( ph -> F : NN --> ( <_ i^i ( RR X. RR ) ) ) $.
      ovolicc2.6 $e |- ( ph -> U e. ( ~P ran ( (,) o. F ) i^i Fin ) ) $.
      ovolicc2.7 $e |- ( ph -> ( A [,] B ) C_ U. U ) $.
      ovolicc2.8 $e |- ( ph -> G : U --> NN ) $.
      ovolicc2.9 $e |- ( ( ph /\ t e. U ) ->
                            ( ( (,) o. F ) ` ( G ` t ) ) = t ) $.
      $( Lemma for ~ ovolicc2 .  (Contributed by Mario Carneiro,
         14-Jun-2014.) $)
      ovolicc2lem1 $p |- ( ( ph /\ X e. U ) -> ( P e. X <-> ( P e. RR /\
                             ( 1st ` ( F ` ( G ` X ) ) ) < P /\
                             P < ( 2nd ` ( F ` ( G ` X ) ) ) ) ) ) $=
        ( cr wcel wa cfv c1st c2nd cioo co clt wbr w3a ccom cn cxp wceq cle cin
        wf wss inss2 fss sylancl ffvelrnda fvco3 syl2an2r wral ralrimiva 2fveq3
        cv eqeq12d rspccva sylan cop adantr ffvelrnd 1st2nd2 syl fveq2d eqtr4di
        id df-ov 3eqtr3d eleq2d wb xp1st xp2nd rexr elioo2 syl2an syl2anc bitrd
        cxr ) AJGUAZUBZEJUAEJIUCZHUCZUDUCZWOUEUCZUFUGZUAZETUAWPEUHUIEWQUHUIUJZW
        MJWREWMWNUFHUKZUCZWOUFUCZJWRAULTTUMZHUQZWLWNULUAXBXCUNAULUOXDUPZHUQXFXD
        URXEOUOXDUSULXFXDHUTVAZAGULJIRVBZULXDWNUFHVCVDABVHZIUCXAUCZXIUNZBGVEWLX
        BJUNZAXKBGSVFXKXLBJGXIJUNZXJXBXIJXIJXAIVGXMVSVIVJVKWMXCWPWQVLZUFUCWRWMW
        OXNUFWMWOXDUAZWOXNUNWMULXDWNHAXEWLXGVMXHVNZWOTTVOVPVQWPWQUFVTVRWAWBWMWP
        TUAZWQTUAZWSWTWCZWMXOXQXPWOTTWDVPWMXOXRXPWOTTWEVPXQWPWKUAWQWKUAXSXRWPWF
        WQWFWPWQEWGWHWIWJ $.

      ovolicc2.10 $e |- T = { u e. U | ( u i^i ( A [,] B ) ) =/= (/) } $.
      ${
        ovolicc2.11 $e |- ( ph -> H : T --> T ) $.
        ovolicc2.12 $e |- ( ( ph /\ t e. T ) ->
                              if ( ( 2nd ` ( F ` ( G ` t ) ) ) <_ B ,
                                   ( 2nd ` ( F ` ( G ` t ) ) ) , B ) e.
                              ( H ` t ) ) $.
        ovolicc2.13 $e |- ( ph -> A e. C ) $.
        ovolicc2.14 $e |- ( ph -> C e. T ) $.
        ovolicc2.15 $e |- K = seq 1 ( ( H o. 1st ) , ( NN X. { C } ) ) $.
        ovolicc2.16 $e |- W = { n e. NN | B e. ( K ` n ) } $.
        $( Lemma for ~ ovolicc2 .  (Contributed by Mario Carneiro,
           14-Jun-2014.) $)
        ovolicc2lem2 $p |- ( ( ph /\ ( N e. NN /\ -. N e. W ) ) ->
                                ( 2nd ` ( F ` ( G ` ( K ` N ) ) ) ) <_ B ) $=
          ( vx cn wcel wn cfv cle wbr wa clt cr adantr cxp wf cin wss inss2 fss
          c2nd sylancl cicc co c0 wne c1 nnuz 1zzd algrf ffvelrnda ineq1 neeq1d
          cv wceq elrab2 sylib simpld ffvelrnd xp2nd syl ltnled simprl c1st wex
          adantrr simprd n0 xp1st w3a simpr elin elicc2 syl2anc ad2antrr simp1d
          wb mpbid ovolicc2lem1 syldan simp2d simp3d ltletrd exlimddv mpbir3and
          simprr fveq2 eleq2d sylanbrc expr sylbird con1d impr ) AOUNUOZOPUOZUP
          ONUQZLUQZKUQZVJUQZEURUSZAYCUTZYIYDYJYIUPEYHVAUSZYDYJEYHAEVBUOZYCRVCYJ
          YGVBVBVDZUOZYHVBUOYJUNYMYFKAUNYMKVEZYCAUNURYMVFZKVEYPYMVGYOUAURYMVHUN
          YPYMKVIVKVCYJIUNYELAIUNLVEYCUDVCYJYEIUOZYEDEVLVMZVFZVNVOZYJYEHUOYQYTU
          TZAUNHONAFNHMVPUNVQUKAVRUJUGVSVTBWCZYRVFZVNVOYTBYEIHUUBYEWDUUCYSVNUUB
          YEYRWAWBUFWEWFZWGWHWHZYGVBVBWIWJWKAYCYKYDAYCYKUTZUTZYCEYEUOZYDAYCYKWL
          UUGUUHYLYGWMUQZEVAUSZYKAYLUUFRVCUUGUMWCZYSUOZUUJUMUUGYTUULUMWNUUGYQYT
          AYCUUAYKUUDWOZWPUMYSWQWFUUGUULUTZUUIUUKEUUGUUIVBUOZUULAYCUUOYKYJYNUUO
          UUEYGVBVBWRWJWOVCUUNUUKVBUOZDUUKURUSZUUKEURUSZUUNUUKYRUOZUUPUUQUURWSZ
          UUNUUKYEUOZUUSUUNUULUVAUUSUTUUGUULWTUUKYEYRXAWFZWPAUUSUUTXFZUUFUULADV
          BUOYLUVCQRDEUUKXBXCXDXGZXEAYLUUFUULRXDUUNUUPUUIUUKVAUSZUUKYHVAUSZUUNU
          VAUUPUVEUVFWSZUUNUVAUUSUVBWGUUGUVAUVGXFZUULAUUFYQUVHUUGYQYTUUMWGZACDE
          UUKGIKLYEQRSTUAUBUCUDUEXHXIVCXGXJUUNUUPUUQUURUVDXKXLXMAYCYKXOAUUFYQUU
          HYLUUJYKWSXFUVIACDEEGIKLYEQRSTUAUBUCUDUEXHXIXNEJWCZNUQZUOUUHJOUNPUVJO
          WDUVKYEEUVJONXPXQULWEXRXSXTYAYB $.

        $( Lemma for ~ ovolicc2 .  (Contributed by Mario Carneiro,
           14-Jun-2014.) $)
        ovolicc2lem3 $p |- ( ( ph /\
            ( N e. { n e. NN | A. m e. W n <_ m } /\
              P e. { n e. NN | A. m e. W n <_ m } ) ) ->
              ( N = P <-> ( 2nd ` ( F ` ( G ` ( K ` N ) ) ) ) =
                          ( 2nd ` ( F ` ( G ` ( K ` P ) ) ) ) ) ) $=
          ( vy vk vx cv cfv c2nd cle wbr wral cn crab weq 2fveq3 fveq2d wceq cr
          ssrab2 nnssre sstri wcel sseli wa cxp wf cin wss inss2 sylancl adantr
          fss c1 nnuz 1zzd algrf cicc co c0 wne ffvelrn sylancom ffvelrnd xp2nd
          ssrab3 syl sylan2 clt wi ad2antll adantrr breq1 ralbidv elrab simprbi
          anim2i caddc breq2 breq2d imbi12d imbi2d wn nnnlt1 adantl pm2.21d a1d
          nnre lep1d peano2re syl3anc mpand ralimdva imim1d wo wb simplr simprl
          letr nnleltp1 syl2anc nnred leloed bitr3d mpbid breq1d ad2antrr com23
          cif c1st w3a simpll ltp1 ltnle mpdan rspccv mtod ovolicc2lem2 iftrued
          syl12anc ifbieq1d eleq12d ralrimiva eqeltrrd algrp1 ad2ant2r eleqtrrd
          fveq2 rspcdva peano2nnd ovolicc2lem1 simp3d lttr syl5ibrcom a1dd jaod
          mpan2d imim2d sylbid animpimp2impd nnind syl3c eqord1 ) AUOUPUOURZPUS
          ZNUSZMUSZUTUSZUPURZPUSZNUSZMUSZUTUSZQGLURZKURZVAVBZKRVCZLVDVEZQPUSNUS
          ZMUSZUTUSGPUSNUSZMUSZUTUSUOUPVFZUVRUWCUTUWNUVQUWBMUVOUVTNPVGVHVHZUVOQ
          VIZUVRUWKUTUWPUVQUWJMUVOQNPVGVHVHUVOGVIZUVRUWMUTUWQUVQUWLMUVOGNPVGVHV
          HUWIVDVJUWHLVDVKZVLVMUVOUWIVNZAUVOVDVNZUVSVJVNZUWIVDUVOUWRVOZAUWTVPZU
          VRVJVJVQZVNUXAUXCVDUXDUVQMAVDUXDMVRZUWTAVDVAUXDVSZMVRUXFUXDVTUXEUCVAU
          XDWAVDUXFUXDMWDWBZWCUXCJVDUVPNAJVDNVRZUWTUFWCAUWTVDJPVRZUVPJVNUXCVDIP
          VRZIJVTZUXIAUXJUWTAFPIOWEVDWFUMAWGZULUIWHZWCBURDEWIWJVSWKWLBJIUHWQZVD
          IJPWDZWBVDJUVOPWMWNWOWOUVRVJVJWPWRZWSAUWSUVTUWIVNZVPVPUVTVDVNZUXCUVTU
          WFVAVBZKRVCZUVOUVTWTVBZUVSUWDWTVBZXAZUXQUXRAUWSUWIVDUVTUWRVOXBAUWSUXC
          UXQUWSUWTAUXBXHXCUXQUXTAUWSUXQUXRUXTUWHUXTLUVTVDLUPVFUWGUXSKRUWEUVTUW
          FVAXDXEXFXGXBUXCUQURZUWFVAVBZKRVCZUVOUYDWTVBZUVSUYDPUSNUSZMUSZUTUSZWT
          VBZXAZXAZXAUXCWEUWFVAVBZKRVCZUVOWEWTVBZUVSWEPUSNUSZMUSZUTUSZWTVBZXAZX
          AZXAUXCUXTUYCXAZXAZUXCUVTWEXIWJZUWFVAVBZKRVCZUVOVUEWTVBZUVSVUEPUSZNUS
          ZMUSZUTUSZWTVBZXAZXAZXAVUDUQUPUVTUYDWEVIZUYMVUBUXCVUPUYFUYOUYLVUAVUPU
          YEUYNKRUYDWEUWFVAXDXEVUPUYGUYPUYKUYTUYDWEUVOWTXJVUPUYJUYSUVSWTVUPUYIU
          YRUTVUPUYHUYQMUYDWENPVGVHVHXKXLXLXMUQUPVFZUYMVUCUXCVUQUYFUXTUYLUYCVUQ
          UYEUXSKRUYDUVTUWFVAXDXEVUQUYGUYAUYKUYBUYDUVTUVOWTXJVUQUYJUWDUVSWTVUQU
          YIUWCUTVUQUYHUWBMUYDUVTNPVGVHVHXKXLXLXMZUYDVUEVIZUYMVUOUXCVUSUYFVUGUY
          LVUNVUSUYEVUFKRUYDVUEUWFVAXDXEVUSUYGVUHUYKVUMUYDVUEUVOWTXJVUSUYJVULUV
          SWTVUSUYIVUKUTVUSUYHVUJMUYDVUENPVGVHVHXKXLXLXMVURUXCVUAUYOUXCUYPUYTUW
          TUYPXNAUVOXOXPXQXRUXRUXCVUCVUGVUNUYCUXRVUCVUGUYCXAXAUXCUXRVUGUXTUYCUX
          RVUFUXSKRUXRUWFRVNZVPZUVTVUEVAVBZVUFUXSVVAUVTUXRUVTVJVNZVUTUVTXSWCZXT
          VVAVVCVUEVJVNZUWFVJVNZVVBVUFVPUXSXAVVDVVAVVCVVEVVDUVTYAZWRVUTVVFUXRRV
          JUWFRVDVJEUWEPUSVNLVDRUNWQVLVMVOXPUVTVUEUWFYJYBYCYDYEXPUXCUXRVUGVPZVP
          ZVUHUYCVUMVVIVUHUYAUWNYFZUYCVUMXAZVVIUVOUVTVAVBZVUHVVJVVIUWTUXRVVLVUH
          YGAUWTVVHYHZUXCUXRVUGYIZUVOUVTYKYLVVIUVOUVTVVIUVOVVMYMVVIUVTVVNYMZYNY
          OVVIUYAVVKUWNVVIUYCUYAVUMVVIUYBVUMUYAVVIUYBUWDVULWTVBZVUMVVIUWDVJVNZV
          UKUUAUSUWDWTVBZVVPVVIUWDVUIVNZVVQVVRVVPUUBZVVIUWDUWAOUSZVUIVVIUWDEVAV
          BZUWDEYTZUWDVWAVVIVWBUWDEVVIAUXRUVTRVNZXNVWBAUWTVVHUUCZVVNVVIVWDVUEUV
          TVAVBZVVIVVCVWFXNZVVOVVCUVTVUEWTVBZVWGUVTUUDVVCVVEVWHVWGYGVVGUVTVUEUU
          EUUFYPWRVUGVWDVWFXAUXCUXRVUFVWFKUVTRUWFUVTVUEVAXJUUGXBUUHABCDEFHIJLMN
          OPUVTRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUUIUUKUUJVVICURZNUSMUSZUTUSZEVAVB
          ZVWKEYTZVWIOUSZVNZVWCVWAVNCIUWAVWIUWAVIZVWMVWCVWNVWAVWPVWLVWBVWKUWDEV
          WPVWKUWDEVAVWPVWJUWCUTVWIUWAMNVGVHZYQVWQUULVWIUWAOUUSUUMAVWOCIVCUWTVV
          HAVWOCIUJUUNYRVVIVDIUVTPAUXJUWTVVHUXMYRZVVNWOUUTUUOAUXRVUIVWAVIUWTVUG
          AFPIOUVTWEVDWFUMUXLULUIUUPUUQUURVVIAVUIJVNVVSVVTYGVWEVVIVDJVUEPVVIUXJ
          UXKUXIVWRUXNUXOWBZVVIUVTVVNUVAWOZACDEUWDHJMNVUISTUAUBUCUDUEUFUGUVBYLY
          PUVCZVVIUXAVVQVULVJVNZUYBVVPVPVUMXAUXCUXAVVHUXPWCVVIUWCUXDVNVVQVVIVDU
          XDUWBMAUXEUWTVVHUXGYRZVVIJVDUWANAUXHUWTVVHUFYRZVVIVDJUVTPVWSVVNWOWOWO
          UWCVJVJWPWRVVIVUKUXDVNVXBVVIVDUXDVUJMVXCVVIJVDVUINVXDVWTWOWOVUKVJVJWP
          WRUVSUWDVULUVDYBUVHUVIYSVVIUWNVUMUYCVVIVUMUWNVVPVXAUWNUVSUWDVULWTUWOY
          QUVEUVFUVGUVJYSUVKUVLUVMUVN $.

        ovolicc2.17 $e |- M = inf ( W , RR , < ) $.
        $( Lemma for ~ ovolicc2 .  (Contributed by Mario Carneiro,
           14-Jun-2014.)  (Revised by AV, 17-Sep-2020.) $)
        ovolicc2lem4 $p |- ( ph -> ( B - A ) <_ sup ( ran S , RR* , < ) ) $=
          ( vy vz vx vi vj vm cv clt wbr ccom c1 cfz wral cmin crn cxr cle wrex
          co cn cr wcel wa ad2antlr wi wss wf cin c0 wne ssrab3 sylancl syl2anc
          nnuz fss frnd nnssre sstrdi simpr sseldd an32s ralimdva cfn fzfid wf1
          wf1o wceq fvres adantl elfznn fvco3 syl2an eqtrd c2nd 2fveq3 wb nnred
          cfv adantr fveq2d simprl sylibr eleqtrd simprr syl2an2r sselid syldan
          letrd syl csu resubcld cc0 sylan2 fsumrecl sselda c1st caddc ffvelrnd
          wn xp1st fveq2 recnd ffvelrn cz w3a ovolicc2lem1 mpbid cima csup arch
          cres df-ima 1zzd algrf cicc fz1ssnn fssres eqsstrid ad3antrrr simpllr
          fco nnre lelttr syl3anc ancomsd expdimp impancom reximdva mpd adantrr
          wfo ad2antll eqeq12d crab a1i sstri cinf cuz sseqtri cdom cioo elin2d
          nnnfi ssfi simpll simplr raleqdv mpbiri ralrimivw rabid2 ovolicc2lem3
          cpw ral0 syl12anc syl5ibr ralrimivva dff13 sylanbrc f1domg sylc domfi
          ex necon3bd mpi infssuzcl sylancr eqeltrid ad2antrr elfzle2 infssuzle
          sseli mpan eqbrtrid ralrimiva ssrabdv jca sylbid f1f1orn f1oeq3 ax-mp
          f1ofo fofi fimaxre2 r19.29a cabs cpnf cico cxp eqid ovolfsf ffvelrnda
          rexrd elrege0 sylib simpld ovolsf rge0ssre ressxr supxrcl inss2 xp2nd
          cc fsumf1o ovolfsval sumeq2dv fsumsub fsumm1 comraddd fsum1p peano2zd
          algr0 nnzd 1z fzp1ss fsumshftm ax-1cn pncan3oi oveq1i sumeq1i fvoveq1
          cbvsumv eqtri eqtrdi oveq12d peano2nn addsub4d 3eqtrd eqeltrrd eleq2d
          mp1i elrab2 simprd mpdan simp3d simp2d lt2subd ltled cif elfzm11 nsyl
          ltnled iftrued breq1d ifbieq1d eleq12d rspcdva algrp1 eleqtrrd fsumle
          ovolicc2lem2 subge0d mpbird addge01d breqtrrd ltle eleqtrdi nnz elfz5
          adantlr sylibrd impr dfss3 fsumless cseq eqidd fsumser fveq1i eqtr4di
          wfn ffnd fnfvelrn supxrub eqbrtrd xrletrd rexlimddv ) AUNUTZUOUTZVAVB
          ZUNLNVCZVDOVEVLZUUAZVFZEDVGVLZGVHZVIVAUUBZVJVBUOVMAVXIUPUTZVJVBZUNVXN
          VFZVXOUOVMVKZUPVNAVXSVNVOZVPZVYAVPZVXSVXJVAVBZUOVMVKZVYBVYCVYGAVYAVXS
          UOUUCVQVYEVYFVXOUOVMVYDVXJVMVOZVYAVYFVXOVRVYDVYHVPZVYFVYAVXOVYIVYFVPV
          XTVXKUNVXNVYIVXIVXNVOZVYFVXTVXKVRVYIVYJVPZVYFVXTVXKVYKVXTVYFVXKVYKVXI
          VNVOZVYCVXJVNVOZVXTVYFVPVXKVRVYKVXNVNVXIAVXNVNVSZVYCVYHVYJAVXNVMVNAVX
          NVXLVXMUUDZVHZVMVXLVXMUUEZAVXMVMVYOAVMVMVXLVTZVXMVMVSZVXMVMVYOVTZAIVM
          LVTZVMINVTZVYRUDAVMHNVTZHIVSZWUBAFNHMVDVMWGUKAUUFZUJUGUUGZBUTDEUUHVLW
          AWBWCBIHUFWDZVMHINWHWEZVMIVMLNUUNWFOUUIZVMVMVXMVXLUUJWEZWIUUKZWJWKZUU
          LVYIVYJWLWMAVYCVYHVYJUUMVYHVYMVYDVYJVXJUUOZVQVXIVXSVXJUUPUUQUURUUSWNW
          OUUTWNUVAUVBAVYNVXNWPVOZVYAUPVNVKWULAVXMWPVOVXMVXNVYOUVDZWUNAVDOWQZAV
          XMVXNVYOWSZWUOAVXMVYPVYOWSZWUQAVXMVMVYOWRZWURAVYTUQUTZVYOXKZURUTZVYOX
          KZWTZWUTWVBWTZVRZURVXMVFUQVXMVFWUSWUJAWVFUQURVXMVXMAWUTVXMVOZWVBVXMVO
          ZVPZVPZWVDWUTNXKZLXKZWVBNXKZLXKZWTZWVEWVJWVAWVLWVCWVNAWVGWVAWVLWTWVHA
          WVGVPZWVAWUTVXLXKZWVLWVGWVAWVQWTAWUTVXMVXLXAXBAWUCWUTVMVOZWVQWVLWTWVG
          WUFWUTOXCZVMHWUTLNXDXEXFZUVCWVJWVCWVBVXLXKZWVNWVHWVCWWAWTAWVGWVBVXMVX
          LXAUVEAWUCWVBVMVOZWWAWVNWTWVIWUFWVHWWBWVGWVBOXCXBVMHWVBLNXDXEXFUVFWVO
          WVEWVJWVLKXKZXGXKZWVNKXKZXGXKWTZWVLWVNXGKXHAWVIWUTJUTZUSUTZVJVBZUSPVF
          ZJVMUVGZVOZWVBWWKVOZVPWVEWWFXIZWVJWWLWWMWVJVXMWWKWUTAVXMWWKVSWVIAWWJJ
          VMVXMVYSAWUIUVHAWWGVXMVOZVPZWWIUSPWWPWWHPVOZVPZWWGOWWHWWRWWGWWOWWGVMV
          OAWWQWWGOXCVQXJAOVNVOZWWOWWQAPVNOPVMVNEWWGNXKZVOZJVMPULWDZWJUVIZAOPVN
          VAUVJZPUMAPVDUVKXKZVSZPWBWCZWXDPVOPVMWXEWXBWGUVLZAVMWPVOZYLWXGUVPAWXI
          PWBAPWBWTZWXIAHWPVOZWXJVMHUVMVBZWXIAIWPVOWUDWXKAUVNKVCVHUWEWPIUBUVOWU
          GIHUVQWEZAWXJVPZWXKVMHNWRZWXLAWXKWXJWXMXLWXNWUCWVKWVMWTZWVEVRZURVMVFU
          QVMVFWXOAWUCWXJWUFXLWXNWXQUQURVMVMWXPWVEWXNWVRWWBVPZVPZWWFWXPWWCWWEXG
          WVKWVMKLXHXMWXSAWWLWWMWWNAWXJWXRUVRWXSWUTVMWWKWXNWVRWWBXNWXSWWJJVMVFV
          MWWKWTWXSWWJJVMWXSWWJWWIUSWBVFWWIUSUWFWXSWWIUSPWBAWXJWXRUVSUVTUWAUWBW
          WJJVMUWCXOZXPWXSWVBVMWWKWXNWVRWWBXQWXTXPABCDEFWVBGHIUSJKLMNWUTPQRSTUA
          UBUCUDUEUFUGUHUIUJUKULUWDZUWGUWHUWIUQURVMHNUWJUWKVMHWPNUWLUWMHVMUWNXR
          UWOUWPUWQPVDUWRUWSUWTZXSZUXAWWQWWHVNVOWWPPVNWWHWXCUXDXBWWOWWGOVJVBAWW
          QWWGVDOUXBVQWWQOWWHVJVBWWPWWQOWXDWWHVJUMWXFWWQWXDWWHVJVBWXHWWHPVDUXCU
          XEUXFXBYAUXGUXHXLZAWVGWVHXNWMWVJVXMWWKWVBWYDAWVGWVHXQWMUXIWYAXTUWHUXJ
          UWIUQURVXMVMVYOUWJUWKVXMVMVYOUXKYBVXNVYPWTWUQWURXIVYQVXNVYPVXMVYOUXLU
          XMXOZVXMVXNVYOUXNYBVXMVXNVYOUXOWFZUPUNVXNUXPWFUXQAVYHVXOVPZVPZVXPVDVX
          JVEVLZWVBUXRVGVCKVCZXKZURYCZVXRAVXPVIVOWYGAVXPAEDRQYDZUYEXLWYHWYLAWYL
          VNVOWYGAWYIWYKURAVDVXJWQAWVBWYIVOZVPZWYKVNVOZYEWYKVJVBZWYOWYKYEUXSUXT
          VLZVOZWYPWYQVPWYNAWWBWYSWVBVXJXCAVMWYRWVBWYJAVMVJVNVNUYAZWAZKVTZVMWYR
          WYJVTUAKWYJWYJUYBZUYCYBUYDZYFWYKUYFUYGZUYHZYGXLZUYEAVXRVIVOZWYGAVXQVI
          VSZXUHAVXQVNVIAVXQWYRVNAVMWYRGAXUBVMWYRGVTUAGKWYJXUCTUYIYBZWIUYJWKUYK
          WKZVXQUYLYBXLWYHVXPVXNWYKURYCZWYLAVXPVNVOWYGWYMXLAXULVNVOWYGAVXNWYKUR
          WYFAWVBVXNVOZWWBWYPAVXNVMWVBWUKYHZAWWBVPZWYRVNWYKUYJXUDXSZXTYGZXLXUGA
          VXPXULVJVBWYGAVXPONXKZLXKZKXKZXGXKZFLXKZKXKZYIXKZVGVLZVDOVDVGVLZVEVLZ
          WWDUQYCZXVGWUTVDYJVLZNXKZLXKZKXKZYIXKZUQYCZVGVLZYJVLZXULVJAVXPXVEXVPW
          YMAXVAXVDAXUTWYTVOXVAVNVOAVMWYTXUSKAXUBXUAWYTVSVMWYTKVTZUAVJWYTUYMVMX
          UAWYTKWHWEZAIVMXURLUDAVMIONWUHAPVMOWXBWYBXSZYKZYKYKXUTVNVNUYNYBZAXVCW
          YTVOXVDVNVOAVMWYTXVBKXVRAIVMFLUDAHIFWUGUJXSZYKYKXVCVNVNYMYBZYDZAXULXV
          PVNAXULVXMWVLWYJXKZUQYCVXMWWDWWCYIXKZVGVLZUQYCZXVPAVXNWYKVXMXWEURUQVY
          OWVLWVBWVLWYJYNWUPWYEWVTAXUMWWBWYKUYOVOXUNXUOWYKXUPYOXTUYPAVXMXWEXWGU
          QAXUBWVGWVLVMVOXWEXWGWTUAWVPIVMWVKLAWUAWVGUDXLAWUBWVRWVKIVOWVGWUHWVSV
          MIWUTNYPXEYKZKWYJWVLXUCUYQXRUYRAXWHVXMWWDUQYCZVXMXWFUQYCZVGVLXVAXVHYJ
          VLZXVDXVNYJVLZVGVLXVPAVXMWWDXWFUQWUPWVPWWDWVGAWVRWWDVNVOZWVSAWVRVPZWW
          CWYTVOZXWNXWOVMWYTWVLKAXVQWVRXVRXLZXWOIVMWVKLAWUAWVRUDXLZAVMIWUTNWUHU
          YDYKYKWWCVNVNUYNYBZYFYOZWVPXWFWVPXWPXWFVNVOWVPVMWYTWVLKAXVQWVGXVRXLXW
          IYKWWCVNVNYMYBYOZUYSAXWJXWLXWKXWMVGAXWJXVHXVAAXVHAXVGWWDUQAVDXVFWQZWU
          TXVGVOZAWVRXWNWUTXVFXCZXWSYFZYGZYOZAXVAXWAYOZAWWDXVAUQVDOAPWXEOWXHWYB
          XSZXWTWUTOWTZWWCXUTXGXXJWVLXUSKWUTOLNXHXMXMUYTVUAAXWKVDNXKZLXKZKXKZYI
          XKZVDVDYJVLZOVEVLZXWFUQYCZYJVLXWMAXWFXXNUQVDOXXIXXAWUTVDWTZWWCXXMYIXX
          RWVLXXLKWUTVDLNXHXMXMVUBAXXNXVDXXQXVNYJAXXMXVCYIAXXLXVBKAXXKFLAFNHMVD
          VMWGUKWUEUJVUDXMXMXMAXXQXXOVDVGVLZXVFVEVLZWVBVDYJVLZNXKZLXKZKXKZYIXKZ
          URYCZXVNAXWFXYEUQURVDXXOOWUEAVDWUEVUCAOXVSVUEZAWUTXXPVOWVGXWFUYOVOAXX
          PVXMWUTVDYQVOZXXPVXMVSAVUFVDOVUGVVCYHXXAXTWUTXYAWTZWWCXYDYIXYIWVLXYCK
          WUTXYALNXHXMXMVUHXYFXVGXYEURYCXVNXXTXVGXYEURXXSVDXVFVEVDVDVUIVUIVUJVU
          KVULXVGXYEXVMURUQWVBWUTWTZXYDXVLYIXYJXYCXVKKXYJXYBXVJLWVBWUTVDNYJVUMX
          MXMXMVUNVUOVUPVUQXFVUQAXVAXVHXVDXVNXXHXXGAXVDXWCYOAXVNAXVGXVMUQXXBXXC
          AWVRXVMVNVOZXXDXWOXVLWYTVOXYKXWOVMWYTXVKKXWQXWOIVMXVJLXWRAWUBXVIVMVOX
          VJIVOZWVRWUHWUTVURVMIXVINYPXEZYKYKXVLVNVNYMYBYFZYGZYOVUSVUTVUTZXUQVVA
          AVXPXVEWYMXWDAEXVDXVADRXWCXWAQAEVNVOZXUTYIXKEVAVBZEXVAVAVBZAEXURVOZXY
          QXYRXYSYRZAOVMVOZXYTAOPVOYUBXYTVPWYBWXAXYTJOVMPWWGOWTWWTXUREWWGONYNVV
          BULVVDUYGVVEAXURIVOXYTYUAXIXVTACDEEGIKLXURQRSTUAUBUCUDUEYSVVFYTVVGADV
          NVOZXVDDVAVBZDXVCXGXKVAVBZADFVOZYUCYUDYUEYRZUIAFIVOYUFYUGXIXWBACDEDGI
          KLFQRSTUAUBUCUDUEYSVVFYTVVHVVIVVJAYEXVOVJVBZXVEXVPVJVBAYUHXVNXVHVJVBA
          XVGXVMWWDUQXXBXYNXXEAXXCVPZXVMWWDXYNXXEYUIXWNXVMWWDVAVBZWWDXVLXGXKVAV
          BZYUIWWDXVJVOZXWNYUJYUKYRZYUIWWDWVKMXKZXVJYUIWWDEVJVBZWWDEVVKZWWDYUNY
          UIYUOWWDEAXXCWVRWUTPVOZYLZVPYUOYUIWVRYURXXCWVRAXXDXBZYUIOWUTVJVBZYUQY
          UIWUTOVAVBZYUTYLYUIWUTYQVOZVDWUTVJVBZYVAYUIXXCYVBYVCYVAYRZAXXCWLYUIXY
          HOYQVOZXXCYVDXIVUFAYVEXXCXYGXLWUTVDOVVLUWSYTVVGYUIWUTOYUIWUTYUSXJAWWS
          XXCWYCXLVVNYTYUQOWXDWUTVJUMWXFYUQWXDWUTVJVBWXHWUTPVDUXCUXEUXFVVMUXIAB
          CDEFGHIJKLMNWUTPQRSTUAUBUCUDUEUFUGUHUIUJUKULVWCXTVVOYUICUTZLXKKXKZXGX
          KZEVJVBZYVHEVVKZYVFMXKZVOZYUPYUNVOCHWVKYVFWVKWTZYVJYUPYVKYUNYVMYVIYUO
          YVHWWDEYVMYVHWWDEVJYVMYVGWWCXGYVFWVKKLXHXMZVVPYVNVVQYVFWVKMYNVVRAYVLC
          HVFXXCAYVLCHUHUXGXLAWUCWVRWVKHVOXXCWUFXXDVMHWUTNYPXEVVSVVAXXCAWVRXVJY
          UNWTXXDAFNHMWUTVDVMWGUKWUEUJUGVVTYFVWAAXXCXYLYULYUMXIXXCAWVRXYLXXDXYM
          YFACDEWWDGIKLXVJQRSTUAUBUCUDUEYSXTYTVVHVVJVWBAXVHXVNXXFXYOVWDVWEAXVEX
          VOXWDAXVHXVNXXFXYOYDVWFYTYAXYPVWGXLWYHWYIWYKVXNURWYHVDVXJWQAWYNWYPWYG
          XUFVWLZAWYNWYQWYGWYOWYPWYQXUEVVEVWLWYHVXIWYIVOZUNVXNVFZVXNWYIVSAVYHVX
          OYVQAVYHVPZVXKYVPUNVXNYVRVYJVPZVXKVXIVXJVJVBZYVPYVSVYLVYMVXKYVTVRYVSV
          XIYVRVXNVMVXIAVXNVMVSVYHWUKXLYHZXJVYHVYMAVYJWUMVQVXIVXJVWHWFYVSVXIWXE
          VOVXJYQVOZYVPYVTXIYVSVXIVMWXEYWAWGVWIVYHYWBAVYJVXJVWJVQVXIVDVXJVWKWFV
          WMWOVWNUNVXNWYIVWOXOVWPYAWYHWYLVXJGXKZVXRVJWYHWYLVXJYJWYJVDVWQZXKYWCW
          YHWYKURWYJVDVXJWYHWYNVPZWYKVWRWYHVXJVMWXEAVYHVXOXNZWGVWIYWEWYKYVOYOVW
          SVXJGYWDTVWTVXAAXUIWYGYWCVXQVOZYWCVXRVJVBXUKAGVMVXBWYGVYHYWGAVMWYRGXU
          JVXCYWFVMVXJGVXDXRVXQYWCVXEXRVXFVXGVXH $.
      $}

      $( Lemma for ~ ovolicc2 .  (Contributed by Mario Carneiro,
         14-Jun-2014.) $)
      ovolicc2lem5 $p |- ( ph -> ( B - A ) <_ sup ( ran S , RR* , < ) ) $=
        ( vz vh vx vy vn vm cv wcel cmin co crn cxr clt csup cle cuni wrex cicc
        wbr rexrd lbicc2 syl3anc sseldd eluni2 sylib wa wf cfv c2nd cif wex cfn
        wral wss cioo ccom cpw elin2d cin c0 wne ssrab3 ssfi sylancl adantr cxp
        cr cn ineq1 neeq1d elrab2 simplbi ffvelrn syl2an ffvelrnda syldan xp2nd
        weq syl ifcld simprbi adantl n0 w3a simprr elicc2 syl2an2r mpbid simp1d
        adantrr simp2d c1st elin1d wceq fvco3 sylan2 cop 1st2nd2 fveq2d eqtr4di
        df-ov 3eqtr3d eleqtrd xp1st rexr elioo2 syl2anc simp3d ltled letrd expr
        wb exlimdv mpd breq2 ifboth inelcm sylanbrc fveq2 eqid mpbir3and simprl
        min2 reximssdv ralrimiva ac6sfi 2fveq3 breq1d ifbieq1d eleq12d cbvralvw
        eleq2 c1 cseq crab cinf adantlr simprrl simprrr rspccva simprlr simprll
        csn sylan eleq2d cbvrabv ovolicc2lem4 anassrs syl5bir expimpd rexlimddv
        ) ADUAUGZUHZEDUIUJFUKULUMUNUOUSZUAHADHUPZUHUVMUAHUQADEURUJZUVODQADULUHE
        ULUHDEUOUSZDUVPUHZADKUTAELUTMDEVAVBZVCUADHVDVEAUVLHUHZUVMVFZVFZGGUBUGZV
        GZCUGZJVHZIVHZVIVHZEUOUSZUWHEVJZUWEUWCVHZUHZCGVMZVFZUBVKZUVNAUWOUWAAGVL
        UHZUWJUCUGZUHZUCGUQZCGVMUWOAHVLUHGHVNUWPAVOIVPZUKVQZVLHPVRBUGZUVPVSZVTW
        AZBHGTWBHGWCWDAUWSCGAUWEGUHZVFZUWRUWRUCGHUXFUWJUVOUHUWRUCHUQUXFUVPUVOUW
        JAUVPUVOVNZUXEQWEUXFUWJUVPUHZUWJWGUHZDUWJUOUSZUWJEUOUSZUXFUWIUWHEWGUXFU
        WGWGWGWFZUHZUWHWGUHZUXFUOUXLUWGAUXEUWFWHUHZUWGUOUXLVSZUHAHWHJVGZUWEHUHZ
        UXOUXERUXEUXRUWEUVPVSZVTWAZUXDUXTBUWEHGBCWRUXCUXSVTUXBUWEUVPWIWJTWKZWLZ
        HWHUWEJWMWNZAWHUXPUWFIOWOWPVRZUWGWGWGWQZWSZAEWGUHZUXELWEZWTUXFDUWHUOUSZ
        UVQUXJUXFUDUGZUXSUHZUDVKZUYIUXFUXTUYLUXEUXTAUXEUXRUXTUYAXAXBUDUXSXCVEUX
        FUYKUYIUDAUXEUYKUYIAUXEUYKVFZVFZDUYJUWHADWGUHZUYMKWEUYNUYJWGUHZDUYJUOUS
        ZUYJEUOUSZUYNUYJUVPUHZUYPUYQUYRXDZUYNUWEUVPUYJAUXEUYKXEZVRAUYOUYMUYGUYS
        UYTYLKAUYGUYMLWEDEUYJXFXGXHZXIZUYNUXMUXNAUXEUXMUYKUYDXJZUYEWSZUYNUYPUYQ
        UYRVUBXKUYNUYJUWHVUCVUEUYNUYPUWGXLVHZUYJUMUSZUYJUWHUMUSZUYNUYJVUFUWHVOU
        JZUHZUYPVUGVUHXDZUYNUYJUWEVUIUYNUWEUVPUYJVUAXMUYNUWFUWTVHZUWGVOVHZUWEVU
        IAWHUXPIVGZUYMUXOVULVUMXNOAUXEUXOUYKUYCXJWHUXPUWFVOIXOXGAUXEVULUWEXNZUY
        KUXEAUXRVUOUYBSXPXJUYNVUMVUFUWHXQZVOVHVUIUYNUWGVUPVOUYNUXMUWGVUPXNVUDUW
        GWGWGXRWSXSVUFUWHVOYAXTYBYCUYNVUFWGUHZUXNVUJVUKYLZUYNUXMVUQVUDUWGWGWGYD
        WSVUEVUQVUFULUHUWHULUHVURUXNVUFYEUWHYEVUFUWHUYJYFWNYGXHYHYIYJYKYMYNAUVQ
        UXEMWEUWIUYIUVQUXJUWHEUWHUWJDUOYOEUWJDUOYOYPYGUXFUXNUYGUXKUYFUYHUWHEUUC
        YGAUXHUXIUXJUXKXDYLZUXEAUYOUYGVUSKLDEUWJXFYGWEUUAZVCUCUWJHVDVEUXFUWQHUH
        ZUWRVFZVFZVVAUWQUVPVSZVTWAZUWQGUHUXFVVAUWRUUBVVCUWRUXHVVEUXFVVAUWRXEZUX
        FUXHVVBVUTWEUWJUWQUVPYQYGUXDVVEBUWQHGBUCWRUXCVVDVTUXBUWQUVPWIWJTWKYRVVF
        UUDUUEUWRUWLCUCGGUBUWQUWKUWJUULUUFYGWEUWBUWNUVNUBUWBUWDUWMUVNUWMUWQJVHI
        VHZVIVHZEUOUSZVVHEVJZUWQUWCVHZUHZUCGVMZUWBUWDVFUVNVVLUWLUCCGUCCWRZVVJUW
        JVVKUWKVVNVVIUWIVVHUWHEVVNVVHUWHEUOVVNVVGUWGVIUWQUWEIJUUGXSZUUHVVOUUIUW
        QUWEUWCYSUUJZUUKUWBUWDVVMUVNAUWAUWDVVMVFZUVNAUWAVVQVFZVFZBCDEUVLFGHUEIJ
        UWCUWCXLVPWHUVLUVCWFUUMUUNZEUFUGZVVTVHZUHZUFWHUUOZWGUMUUPZVWDAUYOVVRKWE
        AUYGVVRLWEAUVQVVRMWENAVUNVVROWEAHUXAVLVSUHVVRPWEAUXGVVRQWEAUXQVVRRWEAUX
        RVUOVVRSUUQTAUWAUWDVVMUURVVSVVMUXEUWLAUWAUWDVVMUUSVVLUWLUCUWEGVVPUUTUVD
        AUVTUVMVVQUVAZVVSUVTUVLUVPVSZVTWAZUVLGUHAUVTUVMVVQUVBVVSUVMUVRVWHVWFAUV
        RVVRUVSWEDUVLUVPYQYGUXDVWHBUVLHGBUAWRUXCVWGVTUXBUVLUVPWIWJTWKYRVVTYTVWC
        EUEUGZVVTVHZUHUFUEWHUFUEWRVWBVWJEVWAVWIVVTYSUVEUVFVWEYTUVGUVHYKUVIUVJYM
        YNUVK $.
    $}

    ovolicc2.m $e |- M = { y e. RR* |
        E. f e. ( ( <_ i^i ( RR X. RR ) ) ^m NN )
          ( ( A [,] B ) C_ U. ran ( (,) o. f ) /\
          y = sup ( ran seq 1 ( + , ( ( abs o. - ) o. f ) ) , RR* , < ) ) } $.
    $( The measure of a closed interval is upper bounded by its length.
       (Contributed by Mario Carneiro, 14-Jun-2014.) $)
    ovolicc2 $p |- ( ph -> ( B - A ) <_ ( vol* ` ( A [,] B ) ) ) $=
      ( cxr cfv cle cv wcel cioo wss wceq wa cn vz vv vu vg vt vk cmin clt cinf
      vx co cicc covol wbr wral ccom crn cuni caddc cabs cseq csup cxp cin cmap
      c1 cr wrex elovolm wi cpw cfn simprr ctg unieq sseq2d pweq ineq1d rexeqdv
      imbi12d crest ccmp eqid icccmp syl2anc ctop retop iccssre uniretop cmpsub
      wb sylancr mpbid adantr wf wfn ioof ffn ax-mp dffn3 mpbi simpr elovolmlem
      sylib inss2 rexpssxrxp sstri fss sylancl fco adantrr frnd retopbas sstrdi
      ctb bastg fvex elpw2 sylibr rspcdva mpd simprl simprd simpld elpwid sseld
      wex elin ffnd fvelrnb syl sylibd ralrimiv fveqeq2 ac6sfi c0 crab ad2antrr
      wne expr simprll simprlr simprrl simprrr id eqeq12d rspccva sylan exlimdv
      2fveq3 ovolicc2lem5 rexlimdvaa breq2 syl5ibrcom rexlimdva syl5bi resubcld
      impd ssrab3 rexrd infxrgelb mpbird ovolval breqtrrd ) ADCUGUKZFKUHUIZCDUL
      UKZUMLZMAUVEUVFMUNZUVEUANZMUNZUAFUOZAUVKUAFUVJFOUVGPENZUPZUQZURZQZUVJUSUT
      UGUPUVMUPVFVAZUQKUHVBZRZSZEMVGVGVCZVDZTVEUKZVHAUVKBUVGUVJEFJVIAUWAUVKEUWD
      AUVMUWDOZSZUVQUVTUVKAUWEUVQUVTUVKVJAUWEUVQSZSZUVKUVTUVEUVSMUNZUWHUVGUBNZU
      RQZUBUVOVKZVLVDZVHZUWIUWHUVQUWNAUWEUVQVMUWHUVGUCNZURZQZUWKUBUWOVKZVLVDZVH
      ZVJZUVQUWNVJUCPUQZVNLZVKZUVOUWOUVORZUWQUVQUWTUWNUXEUWPUVPUVGUWOUVOVOVPUXE
      UWKUBUWSUWMUXEUWRUWLVLUWOUVOVQVRVSVTAUXAUCUXDUOZUWGAUXCUVGWAUKZWBOZUXFACV
      GOZDVGOZUXHGHCDUXGUXCUXCWCUXGWCWDWEAUXCWFOUVGVGQZUXHUXFWKWGAUXIUXJUXKGHCD
      WHWEZUVGUXCVGUCUBWIWJWLWMWNUWHUVOUXCQUVOUXDOUWHUVOUXBUXCUWHTUXBUVNAUWETUX
      BUVNWOZUVQUWFKKVCZUXBPWOZTUXNUVMWOZUXMPUXNWPZUXOUXNVGVKZPWOUXQWQUXNUXRPWR
      WSUXNPWTXAUWFTUWCUVMWOZUWCUXNQUXPUWFUWEUXSAUWEXBMUVMXCXDZUWCUWBUXNMUWBXEX
      FXGTUWCUXNUVMXHXITUXNUXBPUVMXJWLZXKXLUXBXOOUXBUXCQXMUXBXOXPWSXNUVOUXCUXBV
      NXQXRXSXTYAAUWEUWNUWIVJUVQUWFUWKUWIUBUWMUWFUWJUWMOZUWKSZSZUWJTUDNZWOZUENZ
      UYELZUVNLZUYGRZUEUWJUOZSZUDYGZUWIUYDUWJVLOZUFNZUVNLUYGRZUFTVHZUEUWJUOUYMU
      YDUWJUWLOZUYNUYDUYBUYRUYNSUWFUYBUWKYBUWJUWLVLYHXDZYCUYDUYQUEUWJUYDUYGUWJO
      UYGUVOOZUYQUYDUWJUVOUYGUYDUWJUVOUYDUYRUYNUYSYDYEYFUYDUVNTWPZUYTUYQWKUWFVU
      AUYCUWFTUXBUVNUYAYIWNUFTUYGUVNYJYKYLYMUYPUYJUEUFUWJTUDUYOUYHUYGUVNYNYOWEU
      YDUYLUWIUDUWFUYCUYLUWIUWFUYCUYLSZSZUCUJCDUVRUWOUVGVDYPYSUCUWJYQZUWJUVMUYE
      AUXIUWEVUBGYRAUXJUWEVUBHYRACDMUNUWEVUBIYRUVRWCUWFUXSVUBUXTWNUWFUYBUWKUYLU
      UAUWFUYBUWKUYLUUBUWFUYCUYFUYKUUCVUCUYKUJNZUWJOVUEUYELUVNLZVUERZUWFUYCUYFU
      YKUUDUYJVUGUEVUEUWJUYGVUERZUYIVUFUYGVUEUYGVUEUVNUYEUUJVUHUUEUUFUUGUUHVUDW
      CUUKYTUUIYAUULXKYAUVJUVSUVEMUUMUUNYTUURUUOUUPYMAFKQUVEKOUVIUVLWKUVQBNUVSR
      SEUWDVHBKFJUUSAUVEADCHGUUQUUTUAFUVEUVAWLUVBAUXKUVHUVFRUXLBUVGEFJUVCYKUVD
      $.
  $}

  ${
    $d f m n y z A $.  $d f m n y z B $.
    $( The measure of a closed interval.  (Contributed by Mario Carneiro,
       14-Jun-2014.) $)
    ovolicc $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) ->
                    ( vol* ` ( A [,] B ) ) = ( B - A ) ) $=
      ( vn vm vy vf vz cr wcel cle co cmin wss cxr cn cv c1 wceq cop ccom covol
      wbr w3a cfv iccssre 3adant3 ovolcl syl simp2 simp1 resubcld rexrd cc0 cif
      cicc cmpt simp3 eqeq1 ifbid cbvmptv ovolicc1 cioo crn cuni caddc cabs clt
      cseq csup cxp cin cmap wrex crab anbi2d rexbidv cbvrabv ovolicc2 xrletrid
      wa ) AHIZBHIZABJUBZUCZABUOKZUAUDZBALKZWDWEHMZWFNIWAWBWHWCABUEUFWEUGUHWDWG
      WDBAWAWBWCUIZWAWBWCUJZUKULWDABCDODPZQRZABSZUMUMSZUNZUPWJWIWAWBWCUQZDCOWOC
      PZQRZWMWNUNWKWQRWLWRWMWNWKWQQURUSUTVAWDEABFWEVBFPZTVCVDMZGPZVEVFLTWSTQVHV
      CNVGVIZRZVTZFJHHVJVKOVLKZVMZGNVNWJWIWPXFWTEPZXBRZVTZFXEVMGENXAXGRZXDXIFXE
      XJXCXHWTXAXGXBURVOVPVQVRVS $.
  $}

  ${
    $d x A $.
    $( The measure of a right-unbounded interval.  (Contributed by Mario
       Carneiro, 14-Jun-2014.) $)
    ovolicopnf $p |- ( A e. RR -> ( vol* ` ( A [,) +oo ) ) = +oo ) $=
      ( vx cr wcel cpnf co covol cfv wceq clt wbr caddc wa cmnf cc0 cle wss cxr
      syl wb cico wn c1 pnfxr icossre mpan2 adantr ovolge0 mnflt0 wi 0xr ovolcl
      mnfxr xrltletr mp3an12i mpani simpr xrrebnd mpbir2and ltp1d peano2re cicc
      cmin simpl readdcld 0red lep1d letrd addge02d mpbid ovolicc syl3anc recnd
      mpd pncand eqtrd cv elicc2 syl2anc biimpa simp1d simp2d elicopnf ad2antrr
      w3a ex ssrdv ovolss eqbrtrrd lensymd pm2.65da nltpnft mpbird ) ACDZAEUAFZ
      GHZEIZWPEJKZUBZWNWRWPWPUCLFZJKWNWRMZWPXAWPCDZNWPJKZWRXAOWPPKZXCXAWOCQZXDW
      NXEWRWNERDXEUDAEUEUFZUGZWOUHSZXANOJKZXDXCUINRDORDXAWPRDZXIXDMXCUJUMUKWNXJ
      WRWNXEXJXFWOULSZUGZNOWPUNUOUPVNWNWRUQXAXJXBXCWRMTXLWPURSUSZUTXAWTWPXAXBWT
      CDXMWPVASZXMXAAWTALFZVBFZGHZWTWPPXAXQXOAVCFZWTXAWNXOCDZAXOPKZXQXRIWNWRVDZ
      XAWTAXNYAVEZXAOWTPKXTXAOWPWTXAVFXMXNXHXAWPXMVGVHXAAWTYAXNVIVJAXOVKVLXAWTA
      XAWTXNVMXAAYAVMVOVPXAXPWOQXEXQWPPKXABXPWOXABVQZXPDZYCWODZXAYDMZYEYCCDZAYC
      PKZYFYGYHYCXOPKZXAYDYGYHYIWEZXAWNXSYDYJTYAYBAXOYCVRVSVTZWAYFYGYHYIYKWBWNY
      EYGYHMTWRYDAYCWCWDUSWFWGXGXPWOWHVSWIWJWKWNXJWQWSTXKWPWLSWM $.
  $}

  $( The measure of the real numbers.  (Contributed by Mario Carneiro,
     14-Jun-2014.) $)
  ovolre $p |- ( vol* ` RR ) = +oo $=
    ( covol cfv cpnf wceq cle wbr cxr wcel wss ssid ovolcl ax-mp pnfge cc0 cico
    cr co 0re ovolicopnf mp2an rge0ssre ovolss eqbrtrri wa wb xrletri3 mpbir2an
    pnfxr ) PABZCDZUICEFZCUIEFZUIGHZUKPPIZUMPJZPKLZUIMLNCOQZABZCUIENPHURCDRNSLU
    QPIUNURUIEFUAUOUQPUBTUCUMCGHUJUKULUDUEUPUHUICUFTUG $.

  ${
    $d x y A $.  $d x B $.
    $( The predicate " ` A ` is Lebesgue-measurable".  A set is measurable if
       it splits every other set ` x ` in a "nice" way, that is, if the measure
       of the pieces ` x i^i A ` and ` x \ A ` sum up to the measure of ` x `
       (assuming that the measure of ` x ` is a real number, so that this
       addition makes sense).  (Contributed by Mario Carneiro, 17-Mar-2014.) $)
    ismbl $p |- ( A e. dom vol <->
                  ( A C_ RR /\ A. x e. ~P RR ( ( vol* ` x ) e. RR ->
      ( vol* ` x ) = ( ( vol* ` ( x i^i A ) ) + ( vol* ` ( x \ A ) ) ) ) ) ) $=
      ( vy cvol cdm wcel cr cv covol cfv cin cdif caddc co wceq wa fveq2d ovolf
      wral wi cpw ccnv cima wss ineq2 difeq2 oveq12d eqeq2d ralbidv crab df-vol
      cab cres dmeqi cc0 cpnf cicc fdmi ineq2i 3eqtri dfrab2 eqtr4i elrab2 reex
      dmres elpw2 wf wfn ffn elpreima mp2b imbi1i impexp bitri ralbii2 anbi12i
      wb ) BDEZFBGUAZFZAHZIJZWABKZIJZWABLZIJZMNZOZAIUBGUCZSZPBGUDZWBGFZWHTZAVSS
      ZPWBWACHZKZIJZWAWOLZIJZMNZOZAWISZWJCBVSVRWOBOZXAWHAWIXCWTWGWBXCWQWDWSWFMX
      CWPWCIWOBWAUEQXCWRWEIWOBWAUFQUGUHUIVRXBCULZVSKZXBCVSUJVRIXDUMZEXDIEZKXEDX
      FCAUKUNIXDVEXGVSXDVSUOUPUQNZIRURUSUTXBCVSVAVBVCVTWKWJWNBGVDVFWHWMAWIVSWAW
      IFZWHTWAVSFZWLPZWHTXJWMTXIXKWHVSXHIVGIVSVHXIXKVQRVSXHIVIVSWAGIVJVKVLXJWLW
      HVMVNVOVPVN $.

    $( From ~ ovolun , it suffices to show that the measure of ` x ` is at
       least the sum of the measures of ` x i^i A ` and ` x \ A ` .
       (Contributed by Mario Carneiro, 15-Jun-2014.) $)
    ismbl2 $p |- ( A e. dom vol <->
                  ( A C_ RR /\ A. x e. ~P RR ( ( vol* ` x ) e. RR ->
     ( ( vol* ` ( x i^i A ) ) + ( vol* ` ( x \ A ) ) ) <_ ( vol* ` x ) ) ) ) $=
      ( cvol cdm wcel cr wss cv covol cfv wi wral wa cle wbr wb sstrid ovolsscl
      mp3an1 adantl cin cdif caddc co wceq cpw ismbl elpwi inundif fveq2i inss1
      cun simprl difss ovolun syl22anc eqbrtrrid readdcld letri3d mpbirand expr
      simprr pm5.74d sylan2 ralbidva pm5.32i bitri ) BCDEBFGZAHZIJZFEZVJVIBUAZI
      JZVIBUBZIJZUCUDZUEZKZAFUFZLZMVHVKVPVJNOZKZAVSLZMABUGVHVTWCVHVRWBAVSVIVSEV
      HVIFGZVRWBPVIFUHVHWDMVKVQWAVHWDVKVQWAPVHWDVKMZMZVQVJVPNOWAWFVJVLVNULZIJZV
      PNWGVIIVIBUIUJWFVLFGVMFEZVNFGVOFEZWHVPNOWFVLVIFVIBUKZVHWDVKUMZQWEWIVHVLVI
      GWDVKWIWKVLVIRSTZWFVNVIFVIBUNZWLQWEWJVHVNVIGWDVKWJWNVNVIRSTZVLVNUOUPUQWFV
      JVPVHWDVKVBWFVMVOWMWOURUSUTVAVCVDVEVFVG $.

    $( A self-referencing abbreviated definition of the Lebesgue measure.
       (Contributed by Mario Carneiro, 19-Mar-2014.) $)
    volres $p |- vol = ( vol* |` dom vol ) $=
      ( vy vx covol cv cfv cin cdif caddc wceq ccnv cima wral cab cres cdm cvol
      co cr resdmres df-vol dmeqi reseq2i 3eqtr4ri ) CCADZCEUDBDZFCEUDUEGCEHQIA
      CJRKLBMZNZOZNUGCPOZNPCUFSUIUHCPUGBATZUAUBUJUC $.

    $( The domain and range of the Lebesgue measure function.  (Contributed by
       Mario Carneiro, 19-Mar-2014.) $)
    volf $p |- vol : dom vol --> ( 0 [,] +oo ) $=
      ( cvol cdm cc0 cpnf cicc co wf cr cpw wss wfun wa covol cres ovolf funres
      cxp ffun mp2b volres funeqi mpbir resss eqsstri fssxp ax-mp sstri funssxp
      pm3.2i mpbi simpli ) ABZCDEFZAGZULHIZJZAKZAUOUMQZJZLUNUPLUQUSUQMULNZKZUOU
      MMGZMKVAOUOUMMRULMPSAUTTUAUBAMURAUTMTMULUCUDVBMURJOUOUMMUEUFUGUIUOUMAUHUJ
      UK $.

    $( The volume of a measurable set is the same as its outer volume.
       (Contributed by Mario Carneiro, 17-Mar-2014.) $)
    mblvol $p |- ( A e. dom vol -> ( vol ` A ) = ( vol* ` A ) ) $=
      ( cvol cdm wcel cfv covol cres volres fveq1i fvres syl5eq ) ABCZDABEAFLGZ
      EAFEABMHIALFJK $.

    $( A measurable set is a subset of the reals.  (Contributed by Mario
       Carneiro, 17-Mar-2014.) $)
    mblss $p |- ( A e. dom vol -> A C_ RR ) $=
      ( vx cvol cdm wcel cr wss cv covol cfv cin cdif caddc co wceq wi cpw wral
      ismbl simplbi ) ACDEAFGBHZIJZFEUBUAAKIJUAALIJMNOPBFQRBAST $.

    $( The defining property of measurability.  (Contributed by Mario Carneiro,
       17-Mar-2014.) $)
    mblsplit $p |- ( ( A e. dom vol /\ B C_ RR /\ ( vol* ` B ) e. RR ) ->
        ( vol* ` B ) = ( ( vol* ` ( B i^i A ) ) + ( vol* ` ( B \ A ) ) ) ) $=
      ( vx cvol cdm wcel cr wss covol cfv cin cdif caddc co wceq cpw reex elpw2
      wi fveq2d cv wral ismbl fveq2 eleq1d ineq1 difeq1 oveq12d eqeq12d imbi12d
      rspccv simplbiim syl5bir 3imp ) ADEFZBGHZBIJZGFZUQBAKZIJZBALZIJZMNZOZUPBG
      PZFZUOURVDSZBGQRUOAGHCUAZIJZGFZVIVHAKZIJZVHALZIJZMNZOZSZCVEUBVFVGSCAUCVQV
      GCBVEVHBOZVJURVPVDVRVIUQGVHBIUDZUEVRVIUQVOVCVSVRVLUTVNVBMVRVKUSIVHBAUFTVR
      VMVAIVHBAUGTUHUIUJUKULUMUN $.
  $}

  $( The Lebesgue measure is monotone with respect to set inclusion.
     (Contributed by Thierry Arnoux, 17-Oct-2017.) $)
  volss $p |- ( ( A e. dom vol /\ B e. dom vol /\ A C_ B )
    -> ( vol ` A ) <_ ( vol ` B ) ) $=
    ( cvol cdm wss w3a covol cfv cle cr wbr simp3 mblss 3ad2ant2 ovolss syl2anc
    wcel wceq mblvol 3ad2ant1 3brtr4d ) ACDZQZBUBQZABEZFZAGHZBGHZACHZBCHZIUFUEB
    JEZUGUHIKUCUDUELUDUCUKUEBMNABOPUCUDUIUGRUEASTUDUCUJUHRUEBSNUA $.

  ${
    $d x y z A $.  $d x y z B $.
    $( The complement of a measurable set is measurable.  (Contributed by Mario
       Carneiro, 18-Mar-2014.) $)
    cmmbl $p |- ( A e. dom vol -> ( RR \ A ) e. dom vol ) $=
      ( vx cvol cdm wcel cr cdif wss covol cfv cin caddc co wceq mp3an1 3adant1
      ovolsscl recnd eqtr3id fveq2d cv wi cpw wral difssd elpwi w3a inss1 difss
      addcomd mblsplit indifcom simp2 sseqin2 sylib difin difeq2d dfin4 eqtr4di
      ssdifssd oveq12d 3eqtr4d 3expia sylan2 ralrimiva ismbl sylanbrc ) ACDZEZF
      AGZFHBUAZIJZFEZVLVKVJKZIJZVKVJGZIJZLMZNZUBZBFUCZUDVJVHEVIFAUEVIVTBWAVKWAE
      VIVKFHZVTVKFUFVIWBVMVSVIWBVMUGZVKAKZIJZVKAGZIJZLMWGWELMVLVRWCWEWGWCWEWBVM
      WEFEZVIWDVKHWBVMWHVKAUHWDVKQOPRWCWGWBVMWGFEZVIWFVKHWBVMWIVKAUIWFVKQOPRUJA
      VKUKWCVOWGVQWELWCVNWFIWCVNFWFKZWFFVKAULWCWFFHWJWFNWCVKFAVIWBVMUMUTWFFUNUO
      SZTWCVPWDIWCVPVKWFGZWDWCVPVKVNGWLVKVJUPWCVNWFVKWKUQSVKAURUSTVAVBVCVDVEBVJ
      VFVG $.

    $( A nullset is measurable.  (Contributed by Mario Carneiro,
       18-Mar-2014.) $)
    nulmbl $p |- ( ( A C_ RR /\ ( vol* ` A ) = 0 ) -> A e. dom vol ) $=
      ( vx cr wss covol cfv cc0 wceq wa cv wcel cin cdif caddc co cle wi mp3an1
      wbr cpw wral cdm simpl elpwi inss2 ovolssnul adantr oveq1d difss ovolsscl
      cvol adantl recnd addid2d eqtrd simprl ovolss sylancr eqbrtrd expr sylan2
      ralrimiva ismbl2 sylanbrc ) ACDZAEFGHZIZVEBJZEFZCKZVHALZEFZVHAMZEFZNOZVIP
      SZQZBCTZUAAUKUBKVEVFUCVGVQBVRVHVRKVGVHCDZVQVHCUDVGVSVJVPVGVSVJIZIZVOVNVIP
      WAVOGVNNOVNWAVLGVNNVGVLGHZVTVKADVEVFWBVHAUEVKAUFRUGUHWAVNWAVNVTVNCKZVGVMV
      HDZVSVJWCVHAUIZVMVHUJRULUMUNUOWAWDVSVNVIPSWEVGVSVJUPVMVHUQURUSUTVAVBBAVCV
      D $.

    $( A set of outer measure zero is measurable.  The term "outer measure
       zero" here is slightly different from "nullset/negligible set"; a
       nullset has ` vol* ( A ) = 0 ` while "outer measure zero" means that for
       any ` x ` there is a ` y ` containing ` A ` with volume less than
       ` x ` .  Assuming AC, these notions are equivalent (because the
       intersection of all such ` y ` is a nullset) but in ZF this is a
       strictly weaker notion.  Proposition 563Gb of [Fremlin5] p. 193.
       (Contributed by Mario Carneiro, 19-Mar-2015.) $)
    nulmbl2 $p |- ( A. x e. RR+ E. y e. dom vol ( A C_ y /\ ( vol* ` y ) <_ x )
      -> A e. dom vol ) $=
      ( vz wss covol cfv cle wbr wa crp cr wcel cdif caddc co ovolsscl ad2antrr
      syl3anc cun cv cvol cdm wrex wral cin wi cpw c0 wne 1rp ne0ii r19.2z mpan
      c1 simprl mblss adantr sstrd rexlimiva rexlimivw inss1 elpwi simpr difssd
      syl mp3an2i readdcld adantl rpre ad2antlr simprrr ovollecl simprrl sstrid
      sslin ovolss syl2anc ssdifssd unssd ovolun syl22anc ssun1 undif1 sseqtrri
      ssdif ax-mp difundir sseqtri difun1 wceq ssequn2 difeq2d eqtr3id sseqtrid
      sylib uneq1d letrd le2addd mblsplit oveq1d recnd addassd breqtrrd sylancr
      eqtrd difss leadd2dd rexlimdvaa ralimdva impcom cxr rexrd simprr xralrple
      wb mpbird expr ralrimiva ismbl2 sylanbrc ) CBUAZEZYBFGZAUAZHIZJZBUBUCZUDZ
      AKUEZCLEZDUAZFGZLMZYLCUFZFGZYLCNZFGZOPZYMHIZUGZDLUHZUECYHMYJYIAKUDZYKKUIU
      JYJUUCUOKUKULYIAKUMUNYIYKAKYGYKBYHYBYHMZYGJZCYBLUUDYCYFUPUUDYBLEZYGYBUQUR
      ZUSUTVAVFYJUUADUUBYJYLUUBMZYNYTYJUUHYNJZJZYTYSYMYEOPZHIZAKUEZUUIYJUUMUUIY
      IUULAKUUIYEKMZJZYGUULBYHUUOUUEJZYSYMYBCNZFGZOPZUUKUUIYSLMZUUNUUEUUIYPYRYO
      YLEUUIYLLEZYNYPLMZYLCVBUUHUVAYNYLLVCURZUUHYNVDZYOYLQVGZUUIYQYLEUVAYNYRLMZ
      UUIYLCVEUVCUVDYQYLQSZVHZRUUPYMUURUUIYNUUNUUEUVDRZUUPUUQYBEZUUFYDLMZUURLMZ
      UUPYBCVEUUEUUFUUOUUGVIZUUPUUFYELMZYFUVKUVMUUNUVNUUIUUEYEVJVKZUUOUUDYCYFVL
      ZYBYEVMSZUUQYBQSZVHUUPYMYEUVIUVOVHUUPYSYLYBUFZFGZYLYBNZFGZUUROPZOPZUUSHUU
      PYPYRUVTUWCUUIUVBUUNUUEUVERUUIUVFUUNUUEUVGRZUVSYLEUUPUVAYNUVTLMYLYBVBZUUI
      UVAUUNUUEUVCRZUVIUVSYLQVGZUUPUWBUURUUPUWAYLEUVAYNUWBLMZUUPYLYBVEUWGUVIUWA
      YLQSZUVRVHZUUPYOUVSEZUVSLEYPUVTHIUUPYCUWLUUOUUDYCYFVNZCYBYLVPVFUUPUVSYLLU
      WFUWGVOYOUVSVQVRUUPYRUWAUUQTZFGZUWCUWEUUPUWNLEZUWCLMUWOUWCHIZUWOLMUUPUWAU
      UQLUUPYLLYBUWGVSZUUPYBLCUVMVSZVTZUWKUUPUWALEUWIUUQLEUVLUWQUWRUWJUWSUVRUWA
      UUQWAWBZUWNUWCVMSUWKUUPYQUWNEUWPYRUWOHIUUPUWACNZUUQTZYQUWNYQUWAYBTZCNZUXC
      YLUXDEYQUXEEYLYLYBTUXDYLYBWCYLYBWDWEYLUXDCWFWGUWAYBCWHWIUUPUXBUWAUUQUUPUX
      BYLYBCTZNUWAYLYBCWJUUPUXFYBYLUUPYCUXFYBWKUWMCYBWLWPWMWNWQWOUWTYQUWNVQVRUX
      AWRWSUUPUUSUVTUWBOPZUUROPUWDUUPYMUXGUUROUUPUUDUVAYNYMUXGWKUUOUUDYGUPUWGUV
      IYBYLWTSXAUUPUVTUWBUURUUPUVTUWHXBUUPUWBUWJXBUUPUURUVRXBXCXFXDUUPUURYEYMUV
      RUVOUVIUUPUURYDYEUVRUVQUVOUUPUVJUUFUURYDHIYBCXGUVMUUQYBVQXEUVPWRXHWRXIXJX
      KUUJYSXLMYNYTUUMXPUUJYSUUIUUTYJUVHVIXMYJUUHYNXNAYSYMXOVRXQXRXSDCXTYA $.

    $( A union of measurable sets is measurable.  (Contributed by Mario
       Carneiro, 18-Mar-2014.) $)
    unmbl $p |- ( ( A e. dom vol /\ B e. dom vol ) ->
                  ( A u. B ) e. dom vol ) $=
      ( vx wcel wa cun cr wss covol cfv cin cdif caddc co inss1 ovolsscl mp3an1
      cle adantl sstrid cvol cdm cv wbr cpw wral mblss anim12i unss sylib elpwi
      wi difss simprl mp3an2i readdcld incom indifcom uneq2i indi undif2 ineq2i
      3eqtr2ri fveq2i ovolun syl22anc eqbrtrid leadd1dd simplr mblsplit syl3anc
      eqtri difun1 oveq2i eqtr4di oveq2d simpll simprr addassd 3eqtr4d breqtrrd
      wceq recnd expr sylan2 ralrimiva ismbl2 sylanbrc ) AUAUBZDZBWIDZEZABFZGHZ
      CUCZIJZGDZWOWMKZIJZWOWMLZIJZMNZWPRUDZULZCGUEZUFWMWIDWLAGHZBGHZEWNWJXFWKXG
      AUGBUGUHABGUIUJWLXDCXEWOXEDWLWOGHZXDWOGUKWLXHWQXCWLXHWQEZEZXBWOAKZIJZWOAL
      ZBKZIJZMNZXAMNZWPRXJWSXPXAXIWSGDZWLWRWOHXHWQXRWOWMOWRWOPQSXJXLXOXIXLGDZWL
      XKWOHXHWQXSWOAOZXKWOPQSZXNXMHXJXMGHZXMIJZGDZXOGDZXMBOZXJXMWOGWOAUMZWLXHWQ
      UNZTZXIYDWLXMWOHXHWQYDYGXMWOPQSZXNXMPUOZUPXIXAGDZWLWTWOHXHWQYLWOWMUMWTWOP
      QSZXJWSXKXNFZIJZXPRWRYNIYNXKWOBALZKZFWOAYPFZKWRXNYQXKXNBXMKYQXMBUQBWOAURV
      LUSWOAYPUTYRWMWOABVAVBVCVDXJXKGHXSXNGHYEYOXPRUDXJXKWOGXTYHTYAXJXNXMGYFYIT
      YKXKXNVEVFVGVHXJXLYCMNZXLXOXAMNZMNWPXQXJYCYTXLMXJYCXOXMBLZIJZMNZYTXJWKYBY
      DYCUUCWBWJWKXIVIYIYJBXMVJVKXAUUBXOMWTUUAIWOABVMVDVNVOVPXJWJXHWQWPYSWBWJWK
      XIVQYHWLXHWQVRAWOVJVKXJXLXOXAXJXLYAWCXJXOYKWCXJXAYMWCVSVTWAWDWEWFCWMWGWH
      $.

    $( A shift of a measurable set is measurable.  (Contributed by Mario
       Carneiro, 22-Mar-2014.) $)
    shftmbl $p |- ( ( A e. dom vol /\ B e. RR ) ->
                  { x e. RR | ( x - B ) e. A } e. dom vol ) $=
      ( vy vz wcel cr wa cv cmin co crab wss covol cfv cdif caddc wceq ovolshft
      cin cvol cdm cpw wral ssrab2 a1i elpwi cneg simpll simprl simplr renegcld
      wi eqidd simprr eqeltrrd mblsplit syl3anc inss1 sstrid mblss syl shft2rab
      ineq2d inrab elin rabbii eqtr4i eqtrdi ssdifssd difeq2d wn difrab oveq12d
      eldif 3eqtr4d expr sylan2 ralrimiva ismbl sylanbrc ) BUAUBZFZCGFZHZAICJKB
      FZAGLZGMZDIZNOZGFZWJWIWGTZNOZWIWGPZNOZQKZRZUMZDGUCZUDWGWBFWHWEWFAGUEUFWEW
      RDWSWIWSFWEWIGMZWRWIGUGWEWTWKWQWEWTWKHZHZEICUHZJKZWIFZEGLZNOZXFBTZNOZXFBP
      ZNOZQKZWJWPXBWCXFGMZXGGFXGXLRWCWDXAUIZXMXBXEEGUEUFXBWJXGGXBEWIXFXCWEWTWKU
      JZXBCWCWDXAUKZULZXBXFUNSZWEWTWKUOUPBXFUQURXRXBWMXIWOXKQXBEWLXHXCXBWLWIGWI
      WGUSXOUTXQXBXHXFXDWGFZEGLZTZXDWLFZEGLZXBBXTXFXBAEBWGCXBWCBGMXNBVAVBXPXBWG
      UNVCZVDYAXEXSHZEGLYCXEXSEGVEYBYEEGXDWIWGVFVGVHVISXBEWNXJXCXBWIGWGXOVJXQXB
      XJXFXTPZXDWNFZEGLZXBBXTXFYDVKYFXEXSVLHZEGLYHXEXSEGVMYGYIEGXDWIWGVOVGVHVIS
      VNVPVQVRVSDWGVTWA $.
  $}

  $( The empty set is measurable.  (Contributed by Mario Carneiro,
     18-Mar-2014.) $)
  0mbl $p |- (/) e. dom vol $=
    ( c0 cr wss covol cfv cc0 wceq cvol cdm wcel 0ss ovol0 nulmbl mp2an ) ABCAD
    EFGAHIJBKLAMN $.

  $( The set of all real numbers is measurable.  (Contributed by Mario
     Carneiro, 18-Mar-2014.) $)
  rembl $p |- RR e. dom vol $=
    ( cr c0 cdif cvol cdm dif0 wcel 0mbl cmmbl ax-mp eqeltrri ) ABCZADEZAFBMGLM
    GHBIJK $.

  $( The union of the Lebesgue measurable sets is ` RR ` .  (Contributed by
     Thierry Arnoux, 30-Jan-2017.) $)
  unidmvol $p |- U. dom vol = RR $=
    ( vx cvol cdm cuni cr wcel wceq cv unissb mblss mprgbir rembl unissel mp2an
    wss ) BCZDZEOZEPFQEGRAHZEOAPAPEISJKLPEMN $.

  $( An intersection of measurable sets is measurable.  (Contributed by Mario
     Carneiro, 18-Mar-2014.) $)
  inmbl $p |- ( ( A e. dom vol /\ B e. dom vol ) -> ( A i^i B ) e. dom vol ) $=
    ( cvol cdm wcel wa cr cdif cun cin difundi wceq mblss dfss4 sylib ineqan12d
    wss syl5eq cmmbl unmbl syl2an syl eqeltrrd ) ACDZEZBUDEZFZGGAHZGBHZIZHZABJZ
    UDUGUKGUHHZGUIHZJULGUHUIKUEUFUMAUNBUEAGQUMALAMAGNOUFBGQUNBLBMBGNOPRUGUJUDEZ
    UKUDEUEUHUDEUIUDEUOUFASBSUHUITUAUJSUBUC $.

  $( A difference of measurable sets is measurable.  (Contributed by Mario
     Carneiro, 18-Mar-2014.) $)
  difmbl $p |- ( ( A e. dom vol /\ B e. dom vol ) -> ( A \ B ) e. dom vol ) $=
    ( cvol cdm wcel wa cr cdif cin wceq indif2 mblss df-ss sylib difeq1d syl5eq
    wss adantr cmmbl inmbl sylan2 eqeltrrd ) ACDZEZBUCEZFAGBHZIZABHZUCUDUGUHJUE
    UDUGAGIZBHUHAGBKUDUIABUDAGQUIAJALAGMNOPRUEUDUFUCEUGUCEBSAUFTUAUB $.

  ${
    $d k x y z A $.  $d x y z B $.
    $( A finite union of measurable sets is measurable.  (Contributed by Mario
       Carneiro, 20-Mar-2014.) $)
    finiunmbl $p |- ( ( A e. Fin /\ A. k e. A B e. dom vol ) ->
                      U_ k e. A B e. dom vol ) $=
      ( vy vx vz cfn wcel wral ciun cv wi c0 cun wceq iuneq1 eleq1d imbi12d weq
      raleq cvol cdm csn 0iun 0mbl eqeltri a1i wss ssun1 ssralv ax-mp imim1i wa
      ssun2 iunxun csb vex csbeq1 ralsn nfv nfcsb1v csbeq1a cbvralw nfcv cbviun
      nfel1 iunxsn eqtri eleq1i 3bitr4i unmbl sylan2b eqeltrid expcom findcard2
      syl sylcom imp ) AGHBUAUBZHZCAIZCABJZVSHZVTCDKZIZCWDBJZVSHZLVTCMIZCMBJZVS
      HZLVTCEKZIZCWKBJZVSHZLZVTCWKFKZUCZNZIZCWRBJZVSHZLZWAWCLDEFAWDMOZWEWHWGWJV
      TCWDMTXCWFWIVSCWDMBPQRDESZWEWLWGWNVTCWDWKTXDWFWMVSCWDWKBPQRWDWROZWEWSWGXA
      VTCWDWRTXEWFWTVSCWDWRBPQRWDAOZWEWAWGWCVTCWDATXFWFWBVSCWDABPQRWJWHWIMVSCBU
      DUEUFUGWOXBLWKGHWOWSWNXAWSWLWNWKWRUHWSWLLWKWQUIVTCWKWRUJUKULWSVTCWQIZWNXA
      LWQWRUHWSXGLWQWKUNVTCWQWRUJUKWNXGXAWNXGUMWTWMCWQBJZNZVSCWKWQBUOXGWNXHVSHZ
      XIVSHCWKBUPZVSHZEWQICWPBUPZVSHZXGXJXLXNEWPFUQZEFSXKXMVSCWKWPBURZQUSVTXLCE
      WQVTEUTCXKVSCWKBVAZVFCESBXKVSCWKBVBZQVCXHXMVSXHEWQXKJXMCEWQBXKEBVDXQXRVEE
      WPXKXMXOXPVGVHVIVJWMXHVKVLVMVNVPVQUGVOVR $.
  $}

  $( The Lebesgue measure function is finitely additive.  (Contributed by Mario
     Carneiro, 18-Mar-2014.) $)
  volun $p |- ( ( ( A e. dom vol /\ B e. dom vol /\ ( A i^i B ) = (/) ) /\
                  ( ( vol ` A ) e. RR /\ ( vol ` B ) e. RR ) ) ->
                ( vol ` ( A u. B ) ) = ( ( vol ` A ) + ( vol ` B ) ) ) $=
    ( cvol wcel cin c0 wceq cfv cr wa cun caddc covol cdif wss mblss syl mblvol
    co eqtri cdm w3a simpl1 simpl2 unssd cle wbr readdcl adantl simprl syl22anc
    simprr ovolun ovollecl syl3anc mblsplit indir inidm incom uneq12i unabs a1i
    simpl3 fveq2d uncom difeq1i difun2 eqeq1i disj3 eqtr4id oveq12d eqtrd ex wb
    sylbb1 eleq1d bi2anan9 3adant3 unmbl oveqan12d eqeq12d 3imtr4d imp ) ACUAZD
    ZBWDDZABEZFGZUBZACHZIDZBCHZIDZJZABKZCHZWJWLLSZGZWIAMHZIDZBMHZIDZJZWOMHZWSXA
    LSZGZWNWRWIXCXFWIXCJZXDWOAEZMHZWOANZMHZLSZXEXGWEWOIOZXDIDZXDXLGWEWFWHXCUCZX
    GABIXGWEAIOZXOAPQZXGWFBIOZWEWFWHXCUDBPQZUEZXGXMXEIDZXDXEUFUGZXNXTXCYAWIWSXA
    UHUIXGXPWTXRXBYBXQWIWTXBUJXSWIWTXBULABUMUKWOXEUNUOAWOUPUOXGWHXLXEGWEWFWHXCV
    CWHXIWSXKXALWHXHAMXHAGWHXHAAEZBAEZKZAABAUQYEAWGKAYCAYDWGAURBAUSZUTABVATTVBV
    DWHXJBMWHXJBANZBXJBAKZANYGWOYHAABVEVFBAVGTYDFGWHBYGGYDWGFYFVHBAVIVOVJVDVKQV
    LVMWEWFWNXCVNWHWEWKWTWFWMXBWEWJWSIARZVPWFWLXAIBRZVPVQVRWEWFWRXFVNWHWEWFJZWP
    XDWQXEYKWOWDDWPXDGABVSWORQWEWFWJWSWLXALYIYJVTWAVRWBWC $.

  $( Addition of non-disjoint sets.  (Contributed by Mario Carneiro,
     25-Mar-2015.) $)
  volinun $p |- ( ( ( A e. dom vol /\ B e. dom vol ) /\
                  ( ( vol ` A ) e. RR /\ ( vol ` B ) e. RR ) ) ->
    ( ( vol ` A ) + ( vol ` B ) ) =
      ( ( vol ` ( A i^i B ) ) + ( vol ` ( A u. B ) ) ) ) $=
    ( cvol wcel wa cfv cr caddc co cin cdif cun fveq2i c0 wceq a1i covol mblvol
    wss recnd cdm inundif inmbl adantr difmbl difin0 ineq2i in0 eqtri syl inss1
    indifcom ad2antrr simprl eqeltrrd ovolsscl syl3anc eqeltrd syl32anc eqtr3id
    difssd oveq1d simprr addassd simplr disjdifr undif1 eqtr3di oveq2d 3eqtrd
    mblss volun ) ACUAZDZBVMDZEZACFZGDZBCFZGDZEZEZVQVSHIABJZCFZABKZCFZHIZVSHIWD
    WFVSHIZHIWDABLZCFZHIWBVQWGVSHWBVQWCWELZCFZWGWKACABUBMWBWCVMDZWEVMDZWCWEJZNO
    ZWDGDWFGDZWLWGOVPWMWAABUCUDZVPWNWAABUEUDZWPWBWOAWCBKZJZNWCABULXAANJNWTNAABU
    FUGAUHUIUIPWBWDWCQFZGWBWMWDXBOWRWCRUJWBWCASZAGSZAQFZGDZXBGDXCWBABUKPVNXDVOW
    AAVKUMZWBVQXEGVNVQXEOVOWAARUMVPVRVTUNUOZWCAUPUQURZWBWFWEQFZGWBWNWFXJOWSWERU
    JWBWEASXDXFXJGDWBABVAXGXHWEAUPUQURZWCWEVLUSUTVBWBWDWFVSWBWDXITWBWFXKTWBVSVP
    VRVTVCZTVDWBWHWJWDHWBWEBLZCFZWHWJWBWNVOWEBJNOZWQVTXNWHOWSVNVOWAVEXOWBBAVFPX
    KXLWEBVLUSXMWICABVGMVHVIVJ $.

  ${
    $d k m n w y z A $.  $d m n w y z B $.
    $( The volume of a disjoint finite union of measurable sets is the sum of
       the measures.  (Contributed by Mario Carneiro, 25-Jun-2014.)  (Revised
       by Mario Carneiro, 11-Dec-2016.) $)
    volfiniun $p |- ( ( A e. Fin /\
                        A. k e. A ( B e. dom vol /\ ( vol ` B ) e. RR ) /\
                        Disj_ k e. A B ) ->
                      ( vol ` U_ k e. A B ) = sum_ k e. A ( vol ` B ) ) $=
      ( vz vm wcel cvol cfv cr wa wral wdisj ciun csu wceq wi c0 anbi12d fveq2d
      syl vw vy vn cfn cdm cv csn cun disjeq1 iuneq1 sumeq1 eqeq12d imbi12d weq
      raleq cc0 covol 0mbl mblvol ax-mp ovol0 eqtri 0iun fveq2i sum0 3eqtr4i wn
      a1i wss ssun1 ssralv disjss1 anim12i imim1i csb caddc co oveq1 iunxun vex
      csbeq1 iunxsn uneq2i cin nfcv nfcsb1v csbeq1a cbviun simpll simprl ralimi
      simpl mpsyl finiunmbl eqeltrrid ssun2 vsnid sselii nfel1 nffv nfan eleq1d
      syl2anc rspc simpld simplr elin wrex eliun w3a simplrr sylib simpr1 elun1
      cbvdisj simpr2 simpr3 disji syl122anc eqeltrrd 3exp2 rexlimdv syl5bi impd
      mtod eq0rdv cle wbr cbvralw r19.21bi mblss sylan2 ralrimiva sylibr simprd
      nfv recnd cvv cbvsumi eqeq12i iunss biimpa fsumrecl adantr jca ovolfiniun
      ovollecl syl3anc eqeltrd volun syl32anc syl5eq disjsn snfi unfi fsumsplit
      eqidd sylancl cc sumsn sylancr oveq2d eqtrd syl5ibr 3imtr4g ex findcard2s
      a2d syl5 3impib ) AUDFBGUEZFZBGHZIFZJZCAKZCABLZCABMZGHZAUVMCNZOZUVOCUAUFZ
      KZCUWBBLZJZCUWBBMZGHZUWBUVMCNZOZPUVOCQKZCQBLZJZCQBMZGHZQUVMCNZOZPUVOCUBUF
      ZKZCUWQBLZJZCUWQBMZGHZUWQUVMCNZOZPZUVOCUWQDUFZUGZUHZKZCUXHBLZJZCUXHBMZGHZ
      UXHUVMCNZOZPZUVPUVQJZUWAPUAUBDAUWBQOZUWEUWLUWIUWPUXRUWCUWJUWDUWKUVOCUWBQU
      OCUWBQBUIRUXRUWGUWNUWHUWOUXRUWFUWMGCUWBQBUJSUWBQUVMCUKULUMUAUBUNZUWEUWTUW
      IUXDUXSUWCUWRUWDUWSUVOCUWBUWQUOCUWBUWQBUIRUXSUWGUXBUWHUXCUXSUWFUXAGCUWBUW
      QBUJSUWBUWQUVMCUKULUMUWBUXHOZUWEUXKUWIUXOUXTUWCUXIUWDUXJUVOCUWBUXHUOCUWBU
      XHBUIRUXTUWGUXMUWHUXNUXTUWFUXLGCUWBUXHBUJSUWBUXHUVMCUKULUMUWBAOZUWEUXQUWI
      UWAUYAUWCUVPUWDUVQUVOCUWBAUOCUWBABUIRUYAUWGUVSUWHUVTUYAUWFUVRGCUWBABUJSUW
      BAUVMCUKULUMUWPUWLQGHZUPUWNUWOUYBQUQHZUPQUVKFUYBUYCOURQUSUTVAVBUWMQGCBVCV
      DUVMCVEVFVHUXEUXKUXDPUWQUDFZUXFUWQFZVGZJZUXPUXKUWTUXDUXIUWRUXJUWSUWQUXHVI
      ZUXIUWRPUWQUXGVJZUVOCUWQUXHVKUTUYHUXJUWSPUYICUWQUXHBVLUTVMVNUYGUXKUXDUXOU
      YGUXKUXDUXOPUYGUXKJZEUWQCEUFZBVOZMZGHZUWQUYLGHZENZOZEUXHUYLMZGHZUXHUYOENZ
      OZUXDUXOUYQVUAUYJUYNCUXFBVOZGHZVPVQZUYPVUCVPVQZOUYNUYPVUCVPVRUYJUYSVUDUYT
      VUEUYJUYSUYMVUBUHZGHZVUDUYRVUFGUYRUYMEUXGUYLMZUHVUFEUWQUXGUYLVSVUHVUBUYME
      UXFUYLVUBDVTZCUYKUXFBWAZWBWCVBVDUYJUYMUVKFZVUBUVKFZUYMVUBWDZQOUYNIFVUCIFZ
      VUGVUDOUYJUYMUXAUVKCEUWQBUYLEBWEZCUYKBWFZCUYKBWGZWHZUYJUYDUVLCUWQKZUXAUVK
      FUYDUYFUXKWIZUYHUYJUVLCUXHKZVUSUYIUYJUXIVVAUYGUXIUXJWJZUVOUVLCUXHUVLUVNWL
      WKTUVLCUWQUXHVKWMUWQBCWNXCWOZUYJVULVUNUXFUXHFZUYJUXIVULVUNJZUXGUXHUXFUXGU
      WQWPDWQWRZVVBUVOVVECUXFUXHVULVUNCCVUBUVKCUXFBWFZWSCVUCICVUBGCGWEZVVGWTWSX
      ACDUNZUVLVULUVNVUNVVIBVUBUVKCUXFBWGZXBVVIUVMVUCIVVIBVUBGVVJSXBRXDWMZXEUYJ
      UAVUMUYJUWBVUMFZUYEUYDUYFUXKXFZVVLUWBUYMFZUWBVUBFZJUYJUYEUWBUYMVUBXGUYJVV
      NVVOUYEVVNUWBUYLFZEUWQXHUYJVVOUYEPZEUWBUWQUYLXIUYJVVPVVQEUWQUYJUYKUWQFZVV
      PVVOUYEUYJVVRVVPVVOXJZJZUYKUXFUWQVVTUCUXHCUCUFZBVOZLZUYKUXHFZVVDVVPVVOEDU
      NZVVTUXJVWCUYGUXIUXJVVSXKCUCUXHBVWBUCBWECVWABWFCVWABWGXOXLVVTVVRVWDUYJVVR
      VVPVVOXMZUYKUWQUXGXNZTVVDVVTVVFVHUYJVVRVVPVVOXPUYJVVRVVPVVOXQUCUXHVWBUYLV
      UBUYKUXFUWBCVWAUYKBWACVWAUXFBWAXRXSVWFXTYAYBYCYDYCYEYFUYJUYNUYMUQHZIUYJVU
      KUYNVWHOVVCUYMUSTUYJUYMIVIZUWQUYLUQHZENZIFVWHVWKYGYHZVWHIFUYJUYLIVIZEUWQK
      VWIUYJVWMEUWQVVRUYJVWDVWMVWGUYJVWDJZUYLUVKFZVWMVWNVWOUYOIFZUYJVWOVWPJZEUX
      HUYJUXIVWQEUXHKZVVBUVOVWQCEUXHUVOEYPVWOVWPCCUYLUVKVUPWSCUYOICUYLGVVHVUPWT
      ZWSXACEUNZUVLVWOUVNVWPVWTBUYLUVKVUQXBVWTUVMUYOIVWTBUYLGVUQSZXBRYIXLZYJZXE
      UYLYKZTYLYMEUWQUYLIUUAYNUYJUWQVWJEVUTVVRUYJVWDVWJIFZVWGVWNVWQVXEVXCVWOVWP
      VXEVWOUYOVWJIUYLUSXBUUBZTYLUUCUYJUYDVWMVXEJZEUWQKZVWLVUTUYHUYJVXGEUXHKZVX
      HUYIUYJVWRVXIVXBVWQVXGEUXHVWQVWMVXEVWOVWMVWPVXDUUDVXFUUEWKTVXGEUWQUXHVKWM
      UWQUYLEUUFXCUYMVWKUUGUUHUUIUYJVULVUNVVKYOZUYMVUBUUJUUKUULUYJUYTUYPUXGUYOE
      NZVPVQVUEUYJUWQUXGUYOUXHEUYJUYFUWQUXGWDQOVVMUWQUXFUUMYNUYJUXHUUQUYJUYDUXG
      UDFUXHUDFVUTUXFUUNUWQUXGUUOUURVWNUYOVWNVWOVWPVXCYOYQUUPUYJVXKVUCUYPVPUYJU
      XFYRFVUCUUSFVXKVUCOVUIUYJVUCVXJYQUYOVUCEUXFYRVWEUYLVUBGVUJSUUTUVAUVBUVCUL
      UVDUXBUYNUXCUYPUXAUYMGVURVDUWQUVMUYOCEEUVMWEZVWSVXAYSYTUXMUYSUXNUYTUXLUYR
      GCEUXHBUYLVUOVUPVUQWHVDUXHUVMUYOCEVXLVWSVXAYSYTUVEUVFUVHUVIUVGUVJ $.
  $}

  ${
    $d a b k n x y $.  $d a b k m x y A $.  $d a b m n x y B $.
    iundisj.1 $e |- ( n = k -> A = B ) $.
    $( Rewrite a countable union as a disjoint union.  (Contributed by Mario
       Carneiro, 20-Mar-2014.) $)
    iundisj $p |- U_ n e. NN A = U_ n e. NN ( A \ U_ k e. ( 1 ..^ n ) B ) $=
      ( vx vm cn ciun c1 cv cfzo co wcel wrex cr clt nfcv wceq eleq2d cdif crab
      csb cinf wa cuz cfv wss wne ssrab2 nnuz sseqtri biimpri infssuzcl sylancr
      c0 rabn0 nfrab1 nfinf nfcsb1 nfcri csbeq1a elrabf sylib simpld simprd wbr
      nnred ltnrd eliun ad2antrr elfzouz eleqtrrdi ad2antlr cle simpr infssuzle
      elrabd elfzolt2 lelttrd rexlimdva2 syl5bi mtod eldifd csbeq1 oveq2 rspcev
      iuneq1d difeq12d syl2anc nfv nfcsb1v cbvrexw sylibr eldifi reximi 3bitr4i
      nfdif impbii eqriv ) FDHAIZDHACJDKZLMZBIZUAZIZFKZANZDHOZXGXENZDHOZXGXANXG
      XFNXIXKXIXGDGKZAUCZCJXLLMZBIZUAZNZGHOZXKXIXHDHUBZPQUDZHNZXGDXTAUCZCJXTLMZ
      BIZUAZNZXRXIYAXGYBNZXIXTXSNZYAYGUEXIXSJUFUGZUHZXSUPUIZYHXSHYIXHDHUJUKULZY
      KXIXHDHUQUMXSJUNUOXHYGDXTHDXSPQXHDHURDPRDQRUSZDHRDFYBDXTAYMUTVAXBXTSAYBXG
      DXTAVBTVCVDZVEZXIXGYBYDXIYAYGYNVFXIXGYDNZXTXTQVGZXIXTXIXTYOVHZVIYPXGBNZCY
      COXIYQCXGYCBVJXIYSYQCYCXICKZYCNZUEZYSUEZXTYTXTXIXTPNUUAYSYRVKZUUCYTUUAYTH
      NXIYSUUAYTYIHYTJXTVLUKVMVNZVHUUDUUCYJYTXSNXTYTVOVGYLUUCXHYSDYTHXBYTSABXGE
      TUUEUUBYSVPVRYTXSJVQUOUUAYTXTQVGXIYSYTJXTVSVNVTWAWBWCWDXQYFGXTHXLXTSZXPYE
      XGUUFXMYBXOYDDXLXTAWEUUFCXNYCBXLXTJLWFWHWITWGWJXJXQDGHXJGWKDFXPDXMXODXLAW
      LDXORWRVAXBXLSZXEXPXGUUGAXMXDXODXLAVBUUGCXCXNBXBXLJLWFWHWITWMWNXJXHDHXGAX
      DWOWPWSDXGHAVJDXGHXEVJWQWT $.

    $( A disjoint union is disjoint.  (Contributed by Mario Carneiro,
       4-Jul-2014.)  (Revised by Mario Carneiro, 11-Dec-2016.) $)
    iundisj2 $p |- Disj_ n e. NN ( A \ U_ k e. ( 1 ..^ n ) B ) $=
      ( vx vy va vb cn c1 cv cfzo weq csb cin c0 wceq wtru wcel ciun cdif wdisj
      co wo wral tru eqeq12 csbeq1 ineqan12d eqeq1d orbi12d equcom bitrdi incom
      wa eqtrdi cr wss nnssre a1i biidd cle wbr w3a wn wne nesym clt wb nnre id
      leltne syl3an wi nfcsb1v nfcv nfdif csbeq1a oveq2 iuneq1d difeq12d csbief
      vex ineq12i cuz cfv simp1 nnuz eleqtrdi simp2 nnzd simp3 elfzo2 syl3anbrc
      csbhypf equcoms eqcomd ssiun2s syl ssdifssd ssrind eqsstrid disjdif sseq0
      cz sylancl 3expia 3adant3 sylbird syl5bir orrd adantl wlogle mpan disjors
      rgen2 mpbir ) DJACKDLZMUDZBUAZUBZUCFGNZDFLZYBOZDGLZYBOZPZQRZUEZGJUFFJUFYJ
      FGJJSYDJTZYFJTZUPZYJUGSHINZDHLZYBOZDILZYBOZPZQRZUEYJYJFGHIJHFNZIGNZUPZYNY
      CYTYIYOYDYQYFUHUUCYSYHQUUAUUBYPYEYRYGDYOYDYBUIDYQYFYBUIUJUKULHGNZIFNZUPZY
      NYCYTYIUUFYNGFNYCYOYFYQYDUHGFUMUNUUFYSYHQUUFYSYGYEPYHUUDUUEYPYGYRYEDYOYFY
      BUIDYQYDYBUIUJYGYEUOUQUKULJURUSSUTVASYMUPYJVBYKYLYDYFVCVDZVEZYJSUUHYCYIYC
      VFYFYDVGZUUHYIYFYDVHUUHUUIYDYFVIVDZYIYKYDURTYLYFURTUUGUUGUUJUUIVJYDVKYFVK
      UUGVLYDYFVMVNYKYLUUJYIVOUUGYKYLUUJYIYKYLUUJVEZYHCKYFMUDZBUAZDYFAOZUUMUBZP
      ZUSUUPQRYIUUKYHDYDAOZCKYDMUDZBUAZUBZUUOPUUPYEUUTYGUUODYDYBUUTFWDDUUQUUSDY
      DAVPDUUSVQVRDFNZAUUQYAUUSDYDAVSUVACXTUURBXSYDKMVTWAWBWCDYFYBUUOGWDDUUNUUM
      DYFAVPDUUMVQVRDGNZAUUNYAUUMDYFAVSUVBCXTUULBXSYFKMVTWAWBWCWEUUKUUTUUMUUOUU
      KUUQUUMUUSUUKYDUULTZUUQUUMUSUUKYDKWFWGZTYFXFTUUJUVCUUKYDJUVDYKYLUUJWHWIWJ
      UUKYFYKYLUUJWKWLYKYLUUJWMYDKYFWNWOCUULBYDUUQCFNUUQBUUQBRFCDFCLZABDUVEVQDB
      VQEWPWQWRWSWTXAXBXCUUMUUNXDYHUUPXEXGXHXIXJXKXLXMXNXOXQDJYBFGXPXR $.
  $}

  ${
    $d k n z E $.  $d i k n x z F $.  $d k G $.  $d k z H $.  $d k x z S $.
    $d k n x z ph $.
    voliunlem.3 $e |- ( ph -> F : NN --> dom vol ) $.
    voliunlem.5 $e |- ( ph -> Disj_ i e. NN ( F ` i ) ) $.
    ${
      voliunlem1.6 $e |- H = ( n e. NN |-> ( vol* ` ( E i^i ( F ` n ) ) ) ) $.
      voliunlem1.7 $e |- ( ph -> E C_ RR ) $.
      voliunlem1.8 $e |- ( ph -> ( vol* ` E ) e. RR ) $.
      $( Lemma for ~ voliun .  (Contributed by Mario Carneiro, 20-Mar-2014.) $)
      voliunlem1 $p |- ( ( ph /\ k e. NN ) -> ( ( seq 1 ( + , H ) ` k ) +
                         ( vol* ` ( E \ U. ran F ) ) ) <_ ( vol* ` E ) ) $=
        ( cn wcel c1 co cfv covol caddc wceq vz cfz ciun cin crn cuni cdif cseq
        cv wa cle wss difss adantr ovolsscl mp3an2ani inss1 wbr wral elfznn wfn
        cvol cdm ffnd fnfvelrn sylan elssuni syl sylan2 ralrimiva sylibr sscond
        cr iunss sstrid ovolss syl2anc leadd2dd wi iuneq1d eleq1d ineq2d fveq2d
        oveq2 fveq2 eqeq12d anbi12d imbi2d csn cz 1z fzsn iuneq1 mp2b 1ex eqtri
        iunxsn 1nn ffvelrn sylancl eqeltrid fvex fvmpt ax-mp seq1 ineq2i fveq2i
        wf 3eqtr4ri jctir cun peano2nn syl2an unmbl syl5com simpr nnuz eleqtrdi
        cuz fzsuc 3syl iunxun ovex uneq2i eqtrdi sylibrd oveq1 mblsplit syl3anc
        ex in32 inss2 adantl eluzfz2 ssiun2s df-ss c0 wb mpbid recnd syl5eq wne
        sylib indif2 uncom eqtr2di wdisj ad2antrr nnred elfzle2 nnleltp1 disji2
        clt syl121anc iuneq2dv iunin2 3eqtr3g uneqdifeq eqtr3id oveq12d addcomd
        gtned 3eqtrd seqp1 oveq2d eqtrd syl5ibr anim12d expcom a2d nnind impcom
        iun0 simprd eqcomd oveq1d simpld 3brtr4d ) ACUIZMNZUJZEDOUVSUBPZDUIZFQZ
        UCZUDZRQZEFUEZUFZUGZRQZSPUWGEUWEUGZRQZSPZUVSSGOUHZQZUWKSPERQZUKUWAUWKUW
        MUWGUWJEULAEVMULZUVTUWQVMNZUWKVMNEUWIUMKAUWSUVTLUNZUWJEUOUPUWLEULAUWRUV
        TUWSUWMVMNEUWEUMZKUWTUWLEUOUPUWFEULAUWRUVTUWSUWGVMNEUWEUQKUWTUWFEUOUPZU
        WAUWJUWLULUWLVMULUWKUWMUKURUWAUWEUWIEUWAUWDUWIULZDUWBUSZUWEUWIULAUXDUVT
        AUXCDUWBUWCUWBNZAUWCMNZUXCUWCUVSUTZAUXFUJUWDUWHNZUXCAFMVAUXFUXHAMVBVCZF
        HVDMUWCFVEVFUWDUWHVGVHVIVJUNDUWBUWDUWIVNVKVLUWAUWLEVMUXAAUWRUVTKUNZVOUW
        JUWLVPVQVRUWAUWPUWGUWKSUWAUWGUWPUWAUWEUXINZUWGUWPTZUVTAUXKUXLUJZADOUAUI
        ZUBPZUWDUCZUXINZEUXPUDZRQZUXNUWOQZTZUJZVSADOOUBPZUWDUCZUXINZEUYDUDZRQZO
        UWOQZTZUJZVSAUXMVSZADOUVSOSPZUBPZUWDUCZUXINZEUYNUDZRQZUYLUWOQZTZUJZVSUY
        KUACUVSUXNOTZUYBUYJAVUAUXQUYEUYAUYIVUAUXPUYDUXIVUADUXOUYCUWDUXNOOUBWDVT
        ZWAVUAUXSUYGUXTUYHVUAUXRUYFRVUAUXPUYDEVUBWBWCUXNOUWOWEWFWGWHUXNUVSTZUYB
        UXMAVUCUXQUXKUYAUXLVUCUXPUWEUXIVUCDUXOUWBUWDUXNUVSOUBWDVTZWAVUCUXSUWGUX
        TUWPVUCUXRUWFRVUCUXPUWEEVUDWBWCUXNUVSUWOWEWFWGWHZUXNUYLTZUYBUYTAVUFUXQU
        YOUYAUYSVUFUXPUYNUXIVUFDUXOUYMUWDUXNUYLOUBWDVTZWAVUFUXSUYQUXTUYRVUFUXRU
        YPRVUFUXPUYNEVUGWBWCUXNUYLUWOWEWFWGWHVUEAUYEUYIAUYDOFQZUXIUYDDOWIZUWDUC
        ZVUHOWJNZUYCVUITUYDVUJTWKOWLDUYCVUIUWDWMWNDOUWDVUHWOUWCOFWEZWQWPZAMUXIF
        XHZOMNZVUHUXINHWRMUXIOFWSWTXAOGQZEVUHUDZRQZUYHUYGVUOVUPVURTWRDOEUWDUDZR
        QZVURMGUWCOTZVUSVUQRVVAUWDVUHEVULWBWCJVUQRXBXCXDVUKUYHVUPTWKSGOXEXDUYFV
        UQRUYDVUHEVUMXFXGXIXJUVTAUXMUYTAUVTUXMUYTVSUWAUXKUYOUXLUYSUWAUXKUWEUYLF
        QZXKZUXINZUYOUWAVVBUXINZUXKVVDAVUNUYLMNZVVEUVTHUVSXLZMUXIUYLFWSXMZUXKVV
        EVVDUWEVVBXNYJXOUWAUYNVVCUXIUWAUYNDUWBUYLWIZXKZUWDUCZVVCUWAUVSOXSQZNZUY
        MVVJTUYNVVKTUWAUVSMVVLAUVTXPZXQXRZOUVSXTDUYMVVJUWDWMYAVVKUWEDVVIUWDUCZX
        KVVCDUWBVVIUWDYBVVPVVBUWEDUYLUWDVVBUVSOSYCUWCUYLFWEZWQYDWPYEZWAYFUXLUYS
        UWAUWGEVVBUDZRQZSPZUWPVVTSPZTUWGUWPVVTSYGUWAUYQVWAUYRVWBUWAUYQUYPVVBUDZ
        RQZUYPVVBUGZRQZSPZVVTUWGSPVWAUWAVVEUYPVMULUYQVMNZUYQVWGTVVHUWAUYPEVMEUY
        NUQZUXJVOUYPEULAUWRUVTUWSVWHVWIKUWTUYPEUOUPVVBUYPYHYIUWAVWDVVTVWFUWGSUW
        AVWCVVSRUWAVWCVVSUYNUDZVVSEUYNVVBYKUWAVVSUYNULVWJVVSTUWAVVSVVBUYNEVVBYL
        UWAUYLVVLNUYLUYMNVVBUYNULZUWAUYLMVVLUVTVVFAVVGYMZXQXROUYLYNDUYMUWDUYLVV
        BVVQYOYAZVOVVSUYNYPUUCUUAWCUWAVWEUWFRUWAVWEEUYNVVBUGZUDUWFEUYNVVBUUDUWA
        VWNUWEEUWAVVBUWEXKZUYNTZVWNUWETZUWAUYNVVCVWOVVRUWEVVBUUEUUFUWAVWKVVBUWE
        UDZYQTVWPVWQYRVWMUWADUWBVVBUWDUDZUCDUWBYQUCVWRYQUWADUWBVWSYQUWAUXEUJZBM
        BUIZFQZUUGZVVFUXFUYLUWCUUBVWSYQTAVXCUVTUXEIUUHUWAVVFUXEVWLUNUXEUXFUWAUX
        GYMZVWTUWCUYLVWTUWCVXDUUIVWTUWCUVSUKURZUWCUYLUUMURZUXEVXEUWAUWCOUVSUUJY
        MVWTUXFUVTVXEVXFYRVXDUWAUVTUXEVVNUNUWCUVSUUKVQYSUVBBMVXBVVBUWDUYLUWCVXA
        UYLFWEVXAUWCFWEUULUUNUUODUWBVVBUWDUUPDUWBUVMUUQVVBUWEUYNUURVQYSWBUUSWCU
        UTUWAVVTUWGUWAVVTVVSEULAUWRUVTUWSVVTVMNEVVBUQKUWTVVSEUOUPYTUWAUWGUXBYTU
        VAUVCUWAUYRUWPUYLGQZSPZVWBUWAVVMUYRVXHTVVOSGOUVSUVDVHUWAVXGVVTUWPSUWAVV
        FVXGVVTTVWLDUYLVUTVVTMGUWCUYLTZVUSVVSRVXIUWDVVBEVVQWBWCJVVSRXBXCVHUVEUV
        FWFUVGUVHUVIUVJUVKUVLZUVNUVOUVPUWAUXKUWRUWSUWQUWNTUWAUXKUXLVXJUVQUXJUWT
        UWEEYHYIUVR $.
    $}

    voliunlem.6 $e |- H = ( n e. NN |-> ( vol* ` ( x i^i ( F ` n ) ) ) ) $.
    $( Lemma for ~ voliun .  (Contributed by Mario Carneiro, 20-Mar-2014.) $)
    voliunlem2 $p |- ( ph -> U. ran F e. dom vol ) $=
      ( vk cr wss cv covol cfv wcel cn cle wbr cxr crn cuni cin cdif caddc wceq
      vz co wi cpw wral cvol frnd mblss velpw sylibr ssriv sstrdi sspwuni sylib
      cdm elpwi w3a cun inundif fveq2i inss1 simp2 sstrid ovolsscl mp3an1 difss
      3adant1 ovolun syl22anc eqbrtrrid cmin c1 cseq csup rexrd nnuz 1zzd fveq2
      clt wa ineq2d fveq2d fvex adantl adantr eqeltrd serfre ressxr supxrcl syl
      fvmpt simp3 resubcld ciun iunin2 wf wfn fniunfv 3syl 3ad2ant1 syl5eq eqid
      ffn ovoliun eqbrtrrd wdisj voliunlem1 wb ffvelrnda leaddsub syl3anc mpbid
      simpl3 ralrimiva breq1 ralrn supxrleub syl2anc xrletrd readdcld mpbir2and
      mpbird letri3d 3expia sylan2 ismbl sylanbrc ) AEUAZUBZKLZBMZNOZKPZYRYQYOU
      CZNOZYQYOUDZNOZUEUHZUFZUIZBKUJZUKYOULVAZPAYNUUGLYPAYNUUHUUGAQUUHEGUMBUUHU
      UGYQUUHPYQKLZYQUUGPZYQUNBKUOUPUQURYNKUSUTAUUFBUUGUUJAUUIUUFYQKVBAUUIYSUUE
      AUUIYSVCZUUEYRUUDRSUUDYRRSZUUKYRYTUUBVDZNOZUUDRUUMYQNYQYOVEVFUUKYTKLUUAKP
      ZUUBKLUUCKPZUUNUUDRSUUKYTYQKYQYOVGZAUUIYSVHZVIUUIYSUUOAYTYQLUUIYSUUOUUQYT
      YQVJVKVMZUUKUUBYQKYQYOVLZUURVIUUIYSUUPAUUBYQLUUIYSUUPUUTUUBYQVJVKVMZYTUUB
      VNVOVPUUKUULUUAYRUUCVQUHZRSZUUKUUAUEFVRVSZUAZTWEVTZUVBUUKUUAUUSWAUUKUVETL
      ZUVFTPUUKUVEKTUUKQKUVDUUKJFVRQWBUUKWCUUKJMZQPZWFZUVHFOZYQUVHEOZUCZNOZKUVI
      UVKUVNUFUUKDUVHYQDMZEOZUCZNOZUVNQFUVOUVHUFZUVQUVMNUVSUVPUVLYQUVOUVHEWDWGW
      HIUVMNWIWQWJUUKUVNKPZUVIUUIYSUVTAUVMYQLUUIYSUVTYQUVLVGUVMYQVJVKVMWKWLWMZU
      MWNURZUVEWOWPUUKUVBUUKYRUUCAUUIYSWRZUVAWSWAZUUKDQUVQWTZNOUUAUVFRUUKUWEYTN
      UUKUWEYQDQUVPWTZUCYTDQYQUVPXAUUKUWFYOYQAUUIUWFYOUFZYSAQUUHEXBZEQXCUWGGQUU
      HEXIDQEXDXEXFWGXGWHUUKUVQUVDDFUVDXHIUUKUVQKLUVOQPZUUKUVQYQKYQUVPVGZUURVIW
      KUUKUVRKPZUWIUUIYSUWKAUVQYQLUUIYSUWKUWJUVQYQVJVKVMWKXJXKUUKUVFUVBRSZUGMZU
      VBRSZUGUVEUKZUUKUWOUVHUVDOZUVBRSZJQUKZUUKUWQJQUVJUWPUUCUEUHYRRSZUWQUUKCJD
      YQEFAUUIUWHYSGXFAUUICQCMEOXLYSHXFIUURUWCXMUVJUWPKPUUPYSUWSUWQXNUUKQKUVHUV
      DUWAXOUUKUUPUVIUVAWKAUUIYSUVIXSUWPUUCYRXPXQXRXTUUKQKUVDXBUVDQXCUWOUWRXNUW
      AQKUVDXIUWNUWQUGJQUVDUWMUWPUVBRYAYBXEYHUUKUVGUVBTPUWLUWOXNUWBUWDUGUVEUVBY
      CYDYHYEUUKUUOUUPYSUULUVCXNUUSUVAUWCUUAUUCYRXPXQYHUUKYRUUDUWCUUKUUAUUCUUSU
      VAYFYIYGYJYKXTBYOYLYM $.

    voliunlem3.1 $e |- S = seq 1 ( + , G ) $.
    voliunlem3.2 $e |- G = ( n e. NN |-> ( vol ` ( F ` n ) ) ) $.
    voliunlem3.4 $e |- ( ph -> A. i e. NN ( vol ` ( F ` i ) ) e. RR ) $.
    $( Lemma for ~ voliun .  (Contributed by Mario Carneiro, 20-Mar-2014.) $)
    voliunlem3 $p |- ( ph -> ( vol ` U. ran F ) = sup ( ran S , RR* , < ) ) $=
      ( cfv covol wcel syl cr cn crn cuni cvol cxr clt csup cdm wceq voliunlem2
      vk vz mblvol wss cpw frnd cv mblss reex elpw2 sylibr ssriv sstrdi sspwuni
      sylib ovolcl caddc c1 cseq wf nnuz 1zzd 2fveq3 fvex fvmpt adantl wral weq
      wa eleq1d rspccva sylan eqeltrd serfre feq1i ressxr supxrcl ciun cmpt cle
      eqid ffvelrnda eqeltrrd ovoliun wfn ffnd fniunfv fveq2d mpteq2dva seqeq3d
      syl5eq eqtr2id rneqd supeq1d 3brtr3d wbr cpnf wi cc0 ovolge0 mnflt0 mnfxr
      cmnf 0xr xrltletr mp3an12 mpani sylc wb xrrebnd cdif co sseq1d cin simpll
      simpl ineq1d fnfvelrn elssuni adantll sseqin2 eqtrd eqtr4d adantrr eqtrdi
      c0 adantr imbi12d 3ad2ant1 sylbird mpbird fveq1d difeq1 difid ovol0 recnd
      3eqtr4g eqtr4di oveq12d addid1d fveq2 breq12d expr pm5.74d pm5.74da wdisj
      w3a simp2 simp3 voliunlem1 3exp1 vtoclg mpcom mpand wn nltpnft rexr pnfge
      mpd 3syl breq2 imbi2d syl5ibrcom pm2.61d ralrimiv breq1 supxrleub syl2anc
      ex ralrn xrletrid ) AFUAZUBZUCOZUWBPOZCUAZUDUEUFZAUWBUCUGZQUWCUWDUHABDEFH
      IJKUIUWBULRAUWDUWFAUWBSUMZUWDUDQZAUWASUNZUMUWHAUWAUWGUWJATUWGFIUOBUWGUWJB
      UPZUWGQUWKSUMZUWKUWJQUWKUQUWKSURUSUTVAVBUWASVCVDZUWBVERZAUWEUDUMZUWFUDQAU
      WESUDATSCATSVFGVGVHZVITSCVIAUJGVGTVJAVKAUJUPZTQZVRZUWQGOZUWQFOZUCOZSUWRUW
      TUXBUHAEUWQEUPZFOZUCOZUXBTGUXCUWQUCFVLMUXAUCVMVNVOADUPZFOZUCOZSQZDTVPZUWR
      UXBSQZNUXIUXKDUWQTDUJVQUXHUXBSUXFUWQUCFVLVSVTWAWBWCTSCUWPLWDUTZUOWEVBZUWE
      WFRAETUXDWGZPOVFETUXDPOZWHZVGVHZUAZUDUEUFUWDUWFWIAUXDUXQEUXPUXQWJUXPWJAUX
      CTQZVRZUXDUWGQZUXDSUMATUWGUXCFIWKZUXDUQRUXTUXEUXOSUXTUYAUXEUXOUHZUYBUXDUL
      RZAUXJUXSUXESQZNUXIUYEDUXCTDEVQUXHUXESUXFUXCUCFVLVSVTWAWLWMAUXNUWBPAFTWNZ
      UXNUWBUHATUWGFIWOZETFWPRWQAUDUXRUWEUEAUXQCACUWPUXQLAGUXPVFVGAGETUXEWHZUXP
      MAETUXEUXOUYDWRWTWSXAXBXCXDAUWFUWDWIXEZUKUPZUWDWIXEZUKUWEVPZAUYLUWQCOZUWD
      WIXEZUJTVPZAUYNUJTAUWDXFUEXEZUWRUYNXGZAXLUWDUEXEZUYPUYQAUWIXHUWDWIXEZUYRU
      WNAUWHUYSUWMUWBXIRUWIXLXHUEXEZUYSUYRXJXLUDQXHUDQUWIUYTUYSVRUYRXGXKXMXLXHU
      WDXNXOXPXQAUYRUYPVRZUWDSQZUYQAUWIVUBVUAXRUWNUWDXSRAUWHVUBUYQXGZUWMUWBUWJQ
      ZAUWHVUCXGZAUWHVUDUWMUWBSURUSUTAUWLUWKPOZSQZUWRUWQVFHVGVHZOZUWKUWBXTZPOZV
      FYAZVUFWIXEZXGZXGZXGZXGAVUEXGBUWBUWJUWKUWBUHZAVUPVUEVUQAVRZUWLUWHVUOVUCVU
      RUWKUWBSVUQAYEZYBVURVUGVUBVUNUYQVURVUFUWDSVURUWKUWBPVUSWQVSVURUWRVUMUYNVU
      QAUWRVUMUYNXRVUQUWSVRZVULUYMVUFUWDWIVUTVULUYMXHVFYAUYMVUTVUIUYMVUKXHVFVUT
      UWQVUHCVUTVUHUWPCVUTHGVFVGVUTETUWKUXDYCZPOZWHZUYHHGVUQAVVCUYHUHUWRVURETVV
      BUXEVURUXSVRZVVBUXOUXEVVDVVAUXDPVVDVVAUWBUXDYCZUXDVVDUWKUWBUXDVUQAUXSYDYF
      VVDUXDUWBUMZVVEUXDUHAUXSVVFVUQUXTUXDUWAQZVVFAUYFUXSVVGUYGTUXCFYGWAUXDUWAY
      HRYIUXDUWBYJVDYKWQAUXSUYCVUQUYDYIYLWRYMKMUUFWSLUUGUUAVUQVUKXHUHUWSVUQVUKY
      OPOXHVUQVUJYOPVUQVUJUWBUWBXTYOUWKUWBUWBUUBUWBUUCYNWQUUDYNYPUUHVUTUYMVUTUY
      MUWSUYMSQZVUQATSUWQCUXLWKZVOUUEUUIYKVUQVUFUWDUHUWSUWKUWBPUUJYPUUKUULUUMYQ
      YQUUNAUWLVUGUWRVUMAUWLVUGUUPDUJEUWKFHAUWLTUWGFVIVUGIYRAUWLDTUXGUUOVUGJYRK
      AUWLVUGUUQAUWLVUGUURUUSUUTUVAUVBUVHYSUVCAUYPUVDZUWDXFUHZUYQAUWIVVKVVJXRUW
      NUWDUVERAUYQVVKUWRUYMXFWIXEZXGAUWRVVLUWSVVHUYMUDQVVLVVIUYMUVFUYMUVGUVIUVR
      VVKUYNVVLUWRUWDXFUYMWIUVJUVKUVLYSUVMUVNACTWNUYLUYOXRATSCUXLWOUYKUYNUKUJTC
      UYJUYMUWDWIUVOUVSRYTAUWOUWIUYIUYLXRUXMUWNUKUWEUWDUVPUVQYTUVTYK $.
  $}

  ${
    $d i k m n x y $.  $d i k m x y A $.
    $( The measurable sets are closed under countable union.  (Contributed by
       Mario Carneiro, 18-Mar-2014.) $)
    iunmbl $p |- ( A. n e. NN A e. dom vol -> U_ n e. NN A e. dom vol ) $=
      ( vk vm vy vi wcel cn wral ciun cv csb c1 cfzo wceq nfcsb1v nfel1 csbeq1a
      weq eleq1d vx cvol cdm co cdif cmpt crn cuni wrex cab cbvralw nfcv cbviun
      nfv csbeq1 iundisj eqtri cvv difexg ralimi dfiun2g syl syl5eq sylbi rnmpt
      eqid unieqi eqtr4di cfv cin covol wa rspc impcom cfn fzofi wss wi fzossnn
      ssralv ax-mp adantr finiunmbl sylancr difmbl syl2anc wdisj iundisj2 oveq2
      fmpttd iuneq1d difeq12d simpr difexd fvmptd3 disjeq2dv voliunlem2 eqeltrd
      mpbiri ) AUBUCZGZBHIZBHAJZCHBCKZALZDMXDNUDZBDKZALZJZUEZUFZUGZUHZWTXBXCEKZ
      XJOCHUIEUJZUHZXMXBXEWTGZCHIZXCXPOXAXQBCHXACUNBXEWTBXDAPZQZBCSAXEWTBXDARZT
      ZUKXRXCCHXJJZXPXCCHXEJYCBCHAXECAULXSYAUMXEXHDCBXDXGAUOUPUQXRXJURGZCHIYCXP
      OXQYDCHXEXIWTUSUTCEHXJURVAVBVCVDXLXOCEHXJXKXKVFZVEVGVHXBUAFEXKEHUAKXNXKVI
      VJVKVIUFZXBCHXJWTXBXDHGZVLZXQXIWTGZXJWTGYGXBXQXAXQBXDHXTYBVMVNYHXFVOGXHWT
      GZDXFIZYIMXDVPXBYKYGXBYJDHIZYKXAYJBDHXADUNBXHWTBXGAPQBDSAXHWTBXGARTUKXFHV
      QYLYKVRXDVSYJDXFHVTWAVDWBXFXHDWCWDXEXIWEWFWJXBFHFKZXKVIZWGFHBYMALZDMYMNUD
      ZXHJZUEZWGYOXHDFBYMXGAUOWHXBFHYNYRXBYMHGZVLZCYMXJYRHXKURYECFSZXEYOXIYQBXD
      YMAUOUUADXFYPXHXDYMMNWIWKWLXBYSWMYTYOYQWTYSXBYOWTGZXAUUBBYMHBYOWTBYMAPQBF
      SAYOWTBYMARTVMVNWNWOWPWSYFVFWQWR $.

    voliun.1 $e |- S = seq 1 ( + , G ) $.
    voliun.2 $e |- G = ( n e. NN |-> ( vol ` A ) ) $.
    $( The Lebesgue measure function is countably additive.  (Contributed by
       Mario Carneiro, 18-Mar-2014.)  (Proof shortened by Mario Carneiro,
       11-Dec-2016.) $)
    voliun $p |- ( ( A. n e. NN ( A e. dom vol /\ ( vol ` A ) e. RR ) /\
                   Disj_ n e. NN A ) ->
                   ( vol ` U_ n e. NN A ) = sup ( ran S , RR* , < ) ) $=
      ( vx vi vm cvol wcel cfv cr wa cn wral cmpt cv eqid wceq wdisj cuni caddc
      cdm crn c1 cseq cxr clt csup ciun covol wf simpl ralimi adantr fmpt sylib
      cin wb fvmpt2 adantrr ralimiaa disjeq2 syl biimpar nffvmpt1 fveq2 cbvdisj
      nfcv nffv 2fveq3 cbvmpt fveq2d eleq1d biimprd impr nfv cbvralw voliunlem3
      nfel1 dfiun2g rnmpt unieqi eqtr4di mpteq12 sylancr eqtr4id seqeq3d syl5eq
      wrex cab rneqd supeq1d 3eqtr4d ) AJUDZKZAJLZMKZNZCOPZCOAUAZNZCOAQZUEZUBZJ
      LUCCOCRZXDLZJLZQZUFUGZUEZUHUIUJCOAUKZJLBUEZUHUIUJXCGXKHIXDXJIOGRZIRZXDLZU
      SULLQZXCWQCOPZOWPXDUMXAXSXBWTWQCOWQWSUNUOUPZCOWPAXDXDSZUQURXCCOXHUAZHOHRZ
      XDLZUAXAYBXBXAXHATZCOPYBXBUTWTYECOXGOKZWQYEWSCOAWPXDYAVAZVBVCCOXHAVDVEVFC
      HOXHYDHXHVJCOAYCVGZXGYCXDVHVIURXRSXKSCIOXIXQJLIXIVJCXQJCJVJZCOAXPVGVKXGXP
      JXDVLVMXCXIMKZCOPZYDJLZMKZHOPXAYKXBWTYJCOYFWQWSYJYFWQNZYJWSYNXIWRMYNXHAJY
      GVNZVOVPVQVCUPYJYMCHOYJHVRCYLMCYDJYIYHVKWAXGYCTXIYLMXGYCJXDVLVOVSURVTXCXM
      XFJXCXMXOATCOWKGWLZUBZXFXCXSXMYQTXTCGOAWPWBVEXEYPCGOAXDYAWCWDWEVNXCUHXNXL
      UIXCBXKXCBUCDUFUGXKEXCDXJUCUFXCDCOWRQZXJFXCOOTXIWRTZCOPZXJYRTOSXAYTXBWTYS
      COYFWQYSWSYOVBVCUPCOXIOWRWFWGWHWIWJWMWNWO $.
  $}

  ${
    $d k n x F $.  $d k x A $.  $d x B $.
    $( Lemma for ~ volsup .  (Contributed by Mario Carneiro, 4-Jul-2014.) $)
    volsuplem $p |- ( ( A. n e. NN ( F ` n ) C_ ( F ` ( n + 1 ) ) /\
                      ( A e. NN /\ B e. ( ZZ>= ` A ) ) ) ->
                      ( F ` A ) C_ ( F ` B ) ) $=
      ( vx vk cv cfv c1 caddc co wss cn wcel wa wi wceq fveq2 sseq2d imbi2d cuz
      wral ssid 2a1i eluznn fvoveq1 sseq12d rspccva sylan2 anassrs sstr2 expcom
      cz syl5com a2d uzind4 com12 impr ) CGZDHZUSIJKDHZLZCMUBZAMNZBAUAHZNZADHZB
      DHZLZVFVCVDOZVIVJVGEGZDHZLZPVJVGVGLZPVJVGFGZDHZLZPVJVGVOIJKZDHZLZPVJVIPEF
      ABVKAQZVMVNVJWAVLVGVGVKADRSTVKVOQZVMVQVJWBVLVPVGVKVODRSTVKVRQZVMVTVJWCVLV
      SVGVKVRDRSTVKBQZVMVIVJWDVLVHVGVKBDRSTVNAUMNVJVGUCUDVOVENZVJVQVTVJWEVQVTPV
      JWEOVPVSLZVQVTVCVDWEWFVDWEOVCVOMNWFVOAUEVBWFCVOMUSVOQUTVPVAVSUSVODRUSVOID
      JUFUGUHUIUJVGVPVSUKUNULUOUPUQUR $.
  $}

  ${
    $d j k m n x F $.
    $( The volume of the limit of an increasing sequence of measurable sets is
       the limit of the volumes.  (Contributed by Mario Carneiro, 14-Aug-2014.)
       (Revised by Mario Carneiro, 11-Dec-2016.) $)
    volsup $p |- ( ( F : NN --> dom vol /\
                   A. n e. NN ( F ` n ) C_ ( F ` ( n + 1 ) ) ) ->
                 ( vol ` U. ran F ) = sup ( ( vol " ran F ) , RR* , < ) ) $=
      ( vk vm cn cvol cfv c1 caddc co wss wa wcel cxr wceq ciun syl fveq2 cpnf
      cr vj vx cdm wf wral crn cuni cima csup cfzo cdif cmpt cseq wdisj ffvelrn
      clt ad2ant2r cfn fzofi simpll cuz elfzouz nnuz eleqtrrdi syl2an ralrimiva
      cv finiunmbl sylancr difmbl syl2anc covol mblvol difssd eqeltrrd ovolsscl
      simprr syl3anc eqeltrd jca expr ralimdva imp iundisj2 eqid voliun sylancl
      mblss iundisj wfn ffn ad2antrr fniunfv eqtr3id fveq2d ccom cz seqfn ax-mp
      1z fneq2i mpbir a1i cc0 cicc volf fco ffnd 2fveq3 eqeq12d imbi2d weq seq1
      wi 1nn oveq2 fzo0 eqtrdi iuneq1d 0iun difeq2d eqtrd fvex fvmpt adantl cun
      c0 rspcdva ffvelrnd eleq1d eqtr4d wn cle wbr ovolcl cmnf sylc frn sstri
      wb dif0 eqtri oveq1 eleq2s undif2 fvoveq1 sseq12d simpllr ssequn1 eqtr2id
      seqp1 simpr sylib cin simplll peano2nn disjdif simplr syl32anc cfz adantr
      volun elfznn elfzuz3 syl12anc iunss sylibr eleqtrdi eluzfz2 ssiun2s eqssd
      volsuplem nnzd fzval3 eqtr3d difeq12d oveq2d 3eqtrd syl5ibr expcom impcom
      a2d nnind fvco3 sylan eqfnfvd rneqd supeq1d 3eqtr3d ex wrex rexnal iunmbl
      rnco2 pnfge xrrebnd ovolge0 mnflt0 mnfxr xrltletr mp3an12 mpani biantrurd
      0xr 3bitr4d mtbid nltpnft mpbird simprl fnfvelrn ovolss eqbrtrrd xrletri3
      elssuni mpbir2and imassrn iccssxr wfun ffun funfvima2 supxrpnf rexlimdvaa
      pnfxr 3eqtr4d syl5bir pm2.61d ) EFUCZBUDZAVGZBGZUYIHIJBGZKZAEUEZLZCVGZBGZ
      FGZTMZCEUEZBUFZUGZFGZFUYTUHZNUPUIZOZUYNUYSVUEUYNUYSLZCEUYPDHUYOUJJZDVGZBG
      ZPZUKZPZFGZICEVUKFGZULZHUMZUFZNUPUIZVUBVUDVUFVUKUYGMZVUNTMZLZCEUEZCEVUKUN
      VUMVUROUYNUYSVVBUYNUYRVVACEUYNUYOEMZUYRVVAUYNVVCUYRLZLZVUSVUTVVEUYPUYGMZV
      UJUYGMZVUSUYHVVCVVFUYMUYREUYGUYOBUOZUQZVVEVUGURMVUIUYGMZDVUGUEVVGHUYOUSVV
      EVVJDVUGVVEUYHVUHEMZVVJVUHVUGMZUYHUYMVVDUTVVLVUHHVAGZEVUHHUYOVBVCVDEUYGVU
      HBUOVEVFVUGVUIDVHVIUYPVUJVJVKZVVEVUNVUKVLGZTVVEVUSVUNVVOOVVNVUKVMQVVEVUKU
      YPKUYPTKZUYPVLGZTMZVVOTMVVEUYPVUJVNVVEVVFVVPVVIUYPWHZQVVEUYQVVQTVVEVVFUYQ
      VVQOZVVIUYPVMZQUYNVVCUYRVQVOVUKUYPVPVRVSVTWAWBWCUYPVUIDCUYOVUHBRZWDVUKVUP
      CVUOVUPWEVUOWEZWFWGVUFVULVUAFVUFVULCEUYPPZVUAUYPVUIDCVWBWIVUFBEWJZVWDVUAO
      UYHVWEUYMUYSEUYGBWKZWLCEBWMQWNWOVUFNVUQVUCUPVUFVUQFBWPZUFVUCVUFVUPVWGVUFU
      AEVUPVWGVUPEWJZVUFVWHVUPVVMWJZHWQMZVWIWTIVUOHWRWSEVVMVUPVCXAXBXCVUFEXDSXE
      JZVWGVUFUYGVWKFUDZUYHEVWKVWGUDXFUYHUYMUYSUTZEUYGVWKFBXGVIXHVUFUAVGZEMZLZV
      WNVUPGZVWNBGZFGZVWNVWGGZVWOVUFVWQVWSOZVUFUBVGZVUPGZVXBBGFGZOZXNVUFHVUPGZH
      BGZFGZOZXNVUFVXAXNZVUFVWNHIJZVUPGZVXKBGZFGZOZXNVXJUBUAVWNVXBHOZVXEVXIVUFV
      XPVXCVXFVXDVXHVXBHVUPRVXBHFBXIXJXKUBUAXLZVXEVXAVUFVXQVXCVWQVXDVWSVXBVWNVU
      PRVXBVWNFBXIXJXKZVXBVXKOZVXEVXOVUFVXSVXCVXLVXDVXNVXBVXKVUPRVXBVXKFBXIXJXK
      VXRVXIVUFVXFHVUOGZVXHVWJVXFVXTOWTIVUOHXMWSHEMVXTVXHOXOCHVUNVXHEVUOUYOHOZV
      UKVXGFVYAVUKUYPVXGVYAVUKUYPYGUKUYPVYAVUJYGUYPVYAVUJDYGVUIPYGVYADVUGYGVUIV
      YAVUGHHUJJYGUYOHHUJXPHXQXRXSDVUIXTXRYAUYPUUAXRUYOHBRYBWOVWCVXGFYCYDWSUUBX
      CVWOVUFVXAVXOVUFVWOVXAVXOXNVXAVXOVWPVWQVXKVUOGZIJZVWSVYBIJZOVWQVWSVYBIUUC
      VWPVXLVYCVXNVYDVWOVXLVYCOZVUFVYEVWNVVMEIVUOHVWNUUKVCUUDYEVWPVXNVWRVXMVWRU
      KZYFZFGZVWSVYFFGZIJZVYDVWPVXMVYGFVWPVYGVWRVXMYFZVXMVWRVXMUUEVWPVWRVXMKZVY
      KVXMOVWPUYLVYLAEVWNAUAXLUYJVWRUYKVXMUYIVWNBRUYIVWNHBIUUFUUGUYHUYMUYSVWOUU
      HZVUFVWOUULZYHVWRVXMUUIUUMUUJWOVWPVWRUYGMZVYFUYGMZVWRVYFUUNYGOZVWSTMZVYIT
      MVYHVYJOVWPEUYGVWNBUYHUYMUYSVWOUUOZVYNYIZVWPVXMUYGMZVYOVYPVWPEUYGVXKBVYSV
      WOVXKEMZVUFVWNUUPYEZYIZVYTVXMVWRVJVKZVYQVWPVWRVXMUUQXCVWPUYRVYRCEVWNCUAXL
      UYQVWSTUYOVWNFBXIYJUYNUYSVWOUURZVYNYHVWPVYIVYFVLGZTVWPVYPVYIWUGOWUEVYFVMQ
      VWPVYFVXMKVXMTKZVXMVLGZTMWUGTMVWPVXMVWRVNVWPWUAWUHWUDVXMWHQVWPVXNWUITVWPW
      UAVXNWUIOWUDVXMVMQVWPUYRVXNTMCEVXKUYOVXKOZUYQVXNTUYOVXKFBXIYJWUFWUCYHVOVY
      FVXMVPVRVSVWRVYFUVBUUSVWPVYIVYBVWSIVWPVYIVXMDHVXKUJJZVUIPZUKZFGZVYBVWPVYF
      WUMFVWPVWRWULVXMVWPDHVWNUUTJZVUIPZVWRWULVWPWUPVWRVWPVUIVWRKZDWUOUEWUPVWRK
      VWPWUQDWUOVWPVUHWUOMZLUYMVVKVWNVUHVAGMZWUQVWPUYMWURVYMUVAWURVVKVWPVUHVWNU
      VCYEWURWUSVWPVUHHVWNUVDYEVUHVWNABUVLUVEVFDWUOVUIVWRUVFUVGVWPVWNWUOMZVWRWU
      PKVWPVWNVVMMWUTVWPVWNEVVMVYNVCUVHHVWNUVIQDWUOVUIVWNVWRVUHVWNBRUVJQUVKVWPD
      WUOWUKVUIVWPVWNWQMWUOWUKOVWPVWNVYNUVMHVWNUVNQXSUVOYAWOVWPWUBVYBWUNOWUCCVX
      KVUNWUNEVUOWUJVUKWUMFWUJUYPVXMVUJWULUYOVXKBRWUJDVUGWUKVUIUYOVXKHUJXPXSUVP
      WOVWCWUMFYCYDQYKUVQUVRXJUVSUVTUWBUWCUWAVUFUYHVWOVWTVWSOVWMEUYGVWNFBUWDUWE
      YKUWFUWGFBUWNXRUWHUWIUWJUYSYLUYRYLZCEUWKUYNVUEUYRCEUWLUYNWVAVUECEUYNVVCWV
      ALZLZVUAVLGZSVUBVUDWVCWVDSOZWVDSYMYNZSWVDYMYNZWVCWVDNMZWVFWVCVUATKZWVHWVC
      VUAUYGMZWVIUYHWVJUYMWVBUYHAEUYJPZVUAUYGUYHVWEWVKVUAOVWFAEBWMQUYHUYJUYGMZA
      EUEWVKUYGMUYHWVLAEEUYGUYIBUOVFUYJAUWMQVOWLZVUAWHQZVUAYOQZWVDUWOQWVCVVQSWV
      DYMWVCVVQSOZVVQSUPYNZYLZWVCUYRWVQUYNVVCWVAVQWVCVVRYPVVQUPYNZWVQLZUYRWVQWV
      CVVQNMZVVRWVTYTWVCVVPWWAWVCVVFVVPUYHVVCVVFUYMWVAVVHUQZVVSQZUYPYOZQZVVQUWP
      QWVCUYQVVQTWVCVVFVVTWWBVWAQZYJWVCWVSWVQWVCVVPWVSWWCVVPWWAXDVVQYMYNZWVSWWD
      UYPUWQWWAYPXDUPYNZWWGWVSUWRYPNMXDNMWWAWWHWWGLWVSXNUWSUXDYPXDVVQUWTUXAUXBY
      QQUXCUXEUXFWVCWWAWVPWVRYTWWEVVQUXGQUXHZWVCUYPVUAKZWVIVVQWVDYMYNWVCUYPUYTM
      ZWWJWVCVWEVVCWWKUYHVWEUYMWVBVWFWLUYNVVCWVAUXIEUYOBUXJVKZUYPUYTUXNQWVNUYPV
      UAUXKVKUXLWVCWVHSNMWVEWVFWVGLYTWVOUYCWVDSUXMWGUXOWVCWVJVUBWVDOWVMVUAVMQWV
      CVUCNKSVUCMVUDSOVUCFUFZNFUYTUXPWWMVWKNVWLWWMVWKKXFUYGVWKFYRWSXDSUXQYSYSWV
      CUYQSVUCWVCUYQVVQSWWFWWIYBWVCUYHWWKUYQVUCMZUYHUYMWVBUTWWLUYHFUXRZUYTUYGKW
      WKWWNXNVWLWWOXFUYGVWKFUXSWSEUYGBYRUYTUYPFUXTVIYQVOVUCUYAVIUYDUYBUYEUYF $.
  $}

  ${
    $d f k n x A $.  $d f k x B $.
    $( The measurable sets are closed under countable union.  (Contributed by
       Mario Carneiro, 18-Mar-2014.) $)
    iunmbl2 $p |- ( ( A ~<_ NN /\ A. n e. A B e. dom vol ) ->
                    U_ n e. A B e. dom vol ) $=
      ( vf vk vx cn wbr wcel wral ciun csdm cen wi com ex syl cv cfv wceq mpan2
      cdom cvol cdm wo brdom2 nnenom sdomentr cfn isfinite finiunmbl sylbir wex
      wf1o bren wa ccnv csb wrex nfv nfcv nfcsb1v nfcri nfrex ffvelrnda 3adant3
      f1of simp3 f1ocnvfv1 eqcomd csbeq1a eleqtrd csbeq1d eleq2d rspcev syl2anc
      w3a fveq2 3exp rexlimd f1ocnvdm rspce rexlimdva impbid eliun eqrdv adantr
      3bitr4g rspcsbela sylan an32s ralrimiva iunmbl eqeltrd exlimiv sylbi jaoi
      imp ) AGUBHZBUCUDZICAJZCABKZWTIZWSAGLHZAGMHZUEXAXCNZAGUFXDXFXEXDAOLHZXFXD
      GOMHXGUGAGOUHUAXGAUIIZXFAUJXHXAXCABCUKPULQXEAGDRZUNZDUMXFAGDUOXJXFDXJXAXC
      XJXAUPZXBEGCERZXIUQZSZBURZKZWTXJXBXPTXAXJFXBXPXJFRZBIZCAUSZXQXOIZEGUSZXQX
      BIXQXPIXJXSYAXJXRYACAXJCUTXTCEGCGVACFXOCXNBVBVCZVDXJCRZAIZXRYAXJYDXRVQZYC
      XISZGIZXQCYFXMSZBURZIZYAXJYDYGXRXJAGYCXIAGXIVGVEVFYEXQBYIXJYDXRVHYEYCYHTB
      YITYEYHYCXJYDYHYCTXRAGYCXIVIVFVJCYHBVKQVLXTYJEYFGXLYFTZXOYIXQYKCXNYHBXLYF
      XMVRVMVNVOVPVSVTXJXTXSEGXJXLGIZUPZXNAIZXTXSNAGXLXIWAZYNXTXSXRXTCXNAYBYCXN
      TBXOXQCXNBVKVNWBPQWCWDCXQABWEEXQGXOWEWHWFWGXKXOWTIZEGJXPWTIXKYPEGXJYLXAYP
      YMYNXAYPYOCXNABWTWIWJWKWLXOEWMQWNPWOWPWQWPWR $.
  $}

  ${
    $d n x B $.  $d j k n x C $.  $d n x E $.  $d j k n x F $.  $d j k n x G $.
    $d j k n x H $.  $d j k n x ph $.  $d j k n x z S $.  $d j x z T $.
    $d j x z U $.
    ioombl1.b $e |- B = ( A (,) +oo ) $.
    ioombl1.a $e |- ( ph -> A e. RR ) $.
    ioombl1.e $e |- ( ph -> E C_ RR ) $.
    ioombl1.v $e |- ( ph -> ( vol* ` E ) e. RR ) $.
    ioombl1.c $e |- ( ph -> C e. RR+ ) $.
    ioombl1.s $e |- S = seq 1 ( + , ( ( abs o. - ) o. F ) ) $.
    ioombl1.t $e |- T = seq 1 ( + , ( ( abs o. - ) o. G ) ) $.
    ioombl1.u $e |- U = seq 1 ( + , ( ( abs o. - ) o. H ) ) $.
    ioombl1.f1 $e |- ( ph -> F : NN --> ( <_ i^i ( RR X. RR ) ) ) $.
    ioombl1.f2 $e |- ( ph -> E C_ U. ran ( (,) o. F ) ) $.
    ioombl1.f3 $e |- ( ph -> sup ( ran S , RR* , < ) <_
                       ( ( vol* ` E ) + C ) ) $.
    ioombl1.p $e |- P = ( 1st ` ( F ` n ) ) $.
    ioombl1.q $e |- Q = ( 2nd ` ( F ` n ) ) $.
    ioombl1.g $e |- G = ( n e. NN |->
   <. if ( if ( P <_ A , A , P ) <_ Q , if ( P <_ A , A , P ) , Q ) , Q >. ) $.
    ioombl1.h $e |- H = ( n e. NN |->
   <. P , if ( if ( P <_ A , A , P ) <_ Q , if ( P <_ A , A , P ) , Q ) >. ) $.
    $( Lemma for ~ ioombl1 .  (Contributed by Mario Carneiro, 18-Aug-2014.) $)
    ioombl1lem1 $p |- ( ph ->
                        ( G : NN --> ( <_ i^i ( RR X. RR ) ) /\
                          H : NN --> ( <_ i^i ( RR X. RR ) ) ) ) $=
      ( cn cle cr cxp cin wf wbr cif cop cv wcel wa adantr cfv c1st w3a ovolfcl
      c2nd sylan simp1d eqeltrid ifcld simp2d syl2anc df-br sylib opelxpd elind
      min2 fmptd max1 simp3d 3brtr4g breq2 ifboth jca ) AUJUKULULUMZUNZMUOUJWGN
      UOAJUJEBUKUPZBEUQZFUKUPZWIFUQZFURZWGMAJUSZUJUTZVAZUKWFWLWOWKFUKUPZWLUKUTW
      OWIULUTFULUTWPWOWHBEULABULUTZWNPVBZWOEWMLVCZVDVCZULUFWOWTULUTZWSVGVCZULUT
      ZWTXBUKUPZAUJWGLUOWNXAXCXDVEUCLWMVFVHZVIVJZVKZWOFXBULUGWOXAXCXDXEVLVJZWIF
      VRVMWKFUKVNVOWOWKFULULWOWJWIFULXGXHVKZXHVPVQUHVSAJUJEWKURZWGNWOUKWFXJWOEW
      KUKUPZXJUKUTWOEWIUKUPZEFUKUPZXKWOEULUTWQXLXFWREBVTVMWOWTXBEFUKWOXAXCXDXEW
      AUFUGWBWJXLXMXKWIFWIWKEUKWCFWKEUKWCWDVMEWKUKVNVOWOEWKULULXFXIVPVQUIVSWE
      $.

    $( Lemma for ~ ioombl1 .  (Contributed by Mario Carneiro, 18-Aug-2014.) $)
    ioombl1lem2 $p |- ( ph -> sup ( ran S , RR* , < ) e. RR ) $=
      ( crn cxr clt csup wcel covol cfv caddc co cmnf wbr cle wss cc0 cpnf cico
      cr cn cxp cin wf cabs cmin ccom eqid ovolsf syl frnd icossxr sstrdi rpred
      supxrcl readdcld mnfxr a1i wfn ffnd 1nn fnfvelrn sylancl rge0ssre ffvelrn
      c1 sseldd sselid mnfltd supxrub syl2anc xrltletrd xrre syl22anc ) AGUJZUK
      ULUMZUKUNZKUOUPZDUQURZVFUNUSXBULUTXBXEVAUTXBVFUNAXAUKVBZXCAXAVCVDVEURZUKA
      VGXGGAVGVAVFVFVHVILVJVGXGGVJZUCGLVKVLVMLVMZXIVNTVOVPZVQVCVDVRVSZXAWAVPZAX
      DDRADSVTWBAUSWLGUPZXBUSUKUNAWCWDAXAUKXMXKAGVGWEWLVGUNZXMXAUNZAVGXGGXJWFWG
      VGWLGWHWIZWMXLAXMAXGVFXMWJAXHXNXMXGUNXJWGVGXGWLGWKWIWNWOAXFXOXMXBVAUTXKXP
      XAXMWPWQWRUEXBXEWSWT $.

    $( Lemma for ~ ioombl1 .  (Contributed by Mario Carneiro, 18-Aug-2014.) $)
    ioombl1lem3 $p |- ( ( ph /\ n e. NN ) ->
      ( ( ( ( abs o. - ) o. G ) ` n ) + ( ( ( abs o. - ) o. H ) ` n ) ) =
      ( ( ( abs o. - ) o. F ) ` n ) ) $=
      ( cv cn wcel wa cle wbr cif cmin co caddc cabs ccom cfv c2nd c1st cxp cin
      cr wf w3a ovolfcl sylan simp2d eqeltrid recnd adantr simp1d ifcld npncand
      wceq ioombl1lem1 simpld eqid ovolfsval cop cvv opex fvmpt2 sylancl fveq2d
      simpr op2ndg syl2anc eqtrd op1stg oveq12d simprd oveq12i eqtr4di 3eqtr4d
      ) AJUJZUKULZUMZFEBUNUOZBEUPZFUNUOZXDFUPZUQURZXFEUQURZUSURFEUQURZWTUTUQVAZ
      MVAZVBZWTXJNVAZVBZUSURWTXJLVAZVBZXBFXFEXBFXBFWTLVBZVCVBZVGUGXBXQVDVBZVGUL
      ZXRVGULZXSXRUNUOZAUKUNVGVGVEVFZLVHZXAXTYAYBVIUCLWTVJVKZVLVMZVNXBXFXBXEXDF
      VGXBXCBEVGABVGULXAPVOXBEXSVGUFXBXTYAYBYEVPVMZVQYFVQZVNXBEYGVNVRXBXLXGXNXH
      USXBXLWTMVBZVCVBZYIVDVBZUQURZXGAUKYCMVHZXAXLYLVSAYMUKYCNVHZABCDEFGHIJKLMN
      OPQRSTUAUBUCUDUEUFUGUHUIVTZWAMXKWTXKWBWCVKXBYJFYKXFUQXBYJXFFWDZVCVBZFXBYI
      YPVCXBXAYPWEULYIYPVSAXAWJZXFFWFJUKYPWEMUHWGWHZWIXBXFVGULZFVGULZYQFVSYHYFX
      FFVGVGWKWLWMXBYKYPVDVBZXFXBYIYPVDYSWIXBYTUUAUUBXFVSYHYFXFFVGVGWNWLWMWOWMX
      BXNWTNVBZVCVBZUUCVDVBZUQURZXHAYNXAXNUUFVSAYMYNYOWPNXMWTXMWBWCVKXBUUDXFUUE
      EUQXBUUDEXFWDZVCVBZXFXBUUCUUGVCXBXAUUGWEULUUCUUGVSYREXFWFJUKUUGWENUIWGWHZ
      WIXBEVGULZYTUUHXFVSYGYHEXFVGVGWKWLWMXBUUEUUGVDVBZEXBUUCUUGVDUUIWIXBUUJYTU
      UKEVSYGYHEXFVGVGWNWLWMWOWMWOXBXPXRXSUQURZXIAYDXAXPUULVSUCLXOWTXOWBWCVKFXR
      EXSUQUGUFWQWRWS $.

    $( Lemma for ~ ioombl1 .  (Contributed by Mario Carneiro, 16-Jun-2014.) $)
    ioombl1lem4 $p |- ( ph -> ( ( vol* ` ( E i^i B ) ) +
                ( vol* ` ( E \ B ) ) ) <_ ( ( vol* ` E ) + C ) ) $=
      ( vx vz vj vk cin covol cfv caddc co crn cxr clt csup wss cr wcel mp3an2i
      ovolsscl cle cc0 cpnf cn simpld ccom eqid ovolsf syl frnd rge0ssre sstrdi
      wf cdm c0 wne c1 1nn fdmd eleqtrrid ne0d dm0rn0 necon3bii sylib wral wrex
      cv wbr wa ffvelrnda sselid adantr cseq nnuz ovolfsf syl2an elrege0 simprd
      simpr breqtrd fveq1i cli eqidd wfn syl2anc ralrimiva brralrspcev isumsup2
      ffnd wceq wb breq1 ralrn rexbidv mpbird supxrre syl3anc adantlr cuni c1st
      letrd c2nd cvv sylancl fveq2d ifcld eqtrd ad2ant2r ad2antrr syl5bir recnd
      wi mpd cdif inss1 difss readdcld ioombl1lem2 rpred cico cxp cabs cmin cuz
      ioombl1lem1 eleqtrdi simpl elfznn addge01d mpbid ioombl1lem3 3brtr4g 1zzd
      serle icossxr fnfvelrn sylan supxrub breqtrrd eqbrtrrid climserle suprcld
      cfz eqbrtrid addge02d cicc cioo ssralv breq1i w3a ovolfcl simp1d eqeltrid
      ax-mp sstrid sselda ltle cif opex fvmpt2 simp2d op1stg simplr sseldd min1
      cop elinel2 rexrd pnfxr elioo2 eleq2i ltpnf pm4.71i df-3an bitr4i 3bitr4g
      syl6bi ltled simprr ifboth eqbrtrd expr syld breq2i op2ndg breq2d sylibrd
      ad2antlr anim12d reximdva ralimdva syl5 ovolfioo ovolficc 3imtr4d ovollb2
      breq1d wn eldifn biantrurd bitr4d mtbird max2 breq2 le2addd seqex eqeltri
      nltled a1i cc eqcomd seradd oveq12i 3eqtr4g climadd climuni ) AKCUNZUOUPZ
      KCUUAZUOUPZUQURZGUSZUTVAVBZKUOUPZDUQURAVUEVUGVUDKVCZAKVDVCZVUKVDVEZVUEVDV
      EKCUUBZQRVUDKVGVFZVUFKVCZAVUMVUNVUGVDVEKCUUCZQRVUFKVGVFZUUDABCDEFGHIJKLMN
      OPQRSTUAUBUCUDUEUFUGUHUIUUEZAVUKDRADSUUFUUDAVUHHUSZVDVAVBZIUSZVDVAVBZUQUR
      ZVUJVHAVUEVUGVVBVVDVUPVUSAUJUKVVAAVVAVIVJUUGURZVDAVKVVFHAVKVHVDVDUUHUNZMV
      TZVKVVFHVTAVVHVKVVGNVTZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUULZVLZHMUUI
      UUJVMZMVMZVVMVNZUAVOVPZVQVRVSZAHWAZWBWCVVAWBWCZAVVQWDAWDVKVVQWEAVKVVFHVVO
      WFWGWHVVQWBVVAWBHWIWJWKZAUKWNZUJWNZVHWOZUKVVAWLZUJVDWMZULWNZHUPZVWAVHWOZU
      LVKWLZUJVDWMZAVUJVDVEZVWFVUJVHWOZULVKWLVWIVUTAVWKULVKAVWEVKVEZWPZVWFVWEGU
      PZVUJVWMVVFVDVWFVRAVKVVFVWEHVVOWQWRZVWMVVFVDVWNVRAVKVVFVWEGAVKVVGLVTZVKVV
      FGVTUCGLVVLLVMZVWQVNZTVOVPZWQWRZAVWJVWLVUTWSZVWMVWEUQVVMWDWTZUPZVWEUQVWQW
      DWTZUPZVWFVWNVHVWMJVVMVWQWDVWEVWMVWEVKWDUUKUPAVWLXFZXAUUMZVWMAJWNZVKVEZVX
      HVVMUPZVDVEZVXHWDVWEUVJURVEZAVWLUUNZVXHVWEUUOZAVXIWPZVVFVDVXJVRAVKVVFVXHV
      VMAVVHVKVVFVVMVTVVKMVVMVVNXBVPWQZWRZXCVWMAVXIVXHVWQUPZVDVEZVXLVXMVXNVXOVX
      SVIVXRVHWOZVXOVXRVVFVEVXSVXTWPAVKVVFVXHVWQAVWPVKVVFVWQVTUCLVWQVWRXBVPWQVX
      RXDWKZVLZXCZVWMAVXIVXJVXRVHWOVXLVXMVXNVXOVXJVXJVXHVVLNVMZUPZUQURZVXRVHVXO
      VIVYEVHWOZVXJVYFVHWOVXOVYEVDVEZVYGVXOVYEVVFVEVYHVYGWPAVKVVFVXHVYDAVVIVKVV
      FVYDVTAVVHVVIVVJXEZNVYDVYDVNZXBVPWQVYEXDWKZXEZVXOVXJVYEVXQVXOVYHVYGVYKVLZ
      UUPUUQABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUURZXGXCUVAVWEHVXBUAXHZVWEGVX
      DTXHZUUSVWMVWNVXEVUJVHVYPVWMVUJJVWQWDVWEVKXAVXFVWMVXDGVUJXITAGVUJXIWOZVWL
      AGVUIVDVAVBZVUJXIAUJVXRUMJVWQGWDVKXATAUUTZVXOVXRXJVYBVXOVXSVXTVYAXEZAVWJU
      MWNZGUPZVUJVHWOZUMVKWLWUBVWAVHWOZUMVKWLZUJVDWMZVUTAWUCUMVKAWUAVKVEZWPVUIU
      TVCZWUBVUIVEZWUCAWUHWUGAVUIVVFUTAVKVVFGVWSVQZVIVJUVBVSWSAGVKXKZWUGWUIAVKV
      VFGVWSXPZVKWUAGUVCUVDVUIWUBUVEXLXMUJUMWUBVUJVHVDVKXNXLZXOAVUIVDVCVUIWBWCZ
      VWBUKVUIWLZUJVDWMZVUJVYRXQAVUIVVFVDWUJVRVSAGWAZWBWCWUNAWUQWDAWDVKWUQWEAVK
      VVFGVWSWFWGWHWUQWBVUIWBGWIWJWKAWUPWUFWUMAWUOWUEUJVDAWUKWUOWUEXRWULVWBWUDU
      KUMVKGVVTWUBVWAVHXSXTVPYAYBUJUKVUIYCYDUVFZWSUVGAVXIVXSVWLVYBYEAVXIVXTVWLV
      YTYEUVHUVKZYHXMUJULVWFVUJVHVDVKXNXLZAVWCVWHUJVDAHVKXKVWCVWHXRAVKVVFHVVOXP
      VWBVWGUKULVKHVVTVWFVWAVHXSXTVPYAYBZUVIAUJUKVVCAVVCVVFVDAVKVVFIAVVIVKVVFIV
      TVYIINVYDVYJUBVOVPZVQVRVSZAIWAZWBWCVVCWBWCZAWVDWDAWDVKWVDWEAVKVVFIWVBWFWG
      WHWVDWBVVCWBIWIWJWKZAVWBUKVVCWLZUJVDWMZVWEIUPZVWAVHWOZULVKWLZUJVDWMZAVWJW
      VIVUJVHWOZULVKWLWVLVUTAWVMULVKVWMWVIVWNVUJVWMVVFVDWVIVRAVKVVFVWEIWVBWQWRZ
      VWTVXAVWMVWEUQVYDWDWTZUPZVXEWVIVWNVHVWMJVYDVWQWDVWEVXGVWMAVXIVYHVXLVXMVXN
      VYMXCVYCVWMAVXIVYEVXRVHWOVXLVXMVXNVXOVYEVYFVXRVHVXOVIVXJVHWOZVYEVYFVHWOVX
      OVXKWVQVXOVXJVVFVEVXKWVQWPVXPVXJXDWKXEZVXOVYEVXJVYMVXQUVLUUQVYNXGXCUVAVWE
      IWVOUBXHZVYPUUSWUSYHXMUJULWVIVUJVHVDVKXNXLZAWVGWVKUJVDAIVKXKWVGWVKXRAVKVV
      FIWVBXPVWBWVJUKULVKIVVTWVIVWAVHXSXTVPYAYBZUVIAVUEVVAUTVAVBZVVBVHAVVHVUDUV
      MMVMUSYFVCZVUEWWBVHWOVVKAKUVNLVMUSYFVCZWWCUDAVXHLUPZYGUPZVWAVAWOZVWAWWEYI
      UPZVAWOZWPZJVKWMZUJKWLZVXHMUPZYGUPZVWAVHWOZVWAWWMYIUPZVHWOZWPZJVKWMZUJVUD
      WLZWWDWWCWWLWWKUJVUDWLZAWWTVULWWLWXAYSVUOWWKUJVUDKUVOUWAAWWKWWSUJVUDAVWAV
      UDVEZWPZWWJWWRJVKWXCVXIWPZWWGWWOWWIWWQWWGEVWAVAWOZWXDWWOEWWFVWAVAUFUVPZWX
      DWXEEVWAVHWOZWWOWXDEVDVEZVWAVDVEZWXEWXGYSZAVXIWXHWXBVXOEWWFVDUFVXOWWFVDVE
      ZWWHVDVEZWWFWWHVHWOZAVWPVXIWXKWXLWXMUVQUCLVXHUVRUVDZUVSUVTZYEWXCWXIVXIAVU
      DVDVWAAVUDKVDVUOQUWBZUWCWSZEVWAUWDZXLWXCVXIWXGWWOWXCVXIWXGWPZWPZWWNEBVHWO
      ZBEUWEZFVHWOZWYBFUWEZVWAVHAVXIWWNWYDXQWXBWXGVXOWWNWYDFUWMZYGUPZWYDVXOWWMW
      YEYGVXOVXIWYEYJVEWWMWYEXQAVXIXFZWYDFUWFJVKWYEYJMUHUWGYKZYLVXOWYDVDVEZFVDV
      EZWYFWYDXQVXOWYCWYBFVDVXOWYABEVDABVDVEZVXIPWSWXOYMZVXOFWWHVDUGVXOWXKWXLWX
      MWXNUWHUVTZYMZWYMWYDFVDVDUWIXLYNYOWXTWYDWYBVWAAVXIWYIWXBWXGWYNYOAVXIWYBVD
      VEZWXBWXGWYLYOZWXTVUDVDVWAAVUDVDVCZWXBWXSWXPYPAWXBWXSUWJUWKZWXTWYOWYJWYDW
      YBVHWOWYPAVXIWYJWXBWXGWYMYOWYBFUWLXLWXTBVWAVHWOZWXGWYBVWAVHWOZWXTBVWAAWYK
      WXBWXSPYPWYRWXTVWACVEZBVWAVAWOZWXBXUAAWXSVWAKCUWNUXOAXUAXUBYSWXBWXSAXUAWX
      IXUBWPZXUBAVWABVJUVNURZVEZWXIXUBVWAVJVAWOZUVQZXUAXUCABUTVEVJUTVEXUEXUGXRA
      BPUWOUWPBVJVWAUWQYKCXUDVWAOUWRXUCXUCXUFWPXUGXUCXUFWXIXUFXUBVWAUWSWSUWTWXI
      XUBXUFUXAUXBUXCZWXIXUBXFUXDYPYTUXEWXCVXIWXGUXFWYAWYSWXGWYTBEBWYBVWAVHXSEW
      YBVWAVHXSUXGXLYHUXHUXIUXJYQWXDWWIVWAFVHWOZWWQWWIVWAFVAWOZWXDXUIFWWHVWAVAU
      GUXKZWXDWXIWYJXUJXUIYSZWXQAVXIWYJWXBWYMYEVWAFUWDZXLYQWXDWWPFVWAVHAVXIWWPF
      XQWXBVXOWWPWYEYIUPZFVXOWWMWYEYIWYHYLVXOWYIWYJXUNFXQWYNWYMWYDFVDVDUXLXLYNY
      EUXMUXNUXPUXQUXRUXSAVUMVWPWWDWWLXRQUCUJKJLUXTXLZAWYQVVHWWCWWTXRWXPVVKUJVU
      DJMUYAXLUYBYTVUDHMUAUYCXLAVVAVDVCVVRVWDWWBVVBXQVVPVVSWVAUJUKVVAYCYDXGAVUG
      VVCUTVAVBZVVDVHAVVIVUFUVMNVMUSYFVCZVUGXUPVHWOVYIAWWDXUQUDAWWLVXHNUPZYGUPZ
      VWAVHWOZVWAXURYIUPZVHWOZWPZJVKWMZUJVUFWLZWWDXUQWWLWWKUJVUFWLZAXVEVUQWWLXV
      FYSVURWWKUJVUFKUVOUWAAWWKXVDUJVUFAVWAVUFVEZWPZWWJXVCJVKXVHVXIWPZWWGXUTWWI
      XVBXVIWWGWXGXUTWWGWXEXVIWXGWXFXVIWXHWXIWXJAVXIWXHXVGWXOYEXVHWXIVXIAVUFVDV
      WAAVUFKVDVURQUWBZUWCWSZWXRXLYQXVIXUSEVWAVHAVXIXUSEXQXVGVXOXUSEWYDUWMZYGUP
      ZEVXOXURXVLYGVXOVXIXVLYJVEXURXVLXQWYGEWYDUWFJVKXVLYJNUIUWGYKZYLVXOWXHWYIX
      VMEXQWXOWYNEWYDVDVDUWIXLYNYEUYDUXNWWIXUJXVIXVBXUKXVIXUJXUIXVBXVIWXIWYJXUL
      XVKAVXIWYJXVGWYMYEXUMXLXVHVXIXUIXVBXVHVXIXUIWPZWPZVWAWYDXVAVHXVPVWAWYBVHW
      OZXUIVWAWYDVHWOZXVPVWABWYBXVPVUFVDVWAAVUFVDVCZXVGXVOXVJYPAXVGXVOUWJUWKZAW
      YKXVGXVOPYPZXVPWYABEVDXWAAVXIWXHXVGXUIWXOYOZYMXVPVWABXVTXWAXVPXUBXUAXVGXU
      AUYEAXVOVWAKCUYFUXOXVPXUBXUCXUAXVPWXIXUBXVTUYGAXUAXUCXRXVGXVOXUHYPUYHUYIU
      YOXVPWXHWYKBWYBVHWOXWBXWAEBUYJXLYHXVHVXIXUIUXFWYCXVQXUIXVRWYBFWYBWYDVWAVH
      UYKFWYDVWAVHUYKUXGXLAVXIXVAWYDXQXVGXUIVXOXVAXVLYIUPZWYDVXOXURXVLYIXVNYLVX
      OWXHWYIXWCWYDXQWXOWYNEWYDVDVDUXLXLYNYOUVFUXIUXJYQUXPUXQUXRUXSXUOAXVSVVIXU
      QXVEXRXVJVYIUJVUFJNUYAXLUYBYTVUFINUBUYCXLAVVCVDVCWVEWVHXUPVVDXQWVCWVFWWAU
      JUKVVCYCYDXGUYLAGVVEXIWOVYQVVEVUJXQAVVBVVDULHIGWDYJVKXAVYSAUJVXJULJVVMHWD
      VKXAUAVYSVXOVXJXJVXQWVRWUTXOGYJVEAGVXDYJTUQVWQWDUYMUYNUYPAUJVYEULJVYDIWDV
      KXAUBVYSVXOVYEXJVYMVYLWVTXOVWMVWFVWOYRVWMWVIWVNYRVWMVXEVXCWVPUQURVWNVWFWV
      IUQURVWMJVVMVYDVWQWDVWEVXGVWMAVXIVXJUYQVEVXLVXMVXNVXOVXJVXQYRXCVWMAVXIVYE
      UYQVEVXLVXMVXNVXOVYEVYMYRXCVWMAVXIVXRVYFXQVXLVXMVXNVXOVYFVXRVYNUYRXCUYSVY
      PVWFVXCWVIWVPUQVYOWVSUYTVUAVUBWURVVEVUJGVUCXLXGUEYH $.
  $}

  ${
    $d f m n x y A $.
    $( An open right-unbounded interval is measurable.  (Contributed by Mario
       Carneiro, 16-Jun-2014.)  (Proof shortened by Mario Carneiro,
       25-Mar-2015.) $)
    ioombl1 $p |- ( A e. RR* -> ( A (,) +oo ) e. dom vol ) $=
      ( vx vy vf vm wcel cr cpnf cioo co wss cv cfv caddc cle wbr wa ccom eqid
      cn vn cxr wceq cmnf w3o cvol cdm elxr covol cin cdif cpw wral ioossre a1i
      wi elpwi crp crn cuni cabs cmin c1 cseq clt csup cxp cmap simplrl simplrr
      wrex ovolgelb syl3anc c1st c2nd cif cop cmpt simplll adantr simplr simprl
      simpr wf elovolmlem sylib simprrl simprrr 2fveq3 breq1d breq12d ifbieq12d
      ifbieq2d opeq12d ioombl1lem4 rexlimddv ralrimiva wb inss1 ovolsscl mp3an1
      cbvmptv adantl readdcld simprr alrple syl2anc mpbird expr sylan2 sylanbrc
      difss ismbl2 c0 oveq1 iooid eqtrdi 0mbl eqeltrdi ioomax rembl 3jaoi sylbi
      ) AUBFAGFZAHUCZAUDUCZUEAHIJZUFUGZFZAUHYDYIYEYFYDYGGKZBLZUIMZGFZYKYGUJZUIM
      ZYKYGUKZUIMZNJZYLOPZUPZBGULZUMYIYJYDAHUNUOYDYTBUUAYKUUAFYDYKGKZYTYKGUQYDU
      UBYMYSYDUUBYMQZQZYSYRYLCLZNJZOPZCURUMZUUDUUGCURUUDUUEURFZQZYKIDLZRUSUTKZN
      VAVBRZUUKRVCVDZUSUBVEVFUUFOPZQZUUGDOGGVGUJZTVHJZUUJUUBYMUUIUUPDUURVKYDUUB
      YMUUIVIZYDUUBYMUUIVJZUUDUUIWCYKUUEUUNDUUNSZVLVMUUJUUKUURFZUUPQZQZAYGUUEUA
      LZUUKMZVNMZUVFVOMZUUNNUUMETELZUUKMZVNMZAOPZAUVKVPZUVJVOMZOPZUVMUVNVPZUVNV
      QZVRZRVCVDZNUUMETUVKUVPVQZVRZRVCVDZUAYKUUKUVRUWAYGSYDUUCUUIUVCVSUUJUUBUVC
      UUSVTUUJYMUVCUUTVTUUDUUIUVCWAUVAUVSSUWBSUVDUVBTUUQUUKWDUUJUVBUUPWBOUUKWEW
      FUUJUVBUULUUOWGUUJUVBUULUUOWHUVGSUVHSEUATUVQUVGAOPZAUVGVPZUVHOPZUWDUVHVPZ
      UVHVQUVIUVEUCZUVPUWFUVNUVHUWGUVOUWEUVMUVNUWDUVHUWGUVMUWDUVNUVHOUWGUVLUWCU
      VKUVGAUWGUVKUVGAOUVIUVEVNUUKWIZWJUWHWMZUVIUVEVOUUKWIZWKUWIUWJWLZUWJWNXBEU
      ATUVTUVGUWFVQUWGUVKUVGUVPUWFUWHUWKWNXBWOWPWQUUDYRGFYMYSUUHWRUUDYOYQUUCYOG
      FZYDYNYKKUUBYMUWLYKYGWSYNYKWTXAXCUUCYQGFZYDYPYKKUUBYMUWMYKYGXLYPYKWTXAXCX
      DYDUUBYMXECYRYLXFXGXHXIXJWQBYGXMXKYEYGXNYHYEYGHHIJXNAHHIXOHXPXQXRXSYFYGGY
      HYFYGUDHIJGAUDHIXOXTXQYAXSYBYC $.
  $}

  $( A closed unbounded-above interval is measurable.  (Contributed by Mario
     Carneiro, 16-Jun-2014.) $)
  icombl1 $p |- ( A e. RR -> ( A [,) +oo ) e. dom vol ) $=
    ( cr wcel csn cpnf cioo cun cico cvol cdm cxr clt wbr wceq rexr pnfxr ltpnf
    co a1i syl2anc snunioo syl3anc wss covol cfv cc0 snssi ovolsn ioombl1 unmbl
    nulmbl syl eqeltrrd ) ABCZADZAEFRZGZAEHRZIJZUNAKCZEKCZAELMUQURNAOZVAUNPSAQA
    EUAUBUNUOUSCZUPUSCZUQUSCUNUOBUCUOUDUEUFNVCABUGAUHUOUKTUNUTVDVBAUIULUOUPUJTU
    M $.

  $( A closed-below, open-above real interval is measurable.  (Contributed by
     Mario Carneiro, 16-Jun-2014.) $)
  icombl $p |- ( ( A e. RR /\ B e. RR* ) -> ( A [,) B ) e. dom vol ) $=
    ( cr wcel cxr wa clt wbr cico co cpnf cun wceq ad2antrr pnfxr wi c0 syl2anc
    cle wb cvol cdm cdif uncom rexr simplr a1i xrltle sylan imp pnfge syl icoun
    syl32anc syl5eq wss cin ssun1 sseqtrid incom icodisj mp3an3 uneqdifeq mpbid
    icombl1 xrleloe simpr w3a xrre2 expr syl31anc orim1d oveq1 ax-mp ico0 mp2an
    wo mpbir eqtrdi 0mbl eqeltrdi jaoi difmbl eqeltrrd wn adantr xrlenltd bitrd
    mpd biimpar pm2.61dan ) ACDZBEDZFZABGHZABIJZUAUBZDWNWOFZAKIJZBKIJZUCZWPWQWR
    WTWPLZWSMZXAWPMZWRXBWPWTLZWSWTWPUDWRAEDZWMKEDZABSHZBKSHZXEWSMWLXFWMWOAUEZNZ
    WLWMWOUFZXGWROUGZWNWOXHWLXFWMWOXHPXJABUHUIUJWRWMXIXLBUKULZABKUMUNUOZWRWTWSU
    PWTWPUQZQMXCXDTWRXBWTWSWTWPURXOUSWRXPWPWTUQZQWTWPUTWRXFWMXQQMZXKXLXFWMXGXRO
    ABKVAVBRUOWTWPWSVCRVDWRWSWQDZWTWQDZXAWQDWLXSWMWOAVENWRBCDZBKMZVQZXTWRBKGHZY
    BVQZYCWRXIYEXNWRWMXGXIYETXLXMBKVFRVDWRYDYAYBWRXFWMXGWOYDYAPXKXLXMWNWOVGXFWM
    XGVHWOYDYAABKVIVJVKVLWIYAXTYBBVEYBWTQWQYBWTKKIJZQBKKIVMYFQMZKKSHZXGYHOKUKVN
    XGXGYGYHTOOKKVOVPVRVSVTWAWBULWSWTWCRWDWNWOWEZFWPQWQWNWPQMZYIWNYJBASHZYIWLXF
    WMYJYKTXJABVOUIWNBAWLWMVGWLXFWMXJWFWGWHWJVTWAWK $.

  ${
    $d w x y z A $.  $d w x y z B $.
    $( An open real interval is measurable.  (Contributed by Mario Carneiro,
       16-Jun-2014.) $)
    ioombl $p |- ( A (,) B ) e. dom vol $=
      ( vx vy vz wcel wa cioo co clt wbr cmnf wceq cico c0 wb cle cr cpnf pnfxr
      cxr cvol cdm csn cdif cun snunioo 3expa adantrr wss cin lbico1 snssd cicc
      iccid ad2antrr ineq1d simpll simplr df-icc df-ioo xrltnle ixxdisj syl3anc
      vw cv eqtr3d uneqdifeq syl2anc mpbid mnfxr a1i simprr simprl xrre2 icombl
      syl32anc covol cfv cc0 ovolsn syl nulmbl difmbl eqeltrrd expr uncom mnfle
      simpr xrlelttrd pnfge df-ico xrltletr ixxun syl5eq ioomax eqtrdi sseqtrid
      xrlenlt ssun1 incom rembl wo xrleloe sylancl w3a mp3anl3 orim1d mpd oveq1
      icombl1 ax-mp ico0 mp2an mpbir 0mbl eqeltrdi jaoi eleq1d syl5ibcom mpjaod
      wi sylancr wn ioo0 ancoms bitrd biimpar pm2.61dan ndmioo pm2.61i ) AUAFZB
      UAFZGZABHIZUBUCZFZYNABJKZYQYNYRGZLAJKZYQLAMZYNYRYTYQYNYRYTGZGZABNIZAUDZUE
      ZYOYPUUCUUEYOUFUUDMZUUFYOMZYNYRUUGYTYLYMYRUUGABUGUHUIUUCUUEUUDUJUUEYOUKZO
      MUUGUUHPUUCAUUDYNYRAUUDFZYTYLYMYRUUJABULUHUIUMUUCAAUNIZYOUKZUUIOUUCUUKUUE
      YOYLUUKUUEMYMUUBAUOUPUQUUCYLYLYMUULOMYLYMUUBURZUUMYLYMUUBUSZCDEVEAABHQQJJ
      UNCDEUTCDEVAZAVEVFZVBVCVDVGUUEYOUUDVHVIVJUUCUUDYPFZUUEYPFZUUFYPFUUCARFZYM
      UUQUUCLUAFZYLYMYTYRUUSUUTUUCVKVLUUMUUNYNYRYTVMYNYRYTVNLABVOVQZUUNABVPVIUU
      CUUERUJUUEVRVSVTMZUURUUCARUVAUMUUCUUSUVBUVAAWAWBUUEWCVIUUDUUEWDVIWEWFYSLB
      HIZYPFUUAYQYSRBSNIZUEZUVCYPYSUVDUVCUFZRMZUVEUVCMZYSUVFLSHIZRYSUVFUVCUVDUF
      ZUVIUVDUVCWGYSUUTYMSUAFZLBJKBSQKZUVJUVIMUUTYSVKVLZYLYMYRUSZUVKYSTVLZYSLAB
      UVMYLYMYRURZUVNYLLAQKZYMYRAWHUPZYNYRWIWJYSYMUVLUVNBWKWBZCDEVELBSNHJJQJHJQ
      UUOCDEWLZBUUPWSZUUOUUPBSWMLBUUPWMWNVQWOWPWQZYSUVDRUJUVDUVCUKZOMUVGUVHPYSU
      VFUVDRUVDUVCWTUWBWRYSUWCUVCUVDUKZOUVDUVCXAYSUUTYMUVKUWDOMUVMUVNUVOCDEVELB
      SNJJQJHUUOUVTUWAVCVDWOUVDUVCRVHVIVJYSRYPFUVDYPFZUVEYPFXBYSBRFZBSMZXCZUWEY
      SBSJKZUWGXCZUWHYSUVLUWJUVSYSYMUVKUVLUWJPUVNTBSXDXEVJYSUWIUWFUWGYLYMUVKYRU
      WIUWFYBTYLYMUVKXFYRUWIUWFABSVOWFXGXHXIUWFUWEUWGBXKUWGUVDOYPUWGUVDSSNIZOBS
      SNXJUWKOMZSSQKZUVKUWMTSWKXLUVKUVKUWLUWMPTTSSXMXNXOWQXPXQXRWBRUVDWDYCWEUUA
      UVCYOYPLABHXJXSXTYSUVQYTUUAXCZUVRYSUUTYLUVQUWNPVKUVPLAXDYCVJYAYNYRYDZGYOO
      YPYNYOOMZUWOYNUWPBAQKZUWOABYEYMYLUWQUWOPBAWSYFYGYHXPXQYIYNYDYOOYPABYJXPXQ
      YK $.
  $}

  $( A closed real interval is measurable.  (Contributed by Mario Carneiro,
     16-Jun-2014.) $)
  iccmbl $p |- ( ( A e. RR /\ B e. RR ) -> ( A [,] B ) e. dom vol ) $=
    ( cr wcel wa cicc cdif cvol cdm wss wceq iccssre dfss4 sylib cmnf cioo cpnf
    co cun ioombl difreicc unmbl mp2an eqeltrdi cmmbl syl eqeltrrd ) ACDBCDEZCC
    ABFRZGZGZUIHIZUHUICJUKUIKABLUICMNUHUJULDUKULDUHUJOAPRZBQPRZSZULABUAUMULDUNU
    LDUOULDOATBQTUMUNUBUCUDUJUEUFUG $.

  $( A closed real interval has finite volume.  (Contributed by Mario Carneiro,
     25-Aug-2014.) $)
  iccvolcl $p |- ( ( A e. RR /\ B e. RR ) -> ( vol ` ( A [,] B ) ) e. RR ) $=
    ( cr wcel wa cicc co cvol cfv covol cdm wceq iccmbl syl wbr c0 cxr rexr cc0
    eqeltrd mblvol clt icc0 syl2an biimpar fveq2 ovol0 eqtrdi 0re eqeltrdi cmin
    wb cle ovolicc 3expa resubcl ancoms adantr simpr simpl ltlecasei ) ACDZBCDZ
    EZABFGZHIZVEJIZCVDVEHKDVFVGLABMVEUANVDVGCDZBAVDBAUBOZEVEPLZVHVDVJVIVBAQDBQD
    VJVIULVCARBRABUCUDUEVJVGSCVJVGPJISVEPJUFUGUHUIUJNVDABUMOZEVGBAUKGZCVBVCVKVG
    VLLABUNUOVDVLCDZVKVCVBVMBAUPUQURTVBVCUSVBVCUTVAT $.

  $( The measure of an open interval.  (Contributed by Mario Carneiro,
     2-Sep-2014.) $)
  ovolioo $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) ->
                  ( vol* ` ( A (,) B ) ) = ( B - A ) ) $=
    ( cr wcel wbr co covol cfv cvol mblvol syl 3adant3 cun caddc cin c0 wss cc0
    wceq clt cle w3a cioo cmin cdm ioombl ax-mp cicc wa iccmbl cpr a1i cfn prfi
    prssi ovolfi sylancr nulmbl syl2anc csn df-pr ineq2i indi eqtri simp1 ltnrd
    eliooord simpld nsyl disjsn sylibr simp2 simprd uneq12d un0 eqtrdi ioossicc
    syl5eq iccssre ovolicc resubcld eqeltrd ovolsscl mp3an2i eqeltrid eqtrd 0re
    wn eqeltrdi volun syl32anc cxr rexr id prunioo syl3an fveq2d oveq2d addid1d
    recnd 3eqtr3d eqtr3id ) ACDZBCDZABUAEZUBZABUCFZGHZXGIHZBAUDFZXGIUEZDZXIXHSA
    BUFZXGJUGZXFABUHFZIHZXOGHZXIXJXCXDXPXQSZXEXCXDUIXOXKDXRABUJXOJKLXFXGABUKZMZ
    IHZXIXSIHZNFZXPXIXFXLXSXKDZXGXSOZPSXICDYBCDYAYCSXLXFXMULXFXSCQZXSGHZRSZYDXC
    XDYFXEABCUOLZXFXSUMDYFYHABUNYIXSUPUQZXSURUSZXFYEXGAUTZOZXGBUTZOZMZPYEXGYLYN
    MZOYPXSYQXGABVAVBXGYLYNVCVDXFYPPPMPXFYMPYOPXFAXGDZWHYMPSXFAATEZYRXFAXCXDXEV
    EZVFYRYSABTEZAABVGVHVIXGAVJVKXFBXGDZWHYOPSXFBBTEZUUBXFBXCXDXEVLZVFUUBUUAUUC
    BABVGVMVIXGBVJVKVNPVOVPVRXFXIXHCXNXGXOQXFXOCQZXQCDXHCDABVQXCXDUUEXEABVSLXFX
    QXJCABVTZXFBAUUDYTWAWBXGXOWCWDWEZXFYBRCXFYBYGRXFYDYBYGSYKXSJKYJWFZWGWIXGXSW
    JWKXFXTXOIXCAWLDXDBWLDXEXEXTXOSAWMBWMXEWNABWOWPWQXFYCXIRNFXIXFYBRXINUUHWRXF
    XIXFXIUUGWTWSWFXAUUFXAXB $.

  $( The measure of an open interval.  (Contributed by Glauco Siliprandi,
     29-Jun-2017.) $)
  volioo $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) ->
    ( vol ` ( A (,) B ) ) = ( B - A ) ) $=
    ( cr wcel cle wbr w3a cioo cvol cfv covol cmin cdm wceq ioombl mblvol ax-mp
    co ovolioo syl5eq ) ACDBCDABEFGABHRZIJZUAKJZBALRUAIMDUBUCNABOUAPQABST $.

  $( An open real interval has finite volume.  (Contributed by Glauco
     Siliprandi, 29-Jun-2017.) $)
  ioovolcl $p |- ( ( A e. RR /\ B e. RR ) -> ( vol ` ( A (,) B ) ) e. RR ) $=
    ( cr wcel wa cioo co cvol cfv covol cdm wceq wbr cle c0 ancoms cxr rexr cc0
    eqeltrd ioombl mblvol mp1i clt wi ltle imdistani wb ioo0 syl2an fveq2 ovol0
    biimpar eqtrdi 0re eqeltrdi 3syl cmin ovolioo 3expa resubcl simpr ltlecasei
    adantr simpl ) ACDZBCDZEZABFGZHIZVIJIZCVIHKDVJVKLVHABUAVIUBUCVHVKCDZBAVHBAU
    DMZEVHBANMZEVIOLZVLVHVMVNVGVFVMVNUEBAUFPUGVHVOVNVFAQDBQDVOVNUHVGARBRABUIUJU
    MVOVKSCVOVKOJISVIOJUKULUNUOUPUQVHABNMZEVKBAURGZCVFVGVPVKVQLABUSUTVHVQCDZVPV
    GVFVRBAVAPVDTVFVGVBVFVGVEVCT $.

  ${
    $d x y $.  $d n x F $.  $d n G $.
    ovolfs2.1 $e |- G = ( ( abs o. - ) o. F ) $.
    $( Alternative expression for the interval length function.  (Contributed
       by Mario Carneiro, 26-Mar-2015.) $)
    ovolfs2 $p |- ( F : NN --> ( <_ i^i ( RR X. RR ) ) ->
      G = ( ( vol* o. (,) ) o. F ) ) $=
      ( vn vx vy cn cle cr cxp wf cv cfv cmpt cioo covol wcel co cxr feqmptd wa
      cin ccom c1st c2nd cmin wbr w3a wceq ovolfcl ovolioo syl inss2 rexpssxrxp
      cop sstri ffvelrn sselid 1st2nd2 fveq2d df-ov eqtr4di ovolfsval mpteq2dva
      3eqtr4rd cc0 cpnf cico ovolfsf id cpw ioof a1i ffvelrnda cicc ovolf fveq2
      fmptco 2fveq3 3eqtr4d ) GHIIJZUBZAKZDGDLZBMZNDGWDAMZOMZPMZNBPOUCZAUCWCDGW
      EWHWCWDGQUAZWFUDMZWFUEMZORZPMZWLWKUFRZWHWEWJWKIQWLIQWKWLHUGUHWNWOUIAWDUJW
      KWLUKULWJWGWMPWJWGWKWLUOZOMWMWJWFWPOWJWFSSJZQWFWPUIWJWBWQWFWBWAWQHWAUMUNU
      PGWBWDAUQURZWFSSUSULUTWKWLOVAVBUTABWDCVCVEVDWCDGVFVGVHRBABCVITWCDEGWQWFEL
      ZOMZPMZWHAWIWRWCDGWBAWCVJTWCEFWQIVKZWTFLZPMXAOPWCWQXBWSOWQXBOKWCVLVMZVNWC
      EWQXBOXDTWCFXBVFVGVORZPXBXEPKWCVPVMTXCWTPVQVRWSWFPOVSVRVT $.
  $}

  ${
    $d z A $.  $d z B $.
    $( An open interval with finite volume has real endpoints.  (Contributed by
       Mario Carneiro, 26-Mar-2015.) $)
    ioorcl2 $p |- ( ( ( A (,) B ) =/= (/) /\ ( vol* ` ( A (,) B ) ) e. RR ) ->
      ( A e. RR /\ B e. RR ) ) $=
      ( vz cioo co covol cfv cr wcel wa cmin cxr clt wbr adantr adantl cle wceq
      rexrd wss c0 wne cv wex wi n0 c1 elioore peano2re resubcld eliooxr simpld
      caddc ltp1 wn 0red simpr ioossre ovolge0 mp1i lep1 letrd subge02d ovolioo
      cc0 mpbid syl3anc recnd nncand eqtrd iooss1 sylan simprd eliooord xrltled
      iooss2 syl2anc sstrd ovolss sylancl eqbrtrrd xrlenltd lenltd 3imtr3d mt4d
      ex xrre2 syl32anc readdcld addge01d pncan2d jca exlimiv sylbi imp ) ABDEZ
      UAUBZWPFGZHIZAHIZBHIZJZWQCUCZWPIZCUDWSXBUEZCWPUFXDXECXDWSXBXDWSJZWTXAXFXC
      WRUGUMEZKEZLIALIZXCLIZXHAMNZAXCMNZWTXFXHXFXCXGXDXCHIZWSXCABUHOZWSXGHIXDWR
      UIPZUJZSZXFXIBLIZXDXIXRJWSXCABUKOZULZXFXCXNSZXFWRXGMNZXKWSYBXDWRUNPZXFAXH
      QNZXGWRQNZXKUOYBUOZXFYDYEXFYDJZXHXCDEZFGZXGWRQXFYIXGRYDXFYIXCXHKEZXGXFXHH
      IXMXHXCQNZYIYJRXPXNXFVEXGQNZYKXFVEWRXGXFUPXDWSUQZXOWPHTZVEWRQNXFABURZWPUS
      UTWSWRXGQNXDWRVAPVBZXFXCXGXNXOVCVFXHXCVDVGXFXCXGXFXCXNVHZXFXGXOVHZVIVJOYG
      YHWPTYNYIWRQNYGYHAXCDEZWPXFXIYDYHYSTXTAXHXCVKVLXFYSWPTZYDXFXRXCBQNYTXFXIX
      RXSVMZXFXCBYAUUAXFXLXCBMNZXDXLUUBJWSXCABVNOZVMZVOAXCBVPVQOVRYOYHWPVSVTWAW
      FXFAXHXTXQWBXFXGWRXOYMWCZWDWEXFXLUUBUUCULZXHAXCWGWHXFXJXRXCXGUMEZLIUUBBUU
      GMNZXAYAUUAXFUUGXFXCXGXNXOWIZSZUUDXFYBUUHYCXFUUGBQNZYEUUHUOYFXFUUKYEXFUUK
      JZXCUUGDEZFGZXGWRQXFUUNXGRUUKXFUUNUUGXCKEZXGXFXMUUGHIXCUUGQNZUUNUUORXNUUI
      XFYLUUPYPXFXCXGXNXOWJVFXCUUGVDVGXFXCXGYQYRWKVJOUULUUMWPTYNUUNWRQNUULUUMXC
      BDEZWPXFXRUUKUUMUUQTUUAXCUUGBVPVLXFUUQWPTZUUKXFXIAXCQNUURXTXFAXCXTYAUUFVO
      AXCBVKVQOVRYOUUMWPVSVTWAWFXFUUGBUUJUUAWBUUEWDWEXCBUUGWGWHWLWFWMWNWO $.
  $}

  ${
    $d a b w x y z A $.  $d w x y z B $.  $d a b F $.
    ioorf.1 $e |- F = ( x e. ran (,) |-> if ( x = (/) , <. 0 , 0 >. ,
      <. inf ( x , RR* , < ) , sup ( x , RR* , < ) >. ) ) $.
    $( Define a function from open intervals to their endpoints.  (Contributed
       by Mario Carneiro, 26-Mar-2015.)  (Revised by AV, 13-Sep-2020.) $)
    ioorf $p |- F : ran (,) --> ( <_ i^i ( RR* X. RR* ) ) $=
      ( va vb vy vz vw cioo cle cxr cv c0 wceq cc0 cop clt wcel wa wbr crn cinf
      cxp cin csup cif co wrex cr cpw wf wfn wb ioof ffn ovelrn mp2b 0le0 df-br
      mpbi 0xr opelxpi mp2an elini a1i simplr infeq1d wne simplll simpllr simpr
      neqned eqnetrrd df-ioo idd xrltle ixxlb syl3anc eqtrd supeq1d ixxub ioon0
      wn opeq12d ad2antrr mpbid wi mpd sylib elind ifclda rexlimivv sylbi fmpti
      eqeltrd ex ) AIUAZJKKUCZUDZALZMNZOOPZWTKQUBZWTKQUEZPZUFZBCWTWQRZWTDLZELZI
      UGZNZEKUHDKUHZXFWSRZWRUIUJZIUKIWRULXGXLUMUNWRXNIUODEKKWTIUPUQXKXMDEKKXHKR
      ZXIKRZSZXKXMXQXKSZXAXBXEWSXBWSRXRXASXBJWROOJTXBJRUROOJUSUTOKRZXSXBWRRVAVA
      OOKKVBVCVDVEXRXAWCZSZXEXHXIPZWSYAXCXHXDXIYAXCXJKQUBZXHYAKWTXJQXQXKXTVFZVG
      YAXOXPXJMVHZYCXHNXOXPXKXTVIZXOXPXKXTVJZYAWTXJMYDYAWTMXRXTVKVLVMZAFGHXHXIQ
      QIAFGVNZHLZKRZXPSYJXIQTVOZYJXIVPZXOYKSXHYJQTVOZXHYJVPZVQVRVSYAXDXJKQUEZXI
      YAKWTXJQYDVTYAXOXPYEYPXINYFYGYHAFGHXHXIQQIYIYLYMYNYOWAVRVSWDYAJWRYBYAXHXI
      JTZYBJRYAXHXIQTZYQYAYEYRYHXQYEYRUMXKXTXHXIWBWEWFXQYRYQWGXKXTXHXIVPWEWHXHX
      IJUSWIXQYBWRRXKXTXHXIKKVBWEWJWOWKWPWLWMWN $.

    $( Define a function from open intervals to their endpoints.  (Contributed
       by Mario Carneiro, 26-Mar-2015.)  (Revised by AV, 13-Sep-2020.) $)
    ioorval $p |- ( A e. ran (,) -> ( F ` A ) = if ( A = (/) , <. 0 , 0 >. ,
      <. inf ( A , RR* , < ) , sup ( A , RR* , < ) >. ) ) $=
      ( cv wceq cc0 cop cxr clt cinf csup cif cioo crn eqeq1 infeq1 supeq1 opex
      c0 opeq12d ifbieq2d ifex fvmpt ) ABAEZTFZGGHZUEIJKZUEIJLZHZMBTFZUGBIJKZBI
      JLZHZMNOCUEBFZUFUKUJUNUGUEBTPUOUHULUIUMIUEBJQIUEBJRUAUBDUKUGUNGGSULUMSUCU
      D $.

    $( The function ` F ` is an "inverse" of sorts to the open interval
       function.  (Contributed by Mario Carneiro, 26-Mar-2015.)  (Revised by
       AV, 13-Sep-2020.) $)
    ioorinv2 $p |- ( ( A (,) B ) =/= (/) ->
      ( F ` ( A (,) B ) ) = <. A , B >. ) $=
      ( vy vz vw cioo c0 wceq cc0 cop cxr clt wcel cv wa wbr idd co wne cfv cif
      cinf csup crn ioorebas ioorval ax-mp ifnefalse wex eliooxr exlimiv simpld
      n0 sylbi simprd id df-ioo xrltle ixxlb syl3anc ixxub opeq12d eqtrd syl5eq
      ) BCIUAZJUBZVHDUCZVHJKLLMZVHNOUEZVHNOUFZMZUDZBCMZVHIUGPVJVOKBCUHAVHDEUIUJ
      VIVOVNVPVHJVKVNUKVIVLBVMCVIBNPZCNPZVIVLBKVIVQVRVIAQZVHPZAULVQVRRZAVHUPVTW
      AAVSBCUMUNUQZUOZVIVQVRWBURZVIUSZAFGHBCOOIAFGUTZHQZNPZVRRWGCOSTZWGCVAZVQWH
      RBWGOSTZBWGVAZVBVCVIVQVRVIVMCKWCWDWEAFGHBCOOIWFWIWJWKWLVDVCVEVFVG $.

    $( The function ` F ` is an "inverse" of sorts to the open interval
       function.  (Contributed by Mario Carneiro, 26-Mar-2015.)  (Revised by
       AV, 13-Sep-2020.) $)
    ioorinv $p |- ( A e. ran (,) -> ( (,) ` ( F ` A ) ) = A ) $=
      ( va vb cioo wcel c0 wceq cfv cv co cxr wrex wi wne cop fveq2d cc0 crn wn
      cxp cr cpw wf wfn wb ioof ffn ovelrn mp2b wa ioorinv2 df-ov eqtr4di df-ne
      neeq1 bitr3id 2fveq3 eqeq12d imbi12d mpbiri a1i rexlimivv sylbi cinf csup
      clt cif ioorebas ioorval ax-mp iooid iftruei fveq2i eqtr4i eqeq2i biimpri
      id eqtri 3eqtr4a pm2.61d2 ) BGUAZHZBIJZBCKZGKZBJZWEBELZFLZGMZJZFNOENOZWFU
      BZWIPZNNUCZUDUEZGUFGWQUGWEWNUHUIWQWRGUJEFNNBGUKULWMWPEFNNWMWPPWJNHWKNHUMW
      MWPWLIQZWLCKZGKZWLJZPWSXAWJWKRZGKWLWSWTXCGAWJWKCDUNSWJWKGUOUPWMWOWSWIXBWO
      BIQWMWSBIUQBWLIURUSWMWHXABWLBWLGCUTWMVTVAVBVCVDVEVFWFTTGMZCKZGKZXDWHBXFTT
      RZGKXDXEXGGXEXDIJZXGXDNVIVGXDNVIVHRZVJZXGXDWDHXEXJJTTVKAXDCDVLVMXHXGXITVN
      ZVOWAVPTTGUOVQWFWGXEGWFBXDCBXDJWFXDIBXKVRVSZSSXLWBWC $.

    $( The function ` F ` does not always return real numbers, but it does on
       intervals of finite volume.  (Contributed by Mario Carneiro,
       26-Mar-2015.)  (Revised by AV, 13-Sep-2020.) $)
    ioorcl $p |- ( ( A e. ran (,) /\ ( vol* ` A ) e. RR ) ->
      ( F ` A ) e. ( <_ i^i ( RR X. RR ) ) ) $=
      ( va vb cioo wcel covol cfv cr wa cle cxp cxr c0 wceq cc0 cop wi ffvelrni
      crn cin ioorf adantr elin1d clt cinf csup cif ioorval iftrue sylan9eq 0re
      opelxpi mp2an eqeltrdi wne cv co wrex cpw wf wfn ioof ffn ovelrn ioorinv2
      mp2b adantl ioorcl2 ancoms syl eqeltrd fveq2 eleq1d neeq1 anbi12d imbi12d
      wb mpbiri a1i rexlimivv sylbi impl pm2.61dane elind ) BGUBZHZBIJZKHZLZMKK
      NZBCJZWLMOONZWNWIWNMWOUCZHWKWHWPBCACDUDUAUEUFWLWNWMHZBPWLBPQZLWNRRSZWMWLW
      RWNWRWSBOUGUHBOUGUISZUJZWSWIWNXAQWKABCDUKUEWRWSWTULUMRKHZXBWSWMHUNUNRRKKU
      OUPUQWIWKBPURZWQWIBEUSZFUSZGUTZQZFOVAEOVAZWKXCLZWQTZWOKVBZGVCGWOVDWIXHVTV
      EWOXKGVFEFOOBGVGVIXGXJEFOOXGXJTXDOHXEOHLXGXJXFIJZKHZXFPURZLZXFCJZWMHZTXOX
      PXDXESZWMXNXPXRQXMAXDXECDVHVJXOXDKHXEKHLZXRWMHXNXMXSXDXEVKVLXDXEKKUOVMVNX
      GXIXOWQXQXGWKXMXCXNXGWJXLKBXFIVOVPBXFPVQVRXGWNXPWMBXFCVOVPVSWAWBWCWDWEWFW
      G $.
  $}

  ${
    $d a f i j k n r x y z F $.  $d a i j k m n x y z G $.  $d j n x y z K $.
    $d a j k m n x y z A $.  $d a i j k m n x y z C $.  $d i j k n x y z M $.
    $d m n E $.  $d n x y z H $.  $d n x y z J $.  $d i j n z N $.  $d n y S $.
    $d a f i j k m n r x y z ph $.  $d a i j k m n x y z T $.
    uniioombl.1 $e |- ( ph -> F : NN --> ( <_ i^i ( RR X. RR ) ) ) $.
    $( A union of closed intervals differs from the equivalent union of open
       intervals by a nullset.  (Contributed by Mario Carneiro,
       25-Mar-2015.) $)
    uniiccdif $p |- ( ph -> ( U. ran ( (,) o. F ) C_ U. ran ( [,] o. F ) /\
      ( vol* ` ( U. ran ( [,] o. F ) \ U. ran ( (,) o. F ) ) ) = 0 ) ) $=
      ( vx cioo cicc wss cfv wceq c1st c2nd cn wcel wbr syl wfn ax-mp cvv com
      cr ccom crn cuni cdif covol cc0 cima cun ssun1 cv ciun csn wa cpr cle w3a
      co cxp cin wf ovolfcl sylan rexr id prunioo syl3an fvco3 ffvelrnda elin2d
      cxr cop 1st2nd2 fveq2d df-ov eqtr4di eqtrd df-pr preq12d eqtr3id 3eqtr4rd
      uneq12d iuneq2dv cpw ffn inss2 rexpssxrxp sstri fss sylancl fnfco sylancr
      iccf fniunfv iunun ioof wfun cdm wfo fo1st fofn ssv fndm eqimss2 dfimafn2
      fnfun 3syl syl2anc fnima eqtr3d rnco2 eqtrdi fo2nd 3eqtr3d sseqtrrid cdom
      syl5eq ovolficcss ssdifssd cen ccrd cres con0 omelon nnenom ensymi isnumi
      mp2an fofun fof fdmi sseqtrri fores ffnd dffn4 sylib fodomnum mpsyl unctb
      foco domentr ctex ssid sseqtrid ssundif ssdomg sylc domtr ovolctb2 jca )
      AEBUAZUBUCZFBUAZUBUCZGUUMUUKUDZUEHUFIZAUUKJBUBZUGZKUUPUGZUHZUHZUUKUUMUUKU
      USUIADLDUJZUULHZUKZDLUVAUUJHZUVAJBUAZHZULZUVAKBUAZHZULZUHZUHZUKZUUMUUTADL
      UVBUVLAUVALMZUMZUVABHZJHZUVPKHZEUQZUVQUVRUNZUHZUVQUVRFUQZUVLUVBUVOUVQTMZU
      VRTMZUVQUVRUONZUPZUWAUWBIZALUOTTURZUSZBUTZUVNUWFCBUVAVAVBUWCUVQVJMUWDUVRV
      JMUWEUWEUWGUVQVCUVRVCUWEVDUVQUVRVEVFOUVOUVDUVSUVKUVTUVOUVDUVPEHZUVSAUWJUV
      NUVDUWKICLUWIUVAEBVGVBUVOUWKUVQUVRVKZEHUVSUVOUVPUWLEUVOUVPUWHMUVPUWLIUVOU
      OUWHUVPALUWIUVABCVHVIUVPTTVLOZVMUVQUVREVNVOVPUVOUVKUVFUVIUNUVTUVFUVIVQUVO
      UVFUVQUVIUVRAUWJUVNUVFUVQICLUWIUVAJBVGVBAUWJUVNUVIUVRICLUWIUVAKBVGVBVRVSW
      AUVOUVBUVPFHZUWBAUWJUVNUVBUWNICLUWIUVAFBVGVBUVOUWNUWLFHUWBUVOUVPUWLFUWMVM
      UVQUVRFVNVOVPVTWBAUULLPZUVCUUMIAFVJVJURZPZLUWPBUTZUWOUWPVJWCZFUTUWQWLUWPU
      WSFWDQAUWJUWIUWPGUWRCUWIUWHUWPUOUWHWEWFWGLUWIUWPBWHWIZUWPLFBWJWKDLUULWMOA
      UVMDLUVDUKZDLUVKUKZUHUUTDLUVDUVKWNAUXAUUKUXBUUSAUUJLPZUXAUUKIAEUWPPZUWRUX
      CUWPTWCZEUTUXDWOUWPUXEEWDQUWTUWPLEBWJWKDLUUJWMOAUXBDLUVGUKZDLUVJUKZUHUUSD
      LUVGUVJWNAUXFUUQUXGUURAUXFUVEUBZUUQAUVELUGZUXFUXHAUVEWPZLUVEWQZGZUXIUXFIA
      UVELPZUXJAJRPZLRBUTZUXMRRJWRZUXNWSRRJWTQAUWJUWIRGUXOCUWIXALUWIRBWHWIZRLJB
      WJWKZLUVEXEOAUXMUXKLIUXLUXRLUVEXBLUXKXCXFDLUVEXDXGAUXMUXIUXHIUXRLUVEXHOXI
      JBXJXKAUXGUVHUBZUURAUVHLUGZUXGUXSAUVHWPZLUVHWQZGZUXTUXGIAUVHLPZUYAAKRPZUX
      OUYDRRKWRZUYEXLRRKWTQUXQRLKBWJWKZLUVHXEOAUYDUYBLIUYCUYGLUVHXBLUYBXCXFDLUV
      HXDXGAUYDUXTUXSIUYGLUVHXHOXIKBXJXKWAXPWAXPXMZXNAUUNTGUUNLXONZUUOAUUMTUUKA
      UWJUUMTGCBXQOXRAUUNSXONZSLXSNZUYIAUUNUUSXONZUUSSXONZUYJAUUSRMZUUNUUSGZUYL
      AUYMUYNAUUQSXONZUURSXONZUYMAUUQLXONZLSXSNZUYPLXTWQMZALUUQJUUPYAZBUAZWRZUY
      RSYBMUYKUYTYCLSYDYEZSLYFYGZAUUPUUQVUAWRZLUUPBWRZVUCJWPZUUPJWQZGVUFUXPVUHW
      SRRJYHQUUPRVUIUUPXAZRRJUXPRRJUTWSRRJYIQYJYKUUPJYLYGABLPVUGALUWIBCYMLBYNYO
      ZLUUPUUQVUABYSWKLUUQVUBYPYQYDUUQLSYTWIAUURLXONZUYSUYQUYTALUURKUUPYAZBUAZW
      RZVULVUEAUUPUURVUMWRZVUGVUOKWPZUUPKWQZGVUPUYFVUQXLRRKYHQUUPRVURVUJRRKUYFR
      RKUTXLRRKYIQYJYKUUPKYLYGVUKLUUPUURVUMBYSWKLUURVUNYPYQYDUURLSYTWIUUQUURYRX
      GZUUSUUAOAUUMUUTGUYOAUUMUUMUUTUUMUUBUYHUUCUUMUUKUUSUUDYOUUNUUSRUUEUUFVUSU
      UNUUSSUUGXGVUDUUNSLYTWIUUNUUHXGUUI $.

    uniioombl.2 $e |- ( ph -> Disj_ x e. NN ( (,) ` ( F ` x ) ) ) $.
    uniioombl.3 $e |- S = seq 1 ( + , ( ( abs o. - ) o. F ) ) $.
    $( A disjoint union of open intervals has volume equal to the sum of the
       volume of the intervals.  (This proof does not use countable choice,
       unlike ~ voliun .)  Lemma 565Ca of [Fremlin5] p. 213.  (Contributed by
       Mario Carneiro, 26-Mar-2015.) $)
    uniioovol $p |- ( ph ->
      ( vol* ` U. ran ( (,) o. F ) ) = sup ( ran S , RR* , < ) ) $=
      ( cioo covol cfv cxr cr wss wcel cn wf cle syl wbr wceq ccom crn cuni clt
      vy vn csup cpw cxp ioof cin inss2 rexpssxrxp fss sylancl fco sylancr frnd
      sstri sspwuni sylib ovolcl cc0 cpnf cico co cabs cmin eqid ovolsf icossxr
      frn 3syl sstrdi supxrcl ssid ovollb cv wral wa c1 cfz ciun cvol csu caddc
      cseq fveq1i c2nd c1st adantr elfznn ovolfsval syl2an cdm fvco3 cop elin2d
      ffvelrn 1st2nd2 fveq2d df-ov eqtr4di eqtrd ioombl eqeltrdi mblvol ovolfcl
      w3a ovolioo 3eqtrd eqtr4d cuz simpr nnuz eleqtrdi simp2d resubcld eqeltrd
      simp1d recnd fsumser eqtr4id cfn wdisj fzfid jca ralrimiva fz1ssnn mpbird
      sylan disjeq2dv disjss1 mpsyl volfiniun syl3anc syl2anc wfn ffn wb iunss1
      finiunmbl 3eqtr2d fniunfv sseqtrd ovolss eqbrtrd breq1 supxrleub xrletrid
      mp1i ralrn ) AHDUAZUBZUCZIJZCUBZKUDUGZAUUOLMZUUPKNZAUUNLUHZMUUSAOUVAUUMAK
      KUIZUVAHPOUVBDPZOUVAUUMPZUJAOQLLUIZUKZDPZUVFUVBMUVCEUVFUVEUVBQUVEULUMUSOU
      VFUVBDUNUOOUVBUVAHDUPUQZURUUNLUTVAZUUOVBRZAUUQKMZUURKNAUUQVCVDVEVFZKAUVGO
      UVLCPZUUQUVLMECDVGVHUADUAZUVNVIZGVJZOUVLCVLVMVCVDVKVNZUUQVORAUVGUUOUUOMUU
      PUURQSEUUOVPUUOCDGVQUOAUURUUPQSZUEVRZUUPQSZUEUUQVSZAUWAUFVRZCJZUUPQSZUFOV
      SZAUWDUFOAUWBONZVTZUWCBWAUWBWBVFZBVRZUUMJZWCZIJZUUPQUWGUWCUWHUWJWDJZBWEZU
      WKWDJZUWLUWGUWCUWBWFUVNWAWGZJUWNUWBCUWPGWHUWGUWMBUVNWAUWBUWGUWIUWHNZVTZUW
      IUVNJZUWIDJZWIJZUWTWJJZVHVFZUWMUWGUVGUWIONZUWSUXCTUWQAUVGUWFEWKZUWIUWBWLZ
      DUVNUWIUVOWMWNUWRUWMUWJIJZUXBUXAHVFZIJZUXCUWRUWJWDWOZNZUWMUXGTUWRUWJUXHUX
      JUWRUWJUWTHJZUXHUWGUVGUXDUWJUXLTZUWQUXEUXFOUVFUWIHDWPZWNUWRUXLUXBUXAWQZHJ
      UXHUWRUWTUXOHUWRUWTUVENUWTUXOTUWRQUVEUWTUWGUVGUXDUWTUVFNUWQUXEUXFOUVFUWID
      WSWNWRUWTLLWTRXAUXBUXAHXBXCXDZUXBUXAXEXFZUWJXGRUWRUWJUXHIUXPXAUWRUXBLNZUX
      ALNZUXBUXAQSZXIZUXIUXCTUWGUVGUXDUYAUWQUXEUXFDUWIXHWNZUXBUXAXJRXKZXLUWGUWB
      OWAXMJAUWFXNXOXPUWRUWMUWRUWMUXCLUYCUWRUXAUXBUWRUXRUXSUXTUYBXQUWRUXRUXSUXT
      UYBXTXRXSZYAYBYCUWGUWHYDNZUXKUWMLNZVTZBUWHVSBUWHUWJYEZUWOUWNTUWGWAUWBYFZU
      WGUYGBUWHUWRUXKUYFUXQUYDYGYHUWHOMZUWGBOUWJYEZUYHUWBYIZAUYKUWFAUYKBOUXLYEF
      ABOUWJUXLAUVGUXDUXMEUXNYKYLYJWKBUWHOUWJYMYNUWHUWJBYOYPUWGUWKUXJNZUWOUWLTU
      WGUYEUXKBUWHVSUYMUYIUWGUXKBUWHUXQYHUWHUWJBUUBYQUWKXGRUUCUWGUWKUUOMUUSUWLU
      UPQSUWGUWKBOUWJWCZUUOUYJUWKUYNMUWGUYLBUWHOUWJUUAUUKUWGUVDUUMOYRUYNUUOTAUV
      DUWFUVHWKOUVAUUMYSBOUUMUUDVMUUEAUUSUWFUVIWKUWKUUOUUFYQUUGYHAUVMCOYRUWAUWE
      YTAUVGUVMEUVPROUVLCYSUVTUWDUEUFOCUVSUWCUUPQUUHUULVMYJAUVKUUTUVRUWAYTUVQUV
      JUEUUQUUPUUIYQYJUUJ $.

    $( An almost-disjoint union of closed intervals (disjoint interiors) has
       volume equal to the sum of the volume of the intervals.  (This proof
       does not use countable choice, unlike ~ voliun .)  (Contributed by Mario
       Carneiro, 25-Mar-2015.) $)
    uniiccvol $p |- ( ph ->
      ( vol* ` U. ran ( [,] o. F ) ) = sup ( ran S , RR* , < ) ) $=
      ( cicc ccom cfv cxr cr wss wcel cn cle wf syl cioo wfn crn cuni covol clt
      csup cxp cin ovolficcss ovolcl cpnf cico co cabs cmin eqid ovolsf icossxr
      cc0 frnd sstrdi supxrcl wbr ssid ovollb2 sylancl uniioovol ciun wral c1st
      cv c2nd cop ioossicc df-ov 3sstr3i a1i wceq ffvelrn elin2d 1st2nd2 fveq2d
      wa 3sstr4d fvco3 sylan ralrimiva ss2iun ioof ax-mp inss2 rexpssxrxp sstri
      cpw ffn fss sylancr fniunfv iccf 3sstr3d ovolss syl2anc eqbrtrrd xrletrid
      fnfco ) AHDIZUAUBZUCJZCUAZKUDUEZAXFLMZXGKNAOPLLUFZUGZDQZXJEDUHRZXFUIRAXHK
      MXIKNAXHURUJUKULZKAOXOCAXMOXOCQECDUMUNIDIZXPUOGUPRUSURUJUQUTXHVARAXMXFXFM
      XGXIPVBEXFVCXFCDGVDVEASDIZUAUBZUCJZXIXGPABCDEFGVFAXRXFMXJXSXGPVBABOBVJZXQ
      JZVGZBOXTXEJZVGZXRXFAYAYCMZBOVHYBYDMAYEBOAXMXTONZYEEXMYFWBZXTDJZSJZYHHJZY
      AYCYGYHVIJZYHVKJZVLZSJZYMHJZYIYJYNYOMYGYKYLSULYKYLHULYNYOYKYLVMYKYLSVNYKY
      LHVNVOVPYGYHYMSYGYHXKNYHYMVQYGPXKYHOXLXTDVRVSYHLLVTRZWAYGYHYMHYPWAWCOXLXT
      SDWDOXLXTHDWDWCWEWFBOYAYCWGRAXQOTZYBXRVQASKKUFZTZOYRDQZYQYRLWMZSQYSWHYRUU
      ASWNWIAXMXLYRMYTEXLXKYRPXKWJWKWLOXLYRDWOVEZYROSDXDWPBOXQWQRAXEOTZYDXFVQAH
      YRTZYTUUCYRKWMZHQUUDWRYRUUEHWNWIUUBYROHDXDWPBOXEWQRWSXNXRXFWTXAXBXC $.

    ${
      uniioombl.a $e |- A = U. ran ( (,) o. F ) $.
      uniioombl.e $e |- ( ph -> ( vol* ` E ) e. RR ) $.
      uniioombl.c $e |- ( ph -> C e. RR+ ) $.
      uniioombl.g $e |- ( ph -> G : NN --> ( <_ i^i ( RR X. RR ) ) ) $.
      uniioombl.s $e |- ( ph -> E C_ U. ran ( (,) o. G ) ) $.
      uniioombl.t $e |- T = seq 1 ( + , ( ( abs o. - ) o. G ) ) $.
      uniioombl.v $e |- ( ph ->
        sup ( ran T , RR* , < ) <_ ( ( vol* ` E ) + C ) ) $.
      $( Lemma for ~ uniioombl .  (Contributed by Mario Carneiro,
         25-Mar-2015.) $)
      uniioombllem1 $p |- ( ph -> sup ( ran T , RR* , < ) e. RR ) $=
        ( cr crn wss c0 wne cxr clt csup cpnf wbr wcel cc0 co cn cle cxp cin wf
        cico cabs cmin ccom eqid ovolsf syl frnd rge0ssre sstrdi fdmd eleqtrrid
        cdm c1 1nn dm0rn0 necon3bii sylib covol cfv caddc icossxr supxrcl rpred
        ne0d readdcld rexrd pnfxr a1i ltpnfd xrlelttrd supxrbnd syl3anc ) AFUAZ
        TUBWKUCUDZWKUEUFUGZUHUFUIWMTUJAWKUKUHURULZTAUMWNFAUMUNTTUOUPIUQUMWNFUQP
        FIUSUTVAIVAZWOVBRVCVDZVEZVFVGAFVJZUCUDWLAWRVKAVKUMWRVLAUMWNFWPVHVIWBWRU
        CWKUCFVMVNVOAWMGVPVQZDVRULZUHAWKUEUBWMUEUJAWKWNUEWQUKUHVSVGWKVTVDAWTAWS
        DNADOWAWCZWDUHUEUJAWEWFSAWTXAWGWHWKWIWJ $.

      $( Lemma for ~ uniioombl .  (Contributed by Mario Carneiro,
         7-May-2015.) $)
      uniioombllem2a $p |- ( ( ( ph /\ J e. NN ) /\ z e. NN ) ->
        ( ( (,) ` ( F ` z ) ) i^i ( (,) ` ( G ` J ) ) ) e. ran (,) ) $=
        ( cn wcel wa cv cfv cioo cin c1st cle wbr cif c2nd co crn cop cr cxp wf
        wceq adantr ffvelrnda elin2d 1st2nd2 syl fveq2d eqtr4di ineq12d cxr w3a
        df-ov ovolfcl sylan simp1d rexrd iooin syl22anc eqtrd ioorebas eqeltrdi
        simp2d ) AKUBUCZUDZCUEZUBUCZUDZWDIUFZUGUFZKJUFZUGUFZUHZWGUIUFZWIUIUFZUJ
        UKWMWLULZWGUMUFZWIUMUFZUJUKWOWPULZUGUNZUGUOWFWKWLWOUGUNZWMWPUGUNZUHZWRW
        FWHWSWJWTWFWHWLWOUPZUGUFWSWFWGXBUGWFWGUQUQURZUCWGXBUTWFUJXCWGWCUBUJXCUH
        ZWDIAUBXDIUSZWBLVAZVBVCWGUQUQVDVEVFWLWOUGVKVGWCWJWTUTWEWCWJWMWPUPZUGUFW
        TWCWIXGUGWCWIXCUCWIXGUTWCUJXCWIAUBXDKJRVBVCWIUQUQVDVEVFWMWPUGVKVGVAVHWF
        WLVIUCWOVIUCWMVIUCZWPVIUCZXAWRUTWFWLWFWLUQUCZWOUQUCZWLWOUJUKZWCXEWEXJXK
        XLVJXFIWDVLVMZVNVOWFWOWFXJXKXLXMWAVOWCXHWEWCWMWCWMUQUCZWPUQUCZWMWPUJUKZ
        AUBXDJUSWBXNXOXPVJRJKVLVMZVNVOVAWCXIWEWCWPWCXNXOXPXQWAVOVAWLWOWMWPVPVQV
        RWNWQVSVT $.

      ${
        uniioombllem2.h $e |- H = ( z e. NN |->
          ( ( (,) ` ( F ` z ) ) i^i ( (,) ` ( G ` J ) ) ) ) $.
        uniioombllem2.k $e |- K = ( x e. ran (,) |->
          if ( x = (/) , <. 0 , 0 >. ,
          <. inf ( x , RR* , < ) , sup ( x , RR* , < ) >. ) ) $.
        $( Lemma for ~ uniioombl .  (Contributed by Mario Carneiro,
           26-Mar-2015.)  (Revised by Mario Carneiro, 11-Dec-2016.)  (Revised
           by AV, 13-Sep-2020.) $)
        uniioombllem2 $p |- ( ( ph /\ J e. NN ) -> seq 1 ( + , ( vol* o. H ) )
          ~~> ( vol* ` ( ( (,) ` ( G ` J ) ) i^i A ) ) ) $=
          ( vn vy cn wcel wa caddc cabs cmin ccom c1 cseq crn cr clt csup covol
          cfv cioo cin cli cv nnuz eqid 1zzd eqidd cc0 cle wbr cpnf cico co cxp
          uniioombllem2a cmpt wceq a1i cxr ioorf feqmptd fveq2 fmptco wss inss2
          wf c1st cop ffvelrnda sselid 1st2nd2 syl fveq2d df-ov eqtr4di ioossre
          c2nd eqsstrdi w3a ovolfcl sylan ovolioo eqtrd simp2d resubcld eqeltrd
          simp1d mp3an2i adantr ioorcl syl2anc fmpt3d ovolfsf sylib simpld wral
          ovolsscl wrex cuni wdisj cvv fvex fvmpt2 mpan2 ralrimiva 2fveq3 inss1
          elrege0 ciun ioof wfn ffnd fniunfv eqtr3d sstrdi c0 wne simprd fveq1d
          ioorinv ineq1d eqeq12d rspccva disjss2 uniioovol mpteq2dva rexpssxrxp
          sylan9eq sstri 3eqtr4d rneqd unieqd inex1 incom eqtrdi iuneq2i iunin2
          sylc cpw eqtri fmptd eqtr3id fvco3 iuneq2dv ffn ax-mp sylancl sylancr
          fnfco ineq2d 3eqtr2d ovolsf frnd icossxr fnfvelrn supxrub brralrspcev
          fss syl2an2r isumsup2 ovolfs2 coeq2d syl5eq seqeq3d rge0ssre cdm fdmd
          coass 1nn eleqtrrid ne0d dm0rn0 necon3bii breq1 ralrn rexbidv supxrre
          wb mpbird syl3anc 3brtr3d ) ALUHUIZUJZUKULUMUNMKUNZUNZUOUPZUXIUQZURUS
          UTZUKVAKUNZUOUPLJVBZVCVBZDVDZVAVBZVEUXFBUFVFZUXHVBZUGUFUXHUXIUOUHVGUX
          IVHZUXFVIUXFUXQUHUIUJZUXRVJUXTUXRURUIZVKUXRVLVMZUXTUXRVKVNVOVPZUIUYAU
          YBUJUXFUHUYCUXQUXHUXFUHVLURURVQZVDZUXGWIZUHUYCUXHWIUXFCUHCVFZIVBZVCVB
          ZUXNVDZMVBZUYEUXGUXFCUGUHVCUQZUYJUGVFZMVBUYKKMABCDEFGHIJLNOPQRSTUAUBU
          CVRZKCUHUYJVSZVTUXFUDWAZUXFUGUYLVLWBWBVQZVDZMUYLUYRMWIUXFBMUEWCWAWDUY
          MUYJMWEWFZUXFUYGUHUIZUJZUYJUYLUIZUYJVAVBURUIZUYKUYEUIUYNUXFVUCUYTUYJU
          XNWGUXFUXNURWGZUXNVAVBZURUIZVUCUYIUXNWHUXFUXNUXMWJVBZUXMWTVBZVCVPZURU
          XFUXNVUGVUHWKZVCVBVUIUXFUXMVUJVCUXFUXMUYDUIUXMVUJVTUXFUYEUYDUXMVLUYDW
          HZAUHUYELJTWLWMUXMURURWNWOWPVUGVUHVCWQWRZVUGVUHWSXAZUXFVUEVUHVUGUMVPZ
          URUXFVUEVUIVAVBZVUNUXFUXNVUIVAVULWPUXFVUGURUIZVUHURUIZVUGVUHVLVMZXBZV
          UOVUNVTAUHUYEJWIUXEVUSTJLXCXDZVUGVUHXEWOXFUXFVUHVUGUXFVUPVUQVURVUTXGU
          XFVUPVUQVURVUTXJXHXIZUYJUXNXTXKXLBUYJMUEXMXNZXOZUXGUXHUXHVHZXPWOWLUXR
          YKXQZXRUXTUYAUYBVVEUUAUXFUXJWBUSUTZURUIUYMUXIVBZVVFVLVMZUGUHXSVVGBVFZ
          VLVMZUGUHXSZBURYAZUXFVVFUXPURUXFVCUXGUNZUQZYBZVAVBVVFUXPUXFBUXIUXGVVC
          UXFVVIUXGVBVCVBZVVIIVBVCVBZWGZBUHXSBUHVVQYCZBUHVVPYCUXFVVRBUHUXFVVIUH
          UIZUJVVPVVQUXNVDZVVQUXFUYGUXGVBZVCVBZUYJVTZCUHXSVVTVVPVWAVTZUXFVWDCUH
          VUAVWCUYKVCVBZUYJVUAVWBUYKVCUXFUYTVWBUYGCUHUYKVSZVBZUYKUXFUYGUXGVWGUY
          SUUBUYTUYKYDUIVWHUYKVTUYJMYECUHUYKYDVWGVWGVHYFYGUUKWPVUAVUBVWFUYJVTUY
          NBUYJMUEUUCWOZXFYHVWDVWECVVIUHUYGVVIVTZVWCVVPUYJVWAUYGVVIVCUXGYIVWJUY
          IVVQUXNUYGVVIVCIYIUUDUUEUUFXDVVQUXNYJXAYHAVVSUXEOXLBUHVVPVVQUUGUVAUXS
          UUHUXFVVOUXOVAUXFVVOKUQZYBZUXNCUHUYIYLZVDZUXOUXFVVNVWKUXFVVMKUXFCUHVW
          FVSUYOVVMKUXFCUHVWFUYJVWIUUIUXFCUGUHUYQUYKUYMVCVBVWFUXGVCVUAUYEUYQUYK
          UYEUYDUYQVUKUUJUULZVVBWMUYSUXFUGUYQURUVBZVCUYQVWPVCWIZUXFYMWAWDUYMUYK
          VCWEWFUYPUUMZUUNUUOUXFVWNCUHUYGKVBZYLZVWLVWTCUHUXNUYIVDZYLVWNCUHVWSVX
          AUYTVWSUYJVXAUYTUYJYDUIVWSUYJVTUYIUXNUYHVCYEUUPCUHUYJYDKUDYFYGUYIUXNU
          UQUURUUSCUHUXNUYIUUTUVCUXFKUHYNVWTVWLVTUXFUHUYLKUXFCUHUYJUYLKUYNUDUVD
          YOCUHKYPWOUVEUXFVWMDUXNUXFCUHUYGVCIUNZVBZYLZVWMDUXFCUHVXCUYIUXFUHUYEI
          WIZUYTVXCUYIVTAVXEUXENXLZUHUYEUYGVCIUVFXDUVGUXFVXDVXBUQYBZDUXFVXBUHYN
          ZVXDVXGVTUXFVCUYQYNZUHUYQIWIZVXHVWQVXIYMUYQVWPVCUVHUVIUXFVXEUYEUYQWGV
          XJVXFVWOUHUYEUYQIUWAUVJUYQUHVCIUVLUVKCUHVXBYPWOQWRYQUVMUVNWPYQZUXOUXN
          WGUXFVUDVUFUXPURUIUXNDYJVUMVVAUXOUXNXTXKXIUXFVVHUGUHUXFUXJWBWGUYMUHUI
          ZVVGUXJUIZVVHUXFUXJUYCWBUXFUHUYCUXIUXFUYFUHUYCUXIWIVVCUXIUXGUXHVVDUXS
          UVOWOZUVPZVKVNUVQYRUXFUXIUHYNZVXLVXMUXFUHUYCUXIVXNYOZUHUYMUXIUVRXDUXJ
          VVGUVSUWBYHBUGVVGVVFVLURUHUVTXNZUWCUXFUXHUXLUKUOUXFUXHVAVCUNUXGUNZUXL
          UXFUYFUXHVXSVTVVCUXGUXHVVDUWDWOUXFVXSVAVVMUNUXLVAVCUXGUWKUXFVVMKVAVWR
          UWEUWFXFUWGUXFVVFUXKUXPUXFUXJURWGUXJYSYTZUYGVVIVLVMZCUXJXSZBURYAZVVFU
          XKVTUXFUXJUYCURVXOUWHYRUXFUXIUWIZYSYTVXTUXFVYDUOUXFUOUHVYDUWLUXFUHUYC
          UXIVXNUWJUWMUWNVYDYSUXJYSUXIUWOUWPXQUXFVYCVVLVXRUXFVYBVVKBURUXFVXPVYB
          VVKUXAVXQVYAVVJCUGUHUXIUYGVVGVVIVLUWQUWRWOUWSUXBBCUXJUWTUXCVXKYQUXD
          $.
      $}

      ${
        uniioombl.m $e |- ( ph -> M e. NN ) $.
        uniioombl.m2 $e |- ( ph ->
          ( abs ` ( ( T ` M ) - sup ( ran T , RR* , < ) ) ) < C ) $.
        uniioombl.k $e |- K = U. ( ( (,) o. G ) " ( 1 ... M ) ) $.
        $( Lemma for ~ uniioombl .  (Contributed by Mario Carneiro,
           8-May-2015.) $)
        uniioombllem3a $p |- ( ph ->
          ( K = U_ j e. ( 1 ... M ) ( (,) ` ( G ` j ) ) /\
            ( vol* ` K ) e. RR ) ) $=
          ( c1 cfz co cv cfv cioo ciun wceq covol cr wcel ccom cima cuni cn cpw
          wf wfun cxr cxp ioof cle cin wss inss2 rexpssxrxp fss sylancl sylancr
          sstri fco ffun funiunfv 3syl elfznn syl2an iuneq2dv eqtr3d syl5eq csu
          fvco3 wbr wral wa c1st c2nd cop ffvelrn elin2d 1st2nd2 fveq2d eqtr4di
          syl df-ov ioossre eqsstrdi ralrimiva iunss eqsstrd fzfid cmin ovolfcl
          sylibr w3a ovolioo simp2d simp1d resubcld eqeltrd fsumrecl ovolfiniun
          eqtrd cfn jca syl2anc eqbrtrd ovollecl syl3anc ) AKGUFLUGUHZGUIZJUJZU
          KUJZULZUMKUNUJZUOUPZAKUKJUQZYDURUSZYHUEAGYDYEYKUJZULZYLYHAUTUOVAZYKVB
          ZYKVCYNYLUMAVDVDVEZYOUKVBUTYQJVBZYPVFAUTVGUOUOVEZVHZJVBZYTYQVIYRSYTYS
          YQVGYSVJVKVOUTYTYQJVLVMUTYQYOUKJVPVNUTYOYKVQGYDYKVRVSAGYDYMYGAUUAYEUT
          UPZYMYGUMYEYDUPZSYELVTZUTYTYEUKJWFWAWBWCWDZAKUOVIYDYGUNUJZGWEZUOUPYIU
          UGVGWGYJAKYHUOUUEAYGUOVIZGYDWHYHUOVIAUUHGYDAUUCWIZYGYFWJUJZYFWKUJZUKU
          HZUOUUIYGUUJUUKWLZUKUJUULUUIYFUUMUKUUIYFYSUPYFUUMUMUUIVGYSYFAUUAUUBYF
          YTUPUUCSUUDUTYTYEJWMWAWNYFUOUOWOWRWPUUJUUKUKWSWQZUUJUUKWTXAZXBGYDYGUO
          XCXHXDAYDUUFGAUFLXEZUUIUUFUUKUUJXFUHZUOUUIUUFUULUNUJZUUQUUIYGUULUNUUN
          WPUUIUUJUOUPZUUKUOUPZUUJUUKVGWGZXIZUURUUQUMAUUAUUBUVBUUCSUUDJYEXGWAZU
          UJUUKXJWRXQUUIUUKUUJUUIUUSUUTUVAUVCXKUUIUUSUUTUVAUVCXLXMXNZXOAYIYHUNU
          JZUUGVGAKYHUNUUEWPAYDXRUPUUHUUFUOUPZWIZGYDWHUVEUUGVGWGUUPAUVGGYDUUIUU
          HUVFUUOUVDXSXBYDYGGXPXTYAKUUGYBYCXS $.

        $( Lemma for ~ uniioombl .  (Contributed by Mario Carneiro,
           26-Mar-2015.) $)
        uniioombllem3 $p |- ( ph ->
          ( ( vol* ` ( E i^i A ) ) + ( vol* ` ( E \ A ) ) ) <
        ( ( ( vol* ` ( K i^i A ) ) + ( vol* ` ( K \ A ) ) ) + ( C + C ) ) ) $=
          ( vj vz vn vk cin covol cfv cdif caddc co clt wss wcel inss1 a1i cioo
          cr ccom crn cuni cc0 wceq simpld cn cle cxp wf sstrd ovolsscl syl3anc
          syl difssd c1 cfz cv wral wa c1st elfznn syl2an sselid fveq2d eqtr4di
          c2nd ralrimiva sylibr readdcld cuz cima cun wfn cxr sylancl ffnd cmin
          nnuz peano2nnd eleqtrdi syl5eq cc nncnd ax-1cn eqtrd eqtrdi sseqtrrid
          ovollb unss1 ax-mp sseqtrd unss2 eqsstri sstrdi ovolss syl2anc ovolun
          csup wbr syl22anc letrd eqid resubcld nnaddcl cz adantr adantl wb csu
          nnzd mpbird simp2d simp1d recnd fsumser ad2antrr oveq12d lelttrd cicc
          uniiccdif ovolficcss uniioombllem3a cop inss2 ffvelrn 1st2nd2 ioossre
          ciun df-ov eqsstrdi iunss eqsstrd simprd rpred ssun2 rexpssxrxp sstri
          cpw ioof fss sylancr fnima uzsplit pncan oveq2d uneq1d imaeq2d eqtr3d
          fco unieqd uniun uneq1i uniioombllem1 ssid ovollecl ssrind indir cpnf
          imaundi cico rge0ssre cabs ovolsf ffvelrnd cmpt cseq rexrd id syl2anr
          ffvelrnda syldan fmpttd frnd icossxr supxrcl wrex 1zzd addcom eluzsub
          eleq2d biimpa eleqtrrdi eluzelz zcnd npcand eqcomd oveq1 rspceeqv cvv
          elrnmpt elv ex ssrdv imass2 rnco2 cofmpt rneqd eqtr3id 3sstr4g unissd
          imaco fveq1i nnred ltp1d fzdisj cn0 nnnn0 nn0addge1 sylan elfz5 fzfid
          c0 fzsplit ovolfcl fsumsplit ovolfsval adantlr peano2zd elfzuz eluznn
          2fveq3 fsumshftm pncan2 nncn pncan2d sumeq1d fvoveq1 fvex fvmpt simpr
          w3a 3eqtr3d fnfvelrn syl2an2r eqeltrrd supxrub leaddsub2d mpbid breq1
          3eqtrd ralrn supxrleub xrletrd ltsub23d ltadd2dd difss ssdifd lt2addd
          absdifltd difundir add4d breqtrd ) AGCUIZUJUKZGCULZUJUKZUMUNJCUIZUJUK
          ZDUMUNZJCULZUJUKZDUMUNZUMUNVVTVWCUMUNDDUMUNUMUNUOAVVPVVRVWAVWDAVVOGUP
          ZGVAUPZGUJUKVAUQZVVPVAUQVWEAGCURUSAGUTIVBZVCZVDZVASAVWJUUAIVBVCVDZVAA
          VWJVWKUPVWKVWJULUJUKVEVFAIRUUBVGAVHVIVAVAVJZUIZIVKZVWKVAUPRIUUCVOVLZV
          LZPVVOGVMVNZAVVQGUPVWFVWGVVRVAUQAGCVPVWPPVVQGVMVNZAVVTDAVVSJUPZJVAUPZ
          JUJUKVAUQZVVTVAUQZVWSAJCURZUSZAJUEVQKVRUNZUEVSZIUKZUTUKZUUJZVAAJVXIVF
          ZVXAABCDEFUEGHIJKLMNOPQRSTUAUBUCUDUUDZVGAVXHVAUPZUEVXEVTVXIVAUPAVXLUE
          VXEAVXFVXEUQZWAZVXHVXGWBUKZVXGWHUKZUTUNZVAVXNVXHVXOVXPUUEZUTUKVXQVXNV
          XGVXRUTVXNVXGVWLUQVXGVXRVFVXNVWMVWLVXGVIVWLUUFZAVWNVXFVHUQZVXGVWMUQVX
          MRVXFKWCZVHVWMVXFIUUGWDWEVXGVAVAUUHVOWFVXOVXPUTUUKWGVXOVXPUUIUULWIUEV
          XEVXHVAUUMWJUUNZAVXJVXAVXKUUOZVVSJVMVNZADQUUPZWKZAVWCDAVWBJUPZVWTVXAV
          WCVAUQZAJCVPZVYBVYCVWBJVMVNZVYEWKZAVVPVVTVWHKVQUMUNZWLUKZWMZVDZUJUKZU
          MUNZVWAVWQAVVTVYPVYDAVYOVWJUPVWJVAUPZVWJUJUKZVAUQZVYPVAUQZAJVYOWNZVYO
          VWJVYOJUUQAVWJVWHVXEWMZVDZVYOWNZWUBAVWJWUCVYNWNZVDWUEAVWIWUFAVWIVWHVX
          EVYMWNZWMZWUFAVWHVHWMZVWIWUHAVWHVHWOWUIVWIVFAVHVAUUTZVWHAWPWPVJZWUJUT
          VKVHWUKIVKZVHWUJVWHVKUVAAVWNVWMWUKUPWULRVWMVWLWUKVXSUURUUSVHVWMWUKIUV
          BWQVHWUKWUJUTIUVKUVCWRVHVWHUVDVOAVHWUGVWHAVHVQVYLVQWSUNZVRUNZVYMWNZWU
          GAVHVQWLUKZWUOWTAVYLWUPUQWUPWUOVFAVYLVHWUPAKUBXAWTXBVQVYLUVEVOXCAWUNV
          XEVYMAWUMKVQVRAKXDUQZVQXDUQZWUMKVFAKUBXEZXFKVQUVFWQUVGUVHXGUVIUVJVWHV
          XEVYMUWAXHUVLWUCVYNUVMXHJWUDVYOUDUVNWGZXIZVWOAVYRFVCZWPUOXTZVAUQZVYSW
          VCVIYAZVYTVWOABCDEFGHILMNOPQRSTUAUVOZAVWNVWJVWJUPWVERVWJUVPVWJFITXJWQ
          VWJWVCUVQVNZVYOVWJVMVNZWKZVYFAVVPVVSVYOWNZUJUKZVYQVWQAWVJVWJUPVYRVYTW
          VKVAUQAWUBWVJVWJVWSWVJWUBUPVXCVVSJVYOXKXLWUTXIZVWOWVGWVJVWJVMVNWVIAVV
          OWVJUPWVJVAUPVVPWVKVIYAAVVOWUBCUIZWVJAGWUBCAGVWJWUBSWUTXMZUVRWVMVVSVY
          OCUIZWNZWVJJVYOCUVSWVOVYOUPWVPWVJUPVYOCURWVOVYOVVSXNXLXOXPAWVJVWJVAWV
          LVWOVLVVOWVJXQXRAVVSVAUPVXBVYOVAUPZWUAWVKVYQVIYAAVVSJVAVXDVYBVLVYDAVY
          OVWJVAWVAVWOVLZWVHVVSVYOXSYBYCAVYPDVVTWVHVYEVYDAVYPWVCKFUKZWSUNZDWVHA
          WVCWVSWVFAVEUVTUWBUNZVAWVSUWCAVHWWAKFAVWNVHWWAFVKRFIUWDWSVBZIVBZWWCYD
          ZTUWEVOZUBUWFWEZYEZVYEAVYPUMWWBUFVHUFVSZKUMUNZIUKZUWGZVBZVQUWHZVCZWPU
          OXTZWVTAVYPWVHUWIAWWNWPUPZWWOWPUQAWWNWWAWPAVHWWAWWMAVHVWMWWKVKZVHWWAW
          WMVKAUFVHWWJVWMAWWHVHUQZWWIVHUQZWWJVWMUQWWRWWRKVHUQZWWSAWWRUWJUBWWHKY
          FUWKZAVHVWMWWIIRUWLUWMUWNZWWMWWKWWLWWLYDZWWMYDZUWEVOZUWOVEUVTUWPZXPZW
          WNUWQVOAWVTWWGUWIZAWWQVYOUTWWKVBVCZVDUPVYPWWOVIYAWXBAVYNWXIAUTIVYMWMZ
          WMZUTWWKVCZWMZVYNWXIAWXJWXLUPWXKWXMUPAWXJIUFVHWWIUWGZVCZWMZWXLAVYMWXO
          UPWXJWXPUPABVYMWXOABVSZVYMUQZWXQWXOUQZAWXRWAZWXQWWIVFUFVHUWRZWXSWXTWX
          QKWSUNZVHUQWXQWYBKUMUNZVFWYAWXTWYBWUPVHWXTVQYGUQKYGUQZWXQVQKUMUNZWLUK
          ZUQZWYBWUPUQWXTUWSAWYDWXRAKUBYLYHAWXRWYGAVYMWYFWXQAVYLWYEWLAWUQWURVYL
          WYEVFWUSXFKVQUWTWQWFUXBUXCKVQWXQUXAVNWTUXDWXTWYCWXQWXTWXQKWXTWXQWXRWX
          QYGUQAVYLWXQUXEYIUXFAWUQWXRWUSYHUXGUXHUFWYBVHWWIWYCWXQWWHWYBKUMUXIUXJ
          XRWXSWYAYJBUFVHWWIWXQWXNUXKWXNYDUXLUXMWJUXNUXOVYMWXOIUXPVOAWXPIWXNVBZ
          VCWXLIWXNUXQAWYHWWKAUFVHWWIVHVWMIRWXAUXRUXSUXTXMWXJWXLUTUXPVOUTIVYMUY
          CUTWWKUXQUYAUYBVYOWWMWWKWXDXJXRAWWOWVTVIYAZWXQWVTVIYAZBWWNVTZAWYKUGVS
          ZWWMUKZWVTVIYAZUGVHVTZAWYNUGVHAWYLVHUQZWAZWVSWYMUMUNZWVCVIYAZWYNAWVBW
          PUPWYPWYRWVBUQWYSAWVBWWAWPAVHWWAFWWEUWOWXFXPWYQKWYLUMUNZFUKZWYRWVBWYQ
          XUAWYTUMWWCVQUWHZUKZWYRWYTFXUBTUYDWYQVQWYTVRUNZVXPVXOWSUNZUEYKVXEXUEU
          EYKZVYLWYTVRUNZXUEUEYKZUMUNXUCWYRWYQVXEXUGXUEXUDUEAVXEXUGUIUYNVFZWYPA
          KVYLUOYAXUIAKAKUBUYEZUYFVQKVYLWYTUYGVOYHWYQKXUDUQZXUDVXEXUGWNVFWYQXUK
          KWYTVIYAZAKVAUQWYLUYHUQXULWYPXUJWYLUYIKWYLUYJWDWYQKWUPUQWYTYGUQXUKXUL
          YJWYQKVHWUPAWWTWYPUBYHZWTXBZWYQWYTAWWTWYPWYTVHUQZUBKWYLYFUYKZYLZKVQWY
          TUYLXRYMKVQWYTUYOVOWYQVQWYTUYMWYQVXFXUDUQZWAZXUEXUSVXPVXOXUSVXOVAUQZV
          XPVAUQZVXOVXPVIYAZWYQVWNVXTXUTXVAXVBVUMZXURAVWNWYPRYHZVXFWYTWCZIVXFUY
          PZWDZYNXUSXUTXVAXVBXVGYOYEYPZUYQWYQXUEUEWWCVQWYTWYQVWNVXTVXFWWCUKXUEV
          FZXURXVDXVEIWWCVXFWWDUYRZWDWYQWYTVHWUPXUPWTXBXVHYQWYQXUFWVSXUHWYMUMWY
          QXUFKXUBUKWVSWYQXUEUEWWCVQKWYQVXMWAZVWNVXTXVIAVWNWYPVXMRYRVXMVXTWYQVY
          AYIXVJXRXUNXVKXUEAVXMXUEVAUQWYPVXNVXPVXOVXNXUTXVAXVBAVWNVXTXVCVXMRVYA
          XVFWDZYNVXNXUTXVAXVBXVLYOYEUYSYPYQKFXUBTUYDWGWYQXUHVYLKWSUNZWYTKWSUNZ
          VRUNZUHVSZKUMUNZIUKZWHUKZXVRWBUKZWSUNZUHYKVQWYLVRUNZXWAUHYKWYMWYQXUEX
          WAUEUHKVYLWYTWYQKXUMYLZWYQKXWCUYTXUQWYQVXFXUGUQZWAZXUEXWEVXPVXOXWEXUT
          XVAXVBXWEVWNVXTXVCAVWNWYPXWDRYRWYQVYLVHUQVXFVYMUQVXTXWDWYQKXUMXAVXFVY
          LWYTVUAVXFVYLVUBWDXVFXRZYNXWEXUTXVAXVBXWFYOYEYPVXFXVQVFVXPXVSVXOXVTWS
          VXFXVQWHIVUCVXFXVQWBIVUCYSVUDWYQXVOXWBXWAUHWYQXVMVQXVNWYLVRWYQWUQWURX
          VMVQVFWYQKXUMXEZXFKVQVUEWQWYQKWYLXWGWYPWYLXDUQAWYLVUFYIVUGYSVUHWYQXWA
          UHWWLVQWYLWYQXVPXWBUQZWAZXVPWWLUKZXVPWWKUKZWHUKZXWKWBUKZWSUNZXWAWYQWW
          QXVPVHUQZXWJXWNVFXWHAWWQWYPWXBYHXVPWYLWCZWWKWWLXVPWXCUYRWDXWIXWLXVSXW
          MXVTWSXWIXWKXVRWHXWIXWOXWKXVRVFXWHXWOWYQXWPYIUFXVPWWJXVRVHWWKWWHXVPKI
          UMVUIWWKYDXVQIVUJVUKVOZWFXWIXWKXVRWBXWQWFYSXGWYQWYLVHWUPAWYPVULWTXBXW
          IXWAXWIXVSXVTXWIXVTVAUQZXVSVAUQZXVTXVSVIYAZXWIVWNXVQVHUQZXWRXWSXWTVUM
          AVWNWYPXWHRYRXWHXWOWWTXXAWYQXWPXUMXVPKYFUWKIXVQUYPXRZYNXWIXWRXWSXWTXX
          BYOYEYPYQVVBYSVUNXCAFVHWOWYPXUOXUAWVBUQAVHWWAFWWEWRXUPVHWYTFVUOVUPVUQ
          WVBWYRVURVUPWYQWVSWYMWVCAWVSVAUQWYPWWFYHWYQWWAVAWYMUWCAVHWWAWYLWWMWXE
          UWLWEAWVDWYPWVFYHVUSVUTWIAWWMVHWOWYKWYOYJAVHWWAWWMWXEWRWYJWYNBUGVHWWM
          WXQWYMWVTVIVVAVVCVOYMAWWPWVTWPUQWYIWYKYJWXGWXHBWWNWVTVVDXRYMVVEAWVCDW
          VSWVFVYEWWFAWVCDWSUNWVSUOYAZWVSWVCDUMUNUOYAZAWVSWVCWSUNUWDUKDUOYAXXCX
          XDWAUCAWVSWVCDWWFWVFVYEVVKVUTVGVVFYTZVVGYTAVVRVWCVYPUMUNZVWDVWRAVWCVY
          PVYJWVHWKZVYKAVVRVWBVYOWNZUJUKZXXFVWRAXXHVWJUPVYRVYTXXIVAUQAWUBXXHVWJ
          VYGXXHWUBUPJCVVHVWBJVYOXKXLWUTXIZVWOWVGXXHVWJVMVNXXGAVVQXXHUPXXHVAUPV
          VRXXIVIYAAVVQWUBCULZXXHAGWUBCWVNVVIXXKVWBVYOCULZWNZXXHJVYOCVVLXXLVYOU
          PXXMXXHUPVYOCVVHXXLVYOVWBXNXLXOXPAXXHVWJVAXXJVWOVLVVQXXHXQXRAVWBVAUPV
          YHWVQWUAXXIXXFVIYAAVWBJVAVYIVYBVLVYJWVRWVHVWBVYOXSYBYCAVYPDVWCWVHVYEV
          YJXXEVVGYTVVJAVVTDVWCDAVVTVYDYPADVYEYPZAVWCVYJYPXXNVVMVVN $.

        uniioombl.n $e |- ( ph -> N e. NN ) $.
        uniioombl.n2 $e |- ( ph -> A. j e. ( 1 ... M ) ( abs `
        ( sum_ i e. ( 1 ... N )
          ( vol* ` ( ( (,) ` ( F ` i ) ) i^i ( (,) ` ( G ` j ) ) ) ) -
          ( vol* ` ( ( (,) ` ( G ` j ) ) i^i A ) ) ) ) < ( C / M ) ) $.
        uniioombl.l $e |- L = U. ( ( (,) o. F ) " ( 1 ... N ) ) $.
        $( Lemma for ~ uniioombl .  (Contributed by Mario Carneiro,
           26-Mar-2015.) $)
        uniioombllem4 $p |- ( ph ->
          ( vol* ` ( K i^i A ) ) <_ ( ( vol* ` ( K i^i L ) ) + C ) ) $=
          ( cin covol cfv c1 cfz co caddc cuz cv cioo ciun wss cr wcel ccom crn
          inss1 cuni cima imassrn unissi cicc cdif cc0 wceq uniiccdif simpld cn
          cle cxp wf ovolficcss syl sstrid cxr clt wbr sylancl syl3anc ovolsscl
          sstrd mp3an2i cun cmin nnuz syl5eq cc nncnd uneq1d eqtrd eqtrdi inss2
          ioof fss sylancr 3syl fvco3 iuneq2dv eqtr3d wfun ffun funiunfv elfznn
          fco syl2an ineq2d incom iunin2 a1i iuneq2i 3eqtr4g readdcld csu fzfid
          fveq2d wral sylib adantr ralrimiva syl2anc cvol eqtri eqtr4di eqeltrd
          wa c0 wdisj mpbid cmul eqsstri csup uniioombllem1 ssid ovollecl ssun2
          ovollb peano2nnd eleqtrdi uzsplit ax-1cn pncan oveq2d iuneq1d cpw wfn
          iunxun rexpssxrxp sstri ffn fniunfv sylan indi 3eqtr4ri eqtr3i uneq2d
          3eqtr4d sseqtrrid sstrdi rpred ovolun syl22anc eqbrtrd iunss r19.21bi
          fsumrecl cfn jca ovolfiniun cdiv nndivred cdm c1st cop ffvelrn elin2d
          c2nd 1st2nd2 df-ov ioombl eqeltrdi adantlr finiunmbl eqsstrid ioossre
          inmbl eqsstrdi ovolfcl ovolioo simp2d resubcld mblsplit 3sstr4i sslin
          w3a simp1d sseqin2 indifdir difeq12i eqcomd wb ineq1d 2fveq3 cbvdisjv
          mp1i fz1ssnn uzss sseqtrrdi uzdisj eqtr3di disjiun syl13anc uneqdifeq
          eqtr3id oveq12d cabs absdifltd ltled mblvol disjss2 disjss1 volfiniun
          rgenw mpsyl sumeq2dv 3eqtr3d breqtrrd lesubaddd leadd2d mpbird fsumle
          eqbrtrrd chash recnd fsumconst cn0 nnnn0 hashfz1 oveq1d nnne0d 3eqtrd
          divcan2d breqtrd letrd leadd2dd ) ALCULZUMUNZLMULZUMUNZHUONUPUQZGOUOU
          RUQZUSUNZGUTZJUNZVAUNZHUTZKUNZVAUNZULZVBZVBZUMUNZURUQZVUSDURUQVUPLVCA
          LVDVCZLUMUNVDVEZVUQVDVELCVHZALVAKVFZVGZVIZVDLVVQVUTVJZVIZVVSUHVVTVVRV
          VQVUTVKVLUUAZAVVSVMKVFVGVIZVDAVVSVWCVCVWCVVSVNUMUNVOVPAKUBVQVRAVSVTVD
          VDWAZULZKWBZVWCVDVCUBKWCWDWLZWEZLVVSVCAVVSVDVCZVVSUMUNZVDVEZVVOVWBVWG
          AVWIFVGWFWGUUBZVDVEVWJVWLVTWHZVWKVWGABCDEFIJKPQRSTUAUBUCUDUEUUCAVWFVV
          SVVSVCVWMUBVVSUUDVVSFKUDUUGWIVVSVWLUUEWJLVVSWKWMZVUPLWKWMAVUSVVLVURLV
          CAVVNVVOVUSVDVEZLMVHZVWHVWNVURLWKWMZAVVKLVCZVVNVVOVVLVDVEZAVVKVUPLAVU
          RVVKWNZVVKVUPVVKVURUUFAVUPVURLGVVBVVEVBZULZWNZVWTAVUPLMVXAWNZULVXCACV
          XDLAGVSVVEVBZGUOOUPUQZVVEVBZVXAWNZCVXDAVXEGVXFVVBWNZVVEVBVXHAGVSVXIVV
          EAVSUOVVAUOWOUQZUPUQZVVBWNZVXIAVSUOUSUNZVXLWPAVVAVXMVEZVXMVXLVPAVVAVS
          VXMAOUIUUHWPUUIZUOVVAUUJWDWQAVXKVXFVVBAVXJOUOUPAOWRVEUOWRVEVXJOVPAOUI
          WSUUKOUOUULWIUUMZWTXAUUNGVXFVVBVVEUUQXBACVAJVFZVGZVIZVXESAGVSVVCVXQUN
          ZVBZVXSVXEAVSVDUUOZVXQWBZVXQVSUUPVYAVXSVPAWFWFWAZVYBVAWBZVSVYDJWBZVYC
          XDAVSVWEJWBZVWEVYDVCZVYFPVWEVWDVYDVTVWDXCUURUUSZVSVWEVYDJXEWIVSVYDVYB
          VAJXOXFZVSVYBVXQUUTGVSVXQUVAXGAGVSVXTVVEAVYGVVCVSVEZVXTVVEVPZPVSVWEVV
          CVAJXHZUVBXIXJWQAMVXGVXAAMVXQVXFVJZVIZVXGUKAGVXFVXTVBZVYOVXGAVYCVXQXK
          VYPVYOVPVYJVSVYBVXQXLGVXFVXQXMXGAGVXFVXTVVEAVYGVYKVYLVVCVXFVEZPVVCOXN
          ZVYMXPXIXJWQZWTUVGZXQLMVXAUVCXBAVXBVVKVURAVXALULVXAHVUTVVHVBZULZVXBVV
          KALWUAVXAALVWAWUAUHAHVUTVVFVVQUNZVBZVWAWUAAVSVYBVVQWBZVVQXKWUDVWAVPAV
          YEVSVYDKWBZWUEXDAVWFVYHWUFUBVYIVSVWEVYDKXEWIVSVYDVYBVAKXOXFVSVYBVVQXL
          HVUTVVQXMXGAHVUTWUCVVHAVWFVVFVSVEZWUCVVHVPVVFVUTVEZUBVVFNXNZVSVWEVVFV
          AKXHXPXIXJWQXQLVXAXRHVUTVXAVVHULZVBVVKWUBHVUTWUJVVJWUJVVJVPWUHGVVBVVH
          VVEULZVBZVVHVXAULZVVJWUJGVVBVVHVVEXSZGVVBVVIWUKVVIWUKVPZVVCVVBVEVVEVV
          HXRZXTYAZVXAVVHXRUVDXTYAHVUTVXAVVHXSUVEYBUVFXAZUVHVVPUVIZVWHVWNVVKLWK
          WJZYCAVUSDVWQADUAUVJZYCAVUQVWTUMUNZVVMVTAVUPVWTUMWURYFAVURVDVCVWOVVKV
          DVCVWSWVBVVMVTWHAVURLVDVWPVWHWEVWQAVVKLVDWUSVWHWLWUTVURVVKUVKUVLUVMAV
          VLDVUSWUTWVAVWQAVVLVUTVVJUMUNZHYDZDWUTAVUTWVCHAUONYEZAWUHYPZVVJLVCZVV
          NVVOWVCVDVEZAWVGHVUTAVWRWVGHVUTYGWUSHVUTVVJLUVNYHUVOZAVVNWUHVWHYIZAVV
          OWUHVWNYIVVJLWKWJZUVPWVAAVUTUVQVEZVVJVDVCZWVHYPZHVUTYGVVLWVDVTWHWVEAW
          VNHVUTWVFWVMWVHWVFVVJLVDWVIWVJWLWVKUVRYJVUTVVJHUVSYKAWVDVUTDNUVTUQZHY
          DZDVTAVUTWVCWVOHWVEWVKAWVOVDVEWUHADNWVAUFUWAZYIZWVFWVCWVOVTWHVVHMULZU
          MUNZWVCURUQZWVTWVOURUQZVTWHWVFVVHCULZUMUNZWWAWWBVTWVFWWDWWCWVSULZUMUN
          ZWWCWVSVNZUMUNZURUQZWWAWVFWVSYLUWBZVEWWCVDVCWWDVDVEZWWDWWIVPWVFWVSGVX
          FVVIVBZWWJWVFWVSVVHVXGULZWWLAWVSWWMVPWUHAMVXGVVHVYSXQYIWWLGVXFWUKVBWW
          MGVXFVVIWUKWUOVYQWUPXTYAGVXFVVHVVEXSYMYNZWVFVXFUVQVEZVVIWWJVEZGVXFYGW
          WLWWJVEZWVFUOOYEZWVFWWPGVXFWVFVYQYPZVVEWWJVEZVVHWWJVEZWWPAVYQWWTWUHAV
          YQYPZVVEVVDUWCUNZVVDUWGUNZVAUQZWWJWXBVVEWXCWXDUWDZVAUNWXEWXBVVDWXFVAW
          XBVVDVWDVEVVDWXFVPWXBVTVWDVVDAVYGVYKVVDVWEVEVYQPVYRVSVWEVVCJUWEXPUWFV
          VDVDVDUWHWDYFWXCWXDVAUWIYNWXCWXDUWJUWKUWLWVFWXAVYQWVFVVHVVGUWCUNZVVGU
          WGUNZVAUQZWWJWVFVVHWXGWXHUWDZVAUNWXIWVFVVGWXJVAWVFVVGVWDVEVVGWXJVPWVF
          VTVWDVVGAVWFWUGVVGVWEVEWUHUBWUIVSVWEVVFKUWEXPUWFVVGVDVDUWHWDYFWXGWXHV
          AUWIYNZWXGWXHUWJUWKYIVVEVVHUWPYKZYJVXFVVIGUWMYKZYOWVFWWCCVDVVHCXCACVD
          VCWUHACVXSVDSAVXSVMJVFVGVIZVDAVXSWXNVCWXNVXSVNUMUNVOVPAJPVQVRAVYGWXNV
          DVCPJWCWDWLUWNYIWEWWCVVHVCWVFVVHVDVCZVVHUMUNZVDVEZWWKVVHCVHWVFVVHWXIV
          DWXKWXGWXHUWOUWQZWVFWXPWXHWXGWOUQZVDWVFWXPWXIUMUNZWXSWVFVVHWXIUMWXKYF
          WVFWXGVDVEZWXHVDVEZWXGWXHVTWHZUXEZWXTWXSVPAVWFWUGWYDWUHUBWUIKVVFUWRXP
          ZWXGWXHUWSWDXAWVFWXHWXGWVFWYAWYBWYCWYEUWTWVFWYAWYBWYCWYEUXFUXAYOZWWCV
          VHWKWMZWVSWWCUXBWJWVFWWFWVTWWHWVCURWVFWWEWVSUMWVFWVSWWCVCZWWEWVSVPMCV
          CZWYHWVFVYOVXSMCVYNVXRVXQVXFVKVLUKSUXCZMCVVHUXDUXOWVSWWCUXGYHYFWVFWWG
          VVJUMWVFWWGCMVNZVVHULZVVJWYLCVVHULZMVVHULZVNWWGCMVVHUXHWYMWWCWYNWVSCV
          VHXRMVVHXRUXIYMWVFVVHWYKULWUMWYLVVJWVFWYKVXAVVHAWYKVXAVPZWUHAVXDCVPZW
          YOACVXDVYTUXJAWYIMVXAULZYQVPWYPWYOUXKWYJAWYQVXGVXAULZYQAMVXGVXAVYSUXL
          AGVSVVEYRZVXFVSVCZVVBVSVCVXFVVBULZYQVPWYRYQVPABVSBUTZJUNVAUNZYRWYSQBG
          VSXUCVVEXUBVVCVAJUXMUXNYHZWYTAOUXPZXTAVVBVXMVSAVXNVVBVXMVCVXOUOVVAUXQ
          WDWPUXRAVXKVVBULXUAYQAVXKVXFVVBVXPUXLUOVVAUXSUXTGVSVVEVXFVVBUYAUYBXAM
          VXACUYCXFYSYIXQWYKVVHXRVVJWULWUMWUQWUNYMYBUYDYFUYEXAWVFWWDWVOWOUQZWVT
          VTWHWWDWWBVTWHWVFXUFVXFVVIUMUNZGYDZWVTVTWVFXUFXUHWVFWWDWVOWYGWVRUXAWV
          FVXFXUGGWWRVVIVVHVCWWSWXOWXQXUGVDVEVVEVVHXCWVFWXOVYQWXRYIWVFWXQVYQWYF
          YIVVIVVHWKWMZUVPZWVFXUFXUHWGWHZXUHWWDWVOURUQWGWHZWVFXUHWWDWOUQUYFUNWV
          OWGWHZXUKXULYPAXUMHVUTUJUVOWVFXUHWWDWVOXUJWYGWVRUYGYSVRUYHWVFWVTWWLUM
          UNZXUHWVFWVSWWLUMWWNYFWVFWWLYLUNZVXFVVIYLUNZGYDZXUNXUHWVFWWOWWPXUPVDV
          EZYPZGVXFYGGVXFVVIYRZXUOXUQVPWWRWVFXUSGVXFWWSWWPXURWXLWWSXUPXUGVDWWSW
          WPXUPXUGVPWXLVVIUYIWDZXUIYOUVRYJWYTWVFGVSVVIYRZXUTXUEVVIVVEVCZGVSYGWV
          FWYSXVBXVCGVSVVEVVHVHUYMAWYSWUHXUDYIGVSVVIVVEUYJUYNGVXFVSVVIUYKUYNVXF
          VVIGUYLWJWVFWWQXUOXUNVPWXMWWLUYIWDWVFVXFXUPXUGGXVAUYOUYPXAZUYQWVFWWDW
          VOWVTWYGWVRWVFWVTXUHVDXVDXUJYOZUYRYSVUBWVFWVCWVOWVTWVKWVRXVEUYSUYTVUA
          AWVPVUTVUCUNZWVOYTUQZNWVOYTUQDAWVLWVOWRVEWVPXVGVPWVEAWVOWVQVUDVUTWVOH
          VUEYKAXVFNWVOYTANVSVENVUFVEXVFNVPUFNVUGNVUHXGVUIADNADWVAVUDANUFWSANUF
          VUJVULVUKVUMVUNVUOVUN $.

        $( Lemma for ~ uniioombl .  (Contributed by Mario Carneiro,
           25-Aug-2014.) $)
        uniioombllem5 $p |- ( ph ->
          ( ( vol* ` ( E i^i A ) ) + ( vol* ` ( E \ A ) ) ) <_
          ( ( vol* ` E ) + ( 4 x. C ) ) ) $=
          ( vn cin covol cfv cdif caddc co c4 cmul wss wcel inss1 cioo ccom crn
          cr cuni cicc cc0 wceq uniiccdif simpld cn cle cxp wf ovolficcss sstrd
          syl ovolsscl mp3an2i difssd syl3anc readdcld cfz cima imassrn eqsstri
          c1 unissi sstrid cxr clt csup wbr uniioombllem1 ssid sylancl ovollecl
          rpred remulcl sylancr uniioombllem3 ltled uniioombllem4 3sstr4i sscon
          ovollb 4re mp1i ovolss syl2anc le2addd recnd add32d cvol cdm ciun cpw
          wfun ioof inss2 rexpssxrxp sstri fss fco ffun funiunfv eqtr4di syl2an
          cv eqtr4d breqtrd letrd leadd1dd addassd c2 2timesd oveq2d 3syl fzfid
          cfn wral wa c1st elfznn fvco3 cop ffvelrn elin2d 1st2nd2 fveq2d df-ov
          c2nd eqtrd ioombl eqeltrdi ralrimiva finiunmbl eqeltrrd oveq1d oveq1i
          mblsplit 2t2e4 2cnd mulassd 3eqtrd eqtr3id ) AICUMZUNUOZICUPZUNUOZUQU
          RZLCUMZUNUOZLCUPZUNUOZUQURZDDUQURZUQURZIUNUOZUSDUTURZUQURZAUVKUVMUVJI
          VAAIVGVAZUWBVGVBZUVKVGVBICVCAIVDKVEZVFZVHZVGUCAUWIVIKVEVFVHZVGAUWIUWJ
          VAUWJUWIUPUNUOVJVKAKUBVLVMAVNVOVGVGVPZUMZKVQZUWJVGVAUBKVRVTVSZVSZTUVJ
          IWAWBAUVLIVAUWEUWFUVMVGVBAICWCUWOTUVLIWAWDWEZAUVSUVTAUVPUVRUVOLVAALVG
          VAZLUNUOZVGVBZUVPVGVBLCVCALUWIVGLUWGWJNWFURZWGZVHUWIUHUXAUWHUWGUWTWHW
          KWIZUWNWLZLUWIVAZAUWIVGVAZUWIUNUOZVGVBZUWSUXBUWNAUXEFVFWMWNWOZVGVBUXF
          UXHVOWPZUXGUWNABCDEFIJKPQRSTUAUBUCUDUEWQZAUWMUWIUWIVAUXIUBUWIWRUWIFKU
          DXIWSUWIUXHWTWDLUWIWAWBZUVOLWAWBZAUVQLVAUWQUWSUVRVGVBALCWCUXCUXKUVQLW
          AWDZWEZADDADUAXAZUXOWEZWEZAUWBUWCTAUSVGVBDVGVBUWCVGVBXJUXOUSDXBXCWEAU
          VNUWAUWPUXQABCDEFIJKLNPQRSTUAUBUCUDUEUFUGUHXDXEAUWAUWBUVTUQURZUVTUQUR
          ZUWDVOAUVSUXRUVTUXNAUWBUVTTUXPWEZUXPAUVSUWRDUQURZUXRUXNAUWRDUXKUXOWEU
          XTAUVSLMUMZUNUOZDUQURZLMUPZUNUOZUQURZUYAVOAUVPUVRUYDUYFUXLUXMAUYCDUYB
          LVAAUWQUWSUYCVGVBLMVCUXCUXKUYBLWAWBZUXOWEAUYELVAUWQUWSUYFVGVBALMWCZUX
          CUXKUYELWAWDZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKXFAUVQUYEVAZUY
          EVGVAUVRUYFVOWPMCVAUYKAVDJVEZWJOWFURZWGZVHZUYLVFZVHMCUYNUYPUYLUYMWHWK
          UKSXGMCLXHXKAUYELVGUYIUXCVSUVQUYEXLXMXNAUYGUYCUYFUQURZDUQURUYAAUYCDUY
          FAUYCUYHXOADUXOXOZAUYFUYJXOXPAUWRUYQDUQAMXQXRZVBUWQUWSUWRUYQVKAULUYMU
          LYLZUYLUOZXSZMUYSAVUBUYOMAVNVGXTZUYLVQZUYLYAVUBUYOVKAWMWMVPZVUCVDVQVN
          VUEJVQZVUDYBAVNUWLJVQZUWLVUEVAVUFPUWLUWKVUEVOUWKYCYDYEVNUWLVUEJYFWSVN
          VUEVUCVDJYGXCVNVUCUYLYHULUYMUYLYIUUAUKYJAUYMUUCVBVUAUYSVBZULUYMUUDVUB
          UYSVBAWJOUUBAVUHULUYMAUYTUYMVBZUUEZVUAUYTJUOZUUFUOZVUKUUOUOZVDURZUYSV
          UJVUAVUKVDUOZVUNAVUGUYTVNVBZVUAVUOVKVUIPUYTOUUGZVNUWLUYTVDJUUHYKVUJVU
          OVULVUMUUIZVDUOVUNVUJVUKVURVDVUJVUKUWKVBVUKVURVKVUJVOUWKVUKAVUGVUPVUK
          UWLVBVUIPVUQVNUWLUYTJUUJYKUUKVUKVGVGUULVTUUMVULVUMVDUUNYJUUPVULVUMUUQ
          UURUUSUYMVUAULUUTXMUVAUXCUXKMLUVDWDUVBYMYNAUYAUWBDUQURZDUQURUXRVOAUWR
          VUSDUXKAUWBDTUXOWEZUXOAUWRUXHVUSUXKUXJVUTAUWMUXDUWRUXHVOWPUBUXBLFKUDX
          IWSUEYOYPAUWBDDAUWBTXOZUYRUYRYQYNYOYPAUXSUWBUVTUVTUQURZUQURUWDAUWBUVT
          UVTVVAAUVTUXPXOZVVCYQAUWCVVBUWBUQAUWCYRYRUTURZDUTURZVVBVVDUSDUTUVEUVC
          AVVEYRYRDUTURZUTURYRUVTUTURVVBAYRYRDAUVFZVVGUYRUVGAVVFUVTYRUTADUYRYSY
          TAUVTVVCYSUVHUVIYTYMYNYO $.
      $}

      $( Lemma for ~ uniioombl .  (Contributed by Mario Carneiro,
         26-Mar-2015.) $)
      uniioombllem6 $p |- ( ph ->
        ( ( vol* ` ( E i^i A ) ) + ( vol* ` ( E \ A ) ) ) <_
          ( ( vol* ` E ) + ( 4 x. C ) ) ) $=
        ( cn vm vj va vy vn vi vz vk cv cfv crn cxr clt csup cmin co cabs covol
        wbr cin cdif caddc c4 cmul cle cuz wral wrex c1 nnuz 1zzd wcel wa eqidd
        cr cli ccom cc0 cpnf cico cxp eqid ovolfsf syl ffvelrnda elrege0 simpld
        sylib simprd uniioombllem1 wss ovolsf frnd icossxr sstrdi supxrub sylan
        wf ralrimiva wfn wb ffnd breq1 ralrn mpbid brralrspcev syl2anc wne wceq
        c0 climi2 r19.2uz cfz cioo csu cz cmpt ad2antrr cvv inex1 elfznn syl2an
        fvex weq 2fveq3 ineq1d fveq2d eqtrd cop adantr cif cbvmptv rexuz3 ax-mp
        cinf 1z sylibr cima cuni rexlimddv isumsup2 rge0ssre cdm fdmd eleqtrrid
        1nn ne0d necon3bii supxrre syl3anc breqtrrd cdiv cseq crp simplrl nnrpd
        dm0rn0 rpdivcld rgenw fnmpt mp1i fvco2 adantl fvmpt simpr eleqtrdi c1st
        inss2 ffvelrn elin2d 1st2nd2 df-ov eqtr4di ioossre eqsstrdi w3a ovolfcl
        c2nd ovolioo simp2d simp1d resubcld eqeltrd mp3an2i recnd fsumser eqeq1
        ovolsscl eqcomd infeq1 supeq1 opeq12d ifbieq2d uniioombllem2 sylan2 cfn
        adantlr rexfiuz wdisj simprll simprlr simprrl simprrr cbvsumv sumeq2sdv
        fzfi ineq2d syl5eq oveq12d breq1d cbvralvw uniioombllem5 anassrs ) AUAU
        IZFUJZFUKZULUMUNZUOUPUQUJDUMUSZGCUTURUJGCVAURUJVBUPGURUJZVCDVDUPVBUPVEU
        SZUATAUXRUAUBUIZVFUJVGUBTVHUXRUATVHAUXQUXODUBUAFVITVJAVKZOAUXNTVLZVMUXO
        VNAFUXPVOUMUNZUXQVPABUCUIZUQUOVQIVQZUJZUAUCUYFFVITVJRUYBAUYETVLVMZUYGVN
        UYHUYGVOVLZVRUYGVEUSZUYHUYGVRVSVTUPZVLUYIUYJVMATUYKUYEUYFATVEVOVOWAZUTZ
        IWRZTUYKUYFWRPIUYFUYFWBZWCWDWEUYGWFWHZWGUYHUYIUYJUYPWIAUXQVOVLZUXOUXQVE
        USZUATVGZUXOBUIZVEUSUATVGBVOVHABCDEFGHIJKLMNOPQRSWJZAUYTUXQVEUSZBUXPVGZ
        UYSAVUBBUXPAUXPULWKUYTUXPVLVUBAUXPUYKULATUYKFAUYNTUYKFWRPFIUYFUYORWLWDZ
        WMZVRVSWNWOUXPUYTWPWQWSZAFTWTVUCUYSXAATUYKFVUDXBVUBUYRBUATFUYTUXOUXQVEX
        CXDWDXEBUAUXOUXQVEVOTXFXGUUAAUXPVOWKUXPXJXHZUYTUDUIVEUSBUXPVGUDVOVHZUXQ
        UYDXIAUXPUYKVOVUEUUBWOAFUUCZXJXHVUGAVUIVIAVITVUIUUFATUYKFVUDUUDUUEUUGVU
        IXJUXPXJFUUQUUHWHAUYQVUCVUHVUAVUFUDBUYTUXQVEVOUXPXFXGUDBUXPUUIUUJUUKXKU
        XRUBUAVITVJXLWDAUYCUXRVMZVMZVIUEUIZXMUPZUFUIZHUJZXNUJZUYAIUJZXNUJZUTZUR
        UJZUFXOZVURCUTZURUJZUOUPZUQUJZDUXNUULUPZUMUSZUBVIUXNXMUPZVGZUXTUETVUKVV
        IUEUYEVFUJZVGZUCTVHZVVIUETVHVUKVVKUCXPVHZVVLVUKVVGUEVVJVGZUCXPVHZUBVVHV
        GZVVMVUKVVOUBVVHVUKUYAVVHVLZVMZVVNUCTVHZVVOVVRVVCVVAVVFUCUEVBURUGTUGUIZ
        HUJZXNUJZVURUTZXQZVQZVIUUMZVITVJVVRVKVVRDUXNADUUNVLZVUJVVQOXRVVRUXNAUYC
        UXRVVQUUOUUPUURVVRVULTVLZVMZVVAVULVWFUJVWIVUTUFVWEVIVULVWIVUNVUMVLZVMZV
        UNVWEUJZVUNVWDUJZURUJZVUTVWIVWDTWTZVUNTVLZVWLVWNXIVWJVWCXSVLZUGTVGVWOVW
        IVWQUGTVWBVURVWAXNYCXTUUSUGTVWCVWDXSVWDWBZUUTUVAVUNVULYAZTURVWDVUNUVBYB
        VWKVWMVUSURVWKVWPVWMVUSXIVWJVWPVWIVWSUVCUGVUNVWCVUSTVWDUGUFYDVWBVUPVURV
        VTVUNXNHYEYFVWRVUPVURVUOXNYCXTUVDWDYGYHVWIVULTVIVFUJVVRVWHUVEVJUVFVWKVU
        TVUSVURWKVWKVURVOWKZVURURUJZVOVLZVUTVOVLVUPVURUVHVVRVWTVWHVWJVVRVURVUQU
        VGUJZVUQUVRUJZXNUPZVOVVRVURVXCVXDYIZXNUJVXEVVRVUQVXFXNVVRVUQUYLVLVUQVXF
        XIVVRVEUYLVUQVUKUYNUYATVLZVUQUYMVLVVQAUYNVUJPYJZUYAUXNYAZTUYMUYAIUVIYBU
        VJVUQVOVOUVKWDYGVXCVXDXNUVLUVMZVXCVXDUVNUVOXRVVRVXBVWHVWJVVRVXAVXDVXCUO
        UPZVOVVRVXAVXEURUJZVXKVVRVURVXEURVXJYGVVRVXCVOVLZVXDVOVLZVXCVXDVEUSZUVP
        ZVXLVXKXIVUKUYNVXGVXPVVQVXHVXIIUYAUVQYBZVXCVXDUVSWDYHVVRVXDVXCVVRVXMVXN
        VXOVXQUVTVVRVXMVXNVXOVXQUWAUWBUWCXRVUSVURUWHUWDUWEUWFUWIAVVQVWFVVCVPUSZ
        VUJVVQAVXGVXRVXIABUHCDEFGHIVWDUYAUGXNUKZVVTXJXIZVRVRYIZVVTULUMYOZVVTULU
        MUNZYIZYKZXQJKLMNOPQRSUGUHTVWCUHUIZHUJXNUJZVURUTUGUHYDVWBVYGVURVVTVYFXN
        HYEYFYLUGBVXSVYEUYTXJXIZVYAUYTULUMYOZUYTULUMUNZYIZYKUGBYDZVXTVYHVYDVYKV
        YAVVTUYTXJUWGVYLVYBVYIVYCVYJULVVTUYTUMUWJULVVTUYTUMUWKUWLUWMYLUWNUWOUWQ
        XKVIXPVLZVVSVVOXAYPVVGUCUEVITVJYMYNWHWSVVHUWPVLVVMVVPXAVIUXNUXFVVGVVHUC
        UEUBUWRYNYQVYMVVLVVMXAYPVVIUCUEVITVJYMYNYQVVIUCUEVITVJXLWDAVUJVWHVVIVMZ
        UXTAVUJVYNVMZVMZBCDEFUGUHGHIXNIVQZVVHYRYSZXNHVQVUMYRYSZUXNVULATUYMHWRVY
        OJYJABTUYTHUJXNUJUWSVYOKYJLMAUXSVOVLVYONYJAVWGVYOOYJAUYNVYOPYJAGVYQUKYS
        WKVYOQYJRAUXQUXSDVBUPVEUSVYOSYJAUYCUXRVYNUWTAUYCUXRVYNUXAVYRWBAVUJVWHVV
        IUXBVYPVVIVUMVWBVYFIUJXNUJZUTZURUJZUGXOZVYTCUTZURUJZUOUPZUQUJZVVFUMUSZU
        HVVHVGAVUJVWHVVIUXCVVGWUHUBUHVVHUBUHYDZVVEWUGVVFUMWUIVVDWUFUQWUIVVAWUCV
        VCWUEUOWUIVVAVUMVWCURUJZUGXOWUCVUMVUTWUJUFUGUFUGYDZVUSVWCURWUKVUPVWBVUR
        VUNVVTXNHYEYFYGUXDWUIVUMWUJWUBUGWUIVWCWUAURWUIVURVYTVWBUYAVYFXNIYEZUXGY
        GUXEUXHWUIVVBWUDURWUIVURVYTCWULYFYGUXIYGUXJUXKWHVYSWBUXLUXMYTYT $.
    $}

    $( A disjoint union of open intervals is measurable.  (This proof does not
       use countable choice, unlike ~ iunmbl .)  Lemma 565Ca of [Fremlin5]
       p. 214.  (Contributed by Mario Carneiro, 26-Mar-2015.) $)
    uniioombl $p |- ( ph -> U. ran ( (,) o. F ) e. dom vol ) $=
      ( cioo cr wss cfv wcel caddc co cle cn wf wa c4 c2 vz vr vf ccom crn cuni
      cv covol cin cdif wbr wi cpw wral cvol cdm cxr cxp inss2 rexpssxrxp sstri
      ioof fss sylancl fco sylancr frnd sspwuni crp cdiv cmul cabs cmin c1 cseq
      sylib clt csup cmap wrex ad2antrl simprr rphalfcl rphalfcld eqid ovolgelb
      syl2an3an ad3antrrr adantr adantl simprrl simprrr uniioombllem6 rexlimddv
      elpwi wdisj elmapi cc rpcn 2cnd cc0 wne 2ne0 divdiv1d 2t2e4 oveq2i eqtrdi
      a1i oveq2d 4cn divcan2d eqtrd breqtrd ralrimiva wb inss1 ovolsscl syl3anc
      4ne0 difssd readdcld alrple syl2anc mpbird expr ismbl2 sylanbrc ) AHDUDZU
      EZUFZIJZUAUGZUHKZILZYLYJUIZUHKZYLYJUJZUHKZMNZYMOUKZULZUAIUMZUNYJUOUPLAYIU
      UBJYKAPUUBYHAUQUQURZUUBHQPUUCDQZPUUBYHQVBAPOIIURZUIZDQZUUFUUCJUUDEUUFUUEU
      UCOUUEUSUTVAPUUFUUCDVCVDPUUCUUBHDVEVFVGYIIVHVPAUUAUAUUBAYLUUBLZYNYTAUUHYN
      RZRZYTYSYMUBUGZMNZOUKZUBVIUNZUUJUUMUBVIUUJUUKVILZRZYSYMSUUKTVJNZTVJNZVKNZ
      MNZUULOUUPYLHUCUGZUDUEUFJZMVLVMUDUVAUDVNVOZUEUQVQVRYMUURMNOUKZRZYSUUTOUKU
      CUUFPVSNZUUJYLIJZYNUUOUURVILUVEUCUVFVTUUHUVGAYNYLIWOWAZAUUHYNWBZUUOUUQUUK
      WCZWDYLUURUVCUCUVCWEZWFWGUUPUVAUVFLZUVERZRZBYJUURCUVCYLDUVAAUUGUUIUUOUVME
      WHABPBUGDKHKWPUUIUUOUVMFWHGYJWEUUPYNUVMUUJYNUUOUVIWIWIUVNUUQUUPUUQVILZUVM
      UUOUVOUUJUVJWJWIWDUVLPUUFUVAQUUPUVEUVAUUFPWQWAUUPUVLUVBUVDWKUVKUUPUVLUVBU
      VDWLWMWNUUPUUSUUKYMMUUPUUSSUUKSVJNZVKNUUKUUPUURUVPSVKUUPUURUUKTTVKNZVJNUV
      PUUPUUKTTUUOUUKWRLUUJUUKWSWJZUUPWTZUVSTXAXBUUPXCXHZUVTXDUVQSUUKVJXEXFXGXI
      UUPUUKSUVRSWRLUUPXJXHSXAXBUUPXSXHXKXLXIXMXNUUJYSILYNYTUUNXOUUJYPYRUUJYOYL
      JZUVGYNYPILUWAUUJYLYJXPXHUVHUVIYOYLXQXRUUJYQYLJUVGYNYRILUUJYLYJXTUVHUVIYQ
      YLXQXRYAUVIUBYSYMYBYCYDYEXNUAYJYFYG $.

    $( An almost-disjoint union of closed intervals is measurable.  (This proof
       does not use countable choice, unlike ~ iunmbl .)  (Contributed by Mario
       Carneiro, 25-Mar-2015.) $)
    uniiccmbl $p |- ( ph -> U. ran ( [,] o. F ) e. dom vol ) $=
      ( cioo ccom crn cuni cicc cdif cun cvol wss wceq wcel cr syl2anc covol cn
      cdm cfv cc0 uniiccdif simpld undif sylib uniioombl cle cxp cin ovolficcss
      wf syl ssdifssd simprd nulmbl unmbl eqeltrrd ) AHDIJKZLDIJKZVBMZNZVCOUCZA
      VBVCPZVEVCQAVGVDUAUDUEQZADEUFZUGVBVCUHUIAVBVFRVDVFRZVEVFRABCDEFGUJAVDSPVH
      VJAVCSVBAUBUKSSULUMDUOVCSPEDUNUPUQAVGVHVIURVDUSTVBVDUTTVA $.
  $}

  ${
    $d c d f x y $.  $d a b c d x y B $.  $d x y C $.  $d a b f m n t w z ph $.
    $d a b c d i m n r t w x y z A $.  $d x y D $.  $d a b f m n t z G $.
    $d a b c d m n r w x y z F $.
    dyadmbl.1 $e |- F = ( x e. ZZ , y e. NN0 |->
      <. ( x / ( 2 ^ y ) ) , ( ( x + 1 ) / ( 2 ^ y ) ) >. ) $.
    $( The function ` F ` returns the endpoints of a dyadic rational covering
       of the real line.  (Contributed by Mario Carneiro, 26-Mar-2015.) $)
    dyadf $p |- F : ( ZZ X. NN0 ) --> ( <_ i^i ( RR X. RR ) ) $=
      ( cv c2 co cdiv cle cr cxp wcel cn0 wral cz wbr syl cn nndivre syl2an cop
      cexp c1 caddc cin wf wa zre adantr lep1d cc0 clt wb peano2re nnexpcl mpan
      adantl nnred nngt0d lediv1 syl112anc mpbid df-br sylib opelxpd elind fmpo
      2nn rgen2 mpbi ) AEZFBEZUBGZHGZVKUCUDGZVMHGZUAZIJJKZUEZLZBMNAONOMKVSCUFVT
      ABOMVKOLZVLMLZUGZIVRVQWCVNVPIPZVQILWCVKVOIPZWDWCVKWAVKJLZWBVKUHZUIZUJWCWF
      VOJLZVMJLUKVMULPWEWDUMWHWCWFWIWHVKUNZQWCVMWBVMRLZWAFRLWBWKVHFVLUOUPZUQZUR
      WCVMWMUSVKVOVMUTVAVBVNVPIVCVDWCVNVPJJWAWFWKVNJLWBWGWLVKVMSTWAWIWKVPJLWBWA
      WFWIWGWJQWLVOVMSTVEVFVIABOMVQVSCDVGVJ $.

    $( Value of the dyadic rational function ` F ` .  (Contributed by Mario
       Carneiro, 26-Mar-2015.) $)
    dyadval $p |- ( ( A e. ZZ /\ B e. NN0 ) -> ( A F B ) =
      <. ( A / ( 2 ^ B ) ) , ( ( A + 1 ) / ( 2 ^ B ) ) >. ) $=
      ( cz cn0 cv c2 cexp co cdiv c1 caddc cop wceq wa id oveqan12d oveq2 oveq1
      opeq12d opex ovmpoa ) ABCDGHAIZJBIZKLZMLZUFNOLZUHMLZPCJDKLZMLZCNOLZULMLZP
      EUFCQZUGDQZRUIUMUKUOUPUQUFCUHULMUPSUGDJKUAZTUPUQUJUNUHULMUFCNOUBURTUCFUMU
      OUDUE $.

    $( Volume of a dyadic rational interval.  (Contributed by Mario Carneiro,
       26-Mar-2015.) $)
    dyadovol $p |- ( ( A e. ZZ /\ B e. NN0 ) ->
      ( vol* ` ( [,] ` ( A F B ) ) ) = ( 1 / ( 2 ^ B ) ) ) $=
      ( wcel co cicc cfv covol c2 cdiv c1 cmin fveq2d cr cle wbr recnd cn0 cexp
      cz wa caddc cop dyadval df-ov eqtr4di wceq cn zre 2nn nnexpcl mpan syl2an
      nndivre peano2re syl adantr lep1d wb adantl nnred nngt0d lediv1 syl112anc
      cc0 clt ovolicc syl3anc nnne0d divsubdird cc ax-1cn pncan2 sylancl oveq1d
      mpbid eqtr3d 3eqtrd ) CUCGZDUAGZUDZCDEHZIJZKJCLDUBHZMHZCNUEHZWGMHZIHZKJZW
      JWHOHZNWGMHZWDWFWKKWDWFWHWJUFZIJWKWDWEWOIABCDEFUGPWHWJIUHUIPWDWHQGZWJQGZW
      HWJRSZWLWMUJWBCQGZWGUKGZWPWCCULZLUKGWCWTUMLDUNUOZCWGUQUPWBWIQGZWTWQWCWBWS
      XCXACURZUSXBWIWGUQUPWDCWIRSZWRWDCWBWSWCXAUTZVAWDWSXCWGQGVHWGVISXEWRVBXFWD
      WSXCXFXDUSZWDWGWCWTWBXBVCZVDZWDWGXHVECWIWGVFVGVSWHWJVJVKWDWICOHZWGMHWMWNW
      DWICWGWDWIXGTWDCXFTZWDWGXITWDWGXHVLVMWDXJNWGMWDCVNGNVNGXJNUJXKVOCNVPVQVRV
      TWA $.

    $( Two closed dyadic rational intervals are either in a subset relationship
       or are almost disjoint (the interiors are disjoint).  (Contributed by
       Mario Carneiro, 26-Mar-2015.)  (Proof shortened by Mario Carneiro,
       26-Apr-2016.) $)
    dyadss $p |- ( ( ( A e. ZZ /\ B e. ZZ ) /\ ( C e. NN0 /\ D e. NN0 ) ) ->
      ( ( [,] ` ( A F C ) ) C_ ( [,] ` ( B F D ) ) -> D <_ C ) ) $=
      ( wcel wa co cicc cfv cle wbr c2 c1 cdiv cr syl2anc cz cn0 wss cexp covol
      simpr caddc cop wceq simpllr simplrr dyadval fveq2d df-ov eqtr4di zred cn
      2nn nnexpcl sylancr nndivred peano2re syl iccssre eqsstrd simplll simplrl
      ovolss dyadovol 3brtr3d wb cc0 clt nnre nngt0 jca lerec syl2an mpbird 2re
      a1i nn0zd 1lt2 leexp2d ex ) CUAIZDUAIZJZEUBIZFUBIZJZJZCEGKLMZDFGKZLMZUCZF
      ENOZWLWPJZWQPFUDKZPEUDKZNOZWRXAQWTRKZQWSRKZNOZWRWMUEMZWOUEMZXBXCNWRWPWOSU
      CXEXFNOWLWPUFWRWODWSRKZDQUGKZWSRKZLKZSWRWOXGXIUHZLMXJWRWNXKLWRWGWJWNXKUIW
      FWGWKWPUJZWHWIWJWPUKZABDFGHULTUMXGXILUNUOWRXGSIXISIXJSUCWRDWSWRDXLUPZWRPU
      QIZWJWSUQIZURXMPFUSUTZVAWRXHWSWRDSIXHSIXNDVBVCXQVAXGXIVDTVEWMWOVHTWRWFWIX
      EXBUIWFWGWKWPVFWHWIWJWPVGZABCEGHVITWRWGWJXFXCUIXLXMABDFGHVITVJWRXPWTUQIZX
      AXDVKZXQWRXOWIXSURXRPEUSUTXPWSSIZVLWSVMOZJWTSIZVLWTVMOZJXTXSXPYAYBWSVNWSV
      OVPXSYCYDWTVNWTVOVPWSWTVQVRTVSWRPFEPSIWRVTWAWRFXMWBWREXRWBQPVMOWRWCWAWDVS
      WE $.

    $( Lemma for ~ dyaddisj .  (Contributed by Mario Carneiro, 26-Mar-2015.) $)
    dyaddisjlem $p |- ( ( ( ( A e. ZZ /\ B e. ZZ ) /\
     ( C e. NN0 /\ D e. NN0 ) ) /\ C <_ D ) ->
       ( ( [,] ` ( A F C ) ) C_ ( [,] ` ( B F D ) ) \/
         ( [,] ` ( B F D ) ) C_ ( [,] ` ( A F C ) ) \/
       ( ( (,) ` ( A F C ) ) i^i ( (,) ` ( B F D ) ) ) = (/) ) ) $=
      ( cz wcel wa wbr co cicc cfv cioo wceq c2 adantr cr cn0 cle wss cexp cdiv
      cin c0 w3o clt c1 caddc cop simplll simplrl dyadval syl2anc df-ov eqtr4di
      fveq2d simpllr simplrr ineq12d incom eqtrdi cmul wb zred recnd cn nnexpcl
      2nn sylancr nncnd nnne0d div13d cmin 2cnd cc0 wne a1i nn0zd expsubd simpr
      2ne0 znn0sub mpbid zexpcl eqeltrrd zmulcld eqeltrd zltp1le nndivred nnred
      2z nngt0d ltdivmul2 syl112anc peano2re syl ledivmul2 3bitr4d cxr wi rexrd
      ioodisj ex syl22anc sylbid imp eqtrd 3mix3d simprl peano2zd adantrl iccss
      biimpa 3sstr4d 3mix2d anassrs adantlr ltlecasei ) CIJZDIJZKZEUAJZFUAJZKZK
      ZEFUBLZKZCEGMZNOZDFGMZNOZUCZYNYLUCZYKPOZYMPOZUFZUGQZUHZDRFUDMZUEMZCREUDMZ
      UEMZYJUUCUUEUILZKZYTYOYPUUGYSUUCDUJUKMZUUBUEMZPMZUUECUJUKMZUUDUEMZPMZUFZU
      GYJYSUUNQUUFYJYSUUMUUJUFZUUNYJYQUUMYRUUJYJYQUUEUULULZPOUUMYJYKUUPPYJYBYEY
      KUUPQYBYCYGYIUMZYDYEYFYIUNZABCEGHUOUPZUSUUEUULPUQURYJYRUUCUUIULZPOUUJYJYM
      UUTPYJYCYFYMUUTQYBYCYGYIUTZYDYEYFYIVAZABDFGHUOUPZUSUUCUUIPUQURVBZUUMUUJVC
      VDSYJUUFUUNUGQZYJUUFUUIUUEUBLZUVEYJDUUEUUBVEMZUILZUUHUVGUBLZUUFUVFYJYCUVG
      IJUVHUVIVFUVAYJUVGUUBUUDUEMZCVEMIYJCUUDUUBYJCYJCUUQVGZVHYJUUDYJRVIJZYEUUD
      VIJVKUURREVJVLZVMZYJUUBYJUVLYFUUBVIJVKUVBRFVJVLZVMZYJUUDUVMVNZVOYJUVJCYJR
      FEVPMZUDMZUVJIYJRFEYJVQRVRVSYJWDVTYJEUURWAZYJFUVBWAZWBYJRIJUVRUAJZUVSIJWN
      YJYIUWBYHYIWCYJEIJFIJYIUWBVFUVTUWAEFWEUPWFRUVRWGVLWHZUUQWIWJDUVGWKUPYJDTJ
      ZUUETJZUUBTJZVRUUBUILZUUFUVHVFYJDUVAVGZYJCUUDUVKUVMWLZYJUUBUVOWMZYJUUBUVO
      WOZDUUEUUBWPWQYJUUHTJZUWEUWFUWGUVFUVIVFYJUWDUWLUWHDWRWSZUWIUWJUWKUUHUUEUU
      BWTWQXAYJUUCXBJZUUIXBJZUUEXBJZUULXBJZUVFUVEXCYJUUCYJDUUBUWHUVOWLZXDZYJUUI
      YJUUHUUBUWMUVOWLXDZYJUUEUWIXDZYJUULYJUUKUUDYJCTJUUKTJUVKCWRWSZUVMWLZXDZUW
      NUWOKZUWPUWQKZKUVFUVEUUCUUIUUEUULXEXFXGXHXIXJXKYJUUEUUCUBLZKUUAUUCUULYJUX
      GUUCUULUILZUUAYJUXGUXHKZKZYPYOYTUXJUUCUUINMZUUEUULNMZYNYLUXJUWEUULTJZUXGU
      UIUULUBLZUXKUXLUCYJUWEUXIUWISYJUXMUXIUXCSYJUXGUXHXLYJUXHUXNUXGYJUXHUXNYJD
      UULUUBVEMZUILZUUHUXOUBLZUXHUXNYJYCUXOIJUXPUXQVFUVAYJUXOUVJUUKVEMIYJUUKUUD
      UUBYJUUKUXBVHUVNUVPUVQVOYJUVJUUKUWCYJCUUQXMWIWJDUXOWKUPYJUWDUXMUWFUWGUXHU
      XPVFUWHUXCUWJUWKDUULUUBWPWQYJUWLUXMUWFUWGUXNUXQVFUWMUXCUWJUWKUUHUULUUBWTW
      QXAXPXNUUEUULUUCUUIXOXGYJYNUXKQUXIYJYNUUTNOUXKYJYMUUTNUVCUSUUCUUINUQURSYJ
      YLUXLQUXIYJYLUUPNOUXLYJYKUUPNUUSUSUUEUULNUQURSXQXRXSYJUULUUCUBLZUUAUXGYJU
      XRKZYTYOYPUXSYSUUOUGYJYSUUOQUXRUVDSYJUXRUUOUGQZYJUWPUWQUWNUWOUXRUXTXCUXAU
      XDUWSUWTUXFUXEKUXRUXTUUEUULUUCUUIXEXFXGXIXJXKXTYJUUCTJUXGUWRSYJUXMUXGUXCS
      YAUWRUWIYA $.

    $( Two closed dyadic rational intervals are either in a subset relationship
       or are almost disjoint (the interiors are disjoint).  (Contributed by
       Mario Carneiro, 26-Mar-2015.) $)
    dyaddisj $p |- ( ( A e. ran F /\ B e. ran F ) ->
      ( ( [,] ` A ) C_ ( [,] ` B ) \/ ( [,] ` B ) C_ ( [,] ` A ) \/
        ( ( (,) ` A ) i^i ( (,) ` B ) ) = (/) ) ) $=
      ( va vc vb vd wcel wa wceq cn0 wrex cz cicc cfv cioo c0 crn cv co wss cin
      w3o cxp cle cr wf wfn wb dyadf ovelrn anbi12d mp2b reeanv bitr4i ad2antrl
      ffn nn0re ad2antll dyaddisjlem ancom anbi12i sylanb wo orcom incom eqeq1i
      orbi12i df-3or 3bitr4i sylib lecasei simpl fveq2d simpr sseq12d 3orbi123d
      wbr ineq12d eqeq1d syl5ibrcom rexlimdvva syl5bir rexlimivv sylbi ) CEUAZK
      ZDWIKZLZCGUBZHUBZEUCZMZHNOZDIUBZJUBZEUCZMZJNOZLZIPOGPOZCQRZDQRZUDZXFXEUDZ
      CSRZDSRZUEZTMZUFZWLWQGPOZXBIPOZLZXDPNUGZUHUIUIUGUEZEUJEXQUKZWLXPULABEFUMX
      QXREUTXSWJXNWKXOGHPNCEUNIJPNDEUNUOUPWQXBGIPPUQURXCXMGIPPXCWPXALZJNOHNOWMP
      KZWRPKZLZXMWPXAHJNNUQYCXTXMHJNNYCWNNKZWSNKZLZLZXMXTWOQRZWTQRZUDZYIYHUDZWO
      SRZWTSRZUEZTMZUFZYGYPWNWSYDWNUIKYCYEWNVAUSYEWSUIKYCYDWSVAVBABWMWRWNWSEFVC
      YGWSWNUHWAZLYKYJYMYLUEZTMZUFZYPYGYBYALZYEYDLZLYQYTYCUUAYFUUBYAYBVDYDYEVDV
      EABWRWMWSWNEFVCVFYKYJVGZYSVGYJYKVGZYOVGYTYPUUCUUDYSYOYKYJVHYRYNTYMYLVIVJV
      KYKYJYSVLYJYKYOVLVMVNVOXTXGYJXHYKXLYOXTXEYHXFYIXTCWOQWPXAVPZVQZXTDWTQWPXA
      VRZVQZVSXTXFYIXEYHUUHUUFVSXTXKYNTXTXIYLXJYMXTCWOSUUEVQXTDWTSUUGVQWBWCVTWD
      WEWFWGWH $.

    ${
      dyadmax.2 $e |- ( ph -> A e. ZZ ) $.
      dyadmax.3 $e |- ( ph -> B e. ZZ ) $.
      dyadmax.4 $e |- ( ph -> C e. NN0 ) $.
      dyadmax.5 $e |- ( ph -> D e. NN0 ) $.
      dyadmax.6 $e |- ( ph -> -. D < C ) $.
      dyadmax.7 $e |- ( ph -> ( [,] ` ( A F C ) ) C_ ( [,] ` ( B F D ) ) ) $.
      $( Lemma for ~ dyadmax .  (Contributed by Mario Carneiro,
         26-Mar-2015.) $)
      dyadmaxlem $p |- ( ph -> ( A = B /\ C = D ) ) $=
        ( cle wbr co wcel cicc wceq c1 caddc c2 cexp cdiv cr w3a cfv cop cz cn0
        dyadval syl2anc fveq2d df-ov eqtr4di clt wss dyadss syl22anc mpd nn0red
        wn wi eqleltd mpbir2and oveq2d eqtrd 3sstr3d cxr cn 2nn nnexpcl sylancr
        zred nndivred rexrd peano2re syl lep1d wb nnred nngt0d lediv1 syl112anc
        cc0 mpbid ubicc2 syl3anc sseldd elicc2 simp3d mpbird 1red lbicc2 simp2d
        leadd1d letri3d eqcomd jca ) ADEUAZFGUAAXBDEPQZEDPQZAXCDUBUCRZEUBUCRZPQ
        ZAXGXEUDFUERZUFRZXFXHUFRZPQZAXIUGSZEXHUFRZXIPQZXKAXIXMXJTRZSZXLXNXKUHZA
        DXHUFRZXITRZXOXIADFHRZTUIZEGHRZTUIZXSXOOAYAXRXIUJZTUIXSAXTYDTADUKSZFULS
        ZXTYDUAJLBCDFHIUMUNUOXRXITUPUQAYCXMXJUJZTUIXOAYBYGTAYBEFHRZYGAGFEHAGFUA
        GFPQZGFURQVDAYAYCUSZYIOAYEEUKSZYFGULSYJYIVEJKLMBCDEFGHIUTVAVBNAGFAGMVCA
        FLVCVFVGZVHAYKYFYHYGUAKLBCEFHIUMUNVIUOXMXJTUPUQVJZAXRVKSZXIVKSZXRXIPQZX
        IXSSAXRADXHADJVPZAUDVLSYFXHVLSVMLUDFVNVOZVQVRZAXIAXEXHADUGSZXEUGSZYQDVS
        VTZYRVQVRZADXEPQZYPADYQWAAYTUUAXHUGSZWGXHURQZUUDYPWBYQUUBAXHYRWCZAXHYRW
        DZDXEXHWEWFWHZXRXIWIWJWKAXMUGSZXJUGSZXPXQWBAEXHAEKVPZYRVQZAXFXHAEUGSZXF
        UGSZUULEVSVTZYRVQZXMXJXIWLUNWHWMAUUAUUOUUEUUFXGXKWBUUBUUPUUGUUHXEXFXHWE
        WFWNADEUBYQUULAWOWRWNAXDXMXRPQZAXRUGSZUURXRXJPQZAXRXOSZUUSUURUUTUHZAXSX
        OXRYMAYNYOYPXRXSSYSUUCUUIXRXIWPWJWKAUUJUUKUVAUVBWBUUMUUQXMXJXRWLUNWHWQA
        UUNYTUUEUUFXDUURWBUULYQUUGUUHEDXHWEWFWNADEYQUULWSVGAGFYLWTXA $.
    $}

    $( Any nonempty set of dyadic rational intervals has a maximal element.
       (Contributed by Mario Carneiro, 26-Mar-2015.) $)
    dyadmax $p |- ( ( A C_ ran F /\ A =/= (/) ) ->
      E. z e. A A. w e. A ( ( [,] ` z ) C_ ( [,] ` w ) -> z = w ) ) $=
      ( vd vc va vn vb wa cv cz wrex cn0 wral wi wcel crn wss c0 wne clt wbr wn
      wceq crab cicc cfv weq wreu cc0 cuz wwe cvv ltweuz a1i nn0ex rabex ssrab2
      co nn0uz sseqtri id cxp cle cr cin wf wfn wb dyadf ffn ovelrn mp2b rexcom
      sylbb rgen ssralv r19.2z syl2anr sylib rabn0 sylibr wereu syl13anc reurex
      mpi syl oveq2 eqeq2d 2rexbidv elrab eqeq1 cbvrex2vw syl5bb ralrab r19.23v
      oveq1 ralbii ralcom bitr3i simplll sselda r19.29 simplrr ad2antrr simp-5r
      expcom sylbi simplrl simprl simprr dyadmaxlem oveq12 exp32 sseq2d imbi12d
      fveq2 eqeq2 imbi2d syl5ibrcom anassrs rexlimdva impd syld ralimdva syl5bi
      a2d imp an32s sseq1d ralbidv reximdva ex com23 expimpd rexlimdv mpd ) EFU
      AZUBZEUCUDZMZHNZINZUEUFUGZHCNZJNZKNZFVCZUHZJOPZCEPZKQUIZRZIUUPPZUUIUJUKZD
      NZUJUKZUBZCDULZSZDERZCEPZUUEUUQIUUPUMZUURUUEUNUOUKZUEUPZUUPUQTZUUPUVHUBZU
      UPUCUDZUVGUVIUUEUNURUSUVJUUEUUOKQUTVAUSUVKUUEUUPQUVHUUOKQVBVDVEUSUUEUUOKQ
      PZUVLUUEUUNKQPZCEPZUVMUUDUUDUVNCERZUVOUUCUUDVFUUCUVNCUUBRUVPUVNCUUBUUIUUB
      TZUUMKQPJOPZUVNOQVGZVHVIVIVGVJZFVKZFUVSVLZUVQUVRVMABFGVNZUVSUVTFVOZJKOQUU
      IFVPVQUUMJKOQVRVSVTUVNCEUUBWAWJUVNCEWBWCUUNCKEQVRWDUUOKQWEWFIHUVHUUPUEUQW
      GWHUUQIUUPWIWKUUEUUQUVFIUUPUUGUUPTUUGQTZUUIUUJUUGFVCZUHZJOPZCEPZMUUEUUQUV
      FSZUUOUWIKUUGQKIULZUUMUWGCJEOUWKUULUWFUUIUUKUUGUUJFWLWMWNWOUUEUWEUWIUWJUU
      EUWEMZUUQUWIUVFUUQUUTLNZUUFFVCZUHZLOPZDEPZUUHSZHQRZUWLUWIUVFSZUUOUWQUUHHK
      QUUOUUTUWMUUKFVCZUHZLOPDEPKHULZUWQUUMUXBUUTUULUHCJDLEOUUIUUTUULWPJLULZUUL
      UXAUUTUUJUWMUUKFXAWMWQUXCUXBUWODLEOUXCUXAUWNUUTUUKUUFUWMFWLWMWNWRWSUWLUWS
      UWTUWLUWSMZUWHUVECEUXEUUIETZMUWGUVEJOUXEUXFUUJOTZUWGUVESUXEUXFUXGMZMUVEUW
      GUWFUJUKZUVAUBZUWFUUTUHZSZDERZUWLUXHUWSUXMUWLUXHMZUWSUXMUWSUWPUUHSZHQRZDE
      RZUXNUXMUWSUXODERZHQRUXQUXRUWRHQUWPUUHDEWTXBUXOHDQEXCXDUXNUXPUXLDEUXNUUTE
      TZMZUXPUXOUWPMZHQPZUXLUXTUWOHQPLOPZUXPUYBSZUXTUUTUUBTZUYCUXNEUUBUUTUUCUUD
      UWEUXHXEXFUWAUWBUYEUYCVMUWCUWDLHOQUUTFVPVQWDUYCUWPHQPZUYDUWOLHOQVRUXPUYFU
      YBUXOUWPHQXGXKXLWKUXTUYAUXLHQUXTUUFQTZMZUXOUWPUXLUYHUWPUUHUXLUYHUWOUUHUXL
      SZLOUXTUYGUWMOTZUWOUYISUXTUYGUYJMZMZUYIUWOUUHUXIUWNUJUKZUBZUWFUWNUHZSZSUY
      LUUHUYNUYOUYLUUHUYNMZMZUXDIHULMUYOUYRABUUJUWMUUGUUFFGUXTUXGUYKUYQUWLUXFUX
      GUXSXHXIUXTUYGUYJUYQXHUUEUWEUXHUXSUYKUYQXJUXTUYGUYJUYQXMUYLUUHUYNXNUYLUUH
      UYNXOXPUUJUWMUUGUUFFXQWKXRUWOUXLUYPUUHUWOUXJUYNUXKUYOUWOUVAUYMUXIUUTUWNUJ
      YAXSUUTUWNUWFYBXTYCYDYEYFYKYGYFYHYIYJYLYMUWGUVDUXLDEUWGUVBUXJUVCUXKUWGUUS
      UXIUVAUUIUWFUJYAYNUUIUWFUUTWPXTYOYDYEYFYPYQYJYRYSYJYTUUA $.

    ${
      dyadmbl.2 $e |- G = { z e. A |
        A. w e. A ( ( [,] ` z ) C_ ( [,] ` w ) -> z = w ) } $.
      dyadmbl.3 $e |- ( ph -> A C_ ran F ) $.
      $( Lemma for ~ dyadmbl .  (Contributed by Mario Carneiro,
         26-Mar-2015.) $)
      dyadmbllem $p |- ( ph -> U. ( [,] " A ) = U. ( [,] " G ) ) $=
        ( va vm cicc cv wcel wss wa weq wi vi cima cuni wrex eluni2 cfv cxr cxp
        vt wfn wb cpw wf iccf ffn ax-mp crn cle cr cin cn0 dyadf frn rexpssxrxp
        cz inss2 sstri sstrdi eleq2 rexima sylancr crab c0 ssrab2 adantr sstrid
        wral wne simprl ssid fveq2 sseq2d rspcev sylancl sylibr dyadmax syl2anc
        rabn0 elrab simprlr simplrr sseldd simprll imbi1i impexp bitri ad2antll
        sstr2 imim1d syl5bir imim2d syl5bi ralimdv2 impr sseq1d equequ1 imbi12d
        ancrd ralbidv elrab2 sylanbrc wfun ffun ssrab3 fdmi sseqtrrdi funfvima2
        cdm ad2antrr elunii exp32 rexlimdv rexlimdvaa sylbid ssrdv imass2 uniss
        mpd mp1i eqssd ) ANFUBZUCZNHUBZUCZALYLYNLOZYLPYOUAOZPZUAYKUDZAYOYNPZUAY
        OYKUEAYRYOUIOZNUFZPZUIFUDZYSANUGUGUHZUJZFUUDQYRUUCUKUUDUGULZNUMZUUEUNUU
        DUUFNUOUPAFGUQZUUDKUUHURUSUSUHZUTZUUDVEVAUHZUUJGUMUUHUUJQBCGIVBUUKUUJGV
        CUPUUJUUIUUDURUUIVFVDVGVGVHZYQUUBUAUIUUDFNYPUUAYOVIVJVKAUUBYSUIFAYTFPZU
        UBRZRZMOZNUFZEOZNUFZQZMESZTZEUUAYONUFZQZLFVLZVQZMUVEUDZYSUUOUVEUUHQUVEV
        MVRZUVGUUOUVEFUUHUVDLFVNAFUUHQUUNKVOVPUUOUVDLFUDZUVHUUOUUMUUAUUAQZUVIAU
        UMUUBVSUUAVTUVDUVJLYTFLUISUVCUUAUUAYOYTNWAWBWCWDUVDLFWHWEBCMEUVEGIWFWGU
        UOUVFYSMUVEUUPUVEPUUPFPZUUAUUQQZRZUUOUVFYSTUVDUVLLUUPFLMSUVCUUQUUAYOUUP
        NWAWBWIUUOUVMUVFYSUUOUVMUVFRZRZYOUUQPUUQYMPZYSUVOUUAUUQYOUUOUVKUVLUVFWJ
        AUUMUUBUVNWKWLUVOUUPHPZUVPUVOUVKUVBEFVQZUVQUUOUVKUVLUVFWMUUOUVMUVFUVRUU
        OUVMRZUVBUVBEUVEFUURUVEPZUVBTZUURFPZUUAUUSQZUVBTZTZUVSUWBUVBTUWAUWBUWCR
        ZUVBTUWEUVTUWFUVBUVDUWCLUURFLESUVCUUSUUAYOUURNWAWBWIWNUWBUWCUVBWOWPUVSU
        WDUVBUWBUWDUWCUUTRZUVATUVSUVBUWCUUTUVAWOUVSUUTUWGUVAUVSUUTUWCUVLUUTUWCT
        UUOUVKUUAUUQUUSWRWQXHWSWTXAXBXCXDDOZNUFZUUSQZDESZTZEFVQZUVRDUUPFHDMSZUW
        LUVBEFUWNUWJUUTUWKUVAUWNUWIUUQUUSUWHUUPNWAXEDMEXFXGXIJXJXKUVONXLZHNXRZQ
        ZUVQUVPTUUGUWOUNUUDUUFNXMUPAUWQUUNUVNAHUUDUWPAHFUUDUWMDFHJXNZUULVPUUDUU
        FNUNXOXPXSHUUPNXQVKYHYOUUQYMXTWGYAXBYBYHYCYDXBYEYMYKQZYNYLQAHFQUWSUWRHF
        NYFUPYMYKYGYIYJ $.

      $( Any union of dyadic rational intervals is measurable.  (Contributed by
         Mario Carneiro, 26-Mar-2015.) $)
      dyadmbl $p |- ( ph -> U. ( [,] " A ) e. dom vol ) $=
        ( cicc com wbr wcel cen cfv wceq cr cn vn vf va vb cima cuni dyadmbllem
        cvol cdm csdm cfn isfinite wa cv ciun cxr cxp cpw wf wfun iccf funiunfv
        ffun mp2b wral simpr c1st c2nd co cop wss crn ssrab3 sstrid cle cin cn0
        wi cz dyadf ax-mp inss2 sstri sstrdi adantr sselda 1st2nd2 fveq2d df-ov
        frn syl eqtr4di xp1st xp2nd iccmbl syl2anc ralrimiva finiunmbl sylan2br
        eqeltrd eqeltrrid wf1o wex rnco2 wfo f1ofo adantl imaeq2d syl5eq unieqd
        ccom forn caddc cabs cmin fss syl2anr cioo wo syl2an fveq2 sseq2d eqeq2
        ffvelrn imbi12d sseq1d eqeq1 ralbidv elrab2 simprbi sselid rspcdva syld
        nnenom sylib cdom cvv reex entri mp2an c1 cseq wdisj w3o simpl dyaddisj
        f1of c0 wf1 wb f1of1 f1fveq sylan orc syl6bi eqcom bitrdi olc a1i 3jaod
        mpd ralrimivva 2fveq3 disjor sylibr uniiccmbl eqeltrrd ex exlimdv ensym
        eqid entr sylancr bren impel xpex inex2 ssexi ssdomg mpsyl omelon znnen
        ccrd con0 nn0ennn xpen xpomen ensymi isnumi wfn ffn dffn4 mpbi fodomnum
        mp2 domentr domtr sylancl brdom2 mpjaodan ) ALFUEUFLHUEZUFZUHUIZABCDEFG
        HIJKUGAHMUJNZUXBUXCOZHMPNZUXDAHUKOZUXEHULAUXGUMZUXBUAHUAUNZLQZUOZUXCUPU
        PUQZUPURZLUSLUTUXKUXBRVAUXLUXMLVCUAHLVBVDUXHUXGUXJUXCOZUAHVEUXKUXCOAUXG
        VFUXHUXNUAHUXHUXIHOUMZUXJUXIVGQZUXIVHQZLVIZUXCUXOUXJUXPUXQVJZLQUXRUXOUX
        IUXSLUXOUXISSUQZOZUXIUXSRUXHHUXTUXIAHUXTVKUXGAHGVLZUXTAHFUYBDUNZLQZEUNZ
        LQZVKZUYCUYERZVRZEFVEZDFHJVMZKVNZUYBVOUXTVPZUXTVSVQUQZUYMGUSZUYBUYMVKBC
        GIVTZUYNUYMGWJWAZVOUXTWBWCWDWEWFZUXISSWGWKWHUXPUXQLWIWLUXOUXPSOZUXQSOZU
        XRUXCOUXOUYAUYSUYRUXISSWMWKUXOUYAUYTUYRUXISSWNWKUXPUXQWOWPWTWQHUXJUAWRW
        PXAWSATHUBUNZXBZUBXCZUXEUXFAVUBUXEUBAVUBUXEAVUBUMZLVUAXKVLZUFUXBUXCVUDV
        UEUXAVUDVUELVUAVLZUEUXALVUAXDVUDVUFHLVUDTHVUAXEZVUFHRVUBVUGATHVUAXFXGTH
        VUAXLWKXHXIXJVUDUCXMXNXOXKVUAXKUUAUUBZVUAVUBTHVUAUSZHUYMVKTUYMVUAUSATHV
        UAUUGZAHUYBUYMUYLUYQWDTHUYMVUAXPXQVUDUCUNZUDUNZRZVUKVUAQZXRQZVULVUAQZXR
        QZVPUUHRZXSZUDTVEUCTVEUCTVUOUUCVUDVUSUCUDTTVUDVUKTOZVULTOZUMZUMZVUNLQZV
        UPLQZVKZVVEVVDVKZVURUUDZVUSVVCVUNUYBOZVUPUYBOZVVHVUDTUYBVUAUSZVUTVVIVVB
        VUBVUIHUYBVKZVVKAVUJUYLTHUYBVUAXPXQZVUTVVAUUEZTUYBVUKVUAYDXTVUDVVKVVAVV
        JVVBVVMVUTVVAVFZTUYBVULVUAYDXTBCVUNVUPGIUUFWPVVCVVFVUSVVGVURVVCVVFVUNVU
        PRZVUSVVCVVDUYFVKZVUNUYERZVRZVVFVVPVREFVUPUYEVUPRZVVQVVFVVRVVPVVTUYFVVE
        VVDUYEVUPLYAYBUYEVUPVUNYCYEVVCVUNHOZVVSEFVEZVUDVUIVUTVWAVVBVUBVUIAVUJXG
        ZVVNTHVUKVUAYDXTZVWAVUNFOVWBUYJVWBDVUNFHUYCVUNRZUYIVVSEFVWEUYGVVQUYHVVR
        VWEUYDVVDUYFUYCVUNLYAYFUYCVUNUYEYGYEYHJYIYJWKVVCHFVUPUYKVUDVUIVVAVUPHOZ
        VVBVWCVVOTHVULVUAYDXTZYKYLVVCVVPVUMVUSVUDTHVUAUUIZVVBVVPVUMUUJVUBVWHATH
        VUAUUKXGTHVUKVULVUAUULUUMVUMVURUUNUUOZYMVVCVVGVVPVUSVVCVVEUYFVKZVUPUYER
        ZVRZVVGVVPVREFVUNUYEVUNRZVWJVVGVWKVVPVWMUYFVVDVVEUYEVUNLYAYBVWMVWKVUPVU
        NRVVPUYEVUNVUPYCVUPVUNUUPUUQYEVVCVWFVWLEFVEZVWGVWFVUPFOVWNUYJVWNDVUPFHU
        YCVUPRZUYIVWLEFVWOUYGVWJUYHVWKVWOUYDVVEUYFUYCVUPLYAYFUYCVUPUYEYGYEYHJYI
        YJWKVVCHFVUNUYKVWDYKYLVWIYMVURVUSVRVVCVURVUMUURUUSUUTUVAUVBTVUOVUQUCUDV
        UKVULXRVUAUVCUVDUVEVUHUVKUVFUVGUVHUVIUXFTHPNZVUCUXFTMPNMHPNVWPYNHMUVJTM
        HUVLUVMTHUBUVNYOUVOAHMYPNZUXDUXFXSAHUYBYPNZUYBMYPNZVWQUYBYQOAVVLVWRUYBU
        YMUXTVOSSYRYRUVPUVQUYQUVRUYLHUYBYQUVSUVTUYBUYNYPNZUYNMPNVWSUYNUWCUIOZUY
        NUYBGXEZVWTMUWDOMUYNPNVXAUWAUYNMUYNMMUQZMVSMPNVQMPNUYNVXCPNVSTMUWBYNYSV
        QTMUWEYNYSVSMVQMUWFYTUWGYSZUWHMUYNUWIYTGUYNUWJZVXBUYOVXEUYPUYNUYMGUWKWA
        UYNGUWLUWMUYNUYBGUWNUWOVXDUYBUYNMUWPYTHUYBMUWQUWRHMUWSYOUWTWT $.
    $}

    $( Lemma for ~ opnmbl .  (Contributed by Mario Carneiro, 26-Mar-2015.) $)
    opnmbllem $p |- ( A e. ( topGen ` ran (,) ) -> A e. dom vol ) $=
      ( vz vw va vb vc cfv wcel cicc cv wss wa cr co clt wbr vr vn cioo crn ctg
      crab cima cuni cvol cdm cpw wral weq fveq2 sseq1d simprr fvex elpw sylibr
      elrab sylan2b ralrimiva wfun wb cxr cxp wf iccf ffun ax-mp ssrab2 cle cin
      cz cn0 dyadf inss2 rexpssxrxp sstri fdmi sseqtrri funimass4 mp2an sspwuni
      frn sylib cabs cmin ccom cres cbl crp wrex cxmet eqid rexmet cmopn mopni2
      tgioo mp3an1 wceq elssuni uniretop sseqtrrdi sselda rpre bl2ioo syl2an c1
      caddc c2 cexp cdiv cn 2re 1lt2 expnlbnd mp3an23 ad2antrl cfl ad2antrr 2nn
      nnnn0 nnexpcl sylancr nnred remulcld fllelt syl syl112anc mpbird nndivred
      cmul syl2anc rexrd readdcld recnd ltadd2dd eqbrtrd wi simpld cc0 peano2re
      reflcl nngt0d ledivmul2 simprd mpbid ltled w3a elicc2 mpbir3and cop flcld
      ltmuldiv dyadval fveq2d df-ov eqtr4di eleqtrrd wfn fnovrn mp3an2i simplrl
      ffn rpred resubcld 1cnd divdird nnrecred lttrd ltsubaddd leadd1dd lelttrd
      nnne0d iccssioo syl22anc eqsstrd simplrr sstrd elrabd funfvima2 rexlimddv
      elunii expr rexlimdva mpd eqelssd equequ1 imbi12d ralbidv cbvrabv dyadmbl
      sylbid a1i eqeltrrd ) CUCUDUEKZLZMFNZMKZCOZFDUDZUFZUGZUHZCUIUJUWRGUXECUWR
      UXDCUKZOZUXECOUWRGNZMKZUXFLZGUXCULZUXGUWRUXJGUXCUXHUXCLUWRUXHUXBLZUXICOZP
      ZUXJUXAUXMFUXHUXBFGUMUWTUXICUWSUXHMUNUOUTUWRUXNPUXMUXJUWRUXLUXMUPUXICUXHM
      UQURUSVAVBMVCZUXCMUJZOZUXGUXKVDVEVEVFZVEUKZMVGUXOVHUXRUXSMVIVJZUXCUXRUXPU
      XCUXBUXRUXAFUXBVKZUXBVLQQVFZVMZUXRVNVOVFZUYCDVGZUXBUYCOABDEVPZUYDUYCDWEVJ
      UYCUYBUXRVLUYBVQVRVSVSVSUXRUXSMVHVTWAZGUXCUXFMWBWCUSUXDCWDWFUWRUXHCLZPZUX
      HUANZWGWHWIUYBWJZWKKRZCOZUAWLWMZUXHUXELZUYKQWNKLUWRUYHUYNUYKUYKWOZWPUACUY
      KUXHUWQQUYKUYKWQKZUYPUYQWOWSWRWTUYIUYMUYOUAWLUYIUYJWLLZPZUYMUXHUYJWHRZUXH
      UYJXJRZUCRZCOZUYOUYSUYLVUBCUYIUXHQLZUYJQLUYLVUBXAUYRUWRCQUXHUWRCUWQUHQCUW
      QXBXCXDXEZUYJXFUXHUYJUYKUYPXGXHUOUYIUYRVUCUYOUYIUYRVUCPZPZXIXKUBNZXLRZXMR
      ZUYJSTZUYOUBXNUYRVUKUBXNWMZUYIVUCUYRXKQLXIXKSTVULXOXPUYJXKUBXQXRXSVUGVUHX
      NLZVUKPZPZUXHUXHVUIYMRZXTKZVUHDRZMKZLVUSUXDLZUYOVUOUXHVUQVUIXMRZVUQXIXJRZ
      VUIXMRZMRZVUSVUOUXHVVDLZVUDVVAUXHVLTZUXHVVCVLTZUYIVUDVUFVUNVUEYAZVUOVVFVU
      QVUPVLTZVUOVVIVUPVVBSTZVUOVUPQLZVVIVVJPVUOUXHVUIVVHVUOVUIVUOXKXNLVUHVOLZV
      UIXNLYBVUMVVLVUGVUKVUHYCXSZXKVUHYDYEZYFZYGZVUPYHYIZUUAVUOVUQQLZVUDVUIQLZU
      UBVUISTZVVFVVIVDVUOVVKVVRVVPVUPUUDYIZVVHVVOVUOVUIVVNUUEZVUQUXHVUIUUFYJYKZ
      VUOUXHVVCVVHVUOVVBVUIVUOVVRVVBQLZVWAVUQUUCYIZVVNYLZVUOVVJUXHVVCSTZVUOVVIV
      VJVVQUUGVUOVUDVWDVVSVVTVVJVWGVDVVHVWEVVOVWBUXHVVBVUIUUOYJUUHZUUIVUOVVAQLV
      VCQLVVEVUDVVFVVGUUJVDVUOVUQVUIVWAVVNYLZVWFVVAVVCUXHUUKYNUULVUOVUSVVAVVCUU
      MZMKVVDVUOVURVWJMVUOVUQVNLZVVLVURVWJXAVUOVUPVVPUUNZVVMABVUQVUHDEUUPYNUUQV
      VAVVCMUURUUSZUUTVUOVURUXCLZVUTVUOUXAVUSCOFVURUXBUWSVURXAUWTVUSCUWSVURMUNU
      ODUYDUVAZVUOVWKVVLVURUXBLUYEVWOUYFUYDUYCDUVEVJVWLVVMVNVOVUQVUHDUVBUVCVUOV
      USVUBCVUOVUSVVDVUBVWMVUOUYTVELVUAVELUYTVVASTZVVCVUASTVVDVUBOVUOUYTVUOUXHU
      YJVVHVUOUYJUYIUYRVUCVUNUVDUVFZUVGYOVUOVUAVUOUXHUYJVVHVWQYPZYOVUOVWPUXHVVA
      UYJXJRZSTVUOUXHVVCVWSVVHVWFVUOVVAUYJVWIVWQYPVWHVUOVVCVVAVUJXJRZVWSSVUOVUQ
      XIVUIVUOVUQVWAYQVUOUVHVUOVUIVVOYQVUOVUIVVNUVOUVIZVUOVUJUYJVVAVUOVUIVVNUVJ
      ZVWQVWIVUGVUMVUKUPZYRYSUVKVUOUXHUYJVVAVVHVWQVWIUVLYKVUOVVCUXHVUJXJRZVUAVW
      FVUOUXHVUJVVHVXBYPVWRVUOVVCVWTVXDVLVXAVUOVVAUXHVUJVWIVVHVXBVWCUVMYSVUOVUJ
      UYJUXHVXBVWQVVHVXCYRUVNUYTVUAVVAVVCUVPUVQUVRUYIUYRVUCVUNUVSUVTUWAUXOUXQVW
      NVUTYTUXTUYGUXCVURMUWBWCYIUXHVUSUXDUWDYNUWCUWEUWNUWFUWGUWHUWRABHIUXCDJNZM
      KZINMKZOZJIUMZYTZIUXCULZJUXCUFEVXKHNZMKZVXGOZHIUMZYTZIUXCULJHUXCJHUMZVXJV
      XPIUXCVXQVXHVXNVXIVXOVXQVXFVXMVXGVXEVXLMUNUOJHIUWIUWJUWKUWLUXCUXBOUWRUYAU
      WOUWMUWP $.
  $}

  ${
    $d w x y z A $.
    $( All open sets are measurable.  This proof, via ~ dyadmbl and
       ~ uniioombl , shows that it is possible to avoid choice for
       measurability of open sets and hence continuous functions, which extends
       the choice-free consequences of Lebesgue measure considerably farther
       than would otherwise be possible.  (Contributed by Mario Carneiro,
       26-Mar-2015.) $)
    opnmbl $p |- ( A e. ( topGen ` ran (,) ) -> A e. dom vol ) $=
      ( vz vw vx vy cz cn0 cv c2 cexp co cdiv caddc cop cmpo weq opeq12d oveq2d
      c1 oveq1 oveq1d oveq2 cbvmpov opnmbllem ) BCADEFGDHZIEHZJKZLKZUESMKZUGLKZ
      NZODEBCFGUKBHZICHZJKZLKZULSMKZUNLKZNULUGLKZUPUGLKZNDBPZUHURUJUSUEULUGLTUT
      UIUPUGLUEULSMTUAQECPZURUOUSUQVAUGUNULLUFUMIJUBZRVAUGUNUPLVBRQUCUD $.
  $}

  ${
    $d x y A $.
    $( All open sets are measurable.  This alternative proof of ~ opnmbl is
       significantly shorter, at the expense of invoking countable choice
       ~ ax-cc .  (This was also the original proof before the current ~ opnmbl
       was discovered.)  (Contributed by Mario Carneiro, 17-Jun-2014.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    opnmblALT $p |- ( A e. ( topGen ` ran (,) ) -> A e. dom vol ) $=
      ( vx vy cdm wcel cioo cq cxp wss ctb ax-mp cn cdom wbr wral cen com mp2an
      cxr ioof cvol cima ctg cfv crn cv cuni wceq wa wex wb qtopbas ciun uniiun
      eltg3 wi ssdomg ccrd cres wfo con0 omelon qnnen xpen xpnnen nnenom entr2i
      entri isnumi wfun cr cpw wf ffun qssre ressxr sstri xpss12 sseqtrri fores
      fodomnum mp2 domentr domtr sylancl imassrn wfn co ffn ioombl rgen2w ffnov
      fdmi mpbir2an frn sstr mpan2 dfss3 sylib iunmbl2 syl2anc eleq1 syl5ibrcom
      eqeltrid imp exlimiv sylbi eqid tgqioo eleq2s ) AUADZEZAFGGHZUBZUCUDZFUEZ
      UCUDAXOEZBUFZXNIZAXRUGZUHZUIZBUJZXLXNJEZXQYCUKULBAXNJUOKYBXLBXSYAXLXSXLYA
      XTXKEXSXTCXRCUFZUMZXKCXRUNXSXRLMNZYEXKECXROZYFXKEXSXRXNMNZXNLMNZYGYDXSYIU
      PULXRXNJUQKXNXMMNZXMLPNYJXMURDEZXMXNFXMUSZUTZYKQVAEQXMPNYLVBXMLQXMLLHZLGL
      PNZYPXMYOPNVCVCGLGLVDRVEVHZVFVGQXMVIRFVJZXMFDZIYNSSHZVKVLZFVMZYRTYTUUAFVN
      KXMYTYSGSIZUUCXMYTIGVKSVOVPVQZUUDGSGSVRRYTUUAFTWMVSXMFVTRXMXNYMWAWBYQXNXM
      LWCRXRXNLWDWEXSXRXKIZYHXSXNXKIUUEXNXPXKFXMWFYTXKFVMZXPXKIUUFFYTWGZXRYEFWH
      XKEZCSOBSOUUBUUGTYTUUAFWIKUUHBCSSXRYEWJWKBCSSXKFWLWNYTXKFWOKVQXRXNXKWPWQC
      XRXKWRWSXRYECWTXAXDAXTXKXBXCXEXFXGXOXOXHXIXJ $.
  $}

  ${
    $d x A $.  $d x B $.
    subopnmbl.1 $e |- J = ( ( topGen ` ran (,) ) |`t A ) $.
    $( Sets which are open in a measurable subspace are measurable.
       (Contributed by Mario Carneiro, 17-Jun-2014.) $)
    subopnmbl $p |- ( ( A e. dom vol /\ B e. J ) -> B e. dom vol ) $=
      ( vx cvol cdm wcel cv cin wceq cioo crn ctg cfv wrex crest co eleq2i ctop
      wb retop elrest syl5bb wa wi opnmbl id inmbl syl2anr eleq1a syl rexlimdva
      mpan sylbid imp ) AFGZHZBCHZBUQHZURUSBEIZAJZKZELMNOZPZUTUSBVDAQRZHZURVECV
      FBDSVDTHURVGVEUAUBEBAVDTUQUCUNUDURVCUTEVDURVAVDHZUEVBUQHZVCUTUFVHVAUQHURV
      IURVAUGURUHVAAUIUJVBUQBUKULUMUOUP $.
  $}

  ${
    $d m n x z A $.  $d n x z B $.
    $( The volume of ` A ` is the supremum of the sequence
       ` vol* `` ( A i^i ( -u n [,] n ) ) ` of volumes of bounded sets.
       (Contributed by Mario Carneiro, 30-Aug-2014.) $)
    volsup2 $p |- ( ( A e. dom vol /\ B e. RR /\ B < ( vol ` A ) ) ->
      E. n e. NN B < ( vol ` ( A i^i ( -u n [,] n ) ) ) ) $=
      ( vm cvol wcel cr cfv wbr cicc co cn cle wral cxr wb syl2anc wceq syl wss
      vx vz cdm clt w3a cv cneg cin wrex wn rexr 3ad2ant2 cc0 cpnf iccssxr volf
      simp3 ffvelrni sselid 3ad2ant1 xrltnle mpbid cmpt crn cima csup cuni ciun
      negeq id oveq12d ineq2d eqid ovex inex2 fvmpt iuneq2i iunin2 eqtri wfn wa
      simpl1 nnre adantl renegcld iccmbl inmbl cbvmptv fmptd ffnd fniunfv mblss
      sselda cabs recn abscld arch wi syl2an 3expib adantr absle sylan2 3imtr4d
      ltle elicc2 syld reximdva mpd ex eliun syl6ibr ssrdv df-ss 3eqtr3a fveq2d
      sylib wf c1 caddc peano2re lep1d lenegd iccss syl22anc peano2nn ralrimiva
      sslin 3sstr4d volsup eqtr3d imassrn frn ax-mp sstri supxrleub sylancr ffn
      breq1d frnd breq1 ralima fveq2 ralrn ralbiia bitrdi bitrd 3bitrd rexbidva
      mtbid rexnal sylibr mpbird ) AEUCZFZBGFZBAEHZUDIZUEZBACUFZUGZUUTJKZUHZEHZ
      UDIZCLUIUVDBMIZUJZCLUIZUUSUVFCLNZUJUVHUUSUUQBMIZUVIUUSUURUVJUJZUUOUUPUURU
      QUUSBOFZUUQOFZUURUVKPUUPUUOUVLUURBUKULZUUOUUPUVMUURUUOUMUNJKZOUUQUMUNUOZU
      UNUVOAEUPURUSUTBUUQVAQVBUUSUVJEDLADUFZUGZUVQJKZUHZVCZVDZVEZOUDVFZBMIZUUTB
      MIZCUWCNZUVIUUSUUQUWDBMUUSUWBVGZEHZUUQUWDUUSUWHAEUUSCLUUTUWAHZVHZACLUVBVH
      ZUHZUWHAUWKCLUVCVHUWMCLUWJUVCDUUTUVTUVCLUWAUVQUUTRZUVSUVBAUWNUVRUVAUVQUUT
      JUVQUUTVIUWNVJVKVLZUWAVMZUVBAUVAUUTJVNVOVPZVQCLAUVBVRVSUUSUWALVTZUWKUWHRU
      USLUUNUWAUUSCLUVCUUNUWAUUSUUTLFZWAZUUOUVBUUNFZUVCUUNFZUUOUUPUURUWSWBUWTUV
      AGFZUUTGFZUXAUWTUUTUWSUXDUUSUUTWCZWDZWEUXFUVAUUTWFQAUVBWGQZDCLUVTUVCUWOWH
      WIZWJZCLUWAWKSUUSAUWLTUWMARUUSUAAUWLUUSUAUFZAFZUXJUVBFZCLUIZUXJUWLFUUSUXK
      UXMUUSUXKWAUXJGFZUXMUUSAGUXJUUOUUPAGTUURAWLUTWMUXNUXJWNHZUUTUDIZCLUIZUXMU
      XNUXOGFZUXQUXNUXJUXJWOWPZUXOCWQSUXNUXPUXLCLUXNUWSWAZUXPUXOUUTMIZUXLUXNUXR
      UXDUXPUYAWRUWSUXSUXEUXOUUTXEWSUXTUVAUXJMIZUXJUUTMIZWAZUXNUYBUYCUEZUYAUXLU
      XNUYDUYEWRUWSUXNUYBUYCUYEUYEVJWTXAUWSUXNUXDUYAUYDPUXEUXJUUTXBXCUXTUXCUXDU
      XLUYEPUXTUUTUWSUXDUXNUXEWDZWEUYFUVAUUTUXJXFQXDXGXHXISXJCUXJLUVBXKXLXMAUWL
      XNXQXOXPUUSLUUNUWAXRUWJUUTXSXTKZUWAHZTZCLNUWIUWDRUXHUUSUYICLUWTUVCAUYGUGZ
      UYGJKZUHZUWJUYHUWTUVBUYKTZUVCUYLTUWTUYJGFUYGGFZUYJUVAMIZUUTUYGMIZUYMUWTUY
      GUWTUXDUYNUXFUUTYASZWEUYQUWTUYPUYOUWTUUTUXFYBZUWTUUTUYGUXFUYQYCVBUYRUYJUY
      GUVAUUTYDYEUVBUYKAYHSUWSUWJUVCRUUSUWQWDUWTUYGLFZUYHUYLRUWSUYSUUSUUTYFWDDU
      YGUVTUYLLUWAUVQUYGRZUVSUYKAUYTUVRUYJUVQUYGJUVQUYGVIUYTVJVKVLUWPUYKAUYJUYG
      JVNVOVPSYIYGCUWAYJQYKYSUUSUWCOTUVLUWEUWGPUWCEVDZOEUWBYLVUAUVOOUUNUVOEXRZV
      UAUVOTUPUUNUVOEYMYNUVPYOYOUVNCUWCBYPYQUUSUWGUBUFZEHZBMIZUBUWBNZUVIUUSEUUN
      VTZUWBUUNTUWGVUFPVUBVUGUPUUNUVOEYRYNUUSLUUNUWAUXHYTUWFVUECUBUUNUWBEUUTVUD
      BMUUAUUBYQUUSVUFUWJEHZBMIZCLNZUVIUUSUWRVUFVUJPUXIVUEVUIUBCLUWAVUCUWJRVUDV
      UHBMVUCUWJEUUCYSUUDSVUIUVFCLUWSVUHUVDBMUWSUWJUVCEUWQXPYSUUEUUFUUGUUHUUJUV
      FCLUUKUULUUSUVEUVGCLUWTUVLUVDOFZUVEUVGPUUSUVLUWSUVNXAUWTUXBVUKUXGUXBUVOOU
      VDUVPUUNUVOUVCEUPURUSSBUVDVAQUUIUUM $.
  $}

  ${
    $d e u v x y z A $.  $d e u v x y z B $.  $d d e u v y z F $.
    volcn.1 $e |- F = ( x e. RR |-> ( vol ` ( A i^i ( B [,] x ) ) ) ) $.
    $( The function formed by restricting a measurable set to a closed interval
       with a varying endpoint produces an increasing continuous function on
       the reals.  (Contributed by Mario Carneiro, 30-Aug-2014.) $)
    volcn $p |- ( ( A e. dom vol /\ B e. RR ) -> F e. ( RR -cn-> RR ) ) $=
      ( vz wcel cr wa cmin co cabs cfv clt wbr wceq syl wss adantr cle vy vd ve
      vv vu cvol cdm wf cv wi wral crp wrex ccncf cicc cin covol simpll adantll
      iccmbl inmbl syl2anc mblvol inss2 mblss iccvolcl eqeltrrd mp3an2i eqeltrd
      ovolsscl fmptd simprr weq oveq12 ancoms fveq2d breq1d fveq2 imbi12d ssidd
      oveqan12rd cc recn abssub syl2anr adantl anim12dan sylan w3a simpr2 oveq2
      ffvelrn ineq2d fvex fvmpt simplll simplr eqtrd simpr1 simp1 oveq12d caddc
      syl2an cun ffvelrnd leidd simpr3 iccss syl22anc sslin sstrd iccssre unssd
      resubcld readdcld ovolicc ovolun oveq2d breqtrd ovollecl syl3anc simpr wb
      simp2 elicc2 mpbir3and iccsplit eqimss ssun4 lecasei unss2 eqsstri sstrdi
      indi ax-mp ovolss letrd lesubadd2d mpbird ax-resscn rpred mpand abssubge0
      eqbrtrd lelttr 3brtr4d abssubge0d 3imtr4d wlogle anassrs ralrimiva anasss
      ancom2s breq2 rspceaimv ralrimivva elcncf2 mp2an sylanbrc ) BUFUGZGZCHGZI
      ZHHDUHZFUIZUAUIZJKZLMZUBUIZNOZUVEDMZUVFDMZJKZLMZUCUIZNOZUJFHUKUBULUMZUCUL
      UKUAHUKZDHHUNKGZUVCAHBCAUIZUOKZUPZUFMZHDUVCUVTHGZIZUWCUWBUQMZHUWEUWBUUTGZ
      UWCUWFPUWEUVAUWAUUTGZUWGUVAUVBUWDURUVBUWDUWHUVACUVTUTUSZBUWAVAVBUWBVCQUWB
      UWARUWEUWAHRZUWAUQMZHGUWFHGBUWAVDUWEUWHUWJUWIUWAVEQUWEUWAUFMZUWKHUWEUWHUW
      LUWKPUWIUWAVCQUVBUWDUWLHGUVACUVTVFUSVGUWBUWAVJVHVIEVKZUVCUVQUAUCHULUVCUVF
      HGZUVOULGZIIUWOUVHUVONOZUVPUJZFHUKZUVQUVCUWNUWOVLUVCUWOUWNUWRUVCUWOUWNUWR
      UVCUWOIZUWNIUWQFHUWSUWNUVEHGZUWQUWSUDUIZUEUIZJKZLMZUVONOZUXADMZUXBDMZJKZL
      MZUVONOZUJUWQUVFUVEJKZLMZUVONOZUVLUVKJKZLMZUVONOZUJUAFUEUDHUEUAVMZUDFVMZI
      ZUXEUWPUXJUVPUXSUXDUVHUVONUXSUXCUVGLUXRUXQUXCUVGPUXAUVEUXBUVFJVNVOVPVQUXS
      UXIUVNUVONUXSUXHUVMLUXRUXQUXFUVKUXGUVLJUXAUVEDVRUXBUVFDVRWAVPVQVSUEFVMZUD
      UAVMZIZUXEUXMUXJUXPUYBUXDUXLUVONUYBUXCUXKLUYAUXTUXCUXKPUXAUVFUXBUVEJVNVOV
      PVQUYBUXIUXOUVONUYBUXHUXNLUYAUXTUXFUVLUXGUVKJUXAUVFDVRUXBUVEDVRWAVPVQVSUW
      SHVTUWSUWNUWTIZIZUWPUXMUVPUXPUYDUVHUXLUVONUYCUVHUXLPZUWSUWTUVEWBGUVFWBGUY
      EUWNUVEWCUVFWCUVEUVFWDWEWFVQUYDUVNUXOUVONUYDUVLHGZUVKHGZIZUVNUXOPZUWSUVDU
      YCUYHUVCUVDUWOUWMSZUVDUWNUYFUWTUYGHHUVFDWLHHUVEDWLWGWHUYGUVKWBGUVLWBGUYIU
      YFUVKWCUVLWCUVKUVLWDWEQVQVSUWSUWNUWTUVFUVETOZWIZIZUVGUVONOZUVMUVONOZUWPUV
      PUYMUVMUVGTOZUYNUYOUYMUVMBCUVEUOKZUPZUQMZBCUVFUOKZUPZUQMZJKZUVGTUYMUVKUYS
      UVLVUBJUYMUVKUYRUFMZUYSUYMUWTUVKVUDPUWSUWNUWTUYKWJZAUVEUWCVUDHDAFVMZUWBUY
      RUFVUFUWAUYQBUVTUVECUOWKWMVPEUYRUFWNWOQUYMUYRUUTGZVUDUYSPUYMUVAUYQUUTGZVU
      GUVAUVBUWOUYLWPZUYMUVBUWTVUHUWSUVBUYLUVAUVBUWOWQZSZVUECUVEUTVBBUYQVAVBZUY
      RVCQWRZUYMUVLVUAUFMZVUBUYMUWNUVLVUNPUWSUWNUWTUYKWSZAUVFUWCVUNHDAUAVMZUWBV
      UAUFVUPUWAUYTBUVTUVFCUOWKWMVPEVUAUFWNWOQUYMVUAUUTGZVUNVUBPUYMUVAUYTUUTGZV
      UQVUIUWSUVBUWNVURUYLVUJUWNUWTUYKWTCUVFUTXCBUYTVAVBVUAVCQWRZXAUYMVUCUVGTOU
      YSVUBUVGXBKZTOUYMUYSVUAUVFUVEUOKZXDZUQMZVUTUYMUVKUYSHVUMUYMHHUVEDUWSUVDUY
      LUYJSZVUEXEZVGZUYMVVBHRZVUTHGVVCVUTTOVVCHGUYMVUAVVAHUYMVUAUYRHUYMUYTUYQRZ
      VUAUYRRZUYMUVBUWTCCTOUYKVVHVUKVUEUYMCVUKXFUWSUWNUWTUYKXGZCUVECUVFXHXIUYTU
      YQBXJQZUYMVUGUYRHRZVULUYRVEQZXKZUYMUWNUWTVVAHRZVUOVUEUVFUVEXLVBZXMZUYMVUB
      UVGUYMUVLVUBHVUSUYMHHUVFDVVDVUOXEZVGZUYMUVEUVFVUEVUOXNZXOZUYMVVCVUBVVAUQM
      ZXBKZVUTTUYMVUAHRVUBHGVVOVWBHGVVCVWCTOVVNVVSVVPUYMVWBUVGHUYLVWBUVGPUWSUVF
      UVEXPWFZVVTVIVUAVVAXQXIUYMVWBUVGVUBXBVWDXRXSZVVBVUTXTYAVWAUYMUYRVVBRVVGUY
      SVVCTOUYMUYRBUYTVVAXDZUPZVVBUYMUYQVWFRZUYRVWGRUYMVWHCUVFVUKVUOUYMCUVFTOZI
      ZUYQVWFPZVWHVWJUVBUWTUVFUYQGZVWKUYMUVBVWIVUKSUYMUWTVWIVUESVWJVWLUWNVWIUYK
      UYMUWNVWIVUOSUYMVWIYBUYMUYKVWIVVJSUYMVWLUWNVWIUYKWIYCZVWIUWSUVBUWTVWMUYLV
      UJUWNUWTUYKYDCUVEUVFYEXCSYFCUVEUVFYGYAUYQVWFYHQUYMUVFCTOZIZUYQVVARZVWHVWO
      UWNUWTVWNUVEUVETOVWPUYMUWNVWNVUOSUYMUWTVWNVUESZUYMVWNYBVWOUVEVWQXFUVFUVEC
      UVEXHXIUYQVVAUYTYIQYJUYQVWFBXJQVWGVUABVVAUPZXDZVVBBUYTVVAYNVWRVVARVWSVVBR
      BVVAVDVWRVVAVUAYKYOYLYMVVQUYRVVBYPVBVWEYQUYMUYSVUBUVGVVFVVSVVTYRYSUUDUYMU
      VMHGUVGHGUVOHGUYPUYNIUYOUJUYMUVKUVLVVEVVRXNVVTUYMUVOUVCUWOUYLWQUUAUVMUVGU
      VOUUEYAUUBUYMUVHUVGUVONUYLUVHUVGPUWSUVFUVEUUCWFVQUYMUVNUVMUVONUYMUVLUVKVV
      RVVEUYMVUBUYSUVLUVKTUYMVVIVVLVUBUYSTOVVKVVMVUAUYRYPVBVUSVUMUUFUUGVQUUHUUI
      UUJUUKUULUUMUVJUWPUVPUBFUVOULHUVIUVOUVHNUUNUUOVBUUPHWBRZVWTUVSUVDUVRIYCYT
      YTUAUCUBFHHDUUQUURUUS $.
  $}

  ${
    $d n u x y z A $.  $d n u x z B $.
    $( The Intermediate Value Theorem for the Lebesgue volume function.  For
       any positive ` B <_ ( vol `` A ) ` , there is a measurable subset of
       ` A ` whose volume is ` B ` .  (Contributed by Mario Carneiro,
       30-Aug-2014.) $)
    volivth $p |- ( ( A e. dom vol /\ B e. ( 0 [,] ( vol ` A ) ) ) ->
      E. x e. dom vol ( x C_ A /\ ( vol ` x ) = B ) ) $=
      ( vy cvol wcel cc0 cfv cicc co wa clt wbr wss wceq cxr adantr syl2anc syl
      cr vn vz vu cdm cv wrex cneg cin cn simpll mnfxr a1i iccssxr simpr sselid
      cmnf cpnf volf ffvelrni cle w3a wb 0xr elicc1 sylancr mpbid simp2d mnflt0
      wi xrltletr mpani mp3an12 sylc syl32anc volsup2 syl3anc ad2antrl renegcld
      xrre2 cmpt nnre 0red nngt0 lt0neg2d lttrd iccssre ccncf cc ax-resscn ssid
      cncfss mp2an eqid volcn sselda cncff ffvelrnda syldan covol ineq2d fveq2d
      wf oveq2 fvex fvmpt csn inss2 rexrd iccid sseqtrid snssd ovolsn ovolssnul
      sstrd nulmbl mblvol 3eqtrd eqbrtrd iccmbl inmbl simprr xrltled jca ivthle
      breqtrrd eqeq1d adantrr inss1 fveqeq2 anbi12d rspcev syl12anc expr sylbid
      sseq1 rexlimdva mpd rexlimddv eqcomd wo simp3d xrleloe mpjaodan ) BEUDZFZ
      CGBEHZIJZFZKZCUUFLMZAUEZBNZUUKEHCOZKZAUUDUFZCUUFOZUUIUUJKZCBUAUEZUGZUURIJ
      ZUHZEHZLMZUUOUAUIUUQUUECTFZUUJUVCUAUIUFUUEUUHUUJUJZUUQUPPFZCPFZUUFPFZUPCL
      MZUUJUVDUVFUUQUKULUUIUVGUUJUUIUUGPCGUUFUMUUEUUHUNZUOZQZUUIUVHUUJUUEUVHUUH
      UUEGUQIJZPUUFGUQUMZUUDUVMBEURUSUOQZQUUQUVGGCUTMZUVIUVLUUIUVPUUJUUIUVGUVPC
      UUFUTMZUUIUUHUVGUVPUVQVAZUVJUUIGPFZUVHUUHUVRVBVCUVOGUUFCVDVEVFZVGQZUVFUVS
      UVGUVPUVIVIUKVCUVFUVSUVGVAUPGLMUVPUVIVHUPGCVJVKVLVMUUIUUJUNZUPCUUFVSVNZUW
      BBCUAVOVPUUQUURUIFZUVCKZKZUBUEZDTBUUSDUEZIJZUHZEHZVTZHZCOZUBUUTUFUUOUWFUC
      UUSUURTCUWLUBUWFUURUWDUURTFZUUQUVCUURWAVQZVRZUWPUUQUVDUWEUWCQUWFUUSGUURUW
      QUWFWBUWPUWFGUURLMZUUSGLMUWDUWRUUQUVCUURWCVQZUWFUURUWPWDVFUWSWEUWFUUSTFZU
      WOUUTTNUWQUWPUUSUURWFRZUWFTTWGJZTWHWGJZUWLTWHNWHWHNUXBUXCNWIWHWJTTWHWKWLU
      WFUUEUWTUWLUXBFZUUQUUEUWEUVEQZUWQDBUUSUWLUWLWMZWNRZUOUWFUCUEZUUTFUXHTFUXH
      UWLHTFUWFUUTTUXHUXAWOUWFTTUXHUWLUWFUXDTTUWLXBUXGTTUWLWPSWQWRUWFUUSUWLHZCU
      TMCUURUWLHZUTMUWFUXIGCUTUWFUXIBUUSUUSIJZUHZEHZUXLWSHZGUWFUWTUXIUXMOUWQDUU
      SUWKUXMTUWLUWHUUSOZUWJUXLEUXOUWIUXKBUWHUUSUUSIXCWTXAUXFUXLEXDXESUWFUXLUUD
      FZUXMUXNOUWFUXLTNUXNGOZUXPUWFUXLUUSXFZTUWFUXKUXLUXRBUXKXGUWFUUSPFUXKUXROU
      WFUUSUWQXHUUSXISXJZUWFUUSTUWQXKZXNUWFUXLUXRNUXRTNUXRWSHGOZUXQUXSUXTUWFUWT
      UYAUWQUUSXLSUXLUXRXMVPZUXLXORUXLXPSUYBXQUUQUVPUWEUWAQXRUWFCUVBUXJUTUWFCUV
      BUUQUVGUWEUVLQUWFUVAUUDFZUVBPFUWFUUEUUTUUDFZUYCUXEUWFUWTUWOUYDUWQUWPUUSUU
      RXSRBUUTXTRUYCUVMPUVBUVNUUDUVMUVAEURUSUOSUUQUWDUVCYAYBUWFUWOUXJUVBOUWPDUU
      RUWKUVBTUWLUWHUUROZUWJUVAEUYEUWIUUTBUWHUURUUSIXCWTXAUXFUVAEXDXESYEYCYDUWF
      UWNUUOUBUUTUWFUWGUUTFZKZUWNBUUSUWGIJZUHZEHZCOZUUOUYGUWMUYJCUYGUWGTFZUWMUY
      JOUWFUUTTUWGUXAWOZDUWGUWKUYJTUWLUWHUWGOZUWJUYIEUYNUWIUYHBUWHUWGUUSIXCWTXA
      UXFUYIEXDXESYFUWFUYFUYKUUOUWFUYFUYKKZKZUYIUUDFZUYIBNZUYKUUOUYPUUEUYHUUDFZ
      UYQUWFUUEUYOUXEQUYPUWTUYLUYSUWFUWTUYOUWQQUWFUYFUYLUYKUYMYGUUSUWGXSRBUYHXT
      RUYRUYPBUYHYHULUWFUYFUYKYAUUNUYRUYKKAUYIUUDUUKUYIOUULUYRUUMUYKUUKUYIBYOUU
      KUYICEYIYJYKYLYMYNYPYQYRUUIUUPKZUUEBBNZUUFCOZUUOUUEUUHUUPUJVUAUYTBWJULUYT
      CUUFUUIUUPUNYSUUNVUAVUBKABUUDUUKBOUULVUAUUMVUBUUKBBYOUUKBCEYIYJYKYLUUIUVQ
      UUJUUPYTZUUIUVGUVPUVQUVTUUAUUIUVGUVHUVQVUCVBUVKUVOCUUFUUBRVFUUC $.
  $}

  ${
    $d m n s x y z G $.  $d k m n v w x z ph $.  $d w z S $.  $d k m v w x T $.
    $d k m n s v w x y z F $.  $d m n s u v w x y z .~ $.
    vitali.1 $e |- .~ = { <. x , y >. |
         ( ( x e. ( 0 [,] 1 ) /\ y e. ( 0 [,] 1 ) ) /\ ( x - y ) e. QQ ) } $.
    $( Lemma for ~ vitali .  (Contributed by Mario Carneiro, 16-Jun-2014.)
       (Proof shortened by AV, 1-May-2021.) $)
    vitalilem1 $p |- .~ Er ( 0 [,] 1 ) $=
      ( vu vv vw cc0 co cv wcel wa cmin cq wbr cr weq oveq12 eleq1d brab2a cicc
      c1 relopabiv simplr simpll cneg cc unitssre sseli recnd ad2antrr ad2antlr
      negsubdi2d qnegcl adantl eqeltrrd jca31 3imtr4i simpl sylib simpld simprd
      simpr caddc syl sselid npncand qaddcl syl21anbrc subidd cz 0z zq eqeltrdi
      syl2anc ax-mp adantr pm4.71i pm4.24 3bitr4i iseri ) EFGHUBUAIZCAJZWBKBJZW
      BKLWCWDMIZNKZLABCDUCEJZWBKZFJZWBKZLZWGWIMIZNKZLZWJWHLWIWGMIZNKZLWGWICOZWI
      WGCOWNWJWHWPWHWJWMUDWHWJWMUEWNWLUFZWONWNWGWIWHWGUGKZWJWMWHWGWBPWGUHUIUJZU
      KWJWIUGKZWHWMWJWIWBPWIUHUIUJULZUMWMWRNKWKWLUNUOUPUQWFWMABWGWIWBWBCAEQZBFQ
      LWEWLNWCWGWDWIMRSDTZWFWPABWIWGWBWBCAFQZBEQZLWEWONWCWIWDWGMRSDTURWQWIGJZCO
      ZLZWHXGWBKZWGXGMIZNKZWGXGCOXIWHWJXIWKWMXIWQWNWQXHUSXDUTZVAVAZXIWJXJXIWJXJ
      LZWIXGMIZNKZXIXHXOXQLWQXHVCWFXQABWIXGWBWBCXEBGQZLWEXPNWCWIWDXGMRSDTUTZVAV
      BZXIWLXPVDIZXKNXIWGWIXGXIWHWSXNWTVEXIWNXAXMXBVEXIXGXIWBPXGUHXTVFUJVGXIWMX
      QYANKXIWKWMXMVBXIXOXQXSVBWLXPVHVOUPWFXLABWGXGWBWBCXCXRLWEXKNWCWGWDXGMRSDT
      VIWHWHLZYBWGWGMIZNKZLWHWGWGCOYBYDWHYDWHWHYCHNWHWGWTVJHVKKHNKVLHVMVPVNVQVR
      WHVSWFYDABWGWGWBWBCXCXFLWEYCNWCWGWDWGMRSDTVTWA $.

    vitali.2 $e |- S = ( ( 0 [,] 1 ) /. .~ ) $.
    vitali.3 $e |- ( ph -> F Fn S ) $.
    vitali.4 $e |- ( ph -> A. z e. S ( z =/= (/) -> ( F ` z ) e. z ) ) $.
    vitali.5 $e |- ( ph -> G : NN -1-1-onto-> ( QQ i^i ( -u 1 [,] 1 ) ) ) $.
    vitali.6 $e |- T = ( n e. NN |-> { s e. RR |
                         ( s - ( G ` n ) ) e. ran F } ) $.
    vitali.7 $e |- ( ph -> -. ran F e. ( ~P RR \ dom vol ) ) $.
    $( Lemma for ~ vitali .  (Contributed by Mario Carneiro, 16-Jun-2014.) $)
    vitalilem2 $p |- ( ph ->
      ( ran F C_ ( 0 [,] 1 ) /\ ( 0 [,] 1 ) C_ U_ m e. NN ( T ` m ) /\
        U_ m e. NN ( T ` m ) C_ ( -u 1 [,] 2 ) ) ) $=
      ( wcel vv vw crn cc0 c1 cicc co wss cn cv cfv ciun cneg c2 wfn wral wf c0
      wne wi cec neeq1 cdm wer wceq vitalilem1 erdm eleq2i ecdmn0 bitr3i biimpi
      wa ax-mp ectocl adantl sseq1 a1i ecss sseld embantd ralimdva mpd sylanbrc
      ffnfv frnd cmin ccnv cq wf1o adantr f1ocnv f1of 3syl simpr sylib fveq2 id
      cin eleq12d imbi12d cqs cvv ovex mp2 ecelqsi wbr weq eleq1d simprd cr cle
      erex w3a elicc01 simp1d simpld resubcld 1red simp2d subge02d mpbid simp3d
      letrd recnd neg1rr 1re elicc2i syl3anbrc crab oveq1 syl2an2r rabbidv reex
      oveq2d rabex fvmpt syl ssrdv caddc 2re eleqtrrdi rspcdva fvex elec oveq12
      vex brab2a bitri lenegd negsubdi2d breqtrd elind ffvelrnd f1ocnvfv2 eqtrd
      nncand fnfvelrn eqeltrd elrabd eleqtrrd eliuni syl2anc wrex eleq2d biimpa
      eliun elrab iccssre mp2an ffvelrnda elin2d sselid ad2antrr sseldd subge0d
      ex peano2re lesubadd2d leadd1dd df-2 breqtrrdi rexlimdva2 syl5bi 3jca ) A
      JUCZUDUEUFUGZUHZUWFHUIHUJZGUKZULZUHUWJUEUMZUNUFUGZUHAFUWFJAJFUOZDUJZJUKZU
      WFTZDFUPZFUWFJUQOAUWNURUSZUWOUWNTZUTZDFUPZUWQPAUWTUWPDFAUWNFTZVLZUWRUWSUW
      PUXBUWRAUAUJZEVAZURUSZUWRUAUWNUWFEFNUXEUWNURVBUXDUWFTZUXFUXGUXDEVCZTUXFUX
      HUWFUXDUWFEVDZUXHUWFVEBCEMVFZUWFEVGVMVHUXDEVIVJZVKVNVOUXCUWNUWFUWOUXBUWNU
      WFUHZAUBUJZEVAZUWFUHUXLUBUWNUWFEFNUXNUWNUWFVPUXMUWFTZUXMEUWFUXIUXOUXJVQVR
      VNVOVSVTWAWBDFUWFJWDWCWEZAUAUWFUWJAUXGUXDUWJTZAUXGVLZUXDUXEJUKZWFUGZKWGZU
      KZUITZUXDUYBGUKZTUXQUXRWHUWKUEUFUGZWRZUIUXTUYAUXRUIUYFKWIZUYFUIUYAWIUYFUI
      UYAUQAUYGUXGQWJUIUYFKWKUYFUIUYAWLWMUXRWHUYEUXTUXRUXGUXSUWFTZVLZUXTWHTZUXR
      UXSUXETZUYIUYJVLZUXRUXFUYKUXRUXGUXFAUXGWNZUXKWOUXRUWTUXFUYKUTDFUXEUWNUXEV
      EZUWRUXFUWSUYKUWNUXEURVBUYNUWOUXSUWNUXEUWNUXEJWPUYNWQWSWTAUXAUXGPWJUXRUXE
      UWFEXAZFUXGUXEUYOTAUWFUXDEUXIUWFXBTEXBTUXJUDUEUFXCUWFEXBXLXDXEVONUUAZUUBW
      BUYKUXDUXSEXFUYLUXSUXDEUXEJUUCUAUUFUUDBUJZCUJZWFUGZWHTUYJBCUXDUXSUWFUWFEB
      UAXGUYRUXSVEVLUYSUXTWHUYQUXDUYRUXSWFUUEXHMUUGUUHWOZXIUXRUXTXJTUWKUXTXKXFU
      XTUEXKXFUXTUYETUXRUXDUXSUXRUXDXJTZUDUXDXKXFZUXDUEXKXFZUXRUXGVUAVUBVUCXMUY
      MUXDXNWOZXOZUXRUXSXJTZUDUXSXKXFZUXSUEXKXFZUXRUYHVUFVUGVUHXMUXRUXGUYHUXRUY
      IUYJUYTXPXIUXSXNWOZXOZXQZUXRUWKUXSUXDWFUGZUMZUXTXKUXRVULUEXKXFUWKVUMXKXFU
      XRVULUXSUEUXRUXSUXDVUJVUEXQZVUJUXRXRZUXRVUBVULUXSXKXFUXRVUAVUBVUCVUDXSUXR
      UXSUXDVUJVUEXTYAUXRVUFVUGVUHVUIYBYCUXRVULUEVUNVUOUUIYAUXRUXSUXDUXRUXSVUJY
      DZUXRUXDVUEYDZUUJUUKUXRUXTUXDUEVUKVUEVUOUXRVUGUXTUXDXKXFUXRVUFVUGVUHVUIXS
      UXRUXDUXSVUEVUJXTYAUXRVUAVUBVUCVUDYBYCUWKUEUXTYEYFYGYHUULZUUMZUXRUXDLUJZU
      YBKUKZWFUGZUWETZLXJYIZUYDUXRVVCUXDVVAWFUGZUWETLUXDXJLUAXGVVBVVEUWEVUTUXDV
      VAWFYJXHVUEUXRVVEUXSUWEUXRVVEUXDUXTWFUGUXSUXRVVAUXTUXDWFAUYGUXGUXTUYFTVVA
      UXTVEQVURUIUYFUXTKUUNYKYNUXRUXDUXSVUQVUPUUPUUOAUWMUXGUXEFTUXSUWETOUYPFUXE
      JUUQYKUURUUSUXRUYCUYDVVDVEVUSIUYBVUTIUJZKUKZWFUGZUWETZLXJYIZVVDUIGVVFUYBV
      EZVVIVVCLXJVVKVVHVVBUWEVVKVVGVVAVUTWFVVFUYBKWPYNXHYLRVVCLXJYMYOYPYQUUTHUY
      BUWIUYDUIUXDUWHUYBGWPUVAUVBUVPYRABUWJUWLUYQUWJTUYQUWITZHUIUVCAUYQUWLTZHUY
      QUIUWIUVFAVVLVVMHUIAUWHUITZVLZVVLVLZUYQXJTZUWKUYQXKXFUYQUNXKXFVVMVVPVVQUY
      QUWHKUKZWFUGZUWETZVVPUYQVUTVVRWFUGZUWETZLXJYIZTZVVQVVTVLVVOVVLVWDVVOUWIVW
      CUYQVVNUWIVWCVEAIUWHVVJVWCUIGIHXGZVVIVWBLXJVWEVVHVWAUWEVWEVVGVVRVUTWFVVFU
      WHKWPYNXHYLRVWBLXJYMYOYPVOUVDUVEVWBVVTLUYQXJLBXGVWAVVSUWEVUTUYQVVRWFYJXHU
      VGWOZXPZVVPUWKVVRUYQUWKXJTZVVPYEVQVVOVVRXJTZVVLVVOUYEXJVVRVWHUEXJTUYEXJUH
      YEYFUWKUEUVHUVIVVOWHUYEVVRAUIUYFUWHKAUYGUIUYFKUQQUIUYFKWLYQUVJUVKZUVLWJZV
      WGVVPVWIUWKVVRXKXFZVVRUEXKXFZVVPVVRUYETZVWIVWLVWMXMVVOVWNVVLVWJWJUWKUEVVR
      YEYFYGWOZXSVVPUDVVSXKXFZVVRUYQXKXFVVPVVSXJTZVWPVVSUEXKXFZVVPVVSUWFTVWQVWP
      VWRXMVVPUWEUWFVVSAUWGVVNVVLUXPUVMVVPVVQVVTVWFXIUVNVVSXNWOZXSVVPUYQVVRVWGV
      WKUVOYAYCVVPUYQVVRUEYSUGZUNVWGVVPVWIVWTXJTVWKVVRUVQYQUNXJTVVPYTVQVVPVWRUY
      QVWTXKXFVVPVWQVWPVWRVWSYBVVPUYQVVRUEVWGVWKVVPXRZUVRYAVVPVWTUEUEYSUGUNXKVV
      PVVRUEUEVWKVXAVXAVVPVWIVWLVWMVWOYBUVSUVTUWAYCUWKUNUYQYEYTYGYHUWBUWCYRUWD
      $.

    $( Lemma for ~ vitali .  (Contributed by Mario Carneiro, 16-Jun-2014.) $)
    vitalilem3 $p |- ( ph -> Disj_ m e. NN ( T ` m ) ) $=
      ( wcel vw vk vv cv cn cfv wa wmo wal wdisj weq wi wceq cr cmin co simprlr
      crn crab simprll fveq2 oveq2d eleq1d rabbidv reex rabex fvmpt syl eleqtrd
      oveq1 elrab sylib simpld recnd cq cc wf cneg cicc cin wss wf1o f1of inss1
      c1 fss sylancl adantr ffvelrnd qcn simprrl cec cc0 wer vitalilem1 a1i wbr
      c2 vitalilem2 simp1d simprd sseldd simprrr nnncan1d qsubcl syl2anc oveq12
      ciun eqeltrd brab2a syl21anbrc erthi fveq2d eceq1 eqeq12d wral eceq1d wne
      id c0 simpr cdm erdm ax-mp eleq2i ecdmn0 bitr3i neeq1 eleq12d imbi12d cqs
      cvv ovex erex mp2 ecelqsi eleqtrrdi rspcdva wb sylibr adantl mpd fvex vex
      elec eqcomd ectocld ralrimiva wfn ralrn mpbird 3eqtr3d subcand wf1 f1fveq
      f1of1 syl12anc mpbid alrimivv eleq1w eleq2d anbi12d mo4 alrimiv dfdisj2
      ex ) AHUDZUETZUAUDZUVGGUFZTZUGZHUHZUAUIHUEUVJUJAUVMUAAUVLUBUDZUETZUVIUVNG
      UFZTZUGZUGZHUBUKZULZUBUIHUIUVMAUWAHUBAUVSUVTAUVSUGZUVGKUFZUVNKUFZUMZUVTUW
      BUVIUWCUWDUWBUVIUWBUVIUNTZUVIUWCUOUPZJURZTZUWBUVILUDZUWCUOUPZUWHTZLUNUSZT
      UWFUWIUGUWBUVIUVJUWMAUVHUVKUVRUQUWBUVHUVJUWMUMAUVHUVKUVRUTZIUVGUWJIUDZKUF
      ZUOUPZUWHTZLUNUSZUWMUEGIHUKZUWRUWLLUNUWTUWQUWKUWHUWTUWPUWCUWJUOUWOUVGKVAV
      BVCVDRUWLLUNVEVFVGVHVIUWLUWILUVIUNLUAUKZUWKUWGUWHUWJUVIUWCUOVJVCVKVLZVMVN
      ZUWBUWCVOTZUWCVPTUWBUEVOUVGKAUEVOKVQZUVSAUEVOWEVRZWEVSUPZVTZKVQZUXHVOWAUX
      EAUEUXHKWBZUXIQUEUXHKWCVHVOUXGWDUEUXHVOKWFWGWHZUWNWIZUWCWJVHZUWBUWDVOTZUW
      DVPTUWBUEVOUVNKUXKAUVLUVOUVQWKZWIZUWDWJVHZUWBUWGEWLZJUFZUVIUWDUOUPZEWLZJU
      FZUWGUXTUWBUXRUYAJUWBUWGUXTEWMWEVSUPZUYCEWNZUWBBCEMWOZWPUWBUWGUYCTUXTUYCT
      UWGUXTUOUPZVOTZUWGUXTEWQUWBUWHUYCUWGAUWHUYCWAZUVSAUYHUYCHUEUVJXHZWAUYIUXF
      WRVSUPWAABCDEFGHIJKLMNOPQRSWSWTWHZUWBUWFUWIUXBXAZXBUWBUWHUYCUXTUYJUWBUWFU
      XTUWHTZUWBUVIUWJUWDUOUPZUWHTZLUNUSZTUWFUYLUGUWBUVIUVPUYOAUVLUVOUVQXCUWBUV
      OUVPUYOUMUXOIUVNUWSUYOUEGIUBUKZUWRUYNLUNUYPUWQUYMUWHUYPUWPUWDUWJUOUWOUVNK
      VAVBVCVDRUYNLUNVEVFVGVHVIUYNUYLLUVIUNUXAUYMUXTUWHUWJUVIUWDUOVJVCVKVLXAZXB
      UWBUYFUWDUWCUOUPZVOUWBUVIUWCUWDUXCUXMUXQXDUWBUXNUXDUYRVOTUXPUXLUWDUWCXEXF
      XIBUDZCUDZUOUPZVOTUYGBCUWGUXTUYCUYCEUYSUWGUMUYTUXTUMUGVUAUYFVOUYSUWGUYTUX
      TUOXGVCMXJXKXLXMUWBDUDZEWLZJUFZVUBUMZUXSUWGUMDUWHUWGVUBUWGUMZVUDUXSVUBUWG
      VUFVUCUXRJVUBUWGEXNXMVUFXSXOAVUEDUWHXPZUVSAVUGUVIJUFZEWLZJUFZVUHUMZUAFXPZ
      AVUKUAFUCUDZEWLZJUFZEWLZJUFZVUOUMVUKAUCUVIUYCEFNVUNUVIUMZVUQVUJVUOVUHVURV
      UPVUIJVURVUOVUHEVUNUVIJVAZXQXMVUSXOAVUMUYCTZUGZVUPVUNJVVAVUNVUPVVAVUMVUOE
      UYCUYDVVAUYEWPVVAVUOVUNTZVUMVUOEWQVVAVUNXTXRZVVBVVAVUTVVCAVUTYAVUTVUMEYBZ
      TVVCVVDUYCVUMUYDVVDUYCUMUYEUYCEYCYDYEVUMEYFYGVLVVAVUBXTXRZVUBJUFZVUBTZULZ
      VVCVVBULDFVUNVUBVUNUMZVVEVVCVVGVVBVUBVUNXTYHVVIVVFVUOVUBVUNVUBVUNJVAVVIXS
      YIYJAVVHDFXPVUTPWHVUTVUNFTAVUTVUNUYCEYKFUYCVUMEUYDUYCYLTEYLTUYEWMWEVSYMUY
      CEYLYNYOYPNYQUUAYRUUBVUOVUMEVUNJUUCUCUUDUUEVLXLUUFXMUUGUUHAJFUUIVUGVULYSO
      VUEVUKDUAFJVUBVUHUMZVUDVUJVUBVUHVVJVUCVUIJVUBVUHEXNXMVVJXSXOUUJVHUUKWHZUY
      KYRUWBVUEUYBUXTUMDUWHUXTVUBUXTUMZVUDUYBVUBUXTVVLVUCUYAJVUBUXTEXNXMVVLXSXO
      VVKUYQYRUULUUMUWBUEUXHKUUNZUVHUVOUWEUVTYSUWBUXJVVMAUXJUVSQWHUEUXHKUUPVHUW
      NUXOUEUXHUVGUVNKUUOUUQUURUVFUUSUVLUVRHUBUVTUVHUVOUVKUVQHUBUEUUTUVTUVJUVPU
      VIUVGUVNGVAUVAUVBUVCYTUVDHUAUEUVJUVEYT $.

    $( Lemma for ~ vitali .  (Contributed by Mario Carneiro, 16-Jun-2014.) $)
    vitalilem4 $p |- ( ( ph /\ m e. NN ) -> ( vol* ` ( T ` m ) ) = 0 ) $=
      ( cr vk cv cn wcel wa cfv covol crn cmin co crab wceq fveq2 oveq2d eleq1d
      cc0 rabbidv reex rabex fvmpt adantl fveq2d wss c1 cicc ciun c2 vitalilem2
      cneg simp1d unitssre sstrdi adantr neg1rr 1re iccssre mp2an cin wf1o f1of
      cq wf syl ffvelrnda elin2d sselid eqidd ovolshft eqtr4d clt wbr wn c3 cfl
      cdiv caddc cmul cxr 3re rexri a1i cn0 cle crp 3rp 0re ovolicc mp3an 1m0e1
      eqtri eqeltri ovolsscl mp3an23 simpr elrpd rpdivcl sylancr rpred flge0nn0
      0le1 rpge0d syl2anc nn0p1nn cvol sylibr sylancl syl2an2r ralrimiva ovolcl
      wral fmptd mpbid cmpt cseq mblvol eqtrd adantlr eqid 2re wb nnred cdm cpw
      remulcld rexrd cdif elpw2 anim1i eldif mt3d inss1 qssre sstri fss shftmbl
      ex iunmbl mblss 3syl flltp1 ltdivmul2d csup nnuz 1zzd eqeltrd serfre frnd
      ressxr csn cxp mpteq2dva fconstmpt eqtr4di seqeq3d fveq1d recnd ser1const
      cc ffnd fnfvelrn eqeltrrd supxrub wdisj vitalilem3 voliun eqtr3d breqtrrd
      wfn jca xrltletrd simp3d ovolss 2cn ax-1cn subnegi 2pos lttri ltleii df-3
      neg1lt0 3eqtr4i breqtrdi xrlenlt pm2.65da wo ovolge0 0xr xrleloe ord mpd
      ) AHUBZUCUDZUEZUXKGUFZUGUFZJUHZUGUFZUPUXMUXOLUBZUXKKUFZUIUJZUXPUDZLTUKZUG
      UFUXQUXMUXNUYBUGUXLUXNUYBULAIUXKUXRIUBZKUFZUIUJZUXPUDZLTUKZUYBUCGUYCUXKUL
      ZUYFUYALTUYHUYEUXTUXPUYHUYDUXSUXRUIUYCUXKKUMUNUOUQRUYALTURUSUTVAVBUXMLUXP
      UYBUXSAUXPTVCZUXLAUXPUPVDVEUJZTAUXPUYJVCZUYJHUCUXNVFZVCZUYLVDVIZVGVEUJZVC
      ZABCDEFGHIJKLMNOPQRSVHZVJZVKVLZVMUXMUYNVDVEUJZTUXSUYNTUDZVDTUDZUYTTVCVNVO
      UYNVDVPVQUXMWAUYTUXSAUCWAUYTVRZUXKKAUCVUCKVSUCVUCKWBZQUCVUCKVTWCZWDWEWFUX
      MUYBWGWHWIZAUPUXQULZUXLAUPUXQWJWKZWLVUGAVUHWMUYLUGUFZWJWKZAVUHUEZWMWMUXQW
      OUJZWNUFZVDWPUJZUXQWQUJZVUIWMWRUDZVUKWMWSWTZXAVUKVUOVUKVUNUXQVUKVUNVUKVUM
      XBUDZVUNUCUDZVUKVULTUDZUPVULXCWKVURVUKVULVUKWMXDUDUXQXDUDVULXDUDXEVUKUXQA
      UXQTUDZVUHAUYKVVAUYRUYKUYJTVCUYJUGUFZTUDVVAVKVVBVDTVVBVDUPUIUJZVDUPTUDVUB
      UPVDXCWKVVBVVCULXFVOXTUPVDXGXHXIXJVOXKUXPUYJXLXMWCZVMZAVUHXNXOZWMUXQXPXQZ
      XRZVUKVULVVGYAVULXSYBVUMYCWCZUUAZVVEUUDUUEAVUIWRUDZVUHAUYLYDUUBZUDZUYLTVC
      VVKAUXNVVLUDZHUCYJVVMAVVNHUCAUCVVLUXKGAIUCUYGVVLGAUXPVVLUDZUYCUCUDUYDTUDU
      YGVVLUDAVVOUXPTUUCZVVLUUFUDZSAVVOWLZVVQAVVRUEUXPVVPUDZVVRUEVVQAVVSVVRAUYI
      VVSUYSUXPTURUUGYEUUHUXPVVPVVLUUIYEUUPUUJAUCTUYCKAVUDVUCTVCUCTKWBVUEVUCWAT
      WAUYTUUKUULUUMUCVUCTKUUNYFWDLUXPUYDUUOYGRYKWDZYHUXNHUUQWCZUYLUURUYLYIUUSV
      MZVUKVULVUNWJWKZWMVUOWJWKVUKVUTVWCVVHVULUUTWCVUKWMVUNUXQWMTUDVUKWSXAVVJVV
      FUVAYLVUKVUOWPHUCUXNYDUFZYMZVDYNZUHZWRWJUVBZVUIXCVUKVWGWRVCVUOVWGUDVUOVWH
      XCWKVUKVWGTWRVUKUCTVWFVUKUAVWEVDUCUVCVUKUVDVUKUCTUAUBVWEVUKHUCVWDTVWEAUXL
      VWDTUDZVUHUXMVWDUXQTUXMVWDUXOUXQUXMVVNVWDUXOULVVTUXNYOWCVUFYPZAVVAUXLVVDV
      MUVEZYQVWEYRZYKWDUVFZUVGUVHVLVUKVUNVWFUFZVUOVWGVUKVWNVUNWPUCUXQUVIUVJZVDY
      NZUFZVUOVUKVUNVWFVWPVUKVWEVWOWPVDVUKVWEHUCUXQYMVWOVUKHUCVWDUXQAUXLVWDUXQU
      LVUHVWJYQUVKHUCUXQUVLUVMUVNUVOVUKUXQUVRUDVUSVWQVUOULVUKUXQVVEUVPVVIUXQVUN
      UVQYBYPVUKVWFUCUWHVUSVWNVWGUDVUKUCTVWFVWMUVSVVIUCVUNVWFUVTYBUWAVWGVUOUWBY
      BVUKUYLYDUFZVUIVWHVUKVVMVWRVUIULAVVMVUHVWAVMUYLYOWCAVVNVWIUEZHUCYJVUHHUCU
      XNUWCZVWRVWHULAVWSHUCUXMVVNVWIVVTVWKUWIYHAVWTVUHABCDEFGHIJKLMNOPQRSUWDVMU
      XNVWFHVWEVWFYRVWLUWEYGUWFUWGUWJVUKVUIWMXCWKZVUJWLZVUKVUIUYOUGUFZWMXCVUKUY
      PUYOTVCZVUIVXCXCWKAUYPVUHAUYKUYMUYPUYQUWKVMVUAVGTUDZVXDVNYSUYNVGVPVQUYLUY
      OUWLYFVGUYNUIUJZVGVDWPUJVXCWMVGVDUWMUWNUWOVUAVXEUYNVGXCWKVXCVXFULVNYSUYNV
      GVNYSUYNUPWJWKUPVGWJWKUYNVGWJWKUWTUWPUYNUPVGVNXFYSUWQVQUWRUYNVGXGXHUWSUXA
      UXBVUKVVKVUPVXAVXBYTVWBVUQVUIWMUXCYFYLUXDAVUHVUGAUPUXQXCWKZVUHVUGUXEZAUYI
      VXGUYSUXPUXFWCAUPWRUDUXQWRUDZVXGVXHYTUXGAUYIVXIUYSUXPYIWCUPUXQUXHXQYLUXIU
      XJVMWI $.

    $( Lemma for ~ vitali .  (Contributed by Mario Carneiro, 16-Jun-2014.) $)
    vitalilem5 $p |- -. ph $=
      ( cc0 cn vm c1 cicc co covol cfv cle wbr clt wn 0lt1 cmin cr wcel 0re 1re
      wceq 0le1 ovolicc mp3an 1m0e1 eqtri breqtrri eqeltri ltnlei mpbi ciun wss
      cv crn cneg c2 vitalilem2 simp2d cvol cdm wral crab cpw cdif wa wfn wf c0
      wne wi cqs wer vitalilem1 erdm ax-mp eleqtrdi elqsn0 sylancr a1i eqsstrid
      simpr qsss sselda sseld embantd ralimdva mpd ffnfv sylanbrc frnd unitssre
      elpwid sstrdi reex elpw2 sylibr anim1i eldif ex mt3d cq cin wf1o f1of syl
      inss1 qssre sstri fss sylancl ffvelrnda shftmbl mblss csu caddc cmpt cseq
      eqid cli cxp nnuz eqtrdi breqtrd cxr syl2an2r fmptd iunmbl ovolss syl2anc
      ralrimiva vitalilem4 cuz csn mpteq2dva fconstmpt xpeq1i eqtr3i seqeq3d cz
      eqeltrdi 1z serclim0 eqbrtrdi seqex c0ex breldm ovoliun2 sumeq2dv eqimssi
      cfn wo orci sumz ovolge0 wb ovolcl 0xr xrletri3 mpbir2and mto ) ASUBUCUDZ
      UEUFZSUGUHZSUVRUIUHUVSUJSUBUVRUIUKUVRUBSULUDZUBSUMUNUBUMUNSUBUGUHUVRUVTUQ
      UOUPURSUBUSUTVAVBZVCSUVRUOUVRUBUMUWAUPVDVEVFAUVRUATUAVIZGUFZVGZUEUFZSUGAU
      VQUWDVHZUWDUMVHZUVRUWEUGUHAIVJZUVQVHUWFUWDUBVKZVLUCUDVHABCDEFGUAHIJKLMNOP
      QRVMVNAUWDVOVPZUNZUWGAUWCUWJUNZUATVQUWKAUWLUATATUWJUWBGAHTKVIHVIZJUFZULUD
      UWHUNKUMVRZUWJGAUWHUWJUNZUWMTUNUWNUMUNUWOUWJUNAUWPUWHUMVSZUWJVTUNZRAUWPUJ
      ZUWRAUWSWAUWHUWQUNZUWSWAUWRAUWTUWSAUWHUMVHUWTAUWHUVQUMAFUVQIAIFWBDVIZIUFZ
      UVQUNZDFVQZFUVQIWCNAUXAWDWEZUXBUXAUNZWFZDFVQUXDOAUXGUXCDFAUXAFUNZWAZUXEUX
      FUXCUXIEVPUVQUQZUXAUVQEWGZUNUXEUVQEWHZUXJBCELWIZUVQEWJWKUXIUXAFUXKAUXHWQM
      WLUVQUXAEWMWNUXIUXAUVQUXBUXIUXAUVQAFUVQVSZUXAAFUXKUXNMAUVQEUXLAUXMWOWRWPW
      SXHWTXAXBXCDFUVQIXDXEXFXGXIUWHUMXJXKXLXMUWHUWQUWJXNXLXOXPATUMUWMJATXQUWIU
      BUCUDZXRZJWCZUXPUMVHTUMJWCATUXPJXSUXQPTUXPJXTYAUXPXQUMXQUXOYBYCYDTUXPUMJY
      EYFYGKUWHUWNYHUUAQUUBYGZUUFUWCUAUUCYAUWDYIYAZUVQUWDUUDUUEAUWESUQZUWESUGUH
      ZSUWEUGUHZAUWETUWCUEUFZUAYJZSUGAUWCYKUATUYCYLZUBYMZUAUYEUYFYNUYEYNAUWBTUN
      WAZUWLUWCUMVHUXRUWCYIYAUYGUYCSUMABCDEFGUAHIJKLMNOPQRUUGZUOUUPAUYFSYOUHUYF
      YOVPUNAUYFYKUBUUHUFZSUUIZYPZUBYMZSYOAUYEUYKYKUBAUYEUATSYLZUYKAUATUYCSUYHU
      UJTUYJYPUYMUYKUATSUUKTUYIUYJYQUULUUMYRUUNUBUUOUNUYLSYOUHUUQUBUURWKUUSUYFS
      YOYKUYEUBUUTUVAUVBYAUVCAUYDTSUAYJZSATUYCSUAUYHUVDTUYIVHZTUVFUNZUVGUYNSUQU
      YOUYPTUYIYQUVEUVHTUAUBUVIWKYRYSAUWGUYBUXSUWDUVJYAAUWEYTUNZSYTUNUXTUYAUYBW
      AUVKAUWGUYQUXSUWDUVLYAUVMUWESUVNYFUVOYSUVP $.
  $}

  ${
    $d a b c f g m n s t w x y z .< $.
    $( If the reals can be well-ordered, then there are non-measurable sets.
       The proof uses "Vitali sets", named for Giuseppe Vitali (1905).
       (Contributed by Mario Carneiro, 16-Jun-2014.) $)
    vitali $p |- ( .< We RR -> dom vol C. ~P RR ) $=
      ( vx vy vw vs cr cv cfv wcel cvv wa cn cq c1 co wbr cdiv cle cc0 cmin wwe
      vz vf vg vc va vb vm vt vn c0 wne wi cpw wral cvol cdm wpss cuni wex reex
      pwex cxp cin weinxp wceq unipw weeq2 ax-mp bitr4i inex2 weeq1 spcev sylbi
      xpex dfac8c mpsyl cneg cicc wf1o cen cdom qex inex1 nnrecq nnrecre neg1rr
      wb a1i 0re neg1lt0 ltleii nnrp rpreccld rpge0d letrd nnge1 clt nnre nngt0
      0lt1 lerec mpanl12 syl2anc mpbid 1div1e1 breqtrdi elicc2i syl3anbrc elind
      1re weq oveq2 nncn nnne0 recrecd eqeqan12d syl5ib impbid1 dom2 wss ssdomg
      inss1 mp2 qnnen domentr mp2an sbth bren mpbi cmpt crab eleq1w eleq1d eqid
      wn fvex fveq2 wtru sylibr copab cqs cdif bi2anan9 oveq12 anbi12d cbvopabv
      crn wfn fnmpti neeq1 id eleq12d imbi12d cbvralvw vitalilem1 qsss unitssre
      wer mptru sspwi sstri ssralv fvmpt imbi2d ralbiia ad2antlr simprl cbvrabv
      oveq1 oveq2d rabbidv syl5eq cbvmptv vitalilem5 pm2.21i expr pm2.18d eldif
      simprr mblss velpw ssriv ssnelpss syl ex exlimdv mpi exlimddv ) FAUAZUBGZ
      UKULZUWKUCGZHZUWKIZUMZUBFUNZUOZUPUQZUWQURZUCUWQJIUWJUWQUSZBGZUAZBUTZUWRUC
      UTFVAVBUWJUXAAFFVCZVDZUAZUXDUWJFUXFUAZUXGFAVEUXAFVFUXGUXHWHFVGUXAFUXFVHVI
      VJUXCUXGBUXFUXEAFFVAVAVOVKUXAUXBUXFVLVMVNUBUWQJUCBVPVQUWJUWRKZLMNVRZNVSOZ
      VDZUDGZVTZUDUTZUWTLUXLWAPZUXOLUXLWBPZUXLLWBPZUXPUXLJIUXQMUXKWCWDBCLUXLNUX
      BQOZNCGZQOZJUXBLIZMUXKUXSUXBWEUYBUXSFIUXJUXSRPUXSNRPUXSUXKIUXBWFZUYBUXJSU
      XSUXJFIUYBWGWISFIUYBWJWIUYCUXJSRPUYBUXJSWGWJWKWLWIUYBUXSUYBUXBUXBWMWNWOWP
      UYBUXSNNQOZNRUYBNUXBRPZUXSUYDRPZUXBWQUYBUXBFIZSUXBWRPZUYEUYFWHZUXBWSUXBWT
      NFISNWRPUYGUYHKUYIXKXANUXBXBXCXDXEXFXGUXJNUXSWGXKXHXIXJUYBUXTLIZKZUXSUYAV
      FZBCXLZUYLNUXSQOZNUYAQOZVFUYKUYMUXSUYANQXMUYBUYJUYNUXBUYOUXTUYBUXBUXBXNUX
      BXOXPUYJUXTUXTXNUXTXOXPXQXRUXBUXTNQXMXSXTVIUXLMWBPZMLWAPUXRMJIUXLMYAUYPWC
      MUXKYCUXLMJYBYDYEUXLMLYFYGLUXLYHYGLUXLUDYIYJUXIUXNUWTUDUXIUXNUWTUXIUXNKZU
      ESNVSOZUFGZUYRIZUGGZUYRIZKZUYSVUATOZMIZKZUFUGUUAZUUBZUEGZUWMHZYKZUUHZUWQU
      WSUUCIZUWTUYQVUMUXIUXNVUMYPZVUMUXIUXNVUNKZKZVUMVUPBCDVUGVUHUHLUIGZUHGZUXM
      HZTOZVULIZUIFYLZYKUJVUKUXMEVUFUXBUYRIZUXTUYRIZKZUXBUXTTOZMIZKUFUGBCUFBXLZ
      UGCXLZKZVUCVVEVUEVVGVVHUYTVVCVVIVUBVVDUFBUYRYMUGCUYRYMUUDVVJVUDVVFMUYSUXB
      VUAUXTTUUEYNUUFUUGZVUHYOVUKVUHUUIVUPUEVUHVUJVUKVUIUWMYQVUKYOZUUJWIUWRDGZU
      KULZVVMVUKHZVVMIZUMZDVUHUOZUWJVUOUWRVVNVVMUWMHZVVMIZUMZDVUHUOZVVRUWRVWADU
      WQUOZVWBUWPVWAUBDUWQUBDXLZUWLVVNUWOVVTUWKVVMUKUUKVWDUWNVVSUWKVVMUWKVVMUWM
      YRVWDUULUUMUUNUUOVUHUWQYAVWCVWBUMVUHUYRUNZUWQVUHVWEYAYSUYRVUGUYRVUGUUSYSB
      CVUGVVKUUPWIUUQUUTUYRFUURUVAUVBVWADVUHUWQUVCVIVNVVQVWADVUHVVMVUHIZVVPVVTV
      VNVWFVVOVVSVVMUEVVMVUJVVSVUHVUKVUIVVMUWMYRVVLVVMUWMYQUVDYNUVEUVFYTUVGUXIU
      XNVUNUVHUHUJLVVBEGZUJGZUXMHZTOZVULIZEFYLZUHUJXLZVVBVWGVUSTOZVULIZEFYLVWLV
      VAVWOUIEFUIEXLVUTVWNVULVUQVWGVUSTUVJYNUVIVWMVWOVWKEFVWMVWNVWJVULVWMVUSVWI
      VWGTVURVWHUXMYRUVKYNUVLUVMUVNUXIUXNVUNUVTUVOUVPUVQUVRVUMVULUWQIVULUWSIYPK
      ZUWTVULUWQUWSUVSUWSUWQYAVWPUWTUMBUWSUWQUXBUWSIUXBFYAUXBUWQIUXBUWABFUWBYTU
      WCUWSUWQVULUWDVIVNUWEUWFUWGUWHUWI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Lebesgue integration
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Lesbesgue integral
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Introduce new constant symbols. $)
  $c MblFn $. $( Measurable function $)
  $c L^1 $. $( Integrable function $)
  $c S.1 $. $( Lebesgue integral, simple functions $)
  $c S.2 $. $( Lebesgue integral, nonnegative functions $)
  $c S. $. $( Lebesgue integral $)
  $c S_ $. $( Directed integral $)
  $c _d $. $( differential 'd' for integral $)

  $( Extend class notation with the class of measurable functions. $)
  cmbf $a class MblFn $.

  $( Extend class notation with the Lebesgue integral for simple functions. $)
  citg1 $a class S.1 $.

  $( Extend class notation with the Lebesgue integral for nonnegative
     functions. $)
  citg2 $a class S.2 $.

  $( Extend class notation with the class of integrable functions. $)
  cibl $a class L^1 $.

  $( Extend class notation with the general Lebesgue integral. $)
  citg $a class S. A B _d x $.

  ${
    $d k y A $.  $d k y B $.  $d f g k x y $.
    $( Define the class of measurable functions on the reals.  A real function
       is measurable if the preimage of every open interval is a measurable set
       (see ~ ismbl ) and a complex function is measurable if the real and
       imaginary parts of the function is measurable.  (Contributed by Mario
       Carneiro, 17-Jun-2014.) $)
    df-mbf $a |- MblFn = { f e. ( CC ^pm RR ) | A. x e. ran (,)
                           ( ( `' ( Re o. f ) " x ) e. dom vol /\
                             ( `' ( Im o. f ) " x ) e. dom vol ) } $.

    $( Define the Lebesgue integral for simple functions.  A simple function is
       a finite linear combination of indicator functions for finitely
       measurable sets, whose assigned value is the sum of the measures of the
       sets times their respective weights.  (Contributed by Mario Carneiro,
       18-Jun-2014.) $)
    df-itg1 $a |- S.1 = ( f e. { g e. MblFn | ( g : RR --> RR /\
        ran g e. Fin /\ ( vol ` ( `' g " ( RR \ { 0 } ) ) ) e. RR ) } |->
        sum_ x e. ( ran f \ { 0 } ) ( x x. ( vol ` ( `' f " { x } ) ) ) ) $.

    $( Define the Lebesgue integral for nonnegative functions.  A nonnegative
       function's integral is the supremum of the integrals of all simple
       functions that are less than the input function.  Note that this may be
       ` +oo ` for functions that take the value ` +oo ` on a set of positive
       measure or functions that are bounded below by a positive number on a
       set of infinite measure.  (Contributed by Mario Carneiro,
       28-Jun-2014.) $)
    df-itg2 $a |- S.2 = ( f e. ( ( 0 [,] +oo ) ^m RR ) |-> sup ( { x |
        E. g e. dom S.1 ( g oR <_ f /\ x = ( S.1 ` g ) ) } , RR* , < ) ) $.

    $( Define the class of integrable functions on the reals.  A function is
       integrable if it is measurable and the integrals of the pieces of the
       function are all finite.  (Contributed by Mario Carneiro,
       28-Jun-2014.) $)
    df-ibl $a |- L^1 = { f e. MblFn | A. k e. ( 0 ... 3 )
         ( S.2 ` ( x e. RR |-> [_ ( Re ` ( ( f ` x ) / ( _i ^ k ) ) ) / y ]_
                 if ( ( x e. dom f /\ 0 <_ y ) , y , 0 ) ) ) e. RR } $.

    $( Define the full Lebesgue integral, for complex-valued functions to
       ` RR ` .  The syntax is designed to be suggestive of the standard
       notation for integrals.  For example, our notation for the integral of
       ` x ^ 2 ` from ` 0 ` to ` 1 ` is
       ` S. ( 0 [,] 1 ) ( x ^ 2 ) _d x = ( 1 / 3 ) ` .  The only real function
       of this definition is to break the integral up into nonnegative real
       parts and send it off to ~ df-itg2 for further processing.  Note that
       this definition cannot handle integrals which evaluate to infinity,
       because addition and multiplication are not currently defined on
       extended reals.  (You can use ~ df-itg2 directly for this use-case.)
       (Contributed by Mario Carneiro, 28-Jun-2014.) $)
    df-itg $a |- S. A B _d x = sum_ k e. ( 0 ... 3 ) ( ( _i ^ k ) x.
                ( S.2 ` ( x e. RR |-> [_ ( Re ` ( B / ( _i ^ k ) ) ) / y ]_
                  if ( ( x e. A /\ 0 <_ y ) , y , 0 ) ) ) ) $.
  $}

  ${
    $d f x y F $.  $d x y A $.  $d x y B $.  $d x C $.
    $( The predicate " ` F ` is a measurable function".  This is more naturally
       stated for functions on the reals, see ~ ismbf and ~ ismbfcn for the
       decomposition of the real and imaginary parts.  (Contributed by Mario
       Carneiro, 17-Jun-2014.) $)
    ismbf1 $p |- ( F e. MblFn <-> ( F e. ( CC ^pm RR ) /\ A. x e. ran (,)
                   ( ( `' ( Re o. F ) " x ) e. dom vol /\
                     ( `' ( Im o. F ) " x ) e. dom vol ) ) ) $=
      ( vf cre cv ccom ccnv cima cvol cdm wcel cim cioo crn wral cnveqd imaeq1d
      wa coeq2 eleq1d cc cr cpm co cmbf wceq anbi12d ralbidv df-mbf elrab2 ) DC
      EZFZGZAEZHZIJZKZLUKFZGZUNHZUPKZRZAMNZODBFZGZUNHZUPKZLBFZGZUNHZUPKZRZAVCOC
      BUAUBUCUDUEUKBUFZVBVLAVCVMUQVGVAVKVMUOVFUPVMUMVEUNVMULVDUKBDSPQTVMUTVJUPV
      MUSVIUNVMURVHUKBLSPQTUGUHACUIUJ $.

    $( A measurable function is a function into the complex numbers.
       (Contributed by Mario Carneiro, 17-Jun-2014.) $)
    mbff $p |- ( F e. MblFn -> F : dom F --> CC ) $=
      ( vx cmbf wcel cc cr cpm co cdm wf cre ccom ccnv cv cima cvol cim wa cioo
      simplbi crn wral ismbf1 wss cnex reex elpm2 syl ) ACDZAEFGHDZAIZEAJZUIUJK
      ALMBNZOPIZDQALMUMOUNDRBSUAUBBAUCTUJULUKFUDEFAUEUFUGTUH $.

    $( The domain of a measurable function is measurable.  (Contributed by
       Mario Carneiro, 17-Jun-2014.) $)
    mbfdm $p |- ( F e. MblFn -> dom F e. dom vol ) $=
      ( vx cmbf wcel cre ccom ccnv cr cima cdm cvol wf wceq cioo wral cmnf cpnf
      cc co cxr ref fco sylancr fimacnv syl cv crn imaeq2 eleq1d cpm cim ismbf1
      mbff simpl ralimi simplbiim ioomax cxp wfn cpw ioof ffn ax-mp mnfxr pnfxr
      wa fnovrn mp3an eqeltrri a1i rspcdva eqeltrrd ) ACDZEAFZGZHIZAJZKJZVMVQHV
      NLZVPVQMVMRHELVQRALVSUAAUMVQRHEAUBUCVQHVNUDUEVMVOBUFZIZVRDZVPVRDBNUGZHVTH
      MWAVPVRVTHVOUHUIVMARHUJSDWBUKAFGVTIVRDZVFZBWCOWBBWCOBAULWEWBBWCWBWDUNUOUP
      HWCDVMPQNSZHWCUQNTTURZUSZPTDQTDWFWCDWGHUTZNLWHVAWGWINVBVCVDVETTPQNVGVHVIV
      JVKVL $.

    $( Lemma for ~ mbfconst and related theorems.  (Contributed by Mario
       Carneiro, 17-Jun-2014.) $)
    mbfconstlem $p |- ( ( A e. dom vol /\ C e. RR ) ->
                        ( `' ( A X. { C } ) " B ) e. dom vol ) $=
      ( cvol cdm wcel cr wa csn cxp ccnv cima wss cnvimass a1i wf ad2antlr wceq
      c0 cin crn cnvimarndm fconst6g adantl imass2 3syl eqsstrrid eqssd fconstg
      fdmd eqtrd simpll eqeltrd wn incom simpr disjsn sylibr syl5eq fimacnvdisj
      frn syl2anc 0mbl eqeltrdi pm2.61dan ) ADEZFZCGFZHZCBFZACIZJZKZBLZVFFVIVJH
      ZVNAVFVOVNVLEZAVOVNVPVNVPMVOVLBNOVOVPVMVLUAZLZVNVLUBVOABVLPZVQBMVRVNMVJVS
      VIACBUCUDABVLVAVQBVMUEUFUGUHVOAVKVLVHAVKVLPZVGVJACGUIZQUJUKVGVHVJULUMVIVJ
      UNZHZVNSVFWCVTVKBTZSRVNSRVHVTVGWBWAQWCWDBVKTZSVKBUOWCWBWESRVIWBUPBCUQURUS
      AVKBVLUTVBVCVDVE $.

    $( The predicate " ` F ` is a measurable function".  A function is
       measurable iff the preimages of all open intervals are measurable sets
       in the sense of ~ ismbl .  (Contributed by Mario Carneiro,
       17-Jun-2014.) $)
    ismbf $p |- ( F : A --> RR -> ( F e. MblFn <->
                  A. x e. ran (,) ( `' F " x ) e. dom vol ) ) $=
      ( vy cr wf cdm wcel ccnv cima eleq1d wa cre cim cfv cmpt feqmptd cc0 cvv
      cc cvol cmbf cv cioo crn wral mbfdm fdm syl5ib wi cmnf co ioomax ioorebas
      cpnf eqeltrri wceq imaeq2 rspcv ax-mp fimacnv wb cpm ccom ffvelrn adantlr
      ismbf1 rered mpteq2dva recnd simpl ref a1i fmptco 3eqtr4rd cnveqd imaeq1d
      fveq2 csn cxp imf eqtrd fconstmpt eqtr4di 0re mbfconstlem sylancl eqeltrd
      reim0d simpr biantrud bitrd ralbidv wss ax-resscn mpan2 mblss cnex elpm2r
      fss reex mpanl12 syl2an biantrurd bitr4id ex pm5.21ndd ) BECFZBUAGZHZCUBH
      ZCIZAUCZJZXIHZAUDUEZUFZXKCGZXIHXHXJCUGXHXRBXIBECUHKUIXQXLEJZXIHZXHXJEXPHX
      QXTUJUKUOUDULEXPUMUKUOUNUPXOXTAEXPXMEUQXNXSXIXMEXLURKUSUTXHXSBXIBECVAKUIX
      HXJXKXQVBXHXJLZXKCTEVCULHZMCVDZIZXMJZXIHZNCVDZIZXMJZXIHZLZAXPUFZLZXQACVGY
      AXQYLYMYAXOYKAXPYAXOYFYKYAXNYEXIYAXLYDXMYACYCYAABXMCOZMOZPABYNPYCCYAABYOY
      NYAXMBHZLZYNXHYPYNEHXJBEXMCVEVFZVHVIYAADBTYNDUCZMOYOCMYQYNYRVJZYAABECXHXJ
      VKQZYADTEMTEMFYAVLVMQYSYNMVRVNUUAVOVPVQKYAYJYFYAYIBRVSVTZIZXMJZXIYAYHUUCX
      MYAYGUUBYAYGABRPZUUBYAYGABYNNOZPUUEYAADBTYNYSNOUUFCNYTUUAYADTENTENFYAWAVM
      QYSYNNVRVNYAABUUFRYQYNYRWIVIWBABRWCWDVPVQYAXJREHUUDXIHXHXJWJWEBXMRWFWGWHW
      KWLWMYAYBYLXHBTCFZBEWNZYBXJXHETWNUUGWOBETCWTWPBWQTSHESHUUGUUHLYBWRXATEBCS
      SWSXBXCXDWLXEXFXG $.

    $( A complex function is measurable iff the real and imaginary components
       of the function are measurable.  (Contributed by Mario Carneiro,
       17-Jun-2014.) $)
    ismbfcn $p |- ( F : A --> CC -> ( F e. MblFn <->
                    ( ( Re o. F ) e. MblFn /\ ( Im o. F ) e. MblFn ) ) ) $=
      ( vx cc wf cdm wcel cmbf cre ccom cim wa mbfdm eleq1d syl5ib adantr cr wb
      wral cvv cvol fdm ref fco mpan fdmd cpm co ccnv cv cima cioo ismbf1 ismbf
      crn syl imf anbi12d r19.26 bitr4di wss cnex reex elpm2r mpanl12 biantrurd
      mblss sylan2 bitrd bitr4id ex pm5.21ndd ) ADBEZAUAFZGZBHGZIBJZHGZKBJZHGZL
      ZVPBFZVNGVMVOBMVMWBAVNADBUBNOWAVQFZVNGZVMVOVRWDVTVQMPVMWCAVNVMAQVQDQIEVMA
      QVQEZUCADQIBUDUEZUFNOVMVOVPWARVMVOLZVPBDQUGUHGZVQUICUJZUKVNGZVSUIWIUKVNGZ
      LCULUOZSZLZWACBUMWGWAWMWNWGWAWJCWLSZWKCWLSZLWMWGVRWOVTWPWGWEVRWORVMWEVOWF
      PCAVQUNUPWGAQVSEZVTWPRVMWQVODQKEVMWQUQADQKBUDUEPCAVSUNUPURWJWKCWLUSUTWGWH
      WMVOVMAQVAZWHAVGDTGQTGVMWRLWHVBVCDQABTTVDVEVHVFVIVJVKVL $.

    $( Definitional property of a measurable function: the preimage of an open
       right-unbounded interval is measurable.  (Contributed by Mario Carneiro,
       17-Jun-2014.) $)
    mbfima $p |- ( ( F e. MblFn /\ F : A --> RR ) ->
                   ( `' F " ( B (,) C ) ) e. dom vol ) $=
      ( vx cmbf wcel cr wf wa cxr ccnv cioo co cima cvol cdm cv crn c0 wral cxp
      ismbf biimpac wfn cpw ioof ax-mp fnovrn mp3an1 wceq imaeq2 eleq1d rspccva
      ffn syl2an wn ndmioo imaeq2d ima0 eqtrdi 0mbl eqeltrdi adantl pm2.61dan )
      DFGZAHDIZJZBKGZCKGZJZDLZBCMNZOZPQZGZVHVLERZOZVOGZEMSZUAZVMVTGZVPVKVGVFWAE
      ADUCUDMKKUBZUEZVIVJWBWCHUFZMIWDUGWCWEMUOUHKKBCMUIUJVSVPEVMVTVQVMUKVRVNVOV
      QVMVLULUMUNUPVKUQZVPVHWFVNTVOWFVNVLTOTWFVMTVLBCURUSVLUTVAVBVCVDVE $.

    $( The preimage of any closed interval under a measurable function is
       measurable.  (Contributed by Mario Carneiro, 18-Jun-2014.) $)
    mbfimaicc $p |- ( ( ( F e. MblFn /\ F : A --> RR ) /\
                        ( B e. RR /\ C e. RR ) ) ->
                      ( `' F " ( B [,] C ) ) e. dom vol ) $=
      ( wcel cr wa ccnv cima cmnf cioo cpnf cun cdif cdm wceq adantl wfun syl
      co cmbf cicc cvol wss iccssre dfss4 sylib difreicc difeq2d eqtr3d imaeq2d
      wf funcnvcnv ad2antlr imadif eqtrd fimacnv mbfdm fdm eleq1d biimpac sylan
      ffun eqeltrd imaundi mbfima unmbl syl2anc eqeltrid difmbl adantr ) DUAEZA
      FDULZGZBFECFEGZGZDHZBCUBTZIZVQFIZVQJBKTZCLKTZMZIZNZUCOZVPVSVQFWCNZIZWEVPV
      RWGVQVPFFVRNZNZVRWGVPVRFUDZWJVRPVOWKVNBCUEQVRFUFUGVPWIWCFVOWIWCPVNBCUHQUI
      UJUKVPVQHRZWHWEPVMWLVLVOVMDRWLAFDVCDUMSUNFWCVQUOSUPVNWEWFEZVOVNVTWFEWDWFE
      WMVNVTAWFVMVTAPVLAFDUQQVLDOZWFEZVMAWFEZDURVMWOWPVMWNAWFAFDUSUTVAVBVDVNWDV
      QWAIZVQWBIZMZWFVQWAWBVEVNWQWFEWRWFEWSWFEAJBDVFACLDVFWQWRVGVHVIVTWDVJVHVKV
      D $.

    $( The preimage of a point under a measurable function is measurable.
       (Contributed by Mario Carneiro, 18-Jun-2014.) $)
    mbfimasn $p |- ( ( F e. MblFn /\ F : A --> RR /\ B e. RR ) ->
                     ( `' F " { B } ) e. dom vol ) $=
      ( cmbf wcel cr wf w3a ccnv cicc co cima csn cvol cdm cxr wceq simp3 iccid
      rexr 3syl imaeq2d wa mbfimaicc anabsan2 3impa eqeltrrd ) CDEZAFCGZBFEZHZC
      IZBBJKZLZULBMZLNOZUKUMUOULUKUJBPEUMUOQUHUIUJRBTBSUAUBUHUIUJUNUPEZUHUIUCUJ
      UQABBCUDUEUFUG $.

    $( A constant function is measurable.  (Contributed by Mario Carneiro,
       17-Jun-2014.) $)
    mbfconst $p |- ( ( A e. dom vol /\ B e. CC ) ->
                     ( A X. { B } ) e. MblFn ) $=
      ( vy vx wcel cc wa csn cxp cr cre ccnv cima cim wf fconstmpt cvv cfv cmpt
      a1i cvol cdm cpm co ccom cioo crn wral cmbf wss simplr fmptd mblss adantr
      cv cnex reex elpm2r mpanl12 syl2anc wceq ref feqmptd fveq2 fmptco eqtr4di
      cnveqd imaeq1d recl mbfconstlem sylan2 eqeltrd imf jca ralrimivw sylanbrc
      imcl ismbf1 ) AUAUBZEZBFEZGZABHIZFJUCUDEZKWCUEZLZCUOZMZVSEZNWCUEZLZWGMZVS
      EZGZCUFUGZUHWCUIEWBAFWCOZAJUJZWDWBDABFWCVTWADUOAEUKZDABPZULVTWQWAAUMUNFQE
      JQEWPWQGWDUPUQFJAWCQQURUSUTWBWNCWOWBWIWMWBWHABKRZHIZLZWGMZVSWBWFXBWGWBWEX
      AWBWEDAWTSXAWBDCAFBWGKRWTWCKWRWCDABSVAWBWSTZWBCFJKFJKOWBVBTVCWGBKVDVEDAWT
      PVFVGVHWAVTWTJEXCVSEBVIAWGWTVJVKVLWBWLABNRZHIZLZWGMZVSWBWKXGWGWBWJXFWBWJD
      AXESXFWBDCAFBWGNRXEWCNWRXDWBCFJNFJNOWBVMTVCWGBNVDVEDAXEPVFVGVHWAVTXEJEXHV
      SEBVQAWGXEVJVKVLVNVOCWCVRVP $.
  $}

  $( The empty function is measurable.  (Contributed by Brendan Leahy,
     28-Mar-2018.) $)
  mbf0 $p |- (/) e. MblFn $=
    ( c0 c1 csn cxp cmbf 0xp cvol cdm wcel 0mbl ax-1cn mbfconst mp2an eqeltrri
    cc ) ABCZDZAEPFAGHIBOIQEIJKABLMN $.

  ${
    $d A x $.  $d x y z $.
    $( The identity function is measurable.  (Contributed by Mario Carneiro,
       17-Jun-2014.) $)
    mbfid $p |- ( A e. dom vol -> ( _I |` A ) e. MblFn ) $=
      ( vx vy vz cvol wcel cid ccnv cv cima cioo wa cin eqtri cxr wrex cr wf wb
      id cdm cres cmbf crn wral cnvresima cnvi imaeq1i imai ineq1i wceq cxp cpw
      co wfn ioof ffn ovelrn mp2b ioombl eqeltrdi rexlimivv sylbi inmbl syl2anr
      wi a1i eqeltrid ralrimiva wss wf1o f1oi ax-mp mblss fss sylancr ismbf syl
      f1of mpbird ) AEUAZFZGAUBZUCFZWCHBIZJZWAFZBKUDZUEZWBWGBWHWBWEWHFZLWFWEAMZ
      WAWFGHZWEJZAMWKAWEGUFWMWEAWMGWEJWEWLGWEUGUHWEUINUJNWJWEWAFZWBWKWAFWBWJWEC
      IZDIZKUNZUKZDOPCOPZWNOOULZQUMZKRKWTUOWJWSSUPWTXAKUQCDOOWEKURUSWRWNCDOOWRW
      NVFWOOFWPOFLWRWEWQWAWRTWOWPUTVAVGVBVCWBTWEAVDVEVHVIWBAQWCRZWDWISWBAAWCRZA
      QVJXBAAWCVKXCAVLAAWCVSVMAVNAAQWCVOVPBAWCVQVRVT $.
  $}

  ${
    $d x A $.  $d x ph $.
    mbfmptcl.1 $e |- ( ph -> ( x e. A |-> B ) e. MblFn ) $.
    mbfmptcl.2 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    $( Lemma for the ` MblFn ` predicate applied to a mapping operation.
       (Contributed by Mario Carneiro, 11-Aug-2014.) $)
    mbfmptcl $p |- ( ( ph /\ x e. A ) -> B e. CC ) $=
      ( cc cmpt cdm wf cmbf wcel mbff syl wral wceq ralrimiva dmmptg feq2d
      mpbid fvmptelrn ) ABCDHABCDIZJZHUCKZCHUCKAUCLMUEFUCNOAUDCHUCADEMZBCPUDCQA
      UFBCGRBCDESOTUAUB $.

    $( The domain of a measurable function is measurable.  (Contributed by
       Mario Carneiro, 31-Aug-2014.) $)
    mbfdm2 $p |- ( ph -> A e. dom vol ) $=
      ( cmpt cdm cvol wcel wral wceq ralrimiva dmmptg syl cmbf mbfdm eqeltrrd )
      ABCDHZIZCJIZADEKZBCLUACMAUCBCGNBCDEOPATQKUAUBKFTRPS $.
  $}

  ${
    $d x A $.  $d x ph $.
    ismbfcn2.1 $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    $( A complex function is measurable iff the real and imaginary components
       of the function are measurable.  (Contributed by Mario Carneiro,
       13-Aug-2014.) $)
    ismbfcn2 $p |- ( ph -> ( ( x e. A |-> B ) e. MblFn <->
      ( ( x e. A |-> ( Re ` B ) ) e. MblFn /\
        ( x e. A |-> ( Im ` B ) ) e. MblFn ) ) ) $=
      ( cmpt cmbf wcel cre ccom cim wa cfv cc wf wb cr a1i cofmpt eleq1d fmpttd
      ismbfcn syl ref imf anbi12d bitrd ) ABCDFZGHZIUHJZGHZKUHJZGHZLZBCDIMFZGHZ
      BCDKMFZGHZLACNUHOUIUNPABCDNEUACUHUBUCAUKUPUMURAUJUOGABCDNQINQIOAUDRESTAUL
      UQGABCDNQKNQKOAUERESTUFUG $.
  $}

  ${
    $d x y z F $.  $d x y z ph $.  $d z A $.
    ismbfd.1 $e |- ( ph -> F : A --> RR ) $.
    ismbfd.2 $e |- ( ( ph /\ x e. RR* ) ->
                     ( `' F " ( x (,) +oo ) ) e. dom vol ) $.
    ismbfd.3 $e |- ( ( ph /\ x e. RR* ) ->
                     ( `' F " ( -oo (,) x ) ) e. dom vol ) $.
    $( Deduction to prove measurability of a real function.  The third
       hypothesis is not necessary, but the proof of this requires countable
       choice, so we derive this separately as ~ ismbf3d .  (Contributed by
       Mario Carneiro, 18-Jun-2014.) $)
    ismbfd $p |- ( ph -> F e. MblFn ) $=
      ( vz vy wcel cv cima cioo co wceq cxr cpnf cmnf cle wbr cmbf ccnv cdm crn
      cvol wral wrex cxp cr cpw wf wfn wb ioof ffn ovelrn mp2b wa cin cif pnfxr
      simprl mnfxr simprr iooin syl22anc ifcl sylancr mnfle xrleid breq1 ifboth
      a1i syl2anc ad2antrl xrmax1 sylancl xrletrid pnfge breq2 ad2antll oveq12d
      xrmin2 eqtrd imaeq2d adantr ffund inpreima eqtr3d adantrr ralrimiva oveq2
      wfun syl eleq1d rspccva sylan adantrl inmbl eqeltrd syl5ibrcom rexlimdvva
      imaeq2 syl5bi ralrimiv ismbf mpbird ) ADUAJZDUBZHKZLZUEUCZJZHMUDZUFZAXMHX
      NXJXNJZXJBKZIKZMNZOZIPUGBPUGZAXMPPUHZUIUJZMUKMYBULXPYAUMUNYBYCMUOBIPPXJMU
      PUQAXTXMBIPPAXQPJZXRPJZURZURZXMXTXIXSLZXLJYGYHXIXQQMNZLZXIRXRMNZLZUSZXLYG
      XIYIYKUSZLZYHYMYGYNXSXIYGYNXQRSTZRXQUTZQXRSTZQXRUTZMNZXSYGYDQPJZRPJZYEYNY
      TOAYDYEVBZUUAYGVAVMUUBYGVCVMAYDYEVDZXQQRXRVEVFYGYQXQYSXRMYGYQXQYGUUBYDYQP
      JVCUUCYPRXQPVGVHUUCYDYQXQSTZAYEYDRXQSTZXQXQSTZUUEXQVIXQVJYPUUFUUGUUERXQRY
      QXQSVKXQYQXQSVKVLVNVOYGYDUUBXQYQSTUUCVCXQRVPVQVRYGYSXRYGUUAYEYSPJVAUUDYRQ
      XRPVGVHUUDYGUUAYEYSXRSTVAUUDQXRWCVHYEXRYSSTZAYDYEXRQSTZXRXRSTZUUHXRVSXRVJ
      YRUUIUUJUUHQXRQYSXRSVTXRYSXRSVTVLVNWAVRWBWDWEYGDWMYOYMOYGCUIDACUIDUKZYFEW
      FWGYIYKDWHWNWIYGYJXLJZYLXLJZYMXLJAYDUULYEFWJAYEUUMYDAXIRXQMNZLZXLJZBPUFYE
      UUMAUUPBPGWKUUPUUMBXRPXQXROZUUOYLXLUUQUUNYKXIXQXRRMWLWEWOWPWQWRYJYLWSVNWT
      XTXKYHXLXJXSXIXCWOXAXBXDXEAUUKXHXOUMEHCDXFWNXG $.
  $}

  ${
    $d x F $.  $d x ph $.
    ismbf2d.1 $e |- ( ph -> F : A --> RR ) $.
    ismbf2d.2 $e |- ( ph -> A e. dom vol ) $.
    ismbf2d.3 $e |- ( ( ph /\ x e. RR ) ->
                      ( `' F " ( x (,) +oo ) ) e. dom vol ) $.
    ismbf2d.4 $e |- ( ( ph /\ x e. RR ) ->
                     ( `' F " ( -oo (,) x ) ) e. dom vol ) $.
    $( Deduction to prove measurability of a real function.  (Contributed by
       Mario Carneiro, 18-Jun-2014.) $)
    ismbf2d $p |- ( ph -> F e. MblFn ) $=
      ( wcel cr cpnf wceq cmnf cioo co cima c0 oveq1 eqtrdi imaeq2d cv cxr ccnv
      w3o cvol cdm elxr iooid ima0 0mbl eqeltri eqeltrdi adantl fimacnv eqeltrd
      wf syl ioomax eleq1d syl5ibrcom imp 3jaodan sylan2b oveq2 ismbfd ) ABCDEB
      UAZUBIZAVFJIZVFKLZVFMLZUDZDUCZVFKNOZPZUEUFZIZVFUGZAVHVPVIVJGVIVPAVIVNVLQP
      ZVOVIVMQVLVIVMKKNOQVFKKNRKUHSTVRQVOVLUIUJUKZULUMAVJVPAVPVJVLJPZVOIZAVTCVO
      ACJDUPVTCLECJDUNUQFUOZVJVNVTVOVJVMJVLVJVMMKNOZJVFMKNRURSTUSUTVAVBVCVGAVKV
      LMVFNOZPZVOIZVQAVHWFVIVJHAVIWFAWFVIWAWBVIWEVTVOVIWDJVLVIWDWCJVFKMNVDURSTU
      SUTVAVJWFAVJWEVRVOVJWDQVLVJWDMMNOQVFMMNVDMUHSTVSULUMVBVCVE $.
  $}

  ${
    $d x z A $.  $d x y z B $.  $d y z C $.  $d y z D $.  $d x y z ph $.
    mbfeqa.1 $e |- ( ph -> A C_ RR ) $.
    mbfeqa.2 $e |- ( ph -> ( vol* ` A ) = 0 ) $.
    mbfeqa.3 $e |- ( ( ph /\ x e. ( B \ A ) ) -> C = D ) $.
    ${
      mbfeqalem.4 $e |- ( ( ph /\ x e. B ) -> C e. RR ) $.
      mbfeqalem.5 $e |- ( ( ph /\ x e. B ) -> D e. RR ) $.
      $( Lemma for ~ mbfeqalem2 .  (Contributed by Mario Carneiro, 2-Sep-2014.)
         (Revised by AV, 19-Aug-2022.) $)
      mbfeqalem1 $p |- ( ph -> ( ( `' ( x e. B |-> C ) " y )
                                 \ ( `' ( x e. B |-> D ) " y ) )
                                 e. dom vol ) $=
        ( vz cv cr cfv wceq wcel wb wa cmpt ccnv cima cdif wss cc0 cvol csymdif
        covol cdm wn cab dfsymdif4 eldif wral eldifi sylan2 eqid fvmpt2 syl2an2
        3eqtr4d ralrimiva nfv nffvmpt1 nfeq fveq2 eqeq12d sylib r19.21bi eleq1d
        cbvralw sylan2br anass1rs pm5.32da wfn fmpttd ffnd elpreima syl 3bitr4d
        adantr ex con1d abssdv eqsstrid difsymssdifssd ovolssnul syl3anc nulmbl
        sstrd syl2anc ) ABEFUAZUBCNZUCZBEGUAZUBWMUCZUDZOUEWQUIPUFQZWQUGUJRAWQDO
        AWNWPDAWNWPUHMNZWNRZWSWPRZSZUKZMULDMWNWPUMAXCMDAWSDRZXBAXDUKZXBAXETZWSE
        RZWSWLPZWMRZTZXGWSWOPZWMRZTZWTXAXFXGXIXLAXGXEXIXLSZXGXETAWSEDUDZRZXNWSE
        DUNAXPTXHXKWMAXHXKQZMXOABNZWLPZXRWOPZQZBXOUOXQMXOUOAYABXOAXRXORZTFGXSXT
        JYBXRERZAFORZXSFQXREDUPZYBAYCYDYEKUQBEFOWLWLURUSUTYBYCAGORZXTGQYEYBAYCY
        FYELUQBEGOWOWOURUSUTVAVBYAXQBMXOYAMVCBXHXKBEFWSVDBEGWSVDVEXRWSQXSXHXTXK
        XRWSWLVFXRWSWOVFVGVKVHVIVJVLVMVNXFWLEVOZWTXJSAYGXEAEOWLABEFOKVPVQWAEWSW
        MWLVRVSXFWOEVOZXAXMSAYHXEAEOWOABEGOLVPVQWAEWSWMWOVRVSVTWBWCWDWEWFZHWJAW
        QDUEDOUEDUIPUFQWRYIHIWQDWGWHWQWIWK $.

      $( Lemma for ~ mbfeqa .  (Contributed by Mario Carneiro, 2-Sep-2014.)
         (Proof shortened by AV, 19-Aug-2022.) $)
      mbfeqalem2 $p |- ( ph ->
        ( ( x e. B |-> C ) e. MblFn <-> ( x e. B |-> D ) e. MblFn ) ) $=
        ( vy cmpt ccnv cv cima wcel wa cdif cr cvol cdm cioo crn wral cin incom
        cmbf cun inundif dfin4 eqtri id mbfeqalem1 difmbl syl2anr eqcomd adantr
        eqeltrid unmbl syl2anc eqeltrrid impbida ralbidv wf wb fmpttd ismbf syl
        3bitr4d ) ABDEMZNLOZPZUAUBZQZLUCUDZUEZBDFMZNVLPZVNQZLVPUEZVKUHQZVRUHQZA
        VOVTLVPAVOVTAVORZVSVSVMUFZVSVMSZUIZVNVSVMUJWDWEVNQWFVNQZWGVNQWDWEVMVMVS
        SZSZVNWEVMVSUFZWJVSVMUGVMVSUKULVOVOWIVNQZWJVNQAVOUMABLCDEFGHIJKUNZVMWIU
        OUPUSAWHVOABLCDFEGHABODCSQREFIUQKJUNZURWEWFUTVAVBAVTRZVMWKWIUIZVNVMVSUJ
        WOWKVNQWLWPVNQWOWKVSWFSZVNWKWEWQVMVSUGVSVMUKULVTVTWHWQVNQAVTUMWNVSWFUOU
        PUSAWLVTWMURWKWIUTVAVBVCVDADTVKVEWBVQVFABDETJVGLDVKVHVIADTVRVEWCWAVFABD
        FTKVGLDVRVHVIVJ $.
    $}

    mbfeqa.4 $e |- ( ( ph /\ x e. B ) -> C e. CC ) $.
    mbfeqa.5 $e |- ( ( ph /\ x e. B ) -> D e. CC ) $.
    $( If two functions are equal almost everywhere, then one is measurable iff
       the other is.  (Contributed by Mario Carneiro, 17-Jun-2014.)  (Revised
       by Mario Carneiro, 2-Sep-2014.) $)
    mbfeqa $p |- ( ph ->
      ( ( x e. B |-> C ) e. MblFn <-> ( x e. B |-> D ) e. MblFn ) ) $=
      ( cre cfv cmpt cmbf wcel cim wa fveq2d recld cv mbfeqalem2 imcld ismbfcn2
      cdif anbi12d 3bitr4d ) ABDELMZNOPZBDEQMZNOPZRBDFLMZNOPZBDFQMZNOPZRBDENOPB
      DFNOPAUIUMUKUOABCDUHULGHABUAZDCUEPRZEFLISAUPDPRZEJTURFKTUBABCDUJUNGHUQEFQ
      ISUREJUCURFKUCUBUFABDEJUDABDFKUDUG $.
  $}

  ${
    $d x F $.  $d x A $.
    $( The restriction of a measurable function is measurable.  (Contributed by
       Mario Carneiro, 18-Jun-2014.) $)
    mbfres $p |- ( ( F e. MblFn /\ A e. dom vol ) ->
                   ( F |` A ) e. MblFn ) $=
      ( vx cmbf wcel wa cre ccom cim cc cr ccnv cima adantr syl2anc sylancr cin
      wf inmbl eqeltrid cvol cdm cres ref wss cpm co simpr cioo crn wral ismbf1
      cv simplbi pmresg cvv wb cnex elpm2g mpbid simpld fco dmres mbfdm syl2anr
      id cpnf resco cnveqi imaeq1i cnvresima eqtr3i mbff ismbfcn syl ibi mbfima
      sylan cmnf ismbf2d imf simprd mpbir2and ) BDEZAUAUBZEZFZBAUCZDEZGWHHZDEZI
      WHHZDEZWGCWHUBZWJWGJKGRZWNJWHRZWNKWJRUDWGWPWNAUEZWGWHJAUFUGEZWPWQFZWGWFBJ
      KUFUGEZWRWDWFUHZWDWTWFWDWTGBHZLZCUMZMWEEIBHZLZXDMWEEFCUIUJUKCBULUNNJAKBWE
      UOOWGJUPEWFWRWSUQURXAJAWHUPWEUSPUTVAZWNJKGWHVBPWGWNABUBZQZWEBAVCWFWFXHWEE
      XIWEEWDWFVFBVDAXHSVETZWGWJLZXDVGUIUGZMZWEEXDKEZWGXMXCXLMZAQZWEXBAUCZLZXLM
      XMXPXRXKXLXQWJGBAVHVIZVJAXLXBVKVLWDXOWEEZWFXPWEEWDXBDEZXHKXBRZXTWDYAXEDEZ
      WDYAYCFZWDXHJBRZWDYDUQBVMZXHBVNVOVPZVAZWDWOYEYBUDYFXHJKGBVBPZXHXDVGXBVQOX
      OASVRTNWGXKVSXDUIUGZMZWEEXNWGYKXCYJMZAQZWEXRYJMYKYMXRXKYJXSVJAYJXBVKVLWDY
      LWEEZWFYMWEEWDYAYBYNYHYIXHVSXDXBVQOYLASVRTNVTWGCWNWLWGJKIRZWPWNKWLRWAXGWN
      JKIWHVBPXJWGWLLZXLMZWEEXNWGYQXFXLMZAQZWEXEAUCZLZXLMYQYSUUAYPXLYTWLIBAVHVI
      ZVJAXLXEVKVLWDYRWEEZWFYSWEEWDYCXHKXERZUUCWDYAYCYGWBZWDYOYEUUDWAYFXHJKIBVB
      PZXHXDVGXEVQOYRASVRTNWGYPYJMZWEEXNWGUUGXFYJMZAQZWEUUAYJMUUGUUIUUAYPYJUUBV
      JAYJXEVKVLWDUUHWEEZWFUUIWEEWDYCUUDUUJUUEUUFXHVSXDXEVQOUUHASVRTNVTWGWPWIWK
      WMFUQXGWNWHVNVOWC $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x F $.  $d x ph $.
    mbfres2.1 $e |- ( ph -> F : A --> RR ) $.
    mbfres2.2 $e |- ( ph -> ( F |` B ) e. MblFn ) $.
    mbfres2.3 $e |- ( ph -> ( F |` C ) e. MblFn ) $.
    mbfres2.4 $e |- ( ph -> ( B u. C ) = A ) $.
    $( Measurability of a piecewise function: if ` F ` is measurable on subsets
       ` B ` and ` C ` of its domain, and these pieces make up all of ` A ` ,
       then ` F ` is measurable on the whole domain.  (Contributed by Mario
       Carneiro, 18-Jun-2014.) $)
    mbfres2 $p |- ( ph -> F e. MblFn ) $=
      ( vx cmbf wcel ccnv cima wral cres cun cr wf eqtrdi cv cvol cdm cioo wceq
      crn wa reseq2d wfn ffn fnresdm eqtr2d adantr resundi cnveqd cnvun imaeq1d
      3syl imaundir ssun1 sseqtrid fssresd ismbf syl mpbid r19.21bi ssun2 unmbl
      wb syl2anc eqeltrd ralrimiva mpbird ) AEKLZEMZJUAZNZUBUCZLZJUDUFZOZAVSJVT
      AVPVTLZUGZVQECPZMZVPNZEDPZMZVPNZQZVRWCVQWEWHQZVPNWJWCVOWKVPWCVOWDWGQZMWKW
      CEWLWCEECDQZPZWLAEWNUEWBAWNEBPZEAWMBEIUHABRESZEBUIWOEUEFBREUJBEUKURULUMEC
      DUNTUOWDWGUPTUQWEWHVPUSTWCWFVRLZWIVRLZWJVRLAWQJVTAWDKLZWQJVTOZGACRWDSWSWT
      VIABRCEFAWMCBCDUTIVAVBJCWDVCVDVEVFAWRJVTAWGKLZWRJVTOZHADRWGSXAXBVIABRDEFA
      WMDBDCVGIVAVBJDWGVCVDVEVFWFWIVHVJVKVLAWPVNWAVIFJBEVCVDVM $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    mbfss.1 $e |- ( ph -> A C_ B ) $.
    mbfss.2 $e |- ( ph -> B e. dom vol ) $.
    mbfss.3 $e |- ( ( ph /\ x e. A ) -> C e. V ) $.
    mbfss.4 $e |- ( ( ph /\ x e. ( B \ A ) ) -> C = 0 ) $.
    mbfss.5 $e |- ( ph -> ( x e. A |-> C ) e. MblFn ) $.
    $( Change the domain of a measurability predicate.  (Contributed by Mario
       Carneiro, 17-Aug-2014.) $)
    mbfss $p |- ( ph -> ( x e. B |-> C ) e. MblFn ) $=
      ( cmpt cmbf wcel cre cfv cim cc0 cres eqeltrd cdif cr cv wa wo cun undif2
      cc elun wss wceq ssequn1 sylib syl5eq eleq2d bitr3id biimpar mbfmptcl 0cn
      eqeltrdi jaodan syldan recld fmpttd resmptd ismbfcn2 simpld resmpt fveq2d
      mpbid difss re0 eqtrdi mpteq2dva csn cxp fconstmpt cvol cdm mbfdm2 difmbl
      ax-mp syl2anc mbfconst sylancl eqeltrrid mbfres2 imcld simprd mpbir2and
      im0 ) ABDELMNBDEOPZLZMNBDEQPZLZMNADCDCUAZWMABDWLUBABUCZDNZUDZEAWRWQCNZWQW
      PNZUEZEUHNZAXBWRXBWQCWPUFZNAWRWQCWPUIAXDDWQAXDCDUFZDCDUGACDUJXEDUKGCDULUM
      UNZUOUPUQAWTXCXAABCEFKIURZAXAUDZERUHJUSUTVAVBZVCVDAWMCSBCWLLZMABDCWLGVEAX
      JMNZBCWNLZMNZABCELMNXKXMUDKABCEXGVFVJZVGTAWMWPSZBWPRLZMAXOBWPWLLZXPWPDUJZ
      XOXQUKDCVKZBDWPWLVHWBABWPWLRXHWLROPRXHEROJVIVLVMVNUNAXPWPRVOVPZMBWPRVQAWP
      VRVSZNZRUHNXTMNADYANCYANYBHABCEFKIVTDCWAWCUSWPRWDWEWFZTXFWGADCWPWOABDWNUB
      WSEXIWHVDAWOCSXLMABDCWNGVEAXKXMXNWITAWOWPSZXPMAYDBWPWNLZXPXRYDYEUKXSBDWPW
      NVHWBABWPWNRXHWNRQPRXHERQJVIWKVMVNUNYCTXFWGABDEXIVFWJ $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z F $.  $d x y z ph $.
    mbfmulc2re.1 $e |- ( ph -> F e. MblFn ) $.
    mbfmulc2re.2 $e |- ( ph -> B e. RR ) $.
    ${
      mbfmulc2lem.3 $e |- ( ph -> F : A --> RR ) $.
      $( Multiplication by a constant preserves measurability.  (Contributed by
         Mario Carneiro, 18-Jun-2014.) $)
      mbfmulc2lem $p |- ( ph -> ( ( A X. { B } ) oF x. F ) e. MblFn ) $=
        ( cc0 clt wbr cmul co wcel wa cr syl wb biantrurd ad2antrr 3bitr4d cmbf
        vy vx vz csn cxp cof wceq wf cvol cv remulcl adantl fconst6g fdmd mbfdm
        cdm eqeltrrd inidm off adantr ccnv cpnf cioo cima cmnf cfv simprl rexrd
        cdiv cxr elioopnf ffvelrnda ad2ant2rl cneg simprr ffnd eqidd ofc1 mpdan
        breq2d ltnegd recnd mulneg1d breq1d renegcld simplr ltmuldiv2 syl112anc
        lt0neg1d mpbid 3bitr2rd lt0ne0d div2negd redivcld elioomnf pm5.32da wfn
        3bitr2d anassrs elpreima mbfima syl2anc eqeltrd ltdivmul bitr3d ismbf2d
        eqrdv bitr4d cc simpr 0cn eqeltrdi 0cnd oveq1d mul02lem2 eqtrd mbfconst
        caofid2 sylancl elrpd rerpdivcld mpbirand w3o 0re lttri4 mpjao3dan ) AC
        HIJZBCUEUFZDKUGLZUAMCHUHZHCIJZAYHNZUBBYJABOYJUIZYHAUCUBBBBKOOOYIDUJUQZY
        OUCUKZOMZUBUKZOMZNYPYRKLOMAYPYRULUMACOMZBOYIUIFBCOUNPGADUQZBYOABODGUOAD
        UAMZUUAYOMEDUPPURZUUCBUSUTZVAABYOMZYHUUCVAYMYSNZYJVBZYRVCVDLZVEZDVBZVFY
        RCVJLZVDLZVEZYOUUFUDUUIUUMUUFUDUKZBMZUUNYJVGZUUHMZNZUUOUUNDVGZUULMZNZUU
        NUUIMZUUNUUMMZUUFUUOUUQUUTYMYSUUOUUQUUTQYMYSUUONZNZUUQUUPOMZYRUUPIJZNZU
        VGUUTUVEYRVKMZUUQUVHQZUVEYRYMYSUUOVHZVIZYRUUPVLZPUVEUVFUVGAUUOUVFYHYSAB
        OUUNYJUUDVMZVNZRUVEUUSUUKIJZUUSOMZUVPNZUVGUUTUVEUVQUVPAUUOUVQYHYSABOUUN
        DGVMZVNZRUVEUVGYRCUUSKLZIJZUUSYRVOZCVOZVJLZIJZUVPUVEUUPUWAYRIUVEUUOUUPU
        WAUHZYMYSUUOVPUVEBCUUSKDYOOUUNAUUEYHUVDUUCSAYTYHUVDFSZUVEBODABODUIZYHUV
        DGSVQUVEUUONUUSVRVSVTZWAUVEUWBUWAVOZUWCIJUWDUUSKLZUWCIJZUWFUVEYRUWAUVKU
        VEUUPUWAOUWJUVOURZWBUVEUWLUWKUWCIUVECUUSUVECUWHWCZUVEUUSUVTWCWDZWEUVEUV
        QUWCOMZUWDOMZHUWDIJZUWMUWFQUVTUVEYRUVKWFZUVECUWHWFZUVEYHUWSAYHUVDWGZUVE
        CUWHWJWKZUUSUWCUWDWHWIWLUVEUWEUUKUUSIUVEYRCUVEYRUVKWCUWOUVECUXBWMZWNZWA
        WSUVEUUKVKMZUUTUVRQZUVEUUKUVEYRCUVKUWHUXDWOVIZUUKUUSWPZPTWSWTWQUUFYJBWR
        ZUVBUURQZAUXJYHYSABOYJUUDVQZSZBUUNUUHYJXAZPUUFDBWRZUVCUVAQZAUXOYHYSABOD
        GVQZSZBUUNUULDXAZPTXHAUUMYOMZYHYSAUUBUWIUXTEGBVFUUKDXBXCZSXDUUFUUGVFYRV
        DLZVEZUUJUUKVCVDLZVEZYOUUFUDUYCUYEUUFUUOUUPUYBMZNZUUOUUSUYDMZNZUUNUYCMZ
        UUNUYEMZUUFUUOUYFUYHYMYSUUOUYFUYHQUVEUYFUVFUUPYRIJZNZUYLUYHUVEUVIUYFUYM
        QZUVLYRUUPWPZPUVEUVFUYLUVORUVEUUKUUSIJZUVQUYPNZUYLUYHUVEUVQUYPUVTRUVEUY
        LUWAYRIJZUYPUVEUUPUWAYRIUWJWEUVEUWCUWLIJZUWCUWKIJUYPUYRUVEUWLUWKUWCIUWP
        WAUVEUWEUUSIJZUYPUYSUVEUWEUUKUUSIUXEWEUVEUWQUVQUWRUWSUYTUYSQUWTUVTUXAUX
        CUWCUUSUWDXEWIXFUVEUWAYRUWNUVKWBTXIUVEUXFUYHUYQQZUXHUUKUUSVLZPTWSWTWQUU
        FUXJUYJUYGQZUXMBUUNUYBYJXAZPUUFUXOUYKUYIQZUXRBUUNUYDDXAZPTXHAUYEYOMZYHY
        SAUUBUWIVUGEGBUUKVCDXBXCZSXDXGAYKNZYJBHUEUFZUAVUIUCBCHKODYOXJXJAUUEYKUU
        CVAZAUWIYKGVAVUICHXJAYKXKXLXMVUIXNVUIYQNZCYPKLHYPKLZHVULCHYPKAYKYQWGXOY
        QVUMHUHVUIYPXPUMXQXSVUIUUEHXJMVUJUAMVUKXLBHXRXTXDAYLNZUBBYJAYNYLUUDVAAU
        UEYLUUCVAVUNYSNZUUIUYEYOVUOUDUUIUYEVUOUURUYIUVBUYKVUOUUOUUQUYHVUNYSUUOU
        UQUYHQVUNUVDNZUUQUVHUVGUYHVUPUVIUVJVUPYRVUNYSUUOVHZVIZUVMPVUPUVFUVGAUUO
        UVFYLYSUVNVNZRVUPUYPUYQUVGUYHVUPUVQUYPAUUOUVQYLYSUVSVNZRVUPUVGUWBUYPVUP
        UUPUWAYRIAUUOUWGYLYSABCUUSKDYOOUUNUUCFUXQAUUONUUSVRVSVNZWAVUPYSUVQYTYLU
        YPUWBQVUQVUTAYTYLUVDFSZAYLUVDWGZYRUUSCXEWIXIVUPUXFVUAVUPUUKVUPYRCVUQVUP
        CVVBVVCYAYBVIZVUBPTWSWTWQVUOUXJUXKAUXJYLYSUXLSZUXNPVUOUXOVUEAUXOYLYSUXQ
        SZVUFPTXHAVUGYLYSVUHSXDVUOUYCUUMYOVUOUDUYCUUMVUOUYGUVAUYJUVCVUOUUOUYFUU
        TVUNYSUUOUYFUUTQVUPUYFUYMUYLUUTVUPUVIUYNVURUYOPVUPUVFUYLVUSRVUPUYRUVPUY
        LUUTVUPUVQYSYTYLUYRUVPQVUTVUQVVBVVCUUSYRCWHWIVUPUUPUWAYRIVVAWEVUPUUTUVQ
        UVPVUTVUPUXFUXGVVDUXIPYCTWSWTWQVUOUXJVUCVVEVUDPVUOUXOUXPVVFUXSPTXHAUXTY
        LYSUYASXDXGAYTHOMYHYKYLYDFYECHYFXTYG $.
    $}

    mbfmulc2re.3 $e |- ( ph -> F : A --> CC ) $.
    $( Multiplication by a constant preserves measurability.  (Contributed by
       Mario Carneiro, 15-Aug-2014.) $)
    mbfmulc2re $p |- ( ph -> ( ( A X. { B } ) oF x. F ) e. MblFn ) $=
      ( vx cmul co cfv cmpt cmbf cvv cr cc eqeltrrd wcel offval2 eqeltrd csn cv
      cxp cof cdm fdmd dmexd adantr ffvelrnda wceq fconstmpt a1i feqmptd cre wa
      cim mpteq2dva recld eqidd eqtr4d ismbfcn2 mpbid simpld fmpttd mbfmulc2lem
      remul2d immul2d imcld simprd recnd mulcld mpbir2and ) ABCUAUCZDIUDZJHBCHU
      BZDKZIJZLZMAHBCVPIVMDNOPADUEBNABPDGUFADMEUGQZACORVOBRZFUHZABPVODGUIZVMHBC
      LUJAHBCUKULZAHBPDGUMZSAVRMRHBVQUNKZLZMRHBVQUPKZLZMRAWFVMHBVPUNKZLZVNJZMAW
      FHBCWIIJZLWKAHBWEWLAVTUOZCVPWAWBVFUQAHBCWIIVMWJNOOVSWAWMVPWBURZWCAWJUSSUT
      ABCWJAWJMRZHBVPUPKZLZMRZAHBVPLZMRWOWRUOADWSMWDEQAHBVPWBVAVBZVCFAHBWIOWNVD
      VETAWHVMWQVNJZMAWHHBCWPIJZLXAAHBWGXBWMCVPWAWBVGUQAHBCWPIVMWQNOOVSWAWMVPWB
      VHZWCAWQUSSUTABCWQAWOWRWTVIFAHBWPOXCVDVETAHBVQWMCVPACPRVTACFVJUHWBVKVAVLT
      $.
  $}

  ${
    $d x A $.  $d x z F $.  $d x z G $.  $d y z H $.  $d x y z ph $.
    mbfmax.1 $e |- ( ph -> F : A --> RR ) $.
    mbfmax.2 $e |- ( ph -> F e. MblFn ) $.
    mbfmax.3 $e |- ( ph -> G : A --> RR ) $.
    mbfmax.4 $e |- ( ph -> G e. MblFn ) $.
    mbfmax.5 $e |- H = ( x e. A |->
      if ( ( F ` x ) <_ ( G ` x ) , ( G ` x ) , ( F ` x ) ) ) $.
    $( The maximum of two functions is measurable.  (Contributed by Mario
       Carneiro, 18-Jun-2014.) $)
    mbfmax $p |- ( ph -> H e. MblFn ) $=
      ( wbr cr wcel wa cpnf wb bitrdi clt cmnf vy vz cv cfv cle ffvelrnda ifcld
      cif fmptd cxr ccnv cioo co cima cun cvol cdm wo wn wf adantr rexrd simplr
      xrmaxle syl3anc notbid ianor w3a pnfxr sylancl 3anan12 wceq fveq2 breq12d
      elioo2 ifbieq12d fvmpt adantl eleq1d ltpnf jccir biantrud 3bitr4d xrltnle
      fvex ifex syl2anc 3bitr2d orbi12d pm5.32da andi wfn ffnd elpreima bitr4di
      bitrd syl elun eqrdv cmbf mbfima unmbl eqeltrd cin xrmaxlt sylancr df-3an
      mnfxr mnflt biantrurd mpbirand anbi12d anandi elin inmbl ismbfd ) AUACFAB
      CBUCZDUDZXQEUDZUELZXSXRUHZMFAXQCNOXTXSXRMACMXQEIUFACMXQDGUFUGKUIZAUAUCZUJ
      NZOZFUKZYCPULUMZUNZDUKZYGUNZEUKZYGUNZUOZUPUQZYEUBYHYMYEUBUCZYHNZYOYJNZYOY
      LNZURZYOYMNYEYOCNZYOFUDZYGNZOZYTYODUDZYGNZOZYTYOEUDZYGNZOZURZYPYSYEUUCYTU
      UEUUHURZOUUJYEYTUUBUUKYEYTOZUUDUUGUELZUUGUUDUHZYCUELZUSZUUDYCUELZUSZUUGYC
      UELZUSZURZUUBUUKUULUUPUUQUUSOZUSUVAUULUUOUVBUULUUDUJNZUUGUJNZYDUUOUVBQUUL
      UUDYECMYODACMDUTZYDGVAZUFZVBZUULUUGYECMYOEACMEUTZYDIVAZUFZVBZAYDYTVCZUUDU
      UGYCVDVEVFUUQUUSVGRUULUUBYCUUNSLZUUPUULUUNYGNZUVNUUNMNZUUNPSLZOZOZUUBUVNU
      ULUVOUVPUVNUVQVHZUVSUULYDPUJNZUVOUVTQUVMVIYCPUUNVOVJUVPUVNUVQVKRUULUUAUUN
      YGYTUUAUUNVLYEBYOYAUUNCFXQYOVLZXTUUMXSXRUUGUUDUWBXRUUDXSUUGUEXQYODVMZXQYO
      EVMZVNUWDUWCVPKUUMUUGUUDYOEWEYODWEWFVQVRZVSUULUVRUVNUULUVPUVQUULUUMUUGUUD
      MUVKUVGUGZUUNVTWAWBWCUULYDUUNUJNUVNUUPQUVMUULUUNUWFVBYCUUNWDWGWPUULUUEUUR
      UUHUUTUULUUEYCUUDSLZUUDMNZUUDPSLZOZOZUWGUURUULUUEUWHUWGUWIVHZUWKUULYDUWAU
      UEUWLQUVMVIYCPUUDVOVJUWHUWGUWIVKRUULUWJUWGUULUWHUWIUVGUUDVTWAWBUULYDUVCUW
      GUURQUVMUVHYCUUDWDWGWHUULUUHYCUUGSLZUUGMNZUUGPSLZOZOZUWMUUTUULUUHUWNUWMUW
      OVHZUWQUULYDUWAUUHUWRQUVMVIYCPUUGVOVJUWNUWMUWOVKRUULUWPUWMUULUWNUWOUVKUUG
      VTWAWBUULYDUVDUWMUUTQUVMUVLYCUUGWDWGWHWIWCWJYTUUEUUHWKRYEFCWLZYPUUCQAUWSY
      DACMFYBWMVAZCYOYGFWNWQYEYQUUFYRUUIYEDCWLZYQUUFQYECMDUVFWMZCYOYGDWNWQYEECW
      LZYRUUIQYECMEUVJWMZCYOYGEWNWQWIWCYOYJYLWRWOWSAYMYNNZYDAYJYNNZYLYNNZUXEADW
      TNZUVEUXFHGCYCPDXAWGAEWTNZUVIUXGJICYCPEXAWGYJYLXBWGVAXCYEYFTYCULUMZUNZYIU
      XJUNZYKUXJUNZXDZYNYEUBUXKUXNYEYOUXKNZYOUXLNZYOUXMNZOZYOUXNNYEYTUUAUXJNZOZ
      YTUUDUXJNZOZYTUUGUXJNZOZOZUXOUXRYEUXTYTUYAUYCOZOUYEYEYTUXSUYFUULUUNYCSLZU
      UDYCSLZUUGYCSLZOZUXSUYFUULUVCUVDYDUYGUYJQUVHUVLUVMUUDUUGYCXEVEUULUUNUXJNZ
      UVPTUUNSLZOZUYGOZUXSUYGUULUYKUVPUYLUYGVHZUYNUULTUJNZYDUYKUYOQXHUVMTYCUUNV
      OXFUVPUYLUYGXGRUULUUAUUNUXJUWEVSUULUYMUYGUULUVPUYLUWFUUNXIWAXJWCUULUYAUYH
      UYCUYIUULUYAUWHTUUDSLZOZUYHUULUWHUYQUVGUUDXIWAUULUYAUWHUYQUYHVHZUYRUYHOUU
      LUYPYDUYAUYSQXHUVMTYCUUDVOXFUWHUYQUYHXGRXKUULUYCUWNTUUGSLZOZUYIUULUWNUYTU
      VKUUGXIWAUULUYCUWNUYTUYIVHZVUAUYIOUULUYPYDUYCVUBQXHUVMTYCUUGVOXFUWNUYTUYI
      XGRXKXLWCWJYTUYAUYCXMRYEUWSUXOUXTQUWTCYOUXJFWNWQYEUXPUYBUXQUYDYEUXAUXPUYB
      QUXBCYOUXJDWNWQYEUXCUXQUYDQUXDCYOUXJEWNWQXLWCYOUXLUXMXNWOWSAUXNYNNZYDAUXL
      YNNZUXMYNNZVUCAUXHUVEVUDHGCTYCDXAWGAUXIUVIVUEJICTYCEXAWGUXLUXMXOWGVAXCXP
      $.
  $}

  ${
    $d x A $.  $d x ph $.  $d x V $.
    mbfneg.1 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    mbfneg.2 $e |- ( ph -> ( x e. A |-> B ) e. MblFn ) $.
    $( The negative of a measurable function is measurable.  (Contributed by
       Mario Carneiro, 31-Jul-2014.) $)
    mbfneg $p |- ( ph -> ( x e. A |-> -u B ) e. MblFn ) $=
      ( c1 cneg csn cmpt cmul co cmbf cvv cr eqeltrrd wcel neg1rr a1i cxp dmexd
      cof cdm eqid dmmptd cv wa wceq fconstmpt eqidd offval2 mbfmptcl mpteq2dva
      mulm1d eqtrd cc fmpttd mbfmulc2re ) ACHIZJUAZBCDKZLUCMZBCDIZKZNAVCBCUTDLM
      ZKVEABCUTDLVAVBOPEAVBUDCOABVBCDEVBUEFUFAVBNGUBQUTPRZABUGCRUHZSTFVABCUTKUI
      ABCUTUJTAVBUKULABCVFVDVHDABCDEGFUMZUOUNUPACUTVBGVGASTABCDUQVIURUSQ $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y ph $.
    mbfpos.1 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    ${
      mbfpos.2 $e |- ( ph -> ( x e. A |-> B ) e. MblFn ) $.
      $( The positive part of a measurable function is measurable.
         (Contributed by Mario Carneiro, 31-Jul-2014.) $)
      mbfpos $p |- ( ph -> ( x e. A |-> if ( 0 <_ B , B , 0 ) ) e. MblFn ) $=
        ( vy cv cc0 cfv cmpt cle wbr cif cmbf wcel wceq cr syl2anc nfcv csn cxp
        wa c0ex fvconst2 adantl simpr fvmpt2 breq12d ifbieq12d mpteq2dva wf 0re
        eqid fconst6 a1i cvol cc mbfdm2 0cnd mbfconst fmpttd nffvmpt1 nfbr nfif
        cdm fveq2 cbvmpt mbfmax eqeltrrd ) ABCBHZCIUAUBZJZVKBCDKZJZLMZVOVMNZKZB
        CIDLMZDINZKOABCVQVTAVKCPZUCZVPVSVOVMDIWBVMIVODLWAVMIQACIVKUDUEUFZWBWADR
        PVODQAWAUGEBCDRVNVNUNUHSZUIWDWCUJUKAGCVLVNVRCRVLULACIRUMUOUPACUQVFPIURP
        VLOPABCDRFEUSAUTCIVASABCDREVBFBGCVQGHZVLJZWEVNJZLMZWGWFNGVQTWHBWGWFBWFW
        GLBWFTZBLTBCDWEVCZVDWJWIVEVKWEQZVPWHVOVMWGWFWKVMWFVOWGLVKWEVLVGZVKWEVNV
        GZUIWMWLUJVHVIVJ $.
    $}

    ${
      mbfposr.2 $e |- ( ph ->
        ( x e. A |-> if ( 0 <_ B , B , 0 ) ) e. MblFn ) $.
      mbfposr.3 $e |- ( ph ->
        ( x e. A |-> if ( 0 <_ -u B , -u B , 0 ) ) e. MblFn ) $.
      $( Converse to ~ mbfpos .  (Contributed by Mario Carneiro,
         11-Aug-2014.) $)
      mbfposr $p |- ( ph -> ( x e. A |-> B ) e. MblFn ) $=
        ( cr cc0 cle wbr wcel wa clt wb biantrurd ad4ant14 syl 3bitr4d ad2antrr
        vy cmpt fmpttd cif 0re ifcl sylancl mbfdm2 ccnv cpnf cioo cima cvol cdm
        cv cneg cmnf wal wceq cfv simplr simpllr lt0neg1d mpbid ltnegd renegcld
        co 0red maxlt syl3anc 3bitr4rd 3bitr3d cxr rexrd elioomnf elioopnf eqid
        simpr fvmpt2 syl2anc eleq1d pm5.32da wf wfn ffn elpreima alrimiv nfmpt1
        3syl nfcnv nfcv nfima cleqf sylibr cmbf mbfima eqeltrrd wn maxle notbid
        mpbirand ltnled ltlecasei le0neg1d lenegd ismbf2d ) AUACBCDUBZABCDHEUCZ
        ABCIDJKZDIUDZHFABUOZCLZMZDHLZIHLZXJHLZEUEXIDIHUFZUGZUHAUAUOZHLZMZXGUIZX
        SUJUKVGZULZUMUNZLXSIYAXSINKZMZBCIDUPZJKZYHIUDZUBZUIZUQXSUPZUKVGZULZYDYE
        YGXKYOLZXKYDLZOZBURYOYDUSYGYRBYGXLXKYKUTZYNLZMZXLXKXGUTZYCLZMZYPYQYGXLY
        TUUCYGXLMZYJYNLZDYCLZYTUUCUUEYJHLZYJYMNKZMZXNXSDNKZMZUUFUUGUUEUUIUUKUUJ
        UULUUEYHYMNKZIYMNKZUUMMZUUKUUIUUEUUNUUMUUEYFUUNYAYFXLVAUUEXSAXTYFXLVBZV
        CVDPUUEXSDUUPAXLXNXTYFEQZVEUUEXOYHHLZYMHLZUUIUUOOUUEVHUUEDUUQVFUUEXSUUP
        VFZIYHYMVIVJVKUUEUUHUUIAXLUUHXTYFXMUURXOUUHXMDEVFUEYIYHIHUFUGZQPUUEXNUU
        KUUQPVLUUEYMVMLZUUFUUJOUUEYMUUTVNYMYJVORUUEXSVMLZUUGUULOZUUEXSUUPVNXSDV
        PZRSAXLYTUUFOXTYFXMYSYJYNXMXLUUHYSYJUSAXLVRZUVABCYJHYKYKVQVSVTZWAQAXLUU
        CUUGOZXTYFXMUUBDYCXMXLXNUUBDUSUVFEBCDHXGXGVQVSVTZWAZQSWBAYPUUAOZXTYFACH
        YKWCZYKCWDZUVKABCYJHUVAUCZCHYKWEZCXKYNYKWFWITAYQUUDOZXTYFACHXGWCZXGCWDZ
        UVPXHCHXGWEZCXKYCXGWFWIZTSWGBYOYDBYLYNBYKBCYJWHWJZBYNWKWLBYBYCBXGBCDWHW
        JZBYCWKZWLZWMWNAYOYELZXTYFAYKWOLZUVLUWEGUVNCUQYMYKWPVTTWQYAIXSJKZMZBCXJ
        UBZUIZYCULZYDYEUWHXKUWKLZYQOZBURUWKYDUSUWHUWMBUWHXLXKUWIUTZYCLZMZUUDUWL
        YQUWHXLUWOUUCUWHXLMZXJYCLZUUGUWOUUCUWQXPXSXJNKZMZUULUWRUUGUWQUWSUUKUWTU
        ULUWQXJXSJKZWRDXSJKZWRUWSUUKUWQUXAUXBUWQUXAUWGUXBYAUWGXLVAUWQXOXNXTUXAU
        WGUXBMOUWQVHAXLXNXTUWGEQZAXTUWGXLVBZIDXSWSVJXAWTUWQXSXJUXDUWQXNXOXPUXCU
        EXQUGZXBUWQXSDUXDUXCXBSUWQXPUWSUXEPUWQXNUUKUXCPVLUWQUVCUWRUWTOUWQXSUXDV
        NZXSXJVPRUWQUVCUVDUXFUVERSAXLUWOUWROXTUWGXMUWNXJYCXMXLXPUWNXJUSUVFXRBCX
        JHUWIUWIVQVSVTZWAQAXLUVHXTUWGUVJQSWBAUWLUWPOZXTUWGACHUWIWCZUWICWDZUXHAB
        CXJHXRUCZCHUWIWEZCXKYCUWIWFWITAUVPXTUWGUVTTSWGBUWKYDBUWJYCBUWIBCXJWHWJZ
        UWCWLUWDWMWNAUWKYELZXTUWGAUWIWOLZUXIUXNFUXKCXSUJUWIWPVTTWQAXTVRZYAVHZXC
        YAYBUQXSUKVGZULZYELIXSYAIXSNKZMZUWJUXRULZUXSYEUYAXKUYBLZXKUXSLZOZBURUYB
        UXSUSUYAUYEBUYAXLUWNUXRLZMZXLUUBUXRLZMZUYCUYDUYAXLUYFUYHUYAXLMZXJUXRLZD
        UXRLZUYFUYHUYJXPXJXSNKZMZXNDXSNKZMZUYKUYLUYJUYMUYOUYNUYPUYJUYMUXTUYOYAU
        XTXLVAUYJXOXNXTUYMUXTUYOMOUYJVHAXLXNXTUXTEQZAXTUXTXLVBZIDXSVIVJXAUYJXPU
        YMAXLXPXTUXTXRQPUYJXNUYOUYQPVLUYJUVCUYKUYNOUYJXSUYRVNZXSXJVORUYJUVCUYLU
        YPOZUYSXSDVOZRSAXLUYFUYKOXTUXTXMUWNXJUXRUXGWAQAXLUYHUYLOZXTUXTXMUUBDUXR
        UVIWAZQSWBAUYCUYGOZXTUXTAUXIUXJVUDUXKUXLCXKUXRUWIWFWITAUYDUYIOZXTUXTAUV
        QUVRVUEXHUVSCXKUXRXGWFWIZTSWGBUYBUXSBUWJUXRUXMBUXRWKZWLBYBUXRUWBVUGWLZW
        MWNAUYBYELZXTUXTAUXOUXIVUIFUXKCUQXSUWIWPVTTWQYAXSIJKZMZYLYMUJUKVGZULZUX
        SYEVUKXKVUMLZUYDOZBURVUMUXSUSVUKVUOBVUKXLYSVULLZMZUYIVUNUYDVUKXLVUPUYHV
        UKXLMZYJVULLZUYLVUPUYHVURUUHYMYJNKZMZUYPVUSUYLVURVUTUYOVVAUYPVURYJYMJKZ
        WRXSDJKZWRVUTUYOVURVVBVVCVURYHYMJKZIYMJKZVVDMZVVCVVBVURVVEVVDVURVUJVVEY
        AVUJXLVAVURXSAXTVUJXLVBZXDVDPVURXSDVVGAXLXNXTVUJEQZXEVURXOUURUUSVVBVVFO
        VURVHVURDVVHVFVURXSVVGVFZIYHYMWSVJVKWTVURYMYJVVIAXLUUHXTVUJUVAQZXBVURDX
        SVVHVVGXBSVURUUHVUTVVJPVURXNUYOVVHPVLVURUVBVUSVVAOVURYMVVIVNYMYJVPRVURU
        VCUYTVURXSVVGVNVUARSAXLVUPVUSOXTVUJXMYSYJVULUVGWAQAXLVUBXTVUJVUCQSWBAVU
        NVUQOZXTVUJAUVLUVMVVKUVNUVOCXKVULYKWFWITAVUEXTVUJVUFTSWGBVUMUXSBYLVULUW
        ABVULWKWLVUHWMWNAVUMYELZXTVUJAUWFUVLVVLGUVNCYMUJYKWPVTTWQUXQUXPXCXF $.
    $}

    $( A function is measurable iff its positive and negative parts are
       measurable.  (Contributed by Mario Carneiro, 11-Aug-2014.) $)
    mbfposb $p |- ( ph -> ( ( x e. A |-> B ) e. MblFn <->
      ( ( x e. A |-> if ( 0 <_ B , B , 0 ) ) e. MblFn /\
        ( x e. A |-> if ( 0 <_ -u B , -u B , 0 ) ) e. MblFn ) ) ) $=
      ( vy cmpt cmbf wcel cc0 cle wbr cif wa wceq nfcv breq2d ifbieq1d adantr
      cr cneg cv nffvmpt1 nfbr nfif fveq2 cbvmpt simpr fvmpt2 syl2anc mpteq2dva
      cfv eqid syl5eq wf fmpttd ffvelrnda eleq1d biimpar mbfpos eqeltrrd negeqd
      nfneg renegcld mbfneg jca adantlr simprl eqeltrd simprr mbfposr impbida )
      ABCDGZHIZBCJDKLZDJMZGZHIZBCJDUAZKLZVSJMZGZHIZNZAVNNZVRWCWEFCJFUBZVMULZKLZ
      WGJMZGZVQHAWJVQOZVNAWJBCJBUBZVMULZKLZWMJMZGVQFBCWIWOWHBWGJBJWGKBJPZBKPZBC
      DWFUCZUDWRWPUEFWOPWFWLOZWHWNWGWMJWSWGWMJKWFWLVMUFZQWTRUGABCWOVPAWLCIZNZWN
      VOWMDJXBWMDJKXBXADTIWMDOAXAUHEBCDTVMVMUMUIUJZQXCRUKUNZSWEFCWGWECTWFVMACTV
      MUOVNABCDTEUPZSUQZAFCWGGZHIVNAXGVMHAXGBCWMGVMFBCWGWMWRFWMPWTUGABCWMDXCUKU
      NZURUSZUTVAWEFCJWGUAZKLZXJJMZGZWBHAXMWBOZVNAXMBCJWMUAZKLZXOJMZGWBFBCXLXQX
      KBXJJBJXJKWPWQBWGWRVCZUDXRWPUEFXQPWSXKXPXJXOJWSXJXOJKWSWGWMWTVBZQXSRUGABC
      XQWAXBXPVTXOVSJXBXOVSJKXBWMDXCVBZQXTRUKUNZSWEFCXJWEWFCIZNWGXFVDWEFCWGTXFX
      IVEUTVAVFAWDNZXGVMHAXGVMOWDXHSYCFCWGAYBWGTIWDACTWFVMXEUQVGYCWJVQHAWKWDXDS
      AVRWCVHVIYCXMWBHAXNWDYASAVRWCVJVIVKVAVL $.
  $}

  ${
    $d u v w x y z F $.  $d x y z ph $.
    ismbf3d.1 $e |- ( ph -> F : A --> RR ) $.
    ismbf3d.2 $e |- ( ( ph /\ x e. RR ) ->
                     ( `' F " ( x (,) +oo ) ) e. dom vol ) $.
    $( Simplified form of ~ ismbfd .  (Contributed by Mario Carneiro,
       18-Jun-2014.) $)
    ismbf3d $p |- ( ph -> F e. MblFn ) $=
      ( vy cr cima wceq syl cn cpnf cioo co wcel clt wbr wa cmnf vz vu ccnv cdm
      vv vw cvol wf fimacnv cneg ciun imaiun wss wral ioossre rgenw iunss mpbir
      cv wrex renegcl arch simpl biantrurd ltnegcon1 sylan2 cxr adantl renegcld
      wb rexrd elioopnf 3bitr4d rexbidva mpbid eliun sylibr ssriv eqssi imaeq2i
      nnre eqtr3i ralrimiva oveq1 imaeq2d eleq1d rspccva syl2an iunmbl eqeltrrd
      eqeltrrid cdiv cmin cioc cle w3a 3simpb simplr crp nnrp ad2antrl rpreccld
      c1 wi ltsubrpd simprr simpr nnrecre resubcl adantrr lelttr syl3anc mpan2d
      anassrs imdistanda syl5 mnfxr elioc2 sylancr rexr elioomnf adantr 3imtr4d
      rexlimdva sylibd simprl mnfltd ad2ant2r ltled mpbir3and syl2anc cdif wfun
      ltsub13d ad2antrr cun a1i pnfxr cin c0 cc0 resubcld posdifd nnrecl impbid
      reximddv ex bitr4d syl5bb eqrdv eqtr3id ffun funcnvcnv imadif 4syl ltpnfd
      df-ioc df-ioo xrltnle xrlelttr xrlttr ixxun syl32anc uncom ioomax 3eqtr3g
      incom ixxdisj mp3an13 syl5eq uneqdifeq eqtr3d difmbl oveq2 cbvralvw sylib
      rspcdva r19.21bi ismbf2d ) ABCDEADUCZHIZCUGUDZACHDUHZUWACJECHDUIKAUWAGLUV
      TGUSZUJZMNOZIZUKZUWBUVTGLUWFUKZIUWHUWAGUVTLUWFULUWIHUVTUWIHUWIHUMUWFHUMZG
      LUNUWJGLUWEMUOUPGLUWFHUQURUAHUWIUAUSZHPZUWKUWFPZGLUTZUWKUWIPUWLUWKUJZUWDQ
      RZGLUTZUWNUWLUWOHPUWQUWKVAUWOGVBKUWLUWPUWMGLUWLUWDLPZSZUWEUWKQRZUWLUWTSZU
      WPUWMUWSUWLUWTUWLUWRVCVDUWRUWLUWDHPZUWPUWTVJUWDWAZUWKUWDVEVFUWSUWEVGPUWMU
      XAVJUWSUWEUWSUWDUWRUXBUWLUXCVHVIVKUWEUWKVLKVMVNVOGUWKLUWFVPVQVRVSVTWBAUWG
      UWBPZGLUNUWHUWBPAUXDGLAUVTBUSZMNOZIZUWBPZBHUNZUWEHPUXDUWRAUXHBHFWCZUWRUWD
      UXCVIUXHUXDBUWEHUXEUWEJZUXGUWGUWBUXKUXFUWFUVTUXEUWEMNWDWEWFWGWHWCUWGGWIKW
      KZWJFAUVTTUXENOZIZUWBPZBHAUVTTUWKNOZIZUWBPZUAHUNUXOBHUNAUXRUAHAUWLSZGLUVT
      TUWKXCUWDWLOZWMOZWNOZIZUKZUXQUWBUXSUYDUVTGLUYBUKZIUXQGUVTLUYBULUXSUYEUXPU
      VTUXSBUYEUXPUXEUYEPUXEUYBPZGLUTZUXSUXEUXPPZGUXELUYBVPUXSUYGUXEHPZUXEUWKQR
      ZSZUYHUXSUYGUYKUXSUYGUYHUYKUXSUYFUYHGLUXSUWRSZUYITUXEQRZUXEUYAWORZWPZUYKU
      YFUYHUYOUYIUYNSUYLUYKUYIUYMUYNWQUYLUYIUYNUYJUXSUWRUYIUYNUYJXDUXSUWRUYISZS
      ZUYNUYAUWKQRZUYJUYQUWKUXTAUWLUYPWRZUYQUWDUWRUWDWSPUXSUYIUWDWTXAXBXEUYQUYI
      UYAHPZUWLUYNUYRSUYJXDUXSUWRUYIXFUXSUWRUYTUYIUXSUWLUXTHPZUYTUWRAUWLXGUWDXH
      ZUWKUXTXIWHZXJUYSUXEUYAUWKXKXLXMXNXOXPUYLTVGPZUYTUYFUYOVJZXQVUCTUYAUXEXRX
      SZUXSUYHUYKVJZUWRUXSUWKVGPZVUGUWLVUHAUWKXTVHUWKUXEYAKZYBYCYDVUIYEUXSUYKUY
      GUXSUYKSZUXTUWKUXEWMOZQRZUYFGLVUJUWRVULSZSZUYFUYIUYMUYNVUJUYIVUMUXSUYIUYJ
      YFZYBZVUNUXEVUPYGVUNUXEUYAVUPUXSUWRUYTUYKVULVUCYHVUNUXTUWKUXEUWRVUAVUJVUL
      VUBXAVUJUWLVUMAUWLUYKWRZYBVUPVUJUWRVULXFYNYIUXSUWRVUEUYKVULVUFYHYJVUJVUKH
      PUUAVUKQRZVULGLUTVUJUWKUXEVUQVUOUUBVUJUYJVURUXSUYIUYJXFVUJUXEUWKVUOVUQUUC
      VOVUKGUUDYKUUFUUGUUEVUIUUHUUIUUJWEUUKUXSUYCUWBPZGLUNUYDUWBPUXSVUSGLUYLUWA
      UVTUYAMNOZIZYLZUYCUWBUYLUVTHVUTYLZIZVVBUYCUYLUWCDYMUVTUCYMVVDVVBJAUWCUWLU
      WREYOCHDUULDUUMHVUTUVTUUNUUOUYLVVCUYBUVTUYLVUTUYBYPZHJZVVCUYBJZUYLUYBVUTY
      PZTMNOZVVEHUYLVUDUYAVGPZMVGPZTUYAQRUYAMQRVVHVVIJVUDUYLXQYQUYLUYAVUCVKZVVK
      UYLYRYQUYLUYAVUCYGUYLUYAVUCUUPUBUEUFBTUYAMNNQWOQQWNQQUBUEUFUUQZUBUEUFUURZ
      UYAUXEUUSZVVNUXEUYAMUUTTUYAUXEUVAUVBUVCUYBVUTUVDUVEUVFUYLVUTHUMVUTUYBYSZY
      TJVVFVVGVJUYAMUOUYLVVPUYBVUTYSZYTVUTUYBUVGUYLVVJVVQYTJZVVLVUDVVJVVKVVRXQY
      RUBUEUFBTUYAMNQWOQQWNVVMVVNVVOUVHUVIKUVJVUTUYBHUVKXSVOWEUVLUYLUWAUWBPZVVA
      UWBPZVVBUWBPAVVSUWLUWRUXLYOUYLUXHVVTBHUYAUXEUYAJZUXGVVAUWBVWAUXFVUTUVTUXE
      UYAMNWDWEWFAUXIUWLUWRUXJYOVUCUVQUWAVVAUVMYKWJWCUYCGWIKWJWCUXRUXOUABHUWKUX
      EJZUXQUXNUWBVWBUXPUXMUVTUWKUXETNUVNWEWFUVOUVPUVRUVS $.
  $}

  ${
    $d t u x A $.  $d u x y z B $.  $d u C $.  $d t u w x y z F $.  $d t w K $.
    $d t w x y z G $.  $d t u x y J $.
    mbfimaopn.1 $e |- J = ( TopOpen ` CCfld ) $.
    ${
      mbfimaopn.2 $e |- G = ( x e. RR , y e. RR |-> ( x + ( _i x. y ) ) ) $.
      mbfimaopn.3 $e |- B = ( (,) " ( QQ X. QQ ) ) $.
      mbfimaopn.4 $e |- K = ran ( x e. B , y e. B |-> ( x X. y ) ) $.
      $( Lemma for ~ mbfimaopn .  (Contributed by Mario Carneiro,
         25-Aug-2014.) $)
      mbfimaopnlem $p |- ( ( F e. MblFn /\ A e. J ) ->
        ( `' F " A ) e. dom vol ) $=
        ( wcel wa cima mp2an cc cn cdom wbr vt vw vz cmbf cv wss ccnv cuni wceq
        cvol cdm wex ctg cfv cioo crn ctx ccn chmeo cnrehmeo hmeocn ax-mp cnima
        co eqid cq cxp fveq2i tgqioo oveq12i ctb qtopbas eqeltri txbasval txval
        mpan 3eqtri eleqtrdi wb txbas eltg3 sylib adantl ciun cr wfo wf1o f1ofo
        cnref1o elssuni cnfldtopon toponunii sseqtrrdi ad2antlr foimacnv simprr
        sylancr imaeq2d eqtrdi com cen omelon nnenom isnumi qnnen xpnnen cxr wf
        wral ioof fodomnum mp2 eqbrtri domentr wfn vex wrex eleq2i cre ccom cim
        domtr adantr fvco3 sylan eleq1d anbi12d cop fveq2 syl elpreima fco 3syl
        ffn ismbf mpbid sselid rsp sylc syl2anc imauni eqtr3d wi cmpo ccrd con0
        imaiun ssdomg ensymi cres xpen entri entr2i wfun cpw qssre ressxr sstri
        ffun xpss12 fdmi sseqtrri fores elexi xpdom1 xpdom2 numdom fnmpoi dffn4
        nnex xpex mpbi sylancl ad2antrl elrnmpo cin elin mbff ffvelrnda opeq12d
        bitri cnrecnv opex fvmpt biantrurd bitr3d opelxp f1ocnv f1ofn imacnvcnv
        mp2b bitr3i 3bitr3g bitrd pm5.32da ref imf anandi bitr4di 3bitr4d eqrdv
        syl5bb ismbfcn ibi simpld imassrn eqsstri simprl simprd eqeltrrd imaeq2
        inmbl syl5ibrcom syl5bi ralrimiv ssralv mpan9 ad2ant2r iunmbl2 exlimddv
        rexlimdvva eqeltrd ) EUDMZCGMZNZUAUEZHUFZFUGZCOZUYFUHZUIZNZEUGZCOZUJUKZ
        MUAUYDUYLUAULZUYCUYDUYIHUMUNZMZUYPUYDUYIUOUPZUMUNZUYTUQVDZUYQFVUAGURVDM
        ZUYDUYIVUAMFVUAGUSVDMVUBABFUYTGJUYTVEIUTFVUAGVAVBCFVUAGVCVPVUADUMUNZVUC
        UQVDZDDUQVDZUYQUYTVUCUYTVUCUQVUCDUOVFVFVGZOZUMKVHVIZVUHVJDVKMZVUIVUDVUE
        UIDVUGVKKVLVMZVUJDDVKVKVNPVUIVUIVUEUYQUIVUJVUJABHDDVKVKLVOPVQVRHVKMZUYR
        UYPVSVUIVUIVUKVUJVUJABHDDLVTPZUAUYIHVKWAVBWBWCUYEUYLNZUYNUBUYFUYMFUBUEZ
        OZOZWDZUYOVUMUYNUYMUBUYFVUOWDZOVUQVUMCVURUYMVUMFUYIOZCVURVUMWEWEVGZQFWF
        ZCQUFZVUSCUIVUTQFWGZVVAABFJWIZVUTQFWHVBUYDVVBUYCUYLUYDCGUHQCGWJQGGIWKWL
        WMWNVUTQCFWOWQVUMVUSFUYJOVURVUMUYIUYJFUYEUYGUYKWPWRUBFUYFUUAWSUUBWRUBUY
        MUYFVUOUUGWSVUMUYFRSTZVUPUYOMZUBUYFXIZVUQUYOMUYGVVEUYEUYKUYGUYFHSTZHRST
        VVEVUKUYGVVHUUCVULUYFHVKUUHVBHABDDAUEZBUEZVGZUUDZUPZRSLVVMDDVGZSTZVVNRS
        TZVVMRSTVVNUUEUKZMZVVNVVMVVLWFZVVORVVQMZVVPVVRWTUUFMZWTRXATVVTXBRWTXCUU
        IWTRXDPVVNRRVGZSTZVWBRXATVVPVVNRDVGZSTZVWDVWBSTZVWCDRSTZVWEDVUFSTVUFRXA
        TVWGDVUGVUFSKVUFVVQMZVUFVUGUOVUFUUJZWFZVUGVUFSTVWAWTVUFXATVWHXBVUFRWTVU
        FVWBRVFRXATZVWKVUFVWBXATXEXEVFRVFRUUKPXFUULZXCUUMWTVUFXDPUOUUNZVUFUOUKZ
        UFVWJXGXGVGZWEUUOZUOXHVWMXJVWOVWPUOUUSVBVUFVWOVWNVFXGUFZVWQVUFVWOUFVFWE
        XGUUPUUQUURZVWRVFXGVFXGUUTPVWOVWPUOXJUVAUVBVUFUOUVCPVUFVUGVWIXKXLXMVWLD
        VUFRXNPZDRDDVKVUJUVDUVEVBVWGVWFVWSDRRUVJUVFVBVVNVWDVWBYBPXFVVNVWBRXNPZR
        VVNUVGPVVLVVNXOVVSABDDVVKVVLVVLVEZVVIVVJAXPBXPUVKZUVHVVNVVLUVIUVLVVNVVM
        VVLXKXLVWTVVMVVNRYBPXMUYFHRYBUVMUVNUYCUYGVVGUYDUYKUYCVVFUBHXIUYGVVGUYCV
        VFUBHVUNHMZVUNVVKUIZBDXQADXQZUYCVVFVXCVUNVVMMVXEHVVMVUNLXRABDDVVKVUNVVL
        VXAVXBUVOUWAUYCVXDVVFABDDUYCVVIDMZVVJDMZNZNZVVFVXDUYMFVVKOZOZUYOMVXIXSE
        XTZUGVVIOZYAEXTZUGVVJOZUVPZVXKUYOVXIUCVXPVXKUCUEZVXPMVXQVXMMZVXQVXOMZNZ
        VXIVXQVXKMZVXQVXMVXOUVQVXIVXQEUKZMZVXQVXLUNZVVIMZVXQVXNUNZVVJMZNZNZVYCV
        XQEUNZVXJMZNZVXTVYAVXIVYCVYHVYKVXIVYCNZVYHVYJXSUNZVVIMZVYJYAUNZVVJMZNZV
        YKVYMVYEVYOVYGVYQVYMVYDVYNVVIVXIVYBQEXHZVYCVYDVYNUIUYCVYSVXHEUVRZYCZVYB
        QVXQXSEYDYEYFVYMVYFVYPVVJVXIVYSVYCVYFVYPUIWUAVYBQVXQYAEYDYEYFYGVYMVYNVY
        PYHZVVKMZVYJQMZVYJUYHUNZVVKMZNZVYRVYKVYMWUFWUCWUGVYMWUEWUBVVKVYMWUDWUEW
        UBUIVXIVYBQVXQEWUAUVSZUBVYJVUNXSUNZVUNYAUNZYHWUBQUYHVUNVYJUIWUIVYNWUJVY
        PVUNVYJXSYIVUNVYJYAYIUVTABUBFJUWBVYNVYPUWCUWDYJYFVYMWUDWUFWUHUWEUWFVYNV
        YPVVIVVJUWGWUGVYJUYHUGVVKOZMZVYKUYHQXOZWULWUGVSVVCQVUTUYHWGWUMVVDVUTQFU
        WHQVUTUYHUWIUWKQVYJVVKUYHYKVBWUKVXJVYJFVVKUWJXRUWLUWMUWNUWOUYCVXTVYIVSV
        XHUYCVXTVYCVYENZVYCVYGNZNVYIUYCVXRWUNVXSWUOUYCVYBWEVXLXHZVXLVYBXOVXRWUN
        VSUYCQWEXSXHVYSWUPUWPVYTVYBQWEXSEYLWQZVYBWEVXLYNVYBVXQVVIVXLYKYMUYCVYBW
        EVXNXHZVXNVYBXOVXSWUOVSUYCQWEYAXHVYSWURUWQVYTVYBQWEYAEYLWQZVYBWEVXNYNVY
        BVXQVVJVXNYKYMYGVYCVYEVYGUWRUWSYCUYCVYAVYLVSZVXHUYCVYSEVYBXOWUTVYTVYBQE
        YNVYBVXQVXJEYKYMYCUWTUXBUXAVXIVXMUYOMZVXOUYOMZVXPUYOMVXIWVAAUYSXIZVVIUY
        SMWVAUYCWVCVXHUYCVXLUDMZWVCUYCWVDVXNUDMZUYCWVDWVENZUYCVYSUYCWVFVSVYTVYB
        EUXCYJUXDZUXEUYCWUPWVDWVCVSWUQAVYBVXLYOYJYPYCVXIDUYSVVIDVUGUYSKUOVUFUXF
        UXGZUYCVXFVXGUXHYQWVAAUYSYRYSVXIWVBBUYSXIZVVJUYSMWVBUYCWVIVXHUYCWVEWVIU
        YCWVDWVEWVGUXIUYCWURWVEWVIVSWUSBVYBVXNYOYJYPYCVXIDUYSVVJWVHUYCVXFVXGWPY
        QWVBBUYSYRYSVXMVXOUXLYTUXJVXDVUPVXKUYOVXDVUOVXJUYMVUNVVKFUXKWRYFUXMUYAU
        XNUXOVVFUBUYFHUXPUXQUXRUYFVUPUBUXSYTUYBUXT $.
    $}

    $( The preimage of any open set (in the complex topology) under a
       measurable function is measurable.  (See also ~ cncombf , which explains
       why ` A e. dom vol ` is too weak a condition for this theorem.)
       (Contributed by Mario Carneiro, 25-Aug-2014.) $)
    mbfimaopn $p |- ( ( F e. MblFn /\ A e. J ) -> ( `' F " A ) e. dom vol ) $=
      ( vx vy vt vw cioo cq cxp cima cr cv ci cmul co caddc cmpo eqid crn oveq1
      weq oveq2 oveq2d cbvmpov mbfimaopnlem ) EFAIJJKLZBGHMMGNZOHNZPQZRQZSCEFUH
      UHENZFNZKSUAZDGHEFMMULUMOUNPQZRQUMUKRQUIUMUKRUBHFUCUKUPUMRUJUNOPUDUEUFUHT
      UOTUG $.

    mbfimaopn2.2 $e |- K = ( J |`t B ) $.
    $( The preimage of any set open in the subspace topology of the range of
       the function is measurable.  (Contributed by Mario Carneiro,
       25-Aug-2014.) $)
    mbfimaopn2 $p |- ( ( ( F e. MblFn /\ F : A --> B /\ B C_ CC ) /\
      C e. K ) -> ( `' F " C ) e. dom vol ) $=
      ( vu cmbf wcel cc cima cdm cin wceq ctop cvv syl eqeltrd wf wss ccnv cvol
      w3a cv wrex crest co eleq2i wb cnfldtop simp3 cnex sylancl elrest sylancr
      ssexg syl5bb wa wfun simpl2 ffun inpreima mbfimaopn 3ad2antl1 fimacnv fdm
      3syl eqtr4d simpl1 mbfdm inmbl syl2anc imaeq2 eleq1d syl5ibrcom rexlimdva
      sylbid imp ) DJKZABDUAZBLUBZUEZCFKZDUCZCMZUDNZKZWDWECIUFZBOZPZIEUGZWIWECE
      BUHUIZKZWDWMFWNCHUJWDEQKBRKZWOWMUKEGULWDWCLRKWPWAWBWCUMUNBLRURUOICBEQRUPU
      QUSWDWLWIIEWDWJEKZUTZWIWLWFWKMZWHKWRWSWFWJMZWFBMZOZWHWRWBDVAWSXBPWAWBWCWQ
      VBZABDVCWJBDVDVIWRWTWHKZXAWHKXBWHKWAWBWQXDWCWJDEGVEVFWRXADNZWHWRWBXAXEPXC
      WBXAAXEABDVGABDVHVJSWRWAXEWHKWAWBWCWQVKDVLSTWTXAVMVNTWLWGWSWHCWKWFVOVPVQV
      RVSVT $.
  $}

  ${
    $d g x A $.  $d g x B $.  $d g x F $.  $d g x G $.
    $( The composition of a continuous function with a measurable function is
       measurable.  (More generally, ` G ` can be a Borel-measurable function,
       but notably the condition that ` G ` be only measurable is too weak, the
       usual counterexample taking ` G ` to be the Cantor function and ` F `
       the indicator function of the ` G ` -image of a nonmeasurable set, which
       is a subset of the Cantor set and hence null and measurable.)
       (Contributed by Mario Carneiro, 25-Aug-2014.) $)
    cncombf $p |- ( ( F e. MblFn /\ F : A --> B /\ G e. ( B -cn-> CC ) ) ->
                    ( G o. F ) e. MblFn ) $=
      ( vx vg wcel wf cc ccncf co ccom cr cre ccnv cima cim wa wss cvv cmbf w3a
      cpm cv cvol cdm cioo crn wral simp3 cncff syl simp2 syl2anc fdmd 3ad2ant1
      fco mbfdm eqeltrrd mblss cnex reex elpm2r mpanl12 wceq coeq1 coass eqtrdi
      cnveqd imaeq1d eleq1d cnvco imaeq1i imaco eqtri ctopn cfv simplll simpllr
      ccnfld crest cncfrss adantl ctg ccn simpr ax-resscn tgioo2 cncfcn sylancl
      eqid eleqtrd retopbas bastg ax-mp simplr sselid cnima mbfimaopn2 syl31anc
      ctb eqeltrid ralrimiva recncf a1i cncfco adantr rspcdva imcncf jca ismbf1
      3adantl3 sylanbrc ) CUAGZABCHZDBIJKGZUBZDCLZIMUCKGZNXRLZOZEUDZPZUEUFZGZQX
      RLZOZYBPZYDGZRZEUGUHZUIXRUAGXQAIXRHZAMSZXSXQBIDHZXOYLXQXPYNXNXOXPUJZBIDUK
      ULXNXOXPUMZABIDCUQUNXQAYDGYMXQCUFZAYDXQABCYPUOXNXOYQYDGXPCURUPUSAUTULITGM
      TGYLYMRXSVAVBIMAXRTTVCVDUNXQYJEYKXQYBYKGZRZYEYIYSFUDZCLZOZYBPZYDGZYEFBMJK
      ZNDLZYTUUFVEZUUCYCYDUUGUUBYAYBUUGUUAXTUUGUUAUUFCLXTYTUUFCVFNDCVGVHVIVJVKX
      NXOYRUUDFUUEUIXPXNXORZYRRZUUDFUUEUUIYTUUEGZRZUUCCOZYTOZYBPZPZYDUUCUULUUML
      ZYBPUUOUUBUUPYBYTCVLVMUULUUMYBVNVOUUKXNXOBISZUUNVTVPVQZBWAKZGZUUOYDGXNXOY
      RUUJVRXNXOYRUUJVSUUJUUQUUIBMYTWBWCZUUKYTUUSYKWDVQZWEKZGYBUVBGUUTUUKYTUUEU
      VCUUIUUJWFUUKUUQMISUUEUVCVEUVAWGBMUURUUSUVBUURWKZUUSWKZUURUVDWHWIWJWLUUKY
      KUVBYBYKXAGYKUVBSWMYKXAWNWOUUHYRUUJWPWQYBYTUUSUVBWRUNABUUNCUURUUSUVDUVEWS
      WTXBXCXLZXQUUFUUEGYRXQBIMDNYONIMJKZGXQXDXEXFXGXHYSUUDYIFUUEQDLZYTUVHVEZUU
      CYHYDUVIUUBYGYBUVIUUAYFUVIUUAUVHCLYFYTUVHCVFQDCVGVHVIVJVKUVFXQUVHUUEGYRXQ
      BIMDQYOQUVGGXQXIXEXFXGXHXJXCEXRXKXM $.
  $}

  ${
    $d x A $.  $d x F $.
    $( A continuous function is measurable.  (Contributed by Mario Carneiro,
       18-Jun-2014.)  (Revised by Mario Carneiro, 26-Mar-2015.) $)
    cnmbf $p |- ( ( A e. dom vol /\ F e. ( A -cn-> CC ) ) ->
                    F e. MblFn ) $=
      ( vx wcel cc ccncf co cre ccom ccnv cima cim wss cvv cfv ccn eqid syl2anc
      wa cr cvol cdm cpm cv cioo crn wral cmbf wf cncff mblss cnex reex mpanl12
      elpm2r syl2anr ctg crest simpll simplr recncf cncfco ccnfld wceq ad2antrr
      a1i ctopn ax-resscn sstrdi tgioo2 cncfcn sylancl rerest syl eqtrd eleqtrd
      oveq1d retopbas bastg ax-mp simpr sselid cnima subopnmbl imcncf ralrimiva
      ctb jca ismbf1 sylanbrc ) AUAUBZDZBAEFGDZSZBETUCGDZHBIZJCUDZKZWKDZLBIZJWQ
      KZWKDZSZCUEUFZUGBUHDWMAEBUIZATMZWOWLAEBUJAUKZENDTNDXEXFSWOULUMETABNNUOUNU
      PWNXCCXDWNWQXDDZSZWSXBXIWLWRXDUQOZAURGZDZWSWLWMXHUSZXIWPXKXJPGZDWQXJDZXLX
      IWPATFGZXNXIAETBHWLWMXHUTZHETFGZDXIVAVFVBXIXPVCVGOZAURGZXJPGZXNXIAEMTEMXP
      YAVDXIATEWLXFWMXHXGVEZVHVIVHATXSXTXJXSQZXTQXSYCVJVKVLXIXTXKXJPXIXFXTXKVDY
      BAXJXSYCXJQVMVNVQVOZVPXIXDXJWQXDWGDXDXJMVRXDWGVSVTWNXHWAWBZWQWPXKXJWCRAWR
      XKXKQZWDRXIWLXAXKDZXBXMXIWTXNDXOYGXIWTXPXNXIAETBLXQLXRDXIWEVFVBYDVPYEWQWT
      XKXJWCRAXAXKYFWDRWHWFCBWIWJ $.
  $}

  ${
    $d r A $.  $d r x y F $.  $d r x y G $.  $d r x y ph $.
    mbfadd.1 $e |- ( ph -> F e. MblFn ) $.
    mbfadd.2 $e |- ( ph -> G e. MblFn ) $.
    ${
      mbfadd.3 $e |- ( ph -> F : A --> RR ) $.
      mbfadd.4 $e |- ( ph -> G : A --> RR ) $.
      $( The sum of two measurable functions is measurable.  (Contributed by
         Mario Carneiro, 15-Aug-2014.) $)
      mbfaddlem $p |- ( ph -> ( F oF + G ) e. MblFn ) $=
        ( vr caddc co cr wcel wa syl cq clt wbr adantr wb vy vx cof cvol cdm cv
        readdcl fdmd cmbf mbfdm eqeltrrd inidm off ccnv cpnf cioo cima cmin cin
        adantl ciun eliun cfv r19.42v simplr wf ffvelrnda ltsubaddd qre ltsub23
        wrex syl3anc anbi1cd rexbidva wi resubcld lttr rexlimdva qbtwnre 3expia
        syl2anc impbid bitrd wfn ffnd eqidd ofval breq2d 3bitr4d rexrd elioopnf
        cxr mpbirand anbi12d pm5.32da syl5bb elpreima elin anandi 3bitr4g eqrdv
        rexbidv cdom wral cen qnnen endom ax-mp mbfima inmbl ad2antrr ralrimiva
        cn iunmbl2 sylancr ismbf3d ) AUABCDJUCKZAUBUABBBJLLLCDUDUEZXRUBUFZLMUAU
        FZLMZNXSXTJKLMAXSXTUGUTGHACUEZBXRABLCGUHACUIMZYBXRMECUJOUKZYDBULZUMZAYA
        NZIPCUNIUFZUOUPKZUQZDUNXTYHURKZUOUPKZUQZUSZVAZXQUNXTUOUPKZUQZXRYGUBYOYQ
        XSYOMXSYNMZIPVKZYGXSYQMZIXSPYNVBYGXSBMZXSCVCZYIMZXSDVCZYLMZNZNZIPVKZUUA
        XSXQVCZYPMZNZYSYTUUHUUAUUFIPVKZNYGUUKUUAUUFIPVDYGUUAUULUUJYGUUANZYHUUBQ
        RZYKUUDQRZNZIPVKZXTUUIQRZUULUUJUUMXTUUDURKZUUBQRZXTUUBUUDJKZQRUUQUURUUM
        XTUUDUUBAYAUUAVEZYGBLXSDABLDVFZYAHSVGZYGBLXSCABLCVFZYAGSVGZVHUUMUUQUUSY
        HQRZUUNNZIPVKZUUTUUMUUPUVHIPUUMYHPMZNZUUOUVGUUNUVKYAYHLMZUUDLMZUUOUVGTU
        UMYAUVJUVBSZUVJUVLUUMYHVIUTZUUMUVMUVJUVDSZXTYHUUDVJVLVMVNUUMUVIUUTUUMUV
        HUUTIPUVKUUSLMZUVLUUBLMZUVHUUTVOUUMUVQUVJUUMXTUUDUVBUVDVPZSUVOUUMUVRUVJ
        UVFSZUUSYHUUBVQVLVRUUMUVQUVRUUTUVIVOUVSUVFUVQUVRUUTUVIIUUSUUBVSVTWAWBWC
        UUMUUIUVAXTQYGBBUUBUUDJBCDXRXRXSACBWDZYAABLCGWESZADBWDZYAABLDHWESZABXRM
        YAYDSZUWEYEUUMUUBWFUUMUUDWFWGWHWIUUMUUFUUPIPUVKUUCUUNUUEUUOUVKUUCUVRUUN
        UVTUVKYHWLMUUCUVRUUNNTUVKYHUVOWJYHUUBWKOWMUVKUUEUVMUUOUVPUVKYKWLMUUEUVM
        UUONTUVKYKUVKXTYHUVNUVOVPWJYKUUDWKOWMWNVNUUMUUJUUILMZUURYGBLXSXQABLXQVF
        YAYFSVGUUMXTWLMUUJUWFUURNTUUMXTUVBWJXTUUIWKOWMWIWOWPYGYRUUGIPYGXSYJMZXS
        YMMZNUUAUUCNZUUAUUENZNYRUUGYGUWGUWIUWHUWJYGUWAUWGUWITUWBBXSYICWQOYGUWCU
        WHUWJTUWDBXSYLDWQOWNXSYJYMWRUUAUUCUUEWSWTXBYGXQBWDZYTUUKTAUWKYAABLXQYFW
        ESBXSYPXQWQOWIWPXAYGPXMXCRZYNXRMZIPXDYOXRMPXMXERUWLXFPXMXGXHYGUWMIPAUWM
        YAUVJAYJXRMZYMXRMZUWMAYCUVEUWNEGBYHUOCXIWAADUIMUVCUWOFHBYKUODXIWAYJYMXJ
        WAXKXLPYNIXNXOUKXP $.
    $}

    $( The sum of two measurable functions is measurable.  (Contributed by
       Mario Carneiro, 15-Aug-2014.) $)
    mbfadd $p |- ( ph -> ( F oF + G ) e. MblFn ) $=
      ( vx caddc co cdm cfv cmpt cmbf cc wcel syl wa eqidd cre cr fmpttd cof cv
      cin cvol wf mbff ffnd mbfdm eqid offval cim elinel1 ffvelrn syl2an readdd
      elinel2 mpteq2dva inmbl syl2anc recld offval2 eqtr4d cres wss wceq resmpt
      inss1 ax-mp feqmptd eqeltrrd mbfres eqeltrrid ismbfcn2 mpbid simpld inss2
      mbfaddlem eqeltrd imaddd imcld simprd addcld mpbir2and ) ABCGUAZHFBIZCIZU
      CZFUBZBJZWHCJZGHZKZLAFWEWFWIWJGWGBCUDIZWMAWEMBABLNZWEMBUEZDBUFOZUGAWFMCAC
      LNZWFMCUEZECUFOZUGAWNWEWMNZDBUHOZAWQWFWMNZECUHOZWGUIAWHWENZPWIQAWHWFNZPWJ
      QUJAWLLNFWGWKRJZKZLNFWGWKUKJZKZLNAXGFWGWIRJZKZFWGWJRJZKZWDHZLAXGFWGXJXLGH
      ZKXNAFWGXFXOAWHWGNZPZWIWJAWOXDWIMNXPWPWHWEWFULWEMWHBUMUNZAWRXEWJMNXPWSWHW
      EWFUPWFMWHCUMUNZUOUQAFWGXJXLGXKXMWMSSAWTXBWGWMNZXAXCWEWFURUSZXQWIXRUTZXQW
      JXSUTZAXKQAXMQVAVBAWGXKXMAXKLNZFWGWIUKJZKZLNZAFWGWIKZLNYDYGPAYHFWEWIKZWGV
      CZLWGWEVDYJYHVEWEWFVGFWEWGWIVFVHAYILNXTYJLNABYILAFWEMBWPVIDVJYAWGYIVKUSVL
      AFWGWIXRVMVNZVOAXMLNZFWGWJUKJZKZLNZAFWGWJKZLNYLYOPAYPFWFWJKZWGVCZLWGWFVDY
      RYPVEWEWFVPFWFWGWJVFVHAYQLNXTYRLNACYQLAFWFMCWSVIEVJYAWGYQVKUSVLAFWGWJXSVM
      VNZVOAFWGXJSYBTAFWGXLSYCTVQVRAXIYFYNWDHZLAXIFWGYEYMGHZKYTAFWGXHUUAXQWIWJX
      RXSVSUQAFWGYEYMGYFYNWMSSYAXQWIXRVTZXQWJXSVTZAYFQAYNQVAVBAWGYFYNAYDYGYKWAA
      YLYOYSWAAFWGYESUUBTAFWGYMSUUCTVQVRAFWGWKXQWIWJXRXSWBVMWCVR $.

    $( The difference of two measurable functions is measurable.  (Contributed
       by Mario Carneiro, 5-Sep-2014.) $)
    mbfsub $p |- ( ph -> ( F oF - G ) e. MblFn ) $=
      ( vx cmin cof co cdm cmpt caddc cmbf wcel wa syl eqidd syl2anc eqeltrrd
      cc cin cv cneg wf elinel1 ffvelrn syl2an elinel2 negsubd eqcomd mpteq2dva
      cfv mbff cvol ffnd mbfdm eqid offval negcld offval2 3eqtr4d cres wss wceq
      inmbl inss1 resmpt mp1i feqmptd mbfres inss2 mbfneg mbfadd eqeltrd ) ABCG
      HIZFBJZCJZUAZFUBZBULZKZFVRVSCULZUCZKZLHIZMAFVRVTWBGIZKFVRVTWCLIZKVOWEAFVR
      WFWGAVSVRNZOZWGWFWIVTWBAVPTBUDZVSVPNZVTTNWHABMNZWJDBUMPZVSVPVQUEVPTVSBUFU
      GZAVQTCUDZVSVQNZWBTNWHACMNZWOECUMPZVSVPVQUHVQTVSCUFUGZUIUJUKAFVPVQVTWBGVR
      BCUNJZWTAVPTBWMUOAVQTCWRUOAWLVPWTNZDBUPPZAWQVQWTNZECUPPZVRUQAWKOVTQAWPOWB
      QURAFVRVTWCLWAWDWTTTAXAXCVRWTNZXBXDVPVQVERZWNWIWBWSUSAWAQAWDQUTVAAWAWDAFV
      PVTKZVRVBZWAMVRVPVCXHWAVDAVPVQVFFVPVRVTVGVHAXGMNXEXHMNABXGMAFVPTBWMVIDSXF
      VRXGVJRSAFVRWBTWSAFVQWBKZVRVBZFVRWBKZMVRVQVCXJXKVDAVPVQVKFVQVRWBVGVHAXIMN
      XEXJMNACXIMAFVQTCWRVIESXFVRXIVJRSVLVMVN $.
  $}

  ${
    $d x A $.  $d x C $.  $d x ph $.
    mbfmulc2.1 $e |- ( ph -> C e. CC ) $.
    mbfmulc2.2 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    mbfmulc2.3 $e |- ( ph -> ( x e. A |-> B ) e. MblFn ) $.
    $( A complex constant times a measurable function is measurable.
       (Contributed by Mario Carneiro, 17-Aug-2014.) $)
    mbfmulc2 $p |- ( ph -> ( x e. A |-> ( C x. B ) ) e. MblFn ) $=
      ( cmul co cmpt cmbf wcel cfv caddc cc cr adantr offval2 cre cim cneg cvol
      csn cxp cof cdm cvv mbfdm2 cv recld recnd mbfmptcl mulcld ovexd fconstmpt
      wceq a1i eqidd imcld renegcld cmin negsubd mulneg1d oveq2d remuld 3eqtr4d
      wa mpteq2dva eqtrd ismbfcn2 simpld fmpttd mbfmulc2re simprd mbfadd immuld
      mpbid eqeltrrd eqtr4d mpbir2and ) ABCEDJKZLMNBCWCUAOZLZMNBCWCUBOZLZMNACEU
      AOZUEUFZBCDUAOZLZJUGZKZCEUBOZUCZUEUFZBCDUBOZLZWLKZPUGZKZWEMAXABCWHWJJKZWO
      WQJKZPKZLWEABCXBXCPWMWSUDUHZQUIABCDFIHUJZABUKCNZVIZWHWJXHWHAWHRNXGAEGULZS
      ZUMXHWJXHDABCDFIHUNZULZUMZUOZXHWOWQJUPABCWHWJJWIWKXERRXFXJXLWIBCWHLURABCW
      HUQUSZAWKUTZTABCWOWQJWPWRXERRXFAWORNXGAWNAEGVAZVBZSXHDXKVAZWPBCWOLURABCWO
      UQUSAWRUTZTTABCXDWDXHXBWNWQJKZUCZPKXBYAVCKXDWDXHXBYAXNXHWNWQXHWNAWNRNXGXQ
      SZUMZXHWQXSUMZUOVDXHXCYBXBPXHWNWQYDYEVEVFXHEDAEQNXGGSZXKVGVHVJVKAWMWSACWH
      WKAWKMNZWRMNZABCDLMNYGYHVIIABCDXKVLVSZVMZXIABCWJQXMVNZVOACWOWRAYGYHYIVPZX
      RABCWQQYEVNZVOVQVTAWIWRWLKZCWNUEUFZWKWLKZWTKZWGMAYQBCWHWQJKZWNWJJKZPKZLWG
      ABCYRYSPYNYPXEUIUIXFXHWHWQJUPXHWNWJJUPABCWHWQJWIWRXERRXFXJXSXOXTTABCWNWJJ
      YOWKXERRXFYCXLYOBCWNLURABCWNUQUSXPTTABCWFYTXHEDYFXKVRVJWAAYNYPACWHWRYLXIY
      MVOACWNWKYJXQYKVOVQVTABCWCXHEDYFXKUOVLWB $.
  $}

  ${
    $d m n x y z A $.  $d m y z B $.  $d n t x y z ph $.  $d m n x y z Z $.
    $d m t z G $.
    mbfsup.1 $e |- Z = ( ZZ>= ` M ) $.
    mbfsup.2 $e |- G = ( x e. A |-> sup ( ran ( n e. Z |-> B ) , RR , < ) ) $.
    mbfsup.3 $e |- ( ph -> M e. ZZ ) $.
    mbfsup.4 $e |- ( ( ph /\ n e. Z ) -> ( x e. A |-> B ) e. MblFn ) $.
    mbfsup.5 $e |- ( ( ph /\ ( n e. Z /\ x e. A ) ) -> B e. RR ) $.
    mbfsup.6 $e |- ( ( ph /\ x e. A ) -> E. y e. RR A. n e. Z B <_ y ) $.
    $( The supremum of a sequence of measurable, real-valued functions is
       measurable.  Note that in this and related theorems, ` B ( n , x ) ` is
       a function of both ` n ` and ` x ` , since it is an ` n ` -indexed
       sequence of functions on ` x ` .  (Contributed by Mario Carneiro,
       14-Aug-2014.)  (Revised by Mario Carneiro, 7-Sep-2014.) $)
    mbfsup $p |- ( ph -> G e. MblFn ) $=
      ( vz cr clt wcel wbr vt vm cmpt crn csup cv anassrs an32s fmpttd frnd cdm
      wa wne cuz cfv uzid syl eleqtrrdi adantr eqid dmmptd eleqtrrd ne0d dm0rn0
      c0 cz necon3bii sylib cle wral wrex wfn wb ffnd breq1 ralrn nffvmpt1 nfcv
      nfbr nfv weq fveq2 breq1d cbvralw wceq simpr fvmpt2 ralbidva syl5bb bitrd
      syl2anc rexbidv mpbird suprcld fmptd ccnv cpnf cioo co cima ciun cvol cvv
      ltso supex sylancl breq2d wss w3a 3jca adantlr simplr suprlub breq2 rexrn
      cbvrexw cid fvmpt2i adantl eqcomd sylan9eqr rexbidva 3bitrd nfmpt1 nfcxfr
      ralrimiva nffv nfrex nfbi bibi12d r19.21bi wf ffvelrnda cxr rexr elioopnf
      3bitr4d elpreima cn cdom ad2antlr mpbirand adantllr bitr4d pm5.32da eliun
      biantrurd r19.42v bitrdi eqrdv cen zex uzssz ssdomg eqbrtri znnen domentr
      mp2 mp2an cmbf mbfima iunmbl2 sylancr eqeltrd ismbf3d ) AUADGABDFIEUCZUDZ
      QRUEZQGABUFZDSZULZCPUVGUVKIQUVFUVKFIEQAFUFZISZUVJEQSZAUVMUVJUVNNUGZUHZUIZ
      UJZUVKUVFUKZVEUMUVGVEUMZUVKUVSHUVKHIUVSAHISUVJAHHUNUOZIAHVFSHUWASLHUPUQJU
      RUSUVKFUVFIEQUVFUTZUVPVAVBVCUVSVEUVGVEUVFVDVGVHZUVKPUFZCUFZVITZPUVGVJZCQV
      KZEUWEVITZFIVJZCQVKOUVKUWGUWJCQUVKUWGUBUFZUVFUOZUWEVITZUBIVJZUWJUVKUVFIVL
      ZUWGUWNVMUVKIQUVFUVQVNZUWFUWMPUBIUVFUWDUWLUWEVIVOVPUQUWNUVLUVFUOZUWEVITZF
      IVJUVKUWJUWMUWRUBFIFUWLUWEVIFIEUWKVQZFVIVRFUWEVRVSUWRUBVTUBFWAZUWLUWQUWEV
      IUWKUVLUVFWBZWCWDUVKUWRUWIFIUVKUVMULZUWQEUWEVIUXBUVMUVNUWQEWEUVKUVMWFUVPF
      IEQUVFUWBWGWKWCWHWIWJWLWMZWNKWOZAUAUFZQSZULZGWPUXEWQWRWSZWTZFIBDEUCZWPUXH
      WTZXAZXBUKZUXGPUXIUXLUXGUWDDSZUWDGUOZUXHSZULZUXNUWDUXJUOZUXHSZFIVKZULZUWD
      UXISZUWDUXLSZUXGUXNUXPUXTUXGUXNULZUXEUXORTZUXEUXRRTZFIVKZUXPUXTUXGUYEUYGV
      MZPDUXGUXEUVIGUOZRTZUXEUVIUXJUOZRTZFIVKZVMZBDVJUYHPDVJUXGUYNBDUXGUVJULZUY
      JUXEUVHRTZUXEUWDRTZPUVGVKZUYMUYOUYIUVHUXERUYOUVJUVHXCSUYIUVHWEUXGUVJWFQUV
      GRXDXEBDUVHXCGKWGXFXGUYOUVGQXHZUVTUWHXIZUXFUYPUYRVMAUVJUYTUXFUVKUYSUVTUWH
      UVRUWCUXCXJXKAUXFUVJXLCPPUVGUXEXMWKUYOUYRUXEUWLRTZUBIVKZUYMUYOUWOUYRVUBVM
      AUVJUWOUXFUWPXKUYQVUAPUBIUVFUWDUWLUXERXNXOUQVUBUXEUWQRTZFIVKZUYOUYMVUAVUC
      UBFIFUXEUWLRFUXEVRFRVRUWSVSVUCUBVTUWTUWLUWQUXERUXAXGXPAUVJVUDUYMVMUXFUVKV
      UCUYLFIUXBUWQUYKUXERUVMUVKUWQEXQUOZUYKFIEUVFUWBXRUVKUYKVUEUVJUYKVUEWEABDE
      UXJUXJUTXRXSXTYAXGYBXKWIWJYCYFUYNUYHBPDUYNPVTUYEUYGBBUXEUXORBUXEVRZBRVRZB
      UWDGBGBDUVHUCKBDUVHYDYEBUWDVRYGVSUYFBFIBIVRBUXEUXRRVUFVUGBDEUWDVQVSYHYIBP
      WAZUYJUYEUYMUYGVUHUYIUXOUXERUVIUWDGWBXGVUHUYLUYFFIVUHUYKUXRUXERUVIUWDUXJW
      BXGWLYJWDVHYKUYDUXPUXOQSZUYEUXGDQUWDGADQGYLUXFUXDUSYMUYDUXEYNSZUXPVUIUYEU
      LVMUXFVUJAUXNUXEYOUUAZUXEUXOYPUQUUBUYDUXSUYFFIUYDUVMULZUXSUXRQSZUYFULZUYF
      VULVUJUXSVUNVMUYDVUJUVMVUKUSUXEUXRYPUQAUXNUVMUYFVUNVMZUXFAUVMUXNVUOAUVMUL
      ZUXNULVUMUYFVUPDQUWDUXJVUPBDEQUVOUIZYMUUGUHUUCUUDYBYQUUEUXGGDVLZUYBUXQVMA
      VURUXFADQGUXDVNUSDUWDUXHGYRUQUYCUWDUXKSZFIVKZUXGUYAFUWDIUXKUUFUXGVUTUXNUX
      SULZFIVKZUYAAVUTVVBVMUXFAVUSVVAFIVUPUXJDVLVUSVVAVMVUPDQUXJVUQVNDUWDUXHUXJ
      YRUQYBUSUXNUXSFIUUHUUIWIYQUUJUXGIYSYTTZUXKUXMSZFIVJZUXLUXMSIVFYTTVFYSUUKT
      VVCIUWAVFYTJVFXCSUWAVFXHUWAVFYTTUULHUUMUWAVFXCUUNUURUUOUUPIVFYSUUQUUSAVVE
      UXFAVVDFIVUPUXJUUTSDQUXJYLVVDMVUQDUXEWQUXJUVAWKYFUSIUXKFUVBUVCUVDUVE $.
  $}

  ${
    $d m n r x y z A $.  $d m n r x y z ph $.  $d m n r x y z Z $.
    $d m r y z B $.
    mbfinf.1 $e |- Z = ( ZZ>= ` M ) $.
    mbfinf.2 $e |- G = ( x e. A |-> inf ( ran ( n e. Z |-> B ) , RR , < ) ) $.
    mbfinf.3 $e |- ( ph -> M e. ZZ ) $.
    mbfinf.4 $e |- ( ( ph /\ n e. Z ) -> ( x e. A |-> B ) e. MblFn ) $.
    mbfinf.5 $e |- ( ( ph /\ ( n e. Z /\ x e. A ) ) -> B e. RR ) $.
    mbfinf.6 $e |- ( ( ph /\ x e. A ) -> E. y e. RR A. n e. Z y <_ B ) $.
    $( The infimum of a sequence of measurable, real-valued functions is
       measurable.  (Contributed by Mario Carneiro, 7-Sep-2014.)  (Revised by
       AV, 13-Sep-2020.) $)
    mbfinf $p |- ( ph -> G e. MblFn ) $=
      ( vm cr wcel wa cle vr vz cneg cmpt crn clt csup cmbf cinf cv crab wss c0
      wne wbr wral wrex wceq anass1rs fmpttd frnd cdm cuz cfv cz uzid eleqtrrdi
      syl adantr eqid dmmptd eleqtrrd ne0d dm0rn0 necon3bii sylib wb ffnd breq2
      wfn ralrn nfcv nffvmpt1 nfbr fveq2 breq2d cbvralw fvmpt2 syl2anc ralbidva
      nfv simpr syl5bb bitrd rexbidv mpbird infrenegsup syl3anc wal rabid recnd
      adantlr simplr negcon2 eqcom bitrdi eqeq1d cvv negex mpan2 adantl 3bitr4d
      cc ralrimiva nfeq1 nfbi fveqeq2 bibi12d sylibr r19.21bi rexbidva renegcld
      fvelrnb pm5.32da sseld pm4.71rd bitr4d alrimiv nfrab1 cleqf supeq1d eqtrd
      wf negeqd mpteq2dva syl5eq ltso supex a1i mbfneg anassrs renegcl ad2antrl
      lenegd biimpd impr brralrspcev rexlimddv mbfsup eqeltrd ) AGBDFIEUCZUDZUE
      ZQUFUGZUCZUDZUHAGBDFIEUDZUEZQUFUIZUDUUPKABDUUSUUOABUJDRZSZUUSUAUJZUCZUURR
      ZUAQUKZQUFUGZUCZUUOUVAUURQULUURUMUNZCUJZUBUJZTUOZUBUURUPZCQUQZUUSUVGURUVA
      IQUUQUVAFIEQAFUJZIRZUUTEQRZNUSZUTZVAUVAUUQVBZUMUNUVHUVAUVSHUVAHIUVSAHIRUU
      TAHHVCVDZIAHVERHUVTRLHVFVHJVGVIUVAFUUQIEQUUQVJZUVQVKVLVMUVSUMUURUMUUQVNVO
      VPUVAUVMUVIETUOZFIUPZCQUQOUVAUVLUWCCQUVAUVLUVIPUJZUUQVDZTUOZPIUPZUWCUVAUU
      QIVTZUVLUWGVQUVAIQUUQUVRVRZUVKUWFUBPIUUQUVJUWEUVITVSWAVHUWGUVIUVNUUQVDZTU
      OZFIUPUVAUWCUWFUWKPFIFUVIUWETFUVIWBFTWBFIEUWDWCZWDUWKPWKUWDUVNURZUWEUWJUV
      ITUWDUVNUUQWEWFWGUVAUWKUWBFIUVAUVOSZUWJEUVITUWNUVOUVPUWJEURZUVAUVOWLUVQFI
      EQUUQUWAWHWIZWFWJWMWNWOWPCUBUAUURWQWRUVAUVFUUNUVAQUVEUUMUFUVAUVBUVERZUVBU
      UMRZVQZUAWSUVEUUMURUVAUWSUAUWQUVBQRZUVDSZUVAUWRUVDUAQWTUVAUXAUWTUWRSUWRUV
      AUWTUVDUWRUVAUWTSZUWEUVCURZPIUQZUWDUULVDZUVBURZPIUQZUVDUWRUXBUXCUXFPIUXBU
      XCUXFVQZPIUXBUWJUVCURZUVNUULVDZUVBURZVQZFIUPUXHPIUPUXBUXLFIUXBUVOSZEUVCUR
      ZUUKUVBURZUXIUXKUXMUXNUVBUUKURZUXOUXMEXMRZUVBXMRUXNUXPVQUVAUVOUXQUWTUWNEU
      VQXAXBUXMUVBUVAUWTUVOXCXAEUVBXDWIUVBUUKXEXFUXMUWJEUVCUVAUVOUWOUWTUWPXBXGU
      XMUXJUUKUVBUVOUXJUUKURZUXBUVOUUKXHRUXREXIFIUUKXHUULUULVJWHXJXKXGXLXNUXHUX
      LPFIUXCUXFFFUWEUVCUWLXOFUXEUVBFIUUKUWDWCXOXPUXLPWKUWMUXCUXIUXFUXKUWDUVNUV
      CUUQXQUWDUVNUVBUULXQXRWGXSXTYAUXBUWHUVDUXDVQUVAUWHUWTUWIVIPIUVCUUQYCVHUXB
      UULIVTUWRUXGVQUXBIQUULUVAIQUULYMUWTUVAFIUUKQUWNEUVQYBUTZVIVRPIUVBUULYCVHX
      LYDUVAUWRUWTUVAUUMQUVBUVAIQUULUXSVAYEYFYGWMYHUAUVEUUMUVDUAQYIUAUUMWBYJXSY
      KYNYLYOYPABDUUNXHUUNXHRUVAQUUMUFYQYRYSABUBDUUKFBDUUNUDZHIJUXTVJLAUVOSBDEQ
      AUVOUUTUVPNUUAMYTAUVOUUTSSENYBUVAUWCUUKUVJTUOFIUPUBQUQZCQOUVAUVIQRZUWCSSU
      VIUCZQRZUUKUYCTUOZFIUPZUYAUYBUYDUVAUWCUVIUUBUUCUVAUYBUWCUYFUVAUYBSZUWCUYF
      UYGUWBUYEFIUYGUVOSUVIEUVAUYBUVOXCUVAUVOUVPUYBUVQXBUUDWJUUEUUFUBFUUKUYCTQI
      UUGWIUUHUUIYTUUJ $.
  $}

  ${
    $d i k n x y A $.  $d i k m y z B $.  $d i k y z H $.  $d i k n x y ph $.
    $d m M $.  $d i k m n x y z Z $.
    mbflimsup.1 $e |- Z = ( ZZ>= ` M ) $.
    mbflimsup.2 $e |- G = ( x e. A |-> ( limsup ` ( n e. Z |-> B ) ) ) $.
    mbflimsup.h $e |- H = ( m e. RR |->
      sup ( ( ( ( n e. Z |-> B ) " ( m [,) +oo ) ) i^i RR* ) , RR* , < ) ) $.
    mbflimsup.3 $e |- ( ph -> M e. ZZ ) $.
    mbflimsup.4 $e |- ( ( ph /\ x e. A )
                        -> ( limsup ` ( n e. Z |-> B ) ) e. RR ) $.
    mbflimsup.5 $e |- ( ( ph /\ n e. Z ) -> ( x e. A |-> B ) e. MblFn ) $.
    mbflimsup.6 $e |- ( ( ph /\ ( n e. Z /\ x e. A ) ) -> B e. RR ) $.
    $( The limit supremum of a sequence of measurable real-valued functions is
       measurable.  (Contributed by Mario Carneiro, 7-Sep-2014.)  (Revised by
       AV, 12-Sep-2020.) $)
    mbflimsup $p |- ( ph -> G e. MblFn ) $=
      ( cr wcel cle vi vy vz vk cv cuz cfv cmpt crn csup cinf cmbf clsp wa cima
      clt cxr cvv fvexi mptex a1i wss uzssz eqsstri zssre sstri cpnf wceq uzsup
      cz syl adantr limsupval2 wne wbr wral wrex imassrn anass1rs fmpttd ltpnfd
      c0 wf limsupgre syl3anc frnd sstrid cdm cin fdmd ineq1d sseqin2 mpbi uzid
      eqtrdi eleqtrrdi eqnetrd imadisj necon3bii sylibr leidd wb rexrd limsuple
      ne0d mpbid ssralv mpsyl wfn limsupgf ffn ax-mp breq2 ralima sylancr breq1
      mpbird ralbidv rspcev syl2anc infxrre sseli syl2an adantll syl12anc simpr
      cres eqid adantlr limsupgle syl211anc adantl ralbidva ralrimiva mpteq2dva
      3syl wi syl5eq simpll an32s df-ima feqmptd reseq1d resmpt ffvelrn simplll
      uztrn2 simpllr dmmptd eleqtrdi eluzelz ne0i dm0rn0 sylib sseqtrrdi sselid
      uzss sylc fveq1d fvres eqtr3d breq1d eluzle biimt bitrd ralrn brralrspcev
      resmptd suprcld eluz biimprd impr fnfvelrn eqeltrrd suprubd expr suprleub
      syldan syl31anc xrletrid eqtrd infeq1d 3eqtrd ad2ant2lr ralrnmptw rexbidv
      rneqd simprr mbfsup anasss breq2d mbfinf eqeltrd ) AGBCUAJFUAUEZUFUGZDUHZ
      UIZRUPUJZUHZUIZRUPUKZUHZULAGBCFJDUHZUMUGZUHUXBLABCUXDUXAABUECSZUNZUXDHJUO
      ZUQUPUKZUXGRUPUKZUXAUXFJEUXCHURMUXCURSUXFFJDJIUFKUSUTVAJRVBZUXFJVJRJIUFUG
      ZVJKIVCVDZVEVFZVAZAJUQUPUJVGVHZUXEAIVJSZUXONIJKVIVKVLVMUXFUXGRVBUXGWBVNZU
      BUEZUCUEZTVOZUCUXGVPZUBRVQZUXHUXIVHUXFUXGHUIRHJVRUXFRRHUXFUXPJRUXCWCUXDVG
      UPVORRHWCZAUXPUXENVLUXFFJDRAFUEZJSZUXEDRSZQVSZVTUXFUXDOWAEUXCHIJMKWDWEZWF
      WGUXFHWHZJWIZWBVNUXQUXFUYJJWBUXFUYJRJWIZJUXFUYIRJUXFRRHUYHWJWKUXJUYKJVHUX
      MJRWLWMWOUXFJIAIJSUXEAIUXKJAUXPIUXKSNIWNVKKWPVLXEWQUXGWBUYJWBHJWRWSWTUXFU
      XDRSZUXDUXSTVOZUCUXGVPZUYBOUXFUYNUXDUXRHUGZTVOZUBJVPZUXJUXFUYPUBRVPZUYQUX
      MUXFUXDUXDTVOZUYRUXFUXDOXAZUXFUXJJUQUXCWCZUXDUQSZUYSUYRXBUXNUXFFJDUQUXFUY
      EUNDUYGXCVTZUXFUXDOXCZUXDJUBEUXCHMXDWEXFUYPUBJRXGXHUXFHRXIZUXJUYNUYQXBRUQ
      HWCVUEEUXCHMXJRUQHXKXLUXNUYMUYPUCUBRJHUXSUYOUXDTXMXNXOXQUYAUYNUBUXDRUXRUX
      DVHZUXTUYMUCUXGUXRUXDUXSTXPXRXSXTUBUCUXGYAWEUXFRUXGUWTUPUXFUXGHJYGZUIUWTH
      JUUAUXFVUGUWSUXFVUGUAJUWNHUGZUHZUWSUXFVUGUARVUHUHZJYGZVUIUXFHVUJJUXFUARRH
      UYHUUBUUCUXJVUKVUIVHUXMUARJVUHUUDXLWOUXFUAJVUHUWRUXFUWNJSZUNZVUHUWRVUMVUH
      UXFUYCUWNRSZVUHRSZVULUYHJRUWNUXMYBRRUWNHUUEYCZXCZVUMUWRVUMUBUCUWQVUMUWORU
      WPVUMFUWODRVUMUYDUWOSZUNAUYEUXEUYFAUXEVULVURUUFVULVURUYEUXFIUYDUWNJKUUGZY
      DAUXEVULVURUUHQYEZVTZWFZVUMUWPWHZWBVNUWQWBVNZVUMVVCUWOWBVUMFUWPUWODRUWPYH
      ZVUTUUIVUMUWNVJSZUWNUWOSUWOWBVNAVULVVFUXEAVULUNZUWNUXKSZVVFVVGUWNJUXKAVUL
      YFKUUJZIUWNUUKVKZYIZUWNWNUWOUWNUULYPWQVVCWBUWQWBUWPUUMWSUUNZVUMVUOUXSVUHT
      VOZUCUWQVPZUXSUXRTVOZUCUWQVPZUBRVQZVUPVUMVVNUDUEZUWPUGZVUHTVOZUDUWOVPZVUM
      VWAUWNVVRTVOZVVRUXCUGZVUHTVOZYQZUDUWOVPZVUMUWOJVBZVWEUDJVPZVWFVUMUWOUXKJV
      UMVVHUWOUXKVBAVULVVHUXEVVIYIIUWNUUQVKKUUOZVUMVUHVUHTVOZVWHVUMVUHVUPXAVUMU
      XJVUAVUNVUHUQSVWJVWHXBUXJVUMUXMVAZUXFVUAVULVUCVLZVUMJRUWNUXMUXFVULYFUUPZV
      UQVUHJUWNUDEUXCHMYJYKXFVWEUDUWOJXGUURVUMVVTVWEUDUWOVUMVVRUWOSZUNZVVTVWDVW
      EVWOVVSVWCVUHTVWOVVRUXCUWOYGZUGZVVSVWCVWOVVRVWPUWPVWOFJUWODVUMVWGVWNVWIVL
      UVHUUSVWNVWQVWCVHVUMVVRUWOUXCUUTYLUVAZUVBVWOVWBVWDVWEXBVWNVWBVUMUWNVVRUVC
      YLVWBVWDUVDVKUVEYMXQVUMUWORUWPWCZUWPUWOXIZVVNVWAXBVVAUWORUWPXKZVVMVVTUCUD
      UWOUWPUXSVVSVUHTXPUVFYPXQZUBUCUXSVUHTRUWQUVGXTZUVIZXCZVUMVUHUWRTVOZVWBVWC
      UWRTVOZYQZUDJVPZVUMVXHUDJVUMVVRJSZVWBVXGVUMVXJVWBUNZUNZUBUCUWQVWCVUMUWQRV
      BZVXKVVBVLVUMVVDVXKVVLVLVUMVVQVXKVXCVLVXLVVSVWCUWQVUMVXKVWNVVSVWCVHVUMVXJ
      VWBVWNVUMVXJUNVWNVWBVUMVVFVVRVJSVWNVWBXBVXJVVKJVJVVRUXLYBUWNVVRUVJYCUVKUV
      LZVWRUVRVXLVWTVWNVVSUWQSVXLVWSVWTVUMVWSVXKVVAVLVXAVKVXNUWOVVRUWPUVMXTUVNU
      VOUVPYNVUMUXJVUAVUNUWRUQSVXFVXIXBVWKVWLVWMVXEUWRJUWNUDEUXCHMYJYKXQVUMUWRV
      UHTVOZVVNVXBVUMVXMVVDVVQVUOVXOVVNXBVVBVVLVXCVUPUBUCUCUWQVUHUVQUVSXQUVTZYO
      UWAUWGYRUWBUWCYOYRABUBCUWRUAUXBIJKUXBYHNVVGBUBCDFBCUWRUHZUWNUWOUWOYHVXQYH
      VVJVVGVURUNAUYEBCDUHULSAVULVURYSVULVURUYEAVUSYDPXTVVGVURUXEUNZUNAUYEUXEUY
      FAVULVXRYSVULVURUYEAUXEVUSUWDVVGVURUXEUWHQYEAUXEVULDUXRTVOZFUWOVPZUBRVQZV
      UMVVQVYAVXCVUMVVPVXTUBRVUMUYFFUWOVPVVPVXTXBVUMUYFFUWOVUTYNVVOVXSFUCUWODUW
      PRVVEUXSDUXRTXPUWEVKUWFXFYTUWIAVULUXEUWRRSZAUXEVULVYBVXDYTUWJUXFUYLUXDUWR
      TVOZUAJVPZUXRUWRTVOZUAJVPZUBRVQOUXFUXDVUHTVOZUAJVPZVYDUXJUXFVYGUARVPZVYHU
      XMUXFUYSVYIUYTUXFUXJVUAVUBUYSVYIXBUXNVUCVUDUXDJUAEUXCHMXDWEXFVYGUAJRXGXHU
      XFVYGVYCUAJVUMVUHUWRUXDTVXPUWKYMXFVYFVYDUBUXDRVUFVYEVYCUAJUXRUXDUWRTXPXRX
      SXTUWLUWM $.
  $}

  ${
    $d j k m n x y A $.  $d k C $.  $d j k m n x y ph $.  $d j k m n x y Z $.
    $d j k m y B $.  $d j k m y M $.
    mbflim.1 $e |- Z = ( ZZ>= ` M ) $.
    mbflim.2 $e |- ( ph -> M e. ZZ ) $.
    mbflim.4 $e |- ( ( ph /\ x e. A ) -> ( n e. Z |-> B ) ~~> C ) $.
    mbflim.5 $e |- ( ( ph /\ n e. Z ) -> ( x e. A |-> B ) e. MblFn ) $.
    ${
      mbflimlem.6 $e |- ( ( ph /\ ( n e. Z /\ x e. A ) ) -> B e. RR ) $.
      $( The pointwise limit of a sequence of measurable real-valued functions
         is measurable.  (Contributed by Mario Carneiro, 7-Sep-2014.) $)
      mbflimlem $p |- ( ph -> ( x e. A |-> C ) e. MblFn ) $=
        ( vy vj vk cmpt cfv cv wcel vm clsp cmbf wa cli wceq cr anass1rs fmpttd
        wbr cdm cmin cabs clt cuz wral wrex crp adantr climrel releldmi climcau
        cz co syl syl2anc caurcvg climuni mpteq2dva cpnf cico cima cxr cin csup
        eqid ffvelrnda climrecl mbflimsup eqeltrrd ) ABCFHDQZUBRZQZBCEQUCABCWBE
        ABSCTZUDZWAWBUEUJWAEUEUJZWBEUFWENOPWAGHIWEFHDUGAFSHTWDDUGTMUHUIZWEGVCTZ
        WAUEUKTZOSWARPSZWARULVDUMRNSUNUJOWJUORUPPHUQNURUPAWHWDJUSZWEWFWIKWAEUEU
        TVAVENPOWAGHIVBVFVGZKWBEWAVHVFVIABCDUAFWCUAUGWAUASVJVKVDVLVMVNVMUNVOQZG
        HIWCVPWMVPJWEWBPWAGHIWKWLWEHUGWJWAWGVQVRLMVSVT $.
    $}

    mbflim.6 $e |- ( ( ph /\ ( n e. Z /\ x e. A ) ) -> B e. V ) $.
    $( The pointwise limit of a sequence of measurable functions is measurable.
       (Contributed by Mario Carneiro, 7-Sep-2014.) $)
    mbflim $p |- ( ph -> ( x e. A |-> C ) e. MblFn ) $=
      ( vk cmpt wcel cre cfv cim cmbf cv cvv cuz fvexi mptex a1i adantr anassrs
      wa cz cc mbfmptcl an32s fmpttd ffvelrnda wceq wral cr simpr recld syl2anc
      eqid fvmpt2 fveq2d eqtr4d ralrimiva nffvmpt1 nfcv nffv nfeq fveq2 eqeq12d
      nfv 2fveq3 cbvralw sylibr r19.21bi climre ismbfcn2 mpbid simpld mbflimlem
      anasss imcld climim simprd cli wbr climcl syl mpbir2and ) ABCEPUAQBCERSZP
      UAQBCETSZPUAQABCDRSZWMFGIJKABUBCQZUJZEOFIDPZFIWOPZGUCIJLWSUCQWQFIWOIGUDJU
      EZUFUGAGUKQWPKUHZWQIULOUBZWRWQFIDULAFUBZIQZWPDULQZAXDUJZBCDHMAXDWPDHQNUIU
      MZUNZUOUPZWQXBWSSZXBWRSZRSZUQZOIWQXCWSSZXCWRSZRSZUQZFIURXMOIURWQXQFIWQXDU
      JZXNWOXPXRXDWOUSQXNWOUQWQXDUTZXRDXHVAFIWOUSWSWSVCVDVBXRXODRXRXDXEXODUQXSX
      HFIDULWRWRVCVDVBZVEVFVGXMXQOFIFXJXLFIWOXBVHFXKRFRVIFIDXBVHZVJVKXQOVNXBXCU
      QZXJXNXLXPXBXCWSVLXBXCRWRVOVMVPVQVRVSXFBCWOPUAQZBCDTSZPUAQZXFBCDPUAQYCYEU
      JMXFBCDXGVTWAZWBAXDWPUJUJZDAXDWPXEXGWDZVAWCABCYDWNFGIJKWQEOWRFIYDPZGUCIJL
      YIUCQWQFIYDWTUFUGXAXIWQXBYISZXKTSZUQZOIWQXCYISZXOTSZUQZFIURYLOIURWQYOFIXR
      YMYDYNXRXDYDUSQYMYDUQXSXRDXHWEFIYDUSYIYIVCVDVBXRXODTXTVEVFVGYLYOOFIFYJYKF
      IYDXBVHFXKTFTVIYAVJVKYOOVNYBYJYMYKYNXBXCYIVLXBXCTWRVOVMVPVQVRWFXFYCYEYFWG
      YGDYHWEWCABCEWQWREWHWIEULQLEWRWJWKVTWL $.
  $}

  $c 0p $.

  $( Extend class notation to include the zero polynomial. $)
  c0p $a class 0p $.

  $( Define the zero polynomial.  (Contributed by Mario Carneiro,
     19-Jun-2014.) $)
  df-0p $a |- 0p = ( CC X. { 0 } ) $.

  $( The zero function evaluates to zero at every point.  (Contributed by Mario
     Carneiro, 23-Jul-2014.) $)
  0pval $p |- ( A e. CC -> ( 0p ` A ) = 0 ) $=
    ( cc wcel c0p cfv cc0 csn cxp df-0p fveq1i c0ex fvconst2 syl5eq ) ABCADEABF
    GHZEFADNIJBFAKLM $.

  ${
    $d x A $.  $d x F $.  $d x ph $.
    $( Two ways to say that the function ` F ` on the reals is nonnegative.
       (Contributed by Mario Carneiro, 17-Aug-2014.) $)
    0plef $p |- ( F : RR --> ( 0 [,) +oo ) <->
      ( F : RR --> RR /\ 0p oR <_ F ) ) $=
      ( vx cr cc0 wf c0p cle wbr wss cfv wcel wral wb baib syl wfn cvv a1i wceq
      cc cpnf cico co cofr rge0ssre fss mpan2 cv ffvelrn elrege0 ralbidva ffnfv
      ffn csn cxp 0cn fnconstg ax-mp df-0p fneq1i mpbir cnex reex cin ax-resscn
      wa sseqin2 mpbi 0pval adantl eqidd ofrfval 3bitr4d biadanii ) CDUAUBUCZAE
      ZCCAEZFAGUDHZVPVOCIVQUECVOCAUFUGVQBUHZAJZVOKZBCLZDVTGHZBCLVPVRVQWAWCBCVQV
      SCKVFZVTCKZWAWCMCCVSAUIWAWEWCVTUJNOUKVQACPZVPWBMCCAUMZVPWFWBBCVOAULNOVQBT
      CDVTGCFAQQFTPZVQWHTDUNUOZTPZDTKWJUPTDTUQURTFWIUSUTVARWGTQKVQVBRCQKVQVCRCT
      ITCVDCSVECTVGVHVSTKVSFJDSVQVSVIVJWDVTVKVLVMVN $.

    0pledm.1 $e |- ( ph -> A C_ CC ) $.
    0pledm.2 $e |- ( ph -> F Fn A ) $.
    $( Adjust the domain of the left argument to match the right, which works
       better in our theorems.  (Contributed by Mario Carneiro,
       28-Jul-2014.) $)
    0pledm $p |- ( ph -> ( 0p oR <_ F <-> ( A X. { 0 } ) oR <_ F ) ) $=
      ( vx cc0 cfv cle wbr cc wral c0p cxp wceq cvv wfn wcel 0cn a1i cv cin csn
      cofr sseqin2 sylib raleqdv fnconstg ax-mp df-0p fneq1i mpbir cnex sylancl
      wss ssexg eqid 0pval adantl wa eqidd ofrfval inidm c0ex fvconst2 3bitr4d
      ) AGFUAZCHZIJZFKBUBZLVIFBLMCIUDZJBGUCZNZCVKJAVIFVJBABKUOZVJBODBKUEUFUGAFK
      BGVHIVJMCPPMKQZAVOKVLNZKQZGKRZVQSKGKUHUIKMVPUJUKULTEKPRZAUMTAVNVSBPRDUMBK
      PUPUNZVJUQVGKRVGMHGOAVGURUSAVGBRZUTVHVAZVBAFBBGVHIBVMCPPVMBQZAVRWCSBGKUHU
      ITEVTVTBVCWAVGVMHGOABGVGVDVEUSWBVBVF $.
  $}

  ${
    $d f g x y F $.  $d x y A $.
    $( The predicate " ` F ` is a simple function".  A simple function is a
       finite nonnegative linear combination of indicator functions for
       finitely measurable sets.  We use the idiom ` F e. dom S.1 ` to
       represent this concept because ` S.1 ` is the first preparation function
       for our final definition ` S. ` (see ~ df-itg ); unlike that operator,
       which can integrate any function, this operator can only integrate
       simple functions.  (Contributed by Mario Carneiro, 18-Jun-2014.) $)
    isi1f $p |- ( F e. dom S.1 <-> ( F e. MblFn /\ ( F : RR --> RR /\
        ran F e. Fin /\ ( vol ` ( `' F " ( RR \ { 0 } ) ) ) e. RR ) ) ) $=
      ( vg vf vx cr cv crn cfn wcel ccnv csn cdif cima cvol cfv w3a cmbf eleq1d
      wf citg1 cc0 cdm wceq feq1 rneq imaeq1d fveq2d 3anbi123d crab cmul co csu
      cnveq sumex df-itg1 dmmpti elrab2 ) EEBFZSZURGZHIZURJZEUAKZLZMZNOZEIZPZEE
      ASZAGZHIZAJZVDMZNOZEIZPBAQTUBURAUCZUSVIVAVKVGVOEEURAUDVPUTVJHURAUERVPVFVN
      EVPVEVMNVPVBVLVDURAUMUFUGRUHCVHBQUICFZGVCLZDFZVQJVSKMNOUJUKZDULTVRVTDUNDC
      BUOUPUQ $.

    $( Simple functions are measurable.  (Contributed by Mario Carneiro,
       18-Jun-2014.) $)
    i1fmbf $p |- ( F e. dom S.1 -> F e. MblFn ) $=
      ( citg1 cdm wcel cmbf cr wf crn cfn ccnv cc0 csn cdif cima cvol cfv isi1f
      w3a simplbi ) ABCDAEDFFAGAHIDAJFKLMNOPFDRAQS $.

    $( A simple function is a function on the reals.  (Contributed by Mario
       Carneiro, 26-Jun-2014.) $)
    i1ff $p |- ( F e. dom S.1 -> F : RR --> RR ) $=
      ( citg1 cdm wcel cr wf crn cfn ccnv cc0 csn cdif cima cvol cfv cmbf isi1f
      w3a simprbi simp1d ) ABCDZEEAFZAGHDZAIEJKLMNOEDZUAAPDUBUCUDRAQST $.

    $( A simple function has finite range.  (Contributed by Mario Carneiro,
       26-Jun-2014.) $)
    i1frn $p |- ( F e. dom S.1 -> ran F e. Fin ) $=
      ( citg1 cdm wcel cr wf crn cfn ccnv cc0 csn cdif cima cvol cfv cmbf isi1f
      w3a simprbi simp2d ) ABCDZEEAFZAGHDZAIEJKLMNOEDZUAAPDUBUCUDRAQST $.

    $( Any preimage of a simple function is measurable.  (Contributed by Mario
       Carneiro, 26-Jun-2014.) $)
    i1fima $p |- ( F e. dom S.1 -> ( `' F " A ) e. dom vol ) $=
      ( vy citg1 cdm wcel crn cin ccnv cv csn cima ciun cvol cr wf wceq wss cfn
      adantr wfun i1ff inpreima iunid imaeq2i imaiun eqtr3i cnvimass cnvimarndm
      ffun sseqtrri df-ss mpbi 3eqtr3g 3syl wral i1frn ssfi sylancl cmbf i1fmbf
      inss2 wa frnd sstrid sselda mbfimasn syl3anc ralrimiva finiunmbl eqeltrrd
      syl2anc ) BDEFZCABGZHZBIZCJZKZLZMZVPALZNEZVMOOBPZBUAZVTWAQBUBZOOBUJWDVPVO
      LZWAVPVNLZHZVTWAAVNBUCVPCVOVRMZLWFVTWIVOVPCVOUDUECVPVOVRUFUGWAWGRWHWAQWAB
      EWGBAUHBUIUKWAWGULUMUNUOVMVOSFZVSWBFZCVOUPVTWBFVMVNSFVOVNRWJBUQAVNVBZVNVO
      URUSVMWKCVOVMVQVOFZVCBUTFZWCVQOFWKVMWNWMBVATVMWCWMWETVMVOOVQVMVOVNOWLVMOO
      BWEVDVEVFOVQBVGVHVIVOVSCVJVLVK $.

    $( Any preimage of a simple function not containing zero has finite
       measure.  (Contributed by Mario Carneiro, 26-Jun-2014.) $)
    i1fima2 $p |- ( ( F e. dom S.1 /\ -. 0 e. A ) ->
                    ( vol ` ( `' F " A ) ) e. RR ) $=
      ( citg1 cdm wcel cc0 wn cima cvol cfv covol wceq i1fima adantr mblvol syl
      wa cr wss cin ccnv csn cdif crn wf wfun i1ff inpreima cnvimass cnvimarndm
      ffun 3syl sseqtrri df-ss eqtr2di c0 elinel1 con3i adantl disjsn sylibr wb
      mpbi inss2 frnd sstrid reldisj mpbid imass2 eqsstrd mblss cfn w3a simprbi
      cmbf isi1f simp3d eqeltrrd ovolsscl syl3anc eqeltrd ) BCDEZFAEZGZQZBUAZAH
      ZIJZWGKJZRWEWGIDZEZWHWILWBWKWDABMNWGOPWEWGWFRFUBZUCZHZSWNRSZWNKJZREWIREWE
      WGWFABUDZTZHZWNWEWSWGWFWQHZTZWGWERRBUEZBUFWSXALWBXBWDBUGZNRRBUKAWQBUHULWG
      WTSXAWGLWGBDWTBAUIBUJUMWGWTUNVCUOWEWRWMSZWSWNSWEWRWLTUPLZXDWEFWREZGZXEWDX
      GWBXFWCFAWQUQURUSWRFUTVAWEWRRSZXEXDVBWBXHWDWBWRWQRAWQVDWBRRBXCVEVFNWRWLRV
      GPVHWRWMWFVIPVJWEWNWJEZWOWBXIWDWMBMNZWNVKPWEWNIJZWPRWEXIXKWPLXJWNOPWBXKRE
      ZWDWBXBWQVLEZXLWBBVOEXBXMXLVMBVPVNVQNVRWGWNVSVTWA $.

    $( Preimage of a singleton.  (Contributed by Mario Carneiro,
       26-Jun-2014.) $)
    i1fima2sn $p |- ( ( F e. dom S.1 /\ A e. ( B \ { 0 } ) ) ->
                    ( vol ` ( `' F " { A } ) ) e. RR ) $=
      ( cc0 csn cdif wcel citg1 cdm wn ccnv cima cvol cfv cr eldifn elsni snidg
      eqeltrrd nsyl i1fima2 sylan2 ) ABDEZFGZCHIGDAEZGZJCKUELMNOGUDAUCGUFABUCPU
      FDAUCDAQDUERSTUECUAUB $.

    ${
      $d x y F $.  $d x y ph $.
      i1fd.1 $e |- ( ph -> F : RR --> RR ) $.
      i1fd.2 $e |- ( ph -> ran F e. Fin ) $.
      i1fd.3 $e |- ( ( ph /\ x e. ( ran F \ { 0 } ) ) ->
                     ( `' F " { x } ) e. dom vol ) $.
      i1fd.4 $e |- ( ( ph /\ x e. ( ran F \ { 0 } ) ) ->
                     ( vol ` ( `' F " { x } ) ) e. RR ) $.
      $( A simplified set of assumptions to show that a given function is
         simple.  (Contributed by Mario Carneiro, 26-Jun-2014.) $)
      i1fd $p |- ( ph -> F e. dom S.1 ) $=
        ( vy wcel cr cc0 cdif cima cvol cfv wa wceq wss syl wn cmbf wf crn ccnv
        cfn csn w3a citg1 cv cioo wral wfun ad2antrr ffun funcnvcnv imadif 4syl
        cdm cpw cxr cxp ioof frn ax-mp sseli elpwid ad2antlr dfss4 sylib eqtr3d
        imaeq2d fimacnv rembl eqeltrdi wi wal cin adantr inpreima iunid imaeq2i
        ciun imaiun eqtr3i cnvimass cnvimarndm sseqtrri df-ss mpbi 3eqtr3g 3syl
        inss2 ssfi sylancl simpll c0 elinel1 con3i adantl disjsn sylibr reldisj
        wb sselda syl2anc ralrimiva finiunmbl eqeltrrd ex alrimiv elndif difexi
        reex eleq2 notbid imaeq2 eleq1d imbi12d spcv sylc difmbl spvv pm2.61dan
        imp adantlr ismbf mpbird covol mblvol csu cle wbr mblss fsumrecl fveq2d
        jca ovolfiniun eqbrtrrd ovollecl syl3anc eqeltrd neldifsn 3jca sylanbrc
        mpisyl isi1f ) ACUAIZJJCUBZCUCZUEIZCUDZJKUFZLZMZNOZJIZUGCUHURIAUUGUUKBU
        IZMZNURZIZBUJUCZUKZAUUTBUVAAUUQUVAIZPZKUUQIZUUTUVDUVEPZUUKJMZUUKJUUQLZM
        ZLZUURUUSUVFUUKJUVHLZMZUVJUURUVFUUHCULZUUKUDULUVLUVJQAUUHUVCUVEDUMZJJCU
        NZCUOJUVHUUKUPUQUVFUVKUUQUUKUVFUUQJRZUVKUUQQUVCUVPAUVEUVCUUQJUVAJUSZUUQ
        UTUTVAZUVQUJUBUVAUVQRVBUVRUVQUJVCVDVEVFVGUUQJVHVIVKVJUVFUVGUUSIUVIUUSIZ
        UVJUUSIUVFUVGJUUSUVFUUHUVGJQUVNJJCVLSVMVNUVFKHUIZIZTZUUKUVTMZUUSIZVOZHV
        PZKUVHIZTZUVSAUWFUVCUVEAUWEHAUWBUWDAUWBPZBUVTUUIVQZUUKUUQUFZMZWBZUWCUUS
        UWIUUHUVMUWMUWCQAUUHUWBDVRUVOUVMUUKUWJMZUWCUUKUUIMZVQZUWMUWCUVTUUICVSUU
        KBUWJUWKWBZMUWNUWMUWQUWJUUKBUWJVTWABUUKUWJUWKWCWDUWCUWORUWPUWCQUWCCURUW
        OCUVTWECWFWGUWCUWOWHWIWJWKZUWIUWJUEIZUWLUUSIZBUWJUKUWMUUSIUWIUUJUWJUUIR
        ZUWSAUUJUWBEVRUVTUUIWLZUUIUWJWMWNZUWIUWTBUWJUWIUUQUWJIZPZAUUQUUIUULLZIZ
        UWTAUWBUXDWOZUWIUWJUXFUUQUWIUWJUULVQWPQZUWJUXFRZUWIKUWJIZTZUXIUWBUXLAUX
        KUWAKUVTUUIWQWRWSUWJKWTXAUXAUXIUXJXCUXBUWJUULUUIXBVDVIXDZFXEZXFUWJUWLBX
        GXEXHZXIXJZUMUVEUWHUVDKUUQJXKWSUWEUWHUVSVOHUVHJUUQXMXLUVTUVHQZUWBUWHUWD
        UVSUXQUWAUWGUVTUVHKXNXOUXQUWCUVIUUSUVTUVHUUKXPXQXRXSXTUVGUVIYAXEXHAUVET
        ZUUTUVCAUXRUUTAUWFUXRUUTVOZUXPUWEUXSHBUVTUUQQZUWBUXRUWDUUTUXTUWAUVEUVTU
        UQKXNXOUXTUWCUURUUSUVTUUQUUKXPXQXRYBSYDYEYCXFAUUHUUGUVBXCDBJCYFSYGAUUHU
        UJUUPDEAUWBUWCNOZJIZVOZHVPKUUMIZTZUUPAUYCHAUWBUYBUWIUYAUWCYHOZJUWIUWDUY
        AUYFQUXOUWCYISUWIUWCJRZUWJUWLYHOZBYJZJIUYFUYIYKYLUYFJIUWIUWDUYGUXOUWCYM
        SUWIUWJUYHBUXCUXEUWLNOZUYHJUXEUWTUYJUYHQUXNUWLYISUXEAUXGUYJJIUXHUXMGXEX
        HZYNUWIUWMYHOZUYFUYIYKUWIUWMUWCYHUWRYOUWIUWSUWLJRZUYHJIZPZBUWJUKUYLUYIY
        KYLUXCUWIUYOBUWJUXEUYMUYNUXEUWTUYMUXNUWLYMSUYKYPXFUWJUWLBYQXEYRUWCUYIYS
        YTUUAXIXJKJUUBUYCUYEUUPVOHUUMJUULXMXLUVTUUMQZUWBUYEUYBUUPUYPUWAUYDUVTUU
        MKXNXOUYPUYAUUOJUYPUWCUUNNUVTUUMUUKXPYOXQXRXSUUEUUCCUUFUUD $.
    $}

    $( Any simple function takes the value zero on a set of unbounded measure,
       so in particular this set is not empty.  (Contributed by Mario Carneiro,
       18-Jun-2014.) $)
    i1f0rn $p |- ( F e. dom S.1 -> 0 e. ran F ) $=
      ( citg1 cdm wcel cc0 crn cpnf cr pnfnre neli wn cvol cfv covol wceq rembl
      wa mblvol ax-mp ovolre eqtri ccnv cima cnvimarndm i1ff fdmd adantr syl5eq
      fveq2d i1fima2 eqeltrrd eqeltrrid ex mt3i ) ABCDZEAFZDZGHDZGHIJUOUQKZURUO
      USQZGHLMZHVAHNMZGHLCDVAVBOPHRSTUAUTAUBUPUCZLMVAHUTVCHLUTVCACZHAUDUOVDHOUS
      UOHHAAUEUFUGUHUIUPAUJUKULUMUN $.

    $( The value of the integral on simple functions.  (Contributed by Mario
       Carneiro, 18-Jun-2014.) $)
    itg1val $p |- ( F e. dom S.1 -> ( S.1 ` F ) =
           sum_ x e. ( ran F \ { 0 } ) ( x x. ( vol ` ( `' F " { x } ) ) ) ) $=
      ( vg vf citg1 cfv crn csn cdif cv ccnv cima cvol cmul co csu wceq cr wcel
      sumex cc0 cfn w3a cmbf crab cdm rneq difeq1d imaeq1d fveq2d oveq2d adantr
      wf cnveq sumeq12dv df-itg1 fvmpt dmmpti eleq2s ) BEFBGZUAHZIZAJZBKZVCHZLZ
      MFZNOZAPZQBRRCJZUMVJGUBSVJKRVAILMFRSUCCUDUEZEUFDBDJZGZVAIZVCVLKZVELZMFZNO
      ZAPZVIVKEVLBQZVNVBVRVHAVTVMUTVAVLBUGUHVTVRVHQVCVNSVTVQVGVCNVTVPVFMVTVOVDV
      EVLBUNUIUJUKULUOADCUPZVBVHATUQDVKVSEVNVRATWAURUS $.

    $( The value of the integral on simple functions.  (Contributed by Mario
       Carneiro, 26-Jun-2014.) $)
    itg1val2 $p |- ( ( F e. dom S.1 /\
        ( A e. Fin /\ ( ran F \ { 0 } ) C_ A /\ A C_ ( RR \ { 0 } ) ) ) ->
      ( S.1 ` F ) = sum_ x e. A ( x x. ( vol ` ( `' F " { x } ) ) ) ) $=
      ( citg1 cdm wcel cc0 csn cdif wss cr wa cfv cvol cmul co wceq syl c0 wn
      cfn crn w3a cv ccnv cima itg1val adantr simpr2 cc sselda simpr3 i1fima2sn
      csu eldifi adantlr syldan remulcld recnd wf cin i1ff ad2antrr ffrn eldifn
      adantl eldif simplr3 ssdifssd simpr sseldd biantrud bitr4id disjsn sylibr
      mtbid fimacnvdisj syl2anc fveq2d covol mblvol eqtrdi oveq2d sylan2 mul01d
      0mbl ax-mp ovol0 eqtri eqtrd simpr1 fsumss ) CDEFZBUAFZCUBZGHZIZBJZBKWPIZ
      JZUCZLZCDMZWQAUDZCUEXDHZUFZNMZOPZAUNZBXHAUNWMXCXIQXAACUGUHXBWQBXHAWMWNWRW
      TUIZXBXDWQFZXDBFZXHUJFXBWQBXDXJUKXBXLLZXHXMXDXGXMXDWSFZXDKFZXBBWSXDWMWNWR
      WTULUKZXDKWPUORZXBXLXNXGKFZXPWMXNXRXAXDKCUMUPUQURUSUQXBXDBWQIZFZLZXHXDGOP
      GYAXGGXDOYAXGSNMZGYAXFSNYAKWOCUTZWOXEVASQZXFSQYAKKCUTZYCWMYEXAXTCVBVCKKCV
      DRYAXDWOFZTYDYAXKYFXTXKTXBXDBWQVEVFYAXKYFXDWPFTZLYFXDWOWPVGYAYGYFYAXNYGYA
      XSWSXDYABWSWQWNWRWTWMXTVHVIXBXTVJVKXDKWPVERVLVMVPWOXDVNVOKWOXECVQVRVSYBSV
      TMZGSNEFYBYHQWFSWAWGWHWIWBWCYAXDYAXDXTXBXLXOXDBWQUOXQWDUSWEWJWMWNWRWTWKWL
      WJ $.

    $( Closure of the integral on simple functions.  (Contributed by Mario
       Carneiro, 26-Jun-2014.) $)
    itg1cl $p |- ( F e. dom S.1 -> ( S.1 ` F ) e. RR ) $=
      ( vx citg1 cdm wcel cfv crn cc0 csn cdif cv ccnv cima cvol cmul co csu cr
      itg1val cfn wss i1frn ssfi sylancl wa i1ff frnd ssdifssd sselda i1fima2sn
      difss remulcld fsumrecl eqeltrd ) ACDEZACFAGZHIZJZBKZALUSIMNFZOPZBQRBASUO
      URVABUOUPTEURUPUAURTEAUBUPUQUKUPURUCUDUOUSUREUEUSUTUOURRUSUOUPRUQUORRAAUF
      UGUHUIUSUPAUJULUMUN $.

    $( Closure of the integral on positive simple functions.  (Contributed by
       Mario Carneiro, 19-Jun-2014.) $)
    itg1ge0 $p |- ( ( F e. dom S.1 /\ 0p oR <_ F ) -> 0 <_ ( S.1 ` F ) ) $=
      ( vx vy citg1 wcel c0p cle wbr wa cc0 cfv wss adantr cvv wfn a1i wceq syl
      cr cc cdm cofr crn csn cdif cv ccnv cima cvol cmul co csu cfn i1frn difss
      ssfi sylancl wf i1ff frnd ssdifssd sselda i1fima2sn adantlr remulcld wral
      eldifi cxp 0cn fnconstg ax-mp df-0p fneq1i mpbir ffnd cnex reex ax-resscn
      cin sseqin2 0pval adantl eqidd ofrfval biimpa breq2 ralrn mpbird r19.21bi
      mpbi wb sylan2 i1fima ad2antrr covol mblss ovolge0 mblvol mulge0d fsumge0
      breqtrrd itg1val ) ADUAEZFAGUBHZIZJAUCZJUDZUEZBUFZAUGXIUDZUHZUIKZUJUKZBUL
      ZADKZGXEXHXMBXCXHUMEZXDXCXFUMEXHXFLXPAUNXFXGUOXFXHUPUQMXEXIXHEZIZXIXLXEXH
      SXIXEXFSXGXESSAXCSSAURXDAUSZMUTVAVBZXCXQXLSEXDXIXFAVCVDZVEXRXIXLXTYAXQXEX
      IXFEJXIGHZXIXFXGVGXEYBBXFXEYBBXFVFZJCUFZAKZGHZCSVFZXCXDYGXCCTSJYEGSFANNFT
      OZXCYHTXGVHZTOZJTEYJVITJTVJVKTFYIVLVMVNPXCSSAXSVOZTNEXCVPPSNEXCVQPSTLTSVS
      SQVRSTVTWJYDTEYDFKJQXCYDWAWBXCYDSEIYEWCWDWEXEASOZYCYGWKXCYLXDYKMYBYFBCSAX
      IYEJGWFWGRWHWIWLXRXKUIUAEZJXLGHXCYMXDXQXJAWMWNYMJXKWOKZXLGYMXKSLJYNGHXKWP
      XKWQRXKWRXARWSWTXCXOXNQXDBAXBMXA $.
  $}

  $( The zero function is simple.  (Contributed by Mario Carneiro,
     18-Jun-2014.) $)
  i1f0 $p |- ( RR X. { 0 } ) e. dom S.1 $=
    ( vx cr cc0 csn cxp citg1 cdm wcel wtru wf 0re fconst6 a1i crn cfn wss snfi
    cvol adantl pm2.21dd rnxpss ssfi mp2an cv cdif wa ccnv difss sstri sseli wn
    cima eldifn cfv i1fd mptru ) BCDZEZFGHIAURBBURJIBCBKLMURNZOHZIUQOHUSUQPUTCQ
    BUQUAZUQUSUBUCMIAUDZUSUQUEZHZUFZVBUQHZURUGVBDULZRGHVDVFIVCUQVBVCUSUQUSUQUHV
    AUIUJSZVDVFUKIVBUSUQUMSZTVEVFVGRUNBHVHVITUOUP $.

  $( The zero function has zero integral.  (Contributed by Mario Carneiro,
     18-Jun-2014.) $)
  itg10 $p |- ( S.1 ` ( RR X. { 0 } ) ) = 0 $=
    ( vx cr cc0 csn cxp citg1 cfv crn cdif cv ccnv cima cvol cmul co csu c0 cdm
    wcel wceq i1f0 itg1val ax-mp wss rnxpss ssdif0 mpbi sumeq1i sum0 3eqtri ) B
    CDZEZFGZULHZUKIZAJZULKUPDLMGNOZAPZQUQAPCULFRSUMURTUAAULUBUCUOQUQAUNUKUDUOQT
    BUKUEUNUKUFUGUHUQAUIUJ $.

  ${
    $d x y A $.  $d y z F $.
    i1f1.1 $e |- F = ( x e. RR |-> if ( x e. A , 1 , 0 ) ) $.
    $( Lemma for ~ i1f1 and ~ itg11 .  (Contributed by Mario Carneiro,
       18-Jun-2014.) $)
    i1f1lem $p |- ( F : RR --> { 0 , 1 } /\
                    ( A e. dom vol -> ( `' F " { 1 } ) = A ) ) $=
      ( vy cr cc0 c1 cpr wf wcel wceq cv cif 1ex c0ex wa eqeq1d wn bitrdi prid2
      cvol cdm ccnv csn cima wi wral prid1 ifcli rgenw fmpt mpbi cfv wfn wb a1i
      fmptd ffn elpreima 3syl fvex elsn eleq1w ifbid ifex fvmpt 0ne1 necon3bbid
      wne iffalse mpbiri con4i iftrue impbii syl5bb mblss sseld pm4.71rd bitr4d
      pm5.32i eqrdv pm3.2i ) FGHIZCJZBUBUCKZCUDHUEZUFZBLUGAMZBKZHGNZWDKZAFUHWEW
      LAFWJHGWDGHOUAGHPUIUJZUKAFWDWKCDULUMWFEWHBWFEMZWHKZWNFKZWNBKZQZWQWFWOWPWN
      CUNZWGKZQZWRWFWECFUOWOXAUPWFAFWKWDCWLWFWIFKQWMUQDURFWDCUSFWNWGCUTVAWPWTWQ
      WTWSHLZWPWQWSHWNCVBVCWPXBWQHGNZHLZWQWPWSXCHAWNWKXCFCWIWNLWJWQHGAEBVDVEDWQ
      HGOPVFVGRXDWQWQXDWQSZXDSGHVJVHXEXDGHXEXCGHWQHGVKRVIVLVMWQHGVNVOTVPWATWFWQ
      WPWFBFWNBVQVRVSVTWBWC $.

    $( Base case simple functions are indicator functions of measurable sets.
       (Contributed by Mario Carneiro, 18-Jun-2014.) $)
    i1f1 $p |- ( ( A e. dom vol /\ ( vol ` A ) e. RR ) -> F e. dom S.1 ) $=
      ( vy cvol wcel cfv cr wa wf cc0 c1 wss csn cima wceq mp2an a1i cdif prssi
      cdm cpr ccnv wi i1f1lem simpli 0re 1re fss cfn crn prfi cv cif prid2 c0ex
      1ex prid1 ifcli fmptd frn syl ssfi sylancr cun ax-mp df-pr equncomi ssdif
      sseqtri difun2 difss eqsstri sstri sseli elsni sneqd simpri adantr simpll
      imaeq2d sylan9eqr eqeltrd fveq2d simplr i1fd ) BFUBZGZBFHZIGZJZECIICKZWLI
      LMUCZCKZWNINZWMWOWICUDZMOZPZBQZUEZABCDUFZUGZLIGMIGWPUHUILMIUARIWNICUJRSWL
      WNUKGCULZWNNZXDUKGLMUMWLWOXEWLAIAUNZBGZMLUOZWNCXHWNGWLXFIGJXGMLWNLMURUPLM
      UQUSUTSDVAIWNCVBZVCWNXDVDVEWLEUNZXDLOZTZGZJZWQXJOZPZBWHXMWLXPWSBXMXOWRWQX
      MXJMXMXJWRGXJMQXLWRXJXLWRXKVFZXKTZWRXDXQNXLXRNXDWNXQWOXEXCXIVGWNXKWRLMVHV
      IVKXDXQXKVJVGXRWRXKTWRWRXKVLWRXKVMVNVOVPXJMVQVCVRWBWIWTWKWOXAXBVSVTWCZWIW
      KXMWAWDXNXPFHWJIXNXPBFXSWEWIWKXMWFWDWG $.

    $( The integral of an indicator function is the volume of the set.
       (Contributed by Mario Carneiro, 18-Jun-2014.)  (Revised by Mario
       Carneiro, 23-Aug-2014.) $)
    itg11 $p |- ( ( A e. dom vol /\ ( vol ` A ) e. RR ) ->
                  ( S.1 ` F ) = ( vol ` A ) ) $=
      ( vy vz cvol wcel cfv cr citg1 wceq c0 cc0 csn ax-mp c1 cmul wss eqtrd wa
      cdm wi cxp covol ovol0 0mbl mblvol itg10 3eqtr4ri cv cif cmpt noel mtbiri
      eleq2 iffalsed mpteq2dv fconstmpt 3eqtr4g fveq2d fveq2 3eqtr4a a1i wne n0
      wex crn cdif ccnv cima csu i1f1 adantr itg1val syl cpr i1f1lem simpli frn
      co wf ssdif difprsnss sstri mblss sselda eleq1w ifbid 1ex c0ex ifex fvmpt
      iftrue adantl wfn ffn fnfvelrn sylancr eqeltrrd ax-1ne0 eldifsn sylanblrc
      snssd eqssd sumeq1d cc 1re simpri ad2antrr oveq2d simplr recnd mulid2d id
      eqeltrd sneq imaeq2d oveq12d sumsn ex exlimdv syl5bi pm2.61dne ) BGUBZHZB
      GIZJHZUAZCKIZYGLZBMBMLZYKUCYIYLJNOZUDZKIZMGIZYJYGMUEIZNYPYOUFMYEHYPYQLUGM
      UHPUIUJYLCYNKYLAJAUKZBHZQNULZUMAJNUMCYNYLAJYTNYLYSQNYLYSYRMHYRUNBMYRUPUOU
      QURDAJNUSUTVABMGVBVCVDBMVEEUKZBHZEVGYIYKEBVFYIUUBYKEYIUUBYKYIUUBUAZYJCVHZ
      YMVIZFUKZCVJZUUFOZVKZGIZRWAZFVLZYGUUCCKUBHZYJUULLYIUUMUUBABCDVMVNFCVOVPUU
      CUULQOZUUKFVLZYGUUCUUEUUNUUKFUUCUUEUUNUUEUUNSUUCUUENQVQZYMVIZUUNUUDUUPSZU
      UEUUQSJUUPCWBZUURUUSYFUUGUUNVKZBLZUCZABCDVRZVSZJUUPCVTPUUDUUPYMWCPNQWDWEV
      DUUCQUUEUUCQUUDHQNVEQUUEHUUCUUACIZQUUDUUCUVEUUBQNULZQUUCUUAJHZUVEUVFLYIBJ
      UUAYFBJSYHBWFVNWGZAUUAYTUVFJCYRUUALYSUUBQNAEBWHWIDUUBQNWJWKWLWMVPUUBUVFQL
      YIUUBQNWNWOTUUCCJWPZUVGUVEUUDHUUSUVIUVDJUUPCWQPUVHJUUACWRWSWTXAQUUDNXBXCX
      DXEXFUUCUUOQUUTGIZRWAZYGUUCQJHUVKXGHUUOUVKLXHUUCUVKYGXGUUCUVKQYGRWAYGUUCU
      VJYGQRUUCUUTBGYFUVAYHUUBUUSUVBUVCXIXJVAXKUUCYGUUCYGYFYHUUBXLXMZXNTZUVLXPU
      UKUVKFQJUUFQLZUUFQUUJUVJRUVNXOUVNUUIUUTGUVNUUHUUNUUGUUFQXQXRVAXSXTWSUVMTT
      TYAYBYCYD $.
  $}

  ${
    $d k x A $.  $d x B $.  $d k F $.  $d k x ph $.
    itg1addlem.1 $e |- ( ph -> F : X --> Y ) $.
    itg1addlem.2 $e |- ( ph -> A e. Fin ) $.
    itg1addlem.3 $e |- ( ( ph /\ k e. A ) -> B C_ ( `' F " { k } ) ) $.
    itg1addlem.4 $e |- ( ( ph /\ k e. A ) -> B e. dom vol ) $.
    itg1addlem.5 $e |- ( ( ph /\ k e. A ) -> ( vol ` B ) e. RR ) $.
    $( Decompose a preimage, which is always a disjoint union.  (Contributed by
       Mario Carneiro, 25-Jun-2014.)  (Proof shortened by Mario Carneiro,
       11-Dec-2016.) $)
    itg1addlem1 $p |- ( ph ->
      ( vol ` U_ k e. A B ) = sum_ k e. A ( vol ` B ) ) $=
      ( vx wcel cvol cfv wa wral wceq cv cfn cdm cr ciun csu jca ralrimiva ccnv
      wdisj csn cima wss adantrr simprr sseldd wfn wb adantr fniniseg syl mpbid
      ffnd simprd ralrimivva invdisj volfiniun syl3anc ) ABUANCOUBNZCOPZUCNZQZD
      BRDBCUIZDBCUDOPBVIDUESIAVKDBADTZBNZQVHVJKLUFUGAMTZEPZVMSZMCRDBRVLAVQDMBCA
      VNVOCNZQZQZVOFNZVQVTVOEUHVMUJUKZNZWAVQQZVTCWBVOAVNCWBULVRJUMAVNVRUNUOVTEF
      UPZWCWDUQAWEVSAFGEHVBURFVMVOEUSUTVAVCVDDMBCVPVEUTBCDVFVG $.
  $}

  ${
    $d i j y z A $.  $d i j B $.  $d w y I $.  $d v w x y z P $.
    $d i j u v w x y z F $.  $d i j u v w x y z G $.  $d i j v w x y z ph $.
    i1fadd.1 $e |- ( ph -> F e. dom S.1 ) $.
    i1fadd.2 $e |- ( ph -> G e. dom S.1 ) $.
    $( Decompose the preimage of a sum.  (Contributed by Mario Carneiro,
       19-Jun-2014.) $)
    i1faddlem $p |- ( ( ph /\ A e. CC ) -> ( `' ( F oF + G ) " { A } ) =
      U_ y e. ran G ( ( `' F " { ( A - y ) } ) i^i ( `' G " { y } ) ) ) $=
      ( cc wcel wa caddc co csn cima cmin cr wceq wb cvv syl vz cof ccnv crn cv
      cin ciun wrex cfv wfn citg1 cdm wf i1ff ffnd reex a1i inidm offn fniniseg
      adantr ad2antrr simprl fnfvelrn simprr eqidd ofval ad2ant2r eqtr3d oveq1d
      syl2anc wss ax-resscn sylancl ffvelrnd pncand mpbir2and elind oveq2 sneqd
      fss eqtr2d imaeq2d sneq ineq12d eleq2d rspcev elin anbi12d anandi simprrl
      ex simprrr oveq12d simplr eqeltrrd npcand 3eqtrd syl5bir sylbid rexlimdvw
      jca syl5bi impbid bitrd eliun bitr4di eqrdv ) ACHIZJZUADEKUBLZUCCMNZBEUDZ
      DUCZCBUEZOLZMZNZEUCZXOMZNZUFZUGZXJUAUEZXLIZYDYBIZBXMUHZYDYCIXJYEYDPIZYDXK
      UIZCQZJZYGXJXKPUJZYEYKRAYLXIAPPKPDESSAPPDADUKULZIPPDUMZFDUNTZUOZAPPEAEYMI
      PPEUMZGEUNTZUOZPSIAUPUQZYTPURZUSVAPCYDXKUTTXJYKYGXJYKYGXJYKJZYDEUIZXMIZYD
      XNCUUCOLZMZNZXSUUCMZNZUFZIZYGUUBEPUJZYHUUDAUULXIYKYSVBZXJYHYJVCZPYDEVDVKU
      UBUUGUUIYDUUBYDUUGIZYHYDDUIZUUEQZUUNUUBUUEUUPUUCKLZUUCOLUUPUUBCUURUUCOUUB
      YICUURXJYHYJVEAYHYIUURQZXIYJAPPUUPUUCKPDESSYDYPYSYTYTUUAAYHJZUUPVFUUTUUCV
      FVGZVHVIVJUUBUUPUUCUUBPHYDDAPHDUMZXIYKAYNPHVLZUVBYOVMPPHDWAVNVBUUNVOUUBPH
      YDEAPHEUMZXIYKAYQUVCUVDYRVMPPHEWAVNZVBUUNVOVPWBUUBDPUJZUUOYHUUQJRAUVFXIYK
      YPVBPUUEYDDUTTVQUUBYDUUIIZYHUUCUUCQZUUNUUBUUCVFUUBUULUVGYHUVHJRUUMPUUCYDE
      UTTVQVRYFUUKBUUCXMXOUUCQZYBUUJYDUVIXRUUGYAUUIUVIXQUUFXNUVIXPUUEXOUUCCOVSV
      TWCUVIXTUUHXSXOUUCWDWCWEWFWGVKWLXJYFYKBXMYFYDXRIZYDYAIZJZXJYKYDXRYAWHXJUV
      LYHUUPXPQZJZYHUUCXOQZJZJZYKXJUVJUVNUVKUVPXJUVFUVJUVNRAUVFXIYPVAPXPYDDUTTX
      JUULUVKUVPRAUULXIYSVAPXOYDEUTTWIUVQYHUVMUVOJZJZXJYKYHUVMUVOWJXJUVSYKXJUVS
      JZYHYJXJYHUVRVCZUVTYIUURXPXOKLCAYHUUSXIUVRUVAVHUVTUUPXPUUCXOKXJYHUVMUVOWK
      XJYHUVMUVOWMZWNUVTCXOAXIUVSWOUVTUUCXOHUWBUVTPHYDEAUVDXIUVSUVEVBUWAVOWPWQW
      RXBWLWSWTXCXAXDXEBYDXMYBXFXGXH $.

    $( Decompose the preimage of a product.  (Contributed by Mario Carneiro,
       19-Jun-2014.) $)
    i1fmullem $p |- ( ( ph /\ A e. ( CC \ { 0 } ) ) ->
      ( `' ( F oF x. G ) " { A } ) = U_ y e. ( ran G \ { 0 } )
        ( ( `' F " { ( A / y ) } ) i^i ( `' G " { y } ) ) ) $=
      ( cc0 csn wcel wa cmul co cima cdiv cr wceq wb cvv syl vz cc cdif cof crn
      ccnv cv cin ciun wrex cfv wfn citg1 cdm wf i1ff ffnd reex a1i offn adantr
      inidm fniniseg eqidd eqeq1d pm5.32da wne ad2antrr simprl fnfvelrn syl2anc
      ofval eldifsni ad2antlr simprr recnd mul01d 3netr4d oveq2 necon3i eldifsn
      ffvelrnd sylanbrc divcan4d oveq1d eqtr3d elind sneqd imaeq2d sneq ineq12d
      mpbir2and eleq2d rspcev ex anbi12d elin anandi 3bitr4g eldifi frnd simpld
      sylib sseldd simprd oveq12 syl5ibrcom anassrs imdistanda sylbid rexlimdva
      wi divcan1d impbid 3bitrd eliun bitr4di eqrdv ) ACUBHIZUCJZKZUADELUDMZUFC
      INZBEUEZXSUCZDUFZCBUGZOMZIZNZEUFZYGIZNZUHZUIZYAUAUGZYCJZYPYNJZBYEUJZYPYOJ
      YAYQYPPJZYPYBUKZCQZKZYTYPDUKZYPEUKZLMZCQZKZYSYAYBPULZYQUUCRAUUIXTAPPLPDES
      SAPPDADUMUNZJPPDUOZFDUPTZUQZAPPEAEUUJJPPEUOZGEUPTZUQZPSJZAURUSZUURPVBZUTV
      APCYPYBVCTYAYTUUBUUGYAYTKZUUAUUFCYAPPUUDUUELPDESSYPADPULZXTUUMVAZAEPULZXT
      UUPVAZUUQYAURUSZUVEUUSUUTUUDVDUUTUUEVDVLVEVFYAUUHYSYAUUHYSYAUUHKZUUEYEJZY
      PYFCUUEOMZIZNZYKUUEIZNZUHZJZYSUVFUUEYDJZUUEHVGZUVGUVFUVCYTUVOAUVCXTUUHUUP
      VHZYAYTUUGVIZPYPEVJVKUVFUUFUUDHLMZVGUVPUVFCHUUFUVSXTCHVGAUUHCUBHVMVNYAYTU
      UGVOZUVFUUDUVFUUDUVFPPYPDAUUKXTUUHUULVHZUVRWBVPZVQVRUUEHUUFUVSUUEHUUDLVSV
      TTZUUEYDHWAWCUVFUVJUVLYPUVFYPUVJJZYTUUDUVHQZUVRUVFUUFUUEOMUUDUVHUVFUUDUUE
      UWBUVFUUEUVFPPYPEAUUNXTUUHUUOVHUVRWBVPUWCWDUVFUUFCUUEOUVTWEWFUVFUVAUWDYTU
      WEKRUVFPPDUWAUQPUVHYPDVCTWLUVFYPUVLJZYTUUEUUEQZUVRUVFUUEVDUVFUVCUWFYTUWGK
      RUVQPUUEYPEVCTWLWGYRUVNBUUEYEYGUUEQZYNUVMYPUWHYJUVJYMUVLUWHYIUVIYFUWHYHUV
      HYGUUECOVSWHWIUWHYLUVKYKYGUUEWJWIWKWMWNVKWOYAYRUUHBYEYAYGYEJZKZYRYTUUDYHQ
      ZUUEYGQZKZKZUUHYAYRUWNRUWIYAYPYJJZYPYMJZKYTUWKKZYTUWLKZKYRUWNYAUWOUWQUWPU
      WRYAUVAUWOUWQRUVBPYHYPDVCTYAUVCUWPUWRRUVDPYGYPEVCTWPYPYJYMWQYTUWKUWLWRWSV
      AUWJYTUWMUUGYAUWIYTUWMUUGXLYAUWIYTKZKZUUGUWMYHYGLMZCQUWTCYGXTCUBJAUWSCUBX
      SWTVNUWTYGUWTYDPYGUWTPPEAUUNXTUWSUUOVHXAUWTYGYDJZYGHVGZUWTUWIUXBUXCKYAUWI
      YTVIYGYDHWAXCZXBXDVPUWTUXBUXCUXDXEXMUWMUUFUXACUUDYHUUEYGLXFVEXGXHXIXJXKXN
      XOBYPYEYNXPXQXR $.

    $( The sum of two simple functions is a simple function.  (Contributed by
       Mario Carneiro, 18-Jun-2014.) $)
    i1fadd $p |- ( ph -> ( F oF + G ) e. dom S.1 ) $=
      ( vu vv vz caddc cr cv wcel wa syl wceq cc0 cvol ad2antrr cfv covol vy vx
      vw cof co cvv readdcl adantl citg1 cdm wf i1ff reex a1i inidm off crn cxp
      cmpo cfn wfo i1frn xpfi syl2anc wfn eqid ovex fnmpoi dffn4 mpbi fofi wrex
      sylancl cab mp3an3 eqeq1 2rexbidv elab sylibr ffnd dffn3 sylib frnd rnmpo
      rspceov sseqtrrdi ssfid csn cdif ccnv cima cmin cin ssdifssd sselda recnd
      ciun cc i1faddlem syldan wral adantr cmbf i1fmbf eldifi ad2antlr resubcld
      sseldd mbfimasn syl3anc inmbl ralrimiva finiunmbl eqeltrd wss csu cle wbr
      mblvol mblss inss1 adantrr simprr oveq2d subid1d imaeq2d fveq2d i1fima2sn
      eqtrd sneqd sylan eqeltrrd ovolsscl mp3an2i expr wne eldifsn inss2 sylan2
      i1fima sylan2br pm2.61dne fsumrecl sstrid jca ovolfiniun eqbrtrd ovollecl
      i1fd ) AUABCIUDUEZAUBUAJJJIJJJBCUFUFUBKZJLUAKZJLMUUKUULIUEZJLAUUKUULUGUHA
      BUIUJZLZJJBUKZDBULNZACUUNLZJJCUKZECULNZJUFLAUMUNZUVAJUOZUPZAFGBUQZCUQZFKZ
      GKZIUEZUSZUQZUUJUQZAUVDUVEURZUTLZUVLUVJUVIVAZUVJUTLAUVDUTLZUVEUTLZUVMAUUO
      UVODBVBNAUURUVPECVBNZUVDUVEVCVDUVIUVLVEUVNFGUVDUVEUVHUVIUVIVFZUVFUVGIVGVH
      UVLUVIVIVJUVLUVJUVIVKVMAUVKUCKZUVHOZGUVEVLFUVDVLZUCVNZUVJAJUWBUUJAUBUAJJJ
      IUVDUVEUWBBCUFUFUUKUVDLZUULUVELZMZUUMUWBLZAUWEUUMUVHOZGUVEVLFUVDVLZUWFUWC
      UWDUUMUUMOUWHUUMVFFGUVDUVEUUKUULUUMIWEVOUWAUWHUCUUMUUKUULIVGUVSUUMOUVTUWG
      FGUVDUVEUVSUUMUVHVPVQVRVSUHABJVEJUVDBUKAJJBUUQVTJBWAWBACJVEJUVECUKAJJCUUT
      VTJCWAWBUVAUVAUVBUPWCFGUCUVDUVEUVHUVIUVRWDWFWGAUULUVKPWHZWIZLZMZUUJWJUULW
      HZWKZHUVEBWJZUULHKZWLUEZWHZWKZCWJUWPWHZWKZWMZWQZQUJZAUWKUULWRLZUWNUXCOUWL
      UULAUWJJUULAUVKJUWIAJJUUJUVCWCWNWOWPZAHUULBCDEWSWTZUWLUVPUXBUXDLZHUVEXAUX
      CUXDLAUVPUWKUVQXBZUWLUXHHUVEUWLUWPUVELZMZUWSUXDLZUXAUXDLZUXHUXKBXCLZUUPUW
      QJLUXLUXKUUOUXNAUUOUWKUXJDRBXDNAUUPUWKUXJUUQRUXKUULUWPUXKUVKJUULUXKJJUUJA
      JJUUJUKUWKUXJUVCRWCUWKUULUVKLAUXJUULUVKUWIXEXFXHUWLUVEJUWPUWLJJCAUUSUWKUU
      TXBWCWOZXGJUWQBXIXJZUXKCXCLZUUSUWPJLUXMUXKUURUXQAUURUWKUXJERCXDNAUUSUWKUX
      JUUTRUXOJUWPCXIXJZUWSUXAXKVDXLUVEUXBHXMVDXNZUWLUWNQSZUWNTSZJUWLUWNUXDLZUX
      TUYAOUXSUWNXSNUWLUWNJXOZUVEUXBTSZHXPZJLUYAUYEXQXRUYAJLUWLUYBUYCUXSUWNXTNU
      WLUVEUYDHUXIUXKUYDJLZUWPPUWLUXJUWPPOZUYFUXBUWSXOUWLUXJUYGMZMZUWSJXOZUWSTS
      ZJLUYFUWSUXAYAUYIUXLUYJUWLUXJUXLUYGUXPYBZUWSXTNUYIUWSQSZUYKJUYIUXLUYMUYKO
      UYLUWSXSNUYIUYMUWOUWMWKZQSZJUYIUWSUYNQUYIUWRUWMUWOUYIUWQUULUYIUWQUULPWLUE
      UULUYIUWPPUULWLUWLUXJUYGYCYDUYIUULUWLUXEUYHUXFXBYEYIYJYFYGUWLUYOJLZUYHAUU
      OUWKUYPDUULUVKBYHYKXBXNYLUXBUWSYMYNYOUWLUXJUWPPYPZUYFUXJUYQMUWLUWPUVEUWIW
      ILZUYFUWPUVEPYQUXBUXAXOUWLUYRMZUXAJXOZUXATSZJLUYFUWSUXAYRZUYRUWLUXJUYTUWP
      UVEUWIXEUXKUXMUYTUXRUXAXTNZYSUYSUXAQSZVUAJUYSUXMVUDVUAOAUXMUWKUYRAUURUXME
      UWTCYTNRUXAXSNUWLUURUYRVUDJLAUURUWKEXBUWPUVECYHYKYLUXBUXAYMYNUUAYOUUBZUUC
      UWLUYAUXCTSZUYEXQUWLUWNUXCTUXGYGUWLUVPUXBJXOZUYFMZHUVEXAVUFUYEXQXRUXIUWLV
      UHHUVEUXKVUGUYFUXKUXBUXAJVUBVUCUUDVUEUUEXLUVEUXBHUUFVDUUGUWNUYEUUHXJXNUUI
      $.

    $( The pointwise product of two simple functions is a simple function.
       (Contributed by Mario Carneiro, 5-Sep-2014.) $)
    i1fmul $p |- ( ph -> ( F oF x. G ) e. dom S.1 ) $=
      ( vu vv vz cmul cr cvv cv wcel wa syl cfn wceq wss cfv covol vy vx vw cof
      co remulcl adantl citg1 cdm wf i1ff reex a1i inidm off crn cmpo cxp i1frn
      wfo xpfi syl2anc wfn eqid ovex fnmpoi dffn4 mpbi fofi sylancl cab rspceov
      wrex mp3an3 eqeq1 elab sylibr ffnd dffn3 sylib frnd rnmpo sseqtrrdi ssfid
      2rexbidv cc0 csn cdif ccnv cima cdiv ciun cvol cc ax-resscn sstrdi ssdifd
      cin sselda i1fmullem syldan wral difss ssfi i1fima inmbl ralrimivw adantr
      finiunmbl eqeltrd mblvol csu cle wbr mblss inss2 ad2antrr i1fima2sn sylan
      eqeltrrd ovolsscl syl3anc fsumrecl fveq2d jca ovolfiniun eqbrtrd ovollecl
      ralrimiva i1fd ) AUABCIUDUEZAUBUAJJJIJJJBCKKUBLZJMUALZJMNYLYMIUEZJMAYLYMU
      FUGABUHUIZMZJJBUJDBUKOZACYOMZJJCUJECUKOZJKMAULUMZYTJUNZUOZAFGBUPZCUPZFLZG
      LZIUEZUQZUPZYKUPZAUUCUUDURZPMZUUKUUIUUHUTZUUIPMAUUCPMZUUDPMZUULAYPUUNDBUS
      OAYRUUOECUSOZUUCUUDVAVBUUHUUKVCUUMFGUUCUUDUUGUUHUUHVDZUUEUUFIVEVFUUKUUHVG
      VHUUKUUIUUHVIVJAUUJUCLZUUGQZGUUDVMFUUCVMZUCVKZUUIAJUVAYKAUBUAJJJIUUCUUDUV
      ABCKKYLUUCMZYMUUDMZNZYNUVAMZAUVDYNUUGQZGUUDVMFUUCVMZUVEUVBUVCYNYNQUVGYNVD
      FGUUCUUDYLYMYNIVLVNUUTUVGUCYNYLYMIVEUURYNQUUSUVFFGUUCUUDUURYNUUGVOWEVPVQU
      GABJVCJUUCBUJAJJBYQVRJBVSVTACJVCJUUDCUJAJJCYSVRJCVSVTYTYTUUAUOWAFGUCUUCUU
      DUUGUUHUUQWBWCWDAYMUUJWFWGZWHZMZNZYKWIYMWGWJZHUUDUVHWHZBWIYMHLZWKUEWGZWJZ
      CWIUVNWGZWJZWRZWLZWMUIZAUVJYMWNUVHWHZMUVLUVTQAUVIUWBYMAUUJWNUVHAUUJJWNAJJ
      YKUUBWAWOWPWQWSAHYMBCDEWTXAZAUVTUWAMZUVJAUVMPMZUVSUWAMZHUVMXBUWDAUUOUVMUU
      DRUWEUUPUUDUVHXCUUDUVMXDVJZAUWFHUVMAUVPUWAMZUVRUWAMZUWFAYPUWHDUVOBXEOAYRU
      WIEUVQCXEOZUVPUVRXFVBZXGUVMUVSHXIVBXHXJZUVKUVLWMSZUVLTSZJUVKUVLUWAMZUWMUW
      NQUWLUVLXKOUVKUVLJRZUVMUVSTSZHXLZJMUWNUWRXMXNUWNJMUVKUWOUWPUWLUVLXOOUVKUV
      MUWQHAUWEUVJUWGXHZUVKUVNUVMMZNZUVSUVRRZUVRJRZUVRTSZJMUWQJMZUXBUXAUVPUVRXP
      UMUXAUWIUXCAUWIUVJUWTUWJXQZUVRXOOUXAUVRWMSZUXDJUXAUWIUXGUXDQUXFUVRXKOUVKY
      RUWTUXGJMAYRUVJEXHUVNUUDCXRXSXTUVSUVRYAYBZYCUVKUWNUVTTSZUWRXMUVKUVLUVTTUW
      CYDUVKUWEUVSJRZUXENZHUVMXBUXIUWRXMXNUWSUVKUXKHUVMUXAUXJUXEAUXJUVJUWTAUWFU
      XJUWKUVSXOOXQUXHYEYIUVMUVSHYFVBYGUVLUWRYHYBXJYJ $.

    ${
      itg1add.3 $e |- I = ( i e. RR , j e. RR |-> if ( ( i = 0 /\ j = 0 ) , 0 ,
        ( vol ` ( ( `' F " { i } ) i^i ( `' G " { j } ) ) ) ) ) $.
      $( Lemma for ~ itg1add .  The function ` I ` represents the pieces into
         which we will break up the domain of the sum.  Since it is infinite
         only when both ` i ` and ` j ` are zero, we arbitrarily define it to
         be zero there to simplify the sums that are manipulated in
         ~ itg1addlem4 and ~ itg1addlem5 .  (Contributed by Mario Carneiro,
         26-Jun-2014.) $)
      itg1addlem2 $p |- ( ph -> I : ( RR X. RR ) --> RR ) $=
        ( cc0 wceq wa csn cvol cfv cr wcel syl ad2antrr wss cv ccnv cin cif cxp
        cima wral wf covol iffalse adantl cdm citg1 i1fima inmbl syl2anc mblvol
        wn eqtrd wne wo neorian inss1 mblss cdif simplrl simpr eldifsn sylanbrc
        i1fima2sn eqeltrrd ovolsscl mp3an2i inss2 adantr simplrr jaodan eqeltrd
        sylan2br ex iftrue 0re eqeltrdi pm2.61d2 ralrimivva fmpo sylib ) ABUAZJ
        KCUAZJKLZJDUBWHMZUFZEUBWIMZUFZUCZNOZUDZPQZCPUGBPUGPPUEPFUHAWRBCPPAWHPQZ
        WIPQZLZLZWJWRXBWJURZWRXBXCLZWQWOUIOZPXDWQWPXEXCWQWPKXBWJJWPUJUKXDWONULZ
        QZWPXEKAXGXAXCAWLXFQZWNXFQZXGADUMULZQZXHGWKDUNRZAEXJQZXIHWMEUNZRWLWNUOU
        PSWOUQRUSXCXBWHJUTZWIJUTZVAXEPQZWHJWIJVBXBXOXQXPWOWLTXBXOLZWLPTZWLUIOZP
        QXQWLWNVCXRXHXSAXHXAXOXLSZWLVDRXRWLNOZXTPXRXHYBXTKYAWLUQRXRXKWHPJMVEZQZ
        YBPQAXKXAXOGSXRWSXOYDAWSWTXOVFXBXOVGWHPJVHVIWHPDVJUPVKWOWLVLVMWOWNTXBXP
        LZWNPTZWNUIOZPQXQWLWNVNYEXIYFXBXIXPXBXMXIAXMXAHVOXNRVOZWNVDRYEWNNOZYGPY
        EXIYIYGKYHWNUQRYEXMWIYCQZYIPQAXMXAXPHSYEWTXPYJAWSWTXPVPXBXPVGWIPJVHVIWI
        PEVJUPVKWOWNVLVMVQVSVRVTWJWQJPWJJWPWAWBWCWDWEBCPPWQPFIWFWG $.

      $( Lemma for ~ itg1add .  (Contributed by Mario Carneiro,
         26-Jun-2014.) $)
      itg1addlem3 $p |- ( ( ( A e. RR /\ B e. RR ) /\
                             -. ( A = 0 /\ B = 0 ) ) ->
          ( A I B ) = ( vol ` ( ( `' F " { A } ) i^i ( `' G " { B } ) ) ) ) $=
        ( cr wcel wa cc0 wceq ccnv csn cima cvol wn co cin cfv cv bi2anan9 sneq
        eqeq1 imaeq2d ineqan12d fveq2d ifbieq2d c0ex fvex ifex iffalse sylan9eq
        cif ovmpoa ) BLMCLMNBOPZCOPZNZUABCHUBVBOFQZBRZSZGQZCRZSZUCZTUDZURZVJDEB
        CLLDUEZOPZEUEZOPZNZOVCVLRZSZVFVNRZSZUCZTUDZURVKHVLBPZVNCPZNZVPVBWBVJOWC
        VMUTWDVOVAVLBOUHVNCOUHUFWEWAVITWCWDVRVEVTVHWCVQVDVCVLBUGUIWDVSVGVFVNCUG
        UIUJUKULKVBOVJUMVITUNUOUSVBOVJUPUQ $.

      itg1add.4 $e |- P = ( + |` ( ran F X. ran G ) ) $.
      $( Lemma for ~ itg1add .  (Contributed by Mario Carneiro, 28-Jun-2014.)
         (Proof shortened by SN, 3-Oct-2024.) $)
      itg1addlem4 $p |- ( ph -> ( S.1 ` ( F oF + G ) ) =
        sum_ y e. ran F sum_ z e. ran G ( ( y + z ) x. ( y I z ) ) ) $=
        ( caddc co cc0 wcel cr wceq wa vw vx vv cof citg1 cfv crn csn cdif cmin
        cv cmul csu ccnv cima cvol cdm cfn wss i1fadd cxp cc wfn wf ax-addf ffn
        cres ax-mp i1frn xpfi syl2anc resfnfinfin sylancr eqeltrid rnfi sylancl
        syl difss ssfi cvv cop wfun ffun i1ff frnd ax-resscn sstrdi xpss12 fdmi
        wi sseqtrrdi funfvima2 df-ov 3eltr4g ffnd dffn3 sylib a1i ssdifd sselda
        wral wb cin adantr inss2 i1fima ad2antrr wn sstrid adantlr resubcld wne
        npcand oveq12 eqtrdi itg1addlem3 syl21anc fovrnd syldan fveq2d sumeq2dv
        recnd 3eqtr4d oveq2d eqtrd anasss fsumcom oveq1 oveq12d adantl readdcld
        00id ex remulcld oveq1d ad2antrl c0 vex 0re fsumss opelxpi impel df-ima
        rneqi eqtr4i inidm off anim12dan readdcl ralrimivva funimassov eqsstrid
        reex itg1val2 syl13anc ciun inmbl eldifsni ad2antlr eqnetrd itg1addlem2
        mpbird necon3ai itg1addlem1 i1faddlem fsummulc2 mulcld 3eqtrd cmpt wf1o
        eqeltrrd wf1 adantrr ad2ant2rl subcan2ad dom2lem f1f1orn eqid fvmpt f1f
        ovex frn 3syl fsumf1o wrex simpr simplr opelxpd mpan sylc pncand eqcomd
        cab rspceeqv ralrimiva sylibr rnmpt eldifi simprr inss1 eldifn eliniseg
        ssabral wbr elv brelrn sylbi nsyl pm2.21d ssrdv covol 0mbl mblvol ovol0
        ss0 eqtri mul01d expr cif iftrue ovmpoa mp2an 0cn mul01i pm2.61d2 f1ofo
        c0ex wfo fofi an32s dfin4 eqsstrri sseli eqeltrdi mul02d sylan2 3eqtr2d
        elsni ) AGHNUDOZUEUFZHUGZDUGZPUHZUIZUAUKZVUECUKZUJOZVUFIOZULOZUAUMZCUMZ
        VUAGUGZBUKZVUFNOZVUMVUFIOZULOZBUMZCUMVULVUAVUPCUMBUMAUYTVUDVUEUYSUNVUEU
        HUOZUPUFZULOZUAUMZVUDVUAVUICUMZUAUMVUKAUYSUEUQZQVUDURQZUYSUGZVUCUIVUDUS
        VUDRVUCUIUSUYTVVASAGHJKUTAVUBURQZVUDVUBUSZVVDADURQVVFADNVULVUAVAZVGZURM
        ANVBVBVAZVCZVVHURQZVVIURQVVJVBNVDZVVKVEVVJVBNVFVHAVULURQZVUAURQZVVLAGVV
        CQZVVNJGVIVQZAHVVCQZVVOKHVIVQZVULVUAVJVKVVJVVHNVLVMVNDVOVQZVUBVUCVRZVUB
        VUDVSVPZAVVEVUBVUCARVUBUYSAUBBRRRNVULVUAVUBGHVTVTAUBUKZVULQVUMVUAQTZTVW
        CVUMWAZNUFZNVVHUOZVWCVUMNOVUBAVWEVVHQZVWFVWGQZVWDANWBZVVHNUQZUSZVWHVWIW
        JVVMVWJVEVVJVBNWCVHZAVVHVVJVWKAVULVBUSVUAVBUSVVHVVJUSAVULRVBARRGAVVPRRG
        VDJGWDVQZWEZWFWGAVUARVBARRHAVVRRRHVDZKHWDVQZWEZWFWGVULVBVUAVBWHVKVVJVBN
        VEWIWKZVVHVWENWLVMVWCVUMVULVUAUUAUUBVWCVUMNWMVUBVVIUGVWGDVVIMUUDNVVHUUC
        UUEZWNAGRVCRVULGVDARRGVWNWORGWPWQAHRVCRVUAHVDARRHVWQWORHWPWQRVTQAUUMWRZ
        VXARUUFUUGWEWSAVUBRVUCAVUBVWGRVWTAVWGRUSZVUNRQZCVUAXABVULXAZAVXCBCVULVU
        AAVUMVULQZVUFVUAQZTTVUMRQZVUFRQZTVXCAVXEVXGVXFVXHAVULRVUMVWOWTZAVUARVUF
        VWRWTZUUHVUMVUFUUIVQUUJAVWJVWLVXBVXDXBVWMVWSBCVULVUARNUUKVMUVBUULZWSUAV
        UDUYSUUNUUOAVUDVUTVVBUAAVUEVUDQZTZVUTVUEVUAVUHCUMZULOVVBVXMVUSVXNVUEULV
        XMCVUAGUNZVUGUHZUOZHUNZVUFUHZUOZXCZUUPZUPUFVUAVYAUPUFZCUMVUSVXNVXMVUAVY
        ACHRRAVWPVXLVWQXDAVVOVXLVVSXDZVYAVXTUSVXMVXFTZVXQVXTXEWRAVYAUPUQZQZVXLV
        XFAVXQVYFQZVXTVYFQZVYGAVVPVYHJVXPGXFVQAVVRVYIKVXSHXFVQVXQVXTUUQVKXGVYEV
        UHVYCRVYEVUGRQVXHVUGPSVUFPSZTZXHZVUHVYCSVYEVUEVUFVXMVUERQVXFAVUDRVUEAVU
        DVUBRVWAVXKXIWTZXDZAVXFVXHVXLVXJXJZXKZVYOVYEVUGVUFNOZPXLVYLVYEVYQVUEPVY
        EVUEVUFVYEVUEVYNYBZVYEVUFVYOYBXMVXLVUEPXLAVXFVUEVUBPUURUUSUUTVYKVYQPVYK
        VYQPPNOZPVUGPVUFPNXNYLXOUVCVQAVUGVUFEFGHIJKLXPXQZVYEVUGVUFRRRIARRVARIVD
        ZVXLVXFAEFGHIJKLUVAZXGVYPVYOXRZUVKUVDVXMVURVYBUPAVXLVUEVBQVURVYBSVXMVUE
        VYMYBZACVUEGHJKUVEXSXTVXMVUAVUHVYCCVYTYAYCYDVXMVUAVUHVUECVYDWUDVYEVUHWU
        CYBZUVFYEYAAVUDVUAVUIUACVWBVVSAVXLVXFVUIVBQZVYEVUEVUHVYRWUEUVGZYFYGUVHA
        VUAVUQVUJCAVXFTZUCVUBUCUKZVUFUJOZUVIZUGZVUPBUMZVUBVUIUAUMZVUQVUJWUHWUMV
        UBVYQVUHULOZUAUMWUNWUHWULVUPVUBWUOBUAWUKVUGVUMVUGSVUNVYQVUOVUHULVUMVUGV
        UFNYHVUMVUGVUFIYHYIAVVFVXFVVTXDZWUHVUBRWUKUVLZVUBWULWUKUVJZWUHUCBVUBRWU
        JVUMVUFUJOZWUHWUIVUBQZWUJRQWUHWUTTZWUIVUFWUHVUBRWUIAVUBRUSVXFVXKXDZWTZW
        UHVXHWUTVXJXDXKYMWUHWUTVUMVUBQZTZWUJWUSSWUIVUMSXBWUHWVETZWUIVUMVUFWUHWU
        TWUIVBQWVDWVAWUIWVCYBUVMWVFVUMAWVDVXGVXFWUTAVUBRVUMVXKWTUVNYBWUHVUFVBQZ
        WVEWUHVUFVXJYBZXDUVOYMUVPZVUBRWUKUVQVQZVUEVUBQZVUEWUKUFVUGSWUHUCVUEWUJV
        UGVUBWUKWUIVUEVUFUJYHWUKUVRZVUEVUFUJUWAUVSYJWUHVUMWULQZTZVUPWVNVUNVUOWV
        NVUMVUFWUHWULRVUMWUHWUQVUBRWUKVDWULRUSWVIVUBRWUKUVTVUBRWUKUWBUWCZWTZWUH
        VXHWVMVXJXDZYKWVNVUMVUFRRRIAWUAVXFWVMWUBXGWVPWVQXRYNYBUWDWUHVUBWUOVUIUA
        WUHWVKTZVYQVUEVUHULWVRVUEVUFWVRVUEWUHVUBRVUEWVBWTYBWUHWVGWVKWVHXDXMYOYA
        YEWUHVULWULVUPBWUHVULVUMWUJSUCVUBUWEZBUWMZWULWUHWVSBVULXAVULWVTUSWUHWVS
        BVULWUHVXETZVUNVUBQVUMVUNVUFUJOZSWVSWWAVUMVUFWAZNUFZVWGVUNVUBWWAVWLWWCV
        VHQZWWDVWGQZAVWLVXFVXEVWSXGWWAVUMVUFVULVUAWUHVXEUWFAVXFVXEUWGUWHVWJVWLW
        WEWWFWJVWMVVHWWCNWLUWIUWJVUMVUFNWMVWTWNWWAWWBVUMWWAVUMVUFWWAVUMAVXEVXGV
        XFVXIXJZYBWUHWVGVXEWVHXDUWKUWLUCVUNVUBWUJWWBVUMWUIVUNVUFUJYHUWNVKUWOWVS
        BVULUXCUWPUCBVUBWUJWUKWVLUWQWKWWAVUPWWAVUNVUOWWAVUMVUFWWGWUHVXHVXEVXJXD
        ZYKWWAVUMVUFRRRIAWUAVXFVXEWUBXGWWGWWHXRYNYBZWUHVUMWULVULUIZQVUMRVULUIZQ
        ZVUPPSZWUHWWJWWKVUMWUHWULRVULWVOWSWTWUHWWLTVUMPSVYJTZWWMWUHWWLWWNXHZWWM
        WUHWWLWWOTZTZVUPVUNPULOPWWQVUOPVUNULWWQVUOVXOVUMUHUOZVXTXCZUPUFZPWWQVXG
        VXHWWOVUOWWTSWWLVXGWUHWWOVUMRVULUWRYPZWUHVXHWWPVXJXDZWUHWWLWWOUWSAVUMVU
        FEFGHIJKLXPXQWWQWWTYQUPUFZPWWQWWSYQUPWWQWWSYQUSWWSYQSWWQWWSWWRYQWWRVXTU
        WTWWQUCWWRYQWWQWUIWWRQZWUIYQQWWQVXEWXDWWLVXEXHWUHWWOVUMRVULUXAYPWXDWUIV
        UMGUXDZVXEWXDWXEXBBGVUMWUIVTUCYRZUXBUXEWUIVUMGWXFBYRUXFUXGUXHUXIUXJXIWW
        SUXOVQXTWXCYQUXKUFZPYQVYFQWXCWXGSUXLYQUXMVHUXNUXPXOYEYDWWQVUNWWQVUNWWQV
        UMVUFWXAWXBYKYBUXQYEUXRWWNVUPPPULOPWWNVUNPVUOPULWWNVUNVYSPVUMPVUFPNXNYL
        XOWWNVUOPPIOZPVUMPVUFPIXNPRQZWXIWXHPSYSYSEFPPRREUKZPSFUKZPSTZPVXOWXJUHU
        OVXRWXKUHUOXCUPUFZUXSPIWXLPWXMUXTLUYGUYAUYBXOYIPUYCUYDXOUYEXSWUHVVFVUBW
        ULWUKUYHZWULURQWUPWUHWURWXNWVJVUBWULWUKUYFVQVUBWULWUKUYIVKYTWUHVUDVUBVU
        IUAVVGWUHVWAWRAVXLVXFWUFWUGUYJVUEVUBVUDUIZQWUHVUEVUCQZVUIPSWXOVUCVUEWXO
        VUBVUCXCVUCVUBVUCUYKVUBVUCXEUYLUYMWUHWXPTZVUIPVUHULOPWXQVUEPVUHULWXPVUE
        PSWUHVUEPUYRYJZYOWXQVUHWXQVUHWXQVUGVUFRRRIAWUAVXFWXPWUBXGWXQVUEVUFWXQVU
        EPRWXRYSUYNWUHVXHWXPVXJXDZXKWXSXRYBUYOYEUYPWUPYTYCYAAVUAVULVUPCBVVSVVQA
        VXFVXEVUPVBQWWIYFYGUYQ $.

      $( Obsolete version of ~ itg1addlem4 .  (Contributed by Mario Carneiro,
         28-Jun-2014.)  (Proof modification is discouraged.)
         (New usage is discouraged.) $)
      itg1addlem4OLD $p |- ( ph -> ( S.1 ` ( F oF + G ) ) =
        sum_ y e. ran F sum_ z e. ran G ( ( y + z ) x. ( y I z ) ) ) $=
        ( caddc co cc0 wcel cr wceq wa vw vx vv cof citg1 cfv crn csn cdif cmin
        cv cmul csu ccnv cima cvol cdm cfn wss i1fadd cxp wfo i1frn syl syl2anc
        xpfi wfn cres cc wf ax-addf ffn ax-mp i1ff frnd ax-resscn sstrdi xpss12
        fnssres sylancr fneq1i sylibr dffn4 sylib fofi difss sylancl cvv cop wi
        ssfi sseqtrrdi funfvima2 df-ov 3eltr4g ffnd dffn3 ssdifd wral sselda wb
        a1i cin adantr inss2 i1fima ad2antrr sstrid adantlr resubcld wne npcand
        wn recnd oveq12 00id eqtrdi itg1addlem3 syl21anc fovrnd syldan sumeq2dv
        fveq2d 3eqtr4d oveq2d eqtrd anasss fsumcom oveq12d ex readdcld remulcld
        oveq1 adantl oveq1d ad2antrl c0 vex 0re fsumss wfun opelxpi impel rneqi
        ffun fdmi df-ima reex inidm off anim12dan readdcl ralrimivva funimassov
        eqtr4i mpbird eqsstrid itg1val2 syl13anc ciun eldifsni ad2antlr eqnetrd
        inmbl necon3ai itg1addlem2 eqeltrrd itg1addlem1 i1faddlem mulcld 3eqtrd
        fsummulc2 cmpt wf1o adantrr ad2ant2rl subcan2ad dom2lem eqid ovex fvmpt
        wf1 f1f1orn f1f frn 3syl fsumf1o wrex cab simpr simplr mpan sylc pncand
        opelxpd eqcomd rspceeqv ralrimiva ssabral rnmpt eldifi simprr inss1 wbr
        eldifn eliniseg brelrn sylbi nsyl pm2.21d ssrdv covol 0mbl mblvol ovol0
        elv ss0 eqtri mul01d expr cif iftrue c0ex ovmpoa mp2an 0cn mul01i f1ofo
        pm2.61d2 an32s dfin4 eqsstrri sseli eqeltrdi mul02d sylan2 3eqtr2d
        elsni ) AGHNUDOZUEUFZHUGZDUGZPUHZUIZUAUKZVUECUKZUJOZVUFIOZULOZUAUMZCUMZ
        VUAGUGZBUKZVUFNOZVUMVUFIOZULOZBUMZCUMVULVUAVUPCUMBUMAUYTVUDVUEUYSUNVUEU
        HUOZUPUFZULOZUAUMZVUDVUAVUICUMZUAUMVUKAUYSUEUQZQVUDURQZUYSUGZVUCUIVUDUS
        VUDRVUCUIUSUYTVVASAGHJKUTAVUBURQZVUDVUBUSZVVDAVULVUAVAZURQZVVHVUBDVBZVV
        FAVULURQZVUAURQZVVIAGVVCQZVVKJGVCVDZAHVVCQZVVLKHVCVDZVULVUAVFVEADVVHVGZ
        VVJANVVHVHZVVHVGZVVQANVIVIVAZVGZVVHVVTUSZVVSVVTVINVJZVWAVKVVTVINVLVMAVU
        LVIUSVUAVIUSVWBAVULRVIARRGAVVMRRGVJJGVNVDZVOZVPVQAVUARVIARRHAVVORRHVJZK
        HVNVDZVOZVPVQVULVIVUAVIVRVEZVVTVVHNVSVTVVHDVVRMWAWBVVHDWCWDVVHVUBDWEVEZ
        VUBVUCWFZVUBVUDWKWGZAVVEVUBVUCARVUBUYSAUBBRRRNVULVUAVUBGHWHWHAUBUKZVULQ
        VUMVUAQTZTVWMVUMWIZNUFZNVVHUOZVWMVUMNOVUBAVWOVVHQZVWPVWQQZVWNANUUAZVVHN
        UQZUSZVWRVWSWJVWCVWTVKVVTVINUUEVMZAVVHVVTVXAVWIVVTVINVKUUFWLZVVHVWONWMV
        TVWMVUMVULVUAUUBUUCVWMVUMNWNVUBVVRUGVWQDVVRMUUDNVVHUUGUUOZWOAGRVGRVULGV
        JARRGVWDWPRGWQWDAHRVGRVUAHVJARRHVWGWPRHWQWDRWHQAUUHXBZVXFRUUIUUJVOWRAVU
        BRVUCAVUBVWQRVXEAVWQRUSZVUNRQZCVUAWSBVULWSZAVXHBCVULVUAAVUMVULQZVUFVUAQ
        ZTTVUMRQZVUFRQZTVXHAVXJVXLVXKVXMAVULRVUMVWEWTZAVUARVUFVWHWTZUUKVUMVUFUU
        LVDUUMAVWTVXBVXGVXIXAVXCVXDBCVULVUARNUUNVTUUPUUQZWRUAVUDUYSUURUUSAVUDVU
        TVVBUAAVUEVUDQZTZVUTVUEVUAVUHCUMZULOVVBVXRVUSVXSVUEULVXRCVUAGUNZVUGUHZU
        OZHUNZVUFUHZUOZXCZUUTZUPUFVUAVYFUPUFZCUMVUSVXSVXRVUAVYFCHRRAVWFVXQVWGXD
        AVVLVXQVVPXDZVYFVYEUSVXRVXKTZVYBVYEXEXBAVYFUPUQZQZVXQVXKAVYBVYKQZVYEVYK
        QZVYLAVVMVYMJVYAGXFVDAVVOVYNKVYDHXFVDVYBVYEUVDVEXGVYJVUHVYHRVYJVUGRQVXM
        VUGPSVUFPSZTZXMZVUHVYHSVYJVUEVUFVXRVUERQVXKAVUDRVUEAVUDVUBRVWKVXPXHWTZX
        DZAVXKVXMVXQVXOXIZXJZVYTVYJVUGVUFNOZPXKVYQVYJWUBVUEPVYJVUEVUFVYJVUEVYSX
        NZVYJVUFVYTXNXLVXQVUEPXKAVXKVUEVUBPUVAUVBUVCVYPWUBPVYPWUBPPNOZPVUGPVUFP
        NXOXPXQUVEVDAVUGVUFEFGHIJKLXRXSZVYJVUGVUFRRRIARRVARIVJZVXQVXKAEFGHIJKLU
        VFZXGWUAVYTXTZUVGUVHVXRVURVYGUPAVXQVUEVIQVURVYGSVXRVUEVYRXNZACVUEGHJKUV
        IYAYCVXRVUAVUHVYHCWUEYBYDYEVXRVUAVUHVUECVYIWUIVYJVUHWUHXNZUVLYFYBAVUDVU
        AVUIUACVWLVVPAVXQVXKVUIVIQZVYJVUEVUHWUCWUJUVJZYGYHUVKAVUAVUQVUJCAVXKTZU
        CVUBUCUKZVUFUJOZUVMZUGZVUPBUMZVUBVUIUAUMZVUQVUJWUMWURVUBWUBVUHULOZUAUMW
        USWUMWUQVUPVUBWUTBUAWUPVUGVUMVUGSVUNWUBVUOVUHULVUMVUGVUFNYMVUMVUGVUFIYM
        YIAVVFVXKVWJXDZWUMVUBRWUPUWBZVUBWUQWUPUVNZWUMUCBVUBRWUOVUMVUFUJOZWUMWUN
        VUBQZWUORQWUMWVETZWUNVUFWUMVUBRWUNAVUBRUSVXKVXPXDZWTZWUMVXMWVEVXOXDXJYJ
        WUMWVEVUMVUBQZTZWUOWVDSWUNVUMSXAWUMWVJTZWUNVUMVUFWUMWVEWUNVIQWVIWVFWUNW
        VHXNUVOWVKVUMAWVIVXLVXKWVEAVUBRVUMVXPWTUVPXNWUMVUFVIQZWVJWUMVUFVXOXNZXD
        UVQYJUVRZVUBRWUPUWCVDZVUEVUBQZVUEWUPUFVUGSWUMUCVUEWUOVUGVUBWUPWUNVUEVUF
        UJYMWUPUVSZVUEVUFUJUVTUWAYNWUMVUMWUQQZTZVUPWVSVUNVUOWVSVUMVUFWUMWUQRVUM
        WUMWVBVUBRWUPVJWUQRUSWVNVUBRWUPUWDVUBRWUPUWEUWFZWTZWUMVXMWVRVXOXDZYKWVS
        VUMVUFRRRIAWUFVXKWVRWUGXGWWAWWBXTYLXNUWGWUMVUBWUTVUIUAWUMWVPTZWUBVUEVUH
        ULWWCVUEVUFWWCVUEWUMVUBRVUEWVGWTXNWUMWVLWVPWVMXDXLYOYBYFWUMVULWUQVUPBWU
        MVULVUMWUOSUCVUBUWHZBUWIZWUQWUMWWDBVULWSVULWWEUSWUMWWDBVULWUMVXJTZVUNVU
        BQVUMVUNVUFUJOZSWWDWWFVUMVUFWIZNUFZVWQVUNVUBWWFVXBWWHVVHQZWWIVWQQZAVXBV
        XKVXJVXDXGWWFVUMVUFVULVUAWUMVXJUWJAVXKVXJUWKUWOVWTVXBWWJWWKWJVXCVVHWWHN
        WMUWLUWMVUMVUFNWNVXEWOWWFWWGVUMWWFVUMVUFWWFVUMAVXJVXLVXKVXNXIZXNWUMWVLV
        XJWVMXDUWNUWPUCVUNVUBWUOWWGVUMWUNVUNVUFUJYMUWQVEUWRWWDBVULUWSWBUCBVUBWU
        OWUPWVQUWTWLWWFVUPWWFVUNVUOWWFVUMVUFWWLWUMVXMVXJVXOXDZYKWWFVUMVUFRRRIAW
        UFVXKVXJWUGXGWWLWWMXTYLXNZWUMVUMWUQVULUIZQVUMRVULUIZQZVUPPSZWUMWWOWWPVU
        MWUMWUQRVULWVTWRWTWUMWWQTVUMPSVYOTZWWRWUMWWQWWSXMZWWRWUMWWQWWTTZTZVUPVU
        NPULOPWXBVUOPVUNULWXBVUOVXTVUMUHUOZVYEXCZUPUFZPWXBVXLVXMWWTVUOWXESWWQVX
        LWUMWWTVUMRVULUXAYPZWUMVXMWXAVXOXDZWUMWWQWWTUXBAVUMVUFEFGHIJKLXRXSWXBWX
        EYQUPUFZPWXBWXDYQUPWXBWXDYQUSWXDYQSWXBWXDWXCYQWXCVYEUXCWXBUCWXCYQWXBWUN
        WXCQZWUNYQQWXBVXJWXIWWQVXJXMWUMWWTVUMRVULUXEYPWXIWUNVUMGUXDZVXJWXIWXJXA
        BGVUMWUNWHUCYRZUXFUXPWUNVUMGWXKBYRUXGUXHUXIUXJUXKXHWXDUXQVDYCWXHYQUXLUF
        ZPYQVYKQWXHWXLSUXMYQUXNVMUXOUXRXQYFYEWXBVUNWXBVUNWXBVUMVUFWXFWXGYKXNUXS
        YFUXTWWSVUPPPULOPWWSVUNPVUOPULWWSVUNWUDPVUMPVUFPNXOXPXQWWSVUOPPIOZPVUMP
        VUFPIXOPRQZWXNWXMPSYSYSEFPPRREUKZPSFUKZPSTZPVXTWXOUHUOVYCWXPUHUOXCUPUFZ
        UYAPIWXQPWXRUYBLUYCUYDUYEXQYIPUYFUYGXQUYIYAWUMVVFVUBWUQWUPVBZWUQURQWVAW
        UMWVCWXSWVOVUBWUQWUPUYHVDVUBWUQWUPWEVEYTWUMVUDVUBVUIUAVVGWUMVWKXBAVXQVX
        KWUKWULUYJVUEVUBVUDUIZQWUMVUEVUCQZVUIPSWXTVUCVUEWXTVUBVUCXCVUCVUBVUCUYK
        VUBVUCXEUYLUYMWUMWYATZVUIPVUHULOPWYBVUEPVUHULWYAVUEPSWUMVUEPUYRYNZYOWYB
        VUHWYBVUHWYBVUGVUFRRRIAWUFVXKWYAWUGXGWYBVUEVUFWYBVUEPRWYCYSUYNWUMVXMWYA
        VXOXDZXJWYDXTXNUYOYFUYPWVAYTYDYBAVUAVULVUPCBVVPVVNAVXKVXJVUPVIQWWNYGYHU
        YQ $.

      $( Lemma for ~ itg1add .  (Contributed by Mario Carneiro,
         27-Jun-2014.) $)
      itg1addlem5 $p |- ( ph ->
        ( S.1 ` ( F oF + G ) ) = ( ( S.1 ` F ) + ( S.1 ` G ) ) ) $=
        ( vy vz co csu wcel syl adantr cr cc0 crn cv cmul caddc cof cfv cdm cfn
        citg1 i1frn wa wf i1ff frnd sselda recnd cxp itg1addlem2 adantlr fovrnd
        ad2antrr mulcld fsumcl fsumadd itg1addlem4 sumeq2dv eqtrd csn cdif ccnv
        adddird cima cvol wceq itg1val cin ciun wss inss2 a1i i1fima syl2anc wn
        inmbl ssdifssd eldifsni ad2antlr necon3ai itg1addlem3 syl21anc eqeltrrd
        wne simpl itg1addlem1 iunin2 mblss iunid imaeq2i imaiun cnvimarndm fdmd
        3eqtr3i syl5eq sseqtrrd df-ss sylib eqtr2id fveq2d 3eqtr4d oveq2d dfin4
        fsummulc2 difssd eqsstrri sseli elsni oveq1d 0re eqeltrdi mul02d cuz wo
        olcd sumz sylan2 fsumss 3eqtrd inss1 simpr incom iuneq2i eqtri cnvimass
        sseqtrid cc anasss fsumcom oveq12d ) AEUAZFUAZLUBZUUAMUBZGNZUCNZMOZYTUU
        BUUCUCNZMOZUDNZLOZYSUUELOZYSUUGLOZUDNEFUDUENUIUFZEUIUFZFUIUFZUDNAYSUUEU
        UGLAEUIUGZPZYSUHPZHEUJQZAUUAYSPZUKZYTUUDMAYTUHPZUUSAFUUOPZUVAIFUJQZRZUU
        TUUBYTPZUKZUUAUUCUVFUUAUUTUUASPZUVEAYSSUUAASSEAUUPSSEULZHEUMQZUNZUOZRZU
        PZUVFUUCUVFUUAUUBSSSGASSUQSGULZUUSUVEACDEFGHIJURZVAUVLAUVEUUBSPZUUSAYTS
        UUBASSFAUVBSSFULZIFUMQZUNZUOZUSZUTUPZVBZVCUUTYTUUFMUVDUVFUUBUUCUVFUUBUW
        AUPZUWBVBZVCVDAUULYSYTUUAUUBUDNUUCUCNZMOZLOUUIALMBCDEFGHIJKVEAYSUWGUUHL
        UUTUWGYTUUDUUFUDNZMOUUHUUTYTUWFUWHMUVFUUAUUBUUCUVMUWDUWBVKVFUUTYTUUDUUF
        MUVDUWCUWEVDVGVFVGAUUMUUJUUNUUKUDAUUMYSTVHZVIZUUAEVJZUUAVHZVLZVMUFZUCNZ
        LOZUWJUUELOUUJAUUPUUMUWPVNHLEVOQAUWJUWOUUELAUUAUWJPZUKZUWOUUAYTUUCMOZUC
        NUUEUWRUWNUWSUUAUCUWRMYTUWMFVJZUUBVHZVLZVPZVQZVMUFYTUXCVMUFZMOUWNUWSUWR
        YTUXCMFSSAUVQUWQUVRRZAUVAUWQUVCRZUXCUXBVRUWRUVEUKZUWMUXBVSVTUXHUWMVMUGZ
        PZUXBUXIPZUXCUXIPZAUXJUWQUVEAUUPUXJHUWLEWAZQZVAAUXKUWQUVEAUVBUXKIUXAFWA
        QZVAUWMUXBWDZWBUXHUUCUXESUXHUVGUVPUUATVNZUUBTVNZUKZWCZUUCUXEVNZUWRUVGUV
        EAUWJSUUAAYSSUWIUVJWEUOZRZUWRYTSUUBAYTSVRUWQUVSRUOZUXHUUATWLZUXTUWQUYEA
        UVEUUAYSTWFWGUXSUUATUXQUXRWMWHQAUUAUUBCDEFGHIJWIZWJZUXHUUAUUBSSSGAUVNUW
        QUVEUVOVAUYCUYDUTZWKWNUWRUWMUXDVMUWRUXDUWMMYTUXBVQZVPZUWMMYTUWMUXBWOUWR
        UWMUYIVRUYJUWMVNUWRUWMSUYIUWRUXJUWMSVRUWRUUPUXJAUUPUWQHRUXMQUWMWPQUWRUY
        IFUGZSUWTMYTUXAVQZVLUWTYTVLUYIUYKUYLYTUWTMYTWQWRMUWTYTUXAWSFWTXBUWRSSFU
        XFXAXCXDUWMUYIXEXFXGXHUWRYTUUCUXEMUYGVFXIXJUWRYTUUCUUAMUXGUWRUUAUYBUPUX
        HUUCUYHUPZXLVGVFAUWJYSUUELAYSUWIXMUWRYTUUDMUXGUXHUUAUUCUXHUUAUYCUPUYMVB
        VCUUAYSUWJVIZPAUUAUWIPZUUETVNUYNUWIUUAUYNYSUWIVPUWIYSUWIXKYSUWIVSXNXOAU
        YOUKZUUEYTTMOZTUYPYTUUDTMUYPUVEUKZUUDTUUCUCNZTUYRUUATUUCUCUYOUXQAUVEUUA
        TXPWGZXQUYRUUCUYRUUCUYRUUAUUBSSSGAUVNUYOUVEUVOVAUYRUUATSUYTXRXSAUVEUVPU
        YOUVTUSUTUPXTVGVFUYPYTTYAUFZVRZUVAYBUYQTVNUYPUVAVUBAUVAUYOUVCRYCYTMTYDQ
        VGYEUURYFYGAUUNYTUWIVIZUUBUXBVMUFZUCNZMOZVUCYSUUFLOZMOZUUKAUVBUUNVUFVNI
        MFVOQAVUCVUEVUGMAUUBVUCPZUKZVUEUUBYSUUCLOZUCNVUGVUJVUDVUKUUBUCVUJLYSUXC
        VQZVMUFYSUXELOVUDVUKVUJYSUXCLESSAUVHVUIUVIRAUUQVUIUURRZUXCUWMVRVUJUUSUK
        ZUWMUXBYHVTVUNUXJUXKUXLAUXJVUIUUSUXNVAAUXKVUIUUSUXOVAUXPWBVUNUUCUXESVUN
        UVGUVPUXTUYAVUJYSSUUAAYSSVRZVUIUVJRUOZVUJUVPUUSAVUCSUUBAYTSUWIUVSWEUOZR
        ZVUNUUBTWLZUXTVUIVUSAUUSUUBYTTWFWGUXSUUBTUXQUXRYIWHQUYFWJZVUNUUAUUBSSSG
        AUVNVUIUUSUVOVAVUPVURUTZWKWNVUJUXBVULVMVUJVULUXBLYSUWMVQZVPZUXBVULLYSUX
        BUWMVPZVQVVCLYSUXCVVDUXCVVDVNUUSUWMUXBYJVTYKLYSUXBUWMWOYLVUJUXBVVBVRVVC
        UXBVNVUJUXBSVVBVUJUYKUXBSFUXAYMAUYKSVNVUIASSFUVRXARYNVUJVVBEUGZSUWKLYSU
        WLVQZVLUWKYSVLVVBVVEVVFYSUWKLYSWQWRLUWKYSUWLWSEWTXBAVVESVNVUIASSEUVIXAR
        XCXDUXBVVBXEXFXGXHVUJYSUUCUXELVUTVFXIXJVUJYSUUCUUBLVUMVUJUUBVUQUPZVUNUU
        CVVAUPZXLVGVFAVUHYTVUGMOUUKAVUCYTVUGMAYTUWIXMVUJYSUUFLVUMVUNUUBUUCVUJUU
        BYOPUUSVVGRVVHVBVCUUBYTVUCVIZPAUUBUWIPZVUGTVNVVIUWIUUBVVIYTUWIVPUWIYTUW
        IXKYTUWIVSXNXOAVVJUKZVUGYSTLOZTVVKYSUUFTLVVKUUSUKZUUFUYSTVVMUUBTUUCUCVV
        JUXRAUUSUUBTXPWGZXQVVMUUCVVMUUCVVMUUAUUBSSSGAUVNVVJUUSUVOVAAUUSUVGVVJUV
        KUSVVMUUBTSVVNXRXSUTUPXTVGVFVVKYSVUAVRZUUQYBVVLTVNVVKUUQVVOAUUQVVJUURRY
        CYSLTYDQVGYEUVCYFAYTYSUUFMLUVCUURAUVEUUSUUFYOPAUVEUKZUUSUKZUUBUUCVVQUUB
        VVPUVPUUSUVTRZUPVVQUUCVVQUUAUUBSSSGAUVNUVEUUSUVOVAVVPYSSUUAAVUOUVEUVJRU
        OVVRUTUPVBYPYQVGYGYRXI $.
    $}

    $( The integral of a sum of simple functions is the sum of the integrals.
       (Contributed by Mario Carneiro, 28-Jun-2014.) $)
    itg1add $p |- ( ph ->
      ( S.1 ` ( F oF + G ) ) = ( ( S.1 ` F ) + ( S.1 ` G ) ) ) $=
      ( vi vj caddc crn cxp cres cr cv cc0 wceq wa ccnv csn cima eqid cvol cmpo
      cin cfv cif itg1addlem5 ) AHBICIJKZFGBCFGLLFMZNOGMZNOPNBQUHRSCQUIRSUCUAUD
      UEUBZDEUJTUGTUF $.
  $}

  ${
    $d k m n w x y z A $.  $d k m n w x y z F $.  $d k m n w x y z ph $.
    $d z B $.
    i1fmulc.2 $e |- ( ph -> F e. dom S.1 ) $.
    i1fmulc.3 $e |- ( ph -> A e. RR ) $.
    $( Decompose the preimage of a constant times a function.  (Contributed by
       Mario Carneiro, 25-Jun-2014.) $)
    i1fmulclem $p |- ( ( ( ph /\ A =/= 0 ) /\ B e. RR ) ->
    ( `' ( ( RR X. { A } ) oF x. F ) " { B } ) = ( `' F " { ( B / A ) } ) ) $=
      ( vz wa cr wcel csn cmul co cv wceq cvv wf syl ffnd recnd cc0 wne cxp cof
      vx ccnv cima cdiv cfv reex a1i citg1 cdm i1ff eqidd ad4ant14 eqeq1d eqcom
      vy ofc1 simplr ad3antrrr ad2antrr ffvelrnda simpllr divmuld syl5bb bitr4d
      pm5.32da wfn remulcl adantl fconstg snssd fssd inidm off fniniseg 3bitr4d
      wb eqrdv ) ABUAUBZHZCIJZHZGIBKZUCZDLUDMZUFCKUGZDUFCBUHMZKUGZWEGNZIJZWLWHU
      IZCOZHZWMWLDUIZWJOZHZWLWIJZWLWKJZWEWMWOWRWEWMHZWOBWQLMZCOZWRXBWNXCCAWMWNX
      COWBWDAIBWQLDPIWLIPJAUJUKZFAIIDADULUMJIIDQZEDUNRZSAWMHWQUOUTUPUQWRWJWQOXB
      XDWQWJURXBCBWQXBCWCWDWMVATXBBABIJZWBWDWMFVBTXBWQWEIIWLDAXFWBWDXGVCZVDTAWB
      WDWMVEVFVGVHVIWEWHIVJWTWPVTWEIIWHAIIWHQWBWDAUEUSIIILIIIWGDPPUENZIJUSNZIJH
      XJXKLMIJAXJXKVKVLAIWFIWGAXHIWFWGQFIBIVMRABIFVNVOXGXEXEIVPVQVCSICWLWHVRRWE
      DIVJXAWSVTWEIIDXISIWJWLDVRRVSWA $.

    $( A nonnegative constant times a simple function gives another simple
       function.  (Contributed by Mario Carneiro, 25-Jun-2014.) $)
    i1fmulc $p |- ( ph -> ( ( RR X. { A } ) oF x. F ) e. dom S.1 ) $=
      ( vx vy vz cr csn cmul co wcel cc0 wceq wa cvv wf syl adantr vw cxp citg1
      cof cdm reex a1i i1ff 0red cv simplr oveq1d mul02lem2 adantl caofid2 i1f0
      eqtrd eqeltrdi wne remulcl fconst6g inidm off crn cfn cmpt wfo i1frn ovex
      wfn eqid fnmpti dffn4 mpbi fofi sylancl wrex elsni oveq2 rspceeqv syl2anr
      cab id eqeq1 rexbidv elab sylibr fconstg ffnd dffn3 sylib rnmpt sseqtrrdi
      frnd ssfid cdif ccnv cima cdiv cvol wss ssdifssd sselda i1fmulclem syldan
      i1fima ad2antrr eqeltrd fveq2d redivcld eldifsni divne0d eldifsn sylanbrc
      cfv recnd i1fima2sn syl2anc i1fd pm2.61dane ) AIBJZUBZCKUDLZUCUEZMBNABNOZ
      PZYCINJZUBYDYFFIBNKICQIIIQMZYFUFUGAIICRZYEACYDMZYIDCUHSZTABIMZYEETYFUIYFF
      UJZIMZPZBYMKLNYMKLZNYOBNYMKAYEYNUKULYNYPNOYFYMUMUNUQUOUPURABNUSZPZGYCAIIY
      CRYQAFGIIIKIIIYBCQQYNGUJZIMZPYMYSKLIMAYMYSUTUNAYLIIYBREIBIVASYKYHAUFUGZUU
      AIVBZVCZTAYCVDZVEMYQAGCVDZBYSKLZVFZVDZUUDAUUEVEMZUUEUUHUUGVGZUUHVEMAYJUUI
      DCVHSUUGUUEVJUUJGUUEUUFUUGBYSKVIUUGVKZVLUUEUUGVMVNUUEUUHUUGVOVPAUUDHUJZUU
      FOZGUUEVQZHWBZUUHAIUUOYCAFUAIIIKYAUUEUUOYBCQQYMYAMZUAUJZUUEMZPZYMUUQKLZUU
      OMZAUUSUUTUUFOZGUUEVQZUVAUURUURUUTBUUQKLZOUVCUUPUURWCUUPYMBUUQKYMBVRULGUU
      QUUEUUFUVDUUTYSUUQBKVSVTWAUUNUVCHUUTYMUUQKVIUULUUTOUUMUVBGUUEUULUUTUUFWDW
      EWFWGUNAYLIYAYBREIBIWHSACIVJIUUECRAIICYKWIICWJWKUUAUUAUUBVCWNGHUUEUUFUUGU
      UKWLWMWOTYRYSUUDYGWPZMZPZYCWQYSJWRZCWQYSBWSLZJZWRZWTUEZYRUVFYTUVHUVKOYRUV
      EIYSAUVEIXAYQAUUDIYGAIIYCUUCWNXBTXCZABYSCDEXDXEZAUVKUVLMZYQUVFAYJUVODUVJC
      XFSXGXHUVGUVHWTXOUVKWTXOZIUVGUVHUVKWTUVNXIUVGYJUVIIYGWPMZUVPIMAYJYQUVFDXG
      UVGUVIIMUVINUSUVQUVGYSBUVMAYLYQUVFEXGZAYQUVFUKZXJUVGYSBUVGYSUVMXPUVGBUVRX
      PUVFYSNUSYRYSUUDNXKUNUVSXLUVIINXMXNUVIICXQXRXHXSXT $.

    $( The integral of a constant times a simple function is the constant times
       the original integral.  (Contributed by Mario Carneiro, 25-Jun-2014.) $)
    itg1mulc $p |- ( ph ->
      ( S.1 ` ( ( RR X. { A } ) oF x. F ) ) = ( A x. ( S.1 ` F ) ) ) $=
      ( vm vk vn cr cmul co cfv wceq cc0 wa wcel syl adantr recnd cdiv vx citg1
      vy csn cxp cof itg10 cvv reex a1i wf i1ff 0red cv simplr oveq1d mul02lem2
      cdm adantl eqtrd caofid2 fveq2d simpr itg1cl mul02d 3eqtr4a wne cdif ccnv
      crn cima cvol csu i1fmulc frnd ssdifssd sselda divcan2d i1fmulclem syldan
      eqcomd oveq12d ad2antrr redivcld eldifsni divne0d eldifsn syl2anc mulassd
      cc sylanbrc i1fima2sn eqtr3d sumeq2dv cfn i1frn difss ssfi sylancl mulcld
      fsummulc2 eqtr4d itg1val cmpt id sneq imaeq2d eqid eldifi wral ffnd eqidd
      wss adantlr ffvelrnda divcan3d wfn fnfvelrn sylan eqeltrd ralrimiva oveq1
      wb eleq1d ralrn mpbird r19.21bi sylan2 eqeltrrd oveq2 mulne0d simpl ssel2
      ofc1 syl2an adantrl divmuld bicomd eqcom 3bitr4g f1o2d ovex fvmpt fsumf1o
      remulcld oveq2d 3eqtr4d pm2.61dane ) AIBUDUECJUFKZUBLZBCUBLZJKZMBNABNMZOZ
      INUDZUEZUBLNUUJUULUGUUNUUIUUPUBUUNUAIBNJICUHIIIUHPZUUNUIUJAIICUKZUUMACUBU
      RZPZUURDCULQZRABIPZUUMERUUNUMUUNUAUNZIPZOZBUVCJKNUVCJKZNUVEBNUVCJAUUMUVDU
      OUPUVDUVFNMUUNUVCUQUSUTVAVBUUNUULNUUKJKZNUUNBNUUKJAUUMVCUPAUVGNMUUMAUUKAU
      UKAUUTUUKIPDCVDQSVERUTVFABNVGZOZUUIVJZUUOVHZFUNZUUIVIUVLUDVKZVLLZJKZFVMZB
      UVKUVLBTKZCVIZUVQUDZVKZVLLZJKZFVMZJKZUUJUULUVIUVPUVKBUWBJKZFVMUWDUVIUVKUV
      OUWEFUVIUVLUVKPZOZBUVQJKZUWAJKUVOUWEUWGUWHUVLUWAUVNJUWGUVLBUWGUVLUVIUVKIU
      VLUVIUVJIUUOUVIIIUUIUVIUUIUUSPZIIUUIUKAUWIUVHABCDEVNRZUUIULQZVOVPZVQZSZUV
      IBWJPZUWFUVIBAUVBUVHERSZRZAUVHUWFUOZVRUWGUVNUWAUWGUVMUVTVLUVIUWFUVLIPUVMU
      VTMUWMABUVLCDEVSVTVBWAWBUWGBUVQUWAUWQUWGUVQUWGUVLBUWMAUVBUVHUWFEWCZUWRWDZ
      SZUWGUWAUWGUUTUVQIUUOVHPZUWAIPAUUTUVHUWFDWCUWGUVQIPUVQNVGUXBUWTUWGUVLBUWN
      UWGBUWSSUWFUVLNVGUVIUVLUVJNWEUSUWRWFUVQINWGWKUVQICWLWHSZWIWMWNUVIUVKUWBBF
      UVIUVJWOPZUVKUVJXMUVKWOPUVIUWIUXDUWJUUIWPQUVJUUOWQUVJUVKWRWSZUWPUWGUVQUWA
      UXAUXCWTXAXBUVIUWIUUJUVPMUWJFUUIXCQUVIUUKUWCBJUVIUUKCVJZUUOVHZGUNZUVRUXHU
      DZVKZVLLZJKZGVMZUWCUVIUUTUUKUXMMAUUTUVHDRZGCXCQUVIUXGUXLUVKUWBGFHUVKHUNZB
      TKZXDZUVQUXHUVQMZUXHUVQUXKUWAJUXRXEUXRUXJUVTVLUXRUXIUVSUVRUXHUVQXFXGVBWBU
      XEUVIHGUVKUXGUXPBUXHJKZUXQUXQXHZUVIUXOUVKPZOZUXPUXFPZUXPNVGUXPUXGPUYAUVIU
      XOUVJPUYCUXOUVJUUOXIUVIUYCHUVJUVIUYCHUVJXJZUCUNZUUILZBTKZUXFPZUCIXJZUVIUY
      HUCIUVIUYEIPZOZUYGUYECLZUXFUYKUYGBUYLJKZBTKUYLUYKUYFUYMBTAUYJUYFUYMMUVHAI
      BUYLJCUHIUYEUUQAUIUJEAIICUVAXKAUYJOUYLXLYNXNZUPUYKUYLBUYKUYLUVIIIUYECAUUR
      UVHUVARZXOSUVIUWOUYJUWPRAUVHUYJUOXPUTUVICIXQZUYJUYLUXFPUVIIICUYOXKZIUYECX
      RXSXTYAUVIUUIIXQZUYDUYIYCUVIIIUUIUWKXKZUYCUYHHUCIUUIUXOUYFMUXPUYGUXFUXOUY
      FBTYBYDYEQYFYGYHUYBUXOBUYBUXOUVIUVKIUXOUWLVQSUVIUWOUYAUWPRUYAUXONVGUVIUXO
      UVJNWEUSAUVHUYAUOWFUXPUXFNWGWKUVIUXHUXGPZOZUXSUVJPZUXSNVGUXSUVKPUYTUVIUXH
      UXFPVUBUXHUXFUUOXIUVIVUBGUXFUVIVUBGUXFXJZUYMUVJPZUCIXJZUVIVUDUCIUYKUYFUYM
      UVJUYNUVIUYRUYJUYFUVJPUYSIUYEUUIXRXSYIYAUVIUYPVUCVUEYCUYQVUBVUDGUCICUXHUY
      LMUXSUYMUVJUXHUYLBJYJYDYEQYFYGYHVUABUXHUVIUWOUYTUWPRVUAUXHUVIUXGIUXHUVIUX
      FIUUOUVIIICUYOVOVPVQZSAUVHUYTUOUYTUXHNVGUVIUXHUXFNWEUSYKUXSUVJNWGWKUVIUYA
      UYTOZOZUXSUXOMZUXPUXHMZUXOUXSMUXHUXPMVUHVUJVUIVUHUXOBUXHVUHUXOUVIUVKIXMUY
      AUXOIPVUGUWLUYAUYTYLUVKIUXOYMYOSVUHBAUVBUVHVUGEWCSVUHUXHUVIUYTUXHIPUYAVUF
      YPSAUVHVUGUOYQYRUXOUXSYSUXHUXPYSYTUUAUWFUVLUXQLUVQMUVIHUVLUXPUVQUVKUXQUXO
      UVLBTYBUXTUVLBTUUBUUCUSVUAUXLVUAUXHUXKVUFUVIUUTUYTUXKIPUXNUXHUXFCWLXSUUES
      UUDUTUUFUUGUUH $.
  $}

  ${
    $d x y z A $.  $d x y z F $.  $d y z G $.
    i1fres.1 $e |- G = ( x e. RR |-> if ( x e. A , ( F ` x ) , 0 ) ) $.
    $( The "restriction" of a simple function to a measurable subset is simple.
       (It's not actually a restriction because it is zero instead of undefined
       outside ` A ` .)  (Contributed by Mario Carneiro, 29-Jun-2014.) $)
    i1fres $p |- ( ( F e. dom S.1 /\ A e. dom vol ) -> G e. dom S.1 ) $=
      ( vy vz cdm wcel cvol wa cr crn cv cfv cc0 adantr wceq wne syl cif wfn wf
      citg1 i1ff ffnd fnfvelrn sylan i1f0rn ad2antrr ifcld fmptd frnd cfn i1frn
      fssd ssfid csn cdif ccnv cima eleq1w fveq2 ifbieq1d fvex c0ex ifex adantl
      cin eqeq1d wn eldifsni ad2antlr necomd iffalse neeq1d syl5ibrcom necon4bd
      fvmpt pm4.71rd bitrd iftrue pm5.32i bitrdi pm5.32da an12 fniniseg 3bitr4d
      wb anbi2d bitr4di eqrdv simplr i1fima inmbl syl2anc eqeltrd fveq2d mblvol
      elin covol eqtrd wss inss2 mblss i1fima2sn adantlr eqeltrrd ovolsscl i1fd
      mp3an2i ) CUDHIZBJHZIZKZFDXOLCMZLDXOALANZBIZXQCOZPUAZXPDXOXQLIZKXRXSPXPXO
      CLUBZYAXSXPIXOLLCXLLLCUCXNCUEQZUFZLXQCUGUHXLPXPIXNYACUIUJUKEULZXOLLCYCUMU
      PXOXPDMZXLXPUNIXNCUOQXOLXPDYEUMUQXOFNZYFPURUSIZKZDUTYGURZVAZBCUTYJVAZVIZX
      MYIGYKYMYIGNZYKIZYNBIZYNYLIZKZYNYMIYIYNLIZYNDOZYGRZKZYPYSYNCOZYGRZKZKZYOY
      RYIUUBYSYPUUDKZKUUFYIYSUUAUUGYIYSKZUUAYPYPUUCPUAZYGRZKZUUGUUHUUAUUJUUKUUH
      YTUUIYGYSYTUUIRYIAYNXTUUILDXQYNRXRYPXSUUCPAGBVBXQYNCVCVDEYPUUCPYNCVEVFVGV
      SVHVJUUHUUJYPUUHYPUUIYGUUHUUIYGSYPVKZPYGSUUHYGPYHYGPSXOYSYGYFPVLVMVNUULUU
      IPYGYPUUCPVOVPVQVRVTWAYPUUJUUDYPUUIUUCYGYPUUCPWBVJWCWDWEYSYPUUDWFWDYIDLUB
      ZYOUUBWIXOUUMYHXOLXPDYEUFQLYGYNDWGTYIYQUUEYPYIYBYQUUEWIXOYBYHYDQLYGYNCWGT
      WJWHYNBYLWTWKWLZYIXNYLXMIZYMXMIZXLXNYHWMXLUUOXNYHYJCWNUJZBYLWOWPZWQYIYKJO
      ZYMXAOZLYIUUSYMJOZUUTYIYKYMJUUNWRYIUUPUVAUUTRUURYMWSTXBYMYLXCYIYLLXCZYLXA
      OZLIUUTLIBYLXDYIUUOUVBUUQYLXETYIYLJOZUVCLYIUUOUVDUVCRUUQYLWSTXLYHUVDLIXNY
      GYFCXFXGXHYMYLXIXKWQXJ $.
  $}

  ${
    $d x F $.
    i1fpos.1 $e |- G = ( x e. RR |-> if ( 0 <_ ( F ` x ) , ( F ` x ) , 0 ) ) $.
    $( The positive part of a simple function is simple.  (Contributed by Mario
       Carneiro, 28-Jun-2014.) $)
    i1fpos $p |- ( F e. dom S.1 -> G e. dom S.1 ) $=
      ( citg1 cdm wcel cr cv ccnv cc0 cpnf cico co cima cfv cif cmpt biantrurd
      wa cle wbr simpr i1ff ffvelrnda elrege0 bitr4di wf wfn wb adantr elpreima
      3syl 3bitr4d ifbid mpteq2dva syl5eq cvol i1fima eqid i1fres mpdan eqeltrd
      ffn ) BEFZGZCAHAIZBJKLMNZOZGZVGBPZKQZRZVEVFCAHKVKUAUBZVKKQZRVMDVFAHVOVLVF
      VGHGZTZVNVJVKKVQVKVHGZVPVRTZVNVJVQVPVRVFVPUCSVQVNVKHGZVNTVRVQVTVNVFHHVGBB
      UDZUESVKUFUGVQHHBUHZBHUIVJVSUJVFWBVPWAUKHHBVDHVGVHBULUMUNUOUPUQVFVIURFGVM
      VEGVHBUSAVIBVMVMUTVAVBVC $.
  $}

  ${
    $d x y ph $.  $d y A $.
    i1fposd.1 $e |- ( ph -> ( x e. RR |-> A ) e. dom S.1 ) $.
    $( Deduction form of ~ i1fposd .  (Contributed by Mario Carneiro,
       6-Aug-2014.) $)
    i1fposd $p |- ( ph -> ( x e. RR |-> if ( 0 <_ A , A , 0 ) ) e. dom S.1 ) $=
      ( vy cr cc0 cmpt cfv cle wbr cif nfcv wceq breq2d ifbieq1d wcel syl eqid
      cv citg1 cdm nffvmpt1 nfbr nfif fveq2 cbvmpt wa simpr wf fvmptelrn fvmpt2
      i1ff syl2anc mpteq2dva syl5eq i1fpos eqeltrrd ) AEFGETZBFCHZIZJKZVAGLZHZB
      FGCJKZCGLZHZUAUBZAVDBFGBTZUTIZJKZVJGLZHVGEBFVCVLVBBVAGBGVAJBGMZBJMBFCUSUC
      ZUDVNVMUEEVLMUSVINZVBVKVAVJGVOVAVJGJUSVIUTUFZOVPPUGABFVLVFAVIFQZUHZVKVEVJ
      CGVRVJCGJVRVQCFQVJCNAVQUIABFCFAUTVHQZFFUTUJDUTUMRUKBFCFUTUTSULUNZOVTPUOUP
      AVSVDVHQDEUTVDVDSUQRUR $.
  $}

  $( The difference of two simple functions is a simple function.  (Contributed
     by Mario Carneiro, 6-Aug-2014.) $)
  i1fsub $p |- ( ( F e. dom S.1 /\ G e. dom S.1 ) ->
    ( F oF - G ) e. dom S.1 ) $=
    ( citg1 cdm wcel wa cr c1 cneg csn cxp cof co cvv cc i1ff ax-resscn sylancl
    wf fss cmul caddc cmin wceq reex wss ofnegsub mp3an3an simpl neg1rr i1fmulc
    simpr a1i i1fadd eqeltrrd ) ACDZEZBUPEZFZAGHIZJKBUALMZUBLMZABUCLMZUPGNEUQGO
    ASZURGOBSZVBVCUDUEUQGGASGOUFZVDAPQGGOATRURGGBSVFVEBPQGGOBTRGABNUGUHUSAVAUQU
    RUIUSUTBUQURULUTGEUSUJUMUKUNUO $.

  $( The integral of a difference of two simple functions.  (Contributed by
     Mario Carneiro, 6-Aug-2014.) $)
  itg1sub $p |- ( ( F e. dom S.1 /\ G e. dom S.1 ) ->
    ( S.1 ` ( F oF - G ) ) = ( ( S.1 ` F ) - ( S.1 ` G ) ) ) $=
    ( citg1 wcel cr cneg cmul cof co caddc cfv cmin itg1cl recnd eqtrd cvv wceq
    cc wf i1ff cdm wa c1 csn cxp simpl simpr neg1rr a1i i1fmulc itg1mulc mulm1d
    itg1add syl oveq2d reex wss ax-resscn sylancl ofnegsub fveq2d negsub syl2an
    fss mp3an3an 3eqtr3d ) ACUAZDZBVGDZUBZAEUCFZUDUEBGHIZJHIZCKZACKZBCKZFZJIZAB
    LHIZCKVOVPLIZVJVNVOVLCKZJIVRVJAVLVHVIUFVJVKBVHVIUGZVKEDVJUHUIZUJUMVJWAVQVOJ
    VJWAVKVPGIVQVJVKBWBWCUKVJVPVJVIVPRDZWBVIVPBMNZUNULOUOOVJVMVSCEPDVHERASZVIER
    BSZVMVSQUPVHEEASERUQZWFATUREERAVDUSVIEEBSWHWGBTUREERBVDUSEABPUTVEVAVHVORDWD
    VRVTQVIVHVOAMNWEVOVPVBVCVF $.

  ${
    $d x A $.  $d k x F $.  $d x G $.  $d k x ph $.
    itg10a.1 $e |- ( ph -> F e. dom S.1 ) $.
    itg10a.2 $e |- ( ph -> A C_ RR ) $.
    itg10a.3 $e |- ( ph -> ( vol* ` A ) = 0 ) $.
    ${
      itg10a.4 $e |- ( ( ph /\ x e. ( RR \ A ) ) -> ( F ` x ) = 0 ) $.
      $( The integral of a simple function supported on a nullset is zero.
         (Contributed by Mario Carneiro, 11-Aug-2014.) $)
      itg10a $p |- ( ph -> ( S.1 ` F ) = 0 ) $=
        ( vk cfv cc0 cmul wcel wceq syl wa cr wss adantr eqtrd citg1 crn csn cv
        cdif ccnv cima cvol co csu cdm itg1val covol wfn i1ff ffnd fniniseg wne
        wb wf eldifsni ad2antlr wn simprl eldif simplrr ad4ant14 eqtr3d syl5bir
        mpand necon1ad mpd sylbid ssrdv ovolssnul syl3anc nulmbl syl2anc mblvol
        ex sstrd oveq2d frnd ssdifssd sselda recnd mul01d sumeq2dv cuz wo i1frn
        cfn difss ssfi sylancl olcd sumz ) ADUAJZDUBZKUCZUEZIUDZDUFXBUCUGZUHJZL
        UIZIUJZKADUAUKMZWRXFNEIDULOAXFXAKIUJZKAXAXEKIAXBXAMZPZXEXBKLUIKXJXDKXBL
        XJXDXCUMJZKXJXCUHUKMZXDXKNXJXCQRXKKNZXLXJXCCQXJBXCCXJBUDZXCMZXNQMZXNDJZ
        XBNZPZXNCMZXJDQUNZXOXSUSAYAXIAQQDAXGQQDUTEDUOOZUPSQXBXNDUQOXJXSXTXJXSPZ
        XBKURZXTXIYDAXSXBWSKVAVBYCXTXBKYCXPXTVCZXBKNZXJXPXRVDXPYEPXNQCUEMZYCYFX
        NQCVEYCYGYFYCYGPXQXBKXJXPXRYGVFAYGXQKNXIXSHVGVHVTVIVJVKVLVTVMVNZACQRZXI
        FSZWAXJXCCRYICUMJKNZXMYHYJAYKXIGSXCCVOVPZXCVQVRXCVSOYLTWBXJXBXJXBAXAQXB
        AWSQWTAQQDYBWCWDWEWFWGTWHAXAKWIJRZXAWLMZWJXHKNAYNYMAWSWLMZXAWSRYNAXGYOE
        DWKOWSWTWMWSXAWNWOWPXAIKWQOTT $.
    $}

    ${
      itg1ge0a.4 $e |- ( ( ph /\ x e. ( RR \ A ) ) -> 0 <_ ( F ` x ) ) $.
      $( The integral of an almost positive simple function is positive.
         (Contributed by Mario Carneiro, 11-Aug-2014.) $)
      itg1ge0a $p |- ( ph -> 0 <_ ( S.1 ` F ) ) $=
        ( vk cc0 cfv cle wcel wss syl wa cr wbr wceq ad2antrr crn csn cdif ccnv
        cv cima cvol cmul co csu citg1 cfn cdm i1frn difss ssfi sylancl wf i1ff
        frnd ssdifssd sselda i1fima2sn sylan remulcld clt 0le0 i1fima mblvol wb
        covol wfn ffnd fniniseg wn simprl eldif wi ex simprr breq2d 0red adantr
        lenltd bitrd sylibd syl5bir mpand con4d impancom sylbid ssrdv ovolssnul
        syl3anc eqtrd oveq2d recnd mul01d breqtrrid simpr mblss ovolge0 mulge0d
        cc breqtrrd ltlecasei fsumge0 itg1val ) AJDUAZJUBZUCZIUEZDUDXLUBZUFZUGK
        ZUHUIZIUJZDUKKZLAXKXPIAXIULMZXKXINXKULMADUKUMMZXSEDUNOXIXJUOXIXKUPUQAXL
        XKMZPZXLXOAXKQXLAXIQXJAQQDAXTQQDUREDUSOZUTVAVBZAXTYAXOQMZEXLXIDVCVDZVEY
        BJXPLRXLJYBXLJVFRZPZJJXPLVGYHXPXLJUHUIJYHXOJXLUHYHXOXNVKKZJAXOYISZYAYGA
        XNUGUMMZYJAXTYKEXMDVHOZXNVIOZTYHXNCNCQNZCVKKJSZYIJSYHBXNCYHBUEZXNMZYPQM
        ZYPDKZXLSZPZYPCMZAYQUUAVJZYAYGADQVLUUCAQQDYCVMQXLYPDVNOTYBUUAYGUUBYBUUA
        PZUUBYGUUDYRUUBVOZYGVOZYBYRYTVPYRUUEPYPQCUCMZUUDUUFYPQCVQUUDUUGJYSLRZUU
        FAUUGUUHVRYAUUAAUUGUUHHVSTUUDUUHJXLLRZUUFUUDYSXLJLYBYRYTVTWAUUDJXLUUDWB
        YBXLQMZUUAYDWCWDWEWFWGWHWIWJWKWLAYNYAYGFTAYOYAYGGTXNCWMWNWOWPYHXLYBXLXD
        MYGYBXLYDWQWCWRWOWSYBUUIPZXLXOYBUUJUUIYDWCYBYEUUIYFWCYBUUIWTUUKJYIXOLUU
        KXNQNZJYILRUUKYKUULAYKYAUUIYLTXNXAOXNXBOAYJYAUUIYMTXEXCYDYBWBXFXGAXTXRX
        QSEIDXHOXE $.
    $}

    itg1lea.4 $e |- ( ph -> G e. dom S.1 ) $.
    itg1lea.5 $e |- ( ( ph /\ x e. ( RR \ A ) ) -> ( F ` x ) <_ ( G ` x ) ) $.
    $( Approximate version of ~ itg1le .  If ` F <_ G ` for almost all ` x ` ,
       then ` S.1 F <_ S.1 G ` .  (Contributed by Mario Carneiro, 28-Jun-2014.)
       (Revised by Mario Carneiro, 6-Aug-2014.) $)
    itg1lea $p |- ( ph -> ( S.1 ` F ) <_ ( S.1 ` G ) ) $=
      ( cc0 citg1 cfv cmin co cle wbr wcel cr syl cof i1fsub syl2anc cv cdif wa
      cdm wb eldifi i1ff ffvelrnda subge0d sylan2 mpbird wceq cvv ffnd reex a1i
      wf inidm eqidd ofval breqtrrd itg1ge0a itg1sub breqtrd itg1cl mpbid ) AKE
      LMZDLMZNOZPQVKVJPQAKEDNUAOZLMZVLPABCVMAELUGZRZDVORZVMVORIFEDUBUCGHABUDZSC
      UERZUFZKVREMZVRDMZNOZVRVMMZPVTKWCPQZWBWAPQZJVSAVRSRZWEWFUHVRSCUIZAWGUFZWA
      WBASSVREAVPSSEUTIEUJTZUKASSVRDAVQSSDUTFDUJTZUKULUMUNVSAWGWDWCUOWHASSWAWBN
      SEDUPUPVRASSEWJUQASSDWKUQSUPRAURUSZWLSVAWIWAVBWIWBVBVCUMVDVEAVPVQVNVLUOIF
      EDVFUCVGAVJVKAVPVJSRIEVHTAVQVKSRFDVHTULVI $.
  $}

  ${
    $d x F $.  $d x G $.
    $( If one simple function dominates another, then the integral of the
       larger is also larger.  (Contributed by Mario Carneiro, 28-Jun-2014.)
       (Revised by Mario Carneiro, 6-Aug-2014.) $)
    itg1le $p |- ( ( F e. dom S.1 /\ G e. dom S.1 /\ F oR <_ G ) ->
                   ( S.1 ` F ) <_ ( S.1 ` G ) ) $=
      ( vx citg1 cdm wcel cle wbr c0 cr a1i cfv wa cvv wfn i1ff ffn 3syl eqidd
      wf cofr w3a simp1 wss 0ss covol wceq ovol0 simp2 cv cdif simpl simpr reex
      cc0 wi inidm ofrval 3exp 3impia eldifi impel itg1lea ) ADEZFZBVDFZABGUAHZ
      UBZCIABVEVFVGUCIJUDVHJUEKIUFLUOUGVHUHKVEVFVGUIVHCUJZJFZVIALZVIBLZGHZVIJIU
      KFVEVFVGVJVMUPVEVFMZVGVJVMVNJJVKVLGJABNNVIVNVEJJATAJOVEVFULAPJJAQRVNVFJJB
      TBJOVEVFUMBPJJBQRJNFVNUNKZVOJUQVNVJMZVKSVPVLSURUSUTVIJIVAVBVC $.
  $}

  ${
    $d j n x z A $.  $d j k n x z F $.  $d j k G $.  $d j k n x ph $.
    itg1climres.1 $e |- ( ph -> A : NN --> dom vol ) $.
    itg1climres.2 $e |- ( ( ph /\ n e. NN ) ->
      ( A ` n ) C_ ( A ` ( n + 1 ) ) ) $.
    itg1climres.3 $e |- ( ph -> U. ran A = RR ) $.
    itg1climres.4 $e |- ( ph -> F e. dom S.1 ) $.
    itg1climres.5 $e |- G =
      ( x e. RR |-> if ( x e. ( A ` n ) , ( F ` x ) , 0 ) ) $.
    $( Restricting the simple function ` F ` to the increasing sequence
       ` A ( n ) ` of measurable sets whose union is ` RR ` yields a sequence
       of simple functions whose integrals approach the integral of ` F ` .
       (Contributed by Mario Carneiro, 15-Aug-2014.) $)
    itg1climres $p |- ( ph -> ( n e. NN |-> ( S.1 ` G ) ) ~~> ( S.1 ` F ) ) $=
      ( vj cn cfv cvol wcel syl cr wceq cle vk citg1 cmpt crn cc0 csn cdif ccnv
      vz cv cima cmul co csu cli cin cvv nnuz 1zzd cfn wss cdm i1frn difss ssfi
      c1 sylancl clt csup covol i1fima ad2antrr ffvelrnda adantlr inmbl syl2anc
      wa mblvol inss1 a1i mblss i1fima2sn sylan adantr eqeltrrd syl3anc eqeltrd
      ovolsscl fmpttd caddc wbr wral sslin wf peano2nn ffvelrn ovolss ralrimiva
      3brtr4d fveq2 ineq2d fveq2d eqid fvex fvmpt breq12d ralbiia bitr4i sylibr
      cbvralvw wrex breq1d cuni cxr inex2 sseq12d ciun wfn ffn 3syl eqtrd sylib
      fniunfv eqtr3d c0 wne wb breqtrrd i1ff frn recnd nnex mptex oveq2d eqtr4d
      adantl eqeq1d fniniseg nfcv sumeq2sdv syl2an fvoveq1 r19.21bi brralrspcev
      sylancr climsup volsup iuneq2i cbviunv iunin2 3eqtr2i df-ss frnd fdmd 1nn
      syl5eq ne0i mp1i eqnetrd dm0rn0 necon3bii breq1 ralrn rexbidv mpbird ccom
      supxrre cpnf cicc volf cofmpt rneqd rnco2 eqtr3di supeq1d ssdifssd sselda
      3eqtr4d ovex climmulc2 cc remulcld anasss i1fres cif fnfvelrn ifcld fmptd
      i1f0rn ssdif ssdifd itg1val2 syl13anc wal c0ex ifex fvmpt2 mpan2 eldifsni
      ad2antlr neeq1 syl5ibrcom iffalse necon1ai pm4.71rd bitrd iftrue biancomi
      syl6 pm5.32i bitrdi pm5.32da bitr4di anbi1d syl5bb 3bitr4d alrimiv nfmpt1
      anass elin nfcxfr nfcnv nfima sumeq2dv mpteq2dva fveq1d sylan9eq climfsum
      cleqf sumex itg1val ) ADMFUBNZUCZEUDZUEUFZUGZUAUJZEUHUYQUFZUKZONZULUMZUAU
      NZEUBNZUOAUYPVUAUALDMUYQUYSDUJZCNZUPZONZULUMZUCZUYMVFUQMURAUSAUYNUTPZUYPU
      YNVAUYPUTPZAEUBVBZPZVUJJEVCQUYNUYOVDUYNUYPVEVGZAUYQUYPPZVQZUYTUYQLDMVUGUC
      ZVUIVFUQMURVUPUSZVUPVUQVUQUDZRVHVIZUYTUOVUPBLVUQVFMURVURVUPDMVUGRVUPVUDMP
      ZVQZVUGVUFVJNZRVVBVUFOVBZPZVUGVVCSVVBUYSVVDPZVUEVVDPZVVEAVVFVUOVVAAVUMVVF
      JUYREVKQZVLZAVVAVVGVUOAMVVDVUDCGVMZVNUYSVUEVOVPZVUFVRQZVVBVUFUYSVAZUYSRVA
      ZUYSVJNZRPVVCRPVVMVVBUYSVUEVSZVTVVBVVFVVNVVIUYSWAZQZVVBUYTVVORVVBVVFUYTVV
      OSVVIUYSVRQZVUPUYTRPZVVAAVUMVUOVVTJUYQUYNEWBWCZWDWEVUFUYSWHWFWGZWIZVUPLUJ
      ZVUQNZVWDVFWJUMZVUQNZTWKZLMVUPVUGUYSVUDVFWJUMZCNZUPZONZTWKZDMWLZVWHLMWLZV
      UPVWMDMVVBVVCVWKVJNZVUGVWLTVVBVUFVWKVAZVWKRVAZVVCVWPTWKVVBVUEVWJVAZVWQAVV
      AVWSVUOHVNVUEVWJUYSWMQZVVBVWKVVDPZVWRVVBVVFVWJVVDPZVXAVVIVUPMVVDCWNZVWIMP
      VXBVVAAVXCVUOGWDVUDWOMVVDVWICWPUUAUYSVWJVOVPZVWKWAQVUFVWKWQVPVVLVVBVXAVWL
      VWPSVXDVWKVRQWSWRVWOUYSVWDCNZUPZONZUYSVWFCNZUPZONZTWKZLMWLVWNVWHVXKLMVWDM
      PZVWEVXGVWGVXJTDVWDVUGVXGMVUQVUDVWDSZVUFVXFOVXMVUEVXEUYSVUDVWDCWTXAZXBZVU
      QXCZVXFOXDXEZVXLVWFMPZVWGVXJSVWDWOZDVWFVUGVXJMVUQVUDVWFSZVUFVXIOVXTVUEVXH
      UYSVUDVWFCWTXAZXBVXPVXIOXDXEQXFXGVWMVXKDLMVXMVUGVXGVWLVXJTVXOVXMVWKVXIOVX
      MVWJVXHUYSVUDVWDVFCWJUUBXAZXBXFXJXHXIUUCVUPVVTVWEUYTTWKZLMWLZVWEBUJZTWKZL
      MWLZBRXKZVWAVUPVUGUYTTWKZDMWLZVYDVUPVYIDMVVBVVCVVOVUGUYTTVVBVVMVVNVVCVVOT
      WKVVPVVRVUFUYSWQUUEVVLVVSWSWRVYDVXGUYTTWKZLMWLVYJVYCVYKLMVXLVWEVXGUYTTVXQ
      XLXGVYIVYKDLMVXMVUGVXGUYTTVXOXLXJXHXIBLVWEUYTTRMUUDVPZUUFVUPDMVUFUCZUDZXM
      ZONZOVYNUKZXNVHVIZUYTVUTVUPMVVDVYMWNZVWDVYMNZVWFVYMNZVAZLMWLZVYPVYRSVUPDM
      VUFVVDVVKWIZVUPVWQDMWLZWUCVUPVWQDMVWTWRWUCVXFVXIVAZLMWLWUEWUBWUFLMVXLVYTV
      XFWUAVXIDVWDVUFVXFMVYMVXNVYMXCZVXEUYSVWDCXDXOXEZVXLVXRWUAVXISVXSDVWFVUFVX
      IMVYMVYAWUGVXHUYSVWFCXDXOXEQXPXGVWQWUFDLMVXMVUFVXFVWKVXIVXNVYBXPXJXHXILVY
      MUUGVPVUPUYSVYOOVUPLMVYTXQZUYSVYOVUPWUIUYSDMVUEXQZUPZUYSWUILMVXFXQDMVUFXQ
      WUKLMVYTVXFWUHUUHDLMVUFVXFVXNUUIDMUYSVUEUUJUUKVUPWUKUYSRUPZUYSVUPWUJRUYSA
      WUJRSVUOAWUJCUDXMZRAVXCCMXRWUJWUMSGMVVDCXSDMCYCXTIYAWDXAVUPVVNWULUYSSVUPV
      VFVVNAVVFVUOVVHWDVVQQUYSRUULYBYAUUPVUPVYSVYMMXRWUIVYOSWUDMVVDVYMXSLMVYMYC
      XTYDXBVUPVUSXNVHVIZVUTVYRVUPVUSRVAVUSYEYFZUIUJZVYETWKZUIVUSWLZBRXKZWUNVUT
      SVUPMRVUQVWCUUMVUPVUQVBZYEYFWUOVUPWUTMYEVUPMRVUQVWCUUNVFMPMYEYFVUPUUOMVFU
      UQUURUUSWUTYEVUSYEVUQUUTUVAYBVUPWUSVYHVYLVUPWURVYGBRVUPMRVUQWNVUQMXRWURVY
      GYGVWCMRVUQXSWUQVYFUILMVUQWUPVWEVYETUVBUVCXTUVDUVEBUIVUSUVGWFVUPXNVUSVYQV
      HVUPOVYMUVFZUDVUSVYQVUPWVAVUQVUPDMVUFVVDUEUVHUVIUMZOVVDWVBOWNVUPUVJVTVVKU
      VKUVLOVYMUVMUVNUVOYDUVRYHVUPUYQAUYPRUYQAUYNRUYOAVUMRREWNZUYNRVAZJEYIZRREY
      JXTZUVPUVQZYKVUIUQPVUPDMVUHYLYMVTVUPVXLVQZVWEVUPMRVWDVUQVWCVMYKVXLVWDVUIN
      ZUYQVWEULUMZSVUPVXLWVIUYQVXGULUMZWVJDVWDVUHWVKMVUIVXMVUGVXGUYQULVXOYNZVUI
      XCUYQVXGULUVSXEZVXLVWEVXGUYQULVXQYNYOYPUVTUYMUQPADMUYLYLYMVTAVUOVXLWVIUWA
      PWVHWVIVUPMRVWDVUIVUPDMVUHRVVBUYQVUGVUPUYQRPVVAWVGWDVWBUWBWIVMYKUWCAVXLVW
      DUYMNVWDDMUYPVUHUAUNZUCZNZUYPWVIUAUNZAVWDUYMWVOADMUYLWVNAVVAVQZUYLUYPUYQF
      UHZUYRUKZONZULUMZUAUNZWVNWVRFVULPZVUKFUDZUYOUGUYPVAZUYPRUYOUGVAUYLWWCSWVR
      VUMVVGWWDAVUMVVAJWDVVJBVUEEFKUWDVPZAVUKVVAVUNWDWVRRUYNFWNWWEUYNVAWWFWVRBR
      VYEVUEPZVYEENZUEUWEZUYNFWVRVYERPZVQWWHWWIUEUYNWVRERXRZWWKWWIUYNPAWWLVVAAV
      UMWVCWWLJWVERREXSXTWDZRVYEEUWFWCAUEUYNPZVVAWWKAVUMWWNJEUWIQVLUWGKUWHRUYNF
      YJWWEUYNUYOUWJXTWVRUYNRUYOAWVDVVAWVFWDUWKUAUYPFUWLUWMWVRUYPWWBVUHUAWVRVUO
      VQZWWAVUGUYQULWWOWVTVUFOWWOVYEWVTPZVYEVUFPZYGZBUWNWVTVUFSWWOWWRBWWOWWKVYE
      FNZUYQSZVQZWWKWWIUYQSZVQZWWHVQZWWPWWQWWOWXAWWKWXBWWHVQZVQWXDWWOWWKWWTWXEW
      WOWWKVQZWWTWWHWWJUYQSZVQZWXEWXFWWTWXGWXHWXFWWSWWJUYQWWKWWSWWJSZWWOWWKWWJU
      QPWXIWWHWWIUEVYEEXDUWOUWPBRWWJUQFKUWQUWRYPYQWXFWXGWWHWXFWXGWWJUEYFZWWHWXF
      WXJWXGUYQUEYFZVUOWXKWVRWWKUYQUYNUEUWSUWTWWJUYQUEUXAUXBWWHWWJUEWWHWWIUEUXC
      UXDUXIUXEUXFWXHWXBWWHWWHWXGWXBWWHWWJWWIUYQWWHWWIUEUXGYQUXJUXHUXKUXLWWKWXB
      WWHUXSUXMWWOFRXRZWWPWXAYGWVRWXLVUOWVRWWDRRFWNWXLWWGFYIRRFXSXTWDRUYQVYEFYR
      QWWQVYEUYSPZWWHVQWWOWXDVYEUYSVUEUXTWWOWXMWXCWWHWWOWWLWXMWXCYGWVRWWLVUOWWM
      WDRUYQVYEEYRQUXNUXOUXPUXQBWVTVUFBWVSUYRBFBFBRWWJUCKBRWWJUXRUYAUYBBUYRYSUY
      CBVUFYSUYIXIXBYNUYDYAUYEUYFVXLWVPUYPWVKUAUNZWVQDVWDWVNWXNMWVOVXMUYPVUHWVK
      UAWVLYTWVOXCUYPWVKUAUYJXEVXLUYPWVIWVKUAWVMYTYOUYGUYHAVUMVUCVUBSJUAEUYKQYH
      $.
  $}

  ${
    $d g j k m n x y z F $.  $d g j k n x G $.  $d m J $.  $d j k m n x y ph $.
    $d m x y A $.
    mbfi1fseq.1 $e |- ( ph -> F e. MblFn ) $.
    mbfi1fseq.2 $e |- ( ph -> F : RR --> ( 0 [,) +oo ) ) $.
    ${
      mbfi1fseq.3 $e |- J = ( m e. NN , y e. RR |->
        ( ( |_ ` ( ( F ` y ) x. ( 2 ^ m ) ) ) / ( 2 ^ m ) ) ) $.
      $( Lemma for ~ mbfi1fseq .  (Contributed by Mario Carneiro,
         16-Aug-2014.) $)
      mbfi1fseqlem1 $p |- ( ph -> J : ( NN X. RR ) --> ( 0 [,) +oo ) ) $=
        ( cv cfv c2 co cc0 wcel cr wral cn wa cle wbr cexp cmul cfl cdiv cxp wf
        cpnf cico simpr ffvelrn syl2an elrege0 sylib simpld cn0 nnexpcl sylancr
        2nn nnnn0 ad2antrl nnred remulcld reflcl syl nndivred clt nnnn0d mulge0
        nn0ge0d syl12anc flge0nn0 syl2anc nngt0d divge0 syl22anc sylanbrc fmpo
        ralrimivva ) ABIZDJZKCIZUALZUBLZUCJZWBUDLZMUGUHLZNZBOPCQPQOUEWFEUFAWGCB
        QOAWAQNZVSONZRZRZWEONMWESTZWGWKWDWBWKWCONZWDONZWKVTWBWKVTONZMVTSTZWKVTW
        FNZWOWPRZAOWFDUFWIWQWJGWHWIUIOWFVSDUJUKVTULUMZUNWKWBWHWBQNZAWIWHKQNWAUO
        NWTURWAUSKWAUPUQUTZVAZVBZWCVCVDZXAVEWKWNMWDSTWBONZMWBVFTWLXDWKWDWKWMMWC
        STZWDUONXCWKWRXEMWBSTXFWSXBWKWBWKWBXAVGVIVTWBVHVJWCVKVLVIXBWKWBXAVMWDWB
        VNVOWEULVPVRCBQOWEWFEHVQUM $.

      mbfi1fseq.4 $e |- G = ( m e. NN |-> ( x e. RR |->
        if ( x e. ( -u m [,] m ) ,
        if ( ( m J x ) <_ m , ( m J x ) , m ) , 0 ) ) ) $.
      $( Lemma for ~ mbfi1fseq .  (Contributed by Mario Carneiro, 16-Aug-2014.)
         (Revised by Mario Carneiro, 23-Aug-2014.) $)
      mbfi1fseqlem2 $p |- ( A e. NN -> ( G ` A ) = ( x e. RR |->
        if ( x e. ( -u A [,] A ) ,
        if ( ( A J x ) <_ A , ( A J x ) , A ) , 0 ) ) ) $=
        ( cr cv cneg cicc co cle cif cc0 wcel wbr cmpt cn wceq negeq id oveq12d
        eleq2d oveq1 breq12d ifbieq12d ifbieq1d mpteq2dv reex mptex fvmpt ) EDB
        MBNZENZOZUSPQZUAZUSURHQZUSRUBZVCUSSZTSZUCBMURDOZDPQZUAZDURHQZDRUBZVJDSZ
        TSZUCUDGUSDUEZBMVFVMVNVBVIVEVLTVNVAVHURVNUTVGUSDPUSDUFVNUGZUHUIVNVDVKVC
        USVJDVNVCVJUSDRUSDURHUJZVOUKVPVOULUMUNLBMVMUOUPUQ $.

      $( Lemma for ~ mbfi1fseq .  (Contributed by Mario Carneiro,
         16-Aug-2014.) $)
      mbfi1fseqlem3 $p |- ( ( ph /\ A e. NN ) -> ( G ` A ) : RR -->
        ran ( m e. ( 0 ... ( A x. ( 2 ^ A ) ) ) |-> ( m / ( 2 ^ A ) ) ) ) $=
        ( cn wcel wa cr co cc0 cdiv cfv cv cneg cicc cle wbr cif cexp cmul cmpt
        c2 cfz crn wceq mbfi1fseqlem2 adantl clt wb cxp wral cpnf cico rge0ssre
        wf cfl simpr ffvelrn syl2an sselid cn0 2nn nnnn0 nnexpcl ad2antrl nnred
        sylancr remulcld syl nndivred ralrimivva fmpo sylib fovrn syl3an1 3expa
        reflcl ad2antlr nngt0 jca lemul1 syl3anc biimpa cuz fveq2d simpl oveq2d
        nnre oveq12d ovex ovmpoa ad4ant23 oveq1d adantr ffvelrnda simpld nnnn0d
        cz elrege0 nn0ge0d mulge0 syl12anc flge0nn0 syl2anc nn0cnd nncnd nnne0d
        divcan1d eqtrd eqeltrd nn0uz nnmulcl mpdan nnzd elfz5 mpbird oveq1 eqid
        eleqtrdi fvmpt recnd divcan4d wfn elfznn0 nn0red nndivre syl2anr fmpttd
        ffnd fnfvelrn eqeltrrd wn eluzfz2 ifclda eluzfz1 nncn nnne0 div0d ifcld
        fmpt3d ) ADMNZOZBPBUAZDUBDUCQNZDUUKHQZDUDUEZUUMDUFZRUFZERDUJDUGQZUHQZUK
        QZEUAZUUQSQZUIZULZDGTZUUIUVDBPUUPUIUMAABCDEFGHIJKLUNUOUUJUUKPNZOZUULUUO
        RUVCUVFUUNUUMDUVCUVFUUNOZUUMUUQUHQZUVBTZUUMUVCUVGUVIUVHUUQSQZUUMUVGUVHU
        USNZUVIUVJUMUVGUVKUVHUURUDUEZUVFUUNUVLUVFUUMPNZDPNZUUQPNZRUUQUPUEZOZUUN
        UVLUQAUUIUVEUVMAMPURPHVCZUUIUVEUVMACUAZFTZUJUUTUGQZUHQZVDTZUWASQZPNZCPU
        SEMUSUVRAUWEECMPAUUTMNZUVSPNZOZOZUWCUWAUWIUWBPNUWCPNUWIUVTUWAUWIRUTVAQZ
        PUVTVBAPUWJFVCZUWGUVTUWJNUWHJUWFUWGVEPUWJUVSFVFVGVHUWIUWAUWFUWAMNZAUWGU
        WFUJMNZUUTVINUWLVJUUTVKUJUUTVLVOVMZVNVPUWBWEVQUWNVRVSECMPUWDPHKVTWADUUK
        PMPHWBWCWDZUUIUVNAUVEDWPWFZUVFUUQMNZUVQUUIUWQAUVEUUIUWMDVINUWQVJDVKUJDV
        LVOZWFZUWQUVOUVPUUQWPUUQWGWHVQUUMDUUQWIWJWKUVGUVHRWLTZNUURXFNUVKUVLUQUV
        GUVHVIUWTUVGUVHUUKFTZUUQUHQZVDTZVIUVGUVHUXCUUQSQZUUQUHQUXCUVGUUMUXDUUQU
        HUUIUVEUUMUXDUMAUUNECDUUKMPUWDUXDHUUTDUMZUVSUUKUMZOZUWCUXCUWAUUQSUXGUWB
        UXBVDUXGUVTUXAUWAUUQUHUXGUVSUUKFUXEUXFVEWMUXGUUTDUJUGUXEUXFWNWOZWQWMUXH
        WQKUXCUUQSWRWSWTXAUVGUXCUUQUVGUXCUVFUXCVINZUUNUVFUXBPNRUXBUDUEZUXIUVFUX
        AUUQUVFUXAPNZRUXAUDUEZUVFUXAUWJNUXKUXLOZUUJPUWJUUKFAUWKUUIJXBXCUXAXGWAZ
        XDUVFUUQUWSVNZVPUVFUXMUVORUUQUDUEUXJUXNUXOUVFUUQUVFUUQUWSXEXHUXAUUQXIXJ
        UXBXKXLXBZXMUVGUUQUVFUWQUUNUWSXBZXNZUVGUUQUXQXOZXPXQUXPXRXSYGUVGUURUVFU
        URMNZUUNUUIUXTAUVEUUIUWQUXTUWRDUUQXTYAWFZXBYBUVHRUURYCXLYDZEUVHUVAUVJUU
        SUVBUUTUVHUUQSYEUVBYFZUVHUUQSWRYHVQUVGUUMUUQUVGUUMUVFUVMUUNUWOXBYIUXRUX
        SYJXQUVGUVBUUSYKZUVKUVIUVCNUVFUYDUUNUUJUYDUVEUUJUUSPUVBUUJEUUSUVAPUUTUU
        SNZUUTPNUWQUVAPNUUJUYEUUTUUTUURYLYMUUIUWQAUWRUOUUTUUQYNYOYPYQXBZXBUYBUU
        SUVHUVBYRXLYSUVFDUVCNUUNYTUVFUURUVBTZDUVCUVFUYGUURUUQSQZDUVFUURUUSNZUYG
        UYHUMUVFUURUWTNZUYIUVFUURVIUWTUVFUURUYAXEXSYGZRUURUUAVQZEUURUVAUYHUUSUV
        BUUTUURUUQSYEUYCUURUUQSWRYHVQUVFDUUQUVFDUWPYIUVFUUQUWSXNUVFUUQUWSXOYJXQ
        UVFUYDUYIUYGUVCNUYFUYLUUSUURUVBYRXLYSXBUUBUVFRUVBTZRUVCUVFUYMRUUQSQZRUV
        FRUUSNZUYMUYNUMUVFUYJUYOUYKRUURUUCVQZERUVAUYNUUSUVBUUTRUUQSYEUYCRUUQSWR
        YHVQUVFUWQUYNRUMUWSUWQUUQUUQUUDUUQUUEUUFVQXQUVFUYDUYOUYMUVCNUYFUYPUUSRU
        VBYRXLYSUUGUUH $.

      $( Lemma for ~ mbfi1fseq .  This lemma is not as interesting as it is
         long - it is simply checking that ` G ` is in fact a sequence of
         simple functions, by verifying that its range is in
         ` ( 0 ... n 2 ^ n ) / ( 2 ^ n ) ` (which is to say, the numbers from
         ` 0 ` to ` n ` in increments of ` 1 / ( 2 ^ n ) ` ), and also that the
         preimage of each point ` k ` is measurable, because it is equal to
         ` ( -u n [,] n ) i^i ( ``' F " ( k [,) k + 1 / ( 2 ^ n ) ) ) ` for
         ` k < n ` and ` ( -u n [,] n ) i^i ( ``' F " ( k [,) +oo ) ) ` for
         ` k = n ` .  (Contributed by Mario Carneiro, 16-Aug-2014.) $)
      mbfi1fseqlem4 $p |- ( ph -> G : NN --> dom S.1 ) $=
        ( cn wcel cr co cle wbr cc0 wa wb vn vk wfn cv cfv cdm wral wf cneg cif
        cicc cmpt c2 cexp cmul cdiv crn cn0 2nn nnexpcl sylancr adantl frnd cfn
        nnnn0 ffnd sylib syl2anc csn cdif ccnv cima weq cmnf c1 caddc cioo cvol
        wceq ad2antlr cvv simpr ovex ifex eqid fvmpt2 sylancl eqtrd adantlr wne
        eqeq1d neeq1 syl5ibrcom iffalse necon1ai pm4.71rd iftrue nnred rge0ssre
        adantr cfl remulcld syl syl3anc ifcld biantrurd 3bitr4d breq1 syl112anc
        reflcl clt lemul1 bitrd fveq2d oveq2d oveq12d breq2d sylan9bbr ssdifssd
        3bitr2d sselda nncnd nnne0d eqeltrd biimparc iftrued ralrimiva ad2antrr
        cz recnd cxr rexrd elioomnf elpreima mpbirand 3bitrd bitr4d syl5bb wss
        wn citg1 reex mptex fnmpti a1i cfz mbfi1fseqlem3 elfznn0 nn0red nndivre
        syl2anr fmpttd fssd wfo fzfid dffn4 fofi ssfid cin mbfi1fseqlem2 fveq1d
        vex c0ex eldifsni syl6 simpllr cpnf cico ffvelrn syl2an sselid ad2antrl
        nndivred ralrimivva fmpo fovrn syl3an1 3expa lemin letri3d eqeq2d leidd
        min2 biantrud ffvelrnda elrege0 simpld nngt0d lemuldiv nnmulcl syl2anc2
        nnzd flge simpl ovmpoa eleqtrrd wrex rnmpt abeq2i elfzelz zcnd divcan1d
        cxp eleq1d rexlimdva syl5bi imp syldan flbi eqtr3d eqbrtrrd jca impbid1
        oveq1 ex eldifi nnre nn0ge0d ifboth eqbrtrd ralrn mpbird r19.21bi sstrd
        sylan2 divmul3d eleq2d nnrecred readdcld ltmul1 recid2d joinlmuladdmuld
        ifnefalse anbi12d biancomd eldif notbid lenltd anbi2d pm5.32da fniniseg
        pm2.61dane elin renegcld iccmbl mblss sseld eqrdv rembl cmbf fss mbfima
        adantrd ifcl difmbl inmbl covol mblvol 0re sylbid expimpd ssrdv iccssre
        iccvolcl eqeltrrd ovolsscl i1fd ffnfv sylanbrc ) AFLUCZUAUDZFUEZUUAUFZM
        ZUALUGLVVMFUHVVJADLBNBUDZDUDZUIVVPUKOMVVPVVOGOZVVPPQVVQVVPUJRUJZULFBNVV
        RUUBUUCKUUDUUEAVVNUALAVVKLMZSZUBVVLVVTNDRVVKUMVVKUNOZUOOZUUFOZVVPVWAUPO
        ZULZUQZNVVLABCVVKDEFGHIJKUUGZVVTVWCNVWEVVTDVWCVWDNVVPVWCMZVVPNMVWALMZVW
        DNMVVTVWHVVPVVPVWBUUHUUIVVSVWIAVVSUMLMZVVKURMZVWIUSVVKVEZUMVVKUTVAZVBVV
        PVWAUUJUUKUULZVCZUUMZVVTVWFVVLUQZVVTVWCVDMVWCVWFVWEUUNZVWFVDMVVTRVWBUUO
        VVTVWEVWCUCVWRVVTVWCNVWEVWNVFVWCVWEUUPVGVWCVWFVWEUUQVHVVTNVWFVVLVWGVCZU
        URVVTUBUDZVWQRVIZVJZMZSZVVLVKVWTVIVLZVVKUIZVVKUKOZUBUAVMZNEVKZVNVWTVOVW
        AUPOZVPOZVQOZVLZUJZVXIVNVWTVQOZVLZVJZUUSZVRUFZVXDBVXEVXRVXDVVONMZVVOVVL
        UEZVWTVSZSZVXTVVOVXGMZVVOVXQMZSZSZVVOVXEMZVVOVXRMZVXDVXTVYBVYFVXDVXTSZV
        YBVYDVVKVVOGOZVVKPQZVYKVVKUJZRUJZVWTVSZVYDVYOSVYFVYJVYAVYNVWTVVTVXTVYAV
        YNVSZVXCVVTVXTSZVYAVVOBNVYNULZUEZVYNVVSVYAVYSVSAVXTVVSVVOVVLVYRABCVVKDE
        FGHIJKUUTUVAVTZVYQVXTVYNWAMVYSVYNVSZVVTVXTWBZVYDVYMRVYLVYKVVKVVKVVOGWCU
        AUVBWDUVCWDBNVYNWAVYRVYRWEZWFWGWHZWIWKVYJVYOVYDVYJVYOVYNRWJZVYDVYJWUEVY
        OVWTRWJZVXCWUFVVTVXTVWTVWQRUVDVTVYNVWTRWLWMVYDVYNRVYDVYMRWNWOUVEZWPVYJV
        YDVYOVYEVYDVYOVYMVWTVSZVYJVYEVYDVYNVYMVWTVYDVYMRWQWKVYJWUHVVOVXNMZVWTVV
        OEUEZPQZSZVYEVYJWUHWULTVWTVVKVYJVXHSZWUHVVKVYKPQZWUKWULWUMVVKVYMPQZWUNV
        VKVVKPQZSZWUHWUNWUMVVKNMZVYKNMZWURWUOWUQTVYJWURVXHVYJVVKAVVSVXCVXTUVFZW
        RZWTZVYJWUSVXHVVTVXTWUSVXCAVVSVXTWUSALNUXCNGUHZVVSVXTWUSACUDZEUEZUMVVPU
        NOZUOOZXAUEZWVFUPOZNMZCNUGDLUGWVCAWVJDCLNAVVPLMZWVDNMZSZSZWVHWVFWVNWVGN
        MWVHNMWVNWVEWVFWVNRUVGUVHOZNWVEWSANWVOEUHZWVLWVEWVOMWVMIWVKWVLWBNWVOWVD
        EUVIUVJUVKWVNWVFWVKWVFLMZAWVLWVKVWJVVPURMWVQUSVVPVEUMVVPUTVAUVLZWRXBWVG
        XJXCWVRUVMUVNDCLNWVINGJUVOVGVVKVVONLNGUVPUVQUVRZWIWTZWVBVVKVYKVVKUVSXDW
        UMVYMVVKVSVYMVVKPQZWUOSWUHWUOWUMVYMVVKWUMVYLVYKVVKNWVTWVBXEWVBUVTWUMVWT
        VVKVYMVYJVXHWBUWAWUMWWAWUOWUMWUSWURWWAWVTWVBVYKVVKUWCZVHXFXGWUMWUPWUNWU
        MVVKWVBUWBUWDXGVXHWUKVVKWUJPQZVYJWUNVWTVVKWUJPXHVYJVWBWUJVWAUOOZXAUEZPQ
        ZVVKWWEVWAUPOZPQZWWCWUNVYJWURWWENMZVWANMZRVWAXKQZWWFWWHTWVAVYJWWDNMZWWI
        VYJWUJVWAVVTVXTWUJNMZVXCVYQWWMRWUJPQZVYQWUJWVOMWWMWWNSVVTNWVOVVOEAWVPVV
        SIWTZUWEWUJUWFVGUWGWIZVYJVWAVYJVVSVWIWUTVWMXCZWRZXBZWWDXJXCZWWRVYJVWAWW
        QUWHZVVKWWEVWAUWIXIVYJWWCVWBWWDPQZWWFVYJWURWWMWWJWWKWWCWXBTWVAWWPWWRWXA
        VVKWUJVWAXLXIVYJWWLVWBYIMWXBWWFTWWSVYJVWBVYJVVSVWIVWBLMWUTVWMVVKVWAUWJU
        WKUWLWWDVWBUWMVHXMVYJVYKWWGVVKPVYJVVSVXTVYKWWGVSWUTVXDVXTWBZDCVVKVVOLNW
        VIWWGGDUAVMZCBVMZSZWVHWWEWVFVWAUPWXFWVGWWDXAWXFWVEWUJWVFVWAUOWXFWVDVVOE
        WXDWXEWBXNWXFVVPVVKUMUNWXDWXEUWNXOZXPXNWXGXPJWWEVWAUPWCUWOVHZXQXGXRWUMW
        UIWUKWUMVVONVXNVYJVXTVXHWXCWTVXHVXNNVSVYJVXHNVXMWQVBUWPXFXTVYJVWTVVKWJZ
        SZWWEVWTVWAUOOZVSZWXKWWDPQZWWDWXKVOVPOZXKQZSZWUHWULVYJWXLWXPTZWXIVYJWWL
        WXKYIMZWXQWWSVXDWXRVXTVVTVXCVWTVWFMZWXRVVTVXBVWFVWTVVTVWQVWFVXAVWSXSYAV
        VTWXSWXRWXSVWTVWDVSZDVWCUWQZVVTWXRWYAUBVWFDUBVWCVWDVWEVWEWEUWRUWSVVTWXT
        WXRDVWCVVTVWHSZWXRWXTVWDVWAUOOZYIMWYBWYCVVPYIWYBVVPVWAWYBVVPVWHVVPYIMVV
        TVVPRVWBUWTVBZUXAWYBVWAVVSVWIAVWHVWMVTZYBWYBVWAWYEYCUXBWYDYDWXTWXKWYCYI
        VWTVWDVWAUOUXNUXDWMUXEUXFUXGUXHWTWWDWXKUXIVHWTWXJWUHVWTVVKPQZVYKVWTVSZS
        ZWYGWXLWXIWUHWYHTVYJWXIWUHWYHWXIWUHWYHWXIWUHSZWYFWYGWYIVYKVWTVVKPWYIVYM
        VYKVWTWYIVYLVYKVVKWYIVYMVVKWJZVYLWUHWYJWXIVYMVWTVVKWLYEVYLVYMVVKVYLVYKV
        VKWNWOXCZYFWXIWUHWBUXJZWYKUXKWYLUXLUXOWYHVYMVYKVWTWYHVYLVYKVVKWYGVYLWYF
        VYKVWTVVKPXHYEYFWYFWYGWBWHUXMVBWXJWYFWYGVXDWYFVXTWXIVXCVVTVWTVWQMWYFVWT
        VWQVXAUXPVVTWYFUBVWQVVTWYFUBVWQUGZVYAVVKPQZBNUGZVVTWYNBNVYQVYAVYNVVKPWU
        DVYQWWARVVKPQZVYNVVKPQZVYQWUSWURWWAWVSVVSWURAVXTVVKUXQZVTZWWBVHVYQVVKVV
        SVWKAVXTVWLVTUXRVYDWWAWYPWYQVYMRVYMVYNVVKPXHRVYNVVKPXHUXSVHUXTYGVVTVVLN
        UCZWYMWYOTVVTNVWFVVLVWGVFZWYFWYNUBBNVVLVWTVYAVVKPXHUYAXCUYBUYCUYEYHXFVY
        JWYGWXLTWXIVYJWYGWWGVWTVSWXLVYJVYKWWGVWTWXHWKVYJWWEVWTVWAVYJWWEWWTYJVYJ
        VWTVXDVWTNMZVXTVVTVXBNVWTVVTVWQNVXAVVTVWQVWFNVWSVWOUYDXSYAWTZYJZVYJVWAW
        WQYBZVYJVWAWWQYCZUYFXMWTXTWXJWULWXMWXOWXJWUIWXOWUKWXMWXIWUIVVOVXMMZVYJW
        XOWXIVXNVXMVVOVWTVVKNVXMUYMUYGVYJXUGWUJVXKXKQZWWDVXKVWAUOOZXKQZWXOVYJWU
        JVXLMZWWMXUHSZXUGXUHVYJVXKYKMXUKXULTVYJVXKVYJVWTVXJXUCVYJVWAWWQUYHZUYIZ
        YLVXKWUJYMXCVYJXUGVXTXUKWXCVYJENUCZXUGVXTXUKSTVYJNWVOEVVTWVPVXCVXTWWOYH
        VFZNVVOVXLEYNXCYOVYJWWMXUHWWPXFXGVYJWWMVXKNMWWJWWKXUHXUJTWWPXUNWWRWXAWU
        JVXKVWAUYJXIVYJXUIWXNWWDXKVYJVWTVWAVXJWXNXUDXUEVYJVXJXUMYJVYJVXJVWAUOOV
        OWXKVPVYJVWAXUEXUFUYKXOUYLXQYPXRVYJWUKWXMTZWXIVYJXUBWWMWWJWWKXUQXUCWWPW
        WRWXAVWTWUJVWAXLXIWTUYNUYOXGVUBVYEWUIVVOVXPMZYTZSVYJWULVVOVXNVXPUYPVYJX
        USWUKWUIVYJXUSWUJVWTXKQZYTWUKVYJXURXUTVYJWUJVXOMZWWMXUTSZXURXUTVYJVWTYK
        MXVAXVBTVYJVWTXUCYLVWTWUJYMXCVYJXURVXTXVAWXCVYJXUOXURVXTXVASTXUPNVVOVXO
        EYNXCYOVYJWWMXUTWWPXFXGUYQVYJVWTWUJXUCWWPUYRYQUYSYRYQXRUYTYPUYTVXDWYTVY
        HVYCTZVXDNNVVLVVTNNVVLUHVXCVWPWTVFNVWTVVOVVLVUAZXCVYIVYFVXDVYGVVOVXGVXQ
        VUCVXDVYFVXTVXDVYDVXTVYEVXDVXGNVVOVXDVXGVXSMZVXGNYSZVXDVXFNMZWURXVEVXDV
        VKVVSWURAVXCWYRVTZVUDZXVHVXFVVKVUEVHZVXGVUFXCVUGVUMWPYRXGVUHVXDXVEVXQVX
        SMZVXRVXSMXVJAXVKVVSVXCAVXNVXSMZVXPVXSMZXVKANVXSMVXMVXSMZXVLVUIAEVUJMZN
        NEUHZXVNHAWVPWVONYSXVPIWSNWVONEVUKWGZNVNVXKEVULVHVXHNVXMVXSVUNVAAXVOXVP
        XVMHXVQNVNVWTEVULVHVXNVXPVUOVHYHVXGVXQVUPVHYDZVXDVXEVRUEZVXEVUQUEZNVXDV
        XEVXSMXVSXVTVSXVRVXEVURXCVXDVXEVXGYSXVFVXGVUQUEZNMXVTNMVXDBVXEVXGVXDVYH
        VYCVYDVXDWYTXVCVVTWYTVXCXUAWTXVDXCVXDVXTVYBVYDVYJVYBVYOVYDVYJVYAVYNVWTV
        VTVXTVYPVXCVYQVYAVYSVYNVYTVYQVXTVYNNMZWUAWUBVYQVYMNMRNMXWBVYQVYLVYKVVKN
        WVSWYSXEVUSVYDVYMRNVUNWGBNVYNNVYRWUCWFVHWHWIWKWUGVUTVVAVUTVVBVXDXVGWURX
        VFXVIXVHVXFVVKVVCVHVXDVXGVRUEZXWANVXDXVEXWCXWAVSXVJVXGVURXCVXDXVGWURXWC
        NMXVIXVHVXFVVKVVDVHVVEVXEVXGVVFXDYDVVGYGUALVVMFVVHVVI $.

      $( Lemma for ~ mbfi1fseq .  Verify that ` G ` describes an increasing
         sequence of positive functions.  (Contributed by Mario Carneiro,
         16-Aug-2014.) $)
      mbfi1fseqlem5 $p |- ( ( ph /\ A e. NN ) ->
        ( 0p oR <_ ( G ` A ) /\ ( G ` A ) oR <_ ( G ` ( A + 1 ) ) ) ) $=
        ( cn wcel cle wbr co cc0 cr c2 wa c0p cfv cofr caddc cneg cicc cif wral
        c1 cv cexp cmul cfl cdiv clt cn0 cpnf wf adantr ffvelrnda elrege0 sylib
        simpld 2nn nnnn0 nnexpcl sylancr ad2antlr nnred remulcld nnnn0d nn0ge0d
        cico mulge0 syl12anc flge0nn0 syl2anc nn0red nngt0d syl22anc wceq simpr
        divge0 fveq2d simpl oveq2d oveq12d ovmpoa adantll breqtrrd breq2 ifboth
        ovex 0le0 sylancl ralrimiva cc cvv wfn csn cxp 0re fnconstg ax-mp df-0p
        fneq1i mpbir a1i citg1 cdm mbfi1fseqlem4 i1ff ffn 3syl cnex adantl cmpt
        mbfi1fseqlem2 fveq1d ffvelrn syl2an reflcl ifcld ifcl eqid fvmpt2 eqtrd
        wss syl ofrfval mpbird recnd mulassd wb mpbid cz eqbrtrd 3brtr4d letrd
        reex cin ax-resscn sseqin2 mpbi 0pval rge0ssre sselid ad2antrl nndivred
        ralrimivva fmpo fovrn 3expa nnre mbfi1fseqlem1 ad2antrr peano2nn fovrnd
        syl3an1 min1 2cn expp1 eqeltrrd 2cnd nnne0d divcan1d oveq1d 3eqtr2d 2re
        flle 2pos pm3.2i lemul1 syl3anc eqtr4d flcld 2z flge lemuldiv syl112anc
        zmulcl min2 lep1d iftrue renegcld lenegd iccss sselda iftrued wn simprd
        iffalse pm2.61dan inidm jca ) ADMNZUAZUBDGUCZOUDZPZUWSDUJUEQZGUCZUWTPZU
        WRUXARBUKZDUFZDUGQZNZDUXEHQZDOPZUXIDUHZRUHZOPZBSUIUWRUXMBSUWRUXESNZUAZR
        UXKOPZRROPZUXMUXORUXIOPZRDOPZUXPUXORUXEFUCZTDULQZUMQZUNUCZUYAUOQZUXIOUX
        OUYCSNZRUYCOPUYASNZRUYAUPPRUYDOPUXOUYCUXOUYBSNZRUYBOPZUYCUQNUXOUXTUYAUX
        OUXTSNZRUXTOPZUXOUXTRURVNQZNUYIUYJUAZUWRSUYKUXEFASUYKFUSZUWQJUTVAUXTVBV
        CZVDZUXOUYAUWQUYAMNZAUXNUWQTMNZDUQNZUYPVEDVFZTDVGVHVIZVJZVKZUXOUYLUYFRU
        YAOPUYHUYNVUAUXOUYAUXOUYAUYTVLVMUXTUYAVOVPUYBVQVRZVSZUXOUYCVUCVMVUAUXOU
        YAUYTVTUYCUYAWDWAUWQUXNUXIUYDWBAECDUXEMSCUKZFUCZTEUKZULQZUMQZUNUCZVUHUO
        QZUYDHVUGDWBZVUEUXEWBZUAZVUJUYCVUHUYAUOVUNVUIUYBUNVUNVUFUXTVUHUYAUMVUNV
        UEUXEFVULVUMWCWEVUNVUGDTULVULVUMWFWGZWHWEVUOWHKUYCUYAUOWNWIWJZWKUWQUXSA
        UXNUWQDUYSVMVIUXJUXRUXSUXPUXIDUXIUXKROWLDUXKROWLWMVRWOUXHUXPUXQUXMUXKRU
        XKUXLROWLRUXLROWLWMWPWQUWRBWRSRUXLOSUBUWSWSWSUBWRWTZUWRVUQWRRXAXBZWRWTZ
        RSNZVUSXCWRRSXDXEWRUBVURXFXGXHXIUWRUWSXJXKZNSSUWSUSUWSSWTAMVVADGABCEFGH
        IJKLXLZVAUWSXMSSUWSXNXOZWRWSNUWRXPXISWSNUWRUUAXIZSWRYIWRSUUBSWBUUCSWRUU
        DUUEUXEWRNUXEUBUCRWBUWRUXEUUFXQUXOUXEUWSUCZUXEBSUXLXRZUCZUXLUWQVVEVVGWB
        AUXNUWQUXEUWSVVFABCDEFGHIJKLXSXTVIUXOUXNUXLSNZVVGUXLWBUWRUXNWCZUXOUXKSN
        VUTVVHUXOUXJUXIDSAUWQUXNUXISNZAMSXBZSHUSZUWQUXNVVJAVUKSNZCSUIEMUIVVLAVV
        MECMSAVUGMNZVUESNZUAZUAZVUJVUHVVQVUISNVUJSNVVQVUFVUHVVQUYKSVUFUUGAUYMVV
        OVUFUYKNVVPJVVNVVOWCSUYKVUEFYAYBUUHVVQVUHVVNVUHMNZAVVOVVNUYQVUGUQNVVRVE
        VUGVFTVUGVGVHUUIZVJVKVUIYCYJVVSUUJUUKECMSVUKSHKUULVCDUXESMSHUUMUUTUUNZU
        WQDSNZAUXNDUUOVIZYDZXCUXHUXKRSYEWPBSUXLSVVFVVFYFYGVRYHZYKYLUWRUXDUXLUXE
        UXBUFZUXBUGQZNZUXBUXEHQZUXBOPZVWHUXBUHZRUHZOPZBSUIUWRVWLBSUXOUXHVWLUXOU
        XHUAZUXKVWJUXLVWKOUXOUXKVWJOPZUXHUXOUXKVWHOPZUXKUXBOPZVWNUXOUXKUXIVWHVW
        CVVTUXOVWHSNZRVWHOPZUXOVWHUYKNVWQVWRUAUXOUXBUXEUYKMSHAVVKUYKHUSUWQUXNAC
        EFHIJKUUPUUQUWQUXBMNZAUXNDUURZVIZVVIUUSVWHVBVCZVDZUXOVVJVWAUXKUXIOPVVTV
        WBUXIDUVAVRUXOUYDUXTTUXBULQZUMQZUNUCZVXDUOQZUXIVWHOUXOUYDVXDUMQZVXFOPZU
        YDVXGOPZUXOVXHUYCTUMQZVXFOUXOVXHUYDUYATUMQZUMQUYDUYAUMQZTUMQVXKUXOVXDVX
        LUYDUMUXOTWRNUYRVXDVXLWBUVBUWQUYRAUXNUYSVITDUVCVHZWGUXOUYDUYATUXOUYDUXO
        UXIUYDSVUPVVTUVDZYMUXOUYAVUAYMZUXOUVEZYNUXOVXMUYCTUMUXOUYCUYAUXOUYCVUDY
        MVXPUXOUYAUYTUVFUVGUVHUVIUXOVXKVXEOPZVXKVXFOPZUXOVXKUYBTUMQZVXEOUXOUYCU
        YBOPZVXKVXTOPZUXOUYGVYAVUBUYBUVKYJUXOUYEUYGTSNZRTUPPZUAZVYAVYBYOVUDVUBV
        YEUXOVYCVYDUVJUVLUVMXIUYCUYBTUVNUVOYPUXOVXEUXTVXLUMQVXTUXOVXDVXLUXTUMVX
        NWGUXOUXTUYATUXOUXTUYOYMVXPVXQYNUVPWKUXOVXESNZVXKYQNZVXRVXSYOUXOUXTVXDU
        YOUXOVXDUXOUYQUXBUQNVXDMNVEUXOUXBVXAVLZTUXBVGVHZVJZVKZUXOUYCYQNTYQNVYGU
        XOUYBVUBUVQUVRUYCTUWBWPVXEVXKUVSVRYPYRUXOUYDSNVXFSNZVXDSNRVXDUPPVXIVXJY
        OVXOUXOVYFVYLVYKVXEYCYJVYJUXOVXDVYIVTUYDVXFVXDUVTUWAYPVUPUXOVWSUXNVWHVX
        GWBVXAVVIECUXBUXEMSVUKVXGHVUGUXBWBZVUMUAZVUJVXFVUHVXDUOVYNVUIVXEUNVYNVU
        FUXTVUHVXDUMVYNVUEUXEFVYMVUMWCWEVYNVUGUXBTULVYMVUMWFWGZWHWEVYOWHKVXFVXD
        UOWNWIVRYSYTUXOUXKDUXBVWCVWBUXOUXBVXAVJZUXOVVJVWAUXKDOPVVTVWBUXIDUWCVRU
        XODVWBUWDZYTVWIVWOVWPVWNVWHUXBVWHVWJUXKOWLUXBVWJUXKOWLWMVRUTUXHUXLUXKWB
        UXOUXHUXKRUWEXQVWMVWGVWJRUXOUXGVWFUXEUXOVWESNUXBSNVWEUXFOPZDUXBOPZUXGVW
        FYIUXOUXBVYPUWFVYPUXOVYSVYRVYQUXODUXBVWBVYPUWGYPVYQVWEUXBUXFDUWHWAUWIUW
        JYSUXOUXHUWKZUAUXLRVWKOVYTUXLRWBUXOUXHUXKRUWMXQUXORVWKOPZVYTUXORVWJOPZU
        XQWUAUXOVWRRUXBOPZWUBUXOVWQVWRVXBUWLUXOUXBVYHVMVWIVWRWUCWUBVWHUXBVWHVWJ
        ROWLUXBVWJROWLWMVRWOVWGWUBUXQWUAVWJRVWJVWKROWLRVWKROWLWMWPUTYRUWNWQUWRB
        SSUXLVWKOSUWSUXCWSWSVVCUWRUXCVVANZSSUXCUSUXCSWTAMVVAGUSVWSWUDUWQVVBVWTM
        VVAUXBGYAYBUXCXMSSUXCXNXOVVDVVDSUWOVWDUXOUXEUXCUCZUXEBSVWKXRZUCZVWKUXOV
        WSWUEWUGWBVXAVWSUXEUXCWUFABCUXBEFGHIJKLXSXTYJUXOUXNVWKSNZWUGVWKWBVVIUXO
        VWJSNVUTWUHUXOVWIVWHUXBSVXCVYPYDXCVWGVWJRSYEWPBSVWKSWUFWUFYFYGVRYHYKYLU
        WP $.

      $( Lemma for ~ mbfi1fseq .  Verify that ` G ` converges pointwise to
         ` F ` , and wrap up the existential quantifier.  (Contributed by Mario
         Carneiro, 16-Aug-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
      mbfi1fseqlem6 $p |- ( ph -> E. g ( g : NN --> dom S.1 /\ A. n e. NN
        ( 0p oR <_ ( g ` n ) /\ ( g ` n ) oR <_ ( g ` ( n + 1 ) ) ) /\
        A. x e. RR ( n e. NN |-> ( ( g ` n ) ` x ) ) ~~> ( F ` x ) ) ) $=
        ( cn cfv cle wbr co cr wcel vk vj citg1 cdm wf cv cofr c1 caddc wa wral
        c0p cmpt cli w3a mbfi1fseqlem4 mbfi1fseqlem5 ralrimiva cabs simpr recnd
        wex clt wrex abscld cc0 cpnf cico ffvelrnda elrege0 sylib readdcld arch
        simpld syl c2 cdiv cexp cmin cvv cuz eqid cz nnz ad2antrl cn0 nnuz 1zzd
        halfcn a1i wceq halfre halfge0 absid mp2an halflt1 eqbrtri expcnv mptex
        cc nnex nnnn0 adantl oveq2 ovex fvmpt sylancr eqeltrd weq oveq2d eqtr4d
        expcl climsubc2 subid1d breqtrd adantr ad2antrr ffvelrnd cmul cfl nnred
        fveq1d oveq12d mpbird syl112anc mpbid eqbrtrd cneg cicc cif ifex 3eqtrd
        wb simprd letrd syl2anc iftrued fveq2d fveq1 ralbidv simprl sylan fveq2
        eluznn reexpcl resubcld fvex ad3antrrr i1ff 2nn nnexpcl nnne0d divcan4d
        eqcomd 2cnd 2ne0 eluzelz exprecd remulcld 1cnd divsubdird fllep1 reflcl
        wne 1red lesubaddd peano2rem nngt0d lediv1 mbfi1fseqlem2 fvmpt2 sylancl
        vex c0ex addge01d simplrr ltled eluzle absled renegcld elicc2 mpbir3and
        simpl ovmpoa nndivred flle ledivmul2 absge0d addge02d 3brtr4d rexlimddv
        eqtrd climsqz eqeltri feq1 breq2d breq12d anbi12d mpteq2dv breq1d spcev
        3anbi123d syl3anc ) ANUCUDZHUEZULFUFZHOZPUGZQZUXGUXFUHUIRZHOZUXHQZUJZFN
        UKZFNBUFZUXGOZUMZUXOGOZUNQZBSUKZNUXDDUFZUEZULUXFUYAOZUXHQZUYCUXJUYAOZUX
        HQZUJZFNUKZFNUXOUYCOZUMZUXRUNQZBSUKZUOZDVBABCEGHIJKLMUPZAUXMFNABCUXFEGH
        IJKLMUQURAUXSBSAUXOSTZUJZUXOUSOZUXRUIRZUAUFZVCQZUXSUANUYPUYRSTZUYTUANVD
        UYPUYQUXRUYPUXOUYPUXOAUYOUTZVAZVEZUYPUXRSTZVFUXRPQZUYPUXRVFVGVHRZTZVUEV
        UFUJZASVUGUXOGKVIZUXRVJZVKVNZVLZUYRUAVMVOUYPUYSNTZUYTUJZUJZUXRUBFNUXRUH
        VPVQRZUXFVRRZVSRZUMZUXQUYSVTUYSWAOZVVAWBVUNUYSWCTUYPUYTUYSWDWEUYPVUTUXR
        UNQVUOUYPVUTUXRVFVSRUXRUNUYPVFUXRUBFWFVURUMZVUTUHVTNWGUYPWHUYPVUQFVUQWT
        TZUYPWIWJVUQUSOZUHVCQUYPVVDVUQUHVCVUQSTZVFVUQPQVVDVUQWKWLWMVUQWNWOWPWQW
        JWRUYPUXRVULVAZVUTVTTUYPFNVUSXAWSWJUYPUBUFZNTZUJZVVGVVBOZVUQVVGVRRZWTVV
        IVVGWFTZVVJVVKWKVVHVVLUYPVVGXBZXCZFVVGVURVVKWFVVBUXFVVGVUQVRXDZVVBWBVUQ
        VVGVRXEXFVOZVVIVVCVVLVVKWTTWIVVNVUQVVGXLXGXHVVIVVGVUTOZUXRVVKVSRZUXRVVJ
        VSRVVHVVQVVRWKZUYPFVVGVUSVVRNVUTFUBXIZVURVVKUXRVSVVOXJVUTWBUXRVVKVSXEXF
        ZXCVVIVVJVVKUXRVSVVPXJXKXMUYPUXRVVFXNXOXPUXQVTTVUPFNUXPXAWSWJVUPVVGVVAT
        ZUJZVVQVVRSVWCVVHVVSVUPVUNVWBVVHUYPVUNUYTUUAZVVGUYSUUDUUBZVWAVOZVWCUXRV
        VKUYPVUEVUOVWBVULXQZVWCVVEVVLVVKSTWLVWCVVHVVLVWEVVMVOZVUQVVGUUEXGUUFXHV
        WCVVGUXQOZUXOVVGHOZOZSVWCVVHVWIVWKWKVWEFVVGUXPVWKNUXQVVTUXOUXGVWJUXFVVG
        HUUCYBUXQWBUXOVWJUUGXFVOZVWCSSUXOVWJVWCVWJUXDTSSVWJUEVWCNUXDVVGHAUXEUYO
        VUOVWBUYNUUHVWEXRVWJUUIVOUYPUYOVUOVWBVUBXQZXRXHVWCVVRUXRVPVVGVRRZXSRZXT
        OZVWNVQRZVVQVWIPVWCVVRVWOUHVSRZVWNVQRZVWQPVWCVVRVWOVWNVQRZUHVWNVQRZVSRV
        WSVWCUXRVWTVVKVXAVSVWCVWTUXRVWCUXRVWNUYPUXRWTTVUOVWBVVFXQVWCVWNVWCVWNVW
        CVPNTVVLVWNNTUUJVWHVPVVGUUKXGZYAZVAZVWCVWNVXBUULZUUMUUNVWCVPVVGVWCUUOVP
        VFUVDVWCUUPWJVWBVVGWCTVUPUYSVVGUUQXCUURYCVWCVWOUHVWNVWCVWOVWCUXRVWNVWGV
        XCUUSZVAVWCUUTVXDVXEUVAXKVWCVWRVWPPQZVWSVWQPQZVWCVXGVWOVWPUHUIRPQZVWCVW
        OSTZVXIVXFVWOUVBVOVWCVWOUHVWPVXFVWCUVEVWCVXJVWPSTZVXFVWOUVCVOZUVFYDVWCV
        WRSTZVXKVWNSTZVFVWNVCQZVXGVXHYMVWCVXJVXMVXFVWOUVGVOVXLVXCVWCVWNVXBUVHZV
        WRVWPVWNUVIYEYFYGVWFVWCVWIUXOVVGYHZVVGYIRTZVVGUXOIRZVVGPQZVXSVVGYJZVFYJ
        ZVYAVWQVWCVWIVWKUXOBSVYBUMZOZVYBVWLVWCUXOVWJVYCVWCVVHVWJVYCWKVWEABCVVGE
        GHIJKLMUVJVOYBVWCUYOVYBVTTVYDVYBWKVWMVXRVYAVFVXTVXSVVGVVGUXOIXEUBUVMYKU
        VNYKBSVYBVTVYCVYCWBUVKUVLYLVWCVXRVYAVFVWCVXRUYOVXQUXOPQZUXOVVGPQZVWMVWC
        VYEVYFVWCUYQVVGPQVYEVYFUJVWCUYQUYRVVGUYPUYQSTVUOVWBVUDXQZUYPVUAVUOVWBVU
        MXQZVWCVVGVWEYAZVWCVUFUYQUYRPQVWCVUEVUFVWCVUHVUIUYPVUHVUOVWBVUJXQVUKVKY
        NVWCUYQUXRVYGVWGUVOYFVWCUYRUYSVVGVYHVWCUYSVUPVUNVWBVWDXPYAZVYIVWCUYRUYS
        VYHVYJUYPVUNUYTVWBUVPUVQVWBUYSVVGPQVUPUYSVVGUVRXCYOZYOVWCUXOVVGVWMVYIUV
        SYFZVNVWCVYEVYFVYLYNVWCVXQSTVVGSTVXRUYOVYEVYFUOYMVWCVVGVYIUVTVYIVXQVVGU
        XOUWAYPUWBYQVWCVYAVXSVWQVWCVXTVXSVVGVWCVXSVWQVVGPVWCVVHUYOVXSVWQWKVWEVW
        MECVVGUXONSCUFZGOZVPEUFZVRRZXSRZXTOZVYPVQRVWQIEUBXIZCBXIZUJZVYRVWPVYPVW
        NVQWUAVYQVWOXTWUAVYNUXRVYPVWNXSWUAVYMUXOGVYSVYTUTYRWUAVYOVVGVPVRVYSVYTU
        WCXJZYCYRWUBYCLVWPVWNVQXEUWDYPZVWCVWQUXRVVGVWCVWPVWNVXLVXBUWEVWGVYIVWCV
        WQUXRPQZVWPVWOPQZVWCVXJWUEVXFVWOUWFVOVWCVXKVUEVXNVXOWUDWUEYMVXLVWGVXCVX
        PVWPUXRVWNUWGYEYDZVWCUXRUYRVVGVWGVYHVYIVWCVFUYQPQUXRUYRPQVWCUXOUYPUXOWT
        TVUOVWBVUCXQUWHVWCUXRUYQVWGVYGUWIYFVYKYOYOYGYQWUCUWLYLZUWJVWCVWIVWQUXRP
        WUGWUFYGUWMUWKURUYMUXEUXNUXTUODHHENBSUXOVYOYHVYOYIRTVYOUXOIRZVYOPQWUHVY
        OYJVFYJUMZUMVTMENWUIXAWSUWNUYAHWKZUYBUXEUYHUXNUYLUXTNUXDUYAHUWOWUJUYGUX
        MFNWUJUYDUXIUYFUXLWUJUYCUXGULUXHUXFUYAHYSZUWPWUJUYCUXGUYEUXKUXHWUKUXJUY
        AHYSUWQUWRYTWUJUYKUXSBSWUJUYJUXQUXRUNWUJFNUYIUXPWUJUXOUYCUXGWUKYBUWSUWT
        YTUXBUXAUXC $.
    $}

    $( A characterization of measurability in terms of simple functions (this
       is an if and only if for nonnegative functions, although we don't prove
       it).  Any nonnegative measurable function is the limit of an increasing
       sequence of nonnegative simple functions.  This proof is an example of a
       poor de Bruijn factor - the formalized proof is much longer than an
       average hand proof, which usually just describes the function ` G ` and
       "leaves the details as an exercise to the reader".  (Contributed by
       Mario Carneiro, 16-Aug-2014.)  (Revised by Mario Carneiro,
       23-Aug-2014.) $)
    mbfi1fseq $p |- ( ph -> E. g ( g : NN --> dom S.1 /\ A. n e. NN
      ( 0p oR <_ ( g ` n ) /\ ( g ` n ) oR <_ ( g ` ( n + 1 ) ) ) /\
        A. x e. RR ( n e. NN |-> ( ( g ` n ) ` x ) ) ~~> ( F ` x ) ) ) $=
      ( vy vk vm cr cv co cfv cmul cfl cdiv cle cif cc0 vj vz cn cneg cicc wcel
      cexp cmpo wbr cmpt weq oveq2 oveq2d fveq2d oveq12d fveq2 fvoveq1d cbvmpov
      c2 oveq1d eleq1w breq1d ifbieq1d cbvmptv negeq id oveq1 breq12d ifbieq12d
      eleq2d mpteq2dv syl5eq mbfi1fseqlem6 ) ABHCIDEJUCHKHLZJLZUDZVOUEMZUFZVOVN
      UAUBUCKUBLZENZUSUALZUGMZOMZPNZWBQMZUHZMZVORUIZWGVOSZTSZUJZUJWFFGUAUBIHUCK
      WEVNENZUSILZUGMZOMPNZWNQMVTWNOMZPNZWNQMUAIUKZWDWQWBWNQWRWCWPPWRWBWNVTOWAW
      MUSUGULZUMUNWSUOUBHUKZWQWOWNQWTVTWLWNPOVSVNEUPUQUTURJIUCWKBKBLZWMUDZWMUEM
      ZUFZWMXAWFMZWMRUIZXEWMSZTSZUJZJIUKZWKBKXAVQUFZVOXAWFMZVORUIZXLVOSZTSZUJXI
      HBKWJXOHBUKZVRXKWIXNTHBVQVAXPWHXMWGXLVOXPWGXLVORVNXAVOWFULZVBXQVCVCVDXJBK
      XOXHXJXKXDXNXGTXJVQXCXAXJVPXBVOWMUEVOWMVEXJVFZUOVJXJXMXFXLVOXEWMXJXLXEVOW
      MRVOWMXAWFVGZXRVHXSXRVIVCVKVLVDVM $.
  $}

  ${
    $d g n x y A $.  $d f g h k n x y F $.  $d f g h k n x y ph $.
    mbfi1flim.1 $e |- ( ph -> F e. MblFn ) $.
    ${
      mbfi1flimlem.2 $e |- ( ph -> F : RR --> RR ) $.
      $( Lemma for ~ mbfi1flim .  (Contributed by Mario Carneiro,
         5-Sep-2014.) $)
      mbfi1flimlem $p |- ( ph -> E. g ( g : NN --> dom S.1 /\
          A. x e. RR ( n e. NN |-> ( ( g ` n ) ` x ) ) ~~> ( F ` x ) ) ) $=
        ( vy cn wf cfv cle wbr wa cr cc0 cli ffvelrnda wcel cvv vf vh citg1 cdm
        vk cv c0p cofr c1 caddc co wral cmpt cif w3a cneg cmbf feqmptd eqeltrrd
        wex mbfpos cpnf cico ifcl sylancl max1 sylancr elrege0 fmpttd mbfi1fseq
        0re sylanbrc renegcld mbfneg exdistrv 3simpb anim12i an4 sylib cmin cof
        r19.26 i1fsub adantl simprl simprr nnex a1i inidm off wb fveq2 ifbieq1d
        weq breq2d eqid fvex c0ex ifex fvmpt negeqd negex anbi12d nnuz mptex cc
        1zzd i1ff syl an32s recnd adantr wceq ffnd eqidd ofval fveq1d 3syl reex
        wfn ffn eqtrd oveq12d 3eqtr4d adantlr climsub max0sub breqtrd ex sylbid
        ralimdva ovex feq1 fveq1 mpteq2dv breq1d ralbidv spcev syl6an syl5bir
        expimpd syl5 exlimdvv mp2and ) AIUCUDZUAUFZJZUGDUFZUUFKZLUHZMUUIUUHUIUJ
        UKZUUFKUUJMNDIULZDIBUFZUUIKZUMZUUMHOPHUFZEKZLMZUUQPUNZUMZKZQMZBOULZUOZU
        AUTZIUUEUBUFZJZUGUUHUVFKZUUJMUVHUUKUVFKUUJMNDIULZDIUUMUVHKZUMZUUMHOPUUQ
        UPZLMZUVLPUNZUMZKZQMZBOULZUOZUBUTZIUUECUFZJZDIUUMUUHUWAKZKZUMZUUMEKZQMZ
        BOULZNZCUTZABUADUUTAHOUUQAOOUUPEGRZAEHOUUQUMUQAHOOEGURFUSZVAAHOUUSPVBVC
        UKZAUUPOSNZUUSOSZPUUSLMZUUSUWMSUWNUUQOSZPOSZUWOUWKVKUURUUQPOVDVEUWNUWRU
        WQUWPVKUWKPUUQVFVGUUSVHVLVIVJABUBDUVOAHOUVLUWNUUQUWKVMZAHOUUQOUWKUWLVNV
        AAHOUVNUWMUWNUVNOSZPUVNLMZUVNUWMSUWNUVLOSZUWRUWTUWSVKUVMUVLPOVDVEUWNUWR
        UXBUXAVKUWSPUVLVFVGUVNVHVLVIVJUVEUVTNUVDUVSNZUBUTUAUTAUWJUVDUVSUAUBVOAU
        XCUWJUAUBUXCUUGUVGNZUVCUVRNZNZAUWJUXCUUGUVCNZUVGUVRNZNUXFUVDUXGUVSUXHUU
        GUULUVCVPUVGUVIUVRVPVQUUGUVCUVGUVRVRVSAUXDUXEUWJUXEUVBUVQNZBOULZAUXDNZU
        WJUVBUVQBOWBUXKIUUEUUFUVFVTWAZWAZUKZJZUXJDIUUMUUHUXNKZKZUMZUWFQMZBOULZU
        WJUXKBHIIIUXLUUEUUEUUEUUFUVFTTUUMUUESUUPUUESNUUMUUPUXLUKUUESUXKUUMUUPWC
        WDAUUGUVGWEZAUUGUVGWFZITSUXKWGWHZUYCIWIZWJUXKUXIUXSBOUXKUUMOSZNZUXIUUOP
        UWFLMZUWFPUNZQMZUVKPUWFUPZLMZUYJPUNZQMZNZUXSUYEUXIUYNWKUXKUYEUVBUYIUVQU
        YMUYEUVAUYHUUOQHUUMUUSUYHOUUTHBWNZUURUYGUUQUWFPUYOUUQUWFPLUUPUUMEWLZWOU
        YPWMUUTWPUYGUWFPUUMEWQWRWSWTWOUYEUVPUYLUVKQHUUMUVNUYLOUVOUYOUVMUYKUVLUY
        JPUYOUVLUYJPLUYOUUQUWFUYPXAZWOUYQWMUVOWPUYKUYJPUWFXBWRWSWTWOXCWDUYFUYNU
        XSUYFUYNNZUXRUYHUYLVTUKZUWFQUYRUYHUYLUEUUOUVKUXRUITIXDUYRXGUYFUYIUYMWEU
        XRTSUYRDIUXQWGXEWHUYFUYIUYMWFUYRIXFUEUFZUUOUYFIXFUUOJUYNUYFDIUUNXFUYFUU
        HISZNZUUNUXKVUAUYEUUNOSUXKVUANZOOUUMUUIVUCUUIUUESOOUUIJUXKIUUEUUHUUFUYA
        RUUIXHXIRXJXKVIXLRUYRIXFUYTUVKUYFIXFUVKJUYNUYFDIUVJXFVUBUVJUXKVUAUYEUVJ
        OSVUCOOUUMUVHVUCUVHUUESOOUVHJUXKIUUEUUHUVFUYBRUVHXHXIRXJXKVIXLRUYFUYTIS
        ZUYTUXRKZUYTUUOKZUYTUVKKZVTUKZXMUYNUYFVUDNUUMUYTUXNKZKZUUMUYTUUFKZKZUUM
        UYTUVFKZKZVTUKZVUEVUHUXKVUDUYEVUJVUOXMUXKVUDNZUYENZVUJUUMVUKVUMUXLUKZKZ
        VUOVUPVUJVUSXMUYEVUPUUMVUIVURUXKIIVUKVUMUXLIUUFUVFTTUYTUXKIUUEUUFUYAXNU
        XKIUUEUVFUYBXNUYCUYCUYDVUPVUKXOVUPVUMXOXPXQXLVUPOOVULVUNVTOVUKVUMTTUUMV
        UPVUKUUESOOVUKJVUKOXTUXKIUUEUYTUUFUYARVUKXHOOVUKYAXRVUPVUMUUESOOVUMJVUM
        OXTUXKIUUEUYTUVFUYBRVUMXHOOVUMYAXROTSVUPXSWHZVUTOWIVUQVULXOVUQVUNXOXPYB
        XJVUDVUEVUJXMUYFDUYTUXQVUJIUXRDUEWNZUUMUXPVUIUUHUYTUXNWLXQUXRWPUUMVUIWQ
        WTWDVUDVUHVUOXMUYFVUDVUFVULVUGVUNVTDUYTUUNVULIUUOVVAUUMUUIVUKUUHUYTUUFW
        LXQUUOWPUUMVUKWQWTDUYTUVJVUNIUVKVVAUUMUVHVUMUUHUYTUVFWLXQUVKWPUUMVUMWQW
        TYCWDYDYEYFUYFUYSUWFXMZUYNUYFUWFOSVVBUXKOOUUMEAOOEJUXDGXLRUWFYGXIXLYHYI
        YJYKUWIUXOUXTNCUXNUUFUVFUXMYLUWAUXNXMZUWBUXOUWHUXTIUUEUWAUXNYMVVCUWGUXS
        BOVVCUWEUXRUWFQVVCDIUWDUXQVVCUUMUWCUXPUUHUWAUXNYNXQYOYPYQXCYRYSYTUUAUUB
        UUCYTUUD $.
    $}

    mbfi1flim.2 $e |- ( ph -> F : A --> RR ) $.
    $( Any real measurable function has a sequence of simple functions that
       converges to it.  (Contributed by Mario Carneiro, 5-Sep-2014.) $)
    mbfi1flim $p |- ( ph -> E. g ( g : NN --> dom S.1 /\
        A. x e. A ( n e. NN |-> ( ( g ` n ) ` x ) ) ~~> ( F ` x ) ) ) $=
      ( vy cv cfv cmpt cr wcel cc0 cli wral wa cvv syl cn citg1 cdm cif wbr wex
      wf cvol wss cmbf iftrue mpteq2ia feqmptd eqeltrrd eqeltrid fvex c0ex ifex
      a1i mbfdm2 mblss rembl cdif eldifn adantl iffalsed mbfss ffvelrnda ifclda
      wn 0red adantr fmpttd mbfi1flimlem wi ssralv sselda eleq1w fveq2 ifbieq1d
      wceq eqid fvmpt eqtrd breq2d ralbidva sylibd anim2d eximdv mpd ) AUAUBUCD
      JZUGZEUABJZEJWKKKLZWMIMIJZCNZWOFKZOUDZLZKZPUEZBMQZRZDUFWLWNWMFKZPUEZBCQZR
      ZDUFABDEWSAICMWRSACUHUCZNCMUIZAICWRSAICWRLICWQLZUJICWRWQWPWQOUKULAFXJUJAI
      CMFHUMGUNUOZWRSNAWPRWPWQOWOFUPUQURUSZUTCVATZMXHNAVBUSXLAWOMCVCNZRWPWQOXNW
      PVJZAWOMCVDVEVFXKVGAIMWRMAWRMNWOMNAWPWQOMACMWOFHVHAXORVKVIVLVMVNAXCXGDAXB
      XFWLAXBXABCQZXFAXIXBXPVOXMXABCMVPTAXAXEBCAWMCNZRZWTXDWNPXRWTXQXDOUDZXDXRW
      MMNWTXSWAACMWMXMVQIWMWRXSMWSWOWMWAWPXQWQXDOIBCVRWOWMFVSVTWSWBXQXDOWMFUPUQ
      URWCTXQXSXDWAAXQXDOUKVEWDWEWFWGWHWIWJ $.
  $}

  ${
    $d f g k m n x y A $.  $d k n x P $.  $d f g k m n x y ph $.  $d k n x Q $.
    $d f g k m n x y F $.  $d f g k m n x y G $.
    mbfmul.1 $e |- ( ph -> F e. MblFn ) $.
    mbfmul.2 $e |- ( ph -> G e. MblFn ) $.
    ${
      mbfmul.3 $e |- ( ph -> F : A --> RR ) $.
      mbfmul.4 $e |- ( ph -> G : A --> RR ) $.
      ${
        mbfmul.5 $e |- ( ph -> P : NN --> dom S.1 ) $.
        mbfmul.6 $e |- ( ( ph /\ x e. A ) ->
          ( n e. NN |-> ( ( P ` n ) ` x ) ) ~~> ( F ` x ) ) $.
        mbfmul.7 $e |- ( ph -> Q : NN --> dom S.1 ) $.
        mbfmul.8 $e |- ( ( ph /\ x e. A ) ->
          ( n e. NN |-> ( ( Q ` n ) ` x ) ) ~~> ( G ` x ) ) $.
        $( Lemma for ~ mbfmul .  (Contributed by Mario Carneiro,
           7-Sep-2014.) $)
        mbfmullem2 $p |- ( ph -> ( F oF x. G ) e. MblFn ) $=
          ( cfv cr wcel cn vk cmul cof co cv cmpt cmbf cvol cdm ffnd fdmd mbfdm
          syl eqeltrrd inidm wa eqidd offval c1 cvv nnuz 1zzd nnex mptex a1i cc
          wf citg1 ffvelrnda i1ff wss mblss sselda adantr ffvelrnd recnd fmpttd
          adantlr wceq fveq2 fveq1d oveq12d eqid ovex fvmpt adantl fvex climmul
          eqtr4d cres resmptd reex i1fmul i1fmbf mbfres syl2anc mbflim eqeltrd
          ) AGHUBUCZUDBCBUEZGQZWTHQZUBUDZUFUGABCCXAXBUBCGHUHUIZXDACRGKUJACRHLUJ
          AGUIZCXDACRGKUKAGUGSXEXDSIGULUMUNZXFCUOAWTCSZUPZXAUQXHXBUQURABCWTFUEZ
          DQZQZWTXIEQZQZUBUDZXCFUSUTTVAAVBXHXAXBUAFTXKUFZFTXMUFZFTXNUFZUSUTTVAX
          HVBNXQUTSXHFTXNVCVDVEPXHTVFUAUEZXOXHFTXKVFXHXITSZUPZXKXTRRWTXJAXSRRXJ
          VGZXGAXSUPZXJVHUIZSYAATYCXIDMVIZXJVJUMZVRXHWTRSZXSACRWTACXDSZCRVKZXFC
          VLUMZVMVNZVOVPVQVIXHTVFXRXPXHFTXMVFXTXMXTRRWTXLAXSRRXLVGZXGYBXLYCSYKA
          TYCXIEOVIZXLVJUMZVRYJVOVPVQVIXHXRTSZUPXRXQQZWTXRDQZQZWTXREQZQZUBUDZXR
          XOQZXRXPQZUBUDZYNYOYTVSXHFXRXNYTTXQXIXRVSZXKYQXMYSUBUUDWTXJYPXIXRDVTW
          AZUUDWTXLYRXIXREVTWAZWBXQWCYQYSUBWDWEWFYNUUCYTVSXHYNUUAYQUUBYSUBFXRXK
          YQTXOUUEXOWCWTYPWGWEFXRXMYSTXPUUFXPWCWTYRWGWEWBWFWIWHYBBRXNUFZCWJZBCX
          NUFUGYBBRCXNAYHXSYIVNWKYBUUGUGSYGUUHUGSYBXJXLWSUDZUUGUGYBBRRXKXMUBRXJ
          XLUTUTYBRRXJYEUJYBRRXLYMUJRUTSYBWLVEZUUJRUOYBYFUPZXKUQUUKXMUQURYBUUIY
          CSUUIUGSYBXJXLYDYLWMUUIWNUMUNAYGXSXFVNCUUGWOWPUNXNUTSAXSXGUPUPXKXMUBW
          DVEWQWR $.
      $}

      $( Lemma for ~ mbfmul .  (Contributed by Mario Carneiro, 7-Sep-2014.) $)
      mbfmullem $p |- ( ph -> ( F oF x. G ) e. MblFn ) $=
        ( vf vn vy vg vm cn cv cfv cmpt cli wa fveq2 vx citg1 cdm wbr wral cmul
        wf wex cof cmbf wcel mbfi1flim exdistrv adantr simprll simprlr mpteq2dv
        co weq fveq1d cbvmptv eqtrdi breq12d rspccva simprrl simprrr mbfmullem2
        cr sylan ex exlimdvv syl5bir mp2and ) ANUBUCZIOZUGZJNKOZJOZVOPZPZQZVQCP
        ZRUDZKBUEZSZIUHZNVNLOZUGZJNVQVRWGPZPZQZVQDPZRUDZKBUEZSZLUHZCDUFUIURUJUK
        ZAKBIJCEGULAKBLJDFHULWFWPSWEWOSZLUHIUHAWQWEWOILUMAWRWQILAWRWQAWRSZUABVO
        WGMCDACUJUKWREUNADUJUKWRFUNABVHCUGWRGUNABVHDUGWRHUNAVPWDWOUOWSWDUAOZBUK
        ZMNWTMOZVOPZPZQZWTCPZRUDZAVPWDWOUPWCXGKWTBKUAUSZWAXEWBXFRXHWAJNWTVSPZQX
        EXHJNVTXIVQWTVSTUQJMNXIXDJMUSZWTVSXCVRXBVOTUTVAVBVQWTCTVCVDVIAWEWHWNVEW
        SWNXAMNWTXBWGPZPZQZWTDPZRUDZAWEWHWNVFWMXOKWTBXHWKXMWLXNRXHWKJNWTWIPZQXM
        XHJNWJXPVQWTWITUQJMNXPXLXJWTWIXKVRXBWGTUTVAVBVQWTDTVCVDVIVGVJVKVLVM $.
    $}

    $( The product of two measurable functions is measurable.  (Contributed by
       Mario Carneiro, 7-Sep-2014.) $)
    mbfmul $p |- ( ph -> ( F oF x. G ) e. MblFn ) $=
      ( vx cmul co cfv cmpt cmbf cc wcel syl wa eqidd cvv ovexd cr offval2 cvol
      cof cdm cin cv wf mbff ffnd mbfdm eqid offval cre cim cmin elinel1 syl2an
      ffvelrn elinel2 remuld mpteq2dva inmbl syl2anc recld eqtr4d cres wss wceq
      imcld inss1 resmpt ax-mp feqmptd eqeltrrd mbfres eqeltrrid ismbfcn2 mpbid
      simpld inss2 fmpttd mbfmullem simprd mbfsub caddc immuld mbfadd mpbir2and
      eqeltrd mulcld ) ABCGUBZHFBUCZCUCZUDZFUEZBIZWNCIZGHZJZKAFWKWLWOWPGWMBCUAU
      CZWSAWKLBABKMZWKLBUFZDBUGNZUHAWLLCACKMZWLLCUFZECUGNZUHAWTWKWSMZDBUINZAXCW
      LWSMZECUINZWMUJAWNWKMZOWOPAWNWLMZOWPPUKAWRKMFWMWQULIZJZKMFWMWQUMIZJZKMAXM
      FWMWOULIZJZFWMWPULIZJZWJHZFWMWOUMIZJZFWMWPUMIZJZWJHZUNUBHZKAXMFWMXPXRGHZY
      AYCGHZUNHZJYFAFWMXLYIAWNWMMZOZWOWPAXAXJWOLMYJXBWNWKWLUOWKLWNBUQUPZAXDXKWP
      LMYJXEWNWKWLURWLLWNCUQUPZUSUTAFWMYGYHUNXTYEWSQQAXFXHWMWSMZXGXIWKWLVAVBZYK
      XPXRGRYKYAYCGRAFWMXPXRGXQXSWSSSYOYKWOYLVCZYKWPYMVCZAXQPZAXSPZTAFWMYAYCGYB
      YDWSSSYOYKWOYLVHZYKWPYMVHZAYBPZAYDPZTTVDAXTYEAWMXQXSAXQKMZYBKMZAFWMWOJZKM
      UUDUUEOAUUFFWKWOJZWMVEZKWMWKVFUUHUUFVGWKWLVIFWKWMWOVJVKAUUGKMYNUUHKMABUUG
      KAFWKLBXBVLDVMYOWMUUGVNVBVOAFWMWOYLVPVQZVRZAXSKMZYDKMZAFWMWPJZKMUUKUULOAU
      UMFWLWPJZWMVEZKWMWLVFUUOUUMVGWKWLVSFWLWMWPVJVKAUUNKMYNUUOKMACUUNKAFWLLCXE
      VLEVMYOWMUUNVNVBVOAFWMWPYMVPVQZVRZAFWMXPSYPVTZAFWMXRSYQVTZWAAWMYBYDAUUDUU
      EUUIWBZAUUKUULUUPWBZAFWMYASYTVTZAFWMYCSUUAVTZWAWCWHAXOXQYDWJHZYBXSWJHZWDU
      BHZKAXOFWMXPYCGHZYAXRGHZWDHZJUVFAFWMXNUVIYKWOWPYLYMWEUTAFWMUVGUVHWDUVDUVE
      WSQQYOYKXPYCGRYKYAXRGRAFWMXPYCGXQYDWSSSYOYPUUAYRUUCTAFWMYAXRGYBXSWSSSYOYT
      YQUUBYSTTVDAUVDUVEAWMXQYDUUJUVAUURUVCWAAWMYBXSUUTUUQUVBUUSWAWFWHAFWMWQYKW
      OWPYLYMWIVPWGWH $.
  $}

  ${
    $d g x A $.  $d f g x F $.  $d g x G $.  $d f L $.
    itg2val.1 $e |- L = { x | E. g e. dom S.1
                          ( g oR <_ F /\ x = ( S.1 ` g ) ) } $.
    $( The set of lower sums is a set of extended reals.  (Contributed by Mario
       Carneiro, 28-Jun-2014.) $)
    itg2lcl $p |- L C_ RR* $=
      ( cv cle cofr wbr citg1 cfv wceq wa cdm wrex cab cxr wcel itg1cl rexrd
      simpr eleq1d syl5ibrcom rexlimiv abssi eqsstri ) DBFZCGHIZAFZUGJKZLZMZBJN
      ZOZAPQEUNAQULUIQRZBUMUGUMRZUOULUJQRUPUJUGSTULUIUJQUHUKUAUBUCUDUEUF $.

    $( Value of the integral on nonnegative real functions.  (Contributed by
       Mario Carneiro, 28-Jun-2014.) $)
    itg2val $p |- ( F : RR --> ( 0 [,] +oo ) ->
                    ( S.2 ` F ) = sup ( L , RR* , < ) ) $=
      ( vf cv cle wbr citg1 wceq wa wrex cab cxr clt csup cc0 cpnf cicc cfv cdm
      cofr cr citg2 xrltso supex reex ovex breq2 anbi1d rexbidv eqtr4di supeq1d
      co abbidv df-itg2 fvmptmap ) FCBGZFGZHUCZIZAGUSJUAKZLZBJUBZMZANZOPQDOPQUD
      RSTUOUEODPUFUGUHRSTUIUTCKZOVGDPVHVGUSCVAIZVCLZBVEMZANDVHVFVKAVHVDVJBVEVHV
      BVIVCUTCUSVAUJUKULUPEUMUNAFBUQUR $.

    $( Elementhood in the set ` L ` of lower sums of the integral.
       (Contributed by Mario Carneiro, 28-Jun-2014.) $)
    itg2l $p |- ( A e. L <-> E. g e. dom S.1
      ( g oR <_ F /\ A = ( S.1 ` g ) ) ) $=
      ( wcel cv cle cofr wbr citg1 cfv wceq wa cdm wrex cab eleq2i cvv eqeltrdi
      simpr fvex rexlimivw eqeq1 anbi2d rexbidv elab3 bitri ) BEGBCHZDIJKZAHZUJ
      LMZNZOZCLPZQZARZGUKBUMNZOZCUPQZEURBFSUQVAABTUTBTGCUPUTBUMTUKUSUBUJLUCUAUD
      ULBNZUOUTCUPVBUNUSUKULBUMUEUFUGUHUI $.

    $( Sufficient condition for elementhood in the set ` L ` .  (Contributed by
       Mario Carneiro, 28-Jun-2014.) $)
    itg2lr $p |- ( ( G e. dom S.1 /\ G oR <_ F ) -> ( S.1 ` G ) e. L ) $=
      ( citg1 cdm wcel cle cofr wbr wa cv cfv wceq wrex eqid breq1 fveq2 eqeq2d
      anbi12d rspcev mpanr2 itg2l sylibr ) DGHZIZDCJKZLZMBNZCUILZDGOZUKGOZPZMZB
      UGQZUMEIUHUJUMUMPZUQUMRUPUJURMBDUGUKDPZULUJUOURUKDCUISUSUNUMUMUKDGTUAUBUC
      UDAUMBCEFUEUF $.
  $}

  ${
    $d g x z A $.  $d x z B $.  $d g h x y z F $.  $d g h x y z G $.
    $( A real function is a nonnegative extended real function if all its
       values are greater than or equal to zero.  (Contributed by Mario
       Carneiro, 28-Jun-2014.)  (Revised by Mario Carneiro, 28-Jul-2014.) $)
    xrge0f $p |- ( ( F : RR --> RR /\ 0p oR <_ F ) ->
                   F : RR --> ( 0 [,] +oo ) ) $=
      ( vx cr wf c0p cle cofr wbr wa wfn cv cfv cc0 cpnf cicc wcel wral a1i cvv
      co ffn adantr csn cxp cc wss ax-resscn 0pledm 0re fnconstg mp1i reex wceq
      inidm fvconst2 adantl eqidd ofrfval cxr ffvelrn biantrurd elxrge0 bitr4di
      c0ex rexrd ralbidva 3bitrd biimpa ffnfv sylanbrc ) CCADZEAFGZHZIACJZBKZAL
      ZMNOTZPZBCQZCVQADVKVNVMCCAUAZUBVKVMVSVKVMCMUCUDZAVLHMVPFHZBCQVSVKCACUEUFV
      KUGRVTUHVKBCCMVPFCWAASSMCPWACJVKUICMCUJUKVTCSPVKULRZWCCUNVOCPZVOWALMUMVKC
      MVOVDUOUPVKWDIZVPUQURVKWBVRBCWEWBVPUSPZWBIVRWEWFWBWEVPCCVOAUTVEVAVPVBVCVF
      VGVHBCVQAVIVJ $.

    $( The integral of a nonnegative real function is an extended real number.
       (Contributed by Mario Carneiro, 28-Jun-2014.) $)
    itg2cl $p |- ( F : RR --> ( 0 [,] +oo ) -> ( S.2 ` F ) e. RR* ) $=
      ( vg vx cr cc0 cpnf cicc co wf citg2 cfv cv cle cofr wbr citg1 wa cdm cxr
      wceq wrex cab clt csup eqid itg2val wcel itg2lcl supxrcl ax-mp eqeltrdi
      wss ) DEFGHAIAJKBLZAMNOCLUMPKTQBPRUACUBZSUCUDZSCBAUNUNUEZUFUNSULUOSUGCBAU
      NUPUHUNUIUJUK $.

    $( The integral of a nonnegative real function ` F ` is an upper bound on
       the integrals of all simple functions ` G ` dominated by ` F ` .
       (Contributed by Mario Carneiro, 28-Jun-2014.) $)
    itg2ub $p |- ( ( F : RR --> ( 0 [,] +oo ) /\ G e. dom S.1 /\ G oR <_ F ) ->
                   ( S.1 ` G ) <_ ( S.2 ` F ) ) $=
      ( vg vx cr cc0 cpnf cicc co wf citg1 cdm wcel cle cofr wbr cfv wceq cxr
      cv w3a wa wrex cab clt csup citg2 wss eqid itg2lcl itg2lr 3adant1 supxrub
      sylancr itg2val 3ad2ant1 breqtrrd ) EFGHIAJZBKLZMZBANOZPZUAZBKQZCTZAVAPDT
      VEKQRUBCUSUCDUDZSUEUFZAUGQZNVCVFSUHVDVFMZVDVGNPDCAVFVFUIZUJUTVBVIURDCABVF
      VJUKULVFVDUMUNURUTVHVGRVBDCAVFVJUOUPUQ $.

    $( Any upper bound on the integrals of all simple functions ` G ` dominated
       by ` F ` is greater than ` ( S.2 `` F ) ` , the least upper bound.
       (Contributed by Mario Carneiro, 28-Jun-2014.) $)
    itg2leub $p |- ( ( F : RR --> ( 0 [,] +oo ) /\ A e. RR* ) ->
      ( ( S.2 ` F ) <_ A <->
        A. g e. dom S.1 ( g oR <_ F -> ( S.1 ` g ) <_ A ) ) ) $=
      ( vx vz cxr wa cfv cle wbr cv citg1 wceq wrex wi wral bitri ralbii bitr3i
      wal cr cc0 cpnf cicc co wf wcel cofr cdm cab clt csup eqid itg2val adantr
      citg2 breq1d wss itg2lcl supxrleub mpan adantl eqeq1 anbi2d rexbidv ralab
      wb r19.23v ancomst impexp albii ralcom4 breq1 imbi2d ceqsalv bitrdi bitrd
      fvex ) UAUBUCUDUECUFZAFUGZGZCUPHZAIJBKZCIUHJZDKZWCLHZMZGZBLUIZNZDUJZFUKUL
      ZAIJZWDWFAIJZOZBWIPZWAWBWLAIVSWBWLMVTDBCWKWKUMZUNUOUQWAWMEKZAIJZEWKPZWPVT
      WMWTVGZVSWKFURVTXADBCWKWQUSEWKAUTVAVBWTWDWRWFMZGZBWINZWSOZETZWPWJXDWSEDWE
      WRMZWHXCBWIXGWGXBWDWEWRWFVCVDVEVFXFXBWDWSOZOZBWIPZETZWPXEXJEXEXCWSOZBWIPX
      JXCWSBWIVHXLXIBWIXLXBWDGWSOXIWDXBWSVIXBWDWSVJQRSVKXKXIETZBWIPWPXIBEWIVLXM
      WOBWIXHWOEWFWCLVRXBWSWNWDWRWFAIVMVNVORSQQVPVQ $.

    $( The integral of a nonnegative real function is greater than or equal to
       zero.  (Contributed by Mario Carneiro, 28-Jun-2014.) $)
    itg2ge0 $p |- ( F : RR --> ( 0 [,] +oo ) -> 0 <_ ( S.2 ` F ) ) $=
      ( vy cr cc0 cpnf cicc co wf csn cxp citg1 cfv citg2 cle cofr wbr wcel cxr
      itg10 cvv cv wral wa ffvelrn w3a 0xr pnfxr elicc1 mp2an simp2bi ralrimiva
      wb syl wfn 0re fnconstg mp1i ffn reex a1i inidm wceq c0ex fvconst2 adantl
      eqidd ofrfval mpbird cdm i1f0 itg2ub mp3an2 mpdan eqbrtrrid ) CDEFGZAHZDC
      DIJZKLZAMLZNSVPVQANOPZVRVSNPZVPVTDBUAZALZNPZBCUBVPWDBCVPWBCQZUCZWCVOQZWDC
      VOWBAUDWGWCRQZWDWCENPZDRQERQWGWHWDWIUEULUFUGDEWCUHUIUJUMUKVPBCCDWCNCVQATT
      DCQVQCUNVPUOCDCUPUQCVOAURCTQVPUSUTZWJCVAWEWBVQLDVBVPCDWBVCVDVEWFWCVFVGVHV
      PVQKVIQVTWAVJAVQVKVLVMVN $.

    $( The integral of a nonnegative simple function using ` S.2 ` is the same
       as its value under ` S.1 ` .  (Contributed by Mario Carneiro,
       28-Jun-2014.) $)
    itg2itg1 $p |- ( ( F e. dom S.1 /\ 0p oR <_ F ) ->
                     ( S.2 ` F ) = ( S.1 ` F ) ) $=
      ( vg vx citg1 cdm wcel c0p cle cofr wbr wa citg2 cfv cr cc0 wf cxr adantr
      cv cvv cpnf cicc co i1ff xrge0f sylan itg2cl syl itg1cl rexrd wral itg1le
      wi 3expia ancoms ralrimiva wb itg2leub syl2anc mpbird simpl reex a1i leid
      adantl caofref itg2ub syl3anc xrletrid ) ADEZFZGAHIZJZKZALMZADMZVNNOUAUBU
      CAPZVOQFVKNNAPVMVQAUDZAUEUFZAUGUHVNVPVKVPNFVMAUIRUJZVNVOVPHJZBSZAVLJZWBDM
      VPHJZUMZBVJUKZVKWFVMVKWEBVJWBVJFZVKWEWGVKWCWDWBAULUNUOUPRVNVQVPQFWAWFUQVS
      VTVPBAURUSUTVNVQVKAAVLJZVPVOHJVSVKVMVAVKWHVMVKCNHNATNTFVKVBVCVRCSZNFWIWIH
      JVKWIVDVEVFRAAVGVHVI $.

    $( The integral of the zero function.  (Contributed by Mario Carneiro,
       28-Jun-2014.) $)
    itg20 $p |- ( S.2 ` ( RR X. { 0 } ) ) = 0 $=
      ( vx cc0 csn cxp citg2 cfv citg1 cdm wcel c0p cle cofr wbr wceq i1f0 wtru
      cr cvv reex a1i wf i1ff mp1i cv leid adantl caofref cc wss ax-resscn ffnd
      0pledm mpbird mptru itg2itg1 mp2an itg10 eqtri ) QBCDZEFZUSGFZBUSGHIZJUSK
      LZMZUTVANOVDPVDUSUSVCMPAQKQUSRQRIPSTVBQQUSUAPOUSUBUCZAUDZQIVFVFKMPVFUEUFU
      GPQUSQUHUIPUJTPQQUSVEUKULUMUNUSUOUPUQUR $.

    $( If an ` S.2 ` integral is bounded above, then it is real.  (Contributed
       by Mario Carneiro, 28-Jun-2014.) $)
    itg2lecl $p |- ( ( F : RR --> ( 0 [,] +oo ) /\
                       A e. RR /\ ( S.2 ` F ) <_ A ) -> ( S.2 ` F ) e. RR ) $=
      ( cr cc0 cpnf cicc co wf wcel citg2 cfv cle wbr w3a itg2cl 3ad2ant1 simp2
      cxr itg2ge0 simp3 xrrege0 syl22anc ) CDEFGBHZACIZBJKZALMZNUERIZUDDUELMZUF
      UECIUCUDUGUFBOPUCUDUFQUCUDUHUFBSPUCUDUFTUEAUAUB $.

    $( If one function dominates another, then the integral of the larger is
       also larger.  (Contributed by Mario Carneiro, 28-Jun-2014.) $)
    itg2le $p |- ( ( F : RR --> ( 0 [,] +oo ) /\ G : RR --> ( 0 [,] +oo ) /\
                     F oR <_ G ) -> ( S.2 ` F ) <_ ( S.2 ` G ) ) $=
      ( vh vx vy vz cr cc0 cpnf wf cle wbr cfv cv wi wcel wa cxr fss sylancl co
      cicc cofr w3a citg2 citg1 cdm wral cvv reex a1i i1ff adantl ressxr simpll
      wss iccssxr simplr xrletr caoftrn simprl simprr syl3anc expr syld ancomsd
      itg2ub exp4b com23 3impia ralrimiv simp1 itg2cl 3ad2ant2 itg2leub syl2anc
      wb mpbird ) GHIUBUAZAJZGVSBJZABKUCZLZUDZAUEMBUEMZKLZCNZAWBLZWGUFMWEKLZOZC
      UFUGZUHZWDWJCWKVTWAWCWGWKPZWJOVTWAQZWMWCWJWNWMWCWHWIWNWMQZWHWCWIWOWHWCQWG
      BWBLZWIWODEFGKRKKWGABUIGUIPWOUJUKWOGGWGJZGRUPGRWGJWMWQWNWGULUMUNGGRWGSTWO
      VTVSRUPZGRAJVTWAWMUOHIUQZGVSRASTWOWAWRGRBJVTWAWMURWSGVSRBSTDNZRPENZRPFNZR
      PUDWTXAKLXAXBKLQWTXBKLOWOWTXAXBUSUMUTWNWMWPWIWNWMWPQZQWAWMWPWIVTWAXCURWNW
      MWPVAWNWMWPVBBWGVGVCVDVEVFVHVIVJVKWDVTWERPZWFWLVQVTWAWCVLWAVTXDWCBVMVNWEC
      AVOVPVR $.

    $( Integral of a constant function.  (Contributed by Mario Carneiro,
       12-Aug-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
    itg2const $p |- ( ( A e. dom vol /\ ( vol ` A ) e. RR /\
      B e. ( 0 [,) +oo ) ) -> ( S.2 ` ( x e. RR |-> if ( x e. A , B , 0 ) ) ) =
        ( B x. ( vol ` A ) ) ) $=
      ( cvol wcel cfv cr cc0 co cif cmpt citg1 cmul cle wbr wceq c1 cvv a1i 0re
      cdm cpnf cico w3a cv citg2 c0p cofr csn cxp cof reex simpl3 1re fconstmpt
      ifcli eqidd offval2 ovif2 simp3 elrege0 sylib simpld recnd mulid1d mul01d
      wa ifeq12d syl5eq mpteq2dv eqid i1f1 3adant3 i1fmulc eqeltrrd wral simprd
      eqtrd 0le0 ifboth sylancl ralrimivw cc wss ax-resscn wfn adantr ralrimiva
      breq2 ifcl fnmpt syl 0pledm ofrfval2 bitrd mpbird itg2itg1 syl2anc fveq2d
      itg1mulc itg11 oveq2d 3eqtr3d ) BDUAEZBDFZGEZCHUBUCIZEZUDZAGAUEZBEZCHJZKZ
      UFFZXMLFZCXEMIZXIXMLUAZEUGXMNUHZOZXNXOPXIGCUIUJZAGXKQHJZKZMUKIZXMXQXIYCAG
      CYAMIZKXMXIAGCYAMXTYBRXGGGREXIULSZXDXFXHXJGEZUMYAGEXIYFVGZXKQHGUNTUPSXTAG
      CKPXIAGCUOSXIYBUQURXIAGYDXLXIYDXKCQMIZCHMIZJXLXKCQHMUSXIXKYHCYIHXICXICXIC
      GEZHCNOZXIXHYJYKVGXDXFXHUTCVAVBZVCZVDZVEXICYNVFVHVIVJVRZXICYBXDXFYBXQEXHA
      BYBYBVKZVLVMZYMVNVOXIXSHXLNOZAGVPZXIYRAGXIYKHHNOZYRXIYJYKYLVQVSXKYKYTYRCH
      CXLHNWIHXLHNWIVTWAWBXIXSGHUIUJZXMXROYSXIGXMGWCWDXIWESXIXLGEZAGVPXMGWFXIUU
      BAGYGYJHGEZUUBXIYJYFYMWGTXKCHGWJWAZWHAGXLXMGXMVKWKWLWMXIAGHXLNUUAXMRGGYEU
      UCYGTSUUDUUAAGHKPXIAGHUOSXIXMUQWNWOWPXMWQWRXIYCLFCYBLFZMIXOXPXICYBYQYMWTX
      IYCXMLYOWSXIUUEXECMXDXFUUEXEPXHABYBYPXAVMXBXCVR $.

    $( When the base set of a constant function has infinite volume, the
       integral is also infinite and vice-versa.  (Contributed by Mario
       Carneiro, 30-Aug-2014.) $)
    itg2const2 $p |- ( ( A e. dom vol /\ B e. RR+ ) -> ( ( vol ` A ) e. RR <->
      ( S.2 ` ( x e. RR |-> if ( x e. A , B , 0 ) ) ) e. RR ) ) $=
      ( vz cvol wcel wa cfv cr cc0 cmul co wceq ad2antlr sylanbrc adantl adantr
      cle wbr cxr cdm crp cv cif cmpt citg2 cpnf cico simpll simpr rpre elrege0
      rpge0 itg2const syl3anc remulcld eqeltrd covol mblvol ad2antrr caddc cdiv
      wss mblss ad3antrrr peano2re simplr rerpdivcld ovollecl wrex cicc simplll
      rexrd elxrge0 0e0iccpnf ifcl sylancl fmpttd itg2ge0 syl ge0p1rpd rpdivcld
      c1 wf rpge0d breq2d biimpar w3a wb 0xr iccssxr volf sselid elicc1 sylancr
      ffvelrni mpbir3and volivth syl2anc ex simprl simprrr recnd rpne0 divcan2d
      oveq2d 3eqtrd cofr simpl wral leidd iftrue sselda iftrued 3brtr4d iffalse
      wne 0le0 breq2 ifboth eqbrtrd pm2.61dan ralrimiva cvv reex eqidd ofrfval2
      wn a1i syldan syl2an itg2le eqbrtrrd clt ltnled mpbid pm2.21dd rexlimdvaa
      ltp1 syld imp wo eqeltrrd xrletri mpjaodan impbida ) BEUAZFZCUBFZGZBEHZIF
      ZAIAUCZBFZCJUDZUEZUFHZIFZUUJUULGZUUQCUUKKLZIUUSUUHUULCJUGUHLFZUUQUUTMUUHU
      UIUULUIUUJUULUJZUUSCIFZJCRSZUVAUUIUVCUUHUULCUKZNZUUIUVDUUHUULCUMZNCULZOAB
      CUNUOUUSCUUKUVFUVBUPUQUUJUURGZUUKBURHZIUUHUUKUVJMUUIUURBUSUTZUVIUVJUUQWCV
      ALZCVBLZRSZUVJIFZUVMUVJRSZUVIUVNGBIVCZUVMIFZUVNUVOUUHUVQUUIUURUVNBVDVEUVI
      UVRUVNUVIUVLCUURUVLIFZUUJUUQVFZPZUUHUUIUURVGZVHZQUVIUVNUJBUVMVIUOUVIUVPUV
      OUVIUVPDUCZBVCZUWDEHZUVMMZGZDUUGVJZUVOUVIUVPUWIUVIUVPGZUUHUVMJUUKVKLFZUWI
      UUHUUIUURUVPVLZUWJUWKUVMTFZJUVMRSZUVMUUKRSZUWJUVMUVIUVRUVPUWCQVMUVIUWNUVP
      UVIUVMUVIUVLCUVIUUQUUJUURUJUVIIJUGVKLZUUPWDZJUUQRSUUJUWQUURUUJAIUUOUWPUUJ
      UUMIFZGZCUWPFZJUWPFZUUOUWPFUWSCTFZUVDUWTUWSCUUIUVCUUHUWRUVENVMUUIUVDUUHUW
      RUVGNCVNZOVOUUNCJUWPVPVQZVRQZUUPVSVTWAUWBWBWEQUVIUWOUVPUVIUUKUVJUVMRUVKWF
      WGUWJJTFUUKTFZUWKUWMUWNUWOWHWIWJUWJUUHUXFUWLUUHUWPTUUKJUGWKUUGUWPBEWLWPWM
      ZVTJUUKUVMWNWOWQDBUVMWRWSWTUVIUWHUVODUUGUVIUWDUUGFZUWHGZGZUVLUUQRSZUVOUXJ
      AIUUMUWDFZCJUDZUEZUFHZUVLUUQRUXJUXOCUWFKLZCUVMKLZUVLUXJUXHUWFIFUVAUXOUXPM
      UVIUXHUWHXAUXJUWFUVMIUVIUXHUWEUWGXBZUVIUVRUXIUWCQUQUXJUVCUVDUVAUVIUVCUXIU
      UIUVCUUHUURUVENZQUXJCUVIUUIUXIUWBQWEUVHOAUWDCUNUOUXJUWFUVMCKUXRXFUVIUXQUV
      LMUXIUVIUVLCUVIUVLUWAXCUVICUXSXCUUICJXQUUHUURCXDNXEQXGUXJIUWPUXNWDZUWQUXN
      UUPRXHSZUXOUUQRSUUJUXTUURUXIUUJAIUXMUWPUUJUXMUWPFZUWRUUJUWTUXAUYBUUJUXBUV
      DUWTUUJCUUIUVCUUHUVEPZVMUUIUVDUUHUVGPZUXCOVOUXLCJUWPVPVQQZVRUTUVIUWQUXIUX
      EQUVIUUJUWEUYAUXIUUJUURXIUXHUWEUWGXAUUJUWEUXMUUORSZAIXJZUYAUUJUWEGZUYFAIU
      YHUWRGZUXLUYFUYIUXLGZCCUXMUUORUYJCUUJUVCUWEUWRUXLUYCVEXKUXLUXMCMUYIUXLCJX
      LPUYJUUNCJUYIUWDBUUMUUJUWEUWRVGXMXNXOUYIUXLYHZGUXMJUUORUYKUXMJMUYIUXLCJXP
      PUUJJUUORSZUWEUWRUYKUUJUVDJJRSZUYLUYDXRUUNUVDUYMUYLCJCUUOJRXSJUUOJRXSXTVQ
      VEYAYBYCUUJUYAUYGUUJAIUXMUUORUXNUUPYDUWPUWPIYDFUUJYEYIUYEUXDUUJUXNYFUUJUU
      PYFYGWGYJYKUXNUUPYLUOYMUXJUUQUVLYNSZUXKYHUURUYNUUJUXIUUQYSNUXJUUQUVLUUJUU
      RUXIVGUURUVSUUJUXIUVTNYOYPYQYRYTUUAUVIUVJTFUWMUVNUVPUUBUVIUUKUVJTUVKUUHUX
      FUUIUURUXGUTUUCUVIUVMUWCVMUVJUVMUUDWSUUEUQUUF $.
  $}

  ${
    $d f g m n x z F $.
    $( Definitional property of the ` S.2 ` integral: for any function ` F `
       there is a countable sequence ` g ` of simple functions less than ` F `
       whose integrals converge to the integral of ` F ` .  (This theorem is
       for the most part unnecessary in lieu of ~ itg2i1fseq , but unlike that
       theorem this one doesn't require ` F ` to be measurable.)  (Contributed
       by Mario Carneiro, 14-Aug-2014.) $)
    itg2seq $p |- ( F : RR --> ( 0 [,] +oo ) -> E. g ( g : NN --> dom S.1 /\
        A. n e. NN ( g ` n ) oR <_ F /\ ( S.2 ` F ) =
        sup ( ran ( n e. NN |-> ( S.1 ` ( g ` n ) ) ) , RR* , < ) ) ) $=
      ( vf vm cr cn citg1 cfv cle wbr clt wa wral cxr wcel wn cmnf wb syl vx vz
      cc0 cpnf cicc co wf cdm cv cofr citg2 wceq c1 cdiv cmin cif wex cmpt csup
      crn w3a wrex wi nnre ad2antlr ltpnfd iftrue adantl 3brtr4d iffalse itg2cl
      simpr xrrebnd itg2ge0 mnfxr 0xr xrltletr mp3an12i mpani biantrurd nltpnft
      mnflt0 mpd con2bid 3bitr2rd biimpa adantlr nnrp rpreccld ltsubrpd eqbrtrd
      crp pm2.61dan nnrecre resubcld ifclda rexrd adantr xrltnle mpbid itg2leub
      syl2anc syldan mtbid rexanali sylibr itg1cl syl2an anbi2d rexbidva mpbird
      ltnle ralrimiva cmap ovex i1ff reex elmap ssriv ssexi breq1 breq2d ressxr
      wss frnd sstrdi 2fveq3 eqid fvex wfn mpan eqeltrrid syl3anc ralimdva impr
      fvmpt breq2 simplrl rexr breq1d nnenom fveq2 anbi12d axcc4 simpl ad2antll
      simprl ralimi ffvelrn fmpttd ad2antrl supxrcl adantll xrltle rneqi fnmpti
      cbvmptv eqsstrrid fnfvelrn eqeltrrd supxrub supeq1i xrletr mpan2d adantld
      syld ralbidv imbi12d w3o elxr arch rexbidv simplrr posdifd nnrecl ltsub13
      bitr4d expr syl2anr rexnal bitrdi 3imtr3d con4d pnfge breqtrrd a1d c0 wne
      1nn ne0ii r19.2z mnflt sylancr simplr mtbird pm2.21d syl5 3jaodan sylan2b
      nrexdv rspcdva breqtrrdi itg2ub 3expia sylan2 anassrs adantrd ralbiia weq
      cbvralvw bitr4i ffn ralrn 3syl supxrleub xrletrid 3jca ex eximdv ) FUCUDU
      EUFCUGZGHUHZAUIZUGZBUIZUYBIZCJUJZKZCUKIZUDULZUYDUYHUMUYDUNUFZUOUFZUPZUYEH
      IZLKZMZBGNZMZAUQZUYCUYGBGNZUYHBGUYMURZUTZOLUSZULZVAZAUQUXTDUIZCUYFKZUYLVU
      EHIZLKZMZDUYAVBZBGNUYRUXTVUJBGUXTUYDGPZMZVUJVUFVUGUYLJKZQZMZDUYAVBZVULVUF
      VUMVCDUYANZQVUPVULUYHUYLJKZVUQVULUYLUYHLKZVURQZVULUYIVUSVULUYIMZUYDUDUYLU
      YHLVVAUYDVUKUYDFPUXTUYIUYDVDVEZVFUYIUYLUYDULZVULUYIUYDUYKVGZVHVULUYIVLVIV
      ULUYIQZMZUYLUYKUYHLVVEUYLUYKULZVULUYIUYDUYKVJZVHVVFUYHUYJUXTVVEUYHFPZVUKU
      XTVVEVVIUXTVVIRUYHLKZUYHUDLKZMZVVKVVEUXTUYHOPZVVIVVLSCVKZUYHVMTUXTVVJVVKU
      XTUCUYHJKZVVJCVNUXTRUCLKZVVOVVJWBROPZUCOPUXTVVMVVPVVOMVVJVCVOVPVVNRUCUYHV
      QVRVSWCVTUXTUYIVVKUXTVVMUYIVVKQSVVNUYHWATWDWEWFZWGZVUKUYJWLPUXTVVEVUKUYDU
      YDWHWIVEWJWKWMVULUYLOPZVVMVUSVUTSVULUYLVULUYIUYDUYKFVVBVVFUYHUYJVVSVUKUYJ
      FPZUXTVVEUYDWNZVEWOWPZWQZUXTVVMVUKVVNWRUYLUYHWSXBWTUXTVUKVVTVURVUQSVWDUYL
      DCXAXCXDVUFVUMDUYAXEXFVULVUIVUODUYAVULVUEUYAPZMVUHVUNVUFVULUYLFPZVUGFPVUH
      VUNSVWEVWCVUEXGUYLVUGXLXHXIXJXKXMVUIUYODUYAABGUYAFFXNUFZFFXNXOUAUYAVWGUAU
      IZUYAPFFVWHUGVWHVWGPVWHXPFFVWHXQXQXRXFXSXTUUAVUEUYEULZVUFUYGVUHUYNVUEUYEC
      UYFYAVWIVUGUYMUYLLVUEUYEHUUBYBUUCUUDTUXTUYQVUDAUXTUYQVUDUXTUYQMZUYCUYSVUC
      UXTUYCUYPUUGUYPUYSUXTUYCUYOUYGBGUYGUYNUUEUUHUUFVWJUYHVUBUXTVVMUYQVVNWRZVW
      JVUAOYDZVUBOPZVWJVUAFOVWJGFUYTUYCGFUYTUGZUXTUYPUYCBGUYMFUYCVUKMZUYEUYAPZU
      YMFPZGUYAUYDUYBUUIZUYEXGTZUUJZUUKZYEYCYFZVUAUULZTZVWJUYHEGEUIZUYBIZHIZURZ
      UTZOLUSZVUBJVWJUYLVXJJKZBGNZUYHVXJJKZUXTUYCUYPVXLUXTUYCMZUYOVXKBGVXNVUKMZ
      UYNVXKUYGVXOUYNUYLUYMJKZVXKVXOVVTUYMOPZUYNVXPVCUXTVUKVVTUYCVWDWGZVXOUYMUY
      CVUKVWQUXTVWSUUMWQZUYLUYMUUNXBVXOVXPUYMVXJJKZVXKVXOVXIOYDUYMVXIPZVXTVXOVX
      IVUAOUYTVXHBEGUYMVXGUYDVXEHUYBYGZUUQUUOZVXNVWLVUKVXNVUAFOVXNGFUYTUYCVWNUX
      TVWTVHYEYCYFWRZUURVUKVYAVXNVUKUYDVXHIZUYMVXIEUYDVXGUYMGVXHVXEUYDHUYBYGVXH
      YHZUYEHYIYPVXHGYJVUKVYEVXIPEGVXGVXHVXFHYIZVYFUUPGUYDVXHUUSYKUUTVHVXIUYMUV
      AXBVXOVVTVXQVXJOPVXPVXTMVXKVCVXRVXSVXOVXJVUBOOVUAVXILVYCUVBZVXOVWLVWMVYDV
      XCTYLUYLUYMVXJUVCYMUVDUVFUVEYNYOVWJUYLVWHJKZBGNZUYHVWHJKZVCZVXLVXMVCUAOVX
      JVWHVXJULZVYJVXLVYKVXMVYMVYIVXKBGVWHVXJUYLJYQUVGVWHVXJUYHJYQUVHUXTVYLUAON
      UYQUXTVYLUAOVWHOPZUXTVWHFPZVWHUDULZVWHRULZUVIVYLVWHUVJUXTVYOVYLVYPVYQUXTV
      YOMZVYKVYJVYRVWHUYHLKZVWHUYLLKZBGVBZVYKQZVYJQZUXTVYOVYSWUAUXTVYOVYSMZMZUY
      IWUAWUEUYIMZWUAVWHUYDLKZBGVBZWUFVYOWUHUXTVYOVYSUYIYRVWHBUVKTWUFVYTWUGBGWU
      FUYLUYDVWHLUYIVVCWUEVVDVHYBUVLXKWUEVVEMZUYJUYHVWHUOUFZLKZBGVBZWUAWUIWUJFP
      UCWUJLKZWULWUIUYHVWHUXTVVEVVIWUDVVRWGZUXTVYOVYSVVEYRZWOWUIVYSWUMUXTVYOVYS
      VVEUVMWUIVWHUYHWUOWUNUVNWTWUJBUVOXBWUIWUKVYTBGWUIVUKMZWUKVWHUYKLKZVYTWUPV
      WAVVIVYOWUKWUQSVUKVWAWUIVWBVHWUIVVIVUKWUNWRWUIVYOVUKWUOWRUYJUYHVWHUVPYMWU
      PUYLUYKVWHLVVEVVGWUEVUKVVHVEYBUVQXJWTWMUVRVYOVYNVVMVYSWUBSUXTVWHYSZVVNVWH
      UYHWSUVSVYRWUAVYIQZBGVBWUCVYRVYTWUSBGVYRVUKMVYNVVTVYTWUSSVYOVYNUXTVUKWURV
      EUXTVUKVVTVYOVWDWGVWHUYLWSXBXJVYIBGUVTUWAUWBUWCUXTVYPMZVYKVYJWUTUYHUDVWHJ
      WUTVVMUYHUDJKUXTVVMVYPVVNWRUYHUWDTUXTVYPVLUWEUWFVYJVYIBGVBZUXTVYQMZVYKGUW
      GUWHVYJWVAUMGUWIUWJVYIBGUWKYKWVBWVAVYKWVBVYIBGWVBVUKMZVYIUYLRJKZWVCVWFWVD
      QZUXTVUKVWFVYQVWCWGVWFRUYLLKZWVEUYLUWLVWFVVQVVTWVFWVESVOUYLYSRUYLWSUWMWTT
      WVCVWHRUYLJUXTVYQVUKUWNYBUWOUWTUWPUWQUWRUWSXMWRVWJVXJVUBOVYHVXDYLUXAWCVYH
      UXBVWJVUBUYHJKZUBUIZUYHJKZUBVUANZVWJWVJVXEUYTIZUYHJKZEGNZVWJUYMUYHJKZBGNZ
      WVMUXTUYCUYPWVOVXNUYOWVNBGVXOUYGWVNUYNUXTUYCVUKUYGWVNVCZVWOUXTVWPWVPVWRUX
      TVWPUYGWVNCUYEUXCUXDUXEUXFUXGYNYOWVMVXGUYHJKZEGNWVOWVLWVQEGVXEGPWVKVXGUYH
      JBVXEUYMVXGGUYTVYBUYTYHVYGYPYTUXHWVNWVQBEGBEUXIUYMVXGUYHJVYBYTUXJUXKXFVWJ
      VWNUYTGYJWVJWVMSVXAGFUYTUXLWVIWVLUBEGUYTWVHWVKUYHJYAUXMUXNXKVWJVWLVVMWVGW
      VJSVXBVWKUBVUAUYHUXOXBXKUXPUXQUXRUXSWC $.

    $(
    @( Refinement of ~ itg2seq : the sequence of functions in ~ itg2seq can be
       chosen to be weakly increasing. @)
    itg2seq2 @p |- ( F : RR --> ( 0 [,] +oo ) -> E. g ( g : NN --> dom S.1 /\
        A. n e. NN ( ( g ` ( n + 1 ) ) oR <_ ( g ` n ) /\
        ( g ` n ) oR <_ F ) /\ ( S.2 ` F ) =
        sup ( ran ( n e. NN |-> ( S.1 ` ( g ` n ) ) ) , RR* , < ) ) ) @=
      ? @.
    $)
  $}

  ${
    $d x y A $.  $d x F $.  $d x y G $.  $d x y ph $.
    itg2uba.1 $e |- ( ph -> F : RR --> ( 0 [,] +oo ) ) $.
    itg2uba.2 $e |- ( ph -> G e. dom S.1 ) $.
    itg2uba.3 $e |- ( ph -> A C_ RR ) $.
    itg2uba.4 $e |- ( ph -> ( vol* ` A ) = 0 ) $.
    itg2uba.5 $e |- ( ( ph /\ x e. ( RR \ A ) ) -> ( G ` x ) <_ ( F ` x ) ) $.
    $( Approximate version of ~ itg2ub .  If ` F ` approximately dominates
       ` G ` , then ` S.1 G <_ S.2 F ` .  (Contributed by Mario Carneiro,
       11-Aug-2014.) $)
    itg2uba $p |- ( ph -> ( S.1 ` G ) <_ ( S.2 ` F ) ) $=
      ( cfv cr wcel cc0 syl wceq wa cle wbr cvv vy citg1 cv cif cmpt cdm itg1cl
      citg2 rexrd cdif cvol wss covol nulmbl syl2anc cmmbl wn ifnot eldif baibr
      ifbid eqtr3id mpteq2ia i1fres cpnf cicc co cxr itg2cl i1ff eldifi ffvelrn
      wf syl2an leidd fveq2 ifbieq2d eqid c0ex fvex ifex fvmpt iffalse sylan9eq
      eleq1w sylbi adantl breqtrrd itg1lea cofr iftrue ffvelrnda elxrge0 simprd
      wral sylib adantr eqbrtrd sylan2br anassrs pm2.61dan ralrimiva reex fvexd
      a1i eqidd feqmptd ofrfval2 mpbird itg2ub syl3anc xrletrd ) AEUBKZBLBUCZCM
      ZNXNEKZUDZUEZUBKZDUHKZAXMAEUBUFZMZXMLMGEUGOUIAXSAXRYAMZXSLMAYBLCUJZUKUFZM
      ZYCGACYEMZYFACLULCUMKNPYGHICUNUOCUPOBYDEXRBLXQXNYDMZXPNUDZXNLMZXQXOUQZXPN
      UDYIXOXPNURYJYKYHXPNYHYJYKXNLCUSZUTVAVBVCVDUOZXRUGOUIALNVEVFVGZDVMZXTVHMF
      DVIOAUACEXRGHIYMAUAUCZYDMZQZYPEKZYSYPXRKZRYRYSALLEVMZYPLMZYSLMYQAYBUUAGEV
      JOYPLCVKLLYPEVLVNVOYQYTYSPZAYQUUBYPCMZUQZQUUCYPLCUSUUBUUEYTUUDNYSUDZYSBYP
      XQUUFLXRXNYPPXOUUDXPYSNBUACWEXNYPEVPVQXRVRUUDNYSVSYPEVTWAWBUUDNYSWCWDWFWG
      WHWIAYOYCXRDRWJSZXSXTRSFYMAUUGXQXNDKZRSZBLWOAUUIBLAYJQZXOUUIUUJXOQXQNUUHR
      XOXQNPUUJXONXPWKWGUUJNUUHRSZXOUUJUUHVHMZUUKUUJUUHYNMUULUUKQALYNXNDFWLUUHW
      MWPWNWQWRUUJYKQXQXPUUHRYKXQXPPUUJXONXPWCWGAYJYKXPUUHRSZYJYKQAYHUUMYLJWSWT
      WRXAXBABLXQUUHRXRDTTTLTMAXCXEXQTMUUJXONXPVSXNEVTWAXEUUJXNDXDAXRXFABLYNDFX
      GXHXIDXRXJXKXL $.
  $}

  ${
    $d x A $.  $d f x F $.  $d f x G $.  $d f x ph $.
    itg2lea.1 $e |- ( ph -> F : RR --> ( 0 [,] +oo ) ) $.
    itg2lea.2 $e |- ( ph -> G : RR --> ( 0 [,] +oo ) ) $.
    itg2lea.3 $e |- ( ph -> A C_ RR ) $.
    itg2lea.4 $e |- ( ph -> ( vol* ` A ) = 0 ) $.
    ${
      itg2lea.5 $e |- ( ( ph /\ x e. ( RR \ A ) ) -> ( F ` x ) <_ ( G ` x ) )
          $.
      $( Approximate version of ~ itg2le .  If ` F <_ G ` for almost all
         ` x ` , then ` S.2 F <_ S.2 G ` .  (Contributed by Mario Carneiro,
         11-Aug-2014.) $)
      itg2lea $p |- ( ph -> ( S.2 ` F ) <_ ( S.2 ` G ) ) $=
        ( vf cfv cle wbr wcel wa cr cc0 wf adantr citg2 cv cofr citg1 wral cpnf
        wi cdm cicc co simprl wss wceq cdif i1ff ad2antrl eldifi ffvelrn syl2an
        covol rexrd cxr iccssxr sselid simprr cvv ffnd reex inidm eqidd ofrfval
        a1i mpbid r19.21bi sylan2 adantlr xrletrd itg2uba expr ralrimiva itg2cl
        wb syl itg2leub syl2anc mpbird ) ADUALEUALZMNZKUBZDMUCNZWIUDLWGMNZUGZKU
        DUHZUEZAWLKWMAWIWMOZWJWKAWOWJPZPZBCEWIAQRUFUIUJZESZWPGTZAWOWJUKACQULWPH
        TACUTLRUMWPITWQBUBZQCUNOZPZXAWILZXADLZXAELZXCXDWQQQWISZXAQOZXDQOXBWOXGA
        WJWIUOUPZXAQCUQZQQXAWIURUSVAXCWRVBXERUFVCZWQQWRDSZXHXEWROXBAXLWPFTZXJQW
        RXADURUSVDXCWRVBXFXKWQWSXHXFWROXBWTXJQWRXAEURUSVDXBWQXHXDXEMNZXJWQXNBQW
        QWJXNBQUEAWOWJVEWQBQQXDXEMQWIDVFVFWQQQWIXIVGWQQWRDXMVGQVFOWQVHVLZXOQVIW
        QXHPZXDVJXPXEVJVKVMVNVOAXBXEXFMNWPJVPVQVRVSVTAXLWGVBOZWHWNWBFAWSXQGEWAW
        CWGKDWDWEWF $.
    $}

    itg2eqa.5 $e |- ( ( ph /\ x e. ( RR \ A ) ) -> ( F ` x ) = ( G ` x ) ) $.
    $( Approximate equality of integrals.  If ` F = G ` for almost all ` x ` ,
       then ` S.2 F = S.2 G ` .  (Contributed by Mario Carneiro,
       12-Aug-2014.) $)
    itg2eqa $p |- ( ph -> ( S.2 ` F ) = ( S.2 ` G ) ) $=
      ( citg2 cfv cr cc0 cpnf wf cxr wcel itg2cl syl cicc co cv cdif wa iccssxr
      eldifi ffvelrn syl2an sselid xrleidd breqtrd itg2lea eqbrtrrd xrletrid
      cle ) ADKLZEKLZAMNOUAUBZDPZUQQRFDSTAMUSEPURQRGESTABCDEFGHIABUCZMCUDRZUEZV
      ADLZVDVAELZUPVCVDVCUSQVDNOUFAUTVAMRVDUSRVBFVAMCUGMUSVADUHUIUJUKZJULUMABCE
      DGFHIVCVDVEVDUPJVFUNUMUO $.
  $}

  ${
    $d f x y z A $.  $d f x y z F $.  $d f x y z ph $.
    itg2mulc.2 $e |- ( ph -> F : RR --> ( 0 [,) +oo ) ) $.
    itg2mulc.3 $e |- ( ph -> ( S.2 ` F ) e. RR ) $.
    ${
      itg2mulclem.4 $e |- ( ph -> A e. RR+ ) $.
      $( Lemma for ~ itg2mulc .  (Contributed by Mario Carneiro,
         8-Jul-2014.) $)
      itg2mulclem $p |- ( ph ->
        ( S.2 ` ( ( RR X. { A } ) oF x. F ) ) <_ ( A x. ( S.2 ` F ) ) ) $=
        ( vf vy cr cmul co cfv cle wbr wcel cc0 wf adantr crp cvv csn cxp citg2
        vx cof cv cofr citg1 wi cdm wral wa c1 cdiv cpnf cicc cico wss icossicc
        fss sylancl simpr rpreccld rpred i1fmulc itg2ub 3expia syl2anc clt i1ff
        adantl ffvelrnda rge0ssre ad2antrr rpgt0d ledivmul syl112anc wne rpne0d
        recnd divrec2d breq1d bitr3d ralbidva reex ovexd feqmptd cmpt fconstmpt
        a1i wceq offval2 ofrfval2 3bitr4d itg1mulc itg1cl eqtr4d bitr2d 3imtr4d
        wb ralrimiva cxr ge0mulcl fconstg syl rpre rpge0 elrege0 sylanbrc snssd
        fssd inidm off remulcld rexrd itg2leub mpbird ) AIBUAZUBZCJUEZKZUCLBCUC
        LZJKZMNZGUFZYAMUGZNZYEUHLZYCMNZUIZGUHUJZUKZAYJGYKAYEYKOZULZIUMBUNKZUAUB
        ZYEXTKZCYFNZYQUHLZYBMNZYGYIYNIPUOUPKZCQZYQYKOZYRYTUIAUUBYMAIPUOUQKZCQZU
        UDUUAURZUUBDPUOUSZIUUDUUACUTVARYNYOYEAYMVBZYNYOAYOSOZYMABFVCZRVDZVEUUBU
        UCYRYTCYQVFVGVHYNHUFZYELZBUULCLZJKZMNZHIUKYOUUMJKZUUNMNZHIUKYGYRYNUUPUU
        RHIYNUULIOZULZUUMBUNKZUUNMNZUUPUURUUTUUMIOUUNIOBIOZPBVINZUVBUUPWTYNIIUU
        LYEYMIIYEQAYEVJVKZVLZYNIIUULCAIICQZYMAUUEUUDIURUVGDVMIUUDICUTVARVLZAUVC
        YMUUSABFVDZVNZAUVDYMUUSABFVOZVNUUMUUNBVPVQUUTUVAUUQUUNMUUTUUMBUUTUUMUVF
        VTUUTBUVJVTYNBPVRUUSYNBABSOZYMFRVSZRWAWBWCWDYNHIUUMUUOMYEYATITITOZYNWEW
        JZUVFUUTBUUNJWFYNHIIYEUVEWGZYNHIBUUNJXSCTSIUVOAUVLYMUUSFVNUVHXSHIBWHWKY
        NHIBWIWJACHIUUNWHWKYMAHIUUDCDWGRZWLWMYNHIUUQUUNMYQCTTIUVOUUTYOUUMJWFUVH
        YNHIYOUUMJYPYETSIUVOAUUIYMUUSUUJVNUVFYPHIYOWHWKYNHIYOWIWJUVPWLUVQWMWNYN
        YTYHBUNKZYBMNZYIYNYSUVRYBMYNYSYOYHJKUVRYNYOYEUUHUUKWOYNYHBYNYHYMYHIOZAY
        EWPVKZVTYNBAUVCYMUVIRZVTUVMWAWQWBYNUVTYBIOZUVCUVDUVSYIWTUWAAUWCYMERUWBA
        UVDYMUVKRYHYBBVPVQWRWSXAAIUUAYAQZYCXBOYDYLWTAIUUDYAQUUFUWDAUDHIIIJUUDUU
        DUUDXSCTTUDUFZUUDOUULUUDOULUWEUULJKUUDOAUWEUULXCVKAIXRUUDXSAUVLIXRXSQFI
        BSXDXEABUUDAUVLBUUDOZFUVLUVCPBMNUWFBXFBXGBXHXIXEXJXKDUVNAWEWJZUWGIXLXMU
        UGIUUDUUAYAUTVAAYCABYBUVIEXNXOYCGYAXPVHXQ $.
    $}

    itg2mulc.4 $e |- ( ph -> A e. ( 0 [,) +oo ) ) $.
    $( The integral of a nonnegative constant times a function is the constant
       times the integral of the original function.  (Contributed by Mario
       Carneiro, 28-Jun-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
    itg2mulc $p |- ( ph ->
      ( S.2 ` ( ( RR X. { A } ) oF x. F ) ) = ( A x. ( S.2 ` F ) ) ) $=
      ( vy cc0 wbr cr cmul co citg2 cfv wa wf adantr wcel cvv cc vx clt csn cxp
      cof wceq cle cpnf cico crp elrege0 sylib simpld anim1i sylibr itg2mulclem
      vz elrp cdiv c1 ge0mulcl adantl fconst6g syl reex a1i inidm cicc icossicc
      off wss sylancl remulcld itg2lecl syl3anc rpreccld cmpt feqmptd ax-resscn
      cv rge0ssre sstri ffvelrnda mulid2d mpteq2dva eqtr4d 1red ofc12 fconstmpt
      fss eqtrdi recnd rpne0d recid2d mpteq2dv eqtrd offval2 w3a mulass caofass
      rpcnd 3eqtr2d fveq2d divrec2d 3brtr4d lemuldiv2d mpbird wb rexrd xrletri3
      cxr itg2cl syl2anc mpbir2and 0re simplr oveq1d mul02 eqtr3d caofid2 itg20
      mul02d simpr wo simprd leloe sylancr mpbid mpjaodan ) AHBUBIZJBUCUDZCKUEZ
      LZMNZBCMNZKLZUFZHBUFZAYJOZYQYNYPUGIZYPYNUGIZYSBCAJHUHUILZCPZYJDQZAYOJRZYJ
      EQZYSBJRZYJOBUJRAUUGYJAUUGHBUGIZABUUBRZUUGUUHOFBUKULZUMZUNBURUOZUPZYSUUAY
      OYNBUSLZUGIYSJUTBUSLZUCUDZYMYLLZMNUUOYNKLYOUUNUGYSUUOYMAJUUBYMPZYJAUAGJJJ
      KUUBUUBUUBYKCSSUAVTZUUBRGVTZUUBROUUSUUTKLZUUBRAUUSUUTVAVBAUUIJUUBYKPFJBUU
      BVCVDDJSRZAVEVFZUVCJVGVJZQYSJHUHVHLZYMPZYPJRZYTYNJRAUVFYJAUURUUBUVEVKUVFU
      VDHUHVIJUUBUVEYMWJVLZQAUVGYJABYOUUKEVMZQUUMYPYMVNVOZYSBUULVPZUPYSCUUQMYSC
      GJUTUUTCNZKLZVQZUUPYKYLLZCYLLUUQYSCGJUVLVQUVNYSGJUUBCUUDVRZYSGJUVMUVLYSUU
      TJROZUVLYSJTUUTCAJTCPZYJAUUCUUBTVKUVRDUUBJTWAVSWBJUUBTCWJVLZQZWCZWDWEWFYS
      GJUTUVLKUVOCSJTUVBYSVEVFZUVQWGUWAYSUVOGJUUOBKLZVQZGJUTVQYSUVOJUWCUCUDUWDY
      SJUUOBKSUJUJUWBUVKUULWHGJUWCWIWKYSGJUWCUTYSBABTRZYJABUUKWLQZYSBUULWMZWNWO
      WPUVPWQYSUAGUQJKKTKUUPYKCKSUWBYSUUOTRJTUUPPYSUUOUVKXAJUUOTVCVDYSUWEJTYKPU
      WFJBTVCVDUVTUUSTRZUUTTRUQVTZTRWRUVAUWIKLUUSUUTUWIKLKLUFYSUUSUUTUWIWSVBWTX
      BXCYSYNBYSYNUVJWLUWFUWGXDXEYSYOYNBUUFUVJUULXFXGAYQYTUUAOXHZYJAYNXKRZYPXKR
      UWJAUVFUWKUVHYMXLVDAYPUVIXIYNYPXJXMQXNAYROZYNHHYOKLYPUWLYNJHUCUDZMNHUWLYM
      UWMMUWLUAJBHKTCSJJUVBUWLVEVFAUVRYRUVSQAUUGYRUUKQHJRZUWLXOVFUWLUWHOZHUUSKL
      ZBUUSKLHUWOHBUUSKAYRUWHXPXQUWHUWPHUFUWLUUSXRVBXSXTXCYAWKUWLYOUWLYOAUUEYRE
      QWLYBUWLHBYOKAYRYCXQXBAUUHYJYRYDZAUUGUUHUUJYEAUWNUUGUUHUWQXHXOUUKHBYFYGYH
      YI $.
  $}

  ${
    $d f g y F $.  $d f g y G $.  $d f g y H $.  $d f g x y ph $.  $d x y A $.
    $d x y B $.  $d x U $.
    itg2split.a $e |- ( ph -> A e. dom vol ) $.
    itg2split.b $e |- ( ph -> B e. dom vol ) $.
    itg2split.i $e |- ( ph -> ( vol* ` ( A i^i B ) ) = 0 ) $.
    itg2split.u $e |- ( ph -> U = ( A u. B ) ) $.
    itg2split.c $e |- ( ( ph /\ x e. U ) -> C e. ( 0 [,] +oo ) ) $.
    itg2split.f $e |- F = ( x e. RR |-> if ( x e. A , C , 0 ) ) $.
    itg2split.g $e |- G = ( x e. RR |-> if ( x e. B , C , 0 ) ) $.
    itg2split.h $e |- H = ( x e. RR |-> if ( x e. U , C , 0 ) ) $.
    itg2split.sf $e |- ( ph -> ( S.2 ` F ) e. RR ) $.
    itg2split.sg $e |- ( ph -> ( S.2 ` G ) e. RR ) $.
    $( Lemma for ~ itg2split .  (Contributed by Mario Carneiro,
       11-Aug-2014.) $)
    itg2splitlem $p |- ( ph ->
      ( S.2 ` H ) <_ ( ( S.2 ` F ) + ( S.2 ` G ) ) ) $=
      ( cr vf vy citg2 cfv caddc co cle wbr cv cofr citg1 cdm wral wcel cc0 cif
      wi wa cmpt simprl itg1cl syl cvol adantr eqid i1fres syl2anc readdcld cin
      wss inss1 mblss sstrid covol wceq cof cvv reex a1i fvex c0ex ifex offval2
      eqidd i1fadd eqeltrrd cdif i1ff eldifi ffvelrn syl2an leidd iftrue adantl
      wf wn eldifn elin sylnib imnan sylibr iffalse oveq12d recnd addid1d eqtrd
      imp breqtrrd ad2antrr bitrdi ffnd adantlr 0e0iccpnf ifclda fmptd r19.21bi
      cc eldif nfcv cid fveq2d breqtrd syldan pm2.61dan eleq1w sseqtrrid sselda
      ifbieq1d nfv nfan ofrfval2 iftrued 3brtr4d 0le0 a1d ralrimi mpbird itg2ub
      wb syl3anc wo cun eleq2d elun notbid ioran biimpar simprr cpnf cicc inidm
      wfn ofrfval mpbid sylan2 nfmpt1 nfcxfr nffv nfeq1 fveqeq2 fvmpt2i 0cn fvi
      ax-mp eqtrdi sylan9eq sylbi vtoclgaf sylbir sylan anassrs oveq1d 0re ifcl
      sylancl addid2d fveq2 ovex fvmpt itg1lea itg1add eqtr3d ssun1 nfbr biimpd
      feqmptd impr ssun2 le2addd letrd expr ralrimiva cxr rexrd itg2leub ) AIUC
      UDGUCUDZHUCUDZUEUFZUGUHZUAUIZIUGUJZUHZUWTUKUDZUWRUGUHZUQZUAUKULZUMZAUXEUA
      UXFAUWTUXFUNZUXBUXDAUXHUXBURZURZUXCBTBUIZCUNZUXKUWTUDZUOUPZUSZUKUDZBTUXKD
      UNZUXMUOUPZUSZUKUDZUEUFZUWRUXJUXHUXCTUNAUXHUXBUTZUWTVAVBUXJUXPUXTUXJUXOUX
      FUNZUXPTUNUXJUXHCVCULZUNZUYCUYBAUYEUXIJVDZBCUWTUXOUXOVEVFVGZUXOVAVBZUXJUX
      SUXFUNZUXTTUNUXJUXHDUYDUNZUYIUYBAUYJUXIKVDZBDUWTUXSUXSVEVFVGZUXSVAVBZVHAU
      WRTUNUXIAUWPUWQRSVHZVDUXJUXCBTUXNUXRUEUFZUSZUKUDZUYAUGUXJUBCDVIZUWTUYPUYB
      AUYRTVJUXIAUYRCTCDVKAUYECTVJZJCVLZVBVMVDAUYRVNUDUOVOUXILVDUXJUXOUXSUEVPUF
      ZUYPUXFAVUAUYPVOUXIABTUXNUXRUEUXOUXSVQVQVQTVQUNZAVRVSZUXNVQUNAUXKTUNZURZU
      XLUXMUOUXKUWTVTZWAWBVSZUXRVQUNVUEUXQUXMUOVUFWAWBVSZAUXOWDZAUXSWDZWCVDZUXJ
      UXOUXSUYGUYLWEWFUXJUBUIZTUYRWGUNZURZVULUWTUDZVULCUNZVUOUOUPZVULDUNZVUOUOU
      PZUEUFZVULUYPUDZUGVUNVUPVUOVUTUGUHVUNVUPURZVUOVUOVUTUGVUNVUOVUOUGUHZVUPVU
      NVUOUXJTTUWTWOZVULTUNZVUOTUNZVUMUXJUXHVVDUYBUWTWHZVBZVULTUYRWIZTTVULUWTWJ
      WKZWLZVDVVBVUTVUOUOUEUFVUOVVBVUQVUOVUSUOUEVUPVUQVUOVOVUNVUPVUOUOWMWNVVBVU
      RWPZVUSUOVOZVUNVUPVVLVUNVUPVURURZWPVUPVVLUQVUNVULUYRUNZVVNVUMVVOWPUXJVULT
      UYRWQWNVULCDWRWSVUPVURWTXAXGVURVUOUOXBZVBXCVVBVUOVUNVUOXQUNVUPVUNVUOVVJXD
      VDXEXFXHVUNVUPWPZURZVUOVUSVUTUGVVRVURVUOVUSUGUHVVRVURURVUOVUOVUSUGVUNVVCV
      VQVURVVKXIVURVUSVUOVOVVRVURVUOUOWMWNXHVVRVVLURVUOUOVUSUGVUNVVQVVLVUOUOUGU
      HZVUNVVQVVLURZVULFUNZWPZVVSVUNVWBVVTVUNVWBVUPVURUUAZWPVVTVUNVWAVWCVUNVWAV
      ULCDUUBZUNVWCVUNFVWDVULAFVWDVOUXIVUMMXIUUCVULCDUUDXJUUEVUPVURUUFXJUUGVUNV
      WBURVUOVULIUDZUOUGVUNVUOVWEUGUHZVWBVUMUXJVVEVWFVVIUXJVWFUBTUXJUXBVWFUBTUM
      AUXHUXBUUHUXJUBTTVUOVWEUGTUWTIVQVQUXJTTUWTVVHXKAITUULUXIATUOUUIUUJUFZIABT
      UXKFUNZEUOUPZVWGIVUEVWHEUOVWGAVWHEVWGUNZVUDNXLZUOVWGUNZVUEVWHWPZURXMVSXNZ
      QXOZXKVDVUBUXJVRVSZVWPTUUKUXJVVEURZVUOWDVWQVWEWDUUMUUNXPUUOVDVUNVVEVWBVWE
      UOVOZVUMVVEUXJVVIWNZVVEVWBURVULTFWGZUNVWRVULTFXRUXKIUDZUOVOZVWRBVULVWTBVU
      LXSZBVWEUOBVULIBIBTVWIUSZQBTVWIUUPUUQZVXCUURUUSUXKVULUOIUUTUXKVWTUNVUDVWM
      URVXBUXKTFXRVUDVWMVXAVWIXTUDZUOBTVWIIQUVAVWMVXFUOXTUDZUOVWMVWIUOXTVWHEUOX
      BYAUOXQUNVXGUOVOUVBUOXQUVCUVDUVEUVFUVGUVHUVIUVJYBYCUVKVVLVVMVVRVVPWNXHYDV
      VRVUTUOVUSUEUFVUSVVRVUQUOVUSUEVVQVUQUOVOVUNVUPVUOUOXBWNUVLVVRVUSVUNVUSXQU
      NVVQVUNVUSVUNVVFUOTUNVUSTUNVVJUVMVURVUOUOTUVNUVOXDVDUVPXFXHYDVUNVVEVVAVUT
      VOVWSBVULUYOVUTTUYPUXKVULVOZUXNVUQUXRVUSUEVXHUXLVUPUXMVUOUOBUBCYEUXKVULUW
      TUVQZYHVXHUXQVURUXMVUOUOBUBDYEVXIYHXCUYPVEVUQVUSUEUVRUVSVBXHUVTUXJVUAUKUD
      UYQUYAUXJVUAUYPUKVUKYAUXJUXOUXSUYGUYLUWAUWBYBUXJUXPUXTUWPUWQUYHUYMAUWPTUN
      UXIRVDAUWQTUNUXISVDUXJTVWGGWOZUYCUXOGUXAUHZUXPUWPUGUHAVXJUXIABTUXLEUOUPZV
      WGGVUEUXLEUOVWGVUEUXLVWHVWJAUXLVWHVUDACFUXKAVWDCFCDUWCMYFYGZXLVWKYCVWLVUE
      UXLWPZURXMVSXNZOXOVDUYGUXJVXKUXNVXLUGUHZBTUMZUXJVXPBTAUXIBABYIUXHUXBBUXHB
      YIBUWTIUXABUWTXSBUXAXSVXEUWDYJYJZUXJVXPVUDUXJUXLVXPUXJUXLURZUXMEUXNVXLUGV
      XSUXMVWIEUGUXJUXLVUDUXMVWIUGUHZUXJCTUXKUXJUYEUYSUYFUYTVBYGUXJVXTBTAUXHUXB
      VXTBTUMZAUXHURZUXBVYAVYBBTUXMVWIUGUWTIVQVQVWGVUBVYBVRVSUXMVQUNVYBVUDURVUF
      VSAVUDVWIVWGUNUXHVWNXLVYBBTTUWTUXHVVDAVVGWNUWFIVXDVOVYBQVSYKUWEUWGXPZYCVX
      SVWHEUOAUXLVWHUXIVXMXLYLYBUXLUXNUXMVOUXJUXLUXMUOWMWNUXLVXLEVOUXJUXLEUOWMW
      NYMVXNVXPUXJVXNUOUOUXNVXLUGUOUOUGUHZVXNYNVSUXLUXMUOXBUXLEUOXBYMWNYDYOYPAV
      XKVXQYSUXIABTUXNVXLUGUXOGVQVQVWGVUCVUGVXOVUIGBTVXLUSVOAOVSYKVDYQGUXOYRYTU
      XJTVWGHWOZUYIUXSHUXAUHZUXTUWQUGUHAVYEUXIABTUXQEUOUPZVWGHVUEUXQEUOVWGVUEUX
      QVWHVWJAUXQVWHVUDADFUXKAVWDDFDCUWHMYFYGZXLVWKYCVWLVUEUXQWPZURXMVSXNZPXOVD
      UYLUXJVYFUXRVYGUGUHZBTUMZUXJVYKBTVXRUXJVYKVUDUXJUXQVYKUXJUXQURZUXMEUXRVYG
      UGVYMUXMVWIEUGUXJUXQVUDVXTUXJDTUXKUXJUYJDTVJUYKDVLVBYGVYCYCVYMVWHEUOAUXQV
      WHUXIVYHXLYLYBUXQUXRUXMVOUXJUXQUXMUOWMWNUXQVYGEVOUXJUXQEUOWMWNYMVYIVYKUXJ
      VYIUOUOUXRVYGUGVYDVYIYNVSUXQUXMUOXBUXQEUOXBYMWNYDYOYPAVYFVYLYSUXIABTUXRVY
      GUGUXSHVQVQVWGVUCVUHVYJVUJHBTVYGUSVOAPVSYKVDYQHUXSYRYTUWIUWJUWKUWLATVWGIW
      OUWRUWMUNUWSUXGYSVWOAUWRUYNUWNUWRUAIUWOVGYQ $.

    $( The ` S.2 ` integral splits under an almost disjoint union.  The proof
       avoids the use of ~ itg2add , which requires countable choice.
       (Contributed by Mario Carneiro, 11-Aug-2014.) $)
    itg2split $p |- ( ph -> ( S.2 ` H ) = ( ( S.2 ` F ) + ( S.2 ` G ) ) ) $=
      ( cr vf vg vy citg2 cfv caddc co cc0 cpnf cicc wf cxr wcel cv cif adantlr
      wa wn 0e0iccpnf a1i ifclda fmptd itg2cl syl readdcld itg2splitlem cle wbr
      rexrd cmin cofr citg1 wi cdm wral adantr itg2lecl syl3anc itg1cl ad2antrl
      cof simprll simprrl itg1add cin i1fadd inss1 cvol mblss sstrid covol wceq
      wss cdif nfv nfcv cmpt nfmpt1 nfcxfr nfbr nfan eldifi cvv i1ff ffnd inidm
      reex eqidd ofval sylan2 ffvelrn syl2an iccssxr sselid 0red simprrr wfn wb
      fvexd sseqtrrid sselda syldan simpr dffn5 sylib ofrfval2 r19.21bi breqtrd
      mpbid adantl recnd syl2anc breqtrrd xrletrd fveq2 expr ralrimiva resubcld
      itg2leub mpbird cun ssun2 eldifn elin sylnib sylibr imp iffalsed leadd2dd
      imnan addid1d simprlr ssun1 iftrued fvmpt2 iftrue 3eqtr4d iffalse addid2d
      ad2antrr leadd1dd ad3antrrr eleq2d wo biorf bitr4id bitrd ifbid pm2.61dan
      elun eqtrd eqbrtrd ex ralrimi breq12d cbvralw itg2uba eqbrtrrd leaddsub2d
      nffv adantrr anassrs lesubd leaddsub xrletrid ) AIUDUEZGUDUEZHUDUEZUFUGZA
      TUHUIUJUGZIUKZUWFULUMABTBUNZFUMZEUHUOZUWJIAUWLTUMZUQZUWMEUHUWJAUWMEUWJUMZ
      UWONUPZUHUWJUMZUWPUWMURUQUSUTVAZQVBZIVCVDAUWIAUWGUWHRSVEZVIABCDEFGHIJKLMN
      OPQRSVFZAUWIUWFVGVHZUWGUWFUWHVJUGZVGVHZAUXFUAUNZGVGVKZVHZUXGVLUEZUXEVGVHZ
      VMZUAVLVNZVOZAUXLUAUXMAUXGUXMUMZUXIUXKAUXOUXIUQZUQZUWHUWFUXJAUWHTUMZUXPSV
      PAUWFTUMZUXPAUWKUWITUMUWFUWIVGVHUXSUXAUXBUXCUWIIVQVRZVPZUXOUXJTUMZAUXIUXG
      VSVTZUXQUWHUWFUXJVJUGZVGVHZUBUNZHUXHVHZUYFVLUEZUYDVGVHZVMZUBUXMVOZUXQUYJU
      BUXMUXQUYFUXMUMZUYGUYIAUXPUYLUYGUQZUYIAUXPUYMUQZUQZUXJUYHUFUGZUWFVGVHUYIU
      YOUXGUYFUFWAUGZVLUEUYPUWFVGUYOUXGUYFAUXOUXIUYMWBZAUXPUYLUYGWCZWDUYOUCCDWE
      ZIUYQAUWKUYNUXAVPZUYOUXGUYFUYRUYSWFAUYTTWMUYNAUYTCTCDWGACWHVNUMCTWMJCWIVD
      WJVPAUYTWKUEUHWLUYNLVPUYOUCUNZUYQUEZVUBIUEZVGVHZUCTUYTWNZUYOUWLUYQUEZUWLI
      UEZVGVHZBVUFVOVUEUCVUFVOUYOVUIBVUFAUYNBABWOUXPUYMBUXOUXIBUXOBWOBUXGGUXHBU
      XGWPBUXHWPZBGBTUWLCUMZEUHUOZWQZOBTVULWRWSWTXAUYLUYGBUYLBWOBUYFHUXHBUYFWPV
      UJBHBTUWLDUMZEUHUOZWQZPBTVUOWRWSWTXAXAXAUYOUWLVUFUMZVUIUYOVUQUQZVUGUWLUXG
      UEZUWLUYFUEZUFUGZVUHVGVUQUYOUWOVUGVVAWLUWLTUYTXBZUYOTTVUSVUTUFTUXGUYFXCXC
      UWLUYOTTUXGUYOUXOTTUXGUKZUYRUXGXDVDZXEZUYOTTUYFUYOUYLTTUYFUKZUYSUYFXDVDZX
      EZTXCUMZUYOXGUTZVVJTXFUYOUWOUQZVUSXHVVKVUTXHXIXJVURVUKVVAVUHVGVHVURVUKUQZ
      VVAVUSVUHVURVVAULUMZVUKVURVVAVURVUSVUTUYOVVCUWOVUSTUMZVUQVVDVVBTTUWLUXGXK
      XLZUYOVVFUWOVUTTUMZVUQVVGVVBTTUWLUYFXKXLZVEVIZVPVVLVUSVURVVNVUKVVOVPZVIVU
      RVUHULUMZVUKVURUWJULVUHUHUIXMUYOUWKUWOVUHUWJUMVUQVUAVVBTUWJUWLIXKXLXNZVPV
      VLVVAVUSUHUFUGVUSVGVVLVUTUHVUSVURVVPVUKVVQVPVVLXOVVSVVLVUTVUOUHVGVURVUTVU
      OVGVHZVUKVUQUYOUWOVWBVVBUYOVWBBTUYOUYGVWBBTVOZAUXPUYLUYGXPAUYNUYFTXQZUYGV
      WCXRVVHAVWDUQZBTVUTVUOVGUYFHXCXCUWJVVIVWEXGUTVWEUWOUQUWLUYFXSAUWOVUOUWJUM
      VWDUWPVUNEUHUWJUWPVUNUWMUWQAVUNUWMUWOADFUWLACDUUAZDFDCUUBMXTYAUPUWRYBUWSU
      WPVUNURZUQUSUTVAZUPVWEVWDUYFBTVUTWQWLAVWDYCBTUYFYDYEHVUPWLVWEPUTYFYBYIYGX
      JZVPVVLVUNEUHVURVUKVWGVURVUKVUNUQZURVUKVWGVMVURUWLUYTUMZVWJVUQVWKURUYOUWL
      TUYTUUCYJUWLCDUUDUUEVUKVUNUUJUUFUUGUUHYHUUIVVLVUSVVLVUSVVSYKUUKYHVVLVUSVU
      LVUHVGVURVUSVULVGVHZVUKVUQUYOUWOVWLVVBUYOVWLBTUYOUXIVWLBTVOZAUXOUXIUYMUUL
      AUYNUXGTXQZUXIVWMXRVVEAVWNUQZBTVUSVULVGUXGGXCXCUWJVVIVWOXGUTVWOUWOUQUWLUX
      GXSAUWOVULUWJUMVWNUWPVUKEUHUWJUWPVUKUWMUWQAVUKUWMUWOACFUWLAVWFCFCDUUMMXTZ
      YAUPUWRYBUWSUWPVUKURZUQUSUTVAZUPVWOVWNUXGBTVUSWQWLAVWNYCBTUXGYDYEGVUMWLVW
      OOUTYFYBYIYGXJZVPVVLUWNEVUHVULVVLUWMEUHVURCFUWLACFWMUYNVUQVWPUUTYAUUNVURV
      UHUWNWLZVUKVUQUYOUWOVWTVVBVVKUWOUWNUWJUMZVWTUYOUWOYCAUWOVXAUYNUWTUPBTUWNU
      WJIQUUOYLXJZVPVUKVULEWLVURVUKEUHUUPYJUUQYMYNVURVWQUQZVVAVUTVUHVURVVMVWQVV
      RVPVXCVUTVURVVPVWQVVQVPZVIVURVVTVWQVWAVPVXCVVAUHVUTUFUGVUTVGVXCVUSUHVUTVU
      RVVNVWQVVOVPVXCXOVXDVXCVUSVULUHVGVURVWLVWQVWSVPVWQVULUHWLVURVUKEUHUURYJYH
      UVAVXCVUTVXCVUTVXDYKUUSYHVXCVUTVUOVUHVGVURVWBVWQVWIVPVXCVUHUWNVUOVURVWTVW
      QVXBVPVXCUWMVUNEUHVXCUWMUWLVWFUMZVUNVXCFVWFUWLAFVWFWLUYNVUQVWQMUVBUVCVWQV
      XEVUNXRVURVWQVXEVUKVUNUVDVUNUWLCDUVJVUKVUNUVEUVFYJUVGUVHUVKYMYNUVIUVLUVMU
      VNVUIVUEBUCVUFVUIUCWOBVUCVUDVGBVUCWPBVGWPBVUBIBIBTUWNWQQBTUWNWRWSBVUBWPUV
      TWTUWLVUBWLVUGVUCVUHVUDVGUWLVUBUYQYOUWLVUBIYOUVOUVPYEYGUVQUVRUYOUXJUYHUWF
      AUXPUYBUYMUYCUWAUYOUYLUYHTUMUYSUYFVSVDAUXSUYNUXTVPUVSYIUWBYPYQUXQTUWJHUKZ
      UYDULUMUYEUYKXRAVXFUXPABTVUOUWJHVWHPVBVPUXQUYDUXQUWFUXJUYAUYCYRVIUYDUBHYS
      YLYTUWCYPYQATUWJGUKUXEULUMUXFUXNXRABTVULUWJGVWROVBAUXEAUWFUWHUXTSYRVIUXEU
      AGYSYLYTAUWGTUMUXRUXSUXDUXFXRRSUXTUWGUWHUWFUWDVRYTUWE $.
  $}

  ${
    $d j k x A $.  $d f m n t x y z G $.  $d j k n w x y H $.  $d n t x y P $.
    $d j k m n w x y z F $.  $d f j k m n t w x y z ph $.  $d f k n t x y S $.
    $d j k n w x y T $.
    itg2mono.1 $e |- G = ( x e. RR |-> sup ( ran
                           ( n e. NN |-> ( ( F ` n ) ` x ) ) , RR , < ) ) $.
    itg2mono.2 $e |- ( ( ph /\ n e. NN ) -> ( F ` n ) e. MblFn ) $.
    itg2mono.3 $e |- ( ( ph /\ n e. NN ) ->
                       ( F ` n ) : RR --> ( 0 [,) +oo ) ) $.
    itg2mono.4 $e |- ( ( ph /\ n e. NN ) ->
                       ( F ` n ) oR <_ ( F ` ( n + 1 ) ) ) $.
    itg2mono.5 $e |- ( ( ph /\ x e. RR ) ->
      E. y e. RR A. n e. NN ( ( F ` n ) ` x ) <_ y ) $.
    itg2mono.6 $e |- S =
      sup ( ran ( n e. NN |-> ( S.2 ` ( F ` n ) ) ) , RR* , < ) $.
    ${
      itg2mono.7 $e |- ( ph -> T e. ( 0 (,) 1 ) ) $.
      itg2mono.8 $e |- ( ph -> H e. dom S.1 ) $.
      itg2mono.9 $e |- ( ph -> H oR <_ G ) $.
      itg2mono.10 $e |- ( ph -> S e. RR ) $.
      itg2mono.11 $e |- A = ( n e. NN |-> { x e. RR |
        ( T x. ( H ` x ) ) <_ ( ( F ` n ) ` x ) } ) $.
      $( Lemma for ~ itg2mono .  We show that for any constant ` t ` less than
         one, ` t x. S.1 H ` is less than ` S ` , and so ` S.1 H <_ S ` , which
         is one half of the equality in ~ itg2mono .  Consider the sequence
         ` A ( n ) = { x | t x. H <_ F ( n ) } ` .  This is an increasing
         sequence of measurable sets whose union is ` RR ` , and so
         ` H |`` A ( n ) ` has an integral which equals ` S.1 H ` in the limit,
         by ~ itg1climres .  Then by taking the limit in
         ` ( t x. H ) |`` A ( n ) <_ F ( n ) ` , we get ` t x. S.1 H <_ S ` as
         desired.  (Contributed by Mario Carneiro, 16-Aug-2014.)  (Revised by
         Mario Carneiro, 23-Aug-2014.) $)
      itg2monolem1 $p |- ( ph -> ( T x. ( S.1 ` H ) ) <_ S ) $=
        ( vk vj vw vz vm citg1 cfv cmul co cn cr cv wcel cc0 cmpt citg2 c1 nnuz
        cif cvv cle wbr crab cdm wa cneg csn cxp cof caddc cmnf cioo wn clt wfn
        wb wf adantl cpnf wss rge0ssre fss sylancl cxr 0xr sylib i1fmulc adantr
        i1ff syl reex a1i ffvelrnda eqidd recnd ad2antrr adantlr eqtrd remulcld
        ffnd breq1d 0red breq2d 3bitrd cmbf wral ralrimiva weq breq12d cbvralvw
        fveq2 r19.21bi feq1d peano2nn wceq mpbid syl3anc fveq1d rabex fvmpt crn
        rabbidv wrex csup adantrr fmpttd frnd c0 wne eqid ralbiia bitr4i mpbird
        fvex breqtrd mpteq2dv sylibr syl2an2r fveq2d 1zzd cvol ccnv cin readdcl
        cima cdif simpr w3a 1xr elioo2 mp2an simp1d renegcld inidm off elpreima
        cico mpbirand elioomnf ax-mp biantrurd bitr4id cmin ofc1 mulneg1d ofval
        cc negsubd ltsubaddd addid2d notbid eldif baib lenltd 3bitr4d rabbi2dva
        rembl i1fmbf mbfadd mbfima syl2anc cmmbl inmbl sylancr eqeltrrd fvoveq1
        fmptd cofr rspccva syl2an ofrfval wi letr mpan2d ss2rabdv 3sstr4d an32s
        ciun cuni 1nn dmmptd eleqtrrid ne0d dm0rn0 necon3bii breq1 ralrn bitrdi
        rexbidv suprcld simp3d 1red simprr syl112anc mulid2d rneqd supeq1d ltso
        ltmul1 supex ltletrd suprlub syl31anc breq2 rexrn rexbiia simplr simpld
        ffvelrnd elrege0 adantlrr ltle reximdva mpd anassrs ne0ii simp2d lemul2
        simplrr mul01d simprd r19.2z ltlecasei rabid2 eqtr4di iuneq2dv 3eqtr2rd
        letrd iunrab fniunfv itg1climres nnex mptex eleq2d ifbid i1fres eqeltrd
        itg1cl oveq2d ovex eqtr4d climmulc2 cli cicc icossicc cab elabrex rnmpt
        itg2cl eleqtrrdi supxrub breqtrrdi itg2lecl itg2le 2fveq3 syl5bb rspcev
        ralbidv climsup eqnetrd fnmpti mp1i supxrre eqtr2id c0ex ifex fconstmpt
        offval2 ovif2 ifeq2d syl5eq iftrue biimpa rabid simprbi eqbrtrd iffalse
        ad2antlr pm2.61dan fvexd feqmptd ofrfval2 itg2ub 3eqtr2d 3brtr4d climle
        itg1mulc ) AFJUGUHZUIUJEUBUCUKFBULBUMZUCUMZDUHZUNZVXJJUHZUOUTZUPZUGUHZU
        IUJZUPZGUKGUMZHUHZUQUHZUPZURUKUSAUUAZAVXIFUBUCUKVXQUPZVXSURVAUKUSVYDABD
        UCJVXPAGUKFVXNUIUJZVXJVYAUHZVBVCZBULVDZUUBVEZDAVXTUKUNZVFZULULVYAULFVGZ
        VHVIJUIVJZUJZVKVJUJZUUCVLUOVMUJZUUFZUUGZUUDZVYIVYJVYLVYHBULVYSVYLVXJULU
        NZVFZVXJVYRUNZVNZVYGVYFVOVCZVNVXJVYSUNZVYHWUBWUCWUEWUBWUCVXJVYPUHZVYQUN
        ZWUGUOVOVCZWUEWUBWUCWUAWUHVYLWUAUUHWUBVYPULVPWUCWUAWUHVFVQWUBULULVYPVYL
        ULULVYPVRZWUAVYLBCULULULVKULULULVYAVYOVAVAWUACUMZULUNZVFVXJWUKVKUJULUNV
        YLVXJWUKUUEVSVYLULUOVTUURUJZVYAVRZWUMULWAZULULVYAVRMWBULWUMULVYAWCWDZVY
        LVYOUGVEZUNZULULVYOVRAWURVYKAVYMJRAFAFULUNZUOFVOVCZFURVOVCZAFUOURVMUJUN
        ZWUSWUTWVAUUIZQUOWEUNZURWEUNWVBWVCVQWFUUJUOURFUUKUULWGZUUMZUUNZWHWIZVYO
        WJWKZULVAUNZVYLWLWMZWVKULUUOZUUPZWIXAULVXJVYQVYPUUQWKUUSWUBWUHWUGULUNZW
        UIVFZWUIWVDWUHWVOVQWFUOWUGUUTUVAWUBWVNWUIVYLULULVXJVYPWVMWNUVBUVCWUBWUI
        VYGVYFUVDUJZUOVOVCVYGUOVYFVKUJZVOVCWUEWUBWUGWVPUOVOWUBWUGVYGVYFVGZVKUJW
        VPVYLULULVYGWVRVKULVYAVYOVAVAVXJVYLULWUMVYAMXAVYLULULVYOWVIXAWVKWVKWVLW
        UBVYGWOWUBVXJVYOUHVYMVXNUIUJWVRVYLULVYMVXNUIJVAULVXJWVKAVYMULUNVYKWVGWI
        AJULVPVYKAULULJAJWUQUNZULULJVRZRJWJWKZXAZWIWUBVXNWOUVEWUBFVXNAFUVHUNZVY
        KWUAAFWVFWPZWQWUBVXNAWUAVXNULUNZVYKAULULVXJJWWAWNZWRWPUVFWSUVGWUBVYGVYF
        WUBVYGVYLULULVXJVYAWUPWNZWPWUBVYFAWUAVYFULUNZVYKAWUAVFZFVXNAWUSWUAWVFWI
        WWFWTZWRZWPZUVIWSXBWUBVYGVYFUOWWGWWKWUBXCUVJWUBWVQVYFVYGVOWUBVYFWWLUVKX
        DXEXEUVLWUAWUFWUDVQVYLWUFWUAWUDVXJULVYRUVMUVNVSWUBVYFVYGWWKWWGUVOUVPUVQ
        VYLULVYJUNVYSVYJUNZVYTVYJUNUVRVYLVYRVYJUNZWWMVYLVYPXFUNWUJWWNVYLVYAVYOL
        VYLWURVYOXFUNWVHVYOUVSWKUVTWVMULVLUOVYPUWAUWBVYRUWCWKULVYSUWDUWEUWFUAUW
        HZAVXKUKUNZVFZVYFVXJVXKHUHZUHZVBVCZBULVDZVYFVXJVXKURVKUJZHUHZUHZVBVCZBU
        LVDZVXLWXBDUHZWWQWWTWXEBULWWQWUAVFZWWTWWSWXDVBVCZWXEWWQWXIBULWWQWWRWXCV
        BUWIZVCZWXIBULXGAWXKUCUKAVYAVXTURVKUJZHUHZWXJVCZGUKXGWXKUCUKXGAWXNGUKNX
        HWXNWXKGUCUKGUCXIZVYAWWRWXMWXCWXJVXTVXKHXLZVXTVXKURHVKUWGXJXKWGXMWWQBUL
        ULWWSWXDVBULWWRWXCVAVAWWQULWUMWWRAULWUMWWRVRZUCUKAWUNGUKXGZWXQUCUKXGAWU
        NGUKMXHZWUNWXQGUCUKWXOULWUMVYAWWRWXPXNXKWGXMZXAWWQULWUMWXCAWXRWXBUKUNZU
        LWUMWXCVRZWWPWXSVXKXOZWUNWYBGWXBUKVXTWXBXPZULWUMVYAWXCVXTWXBHXLZXNUWJUW
        KZXAWVJWWQWLWMZWYGWVLWXHWWSWOWXHWXDWOUWLXQXMWXHWWHWWSULUNZWXDULUNWWTWXI
        VFWXEUWMWXHFVXNAWUSWWPWUAWVFWQWWQULULVXJJAWVTWWPWWAWIWNWTWWQULULVXJWWRW
        WQWXQWUOULULWWRVRWXTWBULWUMULWWRWCWDWNWWQULULVXJWXCWWQWYBWUOULULWXCVRWY
        FWBULWUMULWXCWCWDWNVYFWWSWXDUWNXRUWOUWPWWPVXLWXAXPAGVXKVYIWXAUKDWXOVYHW
        WTBULWXOVYGWWSVYFVBWXOVXJVYAWWRWXPXSZXDYCUAWWTBULWLXTYAVSZWWQWYAWXGWXFX
        PWWPWYAAWYCVSGWXBVYIWXFUKDWYDVYHWXEBULWYDVYGWXDVYFVBWYDVXJVYAWXCWYEXSXD
        YCUAWXEBULWLXTYAWKUWQAULUCUKWXAUWSZUCUKVXLUWSZDYBUWTZAULWWTUCUKYDZBULVD
        ZWYKAWYNBULXGULWYOXPAWYNBULWWIWYNUOVXNAWUAUOVXNVOVCZWYNAWUAWYPVFZVFZVYF
        WWSVOVCZUCUKYDZWYNWYRVYFUDUMZVOVCZUDGUKVYGUPZYBZYDZWYTWYRVYFXUDULVOYEZV
        OVCZXUEWYRVYFVXNXUFAWUAWWHWYPWWJYFZAWUAWWEWYPWWFYFZAWUAXUFULUNWYPWWICUE
        XUDWWIUKULXUCWWIGUKVYGULAVYKWUAVYGULUNWWGUWRZYGZYHZWWIXUCVEZYIYJXUDYIYJ
        ZWWIXUMURWWIURUKXUMUXAWWIGXUCUKVYGULXUCYKZXUJUXBUXCUXDXUMYIXUDYIXUCUXEU
        XFWGZWWIUEUMZWUKVBVCZUEXUDXGZCULYDZVYGWUKVBVCZGUKXGZCULYDOWWIXUSXVBCULW
        WIXUSUFUMZXUCUHZWUKVBVCZUFUKXGZXVBWWIXUCUKVPZXUSXVFVQWWIUKULXUCXUKXAZXU
        RXVEUEUFUKXUCXUQXVDWUKVBUXGUXHWKXVFVXJXVCHUHZUHZWUKVBVCZUFUKXGXVBXVEXVK
        UFUKXVCUKUNXVDXVJWUKVBGXVCVYGXVJUKXUCGUFXIZVXJVYAXVIVXTXVCHXLXSZXUOVXJX
        VIYOYAXBYLXVAXVKGUFUKXVLVYGXVJWUKVBXVMXBXKYMUXIUXJYNZUXKZYFWYRVYFURVXNU
        IUJZVXNVOWYRWVAVYFXVPVOVCZAWVAWYQAWUSWUTWVAWVEUXLWIWYRWUSURULUNWWEWYPWV
        AXVQVQAWUSWYQWVFWIZWYRUXMXUIAWUAWYPUXNFURVXNUXTUXOXQWYRVXNWYRVXNXUIWPUX
        PYPAWUAVXNXUFVBVCZWYPAXVSBULAWUKJUHZGUKWUKVYAUHZUPZYBZULVOYEZVBVCZCULXG
        ZXVSBULXGAJIWXJVCXWFSACULULXVTXWDVBULJIVAVAWWBAULULIABULXUFULIXVOKUWHXA
        WVJAWLWMZXWGWVLAWULVFXVTWOWULWUKIUHXWDXPABWUKXUFXWDULIBCXIZULXUDXWCVOXW
        HXUCXWBXWHGUKVYGXWAVXJWUKVYAXLYQUXQUXRZKULXWCVOUXSUYAYAVSUWLXQXVSXWEBCU
        LXWHVXNXVTXUFXWDVBVXJWUKJXLXWIXJXKYRXMYFUYBWYRXUDULWAZXUNXUTWWHXUGXUEVQ
        AWUAXWJWYPXULYFAWUAXUNWYPXUPYFAWUAXUTWYPXVNYFXUHCUEUDXUDVYFUYCUYDXQWYRX
        UEVYFVXKXUCUHZVOVCZUCUKYDZWYTWYRXVGXUEXWMVQAWUAXVGWYPXVHYFXUBXWLUDUCUKX
        UCXUAXWKVYFVOUYEUYFWKXWLWYSUCUKWWPXWKWWSVYFVOGVXKVYGWWSUKXUCWYIXUOVXJWW
        RYOYAXDUYGUXIXQWYRWYSWWTUCUKWYRWWHWWPWYHWYSWWTUWMWYRFVXNXVRXUIWTAWUAWWP
        WYHWYPWWIWWPVFZWYHUOWWSVBVCZXWNWWSWUMUNWYHXWOVFZXWNULWUMVXJWWRAWWPWXQWU
        AWXTWRAWUAWWPUYHUYJWWSUYKWGZUYIUYLVYFWWSUYMYSUYNUYOUYPAWUAVXNUOVBVCZWYN
        AWUAXWRVFZVFZUKYIYJZWWTUCUKXGWYNURUKUXAUYQZXWTWWTUCUKXWTWWPVFZVYFUOWWSX
        WTWWHWWPAWUAWWHXWRWWJYFWIXXCXCZXXCWYHXWOAWUAWWPXWPXWRXWQUYLZUYIXXCVYFFU
        OUIUJZUOVBXXCXWRVYFXXFVBVCZAWUAXWRWWPUYTXXCWWEUOULUNWUSWUTXWRXXGVQXWTWW
        EWWPAWUAWWEXWRWWFYFWIXXDAWUSXWSWWPWVFWQZAWUTXWSWWPAWUSWUTWVAWVEUYRWQVXN
        UOFUYSUXOXQXXCFXXCFXXHWPVUAYPXXCWYHXWOXXEVUBVUIXHWWTUCUKVUCUWEUYPWWIXCW
        WFVUDXHWYNBULVUEYRWWTUCBUKULVUJVUFAUCUKVXLWXAWYJVUGADUKVPWYLWYMXPAUKVYJ
        DWWOXAUCUKDVUKWKVUHRVXPYKZVULWWDVXSVAUNAUCUKVXRVUMVUNWMAUBUMZUKUNZVFZXX
        JVYEUHZXXLXXMBULVXJXXJDUHZUNZVXNUOUTZUPZUGUHZULXXKXXMXXRXPAUCXXJVXQXXRU
        KVYEUCUBXIZVXPXXQUGXXSBULVXOXXPXXSVXMXXOVXNUOXXSVXLXXNVXJVXKXXJDXLVUOVU
        PYQYTZVYEYKXXQUGYOYAZVSXXLXXQWUQUNZXXRULUNAWVSXXKXXNVYJUNXYBRAUKVYJXXJD
        WWOWNBXXNJXXQXXQYKVUQYSZXXQVUSWKVURWPXXKXXJVXSUHZFXXMUIUJZXPAXXKXYDFXXR
        UIUJZXYEUCXXJVXRXYFUKVXSXXSVXQXXRFUIXXTVUTVXSYKFXXRUIVVAYAZXXKXXMXXRFUI
        XYAVUTVVBVSVVCAVYCVYCYBZULVOYEZEVVDABUBVYCURUKUSVYDAGUKVYBULVYLULUOVTVV
        EUJZVYAVRZEULUNZVYBEVBVCZVYBULUNVYLWUNWUMXYJWAZXYKMUOVTVVFZULWUMXYJVYAW
        CWDZAXYLVYKTWIVYLVYBXYHWEVOYEZEVBAXYHWEWAVYKVYBXYHUNVYBXYQVBVCAUKWEVYCA
        GUKVYBWEVYLXYKVYBWEUNXYPVYAVVJWKZYGYHVYLVYBVXJVYBXPGUKYDBVVGZXYHVYKVYBX
        YSUNAGBUKVYBVYAUQYOZVVHVSGBUKVYBVYCVYCYKZVVIVVKXYHVYBVVLYSPVVMZEVYAVVNX
        RYGZAXXJVYCUHZXXJURVKUJZVYCUHZVBVCZUBUKAVYBWXMUQUHZVBVCZGUKXGZYUGUBUKXG
        ZAYUIGUKVYLXYKULXYJWXMVRZWXNYUIXYPAULXYJXXJHUHZVRZUBUKXGZWXLUKUNYULVYKA
        XYKGUKXGYUOAXYKGUKXYPXHXYKYUNGUBUKGUBXIZULXYJVYAYUMVXTXXJHXLZXNXKWGVXTX
        OYUNYULUBWXLUKXXJWXLXPULXYJYUMWXMXXJWXLHXLXNUWJUWKNVYAWXMVVOXRXHYUKYUMU
        QUHZYUEHUHZUQUHZVBVCZUBUKXGYUJYUGYVAUBUKXXKYUDYURYUFYUTVBGXXJVYBYURUKVY
        CVXTXXJUQHVVPZYUAYUMUQYOYAZXXKYUEUKUNYUFYUTXPXXJXOGYUEVYBYUTUKVYCVXTYUE
        UQHVVPYUAYUSUQYOYAWKXJYLYUIYVAGUBUKYUPVYBYURYUHYUTVBYVBYUPWXMYUSUQVXTXX
        JURHVKUWGYTXJXKYMYRXMAXYLXYMGUKXGZYUDVXJVBVCZUBUKXGZBULYDZTAXYMGUKYUBXH
        YVFYVDBEULYVFVYBVXJVBVCZGUKXGZVXJEXPZYVDYVFYURVXJVBVCZUBUKXGYVIYVEYVKUB
        UKXXKYUDYURVXJVBYVCXBYLYVHYVKGUBUKYUPVYBYURVXJVBYVBXBXKYMYVJYVHXYMGUKVX
        JEVYBVBUYEVVSVVQVVRUWBZVVTAEXYQXYIPAXYHULWAXYHYIYJZXUQVXJVBVCZUEXYHXGZB
        ULYDZXYQXYIXPAUKULVYCYUCYHAVYCVEZYIYJYVMAYVQUKYIAGVYCUKVYBWEYUAXYRUXBXX
        AAXXBWMVWAYVQYIXYHYIVYCUXEUXFWGAYVPYVGYVLAYVOYVFBULVYCUKVPYVOYVFVQAGUKV
        YBVYCXYTYUAVWBYVNYVEUEUBUKVYCXUQYUDVXJVBUXGUXHVWCUXJYNBUEXYHVWDXRVWEYPA
        UKULXXJVXSAUCUKVXRULWWQFVXQAWUSWWPWVFWIWWQVXPWUQUNZVXQULUNAWVSWWPVXLVYJ
        UNYVRRAUKVYJVXKDWWOWNBVXLJVXPXXIVUQYSVXPVUSWKWTYGWNAUKULXXJVYCYUCWNXXLB
        ULXXOVYFUOUTZUPZUGUHZYURXYDYUDVBXXLYUNYVTWUQUNYVTYUMWXJVCZYWAYURVBVCXXL
        ULWUMYUMVRZXYNYUNAYWCUBUKAWXRYWCUBUKXGWXSWUNYWCGUBUKYUPULWUMVYAYUMYUQXN
        XKWGXMZXYOULWUMXYJYUMWCWDXXLULFVHVIZXXQVYNUJZYVTWUQXXLYWFBULFXXPUIUJZUP
        YVTXXLBULFXXPUIYWEXXQVAULVAWVJXXLWLWMZXXLWUSWUAAWUSXXKWVFWIZWIXXPVAUNXX
        LWUAVFZXXOVXNUOVXJJYOVWFVWGWMYWEBULFUPXPXXLBULFVWHWMXXLXXQWOVWIXXLBULYW
        GYVSXXLYWGXXOVYFXXFUTYVSXXOFVXNUOUIVWJXXLXXOXXFUOVYFXXLFAWWCXXKWWDWIVUA
        VWKVWLYQWSZXXLFXXQXYCYWIWHUWFXXLYWBYVSVXJYUMUHZVBVCZBULXGXXLYWMBULYWJXX
        OYWMYWJXXOVFZYVSVYFYWLVBXXOYVSVYFXPYWJXXOVYFUOVWMVSYWNVXJVYFYWLVBVCZBUL
        VDZUNZYWOYWJXXOYWQYWJXXNYWPVXJXXKXXNYWPXPAWUAGXXJVYIYWPUKDYUPVYHYWOBULY
        UPVYGYWLVYFVBYUPVXJVYAYUMYUQXSXDYCUAYWOBULWLXTYAVWSVUOVWNYWQWUAYWOYWOBU
        LVWOVWPWKVWQYWJXXOVNZVFYVSUOYWLVBYWRYVSUOXPYWJXXOVYFUOVWRVSYWJUOYWLVBVC
        ZYWRYWJYWLWUMUNZYWSXXLULWUMVXJYUMYWDWNYWTYWLULUNYWSYWLUYKVWPWKWIVWQVWTX
        HXXLBULYVSYWLVBYVTYUMVAVAVAYWHYVSVAUNYWJXXOVYFUOFVXNUIVVAVWFVWGWMYWJVXJ
        YUMVXAXXLYVTWOXXLBULWUMYUMYWDVXBVXCYNYUMYVTVXDXRXXLXYDXYFYWFUGUHYWAXXKX
        YDXYFXPAXYGVSXXLFXXQXYCYWIVXHXXLYWFYVTUGYWKYTVXEXXKYUDYURXPAYVCVSVXFVXG
        $.
    $}

    ${
      itg2monolem2.7 $e |- ( ph -> P e. dom S.1 ) $.
      itg2monolem2.8 $e |- ( ph -> P oR <_ G ) $.
      itg2monolem2.9 $e |- ( ph -> -. ( S.1 ` P ) <_ S ) $.
      $( Lemma for ~ itg2mono .  (Contributed by Mario Carneiro,
         16-Aug-2014.) $)
      itg2monolem2 $p |- ( ph -> S e. RR ) $=
        ( cxr wcel cn citg1 cfv cr cmnf clt wbr cle citg2 cmpt crn csup wss cc0
        cv wa cpnf cicc co wf cico icossicc fss sylancl itg2cl syl frnd supxrcl
        fmpttd eqeltrid cdm itg1cl mnfxr a1i wceq fveq2 feq1d ralrimiva rspcdva
        c1 1nn itg2ge0 mnflt0 0xr xrltletr mp3an12i mpani mpd 2fveq3 eqid fvmpt
        wi fvex wfn ffnd fnfvelrn eqeltrrid supxrub syl2anc breqtrrdi xrltletrd
        ax-mp rexrd wn wb xrltnle mpbird xrltled xrre syl22anc ) AERSZDUAUBZUCS
        ZUDEUEUFEXKUGUFEUCSAEFTFUNZGUBZUHUBZUIZUJZRUEUKZRNAXQRULZXRRSATRXPAFTXO
        RAXMTSUOZUCUMUPUQURZXNUSZXORSXTUCUMUPUTURZXNUSYCYAULYBKUMUPVAUCYCYAXNVB
        VCZXNVDVEVHZVFZXQVGVEVIZADUAVJSXLODVKVEZAUDVSGUBZUHUBZEUDRSZAVLVMAUCYAY
        IUSZYJRSZAYBYLFTVSXMVSVNUCYAXNYIXMVSGVOVPAYBFTYDVQVSTSZAVTVMVRZYIVDVEZY
        GAUMYJUGUFZUDYJUEUFZAYLYQYOYIWAVEAUDUMUEUFZYQYRWBYKUMRSAYMYSYQUOYRWKVLW
        CYPUDUMYJWDWEWFWGAYJXREUGAXSYJXQSYJXRUGUFYFAYJVSXPUBZXQYNYTYJVNVTFVSXOY
        JTXPXMVSUHGWHXPWIYIUHWLWJXAAXPTWMYNYTXQSATRXPYEWNVTTVSXPWOVCWPXQYJWQWRN
        WSWTAEXKYGAXKYHXBZAEXKUEUFZXKEUGUFXCZQAXJXKRSUUBUUCXDYGUUAEXKXEWRXFXGEX
        KXHXI $.

      $( Lemma for ~ itg2mono .  (Contributed by Mario Carneiro,
         16-Aug-2014.) $)
      itg2monolem3 $p |- ( ph -> ( S.1 ` P ) <_ S ) $=
        ( wbr wcel c1 vt citg1 cfv cle cv caddc crp wral cmul cdiv itg2monolem2
        co wa cr adantr recnd cdm itg1cl syl simpr rpred readdcld cc0 citg2 cxr
        0red 0xr a1i cpnf cicc wf cn wceq fveq2 feq1d cico wss icossicc sylancl
        fss ralrimiva 1nn rspcdva itg2cl cmpt crn clt csup fmpttd frnd eqeltrid
        supxrcl itg2ge0 2fveq3 eqid fvex fvmpt ax-mp wfn ffnd eqeltrrid supxrub
        fnfvelrn syl2anc breqtrrdi xrletrd ltaddrpd lelttrd gt0ne0d c2 redivcld
        div23d cif remulcld halfre ifcl max2 sylancr wb wn rexrd xrltnle mpbird
        lemul1 syl112anc mpbid crab cmbf adantlr cofr wrex cioo halfgt0 ltletrd
        max1 mulid1d breqtrrd 1red ltdivmul breq1 halflt1 ifboth w3a 1xr elioo2
        syl3anbrc oveq2d breq12d cbvrabv mpteq2i itg2monolem1 eqbrtrd ledivmul2
        mp2an letrd mulgt0d lemul2 alrple ) ADUBUCZEUDRZUUSEUAUEZUFULZUDRZUAUGU
        HZAUVCUAUGAUVAUGSZUMZUVCEUUSUIULZEUVBUIULUDRZUVFUVGUVBUJULZEUDRZUVHUVFU
        VIEUVBUJULZUUSUIULZEUDUVFEUUSUVBUVFEAEUNSZUVEABCDEFGHIJKLMNOPQUKZUOZUPU
        VFUUSUVFDUBUQSZUUSUNSZAUVPUVEOUOZDURZUSZUPUVFUVBUVFEUVAUVOUVFUVAAUVEUTZ
        VAVBZUPZUVFUVBUVFVCEUVBUVFVFZUVOUWBAVCEUDRUVEAVCTGUCZVDUCZEVCVESZAVGVHA
        UNVCVIVJULZUWEVKZUWFVESAUNUWHFUEZGUCZVKZUWIFVLTUWJTVMUNUWHUWKUWEUWJTGVN
        VOAUWLFVLAUWJVLSZUMZUNVCVIVPULZUWKVKZUWOUWHVQUWLKVCVIVRUNUWOUWHUWKVTVSZ
        WATVLSZAWBVHWCZUWEWDUSAEFVLUWKVDUCZWEZWFZVEWGWHZVENAUXBVEVQZUXCVESAVLVE
        UXAAFVLUWTVEUWNUWLUWTVESUWQUWKWDUSWIZWJZUXBWLUSWKZAUWIVCUWFUDRUWSUWEWMU
        SAUWFUXCEUDAUXDUWFUXBSUWFUXCUDRUXFAUWFTUXAUCZUXBUWRUXHUWFVMWBFTUWTUWFVL
        UXAUWJTVDGWNUXAWOUWEVDWPWQWRAUXAVLWSUWRUXHUXBSAVLVEUXAUXEWTWBVLTUXAXCVS
        XAUXBUWFXBXDNXEXFUOZUVFEUVAUVOUWAXGZXHZXIZXLUVFUVLTXJUJULZUVKUDRZUVKUXM
        XMZUUSUIULZEUVFUVKUUSUVFEUVBUVOUWBUXLXKZUVTXNUVFUXOUUSUVFUVKUNSZUXMUNSZ
        UXOUNSZUXQXOUXNUVKUXMUNXPVSZUVTXNZUVOUVFUVKUXOUDRZUVLUXPUDRZUVFUXSUXRUY
        CXOUXQUXMUVKXQXRUVFUXRUXTUVQVCUUSWGRUYCUYDXSUXQUYAUVTUVFVCEUUSUWDUVOUVT
        UXIAEUUSWGRZUVEAUYEUUTXTZQAEVESUUSVESUYEUYFXSUXGAUUSAUVPUVQOUVSUSZYAEUU
        SYBXDYCUOXHZUVKUXOUUSYDYEYFUVFBCFVLUXOCUEZDUCZUIULZUYIUWKUCZUDRZCUNYGZW
        EEUXOFGHDIAUWMUWKYHSUVEJYIAUWMUWPUVEKYIAUWMUWKUWJTUFULGUCUDYJZRUVELYIAB
        UEZUNSUYPUWKUCZUYIUDRFVLUHCUNYKUVEMYINUVFUXTVCUXOWGRZUXOTWGRZUXOVCTYLUL
        SZUYAUVFVCUXMUXOUWDUXSUVFXOVHUYAVCUXMWGRUVFYMVHUVFUXSUXRUXMUXOUDRXOUXQU
        XMUVKYOXRYNZUVFUVKTWGRZUXMTWGRZUYSUVFVUBEUVBTUIULZWGRZUVFEUVBVUDWGUXJUV
        FUVBUWCYPYQUVFUVMTUNSUVBUNSZVCUVBWGRZVUBVUEXSUVOUVFYRUWBUXKETUVBYSYEYCU
        UAUXNVUBVUCUYSUVKUXMUVKUXOTWGYTUXMUXOTWGYTUUBVSUWGTVESUYTUXTUYRUYSUUCXS
        VGUUDVCTUXOUUEUUNUUFUVRADHUYORUVEPUOUVOFVLUYNUXOUYPDUCZUIULZUYQUDRZBUNY
        GUYMVUJCBUNUYIUYPVMZUYKVUIUYLUYQUDVUKUYJVUHUXOUIUYIUYPDVNUUGUYIUYPUWKVN
        UUHUUIUUJUUKZUUOUULUVFUVGUNSUVMVUFVUGUVJUVHXSUVFEUUSUVOUVTXNUVOUWBUXKUV
        GEUVBUUMYEYFUVFUVQVUFUVMVCEWGRUVCUVHXSUVTUWBUVOUVFVCUXPEUWDUYBUVOUVFUXO
        UUSUYAUVTVUAUYHUUPVULYNUUSUVBEUUQYEYCWAAUVQUVMUUTUVDXSUYGUVNUAUUSEUURXD
        YC $.
    $}

    $( The Monotone Convergence Theorem for nonnegative functions.  If
       ` { ( F `` n ) : n e. NN } ` is a monotone increasing sequence of
       positive, measurable, real-valued functions, and ` G ` is the pointwise
       limit of the sequence, then ` ( S.2 `` G ) ` is the limit of the
       sequence ` { ( S.2 `` ( F `` n ) ) : n e. NN } ` .  (Contributed by
       Mario Carneiro, 16-Aug-2014.) $)
    itg2mono $p |- ( ph -> ( S.2 ` G ) = S ) $=
      ( vm cfv cr wcel cn cle wbr vz vf citg2 cc0 cpnf cicc co cxr cmpt crn clt
      wf cv csup wa cico wss rge0ssre fss sylancl ffvelrnda an32s fmpttd cdm c0
      frnd wne c1 1nn eqid dmmptd eleqtrrid ne0d dm0rn0 necon3bii wral wrex wfn
      sylib wb ffnd breq1 ralrn syl weq fveq2 fveq1d fvex fvmpt breq1d cbvralvw
      ralbiia bitr4i bitrdi rexbidv suprcld rexrd 0red wceq feq1d ralrimiva a1i
      mpbird rspcdva elrege0 simpld simprd ax-mp fnfvelrn suprubd letrd elxrge0
      eqeltrrid sylanbrc fmptd itg2cl icossicc supxrcl eqeltrid cofr citg1 cmbf
      wi adantlr caddc simprll simprlr simprr itg2monolem3 expr pm2.18d syl2anc
      wn itg2leub r19.21bi adantr w3a 3jca cvv eqidd ad2antlr simplr simpr ltso
      eqeltrrd suprub supex fvmpt2 breqtrrd breq12d reex ofrfval itg2le syl3anc
      inidm 2fveq3 supxrleub eqbrtrid xrletrid ) AGUCOZDAPUDUEUFUGZGULZUUTUHQZA
      BPERBUMZEUMZFOZOZUIZUJZPUKUNZUVAGAUVDPQZUOZUVJUHQUDUVJSTUVJUVAQUVLUVJUVLC
      UAUVIUVLRPUVHUVLERUVGPAUVERQZUVKUVGPQAUVMUOZPPUVDUVFUVNPUDUEUPUGZUVFULZUV
      OPUQPPUVFULJURPUVOPUVFUSUTVAVBZVCZVFZUVLUVHVDZVEVGUVIVEVGZUVLUVTVHUVLVHRU
      VTVIUVLEUVHRUVGPUVHVJZUVQVKVLVMUVTVEUVIVEUVHVNVOVSZUVLUAUMZCUMZSTZUAUVIVP
      ZCPVQZUVGUWESTZERVPZCPVQZLUVLUWGUWJCPUVLUWGNUMZUVHOZUWESTZNRVPZUWJUVLUVHR
      VRZUWGUWOVTUVLRPUVHUVRWAZUWFUWNUANRUVHUWDUWMUWESWBWCWDUWOUVDUWLFOZOZUWEST
      ZNRVPUWJUWNUWTNRUWLRQZUWMUWSUWESEUWLUVGUWSRUVHENWEZUVDUVFUWRUVEUWLFWFZWGZ
      UWBUVDUWRWHWIZWJWLUWIUWTENRUXBUVGUWSUWESUXDWJWKWMWNWOXCZWPZWQUVLUDUVDVHFO
      ZOZUVJUVLWRUVLUXIPQZUDUXISTZUVLUXIUVOQUXJUXKUOAPUVOUVDUXHAUVPPUVOUXHULERV
      HUVEVHWSZPUVOUVFUXHUVEVHFWFZWTAUVPERJXAZVHRQZAVIXBXDVAUXIXEVSZXFUXGUVLUXJ
      UXKUXPXGUVLCUAUVIUXIUVSUWCUXFUVLUXIVHUVHOZUVIUXOUXQUXIWSVIEVHUVGUXIRUVHUX
      LUVDUVFUXHUXMWGUWBUVDUXHWHWIXHUVLUWPUXOUXQUVIQUWQVIRVHUVHXIUTXMXJXKUVJXLX
      NHXOZGXPWDZADERUVFUCOZUIZUJZUHUKUNZUHMAUYBUHUQZUYCUHQARUHUYAAERUXTUHUVNPU
      VAUVFULZUXTUHQUVNUVPUVOUVAUQZUYEJUDUEXQZPUVOUVAUVFUSUTUVFXPWDVCZVFZUYBXRW
      DXSZAUUTDSTZUBUMZGSXTZTZUYLYAODSTZYCZUBYAVDZVPZAUYPUBUYQAUYLUYQQZUYNUYOAU
      YSUYNUOZUOUYOAUYTUYOYMZUYOAUYTVUAUOZUOBCUYLDEFGHAUVMUVFYBQVUBIYDAUVMUVPVU
      BJYDAUVMUVFUVEVHYEUGFOUYMTVUBKYDAUVKUWKVUBLYDMAUYSUYNVUAYFAUYSUYNVUAYGAUY
      TVUAYHYIYJYKYJXAAUVBDUHQUYKUYRVTUXRUYJDUBGYNYLXCADUYCUUTSMAUYCUUTSTZUWDUU
      TSTZUAUYBVPZAVUEUWRUCOZUUTSTZNRVPZAVUGNRAUXAUOZPUVAUWRULZUVBUWRGUYMTZVUGV
      UIPUVOUWRULZUYFVUJAVULNRAUVPERVPVULNRVPUXNUVPVULENRUXBPUVOUVFUWRUXCWTWKVS
      YOZUYGPUVOUVAUWRUSUTAUVBUXAUXRYPVUIVUKUWDUWROZUWDGOZSTZUAPVPZVUIUWSUVDGOZ
      STZBPVPVUQVUIVUSBPVUIUVKUOZUWSUVJVURSVUTUVIPUQZUWAUWHYQZUWSUVIQUWSUVJSTAU
      VKVVBUXAUVLVVAUWAUWHUVSUWCUXFYRYDVUTUWMUWSUVIUXAUWMUWSWSAUVKUXEUUAVUTUWPU
      XAUWMUVIQAUVKUWPUXAUWQYDAUXAUVKUUBRUWLUVHXIYLUUECUAUVIUWSUUFYLVUTUVKUVJYS
      QVURUVJWSVUIUVKUUCPUVIUKUUDUUGBPUVJYSGHUUHUTUUIXAVUSVUPBUAPBUAWEUWSVUNVUR
      VUOSUVDUWDUWRWFUVDUWDGWFUUJWKVSVUIUAPPVUNVUOSPUWRGYSYSVUIPUVOUWRVUMWAAGPV
      RUXAAPPGABPUVJPGUXGHXOWAYPPYSQVUIUUKXBZVVCPUUOVUIUWDPQUOZVUNYTVVDVUOYTUUL
      XCUWRGUUMUUNXAAVUEUWLUYAOZUUTSTZNRVPZVUHAUYARVRVUEVVGVTARUHUYAUYHWAVUDVVF
      UANRUYAUWDVVEUUTSWBWCWDVVFVUGNRUXAVVEVUFUUTSEUWLUXTVUFRUYAUVEUWLUCFUUPUYA
      VJUWRUCWHWIWJWLWNXCAUYDUVCVUCVUEVTUYIUXSUAUYBUUTUUQYLXCUURUUS $.
  $}

  ${
    $d k m n x y z F $.  $d k n y z M $.  $d k m n x y z P $.  $d k m y z ph $.
    $d k y z S $.
    itg2i1fseq.1 $e |- ( ph -> F e. MblFn ) $.
    itg2i1fseq.2 $e |- ( ph -> F : RR --> ( 0 [,) +oo ) ) $.
    itg2i1fseq.3 $e |- ( ph -> P : NN --> dom S.1 ) $.
    itg2i1fseq.4 $e |- ( ph -> A. n e. NN
      ( 0p oR <_ ( P ` n ) /\ ( P ` n ) oR <_ ( P ` ( n + 1 ) ) ) ) $.
    itg2i1fseq.5 $e |- ( ph -> A. x e. RR
      ( n e. NN |-> ( ( P ` n ) ` x ) ) ~~> ( F ` x ) ) $.
    $( Subject to the conditions coming from ~ mbfi1fseq , the sequence of
       simple functions are all less than the target function ` F ` .
       (Contributed by Mario Carneiro, 17-Aug-2014.) $)
    itg2i1fseqle $p |- ( ( ph /\ M e. NN ) -> ( P ` M ) oR <_ F ) $=
      ( vy cn wcel wa cfv cle wbr cr wceq vk cofr cv wral cmpt fveq1d eqid fvex
      fveq2 fvmpt ad2antlr c1 simplr cli mpteq2dv breq12d rspccva sylan adantlr
      nnuz adantl citg1 cdm ffvelrnda i1ff syl an32s eqeltrd adantllr caddc c0p
      wf simpr ralimi fvoveq1 cvv wfn ffn 3syl peano2nn ffvelrn syl2an reex a1i
      inidm eqidd ofrfval mpbid r19.21bi 3brtr4d climub eqbrtrrd ralrimiva cpnf
      co cc0 cico ffnd adantr mpbird ) AFMNZOZFCPZEQUBZRLUCZXCPZXEEPZQRZLSUDXBX
      HLSXBXESNZOZFDMXEDUCZCPZPZUEZPZXFXGQXAXOXFTAXIDFXMXFMXNXKFTXEXLXCXKFCUIUF
      XNUGZXEXCUHUJUKXJXGUAXNULFMUTAXAXIUMAXIXNXGUNRZXAADMBUCZXLPZUEZXREPZUNRZB
      SUDXIXQKYBXQBXESXRXETZXTXNYAXGUNYCDMXSXMXRXEXLUIUOXRXEEUIUPUQURUSAXIUAUCZ
      MNZYDXNPZSNXAAXIOZYEOZYFXEYDCPZPZSYEYFYJTYGDYDXMYJMXNXKYDTZXEXLYIXKYDCUIZ
      UFXPXEYIUHUJVAZAYEXIYJSNAYEOZSSXEYIYNYIVBVCZNZSSYIVLZAMYOYDCIVDZYIVEZVFVD
      VGVHVIAXIYEYFYDULVJWOZXNPZQRXAYHYJXEYTCPZPZYFUUAQAYEXIYJUUCQRZYNUUDLSYNYI
      UUBXDRZUUDLSUDAXLXKULVJWOCPZXDRZDMUDZYEUUEAVKXLXDRZUUGOZDMUDUUHJUUJUUGDMU
      UIUUGVMVNVFUUGUUEDYDMYKXLYIUUFUUBXDYLXKYDULCVJVOUPUQURYNLSSYJUUCQSYIUUBVP
      VPYNYPYQYISVQYRYSSSYIVRVSYNUUBYONZSSUUBVLUUBSVQAMYOCVLYTMNZUUKYEIYDVTZMYO
      YTCWAWBUUBVESSUUBVRVSSVPNZYNWCWDZUUOSWEZYNXIOZYJWFUUQUUCWFWGWHWIVGYMYEUUA
      UUCTZYGYEUULUURUUMDYTXMUUCMXNXKYTTXEXLUUBXKYTCUIUFXPXEUUBUHUJVFVAWJVIWKWL
      WMXBLSSXFXGQSXCEVPVPXBXCYONSSXCVLXCSVQAMYOFCIVDXCVESSXCVRVSAESVQXAASWPWNW
      QWOEHWRWSUUNXBWCWDZUUSUUPXJXFWFXJXGWFWGWT $.

    itg2i1fseq.6 $e |- S = ( m e. NN |-> ( S.1 ` ( P ` m ) ) ) $.
    $( Subject to the conditions coming from ~ mbfi1fseq , the integral of the
       sequence of simple functions converges to the integral of the target
       function.  (Contributed by Mario Carneiro, 17-Aug-2014.) $)
    itg2i1fseq $p |- ( ph -> ( S.2 ` F ) = sup ( ran S , RR* , < ) ) $=
      ( vy cr cn cfv cmpt cle wbr vz cv crn clt csup citg2 cxr weq fveq2 fveq1d
      cbvmptv mpteq2dv syl5eq rneqd supeq1d wcel wa citg1 cmbf ffvelrnda i1fmbf
      cdm syl wf c0p cofr cc0 cpnf cico co i1ff c1 caddc breq2d fvoveq1 breq12d
      wral anbi12d rspccva sylan simpld 0plef sylanbrc simprd wrex itg2i1fseqle
      rge0ssre sselid cvv ffnd wfn adantr reex a1i inidm eqidd ofrfval r19.21bi
      mpbid an32s ralrimiva brralrspcev syl2anc fveq2d supeq1i itg2mono feqmptd
      rneqi wceq nnuz 1zzd fmptd peano2nn ffvelrn syl2an eqid fvex fvmpt adantl
      cli 3brtr4d breq1d ralbiia rexbii sylibr climsup climuni mpteq2dva eqtr4d
      eqtr3id eqtr4di itg2itg1 eqtr4id 3eqtr4d ) ABOFPBUBZFUBZCQZQZRZUCZOUDUEZR
      ZUFQFPYQUFQZRZUCZUGUDUEZGUFQDUCZUGUDUEANUAUUFECUUBBNOUUAEPNUBZEUBZCQZQZRZ
      UCZOUDUEZBNUHZOYTUUMUDUUOYSUULUUOYSEPYOUUJQZRUULFEPYRUUPFEUHZYOYQUUJYPUUI
      CUIZUJUKUUOEPUUPUUKYOUUHUUJUIULUMUNUOUKZAUUIPUPZUQZUUJURVBZUPZUUJUSUPAPUV
      BUUICJUTZUUJVAVCUVAOOUUJVDZVEUUJSVFZTZOVGVHVIVJZUUJVDUVAUVCUVEUVDUUJVKVCZ
      UVAUVGUUJUUIVLVMVJZCQZUVFTZAVEYQUVFTZYQYPVLVMVJCQZUVFTZUQZFPVQUUTUVGUVLUQ
      ZKUVPUVQFUUIPUUQUVMUVGUVOUVLUUQYQUUJVEUVFUURVNUUQYQUUJUVNUVKUVFUURYPUUIVL
      CVMVOVPVRVSVTZWAZUUJWBWCUVAUVGUVLUVRWDZAUUHOUPZUQZUUHGQZOUPUUKUWCSTZEPVQU
      UKUAUBZSTZEPVQZUAOWEZUWBUVHOUWCWGAOUVHUUHGIUTWHUWBUWDEPAUUTUWAUWDUVAUWDNO
      UVAUUJGUVFTUWDNOVQABCFGUUIHIJKLWFUVANOOUUKUWCSOUUJGWIWIUVAOOUUJUVIWJZAGOW
      KUUTAOUVHGIWJWLOWIUPUVAWMWNZUWJOWOZUVAUWAUQZUUKWPZUWLUWCWPWQWSWRWTXAUAEUU
      KUWCSOPXBXCZUGUUEEPUUJUFQZRZUCUDUUDUWPFEPUUCUWOUUQYQUUJUFUURXDUKZXHXEXFAG
      UUBUFAGNOUUNRZUUBAGNOUWCRUWRANOUVHGIXGANOUUNUWCUWBUUNFPUUHYQQZRZUCZOUDUEZ
      UWCOUXAUUMUDUWTUULFEPUWSUUKUUQUUHYQUUJUURUJZUKZXHXEUWBUWTUXBXTTUWTUWCXTTZ
      UXBUWCXIUWBUAEUWTVLPXJUWBXKUWBEPUUKOUWTAUUTUWAUUKOUPUVAOOUUHUUJUVIUTWTUXD
      XLUWBUUTUQUUKUUHUVKQZUUIUWTQZUVJUWTQZSAUUTUWAUUKUXFSTZUVAUXINOUVAUVLUXINO
      VQUVTUVANOOUUKUXFSOUUJUVKWIWIUWIUVAOOUVKUVAUVKUVBUPZOOUVKVDAPUVBCVDUVJPUP
      ZUXJUUTJUUIXMZPUVBUVJCXNXOUVKVKVCWJUWJUWJUWKUWMUWLUXFWPWQWSWRWTUUTUXGUUKX
      IUWBFUUIUWSUUKPUWTUXCUWTXPZUUHUUJXQXRZXSUUTUXHUXFXIZUWBUUTUXKUXOUXLFUVJUW
      SUXFPUWTYPUVJXIUUHYQUVKYPUVJCUIUJUXMUUHUVKXQXRVCXSYAUWBUWHUXGUWESTZEPVQZU
      AOWEUWNUXQUWGUAOUXPUWFEPUUTUXGUUKUWESUXNYBYCYDYEYFAYSYOGQZXTTZBOVQUWAUXEL
      UXSUXEBUUHOUUOYSUWTUXRUWCXTUUOFPYRUWSYOUUHYQUIULYOUUHGUIVPVSVTUXBUWCUWTYG
      XCYJYHYIUUSYKXDAUGUUGUUEUDADUUDADUWPUUDADEPUUJURQZRUWPMAEPUWOUXTUVAUVCUVG
      UWOUXTXIUVDUVSUUJYLXCYHYMUWQYKUNUOYN $.

    ${
      itg2i1fseq2.7 $e |- ( ph -> M e. RR ) $.
      itg2i1fseq2.8 $e |- ( ( ph /\ k e. NN ) -> ( S.1 ` ( P ` k ) ) <_ M ) $.
      $( In an extension to the results of ~ itg2i1fseq , if there is an upper
         bound on the integrals of the simple functions approaching ` F ` ,
         then ` S.2 F ` is real and the standard limit relation applies.
         (Contributed by Mario Carneiro, 17-Aug-2014.) $)
      itg2i1fseq2 $p |- ( ph -> S ~~> ( S.2 ` F ) ) $=
        ( cr cfv cn vz vy crn clt csup citg2 cli c1 nnuz 1zzd cv citg1 wcel cdm
        wa ffvelrnda itg1cl syl fmptd caddc co cle cofr wbr wf peano2nn ffvelrn
        syl2an wral c0p simpr ralimi fveq2 fvoveq1 breq12d rspccva sylan itg1le
        wceq syl3anc 2fveq3 fvex fvmpt adantl 3brtr4d eqbrtrd ralrimiva syl2anc
        wrex brralrspcev climsup cxr itg2i1fseq wss c0 wne frnd dmmptd 1nn ne0i
        mp1i eqnetrd dm0rn0 necon3bii sylib wfn wb ffn breq1 ralrn 3syl rexbidv
        mpbird supxrre eqtrd breqtrrd ) ADDUCZRUDUEZHUFSZUGAUAEDUHTUIAUJAFTFUKZ
        CSZULSZRDAXTTUMUOYAULUNZUMYBRUMATYCXTCLUPYAUQURZOUSZAEUKZTUMZUOZYFCSZUL
        SZYFUHUTVAZCSZULSZYFDSZYKDSZVBYHYIYCUMYLYCUMZYIYLVBVCZVDZYJYMVBVDATYCYF
        CLUPATYCCVEYKTUMZYPYGLYFVFZTYCYKCVGVHAGUKZCSZUUAUHUTVACSZYQVDZGTVIZYGYR
        AVJUUBYQVDZUUDUOZGTVIUUEMUUGUUDGTUUFUUDVKVLURUUDYRGYFTUUAYFVSUUBYIUUCYL
        YQUUAYFCVMUUAYFUHCUTVNVOVPVQYIYLVRVTYGYNYJVSAFYFYBYJTDXTYFULCWAOYIULWBW
        CWDZYGYOYMVSZAYGYSUUIYTFYKYBYMTDXTYKULCWAOYLULWBWCURWDWEAIRUMYNIVBVDZET
        VIYNUAUKZVBVDZETVIZUARWIZPAUUJETYHYNYJIVBUUHQWFWGUAEYNIVBRTWJWHZWKAXSXQ
        WLUDUEZXRABCDFGHJKLMNOWMAXQRWNXQWOWPZUBUKZUUKVBVDZUBXQVIZUARWIZUUPXRVSA
        TRDYEWQADUNZWOWPUUQAUVBTWOAFDTYBROYDWRUHTUMTWOWPAWSTUHWTXAXBUVBWOXQWODX
        CXDXEAUVAUUNUUOAUUTUUMUARATRDVEDTXFUUTUUMXGYETRDXHUUSUULUBETDUURYNUUKVB
        XIXJXKXLXMUAUBXQXNVTXOXP $.
    $}

    itg2i1fseq3.7 $e |- ( ph -> ( S.2 ` F ) e. RR ) $.
    $( Special case of ~ itg2i1fseq2 : if the integral of ` F ` is a real
       number, then the standard limit relation holds on the integrals of
       simple functions approaching ` F ` .  (Contributed by Mario Carneiro,
       17-Aug-2014.) $)
    itg2i1fseq3 $p |- ( ph -> S ~~> ( S.2 ` F ) ) $=
      ( vk cfv cn cr cc0 cpnf citg2 cv wcel wa cicc co wf cdm cle cofr wbr cico
      wss icossicc fss sylancl adantr ffvelrnda itg2i1fseqle itg2ub itg2i1fseq2
      citg1 syl3anc ) ABCDOEFGGUAPZHIJKLMNAOUBZQUCZUDRSTUEUFZGUGZVECPZVBUHZUCVI
      GUIUJUKVIVBPVDUIUKAVHVFARSTULUFZGUGVKVGUMVHISTUNRVKVGGUOUPUQAQVJVECJURABC
      FGVEHIJKLUSGVIUTVCVA $.
  $}

  ${
    $d f g j k m n x y z F $.  $d f g j k m n x y P $.  $d f g j k m n x y Q $.
    $d f g j k m n x y z G $.  $d f g j k m y z ph $.
    itg2add.f1 $e |- ( ph -> F e. MblFn ) $.
    itg2add.f2 $e |- ( ph -> F : RR --> ( 0 [,) +oo ) ) $.
    itg2add.f3 $e |- ( ph -> ( S.2 ` F ) e. RR ) $.
    itg2add.g1 $e |- ( ph -> G e. MblFn ) $.
    itg2add.g2 $e |- ( ph -> G : RR --> ( 0 [,) +oo ) ) $.
    itg2add.g3 $e |- ( ph -> ( S.2 ` G ) e. RR ) $.
    ${
      itg2add.p1 $e |- ( ph -> P : NN --> dom S.1 ) $.
      itg2add.p2 $e |- ( ph -> A. n e. NN
        ( 0p oR <_ ( P ` n ) /\ ( P ` n ) oR <_ ( P ` ( n + 1 ) ) ) ) $.
      itg2add.p3 $e |- ( ph -> A. x e. RR
        ( n e. NN |-> ( ( P ` n ) ` x ) ) ~~> ( F ` x ) ) $.
      itg2add.q1 $e |- ( ph -> Q : NN --> dom S.1 ) $.
      itg2add.q2 $e |- ( ph -> A. n e. NN
        ( 0p oR <_ ( Q ` n ) /\ ( Q ` n ) oR <_ ( Q ` ( n + 1 ) ) ) ) $.
      itg2add.q3 $e |- ( ph -> A. x e. RR
        ( n e. NN |-> ( ( Q ` n ) ` x ) ) ~~> ( G ` x ) ) $.
      $( Lemma for ~ itg2add .  (Contributed by Mario Carneiro,
         17-Aug-2014.) $)
      itg2addlem $p |- ( ph ->
        ( S.2 ` ( F oF + G ) ) = ( ( S.2 ` F ) + ( S.2 ` G ) ) ) $=
        ( cr vy vk vj vm vz vf vg cn cv caddc cof cfv citg1 cmpt citg2 cli wceq
        co wbr mbfadd cc0 cpnf cico cvv wcel ge0addcl adantl reex a1i inidm off
        wa cdm simpl simpr i1fadd nnex c0p cle c1 wf ffvelrnda weq fveq2 breq2d
        wral fvoveq1 breq12d anbi12d rspccva sylan simpld wi breq2 feq1 imbi12d
        wfn i1ff ffnd adantr cc wss eqidd ofrfval syl vtoclga sylc simprd ofval
        breqtrrd ffvelrn syl2an mpbid r19.21bi le2addd ralrimiva fveq1d cbvmptv
        nnuz 1zzd mpteq2dv mptex eqid fvmpt an32s eqeltrd recnd oveq12d 3eqtr4d
        eqtrd climadd 2fveq3 itg1cl fss sylancl itg2i1fseqle itg2ub itg2i1fseq3
        fvex syl3anc cofr csn cxp 0cn fnconstg ax-mp df-0p mpbir cnex ax-resscn
        fneq1i sseqin2 mpbi 0pval biimpa elrege0 simplbi2 ralimdva syldan ffnfv
        cin imp sylanbrc ex 0plef sylib peano2nn ffn 3syl mpbird sylan2 3brtr4d
        jca eqbrtrrid readdcld fveq2d itg1add cicc icossicc eqbrtrd itg2i1fseq2
        breq1d climuni syl2anc ) AEUHEUIZCDUJUKZUKURZULZUMULZUNZFGUWFURZUOULZUP
        USUWJFUOULZGUOULZUJURZUPUSUWLUWOUQAUAUWGUWJUBUCUDUWKUWOAFGHKUTAUAUETTTU
        JVAVBVCURZUWPUWPFGVDVDUAUIZUWPVEUEUIZUWPVEVLUWQUWRUJURUWPVEAUWQUWRVFVGI
        LTVDVEZAVHVIZUWTTVJZVKAUFUGUHUHUHUWFUMVMZUXBUXBCDVDVDUFUIZUXBVEZUGUIZUX
        BVEZVLZUXCUXEUWFURUXBVEAUXGUXCUXEUXDUXFVNUXDUXFVOVPVGNQUHVDVEAVQVIZUXHU
        HVJZVKAVRUDUIZUWGULZVSUUAZUSZUXKUXJVTUJURZUWGULZUXLUSZVLUDUHAUXJUHVEZVL
        ZUXMUXPUXRVRUXJCULZUXJDULZUWFURZUXKUXLUXRTTUYAWAZVRUYAUXLUSZUXRTUWPUYAW
        AUYBUYCVLUXRUFUGTTTUJUWPUWPUWPUXSUXTVDVDUXCUWPVEUXEUWPVEVLUXCUXEUJURUWP
        VEUXRUXCUXEVFVGUXRUXSUXBVEZVRUXSUXLUSZTUWPUXSWAZAUHUXBUXJCNWBZUXRUYEUXS
        UXNCULZUXLUSZAVRUWECULZUXLUSZUYJUWEVTUJURZCULZUXLUSZVLZEUHWFUXQUYEUYIVL
        ZOUYOUYPEUXJUHEUDWCZUYKUYEUYNUYIUYQUYJUXSVRUXLUWEUXJCWDZWEUYQUYJUXSUYMU
        YHUXLUYRUWEUXJVTCUJWGWHWIWJWKZWLVRUXCUXLUSZTUWPUXCWAZWMZUYEUYFWMUFUXSUX
        BUXCUXSUQUYTUYEVUAUYFUXCUXSVRUXLWNTUWPUXCUXSWOWPUXDUYTVUAUXDUYTVLUXCTWQ
        ZBUIZUXCULZUWPVEZBTWFZVUAUXDVUCUYTUXDTTUXCUXCWRZWSZWTUXDUYTVAVUEVSUSZBT
        WFZVUGUXDUYTVUKUXDBXATVAVUEVSTVRUXCVDVDVRXAWQZUXDVULXAVAUUBUUCZXAWQZVAX
        AVEVUNUUDXAVAXAUUEUUFXAVRVUMUUGUUKUUHVIVUIXAVDVEUXDUUIVIUWSUXDVHVITXAXB
        XATUVATUQUUJTXAUULUUMVUDXAVEVUDVRULVAUQUXDVUDUUNVGUXDVUDTVEVLZVUEXCXDUU
        OUXDVUKVUGUXDVUJVUFBTVUOVUETVEZVUJVUFWMUXDTTVUDUXCVUHWBVUFVUPVUJVUEUUPU
        UQXEUURUVBUUSBTUWPUXCUUTUVCUVDZXFXGUXRUXTUXBVEZVRUXTUXLUSZTUWPUXTWAZAUH
        UXBUXJDQWBZUXRVUSUXTUXNDULZUXLUSZAVRUWEDULZUXLUSZVVDUYLDULZUXLUSZVLZEUH
        WFUXQVUSVVCVLZRVVHVVIEUXJUHUYQVVEVUSVVGVVCUYQVVDUXTVRUXLUWEUXJDWDZWEUYQ
        VVDUXTVVFVVBUXLVVJUWEUXJVTDUJWGWHWIWJWKZWLVUBVUSVUTWMUFUXTUXBUXCUXTUQUY
        TVUSVUAVUTUXCUXTVRUXLWNTUWPUXCUXTWOWPVUQXFXGUWSUXRVHVIZVVLUXAVKUYAUVEUV
        FXHAUHUHUXSUXTUWFUHCDVDVDUXJAUHUXBCNWSZAUHUXBDQWSZUXHUXHUXIUXRUXSXCUXRU
        XTXCXIZXJUXRUYAUYHVVBUWFURZUXKUXOUXLUXRUYAVVPUXLUSUWQUXSULZUWQUXTULZUJU
        RZUWQUYHULZUWQVVBULZUJURZVSUSZUATWFUXRVWCUATUXRUWQTVEZVLZVVQVVRVVTVWAUX
        RTTUWQUXSUXRUYDTTUXSWAUYGUXSWRXEZWBZUXRTTUWQUXTUXRVURTTUXTWAVVAUXTWRXEZ
        WBZUXRTTUWQUYHUXRUYHUXBVEZTTUYHWAAUHUXBCWAUXNUHVEZVWJUXQNUXJUVGZUHUXBUX
        NCXKXLZUYHWRXEZWBUXRTTUWQVVBUXRVVBUXBVEZTTVVBWAAUHUXBDWAVWKVWOUXQQVWLUH
        UXBUXNDXKXLZVVBWRXEZWBUXRVVQVVTVSUSZUATUXRUYIVWRUATWFUXRUYEUYIUYSXHUXRU
        ATTVVQVVTVSTUXSUYHVDVDUXRTTUXSVWFWSZUXRTTUYHVWNWSZVVLVVLUXAVWEVVQXCZVWE
        VVTXCZXDXMXNUXRVVRVWAVSUSZUATUXRVVCVXCUATWFUXRVUSVVCVVKXHUXRUATTVVRVWAV
        STUXTVVBVDVDUXRTTUXTVWHWSZUXRTTVVBVWQWSZVVLVVLUXAVWEVVRXCZVWEVWAXCZXDXM
        XNXOXPUXRUATTVVSVWBVSTUYAVVPVDVDUXRUYAUXBVEUYBUYATWQUXRUXSUXTUYGVVAVPUY
        AWRTTUYAUVHUVIUXRTTVVPUXRVVPUXBVETTVVPWAUXRUYHVVBVWMVWPVPVVPWRXEWSVVLVV
        LUXAUXRTTVVQVVRUJTUXSUXTVDVDUWQVWSVXDVVLVVLUXAVXAVXFXIZUXRTTVVTVWAUJTUY
        HVVBVDVDUWQVWTVXEVVLVVLUXAVXBVXGXIXDUVJVVOUXQAVWKUXOVVPUQVWLAUHUHUYHVVB
        UWFUHCDVDVDUXNVVMVVNUXHUXHUXIAVWKVLZUYHXCVXIVVBXCXIUVKUVLUVMXPAUDUHUWQU
        XKULZUNZUWQUWKULZUPUSUATAVWDVLZVXKUWQFULZUWQGULZUJURZVXLUPVXMVXKEUHUWQU
        WHULZUNZVXPUPEUDUHVXQVXJUYQUWQUWHUXKUWEUXJUWGWDXQZXRVXMVXNVXOUDEUHUWQUY
        JULZUNZEUHUWQVVDULZUNZVXRVTVDUHXSVXMXTAEUHVUDUYJULZUNZVUDFULZUPUSZBTWFV
        WDVYAVXNUPUSZPVYGVYHBUWQTBUAWCZVYEVYAVYFVXNUPVYIEUHVYDVXTVUDUWQUYJWDYAV
        UDUWQFWDWHWJWKVXRVDVEVXMEUHVXQVQYBVIAEUHVUDVVDULZUNZVUDGULZUPUSZBTWFVWD
        VYCVXOUPUSZSVYMVYNBUWQTVYIVYKVYCVYLVXOUPVYIEUHVYJVYBVUDUWQVVDWDYAVUDUWQ
        GWDWHWJWKVXMUXQVLZUXJVYAULZVYOVYPVVQTUXQVYPVVQUQVXMEUXJVXTVVQUHVYAUYQUW
        QUYJUXSUYRXQVYAYCUWQUXSYSYDVGZAUXQVWDVVQTVEVWGYEYFYGVYOUXJVYCULZVYOVYRV
        VRTUXQVYRVVRUQVXMEUXJVYBVVRUHVYCUYQUWQVVDUXTVVJXQVYCYCUWQUXTYSYDVGZAUXQ
        VWDVVRTVEVWIYEYFYGVYOVXJVVSUXJVXRULZVYPVYRUJURAUXQVWDVXJVVSUQVWEVXJUWQU
        YAULZVVSUXRVXJWUAUQVWDUXRUWQUXKUYAVVOXQWTVXHYJYEUXQVYTVXJUQVXMEUXJVXQVX
        JUHVXRVXSVXRYCUWQUXKYSYDVGVYOVYPVVQVYRVVRUJVYQVYSYHYIYKUVNATTVXNVXOUJTF
        GVDVDUWQATUWPFIWSATUWPGLWSUWTUWTUXAVXMVXNXCVXMVXOXCXIXJXPEUCUHUWIUCUIZU
        WGULUMULZUWEWUBUMUWGYLXRZAUWMUWNJMUVOAUXKUMULZUWOVSUSZUDUHWFUBUIZUHVEWU
        GUWGULUMULZUWOVSUSZAWUFUDUHUXRWUEUXSUMULZUXTUMULZUJURZUWOVSUXRWUEUYAUMU
        LWULUXRUXKUYAUMVVOUVPUXRUXSUXTUYGVVAUVQYJZUXRWUJWUKUWMUWNUXRUYDWUJTVEUY
        GUXSYMXEZUXRVURWUKTVEVVAUXTYMXEZAUWMTVEUXQJWTAUWNTVEUXQMWTUXRTVAVBUVRUR
        ZFWAZUYDUXSFUXLUSWUJUWMVSUSUXRTUWPFWAZUWPWUPXBZWUQAWURUXQIWTVAVBUVSZTUW
        PWUPFYNYOUYGABCEFUXJHINOPYPFUXSYQYTUXRTWUPGWAZVURUXTGUXLUSWUKUWNVSUSUXR
        TUWPGWAZWUSWVAAWVBUXQLWTWUTTUWPWUPGYNYOVVAABDEGUXJKLQRSYPGUXTYQYTXOUVTX
        PWUFWUIUDWUGUHUDUBWCWUEWUHUWOVSUXJWUGUMUWGYLUWBWJWKUWAAUWMUWNUDUBUHWUGC
        ULUMULZUNZUBUHWUGDULUMULZUNZUWJVTVDUHXSAXTABCWVDUBEFHINOPWVDYCZJYRUWJVD
        VEAEUHUWIVQYBVIABDWVFUBEGKLQRSWVFYCZMYRUXRUXJWVDULZWUJXAUXQWVIWUJUQAUBU
        XJWVCWUJUHWVDWUGUXJUMCYLWVGUXSUMYSYDVGZUXRWUJWUNYGYFUXRUXJWVFULZWUKXAUX
        QWVKWUKUQAUBUXJWVEWUKUHWVFWUGUXJUMDYLWVHUXTUMYSYDVGZUXRWUKWUOYGYFUXRWUE
        WULUXJUWJULZWVIWVKUJURWUMUXQWVMWUEUQAUCUXJWUCWUEUHUWJWUBUXJUMUWGYLWUDUX
        KUMYSYDVGUXRWVIWUJWVKWUKUJWVJWVLYHYIYKUWLUWOUWJUWCUWD $.
    $}

    $d n x ph $.
    $( The ` S.2 ` integral is linear.  (Measurability is an essential
       component of this theorem; otherwise consider the characteristic
       function of a nonmeasurable set and its complement.)  (Contributed by
       Mario Carneiro, 17-Aug-2014.) $)
    itg2add $p |- ( ph ->
      ( S.2 ` ( F oF + G ) ) = ( ( S.2 ` F ) + ( S.2 ` G ) ) ) $=
      ( vf vn vx vg cn cv cfv wbr wa cr adantr citg1 cdm wf c0p cle c1 caddc co
      cofr wral cmpt cli w3a wex cof wceq mbfi1fseq exdistrv cmbf wcel cc0 cpnf
      citg2 simprl1 simprl2 simprl3 simprr1 simprr2 simprr3 itg2addlem exlimdvv
      cico ex syl5bir mp2and ) ANUAUBZJOZUCZUDKOZVQPZUEUIZQVTVSUFUGUHZVQPWAQRKN
      UJZKNLOZVTPUKWDBPULQLSUJZUMZJUNZNVPMOZUCZUDVSWHPZWAQWJWBWHPWAQRKNUJZKNWDW
      JPUKWDCPULQLSUJZUMZMUNZBCUGUOUHVCPBVCPZCVCPZUGUHUPZALJKBDEUQALMKCGHUQWGWN
      RWFWMRZMUNJUNAWQWFWMJMURAWRWQJMAWRWQAWRRLVQWHKBCABUSUTWRDTASVAVBVLUHZBUCW
      RETAWOSUTWRFTACUSUTWRGTASWSCUCWRHTAWPSUTWRITVRWCWEWMAVDVRWCWEWMAVEVRWCWEW
      MAVFWIWKWLWFAVGWIWKWLWFAVHWIWKWLWFAVIVJVMVKVNVO $.
  $}

  ${
    $d k x A $.  $d k n x z F $.  $d k n x ph $.
    itg2gt0.1 $e |- ( ph -> A e. dom vol ) $.
    itg2gt0.2 $e |- ( ph -> 0 < ( vol ` A ) ) $.
    itg2gt0.3 $e |- ( ph -> F : RR --> ( 0 [,) +oo ) ) $.
    itg2gt0.4 $e |- ( ph -> F e. MblFn ) $.
    itg2gt0.5 $e |- ( ( ph /\ x e. A ) -> 0 < ( F ` x ) ) $.
    $( If the function ` F ` is strictly positive on a set of positive measure,
       then the integral of the function is positive.  (Contributed by Mario
       Carneiro, 30-Aug-2014.) $)
    itg2gt0 $p |- ( ph -> 0 < ( S.2 ` F ) ) $=
      ( vk cc0 cvol wbr cle cn wcel syl adantr cr cvv vn vz cfv clt citg2 wn wa
      ccnv c1 cv cdiv co cpnf cioo cima cmpt crn cuni cxr cdm cicc iccssxr volf
      covol ffvelrni sselid wss ciun wfn wceq cmbf cnvexg imaexg fmpttd fniunfv
      ffnd wral wf cico rge0ssre fss sylancl mbfima syl2anc ffvelrnda ralrimiva
      elexd iunmbl eqeltrrd mblss ovolcl 0xr mblvol sselda elrege0 sylib simpld
      a1i wrex syldan nnrecl ad2antrr elpreima biantrurd nnrecre adantl adantlr
      wb rexrd elioopnf 3bitr2d oveq2 oveq1d imaeq2d eqid fvmptg syl2anr eleq2d
      id 3bitr4rd mpbid sylibrd eqbrtrd 0re sylancr sylanbrc adantrr itg2cl crp
      ex simpr elrpd mpbird syl3anc simprd breq1 xrlenlt ffn ax-mp sstri eluni2
      rexbidva eleq2 rexrn syl5bb ssrdv ovolss caddc peano2nn lep1d nngt0 nnred
      csup nngt0d lerec syl22anc iooss1 imass2 3sstr4d volsup eqtr3d fveq2d cif
      nnre nnrecgt0 wi ltle elxrge0 0e0iccpnf ifcl icossicc 0nrp cmul eqeltrrdi
      mpd itg2const2 itg2const simplrr rpmulcld eqeltrd mtoi wo itg2ge0 xrleloe
      eqtrd ord mt3d cofr biimpa syl6bi sylc ifboth iffalse pm2.61dan reex ovex
      ltled c0ex ifex fvexd eqidd feqmptd ofrfval2 biimpar xrltletrd expr con3d
      itg2le imp an32s fveq2 breq1d ralrn 3syl frnd imassrn frn supxrleub mp2an
      ralima sylibr xrletrd sylibd mt4d ) AKCLUCZUDMZKDUEUCZUDMZFAUYHUFZUYEKNMZ
      UYFUFZAUYIUYJAUYIUGZUYEUAODUHZUIUAUJZUKULZUMUNULZUOZUPZUQZURZVDUCZKAUYEUS
      PZUYIACLUTZPZVUBEVUDKUMVAULZUSUYEKUMVBZVUCVUECLVCVEVFQZRAVUAUSPZUYIAUYTSV
      GZVUHAUYTVUCPZVUIAJOJUJZUYRUCZVHZUYTVUCAUYROVIZVUMUYTVJAOTUYRAUAOUYQTAUYQ
      TPZUYNOPZAUYMTPZVUOADTPVUQADVKHWGDTVLQZUYMUYPTVMQRVNZVPZJOUYRVOQAVULVUCPZ
      JOVQVUMVUCPAVVAJOAOVUCVUKUYRAUAOUYQVUCAUYQVUCPZVUPADVKPSSDVRZVVBHASKUMVSU
      LZDVRZVVDSVGVVCGVTSVVDSDWAWBSUYOUMDWCWDRVNZWEZWFVULJWHQWIZUYTWJQZUYTWKQRK
      USPZUYLWLWRAUYEVUANMUYIAUYECVDUCZVUANAVUDUYEVVKVJECWMQACUYTVGVUIVVKVUANMA
      BCUYTABUJZCPZVVLVULPZJOWSZVVLUYTPZAVVMVVOAVVMUGZUIVUKUKULZVVLDUCZUDMZJOWS
      ZVVOVVQVVSSPZKVVSUDMVWAAVVMVVLSPZVWBACSVVLAVUDCSVGECWJQWNZAVWCUGZVWBKVVSN
      MZVWEVVSVVDPVWBVWFUGASVVDVVLDGWEVVSWOWPZWQZWTZIVVSJXAWDVVQVVTVVNJOVVQVUKO
      PZUGZVVLUYMVVRUMUNULZUOZPZVWBVVTUGZVVNVVTVWKVWNVWCVVSVWLPZUGZVWPVWOVWKDSV
      IZVWNVWQXHZAVWRVVMVWJASVVDDGVPZXBSVVLVWLDXCZQVWKVWCVWPVVQVWCVWJVWDRXDVWKV
      VRUSPZVWPVWOXHAVWJVXBVVMAVWJUGZVVRVWJVVRSPZAVUKXEXFZXIZXGVVRVVSXJZQXKVWKV
      ULVWMVVLVWJVWJVWMTPZVULVWMVJZVVQVWJXSZAVXHVVMAVUQVXHVURUYMVWLTVMQZRUAVUKU
      YQVWMOTUYRUYNVUKVJZUYPVWLUYMVXLUYOVVRUMUNUYNVUKUIUKXLXMXNUYRXOZXPZXQXRVWK
      VWBVVTVVQVWBVWJVWIRXDXTUUBYAYJVVPVVLUBUJZPZUBUYSWSZAVVOUBVVLUYSUUAAVUNVXQ
      VVOXHVUTVXPVVNUBJOUYRVXOVULVVLUUCUUDQUUEYBUUFVVICUYTUUGWDYCRUYLVUALUYSUOZ
      USUDUUMZKNAVUAVXSVJUYIAUYTLUCZVUAVXSAVUJVXTVUAVJVVHUYTWMQAOVUCUYRVRVULVUK
      UIUUHULZUYRUCZVGZJOVQVXTVXSVJVVFAVYCJOVXCVWMUYMUIVYAUKULZUMUNULZUOZVULVYB
      VXCVWLVYEVGZVWMVYFVGVXCVYDUSPVYDVVRNMZVYGVXCVYDVXCVYAOPZVYDSPVWJVYIAVUKUU
      IZXFZVYAXEQXIVXCVUKVYANMZVYHVXCVUKVWJVUKSPZAVUKUVDXFZUUJVXCVYMKVUKUDMZVYA
      SPKVYAUDMVYLVYHXHVYNVWJVYOAVUKUUKXFVXCVYAVYKUULVXCVYAVYKUUNVUKVYAUUOUUPYA
      VYDVVRUMUUQWDVWLVYEUYMUURQVWJVWJVXHVXIAVXJVXKVXNXQZVWJVYIVYFTPZVYBVYFVJAV
      YJAVUQVYQVURUYMVYETVMQUAVYAUYQVYFOTUYRUYNVYAVJZUYPVYEUYMVYRUYOVYDUMUNUYNV
      YAUIUKXLXMXNVXMXPXQUUSWFJUYRUUTWDUVARUYLVVLKNMZBVXRVQZVXSKNMZUYLVYTVXOLUC
      ZKNMZUBUYSVQZUYLWUDVULLUCZKNMZJOVQZUYLWUFJOUYLVWJUGZWUEVWMLUCZKNWUHVULVWM
      LVWJVWJVXHVXIUYLVXJAVXHUYIVXKRVXNXQUVBAVWJUYIWUIKNMZVXCUYIWUJVXCUYIKWUIUD
      MZUFZWUJVXCWUKUYHAVWJWUKUYHAVWJWUKUGZUGZKBSVWNVVRKUVCZUPZUEUCZUYGVVJWUNWL
      WRWUNSVUEWUPVRZWUQUSPZAVWJWURWUKVXCBSWUOVUEVXCWUOVUEPZVWCVXCVVRVUEPZKVUEP
      WUTVXCVXBKVVRNMZWVAVXFVXCKVVRUDMZWVBVWJWVCAVUKUVEXFZVXCKSPVXDWVCWVBUVFYDV
      XEKVVRUVGYEUVOZVVRUVHYFUVIVWNVVRKVUEUVJWBRVNYGZWUPYHQZAUYGUSPZWUMASVUEDVR
      ZWVHAVVEVVDVUEVGWVIGKUMUVKSVVDVUEDWAWBZDYHQRWUNKWUQUDMZKWUQVJZWUNWVLKYIPZ
      UVLWUNWVLWVMWUNWVLUGZKVVRWUIUVMULZYIWVNKWUQWVOWUNWVLYKZWVNVWMVUCPZWUISPZV
      VRVVDPZWUQWVOVJWUNWVQWVLAVWJWVQWUKVXCVULVWMVUCVYPVVGWIZYGRZWVNWVRWUQSPZWV
      NWUQKSWVPYDUVNWVNWVQVVRYIPZWVRWWBXHWWAWUNWWCWVLAVWJWWCWUKVXCVVRVXEWVDYLYG
      RZBVWMVVRUVPWDYMZWUNWVSWVLAVWJWVSWUKVXCVXDWVBWVSVXEWVEVVRWOYFYGRBVWMVVRUV
      QYNUWEWVNVVRWUIWWDWVNWUIWWEAVWJWUKWVLUVRYLUVSUVTYJUWAWUNWVKWVLWUNKWUQNMZW
      VKWVLUWBZWUNWURWWFWVFWUPUWCQWUNVVJWUSWWFWWGXHWLWVGKWUQUWDYEYAUWFUWGWUNWUR
      WVIWUPDNUWHMZWUQUYGNMWVFAWVIWUMWVJRAWUMWUOVVSNMZBSVQZWWHAVWJWWJWUKVXCWWIB
      SVXCVWCUGZVWNWWIVXCVWNWWIVWCVXCVWNUGZVVRVVSNMZVWFWWIWWLVVRVVSVXCVXDVWNVXE
      RVXCVWNVWCVWBWWLVWCVWPVXCVWNVWQVXCVWRVWSAVWRVWJVWTRVXAQUWIZWQZAVWCVWBVWJV
      WHXGWTWWLVXBVWPVVTVXCVXBVWNVXFRWWLVWCVWPWWNYOVXBVWPVWOVVTVXGVWBVVTYKUWJUW
      KUWQVXCVWNVWCVWFWWOAVWCVWFVWJVWEVWBVWFVWGYOXGZWTVWNWWMVWFWWIVVRKVVRWUOVVS
      NYPKWUOVVSNYPUWLWDXGWWKVWNUFZUGWUOKVVSNWWQWUOKVJWWKVWNVVRKUWMXFWWKVWFWWQW
      WPRYCUWNWFYGAWWHWWJABSWUOVVSNWUPDTTTSTPAUWOWRWUOTPVWEVWNVVRKUIVUKUKUWPUWR
      UWSWRVWEVVLDUWTAWUPUXAABSVVDDGUXBUXCUXDWTWUPDUXHYNUXEUXFUXGVXCWUIUSPZVVJW
      UJWULXHVXCWVQWWRWVTWVQVUEUSWUIVUFVUCVUEVWMLVCVEVFQWLWUIKYQWBYBUXIUXJYCWFA
      WUDWUGXHZUYIAOTUYRVRVUNWWSVUSOTUYRYRWUCWUFUBJOUYRVXOVULVJWUBWUEKNVXOVULLU
      XKUXLUXMUXNRYMUYLLVUCVIZUYSVUCVGZVYTWUDXHVUCVUELVRZWWTVCVUCVUELYRYSAWXAUY
      IAOVUCUYRVVFUXORVYSWUCBUBVUCUYSLVVLWUBKNYPUXTYEYMVXRUSVGVVJWUAVYTXHVXRLUQ
      ZUSLUYSUXPWXCVUEUSWXBWXCVUEVGVCVUCVUELUXQYSVUFYTYTWLBVXRKUXRUXSUYAYCUYBYJ
      AVUBVVJUYJUYKXHVUGWLUYEKYQWBUYCUYD $.
  $}

  ${
    $d d m u x y z C $.  $d d m n u w x y z F $.  $d m n u x y z ph $.
    $d d u x M $.
    itg2cn.1 $e |- ( ph -> F : RR --> ( 0 [,) +oo ) ) $.
    itg2cn.2 $e |- ( ph -> F e. MblFn ) $.
    itg2cn.3 $e |- ( ph -> ( S.2 ` F ) e. RR ) $.
    $( Lemma for ~ itgcn .  (Contributed by Mario Carneiro, 30-Aug-2014.) $)
    itg2cnlem1 $p |- ( ph -> sup ( ran ( n e. NN |-> ( S.2 ` ( x e. RR |->
    if ( ( F ` x ) <_ n , ( F ` x ) , 0 ) ) ) ) , RR* , < ) = ( S.2 ` F ) ) $=
      ( vy vm cr cn cfv cle wbr cc0 cmpt clt wcel cvv wa vz vw cv cif crn citg2
      csup cxr wceq fvex c0ex ifex fvmpt2 mpan2 mpteq2dv rneqd supeq1d mpteq2ia
      eqid nfcv nfmpt1 nfmpt nffv nfrn nfsup weq fveq2 breq2 ifbid cbvmptv reex
      fveq1d mptex eqtr4i eqtrdi cbvmpt eqtr3i ccnv cpnf cioo co cima cdif cmbf
      fvmpt breq1d ifbieq1d adantl wn wb nnre ad2antlr rexrd elioopnf syl simpr
      wfn cico ad2antrr elpreima mpbirand wf wss rge0ssre fss sylancl ffvelrnda
      ffnd adantr biantrurd 3bitr4d notbid eldif mpteq2dva a1i feqmptd eqeltrrd
      cdm iftrue syl2anc ifcl adantlr wral sylib iftrued 3brtr4d ifboth eqbrtrd
      c1 leidd ralrimiva eqidd ofrfval2 mpbird wrex breq1 fmpttd brralrspcev c0
      fveq2d baib lenltd 3eqtr4a difss cvol rembl eldifn iffalsed resmpt mbfima
      cres ax-mp cmmbl mbfres mbfss eqeltrd 0e0icopnf fmpt3d caddc cofr elrege0
      eqeltrid simpld ad3antlr peano2re lep1d iffalse simprd pm2.61dan peano2nn
      letrd inidm ofrfval mpbid r19.21bi an32s rneqi supeq1i itg2mono ralrn wne
      0le0 0re frnd 1nn dmmptd n0i dm0rn0 necon3bbii suprleub syl31anc ad2antrl
      eleqtrrid arch wi ltle syl2an impr eqtrd simprl rexlimddv suprubd suprcld
      fnfvelrn letri3d mpbir2and eqtr4d eqtr3d ) ABJCKBUCZDLZCUCZMNZUXJOUDZPZUE
      ZJQUGZPZUFLCKBJUXMPZUFLZPZUEZUHQUGZDUFLAHUAUYBICKUXRPZUXQBJCKUXIUXRLZPZUE
      ZJQUGZPUXQHJIKHUCZIUCZUYCLZLZPZUEZJQUGZPBJUYGUXPUXIJRZJUYFUXOQUYOUYEUXNUY
      OCKUYDUXMUYOUXMSRZUYDUXMUIUXLUXJOUXIDUJZUKULZBJUXMSUXRUXRUSUMUNUOUPUQURBH
      JUYGUYNHUYGUTBUYMJQBUYLBIKUYKBKUTZBUYHUYJBUYIUYCBCKUXRUYSBJUXMVAVBBUYIUTV
      CBUYHUTVCVBVDBJUTBQUTVEBHVFZJUYFUYMQUYTUYEUYLUYTUYECKUYHUXRLZPZUYLUYTCKUY
      DVUAUXIUYHUXRVGUOVUBIKUYHBJUXJUYIMNZUXJOUDZPZLZPUYLCIKVUAVUFCIVFZUYHUXRVU
      EVUGBJUXMVUDVUGUXLVUCUXJOUXKUYIUXJMVHVIZUOZVLVJIKUYKVUFUYIKRZUYHUYJVUECUY
      IUXRVUEKUYCVUIUYCUSZBJVUDVKVMWEZVLURVNVOUPUQVPVQAVUJTZUYJHJUYHJDVRUYIVSVT
      WAZWBZWCZRZUYHDLZOUDZPZWDVUMVUEHJVURUYIMNZVUROUDZPUYJVUTBHJVUDVVBUYTVUCVV
      AUXJVUROUYTUXJVURUYIMUXIUYHDVGZWFVVCWGVJVUJUYJVUEUIZAVULWHZVUMHJVUSVVBVUM
      UYHJRZTZVUQVVAVUROVVGUYHVUORZWIZUYIVURQNZWIVUQVVAVVGVVHVVJVVGVURVUNRZVURJ
      RZVVJTZVVHVVJVVGUYIUHRVVKVVMWJVVGUYIVUJUYIJRZAVVFUYIWKZWLZWMUYIVURWNWOVVG
      VVHVVFVVKVUMVVFWPVVGDJWQZVVHVVFVVKTWJAVVQVUJVVFAJOVSWRWAZDEXHZWSJUYHVUNDW
      TWOXAVVGVVLVVJVUMJJUYHDAJJDXBZVUJAJVVRDXBVVRJXCVVTEXDJVVRJDXEXFZXIXGZXJXK
      XLVVFVUQVVIWJVUMVUQVVFVVIUYHJVUOXMUUAWHVVGVURUYIVWBVVPUUBXKVIXNUUCVUMHVUP
      JVUSSVUPJXCZVUMJVUOUUDZXOJUUEXRZRVUMUUFXOZVUSSRVUMVUQTVUQVUROUYHDUJUKULXO
      VUMUYHJVUPWCRZTVUQVUROVWGVUQWIVUMUYHJVUPUUGWHUUHAHVUPVUSPZWDRVUJAVWHHJVUR
      PZVUPUUKZWDVWHHVUPVURPZVWJHVUPVUSVURVUQVUROXSURVWCVWJVWKUIVWDHJVUPVURUUIU
      ULVNAVWIWDRVUPVWERZVWJWDRADVWIWDAHJVVRDEXPFXQAVUOVWERZVWLADWDRVVTVWMFVWAJ
      UYIVSDUUJXTVUOUUMWOVUPVWIUUNXTUVBXIUUOUUPVUMBJVUDVVRUYJVVEAUYOVUDVVRRZVUJ
      AUYOTZUXJVVRRZOVVRRVWNAJVVRUXIDEXGZUUQVUCUXJOVVRYAXFYBZUURVUMVUEBJUXJUYIY
      IUUSWAZMNZUXJOUDZPZUYJVWSUYCLZMUUTZVUMVUEVXBVXDNVUDVXAMNZBJYCVUMVXEBJVUMU
      YOTZVUCVXEVXFVUCTZUXJUXJVUDVXAMVXGUXJVXFUXJJRZVUCAUYOVXHVUJVWOVXHOUXJMNZV
      WOVWPVXHVXITVWQUXJUVAYDZUVCZYBZXIZYJVUCVUDUXJUIVXFVUCUXJOXSWHVXGVWTUXJOVX
      GUXJUYIVWSVXMVUJVVNAUYOVUCVVOUVDZVXGVVNVWSJRVXNUYIUVEWOVXFVUCWPVXGUYIVXNU
      VFUVKYEYFVXFVUCWIZTVUDOVXAMVXOVUDOUIVXFVUCUXJOUVGWHVXFOVXAMNZVXOAUYOVXPVU
      JVWOVXIOOMNZVXPVWOVXHVXIVXJUVHZUWBVWTVXIVXQVXPUXJOUXJVXAOMVHOVXAOMVHYGXFY
      BXIYHUVIYKVUMBJVUDVXAMVUEVXBVWEVVRSVWFVWRVXASRVXFVWTUXJOUYQUKULXOVUMVUEYL
      ZVUMVXBYLYMYNVVEVUMVWSKRZVXCVXBUIVUJVXTAUYIUVJWHCVWSUXRVXBKUYCUXKVWSUIZBJ
      UXMVXAVYAUXLVWTUXJOUXKVWSUXJMVHVIUOVUKBJVXAVKVMWEWOYFAVVFTZVVLUYKVURMNZIK
      YCUYKUAUCZMNIKYCUAJYOAJJUYHDVWAXGVYBVYCIKVYBVUJTZUYKVUFVURMVYEUYHUYJVUEVU
      JVVDVYBVULWHVLAVUJVVFVUFVURMNZVUMVYFHJVUMVUEDVXDNZVYFHJYCVUMVYGVUDUXJMNZB
      JYCVUMVYHBJAUYOVYHVUJVWOUXJUXJMNZVXIVYHVWOUXJVXKYJVXRVUCVYIVXIVYHUXJOUXJV
      UDUXJMYPOVUDUXJMYPYGXTZYBYKVUMBJVUDUXJMVUEDSSJJSRVUMVKXOZVUDSRVXFVUCUXJOU
      YQUKULZXOZVXLVXSADBJUXJPZUIVUJABJVVRDEXPZXIYMYNVUMHJJVUFVURMJVUEDSSVUMJSV
      UEVUMBJVUDSVYMYQXHAVVQVUJVVSXIVYKVYKJUVLVVGVUFYLVVGVURYLUVMUVNUVOUVPYHYKU
      AIUYKVURMJKYRXTUHUYAIKUYJUFLZPZUEQUXTVYQUXTIKVUEUFLZPVYQCIKUXSVYRVUGUXRVU
      EUFVUIYTVJIKVYPVYRVUJUYJVUEUFVULYTURVNUVQUVRUVSAUXQDUFAUXQVYNDABJUXPUXJVW
      OUXPUXJUIUXPUXJMNZUXJUXPMNVWOVYSUBUCZUXJMNZUBUXOYCZVWOWUBUYIUXNLZUXJMNZIK
      YCZVWOWUDIKVWOVUJTWUCVUDUXJMVUJWUCVUDUIZVWOCUYIUXMVUDKUXNVUHUXNUSZVYLWEZW
      HVWOVYHVUJVYJXIYHYKVWOUXNKWQZWUBWUEWJVWOKSUXNVWOCKUXMSUYPVWOUXKKRZTZUYRXO
      YQXHZWUAWUDUBIKUXNVYTWUCUXJMYPUVTWOYNZVWOUXOJXCUXOYSUWAZVYTVYDMNUBUXOYCUA
      JYOZVXHVYSWUBWJVWOKJUXNVWOCKUXMJWUKVXHOJRUXMJRVWOVXHWUJVXKXIUWCUXLUXJOJYA
      XFZYQUWDZVWOYIUXNXRZRZWUNVWOYIKWURUWEVWOCUXNKUXMJWUGWUPUWFUWMWUSWURYSUIZW
      IWUNWURYIUWGWUTUXOYSUXNUWHUWIYDWOZVWOVXHWUBWUOVXKWUMUAUBVYTUXJMJUXOYRXTZV
      XKUAUBUBUXOUXJUWJUWKYNVWOUAUBUXOUXJWUQWVAWVBVWOUXJUYIQNZUXJUXORIKVWOVXHWV
      CIKYOVXKUXJIUWNWOVWOVUJWVCTZTZWUCUXJUXOWVEWUCVUDUXJVUJWUFVWOWVCWUHUWLWVEV
      UCUXJOVWOVUJWVCVUCVWOVXHVVNWVCVUCUWOVUJVXKVVOUXJUYIUWPUWQUWRYEUWSWVEWUIVU
      JWUCUXORVWOWUIWVDWULXIVWOVUJWVCUWTKUYIUXNUXDXTXQUXAUXBVWOUXPUXJVWOUAUBUXO
      WUQWVAWVBUXCVXKUXEUXFXNVYOUXGYTUXH $.

    itg2cn.4 $e |- ( ph -> C e. RR+ ) $.
    ${
      itg2cn.5 $e |- ( ph -> M e. NN ) $.
      itg2cn.6 $e |- ( ph -> -. ( S.2 ` ( x e. RR |-> if ( ( F ` x ) <_ M ,
        ( F ` x ) , 0 ) ) ) <_ ( ( S.2 ` F ) - ( C / 2 ) ) ) $.
      $( Lemma for ~ itgcn .  (Contributed by Mario Carneiro, 31-Aug-2014.) $)
      itg2cnlem2 $p |- ( ph ->
      E. d e. RR+ A. u e. dom vol ( ( vol ` u ) < d ->
        ( S.2 ` ( x e. RR |-> if ( x e. u , ( F ` x ) , 0 ) ) ) < C ) ) $=
        ( wcel cfv clt wbr cr cc0 cle c2 cdiv co crp cv cvol cif cmpt citg2 cdm
        wi wral wrex rphalfcld nnrpd rpdivcld wa caddc ccnv cpnf cioo cima cdif
        cin simprl cmbf wf adantr wss rge0ssre fss sylancl mbfima syl2anc inmbl
        cico difmbl covol c0 inass disjdif ineq2i in0 3eqtri fveq2i ovol0 eqtri
        wceq a1i cun inundif eqcomi cicc mblss syl sselda cxr ffvelrnda elrege0
        sylib simpld rexrd simprd elxrge0 sylanbrc syldan eqid 0e0iccpnf fmpttd
        ifcl cofr icossicc leidd breq1 ifboth ralrimiva cvv eqidd mpbird itg2le
        ofrfval2 syl3anc itg2lecl itg2split rpred fveq2d iftrue adantl ad2antrr
        wn wb biantrurd ltnled con1bid mpbid eqbrtrrd lelttrd eqbrtrd breqtrd
        breq2 reex feqmptd 0red elinel2 syl31anc cmmbl ssequn1 eqtr2id mpteq2ia
        ifle undif2 eqtrd cmin eldif baib wfn ffnd elpreima nnred simpr 3bitr2d
        elioopnf 3bitr2rd bitrd ifbid eqnbrtrd resubcld ltsubadd2d ltadd1d cmul
        mpteq2dva mblvol ovolcl simprr xrltled ovollecl eqeltrd remulcld nnnn0d
        cn nn0ge0d eldifn iftrued 3brtr4d iffalse pm2.61dan ralrimivw itg2const
        difssd 0le0 nngt0d ltmuldiv2 syl112anc lt2addd rpcnd 2halvesd rspceaimv
        expr ) ADUAUBUCZFUBUCZUDNCUEZUFOZUWTPQZBRBUEZUXANZUXDEOZSUGUHZUIOZDPQZU
        KZCUFUJZULUXBGUEZPQZUXIUKCUXKULGUDUMAUWSFADKUNAFLUOUPZAUXJCUXKAUXAUXKNZ
        UXCUXIAUXOUXCUQZUQZUXHUWSUWSURUCZDPUXQUXHBRUXDUXAEUSFUTVAUCZVBZVDZNZUXF
        SUGZUHZUIOZBRUXDUXAUXTVCZNZUXFSUGZUHZUIOZURUCUXRPUXQBUYAUYFUXFUXAUYDUYI
        UXGUXQUXOUXTUXKNZUYAUXKNAUXOUXCVEZUXQEVFNZRREVGZUYKAUYMUXPIVHAUYNUXPARS
        UTVPUCZEVGZUYORVIUYNHVJRUYOREVKVLVHRFUTEVMVNZUXAUXTVOVNUXQUXOUYKUYFUXKN
        UYLUYQUXAUXTVQVNUYAUYFVDZVROZSWHUXQUYSVSVROZSUYRVSVRUYRUXAUXTUYFVDZVDUX
        AVSVDVSUXAUXTUYFVTVUAVSUXAUXTUXAWAWBUXAWCWDWEWFWGWIUXAUYAUYFWJZWHUXQVUB
        UXAUXAUXTWKWLWIUXQUXEUXDRNZUXFSUTWMUCZNZUXQUXARUXDUXQUXOUXARVIZUYLUXAWN
        WOZWPZUXQVUCUQZUXFWQNSUXFTQZVUEVUIUXFVUIUXFRNZVUJVUIUXFUYONVUKVUJUQUXQR
        UYOUXDEAUYPUXPHVHZWRUXFWSWTZXAZXBVUIVUKVUJVUMXCZUXFXDXEZXFUYDXGUYIXGUXG
        XGUXQRVUDUYDVGZEUIOZRNZUYEVURTQZUYERNUXQBRUYCVUDVUIVUESVUDNZUYCVUDNVUPX
        HUYBUXFSVUDXJVLZXIZAVUSUXPJVHZUXQVUQRVUDEVGZUYDETXKZQZVUTVVCUXQUYPUYOVU
        DVIVVEVULSUTXLRUYOVUDEVKVLZUXQVVGUYCUXFTQZBRULUXQVVIBRVUIUXFUXFTQZVUJVV
        IVUIUXFVUNXMZVUOUYBVVJVUJVVIUXFSUXFUYCUXFTXNSUYCUXFTXNXOVNXPUXQBRUYCUXF
        TUYDEXQVUDRRXQNUXQUUAWIZVVBVUNUXQUYDXRZUXQBRUYOEVULUUBZYAXSUYDEXTYBVURU
        YDYCYBZUXQRVUDUYIVGZVUSUYJVURTQZUYJRNUXQBRUYHVUDVUIVUEVVAUYHVUDNVUPXHUY
        GUXFSVUDXJVLZXIZVVDUXQVVPVVEUYIEVVFQZVVQVVSVVHUXQVVTUYHUXFTQZBRULUXQVWA
        BRVUIVVJVUJVWAVVKVUOUYGVVJVUJVWAUXFSUXFUYHUXFTXNSUYHUXFTXNXOVNXPUXQBRUY
        HUXFTUYIEXQVUDRVVLVVRVUNUXQUYIXRZVVNYAXSUYIEXTYBVURUYIYCYBZYDUXQUYEUYJU
        WSUWSVVOVWCUXQUWSUXQDADUDNUXPKVHZUNYEZVWEUXQUYEBRUXDUXTNZUXFSUGZUHZUIOZ
        UWSVVOUXQRVUDVWHVGZVUSVWIVURTQZVWIRNUXQBRVWGVUDVUIVUEVVAVWGVUDNVUPXHVWF
        UXFSVUDXJVLZXIZVVDUXQVWJVVEVWHEVVFQZVWKVWMVVHUXQVWNVWGUXFTQZBRULUXQVWOB
        RVUIVVJVUJVWOVVKVUOVWFVVJVUJVWOUXFSUXFVWGUXFTXNSVWGUXFTXNXOVNXPUXQBRVWG
        UXFTVWHEXQVUDVUDVVLVWLVUPUXQVWHXRZVVNYAXSVWHEXTYBVURVWHYCYBZVWEUXQVUQVW
        JUYDVWHVVFQZUYEVWITQVVCVWMUXQVWRUYCVWGTQZBRULUXQVWSBRVUIVUKSRNVUJUYBVWF
        UKZVWSVUNVUIUUCVUOVWTVUIUXDUXAUXTUUDWIUYBVWFUXFSUUJUUEXPUXQBRUYCVWGTUYD
        VWHXQVUDVUDVVLVVBVWLVVMVWPYAXSUYDVWHXTYBUXQVWIUWSPQVWIBRUXDRUXTVCZNZUXF
        SUGZUHZUIOZURUCZUWSVXEURUCZPQUXQVURVXFVXGPUXQVURBRUXFUHZUIOVXFUXQEVXHUI
        VVNYFUXQBUXTVXAUXFRVWHVXDVXHUYQUXQUYKVXAUXKNUYQUXTUUFWOUXTVXAVDZVROZSWH
        UXQVXJUYTSVXIVSVRUXTRWAWEWFWGWIUXQUXTVXAWJUXTRWJZRUXTRUUKUXQUXTRVIZVXKR
        WHUXQUYKVXLUYQUXTWNWOUXTRUUGWTUUHVUPVWHXGVXDXGBRVUCUXFSUGZUHVXHBRVXMUXF
        VUCUXFSYGUUIWLVWQUXQRVUDVXDVGZVUSVXEVURTQZVXERNUXQBRVXCVUDVUIVUEVVAVXCV
        UDNVUPXHVXBUXFSVUDXJVLZXIZVVDUXQVXNVVEVXDEVVFQZVXOVXQVVHUXQVXRVXCUXFTQZ
        BRULUXQVXSBRVUIVVJVUJVXSVVKVUOVXBVVJVUJVXSUXFSUXFVXCUXFTXNSVXCUXFTXNXOV
        NXPUXQBRVXCUXFTVXDEXQVUDVUDVVLVXPVUPUXQVXDXRVVNYAXSVXDEXTYBVURVXDYCYBZY
        DUULUXQVURUWSUUMUCZVXEPQZVURVXGPQUXQVYBVXEVYATQYJUXQVXEBRUXFFTQZUXFSUGZ
        UHZUIOZVYATUXQVXDVYEUIUXQBRVXCVYDVUIVXBVYCUXFSVUIVXBVWFYJZVYCVUCVXBVYGY
        KUXQVXBVUCVYGUXDRUXTUUNUUOYHVUIVYCVWFVUIVWFVUCUXFUXSNZUQZFUXFPQZVYCYJZV
        UIERUUPZVWFVYIYKAVYLUXPVUCARUYOEHUUQYIRUXDUXSEUURWOVUIVYJVUKVYJUQZVYHVY
        IVUIVUKVYJVUNYLVUIFWQNZVYHVYMYKVUIFAFRNZUXPVUCAFLUUSZYIZXBFUXFUVBWOVUIV
        UCVYHUXQVUCUUTYLUVAVUIFUXFVYQVUNYMUVCZYNUVDUVEUVKYFAVYFVYATQYJUXPMVHUVF
        UXQVYAVXEUXQVURUWSVVDVWEUVGVXTYMXSUXQVURUWSVXEVVDVWEVXTUVHYOYPUXQVWIUWS
        VXEVWQVWEVXTUVIXSYQUXQUYJFUXBUVJUCZUWSVWCUXQFUXBAVYOUXPVYPVHZUXQUXBUXAV
        ROZRUXQUXOUXBWUAWHUYLUXAUVLWOZUXQVUFUWTRNZWUAUWTTQWUARNVUGAWUCUXPAUWTUX
        NYEVHZUXQWUAUWTUXQVUFWUAWQNVUGUXAUVMWOUXQUWTWUDXBUXQUXBWUAUWTPWUBAUXOUX
        CUVNZYPUVOUXAUWTUVPYBUVQZUVRVWEUXQUYJBRUXEFSUGZUHZUIOZVYSTUXQVVPRVUDWUH
        VGUYIWUHVVFQZUYJWUITQVVSUXQBRWUGVUDUXQWUGVUDNZVUCUXQFVUDNZVVAWUKUXQVYNS
        FTQZWULUXQFVYTXBUXQFUXQFAFUVTNUXPLVHZUVSUWAZFXDXEXHUXEFSVUDXJVLVHZXIUXQ
        WUJUYHWUGTQZBRULUXQWUQBRUXQUYGWUQUXQUYGUQZUXFFUYHWUGTWURVYGVYCUYGVYGUXQ
        UXDUXAUXTUWBYHWURVYCVWFUXQUYGUXEVYKVWFYKZUXQUYFUXAUXDUXQUXAUXTUWIWPZUXQ
        UXEVUCWUSVUHVYRXFXFYNYOUYGUYHUXFWHUXQUYGUXFSYGYHWURUXEFSWUTUWCUWDUXQUYG
        YJZUQUYHSWUGTWVAUYHSWHUXQUYGUXFSUWEYHUXQSWUGTQZWVAUXQWUMSSTQZWVBWUOUWJU
        XEWUMWVCWVBFSFWUGSTYTSWUGSTYTXOVLVHYRUWFUWGUXQBRUYHWUGTUYIWUHXQVUDVUDVV
        LVVRWUPVWBUXQWUHXRYAXSUYIWUHXTYBUXQUXOUXBRNZFUYONZWUIVYSWHUYLWUFUXQVYOW
        UMWVEVYTWUOFWSXEBUXAFUWHYBYSUXQVYSUWSPQZUXCWUEUXQWVDUWSRNVYOSFPQWVFUXCY
        KWUFVWEVYTUXQFWUNUWKUXBUWSFUWLUWMXSYQUWNYRUXQDUXQDVWDUWOUWPYSUWRXPUXMUX
        CUXIGCUWTUDUXKUXLUWTUXBPYTUWQVN $.
    $}

    $( A sort of absolute continuity of the Lebesgue integral (this is the core
       of ~ ftc1a which is about actual absolute continuity).  (Contributed by
       Mario Carneiro, 1-Sep-2014.) $)
    itg2cn $p |- ( ph ->
      E. d e. RR+ A. u e. dom vol ( ( vol ` u ) < d ->
        ( S.2 ` ( x e. RR |-> if ( x e. u , ( F ` x ) , 0 ) ) ) < C ) ) $=
      ( vm vy cr cfv cle wbr cc0 citg2 cn wcel vn vz cv cmpt c2 cdiv co cmin wn
      cif cvol clt wel wi cdm wral crp rphalfcld ltsubrpd rpred resubcld ltnled
      wrex mpbid crn cxr csup wss wb wa cpnf cicc cico ffvelrnda elrege0 simpld
      sylib rexrd simprd elxrge0 sylanbrc 0e0iccpnf ifcl sylancl adantlr fmpttd
      wf itg2cl syl frnd supxrleub syl2anc itg2cnlem1 breq1d wfn ffnd breq1 weq
      ralrn breq2 ifbid mpteq2dv fveq2d eqid fvmpt ralbiia bitrdi 3bitr3d mtbid
      fvex rexnal sylibr adantr cmbf simprl simprr fveq2 ifbieq1d fveq2i breq1i
      cbvmptv sylnib itg2cnlem2 elequ1 imbi2i ralbii rexbii rexlimddv ) ABMBUCZ
      ENZKUCZOPZYJQUJZUDZRNZERNZDUEUFUGZUHUGZOPZUIZCUCUKNFUCULPZBMBCUMZYJQUJZUD
      ZRNZDULPZUNZCUKUOZUPZFUQVCZKSAYSKSUPZUIYTKSVCAYPYROPZUUKAYRYPULPUULUIAYPY
      QIADJURZUSAYRYPAYPYQIAYQUUMUTVAZIVBVDAUASBMYJUAUCZOPZYJQUJZUDZRNZUDZVEZVF
      ULVGZYROPZUBUCZYROPZUBUVAUPZUULUUKAUVAVFVHYRVFTUVCUVFVIASVFUUTAUASUUSVFAU
      UOSTZVJZMQVKVLUGZUURWGUUSVFTUVHBMUUQUVIAYIMTZUUQUVITZUVGAUVJVJZYJUVITZQUV
      ITUVKUVLYJVFTQYJOPZUVMUVLYJUVLYJMTZUVNUVLYJQVKVMUGZTUVOUVNVJAMUVPYIEGVNYJ
      VOVQZVPVRUVLUVOUVNUVQVSYJVTWAWBUUPYJQUVIWCWDWEWFUURWHWIWFZWJAYRUUNVRUBUVA
      YRWKWLAUVBYPYROABUAEGHIWMWNAUUTSWOZUVFUUKVIASVFUUTUVRWPUVSUVFYKUUTNZYROPZ
      KSUPUUKUVEUWAUBKSUUTUVDUVTYROWQWSUWAYSKSYKSTZUVTYOYROUAYKUUSYOSUUTUAKWRZU
      URYNRUWCBMUUQYMUWCUUPYLYJQUUOYKYJOWTXAXBXCUUTXDYNRXJXEWNXFXGWIXHXIYSKSXKX
      LAUWBYTVJZVJZUUALMLCUMZLUCZENZQUJZUDZRNZDULPZUNZCUUHUPZFUQVCUUJUWELCDEYKF
      AMUVPEWGUWDGXMAEXNTUWDHXMAYPMTUWDIXMADUQTUWDJXMAUWBYTXOUWEYSLMUWHYKOPZUWH
      QUJZUDZRNZYROPAUWBYTXPYOUWRYROYNUWQRBLMYMUWPBLWRZYLUWOYJUWHQUWSYJUWHYKOYI
      UWGEXQZWNUWTXRYAXSXTYBYCUUIUWNFUQUUGUWMCUUHUUFUWLUUAUUEUWKDULUUDUWJRBLMUU
      CUWIUWSUUBUWFYJUWHQBLCYDUWTXRYAXSXTYEYFYGXLYH $.
  $}

  ${
    ibllem.1 $e |- ( ( ph /\ x e. A ) -> B = C ) $.
    $( Conditioned equality theorem for the if statement.  (Contributed by
       Mario Carneiro, 31-Jul-2014.) $)
    ibllem $p |- ( ph -> if ( ( x e. A /\ 0 <_ B ) , B , 0 ) =
                         if ( ( x e. A /\ 0 <_ C ) , C , 0 ) ) $=
      ( cv wcel cc0 cle wbr wa breq2d pm5.32da ifbid wceq adantrr ifeq1da eqtrd
      cif ) ABGCHZIDJKZLZDITUAIEJKZLZDITUEEITAUCUEDIAUAUBUDAUALDEIJFMNOAUEDEIAU
      ADEPUDFQRS $.
  $}

  ${
    $d f k x y A $.  $d k y B $.  $d f k x F $.  $d k x y ph $.  $d x V $.
    isibl.1 $e |- ( ph -> G =
      ( x e. RR |-> if ( ( x e. A /\ 0 <_ T ) , T , 0 ) ) ) $.
    isibl.2 $e |- ( ( ph /\ x e. A ) -> T = ( Re ` ( B / ( _i ^ k ) ) ) ) $.
    ${
      isibl.3 $e |- ( ph -> dom F = A ) $.
      isibl.4 $e |- ( ( ph /\ x e. A ) -> ( F ` x ) = B ) $.
      $( The predicate " ` F ` is integrable".  The "integrable" predicate
         corresponds roughly to the range of validity of ` S. A B _d x ` ,
         which is to say that the expression ` S. A B _d x ` doesn't make sense
         unless ` ( x e. A |-> B ) e. L^1 ` .  (Contributed by Mario Carneiro,
         28-Jun-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
      isibl $p |- ( ph -> ( F e. L^1 <-> ( F e. MblFn /\
                    A. k e. ( 0 ... 3 ) ( S.2 ` G ) e. RR ) ) ) $=
        ( wcel cr cc0 cfv co cre cle wa vy vf cibl cmbf cv cdm ci cexp cdiv wbr
        cif cmpt citg2 c3 cfz wral csb wceq fvex breq2 anbi2d id ifbieq1d csbie
        dmeq eleq2d fveq1 fvoveq1d breq2d anbi12d syl5eq mpteq2dv fveq2d eleq1d
        ralbidv df-ibl elrab2 anbi1d ifbid eqtr4d ibllem eqtrd syl5bb ) GUCMGUD
        MZBNBUEZGUFZMZOWEGPZUGFUEUHQZUIQRPZSUJZTZWJOUKZULZUMPZNMZFOUNUOQZUPZTAW
        DHUMPZNMZFWQUPZTBNUAWEUBUEZPZWIUIQZRPZWEXBUFZMZOUAUEZSUJZTZXHOUKZUQZULZ
        UMPZNMZFWQUPWRUBGUDUCXBGURZXOWPFWQXPXNWONXPXMWNUMXPBNXLWMXPXLXGOXESUJZT
        ZXEOUKZWMUAXEXKXSXDRUSXHXEURZXJXRXHXEOXTXIXQXGXHXEOSUTVAXTVBVCVDXPXRWLX
        EWJOXPXGWGXQWKXPXFWFWEXBGVEVFXPXEWJOSXPXCWHWIRUIWEXBGVGVHZVIVJYAVCVKVLV
        MVNVOBUAUBFVPVQAWRXAWDAWPWTFWQAWOWSNAWNHUMAWNBNWECMZOESUJTEOUKZULHABNWM
        YCAWMYBWKTZWJOUKYCAWLYDWJOAWGYBWKAWFCWEKVFVRVSABCWJEAYBTZWJDWIUIQRPEYEW
        HDWIRUILVHJVTWAWBVLIVTVMVNVOVAWC $.
    $}

    isibl2.3 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    $( The predicate " ` F ` is integrable" when ` F ` is a mapping operation.
       (Contributed by Mario Carneiro, 31-Jul-2014.)  (Revised by Mario
       Carneiro, 23-Aug-2014.) $)
    isibl2 $p |- ( ph -> ( ( x e. A |-> B ) e. L^1 <->
  ( ( x e. A |-> B ) e. MblFn /\ A. k e. ( 0 ... 3 ) ( S.2 ` G ) e. RR ) ) ) $=
      ( vy cfv cdiv cre cr cc0 cle wa nfcv cv cmpt ci cexp co wcel wbr nffvmpt1
      cif nfov nffv nfbr nfan nfif wceq eleq1w fvoveq1d breq2d anbi12d ifbieq1d
      nfv fveq2 cbvmpt simpr fvmpt2 syl2anc eqtr4d ibllem mpteq2dv syl5eq eqidd
      eqid dmmptd isibl ) ALCLUAZBCDUBZMZVQUCFUAUDUEZNUEZOMZFVPGAGBPBUAZCUFZQER
      UGSEQUIZUBZLPVOCUFZQVTRUGZSZVTQUIZUBZIAWIBPWBQWAVPMZVRNUEOMZRUGZSZWKQUIZU
      BWDLBPWHWNWGBVTQWEWFBWEBVABQVTRBQTZBRTBVSOBOTBVQVRNBCDVOUHBNTBVRTUJUKZULU
      MWPWOUNLWNTVOWAUOZWGWMVTWKQWQWEWBWFWLLBCUPWQVTWKQRWQVQWJVRONVOWAVPVBUQZUR
      USWRUTVCABPWNWCABCWKEAWBSZWKDVRNUEOMEWSWJDVRONWSWBDHUFWJDUOAWBVDKBCDHVPVP
      VLZVEVFUQJVGVHVIVJVGAWESZVTVKABVPCDHWTKVMXAVQVKVN $.
  $}

  ${
    $d f k x y A $.  $d k y B $.  $d k G $.  $d k x y K $.  $d k x y ph $.
    $d y T $.  $d x V $.
    $( An integrable function is measurable.  (Contributed by Mario Carneiro,
       7-Jul-2014.) $)
    iblmbf $p |- ( F e. L^1 -> F e. MblFn ) $=
      ( vx vy vf vk cibl cmbf cr cv cfv ci cexp cdiv cre cdm wcel cc0 cle wbr
      co wa cif csb cmpt citg2 c3 cfz wral df-ibl ssrab3 sseli ) FGABHCBIZDIZJK
      EILTMTNJULUMOPQCIZRSUAUNQUBUCUDUEJHPEQUFUGTUHDGFBCDEUIUJUK $.

    iblitg.1 $e |- ( ph -> G =
      ( x e. RR |-> if ( ( x e. A /\ 0 <_ T ) , T , 0 ) ) ) $.
    iblitg.2 $e |- ( ( ph /\ x e. A ) -> T = ( Re ` ( B / ( _i ^ K ) ) ) ) $.
    iblitg.3 $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    iblitg.4 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    $( If a function is integrable, then the ` S.2 ` integrals of the
       function's decompositions all exist.  (Contributed by Mario Carneiro,
       7-Jul-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
    iblitg $p |- ( ( ph /\ K e. ZZ ) -> ( S.2 ` G ) e. RR ) $=
      ( wcel wa citg2 cfv cr cc0 co cdiv vk cz cv cmo cexp cre cle wbr cif cmpt
      wceq adantr adantlr iexpcyc oveq2d fveq2d ad2antlr eqtr4d ibllem mpteq2dv
      ci c4 eqtrd cfz oveq2 breq2d anbi2d ifbieq1d eleq1d wral cmbf cibl isibl2
      c3 eqidd mpbid simprd c1 cn 4nn zmodfz mpan2 4m1e3 oveq2i eleqtrdi adantl
      cmin rspcdva eqeltrd ) AGUBMZNZFOPBQBUCCMZRDVAGVBUDSZUESZTSZUFPZUGUHZNZWP
      RUIZUJZOPZQWKFWTOWKFBQWLREUGUHNERUIZUJZWTAFXCUKWJIULWKBQXBWSWKBCEWPWKWLNE
      DVAGUESZTSZUFPZWPAWLEXFUKWJJUMWJWPXFUKAWLWJWOXEUFWJWNXDDTGUNUOUPUQURUSUTV
      CUPWKBQWLRDVAUAUCZUESZTSZUFPZUGUHZNZXJRUIZUJZOPZQMZXAQMUARVNVDSZWMXGWMUKZ
      XOXAQXRXNWTOXRBQXMWSXRXLWRXJWPRXRXKWQWLXRXJWPRUGXRXIWOUFXRXHWNDTXGWMVAUEV
      EUOUPZVFVGXSVHUTUPVIAXPUAXQVJZWJABCDUJZVKMZXTAYAVLMYBXTNKABCDXJUAXNHAXNVO
      AWLNXJVOLVMVPVQULWJWMXQMAWJWMRVBVRWGSZVDSZXQWJVBVSMWMYDMVTGVBWAWBYCVNRVDW
      CWDWEWFWHWI $.
  $}

  ${
    $d k x y $.  $d k y A $.  $d k y B $.  $d y T $.
    dfitg.1 $e |- T = ( Re ` ( B / ( _i ^ k ) ) ) $.
    $( Evaluate the class substitution in ~ df-itg .  (Contributed by Mario
       Carneiro, 28-Jun-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
    dfitg $p |- S. A B _d x = sum_ k e. ( 0 ... 3 ) ( ( _i ^ k ) x.
             ( S.2 ` ( x e. RR |-> if ( ( x e. A /\ 0 <_ T ) , T , 0 ) ) ) ) $=
      ( vy cc0 co cv cr cre cfv wcel cle wbr wa cif citg2 cmul citg c3 cfz cexp
      ci cdiv csb cmpt df-itg wceq fvex id eqtr4di breq2d anbi2d ifbieq1d csbie
      csu mpteq2i fveq2i oveq2i a1i sumeq2i eqtri ) ABCUAHUBUCIZUEEJZUDIZAKGCVG
      UFIZLMZAJBNZHGJZOPZQZVKHRZUGZUHZSMZTIZEURVEVGAKVJHDOPZQZDHRZUHZSMZTIZEURA
      GBCEUIVEVRWDEVRWDUJVFVENVQWCVGTVPWBSAKVOWAGVIVNWAVHLUKVKVIUJZVMVTVKDHWEVL
      VSVJWEVKDHOWEVKVIDWEULFUMZUNUOWFUPUQUSUTVAVBVCVD $.
  $}

  ${
    $d k x y $.  $d k y A $.  $d k y B $.  $d k C $.
    $( An integral is a set.  (Contributed by Mario Carneiro, 28-Jun-2014.) $)
    itgex $p |- S. A B _d x e. _V $=
      ( vk vy citg cc0 c3 cfz co ci cv cexp cr cdiv cre cfv wcel cle wbr wa cif
      csb cmpt citg2 cmul csu cvv df-itg sumex eqeltri ) ABCFGHIJZKDLMJZANECUMO
      JPQALBRGELZSTUAUNGUBUCUDUEQUFJZDUGUHAEBCDUIULUODUJUK $.

    itgeq1f.1 $e |- F/_ x A $.
    itgeq1f.2 $e |- F/_ x B $.
    $( Equality theorem for an integral.  (Contributed by Mario Carneiro,
       28-Jun-2014.) $)
    itgeq1f $p |- ( A = B -> S. A C _d x = S. B C _d x ) $=
      ( vk wceq cc0 co cv cr wcel cfv wa cif cmpt citg2 cmul csu c3 cfz ci cexp
      cdiv cre cle wbr citg wral eqid nfeq eleq2 anbi1d ralrimi mpteq12 sylancr
      ifbid a1d fveq2d oveq2d sumeq2sdv dfitg 3eqtr4g ) BCHZIUAUBJZUCGKUDJZALAK
      ZBMZIDVGUEJUFNZUGUHZOZVJIPZQZRNZSJZGTVFVGALVHCMZVKOZVJIPZQZRNZSJZGTABDUIA
      CDUIVEVFVPWBGVEVOWAVGSVEVNVTRVELLHVMVSHZALUJVNVTHLUKVEWCALABCEFULVEWCVHLM
      VEVLVRVJIVEVIVQVKBCVHUMUNURUSUOALVMLVSUPUQUTVAVBABDVJGVJUKZVCACDVJGWDVCVD
      $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Equality theorem for an integral.  (Contributed by Mario Carneiro,
       28-Jun-2014.) $)
    itgeq1 $p |- ( A = B -> S. A C _d x = S. B C _d x ) $=
      ( nfcv itgeq1f ) ABCDABEACEF $.
  $}

  ${
    $d k x z $.  $d k z A $.  $d k z B $.
    $( Bound-variable hypothesis builder for an integral.  (Contributed by
       Mario Carneiro, 28-Jun-2014.) $)
    nfitg1 $p |- F/_ x S. A B _d x $=
      ( vk vz citg cc0 c3 cfz co ci cv cexp cr cdiv cre cfv citg2 cmul nfcv cle
      wcel wbr wa cif csb cmpt csu df-itg nfmpt1 nffv nfov nfsum nfcxfr ) AABCF
      GHIJZKDLMJZANECUPOJPQALBUBGELZUAUCUDUQGUEUFZUGZRQZSJZDUHAEBCDUIAUOVADAUOT
      AUPUTSAUPTASTAUSRARTANURUJUKULUMUN $.
  $}

  ${
    $d k x y $.  $d k A $.  $d k B $.
    nfitg.1 $e |- F/_ y A $.
    nfitg.2 $e |- F/_ y B $.
    $( Bound-variable hypothesis builder for an integral: if ` y ` is
       (effectively) not free in ` A ` and ` B ` , it is not free in
       ` S. A B _d x ` .  (Contributed by Mario Carneiro, 28-Jun-2014.) $)
    nfitg $p |- F/_ y S. A B _d x $=
      ( vk cc0 co cv cr cdiv cre cfv cle citg2 cmul nfcv nfov nffv citg c3 cexp
      cfz ci wcel wbr cif cmpt csu eqid dfitg nfcri nfbr nfan nfif nfmpt nfcxfr
      wa nfsum ) BACDUAHUBUDIZUEGJUCIZAKAJCUFZHDVBLIZMNZOUGZUSZVEHUHZUIZPNZQIZG
      UJACDVEGVEUKULBVAVKGBVARBVBVJQBVBRZBQRBVIPBPRBAKVHBKRVGBVEHVCVFBBACEUMBHV
      EOBHRZBORBVDMBMRBDVBLFBLRVLSTZUNUOVNVMUPUQTSUTUR $.
  $}

  ${
    $d k x y A $.  $d k B $.  $d k C $.
    cbvitg.1 $e |- ( x = y -> B = C ) $.
    ${
      cbvitg.2 $e |- F/_ y B $.
      cbvitg.3 $e |- F/_ x C $.
      $( Change bound variable in an integral.  (Contributed by Mario Carneiro,
         28-Jun-2014.) $)
      cbvitg $p |- S. A B _d x = S. A C _d y $=
        ( vk cc0 co cv cr wcel cdiv cre cfv cle citg2 nfcv c3 cfz ci wbr wa cif
        cexp cmpt cmul csu citg wceq nfv nfov nffv nfbr nfan nfif eleq1w breq2d
        weq fvoveq1d anbi12d ifbieq1d cbvmpt fveq2d oveq2d sumeq2i eqid 3eqtr4i
        a1i dfitg ) JUAUBKZUCILZUGKZAMALCNZJDVOOKZPQZRUDZUEZVRJUFZUHZSQZUIKZIUJ
        VMVOBMBLCNZJEVOOKZPQZRUDZUEZWGJUFZUHZSQZUIKZIUJACDUKBCEUKVMWDWMIVNVMNZW
        CWLVOUIWNWBWKSWBWKULWNABMWAWJVTBVRJVPVSBVPBUMBJVRRBJTZBRTBVQPBPTBDVOOGB
        OTBVOTUNUOZUPUQWPWOURWIAWGJWEWHAWEAUMAJWGRAJTZARTAWFPAPTAEVOOHAOTAVOTUN
        UOZUPUQWRWQURABVAZVTWIVRWGJWSVPWEVSWHABCUSWSVRWGJRWSDEVOPOFVBZUTVCWTVDV
        EVKVFVGVHACDVRIVRVIVLBCEWGIWGVIVLVJ $.
    $}

    $d y B $.  $d x C $.
    $( Change bound variable in an integral.  (Contributed by Mario Carneiro,
       28-Jun-2014.) $)
    cbvitgv $p |- S. A B _d x = S. A C _d y $=
      ( nfcv cbvitg ) ABCDEFBDGAEGH $.
  $}

  ${
    $d k x $.  $d k A $.  $d k B $.  $d k C $.
    $( Equality theorem for an integral.  (Contributed by Mario Carneiro,
       28-Jun-2014.) $)
    itgeq2 $p |- ( A. x e. A B = C -> S. A B _d x = S. A C _d x ) $=
      ( vk wceq wral cc0 co cv cr wcel cdiv cre cfv cle wbr citg2 cmul eqid cfz
      c3 ci cexp wa cif cmpt csu citg wi wn simpl con3i iffalsed eqtr4d fvoveq1
      breq2d anbi2d ifbieq1d ja ralimi2 mpteq12 sylancr fveq2d oveq2d sumeq2sdv
      a1d dfitg 3eqtr4g ) CDFZABGZHUBUAIZUCEJUDIZAKAJZBLZHCVMMINOZPQZUEZVPHUFZU
      GZROZSIZEUHVLVMAKVOHDVMMINOZPQZUEZWCHUFZUGZROZSIZEUHABCUIABDUIVKVLWBWIEVK
      WAWHVMSVKVTWGRVKKKFVSWFFZAKGVTWGFKTVJWJABKVOVJUJWJVNKLVOVJWJVOUKZVSHWFWKV
      RVPHVRVOVOVQULUMUNWKWEWCHWEVOVOWDULUMUNUOVJVRWEVPWCHVJVQWDVOVJVPWCHPCDVMN
      MUPZUQURWLUSUTVGVAAKVSKWFVBVCVDVEVFABCVPEVPTVHABDWCEWCTVHVI $.

    $( The domain of an integral only matters in its intersection with ` RR ` .
       (Contributed by Mario Carneiro, 29-Jun-2014.) $)
    itgresr $p |- S. A B _d x = S. ( A i^i RR ) B _d x $=
      ( vk cc0 c3 cfz co cv cr wcel cfv wa cif cmpt citg2 cmul csu citg dfitg
      ci cexp cdiv cre cle wbr cin simpr biantrud elin bitr4di anbi1d mpteq2dva
      ifbid fveq2d oveq2d sumeq2i eqid 3eqtr4i ) EFGHZUADIZUBHZAJAIZBKZECVBUCHU
      DLZUEUFZMZVEENZOZPLZQHZDRUTVBAJVCBJUGZKZVFMZVEENZOZPLZQHZDRABCSAVLCSUTVKV
      RDVAUTKZVJVQVBQVSVIVPPVSAJVHVOVSVCJKZMZVGVNVEEWAVDVMVFWAVDVDVTMVMWAVTVDVS
      VTUHUIVCBJUJUKULUNUMUOUPUQABCVEDVEURZTAVLCVEDWBTUS $.

    $( The integral of anything on the empty set is zero.  (Contributed by
       Mario Carneiro, 13-Aug-2014.) $)
    itg0 $p |- S. (/) A _d x = 0 $=
      ( vk c0 citg cc0 c3 co ci cv cr wcel cfv cif cmpt citg2 cmul csu eqtri cc
      cfz cexp cdiv cre cle wbr eqid dfitg csn cxp ifan noel iffalsei fconstmpt
      wa mpteq2i eqtr4i fveq2i itg20 oveq2i ax-icn elfznn0 expcl sylancr mul01d
      cn0 syl5eq sumeq2i cuz wss cfn wo wceq fzfi olci sumz ax-mp ) ADBEFGUAHZI
      CJZUBHZAKAJZDLZFBVTUCHUDMZUEUFZUOWCFNZOZPMZQHZCRZFADBWCCWCUGUHWIVRFCRZFVR
      WHFCVSVRLZWHVTFQHFWGFVTQWGKFUIUJZPMFWFWLPWFAKFOWLAKWEFWEWBWDWCFNZFNFWBWDW
      CFUKWBWMFWAULUMSUPAKFUNUQURUSSUTWKVTWKITLVSVFLVTTLVAVSGVBIVSVCVDVEVGVHVRF
      VIMVJZVRVKLZVLWJFVMWOWNFGVNVOVRCFVPVQSS $.

    $( The integral of zero on any set is zero.  (Contributed by Mario
       Carneiro, 29-Jun-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
    itgz $p |- S. A 0 _d x = 0 $=
      ( vk cc0 c3 co ci cv cr wcel cre cfv cif cmpt citg2 cmul cc ax-icn eqtrdi
      csu citg cfz cexp cdiv cle wbr wa dfitg csn cxp cn0 elfznn0 expcl sylancr
      eqid wne cz ine0 elfzelz expne0i mp3an12i fveq2d re0 ifeq1d ifid mpteq2dv
      div0d fconstmpt eqtr4di itg20 oveq2d mul01d eqtrd sumeq2i cuz wss wo wceq
      cfn fzfi olci sumz ax-mp 3eqtri ) ABDUADEUBFZGCHZUCFZAIAHBJDDWGUDFZKLZUEU
      FUGZWIDMZNZOLZPFZCTWEDCTZDABDWICWIUOUHWEWNDCWFWEJZWNWGDPFDWPWMDWGPWPWMIDU
      IUJZOLDWPWLWQOWPWLAIDNWQWPAIWKDWPWKWJDDMDWPWJWIDDWPWIDKLDWPWHDKWPWGWPGQJZ
      WFUKJWGQJRWFEULGWFUMUNZWRGDUPWPWFUQJWGDUPRURWFDEUSGWFUTVAVGVBVCSVDWJDVESV
      FAIDVHVIVBVJSVKWPWGWSVLVMVNWEDVOLVPZWEVSJZVQWODVRXAWTDEVTWAWECDWBWCWD $.
  $}

  ${
    $d x ph $.
    itgeq2dv.1 $e |- ( ( ph /\ x e. A ) -> B = C ) $.
    $( Equality theorem for an integral.  (Contributed by Mario Carneiro,
       7-Jul-2014.) $)
    itgeq2dv $p |- ( ph -> S. A B _d x = S. A C _d x ) $=
      ( wceq wral citg ralrimiva itgeq2 syl ) ADEGZBCHBCDIBCEIGAMBCFJBCDEKL $.
  $}

  ${
    $d k x y A $.  $d k y B $.  $d k x ph $.  $d x V $.
    itgmpt.1 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    $( Change bound variable in an integral.  (Contributed by Mario Carneiro,
       29-Jun-2014.) $)
    itgmpt $p |- ( ph -> S. A B _d x = S. A ( ( x e. A |-> B ) ` y ) _d y ) $=
      ( cv cmpt cfv citg fveq2 nffvmpt1 nfcv cbvitg wcel wa wceq simpr eqid
      fvmpt2 syl2anc itgeq2dv eqtr2id ) ACDCHZBDEIZJZKBDBHZUFJZKBDEKCBDUGUIUEUH
      UFLBDEUEMCUINOABDUIEAUHDPZQUJEFPUIERAUJSGBDEFUFUFTUAUBUCUD $.

    itgcl.2 $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    $( The integral of an integrable function is a complex number.  This is
       Metamath 100 proof #86.  (Contributed by Mario Carneiro,
       29-Jun-2014.) $)
    itgcl $p |- ( ph -> S. A B _d x e. CC ) $=
      ( vk citg cc0 c3 co ci cv cr wcel cfv wa cc eqidd cfz cexp cdiv cre citg2
      cle wbr cif cmpt cmul csu dfitg fzfid ax-icn elfznn0 adantl expcl sylancr
      eqid cn0 cz elfzelz iblitg sylan2 recnd mulcld fsumcl eqeltrid ) ABCDIJKU
      ALZMHNZUBLZBOBNCPZJDVKUCLUDQZUFUGRVMJUHUIZUEQZUJLZHUKSBCDVMHVMUSULAVIVPHA
      JKUMAVJVIPZRZVKVOVRMSPVJUTPZVKSPUNVQVSAVJKUOUPMVJUQURVRVOVQAVJVAPVOOPVJJK
      VBABCDVMVNVJEAVNTAVLRVMTGFVCVDVEVFVGVH $.
  $}

  ${
    $d x k $.  $d x K $.
    itgvallem.1 $e |- ( _i ^ K ) = T $.
    $( Substitution lemma.  (Contributed by Mario Carneiro, 7-Jul-2014.)
       (Revised by Mario Carneiro, 23-Aug-2014.) $)
    itgvallem $p |- ( k = K -> ( S.2 ` ( x e. RR |->
        if ( ( x e. A /\ 0 <_ ( Re ` ( B / ( _i ^ k ) ) ) ) ,
             ( Re ` ( B / ( _i ^ k ) ) ) , 0 ) ) ) =
             ( S.2 ` ( x e. RR |->
        if ( ( x e. A /\ 0 <_ ( Re ` ( B / T ) ) ) ,
             ( Re ` ( B / T ) ) , 0 ) ) ) ) $=
      ( cv cr cc0 ci cexp co cdiv cre cfv cle wbr wa cif wceq wcel citg2 eqtrdi
      cmpt oveq2 oveq2d fveq2d breq2d anbi2d ifbieq1d mpteq2dv ) EHZFUAZAIAHBUB
      ZJCKUMLMZNMZOPZQRZSZURJTZUEAIUOJCDNMZOPZQRZSZVCJTZUEUCUNAIVAVFUNUTVEURVCJ
      UNUSVDUOUNURVCJQUNUQVBOUNUPDCNUNUPKFLMDUMFKLUFGUDUGUHZUIUJVGUKULUH $.
  $}

  ${
    $d x ph $.
    itgvallem3.1 $e |- ( ( ph /\ x e. A ) -> B = 0 ) $.
    $( Lemma for ~ itgposval and ~ itgreval .  (Contributed by Mario Carneiro,
       7-Jul-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
    itgvallem3 $p |- ( ph ->
      ( S.2 ` ( x e. RR |-> if ( ( x e. A /\ 0 <_ B ) , B , 0 ) ) ) = 0 ) $=
      ( cr cv wcel cc0 cle wbr wa cif cmpt citg2 cfv csn cxp wceq eqtrdi fveq2d
      adantrr ifeq1da ifid mpteq2dv fconstmpt eqtr4di itg20 ) ABFBGCHZIDJKZLZDI
      MZNZOPFIQRZOPIAUMUNOAUMBFINUNABFULIAULUKIIMIAUKDIIAUIDISUJEUBUCUKIUDTUEBF
      IUFUGUAUHT $.
  $}

  ${
    $d k x A $.
    $( The zero function is integrable on any measurable set.  (Unlike
       ~ iblconst , this does not require ` A ` to have finite measure.)
       (Contributed by Mario Carneiro, 23-Aug-2014.) $)
    ibl0 $p |- ( A e. dom vol -> ( A X. { 0 } ) e. L^1 ) $=
      ( vx vk cvol cdm wcel cc0 csn cr cv ci co cre cfv wa c3 wceq eqidd c0ex
      cc cxp cibl cmbf cexp cdiv cle wbr cif cmpt citg2 cfz wral mbfconst mpan2
      0cn wne cz ax-icn ine0 elfzelz ad2antlr w3a expclz expne0i div0d mp3an12i
      fveq2d re0 eqtrdi itgvallem3 0re eqeltrdi ralrimiva wf fconst mp1i adantl
      fdm fvconst2 isibl mpbir2and ) ADEFZAGHZUAZUBFWDUCFZBIBJZAFZGGKCJZUDLZUEL
      ZMNZUFUGOWKGUHUIZUJNZIFZCGPUKLZULWBGTFWEUOAGUMUNWBWNCWOWBWHWOFZOZWMGIWQBA
      WKWQWGOZWKGMNGWRWJGMKTFZKGUPZWRWHUQFZWJGQURUSWPXAWBWGWHGPUTVAWSWTXAVBWIKW
      HVCKWHVDVEVFVGVHVIVJVKVLVMWBBAGWKCWDWLWBWLRWBWGOWKRAWCWDVNWDEAQWBAGSVOAWC
      WDVRVPWGWFWDNGQWBAGWFSVSVQVTWA $.
  $}

  ${
    $d k x A $.  $d k B $.  $d k x ph $.  $d x V $.
    itgcnlem.r $e |- R = ( S.2 ` ( x e. RR |->
      if ( ( x e. A /\ 0 <_ ( Re ` B ) ) , ( Re ` B ) , 0 ) ) ) $.
    itgcnlem.s $e |- S = ( S.2 ` ( x e. RR |->
      if ( ( x e. A /\ 0 <_ -u ( Re ` B ) ) , -u ( Re ` B ) , 0 ) ) ) $.
    itgcnlem.t $e |- T = ( S.2 ` ( x e. RR |->
      if ( ( x e. A /\ 0 <_ ( Im ` B ) ) , ( Im ` B ) , 0 ) ) ) $.
    itgcnlem.u $e |- U = ( S.2 ` ( x e. RR |->
      if ( ( x e. A /\ 0 <_ -u ( Im ` B ) ) , -u ( Im ` B ) , 0 ) ) ) $.
    ${
      itgcnlem1.v $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
      $( Lemma for ~ iblcnlem .  (Contributed by Mario Carneiro, 6-Aug-2014.)
         (Revised by Mario Carneiro, 23-Aug-2014.) $)
      iblcnlem1 $p |- ( ph ->
        ( ( x e. A |-> B ) e. L^1 <-> ( ( x e. A |-> B ) e. MblFn /\
          ( R e. RR /\ S e. RR ) /\ ( T e. RR /\ U e. RR ) ) ) ) $=
        ( vk wcel cr cc0 ci cfv wa cmpt cibl cmbf cv cexp co cdiv cre cle citg2
        wbr cif c3 cfz wral w3a cc eqidd isibl2 c1 cpr c2 c0ex wceq ax-icn exp0
        1ex ax-mp itgvallem eleq1d exp1 ralpr div1d fveq2d mpteq2dv eqtr4di cim
        ibllem syl eqtr2id anbi12d syl5bb cneg 2ex 3ex i2 renegd ax-1cn negnegi
        imval i3 oveq2i negcld syl5eq wne negcli neg1ne0 div2neg mp3an23 eqtr3d
        imnegd eqcomi ine0 negne0i 3eqtr3d cun fz0to3un2pr raleqi bitri 3bitr4g
        ralunb an4 anbi2d 3anass bitr4di bitrd ) ABCDUAZUBOXQUCOZBPBUDCOZQDRNUD
        ZUEUFUGUFUHSZUIUKTYAQULUAZUJSZPOZNQUMUNUFZUOZTZXREPOZFPOZTZGPOZHPOZTZUP
        ZABCDYANYBUQAYBURAXSTZYAURMUSAYGXRYJYMTZTYNAYFYPXRAYDNQUTVAZUOZYDNVBUMV
        AZUOZTZYHYKTZYIYLTZTYFYPAYRUUBYTUUCYRBPXSQDUTUGUFZUHSZUIUKTUUEQULZUAZUJ
        SZPOZBPXSQDRUGUFUHSZUIUKTUUJQULZUAZUJSZPOZTAUUBYDUUIUUNNQUTVCVGXTQVDYCU
        UHPBCDUTNQRUQOZRQUEUFUTVDVERVFVHVIVJXTUTVDYCUUMPBCDRNUTUUORUTUEUFRVDVER
        VKVHVIVJVLAUUIYHUUNYKAUUHEPAUUHBPXSQDUHSZUIUKTUUPQULZUAZUJSEAUUGUURUJAB
        PUUFUUQABCUUEUUPYOUUDDUHYODMVMVNVRVOVNIVPVJAUUMGPAGBPXSQDVQSZUIUKTUUSQU
        LZUAZUJSUUMKAUVAUULUJABPUUTUUKABCUUSUUJYODUQOZUUSUUJVDMDWJVSVRVOVNVTVJW
        AWBYTBPXSQDUTWCZUGUFZUHSZUIUKTUVEQULZUAZUJSZPOZBPXSQDRWCZUGUFZUHSZUIUKT
        UVLQULZUAZUJSZPOZTAUUCYDUVIUVPNVBUMWDWEXTVBVDYCUVHPBCDUVCNVBWFVIVJXTUMV
        DYCUVOPBCDUVJNUMWKVIVJVLAUVIYIUVPYLAUVHFPAFBPXSQUUPWCZUIUKTUVQQULZUAZUJ
        SUVHJAUVSUVGUJABPUVRUVFABCUVQUVEYODWCZUHSUVQUVEYODMWGYOUVTUVDUHYOUVTUVC
        WCZUGUFZUVTUVDYOUWBUVTUTUGUFUVTUWAUTUVTUGUTWHWIWLYOUVTYODMWMZVMWNYOUVBU
        WBUVDVDZMUVBUVCUQOUVCQWOUWDUTWHWPWQDUVCWRWSVSWTVNWTVRVOVNVTVJAUVOHPAHBP
        XSQUUSWCZUIUKTUWEQULZUAZUJSUVOLAUWGUVNUJABPUWFUVMABCUWEUVLYOUVTVQSZUVTR
        UGUFZUHSZUWEUVLYOUVTUQOUWHUWJVDUWCUVTWJVSYODMXAYOUWIUVKUHYOUWIUVTUVJWCZ
        UGUFZUVKRUWKUVTUGUWKRRVEWIXBWLYOUVBUWLUVKVDZMUVBUVJUQOUVJQWOUWMRVEWPRVE
        XCXDDUVJWRWSVSWNVNXEVRVOVNVTVJWAWBWAYFYDNYQYSXFZUOUUAYDNYEUWNXGXHYDNYQY
        SXKXIYHYIYKYLXLXJXMXRYJYMXNXOXP $.
    $}

    itgcnlem.v $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    $( Expand out the universal quantifier in ~ isibl2 .  (Contributed by Mario
       Carneiro, 6-Aug-2014.) $)
    iblcnlem $p |- ( ph ->
      ( ( x e. A |-> B ) e. L^1 <-> ( ( x e. A |-> B ) e. MblFn /\
        ( R e. RR /\ S e. RR ) /\ ( T e. RR /\ U e. RR ) ) ) ) $=
      ( wcel cr wa cc0 cfv citg2 cmpt cmbf w3a wi iblmbf a1i simp1 wb cc cif cv
      cibl cre cle wbr cneg cim eqid 0cn elimel iblcnlem1 adantr wceq wral mbff
      wf cdm dmmptd biimpa sylan2 fmpt sylibr iftrue ralimi syl mpteq12 sylancr
      feq2d eleq1d imim2i imp fveq2d ibllem a1d ralimi2 eqtr4di anbi12d 3bitr3d
      negeqd 3anbi123d ex pm5.21ndd ) ABCDUAZUBOZWMULOZWNEPOZFPOZQZGPOZHPOZQZUC
      ZWOWNUDAWMUEUFXBWNUDAWNWRXAUGUFAWNWOXBUHAWNQZBCDUIOZDRUJZUAZULOZXFUBOZBPB
      UKZCOZRXEUMSZUNUOQXKRUJZUAZTSZPOZBPXJRXKUPZUNUOQXPRUJZUAZTSZPOZQZBPXJRXEU
      QSZUNUOQYBRUJZUAZTSZPOZBPXJRYBUPZUNUOQYGRUJZUAZTSZPOZQZUCZWOXBAXGYMUHWNAB
      CXEXNXSYEYJXNURXSURYEURYJURXEUIOAXJQDRUIUSUTUFVAVBXCXFWMULXCCCVCXEDVCZBCV
      DZXFWMVCCURXCXDBCVDZYOXCCUIWMVFZYPWNAWMVGZUIWMVFZYQWMVEAYSYQAYRCUIWMABWMC
      DIWMURZNVHVRVIVJBCUIDWMYTVKVLZXDYNBCXDDRVMZVNVOBCXECDVPVQZVSXCXHWNYAWRYLX
      AXCXFWMUBUUCVSXCXOWPXTWQXCXNEPXCXNBPXJRDUMSZUNUOQUUDRUJZUAZTSEXCXMUUFTXCP
      PVCZXLUUEVCZBPVDZXMUUFVCPURZXCYPUUIUUAXDUUHBCPXJXDUDZUUHXIPOZUUKBCXKUUDUU
      KXJQZXEDUMUUKXJYNXDYNXJUUBVTWAZWBZWCWDWEVOBPXLPUUEVPVQWBJWFVSXCXSFPXCXSBP
      XJRUUDUPZUNUOQUUPRUJZUAZTSFXCXRUURTXCUUGXQUUQVCZBPVDZXRUURVCUUJXCYPUUTUUA
      XDUUSBCPUUKUUSUULUUKBCXPUUPUUMXKUUDUUOWIWCWDWEVOBPXQPUUQVPVQWBKWFVSWGXCYF
      WSYKWTXCYEGPXCYEBPXJRDUQSZUNUOQUVARUJZUAZTSGXCYDUVCTXCUUGYCUVBVCZBPVDZYDU
      VCVCUUJXCYPUVEUUAXDUVDBCPUUKUVDUULUUKBCYBUVAUUMXEDUQUUNWBZWCWDWEVOBPYCPUV
      BVPVQWBLWFVSXCYJHPXCYJBPXJRUVAUPZUNUOQUVGRUJZUAZTSHXCYIUVITXCUUGYHUVHVCZB
      PVDZYIUVIVCUUJXCYPUVKUUAXDUVJBCPUUKUVJUULUUKBCYGUVGUUMYBUVAUVFWIWCWDWEVOB
      PYHPUVHVPVQWBMWFVSWGWJWHWKWL $.

    itgcnlem.i $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    $( Expand out the sum in ~ dfitg .  (Contributed by Mario Carneiro,
       1-Aug-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
    itgcnlem $p |- ( ph ->
      S. A B _d x = ( ( R - S ) + ( _i x. ( T - U ) ) ) ) $=
      ( co ci cmul cc0 wcel vk citg cmin caddc cneg c3 cfz cv cexp cdiv cre cfv
      cr cle wbr wa cif cmpt citg2 csu eqid dfitg cn0 wceq c2 nn0uz df-3 eqtrdi
      oveq2 i3 itgvallem oveq12d cc ax-icn a1i expcl sylan cz nn0z eqidd iblitg
      recnd sylan2 mulcld c1 df-2 i2 1e0p1 exp1 ax-mp cibl cmbf iblmbf mbfmptcl
      syl div1d fveq2d ibllem mpteq2dv eqtr4id oveq2d w3a iblcnlem mpbid simp2d
      0z simpld mulid2d eqtr3d eqeltrd exp0 fsum1 sylancr eqtrd jctil cim imval
      eqtr2id fsump1i renegd ax-1cn negnegi oveq2i negcld syl5eq negcli neg1ne0
      0nn0 wne div2neg mp3an23 simprd mulm1d simp3d mulcl addcld negsubd 3eqtrd
      addsubd imnegd eqcomi ine0 negne0i 3eqtr3d mulneg12 subcld addassd adddid
      ) ABCDUBZEFUCPZQGRPZUDPZQHUEZRPZUDPZUUJUUKUUNUDPZUDPUUJQGHUCPZRPZUDPAUUIS
      UFUGPQUAUHZUIPZBUMBUHCTZSDUUTUJPUKULZUNUOUPUVBSUQURZUSULZRPZUAUTZUUOBCDUV
      BUAUVBVAVBAUFVCTUVFUUOVDAUVEQUEZBUMUVASDUVGUJPZUKULZUNUOUPUVISUQZURZUSULZ
      RPZUULUUOUAVESUFVCVFVGUUSUFVDZUUTUVGUVDUVLRUVNUUTQUFUIPUVGUUSUFQUIVIVJVHB
      CDUVGUAUFVJVKVLAUUSVCTZUPUUTUVDAQVMTZUVOUUTVMTUVPAVNVOZQUUSVPVQUVOAUUSVRT
      ZUVDVMTUUSVSAUVRUPUVDABCDUVBUVCUUSIAUVCVTAUVAUPZUVBVTONWAWBWCWDZAUVEWEUEZ
      BUMUVASDUWAUJPZUKULZUNUOUPUWCSUQZURZUSULZRPZEUUKUDPZUULUAWESVEVCVFWFUUSVE
      VDZUUTUWAUVDUWFRUWIUUTQVEUIPUWAUUSVEQUIVIWGVHBCDUWAUAVEWGVKVLUVTAUVEQBUMU
      VASDQUJPUKULZUNUOUPUWJSUQZURZUSULZRPZEUWHUASSWEVCVFWHUUSWEVDZUUTQUVDUWMRU
      WOUUTQWEUIPZQUUSWEQUIVIUVPUWPQVDVNQWIWJZVHBCDQUAWEUWQVKVLUVTASSUGPUVEUAUT
      ZEVDSVCTAUWRWEBUMUVASDWEUJPZUKULZUNUOUPUWTSUQZURZUSULZRPZEASVRTUXDVMTUWRU
      XDVDXFAUXDEVMAWEERPUXDEAEUXCWERAEBUMUVASDUKULZUNUOUPUXESUQZURZUSULUXCJAUX
      BUXGUSABUMUXAUXFABCUWTUXEUVSUWSDUKUVSDABCDIABCDURZWKTZUXHWLTZOUXHWMWONWNZ
      WPWQWRWSWQWTXAAEAEAEUMTZFUMTZAUXJUXLUXMUPZGUMTZHUMTZUPZAUXIUXJUXNUXQXBOAB
      CDEFGHIJKLMNXCXDZXEZXGWBZXHXIZUXTXJUVEUXDUASUUSSVDZUUTWEUVDUXCRUYBUUTQSUI
      PZWEUUSSQUIVIUVPUYCWEVDVNQXKWJZVHBCDWEUASUYDVKVLXLXMUYAXNYHXOAUWNUUKEUDAU
      WMGQRAGBUMUVASDXPULZUNUOUPUYESUQZURZUSULUWMLAUYGUWLUSABUMUYFUWKABCUYEUWJU
      VSDVMTZUYEUWJVDUXKDXQWOWRWSWQXRXAXAXSAUWHUWGUDPUWHFUEZUDPUWHFUCPUULAUWGUY
      IUWHUDAUWAFRPUWGUYIAFUWFUWARAFBUMUVASUXEUEZUNUOUPUYJSUQZURZUSULUWFKAUYLUW
      EUSABUMUYKUWDABCUYJUWCUVSDUEZUKULUYJUWCUVSDUXKXTUVSUYMUWBUKUVSUYMUWAUEZUJ
      PZUYMUWBUVSUYOUYMWEUJPUYMUYNWEUYMUJWEYAYBYCUVSUYMUVSDUXKYDZWPYEUVSUYHUYOU
      WBVDZUXKUYHUWAVMTUWASYIUYQWEYAYFYGDUWAYJYKWOXIWQXIWRWSWQYEXAAFAFAUXLUXMUX
      SYLWBZYMXIXAAUWHFAEUUKUXTAUVPGVMTUUKVMTVNAGAUXOUXPAUXJUXNUXQUXRYNZXGWBZQG
      YOXMZYPUYRYQAEUUKFUXTVUAUYRYSYRXSAUVMUUNUULUDAUVGHRPZUVMUUNAHUVLUVGRAHBUM
      UVASUYEUEZUNUOUPVUCSUQZURZUSULUVLMAVUEUVKUSABUMVUDUVJABCVUCUVIUVSUYMXPULZ
      UYMQUJPZUKULZVUCUVIUVSUYMVMTVUFVUHVDUYPUYMXQWOUVSDUXKYTUVSVUGUVHUKUVSVUGU
      YMUVGUEZUJPZUVHQVUIUYMUJVUIQQVNYBUUAYCUVSUYHVUJUVHVDZUXKUYHUVGVMTUVGSYIVU
      KQVNYFQVNUUBUUCDUVGYJYKWOYEWQUUDWRWSWQYEXAAUVPHVMTVUBUUNVDVNAHAUXOUXPUYSY
      LWBZQHUUEXMXIXAXSYLYEAUUJUUKUUNAEFUXTUYRUUFVUAAUVPUUMVMTUUNVMTVNAHVULYDZQ
      UUMYOXMUUGAUUPUURUUJUDAQGUUMUDPZRPUUPUURAQGUUMUVQUYTVUMUUHAVUNUUQQRAGHUYT
      VULYQXAXIXAYR $.
  $}

  ${
    $d x A $.  $d x ph $.
    iblrelem.1 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    $( Integrability of a real function.  (Contributed by Mario Carneiro,
       31-Jul-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
    iblrelem $p |- ( ph -> ( ( x e. A |-> B ) e. L^1 <->
      ( ( x e. A |-> B ) e. MblFn /\
        ( S.2 ` ( x e. RR |->
          if ( ( x e. A /\ 0 <_ B ) , B , 0 ) ) ) e. RR /\
        ( S.2 ` ( x e. RR |->
          if ( ( x e. A /\ 0 <_ -u B ) , -u B , 0 ) ) ) e. RR ) ) ) $=
      ( cmpt wcel cr cc0 cfv cle wbr wa cif citg2 cneg w3a eqid itgvallem3 0re
      cibl cmbf cv cre cim iblcnlem reim0d eqeltrdi negeqd neg0 eqtrdi biantrud
      jca rered ibllem fveq2d eleq1d anbi12d bitr3d anbi2d 3anass 3bitr4g bitrd
      mpteq2dv ) ABCDFZUAGVEUBGZBHBUCCGZIDUDJZKLMVHINZFZOJZHGZBHVGIVHPZKLMVMINZ
      FZOJZHGZMZBHVGIDUEJZKLMVSINFOJZHGZBHVGIVSPZKLMWBINFOJZHGZMZQZVFBHVGIDKLMD
      INZFZOJZHGZBHVGIDPZKLMWKINZFZOJZHGZQZABCDVKVPVTWCHVKRVPRVTRWCREUFAVFVRWEM
      ZMVFWJWOMZMWFWPAWQWRVFAVRWQWRAWEVRAWAWDAVTIHABCVSAVGMZDEUGZSTUHAWCIHABCWB
      WSWBIPIWSVSIWTUIUJUKSTUHUMULAVLWJVQWOAVKWIHAVJWHOABHVIWGABCVHDWSDEUNZUOVD
      UPUQAVPWNHAVOWMOABHVNWLABCVMWKWSVHDXAUIUOVDUPUQURUSUTVFVRWEVAVFWJWOVAVBVC
      $.

    ${
      iblpos.2 $e |- ( ( ph /\ x e. A ) -> 0 <_ B ) $.
      $( Lemma for ~ iblpos .  (Contributed by Mario Carneiro, 31-Jul-2014.)
         (Revised by Mario Carneiro, 23-Aug-2014.) $)
      iblposlem $p |- ( ph -> ( S.2 ` ( x e. RR |->
        if ( ( x e. A /\ 0 <_ -u B ) , -u B , 0 ) ) ) = 0 ) $=
        ( cr cv wcel cc0 cneg cle wbr wa cif cmpt citg2 cfv adantrr eqtrdi wceq
        csn cxp le0neg2d mpbid simprr wb renegcld 0re sylancl mpbir2and ifeq1da
        letri3 ifid mpteq2dv fconstmpt eqtr4di fveq2d itg20 ) ABGBHCIZJDKZLMZNZ
        VAJOZPZQRGJUBUCZQRJAVEVFQAVEBGJPVFABGVDJAVDVCJJOJAVCVAJJAVCNZVAJUAZVAJL
        MZVBAUTVIVBAUTNZJDLMVIFVJDEUDUESAUTVBUFVGVAGIJGIVHVIVBNUGVGDAUTDGIVBESU
        HUIVAJUMUJUKULVCJUNTUOBGJUPUQURUST $.

      $( Integrability of a nonnegative function.  (Contributed by Mario
         Carneiro, 31-Jul-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
      iblpos $p |- ( ph -> ( ( x e. A |-> B ) e. L^1 <->
        ( ( x e. A |-> B ) e. MblFn /\
          ( S.2 ` ( x e. RR |-> if ( x e. A , B , 0 ) ) ) e. RR ) ) ) $=
        ( cmpt cibl wcel cmbf cr cv cc0 cle wbr wa cif citg2 cfv cneg iblposlem
        w3a iblrelem df-3an bitrdi 0re eqeltrdi biantrud pm4.71rd ancom bitr2di
        ex ifbid mpteq2dv fveq2d eleq1d anbi2d 3bitr2d ) ABCDGZHIZUSJIZBKBLCIZM
        DNOZPZDMQZGZRSZKIZPZBKVBMDTZNOPVJMQGRSZKIZPZVIVABKVBDMQZGZRSZKIZPAUTVAV
        HVLUBVMABCDEUCVAVHVLUDUEAVLVIAVKMKABCDEFUAUFUGUHAVHVQVAAVGVPKAVFVORABKV
        EVNAVDVBDMAVBVCVBPVDAVBVCAVBVCFULUIVCVBUJUKUMUNUOUPUQUR $.
    $}

    $( Integrability of a real function.  (Contributed by Mario Carneiro,
       11-Aug-2014.) $)
    iblre $p |- ( ph -> ( ( x e. A |-> B ) e. L^1 <->
      ( ( x e. A |-> if ( 0 <_ B , B , 0 ) ) e. L^1 /\
        ( x e. A |-> if ( 0 <_ -u B , -u B , 0 ) ) e. L^1 ) ) ) $=
      ( cmpt cmbf wcel cr cc0 cle wbr wa cif citg2 cfv cibl ifan mpteq2i 0re cv
      cneg w3a mbfposb wb fveq2i eleq1i anbi12i a1i anbi12d 3anass an4 iblrelem
      3bitr4g ifcl sylancl max1 sylancr iblpos renegcld 3bitr4d ) ABCDFZGHZBIBU
      ACHZJDKLZMDJNZFZOPZIHZBIVDJDUBZKLZMVJJNZFZOPZIHZUCZBCVEDJNZFZGHZBIVDVQJNZ
      FZOPZIHZMZBCVKVJJNZFZGHZBIVDWEJNZFZOPZIHZMZMZVBQHVRQHZWFQHZMAVCVIVOMZMVSW
      GMZWCWKMZMVPWMAVCWQWPWRABCDEUDWPWRUEAVIWCVOWKVHWBIVGWAOBIVFVTVDVEDJRSUFUG
      VNWJIVMWIOBIVLWHVDVKVJJRSUFUGUHUIUJVCVIVOUKVSWCWGWKULUNABCDEUMAWNWDWOWLAB
      CVQAVDMZDIHZJIHZVQIHETVEDJIUOUPWSXAWTJVQKLTEJDUQURUSABCWEWSVJIHZXAWEIHWSD
      EUTZTVKVJJIUOUPWSXAXBJWEKLTXCJVJUQURUSUJVA $.

    itgreval.2 $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    $( Lemma for ~ itgposval and ~ itgreval .  (Contributed by Mario Carneiro,
       31-Jul-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
    itgrevallem1 $p |- ( ph -> S. A B _d x =
 ( ( S.2 ` ( x e. RR |-> if ( ( x e. A /\ 0 <_ B ) , B , 0 ) ) ) -
   ( S.2 ` ( x e. RR |-> if ( ( x e. A /\ 0 <_ -u B ) , -u B , 0 ) ) ) ) ) $=
      ( cr wcel cc0 cfv cle wbr wa cif cmpt citg2 cneg cmin co eqid citg cv cre
      ci cmul caddc itgcnlem rered ibllem mpteq2dv fveq2d negeqd oveq12d reim0d
      itgvallem3 neg0 eqtrdi 0m0e0 oveq2d it0e0 cmbf cibl iblrelem mpbid simp2d
      cim w3a simp3d resubcld recnd addid1d 3eqtrd ) ABCDUABGBUBCHZIDUCJZKLMVNI
      NZOZPJZBGVMIVNQZKLMVRINZOZPJZRSZUDBGVMIDVFJZKLMWCINOPJZBGVMIWCQZKLMWEINOP
      JZRSZUESZUFSBGVMIDKLMDINZOZPJZBGVMIDQZKLMWLINZOZPJZRSZIUFSWPABCDVQWAWDWFG
      VQTWATWDTWFTEFUGAWBWPWHIUFAVQWKWAWORAVPWJPABGVOWIABCVNDAVMMZDEUHZUIUJUKAV
      TWNPABGVSWMABCVRWLWQVNDWRULUIUJUKUMAWHUDIUESIAWGIUDUEAWGIIRSIAWDIWFIRABCW
      CWQDEUNZUOABCWEWQWEIQIWQWCIWSULUPUQUOUMURUQUSUTUQUMAWPAWPAWKWOABCDOZVAHZW
      KGHZWOGHZAWTVBHXAXBXCVGFABCDEVCVDZVEAXAXBXCXDVHVIVJVKVL $.

    ${
      itgposval.3 $e |- ( ( ph /\ x e. A ) -> 0 <_ B ) $.
      $( The integral of a nonnegative function.  (Contributed by Mario
         Carneiro, 31-Jul-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
      itgposval $p |- ( ph -> S. A B _d x =
                        ( S.2 ` ( x e. RR |-> if ( x e. A , B , 0 ) ) ) ) $=
        ( citg cr wcel cc0 cle wbr wa cif cmpt citg2 cfv cmin co cv ex pm4.71rd
        cneg itgrevallem1 ancom bitr2di ifbid mpteq2dv fveq2d iblposlem oveq12d
        cmbf cibl iblpos mpbid simprd recnd subid1d 3eqtrd ) ABCDHBIBUACJZKDLMZ
        NZDKOZPZQRZBIVAKDUDZLMNVGKOPQRZSTBIVADKOZPZQRZKSTVKABCDEFUEAVFVKVHKSAVE
        VJQABIVDVIAVCVADKAVAVBVANVCAVAVBAVAVBGUBUCVBVAUFUGUHUIUJABCDEGUKULAVKAV
        KABCDPZUMJZVKIJZAVLUNJVMVNNFABCDEGUOUPUQURUSUT $.
    $}

    $( Decompose the integral of a real function into positive and negative
       parts.  (Contributed by Mario Carneiro, 31-Jul-2014.) $)
    itgreval $p |- ( ph -> S. A B _d x =
                    ( S. A if ( 0 <_ B , B , 0 ) _d x -
                      S. A if ( 0 <_ -u B , -u B , 0 ) _d x ) ) $=
      ( citg cr wcel cc0 cle wbr wa cif cmpt citg2 cfv cmin 0re cibl cv cneg co
      itgrevallem1 ifcl sylancl w3a iblrelem mpbid simp1d mbfpos mpteq2i fveq2i
      cmbf ifan simp2d eqeltrrid max1 sylancr iblpos mpbir2and eqtr4di renegcld
      itgposval mbfneg simp3d oveq12d eqtr4d ) ABCDGBHBUACIZJDKLZMDJNZOZPQZBHVI
      JDUBZKLZMVNJNZOZPQZRUCBCVJDJNZGZBCVOVNJNZGZRUCABCDEFUDAVTVMWBVRRAVTBHVIVS
      JNZOZPQZVMABCVSAVIMZDHIZJHIZVSHIESVJDJHUEUFZABCVSOZTIWJUNIWEHIABCDEABCDOZ
      UNIZVMHIZVRHIZAWKTIWLWMWNUGFABCDEUHUIZUJZUKAWEVMHVLWDPBHVKWCVIVJDJUOULUMZ
      AWLWMWNWOUPUQABCVSWIWFWHWGJVSKLSEJDURUSZUTVAWRVDWQVBAWBBHVIWAJNZOZPQZVRAB
      CWAWFVNHIZWHWAHIWFDEVCZSVOVNJHUEUFZABCWAOZTIXEUNIXAHIABCVNXCABCDHEWPVEUKA
      XAVRHVQWTPBHVPWSVIVOVNJUOULUMZAWLWMWNWOVFUQABCWAXDWFWHXBJWAKLSXCJVNURUSZU
      TVAXGVDXFVBVGVH $.
  $}

  ${
    $d x A $.  $d x ph $.
    itgrecl.1 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    itgrecl.2 $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    $( Real closure of an integral.  (Contributed by Mario Carneiro,
       11-Aug-2014.) $)
    itgrecl $p |- ( ph -> S. A B _d x e. RR ) $=
      ( citg cr cv wcel cc0 cle wbr wa cif cmpt citg2 cfv cneg cmin co cmbf w3a
      itgrevallem1 cibl iblrelem mpbid resubcl 3adant1 syl eqeltrd ) ABCDGBHBIC
      JZKDLMNDKOPQRZBHULKDSZLMNUNKOPQRZTUAZHABCDEFUDABCDPZUBJZUMHJZUOHJZUCZUPHJ
      ZAUQUEJVAFABCDEUFUGUSUTVBURUMUOUHUIUJUK $.
  $}

  ${
    $d x A $.  $d x ph $.
    iblcn.1 $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    $( Integrability of a complex function.  (Contributed by Mario Carneiro,
       6-Aug-2014.) $)
    iblcn $p |- ( ph -> ( ( x e. A |-> B ) e. L^1 <->
                  ( ( x e. A |-> ( Re ` B ) ) e. L^1 /\
                    ( x e. A |-> ( Im ` B ) ) e. L^1 ) ) ) $=
      ( cmpt cmbf wcel cr cc0 cfv cle wbr wa cif citg2 w3a cibl 3anass eqid cre
      cv cneg cim ismbfcn2 anbi1d 3bitr4g iblcnlem1 recld iblrelem bitrdi imcld
      an4 anbi12d 3bitr4d ) ABCDFZGHZBIBUBCHZJDUAKZLMNUSJOFPKZIHZBIURJUSUCZLMNV
      BJOFPKZIHZNZBIURJDUDKZLMNVFJOFPKZIHZBIURJVFUCZLMNVIJOFPKZIHZNZQZBCUSFZGHZ
      VENZBCVFFZGHZVLNZNZUPRHVNRHZVQRHZNAUQVEVLNZNVOVRNZWCNVMVTAUQWDWCABCDEUEUF
      UQVEVLSVOVEVRVLUMUGABCDUTVCVGVJUTTVCTVGTVJTEUHAWAVPWBVSAWAVOVAVDQVPABCUSA
      URNZDEUIUJVOVAVDSUKAWBVRVHVKQVSABCVFWEDEULUJVRVHVKSUKUNUO $.
  $}

  ${
    $d x A $.  $d x ph $.  $d x V $.
    itgcnval.1 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    itgcnval.2 $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    $( Decompose the integral of a complex function into real and imaginary
       parts.  (Contributed by Mario Carneiro, 6-Aug-2014.) $)
    itgcnval $p |- ( ph -> S. A B _d x =
      ( S. A ( Re ` B ) _d x + ( _i x. S. A ( Im ` B ) _d x ) ) ) $=
      ( citg cr wcel cc0 cfv cle wbr wa cif cmpt citg2 co eqid cv cre cneg cmin
      ci cmul caddc itgcnlem cibl cmbf iblmbf mbfmptcl recld iblcn mpbid simpld
      cim syl itgrevallem1 imcld simprd oveq2d oveq12d eqtr4d ) ABCDHBIBUACJZKD
      UBLZMNOVFKPQRLZBIVEKVFUCZMNOVHKPQRLZUDSZUEBIVEKDUQLZMNOVKKPQRLZBIVEKVKUCZ
      MNOVMKPQRLZUDSZUFSZUGSBCVFHZUEBCVKHZUFSZUGSABCDVGVIVLVNEVGTVITVLTVNTFGUHA
      VQVJVSVPUGABCVFAVEOZDABCDEABCDQZUIJZWAUJJGWAUKURFULZUMABCVFQUIJZBCVKQUIJZ
      AWBWDWEOGABCDWCUNUOZUPUSAVRVOUEUFABCVKVTDWCUTAWDWEWFVAUSVBVCVD $.

    $( Real part of an integral.  (Contributed by Mario Carneiro,
       14-Aug-2014.) $)
    itgre $p |- ( ph -> ( Re ` S. A B _d x ) = S. A ( Re ` B ) _d x ) $=
      ( citg cre cfv ci cim cmul co caddc wcel wa cmpt cibl itgrecl itgcnval cv
      fveq2d cmbf iblmbf syl recld iblcn mpbid simpld imcld simprd crred eqtrd
      mbfmptcl ) ABCDHZIJBCDIJZHZKBCDLJZHZMNONZIJURAUPVAIABCDEFGUAUCAURUTABCUQA
      BUBCPQZDABCDEABCDRZSPZVCUDPGVCUEUFFUOZUGABCUQRSPZBCUSRSPZAVDVFVGQGABCDVEU
      HUIZUJTABCUSVBDVEUKAVFVGVHULTUMUN $.

    $( Imaginary part of an integral.  (Contributed by Mario Carneiro,
       14-Aug-2014.) $)
    itgim $p |- ( ph -> ( Im ` S. A B _d x ) = S. A ( Im ` B ) _d x ) $=
      ( citg cim cfv cre ci cmul co caddc wcel wa cmpt cibl itgrecl itgcnval cv
      fveq2d cmbf iblmbf syl recld iblcn mpbid simpld imcld simprd crimd eqtrd
      mbfmptcl ) ABCDHZIJBCDKJZHZLBCDIJZHZMNONZIJUTAUPVAIABCDEFGUAUCAURUTABCUQA
      BUBCPQZDABCDEABCDRZSPZVCUDPGVCUEUFFUOZUGABCUQRSPZBCUSRSPZAVDVFVGQGABCDVEU
      HUIZUJTABCUSVBDVEUKAVFVGVHULTUMUN $.

    $( The negative of an integrable function is integrable.  (Contributed by
       Mario Carneiro, 25-Aug-2014.) $)
    iblneg $p |- ( ph -> ( x e. A |-> -u B ) e. L^1 ) $=
      ( cneg cmpt cibl wcel cfv cc0 cle wbr cif wa breq2d ifbieq1d mpteq2dva cv
      cre cim cmbf iblmbf mbfmptcl renegd iblcn mpbid simpld recld iblre simprd
      syl eqeltrd negeqd recnd negnegd eqtrd negcld mpbir2and imnegd imcld ) AB
      CDHZIJKBCVDUBLZIJKZBCVDUCLZIJKZAVFBCMVENOZVEMPZIZJKBCMVEHZNOZVLMPZIZJKAVK
      BCMDUBLZHZNOZVQMPZIZJABCVJVSABUACKQZVIVRVEVQMWAVEVQMNWADABCDEABCDIZJKZWBU
      DKGWBUEUNFUFZUGZRWESTABCMVPNOZVPMPZIZJKZVTJKZABCVPIJKZWIWJQAWKBCDUCLZIJKZ
      AWCWKWMQGABCDWDUHUIZUJABCVPWADWDUKZULUIZUMUOAVOWHJABCVNWGWAVMWFVLVPMWAVLV
      PMNWAVLVQHVPWAVEVQWEUPWAVPWAVPWOUQURUSZRWQSTAWIWJWPUJUOABCVEWAVDWADWDUTZU
      KULVAAVHBCMVGNOZVGMPZIZJKBCMVGHZNOZXBMPZIZJKAXABCMWLHZNOZXFMPZIZJABCWTXHW
      AWSXGVGXFMWAVGXFMNWADWDVBZRXJSTABCMWLNOZWLMPZIZJKZXIJKZAWMXNXOQAWKWMWNUMA
      BCWLWADWDVCZULUIZUMUOAXEXMJABCXDXLWAXCXKXBWLMWAXBWLMNWAXBXFHWLWAVGXFXJUPW
      AWLWAWLXPUQURUSZRXRSTAXNXOXQUJUOABCVGWAVDWRVCULVAABCVDWRUHVA $.

    $( Negation of an integral.  (Contributed by Mario Carneiro,
       25-Aug-2014.) $)
    itgneg $p |- ( ph -> -u S. A B _d x = S. A -u B _d x ) $=
      ( citg ci co cneg cr wcel cmpt cibl cc0 cle wbr cif cmin cre cfv cim cmul
      caddc cv wa cmbf iblmbf mbfmptcl recld iblcn mpbid simpld itgcl cc ax-icn
      syl imcld simprd mulcl sylancr 0re ifcl sylancl iblre renegcld negsubdi2d
      negdid itgreval negeqd negcld iblneg renegd breq2d ifbieq1d recnd negnegd
      itgeq2dv eqtrd oveq12d 3eqtr4d wceq mulneg2 imnegd eqtr4d oveq2d itgcnval
      eqtr3d ) ABCDUAUBZHZIBCDUCUBZHZUDJZUEJZKZBCDKZUAUBZHZIBCWQUCUBZHZUDJZUEJZ
      BCDHZKBCWQHAWPWKKZWNKZUEJXCAWKWNABCWJLABUFCMUGZDABCDEABCDNZOMZXHUHMGXHUIU
      RFUJZUKZABCWJNOMZBCWLNOMZAXIXLXMUGGABCDXJULUMZUNZUOAIUPMZWMUPMZWNUPMUQABC
      WLLXGDXJUSZAXLXMXNUTZUOZIWMVAVBVIAXEWSXFXBUEABCPWJQRZWJPSZHZBCPWJKZQRZYDP
      SZHZTJZKYGYCTJZXEWSAYCYGABCYBLXGWJLMPLMZYBLMXKVCYAWJPLVDVEABCYBNOMZBCYFNO
      MZAXLYKYLUGXOABCWJXKVFUMZUNUOABCYFLXGYDLMYJYFLMXGWJXKVGVCYEYDPLVDVEAYKYLY
      MUTUOVHAWKYHABCWJXKXOVJVKAWSBCPWRQRZWRPSZHZBCPWRKZQRZYQPSZHZTJYIABCWRXGWQ
      XGDXJVLZUKABCWRNOMZBCWTNOMZABCWQNOMUUBUUCUGABCDEFGVMZABCWQUUAULUMZUNVJAYP
      YGYTYCTABCYOYFXGYNYEWRYDPXGWRYDPQXGDXJVNZVOUUFVPVSABCYSYBXGYRYAYQWJPXGYQW
      JPQXGYQYDKWJXGWRYDUUFVKXGWJXGWJXKVQVRVTZVOUUGVPVSWAVTWBAIWMKZUDJZXFXBAXPX
      QUUIXFWCUQXTIWMWDVBAUUHXAIUDABCPWLQRZWLPSZHZBCPWLKZQRZUUMPSZHZTJZKZBCPWTQ
      RZWTPSZHZBCPWTKZQRZUVBPSZHZTJZUUHXAAUURUUPUULTJUVFAUULUUPABCUUKLXGWLLMYJU
      UKLMXRVCUUJWLPLVDVEABCUUKNOMZBCUUONOMZAXMUVGUVHUGXSABCWLXRVFUMZUNUOABCUUO
      LXGUUMLMYJUUOLMXGWLXRVGVCUUNUUMPLVDVEAUVGUVHUVIUTUOVHAUVAUUPUVEUULTABCUUT
      UUOXGUUSUUNWTUUMPXGWTUUMPQXGDXJWEZVOUVJVPVSABCUVDUUKXGUVCUUJUVBWLPXGUVBWL
      PQXGUVBUUMKWLXGWTUUMUVJVKXGWLXGWLXRVQVRVTZVOUVKVPVSWAWFAWMUUQABCWLXRXSVJV
      KABCWTXGWQUUAUSAUUBUUCUUEUTVJWBWGWIWAVTAXDWOABCDEFGWHVKABCWQUPUUAUUDWHWB
      $.
  $}

  ${
    $d k x A $.  $d x B $.  $d k C $.  $d k x ph $.  $d x V $.
    iblss.1 $e |- ( ph -> A C_ B ) $.
    iblss.2 $e |- ( ph -> A e. dom vol ) $.
    iblss.3 $e |- ( ( ph /\ x e. B ) -> C e. V ) $.
    iblss.4 $e |- ( ph -> ( x e. B |-> C ) e. L^1 ) $.
    $( A subset of an integrable function is integrable.  (Contributed by Mario
       Carneiro, 12-Aug-2014.) $)
    iblss $p |- ( ph -> ( x e. A |-> C ) e. L^1 ) $=
      ( vk wcel cr cc0 ci cle wbr wa cif eqidd cmpt cibl cmbf cexp cdiv cre cfv
      cv co citg2 c3 cfz wral cres resmptd cvol cdm iblmbf syl syl2anc eqeltrrd
      mbfres cpnf cicc wf sselda ad4ant14 cxr cc mbfmptcl wne cz ax-icn elfzelz
      ifan ine0 ad3antlr expclz mp3an12i expne0i divcld recld 0re sylancl rexrd
      ifcl sylancr elxrge0 sylanbrc syldan 0e0iccpnf a1i ifclda eqeltrid fmpttd
      max1 wn iblitg sylan2 cofr leidd breq1 ifboth wceq iftrue adantl breqtrrd
      stoic1a iffalsed iffalse 3brtr4d pm2.61dan 3brtr4g ralrimiva cvv ofrfval2
      0le0 reex mpbird itg2le syl3anc itg2lecl isibl2 mpbir2and ) ABCEUAZUBLYEU
      CLBMBUHZCLZNEOKUHZUDUIZUEUIZUFUGZPQZRYKNSZUAZUJUGZMLZKNUKULUIZUMABDEUAZCU
      NZYEUCABDCEGUOAYRUCLZCUPUQLYSUCLAYRUBLYTJYRURUSZHCYRVBUTVAAYPKYQAYHYQLZRZ
      MNVCVDUIZYNVEZBMYFDLZYLRYKNSZUAZUJUGZMLZYOUUIPQZYPUUCBMYMUUDUUCYFMLZRZYMY
      GYLYKNSZNSZUUDYGYLYKNVOZUUMYGUUNNUUDUUMYGUUFUUNUUDLZAYGUUFUUBUULACDYFGVFZ
      VGZUUMUUFRZUUNVHLNUUNPQZUUQUUTUUNUUTYKMLZNMLZUUNMLUUTYJUUTEYIAUUFEVILZUUB
      UULABDEFUUAIVJZVGOVILZONVKZUUTYHVLLZYIVILVMVPUUBUVHAUULUUFYHNUKVNZVQZOYHV
      RVSUVFUVGUUTUVHYINVKVMVPUVJOYHVTVSWAWBZWCYLYKNMWFWDZWEUUTUVCUVBUVAWCUVKNY
      KWPWGZUUNWHWIZWJNUUDLZUUMYGWQRWKWLWMWNZWOZUUBAUVHUUJUVIABDEYKUUHYHFAUUHTA
      UUFRYKTJIWRWSUUCUUEMUUDUUHVEYNUUHPWTQZUUKUVQUUCBMUUGUUDUUMUUGUUFUUNNSZUUD
      UUFYLYKNVOZUUMUUFUUNNUUDUVNUVOUUMUUFWQZRZWKWLWMWNZWOUUCUVRYMUUGPQZBMUMUUC
      UWDBMUUMUUOUVSYMUUGPUUMUUFUUOUVSPQUUTUUOUUNUVSPUUTUUNUUNPQZUVAUUOUUNPQZUU
      TUUNUVLXAUVMYGUWEUVAUWFUUNNUUNUUOUUNPXBNUUOUUNPXBXCUTUUFUVSUUNXDUUMUUFUUN
      NXEXFXGUWBNNUUOUVSPNNPQUWBXQWLUWBYGUUNNUUMYGUUFUUSXHXIUWAUVSNXDUUMUUFUUNN
      XJXFXKXLUUPUVTXMXNUUCBMYMUUGPYNUUHXOUUDUUDMXOLUUCXRWLUVPUWCUUCYNTUUCUUHTX
      PXSYNUUHXTYAUUIYNYBYAXNABCEYKKYNVIAYNTAYGRYKTAYGUUFUVDUURUVEWJYCYD $.
  $}

  ${
    $d x A $.  $d k x B $.  $d k C $.  $d k x ph $.  $d x V $.
    iblss2.1 $e |- ( ph -> A C_ B ) $.
    iblss2.2 $e |- ( ph -> B e. dom vol ) $.
    iblss2.3 $e |- ( ( ph /\ x e. A ) -> C e. V ) $.
    iblss2.4 $e |- ( ( ph /\ x e. ( B \ A ) ) -> C = 0 ) $.
    iblss2.5 $e |- ( ph -> ( x e. A |-> C ) e. L^1 ) $.
    $( Change the domain of an integrability predicate.  (Contributed by Mario
       Carneiro, 13-Aug-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
    iblss2 $p |- ( ph -> ( x e. B |-> C ) e. L^1 ) $=
      ( vk cmpt wcel cr cc0 ci wa cif wceq cibl cmbf cv cexp co cre cfv cle wbr
      cdiv citg2 c3 cfz wral iblmbf syl wss adantr sselda iftrued iftrue adantl
      mbfss eqtr4d ifid cdif simplll simpr simplr eldifd syl2anc oveq1d simpllr
      wn cz elfzelz wne ax-icn ine0 w3a expclz expne0i div0d mp3an12 3syl eqtrd
      cc fveq2d re0 eqtrdi ifeq1d ifeq1da iffalse 3eqtr4a ifan 3eqtr4g mpteq2dv
      pm2.61dan eqidd iblitg sylan2 eqeltrd ralrimiva wo cun elun ssequn1 sylib
      undif2 syl5eq eleq2d bitr3id biimpar mbfmptcl 0cn jaodan syldan mpbir2and
      eqeltrdi isibl2 ) ABDEMZUANYAUBNBOBUCZDNZPEQLUCZUDUEZUJUEZUFUGZUHUIZRYGPS
      ZMZUKUGZONZLPULUMUEZUNABCDEFGHIJABCEMZUANYNUBNKYNUOUPZVCAYLLYMAYDYMNZRZYK
      BOYBCNZYHRYGPSZMZUKUGZOYQYJYTUKYQBOYIYSYQYCYHYGPSZPSZYRUUBPSZYIYSYQYRUUCU
      UDTYQYRRZUUCUUBUUDUUEYCUUBPYQCDYBACDUQZYPGURUSUTYRUUDUUBTYQYRUUBPVAVBVDYQ
      YRVNZRZYCPPSPUUCUUDYCPVEUUHYCUUBPPUUHYCRZUUBYHPPSPUUIYHYGPPUUIYGPUFUGPUUI
      YFPUFUUIYFPYEUJUEZPUUIEPYEUJUUIAYBDCVFZNZEPTAYPUUGYCVGUUIYBDCUUHYCVHYQUUG
      YCVIVJJVKVLUUIYPYDVONZUUJPTZAYPUUGYCVMYDPULVPZQWGNZQPVQZUUMUUNVRVSUUPUUQU
      UMVTYEQYDWAQYDWBWCWDWEWFWHWIWJWKYHPVEWJWLUUGUUDPTYQYRUUBPWMVBWNWRYCYHYGPW
      OYRYHYGPWOWPWQWHYPAUUMUUAONUUOABCEYGYTYDFAYTWSAYRRYGWSKIWTXAXBXCABDEYGLYJ
      WGAYJWSAYCRYGWSAYCYRUULXDZEWGNZAUURYCUURYBCUUKXEZNAYCYBCUUKXFAUUTDYBAUUTC
      DXEZDCDXIAUUFUVADTGCDXGXHXJXKXLXMAYRUUSUULABCEFYOIXNAUULREPWGJXOXSXPXQXTX
      R $.
  $}

  ${
    $d x ph $.
    itgitg2.1 $e |- ( ( ph /\ x e. RR ) -> A e. RR ) $.
    itgitg2.2 $e |- ( ( ph /\ x e. RR ) -> 0 <_ A ) $.
    itgitg2.3 $e |- ( ph -> ( x e. RR |-> A ) e. L^1 ) $.
    $( Transfer an integral using ` S.2 ` to an equivalent integral using
       ` S. ` .  (Contributed by Mario Carneiro, 6-Aug-2014.) $)
    itgitg2 $p |- ( ph -> S. RR A _d x = ( S.2 ` ( x e. RR |-> A ) ) ) $=
      ( cr citg cv wcel cc0 cif cmpt citg2 cfv itgposval iftrue mpteq2ia fveq2i
      eqtrdi ) ABGCHBGBIGJZCKLZMZNOBGCMZNOABGCDFEPUCUDNBGUBCUACKQRST $.
  $}

  ${
    $d x F $.
    $( A simple function is integrable.  (Contributed by Mario Carneiro,
       6-Aug-2014.) $)
    i1fibl $p |- ( F e. dom S.1 -> F e. L^1 ) $=
      ( vx citg1 wcel cr cfv cmpt cc0 cle wbr wa cif mpteq2dva wceq 0re cvv a1i
      citg2 mpbird eqeltrd cv cibl i1ff feqmptd cmbf cneg i1fmbf eqeltrrd simpr
      cdm biantrurd ifbid fveq2d c0p cofr eqid i1fpos csn cxp ffvelrnda sylancr
      wral max1 ralrimiva reex fvex c0ex fconstmpt eqidd ofrfval2 wss ax-resscn
      ifex wfn fnmpti 0pledm itg2itg1 syl2anc eqtr3d itg1cl syl cmul cof neg1rr
      cc c1 co offval2 recnd mulm1d eqtrd id i1fmulc i1fposd renegcld mpbir3and
      negex iblrelem ) ACUJZDZABEBUAZAFZGZUBWTBEEAAUCZUDZWTXCUBDXCUEDBEXAEDZHXB
      IJZKZXBHLZGZRFZEDBEXFHXBUFZIJZKZXLHLZGZRFZEDWTAXCUEXEAUGUHWTXKBEXGXBHLZGZ
      CFZEWTXSRFZXKXTWTXSXJRWTBEXRXIWTXFKZXGXHXBHYBXFXGWTXFUIZUKULMUMWTXSWSDZUN
      XSIUOZJZYAXTNBAXSXSUPZUQZWTYFEHURUSZXSYEJZWTYJHXRIJZBEVBWTYKBEYBHEDZXBEDY
      KOWTEEXAAXDUTZHXBVCVAVDWTBEHXRIYIXSPEPEPDWTVEQZYLYBOQZXRPDYBXGXBHXAAVFVGV
      MZQYIBEHGNWTBEHVHQZWTXSVIVJSWTEXSEWEVKWTVLQZXSEVNWTBEXRXSYPYGVOQVPSXSVQVR
      VSWTYDXTEDYHXSVTWATWTXQBEXMXLHLZGZCFZEWTYTRFZXQUUAWTYTXPRWTBEYSXOYBXMXNXL
      HYBXFXMYCUKULMUMWTYTWSDZUNYTYEJZUUBUUANWTBXLWTEWFUFZURUSZAWBWCWGZBEXLGZWS
      WTUUGBEUUEXBWBWGZGUUHWTBEUUEXBWBUUFAPEEYNUUEEDZYBWDQYMUUFBEUUEGNWTBEUUEVH
      QXEWHWTBEUUIXLYBXBYBXBYMWIWJMWKWTUUEAWTWLUUJWTWDQWMUHWNZWTUUDYIYTYEJZWTUU
      LHYSIJZBEVBWTUUMBEYBYLXLEDUUMOYBXBYMWOHXLVCVAVDWTBEHYSIYIYTPEPYNYOYSPDYBX
      MXLHXBWQVGVMZQYQWTYTVIVJSWTEYTYRYTEVNWTBEYSYTUUNYTUPVOQVPSYTVQVRVSWTUUCUU
      AEDUUKYTVTWATWTBEXBYMWRWPT $.

    $( Transfer an integral using ` S.1 ` to an equivalent integral using
       ` S. ` .  (Contributed by Mario Carneiro, 6-Aug-2014.) $)
    itgitg1 $p |- ( F e. dom S.1 -> S. RR ( F ` x ) _d x = ( S.1 ` F ) ) $=
      ( citg1 wcel cr cfv citg cc0 cle wbr cmin co cmpt cibl i1fibl 0re cvv a1i
      wceq mpbird cdm cv cif cneg cof ffvelrnda feqmptd eqeltrrd itgreval citg2
      i1ff wa ifcl sylancl max1 sylancr id i1fposd syl itgitg2 c0p cofr csn cxp
      wral ralrimiva reex fconstmpt eqidd ofrfval2 cc wss ax-resscn fmpttd ffnd
      0pledm itg2itg1 syl2anc eqtrd renegcld c1 neg1rr offval2 mulm1d mpteq2dva
      cmul recnd i1fmulc oveq12d itg1sub eqtr4d max0sub 3eqtr4d fveq2d 3eqtrd )
      BCUAZDZAEAUBZBFZGAEHWSIJZWSHUCZGZAEHWSUDZIJZXCHUCZGZKLZAEXAMZAEXEMZKUELZC
      FZBCFWQAEWSWQEEWRBBUKZUFZWQBAEWSMZNWQAEEBXLUGZBOUHUIWQXGXHCFZXICFZKLZXKWQ
      XBXPXFXQKWQXBXHUJFZXPWQAXAWQWREDULZWSEDZHEDZXAEDXMPWTWSHEUMUNZXTYBYAHXAIJ
      ZPXMHWSUOUPZWQXHWPDZXHNDWQAWSWQBXNWPXOWQUQZUHURZXHOUSUTWQYFVAXHIVBZJZXSXP
      SYHWQYJEHVCVDZXHYIJZWQYLYDAEVEWQYDAEYEVFWQAEHXAIYKXHQEEEQDWQVGRZYBXTPRZYC
      YKAEHMSWQAEHVHRZWQXHVIZVJTWQEXHEVKVLWQVMRZWQEEXHWQAEXAEYCVNVOVPTXHVQVRVSW
      QXFXIUJFZXQWQAXEXTXCEDZYBXEEDXTWSXMVTZPXDXCHEUMUNZXTYBYSHXEIJZPYTHXCUOUPZ
      WQXIWPDZXINDWQAXCWQEWAUDZVCVDZBWFUELZAEXCMZWPWQUUGAEUUEWSWFLZMUUHWQAEUUEW
      SWFUUFBQEEYMUUEEDZXTWBRXMUUFAEUUEMSWQAEUUEVHRXOWCWQAEUUIXCXTWSXTWSXMWGWDW
      EVSWQUUEBYGUUJWQWBRWHUHURZXIOUSUTWQUUDVAXIYIJZYRXQSUUKWQUULYKXIYIJZWQUUMU
      UBAEVEWQUUBAEUUCVFWQAEHXEIYKXIQEEYMYNUUAYOWQXIVIZVJTWQEXIYQWQEEXIWQAEXEEU
      UAVNVOVPTXIVQVRVSWIWQYFUUDXKXRSYHUUKXHXIWJVRWKWQXJBCWQAEXAXEKLZMXNXJBWQAE
      UUOWSXTYAUUOWSSXMWSWLUSWEWQAEXAXEKXHXIQEEYMYCUUAYPUUNWCXOWMWNWO $.
  $}

  ${
    $d x A $.  $d x ph $.
    itgle.1 $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    itgle.2 $e |- ( ph -> ( x e. A |-> C ) e. L^1 ) $.
    itgle.3 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    itgle.4 $e |- ( ( ph /\ x e. A ) -> C e. RR ) $.
    itgle.5 $e |- ( ( ph /\ x e. A ) -> B <_ C ) $.
    $( Monotonicity of an integral.  (Contributed by Mario Carneiro,
       11-Aug-2014.) $)
    itgle $p |- ( ph -> S. A B _d x <_ S. A C _d x ) $=
      ( cr wcel cc0 cle wbr wa cif cmpt a1i 0re cv citg2 cneg cmin co citg cmbf
      cfv cibl w3a iblrelem mpbid simp2d simp3d cpnf cicc wf cxr ad2ant2r rexrd
      cofr simprr elxrge0 sylanbrc wn 0e0iccpnf ifclda fmpttd wral max1 sylancr
      ifcl sylancl max2 letrd wb maxle mp3an2i mpbir2and wceq iftrue 3brtr4d ex
      adantl 0le0 iffalse pm2.61d1 ifan 3brtr4g ralrimivw cvv reex eqidd mpbird
      ofrfval2 itg2le syl3anc renegcld lenegd le2subd itgrevallem1 ) ABKBUAZCLZ
      MDNOZPZDMQZRZUBUHZBKXCMDUCZNOZPZXIMQZRZUBUHZUDUEBKXCMENOZPZEMQZRZUBUHZBKX
      CMEUCZNOZPZXTMQZRZUBUHZUDUEBCDUFBCEUFNAXHYEXSXNABCDRZUGLZXHKLZXNKLZAYFUIL
      YGYHYIUJFABCDHUKULZUMABCERZUGLZXSKLZYEKLZAYKUILYLYMYNUJGABCEIUKULZUNAYLYM
      YNYOUMAYGYHYIYJUNAKMUOUPUEZXGUQKYPXRUQXGXRNVAZOZXHXSNOABKXFYPAXBKLZPZXEDM
      YPYTXEPZDURLXDDYPLUUADAXCDKLZYSXDHUSUTYTXCXDVBDVCVDMYPLZYTXEVEPVFSVGZVHAB
      KXQYPYTXPEMYPYTXPPZEURLXOEYPLUUEEAXCEKLZYSXOIUSUTYTXCXOVBEVCVDUUCYTXPVEPV
      FSVGZVHAYRXFXQNOZBKVIAUUHBKAXCXDDMQZMQZXCXOEMQZMQZXFXQNAXCUUJUULNOZAXCUUM
      AXCPZUUIUUKUUJUULNUUNUUIUUKNOZMUUKNOZDUUKNOZUUNMKLZUUFUUPTIMEVJVKUUNDEUUK
      HIUUNUUFUURUUKKLZITXOEMKVLVMZJUUNUURUUFEUUKNOTIMEVNVKVOUURUUNUUBUUSUUOUUP
      UUQPVPTHUUTMDUUKVQVRVSXCUUJUUIVTAXCUUIMWAWDXCUULUUKVTAXCUUKMWAWDWBWCXCVEZ
      MMUUJUULNMMNOUVAWESZXCUUIMWFXCUUKMWFWBWGXCXDDMWHXCXOEMWHWIWJABKXFXQNXGXRW
      KYPYPKWKLAWLSZUUDUUGAXGWMAXRWMWOWNXGXRWPWQAKYPYDUQKYPXMUQYDXMYQOZYEXNNOAB
      KYCYPYTYBXTMYPYTYBPZXTURLYAXTYPLUVEXTAXCXTKLZYSYAUUNEIWRZUSUTYTXCYAVBXTVC
      VDUUCYTYBVEPVFSVGZVHABKXLYPYTXKXIMYPYTXKPZXIURLXJXIYPLUVIXIAXCXIKLZYSXJUU
      NDHWRZUSUTYTXCXJVBXIVCVDUUCYTXKVEPVFSVGZVHAUVDYCXLNOZBKVIAUVMBKAXCYAXTMQZ
      MQZXCXJXIMQZMQZYCXLNAXCUVOUVQNOZAXCUVRUUNUVNUVPUVOUVQNUUNUVNUVPNOZMUVPNOZ
      XTUVPNOZUUNUURUVJUVTTUVKMXIVJVKUUNXTXIUVPUVGUVKUUNUVJUURUVPKLZUVKTXJXIMKV
      LVMZUUNDENOXTXINOJUUNDEHIWSULUUNUURUVJXIUVPNOTUVKMXIVNVKVOUURUUNUVFUWBUVS
      UVTUWAPVPTUVGUWCMXTUVPVQVRVSXCUVOUVNVTAXCUVNMWAWDXCUVQUVPVTAXCUVPMWAWDWBW
      CUVAMMUVOUVQNUVBXCUVNMWFXCUVPMWFWBWGXCYAXTMWHXCXJXIMWHWIWJABKYCXLNYDXMWKY
      PYPUVCUVHUVLAYDWMAXMWMWOWNYDXMWPWQWTABCDHFXAABCEIGXAWB $.
  $}

  ${
    $d x A $.  $d x ph $.
    itgge0.1 $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    itgge0.2 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    itgge0.3 $e |- ( ( ph /\ x e. A ) -> 0 <_ B ) $.
    $( The integral of a positive function is positive.  (Contributed by Mario
       Carneiro, 25-Aug-2014.) $)
    itgge0 $p |- ( ph -> 0 <_ S. A B _d x ) $=
      ( cc0 citg cle itgz cmpt csn cxp cibl fconstmpt cvol cdm wcel syl cr cmbf
      iblmbf mbfdm2 ibl0 eqeltrrid cv wa 0red itgle eqbrtrrid ) AHBCHIBCDIJBCKA
      BCHDABCHLCHMNZOBCHPACQRSULOSABCDUAABCDLZOSUMUBSEUMUCTFUDCUETUFEABUGCSUHUI
      FGUJUK $.
  $}

  ${
    $d k A $.  $d k B $.  $d k C $.  $d k x ph $.
    itgss.1 $e |- ( ph -> A C_ B ) $.
    itgss.2 $e |- ( ( ph /\ x e. ( B \ A ) ) -> C = 0 ) $.
    $( Expand the set of an integral by adding zeroes outside the domain.
       (Contributed by Mario Carneiro, 11-Aug-2014.)  (Revised by Mario
       Carneiro, 23-Aug-2014.) $)
    itgss $p |- ( ph -> S. A C _d x = S. B C _d x ) $=
      ( vk cc0 co ci cr wcel cdiv cre cfv wa cif citg2 wceq c3 cfz cexp cle wbr
      cv cmpt cmul csu citg cz elfzelz wn iffalse ad2antll eldif adantlr oveq1d
      cdif cc wne ax-icn expclz mp3an12 expne0i div0d ad2antlr eqtrd fveq2d re0
      ine0 eqtrdi ifeq1d ifid sylan2br eqtr4d iftrue pm2.61d2 adantl wss adantr
      expr sseld con3dimp syl pm2.61dan 3eqtr4g mpteq2dv oveq2d sylan2 sumeq2dv
      ifan eqid dfitg ) AIUAUBJZKHUFZUCJZBLBUFZCMZIEWQNJZOPZUDUEZQXAIRZUGZSPZUH
      JZHUIWOWQBLWRDMZXBQXAIRZUGZSPZUHJZHUIBCEUJBDEUJAWOXFXKHWPWOMAWPUKMZXFXKTW
      PIUAULAXLQZXEXJWQUHXMXDXISXMBLXCXHXMWSXBXAIRZIRZXGXNIRZXCXHXMXGXOXPTXMXGQ
      ZXOXNXPXQWSXOXNTZXMXGWSUMZXRXMXGXSQZQXOIXNXSXOITZXMXGWSXNIUNZUOXTXMWRDCUS
      MZXNITWRDCUPXMYCQZXNXBIIRIYDXBXAIIYDXAIOPIYDWTIOYDWTIWQNJZIYDEIWQNAYCEITX
      LGUQURXLYEITAYCXLWQKUTMZKIVAZXLWQUTMVBVKKWPVCVDYFYGXLWQIVAVBVKKWPVEVDVFVG
      VHVIVJVLVMXBIVNVLVOVPWBWSXNIVQVRXGXPXNTXMXGXNIVQVSVPXMXGUMZQZXOIXPYIXSYAX
      MWSXGXMCDWRACDVTXLFWAWCWDYBWEYHXPITXMXGXNIUNVSVPWFWSXBXAIWLXGXBXAIWLWGWHV
      IWIWJWKBCEXAHXAWMZWNBDEXAHYJWNWG $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Expand the set of an integral by adding zeroes outside the domain.
       (Contributed by Mario Carneiro, 11-Aug-2014.) $)
    itgss2 $p |- ( A C_ B -> S. A C _d x = S. B if ( x e. A , C , 0 ) _d x ) $=
      ( wss cv wcel cc0 cif citg wceq iftrue adantl itgeq2dv id eldifn iffalsed
      cdif itgss eqtr3d ) BCEZABAFZBGZDHIZJABDJACUDJUAABUDDUCUDDKUAUCDHLMNUAABC
      UDUAOUBCBRGZUDHKUAUEUCDHUBCBPQMST $.
  $}

  ${
    $d x y A $.  $d k x y B $.  $d k y C $.  $d k y D $.  $d k x y ph $.
    itgeqa.1 $e |- ( ( ph /\ x e. B ) -> C e. CC ) $.
    itgeqa.2 $e |- ( ( ph /\ x e. B ) -> D e. CC ) $.
    itgeqa.3 $e |- ( ph -> A C_ RR ) $.
    itgeqa.4 $e |- ( ph -> ( vol* ` A ) = 0 ) $.
    itgeqa.5 $e |- ( ( ph /\ x e. ( B \ A ) ) -> C = D ) $.
    $( Approximate equality of integrals.  If ` C ( x ) = D ( x ) ` for almost
       all ` x ` , then ` S. B C ( x ) _d x = S. B D ( x ) _d x ` and one is
       integrable iff the other is.  (Contributed by Mario Carneiro,
       12-Aug-2014.)  (Revised by Mario Carneiro, 2-Sep-2014.) $)
    itgeqa $p |- ( ph ->
      ( ( ( x e. B |-> C ) e. L^1 <-> ( x e. B |-> D ) e. L^1 ) /\
        S. B C _d x = S. B D _d x ) ) $=
      ( vk vy wcel wceq cr cc0 co cfv wa cmpt cibl wb citg cmbf cv ci cexp cdiv
      cre cle wbr cif citg2 c3 cfz wral mbfeqa cpnf cicc ifan cxr cc adantlr cz
      wne ax-icn ine0 elfzelz ad2antlr expclz mp3an12i expne0i divcld recld 0re
      ifcl sylancl rexrd sylancr elxrge0 sylanbrc 0e0iccpnf a1i ifclda eqeltrid
      max1 wn adantr fmpttd wss covol cdif simpll simpr eldifn syl2anc fvoveq1d
      eldifd ibllem cvv eldifi adantl fvex c0ex ifex eqid 3eqtr4d ralrimiva nfv
      fvmpt2 nffvmpt1 nfeq fveq2 eqeq12d cbvralw sylib r19.21bi eleq1d ralbidva
      itg2eqa anbi12d eqidd isibl2 3bitr4d cmul csu oveq2d sumeq2dv 3eqtr4g jca
      dfitg ) ABDEUAZUBNZBDFUAZUBNZUCBDEUDZBDFUDZOAYMUENZBPBUFZDNZQEUGLUFZUHRZU
      IRZUJSZUKULZTZUUEQUMZUAZUNSZPNZLQUOUPRZUQZTYOUENZBPUUAQFUUCUIRZUJSZUKULZT
      ZUUPQUMZUAZUNSZPNZLUULUQZTYNYPAYSUUNUUMUVCABCDEFIJKGHURAUUKUVBLUULAUUBUUL
      NZTZUUJUVAPUVEMCUUIUUTUVEBPUUHQUSUTRZUVEUUHUVFNYTPNZUVEUUHUUAUUFUUEQUMZQU
      MUVFUUAUUFUUEQVAUVEUUAUVHQUVFUVEUUATZUVHVBNQUVHUKULZUVHUVFNUVIUVHUVIUUEPN
      ZQPNZUVHPNUVIUUDUVIEUUCAUUAEVCNUVDGVDUGVCNZUGQVFZUVIUUBVENZUUCVCNVGVHUVDU
      VOAUUAUUBQUOVIVJZUGUUBVKVLZUVMUVNUVIUVOUUCQVFVGVHUVPUGUUBVMVLZVNVOZVPUUFU
      UEQPVQVRVSUVIUVLUVKUVJVPUVSQUUEWGVTUVHWAWBQUVFNUVEUUAWHTWCWDZWEWFWIWJUVEB
      PUUSUVFUVEUUSUVFNUVGUVEUUSUUAUUQUUPQUMZQUMUVFUUAUUQUUPQVAUVEUUAUWAQUVFUVI
      UWAVBNQUWAUKULZUWAUVFNUVIUWAUVIUUPPNZUVLUWAPNUVIUUOUVIFUUCAUUAFVCNUVDHVDU
      VQUVRVNVOZVPUUQUUPQPVQVRVSUVIUVLUWCUWBVPUWDQUUPWGVTUWAWAWBUVTWEWFWIWJACPW
      KUVDIWIACWLSQOUVDJWIAMUFZPCWMZNUWEUUISZUWEUUTSZOZUVDAUWIMUWFAYTUUISZYTUUT
      SZOZBUWFUQUWIMUWFUQAUWLBUWFAYTUWFNZTZUUHUUSUWJUWKUWNBDUUEUUPUWNUUATZEFUUC
      UJUIUWOAYTDCWMNEFOAUWMUUAWNUWOYTDCUWNUUAWOUWMYTCNWHAUUAYTPCWPVJWSKWQWRWTU
      WNUVGUUHXANUWJUUHOUWMUVGAYTPCXBXCZUUGUUEQUUDUJXDXEXFBPUUHXAUUIUUIXGXKVRUW
      NUVGUUSXANUWKUUSOUWPUURUUPQUUOUJXDXEXFBPUUSXAUUTUUTXGXKVRXHXIUWLUWIBMUWFU
      WLMXJBUWGUWHBPUUHUWEXLBPUUSUWEXLXMYTUWEOUWJUWGUWKUWHYTUWEUUIXNYTUWEUUTXNX
      OXPXQXRVDYAZXSXTYBABDEUUELUUIVCAUUIYCAUUATZUUEYCGYDABDFUUPLUUTVCAUUTYCUWR
      UUPYCHYDYEAUULUUCUUJYFRZLYGUULUUCUVAYFRZLYGYQYRAUULUWSUWTLUVEUUJUVAUUCYFU
      WQYHYIBDEUUELUUEXGYLBDFUUPLUUPXGYLYJYK $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x y ph $.
    itgss3.1 $e |- ( ph -> A C_ B ) $.
    itgss3.2 $e |- ( ph -> B C_ RR ) $.
    itgss3.3 $e |- ( ph -> ( vol* ` ( B \ A ) ) = 0 ) $.
    itgss3.4 $e |- ( ( ph /\ x e. B ) -> C e. CC ) $.
    $( Expand the set of an integral by a nullset.  (Contributed by Mario
       Carneiro, 13-Aug-2014.)  (Revised by Mario Carneiro, 2-Sep-2014.) $)
    itgss3 $p |- ( ph ->
      ( ( ( x e. A |-> C ) e. L^1 <-> ( x e. B |-> C ) e. L^1 ) /\
         S. A C _d x = S. B C _d x ) ) $=
      ( vy cmpt cibl wcel wceq cc0 wa cc adantr syl wf wb citg cif csb nfcv nfv
      cv nfcsb1v nfif eleq1w csbeq1a ifbieq1d cbvmpt wss cvol cdm cmbf mpteq2ia
      iftrue eqtr4i simpr eqeltrrid iblmbf sselda syldan fmpttd feq1i fvmptelrn
      sylib mbfdm2 cdif cun undif id cr covol cfv ssdifssd nulmbl syl2anc unmbl
      syl2anr eqeltrrd wn eldifn adantl iffalsed iblss2 eqeltrid eqtr3i sylancl
      ifcl dfss4 difmbl iblss impbida eleq2d biimpa itgeqa simpld itgss2 simprd
      0cn bitrd eqtrd jca ) ABCEKZLMZBDEKLMZUABCEUBZBDEUBZNAXHBDBUGZCMZEOUCZKZL
      MZXIAXHXPAXHPZXOJDJUGZCMZBXREUDZOUCZKZLBJDXNYAJXNUEZXSBXTOXSBUFBXREUHZBOU
      EUIZXLXRNXMXSEXTOBJCUJBXREUKZULZUMZXQJCDYAQACDUNZXHFRAXHCUOUPZMZDYJMZXQJC
      YAQXQJCYAKZLMYMUQMXQYMXGLXGJCXTKYMBJCEXTJEUEYDYFUMJCYAXTXSXTOUSURUTZAXHVA
      VBZYMVCSXQJCYAQXQCQXGTZCQYMTAYPXHABCEQAXMXLDMZEQMZACDXLFVDIVEVFRCQXGYMYNV
      GVIVHZVJAYKPCDCVKZVLZDYJAUUADNZYKAYIUUBFCDVMVIRYKYKYTYJMZUUAYJMAYKVNAYTVO
      UNYTVPVQONUUCADVOCGVRZHYTVSVTZCYTWAWBWCVEYSXQXRYTMZPXSXTOUUFXSWDXQXRDCWEW
      FWGYOWHWIAXPPZXGYMLBCXNKXGYMBCXNEXMEOUSZURBJCXNYAYCYEYGUMWJUUGJCDYAQAYIXP
      FRAXPYLYKUUGJDYAQUUGYBLMYBUQMUUGYBXOLYHAXPVAVBZYBVCSUUGJDYAQADQYBTZXPADQX
      OTUUJABDXNQAYQPYROQMXNQMIXCXMEOQWLWKZVFDQXOYBYHVGVIRVHZVJAYLPDYTVKZCYJAUU
      MCNZYLAYIUUNFCDWMVIZRYLYLUUCUUMYJMAYLVNUUEDYTWNWBWCVEUULUUIWOWIWPAXPXIUAZ
      BDXNUBZXKNZABYTDXNEUUKIUUDHAXLUUMMZPXMXNENAUUSXMAUUMCXLUUOWQWRUUHSWSZWTXD
      AXJUUQXKAYIXJUUQNFBCDEXASAUUPUURUUTXBXEXF $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    itgioo.1 $e |- ( ph -> A e. RR ) $.
    itgioo.2 $e |- ( ph -> B e. RR ) $.
    itgioo.3 $e |- ( ( ph /\ x e. ( A [,] B ) ) -> C e. CC ) $.
    $( Equality of integrals on open and closed intervals.  (Contributed by
       Mario Carneiro, 2-Sep-2014.) $)
    itgioo $p |- ( ph -> S. ( A (,) B ) C _d x = S. ( A [,] B ) C _d x ) $=
      ( co cmpt cibl wcel wb citg wceq wss cr syl2anc cdif c0 cioo ioossicc a1i
      cicc iccssre cpr covol cfv cc0 clt wbr wa rexrd icc0 biimpar difeq1d 0dif
      cxr 0ss eqsstri cle cun uncom adantr simpr prunioo syl3anc eqtr2id difun2
      eqsstrdi eqtrdi difss ltlecasei prssd cfn ovolfi sylancr ovolssnul itgss3
      prfi simprd ) ABCDUAIZEJKLBCDUDIZEJKLMBWBENBWCENOABWBWCEWBWCPACDUBUCACQLD
      QLWCQPFGCDUERAWCWBSZCDUFZPZWEQPZWEUGUHUIOZWDUGUHUIOAWFDCADCUJUKZULZWDTWBS
      ZWEWJWCTWBAWCTOZWIACURLZDURLZWLWIMACFUMZADGUMZCDUNRUOUPWKTWEWBUQWEUSUTVJA
      CDVAUKZULZWDWEWBSZWEWRWDWEWBVBZWBSWSWRWCWTWBWRWTWBWEVBZWCWEWBVCWRWMWNWQXA
      WCOAWMWQWOVDAWNWQWPVDAWQVECDVFVGVHUPWEWBVIVKWEWBVLVJGFVMACDQFGVNZAWEVOLWG
      WHCDVTXBWEVPVQWDWEVRVGHVSWA $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    itgless.1 $e |- ( ph -> A C_ B ) $.
    itgless.2 $e |- ( ph -> A e. dom vol ) $.
    itgless.3 $e |- ( ( ph /\ x e. B ) -> C e. RR ) $.
    itgless.4 $e |- ( ( ph /\ x e. B ) -> 0 <_ C ) $.
    itgless.5 $e |- ( ph -> ( x e. B |-> C ) e. L^1 ) $.
    $( Expand the integral of a nonnegative function.  (Contributed by Mario
       Carneiro, 31-Aug-2014.) $)
    itgless $p |- ( ph -> S. A C _d x <_ S. B C _d x ) $=
      ( citg wcel cc0 cle syl cr cmpt cibl wa wbr cv cif wss wceq itgss2 iblmbf
      cmbf mbfdm2 sselda syldan 0re ifcl sylancl cdif wn eldifn adantl iffalsed
      iftrue mpteq2ia iblss eqeltrid iblss2 leidd breq1 ifboth syl2anc eqbrtrd
      itgle ) ABCEKZBDBUAZCLZEMUBZKZBDEKNACDUCVJVNUDFBCDEUEOABDVMEABCDVMPFABDEP
      ABDEQZRLVOUGLJVOUFOHUHAVLSEPLZMPLZVMPLZAVLVKDLZVPACDVKFUIHUJUKVLEMPULZUMA
      VKDCUNLZSVLEMWAVLUOAVKDCUPUQURABCVMQBCEQRBCVMEVLEMUSUTABCDEPFGHJVAVBVCJAV
      SSZVPVQVRHUKVTUMHWBEENTZMENTZVMENTZWBEHVDIVLWCWDWEEMEVMENVEMVMENVEVFVGVIV
      H $.
  $}

  ${
    $d k x y A $.  $d k x y B $.
    $( A constant function is integrable.  (Contributed by Mario Carneiro,
       12-Aug-2014.) $)
    iblconst $p |- ( ( A e. dom vol /\ ( vol ` A ) e. RR /\ B e. CC ) ->
      ( A X. { B } ) e. L^1 ) $=
      ( vx vk cvol wcel cfv cr cc cmpt cibl cmbf cv cc0 ci co cle wa cif citg2
      cdm w3a csn cxp fconstmpt cexp cdiv cre wbr c3 cfz wral 3adant2 eqeltrrid
      mbfconst cmul ifan mpteq2i fveq2i cpnf cico wceq simpl1 simpl2 simpl3 wne
      cz ax-icn elfzelz adantl expclz mp3an12i expne0i divcld recld 0re sylancl
      ine0 ifcl max1 sylancr elrege0 sylanbrc itg2const syl3anc syl5eq remulcld
      eqeltrd ralrimiva eqidd isibl2 mpbir2and eqeltrid ) AEUAFZAEGZHFZBIFZUBZA
      BUCUDZCABJZKCABUEZWRWTKFWTLFCHCMAFZNBODMZUFPZUGPZUHGZQUIZRXFNSZJZTGZHFZDN
      UJUKPZULWRWTWSLXAWNWQWSLFWPABUOUMUNWRXKDXLWRXCXLFZRZXJXGXFNSZWOUPPZHXNXJC
      HXBXONSZJZTGZXPXIXRTCHXHXQXBXGXFNUQURUSXNWNWPXONUTVAPFZXSXPVBWNWPWQXMVCWN
      WPWQXMVDZXNXOHFZNXOQUIZXTXNXFHFZNHFZYBXNXEXNBXDWNWPWQXMVEOIFZONVFZXNXCVGF
      ZXDIFVHVRXMYHWRXCNUJVIVJZOXCVKVLYFYGXNYHXDNVFVHVRYIOXCVMVLVNVOZVPXGXFNHVS
      VQZXNYEYDYCVPYJNXFVTWAXOWBWCCAXOWDWEWFXNXOWOYKYAWGWHWIWRCABXFDXIIWRXIWJWR
      XBRXFWJWNWPWQXBVEWKWLWM $.

    $( Integral of a constant function.  (Contributed by Mario Carneiro,
       12-Aug-2014.) $)
    itgconst $p |- ( ( A e. dom vol /\ ( vol ` A ) e. RR /\ B e. CC ) ->
      S. A B _d x = ( B x. ( vol ` A ) ) ) $=
      ( vy wcel cfv cr cc citg ci cmul caddc wceq cc0 cle cif cmpt citg2 recnd
      co cvol cdm w3a cre cim simpl itgeq2dv oveq1 eqeq12d wbr cneg cmin simplr
      cv wa csn cxp cibl fconstmpt simpl1 simp2 adantr simpr iblconst eqeltrrid
      syl3anc itgrevallem1 ifan mpteq2i cpnf cico 0re ifcl sylancl max1 sylancr
      fveq2i elrege0 sylanbrc itg2const syl5eq renegcl oveq12d subdird 3eqtr2rd
      adantl max0sub oveq1d eqtr4d ralrimiva 3ad2ant3 rspcdva oveq2d ax-icn a1i
      recl imcl mulassd mulcl adddird simpl3 itgcnval replim 3eqtr4d ) BUAUBEZB
      UAFZGEZCHEZUCZABCUDFZIZJABCUEFZIZKTZLTZXJJXLKTZLTZXFKTZABCICXFKTXIXOXJXFK
      TZXPXFKTZLTXRXIXKXSXNXTLXIABDUNZIZYAXFKTZMZXKXSMDGXJYAXJMZYBXKYCXSYEABYAX
      JYEAUNBEZUFUGYAXJXFKUHUIXIYDDGXIYAGEZUOZYBAGYFNYAOUJZUOYANPZQZRFZAGYFNYAU
      KZOUJZUOYMNPZQZRFZULTZYCYHABYAXIYGYFUMYHABYAQBYAUPUQZURABYAUSYHXEXGYAHEYS
      UREXEXGXHYGUTZXIXGYGXEXGXHVAZVBZYHYAXIYGVCZSBYAVDVFVEVGYHYRYIYANPZXFKTZYN
      YMNPZXFKTZULTUUDUUFULTZXFKTYCYHYLUUEYQUUGULYHYLAGYFUUDNPZQZRFZUUEYKUUJRAG
      YJUUIYFYIYANVHVIVQYHXEXGUUDNVJVKTZEZUUKUUEMYTUUBYHUUDGEZNUUDOUJZUUMYHYGNG
      EZUUNUUCVLYIYANGVMVNZYHUUPYGUUOVLUUCNYAVOVPUUDVRVSABUUDVTVFWAYHYQAGYFUUFN
      PZQZRFZUUGYPUUSRAGYOUURYFYNYMNVHVIVQYHXEXGUUFUULEZUUTUUGMYTUUBYHUUFGEZNUU
      FOUJZUVAYHYMGEZUUPUVBYGUVDXIYAWBWFZVLYNYMNGVMVNZYHUUPUVDUVCVLUVENYMVOVPUU
      FVRVSABUUFVTVFWAWCYHUUDUUFXFYHUUDUUQSYHUUFUVFSXIXFHEYGXIXFUUASZVBWDYHUUHY
      AXFKYGUUHYAMXIYAWGWFWHWEWIWJZXHXEXJGEXGCWPWKZWLXIXNJXLXFKTZKTXTXIXMUVJJKX
      IYDXMUVJMDGXLYAXLMZYBXMYCUVJUVKABYAXLUVKYFUFUGYAXLXFKUHUIUVHXHXEXLGEXGCWQ
      WKZWLWMXIJXLXFJHEZXIWNWOXIXLUVLSZUVGWRWIWCXIXJXPXFXIXJUVISXIUVMXLHEXPHEWN
      UVNJXLWSVPUVGWTWIXIABCHXEXGXHYFXAXIABCQBCUPUQURABCUSBCVDVEXBXICXQXFKXHXEC
      XQMXGCXCWKWHXD $.
  $}

  ${
    $d x A $.  $d x ph $.
    ibladd.1 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    ibladd.2 $e |- ( ( ph /\ x e. A ) -> C e. RR ) $.
    ibladd.3 $e |- ( ( ph /\ x e. A ) -> D = ( B + C ) ) $.
    ibladd.4 $e |- ( ph -> ( x e. A |-> B ) e. MblFn ) $.
    ibladd.5 $e |- ( ph -> ( x e. A |-> C ) e. MblFn ) $.
    ibladd.6 $e |- ( ph -> ( S.2 ` ( x e. RR |->
      if ( ( x e. A /\ 0 <_ B ) , B , 0 ) ) ) e. RR ) $.
    ibladd.7 $e |- ( ph -> ( S.2 ` ( x e. RR |->
      if ( ( x e. A /\ 0 <_ C ) , C , 0 ) ) ) e. RR ) $.
    $( Lemma for ~ ibladd .  (Contributed by Mario Carneiro, 17-Aug-2014.) $)
    ibladdlem $p |- ( ph -> ( S.2 ` ( x e. RR |->
      if ( ( x e. A /\ 0 <_ D ) , D , 0 ) ) ) e. RR ) $=
      ( cr cc0 wcel cle wbr cif cmpt cpnf cicc co cv wa wf caddc citg2 cfv ifan
      cxr readdcld eqeltrd 0re ifcl sylancl rexrd max1 sylancr elxrge0 sylanbrc
      wn 0e0iccpnf a1i ifclda adantr eqeltrid fmpttd cof cvv reex eqidd offval2
      wceq iftrue ibar ifbid oveq12d eqtr2d 00id simpl iffalsed iffalse 3eqtr4a
      con3i pm2.61i mpteq2i eqtrdi fveq2d cdm wss mbfdm2 mblss syl rembl eldifn
      cvol cdif adantl intnanrd cmbf mpteq2ia eqeltrrid mbfss elrege0 0e0icopnf
      mbfpos cico itg2add eqtr3d cofr addge0d wral le2addd eqbrtrd breq1 ifboth
      max2 syl2anc 3brtr4d ex 0le0 pm2.61d1 eqbrtrid ralrimivw ofrfval2 syl3anc
      mpbird itg2le itg2lecl ) ANOUAUBUCZBNBUDZCPZOFQRZUEFOSZTZUFZBNYMODQRZDOSZ
      OEQRZEOSZUGUCZOSZTZUHUIZNPYPUHUIZUUEQRZUUFNPABNYOYKAYLNPZUEYOYMYNFOSZOSZY
      KYMYNFOUJZAUUJYKPUUHAYMUUIOYKAYMUEZUUIUKPOUUIQRZUUIYKPUULUUIUULFNPZONPZUU
      INPUULFDEUGUCZNIUULDEGHULUMZUNYNFONUOUPUQUULUUOUUNUUMUNUUQOFURUSUUIUTVAOY
      KPAYMVBZUEZVCVDZVEVFVGZVHZAUUEBNYMYRUEZDOSZTZUHUIZBNYMYTUEZEOSZTZUHUIZUGU
      CZNAUVEUVIUGVIUCZUHUIUUEUVKAUVLUUDUHAUVLBNUVDUVHUGUCZTUUDABNUVDUVHUGUVEUV
      IVJNNNVJPAVKVDZAUVDNPZUUHAUVDYMYSOSZNYMYRDOUJZAYMYSONUULDNPZUUOYSNPZGUNYR
      DONUOUPZUUOUUSUNVDZVEVGZVFAUVHNPZUUHAUVHYMUUAOSZNYMYTEOUJZAYMUUAONUULENPZ
      UUOUUANPZHUNYTEONUOUPZUWAVEVGZVFAUVEVLAUVIVLVMBNUVMUUCYMUVMUUCVNYMUUCUUBU
      VMYMUUBOVOZYMYSUVDUUAUVHUGYMYRUVCDOYMYRVPVQZYMYTUVGEOYMYTVPVQZVRVSUUROOUG
      UCOUVMUUCVTUURUVDOUVHOUGUURUVCDOUVCYMYMYRWAWEWBUURUVGEOUVGYMYMYTWAWEWBZVR
      YMUUBOWCZWDWFWGWHWIAUVEUVIABCNUVDNACWQWJZPCNWKABCDNJGWLCWMWNZNUWOPAWOVDZA
      UVOYMUWBVFAYLNCWRPZUEZUVCDOUWSYMYRUWRUURAYLNCWPWSZWTWBABCUVDTBCYSTXABCYSU
      VDUWKXBABCDGJXGXCXDABNUVDOUAXHUCZAUVDUXAPUUHAUVDUVPUXAUVQAYMYSOUXAUULUVSO
      YSQRZYSUXAPUVTUULUUOUVRUXBUNGODURUSZYSXEVAOUXAPUUSXFVDZVEVGVFVHLABCNUVHNU
      WPUWQAUWCYMUWIVFUWSUURUVHOVNUWTUWMWNABCUVHTBCUUATXABCUUAUVHUWLXBABCEHKXGX
      CXDABNUVHUXAAUVHUXAPUUHAUVHUWDUXAUWEAYMUUAOUXAUULUWGOUUAQRZUUAUXAPUWHUULU
      UOUWFUXEUNHOEURUSZUUAXEVAUXDVEVGVFVHMXIXJAUVFUVJLMULUMAYQNYKUUDUFYPUUDQXK
      RZUUGUVBABNUUCYKAUUCYKPUUHAYMUUBOYKUULUUBUKPOUUBQRZUUBYKPUULUUBUULYSUUAUV
      TUWHULUQUULYSUUAUVTUWHUXCUXFXLZUUBUTVAUUTVEVFZVHAUXGYOUUCQRZBNXMAUXKBNAYO
      UUJUUCQUUKAYMUUJUUCQRZAYMUXLUULUUIUUBUUJUUCQUULFUUBQRZUXHUUIUUBQRZUULFUUP
      UUBQIUULDEYSUUAGHUVTUWHUULUUOUVRDYSQRUNGODXRUSUULUUOUWFEUUAQRUNHOEXRUSXNX
      OUXIYNUXMUXHUXNFOFUUIUUBQXPOUUIUUBQXPXQXSYMUUJUUIVNAYMUUIOVOWSYMUUCUUBVNA
      UWJWSXTYAUUROOUUJUUCQOOQRUURYBVDYMUUIOWCUWNXTYCYDYEABNYOUUCQYPUUDVJYKYKUV
      NUVAUXJAYPVLAUUDVLYFYHYPUUDYIYGUUEYPYJYG $.
  $}

  ${
    $d x A $.  $d x V $.  $d x ph $.
    itgadd.1 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    itgadd.2 $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    itgadd.3 $e |- ( ( ph /\ x e. A ) -> C e. V ) $.
    itgadd.4 $e |- ( ph -> ( x e. A |-> C ) e. L^1 ) $.
    $( Add two integrals over the same domain.  (Contributed by Mario Carneiro,
       17-Aug-2014.) $)
    ibladd $p |- ( ph -> ( x e. A |-> ( B + C ) ) e. L^1 ) $=
      ( cmpt wcel cr cc0 cfv cle wbr wa cif citg2 caddc co cibl cmbf cv cre cim
      cneg cof cvol cdm w3a iblcnlem mpbid simp1d mbfdm2 eqidd offval2 eqeltrrd
      eqid mbfadd mbfmptcl recld readdd ismbfcn2 simpld simp2d ibladdlem negeqd
      renegcld recnd negdid eqtrd mbfneg simprd jca imaddd simp3d cvv mpbir3and
      imcld ovexd ) ABCDEUAUBZKZUCLWDUDLBMBUECLZNWCUFOZPQRWFNSKTOZMLZBMWENWFUHZ
      PQRWINSKTOZMLZRBMWENWCUGOZPQRWLNSKTOZMLZBMWENWLUHZPQRWONSKTOZMLZRABCDKZBC
      EKZUAUIUBWDUDABCDEUAWRWSUJUKFFABCDFAWRUDLZBMWENDUFOZPQRXANSKTOZMLZBMWENXA
      UHZPQRXDNSKTOZMLZRZBMWENDUGOZPQRXHNSKTOZMLZBMWENXHUHZPQRXKNSKTOZMLZRZAWRU
      CLWTXGXNULHABCDXBXEXIXLFXBUTXEUTXIUTXLUTGUMUNZUOZGUPGIAWRUQAWSUQURAWRWSXP
      AWSUDLZBMWENEUFOZPQRXRNSKTOZMLZBMWENXRUHZPQRYANSKTOZMLZRZBMWENEUGOZPQRYEN
      SKTOZMLZBMWENYEUHZPQRYHNSKTOZMLZRZAWSUCLXQYDYKULJABCEXSYBYFYIFXSUTYBUTYFU
      TYIUTIUMUNZUOZVAUSAWHWKABCXAXRWFAWERZDABCDFXPGVBZVCZYNEABCEFYMIVBZVCZYNDE
      YOYQVDZABCXAKUDLZBCXHKUDLZAWTYTUUARXPABCDYOVEUNZVFZABCXRKUDLZBCYEKUDLZAXQ
      UUDUUERYMABCEYQVEUNZVFZAXCXFAWTXGXNXOVGZVFAXTYCAXQYDYKYLVGZVFVHABCXDYAWIY
      NXAYPVJYNXRYRVJYNWIXAXRUAUBZUHXDYAUAUBYNWFUUJYSVIYNXAXRYNXAYPVKYNXRYRVKVL
      VMABCXAMYPUUCVNABCXRMYRUUGVNAXCXFUUHVOAXTYCUUIVOVHVPAWNWQABCXHYEWLYNDYOWA
      ZYNEYQWAZYNDEYOYQVQZAYTUUAUUBVOZAUUDUUEUUFVOZAXJXMAWTXGXNXOVRZVFAYGYJAXQY
      DYKYLVRZVFVHABCXKYHWOYNXHUUKVJYNYEUULVJYNWOXHYEUAUBZUHXKYHUAUBYNWLUURUUMV
      IYNXHYEYNXHUUKVKYNYEUULVKVLVMABCXHMUUKUUNVNABCYEMUULUUOVNAXJXMUUPVOAYGYJU
      UQVOVHVPABCWCWGWJWMWPVSWGUTWJUTWMUTWPUTYNDEUAWBUMVT $.

    $( Subtract two integrals over the same domain.  (Contributed by Mario
       Carneiro, 25-Aug-2014.) $)
    iblsub $p |- ( ph -> ( x e. A |-> ( B - C ) ) e. L^1 ) $=
      ( cneg caddc co cmpt cibl wcel cmbf iblmbf syl mbfmptcl cmin cv mpteq2dva
      wa negsubd cc negcld iblneg ibladd eqeltrrd ) ABCDEKZLMZNBCDEUAMZNOABCULU
      MABUBCPUDZDEABCDFABCDNZOPUOQPHUORSGTZABCEFABCENZOPUQQPJUQRSITZUEUCABCDUKU
      FUPHUNEURUGABCEFIJUHUIUJ $.

    ${
      itgadd.5 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
      itgadd.6 $e |- ( ( ph /\ x e. A ) -> C e. RR ) $.
      ${
        itgadd.7 $e |- ( ( ph /\ x e. A ) -> 0 <_ B ) $.
        itgadd.8 $e |- ( ( ph /\ x e. A ) -> 0 <_ C ) $.
        $( Lemma for ~ itgadd .  (Contributed by Mario Carneiro,
           17-Aug-2014.) $)
        itgaddlem1 $p |- ( ph -> S. A ( B + C ) _d x =
          ( S. A B _d x + S. A C _d x ) ) $=
          ( caddc co cr wcel cc0 cmpt citg cv cif citg2 cfv wa readdcld addge0d
          ibladd itgposval cof oveq12d cpnf cico cvol cdm wss cmbf iblpos mpbid
          cibl simpld mbfdm2 mblss syl rembl a1i cle elrege0 sylanbrc 0e0icopnf
          wn ifclda adantr cdif eldifn adantl iffalsed iftrue mpteq2ia eqeltrid
          wbr mbfss fmpttd simprd itg2add cvv reex eqidd offval2 eqtr4d iffalse
          wceq 00id eqtrdi pm2.61i mpteq2i fveq2d 3eqtr2d ) ABCDEOPZUABQBUBZCRZ
          WTSUCZTZUDUEZBCDUAZBCEUAZOPZABCWTAXBUFZDEKLUGABCDEFGHIJUIXIDEKLMNUHUJ
          AXHBQXBDSUCZTZUDUEZBQXBESUCZTZUDUEZOPXKXNOUKPZUDUEXEAXFXLXGXOOABCDKHM
          UJABCELJNUJULAXKXNABCQXJSUMUNPZACUOUPZRCQUQABCDQABCDTZURRZXLQRZAXSVAR
          XTYAUFHABCDKMUSUTZVBZKVCCVDVEZQXRRAVFVGZAXJXQRZXBAXBDSXQXIDQRSDVHWBDX
          QRKMDVIVJSXQRAXBVLZUFVKVGZVMZVNAXAQCVORZUFZXBDSYJYGAXAQCVPVQZVRABCXJT
          XSURBCXJDXBDSVSZVTYCWAWCABQXJXQAYFXAQRZYIVNZWDAXTYAYBWEABCQXMXQYDYEAX
          MXQRZXBAXBESXQXIEQRSEVHWBEXQRLNEVIVJYHVMZVNYKXBESYLVRABCXMTBCETZURBCX
          MEXBESVSZVTAYRURRZXOQRZAYRVARYTUUAUFJABCELNUSUTZVBWAWCABQXMXQAYPYNYQV
          NZWDAYTUUAUUBWEWFAXPXDUDAXPBQXJXMOPZTXDABQXJXMOXKXNWGXQXQQWGRAWHVGYOU
          UCAXKWIAXNWIWJBQUUDXCXBUUDXCWMXBUUDWTXCXBXJDXMEOYMYSULXBWTSVSWKYGUUDS
          XCYGUUDSSOPSYGXJSXMSOXBDSWLXBESWLULWNWOXBWTSWLWKWPWQWOWRWSWK $.
      $}

      $( Lemma for ~ itgadd .  (Contributed by Mario Carneiro, 17-Aug-2014.) $)
      itgaddlem2 $p |- ( ph -> S. A ( B + C ) _d x =
        ( S. A B _d x + S. A C _d x ) ) $=
        ( cc0 caddc co cle wbr citg wcel cr cif cneg cmin cv wa max0sub oveq12d
        wceq syl 0re sylancl recnd renegcld addsub4d readdcld addcld addsubeq4d
        ifcl 3eqtr4rd mpbird itgeq2dv cmpt cibl ibladd iblre simprd simpld max1
        mpbid sylancr addge0d itgaddlem1 3eqtr3d itgcl eqeltrd itgreval 3eqtr4d
        cc 3eqtrd ) ABCMDENOZPQZVTMUAZRZBCMVTUBZPQZWDMUAZRZUCOZBCMDPQZDMUAZRZBC
        MDUBZPQZWLMUAZRZUCOZBCMEPQZEMUAZRZBCMEUBZPQZWTMUAZRZUCOZNOZBCVTRBCDRZBC
        ERZNOAWHBCWJWRNOZRZBCWNXBNOZRZUCOZWKWSNOZWOXCNOZUCOXEAWGXINOZWCXKNOZUHW
        HXLUHABCWFXHNOZRBCWBXJNOZRXOXPABCXQXRABUDCSUEZXQXRUHWBWFUCOZXHXJUCOZUHX
        SWJWNUCOZWRXBUCOZNOVTYAXTXSYBDYCENXSDTSZYBDUHKDUFUIXSETSZYCEUHLEUFUIUGX
        SWJWRWNXBXSWJXSYDMTSZWJTSKUJWIDMTURUKZULZXSWRXSYEYFWRTSLUJWQEMTURUKZULZ
        XSWNXSWLTSZYFWNTSXSDKUMZUJWMWLMTURUKZULZXSXBXSWTTSZYFXBTSXSELUMZUJXAWTM
        TURUKZULZUNXSVTTSZXTVTUHXSDEKLUOZVTUFUIUSXSWFXHWBXJXSWFXSWDTSZYFWFTSXSV
        TYTUMZUJWEWDMTURUKZULXSWJWRYHYJUPXSWBXSYSYFWBTSYTUJWAVTMTURUKZULXSWNXBY
        NYRUPUQUTVAABCWFXHTUUCABCWBVBVCSZBCWFVBVCSZABCVTVBVCSUUEUUFUEABCDEFGHIJ
        VDZABCVTYTVEVIZVFZXSWJWRYGYIUOZABCWJWRTYGABCWJVBVCSZBCWNVBVCSZABCDVBVCS
        UUKUULUEHABCDKVEVIZVGZYIABCWRVBVCSZBCXBVBVCSZABCEVBVCSUUOUUPUEJABCELVEV
        IZVGZVDUUCUUJXSYFUUAMWFPQUJUUBMWDVHVJXSWJWRYGYIXSYFYDMWJPQUJKMDVHVJZXSY
        FYEMWRPQUJLMEVHVJZVKVLABCWBXJTUUDAUUEUUFUUHVGZXSWNXBYMYQUOZABCWNXBTYMAU
        UKUULUUMVFZYQAUUOUUPUUQVFZVDUUDUVBXSYFYSMWBPQUJYTMVTVHVJXSWNXBYMYQXSYFY
        KMWNPQUJYLMWLVHVJZXSYFYOMXBPQUJYPMWTVHVJZVKVLVMAWGXIWCXKABCWFTUUCUUIVNA
        XIXMVRABCWJWRTYGUUNYIUURYGYIUUSUUTVLZAWKWSABCWJTYGUUNVNZABCWRTYIUURVNZU
        PVOABCWBTUUDUVAVNAXKXNVRABCWNXBTYMUVCYQUVDYMYQUVEUVFVLZAWOXCABCWNTYMUVC
        VNZABCXBTYQUVDVNZUPVOUQVIAXIXMXKXNUCUVGUVJUGAWKWSWOXCUVHUVIUVKUVLUNVSAB
        CVTYTUUGVPAXFWPXGXDNABCDKHVPABCELJVPUGVQ $.
    $}

    $( Add two integrals over the same domain.  (Contributed by Mario Carneiro,
       17-Aug-2014.) $)
    itgadd $p |- ( ph -> S. A ( B + C ) _d x =
      ( S. A B _d x + S. A C _d x ) ) $=
      ( caddc co cfv citg ci cmul wcel cmpt cibl cr cre cim cv wa cmbf mbfmptcl
      iblmbf syl readdd recld iblcn mpbid simpld itgaddlem2 eqtrd imaddd simprd
      itgeq2dv imcld oveq2d ax-icn a1i itgcl adddid oveq12d mulcl sylancr add4d
      cc cvv ovexd ibladd itgcnval 3eqtr4d ) ABCDEKLZUAMZNZOBCVOUBMZNZPLZKLZBCD
      UAMZNZOBCDUBMZNZPLZKLZBCEUAMZNZOBCEUBMZNZPLZKLZKLZBCVONBCDNZBCENZKLAWAWCW
      IKLZWFWLKLZKLWNAVQWQVTWRKAVQBCWBWHKLZNWQABCVPWSABUCCQUDZDEABCDFABCDRZSQZX
      AUEQHXAUGUHGUFZABCEFABCERZSQZXDUEQJXDUGUHIUFZUIURABCWBWHTWTDXCUJZABCWBRSQ
      ZBCWDRSQZAXBXHXIUDHABCDXCUKULZUMZWTEXFUJZABCWHRSQZBCWJRSQZAXEXMXNUDJABCEX
      FUKULZUMZXGXLUNUOAVTOWEWKKLZPLWRAVSXQOPAVSBCWDWJKLZNXQABCVRXRWTDEXCXFUPUR
      ABCWDWJTWTDXCUSZAXHXIXJUQZWTEXFUSZAXMXNXOUQZXSYAUNUOUTAOWEWKOVIQZAVAVBABC
      WDTXSXTVCZABCWJTYAYBVCZVDUOVEAWCWIWFWLABCWBTXGXKVCABCWHTXLXPVCAYCWEVIQWFV
      IQVAYDOWEVFVGAYCWKVIQWLVIQVAYEOWKVFVGVHUOABCVOVJWTDEKVKABCDEFGHIJVLVMAWOW
      GWPWMKABCDFGHVMABCEFIJVMVEVN $.

    $( Subtract two integrals over the same domain.  (Contributed by Mario
       Carneiro, 25-Aug-2014.) $)
    itgsub $p |- ( ph -> S. A ( B - C ) _d x =
      ( S. A B _d x - S. A C _d x ) ) $=
      ( cneg caddc co citg cmin cmpt cibl wcel cmbf iblmbf cc syl negcld iblneg
      mbfmptcl cv wa itgadd itgneg oveq2d eqtr4d negsubd itgeq2dv itgcl 3eqtr3d
      ) ABCDEKZLMZNZBCDNZBCENZKZLMZBCDEOMZNUSUTOMAURUSBCUPNZLMVBABCDUPUAABCDFAB
      CDPZQRVESRHVETUBGUEZHABUFCRUGZEABCEFABCEPZQRVHSRJVHTUBIUEZUCABCEFIJUDUHAV
      AVDUSLABCEFIJUIUJUKABCUQVCVGDEVFVIULUMAUSUTABCDFGHUNABCEFIJUNULUO $.
  $}

  ${
    $d k m t w x y z A $.  $d k m t w x y z B $.  $d k m t w x y z ph $.
    $d m t w y z C $.
    itgfsum.1 $e |- ( ph -> A e. dom vol ) $.
    itgfsum.2 $e |- ( ph -> B e. Fin ) $.
    itgfsum.3 $e |- ( ( ph /\ ( x e. A /\ k e. B ) ) -> C e. V ) $.
    itgfsum.4 $e |- ( ( ph /\ k e. B ) -> ( x e. A |-> C ) e. L^1 ) $.
    $( Take a finite sum of integrals over the same domain.  (Contributed by
       Mario Carneiro, 24-Aug-2014.) $)
    itgfsum $p |- ( ph -> ( ( x e. A |-> sum_ k e. B C ) e. L^1 /\
      S. A sum_ k e. B C _d x = sum_ k e. B S. A C _d x ) ) $=
      ( vy vm csu cibl wcel citg wceq wa adantr vt vw vz wss cmpt ssid wi cv c0
      cfn cc0 csn cxp sseq1 itgz sumeq1 sum0 eqtrdi itgeq2dv mpteq2dv fconstmpt
      cun 3eqtr4a eqtr4di eleq1d anbi1d imbi12d imbi2d weq eqeq12d anbi12d cvol
      mpbiran2d cdm ibl0 syl a1d wn ssun1 sstr mpan imim1i csb caddc co nfcsb1v
      nfcv csbeq1a cbvsumi cin simprl disjsn sylibr eqidd simprr simplrr sselda
      ssfid cc wral cmbf iblmbf anass1rs mbfmptcl an32s ralrimiva adantlr nfel1
      cbvralw sylib r19.21bi syldan fsumsplit cvv vex csbeq1 snss rspcdva sumsn
      unssbd sylancr oveq2d eqtrd syl5eq mpteq2dva nfov oveq12d sumex csbex a1i
      cbvmpt mpteq2i eqeltrrid nfv cbvitg 3eqtr4g itgcl itgeq2 mprg a2d eqeltrd
      eqtri elexd nfmpt ibladd itgadd oveq12i 3eqtr3g eqcomd eqtr4d 3eqtr4d jca
      nfitg ex expr syl5 expcom adantl findcard2s mpcom mpi ) ADDUDZBCDEFNZUEZO
      PZBCUVCQZDBCEQZFNZRZSZDUFDUJPZAUVBUVJUGZIAUAUHZDUDZBCUVMEFNZUEZOPZBCUVOQZ
      UVMUVGFNZRZSZUGZUGAUIDUDZCUKULUMZOPZUGZUGAUBUHZDUDZBCUWGEFNZUEZOPZBCUWIQZ
      UWGUVGFNZRZSZUGZUGAUWGUCUHZULZVBZDUDZBCUWSEFNZUEZOPZBCUXAQZUWSUVGFNZRZSZU
      GZUGAUVLUGUAUBUCDUVMUIRZUWBUWFAUXIUVNUWCUWAUWEUVMUIDUNUXIUWAUWEUVTUXIBCUK
      QUKUVRUVSBCUOUXIBCUVOUKUXIUVOUKRBUHCPZUXIUVOUIEFNUKUVMUIEFUPEFUQURZTUSUXI
      UVSUIUVGFNUKUVMUIUVGFUPUVGFUQURVCUXIUVQUWEUVTUXIUVPUWDOUXIUVPBCUKUEUWDUXI
      BCUVOUKUXKUTBCUKVAVDVEVFVMVGVHUAUBVIZUWBUWPAUXLUVNUWHUWAUWOUVMUWGDUNUXLUV
      QUWKUVTUWNUXLUVPUWJOUXLBCUVOUWIUVMUWGEFUPZUTVEUXLUVRUWLUVSUWMUXLBCUVOUWIU
      XLUVOUWIRUXJUXMTUSUVMUWGUVGFUPVJVKVGVHUVMUWSRZUWBUXHAUXNUVNUWTUWAUXGUVMUW
      SDUNUXNUVQUXCUVTUXFUXNUVPUXBOUXNBCUVOUXAUVMUWSEFUPZUTVEUXNUVRUXDUVSUXEUXN
      BCUVOUXAUXNUVOUXARUXJUXOTUSUVMUWSUVGFUPVJVKVGVHUVMDRZUWBUVLAUXPUVNUVBUWAU
      VJUVMDDUNUXPUVQUVEUVTUVIUXPUVPUVDOUXPBCUVOUVCUVMDEFUPZUTVEUXPUVRUVFUVSUVH
      UXPBCUVOUVCUXPUVOUVCRUXJUXQTUSUVMDUVGFUPVJVKVGVHAUWEUWCACVLVNPUWEHCVOVPVQ
      UWGUJPZUWQUWGPVRZSAUWPUXHUXSAUWPUXHUGZUGUXRAUXSUXTUWPUWTUWOUGAUXSSZUXHUWT
      UWHUWOUWGUWSUDUWTUWHUWGUWRVSUWGUWSDVTWAWBUYAUWTUWOUXGAUXSUWTUWOUXGUGAUXSU
      WTSZSZUWOUXGUYCUWOSZUXCUXFUYDUXBLCBLUHZUWGFMUHZEWCZMNZWCZBUYEFUWQEWCZWCZW
      DWEZUEZOUYCUXBUYMRUWOUYCUXBBCUYHUYJWDWEZUEUYMUYCBCUXAUYNUYCUXJSZUXAUWSUYG
      MNZUYNUWSEUYGFMMEWGZFUYFEWFZFUYFEWHZWIZUYOUYPUYHUWRUYGMNZWDWEUYNUYOUWGUWR
      UYGUWSMUYCUWGUWRWJUIRZUXJUYCUXSVUBAUXSUWTWKUWGUWQWLWMZTUYOUWSWNUYCUWSUJPU
      XJUYCDUWSAUVKUYBITAUXSUWTWOZWRZTUYOUYFUWSPZUYFDPZUYGWSPZUYOUWSDUYFAUXSUWT
      UXJWPWQUYOVUHMDUYOEWSPZFDWTZVUHMDWTAUXJVUJUYBAUXJSVUIFDAFUHDPZUXJVUIAVUKS
      ZBCEGVULBCEUEZOPZVUMXAPKVUMXBVPAUXJVUKEGPJXCXDXEXFXGVUIVUHFMDMEWSUYQXHFUY
      GWSUYRXHFMVIZEUYGWSUYSVEXIXJZXKZXLXMUYOVUAUYJUYHWDUYOUWQXNPZUYJWSPZVUAUYJ
      RUCXOZUYOVUHVUSMDUWQMUCVIZUYGUYJWSFUYFUWQEXPZVEVUPUYCUWQDPZUXJUYCUWRDUDVV
      CUYCUWGUWRDVUDXTUWQDVUTXQWMZTXRZUYGUYJMUWQXNVVBXSYAYBYCZYDYEBLCUYNUYLLUYN
      WGZBUYIUYKWDBUYEUYHWFZBWDWGBUYEUYJWFZYFZBLVIZUYHUYIUYJUYKWDBUYEUYHWHZBUYE
      UYJWHZYGZYKURTUYDLCUYIUYKXNUYIXNPUYDUYECPSBUYEUYHUWGUYGMYHYIYJZUYDLCUYIUE
      ZUWJOUWJBCUYHUEVVPBCUWIUYHUWGEUYGFMUYQUYRUYSWIZYLBLCUYHUYILUYHWGZVVHVVLYK
      UUBUYCUWKUWNWKYMZUYDUYKXNPZLCUYDUYJXNPZBCWTZVVTLCWTUYCVWBUWOUYCVWABCUYOUY
      JWSVVEUUCXFTVWAVVTBLCVWALYNBUYKXNVVIXHVVKUYJUYKXNVVMVEXIXJXKZUYCLCUYKUEZO
      PUWOUYCVWDBCUYJUEZOBLCUYJUYKLUYJWGZVVIVVMYKUYCBCUYGUEZOPZVWEOPMDUWQVVAVWG
      VWEOVVABCUYGUYJVVBUTVEAVWHMDWTZUYBAVUNFDWTVWIAVUNFDKXFVUNVWHFMDVUNMYNFVWG
      OFBCUYGFCWGZUYRUUDXHVUOVUMVWGOVUOBCEUYGUYSUTVEXIXJTZVVDXRZYMTZUUEUUAUYDBC
      UYPQZUWSBCUYGQZMNZUXDUXEUYDBCUYNQZBCUYHQZBCUYJQZWDWEZVWNVWPUYDLCUYLQLCUYI
      QZLCUYKQZWDWEVWQVWTUYDLCUYIUYKXNVVOVVSVWCVWMUUFBLCUYNUYLVVNVVGVVJYOVWRVXA
      VWSVXBWDBLCUYHUYIVVLVVRVVHYOBLCUYJUYKVVMVWFVVIYOUUGYPUYCVWNVWQRUWOUYCBCUY
      PUYNVVFUSTUYDVWPUWGVWOMNZUWRVWOMNZWDWEZVWTUYCVWPVXERUWOUYCUWGUWRVWOUWSMVU
      CUYCUWSWNVUEUYCVUFVUGVWOWSPUYCUWSDUYFVUDWQUYCVUGSBCUYGWSUYCUXJVUGVUHVUQXE
      UYCVWHMDVWKXKYQXLXMTUYDVWRVXCVWSVXDWDUYDUWLUWMVWRVXCUYCUWKUWNWOUWIUYHRZUW
      LVWRRBCBCUWIUYHYRVXFUXJVVQYJYSUWGUVGVWOFMMUVGWGZBFCUYGVWJUYRUUMZVUOBCEUYG
      VUOEUYGRUXJUYSTUSZWIUUHUYDVXDVWSUYDVURVWSWSPZVXDVWSRVUTUYCVXJUWOUYCBCUYJW
      SVVEVWLYQTVWOVWSMUWQXNVVABCUYGUYJVVAUYGUYJRUXJVVBTUSXSYAUUIYGUUJUUKUXAUYP
      RZUXDVWNRBCBCUXAUYPYRVXKUXJUYTYJYSUWSUVGVWOFMVXGVXHVXIWIYPUULUUNUUOYTUUPU
      UQUURYTUUSUUTUVA $.
  $}

  ${
    $d x A $.  $d x ph $.
    iblabs.1 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    iblabs.2 $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    ${
      iblabs.3 $e |- G = ( x e. RR |->
        if ( x e. A , ( abs ` ( F ` B ) ) , 0 ) ) $.
      iblabs.4 $e |- ( ph -> ( x e. A |-> ( F ` B ) ) e. L^1 ) $.
      iblabs.5 $e |- ( ( ph /\ x e. A ) -> ( F ` B ) e. RR ) $.
      $( Lemma for ~ iblabs .  (Contributed by Mario Carneiro, 25-Aug-2014.) $)
      iblabslem $p |- ( ph -> ( G e. MblFn /\ ( S.2 ` G ) e. RR ) ) $=
        ( wcel cr cc0 cmpt wceq cc co caddc cmbf citg2 cfv cv cabs cif cvol cdm
        wss cle wbr wa cneg cibl w3a iblrelem mpbid simp1d mbfdm2 mblss syl a1i
        rembl iftrue adantl abscld eqeltrd cdif wn eldifn iffalse ccom mpteq2ia
        recnd wf absf cofmpt eqtr4id ccncf fmpttd ax-resscn ssid cncfss abscncf
        mp2an sselii cncombf syl3anc mbfss eqeltrid cof cvv cpnf cico reex ifan
        0re ifcl sylancl max1 sylancr sylanbrc 0e0icopnf ifclda adantr renegcld
        elrege0 eqidd offval2 oveq12i max0add oveq12d 3eqtr4d ex 3eqtr4a syl5eq
        00id pm2.61d1 mpteq2dv eqtrd fveq2d ibar mbfpos eqeltrrid simp2d mbfneg
        ifbid simp3d itg2add readdcld jca ) AFUAMFUBUCZNMAFBNBUDZCMZDEUCZUEUCZO
        UFZPZUAJABCNYQNACUGUHZMCNUIABCYONABCYOPZUAMZBNYNOYOUJUKZULZYOOUFZPZUBUC
        ZNMZBNYNOYOUMZUJUKZULZUUHOUFZPZUBUCZNMZAYTUNMUUAUUGUUNUOKABCYOLUPUQZURZ
        LUSCUTVAZNYSMAVCVBZAYNULZYQYPNYNYQYPQAYNYPOVDZVEZUUSYOUUSYOLVNZVFVGAYMN
        CVHMZULZYNVIZYQOQUVCUVEAYMNCVJVEZYNYPOVKZVAABCYQPZUEYTVLZUAAUVHBCYPPUVI
        BCYQYPUUTVMABCYORNUERNUEVOAVPVBUVBVQVRAUUACRYTVOUERRVSSZMZUVIUAMUUPABCY
        ORUVBVTUVKARNVSSZUVJUENRUIRRUIUVLUVJUIWARWBRNRWCWEWDWFVBCRYTUEWGWHVGWIW
        JAYLUUFUUMTSZNAYLUUEUULTWKSZUBUCUVMAFUVNUBAFYRUVNJAUVNBNUUDUUKTSZPYRABN
        UUDUUKTUUEUULWLOWMWNSZUVPNWLMAWOVBAUUDUVPMZYMNMZAUUDYNUUBYOOUFZOUFZUVPY
        NUUBYOOWPZAYNUVSOUVPUUSUVSNMZOUVSUJUKZUVSUVPMUUSYONMZONMZUWBLWQUUBYOONW
        RWSUUSUWEUWDUWCWQLOYOWTXAUVSXGXBOUVPMAUVEULXCVBZXDWJZXEZAUUKUVPMZUVRAUU
        KYNUUIUUHOUFZOUFZUVPYNUUIUUHOWPZAYNUWJOUVPUUSUWJNMZOUWJUJUKZUWJUVPMUUSU
        UHNMZUWEUWMUUSYOLXFZWQUUIUUHONWRWSUUSUWEUWOUWNWQUWPOUUHWTXAUWJXGXBUWFXD
        WJZXEZAUUEXHAUULXHXIABNUVOYQAUVOUVTUWKTSZYQUUDUVTUUKUWKTUWAUWLXJAYNUWSY
        QQZAYNUWTUUSUVSUWJTSZYPUWSYQUUSUWDUXAYPQLYOXKVAUUSUVTUVSUWKUWJTYNUVTUVS
        QAYNUVSOVDVEYNUWKUWJQAYNUWJOVDVEXLUVAXMXNUVEOOTSOUWSYQXQUVEUVTOUWKOTYNU
        VSOVKZYNUWJOVKZXLUVGXOXRXPXSXTVRYAAUUEUULABCNUUDUVPUUQUURAUVQYNUWGXEUVD
        UVEUUDOQUVFUVEUUDUVTOUWAUXBXPVAABCUUDPBCUVSPUABCUVSUUDYNUUBUUCYOOYNUUBY
        BYGVMABCYOLUUPYCYDWIABNUUDUVPUWHVTAUUAUUGUUNUUOYEZABCNUUKUVPUUQUURAUWIY
        NUWQXEUVDUVEUUKOQUVFUVEUUKUWKOUWLUXCXPVAABCUUKPBCUWJPUABCUWJUUKYNUUIUUJ
        UUHOYNUUIYBYGVMABCUUHUWPABCYONLUUPYFYCYDWIABNUUKUVPUWRVTAUUAUUGUUNUUOYH
        ZYIXTAUUFUUMUXDUXEYJVGYK $.
    $}

    $( The absolute value of an integrable function is integrable.
       (Contributed by Mario Carneiro, 25-Aug-2014.) $)
    iblabs $p |- ( ph -> ( x e. A |-> ( abs ` B ) ) e. L^1 ) $=
      ( cabs cfv cmpt wcel cmbf cr cc0 citg2 cc co caddc cle wbr cibl cv cif wf
      ccom absf a1i iblmbf syl mbfmptcl cofmpt fmpttd wss ax-resscn ssid cncfss
      ccncf mp2an abscncf sselii cncombf syl3anc eqeltrrd cpnf cicc cre cim cxr
      wa abscld rexrd absge0d elxrge0 sylanbrc 0e0iccpnf ifclda adantr cof cico
      wn cvv reex recld recnd elrege0 0e0icopnf imcld eqidd offval2 wceq iftrue
      oveq12d eqtr4d iffalse 3eqtr4a pm2.61i mpteq2i eqtr2di fveq2d iblcn mpbid
      00id eqid simpld iblabslem simprd itg2add eqtrd eqeltrd cofr addge0d wral
      readdcld ci cmul ax-icn mulcl sylancr abstrid replimd absmul absi mulid2d
      c1 oveq1i syl5eq eqtr2d oveq2d 3brtr4d adantl pm2.61d1 ralrimivw ofrfval2
      ex 0le0 mpbird itg2le itg2lecl iblpos mpbir2and ) ABCDHIZJZUAKUUBLKBMBUBZ
      CKZUUANUCZJZOIZMKZAHBCDJZUEZUUBLABCDPMHPMHUDAUFUGABCDEAUUIUAKZUUILKZGUUIU
      HUIZFUJZUKAUULCPUUIUDHPPUQQZKZUUJLKUUMABCDPUUNULUUPAPMUQQZUUOHMPUMPPUMUUQ
      UUOUMUNPUOPMPUPURUSUTUGCPUUIHVAVBVCAMNVDVEQZUUFUDZBMUUDDVFIZHIZDVGIZHIZRQ
      ZNUCZJZOIZMKUUGUVGSTZUUHABMUUEUURAUUEUURKUUCMKZAUUDUUANUURAUUDVIZUUAVHKNU
      UASTUUAUURKUVJUUAUVJDUUNVJZVKUVJDUUNVLZUUAVMVNNUURKAUUDVTZVIZVOUGZVPVQZUL
      ZAUVGBMUUDUVANUCZJZOIZBMUUDUVCNUCZJZOIZRQZMAUVGUVSUWBRVRQZOIUWDAUVFUWEOAU
      WEBMUVRUWARQZJUVFABMUVRUWARUVSUWBWANVDVSQZUWGMWAKAWBUGZAUVRUWGKUVIAUUDUVA
      NUWGUVJUVAMKNUVASTUVAUWGKUVJUUTUVJUUTUVJDUUNWCZWDZVJZUVJUUTUWJVLZUVAWEVNN
      UWGKUVNWFUGZVPVQZAUWAUWGKUVIAUUDUVCNUWGUVJUVCMKNUVCSTUVCUWGKUVJUVBUVJUVBU
      VJDUUNWGZWDZVJZUVJUVBUWPVLZUVCWEVNUWMVPVQZAUVSWHAUWBWHWIBMUWFUVEUUDUWFUVE
      WJUUDUWFUVDUVEUUDUVRUVAUWAUVCRUUDUVANWKUUDUVCNWKWLUUDUVDNWKZWMUVMNNRQNUWF
      UVEXBUVMUVRNUWANRUUDUVANWNUUDUVCNWNWLUUDUVDNWNZWOWPWQWRWSAUVSUWBAUVSLKZUV
      TMKZABCDVFUVSEFGUVSXCABCUUTJUAKZBCUVBJUAKZAUUKUXDUXEVIGABCDUUNWTXAZXDUWIX
      EZXDABMUVRUWGUWNULAUXBUXCUXGXFZAUWBLKZUWCMKZABCDVGUWBEFGUWBXCAUXDUXEUXFXF
      UWOXEZXDABMUWAUWGUWSULAUXIUXJUXKXFZXGXHAUVTUWCUXHUXLXMXIAUUSMUURUVFUDUUFU
      VFSXJTZUVHUVQABMUVEUURAUVEUURKUVIAUUDUVDNUURUVJUVDVHKNUVDSTUVDUURKUVJUVDU
      VJUVAUVCUWKUWQXMVKUVJUVAUVCUWKUWQUWLUWRXKUVDVMVNUVOVPVQZULAUXMUUEUVESTZBM
      XLAUXOBMAUUDUXOAUUDUXOUVJUUAUVDUUEUVESUVJUUTXNUVBXOQZRQZHIUVAUXPHIZRQUUAU
      VDSUVJUUTUXPUWJUVJXNPKZUVBPKZUXPPKXPUWPXNUVBXQXRXSUVJDUXQHUVJDUUNXTWSUVJU
      VCUXRUVARUVJUXRXNHIZUVCXOQZUVCUVJUXSUXTUXRUYBWJXPUWPXNUVBYAXRUVJUYBYDUVCX
      OQUVCUYAYDUVCXOYBYEUVJUVCUVJUVCUWQWDYCYFYGYHYIUUDUUEUUAWJAUUDUUANWKYJUUDU
      VEUVDWJAUWTYJYIYNUVMNNUUEUVESNNSTUVMYOUGUUDUUANWNUXAYIYKYLABMUUEUVESUUFUV
      FWAUURUURUWHUVPUXNAUUFWHAUVFWHYMYPUUFUVFYQVBUVGUUFYRVBABCUUAUVKUVLYSYT $.
  $}

  ${
    $d k x A $.  $d k B $.  $d k x ph $.  $d x V $.
    iblabsr.1 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    iblabsr.2 $e |- ( ph -> ( x e. A |-> B ) e. MblFn ) $.
    iblabsr.3 $e |- ( ph -> ( x e. A |-> ( abs ` B ) ) e. L^1 ) $.
    $( A measurable function is integrable iff its absolute value is
       integrable.  (See ~ iblabs for the forward implication.)  (Contributed
       by Mario Carneiro, 25-Aug-2014.) $)
    iblabsr $p |- ( ph -> ( x e. A |-> B ) e. L^1 ) $=
      ( vk wcel cr cc0 ci co cfv cle wbr wa adantr c1 cmpt cibl cmbf cv cre cif
      cexp cdiv citg2 c3 cfz wral cpnf cicc wf cabs cxr cc mbfmptcl adantlr wne
      ifan cz ax-icn ine0 elfzelz ad2antlr expclz mp3an12i expne0i divcld recld
      0re ifcl sylancl rexrd max1 sylancr elxrge0 sylanbrc 0e0iccpnf a1i ifclda
      wn eqeltrid fmpttd abscld absge0d iblpos simprd cofr releabsd absdivd cn0
      mpbid wceq elfznn0 absexp absi oveq1i syl syl5eq eqtrd oveq2d recnd div1d
      1exp 3eqtrd breqtrd breq1 ifboth syl2anc iftrue adantl 3brtr4d ex iffalse
      0le0 pm2.61d1 eqbrtrid ralrimivw cvv eqidd ofrfval2 mpbird itg2le syl3anc
      reex itg2lecl ralrimiva isibl2 mpbir2and ) ABCDUAZUBJYMUCJBKBUDZCJZLDMIUD
      ZUGNZUHNZUEOZPQZRYSLUFZUAZUIOZKJZILUJUKNZULGAUUDIUUEAYPUUEJZRZKLUMUNNZUUB
      UOZBKYODUPOZLUFZUAZUIOZKJZUUCUUMPQZUUDUUGBKUUAUUHUUGUUAUUHJYNKJZUUGUUAYOY
      TYSLUFZLUFZUUHYOYTYSLVBZUUGYOUUQLUUHUUGYORZUUQUQJLUUQPQZUUQUUHJUUTUUQUUTY
      SKJZLKJZUUQKJUUTYRUUTDYQAYODURJUUFABCDEGFUSZUTZMURJZMLVAZUUTYPVCJZYQURJVD
      VEUUFUVHAYOYPLUJVFVGZMYPVHVIZUVFUVGUUTUVHYQLVAVDVEUVIMYPVJVIZVKZVLZVMYTYS
      LKVNVOVPUUTUVCUVBUVAVMUVMLYSVQVRUUQVSVTLUUHJZUUGYOWDZRWAWBZWCWESZWFZAUUNU
      UFABCUUJUAZUCJZUUNAUVSUBJUVTUUNRHABCUUJAYORZDUVDWGZUWADUVDWHZWIWOWJSUUGUU
      IKUUHUULUOZUUBUULPWKQZUUOUVRAUWDUUFABKUUKUUHAUUKUUHJZUUPAYOUUJLUUHUWAUUJU
      QJZLUUJPQZUUJUUHJZUWAUUJUWBVPZUWCUUJVSZVTUVNAUVORWAWBWCSWFSUUGUWEUUAUUKPQ
      ZBKULUUGUWLBKUUGUUAUURUUKPUUSUUGYOUURUUKPQZUUGYOUWMUUTUUQUUJUURUUKPUUTYSU
      UJPQZUWHUUQUUJPQZUUTYSYRUPOZUUJPUUTYRUVLWLUUTUWPUUJYQUPOZUHNUUJTUHNUUJUUT
      DYQUVEUVJUVKWMUUTUWQTUUJUHUUTUWQMUPOZYPUGNZTUUTUVFYPWNJZUWQUWSWPVDUUFUWTA
      YOYPUJWQVGMYPWRVRUUTUWSTYPUGNZTUWRTYPUGWSWTUUTUVHUXATWPUVIYPXGXAXBXCXDUUT
      UUJAYOUUJURJUUFUWAUUJUWBXEUTXFXHXIUUTDUVEWHZYTUWNUWHUWOYSLYSUUQUUJPXJLUUQ
      UUJPXJXKXLYOUURUUQWPUUGYOUUQLXMXNYOUUKUUJWPUUGYOUUJLXMXNXOXPUVOLLUURUUKPL
      LPQUVOXRWBYOUUQLXQYOUUJLXQXOXSXTYAUUGBKUUAUUKPUUBUULYBUUHUUHKYBJUUGYHWBUV
      QUUGUWFUUPUUGYOUUJLUUHUUTUWGUWHUWIAYOUWGUUFUWJUTUXBUWKVTUVPWCSUUGUUBYCUUG
      UULYCYDYEUUBUULYFYGUUMUUBYIYGYJABCDYSIUUBEAUUBYCUWAYSYCFYKYL $.
  $}

  ${
    $d k x A $.  $d k B $.  $d k x C $.  $d k x ph $.  $d x V $.
    itgmulc2.1 $e |- ( ph -> C e. CC ) $.
    itgmulc2.2 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    itgmulc2.3 $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    $( Multiply an integral by a constant.  (Contributed by Mario Carneiro,
       25-Aug-2014.) $)
    iblmulc2 $p |- ( ph -> ( x e. A |-> ( C x. B ) ) e. L^1 ) $=
      ( cmul co cmpt wcel cr cc0 ci cfv cle wbr wa vk cibl cmbf cv cexp cre cif
      cdiv citg2 c3 cfz wral iblmbf syl mbfmulc2 cpnf cicc cabs ifan cxr adantr
      wf cc mbfmptcl mulcld adantlr wne cz ax-icn ine0 ad2antlr expclz mp3an12i
      elfzelz expne0i divcld recld 0re ifcl sylancl rexrd max1 sylancr sylanbrc
      elxrge0 wn 0e0iccpnf a1i ifclda eqeltrid fmpttd csn cxp cof cvv cico reex
      abscld absge0d elrege0 0e0icopnf wceq eqidd offval2 ovif2 absmuld ifeq1da
      fconstmpt recnd mul01d ifeq2d eqtr3d syl5eq mpteq2dv fveq2d iblabs iblpos
      eqtrd mpbid simprd absge0 itg2mulc remulcld eqeltrd cofr releabsd absdivd
      abscl cn0 elfznn0 absexp absi oveq1i breq1 iftrue 3brtr4d iffalse syl3anc
      c1 adantl oveq2d div1d 3eqtrd breqtrd ifboth syl2anc ex pm2.61d1 eqbrtrid
      1exp ralrimivw ofrfval2 mpbird itg2le itg2lecl ralrimiva isibl2 mpbir2and
      0le0 ) ABCEDJKZLZUBMUVAUCMBNBUDZCMZOUUTPUAUDZUEKZUHKZUFQZRSZTUVGOUGZLZUIQ
      ZNMZUAOUJUKKZULABCDEFGHABCDLZUBMUVNUCMIUVNUMUNZUOAUVLUAUVMAUVDUVMMZTZNOUP
      UQKZUVJVBZBNUVCUUTURQZOUGZLZUIQZNMZUVKUWCRSZUVLUVQBNUVIUVRUVQUVBNMZTUVIUV
      CUVHUVGOUGZOUGZUVRUVCUVHUVGOUSZUVQUWHUVRMUWFUVQUVCUWGOUVRUVQUVCTZUWGUTMOU
      WGRSZUWGUVRMUWJUWGUWJUVGNMZONMZUWGNMUWJUVFUWJUUTUVEAUVCUUTVCMUVPAUVCTZEDA
      EVCMZUVCGVAZABCDFUVOHVDZVEZVFZPVCMZPOVGZUWJUVDVHMZUVEVCMVIVJUVPUXBAUVCUVD
      OUJVNVKZPUVDVLVMZUWTUXAUWJUXBUVEOVGVIVJUXCPUVDVOVMZVPZVQZVRUVHUVGONVSVTWA
      UWJUWMUWLUWKVRUXGOUVGWBWCUWGWEWDOUVRMZUVQUVCWFZTWGWHWIVAWJZWKZAUWDUVPAUWC
      EURQZBNUVCDURQZOUGZLZUIQZJKZNANUXLWLWMZUXOJWNKZUIQUWCUXQAUXSUWBUIAUXSBNUX
      LUXNJKZLUWBABNUXLUXNJUXRUXOWONOUPWPKZNWOMZAWQWHAUXLNMZUWFAEGWRZVAAUXNUYAM
      UWFAUVCUXMOUYAUWNUXMNMOUXMRSUXMUYAMUWNDUWQWRZUWNDUWQWSZUXMWTWDOUYAMAUXITZ
      XAWHWIVAZUXRBNUXLLXBABNUXLXHWHAUXOXCXDABNUXTUWAAUXTUVCUXLUXMJKZUXLOJKZUGZ
      UWAUVCUXLUXMOJXEAUVCUVTUYJUGUYKUWAAUVCUVTUYIUYJUWNEDUWPUWQXFXGAUVCUYJOUVT
      AUXLAUXLUYDXIXJXKXLXMXNXRXOAUXLUXOABNUXNUYAUYHWKABCUXMLZUCMZUXPNMZAUYLUBM
      UYMUYNTABCDFHIXPABCUXMUYEUYFXQXSXTZAUWOUXLUYAMZGUWOUYCOUXLRSUYPEYHEYAUXLW
      TWDUNYBXLAUXLUXPUYDUYOYCYDVAUVQUVSNUVRUWBVBZUVJUWBRYESZUWEUXKAUYQUVPABNUW
      AUVRAUWAUVRMZUWFAUVCUVTOUVRUWNUVTUTMOUVTRSZUVTUVRMUWNUVTUWNUUTUWRWRZWAUWN
      UUTUWRWSZUVTWEWDUXHUYGWGWHWIVAZWKVAUVQUYRUVIUWARSZBNULUVQVUDBNUVQUVIUWHUW
      ARUWIUVQUVCUWHUWARSZUVQUVCVUEUWJUWGUVTUWHUWARUWJUVGUVTRSZUYTUWGUVTRSZUWJU
      VGUVFURQZUVTRUWJUVFUXFYFUWJVUHUVTUVEURQZUHKUVTYSUHKUVTUWJUUTUVEUWSUXDUXEY
      GUWJVUIYSUVTUHUWJVUIPURQZUVDUEKZYSUWJUWTUVDYIMZVUIVUKXBVIUVPVULAUVCUVDUJY
      JVKPUVDYKWCUWJVUKYSUVDUEKZYSVUJYSUVDUEYLYMUWJUXBVUMYSXBUXCUVDUUJUNXMXRUUA
      UWJUVTAUVCUVTVCMUVPUWNUVTVUAXIVFUUBUUCUUDAUVCUYTUVPVUBVFUVHVUFUYTVUGUVGOU
      VGUWGUVTRYNOUWGUVTRYNUUEUUFUVCUWHUWGXBUVQUVCUWGOYOYTUVCUWAUVTXBUVQUVCUVTO
      YOYTYPUUGUXIOOUWHUWAROORSUXIUUSWHUVCUWGOYQUVCUVTOYQYPUUHUUIUUKUVQBNUVIUWA
      RUVJUWBWOUVRUVRUYBUVQWQWHUXJAUWFUYSUVPVUCVFUVQUVJXCUVQUWBXCUULUUMUVJUWBUU
      NYRUWCUVJUUOYRUUPABCUUTUVGUAUVJVCAUVJXCUWNUVGXCUWRUUQUUR $.

    ${
      itgmulc2.4 $e |- ( ph -> C e. RR ) $.
      itgmulc2.5 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
      ${
        itgmulc2.6 $e |- ( ph -> 0 <_ C ) $.
        itgmulc2.7 $e |- ( ( ph /\ x e. A ) -> 0 <_ B ) $.
        $( Lemma for ~ itgmulc2 : positive real case.  (Contributed by Mario
           Carneiro, 25-Aug-2014.) $)
        itgmulc2lem1 $p |- ( ph ->
          ( C x. S. A B _d x ) = S. A ( C x. B ) _d x ) $=
          ( cr wcel cc0 cmpt cmul co adantr cif citg2 cfv citg csn cxp cof cpnf
          cv cico wa cle wbr elrege0 sylanbrc wn 0e0icopnf a1i ifclda cmbf cibl
          fmpttd iblpos mpbid simprd itg2mulc reex wceq fconstmpt eqidd offval2
          cvv ovif2 mul01d ifeq2d syl5eq mpteq2dva eqtrd fveq2d eqtr3d remulcld
          itgposval oveq2d iblmulc2 mulge0d 3eqtr4d ) AEBNBUIZCOZDPUAZQZUBUCZRS
          ZBNWHEDRSZPUAZQZUBUCZEBCDUDZRSBCWMUDANEUEUFZWJRUGSZUBUCWLWPAEWJABNWIP
          UHUJSZAWIWTOWGNOZAWHDPWTAWHUKZDNOPDULUMDWTOKMDUNUOPWTOAWHUPUKUQURUSTZ
          VBABCDQZUTOZWKNOZAXDVAOXEXFUKIABCDKMVCVDVEAENOZPEULUMZEWTOJLEUNUOVFAW
          SWOUBAWSBNEWIRSZQWOABNEWIRWRWJVLNWTNVLOAVGURAXGXAJTXCWRBNEQVHABNEVIUR
          AWJVJVKABNXIWNAXAUKZXIWHWMEPRSZUAWNWHEDPRVMXJWHXKPWMAXKPVHXAAEGVNTVOV
          PVQVRVSVTAWQWKERABCDKIMWBWCABCWMXBEDAXGWHJTZKWAABCDEFGHIWDXBEDXLKAXHW
          HLTMWEWBWF $.
      $}

      $( Lemma for ~ itgmulc2 : real case.  (Contributed by Mario Carneiro,
         25-Aug-2014.) $)
      itgmulc2lem2 $p |- ( ph ->
        ( C x. S. A B _d x ) = S. A ( C x. B ) _d x ) $=
        ( cmul co citg cc0 cle wbr cmin wcel cr cif cneg cv wceq adantr max0sub
        wa syl oveq1d 0re ifcl sylancl recnd renegcld subdird itgeq2dv remulcld
        cc eqtr3d iblmulc2 itgsub cmpt cibl iblre simpld simprd oveq2d itgreval
        mpbid subdid itgcl sylancr itgmulc2lem1 oveq12d 3eqtr4d 3eqtr2d 3eqtrrd
        max1 3eqtrd ) ABCEDLMZNBCOEPQZEOUAZDLMZOEUBZPQZWDOUAZDLMZRMZNBCWCNZBCWG
        NZRMZEBCDNZLMZABCVTWHABUCCSZUGZWBWFRMZDLMVTWHWOWPEDLWOETSZWPEUDZAWQWNJU
        EEUFZUHUIWOWBWFDAWBURSWNAWBAWQOTSZWBTSZJUJWAEOTUKULZUMZUEZAWFURSWNAWFAW
        DTSZWTWFTSZAEJUNZUJWEWDOTUKULZUMZUEZWODKUMUOUSUPABCWCWGTWOWBDAXAWNXBUEZ
        KUQABCDWBFXCHIUTWOWFDAXFWNXHUEZKUQABCDWFFXIHIUTVAAWKWBWLLMZWFWLLMZRMWPW
        LLMWMAWIXMWJXNRABCWBODPQZDOUAZLMZWBODUBZPQZXROUAZLMZRMZNBCXQNZBCYANZRMZ
        WIXMABCXQYATWOWBXPXKWODTSZWTXPTSKUJXODOTUKULZUQABCXPWBTXCYGABCXPVBVCSZB
        CXTVBVCSZABCDVBVCSYHYIUGIABCDKVDVIZVEZUTWOWBXTXKWOXRTSZWTXTTSWODKUNZUJX
        SXROTUKULZUQABCXTWBTXCYNAYHYIYJVFZUTVAABCWCYBWOWBXPXTRMZLMWCYBWOYPDWBLW
        OYFYPDUDKDUFUHZVGWOWBXPXTXDWOXPYGUMZWOXTYNUMZVJUSUPAXMWBBCXPNZBCXTNZRMZ
        LMWBYTLMZWBUUALMZRMYEAWLUUBWBLABCDKIVHZVGAWBYTUUAXCABCXPTYGYKVKZABCXTTY
        NYOVKZVJAUUCYCUUDYDRABCXPWBTXCYGYKXBYGAWTWQOWBPQUJJOEVRVLZWOWTYFOXPPQUJ
        KODVRVLZVMABCXTWBTXCYNYOXBYNUUHWOWTYLOXTPQUJYMOXRVRVLZVMVNVSVOABCWFXPLM
        ZWFXTLMZRMZNBCUUKNZBCUULNZRMZWJXNABCUUKUULTWOWFXPXLYGUQABCXPWFTXIYGYKUT
        WOWFXTXLYNUQABCXTWFTXIYNYOUTVAABCWGUUMWOWFYPLMWGUUMWOYPDWFLYQVGWOWFXPXT
        XJYRYSVJUSUPAXNWFUUBLMWFYTLMZWFUUALMZRMUUPAWLUUBWFLUUEVGAWFYTUUAXIUUFUU
        GVJAUUQUUNUURUUORABCXPWFTXIYGYKXHYGAWTXEOWFPQUJXGOWDVRVLZUUIVMABCXTWFTX
        IYNYOXHYNUUSUUJVMVNVSVOVNAWBWFWLXCXIABCDFHIVKUOAWPEWLLAWQWRJWSUHUIVPVQ
        $.
    $}

    $( Multiply an integral by a constant.  (Contributed by Mario Carneiro,
       25-Aug-2014.) $)
    itgmulc2 $p |- ( ph -> ( C x. S. A B _d x ) = S. A ( C x. B ) _d x ) $=
      ( cfv ci cmul co caddc citg cc wcel mulcld cr itgcl cre cim cneg cv recld
      wa recnd adantr cmpt cibl iblmbf syl mbfmptcl iblcn mpbid simpld iblmulc2
      cmbf ax-icn imcld simprd mulcl sylancr renegcld add4d oveq2d itgmulc2lem2
      itgcnval adddid a1i mul12d eqtrd oveq12d 3eqtrd mulassd ixi oveq1i mulm1d
      mul4d syl5eq mulneg1d eqtr3d comraddd joinlmuladdmuld cmin negsubd remuld
      c1 3eqtr4d itgeq2dv itgadd immuld replimd oveq1d ) AEUAJZKEUBJZLMZNMZBCDO
      ZLMZBCEDLMZUAJZOZKBCXAUBJZOZLMZNMZEWSLMBCXAOABCWODUAJZLMZOZKBCWODUBJZLMZO
      ZLMZNMZBCWPUCZXKLMZOZKBCWPXHLMZOZLMZNMZNMZXJXRNMZXNYANMZNMWTXGAXJXNXRYAAB
      CXIPABUDCQZUFZWOXHAWOPQYFAWOAEGUEZUGZUHZYGXHYGDABCDFABCDUIZUJQZYKURQIYKUK
      ULHUMZUEZUGZRZABCXHWOSYIYNABCXHUIUJQZBCXKUIUJQZAYLYQYRUFIABCDYMUNUOZUPZUQ
      ZTAKPQZXMPQXNPQUSABCXLPYGWOXKYJYGXKYGDYMUTZUGZRZABCXKWOSYIUUCAYQYRYSVAZUQ
      ZTZKXMVBVCABCXQPYGXPXKAXPPQYFAXPAWPAEGUTZVDZUGZUHUUDRZABCXKXPSUUKUUCUUFUQ
      ZTZAUUBXTPQYAPQUSABCXSPYGWPXHAWPPQZYFAWPUUIUGZUHZYORZABCXHWPSUUPYNYTUQZTZ
      KXTVBVCZVEAWOWSWQYCYIABCDFHITAUUBUUOWQPQUSUUPKWPVBVCZAWOWSLMZXOWQWSLMZYBN
      AUVCWOBCXHOZKBCXKOZLMZNMZLMWOUVELMZWOUVGLMZNMXOAWSUVHWOLABCDFHIVHZVFAWOUV
      EUVGYIABCXHSYNYTTZAUUBUVFPQUVGPQUSABCXKSUUCUUFTZKUVFVBVCZVIAUVIXJUVJXNNAB
      CXHWOSYIYNYTYHYNVGAUVJKWOUVFLMZLMXNAWOKUVFYIUUBAUSVJZUVMVKAUVOXMKLABCXKWO
      SYIUUCUUFYHUUCVGVFVLVMVNAUVDWQUVHLMWQUVELMZWQUVGLMZNMZYBAWSUVHWQLUVKVFAWQ
      UVEUVGUVBUVLUVNVIAUVSYAXRUVAUUNAUVQYAUVRXRNAUVQKWPUVELMZLMYAAKWPUVEUVPUUP
      UVLVOAUVTXTKLABCXHWPSUUPYNYTUUIYNVGVFVLAUVRKKLMZWPUVFLMZLMZUWBUCZXRAKWPKU
      VFUVPUUPUVPUVMVSAUWCWHUCZUWBLMUWDUWAUWEUWBLVPVQAUWBAWPUVFUUPUVMRVRVTAXPUV
      FLMUWDXRAWPUVFUUPUVMWAABCXKXPSUUKUUCUUFUUJUUCVGWBVNVMWCVNVMWDAXCYDXFYENAB
      CXIXQNMZOXCYDABCUWFXBYGXIWPXKLMZUCZNMXIUWGWEMUWFXBYGXIUWGYPYGWPXKUUQUUDRW
      FYGXQUWHXINYGWPXKUUQUUDWAVFYGEDAEPQYFGUHZYMWGWIWJABCXIXQPYPUUAUULUUMWKWBA
      XFKXMXTNMZLMYEAXEUWJKLAXEBCXLXSNMZOUWJABCXDUWKYGEDUWIYMWLWJABCXLXSPUUEUUG
      UURUUSWKVLVFAKXMXTUVPUUHUUTVIVLVMWIAEWRWSLAEGWMWNABCXAPYGEDUWIYMRABCDEFGH
      IUQVHWI $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y ph $.  $d x V $.
    itgabs.1 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    itgabs.2 $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    $( The triangle inequality for integrals.  (Contributed by Mario Carneiro,
       25-Aug-2014.) $)
    itgabs $p |- ( ph -> ( abs ` S. A B _d x ) <_ S. A ( abs ` B ) _d x ) $=
      ( vy cc0 citg cabs cfv wbr cle cmul co cmpt cibl wcel cc clt wceq ccj csb
      wa cv cre cim itgcl cjcld wral cmbf iblmbf syl mbfmptcl ralrimiva nfcsb1v
      nfv nfel1 csbeq1a eleq1d cbvralw sylib r19.21bi cbvmpt eqeltrrid iblmulc2
      nfcv adantr mulcld iblcn mpbid simpld cvv ovexd iblabs recld abscld itgle
      releabsd cexp recnd sqvald absvalsqd cbvitg oveq2i itgmulc2 syl5eq 3eqtrd
      c2 mulcomd fveq2d resqcld rered 3eqtr3d eqtr3d nffv absmuld abscjd oveq1d
      itgre cr eqtrd itgeq2dv eqtr4d 3brtr4d wb itgrecl lemul2 syl112anc mpbird
      simpr ex absge0d itgge0 breq1 syl5ibcom wo 0re leloe sylancr mpjaod ) AIB
      CDJZKLZUAMZYDBCDKLZJZNMZIYDUBZAYEYHAYEUEZYHYDYDOPZYDYGOPZNMZAYMYEAHCYCUCL
      ZBHUFZDUDZOPZUGLZJZHCYQKLZJZYKYLNAHCYRYTAHCYRQRSZHCYQUHLQRSZAHCYQQRSUUBUU
      CUEAHCYPYNTAYCABCDEFGUIZUJZAYPTSZHCADTSZBCUKUUFHCUKAUUGBCABCDEABCDQZRSUUH
      ULSGUUHUMUNFUOZUPUUGUUFBHCUUGHURBYPTBYODUQZUSBUFZYOUBZDYPTBYODUTZVAVBVCVD
      ZAHCYPQUUHRBHCDYPHDVHZUUJUUMVEGVFZVGZAHCYQAYOCSZUEZYNYPAYNTSUURUUEVIZUUNV
      JZVKVLVMAHCYQVNUUSYNYPOVOZUUQVPUUSYQUVAVQUUSYQUVAVRUUSYQUVAVTVSAYDWJWAPZY
      KYSAYDAYDAYCUUDVRZWBZWCAUVCUGLHCYQJZUGLUVCYSAUVCUVFUGAUVCYCYNOPYNYCOPZUVF
      AYCUUDWDAYCYNUUDUUEWKAUVGYNHCYPJZOPUVFYCUVHYNOBHCDYPUUMUUOUUJWEWFAHCYPYNT
      UUEUUNUUPWGWHWIWLAUVCAYDUVDWMWNAHCYQVNUVBUUQXAWOWPAYLYDHCYPKLZJZOPZUUAYGU
      VJYDOBHCYFUVIUULDYPKUUMWLHYFVHBYPKBKVHUUJWQWEWFAUVKHCYDUVIOPZJUUAAHCUVIYD
      XBUVEUUSYPUUNVRAHCYPTUUNUUPVPWGAHCYTUVLUUSYTYNKLZUVIOPUVLUUSYNYPUUTUUNWRU
      USUVMYDUVIOUUSYCAYCTSUURUUDVIWSWTXCXDXEWHXFVIYJYDXBSZYGXBSZUVNYEYHYMXGAUV
      NYEUVDVIZAUVOYEABCYFAUUKCSUEZDUUIVRZABCDEFGVPZXHVIUVPAYEXLYDYGYDXIXJXKXMA
      IYGNMYIYHABCYFUVSUVRUVQDUUIXNXOIYDYGNXPXQAIYDNMZYEYIXRZAYCUUDXNAIXBSUVNUV
      TUWAXGXSUVDIYDXTYAVLYB $.
  $}

  ${
    $d k x A $.  $d k x B $.  $d k C $.  $d k x ph $.  $d k x U $.  $d x V $.
    itgsplit.i $e |- ( ph -> ( vol* ` ( A i^i B ) ) = 0 ) $.
    itgsplit.u $e |- ( ph -> U = ( A u. B ) ) $.
    itgsplit.c $e |- ( ( ph /\ x e. U ) -> C e. V ) $.
    itgsplit.a $e |- ( ph -> ( x e. A |-> C ) e. L^1 ) $.
    itgsplit.b $e |- ( ph -> ( x e. B |-> C ) e. L^1 ) $.
    $( The ` S. ` integral splits under an almost disjoint union.  (Contributed
       by Mario Carneiro, 11-Aug-2014.) $)
    itgsplit $p |- ( ph -> S. U C _d x = ( S. A C _d x + S. B C _d x ) ) $=
      ( vk cc0 co cr wcel wa cif adantr c3 cfz ci cv cexp cdiv cre cfv cle cmpt
      wbr citg2 cmul csu caddc citg cvol cdm cibl cmbf iblmbf syl cun sseqtrrid
      ssun1 sselda syldan mbfdm2 ssun2 cin covol wceq cxr cpnf cicc eleq2d elun
      cc wo bitrdi biimpa mbfmptcl jaodan adantlr ax-icn elfznn0 adantl sylancr
      cn0 expcl wne ine0 elfzelz expne0i mp3an12i divcld recld 0re ifcl sylancl
      cz rexrd max1 elxrge0 sylanbrc ifan mpteq2i eqidd iblitg sylan2 itg2split
      oveq2d recnd adddid eqtrd fzfid mulcld fsumadd eqid dfitg oveq12i 3eqtr4g
      sumeq2dv ) ANUAUBOZUCMUDZUEOZBPBUDZFQZNEYFUFOZUGUHZUIUKZRYJNSZUJZULUHZUMO
      ZMUNZYDYFBPYGCQZYKRYJNSZUJZULUHZUMOZMUNZYDYFBPYGDQZYKRYJNSZUJZULUHZUMOZMU
      NZUOOZBFEUPBCEUPZBDEUPZUOOAYPYDUUAUUGUOOZMUNUUIAYDYOUULMAYEYDQZRZYOYFYTUU
      FUOOZUMOUULUUNYNUUOYFUMUUNBCDYKYJNSZFYSUUEYMACUQURZQUUMABCEGABCEUJZUSQUUR
      UTQKUURVAVBZAYQYHEGQZACFYGACDVCZCFCDVEIVDVFJVGZVHTADUUQQUUMABDEGABDEUJZUS
      QUVCUTQLUVCVAVBZAUUCYHUUTADFYGAUVADFDCVIIVDVFJVGZVHTACDVJVKUHNVLUUMHTAFUV
      AVLUUMITUUNYHRZUUPVMQNUUPUIUKZUUPNVNVOOQUVFUUPUVFYJPQZNPQZUUPPQUVFYIUVFEY
      FAYHEVRQZUUMAYHYQUUCVSZUVJAYHUVKAYHYGUVAQUVKAFUVAYGIVPYGCDVQVTWAAYQUVJUUC
      ABCEGUUSUVBWBABDEGUVDUVEWBWCVGWDUUNYFVRQZYHUUNUCVRQZYEWIQZUVLWEUUMUVNAYEU
      AWFWGUCYEWJWHZTUUNYFNWKZYHUVMUCNWKUUNYEXAQZUVPWEWLUUMUVQAYENUAWMZWGUCYEWN
      WOTWPWQZWRYKYJNPWSWTXBUVFUVIUVHUVGWRUVSNYJXCWHUUPXDXEBPYRYQUUPNSYQYKYJNXF
      XGBPUUDUUCUUPNSUUCYKYJNXFXGBPYLYHUUPNSYHYKYJNXFXGUUMAUVQYTPQUVRABCEYJYSYE
      GAYSXHAYQRYJXHKUVBXIZXJUUMAUVQUUFPQUVRABDEYJUUEYEGAUUEXHAUUCRYJXHLUVEXIXJ
      ZXKXLUUNYFYTUUFUVOUUMAUVQYTVRQUVRAUVQRYTUVTXMXJZUUNUUFUWAXMZXNXOYCAYDUUAU
      UGMANUAXPUUNYFYTUVOUWBXQUUNYFUUFUVOUWCXQXRXOBFEYJMYJXSZXTUUJUUBUUKUUHUOBC
      EYJMUWDXTBDEYJMUWDXTYAYB $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x V $.  $d x ph $.
    itgspliticc.1 $e |- ( ph -> A e. RR ) $.
    itgspliticc.2 $e |- ( ph -> C e. RR ) $.
    itgspliticc.3 $e |- ( ph -> B e. ( A [,] C ) ) $.
    itgspliticc.4 $e |- ( ( ph /\ x e. ( A [,] C ) ) -> D e. V ) $.
    itgspliticc.5 $e |- ( ph -> ( x e. ( A [,] B ) |-> D ) e. L^1 ) $.
    itgspliticc.6 $e |- ( ph -> ( x e. ( B [,] C ) |-> D ) e. L^1 ) $.
    $( The ` S. ` integral splits on closed intervals with matching endpoints.
       (Contributed by Mario Carneiro, 13-Aug-2014.) $)
    itgspliticc $p |- ( ph -> S. ( A [,] C ) D _d x =
      ( S. ( A [,] B ) D _d x + S. ( B [,] C ) D _d x ) ) $=
      ( vz cicc co covol cle wcel wceq vy cin cfv csn cc0 wbr cif cxr rexrd w3a
      cr wb elicc2 syl2anc mpbid simp1d df-icc cv xrmaxle ixxin syl22anc simp2d
      xrlemin iftrued simp3d oveq12d iccid syl 3eqtrd fveq2d eqtrd cun iccsplit
      ovolsn syl3anc itgsplit ) ABCDOPZDEOPZFCEOPZGAVQVRUBZQUCDUDZQUCZUEAVTWAQA
      VTCDRUFZDCUGZDERUFZDEUGZOPZDDOPZWAACUHSDUHSZWIEUHSVTWGTACHUIADADUKSZWCWEA
      DVSSZWJWCWEUJZJACUKSZEUKSZWKWLULHICEDUMUNUOZUPZUIZWQAEIUIBUANCDDERROBUANU
      QCDNURZUSWRDEVCUTVAAWDDWFDOAWCDCAWJWCWEWOVBVDAWEDEAWJWCWEWOVEVDVFAWIWHWAT
      WQDVGVHVIVJAWJWBUETWPDVNVHVKAWMWNWKVSVQVRVLTHIJCEDVMVOKLMVP $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x ph $.
    itgsplitioo.1 $e |- ( ph -> A e. RR ) $.
    itgsplitioo.2 $e |- ( ph -> C e. RR ) $.
    itgsplitioo.3 $e |- ( ph -> B e. ( A [,] C ) ) $.
    itgsplitioo.4 $e |- ( ( ph /\ x e. ( A (,) C ) ) -> D e. CC ) $.
    itgsplitioo.5 $e |- ( ph -> ( x e. ( A (,) B ) |-> D ) e. L^1 ) $.
    itgsplitioo.6 $e |- ( ph -> ( x e. ( B (,) C ) |-> D ) e. L^1 ) $.
    $( The ` S. ` integral splits on open intervals with matching endpoints.
       (Contributed by Mario Carneiro, 2-Sep-2014.) $)
    itgsplitioo $p |- ( ph -> S. ( A (,) C ) D _d x =
      ( S. ( A (,) B ) D _d x + S. ( B (,) C ) D _d x ) ) $=
      ( cioo co caddc wceq cr wcel cc0 c0 clt wbr citg wn cle wo cicc wb elicc2
      w3a syl2anc mpbid simp2d simp1d leloed ord cc cxr wss rexrd iooss1 sselda
      cv syldan itgcl addid2d eqcomd oveq1 itgeq1 syl iooid eqtrdi itg0 eqeq12d
      oveq1d syl5ibrcom simp3d iooss2 addid1d oveq2 eqtr3id oveq2d syl5ibcom wa
      csn cun cin covol cfv indir jca adantr leidd ioodisj syl21anc incom ltnrd
      syld eliooord simpld nsyl disjsn sylibr syl5eq uneq12d un0 fveq2d ioojoin
      ovol0 3jca sylan adantlr cmpt cibl ssun1 ioossre snssd unssd cdif difeq1i
      uncom difun2 eqtri difss eqsstri ovolsn ovolssnul mp3an2i sseqtrid itgss3
      a1i itgsplit simprd eqtr4d ex ecased ) ACDUAUBZDEUAUBZBCEMNZFUCZBCDMNZFUC
      ZBDEMNZFUCZONZPZAYQUDCDPZUUFAYQUUGACDUEUBZYQUUGUFADQRZUUHDEUEUBZADCEUGNRZ
      UUIUUHUUJUJZIACQREQRUUKUULUHGHCEDUIUKULZUMZACDGAUUIUUHUUJUUMUNZUOULUPAUUF
      UUGUUDSUUDONZPAUUPUUDAUUDABUUCFUQABVCZUUCRUUQYSRZFUQRZAUUCYSUUQACURRZUUHU
      UCYSUSACGUTZUUNCDEVAUKVBJVDLVEVFVGUUGYTUUDUUEUUPUUGYSUUCPYTUUDPCDEMVHBYSU
      UCFVIVJUUGUUBSUUDOUUGUUBBTFUCZSUUGUUATPUUBUVBPUUGUUADDMNZTCDDMVHDVKZVLBUU
      ATFVIVJBFVMZVLVOVNVPWRAYRUDDEPZUUFAYRUVFAUUJYRUVFUFAUUIUUHUUJUUMVQZADEUUO
      HUOULUPAUUBUUBSONZPUVFUUFAUVHUUBAUUBABUUAFUQAUUQUUARUURUUSAUUAYSUUQAEURRZ
      UUJUUAYSUSAEHUTZUVGCDEVRUKVBJVDKVEVSVGUVFUUBYTUVHUUEUVFUUAYSPUUBYTPDECMVT
      BUUAYSFVIVJUVFSUUDUUBOUVFSUVBUUDUVEUVFTUUCPUVBUUDPUVFTUVCUUCUVDDEDMVTWABT
      UUCFVIVJWAWBVNWCWRAYQYRWDZUUFAUVKWDZYTBUUADWEZWFZFUCZUUDONUUEUVLBUVNUUCFY
      SUQUVLUVNUUCWGZWHWITWHWISUVLUVPTWHUVLUVPUUAUUCWGZUVMUUCWGZWFZTUUAUVMUUCWJ
      UVLUVSTTWFTUVLUVQTUVRTUVLUUTDURRZWDZUVTUVIWDZDDUEUBUVQTPAUWAUVKAUUTUVTUVA
      ADUUOUTZWKWLAUWBUVKAUVTUVIUWCUVJWKWLUVLDAUUIUVKUUOWLZWMCDDEWNWOUVLUVRUUCU
      VMWGZTUVMUUCWPUVLDUUCRZUDUWETPUVLDDUAUBZUWFUVLDUWDWQUWFUWGYRDDEWSWTXAUUCD
      XBXCXDXETXFVLXDXGXIVLUVLUVNUUCWFZYSAUUTUVTUVIUJUVKUWHYSPAUUTUVTUVIUVAUWCU
      VJXJCDEXHXKZVGAUURUUSUVKJXLZUVLBUUAFXMXNRZBUVNFXMXNRZAUWKUVKKWLUVLUWKUWLU
      HZUUBUVOPZUVLBUUAUVNFUUAUVNUSUVLUUAUVMXOYKUVLUUAUVMQUUAQUSUVLCDXPYKUVLDQU
      WDXQZXRUVNUUAXSZUVMUSUVLUVMQUSUVMWHWISPZUWPWHWISPUWPUVMUUAXSZUVMUWPUVMUUA
      WFZUUAXSUWRUVNUWSUUAUUAUVMYAXTUVMUUAYBYCUVMUUAYDYEUWOUVLUUIUWQUWDDYFVJUWP
      UVMYGYHUVLUUQUVNRUURUUSUVLUVNYSUUQUVLUWHUVNYSUVNUUCXOUWIYIVBUWJVDYJZWTULA
      BUUCFXMXNRUVKLWLYLUVLUUBUVOUUDOUVLUWMUWNUWTYMVOYNYOYP $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y z F $.  $d x y z G $.
    $( A bounded function times an integrable function is integrable.
       (Contributed by Mario Carneiro, 12-Aug-2014.) $)
    bddmulibl $p |- ( ( F e. MblFn /\ G e. L^1 /\ E. x e. RR A. y e. dom F
      ( abs ` ( F ` y ) ) <_ x ) -> ( F oF x. G ) e. L^1 ) $=
      ( vz cmbf wcel cfv cabs cle wbr cr cmul co wa cmpt cc wf cc0 a1i cibl cdm
      wral wrex cof cin cvol mbff ad2antrr ffnd iblmbf ad2antlr syl mbfdm eqidd
      eqid offval cvv ovexd simpll mbfmul eqeltrrd cif citg2 ccom absf mbfmptcl
      cv cofmpt ccncf fmpttd ax-resscn ssid cncfss mp2an abscncf sselii cncombf
      wss syl3anc cpnf cicc cxr abscld rexrd absge0d elxrge0 sylanbrc 0e0iccpnf
      wn ifclda adantr c0 wceq csn cxp cico reex simprl elinel2 ffvelrn elrege0
      syl2an 0e0icopnf fconstmpt offval2 ovif2 recnd mul01d ifeq2d syl5eq eqtrd
      mpteq2dv fveq2d inss2 mbfdm2 ffvelrnda feqmptd simplr iblss iblabs iblpos
      mpbid simprd simplrl wex neq0 0re elinel1 simprr 2fveq3 breq1d rspccva ex
      remulcld eqeltrd iffalse iftrue adantl 3brtr4d letrd exlimdv imp itg2mulc
      syl5bi eqtr3d noel eleq2 mtbiri eqtr4di eqeltri eqeltrdi pm2.61d2 mulge0d
      itg20 cofr absmuld abscl jca lemul1a syl31anc eqbrtrd pm2.61dan ralrimivw
      absge0 0le0 ofrfval2 mpbird itg2le itg2lecl mpbir2and iblabsr rexlimdvaa
      3impia ) CFGZDUAGZBVHZCHIHZAVHZJKZBCUBZUCZALUDCDMUEZNZUAGZUVOUVPOZUWBUWEA
      LUWFUVSLGZUWBOZOZUWDEUWADUBZUFZEVHZCHZUWLDHZMNZPZUAUWIEUWAUWJUWMUWNMUWKCD
      UGUBZUWQUWIUWAQCUVOUWAQCRZUVPUWHCUHUIZUJUWIUWJQDUWIDFGZUWJQDRZUVPUWTUVOUW
      HDUKULZDUHUMZUJUVOUWAUWQGUVPUWHCUNUIUWIUWTUWJUWQGUXBDUNUMUWKUPUWIUWLUWAGZ
      OUWMUOUWIUWLUWJGZOUWNUOUQZUWIEUWKUWOURUWIUWLUWKGZOZUWMUWNMUSZUWIUWDUWPFUX
      FUWICDUVOUVPUWHUTUXBVAVBZUWIEUWKUWOIHZPZUAGUXLFGELUXGUXKSVCZPZVDHZLGZUWII
      UWPVEZUXLFUWIEUWKUWOQLIQLIRUWIVFTUWIEUWKUWOURUXJUXIVGZVIUWIUWPFGUWKQUWPRI
      QQVJNZGZUXQFGUXJUWIEUWKUWOQUXRVKUXTUWIQLVJNZUXSILQVSQQVSUYAUXSVSVLQVMQLQV
      NVOVPVQTUWKQUWPIVRVTVBUWILSWAWBNZUXNRZELUXGUVSUWNIHZMNZSVCZPZVDHZLGZUXOUY
      HJKZUXPUWIELUXMUYBUWIUXMUYBGUWLLGZUWIUXGUXKSUYBUXHUXKWCGSUXKJKUXKUYBGUXHU
      XKUXHUWOUXRWDZWEUXHUWOUXRWFZUXKWGWHSUYBGUWIUXGWJZOZWITZWKWLZVKZUWIUWKWMWN
      ZUYIUWIUYSWJZUYIUWIUYTOZUYHUVSELUXGUYDSVCZPZVDHZMNZLVUALUVSWOWPZVUCUWCNZV
      DHUYHVUEVUAVUGUYGVDVUAVUGELUVSVUBMNZPUYGVUAELUVSVUBMVUFVUCURLSWAWQNZLURGZ
      VUAWRTUWIUWGUYTUYKUWFUWGUWBWSZUIUWIVUBVUIGZUYTUYKUWIUXGUYDSVUIUXHUYDLGZSU
      YDJKZUYDVUIGUXHUWNUWIUXAUXEUWNQGZUXGUXCUWLUWAUWJWTUWJQUWLDXAXCZWDZUXHUWNV
      UPWFZUYDXBWHSVUIGUYOXDTWKZUIVUFELUVSPWNVUAELUVSXETVUAVUCUOXFVUAELVUHUYFVU
      AVUHUXGUYEUVSSMNZVCUYFUXGUVSUYDSMXGVUAUXGVUTSUYEVUAUVSUWIUVSQGUYTUWIUVSVU
      KXHWLXIXJXKXMXLXNVUAUVSVUCUWILVUIVUCRUYTUWIELVUBVUIUWIVULUYKVUSWLVKWLUWIV
      UDLGZUYTUWIEUWKUYDPZFGZVVAUWIVVBUAGVVCVVAOUWIEUWKUWNQVUPUWIEUWKUWJUWNQUWK
      UWJVSUWIUWAUWJXOTUWIEUWKUWOURUXJUXIXPUWIUWJQUWLDUXCXQUWIDEUWJUWNPUAUWIEUW
      JQDUXCXRUVOUVPUWHXSVBXTYAUWIEUWKUYDVUQVURYBYCYDWLZVUAUWGSUVSJKZUVSVUIGUWF
      UWGUWBUYTYEZUWIUYTVVEUYTUXGEYFUWIVVEEUWKYGUWIUXGVVEEUWIUXGVVEUXHSUWMIHZUV
      SSLGUXHYHTUXHUWMUWIUWRUXDUWMQGUXGUWSUWLUWAUWJYIZUWAQUWLCXAXCZWDZUWFUWGUWB
      UXGYEZUXHUWMVVIWFUWIUWBUXDVVGUVSJKZUXGUWFUWGUWBYJVVHUVTVVLBUWLUWAUVQUWLWN
      UVRVVGUVSJUVQUWLICYKYLYMXCZUUAZYNUUBUUEUUCUVSXBWHUUDUUFVUAUVSVUDVVFVVDYOY
      PYNUYSUYHLSWOWPZVDHZLUYSUYGVVOVDUYSUYGELSPVVOUYSELUYFSUYSUYNUYFSWNUYSUXGU
      WLWMGUWLUUGUWKWMUWLUUHUUIUXGUYESYQZUMXMELSXEUUJXNVVPSLUUOYHUUKUULUUMUWIUY
      CLUYBUYGRUXNUYGJUUPKZUYJUYRUWIELUYFUYBUWIUYFUYBGUYKUWIUXGUYESUYBUXHUYEWCG
      SUYEJKUYEUYBGUXHUYEUXHUVSUYDVVKVUQYOWEUXHUVSUYDVVKVUQVVNVURUUNUYEWGWHUYPW
      KWLZVKUWIVVRUXMUYFJKZELUCUWIVVTELUWIUXGVVTUXHUXKUYEUXMUYFJUXHUXKVVGUYDMNZ
      UYEJUXHUWMUWNVVIVUPUUQUXHVVGLGUWGVUMVUNOZVVLVWAUYEJKVVJVVKUXHVUOVWBVUPVUO
      VUMVUNUWNUURUWNUVEUUSUMVVMVVGUVSUYDUUTUVAUVBUXGUXMUXKWNUWIUXGUXKSYRYSUXGU
      YFUYEWNUWIUXGUYESYRYSYTUYNVVTUWIUYNSSUXMUYFJSSJKUYNUVFTUXGUXKSYQVVQYTYSUV
      CUVDUWIELUXMUYFJUXNUYGURUYBUYBVUJUWIWRTUYQVVSUWIUXNUOUWIUYGUOUVGUVHUXNUYG
      UVIVTUYHUXNUVJVTUWIEUWKUXKUYLUYMYBUVKUVLYPUVMUVN $.

    $( A bounded function is integrable.  (Contributed by Mario Carneiro,
       12-Aug-2014.) $)
    bddibl $p |- ( ( F e. MblFn /\ ( vol ` dom F ) e. RR /\
      E. x e. RR A. y e. dom F ( abs ` ( F ` y ) ) <_ x ) -> F e. L^1 ) $=
      ( vz cmbf wcel cdm cvol cfv cr cv cabs cle wbr wral c1 cmul cibl 3ad2ant1
      cc wrex w3a csn cxp cof co mbfdm wf mbff ffnd wfn 1cnd fnconstg syl eqidd
      wa wceq fvconst2 adantl ffvelrnda mulid1d offveq simp2 iblconst bddmulibl
      1ex syl3anc syld3an2 eqeltrrd ) CEFZCGZHIJFZBKCILIAKMNBVKOAJUAZUBZCVKPUCU
      DZQUEUFZCRVNDVKDKZCIZPQCVOCHGZVJVLVKVSFZVMCUGSZVNVKTCVJVLVKTCUHVMCUISZUJZ
      VNPTFZVOVKUKVNULZVKPTUMUNWCVNVQVKFZUPZVRUOWFVQVOIPUQVNVKPVQVFURUSWGVRVNVK
      TVQCWBUTVAVBVJVORFZVLVMVPRFVNVTVLWDWHWAVJVLVMVCWEVKPVDVGABCVOVEVHVI $.

    $( A continuous function on a closed bounded interval is integrable.
       (Contributed by Mario Carneiro, 12-Aug-2014.) $)
    cniccibl $p |- ( ( A e. RR /\ B e. RR /\ F e. ( ( A [,] B ) -cn-> CC ) ) ->
      F e. L^1 ) $=
      ( vy vx cr wcel cicc co cc ccncf w3a cmbf cdm cvol cfv cv cabs wral wrex
      cle wbr cibl iccmbl cnmbf stoic3 wf wceq simp3 cncff 3syl fveq2d iccvolcl
      fdm 3adant3 eqeltrd cniccbdd raleqdv rexbidv mpbird bddibl syl3anc ) AFGZ
      BFGZCABHIZJKIGZLZCMGZCNZOPZFGDQCPRPEQUAUBZDVISZEFTZCUCGVCVDVEONGVFVHABUDV
      ECUEUFVGVJVEOPZFVGVIVEOVGVFVEJCUGVIVEUHVCVDVFUIVEJCUJVEJCUNUKZULVCVDVNFGV
      FABUMUOUPVGVMVKDVESZEFTEDABCUQVGVLVPEFVGVKDVIVEVOURUSUTEDCVAVB $.
  $}

  ${
    $d x y z F $.  $d x y A $.  $d x y B $.
    $( Choice-free proof of ~ bddibl .  (Contributed by Brendan Leahy,
       2-Nov-2017.)  (Revised by Brendan Leahy, 6-Nov-2017.) $)
    bddiblnc $p |- ( ( F e. MblFn /\ ( vol ` dom F ) e. RR /\
      E. x e. RR A. y e. dom F ( abs ` ( F ` y ) ) <_ x ) -> F e. L^1 ) $=
      ( vz wcel cfv cr cabs cle wbr cmpt wceq wa c0 cc0 syl3anc cif letrd breq1
      3brtr4d cmbf cdm cvol cv wral wrex w3a cibl cc mbff feqmptd 3ad2ant1 rzal
      mpteq12 mpdan csn cxp fconstmpt 0mbl ibl0 eqeltrri eqeltrdi adantl r19.2z
      ax-mp wne anim1i an31s ad2antrr ffvelrnda absge0d 0red abscld simplr letr
      wi wf mpand rexlimdva ex com23 imp32 sylan2 anassrs an32 cre citg2 cim id
      cneg eqeltrrd cpnf cicc cxr ad3antrrr recld rexrd adantrr simprr sylanbrc
      co elxrge0 wn 0e0iccpnf a1i ifclda fmpttd cmul cico mbfdm elrege0 biimpri
      ad2antrl itg2const eqeltrd adantr adantll ifboth syl2anc iffalse pm2.61d1
      iftrue eqbrtrid ralrimivw cvv eqidd ofrfval2 mpbird itg2le itg2lecl recnd
      ifan renegcld leabsd absnegd breqtrd syl jca imcld eqid simprll cofr rexr
      remulcld sylan ifcl sylancl releabsd weq 2fveq3 rspccva simprlr 0le0 reex
      breq1d absrele absimle iblcnlem1 mpbir3and sylan2b pm2.61dane rexlimdvaa
      syldan 3impia ) CUAEZCUBZUCFZGEZBUDZCFZHFZAUDZIJZBUVFUEZAGUFZUGCDUVFDUDZC
      FZKZUHUVEUVHCUVRLUVOUVEDUVFUICCUJZUKZULUVEUVHUVOUVRUHEZUVEUVHMZUVNUWAAGUW
      BUVLGEZUVNMZMZUWAUVFNUVFNLZUWAUWEUWFUVRDNOKZUHUWFUVQOLZDUVFUEUVRUWGLUWHDU
      VFUMDUVFUVQNOUNUONOUPUQZUWGUHDNOURNUCUBZEUWIUHEUSNUTVEVAVBVCUWEUVFNVFZOUV
      LIJZUWAUWBUWDUWKUWLUWDUWKMUWBUVMBUVFUFZUWCMZUWLUWKUVNUWCUWNUWKUVNMUWMUWCU
      VMBUVFVDVGVHUWBUWMUWCUWLUWBUWCUWMUWLUWBUWCUWMUWLVPUWBUWCMZUVMUWLBUVFUWOUV
      IUVFEZMZOUVKIJZUVMUWLUWQUVJUWOUVFUIUVICUVEUVFUICVQZUVHUWCUVSVIVJZVKUWQOGE
      UVKGEUWCUWRUVMMUWLVPUWQVLUWQUVJUWTVMUWBUWCUWPVNOUVKUVLVOPVRVSVTWAWBWCWDUW
      BUWDUWLUWAUWDUWLMUWBUWCUWLMZUVNMZUWAUWCUVNUWLWEUWBUXBMZUWAUVRUAEZDGUVPUVF
      EZOUVQWFFZIJZMZUXFOQZKZWGFZGEZDGUXEOUXFWJZIJZMZUXMOQZKZWGFZGEZMDGUXEOUVQW
      HFZIJZMZUXTOQZKZWGFZGEZDGUXEOUXTWJZIJZMZUYGOQZKZWGFZGEZMUVEUXDUVHUXBUVECU
      VRUAUVTUVEWIWKVIUXCUXLUXSUXCGOWLWMXAZUXJVQZDGUXEUVLOQZKZWGFZGEZUXKUYRIJZU
      XLUXCDGUXIUYNUXCUVPGEZMZUXHUXFOUYNVUBUXHMUXFWNEZUXGUXFUYNEVUBUXEVUCUXGVUB
      UXEMZUXFVUDUVQVUBUVFUIUVPCUVEUWSUVHUXBVUAUVSWOVJZWPZWQWRVUBUXEUXGWSUXFXBW
      TOUYNEZVUBUXHXCMXDXEXFZXGZUXCUYRUVLUVGXHXAZGUXCUVFUWJEZUVHUVLOWLXIXAEZUYR
      VUJLUVEVUKUVHUXBCXJVIUVEUVHUXBVNZUXAVULUWBUVNVULUXAUVLXKXLXMDUVFUVLXNPUXC
      UVLUVGUWBUWCUWLUVNUUAZVUMUUDXOZUXCUYOGUYNUYQVQZUXJUYQIUUBZJZUYTVUIUXCDGUY
      PUYNVUBUVLUYNEZVUGUYPUYNEUXCVUSVUAUXAVUSUWBUVNUWCUVLWNEZUWLVUSUVLUUCVUSVU
      TUWLMUVLXBXLUUEXMXPXDUXEUVLOUYNUUFUUGZXGZUXCVURUXIUYPIJZDGUEUXCVVCDGUXCUX
      IUXEUXGUXFOQZOQZUYPIUXEUXGUXFOYLUXCUXEVVEUYPIJZUXCUXEVVFUXCUXEMZVVDUVLVVE
      UYPIVVGUXFUVLIJZUWLVVDUVLIJZVVGUXFUVQHFZUVLVVGUVQUXCUVFUIUVPCUVEUWSUVHUXB
      UVSVIVJZWPZVVGUVQVVKVMZUXCUWCUXEVUNXPZVVGUVQVVKUUHUXBUXEVVJUVLIJZUWBUVNUX
      EVVOUXAUVMVVOBUVPUVFBDUUIUVKVVJUVLIUVIUVPHCUUJUUOUUKXQXQZRUXCUWLUXEUWBUWC
      UWLUVNUULXPZUXGVVHUWLVVIUXFOUXFVVDUVLISOVVDUVLISXRXSUXEVVEVVDLUXCUXEVVDOY
      BVCUXEUYPUVLLUXCUXEUVLOYBVCZTVTUXEXCZOOVVEUYPIOOIJVVSUUMXEZUXEVVDOXTUXEUV
      LOXTZTYAYCYDUXCDGUXIUYPIUXJUYQYEUYNUYNGYEEUXCUUNXEZVUHVVAUXCUXJYFUXCUYQYF
      ZYGYHUXJUYQYIPUYRUXJYJPUXCGUYNUXQVQZUYSUXRUYRIJZUXSUXCDGUXPUYNVUBUXOUXMOU
      YNVUBUXOMUXMWNEZUXNUXMUYNEVUBUXEVWFUXNVUDUXMVUDUXFVUFYMWQWRVUBUXEUXNWSUXM
      XBWTVUGVUBUXOXCMXDXEXFZXGZVUOUXCVWDVUPUXQUYQVUQJZVWEVWHVVBUXCVWIUXPUYPIJZ
      DGUEUXCVWJDGUXCUXPUXEUXNUXMOQZOQZUYPIUXEUXNUXMOYLUXCUXEVWLUYPIJZUXCUXEVWM
      VVGVWKUVLVWLUYPIVVGUXMUVLIJZUWLVWKUVLIJZVVGUXMVVJUVLVVGUXFVVLYMZVVMVVNVVG
      UXMUXFHFZVVJVWPVVGUXFVVGUXFVVLYKZVMVVMVVGUXMUXMHFVWQIVVGUXMVWPYNVVGUXFVWR
      YOYPVVGUVQUIEZVWQVVJIJVVKUVQUUPYQRVVPRVVQUXNVWNUWLVWOUXMOUXMVWKUVLISOVWKU
      VLISXRXSUXEVWLVWKLUXCUXEVWKOYBVCVVRTVTVVSOOVWLUYPIVVTUXEVWKOXTVWATYAYCYDU
      XCDGUXPUYPIUXQUYQYEUYNUYNVWBVWGVVAUXCUXQYFVWCYGYHUXQUYQYIPUYRUXQYJPYRUXCU
      YFUYMUXCGUYNUYDVQZUYSUYEUYRIJZUYFUXCDGUYCUYNVUBUYBUXTOUYNVUBUYBMUXTWNEZUY
      AUXTUYNEVUBUXEVXBUYAVUDUXTVUDUVQVUEYSZWQWRVUBUXEUYAWSUXTXBWTVUGVUBUYBXCMX
      DXEXFZXGZVUOUXCVWTVUPUYDUYQVUQJZVXAVXEVVBUXCVXFUYCUYPIJZDGUEUXCVXGDGUXCUY
      CUXEUYAUXTOQZOQZUYPIUXEUYAUXTOYLUXCUXEVXIUYPIJZUXCUXEVXJVVGVXHUVLVXIUYPIV
      VGUXTUVLIJZUWLVXHUVLIJZVVGUXTVVJUVLVVGUVQVVKYSZVVMVVNVVGUXTUXTHFZVVJVXMVV
      GUXTVVGUXTVXMYKZVMZVVMVVGUXTVXMYNVVGVWSVXNVVJIJVVKUVQUUQYQZRVVPRVVQUYAVXK
      UWLVXLUXTOUXTVXHUVLISOVXHUVLISXRXSUXEVXIVXHLUXCUXEVXHOYBVCVVRTVTVVSOOVXIU
      YPIVVTUXEVXHOXTVWATYAYCYDUXCDGUYCUYPIUYDUYQYEUYNUYNVWBVXDVVAUXCUYDYFVWCYG
      YHUYDUYQYIPUYRUYDYJPUXCGUYNUYKVQZUYSUYLUYRIJZUYMUXCDGUYJUYNVUBUYIUYGOUYNV
      UBUYIMUYGWNEZUYHUYGUYNEVUBUXEVXTUYHVUDUYGVUDUXTVXCYMWQWRVUBUXEUYHWSUYGXBW
      TVUGVUBUYIXCMXDXEXFZXGZVUOUXCVXRVUPUYKUYQVUQJZVXSVYBVVBUXCVYCUYJUYPIJZDGU
      EUXCVYDDGUXCUYJUXEUYHUYGOQZOQZUYPIUXEUYHUYGOYLUXCUXEVYFUYPIJZUXCUXEVYGVVG
      VYEUVLVYFUYPIVVGUYGUVLIJZUWLVYEUVLIJZVVGUYGVVJUVLVVGUXTVXMYMZVVMVVNVVGUYG
      VXNVVJVYJVXPVVMVVGUYGUYGHFVXNIVVGUYGVYJYNVVGUXTVXOYOYPVXQRVVPRVVQUYHVYHUW
      LVYIUYGOUYGVYEUVLISOVYEUVLISXRXSUXEVYFVYELUXCUXEVYEOYBVCVVRTVTVVSOOVYFUYP
      IVVTUXEVYEOXTVWATYAYCYDUXCDGUYJUYPIUYKUYQYEUYNUYNVWBVYAVVAUXCUYKYFVWCYGYH
      UYKUYQYIPUYRUYKYJPYRUXCDUVFUVQUXKUXRUYEUYLUXKYTUXRYTUYEYTUYLYTVVKUURUUSUU
      TWDUVCUVAUVBUVDXO $.

    $( Choice-free proof of ~ cniccibl .  (Contributed by Brendan Leahy,
       2-Nov-2017.) $)
    cnicciblnc $p |- ( ( A e. RR /\ B e. RR /\
      F e. ( ( A [,] B ) -cn-> CC ) ) -> F e. L^1 ) $=
      ( vy vx cr wcel cicc co cc ccncf w3a cmbf cdm cvol cfv cv cabs wral wrex
      cle wbr cibl iccmbl cnmbf stoic3 wf wceq simp3 cncff 3syl fveq2d iccvolcl
      fdm 3adant3 eqeltrd cniccbdd raleqdv rexbidv mpbird bddiblnc syl3anc ) AF
      GZBFGZCABHIZJKIGZLZCMGZCNZOPZFGDQCPRPEQUAUBZDVISZEFTZCUCGVCVDVEONGVFVHABU
      DVECUEUFVGVJVEOPZFVGVIVEOVGVFVEJCUGVIVEUHVCVDVFUIVEJCUJVEJCUNUKZULVCVDVNF
      GVFABUMUOUPVGVMVKDVESZEFTEDABCUQVGVLVPEFVGVKDVIVEVOURUSUTEDCVAVB $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y ph $.
    itggt0.1 $e |- ( ph -> 0 < ( vol ` A ) ) $.
    itggt0.2 $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    itggt0.3 $e |- ( ( ph /\ x e. A ) -> B e. RR+ ) $.
    $( The integral of a strictly positive function is positive.  (Contributed
       by Mario Carneiro, 30-Aug-2014.) $)
    itggt0 $p |- ( ph -> 0 < S. A B _d x ) $=
      ( vy cc0 cr cv wcel cmpt cfv clt crp cmbf wa wbr wceq cif citg2 citg cibl
      iblmbf syl mbfdm2 cpnf cico co rpred rpge0d elrege0 sylanbrc wn 0e0icopnf
      cle a1i ifclda adantr fmpttd cvol mblss rembl cdif eldifn adantl iffalsed
      cdm iftrue mpteq2ia eqeltrid mbfss wral rpgt0d sselda eqeltrd eqid fvmpt2
      wss syl2anc eqtrd breqtrrd ralrimiva nfcv nffvmpt1 nfbr nfv fveq2 cbvralw
      breq2d sylibr r19.21bi itg2gt0 itgposval ) AIBJBKZCLZDIUAZMZUBNBCDUCOAHCW
      SABCDPABCDMZUDLWTQLFWTUEUFZGUGZEABJWRIUHUIUJZAWRXCLZWPJLZAWQDIXCAWQRZDJLI
      DUQSDXCLXFDGUKZXFDGULZDUMUNIXCLAWQUOZRUPURUSZUTVAABCJWRXCACVBVIZLCJVTXBCV
      CUFZJXKLAVDURAXDWQXJUTAWPJCVELZRWQDIXMXIAWPJCVFVGVHABCWRMWTQBCWRDWQDIVJZV
      KXAVLVMAIHKZWSNZOSZHCAIWPWSNZOSZBCVNXQHCVNAXSBCXFIDXROXFDGVOXFXRWRDXFXEWR
      PLXRWRTACJWPXLVPXFWRDPWQWRDTAXNVGZGVQBJWRPWSWSVRVSWAXTWBWCWDXQXSHBCBIXPOB
      IWEBOWEBJWRXOWFWGXSHWHXOWPTXPXRIOXOWPWSWIWKWJWLWMWNABCDXGFXHWOWC $.
  $}

  ${
    $d d u x y A $.  $d d u y B $.  $d d u y C $.  $d d u x y ph $.
    itgcn.1 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    itgcn.2 $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    itgcn.3 $e |- ( ph -> C e. RR+ ) $.
    $( Transfer ~ itg2cn to the full Lebesgue integral.  (Contributed by Mario
       Carneiro, 1-Sep-2014.) $)
    itgcn $p |- ( ph -> E. d e. RR+ A. u e. dom vol
      ( ( u C_ A /\ ( vol ` u ) < d ) -> S. u ( abs ` B ) _d x < C ) ) $=
      ( vy cfv cr wcel cc0 cif cmpt citg2 wa cv cvol clt wbr cabs cdm wral wrex
      wi crp wss citg cpnf cico co cle cibl cmbf iblmbf mbfmptcl abscld absge0d
      syl elrege0 sylanbrc wn 0e0icopnf ifclda adantr fmpttd mbfdm2 mblss rembl
      cdif eldifn adantl iffalsed iftrue mpteq2ia iblabs iblpos simpld eqeltrid
      mpbid mbfss simprd itg2cn cc simprr sselda adantlr syldan iblss itgposval
      a1i simprl sseld pm4.71d ifbid ifan eqtrdi mpteq2dv fveq2d eqtrd nffvmpt1
      nfv nfcv nfif wceq elequ1 fveq2 ifbieq1d cbvmpt cvv fvex c0ex ifex fvmpt2
      eqid mpan2 ifeq1d eqtri fveq2i eqtr4di breq1d biimprd expr com23 ralimdva
      imim2d imp4a reximdv mpd ) ACUAZUBMHUAUCUDZLNLUAZYNOZYPBNBUAZDOZEUEMZPQZR
      ZMZPQZRZSMZFUCUDZUIZCUBUFZUGZHUJUHYNDUKZYOTBYNYTULZFUCUDZUIZCUUIUGZHUJUHA
      LCFUUBHABNUUAPUMUNUOZAUUAUUPOZYRNOZAYSYTPUUPAYSTZYTNOPYTUPUDYTUUPOUUSEABD
      EGABDERZUQOUUTUROJUUTUSVCZIUTZVAZUUSEUVBVBZYTVDVEPUUPOAYSVFZTVGWOVHZVIVJA
      BDNUUAUUPADUUIODNUKABDEGUVAIVKDVLVCNUUIOAVMWOAUUQYSUVFVIAYRNDVNOZTYSYTPUV
      GUVEAYRNDVOVPVQABDUUARBDYTRZURBDUUAYTYSYTPVRVSAUVHUROZUUBSMNOZAUVHUQOZUVI
      UVJTABDEGIJVTZABDYTUVCUVDWAWDZWBWCWEAUVIUVJUVMWFKWGAUUJUUOHUJAUUHUUNCUUIA
      YNUUIOZTZUUHUUKYOUUMUVOUUKUUHYOUUMUIZAUVNUUKUUHUVPUIAUVNUUKTZTZUUGUUMYOUV
      RUUMUUGUVRUULUUFFUCUVRUULBNYRYNOZUUAPQZRZSMZUUFUVRUULBNUVSYTPQZRZSMUWBUVR
      BYNYTUVRUVSTZEUVRUVSYSEWHOZUVRYNDYRAUVNUUKWIZWJAYSUWFUVQUVBWKZWLZVAUVRBYN
      DYTNUWGAUVNUUKWPUVRYSTEUWHVAAUVKUVQUVLVIWMUWEEUWIVBWNUVRUWDUWASUVRBNUWCUV
      TUVRUWCUVSYSTZYTPQUVTUVRUVSUWJYTPUVRUVSYSUVRYNDYRUWGWQWRWSUVSYSYTPWTXAXBX
      CXDUUEUWASUUEBNUVSYRUUBMZPQZRUWALBNUUDUWLYQBUUCPYQBXFBNUUAYPXEBPXGXHLUWLX
      GYPYRXIYQUVSUUCUWKPLBCXJYPYRUUBXKXLXMBNUWLUVTUURUVSUWKUUAPUURUUAXNOUWKUUA
      XIYSYTPEUEXOXPXQBNUUAXNUUBUUBXSXRXTYAVSYBYCYDYEYFYJYGYHYKYIYLYM $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Lesbesgue directed integral
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Extend class notation with the directed integral. $)
  cdit $a class S_ [ A -> B ] C _d x $.

  $( Define the directed integral, which is just a regular integral but with a
     sign change when the limits are interchanged.  The ` A ` and ` B ` here
     are the lower and upper limits of the integral, usually written as a
     subscript and superscript next to the integral sign.  We define the region
     of integration to be an open interval instead of closed so that we can use
     ` +oo , -oo ` for limits and also integrate up to a singularity at an
     endpoint.  (Contributed by Mario Carneiro, 13-Aug-2014.) $)
  df-ditg $a |- S_ [ A -> B ] C _d x = if ( A <_ B ,
    S. ( A (,) B ) C _d x , -u S. ( B (,) A ) C _d x ) $.

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x ph $.
    $( Equality theorem for the directed integral.  (Contributed by Mario
       Carneiro, 13-Aug-2014.) $)
    ditgeq1 $p |- ( A = B -> S_ [ A -> C ] D _d x = S_ [ B -> C ] D _d x ) $=
      ( wceq cle wbr cioo co citg cneg cif breq1 oveq1 itgeq1 syl oveq2 df-ditg
      cdit negeqd ifbieq12d 3eqtr4g ) BCFZBDGHZABDIJZEKZADBIJZEKZLZMCDGHZACDIJZ
      EKZADCIJZEKZLZMABDETACDETUDUEUKUGUJUMUPBCDGNUDUFULFUGUMFBCDIOAUFULEPQUDUI
      UOUDUHUNFUIUOFBCDIRAUHUNEPQUAUBABDESACDESUC $.

    $( Equality theorem for the directed integral.  (Contributed by Mario
       Carneiro, 13-Aug-2014.) $)
    ditgeq2 $p |- ( A = B -> S_ [ C -> A ] D _d x = S_ [ C -> B ] D _d x ) $=
      ( wceq cle wbr cioo co citg cneg cif breq2 oveq2 itgeq1 syl oveq1 df-ditg
      cdit negeqd ifbieq12d 3eqtr4g ) BCFZDBGHZADBIJZEKZABDIJZEKZLZMDCGHZADCIJZ
      EKZACDIJZEKZLZMADBETADCETUDUEUKUGUJUMUPBCDGNUDUFULFUGUMFBCDIOAUFULEPQUDUI
      UOUDUHUNFUIUOFBCDIRAUHUNEPQUAUBADBESADCESUC $.

    $( Equality theorem for the directed integral.  (The domain of the equality
       here is very rough; for more precise bounds one should decompose it with
       ~ ditgpos first and use the equality theorems for ~ df-itg .)
       (Contributed by Mario Carneiro, 13-Aug-2014.) $)
    ditgeq3 $p |- ( A. x e. RR D = E ->
      S_ [ A -> B ] D _d x = S_ [ A -> B ] E _d x ) $=
      ( wceq cr wral cioo co citg cneg cif cdit wss ioossre ssralv ax-mp itgeq2
      wi cle wbr syl negeqd ifeq12d df-ditg 3eqtr4g ) DEFZAGHZBCUAUBZABCIJZDKZA
      CBIJZDKZLZMUJAUKEKZAUMEKZLZMABCDNABCENUIUJULUPUOURUIUHAUKHZULUPFUKGOUIUST
      BCPUHAUKGQRAUKDESUCUIUNUQUIUHAUMHZUNUQFUMGOUIUTTCBPUHAUMGQRAUMDESUCUDUEAB
      CDUFABCEUFUG $.

    ditgeq3dv.1 $e |- ( ( ph /\ x e. RR ) -> D = E ) $.
    $( Equality theorem for the directed integral.  (Contributed by Mario
       Carneiro, 13-Aug-2014.) $)
    ditgeq3dv $p |- ( ph -> S_ [ A -> B ] D _d x = S_ [ A -> B ] E _d x ) $=
      ( wceq cr wral cdit ralrimiva ditgeq3 syl ) AEFHZBIJBCDEKBCDFKHAOBIGLBCDE
      FMN $.
  $}

  $( A directed integral is a set.  (Contributed by Mario Carneiro,
     7-Sep-2014.) $)
  ditgex $p |- S_ [ A -> B ] C _d x e. _V $=
    ( cdit cle wbr cioo co citg cneg cif cvv df-ditg itgex negex ifex eqeltri )
    ABCDEBCFGZABCHIZDJZACBHIDJZKZLMABCDNSUAUCATDOUBPQR $.

  ${
    $d x A $.
    $( Value of the directed integral from a point to itself.  (Contributed by
       Mario Carneiro, 13-Aug-2014.) $)
    ditg0 $p |- S_ [ A -> A ] B _d x = 0 $=
      ( cdit cle wbr cioo co citg cneg cif cc0 df-ditg wceq c0 iooid ax-mp itg0
      itgeq1 eqtri negeqi neg0 ifeq12 mp2an ifid ) ABBCDBBEFZABBGHZCIZUHJZKZLAB
      BCMUJUFLLKZLUHLNUILNUJUKNUHAOCIZLUGONUHULNBPAUGOCSQACRTZUILJLUHLUMUAUBTUF
      UHLUILUCUDUFLUETT $.
  $}

  ${
    $d x y A $.  $d x y B $.
    cbvditg.1 $e |- ( x = y -> C = D ) $.
    ${
      cbvditg.2 $e |- F/_ y C $.
      cbvditg.3 $e |- F/_ x D $.
      $( Change bound variable in a directed integral.  (Contributed by Mario
         Carneiro, 7-Sep-2014.) $)
      cbvditg $p |- S_ [ A -> B ] C _d x = S_ [ A -> B ] D _d y $=
        ( cle wbr cioo co citg cneg cif cdit biid cbvitg df-ditg negeqi 3eqtr4i
        ifbieq12i ) CDJKZACDLMZENZADCLMZENZOZPUDBUEFNZBUGFNZOZPACDEQBCDFQUDUDUF
        UIUJULUDRABUEEFGHISUHUKABUGEFGHISUAUCACDETBCDFTUB $.
    $}

    $d y C $.  $d x D $.
    $( Change bound variable in a directed integral.  (Contributed by Mario
       Carneiro, 7-Sep-2014.) $)
    cbvditgv $p |- S_ [ A -> B ] C _d x = S_ [ A -> B ] D _d y $=
      ( nfcv cbvditg ) ABCDEFGBEHAFHI $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    ditgpos.1 $e |- ( ph -> A <_ B ) $.
    $( Value of the directed integral in the forward direction.  (Contributed
       by Mario Carneiro, 13-Aug-2014.) $)
    ditgpos $p |- ( ph -> S_ [ A -> B ] C _d x = S. ( A (,) B ) C _d x ) $=
      ( cdit cle wbr cioo co citg cneg cif df-ditg iftrued syl5eq ) ABCDEGCDHIZ
      BCDJKELZBDCJKELMZNSBCDEOARSTFPQ $.

    ditgneg.2 $e |- ( ph -> A e. RR ) $.
    ditgneg.3 $e |- ( ph -> B e. RR ) $.
    $( Value of the directed integral in the backward direction.  (Contributed
       by Mario Carneiro, 13-Aug-2014.) $)
    ditgneg $p |- ( ph -> S_ [ B -> A ] C _d x = -u S. ( A (,) B ) C _d x ) $=
      ( cle wbr cdit cioo co citg cneg wceq wa cc0 c0 eqtrdi letri3d ditg0 neg0
      biantrurd bitr4d eqtr4i ditgeq2 oveq1 iooid itgeq1 syl itg0 negeqd syl6bi
      3eqtr4a wn cif df-ditg iffalse syl5eq pm2.61d1 ) ADCIJZBDCEKZBCDLMZENZOZP
      ZAVBCDPZVGAVBCDIJZVBQVHAVIVBFUDACDGHUAUEVHBDDEKZROZVCVFVJRVKBDEUBUCUFBCDD
      EUGVHVERVHVEBSENZRVHVDSPVEVLPVHVDDDLMSCDDLUHDUITBVDSEUJUKBEULTUMUOUNVBUPV
      CVBBDCLMENZVFUQVFBDCEURVBVMVFUSUTVA $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.  $d x V $.  $d x X $.  $d x Y $.
    ditgcl.x $e |- ( ph -> X e. RR ) $.
    ditgcl.y $e |- ( ph -> Y e. RR ) $.
    ditgcl.a $e |- ( ph -> A e. ( X [,] Y ) ) $.
    ditgcl.b $e |- ( ph -> B e. ( X [,] Y ) ) $.
    ditgcl.c $e |- ( ( ph /\ x e. ( X (,) Y ) ) -> C e. V ) $.
    ditgcl.i $e |- ( ph -> ( x e. ( X (,) Y ) |-> C ) e. L^1 ) $.
    $( Closure of a directed integral.  (Contributed by Mario Carneiro,
       13-Aug-2014.) $)
    ditgcl $p |- ( ph -> S_ [ A -> B ] C _d x e. CC ) $=
      ( cc wcel cle wbr co syl2anc cdit cr cicc w3a wb elicc2 mpbid simp1d cioo
      wa citg simpr ditgpos cv cxr wss rexrd simp2d iooss1 simp3d iooss2 sselda
      sstrd syldan cvol cdm ioombl a1i iblss adantr eqeltrd cneg ditgneg negcld
      itgcl lecasei ) ABCDEUAZOPCDACUBPZGCQRZCHQRZACGHUCSZPZVRVSVTUDZKAGUBPZHUB
      PZWBWCUEIJGHCUFTUGZUHZADUBPZGDQRZDHQRZADWAPZWHWIWJUDZLAWDWEWKWLUEIJGHDUFT
      UGZUHZACDQRZUJZVQBCDUISZEUKZOWPBCDEAWOULUMAWROPWOABWQEFABUNZWQPWSGHUISZPZ
      EFPZAWQWTWSAWQGDUISZWTAGUOPZVSWQXCUPAGIUQZAVRVSVTWFURGCDUSTAHUOPZWJXCWTUP
      AHJUQZAWHWIWJWMUTGDHVATVCZVBMVDABWQWTEFXHWQVEVFZPACDVGVHMNVIVOVJVKADCQRZU
      JZVQBDCUISZEUKZVLZOXKBDCEAXJULAWHXJWNVJAVRXJWGVJVMAXNOPXJAXMABXLEFAWSXLPX
      AXBAXLWTWSAXLGCUISZWTAXDWIXLXOUPXEAWHWIWJWMURGDCUSTAXFVTXOWTUPXGAVRVSVTWF
      UTGCHVATVCZVBMVDABXLWTEFXPXLXIPADCVGVHMNVIVOVNVJVKVP $.

    $( Reverse a directed integral.  (Contributed by Mario Carneiro,
       13-Aug-2014.) $)
    ditgswap $p |- ( ph -> S_ [ B -> A ] C _d x = -u S_ [ A -> B ] C _d x ) $=
      ( cneg wcel cle wbr co adantr cdit wceq cr cicc w3a elicc2 syl2anc simp1d
      wb mpbid wa cioo citg simpr ditgneg ditgpos negeqd eqtr4d cc cv cxr rexrd
      wss simp2d iooss1 simp3d iooss2 sselda cmpt cibl cmbf iblmbf syl mbfmptcl
      sstrd syldan cvol cdm ioombl a1i iblss itgcl negnegd 3eqtr4rd lecasei ) A
      BDCEUAZBCDEUAZOZUBCDACUCPZGCQRZCHQRZACGHUDSZPZWIWJWKUEZKAGUCPZHUCPZWMWNUI
      IJGHCUFUGUJZUHZADUCPZGDQRZDHQRZADWLPZWSWTXAUEZLAWOWPXBXCUIIJGHDUFUGUJZUHZ
      ACDQRZUKZWFBCDULSEUMZOWHXGBCDEAXFUNZAWIXFWRTAWSXFXETUOXGWGXHXGBCDEXIUPUQU
      RADCQRZUKZBDCULSZEUMZOZOXMWHWFXKXMAXMUSPXJABXLEUSABUTZXLPXOGHULSZPEUSPAXL
      XPXOAXLGCULSZXPAGVAPWTXLXQVCAGIVBAWSWTXAXDVDGDCVEUGAHVAPWKXQXPVCAHJVBAWIW
      JWKWQVFGCHVGUGVOZVHABXPEFABXPEVIZVJPXSVKPNXSVLVMMVNVPABXLXPEFXRXLVQVRPADC
      VSVTMNWAWBTWCXKWGXNXKBDCEAXJUNZAWSXJXETAWIXJWRTUOUQXKBDCEXTUPWDWE $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x ph $.  $d x ps $.  $d x th $.
    $d x V $.  $d x X $.  $d x Y $.
    ditgsplit.x $e |- ( ph -> X e. RR ) $.
    ditgsplit.y $e |- ( ph -> Y e. RR ) $.
    ditgsplit.a $e |- ( ph -> A e. ( X [,] Y ) ) $.
    ditgsplit.b $e |- ( ph -> B e. ( X [,] Y ) ) $.
    ditgsplit.c $e |- ( ph -> C e. ( X [,] Y ) ) $.
    ditgsplit.d $e |- ( ( ph /\ x e. ( X (,) Y ) ) -> D e. V ) $.
    ditgsplit.i $e |- ( ph -> ( x e. ( X (,) Y ) |-> D ) e. L^1 ) $.
    ${
      ditgsplit.1 $e |- ( ( ps /\ th ) <-> ( A <_ B /\ B <_ C ) ) $.
      $( Lemma for ~ ditgsplit .  (Contributed by Mario Carneiro,
         13-Aug-2014.) $)
      ditgsplitlem $p |- ( ( ( ph /\ ps ) /\ th ) -> S_ [ A -> C ] D _d x =
        ( S_ [ A -> B ] D _d x + S_ [ B -> C ] D _d x ) ) $=
        ( wcel cdit caddc co wceq wa cioo citg cr cle wbr w3a wb elicc2 syl2anc
        cicc mpbid simp1d adantr simpr sylib simpld simprd mpbir3and cv cxr wss
        cc rexrd simp2d iooss1 simp3d iooss2 sstrd sselda cmpt cibl cmbf iblmbf
        syl mbfmptcl syldan adantlr cvol cdm ioombl a1i iblss itgsplitioo letrd
        ditgpos oveq12d 3eqtr4d anassrs ) ABCDEGHUAZDEFHUAZDFGHUAZUBUCZUDABCUEZ
        UEZDEGUFUCZHUGDEFUFUCZHUGZDFGUFUCZHUGZUBUCWNWQWSDEFGHAEUHTZWRAXEJEUIUJZ
        EKUIUJZAEJKUOUCZTZXEXFXGUKZNAJUHTZKUHTZXIXJULLMJKEUMUNUPZUQZURZAGUHTZWR
        AXPJGUIUJZGKUIUJZAGXHTZXPXQXRUKZPAXKXLXSXTULLMJKGUMUNUPZUQZURZWSFEGUOUC
        TZFUHTZEFUIUJZFGUIUJZAYEWRAYEJFUIUJZFKUIUJZAFXHTZYEYHYIUKZOAXKXLYJYKULL
        MJKFUMUNUPZUQURZWSYFYGWSWRYFYGUEAWRUSSUTZVAZWSYFYGYNVBZAYDYEYFYGUKULZWR
        AXEXPYQXNYBEGFUMUNURVCADVDZWTTZHVGTZWRAYSYRJKUFUCZTYTAWTUUAYRAWTJGUFUCZ
        UUAAJVETZXFWTUUBVFAJLVHZAXEXFXGXMVIZJEGVJUNAKVETZXRUUBUUAVFAKMVHZAXPXQX
        RYAVKJGKVLUNZVMVNADUUAHIADUUAHVOZVPTUUIVQTRUUIVRVSQVTWAWBADXAHVOVPTWRAD
        XAUUAHIAXAJFUFUCZUUAAUUCXFXAUUJVFUUDUUEJEFVJUNAUUFYIUUJUUAVFUUGAYEYHYIY
        LVKJFKVLUNVMXAWCWDZTAEFWEWFQRWGURADXCHVOVPTWRADXCUUAHIAXCUUBUUAAUUCYHXC
        UUBVFUUDAYEYHYIYLVIJFGVJUNUUHVMXCUUKTAFGWEWFQRWGURWHWSDEGHWSEFGXOYMYCYO
        YPWIWJWSWOXBWPXDUBWSDEFHYOWJWSDFGHYPWJWKWLWM $.
    $}

    $( This theorem is the raison d'&ecirc;tre for the directed integral,
       because unlike ~ itgspliticc , there is no constraint on the ordering of
       the points ` A , B , C ` in the domain.  (Contributed by Mario Carneiro,
       13-Aug-2014.) $)
    ditgsplit $p |- ( ph -> S_ [ A -> C ] D _d x =
      ( S_ [ A -> B ] D _d x + S_ [ B -> C ] D _d x ) ) $=
      ( caddc co wa cc0 cdit wceq cr wcel cle wbr cicc w3a elicc2 syl2anc mpbid
      wb simp1d adantr ad2antrr biid ditgsplitlem adantlr oveq1d ditgcl addassd
      ditgswap oveq2d negidd eqtrd addid1d 3eqtrd eqtr2d adantllr lecasei ancom
      cneg addid2d 3eqtr3d eqtr3d ) ABCEFUAZBCDFUAZBDEFUAZQRZUBZCDACUCUDZHCUEUF
      ZCIUEUFZACHIUGRZUDZWAWBWCUHZLAHUCUDZIUCUDZWEWFULJKHICUIUJUKUMZADUCUDZHDUE
      UFZDIUEUFZADWDUDZWJWKWLUHZMAWGWHWMWNULJKHIDUIUJUKUMZACDUEUFZSZVTCEAWAWPWI
      UNAEUCUDZWPAWRHEUEUFZEIUEUFZAEWDUDZWRWSWTUHZNAWGWHXAXBULJKHIEUIUJUKUMZUNW
      QCEUEUFZSVTDEAWJWPXDWOUOAWRWPXDXCUOWQDEUEUFZVTXDAWPXEBCDEFGHIJKLMNOPWPXES
      UPUQURAXDEDUEUFZVTWPAXDSXFSZVSVPBEDFUAZQRZVRQRZVPXGVQXIVRQAXDXFBCEDFGHIJK
      LNMOPXDXFSUPUQUSAXJVPUBZXDXFAXJVPXHVRQRZQRVPTQRVPAVPXHVRABCEFGHIJKLNOPUTZ
      ABEDFGHIJKNMOPUTZABDEFGHIJKMNOPUTZVAAXLTVPQAXLXHXHVLZQRTAVRXPXHQABEDFGHIJ
      KNMOPVBVCAXHXNVDVEVCAVPXMVFVGZUOVHVIVJWQECUEUFZSZXJVPVSAXKWPXRXQUOXSXIVQV
      RQXSXIVPBECFUAZVQQRZQRZVQXSXHYAVPQAWPXRBECDFGHIJKNLMOPWPXRVKUQVCAYBVQUBZW
      PXRAVPXTQRZVQQRTVQQRYBVQAYDTVQQAYDVPVPVLZQRTAXTYEVPQABCEFGHIJKLNOPVBVCAVP
      XMVDVEUSAVPXTVQXMABECFGHIJKNLOPUTZABCDFGHIJKLMOPUTZVAAVQYGVMVNZUOVEUSVOVJ
      ADCUEUFZSZVTCEAWAYIWIUNAWRYIXCUNYJXDSZVSVQBDCFUAZVPQRZQRZVPYKVRYMVQQAYIXD
      BDCEFGHIJKMLNOPYIXDSUPUQVCAYNVPUBZYIXDAVQYLQRZVPQRTVPQRYNVPAYPTVPQAYPVQVQ
      VLZQRTAYLYQVQQABCDFGHIJKLMOPVBVCAVQYGVDVEUSAVQYLVPYGABDCFGHIJKMLOPUTZXMVA
      AVPXMVMVNZUOVHYJXRSVTDEAWJYIXRWOUOAWRYIXRXCUOAXRXEVTYIAXRSXESZVSYNVPYTVRY
      MVQQYTYMVRXTQRZVPQRZVRYTYLUUAVPQAXRXEBDECFGHIJKMNLOPXRXEVKUQUSAUUBVRUBXRX
      EAUUBVRXTVPQRZQRVRTQRVRAVRXTVPXOYFXMVAAUUCTVRQAUUCXTXTVLZQRTAVPUUDXTQABEC
      FGHIJKNLOPVBVCAXTYFVDVEVCAVRXOVFVGUOVHVCAYOXRXEYSUOVHVIYJXFVTXRYJXFSZVSXJ
      VPUUEVQXIVRQUUEXIYBVQUUEXHYAVPQUUEYAXHYLQRZVQQRZXHUUEXTUUFVQQAYIXFBEDCFGH
      IJKNMLOPYIXFVKUQUSAUUGXHUBYIXFAUUGXHYLVQQRZQRXHTQRXHAXHYLVQXNYRYGVAAUUHTX
      HQAUUHYLYLVLZQRTAVQUUIYLQABDCFGHIJKMLOPVBVCAYLYRVDVEVCAXHXNVFVGUOVHVCAYCY
      IXFYHUOVHUSAXKYIXFXQUOVHURVJVJVJ $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Derivatives
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Real and complex differentiation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Derivatives of functions of one complex or real variable
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Introduce new constant symbols. $)
  $c limCC $. $( Limit operator $)
  $c _D $. $( Derivative operator $)
  $c Dn $. $( n-th derivative operator $)
  $c C^n $. $( Continuously differentiable function $)

  $( The limit operator. $)
  climc $a class limCC $.

  $( The derivative operator. $)
  cdv $a class _D $.

  $( The ` n ` -th derivative operator. $)
  cdvn $a class Dn $.

  $( The set of ` n ` -times continuously differentiable functions. $)
  ccpn $a class C^n $.

  ${
    $d f j s x y z $.
    $( Define the set of limits of a complex function at a point.  Under normal
       circumstances, this will be a singleton or empty, depending on whether
       the limit exists.  (Contributed by Mario Carneiro, 24-Dec-2016.) $)
    df-limc $a |- limCC = ( f e. ( CC ^pm CC ) , x e. CC |->
      { y | [. ( TopOpen ` CCfld ) / j ]. ( z e. ( dom f u. { x } ) |->
      if ( z = x , y , ( f ` z ) ) ) e.
        ( ( ( j |`t ( dom f u. { x } ) ) CnP j ) ` x ) } ) $.

    $( Define the derivative operator.  This acts on functions to produce a
       function that is defined where the original function is differentiable,
       with value the derivative of the function at these points.  The set
       ` s ` here is the ambient topological space under which we are
       evaluating the continuity of the difference quotient.  Although the
       definition is valid for any subset of ` CC ` and is well-behaved when
       ` s ` contains no isolated points, we will restrict our attention to the
       cases ` s = RR ` or ` s = CC ` for the majority of the development,
       these corresponding respectively to real and complex differentiation.
       (Contributed by Mario Carneiro, 7-Aug-2014.) $)
    df-dv $a |- _D = ( s e. ~P CC , f e. ( CC ^pm s ) |->
      U_ x e. ( ( int ` ( ( TopOpen ` CCfld ) |`t s ) ) ` dom f )
        ( { x } X. ( ( z e. ( dom f \ { x } ) |->
          ( ( ( f ` z ) - ( f ` x ) ) / ( z - x ) ) ) limCC x ) ) ) $.

    $( Define the ` n ` -th derivative operator on functions on the complex
       numbers.  This just iterates the derivative operation according to the
       last argument.  (Contributed by Mario Carneiro, 11-Feb-2015.) $)
    df-dvn $a |- Dn = ( s e. ~P CC , f e. ( CC ^pm s ) |->
      seq 0 ( ( ( x e. _V |-> ( s _D x ) ) o. 1st ) , ( NN0 X. { f } ) ) ) $.

    $( Define the set of ` n ` -times continuously differentiable functions.
       (Contributed by Stefan O'Rear, 15-Nov-2014.) $)
    df-cpn $a |- C^n = ( s e. ~P CC |-> ( x e. NN0 |-> { f e. ( CC ^pm s ) |
                         ( ( s Dn f ) ` x ) e. ( dom f -cn-> CC ) } ) ) $.

    $( The derivative function is a relation.  (Contributed by Mario Carneiro,
       7-Aug-2014.)  (Revised by Mario Carneiro, 24-Dec-2016.) $)
    reldv $p |- Rel ( S _D F ) $=
      ( vx vf vs vz cdv co wrel cvv cxp wss cv cfv cmin wral rgenw mpbir df-rel
      cc cdm ccnfld ctopn crest cnt csn cdif cdiv cmpt climc ciun cpm cpw relxp
      reliun mpbi df-dv ovmptss ax-mp ) ABGHZIUTJJKZLZCDMZUAZUBUCNEMZUDHUENNZCM
      ZUFZFVDVHUGFMZVCNVGVCNOHVIVGOHUHHUIVGUJHZKZUKZVALZDTVEULHZPZETUMZPVBVOEVP
      VMDVNVLIZVMVQVKIZCVFPVRCVFVHVJUNQCVFVKUORVLSUPQQEDVPVNVLAGBVACFDEUQURUSUT
      SR $.
  $}

  ${
    $d f j x y z A $.  $d f j x y z B $.  $d f j x y z F $.  $d f j x y z K $.
    $d y z C $.  $d y G $.  $d f j x y J $.
    limcval.j $e |- J = ( K |`t ( A u. { B } ) ) $.
    limcval.k $e |- K = ( TopOpen ` CCfld ) $.
    ${
      limcvallem.g $e |- G =
        ( z e. ( A u. { B } ) |-> if ( z = B , C , ( F ` z ) ) ) $.
      $( Lemma for ~ ellimc .  (Contributed by Mario Carneiro, 25-Dec-2016.) $)
      limcvallem $p |- ( ( F : A --> CC /\ A C_ CC /\ B e. CC ) ->
        ( G e. ( ( J CnP K ) ` B ) -> C e. CC ) ) $=
        ( cc wf wss wcel w3a ccnp co cfv ctopon wa cv cif csn cun iftrue eleq1d
        wceq wral crest cnfldtopon simpl2 simpl3 snssd unssd resttopon eqeltrid
        sylancr a1i simpr cnpf2 syl3anc fmpt sylibr ssun2 wb syl mpbiri rspcdva
        snssg ex ) BLEMZBLNZCLOZPZFCGHQRSOZDLOZVOVPUAZAUBZCUHZDVSESZUCZLOZVQABC
        UDZUEZCVTWBDLVTDWAUFUGVRWELFMZWCAWEUIVRGWETSZOHLTSOZVPWFVRGHWEUJRZWGIVR
        WHWELNWIWGOHJUKZVRBWDLVLVMVNVPULVRCLVLVMVNVPUMZUNUOWEHLUPURUQWHVRWJUSVO
        VPUTCFGHWELVAVBAWELWBFKVCVDVRCWEOZWDWENZWDBVEVRVNWLWMVFWKCWELVJVGVHVIVK
        $.
    $}

    $( Value and set bounds on the limit operator.  (Contributed by Mario
       Carneiro, 25-Dec-2016.) $)
    limcfval $p |- ( ( F : A --> CC /\ A C_ CC /\ B e. CC ) ->
      ( ( F limCC B ) = { y |
        ( z e. ( A u. { B } ) |-> if ( z = B , y , ( F ` z ) ) ) e.
        ( ( J CnP K ) ` B ) } /\ ( F limCC B ) C_ CC ) ) $=
      ( vf vx vj cc wcel co cv wceq cfv cvv wa wf wss w3a csn cun cif cmpt ccnp
      climc cab cpm cdm crest ccnfld ctopn wsbc df-limc a1i fvexd simplrl dmeqd
      cmpo simpll1 eqtrd simplrr sneqd uneq12d eqeq2d fveq1d ifbieq2d mpteq12dv
      fdmd eqtr4di oveq12d fveq12d eleq12d sbcied abbidv elpm2r mpanl12 3adant3
      simpr cnex simp3 eqid limcvallem abssdv ssex syl ovmpod eqsstrd jca ) CME
      UAZCMUBZDMNZUCZEDUIOZBCDUDZUEZBPZDQZAPZWTERZUFZUGZDFGUHOZRZNZAUJZQWQMUBWP
      JKEDMMUKOZMBJPZULZKPZUDZUEZWTXMQZXBWTXKRZUFZUGZXMLPZXOUMOZXTUHOZRZNZLUNUO
      RZUPZAUJZXIUISUIJKXJMYGVBQWPKABJLUQURWPXKEQZXMDQZTZTZYFXHAYKYDXHLYESYKUNU
      OUSYKXTYEQZTZXSXEYCXGYMBXOXRWSXDYMXLCXNWRYMXLEULCYMXKEWPYHYIYLUTZVAYMCMEW
      MWNWOYJYLVCVLVDYMXMDWPYHYIYLVEZVFVGZYMXPXAXQXCXBYMXMDWTYOVHYMWTXKEYNVIVJV
      KYMXMDYBXFYMYAFXTGUHYMYAGWSUMOFYMXTGXOWSUMYMXTYEGYKYLWBIVMZYPVNHVMYQVNYOV
      OVPVQVRWMWNEXJNZWOMSNZYSWMWNTYRWCWCMMCESSVSVTWAWMWNWOWDWPXIMUBXISNWPXHAMB
      CDXBEXEFGHIXEWEWFWGZXIMWCWHWIWJZWPWQXIMUUAYTWKWL $.

    ellimc.g $e |- G =
        ( z e. ( A u. { B } ) |-> if ( z = B , C , ( F ` z ) ) ) $.
    ellimc.f $e |- ( ph -> F : A --> CC ) $.
    ellimc.a $e |- ( ph -> A C_ CC ) $.
    ellimc.b $e |- ( ph -> B e. CC ) $.
    $( Value of the limit predicate. ` C ` is the limit of the function ` F `
       at ` B ` if the function ` G ` , formed by adding ` B ` to the domain of
       ` F ` and setting it to ` C ` , is continuous at ` B ` .  (Contributed
       by Mario Carneiro, 25-Dec-2016.) $)
    ellimc $p |- ( ph ->
      ( C e. ( F limCC B ) <-> G e. ( ( J CnP K ) ` B ) ) ) $=
      ( vy co wcel wceq cc climc csn cun cv cfv cif cmpt cab wss wf wa limcfval
      ccnp syl3anc simpld eleq2d wi wb limcvallem ifeq1 mpteq2dv eqtr4di eleq1d
      elab3g syl bitrd ) AEFDUAQZREBCDUBUCZBUDZDSZPUDZVIFUEZUFZUGZDHIUMQUEZRZPU
      HZRZGVORZAVGVQEAVGVQSZVGTUIZACTFUJZCTUIZDTRZVTWAUKMNOPBCDFHIJKULUNUOUPAVS
      ETRUQZVRVSURAWBWCWDWEMNOBCDEFGHIJKLUSUNVPVSPETVKESZVNGVOWFVNBVHVJEVLUFZUG
      GWFBVHVMWGVJVKEVLUTVALVBVCVDVEVF $.
  $}

  ${
    $d f j x y z $.  $d u v w x z A $.  $d u v w x y z B $.  $d u v w x z ph $.
    $d u v w z C $.  $d u v w x y z F $.  $d u v w z K $.
    $( Reverse closure for the limit operator.  (Contributed by Mario Carneiro,
       28-Dec-2016.) $)
    limcrcl $p |- ( C e. ( F limCC B ) ->
      ( F : dom F --> CC /\ dom F C_ CC /\ B e. CC ) ) $=
      ( vf vx vz vy vj climc co wcel cc cpm wa cdm wf wss cv cfv cnex w3a crest
      csn cun weq cif cmpt ccnp ccnfld ctopn wsbc df-limc elmpocl anbi1i df-3an
      cab elpm2 bitr4i sylib ) BCAIJKCLLMJZKZALKZNZCOZLCPZVDLQZVBUAZDEUTLFDRZOE
      RZUCUDZFEUEGRFRVHSUFUGVIHRZVJUBJVKUHJSKHUIUJSUKGUPCAIBEGFDHULUMVCVEVFNZVB
      NVGVAVLVBLLCTTUQUNVEVFVBUOURUS $.

    $( Closure of the limit operator.  (Contributed by Mario Carneiro,
       25-Dec-2016.) $)
    limccl $p |- ( F limCC B ) C_ CC $=
      ( vx vz vy climc co cc wcel cdm csn cun wceq cfv cif cmpt ccnfld wss eqid
      cv ctopn crest ccnp cab wf w3a wa limcrcl limcfval simprd id sseldd ssriv
      syl ) CBAFGZHCTZUOIZUOHUPUQUODBJZAKLZDTZAMETUTBNOPAQUANZUSUBGZVAUCGNIEUDM
      ZUOHRZUQURHBUEURHRAHIUFVCVDUGAUPBUHEDURABVBVAVBSVASUIUNUJUQUKULUM $.

    limccl.f $e |- ( ph -> F : A --> CC ) $.
    $( It suffices to consider functions which are not defined at ` B ` to
       define the limit of a function.  In particular, the value of the
       original function ` F ` at ` B ` does not affect the limit of ` F ` .
       (Contributed by Mario Carneiro, 25-Dec-2016.) $)
    limcdif $p |- ( ph ->
      ( F limCC B ) = ( ( F |` ( A \ { B } ) ) limCC B ) ) $=
      ( vx vz co cc wss wcel wa wceq adantr wf ex cfv cmpt eqid sylbi climc csn
      cdif cres cv cdm w3a limcrcl adantl simp2d eqsstrrd simp3d jca cun undif1
      fdmd difss fssres sylancl snssd unssd eqsstrrid unssad wb cif ctopn crest
      ccnfld ccnp simprl simprr ellimc eqcomi oveq2i mpteq1i wo velsn orbi2i wn
      elun pm5.61 fvres ifeq2da mpteq2ia eqtr4i ssdifssd bitr4d pm5.21ndd eqrdv
      ) AFDCUAHZDBCUBZUCZUDZCUAHZABIJZCIKZLZFUEZWJKZWRWNKZAWSWQAWSLZWOWPXABDUFZ
      IAXBBMWSABIDEUPNXAXBIDOZXBIJZWPWSXCXDWPUGACWRDUHUIZUJUKXAXCXDWPXEULUMPAWT
      WQAWTLZWOWPXFBWKIXFBWKUNZWLWKUNZIBWKUOZXFWLWKIXFWLWMUFZIAXJWLMWTAWLIWMABI
      DOZWLBJWLIWMOZEBWKUQBIWLDURUSZUPNXFXJIWMOZXJIJZWPWTXNXOWPUGACWRWMUHUIZUJU
      KXFCIXFXNXOWPXPULZUTVAVBVCXQUMPAWQWSWTVDAWQLZWSGXGGUEZCMZWRXSDQZVEZRZCVHV
      FQZXGVGHZYDVIHQKWTXRGBCWRDYCYEYDYESYDSZYCSAXKWQENAWOWPVJZAWOWPVKZVLXRGWLC
      WRWMYCYEYDXGXHYDVGXHXGXIVMZVNYFYCGXHYBRGXHXTWRXSWMQZVEZRGXGXHYBYIVOGXHYKY
      BXSXHKXSWLKZXSWKKZVPZYKYBMZXSWLWKVTYNYLXTVPZYOYMXTYLGCVQVRYPXTYJYAWRYPXTV
      SZLYLYQLYJYAMZYLXTWAYLYRYQXSWLDWBNTWCTTWDWEAXLWQXMNXRBIWKYGWFYHVLWGPWHWI
      $.

    limccl.a $e |- ( ph -> A C_ CC ) $.
    limccl.b $e |- ( ph -> B e. CC ) $.
    ellimc2.k $e |- K = ( TopOpen ` CCfld ) $.
    $( Write the definition of a limit directly in terms of open sets of the
       topology on the complex numbers.  (Contributed by Mario Carneiro,
       25-Dec-2016.) $)
    ellimc2 $p |- ( ph -> ( C e. ( F limCC B ) <-> ( C e. CC /\
      A. u e. K ( C e. u -> E. w e. K ( B e. w /\
        ( F " ( w i^i ( A \ { B } ) ) ) C_ u ) ) ) ) ) $=
      ( vz wcel cc wa wss wral wb cvv vv climc co csn cdif cin cima wrex limccl
      cv wi sseli pm4.71ri cun wceq cfv cif cmpt ccnp eqid ellimc adantr ctopon
      crest cnfldtopon snssd unssd resttopon sylancr a1i ssun2 snssg syl mpbiri
      wf wo elun velsn orbi2i bitri simpllr wn pm5.61 ffvelrnda sylan2b anassrs
      ad2ant2r ifclda fmpttd w3a iscnp syl31anc iftrue fvmptg eleq1d imbi1d crn
      baibd sylan ctop cnfldtop cnex ad2antrr restval rexeqdv inex1 rgenw eleq2
      ssex imaeq2 sseq1d anbi12d rexrnmptw mp1i ad3antrrr elin rbaib fvex ifexg
      vex wfn sylancl ralrimivw fnmpt fmpt df-f baib 3syl simplrr elinel2 sylbi
      syl5ibrcom ralrimiv undif1 ineq2i indi eqtr3i raleqi inss2 3bitrd ralbiia
      ralunb bitr3d wne eldifsni ifnefalse bitrdi cres df-ima resmpt rneqd wfun
      syl5eq cdm ffund difss sstri sseqtrrid funimass4 syl2anc 3bitr4d rexbidva
      fdmd pm5.74da bitrd ralbidva pm5.32da syl5bb ) FGEUBUCZNZFONZUVJPAUVKFCUJ
      ZNZEBUJZNZGUVNDEUDZUEZUFZUGUVLQZPZBHUHZUKZCHRZPUVJUVKUVIOFEGUIULUMAUVKUVJ
      UWCAUVKPZUVJMDUVPUNZMUJZEUOZFUWFGUPZUQZURZEHUWEVDUCZHUSUCUPNZEUWJUPZUVLNZ
      EUAUJZNZUWJUWOUGZUVLQZPZUAUWKUHZUKZCHRZUWCAUVJUWLSUVKAMDEFGUWJUWKHUWKUTLU
      WJUTZIJKVAVBUWDUWKUWEVCUPNZHOVCUPNZEUWENZUWEOUWJVOZUWLUXBSAUXDUVKAUXEUWEO
      QZUXDHLVEZADUVPOJAEOKVFVGZUWEHOVHVIVBUXEUWDUXIVJAUXFUVKAUXFUVPUWEQZUVPDVK
      AEONUXFUXKSKEUWEOVLVMVNZVBUWDMUWEUWIOUWFUWENZUWDUWFDNZUWGVPZUWIONUXMUXNUW
      FUVPNZVPUXOUWFDUVPVQUXPUWGUXNMEVRZVSVTUWDUXOPUWGFUWHOAUVKUXOUWGWAUWDUXOUW
      GWBZUWHONZUXOUXRPUWDUXNUXRPUXSUXNUWGWCAUXNUXSUVKUXRADOUWFGIWDWGWEWFWHWEWI
      UXDUXEUXFWJUWLUXGUXBUACEUWJUWKHUWEOWKWRWLUWDUXAUWBCHUWDUVLHNZPZUXAUVMUWTU
      KZUWBUWDUXAUYBSUXTUWDUWNUVMUWTUWDUWMFUVLAUXFUVKUWMFUOUXLMEUWIFUWEOUWJUWGF
      UWHWMZUXCWNWSWOWPVBUYAUVMUWTUWAUWDUXTUVMUWTUWASUWDUXTUVMPZPZUWTUWSUABHUVN
      UWEUFZURZWQZUHZEUYFNZUWJUYFUGZUVLQZPZBHUHZUWAUYEUWSUAUWKUYHUYEHWTNUWETNZU
      WKUYHUOHLXAAUYOUVKUYDAUXHUYOUXJUWEOXBXIVMXCBUWEHWTTXDVIXEUYFTNZBHRUYIUYNS
      UYEUYPBHUVNUWEBXTXFXGUWSUYMBUAHUYFUYGTUYGUTUWOUYFUOZUWPUYJUWRUYLUWOUYFEXH
      UYQUWQUYKUVLUWOUYFUWJXJXKXLXMXNUYEUYMUVTBHUYEUVNHNZPZUYJUVOUYLUVSUYSUXFUY
      JUVOSAUXFUVKUYDUYRUXLXOUYJUVOUXFEUVNUWEXPXQVMUYSMUYFUWIURZWQZUVLQZUWHUVLN
      ZMUVRRZUYLUVSUYSVUBUWIUVLNZMUVRRZVUDUYSVUEMUYFRZVUBVUFUYSUWITNZMUYFRUYTUY
      FYAZVUGVUBSUYSVUHMUYFUYSUVKUWHTNVUHAUVKUYDUYRWAUWFGXRUWGFUWHOTXSYBYCMUYFU
      WIUYTTUYTUTZYDVUGVUIVUBVUGUYFUVLUYTVOVUIVUBPMUYFUVLUWIUYTVUJYEUYFUVLUYTYF
      VTYGYHUYSVUEMUVNUVPUFZRZVUGVUFSUYSVUEMVUKUYSVUEUWFVUKNZUVMUWDUXTUVMUYRYIV
      UMUXPVUEUVMSUWFUVNUVPYJUXPUWIFUVLUXPUWGUWIFUOUXQUYCYKWOVMYLYMVUGVUFVULVUG
      VUEMUVRVUKUNZRVUFVULPVUEMUYFVUNUVNUVQUVPUNZUFUYFVUNVUOUWEUVNDUVPYNYOUVNUV
      QUVPYPYQYRVUEMUVRVUKUUBVTXQVMUUCVUEVUCMUVRUWFUVRNUWFUVQNZVUEVUCSUWFUVNUVQ
      YJVUPUWIUWHUVLVUPUWFEUUDUWIUWHUOUWFDEUUEUWFEFUWHUUFVMWOVMUUAUUGUYSUYKVUAU
      VLUYSUYKUWJUYFUUHZWQVUAUWJUYFUUIUYSVUQUYTUYFUWEQVUQUYTUOUYSUVNUWEYSMUWEUY
      FUWIUUJXNUUKUUMXKUYSGUULUVRGUUNZQUVSVUDSUYSDOGADOGVOUVKUYDUYRIXOZUUOUYSDU
      VRVURUVRUVQDUVNUVQYSDUVPUUPUUQUYSDOGVUSUVCUURMUVRUVLGUUSUUTUVAXLUVBYTWFUV
      DUVEUVFYTUVGUVH $.

    limcnlp.n $e |- ( ph -> -. B e. ( ( limPt ` K ) ` A ) ) $.
    $( If ` B ` is not a limit point of the domain of the function ` F ` , then
       every point is a limit of ` F ` at ` B ` .  (Contributed by Mario
       Carneiro, 25-Dec-2016.) $)
    limcnlp $p |- ( ph -> ( F limCC B ) = CC ) $=
      ( vu vv cc cv wcel cdif wss wa cfv c0 vx climc co csn cin cima wi ellimc2
      wrex wral ccld ctop cnfldtop adantr ssdifssd cnfldtopon toponunii sylancr
      ccl clscld cldopn syl wb islp mtbid eldifd wceq difin2 sscls ssdif0 sylib
      clp eqtr3d imaeq2d ima0 eqtrdi eqsstrdi eleq2 ineq1 sseq1d anbi12d rspcev
      0ss syl12anc a1d ralrimivw ex pm4.71d bitr4d eqrdv ) AUADCUBUCZMAUANZWKOW
      LMOZWLKNZOZCLNZOZDWPBCUDZPZUEZUFZWNQZRZLEUIZUGZKEUJZRWMALKBCWLDEFGHIUHAWM
      XFAWMXFAWMRZXEKEXGXDWOXGMWSEUSSSZPZEOZCXIOZDXIWSUEZUFZWNQZXDXGXHEUKSOZXJX
      GEULOZWSMQZXOEIUMZXGBMWRABMQZWMGUNUOZWSEMMEEIUPUQZUTURXHEMYAVAVBAXKWMACMX
      HHACBEVLSSOZCXHOZJAXPXSYBYCVCXRGCBEMYAVDURVEVFUNXGXMTWNXGXMDTUFTXGXLTDXGW
      SXHPZXLTXGXQYDXLVGXTWSXHMVHVBXGWSXHQZYDTVGXGXPXQYEXRXTWSEMYAVIURWSXHVJVKV
      MVNDVOVPWNWCVQXCXKXNRLXIEWPXIVGZWQXKXBXNWPXICVRYFXAXMWNYFWTXLDWPXIWSVSVNV
      TWAWBWDWEWFWGWHWIWJ $.
  $}

  ${
    $d u v x y z A $.  $d u v x y z B $.  $d u v x y z C $.  $d u v x y z ph $.
    $d u v x y z F $.
    ellimc3.f $e |- ( ph -> F : A --> CC ) $.
    ellimc3.a $e |- ( ph -> A C_ CC ) $.
    ellimc3.b $e |- ( ph -> B e. CC ) $.
    $( Write the epsilon-delta definition of a limit.  (Contributed by Mario
       Carneiro, 28-Dec-2016.) $)
    ellimc3 $p |- ( ph -> ( C e. ( F limCC B ) <-> ( C e. CC /\
      A. x e. RR+ E. y e. RR+ A. z e. A
        ( ( z =/= B /\ ( abs ` ( z - B ) ) < y ) ->
          ( abs ` ( ( F ` z ) - C ) ) < x ) ) ) ) $=
      ( vv co wcel cc wss wa wrex wi crp vu climc cv csn cdif cima ccnfld ctopn
      cin cfv wral wne cmin cabs clt wbr eqid ellimc2 cxmet cnxmet simplr simpr
      ccom cbl blcntr mp3an2i cxr rpxr adantl cnfldtopn blopn wceq eleq2 anbi2d
      sseq2 rexbidv imbi12d rspcv syl mpid mopni2 mp3an1 ssrin sstr2 3syl com12
      imass2 reximdv syl5com impr rexlimiva ralrimdva r19.29r ad3antrrr imaeq2d
      syl6 rpxrd ineq1 sseq1d anbi12d rspcev expr syl2anc rexlimdva anim2d syl9
      impd syl5 expd expdimp com23 impbid wb wfun wf ad2antrr ffund inss2 difss
      cdm fdmd sseqtrrid sstrid funimass4 a1i simplrr sselda syl22anc cnmetdval
      elbl3 breq1d bitrd simplrl simpllr eldifi ffvelrn ralbidva imbi1i ralbii2
      impexp syl2an elin biancomi bitr2i eldifsn imbi2i 3bitr4i 3bitr3g anassrs
      rexbidva pm5.32da ) AGHFUBMNGONZGUAUCZNZFLUCZNZHUUOEFUDZUEZUIZUFZUUMPZQZL
      UGUHUJZRZSZUAUVCUKZQUULDUCZFULZUVGFUMMUNUJZCUCZUOUPZQUVGHUJZGUMMUNUJZBUCZ
      UOUPZSZDEUKZCTRZBTUKZQALUAEFGHUVCIJKUVCUQZURAUULUVFUVSAUULQZUVFHFUVJUNUMV
      CZVDUJZMZUURUIZUFZGUVNUWCMZPZCTRZBTUKZUVSUWAUVFUWJUWAUVFUWIBTUWAUVNTNZQZU
      VFUUPUUTUWGPZQZLUVCRZUWIUWLUVFGUWGNZUWOUWBOUSUJNZUWLUULUWKUWPUTAUULUWKVAZ
      UWAUWKVBUWBGUVNOVEVFUWLUWGUVCNZUVFUWPUWOSZSUWQUWLUULUVNVGNZUWSUTUWRUWKUXA
      UWAUVNVHVIUWBGUVNUVCOUVCUVTVJZVKVFUVEUWTUAUWGUVCUUMUWGVLZUUNUWPUVDUWOUUMU
      WGGVMUXCUVBUWNLUVCUXCUVAUWMUUPUUMUWGUUTVOVNVPVQVRVSVTUWNUWILUVCUUOUVCNZUU
      PUWMUWIUXDUUPQUWDUUOPZCTRZUWMUWIUWQUXDUUPUXFUTCUUOUWBFUVCOUXBWAWBUWMUXEUW
      HCTUXEUWMUWHUXEUWEUUSPUWFUUTPUWMUWHSUWDUUOUURWCUWEUUSHWGUWFUUTUWGWDWEWFWH
      WIWJWKWPWLUWAUWJUVEUAUVCUWAUUMUVCNZQUUNUWJUVDUWAUXGUUNUWJUVDSZUXGUUNQUWGU
      UMPZBTRZUWAUXHUWQUXGUUNUXJUTBUUMUWBGUVCOUXBWAWBUWAUXJUWJUVDUXJUWJQUXIUWIQ
      ZBTRUWAUVDUXIUWIBTWMUWAUXKUVDBTUWLUXIUWIUVDUWLUWIUWOUXIUVDUWLUWHUWOCTUWLU
      VJTNZQZUWDUVCNZFUWDNZUWHUWOSUWQUXMFONZUVJVGNZUXNUTAUXPUULUWKUXLKWNZUXMUVJ
      UWLUXLVBZWQUWBFUVJUVCOUXBVKVFUWQUXMUXPUXLUXOUTUXRUXSUWBFUVJOVEVFUXNUXOUWH
      UWOUWNUXOUWHQLUWDUVCUUOUWDVLZUUPUXOUWMUWHUUOUWDFVMUXTUUTUWFUWGUXTUUSUWEHU
      UOUWDUURWRWOWSWTXAXBXCXDUXIUWNUVBLUVCUXIUWMUVAUUPUWMUXIUVAUUTUWGUUMWDWFXE
      WHXFXGXDXHXIXHXJXKWLXLUWAUWIUVRBTUWLUWHUVQCTUWAUWKUXLUWHUVQXMUWAUWKUXLQZQ
      ZUWHUVLUWGNZDUWEUKZUVQUYBHXNUWEHXTZPUWHUYDXMUYBEOHAEOHXOZUULUYAIXPZXQUYBU
      WEUURUYEUWDUURXRUYBEUURUYEEUUQXSZUYBEOHUYGYAYBYCDUWEUWGHYDXCUYBUVGUWDNZUY
      CSZDUURUKUVKUVOSZDUURUKUYDUVQUYBUYJUYKDUURUYBUVGUURNZQZUYIUVKUYCUVOUYMUYI
      UVGFUWBMZUVJUOUPZUVKUYMUWQUXQUXPUVGONZUYIUYOXMUWQUYMUTYEZUYMUVJUWAUWKUXLU
      YLYFWQAUXPUULUYAUYLKWNZUYBUUROUVGAUUROPUULUYAAUUREOUYHJYCXPYGZUVGUWBFUVJO
      YJYHUYMUYNUVIUVJUOUYMUYPUXPUYNUVIVLUYSUYRUVGFUWBUWBUQZYIXCYKYLUYMUYCUVLGU
      WBMZUVNUOUPZUVOUYMUWQUXAUULUVLONZUYCVUBXMUYQUYMUVNUWAUWKUXLUYLYMWQAUULUYA
      UYLYNZUYBUYFUVGENZVUCUYLUYGUVGEUUQYOEOUVGHYPUUAZUVLUWBGUVNOYJYHUYMVUAUVMU
      VNUOUYMVUCUULVUAUVMVLVUFVUDUVLGUWBUYTYIXCYKYLVQYQUYJUYCDUURUWEUVGUWENZUYC
      SUYLUYIQZUYCSUYLUYJSVUGVUHUYCVUGUYLUYIUVGUWDUURUUBUUCYRUYLUYIUYCYTUUDYSUY
      KUVPDUUREVUEUVHQZUYKSVUEUVHUYKSZSUYLUYKSVUEUVPSVUEUVHUYKYTUYLVUIUYKUVGEFU
      UEYRUVPVUJVUEUVHUVKUVOYTUUFUUGYSUUHYLUUIUUJYQYLUUKYL $.
  $}

  ${
    $d s t u w x B $.  $d s t u w x C $.  $d s t u w x F $.  $d s t u w x K $.
    $d t u w x A $.  $d s u x L $.  $d t u w x ph $.
    limcflf.f $e |- ( ph -> F : A --> CC ) $.
    limcflf.a $e |- ( ph -> A C_ CC ) $.
    limcflf.b $e |- ( ph -> B e. ( ( limPt ` K ) ` A ) ) $.
    limcflf.k $e |- K = ( TopOpen ` CCfld ) $.
    ${
      limcflf.c $e |- C = ( A \ { B } ) $.
      limcflf.l $e |- L = ( ( ( nei ` K ) ` { B } ) |`t C ) $.
      $( Lemma for ~ limcflf .  (Contributed by Mario Carneiro,
         25-Dec-2016.) $)
      limcflflem $p |- ( ph -> L e. ( Fil ` C ) ) $=
        ( cfv wcel cc wss wb sylancr mpbid csn cnei crest co cfil ccl cdif ctop
        clp cnfldtop cnfldtopon toponunii fveq2i eleqtrrdi ctopon difss eqsstri
        islp sstrid lpss sseldd trnei mp3an2i eqeltrid ) AGCUAZFUBNNDUCUDZDUENZ
        MACDFUFNZNZOZVFVGOZACBVEUGZVHNZVIACBFUINNZOZCVMOZJAFUHOZBPQZVOVPRFKUJZI
        CBFPPFFKUKZULZURSTDVLVHLUMUNFPUONOADPQCPOVJVKRVTADBPDVLBLBVEUPUQIUSAVNP
        CAVQVRVNPQVSIBFPWAUTSJVADCFPVBVCTVD $.

      $( The limit operator can be expressed as a filter limit, from the filter
         of neighborhoods of ` B ` restricted to ` A \ { B } ` , to the
         topology of the complex numbers.  (If ` B ` is not a limit point of
         ` A ` , then it is still formally a filter limit, but the neighborhood
         filter is not a proper filter in this case.)  (Contributed by Mario
         Carneiro, 25-Dec-2016.) $)
      limcflf $p |- ( ph -> ( F limCC B ) = ( ( K fLimf L ) ` ( F |` C ) ) ) $=
        ( vu vt cfv cc wcel wss wa vx vw vs climc co cres cflf cv csn cdif cima
        cin wrex wi wral wb cnei cmpt crn cvv vex inex1 rgenw eqid imaeq2 inss2
        wceq resima2 ax-mp eqtrdi sseq1d rexrnmptw mp1i crest fvex difss sstrid
        eqsstri cnex ssex ad2antrr restval sylancr syl5eq rexeqdv ctop cnfldtop
        syl opnneip mp3an1 id a1i ineq12d imaeq2d rspcev sylan anasss rexlimiva
        cnt simprl cnfldtopon toponunii neii1 ntropn clp sseldd snssd ad3antrrr
        lpss neiint mp3an2i mpbid snssg mpbird ntrss2 ssrin imass2 simprr sstrd
        eleq2 ineq2i ineq1 eqtr3id anbi12d syl12anc rexlimdvaa impbid2 3bitr4rd
        3syl anassrs pm5.74da ralbidva ellimc2 ctopon cfil wf limcflflem fssres
        pm5.32da sylancl isflf 3bitr4d eqrdv ) AUAECUDUEZEDUFZFGUGUEPZAUAUHZQRZ
        UUGNUHZRZCUBUHZRZEUUKBCUIZUJZULZUKZUUISZTZUBFUMZUNZNFUOZTUUHUUJUUEUCUHZ
        UKZUUISZUCGUMZUNZNFUOZTZUUGUUDRUUGUUFRZAUUHUVAUVGAUUHTZUUTUVFNFUVJUUIFR
        ZTUUJUUSUVEUVJUVKUUJUUSUVEUPUVJUVKUUJTZTZUVDUCOUUMFUQPZPZOUHZDULZURZUSZ
        UMZEUVQUKZUUISZOUVOUMZUVEUUSUVQUTRZOUVOUOUVTUWCUPUVMUWDOUVOUVPDOVAVBVCU
        VDUWBOUCUVOUVQUVRUTUVRVDUVBUVQVGZUVCUWAUUIUWEUVCUUEUVQUKZUWAUVBUVQUUEVE
        UVQDSUWFUWAVGUVPDVFEUVQDVHVIVJVKVLVMUVMUVDUCGUVSUVMGUVODVNUEZUVSMUVMUVO
        UTRDUTRZUWGUVSVGUUMUVNVOAUWHUUHUVLADQSUWHADBQDUUNBLBUUMVPVRZIVQDQVSVTWH
        WAODUVOUTUTWBWCWDWEUVMUUSUWCUURUWCUBFUUKFRZUULUUQUWCUWJUULTUUKUVORZUUQU
        WCFWFRZUWJUULUWKFKWGZCFUUKWIWJUWBUUQOUUKUVOUVPUUKVGZUWAUUPUUIUWNUVQUUOE
        UWNUVPUUKDUUNUWNWKDUUNVGUWNLWLWMWNVKWOWPWQWRUVMUWBUUSOUVOUVMUVPUVORZUWB
        TZTZUVPFWSPPZFRZCUWRRZEUWRDULZUKZUUISZUUSUWQUWLUVPQSZUWSUWMUWQUWLUWOUXD
        UWMUVMUWOUWBWTZUUMFUVPQQFFKXAZXBZXCWCZUVPFQUXGXDWCUWQUWTUUMUWRSZUWQUWOU
        XIUXEUWLUWQUUMQSZUXDUWOUXIUPUWMAUXJUUHUVLUWPACQABFXEPPZQCAUWLBQSUXKQSUW
        MIBFQUXGXIWCJXFZXGXHUXHUUMFUVPQUXGXJXKXLUWQCQRZUWTUXIUPAUXMUUHUVLUWPUXL
        XHCUWRQXMWHXNUWQUXBUWAUUIUWQUWRUVPSZUXAUVQSUXBUWASUWQUWLUXDUXNUWMUXHUVP
        FQUXGXOWCUWRUVPDXPUXAUVQEXQYIUVMUWOUWBXRXSUURUWTUXCTUBUWRFUUKUWRVGZUULU
        WTUUQUXCUUKUWRCXTUXOUUPUXBUUIUXOUUOUXAEUXOUUOUUKDULUXADUUNUUKLYAUUKUWRD
        YBYCWNVKYDWOYEYFYGYHYJYKYLYSAUBNBCUUGEFHIUXLKYMFQYNPRAGDYOPRDQUUEYPZUVI
        UVHUPUXFABCDEFGHIJKLMYQABQEYPDBSUXPHUWIBQDEYRYTUUGNUUEFGQDUCUUAXKUUBUUC
        $.
    $}

    $( If ` B ` is a limit point of the domain of the function ` F ` , then
       there is at most one limit value of ` F ` at ` B ` .  (Contributed by
       Mario Carneiro, 25-Dec-2016.) $)
    limcmo $p |- ( ph -> E* x x e. ( F limCC B ) ) $=
      ( cv climc co wcel wmo csn cfv cc wf eqid cdif cres cnei crest limcflflem
      cflf cha cfil cnfldhaus difss fssres sylancl cnfldtopon toponunii hausflf
      wss mp3an2i limcflf eleq2d mobidv mpbird ) ABKZEDLMZNZBOVBECDPZUAZUBZFVEF
      UCQQVFUDMZUFMQZNZBOZFUGNAVHVFUHQNVFRVGSZVKFJUIACDVFEFVHGHIJVFTZVHTZUEACRE
      SVFCUPVLGCVEUJCRVFEUKULBVGFVHRVFRFFJUMUNUOUQAVDVJBAVCVIVBACDVFEFVHGHIJVMV
      NURUSUTVA $.
  $}

  ${
    $d y z A $.  $d y z B $.  $d y z C $.  $d y D $.  $d y K $.  $d z ph $.
    limcmpt.a $e |- ( ph -> A C_ CC ) $.
    limcmpt.b $e |- ( ph -> B e. CC ) $.
    limcmpt.f $e |- ( ( ph /\ z e. A ) -> D e. CC ) $.
    limcmpt.j $e |- J = ( K |`t ( A u. { B } ) ) $.
    limcmpt.k $e |- K = ( TopOpen ` CCfld ) $.
    $( Express the limit operator for a function defined by a mapping.
       (Contributed by Mario Carneiro, 25-Dec-2016.) $)
    limcmpt $p |- ( ph -> ( C e. ( ( z e. A |-> D ) limCC B ) <->
 ( z e. ( A u. { B } ) |-> if ( z = B , C , D ) ) e. ( ( J CnP K ) ` B ) ) ) $=
      ( vy cmpt wcel wceq cfv cif cc climc co csn cun cv ccnp nfcv nfv nffvmpt1
      nfif eqeq1 fveq2 ifbieq2d cbvmpt fmpttd ellimc wa wn wo elun velsn orbi2i
      bitri pm5.61 simplbi sylanb sylan2 eqid syl2an2 anassrs ifeq2da mpteq2dva
      fvmpt2 eleq1d bitrd ) AEBCFOZDUAUBPBCDUCZUDZBUEZDQZEVSVPRZSZOZDGHUFUBRZPB
      VRVTEFSZOZWDPANCDEVPWCGHLMBNVRWBNUEZDQZEWGVPRZSNWBUGWHBEWIWHBUHBEUGBCFWGU
      IUJVSWGQVTWHWAWIEVSWGDUKVSWGVPULUMUNABCFTKUOIJUPAWCWFWDABVRWBWEAVSVRPZUQV
      TWAFEAWJVTURZWAFQZWJWKUQZVSCPZAFTPZWLWJWNVTUSZWKWNWJWNVSVQPZUSWPVSCVQUTWQ
      VTWNBDVAVBVCWPWKUQWNWKWNVTVDVEVFZWMAWNWOWRKVGBCFTVPVPVHVMVIVJVKVLVNVO $.
  $}

  ${
    $d z A $.  $d z B $.  $d z C $.  $d z ph $.
    limcmpt2.a $e |- ( ph -> A C_ CC ) $.
    limcmpt2.b $e |- ( ph -> B e. A ) $.
    limcmpt2.f $e |- ( ( ph /\ ( z e. A /\ z =/= B ) ) -> D e. CC ) $.
    limcmpt2.j $e |- J = ( K |`t A ) $.
    limcmpt2.k $e |- K = ( TopOpen ` CCfld ) $.
    $( Express the limit operator for a function defined by a mapping.
       (Contributed by Mario Carneiro, 25-Dec-2016.) $)
    limcmpt2 $p |- ( ph -> ( C e. ( ( z e. ( A \ { B } ) |-> D ) limCC B ) <->
      ( z e. A |-> if ( z = B , C , D ) ) e. ( ( J CnP K ) ` B ) ) ) $=
      ( cmpt co wcel cun crest ccnp cc csn cdif cv wceq cif cfv ssdifssd sseldd
      climc wne wa eldifsn sylan2b eqid limcmpt undif1 wss snssd ssequn2 syl5eq
      sylib mpteq1d oveq2d eqtr4di oveq1d fveq1d eleq12d bitrd ) AEBCDUAZUBZFND
      UIOPBVJVIQZBUCZDUDEFUEZNZDHVKROZHSOZUFZPBCVMNZDGHSOZUFZPABVJDEFVOHACTVIIU
      GACTDIJUHVLVJPAVLCPVLDUJUKFTPVLCDULKUMVOUNMUOAVNVRVQVTABVKCVMAVKCVIQZCCVI
      UPAVICUQWACUDADCJURVICUSVAUTZVBADVPVSAVOGHSAVOHCROGAVKCHRWBVCLVDVEVFVGVH
      $.
  $}

  ${
    $d u v x B $.  $d u v x C $.  $d u v x F $.
    $( Any limit of ` F ` is also a limit of the restriction of ` F ` .
       (Contributed by Mario Carneiro, 28-Dec-2016.) $)
    limcresi $p |- ( F limCC B ) C_ ( ( F |` C ) limCC B ) $=
      ( vx vu vv climc co cv wcel cc cin cdif cima wss wa wrex wi wral wf ctopn
      cres cdm csn ccnfld cfv limcrcl simp1d simp2d eqid ellimc2 ibi wceq inss2
      simp3d difss sstri resima2 ax-mp inss1 ssdif sslin mp2b eqsstri sstr mpan
      imass2 anim2i reximi imim2i ralimi syl fresin sstrid mpbird ssriv ) DCAGH
      ZCBUBZAGHZDIZVQJZVTVSJVTKJZVTEIZJZAFIZJZVRWECUCZBLZAUDZMZLZNZWCOZPZFUEUAU
      FZQZRZEWOSZPZWAWBWDWFCWEWGWIMZLZNZWCOZPZFWOQZRZEWOSZPZWSWAXHWAFEWGAVTCWOW
      AWGKCTZWGKOZAKJZAVTCUGZUHZWAXIXJXKXLUIZWAXIXJXKXLUOZWOUJZUKULXGWRWBXFWQEW
      OXEWPWDXDWNFWOXCWMWFWLXBOXCWMWLCWKNZXBWKBOWLXQUMWKWJBWEWJUNWJWHBWHWIUPWGB
      UNUQUQCWKBURUSWJWTOZWKXAOXQXBOWHWGOXRWGBUTZWHWGWIVAUSWJWTWEVBWKXACVGVCVDW
      LXBWCVEVFVHVIVJVKVHVLWAFEWHAVTVRWOWAXIWHKVRTXMWGKCBVMVLWAWHWGKXSXNVNXOXPU
      KVOVP $.
  $}

  ${
    $d z A $.  $d x z B $.  $d x z C $.  $d x z F $.  $d z K $.  $d x z ph $.
    limcres.f $e |- ( ph -> F : A --> CC ) $.
    limcres.c $e |- ( ph -> C C_ A ) $.
    limcres.a $e |- ( ph -> A C_ CC ) $.
    limcres.k $e |- K = ( TopOpen ` CCfld ) $.
    limcres.j $e |- J = ( K |`t ( A u. { B } ) ) $.
    limcres.i $e |- ( ph -> B e. ( ( int ` J ) ` ( C u. { B } ) ) ) $.
    $( If ` B ` is an interior point of ` C u. { B } ` relative to the domain
       ` A ` , then a limit point of ` F |`` C ` extends to a limit of ` F ` .
       (Contributed by Mario Carneiro, 27-Dec-2016.) $)
    limcres $p |- ( ph -> ( ( F |` C ) limCC B ) = ( F limCC B ) ) $=
      ( vz co cc wcel wa wss cfv vx cres climc cv wi cdm wf simp3d limccl sseli
      limcrcl jca a1i csn cun wceq cif cmpt ccnp crest ctop cuni cnt cnfldtopon
      wb ctopon adantr simprl snssd unssd resttopon eqeltrid topontop syl unss1
      sylancr toponuni sseqtrd wo simplrr ffvelrnda ifcld elsni iftrued eqeltrd
      elun adantl jaodan sylan2b fmpttd feq2d toponunii cnprest syl22anc ellimc
      mpbid eqid fssresd sstrd velsn orbi2i bitri wn pm5.61 fvres sylbi ifeq2da
      mpteq2ia resmptd eqtr4id oveq1i cvv restabs mp3an2i eqtr2id oveq1d fveq1d
      cnex ssex eleq12d bitrd 3bitr4rd ex pm5.21ndd eqrdv ) AUAEDUBZCUCOZECUCOZ
      ACPQZUAUDZPQZRZYJYGQZYJYHQZYMYLUEAYMYIYKYMYFUFZPYFUGYOPSYICYJYFUKUHYGPYJC
      YFUIUJULUMYNYLUEAYNYIYKYNEUFZPEUGYPPSYICYJEUKUHYHPYJCEUIUJULUMAYLYMYNVEAY
      LRZNBCUNZUOZNUDZCUPZYJYTETZUQZURZCFGUSOTQZUUDDYRUOZUBZCFUUFUTOZGUSOZTZQZY
      NYMYQFVAQZUUFFVBZSCUUFFVCTTQZUUMPUUDUGZUUEUUKVEYQFYSVFTZQZUULYQFGYSUTOZUU
      PLYQGPVFTZQZYSPSZUURUUPQGKVDZYQBYRPABPSYLJVGZYQCPAYIYKVHZVIVJZYSGPVKVPVLZ
      YSFVMVNYQUUFYSUUMYQDBSZUUFYSSZAUVGYLIVGZDBYRVOVNZYQUUQYSUUMUPUVFYSFVQVNZV
      RAUUNYLMVGYQYSPUUDUGUUOYQNYSUUCPYTYSQYQYTBQZYTYRQZVSUUCPQZYTBYRWFYQUVLUVN
      UVMYQUVLRUUAYJUUBPAYIYKUVLVTYQBPYTEABPEUGYLHVGZWAWBYQUVMRZUUCYJPUVPUUAYJU
      UBUVMUUAYQYTCWCWGWDAYIYKUVMVTWEWHWIWJYQYSUUMPUUDUVKWKWPUUFCUUDFGUUMPUUMWQ
      PGUVBWLWMWNYQNBCYJEUUDFGLKUUDWQUVOUVCUVDWOYQYMNUUFUUAYJYTYFTZUQZURZCGUUFU
      TOZGUSOZTZQUUKYQNDCYJYFUVSUVTGUVTWQKUVSWQYQBPDEUVOUVIWRYQDBPUVIUVCWSUVDWO
      YQUVSUUGUWBUUJYQUVSNUUFUUCURUUGNUUFUVRUUCYTUUFQZYTDQZUUAVSZUVRUUCUPUWCUWD
      UVMVSUWEYTDYRWFUVMUUAUWDNCWTXAXBUWEUUAUVQUUBYJUWEUUAXCZRUWDUWFRUVQUUBUPZU
      WDUUAXDUWDUWGUWFYTDEXEVGXFXGXFXHYQNYSUUFUUCUVJXIXJYQCUWAUUIYQUVTUUHGUSYQU
      UHUURUUFUTOZUVTFUURUUFUTLXKUUTYQUVHYSXLQZUWHUVTUPUVBUVJYQUVAUWIUVEYSPXRXS
      VNUUFYSGUUSXLXMXNXOXPXQXTYAYBYCYDYE $.
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.  $d x K $.
    cnplimc.k $e |- K = ( TopOpen ` CCfld ) $.
    cnplimc.j $e |- J = ( K |`t A ) $.
    $( A function is continuous at ` B ` iff its limit at ` B ` equals the
       value of the function there.  (Contributed by Mario Carneiro,
       28-Dec-2016.) $)
    cnplimc $p |- ( ( A C_ CC /\ B e. A ) -> ( F e. ( ( J CnP K ) ` B ) <->
      ( F : A --> CC /\ ( F ` B ) e. ( F limCC B ) ) ) ) $=
      ( vx cc wss wcel wa ccnp co cfv wf ctopon crest wceq cif climc cnfldtopon
      wi simpl resttopon sylancr eqeltrid cnpf2 3expia sylancl pm4.71rd csn cun
      cmpt simpr simplr snssd ssequn2 sylib feq2d mpbird feqmptd oveq2d eqtr4id
      cv oveq1d fveq1d eleq12d eqid ifid adantl ifeq1da eqtr3id mpteq2ia simpll
      fveq2 sseldd ellimc bitr4d pm5.32da bitrd ) AIJZBAKZLZCBDEMNZOZKZAICPZWGL
      WHBCOZCBUANKZLWDWGWHWDDAQOZKZEIQOKZWGWHUCWDDEARNZWKGWDWMWBWNWKKEFUBZWBWCU
      DAEIUEUFUGWOWLWMWGWHBCDEAIUHUIUJUKWDWHWGWJWDWHLZWGHABULZUMZHVEZCOZUNZBEWR
      RNZEMNZOZKWJWPCXAWFXDWPHWRICWPWRICPWHWDWHUOZWPWRAICWPWQAJWRASWPBAWBWCWHUP
      ZUQWQAURUSZUTVAVBWPBWEXCWPDXBEMWPDWNXBGWPWRAERXGVCVDVFVGVHWPHABWICXAXBEXB
      VIFHWRWTWSBSZWIWTTZWSWRKZWTXHWTWTTXIXHWTVJXJXHWTWIWTXHWTWISXJWSBCVPVKVLVM
      VNXEWBWCWHVOZWPAIBXKXFVQVRVSVTWA $.
  $}

  ${
    $d x A $.  $d x F $.
    $( ` F ` is a continuous function iff the limit of the function at each
       point equals the value of the function.  (Contributed by Mario Carneiro,
       28-Dec-2016.) $)
    cnlimc $p |- ( A C_ CC -> ( F e. ( A -cn-> CC ) <->
      ( F : A --> CC /\ A. x e. A ( F ` x ) e. ( F limCC x ) ) ) ) $=
      ( cc wss ccncf co wcel ccnfld ctopn cfv crest ccn wf cv wral wa ctopon wb
      eqid ccnp climc wceq cnfldtopon toponrestid cncfcn mpan2 eleq2d resttopon
      ssid mpan cncnp sylancl cnplimc baibd an32s ralbidva pm5.32da 3bitrd ) BD
      EZCBDFGZHCIJKZBLGZVBMGZHZBDCNZCAOZVCVBUAGKHZABPZQZVFVGCKCVGUBGHZABPZQUTVA
      VDCUTDDEVAVDUCDUJBDVBVCVBVBTZVCTZVBDVBVMUDZUEUFUGUHUTVCBRKHZVBDRKHZVEVJSV
      QUTVPVOBVBDUIUKVOACVCVBBDULUMUTVFVIVLUTVFQVHVKABUTVGBHZVFVHVKSUTVRQVHVFVK
      BVGCVCVBVMVNUNUOUPUQURUS $.
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.
    cnlimci.f $e |- ( ph -> F e. ( A -cn-> D ) ) $.
    cnlimci.c $e |- ( ph -> B e. A ) $.
    $( If ` F ` is a continuous function, then the limit of the function at any
       point equals its value.  (Contributed by Mario Carneiro,
       28-Dec-2016.) $)
    cnlimci $p |- ( ph -> ( F ` B ) e. ( F limCC B ) ) $=
      ( vx cv cfv climc co wcel wceq fveq2 oveq2 cc wss ccncf syl wral cncfrss2
      eleq12d cncfrss cncfss sylancl sseldd wf cnlimc simplbda syl2anc rspcdva
      ssid ) AHIZEJZEUNKLZMZCEJZECKLZMHBCUNCNUOURUPUSUNCEOUNCEKPUCABQRZEBQSLZMZ
      UQHBUAZAEBDSLZMZUTFBDEUDTAVDVAEADQRZQQRVDVARAVEVFFBDEUBTQUMBDQUEUFFUGUTVB
      BQEUHVCHBEUIUJUKGUL $.
  $}

  ${
    $d x A $.  $d x B $.  $d x D $.  $d x Y $.
    cnmptlimc.f $e |- ( ph -> ( x e. A |-> X ) e. ( A -cn-> D ) ) $.
    cnmptlimc.b $e |- ( ph -> B e. A ) $.
    cnmptlimc.1 $e |- ( x = B -> X = Y ) $.
    $( If ` F ` is a continuous function, then the limit of the function at any
       point equals its value.  (Contributed by Mario Carneiro,
       28-Dec-2016.) $)
    cnmptlimc $p |- ( ph -> Y e. ( ( x e. A |-> X ) limCC B ) ) $=
      ( cmpt cfv climc co eqid wcel cv wceq eleq1d wf wral ccncf cncff syl fmpt
      sylibr rspcdva fvmptd3 cnlimci eqeltrrd ) ADBCFKZLGUKDMNABDFGCUKEUKOZJIAF
      EPZGEPBCDBQDRFGEJSACEUKTZUMBCUAAUKCEUBNPUNHCEUKUCUDBCEFUKULUEUFIUGUHACDEU
      KHIUIUJ $.
  $}

  ${
    $d x B $.  $d x C $.  $d x D $.  $d x F $.  $d x G $.  $d x ph $.
    $d x A $.  $d x K $.
    limccnp.f $e |- ( ph -> F : A --> D ) $.
    limccnp.d $e |- ( ph -> D C_ CC ) $.
    limccnp.k $e |- K = ( TopOpen ` CCfld ) $.
    limccnp.j $e |- J = ( K |`t D ) $.
    limccnp.c $e |- ( ph -> C e. ( F limCC B ) ) $.
    limccnp.b $e |- ( ph -> G e. ( ( J CnP K ) ` C ) ) $.
    $( If the limit of ` F ` at ` B ` is ` C ` and ` G ` is continuous at
       ` C ` , then the limit of ` G o. F ` at ` B ` is ` G ( C ) ` .
       (Contributed by Mario Carneiro, 28-Dec-2016.) $)
    limccnp $p |- ( ph -> ( G ` C ) e. ( ( G o. F ) limCC B ) ) $=
      ( vx cfv co wcel cc ccom climc csn cun cv wceq cif cmpt crest ccnp ctopon
      wf wss cnfldtopon resttopon sylancr eqeltrid cnpf2 syl3anc wa cuni cnprcl
      a1i eqid syl toponuni eleqtrrd ad2antrr wn elun elsni orim2i sylbi adantl
      wo orcomd orcanai ffvelrnd ifclda fvco3 syl2anc ifeq2da eqtr4di mpteq2dva
      cofmpt fvif eqtr4d fssd cdm fdmd w3a limcrcl simp2d eqsstrrd simp3d mpbid
      ellimc cnfldtop fmpttd snssd unssd feq2d toponunii cnprest2 oveq2i fveq1i
      ctop wb eleqtrrdi iftrue ssun2 snssg mpbiri fvmptd3 fveq2d cnpco eqeltrrd
      fco mpbird ) ADGQZGFUAZCUBRSPBCUCZUDZPUEZCUFZXTYDYAQZUGZUHZCIYCUIRZIUJRQZ
      SAGPYCYEDYDFQZUGZUHZUAZYHYJAYNPYCYLGQZUHYHAPYCYLETGAHEUKQZSZITUKQSZGDHIUJ
      RZQZSZETGULZAHIEUIRZYPMAYRETUMZUUCYPSILUNZKEITUOUPUQZYRAUUEVCODGHIETURUSZ
      AYDYCSZUTZYEDYKEADESUUHYEADHVAZEAUUADUUJSODGHIUUJUUJVDVBVEAYQEUUJUFUUFEHV
      FVEVGVHUUIYEVIZUTZBEYDFABEFULZUUHUUKJVHZUUIYEYDBSZUUIUUOYEUUHUUOYEVOZAUUH
      UUOYDYBSZVOUUPYDBYBVJUUQYEUUOYDCVKVLVMVNVPVQZVRVSZWEAPYCYGYOUUIYGYEXTYKGQ
      ZUGYOUUIYEYFUUTXTUULUUMUUOYFUUTUFUUNUURBEYDGFVTWAWBYEDYKGWFWCWDWGAYMCYIHU
      JRZQZSGCYMQZYSQZSYNYJSAYMCYIUUCUJRZQZUVBAYMYJSZYMUVFSZADFCUBRZSZUVGNAPBCD
      FYMYIIYIVDZLYMVDZABETFJKWHABFWIZTABEFJWJAUVMTFULZUVMTUMZCTSZAUVJUVNUVOUVP
      WKNCDFWLVEZWMWNZAUVNUVOUVPUVQWOZWQWPAIXGSZYIVAZEYMULZUUDUVGUVHXHUVTAILWRV
      CAYCEYMULUWBAPYCYLEUUSWSAYCUWAEYMAYIYCUKQSZYCUWAUFAYRYCTUMUWCUUEABYBTUVRA
      CTUVSWTXAYCITUOUPYCYIVFVEXBWPKECYMYIIUWATUWAVDTIUUEXCXDUSWPCUVAUVEHUUCYIU
      JMXEXFXIAGYTUVDOAUVCDYSAPCYLDYCYMUVIUVLYEDYKXJACYCSZYBYCUMZYBBXKAUVPUWDUW
      EXHUVSCYCTXLVEXMNXNXOVGCYMGYIHIXPWAXQAPBCXTYAYHYIIUVKLYHVDAUUBUUMBTYAULUU
      GJBETGFXRWAUVRUVSWQXS $.
  $}

  ${
    $d x y B $.  $d x y C $.  $d x y D $.  $d x y H $.  $d x ph $.  $d x y X $.
    $d x A $.  $d y R $.  $d y S $.  $d x y Y $.
    limccnp2.r $e |- ( ( ph /\ x e. A ) -> R e. X ) $.
    limccnp2.s $e |- ( ( ph /\ x e. A ) -> S e. Y ) $.
    limccnp2.x $e |- ( ph -> X C_ CC ) $.
    limccnp2.y $e |- ( ph -> Y C_ CC ) $.
    limccnp2.k $e |- K = ( TopOpen ` CCfld ) $.
    limccnp2.j $e |- J = ( ( K tX K ) |`t ( X X. Y ) ) $.
    limccnp2.c $e |- ( ph -> C e. ( ( x e. A |-> R ) limCC B ) ) $.
    limccnp2.d $e |- ( ph -> D e. ( ( x e. A |-> S ) limCC B ) ) $.
    limccnp2.h $e |- ( ph -> H e. ( ( J CnP K ) ` <. C , D >. ) ) $.
    $( The image of a convergent sequence under a continuous map is convergent
       to the image of the original point.  Binary operation version.
       (Contributed by Mario Carneiro, 28-Dec-2016.) $)
    limccnp2 $p |- ( ph ->
      ( C H D ) e. ( ( x e. A |-> ( R H S ) ) limCC B ) ) $=
      ( vy co cmpt climc wcel csn cun wceq cif crest ccnp cfv cop ccom cxp cuni
      cv wa eqid cnprcl syl ctopon ctx cc wss cnfldtopon txtopon xpss12 syl2anc
      mp2an resttopon sylancr eqeltrid toponuni eleqtrrd opelxp simpld ad2antrr
      sylib wn simpll simpr elun ord elsni syl6 con1d imp ifclda simprd opelxpd
      wo eqidd wf cnpf2 syl3anc feqmptd fveq2 df-ov ovif12 eqtr3i eqtrdi fmptco
      a1i cdm dmmptd w3a limcrcl simp2d eqsstrrd simp3d snssd unssd ssun2 snssg
      mpbiri adantr sseldd limcmpt mpbid txcnp topontopi fmpttd feq2d toponunii
      wb ctop cnprest2 oveq2i fveq1i eleqtrrdi iftrue opeq12d opex fvmpt fveq2d
      cnpco eqeltrrd fovrnd mpbird ) AEFIUDZBCGHIUDZUEDUFUDUGBCDUHZUIZBUSZDUJZU
      UCUUDUKZUEZDKUUFULUDZKUMUDUNZUGAIBUUFUUHEGUKZUUHFHUKZUOZUEZUPZUUJUULABUCU
      UFLMUQZUUOUCUSZIUNZUUIUUPIAUUGUUFUGZUTZUUMUUNLMUVBUUHEGLAELUGZUVAUUHAUVCF
      MUGZAEFUOZUURUGUVCUVDUTAUVEJURZUURAIUVEJKUMUDZUNZUGZUVEUVFUGUBUVEIJKUVFUV
      FVAVBVCAJUURVDUNZUGZUURUVFUJAJKKVEUDZUURULUDZUVJSAUVLVFVFUQZVDUNUGZUURUVN
      VGZUVMUVJUGKVFVDUNUGZUVQUVOKRVHZUVRKKVFVFVIVLZALVFVGZMVFVGZUVPPQLVFMVFVJV
      KZUURUVLUVNVMVNVOZUURJVPVCVQEFLMVRWAZVSVTUVBUUHWBZUTZAUUGCUGZGLUGAUVAUWEW
      CZUVBUWEUWGUVBUWGUUHUVBUWGWBUUGUUEUGZUUHUVBUWGUWIUVBUVAUWGUWIWNAUVAWDUUGC
      UUEWEWAWFUUGDWGWHWIWJZNVKWKUVBUUHFHMAUVDUVAUUHAUVCUVDUWDWLVTUWFAUWGHMUGUW
      HUWJOVKWKWMZAUUPWOAUCUURVFIAUVKUVQUVIUURVFIWPZUWCUVQAUVRXFZUBUVEIJKUURVFW
      QWRZWSUUSUUOUJUUTUUOIUNZUUIUUSUUOIWTUUMUUNIUDUWOUUIUUMUUNIXAUUHEGFHIXBXCX
      DXEAUUPDUUKJUMUDZUNZUGIDUUPUNZUVGUNZUGUUQUULUGAUUPDUUKUVMUMUDZUNZUWQAUUPD
      UUKUVLUMUDUNUGZUUPUXAUGZABUUMUUNDUUKKKUUFVFVFAUVQUUFVFVGUUKUUFVDUNUGZUVRA
      CUUEVFACBCGUEZXGZVFABUXECGLUXEVANXHAUXFVFUXEWPZUXFVFVGZDVFUGZAEUXEDUFUDUG
      ZUXGUXHUXIXITDEUXEXJVCZXKXLZADVFAUXGUXHUXIUXKXMZXNXOUUFKVFVMVNZUWMUWMADUU
      FUGZUUEUUFVGZUUECXPAUXIUXOUXPYHUXMDUUFVFXQVCXRZAUXJBUUFUUMUEUULUGTABCDEGU
      UKKUXLUXMAUWGUTZLVFGAUVTUWGPXSNXTUUKVAZRYAYBAFBCHUEDUFUDUGBUUFUUNUEUULUGU
      AABCDFHUUKKUXLUXMUXRMVFHAUWAUWGQXSOXTUXSRYAYBYCAUVLYIUGZUUKURZUURUUPWPZUV
      PUXBUXCYHUXTAUVNUVLUVSYDXFAUUFUURUUPWPUYBABUUFUUOUURUWKYEAUUFUYAUURUUPAUX
      DUUFUYAUJUXNUUFUUKVPVCYFYBUWBUURDUUPUUKUVLUYAUVNUYAVAUVNUVLUVSYGYJWRYBDUW
      PUWTJUVMUUKUMSYKYLYMAIUVHUWSUBAUWRUVEUVGAUXOUWRUVEUJUXQBDUUOUVEUUFUUPUUHU
      UMEUUNFUUHEGYNUUHFHYNYOUUPVAEFYPYQVCYRVQDUUPIUUKJKYSVKYTABCDUUCUUDUUKKUXL
      UXMUXRGHVFLMIAUWLUWGUWNXSNOUUAUXSRYAUUB $.
  $}

  ${
    $d x A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x y ph $.  $d y R $.
    $d x S $.  $d y T $.
    limcco.r $e |- ( ( ph /\ ( x e. A /\ R =/= C ) ) -> R e. B ) $.
    limcco.s $e |- ( ( ph /\ y e. B ) -> S e. CC ) $.
    limcco.c $e |- ( ph -> C e. ( ( x e. A |-> R ) limCC X ) ) $.
    limcco.d $e |- ( ph -> D e. ( ( y e. B |-> S ) limCC C ) ) $.
    limcco.1 $e |- ( y = R -> S = T ) $.
    limcco.2 $e |- ( ( ph /\ ( x e. A /\ R = C ) ) -> T = D ) $.
    $( Composition of two limits.  (Contributed by Mario Carneiro,
       29-Dec-2016.) $)
    limcco $p |- ( ph -> D e. ( ( x e. A |-> T ) limCC X ) ) $=
      ( co wcel cc csn cun cv wceq cif cmpt ccom climc ccnfld ctopn crest wa wo
      cfv wn wne expr necon1bd wb limccl sselid adantr elsn2g sylibrd orrd elun
      syl sylibr fmpttd cdm eqid dmmptd wf wss w3a limcrcl eqsstrrd snssd unssd
      simp2d ccnp limcmpt mpbid limccnp iftrue ssun2 snssg mpbiri fvmptd3 eqidd
      eqeq1 ifbieq2d fmptco anassrs ifeq1da ifid eqtr3di mpteq2dva eqtrd oveq1d
      3eltr3d ) AFCEFUAZUBZCUCZFUDZGIUEZUFZUNXGBDHUFZUGZKUHRGBDJUFZKUHRADKFXCXH
      XGUIUJUNZXCUKRZXKABDHXCABUCDSZULZHESZHXBSZUMHXCSXNXOXPXNXOUOHFUDZXPXNXOHF
      AXMHFUPXOLUQURXNFTSZXPXQUSAXRXMAXHKUHRZTFKXHUTNVAZVBHFTVCVGVDVEHEXBVFVHZV
      IAEXBTAECEIUFZVJZTACYBEITYBVKMVLAYCTYBVMZYCTVNZXRAGYBFUHRZSZYDYEXRVOOFGYB
      VPVGVTVQZAFTXTVRVSXKVKZXLVKZNAYGXGFXLXKWARUNSOACEFGIXLXKYHXTMYJYIWBWCWDAC
      FXFGXCXGYFXGVKXEGIWEAFXCSZXBXCVNZXBEWFAFXSSYKYLUSNFXCXSWGVGWHOWIAXIXJKUHA
      XIBDXQGJUEZUFXJABCDXCHXFYMXHXGYAAXHWJAXGWJXDHUDXEXQIJGXDHFWKPWLWMABDYMJXN
      XQJJUEYMJXNXQJGJAXMXQJGUDQWNWOXQJWPWQWRWSWTXA $.
  $}

  ${
    $d a g k u v x y z A $.  $d a g k u v x y z C $.  $d a g k u v x y F $.
    $d a g k u v y B $.  $d a g k u v y ph $.
    limciun.1 $e |- ( ph -> A e. Fin ) $.
    limciun.2 $e |- ( ph -> A. x e. A B C_ CC ) $.
    limciun.3 $e |- ( ph -> F : U_ x e. A B --> CC ) $.
    limciun.4 $e |- ( ph -> C e. CC ) $.
    $( A point is a limit of ` F ` on the finite union ` U_ x e. A B ( x ) `
       iff it is the limit of the restriction of ` F ` to each ` B ( x ) ` .
       (Contributed by Mario Carneiro, 30-Dec-2016.) $)
    limciun $p |- ( ph -> ( F limCC C ) =
      ( CC i^i |^|_ x e. A ( ( F |` B ) limCC C ) ) ) $=
      ( va cc cin wss wral cv wcel wa cima nfcv vy vu vv vg vk vz climc co cres
      ciin limccl limcresi rgenw ssiin mpbir ssini a1i elriin ciun ccnfld ctopn
      csn cdif cfv wrex wi simprl wf cfn wex ad2antrr csb simplrr nfcsb1v nfres
      nfov nfcri wceq csbeq1a reseq2d oveq1d eleq2d rspc mpan9 wb ssiun2 cbviun
      sseqtrrdi adantl fssresd simpr nfss sseq1d sylc eqid ellimc2 mpbid simprd
      adantlr simplrl rsp syl3c ralrimiva nfdif nfin nfima nfrex difeq1d ineq2d
      nfv nfan anbi2d rexbidv cbvralw sylibr eleq2 ineq1 imaeq2d anbi12d ac6sfi
      imaeq12d syl2anc crn cint ctop cnfldtop frn ad2antrl wfo adantr wfn dffn4
      ffn sylib fofi syl indifcom imaeq2i eqtri iunss unicntop rintopn ad2antll
      mp3an2i simpl ralimi mpbird elrint sylanbrc iunin1 eqtr4i imaiun fnfvelrn
      ralrn inss2 sylan intss1 sstrid ssdifd sslin imass2 inss1 resima2 adantld
      3syl ax-mp sstr2 ralimdva imp eqsstrid rspcev syl12anc exlimddv mpbir2and
      expr ex syl5bi ssrdv eqssd ) AFEUGUHZLBCFDUIZEUGUHZUJZMZUVTUWDNAUVTLUWCEF
      UKUVTUWCNUVTUWBNZBCOUWEBCEDFULUMBCUWBUVTUNUOUPUQAUAUWDUVTUAPZUWDQUWFLQZUW
      FUWBQZBCOZRZAUWFUVTQZBLUWFUWBCURAUWJUWKAUWJRZUWKUWGUWFUBPZQZEUCPZQZFUWOBC
      DUSZEVBZVCZMZSZUWMNZRZUCUTVAVDZVEZVFZUBUXDOAUWGUWIVGUWLUXFUBUXDUWLUWMUXDQ
      ZUWNUXEUWLUXGUWNRZRZCUXDUDPZVHZEBPZUXJVDZQZUWAUXMDUWRVCZMZSZUWMNZRZBCOZRZ
      UXEUDUXICVIQZEUEPZQZUWAUYCUXOMZSZUWMNZRZUEUXDVEZBCOZUYAUDVJAUYBUWJUXHGVKZ
      UXIUYDFBKPZDVLZUIZUYCUYMUWRVCZMZSZUWMNZRZUEUXDVEZKCOUYJUXIUYTKCUXIUYLCQZR
      ZUWNUYTVFZUBUXDOZUXGUWNUYTVUBUWGVUDVUBUWFUYNEUGUHZQZUWGVUDRZUXIUWIVUAVUFA
      UWGUWIUXHVMUWHVUFBUYLCBUAVUEBUYNEUGBFUYMBFTBUYLDVNZVOZBUGTBETVPVQUXLUYLVR
      ZUWBVUEUWFVUJUWAUYNEUGVUJDUYMFBUYLDVSZVTZWAWBWCWDUWLVUAVUFVUGWEUXHUWLVUAR
      ZUEUBUYMEUWFUYNUXDVUMUWQLUYMFAUWQLFVHZUWJVUAIVKVUAUYMUWQNUWLVUAUYMKCUYMUS
      UWQKCUYMWFBKCDUYMKDTVUHVUKWGWHWIWJVUMVUADLNZBCOZUYMLNZUWLVUAWKAVUPUWJVUAH
      VKVUOVUQBUYLCBUYMLVUHBLTWLVUJDUYMLVUKWMWCWNAELQZUWJVUAJVKUXDWOZWPWSWQWRUW
      LUXGUWNVUAWTUWLUXGUWNVUAVMVUCUBUXDXAXBXCUYIUYTBKCUYIKXJUYSBUEUXDBUXDTUYDU
      YRBUYDBXJBUYQUWMBUYNUYPVUIBUYCUYOBUYCTBUYMUWRVUHBUWRTXDXEXFBUWMTWLXKXGVUJ
      UYHUYSUEUXDVUJUYGUYRUYDVUJUYFUYQUWMVUJUWAUYNUYEUYPVULVUJUXOUYOUYCVUJDUYMU
      WRVUKXHXIYAWMXLXMXNXOUYHUXSBUECUXDUDUYCUXMVRZUYDUXNUYGUXRUYCUXMEXPVUTUYFU
      XQUWMVUTUYEUXPUWAUYCUXMUXOXQXRWMXSXTYBUXIUYARZLUXJYCZYDZMZUXDQZEVVDQZFVVD
      UWSMZSZUWMNZUXEUXDYEQVVAVVBUXDNZVVBVIQZVVEUXDVUSYFUXKVVJUXIUXTCUXDUXJYGYH
      VVAUYBCVVBUXJYIZVVKUXIUYBUYAUYKYJVVAUXJCYKZVVLUXKVVMUXIUXTCUXDUXJYMZYHZCU
      XJYLYNCVVBUXJYOYBVVBUXDLUUAUUBUUDVVAVUREUFPZQZUFVVBOZVVFUWLVURUXHUYAAVURU
      WJJYJZVKVVAVVRUXNBCOZUXTVVTUXIUXKUXSUXNBCUXNUXRUUEUUFUUCVVAVVMVVRVVTWEVVO
      VVQUXNUFBCUXJVVPUXMEXPUUNYPUUGUFLVVBEUUHUUIVVAVVHBCFDVVDUWRVCZMZSZUSZUWMV
      VHFBCVWBUSZSVWDVVGVWEFVVGUWQVWAMVWEVVDUWQUWRYQBCVWADUUJUUKYRBFCVWBUULYSVV
      AVWCUWMNZBCOZVWDUWMNUYAVWGUXIUXKUXTVWGUXKUXSVWFBCUXKUXLCQZRZUXRVWFUXNVWIV
      WCUXQNUXRVWFVFVWIVWCFDUXMUWRVCZMZSZUXQVWIVWAVWJNVWBVWKNVWCVWLNVWIVVDUXMUW
      RVWIVVDVVCUXMLVVCUUOVWIUXMVVBQZVVCUXMNUXKVVMVWHVWMVVNCUXLUXJUUMUUPUXMVVBU
      UQYPUURUUSVWAVWJDUUTVWBVWKFUVAUVEUXQUWAVWKSZVWLUXPVWKUWAUXMDUWRYQYRVWKDNV
      WNVWLVRDVWJUVBFVWKDUVCUVFYSWHVWCUXQUWMUVGYPUVDUVHUVIWIBCVWCUWMYTXOUVJUXCV
      VFVVIRUCVVDUXDUWOVVDVRZUWPVVFUXBVVIUWOVVDEXPVWOUXAVVHUWMVWOUWTVVGFUWOVVDU
      WSXQXRWMXSUVKUVLUVMUVOXCUWLUCUBUWQEUWFFUXDAVUNUWJIYJAUWQLNZUWJAVUPVWPHBCD
      LYTXOYJVVSVUSWPUVNUVPUVQUVRUVS $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y F $.  $d x ph $.
    limcun.1 $e |- ( ph -> A C_ CC ) $.
    limcun.2 $e |- ( ph -> B C_ CC ) $.
    limcun.3 $e |- ( ph -> F : ( A u. B ) --> CC ) $.
    $( A point is a limit of ` F ` on ` A u. B ` iff it is the limit of the
       restriction of ` F ` to ` A ` and to ` B ` .  (Contributed by Mario
       Carneiro, 30-Dec-2016.) $)
    limcun $p |- ( ph -> ( F limCC C ) =
      ( ( ( F |` A ) limCC C ) i^i ( ( F |` B ) limCC C ) ) ) $=
      ( vy climc co cres cc wcel wf wss a1i wa adantr cvv vx cin cv cdm limcrcl
      wi simp3d elinel1 syl wb cpr ciin cfn prfi wral cnex sseq1 ralprg syl2anc
      ssex mpbir2and ciun cuni uniiun uniprg eqtr3id feq2d mpbird simpr limciun
      cun wceq eleq2d reseq2 oveq1d anbi2d limccl sseli pm4.71ri bitr4di elriin
      elin 3bitr4g bitrd ex pm5.21ndd eqrdv ) AUAEDJKZEBLZDJKZECLZDJKZUBZADMNZU
      AUCZWHNZWOWMNZWPWNUFAWPEUDZMEOWRMPWNDWOEUEUGQWQWNUFAWQWOWJNZWNWOWJWLUHWSW
      IUDZMWIOWTMPWNDWOWIUEUGUIQAWNWPWQUJAWNRZWPWOMIBCUKZEIUCZLZDJKZULUBZNZWQXA
      WHXFWOXAIXBXCDEXBUMNXABCUNQXAXCMPZIXBUOZBMPZCMPZAXJWNFSZAXKWNGSZXABTNZCTN
      ZXIXJXKRUJXAXJXNXLBMUPUTUIZXAXKXOXMCMUPUTUIZXHXJXKIBCTTXCBMUQXCCMUQURUSVA
      XAIXBXCVBZMEOBCVKZMEOZAXTWNHSXAXRXSMEXAXRXBVCZXSIXBVDXAXNXOYAXSVLXPXQBCTT
      VEUSVFVGVHAWNVIVJVMXAWOMNZWOXENZIXBUOZRZWSWOWLNZRZXGWQXAYEYBYGRYGXAYDYGYB
      XAXNXOYDYGUJXPXQYCWSYFIBCTTXCBVLZXEWJWOYHXDWIDJXCBEVNVOVMXCCVLZXEWLWOYIXD
      WKDJXCCEVNVOVMURUSVPYGYBWSYBYFWJMWODWIVQVRSVSVTIMWOXEXBWAWOWJWLWBWCWDWEWF
      WG $.
  $}

  ${
    dvlem.1 $e |- ( ph -> F : D --> CC ) $.
    dvlem.2 $e |- ( ph -> D C_ CC ) $.
    dvlem.3 $e |- ( ph -> B e. D ) $.
    $( Closure for a difference quotient.  (Contributed by Mario Carneiro,
       1-Sep-2014.)  (Revised by Mario Carneiro, 9-Feb-2015.) $)
    dvlem $p |- ( ( ph /\ A e. ( D \ { B } ) ) ->
        ( ( ( F ` A ) - ( F ` B ) ) / ( A - B ) ) e. CC ) $=
      ( csn cdif wcel wa cfv cmin co cc adantr ffvelrnd subcld sseldd wf simprl
      wne cdiv eldifsn wss simprr subne0d divcld sylan2b ) BDCIJKABDKZBCUCZLZBE
      MZCEMZNOZBCNOZUDOPKBDCUEAUMLZUPUQURUNUOURDPBEADPEUAUMFQZAUKULUBZRURDPCEUS
      ACDKUMHQZRSURBCURDPBADPUFUMGQZUTTZURDPCVBVATZSURBCVCVDAUKULUGUHUIUJ $.
  $}

  ${
    $d f s x z A $.  $d x z B $.  $d f s x z F $.  $d x z C $.  $d f s x z K $.
    $d f s x z S $.  $d f s x T $.  $d x G $.
    dvval.t $e |- T = ( K |`t S ) $.
    dvval.k $e |- K = ( TopOpen ` CCfld ) $.
    $( Value and set bounds on the derivative operator.  (Contributed by Mario
       Carneiro, 7-Aug-2014.)  (Revised by Mario Carneiro, 25-Dec-2016.) $)
    dvfval $p |- ( ( S C_ CC /\ F : A --> CC /\ A C_ S ) -> ( ( S _D F ) =
      U_ x e. ( ( int ` T ) ` A ) ( { x } X. ( ( z e. ( A \ { x } ) |->
          ( ( ( F ` z ) - ( F ` x ) ) / ( z - x ) ) ) limCC x ) ) /\
          ( S _D F ) C_ ( ( ( int ` T ) ` A ) X. CC ) ) ) $=
      ( vs vf cc wss co cfv cv cmin cxp wceq crest wf w3a cdv cnt csn cdif cdiv
      cmpt climc ciun cpw cpm cdm ccnfld ctopn cvv cmpo df-dv a1i oveq1i simprl
      wa oveq2d eqtr4di eqtr3id fveq2d simprr dmeqd simpl2 fdmd fveq12d difeq1d
      eqtrd fveq1d oveq1d mpteq12dv xpeq2d iuneq12d simpr wcel simp1 cnex elpw2
      oveq12d sylibr simp2 simp3 elpm2r syl22anc wral limccl xpss2 ax-mp ss2iun
      rgenw iunxpconst sseqtri fvex xpex ssex syl ovmpodx eqsstrd jca ) DLMZCLF
      UAZCDMZUBZDFUCNZACEUDOZOZAPZUEZBCXMUFZBPZFOZXLFOZQNZXOXLQNZUGNZUHZXLUINZR
      ZUJZSXIXKLRZMXHJKDFLUKZLJPZULNZAKPZUMZUNUOOZYGTNZUDOZOZXMBYJXMUFZXOYIOZXL
      YIOZQNZXSUGNZUHZXLUINZRZUJZYDUCLDULNZUPUCJKYFYHUUCUQSXHABKJURUSXHYGDSZYIF
      SZVBZVBZAYNXKUUBYCUUHYJCYMXJUUHYLEUDUUHYLGYGTNZEGYKYGTIUTUUHUUIGDTNEUUHYG
      DGTXHUUEUUFVAVCHVDVEVFUUHYJFUMCUUHYIFXHUUEUUFVGZVHUUHCLFXEXFXGUUGVIVJVMZV
      KUUHUUAYBXMUUHYTYAXLUIUUHBYOYSXNXTUUHYJCXMUUKVLUUHYRXRXSUGUUHYPXPYQXQQUUH
      XOYIFUUJVNUUHXLYIFUUJVNWDVOVPVOVQVRXHUUEVBYGDLULXHUUEVSVCXHXEDYFVTZXEXFXG
      WADLWBWCWEZXHLUPVTZUULXFXGFUUDVTUUNXHWBUSUUMXEXFXGWFXEXFXGWGLDCFUPYFWHWIX
      HYDYEMZYDUPVTUUOXHYDAXKXMLRZUJZYEYCUUPMZAXKWJYDUUQMUURAXKYBLMUURXLYAWKYBL
      XMWLWMWOAXKYCUUPWNWMAXKLWPWQUSZYDYEXKLCXJWRWBWSWTXAXBZXHXIYDYEUUTUUSXCXD
      $.

    eldv.g $e |- G = ( z e. ( A \ { B } ) |->
        ( ( ( F ` z ) - ( F ` B ) ) / ( z - B ) ) ) $.
    eldv.s $e |- ( ph -> S C_ CC ) $.
    eldv.f $e |- ( ph -> F : A --> CC ) $.
    eldv.a $e |- ( ph -> A C_ S ) $.
    $( The differentiable predicate.  A function ` F ` is differentiable at
       ` B ` with derivative ` C ` iff ` F ` is defined in a neighborhood of
       ` B ` and the difference quotient has limit ` C ` at ` B ` .
       (Contributed by Mario Carneiro, 7-Aug-2014.)  (Revised by Mario
       Carneiro, 25-Dec-2016.) $)
    eldv $p |- ( ph -> ( B ( S _D F ) C <->
      ( B e. ( ( int ` T ) ` A ) /\ C e. ( G limCC B ) ) ) ) $=
      ( vx co cfv cmin cop cdv wcel cnt cv csn cdif cdiv cmpt climc cxp ciun wa
      wbr wceq cc wss wf dvfval syl3anc simpld eleq2d df-br bicomi sneq difeq2d
      fveq2 oveq2d oveq2 oveq12d mpteq12dv eqtr4di id opeliunxp2 3bitr3g ) ADEU
      AZFHUBRZUCZVPQCGUDSSZQUEZUFZBCWAUGZBUEZHSZVTHSZTRZWCVTTRZUHRZUIZVTUJRZUKU
      LZUCDEVQUNZDVSUCEIDUJRZUCUMAVQWKVPAVQWKUOZVQVSUPUKUQZAFUPUQCUPHURCFUQWNWO
      UMNOPQBCFGHJKLUSUTVAVBWLVRDEVQVCVDQVSWJDEWMVTDUOZWIIVTDUJWPWIBCDUFZUGZWDD
      HSZTRZWCDTRZUHRZUIIWPBWBWHWRXBWPWAWQCVTDVEVFWPWFWTWGXAUHWPWEWSWDTVTDHVGVH
      VTDWCTVIVJVKMVLWPVMVJVNVO $.
  $}

  ${
    $d x z A $.  $d z B $.  $d z C $.  $d x z F $.  $d x z K $.  $d x z S $.
    $d x J $.
    dvcl.s $e |- ( ph -> S C_ CC ) $.
    dvcl.f $e |- ( ph -> F : A --> CC ) $.
    dvcl.a $e |- ( ph -> A C_ S ) $.
    $( The derivative function takes values in the complex numbers.
       (Contributed by Mario Carneiro, 7-Aug-2014.)  (Revised by Mario
       Carneiro, 9-Feb-2015.) $)
    dvcl $p |- ( ( ph /\ B ( S _D F ) C ) -> C e. CC ) $=
      ( vz cdv co wbr wa csn cdif cfv cmin wcel eqid cv cdiv cmpt limccl ccnfld
      climc cc ctopn crest cnt eldv simplbda sselid ) ACDEFKLMZNJBCOPJUAZFQCFQR
      LUOCRLUBLUCZCUFLZUGDCUPUDAUNCBUEUHQZEUILZUJQQSDUQSAJBCDEUSFUPURUSTURTUPTG
      HIUKULUM $.

    ${
      dvbssntr.j $e |- J = ( K |`t S ) $.
      dvbssntr.k $e |- K = ( TopOpen ` CCfld ) $.
      $( The set of differentiable points is a subset of the interior of the
         domain of the function.  (Contributed by Mario Carneiro, 7-Aug-2014.)
         (Revised by Mario Carneiro, 9-Feb-2015.) $)
      dvbssntr $p |- ( ph -> dom ( S _D F ) C_ ( ( int ` J ) ` A ) ) $=
        ( vx vz co cdm cfv cc cxp cv wss cdv cnt cdif cmin cdiv cmpt climc ciun
        csn wceq wf wa dvfval syl3anc dmss simpl2im dmxpss sstrdi ) ACDUANZOZBE
        UBPPZQRZOZVAAUSLVALSZUIZMBVEUCMSZDPVDDPUDNVFVDUDNUENUFVDUGNRUHUJZUSVBTZ
        UTVCTACQTBQDUKBCTVGVHULGHILMBCEDFJKUMUNUSVBUOUPVAQUQUR $.
    $}

    $( The set of differentiable points is a subset of the domain of the
       function.  (Contributed by Mario Carneiro, 6-Aug-2014.)  (Revised by
       Mario Carneiro, 9-Feb-2015.) $)
    dvbss $p |- ( ph -> dom ( S _D F ) C_ A ) $=
      ( cdv co cdm ccnfld cfv eqid ctop wcel wss cvv cc sylancr ctopon dvbssntr
      ctopn crest cuni cnfldtop cnex ssexg sylancl resttop cnfldtopon resttopon
      cnt wceq toponuni syl sseqtrd ntrss2 syl2anc sstrd ) ACDHIJBKUBLZCUCIZULL
      LZBABCDVAUTEFGVAMUTMZUAAVANOZBVAUDZPVBBPAUTNOCQOZVDUTVCUEACRPZRQOVFEUFCRQ
      UGUHCUTQUISABCVEGAVACTLOZCVEUMAUTRTLOVGVHUTVCUJECUTRUKSCVAUNUOUPBVAVEVEMU
      QURUS $.
  $}

  ${
    $d f s x z F $.  $d s S $.
    $( The set of differentiable points is a subset of the ambient topology.
       (Contributed by Mario Carneiro, 18-Mar-2015.) $)
    dvbsss $p |- dom ( S _D F ) C_ S $=
      ( vs vf vx vz cop cdv cdm wcel co wss cc cpm cvv wa cxp cv cfv c0 cpw cnt
      wrel ccnfld ctopn crest csn cdif cmin cdiv cmpt climc ciun df-dv reldmmpo
      df-rel mpbi sseli opelxp1 wi wceq opeq1 eleq1d eleq1 oveq2 eleq2d anbi12d
      syl imbi12d dmmpossx opeliunxp sylib vtoclg mpcom simpld elpwid wf simprd
      wb cnex elpm2g sylancr mpbid dvbss sstrd wn df-ov ndmfv syl5eq dm0 eqtrdi
      dmeqd 0ss eqsstrdi pm2.61i ) ABGZHIZJZABHKZIZALWRWTBIZAWRXAABWRAMWRAMUAZJ
      ZBMANKZJZAOJZWRXCXEPZWRWPOOQZJXFWQXHWPWQUCWQXHLCDXBMCRZNKZEDRZIZUDUESXIUF
      KUBSSERZUGZFXLXNUHFRZXKSXMXKSUIKXOXMUIKUJKUKXMULKQUMZHEFDCUNZUOWQUPUQURAB
      OOUSVHXIBGZWQJZXIXBJZBXJJZPZUTWRXGUTCAOXIAVAZXSWRYBXGYCXRWPWQXIABVBVCYCXT
      XCYAXEXIAXBVDYCXJXDBXIAMNVEVFVGVIXSXRCXBXIUGXJQUMZJYBWQYDXRCDXBXJXPHXQVJU
      RCXBXJBVKVLVMVNZVOZVPWRXAMBVQZXAALZWRXEYGYHPZWRXCXEYEVRWRMOJXCXEYIVSVTYFM
      ABOXBWAWBWCZVOWRYGYHYJVRZWDYKWEWRWFZWTTAYLWTTITYLWSTYLWSWPHSTABHWGWPHWHWI
      WLWJWKAWMWNWO $.
  $}

  ${
    $d f s x z $.  $d s x y z F $.  $d x y z K $.  $d s x y z S $.
    perfdvf.1 $e |- K = ( TopOpen ` CCfld ) $.
    $( The derivative is a function, whenever it is defined relative to a
       perfect subset of the complex numbers.  (Contributed by Mario Carneiro,
       25-Dec-2016.) $)
    perfdvf $p |- ( ( K |`t S ) e. Perf ->
                  ( S _D F ) : dom ( S _D F ) --> CC ) $=
      ( vx vy vz vs cdv cdm wcel co cc wa wss cv cfv sylancr eqid c0 vf cop wfn
      crest cperf wf crn wbr wmo wal wfun cnt csn cdif cmin cdiv cmpt climc cpm
      wi cpw cxp ciun ccnfld ctopn df-dv dmmpossx simpl sselid oveq2 opeliunxp2
      sylib simprd cvv wb cnex simpld elpm2g mpbid adantr sseli sstrd ctop cuni
      elpwid ctopon cnfldtopon resttopon topontop wceq toponuni sseqtrd syl2anc
      syl ntrss2 sselda dvlem fmpttd ssdifssd clp ntrss3 sseqtrrd restabs simpr
      mp3an2i ntropn perfopn eqeltrrd cnfldtop toponunii restperf lpss3 lpdifsn
      limcmo moanimv sylibr eldv mobidv mpbird alrimiv wrel reldv dffun6 funfnd
      ex mpbiran wex vex elrn dvcl exlimdv syl5bi ssrdv sylanbrc wn df-ov ndmfv
      df-f f0 syl5eq dmeqd dm0 eqtrdi feq12d mpbiri a1d pm2.61i ) ABUBZIJZKZCAU
      DLZUEKZABILZJZMUUMUFZUTUUJUULUUOUUJUULNZUUMUUNUCUUMUGZMOUUOUUPUUMUUPEPZFP
      ZUUMUHZFUIZEUJZUUMUKZUUPUVAEUUPUVAUURBJZUUKULQQZKZUUSGUVDUURUMZUNZGPZBQUU
      RBQUOLUVIUURUOLZUPLZUQZUURURLKZNZFUIZUUPUVFUVMFUIZUTUVOUUPUVFUVPUUPUVFNZF
      UVHUURUVLCUVQGUVHUVKMUVQUVIUURUVDBUUPUVDMBUFZUVFUUPUVRUVDAOZUUPBMAUSLZKZU
      VRUVSNZUUPAMVAZKZUWAUUPUUHHUWCHPZUMMUWEUSLZVBVCZKZUWDUWANZUUPUUIUWGUUHHUA
      UWCUWFEUAPZJZVDVEQUWEUDLULQQUVGGUWKUVGUNUVIUWJQUURUWJQUOLUVJUPLUQUURURLVB
      VCIEGUAHVFVGZUUJUULVHVIHUWCUWFABUVTUWEAMUSVJVKZVLZVMUUPMVNKZUWDUWAUWBVOZV
      PUUPUWDUWAUWNVQZMABVNUWCVRZRVSVQZVTUUPUVDMOZUVFUUPUVDAMUUJUVSUULUUJUVRUVS
      UUJUWAUWBUUJUWDUWAUUJUWHUWIUUIUWGUUHUWLWAUWMVLZVMUUJUWOUWDUWPVPUUJUWDUWAU
      XAVQUWRRVSVMVTZUUPAMUWQWEZWBZVTZUUPUVEUVDUURUUPUUKWCKZUVDUUKWDZOZUVEUVDOZ
      UUPUUKAWFQKZUXFUUPCMWFQZKZAMOUXJCDWGZUXCACMWHRZAUUKWIWNZUUPUVDAUXGUXBUUPU
      XJAUXGWJUXNAUUKWKWNZWLZUVDUUKUXGUXGSZWOWMZWPWQWRUVQUVDMUVGUXEWSUVQUURUVDC
      WTQZQZKZUURUVHUXTQKZUUPUVEUYAUURUUPUVEUVEUXTQZUYAUUPCUVEUDLZUEKZUVEUYDOZU
      UPUUKUVEUDLZUYEUEUXLUUPUVEAOUWDUYHUYEWJUXMUUPUVEUXGAUUPUXFUXHUVEUXGOUXOUX
      QUVDUUKUXGUXRXAWMUXPXBZUWQUVEACUXKUWCXCXEUUPUULUVEUUKKZUYHUEKUUJUULXDUUPU
      XFUXHUYJUXOUXQUVDUUKUXGUXRXFWMUUKUYHUXGUVEUXRUYHSXGWMXHUUPCWCKZUVEMOUYFUY
      GVOCDXIZUUPUVEAMUYIUXCWBCUYEMUVEMCUXMXJZUYESXKRVSUYKUUPUWTUXIUYDUYAOUYLUX
      DUXSUVDUVECMUYMXLXEWBWPUVQUYKUWTUYBUYCVOUYLUXEUURUVDCMUYMXMRVSDXNYEUVFUVM
      FXOXPUUPUUTUVNFUUPGUVDUURUUSAUUKBUVLCUUKSDUVLSUXCUWSUXBXQXRXSXTUVCUUMYAUV
      BABYBEFUUMYCYFXPYDUUPFUUQMUUSUUQKUUTEYGUUPUUSMKZEUUSUUMFYHYIUUPUUTUYNEUUP
      UUTUYNUUPUVDUURUUSABUXCUWSUXBYJYEYKYLYMUUNMUUMYRYNYEUUJYOZUUOUULUYOUUOTMT
      UFMYSUYOUUNTMUUMTUYOUUMUUHIQTABIYPUUHIYQYTZUYOUUNTJTUYOUUMTUYPUUAUUBUUCUU
      DUUEUUFUUG $.
  $}

  $( Both ` RR ` and ` CC ` are subsets of ` CC ` .  (Contributed by Mario
     Carneiro, 10-Feb-2015.) $)
  recnprss $p |- ( S e. { RR , CC } -> S C_ CC ) $=
    ( cr cc cpr wcel wceq wo wss elpri ax-resscn sseq1 mpbiri eqimss jaoi syl )
    ABCDEABFZACFZGACHZABCIPRQPRBCHJABCKLACMNO $.

  ${
    recnperf.k $e |- K = ( TopOpen ` CCfld ) $.
    $( Both ` RR ` and ` CC ` are perfect subsets of ` CC ` .  (Contributed by
       Mario Carneiro, 28-Dec-2016.) $)
    recnperf $p |- ( S e. { RR , CC } -> ( K |`t S ) e. Perf ) $=
      ( cr cc cpr wcel wo crest co cperf elpri oveq2 reperf eqeltrdi ctopon cfv
      wceq cnfldtopon toponunii restid ax-mp cnperf eqeltri jaoi syl ) ADEFGADR
      ZAERZHBAIJZKGZADELUGUJUHUGUIBDIJKADBIMBCNOUHUIBEIJZKAEBIMUKBKBEPQZGUKBRBC
      SZBULEEBUMTUAUBBCUCUDOUEUF $.
  $}

  $( Explicitly write out the functionality condition on derivative for
     ` S = RR ` and ` CC ` .  (Contributed by Mario Carneiro, 9-Feb-2015.) $)
  dvfg $p |- ( S e. { RR , CC } -> ( S _D F ) : dom ( S _D F ) --> CC ) $=
    ( cr cc cpr wcel ccnfld ctopn cfv crest cperf cdv cdm eqid recnperf perfdvf
    co wf syl ) ACDEFGHIZAJQKFABLQZMDUARATTNZOABTUBPS $.

  $( The derivative is a function.  (Contributed by Mario Carneiro,
     8-Aug-2014.)  (Revised by Mario Carneiro, 9-Feb-2015.) $)
  dvf $p |- ( RR _D F ) : dom ( RR _D F ) --> CC $=
    ( cr cc cpr wcel cdv co cdm wf reelprrecn dvfg ax-mp ) BBCDEBAFGZHCMIJBAKL
    $.

  $( The derivative is a function.  (Contributed by Mario Carneiro,
     9-Feb-2015.) $)
  dvfcn $p |- ( CC _D F ) : dom ( CC _D F ) --> CC $=
    ( cc cr cpr wcel cdv co cdm wf cnelprrecn dvfg ax-mp ) BCBDEBAFGZHBMIJBAKL
    $.

  ${
    $d x y z A $.  $d x y z B $.  $d x y z F $.  $d x y z S $.  $d x y z T $.
    $d z K $.  $d z ph $.
    dvres.k $e |- K = ( TopOpen ` CCfld ) $.
    dvres.t $e |- T = ( K |`t S ) $.
    ${
      dvres.g $e |- G = ( z e. ( A \ { x } ) |->
        ( ( ( F ` z ) - ( F ` x ) ) / ( z - x ) ) ) $.
      dvres.s $e |- ( ph -> S C_ CC ) $.
      dvres.f $e |- ( ph -> F : A --> CC ) $.
      dvres.a $e |- ( ph -> A C_ S ) $.
      dvres.b $e |- ( ph -> B C_ S ) $.
      dvres.y $e |- ( ph -> y e. CC ) $.
      $( Lemma for ~ dvres .  (Contributed by Mario Carneiro, 8-Aug-2014.)
         (Revised by Mario Carneiro, 28-Dec-2016.)  Commute the consequent and
         shorten proof.  (Revised by Peter Mazsa, 2-Oct-2022.) $)
      dvreslem $p |- ( ph -> ( x ( S _D ( F |` B ) ) y <->
        ( x e. ( ( int ` T ) ` B ) /\ x ( S _D F ) y ) ) ) $=
        ( cfv cv cin cnt wcel csn cdif cres cmin co cdiv climc wa cdv wbr difss
        cmpt inss2 sstri simpr sselid fvresd wceq ctop cuni wss cvv cnfldtop cc
        crest cnex ssexg sylancl resttop sylancr inss1 sstrid ctopon cnfldtopon
        eqeltrid resttopon toponuni sseqtrd ntrss2 syl2anc sstrdi sselda adantr
        syl eqid oveq12d oveq1d mpteq2dva reseq1i ssdif resmpt mp2b eqtr4di cun
        eqtri sstrd dvlem fmptd mp1i difssd unssd ssun1 a1i ntrss syl3anc ssind
        restntr oveq1i restabs syl5eq fveq2d fveq1d eqtr3d undif1 snssd ssequn2
        sylib oveq2d fveq12d eleqtrrd limcres eqtrd eleq2d pm5.32da elin bitrdi
        wf ntrin anbi1d bitrd an32 fresin eldv anbi1cd 3bitr4d ) ABUAZEFUBZHUCT
        ZTZUDZCUAZDUUAYTUEZUFZDUAZIFUGZTZYTUUITZUHUIZUUHYTUHUIZUJUIZUPZYTUKUIZU
        DZULZYTEUUBTZUDZUUEJYTUKUIZUDZULZYTFUUBTZUDZULZYTUUEGUUIUMUIUNUVEYTUUEG
        IUMUIUNZULAUURUUTUVEULZUVBULZUVFAUURUUDUVBULUVIAUUDUUQUVBAUUDULZUUPUVAU
        UEUVJUUPJUUGUGZYTUKUIUVAUVJUUOUVKYTUKUVJUUODUUGUUHITZYTITZUHUIZUUMUJUIZ
        UPZUVKUVJDUUGUUNUVOUVJUUHUUGUDZULZUULUVNUUMUJUVRUUJUVLUUKUVMUHUVRUUHFIU
        VRUUGFUUHUUGUUAFUUAUUFUOEFUQZURUVJUVQUSUTVAUVJUUKUVMVBUVQUVJYTFIAUUCFYT
        AUUCUUAFAHVCUDZUUAHVDZVEUUCUUAVEAHKGVIUIZVCMAKVCUDZGVFUDZUWBVCUDKLVGZAG
        VHVEZVHVFUDUWDOVJGVHVFVKVLZGKVFVMVNVSZAUUAGUWAAUUAEGEFVOZQVPZAHGVQTZUDG
        UWAVBAHUWBUWKMAKVHVQTUDUWFUWBUWKUDKLVROGKVHVTVNVSGHWAWHZWBZUUAHUWAUWAWI
        ZWCWDZUVSWEWFVAWGWJWKWLUVKDEUUFUFZUVOUPZUUGUGZUVPJUWQUUGNWMUUAEVEZUUGUW
        PVEZUWRUVPVBUWIUUAEUUFWNZDUWPUUGUVOWOWPWSWQWKUVJUWPYTUUGJKUWPUUFWRZVIUI
        ZKUVJDUWPUVOVHJUVJUUHYTEIAEVHIYKZUUDPWGAEVHVEUUDAEGVHQOWTWGZAUUCEYTAUUC
        UUAEUWOUWIWEZWFXANXBUWSUWTUVJUWIUXAXCUVJUWPEVHEUUFUOUXEVPLUXCWIUVJYTUUA
        KEVIUIZUCTZTZUUGUUFWRZUXCUCTZTAUUCUXIYTAUUCUUAUWAEUFZWRZUUBTZEUBZUXIAUU
        CUXNEAUVTUXMUWAVEUUAUXMVEZUUCUXNVEUWHAUUAUXLUWAUWMAUWAEXDXEUXPAUUAUXLXF
        XGUXMUUAHUWAUWNXHXIUXFXJAUUAHEVIUIZUCTZTZUXOUXIAUVTEUWAVEZUWSUXSUXOVBUW
        HAEGUWAQUWLWBZUWSAUWIXGUUAHUXQUWAEUWNUXQWIXKXIAUUAUXRUXHAUXQUXGUCAUXQUW
        BEVIUIZUXGHUWBEVIMXLAUWCEGVEUWDUYBUXGVBUWCAUWEXGQUWGEGKVCVFXMXIXNXOXPXQ
        WBWFUVJUXJUUAUXKUXHUVJUXCUXGUCUVJUXBEKVIUVJUXBEUUFWRZEEUUFXRUVJUUFEVEUY
        CEVBUVJUUFUUAEUVJYTUUAAUUCUUAYTUWOWFXSZUWIWEUUFEXTYAXNYBXOUVJUXJUUAUUFW
        RZUUAUUAUUFXRUVJUUFUUAVEUYEUUAVBUYDUUFUUAXTYAXNYCYDYEYFYGYHAUUDUVHUVBAU
        UDYTUUSUVDUBZUDUVHAUUCUYFYTAUVTUXTFUWAVEUUCUYFVBUWHUYAAFGUWARUWLWBEFHUW
        AUWNYLXIYGYTUUSUVDYIYJYMYNUUTUVEUVBYOYJADUUAYTUUEGHUUIUUOKMLUUOWIOAUXDU
        UAVHUUIYKPEVHIFYPWHUWJYQAUVGUVCUVEADEYTUUEGHIJKMLNOPQYQYRYS $.

      dvres2lem.d $e |- ( ph -> x ( S _D F ) y ) $.
      dvres2lem.x $e |- ( ph -> x e. B ) $.
      $( Lemma for ~ dvres2 .  (Contributed by Mario Carneiro, 9-Feb-2015.)
         (Revised by Mario Carneiro, 28-Dec-2016.) $)
      dvres2lem $p |- ( ph -> x ( B _D ( F |` B ) ) y ) $=
        ( cv cres cdv wbr cin crest cnt cfv wcel cdif cmin cdiv cmpt climc cuni
        co csn cun ctop wss cvv cnfldtop cc cnex ssexg sylancl resttop eqeltrid
        sylancr sstrid ctopon wceq cnfldtopon resttopon toponuni sseqtrd difssd
        inss1 syl unssd inundif ssdif unss2 3syl eqsstrrid eqid syl3anc wa eldv
        ntrss mpbid simpld sseldd elind inss2 a1i restntr oveq1i restabs syl5eq
        fveq2d fveq1d eqtr3d eleqtrd simprd sselid difss sstri sseli oveqan12rd
        limcresi fvres fvresd oveq1d sylan2 mpteq2dva reseq1i resmpt mp2b eqtri
        eqtr4di eleqtrrd sstrd wf fresin mpbir2and ) ABUBZCUBZFIFUCZUDUQUEYHEFU
        FZKFUGUQZUHUIZUIZUJYIDYKYHURZUKZDUBZYJUIZYHYJUIZULUQZYQYHULUQZUMUQZUNZY
        HUOUQZUJAYHYKHUPZFUKZUSZHUHUIZUIZFUFZYNAUUIFYHAEUUHUIZUUIYHAHUTUJZUUGUU
        EVAEUUGVAUUKUUIVAAHKGUGUQZUTMAKUTUJZGVBUJZUUMUTUJKLVCZAGVDVAZVDVBUJUUOO
        VEGVDVBVFVGZGKVBVHVJVIZAYKUUFUUEAYKGUUEAYKEGEFVSZQVKAHGVLUIZUJGUUEVMAHU
        UMUVAMAKVDVLUIUJUUQUUMUVAUJKLVNOGKVDVOVJVIGHVPVTZVQAUUEFVRWAAEYKEFUKZUS
        ZUUGEFWBAEUUEVAUVCUUFVAUVDUUGVAAEGUUEQUVBVQEUUEFWCUVCUUFYKWDWEWFUUGEHUU
        EUUEWGZWKWHAYHUUKUJZYIJYHUOUQZUJZAYHYIGIUDUQUEUVFUVHWITADEYHYIGHIJKMLNO
        PQWJWLZWMWNUAWOAYKHFUGUQZUHUIZUIZUUJYNAUULFUUEVAYKFVAZUVLUUJVMUUSAFGUUE
        RUVBVQUVMAEFWPZWQZYKHUVJUUEFUVEUVJWGWRWHAYKUVKYMAUVJYLUHAUVJUUMFUGUQZYL
        HUUMFUGMWSAUUNFGVAUUOUVPYLVMUUNAUUPWQRUURFGKUTVBWTWHXAXBXCXDXEAYIJYPUCZ
        YHUOUQZUUDAUVGUVRYIYHYPJXLAUVFUVHUVIXFXGAUUCUVQYHUOAUUCDYPYQIUIZYHIUIZU
        LUQZUUAUMUQZUNZUVQADYPUUBUWBYQYPUJAYQFUJZUUBUWBVMYPFYQYPYKFYKYOXHUVNXIX
        JAUWDWIYTUWAUUAUMUWDAYRUVSYSUVTULYQFIXMAYHFIUAXNXKXOXPXQUVQDEYOUKZUWBUN
        ZYPUCZUWCJUWFYPNXRYKEVAYPUWEVAUWGUWCVMUUTYKEYOWCDUWEYPUWBXSXTYAYBXOYCAD
        YKYHYIFYLYJUUCKYLWGLUUCWGAFGVDROYDAEVDIYEYKVDYJYEPEVDIFYFVTUVOWJYG $.
    $}

    $( Restriction of a derivative.  Note that our definition of derivative
       ~ df-dv would still make sense if we demanded that ` x ` be an element
       of the domain instead of an interior point of the domain, but then it is
       possible for a non-differentiable function to have two different
       derivatives at a single point ` x ` when restricted to different subsets
       containing ` x ` ; a classic example is the absolute value function
       restricted to ` [ 0 , +oo ) ` and ` ( -oo , 0 ] ` .  (Contributed by
       Mario Carneiro, 8-Aug-2014.)  (Revised by Mario Carneiro,
       9-Feb-2015.) $)
    dvres $p |- ( ( ( S C_ CC /\ F : A --> CC ) /\ ( A C_ S /\ B C_ S ) ) ->
      ( S _D ( F |` B ) ) = ( ( S _D F ) |` ( ( int ` T ) ` B ) ) ) $=
      ( vx vy vz cc wss wf wa cres co cfv cv wbr cdv cnt relres wcel cin simpll
      reldv simplr inss1 fssres sylancl resres wfn wceq fnresdm reseq1d eqtr3id
      ffn 3syl feq1d mpbid simprl sstrid dvcl ex adantld wb cdif cmin cdiv cmpt
      csn eqid adantr simplrr simpr dvreslem pm5.21ndd brresi bitr4di eqbrrdiv
      vex ) CLMZALENZOZACMZBCMZOZOZIJCEBPZUAQZCEUAQZBDUBRRZPZCWJUGWLWMUCWIISZJS
      ZWKTZWOWMUDZWOWPWLTZOZWOWPWNTWIWPLUDZWQWTWIWQXAWIABUEZWOWPCWJWCWDWHUFZWIX
      BLEXBPZNZXBLWJNWIWDXBAMXEWCWDWHUHZABUIZALXBEUJUKWIXBLXDWJWIXDEAPZBPWJEABU
      LWIXHEBWIWDEAUMXHEUNXFALEURAEUOUSUPUQUTVAWIXBACXGWEWFWGVBZVCVDVEWIWSXAWRW
      IWSXAWIAWOWPCEXCXFXIVDVEVFWIXAWQWTVGWIXAOIJKABCDEKAWOVLVHKSZERWOERVIQXJWO
      VIQVJQVKZFGHXKVMWIWCXAXCVNWIWDXAXFVNWIWFXAXIVNWEWFWGXAVOWIXAVPVQVEVRWMWOW
      PWLJWBVSVTWA $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z F $.  $d x y z S $.
    $( Restriction of the base set of a derivative.  The primary application of
       this theorem says that if a function is complex-differentiable then it
       is also real-differentiable.  Unlike ~ dvres , there is no simple
       reverse relation relating real-differentiable functions to complex
       differentiability, and indeed there are functions like ` Re ( x ) `
       which are everywhere real-differentiable but nowhere
       complex-differentiable.)  (Contributed by Mario Carneiro,
       9-Feb-2015.) $)
    dvres2 $p |- ( ( ( S C_ CC /\ F : A --> CC ) /\ ( A C_ S /\ B C_ S ) ) ->
      ( ( S _D F ) |` B ) C_ ( B _D ( F |` B ) ) ) $=
      ( vx vy vz cc wss wa cdv co cres cv wcel wbr cfv cmin eqid df-br wrel a1i
      relres cop w3a ccnfld ctopn crest csn cdif cdiv cmpt simp1l simp1r simp2l
      wf simp2r simp3r dvcl mpdan simp3l dvres2lem 3expia brresi bitr3i 3imtr3g
      vex relssdv ) CHIZAHDUPZJZACIZBCIZJZJZEFCDKLZBMZBDBMKLZVQUAVOVPBUCUBVOENZ
      BOZVSFNZVPPZJZVSWAVRPZVSWAUDZVQOZWEVROVKVNWCWDVKVNWCUEZEFGABCUFUGQZCUHLZD
      GAVSUIUJGNZDQVSDQRLWJVSRLUKLULZWHWHSWISWKSVIVJVNWCUMZVIVJVNWCUNZVKVLVMWCU
      OZVKVLVMWCUQWGWBWAHOVKVNVTWBURZWGAVSWACDWLWMWNUSUTWOVKVNVTWBVAVBVCWCVSWAV
      QPWFBVSWAVPFVGVDVSWAVQTVEVSWAVRTVFVH $.
  $}

  $( Restriction of a complex differentiable function to the reals.
     (Contributed by Mario Carneiro, 10-Feb-2015.) $)
  dvres3 $p |- ( ( ( S e. { RR , CC } /\ F : A --> CC ) /\
    ( A C_ CC /\ S C_ dom ( CC _D F ) ) ) ->
      ( S _D ( F |` S ) ) = ( ( CC _D F ) |` S ) ) $=
    ( cr cc cpr wcel wf wa wss cdv co cres wrel wceq reldv ad2antrr ssidd dvbss
    cdm recnprss simplr simprr simprl fssresd ssdmres sseqtrrd relssres sylancr
    sstrd sylib wfun dvfg ffund dvres2 syl22anc funssres syl2anc eqtr3d ) BDEFG
    ZAECHZIZAEJZBECKLZTZJZIZIZBCBMZKLZVDBMZTZMZVJVKVHVJNVJTZVLJVMVJOBVIPVHVNBVL
    VHBBVIUTBEJZVAVGBUAQZVHAEBCUTVAVGUBZVHBVEAVBVCVFUCZVHAECVHERZVQVBVCVFUDZSUJ
    UEVHBRSVHVFVLBOVRBVDUFUKUGVJVLUHUIVHVJULVKVJJZVMVKOVHVNEVJUTVNEVJHVAVGBVIUM
    QUNVHEEJVAVCVOWAVSVQVTVPABECUOUPVJVKUQURUS $.

  ${
    dvres3a.j $e |- J = ( TopOpen ` CCfld ) $.
    $( Restriction of a complex differentiable function to the reals.  This
       version of ~ dvres3 assumes that ` F ` is differentiable on its domain,
       but does not require ` F ` to be differentiable on the whole real line.
       (Contributed by Mario Carneiro, 11-Feb-2015.) $)
    dvres3a $p |- ( ( ( S e. { RR , CC } /\ F : A --> CC ) /\
      ( A e. J /\ dom ( CC _D F ) = A ) ) ->
        ( S _D ( F |` S ) ) = ( ( CC _D F ) |` S ) ) $=
      ( cr cc cpr wcel wf wa cdv co cdm wceq cres wss cin ad2antrr sylancr wrel
      reldv recnprss simplr inss2 fssres sylancl rescom resres wfn fnresdm 3syl
      eqtri ffn reseq1d eqtr3id feq1d mpbid inss1 a1i dvbss dmres simprr ineq2d
      syl5eq sseqtrrd relssres wfun dvfg ffund ctopon cnfldtopon simprl toponss
      ssidd cfv dvres2 syl22anc funssres syl2anc eqtr3d ) BFGHIZAGCJZKZADIZGCLM
      ZNZAOZKZKZBCBPZLMZWFBPZNZPZWLWMWJWLUAWLNZWNQWOWLOBWKUBWJWPBARZWNWJWQBWKWB
      BGQZWCWIBUCSZWJWQGCWQPZJZWQGWKJWJWCWQAQXAWBWCWIUDZBAUEAGWQCUFUGWJWQGWTWKW
      JWTCAPZBPZWKXDWKAPWTCABUHCBAUIUMWJXCCBWJWCCAUJXCCOXBAGCUNACUKULUOUPUQURWQ
      BQWJBAUSUTVAWJWNBWGRWQWFBVBWJWGABWDWEWHVCVDVEVFWLWNVGTWJWLVHWMWLQZWOWMOWJ
      WPGWLWBWPGWLJWCWIBWKVISVJWJGGQWCAGQZWRXEWJGVOXBWJDGVKVPIWEXFDEVLWDWEWHVMA
      DGVNTWSABGCVQVRWLWMVSVTWA $.
  $}

  ${
    $d x z B $.  $d x z F $.  $d x z ph $.
    dvidlem.1 $e |- ( ph -> F : CC --> CC ) $.
    dvidlem.2 $e |- ( ( ph /\ ( x e. CC /\ z e. CC /\ z =/= x ) ) ->
                  ( ( ( F ` z ) - ( F ` x ) ) / ( z - x ) ) = B ) $.
    dvidlem.3 $e |- B e. CC $.
    $( Lemma for ~ dvid and ~ dvconst .  (Contributed by Mario Carneiro,
       8-Aug-2014.)  (Revised by Mario Carneiro, 9-Feb-2015.) $)
    dvidlem $p |- ( ph -> ( CC _D F ) = ( CC X. { B } ) ) $=
      ( cc co csn wf ssidd cv wcel wa cfv cmpt climc wceq cdv cxp cdm dvfcn wbr
      dvbss wrel reldv ccnfld ctopn cnt cdif cmin cdiv simpr ctop eqid cnfldtop
      unicntop ntrtop ax-mp eleqtrrdi limcresi wss ccncf cncfmptc mp3an2i eqidd
      cres cnmptlimc sselid eldifsn 3exp2 imp43 sylan2b mpteq2dva difss eqtr4di
      resmpt oveq1d eleqtrrd cnfldtopon toponrestid adantr eldv releldm sylancr
      wne mpbir2and eqelssd feq2d mpbii ffnd wfn fnconstg mp1i wfun wb funbrfvb
      ffun syl2anc mpbird a1i fvconst2g sylan eqtr4d eqfnfvd ) ABIIEUAJZIDKUBZA
      IIXHAXHUCZIXHLZIIXHLEUDZAXJIIXHABXJIAIIEAIMZFXMUFABNZIOZPZXHUGXNDXHUEZXNX
      JOZIEUHXPXQXNIUIUJQZUKQQZODCIXNKZULZCNZEQXNEQUMJYCXNUMJUNJZRZXNSJZOXPXNIX
      TAXOUOZXSUPOXTITXSXSUQZURXSIUSUTVAVBXPDCIDRZYBVIZXNSJZYFXPYIXNSJYKDXNYBYI
      VCXPCIXNIDDDIOZXPIIVDZYMYIIIVEJOHXPIMZYNCDIIVFVGYGYCXNTDVHVJVKXPYEYJXNSXP
      YECYBDRZYJXPCYBYDDYCYBOXPYCIOZYCXNWHZPYDDTZYCIXNVLAXOYPYQYRAXOYPYQYRGVMVN
      VOVPYBIVDYJYOTIYAVQCIYBDVSVAVRVTWAXPCIXNDIXSEYEXSXSIXSYHWBWCYHYEUQYNAIIEL
      XOFWDYNWEWIZXNDXHWFWGZWJWKWLWMYLXIIWNAHIDIWOWPXPXNXHQZDXNXIQZXPUUADTZXQYS
      XPXHWQZXRUUCXQWRXKUUDXPXLXJIXHWTWPYTXNDXHWSXAXBAYLXOUUBDTYLAHXCIDXNIXDXEX
      FXG $.
  $}

  ${
    $d C x $.  $d D x $.  $d ph x $.
    dvmptresicc.f $e |- F = ( x e. CC |-> A ) $.
    dvmptresicc.a $e |- ( ( ph /\ x e. CC ) -> A e. CC ) $.
    dvmptresicc.fdv $e |- ( ph -> ( CC _D F ) = ( x e. CC |-> B ) ) $.
    dvmptresicc.b $e |- ( ( ph /\ x e. CC ) -> B e. CC ) $.
    dvmptresicc.c $e |- ( ph -> C e. RR ) $.
    dvmptresicc.d $e |- ( ph -> D e. RR ) $.
    $( Derivative of a function restricted to a closed interval.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    dvmptresicc $p |- ( ph -> ( RR _D ( x e. ( C [,] D ) |-> A ) ) = ( x e. ( C
       (,) D ) |-> B ) ) $=
      ( cr co cres cdv cc wss wceq cicc cmpt reseq1i iccssred ax-resscn resmptd
      cioo a1i sstrd syl5eq oveq2d crn ctg cfv resabs1d eqcomd wf fmptd fssresd
      cnt ssidd ccnfld ctopn eqid tgioo2 dvres syl22anc cpr wcel cdm reelprrecn
      dmeqd wral ralrimiva dmmptg eqtr2d sseqtrd dvres3 iccntr syl2anc reseq12d
      syl ioossre resabs1 mp1i reseq1d ioosscn resmpt eqtrd 3eqtrd eqtr3d ) ANG
      EFUAOZPZQOZNBWLCUBZQOBEFUGOZDUBZAWMWONQAWMBRCUBZWLPWOGWRWLHUCABRWLCAWLNRA
      EFLMUDZNRSZAUEUHZUIUFUJUKAWNNGNPZWLPZQOZNXBQOZWLUGULUMUNZUTUNUNZPZWQAWMXC
      NQAXCWMAGWLNWSUOUPUKAWTNRXBUQNNSWLNSXDXHTXAARRNGABRCRGIHURZXAUSANVAWSNWLN
      XFXBVBVCUNZXJVDZXJXKVEVFVGAXHRGQOZNPZWPPZXLWPPZWQAXEXMXGWPANNRVHVIZRRGUQR
      RSNXLVJZSXEXMTXPAVKUHXIARVAANRXQXAAXQBRDUBZVJZRAXLXRJVLADRVIZBRVMXSRTAXTB
      RKVNBRDRVOWBVPVQRNGVRVGAENVIFNVIXGWPTLMEFVSVTWAWPNSXNXOTAEFWCXLWPNWDWEAXO
      XRWPPZWQAXLXRWPJWFWPRSYAWQTAEFWGBRWPDWHWEWIWJWJWK $.
  $}

  ${
    $d x z A $.
    $( Derivative of a constant function.  (Contributed by Mario Carneiro,
       8-Aug-2014.)  (Revised by Mario Carneiro, 9-Feb-2015.) $)
    dvconst $p |- ( A e. CC -> ( CC _D ( CC X. { A } ) ) = ( CC X. { 0 } ) ) $=
      ( vx vz cc wcel cc0 csn cxp fconst6g cv wne w3a wa cmin co cdiv fvconst2g
      cfv wceq eqtrd simpr2 syldan 3ad2antr1 oveq12d subid adantr oveq1d simpr1
      subcld simpr3 subne0d div0d 0cn dvidlem ) ADEZBCFDAGHZDADIUOBJZDEZCJZDEZU
      SUQKZLZMZUSUPRZUQUPRZNOZUSUQNOZPOFVGPOFVCVFFVGPVCVFAANOZFVCVDAVEANUOVBUTV
      DASUOURUTVAUAZDAUSDQUBUOUTURVEASVADAUQDQUCUDUOVHFSVBAUEUFTUGVCVGVCUSUQVIU
      OURUTVAUHZUIVCUSUQVIVJUOURUTVAUJUKULTUMUN $.

    $( Derivative of the identity function.  (Contributed by Mario Carneiro,
       8-Aug-2014.)  (Revised by Mario Carneiro, 9-Feb-2015.) $)
    dvid $p |- ( CC _D ( _I |` CC ) ) = ( CC X. { 1 } ) $=
      ( vx vz cc cid cres cdv co c1 csn cxp wceq wtru wf1o wf f1oi cv wcel cmin
      cfv fvresi f1of mp1i wne cdiv simp2 simp1 subcld simp3 subne0d oveqan12rd
      w3a 3adant3 diveq1bd adantl ax-1cn dvidlem mptru ) CDCEZFGCHIJKLABHURCCUR
      MCCURNLCOCCURUAUBAPZCQZBPZCQZVAUSUCZUKZVAURSZUSURSZRGZVAUSRGZUDGHKLVDVGVH
      VDVAUSUTVBVCUEZUTVBVCUFZUGVDVAUSVIVJUTVBVCUHUIUTVBVGVHKVCVBUTVEVAVFUSRCVA
      TCUSTUJULUMUNUOUPUQ $.
  $}

  ${
    $d y z A $.  $d y z B $.  $d y z F $.  $d y z K $.  $d y z S $.
    $d y z J $.
    dvcnp.j $e |- J = ( K |`t A ) $.
    dvcnp.k $e |- K = ( TopOpen ` CCfld ) $.
    ${
      dvcnp.g $e |- G = ( z e. A |-> if ( z = B , ( ( S _D F ) ` B ) ,
        ( ( ( F ` z ) - ( F ` B ) ) / ( z - B ) ) ) ) $.
      $( The difference quotient is continuous at ` B ` when the original
         function is differentiable at ` B ` .  (Contributed by Mario Carneiro,
         8-Aug-2014.)  (Revised by Mario Carneiro, 28-Dec-2016.) $)
      dvcnp $p |- ( ( ( S e. { RR , CC } /\ F : A --> CC /\ A C_ S ) /\
        B e. dom ( S _D F ) ) -> G e. ( ( J CnP K ) ` B ) ) $=
        ( cc wcel wf wss co wa cfv cmin cmpt cpr w3a cdv cdm wceq cdiv cif ccnp
        cr cv csn cdif climc crest cnt wfun wb dvfg 3ad2ant1 ffun funfvbrb 3syl
        eqid recnprss simp2 simp3 eldv bitrd simplbda sstrd adantr dvbss sselda
        wbr wne eldifsn dvlem sylan2br limcmpt2 mpbid eqeltrid ) DUILUAMZBLENZB
        DOZUBZCDEUCPZUDZMZQZFABAUJZCUECWFRZWJERCERSPWJCSPUFPZUGTZCGHUHPRZKWIWKA
        BCUKULZWLTZCUMPMZWMWNMWEWHCBHDUNPZUORRMZWQWEWHCWKWFVNZWSWQQWEWGLWFNZWFU
        PWHWTUQWBWCXAWDDEURUSWGLWFUTCWFVAVBWEABCWKDWREWPHWRVCJWPVCWBWCDLOWDDVDU
        SZWBWCWDVEZWBWCWDVFZVGVHVIWIABCWKWLGHWEBLOWHWEBDLXDXBVJVKZWEWGBCWEBDEXB
        XCXDVLVMZWJBMWJCVOQWIWJWOMWLLMWJBCVPWIWJCBEWEWCWHXCVKXEXFVQVRIJVSVTWA
        $.
    $}

    $( A function is continuous at each point for which it is differentiable.
       (Contributed by Mario Carneiro, 9-Aug-2014.)  (Revised by Mario
       Carneiro, 28-Dec-2016.) $)
    dvcnp2 $p |- ( ( ( S C_ CC /\ F : A --> CC /\ A C_ S ) /\
      B e. dom ( S _D F ) ) -> F e. ( ( J CnP K ) ` B ) ) $=
      ( vz cc wss co cfv wcel climc cc0 caddc cmin cmpt cmul vy w3a cdv wbr wex
      wf cv ccnp cdm wa simpl2 ctx ffvelrnda crest cnt ctop cvv cnfldtop simpl1
      cuni cnex sylancl resttop sylancr simpl3 ctopon wceq cnfldtopon resttopon
      ssexg toponuni syl sseqtrd eqid ntrss2 syl2anc csn cdif simp1 simp2 simp3
      cdiv eldv simprbda sseldd ffvelrnd adantr subcld ssid a1i cxp toponrestid
      txtopon mp2an sstrd dvlem ssdifssd sselda simplbda limcresi resmpt oveq1i
      difss ax-mp sseqtri subidd ccn subcn cncfmptid cncfmptc syl3anc cncfmpt2f
      cres ccncf oveq1 cnmptlimc eqeltrrd sselid cop dvcl 0cn opelxpi toponunii
      mulcn cncnpi limccnp2 mul01d simpr wne eldifsni adantl divcan1d mpteq2dva
      subne0d oveq1d 3eltr3d fmpttd limcdif eqtrdi eleqtrrd eqidd addcn addid2d
      npcand feqmptd eqtr4d wb cnplimc mpbir2and ex exlimdv eldmg ibi impel ) C
      JKZAJDUFZACKZUBZBUAUGZCDUCLZUDZUAUEZDBEFUHLMNZBUUTUIZNZUURUVAUVCUAUURUVAU
      VCUURUVAUJZUVCUUPBDMZDBOLZNZUUOUUPUUQUVAUKZUVFPUVGQLIAIUGZDMZUVGRLZUVGQLZ
      SZBOLUVGUVHUVFIABPUVGUVMUVGQFFULLZFJJUVFUVKANZUJZUVLUVGUVFAJUVKDUVJUMZUVF
      UVGJNZUVQUVFAJBDUVJUVFAFCUNLZUOMMZABUVFUWAUPNZAUWAUTZKUWBAKUVFFUPNCUQNZUW
      CFHURUVFUUOJUQNUWEUUOUUPUUQUVAUSZVACJUQVJVBCFUQVCVDUVFACUWDUUOUUPUUQUVAVE
      ZUVFUWACVFMNZCUWDVGUVFFJVFMNZUUOUWHFHVHZUWFCFJVIVDCUWAVKVLVMAUWAUWDUWDVNV
      OVPUURUVABUWBNZUUSIABVQZVRZUVMUVKBRLZWBLZSZBOLNZUURIABUUSCUWADUWPFUWAVNHU
      WPVNUUOUUPUUQVSZUUOUUPUUQVTZUUOUUPUUQWAZWCZWDWEZWFZWGZWHZUXDJJKZUVFJWIZWJ
      ZUXHHUVPJJWKZUWIUWIUVPUXIVFMNUWJUWJFFJJWMWNZWLZUVFPIUWMUVMSZBOLZIAUVMSZBO
      LZUVFUUSPTLIUWMUWOUWNTLZSZBOLPUXMUVFIUWMBUUSPUWOUWNTUVPFJJUVFUVKBADUVJUVF
      ACJUWGUWFWOZUXBWPUVFUVKUWMNZUJZUVKBUVFUWMJUVKUVFAJUWLUXRWQWRZUVFBJNZUXSUV
      FAJBUXRUXBWEZWGZWHZUXHUXHHUXKUURUVAUWKUWQUXAWSUVFIAUWNSZBOLZIUWMUWNSZBOLZ
      PUYGUYFUWMXMZBOLUYIBUWMUYFWTUYJUYHBOUWMAKZUYJUYHVGAUWLXCZIAUWMUWNXAXDXBXE
      UVFBBRLZPUYGUVFBUYCXFUVFIABJUWNUYMUVFIUVKBRFAHRUVPFXGLZNUVFFHXHWJUVFAJKZU
      XFIAUVKSAJXNLZNUXRUXGIAJXIVBUVFUYBUYOUXFIABSUYPNUYCUXRUXHIBAJXJXKXLUXBUVK
      BBRXOXPXQXRUVFTUYNNUUSPXSZUXINZTUYQUVPFUHLZMNFHYDUVFUUSJNPJNZUYRUURABUUSC
      DUWRUWSUWTXTZYAUUSPJJYBVBUYQTUVPFUXIUXIUVPUXJYCZYEVDYFUVFUUSVUAYGUVFUXQUX
      LBOUVFIUWMUXPUVMUXTUVMUWNUXTUVLUVGUXTAJUVKDUVFUUPUXSUVJWGUXTUWMAUVKUYLUVF
      UXSYHXRWFUVFUVTUXSUXCWGWHUYEUXTUVKBUYAUYDUXSUVKBYIUVFUVKABYJYKYNYLYMYOYPU
      VFUXOUXNUWMXMZBOLUXMUVFABUXNUVFIAUVMJUXEYQYRVUCUXLBOUYKVUCUXLVGUYLIAUWMUV
      MXAXDXBYSYTUVFIABJUVGUVGUVFUVTUYOUXFIAUVGSUYPNUXCUXRUXHIUVGAJXJXKUXBUVKBV
      GUVGUUAXPUVFQUYNNPUVGXSZUXINZQVUDUYSMNFHUUBUVFUYTUVTVUEYAUXCPUVGJJYBVDVUD
      QUVPFUXIVUBYEVDYFUVFUVGUXCUUCUVFUVODBOUVFUVOIAUVLSDUVFIAUVNUVLUVRUVLUVGUV
      SUXDUUDYMUVFIAJDUVJUUEUUFYOYPUVFUYOBANUVCUUPUVIUJUUGUXRUXBABDEFHGUUHVPUUI
      UUJUUKUVEUVBUABUUTUVDUULUUMUUN $.
  $}

  ${
    $d x A $.  $d x F $.  $d x S $.
    $( A differentiable function is continuous.  (Contributed by Mario
       Carneiro, 7-Sep-2014.)  (Revised by Mario Carneiro, 7-Sep-2015.) $)
    dvcn $p |- ( ( ( S C_ CC /\ F : A --> CC /\ A C_ S ) /\
      dom ( S _D F ) = A ) -> F e. ( A -cn-> CC ) ) $=
      ( vx cc wss wf w3a cdv co cdm wceq wa ccnfld cfv wcel wral ctopon sylancl
      eqid ctopn crest ccncf cv ccnp simpl2 dvcnp2 ralrimiva raleq biimpd mpan9
      ccn cnfldtopon simpl3 simpl1 sstrd resttopon sylancr cncnp mpbir2and ssid
      wb toponrestid cncfcn eleqtrrd ) BEFZAECGZABFZHZBCIJKZALZMZCNUAOZAUBJZVMU
      LJZAEUCJZVLCVOPZVGCDUDZVNVMUEJOPZDAQZVFVGVHVKUFVIVSDVJQZVKVTVIVSDVJAVRBCV
      NVMVNTZVMTZUGUHVKWAVTVSDVJAUIUJUKVLVNAROPZVMEROPZVQVGVTMVBVLWEAEFZWDVMWCU
      MZVLABEVFVGVHVKUNVFVGVHVKUOUPZAVMEUQURWGDCVNVMAEUSSUTVLWFEEFVPVOLWHEVAAEV
      MVNVMWCWBVMEWGVCVDSVE $.
  $}

  ${
    $d f s x F $.  $d f s G $.  $d f s x S $.
    dvnfval.1 $e |- G = ( x e. _V |-> ( S _D x ) ) $.
    $( Value of the iterated derivative.  (Contributed by Mario Carneiro,
       11-Feb-2015.) $)
    dvnfval $p |- ( ( S C_ CC /\ F e. ( CC ^pm S ) ) ->
        ( S Dn F ) = seq 0 ( ( G o. 1st ) , ( NN0 X. { F } ) ) ) $=
      ( vs vf cc cpm co wcel wa cv cvv cdv c1st cn0 cc0 cseq wceq wss cmpt ccom
      cpw csn cxp cdvn df-dvn a1i simprl oveq1d mpteq2dv eqtr4di coeq1d seqeq2d
      cmpo simprr sneqd xpeq2d eqtrd simpr oveq2d simpl cnex elpw2 sylibr seqex
      seqeq3d ovmpodx ) BHUAZCHBIJZKZLZFGBCHUDZHFMZIJZANVOAMZOJZUBZPUCZQGMZUEZU
      FZRSZDPUCZQCUEZUFZRSZUGVKNUGFGVNVPWDUPTVMAGFUHUIVMVOBTZWACTZLLZWDWEWCRSWH
      WKVTWEWCRWKVSDPWKVSANBVQOJZUBDWKANVRWLWKVOBVQOVMWIWJUJUKULEUMUNUOWKWCWGWE
      RWKWBWFQWKWACVMWIWJUQURUSVHUTVMWILVOBHIVMWIVAVBVMVJBVNKVJVLVCBHVDVEVFVJVL
      VAWHNKVMWEWGRVGUIVI $.
  $}

  ${
    $d f k n x F $.  $d f k m n M $.  $d f n x N $.  $d f k m n s x S $.
    $( The iterated derivative is a function.  (Contributed by Mario Carneiro,
       11-Feb-2015.) $)
    dvnff $p |- ( ( S e. { RR , CC } /\ F e. ( CC ^pm S ) ) ->
        ( S Dn F ) : NN0 --> ( CC ^pm dom F ) ) $=
      ( vx vk vn cc wcel cpm co wa cn0 cdm wf cvv cv cdv cc0 wceq cnex wss cdvn
      cr cpr cmpt c1st ccom csn cxp cseq nn0uz 0zd cfv fvconst2g dmexg ad2antlr
      adantll a1i wb elpm2g mpan biimpa simpld adantr syl3anc eqeltrd vex oveq2
      fpmg opco1i eqid ovex fvmpt elv eqtri dvfg ad2antrr recnprss simprl mpbid
      sylancr simprd sstrd dvbss elpm2r syl22anc eqeltrid dvnfval sylan mpbird
      seqf feq1d ) AUBFUCZGZBFAHIZGZJZKFBLZHIZABUAIZMKWRCNACOZPIZUDZUEUFZKBUGUH
      ZQUIZMWPDEXCWRXDQKUJWPUKWPDOZKGZJZXFXDULZBWRWOXGXIBRWMKBXFWNUMUPXHWQNGZFN
      GZWQFBMZBWRGWOXJWMXGBWNUNZUOXKXHSUQWPXLXGWPXLWQATZWMWOXLXNJZXKWMWOXOURSFA
      BNWLUSUTVAZVBVCWQFBNNVHVDVEWPXFWRGZEOZWRGZJZJZXFXRXCIZAXFPIZWRYBXFXBULZYC
      XFXRXBDVFEVFVIYDYCRDCXFXAYCNXBWTXFAPVGXBVJZAXFPVKVLVMVNYAXKXJYCLZFYCMZYFW
      QTYCWRGXKYASUQWOXJWMXTXMUOZWMYGWOXTAXFVOVPYAYFXFLZWQYAYIAXFWMAFTZWOXTAVQZ
      VPYAYIFXFMZYIWQTZYAXQYLYMJZWPXQXSVRYAXKXJXQYNURSYHFWQXFNNUSVTVSZVBYAYIWQA
      YAYLYMYOWAZWPXNXTWPXLXNXPWAVCWBWCYPWBFWQYFYCNNWDWEWFWJWPKWRWSXEWMYJWOWSXE
      RYKCABXBYEWGWHWKWI $.

    $( Zero times iterated derivative.  (Contributed by Stefan O'Rear,
       15-Nov-2014.)  (Revised by Mario Carneiro, 11-Feb-2015.) $)
    dvn0 $p |- ( ( S C_ CC /\ F e. ( CC ^pm S ) ) ->
        ( ( S Dn F ) ` 0 ) = F ) $=
      ( vx cc wss cpm co wcel wa cc0 cdvn cfv cvv cv cdv cmpt c1st ccom cn0 csn
      cseq eqid dvnfval fveq1d 0z wceq simpr 0nn0 fvconst2g sylancl seq1i eqtrd
      cxp ) ADEZBDAFGZHZIZJABKGZLJCMACNOGPZQRZSBTUMZJUAZLBUQJURVBCABUSUSUBUCUDU
      QBUTVAJUEUQUPJSHJVALBUFUNUPUGUHSBJUOUIUJUKUL $.

    $( Successor iterated derivative.  (Contributed by Stefan O'Rear,
       15-Nov-2014.)  (Revised by Mario Carneiro, 11-Feb-2015.) $)
    dvnp1 $p |- ( ( S C_ CC /\ F e. ( CC ^pm S ) /\ N e. NN0 ) ->
        ( ( S Dn F ) ` ( N + 1 ) ) = ( S _D ( ( S Dn F ) ` N ) ) ) $=
      ( vx cc wss cpm co wcel cn0 w3a c1 caddc cvv cdv cc0 cfv wceq fvex fveq1d
      cv cmpt c1st ccom csn cxp cseq cdvn cuz simp3 nn0uz eleqtrdi seqp1 opco1i
      eqtrdi eqid dvnfval 3adant3 oveq2 ovex fvmpt ax-mp fveq2d eqtr3id 3eqtr4d
      syl ) AEFZBEAGHIZCJIZKZCLMHZDNADUAZOHZUBZUCUDZJBUEUFZPUGZQZCVQQZVNQZVKABU
      HHZQACWAQZOHZVJVRVSVKVPQZVOHZVTVJCPUIQZIVRWERVJCJWFVGVHVIUJUKULVOVPPCUMVF
      VSWDVNCVQSVKVPSUNUOVJVKWAVQVGVHWAVQRVIDABVNVNUPZUQURZTVJWCWBVNQZVTWBNIWIW
      CRCWASDWBVMWCNVNVLWBAOUSWGAWBOUTVAVBVJWBVSVNVJCWAVQWHTVCVDVE $.

    $( One times iterated derivative.  (Contributed by Mario Carneiro,
       1-Jan-2017.) $)
    dvn1 $p |- ( ( S C_ CC /\ F e. ( CC ^pm S ) ) ->
        ( ( S Dn F ) ` 1 ) = ( S _D F ) ) $=
      ( cc wss cpm co wcel wa cdvn cfv cc0 caddc cdv 0p1e1 fveq2i cn0 wceq 0nn0
      c1 dvnp1 mp3an3 dvn0 oveq2d eqtrd eqtr3id ) ACDZBCAEFGZHZSABIFZJKSLFZUIJZ
      ABMFZUJSUINOUHUKAKUIJZMFZULUFUGKPGUKUNQRABKTUAUHUMBAMABUBUCUDUE $.

    $( The N-times derivative is a function.  (Contributed by Stefan O'Rear,
       16-Nov-2014.)  (Revised by Mario Carneiro, 11-Feb-2015.) $)
    dvnf $p |- ( ( S e. { RR , CC } /\ F e. ( CC ^pm S ) /\ N e. NN0 ) ->
      ( ( S Dn F ) ` N ) : dom ( ( S Dn F ) ` N ) --> CC ) $=
      ( cr cc cpr wcel cpm co cn0 w3a cdvn cfv cdm wf wss dvnff ffvelrnda cvv
      wa 3impa wb cnex simp2 dmexd elpm2g sylancr mpbid simpld ) ADEFGZBEAHIZGZ
      CJGZKZCABLIZMZNZEUPOZUQBNZPZUNUPEUSHIZGZURUTTZUJULUMVBUJULTJVACUOABQRUAUN
      ESGUSSGVBVCUBUCUNBUKUJULUMUDUEEUSUPSSUFUGUHUI $.

    $( The set of N-times differentiable points is a subset of the domain of
       the function.  (Contributed by Stefan O'Rear, 16-Nov-2014.)  (Revised by
       Mario Carneiro, 11-Feb-2015.) $)
    dvnbss $p |- ( ( S e. { RR , CC } /\ F e. ( CC ^pm S ) /\ N e. NN0 ) ->
      dom ( ( S Dn F ) ` N ) C_ dom F ) $=
      ( cr cc cpr wcel cpm co cn0 w3a cdvn cfv cdm wf wss dvnff ffvelrnda cvv
      wa 3impa wb cnex simp2 dmexd elpm2g sylancr mpbid simprd ) ADEFGZBEAHIZGZ
      CJGZKZCABLIZMZNZEUPOZUQBNZPZUNUPEUSHIZGZURUTTZUJULUMVBUJULTJVACUOABQRUAUN
      ESGUSSGVBVCUBUCUNBUKUJULUMUDUEEUSUPSSUFUGUHUI $.

    $( The ` N ` -th derivative of the ` M ` -th derivative of ` F ` is the
       same as the ` M + N ` -th derivative of ` F ` .  (Contributed by Mario
       Carneiro, 11-Feb-2015.) $)
    dvnadd $p |- ( ( ( S e. { RR , CC } /\ F e. ( CC ^pm S ) ) /\
      ( M e. NN0 /\ N e. NN0 ) ) ->
      ( ( S Dn ( ( S Dn F ) ` M ) ) ` N ) = ( ( S Dn F ) ` ( M + N ) ) ) $=
      ( cc wcel co wa cn0 cfv caddc wceq wi cc0 fveq2 fveq2d eqeq12d imbi2d wss
      oveq2 vn vk cr cpr cpm cdvn cv c1 recnprss ad2antrr cdm cvv ssidd wf cnex
      wb elpm2g mpan simplbda a1i simpl pmss12g syl22anc adantr dvnff ffvelrnda
      sseldd dvn0 syl2anc nn0cn adantl addid1d eqtr4d cdv simpr syl3anc addassd
      dvnp1 1cnd simpllr nn0addcl adantll eqtr3d syl5ibr expcom a2d nn0ind impr
      com12 ) AUCEUDZFZBEAUEGZFZHZCIFZDIFZDACABUFGZJZUFGZJZCDKGZWQJZLZWPWNWOHZX
      CXDUAUGZWSJZCXEKGZWQJZLZMXDNWSJZCNKGZWQJZLZMXDUBUGZWSJZCXNKGZWQJZLZMXDXNU
      HKGZWSJZCXSKGZWQJZLZMXDXCMUAUBDXENLZXIXMXDYDXFXJXHXLXENWSOYDXGXKWQXENCKTP
      QRXEXNLZXIXRXDYEXFXOXHXQXEXNWSOYEXGXPWQXEXNCKTPQRXEXSLZXIYCXDYFXFXTXHYBXE
      XSWSOYFXGYAWQXEXSCKTPQRXEDLZXIXCXDYGXFWTXHXBXEDWSOYGXGXAWQXEDCKTPQRXDXJWR
      XLXDAESZWRWLFZXJWRLWKYHWMWOAUIUJZXDEBUKZUEGZWLWRWNYLWLSZWOWNEESYKASZEULFZ
      WKYMWNEUMWKWMYKEBUNZYNYOWKWMYPYNHUPUOEABULWJUQURUSYOWNUOUTWKWMVAEYKEAULWJ
      VBVCVDWNIYLCWQABVEVFVGZAWRVHVIXDXKCWQXDCWOCEFZWNCVJVKZVLPVMXNIFZXDXRYCXDY
      TXRYCMXRYCXDYTHZAXOVNGZAXQVNGZLXOXQAVNTUUAXTUUBYBUUCUUAYHYIYTXTUUBLXDYHYT
      YJVDZXDYIYTYQVDXDYTVOAWRXNVRVPUUAXPUHKGZWQJZYBUUCUUAUUEYAWQUUACXNUHXDYRYT
      YSVDYTXNEFXDXNVJVKUUAVSVQPUUAYHWMXPIFZUUFUUCLUUDWKWMWOYTVTWOYTUUGWNCXNWAW
      BABXPVRVPWCQWDWEWFWGWIWH $.

    $( An N-times differentiable point is an M-times differentiable point, if
       ` M <_ N ` .  (Contributed by Mario Carneiro, 30-Dec-2016.) $)
    dvn2bss $p |- ( ( S e. { RR , CC } /\ F e. ( CC ^pm S ) /\
      M e. ( 0 ... N ) ) ->
        dom ( ( S Dn F ) ` N ) C_ dom ( ( S Dn F ) ` M ) ) $=
      ( cc wcel co cc0 cdvn cfv cdm cn0 3ad2ant3 cuz syl22anc nn0cnd wss cvv wf
      syl3an3 cr cpr cpm cfz w3a cmin caddc wceq simp1 elfznn0 elfzuz3 uznn0sub
      simp2 dvnadd elfzuz2 nn0uz eleqtrrdi pncan3d fveq2d eqtrd dmeqd cnex dvnf
      syl a1i dvnbss wa elpmi 3ad2ant2 simprd sstrd elpm2r syl3anc eqsstrrd ) A
      UAEUBZFZBEAUCGZFZCHDUDGFZUEZDABIGZJZKDCUFGZACWAJZIGJZKZWDKZVTWEWBVTWECWCU
      GGZWAJZWBVTVPVRCLFZWCLFZWEWIUHVPVRVSUIZVPVRVSUMVSVPWJVRCDUJZMZVTDCNJFZWKV
      SVPWOVRCHDUKMCDULVDZABCWCUNOVTWHDWAVTCDVTCWNPVTDVTDHNJZLVSVPDWQFVRCHDUOMU
      PUQPURUSUTVAVTVPWDVQFZWKWFWGQWLVTERFZVPWGEWDSZWGAQWRWSVTVBVEWLVSVPVRWJWTW
      MABCVCTVTWGBKZAVSVPVRWJWGXAQWMABCVFTVTXAEBSZXAAQZVRVPXBXCVGVSEABVHVIVJVKE
      AWGWDRVOVLOWPAWDWCVFVMVN $.

    $( Multiple derivative version of ~ dvres3a .  (Contributed by Mario
       Carneiro, 11-Feb-2015.) $)
    dvnres $p |- ( ( ( S e. { RR , CC } /\ F e. ( CC ^pm CC ) /\ N e. NN0 ) /\
      dom ( ( CC Dn F ) ` N ) = dom F ) ->
        ( ( S Dn ( F |` S ) ) ` N ) = ( ( ( CC Dn F ) ` N ) |` S ) ) $=
      ( cc wcel co cfv cdm wceq cres wi cc0 fveq2 dmeqd reseq1d eqeq12d imbi12d
      wa eqeq1d wss vx vn cr cpr cpm cn0 w3a cv c1 caddc imbi2d recnprss adantr
      cdvn pmresg dvn0 syl2anc ssidd eqtr4d a1d cnelprrecn simplr simprl dvnbss
      sylan mp3an2i cdv simprr dvnp1 syl3anc eqtr3d dvnf cnex elpm2 simprbi syl
      sstrd dvbss eqsstrd eqssd expr imim1d oveq2 ccnfld ctopn simpll ctop eqid
      wf cnt cnfldtop unicntop ntrss2 cnfldtopon toponrestid dvbssntr wb isopn3
      sylancr mpbird eqtr2d dvres3a syl22anc syl5ibr animpimp2impd nn0ind com12
      3impia imp ) AUCDUDZEZBDDUEFEZCUFEZUGCDBUNFZGZHZBHZIZCABAJZUNFZGZXOAJZIZX
      KXLXMXRYCKZXMXKXLRZYDYEUAUHZXNGZHZXQIZYFXTGZYGAJZIZKZKYELXNGZHZXQIZLXTGZY
      NAJZIZKZKYEUBUHZXNGZHZXQIZUUAXTGZUUBAJZIZKZKYEUUAUIUJFZXNGZHZXQIZUUIXTGZU
      UJAJZIZKZKYEYDKUAUBCYFLIZYMYTYEUUQYIYPYLYSUUQYHYOXQUUQYGYNYFLXNMZNSUUQYJY
      QYKYRYFLXTMUUQYGYNAUUROPQUKYFUUAIZYMUUHYEUUSYIUUDYLUUGUUSYHUUCXQUUSYGUUBY
      FUUAXNMZNSUUSYJUUEYKUUFYFUUAXTMUUSYGUUBAUUTOPQUKYFUUIIZYMUUPYEUVAYIUULYLU
      UOUVAYHUUKXQUVAYGUUJYFUUIXNMZNSUVAYJUUMYKUUNYFUUIXTMUVAYGUUJAUVBOPQUKYFCI
      ZYMYDYEUVCYIXRYLYCUVCYHXPXQUVCYGXOYFCXNMZNSUVCYJYAYKYBYFCXTMUVCYGXOAUVDOP
      QUKYEYSYPYEYQXSYRYEADTZXSDAUEFEZYQXSIXKUVEXLAULUMZDADBXJUOZAXSUPUQYEYNBAX
      KDDTZXLYNBIXKDURDBUPVEOUSUTUUAUFEZYEUUHUULUUOUUGYEUVJRUULUUDUUGYEUVJUULUU
      DYEUVJUULRZRZUUCXQDXJEZUVLXLUVJUUCXQTVAXKXLUVKVBZYEUVJUULVCZDBUUAVDVFZUVL
      XQDUUBVGFZHZUUCUVLUUKXQUVRYEUVJUULVHUVLUUJUVQUVLUVIXLUVJUUJUVQIUVLDURZUVN
      UVODBUUAVIVJZNVKZUVLUUCDUUBUVSUVMUVLXLUVJUUCDUUBWIZVAUVNUVODBUUAVLVFZUVLU
      UCXQDUVPUVLXLXQDTZUVNXLXQDBWIUWDDDBVMVMVNVOVPVQZVRVSVTZWAWBUUGUUOUVLAUUEV
      GFZAUUFVGFZIUUEUUFAVGWCUVLUUMUWGUUNUWHUVLUVEUVFUVJUUMUWGIYEUVEUVKUVGUMYEU
      VFUVKUVHUMUVOAXSUUAVIVJUVLUUNUVQAJZUWHUVLUUJUVQAUVTOUVLXKUWBUUCWDWEGZEZUV
      RUUCIUWHUWIIXKXLUVKWFUWCUVLUWKUUCUWJWJGGZUUCIZUVLUWLUUCUVLUWJWGEZUUCDTZUW
      LUUCTUWJUWJWHZWKZUWEUUCUWJDWLWMWSUVLUUCXQUWLUVPUVLXQUVRUWLUWAUVLUUCDUUBUW
      JUWJUVSUWCUWEUWJDUWJUWPWNWOUWPWPVSVQVTUVLUWNUWOUWKUWMWQUWQUWEUUCUWJDWLWRW
      SWTUVLUUCXQUVRUWFUWAXAUUCAUUBUWJUWPXBXCUSPXDXEXFXGXHXI $.

    $( Condition for n-times continuous differentiability.  (Contributed by
       Stefan O'Rear, 15-Nov-2014.)  (Revised by Mario Carneiro,
       11-Feb-2015.) $)
    cpnfval $p |- ( S C_ CC -> ( C^n ` S ) = ( n e. NN0 |->
      { f e. ( CC ^pm S ) | ( ( S Dn f ) ` n ) e. ( dom f -cn-> CC ) } ) ) $=
      ( vs cc wss cpw wcel ccpn cfv cn0 cv cdvn co cdm ccncf cpm crab cmpt wceq
      cnex elpw2 oveq2 oveq1 fveq1d eleq1d rabeqbidv mpteq2dv nn0ex mptex fvmpt
      df-cpn sylbir ) AEFAEGZHAIJCKCLZABLZMNZJZUPOEPNZHZBEAQNZRZSZTAEUAUBDACKUO
      DLZUPMNZJZUSHZBEVDQNZRZSVCUNIVDATZCKVIVBVJVGUTBVHVAVDAEQUCVJVFURUSVJUOVEU
      QVDAUPMUDUEUFUGUHCBDULCKVBUIUJUKUM $.

    $( The ` C^n ` object is a function.  (Contributed by Stefan O'Rear,
       16-Nov-2014.)  (Revised by Mario Carneiro, 11-Feb-2015.) $)
    fncpn $p |- ( S C_ CC -> ( C^n ` S ) Fn NN0 ) $=
      ( vn vf cc wss ccpn cfv cn0 wfn cv cdvn cdm ccncf wcel cpm crab cmpt ovex
      co rabex eqid fnmpti cpnfval fneq1d mpbiri ) ADEZAFGZHIBHBJACJZKSGUHLDMSN
      ZCDAOSZPZQZHIBHUKULUICUJDAORTULUAUBUFHUGULACBUCUDUE $.

    $( Condition for n-times continuous differentiability.  (Contributed by
       Stefan O'Rear, 15-Nov-2014.)  (Revised by Mario Carneiro,
       11-Feb-2015.) $)
    elcpn $p |- ( ( S C_ CC /\ N e. NN0 ) -> ( F e. ( ( C^n ` S ) ` N ) <->
      ( F e. ( CC ^pm S ) /\ ( ( S Dn F ) ` N ) e. ( dom F -cn-> CC ) ) ) ) $=
      ( vf vn cc wss cn0 wcel wa cfv cv cdvn co cdm ccncf cpm crab fveq1d wceq
      ccpn cmpt cpnfval fveq2 eleq1d rabbidv eqid ovex rabex fvmpt eleq2d oveq2
      sylan9eq dmeq oveq1d eleq12d elrab bitrdi ) AFGZCHIZJZBCAUAKZKZIBCADLZMNZ
      KZVDOZFPNZIZDFAQNZRZIBVJICABMNZKZBOZFPNZIZJVAVCVKBUSUTVCCEHELZVEKZVHIZDVJ
      RZUBZKVKUSCVBWAADEUCSECVTVKHWAVQCTZVSVIDVJWBVRVFVHVQCVEUDUEUFWAUGVIDVJFAQ
      UHUIUJUMUKVIVPDBVJVDBTZVFVMVHVOWCCVEVLVDBAMULSWCVGVNFPVDBUNUOUPUQUR $.

    $( ` C^n ` conditions are ordered by strength.  (Contributed by Stefan
       O'Rear, 16-Nov-2014.)  (Revised by Mario Carneiro, 11-Feb-2015.) $)
    cpnord $p |- ( ( S e. { RR , CC } /\ M e. NN0 /\ N e. ( ZZ>= ` M ) ) ->
        ( ( C^n ` S ) ` N ) C_ ( ( C^n ` S ) ` M ) ) $=
      ( cc wcel cn0 cfv wss wa cv wi co wceq fveq2 sseq1d imbi2d cdm wf syl3anc
      syl vn vm vf cr cpr cuz ccpn c1 caddc ssid 2a1i cpm cdvn ccncf simprl cdv
      recnprss ad2antrr adantr simplll eluznn0 adantll dvnf dvnbss dvnp1 simprr
      cz eqeltrrd cncff fdmd wb cnex elpm2g sylancr mpbid simprd sstrd eqsstrrd
      cvv dvbss eqssd feq2d dvcn syl31anc peano2nn0 elcpn syl2anc 3imtr4d ssrdv
      jca ex sstr2 expcom a2d uzind4 com12 3impia ) AUDDUEZEZBFEZCBUFGZEZCAUGGZ
      GZBXCGZHZXBWSWTIZXFXGUAJZXCGZXEHZKXGXEXEHZKXGUBJZXCGZXEHZKXGXLUHUILZXCGZX
      EHZKXGXFKUAUBBCXHBMZXJXKXGXRXIXEXEXHBXCNOPXHXLMZXJXNXGXSXIXMXEXHXLXCNOPXH
      XOMZXJXQXGXTXIXPXEXHXOXCNOPXHCMZXJXFXGYAXIXDXEXHCXCNOPXKBVGEXGXEUJUKXLXAE
      ZXGXNXQXGYBXNXQKZXGYBIZXPXMHYCYDUCXPXMYDUCJZDAULLEZXOAYEUMLZGZYEQZDUNLZEZ
      IZYFXLYGGZYJEZIZYEXPEZYEXMEZYDYLYOYDYLIZYFYNYDYFYKUOZYRADHZYIDYMRZYIAHZAY
      MUPLZQZYIMYNYDYTYLWSYTWTYBAUQURZUSZYRYMQZDYMRZUUAYRWSYFXLFEZUUHWSWTYBYLUT
      ZYSYDUUIYLWTYBUUIWSXLBVAVBZUSZAYEXLVCSZYRUUGYIDYMYRUUGYIYRWSYFUUIUUGYIHUU
      JYSUULAYEXLVDSZYRYIUUDUUGYRYIDUUCYRUUCYJEYIDUUCRYRYHUUCYJYRYTYFUUIYHUUCMU
      UFYSUULAYEXLVESYDYFYKVFVHYIDUUCVITVJZYRUUGAYMUUFUUMYRUUGYIAUUNYRYIDYERZUU
      BYRYFUUPUUBIZYSYRDVSEWSYFUUQVKVLUUJDAYEVSWRVMVNVOVPZVQVTVRWAWBVOUURUUOYIA
      YMWCWDWJWKYDYTXOFEZYPYLVKUUEYDUUIUUSUUKXLWETAYEXOWFWGYDYTUUIYQYOVKUUEUUKA
      YEXLWFWGWHWIXPXMXEWLTWMWNWOWPWQ $.

    $( A ` C^n ` function is continuous.  (Contributed by Mario Carneiro,
       11-Feb-2015.) $)
    cpncn $p |- ( ( S e. { RR , CC } /\ F e. ( ( C^n ` S ) ` N ) ) ->
      F e. ( dom F -cn-> CC ) ) $=
      ( cr cc cpr wcel ccpn cfv wa cc0 cdvn cdm ccncf wss cpm wceq cn0 syl2anc
      co recnprss adantr cuz simpl 0nn0 a1i elfvdm adantl wfn fndm 3syl eleqtrd
      fncpn nn0uz eleqtrdi cpnord syl3anc simpr sseldd elcpn simpld dvn0 simprd
      wb mpbid eqeltrrd ) ADEFGZBCAHIZIZGZJZKABLTIZBBMENTZVKAEOZBEAPTGZVLBQVGVN
      VJAUAUBZVKVOVLVMGZVKBKVHIZGZVOVQJZVKVIVRBVKVGKRGZCKUCIZGVIVROVGVJUDWAVKUE
      UFZVKCRWBVKCVHMZRVJCWDGVGBCVHUGUHVKVNVHRUIWDRQVPAUMRVHUJUKULUNUOAKCUPUQVG
      VJURUSVKVNWAVSVTVDVPWCABKUTSVEZVAABVBSVKVOVQWEVCVF $.

    $( The restriction of a ` C^n ` function is ` C^n ` .  (Contributed by
       Mario Carneiro, 11-Feb-2015.) $)
    cpnres $p |- ( ( S e. { RR , CC } /\ F e. ( ( C^n ` CC ) ` N ) ) ->
        ( F |` S ) e. ( ( C^n ` S ) ` N ) ) $=
      ( cc wcel ccpn cfv wa cres cpm co cdvn cdm ccncf wss cn0 wfn wceq elcpn
      wb cr cpr simpr ssid elfvdm adantl fncpn ax-mp fndm eleqtrd sylancr mpbid
      mp1i simpld pmresg syldan simpl simprd cncff syl fdmd dvnres syl31anc cin
      wf resres rescom eqtr3i ffn fnresdm reseq1d syl5eq inss2 rescncf eqeltrrd
      3syl mpsyl dmres oveq1i eleqtrrdi eqeltrd recnprss syl2an2r mpbir2and ) A
      UADUBZEZBCDFGZGEZHZBAIZCAFGGEZWJDAJKEZCAWJLKGZWJMZDNKZEZWFWHBDDJKEZWLWIWQ
      CDBLKGZBMZDNKEZWIWHWQWTHZWFWHUCWIDDOZCPEZWHXATDUDZWICWGMZPWHCXEEWFBCWGUEU
      FWGPQZXEPRWIXBXFXDDUGUHPWGUIUMUJZDBCSUKULZUNZDADBWEUOUPWIWMWRAIZWOWIWFWQX
      CWRMWSRWMXJRWFWHUQXIXGWIWSDWRWIWTWSDWRVEZWIWQWTXHURZWSDWRUSUTZVAABCVBVCWI
      XJAWSVDZDNKZWOWIWRXNIZXJXOWIXPWRWSIZAIZXJXJWSIXPXRWRAWSVFWRAWSVGVHWIXQWRA
      WIXKWRWSQXQWRRXMWSDWRVIWSWRVJVPVKVLXNWSOWIWTXPXOEAWSVMXLWSDXNWRVNVQVOWNXN
      DNBAVRVSVTWAWFADOWHXCWKWLWPHTAWBXGAWJCSWCWD $.
  $}

  ${
    $d y z C $.  $d y z G $.  $d y z J $.  $d x y z ph $.  $d x y z F $.
    $d z K $.  $d z L $.  $d z S $.  $d z X $.  $d z Y $.
    dvadd.f $e |- ( ph -> F : X --> CC ) $.
    dvadd.x $e |- ( ph -> X C_ S ) $.
    dvadd.g $e |- ( ph -> G : Y --> CC ) $.
    dvadd.y $e |- ( ph -> Y C_ S ) $.
    ${
      dvaddbr.s $e |- ( ph -> S C_ CC ) $.
      dvadd.k $e |- ( ph -> K e. V ) $.
      dvadd.l $e |- ( ph -> L e. V ) $.
      dvadd.bf $e |- ( ph -> C ( S _D F ) K ) $.
      dvadd.bg $e |- ( ph -> C ( S _D G ) L ) $.
      dvadd.j $e |- J = ( TopOpen ` CCfld ) $.
      $( The sum rule for derivatives at a point.  For the (simpler but more
         limited) function version, see ~ dvadd .  (Contributed by Mario
         Carneiro, 9-Aug-2014.)  (Revised by Mario Carneiro, 28-Dec-2016.) $)
      dvaddbr $p |- ( ph -> C ( S _D ( F oF + G ) ) ( K + L ) ) $=
        ( vz vx vy caddc co cof cdv wbr cin crest cnt cfv wcel csn cdif cv cmin
        cdiv cmpt climc wa eqid eldv mpbid simpld elind ctop cuni wss ctopon cc
        wceq cnfldtopon resttopon sylancr topontop syl toponuni sseqtrd syl3anc
        ntrin eleqtrrd ctx ssdif mp1i sselda sstrd ntrss2 syl2anc sseldd syldan
        dvlem simprd cres cun fmpttd ssdifssd sstrid difssd unssd ssun1 restntr
        a1i ntrss cvv ssexg sylancl restabs fveq2d fveq1d eqtr3d eleqtrd undif1
        snssd ssequn2 sylib syl5eq oveq2d fveq12d limcres resmptd oveq1d adantl
        cnex dvcl mpdan ffnd adantr eqidd ofval wf sstri sseli ffvelrn ffvelrnd
        wfn syl2an eqtrd subcld inss1 inss2 ssidd cxp txtopon mp2an toponrestid
        cnfldtop ccn ccnp addcn opelxpd toponunii cncnpi limccnp2 eldifi mpidan
        cop oveq12d difss addsub4d wne eldifsni subne0d divdird mpteq2dva addcl
        off mpbir2and ) ABGHUEUFZCDEUEUGUFZUHUFUIBJKUJZFCUKUFZULUMZUMZUNUVJUBUV
        LBUOZUPZUBUQZUVKUMZBUVKUMZURUFZUVRBURUFZUSUFZUTZBVAUFZUNABJUVNUMZKUVNUM
        ZUJZUVOAUWFUWGBABUWFUNZGUBJUVPUPZUVRDUMZBDUMZURUFZUWBUSUFZUTZBVAUFZUNZA
        BGCDUHUFUIZUWIUWQVBSAUBJBGCUVMDUWOFUVMVCZUAUWOVCPLMVDVEZVFZABUWGUNZHUBK
        UVPUPZUVREUMZBEUMZURUFZUWBUSUFZUTZBVAUFZUNZABHCEUHUFUIZUXBUXJVBTAUBKBHC
        UVMEUXHFUWSUAUXHVCPNOVDVEZVFZVGAUVMVHUNZJUVMVIZVJZKUXOVJZUVOUWHVMAUVMCV
        KUMUNZUXNAFVLVKUMUNZCVLVJZUXRFUAVNZPCFVLVOVPZCUVMVQVRZAJCUXOMAUXRCUXOVM
        UYBCUVMVSVRZVTZAKCUXOOUYDVTZJKUVMUXOUXOVCZWBWAWCZAUVJUBUVQUWNUXGUEUFZUT
        ZBVAUFUWEAUBUVQBGHUWNUXGUEFFWDUFZFVLVLAUVRUVQUNZUVRUWJUNUWNVLUNAUVQUWJU
        VRUVLJVJZUVQUWJVJAJKUUAZUVLJUVPWEWFZWGAUVRBJDLAJCVLMPWHZAUWFJBAUXNUXPUW
        FJVJUYCUYEJUVMUXOUYGWIWJUXAWKZWMZWLAUYLUVRUXCUNUXGVLUNAUVQUXCUVRUVLKVJZ
        UVQUXCVJAJKUUBZUVLKUVPWEWFZWGAUVRBKENAKCVLOPWHZAUWGKBAUXNUXQUWGKVJUYCUY
        FKUVMUXOUYGWIWJUXMWKZWMZWLAVLUUCZVUEUAUYKVLVLUUDZUXSUXSUYKVUFVKUMUNUYAU
        YAFFVLVLUUEUUFZUUGAGUWPUBUVQUWNUTZBVAUFZAUWIUWQUWTWNAUWOUVQWOZBVAUFUWPV
        UIAUWJBUVQUWOFUWJUVPWPZUKUFZFAUBUWJUWNVLUYRWQUYOAJVLUVPUYPWRUAVULVCABUV
        LFJUKUFZULUMZUMZUVQUVPWPZVULULUMZUMABUVLUXOJUPZWPZUVNUMZJUJZVUOAVUTJBAU
        VOVUTBAUXNVUSUXOVJUVLVUSVJZUVOVUTVJUYCAUVLVURUXOAUVLCUXOAUVLJCUYNMWSZUY
        DVTZAUXOJWTXAVVBAUVLVURXBXDVUSUVLUVMUXOUYGXEWAUYHWKUYQVGAUVLUVMJUKUFZUL
        UMZUMZVVAVUOAUXNUXPUYMVVGVVAVMUYCUYEUYMAUYNXDUVLUVMVVEUXOJUYGVVEVCXCWAA
        UVLVVFVUNAVVEVUMULAFVHUNZJCVJCXFUNZVVEVUMVMVVHAFUAUUHXDZMAUXTVLXFUNZVVI
        PYECVLXFXGXHZJCFVHXFXIWAXJXKXLXMAVUPUVLVUQVUNAVULVUMULAVUKJFUKAVUKJUVPW
        PZJJUVPXNAUVPJVJVVMJVMABJUYQXOUVPJXPXQXRXSXJAVUPUVLUVPWPZUVLUVLUVPXNAUV
        PUVLVJVVNUVLVMABUVLAJKBUYQVUCVGZXOUVPUVLXPXQXRZXTWCYAAVUJVUHBVAAUBUWJUV
        QUWNUYOYBYCXLXMAHUXIUBUVQUXGUTZBVAUFZAUXBUXJUXLWNAUXHUVQWOZBVAUFUXIVVRA
        UXCBUVQUXHFUXCUVPWPZUKUFZFAUBUXCUXGVLVUDWQVUAAKVLUVPVUBWRUAVWAVCABUVLFK
        UKUFZULUMZUMZVUPVWAULUMZUMABUVLUXOKUPZWPZUVNUMZKUJZVWDAVWHKBAUVOVWHBAUX
        NVWGUXOVJUVLVWGVJZUVOVWHVJUYCAUVLVWFUXOVVDAUXOKWTXAVWJAUVLVWFXBXDVWGUVL
        UVMUXOUYGXEWAUYHWKVUCVGAUVLUVMKUKUFZULUMZUMZVWIVWDAUXNUXQUYSVWMVWIVMUYC
        UYFUYSAUYTXDUVLUVMVWKUXOKUYGVWKVCXCWAAUVLVWLVWCAVWKVWBULAVVHKCVJVVIVWKV
        WBVMVVJOVVLKCFVHXFXIWAXJXKXLXMAVUPUVLVWEVWCAVWAVWBULAVVTKFUKAVVTKUVPWPZ
        KKUVPXNAUVPKVJVWNKVMABKVUCXOUVPKXPXQXRXSXJVVPXTWCYAAVVSVVQBVAAUBUXCUVQU
        XGVUAYBYCXLXMAUEUYKFUUIUFUNGHUURZVUFUNUEVWOUYKFUUJUFUMUNFUAUUKAGHVLVLAU
        WRGVLUNSAJBGCDPLMYFYGAUXKHVLUNTAKBHCEPNOYFYGUULVWOUEUYKFVUFVUFUYKVUGUUM
        UUNVPUUOAUWDUYJBVAAUBUVQUWCUYIAUYLVBZUWCUWMUXFUEUFZUWBUSUFUYIVWPUWAVWQU
        WBUSVWPUWAUWKUXDUEUFZUWLUXEUEUFZURUFVWQVWPUVSVWRUVTVWSURVWPUVRUVLUNZUVS
        VWRVMUYLVWTAUVRUVLUVPUUPYDVWPJKUWKUXDUEUVLDEXFXFUVRADJYQUYLAJVLDLYHYIZA
        EKYQUYLAKVLENYHYIZAJXFUNZUYLAJVLVJVVKVXCUYPYEJVLXFXGXHZYIZAKXFUNZUYLAKV
        LVJVVKVXFVUBYEKVLXFXGXHZYIZUVLVCZVWPUVRJUNZVBUWKYJVWPUVRKUNZVBUXDYJYKYG
        AUYLBUVLUNUVTVWSVMVVOVWPJKUWLUXEUEUVLDEXFXFBVXAVXBVXEVXHVXIVWPBJUNVBUWL
        YJVWPBKUNVBUXEYJYKUUQUUSVWPUWKUXDUWLUXEAJVLDYLVXJUWKVLUNUYLLUVQJUVRUVQU
        VLJUVLUVPUUTZUYNYMZYNJVLUVRDYOYRZAKVLEYLVXKUXDVLUNUYLNUVQKUVRUVQUVLKVXL
        UYTYMYNKVLUVREYOYRZAUWLVLUNUYLAJVLBDLUYQYPYIZAUXEVLUNUYLAKVLBENVUCYPYIZ
        UVAYSYCVWPUWMUXFUWBVWPUWKUWLVXNVXPYTVWPUXDUXEVXOVXQYTVWPUVRBAUVQVLUVRAU
        VQJVLVXMUYPWSWGZABVLUNUYLAJVLBUYPUYQWKYIZYTVWPUVRBVXRVXSUYLUVRBUVBAUVRU
        VLBUVCYDUVDUVEYSUVFYCWCAUBUVLBUVJCUVMUVKUWDFUWSUAUWDVCPAUCUDJKUVLUEVLVL
        VLDEXFXFUCUQZVLUNUDUQZVLUNVBVXTVYAUEUFVLUNAVXTVYAUVGYDLNVXDVXGVXIUVHVVC
        VDUVI $.

      $( The product rule for derivatives at a point.  For the (simpler but
         more limited) function version, see ~ dvmul .  (Contributed by Mario
         Carneiro, 9-Aug-2014.)  (Revised by Mario Carneiro, 28-Dec-2016.) $)
      dvmulbr $p |- ( ph -> C ( S _D ( F oF x. G ) )
                      ( ( K x. ( G ` C ) ) + ( L x. ( F ` C ) ) ) ) $=
        ( vz vx vy cfv cmul co caddc cof cdv wbr cin crest cnt wcel csn cdif cv
        cmin cdiv cmpt climc wa eqid eldv mpbid simpld elind ctop cuni wss wceq
        ctopon cc sylancr syl sseqtrd eleqtrrd wf adantr adantl sselid ffvelrnd
        syl3anc dvbss wrel reldv releldm sseldd subcld sstrd mulcld ssdif dvlem
        cdm mp1i simprd cres cun fmpttd ssdifssd difssd unssd ssun1 a1i restntr
        ntrss cvv cnex ssexg sylancl restabs fveq2d fveq1d eqtr3d eleqtrd snssd
        undif1 ssequn2 sylib syl5eq oveq2d fveq12d limcres oveq1d ccnp cop dvcl
        resmptd mpdan opelxpd cncnpi limccnp2 eqidd eqtrd wfn ffnd ofval div23d
        oveq12d cnfldtopon resttopon topontop toponuni ntrin ctx inss1 eldifsni
        eldifi wne subne0d divcld inss2 sselda syldan ssidd txtopon toponrestid
        cxp mp2an sstrid cnfldtop dvcnp2 syl31anc cnplimc difss sstri feqresmpt
        wb syl2anc ccn mulcn toponunii ccncf cncfmptc cnmptlimc limcdif divdird
        resmpt addcn npncand subdird mulcomd subdid 3eqtr4d mpteq2dva mulcl off
        mpidan 3eqtr3d mpbir2and ) ABGBEUEZUFUGZHBDUEZUFUGZUHUGZCDEUFUIUGZUJUGU
        KBJKULZFCUMUGZUNUEZUEZUOUWPUBUWRBUPZUQZUBURZUWQUEZBUWQUEZUSUGZUXDBUSUGZ
        UTUGZVAZBVBUGZUOABJUWTUEZKUWTUEZULZUXAAUXLUXMBABUXLUOZGUBJUXBUQZUXDDUEZ
        UWNUSUGZUXHUTUGZVAZBVBUGZUOZABGCDUJUGZUKZUXOUYBVCSAUBJBGCUWSDUXTFUWSVDZ
        UAUXTVDPLMVEVFZVGABUXMUOZHUBKUXBUQZUXDEUEZUWLUSUGZUXHUTUGZVAZBVBUGZUOZA
        BHCEUJUGZUKZUYGUYNVCTAUBKBHCUWSEUYLFUYEUAUYLVDPNOVEVFZVGVHAUWSVIUOZJUWS
        VJZVKZKUYSVKZUXAUXNVLAUWSCVMUEUOZUYRAFVNVMUEUOZCVNVKZVUBFUAUUAZPCFVNUUB
        VOZCUWSUUCVPZAJCUYSMAVUBCUYSVLVUFCUWSUUDVPZVQZAKCUYSOVUHVQZJKUWSUYSUYSV
        DZUUEWDVRZAUWPUBUXCUXSUYIUFUGZUYKUWNUFUGZUHUGZVAZBVBUGUXKAUBUXCBUWMUWOV
        UMVUNUHFFUUFUGZFVNVNAUXDUXCUOZVCZUXSUYIVUSUXRUXHVUSUXQUWNVUSJVNUXDDAJVN
        DVSVURLVTZVUSUWRJUXDJKUUGZVURUXDUWRUOZAUXDUWRUXBUUIWAZWBZWCZAUWNVNUOZVU
        RAJVNBDLAUYCWOZJBAJCDPLMWEAUYCWFUYDBVVGUOCDWGSBGUYCWHVOWIZWCZVTZWJVUSUX
        DBVUSJVNUXDAJVNVKZVURAJCVNMPWKZVTZVVDWIZABVNUOVURAJVNBVVLVVHWIVTZWJVUSU
        XDBVVNVVOVURUXDBUUJAUXDUWRBUUHWAUUKZUULZVUSKVNUXDEAKVNEVSZVURNVTZVUSUWR
        KUXDJKUUMZVVCWBWCZWLVUSUYKUWNAVURUXDUYHUOUYKVNUOAUXCUYHUXDUWRKVKZUXCUYH
        VKAVVTUWRKUXBWMWPZUUNAUXDBKENAKCVNOPWKZAUYOWOZKBAKCEPNOWEAUYOWFUYPBVWEU
        OZCEWGTBHUYOWHVOZWIZWNZUUOZVVJWLAVNUUPZVWKUAVUQVNVNUUSZVUCVUCVUQVWLVMUE
        UOVUEVUEFFVNVNUUQUUTZUURZAUBUXCBGUWLUXSUYIUFVUQFVNVNVVQVWAVWKVWKUAVWNAG
        UYAUBUXCUXSVAZBVBUGZAUXOUYBUYFWQAUXTUXCWRZBVBUGUYAVWPAUXPBUXCUXTFUXPUXB
        WSZUMUGZFAUBUXPUXSVNAUXDBJDLVVLVVHWNWTUWRJVKZUXCUXPVKAVVAUWRJUXBWMWPZAJ
        VNUXBVVLXAUAVWSVDABUWRFJUMUGZUNUEZUEZUXCUXBWSZVWSUNUEZUEABUWRUYSJUQZWSZ
        UWTUEZJULZVXDAVXIJBAUXAVXIBAUYRVXHUYSVKUWRVXHVKZUXAVXIVKVUGAUWRVXGUYSAU
        WRCUYSAUWRJCVVAMUVAZVUHVQZAUYSJXBXCVXKAUWRVXGXDXEVXHUWRUWSUYSVUKXGWDVUL
        WIVVHVHAUWRUWSJUMUGZUNUEZUEZVXJVXDAUYRUYTVWTVXPVXJVLVUGVUIVWTAVVAXEUWRU
        WSVXNUYSJVUKVXNVDXFWDAUWRVXOVXCAVXNVXBUNAFVIUOZJCVKCXHUOZVXNVXBVLVXQAFU
        AUVBXEZMAVUDVNXHUOZVXRPXICVNXHXJXKZJCFVIXHXLWDXMXNXOXPAVXEUWRVXFVXCAVWS
        VXBUNAVWRJFUMAVWRJUXBWSZJJUXBXRAUXBJVKVYBJVLABJVVHXQUXBJXSXTYAYBXMAVXEU
        WRUXBWSZUWRUWRUXBXRAUXBUWRVKVYCUWRVLABUWRAJKBVVHVWHVHZXQUXBUWRXSXTYAZYC
        VRYDAVWQVWOBVBAUBUXPUXCUXSVXAYIYEXOXPAUWLEBVBUGZUBUXCUYIVAZBVBUGZAVVRUW
        LVYFUOZAEBFKUMUGZFYFUGUEUOZVVRVYIVCZAVUDVVRKCVKZVWFVYKPNOVWGKBCEVYJFVYJ
        VDZUAUVCUVDAKVNVKZBKUOZVYKVYLUVIVWDVWHKBEVYJFUAVYNUVEUVJVFWQAEUXCWRZBVB
        UGVYFVYHAKBUXCEFKUXBWSZUMUGZFNUXCKVKAUXCUWRKUWRUXBUVFZVVTUVGXEZVWDUAVYS
        VDABUWRVYJUNUEZUEZVXEVYSUNUEZUEABUWRUYSKUQZWSZUWTUEZKULZWUCAWUGKBAUXAWU
        GBAUYRWUFUYSVKUWRWUFVKZUXAWUGVKVUGAUWRWUEUYSVXMAUYSKXBXCWUIAUWRWUEXDXEW
        UFUWRUWSUYSVUKXGWDVULWIVWHVHAUWRUWSKUMUGZUNUEZUEZWUHWUCAUYRVUAVWBWULWUH
        VLVUGVUJVWBAVVTXEUWRUWSWUJUYSKVUKWUJVDXFWDAUWRWUKWUBAWUJVYJUNAVXQVYMVXR
        WUJVYJVLVXSOVYAKCFVIXHXLWDXMXNXOXPZAVXEUWRWUDWUBAVYSVYJUNAVYRKFUMAUXBKV
        KVYRKVLABKVWHXQUXBKXSXTZYBXMVYEYCVRYDAVYQVYGBVBAUBKVNUXCENWUAUVHYEXOXPA
        UFVUQFUVKUGZUOZGUWLYGZVWLUOUFWUQVUQFYFUGZUEUOFUAUVLZAGUWLVNVNAUYDGVNUOS
        AJBGCDPLMYHYJZAKVNBENVWHWCZYKWUQUFVUQFVWLVWLVUQVWMUVMZYLVOYMAUBUXCBHUWN
        UYKUWNUFVUQFVNVNVWJVVJVWKVWKUAVWNAHUYMUBUXCUYKVAZBVBUGZAUYGUYNUYQWQAUYL
        UXCWRZBVBUGUYMWVDAUYHBUXCUYLFUYHUXBWSZUMUGZFAUBUYHUYKVNVWIWTVWCAKVNUXBV
        WDXAUAWVGVDABWUCVXEWVGUNUEZUEWUMAVXEUWRWVHWUBAWVGVYJUNAWVFKFUMAWVFVYRKK
        UXBXRWUNYAYBXMVYEYCVRYDAWVEWVCBVBAUBUYHUXCUYKVWCYIYEXOXPAUWNUBUWRUWNVAZ
        BVBUGZUBUXCUWNVAZBVBUGZAUBUWRBVNUWNUWNAVVFUWRVNVKVNVNVKWVIUWRVNUVNUGUOV
        VIAUWRCVNVXLPWKVWKUBUWNUWRVNUVOWDVYDUXDBVLUWNYNUVPAWVJWVIUXCWRZBVBUGWVL
        AUWRBWVIAUBUWRUWNVNAVVFVVBVVIVTWTUVQAWVMWVKBVBUXCUWRVKWVMWVKVLAVYTUBUWR
        UXCUWNUVSWPYEYOXPAWUPHUWNYGZVWLUOUFWVNWURUEUOWUSAHUWNVNVNAUYPHVNUOTAKBH
        CEPNOYHYJZVVIYKWVNUFVUQFVWLWVBYLVOYMAUHWUOUOUWMUWOYGZVWLUOUHWVPWURUEUOF
        UAUVTAUWMUWOVNVNAGUWLWUTWVAWLAHUWNWVOVVIWLYKWVPUHVUQFVWLWVBYLVOYMAUXJVU
        PBVBAUBUXCUXIVUOVUSUXRUYIUFUGZUYJUWNUFUGZUHUGZUXHUTUGWVQUXHUTUGZWVRUXHU
        TUGZUHUGUXIVUOVUSWVQWVRUXHVUSUXRUYIVUSUXQUWNVVEVUSJVNBDVUTABJUOZVURVVHV
        TZWCZWJZVWAWLVUSUYJUWNVUSUYIUWLVWAVUSKVNBEVVSAVYPVURVWHVTWCZWJZWWDWLVUS
        UXDBVVNVUSJVNBVVMWWCWIWJZVVPUVRVUSWVSUXGUXHUTVUSUXQUYIUFUGZUWNUYIUFUGZU
        SUGZWWJUWNUWLUFUGZUSUGZUHUGWWIWWLUSUGWVSUXGVUSWWIWWJWWLVUSUXQUYIVVEVWAW
        LVUSUWNUYIWWDVWAWLVUSUWNUWLWWDWWFWLUWAVUSWVQWWKWVRWWMUHVUSUXQUWNUYIVVEW
        WDVWAUWBVUSWVRUWNUYJUFUGWWMVUSUYJUWNWWGWWDUWCVUSUWNUYIUWLWWDVWAWWFUWDYO
        YTVUSUXEWWIUXFWWLUSVUSVVBUXEWWIVLVVCVUSJKUXQUYIUFUWRDEXHXHUXDADJYPVURAJ
        VNDLYQVTZAEKYPVURAKVNENYQVTZAJXHUOZVURAVVKVXTWWPVVLXIJVNXHXJXKZVTZAKXHU
        OZVURAVYOVXTWWSVWDXIKVNXHXJXKZVTZUWRVDZVUSUXDJUOVCUXQYNVUSUXDKUOVCUYIYN
        YRYJAVURBUWRUOUXFWWLVLVYDVUSJKUWNUWLUFUWRDEXHXHBWWNWWOWWRWXAWXBVUSWWBVC
        UWNYNVUSVYPVCUWLYNYRUWIYTUWEYEVUSWVTVUMWWAVUNUHVUSUXRUYIUXHWWEVWAWWHVVP
        YSVUSUYJUWNUXHWWGWWDWWHVVPYSYTUWJUWFYEVRAUBUWRBUWPCUWSUWQUXJFUYEUAUXJVD
        PAUCUDJKUWRUFVNVNVNDEXHXHUCURZVNUOUDURZVNUOVCWXCWXDUFUGVNUOAWXCWXDUWGWA
        LNWWQWWTWXBUWHVXLVEUWK $.
    $}

    dvadd.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvadd.df $e |- ( ph -> C e. dom ( S _D F ) ) $.
    dvadd.dg $e |- ( ph -> C e. dom ( S _D G ) ) $.
    $( The sum rule for derivatives at a point.  For the (more general)
       relation version, see ~ dvaddbr .  (Contributed by Mario Carneiro,
       9-Aug-2014.)  (Revised by Mario Carneiro, 10-Feb-2015.) $)
    dvadd $p |- ( ph -> ( ( S _D ( F oF + G ) ) ` C ) =
                  ( ( ( S _D F ) ` C ) + ( ( S _D G ) ` C ) ) ) $=
      ( co cdv wfun cfv wbr cc caddc cof wceq cr cpr wcel cdm wf dvfg ffun 3syl
      ccnfld ctopn cvv wss recnprss syl fvexd wb funfvbrb mpbid dvaddbr funbrfv
      4syl eqid sylc ) ACDEUAUBOZPOZQZBBCDPOZRZBCEPOZRZUAOZVHSBVHRVNUCACUDTUEUF
      ZVHUGZTVHUHVILCVGUIVPTVHUJUKABCDEULUMRZVKVMUNFGHIJKAVOCTUOLCUPUQABVJURABV
      LURABVJUGZUFZBVKVJSZMAVOVRTVJUHVJQVSVTUSLCDUIVRTVJUJBVJUTVDVAABVLUGZUFZBV
      MVLSZNAVOWATVLUHVLQWBWCUSLCEUIWATVLUJBVLUTVDVAVQVEVBBVNVHVCVF $.

    $( The product rule for derivatives at a point.  For the (more general)
       relation version, see ~ dvmulbr .  (Contributed by Mario Carneiro,
       9-Aug-2014.)  (Revised by Mario Carneiro, 10-Feb-2015.) $)
    dvmul $p |- ( ph -> ( ( S _D ( F oF x. G ) ) ` C ) =
                  ( ( ( ( S _D F ) ` C ) x. ( G ` C ) ) +
                    ( ( ( S _D G ) ` C ) x. ( F ` C ) ) ) ) $=
      ( cmul co cdv wfun cfv cc cof caddc wbr wceq cr cpr wcel cdm wf dvfg ffun
      3syl ccnfld ctopn cvv wss recnprss fvexd funfvbrb 4syl mpbid eqid dvmulbr
      syl wb funbrfv sylc ) ACDEOUAPZQPZRZBBCDQPZSZBESOPBCEQPZSZBDSOPUBPZVIUCBV
      ISVOUDACUETUFUGZVIUHZTVIUIVJLCVHUJVQTVIUKULABCDEUMUNSZVLVNUOFGHIJKAVPCTUP
      LCUQVDABVKURABVMURABVKUHZUGZBVLVKUCZMAVPVSTVKUIVKRVTWAVELCDUJVSTVKUKBVKUS
      UTVAABVMUHZUGZBVNVMUCZNAVPWBTVMUIVMRWCWDVELCEUJWBTVMUKBVMUSUTVAVRVBVCBVOV
      IVFVG $.
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y ph $.  $d x S $.  $d x X $.
    dvaddf.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvaddf.f $e |- ( ph -> F : X --> CC ) $.
    dvaddf.g $e |- ( ph -> G : X --> CC ) $.
    dvaddf.df $e |- ( ph -> dom ( S _D F ) = X ) $.
    dvaddf.dg $e |- ( ph -> dom ( S _D G ) = X ) $.
    $( The sum rule for everywhere-differentiable functions.  (Contributed by
       Mario Carneiro, 9-Aug-2014.)  (Revised by Mario Carneiro,
       10-Feb-2015.) $)
    dvaddf $p |- ( ph -> ( S _D ( F oF + G ) ) =
                   ( ( S _D F ) oF + ( S _D G ) ) ) $=
      ( vx co caddc cfv cc wf wcel syl mpbid adantr vy cdv cof cv cvv cr dvbsss
      cpr cdm eqsstrrdi ssexd dvfg feq2d wss recnprss wa addcl adantl inidm off
      ffnd dvbss ccnfld ctopn fvexd eleq2d biimpar wfun ffun funfvbrb 4syl eqid
      wbr wb dvaddbr reldv releldmi eqelssd eqidd dvadd eqcomd offveq ) ABCUBLZ
      BDUBLZMUCZLBCDWELZUBLZAKEKUDZWCNZWHWDNZMWCWDWGUEAEBUFOUHZFAEWCUIZBIBCUGUJ
      ZUKZAEOWCAWLOWCPZEOWCPABWKQZWOFBCULZRAWLEOWCIUMSVAAEOWDAWDUIZOWDPZEOWDPAW
      PWSFBDULZRAWREOWDJUMSVAAEOWGAWGUIZOWGPZEOWGPAWPXBFBWFULRAXAEOWGAKXAEAEBWF
      AWPBOUNZFBUORZAKUAEEEMOOOCDUEUEWHOQUAUDZOQUPWHXEMLOQAWHXEUQURGHWNWNEUSUTW
      MVBAWHEQZUPZWHWIWJMLZWGVMWHXAQXGWHBCDVCVDNZWIWJUEEEAEOCPXFGTZAEBUNXFWMTZA
      EODPXFHTZXKAXCXFXDTXGWHWCVEXGWHWDVEXGWHWLQZWHWIWCVMZAXMXFAWLEWHIVFVGZXGWP
      WOWCVHXMXNVNAWPXFFTZWQWLOWCVIWHWCVJVKSXGWHWRQZWHWJWDVMZAXQXFAWREWHJVFVGZX
      GWPWSWDVHXQXRVNXPWTWROWDVIWHWDVJVKSXIVLVOWHXHWGBWFVPVQRVRUMSVAXGWIVSXGWJV
      SXGWHWGNXHXGWHBCDEEXJXKXLXKXPXOXSVTWAWBWA $.

    $( The product rule for everywhere-differentiable functions.  (Contributed
       by Mario Carneiro, 9-Aug-2014.)  (Revised by Mario Carneiro,
       10-Feb-2015.) $)
    dvmulf $p |- ( ph -> ( S _D ( F oF x. G ) ) =
                   ( ( ( S _D F ) oF x. G ) oF + ( ( S _D G ) oF x. F ) ) ) $=
      ( vx cmul co cfv wcel cc wf adantr syl cvv vy cv cof cdv caddc wa wss cdm
      cmpt dvbsss eqsstrrdi cr cpr eleq2d biimpar dvmul mpteq2dva dvfg recnprss
      mulcl adantl ssexd inidm off dvbss wbr ccnfld ctopn wfun wb ffun funfvbrb
      fvexd 3syl mpbid eqid dvmulbr reldv eqelssd feq2d feqmptd offval2 3eqtr4d
      releldmi ovexd ) AKEKUBZBCDLUCZMZUDMZNZUIKEWFBCUDMZNZWFDNZLMZWFBDUDMZNZWF
      CNZLMZUEMZUIWIWKDWGMZWOCWGMZUEUCMAKEWJWSAWFEOZUFZWFBCDEEAEPCQXBGRZAEBUGXB
      AEWKUHZBIBCUJUKZRZAEPDQXBHRZXGABULPUMZOZXBFRAWFXEOZXBAXEEWFIUNUOZAWFWOUHZ
      OZXBAXMEWFJUNUOZUPUQAKEPWIAWIUHZPWIQZEPWIQAXJXQFBWHURSAXPEPWIAKXPEAEBWHAX
      JBPUGZFBUSSZAKUAEEELPPPCDTTWFPOUAUBZPOUFWFXTLMPOAWFXTUTVAGHAEBXIFXFVBZYAE
      VCVDXFVEXCWFWSWIVFWFXPOXCWFBCDVGVHNZWLWPTEEXDXGXHXGAXRXBXSRXCWFWKVMZXCWFW
      OVMZXCXKWFWLWKVFZXLXCXEPWKQZWKVIXKYEVJAYFXBAXJYFFBCURSZRXEPWKVKWFWKVLVNVO
      XCXNWFWPWOVFZXOXCXMPWOQZWOVIXNYHVJAYIXBAXJYIFBDURSZRXMPWOVKWFWOVLVNVOYBVP
      VQWFWSWIBWHVRWDSVSVTVOWAAKEWNWRUEWTXATTTYAXCWLWMLWEXCWPWQLWEAKEWLWMLWKDTT
      TYAYCXCWFDVMAKEPWKAYFEPWKQYGAXEEPWKIVTVOWAAKEPDHWAWBAKEWPWQLWOCTTTYAYDXCW
      FCVMAKEPWOAYIEPWOQYJAXMEPWOJVTVOWAAKEPCGWAWBWBWC $.
  $}

  ${
    $d x A $.  $d x F $.  $d x ph $.  $d x S $.  $d x X $.
    dvcmul.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvcmul.f $e |- ( ph -> F : X --> CC ) $.
    dvcmul.a $e |- ( ph -> A e. CC ) $.
    ${
      dvcmul.x $e |- ( ph -> X C_ S ) $.
      dvcmul.c $e |- ( ph -> C e. dom ( S _D F ) ) $.
      $( The product rule when one argument is a constant.  (Contributed by
         Mario Carneiro, 9-Aug-2014.)  (Revised by Mario Carneiro,
         10-Feb-2015.) $)
      dvcmul $p |- ( ph -> ( ( S _D ( ( S X. { A } ) oF x. F ) ) ` C ) =
                     ( A x. ( ( S _D F ) ` C ) ) ) $=
        ( cxp cmul co cdv cfv cc0 cc syl wceq csn cof caddc wcel fconst6g ssidd
        wf cdm cr cpr recnprss dvbss sseldd cres dvconst dmeqd c0ex fconst fdmi
        wss eqtrdi sseqtrrd dvres3 xpssres oveq2d reseq1d eqtrd 3eqtr3d fconst2
        syl22anc sylibr fdmd eleqtrrd fveq1d fvconst2 oveq1d ffvelrnd fvconst2g
        dvmul mul02d syl2anc dvfg mulcomd oveq12d mulcld addid2d 3eqtrd ) ACDDB
        UAZLZEMUBNONPCDWIONZPZCEPZMNZCDEONZPZCWIPZMNZUCNQBWOMNZUCNWRACDWIEDFABR
        UDZDRWIUGIDBRUESADUFHJGACDWJUHAFDCJAWNUHZFCAFDEADUIRUJUDZDRUTZGDUKSZHJU
        LKUMZUMZADQUAZWJAWJDXFLZTDXFWJUGADRWHLZDUNZONZRXHONZDUNZWJXGAXARRXHUGZR
        RUTDXKUHZUTXJXLTGAWSXMIRBRUESARUFADRXNXCAXNRXFLZUHRAXKXOAWSXKXOTIBUOSZU
        PRXFXORQUQURUSVAVBRDXHVCVJAXIWIDOAXBXIWITXCRWHDVDSVEAXLXODUNZXGAXKXODXP
        VFAXBXQXGTXCRXFDVDSVGVHZDQWJUQVIVKVLVMKVSAWMQWQWRUCAWMQWLMNQAWKQWLMAWKC
        XGPZQACWJXGXRVNACDUDZXSQTXEDQCUQVOSVGVPAWLAFRCEHXDVQVTVGAWQWOBMNWRAWPBW
        OMAWSXTWPBTIXEDBCRVRWAVEAWOBAWTRCWNAXAWTRWNUGGDEWBSKVQZIWCVGWDAWRABWOIY
        AWEWFWG $.
    $}

    dvcmulf.df $e |- ( ph -> dom ( S _D F ) = X ) $.
    $( The product rule when one argument is a constant.  (Contributed by Mario
       Carneiro, 9-Aug-2014.)  (Revised by Mario Carneiro, 10-Feb-2015.) $)
    dvcmulf $p |- ( ph -> ( S _D ( ( S X. { A } ) oF x. F ) ) =
                          ( ( S X. { A } ) oF x. ( S _D F ) ) ) $=
      ( vx cmul co cdv cc wf syl cc0 cfv wceq cmpt csn cxp cof caddc wcel snssd
      fconstg fssd c0ex fconst ccnfld ctopn crest cnt wss cr cpr recnprss ssidd
      cres cdm dvbsss a1i eqsstrrd eqid dvres resmptd fconstmpt reseq1i 3eqtr4g
      syl22anc oveq2d dvconst dmeqd fdmi eqtrdi sseqtrrd dvres3 xpssres reseq1d
      eqtrd 3eqtr3d ctop cnfldtopon resttopon sylancr topontop toponuni sseqtrd
      ctopon ntrss2 syl2anc dvbssntr eqssd reseq12d 3eqtr4d feq1d mpbiri dvmulf
      cuni fdmd cin cv sseqin2 sylib mpteq1d cvv ssexd fvconst2g sylan wa eqidd
      ffnd offval inidm dvfg feq2d mpbid 0cnd ovexd oveq1d mul02 adantl caofid2
      fvexd adantr feqmptd offval2 ffvelrnda mulcld addid2d mulcomd mpteq2dva )
      ACEBUAZUBZDKUCZLZMLCYOMLZDYPLZCDMLZYOYPLZUDUCLZCCYNUBZDYPLZMLUUCYTYPLZACY
      ODEFAEYNNYOABNUEZEYNYOOHEBNUGPZABNHUFZUHGAEQUAZYRAEUUIYROEUUIEUUIUBZOEQUI
      UJAEUUIYRUUJACUUCEUTZMLZCUUCMLZEUKULRZCUMLZUNRRZUTZYRUUJACNUOZCNUUCOCCUOE
      CUOZUULUUQSACUPNUQZUEZUURFCURPZACYNNUUCAUUFCYNUUCOHCBNUGPZUUHUHACUSAEYTVA
      ZCIUVDCUOACDVBVCVDZCECUUOUUCUUNUUNVEZUUOVEZVFVKAUUKYOCMAJCBTZEUTJEBTZUUKY
      OAJCEBUVEVGUUCUVHEJCBVHVIJEBVHZVJVLAJCQTZEUTJEQTZUUQUUJAJCEQUVEVGAUUMUVKU
      UPEAUUMCUUIUBZUVKACNYNUBZCUTZMLZNUVNMLZCUTZUUMUVMAUVANNUVNONNUOCUVQVAZUOU
      VPUVRSFANYNNUVNAUUFNYNUVNOHNBNUGPUUHUHANUSACNUVSUVBAUVSNUUIUBZVANAUVQUVTA
      UUFUVQUVTSHBVMPZVNNUUIUVTNQUIUJVOVPVQNCUVNVRVKAUVOUUCCMAUURUVOUUCSUVBNYNC
      VSPVLAUVRUVTCUTZUVMAUVQUVTCUWAVTAUURUWBUVMSUVBNUUICVSPWAWBJCQVHVPAUUPEAUU
      OWCUEZEUUOWTZUOUUPEUOAUUOCWJRUEZUWCAUUNNWJRUEUURUWEUUNUVFWDUVBCUUNNWEWFZC
      UUOWGPAECUWDUVEAUWECUWDSUWFCUUOWHPWIEUUOUWDUWDVEWKWLAEUVDUUPIAECDUUOUUNUV
      BGUVEUVGUVFWMVDWNWOUUJUVLSAJEQVHZVCWPWBZWQWRXAIWSAUUDYQCMAJCEXBZBJXCZDRZK
      LZTJEUWLTUUDYQAJUWIEUWLAUUSUWIESUVEECXDXEZXFAJCEBUWKKUWIUUCDUUTXGACYNUUCU
      VCXMZAENDGXMZFAECUUTFUVEXHZUWIVEZAUUFUWJCUEUWJUUCRBSHCBUWJNXIXJZAUWJEUEZX
      KZUWKXLZXNAJEEBUWKKEYODXGXGAEYNYOUUGXMUWOUWPUWPEXOAUUFUWSUWJYORBSHEBUWJNX
      IXJUXAXNWPVLAJUWIBUWJYTRZKLZTJEUXCTZUUEUUBAJUWIEUXCUWMXFAJCEBUXBKUWIUUCYT
      UUTXGUWNAENYTAUVDNYTOZENYTOAUVAUXEFCDXPPAUVDENYTIXQXRZXMFUWPUWQUWRUWTUXBX
      LXNAUUBJEQUXBBKLZUDLZTUXDAJEQUXGUDYSUUAXGNXGUWPUWTXSUWTUXBBKXTAYSUUJUVLAY
      SUUJDYPLUUJAYRUUJDYPUWHYAAJEQQKNDXGNNUWPGAXSZUXIUWJNUEQUWJKLQSAUWJYBYCYDW
      AUWGVPAJEUXBBKYTYOXGXGNUWPUWTUWJYTYEAUUFUWSHYFZAJENYTUXFYGYOUVISAUVJVCYHY
      HAJEUXHUXCUWTUXHUXGUXCUWTUXGUWTUXBBAENUWJYTUXFYIZUXJYJYKUWTUXBBUXKUXJYLWA
      YMWAWPWP $.
  $}

  ${
    $d y z C $.  $d y z F $.  $d y z G $.  $d y z J $.  $d z L $.  $d y z ph $.
    $d y z K $.  $d y S $.  $d z T $.  $d y z X $.  $d z Y $.
    dvco.f $e |- ( ph -> F : X --> CC ) $.
    dvco.x $e |- ( ph -> X C_ S ) $.
    dvco.g $e |- ( ph -> G : Y --> X ) $.
    dvco.y $e |- ( ph -> Y C_ T ) $.
    ${
      dvcobr.s $e |- ( ph -> S C_ CC ) $.
      dvcobr.t $e |- ( ph -> T C_ CC ) $.
      dvco.k $e |- ( ph -> K e. V ) $.
      dvco.l $e |- ( ph -> L e. V ) $.
      dvco.bf $e |- ( ph -> ( G ` C ) ( S _D F ) K ) $.
      dvco.bg $e |- ( ph -> C ( T _D G ) L ) $.
      dvco.j $e |- J = ( TopOpen ` CCfld ) $.
      $( The chain rule for derivatives at a point.  For the (simpler but more
         limited) function version, see ~ dvco .  (Contributed by Mario
         Carneiro, 9-Aug-2014.)  (Revised by Mario Carneiro, 28-Dec-2016.) $)
      dvcobr $p |- ( ph -> C ( T _D ( F o. G ) ) ( K x. L ) ) $=
        ( vz vy cmul co ccom cdv wbr crest cnt cfv wcel csn cdif cmin cdiv cmpt
        cv climc wa eqid cc sstrd fssd eldv mpbid simpld wceq cif dvcl ad2antrr
        ctx mpdan wn adantr eldifi ffvelrn syl2an ffvelrnd cdm dvbss wrel reldv
        wf releldm sylancr sseldd subcld ad2antlr cc0 simpr subeq0ad necon3abid
        wne mpbird divcld ifclda dvlem ssidd cxp cnfldtopon txtopon toponrestid
        ctopon mp2an anim1i eldifsn sylibr anasss eldifsni ifnefalse syl adantl
        eqeltrd limcresi feqmptd reseq1d wss difss resmpt ax-mp eqtrdi sseqtrid
        cres oveq1d ccnp dvcnp2 syl31anc wb cnplimc syl2anc fveq2 oveq1 oveq12d
        simprd eqeq1d eqtrd fvco3 mpteq2ia oveq1i eleqtrrdi eqeq1 iftrue limcco
        ifbieq2d ad2antll ccn cop mulcn opelxpd toponunii cncnpi mul01d biimpar
        limccnp2 subne0d oveq2d syl5ibr imp 3eqtr4d dmdcan2d ifbothda mpteq2dva
        div0d eqtr4d eleqtrd fco mpbir2and ) ABHIUFUGZDEFUHZUIUGUJBLGDUKUGZULUM
        UMUNZUVKUDLBUOZUPZUDUTZUVLUMZBUVLUMZUQUGZUVQBUQUGZURUGZUSZBVAUGZUNAUVNI
        UDUVPUVQFUMZBFUMZUQUGZUWAURUGZUSZBVAUGUNZABIDFUIUGZUJZUVNUWJVBUBAUDLBID
        UVMFUWIGUVMVCZUCUWIVCRALKVDFOAKCVDNQVEZVFZPVGVHZVIAUVKUDUVPUWEUWFVJZHUW
        EEUMZUWFEUMZUQUGZUWGURUGZVKZUWHUFUGZUSZBVAUGUWDAUDUVPBHIUXBUWHUFGGVNUGZ
        GVDVDAUVQUVPUNZVBZUWQHUXAVDAHVDUNZUXFUWQAUWFHCEUIUGUJZUXHUAAKUWFHCEQMNV
        LVOZVMZUXGUWQVPZVBZUWTUWGUXMUWRUWSUXGUWRVDUNUXLUXGKVDUWEEAKVDEWFZUXFMVQ
        ZALKFWFZUVQLUNZUWEKUNZUXFOUVQLUVOVRZLKUVQFVSVTZWAZVQUXGUWSVDUNUXLUXGKVD
        UWFEUXOUXGLKBFAUXPUXFOVQABLUNZUXFAUWKWBZLBALDFRUWOPWCAUWKWDUWLBUYCUNZDF
        WEUBBIUWKWGWHZWIZVQZWAZWAZVQWJZUXMUWEUWFUXMLVDUVQFALVDFWFZUXFUXLUWOVMZU
        XFUXQAUXLUXSWKWAZUXMLVDBFUYLAUYBUXFUXLUYFVMWAZWJZUXMUWGWLWPUXLUXGUXLWMU
        XMUWQUWGWLUXMUWEUWFUYMUYNWNWOWQZWRWSAUVQBLFUWOALDVDPRVEZUYFWTAVDXAZUYRU
        CUXEVDVDXBZGVDXFUMUNZUYTUXEUYSXFUMUNGUCXCZVUAGGVDVDXDXGZXEAUDUEUVPKUWFU
        OUPZUWFHUWEUEUTZUWFVJZHVUDEUMZUWSUQUGZVUDUWFUQUGZURUGZVKZUXBBAUXFUWEUWF
        WPZUWEVUCUNZUXGVUKVBUXRVUKVBVULUXGUXRVUKUXTXHUWEKUWFXIXJXKAVUDVUCUNZVBV
        UJVUIVDVUMVUJVUIVJZAVUMVUDUWFWPVUNVUDKUWFXLVUDUWFHVUIXMXNZXOAVUDUWFKEMU
        WNALKBFOUYFWAWTXPAFBVAUGZUDUVPUWEUSZBVAUGZUWFAFUVPYFZBVAUGVUPVURBUVPFXQ
        AVUSVUQBVAAVUSUDLUWEUSZUVPYFZVUQAFVUTUVPAUDLKFOXRXSUVPLXTVVAVUQVJLUVOYA
        UDLUVPUWEYBYCYDYGYEAUYKUWFVUPUNZAFBGLUKUGZGYHUGUMUNZUYKVVBVBZADVDXTUYKL
        DXTUYDVVDRUWOPUYELBDFVVCGVVCVCZUCYIYJALVDXTZUYBVVDVVEYKUYQUYFLBFVVCGUCV
        VFYLYMVHYQWIAHUEVUCVUIUSZUWFVAUGZUEVUCVUJUSZUWFVAUGAUWFKGCUKUGZULUMUMUN
        ZHVVIUNZAUXIVVLVVMVBUAAUEKUWFHCVVKEVVHGVVKVCUCVVHVCQMNVGVHYQVVJVVHUWFVA
        UEVUCVUJVUIVUOUUAUUBUUCVUDUWEVJZVUEUWQVUIUXAHVUDUWEUWFUUDVVNVUGUWTVUHUW
        GURVVNVUFUWRUWSUQVUDUWEEYNYGVUDUWEUWFUQYOYPUUGUWQUXBHVJAUXFUWQHUXAUUEUU
        HUUFAUVNUWJUWPYQAUFUXEGUUIUGUNHIUUJZUYSUNUFVVOUXEGYHUGUMUNGUCUUKAHIVDVD
        UXJAUWLIVDUNUBALBIDFRUWOPVLVOUULVVOUFUXEGUYSUYSUXEVUBUUMUUNWHUUQAUXDUWC
        BVAAUDUVPUXCUWBUXGUXCUWTUWAURUGZUWBUWQHUWHUFUGZVVPVJUXAUWHUFUGZVVPVJUXC
        VVPVJUXGHUXAHUXBVJVVQUXCVVPHUXBUWHUFYOYRUXAUXBVJVVRUXCVVPUXAUXBUWHUFYOY
        RUXGUWQVBZHWLUFUGWLVVQVVPVVSHUXKUUOVVSUWHWLHUFVVSUWHWLUWAURUGZWLVVSUWGW
        LUWAURUXGUWGWLVJUWQUXGUWEUWFUXGKVDUWEAKVDXTUXFUWNVQZUXTWIUXGKVDUWFVWAUY
        HWIWNUUPYGUXGVVTWLVJUWQUXGUWAUXGUVQBUXGLVDUVQAVVGUXFUYQVQZUXFUXQAUXSXOW
        IZUXGLVDBVWBUYGWIZWJZUXGUVQBVWCVWDUXFUVQBWPAUVQLBXLXOUURZUVFVQZYSUUSVVS
        VVPVVTWLVVSUWTWLUWAURUXGUWQUWTWLVJZUWQVWHUXGUWRUWSVJUWEUWFEYNUXGUWRUWSU
        YAUYIWNUUTUVAYGVWGYSUVBUXMUWTUWGUWAUYJUYOUXGUWAVDUNUXLVWEVQUYPUXGUWAWLW
        PUXLVWFVQUVCUVDUXGUVTUWTUWAURUXGUVRUWRUVSUWSUQAUXPUXQUVRUWRVJUXFOUXSLKU
        VQEFYTVTAUVSUWSVJZUXFAUXPUYBVWIOUYFLKBEFYTYMVQYPYGUVGUVEYGUVHAUDLBUVKDU
        VMUVLUWCGUWMUCUWCVCRAUXNUXPLVDUVLWFMOLKVDEFUVIYMPVGUVJ $.
    $}

    dvco.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvco.t $e |- ( ph -> T e. { RR , CC } ) $.
    dvco.df $e |- ( ph -> ( G ` C ) e. dom ( S _D F ) ) $.
    dvco.dg $e |- ( ph -> C e. dom ( T _D G ) ) $.
    $( The chain rule for derivatives at a point.  For the (more general)
       relation version, see ~ dvcobr .  (Contributed by Mario Carneiro,
       9-Aug-2014.)  (Revised by Mario Carneiro, 10-Feb-2015.) $)
    dvco $p |- ( ph -> ( ( T _D ( F o. G ) ) ` C ) =
                 ( ( ( S _D F ) ` ( G ` C ) ) x. ( ( T _D G ) ` C ) ) ) $=
      ( co cfv cc wcel ccom cdv wfun cmul wbr wceq cr cpr cdm wf dvfg ffun 3syl
      ccnfld ctopn cvv wss recnprss fvexd wb funfvbrb 4syl mpbid dvcobr funbrfv
      syl eqid sylc ) ADEFUAZUBQZUCZBBFRZCEUBQZRZBDFUBQZRZUDQZVJUEBVJRVQUFADUGS
      UHZTZVJUIZSVJUJVKNDVIUKVTSVJULUMABCDEFUNUORZVNVPUPGHIJKLACVRTZCSUQMCURVFA
      VSDSUQNDURVFAVLVMUSABVOUSAVLVMUIZTZVLVNVMUEZOAWBWCSVMUJVMUCWDWEUTMCEUKWCS
      VMULVLVMVAVBVCABVOUIZTZBVPVOUEZPAVSWFSVOUJVOUCWGWHUTNDFUKWFSVOULBVOVAVBVC
      WAVGVDBVQVJVEVH $.
  $}

  ${
    $d x y F $.  $d x y G $.  $d x ph $.  $d x y S $.  $d x y X $.  $d x T $.
    $d x Y $.
    dvcof.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvcof.t $e |- ( ph -> T e. { RR , CC } ) $.
    dvcof.f $e |- ( ph -> F : X --> CC ) $.
    dvcof.g $e |- ( ph -> G : Y --> X ) $.
    dvcof.df $e |- ( ph -> dom ( S _D F ) = X ) $.
    dvcof.dg $e |- ( ph -> dom ( T _D G ) = Y ) $.
    $( The chain rule for everywhere-differentiable functions.  (Contributed by
       Mario Carneiro, 10-Aug-2014.)  (Revised by Mario Carneiro,
       10-Feb-2015.) $)
    dvcof $p |- ( ph -> ( T _D ( F o. G ) ) =
                 ( ( ( S _D F ) o. G ) oF x. ( T _D G ) ) ) $=
      ( vx cfv wcel cc wf adantr syl vy cv ccom cdv co cmpt cmul cof wa wss cdm
      dvbsss eqsstrrdi cr ffvelrnda wceq eleqtrrd eleq2d biimpar dvco mpteq2dva
      cpr dvfg recnprss fco syl2anc dvbss wbr ccnfld ctopn cvv wfun wb funfvbrb
      fvexd ffun 4syl mpbid eqid dvcobr reldv eqelssd feq2d feqmptd ssexd fveq2
      releldmi fmptco offval2 3eqtr4d ) ANGNUBZCDEUCZUDUEZOZUFNGWKEOZBDUDUEZOZW
      KCEUDUEZOZUGUEZUFWMWPEUCZWRUGUHUEANGWNWTAWKGPZUIZWKBCDEFGAFQDRZXBJSZAFBUJ
      XBAFWPUKZBLBDULUMSZAGFERZXBKSZAGCUJXBAGWRUKZCMCEULUMZSZABUNQVBZPZXBHSZACX
      MPZXBISZXCWOFXFAGFWKEKUOZAXFFUPXBLSUQZAWKXJPZXBAXJGWKMURUSZUTVAANGQWMAWMU
      KZQWMRZGQWMRAXPYCICWLVCTAYBGQWMANYBGAGCWLAXPCQUJZICVDZTAXDXHGQWLRJKGFQDEV
      EVFXKVGXCWKWTWMVHWKYBPXCWKBCDEVIVJOZWQWSVKFGXEXGXIXLXCXNBQUJXOBVDTXCXPYDX
      QYETXCWOWPVOZXCWKWRVOZXCWOXFPZWOWQWPVHZXSXCXNXFQWPRZWPVLYIYJVMXOBDVCZXFQW
      PVPWOWPVNVQVRXCXTWKWSWRVHZYAXCXPXJQWRRZWRVLXTYMVMXQCEVCZXJQWRVPWKWRVNVQVR
      YFVSVTWKWTWMCWLWAWGTWBWCVRWDANGWQWSUGXAWRVKVKVKAGCXMIXKWEYGYHANUAGFWOUAUB
      ZWPOWQEWPXRANGFEKWDAUAFQWPAYKFQWPRAXNYKHYLTAXFFQWPLWCVRWDYPWOWPWFWHANGQWR
      AYNGQWRRAXPYNIYOTAXJGQWRMWCVRWDWIWJ $.
  $}

  ${
    $d x C $.  $d x F $.  $d x ph $.  $d x X $.
    dvcj.f $e |- ( ph -> F : X --> CC ) $.
    dvcj.x $e |- ( ph -> X C_ RR ) $.
    dvcj.c $e |- ( ph -> C e. dom ( RR _D F ) ) $.
    $( The derivative of the conjugate of a function.  For the (simpler but
       more limited) function version, see ~ dvcj .  (This doesn't follow from
       ~ dvcobr because ` * ` is not a function on the reals, and even if we
       used complex derivatives, ` * ` is not complex-differentiable.)
       (Contributed by Mario Carneiro, 1-Sep-2014.)  (Revised by Mario
       Carneiro, 10-Feb-2015.) $)
    dvcjbr $p |- ( ph ->
      C ( RR _D ( * o. F ) ) ( * ` ( ( RR _D F ) ` C ) ) ) $=
      ( vx cr co cfv ccj wcel cmin cdiv cmpt climc cc wf adantr cdv wbr crn ctg
      ccom cioo cnt csn cdif cdm ccnfld ctopn wss ax-resscn a1i tgioo2 dvbssntr
      cv eqid sseldd sstrdi wa simpl simpr dvbss syl2anc dvlem ssidd cnfldtopon
      fmpttd toponrestid wfun wb dvf ffun funfvbrb mp2b sylib eldv mpbid simprd
      ccn ccnp ccncf cjcncf cncfcn1 eleqtri ffvelrni syl cncnpi sylancr limccnp
      unicntop cjf cofmpt eldifi adantl ffvelrnd subcld sselda sylan2 recnd wne
      resubcld eldifsni subne0d cjdivd wceq cjsub fvco3 syl2an eqtr4d mpteq2dva
      oveq12d cjred eqtrd oveq1d eleqtrd fco mpbir2and ) ABBICUAJZKZLKZILCUEZUA
      JUBBDUFUCUDKZUGKKZMZYCHDBUHZUIZHURZYDKZBYDKZNJZYJBNJZOJZPZBQJZMAYAUJZYFBA
      DICYEUKULKZIRUMZAUNUOZEFYSYSUSZUPZUUBUQGUTAYCLHYIYJCKZBCKZNJZYNOJZPZUEZBQ
      JYQAYIBYBRUUHLYSYSAHYIUUGRAYJBDCEADIRFUNVAAYRDBADRCSZDIUMZYRDUMEFUUJUUKVB
      ZDICYTUULUNUOUUJUUKVCUUJUUKVDVEVFGUTZVGZVJARVHUUBYSRYSUUBVIVKAYGYBUUHBQJM
      ZABYBYAUBZYGUUOVBABYRMZUUPGYRRYASYAVLUUQUUPVMCVNZYRRYAVOBYAVPVQVRAHDBYBIY
      ECUUHYSUUCUUBUUHUSUUAEFVSVTWAALYSYSWBJZMYBRMZLYBYSYSWCJKMLRRWDJUUSWEYSUUB
      WFWGAUUQUUTGYRRBYAUURWHWIYBLYSYSRWMWJWKWLAUUIYPBQAUUIHYIUUGLKZPYPAHYIUUGR
      RLRRLSZAWNUOUUNWOAHYIUVAYOAYJYIMZVBZUVAUUFLKZYNLKZOJYOUVDUUFYNUVDUUDUUEUV
      DDRYJCAUUJUVCETUVCYJDMZAYJDYHWPZWQWRZAUUERMZUVCADRBCEUUMWRTZWSUVDYNUVDYJB
      UVCAUVGYJIMUVHADIYJFWTXAZABIMUVCADIBFUUMUTTZXDZXBUVDYJBUVDYJUVLXBUVDBUVMX
      BUVCYJBXCAYJDBXEWQXFXGUVDUVEYMUVFYNOUVDUVEUUDLKZUUELKZNJZYMUVDUUDRMUVJUVE
      UVQXHUVIUVKUUDUUEXIVFUVDYKUVOYLUVPNAUUJUVGYKUVOXHUVCEUVHDRYJLCXJXKAYLUVPX
      HZUVCAUUJBDMUVREUUMDRBLCXJVFTXNXLUVDYNUVNXOXNXPXMXPXQXRAHDBYCIYEYDYPYSUUC
      UUBYPUSUUAAUVBUUJDRYDSWNEDRRLCXSWKFVSXT $.
  $}

  ${
    $d x y F $.  $d x X $.
    $( The derivative of the conjugate of a function.  For the (more general)
       relation version, see ~ dvcjbr .  (Contributed by Mario Carneiro,
       1-Sep-2014.)  (Revised by Mario Carneiro, 10-Feb-2015.) $)
    dvcj $p |- ( ( F : X --> CC /\ X C_ RR ) ->
      ( RR _D ( * o. F ) ) = ( * o. ( RR _D F ) ) ) $=
      ( vx vy cc wf cr wa cdv co cdm cv ccj ccom cmpt wcel feqmptd fveq2 fmptco
      cfv wss wfun wbr wceq ffun ax-mp simpll simplr simpr dvcjbr funbrfv mpsyl
      dvf mpteq2dva cjf fco mpan ad2antrr vex fvex breldm ssrdv ffvelrn adantlr
      syl ex cjcjd cjcld simpl 3eqtr4d oveq2d dmeqd sseqtrd eqelssd feq2d mpbii
      a1i ffvelrni adantl ) BEAFZBGUAZHZCGAIJZKZCLZGMANZIJZTZOCWDWEWCTZMTZOWGMW
      CNWBCWDWHWJWGUBZWBWEWDPZHZWEWJWGUCZWHWJUDWGKZEWGFZWKWFUMZWOEWGUEUFWMWEABV
      TWAWLUGVTWAWLUHWBWLUIUJZWEWJWGUKULUNWBCWDEWGWBWPWDEWGFWQWBWOWDEWGWBCWOWDW
      BWOGMWFNZIJZKZWDWBCWOXAWBWEWOPZWEXAPZWBXBHZWEWHMTZWTUCXCXDWEWFBVTBEWFFZWA
      XBEEMFZVTXFUOBEEMAUPUQURVTWAXBUHWBXBUIUJWEXEWTCUSZWHMUTVAVEVFVBWBWTWCWBWS
      AGIWBCBWEATZMTZMTZOCBXIOWSAWBCBXKXIWBWEBPZHZXIVTXLXIEPWABEWEAVCVDZVGUNWBC
      DBEXJDLZMTZXKWFMXMXIXNVHWBCDBEXIXPXJAMXNWBCBEAVTWAVIQZWBDEEMXGWBUOVQQZXOX
      IMRSXRXOXJMRSXQVJVKVLVMWMWNXBWRWEWJWGXHWIMUTVAVEVNVOVPQWBCDWDEWIXPWJWCMWL
      WIEPWBWDEWEWCAUMZVRVSWBCWDEWCWDEWCFWBXSVQQXRXOWIMRSVJ $.
  $}

  ${
    $d n x y A $.  $d n x y z F $.  $d x N $.
    $( The derivative of a real function is real.  (Contributed by Mario
       Carneiro, 1-Sep-2014.) $)
    dvfre $p |- ( ( F : A --> RR /\ A C_ RR ) ->
                  ( RR _D F ) : dom ( RR _D F ) --> RR ) $=
      ( vx vy vz cr wf wss wa cdv co cv cfv wcel cc ccj ccom wceq cmpt feqmptd
      cdm wfn wral dvf mp1i ffvelrni adantl simpr fvco3 sylancr ax-resscn mpan2
      ffn fss dvcj sylan ffvelrn adantlr cjred mpteq2dva recnd simpl cjf fmptco
      fveq2 3eqtr4d oveq2d eqtr3d fveq1d adantr cjrebd ralrimiva ffnfv sylanbrc
      a1i ) AFBGZAFHZIZFBJKZVSUAZUBZCLZVSMZFNZCVTUCVTFVSGVTOVSGZWAVRBUDZVTOVSUM
      UEVRWDCVTVRWBVTNZIZWCWGWCONVRVTOWBVSWFUFUGWHWBPVSQZMZWCPMZWCWHWEWGWJWKRWF
      VRWGUHVTOWBPVSUIUJVRWJWCRWGVRWBWIVSVRFPBQZJKZWIVSVPAOBGZVQWMWIRVPFOHWNUKA
      FOBUNULBAUOUPVRWLBFJVRDADLZBMZPMZSDAWPSWLBVRDAWQWPVRWOANZIZWPVPWRWPFNVQAF
      WOBUQURZUSUTVRDEAOWPELZPMWQBPWSWPWTVAVRDAFBVPVQVBTZVREOOPOOPGVRVCVOTXAWPP
      VEVDXBVFVGVHVIVJVHVKVLCVTFVSVMVN $.

    $( The ` N ` -th derivative of a real function is real.  (Contributed by
       Mario Carneiro, 1-Jan-2017.) $)
    dvnfre $p |- ( ( F : A --> RR /\ A C_ RR /\ N e. NN0 ) ->
                  ( ( RR Dn F ) ` N ) : dom ( ( RR Dn F ) ` N ) --> RR ) $=
      ( cr wf wss wcel co cfv cdm wa wi cc0 wceq fveq2 dmeqd feq12d imbi2d cvv
      cc vx vn cn0 cdvn cv caddc simpl cpm ax-resscn fss mpan2 cnex reex elpm2r
      c1 mpanl12 sylan dvn0 sylancr fdm adantr eqtrd mpbird simprr prid1 simprl
      cdv dvnbss mp3an2ani sseqtrd simplr sstrd dvfre syl2anc dvnp1 expr expcom
      cpr a2d nn0ind com12 3impia ) ADBEZADFZCUCGZCDBUDHZIZJZDWGEZWEWCWDKZWIWJU
      AUEZWFIZJZDWLEZLWJMWFIZJZDWOEZLWJUBUEZWFIZJZDWSEZLWJWRUOUFHZWFIZJZDXCEZLW
      JWILUAUBCWKMNZWNWQWJXFWMWPDWLWOWKMWFOZXFWLWOXGPQRWKWRNZWNXAWJXHWMWTDWLWSW
      KWRWFOZXHWLWSXIPQRWKXBNZWNXEWJXJWMXDDWLXCWKXBWFOZXJWLXCXKPQRWKCNZWNWIWJXL
      WMWHDWLWGWKCWFOZXLWLWGXMPQRWJWQWCWCWDUGWJWPADWOBWJDTFZBTDUHHGZWOBNUIWCATB
      EZWDXOWCXNXPUIADTBUJUKTSGDSGXPWDKXOULUMTDABSSUNUPUQZDBURUSZWJWPBJZAWJWOBX
      RPWCXSANZWDADBUTVAZVBQVCWRUCGZWJXAXEWJYBXAXELWJYBXAXEWJYBXAKZKZXEDWSVGHZJ
      ZDYEEZYDXAWTDFYGWJYBXAVDYDWTADYDWTXSADDTVRGWJXOYCYBWTXSFDTUMVEXQWJYBXAVFZ
      DBWRVHVIWJXTYCYAVAVJWCWDYCVKVLWTWSVMVNYDXDYFDXCYEXNWJXOYCYBXCYENUIXQYHDBW
      RVOVIZYDXCYEYIPQVCVPVQVSVTWAWB $.
  $}

  ${
    $d k n x N $.
    $( Derivative of a power function.  (Contributed by Mario Carneiro,
       9-Aug-2014.)  (Revised by Mario Carneiro, 10-Feb-2015.) $)
    dvexp $p |- ( N e. NN -> ( CC _D ( x e. CC |-> ( x ^ N ) ) ) =
                  ( x e. CC |-> ( N x. ( x ^ ( N - 1 ) ) ) ) ) $=
      ( cc cexp co cmpt cdv c1 cmin cmul wceq caddc mpteq2dv oveq2d id wcel a1i
      oveq1 cvv wf vn vk cv oveq2 oveq12d eqeq12d cid cres exp1 mpteq2ia eqtr4i
      mptresid oveq2i csn cxp cc0 1m1e0 exp0 syl5eq 1t1e1 eqtrdi fconstmpt dvid
      cn cof nncn adantr ax-1cn pncan sylancl cn0 nnnn0 syl2anr adddird mulid2d
      wa expcl 3eqtrd mpteq2dva cnex mulcld nnm1nn0 simpr eqidd offval2 mulassd
      expm1t ancoms eqtr4d eqtrd eqtri oveq1d eqcomd sylan9eq cr cpr cnelprrecn
      fmpttd wf1o f1oi f1of mp1i cdm dmeqd fdmd fconst feq1i mpbir dvmulf expp1
      1ex fdmi 3eqtr2rd ex nnind ) CACAUCZUAUCZDEZFZGEZACXQXPXQHIEZDEZJEZFZKCAC
      XPHDEZFZGEZACHXPHHIEZDEZJEZFZKCACXPUBUCZDEZFZGEZACYLXPYLHIEZDEZJEZFZKZCAC
      XPYLHLEZDEZFZGEZACUUAXPUUAHIEZDEZJEZFZKZCACXPBDEZFZGEZACBXPBHIEZDEZJEZFZK
      UAUBBXQHKZXTYGYDYKUUQXSYFCGUUQACXRYEXQHXPDUDMNUUQACYCYJUUQXQHYBYIJUUQOUUQ
      YAYHXPDXQHHIRNUEMUFXQYLKZXTYOYDYSUURXSYNCGUURACXRYMXQYLXPDUDMNUURACYCYRUU
      RXQYLYBYQJUUROUURYAYPXPDXQYLHIRNUEMUFXQUUAKZXTUUDYDUUHUUSXSUUCCGUUSACXRUU
      BXQUUAXPDUDMNUUSACYCUUGUUSXQUUAYBUUFJUUSOUUSYAUUEXPDXQUUAHIRNUEMUFXQBKZXT
      UULYDUUPUUTXSUUKCGUUTACXRUUJXQBXPDUDMNUUTACYCUUOUUTXQBYBUUNJUUTOUUTYAUUMX
      PDXQBHIRNUEMUFYGCUGCUHZGEZYKYFUVACGYFACXPFZUVAACYEXPXPUIUJACULZUKUMYKCHUN
      ZUOZUVBYKACHFZUVFACYJHXPCPZYJHHJEHUVHYIHHJUVHYIXPUPDEHYHUPXPDUQUMXPURUSNU
      TVAUJACHVBZUKVCUKUKYLVDPZYTUUIUVJYTVPZUUHYOUVAJVEZEZUVBYNUVLEZLVEZEZCYNUV
      AUVLEZGEZUUDUVJYTUUHYSUVAUVLEZUVNUVOEZUVPUVJUUHACYLYMJEZYMLEZFUVTUVJACUUG
      UWBUVJUVHVPZUUGUUAYMJEUWAHYMJEZLEUWBUWCUUFYMUUAJUWCUUEYLXPDUWCYLCPZHCPZUU
      EYLKUVJUWEUVHYLVFVGZVHYLHVIVJNNUWCYLHYMUWGUWFUWCVHQZUVHUVHYLVKPZYMCPUVJUV
      HOZYLVLZXPYLVQVMZVNUWCUWDYMUWALUWCYMUWLVOZNVRVSUVJACUWAYMLUVSUVNSCCCSPUVJ
      VTQZUWCYLYMUWGUWLWAUWLUVJUVSACYRXPJEZFACUWAFUVJACYRXPJYSUVASCCUWNUWCYLYQU
      WGUVHUVHYPVKPYQCPUVJUWJYLWBXPYPVQVMZWAZUVJUVHWCZUVJYSWDUVAUVCKUVJUVDQZWEU
      VJACUWOUWAUWCUWOYLYQXPJEZJEUWAUWCYLYQXPUWGUWPUWRWFUWCYMUWTYLJUVHUVJYMUWTK
      XPYLWGWHNWIVSWJUVJUVNACUWDFYNUVJACHYMJUVBYNSCCUWNUWHUWLUVBUVGKUVJUVBUVFUV
      GVCUVIWKQUVJYNWDZWEUVJACUWDYMUWMVSWJWEWIYTUVPUVTYTUVMUVSUVNUVOYOYSUVAUVLR
      WLWMWNUVKCYNUVACCWOCWPPUVKWQQUVJCCYNTYTUVJACYMCUWLWRVGCCUVAWSCCUVATUVKCWT
      CCUVAXAXBUVKYOXCYSXCCUVKYOYSUVJYTWCXDUVKCCYSUVJCCYSTYTUVJACYRCUWQWRVGXEWJ
      UVBXCCKUVKCUVEUVBCUVEUVBTCUVEUVFTCHXKXFCUVEUVBUVFVCXGXHXLQXIUVJUVRUUDKYTU
      VJUVQUUCCGUVJUVQACYMXPJEZFUUCUVJACYMXPJYNUVASCCUWNUWLUWRUXAUWSWEUVJACUUBU
      XBUVHUVHUWIUUBUXBKUVJUWJUWKXPYLXJVMVSWINVGXMXNXO $.
  $}

  ${
    $d x N $.
    $( Derivative of an exponential, possibly zero power.  (Contributed by
       Stefan O'Rear, 13-Nov-2014.)  (Revised by Mario Carneiro,
       10-Feb-2015.) $)
    dvexp2 $p |- ( N e. NN0 -> ( CC _D ( x e. CC |-> ( x ^ N ) ) ) =
        ( x e. CC |-> if ( N = 0 , 0 , ( N x. ( x ^ ( N - 1 ) ) ) ) ) ) $=
      ( cn0 wcel cn cc0 wceq wo cc cexp co cdv c1 mpteq2dv eqtr4d csn fconstmpt
      cmpt cxp eqtrdi cv cmin cmul elnn0 dvexp nnne0 neneqd iffalsed oveq2 exp0
      sylan9eq mpteq2dva eqtr4di oveq2d ax-1cn dvconst ax-mp iftrue jaoi sylbi
      cif ) BCDBEDZBFGZHIAIAUAZBJKZRZLKZAIVCFBVDBMUBKJKUCKZVAZRZGZBUDVBVKVCVBVG
      AIVHRVJABUEVBAIVIVHVBVCFVHVBBFBUFUGUHNOVCVGAIFRZVJVCVGIFPSZVLVCVGIIMPSZLK
      ZVMVCVFVNILVCVFAIMRVNVCAIVEMVCVDIDVEVDFJKMBFVDJUIVDUJUKULAIMQUMUNMIDVOVMG
      UOMUPUQTAIFQTVCAIVIFVCFVHURNOUSUT $.
  $}

  ${
    $d x y z A $.
    $( Derivative of the reciprocal function.  (Contributed by Mario Carneiro,
       25-Feb-2015.)  (Revised by Mario Carneiro, 28-Dec-2016.) $)
    dvrec $p |- ( A e. CC -> ( CC _D ( x e. ( CC \ { 0 } ) |-> ( A / x ) ) ) =
        ( x e. ( CC \ { 0 } ) |-> -u ( A / ( x ^ 2 ) ) ) ) $=
      ( vy vz cc wcel cc0 cdiv cmpt cneg wne cfv cmin wceq eqid cmul adantl syl
      co wf csn cdif cv cdv c2 cexp cdm dvfcn ssidd eldifsn divcl 3expb sylan2b
      wa fmpttd difssd dvbss wbr ccnfld ctopn cnt climc simpr ctop cnfldtop cha
      ccld cnfldhaus unicntop sncld mp2an cldopn ax-mp isopn3i eleqtrrdi eldifi
      0cn sqvald oveq2d simpl eldifsni eqtr4d negeqd divcld divnegd eqtrd ccncf
      divdiv1d negcld cdivcncf oveq2 cnmptlimc eqeltrd limcdif eldifad ad2antlr
      cres cncff subcld adantr mulneg12 syl2anc subdird negsubdi2d oveq1d fvmpt
      simpll divcan2d divassd 3eqtr2d oveq12d 3eqtr4d 3eqtr3d subne0d mpteq2dva
      ovex divcan3d wss resmpt eqtr4di eleqtrd cnfldtopon toponrestid mpbir2and
      difss eldv vex negex breldm eqelssd feq2d mpbii ffnd cvv wral rgenw fnmpt
      wfn mp1i wfun ffun funbrfv sylc oveq1 eqfnfvd ) BEFZCEGUAZUBZEAUUHBAUCZHS
      ZIZUDSZAUUHBUUIUEUFSZHSZJZIZUUFUUHEUULUUFUULUGZEUULTZUUHEUULTUUKUHZUUFUUQ
      UUHEUULUUFCUUQUUHUUFUUHEUUKUUFEUIUUFAUUHUUJEUUIUUHFUUFUUIEFZUUIGKZUNUUJEF
      ZUUIEGUJUUFUUTUVAUVBBUUIUKULUMUOZUUFEUUGUPUQUUFCUCZUUHFZUNZUVDBUVDUEUFSZH
      SZJZUULURZUVDUUQFUVFUVJUVDUUHUSUTLZVALLZFUVIDUUHUVDUAZUBZDUCZUUKLZUVDUUKL
      ZMSZUVOUVDMSZHSZIZUVDVBSZFUVFUVDUUHUVLUUFUVEVCZUVKVDFUUHUVKFZUVLUUHNUVKUV
      KOZVEUUGUVKVGLFZUWDUVKVFFGEFUWFUVKUWEVHVQGUVKEVIVJVKUUGUVKEVIVLVMUUHUVKVN
      VKVOUVFUVIDUUHBUVDHSZJZUVOHSZIZUVDVBSZUWBUVFUVIUWHUVDHSZUWKUVFUVIUWGUVDHS
      ZJUWLUVFUVHUWMUVFUVHBUVDUVDPSZHSUWMUVFUVGUWNBHUVFUVDUVEUVDEFZUUFUVDEUUGVP
      ZQZVRVSUVFBUVDUVDUUFUVEVTZUWQUWQUVEUVDGKZUUFUVDEGWAZQZUXAWHWBWCUVFUWGUVDU
      VFBUVDUWRUWQUXAWDZUWQUXAWEWFUVFDUUHUVDEUWIUWLUVFUWHEFUWJUUHEWGSFZUVFUWGUX
      BWIDUWHUWJUWJOWJRZUWCUVOUVDUWHHWKWLWMUVFUWKUWJUVNWQZUVDVBSUWBUVFUUHUVDUWJ
      UVFUXCUUHEUWJTUXDUUHEUWJWRRWNUVFUWAUXEUVDVBUVFUWADUVNUWIIZUXEUVFDUVNUVTUW
      IUVFUVOUVNFZUNZUVTUVSUWIPSZUVSHSUWIUXHUVRUXIUVSHUXHUVSJZUWGUVOHSZPSZUVSUX
      KJZPSZUVRUXIUXHUVSEFUXKEFUXLUXNNUXHUVOUVDUXHUVOEUUGUXGUVOUUHFZUVFUVOUUHUV
      MVPQZWOZUVEUWOUUFUXGUWPWPZWSZUXHUWGUVOUVFUWGEFUXGUXBWTZUXQUXHUXOUVOGKUXPU
      VOEGWARZWDZUVSUXKXAXBUXHUVDUVOMSZUXKPSUVDUXKPSZUVOUXKPSZMSUXLUVRUXHUVDUVO
      UXKUXRUXQUYBXCUXHUXJUYCUXKPUXHUVOUVDUXQUXRXDXEUXHUVPUYDUVQUYEMUXHUVPBUVOH
      SZUVDUWGPSZUVOHSUYDUXHUXOUVPUYFNUXPAUVOUUJUYFUUHUUKUUIUVOBHWKUUKOZBUVOHXP
      XFRUXHUYGBUVOHUXHBUVDUUFUVEUXGXGUXRUVEUWSUUFUXGUWTWPXHXEUXHUVDUWGUVOUXRUX
      TUXQUYAXIXJUXHUVQUWGUYEUVEUVQUWGNUUFUXGAUVDUUJUWGUUHUUKUUIUVDBHWKUYHBUVDH
      XPXFWPUXHUWGUVOUXTUXQUYAXHWBXKXLUXHUXMUWIUVSPUXHUWGUVOUXTUXQUYAWEVSXMXEUX
      HUWIUVSUXHUWHUVOUXHUWGUXTWIUXQUYAWDUXSUXHUVOUVDUXQUXRUXGUVOUVDKUVFUVOUUHU
      VDWAQXNXQWFXOUVNUUHXRUXEUXFNUUHUVMYEDUUHUVNUWIXSVMXTXEWBYAUVFDUUHUVDUVIEU
      VKUUKUWAUVKUVKEUVKUWEYBYCUWEUWAOUVFEUIUUFUUHEUUKTUVEUVCWTUVFEUUGUPYFYDZUV
      DUVIUULCYGUVHYHZYIRYJYKYLYMUUOYNFZAUUHYOUUPUUHYRUUFUYKAUUHUUNYHYPAUUHUUOU
      UPYNUUPOZYQYSUVFUVDUULLZUVIUVDUUPLZUVFUULYTZUVJUYMUVINUURUYOUVFUUSUUQEUUL
      UUAYSUYIUVDUVIUULUUBUUCUVEUYNUVINUUFAUVDUUOUVIUUHUUPUUIUVDNZUUNUVHUYPUUMU
      VGBHUUIUVDUEUFUUDVSWCUYLUYJXFQWBUUE $.
  $}

  ${
    $d x ph $.  $d x X $.  $d x Y $.
    dvmptres3.j $e |- J = ( TopOpen ` CCfld ) $.
    dvmptres3.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvmptres3.x $e |- ( ph -> X e. J ) $.
    dvmptres3.y $e |- ( ph -> ( S i^i X ) = Y ) $.
    dvmptres3.a $e |- ( ( ph /\ x e. X ) -> A e. CC ) $.
    dvmptres3.b $e |- ( ( ph /\ x e. X ) -> B e. V ) $.
    dvmptres3.d $e |- ( ph ->
      ( CC _D ( x e. X |-> A ) ) = ( x e. X |-> B ) ) $.
    $( Function-builder for derivative: restrict a derivative to a subset.
       (Contributed by Mario Carneiro, 11-Feb-2015.) $)
    dvmptres3 $p |- ( ph ->
      ( S _D ( x e. Y |-> A ) ) = ( x e. Y |-> B ) ) $=
      ( cmpt cres cdv cc co cr cpr wcel cdm wceq fmpttd dmeqd eqid dmmptd eqtrd
      wf dvres3a syl22anc cin rescom resres reseq2d syl5eq wfn ffn fnresdm 3syl
      eqtri reseq1d inss2 eqsstrrdi resmptd 3eqtr3d oveq2d wral ralrimiva fnmpt
      eqtr4d ) AEBHCQZERZSUAZTVOSUAZERZEBICQZSUABIDQZAEUBTUCUDHTVOULZHFUDVRUEZH
      UFVQVSUFKABHCTNUGZLAWCBHDQZUEHAVRWEPUHABWEHDGWEUIZOUJUKHEVOFJUMUNAVPVTESA
      VOHRZERZVOIRZVPVTAWHVOEHUOZRZWIWHVPHRWKVOHEUPVOEHUQVDAWJIVOMURUSAWGVOEAWB
      VOHUTWGVOUFWDHTVOVAHVOVBVCVEABHICAIWJHMEHVFVGZVHVIVJAWEHRZERZWEIRZVSWAAWN
      WEWJRZWOWNWEERHRWPWEHEUPWEEHUQVDAWJIWEMURUSAWMVREAWMWEVRADGUDZBHVKWEHUTWM
      WEUFAWQBHOVLBHDWEGWFVMHWEVBVCPVNVEABHIDWLVHVIVI $.
  $}

  ${
    $d x A $.  $d x ph $.  $d x S $.
    dvmptid.1 $e |- ( ph -> S e. { RR , CC } ) $.
    $( Function-builder for derivative: derivative of the identity.
       (Contributed by Mario Carneiro, 1-Sep-2014.)  (Revised by Mario
       Carneiro, 11-Feb-2015.) $)
    dvmptid $p |- ( ph -> ( S _D ( x e. S |-> x ) ) = ( x e. S |-> 1 ) ) $=
      ( cv ccnfld ctopn cfv eqid ctopon wcel cnfldtopon toponmax mp1i wceq cmpt
      c1 cc cdv co wss cin cpr recnprss syl df-ss sylib simpr 1cnd cid cres csn
      cr wa cxp mptresid eqcomi oveq2i dvid fconstmpt 3eqtri a1i dvmptres3 ) AB
      BEZQCFGHZRRCVEIZDVERJHKRVEKAVEVFLRVEMNACRUAZCRUBCOACUMRUCKVGDCUDUECRUFUGA
      VDRKZUHAVHUNUIRBRVDPZSTZBRQPZOAVJRUJRUKZSTRQULUOVKVIVLRSVLVIBRUPUQURUSBRQ
      UTVAVBVC $.

    dvmptc.2 $e |- ( ph -> A e. CC ) $.
    $( Function-builder for derivative: derivative of a constant.  (Contributed
       by Mario Carneiro, 1-Sep-2014.)  (Revised by Mario Carneiro,
       11-Feb-2015.) $)
    dvmptc $p |- ( ph -> ( S _D ( x e. S |-> A ) ) = ( x e. S |-> 0 ) ) $=
      ( cc0 ccnfld ctopn cfv cc wcel wceq syl csn cxp cdv co cmpt fconstmpt wss
      eqid ctopon cnfldtopon toponmax cin cr cpr recnprss df-ss sylib cv adantr
      mp1i wa 0cnd dvconst oveq2i 3eqtr3g dvmptres3 ) ABCGDHIJZKKDVAUBZEVAKUCJL
      KVALAVAVBUDKVAUEUNADKUAZDKUFDMADUGKUHLVCEDUINDKUJUKACKLZBULKLZFUMAVEUOUPA
      KKCOPZQRZKGOPZKBKCSZQRBKGSAVDVGVHMFCUQNVFVIKQBKCTURBKGTUSUT $.
  $}

  ${
    $d x ph $.  $d x S $.  $d x V $.  $d x W $.  $d x X $.  $d x Y $.
    $d x Z $.
    dvmptadd.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvmptadd.a $e |- ( ( ph /\ x e. X ) -> A e. CC ) $.
    dvmptadd.b $e |- ( ( ph /\ x e. X ) -> B e. V ) $.
    dvmptadd.da $e |- ( ph -> ( S _D ( x e. X |-> A ) ) = ( x e. X |-> B ) ) $.
    $( Closure lemma for ~ dvmptcmul and other related theorems.  (Contributed
       by Mario Carneiro, 1-Sep-2014.)  (Revised by Mario Carneiro,
       11-Feb-2015.) $)
    dvmptcl $p |- ( ( ph /\ x e. X ) -> B e. CC ) $=
      ( cc cmpt cdv co wf cdm wcel syl mpbid cpr dvfg dmeqd wral wceq ralrimiva
      cr dmmptg eqtrd feq2d feq1d fvmptelrn ) ABGDLAGLEBGCMZNOZPZGLBGDMZPAUNQZL
      UNPZUOAEUGLUARURHEUMUBSAUQGLUNAUQUPQZGAUNUPKUCADFRZBGUDUSGUEAUTBGJUFBGDFU
      HSUIUJTAGLUNUPKUKTUL $.

    ${
      dvmptadd.c $e |- ( ( ph /\ x e. X ) -> C e. CC ) $.
      dvmptadd.d $e |- ( ( ph /\ x e. X ) -> D e. W ) $.
      dvmptadd.dc $e |- ( ph ->
        ( S _D ( x e. X |-> C ) ) = ( x e. X |-> D ) ) $.
      $( Function-builder for derivative, addition rule.  (Contributed by Mario
         Carneiro, 1-Sep-2014.)  (Revised by Mario Carneiro, 11-Feb-2015.) $)
      dvmptadd $p |- ( ph ->
        ( S _D ( x e. X |-> ( A + C ) ) ) = ( x e. X |-> ( B + D ) ) ) $=
        ( cmpt co cdv caddc cof cc fmpttd dmeqd wcel wral wceq ralrimiva dmmptg
        cdm syl eqtrd dvaddf ovex dmex eqeltrrdi eqidd offval2 oveq2d 3eqtr3d
        cvv ) AGBJCRZBJERZUAUBZSZTSGVCTSZGVDTSZVESGBJCEUASRZTSBJDFUASRAGVCVDJKA
        BJCUCLUDABJEUCOUDAVGUKBJDRZUKZJAVGVJNUEADHUFZBJUGVKJUHAVLBJMUIBJDHUJULU
        MAVHUKZBJFRZUKZJAVHVNQUEAFIUFZBJUGVOJUHAVPBJPUIBJFIUJULUMZUNAVFVIGTABJC
        EUAVCVDVBUCUCAJVMVBVQVHGVDTUOUPUQZLOAVCURAVDURUSUTABJDFUAVGVHVBHIVRMPNQ
        USVA $.

      $( Function-builder for derivative, product rule.  (Contributed by Mario
         Carneiro, 1-Sep-2014.)  (Revised by Mario Carneiro, 11-Feb-2015.) $)
      dvmptmul $p |- ( ph ->
        ( S _D ( x e. X |-> ( A x. C ) ) ) =
          ( x e. X |-> ( ( B x. C ) + ( D x. A ) ) ) ) $=
        ( cmul co cvv cmpt cof cdv caddc cc fmpttd cdm wcel wral wceq ralrimiva
        dmeqd dmmptg syl eqtrd dvmulf ovex eqeltrrdi eqidd offval2 oveq2d cv wa
        dmex ovexd 3eqtr3d ) AGBJCUAZBJEUAZRUBZSZUCSGVGUCSZVHVISZGVHUCSZVGVISZU
        DUBSGBJCERSUAZUCSBJDERSZFCRSZUDSUAAGVGVHJKABJCUELUFABJEUEOUFAVKUGBJDUAZ
        UGZJAVKVRNULADHUHZBJUIVSJUJAVTBJMUKBJDHUMUNUOAVMUGZBJFUAZUGZJAVMWBQULAF
        IUHZBJUIWCJUJAWDBJPUKBJFIUMUNUOZUPAVJVOGUCABJCERVGVHTUEUEAJWATWEVMGVHUC
        UQVDURZLOAVGUSZAVHUSZUTVAABJVPVQUDVLVNTTTWFABVBJUHVCZDERVEWIFCRVEABJDER
        VKVHTHUEWFMONWHUTABJFCRVMVGTIUEWFPLQWGUTUTVF $.
    $}

    ${
      dvmptres2.z $e |- ( ph -> Z C_ X ) $.
      dvmptres2.j $e |- J = ( K |`t S ) $.
      dvmptres2.k $e |- K = ( TopOpen ` CCfld ) $.
      dvmptres2.i $e |- ( ph -> ( ( int ` J ) ` Z ) = Y ) $.
      $( Function-builder for derivative: restrict a derivative to a subset.
         (Contributed by Mario Carneiro, 1-Sep-2014.)  (Revised by Mario
         Carneiro, 11-Feb-2015.) $)
      dvmptres2 $p |- ( ph ->
        ( S _D ( x e. Z |-> A ) ) = ( x e. Y |-> B ) ) $=
        ( cc cmpt cres cdv co cnt cfv wss wceq cpr wcel recnprss syl fmpttd cdm
        wf cr dmeqd wral ralrimiva dmmptg eqtrd dvbsss eqsstrrdi sstrd syl22anc
        dvres resmptd oveq2d reseq1d reseq2d ctop cuni crest cnfldtopon sylancr
        ctopon resttopon eqeltrid topontop toponuni sseqtrd eqid ntrss2 syl2anc
        eqsstrrd 3eqtrd 3eqtr3d ) AEBICUAZKUBZUCUDZEWHUCUDZKFUEUFUFZUBZEBKCUAZU
        CUDBJDUAZAETUGZITWHUOIEUGKEUGWJWMUHAEUPTUIUJWPLEUKULZABICTMUMAIWKUNZEAW
        RBIDUAZUNZIAWKWSOUQADHUJZBIURWTIUHAXABINUSBIDHUTULVAEWHVBVCZAKIEPXBVDZI
        KEFWHGRQVFVEAWIWNEUCABIKCPVGVHAWMWSWLUBWSJUBWOAWKWSWLOVIAWLJWSSVJABIJDA
        JKIAJWLKSAFVKUJZKFVLZUGWLKUGAFEVPUFZUJZXDAFGEVMUDZXFQAGTVPUFUJWPXHXFUJG
        RVNWQEGTVQVOVRZEFVSULAKEXEXCAXGEXEUHXIEFVTULWAKFXEXEWBWCWDWEPVDVGWFWG
        $.
    $}

    ${
      dvmptres.y $e |- ( ph -> Y C_ X ) $.
      dvmptres.j $e |- J = ( K |`t S ) $.
      dvmptres.k $e |- K = ( TopOpen ` CCfld ) $.
      dvmptres.t $e |- ( ph -> Y e. J ) $.
      $( Function-builder for derivative: restrict a derivative to an open
         subset.  (Contributed by Mario Carneiro, 1-Sep-2014.)  (Revised by
         Mario Carneiro, 11-Feb-2015.) $)
      dvmptres $p |- ( ph ->
        ( S _D ( x e. Y |-> A ) ) = ( x e. Y |-> B ) ) $=
        ( ctop wcel cnt cfv wceq crest co cpr cnfldtop resttop sylancr eqeltrid
        cr cc isopn3i syl2anc dvmptres2 ) ABCDEFGHIJJKLMNOPQAFSTJFTJFUAUBUBJUCA
        FGEUDUEZSPAGSTEUKULUFZTUPSTGQUGKEGUQUHUIUJRJFUMUNUO $.
    $}

    ${
      $d x C $.
      dvmptcmul.c $e |- ( ph -> C e. CC ) $.
      $( Function-builder for derivative, product rule for constant multiplier.
         (Contributed by Mario Carneiro, 1-Sep-2014.)  (Revised by Mario
         Carneiro, 11-Feb-2015.) $)
      dvmptcmul $p |- ( ph ->
        ( S _D ( x e. X |-> ( C x. A ) ) ) = ( x e. X |-> ( C x. B ) ) ) $=
        ( cmul co cmpt cc0 cc wcel cfv cdv caddc cv adantr wa 0cnd ccnfld ctopn
        crest dvmptc cdm dmeqd wral ralrimiva dmmptg syl eqtrd dvbsss eqsstrrdi
        wceq eqid cnt ctop cuni wss ctopon cnfldtopon cr cpr recnprss resttopon
        sylancr topontop toponuni sseqtrd ntrss2 fmpttd dvbssntr eqsstrrd eqssd
        syl2anc dvmptres2 dvmptmul mul02d oveq1d dvmptcl mulcld addid2d mulcomd
        3eqtrd mpteq2dva ) AFBHECNOPUAOBHQCNOZDENOZUBOZPBHEDNOZPABEQCDFRGHIAERS
        ZBUCZHSZMUDZAWRUEZUFABEQFUGUHTZFUIOZXARFHHIAWPWQFSZMUDAXCUEUFABEFIMUJAH
        FBHCPZUAOZUKZFAXFBHDPZUKZHAXEXGLULADGSZBHUMXHHUTAXIBHKUNBHDGUOUPUQZFXDU
        RUSZXBVAZXAVAZAHXBVBTTZHAXBVCSZHXBVDZVEXNHVEAXBFVFTSZXOAXARVFTSFRVEZXQX
        AXMVGAFVHRVISXRIFVJUPZFXARVKVLZFXBVMUPAHFXPXKAXQFXPUTXTFXBVNUPVOHXBXPXP
        VAVPWAAHXFXNXJAHFXDXBXAXSABHCRJVQXKXLXMVRVSVTWBJKLWCABHWNWOWTWNQWMUBOWM
        WOWTWLQWMUBWTCJWDWEWTWMWTDEABCDFGHIJKLWFZWSWGWHWTDEYAWSWIWJWKUQ $.

      dvmptdivc.0 $e |- ( ph -> C =/= 0 ) $.
      $( Function-builder for derivative, division rule for constant divisor.
         (Contributed by Mario Carneiro, 18-May-2016.) $)
      dvmptdivc $p |- ( ph ->
        ( S _D ( x e. X |-> ( A / C ) ) ) = ( x e. X |-> ( B / C ) ) ) $=
        ( cdiv co cmul cmpt cdv wcel c1 reccld dvmptcmul cv adantr cc0 divrec2d
        wa cc wne mpteq2dva oveq2d dvmptcl 3eqtr4d ) AFBHUAEOPZCQPZRZSPBHUODQPZ
        RFBHCEOPZRZSPBHDEOPZRABCDUOFGHIJKLAEMNUBUCAUTUQFSABHUSUPABUDHTZUHZCEJAE
        UITVBMUEZAEUFUJVBNUEZUGUKULABHVAURVCDEABCDFGHIJKLUMVDVEUGUKUN $.
    $}

    $( Function-builder for derivative, product rule for negatives.
       (Contributed by Mario Carneiro, 1-Sep-2014.)  (Revised by Mario
       Carneiro, 11-Feb-2015.) $)
    dvmptneg $p |- ( ph ->
      ( S _D ( x e. X |-> -u A ) ) = ( x e. X |-> -u B ) ) $=
      ( c1 cneg cmul co cmpt cdv wcel mulm1d mpteq2dva neg1cn dvmptcmul dvmptcl
      cc a1i cv wa oveq2d 3eqtr3d ) AEBGLMZCNOZPZQOBGUJDNOZPEBGCMZPZQOBGDMZPABC
      DUJEFGHIJKUJUDRAUAUEUBAULUOEQABGUKUNABUFGRUGZCISTUHABGUMUPUQDABCDEFGHIJKU
      CSTUI $.

    ${
      dvmptsub.c $e |- ( ( ph /\ x e. X ) -> C e. CC ) $.
      dvmptsub.d $e |- ( ( ph /\ x e. X ) -> D e. W ) $.
      dvmptsub.dc $e |- ( ph ->
        ( S _D ( x e. X |-> C ) ) = ( x e. X |-> D ) ) $.
      $( Function-builder for derivative, subtraction rule.  (Contributed by
         Mario Carneiro, 1-Sep-2014.)  (Revised by Mario Carneiro,
         11-Feb-2015.) $)
      dvmptsub $p |- ( ph ->
        ( S _D ( x e. X |-> ( A - C ) ) ) = ( x e. X |-> ( B - D ) ) ) $=
        ( co cmpt cdv cneg caddc cmin cv wcel wa negcld negex dvmptneg dvmptadd
        cvv a1i negsubd mpteq2dva oveq2d dvmptcl 3eqtr3d ) AGBJCEUAZUBRZSZTRBJD
        FUAZUBRZSGBJCEUCRZSZTRBJDFUCRZSABCDURVAGHUKJKLMNABUDJUEUFZEOUGVAUKUEVFF
        UHULABEFGIJKOPQUIUJAUTVDGTABJUSVCVFCELOUMUNUOABJVBVEVFDFABCDGHJKLMNUPAB
        EFGIJKOPQUPUMUNUQ $.
    $}
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d x ph $.  $d x V $.  $d x X $.
    dvmptcj.a $e |- ( ( ph /\ x e. X ) -> A e. CC ) $.
    dvmptcj.b $e |- ( ( ph /\ x e. X ) -> B e. V ) $.
    dvmptcj.da $e |- ( ph ->
      ( RR _D ( x e. X |-> A ) ) = ( x e. X |-> B ) ) $.
    $( Function-builder for derivative, conjugate rule.  (Contributed by Mario
       Carneiro, 1-Sep-2014.)  (Revised by Mario Carneiro, 11-Feb-2015.) $)
    dvmptcj $p |- ( ph ->
      ( RR _D ( x e. X |-> ( * ` A ) ) ) = ( x e. X |-> ( * ` B ) ) ) $=
      ( vy cr ccj cmpt ccom cdv co cfv cc wf wceq wss fmpttd cdm wcel ralrimiva
      dmeqd wral dmmptg syl dvbsss eqsstrrdi dvcj syl2anc cjf a1i cofmpt oveq2d
      eqtrd cv cpr reelprrecn dvmptcl feqmptd fveq2 fmptco 3eqtr3d ) AKLBFCMZNZ
      OPZLKVGOPZNZKBFCLQMZOPBFDLQZMAFRVGSFKUAVIVKTABFCRGUBAFVJUCZKAVNBFDMZUCZFA
      VJVOIUFADEUDZBFUGVPFTAVQBFHUEBFDEUHUIURKVGUJUKVGFULUMAVHVLKOABFCRRLRRLSAU
      NUOZGUPUQABJFRDJUSZLQVMVJLABCDKEFKKRUTUDAVAUOGHIVBIAJRRLVRVCVSDLVDVEVF $.

    $( Function-builder for derivative, real part.  (Contributed by Mario
       Carneiro, 1-Sep-2014.) $)
    dvmptre $p |- ( ph ->
      ( RR _D ( x e. X |-> ( Re ` A ) ) ) = ( x e. X |-> ( Re ` B ) ) ) $=
      ( cr c2 cdiv co cfv cmpt cdv cc wcel wceq syl c1 ccj caddc cre reelprrecn
      cmul cpr a1i cv wa cjcld addcld dvmptcl dvmptcj dvmptadd halfcn dvmptcmul
      reval cc0 wne 2cn 2ne0 divrec2 mp3an23 eqtrd mpteq2dva oveq2d 3eqtr4d ) A
      JBFUAKLMZCCUBNZUCMZUFMZOZPMBFVIDDUBNZUCMZUFMZOJBFCUDNZOZPMBFDUDNZOABVKVOV
      IJQFJJQUGRAUEUHZABUIFRUJZCVJGWACGUKZULZWADVNABCDJEFVTGHIUMZWADWDUKZULZABC
      DVJVNJEQFVTGHIWBWEABCDEFGHIUNUOVIQRAUPUHUQAVRVMJPABFVQVLWAVQVKKLMZVLWACQR
      VQWGSGCURTWAVKQRZWGVLSZWCWHKQRZKUSUTZWIVAVBVKKVCVDTVEVFVGABFVSVPWAVSVOKLM
      ZVPWADQRVSWLSWDDURTWAVOQRZWLVPSZWFWMWJWKWNVAVBVOKVCVDTVEVFVH $.

    $( Function-builder for derivative, imaginary part.  (Contributed by Mario
       Carneiro, 1-Sep-2014.) $)
    dvmptim $p |- ( ph ->
      ( RR _D ( x e. X |-> ( Im ` A ) ) ) = ( x e. X |-> ( Im ` B ) ) ) $=
      ( cr cmul co cdiv cfv cmpt cdv cc wcel wceq syl c1 c2 ci ccj cmin cim cpr
      reelprrecn a1i cv wa cjcld subcld dvmptcl dvmptcj dvmptsub 2mulicn reccli
      2muline0 dvmptcmul imval2 cc0 wne divrec2 mp3an23 eqtrd mpteq2dva 3eqtr4d
      oveq2d ) AJBFUAUBUCKLZMLZCCUDNZUELZKLZOZPLBFVKDDUDNZUELZKLZOJBFCUFNZOZPLB
      FDUFNZOABVMVQVKJQFJJQUGRAUHUIZABUJFRUKZCVLGWCCGULZUMZWCDVPABCDJEFWBGHIUNZ
      WCDWFULZUMZABCDVLVPJEQFWBGHIWDWGABCDEFGHIUOUPVKQRAVJUQUSURUIUTAVTVOJPABFV
      SVNWCVSVMVJMLZVNWCCQRVSWISGCVATWCVMQRZWIVNSZWEWJVJQRZVJVBVCZWKUQUSVMVJVDV
      ETVFVGVIABFWAVRWCWAVQVJMLZVRWCDQRWAWNSWFDVATWCVQQRZWNVRSZWHWOWLWMWPUQUSVQ
      VJVDVETVFVGVH $.
  $}

  ${
    $d x ph $.  $d x X $.  $d x Y $.
    dvmptntr.s $e |- ( ph -> S C_ CC ) $.
    dvmptntr.x $e |- ( ph -> X C_ S ) $.
    dvmptntr.a $e |- ( ( ph /\ x e. X ) -> A e. CC ) $.
    dvmptntr.j $e |- J = ( K |`t S ) $.
    dvmptntr.k $e |- K = ( TopOpen ` CCfld ) $.
    dvmptntr.i $e |- ( ph -> ( ( int ` J ) ` X ) = Y ) $.
    $( Function-builder for derivative: expand the function from an open set to
       its closure.  (Contributed by Mario Carneiro, 1-Sep-2014.)  (Revised by
       Mario Carneiro, 11-Feb-2015.) $)
    dvmptntr $p |- ( ph ->
      ( S _D ( x e. X |-> A ) ) = ( S _D ( x e. Y |-> A ) ) ) $=
      ( cdv co cfv wss wceq cc cmpt cres ctop wcel cuni ctopon crest cnfldtopon
      cnt resttopon sylancr eqeltrid topontop syl toponuni sseqtrd eqid syl2anc
      ntridm fveq2d eqtr3d reseq2d fmpttd dvres syl22anc eqsstrrd sstrd 3eqtr4d
      wf ntrss2 ssid resmpt mp1i oveq2d resmptd ) ADBGCUAZHUBZOPZDVPOPZDBHCUAZO
      PADVPGUBZOPZVRVSAVSGEUIQZQZUBZVSHWCQZUBZWBVRAWDWFVSAWDWCQZWDWFAEUCUDZGEUE
      ZRZWHWDSAEDUFQZUDZWIAEFDUGPZWLLAFTUFQUDDTRZWNWLUDFMUHIDFTUJUKULZDEUMUNZAG
      DWJJAWMDWJSWPDEUOUNUPZGEWJWJUQZUSURAWDHWCNUTVAVBAWOGTVPVIZGDRZXAWBWESIABG
      CTKVCZJJGGDEVPFMLVDVEAWOWTXAHDRVRWGSIXBJAHGDAHWDGNAWIWKWDGRWQWRGEWJWSVJUR
      VFZJVGGHDEVPFMLVDVEVHAWAVPDOGGRWAVPSAGVKBGGCVLVMVNVAAVQVTDOABGHCXCVOVNVA
      $.
  $}

  ${
    $d y A $.  $d x C $.  $d x D $.  $d y E $.  $d y F $.  $d y T $.  $d x V $.
    $d x y ph $.  $d y W $.  $d x X $.  $d x y Y $.
    dvmptco.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvmptco.t $e |- ( ph -> T e. { RR , CC } ) $.
    dvmptco.a $e |- ( ( ph /\ x e. X ) -> A e. Y ) $.
    dvmptco.b $e |- ( ( ph /\ x e. X ) -> B e. V ) $.
    dvmptco.c $e |- ( ( ph /\ y e. Y ) -> C e. CC ) $.
    dvmptco.d $e |- ( ( ph /\ y e. Y ) -> D e. W ) $.
    dvmptco.da $e |- ( ph -> ( S _D ( x e. X |-> A ) ) = ( x e. X |-> B ) ) $.
    dvmptco.dc $e |- ( ph -> ( T _D ( y e. Y |-> C ) ) = ( y e. Y |-> D ) ) $.
    dvmptco.e $e |- ( y = A -> C = E ) $.
    dvmptco.f $e |- ( y = A -> D = F ) $.
    $( Function-builder for derivative, chain rule.  (Contributed by Mario
       Carneiro, 1-Sep-2014.) $)
    dvmptco $p |- ( ph ->
      ( S _D ( x e. X |-> E ) ) = ( x e. X |-> ( F x. B ) ) ) $=
      ( cmpt ccom cdv co cmul cof cc fmpttd cdm wcel wral wceq ralrimiva dmmptg
      dmeqd syl eqtrd dvcof eqidd fmptco oveq2d cvv ovex dmex eqeltrrdi dvmptcl
      wf fmpt3d fco syl2anc feq1d mpbid fvmptelrn offval2 3eqtr3d ) AHCOFUFZBND
      UFZUGZUHUIIWAUHUIZWBUGZHWBUHUIZUJUKUIHBNJUFZUHUIBNKEUJUIUFAIHWAWBONQPACOF
      ULTUMABNDORUMZAWDUNCOGUFZUNZOAWDWIUCUTAGMUOZCOUPWJOUQAWKCOUAURCOGMUSVAVBA
      WFUNZBNEUFZUNZNAWFWMUBUTAELUOZBNUPWNNUQAWOBNSURBNELUSVAVBZVCAWCWGHUHABCNO
      DFJWBWARAWBVDZAWAVDUDVEVFABNKEUJWEWFVGULLANWLVGWPWFHWBUHVHVIVJABNKULANULW
      EVLZNULBNKUFZVLAOULWDVLNOWBVLWRACOGULWDUCACFGIMOQTUAUCVKVMWHNOULWDWBVNVOA
      NULWEWSABCNODGKWBWDRWQUCUEVEZVPVQVRSWTUBVSVT $.
  $}

  ${
    $d A x y $.  $d B y $.  $d S x y $.  $d V x $.  $d X x $.  $d ph x y $.
    dvrecg.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvrecg.a $e |- ( ph -> A e. CC ) $.
    dvrecg.b $e |- ( ( ph /\ x e. X ) -> B e. ( CC \ { 0 } ) ) $.
    dvrecg.c $e |- ( ( ph /\ x e. X ) -> C e. V ) $.
    dvrecg.db $e |- ( ph -> ( S _D ( x e. X |-> B ) ) = ( x e. X |-> C ) ) $.
    $( Derivative of the reciprocal of a function.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    dvrecg $p |- ( ph -> ( S _D ( x e. X |-> ( A / B ) ) ) = ( x e. X |-> -u (
       ( A x. C ) / ( B ^ 2 ) ) ) ) $=
      ( vy cdiv co cmpt c2 cc wcel cdv cexp cneg cmul cv cc0 cdif cr cnelprrecn
      csn cpr a1i adantr eldifi adantl wne eldifsni divcld sqcld expne0d negcld
      wa cz 2z dvrec syl oveq2 oveq1 oveq2d negeqd dvmptco eldifsn sylib simprd
      wceq dvmptcl mulneg1d div23d eqcomd eqtrd mpteq2dva ) AFBHCDOPZQUAPBHCDRU
      BPZOPZUCZEUDPZQBHCEUDPWCOPZUCZQABNDECNUEZOPZCWIRUBPZOPZUCZFSWBWEGSHSUFUJZ
      UGZISUHSUKTAUIULKLAWIWOTZVBZCWIACSTZWPJUMZWPWISTAWISWNUNUOZWPWIUFUPAWISUF
      UQUOZURWQWLWQCWKWSWQWIWTUSWQWIRWTXARVCTZWQVDULUTURVAMAWRSNWOWJQUAPNWOWMQV
      OJNCVEVFWIDCOVGWIDVOZWLWDXCWKWCCOWIDRUBVHVIVJVKABHWFWHABUEHTZVBZWFWDEUDPZ
      UCWHXEWDEXECWCAWRXDJUMZXEDXEDWOTZDSTZKDSWNUNVFZUSZXEDRXJXEXIDUFUPZXEXHXIX
      LVBKDSUFVLVMVNXBXEVDULUTZURABDEFGHIXJLMVPZVQXEXFWGXEWGXFXECEWCXGXNXKXMVRV
      SVJVTWAVT $.
  $}

  ${
    $d S x $.  $d V x $.  $d X x $.  $d ph x $.
    dvmptdiv.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvmptdiv.a $e |- ( ( ph /\ x e. X ) -> A e. CC ) $.
    dvmptdiv.b $e |- ( ( ph /\ x e. X ) -> B e. V ) $.
    dvmptdiv.da $e |- ( ph -> ( S _D ( x e. X |-> A ) ) = ( x e. X |-> B ) ) $.
    dvmptdiv.c $e |- ( ( ph /\ x e. X ) -> C e. ( CC \ { 0 } ) ) $.
    dvmptdiv.d $e |- ( ( ph /\ x e. X ) -> D e. CC ) $.
    dvmptdiv.dc $e |- ( ph -> ( S _D ( x e. X |-> C ) ) = ( x e. X |-> D ) ) $.
    $( Function-builder for derivative, quotient rule.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    dvmptdiv $p |- ( ph -> ( S _D ( x e. X |-> ( A / C ) ) ) = ( x e. X |-> ( (
       ( B x. C ) - ( D x. A ) ) / ( C ^ 2 ) ) ) ) $=
      ( cdiv co cmul cc0 cmpt cdv c1 c2 cexp cneg caddc cmin cv wcel wa eldifad
      cc csn wne cdif eldifsn sylib simprd divrecd mpteq2dva oveq2d reccld 1cnd
      mulcld sqcld neneqd sqeq0 syl mtbird neqned divcld negcld dvrecg dvmptmul
      wceq dvmptcl negsubd div12d mulid2d sqvald divcan5rd eqtr2d 3eqtrd oveq1d
      wb negeqd mulneg1d div23d eqcomd oveq12d divsubdird 3eqtr4d ) AGBICEQRZUA
      ZUBRGBICUCEQRZSRZUAZUBRBIDWPSRZUCFSRZEUDUERZQRZUFZCSRZUGRZUABIDESRZFCSRZU
      HRXAQRZUAAWOWRGUBABIWNWQABUIIUJUKZCEKXIEUMTUNZNULZXIEUMUJZETUOZXIEUMXJUPU
      JXLXMUKNEUMTUQURUSZUTVAVBABCDWPXCGHUMIJKLMXIEXKXNVCXIXBXIWTXAXIUCFXIVDZOV
      EXIEXKVFZXIXATXIXATVPZETVPZXIETXNVGXIXLXQXRWFXKEVHVIVJVKZVLVMABUCEFGUMIJA
      VDNOPVNVOABIXEXHXIXFXAQRZXGXAQRZUFZUGRXTYAUHRXEXHXIXTYAXIXFXAXIDEABCDGHIJ
      KLMVQZXKVEZXPXSVLXIXGXAXIFCOKVEZXPXSVLVRXIWSXTXDYBUGXIWSUCDEQRZSRYFXTXIDU
      CEYCXOXKXNVSXIYFXIDEYCXKXNVLVTXIXTXFEESRZQRYFXIXAYGXFQXIEXKWAVBXIDEEYCXKX
      KXNXNWBWCWDXIXDFXAQRZUFZCSRYHCSRZUFYBXIXCYICSXIXBYHXIWTFXAQXIFOVTWEWGWEXI
      YHCXIFXAOXPXSVLKWHXIYJYAXIYAYJXIFCXAOKXPXSWIWJWGWDWKXIXFXGXAYDYEXPXSWLWMV
      AWD $.
  $}

  ${
    $d a b c A $.  $d a b c i x I $.  $d a b c i x ph $.  $d a b c i x S $.
    $d a b c B $.  $d a b c i x X $.
    dvmptfsum.j $e |- J = ( K |`t S ) $.
    dvmptfsum.k $e |- K = ( TopOpen ` CCfld ) $.
    dvmptfsum.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvmptfsum.x $e |- ( ph -> X e. J ) $.
    dvmptfsum.i $e |- ( ph -> I e. Fin ) $.
    dvmptfsum.a $e |- ( ( ph /\ i e. I /\ x e. X ) -> A e. CC ) $.
    dvmptfsum.b $e |- ( ( ph /\ i e. I /\ x e. X ) -> B e. CC ) $.
    dvmptfsum.d $e |- ( ( ph /\ i e. I ) -> ( S _D ( x e. X |-> A ) ) =
        ( x e. X |-> B ) ) $.
    $( Function-builder for derivative, finite sums rule.  (Contributed by
       Stefan O'Rear, 12-Nov-2014.) $)
    dvmptfsum $p |- ( ph -> ( S _D ( x e. X |-> sum_ i e. I A ) ) =
        ( x e. X |-> sum_ i e. I B ) ) $=
      ( va wcel vb vc wss csu cmpt cdv co wceq ssid cfn wi cv c0 csn cun sumeq1
      sseq1 mpteq2dv oveq2d eqeq12d imbi12d imbi2d weq cc wa 0cnd dvmptc ctopon
      cc0 cfv cnfldtopon cr cpr recnprss syl resttopon sylancr eqeltrid toponss
      crest syl2anc dvmptres sum0 mpteq2i oveq2i 3eqtr4g a1d wn ssun1 sstr mpan
      imim1i csb caddc cvv simpll ad3antrrr ssfid simp-4l sselda simplr w3a nfv
      ad2antlr nfcsb1v nfel1 nfim eleq1w 3anbi3d csbeq1a eleq1d chvarfv syl3anc
      fsumcl adantlrr sumex a1i nfcv nfsum sumeq2sdv cbvmpt sylibr wral ancom2s
      3expb ralrimivva rspc2 ancoms mpan9 syl12anc nfmpt nfcsbw csbeq2dv sumsns
      fsumsplit eqtrd mpteq2dva syl5eq adantrr a2d eqeq12i biimpi simplll ssun2
      ad2antll vex snss simpr ad2antrl nfov anbi2d 3eqtr3g dvmptadd cin simpllr
      nfeq disjsn eqidd 3eqtr4d exp32 syl5 expcom adantl findcard2s mpcom mpi )
      AGGUCZEBJGCFUDZUEZUFUGZBJGDFUDZUEZUHZGUIGUJTZAUVGUVMUKZOASULZGUCZEBJUVPCF
      UDZUEZUFUGZBJUVPDFUDZUEZUHZUKZUKAUMGUCZEBJUMCFUDZUEZUFUGZBJUMDFUDZUEZUHZU
      KZUKAUAULZGUCZEBJUWMCFUDZUEZUFUGZBJUWMDFUDZUEZUHZUKZUKAUWMUBULZUNZUOZGUCZ
      EBJUXDCFUDZUEZUFUGZBJUXDDFUDZUEZUHZUKZUKAUVOUKSUAUBGUVPUMUHZUWDUWLAUXMUVQ
      UWEUWCUWKUVPUMGUQUXMUVTUWHUWBUWJUXMUVSUWGEUFUXMBJUVRUWFUVPUMCFUPURUSUXMBJ
      UWAUWIUVPUMDFUPURUTVAVBSUAVCZUWDUXAAUXNUVQUWNUWCUWTUVPUWMGUQUXNUVTUWQUWBU
      WSUXNUVSUWPEUFUXNBJUVRUWOUVPUWMCFUPURUSUXNBJUWAUWRUVPUWMDFUPURUTVAVBUVPUX
      DUHZUWDUXLAUXOUVQUXEUWCUXKUVPUXDGUQUXOUVTUXHUWBUXJUXOUVSUXGEUFUXOBJUVRUXF
      UVPUXDCFUPURUSUXOBJUWAUXIUVPUXDDFUPURUTVAVBUVPGUHZUWDUVOAUXPUVQUVGUWCUVMU
      VPGGUQUXPUVTUVJUWBUVLUXPUVSUVIEUFUXPBJUVRUVHUVPGCFUPURUSUXPBJUWAUVKUVPGDF
      UPURUTVAVBAUWKUWEAEBJVIUEZUFUGUXQUWHUWJABVIVIEHIVDEJMABULZETVEVFZUXSABVIE
      MAVFVGAHEVHVJZTJHTJEUCAHIEVTUGZUXTKAIVDVHVJTEVDUCZUYAUXTTILVKAEVLVDVMTZUY
      BMEVNVOEIVDVPVQVRNJHEVSWAKLNWBUWGUXQEUFBJUWFVICFWCWDWEBJUWIVIDFWCWDWFWGUW
      MUJTZUXBUWMTWHZVEAUXAUXLUYEAUXAUXLUKZUKUYDAUYEUYFUXAUXEUWTUKAUYEVEZUXLUXE
      UWNUWTUWMUXDUCUXEUWNUWMUXCWIUWMUXDGWJWKZWLUYGUXEUWTUXKUYGUXEUWTUXKUYGUXEU
      WTVEZVEZESJUWMBUVPCWMZFUDZFUXBUYKWMZWNUGZUEZUFUGSJUWMBUVPDWMZFUDZFUXBUYPW
      MZWNUGZUEZUXHUXJUYJSUYLUYQUYMUYREWOVDJUYJAUYCAUYEUYIWPZMVOUYGUXEUVPJTZUYL
      VDTUWTUYGUXEVEZVUBVEZUWMUYKFVUDGUWMAUVNUYEUXEVUBOWQZUXEUWNUYGVUBUYHXDZWRV
      UDFULZUWMTZVEAVUGGTZVUBUYKVDTZAUYEUXEVUBVUHWSVUDUWMGVUGVUFWTVUCVUBVUHXAAV
      UIUXRJTZXBZCVDTZUKAVUIVUBXBZVUJUKBSVUNVUJBVUNBXCZBUYKVDBUVPCXEZXFZXGBSVCZ
      VULVUNVUMVUJVURVUKVUBAVUIBSJXHXIZVURCUYKVDBUVPCXJZXKZVAPXLZXMXNXOUYQWOTUY
      JVUBVEUWMUYPFXPXQUWTESJUYLUEZUFUGZSJUYQUEZUHZUYGUXEUWTVVFUWQVVDUWSVVEUWPV
      VCEUFBSJUWOUYLSUWOXRBUWMUYKFBUWMXRZVUPXSVURUWMCUYKFVUTXTYAWEBSJUWRUYQSUWR
      XRBUWMUYPFVVGBUVPDXEZXSVURUWMDUYPFBUVPDXJZXTYAUUAUUBUUEUYGUXEVUBUYMVDTZUW
      TVUDAUXBGTZVUBVVJAUYEUXEVUBUUCZUXEVVKUYGVUBUXEUXCGUCZVVKUXCUXDUCUXEVVMUXC
      UWMUUDUXCUXDGWJWKUXBGUBUUFZUUGYBZXDZVUCVUBUUHZAVUMFGYCBJYCZVVKVUBVEZVVJAV
      UMBFJGAVUIVUKVUMAVUIVUKVUMPYEYDYFVUBVVKVVRVVJUKVUMVVJVUJBFUVPUXBJGVUQFUYM
      VDFUXBUYKXEXFVVAFUBVCZUYKUYMVDFUXBUYKXJXKYGYHYIYJZXOUYGUXEVUBUYRVDTZUWTVU
      DAVVKVUBVWBVVLVVPVVQADVDTZFGYCBJYCZVVSVWBAVWCBFJGAVUIVUKVWCAVUIVUKVWCQYEY
      DYFVUBVVKVWDVWBUKVWCVWBUYPVDTZBFUVPUXBJGBUYPVDVVHXFZFUYRVDFUXBUYPXEXFVURD
      UYPVDVVIXKZVVTUYPUYRVDFUXBUYPXJXKYGYHYIYJZXOUYJAVVKESJUYMUEZUFUGZSJUYRUEZ
      UHVUAUXEVVKUYGUWTVVOUUIAVVKVEZEBJFUXBCWMZUEZUFUGZBJFUXBDWMZUEZVWJVWKAVUIV
      EZEBJCUEZUFUGZBJDUEZUHZUKVWLVWOVWQUHZUKFUBVWLVXCFVWLFXCFVWOVWQFEVWNUFFEXR
      FUFXRFBJVWMFJXRZFUXBCXEYKUUJFBJVWPVXDFUXBDXEYKUUPXGVVTVWRVWLVXBVXCVVTVUIV
      VKAFUBGXHUUKVVTVWTVWOVXAVWQVVTVWSVWNEUFVVTBJCVWMFUXBCXJURUSVVTBJDVWPFUXBD
      XJURUTVARXLVWNVWIEUFBSJVWMUYMSVWMXRBFUXBUYKBUXBXRZVUPYLVURFUXBCUYKVUTYMYA
      WEBSJVWPUYRSVWPXRBFUXBUYPVXEVVHYLVURFUXBDUYPVVIYMYAUULWAUUMUYJUXGUYOEUFUY
      GUXEUXGUYOUHUWTVUCUXGSJUXDUYKFUDZUEUYOBSJUXFVXFSUXFXRBUXDUYKFBUXDXRZVUPXS
      VURUXDCUYKFVUTXTYAVUCSJVXFUYNVUDVXFUYLUXCUYKFUDZWNUGUYNVUDUWMUXCUYKUXDFVU
      DUYEUWMUXCUUNUMUHAUYEUXEVUBUUOUWMUXBUUQYBZVUDUXDUURZVUDGUXDVUEUYGUXEVUBXA
      ZWRZVUDVUGUXDTZVEZAVUIVUBVUJAUYEUXEVUBVXMWSZVUDUXDGVUGVXKWTZVUCVUBVXMXAZV
      VBXMYOVUDVXHUYMUYLWNVUDUXBWOTZVVJVXHUYMUHVVNVWAUYKFUXBWOYNVQUSYPYQYRYSUSU
      YGUXEUXJUYTUHUWTVUCUXJSJUXDUYPFUDZUEUYTBSJUXIVXSSUXIXRBUXDUYPFVXGVVHXSVUR
      UXDDUYPFVVIXTYAVUCSJVXSUYSVUDVXSUYQUXCUYPFUDZWNUGUYSVUDUWMUXCUYPUXDFVXIVX
      JVXLVXNAVUIVUBVWEVXOVXPVXQVULVWCUKVUNVWEUKBSVUNVWEBVUOVWFXGVURVULVUNVWCVW
      EVUSVWGVAQXLXMYOVUDVXTUYRUYQWNVUDVXRVWBVXTUYRUHVVNVWHUYPFUXBWOYNVQUSYPYQY
      RYSUUSUUTYTUVAUVBUVCYTUVDUVEUVF $.
  $}

  ${
    $d x y z C $.  $d x y z F $.  $d x y z J $.  $d x y z ph $.  $d x y z S $.
    $d y z X $.  $d x z Y $.
    dvcnv.j $e |- J = ( TopOpen ` CCfld ) $.
    dvcnv.k $e |- K = ( J |`t S ) $.
    dvcnv.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvcnv.y $e |- ( ph -> Y e. K ) $.
    dvcnv.f $e |- ( ph -> F : X -1-1-onto-> Y ) $.
    dvcnv.i $e |- ( ph -> `' F e. ( Y -cn-> X ) ) $.
    dvcnv.d $e |- ( ph -> dom ( S _D F ) = X ) $.
    dvcnv.z $e |- ( ph -> -. 0 e. ran ( S _D F ) ) $.
    ${
      dvcnv.c $e |- ( ph -> C e. X ) $.
      $( Lemma for ~ dvcnvre .  (Contributed by Mario Carneiro, 25-Feb-2015.)
         (Revised by Mario Carneiro, 8-Sep-2015.) $)
      dvcnvlem $p |- ( ph ->
        ( F ` C ) ( S _D `' F ) ( 1 / ( ( S _D F ) ` C ) ) ) $=
        ( co wcel cc vz vy vx cfv c1 cdv cdiv ccnv wbr cnt cdif cmin cmpt climc
        csn cv wf1o f1of syl ffvelrnd ctop wceq ctopon crest wss cnfldtopon cpr
        wf cr recnprss resttopon sylancr eqeltrid topontop isopn3i eleqtrrd wne
        syl2anc wa f1ocnv eldifi ffvelrn syl2an anim1i sylibr anasss cdm dvbsss
        3syl eldifsn eqsstrrdi sstrd sselda sylan2 sseldd adantr subcld toponss
        fssd cc0 eldifsni adantl subeq0ad wf1 wb f1of1 syl12anc bitrd necon3bid
        f1fveq mpbird divcld limcresi feqmptd reseq1d difss resmpt ax-mp eqtrdi
        cres sseqtrid f1ocnvfv1 cnlimci eqeltrrd dvlem subne0d divne0d sylanbrc
        oveq1d ccom a1i eqid mpbid eldv ccn wn oveq2 eqidd mpteq2dva oveq12d
        fmpttd wfun dvfg ffun funfvbrb 4syl simprd ccnp 1cnd cnmptc cnmptid ctx
        mp2an divcn cnmpt12f feq2d crn wfn ffnd nelne2 toponunii cncnpi limccnp
        fnfvelrn ovex fvmpt fmptco recdivd eqtrd 3eltr3d oveq1 necomd f1ocnvfvb
        fveq2 syl2an3an necon3abid pm2.21d impr limcco eqcomd f1ocnvfv2 eleqtrd
        oveq2d mpbir2and ) ABDUDZUEBCDUFRZUDZUGRZCDUHZUFRUIUWEHFUJUDZUDZSUWHUAH
        UWEUOZUKZUAUPZUWIUDZUWEUWIUDZULRZUWNUWEULRZUGRZUMZUWEUNRZSAUWEHUWKAGHBD
        AGHDUQZGHDVHMGHDURUSZQUTZAFVASZHFSZUWKHVBAFCVCUDZSZUXEAFECVDRZUXGJAETVC
        UDSZCTVEZUXIUXGSEIVFZACVITVGSZUXKKCVJUSZCETVKVLVMZCFVNUSLHFVOVRVPAUWHUA
        UWMUWOBULRZUWODUDZUWEULRZUGRZUMZUWEUNRUXAAUAUBUWMGBUOZUKZBUWHUWOUBUPZBU
        LRZUYCDUDZUWEULRZUGRZUXSUWEAUWNUWMSZUWOBVQZUWOUYBSZAUYHVSZUYIVSUWOGSZUY
        IVSUYJUYKUYLUYIAHGUWIVHZUWNHSZUYLUYHAUXBHGUWIUQUYMMGHDVTHGUWIURWIZUWNHU
        WLWAZHGUWNUWIWBWCWDUWOGBWJWEWFAUYCUYBSZVSZUYDUYFUYRUYCBUYQAUYCGSZUYCTSU
        YCGUYAWAZAGTUYCAGCTAGUWFWGZCOCDWHWKZUXNWLZWMWNZABTSUYQACTBUXNAGCBVUBQWO
        WOWPZWQZUYRUYEUWEAGTDVHUYSUYETSUYQAGHTDUXCAHCTAUXHUXFHCVEUXOLHFCWRVRZUX
        NWLZWSZUYTGTUYCDWBWCZAUWETSUYQAHTUWEVUHUXDWOWPZWQZUYRUYFWTVQUYCBVQZUYQV
        UMAUYCGBXAXBZUYRUYFWTUYCBUYRUYFWTVBUYEUWEVBZUYCBVBZUYRUYEUWEVUJVUKXCUYR
        GHDXDZUYSBGSZVUOVUPXEAVUQUYQAUXBVUQMGHDXFUSWPUYQUYSAUYTXBAVURUYQQWPGHUY
        CBDXJXGXHXIXKZXLAUWIUWEUNRZUAUWMUWOUMZUWEUNRZBAUWIUWMXTZUWEUNRVUTVVBUWE
        UWMUWIXMAVVCVVAUWEUNAVVCUAHUWOUMZUWMXTZVVAAUWIVVDUWMAUAHGUWIUYOXNXOUWMH
        VEVVEVVAVBHUWLXPUAHUWMUWOXQXRXSYIYAAUWPBVUTAUXBVURUWPBVBMQGHBDYBVRZAHUW
        EGUWINUXDYCYDWOAUWGUCTWTUOZUKZUEUCUPZUGRZUMZUDZVVKUBUYBUYFUYDUGRZUMZYJZ
        BUNRUWHUBUYBUYGUMZBUNRAUYBBUWGVVHVVNVVKEVVHVDRZEAUBUYBVVMVVHUYRVVMTSVVM
        WTVQVVMVVHSAUYCBGDVUIVUCQYEUYRUYFUYDVULVUFVUSUYRUYCBVUDVUEVUNYFZYGVVMTW
        TWJYHZUUAVVHTVEZATVVGXPZYKIVVQYLZABGUWJUDSZUWGVVNBUNRSZABUWGUWFUIZVWCVW
        DVSABVUASZVWEABGVUAQOVPZAUXMVUATUWFVHZUWFUUBVWFVWEXEKCDUUCZVUATUWFUUDBU
        WFUUEUUFYMAUBGBUWGCFDVVNEJIVVNYLUXNVUIVUBYNYMUUGAVVKVVQEYORSUWGVVHSZVVK
        UWGVVQEUUHRUDSAUCUEVVIUGVVQEVVQEVVHVVQVVHVCUDSZAUXJVVTVWKUXLVWAVVHETVKU
        UMZYKZAUCUEVVQEVVHTVWMUXJAUXLYKAUUIUUJAUCVVQVVHVWMUUKUGEVVQUULREYORSAEV
        VQIVWBUUNYKUUOAUWGTSUWGWTVQZVWJAGTBUWFAVWHGTUWFVHAUXMVWHKVWIUSZAVUAGTUW
        FOUUPYMQUTAUWGUWFUUQZSZWTVWPSYPVWNAUWFVUAUURVWFVWQAVUATUWFVWOUUSVWGVUAB
        UWFUVDVRPUWGWTVWPUUTVRUWGTWTWJYHZUWGVVKVVQEVVHVVHVVQVWLUVAUVBVRUVCAVWJV
        VLUWHVBVWRUCUWGVVJUWHVVHVVKVVIUWGUEUGYQVVKYLUEUWGUGUVEUVFUSAVVOVVPBUNAV
        VOUBUYBUEVVMUGRZUMVVPAUBUCUYBVVHVVMVVJVWSVVNVVKVVSAVVNYRAVVKYRVVIVVMUEU
        GYQUVGAUBUYBVWSUYGUYRUYFUYDVULVUFVUSVVRUVHYSUVIYIUVJUYCUWOVBZUYDUXPUYFU
        XRUGUYCUWOBULUVKVWTUYEUXQUWEULUYCUWODUVNYIYTAUYHUWOBVBZUXSUWHVBZUYKVXAV
        XBUYKUWEUWNVQVXAYPUYKUWNUWEUYHUWNUWEVQAUWNHUWEXAXBUVLUYKVXAUWEUWNAUXBVU
        RUYHUYNUWEUWNVBVXAXEMQUYPGHBUWNDUVMUVOUVPYMUVQUVRUVSAUXTUWTUWEUNAUAUWMU
        XSUWSUYKUXPUWQUXRUWRUGUYKBUWPUWOULABUWPVBUYHAUWPBVVFUVTWPUWCUYKUXQUWNUW
        EULAUXBUYNUXQUWNVBUYHMUYPGHUWNDUWAWCYIYTYSYIUWBAUAHUWEUWHCFUWIUWTEJIUWT
        YLUXNAHGTUWIUYOVUCWSVUGYNUWD $.
    $}

    $( A weak version of ~ dvcnvre , valid for both real and complex domains
       but under the hypothesis that the inverse function is already known to
       be continuous, and the image set is known to be open.  A more advanced
       proof can show that these conditions are unnecessary.  (Contributed by
       Mario Carneiro, 25-Feb-2015.)  (Revised by Mario Carneiro,
       8-Sep-2015.) $)
    dvcnv $p |- ( ph -> ( S _D `' F ) =
      ( x e. Y |-> ( 1 / ( ( S _D F ) ` ( `' F ` x ) ) ) ) ) $=
      ( cfv cc wcel adantr ccnv cdv co cv cmpt c1 cdiv cdm wf cpr dvfg recnprss
      cr syl wss wf1o f1ocnv f1of 3syl dvbsss eqsstrrdi sstrd fssd ctopon crest
      cnfldtopon resttopon sylancr eqeltrid toponss syl2anc dvbss wbr f1ocnvfv2
      wa wceq sylan ccncf cc0 crn wn ffvelrnda dvcnvlem eqbrtrrd reldv releldmi
      eqelssd feq2d mpbid feqmptd wfun ffund funbrfv sylc mpteq2dva eqtrd ) ACD
      UAZUBUCZBHBUDZWRQZUEBHUFWSWQQZCDUBUCZQUGUCZUEABHRWRAWRUHZRWRUIZHRWRUIACUM
      RUJSZXEKCWQUKUNZAXDHRWRABXDHAHCWQAXFCRUOZKCULUNZAHGRWQAGHDUPZHGWQUPHGWQUI
      MGHDUQHGWQURUSZAGCRAGXBUHZCOCDUTVAXIVBVCAFCVDQZSHFSZHCUOAFECVEUCZXMJAERVD
      QSXHXOXMSEIVFXICERVGVHVILHFCVJVKVLAWSHSZVOZWSXCWRVMZWSXDSXQXADQZWSXCWRAXJ
      XPXSWSVPMGHWSDVNVQXQXACDEFGHIJAXFXPKTAXNXPLTAXJXPMTAWQHGVRUCSXPNTAXLGVPXP
      OTAVSXBVTSWAXPPTAHGWSWQXKWBWCWDZWSXCWRCWQWEWFUNWGWHWIWJABHWTXCXQWRWKXRWTX
      CVPXQXDRWRAXEXPXGTWLXTWSXCWRWMWNWOWP $.
  $}

  ${
    $d x y N $.
    $( Derivative of an exponential of integer exponent.  (Contributed by Mario
       Carneiro, 26-Feb-2015.) $)
    dvexp3 $p |- ( N e. ZZ -> ( CC _D ( x e. ( CC \ { 0 } ) |-> ( x ^ N ) ) ) =
                  ( x e. ( CC \ { 0 } ) |-> ( N x. ( x ^ ( N - 1 ) ) ) ) ) $=
      ( vy cz wcel wa cc cc0 cexp co cmpt c1 cmin cmul wceq cvv a1i oveq2d cdiv
      c2 cn0 cr cneg cn wo csn cdif cv cdv elznn0nn cif ccnfld ctopn cnelprrecn
      cfv expcl ancoms c0ex ovex ifex dvexp2 difssd eqid cnfldtopon toponrestid
      cpr ccld cha cnfldhaus unicntop sncld mp2an cldopn ax-mp dvmptres ifid id
      0cn oveq12d wne eldifsn 0z peano2zm expclz mp3an3 adantl mul02d sylan9eqr
      oveq1 sylbi ifeq1da eqtr3id mpteq2dva eqtr4d eldifi simpll recnd ad2antlr
      nnnn0 expneg2 syl3anc eldifsni expclzd expne0d sylanbrc simpr sylib reccl
      nnz syl negex expcld dvexp ax-1cn dvrec mp1i oveq2 negeqd dvmptco expmulz
      2z syl22anc eqcomd mulneg1d zmulcl sylancl reccld mulcld mul2negd expsubd
      mul12d nncn zcnd sub32d caddc times2d negsubd eqtrd nncand 3eqtrd oveq1d
      divrec2d 3eqtr3rd jaoi ) BDEBUAEZBUBEZBUCZUDEZFZUEGAGHUFZUGZAUHZBIJZKZUIJ
      ZAUUKBUULBLMJZIJZNJZKZOZBUJUUEUUTUUIUUEUUOAUUKBHOZHUURUKZKUUSUUEAUUMUVBGU
      LUMUOZUVCPGUUKGUBGVFEZUUEUNQUULGEZUUEUUMGEUULBUPUQUVBPEUUEUVEFUVAHUURURBU
      UQNUSUTQABVAUUEGUUJVBUVCGUVCUVCVCZVDVEZUVFUUKUVCEZUUEUUJUVCVGUOEZUVHUVCVH
      EHGEUVIUVCUVFVIVRHUVCGVJVKVLUUJUVCGVJVMVNZQVOUUEAUUKUURUVBUUEUULUUKEZFZUU
      RUVAUURUURUKUVBUVAUURVPUVLUVAUURHUURUVAUVLUURHUULHLMJZIJZNJHUVABHUUQUVNNU
      VAVQUVAUUPUVMUULIBHLMWIRVSUVLUVNUVKUVNGEZUUEUVKUVEUULHVTZFUVOUULGHWAUVEUV
      PUVMDEZUVOHDEUVQWBHWCVNUULUVMWDWEWJWFWGWHWKWLWMWNUUIUUOGAUUKLUULUUGIJZSJZ
      KZUIJAUUKLUVRTIJZSJZUCZUUGUULUUGLMJZIJZNJZNJZKUUSUUIUUNUVTGUIUUIAUUKUUMUV
      SUUIUVKFZUVEBGEUUGUAEZUUMUVSOUVKUVEUUIUULGUUJWOWFZUWHBUUFUUHUVKWPWQZUUHUW
      IUUFUVKUUGWSZWRUULBWTXAWMRUUIACUVRUWFLCUHZSJZLUWMTIJZSJZUCZGGUVSUWCPPUUKU
      UKUVDUUIUNQZUWRUWHUVRGEUVRHVTUVRUUKEUWHUULUUGUWJUVKUVPUUIUULGHXBWFZUUHUUG
      DEZUUFUVKUUGXIWRZXCUWHUULUUGUWJUWSUXAXDUVRGHWAXEUWFPEZUWHUUGUWENUSZQUUIUW
      MUUKEZFZUWMGEUWMHVTFZUWNGEUXEUXDUXFUUIUXDXFUWMGHWAXGUWMXHXJUWQPEUXEUWPXKQ
      UUIAUVRUWFGUVCUVCPGUUKUWRUUIUVEFZUULUUGUUIUVEXFUUHUWIUUFUVEUWLWRXLUXBUXGU
      XCQUUHGAGUVRKUIJAGUWFKOUUFAUUGXMWFUUIGUUJVBUVGUVFUVHUUIUVJQVOLGEZGCUUKUWN
      KUIJCUUKUWQKOUUIXNCLXOXPUWMUVRLSXQUWMUVROZUWPUWBUXIUWOUWALSUWMUVRTIWIRXRX
      SUUIAUUKUWGUURUWHUWGLUULUUGTNJZIJZSJZUCZBUWENJZUCZNJUXLUXNNJZUURUWHUWCUXM
      UWFUXONUWHUWBUXLUWHUWAUXKLSUWHUXKUWAUWHUVEUVPUWTTDEZUXKUWAOUWJUWSUXAUXQUW
      HYAQUULUUGTXTYBYCRXRUWHBUWEUWKUWHUULUWDUWJUWSUWHUWTUWDDEUXAUUGWCXJZXCZYDV
      SUWHUXLUXNUWHUXKUWHUULUXJUWJUWSUWHUWTUXQUXJDEUXAYAUUGTYEYFZXCZUWHUULUXJUW
      JUWSUXTXDZYGZUWHBUWEUWKUXSYHYIUWHUXPBUXLUWENJZNJUURUWHUXLBUWEUYCUWKUXSYKU
      WHUYDUUQBNUWHUULUWDUXJMJZIJUWEUXKSJUUQUYDUWHUULUWDUXJUWJUWSUXTUXRYJUWHUYE
      UUPUULIUWHUYEUUGUXJMJZLMJUUPUWHUUGLUXJUUHUUGGEUUFUVKUUGYLWRZUXHUWHXNQUWHU
      XJUXTYMYNUWHUYFBLMUWHUYFUUGUUGBMJZMJBUWHUXJUYHUUGMUWHUXJUUGUUGYOJUYHUWHUU
      GUYGYPUWHUUGBUYGUWKYQYRRUWHUUGBUYGUWKYSYRUUAYRRUWHUWEUXKUXSUYAUYBUUBUUCRY
      RYTWMYTUUDWJ $.
  $}

  ${
    $d k n w $.  $d w x y z $.
    $( Derivative of the exponential function at 0.  The key step in the proof
       is ~ eftlub , to show that
       ` abs ( exp ( x ) - 1 - x ) <_ abs ( x ) ^ 2 x. ( 3 / 4 ) ` .
       (Contributed by Mario Carneiro, 9-Aug-2014.)  (Revised by Mario
       Carneiro, 28-Dec-2016.) $)
    dveflem $p |- 0 ( CC _D exp ) 1 $=
      ( vk vn cc0 c1 cc co wbr cfv wcel cmin cdiv cabs clt wa crp cmul c2 caddc
      cle c4 vz vw vy vx ce cdv ccnfld ctopn cnt csn cdif cv cmpt 0cn ctop wceq
      climc eqid cnfldtop unicntop ntrtop ax-mp eleqtrri wne wi wral ax-1cn cif
      wrex 1rp ifcl mpan2 eldifsn simprl subid1d fveq2d breq1d cr abscld adantr
      wb rpre 1red ltmin syl3anc bitrd simplr sylibr fveq2 oveq1d oveq12d fvmpt
      id ovex syl fvoveq1d simplrl efcl 1cnd subcld simplrr divcld simpll rpred
      c3 abscl ad2antrr subcl sylancl remulcld resqcld cn 3re 4nn nndivre mp2an
      cexp remulcl cfa cuz cn0 csu divcan2d divsubdird dividd oveq2d eqtrd 0cnd
      1e0p1 eqtr2di efsep oveq2i a1i oveq1i 1re breqtrd wtru wf mptru mpbir2an
      subsub4d addcl sylancr 2nn0 eftlcl df-2 1nn0 efval2 nn0uz sumeq1i addid2d
      0nn0 eqtr2d eft0val eqtr4di exp1 fac1 eqtrdi div1 mvrladdd 3eqtr3d eqtr3d
      absmuld 2nn simpr ltled eftlub eqbrtrrd df-3 fac2 2t2e4 oveq12i breqtrrdi
      eqtr2i sqge0d 3lt4 4cn mulid1i breqtrri 4pos pm3.2i ltdivmul mp3an ltleii
      mpbir lemul2ad recnd sqcld mulid1d letrd sqvald absgt0 mpbid elrpd mpbird
      4re lemul2d ad2ant2l lelttrd eqbrtrd sylbid adantld sylan2b brimralrspcev
      ex ralrimiva syl2anc rgen eldifi eldifsni fmpti difssd ellimc3 cnfldtopon
      toponrestid ef0 mpteq2ia ssidd eff eldv ) CDEUEUFFGZCEUGUHHZUIHHZIZDUAECU
      JZUKZUAULZUEHZDJFZUYGKFZUMZCUQFIZCEUYCUNUYBUOIUYCEUPUYBUYBURZUSUYBEUTVAVB
      VCUYLDEIZUBULZCVDZUYOCJFZLHZUCULMGNUYOUYKHZDJFLHZUDULZMGZVEUBUYFVFUCOVIZU
      DOVFZVGVUCUDOVUAOIZVUADSGZVUADVHZOIZUYPUYRVUGMGZNVUBVEZUBUYFVFVUCVUEDOIVU
      HVJVUFVUADOVKVLVUEVUJUBUYFUYOUYFIZVUEUYOEIZUYPNZVUJUYOECVMZVUEVUMNZVUIVUB
      UYPVUOVUIUYOLHZVUAMGZVUPDMGZNZVUBVUOVUIVUPVUGMGZVUSVUOUYRVUPVUGMVUOUYQUYO
      LVUOUYOVUEVULUYPVNZVOVPVQVUOVUPVRIZVUAVRIZDVRIZVUTVUSWAVUOUYOVVAVSVUEVVCV
      UMVUAWBVTVUOWCVUPVUADWDWEWFVUOVUSVUBVUOVUSNZUYTUYOUEHZDJFZUYOKFZDJFZLHZVU
      AMVVEUYSVVHDLJVVEVUKUYSVVHUPVVEVUMVUKVUEVUMVUSWGVUNWHUAUYOUYJVVHUYFUYKUYG
      UYOUPZUYIVVGUYGUYOKVVKUYHVVFDJUYGUYOUEWIWJVVKWMWKUYKURZVVGUYOKWNWLWOWPVVE
      VVJVUPVUAVVEVVIVVEVVHDVVEVVGUYOVVEVVFDVVEVULVVFEIZVUEVULUYPVUSWQZUYOWRZWO
      VVEWSZWTVVNVUEVULUYPVUSXAXBVVPWTVSVVEUYOVVNVSVVEVUAVUEVUMVUSXCXDVUMVURVVJ
      VUPSGZVUEVUQVUMVURNZVVQVUPVVJPFZVUPVUPPFZSGVVRVVSVUPQXQFZVVTSVVRVVSVWAXET
      KFZPFZVWAVVRVUPVVJVULVVBUYPVURUYOXFXGZVVRVVIVVRVVHDVVRVVGUYOVVRVVMUYNVVGE
      IVULVVMUYPVURVVOXGZVGVVFDXHXIZVULUYPVURXCZVULUYPVURWGZXBVVRWSZWTZVSZXJVVR
      VWAVRIVWBVRIZVWCVRIVVRVUPVWDXKZXEVRIZTXLIVWLXMXNXETXOXPZVWAVWBXRXIVWMVVRV
      VSVWAQDRFZQXSHZQPFZKFZPFZVWCSVVRQXTHAULBYAUYOBULZXQFVXAXSHZKFUMZHZAYBZLHZ
      VVSVWTSVVRUYOVVIPFZLHVXFVVSVVRVXGVXELVVRUYOVVGUYOJFZUYOKFZPFVXHVXGVXEVVRV
      XHUYOVVRVVGUYOVWFVWGWTVWGVWHYCVVRVXIVVIUYOPVVRVXIVVHUYOUYOKFZJFVVIVVRVVGU
      YOUYOVWFVWGVWGVWHYDVVRVXJDVVHJVVRUYOVWGVWHYEYFYGYFVVRVXHVVFDUYORFZJFVXEVV
      RVVFDUYOVWEVWIVWGUUAVVRVVFVXKVXEVVRUYNVULVXKEIVGVWGDUYOUUBUUCVVRVULQYAIVX
      EEIVWGUUDUYOABVXCQVXCURZUUEXIVVRUYODVXKABVXCDQVXLUUFUUGVWGVWIVVRUYOCDABVX
      CCDVXLYIUULVWGVVRYHVVRCCXTHZVXDAYBZRFCVVFRFVVFVVRVXNVVFCRVVRVVFYAVXDAYBZV
      XNVULVVFVXOUPUYPVURUYOABVXCVXLUUHXGYAVXMVXDAUUIUUJYJYFVVRVVFVWEUUKUUMVVRC
      UYOCXQFCXSHKFZRFCDRFDVVRVXPDCRVULVXPDUPUYPVURUYOUUNXGYFYIUUOYKVVRUYODXQFZ
      DXSHZKFZUYODRVVRVXSUYODKFZUYOVVRVXSUYOVXRKFVXTVVRVXQUYOVXRKVULVXQUYOUPUYP
      VURUYOUUPXGWJVXRDUYOKUUQYLUURVULVXTUYOUPUYPVURUYOUUSXGYGYFYKUUTYGUVAVPVVR
      UYOVVIVWGVWJUVCUVBVVRUYOABVXCBYAVUPVXAXQFVXBKFUMZBYAVWAVWQKFDVWPKFVXAXQFP
      FUMZQVXLVYAURVYBURQXLIVVRUVDYMVWGVVRVUPDVWDVVRWCZVUMVURUVEUVFUVGUVHVWBVWS
      VWAPXEVWPTVWRKUVIVWRQQPFTVWQQQPUVJYNUVKUVNUVLYLUVMVVRVWCVWADPFVWASVVRVWBD
      VWAVWLVVRVWOYMVYCVWMVVRVUPVWDUVOVWBDSGVVRVWBDVWOYOVWBDMGZXETDPFZMGZXETVYE
      MUVPTUVQUVRUVSVWNVVDTVRIZCTMGZNVYDVYFWAXMYOVYGVYHUWPUVTUWAXEDTUWBUWCUWEUW
      DYMUWFVVRVWAVVRVUPVVRVUPVWDUWGZUWHUWIYPUWJVVRVUPVYIUWKYPVVRVVJVUPVUPVWKVW
      DVVRVUPVWDVVRUYPCVUPMGZVWHVULUYPVYJWAUYPVURUYOUWLXGUWMUWNUWQUWOUWRVUOVUQV
      URVNUWSUWTUXEUXAUXBUXCUXFUYPVUBUCUBUYRVUGMOUYFUXDUXGUXHUYLUYNVUDNWAYQUDUC
      UBUYFCDUYKUYFEUYKYRYQUAUYFEUYJUYKVVLUYGUYFIZUYIUYGVYKUYHDVYKUYGEIUYHEIUYG
      EUYEUXIZUYGWRWOVYKWSWTVYLUYGECUXJXBUXKYMYQEUYEUXLYQYHUXMYSYTUYAUYDUYLNWAY
      QUAECDEUYBUEUYKUYBUYBEUYBUYMUXNUXOUYMUAUYFUYJUYHCUEHZJFZUYGCJFZKFZVYKVYPV
      YNUYGKFUYJVYKVYOUYGVYNKVYKUYGVYLVOYFVYNUYIUYGKVYMDUYHJUXPYLYNYJUXQYQEUXRZ
      EEUEYRYQUXSYMVYQUXTYSYT $.
  $}

  ${
    $d x y z $.
    $( Derivative of the exponential function.  (Contributed by Mario Carneiro,
       9-Aug-2014.)  (Proof shortened by Mario Carneiro, 10-Feb-2015.) $)
    dvef $p |- ( CC _D exp ) = exp $=
      ( vx vz cc ce cdv co wceq wtru cfv cmpt wf wcel cmin caddc cvv a1i cc0 c1
      cmul syl cv cdm dvfcn dvbsss wbr csn cxp cof wa subcl ancoms efadd syldan
      pncan3 fveq2d eqtr3d mpteq2dva cnex fvexd fconstmpt eqidd offval2 feqmptd
      eff 3eqtr4d oveq2d ccnfld ctopn efcl fconstg snssd fssd ssidd fmpttd 0cnd
      1cnd cop c0ex snid opelxpi mpan2 dvconst eleqtrrd df-br sylibr ccom oveq1
      cofmpt eqid ovex fvmpt subid eqtrd dveflem eqbrtrdi 1ex cr cpr cnelprrecn
      simpr dvmptid simpl id dvmptc dvmptsub 1m0e1 mpteq2i eqtr4i eqtrdi dvcobr
      1t1e1 breqtrdi breqdi dvmulbr mul02d fvex mulid2d oveq12d addid2d breqtrd
      ffvelrnd fvconst2 vex breldm ssriv eqssi feq2i mpbi wfun ffun ax-mp mpsyl
      funbrfv mpteq2ia eqtr4d mptru ) CDEFZDGHYQACAUAZDIZJZDHYQACYRYQIZJYTHACCY
      QCCYQKZHYQUBZCYQKZUUBDUCZUUCCCYQUUCCCDUDACUUCYRCLZYRYSYQUEZYRUUCLUUFCCYSU
      FZUGZBCBUAZYRMFZDIZJZSUHFZEFZYQYRYSUUFUUNDCEUUFBCYSUULSFZJBCUUJDIZJUUNDUU
      FBCUUPUUQUUFUUJCLZUIZYRUUKNFZDIZUUPUUQUUFUURUUKCLZUVAUUPGUURUUFUVBUUJYRUJ
      UKZYRUUKULUMUUSUUTUUJDYRUUJUNUOUPUQUUFBCYSUULSUUIUUMOOOCOLUUFURPUUSYRDUSU
      USUUKDUSUUIBCYSJGUUFBCYSUTPUUFUUMVAVBUUFBCCDCCDKZUUFVDPZVCVEVFUUFYRQYRUUM
      IZSFZRYRUUIIZSFZNFZYSUUOUUFYRCUUIUUMVGVHIZQRCCCUUFCUUHCUUIUUFYSCLZCUUHUUI
      KYRVIZCYSCVJTUUFYSCUVMVKVLUUFCVMZUUFBCUULCUUSUVBUULCLUVCUUKVITVNZUVNUVNUU
      FVOUUFVPZUUFYRQVQZCUUIEFZLYRQUVRUEUUFUVQCQUFZUGZUVRUUFQUVSLUVQUVTLQVRVSYR
      QCUVSVTWAUUFUVLUVRUVTGUVMYSWBTWCYRQUVRWDWEUUFCDBCUUKJZWFZEFZCUUMEFYRRUUFU
      WBUUMCEUUFBCUUKCCDUVEUVCWHVFUUFYRRRSFRUWCUUFYRCCDUWAUVKRRCCCUVEUVNUUFBCUU
      KCUVCVNUVNUVNUVNUVPUVPUUFYRUWAIZQRYQUUFUWDYRYRMFZQBYRUUKUWECUWAUUJYRYRMWG
      UWAWIYRYRMWJWKYRWLWMWNWOUUFYRRVQZCUWAEFZLYRRUWGUEUUFUWFCRUFZUGZUWGUUFRUWH
      LUWFUWILRWPVSYRRCUWHVTWAUUFUWGBCRQMFZJZUWIUUFBUUJRYRQCCCCCWQCWRLUUFWSPZUU
      FUURWTUUSVPUUFBCUWLXAUUFUURXBUUSVOUUFBYRCUWLUUFXCZXDXEUWKBCRJUWIBCUWJRXFX
      GBCRUTXHXIWCYRRUWGWDWEUVKWIZXJXKXLXMUWNXNUUFUVJQYSNFYSUUFUVGQUVIYSNUUFUVF
      UUFCCYRUUMUVOUWMYAXOUUFUVIRYSSFYSUUFUVHYSRSCYSYRYRDXPZYBVFUUFYSUVMXQWMXRU
      UFYSUVMXSWMXTXMZYRYSYQAYCUWOYDTYEYFYGYHPVCACUUAYSYQYIZUUFUUGUUAYSGUUDUWQU
      UEUUCCYQYJYKUWPYRYSYQYMYLYNXIHACCDUVDHVDPVCYOYP $.

    $( Derivative of the sine and cosine functions.  (Contributed by Mario
       Carneiro, 21-May-2016.) $)
    dvsincos $p |- ( ( CC _D sin ) = cos /\
      ( CC _D cos ) = ( x e. CC |-> -u ( sin ` x ) ) ) $=
      ( vy cc cdv co ccos wceq cneg cmpt wtru ci cmul ce cdiv caddc c2 wcel a1i
      ax-icn negicn csin cv cfv wa cpr cnelprrecn simpr mulcld efcl syl cc0 wne
      cr ine0 divcld mulcl sylancr negcld addcld adantl c1 1cnd dvmptid mulid1i
      dvmptcmul mpteq2i eqtrdi wf eff feqmptd oveq2d dvef syl5eq eqtr3d dvmptco
      fveq2 dvmptdivc divcan4d eqtrd sylancl dvmptneg divneg2d negne0i dvmptadd
      mpteq2dva 2cnd 2ne0 cmin df-sin subcld divdiv1d mulcomi oveq2i divsubdird
      2cn negsubd eqtr4d oveq1d 3eqtr4d divnegd negnegi mulneg2 eqtr3id subdird
      df-cos sinval negeqd divrecd irec jca mptru ) CUADEZFGZCFDEZACAUBZUAUCZHZ
      IZGZUDJXMXSJCACKXOLEZMUCZKNEZKHZXOLEZMUCZKNEZHZOEZPNEZIZDEACYAYEOEZPNEIZX
      LFJAYHYKPCCCCUMCUEQJUFRZJXOCQZUDZYBYGYOYAKYOXTCQYACQYOKXOKCQZYOSRZJYNUGZU
      HZXTUIUJZYQKUKULZYOUNRZUOZYOYFYOYEKYOYDCQZYECQZYOYCCQZYNUUDTYRYCXOUPUQZYD
      UIUJZYQUUBUOZURZUSYOYAYEYTUUHUSZJAYBYAYGYECCCCYMUUCYTJCACYBIDEACYAKLEZKNE
      ZIACYAIJAYAUULKCCCYMYTYOYAKYTYQUHZJABXTKBUBZMUCZUUPCCYAYACCCCYMYMYSYQUUOC
      QUUPCQJUUOUIUTZUUQJCACXTIDEACKVALEZIACKIJAXOVAKCCCYMYRYOVBZJACYMVCZYPJSRZ
      VEACUURKKSVDVFVGJCMDEZCBCUUPIZDEUVCJMUVCCDJBCCMCCMVHJVIRVJZVKJUVBMUVCVLUV
      DVMVNZUUOXTMVPZUVFVOZUVAUUAJUNRZVQJACUUMYAYOYAKYTYQUUBVRWEVSUUJUUHJCACYGI
      DEACYEYCLEZKNEZHZIACYEIJAYFUVJCCCYMUUIYOUVIKYOUUEUUFUVICQUUHTYEYCUPVTZYQU
      UBUOJAYEUVIKCCCYMUUHUVLJABYDYCUUPUUPCCYEYECCCCYMYMUUGUUFYOTRZUUQUUQJCACYD
      IDEACYCVALEZIACYCIJAXOVAYCCCCYMYRUUSUUTUUFJTRVEACUVNYCYCTVDVFVGUVEUUOYDMV
      PZUVOVOZUVAUVHVQWAJACUVKYEYOUVKUVIYCNEYEYOUVIKUVLYQUUBWBYOYEYCUUHUVMYCUKU
      LYOKSUNWCRVRVSWEVSWDJWFZPUKULZJWGRZVQJUAYJCDJUAACYAYEWHEZPKLEZNEZIYJAWIJA
      CUWBYIYOUVTKNEZPNEZUWBYIYOUWDUVTKPLEZNEUWBYOUVTKPYOYAYEYTUUHWJZYQYOWFZUUB
      UVRYOWGRZWKUWEUWAUVTNKPSWOWLWMVGZYOUWCYHPNYOUWCYBYFWHEYHYOYAYEKYTUUHYQUUB
      WNYOYBYFUUCUUIWPWQWRVNWEVMVKFYLGJAXERZWSJCYLDEACUULUVIOEZPNEZIXNXRJAYKUWK
      PCCCYMUUKYOUULUVIUUNUVLUSJAYAUULYEUVICCCCYMYTUUNUVGUUHUVLUVPWDUVQUVSVQJFY
      LCDUWJVKJACXQUWLYOUWDHUWCHZPNEXQUWLYOUWCPYOUVTKUWFYQUUBUOUWGUWHWTYOXPUWDY
      OXPUWBUWDYNXPUWBGJXOXFUTUWIWQXGYOUWKUWMPNYOUVTKLEZUVTYCLEZHZUWKUWMYOUWNUV
      TYCHZLEZUWPUWQKUVTLKSXAWMYOUVTCQUUFUWRUWPGUWFTUVTYCXBVTXCYOUULYEKLEZHZOEU
      ULUWSWHEUWKUWNYOUULUWSUUNYOUUEYPUWSCQUUHSYEKUPVTWPYOUVIUWTUULOYOUUEYPUVIU
      WTGUUHSYEKXBVTVKYOYAYEKYTUUHYQXDWSYOUWCUWOYOUWCUVTVAKNEZLEUWOYOUVTKUWFYQU
      UBXHUXAYCUVTLXIWMVGXGWSWRWSWEWSXJXK $.
  $}

  $( Derivative of the sine function.  (Contributed by Mario Carneiro,
     21-May-2016.) $)
  dvsin $p |- ( CC _D sin ) = cos $=
    ( vx cc csin cdv co ccos wceq cv cfv cneg cmpt dvsincos simpli ) BCDEFGBFDE
    ABAHCIJKGALM $.

  $( Derivative of the cosine function.  (Contributed by Mario Carneiro,
     21-May-2016.) $)
  dvcos $p |- ( CC _D cos ) = ( x e. CC |-> -u ( sin ` x ) ) $=
    ( cc csin cdv co ccos wceq cv cfv cneg cmpt dvsincos simpri ) BCDEFGBFDEABA
    HCIJKGALM $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Results on real differentiation
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d y z A $.  $d y z B $.  $d u x y z F $.  $d u x y z U $.  $d u x y z X $.
    $d u y ph $.  $d y z S $.  $d z T $.
    dvferm.a $e |- ( ph -> F : X --> RR ) $.
    dvferm.b $e |- ( ph -> X C_ RR ) $.
    dvferm.u $e |- ( ph -> U e. ( A (,) B ) ) $.
    dvferm.s $e |- ( ph -> ( A (,) B ) C_ X ) $.
    dvferm.d $e |- ( ph -> U e. dom ( RR _D F ) ) $.
    ${
      dvferm1.r $e |- ( ph -> A. y e. ( U (,) B ) ( F ` y ) <_ ( F ` U ) ) $.
      ${
        dvferm1.z $e |- ( ph -> 0 < ( ( RR _D F ) ` U ) ) $.
        dvferm1.t $e |- ( ph -> T e. RR+ ) $.
        dvferm1.l $e |- ( ph -> A. z e. ( X \ { U } )
          ( ( z =/= U /\ ( abs ` ( z - U ) ) < T ) ->
            ( abs ` ( ( ( ( F ` z ) - ( F ` U ) ) / ( z - U ) ) -
              ( ( RR _D F ) ` U ) ) ) < ( ( RR _D F ) ` U ) ) ) $.
        dvferm1.x $e |- S =
          ( ( U + if ( B <_ ( U + T ) , B , ( U + T ) ) ) / 2 ) $.
        $( Lemma for ~ dvferm .  (Contributed by Mario Carneiro,
           24-Feb-2015.) $)
        dvferm1lem $p |- -. ph $=
          ( cfv clt wbr cc0 cmin co cdiv cr cdv cdm wf wss dvfre ffvelrnd recnd
          syl2anc subidd caddc cabs wa wne cioo ioossre sselid cle cif eliooord
          c2 wcel syl simprd ltaddrpd breq2 ifboth wb cxr cmnf c0 ne0i necon1ai
          ndmioo 3syl rpred readdcld rexrd ifcld a1i mnfltd xrlttrd xrmin2 xrre
          mnfxr syl22anc avglt1 mpbid breqtrrdi gtned eqeltrid ltled abssubge0d
          rehalfcld avglt2 eqbrtrid ltletrd ltsubadd2d mpbird eqbrtrd cv wi csn
          cdif neeq1 fvoveq1 breq1d anbi12d fveq2 oveq1d oveq1 oveq12d fvoveq1d
          imbi12d simpld xrltled iooss1 sstrd xrmin1 xrltletrd elioo2 mpbir3and
          wceq sseldd eldifsn sylanbrc rspcdva mp2and resubcld elrpd rerpdivcld
          w3a posdifd absdifltd eqbrtrrd gt0div syl3anc lensymd pm2.65i ) AHIUA
          ZFIUAZUBUCZAUUIUDUUHUUGUEUFZUBUCZAUUKUDUUJFHUEUFZUGUFZUBUCZAHUHIUIUFZ
          UAZUUPUEUFZUDUUMUBAUUPAUUPAUUOUJZUHHUUOAJUHIUKJUHULUURUHUUOUKKLJIUMUP
          OUNZUOUQAUUQUUMUBUCZUUMUUPUUPURUFUBUCZAUUMUUPUEUFUSUAZUUPUBUCZUUTUVAU
          TAFHVAZUULUSUAZGUBUCZUVCAHFADEVBUFZUHHDEVCMVDZAHHEHGURUFZVEUCZEUVIVFZ
          URUFZVHUGUFZFUBAHUVKUBUCZHUVMUBUCZAHEUBUCZHUVIUBUCZUVNADHUBUCZUVPAHUV
          GVIZUVRUVPUTMHDEVGVJZVKZAHGUVHRVLUVJUVPUVQUVNEUVIEUVKHUBVMUVIUVKHUBVM
          VNUPZAHUHVIZUVKUHVIZUVNUVOVOUVHAUVKVPVIUVIUHVIVQUVKUBUCZUVKUVIVEUCZUW
          DAUVJEUVIVPADVPVIZEVPVIZAUVSUVGVRVAUWGUWHUTZMUVGHVSUWIUVGVRDEWAVTWBZV
          KZAUVIAHGUVHAGRWCZWDZWEZWFZUWMAVQEUBUCZVQUVIUBUCZUWEAVQHEVQVPVIAWLWGA
          HUVHWEZUWKAHUVHWHUWAWIAUVIUWMWHUVJUWPUWQUWEEUVIEUVKVQUBVMUVIUVKVQUBVM
          VNUPAUWHUVIVPVIZUWFUWKUWNEUVIWJUPZUVKUVIWKWMZHUVKWNUPWOTWPZWQZAUVEUUL
          GUBAHFUVHAFUVMUHTAUVLAHUVKUVHUXAWDXAWRZAHFUVHUXDUXBWSWTAUULGUBUCFUVIU
          BUCAFUVKUVIUXDUXAUWMAFUVMUVKUBTAUVNUVMUVKUBUCZUWBAUWCUWDUVNUXEVOUVHUX
          AHUVKXBUPWOXCZUWTXDAFHGUXDUVHUWLXEXFXGACXHZHVAZUXGHUEUFZUSUAZGUBUCZUT
          ZUXGIUAZUUGUEUFZUXIUGUFZUUPUEUFUSUAZUUPUBUCZXIUVDUVFUTZUVCXICJHXJXKZF
          UXGFYJZUXLUXRUXQUVCUXTUXHUVDUXKUVFUXGFHXLUXTUXJUVEGUBUXGFHUSUEXMXNXOU
          XTUXPUVBUUPUBUXTUXOUUMUUPUSUEUXTUXNUUJUXIUULUGUXTUXMUUHUUGUEUXGFIXPXQ
          UXGFHUEXRXSXTXNYASAFJVIUVDFUXSVIAHEVBUFZJFAUYAUVGJAUWGDHVEUCUYAUVGULA
          UWGUWHUWJYBZADHUYBUWRAUVRUVPUVTYBYCDHEYDUPNYEAFUYAVIZFUHVIZHFUBUCZFEU
          BUCZUXDUXBAFUVKEAFUXDWEUWOUWKUXFAUWHUWSUVKEVEUCUWKUWNEUVIYFUPYGAHVPVI
          UWHUYCUYDUYEUYFYSVOUWRUWKHEFYHUPYIZYKZUXCFJHYLYMYNYOAUUMUUPUUPAUUJUUL
          AUUHUUGAJUHFIKUYHUNZAJUHHIKAUVGJHNMYKUNZYPZAUULAFHUXDUVHYPZAUYEUDUULU
          BUCZUXBAHFUVHUXDYTWOZYQYRUUSUUSUUAWOYBUUBAUUJUHVIUULUHVIUYMUUKUUNVOUY
          KUYLUYNUUJUULUUCUUDXFAUUGUUHUYJUYIYTXFAUUHUUGUYIUYJABXHZIUAZUUGVEUCUU
          HUUGVEUCBUYAFUYOFYJUYPUUHUUGVEUYOFIXPXNPUYGYNUUEUUF $.
      $}

      $d x z ph $.
      $( One-sided version of ~ dvferm .  A point ` U ` which is the local
         maximum of its right neighborhood has derivative at most zero.
         (Contributed by Mario Carneiro, 24-Feb-2015.)  (Proof shortened by
         Mario Carneiro, 28-Dec-2016.) $)
      dvferm1 $p |- ( ph -> ( ( RR _D F ) ` U ) <_ 0 ) $=
        ( cr co cfv wbr cmin wcel cc vz vu vx cdv cc0 cle clt wn cv wne cabs wa
        cdiv wi csn cdif wral crp wrex cmpt wceq fveq2 oveq1d oveq12d eqid ovex
        oveq1 fvmpt fvoveq1d id breqan12rd imbi2d ralbidva rexbidv climc ccnfld
        ctopn crest cnt cdm wf wfun wb dvf ffun funfvbrb mp2b wss ax-resscn a1i
        sylib fss sylancl eldv mpbid simprd adantr sstrdi sseldd dvlem ssdifssd
        cioo fmpttd ellimc3 dvfre syl2anc ffvelrnd anim1i elrp sylibr caddc cif
        rspcdva c2 ad3antrrr simplr simpr dvferm1lem imnani nrexdv pm2.65da 0re
        simpllr lenlt mpbird ) AENFUDOZPZUEUFQZUEYGUGQZUHZAYIUAUIZEUJYKEROZUKPU
        BUIZUGQULZYKFPZEFPZROZYLUMOZYGROUKPZYGUGQZUNZUAGEUOZUPZUQZUBURUSZAYIULZ
        YNYKUCUUCUCUIZFPZYPROZUUGEROZUMOZUTZPZYGROUKPZBUIZUGQZUNZUAUUCUQZUBURUS
        ZUUEBURYGUUOYGVAZUURUUDUBURUUTUUQUUAUAUUCUUTYKUUCSZULUUPYTYNUVAUUTUUNYS
        UUOYGUGUVAUUMYRYGUKRUCYKUUKYRUUCUULUUGYKVAZUUIYQUUJYLUMUVBUUHYOYPRUUGYK
        FVBVCUUGYKERVGVDUULVEZYQYLUMVFVHVIUUTVJVKVLVMVNUUFYGTSZUUSBURUQZUUFYGUU
        LEVOOSZUVDUVEULAUVFYIAEGVPVQPZNVROZVSPPSZUVFAEYGYFQZUVIUVFULAEYFVTZSZUV
        JLUVKTYFWAYFWBUVLUVJWCFWDUVKTYFWEEYFWFWGWKAUCGEYGNUVHFUULUVGUVHVEUVGVEU
        VCNTWHZAWIWJAGNFWAZUVMGTFWAHWIGNTFWLWMZIWNWOWPWQUUFBUBUAUUCEYGUULAUUCTU
        ULWAYIAUCUUCUUKTAUUGEGFUVOAGNTIWIWRZACDXBOZGEKJWSZWTXCWQUUFGTUUBAGTWHYI
        UVPWQXAAETSYIAGTEUVPUVRWSWQXDWOWPUUFYGNSZYIULYGURSAUVSYIAUVKNEYFAUVNGNW
        HZUVKNYFWAHIGFXEXFLXGZXHYGXIXJXMUUFUUDUBURUUFYMURSZULZUUDUWCUUDULBUACDE
        DEYMXKOZUFQDUWDXLXKOXNUMOZYMEFGAUVNYIUWBUUDHXOAUVTYIUWBUUDIXOAEUVQSYIUW
        BUUDJXOAUVQGWHYIUWBUUDKXOAUVLYIUWBUUDLXOAUUOFPYPUFQBEDXBOUQYIUWBUUDMXOA
        YIUWBUUDYCUUFUWBUUDXPUWCUUDXQUWEVEXRXSXTYAAUVSUENSYHYJWCUWAYBYGUEYDWMYE
        $.
    $}

    ${
      dvferm2.r $e |- ( ph -> A. y e. ( A (,) U ) ( F ` y ) <_ ( F ` U ) ) $.
      ${
        dvferm2.z $e |- ( ph -> ( ( RR _D F ) ` U ) < 0 ) $.
        dvferm2.t $e |- ( ph -> T e. RR+ ) $.
        dvferm2.l $e |- ( ph -> A. z e. ( X \ { U } )
          ( ( z =/= U /\ ( abs ` ( z - U ) ) < T ) ->
            ( abs ` ( ( ( ( F ` z ) - ( F ` U ) ) / ( z - U ) ) -
              ( ( RR _D F ) ` U ) ) ) < -u ( ( RR _D F ) ` U ) ) ) $.
        dvferm2.x $e |- S =
          ( ( if ( A <_ ( U - T ) , ( U - T ) , A ) + U ) / 2 ) $.
        $( Lemma for ~ dvferm .  (Contributed by Mario Carneiro,
           24-Feb-2015.) $)
        dvferm2lem $p |- -. ph $=
          ( cfv clt wbr cc0 cmin co cneg cdiv cr cdv caddc cabs wa wne cle cmnf
          cif c2 cxr wcel mnfxr a1i cioo ioossre sselid rpred resubcld rexrd c0
          ne0i ndmioo necon1ai 3syl simpld ifcld mnfltd xrmax2 syl2anc ltsubrpd
          xrltletrd eliooord syl breq1 ifboth xrre2 syl32anc readdcld rehalfcld
          eqeltrid wb avglt2 mpbid eqbrtrid abssuble0d avglt1 breqtrrdi lelttrd
          ltned ltled ltsub23d eqbrtrd cv wi csn cdif wceq neeq1 fvoveq1 breq1d
          anbi12d fveq2 oveq1d oveq1 oveq12d fvoveq1d imbi12d wss simprd iooss2
          xrltled xrmax1 xrlelttrd w3a elioo2 mpbir3and sseldd eldifsn sylanbrc
          sstrd rspcdva mp2and ffvelrnd recnd subne0d redivcld renegcld breqtrd
          wf posdifd mpbird dvfre absdifltd negidd lt0neg1d divneg2d negsubdi2d
          cdm breqtrrd gt0div syl3anc lensymd pm2.65i ) AHIUAZFIUAZUBUCZAUUOUDU
          UNUUMUEUFZUBUCZAUUQUDUUPFHUEUFZUGZUHUFZUBUCZAUDUUPUURUHUFZUGZUUTUBAUV
          BUDUBUCUDUVCUBUCAUVBHUIIUJUFZUAZUVEUGZUKUFZUDUBAUVEUVFUEUFUVBUBUCZUVB
          UVGUBUCZAUVBUVEUEUFULUAZUVFUBUCZUVHUVIUMAFHUNZUURULUAZGUBUCZUVKAFHAFD
          HGUEUFZUOUCZUVODUQZHUKUFZURUHUFZUITAUVRAUVQHAUPUSUTZUVQUSUTHUSUTZUPUV
          QUBUCUVQHUBUCZUVQUIUTZUVTAVAVBZAUVPUVODUSAUVOAHGADEVCUFZUIHDEVDMVEZAG
          RVFZVGZVHZADUSUTZEUSUTZAHUWEUTZUWEVIUNUWJUWKUMZMUWEHVJUWMUWEVIDEVKVLV
          MZVNZVOZAHUWFVHZAUPUVOUVQUWDUWIUWPAUVOUWHVPAUWJUVOUSUTZUVOUVQUOUCUWOU
          WIDUVOVQVRZVTAUVOHUBUCZDHUBUCZUWBAHGUWFRVSAUXAHEUBUCZAUWLUXAUXBUMMHDE
          WAWBZVNUVPUWTUXAUWBUVODUVOUVQHUBWCDUVQHUBWCWDVRZUPUVQHWEWFZUWFWGWHWIZ
          AFUVSHUBTAUWBUVSHUBUCZUXDAUWCHUIUTZUWBUXGWJUXEUWFUVQHWKVRWLWMZWRZAUVM
          HFUEUFZGUBAFHUXFUWFAFHUXFUWFUXIWSWNAHGFUWFUWGUXFAUVOUVQFUWHUXEUXFUWSA
          UVQUVSFUBAUWBUVQUVSUBUCZUXDAUWCUXHUWBUXLWJUXEUWFUVQHWOVRWLTWPZWQWTXAA
          CXBZHUNZUXNHUEUFZULUAZGUBUCZUMZUXNIUAZUUMUEUFZUXPUHUFZUVEUEUFULUAZUVF
          UBUCZXCUVLUVNUMZUVKXCCJHXDXEZFUXNFXFZUXSUYEUYDUVKUYGUXOUVLUXRUVNUXNFH
          XGUYGUXQUVMGUBUXNFHULUEXHXIXJUYGUYCUVJUVFUBUYGUYBUVBUVEULUEUYGUYAUUPU
          XPUURUHUYGUXTUUNUUMUEUXNFIXKXLUXNFHUEXMXNXOXIXPSAFJUTUVLFUYFUTADHVCUF
          ZJFAUYHUWEJAUWKHEUOUCUYHUWEXQAUWJUWKUWNXRZAHEUWQUYIAUXAUXBUXCXRXTDHEX
          SVRNYIAFUYHUTZFUIUTZDFUBUCZFHUBUCZUXFADUVQFUWOUWPAFUXFVHAUWJUWRDUVQUO
          UCUWOUWIDUVOYAVRUXMYBUXIAUWJUWAUYJUYKUYLUYMYCWJUWOUWQDHFYDVRYEZYFZUXJ
          FJHYGYHYJYKAUVBUVEUVFAUUPUURAUUNUUMAJUIFIKUYOYLZAJUIHIKAUWEJHNMYFYLZV
          GZAFHUXFUWFVGZAFHAFUXFYMZAHUWFYMZUXJYNZYOZAUVDUUGZUIHUVDAJUIIYRJUIXQV
          UDUIUVDYRKLJIUUAVROYLZAUVEVUEYPUUBWLXRAUVEAUVEVUEYMUUCYQAUVBVUCUUDWLA
          UUPUURAUUPUYRYMAUURUYSYMVUBUUEYQAUUPUIUTUUSUIUTUDUUSUBUCUUQUVAWJUYRAU
          URUYSYPAUDUXKUUSUBAUYMUDUXKUBUCUXIAFHUXFUWFYSWLAFHUYTVUAUUFUUHUUPUUSU
          UIUUJYTAUUMUUNUYQUYPYSYTAUUNUUMUYPUYQABXBZIUAZUUMUOUCUUNUUMUOUCBUYHFV
          UFFXFVUGUUNUUMUOVUFFIXKXIPUYNYJUUKUUL $.
      $}

      $d x z ph $.
      $( One-sided version of ~ dvferm .  A point ` U ` which is the local
         maximum of its left neighborhood has derivative at least zero.
         (Contributed by Mario Carneiro, 24-Feb-2015.)  (Proof shortened by
         Mario Carneiro, 28-Dec-2016.) $)
      dvferm2 $p |- ( ph -> 0 <_ ( ( RR _D F ) ` U ) ) $=
        ( cr co cfv wbr cmin wcel cc vz vu vx cc0 cdv cle clt wn cv wne cabs wa
        cdiv cneg wi csn cdif wral crp wrex cmpt wceq fveq2 oveq1d oveq12d eqid
        oveq1 fvmpt fvoveq1d id breqan12rd imbi2d ralbidva rexbidv climc ccnfld
        ovex ctopn crest cnt cdm wf wfun dvf ffun funfvbrb mp2b sylib ax-resscn
        wss a1i fss sylancl eldv mpbid simprd adantr sstrdi sseldd dvlem fmpttd
        wb cioo ssdifssd ellimc3 dvfre syl2anc ffvelrnd renegcld lt0neg1d elrpd
        biimpa rspcdva cif c2 ad3antrrr simpllr simplr dvferm2lem imnani nrexdv
        caddc simpr pm2.65da 0re lenlt sylancr mpbird ) AUDENFUEOZPZUFQZYJUDUGQ
        ZUHZAYLUAUIZEUJYNEROZUKPUBUIZUGQULZYNFPZEFPZROZYOUMOZYJROUKPZYJUNZUGQZU
        OZUAGEUPZUQZURZUBUSUTZAYLULZYQYNUCUUGUCUIZFPZYSROZUUKEROZUMOZVAZPZYJROU
        KPZBUIZUGQZUOZUAUUGURZUBUSUTZUUIBUSUUCUUSUUCVBZUVBUUHUBUSUVDUVAUUEUAUUG
        UVDYNUUGSZULUUTUUDYQUVEUVDUURUUBUUSUUCUGUVEUUQUUAYJUKRUCYNUUOUUAUUGUUPU
        UKYNVBZUUMYTUUNYOUMUVFUULYRYSRUUKYNFVCVDUUKYNERVGVEUUPVFZYTYOUMVQVHVIUV
        DVJVKVLVMVNUUJYJTSZUVCBUSURZUUJYJUUPEVOOSZUVHUVIULAUVJYLAEGVPVRPZNVSOZV
        TPPSZUVJAEYJYIQZUVMUVJULAEYIWAZSZUVNLUVOTYIWBYIWCUVPUVNXBFWDUVOTYIWEEYI
        WFWGWHAUCGEYJNUVLFUUPUVKUVLVFUVKVFUVGNTWJZAWIWKAGNFWBZUVQGTFWBHWIGNTFWL
        WMZIWNWOWPWQUUJBUBUAUUGEYJUUPAUUGTUUPWBYLAUCUUGUUOTAUUKEGFUVSAGNTIWIWRZ
        ACDXCOZGEKJWSZWTXAWQUUJGTUUFAGTWJYLUVTWQXDAETSYLAGTEUVTUWBWSWQXEWOWPUUJ
        UUCUUJYJAYJNSZYLAUVONEYIAUVRGNWJZUVONYIWBHIGFXFXGLXHZWQXIAYLUDUUCUGQAYJ
        UWEXJXLXKXMUUJUUHUBUSUUJYPUSSZULZUUHUWGUUHULBUACDCEYPROZUFQUWHCXNEYBOXO
        UMOZYPEFGAUVRYLUWFUUHHXPAUWDYLUWFUUHIXPAEUWASYLUWFUUHJXPAUWAGWJYLUWFUUH
        KXPAUVPYLUWFUUHLXPAUUSFPYSUFQBCEXCOURYLUWFUUHMXPAYLUWFUUHXQUUJUWFUUHXRU
        WGUUHYCUWIVFXSXTYAYDAUDNSUWCYKYMXBYEUWEUDYJYFYGYH $.
    $}

    dvferm.r $e |- ( ph -> A. y e. ( A (,) B ) ( F ` y ) <_ ( F ` U ) ) $.
    $( Fermat's theorem on stationary points.  A point ` U ` which is a local
       maximum has derivative equal to zero.  (Contributed by Mario Carneiro,
       1-Sep-2014.) $)
    dvferm $p |- ( ph -> ( ( RR _D F ) ` U ) = 0 ) $=
      ( cr co cfv cc0 cle wbr wcel cdv wceq cioo wss cv wral cxr c0 wne wa ne0i
      ndmioo necon1ai 3syl simpld ioossre sselid rexrd clt eliooord syl xrltled
      iooss1 syl2anc ssralv dvferm1 simprd iooss2 dvferm2 wb cdm dvfre ffvelrnd
      sylc wf 0re letri3 sylancl mpbir2and ) AENFUAOZPZQUBZWAQRSZQWARSZABCDEFGH
      IJKLAEDUCOZCDUCOZUDZBUEFPEFPRSZBWFUFZWHBWEUFACUGTZCERSWGAWJDUGTZAEWFTZWFU
      HUIWJWKUJZJWFEUKWMWFUHCDULUMUNZUOZACEWOAEAWFNECDUPJUQURZACEUSSZEDUSSZAWLW
      QWRUJJECDUTVAZUOVBCEDVCVDMWHBWEWFVEVNVFABCDEFGHIJKLACEUCOZWFUDZWIWHBWTUFA
      WKEDRSXAAWJWKWNVGZAEDWPXBAWQWRWSVGVBCEDVHVDMWHBWTWFVEVNVIAWANTQNTWBWCWDUJ
      VJAVTVKZNEVTAGNFVOGNUDXCNVTVOHIGFVLVDLVMVPWAQVQVRVS $.
  $}

  ${
    $d t u v x y A $.  $d t u v x y ph $.  $d t u v x y B $.  $d t u v x y F $.
    $d u v x y U $.
    rolle.a $e |- ( ph -> A e. RR ) $.
    rolle.b $e |- ( ph -> B e. RR ) $.
    rolle.lt $e |- ( ph -> A < B ) $.
    rolle.f $e |- ( ph -> F e. ( ( A [,] B ) -cn-> RR ) ) $.
    rolle.d $e |- ( ph -> dom ( RR _D F ) = ( A (,) B ) ) $.
    ${
      rolle.r $e |- ( ph -> A. y e. ( A [,] B ) ( F ` y ) <_ ( F ` U ) ) $.
      rolle.u $e |- ( ph -> U e. ( A [,] B ) ) $.
      rolle.n $e |- ( ph -> -. U e. { A , B } ) $.
      $( Lemma for ~ rolle .  (Contributed by Mario Carneiro, 1-Sep-2014.) $)
      rollelem $p |- ( ph -> E. x e. ( A (,) B ) ( ( RR _D F ) ` x ) = 0 ) $=
        ( co wcel cr cfv cc0 cioo cdv wceq cv wrex cpr cun wo cxr cle wbr rexrd
        cicc ltled prunioo syl3anc eleqtrrd elun sylib ord mt3d ccncf cncff syl
        wf wss iccssre syl2anc ioossicc a1i cdm wral ssralv sylc dvferm fveqeq2
        rspcev ) AFDEUAPZQZFRGUBPZSTUCZBUDZVTSTUCZBVRUEAVSFDEUFZQZOAVSWEAFVRWDU
        GZQVSWEUHAFDEUMPZWFNADUIQEUIQDEUJUKWFWGUCADHULAEIULADEHIJUNDEUOUPUQFVRW
        DURUSUTVAZACDEFGWGAGWGRVBPQWGRGVEKWGRGVCVDADRQERQWGRVFHIDEVGVHWHVRWGVFZ
        ADEVIVJZAFVRVTVKWHLUQAWICUDGSFGSUJUKZCWGVLWKCVRVLWJMWKCVRWGVMVNVOWCWABF
        VRWBFTVTVPVQVH $.
    $}

    rolle.e $e |- ( ph -> ( F ` A ) = ( F ` B ) ) $.
    $( Rolle's theorem.  If ` F ` is a real continuous function on
       ` [ A , B ] ` which is differentiable on ` ( A , B ) ` , and
       ` F ( A ) = F ( B ) ` , then there is some ` x e. ( A , B ) ` such that
       ` ( RR _D F ) `` x = 0 ` .  (Contributed by Mario Carneiro,
       1-Sep-2014.) $)
    rolle $p |- ( ph -> E. x e. ( A (,) B ) ( ( RR _D F ) ` x ) = 0 ) $=
      ( vy vu cfv wa cr wceq wcel ad2antrr cc vv vt cv cle wbr cicc co wral cdv
      wrex cc0 cioo ltled evthicc reeanv sylibr r19.26 cpr clt ccncf cdm ralimi
      wn simpl weq fveq2 breq1d cbvralvw sylib ad2antrl simplrl simprr rollelem
      expr cneg cmpt wf cncff syl ffvelrnda renegcld fmpttd wb ax-resscn cncfss
      wss ssid mp2an sselid eqid negfcncf cncffvrn sylancr mpbird crn ctg ctopn
      ccnfld a1i iccssre syl2anc fss sylancl negcld cnt dvmptntr cvv reelprrecn
      tgioo2 iccntr ioossicc sseli sylan2 fvexd oveq2d dvf feq2d mpbii 3eqtr3rd
      feqmptd dvmptneg negex simplrr ffvelrnd adantr negeqd fvmpt bitr4d fveq1d
      imp sylan9eq wi fveqeq2 syl5ibrcom cxr rexrd impancom wfn ex sylbird mprg
      dmmptg eqtrdi lenegd adantl breq12d syl5ib ralimdva adantrr eqeq1d eleq2d
      eqtrd dmeqd simpr biimpar ffvelrni negeq0d rexbidva mpbid vex elpr eqcomd
      wo jaod syl5bi eleq1w imbi12d imbi2d chvarvv anim12d lbicc2 syl3anc breq2
      letri3d breq1 bi2anan9 bibi2d ralbidva ffnd fnconstg eqfnfv fvex fvconst2
      csn cxp eqeq2d ralbiia bitrdi c0 ioon0 fconstmpt eqeq2i biimpi recnd 0cnd
      wne dvmptc dvmptres2 sylan9eqr c0ex ralrimiva r19.2z syl2an2r syld ecased
      eqidd syl5bir rexlimdvva mpd ) ALUCZENZMUCZENZUDUEZLCDUFUGZUHZUAUCZENZUXK
      UDUEZLUXOUHZOZUAUXOUJMUXOUJZBUCZPEUIUGZNZUKQZBCDULUGZUJZAUXPMUXOUJUXTUAUX
      OUJOUYBAMLUALCDEFGACDFGHUMZIUNUXPUXTMUAUXOUXOUOUPAUYAUYHMUAUXOUXOUYAUXNUX
      SOZLUXOUHZAUXLUXORZUXQUXORZOZOZUYHUXNUXSLUXOUQUYOUYKUYHUYOUYKOZUXLCDURZRZ
      UXQUYQRZUYHUYOUYKUYRVCZUYHUYOUYKUYTOZOBUBCDUXLEACPRZUYNVUAFSADPRZUYNVUAGS
      ACDUSUEZUYNVUAHSAEUXOPUTUGZRZUYNVUAISAUYDVAZUYGQUYNVUAJSUYKUBUCZENZUXMUDU
      EZUBUXOUHZUYOUYTUYKUXPVUKUYJUXNLUXOUXNUXSVDVBUXNVUJLUBUXOLUBVEZUXKVUIUXMU
      DUXJVUHEVFVGVHVIVJAUYLUYMVUAVKUYOUYKUYTVLVMVNUYOUYKUYSVCZUYHUYOUYKVUMOZOZ
      UYCPMUXOUXMVOZVPZUIUGZNZUKQZBUYGUJZUYHVUOBUBCDUXQVUQAVUBUYNVUNFSAVUCUYNVU
      NGSAVUDUYNVUNHSAVUQVUERZUYNVUNAVVBUXOPVUQVQZAMUXOVUPPAUYLOZUXMAUXOPUXLEAV
      UFUXOPEVQZIUXOPEVRVSZVTWAWBAPTWFZVUQUXOTUTUGZRZVVBVVCWCWDAEVVHRVVIAVUEVVH
      EVVGTTWFVUEVVHWFWDTWGUXOPTWEWHIWIMUXOEVUQVUQWJZWKVSUXOTPVUQWLWMWNSAVURVAZ
      UYGQUYNVUNAVVKMUYGUXLUYDNZVOZVPZVAZUYGAVURVVNAVURPMUYGVUPVPUIUGVVNAMVUPPU
      LWOWPNZWRWQNZUXOUYGVVGAWDWSZAVUBVUCUXOPWFFGCDWTXAZVVDUXMAUXOTUXLEAVVEVVGU
      XOTEVQVVFWDUXOPTEXBXCVTZXDVVQVVQWJZXIZVWAAVUBVUCUXOVVPXENNUYGQFGCDXJXAZXF
      AMUXMVVLPXGUYGPPTURRAXHWSZUXLUYGRZAUYLUXMTRUYGUXOUXLCDXKXLVVTXMAVWEOUXLUY
      DXNAUYDPMUXOUXMVPZUIUGMUYGVVLVPPMUYGUXMVPUIUGAEVWFPUIAMUXOPEVVFXTXOAMUYGT
      UYDAVUGTUYDVQUYGTUYDVQEXPZAVUGUYGTUYDJXQXRXTAMUXMPVVPVVQUXOUYGVVRVVSVVTVW
      BVWAVWCXFXSYAUULZUUMVVMXGRZVVOUYGQMUYGMUYGVVMXGUUBVWIVWEVVLYBWSUUAUUCSUYO
      UYKVUHVUQNZUXQVUQNZUDUEZUBUXOUHZVUMUYPUXJVUQNZVWKUDUEZLUXOUHZVWMUYOUYKVWP
      UYOUYJVWOLUXOUYJUXSUYOUXJUXORZOZVWOUXNUXSUUNVWRUXSUXKVOZUXRVOZUDUEVWOVWRU
      XRUXKVWRUXOPUXQEAVVEUYNVWQVVFSAUYLUYMVWQYCZYDUYOUXOPUXJEAVVEUYNVVFYEVTZUU
      DVWRVWNVWSVWKVWTUDVWQVWNVWSQUYOMUXJVUPVWSUXOVUQMLVEUXMUXKUXLUXJEVFYFVVJUX
      KYBYGUUEVWRUYMVWKVWTQVXAMUXQVUPVWTUXOVUQMUAVEZUXMUXRUXLUXQEVFYFVVJUXRYBYG
      VSUUFYHUUGUUHYJVWOVWLLUBUXOVULVWNVWJVWKUDUXJVUHVUQVFVGVHVIUUIAUYLUYMVUNYC
      UYOUYKVUMVLVMAVVAUYHWCUYNVUNAVUTUYFBUYGAUYCUYGRZOZVUTUYEVOZUKQUYFVXEVUSVX
      FUKAVXDVUSUYCVVNNVXFAUYCVURVVNVWHYIMUYCVVMVXFUYGVVNMBVEZVVLUYEUXLUYCUYDVF
      YFVVNWJUYEYBYGYKUUJVXEUYEVXEUYCVUGRZUYETRAVXHVXDAVUGUYGUYCJUUKUUOVUGTUYCU
      YDVWGUUPVSUUQYHUURSUUSVNUYPUYRUYSOZUXMCENZQZUXRVXJQZOZUYHAVXIVXMYLUYNUYKA
      UYRVXKUYSVXLUYRUXLCQZUXLDQZUVCAVXKUXLCDMUUTUVAAVXNVXKVXOVXNVXKYLAUXLCEVFW
      SAVXKVXODENZVXJQAVXJVXPKUVBUXLDVXJEYMYNUVDUVEZAUYRVXKYLZYLAUYSVXLYLZYLMUA
      VXCVXRVXSAVXCUYRUYSVXKVXLMUAUYQUVFUXLUXQVXJEYMUVGUVHVXQUVIUVJSUYOVXMUYKUY
      HUYOVXMOZUYKUXKVXJQZLUXOUHZUYHVXTVYAUYJLUXOVXTVWQVYAUYJWCZUYOVWQVXMVYCVWR
      VYCVXMVYAUXKVXJUDUEZVXJUXKUDUEZOZWCVWRUXKVXJVXBAVXJPRZUYNVWQAUXOPCEVVFACY
      ORZDYORZCDUDUECUXORACFYPZADGYPZUYICDUVKUVLYDZSUVNVXMUYJVYFVYAVXKUXNVYDVXL
      UXSVYEUXMVXJUXKUDUVMUXRVXJUXKUDUVOUVPUVQYNYQYJUVRAVYBUYHYLUYNVXMAVYBEUXOV
      XJUWDUWEZQZUYHAVYNUXKUXJVYMNZQZLUXOUHZVYBAEUXOYRVYMUXOYRZVYNVYQWCAUXOPEVV
      FUVSAVYGVYRVYLUXOVXJPUVTVSLUXOEVYMUWAXAVYPVYALUXOVWQVYOVXJUXKUXOVXJUXJCEU
      WBUWCUWFUWGUWHAVYNUYHAUYGUWIUWPZVYNUYFBUYGUHUYHAVYSVUDHAVYHVYIVYSVUDWCVYJ
      VYKCDUWJXAWNAVYNOZUYFBUYGVYTVXDUYEUYCMUYGUKVPZNUKVYTUYCUYDWUAVYNAUYDPMUXO
      VXJVPZUIUGWUAVYNEWUBPUIVYNEWUBQVYMWUBEMUXOVXJUWKUWLUWMXOAMVXJUKPVVPVVQTPU
      YGUXOVWDAVXJTRUXLPRZAVXJVYLUWNZYEAWUCOUWOAMVXJPVWDWUDUWQVVSVWBVWAVWCUWRUW
      SYIMUYCUKUKUYGWUAVXGUKUXFWUAWJUWTYGYKUXAUYFBUYGUXBUXCYSYTSYTYQUXDUXEYSUXG
      UXHUXI $.
  $}

  ${
    $d x z A $.  $d x z B $.  $d x z F $.  $d x z G $.  $d x z ph $.
    cmvth.a $e |- ( ph -> A e. RR ) $.
    cmvth.b $e |- ( ph -> B e. RR ) $.
    cmvth.lt $e |- ( ph -> A < B ) $.
    cmvth.f $e |- ( ph -> F e. ( ( A [,] B ) -cn-> RR ) ) $.
    cmvth.g $e |- ( ph -> G e. ( ( A [,] B ) -cn-> RR ) ) $.
    cmvth.df $e |- ( ph -> dom ( RR _D F ) = ( A (,) B ) ) $.
    cmvth.dg $e |- ( ph -> dom ( RR _D G ) = ( A (,) B ) ) $.
    $( Cauchy's Mean Value Theorem.  If ` F , G ` are real continuous functions
       on ` [ A , B ] ` differentiable on ` ( A , B ) ` , then there is some
       ` x e. ( A , B ) ` such that ` F ` ' ` ( x ) / G ` ' ` ( x ) = `
       ` ( F ( A ) - F ( B ) ) / ( G ( A ) - G ( B ) ) ` .  (We express the
       condition without division, so that we need no nonzero constraints.)
       (Contributed by Mario Carneiro, 29-Dec-2016.) $)
    cmvth $p |- ( ph -> E. x e. ( A (,) B )
      ( ( ( F ` B ) - ( F ` A ) ) x. ( ( RR _D G ) ` x ) ) =
      ( ( ( G ` B ) - ( G ` A ) ) x. ( ( RR _D F ) ` x ) ) ) $=
      ( vz cr co cmin cmul wcel cc cicc cfv cmpt cdv cc0 wceq cioo ccnfld ctopn
      cv wrex subcn mulcn wss ccncf wf cncff syl cxr cle wbr rexrd ltled ubicc2
      eqid syl3anc ffvelrnd lbicc2 resubcld iccssre syl2anc sstrdi a1i cncfmptc
      ax-resscn feqmptd eqeltrrd remulcl cncfmpt2ss resubcl cdm wa recnd adantr
      crn ctg ffvelrnda mulcld remulcld subcld tgioo2 cnt iccntr cvv reelprrecn
      dvmptntr cpr ioossicc sseli sylan2 ovex fvexd oveq2d feq2d mpbii 3eqtr3rd
      dvf dvmptcmul dvmptsub eqtrd dmeqd dmmpti eqtrdi nnncan2d nnncan1d eqtr4d
      subdird mulcomd subdid oveq12d 3eqtr4d fveq2 rolle fveq1d sylan9eq eqeq1d
      fvmpt3i subeq0ad bitrd rexbidva mpbid ) ABUJZONCDUAPZDEUBZCEUBZQPZNUJZFUB
      ZRPZDFUBZCFUBZQPZYQEUBZRPZQPZUCZUDPZUBZUEUFZBCDUGPZUKYPYLOFUDPZUBZRPZUUBY
      LOEUDPZUBZRPZUFZBUUJUKABCDUUFGHIANYSUUDOQUHUIUBZYMUURVEZUURUUSULANYPYRORU
      URYMUUSUURUUSUMZAYPOSYMTUNZOTUNZNYMYPUCYMOUOPZSAYNYOAYMODEAEUVCSYMOEUPJYM
      OEUQURZACUSSZDUSSZCDUTVAZDYMSZACGVBZADHVBZACDGHIVCZCDVDVFZVGZAYMOCEUVDAUV
      EUVFUVGCYMSZUVIUVJUVKCDVHVFZVGZVIZAYMOTACOSZDOSZYMOUNGHCDVJVKZVOVLZUVBAVO
      VMZNYPYMOVNVFAFNYMYRUCZUVCANYMOFAFUVCSYMOFUPKYMOFUQURZVPZKVQVOYPYRVRVSANU
      UBUUCORUURYMUUSUUTAUUBOSZUVAUVBNYMUUBUCUVCSAYTUUAAYMODFUWDUVLVGZAYMOCFUWD
      UVOVGZVIZUWAUWBNUUBYMOVNVFAENYMUUCUCZUVCANYMOEUVDVPZJVQVOUUBUUCVRVSVOYSUU
      DVTVSAUUGWANUUJYPYQUUKUBZRPZUUBYQUUNUBZRPZQPZUCZWAUUJAUUGUWQAUUGONUUJUUEU
      CUDPUWQANUUEOUGWEWFUBZUURYMUUJUWBUVTAYQYMSZWBZYSUUDUWTYPYRAYPTSZUWSAYPUVQ
      WCZWDUWTYRAYMOYQFUWDWGWCZWHZUWTUUDUWTUUBUUCAUWFUWSUWIWDAYMOYQEUVDWGZWIWCZ
      WJUURUUSWKZUUSAUVRUVSYMUWRWLUBUBUUJUFGHCDWMVKZWPANYSUWMUUDUWOOWNWNUUJOOTW
      QSAWOVMZYQUUJSZAUWSYSTSUUJYMYQCDWRWSZUXDWTUWMWNSAUXJWBZYPUWLRXAVMANYRUWLY
      POWNUUJUXIUXJAUWSYRTSUXKUXCWTUXLYQUUKXBAUUKOUWCUDPNUUJUWLUCONUUJYRUCUDPAF
      UWCOUDUWEXCANUUJTUUKAUUKWAZTUUKUPUUJTUUKUPFXGAUXMUUJTUUKMXDXEZVPANYROUWRU
      URYMUUJUWBUVTUXCUXGUUSUXHWPXFUXBXHUXJAUWSUUDTSUXKUXFWTUWOWNSUXLUUBUWNRXAV
      MANUUCUWNUUBOWNUUJUXIUXJAUWSUUCTSUXKUWTUUCUXEWCZWTUXLYQUUNXBAUUNOUWJUDPNU
      UJUWNUCONUUJUUCUCUDPAEUWJOUDUWKXCANUUJTUUNAUUNWAZTUUNUPUUJTUUNUPEXGAUXPUU
      JTUUNLXDXEZVPANUUCOUWRUURYMUUJUWBUVTUXOUXGUUSUXHWPXFAUUBUWIWCZXHXIXJZXKNU
      UJUWPUWQUWMUWOQXAZUWQVEZXLXMAYPUUARPZUUBYORPZQPZYPYTRPZUUBYNRPZQPZCUUFUBZ
      DUUFUBZAYNUUARPZYOUUARPZQPZYOYTRPZUYKQPZQPZYNYTRPZUYMQPZUYPUYJQPZQPZUYDUY
      GAUYOUYJUYMQPUYSAUYJUYMUYKAYNUUAAYNUVMWCZAUUAUWHWCZWHZAYOYTAYOUVPWCZAYTUW
      GWCZWHZAYOUUAVUCVUAWHXNAUYPUYMUYJAYNYTUYTVUDWHVUEVUBXOXPAUYBUYLUYCUYNQAYN
      YOUUAUYTVUCVUAXQAUYCYOUUBRPUYNAUUBYOUXRVUCXRAYOYTUUAVUCVUDVUAXSXJXTAUYEUY
      QUYFUYRQAYNYOYTUYTVUCVUDXQAUYFYNUUBRPUYRAUUBYNUXRUYTXRAYNYTUUAUYTVUDVUAXS
      XJXTYAAUVNUYHUYDUFUVONCUUEUYDYMUUFYQCUFZYSUYBUUDUYCQVUFYRUUAYPRYQCFYBXCVU
      FUUCYOUUBRYQCEYBXCXTUUFVEZYSUUDQXAZYGURAUVHUYIUYGUFUVLNDUUEUYGYMUUFYQDUFZ
      YSUYEUUDUYFQVUIYRYTYPRYQDFYBXCVUIUUCYNUUBRYQDEYBXCXTVUGVUHYGURYAYCAUUIUUQ
      BUUJAYLUUJSZWBZUUIUUMUUPQPZUEUFUUQVUKUUHVULUEAVUJUUHYLUWQUBVULAYLUUGUWQUX
      SYDNYLUWPVULUUJUWQYQYLUFZUWMUUMUWOUUPQVUMUWLUULYPRYQYLUUKYBXCVUMUWNUUOUUB
      RYQYLUUNYBXCXTUYAUXTYGYEYFVUKUUMUUPVUKYPUULAUXAVUJUXBWDAUUJTYLUUKUXNWGWHV
      UKUUBUUOAUUBTSVUJUXRWDAUUJTYLUUNUXQWGWHYHYIYJYK $.
  $}

  ${
    $d x z A $.  $d x z B $.  $d x z F $.  $d x z ph $.
    mvth.a $e |- ( ph -> A e. RR ) $.
    mvth.b $e |- ( ph -> B e. RR ) $.
    mvth.lt $e |- ( ph -> A < B ) $.
    mvth.f $e |- ( ph -> F e. ( ( A [,] B ) -cn-> RR ) ) $.
    mvth.d $e |- ( ph -> dom ( RR _D F ) = ( A (,) B ) ) $.
    $( The Mean Value Theorem.  If ` F ` is a real continuous function on
       ` [ A , B ] ` which is differentiable on ` ( A , B ) ` , then there is
       some ` x e. ( A , B ) ` such that ` ( RR _D F ) `` x ` is equal to the
       average slope over ` [ A , B ] ` .  This is Metamath 100 proof #75.
       (Contributed by Mario Carneiro, 1-Sep-2014.)  (Proof shortened by Mario
       Carneiro, 29-Dec-2016.) $)
    mvth $p |- ( ph -> E. x e. ( A (,) B ) ( ( RR _D F ) ` x ) =
      ( ( ( F ` B ) - ( F ` A ) ) / ( B - A ) ) ) $=
      ( vz cfv cmin co cr cmul wceq cc wcel c1 cid cicc cres cdv cioo wrex cdiv
      cv cmpt mptresid wss iccssre syl2anc ax-resscn cncfmptid sylancl eqeltrid
      ccncf cdm eqcomi oveq2i crn ctg ccnfld ctopn cpr reelprrecn wa simpr 1red
      a1i recnd dvmptid tgioo2 cnt iccntr dvmptres2 eqtr3id dmeqd dmmpti eqtrdi
      eqid 1ex cmvth cxr cle wbr rexrd ubicc2 syl3anc fvresi syl lbicc2 oveq12d
      ltled adantr oveq1d fveq1d eqidd fvmpt3i sylan9eq cncff ffvelrnd resubcld
      oveq2d wf mulid1d eqtrd eqeq12d dvf feq2d mpbii ffvelrnda cc0 wne posdifd
      clt mpbid gt0ne0d divmuld bitr4d eqcom 3bitr4g rexbidva ) ADELZCELZMNZBUH
      ZOUACDUBNZUCZUDNZLZPNZDYJLZCYJLZMNZYHOEUDNZLZPNZQZBCDUENZUFYRYGDCMNZUGNZQ
      ZBUUAUFABCDEYJFGHIAYJKYIKUHZUIZYIOURNZKYIUJZAYIOUKZORUKUUFUUGSACOSZDOSZUU
      IFGCDULUMZUNKYIOUOUPUQJAYKUSKUUATUIZUSUUAAYKUUMAYKOUUFUDNUUMUUFYJOUDYJUUF
      UUHUTVAAKUUETOUEVBVCLZVDVELZOOUUAYIOORVFSAVGVKZAUUEOSZVHZUUEAUUQVIVLUURVJ
      AKOUUPVMUULUUOUUOWBZVNUUSAUUJUUKYIUUNVOLLUUAQFGCDVPUMVQVRZVSKUUATUUMWCUUM
      WBZVTWAWDAYTUUDBUUAAYHUUASZVHZYSYMQZUUCYRQZYTUUDUVCUVDUUBYRPNZYGQUVEUVCYS
      UVFYMYGUVCYPUUBYRPAYPUUBQUVBAYNDYOCMADYISZYNDQACWESZDWESZCDWFWGZUVGACFWHZ
      ADGWHZACDFGHWOZCDWIWJZYIDWKWLACYISZYOCQAUVHUVIUVJUVOUVKUVLUVMCDWMWJZYICWK
      WLWNWPWQUVCYMYGTPNYGUVCYLTYGPAUVBYLYHUUMLTAYHYKUUMUUTWRKYHTTUUAUUMUUEYHQT
      WSUVAWCWTXAXEUVCYGAYGRSUVBAYGAYEYFAYIODEAEUUGSYIOEXFIYIOEXBWLZUVNXCAYIOCE
      UVQUVPXCXDVLWPZXGXHXIUVCYGUUBYRUVRAUUBRSUVBAUUBADCGFXDVLWPAUUARYHYQAYQUSZ
      RYQXFUUARYQXFEXJAUVSUUARYQJXKXLXMAUUBXNXOUVBAUUBACDXQWGXNUUBXQWGHACDFGXPX
      RXSWPXTYAYMYSYBYRUUCYBYCYDXR $.
  $}

  ${
    $d a b x y A $.  $d a b x y B $.  $d a b x y ph $.  $d b X $.  $d a b Y $.
    $d a b x y F $.  $d a b x y M $.
    dvlip.a $e |- ( ph -> A e. RR ) $.
    dvlip.b $e |- ( ph -> B e. RR ) $.
    dvlip.f $e |- ( ph -> F e. ( ( A [,] B ) -cn-> CC ) ) $.
    dvlip.d $e |- ( ph -> dom ( RR _D F ) = ( A (,) B ) ) $.
    dvlip.m $e |- ( ph -> M e. RR ) $.
    dvlip.l $e |- ( ( ph /\ x e. ( A (,) B ) ) ->
      ( abs ` ( ( RR _D F ) ` x ) ) <_ M ) $.
    $( A function with derivative bounded by ` M ` is ` M `-Lipschitz
       continuous.  (Contributed by Mario Carneiro, 3-Mar-2015.) $)
    dvlip $p |- ( ( ph /\ ( X e. ( A [,] B ) /\ Y e. ( A [,] B ) ) ) ->
      ( abs ` ( ( F ` X ) - ( F ` Y ) ) ) <_ ( M x. ( abs ` ( X - Y ) ) ) ) $=
      ( co wcel cfv cle cr cc vb va vy cicc wa cmin cabs cmul wbr wi wceq fveq2
      cv oveq2d fveq2d oveq2 breq12d imbi2d fvoveq1 weq oveqan12d oveq12 ancoms
      fvoveq1d wb wss iccssre syl2anc wf ccncf cncff syl anim12dan sylan simprd
      ffvelrn simpld abssubd ax-resscn sstrdi sselda adantrl adantrr w3a adantr
      cc0 simpr2 ffvelrnd simpr1 subeq0ad biimpar abs00bd clt c0 wne cxr sseldd
      cioo rexrd ioon0 ad2antrr elicc2 mpbid cdv ffvelrnda abscld absge0d letrd
      cdm ex imp syldan sylbird recnd eqcomd eqbrtrd cdiv c1 cre wrex cmpt cres
      ccom divcld feqresmpt oveq1 fmptco a1i feqmptd cncfco recld sylan2 eqtrdi
      eqid cvv eqtrd fvex fvmpt syl3anc eqtr3d simp2d iooss1 simp3d iooss2 ssn0
      resubcld sstrd wex n0 0red dvf feq2d mpbii exlimdv sylan2b adantlr simpr3
      subge0d mpbird mulge0d equcom bitrdi 0re mul01d sylancr breq2d syl5ibrcom
      eqle wo leloed mpjaod subcld wn ord syl6 necon1ad posdifd divrec2d iccss2
      gt0ne0d necon3bid eqidd ref rescncf sylc divccncf recncf eqeltrrd crn ctg
      ccnfld ctopn tgioo2 cnt iccntr dvmptntr ioossicc sseli reelprrecn ioossre
      ovexd cpr dvres syl22anc ctop retop iooretop isopn3i mp2an reseq2i sstrid
      fssresd fvres mpteq2ia 3eqtr3d dvmptdivc dvmptre dmeqd dmmptg mprg fveq1d
      mvth sylan9eq ubicc2 lbicc2 oveq12d resubd divsubdird dividd re1 rexbidva
      oveq1d eqeq12d remulcld releabsd lemul1ad absmuld divcan1d breqtrd breq1d
      ad4ant14 syl5ibcom rexlimdva mpd ledivmul2 pm2.61dane abssubge0d breqtrrd
      syl112anc wlogle expcom vtocl2ga impcom ) GCDUDOZPZHVUNPZUEAGEQZHEQZUFOUG
      QZFGHUFOUGQZUHOZRUIZVUPVUOAVVBUJZAUAUMZEQZUBUMZEQZUFOZUGQZFVVDVVFUFOZUGQZ
      UHOZRUIZUJAVVEVURUFOZUGQZFVVDHUFOZUGQZUHOZRUIZUJVVCUBUAHGVUNVUNVVFHUKZVVM
      VVSAVVTVVIVVOVVLVVRRVVTVVHVVNUGVVTVVGVURVVEUFVVFHEULUNUOVVTVVKVVQFUHVVTVV
      JVVPUGVVFHVVDUFUPUOUNUQURVVDGUKZVVSVVBAVWAVVOVUSVVRVVARVWAVVEVUQVURUGUFVV
      DGEULVDVWAVVQVUTFUHVVDGHUGUFUSUNUQURAVVFVUNPZVVDVUNPZUEZVVMAUCUMZEQZBUMZE
      QZUFOZUGQZFVWEVWGUFOZUGQZUHOZRUIZVVMVVGVVEUFOZUGQZFVVFVVDUFOZUGQZUHOZRUIZ
      UBUABUCVUNUCUAUTZBUBUTZVWNVVMVEVXAVXBUEZVWJVVIVWMVVLRVXCVWIVVHUGVXAVXBVWF
      VVEVWHVVGUFVWEVVDEULZVWGVVFEULVAUOVXCVWLVVKFUHVXCVWKVVJUGVWEVVDVWGVVFUFVB
      UOUNUQVCUCUBUTZBUAUTZVWNVWTVEVXEVXFUEZVWJVWPVWMVWSRVXGVWIVWOUGVXEVXFVWFVV
      GVWHVVEUFVWEVVFEULZVWGVVDEULVAUOVXGVWLVWRFUHVXGVWKVWQUGVWEVVFVWGVVDUFVBUO
      UNUQVCACSPZDSPZVUNSVFZIJCDVGVHZAVWDUEZVVIVWPVVLVWSRVXMVVEVVGVXMVVGTPZVVET
      PZAVUNTEVIZVWDVXNVXOUEAEVUNTVJOPZVXPKVUNTEVKVLZVXPVWBVXNVWCVXOVUNTVVFEVPV
      UNTVVDEVPVMVNZVOVXMVXNVXOVXSVQVRVXMVVKVWRFUHVXMVVDVVFAVWCVVDTPVWBAVUNTVVD
      AVUNSTVXLVSVTZWAWBAVWBVVFTPVWCAVUNTVVFVXTWAWCVRUNUQAVWBVWCVVFVVDRUIZWDZUE
      ZVVIFVVJUHOZVVLRVYCVVIVYDRUIZVVEVVGVYCVVEVVGUKZUEZVVIWFVYDRVYGVVHVYCVVHWF
      UKVYFVYCVVEVVGVYCVUNTVVDEAVXPVYBVXRWEZAVWBVWCVYAWGZWHZVYCVUNTVVFEVYHAVWBV
      WCVYAWIZWHZWJZWKWLVYCWFVYDRUIZVYFVYCVVFVVDWMUIZVYNUBUAUTZVYCVYOVVFVVDWROZ
      WNWOZVYNVYCVVFWPPZVVDWPPZVYRVYOVEVYCVVFVYCVUNSVVFAVXKVYBVXLWEZVYKWQZWSZVY
      CVVDVYCVUNSVVDWUAVYIWQZWSZVVFVVDWTVHVYCVYRVYNVYCVYRUEFVVJAFSPZVYBVYRMXAVY
      CVVJSPZVYRVYCVVDVVFWUDWUBUUFZWEVYCVYRCDWROZWNWOZWFFRUIZVYCVYQWUIVFZVYRWUJ
      VYCVYQCVVDWROZWUIVYCCWPPCVVFRUIZVYQWUMVFVYCCAVXIVYBIWEZWSVYCVVFSPZWUNVVFD
      RUIZVYCVWBWUPWUNWUQWDZVYKVYCVXIVXJVWBWURVEWUOAVXJVYBJWEZCDVVFXBVHXCUUACVV
      FVVDUUBVHVYCDWPPVVDDRUIZWUMWUIVFVYCDWUSWSVYCVVDSPZCVVDRUIZWUTVYCVWCWVAWVB
      WUTWDZVYIVYCVXIVXJVWCWVCVEWUOWUSCDVVDXBVHXCUUCCVVDDUUDVHUUGZVYQWUIUUEVNAW
      UJWUKVYBWUJAVWGWUIPZBUUHZWUKBWUIUUIAWVFWUKAWVEWUKBAWVEWUKAWVEUEZWFVWGSEXD
      OZQZUGQZFWVGUUJWVGWVIAWUITVWGWVHAWVHXIZTWVHVIWUITWVHVIZEUUKAWVKWUITWVHLUU
      LUUMZXEZXFAWUFWVEMWEWVGWVIWVNXGNXHXJUUNXKUUOUUPXLVYCWFVVJRUIZVYRVYCWVOVYA
      AVWBVWCVYAUUQZVYCVVDVVFWUDWUBUURUUSWEUUTXJXMVYCVYPVVJWFUKZVYNVYCWVQUAUBUT
      VYPVYCVVDVVFVYCVVDWUDXNVYCVVFWUBXNWJUAUBUVAUVBVYCVYNWVQWFFWFUHOZRUIZVYCWF
      SPWFWVRUKWVSUVCVYCWVRWFVYCFVYCFAWUFVYBMWEZXNUVDXOWFWVRUVHUVEWVQVYDWVRWFRV
      VJWFFUHUPUVFUVGXMVYCVYAVYOVYPUVIWVPVYCVVFVVDWUBWUDUVJXCZUVKWEXPVYCVVEVVGW
      OZUEZVVIVVJXQOZFRUIZVYEWWCWWDXRVVJXQOZVVIUHOZFRWWCVVIVVJWWCVVIWWCVVHVYCVV
      HTPZWWBVYCVVEVVGVYJVYLUVLZWEZXFZXNWWCVVJVYCWUGWWBWUHWEZXNWWCVVJWWCVYOWFVV
      JWMUIZVYCWWBVYOVYCVYOVVEVVGVYCVYOUVMVYPVYFVYCVYOVYPWWAUVNVYPVVGVVEVVFVVDE
      ULXOUVOUVPXKZWWCVVFVVDVYCWUPWWBWUBWEZVYCWVAWWBWUDWEZUVQXCZUVTUVRWWCWVIVVH
      XQOZXSQZWWFUKZBVYQXTZWWGFRUIZWWCVWGSUCVVFVVDUDOZVWFVVHXQOZXSQZYAZXDOZQZVV
      DWXFQZVVFWXFQZUFOZVVJXQOZUKZBVYQXTWXAWWCBVVFVVDWXFWWOWWPWWNWWCXSBTVWGVVHX
      QOZYAZEWXCYBZYCZYCWXFWXCSVJOWWCUCBWXCTWXDVWGXSQWXEWXQXSWWCVWEWXCPZUEZVWFV
      VHWWCWXRVWEVUNPVWFTPZWWCWXCVUNVWEVYCWXCVUNVFZWWBVYCVWBVWCWYAVYKVYICDVVFVV
      DUVSVHZWEZWAWWCVUNTVWEEAVXPVYBWWBVXRXAZXEXLZVYCWWHWWBWXRWWIXAWWCVVHWFWOZW
      XRVYCWYFWWBVYCVVHWFVVEVVGVYMUWAWKZWEYDZWWCUCBWXCTVWFWXNWXDWXPWXOWYEWWCUCV
      UNTWXCEWYDWYCYEWWCWXOUWBVWGVWFVVHXQYFYGWWCBTSXSTSXSVIWWCUWCYHYIVWGWXDXSUL
      YGWWCWXCTSWXQXSWWCWXCTTWXPWXOVYCWXPWXCTVJOPZWWBVYCWYAVXQWYIWYBAVXQVYBKWEV
      UNTWXCEUWDUWEWEWWCWWHWYFWXOTTVJOPWWJWYGBVVHWXOWXOYNUWFVHYJXSTSVJOPWWCUWGY
      HYJUWHWWCWXGXIUCVYQVWEWVHQZVVHXQOZXSQZYAZXIZVYQWWCWXGWYMWWCWXGSUCVYQWXEYA
      XDOWYMWWCUCWXESWRUWIUWJQZUWKUWLQZWXCVYQSTVFZWWCVSYHZWWCWUPWVAWXCSVFWWOWWP
      VVFVVDVGVHWXSWXEWXSWXDWYHYKXNWYPWYPYNZUWMZWYSVYCWXCWYOUWNQZQVYQUKZWWBVYCW
      UPWVAXUBWUBWUDVVFVVDUWOVHWEUWPWWCUCWXDWYKYOVYQVWEVYQPZWWCWXRWXDTPVYQWXCVW
      EVVFVVDUWQZUWRZWYHYLWWCXUCUEWYJVVHXQUXAWWCUCVWFWYJVVHSTVYQSSTUXBPWWCUWSYH
      XUCWWCWXRWXTXUEWYEYLWWCXUCVWEWUIPWYJTPWWCVYQWUIVWEVYCWULWWBWVDWEZWAWWCWUI
      TVWEWVHAWVLVYBWWBWVMXAZXEXLWWCSEVYQYBZXDOZWVHVYQYBZSUCVYQVWFYAZXDOUCVYQWY
      JYAZWWCXUIWVHVYQXUAQZYBZXUJWWCWYQVXPVXKVYQSVFZXUIXUNUKWYRWYDAVXKVYBWWBVXL
      XAXUOWWCVVFVVDUWTYHVUNVYQSWYOEWYPWYSWYTUXCUXDXUMVYQWVHWYOUXEPVYQWYOPXUMVY
      QUKUXFVVFVVDUXGVYQWYOUXHUXIUXJYMWWCXUHXUKSXDWWCUCVUNTVYQEWYDWWCVYQWXCVUNX
      UDWYCUXKYEUNWWCXUJUCVYQVWEXUJQZYAZXULVYCXUJXUQUKWWBVYCUCVYQTXUJVYCWUITVYQ
      WVHAWVLVYBWVMWEWVDUXLYIWEUCVYQXUPWYJVWEVYQWVHUXMUXNYMUXOWWJWYGUXPUXQYPZUX
      RWYLYOPZWYNVYQUKUCVYQUCVYQWYLYOUXSXUSXUCWYKXSYQYHUXTYMUYBWWCWXMWWTBVYQWWC
      VWGVYQPZUEZWXHWWSWXLWWFWWCXUTWXHVWGWYMQWWSWWCVWGWXGWYMXURUYAUCVWGWYLWWSVY
      QWYMUCBUTWYJWVIVVHXSXQVWEVWGWVHULVDWYMYNWWRXSYQYRUYCXVAWXKXRVVJXQXVAWXKVV
      EVVHXQOZXSQZVVGVVHXQOZXSQZUFOZXRXVAWXIXVCWXJXVEUFXVAVVDWXCPZWXIXVCUKVYCXV
      GWWBXUTVYCVYSVYTVYAXVGWUCWUEWVPVVFVVDUYDYSXAUCVVDWXEXVCWXCWXFVXAVWFVVEVVH
      XSXQVXDVDWXFYNZXVBXSYQYRVLXVAVVFWXCPZWXJXVEUKVYCXVIWWBXUTVYCVYSVYTVYAXVIW
      UCWUEWVPVVFVVDUYEYSXAUCVVFWXEXVEWXCWXFVXEVWFVVGVVHXSXQVXHVDXVHXVDXSYQYRVL
      UYFWWCXVFXRUKXUTWWCXVBXVDUFOZXSQZXVFXRWWCXVBXVDWWCVVEVVHVYCVXOWWBVYJWEZWW
      JWYGYDWWCVVGVVHVYCVXNWWBVYLWEZWWJWYGYDUYGWWCXVKXRXSQXRWWCXVJXRXSWWCVVHVVH
      XQOXVJXRWWCVVEVVGVVHXVLXVMWWJWYGUYHWWCVVHWWJWYGUYIYTUOUYJYMYTWEYPUYLUYMUY
      KXCWWCWWTWXBBVYQXVAWWSVVIUHOZFRUIWWTWXBXVAXVNWVJFXVAWWSVVIXVAWWRXVAWVIVVH
      WWCXUTWVEWVITPWWCVYQWUIVWGXUFWAZWWCWUITVWGWVHXUGXEXLZVYCWWHWWBXUTWWIXAZWW
      CWYFXUTWYGWEZYDZYKZWWCVVISPZXUTWWKWEZUYNXVAWVIXVPXFVYCWUFWWBXUTWVTXAXVAXV
      NWWRUGQZVVIUHOZWVJRXVAWWSXWCVVIXVTXVAWWRXVSXFXWBWWCWFVVIRUIXUTWWCVVHWWJXG
      WEXVAWWRXVSUYOUYPXVAWWRVVHUHOZUGQXWDWVJXVAWWRVVHXVSXVQUYQXVAXWEWVIUGXVAWV
      IVVHXVPXVQXVRUYRUOYTUYSWWCXUTWVEWVJFRUIZXVOAWVEXWFVYBWWBNVUAXLXHWWTXVNWWG
      FRWWSWWFVVIUHYFUYTVUBVUCVUDXPWWCXWAWUFWUGWWMWWEVYEVEWWKAWUFVYBWWBMXAWWLWW
      QVVIFVVJVUEVUIXCVUFVYCVVKVVJFUHVYCVVFVVDWUBWUDWVPVUGUNVUHVUJVUKVULVCVUM
      $.
  $}

  ${
    $d t x y z B $.  $d t x y z F $.  $d t x y z M $.  $d t x z ph $.
    $d t y z Y $.  $d t y z Z $.
    dvlipcn.x $e |- ( ph -> X C_ CC ) $.
    dvlipcn.f $e |- ( ph -> F : X --> CC ) $.
    dvlipcn.a $e |- ( ph -> A e. CC ) $.
    dvlipcn.r $e |- ( ph -> R e. RR* ) $.
    dvlipcn.b $e |- B = ( A ( ball ` ( abs o. - ) ) R ) $.
    dvlipcn.d $e |- ( ph -> B C_ dom ( CC _D F ) ) $.
    dvlipcn.m $e |- ( ph -> M e. RR ) $.
    dvlipcn.l $e |- ( ( ph /\ x e. B ) ->
      ( abs ` ( ( CC _D F ) ` x ) ) <_ M ) $.
    $( A complex function with derivative bounded by ` M ` on an open ball is
       ` M `-Lipschitz continuous.  (Contributed by Mario Carneiro,
       18-Mar-2015.) $)
    dvlipcn $p |- ( ( ph /\ ( Y e. B /\ Z e. B ) ) ->
      ( abs ` ( ( F ` Y ) - ( F ` Z ) ) ) <_ ( M x. ( abs ` ( Y - Z ) ) ) ) $=
      ( vt cc vz vy wcel wa c1 cc0 cicc co cv cmul cmin caddc cfv cmpt cabs cle
      wbr 1elunit 0elunit 0red 1red cres ccncf wss cdv ssidd dvbss sstrd adantr
      cdm simprl sseldd cr unitssre ax-resscn sstri simpr sselid mulcomd simprr
      ccom iirev adantl oveq12d cxr ad2antrr blcvx syl23anc wceq fvres mpteq2ia
      feqmptd eqtrdi fveq2 eqid a1i cncfmptc mp3an23 mulcncf cncfmpt2f syl22anc
      wf syl cnt sylancr reseq2d eqtrd dmeqd sylib syl5eq cioo sylancl cvv cneg
      sylan2 mulcld recnd dvmptres dvmptcmul mulid1d mpteq2dv negex 1cnd oveq2d
      dvfcn wral abscld fveq2d 2fveq3 breq1d ralrimiva weq nfcv nffv oveq2 fvex
      fvmpt ax-mp mul01d 1m0e1 eqeltrd eqidd fssresd fmptco fmpttd ccnfld ctopn
      wb ctx ccn addcn ssid cncfmptid mp2an subcn ax-1cn mp3an cncffvrn syl2anc
      mpbird cnfldtopon toponrestid dvres cnfldtop cxmet cnxmet cnfldtopn blopn
      ctop cbl mp3an2i eqeltrid isopn3i cin dmres dvcn syl31anc cncfco eqeltrrd
      df-ss crn ctg ffvelrnd tgioo2 1re iccntr dvmptntr cpr reelprrecn ioossicc
      cnelprrecn subcld sselda ffvelrnda syldan dvmptid ioossre iooretop dvmptc
      sseli fvexd dvmptsub df-neg mpteq2i eqtr4di neg1cn mulcom mulm1d dvmptadd
      negsubd feq2d mpbii feq1d mpbid 3eqtr3d dvmptco ovex dmmptg mp1i remulcld
      fveq1d sylan9eq ffvelrn absmuld absge0d cbvralvw rspcdva lemul1ad eqbrtrd
      rgenw fvmpt2 mpan2 nfv nfmpt1 nfov cbvralw r19.21bi dvlip mpanr12 addid1d
      nfbr 1m1e0 addid2d fveq2i abs1 eqtri oveq2i 3brtr3d ) AIDUCZJDUCZUDZUDZUE
      SUFUEUGUHZISUIZUJUHZJUEVUNUKUHZUJUHZULUHZFUMZUNZUMZUFVUTUMZUKUHZUOUMZGIJU
      KUHZUOUMZUJUHZUEUFUKUHZUOUMZUJUHZIFUMZJFUMZUKUHZUOUMVVGUPVULUEVUMUCZUFVUM
      UCZVVDVVJUPUQURUSVULUAUFUEVUTVVGUEUFVULUTZVULVAVULFDVBZSVUMVURUNZWAVUTVUM
      TVCUHZVULSUAVUMDVURUAUIZFUMZVUSVVRVVQVULVUNVUMUCZUDZVURVUNIUJUHZVUPJUJUHZ
      ULUHZDVWCVUOVWDVUQVWEULVWCIVUNVULITUCZVWBVULDTIADTVDZVUKADHTADTFVEUHZVJZH
      PAHTFATVFZLKVGVHZKVHZVIZAVUIVUJVKZVLZVIVWCVUMTVUNVUMVMTVNVOVPZVULVWBVQZVR
      ZVSVWCJVUPVULJTUCZVWBVULDTJVWNAVUIVUJVTZVLZVIVWCVUMTVUPVWQVWBVUPVUMUCVULV
      UNWBWCVRZVSWDVWCCTUCZEWEUCZVUIVUJVWBVWFDUCAVXDVUKVWBMWFAVXEVUKVWBNWFVULVU
      IVWBVWOVIVULVUJVWBVXAVIVWRIJCEDVUNOWGWHUUAZVULVVRUUBAVVQUADVWAUNZWIVUKAVV
      QUADVVTVVQUMZUNVXGAUADTVVQAHTDFLVWLUUCZWLUADVXHVWAVVTDFWJWKWMVIZVVTVURFWN
      ZUUDVULVUMDTVVRVVQVULVVRVUMDVCUHUCZVUMDVVRXBZVULSVUMVURDVXFUUEVULVWHVVRVV
      SUCVXLVXMUUHVWNVULSVUOVUQULUUFUUGUMZVUMVXNWOZULVXNVXNUUIUHVXNUUJUHZUCVULV
      XNVXOUUKWPVULSIVUNVUMVULVWGSVUMIUNVVSUCZVWPVWGVUMTVDZTTVDZVXQVWQTUULZSIVU
      MTWQWRXCSVUMVUNUNVVSUCZVULVXRVXSVYAVWQVXTSVUMTUUMUUNWPZWSVULSJVUPVUMVULVW
      TSVUMJUNVVSUCZVXBVWTVXRVXSVYCVWQVXTSJVUMTWQWRXCVULSUEVUNUKVXNVUMVXOUKVXPU
      CVULVXNVXOUUOWPSVUMUEUNVVSUCZVULUETUCVXRVXSVYDUUPVWQVXTSUEVUMTWQUUQWPVYBW
      TWSWTVUMTDVVRUURUUSUUTVULVXSDTVVQXBZVWHTVVQVEUHZVJZDWIZVVQDTVCUHUCVULTVFZ
      AVYEVUKVXIVIVWNAVYHVUKAVYGVWIDVBZVJZDAVYFVYJAVYFVWIDVXNXDUMUMZVBZVYJAVXSH
      TFXBZHTVDZVWHVYFVYMWIZVWKLKVWMHDTVXNFVXNVXOVXNTVXNVXOUVAUVBUVCZXAAVYLDVWI
      AVXNUVIUCDVXNUCVYLDWIZVXNVXOUVDADCEUOUKWAZUVJUMUHZVXNOVYSTUVEUMUCAVXDVXEV
      YTVXNUCUVFMNVYSCEVXNTVXNVXOUVGUVHUVKUVLDVXNUVMXEZXFXGXHAVYKDVWJUVNZDVWIDU
      VOADVWJVDZWUBDWIPDVWJUVTXIXJXGVIZDTVVQUVPUVQUVRUVSVULVMVUTVEUHZVJSUFUEXKU
      HZVURVWIUMZVVEUJUHZUNZVJZWUFVULWUEWUIVULWUEVMSWUFVUSUNVEUHWUIVULSVUSVMXKU
      WAUWBUMZVXNVUMWUFVMTVDVULVOWPVUMVMVDVULVNWPVWCHTVURFAVYNVUKVWBLWFVWCDHVUR
      ADHVDZVUKVWBVWLWFVXFVLUWCVXNVXOUWDZVXOVULUFVMUCUEVMUCVUMWUKXDUMUMWUFWIVVP
      UWEUFUEUWFXLUWGVULSUAVURVVEVWAVVTVWIUMZVMTVUSWUGTXMWUFDVMVMTUWHZUCVULUWIW
      PZTWUOUCVULUWKWPVUNWUFUCZVULVWBVURDUCWUFVUMVUNUFUEUWJUWTZVXFXOZVULVVETUCW
      UQVULIJVWPVXBUWLZVIZVULVVTDUCZVVTHUCVWATUCVULDHVVTAWULVUKVWLVIUWMVULHTVVT
      FAVYNVUKLVIZUWNUWOVULWVBUDVVTVWIUXAVULVMSWUFVURUNVEUHSWUFIJXNZULUHZUNSWUF
      VVEUNVULSVUOIVUQWVDVMTXMWUFWUPVULWUQUDZIVUNVULVWGWUQVWPVIZWUQVULVWBVUNTUC
      WURVWSXOZXPWVGVULVMSWUFVUOUNVEUHSWUFIUEUJUHZUNSWUFIUNVULSVUNUEIVMVMWUFWUP
      WVHWVFVAZVULSVUNUEVMWUKVXNVMVMWUFWUPVULVUNVMUCZUDZVUNVULWVKVQXQWVLVAVULSV
      MWUPUWPWUFVMVDVULUFUEUWQWPZWUMVXOWUFWUKUCVULUFUEUWRWPZXRZVWPXSVULSWUFWVII
      VULIVWPXTZYAXGWVFJVUPVULVWTWUQVXBVIWUQVULVWBVUPTUCWURVXCXOZXPWVDXMUCWVFJY
      BWPVULVMSWUFVUQUNVEUHSWUFJUEXNZUJUHZUNSWUFWVDUNVULSVUPWVRJVMXMWUFWUPWVQWV
      RXMUCWVFUEYBWPVULVMSWUFVUPUNVEUHSWUFUFUEUKUHZUNSWUFWVRUNVULSUEUFVUNUEVMVM
      VMWUFWUPWVFYCWVFUTVULSUEUFVMWUKVXNVMVMWUFWUPWVLYCWVLUTVULSUEVMWUPVULYCUWS
      WVMWUMVXOWVNXRWVHWVJWVOUXBSWUFWVRWVTUEUXCUXDUXEVXBXSVULSWUFWVSWVDVULWVSWV
      RJUJUHZWVDVULVWTWVRTUCWVSWWAWIVXBUXFJWVRUXGXLVULJVXBUXHXGYAXGUXIVULSWUFWV
      EVVEVULIJVWPVXBUXJYAXGVULVYFVYJTVXGVEUHUADWUNUNZVULVYFVYMVYJVULVXSVYNVYOV
      WHVYPVYIWVCAVYOVUKKVIVWNVYQXAVULVYLDVWIAVYRVUKWUAVIXFXGZVULVVQVXGTVEVXJYD
      VULVYJUADVVTVYJUMZUNWWBVULUADTVYJVULDTVYFXBZDTVYJXBVULVYGTVYFXBWWEVVQYEVU
      LVYGDTVYFWUDUXKUXLVULDTVYFVYJWWCUXMUXNWLUADWWDWUNVVTDVWIWJWKWMUXOVXKVVTVU
      RVWIWNUXPXGZXHWUHXMUCZSWUFYFWUJWUFWIVULWWGSWUFWUGVVEUJUXQZUYJSWUFWUHXMUXR
      UXSXGVULGVVFAGVMUCZVUKQVIVULVVEWUTYGUXTZVULVVTWUEUMZUOUMZVVGUPUQZUAWUFVUL
      VUNWUEUMZUOUMZVVGUPUQZSWUFYFWWMUAWUFYFVULWWPSWUFWVFWWOWUGUOUMZVVFUJUHZVVG
      UPWVFWWOWUHUOUMWWRWVFWWNWUHUOVULWUQWWNVUNWUIUMZWUHVULVUNWUEWUIWWFUYAWUQWW
      GWWSWUHWIWWHSWUFWUHXMWUIWUIWOUYKUYLUYBYHWVFWUGVVEWVFVWJTVWIXBVURVWJUCWUGT
      UCFYEWVFDVWJVURAWUCVUKWUQPWFWUSVLVWJTVURVWIUYCXEZWVAUYDXGWVFWWQGVVFWVFWUG
      WWTYGAWWIVUKWUQQWFWVFVVEWVAYGWVFVVEWVAUYEWVFUBUIZVWIUMUOUMZGUPUQZWWQGUPUQ
      UBDVURWXAVURWIWXBWWQGUPWXAVURUOVWIYIYJAWXCUBDYFZVUKWUQABUIZVWIUMUOUMZGUPU
      QZBDYFWXDAWXGBDRYKWXGWXCBUBDBUBYLWXFWXBGUPWXEWXAUOVWIYIYJUYFXIWFWUSUYGUYH
      UYIYKWWPWWMSUAWUFWWPUAUYMSWWLVVGUPSWWKUOSUOYMSVVTWUESVMVUTVESVMYMSVEYMSVU
      MVUSUYNUYOSVVTYMYNYNSUPYMSVVGYMVUASUAYLWWOWWLVVGUPVUNVVTUOWUEYIYJUYPXIUYQ
      UYRUYSVULVVCVVMUOVULVVAVVKVVBVVLUKVULVVAWVIJUFUJUHZULUHZFUMZVVKVVNVVAWXJW
      IURSUEVUSWXJVUMVUTVUNUEWIZVURWXIFWXKVUOWVIVUQWXHULVUNUEIUJYOWXKVUPUFJUJWX
      KVUPUEUEUKUHUFVUNUEUEUKYOVUBWMYDWDYHVUTWOZWXIFYPYQYRVULWXIIFVULWXIIUFULUH
      IVULWVIIWXHUFULWVPVULJVXBYSWDVULIVWPUYTXGYHXJVULVVBIUFUJUHZJUEUJUHZULUHZF
      UMZVVLVVOVVBWXPWIUSSUFVUSWXPVUMVUTVUNUFWIZVURWXOFWXQVUOWXMVUQWXNULVUNUFIU
      JYOWXQVUPUEJUJWXQVUPVVHUEVUNUFUEUKYOYTWMYDWDYHWXLWXOFYPYQYRVULWXOJFVULWXO
      UFJULUHJVULWXMUFWXNJULVULIVWPYSVULJVXBXTWDVULJVXBVUCXGYHXJWDYHVULVVJVVGUE
      UJUHVVGVVIUEVVGUJVVIUEUOUMUEVVHUEUOYTVUDVUEVUFVUGVULVVGVULVVGWWJXQXTXJVUH
      $.
  $}

  ${
    $d r x A $.  $d r x B $.  $d r x F $.  $d r x J $.  $d r x ph $.
    $d r x M $.  $d r x R $.  $d r x S $.  $d r x Y $.  $d r x Z $.
    dvlip2.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvlip2.j $e |- J = ( ( abs o. - ) |` ( S X. S ) ) $.
    dvlip2.x $e |- ( ph -> X C_ S ) $.
    dvlip2.f $e |- ( ph -> F : X --> CC ) $.
    dvlip2.a $e |- ( ph -> A e. S ) $.
    dvlip2.r $e |- ( ph -> R e. RR* ) $.
    dvlip2.b $e |- B = ( A ( ball ` J ) R ) $.
    dvlip2.d $e |- ( ph -> B C_ dom ( S _D F ) ) $.
    dvlip2.m $e |- ( ph -> M e. RR ) $.
    dvlip2.l $e |- ( ( ph /\ x e. B ) ->
      ( abs ` ( ( S _D F ) ` x ) ) <_ M ) $.
    $( Combine the results of ~ dvlip and ~ dvlipcn into one.  (Contributed by
       Mario Carneiro, 18-Mar-2015.)  (Revised by Mario Carneiro,
       8-Sep-2015.) $)
    dvlip2 $p |- ( ( ph /\ ( Y e. B /\ Z e. B ) ) ->
      ( abs ` ( ( F ` Y ) - ( F ` Z ) ) ) <_ ( M x. ( abs ` ( Y - Z ) ) ) ) $=
      ( vr wcel wa cr wceq cfv cmin co cabs cmul cle wbr cc cif cv clt wrex cxr
      cxmet ccom cxp cres wss cnxmet cpr recnprss syl xmetres2 sylancr eqeltrid
      cq ad2antrr cbl simplrr eleqtrdi elbl syl3anc mpbid simpld xmetcl simplrl
      wb ifcld simprd breq1 ifboth syl2anc qbtwnxr wi rexr xrmaxlt cioo eleqtrd
      simpr xmetsym sqxpeqd reseq2d syl5eq oveqd eqid remetdval 3eqtrd eqbrtrrd
      qre absdifltd rexrd elioo2 mpbir3and sselid fvresd fveq2d ccncf ad3antrrr
      w3a biimpa adantr eqtrd eqbrtrd syl22anc ex cdv cdm ax-resscn a1i ad4antr
      wf sstrd sseqtrd dvres eqeltrrd dmeqd cin dmres oveq1d df-ss sylib fveq1d
      eleq2d syl2an3an caddc ioossicc simprll resubcld readdcld simprlr oveq12d
      simplr elicc2 simp1d eleqtrrd simp2d simp3d absdifled mpbir2and xrlelttrd
      cicc elbl3 mpbird ssrdv sseqtrrdi resabs1d dvbss fssresd eqsstrid crn ctg
      blssm cnt ccnfld ctopn tgioo2 ctop retop cmopn tgioo eqeltrd isopn3i dvcn
      blopn syl31anc rescncf sylc oveq2d iccntr 3eqtr3d sseqtrrd fvres sylan9eq
      sstrid reseq1d eqtr4d sselda syl2an2r dvlip mp2and exp32 sylbid rexlimdva
      simp-4l impd sylan2 mpd wfn absf subf fco ffn fnresdm mp2b eqtrdi anbi12d
      mp2an 3sstr3d breq1d 3imtr3d imp dvlipcn syldan an32s wo elpri mpjaodan )
      AKDUDZLDUDZUEZUEZFUFUGZKGUHZLGUHZUIUJZUKUHZIKLUIUJUKUHULUJZUMUNZFUOUGZUYH
      UYIUEZCKHUJZCLHUJZUMUNZUYSUYRUPZUCUQZURUNZVUBEURUNZUEZUCVMUSZUYOUYQVUAUTU
      DEUTUDZVUAEURUNZVUFUYQUYTUYSUYRUTUYQHFVAUHZUDZCFUDZLFUDZUYSUTUDZAVUJUYGUY
      IAHUKUIVBZFFVCZVDZVUINAVUNUOVAUHUDFUOVEZVUPVUIUDVFAFUFUOVGUDZVUQMFVHVIZVU
      NFUOVJVKVLVNZAVUKUYGUYIQVNZUYQVULUYSEURUNZUYQLCEHVOUHZUJZUDZVULVVBUEZUYQL
      DVVDAUYEUYFUYIVPSVQUYQVUJVUKVUGVVEVVFWDVUTVVAAVUGUYGUYIRVNZLHCEFVRVSVTZWA
      ZCLHFWBVSZUYQVUJVUKKFUDZUYRUTUDZVUTVVAUYQVVKUYREURUNZUYQKVVDUDZVVKVVMUEZU
      YQKDVVDAUYEUYFUYIWCSVQUYQVUJVUKVUGVVNVVOWDVUTVVAVVGKHCEFVRVSVTZWAZCKHFWBV
      SZWEVVGUYQVVBVVMVUHUYQVULVVBVVHWFUYQVVKVVMVVPWFUYTVVBVVMVUHUYSUYRUYSVUAEU
      RWGUYRVUAEURWGWHWIUCVUAEWJVSUYQVUEUYOUCVMVUBVMUDUYQVUBUFUDZVUEUYOWKVUBXFU
      YQVVSUEZVUCVUDUYOVVTVUCUYRVUBURUNZUYSVUBURUNZUEZVUDUYOWKUYQVVLVUMVVSVUBUT
      UDVUCVWCWDVVRVVJVUBWLUYRUYSVUBWMUUAVVTVWCVUDUYOVVTVWCVUDUEZUEZKGCVUBUIUJZ
      CVUBUUBUJZUURUJZVDZUHZLVWIUHZUIUJZUKUHZUYMUYNUMVWEVWLUYLUKVWEVWJUYJVWKUYK
      UIVWEKVWHGVWEVWFVWGWNUJZVWHKVWFVWGUUCZVWEKVWNUDZKUFUDZVWFKURUNZKVWGURUNZU
      YQVWQVVSVWDUYQKFUFVVQUYHUYIWPZWOZVNZVWEVWRVWSVWEKCUIUJUKUHZVUBURUNVWRVWSU
      EVWEUYRVXCVUBURUYQUYRVXCUGVVSVWDUYQUYRKCHUJZKCVUNUFUFVCZVDZUJZVXCUYQVUJVU
      KVVKUYRVXDUGVUTVVAVVQCKHFWQVSUYQHVXFKCUYQHVUPVXFNUYQVUOVXEVUNUYQFUFVWTWRW
      SWTZXAUYQVWQCUFUDZVXGVXCUGVXAUYQCFUFVVAVWTWOZKCVXFVXFXBZXCWIXDVNVVTVWAVWB
      VUDUUDXEVWEKCVUBVXBUYQVXIVVSVWDVXJVNZUYQVVSVWDUUIZXGVTZWAVWEVWRVWSVXNWFVW
      EVWFUTUDZVWGUTUDZVWPVWQVWRVWSXPWDVWEVWFVWECVUBVXLVXMUUEZXHZVWEVWGVWECVUBV
      XLVXMUUFZXHZVWFVWGKXIWIXJXKZXLVWELVWHGVWEVWNVWHLVWOVWELVWNUDZLUFUDZVWFLUR
      UNZLVWGURUNZUYQVYCVVSVWDUYQLFUFVVIVWTWOZVNZVWEVYDVYEVWELCUIUJUKUHZVUBURUN
      VYDVYEUEVWEUYSVYHVUBURUYQUYSVYHUGVVSVWDUYQUYSLCHUJZLCVXFUJZVYHUYQVUJVUKVU
      LUYSVYIUGVUTVVAVVICLHFWQVSUYQHVXFLCVXHXAUYQVYCVXIVYJVYHUGVYFVXJLCVXFVXKXC
      WIXDVNVVTVWAVWBVUDUUGXEVWELCVUBVYGVXLVXMXGVTZWAVWEVYDVYEVYKWFVWEVXOVXPVYB
      VYCVYDVYEXPWDVXRVXTVWFVWGLXIWIXJXKZXLUUHXMVWEKVWHUDZLVWHUDZVWMUYNUMUNZVYA
      VYLVWEVYMVYNUEVYOVWEBVWFVWGVWIIKLVXQVXSVWEGDVDZVWHVDZVWIVWHUOXNUJZVWEGVWH
      DVWEVWHVVDDVWEBVWHVVDVWEBUQZVWHUDZVYSVVDUDZVWEVYTUEZWUAVYSCHUJZEURUNZWUBW
      UCVUBEWUBVUJVYSFUDZVUKWUCUTUDUYQVUJVVSVWDVYTVUTXOZWUBVYSUFFWUBVYSUFUDZVWF
      VYSUMUNZVYSVWGUMUNZVWEVYTWUGWUHWUIXPZVWEVWFUFUDZVWGUFUDZVYTWUJWDVXQVXSVWF
      VWGVYSUUJWIXQZUUKZUYQUYIVVSVWDVYTVWTXOUULZUYQVUKVVSVWDVYTVVAXOZVYSCHFWBVS
      WUBVUBVWEVVSVYTVXMXRZXHUYQVUGVVSVWDVYTVVGXOZWUBWUCVYSCUIUJUKUHZVUBUMWUBWU
      CVYSCVXFUJZWUSWUBHVXFVYSCUYQHVXFUGVVSVWDVYTVXHXOXAWUBWUGVXIWUTWUSUGWUNVWE
      VXIVYTVXLXRZVYSCVXFVXKXCWIXSWUBWUSVUBUMUNWUHWUIWUBWUGWUHWUIWUMUUMWUBWUGWU
      HWUIWUMUUNWUBVYSCVUBWUNWVAWUQUUOUUPXTVVTVWCVUDVYTVPUUQWUBVUJVUGVUKWUEWUAW
      UDWDWUFWURWUPWUOVYSHCEFUUSYAUUTYBUVASUVBZUVCZVWEVWHDVEVYPDUOXNUJUDZVYQVYR
      UDWVBVWEUFUOVEZDUOVYPYHZDUFVEZUFVYPYCUJZYDZDUGZWVDWVEVWEYEYFZVWEJUODGAJUO
      GYHZUYGUYIVVSVWDPYGADJVEUYGUYIVVSVWDADFGYCUJZYDZJTAJFGVUSPOUVDYIYGUVEZUYQ
      WVGVVSVWDUYQDFUFUYQDVVDFSUYQVUJVUKVUGVVDFVEVUTVVAVVGHCEFUVIVSUVFVWTYJZVNZ
      UYQWVJVVSVWDUYQWVIUFGYCUJZDVDZYDZDUYQWVHWVSUYQWVHWVRDWNUVGUVHUHZUVJUHZUHZ
      VDZWVSUYQWVEWVLJUFVEWVGWVHWWDUGWVEUYQYEYFAWVLUYGUYIPVNUYQJFUFAJFVEZUYGUYI
      OVNVWTYJWVPJDUFWWAGUVKUVLUHZWWFXBZWWFWWGUVMZYKYAUYQWWCDWVRUYQWWAUVNUDDWWA
      UDWWCDUGUVOUYQDCEVXFVOUHZUJZWWAUYQDVVDWWJSUYQVVCWWICEUYQHVXFVOVXHXMXAWTUY
      QVXFVUIUDVUKVUGWWJWWAUDUYQHVXFVUIVXHVUTYLVVAVVGVXFCEWWAFVXFVXFUVPUHZVXKWW
      KXBUVQUWAVSUVRDWWAUVSVKWSXSZYMUYQWVTDWVRYDZYNZDWVRDYOUYQDWWMVEWWNDUGUYQDW
      VNWWMADWVNVEZUYGUYITVNUYQWVMWVRUYQFUFGYCVWTYPZYMYJDWWMYQYRWTXSVNZDUFVYPUV
      TUWBDUOVWHVYPUWCUWDYLVWEUFVWIYCUJZYDWVHVWNVDZYDZVWNVWEWWRWWSVWEUFVYQYCUJZ
      WVHVWHWWBUHZVDZWWRWWSVWEWVEWVFWVGVWHUFVEWXAWXCUGWVKWVOWVQVWEVWHDUFWVBWVQY
      IDVWHUFWWAVYPWWFWWGWWHYKYAVWEVYQVWIUFYCWVCUWEVWEWXBVWNWVHVWEWUKWULWXBVWNU
      GVXQVXSVWFVWGUWFWIWSUWGZYMVWEWWTVWNWVIYNZVWNWVHVWNYOVWEVWNWVIVEWXEVWNUGVW
      EVWNDWVIVWEVWNVWHDVWOWVBUWKZWWQUWHVWNWVIYQYRWTXSAIUFUDZUYGUYIVVSVWDUAYGVW
      EVYSVWNUDZUEZVYSWWRUHZUKUHVYSWVMUHZUKUHZIUMWXIWXJWXKUKWXIWXJVYSWVHUHZVYSW
      VMDVDZUHZWXKVWEWXHWXJVYSWWSUHWXMVWEVYSWWRWWSWXDYSVYSVWNWVHUWIUWJUYQWXMWXO
      UGVVSVWDWXHUYQVYSWVHWXNUYQWVHWVSWXNWWLUYQWVMWVRDWWPUWLUWMYSXOWXIVYSDWVMVW
      EVWNDVYSWXFUWNZXLXDXMVWEAWXHVYSDUDZWXLIUMUNZAUYGUYIVVSVWDUXAWXPUBUWOXTUWP
      YBUWQXEUWRUWSUXBUXCUWTUXDAUYPUYGUYOAUYPUEZUYGKCEVUNVOUHZUJZUDZLWYAUDZUEZU
      YOWXSUYGWYDWXSUYEWYBUYFWYCWXSDWYAKWXSDVVDWYASWXSVVCWXTCEWXSHVUNVOWXSHVUPV
      UNNWXSVUPVUNUOUOVCZVDZVUNWXSVUOWYEVUNWXSFUOAUYPWPZWRWSWYEUFVUNYHZVUNWYEUX
      EWYFVUNUGUOUFUKYHWYEUOUIYHWYHUXFUXGWYEUOUFUKUIUXHUXNWYEUFVUNUXIWYEVUNUXJU
      XKUXLWTXMXAWTZYTWXSDWYALWYIYTUXMXQWXSBCWYAEGIJKLWXSJFUOAWWEUYPOXRWYGYJAWV
      LUYPPXRWXSCFUOAVUKUYPQXRWYGWOAVUGUYPRXRWYAXBWXSDWVNWYAUOGYCUJZYDAWWOUYPTX
      RWYIWXSWVMWYJWXSFUOGYCWYGYPZYMUXOAWXGUYPUAXRWXSVYSWYAUDZVYSWYJUHZUKUHZIUM
      UNZWXSWXQWXRWYLWYOAWXQWXRWKUYPAWXQWXRUBYBXRWXSDWYAVYSWYIYTWXSWXLWYNIUMWXS
      WXKWYMUKWXSVYSWVMWYJWYKYSXMUXPUXQUXRUXSUXTUYAAUYIUYPUYBZUYGAVURWYPMFUFUOU
      YCVIXRUYD $.
  $}

  ${
    $d ph x y a b $.  $d A x y a b $.  $d B x y a b $.  $d F x y a b $.
    c1liplem1.a $e |- ( ph -> A e. RR ) $.
    c1liplem1.b $e |- ( ph -> B e. RR ) $.
    c1liplem1.le $e |- ( ph -> A <_ B ) $.
    c1liplem1.f $e |- ( ph -> F e. ( CC ^pm RR ) ) $.
    c1liplem1.dv $e |- ( ph -> ( ( RR _D F ) |` ( A [,] B ) ) e.
        ( ( A [,] B ) -cn-> RR ) ) $.
    c1liplem1.cn $e |- ( ph -> ( F |` ( A [,] B ) ) e.
        ( ( A [,] B ) -cn-> RR ) ) $.
    c1liplem1.k $e |- K = sup ( ( abs " ( ( RR _D F ) " ( A [,] B ) ) ) ,
        RR , < ) $.
    $( Lemma for ~ c1lip1 .  (Contributed by Stefan O'Rear, 15-Nov-2014.) $)
    c1liplem1 $p |- ( ph -> ( K e. RR /\ A. x e. ( A [,] B )
        A. y e. ( A [,] B ) ( x < y -> ( abs ` ( ( F ` y ) - ( F ` x ) ) ) <_
          ( K x. ( abs ` ( y - x ) ) ) ) ) ) $=
      ( cr wcel cfv co cabs cc va vb cv clt wbr cmin cmul cle wi cicc wral cima
      cdv csup wss crn imassrn wf absf frn ax-mp sstri a1i c0 wne wfun cdm ffun
      dvf cres wceq ccncf cncff fdm 3syl ssdmres sylibr rexrd lbicc2 syl3anc wa
      cxr funfvima2 imp syl21anc fdmi sseqtrri mp2an ne0i wrex ax-resscn cncfss
      ssid sselid cniccbdd fvelima adantl fveq2d 2fveq3 breq1d rspccva eqbrtrrd
      mpan fvres adantll fveq2 syl5ibcom rexlimdva impel breq1 syl5 ralrimiv ex
      reximdva mpd suprcld eqeltrid cdiv simplrr fvresd ad2antrr ffvelrnd recnd
      eqeltrrd simplrl subcld iccssre syl2anc sseldd resubcld simpr difrp mpbid
      syl crp wb rpne0d absdivd cioo eqtrd divcld eleqtrrdi ltled ubicc2 oveq1d
      oveq12d iccss2 ad2antlr resabs1d rescncf sylc ctg cnt cpm cnex reex elpm2
      simplbi simprbi ccnfld ctopn eqid tgioo2 syl22anc iccntr reseq2d ioossicc
      dvres dmeqd sstrid sstrd sylib mvth fveq1d adantrr ad2antll sseld eqeltrd
      impr eleq1 expr rexlimdv funfvima suprubd breqtrrdi abscld absrpcld rpcnd
      ledivmuld mulcomd breqtrd ralrimivva jca ) AGOPZBUCZCUCZUDUEZUWPFQZUWOFQZ
      UFRZSQZGUWPUWOUFRZSQZUGRZUHUEZUIZCDEUJRZUKBUXGUKAGSOFUMRZUXGULZULZOUDUNZO
      NAUAUBUXJUXJOUOZAUXJSUPZOSUXIUQTOSURZUXMOUOUSTOSUTVAVBZVCADUXHQZUXIPZUXPS
      QZUXJPZUXJVDVEZAUXHVFZUXGUXHVGZUOZDUXGPZUXQUYAAUYBTUXHURZUYAFVIZUYBTUXHVH
      VAZVCAUXHUXGVJZVGUXGVKZUYCAUYHUXGOVLRZPUXGOUYHURUYILUXGOUYHVMUXGOUYHVNVOU
      XGUXHVPVQZADWBPEWBPDEUHUEUYDADHVRAEIVRJDEVSVTUYAUYCWAZUYDUXQUXGDUXHWCWDWE
      SVFZUXISVGZUOUXQUXSUIUXNUYMUSTOSVHVAZUXITUYNUXIUXHUPZTUXHUXGUQUYEUYPTUOUY
      FUYBTUXHUTVAVBTOSUSWFZWGUXIUXPSWCWHUXJUXRWIVOZAUWOUYHQSQZUAUCZUHUEZBUXGUK
      ZUAOWJZUBUCZUYTUHUEZUBUXJUKZUAOWJZADOPZEOPZUYHUXGTVLRZPVUCHIAUYJVUJUYHOTU
      OZTTUOUYJVUJUOWKTWMUXGOTWLWHLWNUABDEUYHWOVTAVUBVUFUAOAUYTOPWAZVUBVUFVULVU
      BWAZVUEUBUXJVUDUXJPZUWPSQZVUDVKZCUXIWJZVUMVUEUYMVUNVUQUYOCVUDUXISWPXCVUMV
      UPVUECUXIVUMUWPUXIPZWAVUOUYTUHUEZVUPVUEVUMVUDUXHQZUWPVKZUBUXGWJZVUSVURVUM
      VVAVUSUBUXGVUMVUDUXGPZWAVUTSQZUYTUHUEZVVAVUSVUBVVCVVEVULVUBVVCWAZVUDUYHQZ
      SQZVVDUYTUHVVFVVGVUTSVVCVVGVUTVKVUBVUDUXGUXHXDWQWRVUAVVHUYTUHUEBVUDUXGUWO
      VUDVKUYSVVHUYTUHUWOVUDSUYHWSWTXAXBXEVVAVVDVUOUYTUHVUTUWPSXFWTXGXHUYAVURVV
      BUYGUBUWPUXGUXHWPXCXIVUOVUDUYTUHXJXGXHXKXLXMXNXOZXPXQZAUXFBCUXGUXGAUWOUXG
      PZUWPUXGPZWAZWAZUWQUXEVVNUWQWAZUXAUXCGUGRZUXDUHVVOUXAUXCXRRZGUHUEUXAVVPUH
      UEVVOUWTUXBXRRZSQZVVQGUHVVOUWTUXBVVOUWRUWSVVOUWPFUXGVJZQZUWRTVVOUWPUXGFAV
      VKVVLUWQXSZXTVVOVWAVVOUXGOUWPVVTAUXGOVVTURZVVMUWQAVVTUYJPZVWCMUXGOVVTVMYN
      YAZVWBYBYCYDVVOUWOVVTQZUWSTVVOUWOUXGFAVVKVVLUWQYEZXTVVOVWFVVOUXGOUWOVVTVW
      EVWGYBYCYDYFZVVOUXBVVOUWPUWOVVOUXGOUWPAUXGOUOZVVMUWQAVUHVUIVWIHIDEYGYHYAZ
      VWBYIZVVOUXGOUWOVWJVWGYIZYJYCZVVOUXBVVOUWQUXBYOPZVVNUWQYKZVVOUWOOPZUWPOPZ
      UWQVWNYPVWLVWKUWOUWPYLYHYMYQZYRVVOVVSUXKGUHVVOUAUBUXJVVSUXLVVOUXOVCAUXTVV
      MUWQUYRYAAVUGVVMUWQVVIYAVVOUYMVVRUYNPZVVRUXIPZVVSUXJPZUYMVVOUYOVCVVOVVRTU
      YNVVOUWTUXBVWHVWMVWRUUAUYQUUBVVOUWPFUWOUWPUJRZVJZQZUWOVXCQZUFRZUXBXRRZVVR
      UXIVVOVXFUWTUXBXRVVOVXDUWRVXEUWSUFVVOUWPVXBFVVOUWOWBPZUWPWBPZUWOUWPUHUEZU
      WPVXBPVVOUWOVWLVRZVVOUWPVWKVRZVVOUWOUWPVWLVWKVWOUUCZUWOUWPUUDVTXTVVOUWOVX
      BFVVOVXHVXIVXJUWOVXBPVXKVXLVXMUWOUWPVSVTXTUUFUUEVVOUYTOVXCUMRZQZVXGVKZUAU
      WOUWPYSRZWJVXGUXIPZVVOUAUWOUWPVXCVWLVWKVWOVVOVVTVXBVJZVXCVXBOVLRZVVOFVXBU
      XGVVMVXBUXGUOZAUWQDEUWOUWPUUGUUHZUUIVVOVYAVWDVXSVXTPVYBAVWDVVMUWQMYAUXGOV
      XBVVTUUJUUKYDVVOVXNVGUXHVXQVJZVGZVXQVVOVXNVYCVVOVXNUXHVXBYSUPUULQZUUMQQZV
      JZVYCVVOVUKFVGZTFURZVYHOUOZVXBOUOZVXNVYGVKVUKVVOWKVCVVOFTOUUNRPZVYIAVYLVV
      MUWQKYAZVYLVYIVYJTOFUUOUUPUUQZUURYNVVOVYLVYJVYMVYLVYIVYJVYNUUSYNVVOVWPVWQ
      VYKVWLVWKUWOUWPYGYHVYHVXBOVYEFUUTUVAQZVYOUVBZVYOVYPUVCUVHUVDVVOVYFVXQUXHV
      VOVWPVWQVYFVXQVKVWLVWKUWOUWPUVEYHUVFYTZUVIVVOVXQUYBUOVYDVXQVKVVOVXQUXGUYB
      VVOVXQVXBUXGUWOUWPUVGVYBUVJZAUYCVVMUWQUYKYAUVKVXQUXHVPUVLYTUVMVVOVXPVXRUA
      VXQVVNUWQUYTVXQPZVXPVXRUIVVNUWQVYSWAZWAZVXOUXIPVXPVXRWUAVXOUYTUXHQZUXIWUA
      VXOUYTVYCQZWUBVVNUWQVXOWUCVKVYSVVOUYTVXNVYCVYQUVNUVOVYSWUCWUBVKVVNUWQUYTV
      XQUXHXDUVPYTWUAUYAUYCUYTUXGPZWUBUXIPZUYAWUAUYGVCAUYCVVMVYTUYKYAVVNUWQVYSW
      UDVVOVXQUXGUYTVYRUVQUVSUYLWUDWUEUXGUYTUXHWCWDWEUVRVXOVXGUXIUVTXGUWAUWBXOY
      DUYMVWSWAVWTVXAUXIVVRSUWCWDWEUWDNUWEXBVVOUXAGUXCVVOUWTVWHUWFAUWNVVMUWQVVJ
      YAZVVOUXBVWMVWRUWGZUWIYMVVOUXCGVVOUXCWUGUWHVVOGWUFYCUWJUWKXMUWLUWM $.
  $}

  ${
    $d ph x y k a b $.  $d A x y k a b $.  $d B x y k a b $.  $d F x y k a b $.
    c1lip1.a $e |- ( ph -> A e. RR ) $.
    c1lip1.b $e |- ( ph -> B e. RR ) $.
    c1lip1.f $e |- ( ph -> F e. ( CC ^pm RR ) ) $.
    c1lip1.dv $e |- ( ph -> ( ( RR _D F ) |` ( A [,] B ) ) e.
        ( ( A [,] B ) -cn-> RR ) ) $.
    c1lip1.cn $e |- ( ph -> ( F |` ( A [,] B ) ) e.
        ( ( A [,] B ) -cn-> RR ) ) $.
    $( C^1 functions are Lipschitz continuous on closed intervals.
       (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    c1lip1 $p |- ( ph -> E. k e. RR A. x e. ( A [,] B ) A. y e. ( A [,] B )
        ( abs ` ( ( F ` y ) - ( F ` x ) ) ) <_
          ( k x. ( abs ` ( y - x ) ) ) ) $=
      ( cfv cmin co cabs cmul cle cr wcel va vb cv wbr cicc wral wrex clt wa c0
      wne cc0 0re ne0ii ral0 wceq cxr rexrd icc0 syl2anc biimpar raleqdv mpbiri
      wb ralrimivw r19.2z sylancr wi cdv cima csup adantr simpr cres ccncf eqid
      cc cpm c1liplem1 oveq1 breq2d imbi2d 2ralbidv rspcev syl weq breq1 oveq2d
      fveq2 fveq2d oveq2 breq12d imbi12d breq2 fvoveq1d fvoveq1 rspc2v ad2antlr
      pm2.27 adantl syld 0le0 fvres ad2antrl wf cncff ad2antrr ffvelrn eqeltrrd
      simpl syl2an recnd subidd abs00bd wss iccssre simprl sseldd simplr mul01d
      ad3antrrr eqtrd syl5ibcom imp ancoms ad2antll abssubd anim12d recn abssub
      a1d sseld biimpd embantd w3o lttri4 mpjao3dan ralrimdvva reximdva mpd
      ltlecasei ) ACUCZGMZBUCZGMZNOPMZFUCZUUBUUDNOPMZQOZRUDZCDEUEOZUFZBUUKUFZFS
      UGZEDAEDUHUDZUIZSUJUKUUMFSUFUUNULSUMUNUUPUUMFSUUPUUMUULBUJUFUULBUOUUPUULB
      UUKUJAUUKUJUPZUUOADUQTEUQTUUQUUOVDADHURAEIURDEUSUTVAVBVCVEUUMFSVFVGADERUD
      ZUIZUAUCZUBUCZUHUDZUVAGMZUUTGMZNOZPMZUUGUVAUUTNOZPMZQOZRUDZVHZUBUUKUFUAUU
      KUFZFSUGZUUNUUSPSGVIOZUUKVJVJSUHVKZSTUVBUVFUVOUVHQOZRUDZVHZUBUUKUFUAUUKUF
      ZUIUVMUUSUAUBDEGUVOADSTZUURHVLAESTZUURIVLAUURVMAGVQSVROTUURJVLAUVNUUKVNUU
      KSVOOZTUURKVLAGUUKVNZUWBTZUURLVLUVOVPVSUVLUVSFUVOSUUGUVOUPZUVKUVRUAUBUUKU
      UKUWEUVJUVQUVBUWEUVIUVPUVFRUUGUVOUVHQVTWAWBWCWDWEUUSUVLUUMFSUUSUUGSTZUIZU
      VLUUJBCUUKUUKUWGUUDUUKTZUUBUUKTZUIZUIZUUDUUBUHUDZUVLUUJVHBCWFZUUBUUDUHUDZ
      UWKUWLUIUVLUWLUUJVHZUUJUWJUVLUWOVHUWGUWLUVKUWOUUDUVAUHUDZUVCUUENOZPMZUUGU
      VAUUDNOZPMZQOZRUDZVHUAUBUUDUUBUUKUUKUABWFZUVBUWPUVJUXBUUTUUDUVAUHWGUXCUVF
      UWRUVIUXARUXCUVEUWQPUXCUVDUUEUVCNUUTUUDGWIWHWJUXCUVHUWTUUGQUXCUVGUWSPUUTU
      UDUVANWKWJWHWLWMUBCWFZUWPUWLUXBUUJUVAUUBUUDUHWNUXDUWRUUFUXAUUIRUXDUVCUUCU
      UEPNUVAUUBGWIWOUXDUWTUUHUUGQUVAUUBUUDPNWPWHWLWMWQWRUWLUWOUUJVHUWKUWLUUJWS
      WTXAUWKUWMUIUUJUVLUWKUWMUUJUWKUUEUUENOZPMZUUGUUDUUDNOZPMZQOZRUDZUWMUUJUWK
      UXJULULRUDXBUWKUXFULUXIULRUWKUXEUWKUUEUWKUUEUWKUUDUWCMZUUESUWHUXKUUEUPUWG
      UWIUUDUUKGXCXDUWGUUKSUWCXEZUWHUXKSTUWJAUXLUURUWFAUWDUXLLUUKSUWCXFWEXGZUWH
      UWIXJUUKSUUDUWCXHXKXIXLZXMXNUWKUXIUUGULQOULUWKUXHULUUGQUWKUXGUWKUUDUWKUUD
      UWKUUKSUUDAUUKSXOZUURUWFUWJAUVTUWAUXOHIDEXPUTZYAUWGUWHUWIXQXRXLXMXNWHUWKU
      UGUWKUUGUUSUWFUWJXSXLXTYBWLVCUWMUXFUUFUXIUUIRUWMUUEUUCUUEPNUUDUUBGWIWOUWM
      UXHUUHUUGQUUDUUBUUDPNWPWHWLYCYDYKUWKUWNUIZUVLUWNUUEUUCNOPMZUUGUUDUUBNOPMZ
      QOZRUDZVHZUUJUWJUVLUYBVHZUWGUWNUWIUWHUYCUVKUYBUUBUVAUHUDZUVCUUCNOZPMZUUGU
      VAUUBNOZPMZQOZRUDZVHUAUBUUBUUDUUKUUKUACWFZUVBUYDUVJUYJUUTUUBUVAUHWGUYKUVF
      UYFUVIUYIRUYKUVEUYEPUYKUVDUUCUVCNUUTUUBGWIWHWJUYKUVHUYHUUGQUYKUVGUYGPUUTU
      UBUVANWKWJWHWLWMUBBWFZUYDUWNUYJUYAUVAUUDUUBUHWNUYLUYFUXRUYIUXTRUYLUVCUUEU
      UCPNUVAUUDGWIWOUYLUYHUXSUUGQUVAUUDUUBPNWPWHWLWMWQYEWRUXQUWNUYAUUJUWKUWNVM
      UXQUYAUUJUXQUXRUUFUXTUUIRUWKUXRUUFUPUWNUWKUUEUUCUXNUWKUUCUWKUUBUWCMZUUCSU
      WIUYMUUCUPUWGUWHUUBUUKGXCYFUWGUXLUWIUYMSTUWJUXMUWHUWIVMUUKSUUBUWCXHXKXIXL
      YGVLUXQUXSUUHUUGQUWKUXSUUHUPZUWNUWKUUDSTZUUBSTZUIZUYNUWGUWJUYQUWGUWHUYOUW
      IUYPUWGUUKSUUDAUXOUURUWFUXPXGZYLUWGUUKSUUBUYRYLYHYDZUYOUUDVQTUUBVQTUYNUYP
      UUDYIUUBYIUUDUUBYJXKWEVLWHWLYMYNXAUWKUYQUWLUWMUWNYOUYSUUDUUBYPWEYQYRYSYTI
      HUUA $.
  $}

  ${
    $d ph x y k $.  $d A x y k $.  $d B x y k $.  $d F x y k $.
    c1lip2.a $e |- ( ph -> A e. RR ) $.
    c1lip2.b $e |- ( ph -> B e. RR ) $.
    c1lip2.f $e |- ( ph -> F e. ( ( C^n ` RR ) ` 1 ) ) $.
    c1lip2.rn $e |- ( ph -> ran F C_ RR ) $.
    c1lip2.dm $e |- ( ph -> ( A [,] B ) C_ dom F ) $.
    $( C^1 functions are Lipschitz continuous on closed intervals.
       (Contributed by Stefan O'Rear, 16-Nov-2014.)  (Revised by Stefan O'Rear,
       6-May-2015.) $)
    c1lip2 $p |- ( ph -> E. k e. RR A. x e. ( A [,] B ) A. y e. ( A [,] B )
        ( abs ` ( ( F ` y ) - ( F ` x ) ) ) <_
          ( k x. ( abs ` ( y - x ) ) ) ) $=
      ( c1 cr cfv wcel cc co ax-resscn cc0 ccpn cpm cdvn cdm ccncf wss cn0 1nn0
      wa wb elcpn mp2an simplbi syl cicc cdv cres wf wfn wfun pmfun funfnd df-f
      crn sylanbrc cnex reex elpm2 simprbi dvfre syl2anc wceq caddc fveq2i 0nn0
      0p1e1 dvnp1 mp3an13 eqtr3id dvn0 sylancr oveq2d eqtrd eqeltrrd cncff 3syl
      fdm feq2d mpbid cncffvrn mpbird rescncf sylc cpr cuz prid1 1eluzge0 mp3an
      cpnord sselid c1lip1 ) ABCDEFGHIAGMNUAOZOZPZGQNUBRPZJXDXEMNGUCRZOZGUDZQUE
      RZPZNQUFZMUGPXDXEXJUIUJSUHNGMUKULZUMUNZADEUORZXHUFZNGUPRZXHNUERZPZXPXNUQX
      NNUERZPLAXRXHNXPURZAXPUDZNXPURZXTAXHNGURZXHNUFZYBAGXHUSGVDNUFYCAGAXEGUTXM
      QNGVAUNVBKXHNGVCVEZAXEYDXMXEXHQGURYDQNGVFVGVHVIUNXHGVJVKAYAXHNXPAXPXIPZXH
      QXPURYAXHVLAXGXPXIAXGNTXFOZUPRZXPAXGTMVMRZXFOZYHYIMXFVPVNAXEYJYHVLZXMXKXE
      TUGPZYKSVONGTVQVRUNVSAYGGNUPAXKXEYGGVLSXMNGVTWAZWBWCAXDXJJXDXEXJXLVIUNWDZ
      XHQXPWEXHQXPWGWFWHWIAXKYFXRXTUJSYNXHQNXPWJWAWKXHNXNXPWLWMAXOGXQPZGXNUQXSP
      LAYOYCYEAXKGXIPYOYCUJSAYGGXIYMAGTXBOZPZYGXIPZAXCYPGNNQWNPYLMTWOOPXCYPUFNQ
      VGWPVOWQNTMWSWRJWTYQXEYRXKYLYQXEYRUIUJSVONGTUKULVIUNWDXHQNGWJWAWKXHNXNGWL
      WMXA $.
  $}

  ${
    $d ph x y k $.  $d A x y k $.  $d B x y k $.  $d F x y k $.
    c1lip3.a $e |- ( ph -> A e. RR ) $.
    c1lip3.b $e |- ( ph -> B e. RR ) $.
    c1lip3.f $e |- ( ph -> ( F |` RR ) e. ( ( C^n ` RR ) ` 1 ) ) $.
    c1lip3.rn $e |- ( ph -> ( F " RR ) C_ RR ) $.
    c1lip3.dm $e |- ( ph -> ( A [,] B ) C_ dom F ) $.
    $( C^1 functions are Lipschitz continuous on closed intervals.
       (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    c1lip3 $p |- ( ph -> E. k e. RR A. x e. ( A [,] B ) A. y e. ( A [,] B )
        ( abs ` ( ( F ` y ) - ( F ` x ) ) ) <_
          ( k x. ( abs ` ( y - x ) ) ) ) $=
      ( cv cr cfv cmin co cabs wral wcel cres cmul cle wbr cicc wrex crn df-ima
      cima eqsstrrid cdm cin iccssre syl2anc ssind dmres sseqtrrdi c1lip2 wa wi
      wss sseld anim12d imp fvres oveqan12rd fveq2d breq1d biimpd syl ralimdvva
      reximdv mpd ) ACMZGNUAZOZBMZVOOZPQZROZFMVNVQPQROUBQZUCUDZCDEUEQZSBWCSZFNU
      FVNGOZVQGOZPQZROZWAUCUDZCWCSBWCSZFNUFABCDEFVOHIJAVOUGGNUINGNUHKUJAWCNGUKZ
      ULVOUKAWCNWKADNTENTWCNVAHIDEUMUNZLUOGNUPUQURAWDWJFNAWBWIBCWCWCAVQWCTZVNWC
      TZUSZUSVQNTZVNNTZUSZWBWIUTAWOWRAWMWPWNWQAWCNVQWLVBAWCNVNWLVBVCVDWRWBWIWRV
      TWHWAUCWRVSWGRWQWPVPWEVRWFPVNNGVEVQNGVEVFVGVHVIVJVKVLVM $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y F $.  $d x y ph $.
    dveq0.a $e |- ( ph -> A e. RR ) $.
    dveq0.b $e |- ( ph -> B e. RR ) $.
    dveq0.c $e |- ( ph -> F e. ( ( A [,] B ) -cn-> CC ) ) $.
    dveq0.d $e |- ( ph -> ( RR _D F ) = ( ( A (,) B ) X. { 0 } ) ) $.
    $( If a continuous function has zero derivative at all points on the
       interior of a closed interval, then it must be a constant function.
       (Contributed by Mario Carneiro, 2-Sep-2014.)  (Proof shortened by Mario
       Carneiro, 3-Mar-2015.) $)
    dveq0 $p |- ( ph -> F = ( ( A [,] B ) X. { ( F ` A ) } ) ) $=
      ( co cfv cc wcel wa wceq adantr cle wbr cr cabs cc0 vx cicc csn cxp ccncf
      vy wf cncff syl ffnd cvv wfn fvex fnconstg mp1i fvconst2 adantl cxr rexrd
      cv w3a wb elicc2 syl2anc biimpa simp1d simp2d simp3d letrd lbicc2 syl3anc
      ffvelrnd ffvelrnda cmin subcld cmul simpr jca cdv cdm cioo dmeqd wne c0ex
      snnz dmxp ax-mp eqtrdi 0red fveq1d sylan9eq abs00bd eqbrtrdi dvlip syldan
      c0 0le0 abscld mul02d breqtrd absge0d 0re letri3 sylancl mpbir2and abs00d
      recnd subeq0d eqtr2d eqfnfvd ) AUABCUBIZDXKBDJZUCUDZAXKKDADXKKUEILXKKDUGZ
      GXKKDUHUIZUJXLUKLXMXKULABDUMZXKXLUKUNUOAUAUTZXKLZMZXQXMJZXLXQDJZXRXTXLNAX
      KXLXQXPUPUQXSXLYAXSXKKBDAXNXRXOOXSBURLCURLBCPQBXKLZXSBABRLZXREOZUSXSCACRL
      ZXRFOZUSXSBXQCYDXSXQRLZBXQPQZXQCPQZAXRYGYHYIVAZAYCYEXRYJVBEFBCXQVCVDVEZVF
      ZYFXSYGYHYIYKVGXSYGYHYIYKVHVIBCVJVKZVLZAXKKXQDXOVMZXSXLYAVNIZXSXLYAYNYOVO
      ZXSYPSJZTNZYRTPQZTYRPQZXSYRTBXQVNIZSJZVPIZTPAXRYBXRMYRUUDPQXSYBXRYMAXRVQV
      RAUFBCDTBXQEFGARDVSIZVTBCWAIZTUCZUDZVTZUUFAUUEUUHHWBUUGWPWCUUIUUFNTWDWEUU
      FUUGWFWGWHAWIAUFUTZUUFLZMZUUJUUEJZSJTTPUULUUMAUUKUUMUUJUUHJTAUUJUUEUUHHWJ
      UUFTUUJWDUPWKWLWQWMWNWOXSUUCXSUUCXSUUBXSBXQXSBYDXGXSXQYLXGVOWRXGWSWTXSYPY
      QXAXSYRRLTRLYSYTUUAMVBXSYPYQWRXBYRTXCXDXEXFXHXIXJ $.
  $}

  ${
    $d x C $.  $d x y F $.  $d x y G $.  $d x y ph $.  $d x X $.
    dv11cn.x $e |- X = ( A ( ball ` ( abs o. - ) ) R ) $.
    dv11cn.a $e |- ( ph -> A e. CC ) $.
    dv11cn.r $e |- ( ph -> R e. RR* ) $.
    dv11cn.f $e |- ( ph -> F : X --> CC ) $.
    dv11cn.g $e |- ( ph -> G : X --> CC ) $.
    dv11cn.d $e |- ( ph -> dom ( CC _D F ) = X ) $.
    dv11cn.e $e |- ( ph -> ( CC _D F ) = ( CC _D G ) ) $.
    dv11cn.c $e |- ( ph -> C e. X ) $.
    dv11cn.p $e |- ( ph -> ( F ` C ) = ( G ` C ) ) $.
    $( Two functions defined on a ball whose derivatives are the same and which
       are equal at any given point ` C ` in the ball must be equal everywhere.
       (Contributed by Mario Carneiro, 31-Mar-2015.) $)
    dv11cn $p |- ( ph -> F = G ) $=
      ( vx co cc0 cc vy cmin cof csn cxp wceq cvv ffnd wcel cabs ccom cbl ovexi
      cfv a1i inidm offn wfn 0cn fnconstg mp1i cv wa subcl adantl off ffvelrnda
      cle wbr cmul anim1ci cxmet cxr wss cnxmet blssm mp3an2i eqsstrid cdv cmpt
      cdm feqmptd offval2 oveq2d cr cnelprrecn fvexd dvfcn feq2d mpbii 3eqtr3rd
      cpr wf eqtr3d dvmptsub subidd mpteq2dva fconstmpt eqtr4di 3eqtrd dmeqd c0
      wne snnzg dmxp mp2b eqtrdi eqimss2 syl 0red fveq1d c0ex fvconst2 sylan9eq
      abs00bd 0le0 eqbrtrdi dvlipcn syldan fveq2 oveq12d eqid ffvelrnd subeq0bd
      ovex fvmpt adantr subid1d eqtrd fveq2d sselda sseldd subcld abscld mul02d
      recnd 3brtr3d absge0d wb 0re letri3 sylancl mpbir2and abs00d eqtr4d mpbid
      eqfnfvd ofsubeq0 ) AEFUBUCRZGSUDZUEZUFZEFUFZAQGUUIUUKAGGUBGEFUGUGAGTEKUHA
      GTFLUHGUGUIZAGBDUJUBUKZULUNZHUMZUOZUURGUPZUQSTUIZUUKGURAUSGSTUTVAAQVBZGUI
      ZVCZUVAUUIUNZSUVAUUKUNZUVCUVDAGTUVAUUIAQUAGGGUBTTTEFUGUGUVATUIUAVBZTUIVCU
      VAUVFUBRTUIAUVAUVFVDVEKLUURUURUUSVFZVGZUVCUVDUJUNZSUFZUVISVHVIZSUVIVHVIZU
      VCUVDCUUIUNZUBRZUJUNZSUVACUBRZUJUNZVJRZUVISVHAUVBUVBCGUIZVCUVOUVRVHVIAUVS
      UVBOVKAQBGDUUISGUVACAGBDUUPRZTHUUOTVLUNUIABTUIDVMUIUVTTVNVOIJUUOBDTVPVQVR
      ZUVGIJHATUUIVSRZWAZGUFGUWCVNAUWCUUKWAZGAUWBUUKAUWBTQGUVAEUNZUVAFUNZUBRZVT
      ZVSRQGUVATEVSRZUNZUWJUBRZVTZUUKAUUIUWHTVSAQGUWEUWFUBEFUGTTUURAGTUVAEKVGZA
      GTUVAFLVGZAQGTEKWBZAQGTFLWBZWCZWDAQUWEUWJUWFUWJTUGUGGTWETWLUIAWFUOUWMUVCU
      VAUWIWGZAUWITQGUWEVTZVSRQGUWJVTZAEUWSTVSUWOWDAQGTUWIAUWIWAZTUWIWMGTUWIWME
      WHAUXAGTUWIMWIWJZWBZWNUWNUWRAUWITFVSRUWTTQGUWFVTZVSRNUXCAFUXDTVSUWPWDWKWO
      AUWLQGSVTUUKAQGUWKSUVCUWJAGTUVAUWIUXBVGWPWQQGSWRWSWTZXAUUTUUJXBXCUWDGUFUS
      STXDGUUJXEXFXGGUWCXHXIAXJUVCUVAUWBUNZUJUNSSVHUVCUXFAUVBUXFUVESAUVAUWBUUKU
      XEXKGSUVAXLXMZXNXOXPXQXRXSUVCUVNUVDUJUVCUVNUVDSUBRUVDUVCUVMSUVDUBAUVMSUFU
      VBAUVMCUWHUNZCEUNZCFUNZUBRZSACUUIUWHUWQXKAUVSUXHUXKUFOQCUWGUXKGUWHUVACUFU
      WEUXIUWFUXJUBUVACEXTUVACFXTYAUWHYBUXIUXJUBYEYFXIAUXIUXJAGTCEKOYCPYDWTYGWD
      UVCUVDUVHYHYIYJUVCUVQUVCUVQUVCUVPUVCUVACAGTUVAUWAYKACTUIUVBAGTCUWAOYLYGYM
      YNYPYOYQUVCUVDUVHYRUVCUVIWEUISWEUIUVJUVKUVLVCYSUVCUVDUVHYNYTUVISUUAUUBUUC
      UUDUVBUVESUFAUXGVEUUEUUGUUNAGTEWMGTFWMUULUUMYSUUQKLGEFUGUUHVQUUF $.
  $}

  ${
    $d x y z A $.  $d x y O $.  $d x y z ph $.  $d z S $.  $d z X $.  $d z Y $.
    $d x y z B $.  $d x y z F $.
    dvgt0.a $e |- ( ph -> A e. RR ) $.
    dvgt0.b $e |- ( ph -> B e. RR ) $.
    dvgt0.f $e |- ( ph -> F e. ( ( A [,] B ) -cn-> RR ) ) $.
    ${
      dvgt0lem.d $e |- ( ph -> ( RR _D F ) : ( A (,) B ) --> S ) $.
      $( Lemma for ~ dvgt0 and ~ dvlt0 .  (Contributed by Mario Carneiro,
         19-Feb-2015.) $)
      dvgt0lem1 $p |- ( ( ( ph /\
        ( X e. ( A [,] B ) /\ Y e. ( A [,] B ) ) ) /\ X < Y ) ->
          ( ( ( F ` Y ) - ( F ` X ) ) / ( Y - X ) ) e. S ) $=
        ( co wcel wbr cfv cxr cr wss syl2anc ad2antrr vz cicc wa cres cmin cdiv
        clt cle iccssxr simplrl sselid simplrr sseldd simpr ltled ubicc2 fvresd
        iccssre syl3anc lbicc2 oveq12d oveq1d cdv wceq cioo wrex ccncf ad2antlr
        cv iccss2 rescncf wf rexrd w3a elicc2 mpbid simp2d iooss1 simp3d iooss2
        sylc wb sstrd fssresd crn ctg cnt cc ax-resscn a1i cncff syl fss ccnfld
        sylancl ctopn eqid tgioo2 dvres syl22anc iccntr eqtrd feq1d mpbird fdmd
        reseq2d mvth ffvelrnda eleq1 syl5ibcom rexlimdva mpd eqeltrrd ) AFBCUBL
        ZMZGXNMZUCZUCZFGUGNZUCZGEFGUBLZUDZOZFYBOZUELZGFUELZUFLZGEOZFEOZUELZYFUF
        LDXTYEYJYFUFXTYCYHYDYIUEXTGYAEXTFPMZGPMZFGUHNZGYAMXTXNPFBCUIZAXOXPXSUJZ
        UKZXTXNPGYNAXOXPXSULZUKZXTFGXTXNQFAXNQRZXQXSABQMZCQMZYSHIBCURSTZYOUMZXT
        XNQGUUBYQUMZXRXSUNZUOZFGUPUSUQXTFYAEXTYKYLYMFYAMYPYRUUFFGUTUSUQVAVBXTUA
        VIZQYBVCLZOZYGVDZUAFGVELZVFYGDMZXTUAFGYBUUCUUDUUEXTYAXNRZEXNQVGLMZYBYAQ
        VGLMXQUUMAXSBCFGVJVHAUUNXQXSJTXNQYAEVKWAXTUUKDUUHXTUUKDUUHVLUUKDQEVCLZU
        UKUDZVLXTBCVELZDUUKUUOAUUQDUUOVLXQXSKTXTUUKBGVELZUUQXTBPMBFUHNZUUKUURRX
        TBAYTXQXSHTZVMXTFQMZUUSFCUHNZXTXOUVAUUSUVBVNZYOXTYTUUAXOUVCWBUUTAUUAXQX
        SITZBCFVOSVPVQBFGVRSXTCPMGCUHNZUURUUQRXTCUVDVMXTGQMZBGUHNZUVEXTXPUVFUVG
        UVEVNZYQXTYTUUAXPUVHWBUUTUVDBCGVOSVPVSBGCVTSWCWDXTUUKDUUHUUPXTUUHUUOYAV
        EWEWFOZWGOOZUDZUUPXTQWHRZXNWHEVLZYSYAQRZUUHUVKVDUVLXTWIWJXTXNQEVLZUVLUV
        MAUVOXQXSAUUNUVOJXNQEWKWLTWIXNQWHEWMWOUUBXTUVAUVFUVNUUCUUDFGURSXNYAQUVI
        EWNWPOZUVPWQZUVPUVQWRWSWTXTUVJUUKUUOXTUVAUVFUVJUUKVDUUCUUDFGXASXFXBXCXD
        ZXEXGXTUUJUULUAUUKXTUUGUUKMUCUUIDMUUJUULXTUUKDUUGUUHUVRXHUUIYGDXIXJXKXL
        XM $.

      dvgt0lem.o $e |- O Or RR $.
      dvgt0lem.i $e |- ( ( ( ph /\
        ( x e. ( A [,] B ) /\ y e. ( A [,] B ) ) ) /\ x < y ) ->
          ( F ` x ) O ( F ` y ) ) $.
      $( Lemma for ~ dvgt0 and ~ dvlt0 .  (Contributed by Mario Carneiro,
         19-Feb-2015.) $)
      dvgt0lem2 $p |- ( ph -> F Isom < , O ( ( A [,] B ) , ran F ) ) $=
        ( clt wiso wcel wor cr wb cicc co cima crn cres wbr cfv wral ralrimivva
        cv wi wa ex wf wss iccssre syl2anc ltso soss mpisyl a1i ccncf cncff syl
        ssidd soisores syl22anc mpbird wfn wceq 3syl fnresdm isoeq1 mpbid fnima
        ffn isoeq5 ) ADEUAUBZGVRUCZOHGPZVRGUDZOHGPZAVRVSOHGVRUEZPZVTAWDBUJZCUJZ
        OUFZWEGUGWFGUGHUFZUKZCVRUHBVRUHZAWIBCVRVRAWEVRQWFVRQULULWGWHNUMUIAVRORZ
        SHRZVRSGUNZVRVRUOWDWJTAVRSUOZSORWKADSQESQWNIJDEUPUQURVRSOUSUTWLAMVAAGVR
        SVBUBQZWMKVRSGVCZVDAVRVEBCVRVRSOHGVFVGVHAGVRVIZWCGVJWDVTTAWOWMWQKWPVRSG
        VPVKZVRGVLVRVSOHGWCVMVKVNAWQVSWAVJVTWBTWRVRGVOVRVSWAOHGVQVKVN $.
    $}

    ${
      dvgt0.d $e |- ( ph -> ( RR _D F ) : ( A (,) B ) --> RR+ ) $.
      $( A function on a closed interval with positive derivative is
         increasing.  (Contributed by Mario Carneiro, 19-Feb-2015.) $)
      dvgt0 $p |- ( ph -> F Isom < , < ( ( A [,] B ) , ran F ) ) $=
        ( vx vy crp clt cv co wcel wa wbr cfv cc0 cr ltso cicc cmin cdiv rpgt0d
        dvgt0lem1 wb ccncf cncff syl ad2antrr simplrr ffvelrnd simplrl resubcld
        wf wss iccssre syl2anc sseldd simpr posdifd mpbid gt0div syl3anc mpbird
        dvgt0lem2 ) AIJBCKDLEFGHUAAIMZBCUBNZOZJMZVIOZPZPZVHVKLQZPZVHDRZVKDRZLQS
        VRVQUCNZLQZVPVTSVSVKVHUCNZUDNZLQZVPWBABCKDVHVKEFGHUFUEVPVSTOWATOSWALQZV
        TWCUGVPVRVQVPVITVKDAVITDUPZVMVOADVITUHNOWEGVITDUIUJUKZAVJVLVOULZUMZVPVI
        TVHDWFAVJVLVOUNZUMZUOVPVKVHVPVITVKAVITUQZVMVOABTOCTOWKEFBCURUSUKZWGUTZV
        PVITVHWLWIUTZUOVPVOWDVNVOVAVPVHVKWNWMVBVCVSWAVDVEVFVPVQVRWJWHVBVFVG $.
    $}

    ${
      dvlt0.d $e |- ( ph -> ( RR _D F ) : ( A (,) B ) --> ( -oo (,) 0 ) ) $.
      $( A function on a closed interval with negative derivative is
         decreasing.  (Contributed by Mario Carneiro, 19-Feb-2015.) $)
      dvlt0 $p |- ( ph -> F Isom < , `' < ( ( A [,] B ) , ran F ) ) $=
        ( vx vy cmnf cc0 co clt cv wcel wa wbr cr mpbid cioo ccnv gtso cicc cfv
        caddc cmin cmul cdiv dvgt0lem1 eliooord syl simprd wb wf ccncf ad2antrr
        cncff simplrr ffvelrnd simplrl resubcld 0red wss iccssre syl2anc sseldd
        simpr posdifd ltdivmul syl112anc recnd mul01d breqtrd ltsubaddd addid2d
        fvex brcnv sylibr dvgt0lem2 ) AIJBCKLUAMZDNUBZEFGHUCAIOZBCUDMZPZJOZWDPZ
        QZQZWCWFNRZQZWFDUEZWCDUEZNRWMWLWBRWKWLLWMUFMZWMNWKWLWMUGMZLNRWLWNNRWKWO
        WFWCUGMZLUHMZLNWKWOWPUIMZLNRZWOWQNRZWKKWRNRZWSWKWRWAPXAWSQABCWADWCWFEFG
        HUJWRKLUKULUMWKWOSPLSPWPSPLWPNRZWSWTUNWKWLWMWKWDSWFDAWDSDUOZWHWJADWDSUP
        MPXCGWDSDURULUQZAWEWGWJUSZUTZWKWDSWCDXDAWEWGWJVAZUTZVBWKVCZWKWFWCWKWDSW
        FAWDSVDZWHWJABSPCSPXJEFBCVEVFUQZXEVGZWKWDSWCXKXGVGZVBZWKWJXBWIWJVHWKWCW
        FXMXLVITWOLWPVJVKTWKWPWKWPXNVLVMVNWKWLWMLXFXHXIVOTWKWMWKWMXHVLVPVNWMWLN
        WCDVQWFDVQVRVSVT $.
    $}

    ${
      dvge0.d $e |- ( ph -> ( RR _D F ) : ( A (,) B ) --> ( 0 [,) +oo ) ) $.
      dvge0.x $e |- ( ph -> X e. ( A [,] B ) ) $.
      dvge0.y $e |- ( ph -> Y e. ( A [,] B ) ) $.
      dvge0.l $e |- ( ph -> X <_ Y ) $.
      $( A function on a closed interval with nonnegative derivative is weakly
         increasing.  (Contributed by Mario Carneiro, 30-Apr-2016.) $)
      dvge0 $p |- ( ph -> ( F ` X ) <_ ( F ` Y ) ) $=
        ( clt wbr cle cc0 co wcel cr wceq cmin wa cdiv cpnf cico cicc dvgt0lem1
        cfv wi exp31 mp2and elrege0 simprbi wb ccncf wf cncff ffvelrnd resubcld
        imp syl adantr wss iccssre syl2anc sseldd posdifd biimpa ge0div syl3anc
        mpbird ex subge0d sylibd leidd fveq2 breq1d syl5ibrcom wo leloed mpjaod
        mpbid ) AEFNOZEDUIZFDUIZPOZEFUAZAWDQWFWEUBRZPOZWGAWDWJAWDUCZWJQWIFEUBRZ
        UDRZPOZWKWMQUEUFRZSZWNAWDWPAEBCUGRZSZFWQSZWDWPUJKLAWRWSUCWDWPABCWODEFGH
        IJUHUKULVAWPWMTSWNWMUMUNVBWKWITSZWLTSZQWLNOZWJWNUOAWTWDAWFWEAWQTFDADWQT
        UPRSWQTDUQIWQTDURVBZLUSZAWQTEDXCKUSZUTVCAXAWDAFEAWQTFABTSCTSWQTVDGHBCVE
        VFZLVGZAWQTEXFKVGZUTVCAWDXBAEFXHXGVHVIWIWLVJVKVLVMAWFWEXDXEVNVOAWGWHWFW
        FPOAWFXDVPWHWEWFWFPEFDVQVRVSAEFPOWDWHVTMAEFXHXGWAWCWB $.
    $}
  $}

  ${
    $d x M $.  $d x N $.  $d x P $.  $d x Q $.  $d x R $.  $d x S $.  $d x X $.
    $d x ph $.  $d x Y $.
    dvle.m $e |- ( ph -> M e. RR ) $.
    dvle.n $e |- ( ph -> N e. RR ) $.
    dvle.a $e |- ( ph ->
      ( x e. ( M [,] N ) |-> A ) e. ( ( M [,] N ) -cn-> RR ) ) $.
    dvle.b $e |- ( ph ->
      ( RR _D ( x e. ( M (,) N ) |-> A ) ) = ( x e. ( M (,) N ) |-> B ) ) $.
    dvle.c $e |- ( ph ->
      ( x e. ( M [,] N ) |-> C ) e. ( ( M [,] N ) -cn-> RR ) ) $.
    dvle.d $e |- ( ph ->
      ( RR _D ( x e. ( M (,) N ) |-> C ) ) = ( x e. ( M (,) N ) |-> D ) ) $.
    dvle.f $e |- ( ( ph /\ x e. ( M (,) N ) ) -> B <_ D ) $.
    dvle.x $e |- ( ph -> X e. ( M [,] N ) ) $.
    dvle.y $e |- ( ph -> Y e. ( M [,] N ) ) $.
    dvle.l $e |- ( ph -> X <_ Y ) $.
    dvle.p $e |- ( x = X -> A = P ) $.
    dvle.q $e |- ( x = X -> C = Q ) $.
    dvle.r $e |- ( x = Y -> A = R ) $.
    dvle.s $e |- ( x = Y -> C = S ) $.
    $( If ` A ( x ) , C ( x ) ` are differentiable functions and
       ` A `` <_ C `` ` , then for ` x <_ y ` ,
       ` A ( y ) - A ( x ) <_ C ( y ) - C ( x ) ` .  (Contributed by Mario
       Carneiro, 16-May-2016.) $)
    dvle $p |- ( ph -> ( R - P ) <_ ( S - Q ) ) $=
      ( cmin co cr wcel cicc cv wceq eleq1d cmpt wral ccncf cncff syl eqid fmpt
      wf sylibr rspcdva resubcld cle caddc recnd subcld addcomd subsubd 3eqtr4d
      subsub2d cfv ccnfld ctopn ax-resscn resubcl cncfmpt2ss cioo cc0 cpnf cico
      subcn cdv crn ctg cc wss a1i iccssre syl2anc wa fvmptelrn tgioo2 dvmptntr
      cnt iccntr cvv reelprrecn ioossicc sseli sylan2 lerel brrelex2i brrelex1i
      cpr wbr dvmptsub eqtrd cdm fmpttd ioossre sylancl ralrimiva dmmptg feq12d
      dvfre dmeqd mpbid subge0d mpbird elrege0 sylanbrc oveq12d fvmpt3i 3brtr3d
      fmpt3d dvge0 ovex subled eqbrtrd ) AIJHUIUJZGACUKULZIUKULBKLUMUJZNBUNZNUO
      ZCIUKUGUPAYQUKBYQCUQZVDZYPBYQURAYTYQUKUSUJZULUUAQYQUKYTUTVAZBYQUKCYTYTVBV
      CVEZUCVFZAJHAEUKULZJUKULBYQNYSEJUKUHUPAYQUKBYQEUQZVDZUUFBYQURAUUGUUBULUUH
      SYQUKUUGUTVAZBYQUKEUUGUUGVBVCVEZUCVFZAUUFHUKULBYQMYRMUOZEHUKUFUPUUJUBVFZV
      GAYPGUKULBYQMUULCGUKUEUPUUDUBVFZAIYOUIUJZHJIUIUJZUIUJZGVHAIHJUIUJZVIUJUUR
      IVIUJUUOUUQAIUURAIUUEVJZAHJAHUUMVJZAJUUKVJZVKVLAIJHUUSUVAUUTVOAHJIUUTUVAU
      USVMVNAHGUUPUUMUUNAJIUUKUUEVGAMBYQECUIUJZUQZVPZNUVCVPZHGUIUJZUUPVHAKLUVCM
      NOPABECUKUIVQVRVPZYQUVGVBZUVGUVHWFSQVSECVTWAABKLWBUJZFDUIUJZWCWDWEUJZUKUV
      CWGUJZAUVLUKBUVIUVBUQWGUJBUVIUVJUQABUVBUKWBWHWIVPZUVGYQUVIUKWJWKAVSWLAKUK
      ULZLUKULZYQUKWKOPKLWMWNAYRYQULZWOZUVBUVQECABYQEUKUUIWPZABYQCUKUUCWPZVGVJU
      VGUVHWQUVHAUVNUVOYQUVMWSVPVPUVIUOOPKLWTWNWRABEFCDUKXAXAUVIUKUKWJXIULAXBWL
      YRUVIULZAUVPEWJULUVIYQYRKLXCXDZUVQEUVRVJXEAUVTWOZDFVHXJZFXAULZUADFVHXFXGV
      AZTUVTAUVPCWJULUWAUVQCUVSVJXEUWBUWCDXAULZUADFVHXFXHVAZRXKXLUWBUVJUKULWCUV
      JVHXJZUVJUVKULUWBFDABUVIFUKAUKBUVIEUQZWGUJZXMZUKUWJVDZUVIUKBUVIFUQZVDAUVI
      UKUWIVDUVIUKWKZUWLABUVIEUKUVTAUVPUUFUWAUVRXEXNKLXOZUVIUWIXTXPAUWKUVIUKUWJ
      UWMTAUWKUWMXMZUVIAUWJUWMTYAAUWDBUVIURUWPUVIUOAUWDBUVIUWEXQBUVIFXAXRVAXLXS
      YBWPZABUVIDUKAUKBUVICUQZWGUJZXMZUKUWSVDZUVIUKBUVIDUQZVDAUVIUKUWRVDUWNUXAA
      BUVICUKUVTAUVPYPUWAUVSXEXNUWOUVIUWRXTXPAUWTUVIUKUWSUXBRAUWTUXBXMZUVIAUWSU
      XBRYAAUWFBUVIURUXCUVIUOAUWFBUVIUWGXQBUVIDXAXRVAXLXSYBWPZVGUWBUWHUWCUAUWBF
      DUWQUXDYCYDUVJYEYFYJUBUCUDYKAMYQULUVDUVFUOUBBMUVBUVFYQUVCUULEHCGUIUFUEYGU
      VCVBZECUIYLZYHVAANYQULUVEUUPUOUCBNUVBUUPYQUVCYSEJCIUIUHUGYGUXEUXFYHVAYIYM
      YNYM $.
  $}

  ${
    $d w x y A $.  $d w x y B $.  $d w x y F $.  $d w x z G $.  $d w x y z M $.
    $d x y C $.  $d w x y z N $.  $d w x y z ph $.
    dvivth.1 $e |- ( ph -> M e. ( A (,) B ) ) $.
    dvivth.2 $e |- ( ph -> N e. ( A (,) B ) ) $.
    dvivth.3 $e |- ( ph -> F e. ( ( A (,) B ) -cn-> RR ) ) $.
    dvivth.4 $e |- ( ph -> dom ( RR _D F ) = ( A (,) B ) ) $.
    ${
      dvivth.5 $e |- ( ph -> M < N ) $.
      dvivth.6 $e |- ( ph ->
        C e. ( ( ( RR _D F ) ` N ) [,] ( ( RR _D F ) ` M ) ) ) $.
      dvivth.7 $e |- G = ( y e. ( A (,) B ) |-> ( ( F ` y ) - ( C x. y ) ) ) $.
      $( Lemma for ~ dvivth .  (Contributed by Mario Carneiro, 24-Feb-2015.) $)
      dvivthlem1 $p |- ( ph -> E. x e. ( M [,] N ) ( ( RR _D F ) ` x ) = C ) $=
        ( co cr wcel vz vw cv cicc cres cfv cle wbr wral wrex wceq cioo ioossre
        cdv sselid ltled ccncf wf cmul cmin cncff syl ffvelrnda wss cdm sylancl
        dvfre eleqtrrd ffvelrnd iccssre syl2anc sseldd adantr remulcld resubcld
        wa a1i sselda fmptd iccssioo2 fssresd cc wb ax-resscn oveq2i reelprrecn
        fss cmpt cpr recnd feq2d mpbid feqmptd oveq2d eqtr3d crn ccnfld remulcl
        ctg ctopn sylan 1cnd dvmptid dvmptcmul mulid1d mpteq2dv eqtrd eqid ovex
        c1 cvv mpbird simpld fvres wi ad2antrr fveq2 oveq1d simprl simprr sylib
        cc0 weq exp32 wo clt eliooord cxr w3a c0 rexrd elioo2 mpbir3and eqeltrd
        simprd xrltled raleqdv fveq2d letri3d mpbir2and iooretop dvmptres dmeqd
        tgioo2 dvmptsub syl5eq dmmptg mprg eqtrdi dvcn syl31anc rescncf sylancr
        sylc cncffvrn evthicc breqan12rd ralbidva adantl ioossicc ssralv syl6bi
        ax-mp syldan fveq1d fvmpt sstrid breq1d cbvralvw dvferm subeq0d vex wne
        elpr ne0i ndmioo necon1ai iooss2 dvferm1 eqbrtrrd suble0d elicc2 simp3d
        3syl breqtrrd simp2d eqbrtrd iooss1 dvferm2 breqtrd subge0d jaod syl5bi
        cun elun prunioo syl3anc eleq2d bitr3id biimpar mpjaod syld reximdva
        mpd ) AUAUCZHIJUDRZUEZUFZBUCZUXGUFZUGUHZUAUXFUIZBUXFUJZUXISGUNRZUFZFUKZ
        BUXFUJAUXMUXJUXHUGUHUAUXFUIBUXFUJABUABUAIJUXGADEULRZSIDEUMZKUOZAUXQSJUX
        RLUOZAIJUXSUXTOUPZAUXGUXFSUQRTZUXFSUXGURZAUXQSUXFHACUXQCUCZGUFZFUYDUSRZ
        UTRZSHAUYDUXQTZVPZUYEUYFAUXQSUYDGAGUXQSUQRTUXQSGURZMUXQSGVAVBZVCZUYIFUY
        DAFSTZUYHAJUXNUFZIUXNUFZUDRZSFAUYNSTZUYOSTZUYPSVDAUXNVEZSJUXNAUYJUXQSVD
        ZUYSSUXNURZUYKUXRUXQGVGVFZAJUXQUYSLNVHVIZAUYSSIUXNVUBAIUXQUYSKNVHVIZUYN
        UYOVJVKPVLZVMZAUXQSUYDUYTAUXRVQZVRVNZVOQVSZAIUXQTZJUXQTZUXFUXQVDZKLDEIJ
        VTVKZWAASWBVDZUXGUXFWBUQRTZUYBUYCWCWDAVULHUXQWBUQRTZVUOVUMAVUNUXQWBHURZ
        UYTSHUNRZVEZUXQUKZVUPVUNAWDVQZAUXQSHURZVUNVUQVUIWDUXQSWBHWGVFVUGAVUSCUX
        QUYDUXNUFZFUTRZWHZVEZUXQAVURVVEAVURSCUXQUYGWHZUNRVVEHVVGSUNQWEACUYEVVCU
        YFFSSSUXQSSWBWITAWFVQZUYIUYEUYLWJAUXQSUYDUXNAVUAUXQSUXNURVUBAUYSUXQSUXN
        NWKWLZVCAUXNSCUXQUYEWHZUNRCUXQVVCWHAGVVJSUNACUXQSGUYKWMWNACUXQSUXNVVIWM
        WOUYIUYFVUHWJVUFACUYFFSULWPWSUFZWQWTUFZSSUXQVVHAUYDSTZVPZUYFAUYMVVMUYFS
        TVUEFUYDWRXAWJAUYMVVMVUEVMASCSUYFWHUNRCSFXJUSRZWHCSFWHACUYDXJFSWBSVVHAS
        WBUYDVVAVRVVNXBACSVVHXCAFVUEWJZXDACSVVOFAFVVPXEXFXGVUGVVLVVLXHZUUDVVQUX
        QVVKTADEUUAVQUUBUUEUUFZUUCVVDXKTZVVFUXQUKCUXQCUXQVVDXKUUGVVSUYHVVCFUTXI
        VQUUHUUIZUXQSHUUJUUKUXQWBUXFHUULUUNUXFWBSUXGUUOUUMXLUUPXMAUXLUXPBUXFAUX
        IUXFTZVPZUXLUXEHUFZUXIHUFZUGUHZUAIJULRZUIZUXPVWBUXLVWEUAUXFUIZVWGVWAUXL
        VWHWCAVWAUXKVWEUAUXFUXEUXFTVWAUXHVWCUXJVWDUGUXEUXFHXNUXIUXFHXNUUQUURUUS
        VWFUXFVDVWHVWGXOIJUUTZVWEUAVWFUXFUVAUVCUVBVWBUXIVWFTZVWGUXPXOZUXIIJWIZT
        ZVWBVWJVWGUXPVWBVWJVWGVPZVPZUXOFVWBUXOWBTVWNVWBUXOAVWAUXIUXQTZUXOSTZAUX
        FUXQUXIVUMVRZAUXQSUXIUXNVVIVCUVDZWJVMAFWBTVWAVWNVVPXPVWOUXIVURUFZUXOFUT
        RZYBVWBVWTVXAUKZVWNVWBVWTUXIVVEUFZVXAAVWTVXCUKVWAAUXIVURVVEVVRUVEVMVWBV
        WPVXCVXAUKVWRCUXIVVDVXAUXQVVECBYCVVCUXOFUTUYDUXIUXNXQXRVVEXHUXOFUTXIUVF
        VBXGZVMVWOUBIJUXIHUXQAVVBVWAVWNVUIXPUYTVWOUXRVQVWBVWJVWGXSAVWFUXQVDVWAV
        WNAVWFUXFUXQVWIVUMUVGXPVWOUXIUXQVUSVWBVWPVWNVWRVMAVUTVWAVWNVVTXPVHVWOVW
        GUBUCZHUFZVWDUGUHZUBVWFUIZVWBVWJVWGXTVWEVXGUAUBVWFUAUBYCVWCVXFVWDUGUXEV
        XEHXQUVHUVIZYAUVJWOUVKYDVWMUXIIUKZUXIJUKZYEVWBVWKUXIIJBUVLUVNVWBVXJVWKV
        XKVWBVXJVWGUXPVWBVXJVWGVPZVPZUXPUXOFUGUHZFUXOUGUHZVXMVXAYBUGUHVXNVXMVWT
        VXAYBUGVWBVXBVXLVXDVMVXMUBDJUXIHUXQAVVBVWAVXLVUIXPUYTVXMUXRVQVXMUXIIDJU
        LRZVWBVXJVWGXSZAIVXPTZVWAVXLAVXRISTZDIYFUHZIJYFUHZUXSAVXTIEYFUHZAVUJVXT
        VYBVPKIDEYGVBXMZOADYHTZJYHTZVXRVXSVXTVYAYIWCAVYDEYHTZAVUJUXQYJUVMVYDVYF
        VPZKUXQIUVOVYGUXQYJDEUVPUVQUWDZXMZAJUXTYKZDJIYLVKYMXPYNAVXPUXQVDZVWAVXL
        AVYFJEUGUHVYKAVYDVYFVYHYOZAJEVYJVYLADJYFUHZJEYFUHZAVUKVYMVYNVPLJDEYGVBY
        OZYPDJEUVRVKXPVXMUXIUXQVUSVWBVWPVXLVWRVMAVUTVWAVXLVVTXPVHVXMVXGUBUXIJUL
        RZUIVXHVXMVWGVXHVWBVXJVWGXTVXIYAVXMVXGUBVYPVWFVXMUXIIJULVXQXRYQXLUVSUVT
        VXMUXOFVWBVWQVXLVWSVMZAUYMVWAVXLVUEXPZUWAWLVXMFUYOUXOUGAFUYOUGUHZVWAVXL
        AUYMUYNFUGUHZVYSAFUYPTZUYMVYTVYSYIZPAUYQUYRWUAWUBWCVUCVUDUYNUYOFUWBVKWL
        ZUWCXPVXMUXIIUXNVXQYRUWEVXMUXOFVYQVYRYSYTYDVWBVXKVWGUXPVWBVXKVWGVPZVPZU
        XPVXNVXOWUEUXOUYNFUGWUEUXIJUXNVWBVXKVWGXSZYRAVYTVWAWUDAUYMVYTVYSWUCUWFX
        PUWGWUEYBVXAUGUHVXOWUEYBVWTVXAUGWUEUBIEUXIHUXQAVVBVWAWUDVUIXPUYTWUEUXRV
        QWUEUXIJIEULRZWUFAJWUGTZVWAWUDAWUHJSTZVYAVYNUXTOVYOAIYHTZVYFWUHWUIVYAVY
        NYIWCAIUXSYKZVYLIEJYLVKYMXPYNAWUGUXQVDZVWAWUDAVYDDIUGUHWULVYIADIVYIWUKV
        YCYPDIEUWHVKXPWUEUXIUXQVUSVWBVWPWUDVWRVMAVUTVWAWUDVVTXPVHWUEVXGUBIUXIUL
        RZUIVXHWUEVWGVXHVWBVXKVWGXTVXIYAWUEVXGUBWUMVWFWUEUXIJIULWUFWNYQXLUWIVWB
        VXBWUDVXDVMUWJWUEUXOFVWBVWQWUDVWSVMZAUYMVWAWUDVUEXPZUWKWLWUEUXOFWUNWUOY
        SYTYDUWLUWMAVWJVWMYEZVWAWUPUXIVWFVWLUWNZTAVWAUXIVWFVWLUWOAWUQUXFUXIAWUJ
        VYEIJUGUHWUQUXFUKWUKVYJUYAIJUWPUWQUWRUWSUWTUXAUXBUXCUXD $.

      $( Lemma for ~ dvivth .  (Contributed by Mario Carneiro, 20-Feb-2015.) $)
      dvivthlem2 $p |- ( ph -> C e. ran ( RR _D F ) ) $=
        ( vx co wcel cc cv cr cdv cfv wceq cicc wrex crn dvivthlem1 wa cioo wfn
        cdm dvf feq2d mpbii ffnd wss iccssioo2 syl2anc sselda fnfvelrn syl2an2r
        wf eleq1 syl5ibcom rexlimdva mpd ) AQUAZUBFUCRZUDZEUEZQHIUFRZUGEVJUHZSZ
        AQBCDEFGHIJKLMNOPUIAVLVOQVMAVIVMSZUJVKVNSZVLVOAVJCDUKRZULVPVIVRSVQAVRTV
        JAVJUMZTVJVDVRTVJVDFUNAVSVRTVJMUOUPUQAVMVRVIAHVRSIVRSVMVRURJKCDHIUSUTVA
        VRVIVJVBVCVKEVNVEVFVGVH $.
    $}

    $( Darboux' theorem, or the intermediate value theorem for derivatives.  A
       differentiable function's derivative satisfies the intermediate value
       property, even though it may not be continuous (so that ~ ivthicc does
       not directly apply).  (Contributed by Mario Carneiro, 24-Feb-2015.) $)
    dvivth $p |- ( ph ->
      ( ( ( RR _D F ) ` M ) [,] ( ( RR _D F ) ` N ) ) C_ ran ( RR _D F ) ) $=
      ( vw cr co cfv wss wceq wa wcel adantr cc vx vy clt wbr cdv cicc crn cioo
      cv wrex cneg cmpt cmul cmin ccncf wf cncff syl ffvelrnda fmpttd ax-resscn
      renegcld wb ssid cncfss mp2an sselid negfcncf cncffvrn sylancr mpbird cdm
      cvv cpr reelprrecn recnd fvexd feqmptd oveq2d ioossre dvfre sylancl feq2d
      eqid mpbid eqtr3d dvmptneg dmeqd dmmptg negex mprg eqtrdi simprl ffvelrnd
      simprr eleqtrrd iccssre syl2anc sseldd iccneg syl3anc fveq1d fveq2 negeqd
      a1i fvmpt eqtrd oveq12d rneqd eleqtrd elrnmpt ax-mp sylib dvmptcl neg11ad
      dvivthlem2 eqcom bitrdi rexbidva wfn ffnd fvelrnb expr ssrdv oveq1d rexrd
      csn cxr iccid sylan9eqr fnfvelrn snssd eqsstrd lttri4d mpjao3dan ) AEFUCU
      DZELDUEMZNZFYQNZUFMZYQUGZOEFPZFEUCUDZAYPQUAYTUUAAYPUAUIZYTRZUUDUUARZAYPUU
      EQZQZUUFKUIZYQNZUUDPZKBCUHMZUJZUUHUUDUKZUUJUKZPZKUULUJZUUMUUHUUNKUULUUOUL
      ZUGZRZUUQUUHUUNLKUULUUIDNZUKZULZUEMZUGUUSUUHUBBCUUNUVCUBUULUBUIZUVCNUUNUV
      EUMMUNMULZEFAEUULRZUUGGSZAFUULRZUUGHSZAUVCUULLUOMZRZUUGAUVLUULLUVCUPZAKUU
      LUVBLAUUIUULRZQUVAAUULLUUIDADUVKRZUULLDUPZIUULLDUQURZUSVBUTALTOZUVCUULTUO
      MZRZUVLUVMVCVAADUVSRUVTAUVKUVSDUVRTTOUVKUVSOVATVDUULLTVEVFIVGKUULDUVCUVCW
      DVHURUULTLUVCVIVJVKSUUHUVDVLUURVLZUULUUHUVDUURUUHKUVAUUJLVMUULLLTVNRUUHVO
      XEZUUHUVNQZUVAUUHUULLUUIDAUVPUUGUVQSZUSVPZUWCUUIYQVQZUUHYQLKUULUVAULZUEMK
      UULUUJULUUHDUWGLUEUUHKUULLDUWDVRVSUUHKUULLYQAUULLYQUPZUUGAYQVLZLYQUPZUWHA
      UVPUULLOUWJUVQBCVTZUULDWAWBZAUWIUULLYQJWCWEZSZVRWFZWGZWHUUOVMRZUWAUULPKUU
      LKUULUUOVMWIUWQUVNUUJWJXEWKWLAYPUUEWMUUHUUNYSUKZYRUKZUFMZFUVDNZEUVDNZUFMU
      UHUUEUUNUWTRZAYPUUEWOZUUHYRLRZYSLRZUUDLRUUEUXCVCAUXEUUGAUULLEYQUWMGWNZSAU
      XFUUGAUWILFYQUWLAFUULUWIHJWPZWNZSUUHYTLUUDAYTLOZUUGAUXEUXFUXJUXGUXIYRYSWQ
      WRSUXDWSZYRYSUUDWTXAWEUUHUXAUWRUXBUWSUFUUHUXAFUURNZUWRUUHFUVDUURUWPXBUUHU
      VIUXLUWRPUVJKFUUOUWRUULUURUUIFPUUJYSUUIFYQXCXDUURWDZYSWJXFURXGUUHUXBEUURN
      ZUWSUUHEUVDUURUWPXBUUHUVGUXNUWSPUVHKEUUOUWSUULUURUUIEPUUJYRUUIEYQXCXDUXMY
      RWJXFURXGXHWPUVFWDXPUUHUVDUURUWPXIXJUUNVMRUUTUUQVCUUDWJKUULUUOUUNUURVMUXM
      XKXLXMUUHUUPUUKKUULUWCUUPUUDUUJPUUKUWCUUDUUJUUHUUDTRUVNUUHUUDUXKVPSUUHKUV
      AUUJLVMUULUWBUWEUWFUWOXNXOUUDUUJXQXRXSWEUUHYQUULXTUUFUUMVCUUHUULLYQUWNYAK
      UULUUDYQYBURVKYCYDAUUBQYTYSYGZUUAUUBAYTYSYSUFMZUXOUUBYRYSYSUFEFYQXCYEAYSY
      HRUXPUXOPAYSUXIYFYSYIURYJAUXOUUAOUUBAYSUUAAYQUWIXTFUWIRYSUUARAUWILYQUWLYA
      UXHUWIFYQYKWRYLSYMAUUCQUAYTUUAAUUCUUEUUFAUUCUUEQZQUBBCUUDDUBUULUVEDNUUDUV
      EUMMUNMULZFEAUVIUXQHSAUVGUXQGSAUVOUXQISAUWIUULPUXQJSAUUCUUEWMAUUCUUEWOUXR
      WDXPYCYDAEFAUULLEUWKGVGAUULLFUWKHVGYNYO $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z F $.  $d x y z ph $.
    dvne0.a $e |- ( ph -> A e. RR ) $.
    dvne0.b $e |- ( ph -> B e. RR ) $.
    dvne0.f $e |- ( ph -> F e. ( ( A [,] B ) -cn-> RR ) ) $.
    dvne0.d $e |- ( ph -> dom ( RR _D F ) = ( A (,) B ) ) $.
    dvne0.z $e |- ( ph -> -. 0 e. ran ( RR _D F ) ) $.
    $( A function on a closed interval with nonzero derivative is either
       monotone increasing or monotone decreasing.  (Contributed by Mario
       Carneiro, 19-Feb-2015.) $)
    dvne0 $p |- ( ph -> ( F Isom < , < ( ( A [,] B ) , ran F ) \/
      F Isom < , `' < ( ( A [,] B ) , ran F ) ) ) $=
      ( co clt cr cc0 wceq crp wcel wa wb adantr cfv vx vy vz cicc wiso ccnv wo
      crn cdv cmnf cioo cin c0 wss cun cv wne wn notbid syl5ibrcom necon2ad imp
      eleq1 wbr cdm wf ccncf cncff syl iccssre syl2anc dvfre frnd sselda lttri2
      0re sylancl cxr elioomnf ax-mp baib elrp orbi12d bitr4d mpbid elun sylibr
      0xr ssrdv disjssun syl5ibcom wfn feq2d ffnd anim1i df-f dvgt0 orcd syldan
      ex wex n0 elin wrex wi fvelrnb wral ffvelrnda cle ad2antrr simplrl simprl
      cres ioossicc rescncf mpsyl ctg cnt ax-resscn a1i fss sstrid ccnfld ctopn
      cc eqid tgioo2 dvres syl22anc retop iooretop isopn3i mp2an reseq2i fveq1d
      ctop eqtrd expr sylanbrc syl5bi fnresdm syl5eq dmeqd dvivth oveq12d rneqd
      3sstr3d simplrr simprd simpld ltle mpd simprr w3a elicc2 mpbir3and sseldd
      sylib mtod ltnle mpbird ralrimiva ffnfv olcd imbi1d rexlimdva sylbid impd
      dvlt0 exlimdv pm2.61dane ) ABCUDJZDUHZKKDUEZUVLUVMKKUFDUEZUGZLDUIJZUHZUJM
      UKJZULZUMAUVTUMNZUVROUNZUVPAUWAUWBAUVRUVSOUOZUNUWAUWBAUAUVRUWCAUAUPZUVRPZ
      UWDUWCPZAUWEQZUWDUVSPZUWDOPZUGZUWFUWGUWDMUQZUWJAUWEUWKAUWEUWDMAUWEURUWDMN
      ZMUVRPZURZIUWLUWEUWMUWDMUVRVCUSUTVAVBUWGUWKUWDMKVDZMUWDKVDZUGZUWJUWGUWDLP
      ZMLPZUWKUWQRAUVRLUWDAUVQVEZLUVQAUVLLDVFZUVLLUNZUWTLUVQVFZADUVLLVGJPZUXAGU
      VLLDVHVIZABLPZCLPZUXBEFBCVJVKZUVLDVLVKZVMVNZVPUWDMVOVQUWGUWRUWJUWQRUXJUWR
      UWHUWOUWIUWPUWHUWRUWOMVRPZUWHUWRUWOQRWHMUWDVSVTWAUWIUWRUWPUWDWBWAWCVIWDWE
      UWDUVSOWFWGWTWIUVRUVSOWJWKVBAUWBQZUVNUVOUXLBCDAUXFUWBESAUXGUWBFSAUXDUWBGS
      UXLUVQBCUKJZWLZUWBQUXMOUVQVFAUXNUWBAUXMLUVQAUXCUXMLUVQVFZUXIAUWTUXMLUVQHW
      MWEZWNZWOUXMOUVQWPWGWQWRWSAUVTUMUQZUVPUXRUWDUVTPZUAXAAUVPUAUVTXBAUXSUVPUA
      UXSUWEUWHQAUVPUWDUVRUVSXCAUWEUWHUVPAUWEUBUPZUVQTZUWDNZUBUXMXDZUWHUVPXEZAU
      XNUWEUYCRUXQUBUXMUWDUVQXFVIAUYBUYDUBUXMAUXTUXMPZQUYAUVSPZUVPXEUYBUYDAUYEU
      YFUVPAUYEUYFQZQZUVOUVNUYHBCDAUXFUYGESAUXGUYGFSAUXDUYGGSUYHUXNUCUPZUVQTZUV
      SPZUCUXMXGUXMUVSUVQVFAUXNUYGUXQSUYHUYKUCUXMUYHUYIUXMPZQZUYJLPZUYJMKVDZUYK
      UYHUXMLUYIUVQAUXOUYGUXPSXHZUYMUYOMUYJXIVDZURZUYMUYQUWMAUWNUYGUYLIXJUYHUYL
      UYQUWMUYHUYLUYQQZQZUYAUYJUDJZUVRMUYTUXTLDUXMXMZUIJZTZUYIVUCTZUDJVUCUHVUAU
      VRUYTBCVUBUXTUYIAUYEUYFUYSXKUYHUYLUYQXLZAVUBUXMLVGJPZUYGUYSUXMUVLUNAUXDVU
      GBCXNZGUVLLUXMDXOXPXJAVUCVEZUXMNUYGUYSAVUIUWTUXMAVUCUVQAVUCUVQUXMUKUHXQTZ
      XRTTZXMZUVQALYEUNZUVLYEDVFZUXBUXMLUNVUCVULNVUMAXSXTAUXAVUMVUNUXEXSUVLLYED
      YAVQUXHAUXMUVLLVUHUXHYBUVLUXMLVUJDYCYDTZVUOYFZVUOVUPYGYHYIAVULUVQUXMXMZUV
      QVUKUXMUVQVUJYPPUXMVUJPVUKUXMNYJBCYKUXMVUJYLYMYNAUXNVUQUVQNUXQUXMUVQUUAVI
      UUBYQZUUCHYQXJUUDUYTVUDUYAVUEUYJUDUYTUXTVUCUVQAVUCUVQNUYGUYSVURXJZYOUYTUY
      IVUCUVQVUSYOUUEUYTVUCUVQVUSUUFUUGUYTMVUAPZUWSUYAMXIVDZUYQUWSUYTVPXTUYTUYA
      MKVDZVVAUYTUYALPZVVBUYTUYFVVCVVBQZAUYEUYFUYSUUHUXKUYFVVDRWHMUYAVSVTUURZUU
      IUYTVVCUWSVVBVVAXEUYTVVCVVBVVEUUJZVPUYAMUUKVQUULUYHUYLUYQUUMUYTVVCUYNVUTU
      WSVVAUYQUUNRVVFUYHUYSUYLUYNVUFUYPWSUYAUYJMUUOVKUUPUUQYRUUSUYMUYNUWSUYOUYR
      RUYPVPUYJMUUTVQUVAUXKUYKUYNUYOQRWHMUYJVSVTYSUVBUCUXMUVSUVQUVCYSUVIUVDYRUY
      BUYFUWHUVPUYAUWDUVSVCUVEWKUVFUVGUVHYTUVJYTVBUVK $.

    $( A function on a closed interval with nonzero derivative is one-to-one.
       (Contributed by Mario Carneiro, 19-Feb-2015.) $)
    dvne0f1 $p |- ( ph -> F : ( A [,] B ) -1-1-> RR ) $=
      ( cicc co crn wf1 cr wss clt wiso ccnv isof1o 3syl wf1o dvne0 f1of1 ccncf
      wo jaoi wcel wf cncff frn f1ss syl2anc ) ABCJKZDLZDMZUNNOZUMNDMAUMUNPPDQZ
      UMUNPPRZDQZUEUMUNDUAZUOABCDEFGHIUBUQUTUSUMUNPPDSUMUNPURDSUFUMUNDUCTADUMNU
      DKUGUMNDUHUPGUMNDUIUMNDUJTUMUNNDUKUL $.
  $}

  ${
    $d d e r v x y z B $.  $d t D $.  $d d e r u v w x y z ph $.  $d u w z R $.
    $d d e r t u v w x y z A $.  $d r t u v w x E $.  $d r u v w x z X $.
    $d d e r t u v w x y z C $.  $d d e r t u v w x y z F $.
    $d d e r t u v w x y z G $.
    lhop1.a $e |- ( ph -> A e. RR ) $.
    lhop1.b $e |- ( ph -> B e. RR* ) $.
    lhop1.l $e |- ( ph -> A < B ) $.
    lhop1.f $e |- ( ph -> F : ( A (,) B ) --> RR ) $.
    lhop1.g $e |- ( ph -> G : ( A (,) B ) --> RR ) $.
    lhop1.if $e |- ( ph -> dom ( RR _D F ) = ( A (,) B ) ) $.
    lhop1.ig $e |- ( ph -> dom ( RR _D G ) = ( A (,) B ) ) $.
    lhop1.f0 $e |- ( ph -> 0 e. ( F limCC A ) ) $.
    lhop1.g0 $e |- ( ph -> 0 e. ( G limCC A ) ) $.
    lhop1.gn0 $e |- ( ph -> -. 0 e. ran G ) $.
    lhop1.gd0 $e |- ( ph -> -. 0 e. ran ( RR _D G ) ) $.
    lhop1.c $e |- ( ph -> C e. ( ( z e. ( A (,) B ) |->
      ( ( ( RR _D F ) ` z ) / ( ( RR _D G ) ` z ) ) ) limCC A ) ) $.
    ${
      lhop1lem.e $e |- ( ph -> E e. RR+ ) $.
      lhop1lem.d $e |- ( ph -> D e. RR ) $.
      lhop1lem.db $e |- ( ph -> D <_ B ) $.
      lhop1lem.x $e |- ( ph -> X e. ( A (,) D ) ) $.
      lhop1lem.t $e |- ( ph -> A. t e. ( A (,) D )
       ( abs ` ( ( ( ( RR _D F ) ` t ) / ( ( RR _D G ) ` t ) ) - C ) ) < E ) $.
      lhop1lem.r $e |- R = ( A + ( r / 2 ) ) $.
      $( Lemma for ~ lhop1 .  (Contributed by Mario Carneiro, 29-Dec-2016.) $)
      lhop1lem $p |- ( ph ->
          ( abs ` ( ( ( F ` X ) / ( G ` X ) ) - C ) ) < ( 2 x. E ) ) $=
        ( vv vx vu vw cfv cdiv co cmin cabs c2 cmul cioo cr cxr wcel cle iooss2
        wbr wss syl2anc sseldd ffvelrnd recnd cc0 crn wn wne wceq wfn syl5ibcom
        ffnd eleq1 necon3bd mpd divcld cv cdv cmpt climc cc sselid subcld rpred
        a1i cdif cin crab wa wrex wi clt crp cnxmet syl wb ioossre mpbid adantr
        wral syl31anc oveq1i rexrd syl22anc mpbird wf simprd ltled fveq2 oveq2d
        eqid sselda cres ad2antrr ccncf ax-resscn sylancl sylancr eqtrd syl3anc
        cdm sylib fvresd oveq12d breq1d mp2an ctx ctopon cvv limcresi 2re ctopn
        fnfvelrn limccl abscld remulcld csn cima ccnfld cbl cxmet simprl simprr
        ccom eliooord simpld difrp cnfldtopn mopni3 ssrin c0 lbioo disjsn mpbir
        disj3 mpbi sseqtrdi caddc rehalfcld readdcld eqeltrid cnmetdval halfcld
        ineq2i pncan2d syl5eq fveq2d rphalfcld rpge0d rphalflt eqbrtrd ltaddrpd
        absidd 3eqtrd elbl3 breqtrrdi resubcld lttrd ltaddsub2d eqbrtrid elioo2
        mpbir3and elind xrletrd neeq1d ffvelrnda syldan subeq0ad cicc xrltletrd
        w3a adantl iccssioo fss dvcn cncffvrn rescncf sylc ctg cnt sstrdi dvres
        tgioo2 iccntr reseq2d dmeqd sstrid ssdmres ubicc2 lbicc2 eqeq12d eqcomd
        ioossicc sseqtrrd biimpar rolle fveq1d fvres sylan9eq dvf feq2d eqeltrd
        mpbii rexlimdva ex sylbid ralrimiva rspcdva sstrd iccssre cmvth mulcomd
        iooss1 divmuleqd bitr4d rexbidva fvoveq1d fvoveq1 rspcev adantlr ssrexv
        syl5ibrcom syl2imc anassrs expimpd inss2 difss sstri sseli ovex rexbiia
        fvmpt sylibr fnmpti rexima dfrex2 ssrab simprbi nsyl expr notbid elrab3
        ralinexa eleq2 sseq2 anbi2d rexbidv imbi12d eldifsn sylanbrc cnfldtopon
        crest ssidd cxp cnex difexi txrest mp4an unicntop restid eqtr2i subid1d
        ax-mp txtopon toponrestid sseqtri cncfmptc cnmptlimc feqresmpt sseqtrid
        resmpt eqidd oveq1d ccn cop subcn 0cn opelxpi toponunii cncnpi limccnp2
        ccnp eqeltrrd divcn opelxpd resttopon fmpttd ellimc2 notrab ccld abssub
        sylan rabbidva blcld cldopn eqeltrrid sylbird mt3d c1 mulid2d 1red 1lt2
        ltmul1dd eqbrtrrd lelttrd ) ALJUPZLKUPZUQURZFUSURZUTUPZIVAIVBURZAVYSAVY
        RFAVYPVYQAVYPADEVCURZVDLJQADGVCURZWUBLAEVEVFZGEVGVIWUCWUBVJZOUHDGEVHVKZ
        UIVLZVMZVNZAVYQAWUBVDLKRWUGVMZVNZAVOKVPZVFZVQVYQVOVRZUCAWUMVYQVOAVYQWUL
        VFZVYQVOVSWUMAKWUBVTLWUBVFWUOAWUBVDKRWBWUGWUBLKUUCVKVYQVOWULWCWAWDWEZWF
        ZABWUBBWGZVDJWHURZUPWURVDKWHURZUPUQURWIZDWJURWKFDWVAUUDUEWLZWMUUEAIUFWN
        ZAVAIVAVDVFAUUAWOZWVCUUFAVYTIVGVIZDULWGZVFZBDLVCURZVYPWURJUPZUSURZVYQWU
        RKUPZUSURZUQURZWIZWVFWVHDUUGZWPZWQZUUHZUMWGZFUSURUTUPZIVGVIZVQZUMWKWRZV
        JZWSZULUUIUUBUPZWTZAWVGWWDVQZXAZULWWFXJWWGVQAWWIULWWFAWVFWWFVFZWVGWWHAW
        WJWVGWSZWSZWWBUMWVRXJZWWDWWLWWAUMWVRWTZWWMVQWWLUNWGZWVNUPZFUSURUTUPZIVG
        VIZUNWVQWTZWWNWWLVYPWWOJUPZUSURZVYQWWOKUPZUSURZUQURZFUSURUTUPZIVGVIZUNW
        VQWTZWWSWWLMWGZLDUSURZXBVIZDWXHUTUSUUNZUUJUPURZWVFVJZWSZMXCWTZWXGWWLWXK
        WKUUKUPVFZWWJWVGWXIXCVFZWXOWXPWWLXDWOAWWJWVGUULAWWJWVGUUMAWXQWWKADLXBVI
        ZWXQAWXRLGXBVIZALWUCVFWXRWXSWSUILDGUUOXEZUUPADVDVFZLVDVFZWXRWXQXFNAWUCV
        DLDGXGUIWLZDLUUQVKXHXIMWVFWXKDWXIWWFWKWWFWWFYAZUURZUUSXKWWLWXNWXGMXCWWL
        WXHXCVFZWSWXJWXMWXGWWLWYFWXJWXMWXGXAWXMWXLWVHWQZWVQVJWWLWYFWXJWSZWSWXFU
        NWYGWTZWXGWXMWYGWVFWVHWQWVQWXLWVFWVHUUTWVHWVPWVFWVHWVOWQUVAVSZWVHWVPVSW
        YJDWVHVFVQDLUVBWVHDUVCUVDWVHWVOUVEUVFUVNUVGAWYHWYIWWKAWYHWSZHWYGVFVYPHJ
        UPZUSURZVYQHKUPZUSURZUQURZFUSURZUTUPZIVGVIZWYIWYKWXLWVHHWYKHWXLVFZHDWXK
        URZWXHXBVIZWYKXUAWXHVAUQURZWXHXBWYKXUAHDUSURZUTUPZXUCUTUPXUCWYKHWKVFZDW
        KVFZXUAXUEVSWYKHWYKHDXUCUVHURZVDUKWYKDXUCAWYAWYHNXIZWYKWXHWYKWXHAWYFWXJ
        UULZWNZUVIUVJUVKZVNZAXUGWYHADNVNZXIZHDWXKWXKYAZUVLVKWYKXUDXUCUTWYKXUDXU
        HDUSURXUCHXUHDUSUKXLWYKDXUCXUOWYKWXHWYKWXHXUKVNUVMUVOUVPUVQWYKXUCWYKXUC
        WYKWXHXUJUVRZWNZWYKXUCXUQUVSUWCUWDWYKWYFXUCWXHXBVIXUJWXHUVTXEZUWAWYKWXP
        WXHVEVFXUGXUFWYTXUBXFWXPWYKXDWOWYKWXHXUKXMXUOXUMHWXKDWXHWKUWEXNXOWYKHWV
        HVFZHVDVFZDHXBVIZHLXBVIZXULWYKDXUHHXBWYKDXUCXUIXUQUWBUKUWFZWYKHXUHLXBUK
        WYKXUHLXBVIXUCWXIXBVIWYKXUCWXHWXIXURXUKWYKLDAWYBWYHWYCXIZXUIUWGXUSAWYFW
        XJUUMUWHWYKDXUCLXUIXURXVEUWIXOUWJZWYKDVEVFZLVEVFZXUTXVAXVBXVCUXAXFWYKDX
        UIXMZAXVHWYHALWYCXMZXIDLHUWKVKUWLZUWMWYKWYRIWYKWYQWYKWYPFWYKWYMWYOWYKVY
        PWYLAVYPWKVFZWYHWUIXIWYKWYLWYKWUBVDHJAWUBVDJXPZWYHQXIWYKWVHWUBHAWVHWUBV
        JZWYHAWUDLEVGVIXVNOALGEXVJAGUGXMZOALGWYCUGAWXRWXSWXTXQZXRZUHUWNDLEVHVKZ
        XIXVKVLZVMVNWMZWYKVYQWYNAVYQWKVFZWYHWUKXIWYKWYNWYKWUBVDHKAWUBVDKXPZWYHR
        XIXVSVMVNWMZWYKWVLVOVRZWYOVOVRZBWVHHWURHVSZWVLWYOVOXWFWVKWYNVYQUSWURHKX
        SXTUWOAXWDBWVHXJWYHAXWDBWVHAWURWVHVFZWSZVOWUTVPZVFZVQZXWDAXWKXWGUDXIXWH
        XWJWVLVOXWHWVLVOVSVYQWVKVSZXWJXWHVYQWVKAXWAXWGWUKXIZXWHWVKAXWGWURWUBVFZ
        WVKVDVFAWVHWUBWURXVRYBZAWUBVDWURKRUWPUWQVNZUWRXWHXWLXWJXWHXWLWSZUOWGZVD
        KWURLUWSURZYCZWHURZUPZVOVSZUOWURLVCURZWTXWJXWQUOWURLXWTXWHWURVDVFZXWLXW
        HWUBVDWURDEXGZXWOWLZXIZAWYBXWGXWLWYCYDZXWHWURLXBVIZXWLXWHDWURXBVIZXXJXW
        GXXKXXJWSAWURDLUUOUXBZXQZXIXWQXWSWUBVJZKWUBVDYEURZVFZXWTXWSVDYEURVFXWHX
        XNXWLXWHXVGWUDXXKLEXBVIZXXNAXVGXWGADNXMXIAWUDXWGOXIXWHXXKXXJXXLUUPAXXQX
        WGALGEXVJXVOOXVPUHUWTXIDEWURLUXCXNXIZAXXPXWGXWLAXXPXWBRAVDWKVJZKWUBWKYE
        URZVFZXXPXWBXFYFAXXSWUBWKKXPZWUBVDVJZWUTYKZWUBVSZXYAXXSAYFWOZAXWBXXSXYB
        RYFWUBVDWKKUXDYGZXYCAXXFWOZTWUBVDKUXEXKWUBWKVDKUXFYHXOZYDWUBVDXWSKUXGUX
        HXWQXXAYKWUTXXDYCZYKZXXDXWQXXAXYJXWQXXAWUTXWSVCVPUXIUPZUXJUPZUPZYCZXYJX
        WQXXSXYBXYCXWSVDVJXXAXYOVSXXSXWQYFWOAXYBXWGXWLXYGYDXYCXWQXXFWOXWQXWSWUB
        VDXXRXXFUXKWUBXWSVDXYLKWWFWYDWWFWYDUXMZUXLXNXWQXYNXXDWUTXWQXXEWYBXYNXXD
        VSXXHXXIWURLUXNVKUXOYIZUXPXWQXXDXYDVJXYKXXDVSXWQXXDWUBXYDXWQXXDXWSWUBWU
        RLUYCXXRUXQZAXYEXWGXWLTYDUYDXXDWUTUXRYLYIXWQLXWTUPZWURXWTUPZXWHXYSXYTVS
        XWLXWHXYSVYQXYTWVKXWHLXWSKXWHWURVEVFZXVHWURLVGVIZLXWSVFXWHWURXXGXMZAXVH
        XWGXVJXIZXWHWURLXXGAWYBXWGWYCXIXXMXRZWURLUXSYJYMXWHWURXWSKXWHYUAXVHYUBW
        URXWSVFYUCYUDYUEWURLUXTYJYMUYAUYEUYBUYFXWQXXCXWJUOXXDXWQXWRXXDVFZWSZXXB
        XWIVFXXCXWJYUGXXBXWRWUTUPZXWIXWQYUFXXBXWRXYJUPYUHXWQXWRXXAXYJXYQUYGXWRX
        XDWUTUYHUYIYUGWUTWUBVTZXWRWUBVFZYUHXWIVFZXWQYUIYUFXWQWUBWKWUTAWUBWKWUTX
        PZXWGXWLAXYDWKWUTXPYULKUYJAXYDWUBWKWUTTUYKUYMZYDWBXIXWQXXDWUBXWRXYRYBWU
        BXWRWUTUUCZVKUYLXXBVOXWIWCWAUYNWEUYOUYPWDWEZUYQXIXVKUYRZWFAFWKVFZWYHWVB
        XIWMUUEAIVDVFWYHWVCXIWYKWYPXWRWUSUPZYUHUQURZVSZUOHLVCURZWTZWYRIXBVIZWYK
        LJHLUWSURZYCZUPZHYVEUPZUSURZXWRVDKYVDYCZWHURZUPZVBURZLYVIUPZHYVIUPZUSUR
        ZXWRVDYVEWHURZUPZVBURZVSZUOYVAWTYVBWYKUOHLYVEYVIXULXVEXVFWYKYVDWUBVJZJX
        XOVFZYVEYVDVDYEURZVFWYKYVDWUCWUBWYKXVGGVEVFZXVBWXSYVDWUCVJXVIAYWCWYHXVO
        XIZXVDAWXSWYHXVPXIDGHLUXCXNAWUEWYHWUFXIZUYSZAYWAWYHAYWAXVMQAXXSJXXTVFZY
        WAXVMXFYFAXXSWUBWKJXPZXYCWUSYKZWUBVSZYWGXYFAXVMXXSYWHQYFWUBVDWKJUXDYGZX
        YHSWUBVDJUXEXKWUBWKVDJUXFYHXOXIWUBVDYVDJUXGUXHWYKYVTXXPYVIYWBVFYWFAXXPW
        YHXYIXIWUBVDYVDKUXGUXHWYKYVPYKWUSYVAYCZYKZYVAWYKYVPYWLWYKYVPWUSYVDXYMUP
        ZYCZYWLWYKXXSYWHXYCYVDVDVJZYVPYWOVSXXSWYKYFWOZAYWHWYHYWKXIXYCWYKXXFWOZW
        YKXVAWYBYWPXULXVEHLUYTVKZWUBYVDVDXYLJWWFWYDXYPUXLXNWYKYWNYVAWUSWYKXVAWY
        BYWNYVAVSXULXVEHLUXNVKZUXOYIZUXPWYKYVAYWIVJYWMYVAVSWYKYVAWUBYWIWYKYVAWU
        CWUBWYKYVAWVHWUCWYKXVGDHVGVIYVAWVHVJXVIWYKDHXUIXULXVDXRDHLVUCVKWYKYWCLG
        VGVIZWVHWUCVJYWDAYXBWYHXVQXIDLGVHVKUYSZYWEUYSZAYWJWYHSXIUYDYVAWUSUXRYLY
        IWYKYVJYKWUTYVAYCZYKZYVAWYKYVJYXEWYKYVJWUTYWNYCZYXEWYKXXSXYBXYCYWPYVJYX
        GVSYWQAXYBWYHXYGXIYWRYWSWUBYVDVDXYLKWWFWYDXYPUXLXNWYKYWNYVAWUTYWTUXOYIZ
        UXPWYKYVAXYDVJYXFYVAVSWYKYVAWUBXYDYXDAXYEWYHTXIUYDYVAWUTUXRYLYIVUAWYKYV
        SYUTUOYVAWYKXWRYVAVFZWSZYVSWYMYUHVBURZYURWYOVBURZVSYUTYXJYVLYXKYVRYXLYX
        JYVHWYMYVKYUHVBYXJYVFVYPYVGWYLUSYXJLYVDJYXJHVEVFZXVHHLVGVIZLYVDVFWYKYXM
        YXIWYKHXULXMXIZAXVHWYHYXIXVJYDZWYKYXNYXIWYKHLXULXVEXVFXRXIZHLUXSYJZYMYX
        JHYVDJYXJYXMXVHYXNHYVDVFYXOYXPYXQHLUXTYJZYMYNWYKYXIYVKXWRYXEUPYUHWYKXWR
        YVJYXEYXHUYGXWRYVAWUTUYHUYIYNYXJYVRWYOYURVBURYXLYXJYVOWYOYVQYURVBYXJYVM
        VYQYVNWYNUSYXJLYVDKYXRYMYXJHYVDKYXSYMYNWYKYXIYVQXWRYWLUPYURWYKXWRYVPYWL
        YXAUYGXWRYVAWUSUYHUYIYNYXJWYOYURWYKWYOWKVFYXIXWCXIZYXJWUBWKXWRWUSAWUBWK
        WUSXPZWYHYXIAYWIWKWUSXPYYAJUYJAYWIWUBWKWUSSUYKUYMYDWYKYVAWUBXWRYXDYBZVM
        ZVUBYIUYAYXJWYMWYOYURYUHWYKWYMWKVFYXIXVTXIYXTYYCYXJWUBWKXWRWUTAYULWYHYX
        IYUMYDZYYBVMWYKXWEYXIYUPXIYXJXWKYUHVOVRAXWKWYHYXIUDYDYXJXWJYUHVOYXJYUKY
        UHVOVSXWJYXJYUIYUJYUKYXJWUBWKWUTYYDWBYYBYUNVKYUHVOXWIWCWAWDWEVUDVUEVUFX
        HWYKYUTYVCUOYVAYXJYVCYUTYUSFUSURUTUPZIXBVIZYXJCWGZWUSUPZYYGWUTUPZUQURZF
        USURUTUPZIXBVIZYYFCWUCXWRYYGXWRVSZYYKYYEIXBYYMYYJYUSFUTUSYYMYYHYURYYIYU
        HUQYYGXWRWUSXSYYGXWRWUTXSYNVUGYOAYYLCWUCXJWYHYXIUJYDWYKYVAWUCXWRYXCYBUY
        RYUTWYRYYEIXBWYPYUSFUTUSVUHYOVULUYNWEXRWXFWYSUNHWYGWWOHVSZWXEWYRIVGYYNW
        XDWYPFUTUSYYNWXAWYMWXCWYOUQYYNWWTWYLVYPUSWWOHJXSXTYYNWXBWYNVYQUSWWOHKXS
        XTYNVUGYOVUIVKVUJWXFUNWYGWVQVUKVUMVUNVUOUYNWEWWRWXFUNWVQWWOWVQVFWWOWVHV
        FZWWRWXFXFWVQWVHWWOWVQWVPWVHWVFWVPVUPWVHWVOVUQVURZVUSYYOWWQWXEIVGYYOWWP
        WXDFUTUSBWWOWVMWXDWVHWVNWURWWOVSZWVJWXAWVLWXCUQYYQWVIWWTVYPUSWURWWOJXSX
        TYYQWVKWXBVYQUSWURWWOKXSXTYNWVNYAZWXAWXCUQVUTVVBVUGYOXEVVAVVCWVNWVHVTWV
        QWVHVJWWNWWSXFBWVHWVMWVNWVJWVLUQVUTYYRVVDYYPWWAWWRUMUNWVHWVQWVNWVSWWPVS
        WVTWWQIVGWVSWWPFUTUSVUHYOVVEYPVVCWWAUMWVRVVFYLWWDWVRWKVJWWMWWBUMWKWVRVV
        GVVHVVIVVJUYQWVGWWDULWWFVVMYLAWVEVQZVYRWWCVFZWWGAVYRWKVFZYYTYYSXFWUQWWB
        YYSUMVYRWKWVSVYRVSZWWAWVEUUUBWVTVYTIVGWVSVYRFUTUSVUHYOVVKVVLXEAVYRWWOVF
        ZWVGWVRWWOVJZWSZULWWFWTZXAZYYTWWGXAUNWWFWWCWWOWWCVSZUUUCYYTUUUFWWGWWOWW
        CVYRVVNUUUHUUUEWWEULWWFUUUHUUUDWWDWVGWWOWWCWVRVVOVVPVVQVVRAUUUAUUUGUNWW
        FXJZAVYRWVNDWJURVFUUUAUUUIWSABWVHDVYPVYQWVJWVLUQWWFWWFWKVOUUGZWPZVWBURZ
        YQURZWWFWKUUUKXWHVYPWVIAXVLXWGWUIXIZXWHWVIAXWGXWNWVIVDVFXWOAWUBVDWURJQU
        WPUWQVNZWMZXWHWVLWKVFXWDWVLUUUKVFXWHVYQWVKXWMXWPWMZYUOWVLWKVOVVSVVTAWKV
        WCZUUUKWKVJZAWKUUUJVUQZWOWYDWWFWWFYQURZWKUUUKVWDZVWBURZWWFWKVWBURZUUULY
        QURZUUUMWWFWKYRUPZVFZUUVGWKYSVFUUUKYSVFUUVCUUVEVSWWFWYDVWAZUUVHVWEWKUUU
        JVWEVWFWKUUUKWWFWWFUUVFUUVFYSYSVWGVWHUUVDWWFUUULYQUUVGUUVDWWFVSUUVHWWFU
        UVFWKVWIVWJVWMXLVWKAVYPVOUSURVYPBWVHWVJWIDWJURAVYPWUIVWLABWVHDVYPVOVYPW
        VIUSUUVAWWFWKWKUUUNUUUOUUURUUURWYDUUVAWKWKVWDZUUVGUUVGUUVAUUVIYRUPVFUUV
        HUUVHWWFWWFWKWKVWNYPZVWOZABVDVYPWIZDWJURZBWVHVYPWIZDWJURZVYPUUVMUUVLWVH
        YCZDWJURUUVODWVHUUVLYTUUVPUUVNDWJWVHVDVJZUUVPUUVNVSDLXGZBVDWVHVYPVXAVWM
        XLVWPABVDDVDVYPVYPAVYPVDVFXXSXXSUUVLVDVDYEURZVFWUHXYFXYFBVYPVDVDVWQYJNW
        URDVSZVYPVXBVWRWLAJDWJURZBWVHWVIWIZDWJURZVOAJWVHYCZDWJURUUWAUUWCDWVHJYT
        AUUWDUUWBDWJABWUBVDWVHJQXVRVWSVXCVWTUAVLAUSUUVAWWFVXDURVFZVYPVOVXEZUUVI
        VFZUSUUWFUUVAWWFVXLURZUPVFWWFWYDVXFZAXVLVOWKVFZUUWGWUIVXGVYPVOWKWKVXHYG
        UUWFUSUUVAWWFUUVIUUVIUUVAUUVJVXIZVXJYHVXKVXMAVYQVOUSURVYQBWVHWVLWIDWJUR
        AVYQWUKVWLABWVHDVYQVOVYQWVKUSUUVAWWFWKWKXWMXWPUUURUUURWYDUUVKABVDVYQWIZ
        DWJURZBWVHVYQWIZDWJURZVYQUUWMUUWLWVHYCZDWJURUUWODWVHUUWLYTUUWPUUWNDWJUU
        VQUUWPUUWNVSUUVRBVDWVHVYQVXAVWMXLVWPABVDDVDVYQVYQAVYQVDVFXXSXXSUUWLUUVS
        VFWUJXYFXYFBVYQVDVDVWQYJNUUVTVYQVXBVWRWLAKDWJURZBWVHWVKWIZDWJURZVOAKWVH
        YCZDWJURUUWQUUWSDWVHKYTAUUWTUUWRDWJABWUBVDWVHKRXVRVWSVXCVWTUBVLAUUWEVYQ
        VOVXEZUUVIVFZUSUUXAUUWHUPVFUUWIAXWAUUWJUUXBWUKVXGVYQVOWKWKVXHYGUUXAUSUU
        VAWWFUUVIUUWKVXJYHVXKVXMAUQUUUMWWFVXDURVFVYPVYQVXEZUUVBVFUQUUXCUUUMWWFV
        XLURUPVFWWFUUULWYDUUULYAVXNAVYPVYQWKUUUKWUIAXWAWUNVYQUUUKVFWUKWUPVYQWKV
        OVVSVVTVXOUUXCUQUUUMWWFUUVBUUVBUUUMUUVGUUULUUUKYRUPVFZUUUMUUVBYRUPVFUUV
        HUUVGUUUSUUXDUUVHUUUTUUUKWWFWKVXPYPWWFUUULWKUUUKVWNYPVXIVXJYHVXKAULUNWV
        HDVYRWVNWWFABWVHWVMWKXWHWVJWVLUUUPUUUQYUOWFVXQWVHWKVJAWVHVDWKUUVRYFVURW
        OXUNWYDVXRXHXQAWWCWKWWAUMWKWRZWPZWWFWWAUMWKVXSAUUXEWWFVXTUPZVFUUXFWWFVF
        AFWVSWXKURZIVGVIZUMWKWRZUUXEUUXGAUUXIWWAUMWKAWVSWKVFZWSUUXHWVTIVGAYUQUU
        XKUUXHWVTVSWVBYUQUUXKWSUUXHFWVSUSURUTUPWVTFWVSWXKXUPUVLFWVSVYAYIVYBYOVY
        CAWXPYUQIVEVFUUXJUUXGVFWXPAXDWOWVBAIWVCXMUMWXKFIUUXJWWFWKWYEUUXJYAVYDYJ
        VXMUUXEWWFWKVWIVYEXEVYFUYRVYGVYHAVYIIVBURIWUAXBAIAIWVCVNVYJAVYIVAIAVYKW
        VDUFVYIVAXBVIAVYLWOVYMVYNVYO $.
    $}

    $( L'H&ocirc;pital's Rule for limits from the right.  If ` F ` and ` G `
       are differentiable real functions on ` ( A , B ) ` , and ` F ` and ` G `
       both approach 0 at ` A ` , and ` G ( x ) ` and ` G ` ' ` ( x ) ` are not
       zero on ` ( A , B ) ` , and the limit of
       ` F ` ' ` ( x ) / G ` ' ` ( x ) ` at ` A ` is ` C ` , then the limit
       ` F ( x ) / G ( x ) ` at ` A ` also exists and equals ` C ` .
       (Contributed by Mario Carneiro, 29-Dec-2016.) $)
    lhop1 $p |- ( ph -> C e. ( ( z e. ( A (,) B ) |->
      ( ( F ` z ) / ( G ` z ) ) ) limCC A ) ) $=
      ( wcel vy vd ve vv vx vr cioo co cv cdv cfv cdiv cmpt climc wne cmin cabs
      cr cc clt wbr wa wi wral crp wrex simpr rphalfcld breq2 imbi2d rexralbidv
      c2 wceq rspcv syl caddc cle cif crab cin eliooord adantl simprd biantrurd
      rabid sselid ad3antrrr rpred adantr ltsubaddd cxr rexrd ad2antrr readdcld
      ioossre wb xrltmin 3bitr4rd ifcld simpld w3a elioo5 baibd syl31anc breq1d
      syl3anc wss syl2anc eleq1 weq fveq2 oveq12d eqid ovex fvmpt3i fvoveq1d wf
      cdm cc0 crn wn a1i expr sylbid ralrimdva dvf feq2d ffvelrnda wfn fnfvelrn
      mpbii ffnd sylan syl5ibcom necon3bd mpd divcld fmpttd recnd ellimc3 ltled
      3bitr4d rabbi2dva xrmin1 iooss2 sseqin2 sylib eqtr3d eleq2d bitr3id lbioo
      abssubge0d mtbiri necon2ai bicomd imbi12d ralbiia fvoveq1 adantrr raleqdv
      ralrab bitr4i cmul cioc simprll iocssre ifclda ltaddrp2d mpbir2and xrmin2
      elioc1 mpbir3and sseldd simprlr lhop1lem rpcnd 2cnd 2ne0 divcan2d breqtrd
      simprr syl5bi expdimp sylibrd adantld com23 reximdva syld ax-resscn sstri
      anim2d 3imtr4d ) AEBCDUGUHZBUIZURFUJUHZUKZUWNURGUJUHZUKZULUHZUMZCUNUHTZEB
      UWMUWNFUKZUWNGUKZULUHZUMZCUNUHTZSAEUSTZUAUIZCUOZUXHCUPUHUQUKZUBUIZUTVAZVB
      ZUXHUWTUKZEUPUHUQUKZUCUIZUTVAZVCZUAUWMVDUBVEVFZUCVEVDZVBUXGUDUIZCUOZUYACU
      PUHZUQUKZUXKUTVAZVBZUYAUXEUKZEUPUHUQUKZUEUIZUTVAZVCZUDUWMVDZUBVEVFZUEVEVD
      ZVBUXAUXFAUXTUYNUXGAUXTUYMUEVEAUYIVETZVBZUXTUXMUXOUYIVLULUHZUTVAZVCZUAUWM
      VDZUBVEVFZUYMUYPUYQVETZUXTVUAVCUYPUYIAUYOVGZVHZUXSVUAUCUYQVEUXPUYQVMZUXRU
      YSUBUAVEUWMVUEUXQUYRUXMUXPUYQUXOUTVIVJVKVNVOUYPUYTUYLUBVEUYPUXKVETZVBZUYT
      UYKUDUWMVUGUYAUWMTZVBZUYFUYTUYJVUIUYEUYTUYJVCZUYBVUIUYEUYTUYAFUKZUYAGUKZU
      LUHZEUPUHUQUKZUYIUTVAZVCZVUJVUGVUHUYEVUPVUGVUHUYEVBZUYACDUXKCVPUHZVQVAZDV
      URVRZUGUHZTZVUPVUQUYAUYEUDUWMVSZTVUGVVBUYEUDUWMWEVUGVVCVVAUYAVUGUWMVVAVTZ
      VVCVVAVUGUYEUDUWMVVAVUIUYAVUTUTVAZUYCUXKUTVAZVVBUYEVUIUYAVURUTVAZUYADUTVA
      ZVVGVBZVVFVVEVUIVVHVVGVUICUYAUTVAZVVHVUHVVJVVHVBVUGUYACDWAWBZWCWDVUIUYACU
      XKVUIUWMURUYACDWOZVUGVUHVGWFZACURTZUYOVUFVUHHWGZVUGUXKURTZVUHVUGUXKUYPVUF
      VGWHZWIWJVUIUYAWKTZDWKTZVURWKTZVVEVVIWPVUIUYAVVMWLZAVVSUYOVUFVUHIWGZVUGVV
      TVUHVUGVURVUGUXKCVVQAVVNUYOVUFHWMWNWLZWIZUYADVURWQXFWRVUICWKTZVUTWKTZVVRV
      VJVVBVVEWPVUICVVOWLVUIVUSDVURWKVWBVWDWSVWAVUIVVJVVHVVKWTZVWEVWFVVRXAVVBVV
      JVVECVUTUYAXBXCXDVUIUYDUYCUXKUTVUICUYAVVOVVMVUICUYAVVOVVMVWGUUAUULXEUUBUU
      CVUGVVAUWMXGZVVDVVAVMVUGVVSVUTDVQVAZVWHAVVSUYOVUFIWMZVUGVVSVVTVWIVWJVWCDV
      URUUDZXHCVUTDUUEXHVVAUWMUUFUUGUUHZUUIUUJUYPVUFVVBVUPUYTUXHUWOUKZUXHUWQUKZ
      ULUHZEUPUHUQUKZUYQUTVAZUAVVCVDZUYPVUFVVBVBZVBZVUOUYTUXLVWQVCZUAUWMVDVWRUY
      SVXAUAUWMUXHUWMTZUXMUXLUYRVWQVXBUXLUXMVXBUXIUXLVXBUXHCUXHCVMVXBCUWMTCDUUK
      UXHCUWMXIUUMUUNWDUUOVXBUXOVWPUYQUTVXBUXNVWOEUQUPBUXHUWSVWOUWMUWTBUAXJUWPV
      WMUWRVWNULUWNUXHUWOXKUWNUXHUWQXKXLUWTXMUWPUWRULXNXOXPXEUUPUUQUYEUXLVWQUAU
      DUWMUDUAXJUYDUXJUXKUTUYAUXHCUQUPUURXEUVAUVBVWTVWRVWQUAVVAVDZVUOVWTVWQUAVV
      CVVAUYPVUFVVCVVAVMVVBVWLUUSUUTUYPVWSVXCVUOUYPVWSVXCVBZVBZVUNVLUYQUVCUHZUY
      IUTVXEBUACDEVUTCUFUIVLULUHVPUHZUYQFGUYAUFAVVNUYOVXDHWMZAVVSUYOVXDIWMZACDU
      TVAZUYOVXDJWMZAUWMURFXQUYOVXDKWMAUWMURGXQUYOVXDLWMAUWOXRZUWMVMUYOVXDMWMAU
      WQXRZUWMVMUYOVXDNWMAXSFCUNUHTUYOVXDOWMAXSGCUNUHTUYOVXDPWMAXSGXTZTZYAZUYOV
      XDQWMAXSUWQXTZTZYAZUYOVXDRWMAUXAUYOVXDSWMUYPVUBVXDVUDWIVXECVURUVDUHZURVUT
      VXEVWEVURURTVXTURXGVXECVXHWLZVXEUXKCVXEUXKUYPVUFVVBVXCUVEZWHZVXHWNZCVURUV
      FXHVXEVUTVXTTZVWFCVUTUTVAZVUTVURVQVAZVXEVUSDVURWKVXEVVSVUSVXIWIVXEVUSYAZV
      BZVURVYIUXKCVXEVVPVYHVYCWIVXEVVNVYHVXHWIWNWLUVGVXEVYFVXJCVURUTVAZVXKVXECU
      XKVXHVYBUVHVXEVWEVVSVVTVYFVXJVYJVBWPVYAVXIVXEVURVYDWLZCDVURWQXFUVIVXEVVSV
      VTVYGVXIVYKDVURUVJXHVXEVWEVVTVYEVWFVYFVYGXAWPVYAVYKCVURVUTUVKXHUVLUVMVXEV
      VSVVTVWIVXIVYKVWKXHUYPVUFVVBVXCUVNUYPVWSVXCUWAVXGXMUVOUYPVXFUYIVMVXDUYPUY
      IVLUYPUYIVUCUVPUYPUVQVLXSUOUYPUVRYBUVSWIUVTYCYDUWBYCYDUWCVUHVUJVUPWPVUGVU
      HUYJVUOUYTVUHUYHVUNUYIUTVUHUYGVUMEUQUPBUYAUXDVUMUWMUXEBUDXJUXBVUKUXCVULUL
      UWNUYAFXKUWNUYAGXKXLUXEXMUXBUXCULXNXOXPXEVJWBUWDUWEUWFYEUWGUWHYEUWKAUCUBU
      AUWMCEUWTABUWMUWSUSAUWNUWMTZVBZUWPUWRAUWMUSUWNUWOAVXLUSUWOXQUWMUSUWOXQFYF
      AVXLUWMUSUWOMYGYKYHAUWMUSUWNUWQAVXMUSUWQXQUWMUSUWQXQGYFAVXMUWMUSUWQNYGYKZ
      YHVYMVXSUWRXSUOAVXSVYLRWIVYMVXRUWRXSVYMUWRVXQTZUWRXSVMVXRAUWQUWMYIVYLVYOA
      UWMUSUWQVYNYLUWMUWNUWQYJYMUWRXSVXQXIYNYOYPYQYRUWMUSXGAUWMURUSVVLUWIUWJYBZ
      ACHYSZYTAUEUBUDUWMCEUXEABUWMUXDUSVYMUXBUXCVYMUXBAUWMURUWNFKYHYSVYMUXCAUWM
      URUWNGLYHYSVYMVXPUXCXSUOAVXPVYLQWIVYMVXOUXCXSVYMUXCVXNTZUXCXSVMVXOAGUWMYI
      VYLVYRAUWMURGLYLUWMUWNGYJYMUXCXSVXNXIYNYOYPYQYRVYPVYQYTUWLYP $.
  $}

  ${
    $d a x y z A $.  $d a x y z B $.  $d a x y z C $.  $d a x y z ph $.
    $d a x y z F $.  $d a x y z G $.
    lhop2.a $e |- ( ph -> A e. RR* ) $.
    lhop2.b $e |- ( ph -> B e. RR ) $.
    lhop2.l $e |- ( ph -> A < B ) $.
    lhop2.f $e |- ( ph -> F : ( A (,) B ) --> RR ) $.
    lhop2.g $e |- ( ph -> G : ( A (,) B ) --> RR ) $.
    lhop2.if $e |- ( ph -> dom ( RR _D F ) = ( A (,) B ) ) $.
    lhop2.ig $e |- ( ph -> dom ( RR _D G ) = ( A (,) B ) ) $.
    lhop2.f0 $e |- ( ph -> 0 e. ( F limCC B ) ) $.
    lhop2.g0 $e |- ( ph -> 0 e. ( G limCC B ) ) $.
    lhop2.gn0 $e |- ( ph -> -. 0 e. ran G ) $.
    lhop2.gd0 $e |- ( ph -> -. 0 e. ran ( RR _D G ) ) $.
    lhop2.c $e |- ( ph -> C e. ( ( z e. ( A (,) B ) |->
      ( ( ( RR _D F ) ` z ) / ( ( RR _D G ) ` z ) ) ) limCC B ) ) $.
    $( L'H&ocirc;pital's Rule for limits from the left.  If ` F ` and ` G ` are
       differentiable real functions on ` ( A , B ) ` , and ` F ` and ` G `
       both approach 0 at ` B ` , and ` G ( x ) ` and ` G ` ' ` ( x ) ` are not
       zero on ` ( A , B ) ` , and the limit of
       ` F ` ' ` ( x ) / G ` ' ` ( x ) ` at ` B ` is ` C ` , then the limit
       ` F ( x ) / G ( x ) ` at ` B ` also exists and equals ` C ` .
       (Contributed by Mario Carneiro, 29-Dec-2016.) $)
    lhop2 $p |- ( ph -> C e. ( ( z e. ( A (,) B ) |->
      ( ( F ` z ) / ( G ` z ) ) ) limCC B ) ) $=
      ( cr va vx vy cv clt wbr wa cioo co cfv cdiv cmpt climc wcel wss wrex cxr
      cq rexrd syl3anc wne simpr wb adantr ad2antrr elioore adantl iooneg mpbid
      cneg adantrr recnd negnegd renegcld cle syl2anc ffvelrnd cc0 crn wceq wfn
      wf wn cc ax-resscn fss sylancl ffnd fnfvelrn eleq1 syl5ibcom necon3bd mpd
      divcld cres limcresi ioossre resmpt ax-mp sseqtri eqid negcncf mp1i negeq
      oveq1i cnmptlimc sselid ltnegd fmpttd cdv cdm c1 cmul cvv ffvelrnda fvexd
      1cnd iooretop feqmptd fveq2 eqtrd mpteq2dva oveq1d eleqtrd pm2.21d limcco
      a1i impr oveq12d nfcv nfov fvmpt2 syl5eq eleqtrrd fveq2d cun syl ctop cin
      cpnf qssre qbtwnxr ssrexv mpsyl simprl eqeltrd mpbird iooss1 sselda ccncf
      simprrl xrltled syldan simprrr cpr reelprrecn neg1cn ccnfld ctopn dvmptid
      ctg tgioo2 dvmptres dvmptneg oveq2d dvf feq2d mpbii eqtr3d dvmptco mulm1d
      mulcomd dmeqd negex dmmpti eqtrdi eqeltrrd simpld ltnegcon1d ltned neneqd
      eliooord frnd ssneldd rneqd eleq2d eqcom negeq0d sylbird syl5bi rexlimdva
      elrnmpti sylbid mtod sylan nfmpt1 nffv cbvmpt fveq1d mpan2 sylan9eq lhop1
      div2negd nffvmpt1 simprd gtned resmptd csn crest sstri ssun2 snssg mpbiri
      fvex ctopon cnfldtopon snssd unssd sstrdi resttopon sylancr topontop indi
      cnt cif pnfxr syl22anc xrltnle iffalsed ltpnfd elioopnf mpbir2and sseqin2
      iooin sylib uneq12d reex elrestr mp3an2i rerest isopn3i limcres rexlimddv
      retop ssex 3eqtr2d ) ACUAUDZUEUFZVUGDUEUFZUGZEBCDUHUIZBUDZFUJZVULGUJZUKUI
      ZULZDUMUIZUNUATURTUOAVUJUAURUPZVUJUATUPUUAACUQUNZDUQUNZCDUEUFVURHADIUSZJU
      ACDUUBUTVUJUAURTUUCUUDAVUGTUNZVUJUGZUGZEBVUGDUHUIZVULVJZVJZFUJZVVGGUJZUKU
      IZULZDUMUIZVUQVVDBUBVVEDVJZVUGVJZUHUIZVVMEVVFUBUDZVJZFUJZVVQGUJZUKUIZVVJD
      VVDVULVVEUNZVVFVVOUNZVVFVVMVAVVDVWAUGZVWAVWBVVDVWAVBVWCVVBDTUNZVULTUNZVWA
      VWBVCVVDVVBVWAAVVBVUJUUEZVDAVWDVVCVWAIVEZVWAVWEVVDVULVUGDVFVGZVUGDVULVHUT
      VIVKVVDVVPVVOUNZUGZVVRVVSVWJVVRVWJVUKTVVQFAVUKTFWBZVVCVWIKVEVVDVWIVVQVVEU
      NZVVQVUKUNZVWJVWLVVQVJZVVOUNZVWJVWNVVPVVOVWJVVPVWJVVPVWIVVPTUNZVVDVVPVVMV
      VNVFVGZVLZVMVVDVWIVBZUUFVWJVVBVWDVVQTUNVWLVWOVCVVDVVBVWIVWFVDAVWDVVCVWIIV
      EZVWJVVPVWQVNZVUGDVVQVHUTUUGVVDVVEVUKVVQVVDVUSCVUGVOUFVVEVUKUOAVUSVVCHVDZ
      VVDCVUGVXBVVDVUGVWFUSZAVVBVUHVUIUUKZUULCVUGDUUHVPZUUIUUMZVQZVLVWJVVSVWJVU
      KTVVQGAVUKTGWBZVVCVWILVEVXFVQZVLVWJVRGVSZUNZWCZVVSVRVAAVXLVVCVWIQVEVWJVXK
      VVSVRVWJVVSVXJUNZVVSVRVTZVXKVWJGVUKWAZVWMVXMVWJVUKWDGVVDVUKWDGWBZVWIVVDVX
      HTWDUOZVXPAVXHVVCLVDZWEVUKTWDGWFWGZVDWHVXFVUKVVQGWIVPZVVSVRVXJWJWKWLWMWNV
      VDBTVVFULZDUMUIZBVVEVVFULZDUMUIZVVMVYBVYAVVEWOZDUMUIVYDDVVEVYAWPVYEVYCDUM
      VVETUOVYEVYCVTVUGDWQBTVVEVVFWRWSXEWTVVDBTDWDVVFVVMVXQVYATWDUUJUIZUNVVDWEB
      TVYAVYAXAXBXCAVWDVVCIVDZVULDXDXFXGVVDEUCVVOUCUDZUBVVOVVRULZUJZVYHUBVVOVVS
      ULZUJZUKUIZULZVVMUMUIUBVVOVVTULZVVMUMUIVVDUCVVMVVNEVYIVYKVVDDVYGVNZVVDVVN
      VVDVUGVWFVNUSVVDVUIVVMVVNUEUFAVVBVUHVUIUUNZVVDVUGDVWFVYGXHVIVVDUBVVOVVRTV
      XGXIVVDUBVVOVVSTVXIXIVVDTVYIXJUIZXKUBVVOVVQTFXJUIZUJZVJZULZXKVVOVVDVYRWUB
      VVDVYRUBVVOVYTXLVJZXMUIZULWUBVVDUBUCVVQWUCVYHFUJZVYHVYSUJZTTVVRVYTWDXNVVO
      VUKTTWDUUOUNVVDUUPYGZWUGVXFWUCWDUNVWJUUQYGZVVDVYHVUKUNUGZWUEVVDVUKTVYHFAV
      WKVVCKVDZXOVLZWUIVYHVYSXPVVDUBVVPXLTWDVVOWUGVWRVWJXQVVDUBVVPXLTUHVSUVAUJZ
      UURUUSUJZWDTVVOWUGVVDVWPUGZVVPVVDVWPVBVLWUNXQVVDUBTWUGUUTVVOTUOZVVDVVMVVN
      WQZYGWUMWUMXAZUVBWUQVVOWULUNVVDVVMVVNXRYGUVCUVDZVVDVYSTUCVUKWUEULZXJUIUCV
      UKWUFULVVDFWUSTXJVVDUCVUKTFWUJXSZUVEVVDUCVUKWDVYSVVDVYSXKZWDVYSWBVUKWDVYS
      WBZFUVFVVDWVAVUKWDVYSAWVAVUKVTVVCMVDUVGUVHZXSUVIVYHVVQFXTZVYHVVQVYSXTUVJV
      VDUBVVOWUDWUAVWJWUDWUCVYTXMUIWUAVWJVYTWUCVWJVUKWDVVQVYSVVDWVBVWIWVCVDVXFV
      QZWUHUVLVWJVYTWVEUVKYAYBYAZUVMUBVVOWUAWUBVYTUVNZWUBXAZUVOUVPVVDTVYKXJUIZX
      KUBVVOVVQTGXJUIZUJZVJZULZXKVVOVVDWVIWVMVVDWVIUBVVOWVKWUCXMUIZULWVMVVDUBUC
      VVQWUCVYHGUJZVYHWVJUJZTTVVSWVKWDXNVVOVUKWUGWUGVXFWUHWUIWVOVVDVUKTVYHGVXRX
      OVLZWUIVYHWVJXPWURVVDWVJTUCVUKWVOULZXJUIUCVUKWVPULVVDGWVRTXJVVDUCVUKTGVXR
      XSZUVEVVDUCVUKWDWVJVVDWVJXKZWDWVJWBVUKWDWVJWBZGUVFVVDWVTVUKWDWVJAWVTVUKVT
      VVCNVDUVGUVHZXSUVIVYHVVQGXTZVYHVVQWVJXTUVJVVDUBVVOWVNWVLVWJWVNWUCWVKXMUIW
      VLVWJWVKWUCVWJVUKWDVVQWVJVVDWWAVWIWWBVDZVXFVQZWUHUVLVWJWVKWWEUVKYAYBYAZUV
      MUBVVOWVLWVMWVKUVNZWVMXAZUVOUVPVVDUBUCVVOVUKDVRVVQWUEVVRVVMVVDVWIVWMVVQDV
      AVXFVKZWUKVVDUBTVVQULZVVMUMUIZUBVVOVVQULZVVMUMUIZDWWKWWJVVOWOZVVMUMUIWWMV
      VMVVOWWJWPWWNWWLVVMUMWUOWWNWWLVTWUPUBTVVOVVQWRWSXEWTVVDVVMVJZDWWKVVDDVVDD
      VYGVLVMVVDUBTVVMWDVVQWWOVXQWWJVYFUNVVDWEUBTWWJWWJXAXBXCVYPVVPVVMXDXFUVQXG
      ZVVDVRFDUMUIZWUSDUMUIAVRWWQUNVVCOVDVVDFWUSDUMWUTYCYDWVDVVDVWIVVQDVTZVVRVR
      VTZVWJWWRWWSVWJVVQDVWJVVQDVXAVWJDVVPVWTVWQVWJVVMVVPUEUFZVVPVVNUEUFZVWIWWT
      WXAUGVVDVVPVVMVVNUWBVGUVRUVSUVTUWAZYEYHYFVVDUBUCVVOVUKDVRVVQWVOVVSVVMWWIW
      VQWWPVVDVRGDUMUIZWVRDUMUIAVRWXCUNVVCPVDVVDGWVRDUMWVSYCYDWWCVVDVWIWWRVXNVW
      JWWRVXNWXBYEYHYFVVDVYKVSVXJVRVVDVVOVXJVYKVVDUBVVOVVSVXJVXTXIUWCAVXLVVCQVD
      UWDVVDVRWVIVSZUNZVRWVJVSZUNZAWXGWCZVVCRVDVVDWXEVRWVMVSZUNZWXGVVDWXDWXIVRV
      VDWVIWVMWWFUWEUWFWXJVRWVLVTZUBVVOUPVVDWXGUBVVOWVLVRWVMWWHWWGUWLVVDWXKWXGU
      BVVOWXKWVLVRVTZVWJWXGVRWVLUWGVWJWXLWVKVRVTZWXGVWJWVKWWEUWHVWJWVKWXFUNZWXM
      WXGVWJWVJVUKWAZVWMWXNVWJVUKWDWVJWWDWHVXFVUKVVQWVJWIVPWVKVRWXFWJWKZUWIUWJU
      WKUWJUWMUWNVVDEUBVVOVYTWVKUKUIZULZVVMUMUIUCVVOVYHVYRUJZVYHWVIUJZUKUIZULZV
      VMUMUIVVDUBBVVOVUKDEVVQVULVYSUJZVULWVJUJZUKUIZWXQVVMWWIVVDVULVUKUNZUGZWYC
      WYDVVDVUKWDVULVYSWVCXOVVDVUKWDVULWVJWWBXOWYGWXHWYDVRVAAWXHVVCWYFRVEWYGWXG
      WYDVRWYGWYDWXFUNZWYDVRVTWXGVVDWXOWYFWYHVVDVUKWDWVJWWBWHVUKVULWVJWIUWOWYDV
      RWXFWJWKWLWMWNWWPAEBVUKWYEULDUMUIUNVVCSVDVULVVQVTWYCVYTWYDWVKUKVULVVQVYSX
      TVULVVQWVJXTYIVVDVWIWWRWXQEVTZVWJWWRWYIWXBYEYHYFVVDWYBWXRVVMUMVVDWYBUBVVO
      VVPVYRUJZVVPWVIUJZUKUIZULWXRUCUBVVOWYAWYLUBWXSWXTUKUBVYHVYRUBTVYIXJUBTYJZ
      UBXJYJZUBVVOVVRUWPYKUBVYHYJZUWQUBUKYJZUBVYHWVIUBTVYKXJWYMWYNUBVVOVVSUWPYK
      WYOUWQYKUCWYLYJVYHVVPVTZWXSWYJWXTWYKUKVYHVVPVYRXTVYHVVPWVIXTYIUWRVVDUBVVO
      WYLWXQVWJWYLWUAWVLUKUIWXQVWJWYJWUAWYKWVLUKVVDVWIWYJVVPWUBUJZWUAVVDVVPVYRW
      UBWVFUWSVWIWUAXNUNWYRWUAVTWVGUBVVOWUAXNWUBWVHYLUWTUXAVVDVWIWYKVVPWVMUJZWV
      LVVDVVPWVIWVMWWFUWSVWIWVLXNUNWYSWVLVTWWGUBVVOWVLXNWVMWWHYLUWTUXAYIVWJVYTW
      VKWVEWWEVWJWXHWVKVRVAAWXHVVCVWIRVEVWJWXGWVKVRWXPWLWMUXCYAYBYMYCYNUXBVVDVY
      NVYOVVMUMVVDVYNUBVVOVVPVYIUJZVVPVYKUJZUKUIZULVYOUCUBVVOVYMXUBUBVYJVYLUKUB
      VVOVVRVYHUXDWYPUBVVOVVSVYHUXDYKUCXUBYJWYQVYJWYTVYLXUAUKVYHVVPVYIXTVYHVVPV
      YKXTYIUWRVVDUBVVOXUBVVTVWJWYTVVRXUAVVSUKVWJVWIVVRXNUNWYTVVRVTVWSVVQFUXNUB
      VVOVVRXNVYIVYIXAYLWGVWJVWIVVSXNUNXUAVVSVTVWSVVQGUXNUBVVOVVSXNVYKVYKXAYLWG
      YIYBYMYCYDVVPVVFVTZVVRVVHVVSVVIUKXUCVVQVVGFVVPVVFXDZYOXUCVVQVVGGXUDYOYIVV
      DVWAVVFVVMVTZVVJEVTZVWCXUEXUFVWCVVFVVMVWCVVMVVFVVDVVMTUNVWAVYPVDVWCVULDUE
      UFZVVMVVFUEUFVWCVUGVULUEUFZXUGVWAXUHXUGUGVVDVULVUGDUWBVGUXEVWCVULDVWHVWGX
      HVIUXFUWAYEYHYFVVDVVLBVVEVUOULZDUMUIVUPVVEWOZDUMUIVUQVVDVVKXUIDUMVVDBVVEV
      VJVUOVWCVVHVUMVVIVUNUKVWCVVGVULFVWCVULVWCVULVWHVLVMZYOVWCVVGVULGXUKYOYIYB
      YCVVDXUJXUIDUMVVDBVUKVVEVUOVXEUXGYCVVDVUKDVVEVUPWUMVUKDUXHZYPZUXIUIZWUMVV
      DBVUKVUOWDWYGVUMVUNVVDVUKWDVULFVVDVWKVXQVUKWDFWBWUJWEVUKTWDFWFWGXOVVDVUKW
      DVULGVXSXOWYGVXLVUNVRVAAVXLVVCWYFQVEWYGVXKVUNVRWYGVUNVXJUNZVUNVRVTVXKVVDV
      XOWYFXUOVVDVUKTGVXRWHVUKVULGWIUWOVUNVRVXJWJWKWLWMWNXIVXEVUKWDUOVVDVUKTWDC
      DWQZWEUXJYGWUQXUNXAVVDDVVEXULYPZXUQXUNUYDUJUJZVVDDXUQUNZXULXUQUOZXULVVEUX
      KVVDVWDXUSXUTVCVYGDXUQTUXLYQUXMVVDXUNYRUNZXUQXUNUNXURXUQVTVVDXUNXUMUXOUJU
      NZXVAVVDWUMWDUXOUJUNXUMWDUOXVBWUMWUQUXPVVDXUMTWDVVDVUKXULTVUKTUOVVDXUPYGV
      VDDTVYGUXQUXRZWEUXSXUMWUMWDUXTUYAXUMXUNUYBYQVVDXUQWULXUMUXIUIZXUNVVDVUGYT
      UHUIZXUMYSZXUQXVDVVDXVFXVEVUKYSZXVEXULYSZYPXUQXVEVUKXULUYCVVDXVGVVEXVHXUL
      VVDXVGVUGCVOUFZCVUGUYEZYTDVOUFZYTDUYEZUHUIZVVEVVDVUGUQUNZYTUQUNZVUSVUTXVG
      XVMVTVXCXVOVVDUYFYGVXBAVUTVVCVVAVDZVUGYTCDUYNUYGVVDXVJVUGXVLDUHVVDXVICVUG
      VVDVUHXVIWCZVXDVVDVUSXVNVUHXVQVCVXBVXCCVUGUYHVPVIUYIVVDXVKYTDVVDDYTUEUFZX
      VKWCZVVDDVYGUYJVVDVUTXVOXVRXVSVCXVPUYFDYTUYHWGVIUYIYIYAVVDXULXVEUOXVHXULV
      TVVDDXVEVVDDXVEUNZVWDVUIVYGVYQVVDXVNXVTVWDVUIUGVCVXCVUGDUYKYQUYLUXQXULXVE
      UYMUYOUYPYMWULYRUNVVDXUMXNUNZXVEWULUNZXVFXVDUNVUDVVDXUMTUOZXWAXVCXUMTUYQV
      UEYQXWBVVDVUGYTXRYGXVEXUMWULYRXNUYRUYSUVQVVDXWCXUNXVDVTXVCXUMWULWUMWUQWUL
      XAUYTYQYNXUQXUNVUAVPYNVUBVUFYDVUC $.
  $}

  ${
    $d r z B $.  $d r z C $.  $d r z D $.  $d r z F $.  $d r z ph $.
    $d r z G $.  $d r z I $.
    lhop.a $e |- ( ph -> A C_ RR ) $.
    lhop.f $e |- ( ph -> F : A --> RR ) $.
    lhop.g $e |- ( ph -> G : A --> RR ) $.
    lhop.i $e |- ( ph -> I e. ( topGen ` ran (,) ) ) $.
    lhop.b $e |- ( ph -> B e. I ) $.
    lhop.d $e |- D = ( I \ { B } ) $.
    lhop.if $e |- ( ph -> D C_ dom ( RR _D F ) ) $.
    lhop.ig $e |- ( ph -> D C_ dom ( RR _D G ) ) $.
    lhop.f0 $e |- ( ph -> 0 e. ( F limCC B ) ) $.
    lhop.g0 $e |- ( ph -> 0 e. ( G limCC B ) ) $.
    lhop.gn0 $e |- ( ph -> -. 0 e. ( G " D ) ) $.
    lhop.gd0 $e |- ( ph -> -. 0 e. ( ( RR _D G ) " D ) ) $.
    lhop.c $e |- ( ph -> C e. ( ( z e. D |->
      ( ( ( RR _D F ) ` z ) / ( ( RR _D G ) ` z ) ) ) limCC B ) ) $.
    $( L'H&ocirc;pital's Rule.  If ` I ` is an open set of the reals, ` F ` and
       ` G ` are real functions on ` A ` containing all of ` I ` except
       possibly ` B ` , which are differentiable everywhere on ` I \ { B } ` ,
       ` F ` and ` G ` both approach 0, and the limit of
       ` F ` ' ` ( x ) / G ` ' ` ( x ) ` at ` B ` is ` C ` , then the limit
       ` F ( x ) / G ( x ) ` at ` B ` also exists and equals ` C ` .  This is
       Metamath 100 proof #64.  (Contributed by Mario Carneiro,
       30-Dec-2016.) $)
    lhop $p |- ( ph -> C e. ( ( z e. D |->
      ( ( F ` z ) / ( G ` z ) ) ) limCC B ) ) $=
      ( vr cv cmin cr cres cfv co wss crp cdiv cmpt climc wcel cioo crn syl3anc
      eqid a1i wa wceq sseqtrrdi syl sseldd cdif cin adantr rexrd wf cun uneq1i
      cxr clt wbr syl5eq c0 wb syl2anc wn eqtri sylancl mpbid sseqtrrid cdv cdm
      cc ax-resscn fss sstrd fssresd ioossre dvres syl22anc ctop retop iooretop
      cnt isopn3i mp2an reseq2i eqtrdi dmeqd ssdmres sylib limcresi sselid cima
      eqtrd df-ima imass2 eqsstrrid ssneldd rneqd eqtr4di eqsstrd resmptd fvres
      fveq1d sylan9eq oveq12d mpteq2dva eqtr4d sseqtrid mpteq2ia eleqtrrd crest
      cc0 oveq1d sselda ffvelrnda syldan recnd mpd fmpttd undif1 ssequn2 fveq2d
      ctopon sylancr cabs ccom cxp cbl wrex cxmet ctg rexmet cmopn tgioo mopni2
      caddc cuni elssuni uniretop rpre bl2ioo syl2an sseq1d csn simprl resubcld
      rpred ltsubrpd ssun1 unass uncom eqtr3i readdcld ltaddrpd syl32anc elioo2
      ioojoin w3a mpbir3and snssd incom wo ubioo lbioo pm3.2ni elun mtbir mpbir
      disjsn uneqdifeq ssdif ad2antll dvbss ccnfld ctopn tgioo2 lhop2 ssun2 wne
      lhop1 elind wfn ffnd simpr fnfvima eleq1 syl5ibcom necon3bd adantlr difss
      divcld sstrdi sstrid simprr oveq2d cnfldtopon resttopon topontop eqeltrrd
      eqsstri rerest restopn2 mpbir2and limcres sstri feq2d limcun eleqtrd expr
      3eqtr3rd sylbid rexlimdva ) ADUCUDZUUAUEUUBUFUFUUCUGZUUDUHUIZIUJZUCUKUUEZ
      EBFBUDZGUHZUYNHUHZULUIZUMZDUNUIZUOZAUYJUFUUFUHUOZIUPUQUUGUHZUOZDIUOUYMVUA
      AUYJUYJUSZUUHUTMNUCIUYJDVUBUFUYJUYJUUIUHZVUDVUEUSUUJUUKURAUYLUYTUCUKAUYIU
      KUOZVAZUYLDUYIUEUIZDUYIUULUIZUPUIZIUJZUYTVUGUYKVUJIADUFUOZUYIUFUOUYKVUJVB
      VUFAIUFDAVUCIUFUJZMVUCIVUBUUMUFIVUBUUNUUOVCVDZNVEZUYIUUPDUYIUYJVUDUUQUURU
      USAVUFVUKUYTAVUFVUKVAZVAZEBVUJDUUTZVFZUYQUMZVUHDUPUIZUGZDUNUIZVUTDVUIUPUI
      ZUGZDUNUIZVGZUYSVUQVVCVVFEVUQEBVVAUYNGVVAUGZUHZUYNHVVAUGZUHZULUIZUMZDUNUI
      VVCVUQBVUHDEVVHVVJVUQVUHVUQDUYIAVULVUPVUOVHZVUQUYIAVUFVUKUVAZUVCZUVBVIZVV
      NVUQDUYIVVNVVOUVDZVUQCUFVVAGACUFGVJZVUPKVHZVUQVVAVUSCVUQVVAVVDVKZVVAVUSVV
      AVVDUVEVUQVURVWAVKZVUJVBZVUSVWAVBZVUQVWBVVAVURVKZVVDVKZVUJVURVVAVKZVVDVKV
      WBVWFVURVVAVVDUVFVWGVWEVVDVURVVAUVGVLUVHVUQVUHVMUOZDVMUOVUIVMUOZVUHDVNVOZ
      DVUIVNVOZVWFVUJVBVVQVUQDVVNVIVUQVUIVUQDUYIVVNVVPUVIVIZVVRVUQDUYIVVNVVOUVJ
      ZVUHDVUIUVMUVKVPVUQVURVUJUJZVURVWAVGZVQVBVWCVWDVRVUQDVUJVUQDVUJUOZVULVWJV
      WKVVNVVRVWMVUQVWHVWIVWPVULVWJVWKUVNVRVVQVWLVUHVUIDUVLVSUVOZUVPZVWOVWAVURV
      GZVQVURVWAUVQVWSVQVBDVWAUOZVTVWTDVVAUOZDVVDUOZUVRVXAVXBVUHDUVSDVUIUVTUWAD
      VVAVVDUWBUWCVWADUWEUWDWAVURVWAVUJUWFWBWCZWDZVUQVUSFCVUQVUSIVURVFZFVUKVUSV
      XEUJAVUFVUJIVURUWGUWHOVCZAFCUJZVUPAFUFGWEUIZWFZCPACUFGUFWGUJZAWHUTAVVSVXJ
      CWGGVJZKWHCUFWGGWIWBZJUWIWJZVHWJZWJZWKVUQCUFVVAHACUFHVJZVUPLVHZVXOWKVUQUF
      VVHWEUIZWFVXHVVAUGZWFZVVAVUQVXRVXSVUQVXRVXHVVAVUBWRUHZUHZUGZVXSVUQVXJVXKC
      UFUJZVVAUFUJZVXRVYCVBVXJVUQWHUTZAVXKVUPVXLVHZAVYDVUPJVHZVYEVUQVUHDWLZUTZC
      VVAUFVUBGUWJUWKUHZVYKUSZVYKVYLUWLZWMWNVYBVVAVXHVUBWOUOZVVAVUBUOVYBVVAVBWP
      VUHDWQVVAVUBWSWTZXAXBZXCVUQVVAVXIUJVXTVVAVBVUQVVAFVXIVUQVVAVUSFVXDVXFWJZA
      FVXIUJVUPPVHZWJVVAVXHXDXEXIVUQUFVVJWEUIZWFUFHWEUIZVVAUGZWFZVVAVUQVYSWUAVU
      QVYSVYTVYBUGZWUAVUQVXJCWGHVJZVYDVYEVYSWUCVBVYFAWUDVUPAVXPVXJWUDLWHCUFWGHW
      IWBVHZVYHVYJCVVAUFVUBHVYKVYLVYMWMWNVYBVVAVYTVYOXAXBZXCVUQVVAVYTWFZUJWUBVV
      AVBVUQVVAFWUGVYQAFWUGUJVUPQVHZWJVVAVYTXDXEXIVUQGDUNUIZVVHDUNUIYHDVVAGXFAY
      HWUIUOVUPRVHZXGVUQHDUNUIZVVJDUNUIYHDVVAHXFAYHWUKUOVUPSVHZXGVUQVVJUQZHFXHZ
      YHVUQWUMHVVAXHZWUNHVVAXJVUQVVAFUJZWUOWUNUJVYQVVAFHXKVDXLAYHWUNUOZVTZVUPTV
      HZXMVUQVYSUQZVYTFXHZYHVUQWUTVYTVVAXHZWVAVUQWUTWUAUQWVBVUQVYSWUAWUFXNVYTVV
      AXJXOVUQWUPWVBWVAUJVYQVVAFVYTXKVDXPAYHWVAUOVTVUPUAVHZXMVUQBFUYNVXHUHZUYNV
      YTUHZULUIZUMZDUNUIZBVVAUYNVXRUHZUYNVYSUHZULUIZUMZDUNUIZEVUQWVGVVAUGZDUNUI
      WVHWVMDVVAWVGXFVUQWVNWVLDUNVUQWVNBVVAWVFUMWVLVUQBFVVAWVFVYQXQVUQBVVAWVKWV
      FVUQUYNVVAUOZVAWVIWVDWVJWVEULVUQWVOWVIUYNVXSUHWVDVUQUYNVXRVXSVYPXSUYNVVAV
      XHXRXTVUQWVOWVJUYNWUAUHWVEVUQUYNVYSWUAWUFXSUYNVVAVYTXRXTYAYBYCYIYDAEWVHUO
      VUPUBVHZVEUWMVUQVVBVVMDUNVUQVVBBVVAUYQUMVVMVUQBVUSVVAUYQVXDXQBVVAVVLUYQWV
      OVVIUYOVVKUYPULUYNVVAGXRUYNVVAHXRYAYEXOYIYFVUQEBVVDUYNGVVDUGZUHZUYNHVVDUG
      ZUHZULUIZUMZDUNUIVVFVUQBDVUIEWVQWVSVVNVWLVWMVUQCUFVVDGVVTVUQVVDVUSCVUQVWA
      VVDVUSVVDVVAUWNVXCWDZVXNWJZWKVUQCUFVVDHVXQWWDWKVUQUFWVQWEUIZWFVXHVVDUGZWF
      ZVVDVUQWWEWWFVUQWWEVXHVVDVYAUHZUGZWWFVUQVXJVXKVYDVVDUFUJZWWEWWIVBVYFVYGVY
      HWWJVUQDVUIWLZUTZCVVDUFVUBGVYKVYLVYMWMWNWWHVVDVXHVYNVVDVUBUOWWHVVDVBWPDVU
      IWQVVDVUBWSWTZXAXBZXCVUQVVDVXIUJWWGVVDVBVUQVVDFVXIVUQVVDVUSFWWCVXFWJZVYRW
      JVVDVXHXDXEXIVUQUFWVSWEUIZWFVYTVVDUGZWFZVVDVUQWWPWWQVUQWWPVYTWWHUGZWWQVUQ
      VXJWUDVYDWWJWWPWWSVBVYFWUEVYHWWLCVVDUFVUBHVYKVYLVYMWMWNWWHVVDVYTWWMXAXBZX
      CVUQVVDWUGUJWWRVVDVBVUQVVDFWUGWWOWUHWJVVDVYTXDXEXIVUQWUIWVQDUNUIYHDVVDGXF
      WUJXGVUQWUKWVSDUNUIYHDVVDHXFWULXGVUQWVSUQZWUNYHVUQWXAHVVDXHZWUNHVVDXJVUQV
      VDFUJZWXBWUNUJWWOVVDFHXKVDXLWUSXMVUQWWPUQZWVAYHVUQWXDVYTVVDXHZWVAVUQWXDWW
      QUQWXEVUQWWPWWQWWTXNVYTVVDXJXOVUQWXCWXEWVAUJWWOVVDFVYTXKVDXPWVCXMVUQWVHBV
      VDUYNWWEUHZUYNWWPUHZULUIZUMZDUNUIZEVUQWVGVVDUGZDUNUIWVHWXJDVVDWVGXFVUQWXK
      WXIDUNVUQWXKBVVDWVFUMWXIVUQBFVVDWVFWWOXQVUQBVVDWXHWVFVUQUYNVVDUOZVAWXFWVD
      WXGWVEULVUQWXLWXFUYNWWFUHWVDVUQUYNWWEWWFWWNXSUYNVVDVXHXRXTVUQWXLWXGUYNWWQ
      UHWVEVUQUYNWWPWWQWWTXSUYNVVDVYTXRXTYAYBYCYIYDWVPVEUWPVUQVVEWWBDUNVUQVVEBV
      VDUYQUMWWBVUQBVUSVVDUYQWWCXQBVVDWWAUYQWXLWVRUYOWVTUYPULUYNVVDGXRUYNVVDHXR
      YAYEXOYIYFUWQVUQUYRVUSUGZDUNUIVUTDUNUIUYSVVGVUQWXMVUTDUNVUQBFVUSUYQVXFXQY
      IVUQFDVUSUYRVYKFVURVKZYGUIZVYKVUQBFUYQWGAUYNFUOZUYQWGUOZVUPAWXPVAZUYOUYPW
      XRUYOAWXPUYNCUOZUYOUFUOAFCUYNVXMYJZACUFUYNGKYKYLYMWXRUYPAWXPWXSUYPUFUOWXT
      ACUFUYNHLYKYLYMWXRWURUYPYHUWOAWURWXPTVHWXRWUQUYPYHWXRUYPWUNUOZUYPYHVBWUQW
      XRHCUWRZVXGWXPWYAAWYBWXPACUFHLUWSVHAVXGWXPVXMVHAWXPUWTCFHUYNUXAURUYPYHWUN
      UXBUXCUXDYNUXGUXEZYOVXFAFWGUJVUPAFIWGFVXEIOIVURUXFUXPAIUFWGVUNWHUXHZUXIVH
      VYLWXOUSVUQDVUJWXOWRUHZUHZVUSVURVKZWYEUHVUQDVUJWYFVWQVUQWYFVUJVUBIYGUIZWR
      UHZUHZVUJVUQVUJWYEWYIVUQWXOWYHWRVUQWXOVYKIYGUIZWYHVUQWXNIVYKYGVUQWXNIVURV
      KZIWXNVXEVURVKWYLFVXEVUROVLIVURYPWAVUQVURIUJWYLIVBVUQVURVUJIVWRAVUFVUKUXJ
      ZWJVURIYQXEVPUXKVUQVUMWYKWYHVBAVUMVUPVUNVHIVUBVYKVYLVUBUSUXQVDZXIYRXSVUQW
      YHWOUOVUJWYHUOZWYJVUJVBVUQWYKWYHWOWYNVUQWYKIYSUHUOZWYKWOUOVUQVYKWGYSUHUOI
      WGUJZWYPVYKVYLUXLAWYQVUPWYDVHIVYKWGUXMYTIWYKUXNVDUXOVUQWYOVUJVUBUOZVUKWYR
      VUQVUHVUIWQUTWYMVUQVYNVUCWYOWYRVUKVAVRWPAVUCVUPMVHIVUJVUBUXRYTUXSVUJWYHWS
      VSXIYFVUQWYGVUJWYEVUQWYGVUJVURVKZVUJVUJVURYPVUQVWNWYSVUJVBVWRVURVUJYQXEVP
      YRYFUXTVUQVVAVVDDVUTVVAWGUJVUQVVAUFWGVYIWHUYAUTVVDWGUJVUQVVDUFWGWWKWHUYAU
      TVUQVUSWGVUTVJVWAWGVUTVJVUQBVUSUYQWGVUQUYNVUSUOWXPWXQVUQVUSFUYNVXFYJWYCYL
      YOVUQVUSVWAWGVUTVXCUYBWCUYCUYFUYDUYEUYGUYHYN $.
  $}

  ${
    $d x y C $.  $d r x y F $.  $d r x y ph $.  $d r x y X $.  $d r x y Y $.
    $d x y R $.
    dvcnvre.f $e |- ( ph -> F e. ( X -cn-> RR ) ) $.
    dvcnvre.d $e |- ( ph -> dom ( RR _D F ) = X ) $.
    dvcnvre.z $e |- ( ph -> -. 0 e. ran ( RR _D F ) ) $.
    dvcnvre.1 $e |- ( ph -> F : X -1-1-onto-> Y ) $.
    ${
      dvcnvre.c $e |- ( ph -> C e. X ) $.
      dvcnvre.r $e |- ( ph -> R e. RR+ ) $.
      dvcnvre.s $e |- ( ph -> ( ( C - R ) [,] ( C + R ) ) C_ X ) $.
      $( Lemma for ~ dvcnvre .  (Contributed by Mario Carneiro,
         24-Feb-2015.) $)
      dvcnvrelem1 $p |- ( ph -> ( F ` C ) e. ( ( int ` ( topGen ` ran (,) ) ) `
        ( F " ( ( C - R ) [,] ( C + R ) ) ) ) ) $=
        ( cr cfv wcel wa clt wbr wi vx vy cmin co caddc cicc cres crn wceq wrex
        cv cima ctg cnt cdv cdm dvbsss eqsstrrdi sseldd rpred resubcld readdcld
        cioo ltsubrpd ltaddrpd lttrd ltled ccncf rescncf sylc evthicc2 wf cncff
        wss syl ffvelrnd adantr wiso cxr cle rexrd lbicc2 syl3anc w3a wb elicc2
        syl2anc mpbir3and isorel biimpd exp32 com4l syl3c fvresd breq12d sylibd
        ccnv wfun fdmd sseqtrrd funfvima2 df-ima simprr syl5eq eleqtrd ad2antrl
        ffund mpd mpbid simp2d simprll lelttr mpand syld ubicc2 brcnv syl5bb wo
        fvex ax-resscn a1i fss sylancl sstrd ccnfld ctopn tgioo2 dvres syl22anc
        cc eqid iccntr reseq2d eqtrd dmeqd cin mpjaod simp3d ltletr mpan2d rnss
        dmres ioossicc sstrid df-ss sylib resss eqsstrdi ssneldd simprlr elioo2
        cc0 dvne0 fveq2d eleqtrrd expr rexlimdvva ) ADBCUCUDZBCUEUDZUFUDZUGZUHZ
        UAUKZUBUKZUFUDZUIZUBNUJUANUJBDOZDUUTULZVCUHUMOZUNOZOZPZAUAUBUURUUSUVAAB
        CAENBAENDUOUDZUPZNHNDUQURZKUSZACLUTZVAZABCUVPUVQVBZAUURUUSUVRUVSAUURBUU
        SUVRUVPUVSABCUVPLVDZABCUVPLVEZVFVGZAUUTEVNZDENVHUDPZUVAUUTNVHUDPMGENUUT
        DVIVJZVKAUVFUVLUAUBNNAUVCNPZUVDNPZQZUVFUVLAUWHUVFQZQZUVGUVCUVDVCUDZUVKU
        WJUVGUWKPZUVGNPZUVCUVGRSZUVGUVDRSZAUWMUWIAENBDAUWDENDVLZGENDVMVOZKVPVQZ
        UWJUUTUVBRRUVAVRZUWNUUTUVBRRWQZUVAVRZUWJUWSUURDOZUVGRSZUWNUWJUWSUURUVAO
        ZBUVAOZRSZUXCUWJUURUUTPZBUUTPZUURBRSZUWSUXFTAUXGUWIAUURVSPZUUSVSPZUURUU
        SVTSZUXGAUURUVRWAZAUUSUVSWAZUWBUURUUSWBWCZVQZAUXHUWIAUXHBNPZUURBVTSZBUU
        SVTSZUVPAUURBUVRUVPUVTVGABUUSUVPUVSUWAVGAUURNPZUUSNPZUXHUXQUXRUXSWDWEUV
        RUVSUURUUSBWFWGWHVQZAUXIUWIUVTVQZUWSUXGUXHUXIUXFUWSUXGUXHUXIUXFTUWSUXGU
        XHQZQUXIUXFUUTUVBUURBRRUVAWIWJWKWLWMUWJUXDUXBUXEUVGRUWJUURUUTDUXPWNZUWJ
        BUUTDUYBWNZWOWPUWJUVCUXBVTSZUXCUWNUWJUXBNPZUYGUXBUVDVTSZUWJUXBUVEPZUYHU
        YGUYIWDZUWJUXBUVHUVEUWJUXGUXBUVHPZUXPUWJDWRZUUTDUPZVNZUXGUYLTUWJENDAUWP
        UWIUWQVQZXGZUWJUUTEUYNAUWCUWIMVQUWJENDUYPWSWTZUUTUURDXAWGXHUWJUVHUVBUVE
        DUUTXBAUWHUVFXCXDZXEUWHUYJUYKWEAUVFUVCUVDUXBWFXFXIZXJUWJUWFUYHUWMUYGUXC
        QUWNTAUWFUWGUVFXKZAUYHUWIAENUURDUWQAUUTEUURMUXOUSVPVQZUWRUVCUXBUVGXLWCX
        MXNUWJUXAUUSDOZUVGRSZUWNUWJUXAUXEUUSUVAOZUWTSZVUDUWJUXHUUSUUTPZBUUSRSZU
        XAVUFTUYBAVUGUWIAUXJUXKUXLVUGUXMUXNUWBUURUUSXOWCZVQZAVUHUWIUWAVQZUXAUXH
        VUGVUHVUFUXAUXHVUGVUHVUFTUXAUXHVUGQZQVUHVUFUUTUVBBUUSRUWTUVAWIWJWKWLWMV
        UFVUEUXERSUWJVUDUXEVUERBUVAXSZUUSUVAXSXPUWJVUEVUCUXEUVGRUWJUUSUUTDVUJWN
        ZUYFWOXQWPUWJUVCVUCVTSZVUDUWNUWJVUCNPZVUOVUCUVDVTSZUWJVUCUVEPZVUPVUOVUQ
        WDZUWJVUCUVHUVEUWJVUGVUCUVHPZVUJUWJUYMUYOVUGVUTTUYQUYRUUTUUSDXAWGXHUYSX
        EUWHVURVUSWEAUVFUVCUVDVUCWFXFXIZXJUWJUWFVUPUWMVUOVUDQUWNTVUAAVUPUWIAENU
        USDUWQAUUTEUUSMVUIUSVPVQZUWRUVCVUCUVGXLWCXMXNAUWSUXAXRUWIAUURUUSUVAUVRU
        VSUWEANUVAUOUDZUPUVMUURUUSVCUDZUGZUPZVVDAVVCVVEAVVCUVMUUTUVJOZUGZVVEANY
        JVNZEYJDVLZENVNUUTNVNVVCVVHUIVVIAXTYAAUWPVVIVVJUWQXTENYJDYBYCUVOAUUTENM
        UVOYDEUUTNUVIDYEYFOZVVKYKZVVKVVLYGYHYIAVVGVVDUVMAUXTUYAVVGVVDUIUVRUVSUU
        RUUSYLWGYMYNZYOAVVFVVDUVNYPZVVDUVMVVDUUBAVVDUVNVNVVNVVDUIAVVDEUVNAVVDUU
        TEUURUUSUUCMUUDHWTVVDUVNUUEUUFXDYNAVVCUHZUVMUHZUULAVVCUVMVNVVOVVPVNAVVC
        VVEUVMVVMUVMVVDUUGUUHVVCUVMUUAVOIUUIUUMVQZYQUWJUWSUWOUXAUWJUWSUVGVUCRSZ
        UWOUWJUWSUXEVUERSZVVRUWJUXHVUGVUHUWSVVSTUYBVUJVUKUWSUXHVUGVUHVVSUWSUXHV
        UGVUHVVSTUWSVULQVUHVVSUUTUVBBUUSRRUVAWIWJWKWLWMUWJUXEUVGVUEVUCRUYFVUNWO
        WPUWJVVRVUQUWOUWJVUPVUOVUQVVAYRUWJUWMVUPUWGVVRVUQQUWOTUWRVVBAUWFUWGUVFU
        UJZUVGVUCUVDYSWCYTXNUWJUXAUVGUXBRSZUWOUWJUXAUXDUXEUWTSZVWAUWJUXGUXHUXIU
        XAVWBTUXPUYBUYCUXAUXGUXHUXIVWBUXAUXGUXHUXIVWBTUXAUYDQUXIVWBUUTUVBUURBRU
        WTUVAWIWJWKWLWMVWBUXEUXDRSUWJVWAUXDUXERUURUVAXSVUMXPUWJUXEUVGUXDUXBRUYF
        UYEWOXQWPUWJVWAUYIUWOUWJUYHUYGUYIUYTYRUWJUWMUYHUWGVWAUYIQUWOTUWRVUBVVTU
        VGUXBUVDYSWCYTXNVVQYQUWJUVCVSPUVDVSPUWLUWMUWNUWOWDWEUWJUVCVUAWAUWJUVDVV
        TWAUVCUVDUVGUUKWGWHUWJUVKUVEUVJOZUWKUWJUVHUVEUVJUYSUUNUWHVWCUWKUIAUVFUV
        CUVDYLXFYNUUOUUPUUQXH $.

      dvcnvre.t $e |- T = ( topGen ` ran (,) ) $.
      dvcnvre.j $e |- J = ( TopOpen ` CCfld ) $.
      dvcnvre.m $e |- M = ( J |`t X ) $.
      dvcnvre.n $e |- N = ( J |`t Y ) $.
      $( Lemma for ~ dvcnvre .  (Contributed by Mario Carneiro, 19-Feb-2015.)
         (Revised by Mario Carneiro, 8-Sep-2015.) $)
      dvcnvrelem2 $p |- ( ph -> ( ( F ` C ) e. ( ( int ` T ) ` Y ) /\
        `' F e. ( ( N CnP M ) ` ( F ` C ) ) ) ) $=
        ( cfv cnt wcel ccnv ccnp co cmin caddc cicc cima ctop cr wss cioo retop
        crn ctg eqeltri wf1o wfo wceq f1ofo forn 3syl ccncf wf eqsstrrd imassrn
        cncff frn sseqtrid cuni uniretop unieqi eqtr4i ntrss dvcnvrelem1 fveq2i
        mp3an2i fveq1i eleqtrrdi sseldd cres crest wfun f1of ffun funcnvres ccn
        f1ocnv cdv cdm dvbsss eqsstrrdi ax-resscn sstrdi cncfss syl2anc wf1 syl
        cc f1of1 f1ores ccmp wb tgioo2 eqtri oveq1i cvv cnfldtop sstrd reex a1i
        restabs syl5eq rpred resubcld readdcld eqid icccmp eqeltrrd sstrid sylc
        rescncf cncffvrn mpbird cncfcnvcn mpbid cncfcn eleqtrd cle ltled ctopon
        wbr resttopon sylancr toponuni fveq1d eqeltrid ltsubrpd ltaddrpd elicc2
        w3a mpbir3and wi fdm sseqtrrd funfvima2 cnfldtopon cncnpi ssexg sylancl
        mpd oveq1d eleqtrrd topontop sseqtrd cdif cun cin difssd unssd ffvelrnd
        ssun1 elind restntr 3eqtr4g fveq2d eqtr3d feq2d feq3 cnprest syl22anc
        jca ) ABEUBZJDUCUBZUBZUDEUEZUVPHGUFUGUBUDZAEBCUHUGZBCUIUGZUJUGZUKZUVQUB
        ZUVRUVPDULUDZAJUMUNZUWDJUNZUWEUVRUNDUOUQURUBZULRUPUSZAJEUQZUMAIJEUTZIJE
        VAUWKJVBNIJEVCIJEVDVEZAEIUMVFUGUDZIUMEVGZUWKUMUNKIUMEVJZIUMEVKVEZVHZAUW
        KUWDJEUWCVIZUWMVLZJUWDDUMUMUWIVMDVMVNDUWIRVOVPZVQVTAUVPUWDUWIUCUBZUBUWE
        ABCEIJKLMNOPQVRUWDUVQUXBDUWIUCRVSWAWBZWCAUVTUVSUWDWDZUVPHUWDWEUGZGUFUGZ
        UBZUDZAUXDUVPFUWDWEUGZGUFUGZUBZUXGAEUWCWDZUEZUXDUXKAJIUVSVGZUVSWFUXMUXD
        VBAUWLJIUVSUTUXNNIJEWKJIUVSWGVEZJIUVSWHUWCEWIVEAUXMUXIGWJUGZUDUVPUXIVMZ
        UDUXMUXKUDAUXMUWDIVFUGZUXPAUWDUWCVFUGZUXRUXMAUWCIUNZIXBUNZUXSUXRUNQAIUM
        XBAIUMEWLUGWMUMLUMEWNWOZWPWQZUWDUWCIWRWSAUWCUWDUXLUTZUXMUXSUDZAIJEWTZUX
        TUYDAUWLUYFNIJEXCXAQIJUWCEXDWSZAFUWCWEUGZXEUDUXLUWCUWDVFUGUDZUYDUYEXFAD
        UWCWEUGZUYHXEAUYJFUMWEUGZUWCWEUGZUYHDUYKUWCWEDUWIUYKRFSXGXHZXIFULUDZAUW
        CUMUNUMXJUDZUYLUYHVBFSXKZAUWCIUMQUYBXLUYOAXMXNZUWCUMFULXJXOVTXPAUWAUMUD
        ZUWBUMUDZUYJXEUDABCAIUMBUYBOWCZACPXQZXRZABCUYTVUAXSZUWAUWBUYJDRUYJXTYAW
        SYBAUYIUWCUWDUXLVGZAUYDVUDUYGUWCUWDUXLWGXAAUWDXBUNZUXLUWCUMVFUGUDZUYIVU
        DXFAUWDUWKXBUWSAUWKUMXBUWQWPWQYCZAUXTUWNVUFQKIUMUWCEYEYDUWCUMUWDUXLYFWS
        YGUXLFUYHUWCUWDSUYHXTYHWSYIWCAVUEUYAUXRUXPVBVUGUYCUWDIFUXIGSUXIXTTYJWSY
        KAUVPUWDUXQABUWCUDZUVPUWDUDZAVUHBUMUDZUWABYLYOZBUWBYLYOZUYTAUWABVUBUYTA
        BCUYTPUUAYMABUWBUYTVUCABCUYTPUUBYMAUYRUYSVUHVUJVUKVULUUDXFVUBVUCUWAUWBB
        UUCWSUUEAEWFZUWCEWMZUNVUHVUIUUFAUWNUWOVUMKUWPIUMEWHVEAUWCIVUNQAUWNUWOVU
        NIVBKUWPIUMEUUGVEUUHUWCBEUUIWSUUNAUXIUWDYNUBUDZUWDUXQVBAFXBYNUBUDZVUEVU
        OFSUUJZVUGUWDFXBYPYQUWDUXIYRXAYKUVPUXMUXIGUXQUXQXTUUKWSYBAUVPUXFUXJAUXE
        UXIGUFAUXEFJWEUGZUWDWEUGZUXIHVURUWDWEUAXIUYNAUWHJXJUDZVUSUXIVBUYPUWTAUW
        GUYOVUTUWRXMJUMXJUULUUMUWDJFULXJXOVTXPUUOYSUUPAHULUDZUWDHVMZUNUVPUWDHUC
        UBZUBZUDVVBGVMZUVSVGZUVTUXHXFAHJYNUBZUDZVVAAHVURVVGUAAVUPJXBUNVURVVGUDV
        UQAJUMXBUWRWPWQJFXBYPYQYTZJHUUQXAAUWDJVVBUWTAVVHJVVBVBVVIJHYRXAZUURAUVP
        UWDUMJUUSZUUTZUVQUBZJUVAZVVDAVVMJUVPAUWEVVMUVPUWFAVVLUMUNUWDVVLUNZUWEVV
        MUNUWJAUWDVVKUMAUWDJUMUWTUWRXLAUMJUVBUVCVVOAUWDVVKUVEXNVVLUWDDUMUXAVQVT
        UXCWCAIJBEAUWLIJEVGNIJEWGXAOUVDUVFAUWDDJWEUGZUCUBZUBZVVNVVDUWFAUWGUWHVV
        RVVNVBUWJUWRUWTUWDDVVPUMJUXAVVPXTUVGVTAUWDVVQVVCAVVPHUCAUYKJWEUGZVURVVP
        HUYNAUWGUYOVVSVURVBUYPUWRUYQJUMFULXJXOVTDUYKJWEUYMXIUAUVHUVIYSUVJYKAVVB
        IUVSVGZVVFAUXNVVTUXOAJVVBIUVSVVJUVKYIAGIYNUBZUDIVVEVBVVTVVFXFAGFIWEUGZV
        WATAVUPUYAVWBVWAUDVUQUYCIFXBYPYQYTIGYRIVVEVVBUVSUVLVEYIUWDUVPUVSHGVVBVV
        EVVBXTVVEXTUVMUVNYGUVO $.
    $}

    $( The derivative rule for inverse functions.  If ` F ` is a continuous and
       differentiable bijective function from ` X ` to ` Y ` which never has
       derivative ` 0 ` , then ` ``' F ` is also differentiable, and its
       derivative is the reciprocal of the derivative of ` F ` .  (Contributed
       by Mario Carneiro, 24-Feb-2015.) $)
    dvcnvre $p |- ( ph -> ( RR _D `' F ) =
      ( x e. Y |-> ( 1 / ( ( RR _D F ) ` ( `' F ` x ) ) ) ) ) $=
      ( cr cfv eqid cc wcel wceq wss co sylancr wa wb vr vy ccnfld cioo crn ctg
      ctopn tgioo2 cpr reelprrecn a1i cnt ctop retop wf1o f1ofo forn 3syl ccncf
      wfo wf cncff frn eqsstrrd uniretop ntrss2 ccnv f1ocnvfv2 sylan crest ccnp
      cv cabs cmin ccom cxp cres cbl crp cxmet wrex rexmet cdv dvbsss ax-resscn
      cdm syl sylancl dvbssntr eqssd isopn3 mpbird f1ocnv ffvelrnda cmopn tgioo
      fss f1of mopni2 mp3an2ani c2 cdiv ad2antrr cc0 wn rphalfcl ad2antrl caddc
      adantr cicc clt wbr cle w3a sseldd rpred resubcld readdcld elicc2 syl2anc
      biimpa simp1d simplrl rphalflt ltsub2dd simp2d ltletrd simp3d lelttrd cxr
      ltadd2dd rexrd elioo2 mpbir3and ex ssrdv rpre ctopon sstrdi resttopon ccn
      bl2ioo sseqtrrd simprr dvcnvrelem2 rexlimddv simpld eqeltrrd eqelssd wral
      sstrd simprd fveq2d eleqtrd ralrimiva cnfldtopon cncnp mpbir2and eleqtrrd
      cncfcn dvcnv ) ABJCUCUGKZUDUEUFKZDEUVBLZUVBUVDUHZJJMUINAUJUKAEUVCNZEUVCUL
      KZKZEOZABUVHEAUVCUMNZEJPZUVHEPUNAECUEZJADECUOZDECUTUVLEOIDECUPDECUQURACDJ
      USQNZDJCVAZUVLJPFDJCVBZDJCVCURVDZEUVCJVEVFRABVLZENZSZUVRCVGZKZCKZUVRUVHAU
      VMUVSUWCUVROIDEUVRCVHVIZUVTUWCUVHNZUWAUWCUVBEVJQZUVBDVJQZVKQZKZNZUVTUWBUA
      VLZVMVNVOJJVPVQZVRKQZDPZUWEUWJSUAVSUWLJVTKNADUVCNZUVSUWBDNZUWNUAVSWAUWLUW
      LLZWBAUWODUVGKZDOZAUWRDAUVJDJPZUWRDPUNADJCWCQZWFZJGUXBJPAJCWDUKVDZDUVCJVE
      VFRADUXBUWRGADJCUVCUVBJMPZAWEUKAUVOUXDDMCVAAUVNUVOFUVPWGWEDJMCWQWHUXCUVEU
      VDWIVDWJAUVJUWTUWOUWSTUNUXCDUVCJVEWKRWLAEDUVRUWAAUVMEDUWAUOEDUWAVAZIDECWM
      EDUWAWRURZWNZUADUWLUWBUVCJUWLUWLWOKZUWQUXHLWPWSWTUVTUWKVSNZUWNSZSZUWBUWKX
      AXBQZUVCCUVBUWGUWFDEAUVNUVSUXJFXCAUXBDOUVSUXJGXCAXDUXAUENXEUVSUXJHXCAUVMU
      VSUXJIXCUVTUWPUXJUXGXIZUXIUXLVSNZUVTUWNUWKXFZXGZUXKUWBUXLVNQZUWBUXLXHQZXJ
      QZUWMDUXKUXSUWBUWKVNQZUWBUWKXHQZUDQZUWMUXKUBUXSUYBUXKUBVLZUXSNZUYCUYBNZUX
      KUYDSZUYEUYCJNZUXTUYCXKXLZUYCUYAXKXLZUYFUYGUXQUYCXMXLZUYCUXRXMXLZUXKUYDUY
      GUYJUYKXNZUXKUXQJNZUXRJNZUYDUYLTUXKUWBUXLUXKDJUWBAUWTUVSUXJUXCXCUXMXOZUXK
      UXLUXPXPZXQZUXKUWBUXLUYOUYPXRZUXQUXRUYCXSXTYAZYBZUYFUXTUXQUYCUYFUWBUWKUXK
      UWBJNZUYDUYOXIZUYFUWKUVTUXIUWNUYDYCZXPZXQZUXKUYMUYDUYQXIUYTUYFUXLUWKUWBUY
      FUXLUYFUXIUXNVUCUXOWGXPZVUDVUBUYFUXIUXLUWKXKXLVUCUWKYDWGZYEUYFUYGUYJUYKUY
      SYFYGUYFUYCUXRUYAUYTUXKUYNUYDUYRXIUYFUWBUWKVUBVUDXRZUYFUYGUYJUYKUYSYHUYFU
      XLUWKUWBVUFVUDVUBVUGYKYIUYFUXTYJNUYAYJNUYEUYGUYHUYIXNTUYFUXTVUEYLUYFUYAVU
      HYLUXTUYAUYCYMXTYNYOYPUXKVUAUWKJNZUWMUYBOUYOUXIVUIUVTUWNUWKYQXGUWBUWKUWLU
      WQUUBXTUUCUVTUXIUWNUUDUUKUVCLUVDUWGLZUWFLZUUEUUFZUUGUUHUUIAUVJUVKUVFUVITU
      NUVQEUVCJVEWKRWLIAUWAUWFUWGUUAQZEDUSQZAUWAVUMNZUXEUWAUVRUWHKZNZBEUUJZUXFA
      VUQBEUVTUWAUWIVUPUVTUWEUWJVULUULUVTUWCUVRUWHUWDUUMUUNUUOAUWFEYRKNZUWGDYRK
      NZVUOUXEVURSTAUVBMYRKNZEMPZVUSUVBUVDUUPZAEJMUVQWEYSZEUVBMYTRAVVADMPZVUTVV
      CADJMUXCWEYSZDUVBMYTRBUWAUWFUWGEDUUQXTUURAVVBVVEVUNVUMOVVDVVFEDUVBUWFUWGU
      VDVUKVUJUUTXTUUSGHUVA $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y F $.  $d x y ph $.
    $d x y T $.
    dvcvx.a $e |- ( ph -> A e. RR ) $.
    dvcvx.b $e |- ( ph -> B e. RR ) $.
    dvcvx.l $e |- ( ph -> A < B ) $.
    dvcvx.f $e |- ( ph -> F e. ( ( A [,] B ) -cn-> RR ) ) $.
    dvcvx.d $e |- ( ph -> ( RR _D F ) Isom < , < ( ( A (,) B ) , W ) ) $.
    dvcvx.t $e |- ( ph -> T e. ( 0 (,) 1 ) ) $.
    dvcvx.c $e |- C = ( ( T x. A ) + ( ( 1 - T ) x. B ) ) $.
    $( A real function with strictly increasing derivative is strictly convex.
       (Contributed by Mario Carneiro, 20-Jun-2015.) $)
    dvcvx $p |- ( ph -> ( F ` C ) <
        ( ( T x. ( F ` A ) ) + ( ( 1 - T ) x. ( F ` B ) ) ) ) $=
      ( cr co cmin clt wbr wcel vx vy cv cicc cres cdv cdiv wceq cioo wrex cmul
      cfv caddc cc0 elioore syl remulcld resubcl sylancr readdcld eqeltrid 1cnd
      c1 1re recnd subdird mulid2d oveq1d eqtrd wb eliooord simprd posdif mpbid
      wa sylancl ltmul2 syl112anc eqbrtrrd ltsubadd2d breqtrrdi wss ccncf leidd
      cle simpld ltsub2dd eqbrtrd ltaddsub2d ltled syl22anc rescncf sylc cdm cc
      iccss wf ax-resscn iccssre syl2anc dvres iccntr reseq2d dmeqd dmres rexrd
      cin sseqtrrd df-ss sylib syl5eq mvth fveq1d fvres adantr sylan9eq syl3anc
      cxr ubicc2 fvresd lbicc2 oveq12d ad2antrl ad2antll sselda sseldd ffvelrnd
      eqeq12d resubcld gt0ne0d redivcld mulcomd subdid breq12d 3bitr3d divdiv1d
      jca eqtr3d oveq2d 3eqtr4d mpbird eqbrtrid crn ctg cnt a1i cncff fss ctopn
      ccnfld eqid tgioo2 iooss2 wiso wf1o isof1o f1odm 3syl iooss1 reeanv lttrd
      adantl anbi12d adantrr adantrl isorel breq12 syl5ibcom posdifd lt2mul2div
      syl12anc ltdiv1 addsubd ax-1cn adddird 3eqtr3d ltaddsubd subsub3d addcomd
      pncan3 breq1d subsub4d nncand eqtr4d 3bitr3rd sylibd rexlimdvva syl5bir
      sylbid mp2and ) AUAUCZOFBDUDPZUEZUFPZULZDUWMULZBUWMULZQPZDBQPZUGPZUHZUABD
      UIPZUJZUBUCZOFDCUDPZUEZUFPZULZCUXFULZDUXFULZQPZCDQPZUGPZUHZUBDCUIPZUJZDFU
      LZEBFULZUKPZVCEQPZCFULZUKPZUMPRSZAUABDUWMHADEBUKPZUXTCUKPZUMPZONAUYDUYEAE
      BAEUNVCUIPTZEOTZMEUNVCUOUPZHUQZAUXTCAVCOTZUYHUXTOTZVDUYIVCEURUSZIUQZUTVAZ
      ABUYFDRABUYDQPZUYERSBUYFRSAUXTBUKPZUYPUYERAUYQVCBUKPZUYDQPUYPAVCEBAVBZAEU
      YIVEZABHVEZVFAUYRBUYDQABVUAVGVHVIZABCRSZUYQUYERSZJABOTZCOTZUYLUNUXTRSZVUC
      VUDVJHIUYMAEVCRSZVUGAUNERSZVUHAUYGVUIVUHVOMEUNVCVKUPZVLAUYHUYKVUHVUGVJUYI
      VDEVCVMVPVNZBCUXTVQVRVNVSABUYDUYEHUYJUYNVTVNNWAZAUWLBCUDPZWBZFVUMOWCPTZUW
      MUWLOWCPTAVUEVUFBBWESDCWESZVUNHIABHWDADCUYOIADUYFCRNAUYFCRSUYECUYDQPZRSAU
      YECECUKPZQPZVUQRAUYEVCCUKPZVURQPVUSAVCECUYSUYTACIVEZVFAVUTCVURQACVVAVGVHV
      IZAUYDVURCUYJAECUYIIUQZIAVUCUYDVURRSZJAVUEVUFUYHVUIVUCVVDVJHIUYIAVUIVUHVU
      JWFZBCEVQVRVNWGWHAUYDUYECUYJUYNIWIUUAUUBZWJZBCBDWPWKZKVUMOUWLFWLWMAUWNWNO
      FUFPZUXBUEZWNZUXBAUWNVVJAUWNVVIUWLUIUUCUUDULZUUEULZULZUEZVVJAOWOWBZVUMWOF
      WQZVUMOWBZUWLOWBZUWNVVOUHVVPAWRUUFZAVUMOFWQZVVPVVQAVUOVWAKVUMOFUUGUPZWRVU
      MOWOFUUHVPZAVUEVUFVVRHIBCWSWTZAVUEDOTZVVSHUYOBDWSWTVUMUWLOVVLFUUJUUIULZVW
      FUUKZVWFVWGUULZXAWKAVVNUXBVVIAVUEVWEVVNUXBUHHUYOBDXBWTXCVIZXDAVVKUXBVVIWN
      ZXGZUXBVVIUXBXEAUXBVWJWBVWKUXBUHAUXBBCUIPZVWJACXRTZVUPUXBVWLWBACIXFZVVGBD
      CUUMWTZAVWLGRRVVIUUNZVWLGVVIUUOVWJVWLUHLVWLGRRVVIUUPVWLGVVIUUQUURZXHUXBVW
      JXIXJXKVIXLAUBDCUXFUYOIVVFAUXEVUMWBZVUOUXFUXEOWCPTAVUEVUFBDWESZCCWESVWRHI
      ABDHUYOVULWJZACIWDBCDCWPWKZKVUMOUXEFWLWMAUXGWNVVIUXOUEZWNZUXOAUXGVXBAUXGV
      VIUXEVVMULZUEZVXBAVVPVVQVVRUXEOWBZUXGVXEUHVVTVWCVWDAVWEVUFVXFUYOIDCWSWTVU
      MUXEOVVLFVWFVWGVWHXAWKAVXDUXOVVIAVWEVUFVXDUXOUHUYOIDCXBWTXCVIZXDAVXCUXOVW
      JXGZUXOVVIUXOXEAUXOVWJWBVXHUXOUHAUXOVWLVWJABXRTZVWSUXOVWLWBABHXFZVWTBDCUU
      SWTZVWQXHUXOVWJXIXJXKVIXLUXCUXPVOUXAUXNVOZUBUXOUJUAUXBUJAUYCUXAUXNUAUBUXB
      UXOUUTAVXLUYCUAUBUXBUXOAUWKUXBTZUXDUXOTZVOZVOZVXLUWKVVIULZUXQUXRQPZUWSUGP
      ZUHZUXDVVIULZUYAUXQQPZUXLUGPZUHZVOZUYCVXPUXAVXTUXNVYDVXPUWOVXQUWTVXSAVXOU
      WOUWKVVJULZVXQAUWKUWNVVJVWIXMVXMVYFVXQUHVXNUWKUXBVVIXNXOXPAUWTVXSUHVXOAUW
      RVXRUWSUGAUWPUXQUWQUXRQADUWLFAVXIDXRTZVWSDUWLTVXJADUYOXFZVWTBDXSXQZXTABUW
      LFAVXIVYGVWSBUWLTVXJVYHVWTBDYAXQZXTYBVHXOYHVXPUXHVYAUXMVYCAVXOUXHUXDVXBUL
      ZVYAAUXDUXGVXBVXGXMVXNVYKVYAUHVXMUXDUXOVVIXNUVBXPAUXMVYCUHVXOAUXKVYBUXLUG
      AUXIUYAUXJUXQQACUXEFAVYGVWMVUPCUXETVYHVWNVVGDCXSXQZXTADUXEFAVYGVWMVUPDUXE
      TVYHVWNVVGDCYAXQXTYBVHXOYHUVCVXPVYEVXSVYCRSZUYCVXPVXQVYARSZVYEVYMVXPUWKUX
      DRSZVYNVXPUWKDUXDVXMUWKOTAVXNUWKBDUOYCAVWEVXOUYOXOVXNUXDOTAVXMUXDDCUOYDVX
      PBUWKRSZUWKDRSZVXMVYPVYQVOAVXNUWKBDVKYCVLVXPDUXDRSZUXDCRSZVXNVYRVYSVOAVXM
      UXDDCVKYDWFUVAVXPVWPUWKVWLTZUXDVWLTZVYOVYNVJAVWPVXOLXOAVXMVYTVXNAUXBVWLUW
      KVWOYEUVDAVXNWUAVXMAUXOVWLUXDVXKYEUVEVWLGUWKUXDRRVVIUVFUVKVNVXQVXSVYAVYCR
      UVGUVHAVYMUYCVJVXOAVXRUXTUGPZVYBEUGPZRSZWUBCBQPZUGPZWUCWUEUGPZRSZUYCVYMAW
      UBOTWUCOTWUEOTUNWUERSZWUDWUHVJAVXRUXTAUXQUXRAVUMODFVWBAUWLVUMDVVHVYIYFYGZ
      AVUMOBFVWBAUWLVUMBVVHVYJYFYGZYIZUYMAUXTVUKYJZYKAVYBEAUYAUXQAVUMOCFVWBAUXE
      VUMCVXAVYLYFYGZWUJYIZUYIAEVVEYJZYKACBIHYIZAVUCWUIJABCHIUVIVNZWUBWUCWUEUVL
      VRAVXREUKPZVYBUXTUKPZRSZEUXQUKPZUXSQPZUYBUXTUXQUKPZQPZRSZWUDUYCAWUSWVCWUT
      WVERAWUSEVXRUKPWVCAVXREAVXRWULVEZUYTYLAEUXQUXRUYTAUXQWUJVEZAUXRWUKVEYMVIA
      WUTUXTVYBUKPWVEAVYBUXTAVYBWUOVEZAUXTUYMVEZYLAUXTUYAUXQWVJAUYAWUNVEWVHYMVI
      YNAVXROTUYHVUIVOVYBOTUYLVUGVOWVAWUDVJWULAUYHVUIUYIVVEYQWUOAUYLVUGUYMVUKYQ
      VXREVYBUXTUVJWKAWVCWVDUMPZUYBRSUXQUXSQPZUYBRSWVFUYCAWVKWVLUYBRAWVBWVDUMPZ
      UXSQPWVKWVLAWVBWVDUXSAWVBAEUXQUYIWUJUQZVEAWVDAUXTUXQUYMWUJUQZVEAUXSAEUXRU
      YIWUKUQZVEUVMAWVMUXQUXSQAEUXTUMPZUXQUKPVCUXQUKPWVMUXQAWVQVCUXQUKAEWOTVCWO
      TWVQVCUHUYTUVNEVCUVTVPVHAEUXTUXQUYTWVJWVHUVOAUXQWVHVGUVPVHYRUWAAWVCWVDUYB
      AWVBUXSWVNWVPYIWVOAUXTUYAUYMWUNUQZUVQAUXQUXSUYBWUJWVPWVRVTYOYOAWUFVXSWUGV
      YCRAWUFVXRUXTWUEUKPZUGPVXSAVXRUXTWUEWVGWVJAWUEWUQVEZWUMAWUEWURYJZYPAWVSUW
      SVXRUGAUYEUYQQPZUYEUYDUMPZBQPZWVSUWSAWWBUYEUYPQPWWDAUYQUYPUYEQVUBYSAUYEBU
      YDAUYEUYNVEZVUAAUYDUYJVEZUVRVIAUXTCBWVJVVAVUAYMADWWCBQADUYFWWCNAUYDUYEWWF
      WWEUVSXKZVHYTYSVIAWUGVYBEWUEUKPZUGPVYCAVYBEWUEWVIUYTWVTWUPWWAYPAUXLWWHVYB
      UGACWWCQPZVURUYDQPZUXLWWHACUYEQPZUYDQPWWIWWJACUYEUYDVVAWWEWWFUWBAWWKVURUY
      DQAWWKCVUSQPVURAUYEVUSCQVVBYSACVURVVAAVURVVCVEUWCVIVHYRADWWCCQWWGYSAECBUY
      TVVAVUAYMYTYSUWDYNUWEXOUWFUWIUWGUWHUWJ $.
  $}

  ${
    $d k y A $.  $d k x y M $.  $d k x y N $.  $d k x y ph $.  $d x y X $.
    $d y B $.  $d x y C $.  $d x y D $.  $d x V $.
    dvfsumle.m $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    dvfsumle.a $e |- ( ph ->
      ( x e. ( M [,] N ) |-> A ) e. ( ( M [,] N ) -cn-> RR ) ) $.
    dvfsumle.v $e |- ( ( ph /\ x e. ( M (,) N ) ) -> B e. V ) $.
    dvfsumle.b $e |- ( ph ->
      ( RR _D ( x e. ( M (,) N ) |-> A ) ) = ( x e. ( M (,) N ) |-> B ) ) $.
    dvfsumle.c $e |- ( x = M -> A = C ) $.
    dvfsumle.d $e |- ( x = N -> A = D ) $.
    dvfsumle.x $e |- ( ( ph /\ k e. ( M ..^ N ) ) -> X e. RR ) $.
    ${
      dvfsumle.l $e |- ( ( ph /\ ( k e. ( M ..^ N ) /\
        x e. ( k (,) ( k + 1 ) ) ) ) -> X <_ B ) $.
      $( Compare a finite sum to an integral (the integral here is given as a
         function with a known derivative).  (Contributed by Mario Carneiro,
         14-May-2016.) $)
      dvfsumle $p |- ( ph -> sum_ k e. ( M ..^ N ) X <_ ( D - C ) ) $=
        ( cr vy cfzo co csu cv c1 caddc csb cmin cle cfn wcel fzofi a1i wa wral
        cfz cicc cz cin wceq cuz cfv eluzel2 syl eluzelz syl2anc inss1 eqsstrdi
        fzval2 sselda cmpt wf ccncf cncff eqid sylibr nfcsb1v nfel1 weq csbeq1a
        fmpt eleq1d rspc syldan ralrimiva fzofzp1 csbeq1 rspccva syl2an elfzofz
        mpan9 resubcld cmul cc elfzoelz adantl zred recnd ax-1cn pncan2 sylancl
        oveq2d peano2re subdid mulid1d 3eqtr3d ccnfld ctopn wss adantr elfzole1
        mulcn wbr elfzle2 iccss syl22anc iccssre sstrd ax-resscn sstrdi syl3anc
        cioo cdv cxr rexrd 1cnd ioossre dvmptres eqtrd cbvmpt sseli cdm adantlr
        nfcv oveq2 cvv eqeq2 biimpa csbied cncfmptc cncfmptid cncfmpt2ss iooss1
        remulcl cpr reelprrecn iooss2 ioossicc sstrid crn ctg dvmptid dvmptcmul
        tgioo2 iooretop mpteq2dv cres resmptd rescncf eqeltrrd eqeltrrid impcom
        fvmptelrn sylan2 fmpttd dvfre dmeqd dmmptg feq12d mpbid 3eqtr3g anassrs
        sylc oveq2i nfbr breq2d lep1d lbicc2 ubicc2 dvle eqbrtrrd vex telfsumo2
        fsumle breqtrd ) AHIUBUCZKGUDUWGBGUEZUFUGUCZCUHZBUWHCUHZUIUCZGUDFEUIUCU
        JAUWGKUWLGUWGUKULAHIUMUNRAUWHUWGULZUOZUWJUWKABUAUEZCUHZTULZUAHIUQUCZUPZ
        UWIUWRULZUWJTULZUWMAUWQUAUWRAUWOUWRULZUWOHIURUCZULZUWQAUWRUXCUWOAUWRUXC
        USUTZUXCAHUSULZIUSULZUWRUXEVAAIHVBVCULZUXFLHIVDVEZAUXHUXGLHIVFVEZHIVJVG
        UXCUSVHVIVKACTULZBUXCUPZUXDUWQAUXCTBUXCCVLZVMZUXLAUXMUXCTVNUCULZUXNMUXC
        TUXMVOVEZBUXCTCUXMUXMVPWBZVQUXKUWQBUWOUXCBUWPTBUWOCVRZVSBUAVTZCUWPTBUWO
        CWAZWCWDZWLWEZWFZHIUWHWGZUWQUXAUAUWIUWRUWOUWIVAUWPUWJTBUWOUWICWHZWCWIWJ
        AUWSUWHUWRULUWKTULZUWMUYCUWHHIWKUWQUYFUAUWHUWRUAGVTUWPUWKTBUWOUWHCWHZWC
        WIWJWMUWNKUWIWNUCZKUWHWNUCZUIUCZKUWLUJUWNKUWIUWHUIUCZWNUCKUFWNUCZUYJKUW
        NUYKUFKWNUWNUWHWOULUFWOULUYKUFVAUWNUWHUWNUWHUWMUWHUSULAUWHHIWPWQWRZWSZW
        TUWHUFXAXBXCUWNKUWIUWHUWNKRWSZUWNUWIUWNUWHTULUWITULUYMUWHXDVEZWSUYNXEUW
        NKUYOXFZXGUWNUAKUWOWNUCZKUWPBUWODUHZUYIUWKUYHUWJUWHUWIUWHUWIUYMUYPUWNUA
        KUWOTWNXHXIVCZUWHUWIURUCZUYTVPZUYTVUBXMUWNKTULVUAWOXJTWOXJZUAVUAKVLVUAT
        VNUCZULRUWNVUATWOUWNVUAUXCTUWNHTULZITULZHUWHUJXNZUWIIUJXNZVUAUXCXJZAVUE
        UWMAHUXIWRZXKZAVUFUWMAIUXJWRZXKZUWMVUGAUWHHIXLWQZUWNUWTVUHUWMUWTAUYDWQU
        WIHIXOVEZHIUWHUWIXPXQZAUXCTXJZUWMAVUEVUFVUQVUJVULHIXRVGXKZXSZXTYAVUCUWN
        XTUNZUAKVUATUUAYBUWNVUATXJVUCUAVUAUWOVLVUDULVUSXTUAVUATUUBXBXTKUWOUUEUU
        CUWNTUAUWHUWIYCUCZUYRVLYDUCUAVVAUYLVLUAVVAKVLUWNUAUWOUFKTWOVVATTWOUUFUL
        UWNUUGUNZUWNVVAWOUWOUWNVVAHIYCUCZWOUWNVVAHUWIYCUCZVVCUWNHYEULVUGVVAVVDX
        JUWNHVUKYFVUNHUWHUWIUUDVGUWNIYEULVUHVVDVVCXJUWNIVUMYFVUOHUWIIUUHVGXSZUW
        NVVCUXCWOHIUUIZUWNUXCTWOVURXTYAUUJXSVKUWNUWOVVAULZUOYGUWNUAUWOUFTYCUUKU
        ULVCZUYTWOTVVAVVBUWNTWOUWOVUTVKUWNUWOTULUOYGUWNUATVVBUUMVVATXJUWNUWHUWI
        YHUNUYTVUBUUOZVUBVVAVVHULUWNUWHUWIUUPUNZYIUYOUUNUWNUAVVAUYLKUYQUUQYJUWN
        UAVUAUWPVLBVUACVLZVUDBUAVUACUWPUACYOZUXRUXTYKUWNUXMVUAUURZVVKVUDUWNBUXC
        VUACVUPUUSUWNVUIUXOVVMVUDULVUPAUXOUWMMXKUXCTVUAUXMUUTUVNUVAUVBUWNUAUWPU
        YSTVVHUYTTVVCVVAVVBUWNUWOVVCULZUOUWPUWNUXLUXDUWQVVNUWNUXNUXLAUXNUWMUXPX
        KUXQVQVVCUXCUWOVVFYLUXDUXLUWQUYAUVCWJWSUWNDTULZBVVCUPZVVNUYSTULZUWNVVCT
        BVVCDVLZVMZVVPUWNTBVVCCVLZYDUCZYMZTVWAVMZVVSUWNVVCTVVTVMVVCTXJVWCUWNBVV
        CCTBUEZVVCULZUWNVWDUXCULZUXKVVCUXCVWDVVFYLAVWFUXKUWMABUXCCTUXPUVDYNUVEU
        VFHIYHVVCVVTUVGXBUWNVWBVVCTVWAVVRAVWAVVRVAUWMOXKZUWNVWBVVRYMZVVCUWNVWAV
        VRVWGUVHUWNDJULZBVVCUPVWHVVCVAUWNVWIBVVCAVWEVWIUWMNYNWFBVVCDJUVIVEYJUVJ
        UVKBVVCTDVVRVVRVPWBVQVVOVVQBUWOVVCBUYSTBUWODVRZVSUXSDUYSTBUWODWAZWCWDWL
        UWNVWAVVRTUAVVCUWPVLZYDUCUAVVCUYSVLVWGVVTVWLTYDBUAVVCCUWPVVLUXRUXTYKUVO
        BUAVVCDUYSUADYOVWJVWKYKUVLVVEVVIVUBVVJYIUWNKDUJXNZBVVAUPVVGKUYSUJXNZUWN
        VWMBVVAAUWMVWDVVAULVWMSUVMWFVWMVWNBUWOVVABKUYSUJBKYOBUJYOVWJUVPUXSDUYSK
        UJVWKUVQWDWLUWNUWHYEULZUWIYEULZUWHUWIUJXNZUWHVUAULUWNUWHUYMYFZUWNUWIUYP
        YFZUWNUWHUYMUVRZUWHUWIUVSYBUWNVWOVWPVWQUWIVUAULVWRVWSVWTUWHUWIUVTYBVWTU
        WOUWHKWNYPUYGUWOUWIKWNYPUYEUWAUWBUWEAUWPUWKUWJEGUAFHIUYGUYEUWOHVAZBUWOC
        EYQUWOYQULZVXAUAUWCZUNVXAUXSUOVWDHVAZCEVAVXAUXSVXDUWOHVWDYRYSPVEYTUWOIV
        AZBUWOCFYQVXBVXEVXCUNVXEUXSUOVWDIVAZCFVAVXEUXSVXFUWOIVWDYRYSQVEYTLAUXBU
        OUWPUYBWSUWDUWF $.
    $}

    ${
      dvfsumge.l $e |- ( ( ph /\ ( k e. ( M ..^ N ) /\
        x e. ( k (,) ( k + 1 ) ) ) ) -> B <_ X ) $.
      $( Compare a finite sum to an integral (the integral here is given as a
         function with a known derivative).  (Contributed by Mario Carneiro,
         14-May-2016.) $)
      dvfsumge $p |- ( ph -> ( D - C ) <_ sum_ k e. ( M ..^ N ) X ) $=
        ( cr cmin cfzo csu cle wbr cneg cvv cicc cmpt cc0 df-neg mpteq2i ccnfld
        co ccncf ctopn cfv eqid subcn wcel cc wss 0red cuz eluzel2 zred eluzelz
        cz syl iccssre syl2anc ax-resscn sstrdi a1i cncfmptc syl3anc cncfmpt2ss
        resubcl eqeltrid cv wa negex cpr reelprrecn ioossicc sseli wf fvmptelrn
        cioo cncff sylan2 recnd dvmptneg negeqd renegcld caddc cxr adantr rexrd
        wceq elfzole1 adantl iooss1 cfz fzofzp1 elfzle2 iooss2 sstrd sselda cdv
        c1 cdm adantlr fmpttd ioossre dvfre sylancl dmeqd wral ralrimiva dmmptg
        eqtrd feq12d mpbid syldan anasss adantrr lenegd dvfsumle fsumneg eleq1d
        cfn fzofi fmpt sylibr eluzle ubicc2 rspcdva lbicc2 neg2subd negsubdi2d
        eqtr4d 3brtr3d resubcld fsumrecl mpbird ) AFEUAUNZHIUBUNZKGUCZUDUEUUIUF
        ZUUGUFZUDUEAUUHKUFZGUCFUFZEUFZUAUNZUUJUUKUDABCUFZDUFZUUNUUMGHIUGUULLABH
        IUHUNZUUPUIBUURUJCUAUNZUIUURTUOUNZBUURUUPUUSCUKULABUJCTUAUMUPUQZUURUVAU
        RZUVAUVBUSAUJTUTUURVAVBTVAVBZBUURUJUIUUTUTAVCAUURTVAAHTUTZITUTZUURTVBAH
        AIHVDUQUTZHVHUTLHIVEVIVFZAIAUVFIVHUTLHIVGVIVFZHIVJVKVLVMUVCAVLVNBUJUURT
        VOVPMVLUJCVRVQVSUUQUGUTABVTZHIWIUNZUTZWAZDWBVNABCDTJUVJTTVAWCUTAWDVNUVL
        CUVKAUVIUURUTZCTUTZUVJUURUVIHIWEWFZABUURCTABUURCUIZUUTUTUURTUVPWGZMUURT
        UVPWJVIZWHZWKWLNOWMUVIHWTZCEPWNUVIIWTZCFQWNAGVTZUUHUTZWAZKRWOAUWCUVIUWB
        UWBXKWPUNZWIUNZUTZWAWAZDKUDUEUULUUQUDUESUWHDKAUWCUWGDTUTZUWDUWGUVKUWIUW
        DUWFUVJUVIUWDUWFHUWEWIUNZUVJUWDHWQUTZHUWBUDUEZUWFUWJVBUWDHAUVDUWCUVGWRW
        SUWCUWLAUWBHIXAXBHUWBUWEXCVKUWDIWQUTZUWEIUDUEZUWJUVJVBUWDIAUVEUWCUVHWRW
        SUWDUWEHIXDUNUTZUWNUWCUWOAHIUWBXEXBUWEHIXFVIHUWEIXGVKXHXIUWDBUVJDTUWDTB
        UVJCUIZXJUNZXLZTUWQWGZUVJTBUVJDUIZWGUWDUVJTUWPWGUVJTVBUWSUWDBUVJCTUVKUW
        DUVMUVNUVOAUVMUVNUWCUVSXMWKXNHIXOUVJUWPXPXQUWDUWRUVJTUWQUWTAUWQUWTWTUWC
        OWRZUWDUWRUWTXLZUVJUWDUWQUWTUXAXRUWDDJUTZBUVJXSUXBUVJWTUWDUXCBUVJAUVKUX
        CUWCNXMXTBUVJDJYAVIYBYCYDWHYEYFAUWCKTUTUWGRYGYHYDYIAUUHKGUUHYLUTAHIYMVN
        ZUWDKRWLYJAUUOEFUAUNUUKAFEAFAUVNFTUTBUURIUWACFTQYKAUVQUVNBUURXSUVRBUURT
        CUVPUVPURYNYOZAUWKUWMHIUDUEZIUURUTAHUVGWSZAIUVHWSZAUVFUXFLHIYPVIZHIYQVP
        YRZWLZAEAUVNETUTBUURHUVTCETPYKUXEAUWKUWMUXFHUURUTUXGUXHUXIHIYSVPYRZWLZY
        TAFEUXKUXMUUAUUBUUCAUUGUUIAFEUXJUXLUUDAUUHKGUXDRUUEYHUUF $.
    $}
  $}

  ${
    $d k y A $.  $d k x y M $.  $d k x y N $.  $d k x y ph $.  $d x y X $.
    $d x y C $.  $d x y D $.  $d x V $.  $d x y Y $.
    dvfsumabs.m $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    dvfsumabs.a $e |- ( ph ->
      ( x e. ( M [,] N ) |-> A ) e. ( ( M [,] N ) -cn-> CC ) ) $.
    dvfsumabs.v $e |- ( ( ph /\ x e. ( M (,) N ) ) -> B e. V ) $.
    dvfsumabs.b $e |- ( ph ->
      ( RR _D ( x e. ( M (,) N ) |-> A ) ) = ( x e. ( M (,) N ) |-> B ) ) $.
    dvfsumabs.c $e |- ( x = M -> A = C ) $.
    dvfsumabs.d $e |- ( x = N -> A = D ) $.
    dvfsumabs.x $e |- ( ( ph /\ k e. ( M ..^ N ) ) -> X e. CC ) $.
    dvfsumabs.y $e |- ( ( ph /\ k e. ( M ..^ N ) ) -> Y e. RR ) $.
    dvfsumabs.l $e |- ( ( ph /\ ( k e. ( M ..^ N ) /\
      x e. ( k (,) ( k + 1 ) ) ) ) -> ( abs ` ( X - B ) ) <_ Y ) $.
    $( Compare a finite sum to an integral (the integral here is given as a
       function with a known derivative).  (Contributed by Mario Carneiro,
       14-May-2016.) $)
    dvfsumabs $p |- ( ph -> ( abs ` ( sum_ k e. ( M ..^ N ) X - ( D - C ) ) )
      <_ sum_ k e. ( M ..^ N ) Y ) $=
      ( vy cfzo co cv c1 caddc csb cmin csu cabs cfv cle cfn wcel fzofi a1i cfz
      wa cc wral cicc cz cin wceq cuz eluzel2 syl eluzelz fzval2 inss1 eqsstrdi
      syl2anc sselda cmpt wf ccncf cncff eqid fmpt sylibr nfcsb1v nfel1 csbeq1a
      weq eleq1d rspc mpan9 syldan fzofzp1 csbeq1 rspccva syl2an elfzofz subcld
      ralrimiva fsumsub eqeq2 biimpa csbied oveq2d eqtrd fveq2d abscld fsumrecl
      cvv vex cmul wbr cxr adantl rexrd cr syl3anc wss adantr ax-resscn sylancl
      zred cdv cdm cioo sstrd mulcld adantlr sylan2 ovex 1cnd iooretop dvmptres
      sstrid mulid1d eqtrdi nfcv nfov nffv oveq2 oveq12d fvmptf recnd telfsumo2
      fsumcl fsumabs elfzoelz peano2re lep1d ubicc2 cres elfzole1 elfzle2 iccss
      lbicc2 syl22anc resmptd ccnfld ctopn ctx ccn iccssre sstrdi ssid cncfmptc
      cncfmptid mulcncf cncfmpt2f rescncf sylc eqeltrrd crn ctg r19.21bi tgioo2
      subcn cnt iccntr dvmptntr cpr reelprrecn ioossicc sseli dvmptid dvmptcmul
      mpteq2dv dvmptsub iooss1 iooss2 dmeqd dmmpti fveq1d simpr anassrs eqbrtrd
      fvmpt2 nfmpt1 2fveq3 breq1d dvlip ex mp2and peano2cn sub4d pncan2d subdid
      nfbr 3eqtr3d oveq1d 3eqtr2rd abs1 eqtr2d 3brtr4d fsumle letrd eqbrtrrd )
      AHIUCUDZKBGUEZUFUGUDZCUHZBUXOCUHZUIUDZUIUDZGUJZUKULZUXNKGUJZFEUIUDZUIUDZU
      KULUXNLGUJZUMAUYAUYEUKAUYAUYCUXNUXSGUJZUIUDUYEAUXNKUXSGUXNUNUOAHIUPUQZSAU
      XOUXNUOZUSZUXQUXRABUBUEZCUHZUTUOZUBHIURUDZVAZUXPUYNUOZUXQUTUOZUYIAUYMUBUY
      NAUYKUYNUOUYKHIVBUDZUOZUYMAUYNUYRUYKAUYNUYRVCVDZUYRAHVCUOZIVCUOZUYNUYTVEA
      IHVFULUOZVUAMHIVGVHZAVUCVUBMHIVIVHZHIVJVMUYRVCVKVLVNACUTUOZBUYRVAZUYSUYMA
      UYRUTBUYRCVOZVPZVUGAVUHUYRUTVQUDZUOZVUINUYRUTVUHVRVHBUYRUTCVUHVUHVSVTWAZV
      UFUYMBUYKUYRBUYLUTBUYKCWBWCBUBWEZCUYLUTBUYKCWDWFWGWHWIZWPZHIUXOWJZUYMUYQU
      BUXPUYNUYKUXPVEUYLUXQUTBUYKUXPCWKZWFWLWMZAUYOUXOUYNUOUXRUTUOZUYIVUOUXOHIW
      NUYMVUSUBUXOUYNUBGWEUYLUXRUTBUYKUXOCWKZWFWLWMZWOZWQAUYGUYDUYCUIAUYLUXRUXQ
      EGUBFHIVUTVUQUYKHVEZBUYKCEXFUYKXFUOZVVCUBXGZUQVVCVUMUSBUEZHVEZCEVEVVCVUMV
      VGUYKHVVFWRWSQVHWTUYKIVEZBUYKCFXFVVDVVHVVEUQVVHVUMUSVVFIVEZCFVEVVHVUMVVIU
      YKIVVFWRWSRVHWTMVUNUUAXAXBXCAUYBUXNUXTUKULZGUJUYFAUYAAUXNUXTGUYHUYJKUXSSV
      VBWOZUUBXDAUXNVVJGUYHUYJUXTVVKXDZXEAUXNLGUYHTXEAUXNUXTGUYHVVKUUCAUXNVVJLG
      UYHVVLTUYJUXPBUXOUXPVBUDZKVVFXHUDZCUIUDZVOZULZUXOVVPULZUIUDZUKULZLUXPUXOU
      IUDZUKULZXHUDZVVJLUMUYJUXPVVMUOZUXOVVMUOZVVTVWCUMXIZUYJUXOXJUOZUXPXJUOZUX
      OUXPUMXIZVWDUYJUXOUYJUXOUYIUXOVCUOAUXOHIUUDXKXSZXLZUYJUXPUYJUXOXMUOZUXPXM
      UOZVWJUXOUUEVHZXLZUYJUXOVWJUUFZUXOUXPUUGXNZUYJVWGVWHVWIVWEVWKVWOVWPUXOUXP
      UULXNZUYJVWDVWEUSVWFUYJUBUXOUXPVVPLUXPUXOVWJVWNUYJBUYRVVOVOZVVMUUHZVVPVVM
      UTVQUDZUYJBUYRVVMVVOUYJHXMUOZIXMUOZHUXOUMXIZUXPIUMXIZVVMUYRXOZAVXBUYIAHVU
      DXSZXPZAVXCUYIAIVUEXSZXPZUYIVXDAUXOHIUUIXKZUYJUYPVXEUYIUYPAVUPXKUXPHIUUJV
      HZHIUXOUXPUUKUUMZUUNUYJVXFVWSVUJUOVWTVXAUOVXMUYJBVVNCUIUUOUUPULZUYRVXNVSZ
      UIVXNVXNUUQUDVXNUURUDUOUYJVXNVXOUVMUQUYJBKVVFUYRUYJKUTUOZUYRUTXOZUTUTXOZB
      UYRKVOVUJUOSUYJUYRXMUTAUYRXMXOZUYIAVXBVXCVXSVXGVXIHIUUSVMXPZXQUUTZVXRUYJU
      TUVAZUQBKUYRUTUVBXNUYJVXQVXRBUYRVVFVOVUJUOVYAVYBBUYRUTUVCXRUVDAVUKUYINXPU
      VEUYRUTVVMVWSUVFUVGUVHUYJXMVVPXTUDZYABUXOUXPYBUDZKDUIUDZVOZYAVYDUYJVYCVYF
      UYJVYCXMBVYDVVOVOXTUDVYFUYJBVVOXMYBUVIUVJULZVXNVVMVYDXMUTXOUYJXQUQZUYJVVM
      UYRXMVXMVXTYCUYJVVFVVMUOVVFUYRUOZVVOUTUOZUYJVVMUYRVVFVXMVNUYJVYIUSZVVNCVY
      KKVVFUYJVXPVYISXPUYJUYRUTVVFVYAVNYDZAVYIVUFUYIAVUFBUYRVULUVKYEZWOZWIVXNVX
      OUVLZVXOUYJVWLVWMVVMVYGUVNULULVYDVEVWJVWNUXOUXPUVOVMUVPUYJBVVOVYEXMVYGVXN
      XFHIYBUDZVYDXMXMUTUVQUOUYJUVRUQZVVFVYPUOZUYJVYIVYJVYPUYRVVFHIUVSZUVTZVYNY
      FVYEXFUOZUYJVYRUSZKDUIYGZUQUYJBVVNKCDXMUTJVYPVYQVYRUYJVYIVVNUTUOVYTVYLYFU
      YJVXPVYRSXPUYJXMBVYPVVNVOXTUDBVYPKUFXHUDZVOBVYPKVOUYJBVVFUFKXMUTVYPVYQUYJ
      VYPUTVVFUYJVYPUYRUTVYSVYAYKVNWUBYHUYJBVVFUFXMVYGVXNUTXMVYPVYQUYJXMUTVVFVY
      HVNUYJVVFXMUOUSYHUYJBXMVYQUWAUYJVYPUYRXMVYSVXTYKVYOVXOVYPVYGUOUYJHIYIUQYJ
      SUWBUYJBVYPWUDKUYJKSYLZUWCXBVYRUYJVYIVUFVYTVYMYFAVYRDJUOUYIOYEAXMBVYPCVOX
      TUDBVYPDVOVEUYIPXPUWDUYJVYDHUXPYBUDZVYPUYJHXJUOVXDVYDWUFXOUYJHVXHXLVXKHUX
      OUXPUWEVMUYJIXJUOVXEWUFVYPXOUYJIVXJXLVXLHUXPIUWFVMYCVYOVXOVYDVYGUOUYJUXOU
      XPYIUQYJXBZUWGBVYDVYEVYFWUCVYFVSZUWHYMTUYJVVFVYCULZUKULZLUMXIZBVYDVAUYKVY
      DUOUYKVYCULZUKULZLUMXIZUYJWUKBVYDUYJVVFVYDUOZUSZWUJVYEUKULZLUMWUPWUIVYEUK
      WUPWUIVVFVYFULZVYEWUPVVFVYCVYFUYJVYCVYFVEWUOWUGXPUWIWUPWUOWUAWURVYEVEUYJW
      UOUWJWUCBVYDVYEXFVYFWUHUWMXRXBXCAUYIWUOWUQLUMXIUAUWKUWLWPWUKWUNBUYKVYDBWU
      MLUMBWULUKBUKYNBUYKVYCBXMVVPXTBXMYNBXTYNBVVMVVOUWNYOBUYKYNYPYPBUMYNBLYNUX
      DVUMWUJWUMLUMVVFUYKUKVYCUWOUWPWGWHUWQUWRUWSUYJUXTVVSUKUYJVVSKUXPXHUDZUXQU
      IUDZKUXOXHUDZUXRUIUDZUIUDWUSWVAUIUDZUXSUIUDUXTUYJVVQWUTVVRWVBUIUYJVWDWUTX
      FUOVVQWUTVEVWQWUSUXQUIYGBUXPVVOWUTVVMVVPXFBUXPYNBWUSUXQUIBWUSYNBUIYNZBUXP
      CWBYOVVFUXPVEVVNWUSCUXQUIVVFUXPKXHYQBUXPCWDYRVVPVSZYSXRUYJVWEWVBUTUOVVRWV
      BVEVWRUYJWVAUXRUYJKUXOSUYJUXOVWJYTZYDZVVAWOBUXOVVOWVBVVMVVPUTBUXOYNBWVAUX
      RUIBWVAYNWVDBUXOCWBYOBGWEVVNWVACUXRUIVVFUXOKXHYQBUXOCWDYRWVEYSVMYRUYJWUSW
      VAUXQUXRUYJKUXPSUYJUXOUTUOUXPUTUOWVFUXOUWTVHZYDWVGVURVVAUXAUYJWVCKUXSUIUY
      JKVWAXHUDWUDWVCKUYJVWAUFKXHUYJUXOUFWVFUYJYHUXBZXAUYJKUXPUXOSWVHWVFUXCWUEU
      XEUXFUXGXCUYJVWCLUFXHUDLUYJVWBUFLXHUYJVWBUFUKULUFUYJVWAUFUKWVIXCUXHYMXAUY
      JLUYJLTYTYLUXIUXJUXKUXLUXM $.
  $}

  ${
    $d x ph $.  $d x S $.
    dvmptrecl.s $e |- ( ph -> S C_ RR ) $.
    dvmptrecl.a $e |- ( ( ph /\ x e. S ) -> A e. RR ) $.
    dvmptrecl.v $e |- ( ( ph /\ x e. S ) -> B e. V ) $.
    dvmptrecl.b $e |- ( ph ->
      ( RR _D ( x e. S |-> A ) ) = ( x e. S |-> B ) ) $.
    $( Real closure of a derivative.  (Contributed by Mario Carneiro,
       18-May-2016.) $)
    dvmptrecl $p |- ( ( ph /\ x e. S ) -> B e. RR ) $=
      ( cr cmpt cdv co cdm wf wss fmpttd dvfre syl2anc wcel wral wceq ralrimiva
      dmeqd dmmptg syl eqtrd feq12d mpbid fvmptelrn ) ABEDKAKBECLZMNZOZKUMPZEKB
      EDLZPAEKULPEKQUOABECKHRGEULSTAUNEKUMUPJAUNUPOZEAUMUPJUEADFUAZBEUBUQEUCAUR
      BEIUDBEDFUFUGUHUIUJUK $.
  $}

  ${
    $d y z A $.  $d c e k m y z B $.  $d x z C $.  $d c k x y D $.  $d x y E $.
    $d c e y z G $.  $d m y z H $.  $d c e k m x y ph $.  $d c e k m x y z S $.
    $d y L $.  $d k x z M $.  $d c u v w x z T $.  $d k m x y z Y $.  $d x Z $.
    $d k x U $.  $d k m u v w x y z X $.
    dvfsum.s $e |- S = ( T (,) +oo ) $.
    dvfsum.z $e |- Z = ( ZZ>= ` M ) $.
    dvfsum.m $e |- ( ph -> M e. ZZ ) $.
    dvfsum.d $e |- ( ph -> D e. RR ) $.
    dvfsum.md $e |- ( ph -> M <_ ( D + 1 ) ) $.
    dvfsum.t $e |- ( ph -> T e. RR ) $.
    dvfsum.a $e |- ( ( ph /\ x e. S ) -> A e. RR ) $.
    dvfsum.b1 $e |- ( ( ph /\ x e. S ) -> B e. V ) $.
    dvfsum.b2 $e |- ( ( ph /\ x e. Z ) -> B e. RR ) $.
    dvfsum.b3 $e |- ( ph ->
      ( RR _D ( x e. S |-> A ) ) = ( x e. S |-> B ) ) $.
    dvfsum.c $e |- ( x = k -> B = C ) $.
    ${
      dvfsumrlimf.g $e |- G = ( x e. S |->
        ( sum_ k e. ( M ... ( |_ ` x ) ) C - A ) ) $.
      $( Lemma for ~ dvfsumrlim .  (Contributed by Mario Carneiro,
         18-May-2016.) $)
      dvfsumrlimf $p |- ( ph -> G : S --> RR ) $=
        ( cv cfl cfv cfz co csu cmin cr wcel wa fzfid wral ralrimiva adantr cuz
        elfzuz eleqtrrdi weq eleq1d rspccva syl2an fsumrecl resubcld fmptd ) AB
        GKBUFZUGUHZUIUJZEIUKZCULUJUMJAVJGUNZUOZVMCVOVLEIVOKVKUPVODUMUNZBMUQZIUF
        ZMUNEUMUNZVRVLUNZAVQVNAVPBMUBURUSVTVRKUTUHMVRKVKVAOVBVPVSBVRMBIVCDEUMUD
        VDVEVFVGTVHUEVI $.
    $}

    ${
      dvfsum.u $e |- ( ph -> U e. RR* ) $.
      dvfsum.l $e |- ( ( ph /\ ( x e. S /\ k e. S ) /\
        ( D <_ x /\ x <_ k /\ k <_ U ) ) -> C <_ B ) $.
      ${
        dvfsum.h $e |- H = ( x e. S |-> ( ( ( x - ( |_ ` x ) ) x. B ) +
          ( sum_ k e. ( M ... ( |_ ` x ) ) C - A ) ) ) $.
        dvfsumlem1.1 $e |- ( ph -> X e. S ) $.
        dvfsumlem1.2 $e |- ( ph -> Y e. S ) $.
        dvfsumlem1.3 $e |- ( ph -> D <_ X ) $.
        dvfsumlem1.4 $e |- ( ph -> X <_ Y ) $.
        dvfsumlem1.5 $e |- ( ph -> Y <_ U ) $.
        ${
          dvfsumlem1.6 $e |- ( ph -> Y <_ ( ( |_ ` X ) + 1 ) ) $.
          $( Lemma for ~ dvfsumrlim .  (Contributed by Mario Carneiro,
             17-May-2016.) $)
          dvfsumlem1 $p |- ( ph -> ( H ` Y ) =
            ( ( ( ( Y - ( |_ ` X ) ) x. [_ Y / x ]_ B ) - [_ Y / x ]_ A ) +
              sum_ k e. ( M ... ( |_ ` X ) ) C ) ) $=
            ( cfl cfv cmin co csb cmul cfz csu caddc c1 clt wbr wceq wa cr wcel
            cz cle cpnf cioo ioossre eqsstri sselid flcld reflcl syl flle letrd
            wb flbi baibd syl21anc biimpar oveq2d oveq1d sumeq1d oveq12d adantr
            simpr peano2zd eqeltrd flid eqtrd recnd subcld 1cnd cc wral wss a1i
            dvmptrecl ralrimiva nfcsb1v nfel1 csbeq1a eleq1d rspc sylc subsub4d
            cv subdird mulid2d 3eqtr3d cuz zred peano2rem 1red lesubaddd mpbird
            peano2zm flge syl2anc mpbid eluz2 syl3anbrc elfzuz eleqtrrdi syl2an
            rspccva cvv sylancl 3eqtr4d nfcv nfov eqvisset csbied eqcomd fsumm1
            eqeq2 ax-1cn pncan csbeq1d fzfid fsumcl mulcld nppcan3d wo peano2re
            addsubd leloed mpjaodan ovex id fveq2 fvmptf subadd23d ) AOOUQURZUS
            UTZBODVAZVBUTZLUVCVCUTZEJVDZBOCVAZUSUTZVEUTZONUQURZUSUTZUVEVBUTZLUV
            LVCUTZEJVDZUVIUSUTZVEUTZOKURZUVNUVIUSUTUVPVEUTAOUVLVFVEUTZVGVHZUVKU
            VRVIOUVTVIZAUWAVJZUVFUVNUVJUVQVEUWCUVDUVMUVEVBUWCUVCUVLOUSAUVCUVLVI
            ZUWAAOVKVLZUVLVMVLZUVLOVNVHZUWDUWAWEAGVKOGHVOVPUTVKQHVOVQVRZULVSZAN
            AGVKNUWHUKVSZVTZAUVLNOANVKVLZUVLVKVLZUWJNWAWBZUWJUWIAUWLUVLNVNVHUWJ
            NWCWBUNWDUWEUWFVJUWDUWGUWAOUVLWFWGWHWIZWJWKUWCUVHUVPUVIUSUWCUVGUVOE
            JUWCUVCUVLLVCUWOWJWLWKWMAUWBVJZUVKUVNUVEUSUTZUVQUVEVEUTZVEUTUVRUWPU
            VFUWQUVJUWRVEUWPUVFOUVTUSUTZUVEVBUTZUWQUWPUVDUWSUVEVBUWPUVCUVTOUSUW
            PUVCOUVTUWPOVMVLUVCOVIUWPOUVTVMAUWBWOZUWPUVLUWPNAUWLUWBUWJWNVTWPWQO
            WRWBUXAWSZWJWKAUWTUWQVIUWBAUVMVFUSUTZUVEVBUTUVNVFUVEVBUTZUSUTUWTUWQ
            AUVMVFUVEAOUVLAOUWIWTZAUVLUWNWTZXAZAXBZAOGVLZDXCVLZBGXDUVEXCVLZULAU
            XJBGABXPZGVLVJZDABCDGMGVKXEAUWHXFUCUDUFXGWTXHUXJUXKBOGBUVEXCBODXIZX
            JUXLOVIZDUVEXCBODXKZXLXMXNZXQAUXCUWSUVEVBAOUVLVFUXEUXFUXHXOWKAUXDUV
            EUVNUSAUVEUXQXRWJXSWNWSUWPUVJUVPUVEVEUTZUVIUSUTZUWRUWPUVHUXRUVIUSUW
            PLUVTVCUTZEJVDZUVPBUVTDVAZVEUTZUVHUXRAUYAUYCVIUWBAUYALUVTVFUSUTZVCU
            TZEJVDZUYBVEUTUYCAEUYBJLUVTALVMVLZUVTVMVLLUVTVNVHZUVTLXTURZVLSAUVLU
            WKWPALVFUSUTZUVLVNVHZUYHAUYJNVNVHZUYKAUYJFNALVKVLUYJVKVLALSYAZLYBWB
            TUWJAUYJFVNVHLFVFVEUTVNVHUAALVFFUYMAYCZTYDYEUMWDAUWLUYJVMVLZUYLUYKW
            EUWJAUYGUYOSLYFWBNUYJYGYHYIALVFUVLUYMUYNUWNYDYILUVTYJYKAUXJBPXDZJXP
            ZPVLZEXCVLZUYQUXTVLZAUXJBPAUXLPVLVJDUEWTXHZUYTUYQUYIPUYQLUVTYLRYMUX
            JUYSBUYQPUXLUYQVIZDEXCUGXLYOZYNUYQUVTVIZUYBEVUDBUVTDEYPJUVTUUAVUDUX
            LUVTVIZVJVUBDEVIVUDVUBVUEUYQUVTUXLUUEWIUGWBUUBUUCUUDAUYFUVPUYBVEAUY
            EUVOEJAUYDUVLLVCAUVLXCVLVFXCVLUYDUVLVIUXFUUFUVLVFUUGYQWJWLWKWSWNUWP
            UVGUXTEJUWPUVCUVTLVCUXBWJWLUWPUVEUYBUVPVEUWPBOUVTDUXAUUHWJYRWKAUXSU
            WRVIUWBAUVPUVEUVIAUVOEJALUVLUUIAUYPUYRUYSUYQUVOVLZVUAVUFUYQUYIPUYQL
            UVLYLRYMVUCYNUUJZUXQAUXICXCVLZBGXDUVIXCVLZULAVUHBGUXMCUCWTXHVUHVUIB
            OGBUVIXCBOCXIZXJUXOCUVIXCBOCXKZXLXMXNZUUOWNWSWMUWPUVNUVEUVQAUVNXCVL
            UWBAUVMUVEUXGUXQUUKZWNAUXKUWBUXQWNAUVQXCVLUWBAUVPUVIVUGVULXAWNUULWS
            AOUVTVNVHUWAUWBUUMUPAOUVTUWIAUWMUVTVKVLUWNUVLUUNWBUUPYIUUQAUXIUVKYP
            VLUVSUVKVIULUVFUVJVEUURBOUXLUXLUQURZUSUTZDVBUTZLVUNVCUTZEJVDZCUSUTZ
            VEUTUVKGKYPBOYSBUVFUVJVEBUVDUVEVBBUVDYSBVBYSUXNYTBVEYSBUVHUVIUSBUVH
            YSBUSYSVUJYTYTUXOVUPUVFVUSUVJVEUXOVUOUVDDUVEVBUXOUXLOVUNUVCUSUXOUUS
            UXLOUQUUTZWMUXPWMUXOVURUVHCUVIUSUXOVUQUVGEJUXOVUNUVCLVCVUTWJWLVUKWM
            WMUJUVAYQAUVNUVIUVPVUMVULVUGUVBYR $.

          $( Lemma for ~ dvfsumrlim .  (Contributed by Mario Carneiro,
             17-May-2016.) $)
          dvfsumlem2 $p |- ( ph -> ( ( H ` Y ) <_ ( H ` X ) /\
          ( ( H ` X ) - [_ X / x ]_ B ) <_ ( ( H ` Y ) - [_ Y / x ]_ B ) ) ) $=
            ( vy cfv cle wbr csb cmin co cmul caddc cr cpnf cioo wcel clt wa wb
            cxr rexrd syl mpbid resubcld cv wceq csbeq1 eleq1d cmpt wf wral wss
            a1i fmpttd nfcv nfcsb1v csbeq1a cbvmpt fmpt sylibr rspcdva remulcld
            ralrimiva weq recnd subdid cc ccncf sstrdi cncfmptc syl3anc remulcl
            ax-resscn cncfmpt2ss cdv c1 sstrid 1cnd dvmptres dvmptcmul mpteq2dv
            sselda mulid1d eqtrd cdm mpbird r19.21bi adantr w3a letrd wi anbi2d
            eleq1 breq2 breq1 3anbi23d eqtr3id imbi12d breq2d oveq2 cneg oveq1d
            vex subdird cc0 3brtr4d oveq2d cfl cfz csu ioossre eqsstri eleqtrdi
            sselid elioopnf simpld reflcl dvmptrecl fzfid cuz eleqtrrdi rspccva
            elfzuz syl2an fsumrecl ccnfld ctopn cicc eqid mulcn simprd iccssioo
            pnfxr ltpnfd syl22anc cncfmptid sylancl cpr reelprrecn ioossicc crn
            ctg simpr dvmptid tgioo2 iooretop cres sseqtrrdi resmptd dmeqd dvcn
            dmmptg syl31anc cncffvrn sylancr eqeltrrid rescncf eqeltrrd 3eqtr3g
            sylc oveq2i sseli elicc2 syl2anc biimpa simp1d simp2d simp3d simp2r
            simpl breq1d nfv nfbr nfim anbi1d 3anbi12d chvarfv vtoclg syl123anc
            csbie mpcom sylan2 lbicc2 ubicc2 eqbrtrd lesubd negsubdi2d nnncan2d
            dvle subsubd mulcomd negeqd eqtr3d negsubdid eqtr4d 3eqtrd breqtrrd
            3eqtr3d subge0d lemul2ad lesub1dd leadd1dd dvfsumlem1 leidd xrletrd
            flle fllep1 peano2rem subcld addcomd subsub2d simp2l vtoclg1f vtocl
            3eqtr4d subled renegcld lesubadd2d suble0d le0neg1d mulneg1d lenegd
            1red 3brtr3d mulid2d sub32d addsubd jca ) AOKURZNKURZUSUTVVCBNDVAZV
            BVCZVVBBODVAZVBVCZUSUTAONUUAURZVBVCZVVFVDVCZBOCVAZVBVCZLVVHUUBVCZEJ
            UUCZVEVCZNVVHVBVCZVVDVDVCZBNCVAZVBVCZVVNVEVCZVVBVVCUSAVVLVVSVVNAVVJ
            VVKAVVIVVFAOVVHAGVFOGHVGVHVCZVFQHVGUUDZUUEZULUUGZANVFVIZVVHVFVIAVWE
            HNVJUTZANVWAVIZVWEVWFVKZANGVWAUKQUUFAHVMVIZVWGVWHVLAHUBVNZHNUUHVOVP
            ZUUIZNUUJVOZVQZABUQVRZDVAZVFVIZVVFVFVIZUQGOVWOOVSZVWPVVFVFBVWOODVTW
            AAGVFBGDWBZWCVWQUQGWDABGDVFABCDGMGVFWEZAVWCWFZUCUDUFUUKWGUQGVFVWPVW
            TBUQGDVWPUQDWHBVWODWIZBVWODWJZWKZWLWMZULWNZWOZABVWOCVAZVFVIZVVKVFVI
            UQGOVWSVXIVVKVFBVWOOCVTZWAAGVFBGCWBZWCZVXJUQGWDABGCVFUCWGZUQGVFVXIV
            XLBUQGCVXIUQCWHBVWOCWIBVWOCWJWKZWLWMZULWNZVQZAVVQVVRAVVPVVDANVVHVWL
            VWMVQZAVWQVVDVFVIZUQGNVWONVSZVWPVVDVFBVWONDVTZWAVXFUKWNZWOZAVXJVVRV
            FVIUQGNVYAVXIVVRVFBVWONCVTZWAVXPUKWNZVQZAVVMEJALVVHUULADVFVIZBPWDJV
            RZPVIEVFVIZVYIVVMVIZAVYHBPUEWPVYKVYILUUMURPVYILVVHUUPRUUNVYHVYJBVYI
            PBJWQDEVFUGWAUUOUUQUURZAVVLVVPVVFVDVCZVVRVBVCVVSVXRAVYMVVRAVVPVVFVX
            SVXGWOZVYFVQVYGAVVRVYMVVLVYFVYNVXRAVVRVVKVVFONVBVCZVDVCZVBVCZVYMVVL
            VBVCZUSAVYPVVKVVRAVVFVYOVXGAONVWDVWLVQZWOZVXQVYFAVYPVVFOVDVCZVVFNVD
            VCZVBVCVVKVVRVBVCZUSAVVFONAVVFVXGWRZAOVWDWRZANVWLWRZWSAUQVVFVWOVDVC
            ZVVFVXIVWPWUBVVRWUAVVKNONOVWLVWDAUQVVFVWOVFVDUUSUUTURZNOUVAVCZWUHUV
            BZWUHWUJUVCZAVWRWUIWTWEZVFWTWEZUQWUIVVFWBWUIVFXAVCZVIVXGAWUIVFWTAWU
            IVWAVFAVWIVGVMVIZVWFOVGVJUTWUIVWAWEVWJWUOAUVFWFAVWEVWFVWKUVDAOVWDUV
            GHVGNOUVEUVHZVWBXBZXFXBZWUMAXFWFZUQVVFWUIVFXCXDAWUIVFWEWUMUQWUIVWOW
            BWUNVIWUQXFUQWUIVFUVIUVJZXFVVFVWOXEXGAVFUQNOVHVCZWUGWBXHVCUQWVAVVFX
            IVDVCZWBUQWVAVVFWBAUQVWOXIVVFVFWTWVAVFVFWTUVKVIAUVLWFZAVWOWVAVIZVKZ
            VWOAWVAVFVWOAWVAWUIVFNOUVMZWUQXJZXOWRZWVEXKZAUQVWOXIVFVHUVNUVOURZWU
            HWTVFWVAWVCAVWOVFVIZVKZVWOAWVKUVPWRWVLXKAUQVFWVCUVQWVGWUHWUJUVRZWUJ
            WVAWVJVIANOUVSWFZXLZWUDXMAUQWVAWVBVVFAVVFWUDXPXNXQAUQGVXIWBZWUIUVTZ
            UQWUIVXIWBWUNAUQGWUIVXIAWUIVWAGWUPQUWAZUWBAWUIGWEWVPGVFXAVCZVIWVQWU
            NVIWVRAWVPVXLWVSVXOAVXLWVSVIZVXMVXNAWUMVXLGWTXAVCVIZWVTVXMVLXFAWUMG
            WTVXLWCVXAVFVXLXHVCZXRZGVSWWAWUSABGCWTABVRZGVIZVKCUCWRWGVXBAWWCVWTX
            RZGAWWBVWTUFUWCADMVIZBGWDWWFGVSAWWGBGUDWPBGDMUWEVOXQGVFVXLUWDUWFGWT
            VFVXLUWGUWHXSUWIGVFWUIWVPUWJUWMUWKZAUQVXIVWPVFWVJWUHVFGWVAWVCAVWOGV
            IZVKVXIAVXJUQGVXPXTWRAVWQUQGVXFXTAWWBVWTVFWVPXHVCUQGVWPWBUFVXLWVPVF
            XHVXOUWNVXEUWLAWVAWUIGWVFWVRXJWVMWUJWVNXLZWVDAVWOWUIVIZVVFVWPUSUTZW
            VAWUIVWOWVFUWOZAWWKVKZAWWIOGVIZFVWOUSUTZVWOOUSUTZOIUSUTZWWLAWWKUXCZ
            AWUIGVWOWVRXOZAWWOWWKULYAWWNFNVWOAFVFVIWWKTYAAVWEWWKVWLYAWWNWVKNVWO
            USUTZWWQAWWKWVKWXAWWQYBZAVWEOVFVIWWKWXBVLVWLVWDNOVWOUWPUWQUWRZUWSZA
            FNUSUTZWWKUMYAZWWNWVKWXAWWQWXCUWTZYCWWNWVKWXAWWQWXCUXAZAWWRWWKUOYAZ
            WWOAWWIWWOVKZWWPWWQWWRYBZYBZWWLAWWIWWOWXKUXBAWWIVYIGVIZVKZWWPVWOVYI
            USUTZVYIIUSUTZYBZYBZEVWPUSUTZYDZWXLWWLYDJOGVYIOVSZWXRWXLWXSWWLWYAWX
            NWXJWXQWXKAWYAWXMWWOWWIVYIOGYFYEWYAWXOWWQWXPWWRWWPVYIOVWOUSYGVYIOIU
            SYHYIYIWYAEVVFVWPUSWYAEBVYIDVAZVVFBVYIDEJYPUGUXMZBVYIODVTYJUXDYKAWW
            EWXMVKZFWWDUSUTZWWDVYIUSUTZWXPYBZYBZEDUSUTZYDZWXTBUQWXRWXSBWXRBUXEB
            EVWPUSBEWHZBUSWHZVXCUXFUXGBUQWQZWYHWXRWYIWXSWYMWYDWXNWYGWXQAWYMWWEW
            WIWXMWWDVWOGYFUXHWYMWYEWWPWYFWXOWXPWWDVWOFUSYGWWDVWOVYIUSYHUXIYIWYM
            DVWPEUSVXDYLYKUIUXJUXKUXNUXLZUXOANVMVIZOVMVIZNOUSUTZNWUIVIANVWLVNZA
            OVWDVNZUNNOUXPXDZAWYOWYPWYQOWUIVIWYRWYSUNNOUXQXDZUNVWONVVFVDYMVYEVW
            OOVVFVDYMVXKUYBUXRUXSAVYRVYMVVJVBVCZVVKVEVCZVYPVVKVBVCYNZVYQAVYMVVJ
            VVKAVYMVYNWRZAVVJVXHWRZAVVKVXQWRZUYCAXUCVYPYNZVVKVEVCXUDAXUBXUHVVKV
            EAVVJVYMVBVCZYNXUBXUHAVVJVYMXUFXUEUXTAXUIVYPAVVIVVPVBVCZVVFVDVCVYOV
            VFVDVCXUIVYPAXUJVYOVVFVDAONVVHWUEWUFAVVHVWMWRUYAZYOAVVIVVPVVFAVVIVW
            NWRZAVVPVXSWRZWUDYQAVYOVVFAVYOVYSWRZWUDUYDUYKUYEUYFYOAVYPVVKAVYPVYT
            WRZXUGUYGUYHAVYPVVKXUOXUGUXTUYIUYJUXSAVYMVVQVVRVYNVYDVYFAVVFVVDVVPV
            XGVYCVXSAYRVVPUSUTVVHNUSUTZAVWEXUPVWLNUYSVOANVVHVWLVWMUYLXSAWWLVVFV
            VDUSUTUQWUINVYAVWPVVDVVFUSVYBYLAWWLUQWUIWYNWPWYTWNZUYMUYNYCUYOABCDE
            FGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUYPZABCDEFGHIJKLMNNP
            QRSTUAUBUCUDUEUFUGUHUIUJUKUKUMANVWLUYQANOIWYRWYSUHUNUOUYRAVWENVVHXI
            VEVCZUSUTVWLNUYTVOUYPZYSAVVTVVDVBVCZVVOVVFVBVCZVVEVVGUSAVVSVVDVBVCZ
            VVNVEVCVVLVVFVBVCZVVNVEVCXVAXVBUSAXVCXVDVVNAVVSVVDVYGVYCVQAVVLVVFVX
            RVXGVQVYLAVVQVVDVBVCZVVRVBVCZVVJVVFVBVCZVVKVBVCZXVCXVDUSAVVPXIVBVCZ
            VVDVDVCZVVRVBVCZVVIXIVBVCZVVFVDVCZVVKVBVCZXVFXVHUSAXVKXVLVVDVDVCZVV
            KVBVCZXVNAXVJVVRAXVIVVDAVVPVFVIXVIVFVIVXSVVPVUAVOZVYCWOZVYFVQAXVOVV
            KAXVLVVDAVVIVFVIXVLVFVIVWNVVIVUAVOZVYCWOZVXQVQZAXVMVVKAXVLVVFXVSVXG
            WOZVXQVQAXVJXVPVVRXVRXWAVYFAXVJXVPVBVCZVVKVVDVYOVDVCZVBVCZVVRUSAXWC
            VVKXVOXVJVBVCZVBVCZXWEAXVJXVOVBVCZVVKVEVCVVKXWHVEVCXWCXWGAXWHVVKAXV
            JXVOAXVJXVRWRZAXVOXVTWRZVUBXUGVUCAXVJXVOVVKXWIXWJXUGUYCAVVKXVOXVJXU
            GXWJXWIVUDVUHAXWFXWDVVKVBAXVLXVIVBVCZVVDVDVCVYOVVDVDVCXWFXWDAXWKVYO
            VVDVDAXWKXUJVYOAVVIVVPXIXULXUMAXKZUYAXUKXQYOAXVLXVIVVDAXVLXVSWRZAXV
            IXVQWRAVVDVYCWRZYQAVYOVVDXUNXWNUYDUYKYTXQAVVKVVRXWDVXQVYFAVVDVYOVYC
            VYSWOAWUCVVDOVDVCZVVDNVDVCZVBVCXWDUSAUQVXIVWPVVDVWOVDVCZVVDVVRXWPVV
            KXWONONOVWLVWDWWHWWJAUQVVDVWOVFVDWUHWUIWUJWUKAVXTWULWUMUQWUIVVDWBWU
            NVIVYCWURWUSUQVVDWUIVFXCXDWUTXFVVDVWOXEXGAVFUQWVAXWQWBXHVCUQWVAVVDX
            IVDVCZWBUQWVAVVDWBAUQVWOXIVVDVFWTWVAWVCWVHWVIWVOXWNXMAUQWVAXWRVVDAV
            VDXWNXPXNXQWVDAWWKVWPVVDUSUTZWWMWWNANGVIZWWIWXEWXAVWOIUSUTZXWSWWSAX
            WTWWKUKYAWWTWXFWXGWWNVWOOIWWNVWOWXDVNAWYPWWKWYSYAAIVMVIWWKUHYAWXHWX
            IUYRAXWTWXMVKZWXENVYIUSUTZWXPYBZYBZEVVDUSUTZYDZAXWTWWIVKZWXEWXAXXAY
            BZYBZXWSYDJVWOUQYPJUQWQZXXEXXJXXFXWSXXKXXBXXHXXDXXIAXXKWXMWWIXWTVYI
            VWOGYFYEXXKXXCWXAWXPXXAWXEVYIVWONUSYGVYIVWOIUSYHYIYIXXKEVWPVVDUSXXK
            EWYBVWPWYCBVYIVWODVTYJUXDYKXWTXXEXXFAXWTWXMXXDVUEWYJXXGBNGXXEXXFBXX
            EBUXEBEVVDUSWYKWYLBNDWIUXFUXGWWDNVSZWYHXXEWYIXXFXXLWYDXXBWYGXXDAXXL
            WWEXWTWXMWWDNGYFUXHXXLWYEWXEWYFXXCWXPWWDNFUSYGWWDNVYIUSYHUXIYIXXLDV
            VDEUSBNDWJYLYKUIVUFUXNVUGUXLUXOWYTXUAUNVYEVWONVVDVDYMVXKVWOOVVDVDYM
            UYBAVVDONXWNWUEWUFWSUYJVUIUXRVUIAXVOXVMVVKXVTXWBVXQAXVOXVMUSUTXVMYN
            ZXVOYNZUSUTAXVLYNZVVFVDVCXXOVVDVDVCXXMXXNUSAVVFVVDXXOVXGVYCAXVLXVSV
            UJAXVLYRUSUTZYRXXOUSUTAXXPVVIXIUSUTZAXXQOXUSUSUTUPAOVVHXIVWDVWMAVUP
            ZVUKXSAVVIXIVWNXXRVULXSAXVLXVSVUMVPXUQUYMAXVLVVFXWMWUDVUNAXVLVVDXWM
            XWNVUNVUQAXVOXVMXVTXWBVUOXSUYNYCAXVJXVEVVRVBAXVJVVQXIVVDVDVCZVBVCXV
            EAVVPXIVVDXUMXWLXWNYQAXXSVVDVVQVBAVVDXWNVURYTXQYOAXVMXVGVVKVBAXVMVV
            JXIVVFVDVCZVBVCXVGAVVIXIVVFXULXWLWUDYQAXXTVVFVVJVBAVVFWUDVURYTXQYOV
            UQAVVQVVRVVDAVVQVYDWRAVVRVYFWRXWNVUSAVVJVVKVVFXUFXUGWUDVUSYSUYOAVVS
            VVNVVDAVVSVYGWRAVVNVYLWRZXWNVUTAVVLVVNVVFAVVLVXRWRXYAWUDVUTYSAVVCVV
            TVVDVBXUTYOAVVBVVOVVFVBXURYOYSVVA $.
        $}

        $( Lemma for ~ dvfsumrlim .  (Contributed by Mario Carneiro,
           17-May-2016.) $)
        dvfsumlem3 $p |- ( ph -> ( ( H ` Y ) <_ ( H ` X ) /\
          ( ( H ` X ) - [_ X / x ]_ B ) <_ ( ( H ` Y ) - [_ Y / x ]_ B ) ) ) $=
          ( vm vy cfv cle wbr csb cmin co wa c1 caddc cpnf cioo ioossre eqsstri
          cfl cr sselid wcel reflcl peano2re 3syl cz adantr cv adantlr cmpt cdv
          wceq cxr w3a 3adant1r simpr dvfsumlem2 wf cmul cfz csu wss a1i sselda
          syl resubcld dvmptrecl remulcld fzfid wral ralrimiva elfzuz eleqtrrdi
          cuz weq eleq1d rspccva syl2an fsumrecl readdcld ffvelrnd clt wb rexrd
          elioopnf mpbid simprd fllep1 ltletrd flcld letrd oveq1d simpld adantl
          mpbir2and elfzelz ad2antrr elfzle1 xrletrd csbeq1 rspcdva cvv oveq12d
          zred fveq2 ovex fvmpt3i ax-mp fmptd eleqtrdi peano2zd flge flle flidm
          syl2anc breqtrrd eluz2 syl3anbrc elfzle2 1red leaddsub syl3anc mpbird
          lep1d flid eqled monoord2 leidd nfcsb1v nfel1 csbeq1a rspc mpan9 eqid
          eqcomd elv syldan eqeltrid 3brtr4g monoord fvex 3brtr3g jca lecasei )
          AOKURZNKURZUSUTZUVRBNDVAZVBVCZUVQBODVAZVBVCZUSUTZVDONVKURZVEVFVCZAGVL
          OGHVGVHVCZVLQHVGVIVJZULVMZANVLVNZUWEVLVNZUWFVLVNZAGVLNUWHUKVMZNVOZUWE
          VPZVQZAOUWFUSUTZVDBCDEFGHIJKLMNOPQRALVRVNZUWQSVSAFVLVNZUWQTVSALFVEVFV
          CUSUTZUWQUAVSAHVLVNZUWQUBVSABVTZGVNZCVLVNZUWQUCWAAUXCDMVNZUWQUDWAAUXB
          PVNZDVLVNZUWQUEWAAVLBGCWBWCVCBGDWBWDZUWQUFVSUGAIWEVNZUWQUHVSAUXCJVTZG
          VNVDZFUXBUSUTUXBUXJUSUTUXJIUSUTWFZEDUSUTZUWQUIWGUJANGVNZUWQUKVSAOGVNZ
          UWQULVSAFNUSUTZUWQUMVSANOUSUTUWQUNVSAOIUSUTZUWQUOVSAUWQWHWIAUWFOUSUTZ
          VDZUVSUWDUXSUVQOVKURZKURZUVRUXSGVLOKAGVLKWJZUXRABGUXBUXBVKURZVBVCZDWK
          VCZLUYCWLVCZEJWMZCVBVCZVFVCVLKAUXCVDZUYEUYHUYIUYDDUYIUXBUYCAGVLUXBGVL
          WNAUWHWOZWPZUYIUXBVLVNUYCVLVNUYKUXBVOWQWRABCDGMUYJUCUDUFWSZWTUYIUYGCU
          YIUYFEJUYILUYCXAUYIUXGBPXBZUXJPVNEVLVNZUXJUYFVNZAUYMUXCAUXGBPUEXCVSUY
          OUXJLXFURPUXJLUYCXDRXEUXGUYNBUXJPBJXGDEVLUGXHXIXJXKUCWRXLUJUUAVSZAUXO
          UXRULVSZXMZUXSGVLUXTKUYPUXSUXTUWGGUXSUXTUWGVNZUXTVLVNZHUXTXNUTZUXSOVL
          VNZUYTAVUBUXRUWIVSZOVOZWQZUXSHUWFUXTAUXAUXRUBVSZUXSUWJUWKUWLAUWJUXRUW
          MVSZUWNUWOVQZVUEAHUWFXNUTZUXRAHNUWFUBUWMUWPAUWJHNXNUTZANUWGVNZUWJVUJV
          DZANGUWGUKQUUBAHWEVNZVUKVULXOAHUBXPZHNXQWQXRXSAUWJNUWFUSUTZUWMNXTZWQY
          AZVSUXSUXRUWFUXTUSUTZAUXRWHUXSVUBUWFVRVNZUXRVURXOVUCUXSUWEUXSNVUGYBUU
          CZOUWFUUDUUGXRZYAUXSVUMUYSUYTVUAVDXOAVUMUXRVUNVSHUXTXQWQYGQXEZXMZUXSG
          VLNKUYPAUXNUXRUKVSZXMZUXSUVQUYAUSUTZUYABUXTDVAZVBVCZUWCUSUTZUXSBCDEFG
          HIJKLMUXTOPQRAUWRUXRSVSZAUWSUXRTVSZAUWTUXRUAVSZVUFAUXCUXDUXRUCWAZAUXC
          UXEUXRUDWAZAUXFUXGUXRUEWAZAUXHUXRUFVSZUGAUXIUXRUHVSZAUXKUXLUXMUXRUIWG
          ZUJVVBUYQUXSFUWFUXTVVKVUHVUEUXSFNUWFVVKVUGVUHAUXPUXRUMVSZUXSUWJVUOVUG
          VUPWQZYCZVVAYCUXSVUBUXTOUSUTVUCOUUEWQZAUXQUXRUOVSZUXSOUXTVEVFVCZUXTVK
          URZVEVFVCUSUXSVUBOVWDUSUTVUCOXTWQUXSVWEUXTVEVFUXSVUBVWEUXTWDVUCOUUFWQ
          YDUUHWIZYEUXSUYAUWFKURZUVRVVCUXSGVLUWFKUYPAUWFGVNUXRAUWFUWGGAUWFUWGVN
          ZUWLVUIUWPVUQAVUMVWHUWLVUIVDXOVUNHUWFXQWQYGQXEVSZXMZVVEUXSUPKUWFUXTUX
          SVUSUXTVRVNVURUXTUWFXFURVNVUTUXSOVUCYBVVAUWFUXTUUIUUJZUXSUPVTZUWFUXTW
          LVCVNZVDZGVLVWLKUXSUYBVWMUYPVSVWNVWLUWGGVWNVWLUWGVNZVWLVLVNZHVWLXNUTZ
          VWNVWLVWMVWLVRVNZUXSVWLUWFUXTYHYFYPZVWNHUWFVWLUXSUXAVWMVUFVSUXSUWLVWM
          VUHVSVWSAVUIUXRVWMVUQYIVWMUWFVWLUSUTZUXSVWLUWFUXTYJYFYAVWNVUMVWOVWPVW
          QVDXOZAVUMUXRVWMVUNYIHVWLXQZWQYGQXEZXMZUXSVWLUWFUXTVEVBVCZWLVCVNZVDZV
          WLVEVFVCZKURZVWLKURZUSUTZVXJBVWLDVAZVBVCZVXIBVXHDVAZVBVCZUSUTZVXGBCDE
          FGHIJKLMVWLVXHPQRUXSUWRVXFVVJVSUXSUWSVXFVVKVSZAUWTUXRVXFUAYIUXSUXAVXF
          VUFVSZUXSUXCUXDVXFVVMWAUXSUXCUXEVXFVVNWAUXSUXFUXGVXFVVOWAUXSUXHVXFVVP
          VSUGUXSUXIVXFVVQVSZUXSUXKUXLUXMVXFVVRWGUJVXGVWLUWGGVXGVWOVWPVWQVXGVWL
          VXFVWRUXSVWLUWFVXEYHYFZYPZVXGHUWFVWLVXRUXSUWLVXFVUHVSZVYAAVUIUXRVXFVU
          QYIVXFVWTUXSVWLUWFVXEYJYFZYAZVXGVUMVXAVXGHVXRXPZVXBWQYGQXEVXGVXHUWGGV
          XGVXHUWGVNZVXHVLVNZHVXHXNUTZVXGVWPVYGVYAVWLVPWQZVXGHVWLVXHVXRVYAVYIVY
          DVXGVWLVYAUUPZYAVXGVUMVYFVYGVYHVDXOVYEHVXHXQWQYGQXEVXGFUWFVWLVXQVYBVY
          AUXSFUWFUSUTVXFVWAVSVYCYCVYJVXGVXHUXTIVXGVXHVYIXPUXSUXTWEVNVXFUXSUXTV
          UEXPZVSVXSVXGVXHUXTUSUTZVWLVXEUSUTZVXFVYMUXSVWLUWFVXEUUKYFVXGVWPVEVLV
          NUYTVYLVYMXOVYAVXGUULVXGVUBUYTUXSVUBVXFVUCVSVUDWQVWLVEUXTUUMUUNUUOUXS
          UXTIUSUTVXFUXSUXTOIVYKUXSOVUCXPVVQVWBVWCYKZVSYKVXGVXHVWLVKURZVEVFVCVY
          IVXGVWLVYOVEVFVXGVYOVWLVXGVWRVYOVWLWDVXTVWLUUQWQUVGYDUURWIZYEUUSUXSVW
          GUVRUSUTZUWAVWGBUWFDVAZVBVCZUSUTZUXSBCDEFGHIJKLMNUWFPQRVVJVVKVVLVUFVV
          MVVNVVOVVPUGVVQVVRUJVVDVWIVVSVVTUXSUWFUXTIUXSUWFVUHXPVYKVVQVVAVYNYKUX
          SUWFVUHUUTWIZYEYCYCUXSUWAVVHUWCUXSUVRUVTVVEUXSVXLVLVNZUVTVLVNUPGNVWLN
          WDVXLUVTVLBVWLNDYLXHUXSWUBUPGUXSUXGBGXBZVWLGVNZWUBAWUCUXRAUXGBGUYLXCV
          SUXGWUBBVWLGBVXLVLBVWLDUVAUVBBUPXGDVXLVLBVWLDUVCXHUVDUVEZXCZVVDYMWRZU
          XSUYAVVGVVCUXSWUBVVGVLVNUPGUXTVWLUXTWDVXLVVGVLBVWLUXTDYLXHWUFVVBYMWRZ
          UXSUVQUWBUYRUXSWUBUWBVLVNUPGOVWLOWDVXLUWBVLBVWLODYLXHWUFUYQYMWRUXSUWA
          VYSVVHWUGUXSVWGVYRVWJUXSWUBVYRVLVNUPGUWFVWLUWFWDVXLVYRVLBVWLUWFDYLXHW
          UFVWIYMWRWUHUXSVYQVYTWUAXSUXSUWFUQYNUQVTZKURZBWUIDVAZVBVCZWBZURZUXTWU
          MURZVYSVVHUSUXSUPWUMUWFUXTVWKVWNVWLWUMURZVXMVLWUPVXMWDUPUQVWLWULVXMYN
          WUMUQUPXGWUJVXJWUKVXLVBWUIVWLKYQBWUIVWLDYLYOWUMUVFZWUJWUKVBYRZYSUVHZV
          WNVXJVXLVXDUXSVWMWUDWUBVXCWUEUVIWRUVJVXGVXMVXOWUPVXHWUMURZUSVXGVXKVXP
          VYPXSWUSVXHYNVNWUTVXOWDVWLVEVFYRUQVXHWULVXOYNWUMWUIVXHWDWUJVXIWUKVXNV
          BWUIVXHKYQBWUIVXHDYLYOWUQWURYSYTUVKUVLUWFYNVNWUNVYSWDUWEVEVFYRUQUWFWU
          LVYSYNWUMWUIUWFWDWUJVWGWUKVYRVBWUIUWFKYQBWUIUWFDYLYOWUQWURYSYTUXTYNVN
          WUOVVHWDOVKUVMUQUXTWULVVHYNWUMWUIUXTWDWUJUYAWUKVVGVBWUIUXTKYQBWUIUXTD
          YLYOWUQWURYSYTUVNYCUXSVVFVVIVWFXSYCUVOUVP $.
      $}

      dvfsumlem4.g $e |- G = ( x e. S |->
        ( sum_ k e. ( M ... ( |_ ` x ) ) C - A ) ) $.
      dvfsumlem4.0 $e |- ( ( ph /\ ( x e. S /\ D <_ x /\ x <_ U ) ) ->
       0 <_ B ) $.
      dvfsumlem4.1 $e |- ( ph -> X e. S ) $.
      dvfsumlem4.2 $e |- ( ph -> Y e. S ) $.
      dvfsumlem4.3 $e |- ( ph -> D <_ X ) $.
      dvfsumlem4.4 $e |- ( ph -> X <_ Y ) $.
      dvfsumlem4.5 $e |- ( ph -> Y <_ U ) $.
      $( Lemma for ~ dvfsumrlim .  (Contributed by Mario Carneiro,
         18-May-2016.) $)
      dvfsumlem4 $p |- ( ph ->
        ( abs ` ( ( G ` Y ) - ( G ` X ) ) ) <_ [_ X / x ]_ B ) $=
        ( vm cfv cmin co cabs cfl cfz csu csb wcel cr wceq fzfid wral ralrimiva
        cle cv cuz elfzuz eleqtrrdi eleq1d syl2an fsumrecl nfcsb1v csbeq1a rspc
        weq nfel1 sylc resubcld nfcv nfov oveq2d sumeq1d oveq12d fvmptf syl2anc
        fveq2 wbr caddc cmul cpnf nfv csbeq1 rspcv sselid syl remulcld readdcld
        reflcl cc0 fracge0 w3a rexrd 3jca wa simpr1 nfbr nfim eleq1 breq2 breq1
        wi 3anbi123d anbi2d imbi12d vtoclg1f mpcom mpdan mulge0d addge02d mpbid
        breq2d id oveq1d 3brtr3d recnd addcomd c1 letrd fracle1 mulid2d breqtrd
        lemul1ad rspccva fveq2d wss ioossre eqsstri a1i dvmptrecl cbvralw sylib
        cioo xrletrd lesub1dd cmpt eqid dvfsumlem3 simprd subsub3d 1red subge0d
        mpbird subge02d eqbrtrrd simpld leadd1dd absdifled mpbir2and eqbrtrd
        eqtrd ) AOKURZNKURZUSUTZVAURLOVBURZVCUTZEJVDZBOCVEZUSUTZLNVBURZVCUTZEJV
        DZBNCVEZUSUTZUSUTZVAURZBNDVEZVLAUVKUWBVAAUVIUVPUVJUWAUSAOGVFZUVPVGVFUVI
        UVPVHUMAUVNUVOAUVMEJALUVLVIADVGVFZBPVJZJVMZPVFZEVGVFZUWHUVMVFZAUWFBPUEV
        KZUWKUWHLVNURZPUWHLUVLVORVPUWFUWJBUWHPBJWCDEVGUGVQUUAZVRVSAUWECVGVFZBGV
        JZUVOVGVFZUMAUWOBGUCVKZUWOUWQBOGBUVOVGBOCVTZWDBVMZOVHZCUVOVGBOCWAZVQWBW
        EWFZBOLUWTVBURZVCUTZEJVDZCUSUTZUVPGKVGBOWGZBUVNUVOUSBUVNWGBUSWGZUWSWHZU
        XAUXFUVNCUVOUSUXAUXEUVMEJUXAUXDUVLLVCUWTOVBWNZWIWJUXBWKZUJWLWMANGVFZUWA
        VGVFUVJUWAVHULAUVSUVTAUVREJALUVQVIAUWGUWIUWJUWHUVRVFZUWLUXNUWHUWMPUWHLU
        VQVORVPUWNVRVSAUXMUWPUVTVGVFZULUWRUWOUXOBNGBUVTVGBNCVTZWDUWTNVHZCUVTVGB
        NCWAZVQWBWEWFZBNUXGUWAGKVGBNWGZBUVSUVTUSBUVSWGUXIUXPWHZUXQUXFUVSCUVTUSU
        XQUXEUVREJUXQUXDUVQLVCUWTNVBWNZWIWJUXRWKZUJWLWMWKUUBAUWCUWDVLWOUWAUWDUS
        UTZUVPVLWOUVPUWAUWDWPUTZVLWOAUYDNUVQUSUTZUWDWQUTZUWAWPUTZUWDUSUTZUVPAUW
        AUWDUXSAUXMBUQVMZDVEZVGVFZUQGVJZUWDVGVFZULAUWFBGVJUYMAUWFBGABCDGMGVGUUC
        AGHWRUUJUTVGQHWRUUDUUEZUUFUCUDUFUUGVKUWFUYLBUQGUWFUQWSBUYKVGBUYJDVTWDBU
        QWCDUYKVGBUYJDWAVQUUHUUIZUYLUYNUQNGUYJNVHUYKUWDVGBUYJNDWTVQXAWEZWFAUYHU
        WDAUYGUWAAUYFUWDANUVQAGVGNUYOULXBZANVGVFZUVQVGVFUYRNXFXCWFZUYQXDZUXSXEZ
        UYQWFZUXCAUWAUYHUWDUXSVUBUYQAXGUYGVLWOUWAUYHVLWOAUYFUWDUYTUYQAUYSXGUYFV
        LWOUYRNXHXCAUXMFNVLWOZNIVLWOZXIZXGUWDVLWOZAUXMVUDVUEULUNANOIANUYRXJAOAG
        VGOUYOUMXBZXJUHUOUPUUKXKUXMAVUFXLZVUGAUXMVUDVUEXMAUWTGVFZFUWTVLWOZUWTIV
        LWOZXIZXLZXGDVLWOZXSZVUIVUGXSBNGVUIVUGBVUIBWSBXGUWDVLBXGWGZBVLWGZBNDVTZ
        XNXOUXQVUNVUIVUOVUGUXQVUMVUFAUXQVUJUXMVUKVUDVULVUEUWTNGXPUWTNFVLXQUWTNI
        VLXRXTYAUXQDUWDXGVLBNDWAZYIYBUKYCYDYEZYFAUWAUYGUXSVUAYGYHUULAUYIOUVLUSU
        TZBODVEZWQUTZUVPWPUTZVVCUSUTZUVPVUCAVVEVVCAVVDUVPAVVBVVCAOUVLVUHAOVGVFZ
        UVLVGVFVUHOXFXCWFZAUWEUYMVVCVGVFZUMUYPUYLVVIUQOGUYJOVHUYKVVCVGBUYJODWTV
        QXAWEZXDZUXCXEZVVJWFUXCANBGUWTUXDUSUTZDWQUTZUXGWPUTZUUMZURZUWDUSUTZOVVP
        URZVVCUSUTZUYIVVFVLAVVSVVQVLWOZVVRVVTVLWOZABCDEFGHIJVVPLMNOPQRSTUAUBUCU
        DUEUFUGUHUIVVPUUNZULUMUNUOUPUUOZUUPAVVQUYHUWDUSAUXMUYHVGVFVVQUYHVHULVUB
        BNVVOUYHGVVPVGUXTBUYGUWAWPBUYFUWDWQBUYFWGBWQWGZVUSWHBWPWGZUYAWHUXQVVNUY
        GUXGUWAWPUXQVVMUYFDUWDWQUXQUWTNUXDUVQUSUXQYJUYBWKVUTWKUYCWKVWCWLWMZYKAV
        VSVVEVVCUSAUWEVVEVGVFVVSVVEVHUMVVLBOVVOVVEGVVPVGUXHBVVDUVPWPBVVBVVCWQBV
        VBWGVWEBODVTZWHVWFUXJWHUXAVVNVVDUXGUVPWPUXAVVMVVBDVVCWQUXAUWTOUXDUVLUSU
        XAYJUXKWKBODWAZWKUXLWKVWCWLWMZYKYLAUVPVVCVVDUSUTZUSUTZVVFUVPVLAVWLUVPVV
        DWPUTZVVCUSUTVVFAUVPVVCVVDAUVPUXCYMZAVVCVVJYMZAVVDVVKYMZUUQAVWMVVEVVCUS
        AUVPVVDVWNVWPYNYKUVHAXGVWKVLWOZVWLUVPVLWOAVWQVVDVVCVLWOAVVDYOVVCWQUTVVC
        VLAVVBYOVVCVVHAUURZVVJAUWEFOVLWOZOIVLWOZXIZXGVVCVLWOZAUWEVWSVWTUMAFNOTU
        YRVUHUNUOYPUPXKUWEAVXAXLZVXBAUWEVWSVWTXMVUPVXCVXBXSBOGVXCVXBBVXCBWSBXGV
        VCVLVUQVURVWHXNXOUXAVUNVXCVUOVXBUXAVUMVXAAUXAVUJUWEVUKVWSVULVWTUWTOGXPU
        WTOFVLXQUWTOIVLXRXTYAUXADVVCXGVLVWIYIYBUKYCYDYEZAVVGVVBYOVLWOVUHOYQXCYT
        AVVCVWOYRYSAVVCVVDVVJVVKUUSUUTAUVPVWKUXCAVVCVVDVVJVVKWFUVAYHUVBYPYPAUVP
        UWDUWAWPUTZUYEVLAUVPUYHVXEUXCVUBAUWDUWAUYQUXSXEAUVPVVEUYHUXCVVLVUBAXGVV
        DVLWOUVPVVEVLWOAVVBVVCVVHVVJAVVGXGVVBVLWOVUHOXHXCVXDYFAUVPVVDUXCVVKYGYH
        AVVSVVQVVEUYHVLAVWAVWBVWDUVCVWJVWGYLYPAUYGUWDUWAVUAUYQUXSAUYGYOUWDWQUTU
        WDVLAUYFYOUWDUYTVWRUYQVVAAUYSUYFYOVLWOUYRNYQXCYTAUWDAUWDUYQYMZYRYSUVDYP
        AUWDUWAVXFAUWAUXSYMYNYSAUVPUWAUWDUXCUXSUYQUVEUVFUVG $.
    $}

    dvfsumrlim.l $e |- ( ( ph /\ ( x e. S /\ k e. S ) /\ ( D <_ x /\ x <_ k ) )
      -> C <_ B ) $.
    dvfsumrlim.g $e |- G = ( x e. S |->
      ( sum_ k e. ( M ... ( |_ ` x ) ) C - A ) ) $.
    dvfsumrlim.k $e |- ( ph -> ( x e. S |-> B ) ~~>r 0 ) $.
    $( Lemma for ~ dvfsumrlim .  Satisfy the assumption of ~ dvfsumlem4 .
       (Contributed by Mario Carneiro, 18-May-2016.) $)
    dvfsumrlimge0 $p |- ( ( ph /\ ( x e. S /\ D <_ x ) ) -> 0 <_ B ) $=
      ( vu vv vw vz cv wcel cle wbr wa cpnf cico cc0 cxr wne clt csup wceq cioo
      co cr ioossre eqsstri simprl sselid rexrd renepnfd icopnfsup wss eleqtrdi
      syl2anc wb adantr elioopnf syl mpbid simprd df-ioo df-ico xrltletr ixxss1
      syl2an2r sseqtrrdi cmpt crli cbvmptv eqbrtrrid rlimres2 dvmptrecl adantrr
      cc recnd rlimconst ralrimiva sselda eleq1d rspccva simpll simplrl simplrr
      a1i wral elicopnf simplbda syl122anc rlimle ) ABULZGUMZFXMUNUOZUPZUPZIXMU
      QURVFZEDUSDXQXMUTUMXMUQVAXRUTVBVCUQVDXQXMXQGVGXMGHUQVEVFZVGNHUQVHVIZAXNXO
      VJZVKZVLXQXMYBVMXMVNVQXQIXRGEUSXQXRXSGAHUTUMZXPHXMVBUOZXRXSVOAHSVLZXQXMVG
      UMZYDXQXMXSUMZYFYDUPZXQXMGXSYANVPXQYCYGYHVRAYCXPYEVSHXMVTWAWBWCUHUIUJUKHX
      MUQURVBVBUNVEVBUHUIUJWDUHUIUJWEHXMUKULWFWGWHNWIZXQIGEWJBGDWJZUSWKBIGDEUDW
      LAYJUSWKUOXPUGVSWMWNXQIXRGDDYIAGVGVOZXPDWQUMIGDWJDWKUOYKAXTXGZXQDAXNDVGUM
      ZXOABCDGLYLTUAUCWOZWPZWRIGDWSWHWNXQYMBGXHZIULZXRUMZYQGUMZEVGUMZAYPXPAYMBG
      YNWTVSXQXRGYQYIXAZYMYTBYQGXMYQVDDEVGUDXBXCWHXQYMYRYOVSXQYRUPAXNYSXOXMYQUN
      UOZEDUNUOAXPYRXDAXNXOYRXEUUAAXNXOYRXFXQYRYQVGUMZUUBXQYFYRUUCUUBUPVRYBXMYQ
      XIWAXJUEXKXL $.

    $( Compare a finite sum to an integral (the integral here is given as a
       function with a known derivative).  The statement here says that if
       ` x e. S |-> B ` is a decreasing function with antiderivative ` A `
       converging to zero, then the difference between
       ` sum_ k e. ( M ... ( |_ `` x ) ) B ( k ) ` and
       ` A ( x ) = S. u e. ( M [,] x ) B ( u ) _d u ` converges to a constant
       limit value, with the remainder term bounded by ` B ( x ) ` .
       (Contributed by Mario Carneiro, 18-May-2016.) $)
    dvfsumrlim $p |- ( ph -> G e. dom ~~>r ) $=
      ( ve vc vy cr wss cpnf co ioossre eqsstri a1i wf cc dvfsumrlimf ax-resscn
      cioo fss sylancl cxr clt csup supeq1i wcel wceq ressxr renepnfd ioopnfsup
      wne sselid syl2anc syl5eq cv cle wbr cabs cfv wral wrex crp cmin cmpt cc0
      wi crli rlimmptrcl ralrimiva rlim0 mpbid wa c1 caddc cif cico wb peano2re
      ifcld adantr rexico elicopnf simprbda ltp1d simplbda maxle syl3anc simprd
      syl ltletrd elioopnf mpbir2and eleqtrrdi simpld jca adantlr simprrl leidd
      csb adantrr nfcv nfcsb1v nffv nfbr nfim breq2 csbeq1a breq1d imbi12d rspc
      nfv elrege0 expr simprrr w3a ffvelrnd anassrs mpid dvfsumrlimge0 sylanbrc
      fveq2d dvmptrecl nfel1 eleq1d syl3c sylib absid cdv pnfxr 3simpa 3adant1r
      syl3an3 3adantr3 sstri pnfge dvfsumlem4 subcld abscld simprll rpred mpand
      lelttr sylbid syld com23 ralrimdva jctild syldan expimpd reximdv2 sylbird
      cz ralimdva mpd caucvgr ) AUHGUIUJJGUKULZAGHUMVBUNZUKNHUMUOUPZUQZAGUKJURU
      KUSULGUSJURZABCDEFGHIJKLMNOPQRSTUAUBUCUDUFUTVAGUKUSJVCVDZAGVEVFVGUVTVEVFV
      GZUMVEGUVTVFNVHAHVEVIZHUMVNUWEUMVJAUKVEHVKSVOZAHSVLHVMVPVQAUIVRZBVRZVSVTZ
      DWAWBZUHVRZVFVTZWIZBGWCZUIUKWDZUHWEWCZUWHUJVRZVSVTZUWRJWBZUWHJWBZWFUNZWAW
      BZUWLVFVTZWIZUJGWCZUIGWDZUHWEWCABGDWGZWHWJVTUWQUGAUHUIBGDADUSVIBGAGDWHBLU
      AUGWKWLUWBWMWNAUWPUXGUHWEAUWLWEVIZWOZUWPUWOUIFHWPWQUNZVSVTZUXKFWRZUMWSUNZ
      WDZUXGUXJUVSUXMUKVIZUXOUWPWTUVSUXJUWAUQAUXPUXIAUXLUXKFUKAHUKVIZUXKUKVIZSH
      XAZXLQXBZXCUWMGUXMUIBXDVPUXJUWOUXFUIUXNGUXJUWHUXNVIZUWOUWHGVIZUXFWOZUXJUY
      AUYBFUWHVSVTZWOZUWOUYCWIZAUYAUYEUXIAUYAWOZUYBUYDUYGUWHUVTGUYGUWHUVTVIZUWH
      UKVIZHUWHVFVTZAUYAUYIUXMUWHVSVTZAUXPUYAUYIUYKWOWTUXTUXMUWHXEXLZXFZUYGHUXK
      UWHAUXQUYASXCZUYGUXQUXRUYNUXSXLZUYMUYGHUYNXGUYGUYDUXKUWHVSVTZUYGUYKUYDUYP
      WOZAUYAUYIUYKUYLXHUYGFUKVIZUXRUYIUYKUYQWTAUYRUYAQXCUYOUYMFUXKUWHXIXJWNZXK
      XMUYGUWFUYHUYIUYJWOWTAUWFUYAUWGXCHUWHXNXLXONXPUYGUYDUYPUYSXQXRXSAUXIUYEUY
      FAUXIUYEWOZWOZUWOUXFUYBVUAUWOUXEUJGVUAUWRGVIZWOUWSUWOUXDVUAVUBUWSUWOUXDWI
      ZAUYTVUBUWSWOZVUCAUYTVUDWOZWOZUWOBUWHDYBZWAWBZUWLVFVTZUXDVUFUWOUWHUWHVSVT
      ZVUIVUFUWHVUFGUKUWHUWAAUYTUYBVUDAUXIUYBUYDXTZYCZVOYAVUFUYBUWOVUJVUIWIZWIV
      ULUWNVUMBUWHGVUJVUIBVUJBYNBVUHUWLVFBVUGWABWAYDBUWHDYEZYFBVFYDBUWLYDYGYHUW
      IUWHVJZUWJVUJUWMVUIUWIUWHUWHVSYIVUOUWKVUHUWLVFVUODVUGWABUWHDYJZUUDYKYLYMX
      LUUAVUFVUIVUGUWLVFVTZUXDVUFVUHVUGUWLVFVUFVUGUKVIZWHVUGVSVTZWOZVUHVUGVJVUF
      VUGWHUMWSUNZVIZVUTVUFUYBFUWIVSVTZDVVAVIZWIZBGWCZUYDVVBVULAVVFVUEAVVEBGAUW
      IGVIZVVCVVDAVVGVVCWOWODUKVIZWHDVSVTZVVDAVVGVVHVVCABCDGLUWBTUAUCUUEYCABCDE
      FGHIJKLMNOPQRSTUAUBUCUDUEUFUGUUBZDYOUUCYPWLXCAUYTUYDVUDAUXIUYBUYDYQYCZVVE
      UYDVVBWIBUWHGUYDVVBBUYDBYNBVUGVVAVUNUUFYHVUOVVCUYDVVDVVBUWIUWHFVSYIVUODVU
      GVVAVUPUUGYLYMUUHVUGYOUUIZVUGUUJXLYKVUFUXCVUGVSVTZVUQUXDVUFBCDEFGHUMIJKLU
      WHUWRMNOAKUVOVIVUEPXCAUYRVUEQXCAKFWPWQUNVSVTVUERXCAUXQVUESXCAVVGCUKVIVUET
      XSAVVGDLVIVUEUAXSAUWIMVIVVHVUEUBXSAUKBGCWGUUKUNUXHVJVUEUCXCUDUMVEVIVUFUUL
      UQAVVGIVRZGVIWOZVVCUWIVVNVSVTZVVNUMVSVTZYRZEDVSVTZVUEVVRAVVOVVCVVPWOVVSVV
      CVVPVVQUUMUEUUOUUNUFAVVGVVCUWIUMVSVTZYRVVIVUEAVVGVVCVVIVVTVVJUUPXSVULAUYT
      VUBUWSXTZVVKAUYTVUBUWSYQVUFUWRVEVIUWRUMVSVTVUFGVEUWRGUKVEUWAVKUUQVWAVOUWR
      UURXLUUSVUFUXCUKVIVURUWLUKVIVVMVUQWOUXDWIVUFUXBVUFUWTUXAVUFGUSUWRJAUWCVUE
      UWDXCZVWAYSVUFGUSUWHJVWBVULYSUUTUVAVUFVURVUSVVLXQVUFUWLAUXIUYEVUDUVBUVCUX
      CVUGUWLUVEXJUVDUVFUVGYTYPUVHUVIVUKUVJYTUVKUVLUVMUVNUVPUVQUVR $.

    ${
      dvfsumrlim2.1 $e |- ( ph -> X e. S ) $.
      dvfsumrlim2.2 $e |- ( ph -> D <_ X ) $.
      $( Compare a finite sum to an integral (the integral here is given as a
         function with a known derivative).  The statement here says that if
         ` x e. S |-> B ` is a decreasing function with antiderivative ` A `
         converging to zero, then the difference between
         ` sum_ k e. ( M ... ( |_ `` x ) ) B ( k ) ` and
         ` S. u e. ( M [,] x ) B ( u ) _d u = A ( x ) ` converges to a constant
         limit value, with the remainder term bounded by ` B ( x ) ` .
         (Contributed by Mario Carneiro, 18-May-2016.) $)
      dvfsumrlim2 $p |- ( ( ph /\ G ~~>r L ) ->
        ( abs ` ( ( G ` X ) - L ) ) <_ [_ X / x ]_ B ) $=
        ( vy vu vv vw vz crli wbr wa cpnf cico co cfv cv cmin cabs csb cxr csup
        clt wceq wcel wne cr cioo ioossre eqsstri sselid rexrd renepnfd syl2anc
        icopnfsup adantr cc wf dvfsumrlimf ad2antrr ffvelrnd recnd wss eleqtrdi
        wb elioopnf mpbid simprd df-ioo df-ico xrltletr ixxss1 sseqtrrdi sselda
        syl cle subcld cmpt pnfxr icossre sylancl cdm rlimf adantl cfl cfz ovex
        csu dmmpti feq2i sylib rlimconst feqmptd simpr eqbrtrrd rlimsub rlimabs
        rlimres2 wral a1i dvmptrecl ralrimiva nfcsb1v nfel1 csbeq1a eleq1d rspc
        sylc abscld abssubd cz adantlr w3a c1 caddc cdv 3simpa syl3an3 3adant1r
        cc0 dvfsumrlimge0 3adantr3 elicopnf simplbda simprbda dvfsumlem4 rlimle
        pnfge eqbrtrd ) AJKUQURZUSZULNUTVAVBZNJVCZULVDZJVCZVEVBZVFVCZBNDVGZUUTK
        VEVBZVFVCUVEAUUSVHVJVIUTVKZUUQANVHVLNUTVMUVGANAGVNNGHUTVOVBZVNPHUTVPVQZ
        UJVRZVSANUVJVTNWBWAWCUURUUSUVCUVFULWDUURUVAUUSVLZUSZUUTUVBUVLUUTUVLGVNN
        JAGVNJWEUUQUVKABCDEFGHIJLMOPQRSTUAUBUCUDUEUFUHWFWGZANGVLZUUQUVKUJWGWHWI
        ZUVLUVBUVLGVNUVAJUVMUURUUSGUVAAUUSGWJUUQAUUSUVHGAHVHVLZHNVJURZUUSUVHWJA
        HUAVSZANVNVLZUVQANUVHVLZUVSUVQUSZANGUVHUJPWKAUVPUVTUWAWLUVRHNWMXBWNWOUM
        UNUOUPHNUTVAVJVJXCVOVJUMUNUOWPUMUNUOWQHNUPVDWRWSWAPWTZWCZXAWHWIZXDZUURU
        LUUSUUTUVBUUTKWDUVOUWDUURUUSVNWJZUUTWDVLULUUSUUTXEUUTUQURAUWFUUQAUVSUTV
        HVLZUWFUVJXFNUTXGXHZWCUURGWDNJUURJXIZWDJWEZGWDJWEUUQUWJAKJXJXKUWIGWDJBG
        LBVDZXLVCXMVBEIXOZCVEVBJUWLCVEXNUHXPXQXRZAUVNUUQUJWCWHULUUSUUTXSWAUURUL
        UUSGUVBKUWCUURJULGUVBXEKUQUURULGWDJUWMXTAUUQYAYBYEYCYDAULUUSUVEXEUVEUQU
        RZUUQAUWFUVEWDVLUWNUWHAUVEAUVNDVNVLZBGYFUVEVNVLZUJAUWOBGABCDGMGVNWJAUVI
        YGUBUCUEYHYIUWOUWPBNGBUVEVNBNDYJYKUWKNVKDUVEVNBNDYLYMYNYOZWIULUUSUVEXSW
        AWCUVLUVCUWEYPAUWPUUQUVKUWQWGUVLUVDUVBUUTVEVBVFVCZUVEXCUVLUUTUVBUVOUWDY
        QAUVKUWRUVEXCURUUQAUVKUSZBCDEFGHUTIJLMNUVAOPQALYRVLUVKRWCAFVNVLUVKSWCAL
        FUUAUUBVBXCURUVKTWCAHVNVLUVKUAWCAUWKGVLZCVNVLUVKUBYSAUWTDMVLUVKUCYSAUWK
        OVLUWOUVKUDYSAVNBGCXEUUCVBBGDXEVKUVKUEWCUFUWGUWSXFYGAUWTIVDZGVLUSZFUWKX
        CURZUWKUXAXCURZUXAUTXCURZYTZEDXCURZUVKUXFAUXBUXCUXDUSUXGUXCUXDUXEUUDUGU
        UEUUFUHAUWTUXCUWKUTXCURZYTUUGDXCURZUVKAUWTUXCUXIUXHABCDEFGHIJLMOPQRSTUA
        UBUCUDUEUFUGUHUIUUHUUIYSAUVNUVKUJWCAUUSGUVAUWBXAAFNXCURUVKUKWCAUVKUVAVN
        VLZNUVAXCURZAUVSUVKUXJUXKUSWLUVJNUVAUUJXBZUUKUWSUVAVHVLUVAUTXCURUWSUVAA
        UVKUXJUXKUXLUULVSUVAUUOXBUUMYSUUPUUN $.
    $}

    dvfsumrlim3.1 $e |- ( x = X -> B = E ) $.
    $( Conjoin the statements of ~ dvfsumrlim and ~ dvfsumrlim2 .  (This is
       useful as a target for lemmas, because the hypotheses to this theorem
       are complex, and we don't want to repeat ourselves.)  (Contributed by
       Mario Carneiro, 18-May-2016.) $)
    dvfsumrlim3 $p |- ( ph -> ( G : S --> RR /\ G e. dom ~~>r /\
      ( ( G ~~>r L /\ X e. S /\ D <_ X ) ->
        ( abs ` ( ( G ` X ) - L ) ) <_ E ) ) ) $=
      ( cr wf crli cdm wcel wbr cle w3a cfv cmin co cabs dvfsumrlimf dvfsumrlim
      wi wa csb cz adantr c1 caddc cv adantlr cmpt cdv wceq 3adant1r cc0 simprr
      simprl dvfsumrlim2 nfcvd csbiegf syl breqtrd exp42 com24 3impd 3jca ) AGU
      LKUMKUNUOUPKLUNUQZOGUPZFOURUQZUSOKUTLVAVBVCUTZJURUQZVFABCDEFGHIKMNPQRSTUA
      UBUCUDUEUFUGUIVDABCDEFGHIKMNPQRSTUAUBUCUDUEUFUGUHUIUJVEAWKWLWMWOAWMWLWKWO
      AWMWLWKWOAWMWLVGZVGZWKVGZWNBODVHZJURWQBCDEFGHIKLMNOPQRAMVIUPWPSVJAFULUPWP
      TVJAMFVKVLVBURUQWPUAVJAHULUPWPUBVJABVMZGUPZCULUPWPUCVNAXADNUPWPUDVNAWTPUP
      DULUPWPUEVNAULBGCVOVPVBBGDVOZVQWPUFVJUGAXAIVMZGUPVGFWTURUQWTXCURUQVGEDURU
      QWPUHVRUIAXBVSUNUQWPUJVJAWMWLVTZAWMWLWAWBWRWLWSJVQWQWLWKXDVJBODJGWLBJWCUK
      WDWEWFWGWHWIWJ $.
  $}

  ${
    $d k m B $.  $d x C $.  $d k x D $.  $d k x ph $.  $d x E $.  $d k x M $.
    $d k m x S $.  $d k m x X $.  $d k x Y $.  $d x T $.  $d k x U $.
    $d x V $.  $d x Z $.
    dvfsum2.s $e |- S = ( T (,) +oo ) $.
    dvfsum2.z $e |- Z = ( ZZ>= ` M ) $.
    dvfsum2.m $e |- ( ph -> M e. ZZ ) $.
    dvfsum2.d $e |- ( ph -> D e. RR ) $.
    dvfsum2.u $e |- ( ph -> U e. RR* ) $.
    dvfsum2.md $e |- ( ph -> M <_ ( D + 1 ) ) $.
    dvfsum2.t $e |- ( ph -> T e. RR ) $.
    dvfsum2.a $e |- ( ( ph /\ x e. S ) -> A e. RR ) $.
    dvfsum2.b1 $e |- ( ( ph /\ x e. S ) -> B e. V ) $.
    dvfsum2.b2 $e |- ( ( ph /\ x e. Z ) -> B e. RR ) $.
    dvfsum2.b3 $e |- ( ph ->
      ( RR _D ( x e. S |-> A ) ) = ( x e. S |-> B ) ) $.
    dvfsum2.c $e |- ( x = k -> B = C ) $.
    dvfsum2.l $e |- ( ( ph /\ ( x e. S /\ k e. S ) /\
      ( D <_ x /\ x <_ k /\ k <_ U ) ) -> B <_ C ) $.
    dvfsum2.g $e |- G = ( x e. S |->
      ( sum_ k e. ( M ... ( |_ ` x ) ) C - A ) ) $.
    dvfsum2.0 $e |- ( ( ph /\ ( x e. S /\ D <_ x ) ) -> 0 <_ B ) $.
    dvfsum2.1 $e |- ( ph -> X e. S ) $.
    dvfsum2.2 $e |- ( ph -> Y e. S ) $.
    dvfsum2.3 $e |- ( ph -> D <_ X ) $.
    dvfsum2.4 $e |- ( ph -> X <_ Y ) $.
    dvfsum2.5 $e |- ( ph -> Y <_ U ) $.
    dvfsum2.e $e |- ( x = Y -> B = E ) $.
    $( The reverse of ~ dvfsumrlim , when comparing a finite sum of
       _increasing_ terms to an integral.  In this case there is no point in
       stating the limit properties, because the terms of the sum aren't
       approaching zero, but there is nevertheless still a natural asymptotic
       statement that can be made.  (Contributed by Mario Carneiro,
       20-May-2016.) $)
    dvfsum2 $p |- ( ph -> ( abs ` ( ( G ` Y ) - ( G ` X ) ) ) <_ E ) $=
      ( vm cfv cmin co cabs cfl cfz csu csb cle wcel cr wceq fzfid cv ralrimiva
      wral elfzuz eleqtrrdi weq eleq1d fsumrecl nfcsb1v nfel1 csbeq1a rspc sylc
      syl2an resubcld nfcv nfov fveq2 oveq2d sumeq1d oveq12d fvmptf recnd eqtrd
      syl2anc wbr caddc cmul cpnf a1i rspcv sselid reflcl syl remulcld readdcld
      nfv cc0 fracge0 wi letrd breq2 breq2d imbi12d syl3c mulge0d addge02d cneg
      wa renegcld negeqd w3a lenegd mulneg2d neg2subd fsumneg oveq1d negsubdi2d
      mpbid 3eqtr4d negdid eqtr4d eqeltrd nfneg 3brtr3d mpbird c1 breqtrd sylib
      cuz rspccva fveq2d abssubd wss cioo ioossre eqsstri dvmptrecl csbeq1 expr
      cbvralw lesub1dd cmpt cc cpr reelprrecn dvmptneg adantrr 3adant3 3ad2ant1
      simp2r eqid dvfsumlem3 simprd id csbnegg adantl 3brtr4d 1red nfbr fracle1
      csbied nfim lemul1ad mulid2d leadd1dd lesubadd2d simpld addcomd absdifled
      mpbir2and eqbrtrd ) APLUTZOLUTZVAVBZVCUTZMOVDUTZVEVBZEJVFZBOCVGZVAVBZMPVD
      UTZVEVBZEJVFZBPCVGZVAVBZVAVBVCUTZKVHAUWHUWRUWMVAVBZVCUTUWSAUWGUWTVCAUWEUW
      RUWFUWMVAAPGVIZUWRVJVIUWEUWRVKUNAUWPUWQAUWOEJAMUWNVLZADVJVIZBQVOZJVMZQVIZ
      EVJVIZUXEUWOVIZAUXCBQUGVNZUXHUXEMUUBUTZQUXEMUWNVPSVQUXCUXGBUXEQBJVRZDEVJU
      IVSZUUCZWFZVTZAUXACVJVIZBGVOZUWQVJVIZUNAUXPBGUEVNZUXPUXRBPGBUWQVJBPCWAZWB
      BVMZPVKZCUWQVJBPCWCZVSWDWEZWGZBPMUYAVDUTZVEVBZEJVFZCVAVBZUWRGLVJBPWHZBUWP
      UWQVABUWPWHBVAWHZUXTWIUYBUYHUWPCUWQVAUYBUYGUWOEJUYBUYFUWNMVEUYAPVDWJZWKZW
      LUYCWMUKWNWQAOGVIZUWMVJVIUWFUWMVKUMAUWKUWLAUWJEJAMUWIVLZAUXDUXFUXGUXEUWJV
      IZUXIUYPUXEUXJQUXEMUWIVPSVQUXMWFZVTZAUYNUXQUWLVJVIZUMUXSUXPUYSBOGBUWLVJBO
      CWAZWBUYAOVKZCUWLVJBOCWCZVSWDWEZWGZBOUYIUWMGLVJBOWHZBUWKUWLVABUWKWHUYKUYT
      WIVUAUYHUWKCUWLVAVUAUYGUWJEJVUAUYFUWIMVEUYAOVDWJZWKZWLVUBWMUKWNWQWMUUDAUW
      RUWMAUWRUYEWOZAUWMVUDWOZUUEWPAUWSKVHWRUWRKVAVBZUWMVHWRUWMUWRKWSVBZVHWRAVU
      JOUWIVAVBZBODVGZWTVBZUWMWSVBZVUMVAVBZUWMAUWRKUYEAUXAUXCBGVOZKVJVIZUNAUXCB
      GABCDGNGVJUUFAGHXAUUGVBVJRHXAUUHUUIZXBUEUFUHUUJZVNZUXCVURBPGUYBDKVJURVSXC
      WEZWGZAVUOVUMAVUNUWMAVULVUMAOUWIAGVJOVUSUMXDZAOVJVIZUWIVJVIVVDOXEXFWGZAUY
      NBUSVMZDVGZVJVIZUSGVOZVUMVJVIZUMAVUQVVJVVAUXCVVIBUSGUXCUSXIBVVHVJBVVGDWAW
      BBUSVRDVVHVJBVVGDWCVSUUMUUAVVIVVKUSOGVVGOVKVVHVUMVJBVVGODUUKVSXCWEZXGZVUD
      XHZVVLWGZVUDAVUJPUWNVAVBZKWTVBZUWRWSVBZKVAVBZVUPVVCAVVRKAVVQUWRAVVPKAPUWN
      AGVJPVUSUNXDZAPVJVIZUWNVJVIVVTPXEXFWGZVVBXGZUYEXHZVVBWGZVVOAUWRVVRKUYEVWD
      VVBAXJVVQVHWRUWRVVRVHWRAVVPKVWBVVBAVWAXJVVPVHWRVVTPXKXFAUXAFUYAVHWRZXJDVH
      WRZXLZBGVOZFPVHWRZXJKVHWRZUNAVWHBGAUYAGVIZVWFVWGULUULVNZAFOPUAVVDVVTUOUPX
      MVWHVWJVWKXLBPGUYBVWFVWJVWGVWKUYAPFVHXNUYBDKXJVHURXOXPXCXQZXRAUWRVVQUYEVW
      CXSYKUUNAVVSVUPVHWRVUPXTZVVSXTZVHWRAVUMVUOVAVBZKVVRVAVBZVWOVWPVHAVUOXTZVU
      MXTZVAVBZVVRXTZKXTZVAVBZVWQVWRVHAOBGUYAUYFVAVBZDXTZWTVBZUYGEXTZJVFZCXTZVA
      VBZWSVBZUUOZUTZBOVXFVGZVAVBZPVXMUTZBPVXFVGZVAVBZVXAVXDVHAVXQVXNVHWRZVXPVX
      SVHWRZABVXJVXFVXHFGHIJVXMMVJOPQRSTUAUCUDAVWLYAZCUEYBVYBDVUTYBAUYAQVIYADUG
      YBABCDVJNGVJVJUUPUUQVIAUURXBVYBCUEWOUFUHUUSUXKDEUIYCUBAVWLUXEGVIZYAZVWFUY
      AUXEVHWRUXEIVHWRYDZYDZDEVHWRVXHVXFVHWRUJVYFDEAVYDUXCVYEAVWLUXCVYCVUTUUTUV
      AVYFVYCVUQUXGAVWLVYCVYEUVCAVYDVUQVYEVVAUVBUXCUXGBUXEGUXLXCWEYEYKVXMUVDZUM
      UNUOUPUQUVEZUVFAVXNVWSVXOVWTVAAVXNVULVWTWTVBZUWJVXHJVFZUWLXTZVAVBZWSVBZVW
      SAUYNVYMVJVIVXNVYMVKUMAVYMVWSVJAVYMVUNXTZUWMXTZWSVBVWSAVYIVYNVYLVYOWSAVUL
      VUMAVULVVFWOAVUMVVLWOZYFAUWKXTZVYKVAVBUWLUWKVAVBVYLVYOAUWKUWLAUWKUYRWOZAU
      WLVUCWOZYGAVYJVYQVYKVAAUWJEJUYOAUYPYAEUYQWOYHYIAUWKUWLVYRVYSYJYLWMAVUNUWM
      AVUNVVMWOVUIYMYNZAVUOVVNYBYOBOVXLVYMGVXMVJVUEBVYIVYLWSBVULVWTWTBVULWHBWTW
      HBVUMBODWAZYPWIBWSWHZBVYJVYKVABVYJWHUYKBUWLUYTYPWIWIVUAVXGVYIVXKVYLWSVUAV
      XEVULVXFVWTWTVUAUYAOUYFUWIVAVUAUVGVUFWMVUADVUMBODWCZYCWMVUAVXIVYJVXJVYKVA
      VUAUYGUWJVXHJVUGWLVUACUWLVUBYCWMWMVYGWNWQVYTWPZAUYNVXOVWTVKUMBODGUVHXFWMA
      VXQVXBVXRVXCVAAVXQVVPVXCWTVBZUWOVXHJVFZUWQXTZVAVBZWSVBZVXBAUXAWUIVJVIVXQW
      UIVKUNAWUIVXBVJAWUIVVQXTZUWRXTZWSVBVXBAWUEWUJWUHWUKWSAVVPKAVVPVWBWOAKVVBW
      OZYFAUWPXTZWUGVAVBUWQUWPVAVBWUHWUKAUWPUWQAUWPUXOWOZAUWQUYDWOZYGAWUFWUMWUG
      VAAUWOEJUXBAUXHYAEUXNWOYHYIAUWPUWQWUNWUOYJYLWMAVVQUWRAVVQVWCWOVUHYMYNZAVV
      RVWDYBYOBPVXLWUIGVXMVJUYJBWUEWUHWSBWUEWHWUBBWUFWUGVABWUFWHUYKBUWQUXTYPWIW
      IUYBVXGWUEVXKWUHWSUYBVXEVVPVXFVXCWTUYBUYAPUYFUWNVAUYBUVGUYLWMUYBDKURYCZWM
      UYBVXIWUFVXJWUGVAUYBUYGUWOVXHJUYMWLUYBCUWQUYCYCWMWMVYGWNWQWUPWPZABPVXFVXC
      GUNUYBVXFVXCVKAWUQUVIUVNWMYQAVUOVUMAVUOVVNWOZVYPYGAVVRKAVVRVWDWOZWULYGYQA
      VUOVUMWUSVYPYJAVVRKWUTWULYJUVJAVVSVUPVWEVVOYEYRXMAVUPUWMVHWRVUOVUMUWMWSVB
      VHWRAVUNVUMUWMVVMVVLVUDAVUNYSVUMWTVBVUMVHAVULYSVUMVVFAUVKZVVLAUYNVWIFOVHW
      RZXJVUMVHWRZUMVWMUOVWHWVBWVCXLBOGWVBWVCBWVBBXIBXJVUMVHBXJWHBVHWHWUAUVLUVO
      VUAVWFWVBVWGWVCUYAOFVHXNVUADVUMXJVHWUCXOXPWDXQZAVVEVULYSVHWRVVDOUVMXFUVPA
      VUMVYPUVQYTUVRAVUOVUMUWMVVNVVLVUDUVSYRXMAUWMVUOVUKVUDVVNAUWRKUYEVVBXHZAXJ
      VUNVHWRUWMVUOVHWRAVULVUMVVFVVLAVVEXJVULVHWRVVDOXKXFWVDXRAUWMVUNVUDVVMXSYK
      AVUOVVRVUKVVNVWDWVEAVUOVVRVHWRVXBVWSVHWRAVXQVXNVXBVWSVHAVXTVYAVYHUVTWURWU
      DYQAVUOVVRVVNVWDYEYRAVVRKUWRWSVBVUKVHAVVQKUWRVWCVVBUYEAVVQYSKWTVBKVHAVVPY
      SKVWBWVAVVBVWNAVWAVVPYSVHWRVVTPUVMXFUVPAKWULUVQYTUVRAKUWRWULVUHUWAYTXMXMA
      UWMUWRKVUDUYEVVBUWBUWCUWD $.
  $}

  ${
    $d s t u v w x y z C $.  $d d r s t u v w x y z D $.  $d d e r s u y z G $.
    $d d e r s t u v w x y z A $.  $d d e r s t u v w x y z B $.  $d t x z X $.
    $d t y E $.  $d s u v w y H $.  $d d e r s t u v w x y z ph $.  $d t x Y $.
    $d d r s t u v w x y z F $.  $d s u v w x y z L $.  $d y R $.
    ftc1.g $e |- G = ( x e. ( A [,] B ) |-> S. ( A (,) x ) ( F ` t ) _d t ) $.
    ftc1.a $e |- ( ph -> A e. RR ) $.
    ftc1.b $e |- ( ph -> B e. RR ) $.
    ftc1.le $e |- ( ph -> A <_ B ) $.
    ftc1.s $e |- ( ph -> ( A (,) B ) C_ D ) $.
    ftc1.d $e |- ( ph -> D C_ RR ) $.
    ftc1.i $e |- ( ph -> F e. L^1 ) $.

    ${
      ftc1a.f $e |- ( ph -> F : D --> CC ) $.
      ${
        ftc1lem1.x $e |- ( ph -> X e. ( A [,] B ) ) $.
        ftc1lem1.y $e |- ( ph -> Y e. ( A [,] B ) ) $.
        $( Lemma for ~ ftc1a and ~ ftc1 .  (Contributed by Mario Carneiro,
           31-Aug-2014.) $)
        ftc1lem1 $p |- ( ( ph /\ X <_ Y ) ->
          ( ( G ` Y ) - ( G ` X ) ) = S. ( X (,) Y ) ( F ` t ) _d t ) $=
          ( cle wbr wa cfv cmin co cioo cv citg caddc wceq cicc wcel itgeq1 syl
          oveq2 itgex fvmpt adantr wss iccssre syl2anc sseldd w3a elicc2 simp2d
          cr wb mpbid simpr mpbir3and cc cxr rexrd simp3d iooss2 sselda adantlr
          sstrd ffvelrnda syldan cmpt cibl cvv cvol cdm ioombl feqmptd eqeltrrd
          a1i fvexd iblss iooss1 itgsplitioo eqtrd oveq12d itgcl pncan2d ) AIJU
          AUBZUCZJHUDZIHUDZUEUFCDIUGUFZCUHZGUDZUIZCIJUGUFZXEUIZUJUFZXFUEUFZXHWT
          XAXIXBXFUEWTXACDJUGUFZXEUIZXIAXAXLUKZWSAJDEULUFZUMZXMTBJCDBUHZUGUFZXE
          UIZXLXNHXPJUKXQXKUKXRXLUKXPJDUGUPCXQXKXEUNUOKCXKXEUQURUOUSWTCDIJXEADV
          GUMZWSLUSAJVGUMZWSAXNVGJAXSEVGUMZXNVGUTLMDEVAVBZTVCZUSWTIDJULUFUMZIVG
          UMZDIUAUBZWSAYEWSAXNVGIYBSVCUSAYFWSAYEYFIEUAUBZAIXNUMZYEYFYGVDZSAXSYA
          YHYIVHLMDEIVEVBVIZVFZUSAWSVJAYDYEYFWSVDVHZWSAXSXTYLLYCDJIVEVBUSVKWTXD
          XKUMXDFUMZXEVLUMZWTXKFXDAXKFUTWSAXKDEUGUFZFAEVMUMZJEUAUBZXKYOUTAEMVNZ
          AXTDJUAUBZYQAXOXTYSYQVDZTAXSYAXOYTVHLMDEJVEVBVIVODJEVPVBZOVSUSVQAYMYN
          WSAFVLXDGRVTZVRWAACXCXEWBWCUMWSACXCFXEWDAXCYOFAYPYGXCYOUTYRAYEYFYGYJV
          ODIEVPVBOVSXCWEWFZUMADIWGWJAYMUCXDGWKZAGCFXEWBWCACFVLGRWHQWIZWLZUSACX
          GXEWBWCUMWSACXGFXEWDAXGYOFAXGXKYOADVMUMYFXGXKUTADLVNYKDIJWMVBUUAVSOVS
          ZXGUUCUMAIJWGWJUUDUUEWLZUSWNWOAXBXFUKZWSAYHUUISBIXRXFXNHXPIUKXQXCUKXR
          XFUKXPIDUGUPCXQXCXEUNUOKCXCXEUQURUOUSWPAXJXHUKWSAXFXHACXCXEWDAXDXCUMU
          CXDGWKUUFWQACXGXEVLAXDXGUMYMYNAXGFXDUUGVQUUBWAUUHWQWRUSWO $.
      $}

      $( Lemma for ~ ftc1 .  (Contributed by Mario Carneiro, 12-Aug-2014.) $)
      ftc1lem2 $p |- ( ph -> G : ( A [,] B ) --> CC ) $=
        ( co wcel wa cr cicc cv cioo cfv citg cc cvv fvexd cxr cle adantr rexrd
        wbr wss w3a wb elicc2 syl2anc biimpa simp3d iooss2 sstrd cdm ioombl a1i
        cvol cmpt cibl feqmptd eqeltrrd iblss itgcl fmptd ) ABDEUAQZCDBUBZUCQZC
        UBZGUDZUEUFHAVOVNRZSZCVPVRUGVTVQVPRSVQGUHVTCVPFVRUGVTVPDEUCQZFVTEUIRVOE
        UJUMZVPWAUNVTEAETRZVSKUKULVTVOTRZDVOUJUMZWBAVSWDWEWBUOZADTRWCVSWFUPJKDE
        VOUQURUSUTDVOEVAURAWAFUNVSMUKVBVPVFVCRVTDVOVDVEVTVQFRSVQGUHACFVRVGZVHRV
        SAGWGVHACFUFGPVIOVJUKVKVLIVM $.

      $( The Fundamental Theorem of Calculus, part one.  The function ` G `
         formed by varying the right endpoint of an integral of ` F ` is
         continuous if ` F ` is integrable.  (Contributed by Mario Carneiro,
         1-Sep-2014.) $)
      ftc1a $p |- ( ph -> G e. ( ( A [,] B ) -cn-> CC ) ) $=
        ( wcel cfv clt wbr vz vy vd ve vu vw vs vr cicc co ccncf cmin cabs wral
        cc wf cv wi crp wrex ftc1lem2 wss cvol citg cdm fvexd cmpt cibl feqmptd
        wa cvv eqeltrrd adantr simpr itgcn weq wb oveq12 fveq2d fveq2 oveqan12d
        breq1d imbi12d ancoms cr iccssre ad2antrr ad3antrrr simprr sseldd recnd
        syl2anc simprl abssubd ffvelrnd cioo wceq simpr3 simpr1 simpr2 ftc1lem1
        cle w3a mpdan adantlr ad2ant2r rexrd simprl1 elicc2 mpbid simp2d iooss1
        cxr simprl2 simp3d iooss2 sstrd ioombl a1i iblss abscld cmbf iblmbf syl
        itgcl mbfmptcl iblabs itgrecl rpred itgabs mblvol ioossre ovolcl simp1d
        covol ax-mp mp1i resubcld rpxrd ioossicc ovolss sylancr simprl3 ovolicc
        syl3anc breqtrd eqbrtrrd xrlelttrd eqbrtrid sseq1 anbi12d 2fveq3 itgeq1
        abssubge0d cbvitgv syl5eq simplr rspcdva mp2and lelttrd expr ralrimivva
        eqbrtrd wlogle ex anassrs reximdva mpd r19.12 ralrimiva sylib ax-resscn
        ralcom sstrdi ssid elcncf2 sylancl mpbir2and ) AHDEUIUJZUOUKUJQZUVSUOHU
        PZUAUQZUBUQZULUJZUMRZUCUQZSTZUWBHRZUWCHRZULUJZUMRZUDUQZSTZURZUAUVSUNZUC
        USUTZUDUSUNUBUVSUNZABCDEFGHIJKLMNOPVAZAUWPUBUVSUNZUDUSUNUWQAUWSUDUSAUWL
        USQZVJZUWOUBUVSUNZUCUSUTZUWSUXAUEUQZFVBZUXDVCRZUWFSTZVJZUFUXDUFUQZGRZUM
        RZVDZUWLSTZURZUEVCVEZUNZUCUSUTUXCUXAUFUEFUXJUWLVKUCUXAUXIFQVJUXIGVFAUFF
        UXJVGZVHQUWTAGUXQVHAUFFUOGPVIOVLVMAUWTVNVOUXAUXPUXBUCUSAUWTUWFUSQZUXPUX
        BURAUWTUXRVJZVJZUXPUXBUXTUXPVJZUWNUBUAUVSUVSUYAUGUQZUHUQZULUJZUMRZUWFST
        ZUYBHRZUYCHRZULUJZUMRZUWLSTZURZUWNUWCUWBULUJZUMRZUWFSTZUWIUWHULUJZUMRZU
        WLSTZURZUBUAUHUGUVSUGUAVPZUHUBVPZUYLUWNVQUYTVUAVJZUYFUWGUYKUWMVUBUYEUWE
        UWFSVUBUYDUWDUMUYBUWBUYCUWCULVRVSWBVUBUYJUWKUWLSVUBUYIUWJUMUYTVUAUYGUWH
        UYHUWIULUYBUWBHVTUYCUWCHVTWAVSWBWCWDUGUBVPZUHUAVPZUYLUYSVQVUCVUDVJZUYFU
        YOUYKUYRVUEUYEUYNUWFSVUEUYDUYMUMUYBUWCUYCUWBULVRVSWBVUEUYJUYQUWLSVUEUYI
        UYPUMVUCVUDUYGUWIUYHUWHULUYBUWCHVTUYCUWBHVTWAVSWBWCWDAUVSWEVBZUXSUXPADW
        EQZEWEQZVUFJKDEWFWLZWGUYAUWCUVSQZUWBUVSQZVJZVJZUWGUYOUWMUYRVUMUWEUYNUWF
        SVUMUWBUWCVUMUWBVUMUVSWEUWBAVUFUXSUXPVULVUIWHZUYAVUJVUKWIZWJWKVUMUWCVUM
        UVSWEUWCVUNUYAVUJVUKWMZWJWKWNWBVUMUWKUYQUWLSVUMUWHUWIVUMUVSUOUWBHAUWAUX
        SUXPVULUWRWHZVUOWOVUMUVSUOUWCHVUQVUPWOWNWBWCUYAVUJVUKUWCUWBXBTZXCZUWGUW
        MUYAVUSUWGVJZVJZUWKCUWCUWBWPUJZCUQZGRZVDZUMRZUWLSVVAUWJVVEUMUXTVUSUWJVV
        EWQZUXPUWGAVUSVVGUXSAVUSVJZVURVVGAVUJVUKVURWRVVHBCDEFGHUWCUWBIAVUGVUSJV
        MAVUHVUSKVMADEXBTVUSLVMADEWPUJZFVBZVUSMVMAFWEVBVUSNVMAGVHQVUSOVMAFUOGUP
        VUSPVMAVUJVUKVURWSAVUJVUKVURWTXAXDXEXFVSVVAVVFCVVBVVDUMRZVDZUWLVVAVVEVV
        ACVVBVVDVKVVAVVCVVBQVJZVVCGVFZVVACVVBFVVDVKVVAVVBVVIFVVAVVBDUWBWPUJZVVI
        VVADXMQDUWCXBTZVVBVVOVBVVADAVUGUXSUXPVUTJWHZXGVVAUWCWEQZVVPUWCEXBTZVVAV
        UJVVRVVPVVSXCZVUJVUKVURUWGUYAXHVVAVUGVUHVUJVVTVQVVQAVUHUXSUXPVUTKWHZDEU
        WCXIWLXJZXKDUWCUWBXLWLVVAEXMQUWBEXBTZVVOVVIVBVVAEVWAXGVVAUWBWEQZDUWBXBT
        ZVWCVVAVUKVWDVWEVWCXCZVUJVUKVURUWGUYAXNVVAVUGVUHVUKVWFVQVVQVWADEUWBXIWL
        XJZXODUWBEXPWLXQAVVJUXSUXPVUTMWHXQZVVBUXOQZVVAUWCUWBXRZXSZVVAVVCFQVJVVC
        GVFACFVVDVGZVHQUXSUXPVUTAGVWLVHACFUOGPVIOVLWHXTZYEYAVVACVVBVVKVVMVVDVVA
        CVVBVVDVKVVACVVBVVDVGZVHQVWNYBQVWMVWNYCYDVVNYFYAVVACVVBVVDVKVVNVWMYGYHV
        VAUWLUXTUWTUXPVUTAUWTUXRWMWGYIVVACVVBVVDVKVVNVWMYJVVAVVBFVBZVVBVCRZUWFS
        TZVVLUWLSTZVWHVVAVWPVVBYORZUWFSVWIVWPVWSWQVWJVVBYKYPVVAVWSUWDUWFVVBWEVB
        VWSXMQVVAUWCUWBYLVVBYMYQVVAUWDVVAUWBUWCVVAVWDVWEVWCVWGYNZVVAVVRVVPVVSVW
        BYNZYRXGVVAUWFUXTUXRUXPVUTAUWTUXRWIWGYSVVAVWSUWCUWBUIUJZYORZUWDXBVVAVVB
        VXBVBVXBWEVBZVWSVXCXBTUWCUWBYTVVAVVRVWDVXDVXAVWTUWCUWBWFWLVVBVXBUUAUUBV
        VAVVRVWDVURVXCUWDWQVXAVWTVUJVUKVURUWGUYAUUCZUWCUWBUUDUUEUUFVVAUWEUWDUWF
        SVVAUWCUWBVXAVWTVXEUUNUYAVUSUWGWIUUGUUHUUIVVAUXNVWOVWQVJZVWRURUEUXOVVBU
        XDVVBWQZUXHVXFUXMVWRVXGUXEVWOUXGVWQUXDVVBFUUJVXGUXFVWPUWFSUXDVVBVCVTWBU
        UKVXGUXLVVLUWLSVXGUXLCUXDVVKVDVVLUFCUXDUXKVVKUXIVVCUMGUULUUOCUXDVVBVVKU
        UMUUPWBWCUXTUXPVUTUUQVWKUURUUSUUTUVCUVAUVDUVBUVEUVFUVGUVHUWOUCUBUSUVSUV
        IYDUVJUWPUDUBUSUVSUVMUVKAUVSUOVBUOUOVBUVTUWAUWQVJVQAUVSWEUOVUIUVLUVNUOU
        VOUBUDUCUAUVSUOHUVPUVQUVR $.
    $}

    ftc1.c $e |- ( ph -> C e. ( A (,) B ) ) $.
    ftc1.f $e |- ( ph -> F e. ( ( K CnP L ) ` C ) ) $.
    ftc1.j $e |- J = ( L |`t RR ) $.
    ftc1.k $e |- K = ( L |`t D ) $.
    ftc1.l $e |- L = ( TopOpen ` CCfld ) $.
    $( Lemma for ~ ftc1 .  (Contributed by Mario Carneiro, 1-Sep-2014.)
       (Revised by Mario Carneiro, 8-Sep-2015.) $)
    ftc1lem3 $p |- ( ph -> F : D --> CC ) $=
      ( ctopon cfv wcel cc ccnp co wf wss cnfldtopon ax-resscn sstrdi resttopon
      crest cr sylancr eqeltrid a1i cnpf2 syl3anc ) AKGUEUFZUGLUHUEUFUGZHFKLUIU
      JUFUGGUHHUKAKLGUQUJZVDUCAVEGUHULVFVDUGLUDUMZAGURUHRUNUOGLUHUPUSUTVEAVGVAU
      AFHKLGUHVBVC $.

    ${
      ftc1.h $e |- H = ( z e. ( ( A [,] B ) \ { C } ) |->
      ( ( ( G ` z ) - ( G ` C ) ) / ( z - C ) ) ) $.
      ${
        ftc1.e $e |- ( ph -> E e. RR+ ) $.
        ftc1.r $e |- ( ph -> R e. RR+ ) $.
        ftc1.fc $e |- ( ( ph /\ y e. D ) -> ( ( abs ` ( y - C ) ) < R ->
          ( abs ` ( ( F ` y ) - ( F ` C ) ) ) < E ) ) $.
        ftc1.x1 $e |- ( ph -> X e. ( A [,] B ) ) $.
        ftc1.x2 $e |- ( ph -> ( abs ` ( X - C ) ) < R ) $.
        ${
          ftc1.y1 $e |- ( ph -> Y e. ( A [,] B ) ) $.
          ftc1.y2 $e |- ( ph -> ( abs ` ( Y - C ) ) < R ) $.
          $( Lemma for ~ ftc1 .  (Contributed by Mario Carneiro,
             31-Aug-2014.) $)
          ftc1lem4 $p |- ( ( ph /\ X < Y ) -> ( abs `
          ( ( ( ( G ` Y ) - ( G ` X ) ) / ( Y - X ) ) - ( F ` C ) ) ) < E ) $=
            ( clt wbr wa cfv cmin co cdiv cabs cioo cv citg cc wcel cvv cxr cle
            ovexd wss rexrd cr w3a wb elicc2 syl2anc mpbid simp2d iooss1 simp3d
            cicc iooss2 sstrd sselda ftc1lem3 ffvelrnda syldan cdm ioombl fvexd
            cvol a1i cmpt feqmptd eqeltrrd iblss sseldd ffvelrnd adantr csn cxp
            cibl fconstmpt covol wceq ax-mp ioossicc syl3anc iblconst eqeltrrid
            mblvol syl iblsub resubcld recnd cc0 posdifd cmul caddc wi itgconst
            ltle oveq2d eqtrd 3eqtrd oveq1d abscld rpred absdifltd simpld lttrd
            mpd simprd iccssre iccmbl iccvolcl ovolsscl eqeltrid biimpa gt0ne0d
            mblss itgcl divcld imp ftc1lem1 npcand subcld itgadd eqtr3d ovolioo
            itgeq2dv syl5eq mulcld divdird divcan4d mvrraddd fveq2d absdivd 0re
            sylancr absidd iblabs itgrecl remulcld itgabs breqtrrd crp eliooord
            adantl readdcld mpbir2and fvoveq1 breq1d imbrov2fvoveq wral rspcdva
            ralrimiva adantlr itggt0 mulcomd breqtrd biimpar ltdivmul syl112anc
            difrp itgsub lelttrd mpbird eqbrtrd ) ARSUTVAZVBZSMVCRMVCVDVEZSRVDV
            EZVFVEZHLVCZVDVEZVGVCZERSVHVEZEVIZLVCZUXBVDVEZVJZVGVCZUWTVFVEZKUTUW
            RUXDUXIUWTVFVEZVGVCUXJUWTVGVCZVFVEUXKUWRUXCUXLVGUWRUXAUXLUXBUWRUXIU
            WTAUXIVKVLUWQAEUXEUXHVMAUXFUXEVLZVBZUXGUXBVDVPZAEUXEUXGUXBVKAUXNUXF
            IVLZUXGVKVLAUXEIUXFAUXEFGVHVEZIAUXEFSVHVEZUXRAFVNVLFRVOVAZUXEUXSVQA
            FUAVRARVSVLZUXTRGVOVAZARFGWHVEZVLZUYAUXTUYBVTZUPAFVSVLZGVSVLZUYDUYE
            WAUAUBFGRWBWCWDWEFRSWFWCAGVNVLSGVOVAZUXSUXRVQAGUBVRASVSVLZFSVOVAZUY
            HASUYCVLZUYIUYJUYHVTZURAUYFUYGUYKUYLWAUAUBFGSWBWCWDWGFSGWIWCWJUDWJZ
            WKZAIVKUXFLABEFGHILMOPQTUAUBUCUDUEUFUGUHUIUJUKWLZWMWNZAEUXEIUXGVMUY
            MUXEWRWOZVLZARSWPZWSZAUXQVBUXFLWQALEIUXGWTXIAEIVKLUYOXAUFXBXCAUXBVK
            VLZUXNAIVKHLUYOAUXRIHUDUGXDZXEZXFZAEUXEUXBWTUXEUXBXGXHZXIEUXEUXBXJA
            UYRUXEWRVCZVSVLZVUAVUEXIVLUYTAVUFUXEXKVCZVSUYRVUFVUHXLUYSUXEXRXMZAU
            XERSWHVEZVQZVUJVSVQZVUJXKVCZVSVLVUHVSVLVUKARSXNWSAVUJUYQVLZVULAUYAU
            YIVUNAUYCVSRAUYFUYGUYCVSVQUAUBFGUUAWCZUPXDZAUYCVSSVUOURXDZRSUUBWCZV
            UJUUHXSAVUJWRVCZVUMVSAVUNVUSVUMXLVURVUJXRXSAUYAUYIVUSVSVLVUPVUQRSUU
            CWCXBUXEVUJUUDXOUUEZVUCUXEUXBXPXOXQZXTZUUIZXFZUWRUWTAUWTVSVLZUWQASR
            VUQVUPYAZXFZYBZUWRUWTAUWQYCUWTUTVAZARSVUPVUQYDUUFZUUGZUUJAVUAUWQVUC
            XFZUWRUXAUXIUXBUWTYEVEZYFVEZUWTVFVEUXLVVMUWTVFVEZYFVEUXLUXBYFVEUWRU
            WSVVNUWTVFUWRUWSEUXEUXGVJZUXIEUXEUXBVJZYFVEZVVNAUWQRSVOVAZUWSVVPXLA
            UWQVVSAUYAUYIUWQVVSYGVUPVUQRSYIWCUUKZABEFGILMRSTUAUBUCUDUEUFUYOUPUR
            UULWNAVVPVVRXLUWQAEUXEUXHUXBYFVEZVJVVPVVRAEUXEVWAUXGUXOUXGUXBUYPVUD
            UUMUURAEUXEUXHUXBVKUXOUXGUXBUYPVUDUUNZVVBVUDVVAUUOUUPXFUWRVVQVVMUXI
            YFUWRVVQUXBVUFYEVEZVVMAVVQVWCXLZUWQAUYRVUGVUAVWDUYTVUTVUCEUXEUXBYHX
            OXFUWRVUFUWTUXBYEUWRVUFVUHUWTVUIUWRUYAUYIVVSVUHUWTXLAUYAUWQVUPXFAUY
            IUWQVUQXFVVTRSUUQXOUUSZYJYKYJYLYMUWRUXIVVMUWTVVDUWRUXBUWTVVLVVHUUTV
            VHVVKUVAUWRVVOUXBUXLYFUWRUXBUWTVVLVVHVVKUVBYJYLUVCUVDUWRUXIUWTVVDVV
            HVVKUVEUWRUXMUWTUXJVFUWRUWTVVGUWRVVIYCUWTVOVAZVVJUWRYCVSVLVVEVVIVWF
            YGUVFVVGYCUWTYIUVGYSUVHYJYLUWRUXKKUTVAZUXJUWTKYEVEZUTVAZUWRUXJEUXEU
            XHVGVCZVJZVWHAUXJVSVLZUWQAUXIVVCYNXFAVWKVSVLUWQAEUXEVWJUXOUXHVWBYNZ
            AEUXEUXHVMUXPVVBUVIZUVJZXFAVWHVSVLUWQAUWTKVVFAKUMYOZUVKZXFAUXJVWKVO
            VAUWQAEUXEUXHVKVWBVVBUVLXFAUWQYCVWHVWKVDVEZUTVAZVWKVWHUTVAZUWRYCEUX
            EKVWJVDVEZVJZVWRUTUWREUXEVXAUWRYCUWTVUFUTVVJVWEUVMAEUXEVXAWTXIVLUWQ
            AEUXEKVWJVSAKVSVLZUXNVWPXFZAEUXEKWTUXEKXGXHZXIEUXEKXJAUYRVUGKVKVLZV
            XEXIVLUYTVUTAKVWPYBZUXEKXPXOXQZVWMVWNXTXFAUXNVXAUVNVLZUWQUXOVWJKUTV
            AZVXIUXOUXFHVDVEVGVCZJUTVAZVXJUXOVXLHJVDVEZUXFUTVAUXFHJYFVEZUTVAUXO
            VXMRUXFAVXMVSVLUXNAHJAIVSHUEVUBXDZAJUNYOZYAXFAUYAUXNVUPXFAUXEVSUXFA
            UXEIVSUYMUEWJWKZAVXMRUTVAZUXNAVXRRVXNUTVAZARHVDVEVGVCJUTVAVXRVXSVBU
            QARHJVUPVXOVXPYPWDYQXFUXORUXFUTVAZUXFSUTVAZUXNVXTVYAVBAUXFRSUVOUVPZ
            YQYRUXOUXFSVXNVXQAUYIUXNVUQXFAVXNVSVLUXNAHJVXOVXPUVQXFUXOVXTVYAVYBY
            TASVXNUTVAZUXNAVXMSUTVAZVYCASHVDVEVGVCJUTVAVYDVYCVBUSASHJVUQVXOVXPY
            PWDYTXFYRUXOUXFHJVXQAHVSVLUXNVXOXFAJVSVLUXNVXPXFYPUVRUXOCVIZHVDVEVG
            VCZJUTVAZVYELVCUXBVDVEVGVCKUTVAYGZVXLVXJYGCIUXFVYGVXLKUTVDVGLUXBVYE
            UXFVYEUXFXLVYFVXKJUTVYEUXFHVGVDUVSUVTUWAAVYHCIUWBUXNAVYHCIUOUWDXFUY
            NUWCYSUXOVWJVSVLVXCVXJVXIWAVWMVXDVWJKUWLWCWDUWEUWFUWRVXBEUXEKVJZVWK
            VDVEZVWRAVXBVYJXLUWQAEUXEKVWJVSVXDVXHVWMVWNUWMXFUWRVYIVWHVWKVDUWRVY
            IKVUFYEVEZKUWTYEVEZVWHAVYIVYKXLZUWQAUYRVUGVXFVYMUYTVUTVXGEUXEKYHXOX
            FUWRVUFUWTKYEVWEYJAVYLVWHXLUWQAKUWTVXGAUWTVVFYBUWGXFYLYMYKUWHAVWTVW
            SAVWKVWHVWOVWQYDUWIWNUWNUWRVWLVXCVVEVVIVWGVWIWAUWRUXIVVDYNAVXCUWQVW
            PXFVVGVVJUXJKUWTUWJUWKUWOUWP $.
        $}

        $( Lemma for ~ ftc1 .  (Contributed by Mario Carneiro, 14-Aug-2014.)
           (Revised by Mario Carneiro, 28-Dec-2016.) $)
        ftc1lem5 $p |- ( ( ph /\ X =/= C ) ->
          ( abs ` ( ( H ` X ) - ( F ` C ) ) ) < E ) $=
          ( wne clt wbr wo cfv cmin co cabs cicc cr wcel iccssre syl2anc sseldd
          wss cioo ioossicc sselid lttri2d biimpa wa cdiv cneg cdif wceq adantr
          simpr ltned eldifsn sylanbrc cv fveq2 oveq1d oveq1 oveq12d ovex fvmpt
          csn syl cc ftc1lem3 ftc1lem2 ffvelrnd subcld recnd subeq0ad necon3bid
          cc0 biimpar syldan div2negd negsubdi2d 3eqtr2d fvoveq1d subidd rpgt0d
          abs00bd eqbrtrd ftc1lem4 gtned jaodan ) ARHUQZRHURUSZHRURUSZUTZRNVAZH
          LVAZVBVCVDVAZKURUSZAXRYAARHAFGVEVCZVFRAFVFVGGVFVGYFVFVKTUAFGVHVIZUOVJ
          ZAYFVFHYGAFGVLVCYFHFGVMUFVNZVJZVOVPAXSYEXTAXSVQZYDHMVAZRMVAZVBVCZHRVB
          VCZVRVCZYCVBVCVDVAKURYKYBYPYCVDVBYKYBYMYLVBVCZRHVBVCZVRVCZYQVSZYRVSZV
          RVCZYPYKRYFHWNVTZVGZYBYSWAZYKRYFVGZXRUUDAUUFXSUOWBYKRHARVFVGXSYHWBAXS
          WCWDZRYFHWEZWFDRDWGZMVAZYLVBVCZUUIHVBVCZVRVCYSUUCNUUIRWAZUUKYQUULYRVR
          UUMUUJYMYLVBUUIRMWHWIUUIRHVBWJWKUKYQYRVRWLWMZWOYKYQYRAYQWPVGXSAYMYLAY
          FWPRMABEFGILMSTUAUBUCUDUEABEFGHILMOPQSTUAUBUCUDUEUFUGUHUIUJWQWRZUOWSZ
          AYFWPHMUUOYIWSZWTWBAYRWPVGXSARHARYHXAZAHYJXAZWTWBAXSXRYRXDUQZUUGAUUTX
          RAYRXDRHARHUURUUSXBXCXEXFXGAUUBYPWAXSAYTYNUUAYOVRAYMYLUUPUUQXHARHUURU
          USXHWKWBXIXJABCDEFGHIJKLMNOPQRHSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPYIAH
          HVBVCZVDVAXDJURAUVAAHUUSXKXMAJUMXLXNZXOXNAXTVQZYDYSYCVBVCVDVAKURUVCYB
          YSYCVDVBUVCUUDUUEUVCUUFXRUUDAUUFXTUOWBUVCHRAHVFVGXTYJWBAXTWCXPUUHWFUU
          NWOXJABCDEFGHIJKLMNOPQHRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNYIUVBUOUPXOXNXQ
          XF $.
      $}

      $( Lemma for ~ ftc1 .  (Contributed by Mario Carneiro, 14-Aug-2014.)
         (Proof shortened by Mario Carneiro, 28-Dec-2016.) $)
      ftc1lem6 $p |- ( ph -> ( F ` C ) e. ( H limCC C ) ) $=
        ( vs vv vw vy vu cfv climc co wcel cc cv wne cmin cabs clt wbr cicc csn
        wa cdif wral crp wrex ftc1lem3 cioo sseldd ffvelrnd ccom cxp cres cxmet
        wi cmopn ccnp wss cnxmet ax-resscn sstrdi adantr xmetres2 sylancr crest
        cr a1i wceq eqid cnfldtopn metrest syl5eq oveq1d eleqtrd simpr metcnpi2
        fveq1d syl22anc ad2antrr ovresd sselda iccssre syl2anc sselid cnmetdval
        ioossicc breq1d wf ffvelrnda imbi12d ralbidva simprll eldifsni syl cibl
        eqtrd cle simplrl simplrr simprlr fvoveq1 imbrov2fvoveq rspccva eldifad
        sylan simprr ftc1lem5 mpdan expr adantld ralrimdva anassrs reximdva mpd
        sylbid ralrimiva cdiv ftc1lem2 dvlem fmptd ssdifssd ellimc3 mpbir2and )
        AGIUMZKGUNUOUPUUHUQUPZUHURZGUSZUUJGUTUOVAUMUIURZVBVCZVFUUJKUMUUHUTUOVAU
        MUJURZVBVCZVSZUHEFVDUOZGVEZVGZVHZUIVIVJZUJVIVHAHUQGIABDEFGHIJLMNOPQRSTU
        AUBUCUDUEUFVKZAEFVLUOZHGSUBVMZVNZAUVAUJVIAUUNVIUPZVFZUKURZGVAUTVOZHHVPV
        QZUOZUULVBVCZUVHIUMZUUHUVIUOZUUNVBVCZVSZUKHVHZUIVIVJZUVAUVGUVJHVRUMUPZU
        VIUQVRUMUPZIGUVJVTUMZNWAUOZUMZUPZUVFUVRUVGUVTHUQWBZUVSWCAUWEUVFAHWJUQTW
        DWEZWFUVIHUQWGWHUVTUVGWCWKAUWDUVFAIGMNWAUOZUMZUWCUCAGUWGUWBAMUWANWAAMNH
        WIUOZUWAUEAUVTUWEUWIUWAWLWCUWFUVIUVJNUWAUQHUVJWMNUFWNZUWAWMZWOWHWPWQXAW
        RWFAUVFWSUIUKUUNUVJUVIGIUWANHUQUWKUWJWTXBUVGUVQUUTUIVIAUVFUULVIUPZUVQUU
        TVSAUVFUWLVFZVFZUVQUVHGUTUOVAUMZUULVBVCZUVMUUHUTUOVAUMZUUNVBVCZVSZUKHVH
        ZUUTUWNUVPUWSUKHUWNUVHHUPZVFZUVLUWPUVOUWRUXBUVKUWOUULVBUXBUVKUVHGUVIUOZ
        UWOUXBUVHGUVIHUWNUXAWSAGHUPUWMUXAUVDXCXDUXBUVHUQUPGUQUPZUXCUWOWLUWNHUQU
        VHAUWEUWMUWFWFXEAUXDUWMUXAAUUQUQGAUUQWJUQAEWJUPZFWJUPZUUQWJWBPQEFXFXGWD
        WEZAUVCUUQGEFXJUBXHZVMZXCUVHGUVIUVIWMZXIXGXTXKUXBUVNUWQUUNVBUXBUVMUQUPU
        UIUVNUWQWLUWNHUQUVHIAHUQIXLUWMUVBWFXMAUUIUWMUXAUVEXCUVMUUHUVIUXJXIXGXKX
        NXOUWNUWTUUPUHUUSUWNUUJUUSUPZUWTUUPUWNUXKUWTVFZVFUUMUUOUUKUWNUXLUUMUUOU
        WNUXLUUMVFZVFZUUKUUOUXNUXKUUKUWNUXKUWTUUMXPZUUJUUQGXQXRUXNBULCDEFGHUULU
        UNIJKLMNUUJOAUXEUWMUXMPXCAUXFUWMUXMQXCAEFYAVCUWMUXMRXCAUVCHWBUWMUXMSXCA
        HWJWBUWMUXMTXCAIXSUPUWMUXMUAXCAGUVCUPUWMUXMUBXCAIUWHUPUWMUXMUCXCUDUEUFU
        GAUVFUWLUXMYBAUVFUWLUXMYCUXNUWTULURZHUPUXPGUTUOVAUMZUULVBVCZUXPIUMUUHUT
        UOVAUMUUNVBVCVSZUWNUXKUWTUUMYDUWSUXSUKUXPHUWPUXRUUNVBUTVAIUUHUVHUXPUVHU
        XPWLUWOUXQUULVBUVHUXPGVAUTYEXKYFYGYIUXNUUJUUQUURUXOYHUWNUXLUUMYJYKYLYMY
        NYMYOYSYPYQYRYTAUJUIUHUUSGUUHKACUUSCURZJUMGJUMUTUOUXTGUTUOUUAUOUQKAUXTG
        UUQJABDEFHIJOPQRSTUAUVBUUBUXGUXHUUCUGUUDAUUQUQUURUXGUUEUXIUUFUUG $.
    $}

    $( The Fundamental Theorem of Calculus, part one.  The function formed by
       varying the right endpoint of an integral is differentiable at ` C `
       with derivative ` F ( C ) ` if the original function is continuous at
       ` C ` .  This is part of Metamath 100 proof #15.  (Contributed by Mario
       Carneiro, 1-Sep-2014.) $)
    ftc1 $p |- ( ph -> C ( RR _D G ) ( F ` C ) ) $=
      ( vz cfv cr cdv co wbr cicc cnt wcel csn cdif cv cmin cdiv cmpt cioo ctop
      climc wss crn ctg crest tgioo2 retop eqeltri a1i iccssre syl2anc iooretop
      eqtr4i eleqtrri ioossicc cuni uniretop unieqi syl22anc sseldd ftc1lem6 cc
      ssntr eqid ax-resscn ftc1lem3 ftc1lem2 eldv mpbir2and ) AFFHUFZUGIUHUIUJF
      DEUKUIZJULUFUFZUMWKUEWLFUNUOUEUPZIUFFIUFUQUIWNFUQUIURUIUSZFVBUIUMADEUTUIZ
      WMFAJVAUMZWLUGVCZWPJUMZWPWLVCZWPWMVCWQAJUTVDVEUFZVAJLUGVFUIXAUBLUDVGVNZVH
      VIVJADUGUMEUGUMWRNODEVKVLZWSAWPXAJDEVMXBVOVJWTADEVPVJWLJWPUGUGXAVQJVQVRJX
      AXBVSVNWDVTTWAABUECDEFGHIWOJKLMNOPQRSTUAUBUCUDWOWEZWBAUEWLFWKUGJIWOLUBUDX
      DUGWCVCAWFVJABCDEGHIMNOPQRSABCDEFGHIJKLMNOPQRSTUAUBUCUDWGWHXCWIWJ $.
  $}

  ${
    $d t x y A $.  $d t x y B $.  $d t x y F $.  $d y G $.  $d t x y ph $.
    ftc1cn.g $e |- G =
      ( x e. ( A [,] B ) |-> S. ( A (,) x ) ( F ` t ) _d t ) $.
    ftc1cn.a $e |- ( ph -> A e. RR ) $.
    ftc1cn.b $e |- ( ph -> B e. RR ) $.
    ftc1cn.le $e |- ( ph -> A <_ B ) $.
    ftc1cn.f $e |- ( ph -> F e. ( ( A (,) B ) -cn-> CC ) ) $.
    ftc1cn.i $e |- ( ph -> F e. L^1 ) $.
    $( Strengthen the assumptions of ~ ftc1 to when the function ` F ` is
       continuous on the entire interval ` ( A , B ) ` ; in this case we can
       calculate ` _D G ` exactly.  (Contributed by Mario Carneiro,
       1-Sep-2014.) $)
    ftc1cn $p |- ( ph -> ( RR _D G ) = F ) $=
      ( co cr wceq cc cfv wcel adantr vy cioo cdv wfun cdm wfn wf dvf a1i ffund
      cicc crn ctg cnt ccnfld ctopn wss ax-resscn ssidd ioossre ccncf cncff syl
      ftc1lem2 iccssre syl2anc eqid tgioo2 dvbssntr iccntr sseqtrd cv wbr crest
      wa cle cibl simpr ccn cuni ccnp sstri cnfldtopon toponrestid cncfcn mp2an
      ssid eleqtrdi ctopon resttopon sylancr toponuni eleq2d biimpa cncnpi ftc1
      vex fvex breldm eqelssd df-fn sylanbrc ffnd funbrfv sylc eqfnfvd ) AUADEU
      BNZOGUCNZFAXHUDZXHUEZXGPXHXGUFAXJQXHXJQXHUGAGUHUIUJZAUAXJXGAXJDEUKNZUBULU
      MRZUNRRZXGAXLOGXMUOUPRZOQUQAURUIABCDEXGFGHIJKAXGUSXGOUQZADEUTZUIMAFXGQVAN
      ZSXGQFUGLXGQFVBVCZVDADOSZEOSZXLOUQIJDEVEVFXOXOVGZVHZYBVIAXTYAXNXGPIJDEVJV
      FVKAUAVLZXGSZVOZYDYDFRZXHVMZYDXJSYFBCDEYDXGFGXMXOXGVNNZXOHAXTYEITAYAYEJTA
      DEVPVMYEKTYFXGUSXPYFXQUIAFVQSYEMTAYEVRYFFYIXOVSNZSZYDYIVTZSZFYDYIXOWANRSA
      YKYEAFXRYJLXGQUQZQQUQXRYJPXGOQXQURWBZQWGXGQXOYIXOYBYIVGZXOQXOYBWCZWDWEWFW
      HTAYEYMAXGYLYDAYIXGWIRSZXGYLPAXOQWIRSYNYRYQYNAYOUIXGXOQWJWKXGYIWLVCWMWNYD
      FYIXOYLYLVGWOVFYCYPYBWPZYDYGXHUAWQYDFWRWSVCWTXHXGXAXBAXGQFXSXCYFXIYHYDXHR
      YGPAXIYEXKTYSYDYGXHXDXEXF $.
  $}

  ${
    $d t x A $.  $d t x B $.  $d t x F $.  $d t x ph $.
    ftc2.a $e |- ( ph -> A e. RR ) $.
    ftc2.b $e |- ( ph -> B e. RR ) $.
    ftc2.le $e |- ( ph -> A <_ B ) $.
    ftc2.c $e |- ( ph -> ( RR _D F ) e. ( ( A (,) B ) -cn-> CC ) ) $.
    ftc2.i $e |- ( ph -> ( RR _D F ) e. L^1 ) $.
    ftc2.f $e |- ( ph -> F e. ( ( A [,] B ) -cn-> CC ) ) $.
    $( The Fundamental Theorem of Calculus, part two.  If ` F ` is a function
       continuous on ` [ A , B ] ` and continuously differentiable on
       ` ( A , B ) ` , then the integral of the derivative of ` F ` is equal to
       ` F ( B ) - F ( A ) ` .  This is part of Metamath 100 proof #15.
       (Contributed by Mario Carneiro, 2-Sep-2014.) $)
    ftc2 $p |- ( ph ->
      S. ( A (,) B ) ( ( RR _D F ) ` t ) _d t = ( ( F ` B ) - ( F ` A ) ) ) $=
      ( vx cfv co cr cmin cmpt wcel wceq cc cioo cv cdv citg caddc cneg csn cxp
      cicc cxr cle wbr rexrd ubicc2 syl3anc fvex fvconst2 syl ccnfld ctopn eqid
      ctx ccn subcn a1i ssidd wss ioossre ccncf wf cncff ftc1a feqmptd eqeltrrd
      cncfmpt2f cc0 crn ctg iccssre syl2anc cvv adantr w3a elicc2 biimpa simp3d
      ax-resscn wa wb iooss2 cvol cdm ioombl cibl iblss ffvelrnda subcld tgioo2
      itgcl cnt iccntr dvmptntr reelprrecn ioossicc sseli sylan2 ftc1cn 3eqtr3d
      cpr oveq2d eqtr3d dvmptsub subidd mpteq2dva 3eqtrd fconstmpt dveq0 fveq1d
      eqtr4di oveq2 itgeq1 fveq2 oveq12d ovex fvmpt lbicc2 c0 iooid eqtrdi itg0
      df-neg negex ffvelrnd pncan3d negsubd ) ADEMZBCDUANZBUBZOEUCNZMZUDZYPPNZU
      ENYPCEMZUFZUENUUAYPUUCPNAUUBUUDYPUEADCDUINZCLUUEBCLUBZUANZYTUDZUUFEMZPNZQ
      ZMZUGUHZMZUULUUBUUDADUUERZUUNUULSACUJRZDUJRZCDUKULZUUOACFUMZADGUMZHCDUNUO
      ZUUEUULDCUUKUPUQURADUUKMZUUNUUBADUUKUUMACDUUKFGALUUHUUIPUSUTMZUUEUVCVAZPU
      VCUVCVBNUVCVCNRAUVCUVDVDVEALBCDYQYSLUUEUUHQZUVEVAZFGHAYQVFYQOVGACDVHVEJAY
      SYQTVINRYQTYSVJIYQTYSVKURZVLAELUUEUUIQZUUETVINZALUUETEAEUVIRUUETEVJKUUETE
      VKURZVMZKVNVOAOUUKUCNZLYQVPQZYQVPUGUHAUVLOLYQUUJQUCNLYQUUFYSMZUVNPNZQUVMA
      LUUJOUAVQVRMZUVCUUEYQOTVGAWGVEZACORZDORZUUEOVGFGCDVSVTZAUUFUUERZWHZUUHUUI
      UWBBUUGYTWAYTWARZUWBYRUUGRWHYRYSUPZVEUWBBUUGYQYTWAUWBUUQUUFDUKULZUUGYQVGU
      WBDAUVSUWAGWBUMUWBUUFORZCUUFUKULZUWEAUWAUWFUWGUWEWCZAUVRUVSUWAUWHWIFGCDUU
      FWDVTWEWFCUUFDWJVTUUGWKWLRUWBCUUFWMVEUWCUWBYRYQRZWHUWDVEABYQYTQZWNRUWAAYS
      UWJWNABYQTYSUVGVMJVNZWBWOWSZAUUETUUFEUVJWPZWQUVCUVDWRZUVDAUVRUVSUUEUVPWTM
      MYQSFGCDXAVTZXBALUUHUVNUUIUVNOTTYQOOTXIRAXCVEUUFYQRZAUWAUUHTRYQUUEUUFCDXD
      XEZUWLXFAYQTUUFYSUVGWPZAOUVEUCNYSOLYQUUHQUCNLYQUVNQZALBCDYSUVEUVFFGHIJXGA
      LUUHOUVPUVCUUEYQUVQUVTUWLUWNUVDUWOXBALYQTYSUVGVMZXHUWPAUWAUUITRUWQUWMXFUW
      RAOUVHUCNZOLYQUUIQUCNUWSALUUIOUVPUVCUUEYQUVQUVTUWMUWNUVDUWOXBAYSUXAUWSAEU
      VHOUCUVKXJUWTXKXKXLALYQUVOVPAUWPWHUVNUWRXMXNXOLYQVPXPXSXQXRAUUOUVBUUBSUVA
      LDUUJUUBUUEUUKUUFDSZUUHUUAUUIYPPUXBUUGYQSUUHUUASUUFDCUAXTBUUGYQYTYAURUUFD
      EYBYCUUKVAZUUAYPPYDYEURXKACUUERZUULUUDSAUUPUUQUURUXDUUSUUTHCDYFUOZLCUUJUU
      DUUEUUKUUFCSZUUJVPUUCPNUUDUXFUUHVPUUIUUCPUXFUUHBYGYTUDZVPUXFUUGYGSUUHUXGS
      UXFUUGCCUANYGUUFCCUAXTCYHYIBUUGYGYTYAURBYTYJYIUUFCEYBYCUUCYKXSUXCUUCYLYEU
      RXHXJAYPUUAAUUETDEUVJUVAYMZABYQYTWAUWCAUWIWHUWDVEUWKWSYNAYPUUCUXHAUUETCEU
      VJUXEYMYOXH $.
  $}

  ${
    $d t A $.  $d t B $.  $d t F $.  $d t ph $.  $d t X $.  $d t Y $.
    ftc2ditg.x $e |- ( ph -> X e. RR ) $.
    ftc2ditg.y $e |- ( ph -> Y e. RR ) $.
    ftc2ditg.a $e |- ( ph -> A e. ( X [,] Y ) ) $.
    ftc2ditg.b $e |- ( ph -> B e. ( X [,] Y ) ) $.
    ftc2ditg.c $e |- ( ph -> ( RR _D F ) e. ( ( X (,) Y ) -cn-> CC ) ) $.
    ftc2ditg.i $e |- ( ph -> ( RR _D F ) e. L^1 ) $.
    ftc2ditg.f $e |- ( ph -> F e. ( ( X [,] Y ) -cn-> CC ) ) $.
    $( Lemma for ~ ftc2ditg .  (Contributed by Mario Carneiro, 3-Sep-2014.) $)
    ftc2ditglem $p |- ( ( ph /\ A <_ B ) ->
      S_ [ A -> B ] ( ( RR _D F ) ` t ) _d t = ( ( F ` B ) - ( F ` A ) ) ) $=
      ( cr co cfv wcel adantr cc cle wbr wa cv cdv cdit cioo citg simpr ditgpos
      cmin cicc cres wss iccssre syl2anc sseldd ccncf crn ctg wf wceq ax-resscn
      cnt a1i cncff syl ccnfld ctopn tgioo2 dvres syl22anc iccntr reseq2d eqtrd
      eqid cxr rexrd w3a elicc2 mpbid simp2d iooss1 simp3d iooss2 sstrd rescncf
      wb sylc eqeltrd cmpt cibl feqmptd reseq1d resmptd cvv cdm ioombl eqeltrrd
      cvol fvexd iblss iccss2 ftc2 fveq1d fvres sylan9eq itgeq2dv ubicc2 lbicc2
      oveqan12d syl3anc 3eqtr3d ) ACDUAUBZUCZBCDBUDZOEUEPZQZUFBCDUGPZXRUHZDEQZC
      EQZUKPZXOBCDXRAXNUIZUJXOBXSXPOECDULPZUMZUEPZQZUHDYFQZCYFQZUKPZXTYCXOBCDYF
      ACORZXNAFGULPZOCAFORZGORZYMOUNZHIFGUOUPZJUQZSZADORZXNAYMODYQKUQZSZYDXOYGX
      QXSUMZXSTURPZXOYGXQYEUGUSUTQZVDQQZUMZUUCXOOTUNZYMTEVAZYPYEOUNZYGUUGVBUUHX
      OVCVEAUUIXNAEYMTURPRZUUINYMTEVFVGSAYPXNYQSAUUJXNAYLYTUUJYRUUACDUOUPSYMYEO
      UUEEVHVIQZUULVPZUULUUMVJVKVLXOUUFXSXQAUUFXSVBZXNAYLYTUUNYRUUACDVMUPSVNVOZ
      XOXSFGUGPZUNZXQUUPTURPRZUUCUUDRAUUQXNAXSFDUGPZUUPAFVQRFCUAUBZXSUUSUNAFHVR
      AYLUUTCGUAUBZACYMRZYLUUTUVAVSZJAYNYOUVBUVCWHHIFGCVTUPWAWBFCDWCUPAGVQRDGUA
      UBZUUSUUPUNAGIVRAYTFDUAUBZUVDADYMRZYTUVEUVDVSZKAYNYOUVFUVGWHHIFGDVTUPWAWD
      FDGWEUPWFSZAUURXNLSUUPTXSXQWGWIWJXOYGBXSXRWKZWLXOYGUUCUVIUUOXOUUCBUUPXRWK
      ZXSUMUVIXOXQUVJXSAXQUVJVBXNABUUPTXQAUURUUPTXQVALUUPTXQVFVGWMSZWNXOBUUPXSX
      RUVHWOVOVOXOBXSUUPXRWPUVHXSWTWQRXOCDWRVEXOXPUUPRUCXPXQXAXOXQUVJWLUVKAXQWL
      RXNMSWSXBWJAYFYETURPRZXNAYEYMUNZUUKUVLAUVBUVFUVMJKFGCDXCUPNYMTYEEWGWISXDX
      OBXSYHXRXOXPXSRYHXPUUCQXRXOXPYGUUCUUOXEXPXSXQXFXGXHXOCVQRZDVQRZXNYKYCVBZX
      OCYSVRXODUUBVRYDUVNUVOXNVSDYERZCYERZUVPCDXICDXJUVQUVRYIYAYJYBUKDYEEXFCYEE
      XFXKUPXLXMVO $.

    $( Directed integral analogue of ~ ftc2 .  (Contributed by Mario Carneiro,
       3-Sep-2014.) $)
    ftc2ditg $p |- ( ph ->
      S_ [ A -> B ] ( ( RR _D F ) ` t ) _d t = ( ( F ` B ) - ( F ` A ) ) ) $=
      ( cr co cfv wceq wcel cc cv cdv cdit cmin cicc wss iccssre syl2anc sseldd
      ftc2ditglem cle wbr wa cneg cvv cioo fvexd cmpt cibl ccncf wf syl feqmptd
      cncff eqeltrrd ditgswap adantr negeqd ffvelrnd negsubdi2d 3eqtrd lecasei
      ) ABCDBUAZOEUBPZQZUCZDEQZCEQZUDPZRCDAFGUEPZOCAFOSGOSVTOUFHIFGUGUHZJUIAVTO
      DWAKUIABCDEFGHIJKLMNUJADCUKULZUMZVPBDCVOUCZUNZVRVQUDPZUNZVSAVPWERWBABDCVO
      UOFGHIKJAVMFGUPPZSUMVMVNUQAVNBWHVOURUSABWHTVNAVNWHTUTPSWHTVNVALWHTVNVDVBV
      CMVEVFVGWCWDWFABDCEFGHIKJLMNUJVHAWGVSRWBAVRVQAVTTCEAEVTTUTPSVTTEVANVTTEVD
      VBZJVIAVTTDEWIKVIVJVGVKVL $.
  $}

  ${
    $d t A $.  $d t C $.  $d t x ph $.  $d t x X $.  $d t x Y $.  $d x E $.
    $d x F $.
    itgparts.x $e |- ( ph -> X e. RR ) $.
    itgparts.y $e |- ( ph -> Y e. RR ) $.
    itgparts.le $e |- ( ph -> X <_ Y ) $.
    itgparts.a $e |- ( ph ->
      ( x e. ( X [,] Y ) |-> A ) e. ( ( X [,] Y ) -cn-> CC ) ) $.
    itgparts.c $e |- ( ph ->
      ( x e. ( X [,] Y ) |-> C ) e. ( ( X [,] Y ) -cn-> CC ) ) $.
    itgparts.b $e |- ( ph ->
      ( x e. ( X (,) Y ) |-> B ) e. ( ( X (,) Y ) -cn-> CC ) ) $.
    itgparts.d $e |- ( ph ->
      ( x e. ( X (,) Y ) |-> D ) e. ( ( X (,) Y ) -cn-> CC ) ) $.
    itgparts.ad $e |- ( ph -> ( x e. ( X (,) Y ) |-> ( A x. D ) ) e. L^1 ) $.
    itgparts.bc $e |- ( ph -> ( x e. ( X (,) Y ) |-> ( B x. C ) ) e. L^1 ) $.
    itgparts.da $e |- ( ph ->
      ( RR _D ( x e. ( X [,] Y ) |-> A ) ) = ( x e. ( X (,) Y ) |-> B ) ) $.
    itgparts.dc $e |- ( ph ->
      ( RR _D ( x e. ( X [,] Y ) |-> C ) ) = ( x e. ( X (,) Y ) |-> D ) ) $.
    itgparts.e $e |- ( ( ph /\ x = X ) -> ( A x. C ) = E ) $.
    itgparts.f $e |- ( ( ph /\ x = Y ) -> ( A x. C ) = F ) $.
    $( Integration by parts.  If ` B ( x ) ` is the derivative of ` A ( x ) `
       and ` D ( x ) ` is the derivative of ` C ( x ) ` , and
       ` E = ( A x. B ) ( X ) ` and ` F = ( A x. B ) ( Y ) ` , then under
       suitable integrability and differentiability assumptions, the integral
       of ` A x. D ` from ` X ` to ` Y ` is equal to ` F - E ` minus the
       integral of ` B x. C ` .  (Contributed by Mario Carneiro,
       3-Sep-2014.) $)
    itgparts $p |- ( ph -> S. ( X (,) Y ) ( A x. D ) _d x =
      ( ( F - E ) - S. ( X (,) Y ) ( B x. C ) _d x ) ) $=
      ( vt cioo co cmul citg caddc cmin cc cv wcel wa ccncf cncff syl fvmptelrn
      cmpt wf cicc ioossicc sseli sylan2 mulcld itgcl pncan2d itgadd cr cdv cfv
      fveq2 nfcv nfmpt1 nfov nffv cbvitg crn ctg ccnfld ctopn wss ax-resscn a1i
      iccssre syl2anc tgioo2 cnt iccntr dvmptntr cpr reelprrecn eqtr3d dvmptmul
      eqid wceq mulcomd oveq2d mpteq2dva 3eqtrd ctx ccn addcn cres resmpt ax-mp
      rescncf mpsyl eqeltrrid mulcncf cncfmpt2f eqeltrd cibl ibladd ftc2 syl5eq
      fveq1d adantr cvv simpr ovex sylancl eqtrd itgeq2dv csb cxr cle wbr rexrd
      fvmpt2 ubicc2 syl3anc csbex fvmpts csbied lbicc2 oveq12d 3eqtr3d oveq1d )
      ABIJUEUFZDEUGUFZUHZBYTCFUGUFZUHZUIUFZUUBUJUFUUDHGUJUFZUUBUJUFAUUBUUDABYTU
      UAUKABULZYTUMZUNZDEABYTDUKABYTDUSZYTUKUOUFZUMYTUKUUJUTPYTUKUUJUPUQURZUUHA
      UUGIJVAUFZUMZEUKUMYTUUMUUGIJVBZVCZABUUMEUKABUUMEUSZUUMUKUOUFZUMZUUMUKUUQU
      TOUUMUKUUQUPUQURZVDZVEZSVFABYTUUCUKUUICFUUHAUUNCUKUMUUPABUUMCUKABUUMCUSZU
      URUMZUUMUKUVCUTNUUMUKUVCUPUQURZVDZABYTFUKABYTFUSZUUKUMYTUKUVGUTQYTUKUVGUP
      UQURZVEZRVFVGAUUEUUFUUBUJABYTUUAUUCUIUFZUHZUUEUUFABYTUUAUUCUKUVBSUVIRVHAB
      YTUUGVIBUUMCEUGUFZUSZVJUFZVKZUHZJUVMVKZIUVMVKZUJUFZUVKUUFAUVPUDYTUDULZUVN
      VKZUHUVSBUDYTUVOUWAUUGUVTUVNVLUDUVOVMBUVTUVNBVIUVMVJBVIVMBVJVMBUUMUVLVNVO
      BUVTVMVPVQAUDIJUVMKLMAUVNBYTUVJUSZUUKAUVNVIBYTUVLUSVJUFBYTUUAFCUGUFZUIUFZ
      USUWBABUVLVIUEVRVSVKZVTWAVKZUUMYTVIUKWBAWCWDZAIVIUMZJVIUMZUUMVIWBKLIJWEWF
      ZAUUNUNCEUVEUUTVEUWFUWFWOZWGZUWKAUWHUWIUUMUWEWHVKVKYTWPKLIJWIWFZWJABCDEFV
      IUKUKYTVIVIUKWKUMAWLWDUVFUULAVIUVCVJUFVIBYTCUSZVJUFUUJABCVIUWEUWFUUMYTUWG
      UWJUVEUWLUWKUWMWJTWMUVAUVHAVIUUQVJUFVIBYTEUSZVJUFUVGABEVIUWEUWFUUMYTUWGUW
      JUUTUWLUWKUWMWJUAWMWNABYTUWDUVJUUIUWCUUCUUAUIUUIFCUVHUVFWQWRWSWTZABUUAUUC
      UIUWFYTUWKUIUWFUWFXAUFUWFXBUFUMAUWFUWKXCWDABDEYTPAUWOUUQYTXDZUUKYTUUMWBZU
      WQUWOWPUUOBUUMYTEXEXFUWRAUUSUWQUUKUMUUOOUUMUKYTUUQXGXHXIXJABCFYTAUWNUVCYT
      XDZUUKUWRUWSUWNWPUUOBUUMYTCXEXFUWRAUVDUWSUUKUMUUONUUMUKYTUVCXGXHXIQXJXKXL
      AUVNUWBXMUWPABYTUUAUUCUKUVBSUVIRXNXLABCEUUMNOXJXOXPABYTUVOUVJUUIUVOUUGUWB
      VKZUVJAUVOUWTWPUUHAUUGUVNUWBUWPXQXRUUIUUHUVJXSUMUWTUVJWPAUUHXTUUAUUCUIYAB
      YTUVJXSUWBUWBWOYJYBYCYDAUVQHUVRGUJAUVQBJUVLYEZHAJUUMUMZUXAXSUMUVQUXAWPAIY
      FUMZJYFUMZIJYGYHZUXBAIKYIZAJLYIZMIJYKYLBJUVLCEUGYAZYMBJUVLUUMUVMXSUVMWOZY
      NYBABJUVLHVILUCYOYCAUVRBIUVLYEZGAIUUMUMZUXJXSUMUVRUXJWPAUXCUXDUXEUXKUXFUX
      GMIJYPYLBIUVLUXHYMBIUVLUUMUVMXSUXIYNYBABIUVLGVIKUBYOYCYQYRWMYSWM $.
  $}

  ${
    $d m n y z B $.  $d m n u y z E $.  $d m n u x z K $.  $d t u v x y z M $.
    $d m n t u v x y z ph $.  $d m n t u v x y z X $.  $d m n t u v x y z Y $.
    $d m n t u v y z A $.  $d m n t v x y z C $.  $d m n u v x y z W $.
    $d m n u x z L $.  $d t u v x y z N $.  $d m n u v x y z Z $.
    $d m n u x z L $.  $d m n u x y z W $.  $d m n u x y z Z $.
    itgsubst.x $e |- ( ph -> X e. RR ) $.
    itgsubst.y $e |- ( ph -> Y e. RR ) $.
    itgsubst.le $e |- ( ph -> X <_ Y ) $.
    itgsubst.z $e |- ( ph -> Z e. RR* ) $.
    itgsubst.w $e |- ( ph -> W e. RR* ) $.
    itgsubst.a $e |- ( ph ->
      ( x e. ( X [,] Y ) |-> A ) e. ( ( X [,] Y ) -cn-> ( Z (,) W ) ) ) $.
    itgsubst.b $e |- ( ph ->
      ( x e. ( X (,) Y ) |-> B ) e. ( ( ( X (,) Y ) -cn-> CC ) i^i L^1 ) ) $.
    itgsubst.c $e |- ( ph ->
      ( u e. ( Z (,) W ) |-> C ) e. ( ( Z (,) W ) -cn-> CC ) ) $.
    itgsubst.da $e |- ( ph ->
      ( RR _D ( x e. ( X [,] Y ) |-> A ) ) = ( x e. ( X (,) Y ) |-> B ) ) $.
    itgsubst.e $e |- ( u = A -> C = E ) $.
    itgsubst.k $e |- ( x = X -> A = K ) $.
    itgsubst.l $e |- ( x = Y -> A = L ) $.
    ${
      itgsubst.m $e |- ( ph -> M e. ( Z (,) W ) ) $.
      itgsubst.n $e |- ( ph -> N e. ( Z (,) W ) ) $.
      itgsubst.cl2 $e |- ( ( ph /\ x e. ( X [,] Y ) ) -> A e. ( M (,) N ) ) $.
      $( Lemma for ~ itgsubst .  (Contributed by Mario Carneiro,
         12-Sep-2014.) $)
      itgsubstlem $p |- ( ph ->
        S_ [ K -> L ] C _d u = S_ [ X -> Y ] ( E x. B ) _d x ) $=
        ( vt vv vz vy cmul co cdit cioo citg ditgpos cv cr cicc cmpt cdv cfv cc
        cmin ccncf csb wss ax-resscn a1i wcel syl2anc wf ccom eqidd wceq fmptco
        syl fmpttd wb ioossicc cxr clt wbr wa eliooord simpld simprd sstrdi cdm
        sseli cle sselid rexrd adantr w3a elicc2 sselda fvmptelrn syldan ioombl
        cncff cibl cres rescncf eqeltrrd syl3anc iblss sylan2 fveq2 nfcv cbvitg
        cniccibl fvmpt2 itgeq2dv syl5eq mpteq2dva wn c0 lbicc2 mpd resmpt ax-mp
        eqid mpsyl eqeltrrid iccntr dvmptntr dmmptd cncfco eqtr3d oveq1d 3eqtrd
        wral eqeltrd cabs fveq1d crn ccnfld ctopn iccssre oveq2 itgeq1 iccssioo
        ctg syl22anc sstrid ioossre sstrd cncffvrn mpbird biimpa simp3d adantlr
        iooss2 cvol resmptd sylc nffvmpt1 oveq2d n0i feq3 syl5ibcom f00 simprbi
        itgcl syl6 mtod mtbid letrid ord ftc1cn tgioo2 cnt 3eqtr3rd dmeqd eqtrd
        ioo0 dvcn syl31anc cpr reelprrecn cin elin sylib nfcsb1v csbeq1a cbvmpt
        fmpt sylibr r19.21bi sstri eqtrdi dvmptco nfcvd csbiegf mulcncf cof fco
        csbeq1 feq1d offval2 eqtr4d cmbf wrex iblmbf cniccbdd wi ssralv raleqdv
        mpbid fveq1i fvres eqtr3id fveq2d breq1d ralbiia bitr2di syl5ib reximdv
        bddmulibl ftc2 nfmpt1 nfov nffv ovex mpan2 sylan9eq caddc simp2d ubicc2
        ditgeq2 ditgex fvmpt oveq12d eleq1d ralrimiva rspcdva ditgsplit pncan2d
        cvv ditgcl 3eqtr3d eqtr2d ) ABMNGEUOUPZUQBMNURUPZVUHUSZCHIFUQZABMNVUHRU
        TAUKVUIUKVAZVBBMNVCUPZCJDURUPZFUSZVDZVEUPZVFZUSZNVUPVFZMVUPVFZVHUPZVUJV
        UKAUKMNVUPPQRAVUQBVUIVUHVDZVUIVGVIUPZAVUQVBBVUIVUOVDVEUPBVUICDFVJZEUOUP
        ZVDVVCABVUOVBURUUAUUHVFZUUBUUCVFZVUMVUIVBVGVKZAVLVMZAMVBVNZNVBVNZVUMVBV
        KPQMNUUDVOZABVUMVUOVGAVUPVUMVGVIUPZVNVUMVGVUPVPAULJKURUPZCJULVAZURUPZFU
        SZVDZBVUMDVDZVQVUPVVNABULVUMVVODVVRVUOVVTVVSUJAVVTVRZAVVSVRVVPDVSVVQVUN
        VSVVRVUOVSVVPDJURUUECVVQVUNFUUFWAZVTAVUMVVOVGVVTVVSAVVTVUMVVOVIUPVNZVUM
        VVOVVTVPZABVUMDVVOUJWBZAVVOVGVKVVTVUMOLURUPZVIUPVNZVWCVWDWCAVVOVWFVGAVV
        OJKVCUPZVWFJKWDZAOWEVNLWEVNOJWFWGZKLWFWGZVWHVWFVKZSTAVWJJLWFWGZAJVWFVNV
        WJVWMWHUHJOLWIWAWJAOKWFWGZVWKAKVWFVNVWNVWKWHUIKOLWIWAWKOLJKUUGUUIZUUJZA
        VWFVBVGVWFVBVKAOLUUKZVMVLWLUULUAVUMVWFVVOVVTUUMVOUUNAVVIVVOVGVVSVPVVOVB
        VKVBVVSVEUPZWMZVVOVSVVSVVOVGVIUPZVNVVJAULVVOVVRVGVVPVVOVNAVVPVWHVNZVVRV
        GVNVVOVWHVVPVWIWNAVXAWHZCVVQFVGVXBCVAZVVQVNZVXCVVOVNZFVGVNZVXBVVQVVOVXC
        VXBKWEVNZVVPKWOWGZVVQVVOVKAVXGVXAAKAVWFVBKVWQUIWPZWQZWRVXBVVPVBVNZJVVPW
        OWGZVXHAVXAVXKVXLVXHWSZAJVBVNZKVBVNZVXAVXMWCAVWFVBJVWQUHWPZVXIJKVVPWTVO
        UUOUUPJVVPKUURVOZXAZAVXEVXFVXAAVXEVXCVWFVNZVXFAVVOVWFVXCVWPXAACVWFFVGAC
        VWFFVDZVWFVGVIUPVNZVWFVGVXTVPZUCVWFVGVXTXEWAZXBZXCZUUQZXCZVXBCVVQVVOFVG
        VXQVVQUUSWMZVNVXBJVVPXDVMVYFACVVOFVDZXFVNVXAACVVOVWHFVGVVOVWHVKZAVWIVMV
        VOVYHVNAJKXDVMAVXCVWHVNVXSVXFAVWHVWFVXCVWOXAVYDXCAVXNVXOCVWHFVDZVWHVGVI
        UPZVNZVYKXFVNVXPVXIAVXTVWHXGZVYKVYLACVWFVWHFVWOUUTAVWLVYAVYNVYLVNVWOUCV
        WFVGVWHVXTXHUVAXIZJKVYKXPXJXKZWRXKUVIZXLZWBAVVOVWFVBVWPVWQWLAVWSVYIWMVV
        OAVWRVYIAVBULVWHUKVVQVULVYIVFZUSZVDZVEUPVBULVWHVVRVDZVEUPVYIVWRAWUAWUBV
        BVEAULVWHVYTVVRVXBVYTCVVQVXCVYIVFZUSVVRUKCVVQVYSWUCVULVXCVYIXMCVVOFVULU
        VBUKWUCXNXOVXBCVVQWUCFVXBVXDWHVXEVXFWUCFVSVXRVYGCVVOFVGVYIVYIYGZXQVOXRX
        SXTUVCAULUKJKVYIWUAWUAYGVXPVXIAKJWOWGZYAJKWOWGZAVVOYBVSZWUEAWUGVUMYBVSZ
        AMVUMVNZWUHYAAMWEVNZNWEVNZMNWOWGZWUIAMPWQZANQWQZRMNYCXJZVUMMUVDWAAWUGVU
        MYBVVTVPZWUHAVWDWUGWUPVWEVVOYBVUMVVTUVEUVFWUPVVTYBVSWUHVUMVVTUVGUVHUVJU
        VKAJWEVNZVXGWUGWUEWCAJVXPWQZVXJJKUWAVOUVLAWUEWUFAKJVXIVXPUVMUVNYDZAVYIV
        YKVVOXGZVWTVYJWUTVYIVSVWICVWHVVOFYEYFVYJAVYMWUTVWTVNVWIVYOVWHVGVVOVYKXH
        YHYIVYPUVOAULVVRVBVVGVVHVWHVVOVVJAVWHVWFVBVWOVWQWLVYQVVHVVHYGZUVPZWVAAV
        XNVXOVWHVVGUVQVFZVFVVOVSVXPVXIJKYJVOYKUVRZUVSACVYIVVOFVGWUDVYEYLUVTVVOV
        BVVSUWBUWCYMXIZVUMVGVUPXEWAXBWVBWVAAVVKVVLVUMWVCVFVUIVSPQMNYJVOZYKABULD
        EVVRCVVPFVJZVBVBVUOVVEVGVGVUIVVOVBVBVGUWDVNAUWEVMZWVHBVAZVUIVNZAWVIVUMV
        NZDVVOVNZVUIVUMWVIMNWDZWNZUJXLZABVUIEVGABVUIEVDZVVDVNZVUIVGWVPVPAWVQWVP
        XFVNZAWVPVVDXFUWFVNWVQWVRWHUBWVPVVDXFUWGUWHZWJZVUIVGWVPXEWAXBZVYRAWVGVG
        VNZULVVOAVVOVGVYIVPWWBULVVOYQACVVOFVGVYEWBULVVOVGWVGVYICULVVOFWVGULFXNC
        VVPFUWICVVPFUWJUWKZUWLUWMUWNAVBVVTVEUPVBBVUIDVDVEUPWVPABDVBVVGVVHVUMVUI
        VVJVVMAWVKWHZVWFVGDVWFVBVGVWQVLUWOABVUMDVWFAVWGVUMVWFVVTVPZUAVUMVWFVVTX
        EWAZXBZWPWVBWVAWVFYKUDYNAVWRVYIULVVOWVGVDWVDWWCUWPVWBCVVPDFUXCUWQABVUIV
        VFVUHAWVJWHZVVEGEUOWWHWVLVVEGVSWVOCDFGVVOWVLCGUWRUEUWSWAYOXTYPZABGEVUIA
        BVUIGVDZBVUMGVDZVUIXGZVVDVUIVUMVKZWWLWWJVSWVMBVUMVUIGYEYFZWWMAWWKVVNVNZ
        WWLVVDVNWVMAVXTVVTVQZWWKVVNABCVUMVWFDFGVVTVXTWWGVWAAVXTVRUEVTZAVUMVWFVG
        VVTVXTUAUCYMXIZVUMVGVUIWWKXHYHYIWVTUWTYRAVUQWWJWVPUOUXAUPZXFAVUQVVCWWSW
        WIABVUIGEUOWWJWVPVYHVGVGVUIVYHVNAMNXDVMZWVJAWVKGVGVNWVNABVUMGVGAVUMVGWW
        PVPZVUMVGWWKVPAVYBWWEWXAVYCWWFVUMVWFVGVXTVVTUXBVOAVUMVGWWPWWKWWQUXDUXNX
        BZXLZWWAAWWJVRAWVPVRUXEUXFAWWJUXGVNZWVRUMVAZWWJVFZYSVFZUNVAZWOWGZUMWWJW
        MZYQZUNVBUXHZWWSXFVNAWWJXFVNWXDABVUIVUMGVGWWMAWVMVMWWTWXBAVVKVVLWWOWWKX
        FVNPQWWRMNWWKXPXJXKWWJUXIWAAWVQWVRWVSWKAWXEWWKVFZYSVFZWXHWOWGZUMVUMYQZU
        NVBUXHZWXLAVVKVVLWWOWXQPQWWRUNUMMNWWKUXJXJAWXPWXKUNVBWXPWXOUMVUIYQZAWXK
        WWMWXPWXRUXKWVMWXOUMVUIVUMUXLYFAWXKWXIUMVUIYQWXRAWXIUMWXJVUIABWWJVUIGVG
        WWJYGWXCYLUXMWXIWXOUMVUIWXEVUIVNZWXGWXNWXHWOWXSWXFWXMYSWXSWXFWXEWWLVFWX
        MWXEWWLWWJWWNUXOWXEVUIWWKUXPUXQUXRUXSUXTUYAUYBUYCYDUNUMWWJWVPUYDXJYRWVE
        UYEAVUSBVUIWVIVUQVFZUSVUJUKBVUIVURWXTVULWVIVUQXMBVULVUQBVBVUPVEBVBXNBVE
        XNBVUMVUOUYFUYGBVULXNUYHUKWXTXNXOABVUIWXTVUHAWVJWXTWVIVVCVFZVUHAWVIVUQV
        VCWWIYTWVJVUHVUDVNWYAVUHVSGEUOUYIBVUIVUHVUDVVCVVCYGXQUYJUYKXRXSAVVBCJIF
        UQZCJHFUQZVHUPWYCVUKUYLUPZWYCVHUPVUKAVUTWYBVVAWYCVHANBVUMCJDFUQZVDZVFZV
        UTWYBANWYFVUPABVUMWYEVUOWWDCJDFWWDDVBVNZJDWOWGZDKWOWGZWWDDVWHVNZWYHWYIW
        YJWSZWWDVVOVWHDVWIUJWPZAWYKWYLWCZWVKAVXNVXOWYNVXPVXIJKDWTVOWRUXNUYMUTXT
        ZYTANVUMVNZWYGWYBVSAWUJWUKWULWYPWUMWUNRMNUYNXJZBNWYEWYBVUMWYFWVINVSZDIV
        SWYEWYBVSUGCDIJFUYOWAWYFYGZCJIFUYPUYQWAYNAMWYFVFZVVAWYCAMWYFVUPWYOYTAWU
        IWYTWYCVSWUOBMWYEWYCVUMWYFWVIMVSZDHVSWYEWYCVSUFCDHJFUYOWAWYSCJHFUYPUYQW
        AYNUYRAWYBWYDWYCVHACJHIFVGJKVXPVXIAWUQVXGWUFJVWHVNWURVXJWUSJKYCXJZAWYKH
        VWHVNBVUMMXUADHVWHUFUYSAWYKBVUMWYMUYTZWUOVUAZAWYKIVWHVNBVUMNWYRDIVWHUGU
        YSXUCWYQVUAZVYEVYPVUBYOAWYCVUKACJHFVGJKVXPVXIXUBXUDVYEVYPVUEACHIFVGJKVX
        PVXIXUDXUEVYEVYPVUEVUCYPVUFVUG $.
    $}

    $( Integration by ` u ` -substitution.  If ` A ( x ) ` is a continuous,
       differentiable function from ` [ X , Y ] ` to ` ( Z , W ) ` , whose
       derivative is continuous and integrable, and ` C ( u ) ` is a continuous
       function on ` ( Z , W ) ` , then the integral of ` C ( u ) ` from
       ` K = A ( X ) ` to ` L = A ( Y ) ` is equal to the integral of
       ` C ( A ( x ) ) _D A ( x ) ` from ` X ` to ` Y ` .  In this part of the
       proof we discharge the assumptions in ~ itgsubstlem , which use the fact
       that ` ( Z , W ) ` is open to shrink the interval a little to
       ` ( M , N ) ` where ` Z < M < N < W ` - this is possible because
       ` A ( x ) ` is a continuous function on a closed interval, so its range
       is in fact a closed interval, and we have some wiggle room on the edges.
       (Contributed by Mario Carneiro, 7-Sep-2014.) $)
    itgsubst $p |- ( ph ->
      S_ [ K -> L ] C _d u = S_ [ X -> Y ] ( E x. B ) _d x ) $=
      ( vz vy vn vm vv cv cicc co cmpt cfv cle wral wrex wa cdit cmul wceq cioo
      wbr ccncf cr wss cc ioossre ax-resscn cncfss mp2an sselid evthicc wcel cq
      clt cxr ressxr sstri wf cncff syl adantr simprl ffvelrnd eliooord qbtwnxr
      simprd syl3anc qre ad2antrl ad2antrr rexrd simpld simprrl xrlttrd simprrr
      w3a wb elioo2 syl2anc mpbir3and anass wi ffvelrnda simplr xrlelttr mpan2d
      ralimdva imp an32s sylanbr reximssdv rexlimdvaa mpand ancom reeanv bitr4i
      xrltletr ralbidva nfel1 weq eleq1d csb nfcv nfcsb1v csbeq1a eqeltrrid cdv
      cbvmpt csbeq1 cbvditg nfcvd csbiegf 3syl eqtr3id citg ditgpos sylbid eqid
      r19.26 3biant1d simplrl simplrr bitr4d nffvmpt1 nfv fveq2 simpr fvmptelrn
      cbvralw fvmpt2 syl5bb cibl cin oveq2i 3eqtr3g simprll simprlr simprr rspc
      mpan9 itgsubstlem ditgeq1 ditgeq2 eqtrd csbeq1d oveq12d nfcsbw nfov sseli
      ioossicc sylan2 oveq1d itgeq2dv 3eqtr4d 3eqtr3d syl5bir rexlimdvva syl5bi
      expr syl2and mpd ) AUFUKZBKLULUMZDUNZUOZUGUKZUWGUOZUPVDZUFUWFUQZUGUWFURZU
      WJUWHUPVDZUFUWFUQZUGUWFURZUSCHIFUTZBKLGEVAUMZUTZVBZAUGUFUGUFKLUWGNOPAUWFM
      JVCUMZVEUMZUWFVFVEUMZUWGUXAVFVGVFVHVGUXBUXCVGMJVIZVJUWFUXAVFVKVLSVMVNAUWM
      UWHUHUKZVQVDZUFUWFUQZUHUXAURZUWPUIUKZUWHVQVDZUFUWFUQZUIUXAURZUWTAUWLUXHUG
      UWFAUWIUWFVOZUWLUSZUSZUWJUXEVQVDZUXEJVQVDZUSZUXGUHUXAVPUXOUWJVRVOZJVRVOZU
      WJJVQVDZUXRUHVPURUXOUXAVRUWJUXAVFVRUXDVSVTZUXOUWFUXAUWIUWGAUWFUXAUWGWAZUX
      NAUWGUXBVOUYCSUWFUXAUWGWBWCZWDAUXMUWLWEWFZVMZAUXTUXNRWDUXOMUWJVQVDZUYAUXO
      UWJUXAVOZUYGUYAUSZUYEUWJMJWGZWCZWIUHUWJJWHWJUXOUXEVPVOZUXRUSZUSZUXEUXAVOZ
      UXEVFVOZMUXEVQVDZUXQUYLUYPUXOUXRUXEWKZWLZUYNMUWJUXEAMVRVOZUXNUYMQWMZUXOUX
      SUYMUYFWDUYNUXEUYSWNUXOUYGUYMUXOUYGUYAUYKWOWDUXOUYLUXPUXQWPWQUXOUYLUXPUXQ
      WRUYNUYTUXTUYOUYPUYQUXQWSWTVUAAUXTUXNUYMRWMMJUXEXAXBXCUXOAUXMUSZUWLUSUYMU
      XGAUXMUWLXDVUBUYMUWLUXGVUBUYMUSZUWLUXGVUCUWKUXFUFUWFVUCUWEUWFVOZUSZUWKUXP
      UXFVUCUXPVUDVUBUYLUXPUXQWPWDVUEUWHVRVOZUXSUXEVRVOZUWKUXPUSUXFXEVUEUXAVRUW
      HUYBVUCUWFUXAUWEUWGAUYCUXMUYMUYDWMZXFVMVUCUXSVUDVUCUXAVRUWJUYBVUCUWFUXAUW
      IUWGVUHAUXMUYMXGWFVMWDVUEUXEVUCUYPVUDUYLUYPVUBUXRUYRWLWDWNUWHUWJUXEXHWJXI
      XJXKXLXMXNXOAUWOUXLUGUWFAUXMUWOUSZUSZMUXIVQVDZUXIUWJVQVDZUSZUXKUIUXAVPVUJ
      UYTUXSUYGVUMUIVPURAUYTVUIQWDVUJUXAVRUWJUYBVUJUWFUXAUWIUWGAUYCVUIUYDWDAUXM
      UWOWEWFZVMZVUJUYGUYAVUJUYHUYIVUNUYJWCZWOUIMUWJWHWJVUJUXIVPVOZVUMUSZUSZUXI
      UXAVOZUXIVFVOZVUKUXIJVQVDZVUQVVAVUJVUMUXIWKZWLZVUJVUQVUKVULWPVUSUXIUWJJVU
      SUXIVVDWNVUJUXSVURVUOWDAUXTVUIVURRWMZVUJVUQVUKVULWRVUJUYAVURVUJUYGUYAVUPW
      IWDWQVUSUYTUXTVUTVVAVUKVVBWSWTAUYTVUIVURQWMVVEMJUXIXAXBXCVUJVUBUWOUSVURUX
      KAUXMUWOXDVUBVURUWOUXKVUBVURUSZUWOUXKVVFUWNUXJUFUWFVVFVUDUSZVULUWNUXJVVFV
      ULVUDVUBVUQVUKVULWRWDVVGUXIVRVOZUXSVUFVULUWNUSUXJXEVVGUXIVVFVVAVUDVUQVVAV
      UBVUMVVCWLWDWNVVFUXSVUDVVFUXAVRUWJUYBVVFUWFUXAUWIUWGAUYCUXMVURUYDWMZAUXMV
      URXGWFVMWDVVGUXAVRUWHUYBVVFUWFUXAUWEUWGVVIXFVMUXIUWJUWHXTWJXPXJXKXLXMXNXO
      UXHUXLUSZUXKUXGUSZUHUXAURUIUXAURZAUWTVVJUXLUXHUSVVLUXHUXLXQUXKUXGUIUHUXAU
      XAXRXSAVVKUWTUIUHUXAUXAVVKUXJUXFUSZUFUWFUQZAVUTUYOUSZUSZUWTUXJUXFUFUWFUUB
      VVPVVNUWHUXIUXEVCUMZVOZUFUWFUQZUWTVVPVVMVVRUFUWFVVPVUDUSZVVMUWHVFVOZUXJUX
      FWSZVVRVVTUXFUXJVWAVVTUXAVFUWHUXDVVPUWFUXAUWEUWGAUYCVVOUYDWDXFVMUUCVVTVVH
      VUGVVRVWBWTVVTUXAVRUXIUYBAVUTUYOVUDUUDVMVVTUXAVRUXEUYBAVUTUYOVUDUUEVMUXIU
      XEUWHXAXBUUFYAVVPVVSDVVQVOZBUWFUQZUWTAVVSVWDWTVVOVVSBUKZUWGUOZVVQVOZBUWFU
      QAVWDVVRVWGUFBUWFBUWHVVQBUWFDUWEUUGYBVWGUFUUHUFBYCUWHVWFVVQUWEVWEUWGUUIYD
      UULAVWGVWCBUWFAVWEUWFVOZUSZVWFDVVQVWIVWHDUXAVOZVWFDVBAVWHUUJABUWFDUXAUYDU
      UKZBUWFDUXAUWGUWGUUAUUMXBYDYAUUNWDAVVOVWDUWTAVVOVWDUSZUSZUJBKDYEZBLDYEZCU
      JUKZFYEZUTZUGKLCBUWIDYEZFYEZBUWIEYEZVAUMZUTZUWQUWSVWMUGUJVWSVXAVWQVWTVWNV
      WOUXIUXEJKLMAKVFVOZVWLNWDALVFVOZVWLOWDAKLUPVDVWLPWDAUYTVWLQWDAUXTVWLRWDAU
      GUWFVWSUNZUXBVOVWLAVXFUWGUXBBUGUWFDVWSUGDYFBUWIDYGZBUWIDYHZYKZSYIWDAUGKLV
      CUMZVXAUNZVXJVHVEUMUUOUUPZVOVWLAVXKBVXJEUNZVXLBUGVXJEVXAUGEYFBUWIEYGZBUWI
      EYHZYKZTYIWDAUJUXAVWQUNZUXAVHVEUMZVOVWLAVXQCUXAFUNVXRCUJUXAFVWQUJFYFZCVWP
      FYGZCVWPFYHZYKUAYIWDAVFVXFYJUMZVXKVBVWLAVFUWGYJUMVXMVYBVXKUBUWGVXFVFYJVXI
      UUQVXPUURWDCVWPVWSFYLBUWIKDYLBUWILDYLAVUTUYOVWDUUSAVUTUYOVWDUUTVWMVWDUXMV
      WSVVQVOZAVVOVWDUVAVWCVYCBUWIUWFBVWSVVQVXGYBBUGYCZDVWSVVQVXHYDUVBUVCUVDAVW
      RUWQVBVWLAVWRCVWNVWOFUTZUWQCUJVWNVWOFVWQVYAVXSVXTYMAVYECHVWOFUTZUWQAVXDVW
      NHVBVYEVYFVBNBKDHVFVXDBHYNUDYOCVWNHVWOFUVEYPAVXEVWOIVBVYFUWQVBOBLDIVFVXEB
      IYNUEYOCVWOIHFUVFYPUVGYQWDAVXCUWSVBVWLAVXCBKLCDFYEZEVAUMZUTZUWSBUGKLVYHVX
      BVYDVYGVWTEVXAVAVYDCDVWSFVXHUVHVXOUVIUGVYHYFBVWTVXAVABCVWSFVXGBFYFUVJBVAY
      FVXNUVKYMABVXJVYHYRBVXJUWRYRVYIUWSABVXJVYHUWRAVWEVXJVOZUSZVYGGEVAVYKVWJVY
      GGVBVYJAVWHVWJVXJUWFVWEKLUVMUVLVWKUVNCDFGUXAVWJCGYNUCYOWCUVOUVPABKLVYHPYS
      ABKLUWRPYSUVQYQWDUVRUWBYTYTUVSUVTUWAUWCUWD $.
  $}

  ${
    $d A t x $.  $d B t x $.  $d N t x $.  $d ph t x $.
    itgpowd.1 $e |- ( ph -> A e. RR ) $.
    itgpowd.2 $e |- ( ph -> B e. RR ) $.
    itgpowd.3 $e |- ( ph -> A <_ B ) $.
    itgpowd.4 $e |- ( ph -> N e. NN0 ) $.
    $( The integral of a monomial on a closed bounded interval of the real
       line.  Co-authors TA and MC. (Contributed by Jon Pennant, 31-May-2019.)
       (Revised by Thierry Arnoux, 14-Jun-2019.) $)
    itgpowd $p |- ( ph -> S. ( A [,] B ) ( x ^ N ) _d x =
                 ( ( ( B ^ ( N + 1 ) ) - ( A ^ ( N + 1 ) ) ) / ( N + 1 ) ) ) $=
      ( vt co cexp wcel cc cr adantr expcld cmpt cfv wceq c1 caddc cicc cv citg
      cmin cn0 cn nn0p1nn syl nncnd wss iccssre syl2anc ax-resscn sstrdi sselda
      wa ccncf cibl cres resmptd expcncf rescncf sylc eqeltrrd cnicciblnc itgcl
      syl3anc nnne0d cmul itgmulc2 eqidd oveq1 oveq2d adantl simpr ioossicc a1i
      cioo syldan mulcld fvmptd itgeq2dv cdv crn ctg ccnfld cpr reelprrecn 1nn0
      ctopn nn0addcld nn0cnd 1cnd addcld cdm fmpttd ssidd dvexp pncand mpteq2dv
      wf eqtrd feq1d mpbird fdmd sseqtrrid dvres3 syl22anc reseq1d mp1i 3eqtr3d
      resmpt tgioo2 cnt iccntr dvmptres2 ioossre sstri cncfmptc mulcncf eqeltrd
      eqid cvol ioombl iblss ftc2 wral fveq1d ralrimivw itgeq2 oveq1d cxr rexrd
      cle wbr ubicc2 recnd lbicc2 oveq12d itgioo 3eqtr3rd mvllmuld ) AEUAUBKZBC
      DUCKZBUDZELKZUEZDUUELKZCUUELKZUFKZAUUEAEUGMZUUEUHMZIEUIUJZUKZABUUFUUHNAUU
      GUUFMZURZUUGEAUUFNUUGAUUFONACOMZDOMZUUFOULFGCDUMUNZUOUPZUQAUUMUUQIPQZAUUS
      UUTBUUFUUHRZUUFNUSKZMUVDUTMFGABNUUHRZUUFVAZUVDUVEABNUUFUUHUVBVBAUUFNULZUV
      FNNUSKZMZUVGUVEMUVBAUUMUVJIBEVCUJNNUUFUVFVDVEVFCDUVDVGVIZVHAUUEUUOVJAUUEU
      UIVKKBUUFUUEUUHVKKZUEZUULABUUFUUHUUENUUPUVCUVKVLABCDVTKZUUGJUVNUUEJUDZELK
      ZVKKZRZSZUEZBUVNUVLUEUULUVMABUVNUVSUVLAUUGUVNMZURZJUUGUVQUVLUVNUVRNUWBUVR
      VMUVOUUGTZUVQUVLTUWBUWCUVPUUHUUEVKUVOUUGELVNVOVPAUWAVQUWBUUEUUHAUUENMZUWA
      UUPPAUWAUUQUUHNMAUVNUUFUUGUVNUUFULACDVRVSZUQUVCWAWBWCWDABUVNUUGOJUUFUVOUU
      ELKZRZWEKZSZUEZDUWGSZCUWGSZUFKUVTUULABCDUWGFGHAUWHUVRUVNNUSKZAJUWFUVQOVTW
      FWGSZWHWLSZNOUVNUUFOONWIMZAWJVSZAUVOOMZURZUVOUUEAONUVOONULZAUOVSUQZAUUEUG
      MZUWRAEUAIUAUGMAWKVSWMZPQUWSUUEUVPUWSEUAAENMZUWRAEIWNZPUWSWOWPUWSUVOEUXAA
      UUMUWRIPQWBAOJNUWFRZOVAZWEKZJNUVQRZOVAZOJOUWFRZWEKJOUVQRZAUXHNUXFWEKZOVAZ
      UXJAUWPNNUXFXCNNULZOUXMWQZULUXHUXNTUWQAJNUWFNAUVONMZURZUVOUUEAUXQVQZAUXBU
      XQUXCPQWRANWSZANOUXPUOANNUXMANNUXMXCNNUXIXCAJNUVQNUXRUUEUVPAUWDUXQUUPPUXR
      UVOEUXSAUUMUXQIPQWBWRANNUXMUXIAUXMJNUUEUVOUUEUAUFKZLKZVKKZRZUXIAUUNUXMUYD
      TUUOJUUEWTUJAJNUYCUVQAUYBUVPUUEVKAUYAEUVOLAEUAUXEAWOXAVOVOXBXDZXEXFXGXHNO
      UXFXIXJAUXMUXIOUYEXKXDAUXGUXKOWEUWTUXGUXKTAUOJNOUWFXNXLVOUWTUXJUXLTAUOJNO
      UVQXNXLXMUVAUWOUWOYDZXOUYFAUUSUUTUUFUWNXPSSUVNTFGCDXQUNXRZAJUUEUVPUVNAUWD
      UVNNULZUXOJUVNUUERUWMMUUPUYHAUVNONCDXSUOXTZVSZUXTJUUEUVNNYAVIAJNUVPRZUVNV
      AZJUVNUVPRZUWMUYHUYLUYMTAUYIJNUVNUVPXNXLAUYHUYKUVIMZUYLUWMMUYJAUUMUYNIJEV
      CUJZNNUVNUYKVDVEVFYBYCAUWHUVRUTUYGAJUVNUUFUVQNUWEUVNYEWQMACDYFVSAUVOUUFMZ
      URZUUEUVPUYQEUAAUXDUYPUXEPUYQWOWPUYQUVOEAUUFNUVOUVBUQAUUMUYPIPQWBAUUSUUTJ
      UUFUVQRZUVEMUYRUTMFGAJUUEUVPUUFAUWDUVHUXOJUUFUUERUVEMUUPUVBUXTJUUEUUFNYAV
      IAUYKUUFVAZJUUFUVPRUVEAJNUUFUVPUVBVBAUVHUYNUYSUVEMUVBUYONNUUFUYKVDVEVFYBC
      DUYRVGVIYGYCAUXFUUFVAZUWGUVEAJNUUFUWFUVBVBAUVHUXFUVIMZUYTUVEMUVBAUXBVUAUX
      CJUUEVCUJNNUUFUXFVDVEVFYHAUWIUVSTZBUVNYIUWJUVTTAVUBBUVNAUUGUWHUVRUYGYJYKB
      UVNUWIUVSYLUJAUWKUUJUWLUUKUFAJDUWFUUJUUFUWGNAUWGVMZAUVODTZURUVODUUELAVUDV
      QYMACYNMZDYNMZCDYPYQZDUUFMACFYOZADGYOZHCDYRVIADUUEADGYSUXCQWCAJCUWFUUKUUF
      UWGNVUCAUVOCTZURUVOCUUELAVUJVQYMAVUEVUFVUGCUUFMVUHVUIHCDYTVIACUUEACFYSUXC
      QWCUUAXMABCDUVLFGUURUUEUUHAUWDUUQUUPPUVCWBUUBUUCXDUUD $.
  $}

$( End $[ set-numanal.mm $] $)


$( Begin $[ set-numfunc.mm $] $)
$(
###############################################################################
  BASIC REAL AND COMPLEX FUNCTIONS
###############################################################################
$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Polynomials
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Polynomial degrees
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c mDeg $. $( Multivariate polynomial degree $)
  $c deg1 $. $( Univariate polynomial degree $)

  $( Multivariate polynomial degree. $)
  cmdg $a class mDeg $.

  $( Univariate polynomial degree. $)
  cdg1 $a class deg1 $.

  ${
    $d i r h f $.
    $( Define the degree of a polynomial.  Note (SO): as an experiment I am
       using a definition which makes the degree of the zero polynomial
       ` -oo ` , contrary to the convention used in ~ df-dgr .  (Contributed by
       Stefan O'Rear, 19-Mar-2015.)  (Revised by AV, 25-Jun-2019.) $)
    df-mdeg $a |- mDeg = ( i e. _V , r e. _V |->
      ( f e. ( Base ` ( i mPoly r ) ) |->
        sup ( ran ( h e. ( f supp ( 0g ` r ) ) |->
          ( CCfld gsum h ) ) , RR* , < ) ) ) $.

    $( Define the degree of a univariate polynomial.  (Contributed by Stefan
       O'Rear, 23-Mar-2015.) $)
    df-deg1 $a |- deg1 = ( r e. _V |-> ( 1o mDeg r ) ) $.

    $( Multivariate degree is a binary operation.  (Contributed by Stefan
       O'Rear, 28-Mar-2015.) $)
    reldmmdeg $p |- Rel dom mDeg $=
      ( vi vr vf vh cvv cv cmpl cbs cfv c0g csupp ccnfld cgsu cmpt crn cxr csup
      co clt cmdg df-mdeg reldmmpo ) ABEECAFBFZGRHIDCFUCJIKRLDFMRNOPSQNTCDABUAU
      B $.
  $}

  ${
    $d A h x y $.  $d I h m $.  $d I x y $.  $d V h x y $.
    tdeglem.a $e |- A = { m e. ( NN0 ^m I ) | ( `' m " NN ) e. Fin } $.
    tdeglem.h $e |- H = ( h e. A |-> ( CCfld gsum h ) ) $.
    $( Functionality of the total degree helper function.  (Contributed by
       Stefan O'Rear, 19-Mar-2015.)  (Proof shortened by AV, 27-Jul-2019.)
       Remove sethood antecedent.  (Revised by SN, 7-Aug-2024.) $)
    tdeglem1 $p |- H : A --> NN0 $=
      ( cn0 ccnfld cv cgsu co wcel cvv cc0 cnfld0 crg ccmn cnring ringcmn fmpti
      mp1i psrbagf ffnd fndmexd csubmnd cfv nn0subm a1i psrbagfsupp gsumsubmcl
      id ) BAHIBJZKLDGUMAMZEHUMINOPIQMIRMUNSITUBUNEUMAUNULUNEHUMACUMEFUCZUDUEHI
      UFUGMUNUHUIUOACUMEFUJUKUA $.

    $( Obsolete version of ~ tdeglem1 as of 7-Aug-2024.  (Contributed by Stefan
       O'Rear, 19-Mar-2015.)  (Proof shortened by AV, 27-Jul-2019.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    tdeglem1OLD $p |- ( I e. V -> H : A --> NN0 ) $=
      ( wcel ccnfld cv cgsu co cn0 wa cc0 cnfld0 crg ccmn cnring mp1i simpl cfv
      ringcmn csubmnd nn0subm a1i psrbagfOLD cfsupp psrbagfsuppOLD ancoms fmptd
      wbr gsumsubmcl ) EFIZBAJBKZLMNDUOUPAIZOZENUPJFPQJRIJSIURTJUDUAUOUQUBNJUEU
      CIURUFUGACUPEFGUHUQUOUPPUIUMACEFUPGUJUKUNHUL $.

    $d X h $.  $d X m $.  $d Y h $.  $d Y m $.
    $( Additivity of the total degree helper function.  (Contributed by Stefan
       O'Rear, 26-Mar-2015.)  (Proof shortened by AV, 27-Jul-2019.)  Remove a
       sethood antecedent.  (Revised by SN, 7-Aug-2024.) $)
    tdeglem3 $p |- ( ( X e. A /\ Y e. A ) ->
        ( H ` ( X oF + Y ) ) = ( ( H ` X ) + ( H ` Y ) ) ) $=
      ( wcel ccnfld caddc co cgsu cfv cc cc0 wf cn0 oveq2 cof cnfldbas cnfldadd
      cvv cnfld0 crg ccmn cnring ringcmn mp1i simpl wss psrbagf nn0sscn sylancl
      fss adantr ffnd fndmexd adantl cfsupp wbr psrbagfsupp gsumadd psrbagaddcl
      wa wceq cv ovex fvmpt syl oveqan12d 3eqtr4d ) FAJZGAJZVFZKFGLUAMZNMZKFNMZ
      KGNMZLMVQDOZFDOZGDOZLMVPEPLFKGUDQUBUEUCKUFJKUGJVPUHKUIUJVPEFAVNVOUKVPEPFV
      NEPFRZVOVNESFRSPULZWDACFEHUMUNESPFUPUOUQZURUSWFVOEPGRZVNVOESGRWEWGACGEHUM
      UNESPGUPUOUTVNFQVAVBVOACFEHVCUQVOGQVAVBVNACGEHVCUTVDVPVQAJWAVRVGACFGEHVEB
      VQKBVHZNMZVRADWHVQKNTIKVQNVIVJVKVNVOWBVSWCVTLBFWIVSADWHFKNTIKFNVIVJBGWIVT
      ADWHGKNTIKGNVIVJVLVM $.

    $( Obsolete version of ~ tdeglem3 as of 7-Aug-2024.  (Contributed by Stefan
       O'Rear, 26-Mar-2015.)  (Proof shortened by AV, 27-Jul-2019.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    tdeglem3OLD $p |- ( ( I e. V /\ X e. A /\ Y e. A ) ->
        ( H ` ( X oF + Y ) ) = ( ( H ` X ) + ( H ` Y ) ) ) $=
      ( wcel ccnfld caddc co cgsu cfv cc cc0 wf cn0 w3a cof cnfldbas cnfld0 crg
      cnfldadd ccmn cnring ringcmn mp1i simp1 wa wss psrbagfOLD nn0sscn sylancl
      fss 3adant3 3adant2 cfsupp wbr psrbagfsuppOLD gsumadd wceq psrbagaddclOLD
      ancoms cv oveq2 ovex fvmpt syl oveqan12d 3adant1 3eqtr4d ) EFKZGAKZHAKZUA
      ZLGHMUBNZONZLGONZLHONZMNZVSDPZGDPZHDPZMNZVREQMGLHFRUCUDUFLUEKLUGKVRUHLUIU
      JVOVPVQUKVOVPEQGSZVQVOVPULETGSTQUMZWHACGEFIUNUOETQGUQUPURVOVQEQHSZVPVOVQU
      LETHSWIWJACHEFIUNUOETQHUQUPUSVOVPGRUTVAZVQVPVOWKACEFGIVBVFURVOVQHRUTVAZVP
      VQVOWLACEFHIVBVFUSVCVRVSAKWDVTVDACGHEFIVEBVSLBVGZONZVTADWMVSLOVHJLVSOVIVJ
      VKVPVQWGWCVDVOVPVQWEWAWFWBMBGWNWAADWMGLOVHJLGOVIVJBHWNWBADWMHLOVHJLHOVIVJ
      VLVMVN $.

    $d H x $.  $d X x y $.
    $( There is only one multi-index with total degree 0.  (Contributed by
       Stefan O'Rear, 29-Mar-2015.)  Remove a sethood antecedent.  (Revised by
       SN, 7-Aug-2024.) $)
    tdeglem4 $p |- ( X e. A -> ( ( H ` X ) = 0 <-> X = ( I X. { 0 } ) ) ) $=
      ( vx vy wcel cfv cc0 wceq ccnfld cgsu co adantr cn0 cvv csn cxp wral wrex
      cv wn wne rexnal wa df-ne cdif cmpt caddc oveq2 ovex fvmpt psrbagf oveq2d
      feqmptd cc cnfldbas cnfld0 cnfldadd ccmn cnring ringcmn mp1i ffnd fndmexd
      crg ffvelrnda nn0cnd adantlr cfsupp wbr psrbagfsupp eqbrtrrd cin disjdifr
      id c0 a1i cun difsnid eqcomd ad2antrl gsumsplit2 3eqtrd cn difexd csubmnd
      nn0subm wf eldifi ffvelrn syl2an fmpttd wfun csupp wss mptexd difss mptss
      funmpt ax-mp funsssuppss mp3an12i fsuppsssupp syl22anc gsumsubmcl ringmnd
      cmnd simprl ffvelrnd fveq2 gsumsn mp3an2i wo elnn0 sylib ad2antll eqeltrd
      neneq olcnd nn0nnaddcl syl2anc nnne0d eqnetrd expr rexlimdva necon4bd wfn
      syl5bir wb c0ex fnconstg eqfnfv fvconst2 eqeq2d ralbiia sylibrd fconstmpt
      bitrdi psrbag0 3syl oveq2i gsumz sylancr syl5eq fveqeq2 syl5ibrcom impbid
      eqtrd ) FAKZFDLZMNZFEMUAUBZNZUUNUUPIUEZFLZMNZIEUCZUURUUNUVBUUOMUVBUFUVAUF
      ZIEUDUUNUUOMUGZUVAIEUHUUNUVCUVDIEUVCUUTMUGZUUNUUSEKZUIUVDUUTMUJUUNUVFUVEU
      VDUUNUVFUVEUIZUIZUUOOJEUUSUAZUKZJUEZFLZULZPQZOJUVIUVLULPQZUMQZMUVHUUOOFPQ
      ZOJEUVLULZPQUVPUUNUUOUVQNUVGBFOBUEZPQZUVQADUVSFOPUNHOFPUOUPRUVHFUVROPUUNF
      UVRNUVGUUNJESFACFEGUQZUSZRURUVHEUTUVJUVIUMJOTUVLMVAVBVCOVJKZOVDKUVHVEOVFV
      GZUUNETKZUVGUUNEFAUUNVTUUNESFUWAVHZVIZRZUUNUVKEKZUVLUTKUVGUUNUWIUIUVLUUNE
      SUVKFUWAVKVLVMUUNUVRMVNVOZUVGUUNFUVRMVNUWBACFEGVPVQRZUVJUVIVRWANUVHUVIEVS
      WBUVFEUVJUVIWCZNUUNUVEUVFUWLEEUUSWDWEWFWGWHUVHUVPUVHUVNSKUVOWIKUVPWIKUVHU
      VJSUVMOTMVBUWDUVHEUVITUWHWJZSOWKLKUVHWLWBUVHJUVJUVLSUVHESFWMZUWIUVLSKUVKU
      VJKUUNUWNUVGUWARZUVKEUVIWNESUVKFWOWPWQUVHUVMTKUVMWRZUWJUVMMWSQUVRMWSQWTZU
      VMMVNVOUVHJUVJUVLTUWMXAUWPUVHJUVJUVLXDWBUWKUVRWRUVMUVRWTZUVHUVRTKUWQJEUVL
      XDUVJEWTUWREUVIXBJUVJEUVLXCXEUVHJEUVLTUWHXAUVMUVRTMXFXGUVRUVMTMXHXIXJUVHU
      VOUUTWIOXLKZUVHUVFUUTUTKUVOUUTNUWCUWSVEOXKXEZUUNUVFUVEXMZUVHUUTUVHESUUSFU
      WOUXAXNZVLUVLUTUUTJOUUSEVAUVKUUSFXOXPXQUVHUUTWIKZUVAUVHUUTSKUXCUVAXRUXBUU
      TXSXTUVEUVCUUNUVFUUTMYCYAYDYBUVNUVOYEYFYGYHYIYMYJYMYKUUNUURUUTUUSUUQLZNZI
      EUCZUVBUUNFEYLUUQEYLZUURUXFYNUWFMTKUXGUUNYOEMTYPVGIEFUUQYQYFUXEUVAIEUVFUX
      DMUUTEMUUSYOYRYSYTUUCUUAUUNUUPUURUUQDLZMNUUNUXHOUUQPQZMUUNUWEUUQAKUXHUXIN
      UWGACETGUUDBUUQUVTUXIADUVSUUQOPUNHOUUQPUOUPUUEUUNUXIOIEMULZPQZMUUQUXJOPIE
      MUUBUUFUUNUWSUWEUXKMNUWTUWGEIOTMVBUUGUUHUUIUUMFUUQMDUUJUUKUUL $.

    $( Obsolete version of ~ tdeglem4 as of 7-Aug-2024.  (Contributed by Stefan
       O'Rear, 29-Mar-2015.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    tdeglem4OLD $p |- ( ( I e. V /\ X e. A ) -> ( ( H ` X ) = 0 <->
          X = ( I X. { 0 } ) ) ) $=
      ( vx vy wcel cfv cc0 wceq ccnfld cgsu co cn0 cvv wa csn cxp wral wrex wne
      cv wn rexnal df-ne cdif cmpt caddc oveq2 ovex ad2antlr psrbagfOLD feqmptd
      fvmpt adantr oveq2d cnfldbas cnfld0 cnfldadd crg ccmn cnring ringcmn mp1i
      cc simpll wf ffvelrnda nn0cnd cfsupp psrbagfsuppOLD ancoms eqbrtrrd incom
      wbr cin c0 disjdif eqtri a1i difsnid eqcomd ad2antrl gsumsplit2 3eqtrd cn
      cun difexg ad2antrr csubmnd nn0subm eldifi ffvelrn syl2an fmpttd wfun wss
      csupp mptexd funmpt cres difss resmpt ax-mp eqsstrri funsssuppss mp3an12i
      resss mptexg fsuppsssupp syl22anc gsumsubmcl cmnd ringmnd simprl ffvelrnd
      fveq2 gsumsn syl3anc wo sylib elnn0 orel2 sylc eqeltrd nn0nnaddcl syl2anc
      simprr nnne0d eqnetrd expr syl5bir rexlimdva necon4bd wfn fnconstg eqfnfv
      wb ffnd 0nn0 fvconst2 eqeq2d ralbiia bitrdi sylibrd psrbag0 syl fconstmpt
      c0ex oveq2i gsumz mpan syl5eq eqtrd fveqeq2 syl5ibrcom impbid ) EFLZGALZU
      AZGDMZNOZGENUBUCZOZUVEUVGJUGZGMZNOZJEUDZUVIUVEUVMUVFNUVMUHUVLUHZJEUEUVEUV
      FNUFZUVLJEUIUVEUVNUVOJEUVNUVKNUFZUVEUVJELZUAUVOUVKNUJZUVEUVQUVPUVOUVEUVQU
      VPUAZUAZUVFPKEUVJUBZUKZKUGZGMZULZQRZPKUWAUWDULQRZUMRZNUVTUVFPGQRZPKEUWDUL
      ZQRUWHUVDUVFUWIOUVCUVSBGPBUGZQRZUWIADUWKGPQUNIPGQUOUSUPUVTGUWJPQUVEGUWJOU
      VSUVEKESGACGEFHUQZURUTZVAUVTEVJUWBUWAUMKPFUWDNVBVCVDPVELZPVFLUVTVGPVHVIZU
      VCUVDUVSVKUVTUWCELZUAUWDUVTESUWCGUVEESGVLZUVSUWMUTZVMVNUVTGUWJNVOUWNUVEGN
      VOVTZUVSUVDUVCUWTACEFGHVPVQUTVRZUWBUWAWAZWBOUVTUXBUWAUWBWAWBUWBUWAVSUWAEW
      CWDWEUVQEUWBUWAWLZOUVEUVPUVQUXCEEUVJWFWGWHWIWJUVTUWHUVTUWFSLUWGWKLUWHWKLU
      VTUWBSUWEPTNVCUWPUVCUWBTLUVDUVSEUWAFWMZWNSPWOMLUVTWPWEUVTKUWBUWDSUVTUWRUW
      QUWDSLUWCUWBLUWSUWCEUWAWQESUWCGWRWSWTUVTUWETLZUWEXAZUWJNVOVTUWENXCRUWJNXC
      RXBZUWENVOVTUVCUXEUVDUVSUVCKUWBUWDTUXDXDWNUXFUVTKUWBUWDXEWEUXAUWJXAUWEUWJ
      XBUVTUWJTLZUXGKEUWDXEUWEUWJUWBXFZUWJUWBEXBUXIUWEOEUWAXGKEUWBUWDXHXIUWJUWB
      XMXJUVCUXHUVDUVSKEUWDFXNWNUWEUWJTNXKXLUWJUWETNXOXPXQUVTUWGUVKWKUVTPXRLZUV
      QUVKVJLUWGUVKOUWOUXJUVTVGPXSZVIUVEUVQUVPXTZUVTUVKUVTESUVJGUWSUXLYAZVNUWDV
      JUVKKPUVJEVBUWCUVJGYBYCYDUVTUVNUVKWKLZUVLYEZUXNUVTUVPUVNUVEUVQUVPYMUVRYFU
      VTUVKSLUXOUXMUVKYGYFUVLUXNYHYIYJUWFUWGYKYLYNYOYPYQYRYQYSUVEUVIUVKUVJUVHMZ
      OZJEUDZUVMUVEGEYTUVHEYTZUVIUXRUUCUVEESGUWMUUDNSLUXSUVEUUEENSUUAVIJEGUVHUU
      BYLUXQUVLJEUVQUXPNUVKENUVJUUNUUFUUGUUHUUIUUJUVEUVGUVIUVHDMZNOUVEUXTPUVHQR
      ZNUVEUVHALZUXTUYAOUVCUYBUVDACEFHUUKUTBUVHUWLUYAADUWKUVHPQUNIPUVHQUOUSUULU
      VEUYAPJENULZQRZNUVHUYCPQJENUUMUUOUVCUYDNOZUVDUXJUVCUYEUWOUXJVGUXKXIEJPFNV
      CUUPUUQUTUURUUSGUVHNDUUTUVAUVB $.
  $}

  ${
    $d h x $.
    $( Simplification of total degree for the univariate case.  (Contributed by
       Stefan O'Rear, 23-Mar-2015.) $)
    tdeglem2 $p |- ( h e. ( NN0 ^m 1o ) |-> ( h ` (/) ) ) =
        ( h e. ( NN0 ^m 1o ) |-> ( CCfld gsum h ) ) $=
      ( vx cn0 c1o cmap co c0 cfv ccnfld cgsu wcel wceq csn cmpt elmapi feqmptd
      cv cvv cc 0ex oveq2d cmnd crg cnring ringmnd mp1i wf snid ffvelrn sylancl
      a1i nn0cnd cnfldbas fveq2 gsumsn syl3anc eqtrd df1o2 oveq2i eleq2s eqcomd
      mpteq2ia ) ACDEFZGAQZHZIVDJFZVDVCKVFVEVFVELVDCGMZEFZVCVDVHKZVFIBVGBQZVDHZ
      NZJFZVEVIVDVLIJVIBVGCVDVDCVGOZPUAVIIUBKZGRKZVESKVMVELIUCKVOVIUDIUEUFVPVIT
      UKVIVEVIVGCVDUGGVGKVECKVNGTUHVGCGVDUIUJULVKSVEBIGRUMVJGVDUNUOUPUQDVGCEURU
      SUTVAVB $.
  $}

  ${
    $d A h $.  $d B f i r $.  $d I f i r $.  $d I m $.  $d R f i r $.
    $d .0. h i r $.  $d f h $.
    mdegval.d $e |- D = ( I mDeg R ) $.
    mdegval.p $e |- P = ( I mPoly R ) $.
    mdegval.b $e |- B = ( Base ` P ) $.
    mdegval.z $e |- .0. = ( 0g ` R ) $.
    mdegval.a $e |- A = { m e. ( NN0 ^m I ) | ( `' m " NN ) e. Fin } $.
    mdegval.h $e |- H = ( h e. A |-> ( CCfld gsum h ) ) $.
    $( Value of the multivariate degree function.  (Contributed by Stefan
       O'Rear, 19-Mar-2015.)  (Revised by AV, 25-Jun-2019.) $)
    mdegfval $p |- D = ( f e. B
                         |-> sup ( ( H " ( f supp .0. ) ) , RR* , < ) ) $=
      ( cmpt cbs c0 vi vr cmdg co cv csupp cima cxr clt csup cvv wcel wa ccnfld
      wceq cgsu crn cmpl cfv oveq12 eqtr4di fveq2d fveq2 oveq2d mpteq1d supeq1d
      c0g rneqd adantl mpteq12dv df-mdeg fvexi mptex cres reseq1i suppssdm eqid
      ovmpoa simpr mplelf fssdm resmptd eqtr2id df-ima mpteq2dva eqtrd wn ovprc
      reldmmdeg mpt0 reldmmpl syl5eq base0 3eqtr4g eqtr4d pm2.61i eqtri ) CJEUC
      UDZFBIFUEZKUFUDZUGZUHUIUJZRZLJUKULEUKULUMZWRXCUOXDWRFBGWTUNGUEUPUDZRZUQZU
      HUIUJZRZXCUAUBJEUKUKFUAUEZUBUEZURUDZSUSZGWSXKVGUSZUFUDZXERZUQZUHUIUJZRXIU
      CXJJUOZXKEUOZUMZFXMXRBXHYAXMDSUSZBYAXLDSYAXLJEURUDZDXJJXKEURUTMVAVBNVAXTX
      RXHUOXSXTUHXQXGUIXTXPXFXTGXOWTXEXTXNKWSUFXTXNEVGUSKXKEVGVCOVAVDVEVHVFVIVJ
      FGUAUBVKFBXHBDSNVLVMVRXDFBXHXBXDWSBULZUMZUHXGXAUIYEXGIWTVNZUQXAYEXFYFYEYF
      GAXERZWTVNXFIYGWTQVOYEGAWTXEYEAESUSZWTWSWSKVPYEBADEHJYHWSMYHVQNPXDYDVSVTW
      AWBWCVHIWTWDVAVFWEWFXDWGZWRFTXBRZXCYIWRTYJJEUCWIWHFXBWJVAYIFBTXBYIYBTSUSB
      TYIDTSYIDYCTMJEURWKWHWLVBNWMWNVEWOWPWQ $.

    $d F f $.  $d H f $.  $d .0. f $.
    $( Value of the multivariate degree function at some particular polynomial.
       (Contributed by Stefan O'Rear, 19-Mar-2015.)  (Revised by AV,
       25-Jun-2019.) $)
    mdegval $p |- ( F e. B
                   -> ( D ` F ) = sup ( ( H " ( F supp .0. ) ) , RR* , < ) ) $=
      ( vf cxr clt cv csupp cima csup wceq oveq1 imaeq2d supeq1d mdegfval supex
      co xrltso fvmpt ) RHIRUAZKUBUKZUCZSTUDIHKUBUKZUCZSTUDBCUNHUEZSUPURTUSUOUQ
      IUNHKUBUFUGUHABCDERFGIJKLMNOPQUISURTULUJUM $.

    $d A x y $.  $d B x $.  $d F x y $.  $d G x y $.  $d H x y $.  $d I h $.
    $d R x $.  $d .0. x y $.  $d h m $.
    $( Property of being of limited degree.  (Contributed by Stefan O'Rear,
       19-Mar-2015.) $)
    mdegleb $p |- ( ( F e. B /\ G e. RR* ) -> ( ( D ` F ) <_ G <->
          A. x e. A ( G < ( H ` x ) -> ( F ` x ) = .0. ) ) ) $=
      ( wcel vy cxr wa cfv cle wbr csupp cima clt csup wral wceq mdegval adantr
      co cv wi breq1d wss wb crn imassrn cn0 wf tdeglem1 frnd cr nn0ssre ressxr
      a1i sstri sstrdi sstrid supxrleub sylancom wfn ffnd suppssdm simpl mplelf
      cbs eqid fssdm breq1 syl2anc cvv csn cdif wne c0g fvexi elsuppfng syl3anc
      ralima fvex biantrur eldifsn bitr4i anbi2i bitrdi imbi1d impexp wn con34b
      simplr ffvelrnda sselid xrltnle bicomd wo ianor xchnxbir orcom biorfi nne
      notnoti 3bitr2i syl5bb imbi12d pm5.74da bitrd ralbidv2 3bitrd ) ICTZJUBTZ
      UCZIDUDZJUEUFKIMUGUOZUHZUBUIUJZJUEUFZUAUPZJUEUFZUAYIUKZJAUPZKUDZUIUFZYOIU
      DZMULZUQZABUKZYFYGYJJUEYDYGYJULYEBCDEFGHIKLMNOPQRSUMUNURYDYEYIUBUSYKYNUTY
      FYIKVAZUBKYHVBYFUUBVCUBYFBVCKBVCKVDYFBGHKLRSVEVJZVFVCVGUBVHVIVKZVLVMUAYIJ
      VNVOYFYNYPJUEUFZAYHUKZUUAYFKBVPYHBUSYNUUFUTYFBVCKUUCVQYFBFWAUDZYHIIMVRYFC
      BEFHLUUGIOUUGWBPRYDYEVSZVTZWCYMUUEUAABYHKYLYPJUEWDWNWEYFUUEYTAYHBYFYOYHTZ
      UUEUQYOBTZYRWFMWGWHTZUCZUUEUQZUUKYTUQZYFUUJUUMUUEYFUUJUUKYRMWIZUCZUUMYFIB
      VPYDMWFTZUUJUUQUTYFBUUGIUUIVQUUHUURYFMFWJQWKVJYOICWFBMWLWMUUPUULUUKUUPYRW
      FTZUUPUCZUULUUSUUPYOIWOZWPYRWFMWQZWRWSWTXAUUNUUKUULUUEUQZUQYFUUOUUKUULUUE
      XBYFUUKUVCYTUVCUUEXCZUULXCZUQYFUUKUCZYTUULUUEXDUVFUVDYQUVEYSUVFYQUVDUVFYE
      YPUBTYQUVDUTYDYEUUKXEUVFVCUBYPUUDYFBVCYOKUUCXFXGJYPXHWEXIUVEUUSXCZUUPXCZX
      JZUVFYSUUTUVIUULUUSUUPXKUVBXLUVIYSUTUVFUVIUVHUVGXJUVHYSUVGUVHXMUVGUVHUUSU
      VAXPXNYRMXOXQVJXRXSXRXTXRYAYBYAYC $.

    ${
      $d D x $.  $d X x $.
      mdeglt.f $e |- ( ph -> F e. B ) $.
      medglt.x $e |- ( ph -> X e. A ) $.
      mdeglt.lt $e |- ( ph -> ( D ` F ) < ( H ` X ) ) $.
      $( If there is an upper limit on the degree of a polynomial that is lower
         than the degree of some exponent bag, then that exponent bag is
         unrepresented in the polynomial.  (Contributed by Stefan O'Rear,
         26-Mar-2015.)  (Proof shortened by AV, 27-Jul-2019.) $)
      mdeglt $p |- ( ph -> ( F ` X ) = .0. ) $=
        ( vx cfv clt wbr wceq cv wi fveq2 breq2d fveqeq2 imbi12d cle wral csupp
        co cima cxr csup wcel mdegval syl wss crn imassrn cn0 tdeglem1 frn mp1i
        wf nn0ssre ressxr sstrdi sstrid supxrcl eqeltrd xrleidd mdegleb syl2anc
        cr sstri wb mpbid rspcdva mpd ) AIDUDZLJUDZUEUFZLIUDMUGZUBAWGUCUHZJUDZU
        EUFZWKIUDMUGZUIZWIWJUIUCBLWKLUGZWMWIWNWJWPWLWHWGUEWKLJUJUKWKLMIULUMAWGW
        GUNUFZWOUCBUOZAWGAWGJIMUPUQZURZUSUEUTZUSAICVAZWGXAUGTBCDEFGHIJKMNOPQRSV
        BVCAWTUSVDXAUSVAAWTJVEZUSJWSVFAXCVGUSBVGJVKXCVGVDABGHJKRSVHBVGJVIVJVGWA
        USVLVMWBVNVOWTVPVCVQZVRAXBWGUSVAWQWRWCTXDUCBCDEFGHIWGJKMNOPQRSVSVTWDUAW
        EWF $.
    $}

    $d D x $.
    mdegldg.y $e |- Y = ( 0g ` P ) $.
    $( A nonzero polynomial has some coefficient which witnesses its degree.
       (Contributed by Stefan O'Rear, 23-Mar-2015.) $)
    mdegldg $p |- ( ( R e. Ring /\ F e. B /\ F =/= Y ) ->
        E. x e. A ( ( F ` x ) =/= .0. /\ ( H ` x ) = ( D ` F ) ) ) $=
      ( crg wcel wne w3a cfv csupp co cima cv wceq wa wrex cxr clt csup mdegval
      3ad2ant2 cfn c0 wss wfun wf tdeglem1 ffund simp2 simp1 mplelsfi fsuppimpd
      cn0 a1i imafi syl2anc csn cxp simp3 cvv mplrcl cgrp ringgrp 3ad2ant1 mpl0
      neeqtrd wfn wb cbs eqid mplelf ffnd c0g fvexi ccnv cn cmap ovex fnsuppeq0
      rabex2 mp3an2 sylancl necon3bid mpbird suppssdm fnimaeq0 crn imassrn frnd
      fssdm sstrid nn0ssre ressxr sstri sstrdi wor fisupcl mpan syl3anc eqeltrd
      cr xrltso fvelimabd rexsupp mp3an23 syl bitrd mpbid ) FUAUBZICUBZILUCZUDZ
      IDUEZJIMUFUGZUHZUBZAUIZIUEMUCYMJUEYIUJZUKABULZYHYIYKUMUNUOZYKYFYEYIYPUJYG
      BCDEFGHIJKMNOPQRSUPUQYHYKURUBZYKUSUCZYKUMUTZYPYKUBZYHJVAYJURUBYQYHBVIJBVI
      JVBYHBGHJKRSVCVJZVDYHIMYHCEFIKUAMOPQYEYFYGVEZYEYFYGVFVGVHJYJVKVLYHYRYJUSU
      CZYHUUCIBMVMVNZUCYHILUUDYEYFYGVOYHBEFHKMVPLORQTYFYEKVPUBYGCEFKIOPVQUQYEYF
      FVRUBYGFVSVTWAWBYHYJUSIUUDYHIBWCZMVPUBZYJUSUJZIUUDUJWDZYHBFWEUEZIYHCBEFHK
      UUIIOUUIWFPRUUBWGZWHZMFWIQWJZUUEBVPUBZUUFUUHHUIWKWLUHURUBHVIKWMUGBRVIKWMW
      NWPZBIVPVPMWOWQWRWSWTYHYKUSYJUSYHJBWCYJBUTYKUSUJUUGWDYHBVIJUUAWHZYHBUUIYJ
      IIMXAUUJXFZBYJJXBVLWSWTYHYKVIUMYHYKJXCVIJYJXDYHBVIJUUAXEXGVIXQUMXHXIXJXKU
      MUNXLYQYRYSUDYTXRUMYKUNXMXNXOXPYHYLYNAYJULZYOYHABYJYIJUUOUUPXSYHUUEUUQYOW
      DZUUKUUEUUMUUFUURUUNUULYNAIVPVPBMXTYAYBYCYD $.
  $}

  ${
    $d I x y $.  $d R y $.
    mdegxrcl.d $e |- D = ( I mDeg R ) $.
    mdegxrcl.p $e |- P = ( I mPoly R ) $.
    mdegxrcl.b $e |- B = ( Base ` P ) $.
    $( Closure of polynomial degree in the extended reals.  (Contributed by
       Stefan O'Rear, 19-Mar-2015.)  (Proof shortened by AV, 27-Jul-2019.) $)
    mdegxrcl $p |- ( F e. B -> ( D ` F ) e. RR* ) $=
      ( vy vx wcel cfv cv cima cn0 co cxr eqid wss ccnv cn cfn cmap crab ccnfld
      cgsu cmpt c0g csupp clt csup mdegval crn imassrn wf tdeglem1 mp1i nn0ssre
      frn cr ressxr sstri sstrdi sstrid supxrcl syl eqeltrd ) EALZEBMJKNUAUBOUC
      LKPFUDQUEZUFJNUGQUHZEDUIMZUJQZOZRUKULZRVJABCDJKEVKFVLGHIVLSVJSZVKSZUMVIVN
      RTVORLVIVNVKUNZRVKVMUOVIVRPRVJPVKUPVRPTVIVJJKVKFVPVQUQVJPVKUTURPVARUSVBVC
      VDVEVNVFVGVH $.

    $d B f $.  $d B z $.  $d D f $.  $d I f $.  $d I z $.  $d R f $.  $d R z $.
    $d y z $.
    $( Functionality of polynomial degree in the extended reals.  (Contributed
       by Stefan O'Rear, 19-Mar-2015.)  (Proof shortened by AV,
       27-Jul-2019.) $)
    mdegxrf $p |- D : B --> RR* $=
      ( vf vz vy vx cxr cv cfv wcel cima co clt eqid wfn wral ccnv cfn cn0 cmap
      wf cn crab ccnfld cgsu cmpt c0g csupp csup xrltso supex mdegfval mdegxrcl
      fnmpti rgen ffnfv mpbir2an ) AMBUGBAUAINZBOMPZIAUBJAKLNUCUHQUDPLUEEUFRUIZ
      UJKNUKRULZJNDUMOZUNRQZMSUOBMVISUPUQVFABCDJKLVGEVHFGHVHTVFTVGTURUTVEIAABCD
      VDEFGHUSVAIAMBVBVC $.
  $}

  ${
    $d I a b $.  $d R b $.
    mdegcl.d $e |- D = ( I mDeg R ) $.
    mdegcl.p $e |- P = ( I mPoly R ) $.
    mdegcl.b $e |- B = ( Base ` P ) $.
    $( Sharp closure for multivariate polynomials.  (Contributed by Stefan
       O'Rear, 23-Mar-2015.) $)
    mdegcl $p |- ( F e. B -> ( D ` F ) e. ( NN0 u. { -oo } ) ) $=
      ( vb va wcel cfn cn0 co cxr clt cmnf eqid c0 cfv cv ccnv cima cmap ccnfld
      cn crab cgsu cmpt c0g csupp csup csn cun mdegval supeq1 eleq1d wne wa wss
      wceq crn imassrn wf tdeglem1 frn mp1i sstrid adantr ssun1 sstrdi wfun cvv
      ffun id reldmmpl elbasov simprd mplelsfi fsuppimpd imafi syl2anc simpr cr
      cmpl nn0ssre ressxr sstri wor w3a xrltso fisupcl mpan sseldd xrsup0 ssun2
      syl3anc mnfxr elexi snid sselii eqeltri a1i pm2.61ne eqeltrd ) EALZEBUAJK
      UBUCUGUDMLKNFUEOUHZUFJUBUIOUJZEDUKUAZULOZUDZPQUMZNRUNZUOZXHABCDJKEXIFXJGH
      IXJSZXHSZXISZUPXGXMXOLTPQUMZXOLZXLTXLTVBXMXSXOPXLTQUQURXGXLTUSZUTZXLXOXMY
      BXLNXOXGXLNVAYAXGXLXIVCZNXIXKVDXHNXIVEZYCNVAXGXHJKXIFXQXRVFZXHNXIVGVHVIVJ
      ZNXNVKVLYBXLMLZYAXLPVAZXMXLLZXGYGYAXGXIVMZXKMLYGYDYJXGYEXHNXIVOVHXGEXJXGA
      CDEFVNXJHIXPXGVPXGFVNLDVNLEACWFFDVQHIVRVSVTWAXIXKWBWCVJXGYAWDYBXLNPYFNWEP
      WGWHWIVLPQWJYGYAYHWKYIWLPXLQWMWNWRWOXTXGXSRXOWPXNXORXNNWQRRPWSWTXAXBXCXDX
      EXF $.
  $}

  ${
    $d I x y $.  $d R y $.  $d V y $.
    mdeg0.d $e |- D = ( I mDeg R ) $.
    mdeg0.p $e |- P = ( I mPoly R ) $.
    mdeg0.z $e |- .0. = ( 0g ` P ) $.
    $( Degree of the zero polynomial.  (Contributed by Stefan O'Rear,
       20-Mar-2015.)  (Proof shortened by AV, 27-Jul-2019.) $)
    mdeg0 $p |- ( ( I e. V /\ R e. Ring ) -> ( D ` .0. ) = -oo ) $=
      ( vy vx wcel cfv cima co cxr clt eqid c0 cvv crg wa cv ccnv cfn cmap crab
      cn cn0 ccnfld cgsu cmpt c0g csup cmnf cgrp cbs wceq ringgrp mplgrp sylan2
      csupp grpidcl mdegval 3syl csn cxp simpl adantl mpl0 wfn wb fvex fnconstg
      mp1i fneq1d mpbird ovex a1i fnsuppeq0 syl3anc imaeq2d ima0 eqtrdi supeq1d
      rabex xrsup0 eqtrd ) DELZCUALZUBZFAMZJKUCUDUHNUELZKUIDUFOZUGZUJJUCUKOULZF
      CUMMZVBOZNZPQUNZUOWKBUPLZFBUQMZLWLWTURWJWICUPLZXACUSZBCDEHUTVAXBBFXBRZIVC
      WOXBABCJKFWPDWQGHXEWQRZWORZWPRVDVEWKWTSPQUNUOWKPWSSQWKWSWPSNSWKWRSWPWKWRS
      URZFWOWQVFVGZURZWKWOBCKDWQEFHXGXFIWIWJVHWJXCWIXDVIVJZWKFWOVKZWOTLZWQTLZXH
      XJVLWKXLXIWOVKZXNXOWKCUMVMZWOWQTVNVOWKWOFXIXKVPVQXMWKWMKWNUIDUFVRWFVSXNWK
      XPVSWOFTTWQVTWAVQWBWPWCWDWEWGWDWH $.

    mdegnn0cl.b $e |- B = ( Base ` P ) $.
    $d B x $.  $d D x $.  $d F x $.  $d I h m $.  $d R h x $.  $d .0. x $.
    $d m x $.
    $( Degree of a nonzero polynomial.  (Contributed by Stefan O'Rear,
       23-Mar-2015.) $)
    mdegnn0cl $p |- ( ( R e. Ring /\ F e. B /\ F =/= .0. ) ->
        ( D ` F ) e. NN0 ) $=
      ( vx vh vm wcel wne cv cfv cn0 eqid crg w3a c0g ccnv cn cima cmap co crab
      cfn ccnfld cgsu cmpt wceq wa wrex mdegldg wf tdeglem1 a1i ffvelrnda eleq1
      syl5ibcom adantld rexlimdva mpd ) DUAOEAOEGPUBZLQZERDUCRZPZVHMNQUDUEUFUJO
      NSFUGUHUIZUKMQULUHUMZRZEBRZUNZUOZLVKUPVNSOZLVKABCDMNEVLFGVIHIKVITVKTZVLTZ
      JUQVGVPVQLVKVGVHVKOUOZVOVQVJVTVMSOVOVQVGVKSVHVLVKSVLURVGVKMNVLFVRVSUSUTVA
      VMVNSVBVCVDVEVF $.
  $}

  $( Theorem on arithmetic of extended reals useful for degrees.  (Contributed
     by Stefan O'Rear, 23-Mar-2015.) $)
  degltlem1 $p |- ( ( X e. ( NN0 u. { -oo } ) /\ Y e. ZZ ) ->
      ( X < Y <-> X <_ ( Y - 1 ) ) ) $=
    ( cn0 cmnf csn cun wcel wo cz clt wbr c1 cmin co cle wb elun nn0z syl breq1
    zltlem1 sylan zre mnfltd cxr peano2zm zred rexrd mnfle 2thd wceq syl5ibrcom
    elsni bibi12d impcom jaoian sylanb ) ACDEZFGACGZAURGZHBIGZABJKZABLMNZOKZPZA
    CURQUSVAVEUTUSAIGVAVEARABUAUBVAUTVEVAVEUTDBJKZDVCOKZPZVAVFVGVABBUCUDVAVCUEG
    VGVAVCVAVCBUFUGUHVCUISUJUTADUKZVEVHPADUMVIVBVFVDVGADBJTADVCOTUNSULUOUPUQ $.

  $( Theorem on arithmetic of extended reals useful for degrees.  (Contributed
     by Stefan O'Rear, 1-Apr-2015.) $)
  degltp1le $p |- ( ( X e. ( NN0 u. { -oo } ) /\ Y e. ZZ ) ->
      ( X < ( Y + 1 ) <-> X <_ Y ) ) $=
    ( cn0 cmnf csn cun wcel cz wa c1 caddc co clt wbr cmin wb peano2z degltlem1
    cle cc sylan2 wceq zcn ax-1cn pncan sylancl breq2d adantl bitrd ) ACDEFGZBH
    GZIABJKLZMNZAULJOLZSNZABSNZUKUJULHGUMUOPBQAULRUAUKUOUPPUJUKUNBASUKBTGJTGUNB
    UBBUCUDBJUEUFUGUHUI $.

  ${
    mdegaddle.y $e |- Y = ( I mPoly R ) $.
    mdegaddle.d $e |- D = ( I mDeg R ) $.
    mdegaddle.i $e |- ( ph -> I e. V ) $.
    mdegaddle.r $e |- ( ph -> R e. Ring ) $.

    ${
      $d ph c $.  $d B c $.  $d D c $.  $d F c $.  $d G c $.  $d I a b c $.
      $d .+ c $.  $d R b c $.  $d V b $.
      mdegaddle.b $e |- B = ( Base ` Y ) $.
      mdegaddle.p $e |- .+ = ( +g ` Y ) $.
      mdegaddle.f $e |- ( ph -> F e. B ) $.
      mdegaddle.g $e |- ( ph -> G e. B ) $.
      $( The degree of a sum is at most the maximum of the degrees of the
         factors.  (Contributed by Stefan O'Rear, 26-Mar-2015.) $)
      mdegaddle $p |- ( ph -> ( D ` ( F .+ G ) ) <_
            if ( ( D ` F ) <_ ( D ` G ) , ( D ` G ) , ( D ` F ) ) ) $=
        ( cfv wcel vc vb va co cle wbr cif cv ccnv cn cima cfn cmap crab ccnfld
        cn0 cgsu cmpt clt c0g wceq wi wral cplusg cof eqid mpladd fveq1d adantr
        wa wfn cvv cbs mplelf ffnd ovex rabex a1i simpr fnfvof syl22anc adantrr
        eqtrd simprl cxr w3a mdegxrcl ifcld cr nn0ssre ressxr sstri wf tdeglem1
        ffvelrnda sselid 3jca xrmax1 syl2anc simprr xrlelttr sylc mdeglt xrmax2
        syl jca oveq12d cgrp crg ringgrp ring0cl expr ralrimiva mplring ringacl
        grplid wb syl3anc mdegleb mpbird ) AFGDUDZCSFCSZGCSZUEUFZYCYBUGZUEUFZYE
        UAUHZUBUCUHUIUJUKULTZUCUPHUMUDZUNZUOUBUHUQUDURZSZUSUFZYGYASZEUTSZVAZVBZ
        UAYJVCZAYQUAYJAYGYJTZYMYPAYSYMVJZVJZYNYGFSZYGGSZEVDSZUDZYOAYSYNUUEVAYMA
        YSVJZYNYGFGUUDVEUDZSZUUEAYNUUHVAYSAYGYAUUGABJUUDDEHFGKOUUDVFZPQRVGVHVIU
        UFFYJVKZGYJVKZYJVLTZYSUUHUUEVAAUUJYSAYJEVMSZFABYJJEUCHUUMFKUUMVFZOYJVFZ
        QVNVOVIAUUKYSAYJUUMGABYJJEUCHUUMGKUUNOUUORVNVOVIUULUUFYHUCYIUPHUMVPVQVR
        AYSVSYJUUDFGVLYGVTWAWCWBUUAUUEYOYOUUDUDZYOUUAUUBYOUUCYOUUDUUAYJBCJEUBUC
        FYKHYGYOLKOYOVFZUUOYKVFZAFBTZYTQVIAYSYMWDZUUAYBWETZYEWETZYLWETZWFZYBYEU
        EUFZYMVJYBYLUSUFAYSUVDYMUUFUVAUVBUVCAUVAYSAUUSUVAQBCJEFHLKOWGXEZVIAUVBY
        SAYDYCYBWEAGBTZYCWETZRBCJEGHLKOWGXEZUVFWHZVIZUUFUPWEYLUPWIWEWJWKWLAYJUP
        YGYKYJUPYKWMAYJUBUCYKHUUOUURWNVRWOWPZWQWBUUAUVEYMAUVEYTAUVAUVHUVEUVFUVI
        YBYCWRWSVIAYSYMWTZXFYBYEYLXAXBXCUUAYJBCJEUBUCGYKHYGYOLKOUUQUUOUURAUVGYT
        RVIUUTUUAUVHUVBUVCWFZYCYEUEUFZYMVJYCYLUSUFAYSUVNYMUUFUVHUVBUVCAUVHYSUVI
        VIUVKUVLWQWBUUAUVOYMAUVOYTAUVAUVHUVOUVFUVIYBYCXDWSVIUVMXFYCYEYLXAXBXCXG
        AUUPYOVAZYTAEXHTZYOUUMTZUVPAEXITZUVQNEXJXEAUVSUVRNUUMEYOUUNUUQXKXEUUMUU
        DEYOYOUUNUUIUUQXPWSVIWCWCXLXMAYABTZUVBYFYRXQAJXITZUUSUVGUVTAHITUVSUWAMN
        JEHIKXNWSQRBDJFGOPXOXRUVJUAYJBCJEUBUCYAYEYKHYOLKOUUQUUOUURXSWSXT $.
    $}

    ${
      $d ph x $.  $d B x $.  $d D x $.  $d F x $.  $d G x $.  $d I a b x $.
      $d .x. x $.  $d R b x $.
      mdegvscale.b $e |- B = ( Base ` Y ) $.
      mdegvscale.k $e |- K = ( Base ` R ) $.
      mdegvscale.p $e |- .x. = ( .s ` Y ) $.
      mdegvscale.f $e |- ( ph -> F e. K ) $.
      mdegvscale.g $e |- ( ph -> G e. B ) $.
      $( The degree of a scalar multiple of a polynomial is at most the degree
         of the original polynomial.  (Contributed by Stefan O'Rear,
         26-Mar-2015.) $)
      mdegvscale $p |- ( ph -> ( D ` ( F .x. G ) ) <_ ( D ` G ) ) $=
        ( vx vb va co cfv cle wbr cv ccnv cn cima cfn wcel cn0 cmap crab ccnfld
        cgsu cmpt clt c0g wceq wi wral wa cmulr adantr simpr mplvscaval adantrr
        eqid simprl simprr mdeglt oveq2d crg ringrz syl2anc 3eqtrd ralrimiva wb
        expr cxr csca cbs mpllmod mplsca fveq2d syl5eq eleqtrd lmodvscl syl3anc
        clmod mdegxrcl syl mdegleb mpbird ) AFGEUDZCUEGCUEZUFUGZWSUAUHZUBUCUHUI
        UJUKULUMUCUNHUOUDUPZUQUBUHURUDUSZUEUTUGZXAWRUEZDVAUEZVBZVCZUAXBVDZAXHUA
        XBAXAXBUMZXDXGAXJXDVEZVEZXEFXAGUEZDVFUEZUDZFXFXNUDZXFAXJXEXOVBXDAXJVEBX
        BKDEXNUCGHIFXALRQPXNVKZXBVKZAFIUMZXJSVGAGBUMZXJTVGAXJVHVIVJXLXMXFFXNXLX
        BBCKDUBUCGXCHXAXFMLPXFVKZXRXCVKZAXTXKTVGAXJXDVLAXJXDVMVNVOAXPXFVBZXKADV
        PUMZXSYCOSIDXNFXFQXQYAVQVRVGVSWBVTAWRBUMZWSWCUMZWTXIWAAKWMUMZFKWDUEZWEU
        EZUMXTYEAHJUMYDYGNOKDHJLWFVRAFIYISAIDWEUEYIQADYHWEAKDHJVPLNOWGWHWIWJTFE
        YHYIBKGPYHVKRYIVKWKWLAXTYFTBCKDGHMLPWNWOUAXBBCKDUBUCWRWSXCHXFMLPYAXRYBW
        PVRWQ $.
    $}

    ${
      $d I x y $.  $d R y $.
      mdegvsca.b $e |- B = ( Base ` Y ) $.
      mdegvsca.e $e |- E = ( RLReg ` R ) $.
      mdegvsca.p $e |- .x. = ( .s ` Y ) $.
      mdegvsca.f $e |- ( ph -> F e. E ) $.
      mdegvsca.g $e |- ( ph -> G e. B ) $.
      $( The degree of a scalar multiple of a polynomial is exactly the degree
         of the original polynomial when the multiple is a nonzero-divisor.
         (Contributed by Stefan O'Rear, 28-Mar-2015.)  (Proof shortened by AV,
         27-Jul-2019.) $)
      mdegvsca $p |- ( ph -> ( D ` ( F .x. G ) ) = ( D ` G ) ) $=
        ( vy vx cv ccnv cn cima cfn wcel cn0 cmap crab ccnfld cgsu cmpt c0g cfv
        co csupp cxr clt csup csn cxp cmulr cof cbs rrgss sselid mplvsca oveq1d
        eqid cvv ovex rabex a1i mplelf rrgsupp eqtrd imaeq2d supeq1d wceq clmod
        csca crg mpllmod syl2anc mplsca fveq2d eleqtrd lmodvscl syl3anc mdegval
        syl 3eqtr4d ) AUAUBUCUDUEUFUGUHZUBUIIUJUQZUKZULUAUCUMUQUNZGHEUQZDUOUPZU
        RUQZUFZUSUTVAZWRHWTURUQZUFZUSUTVAZWSCUPZHCUPZAUSXBXEUTAXAXDWRAXAWQGVBVC
        HDVDUPZVEUQZWTURUQXDAWSXJWTURABWQKDEXIUBHIDVFUPZGLRXKVKZPXIVKZWQVKZAFXK
        GXKDFQXLVGSVHZTVIVJAXKDXIFWQVLGHWTQXLXMWTVKZWQVLUHAWOUBWPUIIUJVMVNVOOSA
        BWQKDUBIXKHLXLPXNTVPVQVRVSVTAWSBUHZXGXCWAAKWBUHZGKWCUPZVFUPZUHHBUHZXQAI
        JUHDWDUHXRNOKDIJLWEWFAGXKXTXOADXSVFAKDIJWDLNOWGWHWITGEXSXTBKHPXSVKRXTVK
        WJWKWQBCKDUAUBWSWRIWTMLPXPXNWRVKZWLWMAYAXHXFWATWQBCKDUAUBHWRIWTMLPXPXNY
        BWLWMWN $.
    $}

    ${
      $d ph x $.  $d B x $.  $d F x $.  $d I a b x $.  $d R a b x $.
      $d V b x $.
      mdegle0.b $e |- B = ( Base ` Y ) $.
      mdegle0.a $e |- A = ( algSc ` Y ) $.
      mdegle0.f $e |- ( ph -> F e. B ) $.
      $( A polynomial has nonpositive degree iff it is a constant.
         (Contributed by Stefan O'Rear, 29-Mar-2015.) $)
      mdegle0 $p |- ( ph -> ( ( D ` F ) <_ 0 <->
            F = ( A ` ( F ` ( I X. { 0 } ) ) ) ) ) $=
        ( vx cc0 wcel wceq vb va cfv cle wbr cv ccnv cn cima cfn cmap co ccnfld
        cn0 crab cgsu cmpt clt c0g wi wral csn cxp cxr 0xr eqid mdegleb sylancl
        wb cif wa wn wne cr tdeglem1 a1i ffvelrnda nn0re nn0ge0 jca ne0gt0 3syl
        tdeglem4 adantl necon3abid bitr3d imbi1d eqeq2 bibi1d fveq2 pm2.24 2thd
        wf biimt ifbothda adantr bitr4d ralbidva cbs mplelf feqmptd psrbag0 syl
        ffvelrnd mplascl eqeq12d cvv fvex rgenw mpteqb mp1i bitrd ) AFDUCRUDUEZ
        RQUFZUAUBUFUGUHUIUJSUBUNGUKULUOZUMUAUFUPULUQZUCZURUEZXNFUCZEUSUCZTZUTZQ
        XOVAZFGRVBVCZFUCZBUCZTZAFCSRVDSXMYCVIPVEQXOCDIEUAUBFRXPGXTKJNXTVFZXOVFZ
        XPVFZVGVHAYCXSXNYDTZYEXTVJZTZQXOVAZYGAYBYMQXOAXNXOSZVKZYBYKVLZYAUTZYMYP
        XRYQYAYPXQRVMZXRYQYPXQUNSZXQVNSZRXQUDUEZVKYSXRVIAXOUNXNXPXOUNXPWMAXOUAU
        BXPGYIYJVOVPVQYTUUAUUBXQVRXQVSVTXQWAWBYPYKXQRYOXQRTYKVIAXOUAUBXPGXNYIYJ
        WCWDWEWFWGAYMYRVIZYOYKXSYETZYRVIZYAYRVIZUUCAYEXTYEYLTUUDYMYRYEYLXSWHWIX
        TYLTYAYMYRXTYLXSWHWIYKUUEAYKUUDYRXNYDFWJYKYAWKWLWDYQUUFAYQYAWNWDWOWPWQW
        RAYGQXOXSUQZQXOYLUQZTZYNAFUUGYFUUHAQXOEWSUCZFACXOIEUBGUUJFJUUJVFZNYIPWT
        ZXAAQBUUJXOIEUBGHYEXTJYIYHUUKOLMAXOUUJYDFUULAGHSYDXOSLXOUBGHYIXBXCXDXEX
        FXSXGSZQXOVAUUIYNVIAUUMQXOXNFXHXIQXOXSYLXGXJXKXLWQXL $.
    $}

    ${
      $d ph c d x $.  $d B x $.  $d F c d x $.  $d G c d x $.  $d I a b d x $.
      $d I c e $.  $d J d x $.  $d K d x $.  $d R b d x $.  $d R c $.
      $d .x. x $.  $d V b $.  $d a c e $.  $d d e $.  $d e x $.
      mdegmulle2.b $e |- B = ( Base ` Y ) $.
      mdegmulle2.t $e |- .x. = ( .r ` Y ) $.
      mdegmulle2.f $e |- ( ph -> F e. B ) $.
      mdegmulle2.g $e |- ( ph -> G e. B ) $.
      mdegmulle2.j1 $e |- ( ph -> J e. NN0 ) $.
      mdegmulle2.k1 $e |- ( ph -> K e. NN0 ) $.
      mdegmulle2.j2 $e |- ( ph -> ( D ` F ) <_ J ) $.
      mdegmulle2.k2 $e |- ( ph -> ( D ` G ) <_ K ) $.
      ${
        $d A b $.  $d A c $.  $d A d $.  $d A e $.  $d A x $.  $d H d $.
        $d H x $.  $d V e $.
        mdegmullem.a $e |- A = { a e. ( NN0 ^m I ) | ( `' a " NN ) e. Fin } $.
        mdegmullem.h $e |- H = ( b e. A |-> ( CCfld gsum b ) ) $.
        $( Lemma for ~ mdegmulle2 .  (Contributed by Stefan O'Rear,
           26-Mar-2015.) $)
        mdegmullem $p |- ( ph -> ( D ` ( F .x. G ) ) <_ ( J + K ) ) $=
          ( vx vc vd ve co cfv caddc cle wbr cv clt wceq wi wral wcel cofr crab
          c0g wa cmin cmulr cmpt cgsu eqid mplmul fveq1d adantr rabbidv fvoveq1
          cof breq2 oveq2d mpteq12dv ovex fvmpt ad2antrl ad2antrr elrabi adantl
          adantrr cxr w3a mdegxrcl syl cn0 nn0ssre ressxr sstri sselid tdeglem1
          cr wf a1i ffvelrnd 3jca anim1i anasss xrlelttr sylc mdeglt oveq1d crg
          cbs mplelf ssrab2 simplrl psrbagconcl sylancom ringlz syl2anc anassrs
          eqtrd ringrz wo simplrr wn nn0red le2add syl22anc ffvelrnda mpteq2dva
          psrbagf nn0cnd cvv fvexd feqmptd offval2 syl3anc lenltd cmap tdeglem3
          3ad2ant2 3ad2ant3 pncan3d 3eqtr4d fveq2d eqtr3d breq1d sylibd anbi12d
          simp1 ovexd bitr4di nn0addcld 3imtr3d mt4d mpjaodan cmnd ringmnd ccnv
          ioran cn cima cfn rab2ex sylancl 3eqtrd expr ralrimiva mplring ringcl
          gsumz wb mdegleb mpbird ) AGHFUOZDUPKLUQUOZURUSZUVQUKUTZIUPZVAUSZUVSU
          VPUPZEVHUPZVBZVCZUKBVDZAUWEUKBAUVSBVEZUWAUWDAUWGUWAVIZVIZUWBUVSULBEUM
          UNUTZULUTZURVFZUSZUNBVGZUMUTZGUPZUWKUWOVJVTZUOHUPZEVKUPZUOZVLZVMUOZVL
          ZUPZEUMUWJUVSUWLUSZUNBVGZUWPUVSUWOUWQUOZHUPZUWSUOZVLZVMUOZUWCAUWBUXDV
          BUWHAUVSUVPUXCAUMUNCBNEFUWSOULGHJQUAUWSVNZUBUIUCUDVOVPVQUWGUXDUXKVBAU
          WAULUVSUXBUXKBUXCUWKUVSVBZUXAUXJEVMUXMUMUWNUWTUXFUXIUXMUWMUXEUNBUWKUV
          SUWJUWLWAVRUXMUWRUXHUWPUWSUWKUVSUWOHUWQVSWBWCWBUXCVNEUXJVMWDWEWFUWIUX
          KEUMUXFUWCVLZVMUOZUWCUWIUXJUXNEVMUWIUMUXFUXIUWCUWIUWOUXFVEZVIZKUWOIUP
          ZVAUSZUXIUWCVBZLUXGIUPZVAUSZUWIUXPUXSUXTUWIUXPUXSVIZVIZUXIUWCUXHUWSUO
          ZUWCUYDUWPUWCUXHUWSUYDBCDNEPOGIJUWOUWCRQUAUWCVNZUIUJAGCVEZUWHUYCUCWGU
          WIUXPUWOBVEZUXSUXPUYHUWIUXEUNUWOBWHWIZWJUYDGDUPZWKVEZKWKVEZUXRWKVEZWL
          ZUYJKURUSZUXSVIZUYJUXRVAUSUWIUXPUYNUXSUXQUYKUYLUYMAUYKUWHUXPAUYGUYKUC
          CDNEGJRQUAWMWNWGAUYLUWHUXPAWOWKKWOXAWKWPWQWRZUEWSWGUXQWOWKUXRUYQUXQBW
          OUWOIBWOIXBUXQBPOIJUIUJWTXCZUYIXDZWSXEWJUWIUXPUXSUYPUXQUYOUXSAUYOUWHU
          XPUGWGXFXGUYJKUXRXHXIXJXKUWIUXPUYEUWCVBZUXSUXQEXLVEZUXHEXMUPZVEUYTAVU
          AUWHUXPTWGZUXQBVUBUXGHABVUBHXBUWHUXPACBNEOJVUBHQVUBVNZUAUIUDXNWGUXQUX
          FBUXGUXEUNBXOUWIUXPUWGUXGUXFVEAUWGUWAUXPXPZUNBUXFOUVSJUWOUIUXFVNXQXRW
          SZXDVUBEUWSUXHUWCVUDUXLUYFXSXTWJYBYAUWIUXPUYBUXTUWIUXPUYBVIZVIZUXIUWP
          UWCUWSUOZUWCVUHUXHUWCUWPUWSVUHBCDNEPOHIJUXGUWCRQUAUYFUIUJAHCVEZUWHVUG
          UDWGUWIUXPUXGBVEZUYBVUFWJVUHHDUPZWKVEZLWKVEZUYAWKVEZWLZVULLURUSZUYBVI
          ZVULUYAVAUSUWIUXPVUPUYBUXQVUMVUNVUOAVUMUWHUXPAVUJVUMUDCDNEHJRQUAWMWNW
          GAVUNUWHUXPAWOWKLUYQUFWSWGUXQWOWKUYAUYQUXQBWOUXGIUYRVUFXDZWSXEWJUWIUX
          PUYBVURUXQVUQUYBAVUQUWHUXPUHWGXFXGVULLUYAXHXIXJWBUWIUXPVUIUWCVBZUYBUX
          QVUAUWPVUBVEVUTVUCUXQBVUBUWOGABVUBGXBUWHUXPACBNEOJVUBGQVUDUAUIUCXNWGU
          YIXDVUBEUWSUWPUWCVUDUXLUYFYCXTWJYBYAUXQUWAUXSUYBYDZAUWGUWAUXPYEUXQUXR
          KURUSZUYALURUSZVIZUVTUVQURUSZVVAYFZUWAYFUXQVVDUXRUYAUQUOZUVQURUSZVVEU
          XQUXRXAVEUYAXAVEKXAVELXAVEVVDVVHVCUXQUXRUYSYGZUXQUYAVUSYGZUXQKAKWOVEU
          WHUXPUEWGYGZUXQLALWOVEUWHUXPUFWGYGZUXRUYAKLYHYIUXQVVGUVTUVQURUXQUWOUX
          GUQVTUOZIUPZVVGUVTUXQUYHVUKVVNVVGVBUYIVUFBPOIJUWOUXGUIUJUUAXTUXQVVMUV
          SIUXQJMVEZUYHUWGVVMUVSVBAVVOUWHUXPSWGUYIVUEVVOUYHUWGWLZPJPUTZUWOUPZVV
          QUVSUPZVVRVJUOZUQUOZVLPJVVSVLVVMUVSVVPPJVWAVVSVVPVVQJVEVIZVVRVVSVWBVV
          RVVPJWOVVQUWOUYHVVOJWOUWOXBUWGBOUWOJUIYLUUBZYJYMVWBVVSVVPJWOVVQUVSUWG
          VVOJWOUVSXBUYHBOUVSJUIYLUUCZYJYMUUDYKVVPPJVVRVVTUQUWOUXGMYNYNVVOUYHUW
          GUUKZVWBVVQUWOYOZVWBVVSVVRVJUULVVPPJWOUWOVWCYPZVVPPJVVSVVRVJUVSUWOMYN
          YNVWEVWBVVQUVSYOVWFVVPPJWOUVSVWDYPZVWGYQYQVWHUUEYRUUFUUGUUHUUIUXQVVDU
          XSYFZUYBYFZVIVVFUXQVVBVWIVVCVWJUXQUXRKVVIVVKYSUXQUYALVVJVVLYSUUJUXSUY
          BUVAUUMUXQUVTUVQUXQUVTUXQBWOUVSIUYRVUEXDYGUXQUVQAUVQWOVEUWHUXPAKLUEUF
          UUNZWGYGYSUUOUUPUUQYKWBUWIEUURVEZUXFYNVEUXOUWCVBAVWLUWHAVUAVWLTEUUSWN
          VQUXEOUTUUTUVBUVCUVDVEUNOWOJYTUOBUIWOJYTWDUVEUXFUMEYNUWCUYFUVLUVFYBUV
          GUVHUVIAUVPCVEZUVQWKVEUVRUWFUVMANXLVEZUYGVUJVWMAVVOVUAVWNSTNEJMQUVJXT
          UCUDCNFGHUAUBUVKYRAWOWKUVQUYQVWKWSUKBCDNEPOUVPUVQIJUWCRQUAUYFUIUJUVNX
          TUVO $.
      $}

      $( The multivariate degree of a product of polynomials is at most the sum
         of the degrees of the polynomials.  (Contributed by Stefan O'Rear,
         26-Mar-2015.) $)
      mdegmulle2 $p |- ( ph -> ( D ` ( F .x. G ) ) <_ ( J + K ) ) $=
        ( va vb cv ccnv cn cima cfn wcel cn0 cmap co crab ccnfld cgsu cmpt eqid
        mdegmullem ) AUEUGUHUIUJUKULUEUMHUNUOUPZBCDEFGUFVBUQUFUGURUOUSZHIJKLUEU
        FMNOPQRSTUAUBUCUDVBUTVCUTVA $.
    $}
  $}

  ${
    $d R r $.
    deg1fval.d $e |- D = ( deg1 ` R ) $.
    $( Relate univariate polynomial degree to multivariate.  (Contributed by
       Stefan O'Rear, 23-Mar-2015.)  (Revised by Mario Carneiro,
       7-Oct-2015.) $)
    deg1fval $p |- D = ( 1o mDeg R ) $=
      ( vr cdg1 cfv c1o cmdg co cvv wcel wceq cv oveq2 df-deg1 ovex fvmpt wn c0
      fvprc reldmmdeg ovprc2 eqtr4d pm2.61i eqtri ) ABEFZGBHIZCBJKZUFUGLDBGDMZH
      IUGJEUIBGHNDOGBHPQUHRUFSUGBETGBHUAUBUCUDUE $.
  $}

  ${
    deg1xrf.d $e |- D = ( deg1 ` R ) $.
    deg1xrf.p $e |- P = ( Poly1 ` R ) $.
    deg1xrf.b $e |- B = ( Base ` P ) $.
    $( Functionality of univariate polynomial degree, weak range.  (Contributed
       by Stefan O'Rear, 23-Mar-2015.) $)
    deg1xrf $p |- D : B --> RR* $=
      ( c1o cmpl co deg1fval eqid cps1 cfv ply1bas mdegxrf ) ABHDIJZDHBDEKQLCDD
      MNZAFRLGOP $.

    $( Closure of univariate polynomial degree in extended reals.  (Contributed
       by Stefan O'Rear, 23-Mar-2015.) $)
    deg1xrcl $p |- ( F e. B -> ( D ` F ) e. RR* ) $=
      ( cxr deg1xrf ffvelrni ) AIEBABCDFGHJK $.

    $( Sharp closure of univariate polynomial degree.  (Contributed by Stefan
       O'Rear, 23-Mar-2015.) $)
    deg1cl $p |- ( F e. B -> ( D ` F ) e. ( NN0 u. { -oo } ) ) $=
      ( c1o cmpl co deg1fval eqid cps1 cfv ply1bas mdegcl ) ABIDJKZDEIBDFLRMCDD
      NOZAGSMHPQ $.
  $}

  ${
    $d ph c $.  $d ph x y $.  $d B x y $.  $d I a b $.  $d I c $.  $d R b c $.
    $d R x y $.  $d S b c $.  $d S x y $.
    mdegpropd.b1 $e |- ( ph -> B = ( Base ` R ) ) $.
    mdegpropd.b2 $e |- ( ph -> B = ( Base ` S ) ) $.
    mdegpropd.p $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( x ( +g ` R ) y ) = ( x ( +g ` S ) y ) ) $.
    $( Property deduction for polynomial degree.  (Contributed by Stefan
       O'Rear, 28-Mar-2015.)  (Proof shortened by AV, 27-Jul-2019.) $)
    mdegpropd $p |- ( ph -> ( I mDeg R ) = ( I mDeg S ) ) $=
      ( vc vb va co cfv cv cima cmpt csupp eqid cmpl cbs ccnv cfn wcel cn0 cmap
      crab ccnfld cgsu c0g cxr csup cmdg mplbaspropd grpidpropd imaeq2d supeq1d
      cn clt oveq2d mpteq12dv mdegfval 3eqtr4g ) AKGEUANZUBOZLMPUCUSQUDUEMUFGUG
      NUHZUILPUJNRZKPZEUKOZSNZQZULUTUMZRKGFUANZUBOZVHVIFUKOZSNZQZULUTUMZRGEUNNZ
      GFUNNZAKVFVMVOVSABCDEFGHIJUOAULVLVRUTAVKVQVHAVJVPVISABCDEFHIJUPVAUQURVBVG
      VFVTVEEKLMVHGVJVTTVETVFTVJTVGTZVHTZVCVGVOWAVNFKLMVHGVPWATVNTVOTVPTWBWCVCV
      D $.
  $}

  $( Univariate polynomial degree respects protection.  (Contributed by Stefan
     O'Rear, 28-Mar-2015.) $)
  deg1fvi $p |- ( deg1 ` R ) = ( deg1 ` ( _I ` R ) ) $=
    ( cid cfv cdg1 cvv wcel wceq fvi fveq2d wn c0 wfn wf cpl1 00ply1bas deg1xrf
    cxr eqid ffn fvprc ax-mp fn0 mpbi 3eqtr4a pm2.61i eqcomi ) ABCZDCZADCZAEFZU
    HUIGUJUGADAEHIUJJZKDCZKUHUIULKLZULKGKQULMUMKULKNCZKULRUNROPKQULSUAULUBUCUKU
    GKDABTIADTUDUEUF $.

  ${
    $d ph x y $.  $d B x y $.  $d R x y $.  $d S x y $.
    deg1propd.b1 $e |- ( ph -> B = ( Base ` R ) ) $.
    deg1propd.b2 $e |- ( ph -> B = ( Base ` S ) ) $.
    deg1propd.p $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( x ( +g ` R ) y ) = ( x ( +g ` S ) y ) ) $.
    $( Property deduction for polynomial degree.  (Contributed by Stefan
       O'Rear, 28-Mar-2015.) $)
    deg1propd $p |- ( ph -> ( deg1 ` R ) = ( deg1 ` S ) ) $=
      ( c1o cmdg co cdg1 cfv mdegpropd eqid deg1fval 3eqtr4g ) AJEKLJFKLEMNZFMN
      ZABCDEFJGHIOSESPQTFTPQR $.
  $}

  ${
    deg1z.d $e |- D = ( deg1 ` R ) $.
    deg1z.p $e |- P = ( Poly1 ` R ) $.
    deg1z.z $e |- .0. = ( 0g ` P ) $.
    $( Degree of the zero univariate polynomial.  (Contributed by Stefan
       O'Rear, 23-Mar-2015.) $)
    deg1z $p |- ( R e. Ring -> ( D ` .0. ) = -oo ) $=
      ( c1o con0 wcel crg cfv cmnf wceq 1on cmpl co deg1fval eqid ply1mpl0 mpan
      mdeg0 ) HIJCKJDALMNOAHCPQZCHIDACERUCSZBCUCDUDFGTUBUA $.

    deg1nn0cl.b $e |- B = ( Base ` P ) $.
    $( Degree of a nonzero univariate polynomial.  (Contributed by Stefan
       O'Rear, 23-Mar-2015.)  (Revised by Mario Carneiro, 7-Oct-2015.) $)
    deg1nn0cl $p |- ( ( R e. Ring /\ F e. B /\ F =/= .0. ) ->
        ( D ` F ) e. NN0 ) $=
      ( c1o cmpl co deg1fval eqid ply1mpl0 cps1 cfv ply1bas mdegnn0cl ) ABKDLMZ
      DEKFBDGNUAOZCDUAFUBHIPCDDQRZAHUCOJST $.

    ${
      $d B x $.  $d D x $.  $d R x $.  $d .0. x $.
      $( Degree image of a set of polynomials which does not include zero.
         (Contributed by Stefan O'Rear, 28-Mar-2015.) $)
      deg1n0ima $p |- ( R e. Ring -> ( D " ( B \ { .0. } ) ) C_ NN0 ) $=
        ( vx crg wcel cv cfv cn0 csn cdif wss adantl cxr wral cima wa wne simpl
        eldifi eldifsni deg1nn0cl syl3anc ralrimiva wfun cdm wb wf deg1xrf ffun
        ax-mp difss fdmi sseqtrri funimass4 mp2an sylibr ) DKLZJMZBNOLZJAEPZQZU
        AZBVHUBORZVDVFJVHVDVEVHLZUCVDVEALZVEEUDZVFVDVKUEVKVLVDVEAVGUFSVKVMVDVEA
        EUGSABCDVEEFGHIUHUIUJBUKZVHBULZRVJVIUMATBUNVNABCDFGIUOZATBUPUQVHAVOAVGU
        RATBVPUSUTJVHOBVAVBVC $.
    $}

    $( A polynomial is nonzero iff it has definite degree.  (Contributed by
       Stefan O'Rear, 23-Mar-2015.) $)
    deg1nn0clb $p |- ( ( R e. Ring /\ F e. B ) ->
        ( F =/= .0. <-> ( D ` F ) e. NN0 ) ) $=
      ( crg wcel wa cfv cn0 wn wceq cmnf cr eleq1d deg1nn0cl 3expia mnfnre neli
      wne nn0re mto deg1z adantr mtbiri fveq2 notbid syl5ibrcom necon2ad impbid
      ) DKLZEALZMZEFUEZEBNZOLZUPUQUSVAABCDEFGHIJUAUBURVAEFURVAPEFQZFBNZOLZPURVD
      ROLZVERSLRSUCUDRUFUGURVCROUPVCRQUQBCDFGHIUHUITUJVBVAVDVBUTVCOEFBUKTULUMUN
      UO $.

    $( A polynomial is zero iff it has negative degree.  (Contributed by Stefan
       O'Rear, 1-Apr-2015.) $)
    deg1lt0 $p |- ( ( R e. Ring /\ F e. B ) ->
      ( ( D ` F ) < 0 <-> F = .0. ) ) $=
      ( crg wcel wa cfv cc0 clt wbr wceq wne wn w3a cn0 nn0nlt0 3expia necon4ad
      deg1nn0cl syl deg1z mnflt0 eqbrtrdi adantr fveq2 breq1d syl5ibrcom impbid
      cmnf ) DKLZEALZMZEBNZOPQZEFRZUSVAEFUQUREFSZVATZUQURVCUAUTUBLVDABCDEFGHIJU
      FUTUCUGUDUEUSVAVBFBNZOPQZUQVFURUQVEUPOPBCDFGHIUHUIUJUKVBUTVEOPEFBULUMUNUO
      $.

    ${
      $d A b d $.  $d B b $.  $d D b d $.  $d F b d $.  $d R b $.
      $d Y a b d $.  $d .0. b $.  $d a c $.
      deg1ldg.y $e |- Y = ( 0g ` R ) $.
      deg1ldg.a $e |- A = ( coe1 ` F ) $.
      $( A nonzero univariate polynomial always has a nonzero leading
         coefficient.  (Contributed by Stefan O'Rear, 23-Mar-2015.) $)
      deg1ldg $p |- ( ( R e. Ring /\ F e. B /\ F =/= .0. ) ->
          ( A ` ( D ` F ) ) =/= Y ) $=
        ( vb va wne cfv cn0 c0 vc vd crg wcel w3a cv c1o cmap co cmpt wceq wrex
        wa cmpl deg1fval eqid cps1 ply1bas psr1baslem tdeglem2 ply1mpl0 mdegldg
        fvcoe1 3ad2antl2 fveq1 fvex fveq2d adantl eqtr4d neeq1d anbi1d biancomd
        fvmpt rexbidva wf1o wfo df1o2 nn0ex mapsnf1o2 f1ofo eqeq1 fveq2 anbi12d
        wb 0ex cbvexfo mp2b bitrdi deg1nn0cl ceqsrexv syl bitrd mpbid ) EUCUDZF
        BUDZFHQZUEZOUFZFRZGQZWRPSUGUHUIZTPUFZRZUJZRZFCRZUKZUMZOXAULZXFARZGQZOXA
        BCUGEUNUIZEPUAFXDUGHGCEIUOXLUPZDEEUQRZBJXNUPLURMUAUSPUTDEXLHXMJKVAVBWQX
        IUBUFZXFUKZXOARZGQZUMZUBSULZXKWQXIXGXEARZGQZUMZOXAULZXTWQXHYCOXAWQWRXAU
        DZUMZXHXGYBYFWTYBXGYFWSYAGYFWSTWRRZARZYAWOWNYEWSYHUKWPAFBWRNVCVDYEYAYHU
        KWQYEXEYGAPWRXCYGXAXDTXBWRVEXDUPZTWRVFVMVGVHVIVJVKVLVNXASXDVOXASXDVPYDX
        TWDPSUGXDTVQVRWEYIVSXASXDVTYCXSOUBXASXDXEXOUKZXGXPYBXRXEXOXFWAYJYAXQGXE
        XOAWBVJWCWFWGWHWQXFSUDXTXKWDBCDEFHIJKLWIXRXKUBXFSXPXQXJGXOXFAWBVJWJWKWL
        WM $.

      deg1ldgn.r $e |- ( ph -> R e. Ring ) $.
      deg1ldgn.f $e |- ( ph -> F e. B ) $.
      deg1ldgn.x $e |- ( ph -> X e. NN0 ) $.
      deg1ldgn.e $e |- ( ph -> ( A ` X ) = Y ) $.
      $( An index at which a polynomial is zero, cannot be its degree.
         (Contributed by Stefan O'Rear, 23-Mar-2015.) $)
      deg1ldgn $p |- ( ph -> ( D ` F ) =/= X ) $=
        ( cfv wceq wne wa fveq2 adantl crg wcel adantr cn0 wi eleq1a syl imp wb
        deg1nn0clb syl2anc mpbird deg1ldg syl3anc eqnetrrd ex necon2d mpd ) AHB
        UAZIUBGDUAZHUCTAVFHVEIAVFHUBZVEIUCAVGUDZVFBUAZVEIVGVIVEUBAVFHBUEUFVHFUG
        UHZGCUHZGJUCZVIIUCAVJVGQUIAVKVGRUIVHVLVFUJUHZAVGVMAHUJUHVGVMUKSHUJVFULU
        MUNAVLVMUOZVGAVJVKVNQRCDEFGJKLMNUPUQUIURBCDEFGIJKLMNOPUSUTVAVBVCVD $.
    $}

    ${
      deg1ldgdomn.e $e |- E = ( RLReg ` R ) $.
      deg1ldgdomn.a $e |- A = ( coe1 ` F ) $.
      $( A nonzero univariate polynomial over a domain always has a
         nonzero-divisor leading coefficient.  (Contributed by Stefan O'Rear,
         28-Mar-2015.) $)
      deg1ldgdomn $p |- ( ( R e. Domn /\ F e. B /\ F =/= .0. ) ->
          ( A ` ( D ` F ) ) e. E ) $=
        ( wcel wne cfv cn0 eqid syl3an1 cdomn w3a cbs c0g simp1 wf 3ad2ant2 crg
        coe1f domnring deg1nn0cl ffvelrnd deg1ldg domnrrg syl3anc ) EUAOZGBOZGH
        PZUBZUPGCQZAQZEUCQZOVAEUDQZPZVAFOUPUQURUEUSRVBUTAUQUPRVBAUFURABDEGVBNLJ
        VBSZUIUGUPEUHOZUQURUTROEUJZBCDEGHIJKLUKTULUPVFUQURVDVGABCDEGVCHIJKLVCSZ
        NUMTVBEFVAVCVEMVHUNUO $.
    $}
  $}

  ${
    $d A x y $.  $d B y $.  $d F y $.  $d G x y $.  $d R y $.  $d .0. b x y $.
    $d a b $.
    deg1leb.d $e |- D = ( deg1 ` R ) $.
    deg1leb.p $e |- P = ( Poly1 ` R ) $.
    deg1leb.b $e |- B = ( Base ` P ) $.
    deg1leb.y $e |- .0. = ( 0g ` R ) $.
    deg1leb.a $e |- A = ( coe1 ` F ) $.
    $( Property of being of limited degree.  (Contributed by Stefan O'Rear,
       23-Mar-2015.) $)
    deg1leb $p |- ( ( F e. B /\ G e. RR* ) -> ( ( D ` F ) <_ G <->
          A. x e. NN0 ( G < x -> ( A ` x ) = .0. ) ) ) $=
      ( vy vb cfv cn0 c0 wceq va wcel cxr wa cle wbr cv c1o cmap co cmpt clt wi
      wral cmpl deg1fval eqid cps1 ply1bas psr1baslem tdeglem2 mdegleb wf1o wfo
      wb df1o2 nn0ex 0ex mapsnf1o2 f1ofo breq2 fveqeq2 imbi12d cbvfo mp2b fveq1
      fveq2d adantl fvcoe1 adantlr eqtr4d eqeq1d imbi2d ralbidva bitr3id bitr4d
      fvex fvmpt ) GCUBZHUCUBZUDZGDQHUEUFHOUGZPRUHUIUJZSPUGZQZUKZQZULUFZWLGQZIT
      ZUMZOWMUNZHAUGZULUFZXCBQITZUMZARUNZOWMCDUHFUOUJZFPUAGHWPUHIDFJUPXHUQEFFUR
      QZCKXIUQLUSMUAUTPVAVBXGWRWQBQZITZUMZOWMUNZWKXBWMRWPVCWMRWPVDXMXGVEPRUHWPS
      VFVGVHWPUQZVIWMRWPVJXLXFOAWMRWPWQXCTWRXDXKXEWQXCHULVKWQXCIBVLVMVNVOWKXLXA
      OWMWKWLWMUBZUDZXKWTWRXPXJWSIXPXJSWLQZBQZWSXOXJXRTWKXOWQXQBPWLWOXQWMWPSWNW
      LVPXNSWLWGWHVQVRWIXOWSXRTWJBGCWLNVSVTWAWBWCWDWEWF $.

    $( Value of the univariate degree as a supremum.  (Contributed by Stefan
       O'Rear, 29-Mar-2015.)  (Revised by AV, 25-Jul-2019.) $)
    deg1val $p |- ( F e. B -> ( D ` F ) =
          sup ( ( A supp .0. ) , RR* , < ) ) $=
      ( vx vy wcel c1o co cima ccnv cvv cfv cn0 cmap c0 cmpt csupp cxr clt csup
      cmpl deg1fval eqid cps1 ply1bas psr1baslem tdeglem2 mdegval csn cdif ccom
      cv wceq fvexi suppimacnv mpan2 imaeq2d imaco eqtr4di df1o2 nn0ex mapsncnv
      c0g 0ex coe1fval2 cnveqd cnvco cocnvcnv1 eqtri eqtr2di imaeq1d eqtrd cco1
      wa eqcomd mp2an eqtrdi supeq1d ) FBOZFCUAMUBPUCQZUDMVAUAUEZFGUFQZRZUGUHUI
      AGUFQZUGUHUIWIBCPEUJQZEMNFWJPGCEHUKWNULDEEUMUAZBIWOULJUNKNUOMUPUQWHUGWLWM
      UHWHWLASZTGURUSZRZWMWHWLWJFSZUTZWQRZWRWHWLWJWSWQRZRXAWHWKXBWJWHGTOZWKXBVB
      GEVLKVCZFBTGVDVEVFWJWSWQVGVHWHWTWPWQWHWPFWJSZUTZSZWTWHAXFNABDEFXELJIMNUBP
      WJUDVIVJVMWJULVKVNVOXGXESWSUTWTFXEVPWJWSVQVRVSVTWAATOZXCWRWMVBAFWBLVCXDXH
      XCWCWMWRATTGVDWDWEWFWGWA $.

    $d D x $.  $d F x $.
    $( If the degree of a univariate polynomial is less than some index, then
       that coefficient must be zero.  (Contributed by Stefan O'Rear,
       23-Mar-2015.) $)
    deg1lt $p |- ( ( F e. B /\ G e. NN0 /\ ( D ` F ) < G ) ->
        ( A ` G ) = .0. ) $=
      ( vx wcel cn0 cfv clt wbr wceq w3a simp3 cv wi breq2 fveqeq2 imbi12d wral
      cle cxr deg1xrcl 3ad2ant1 xrleidd wb simp1 deg1leb syl2anc2 mpbid rspcdva
      simp2 mpd ) FBOZGPOZFCQZGRSZUAZVEGAQHTZVBVCVEUBVFVDNUCZRSZVHAQHTZUDZVEVGU
      DNPGVHGTVIVEVJVGVHGVDRUEVHGHAUFUGVFVDVDUISZVKNPUHZVFVDVBVCVDUJOZVEBCDEFIJ
      KUKZULUMVFVBVNVLVMUNVBVCVEUOVONABCDEFVDHIJKLMUPUQURVBVCVEUTUSVA $.

    $( Conversely, a nonzero coefficient sets a lower bound on the degree.
       (Contributed by Stefan O'Rear, 23-Mar-2015.) $)
    deg1ge $p |- ( ( F e. B /\ G e. NN0 /\ ( A ` G ) =/= .0. ) ->
        G <_ ( D ` F ) ) $=
      ( wcel cn0 cfv wne cle wbr cxr wa wn wceq wb deg1xrcl nn0re rexrd xrltnle
      clt syl2an deg1lt 3expia sylbird necon1ad 3impia ) FBNZGONZGAPZHQGFCPZRSZ
      UPUQUAZUTURHVAUTUBZUSGUISZURHUCZUPUSTNGTNVCVBUDUQBCDEFIJKUEUQGGUFUGUSGUHU
      JUPUQVCVDABCDEFGHIJKLMUKULUMUNUO $.
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y I $.  $d x y J $.  $d y ph $.  $d x y R $.
    $d x .xb $.  $d x y .x. $.
    coe1mul3.s $e |- Y = ( Poly1 ` R ) $.
    coe1mul3.t $e |- .xb = ( .r ` Y ) $.
    coe1mul3.u $e |- .x. = ( .r ` R ) $.
    coe1mul3.b $e |- B = ( Base ` Y ) $.
    coe1mul3.d $e |- D = ( deg1 ` R ) $.
    ${
      coe1mul3.r $e |- ( ph -> R e. Ring ) $.
      coe1mul3.f1 $e |- ( ph -> F e. B ) $.
      coe1mul3.f2 $e |- ( ph -> I e. NN0 ) $.
      coe1mul3.f3 $e |- ( ph -> ( D ` F ) <_ I ) $.
      coe1mul3.g1 $e |- ( ph -> G e. B ) $.
      coe1mul3.g2 $e |- ( ph -> J e. NN0 ) $.
      coe1mul3.g3 $e |- ( ph -> ( D ` G ) <_ J ) $.
      $( The coefficient vector of multiplication in the univariate polynomial
         ring, at indices high enough that at most one component can be active
         in the sum.  (Contributed by Stefan O'Rear, 25-Mar-2015.) $)
      coe1mul3 $p |- ( ph -> ( ( coe1 ` ( F .xb G ) ) ` ( I + J ) ) =
            ( ( ( coe1 ` F ) ` I ) .x. ( ( coe1 ` G ) ` J ) ) ) $=
        ( vx vy caddc cco1 cfv cn0 cc0 cfz cmin cmpt cgsu crg wcel wceq coe1mul
        co cv syl3anc fveq1d nn0addcld oveq2 fvoveq1 oveq2d mpteq12dv eqid ovex
        fvmpt syl cbs cvv c0g ringmnd ovexd cle wbr cr nn0red nn0addge1 syl2anc
        cmnd wa wb fznn0 mpbir2and adantr coe1f elfznn0 ffvelrn syl2an fznn0sub
        ringcl fmpttd csn cdif wne eldifsn clt adantl lttri2d ad2antrr deg1xrcl
        wf cxr rexrd resubcld ltadd1d ltaddsub2d biimpa xrlelttrd deg1lt ringrz
        wo bitrd eqtrd simpr oveq1d ringlz jaodan ex sylbid impr sylan2b gsumpt
        suppss2 fveq2 fveq2d oveq12d nn0cnd pncan2d 3eqtrd ) AIJUFUSZGHEUSUGUHZ
        UHYNUDUIDUEUJUDUTZUKUSZUEUTZGUGUHZUHZYPYRULUSHUGUHZUHZFUSZUMZUNUSZUMZUH
        ZDUEUJYNUKUSZYTYNYRULUSZUUAUHZFUSZUMZUNUSZIYSUHZJUUAUHZFUSZAYNYOUUFADUO
        UPZGBUPZHBUPZYOUUFUQQRUAUEBDEFUDGHKLMNOURVAVBAYNUIUPZUUGUUMUQAIJSUBVCZU
        DYNUUEUUMUIUUFYPYNUQZUUDUULDUNUVBUEYQUUCUUHUUKYPYNUJUKVDUVBUUBUUJYTFYPY
        NYRUUAULVEVFVGVFUUFVHDUULUNVIVJVKAUUMIUULUHZUUNYNIULUSZUUAUHZFUSZUUPAUU
        HDVLUHZUULDVMIDVNUHZUVGVHZUVHVHZAUUQDWCUPQDVOVKAUJYNUKVPZAIUUHUPZIUIUPZ
        IYNVQVRZSAIVSUPZJUIUPUVNAISVTZUBIJWAWBAUUTUVLUVMUVNWDWEUVAIYNWFVKWGZAUE
        UUHUUKUVGAYRUUHUPZWDZUUQYTUVGUPZUUJUVGUPZUUKUVGUPAUUQUVRQWHZAUIUVGYSXEZ
        YRUIUPZUVTUVRAUURUWCRYSBKDGUVGYSVHZOLUVIWIVKYRYNWJZUIUVGYRYSWKWLZAUIUVG
        UUAXEZUUIUIUPZUWAUVRAUUSUWHUAUUABKDHUVGUUAVHZOLUVIWIVKYRUJYNWMZUIUVGUUI
        UUAWKWLZUVGDFYTUUJUVINWNVAWOAUUHUUKUEVMIWPZUVHYRUUHUWMWQUPAUVRYRIWRZWDU
        UKUVHUQZYRUUHIWSAUVRUWNUWOUVSUWNYRIWTVRZIYRWTVRZXOZUWOUVSYRIUVSYRUVRUWD
        AUWFXAZVTZAUVOUVRUVPWHZXBUVSUWRUWOUVSUWPUWOUWQUVSUWPWDZUUKYTUVHFUSZUVHU
        XBUUJUVHYTFUXBUUSUWIHCUHZUUIWTVRUUJUVHUQAUUSUVRUWPUAXCUVSUWIUWPUVRUWIAU
        WKXAWHUXBUXDJUUIAUXDXFUPZUVRUWPAUUSUXEUABCKDHPLOXDVKXCAJXFUPUVRUWPAJAJU
        BVTZXGXCUVSUUIXFUPUWPUVSUUIUVSYNYRAYNVSUPUVRAYNUVAVTWHZUWTXHXGWHAUXDJVQ
        VRUVRUWPUCXCUVSUWPJUUIWTVRZUVSUWPYRJUFUSYNWTVRUXHUVSYRIJUWTUXAAJVSUPUVR
        UXFWHZXIUVSYRJYNUWTUXIUXGXJXPXKXLUUABCKDHUUIUVHPLOUVJUWJXMVAVFUVSUXCUVH
        UQZUWPUVSUUQUVTUXJUWBUWGUVGDFYTUVHUVINUVJXNWBWHXQUVSUWQWDZUUKUVHUUJFUSZ
        UVHUXKYTUVHUUJFUXKUURUWDGCUHZYRWTVRYTUVHUQAUURUVRUWQRXCUVSUWDUWQUWSWHUX
        KUXMIYRAUXMXFUPZUVRUWQAUURUXNRBCKDGPLOXDVKXCAIXFUPUVRUWQAIUVPXGXCUVSYRX
        FUPUWQUVSYRUWTXGWHAUXMIVQVRUVRUWQTXCUVSUWQXRXLYSBCKDGYRUVHPLOUVJUWEXMVA
        XSUVSUXLUVHUQZUWQUVSUUQUWAUXOUWBUWLUVGDFUUJUVHUVINUVJXTWBWHXQYAYBYCYDYE
        UVKYGYFAUVLUVCUVFUQUVQUEIUUKUVFUUHUULYRIUQZYTUUNUUJUVEFYRIYSYHUXPUUIUVD
        UUAYRIYNULVDYIYJUULVHUUNUVEFVIVJVKAUVEUUOUUNFAUVDJUUAAIJAISYKAJUBYKYLYI
        VFYMYM $.
    $}

    coe1mul4.z $e |- .0. = ( 0g ` Y ) $.
    coe1mul4.r $e |- ( ph -> R e. Ring ) $.
    coe1mul4.f1 $e |- ( ph -> F e. B ) $.
    coe1mul4.f2 $e |- ( ph -> F =/= .0. ) $.
    coe1mul4.g1 $e |- ( ph -> G e. B ) $.
    coe1mul4.g2 $e |- ( ph -> G =/= .0. ) $.
    $( Value of the "leading" coefficient of a product of two nonzero
       polynomials.  This will fail to actually be the leading coefficient only
       if it is zero (requiring the basic ring to contain zero divisors).
       (Contributed by Stefan O'Rear, 25-Mar-2015.) $)
    coe1mul4 $p |- ( ph -> ( ( coe1 ` ( F .xb G ) ) `
            ( ( D ` F ) + ( D ` G ) ) ) = ( ( ( coe1 ` F ) ` ( D ` F ) ) .x.
            ( ( coe1 ` G ) ` ( D ` G ) ) ) ) $=
      ( cfv crg wcel wne cn0 deg1nn0cl syl3anc nn0red leidd coe1mul3 ) ABCDEFGH
      GCUBZHCUBZIKLMNOQRADUCUDZGBUDGJUEULUFUDQRSBCIDGJOKPNUGUHZAULAULUOUIUJTAUN
      HBUDHJUEUMUFUDQTUABCIDHJOKPNUGUHZAUMAUMUPUIUJUK $.
  $}

  ${
    deg1addle.y $e |- Y = ( Poly1 ` R ) $.
    deg1addle.d $e |- D = ( deg1 ` R ) $.
    deg1addle.r $e |- ( ph -> R e. Ring ) $.

    ${
      deg1addle.b $e |- B = ( Base ` Y ) $.
      deg1addle.p $e |- .+ = ( +g ` Y ) $.
      deg1addle.f $e |- ( ph -> F e. B ) $.
      deg1addle.g $e |- ( ph -> G e. B ) $.
      $( The degree of a sum is at most the maximum of the degrees of the
         factors.  (Contributed by Stefan O'Rear, 26-Mar-2015.) $)
      deg1addle $p |- ( ph -> ( D ` ( F .+ G ) ) <_
            if ( ( D ` F ) <_ ( D ` G ) , ( D ` G ) , ( D ` F ) ) ) $=
        ( c1o con0 eqid wcel ply1bascl2 cmpl cbs cfv deg1fval 1on a1i ply1plusg
        co syl mdegaddle ) APEUAUHZUBUCZCDEFGPQUKUKRZCEJUDPQSAUEUFKULRDEUKHIUMM
        UGAFBSFULSNBHEFILTUIAGBSGULSOBHEGILTUIUJ $.

      ${
        deg1addle2.l1 $e |- ( ph -> L e. RR* ) $.
        deg1addle2.l2 $e |- ( ph -> ( D ` F ) <_ L ) $.
        deg1addle2.l3 $e |- ( ph -> ( D ` G ) <_ L ) $.
        $( If both factors have degree bounded by ` L ` , then the sum of the
           polynomials also has degree bounded by ` L ` .  (Contributed by
           Stefan O'Rear, 1-Apr-2015.) $)
        deg1addle2 $p |- ( ph -> ( D ` ( F .+ G ) ) <_ L ) $=
          ( wcel co cfv cle wbr cif cxr crg ply1ring syl ringacl deg1xrcl ifcld
          syl3anc deg1addle wa wb xrmaxle mpbir2and xrletrd ) AFGDUAZCUBZFCUBZG
          CUBZUCUDZVCVBUEZHAUTBTZVAUFTAIUGTZFBTZGBTZVFAEUGTVGLIEJUHUIOPBDIFGMNU
          JUMBCIEUTKJMUKUIAVDVCVBUFAVIVCUFTZPBCIEGKJMUKUIZAVHVBUFTZOBCIEFKJMUKU
          IZULQABCDEFGIJKLMNOPUNAVEHUCUDZVBHUCUDZVCHUCUDZRSAVLVJHUFTVNVOVPUOUPV
          MVKQVBVCHUQUMURUS $.
      $}

      deg1add.l $e |- ( ph -> ( D ` G ) < ( D ` F ) ) $.
      $( Exact degree of a sum of two polynomials of unequal degree.
         (Contributed by Stefan O'Rear, 28-Mar-2015.) $)
      deg1add $p |- ( ph -> ( D ` ( F .+ G ) ) = ( D ` F ) ) $=
        ( cfv wcel syl eqid cxr crg ply1ring ringacl syl3anc deg1xrcl deg1addle
        co cle wbr cif clt wn wb xrltnle syl2anc mpbid iffalsed breqtrd cn0 c0g
        cco1 wne cmnf nltmnf wa adantr fveq2 deg1z sylan9eqr necon3bd deg1nn0cl
        wceq ex mpd cplusg coe1addfv syl31anc deg1lt oveq2d cgrp cbs ringgrp wf
        coe1f ffvelrnd grprid 3eqtrd deg1ldg eqnetrd deg1ge xrletrid ) AFGDUHZC
        QZFCQZAWMBRZWNUARAHUBRZFBRZGBRZWPAEUBRZWQKHEIUCSNOBDHFGLMUDUEZBCHEWMJIL
        UFSAWRWOUARZNBCHEFJILUFSZAWNWOGCQZUIUJZXDWOUKWOUIABCDEFGHIJKLMNOUGAXEXD
        WOAXDWOULUJZXEUMZPAXDUARZXBXFXGUNAWSXHOBCHEGJILUFSZXCXDWOUOUPUQURUSAWPW
        OUTRZWOWMVBQZQZEVAQZVCWOWNUIUJXAAWTWRFHVAQZVCZXJKNAXDVDULUJZUMZXOAXHXQX
        IXDVESAXPFXNAFXNVMZXPAXRVFXDWOVDULAXFXRPVGXRAWOXNCQZVDFXNCVHAWTXSVDVMKC
        HEXNJIXNTZVISVJUSVNVKVOZBCHEFXNJIXTLVLUEZAXLWOFVBQZQZXMAXLYDWOGVBQZQZEV
        PQZUHZYDXMYGUHZYDAWTWRWSXJXLYHVMKNOYBBYGDEFGWOHILMYGTZVQVRAYFXMYDYGAWSX
        JXFYFXMVMOYBPYEBCHEGWOXMJILXMTZYETVSUEVTAEWARZYDEWBQZRYIYDVMAWTYLKEWCSA
        UTYMWOYCAWRUTYMYCWDNYCBHEFYMYCTZLIYMTZWESYBWFYMYGEYDXMYOYJYKWGUPWHAWTWR
        XOYDXMVCKNYAYCBCHEFXMXNJIXTLYKYNWIUEWJXKBCHEWMWOXMJILYKXKTWKUEWL $.
    $}

    ${
      deg1vscale.b $e |- B = ( Base ` Y ) $.
      deg1vscale.k $e |- K = ( Base ` R ) $.
      deg1vscale.p $e |- .x. = ( .s ` Y ) $.
      deg1vscale.f $e |- ( ph -> F e. K ) $.
      deg1vscale.g $e |- ( ph -> G e. B ) $.
      $( The degree of a scalar times a polynomial is at most the degree of the
         original polynomial.  (Contributed by Stefan O'Rear, 26-Mar-2015.) $)
      deg1vscale $p |- ( ph -> ( D ` ( F .x. G ) ) <_ ( D ` G ) ) $=
        ( c1o con0 eqid cmpl co deg1fval wcel 1on a1i cps1 cfv ply1bas ply1vsca
        mdegvscale ) ABCDEFGRHSRDUAUBZULTZCDKUCRSUDAUEUFLIDDUGUHZBJUNTMUINDULEI
        JUMOUJPQUK $.
    $}

    ${
      deg1vsca.b $e |- B = ( Base ` Y ) $.
      deg1vsca.e $e |- E = ( RLReg ` R ) $.
      deg1vsca.p $e |- .x. = ( .s ` Y ) $.
      deg1vsca.f $e |- ( ph -> F e. E ) $.
      deg1vsca.g $e |- ( ph -> G e. B ) $.
      $( The degree of a scalar times a polynomial is exactly the degree of the
         original polynomial when the scalar is not a zero divisor.
         (Contributed by Stefan O'Rear, 28-Mar-2015.) $)
      deg1vsca $p |- ( ph -> ( D ` ( F .x. G ) ) = ( D ` G ) ) $=
        ( c1o con0 eqid cmpl co deg1fval wcel 1on a1i cps1 cfv ply1bas ply1vsca
        mdegvsca ) ABCDEFGHRSRDUAUBZULTZCDKUCRSUDAUEUFLIDDUGUHZBJUNTMUINDULEIJU
        MOUJPQUK $.
    $}

    ${
      deg1invg.b $e |- B = ( Base ` Y ) $.
      deg1invg.n $e |- N = ( invg ` Y ) $.
      deg1invg.f $e |- ( ph -> F e. B ) $.
      $( The degree of the negated polynomial is the same as the original.
         (Contributed by Stefan O'Rear, 28-Mar-2015.) $)
      deg1invg $p |- ( ph -> ( D ` ( N ` F ) ) = ( D ` F ) ) $=
        ( cfv cur wcel wceq syl eqid fveq2d cid cminusg cvsca co clmod ply1lmod
        crg ply1sca2 grpinvfvi lmodvneg1 syl2anc crlreg fvi cui 1unit unitnegcl
        wss unitrrg syl2anc2 sseldd eqeltrd deg1vsca eqtr3d ) ADUANZONZDUBNZNZE
        GUCNZUDZCNEFNZCNECNAVIVJCAGUEPZEBPVIVJQADUGPZVKJGDHUFRMVHVEVDVFFBGEKLGD
        HUHVHSZVESDVFVFSZUIUJUKTABCDVHDULNZVGEGHIJKVOSZVMAVGDONZVFNZVOAVEVQVFAV
        DDOAVLVDDQJDUGUMRTTADUNNZVOVRAVLVSVOUQJDVSVOVPVSSZURRAVLVQVSPVRVSPJDVSV
        QVTVQSUODVSVFVQVTVNUPUSUTVAMVBVC $.
    $}

    ${
      deg1suble.b $e |- B = ( Base ` Y ) $.
      deg1suble.m $e |- .- = ( -g ` Y ) $.
      deg1suble.f $e |- ( ph -> F e. B ) $.
      deg1suble.g $e |- ( ph -> G e. B ) $.
      $( The degree of a difference of polynomials is bounded by the maximum of
         degrees.  (Contributed by Stefan O'Rear, 26-Mar-2015.) $)
      deg1suble $p |- ( ph -> ( D ` ( F .- G ) ) <_
            if ( ( D ` F ) <_ ( D ` G ) , ( D ` G ) , ( D ` F ) ) ) $=
        ( cfv co cle wbr wcel cminusg cplusg cif eqid cgrp crg ply1ring ringgrp
        3syl grpinvcl syl2anc deg1addle grpsubval fveq2d deg1invg eqcomd breq2d
        wceq ifbieq1d 3brtr4d ) AEFHUAPZPZHUBPZQZCPECPZVBCPZRSZVFVEUCEFGQZCPVEF
        CPZRSZVIVEUCRABCVCDEVBHIJKLVCUDZNAHUETZFBTZVBBTADUFTHUFTVLKHDIUGHUHUIOB
        HVAFLVAUDZUJUKULAVHVDCAEBTVMVHVDURNOBVCHVAGEFLVKVNMUMUKUNAVJVGVIVFVEAVI
        VFVERAVFVIABCDFVAHIJKLVNOUOUPZUQVOUSUT $.

      deg1sub.l $e |- ( ph -> ( D ` G ) < ( D ` F ) ) $.
      $( Exact degree of a difference of two polynomials of unequal degree.
         (Contributed by Stefan O'Rear, 28-Mar-2015.) $)
      deg1sub $p |- ( ph -> ( D ` ( F .- G ) ) = ( D ` F ) ) $=
        ( co cfv wcel eqid cminusg cplusg grpsubval syl2anc fveq2d crg ply1ring
        wceq cgrp ringgrp 3syl grpinvcl clt deg1invg eqbrtrd deg1add eqtrd ) AE
        FGQZCREFHUARZRZHUBRZQZCRECRZAURVBCAEBSFBSZURVBUHNOBVAHUSGEFLVATZUSTZMUC
        UDUEABCVADEUTHIJKLVENAHUISZVDUTBSADUFSHUFSVGKHDIUGHUJUKOBHUSFLVFULUDAUT
        CRFCRVCUMABCDFUSHIJKLVFOUNPUOUPUQ $.
    $}

    ${
      deg1mulle2.b $e |- B = ( Base ` Y ) $.
      deg1mulle2.t $e |- .x. = ( .r ` Y ) $.
      deg1mulle2.f $e |- ( ph -> F e. B ) $.
      deg1mulle2.g $e |- ( ph -> G e. B ) $.
      deg1mulle2.j1 $e |- ( ph -> J e. NN0 ) $.
      deg1mulle2.k1 $e |- ( ph -> K e. NN0 ) $.
      deg1mulle2.j2 $e |- ( ph -> ( D ` F ) <_ J ) $.
      deg1mulle2.k2 $e |- ( ph -> ( D ` G ) <_ K ) $.
      $( Produce a bound on the product of two univariate polynomials given
         bounds on the factors.  (Contributed by Stefan O'Rear,
         26-Mar-2015.) $)
      deg1mulle2 $p |- ( ph -> ( D ` ( F .x. G ) ) <_ ( J + K ) ) $=
        ( c1o con0 cmpl co eqid deg1fval wcel 1on a1i cps1 cfv ply1bas ply1mulr
        mdegmulle2 ) ABCDEFGUBHIUCUBDUDUEZUPUFZCDLUGUBUCUHAUIUJMJDDUKULZBKURUFN
        UMDUPEJKUQOUNPQRSTUAUO $.
    $}
  $}

  ${
    deg1sublt.d $e |- D = ( deg1 ` R ) $.
    deg1sublt.p $e |- P = ( Poly1 ` R ) $.
    deg1sublt.b $e |- B = ( Base ` P ) $.
    deg1sublt.m $e |- .- = ( -g ` P ) $.
    deg1sublt.l $e |- ( ph -> L e. NN0 ) $.
    deg1sublt.r $e |- ( ph -> R e. Ring ) $.
    deg1sublt.fb $e |- ( ph -> F e. B ) $.
    deg1sublt.fd $e |- ( ph -> ( D ` F ) <_ L ) $.
    deg1sublt.gb $e |- ( ph -> G e. B ) $.
    deg1sublt.gd $e |- ( ph -> ( D ` G ) <_ L ) $.
    deg1sublt.a $e |- A = ( coe1 ` F ) $.
    deg1sublt.c $e |- C = ( coe1 ` G ) $.
    deg1sublt.eq $e |- ( ph -> ( ( coe1 ` F ) ` L ) = ( ( coe1 ` G ) ` L ) ) $.
    $( Subtraction of two polynomials limited to the same degree with the same
       leading coefficient gives a polynomial with a smaller degree.
       (Contributed by Stefan O'Rear, 26-Mar-2015.) $)
    deg1sublt $p |- ( ph -> ( D ` ( F .- G ) ) < L ) $=
      ( co cfv wceq wn clt wbr wo cco1 c0g eqid cgrp wcel ply1ring ringgrp 3syl
      crg grpsubcl syl3anc csg cn0 coe1subfv syl31anc oveq1d cbs coe1f ffvelrnd
      syl wf grpsubid syl2anc 3eqtrd deg1ldgn neneqd cle cif cxr deg1xrcl ifcld
      nn0red rexrd deg1suble wa wb xrmaxle mpbir2and xrletrd xrleloe mpbid sylc
      orel2 ) AHIKUEZEUFZJUGZUHWPJUIUJZWQUKZWRAWPJAWOULUFZCEFGWOJGUMUFZFUMUFZLM
      XBUNNXAUNZWTUNQAFUOUPZHCUPZICUPZWOCUPZAGUTUPZFUTUPXDQFGMUQFURUSRTCFKHINOV
      AVBZPAJWTUFZJHULUFUFZJIULUFZUFZGVCUFZUEZXMXMXNUEZXAAXHXEXFJVDUPXJXOUGQRTP
      CGHIKXNJFMNOXNUNZVEVFAXKXMXMXNUDVGAGUOUPZXMGVHUFZUPXPXAUGAXHXRQGURVKAVDXS
      JXLAXFVDXSXLVLTXLCFGIXSXLUNNMXSUNZVIVKPVJXSGXNXMXAXTXCXQVMVNVOVPVQAWPJVRU
      JZWSAWPHEUFZIEUFZVRUJZYCYBVSZJAXGWPVTUPZXICEFGWOLMNWAVKZAYDYCYBVTAXFYCVTU
      PZTCEFGILMNWAVKZAXEYBVTUPZRCEFGHLMNWAVKZWBAJAJPWCWDZACEGHIKFMLQNORTWEAYEJ
      VRUJZYBJVRUJZYCJVRUJZSUAAYJYHJVTUPZYMYNYOWFWGYKYIYLYBYCJWHVBWIWJAYFYPYAWS
      WGYGYLWPJWKVNWLWQWRWNWM $.
  $}

  ${
    deg1le0.d $e |- D = ( deg1 ` R ) $.
    deg1le0.p $e |- P = ( Poly1 ` R ) $.
    deg1le0.b $e |- B = ( Base ` P ) $.
    deg1le0.a $e |- A = ( algSc ` P ) $.
    $( A polynomial has nonpositive degree iff it is a constant.  (Contributed
       by Stefan O'Rear, 29-Mar-2015.) $)
    deg1le0 $p |- ( ( R e. Ring /\ F e. B ) -> ( ( D ` F ) <_ 0 <->
          F = ( A ` ( ( coe1 ` F ) ` 0 ) ) ) ) $=
      ( crg wcel wa cfv cc0 cle c1o wceq con0 eqid wbr csn cxp cco1 co deg1fval
      cmpl 1on a1i simpl cps1 ply1bas ply1ascl simpr mdegle0 cn0 coe1fv sylancl
      0nn0 fveq2d eqeq2d bitr4d ) EKLZFBLZMZFCNOPUAFQOUBUCFNZANZRFOFUDNZNZANZRV
      EABCEFQSQEUGUEZVKTCEGUFQSLVEUHUIVCVDUJDEEUKNZBHVLTIULADEHJUMVCVDUNZUOVEVJ
      VGFVEVIVFAVEVDOUPLVIVFRVMUSVHFOBVHTUQURUTVAVB $.
  $}

  ${
    deg1sclle.d $e |- D = ( deg1 ` R ) $.
    deg1sclle.p $e |- P = ( Poly1 ` R ) $.
    deg1sclle.k $e |- K = ( Base ` R ) $.
    deg1sclle.a $e |- A = ( algSc ` P ) $.
    $( A scalar polynomial has nonpositive degree.  (Contributed by Stefan
       O'Rear, 29-Mar-2015.) $)
    deg1sclle $p |- ( ( R e. Ring /\ F e. K ) -> ( D ` ( A ` F ) ) <_ 0 ) $=
      ( crg wcel wa cfv cc0 cle wbr cco1 wceq ply1sclid fveq2d cbs wb ply1sclcl
      eqid deg1le0 syldan mpbird ) DKLZEFLZMZEANZBNOPQZULOULRNNZANSZUKEUNAACDFE
      HJITUAUIUJULCUBNZLUMUOUCAUPCDEFHJIUPUEZUDAUPBCDULGHUQJUFUGUH $.

    deg1scl.z $e |- .0. = ( 0g ` R ) $.
    $( A nonzero scalar polynomial has zero degree.  (Contributed by Stefan
       O'Rear, 29-Mar-2015.) $)
    deg1scl $p |- ( ( R e. Ring /\ F e. K /\ F =/= .0. ) ->
        ( D ` ( A ` F ) ) = 0 ) $=
      ( crg wcel wne w3a cfv cc0 3adant3 eqid cle wbr wceq deg1sclle cn0 wb cbs
      c0g simp1 ply1sclcl ply1scln0 deg1nn0cl syl3anc nn0le0eq0 syl mpbid ) DMN
      ZEFNZEGOZPZEAQZBQZRUAUBZVBRUCZUQURVCUSABCDEFHIJKUDSUTVBUENZVCVDUFUTUQVACU
      GQZNZVACUHQZOVEUQURUSUIUQURVGUSAVFCDEFIKJVFTZUJSACDFEVHGIKLVHTZJUKVFBCDVA
      VHHIVJVIULUMVBUNUOUP $.
  $}

  ${
    deg1mul2.d $e |- D = ( deg1 ` R ) $.
    deg1mul2.p $e |- P = ( Poly1 ` R ) $.
    deg1mul2.e $e |- E = ( RLReg ` R ) $.
    deg1mul2.b $e |- B = ( Base ` P ) $.
    deg1mul2.t $e |- .x. = ( .r ` P ) $.
    deg1mul2.z $e |- .0. = ( 0g ` P ) $.
    deg1mul2.r $e |- ( ph -> R e. Ring ) $.
    deg1mul2.fb $e |- ( ph -> F e. B ) $.
    deg1mul2.fz $e |- ( ph -> F =/= .0. ) $.
    deg1mul2.fc $e |- ( ph -> ( ( coe1 ` F ) ` ( D ` F ) ) e. E ) $.
    deg1mul2.gb $e |- ( ph -> G e. B ) $.
    deg1mul2.gz $e |- ( ph -> G =/= .0. ) $.
    $( Degree of multiplication of two nonzero polynomials when the first leads
       with a nonzero-divisor coefficient.  (Contributed by Stefan O'Rear,
       26-Mar-2015.) $)
    deg1mul2 $p |- ( ph -> ( D ` ( F .x. G ) ) = ( ( D ` F ) + ( D ` G ) ) ) $=
      ( co cfv caddc cxr crg ply1ring syl ringcl syl3anc deg1xrcl wne deg1nn0cl
      wcel cn0 nn0addcld rexrd leidd deg1mulle2 cco1 c0g cle wbr cmulr coe1mul4
      nn0red eqid deg1ldg cbs wceq wi wf coe1f ffvelrnd rrgeq0i syl2anc necon3d
      mpd eqnetrd deg1ge xrletrid ) AHIFUCZCUDZHCUDZICUDZUEUCZAWCBUOZWDUFUOADUG
      UOZHBUOZIBUOZWHAEUGUOZWIQDELUHUIRUABDFHINOUJUKZBCDEWCKLNULUIAWGAWGAWEWFAW
      LWJHJUMWEUPUOQRSBCDEHJKLPNUNUKZAWLWKIJUMZWFUPUOQUAUBBCDEIJKLPNUNUKZUQZVGU
      RABCEFHIWEWFDLKQNORUAWNWPAWEAWEWNVGUSAWFAWFWPVGUSUTAWHWGUPUOWGWCVAUDZUDZE
      VBUDZUMWGWDVCVDWMWQAWSWEHVAUDUDZWFIVAUDZUDZEVEUDZUCZWTABCEFXDHIDJLOXDVHZN
      KPQRSUAUBVFAXCWTUMZXEWTUMAWLWKWOXGQUAUBXBBCDEIWTJKLPNWTVHZXBVHZVIUKAXEWTX
      CWTAXAGUOXCEVJUDZUOXEWTVKXCWTVKVLTAUPXJWFXBAWKUPXJXBVMUAXBBDEIXJXINLXJVHZ
      VNUIWPVOXJEXDGXAXCWTMXKXFXHVPVQVRVSVTWRBCDEWCWGWTKLNXHWRVHWAUKWB $.
  $}

  ${
    deg1mul3.d $e |- D = ( deg1 ` R ) $.
    deg1mul3.p $e |- P = ( Poly1 ` R ) $.
    deg1mul3.e $e |- E = ( RLReg ` R ) $.
    deg1mul3.b $e |- B = ( Base ` P ) $.
    deg1mul3.t $e |- .x. = ( .r ` P ) $.
    deg1mul3.a $e |- A = ( algSc ` P ) $.
    $( Degree of multiplication of a polynomial on the left by a
       nonzero-dividing scalar.  (Contributed by Stefan O'Rear, 29-Mar-2015.)
       (Proof shortened by AV, 25-Jul-2019.) $)
    deg1mul3 $p |- ( ( R e. Ring /\ F e. E /\ G e. B ) ->
        ( D ` ( ( A ` F ) .x. G ) ) = ( D ` G ) ) $=
      ( wcel cfv co csupp eqid crg w3a cco1 c0g cxr clt csup cn0 csn cmulr wceq
      cxp cof cbs rrgss sseli coe1sclmul syl3an2 oveq1d nn0ex simp1 simp2 coe1f
      cvv wf 3ad2ant3 rrgsupp eqtrd supeq1d ply1ring 3ad2ant1 ply1sclf 3ad2ant2
      a1i ffvelrnd simp3 ringcl syl3anc deg1val syl 3eqtr4d ) EUAPZHGPZIBPZUBZH
      AQZIFRZUCQZEUDQZSRZUEUFUGZIUCQZWISRZUEUFUGZWGCQZICQZWEUEWJWMUFWEWJUHHUIUL
      WLEUJQZUMRZWISRWMWEWHWRWISWCWBHEUNQZPZWDWHWRUKGWSHWSEGLWSTZUOUPZABDEFWQWS
      HIKMXAONWQTZUQURUSWEWSEWQGUHVDHWLWILXAXCWITZUHVDPWEUTVNWBWCWDVAWBWCWDVBWD
      WBUHWSWLVEWCWLBDEIWSWLTZMKXAVCVFVGVHVIWEWGBPZWOWKUKWEDUAPZWFBPWDXFWBWCXGW
      DDEKVJVKWEWSBHAWBWCWSBAVEWDABDEWSKOXAMVLVKWCWBWTWDXBVMVOWBWCWDVPBDFWFIMNV
      QVRWHBCDEWGWIJKMXDWHTVSVTWDWBWPWNUKWCWLBCDEIWIJKMXDXEVSVFWA $.
  $}

  ${
    $d a A $.  $d a B $.  $d a F $.  $d a G $.  $d a K $.  $d a .x. $.
    $d a R $.
    deg1mul3le.d $e |- D = ( deg1 ` R ) $.
    deg1mul3le.p $e |- P = ( Poly1 ` R ) $.
    deg1mul3le.k $e |- K = ( Base ` R ) $.
    deg1mul3le.b $e |- B = ( Base ` P ) $.
    deg1mul3le.t $e |- .x. = ( .r ` P ) $.
    deg1mul3le.a $e |- A = ( algSc ` P ) $.
    $( Degree of multiplication of a polynomial on the left by a scalar.
       (Contributed by Stefan O'Rear, 1-Apr-2015.) $)
    deg1mul3le $p |- ( ( R e. Ring /\ F e. K /\ G e. B ) ->
        ( D ` ( ( A ` F ) .x. G ) ) <_ ( D ` G ) ) $=
      ( wcel cfv co cxr cn0 va crg w3a cco1 c0g csupp clt csup cle wss ply1ring
      wbr wf 3ad2ant1 ply1sclf simp2 ffvelrnd simp3 ringcl syl3anc coe1f syl cv
      eqid cdif wa cmulr wceq eldifi simpl1 simpl2 simpr coe1sclmulfv syl121anc
      simpl3 sylan2 cvv 3ad2ant3 ssidd nn0ex fvexd suppssr oveq2d ringrz adantr
      a1i 3adant3 3eqtrd suppss suppssdm fssdm cr nn0ssre ressxr sstrdi supxrss
      sstri syl2anc deg1val 3brtr4d ) EUBPZGIPZHBPZUCZGAQZHFRZUDQZEUEQZUFRZSUGU
      HZHUDQZXHUFRZSUGUHZXFCQZHCQZUIXDXIXLUJXLSUJXJXMUIULXDTIUAXGXLXHXDXFBPZTIX
      GUMXDDUBPZXEBPXCXPXAXBXQXCDEKUKUNXDIBGAXAXBIBAUMXCABDEIKOLMUOUNXAXBXCUPUQ
      XAXBXCURBDFXEHMNUSUTZXGBDEXFIXGVDZMKLVAVBXDUAVCZTXLVEPZVFZXTXGQZGXTXKQZEV
      GQZRZGXHYERZXHYAXDXTTPZYCYFVHZXTTXLVIXDYHVFXAXBXCYHYIXAXBXCYHVJXAXBXCYHVK
      XAXBXCYHVOXDYHVLABDEFYEIGHXTKMLONYEVDZVMVNVPYBYDXHGYEXDTIVQXKVQXLXTXHXCXA
      TIXKUMXBXKBDEHIXKVDZMKLVAVRZXDXLVSTVQPXDVTWFXDEUEWAWBWCXDYGXHVHZYAXAXBYMX
      CIEYEGXHLYJXHVDZWDWGWEWHWIXDXLTSXDTIXLXKXKXHWJYLWKTWLSWMWNWQWOXIXLWPWRXDX
      PXNXJVHXRXGBCDEXFXHJKMYNXSWSVBXCXAXOXMVHXBXKBCDEHXHJKMYNYKWSVRWT $.
  $}

  ${
    $d x .^ $.  $d x C $.  $d x F $.  $d x K $.  $d x R $.  $d x .x. $.
    $d x X $.
    deg1tm.d $e |- D = ( deg1 ` R ) $.
    deg1tm.k $e |- K = ( Base ` R ) $.
    deg1tm.p $e |- P = ( Poly1 ` R ) $.
    deg1tm.x $e |- X = ( var1 ` R ) $.
    deg1tm.m $e |- .x. = ( .s ` P ) $.
    deg1tm.n $e |- N = ( mulGrp ` P ) $.
    deg1tm.e $e |- .^ = ( .g ` N ) $.
    $( Limiting degree of a polynomial term.  (Contributed by Stefan O'Rear,
       27-Mar-2015.) $)
    deg1tmle $p |- ( ( R e. Ring /\ C e. K /\ F e. NN0 ) ->
        ( D ` ( C .x. ( F .^ X ) ) ) <_ F ) $=
      ( vx wcel cfv crg cn0 w3a co cle wbr cv clt cco1 c0g wceq wi wral wa eqid
      simpl1 simpl2 simpl3 simprl nn0red ltned coe1tmfv2 expr ralrimiva cbs cxr
      simprr wb ply1tmcl nn0re rexrd 3ad2ant3 deg1leb syl2anc mpbird ) DUASZAHS
      ZGUBSZUCZAGJFUDEUDZBTGUEUFZGRUGZUHUFZWBVTUITZTDUJTZUKZULZRUBUMZVSWGRUBVSW
      BUBSZWCWFVSWIWCUNZUNZAGCDEFWBHIJWEWEUOZLMNOPQVPVQVRWJUPVPVQVRWJUQVPVQVRWJ
      URZVSWIWCUSWKGWBWKGWMUTVSWIWCVGVAVBVCVDVSVTCVETZSGVFSZWAWHVHWNAGCDEFHIJLM
      NOPQWNUOZVIVRVPWOVQVRGGVJVKVLRWDWNBCDVTGWEKMWPWLWDUOVMVNVO $.

    deg1tm.z $e |- .0. = ( 0g ` R ) $.
    $( Exact degree of a polynomial term.  (Contributed by Stefan O'Rear,
       27-Mar-2015.) $)
    deg1tm $p |- ( ( R e. Ring /\ ( C e. K /\ C =/= .0. ) /\ F e. NN0 ) ->
        ( D ` ( C .x. ( F .^ X ) ) ) = F ) $=
      ( wcel crg wne wa cn0 w3a cfv cbs cxr eqid ply1tmcl 3adant2r deg1xrcl syl
      co simp3 nn0red rexrd cle wbr deg1tmle cco1 wceq coe1tmfv1 simp2r eqnetrd
      deg1ge syl3anc xrletrid ) DUATZAHTZAKUBZUCZGUDTZUEZAGJFUNEUNZBUFZGVNVOCUG
      UFZTZVPUHTVIVJVMVRVKVQAGCDEFHIJMNOPQRVQUIZUJUKZVQBCDVOLNVSULUMVNGVNGVIVLV
      MUOZUPUQVIVJVMVPGURUSVKABCDEFGHIJLMNOPQRUTUKVNVRVMGVOVAUFZUFZKUBGVPURUSVT
      WAVNWCAKVIVJVMWCAVBVKAGCDEFHIJKSMNOPQRVCUKVIVJVKVMVDVEWBVQBCDVOGKLNVSSWBU
      IVFVGVH $.
  $}

  ${
    deg1pw.d $e |- D = ( deg1 ` R ) $.
    deg1pw.p $e |- P = ( Poly1 ` R ) $.
    deg1pw.x $e |- X = ( var1 ` R ) $.
    deg1pw.n $e |- N = ( mulGrp ` P ) $.
    deg1pw.e $e |- .^ = ( .g ` N ) $.
    $( Limiting degree of a variable power.  (Contributed by Stefan O'Rear,
       1-Apr-2015.) $)
    deg1pwle $p |- ( ( R e. Ring /\ F e. NN0 ) -> ( D ` ( F .^ X ) ) <_ F ) $=
      ( crg wcel cfv cur co cle cbs eqid cn0 wa csca cvsca clmod wceq ply1moncl
      ply1lmod lmodvs1 syl2an2r fveq2d wbr simpl ringidcl eqeltrrd adantr simpr
      ply1sca deg1tmle syl3anc eqbrtrrd ) CMNZEUANZUBZBUCOZPOZEGDQZBUDOZQZAOZVG
      AOERVDVIVGAVBBUENVCVGBSOZNVIVGUFBCIUHVKEBCDFGIJKLVKTZUGVHVFVEVKBVGVLVETVH
      TZVFTUIUJUKVDVBVFCSOZNZVCVJERULVBVCUMVBVOVCVBCPOZVFVNVBCVEPBCMIURUKVNCVPV
      NTZVPTUNUOUPVBVCUQVFABCVHDEVNFGHVQIJVMKLUSUTVA $.

    $( Exact degree of a variable power over a nontrivial ring.  (Contributed
       by Stefan O'Rear, 1-Apr-2015.) $)
    deg1pw $p |- ( ( R e. NzRing /\ F e. NN0 ) -> ( D ` ( F .^ X ) ) = F ) $=
      ( wcel cur cfv co wceq adantr syl eqid cnzr cn0 cvsca csca ply1sca fveq2d
      wa oveq1d clmod cbs crg nzrring ply1lmod cmnd ply1ring ringmgp 3syl simpr
      vr1cl mgpbas mulgnn0cl syl3anc lmodvs1 syl2anc eqtrd c0g wne nzrnz deg1tm
      ringidcl syl121anc eqtr3d ) CUAMZEUBMZUGZCNOZEGDPZBUCOZPZAOZVQAOEVOVSVQAV
      OVSBUDOZNOZVQVRPZVQVOVPWBVQVRVOCWANVMCWAQVNBCUAIUERUFUHVOBUIMZVQBUJOZMZWC
      VQQVOCUKMZWDVMWGVNCULRZBCIUMSVOFUNMZVNGWEMZWFVOWGBUKMWIWHBCIUOBFKUPUQVMVN
      URZVOWGWJWHWEBCGJIWETZUSSWEDFEGWEBFKWLUTLVAVBVRWBWAWEBVQWLWATVRTZWBTVCVDV
      EUFVOWGVPCUJOZMZVPCVFOZVGZVNVTEQWHVOWGWOWHWNCVPWNTZVPTZVJSVMWQVNCVPWPWSWP
      TZVHRWKVPABCVRDEWNFGWPHWRIJWMKLWTVIVKVL $.
  $}

  ${
    $d P x y $.  $d R x y $.
    ply1domn.p $e |- P = ( Poly1 ` R ) $.
    $( Univariate polynomials over a nonzero ring are a nonzero ring.
       (Contributed by Stefan O'Rear, 29-Mar-2015.) $)
    ply1nz $p |- ( R e. NzRing -> P e. NzRing ) $=
      ( cnzr wcel crg cur cfv cbs c0g csn cdif nzrring ply1ring syl wne wf eqid
      cascl ply1sclf ringidcl ffvelrnd nzrnz ply1scln0 syl3anc eldifsn sylanbrc
      ringelnzr syl2anc ) BDEZAFEZBGHZASHZHZAIHZAJHZKLEZADEUJBFEZUKBMZABCNOUJUN
      UOEUNUPPZUQUJBIHZUOULUMUJURVAUOUMQUSUMUOABVACUMRZVARZUORZTOUJURULVAEZUSVA
      BULVCULRZUAOZUBUJURVEULBJHZPUTUSVGBULVHVFVHRZUCUMABVAULUPVHCVBVIUPRZVCUDU
      EUNUOUPUFUGUOAUNUPVJVDUHUI $.

    $( Univariate polynomials are nonzero iff the base is nonzero.  Or in
       contraposition, the univariate polynomials over the zero ring are also
       zero.  (Contributed by Mario Carneiro, 13-Jun-2015.) $)
    ply1nzb $p |- ( R e. Ring -> ( R e. NzRing <-> P e. NzRing ) ) $=
      ( vy vx wcel cnzr cur cfv c0g wne eqid wceq cv c1o csn cxp cif co con0 wa
      crg ply1nz simpl nzrnz adantl cc0 ccnv cima cfn cmap crab wral ifeq1 ifid
      cn cn0 eqtrdi ralrimivw cmpt cmpl ply1mpl1 1on mpl1 ply1mpl0 cgrp ringgrp
      a1i syl mpl0 fconstmpt eqeq12d cvv wb fvex ifex rgenw mpteqb ax-mp bitrdi
      syl5ibr necon3d mpd isnzr sylanbrc ex impbid2 ) BUBFZBGFZAGFZABCUCWHWJWIW
      HWJUAZWHBHIZBJIZKZWIWHWJUDZWKAHIZAJIZKZWNWJWRWHAWPWQWPLZWQLZUEUFWKWLWMWPW
      QWLWMMZWPWQMZWKDNOUGPQMZWLWMRZWMMZDENUHUPUIUJFEUQOUKSULZUMZXAXEDXFXAXDXCW
      MWMRWMXCWLWMWMUNXCWMUOURUSWKXBDXFXDUTZDXFWMUTZMZXGWKWPXHWQXIWKDXFOBVASZBW
      PWLEOTWMXKLZXFLZWMLZWLLZABWPXKXLCWSVBOTFWKVCVHZWOVDWKWQXFWMPQXIWKXFXKBEOW
      MTWQXLXMXNABXKWQXLCWTVEXPWKWHBVFFWOBVGVIVJDXFWMVKURVLXDVMFZDXFUMXJXGVNXQD
      XFXCWLWMBHVOBJVOVPVQDXFXDWMVMVRVSVTWAWBWCBWLWMXOXNWDWEWFWG $.

    $( Corollary of ~ deg1mul2 : the univariate polynomials over a domain are a
       domain.  This is true for multivariate but with a much more complicated
       proof.  (Contributed by Stefan O'Rear, 28-Mar-2015.) $)
    ply1domn $p |- ( R e. Domn -> P e. Domn ) $=
      ( vx vy cdomn wcel cnzr cv cfv co wceq wral syl wne cn0 eqid crg syl3anc
      wa cmulr c0g wo wi domnnzr ply1nz wn neanior cdg1 caddc domnring ad2antrr
      cbs crlreg simplrl simprl cco1 simpll deg1ldgdomn simplrr simprr deg1mul2
      deg1nn0cl nn0addcld eqeltrd wb ply1ring ringcl deg1nn0clb syl2anc syl5bir
      mpbird ex necon4bd ralrimivva isdomn sylanbrc ) BFGZAHGZDIZEIZAUAJZKZAUBJ
      ZLVTWDLWAWDLUCZUDZEAUMJZMDWGMAFGVRBHGVSBUEABCUFNVRWFDEWGWGVRVTWGGZWAWGGZT
      ZTZWEWCWDWEUGVTWDOZWAWDOZTZWKWCWDOZVTWDWAWDUHWKWNWOWKWNTZWOWCBUIJZJZPGZWP
      WRVTWQJZWAWQJZUJKPWPWGWQABWBBUNJZVTWAWDWQQZCXBQZWGQZWBQZWDQZVRBRGZWJWNBUK
      ZULZVRWHWIWNUOZWKWLWMUPZWPVRWHWLWTVTUQJZJXBGVRWJWNURXKXLXMWGWQABXBVTWDXCC
      XGXEXDXMQUSSVRWHWIWNUTZWKWLWMVAZVBWPWTXAWPXHWHWLWTPGXJXKXLWGWQABVTWDXCCXG
      XEVCSWPXHWIWMXAPGXJXNXOWGWQABWAWDXCCXGXEVCSVDVEWPXHWCWGGZWOWSVFXJWPARGZWH
      WIXPVRXQWJWNVRXHXQXIABCVGNULXKXNWGAWBVTWAXEXFVHSWGWQABWCWDXCCXGXEVIVJVLVM
      VKVNVODEWGAWBWDXEXFXGVPVQ $.

    $( The ring of univariate polynomials over an integral domain is itself an
       integral domain.  (Contributed by Stefan O'Rear, 29-Mar-2015.) $)
    ply1idom $p |- ( R e. IDomn -> P e. IDomn ) $=
      ( ccrg wcel cdomn wa cidom ply1crng ply1domn anim12i isidom 3imtr4i ) BDE
      ZBFEZGADEZAFEZGBHEAHENPOQABCIABCJKBLALM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The division algorithm for univariate polynomials
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Monic1p $. $( Monic polynomial $)
  $c Unic1p $. $( Unitic polynomial $)
  $c quot1p $. $( Univariate polynomial quotient $)
  $c rem1p $. $( Univariate polynomial remainder $)
  $c idlGen1p $. $( Univariate polynomial ideal generator $)

  $( Monic polynomials. $)
  cmn1 $a class Monic1p $.

  $( Unitic polynomials. $)
  cuc1p $a class Unic1p $.

  $( Univariate polynomial quotient. $)
  cq1p $a class quot1p $.

  $( Univariate polynomial remainder. $)
  cr1p $a class rem1p $.

  $( Univariate polynomial ideal generator. $)
  cig1p $a class idlGen1p $.

  ${
    $d r f g b p q i $.
    $( Define the set of monic univariate polynomials.  (Contributed by Stefan
       O'Rear, 28-Mar-2015.) $)
    df-mon1 $a |- Monic1p = ( r e. _V |-> { f e. ( Base ` ( Poly1 ` r ) ) |
      ( f =/= ( 0g ` ( Poly1 ` r ) ) /\
        ( ( coe1 ` f ) ` ( ( deg1 ` r ) ` f ) ) = ( 1r ` r ) ) } ) $.

    $( Define the set of unitic univariate polynomials, as the polynomials with
       an invertible leading coefficient.  This is not a standard concept but
       is useful to us as the set of polynomials which can be used as the
       divisor in the polynomial division theorem ~ ply1divalg .  (Contributed
       by Stefan O'Rear, 28-Mar-2015.) $)
    df-uc1p $a |- Unic1p = ( r e. _V |-> { f e. ( Base ` ( Poly1 ` r ) ) |
      ( f =/= ( 0g ` ( Poly1 ` r ) ) /\
        ( ( coe1 ` f ) ` ( ( deg1 ` r ) ` f ) ) e. ( Unit ` r ) ) } ) $.

    $( Define the quotient of two univariate polynomials, which is guaranteed
       to exist and be unique by ~ ply1divalg .  We actually use the reversed
       version for better harmony with our divisibility ~ df-dvdsr .
       (Contributed by Stefan O'Rear, 28-Mar-2015.) $)
    df-q1p $a |- quot1p = ( r e. _V |-> [_ ( Poly1 ` r ) / p ]_
      [_ ( Base ` p ) / b ]_ ( f e. b , g e. b |->
        ( iota_ q e. b ( ( deg1 ` r ) ` ( f ( -g ` p ) ( q ( .r ` p ) g ) ) ) <
          ( ( deg1 ` r ) ` g ) ) ) ) $.

    $( Define the remainder after dividing two univariate polynomials.
       (Contributed by Stefan O'Rear, 28-Mar-2015.) $)
    df-r1p $a |- rem1p = ( r e. _V |-> [_ ( Base ` ( Poly1 ` r ) ) / b ]_
        ( f e. b , g e. b |-> ( f ( -g ` ( Poly1 ` r ) )
        ( ( f ( quot1p ` r ) g ) ( .r ` ( Poly1 ` r ) ) g ) ) ) ) $.

    $( Define a choice function for generators of ideals over a division ring;
       this is the unique monic polynomial of minimal degree in the ideal.
       (Contributed by Stefan O'Rear, 29-Mar-2015.)  (Revised by AV,
       25-Sep-2020.) $)
    df-ig1p $a |- idlGen1p = ( r e. _V |-> ( i e. ( LIdeal ` ( Poly1 `
      r ) ) |-> if ( i = { ( 0g ` ( Poly1 ` r ) ) } , ( 0g ` ( Poly1 ` r ) ) ,
      ( iota_ g e. ( i i^i ( Monic1p ` r ) ) ( ( deg1 ` r ) ` g ) =
      inf ( ( ( deg1 ` r ) " ( i \ { ( 0g ` ( Poly1 ` r ) ) } ) ) ,
      RR , < ) ) ) ) ) $.
  $}

  ${
    ply1divalg.p $e |- P = ( Poly1 ` R ) $.
    ply1divalg.d $e |- D = ( deg1 ` R ) $.
    ply1divalg.b $e |- B = ( Base ` P ) $.
    ply1divalg.m $e |- .- = ( -g ` P ) $.
    ply1divalg.z $e |- .0. = ( 0g ` P ) $.
    ply1divalg.t $e |- .xb = ( .r ` P ) $.
    ply1divalg.r1 $e |- ( ph -> R e. Ring ) $.
    ply1divalg.f $e |- ( ph -> F e. B ) $.
    ply1divalg.g1 $e |- ( ph -> G e. B ) $.
    ply1divalg.g2 $e |- ( ph -> G =/= .0. ) $.

    ${
      $d ph q r $.  $d B q r $.  $d D q r $.  $d F q r $.  $d G q r $.
      $d .- q r $.  $d .xb q r $.
      ply1divmo.g3 $e |- ( ph -> ( ( coe1 ` G ) ` ( D ` G ) ) e. E ) $.
      ply1divmo.e $e |- E = ( RLReg ` R ) $.
      $( Uniqueness of a quotient in a polynomial division.  For polynomials
         ` F , G ` such that ` G =/= 0 ` and the leading coefficient of ` G `
         is not a zero divisor, there is at most one polynomial ` q ` which
         satisfies ` F = ( G x. q ) + r ` where the degree of ` r ` is less
         than the degree of ` G ` .  (Contributed by Stefan O'Rear,
         26-Mar-2015.)  (Revised by NM, 17-Jun-2017.) $)
      ply1divmo $p |- ( ph -> E* q e. B
              ( D ` ( F .- ( G .xb q ) ) ) < ( D ` G ) ) $=
        ( vr cv co cfv clt wbr wa weq wi wral wrmo wcel cxr cle cif cgrp adantr
        w3a crg ply1ring ringgrp simprl ringcl syl3anc grpsubcl simprr deg1xrcl
        syl ifcld 3jca deg1suble wb xrmaxlt biimpar jca xrlelttr sylc ex wne wn
        cr cn0 deg1nn0cl ad2antrr nn0red wceq grpsubeq0 equcom bitrdi necon3bid
        caddc nn0addge1 syl2anc cco1 deg1mul2 cabl ringabl ablnnncan1 ringsubdi
        breqtrrd eqtr4d fveq2d xrlenltd mpbid necon4ad ralrimivva oveq2d breq1d
        syld oveq2 rmo4 sylibr ) AHILUFZFUGZJUGZCUHZICUHZUIUJZHIUEUFZFUGZJUGZCU
        HZYAUIUJZUKZLUEULZUMZUEBUNLBUNYBLBUOAYJLUEBBAXQBUPZYCBUPZUKZUKZYHXSYEJU
        GZCUHZYAUIUJZYIYNYHYQYNYHUKZYPUQUPZXTYFURUJZYFXTUSZUQUPZYAUQUPZVBZYPUUA
        URUJZUUAYAUIUJZUKYQYNUUDYHYNYSUUBUUCYNYOBUPZYSYNDUTUPZXSBUPZYEBUPZUUGYN
        DVCUPZUUHYNEVCUPZUUKAUULYMSVAZDEMVDVLZDVEVLZYNUUHHBUPZXRBUPZUUIUUOAUUPY
        MTVAZYNUUKIBUPZYKUUQUUNAUUSYMUAVAZAYKYLVFZBDFIXQORVGVHZBDJHXROPVIVHZYNU
        UHUUPYDBUPZUUJUUOUURYNUUKUUSYLUVDUUNUUTAYKYLVJZBDFIYCORVGVHZBDJHYDOPVIV
        HZBDJXSYEOPVIVHBCDEYONMOVKVLZYNYTYFXTUQYNUUJYFUQUPZUVGBCDEYENMOVKVLZYNU
        UIXTUQUPZUVCBCDEXSNMOVKVLZVMYNUUSUUCUUTBCDEINMOVKVLZVNVAYRUUEUUFYNUUEYH
        YNBCEXSYEJDMNUUMOPUVCUVGVOVAYNUUFYHYNUVKUVIUUCUUFYHVPUVLUVJUVMXTYFYAVQV
        HVRVSYPUUAYAVTWAWBYNYQXQYCYNXQYCWCZYQWDZYNUVNUKZYAYPURUJZUVOUVPYAIYCXQJ
        UGZFUGZCUHZYPURUVPYAYAUVRCUHZWOUGZUVTURUVPYAWEUPUWAWFUPZYAUWBURUJUVPYAA
        YAWFUPZYMUVNAUULUUSIKWCZUWDSUAUBBCDEIKNMQOWGVHWHWIUVPUULUVRBUPZUVRKWCZU
        WCAUULYMUVNSWHZYNUWFUVNYNUUHYLYKUWFUUOUVEUVABDJYCXQOPVIVHVAZYNUWGUVNYNU
        VRKXQYCYNUVRKWJZUELULZYIYNUUHYLYKUWJUWKVPUUOUVEUVABDJYCXQKOQPWKVHUELWLW
        MWNVRZBCDEUVRKNMQOWGVHYAUWAWPWQUVPBCDEFGIUVRKNMUDORQUWHAUUSYMUVNUAWHAUW
        EYMUVNUBWHAYAIWRUHUHGUPYMUVNUCWHUWIUWLWSXDYNYPUVTWJUVNYNYOUVSCYNYOYDXRJ
        UGUVSYNBDJHXRYDOPYNUUKDWTUPUUNDXAVLUURUVBUVFXBYNBDFJIYCXQORPUUNUUTUVEUV
        AXCXEXFVAXDYNUVQUVOVPUVNYNYAYPUVMUVHXGVAXHWBXIXMXJYBYGLUEBYIXTYFYAUIYIX
        SYECYIXRYDHJXQYCIFXNXKXFXLXOXP $.
    $}

    ${
      $d d q .0. $.  $d d f q F $.  $d f q r I $.  $d f q r P $.  $d f q r R $.
      $d a d f g q r .- $.  $d a d f g q r B $.  $d a d f g q r .xb $.
      $d a d f g q r D $.  $d a d f g q r G $.  $d a d f g q ph $.
      $d f q r .x. $.
      ply1divex.o $e |- .1. = ( 1r ` R ) $.
      ply1divex.k $e |- K = ( Base ` R ) $.
      ply1divex.u $e |- .x. = ( .r ` R ) $.
      ply1divex.i $e |- ( ph -> I e. K ) $.
      ply1divex.g3 $e |- ( ph ->
        ( ( ( coe1 ` G ) ` ( D ` G ) ) .x. I ) = .1. ) $.
      $( Lemma for ~ ply1divalg : existence part.  (Contributed by Stefan
         O'Rear, 27-Mar-2015.) $)
      ply1divex $p |- ( ph -> E. q e. B
            ( D ` ( F .- ( G .xb q ) ) ) < ( D ` G ) ) $=
        ( vd vf va vg vr cfv cv caddc co clt wbr wrex wceq fveq2 breq1d rexbidv
        cn0 wne wa cmin cn wss nnssnn0 wcel crg adantr deg1nn0cl syl3anc nn0red
        simpr resubcld syl ssrexv mpsyl ad2antrr nn0re adantl ltsubadd2d biimpd
        cr arch reximdva mpd cc0 0nn0 cmnf deg1z readdcl sylancl mnfltd eqbrtrd
        0re oveq2 breq2d rspcev sylancr pm2.61ne wi fvoveq1 imbi12d wral imbi1d
        c1 ralbidv imbi2d ply1ring syl2anc oveq2d sylan fveq2d nn0cnd ralrimiva
        weq cco1 cle ad2antlr nn0addcld cc wf eqid coe1f simplr ffvelrnd ringcl
        adantrr syl13anc adantlrr rspcdva ad3antrrr rexlimdva ring0cl grpsubid1
        ringrz cgrp ringgrp eqtr2d addid1d breq12d biimpa ex cv1 cmgp cmg cvsca
        nn0addcl simprl csn cz wb deg1cl peano2nn0 nn0zd degltlem1 syl2an2 impr
        cun nn0cn peano2cn addsubassd ax-1cn pncan eqtrd breqtrd ply1tmcl leidd
        1cnd deg1tmle deg1mulle2 coe1tmmul2fv addcomd ringass ringlidm 3eqtr3rd
        c0g oveq1d 3eqtr4rd deg1sublt simplrr grpsubcl cplusg grpsubsub4 ringdi
        ringacl eqtr4d syl6an cbvrexvw bitrdi cbvralvw sylib exp32 com12 nn0ind
        expr a2d impcom ) AICUPZJCUPZUKUQZURUSZUTVAZUKVGVBZIJOUQZFUSZMUSCUPZUXG
        UTVAZOBVBZAUXKNCUPZUXIUTVAZUKVGVBZININVCZUXJUXRUKVGUXTUXFUXQUXIUTINCVDV
        EVFAINVHZVIZUXFUXGVJUSZUXHUTVAZUKVGVBZUXKVKVGVLUYBUYDUKVKVBZUYEVMUYBUYC
        WJVNUYFUYBUXFUXGUYBUXFUYBEVOVNZIBVNZUYAUXFVGVNAUYGUYAUBVPAUYHUYAUCVPAUY
        AVTBCDEINQPTRVQVRVSZAUXGWJVNZUYAAUXGAUYGJBVNZJNVHUXGVGVNZUBUDUEBCDEJNQP
        TRVQVRZVSZVPWAUYCUKWKWBUYDUKVKVGWCWDUYBUYDUXJUKVGUYBUXHVGVNZVIZUYDUXJUY
        PUXFUXGUXHUYBUXFWJVNUYOUYIVPAUYJUYAUYOUYNWEUYOUXHWJVNUYBUXHWFWGWHWIWLWM
        AWNVGVNUXQUXGWNURUSZUTVAZUXSWOAUXQWPUYQUTAUYGUXQWPVCUBCDENQPTWQWBAUYQAU
        YJWNWJVNUYQWJVNUYNXBUXGWNWRWSWTXAUXRUYRUKWNVGUXHWNVCUXIUYQUXQUTUXHWNUXG
        URXCXDXEXFXGAUXJUXPUKVGAUYOVIZULUQZCUPZUXIUTVAZUYTUXMMUSZCUPZUXGUTVAZOB
        VBZXHZUXJUXPXHULBIUYTIVCZVUBUXJVUFUXPVUHVUAUXFUXIUTUYTICVDVEVUHVUEUXOOB
        VUHVUDUXNUXGUTUYTIUXMCMXIVEVFXJUYOAVUGULBXKZAVUAUXGUMUQZURUSZUTVAZVUFXH
        ZULBXKZXHAVUAUYQUTVAZVUFXHZULBXKZXHAVUIXHZAVUAUXGUXHXMURUSZURUSZUTVAZVU
        FXHZULBXKZXHVURUMUKUXHVUJWNVCZVUNVUQAVVDVUMVUPULBVVDVULVUOVUFVVDVUKUYQV
        UAUTVUJWNUXGURXCXDXLXNXOUMUKYCZVUNVUIAVVEVUMVUGULBVVEVULVUBVUFVVEVUKUXI
        VUAUTVUJUXHUXGURXCXDXLXNXOZVUJVUSVCZVUNVVCAVVGVUMVVBULBVVGVULVVAVUFVVGV
        UKVUTVUAUTVUJVUSUXGURXCXDXLXNXOVVFAVUPULBAUYTBVNZVIZVUOVUFVVIVUOVINBVNZ
        UYTJNFUSZMUSZCUPZUXGUTVAZVUFAVVJVVHVUOADVOVNZVVJAUYGVVOUBDEPXPWBZBDNRTU
        UAWBWEVVIVUOVVNVVIVUAVVMUYQUXGUTVVIUYTVVLCVVIVVLUYTNMUSZUYTAVVLVVQVCVVH
        AVVKNUYTMAVVOUYKVVKNVCVVPUDBDFJNRUATUUCXQXRVPADUUDVNZVVHVVQUYTVCAVVOVVR
        VVPDUUEWBZBDMUYTNRTSUUBXSUUFXTAUYQUXGVCVVHAUXGAUXGUYMYAUUGVPUUHUUIVUEVV
        NONBUXLNVCZVUDVVMUXGUTVVTVUCVVLCVVTUXMVVKUYTMUXLNJFXCXRXTVEXEXQUUJYBUYO
        AVUIVVCAUYOVUIVVCXHAUYOVUIVVCAUYOVUIVIVIZUNUQZCUPZVUTUTVAZVWBJUOUQZFUSZ
        MUSZCUPZUXGUTVAZUOBVBZXHZUNBXKVVCVWAVWKUNBVWAVWBBVNZVWDVWJVWAVWLVWDVIZV
        IZVWBJKUXIVWBYDUPZUPZGUSZUXHEUUKUPZDUULUPZUUMUPZUSDUUNUPZUSZFUSZMUSZUXM
        MUSZCUPZUXGUTVAZOBVBZVWJVWNVXDCUPZUXIUTVAZVXHAUYOVWMVXJVUIUYSVWMVIZVWOB
        VXCYDUPZCDEVWBVXCUXIMQPRSUYSUXIVGVNZVWMAUYLUYOVXMUYMUXGUXHUUOXSVPAUYGUY
        OVWMUBWEUYSVWLVWDUUPVXKVWCVUTXMVJUSZUXIYEUYSVWLVWDVWCVXNYEVAZUYSVWLVIZV
        WDVXOVWLVWCVGWPUUQUVFVNUYSVUTUURVNVWDVXOUUSBCDEVWBQPRUUTVXPVUTVXPUXGVUS
        AUYLUYOVWLUYMWEZUYOVUSVGVNAVWLUXHUVAYFYGUVBVWCVUTUVCUVDWIUVEUYSVXNUXIVC
        VWMUYSVXNUXGVUSXMVJUSZURUSUXIUYSUXGVUSXMUYSUXGAUYLUYOUYMVPYAUYSUXHYHVNZ
        VUSYHVNUYOVXSAUXHUVGZWGZUXHUVHWBUYSUVPUVIUYSVXRUXHUXGURUYSVXSXMYHVNVXRU
        XHVCVYAUVJUXHXMUVKWSXRUVLVPUVMUYSVWLVXCBVNZVWDVXPVVOUYKVXBBVNZVYBAVVOUY
        OVWLVVPWEAUYKUYOVWLUDWEZVXPUYGVWQLVNZUYOVYCAUYGUYOVWLUBWEZVXPUYGKLVNZVW
        PLVNZVYEVYFAVYGUYOVWLUIWEZVXPVGLUXIVWOVWLVGLVWOYIUYSVWOBDEVWBLVWOYJZRPU
        GYKWGVXPUXGUXHVXQAUYOVWLYLZYGYMZLEGKVWPUGUHYNVRZVYKBVWQUXHDEVXAVWTLVWSV
        WRUGPVWRYJZVXAYJZVWSYJZVWTYJZRUVNVRZBDFJVXBRUAYNVRZYOUYSVWLVXCCUPUXIYEV
        AVWDVXPBCEFJVXBUXGUXHDPQVYFRUAVYDVYRVXQVYKVXPUXGVXPUXGVXQVSUVOVXPUYGVYE
        UYOVXBCUPUXHYEVAVYFVYMVYKVWQCDEVXAVWTUXHLVWSVWRQUGPVYNVYOVYPVYQUVQVRUVR
        YOVYJVXLYJUYSVWLVWPUXIVXLUPZVCVWDVXPUXHUXGURUSZVXLUPUXGJYDUPZUPZVWQGUSZ
        VYTVWPVXPJBVWQUXHDEFVXAGVWTLVWSVWRUXGEUWDUPZWUEYJUGPVYNVYOVYPVYQRUAUHVY
        DVYFVYMVYKVXQUVSVXPUXIWUAVXLVXPUXGUXHVXPUXGVXQYAUYOVXSAVWLVXTYFUVTXTVXP
        WUCKGUSZVWPGUSZHVWPGUSZWUDVWPAWUGWUHVCUYOVWLAWUFHVWPGUJUWEWEVXPUYGWUCLV
        NVYGVYHWUGWUDVCVYFVXPVGLUXGWUBAVGLWUBYIZUYOVWLAUYKWUIUDWUBBDEJLWUBYJRPU
        GYKWBWEVXQYMVYIVYLLEGWUCKVWPUGUHUWAYPVXPUYGVYHWUHVWPVCVYFVYLLEGHVWPUGUH
        UFUWBXQUWCUWFYOUWGYQVWNVUGVXJVXHXHULBVXDUYTVXDVCZVUBVXJVUFVXHWUJVUAVXIU
        XIUTUYTVXDCVDVEWUJVUEVXGOBWUJVUDVXFUXGUTUYTVXDUXMCMXIVEVFXJAUYOVUIVWMUW
        HAUYOVWMVXDBVNZVUIUYSVWLWUKVWDVXPVVRVWLVYBWUKAVVRUYOVWLVVSWEUYSVWLVTVYS
        BDMVWBVXCRSUWIVRYOYQYRWMAUYOVWMVXHVWJXHZVUIUYSVWLWULVWDVXPVXGVWJOBVXPUX
        LBVNZVIZUXLVXBDUWJUPZUSZBVNZVXGVWBJWUPFUSZMUSZCUPZUXGUTVAZVWJWUNVVOWUMV
        YCWUQAVVOUYOVWLWUMVVPYSZVXPWUMVTZVXPVYCWUMVYRVPZBWUODUXLVXBRWUOYJZUWMVR
        WUNVXGWVAWUNVXFWUTUXGUTWUNVXEWUSCWUNVXEVWBUXMVXCWUOUSZMUSZWUSWUNVVRVWLV
        YBUXMBVNZVXEWVGVCAVVRUYOVWLWUMVVSYSUYSVWLWUMYLVXPVYBWUMVYSVPWUNVVOUYKWU
        MWVHWVBAUYKUYOVWLWUMUDYSZWVCBDFJUXLRUAYNVRBWUODMVWBVXCUXMRWVESUWKYPWUNW
        URWVFVWBMWUNVVOUYKWUMVYCWURWVFVCWVBWVIWVCWVDBWUODFJUXLVXBRWVEUAUWLYPXRU
        WNXTVEWIVWIWVAUOWUPBVWEWUPVCZVWHWUTUXGUTWVJVWGWUSCWVJVWFWURVWBMVWEWUPJF
        XCXRXTVEXEUWOYTYOYQWMUXCYBVWKVVBUNULBUNULYCZVWDVVAVWJVUFWVKVWCVUAVUTUTV
        WBUYTCVDVEWVKVWJUYTVWFMUSZCUPZUXGUTVAZUOBVBVUFWVKVWIWVNUOBWVKVWHWVMUXGU
        TVWBUYTVWFCMXIVEVFWVNVUEUOOBUOOYCZWVMVUDUXGUTWVOWVLVUCCWVOVWFUXMUYTMVWE
        UXLJFXCXRXTVEUWPUWQXJUWRUWSUWTUXAUXDUXBUXEAUYHUYOUCVPYRYTWM $.
    $}

    ${
      $d ph q $.  $d B q $.  $d D q $.  $d F q $.  $d G q $.  $d .- q $.
      $d P q $.  $d R q $.  $d .xb q $.  $d .0. q $.
      ply1divalg.g3 $e |- ( ph -> ( ( coe1 ` G ) ` ( D ` G ) ) e. U ) $.
      ply1divalg.u $e |- U = ( Unit ` R ) $.
      $( The division algorithm for univariate polynomials over a ring.  For
         polynomials ` F , G ` such that ` G =/= 0 ` and the leading
         coefficient of ` G ` is a unit, there are unique polynomials ` q ` and
         ` r = F - ( G x. q ) ` such that the degree of ` r ` is less than the
         degree of ` G ` .  (Contributed by Stefan O'Rear, 27-Mar-2015.) $)
      ply1divalg $p |- ( ph -> E! q e. B
            ( D ` ( F .- ( G .xb q ) ) ) < ( D ` G ) ) $=
        ( cv cfv clt wbr wrex wrmo wreu cmulr cur cco1 cinvr cbs eqid ringinvcl
        co crg wcel syl2anc unitrinv ply1divex crlreg wss unitrrg syl ply1divmo
        wceq sseldd reu5 sylanbrc ) AHILUEFUSJUSCUFICUFZUGUHZLBUIVOLBUJVOLBUKAB
        CDEFEULUFZEUMUFZHIVNIUNUFUFZEUOUFZUFZEUPUFZJKLMNOPQRSTUAUBVQUQZWAUQZVPU
        QZAEUTVAZVRGVAZVTWAVASUCWAEGVSVRUDVSUQZWCURVBAWEWFVRVTVPUSVQVJSUCEVPGVQ
        VSVRUDWGWDWBVCVBVDABCDEFEVEUFZHIJKLMNOPQRSTUAUBAGWHVRAWEGWHVFSEGWHWHUQZ
        UDVGVHUCVKWIVIVOLBVLVM $.

      $d B r $.  $d P r $.  $d R r $.  $d q r $.
      $( Reverse the order of multiplication in ~ ply1divalg via the opposite
         ring.  (Contributed by Stefan O'Rear, 28-Mar-2015.) $)
      ply1divalg2 $p |- ( ph -> E! q e. B
            ( D ` ( F .- ( q .xb G ) ) ) < ( D ` G ) ) $=
        ( vr cv cfv clt wbr wreu coppr cpl1 cmulr eqid cdg1 wceq wtru cbs eqidd
        co opprbas cplusg wcel oppradd oveqi deg1propd mptru eqtri ply1baspropd
        a1i csg ply1plusgpropd grpsubpropd c0g grpidpropd crg opprring opprunit
        wa fveq2i syl ply1divalg adantr simpr ply1opprmul syl3anc eqcomd oveq2d
        fveq2d breq1d reubidva mpbird ) AHLUFZIFUTZJUTZCUGZICUGZUHUIZLBUJHIWMEU
        KUGZULUGZUMUGZUTZJUTZCUGZWQUHUIZLBUJABCWTWSXAGHIJKLWTUNZCEUOUGZWSUOUGZN
        XGXHUPUQLUEEURUGZEWSUQXIUSZXIWSURUGUPUQXIEWSWSUNZXIUNVAVJZWMUEUFZEVBUGZ
        UTWMXMWSVBUGZUTUPUQWMXIVCXMXIVCVSVSXNXOWMXMXNEWSXKXNUNVDVEVJZVFVGVHBDUR
        UGZWTURUGZOXQEULUGZURUGZXRDXSURMVTXTXRUPUQLUEXIEWSXJXLXPVIVGVHZVHZJDVKU
        GZWTVKUGZPYCYDUPUQDWTXQXRUPUQYAVJDVBUGZWTVBUGZUPUQYEXSVBUGZYFDXSVBMVTYG
        YFUPUQLUEXIEWSXJXLXPVLVGVHZVJVMVGVHKDVNUGZWTVNUGZQYIYJUPUQLUEBDWTBXQUPU
        QOVJBXRUPUQYBVJWMXMYEUTWMXMYFUTUPUQWMBVCZXMBVCVSVSYEYFWMXMYHVEVJVOVGVHX
        AUNZAEVPVCZWSVPVCSEWSXKVQWATUAUBUCEWSGUDXKVRWBAWRXELBAYKVSZWPXDWQUHYNWO
        XCCYNWNXBHJYNXBWNYNYMIBVCZYKXBWNUPAYMYKSWCAYOYKUAWCAYKWDBEWSXAFIWMDWTMX
        KXFRYLOWEWFWGWHWIWJWKWL $.
    $}
  $}

  ${
    uc1pval.p $e |- P = ( Poly1 ` R ) $.
    uc1pval.b $e |- B = ( Base ` P ) $.
    uc1pval.z $e |- .0. = ( 0g ` P ) $.
    uc1pval.d $e |- D = ( deg1 ` R ) $.
    ${
      $d B f r $.  $d D f r $.  $d F f $.  $d R f r $.  $d U f r $.
      $d .0. f r $.
      uc1pval.c $e |- C = ( Unic1p ` R ) $.
      uc1pval.u $e |- U = ( Unit ` R ) $.
      $( Value of the set of unitic polynomials.  (Contributed by Stefan
         O'Rear, 28-Mar-2015.) $)
      uc1pval $p |- C = { f e. B | ( f =/= .0. /\
              ( ( coe1 ` f ) ` ( D ` f ) ) e. U ) } $=
        ( cfv cpl1 cbs eqtr4di fveq2d c0 vr cuc1p cv wne cco1 wcel wa crab wceq
        cvv c0g cui fveq2 neeq2d fveq1d eleq12d anbi12d rabeqbidv df-uc1p fvexi
        cdg1 rabex fvmpt fvprc wss ssrab2 syl5eq base0 sseqtrid ss0 syl pm2.61i
        wn eqtr4d eqtri ) BEUBOZGUCZHUDZVQCOZVQUEOZOZFUFZUGZGAUHZMEUJUFZVPWDUIU
        AEVQUAUCZPOZUKOZUDZVQWFVAOZOZVTOZWFULOZUFZUGZGWGQOZUHWDUJUBWFEUIZWOWCGW
        PAWQWPDQOZAWQWGDQWQWGEPOZDWFEPUMIRZSJRWQWIVRWNWBWQWHHVQWQWHDUKOHWQWGDUK
        WTSKRUNWQWLWAWMFWQWKVSVTWQVQWJCWQWJEVAOCWFEVAUMLRUOSWQWMEULOFWFEULUMNRU
        PUQURGUAUSWCGAADQJUTVBVCWEVMZVPTWDEUBVDXAWDTVEWDTUIXAAWDTWCGAVFXAAWRTJX
        AWRTQOTXADTQXADWSTIEPVDVGSVHRVGVIWDVJVKVNVLVO $.

      $( Being a unitic polynomial.  (Contributed by Stefan O'Rear,
         28-Mar-2015.) $)
      isuc1p $p |- ( F e. C <-> ( F e. B /\ F =/= .0. /\
            ( ( coe1 ` F ) ` ( D ` F ) ) e. U ) ) $=
        ( vf wcel wne cfv cco1 wa w3a wceq neeq1 fveq12d eleq1d anbi12d uc1pval
        cv fveq2 elrab2 3anass bitr4i ) GBPGAPZGHQZGCRZGSRZRZFPZTZTUMUNURUAOUHZ
        HQZUTCRZUTSRZRZFPZTUSOGABUTGUBZVAUNVEURUTGHUCVFVDUQFVFVBUOVCUPUTGSUIUTG
        CUIUDUEUFABCDEFOHIJKLMNUGUJUMUNURUKUL $.
    $}

    ${
      $d B f r $.  $d D f r $.  $d F f $.  $d .1. f r $.  $d R f r $.
      $d .0. f r $.
      mon1pval.m $e |- M = ( Monic1p ` R ) $.
      mon1pval.o $e |- .1. = ( 1r ` R ) $.
      $( Value of the set of monic polynomials.  (Contributed by Stefan O'Rear,
         28-Mar-2015.) $)
      mon1pval $p |- M = { f e. B | ( f =/= .0. /\
              ( ( coe1 ` f ) ` ( D ` f ) ) = .1. ) } $=
        ( cfv wceq cpl1 cbs eqtr4di c0 vr cmn1 cv wne cco1 wa crab cvv wcel c0g
        cdg1 fveq2 fveq2d neeq2d fveq1d eqeq12d anbi12d rabeqbidv df-mon1 fvexi
        cur rabex fvmpt wn fvprc wss ssrab2 syl5eq base0 ss0 syl eqtr4d pm2.61i
        sseqtrid eqtri ) GDUBOZFUCZHUDZVQBOZVQUEOZOZEPZUFZFAUGZMDUHUIZVPWDPUADV
        QUAUCZQOZUJOZUDZVQWFUKOZOZVTOZWFVAOZPZUFZFWGROZUGWDUHUBWFDPZWOWCFWPAWQW
        PCROZAWQWGCRWQWGDQOZCWFDQULISZUMJSWQWIVRWNWBWQWHHVQWQWHCUJOHWQWGCUJWTUM
        KSUNWQWLWAWMEWQWKVSVTWQVQWJBWQWJDUKOBWFDUKULLSUOUMWQWMDVAOEWFDVAULNSUPU
        QURFUAUSWCFAACRJUTVBVCWEVDZVPTWDDUBVEXAWDTVFWDTPXAAWDTWCFAVGXAATROZTXAA
        WRXBJXACTRXACWSTIDQVEVHUMVHVISVNWDVJVKVLVMVO $.

      $( Being a monic polynomial.  (Contributed by Stefan O'Rear,
         28-Mar-2015.) $)
      ismon1p $p |- ( F e. M <-> ( F e. B /\ F =/= .0. /\
            ( ( coe1 ` F ) ` ( D ` F ) ) = .1. ) ) $=
        ( vf wcel cfv cco1 wceq wa wne w3a neeq1 fveq2 fveq12d anbi12d mon1pval
        cv eqeq1d elrab2 3anass bitr4i ) FGPFAPZFHUAZFBQZFRQZQZESZTZTUMUNURUBOU
        HZHUAZUTBQZUTRQZQZESZTUSOFAGUTFSZVAUNVEURUTFHUCVFVDUQEVFVBUOVCUPUTFRUDU
        TFBUDUEUIUFABCDEOGHIJKLMNUGUJUMUNURUKUL $.
    $}
  $}

  ${
    uc1pcl.p $e |- P = ( Poly1 ` R ) $.
    uc1pcl.b $e |- B = ( Base ` P ) $.
    ${
      uc1pcl.c $e |- C = ( Unic1p ` R ) $.
      $( Unitic polynomials are polynomials.  (Contributed by Stefan O'Rear,
         28-Mar-2015.) $)
      uc1pcl $p |- ( F e. C -> F e. B ) $=
        ( wcel c0g cfv wne cdg1 cco1 cui eqid isuc1p simp1bi ) EBIEAIECJKZLEDMK
        ZKENKKDOKZIABTCDUAESFGSPTPHUAPQR $.
    $}

    ${
      mon1pcl.m $e |- M = ( Monic1p ` R ) $.
      $( Monic polynomials are polynomials.  (Contributed by Stefan O'Rear,
         28-Mar-2015.) $)
      mon1pcl $p |- ( F e. M -> F e. B ) $=
        ( wcel c0g cfv wne cdg1 cco1 cur wceq eqid ismon1p simp1bi ) DEIDAIDBJK
        ZLDCMKZKDNKKCOKZPAUABCUBDETFGTQUAQHUBQRS $.
    $}
  $}

  ${
    uc1pn0.p $e |- P = ( Poly1 ` R ) $.
    uc1pn0.z $e |- .0. = ( 0g ` P ) $.
    ${
      uc1pn0.c $e |- C = ( Unic1p ` R ) $.
      $( Unitic polynomials are not zero.  (Contributed by Stefan O'Rear,
         28-Mar-2015.) $)
      uc1pn0 $p |- ( F e. C -> F =/= .0. ) $=
        ( wcel cbs cfv wne cdg1 cco1 cui eqid isuc1p simp2bi ) DAIDBJKZIDELDCMK
        ZKDNKKCOKZISATBCUADEFSPGTPHUAPQR $.
    $}

    ${
      mon1pn0.m $e |- M = ( Monic1p ` R ) $.
      $( Monic polynomials are not zero.  (Contributed by Stefan O'Rear,
         28-Mar-2015.) $)
      mon1pn0 $p |- ( F e. M -> F =/= .0. ) $=
        ( wcel cbs cfv wne cdg1 cco1 cur wceq eqid ismon1p simp2bi ) CDICAJKZIC
        ELCBMKZKCNKKBOKZPTUAABUBCDEFTQGUAQHUBQRS $.
    $}
  $}

  ${
    uc1pdeg.d $e |- D = ( deg1 ` R ) $.
    uc1pdeg.c $e |- C = ( Unic1p ` R ) $.
    $( Unitic polynomials have nonnegative degrees.  (Contributed by Stefan
       O'Rear, 28-Mar-2015.) $)
    uc1pdeg $p |- ( ( R e. Ring /\ F e. C ) -> ( D ` F ) e. NN0 ) $=
      ( crg wcel wa cpl1 cfv cbs c0g wne cn0 simpl eqid uc1pcl adantl uc1pn0
      deg1nn0cl syl3anc ) CGHZDAHZIUCDCJKZLKZHZDUEMKZNZDBKOHUCUDPUDUGUCUFAUECDU
      EQZUFQZFRSUDUIUCAUECDUHUJUHQZFTSUFBUECDUHEUJULUKUAUB $.
  $}

  ${
    uc1pldg.d $e |- D = ( deg1 ` R ) $.
    uc1pldg.u $e |- U = ( Unit ` R ) $.
    uc1pldg.c $e |- C = ( Unic1p ` R ) $.
    $( Unitic polynomials have unit leading coefficients.  (Contributed by
       Stefan O'Rear, 28-Mar-2015.) $)
    uc1pldg $p |- ( F e. C -> ( ( coe1 ` F ) ` ( D ` F ) ) e. U ) $=
      ( wcel cpl1 cfv cbs c0g wne cco1 eqid isuc1p simp3bi ) EAIECJKZLKZIESMKZN
      EBKEOKKDITABSCDEUASPTPUAPFHGQR $.
  $}

  ${
    mon1pldg.d $e |- D = ( deg1 ` R ) $.
    mon1pldg.o $e |- .1. = ( 1r ` R ) $.
    mon1pldg.m $e |- M = ( Monic1p ` R ) $.
    $( Unitic polynomials have one leading coefficients.  (Contributed by
       Stefan O'Rear, 28-Mar-2015.) $)
    mon1pldg $p |- ( F e. M -> ( ( coe1 ` F ) ` ( D ` F ) ) = .1. ) $=
      ( wcel cpl1 cfv cbs c0g wne cco1 wceq eqid ismon1p simp3bi ) DEIDBJKZLKZI
      DTMKZNDAKDOKKCPUAATBCDEUBTQUAQUBQFHGRS $.
  $}

  ${
    mon1puc1p.c $e |- C = ( Unic1p ` R ) $.
    mon1puc1p.m $e |- M = ( Monic1p ` R ) $.
    $( Monic polynomials are unitic.  (Contributed by Stefan O'Rear,
       28-Mar-2015.) $)
    mon1puc1p $p |- ( ( R e. Ring /\ X e. M ) -> X e. C ) $=
      ( crg wcel wa cpl1 cfv cbs c0g wne cdg1 cco1 cui eqid mon1pcl adantl wceq
      mon1pn0 cur mon1pldg 1unit adantr eqeltrd isuc1p syl3anbrc ) BGHZDCHZIZDB
      JKZLKZHZDUMMKZNZDBOKZKDPKKZBQKZHDAHUKUOUJUNUMBDCUMRZUNRZFSTUKUQUJUMBDCUPV
      AUPRZFUBTULUSBUCKZUTUKUSVDUAUJURBVDDCURRZVDRZFUDTUJVDUTHUKBUTVDUTRZVFUEUF
      UGUNAURUMBUTDUPVAVBVCVEEVGUHUI $.
  $}

  ${
    uc1pmon1p.c $e |- C = ( Unic1p ` R ) $.
    uc1pmon1p.m $e |- M = ( Monic1p ` R ) $.
    uc1pmon1p.p $e |- P = ( Poly1 ` R ) $.
    uc1pmon1p.t $e |- .x. = ( .r ` P ) $.
    uc1pmon1p.a $e |- A = ( algSc ` P ) $.
    uc1pmon1p.d $e |- D = ( deg1 ` R ) $.
    uc1pmon1p.i $e |- I = ( invr ` R ) $.
    $( Make a unitic polynomial monic by multiplying a factor to normalize the
       leading coefficient.  (Contributed by Stefan O'Rear, 29-Mar-2015.) $)
    uc1pmon1p $p |- ( ( R e. Ring /\ X e. C ) ->
        ( ( A ` ( I ` ( ( coe1 ` X ) ` ( D ` X ) ) ) ) .x. X ) e. M ) $=
      ( wcel cfv eqid cn0 crg wa cco1 co cbs c0g wne cur wceq ply1ring ply1sclf
      adantr cui uc1pldg ringinvcl sylan2 ffvelrnd uc1pcl adantl ringcl syl3anc
      wf crlreg simpl wss unitrrg unitinvcl deg1mul3 uc1pdeg eqeltrd deg1nn0clb
      sseldd syldan mpbird csn cxp cmulr cof fveq2d coe1sclmul fveq1d cvv nn0ex
      wb a1i fvexd wfn coe1f ffn 3syl eqidd mpdan unitlinv eqtrd 3eqtrd ismon1p
      ofc1 syl3anbrc ) EUAQZIBQZUBZICRZIUCRZRZGRZARZIFUDZDUERZQZXGDUFRZUGZXGCRZ
      XGUCRZRZEUHRZUIXGHQXADUAQZXFXHQIXHQZXIWSXPWTDELUJULXAEUERZXHXEAWSXRXHAVBW
      TAXHDEXRLNXRSZXHSZUKULWTWSXDEUMRZQZXEXRQZBCEYAIOYASZJUNZXREYAGXDYDPXSUOUP
      ZUQWTXQWSXHBDEILXTJURUSZXHDFXFIXTMUTVAZXAXKXLTQZXAXLXBTXAWSXEEVCRZQXQXLXB
      UIWSWTVDZXAYAYJXEWSYAYJVEWTEYAYJYJSZYDVFULWTWSYBXEYAQYEEYAGXDYDPVGUPVLYGA
      XHCDEFYJXEIOLYLXTMNVHVAZBCEIOJVIZVJWSWTXIXKYIWDYHXHCDEXGXJOLXJSZXTVKVMVNX
      AXNXBXMRXBTXEVOVPXCEVQRZVRUDZRZXOXAXLXBXMYMVSXAXBXMYQXAWSYCXQXMYQUIYKYFYG
      AXHDEFYPXRXEILXTXSNMYPSZVTVAWAXAYRXEXDYPUDZXOXAXBTQZYRYTUIYNXATXEXDYPXCWB
      WBXBTWBQXAWCWEXAXDGWFXAXQTXRXCVBXCTWGYGXCXHDEIXRXCSXTLXSWHTXRXCWIWJXAUUAU
      BXDWKWQWLWTWSYBYTXOUIYEEYPYAXOGXDYDPYSXOSZWMUPWNWOXHCDEXOXGHXJLXTYOOKUUBW
      PWR $.
  $}

  ${
    deg1submon1p.d $e |- D = ( deg1 ` R ) $.
    deg1submon1p.o $e |- O = ( Monic1p ` R ) $.
    deg1submon1p.p $e |- P = ( Poly1 ` R ) $.
    deg1submon1p.m $e |- .- = ( -g ` P ) $.
    deg1submon1p.r $e |- ( ph -> R e. Ring ) $.
    deg1submon1p.f1 $e |- ( ph -> F e. O ) $.
    deg1submon1p.f2 $e |- ( ph -> ( D ` F ) = X ) $.
    deg1submon1p.g1 $e |- ( ph -> G e. O ) $.
    deg1submon1p.g2 $e |- ( ph -> ( D ` G ) = X ) $.
    $( The difference of two monic polynomials of the same degree is a
       polynomial of lesser degree.  (Contributed by Stefan O'Rear,
       28-Mar-2015.) $)
    deg1submon1p $p |- ( ph -> ( D ` ( F .- G ) ) < X ) $=
      ( cfv wcel cco1 cbs cn0 crg c0g wne mon1pcl syl mon1pn0 deg1nn0cl syl3anc
      eqid eqeltrrd cle nn0red leidd eqbrtrd cur fveq2d mon1pldg eqtr3d 3eqtr2d
      wceq deg1sublt ) AEUASZCUBSZFUASZBCDEFIGJLVFULZMAEBSZIUCPADUDTEVFTZECUESZ
      UFZVIUCTNAEHTZVJOVFCDEHLVHKUGUHZAVMVLOCDEHVKLVKULZKUIUHVFBCDEVKJLVOVHUJUK
      UMZNVNAVIIIUNPAIAIVPUOUPZUQAFHTZFVFTQVFCDFHLVHKUGUHAFBSZIIUNRVQUQVEULVGUL
      AIVESZDURSZVSVGSZIVGSAVIVESZVTWAAVIIVEPUSAVMWCWAVCOBDWAEHJWAULZKUTUHVAAVR
      WBWAVCQBDWAFHJWDKUTUHAVSIVGRUSVBVD $.
  $}

  ${
    $d B b f g p q r $.  $d D b f g p r $.  $d F f g q $.  $d G f g q $.
    $d .- b f g p r $.  $d P b f g p q $.  $d R b f g p q r $.
    $d .x. b f g p r $.
    q1pval.q $e |- Q = ( quot1p ` R ) $.
    q1pval.p $e |- P = ( Poly1 ` R ) $.
    q1pval.b $e |- B = ( Base ` P ) $.
    q1pval.d $e |- D = ( deg1 ` R ) $.
    q1pval.m $e |- .- = ( -g ` P ) $.
    q1pval.t $e |- .x. = ( .r ` P ) $.
    $( Value of the univariate polynomial quotient function.  (Contributed by
       Stefan O'Rear, 28-Mar-2015.) $)
    q1pval $p |- ( ( F e. B /\ G e. B ) -> ( F Q G ) =
          ( iota_ q e. B ( D ` ( F .- ( q .x. G ) ) ) < ( D ` G ) ) ) $=
      ( vf cfv cvv wceq vg vr vp vb wcel wa clt wbr crio cmpo cpl1 elbasfv cq1p
      cv co cbs cmulr csg cdg1 csb fveq2 eqtr4di csbeq1d fvexi a1i adantl simpr
      ad2antrr ad2antlr eqidd oveqd oveq123d fveq12d fveq1d breq12d riotaeqbidv
      mpoeq123dv csbied eqtrd df-q1p mpoex fvmpt syl5eq syl id oveqan12d fveq2d
      oveq2 riotabidv simpl riotaex ovmpod ) GAUEZHAUEZUFZQUAGHAAQUNZJUNZUAUNZF
      UOZIUOZBRZWRBRZUGUHZJAUIZGWQHFUOZIUOZBRZHBRZUGUHZJAUIZDSWNDQUAAAXDUJZTZWM
      WNESUEZXLACUKHELMULXMDEUMRXKKUBEUCUBUNZUKRZUDUCUNZUPRZQUAUDUNZXRWPWQWRXPU
      QRZUOZXPURRZUOZXNUSRZRZWRYCRZUGUHZJXRUIZUJZUTZUTZXKSUMXNETZYJUCCYIUTXKYKU
      CXOCYIYKXOEUKRCXNEUKVALVBVCYKUCCYIXKSCSUEYKCEUKLVDVEYKXPCTZUFZYIUDAYHUTXK
      YMUDXQAYHYMXQCUPRZAYLXQYNTYKXPCUPVAVFMVBVCYMUDAYHXKSASUEYMACUPMVDZVEYMXRA
      TZUFZQUAXRXRYGAAXDYMYPVGZYRYQYFXCJXRAYRYQYDXAYEXBUGYQYBWTYCBYQYCEUSRZBYKY
      CYSTYLYPXNEUSVAVHNVBZYQWPWPXTWSYAIYQYACURRZIYLYAUUATYKYPXPCURVAVIOVBYQWPV
      JYQXSFWQWRYQXSCUQRZFYLXSUUBTYKYPXPCUQVAVIPVBVKVLVMYQWRYCBYTVNVOVPVQVRVSVR
      VSQUAUBJUCUDVTQUAAAXDYOYOWAWBWCWDVFWPGTZWRHTZUFZXDXJTWOUUEXCXIJAUUEXAXGXB
      XHUGUUEWTXFBUUCUUDWPGWSXEIUUCWEWRHWQFWHWFWGUUDXBXHTUUCWRHBVAVFVOWIVFWMWNW
      JWMWNVGXJSUEWOXIJAWKVEWL $.

    $d C q $.  $d D q $.  $d .- q $.  $d .x. q $.  $d X q $.
    q1peqb.c $e |- C = ( Unic1p ` R ) $.
    $( Characterizing property of the polynomial quotient.  (Contributed by
       Stefan O'Rear, 28-Mar-2015.) $)
    q1peqb $p |- ( ( R e. Ring /\ F e. B /\ G e. C ) ->
        ( ( X e. B /\ ( D ` ( F .- ( X .x. G ) ) ) < ( D ` G ) ) <->
          ( F Q G ) = X ) ) $=
      ( vq wcel crg w3a cvv co cfv clt wbr wa wceq elex adantr ovex eleq1 mpbii
      wi a1i wb cio simpr weu wreu cui c0g eqid simp1 simp2 uc1pcl 3ad2ant3 wne
      uc1pn0 cco1 uc1pldg ply1divalg2 df-reu sylib oveq2d fveq2d breq1d anbi12d
      cv oveq1 adantl iota2d crio q1pval syl2anc eqtrdi eqeq1d bitr4d pm5.21ndd
      df-riota ex ) FUATZHATZIBTZUBZKUCTZKATZHKIGUDZJUDZCUEZICUEZUFUGZUHZHIEUDZ
      KUIZXDWQUOWPWRWQXCKAUJUKUPXFWQUOWPXFXEUCTWQHIEULXEKUCUMUNUPWPWQXDXFUQWPWQ
      UHZXDSVTZATZHXHIGUDZJUDZCUEZXBUFUGZUHZSURZKUIXFXGXNXDSKUCWPWQUSWPXNSUTZWQ
      WPXMSAVAXPWPACDFGFVBUEZHIJDVCUEZSMONPXRVDZQWMWNWOVEWMWNWOVFZWOWMIATZWNABD
      FIMNRVGVHZWOWMIXRVIWNBDFIXRMXSRVJVHWOWMXBIVKUEUEXQTWNBCFXQIOXQVDZRVLVHYCV
      MXMSAVNVOUKXHKUIZXNXDUQXGYDXIWRXMXCXHKAUMYDXLXAXBUFYDXKWTCYDXJWSHJXHKIGWA
      VPVQVRVSWBWCXGXEXOKWPXEXOUIWQWPXEXMSAWDZXOWPWNYAXEYEUIXTYBACDEFGHIJSLMNOP
      QWEWFXMSAWKWGUKWHWIWLWJ $.
  $}

  ${
    q1pcl.q $e |- Q = ( quot1p ` R ) $.
    q1pcl.p $e |- P = ( Poly1 ` R ) $.
    q1pcl.b $e |- B = ( Base ` P ) $.
    q1pcl.c $e |- C = ( Unic1p ` R ) $.
    $( Closure of the quotient by a unitic polynomial.  (Contributed by Stefan
       O'Rear, 28-Mar-2015.) $)
    q1pcl $p |- ( ( R e. Ring /\ F e. B /\ G e. C ) -> ( F Q G ) e. B ) $=
      ( crg wcel w3a co cmulr cfv csg cdg1 eqid clt wbr wa q1peqb mpbiri simpld
      wceq ) ELMFAMGBMNZFGDOZAMZFUIGCPQZOCRQZOESQZQGUMQUAUBZUHUJUNUCUIUIUGUITAB
      UMCDEUKFGULUIHIJUMTULTUKTKUDUEUF $.
  $}

  ${
    r1pval.e $e |- E = ( rem1p ` R ) $.
    r1pval.p $e |- P = ( Poly1 ` R ) $.
    r1pval.b $e |- B = ( Base ` P ) $.
    ${
      $d B b f g r $.  $d F f g $.  $d G f g $.  $d .- b f g r $.
      $d Q b f g r $.  $d R b f g r $.  $d .x. b f g r $.
      r1pval.q $e |- Q = ( quot1p ` R ) $.
      r1pval.t $e |- .x. = ( .r ` P ) $.
      r1pval.m $e |- .- = ( -g ` P ) $.
      $( Value of the polynomial remainder function.  (Contributed by Stefan
         O'Rear, 28-Mar-2015.) $)
      r1pval $p |- ( ( F e. B /\ G e. B ) -> ( F E G ) =
          ( F .- ( ( F Q G ) .x. G ) ) ) $=
        ( vf vg co wceq cfv vr vb wcel wa cvv cmpo cpl1 elbasfv adantr cr1p cbs
        cq1p cmulr csg csb fveq2 eqtr4di fveq2d csbeq1d fvexi simpr eqidd oveqd
        cv a1i oveq123d mpoeq123dv csbied eqtrd df-r1p mpoex fvmpt syl5eq simpl
        syl oveq12 oveq12d adantl ovexd ovmpod ) GAUCZHAUCZUDZPQGHAAPVDZWDQVDZC
        RZWEERZIRZGGHCRZHERZIRZFUEWCDUEUCZFPQAAWHUFZSWAWLWBABUGGDKLUHUIWLFDUJTW
        MJUADUBUAVDZUGTZUKTZPQUBVDZWQWDWDWEWNULTZRZWEWOUMTZRZWOUNTZRZUFZUOZWMUE
        UJWNDSZXEUBAXDUOWMXFUBWPAXDXFWPBUKTAXFWOBUKXFWODUGTBWNDUGUPKUQZURLUQUSX
        FUBAXDWMUEAUEUCXFABUKLUTZVEXFWQASZUDPQWQWQXCAAWHXFXIVAZXJXFXCWHSXIXFWDW
        DXAWGXBIXFXBBUNTIXFWOBUNXGUROUQXFWDVBXFWSWFWEWEWTEXFWTBUMTEXFWOBUMXGURN
        UQXFWRCWDWEXFWRDULTCWNDULUPMUQVCXFWEVBVFVFUIVGVHVIPQUAUBVJPQAAWHXHXHVKV
        LVMVOWDGSZWEHSZUDZWHWKSWCXMWDGWGWJIXKXLVNXMWFWIWEHEWDGWEHCVPXKXLVAVQVQV
        RWAWBVNWAWBVAWCGWJIVSVT $.
    $}

    r1pcl.c $e |- C = ( Unic1p ` R ) $.
    $( Closure of remainder following division by a unitic polynomial.
       (Contributed by Stefan O'Rear, 28-Mar-2015.) $)
    r1pcl $p |- ( ( R e. Ring /\ F e. B /\ G e. C ) -> ( F E G ) e. B ) $=
      ( crg wcel w3a co cq1p cfv cmulr eqid syl3anc wceq uc1pcl 3ad2ant3 r1pval
      csg simp2 syl2anc cgrp ply1ring 3ad2ant1 ringgrp syl q1pcl ringcl eqeltrd
      grpsubcl ) DLMZFAMZGBMZNZFGEOZFFGDPQZOZGCRQZOZCUEQZOZAUTURGAMZVAVGUAUQURU
      SUFZUSUQVHURABCDGIJKUBUCZACVBDVDEFGVFHIJVBSZVDSZVFSZUDUGUTCUHMZURVEAMZVGA
      MUTCLMZVNUQURVPUSCDIUIUJZCUKULVIUTVPVCAMVHVOVQABCVBDFGVKIJKUMVJACVDVCGJVL
      UNTACVFFVEJVMUPTUO $.

    r1pdeglt.d $e |- D = ( deg1 ` R ) $.
    $( The remainder has a degree smaller than the divisor.  (Contributed by
       Stefan O'Rear, 28-Mar-2015.) $)
    r1pdeglt $p |- ( ( R e. Ring /\ F e. B /\ G e. C ) ->
        ( D ` ( F E G ) ) < ( D ` G ) ) $=
      ( crg wcel co cfv clt wceq eqid w3a cq1p cmulr csg uc1pcl 3ad2ant3 r1pval
      simp2 syl2anc fveq2d wbr wa q1peqb mpbiri simprd eqbrtrd ) ENOZGAOZHBOZUA
      ZGHFPZCQGGHEUBQZPZHDUCQZPDUDQZPZCQZHCQZRUTVAVFCUTURHAOZVAVFSUQURUSUHUSUQV
      IURABDEHJKLUEUFADVBEVDFGHVEIJKVBTZVDTZVETZUGUIUJUTVCAOZVGVHRUKZUTVMVNULVC
      VCSVCTABCDVBEVDGHVEVCVJJKMVLVKLUMUNUOUP $.
  $}

  ${
    r1pid.p $e |- P = ( Poly1 ` R ) $.
    r1pid.b $e |- B = ( Base ` P ) $.
    r1pid.c $e |- C = ( Unic1p ` R ) $.
    r1pid.q $e |- Q = ( quot1p ` R ) $.
    r1pid.e $e |- E = ( rem1p ` R ) $.
    r1pid.t $e |- .x. = ( .r ` P ) $.
    r1pid.m $e |- .+ = ( +g ` P ) $.
    $( Express the original polynomial ` F ` as ` F = ( q x. G ) + r ` using
       the quotient and remainder functions for ` q ` and ` r ` .  (Contributed
       by Mario Carneiro, 5-Jun-2015.) $)
    r1pid $p |- ( ( R e. Ring /\ F e. B /\ G e. C ) ->
      F = ( ( ( F Q G ) .x. G ) .+ ( F E G ) ) ) $=
      ( wcel co syl3anc crg w3a csg wceq uc1pcl eqid r1pval sylan2 3adant1 cabl
      cfv oveq2d ply1ring 3ad2ant1 ringabl syl q1pcl 3ad2ant3 ringcl cgrp simp2
      ringgrp grpsubcl ablcom grpnpcan 3eqtrrd ) FUARZIARZJBRZUBZIJESZJGSZIJHSZ
      DSVLIVLCUCUKZSZDSZVOVLDSZIVJVMVOVLDVHVIVMVOUDZVGVIVHJARZVRABCFJKLMUEZACEF
      GHIJVNOKLNPVNUFZUGUHUIULVJCUJRZVLARZVOARZVPVQUDVJCUARZWBVGVHWEVICFKUMUNZC
      UOUPVJWEVKARVSWCWFABCEFIJNKLMUQVIVGVSVHVTURACGVKJLPUSTZVJCUTRZVHWCWDVJWEW
      HWFCVBUPZVGVHVIVAZWGACVNIVLLWAVCTADCVLVOLQVDTVJWHVHWCVQIUDWIWJWGADCVNIVLL
      QWAVETVF $.
  $}

  ${
    dvdsq1p.p $e |- P = ( Poly1 ` R ) $.
    dvdsq1p.d $e |- .|| = ( ||r ` P ) $.
    dvdsq1p.b $e |- B = ( Base ` P ) $.
    dvdsq1p.c $e |- C = ( Unic1p ` R ) $.
    ${
      $d B q $.  $d C q $.  $d F q $.  $d G q $.  $d P q $.  $d Q q $.
      $d R q $.  $d .x. q $.
      dvdsq1p.t $e |- .x. = ( .r ` P ) $.
      dvdsq1p.q $e |- Q = ( quot1p ` R ) $.
      $( Divisibility in a polynomial ring is witnessed by the quotient.
         (Contributed by Stefan O'Rear, 28-Mar-2015.) $)
      dvdsq1p $p |- ( ( R e. Ring /\ F e. B /\ G e. C ) -> ( G .|| F <->
            F = ( ( F Q G ) .x. G ) ) ) $=
        ( vq wcel co wceq cfv crg w3a wbr cv wrex wb uc1pcl 3ad2ant3 dvdsr2 syl
        wa eqcom simprr csg cdg1 clt simprl cmnf c0g cgrp simpl1 ringgrp simpl2
        ply1ring simpr adantr ringcl syl3anc eqid grpsubeq0 biimprd impr fveq2d
        deg1z eqtrd cr cn0 uc1pdeg 3adant2 nn0red mnfltd q1peqb mpbi2and oveq1d
        eqbrtrd eqtr4d expr syl5bi rexlimdva sylbid dvdsrmul syl2anc syl5ibrcom
        q1pcl breq2 impbid ) FUAQZHAQZIBQZUBZIHCUCZHHIERZIGRZSZWTXAPUDZIGRZHSZP
        AUEZXDWTIAQZXAXHUFWSWQXIWRABDFIJLMUGUHZPACDGIHLKNUIUJWTXGXDPAXGHXFSZWTX
        EAQZUKZXDXFHULWTXLXKXDWTXLXKUKZUKZHXFXCWTXLXKUMXOXBXEIGXOXLHXFDUNTZRZFU
        OTZTZIXRTZUPUCZXBXESZWTXLXKUQXOXSURXTUPXOXSDUSTZXRTZURXOXQYCXRWTXLXKXQY
        CSZXMYEXKXMDUTQZWRXFAQZYEXKUFXMDUAQZYFXMWQYHWQWRWSXLVADFJVDUJZDVBUJWQWR
        WSXLVCXMYHXLXIYGYIWTXLVEWTXIXLXJVFADGXEILNVGVHADXPHXFYCLYCVIZXPVIZVJVHV
        KVLVMXOWQYDURSWQWRWSXNVAXRDFYCXRVIZJYJVNUJVOXOXTWTXTVPQXNWTXTWQWSXTVQQW
        RBXRFIYLMVRVSVTVFWAWEWTXLYAUKYBUFXNABXRDEFGHIXPXEOJLYLYKNMWBVFWCWDWFWGW
        HWIWJWTXAXDIXCCUCZWTXIXBAQYMXJABDEFHIOJLMWNACDGIXBLKNWKWLHXCICWOWMWP $.
    $}

    ${
      dvdsr1p.z $e |- .0. = ( 0g ` P ) $.
      dvdsr1p.e $e |- E = ( rem1p ` R ) $.
      $( Divisibility in a polynomial ring in terms of the remainder.
         (Contributed by Stefan O'Rear, 28-Mar-2015.) $)
      dvdsr1p $p |- ( ( R e. Ring /\ F e. B /\ G e. C ) -> ( G .|| F <->
            ( F E G ) = .0. ) ) $=
        ( wcel cfv co wceq eqid crg w3a cq1p cmulr csg wbr wb ply1ring 3ad2ant1
        ringgrp syl simp2 q1pcl uc1pcl 3ad2ant3 ringcl syl3anc grpsubeq0 r1pval
        cgrp syl2anc eqeq1d dvdsq1p 3bitr4rd ) EUAPZGAPZHBPZUBZGGHEUCQZRZHDUDQZ
        RZDUEQZRZISZGVLSZGHFRZISHGCUFVHDUTPZVFVLAPZVOVPUGVHDUAPZVRVEVFVTVGDEJUH
        UIZDUJUKVEVFVGULZVHVTVJAPHAPZVSWAABDVIEGHVITZJLMUMVGVEWCVFABDEHJLMUNUOZ
        ADVKVJHLVKTZUPUQADVMGVLILNVMTZURUQVHVQVNIVHVFWCVQVNSWBWEADVIEVKFGHVMOJL
        WDWFWGUSVAVBABCDVIEVKGHJKLMWFWDVCVD $.
    $}
  $}

  ${
    $d x A $.  $d x G $.  $d x K $.  $d x N $.  $d x O $.  $d x P $.  $d x R $.
    $d x ph $.  $d x .0. $.
    ply1rem.p $e |- P = ( Poly1 ` R ) $.
    ply1rem.b $e |- B = ( Base ` P ) $.
    ply1rem.k $e |- K = ( Base ` R ) $.
    ply1rem.x $e |- X = ( var1 ` R ) $.
    ply1rem.m $e |- .- = ( -g ` P ) $.
    ply1rem.a $e |- A = ( algSc ` P ) $.
    ply1rem.g $e |- G = ( X .- ( A ` N ) ) $.
    ply1rem.o $e |- O = ( eval1 ` R ) $.
    ply1rem.1 $e |- ( ph -> R e. NzRing ) $.
    ply1rem.2 $e |- ( ph -> R e. CRing ) $.
    ply1rem.3 $e |- ( ph -> N e. K ) $.
    ${
      ply1rem.u $e |- U = ( Monic1p ` R ) $.
      ply1rem.d $e |- D = ( deg1 ` R ) $.
      ply1rem.z $e |- .0. = ( 0g ` R ) $.
      $( A term of the form ` x - N ` is linear, monic, and has exactly one
         zero.  (Contributed by Mario Carneiro, 12-Jun-2015.) $)
      ply1remlem $p |- ( ph ->
         ( G e. U /\ ( D ` G ) = 1 /\ ( `' ( O ` G ) " { .0. } ) = { N } ) ) $=
        ( vx wcel cfv wceq ccnv csn cima c0g wne cco1 cur cgrp crg cnzr nzrring
        c1 co syl ply1ring ringgrp vr1cl wf ply1sclf ffvelrnd grpsubcl eqeltrid
        syl3anc cn0 fveq2i clt cc0 cxr deg1xrcl 0xr a1i 1re rexr mp1i deg1sclle
        cle wbr syl2anc 0lt1 xrlelttrd cmgp cmg eqid mgpbas mulg1 fveq2d deg1pw
        cr 1nn0 sylancl eqtr3d breqtrrd deg1sub syl5eq eqtrd eqeltrdi wb mpbird
        deg1nn0clb csg fveq1i coe1subfv syl31anc cvsca csca oveq2d oveq1d clmod
        ply1sca ply1lmod lmodvs1 3eqtrd fveq1d coe1tmfv1 cv cif coe1scl ax-1ne0
        ringidcl cmpt neeq1 mpbiri ifnefalse fvex wa adantr cbs cvv fvmpt ax-mp
        eqtrdi oveq12d grpsubid1 ismon1p syl3anbrc ccrg simpr evl1vard evl1scad
        evl1subd simprd eqeq1d grpsubeq0 bitrd velsn bitr4di pm5.32da wfn fvexi
        cpws crh evl1rhm rhmf pwselbas ffnd fniniseg snssd sseld pm4.71rd eqrdv
        3bitr4d 3jca ) AHGUJZHDUKZVDULHLUKZUMNUNUOZKUNZULAHCUJZHEUPUKZUQZUVPHUR
        UKZUKZFUSUKZULUVOAHMKBUKZJVEZCUAAEUTUJZMCUJZUWFCUJZUWGCUJZAEVAUJZUWHAFV
        AUJZUWLAFVBUJZUWMUCFVCVFZEFOVGVFEVHVFAUWMUWIUWOCEFMROPVIVFZAICKBAUWMICB
        VJUWOBCEFIOTQPVKVFUEVLZCEJMUWFPSVMVOVNZAUWBUVPVPUJZAUVPVDVPAUVPMDUKZVDA
        UVPUWGDUKUWTHUWGDUAVQACDFMUWFJEOUGUWOPSUWPUWQAUWFDUKZVDUWTVRAUXAVSVDAUW
        JUXAVTUJUWQCDEFUWFUGOPWAVFVSVTUJAWBWCVDWTUJVDVTUJAWDVDWEWFAUWMKIUJZUXAV
        SWHWIUWOUEBDEFKIUGOQTWGWJVSVDVRWIAWKWCWLAVDMEWMUKZWNUKZVEZDUKZUWTVDAUXE
        MDAUWIUXEMULUWPCUXDUXCMCEUXCUXCWOZPWPUXDWOZWQVFZWRAUWNVDVPUJZUXFVDULUCX
        ADEFUXDVDUXCMUGORUXGUXHWSXBXCZXDXEXFUXKXGZXAXHAUWMUVTUWBUWSXIUWOUWRCDEF
        HUWAUGOUWAWOZPXKWJXJAUWDVDUWCUKZVDMURUKZUKZVDUWFURUKZUKZFXLUKZVEZUWEAUV
        PVDUWCUXLWRAUXNVDUWGURUKZUKZUXTVDUWCUYAHUWGURUAVQXMAUWMUWIUWJUXJUYBUXTU
        LUWOUWPUWQUXJAXAWCZCFMUWFJUXSVDEOPSUXSWOZXNXOXFAUXTUWEFUPUKZUXSVEZUWEAU
        XPUWEUXRUYEUXSAVDUWEUXEEXPUKZVEZURUKZUKZUXPUWEAVDUYIUXOAUYHMURAUYHUWEMU
        YGVEEXQUKZUSUKZMUYGVEZMAUXEMUWEUYGUXIXRAUWEUYLMUYGAFUYKUSAUWNFUYKULUCEF
        VBOYAVFWRXSAEXTUJZUWIUYMMULAUWMUYNUWOEFOYBVFUWPUYGUYLUYKCEMPUYKWOUYGWOZ
        UYLWOYCWJYDWRYEAUWMUWEIUJZUXJUYJUWEULUWOAUWMUYPUWOIFUWEQUWEWOZYKVFZUYCU
        WEVDEFUYGUXDIUXCMNUHQORUYOUXGUXHYFVOXCAUXRVDUIVPUIYGZVSULKUYEYHZYLZUKZU
        YEAVDUXQVUAAUWMUXBUXQVUAULUWOUEUIBEFIKUYEOTQUYEWOZYIWJYEUXJVUBUYEULXAUI
        VDUYTUYEVPVUAUYSVDULZUYSVSUQZUYTUYEULVUDVUEVDVSUQYJUYSVDVSYMYNUYSVSKUYE
        YOVFVUAWOFUPYPUUAUUBUUCUUDAFUTUJZUYPUYFUWEULAUWMVUFUWOFVHVFZUYRIFUXSUWE
        UYEQVUCUYDUUEWJXGYDCDEFUWEHGUWAOPUXMUGUFUYQUUFUUGUXLAUIUVRUVSAUYSIUJZUY
        SUVQUKZNULZYQZVUHUYSUVSUJZYQUYSUVRUJZVULAVUHVUJVULAVUHYQZVUJUYSKULZVULV
        UNVUJUYSKUXSVEZNULZVUOVUNVUIVUPNVUNVUIUYSUWGLUKZUKZVUPUYSUVQVURHUWGLUAV
        QXMVUNUWKVUSVUPULVUNIUXSEFCMJUWFLUYSKUYSUBOQPAFUUHUJZVUHUDYRZAVUHUUIZVU
        NIEFCLMUYSUBRQOPVVAVVBUUJVUNBIEFCLKUYSUBOQTPVVAAUXBVUHUEYRZVVBUUKSUYDUU
        LUUMXFUUNVUNVUFVUHUXBVUQVUOXIAVUFVUHVUGYRVVBVVCIFUXSUYSKNQUHUYDUUOVOUUP
        UIKUUQUURUUSAUVQIUUTVUMVUKXIAIIUVQAIFIFIUVBVEZYSUKZVBUVQVVDYTVVDWOZQVVE
        WOZUCIYTUJAIFYSQUVAWCACVVEHLALEVVDUVCVEUJZCVVELVJAVUTVVHUDIEFVVDLUBOVVF
        QUVDVFCVVEEVVDLPVVGUVEVFUWRVLUVFUVGINUYSUVQUVHVFAVULVUHAUVSIUYSAKIUEUVI
        UVJUVKUVMUVLUVN $.
    $}

    ply1rem.4 $e |- ( ph -> F e. B ) $.
    ${
      ply1rem.e $e |- E = ( rem1p ` R ) $.
      $( The polynomial remainder theorem, or little B&eacute;zout's theorem
         (by contrast to the regular B&eacute;zout's theorem ~ bezout ).  If a
         polynomial ` F ` is divided by the linear factor ` x - A ` , the
         remainder is equal to ` F ( A ) ` , the evaluation of the polynomial
         at ` A ` (interpreted as a constant polynomial).  (Contributed by
         Mario Carneiro, 12-Jun-2015.) $)
      ply1rem $p |- ( ph ->
        ( F E G ) = ( A ` ( ( O ` F ) ` N ) ) ) $=
        ( co cc0 cco1 cfv cdg1 cle wbr wceq cn0 wcel csn c1 caddc clt crg cuc1p
        cmnf cnzr nzrring syl cmn1 ccnv c0g cima eqid ply1remlem simp1d syl2anc
        mon1puc1p r1pdeglt syl3anc simp2d breqtrd 1e0p1 breqtrdi 0nn0 nn0leltp1
        wb mpan2 syl5ibrcom wi elsni cxr 0xr mnfle ax-mp eqbrtrdi a1i cun r1pcl
        deg1cl elun sylib mpjaod deg1le0 mpbid cq1p cmulr cplusg cof cpws r1pid
        wo fveq2d cghm ccrg evl1rhm rhmghm ply1ring q1pcl mon1pcl ringcl ghmlin
        crh cbs cvv fvexi rhmf ffvelrnd pwsplusgval 3eqtrd fveq1d pwselbas ffnd
        wf wfn fnfvof syl22anc rhmmul pwsmulrval eqtrd wa snidg simp3d eleqtrrd
        fniniseg simprd oveq2d ringrz oveq1d ringgrp grplid cxp ffvelrn sylancl
        cgrp coe1f evl1sca fvex fvconst2 eqtr4d ) AGHFUGZUHUURUIUJZUJZBUJZKGLUJ
        ZUJZBUJAUUREUKUJZUJZUHULUMZUURUVAUNZAUVEUOUPZUVFUVEVCUQZUPZAUVFUVHUVEUH
        URUSUGZUTUMZAUVEURUVKUTAUVEHUVDUJZURUTAEVAUPZGCUPZHEVBUJZUPZUVEUVMUTUMA
        EVDUPUVNUBEVEVFZUEAUVNHEVGUJZUPZUVQUVRAUVTUVMURUNZHLUJZVHEVIUJZUQVJZKUQ
        ZUNZABCUVDDEUVSHIJKLMUWCNOPQRSTUAUBUCUDUVSVKZUVDVKZUWCVKZVLZVMZUVPEUVSH
        UVPVKZUWGVOVNZCUVPUVDDEFGHUFNOUWLUWHVPVQAUVTUWAUWFUWJVRVSVTWAUVHUHUOUPZ
        UVFUVLWDWBUVEUHWCWEWFUVJUVFWGAUVJUVEVCUHULUVEVCWHUHWIUPVCUHULUMWJUHWKWL
        WMWNAUVEUOUVIWOUPZUVHUVJXIAUURCUPZUWOAUVNUVOUVQUWPUVRUEUWMCUVPDEFGHUFNO
        UWLWPVQZCUVDDEUURUWHNOWQVFUVEUOUVIWRWSWTAUVNUWPUVFUVGWDUVRUWQBCUVDDEUUR
        UWHNOSXAVNXBZAUVCUUTBAUVCKGHEXCUJZUGZHDXDUJZUGZLUJZUURLUJZEXEUJZXFUGZUJ
        ZKUXDUJZUUTAKUVBUXFAUVBUXBUURDXEUJZUGZLUJZUXCUXDEIXGUGZXEUJZUGZUXFAGUXJ
        LAUVNUVOUVQGUXJUNUVRUEUWMCUVPDUXIUWSEUXAFGHNOUWLUWSVKZUFUXAVKZUXIVKZXHV
        QXJALDUXLXKUGUPZUXBCUPZUWPUXKUXNUNALDUXLXTUGUPZUXRAEXLUPZUXTUCIDEUXLLUA
        NUXLVKZPXMVFZDUXLLXNVFADVAUPZUWTCUPZHCUPZUXSAUVNUYDUVRDENXOVFAUVNUVOUVQ
        UYEUVRUEUWMCUVPDUWSEGHUXONOUWLXPVQZAUVTUYFUWKCDEHUVSNOUWGXQVFZCDUXAUWTH
        OUXPXRVQZUWQUXIUXMDUXLUXBLUURCOUXQUXMVKZXSVQAUXLYAUJZUXEUXMEUXCUXDIVDYB
        UXLUYBUYKVKZUBIYBUPZAIEYAPYCWNZACUYKUXBLAUXTCUYKLYKUYCCUYKDUXLLOUYLYDVF
        ZUYIYEZACUYKUURLUYOUWQYEZUXEVKZUYJYFYGYHAUXGKUXCUJZUXHUXEUGZUWCUXHUXEUG
        ZUXHAUXCIYLUXDIYLUYMKIUPZUXGUYTUNAIIUXCAIEIUYKVDUXCUXLYBUYBPUYLUBUYNUYP
        YIYJAIIUXDAIEIUYKVDUXDUXLYBUYBPUYLUBUYNUYQYIZYJUYNUDIUXEUXCUXDYBKYMYNAU
        YSUWCUXHUXEAUYSKUWTLUJZUWBEXDUJZXFUGZUJZKVUDUJZKUWBUJZVUEUGZUWCAKUXCVUF
        AUXCVUDUWBUXLXDUJZUGZVUFAUXTUYEUYFUXCVULUNUYCUYGUYHUWTHDUXLUXAVUKLCOUXP
        VUKVKZYOVQAUYKEVUKVUEVUDUWBIVDYBUXLUYBUYLUBUYNACUYKUWTLUYOUYGYEZACUYKHL
        UYOUYHYEZVUEVKZVUMYPYQYHAVUDIYLUWBIYLZUYMVUBVUGVUJUNAIIVUDAIEIUYKVDVUDU
        XLYBUYBPUYLUBUYNVUNYIZYJAIIUWBAIEIUYKVDUWBUXLYBUYBPUYLUBUYNVUOYIYJZUYNU
        DIVUEVUDUWBYBKYMYNAVUJVUHUWCVUEUGZUWCAVUIUWCVUHVUEAVUBVUIUWCUNZAKUWDUPZ
        VUBVVAYRZAKUWEUWDAVUBKUWEUPUDKIYSVFAUVTUWAUWFUWJYTUUAAVUQVVBVVCWDVUSIUW
        CKUWBUUBVFXBUUCUUDAUVNVUHIUPVUTUWCUNUVRAIIKVUDVURUDYEIEVUEVUHUWCPVUPUWI
        UUEVNYQYGUUFAEUULUPZUXHIUPVUAUXHUNAUVNVVDUVREUUGVFAIIKUXDVUCUDYEIUXEEUX
        HUWCPUYRUWIUUHVNYGAUXHKIUUTUQUUIZUJZUUTAKUXDVVEAUXDUVALUJZVVEAUURUVALUW
        RXJAUYAUUTIUPZVVGVVEUNUCAUOIUUSYKZUWNVVHAUWPVVIUWQUUSCDEUURIUUSVKONPUUM
        VFWBUOIUHUUSUUJUUKBIDELUUTUANPSUUNVNYQYHAVUBVVFUUTUNUDIUUTKUHUUSUUOUUPV
        FYQYGXJUUQ $.
    $}

    facth1.z $e |- .0. = ( 0g ` R ) $.
    facth1.d $e |- .|| = ( ||r ` P ) $.
    $( The factor theorem and its converse.  A polynomial ` F ` has a root at
       ` A ` iff ` G = x - A ` is a factor of ` F ` .  (Contributed by Mario
       Carneiro, 12-Jun-2015.) $)
    facth1 $p |- ( ph -> ( G .|| F <-> ( ( O ` F ) ` N ) = .0. ) ) $=
      ( wbr cr1p cfv co c0g wceq crg wcel cuc1p cnzr nzrring syl cmn1 cdg1 ccnv
      csn cima eqid ply1remlem simp1d mon1puc1p syl2anc dvdsr1p syl3anc ply1rem
      ply1scl0 eqcomd eqeq12d wf1 ply1sclf1 fveval1fvcl ring0cl f1fveq syl12anc
      wb c1 3bitrd ) AHGDUIZGHFUJUKZULZEUMUKZUNZKGLUKUKZBUKZNBUKZUNZWKNUNZAFUOU
      PZGCUPHFUQUKZUPZWFWJWCAFURUPWPUCFUSUTZUFAWPHFVAUKZUPZWRWSAXAHFVBUKZUKWDUN
      HLUKVCNVDVEKVDUNABCXBEFWTHIJKLMNOPQRSTUAUBUCUDUEWTVFZXBVFUGVGVHWQFWTHWQVF
      ZXCVIVJCWQDEFWGGHWIOUHPXDWIVFZWGVFZVKVLAWHWLWIWMABCEFWGGHIJKLMOPQRSTUAUBU
      CUDUEUFXFVMAWMWIAWPWMWIUNWSBEFWINOTUGXEVNUTVOVPAICBVQZWKIUPNIUPZWNWOWCAWP
      XGWSBCEFIOTQPVRUTAIEFCGLKUBOQPUDUEUFVSAWPXHWSIFNQUGVTUTICWKNBWAWBWE $.
  $}

  ${
    $d d f g x B $.  $d d f g x D $.  $d f g x F $.  $d g N $.  $d d f g x O $.
    $d g x G $.  $d g P $.  $d x ph $.  $d d f g x R $.  $d d f g x W $.
    $d x T $.
    fta1g.p $e |- P = ( Poly1 ` R ) $.
    fta1g.b $e |- B = ( Base ` P ) $.
    fta1g.d $e |- D = ( deg1 ` R ) $.
    fta1g.o $e |- O = ( eval1 ` R ) $.
    fta1g.w $e |- W = ( 0g ` R ) $.
    fta1g.z $e |- .0. = ( 0g ` P ) $.
    fta1g.1 $e |- ( ph -> R e. IDomn ) $.
    fta1g.2 $e |- ( ph -> F e. B ) $.
    ${
      fta1glem.k $e |- K = ( Base ` R ) $.
      fta1glem.x $e |- X = ( var1 ` R ) $.
      fta1glem.m $e |- .- = ( -g ` P ) $.
      fta1glem.a $e |- A = ( algSc ` P ) $.
      fta1glem.g $e |- G = ( X .- ( A ` T ) ) $.
      fta1glem.3 $e |- ( ph -> N e. NN0 ) $.
      fta1glem.4 $e |- ( ph -> ( D ` F ) = ( N + 1 ) ) $.
      fta1glem.5 $e |- ( ph -> T e. ( `' ( O ` F ) " { W } ) ) $.
      $( Lemma for ~ fta1g .  (Contributed by Mario Carneiro, 7-Jun-2016.) $)
      fta1glem1 $p |- ( ph -> ( D ` ( F ( quot1p ` R ) G ) ) = N ) $=
        ( c1 cq1p cfv co 1cnd crg wcel wne cnzr cidom ccrg cdomn isidom domnnzr
        cn0 simplbiim syl nzrring cuc1p cmn1 wceq ccnv csn cima simplbi wa cpws
        wfn wb cbs cvv eqid fvexi a1i crh wf evl1rhm ffvelrnd pwselbas fniniseg
        rhmf ffnd mpbid simpld ply1remlem mon1puc1p syl2anc q1pcl syl3anc cmulr
        simp1d caddc peano2nn0 eqeltrd deg1nn0clb mpbird cdsr wbr simprd facth1
        dvdsq1p eqcomd ply1crng crngring mon1pcl ringlz 3netr4d oveq1 deg1nn0cl
        necon3i nn0cnd crngcom eqtrd fveq2d crlreg simp2d 1nn0 eqeltrdi cui wss
        cco1 unitrrg uc1pldg sseldd deg1mul2 3eqtr3d cc ax-1cn sylancl 3eqtr3rd
        addcom oveq1d addcanad ) AUMHIFUNUOZUPZDUOZLAUQAUUHAFURUSZUUGCUSZUUGPUT
        ZUUHVGUSAFVAUSZUUIAFVBUSZUULUCUUMFVCUSZFVDUSZUULFVEZFVFVHVIZFVJVIZAUUIH
        CUSZIFVKUOZUSZUUJUURUDAUUIIFVLUOZUSZUVAUURAUVCIDUOZUMVMZIMUOVNNVOZVPGVO
        VMZABCDEFUVBIJKGMONQRUEUFUGUHUITUUQAUUMUUNUCUUMUUNUUOUUPVQVIZAGJUSZGHMU
        OZUONVMZAGUVJVNUVFVPUSZUVIUVKVRZULAUVJJVTUVLUVMWAAJJUVJAJFJFJVSUPZWBUOZ
        VBUVJUVNWCUVNWDZUEUVOWDZUCJWCUSAJFWBUEWEWFACUVOHMAMEUVNWGUPUSZCUVOMWHAU
        UNUVRUVHJEFUVNMTQUVPUEWIVICUVOEUVNMRUVQWMVIUDWJWKWNJNGUVJWLVIWOZWPZUVBW
        DZSUAWQZXCZUUTFUVBIUUTWDZUWAWRWSZCUUTEUUFFHIUUFWDZQRUWDWTXAZAUUGIEXBUOZ
        UPZPIUWHUPZUTUUKAHPUWIUWJAHPUTZHDUOZVGUSZAUWLLUMXDUPZVGUKALVGUSUWNVGUSU
        JLXEVIXFAUUIUUSUWKUWMWAUURUDCDEFHPSQUBRXGWSXHAHUWIAIHEXIUOZXJZHUWIVMZAU
        WPUVKAUVIUVKUVSXKABCUWOEFHIJKGMONQRUEUFUGUHUITUUQUVHUVTUDUAUWOWDZXLXHAU
        UIUUSUVAUWPUWQWAUURUDUWECUUTUWOEUUFFUWHHIQUWRRUWDUWHWDZUWFXMXAWOZXNAEUR
        USZICUSZUWJPVMAEVCUSZUXAAUUNUXCUVHEFQXOVIZEXPVIAUVCUXBUWCCEFIUVBQRUWAXQ
        VIZCEUWHIPRUWSUBXRWSXSUUGPUWIUWJUUGPIUWHXTYBVIZCDEFUUGPSQUBRYAXAYCALUJY
        CZAUWNUVDUUHXDUPZUMLXDUPZUMUUHXDUPAUWLIUUGUWHUPZDUOUWNUXHAHUXJDAHUWIUXJ
        UWTAUXCUUJUXBUWIUXJVMUXDUWGUXECEUWHUUGIRUWSYDXAYEYFUKACDEFUWHFYGUOZIUUG
        PSQUXKWDZRUWSUBUURUXEAIPUTZUVDVGUSZAUVDUMVGAUVCUVEUVGUWBYHZYIYJAUUIUXBU
        XMUXNWAUURUXECDEFIPSQUBRXGWSXHAFYKUOZUXKUVDIYMUOUOZAUUIUXPUXKYLUURFUXPU
        XKUXLUXPWDZYNVIAUVAUXQUXPUSUWEUUTDFUXPISUXRUWDYOVIYPUWGUXFYQYRALYSUSUMY
        SUSUWNUXIVMUXGYTLUMUUCUUAAUVDUMUUHXDUXOUUDUUBUUE $.

      fta1glem.6 $e |- ( ph -> A. g e. B ( ( D ` g ) = N ->
        ( # ` ( `' ( O ` g ) " { W } ) ) <_ ( D ` g ) ) ) $.
      $( Lemma for ~ fta1g .  (Contributed by Mario Carneiro, 12-Jun-2015.) $)
      fta1glem2 $p |- ( ph ->
        ( # ` ( `' ( O ` F ) " { W } ) ) <_ ( D ` F ) ) $=
        ( vx cfv ccnv csn cima chash cq1p co cun cle cv wcel wceq wa cmulr cpws
        wo cof cdsr wbr wfn wb cbs cidom cvv eqid fvexi a1i crh wf cdomn isidom
        ccrg simplbi syl rhmf ffvelrnd pwselbas ffnd fniniseg mpbid simprd cnzr
        evl1rhm simprbi domnnzr simpld facth1 crg cuc1p nzrring cmn1 ply1remlem
        mpbird c1 simp1d mon1puc1p syl2anc dvdsq1p syl3anc fveq2d q1pcl mon1pcl
        rhmmul pwsmulrval 3eqtrd fveq1d adantr fnfvof syl22anc eqeq1d ffvelrnda
        simpr eqtrd domneq0 bitrd caddc cfn cn0 wi fveq2 breqtrd sylancl hashcl
        nn0red cr pm5.32da andi bitrdi elun simp3d eleq2d bitr3d orbi12d syl5bb
        3bitr4d eqrdv fvex cnvex imaex fta1glem1 cnveqd imaeq1d breq12d imbi12d
        rspcdva mpd hashbnd snfi unfi peano2re peano2nn0 eqeltrd hashun2 oveq2d
        hashsng 1red leadd1dd breqtrrd letrd eqbrtrd ) AINUPZUQOURZUSZUTUPIJFVA
        UPZVBZNUPZUQZUVQUSZGURZVCZUTUPZIDUPZVDAUVRUWEUTAUOUVRUWEAUOVEZKVFZUWHUV
        PUPZOVGZVHZUWIUWHUWAUPZOVGZVHZUWIUWHJNUPZUPZOVGZVHZVKZUWHUVRVFZUWHUWEVF
        ZAUWLUWIUWNUWRVKZVHUWTAUWIUWKUXCAUWIVHZUWKUWMUWQFVIUPZVBZOVGZUXCUXDUWJU
        XFOUXDUWJUWHUWAUWPUXEVLVBZUPZUXFAUWJUXIVGUWIAUWHUVPUXHAUVPUVTJEVIUPZVBZ
        NUPZUWAUWPFKVJVBZVIUPZVBZUXHAIUXKNAJIEVMUPZVNZIUXKVGZAUXQGUVPUPOVGZAGKV
        FZUXSAGUVRVFZUXTUXSVHZUMAUVPKVOZUYAUYBVPAKKUVPAKFKUXMVQUPZVRUVPUXMVSUXM
        VTZUFUYDVTZUDKVSVFZAKFVQUFWAZWBZACUYDINANEUXMWCVBVFZCUYDNWDAFWGVFZUYJAF
        VRVFZUYKUDUYLUYKFWEVFZFWFZWHWIZKEFUXMNUARUYEUFWRWIZCUYDEUXMNSUYFWJWIZUE
        WKWLWMZKOGUVPWNWIWOZWPABCUXPEFIJKLGNPORSUFUGUHUIUJUAAUYLFWQVFZUDUYLUYMU
        YTUYLUYKUYMUYNWSZFWTWIWIZUYOAUXTUXSUYSXAZUEUBUXPVTZXBXHAFXCVFZICVFZJFXD
        UPZVFZUXQUXRVPAUYTVUEVUBFXEWIZUEAVUEJFXFUPZVFZVUHVUIAVUKJDUPXIVGZUWPUQU
        VQUSZUWDVGZABCDEFVUJJKLGNPORSUFUGUHUIUJUAVUBUYOVUCVUJVTZTUBXGZXJZVUGFVU
        JJVUGVTZVUOXKXLZCVUGUXPEUVSFUXJIJRVUDSVURUXJVTZUVSVTZXMXNWOXOAUYJUVTCVF
        ZJCVFZUXLUXOVGUYPAVUEVUFVUHVVBVUIUEVUSCVUGEUVSFIJVVARSVURXPXNZAVUKVVCVU
        QCEFJVUJRSVUOXQWIZUVTJEUXMUXJUXNNCSVUTUXNVTZXRXNAUYDFUXNUXEUWAUWPKVRVSU
        XMUYEUYFUDUYIACUYDUVTNUYQVVDWKZACUYDJNUYQVVEWKZUXEVTZVVFXSXTYAYBUXDUWAK
        VOZUWPKVOZUYGUWIUXIUXFVGAVVJUWIAKKUWAAKFKUYDVRUWAUXMVSUYEUFUYFUDUYIVVGW
        LZWMZYBAVVKUWIAKKUWPAKFKUYDVRUWPUXMVSUYEUFUYFUDUYIVVHWLZWMZYBUYGUXDUYHW
        BAUWIYGKUXEUWAUWPVSUWHYCYDYHYEUXDUYMUWMKVFUWQKVFUXGUXCVPAUYMUWIAUYLUYMU
        DVUAWIYBAKKUWHUWAVVLYFAKKUWHUWPVVNYFKFUXEUWMUWQOUFVVIUBYIXNYJUUAUWIUWNU
        WRUUBUUCAUYCUXAUWLVPUYRKOUWHUVPWNWIUXBUWHUWCVFZUWHUWDVFZVKAUWTUWHUWCUWD
        UUDAVVPUWOVVQUWSAVVJVVPUWOVPVVMKOUWHUWAWNWIAUWHVUMVFZVVQUWSAVUMUWDUWHAV
        UKVULVUNVUPUUEUUFAVVKVVRUWSVPVVOKOUWHUWPWNWIUUGUUHUUIUUJUUKXOAUWFUWCUTU
        PZXIYKVBZUWGAUWFAUWEYLVFZUWFYMVFAUWCYLVFZUWDYLVFZVWAAUWCVSVFZMYMVFZVVSM
        VDVNVWBVWDAUWBUVQUWAUVTNUULUUMUUNWBUKAVVSUVTDUPZMVDAVWFMVGZVVSVWFVDVNZA
        BCDEFGIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUUOZAHVEZDUPZMVGZVWJNUPZUQZ
        UVQUSZUTUPZVWKVDVNZYNVWGVWHYNHCUVTVWJUVTVGZVWLVWGVWQVWHVWRVWKVWFMVWJUVT
        DYOZYEVWRVWPVVSVWKVWFVDVWRVWOUWCUTVWRVWNUWBUVQVWRVWMUWAVWJUVTNYOUUPUUQX
        OVWSUURUUSUNVVDUUTUVAVWIYPZUWCMVSUVBXNZGUVCZUWCUWDUVDYQUWEYRWIYSAVVSYTV
        FVVTYTVFAVVSAVWBVVSYMVFVXAUWCYRWIYSZVVSUVEWIAUWGAUWGMXIYKVBZYMULAVWEVXD
        YMVFUKMUVFWIUVGYSAUWFVVSUWDUTUPZYKVBZVVTVDAVWBVWCUWFVXFVDVNVXAVXBUWCUWD
        UVHYQAVXEXIVVSYKAUYAVXEXIVGUMGUVRUVJWIUVIYPAVVTVXDUWGVDAVVSMXIVXCAMUKYS
        AUVKVWTUVLULUVMUVNUVO $.
    $}

    fta1g.3 $e |- ( ph -> F =/= .0. ) $.
    $( The one-sided fundamental theorem of algebra.  A polynomial of degree
       ` n ` has at most ` n ` roots.  Unlike the real fundamental theorem
       ~ fta , which is only true in ` CC ` and other algebraically closed
       fields, this is true in any integral domain.  (Contributed by Mario
       Carneiro, 12-Jun-2015.) $)
    fta1g $p |- ( ph -> ( # ` ( `' ( O ` F ) " { W } ) ) <_ ( D ` F ) ) $=
      ( cfv wceq vf vx vd vg ccnv csn cima chash cle wbr eqid cv fveqeq2 cnveqd
      wi fveq2 imaeq1d fveq2d breq12d imbi12d cn0 wcel cidom wral crg wne cdomn
      ccrg isidom simplbi crngring 3syl deg1nn0cl syl3anc cc0 c1 caddc co eqeq2
      imbi1d ralbidv imbi2d wa c0 wn simprr 0nn0 eqeltrdi syl deg1nn0clb syl2an
      wb simpl mpbird cco1 cascl simplrr 0le0 eqbrtrdi ad2antrr simplrl deg1le0
      syl2anc mpbid cbs cxp adantr wf coe1f ffvelrn sylancl evl1sca fveq1d cpws
      eqtrd wfn cvv crh evl1rhm rhmf simprl ffvelrnd pwselbas fniniseg simplbda
      fvexd ffn simprbda fvex fvconst2 3eqtr3rd ply1scl0 3eqtrd ex necon3ad mpd
      hash0 eqtrdi expr syl5bi eq0rdv eqbrtrd cbvralvw ad2antlr eqeltrd nn0ge0d
      breqtrrid ralrimiva peano2nn0 syl5ibrcom a1dd wex cv1 csg simplll simpllr
      breq1d n0 fta1glem2 exp32 exlimdv pm2.61dne com23 ralrimdva expcom nn0ind
      a2d sylc rspcdva mpi ) AFCSZUVKTZFGSZUEZHUFZUGZUHSZUVKUIUJZUVKUKAUAULZCSZ
      UVKTZUVSGSZUEZUVOUGZUHSZUVTUIUJZUOZUVLUVRUOUABFUVSFTZUWAUVLUWFUVRUVSFUVKC
      UMUWHUWEUVQUVTUVKUIUWHUWDUVPUHUWHUWCUVNUVOUWHUWBUVMUVSFGUPUNUQURUVSFCUPUS
      UTAUVKVAVBZEVCVBZUWGUABVDZAEVEVBZFBVBFIVFUWIAUWJEVHVBZUWLPUWJUWMEVGVBEVIV
      JZEVKZVLQRBCDEFILJOKVMVNPUWJUVTUBULZTZUWFUOZUABVDZUOUWJUVTVOTZUWFUOZUABVD
      ZUOUWJUVTUCULZTZUWFUOZUABVDZUOUWJUVTUXCVPVQVRZTZUWFUOZUABVDZUOUWJUWKUOUBU
      CUVKUWPVOTZUWSUXBUWJUXKUWRUXAUABUXKUWQUWTUWFUWPVOUVTVSVTWAWBUWPUXCTZUWSUX
      FUWJUXLUWRUXEUABUXLUWQUXDUWFUWPUXCUVTVSVTWAWBUWPUXGTZUWSUXJUWJUXMUWRUXIUA
      BUXMUWQUXHUWFUWPUXGUVTVSVTWAWBUWPUVKTZUWSUWKUWJUXNUWRUWGUABUXNUWQUWAUWFUW
      PUVKUVTVSVTWAWBUWJUXAUABUWJUVSBVBZUWTUWFUWJUXOUWTWCZWCZUWEVOUVTUIUXQUWEWD
      UHSZVOUXQUWDWDUHUXQUBUWDUXQUVSIVFZUWPUWDVBZWEUXQUXSUVTVAVBZUXQUVTVOVAUWJU
      XOUWTWFZWGWHUWJUWLUXOUXSUYAWLUXPUWJUWMUWLUWNUWOWIZUXOUWTWMBCDEUVSILJOKWJW
      KWNUXQUXTUVSIUXQUXTUVSITUXQUXTWCZUVSVOUVSWOSZSZDWPSZSZHUYGSZIUYDUVTVOUIUJ
      ZUVSUYHTZUYDUVTVOVOUIUWJUXOUWTUXTWQWRWSUYDUWLUXOUYJUYKWLUWJUWLUXPUXTUYCWT
      ZUWJUXOUWTUXTXAZUYGBCDEUVSLJKUYGUKZXBXCXDZUYDUYFHUYGUYDUWPUWBSZUWPEXESZUY
      FUFXFZSZHUYFUYDUWPUWBUYRUYDUWBUYHGSZUYRUYDUVSUYHGUYOURUYDUWMUYFUYQVBZUYTU
      YRTUXQUWMUXTUWJUWMUXPUWNXGZXGUYDVAUYQUYEXHZVOVAVBVUAUYDUXOVUCUYMUYEBDEUVS
      UYQUYEUKKJUYQUKZXIWIWGVAUYQVOUYEXJXKUYGUYQDEGUYFMJVUDUYNXLXCXOXMUXQUXTUWP
      UYQVBZUYPHTZUXQUYQUYQUWBXHUWBUYQXPUXTVUEVUFWCWLUXQUYQEUYQEUYQXNVRZXESZVCU
      WBVUGXQVUGUKZVUDVUHUKZUWJUXPWMUXQEXEYFUXQBVUHUVSGUXQUWMGDVUGXRVRVBBVUHGXH
      VUBUYQDEVUGGMJVUIVUDXSBVUHDVUGGKVUJXTVLUWJUXOUWTYAYBYCUYQUYQUWBYGUYQHUWPU
      WBYDVLZYEUYDVUEUYSUYFTUXQUXTVUEVUFVUKYHUYQUYFUWPVOUYEYIYJWIYKURUYDUWLUYII
      TUYLUYGDEIHJUYNNOYLWIYMYNYOYPUUAURYQYRUXQVOVOUVTUIWRUYBUUGUUBYSUUHUXCVAVB
      ZUWJUXFUXJUWJVULUXFUXJUOUXFUDULZCSZUXCTZVUMGSZUEZUVOUGZUHSZVUNUIUJZUOZUDB
      VDZUWJVULWCZUXJUXEVVAUAUDBUVSVUMTZUXDVUOUWFVUTUVSVUMUXCCUMVVDUWEVUSUVTVUN
      UIVVDUWDVURUHVVDUWCVUQUVOVVDUWBVUPUVSVUMGUPUNUQURUVSVUMCUPUSUTUUCVVCVVBUX
      IUABVVCUXOWCUXHVVBUWFVVCUXOUXHVVBUWFUOZVVCUXOUXHWCZWCZVVEUWDWDVVGUWDWDTZU
      WFVVBVVGUWFVVHVOUVTUIUJVVGUVTVVGUVTUXGVAVVCUXOUXHWFVULUXGVAVBUWJVVFUXCUUI
      UUDUUEUUFVVHUWEVOUVTUIVVHUWEUXRVOUWDWDUHUPYQYRUUQUUJUUKUWDWDVFUXTUBUULVVG
      VVEUBUWDUURVVGUXTVVEUBVVGUXTVVBUWFVVGUXTVVBWCZWCUYGBCDEUWPUDUVSEUUMSZUWPU
      YGSDUUNSZVRZUYQVVKUXCGHVVJIJKLMNOUWJVULVVFVVIUUOVVCUXOUXHVVIXAVUDVVJUKVVK
      UKUYNVVLUKUWJVULVVFVVIUUPVVCUXOUXHVVIWQVVGUXTVVBYAVVGUXTVVBWFUUSUUTUVAYTU
      VBYSUVCUVDYTUVEUVGUVFUVHQUVIUVJ $.
  $}

  ${
    $d f x y B $.  $d f x y D $.  $d f x y O $.  $d f x y R $.  $d f x y W $.
    $d f P $.  $d f x y .0. $.
    fta1b.p $e |- P = ( Poly1 ` R ) $.
    fta1b.b $e |- B = ( Base ` P ) $.
    fta1b.d $e |- D = ( deg1 ` R ) $.
    fta1b.o $e |- O = ( eval1 ` R ) $.
    fta1b.w $e |- W = ( 0g ` R ) $.
    fta1b.z $e |- .0. = ( 0g ` P ) $.
    ${
      fta1blem.k $e |- K = ( Base ` R ) $.
      fta1blem.t $e |- .X. = ( .r ` R ) $.
      fta1blem.x $e |- X = ( var1 ` R ) $.
      fta1blem.s $e |- .x. = ( .s ` P ) $.
      fta1blem.1 $e |- ( ph -> R e. CRing ) $.
      fta1blem.2 $e |- ( ph -> M e. K ) $.
      fta1blem.3 $e |- ( ph -> N e. K ) $.
      fta1blem.4 $e |- ( ph -> ( M .X. N ) = W ) $.
      fta1blem.5 $e |- ( ph -> M =/= W ) $.
      fta1blem.6 $e |- ( ph -> ( ( M .x. X ) e. ( B \ { .0. } ) ->
       ( # ` ( `' ( O ` ( M .x. X ) ) " { W } ) ) <_ ( D ` ( M .x. X ) ) ) ) $.
      $( Lemma for ~ fta1b .  (Contributed by Mario Carneiro, 14-Jun-2015.) $)
      fta1blem $p |- ( ph -> N = W ) $=
        ( csn wcel wceq co cfv ccnv cima evl1vard evl1vsd simprd eqtrd wfn cpws
        wa wb cbs ccrg cvv eqid fvexi a1i crh wf evl1rhm rhmf ffvelrnd pwselbas
        syl simpld ffnd fniniseg mpbir2and cfn wss cen wbr cn0 chash fvex cnvex
        cle imaex 1nn0 cdif wne cmgp cmg crg crngring vr1cl mgpbas mulg1 oveq2d
        c1 coe1tmfv1 syl3anc cxp coe1z fveq1d c0g fvconst2 ax-mp eqtrdi 3netr4d
        cco1 fveq2 necon3i eqnetrrd sylanbrc mpd fveq2d deg1tm syl121anc eqtr3d
        eldifsn breqtrd hashbnd ring0cl cid cres cof cascl ply1sclf rhmmul casa
        cmulr csca syl2anc oveq12d cr ply1assa ply1sca eleqtrd asclmul1 evl1sca
        syl5eq evl1var 3eqtr3d fnconstg fnresi fnfvof syl22anc fvconst2g fvresi
        pwsmulrval ringrz snssd hashsng cdom ssdomg mpsyl snfi hashdom eqbrtrrd
        mp2an sylibr hashcl nn0red letri3 sylancl eqtr4d sylancr mpbid fisseneq
        1re hashen eleqtrrd elsni ) AJLUKZULJLUMAJIMFUNZKUOZUPZUVSUQZUVSAJUWCUL
        ZJHULZJUWAUOZLUMZUGAUWFIJGUNZLAUVTBULZUWFUWHUMZAHDEFGBMIKJJROUAPUEUGAHD
        EBKMJRUCUAOPUEUGURUFUDUBUSZUTUHVAAUWAHVBZUWDUWEUWGVDVEAHHUWAAHEHEHVCUNZ
        VFUOZVGUWAUWMVHUWMVIZUAUWNVIZUEHVHULZAHEVFUAVJVKZABUWNUVTKAKDUWMVLUNULZ
        BUWNKVMAEVGULZUWSUEHDEUWMKROUWOUAVNVRZBUWNDUWMKPUWPVOVRZAUWIUWJUWKVSZVP
        VQVTZHLJUWAWAVRWBAUWCWCULZUVSUWCWDZUVSUWCWEWFZUVSUWCUMAUWCVHULZXDWGULZU
        WCWHUOZXDWKWFZUXEUXHAUWBUVSUWAUVTKWIWJWLZVKUXIAWMVKZAUXJUVTCUOZXDWKAUVT
        BNUKWNULZUXJUXNWKWFAUWIUVTNWOUXOUXCAIXDMDWPUOZWQUOZUNZFUNZUVTNAUXRMIFAM
        BULZUXRMUMAEWRULZUXTAUWTUYAUEEWSVRZBDEMUCOPWTVRZBUXQUXPMBDUXPUXPVIZPXAU
        XQVIZXBVRXCZAXDUXSXOUOZUOZXDNXOUOZUOZWOUXSNWOAILUYHUYJUIAUYAIHULZUXIUYH
        IUMUYBUFUXMIXDDEFUXQHUXPMLSUAOUCUDUYDUYEXEXFAUYJXDWGUVSXGZUOZLAXDUYIUYL
        AUYAUYIUYLUMUYBDELNOTSXHVRXIUXIUYMLUMWMWGLXDLEXJSVJXKXLXMXNUXSNUYHUYJUX
        SNUMXDUYGUYIUXSNXOXPXIXQVRXRUVTBNYEXSUJXTAUXSCUOZUXNXDAUXSUVTCUYFYAAUYA
        UYKILWOUXIUYNXDUMUYBUFUIUXMICDEFUXQXDHUXPMLQUAOUCUDUYDUYESYBYCYDYFZUWCX
        DVHYGXFZALUWCALUWCULZLHULZLUWAUOZLUMZAUYAUYRUYBHELUASYHVRZAUYSLHIUKXGZY
        IHYJZGYKZUNZUOZLALUWAVUEAIDYLUOZUOZMDYPUOZUNZKUOZVUHKUOZMKUOZUWMYPUOZUN
        ZUWAVUEAUWSVUHBULUXTVUKVUOUMUXAAHBIVUGAUYAHBVUGVMUYBVUGBDEHOVUGVIZUAPYM
        VRUFVPZUYCVUHMDUWMVUIVUNKBPVUIVIZVUNVIZYNXFAVUJUVTKADYOULZIDYQUOZVFUOZU
        LUXTVUJUVTUMAUWTVUTUEDEOUUAVRAIHVVBUFAHEVFUOVVBUAAEVVAVFAUWTEVVAUMUEDEV
        GOUUBVRYAUUFUUCUYCVUGIFVUIVVAVVBBDMVUPVVAVIVVBVIPVURUDUUDXFYAAVUOVULVUM
        VUDUNVUEAUWNEVUNGVULVUMHVGVHUWMUWOUWPUEUWRABUWNVUHKUXBVUQVPABUWNMKUXBUY
        CVPUBVUSUUOAVULVUBVUMVUCVUDAUWTUYKVULVUBUMUEUFVUGHDEKIROUAVUPUUEYRAUWTV
        UMVUCUMUEHEKMRUCUAUUGVRYSVAUUHXIAVUFLVUBUOZLVUCUOZGUNZLAVUBHVBZVUCHVBZU
        WQUYRVUFVVEUMAUYKVVFUFHIHUUIVRVVGAHUUJVKUWRVUAHGVUBVUCVHLUUKUULAVVEILGU
        NZLAVVCIVVDLGAUYKUYRVVCIUMUFVUAHILHUUMYRAUYRVVDLUMVUAHLUUNVRYSAUYAUYKVV
        HLUMUYBUFHEGILUAUBSUUPYRVAVAVAAUWLUYQUYRUYTVDVEUXDHLLUWAWAVRWBUUQZAUVSW
        HUOZUXJUMZUXGAVVJXDUXJAUYRVVJXDUMVUALHUURVRZAUXJXDUMZUXKXDUXJWKWFZUYOAV
        VJXDUXJWKVVLAUVSUWCUUSWFZVVJUXJWKWFZUXHAUXFVVOUXLVVIUVSUWCVHUUTUVAUVSWC
        ULZUXHVVPVVOVELUVBZUXLUVSUWCVHUVCUVEUVFUVDAUXJYTULXDYTULVVMUXKVVNVDVEAU
        XJAUXEUXJWGULUYPUWCUVGVRUVHUVOUXJXDUVIUVJWBUVKAVVQUXEVVKUXGVEVVRUYPUVSU
        WCUVPUVLUVMUVSUWCUVNXFUVQJLUVRVR $.
    $}

    $( The assumption that ` R ` be a domain in ~ fta1g is necessary.  Here we
       show that the statement is strong enough to prove that ` R ` is a
       domain.  (Contributed by Mario Carneiro, 12-Jun-2015.) $)
    fta1b $p |- ( R e. IDomn <-> ( R e. CRing /\ R e. NzRing /\
   A. f e. ( B \ { .0. } ) ( # ` ( `' ( O ` f ) " { W } ) ) <_ ( D ` f ) ) ) $=
      ( vx vy wcel cfv wa wceq cidom ccrg cnzr ccnv csn cima chash cle wbr cdif
      cv wral w3a cdomn isidom simplbi simprbi domnnzr syl simpl eldifsn adantl
      wne fta1g ralrimiva 3jca simp1 cmulr co wo wi cbs simp2 wn df-ne cv1 eqid
      cvsca simpll1 simplrl simplrr simprl simprr simpll3 cnveqd imaeq1d fveq2d
      fveq2 breq12d rspccv fta1blem expr syl5bir orrd ex isdomn sylanbrc impbii
      ralrimivva ) DUAQZDUBQZDUCQZEUKZFRZUDZGUEZUFZUGRZXCBRZUHUIZEAHUEUJZULZUMZ
      WTXAXBXLWTXADUNQZDUOZUPWTXNXBWTXAXNXOUQDURUSWTXJEXKWTXCXKQZSABCDXCFGHIJKL
      MNWTXPUTXPXCAQZWTXPXQXCHVCZXCAHVAZUPVBXPXRWTXPXQXRXSUQVBVDVEVFXMXAXNWTXAX
      BXLVGXMXBOUKZPUKZDVHRZVIGTZXTGTZYAGTZVJZVKZPDVLRZULOYHULXNXAXBXLVMXMYGOPY
      HYHXMXTYHQZYAYHQZSZSZYCYFYLYCSZYDYEYDVNXTGVCZYMYEXTGVOYLYCYNYEYLYCYNSZSZA
      BCDCVRRZYBYHXTYAFGDVPRZHIJKLMNYHVQZYBVQZYRVQYQVQXAXBXLYKYOVSXMYIYJYOVTXMY
      IYJYOWAYLYCYNWBYLYCYNWCYPXLXTYRYQVIZXKQUUAFRZUDZXFUFZUGRZUUABRZUHUIZVKXAX
      BXLYKYOWDXJUUGEUUAXKXCUUATZXHUUEXIUUFUHUUHXGUUDUGUUHXEUUCXFUUHXDUUBXCUUAF
      WHWEWFWGXCUUABWHWIWJUSWKWLWMWNWOWSOPYHDYBGYSYTMWPWQXOWQWR $.
  $}

  ${
    drnguc1p.p $e |- P = ( Poly1 ` R ) $.
    drnguc1p.b $e |- B = ( Base ` P ) $.
    drnguc1p.z $e |- .0. = ( 0g ` P ) $.
    drnguc1p.c $e |- C = ( Unic1p ` R ) $.
    $( Over a division ring, all nonzero polynomials are unitic.  (Contributed
       by Stefan O'Rear, 29-Mar-2015.) $)
    drnguc1p $p |- ( ( R e. DivRing /\ F e. B /\ F =/= .0. ) -> F e. C ) $=
      ( cdr wcel wne w3a cdg1 cfv cco1 cn0 eqid syl3an1 cui simp2 simp3 cbs c0g
      wf coe1f 3ad2ant2 crg drngring deg1nn0cl ffvelrnd wa wb drngunit 3ad2ant1
      deg1ldg mpbir2and isuc1p syl3anbrc ) DKLZEALZEFMZNZVBVCEDOPZPZEQPZPZDUAPZ
      LZEBLVAVBVCUBVAVBVCUCVDVJVHDUDPZLZVHDUEPZMZVDRVKVFVGVBVARVKVGUFVCVGACDEVK
      VGSZHGVKSZUGUHVADUILZVBVCVFRLDUJZAVECDEFVESZGIHUKTULVAVQVBVCVNVRVGAVECDEV
      MFVSGIHVMSZVOUQTVAVBVJVLVNUMUNVCVKDVIVHVMVPVISZVTUOUPURABVECDVIEFGHIVSJWA
      USUT $.
  $}

  ${
    $d D g h $.  $d I g h $.  $d M g h $.  $d P g $.  $d R g h $.  $d U g h $.
    $d .0. g h $.
    ig1peu.p $e |- P = ( Poly1 ` R ) $.
    ig1peu.u $e |- U = ( LIdeal ` P ) $.
    ig1peu.z $e |- .0. = ( 0g ` P ) $.
    ig1peu.m $e |- M = ( Monic1p ` R ) $.
    ig1peu.d $e |- D = ( deg1 ` R ) $.
    $( There is a unique monic polynomial of minimal degree in any nonzero
       ideal.  (Contributed by Stefan O'Rear, 29-Mar-2015.)  (Revised by AV,
       25-Sep-2020.) $)
    ig1peu $p |- ( ( R e. DivRing /\ I e. U /\ I =/= { .0. } ) ->
        E! g e. ( I i^i M ) ( D ` g ) =
            inf ( ( D " ( I \ { .0. } ) ) , RR , < ) ) $=
      ( wcel cfv wceq wss eqid syl adantr vh cdr csn wne w3a cdif cima clt cinf
      cv cr cin wrex wa wral wreu cc0 cuz cn0 cbs lidlss 3ad2ant2 ssdifd imass2
      wi c0 crg drngring 3ad2ant1 deg1n0ima sstrd nn0uz sseqtrdi ply1ring simp2
      lidl0cl syl2anc snssd simp3 necomd pssdifn0 wfn wb cxr wf deg1xrf ffn a1i
      ax-mp ssdifssd fnimaeq0 necon3bid mpbird infssuzcl mpbid cco1 cinvr cascl
      fvelimabd cmulr simpl2 ply1sclf cui cuc1p simpl1 sselda eldifsni drnguc1p
      adantl syl3anc uc1pldg unitinvcl unitcl ffvelrnd eldifi lidlmcl uc1pmon1p
      co syl22anc elind crlreg unitrrg sseldd deg1mul3 fveqeq2 rspcev syl5ibcom
      eqeq2 rexbidv rexlimdva mpd wbr ad2antrr simprl elin2d simprr ex sylanbrc
      elin1d sylibd csg deg1submon1p cle wn lidlsubcl eldifsn fnfvima infssuzle
      simpr crn imassrn frn sstri sselid ringgrp inss1 sstrid grpsubcl deg1xrcl
      cgrp xrlenltd necon4ad syld grpsubeq0 ralrimivva reu4 ) CUBNZFDNZFHUCZUDZ
      UEZEUJZAOZAFUVIUFZUGZUKUHUIZPZEFGULZUMZUVQUAUJZAOZUVPPZUNZUVLUVTPZVEZUAUV
      RUOEUVRUOUVQEUVRUPUVKUWBUAUVNUMZUVSUVKUVPUVONZUWFUVKUVOUQUROZQZUVOVFUDZUW
      GUVKUVOUSUWHUVKUVOABUTOZUVIUFZUGZUSUVKUVNUWLQUVOUWMQUVKFUWKUVIUVHUVGFUWKQ
      UVJUWKFDBUWKRZJVAVBZVCUVNUWLAVDSUVKCVGNZUWMUSQUVGUVHUWPUVJCVHVIZUWKABCHMI
      KUWNVJSVKVLVMZUVKUWJUVNVFUDZUVKUVIFQUVIFUDUWSUVKHFUVKBVGNZUVHHFNUVKUWPUWT
      UWQBCIVNSZUVGUVHUVJVOBDFHJKVPVQVRUVKFUVIUVGUVHUVJVSVTUVIFWAVQUVKUVOVFUVNV
      FUVKAUWKWBZUVNUWKQZUVOVFPUVNVFPWCUXBUVKUWKWDAWEZUXBUWKABCMIUWNWFZUWKWDAWG
      WIZWHZUVKFUWKUVIUWOWJZUWKUVNAWKVQWLWMUVOUQWNVQZUVKUAUWKUVNUVPAUXGUXHWSWOU
      VKUWBUVSUAUVNUVKUVTUVNNZUNZUVMUWAPZEUVRUMZUWBUVSUXKUWAUVTWPOOZCWQOZOZBWRO
      ZOZUVTBWTOZXRZUVRNUXTAOUWAPZUXMUXKFGUXTUXKUWTUVHUXRUWKNUVTFNZUXTFNUVKUWTU
      XJUXATUVGUVHUVJUXJXAUXKCUTOZUWKUXPUXQUXKUWPUYCUWKUXQWEUVKUWPUXJUWQTZUXQUW
      KBCUYCIUXQRZUYCRZUWNXBSUXKUXPCXCOZNZUXPUYCNUXKUWPUXNUYGNZUYHUYDUXKUVTCXDO
      ZNZUYIUXKUVGUVTUWKNZUVTHUDZUYKUVGUVHUVJUXJXEUVKUVNUWKUVTUXHXFZUXJUYMUVKUV
      TFHXGXIUWKUYJBCUVTHIUWNKUYJRZXHXJZUYJACUYGUVTMUYGRZUYOXKSCUYGUXOUXNUYQUXO
      RZXLVQZUYCCUYGUXPUYFUYQXMSXNUXJUYBUVKUVTFUVIXOXIUWKBUXSDFUXRUVTJUWNUXSRZX
      PXSUXKUWPUYKUXTGNUYDUYPUXQUYJABCUXSUXOGUVTUYOLIUYTUYEMUYRXQVQXTUXKUWPUXPC
      YAOZNUYLUYAUYDUXKUYGVUAUXPUXKUWPUYGVUAQUYDCUYGVUAVUARZUYQYBSUYSYCUYNUXQUW
      KABCUXSVUAUXPUVTMIVUBUWNUYTUYEYDXJUXLUYAEUXTUVRUVLUXTUWAAYEYFVQUWBUXLUVQE
      UVRUWAUVPUVMYHYIYGYJYKUVKUWEEUAUVRUVRUVKUVLUVRNZUVTUVRNZUNZUNZUWCUVLUVTBU
      UAOZXRZHPZUWDVUFUWCVUHAOZUVPUHYLZVUIVUFUWCVUKVUFUWCUNABCUVLUVTVUGGUVPMLIV
      UGRZUVKUWPVUEUWCUWQYMVUFUVLGNUWCVUFFGUVLUVKVUCVUDYNZYOTVUFUVQUWBYNVUFUVTG
      NUWCVUFFGUVTUVKVUCVUDYPZYOTVUFUVQUWBYPUUBYQVUFVUKVUHHVUFVUHHUDZUVPVUJUUCY
      LZVUKUUDVUFVUOVUPVUFVUOUNZUWIVUJUVONZVUPUVKUWIVUEVUOUWRYMVUQUXBUXCVUHUVNN
      ZVURUXBVUQUXFWHUVKUXCVUEVUOUXHYMVUQVUHFNZVUOVUSVUFVUTVUOVUFUWTUVHUVLFNUYB
      VUTUVKUWTVUEUXATUVGUVHUVJVUEXAVUFFGUVLVUMYSVUFFGUVTVUNYSBDFVUGUVLUVTJVULU
      UEXSTVUFVUOUUIVUHFHUUFYRUWKUVNAVUHUUGXJVUJUVOUQUUHVQYQVUFUVPVUJUVKUVPWDNV
      UEUVKUVOWDUVPUVOAUUJZWDAUVNUUKUXDVVAWDQUXEUWKWDAUULWIUUMUXIUUNTVUFVUHUWKN
      ZVUJWDNVUFBUUTNZUVLUWKNZUYLVVBUVKVVCVUEUVKUWTVVCUXABUUOSTZVUFUVRUWKUVLUVK
      UVRUWKQVUEUVKUVRFUWKFGUUPUWOUUQTZVUMYCZVUFUVRUWKUVTVVFVUNYCZUWKBVUGUVLUVT
      UWNVULUURXJUWKABCVUHMIUWNUUSSUVAYTUVBUVCVUFVVCVVDUYLVUIUWDWCVVEVVGVVHUWKB
      VUGUVLUVTHUWNKVULUVDXJYTUVEUVQUWBEUAUVRUVLUVTUVPAYEUVFYR $.
  $}

  ${
    ig1pval.p $e |- P = ( Poly1 ` R ) $.
    ig1pval.g $e |- G = ( idlGen1p ` R ) $.
    ${
      $d D i r $.  $d I g i $.  $d M g i r $.  $d R g i r $.  $d U i r $.
      $d .0. i r $.
      ig1pval.z $e |- .0. = ( 0g ` P ) $.
      ig1pval.u $e |- U = ( LIdeal ` P ) $.
      ig1pval.d $e |- D = ( deg1 ` R ) $.
      ig1pval.m $e |- M = ( Monic1p ` R ) $.
      $( Substitutions for the polynomial ideal generator function.
         (Contributed by Stefan O'Rear, 29-Mar-2015.)  (Revised by AV,
         25-Sep-2020.) $)
      ig1pval $p |- ( ( R e. V /\ I e. U ) -> ( G ` I ) =
        if ( I = { .0. } , .0. , ( iota_ g e. ( I i^i M ) ( D ` g ) =
             inf ( ( D " ( I \ { .0. } ) ) , RR , < ) ) ) ) $=
        ( vi cfv wceq cr vr wcel csn cdif cima clt cinf cin crio cif cmpt cig1p
        cv cvv elex clidl cpl1 c0g cdg1 cmn1 fveq2 eqtr4di fveq2d eqeq2d ineq2d
        fveq1d difeq2d imaeq12d infeq1d eqeq12d riotaeqbidv ifbieq12d mpteq12dv
        sneqd df-ig1p mptfvmpt syl5eq eqeq1 ineq1 difeq1 imaeq2d ifbieq2d fvexi
        syl eqid riotaex ifex fvmpt sylan9eq ) CIUBZGDUBGFRGQDQUMZJUCZSZJEUMZAR
        ZAWKWLUDZUEZTUFUGZSZEWKHUHZUIZUJZUKZRGWLSZJWOAGWLUDZUEZTUFUGZSZEGHUHZUI
        ZUJZWJGFXCWJFCULRZXCLWJCUNUBXLXCSCIUOQUAXBUPULQUAUMZUQRZUPRZWKXNURRZUCZ
        SZXPWNXMUSRZRZXSWKXQUDZUEZTUFUGZSZEWKXMUTRZUHZUIZUJZUKDUNBCXMCSZQXOYHDX
        BYIXOBUPRDYIXNBUPYIXNCUQRBXMCUQVAKVBZVCNVBYIXRWMXPYGJXAYIXQWLWKYIXPJYIX
        PBURRJYIXNBURYJVCMVBZVNZVDYKYIYDWSEYFWTYIYEHWKYIYECUTRHXMCUTVAPVBVEYIXT
        WOYCWRYIWNXSAYIXSCUSRAXMCUSVAOVBZVFYITYBWQUFYIXSAYAWPYMYIXQWLWKYLVGVHVI
        VJVKVLVMEQUAVONVPWDVQVFQGXBXKDXCWKGSZWMXDXAXJJWKGWLVRYNWSXHEWTXIWKGHVSY
        NWRXGWOYNTWQXFUFYNWPXEAWKGWLVTWAVIVDVKWBXCWEXDJXJJBURMWCXHEXIWFWGWHWI
        $.
    $}

    ${
      $d R g $.  $d .0. g $.
      ig1pval2.z $e |- .0. = ( 0g ` P ) $.
      $( Generator of the zero ideal.  (Contributed by Stefan O'Rear,
         29-Mar-2015.)  (Proof shortened by AV, 25-Sep-2020.) $)
      ig1pval2 $p |- ( R e. Ring -> ( G ` { .0. } ) = .0. ) $=
        ( vg crg wcel csn cfv wceq cv cdg1 cdif cima cr clt eqid cinf cmn1 crio
        cin cif clidl ply1ring lidl0 syl ig1pval mpdan iftruei eqtrdi ) BIJZDKZ
        CLZUOUOMZDHNBOLZLURUOUOPQRSUAMHUOBUBLZUDUCZUEZDUNUOAUFLZJZUPVAMUNAIJVCA
        BEUGAVBDVBTZGUHUIURABVBHCUOUSIDEFGVDURTUSTUJUKUQDUTUOTULUM $.
    $}

    ${
      $d D g $.  $d G g $.  $d I g $.  $d M g $.  $d P g $.  $d R g $.
      $d U g $.  $d .0. g $.
      ig1pval3.z $e |- .0. = ( 0g ` P ) $.
      ig1pval3.u $e |- U = ( LIdeal ` P ) $.
      ig1pval3.d $e |- D = ( deg1 ` R ) $.
      ig1pval3.m $e |- M = ( Monic1p ` R ) $.
      $( Characterizing properties of the monic generator of a nonzero ideal of
         polynomials.  (Contributed by Stefan O'Rear, 29-Mar-2015.)  (Revised
         by AV, 25-Sep-2020.) $)
      ig1pval3 $p |- ( ( R e. DivRing /\ I e. U /\ I =/= { .0. } ) ->
          ( ( G ` I ) e. I /\ ( G ` I ) e. M /\ ( D ` ( G ` I ) ) =
              inf ( ( D " ( I \ { .0. } ) ) , RR , < ) ) ) $=
        ( vg cdr wcel cfv wceq wa csn wne w3a cv cdif cima cr clt cinf cin crab
        crio cif ig1pval 3adant3 simp3 neneqd iffalsed wreu ig1peu riotacl2 syl
        eqtrd eqeltrd elin anbi1i fveqeq2 elrab df-3an 3bitr4i sylib ) CPQZFDQZ
        FHUAZUBZUCZFERZOUDZARAFVNUEUFUGUHUIZSZOFGUJZUKZQZVQFQZVQGQZVQARVSSZUCZV
        PVQVTOWAULZWBVPVQFVNSZHWHUMZWHVLVMVQWJSVOABCDOEFGPHIJKLMNUNUOVPWIHWHVPF
        VNVLVMVOUPUQURVCVPVTOWAUSWHWBQABCDOFGHILKNMUTVTOWAVAVBVDVQWAQZWFTWDWETZ
        WFTWCWGWKWLWFVQFGVEVFVTWFOVQWAVRVQVSAVGVHWDWEWFVIVJVK $.
    $}

    ${
      ig1pcl.u $e |- U = ( LIdeal ` P ) $.
      $( The monic generator of an ideal is always in the ideal.  (Contributed
         by Stefan O'Rear, 29-Mar-2015.)  (Proof shortened by AV,
         25-Sep-2020.) $)
      ig1pcl $p |- ( ( R e. DivRing /\ I e. U ) -> ( G ` I ) e. I ) $=
        ( cdr wcel wa cfv c0g csn wceq fveq2 id eleq12d wne eqid cmn1 cdg1 cdif
        w3a cima clt cinf ig1pval3 simp1d 3expa crg drngring ig1pval2 fvex elsn
        cr syl sylibr adantr pm2.61ne ) BIJZECJZKEDLZEJZAMLZNZDLZVFJZEVFEVFOZVC
        VGEVFEVFDPVIQRVAVBEVFSZVDVAVBVJUDVDVCBUALZJVCBUBLZLVLEVFUCUEUPUFUGOVLAB
        CDEVKVEFGVETZHVLTVKTUHUIUJVAVHVBVAVGVEOZVHVABUKJVNBULABDVEFGVMUMUQVGVEV
        FDUNUOURUSUT $.

      ${
        ig1pdvds.d $e |- .|| = ( ||r ` P ) $.
        $( The monic generator of an ideal divides all elements of the ideal.
           (Contributed by Stefan O'Rear, 29-Mar-2015.)  (Proof shortened by
           AV, 25-Sep-2020.) $)
        ig1pdvds $p |- ( ( R e. DivRing /\ I e. U /\ X e. I ) ->
            ( G ` I ) .|| X ) $=
          ( wcel cfv wceq syl wss eqid syl2anc cxr c0 cdr w3a drngring ply1ring
          wbr c0g csn wa crg cbs 3ad2ant1 lidlss 3ad2ant2 ig1pcl 3adant3 sseldd
          dvdsr01 adantr eleq2 biimpac 3ad2antl3 breqtrrd wne cr1p co cdg1 cdif
          elsni cima cr clt cinf cle wn cuc1p simpl1 simpl2 cmn1 simpr ig1pval3
          simpl3 syl3anc simp2d mon1puc1p r1pdeglt simp3d breqtrd wb wf deg1xrf
          cq1p cmulr csg simp1d r1pval q1pcl lidlmcl syl22anc lidlsubcl eqeltrd
          ffvelrn sylancr cc0 cuz ssdifd imass2 cn0 deg1n0ima nn0uz sseqtrdi cz
          sstrd uzssz zssre ressxr sstri sstrdi lidl0cl necomd pssdifn0 wfn ffn
          snssd ax-mp ssdifssd necon3bid mpbird infssuzcl xrltnle mpbid eldifsn
          fnimaeq0 sylanbrc fnfvima mp3an2ani infssuzle ex necon1bd mpd dvdsr1p
          pm2.61dane ) CUALZFDLZGFLZUBZFEMZGAUEZFBUFMZUGZUUEFUUINZUHZUUFUUHGAUU
          EUUFUUHAUEZUUJUUEBUILZUUFBUJMZLZUULUUBUUCUUMUUDUUBCUILZUUMCUCZBCHUDZO
          UKUUEFUUNUUFUUCUUBFUUNPZUUDUUNFDBUUNQZJULZUMUUBUUCUUFFLZUUDBCDEFHIJUN
          UOUPUUNABUUFUUHUUTKUUHQZUQRURUUKGUUILZGUUHNUUDUUBUUJUVDUUCUUJUUDUVDFU
          UIGUSUTVAGUUHVHOVBUUEFUUIVCZUHZUUGGUUFCVDMZVEZUUHNZUVFCVFMZFUUIVGZVIZ
          VJVKVLZUVHUVJMZVMUEZVNZUVIUVFUVNUVMVKUEZUVPUVFUVNUUFUVJMZUVMVKUVFUUPG
          UUNLZUUFCVOMZLZUVNUVRVKUEUVFUUBUUPUUBUUCUUDUVEVPZUUQOZUVFFUUNGUVFUUCU
          USUUBUUCUUDUVEVQZUVAOZUUBUUCUUDUVEWAZUPZUVFUUPUUFCVRMZLZUWAUWCUVFUVBU
          WIUVRUVMNZUVFUUBUUCUVEUVBUWIUWJUBUWBUWDUUEUVEVSZUVJBCDEFUWHUUHHIUVCJU
          VJQZUWHQZVTWBZWCUVTCUWHUUFUVTQZUWMWDRZUUNUVTUVJBCUVGGUUFUVGQZHUUTUWOU
          WLWEWBUVFUVBUWIUWJUWNWFWGUVFUVNSLZUVMSLUVQUVPWHUVFUUNSUVJWIZUVHUUNLUW
          RUUNUVJBCUWLHUUTWJZUVFFUUNUVHUWEUVFUVHGGUUFCWKMZVEZUUFBWLMZVEZBWMMZVE
          ZFUVFUVSUUOUVHUXFNUWGUVFFUUNUUFUWEUVFUVBUWIUWJUWNWNZUPUUNBUXACUXCUVGG
          UUFUXEUWQHUUTUXAQZUXCQZUXEQZWORUVFUUMUUCUUDUXDFLZUXFFLUVFUUPUUMUWCUUR
          OZUWDUWFUVFUUMUUCUXBUUNLZUVBUXKUXLUWDUVFUUPUVSUWAUXMUWCUWGUWPUUNUVTBU
          XACGUUFUXHHUUTUWOWPWBUXGUUNBUXCDFUXBUUFJUUTUXIWQWRBDFUXEGUXDJUXJWSWRW
          TZUPUUNSUVHUVJXAXBUVFUVLSUVMUVFUVLXCXDMZSUVFUVLUVJUUNUUIVGZVIZUXOUVFU
          VKUXPPUVLUXQPUVFFUUNUUIUWEXEUVKUXPUVJXFOUVFUXQXGUXOUVFUUPUXQXGPUWCUUN
          UVJBCUUHUWLHUVCUUTXHOXIXJXLZUXOXKSXCXMXKVJSXNXOXPXPXQUVFUVLUXOPZUVLTV
          CZUVMUVLLUXRUVFUXTUVKTVCZUVFUUIFPUUIFVCUYAUVFUUHFUVFUUMUUCUUHFLUXLUWD
          BDFUUHJUVCXRRYCUVFFUUIUWKXSUUIFXTRUVFUVLTUVKTUVFUVJUUNYAZUVKUUNPZUVLT
          NUVKTNWHUWSUYBUWTUUNSUVJYBYDZUVFFUUNUUIUWEYEZUUNUVKUVJYLXBYFYGUVLXCYH
          RUPUVNUVMYIRYJUVFUVOUVHUUHUVFUVHUUHVCZUVOUVFUYFUHZUXSUVNUVLLZUVOUVFUX
          SUYFUXRURUYBUVFUYCUYFUVHUVKLZUYHUYDUYEUYGUVHFLZUYFUYIUVFUYJUYFUXNURUV
          FUYFVSUVHFUUHYKYMUUNUVKUVJUVHYNYOUVNUVLXCYPRYQYRYSUVFUUPUVSUWAUUGUVIW
          HUWCUWGUWPUUNUVTABCUVGGUUFUUHHKUUTUWOUVCUWQYTWBYGUUA $.
      $}

      $d G x $.  $d I x $.  $d K x $.  $d P x $.  $d R x $.  $d U x $.
      ig1prsp.k $e |- K = ( RSpan ` P ) $.
      $( Any ideal of polynomials over a division ring is generated by the
         ideal's canonical generator.  (Contributed by Stefan O'Rear,
         29-Mar-2015.) $)
      ig1prsp $p |- ( ( R e. DivRing /\ I e. U ) ->
          I = ( K ` { ( G ` I ) } ) ) $=
        ( vx cdr wcel wa cfv csn wceq cv eqid crg cdsr wbr wral ig1pcl ig1pdvds
        3expa ralrimiva cbs wb drngring ply1ring syl adantr simpr lidlss adantl
        wss sseldd lidldvgen syl3anc mpbir2and ) BLMZECMZNZEEDOZPFOQZVEEMZVEKRZ
        AUAOZUBZKEUCZABCDEGHIUDZVDVJKEVBVCVHEMVJVIABCDEVHGHIVISZUEUFUGVDATMZVCV
        EAUHOZMVFVGVKNUIVBVNVCVBBTMVNBUJABGUKULUMVBVCUNVDEVOVEVCEVOUQVBVOECAVOS
        ZIUOUPVLURKVOVIACVEEFVPIJVMUSUTVA $.
    $}
  $}

  ${
    $d P i j $.  $d R i j $.
    ply1lpir.p $e |- P = ( Poly1 ` R ) $.
    $( The ring of polynomials over a division ring has the principal ideal
       property.  (Contributed by Stefan O'Rear, 29-Mar-2015.) $)
    ply1lpir $p |- ( R e. DivRing -> P e. LPIR ) $=
      ( vi vj cdr wcel crg clidl cfv clpidl wss clpir drngring ply1ring syl csn
      cv wceq eqid crsp cbs wrex cig1p lidlss adantl ig1pcl sseldd ig1prsp sneq
      wa fveq2d rspceeqv syl2anc wb adantr islpidl mpbird ex islpir2 sylanbrc
      ssrdv ) BFGZAHGZAIJZAKJZLAMGVCBHGVDBNABCOPZVCDVEVFVCDRZVEGZVHVFGZVCVIUKZV
      JVHERZQZAUAJZJZSEAUBJZUCZVKVHBUDJZJZVPGVHVSQZVNJZSVQVKVHVPVSVIVHVPLVCVPVH
      VEAVPTZVETZUEUFABVEVRVHCVRTZWCUGUHABVEVRVHVNCWDWCVNTZUIEVSVPVOWAVHVLVSSVM
      VTVNVLVSUJULUMUNVKVDVJVQUOVCVDVIVGUPVPVFAEVHVNVFTZWEWBUQPURUSVBVFAVEWFWCU
      TVA $.

    $( The polynomials over a field are a PID. (Contributed by Stefan O'Rear,
       29-Mar-2015.) $)
    ply1pid $p |- ( R e. Field -> P e. PID ) $=
      ( cfield wcel cidom clpir cpid fldidom ply1idom syl ccrg simplbi ply1lpir
      cdr isfld df-pid elin2 sylanbrc ) BDEZAFEZAGEZAHETBFEUABIABCJKTBOEZUBTUCB
      LEBPMABCNKAFGHQRS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Elementary properties of complex polynomials
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Poly $.
  $c Xp $.
  $c coeff $.
  $c deg $.

  $( Extend class notation to include the set of complex polynomials. $)
  cply $a class Poly $.

  $( Extend class notation to include the identity polynomial. $)
  cidp $a class Xp $.

  $( Extend class notation to include the coefficient function on
     polynomials. $)
  ccoe $a class coeff $.

  $( Extend class notation to include the degree function on polynomials. $)
  cdgr $a class deg $.

  ${
    $d a f k n x z $.
    $( Define the set of polynomials on the complex numbers with coefficients
       in the given subset.  (Contributed by Mario Carneiro, 17-Jul-2014.) $)
    df-ply $a |- Poly = ( x e. ~P CC |-> { f | E. n e. NN0
      E. a e. ( ( x u. { 0 } ) ^m NN0 ) f =
        ( z e. CC |-> sum_ k e. ( 0 ... n ) ( ( a ` k ) x. ( z ^ k ) ) ) } ) $.

    $( Define the identity polynomial.  (Contributed by Mario Carneiro,
       17-Jul-2014.) $)
    df-idp $a |- Xp = ( _I |` CC ) $.

    $( Define the coefficient function for a polynomial.  (Contributed by Mario
       Carneiro, 22-Jul-2014.) $)
    df-coe $a |- coeff = ( f e. ( Poly ` CC ) |-> ( iota_ a e. ( CC ^m NN0 )
        E. n e. NN0 ( ( a " ( ZZ>= ` ( n + 1 ) ) ) = { 0 } /\ f =
    ( z e. CC |-> sum_ k e. ( 0 ... n ) ( ( a ` k ) x. ( z ^ k ) ) ) ) ) ) $.

    $( Define the degree of a polynomial.  (Contributed by Mario Carneiro,
       22-Jul-2014.) $)
    df-dgr $a |- deg = ( f e. ( Poly ` CC ) |->
      sup ( ( `' ( coeff ` f ) " ( CC \ { 0 } ) ) , NN0 , < ) ) $.
  $}

  ${
    $d a k n z A $.  $d a k n z N $.  $d a f k n x z S $.  $d a f k n z T $.
    $d a f n F $.
    $( Two ways to say that a function on the nonnegative integers has finite
       support.  (Contributed by Mario Carneiro, 22-Jul-2014.) $)
    plyco0 $p |- ( ( N e. NN0 /\ A : NN0 --> CC ) ->
      ( ( A " ( ZZ>= ` ( N + 1 ) ) ) = { 0 } <->
        A. k e. NN0 ( ( A ` k ) =/= 0 -> k <_ N ) ) ) $=
      ( cn0 wcel cc wa cfv cc0 wceq wne cle wbr clt adantr syl2anc ad2antrr mpd
      wi wb vn wf c1 caddc co cuz cima csn wral simprr wfun cdm wss ffun adantl
      cv wn peano2nn0 eluznn0 ex syl ssrdv fdm sseqtrrd funfvima2 nn0z peano2zd
      cz ad2antrl eluz simplr eleq2d fvex elsn bitrdi 3imtr3d necon3ad cr nn0re
      zred ltnled mpbird zleltp1 expr ralrimiva ccnv simpr syl2an nn0red eluzle
      ltp1d ad2antll ltletrd mpbid fveq2 neeq1d imbi12d simprl rspcdva necon1bd
      breq1 wfn ffn ad2antlr fniniseg mpbir2and funimass3 rspcva sylan eqeltrrd
      uzid snssd eqssd impbida ) CDEZDFAUBZGZACUCUDUEZUFHZUGZIUHZJZBUPZAHZIKZYC
      CLMZSZBDUIZXQYBGZYGBDYIYCDEZYEYFYIYJYEGZGZYFYCXRNMZYLYMXRYCLMZUQZYLYEYOYI
      YJYEUJYLYNYDIYLYCXSEZYDXTEZYNYDIJZXQYPYQSZYBYKXQAUKZXSAULZUMZYSXPYTXODFAU
      NUOZXQXSDUUAXQBXSDXQXRDEZYPYJSXOUUDXPCUROZUUDYPYJYCXRUSUTVAVBXPUUADJXODFA
      VCUOVDZXSYCAVEPQYLXRVHEZYCVHEZYPYNTXQUUGYBYKXQCXOCVHEZXPCVFOZVGZQYJUUHYIY
      EYCVFVIZXRYCVJPYLYQYDYAEYRYLXTYAYDXQYBYKVKVLYDIYCAVMVNVOVPVQRYLYCXRYJYCVR
      EYIYEYCVSVIXQXRVREZYBYKXQXRUUKVTZQWAWBYLUUHUUIYFYMTUULXQUUIYBYKUUJQYCCWCP
      WBWDWEXQYHGZXTYAUUOXTYAUMZXSAWFYAUGZUMZUUOUAXSUUQXQYHUAUPZXSEZUUSUUQEZXQY
      HUUTGZGZUVAUUSDEZUUSAHZIJZXQUUDUUTUVDUVBUUEYHUUTWGUUSXRUSWHZUVCUUSCLMZUQZ
      UVFUVCCUUSNMUVIUVCCXRUUSXQCVREZUVBXOUVJXPCVSOZOZXQUUMUVBUUNOUVCUUSUVGWIZU
      VCCUVLWKUUTXRUUSLMXQYHXRUUSWJWLWMUVCCUUSUVLUVMWAWNUVCUVHUVEIUVCYGUVEIKZUV
      HSBDUUSYCUUSJZYEUVNYFUVHUVOYDUVEIYCUUSAWOWPYCUUSCLXAWQXQYHUUTWRUVGWSWTRUV
      CADXBZUVAUVDUVFGTXPUVPXOUVBDFAXCXDDIUUSAXEVAXFWDVBXQUUPUURTZYHXQYTUUBUVQU
      UCUUFXSYAAXGPOWBUUOIXTUUOXRAHZIXTUUOXRCLMZUQZUVRIJXQUVTYHXQCXRNMUVTXQCUVK
      WKXQCXRUVKUUNWAWNOUUOUVSUVRIXQUUDYHUVRIKZUVSSZUUEYGUWBBXRDYCXRJZYEUWAYFUV
      SUWCYDUVRIYCXRAWOWPYCXRCLXAWQXHXIWTRXQUVRXTEZYHXQXRXSEZUWDXQUUGUWEUUKXRXK
      VAXQYTUUBUWEUWDSUUCUUFXSXRAVEPROXJXLXMXN $.

    $( Value of the polynomial set function.  (Contributed by Mario Carneiro,
       17-Jul-2014.) $)
    plyval $p |- ( S C_ CC -> ( Poly ` S ) = { f | E. n e. NN0
      E. a e. ( ( S u. { 0 } ) ^m NN0 ) f =
        ( z e. CC |-> sum_ k e. ( 0 ... n ) ( ( a ` k ) x. ( z ^ k ) ) ) } ) $=
      ( vx cc wss cply cfv cv cc0 co wceq cun cn0 cmap wrex cab cpw cfz csu csn
      wcel cexp cmul cmpt cnex elpw2 uneq1 oveq1d rexeqdv rexbidv abbidv df-ply
      nn0ex ovex ab2rexex fvmpt sylbir ) BHIBHUAZUEBJKCLAHMELUBNDLZFLKALVCUFNUG
      NDUCUHZOZFBMUDZPZQRNZSZEQSZCTZOBHUIUJGBVEFGLZVFPZQRNZSZEQSZCTVKVBJVLBOZVP
      VJCVQVOVIEQVQVEFVNVHVQVMVGQRVLBVFUKULUMUNUOGACDEFUPEFCQVHVDUQVGQRURUSUTVA
      $.

    $( Reverse closure of the parameter ` S ` of the polynomial set function.
       (Contributed by Mario Carneiro, 22-Jul-2014.) $)
    plybss $p |- ( F e. ( Poly ` S ) -> S C_ CC ) $=
      ( vx vf vz vn vk va cply cfv wcel cc cpw cv cc0 cfz co cexp cn0 wrex cmul
      csu cmpt wceq csn cun cmap cab df-ply mptrcl elpwid ) BAIJKALCLMDNELOFNPQ
      GNZHNJENULRQUAQGUBUCUDHCNOUEUFSUGQTFSTDUHIBACEDGFHUIUJUK $.

    $( Definition of a polynomial with coefficients in ` S ` .  (Contributed by
       Mario Carneiro, 17-Jul-2014.) $)
    elply $p |- ( F e. ( Poly ` S ) <-> ( S C_ CC /\ E. n e. NN0
      E. a e. ( ( S u. { 0 } ) ^m NN0 ) F =
        ( z e. CC |-> sum_ k e. ( 0 ... n ) ( ( a ` k ) x. ( z ^ k ) ) ) ) ) $=
      ( vf cply cfv wcel cc wss cc0 cv cfz co wceq cn0 wrex cvv cexp csu plybss
      cmul cmpt csn cun cmap cab plyval eleq2d wi wa id cnex mptex eqeltrdi a1i
      rexlimivv eqeq1 2rexbidv elab3 bitrdi biadanii ) EBHIZJZBKLZEAKMDNZOPCNZF
      NZIANVIUAPUDPCUBZUEZQZFBMUFUGRUHPZSDRSZBEUCVGVFEGNZVLQZFVNSDRSZGUIZJVOVGV
      EVSEABGCDFUJUKVRVOGETVMETJZDFRVNVMVTULVHRJVJVNJUMVMEVLTVMUNAKVKUOUPUQURUS
      VPEQVQVMDFRVNVPEVLUTVAVBVCVD $.

    $( The coefficient function can be assumed to have zeroes outside
       ` 0 ... n ` .  (Contributed by Mario Carneiro, 20-Jul-2014.)  (Revised
       by Mario Carneiro, 23-Aug-2014.) $)
    elply2 $p |- ( F e. ( Poly ` S ) <-> ( S C_ CC /\ E. n e. NN0
    E. a e. ( ( S u. { 0 } ) ^m NN0 ) ( ( a " ( ZZ>= ` ( n + 1 ) ) ) = { 0 } /\
  F = ( z e. CC |-> sum_ k e. ( 0 ... n ) ( ( a ` k ) x. ( z ^ k ) ) ) ) ) ) $=
      ( vf vx cfv wcel cc cv co cc0 wceq wa cn0 wrex cvv sylancl cply wss caddc
      c1 cuz cima csn cfz cexp cmul csu cmpt cun cmap elply cif wf simpr simpll
      wb cnex ssexg snex unexg nn0ex mpbid ffvelrnda ssun2 c0ex snss mpbir ifcl
      elmapg fmpttd mpbird wne cle wbr wi wral wn fveq2 ifbieq1d eqid fvex ifex
      eleq1w fvmpt ad2antll iffalse eqeq2d syl5ibcom necon1ad elfzle2 ralrimiva
      syl6 anassrs simplr 0cnd snssd unssd plyco0 syl2anc imaeq1 eqeq1d elfznn0
      fssd eqidd fveq1 syl iftrue eqtrd sylan9eq oveq1d sumeq2dv anbi12d rspcev
      mpteq2dv syl12anc eqeq1 anbi2d rexbidv rexlimdva reximdva imdistani sylbi
      syl5ibrcom reximi anim2i sylibr impbii ) EBUAIJZBKUBZFLZDLZUDUCMUEIZUFZNU
      GZOZEAKNYOUHMZCLZYNIZALUUAUIMZUJMZCUKZULZOZPZFBYRUMZQUNMZRZDQRZPZYLYMEAKY
      TUUAGLZIZUUCUJMZCUKZULZOZGUUJRZDQRZPUUMABCDEGUOYMUVAUULYMUUTUUKDQYMYOQJZP
      ZUUSUUKGUUJUVCUUNUUJJZPZUUKUUSYSUURUUFOZPZFUUJRZUVEHQHLZYTJZUVIUUNIZNUPZU
      LZUUJJZUVMYPUFZYROZUURUUROZUVHUVEUVNQUUIUVMUQZUVEHQUVLUUIUVEUVIQJPUVKUUIJ
      NUUIJZUVLUUIJUVEQUUIUVIUUNUVEUVDQUUIUUNUQZUVCUVDURUVEUUISJZQSJZUVDUVTUTUV
      EBSJZYRSJUWAUVEYMKSJUWCYMUVBUVDUSZVABKSVBTNVCBYRSSVDTZVEUUIQUUNSSVMTVFVGU
      VSYRUUIUBYRBVHNUUIVIVJVKUVJUVKNUUIVLTVNZUVEUWAUWBUVNUVRUTUWEVEUUIQUVMSSVM
      TVOUVEUVPUUAUVMIZNVPZUUAYOVQVRZVSZCQVTZUVEUWJCQUVCUVDUUAQJZUWJUVCUVDUWLPP
      ZUWHUUAYTJZUWIUWMUWNUWGNUWMUWGUWNUUONUPZOZUWNWAZUWGNOUWLUWPUVCUVDHUUAUVLU
      WOQUVMUVIUUAOUVJUWNUVKUUONHCYTWGUVIUUAUUNWBWCUVMWDUWNUUONUUAUUNWEVIWFWHZW
      IUWQUWONUWGUWNUUONWJWKWLWMUUANYOWNWPWQWOUVEUVBQKUVMUQUVPUWKUTYMUVBUVDWRUV
      EQUUIKUVMUWFUVEBYRKUWDUVENKUVEWSWTXAXGUVMCYOXBXCVOUVEUURXHUVGUVPUVQPFUVMU
      UJYNUVMOZYSUVPUVFUVQUWSYQUVOYRYNUVMYPXDXEUWSUUFUURUURUWSAKUUEUUQUWSYTUUDU
      UPCUWSUWNPUUBUUOUUCUJUWSUWNUUBUWGUUOUUAYNUVMXIUWNUWGUWOUUOUWNUWLUWPUUAYOX
      FUWRXJUWNUUONXKXLXMXNXOXRWKXPXQXSUUSUUHUVGFUUJUUSUUGUVFYSEUURUUFXTYAYBYGY
      CYDYEYFUUMYMUUGFUUJRZDQRZPYLUULUXAYMUUKUWTDQUUHUUGFUUJYSUUGURYHYHYIABCDEF
      UOYJYK $.

    $d k z F $.
    $( The set of polynomials is unaffected by the addition of zero.  (This is
       built into the definition because all higher powers of a polynomial are
       effectively zero, so we require that the coefficient field contain zero
       to simplify some of our closure theorems.)  (Contributed by Mario
       Carneiro, 17-Jul-2014.) $)
    plyun0 $p |- ( Poly ` ( S u. { 0 } ) ) = ( Poly ` S ) $=
      ( vf vz vn vk va cc0 cun cply cfv cc wss cv co cn0 cmap wrex wcel elply
      wa csn cfz cexp cmul csu cmpt wceq snssi ax-mp biantru bitr2i unass unidm
      0cn unss uneq2i eqtri oveq1i rexeqi rexbii anbi12i 3bitr4i eqriv ) BAGUAZ
      HZIJZAIJZVEKLZBMZCKGDMUBNEMZFMJCMVJUCNUDNEUEUFUGZFVEVDHZOPNZQZDOQZTAKLZVK
      FVEOPNZQZDOQZTVIVFRVIVGRVHVPVOVSVPVPVDKLZTVHVTVPGKRVTUNGKUHUIUJAVDKUOUKVN
      VRDOVKFVMVQVLVEOPVLAVDVDHZHVEAVDVDULWAVDAVDUMUPUQURUSUTVACVEEDVIFSCAEDVIF
      SVBVC $.

    $( The polynomial is a function on the complex numbers.  (Contributed by
       Mario Carneiro, 22-Jul-2014.) $)
    plyf $p |- ( F e. ( Poly ` S ) -> F : CC --> CC ) $=
      ( vz vn vk va cfv wcel cc cc0 cv co cn0 wrex wf wss wa cvv sylancl syl2an
      cply cfz cexp cmul csu cmpt wceq csn cmap elply simprbi fzfid plybss 0cnd
      cun snssd unssd ad2antrr adantr simplrr wb cnex ssexg nn0ex mpbid elfznn0
      elmapg sseldd simpr expcl mulcld fsumcl fmpttd feq1 syl5ibrcom rexlimdvva
      ffvelrn mpd ) BAUAGHZBCIJDKZUBLZEKZFKZGZCKZWBUCLZUDLZEUEZUFZUGZFAJUHZUOZM
      UILZNDMNZIIBOZVSAIPWNCAEDBFUJUKVSWJWODFMWMVSVTMHZWCWMHZQZQZWOWJIIWIOWSCIW
      HIWSWEIHZQZWAWGEXAJVTULXAWBWAHZQZWDWFXCWLIWDXAWLIPZXBVSXDWRWTVSAWKIABUMVS
      JIVSUNUPUQURZUSXAMWLWCOZWBMHZWDWLHXBXAWQXFVSWPWQWTUTXAWLRHZMRHWQXFVAXAXDI
      RHXHXEVBWLIRVCSVDWLMWCRRVGSVEWBVTVFZMWLWBWCVQTVHXAWTXGWFIHXBWSWTVIXIWEWBV
      JTVKVLVMIIBWIVNVOVPVR $.

    $( The polynomial set function preserves the subset relation.  (Contributed
       by Mario Carneiro, 17-Jul-2014.) $)
    plyss $p |- ( ( S C_ T /\ T C_ CC ) -> ( Poly ` S ) C_ ( Poly ` T ) ) $=
      ( vf vz vn vk va wss cc cv cc0 co cfv wceq cun cn0 cmap wrex cvv wcel cfz
      wa cexp cmul csu cmpt csn cab cply wi simpr cnex ssexg sylancl snex unexg
      unss1 adantr mapss syl2anc ssrexv syl reximdv ss2abdv sstr plyval 3sstr4d
      adantl ) ABHZBIHZUBZCJDIKEJUALFJZGJMDJVLUCLUDLFUEUFNZGAKUGZOZPQLZRZEPRZCU
      HZVMGBVNOZPQLZRZEPRZCUHZAUIMZBUIMZVKVRWCCVKVQWBEPVKVPWAHZVQWBUJVKVTSTZVOV
      THZWGVKBSTZVNSTWHVKVJISTWJVIVJUKULBISUMUNKUOBVNSSUPUNVIWIVJABVNUQURVOVTPS
      USUTVMGVPWAVAVBVCVDVKAIHWEVSNABIVEDACFEGVFVBVJWFWDNVIDBCFEGVFVHVG $.

    $( Every polynomial ring is contained in the ring of polynomials over
       ` CC ` .  (Contributed by Mario Carneiro, 22-Jul-2014.) $)
    plyssc $p |- ( Poly ` S ) C_ ( Poly ` CC ) $=
      ( vf cply cfv cc wss c0 wceq 0ss sseq1 mpbiri wne cv wcel wex plybss ssid
      n0 plyss sylancl exlimiv sylbi pm2.61ine ) ACDZECDZFZUDGUDGHUFGUEFUEIUDGU
      EJKUDGLBMZUDNZBOUFBUDRUHUFBUHAEFEEFUFAUGPEQAESTUAUBUC $.

    $( Sufficient condition for elementhood in the set of polynomials.
       (Contributed by Mario Carneiro, 17-Jul-2014.)  (Revised by Mario
       Carneiro, 23-Aug-2014.) $)
    elplyr $p |- ( ( S C_ CC /\ N e. NN0 /\ A : NN0 --> S ) ->
      ( z e. CC |->
        sum_ k e. ( 0 ... N ) ( ( A ` k ) x. ( z ^ k ) ) ) e. ( Poly ` S ) ) $=
      ( vn va cc wss cn0 wcel cc0 cfz co cv cfv cmul csu wceq cvv w3a cexp cmpt
      wf csn cun cmap wrex cply simp1 simp2 simp3 ssun1 fss sylancl snssd unssd
      wb 0cnd cnex ssexg nn0ex elmapg mpbird eqidd oveq2 sumeq1d mpteq2dv fveq1
      eqeq2d oveq1d sumeq2sdv rspc2ev syl3anc elply sylanbrc ) CHIZEJKZJCBUDZUA
      ZVQAHLEMNZDOZBPZAOWBUBNZQNZDRZUCZAHLFOZMNZWBGOZPZWDQNZDRZUCZSZGCLUEZUFZJU
      GNZUHFJUHZWGCUIPKVQVRVSUJZVTVRBWRKZWGWGSZWSVQVRVSUKVTXAJWQBUDZVTVSCWQIXCV
      QVRVSULCWPUMJCWQBUNUOVTWQTKZJTKXAXCURVTWQHIHTKXDVTCWPHWTVTLHVTUSUPUQUTWQH
      TVAUOVBWQJBTTVCUOVDVTWGVEWOXBWGAHWAWLDRZUCZSFGEBJWRWHESZWNXFWGXGAHWMXEXGW
      IWAWLDWHELMVFVGVHVJWJBSZXFWGWGXHAHXEWFXHWAWLWEDXHWKWCWDQWBWJBVIVKVLVHVJVM
      VNACDFWGGVOVP $.
  $}

  ${
    $d j z A $.  $d j k z N $.  $d k z ph $.  $d j k z S $.
    elplyd.1 $e |- ( ph -> S C_ CC ) $.
    elplyd.2 $e |- ( ph -> N e. NN0 ) $.
    elplyd.3 $e |- ( ( ph /\ k e. ( 0 ... N ) ) -> A e. S ) $.
    $( Sufficient condition for elementhood in the set of polynomials.
       (Contributed by Mario Carneiro, 17-Jul-2014.) $)
    elplyd $p |- ( ph -> ( z e. CC |->
      sum_ k e. ( 0 ... N ) ( A x. ( z ^ k ) ) ) e. ( Poly ` S ) ) $=
      ( vj cc cc0 co cv cexp cmul csu cfv cn0 wcel cmpt cply nffvmpt1 nfcv nfov
      cfz csn cun cif wceq fveq2 oveq2 oveq12d cbvsumi wa elfznn0 iftrue adantl
      eqeltrd eqid fvmpt2 syl2an2 eqtrd oveq1d sumeq2dv syl5eq mpteq2dv wf 0cnd
      wss snssd unssd elun1 syl adantlr ssun2 c0ex snss mpbir a1i ifclda fmpttd
      wn elplyr syl3anc eqeltrrd plyun0 eleqtrdi ) ABKLFUFMZCBNZENZOMZPMZEQZUAZ
      DLUGZUHZUBRZDUBRABKWIJNZESWKWITZCLUIZUAZRZWJWSOMZPMZJQZUAZWOWRABKXFWNAXFW
      IWKXBRZWLPMZEQWNWIXEXIJEEXCXDPESXAWSUCEPUDEXDUDUEJXIUDWSWKUJXCXHXDWLPWSWK
      XBUKWSWKWJOULUMUNAWIXIWMEAWTUOZXHCWLPXJXHXACWTWKSTZAXADTXHXAUJWKFUPXJXACD
      WTXACUJAWTCLUQURZIUSESXADXBXBUTVAVBXLVCVDVEVFVGAWQKVJFSTSWQXBVHXGWRTADWPK
      GALKAVIVKVLHAESXAWQAXKUOZWTCLWQAWTCWQTZXKXJCDTXNICDWPVMVNVOLWQTZXMWTWCUOX
      OWPWQVJWPDVPLWQVQVRVSVTWAWBBXBWQJFWDWEWFDWGWH $.
  $}

  ${
    $d k z A $.  $d k z N $.  $d k z S $.
    ply1term.1 $e |- F = ( z e. CC |-> ( A x. ( z ^ N ) ) ) $.
    $( Lemma for ~ ply1term .  (Contributed by Mario Carneiro, 26-Jul-2014.) $)
    ply1termlem $p |- ( ( A e. CC /\ N e. NN0 ) -> F = ( z e. CC |->
      sum_ k e. ( 0 ... N ) ( if ( k = N , A , 0 ) x. ( z ^ k ) ) ) ) $=
      ( cc wcel cn0 wa cv cexp co cmul cmpt cc0 cfz wceq syl adantr cif csu cuz
      cfv wss simplr nn0uz eleqtrdi elfz1eq adantl iftrue simpll eqeltrd expcld
      fzss1 mulcld cdif wn eldifn cz wb nn0zd fzsn eleq2d elsn2g bitrd iffalsed
      mtbid oveq1d simpr eldifi elfznn0 expcl syl2an mul02d eqtrd fzfid oveq12d
      csn fsumss oveq2 fsum1 syl2anc eqtr3d mpteq2dva eqtr4id ) BGHZEIHZJZDAGBA
      KZELMZNMZOAGPEQMZCKZERZBPUAZWJWNLMZNMZCUBZOFWIAGWSWLWIWJGHZJZEEQMZWRCUBZW
      SWLXAXBWMWRCXAEPUCUDZHXBWMUEXAEIXDWGWHWTUFZUGUHEPEUOSXAWNXBHZJZWPWQXGWPBG
      XGWOWPBRXFWOXAWNEUIUJZWOBPUKZSXAWGXFWGWHWTULZTUMXGWJWNWIWTXFUFXGWNEIXHXAW
      HXFXETUMUNUPXAWNWMXBUQHZJZWRPWQNMPXLWPPWQNXLWOBPXLXFWOXKXFURXAWNWMXBUSUJX
      LEUTHZXFWOVAXLEXAWHXKXETVBXMXFWNEVSZHWOXMXBXNWNEVCVDWNEUTVEVFSVHVGVIXLWQX
      AWTWNIHZWQGHXKWIWTVJZXKWNWMHXOWNWMXBVKWNEVLSWJWNVMVNVOVPXAPEVQVTXAXMWLGHX
      CWLRXAEXEVBXABWKXJXAWJEXPXEUNUPWRWLCEWOWPBWQWKNXIWNEWJLWAVRWBWCWDWEWF $.

    $( A one-term polynomial.  (Contributed by Mario Carneiro, 17-Jul-2014.) $)
    ply1term $p |- ( ( S C_ CC /\ A e. S /\ N e. NN0 ) ->
                     F e. ( Poly ` S ) ) $=
      ( vk cc wss wcel cn0 w3a cc0 csn cun cply cfv co cv wceq cfz cif cexp csu
      cmul cmpt ssel2 ply1termlem stoic3 simp1 0cnd snssd unssd simp3 wa simpl2
      elun1 ssun2 c0ex snss mpbir ifcl sylancl elplyd eqeltrd plyun0 eleqtrdi
      syl ) CHIZBCJZEKJZLZDCMNZOZPQZCPQVLDAHMEUARZGSZETZBMUBZASVQUCRUERGUDUFZVO
      VIVJBHJVKDVTTCHBUGABGDEFUHUIVLAVSVNGEVLCVMHVIVJVKUJVLMHVLUKULUMVIVJVKUNVL
      VQVPJZUOZBVNJZMVNJZVSVNJWBVJWCVIVJVKWAUPBCVMUQVHWDVMVNIVMCURMVNUSUTVAVRBM
      VNVBVCVDVECVFVG $.
  $}

  ${
    $d k m n x z A $.  $d k m n M $.  $d k m n x z N $.  $d k m n z ph $.
    $d k x z S $.
    $( A power is a polynomial.  (Contributed by Mario Carneiro,
       17-Jul-2014.) $)
    plypow $p |- ( ( S C_ CC /\ 1 e. S /\ N e. NN0 ) ->
                   ( z e. CC |-> ( z ^ N ) ) e. ( Poly ` S ) ) $=
      ( cc wss c1 wcel cn0 w3a cv cexp co cmul cmpt cply cfv wa id simp3 expcl
      syl2anr mulid2d mpteq2dva eqid ply1term eqeltrrd ) BDEZFBGZCHGZIZADFAJZCK
      LZMLZNZADULNBOPUJADUMULUJUKDGZQULUOUOUIULDGUJUORUGUHUISUKCTUAUBUCAFBUNCUN
      UDUEUF $.

    $( A constant function is a polynomial.  (Contributed by Mario Carneiro,
       17-Jul-2014.) $)
    plyconst $p |- ( ( S C_ CC /\ A e. S ) ->
                     ( CC X. { A } ) e. ( Poly ` S ) ) $=
      ( vz cc wss wcel wa cv cc0 cexp co cmul cmpt csn cxp cply cfv wceq exp0
      c1 adantl oveq2d ssel2 mulid1d eqtrd mpteq2dva fconstmpt eqtr4di cn0 0nn0
      adantr eqid ply1term mp3an3 eqeltrrd ) BDEZABFZGZCDACHZIJKZLKZMZDANOZBPQZ
      URVBCDAMVCURCDVAAURUSDFZGZVAATLKAVFUTTALVEUTTRURUSSUAUBVFAURADFVEBDAUCUKU
      DUEUFCDAUGUHUPUQIUIFVBVDFUJCABVBIVBULUMUNUO $.

    $( A test to show that a polynomial is nonzero.  (Contributed by Mario
       Carneiro, 23-Jul-2014.) $)
    ne0p $p |- ( ( A e. CC /\ ( F ` A ) =/= 0 ) -> F =/= 0p ) $=
      ( cc wcel cfv cc0 wne c0p wceq 0pval fveq1 eqeq1d syl5ibrcom necon3d imp
      ) ACDZABEZFGBHGPBHQFPQFIBHIZAHEZFIAJRQSFABHKLMNO $.

    $( The zero function is a polynomial.  (Contributed by Mario Carneiro,
       17-Jul-2014.) $)
    ply0 $p |- ( S C_ CC -> 0p e. ( Poly ` S ) ) $=
      ( cc wss c0p cc0 csn cun cply cfv cxp df-0p wcel id 0cnd snssd unssd c0ex
      ssun2 snss mpbir plyconst sylancl eqeltrid plyun0 eleqtrdi ) ABCZDAEFZGZH
      IZAHIUFDBUGJZUIKUFUHBCEUHLZUJUILUFAUGBUFMUFEBUFNOPUKUGUHCUGAREUHQSTEUHUAU
      BUCAUDUE $.

    $( The identity function is a polynomial.  (Contributed by Mario Carneiro,
       17-Jul-2014.) $)
    plyid $p |- ( ( S C_ CC /\ 1 e. S ) -> Xp e. ( Poly ` S ) ) $=
      ( vz cc wss c1 wcel wa cidp cv cexp co cmpt cply cfv cres mptresid df-idp
      cid exp1 mpteq2ia 3eqtr4i cn0 1nn0 plypow mp3an3 eqeltrid ) ACDZEAFZGHBCB
      IZEJKZLZAMNZRCOBCUILHUKBCPQBCUJUIUISTUAUGUHEUBFUKULFUCBAEUDUEUF $.

    plyeq0.1 $e |- ( ph -> S C_ CC ) $.
    plyeq0.2 $e |- ( ph -> N e. NN0 ) $.
    plyeq0.3 $e |- ( ph -> A e. ( ( S u. { 0 } ) ^m NN0 ) ) $.
    plyeq0.4 $e |- ( ph -> ( A " ( ZZ>= ` ( N + 1 ) ) ) = { 0 } ) $.
    plyeq0.5 $e |- ( ph -> 0p =
      ( z e. CC |-> sum_ k e. ( 0 ... N ) ( ( A ` k ) x. ( z ^ k ) ) ) ) $.
    ${
      plyeq0.6 $e |- M = sup ( ( `' A " ( S \ { 0 } ) ) , RR , < ) $.
      plyeq0.7 $e |- ( ph -> ( `' A " ( S \ { 0 } ) ) =/= (/) ) $.
      $( Lemma for ~ plyeq0 .  If ` A ` is the coefficient function for a
         nonzero polynomial such that
         ` P ( z ) = sum_ k e. NN0 A ( k ) x. z ^ k = 0 ` for every ` z e. CC `
         and ` A ( M ) ` is the nonzero leading coefficient, then the function
         ` F ( z ) = P ( z ) / z ^ M ` is a sum of powers of ` 1 / z ` , and so
         the limit of this function as ` z ~~> +oo ` is the constant term,
         ` A ( M ) ` .  But ` F ( z ) = 0 ` everywhere, so this limit is also
         equal to zero so that ` A ( M ) = 0 ` , a contradiction.  (Contributed
         by Mario Carneiro, 22-Jul-2014.) $)
      plyeq0lem $p |- -. ph $=
        ( cc0 wcel cn co cc cn0 vm vn cfv csn wceq cxp cli wbr cfz cif csu cmin
        vx cv cexp cmul cmpt c1 cvv nnuz 1zzd fzfid wa clt cabs cdiv wf cmap wb
        cun wss 0cn a1i snssd unssd cnex ssexg sylancl nn0ex mpbid fssd ffvelrn
        elmapg syl2an adantr abscld recnd syl nnex mptex eqid ovex fvmpt adantl
        cr sylan eqeltrd weq oveq1 oveq2d ad2antrr cz cdif cima wne wral sstrdi
        cle nn0red elpreima wi fveq2 caddc syl2anc nn0zd syl2anr cneg ad3antrrr
        breqtrrd mpbird nncn breqtrd nnne0 eqtrd ad2antlr expclzd mulcld fveq2d
        cuz simpr sylibr oveq1d 3eqtr4d eleqtrdi mpbir2and climconst2 c0p expcl
        1z 3eqtr3d elfznn0 divcnv oveq2 nndivre crp nnrp elfzelz cnvimass fssdm
        ccnv csup c0 wrex nn0ssz wfn ffnd simplbda eldifsni neeq1d breq1 plyco0
        imbi12d sselda rspcdva mpd ralrimiva brralrspcev suprzcl syl3anc sseldd
        eqeltrid zsubcl rpexpcld rpred remulcld nnrecre absge0d nnre nnge1 1red
        zred zltp1le leaddsub2d negsubdi2d lenegcon2d neg1z eluz leexp2ad expn1
        simplr lemul2ad divrecd 3brtr4d rpge0d mulge0d climsqz2 adantlr absmuld
        an32s absidd 3eqtr4rd climabs0 wn ltned necon3bbii iffalsed mul02d ifid
        ifeq1d eqtrdi mulid1d nn0ssre anim1i eldifsn suprubd breqtrrdi ad4ant14
        velsn difun2 simpllr letri3d exp0d iftrued pm2.61dane mpteq2dva eqtr4di
        subidd fconstmpt ifcl eqimss2i eqbrtrd ltlecasei snex xpex anasss 0pval
        fveq1d sumeq2sdv sumex expne0d div0d fsumdivc fvconst2g expsubd divassd
        sumeq2dv climfsum suprleub syl31anc eqbrtrid nn0uz elfz5 ffvelrnd elsni
        cfn wo eleq1d syl5ibrcom ralrimiv olcd sumss2 syl21anc ltso supex sumsn
        eqeltri sylancr eqtr3d mp2an climuni fvex elsn simprd eldifbd pm2.65i )
        AFCUCZOUDZPZAVVPOUEZVVRAQVVQUFZVVPUGUHVVTOUGUHZVVSAVVTOGUIRZEUNZFUDZPZV
        WCCUCZOUJZEUKZVVPUGAVWBVWGEUAUBQVWFUBUNZVWCFULRZUORZUPRZUQZVVTURUSQUTAV
        AAOGVBZAVWCVWBPZVCZVWMVWGUGUHVWCFVWPVWCFVDUHZVCZVWMOVWGUGVWRVWMOUGUHUBQ
        VWFVEUCZVWKUPRZUQZOUGUHVWROUAUBQVWSVWIVFRZUQZVXAURUSQUTVWRVAZVWRVWSSPZV
        XCOUGUHVWRVWSVWRVWFVWPVWFSPZVWQATSCVGZVWCTPZVXFVWOATDVVQVJZSCACVXITVHRP
        ZTVXICVGZJAVXIUSPZTUSPVXJVXKVIAVXISVKSUSPVXLADVVQSHAOSOSPZAVLVMZVNVOZVP
        VXISUSVQVRVSVXITCUSUSWCVRVTZVXOWAZVWCGUUAZTSVWCCWBZWDZWEZWFZWGZVWSUBUUB
        WHVXAUSPVWRUBQVWTWIWJVMZVWRUAUNZQPZVCZVYEVXCUCZVWSVYEVFRZWOVYFVYHVYIUEV
        WRUBVYEVXBVYIQVXCVWIVYEVWSVFUUCVXCWKVWSVYEVFWLWMWNZVWRVWSWOPVYFVYIWOPVY
        BVWSVYEUUDWPWQVYGVYEVXAUCZVWSVYEVWJUORZUPRZWOVYFVYKVYMUEVWRUBVYEVWTVYMQ
        VXAUBUAWRZVWKVYLVWSUPVWIVYEVWJUOWSZWTVXAWKVWSVYLUPWLWMWNZVYGVWSVYLVYGVW
        FVWPVXFVWQVYFVXTXAZWFZVYGVYLVYGVYEVWJVYFVYEUUEPVWRVYEUUFWNVWPVWJXBPZVWQ
        VYFVWOVWCXBPZFXBPZVYSAVWCOGUUGZAFACUUJDVVQXCZXDZTFATVXIWUDCCWUCUUHVXPUU
        IZAFWUDWOVDUUKZWUDMAWUDXBVKWUDUULXEZBUNZUMUNXHUHBWUDXFUMWOUUMZWUFWUDPAW
        UDTXBWUEUUNXGNAGWOPZWUHGXHUHZBWUDXFZWUIAGIXIZAWUKBWUDAWUHWUDPZVCZWUHCUC
        ZOXEZWUKWUOWUPWUCPZWUQAWUNWUHTPZWURACTUUOZWUNWUSWURVCVIATVXICVXPUUPZTWU
        HWUCCXJWHUUQWUPDOUURWHWUOVWFOXEZVWCGXHUHZXKZWUQWUKXKETWUHEBWRZWVBWUQWVC
        WUKWVEVWFWUPOVWCWUHCXLUUSVWCWUHGXHUUTUVBAWVDETXFZWUNACGURXMRYIUCXDVVQUE
        ZWVFKAGTPVXGWVGWVFVIIVXQCEGUVAXNVTWEAWUDTWUHWUEUVCUVDUVEUVFZUMBWUHGXHWO
        WUDUVGXNZUMBWUDUVHUVIUVKZUVJZXOZVWCFUVLZXPZXAZUVMZUVNZUVOWQVYGVYMVWSURV
        YEVFRZUPRZVYKVYHXHVYGVYLWVRVWSWVQVYFWVRWOPVWRVYEUVPWNVYRVWROVWSXHUHVYFV
        WRVWFVYAUVQWEZVYGVYLVYEURXQZUORZWVRXHVYGVYEVWJWWAVYFVYEWOPVWRVYEUVRWNVY
        FURVYEXHUHVWRVYEUVSWNVYGWWAVWJYIUCPZVWJWWAXHUHZVYGURVWJVYGUVTZVYGVWJWVO
        UWAVYGURFVWCULRZVWJXQXHVYGVWCURXMRFXHUHZURWWFXHUHVYGVWQWWGVWPVWQVYFUWJV
        YGVYTWUAVWQWWGVIVWPVYTVWQVYFVWOVYTAWUBWNXAAWUAVWOVWQVYFWVLXRVWCFUWBXNVT
        VYGVWCURFVWPVWCWOPZVWQVYFVWPVWCVWOVXHAVXRWNXIZXAWWEVWPFWOPZVWQVYFVWPFAF
        TPZVWOWVKWEXIZXAUWCVTVYGVWCFVWPVWCSPVWQVYFVWPVWCWWIWGXAVWPFSPZVWQVYFVWP
        FWWLWGZXAUWDXSUWEVYGVYSWWAXBPWWCWWDVIWVOUWFVWJWWAUWGVRXTUWHVYGVYESPZWWB
        WVRUEVYFWWOVWRVYEYAZWNZVYEUWIWHYBUWKVYPVYGVYHVYIWVSVYJVYGVWSVYEVWRVXEVY
        FVYCWEWWQVYFVYEOXEZVWRVYEYCZWNUWLYDUWMVYGOVYMVYKXHVYGVWSVYLVYRWVQWVTVYG
        VYLWVPUWNZUWOVYPXSUWPVWRUAVWMVXAURUSUSQUTVXDVWMUSPVWRUBQVWLWIWJVMVYDVWP
        VYFVYEVWMUCZSPZVWQAVYFVWOWXBAVYFVCZVWOVCZWXAVWFVYLUPRZSVYFWXAWXEUEZAVWO
        UBVYEVWLWXEQVWMVYNVWKVYLVWFUPVYOWTVWMWKVWFVYLUPWLWMZYEZWXDVWFVYLWXCVXGV
        XHVXFVWOAVXGVYFVXQWEVXRVXSWDZWXDVYEVWJVYFWWOAVWOWWPYEZVYFWWRAVWOWWSYEZV
        WOVYTWUAVYSWXCWUBAWUAVYFWVLWEZWVMXPYFYGWQUWSZUWQVYGWXEVEUCZVYMWXAVEUCVY
        KVYGWXNVWSVYLVEUCZUPRVYMVYGVWFVYLVYQVYGVYLWVQWGUWRVYGWXOVYLVWSUPVYGVYLW
        VQWWTUWTWTYDVYGWXAWXEVEVYFWXFVWRWXGWNYHVYPUXAUXBXTVWRVWEVWFOVWRVWCFXEVW
        EUXCVWRVWCFVWPWWHVWQWWIWEVWPVWQYJUXDVWEVWCFEFUXRZUXEYKUXFXSVWPFVWCXHUHZ
        VCZVWMQVWGUDUFZVWGUGWXRVWMUBQVWGUQWXSWXRUBQVWLVWGWXRVWIQPZVCZVWLVWGUEVW
        FOWYAVWFOUEZVCZOVWKUPROVWLVWGWYCVWKWYCVWIVWJWXTVWISPZWXRWYBVWIYAZYEWXTV
        WIOXEWXRWYBVWIYCYEVWPVYSWXQWXTWYBWVNXRYFUXGWYCVWFOVWKUPWYAWYBYJZYLWYCVW
        GVWEOOUJOWYCVWEVWFOOWYFUXIVWEOUXHUXJYMWYAWVBVCZVWFURUPRVWFVWLVWGWYGVWFW
        XRVXFWXTWVBVWPVXFWXQVXTWEZXAUXKWYGVWKURVWFUPWYGVWKVWIOUORURWYGVWJOVWIUO
        WYGVWJFFULROWYGVWCFFULWYGVWCFUEZVWCFXHUHZWXQVWPWVBWYJWXQWXTVWPWVBVCZVWC
        WUFFXHWYKUMBWUDVWCAWUDWOVKZVWOWVBAWUDTWOWUEUXLXGZXAAWUGVWOWVBNXAAWUIVWO
        WVBWVIXAWYKVWCWUDPZVXHVWFWUCPZVWOVXHAWVBVXRYEWYKVWFVXIVVQXCZWUCWYKVWFVX
        IPZWVBVCVWFWYPPVWPWYQWVBAVXKVXHWYQVWOVXPVXRTVXIVWCCWBWDUXMVWFVXIOUXNYKD
        VVQUXSYNAWYNVXHWYOVCVIZVWOWVBAWUTWYRWVATVWCWUCCXJWHXAYOUXOMUXPUXQVWPWXQ
        WXTWVBUXTWYGVWCFVWPWWHWXQWXTWVBWWIXRVWPWWJWXQWXTWVBWWLXRUYAYOZYLWYGFVWP
        WWMWXQWXTWVBWWNXRUYGYDWTWYGVWIWXTWYDWXRWVBWYEYEUYBYDWTWYGVWEVWFOWYGWYIV
        WEWYSWXPYKUYCYMUYDUYEUBQVWGUYHUYFWXRVWGSPZURXBPZWXSVWGUGUHWXRVXFVXMWYTW
        YHVLVWEVWFOSUYIVRYSVWGURQQURYIUCUTUYJZWIYPVRUYKWWIWWLUYLVVTUSPAQVVQWIOU
        YMUYNVMAVWOVYFWXBWXMUYOWXCOVWBVWFVYEVWCUORZUPRZVYEFUORZVFRZEUKZVYEVVTUC
        ZVWBWXAEUKWXCOXUEVFRVWBXUDEUKZXUEVFROXUGWXCOXUIXUEVFWXCVYEYQUCZVYEBSVWB
        VWFWUHVWCUORZUPRZEUKZUQZUCZOXUIAXUJXUOUEVYFAVYEYQXUNLUYQWEWXCWWOXUJOUEV
        YFWWOAWWPWNZVYEUYPWHWXCWWOXUOXUIUEXUPBVYEXUMXUISXUNBUAWRZVWBXULXUDEXUQX
        UKXUCVWFUPWUHVYEVWCUOWSWTUYRXUNWKVWBXUDEUYSWMWHYTYLWXCXUEVYFWWOWWKXUESP
        ZAWWPWVKVYEFYRXPZWXCVYEFXUPVYFWWRAWWSWNWXLUYTZVUAWXCVWBXUDXUEEWXCOGVBXU
        SWXDVWFXUCWXIWXCWWOVXHXUCSPVWOXUPVXRVYEVWCYRWDZYGXUTVUBYTAVXMVYFXUHOUEV
        XNQOVYESVUCWPWXCVWBWXAXUFEWXDWXEVWFXUCXUEVFRZUPRWXAXUFWXDVYLXVBVWFUPWXD
        VYEVWCFWXJWXKWXCWUAVWOWXLWEVWOVYTWXCWUBWNVUDWTWXHWXDVWFXUCXUEWXIXVAWXCX
        URVWOXUSWEWXCXUEOXEVWOXUTWEVUEYMVUFYMVUGAVWDVWFEUKZVWHVVPAVWDVWBVKVXFEV
        WDXFVWBOYIUCZVKZVWBVUOPZVUPXVCVWHUEAFVWBAFVWBPZFGXHUHZAFWUFGXHMAWUFGXHU
        HZWULWVHAWYLWUGWUIWUJXVIWULVIWYMNWVIWUMUMBBWUDGVUHVUIXTVUJAFXVDPGXBPXVG
        XVHVIAFTXVDWVKVUKYNAGIXOFOGVULXNXTVNAVXFEVWDAVXFVWEVVPSPZATSFCVXQWVKVUM
        ZVWEVWFVVPSVWEVWCFCVWCFVUNYHVUQVURVUSAXVFXVEVWNVUTVWDVWBVWFEOVVAVVBAFUS
        PXVJXVCVVPUEFWUFUSMWOWUDVDVVCVVDVVFXVKVWFVVPEFUSVWCFCXLVVEVVGVVHYBVXMXU
        AVWAVLYSOURQXUBWIYPVVIVVPOVVTVVJVRVVPOFCVVKVVLYKAVVPDVVQAWWKVVPWUCPZAFW
        UDPZWWKXVLVCZWVJAWUTXVMXVNVIWVATFWUCCXJWHVTVVMVVNVVO $.
    $}

    $( If a polynomial is zero at every point (or even just zero at the
       positive integers), then all the coefficients must be zero.  This is the
       basis for the method of equating coefficients of equal polynomials, and
       ensures that ~ df-coe is well-defined.  (Contributed by Mario Carneiro,
       22-Jul-2014.) $)
    plyeq0 $p |- ( ph -> A = ( NN0 X. { 0 } ) ) $=
      ( cn0 wceq wss cun co cvv cc cima c0 cc0 csn wf cxp wfn cmap wcel wb 0cnd
      crn snssd unssd cnex ssexg sylancl nn0ex elmapg ffnd cdm imadmrn ccnv fdm
      mpbid fimacnv eqtr4d syl cdif simpr wne wa cr clt adantr c1 caddc cuz cfv
      csup c0p cfz cv cexp cmul cmpt plyeq0lem pm2.21i pm2.61dane uneq1d undif1
      csu eqid imaeq2i imaundi eqtr3i un0 uncom 3eqtr4g eqtrd eqimss wfun ffund
      ssid funimass3 mpbird eqsstrrid df-f sylanbrc c0ex fconst2 sylib ) ALUAUB
      ZCUCZCLXKUDMACLUECUJZXKNXLALDXKOZCACXNLUFPUGZLXNCUCZIAXNQUGZLQUGXOXPUHAXN
      RNRQUGXQADXKRGAUARAUIUKULUMXNRQUNUOUPXNLCQQUQUOVCZURAXMCCUSZSZXKCUTAXTXKN
      ZXSCVAZXKSZNZAXSYCMYDAXSYBXNSZYCAXPXSYEMXRXPXSLYELXNCVBLXNCVDVEVFAYBDXKVG
      ZSZYCOZTYCOZYEYCAYGTYCAYGTMZYGTAYJVHAYGTVIZVJZYJYLBCDEYGVKVLVRZFADRNYKGVM
      AFLUGYKHVMAXOYKIVMACFVNVOPVPVQSXKMYKJVMAVSBRUAFVTPEWAZCVQBWAYNWBPWCPEWJWD
      MYKKVMYMWKAYKVHWEWFWGWHYBYFXKOZSYEYHYOXNYBDXKWIWLYBYFXKWMWNYCTOYCYIYCWOYC
      TWPWNWQWRXSYCWSVFACWTXSXSNYAYDUHALXNCXRXAXSXBXSXKCXCUOXDXELXKCXFXGLUACXHX
      IXJ $.
  $}

  ${
    $d a f k n x z A $.  $d a f k n x z E $.  $d a f k n x z S $.
    plypf1.r $e |- R = ( CCfld |`s S ) $.
    plypf1.p $e |- P = ( Poly1 ` R ) $.
    plypf1.a $e |- A = ( Base ` P ) $.
    plypf1.e $e |- E = ( eval1 ` CCfld ) $.
    $( Write the set of complex polynomials in a subring in terms of the
       abstract polynomial construction.  (Contributed by Mario Carneiro,
       3-Jul-2015.)  (Proof shortened by AV, 29-Sep-2019.) $)
    plypf1 $p |- ( S e. ( SubRing ` CCfld ) -> ( Poly ` S ) = ( E " A ) ) $=
      ( vz vk ccnfld cfv wcel cc cc0 co cmpt cn0 cvv vf vn va vx csubrg cv cmul
      cfz csu wceq csn cun wrex wss wa cgsu cfn c0g eqid cnfldbas a1i fzfid crg
      cnex ccmn cnring ringcmn subrgss ad2antrr ad2antll csubg subrgsubg cnfld0
      mp1i wf adantr sylib feq3d mpbid elfznn0 sseldd syl2anc mulcld mptex fvex
      syl fsuppmptdm pwsgsum mpteq2dva eqtrd mp2an csubmnd cncrng ax-mp sylancr
      gsumfsum cxp wb pwselbasb sylibr fmpttd cnfldmul fnfvima syl3anc eqeltrrd
      cbs fconstmpt cmgp adantl pwselbas feqmptd simpr evl1vard evl1expd simprd
      cmg eleq1 syl5 wfun cle wbr ringmnd nn0ex w3a csupp cfsupp funmpt 3pm3.2i
      cmnd oveq1d c0ex suppssfifsupp syl12anc wn wi cxr 0xr cmnf eqeltrd sylan2
      cply cima cexp elply simprbi elmapi subg0cl snssd ssequn2 ffvelrn adantrl
      cmap cpws syl2an simprl expcl anassrs pwsring cpl1 ccrg evl1rhm subrgply1
      crh rhmima subgsubm 3syl cmulr fconst6g anass1rs pwsmulrval eqidd offval2
      cof cascl evl1sca wfn ffn simpll subrg1asclcl mpbird subrgsubm subrgvr1cl
      cv1 submmulgcl cnfldexp subrgmcl gsumsubmcl syl5ibrcom rexlimdvva fvelima
      rhmf ffun mpan cdg1 cif cco1 cvsca ccom sselda ply1coe ply1ring cghm cmhm
      fveq2d rhmghm clmod ply1lmod coe1f subrgbas syl5ibr imp ffvelrnda ringmgp
      ghmmhm vr1cl mulgnn0cl ply1sca lmodvscl coe1sfi fsuppimpd eqimss2 lmod0vs
      mgpbas csca sylan suppssov1 gsummhm cofmpt ffvelrni eqeq2d anbi2d evl1vsd
      oveq2d 3eqtr2d adantlr anasss cdif eldifn wne eldifi deg1ge 3expia xrmax2
      adantll deg1xrcl nn0red rexrd ifcl sylancl xrletr mpan2d jctild wo deg1cl
      syld elun nn0ge0 iftrued id mnflt0 mnfxr xrltnle mpbi elsni breq2d mtbiri
      clt iffalsed 0nn0 eqeltrdi jaoi fznn0 sylibrd necon1bd mul02d an32s pws0g
      mpd eqtr3i eqtrdi suppss2 fz0ssnn0 resmpt oveq2i gsumres 3eqtrd syl5ibcom
      cres 3eqtr3a elplyr rexlimdva impbid eqrdv ) DLUEMNZUADUUAMZEAUUBZVWNUAUF
      ZVWONZVWQVWPNZVWRVWQJOPUBUFZUHQZKUFZUCUFZMZJUFZVXBUUCQZUGQZKUIZRZUJZUCDPU
      KZULZSUULQZUMUBSUMZVWNVWSVWRDOUNZVXNJDKUBVWQUCUUDUUEVWNVXJVWSUBUCSVXMVWNV
      WTSNZVXCVXMNZUOZUOZVWSVXJVXIVWPNVXSLOUUMQZKVXAJOVXGRZRZUPQZVXIVWPVXSVYCJO
      LKVXAVXGRUPQZRVXIVXSJKOLVXGOVXATUQVXTVXTURMZVXTUSZUTVYEUSZOTNZVXSVDVAVXSP
      VWTVBZLVCNZLVENZVXSVFLVGZVNVXSVXEONZVXBVXANZUOUOZVXDVXFVXSVYNVXDONZVYMVXS
      VYNUOZDOVXDVWNVXOVXRVYNDOLUTVHZVIVXSSDVXCVOZVXBSNZVXDDNZVYNVXSSVXLVXCVOZV
      YSVXQWUBVWNVXPVXCVXLSUUFVJVXSVXLDVXCSVXSVXKDUNVXLDUJVXSPDVWNPDNZVXRVWNDLV
      KMNWUCDLVLDLPVMUUGWFVPUUHVXKDUUIVQVRVSVXBVWTVTZSDVXBVXCUUJUUNZWAZUUKVYOVY
      MVYTVXFONZVXSVYMVYNUUOVYNVYTVXSVYMWUDVJVXEVXBUUPZWBZWCZVXSKVXAVYBTTVYAVYE
      VYBUSZVYIVYATNVYQJOVXGVDWDVAVYETNZVXSVXTURWEZVAZWGWHVXSJOVYDVXHVXSVYMUOZV
      XAVXGKWUOPVWTVBVXSVYMVYNVXGONWUJUUQWPWIWJVXSVXAVWPVYBVXTUQVYEVYGVXTVCNZVX
      TVENVXSVYJVYHWUPVFVDLOTVXTVYFUURWKZVXTVGVNVYIVXSVWPVXTUEMNZVWPVXTVKMNVWPV
      XTWLMNVXSELUUSMZVXTUVCQNZAWUSUEMNZWURLUUTNZWUTWMOWUSLVXTEIWUSUSZVYFUTUVAW
      NZVWNWVAVXRALWUSDBCWVCFGHUVBZVPEWUSVXTAUVDWOZVWPVXTVLVWPVXTUVEUVFVXSKVXAV
      YAVWPVYQOVXDUKWQZJOVXFRZVXTUVGMZQZVYAVWPVYQWVJWVGWVHUGUVMQVYAVYQVXTXFMZLW
      VIUGWVGWVHOVCTVXTVYFWVKUSZVYJVYQVFVAZVYHVYQVDVAZVYQOOWVGVOZWVGWVKNZVYQVYP
      WVOWUFOVXDOUVHWFVYJVYHWVPWVOWRVFVDOLOWVKVCWVGVXTTVYFUTWVLWSWKWTVYQOOWVHVO
      ZWVHWVKNZVYQJOVXFOVXSVYMVYNWUGWUIUVIZXAVYJVYHWVRWVQWRVFVDOLOWVKVCWVHVXTTV
      YFUTWVLWSWKWTXBWVIUSZUVJVYQJOVXDVXFUGWVGWVHTOOWVNVYQVYPVYMWUFVPWVSWVGJOVX
      DRUJVYQJOVXDXGVAVYQWVHUVKUVLWJVYQWURWVGVWPNWVHVWPNWVJVWPNVXSWURVYNWVFVPZV
      YQVXDWUSUVNMZMZEMZWVGVWPVYQWVBVYPWWDWVGUJWMWUFWWBOWUSLEVXDIWVCUTWWBUSZUVO
      WOVYQEWUSXFMZUVPZAWWFUNZWWCANZWWDVWPNWWFWVKEVOZWWGVYQWUTWWJWVDWWFWVKWUSVX
      TEWWFUSZWVLUWKWNZWWFWVKEUVQVNZVWNWWHVXRVYNVWNWVAWWHWVEAWWFWUSWWKVHWFZVIZV
      YQWWIWUAWUEVYQWWBAWUSLDBCOVXDWVCWWEFGVWNVXRVYNUVRZHUTWUFUVSUVTWWFAEWWCXCX
      DXEVYQVXBLUWCMZWUSXHMZXPMZQZEMZWVHVWPVYQWXAJOVXEWXAMZRWVHVYQJOOWXAVYQOLOW
      VKVCWXAVXTTVYFUTWVLWVMWVNVYQVWPWVKWXAVYQWURVWPWVKUNWWAVWPWVKVXTWVLVHWFVYQ
      WWGWWHWWTANZWXAVWPNWWMWWOVYQAWWRWLMNZVYTWWQANWXCVYQWVAWXDVWNWVAVXRVYNWVEV
      IAWUSWWRWWRUSZUWAWFVYNVYTVXSWUDXIZVYQALDBCWWQWWQUSZWWPFGHUWBAWWSWWRVXBWWQ
      WWSUSZUWDXDWWFAEWWTXCXDZWAXJXKVYQJOWXBVXFVYQVYMUOZWXBVXBVXELXHMXPMZQZVXFW
      XJWWTWWFNZWXBWXLUJZWXJOWUSLWWSWWFWXKWWQVXBEVXEVXEIWVCUTWWKWVBWXJWMVAZVYQV
      YMXLZWXJOWUSLWWFEWWQVXEIWXGUTWVCWWKWXOWXPXMWXHWXKUSZVYQVYTVYMWXFVPZXNXOWX
      JVYMVYTWXLVXFUJZWXPWXRVXEVXBUWEZWBWJWIWJWXIXEVWPVXTWVIWVGWVHWVTUWFXDXEZXA
      VXSKVXAVYBVWPTVYAVYEWUKVYIWYAWUNWGUWGXEVWQVXIVWPXQUWHUWIXRVWSVXCEMZVWQUJZ
      UCAUMZVWNVWREXSZVWSWYDWWJWYEWWLWWFWVKEUWLWNUCVWQAEUWJUWMVWNWYCVWRUCAVWNVX
      CANZUOZWYBVWONWYCVWRWYGWYBJOPPVXCLUWNMZMZXTYAZWYIPUWOZUHQZVXBVXCUWPMZMZVX
      FUGQZKUIZRZVWOWYGWYBVXTKSJOWYORZRZUPQZJOLKSWYORZUPQZRWYQWYGWYBWUSKSWYNWWT
      WUSUWQMZQZRZUPQZEMVXTEXUEUWRZUPQWYTWYGVXCXUFEWYGVYJVXCWWFNZVXCXUFUJVFVWNA
      WWFVXCWWNUWSZWYMWWFWUSLXUCKWWSVXCWWRWWQWVCWXGWWKXUCUSZWXEWXHWYMUSZUWTWOUX
      DWYGSWWFXUEWUSVXTETWUSURMZWWKXULUSZWUSVCNZWUSVENWYGVYJXUNVFWUSLWVCUXAWNZW
      USVGVNWUPVXTYINWYGWUQVXTYBVNSTNZWYGYCVAZEWUSVXTUXBQNZEWUSVXTUXCQNWYGWUTXU
      RWVDWUSVXTEUXEWNWUSVXTEUXNVNWYGKSXUDWWFWYGVYTUOZWUSUXFNZWYNONZWXMXUDWWFNZ
      VYJXUTXUSVFWUSLWVCUXGZVNXUSDOWYNVWNVXOWYFVYTVYRVIWYGSDVXBWYMVWNWYFSDWYMVO
      ZWYFXVDVWNSCXFMZWYMVOWYMABCVXCXVEXUKHGXVEUSUXHVWNDXVEWYMSDLCFUXIVRUXJUXKZ
      UXLZWAZXUSWWRYINZVYTWWQWWFNZWXMXUNXVIXUSXUOWUSWWRWXEUXMVNWYGVYTXLZVYJXVJX
      USVFWWFWUSLWWQWXGWVCWWKUXOVNWWFWWSWWRVXBWWQWWFWUSWWRWXEWWKUYCWXHUXPXDZWYN
      XUCLOWWFWUSWWTWWKVYJLWUSUYDMUJVFWUSLVCWVCUXQWNZXUJUTUXRXDZXAWYGXUETNZXUEX
      SZXULTNZYDZWYMPYEQZUQNXUEXULYEQXVSUNXUEXULYFYAXVRWYGXVOXVPXVQKSXUDYCWDKSX
      UDYGWUSURWEYHVAWYGWYMPWYGXUHWYMPYFYAXUIWYMWWFWUSLVXCPXUKWWKWVCVMUXSWFUXTW
      YGKUDWYNWWTSWWFXVSXUCDTPXULWYGXVSKSWYNRZPYEQZUJXWAXVSUNWYGWYMXVTPYEWYGKSD
      WYMXVFXKYJXWAXVSUYAWFWYGXUTUDUFZWWFNPXWBXUCQXULUJVYJXUTWYGVFXVCVNXUCLPWWF
      WUSXWBXULWWKXVMXUJVMXUMUYBUYEXVGXVLPTNZWYGYKVAUYFXVSXUETTXULYLYMUYGWYGXUG
      WYSVXTUPWYGXUGKSXUDEMZRWYSWYGKSXUDWWFWVKEWWJWYGWWLVAXVNUYHWYGKSXWDWYRXUSX
      WDJOVXEXWDMZRWYRXUSJOOXWDXUSOLOWVKVCXWDVXTTVYFUTWVLVYJXUSVFVAVYHXUSVDVAXU
      SXVBXWDWVKNXVNWWFWVKXUDEWWLUYIWFXJXKXUSJOXWEWYOXUSVYMUOZXVBXWEWYOUJXWFOWU
      SLXUCUGWWFWWTWYNEVXFVXEIWVCUTWWKWVBXWFWMVAZXUSVYMXLZXWFWXMWXNUOWXMWXBVXFU
      JZUOXWFOWUSLWWSWWFWXKWWQVXBEVXEVXEIWVCUTWWKXWGXWHXWFOWUSLWWFEWWQVXEIWXGUT
      WVCWWKXWGXWHXMWXHWXQXUSVYTVYMXVKVPZXNXWFWXNXWIWXMXWFWXLVXFWXBXWFVYMVYTWXS
      XWHXWJWXTWBUYJUYKVSXUSXVAVYMXVHVPXUJXBUYLXOWIWJWIWJUYMUYNWYGJKOLWYOOSTTVX
      TVYEVYFUTVYGVYHWYGVDVAXUQVYJVYKWYGVFVYLVNWYGVYMVYTWYOONZWYGVYMUOZVYTUOWYN
      VXFWYGVYTXVAVYMXVHUYOVYMVYTWUGWYGWUHVUDZWCZUYPWYGWYSTNZWYSXSZWULYDZWYLUQN
      ZWYSVYEYEQWYLUNWYSVYEYFYAXWQWYGXWOXWPWULKSWYRYCWDKSWYRYGWUMYHVAWYGPWYKVBW
      YGSWYRKTWYLVYEWYGVXBSWYLUYQNZUOZWYRJOPRZVYEXWTJOWYOPWYGVYMXWSWYOPUJXWLXWS
      UOZWYOPVXFUGQPXXBWYNPVXFUGXXBVXBWYLNZYNZWYNPUJXWSXXDXWLVXBSWYLUYRXIXXBXXC
      WYNPXXBWYNPUYSZVYTVXBWYKXTYAZUOZXXCXXBXXEXXFVYTXXBXXEVXBWYIXTYAZXXFXXBXUH
      VYTXXEXXHYOWYGXUHVYMXWSXUIVIXWSVYTXWLVXBSWYLUYTZXIZXUHVYTXXEXXHWYMWWFWYHW
      USLVXCVXBPWYHUSZWVCWWKVMXUKVUAVUBWBXXBXXHWYIWYKXTYAZXXFXXBPYPNZWYIYPNZXXL
      YQWYGXXNVYMXWSWYGXUHXXNXUIWWFWYHWUSLVXCXXKWVCWWKVUEWFVIZPWYIVUCWOXXBVXBYP
      NXXNWYKYPNZXXHXXLUOXXFYOXXBVXBXXBVXBXXJVUFVUGXXOXXBXXNXXMXXPXXOYQWYJWYIPY
      PVUHVUIVXBWYIWYKVUJXDVUKVUOXXJVULXXBWYKSNZXXCXXGWRWYGXXQVYMXWSWYGWYISNZWY
      IYRUKZNZVUMZXXQWYGWYISXXSULNZXYAWYGXUHXYBXUIWWFWYHWUSLVXCXXKWVCWWKVUNWFWY
      ISXXSVUPVQXXRXXQXXTXXRWYKWYISXXRWYJWYIPWYIVUQVURXXRVUSYSXXTWYKPSXXTWYJWYI
      PXXTWYJPYRXTYAZYRPVVGYAZXYCYNZVUTYRYPNXXMXYDXYEWRVVAYQYRPVVBWKVVCXXTWYIYR
      PXTWYIYRVVDVVEVVFVVHVVIVVJVVKWFZVIVXBWYKVVLWFVVMVVNVVRYJXXBVXFXWSXWLVYTWU
      GXXIXWMYTVVOWJZVVPWIOVXKWQZXXAVYEJOPXGLYINZVYHXYHVYEUJVYJXYIVFLYBWNVDLOTV
      XTPVYFVMVVQWKVVSVVTXUQVWAWYLWYSTTVYEYLYMWHWYGJOXUBWYPXWLLXUAWYLVWHZUPQLKW
      YLWYORZUPQXUBWYPXYJXYKLUPWYLSUNXYJXYKUJWYKVWBKSWYLWYOVWCWNVWDXWLSOXUALTWY
      LPUTVMVYJVYKXWLVFVYLVNXUPXWLYCVAZXWLKSWYOOXWNXAXWLSWYOKTWYLPXYGXYLVWAZXWL
      XUATNZXUAXSZXWCYDZXWRXUAPYEQWYLUNXUAPYFYAXYPXWLXYNXYOXWCKSWYOYCWDKSWYOYGY
      KYHVAXWLPWYKVBZXYMWYLXUATTPYLYMVWEXWLWYLWYOKXYQXXCXWLVYTXWKVXBWYKVTXWNYTW
      PVWIWIVWFWYGVXOXXQXVDWYQVWONVWNVXOWYFVYRVPXYFXVFJWYMDKWYKVWJXDYSWYBVWQVWO
      XQVWGVWKXRVWLVWM $.
  $}

  ${
    $d m n A $.  $d k m n B $.  $d k m n M $.  $d k m n N $.  $d k m n z ph $.
    plyaddlem.1 $e |- ( ph -> F e. ( Poly ` S ) ) $.
    plyaddlem.2 $e |- ( ph -> G e. ( Poly ` S ) ) $.
    plyaddlem.m $e |- ( ph -> M e. NN0 ) $.
    plyaddlem.n $e |- ( ph -> N e. NN0 ) $.
    plyaddlem.a $e |- ( ph -> A : NN0 --> CC ) $.
    plyaddlem.b $e |- ( ph -> B : NN0 --> CC ) $.
    plyaddlem.a2 $e |- ( ph -> ( A " ( ZZ>= ` ( M + 1 ) ) ) = { 0 } ) $.
    plyaddlem.b2 $e |- ( ph -> ( B " ( ZZ>= ` ( N + 1 ) ) ) = { 0 } ) $.
    plyaddlem.f $e |- ( ph -> F =
      ( z e. CC |-> sum_ k e. ( 0 ... M ) ( ( A ` k ) x. ( z ^ k ) ) ) ) $.
    plyaddlem.g $e |- ( ph -> G =
      ( z e. CC |-> sum_ k e. ( 0 ... N ) ( ( B ` k ) x. ( z ^ k ) ) ) ) $.
    $( Derive the coefficient function for the sum of two polynomials.
       (Contributed by Mario Carneiro, 23-Jul-2014.) $)
    plyaddlem1 $p |- ( ph -> ( F oF + G ) = ( z e. CC |->
        sum_ k e. ( 0 ... if ( M <_ N , N , M ) )
          ( ( ( A oF + B ) ` k ) x. ( z ^ k ) ) ) ) $=
      ( caddc cof co cc cc0 cfz cv cfv cexp cmul csu cmpt cle wbr cif wcel cnex
      cvv a1i wa sumex offval2 fzfid cn0 elfznn0 adantr ffvelrnda expcl adantll
      wf mulcld sylan2 fsumadd wceq ffnd nn0ex inidm eqidd ofval adantlr oveq1d
      adddird eqtrd sumeq2dv wss cuz cz nn0zd ifcld cr nn0red syl2anc syl3anbrc
      max1 eluz2 fzss2 syl cdif csn c1 cima wn eldifn adantl cun wo eldifi cmin
      nn0uz peano2nn0 eleqtrdi uzsplit syl5eq nn0cnd ax-1cn pncan oveq2d uneq1d
      sylancl ad2antrr eleqtrd elun sylib ord mpd wi wfun ffund ssun2 sseqtrrid
      cdm fdmd sseqtrrd funfvima2 elsni mul02d fsumss max2 oveq12d 3eqtr4d
      mpteq2dva eqtr4d ) AGHUAUBZUCBUDUEIUFUCZFUGZCUHZBUGZUUEUIUCZUJUCZFUKZUEJU
      FUCZUUEDUHZUUHUJUCZFUKZUAUCZULBUDUEIJUMUNZJIUOZUFUCZUUECDUUCUCUHZUUHUJUCZ
      FUKZULABUDUUJUUNUAGHURURURUDURUPAUQUSUUJURUPAUUGUDUPZUTZUUDUUIFVAUSUUNURU
      PUVCUUKUUMFVAUSSTVBABUDUVAUUOUVCUURUUIUUMUAUCZFUKUURUUIFUKZUURUUMFUKZUAUC
      UVAUUOUVCUURUUIUUMFUVCUEUUQVCZUUEUURUPZUVCUUEVDUPZUUIUDUPZUUEUUQVEZUVCUVI
      UTZUUFUUHUVCVDUDUUECAVDUDCVJUVBOVFVGZUVBUVIUUHUDUPZAUUGUUEVHVIZVKZVLUVHUV
      CUVIUUMUDUPZUVKUVLUULUUHUVCVDUDUUEDAVDUDDVJUVBPVFVGZUVOVKZVLVMUVCUURUUTUV
      DFUVHUVCUVIUUTUVDVNUVKUVLUUTUUFUULUAUCZUUHUJUCUVDUVLUUSUVTUUHUJAUVIUUSUVT
      VNUVBAVDVDUUFUULUAVDCDURURUUEAVDUDCOVOAVDUDDPVOVDURUPAVPUSZUWAVDVQAUVIUTZ
      UUFVRUWBUULVRVSVTWAUVLUUFUULUUHUVMUVRUVOWBWCVLWDUVCUUJUVEUUNUVFUAUVCUUDUU
      RUUIFAUUDUURWEZUVBAUUQIWFUHUPZUWCAIWGUPUUQWGUPZIUUQUMUNZUWDAIMWHAUUQAUUPJ
      IVDNMWIWHZAIWJUPZJWJUPZUWFAIMWKZAJNWKZIJWNWLIUUQWOWMIUEUUQWPWQVFUUEUUDUPZ
      UVCUVIUVJUUEIVEUVPVLUVCUUEUURUUDWRUPZUTZUUIUEUUHUJUCZUEUWNUUFUEUUHUJUWNUU
      FUEWSZUPUUFUEVNUWNUUFCIWTUAUCZWFUHZXAZUWPUWNUUEUWRUPZUUFUWSUPZUWNUWLXBZUW
      TUWMUXBUVCUUEUURUUDXCXDUWNUWLUWTUWNUUEUUDUWRXEZUPUWLUWTXFUWNUUEVDUXCUWMUV
      IUVCUWMUVHUVIUUEUURUUDXGUVKWQZXDAVDUXCVNUVBUWMAVDUEUWQWTXHUCZUFUCZUWRXEZU
      XCAVDUEWFUHZUXGXIAUWQUXHUPUXHUXGVNAUWQVDUXHAIVDUPUWQVDUPMIXJWQXIXKUEUWQXL
      WQXMZAUXFUUDUWRAUXEIUEUFAIUDUPWTUDUPZUXEIVNAIMXNXOIWTXPXSXQXRWCXTYAUUEUUD
      UWRYBYCYDYEAUWTUXAYFZUVBUWMACYGUWRCYKZWEUXKAVDUDCOYHAUWRVDUXLAUXGUWRVDUWR
      UXFYIUXIYJAVDUDCOYLYMUWRUUECYNWLXTYEAUWSUWPVNUVBUWMQXTYAUUFUEYOWQWAUWNUUH
      UWMUVCUVIUVNUXDUVOVLYPWCUVGYQUVCUUKUURUUMFAUUKUURWEZUVBAUUQJWFUHUPZUXMAJW
      GUPUWEJUUQUMUNZUXNAJNWHUWGAUWHUWIUXOUWJUWKIJYRWLJUUQWOWMJUEUUQWPWQVFUUEUU
      KUPZUVCUVIUVQUUEJVEUVSVLUVCUUEUURUUKWRUPZUTZUUMUWOUEUXRUULUEUUHUJUXRUULUW
      PUPUULUEVNUXRUULDJWTUAUCZWFUHZXAZUWPUXRUUEUXTUPZUULUYAUPZUXRUXPXBZUYBUXQU
      YDUVCUUEUURUUKXCXDUXRUXPUYBUXRUUEUUKUXTXEZUPUXPUYBXFUXRUUEVDUYEUXQUVIUVCU
      XQUVHUVIUUEUURUUKXGUVKWQZXDAVDUYEVNUVBUXQAVDUEUXSWTXHUCZUFUCZUXTXEZUYEAVD
      UXHUYIXIAUXSUXHUPUXHUYIVNAUXSVDUXHAJVDUPUXSVDUPNJXJWQXIXKUEUXSXLWQXMZAUYH
      UUKUXTAUYGJUEUFAJUDUPUXJUYGJVNAJNXNXOJWTXPXSXQXRWCXTYAUUEUUKUXTYBYCYDYEAU
      YBUYCYFZUVBUXQADYGUXTDYKZWEUYKAVDUDDPYHAUXTVDUYLAUYIUXTVDUXTUYHYIUYJYJAVD
      UDDPYLYMUXTUUEDYNWLXTYEAUYAUWPVNUVBUXQRXTYAUULUEYOWQWAUXRUUHUXQUVCUVIUVNU
      YFUVOVLYPWCUVGYQYSYTUUAUUB $.

    $( Derive the coefficient function for the product of two polynomials.
       (Contributed by Mario Carneiro, 23-Jul-2014.) $)
    plymullem1 $p |- ( ph -> ( F oF x. G ) = ( z e. CC |->
        sum_ n e. ( 0 ... ( M + N ) ) ( sum_ k e. ( 0 ... n )
          ( ( A ` k ) x. ( B ` ( n - k ) ) ) x. ( z ^ n ) ) ) ) $=
      ( vm cmul cof co cc cc0 cfz cv cfv cexp csu cmpt caddc cmin cvv wcel cnex
      a1i wa sumex offval2 weq fveq2 oveq2 oveq12d oveq2d cn0 elfznn0 wf adantr
      wceq ffvelrnda expcl adantll mulcld sylan2 anim12dan mulcl syl fsum0diag2
      cuz wss nn0cnd ad2antrr adantl addsubd cz fznn0sub nn0uz eleqtrdi eluzadd
      nn0zd syl2anc eqeltrd addid2d fveq2d eleqtrd fzss2 adantlr cdif csn c1 wn
      eldifn cun wo eldifi peano2nn0 uzsplit syl5eq ax-1cn pncan sylancl uneq1d
      cima eqtrd ad3antrrr elun sylib ord mpd wi wfun cdm ffund ssun2 sseqtrrid
      fdmd sseqtrrd funfvima2 elsni oveq1d simplr syl2an mul02d fsumss sumeq2dv
      fzfid eqtr4d mul01d fsum2mul addcomd fsumcl olcd 3eqtr3d simpll fsummulc1
      sumz mul4d expaddd ad2antlr pncan3d eqtr3d 3eqtr4rd cbvsumv oveq2i eqtrdi
      cfn mpteq2dva ) AHIUCUDUEBUFUGJUHUEZFUIZCUJZBUIZUVBUKUEZUCUEZFULZUGKUHUEZ
      UVBDUJZUVEUCUEZFULZUCUEZUMBUFUGJKUNUEZUHUEZUGGUIZUHUEZUVCUVOUVBUOUEZDUJZU
      CUEZFULUVDUVOUKUEZUCUEZGULZUMABUFUVGUVKUCHIUPUPUPUFUPUQAURUSUVGUPUQAUVDUF
      UQZUTZUVAUVFFVAUSUVKUPUQUWDUVHUVJFVAUSTUAVBABUFUWBUVLUWDUWBUVGUVHUVODUJZU
      VTUCUEZGULZUCUEZUVLUWDUVNUGUVMUVBUOUEZUHUEZUVFUWFUCUEZGULZFULZUVNUVPUVFUV
      RUVDUVQUKUEZUCUEZUCUEZFULZGULUWHUWBUWDUBUWKUVFUBUIZDUJZUVDUWRUKUEZUCUEZUC
      UEUWPFGUVMUBGVCZUXAUWFUVFUCUXBUWSUWEUWTUVTUCUWRUVODVDUWRUVOUVDUKVEVFVGUWR
      UVQVLZUXAUWOUVFUCUXCUWSUVRUWTUWNUCUWRUVQDVDUWRUVQUVDUKVEVFVGUWDUVBUVNUQZU
      VOUWJUQZUTUTUVFUFUQZUWFUFUQZUTUWKUFUQUWDUXDUXFUXEUXGUXDUWDUVBVHUQZUXFUVBU
      VMVIZUWDUXHUTUVCUVEUWDVHUFUVBCAVHUFCVJUWCPVKVMUWCUXHUVEUFUQZAUVDUVBVNZVOZ
      VPZVQUXEUWDUVOVHUQZUXGUVOUWIVIZUWDUXNUTUWEUVTUWDVHUFUVODAVHUFDVJUWCQVKVMU
      WCUXNUVTUFUQZAUVDUVOVNZVOZVPZVQZVRUVFUWFVSVTWAUWDUVAUVHUWKGULZFULUVAUWLFU
      LUWHUWMUWDUVAUYAUWLFUWDUVBUVAUQZUTZUVHUWJUWKGUYCUWIKWBUJZUQUVHUWJWCUYCUWI
      UGKUNUEZWBUJZUYDUYCUWIJUVBUOUEZKUNUEZUYFUYCJKUVBAJUFUQZUWCUYBAJNWDZWEAKUF
      UQZUWCUYBAKOWDZWEZUYCUVBUYBUXHUWDUVBJVIZWFWDWGUYCUYGUGWBUJZUQKWHUQZUYHUYF
      UQUYCUYGVHUYOUYBUYGVHUQUWDUVBUGJWIWFWJWKAUYPUWCUYBAKOWMWEKUGUYGWLWNWOUYCU
      YEKWBUYCKUYMWPWQWRKUGUWIWSVTUYCUVOUVHUQZUTUVFUWFUYCUXFUYQUYBUWDUXHUXFUYNU
      XMVQZVKUWDUYQUXGUYBUYQUWDUXNUXGUVOKVIUXSVQZWTVPUYCUVOUWJUVHXAUQZUTZUWKUVF
      UGUCUEUGVUAUWFUGUVFUCVUAUWFUGUVTUCUEUGVUAUWEUGUVTUCVUAUWEUGXBZUQUWEUGVLVU
      AUWEDKXCUNUEZWBUJZXPZVUBVUAUVOVUDUQZUWEVUEUQZVUAUYQXDZVUFUYTVUHUYCUVOUWJU
      VHXEWFVUAUYQVUFVUAUVOUVHVUDXFZUQUYQVUFXGVUAUVOVHVUIUYTUXNUYCUYTUXEUXNUVOU
      WJUVHXHUXOVTZWFAVHVUIVLUWCUYBUYTAVHUGVUCXCUOUEZUHUEZVUDXFZVUIAVHUYOVUMWJA
      VUCUYOUQUYOVUMVLAVUCVHUYOAKVHUQVUCVHUQOKXIVTWJWKUGVUCXJVTXKZAVULUVHVUDAVU
      KKUGUHAUYKXCUFUQZVUKKVLUYLXLKXCXMXNVGXOXQXRWRUVOUVHVUDXSXTYAYBAVUFVUGYCZU
      WCUYBUYTADYDVUDDYEZWCVUPAVHUFDQYFAVUDVHVUQAVUMVUDVHVUDVULYGVUNYHAVHUFDQYI
      YJVUDUVODYKWNXRYBAVUEVUBVLUWCUYBUYTSXRWRUWEUGYLVTYMVUAUVTUYCUWCUXNUXPUYTA
      UWCUYBYNVUJUXQYOYPXQVGVUAUVFUYCUXFUYTUYRVKUUAXQUYCUGUWIYSZYQYRUWDUVAUVHUV
      FUWFFGUWDUGJYSUWDUGKYSUYRUYSUUBUWDUVAUVNUWLFAUVAUVNWCZUWCAUVMJWBUJZUQVUSA
      UVMKJUNUEZVUTAJKUYJUYLUUCAVVAUGJUNUEZWBUJZVUTAKUYOUQJWHUQVVAVVCUQAKVHUYOO
      WJWKAJNWMJUGKWLWNAVVBJWBAJUYJWPWQWRWOJUGUVMWSVTVKUYCUWJUWKGVURUYCUXEUTUVF
      UWFUYCUXFUXEUYRVKUWDUXEUXGUYBUXTWTVPUUDUWDUVBUVNUVAXAUQZUTZUWLUWJUGGULZUG
      VVEUWJUWKUGGVVEUXEUTZUWKUGUWFUCUEUGVVGUVFUGUWFUCVVEUVFUGVLUXEVVEUVFUGUVEU
      CUEUGVVEUVCUGUVEUCVVEUVCVUBUQUVCUGVLVVEUVCCJXCUNUEZWBUJZXPZVUBVVEUVBVVIUQ
      ZUVCVVJUQZVVEUYBXDZVVKVVDVVMUWDUVBUVNUVAXEWFVVEUYBVVKVVEUVBUVAVVIXFZUQUYB
      VVKXGVVEUVBVHVVNVVDUXHUWDVVDUXDUXHUVBUVNUVAXHUXIVTZWFAVHVVNVLUWCVVDAVHUGV
      VHXCUOUEZUHUEZVVIXFZVVNAVHUYOVVRWJAVVHUYOUQUYOVVRVLAVVHVHUYOAJVHUQVVHVHUQ
      NJXIVTWJWKUGVVHXJVTXKZAVVQUVAVVIAVVPJUGUHAUYIVUOVVPJVLUYJXLJXCXMXNVGXOXQW
      EWRUVBUVAVVIXSXTYAYBAVVKVVLYCZUWCVVDACYDVVICYEZWCVVTAVHUFCPYFAVVIVHVWAAVV
      RVVIVHVVIVVQYGVVSYHAVHUFCPYIYJVVIUVBCYKWNWEYBAVVJVUBVLUWCVVDRWEWRUVCUGYLV
      TYMVVEUVEVVDUWDUXHUXJVVOUXLVQYPXQVKYMVVGUWFUWDUXEUXGVVDUXTWTYPXQYRVVEUWJU
      YOWCZUWJUUSUQZXGVVFUGVLVVEVWCVWBVVEUGUWIYSUUEUWJGUGUUIVTXQUWDUGUVMYSYQUUF
      UWDUVNUWAUWQGUWDUVOUVNUQZUTZUWAUVPUVSUVTUCUEZFULUWQVWEUVPUVSUVTFVWEUGUVOY
      SVWDUWDUXNUXPUVOUVMVIZUXRVQVWEUVBUVPUQZUTZUVCUVRVWEAUXHUVCUFUQVWHAUWCVWDU
      UGZUVBUVOVIZAVHUFUVBCPVMYOZVWEAUVQVHUQZUVRUFUQVWHVWJUVBUGUVOWIZAVHUFUVQDQ
      VMYOZVPUUHVWEUVPUWPVWFFVWIUWPUVSUVEUWNUCUEZUCUEVWFVWIUVCUVEUVRUWNVWLVWEUW
      CUXHUXJVWHAUWCVWDYNZVWKUXKYOVWOVWEUWCVWMUWNUFUQVWHVWQVWNUVDUVQVNYOUUJVWIV
      WPUVTUVSUCVWIUVDUVBUVQUNUEZUKUEVWPUVTVWIUVDUVBUVQVWEUWCVWHVWQVKVWHVWMVWEV
      WNWFVWHUXHVWEVWKWFZUUKVWIVWRUVOUVDUKVWIUVBUVOVWIUVBVWSWDVWIUVOVWDUXNUWDVW
      HVWGUULWDUUMVGUUNVGXQYRYTYRUUOUWGUVKUVGUCUVHUWFUVJGFGFVCUWEUVIUVTUVEUCUVO
      UVBDVDUVOUVBUVDUKVEVFUUPUUQUURUUTYT $.
  $}

  ${
    $d k m n x y z B $.  $d a b j m n w x y z F $.  $d a b j k m n w x y z S $.
    $d m n x y z A $.  $d a b j m n w x y z G $.  $d a b j k m n w x y z ph $.
    $d k m n z M $.  $d k m n z N $.
    plyadd.1 $e |- ( ph -> F e. ( Poly ` S ) ) $.
    plyadd.2 $e |- ( ph -> G e. ( Poly ` S ) ) $.
    plyadd.3 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x + y ) e. S ) $.
    ${
      plyadd.m $e |- ( ph -> M e. NN0 ) $.
      plyadd.n $e |- ( ph -> N e. NN0 ) $.
      plyadd.a $e |- ( ph -> A e. ( ( S u. { 0 } ) ^m NN0 ) ) $.
      plyadd.b $e |- ( ph -> B e. ( ( S u. { 0 } ) ^m NN0 ) ) $.
      plyadd.a2 $e |- ( ph -> ( A " ( ZZ>= ` ( M + 1 ) ) ) = { 0 } ) $.
      plyadd.b2 $e |- ( ph -> ( B " ( ZZ>= ` ( N + 1 ) ) ) = { 0 } ) $.
      plyadd.f $e |- ( ph -> F =
        ( z e. CC |-> sum_ k e. ( 0 ... M ) ( ( A ` k ) x. ( z ^ k ) ) ) ) $.
      plyadd.g $e |- ( ph -> G =
        ( z e. CC |-> sum_ k e. ( 0 ... N ) ( ( B ` k ) x. ( z ^ k ) ) ) ) $.
      $( Lemma for ~ plyadd .  (Contributed by Mario Carneiro, 21-Jul-2014.) $)
      plyaddlem $p |- ( ph -> ( F oF + G ) e. ( Poly ` S ) ) $=
        ( caddc cof co cc0 csn cun cply cfv cc cle wbr cif cfz cv cexp cmul csu
        cmpt cn0 cmap wcel wf cvv wb wss plybss syl 0cnd snssd unssd cnex ssexg
        sylancl nn0ex elmapg mpbid fssd plyaddlem1 ifcld un0addcl a1i inidm off
        eqid elfznn0 ffvelrn syl2an elplyd eqeltrd plyun0 eleqtrdi ) AIJUDUEZUF
        ZGUGUHZUIZUJUKZGUJUKZAWPDULUGKLUMUNZLKUOZUPUFZHUQZEFWOUFZUKZDUQXDURUFUS
        UFHUTVAWSADEFGHIJKLMNPQAVBWRULEAEWRVBVCUFZVDZVBWREVEZRAWRVFVDZVBVFVDZXH
        XIVGAWRULVHULVFVDXJAGWQULAIWTVDGULVHMGIVIVJZAUGULAVKVLVMZVNWRULVFVOVPZV
        QWRVBEVFVFVRVPVSZXMVTAVBWRULFAFXGVDZVBWRFVEZSAXJXKXPXQVGXNVQWRVBFVFVFVR
        VPVSZXMVTTUAUBUCWAADXFWRHXBXMAXALKVBQPWBAVBWRXEVEXDVBVDXFWRVDXDXCVDABCV
        BVBVBUDWRWRWREFVFVFAGWRBUQCUQXLWRWGOWCXOXRXKAVQWDZXSVBWEWFXDXBWHVBWRXDX
        EWIWJWKWLGWMWN $.

      plymul.x $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x x. y ) e. S ) $.
      $( Lemma for ~ plymul .  (Contributed by Mario Carneiro, 21-Jul-2014.) $)
      plymullem $p |- ( ph -> ( F oF x. G ) e. ( Poly ` S ) ) $=
        ( vn cmul cof co cc0 csn cun cply cfv cc caddc cfz cv cmin csu cexp cn0
        cmpt cmap wcel wf cvv wb wss plybss 0cnd snssd unssd cnex ssexg sylancl
        syl nn0ex elmapg mpbid fssd plymullem1 nn0addcld eqid un0addcl fzfid wa
        elfznn0 ffvelrn syl2an fznn0sub un0mulcl caovclg syldan ssun2 c0ex snss
        jca mpbir a1i fsumcllem adantr elplyd eqeltrd plyun0 eleqtrdi ) AIJUFUG
        UHZGUIUJZUKZULUMZGULUMZAXFDUNUIKLUOUHZUPUHZUIUEUQZUPUHZHUQZEUMZXMXOURUH
        ZFUMZUFUHZHUSZDUQXMUTUHUFUHUEUSVBXIADEFGHUEIJKLMNPQAVAXHUNEAEXHVAVCUHZV
        DZVAXHEVEZRAXHVFVDZVAVFVDZYBYCVGAXHUNVHUNVFVDYDAGXGUNAIXJVDGUNVHMGIVIVP
        ZAUIUNAVJVKVLZVMXHUNVFVNVOZVQXHVAEVFVFVRVOVSZYGVTAVAXHUNFAFYAVDZVAXHFVE
        ZSAYDYEYJYKVGYHVQXHVAFVFVFVRVOVSZYGVTTUAUBUCWAADXTXHUEXKYGAKLPQWBAXTXHV
        DXMXLVDABCXNXSXHHYGAGXHBUQZCUQZYFXHWCZOWDAUIXMWEAXOXNVDZXPXHVDZXRXHVDZW
        FXSXHVDAYPWFYQYRAYCXOVAVDYQYPYIXOXMWGVAXHXOEWHWIAYKXQVAVDYRYPYLXOUIXMWJ
        VAXHXQFWHWIWQABCXPXRXHXHXHUFAGXHYMYNYFYOUDWKWLWMUIXHVDZAYSXGXHVHXGGWNUI
        XHWOWPWRWSWTXAXBXCGXDXE $.
    $}

    $( The sum of two polynomials is a polynomial.  (Contributed by Mario
       Carneiro, 21-Jul-2014.) $)
    plyadd $p |- ( ph -> ( F oF + G ) e. ( Poly ` S ) ) $=
      ( vz vk cv co cfv cc cmul wa cn0 wrex wcel va vm vb vn vw vj c1 caddc cuz
      cima cc0 csn wceq cfz cexp csu cmpt cun cof wss elply2 simprbi syl reeanv
      cmap cply w3a simp1l sylan simp1rl simp1rr simp2l simp3ll simp3rl simp3lr
      simp2r oveq1 oveq2d sumeq2sdv fveq2 oveq2 oveq12d cbvsumv cbvmptv simp3rr
      eqtrdi plyaddlem 3expia rexlimdvva syl5bir mp2and ) AUALZUBLZUGUHMUINUJUK
      ULZUMZEJOUKWMUNMZKLZWLNZJLZWQUOMZPMZKUPZUQZUMZQZUADWNURRVEMZSZUBRSZUCLZUD
      LZUGUHMUINUJWNUMZFJOUKXJUNMZWQXINZWTPMZKUPZUQZUMZQZUCXFSZUDRSZEFUHUSMDVFN
      ZTZAEYATZXHGYCDOUTZXHJDKUBEUAVAVBVCAFYATZXTHYEYDXTJDKUDFUCVAVBVCXHXTQXGXS
      QZUDRSUBRSAYBXGXSUBUDRRVDAYFYBUBUDRRYFXEXRQZUCXFSUAXFSAWMRTZXJRTZQZQZYBXE
      XRUAUCXFXFVDYKYGYBUAUCXFXFYKWLXFTZXIXFTZQZYGYBYKYNYGVGZBCUEWLXIDUFEFWMXJY
      OAYCAYJYNYGVHZGVCYOAYEYPHVCYOABLZDTCLZDTQYQYRUHMDTYPIVIYHYIAYNYGVJYHYIAYN
      YGVKYKYLYMYGVLYKYLYMYGVPWOXDXRYKYNVMXKXQXEYKYNVNYOEXCUEOWPUFLZWLNZUELZYSU
      OMZPMZUFUPZUQWOXDXRYKYNVOJUEOXBUUDWSUUAUMZXBWPWRUUAWQUOMZPMZKUPUUDUUEWPXA
      UUGKUUEWTUUFWRPWSUUAWQUOVQZVRVSWPUUGUUCKUFWQYSUMZWRYTUUFUUBPWQYSWLVTWQYSU
      UAUOWAZWBWCWFWDWFYOFXPUEOXLYSXINZUUBPMZUFUPZUQXKXQXEYKYNWEJUEOXOUUMUUEXOX
      LXMUUFPMZKUPUUMUUEXLXNUUNKUUEWTUUFXMPUUHVRVSXLUUNUULKUFUUIXMUUKUUFUUBPWQY
      SXIVTUUJWBWCWFWDWFWGWHWIWJWIWJWK $.

    plymul.4 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x x. y ) e. S ) $.
    $( The product of two polynomials is a polynomial.  (Contributed by Mario
       Carneiro, 21-Jul-2014.) $)
    plymul $p |- ( ph -> ( F oF x. G ) e. ( Poly ` S ) ) $=
      ( vz vk cv co cfv cmul wa cn0 wrex wcel va vm vb vn vw vj c1 cuz cima cc0
      caddc csn wceq cfz cexp csu cmpt cun cmap cof cply wss elply2 simprbi syl
      cc reeanv w3a simp1l sylan simp1rl simp1rr simp2l simp3ll simp3rl simp3lr
      simp2r oveq1 oveq2d sumeq2sdv fveq2 oveq2 oveq12d cbvsumv cbvmptv simp3rr
      eqtrdi plymullem 3expia rexlimdvva syl5bir mp2and ) AUAMZUBMZUGUKNUHOUIUJ
      ULZUMZEKVFUJWNUNNZLMZWMOZKMZWRUONZPNZLUPZUQZUMZQZUADWOURRUSNZSZUBRSZUCMZU
      DMZUGUKNUHOUIWOUMZFKVFUJXKUNNZWRXJOZXAPNZLUPZUQZUMZQZUCXGSZUDRSZEFPUTNDVA
      OZTZAEYBTZXIGYDDVFVBZXIKDLUBEUAVCVDVEAFYBTZYAHYFYEYAKDLUDFUCVCVDVEXIYAQXH
      XTQZUDRSUBRSAYCXHXTUBUDRRVGAYGYCUBUDRRYGXFXSQZUCXGSUAXGSAWNRTZXKRTZQZQZYC
      XFXSUAUCXGXGVGYLYHYCUAUCXGXGYLWMXGTZXJXGTZQZYHYCYLYOYHVHZBCUEWMXJDUFEFWNX
      KYPAYDAYKYOYHVIZGVEYPAYFYQHVEYPABMZDTCMZDTQZYRYSUKNDTYQIVJYIYJAYOYHVKYIYJ
      AYOYHVLYLYMYNYHVMYLYMYNYHVQWPXEXSYLYOVNXLXRXFYLYOVOYPEXDUEVFWQUFMZWMOZUEM
      ZUUAUONZPNZUFUPZUQWPXEXSYLYOVPKUEVFXCUUFWTUUCUMZXCWQWSUUCWRUONZPNZLUPUUFU
      UGWQXBUUILUUGXAUUHWSPWTUUCWRUOVRZVSVTWQUUIUUELUFWRUUAUMZWSUUBUUHUUDPWRUUA
      WMWAWRUUAUUCUOWBZWCWDWGWEWGYPFXQUEVFXMUUAXJOZUUDPNZUFUPZUQXLXRXFYLYOWFKUE
      VFXPUUOUUGXPXMXNUUHPNZLUPUUOUUGXMXOUUPLUUGXAUUHXNPUUJVSVTXMUUPUUNLUFUUKXN
      UUMUUHUUDPWRUUAXJWAUULWCWDWGWEWGYPAYTYRYSPNDTYQJVJWHWIWJWKWJWKWL $.

    plysub.5 $e |- ( ph -> -u 1 e. S ) $.
    $( The difference of two polynomials is a polynomial.  (Contributed by
       Mario Carneiro, 21-Jul-2014.) $)
    plysub $p |- ( ph -> ( F oF - G ) e. ( Poly ` S ) ) $=
      ( cc c1 cof co cvv wcel wf plyf syl cneg csn cxp cmul caddc cmin cply cfv
      wceq cnex ofnegsub mp3an2i plybss plyconst syl2anc plymul plyadd eqeltrrd
      wss ) AELMUAZUBUCZFUDNOZUENOZEFUFNOZDUGUHZLPQALLERZLLFRZVCVDUIUJAEVEQZVFG
      DESTAFVEQVGHDFSTLEFPUKULABCDEVBGABCDVAFADLUSZUTDQVAVEQAVHVIGDEUMTKUTDUNUO
      HIJUPIUQUR $.
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y S $.
    $( The sum of two polynomials is a polynomial.  (Contributed by Mario
       Carneiro, 24-Jul-2014.) $)
    plyaddcl $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) ) ->
      ( F oF + G ) e. ( Poly ` CC ) ) $=
      ( vx vy cply cfv wa cc plyssc simpl sselid simpr cv caddc co addcl adantl
      wcel plyadd ) BAFGZSZCUASZHZDEIBCUDUAIFGZBAJZUBUCKLUDUAUECUFUBUCMLDNZISEN
      ZISHUGUHOPISUDUGUHQRT $.

    $( The product of two polynomials is a polynomial.  (Contributed by Mario
       Carneiro, 24-Jul-2014.) $)
    plymulcl $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) ) ->
      ( F oF x. G ) e. ( Poly ` CC ) ) $=
      ( vx vy cply cfv wa cc plyssc simpl sselid simpr cv caddc co addcl adantl
      wcel cmul mulcl plymul ) BAFGZSZCUCSZHZDEIBCUFUCIFGZBAJZUDUEKLUFUCUGCUHUD
      UEMLDNZISENZISHZUIUJOPISUFUIUJQRUKUIUJTPISUFUIUJUARUB $.

    $( The difference of two polynomials is a polynomial.  (Contributed by
       Mario Carneiro, 24-Jul-2014.) $)
    plysubcl $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) ) ->
      ( F oF - G ) e. ( Poly ` CC ) ) $=
      ( vx vy cply cfv wa cc plyssc simpl sselid simpr cv caddc co addcl adantl
      wcel cmul mulcl c1 cneg neg1cn a1i plysub ) BAFGZSZCUGSZHZDEIBCUJUGIFGZBA
      JZUHUIKLUJUGUKCULUHUIMLDNZISENZISHZUMUNOPISUJUMUNQRUOUMUNTPISUJUMUNUARUBU
      CISUJUDUEUF $.
  $}

  ${
    $d k y z B $.  $d a b f j m n w F $.  $d k x y z ph $.  $d a b j m n w S $.
    $d a b f j k m n w z $.  $d k x y z A $.  $d k z M $.  $d k z N $.
    $( Value of the coefficient function.  (Contributed by Mario Carneiro,
       22-Jul-2014.) $)
    coeval $p |- ( F e. ( Poly ` S ) -> ( coeff ` F ) =
      ( iota_ a e. ( CC ^m NN0 )
        E. n e. NN0 ( ( a " ( ZZ>= ` ( n + 1 ) ) ) = { 0 } /\ F =
      ( z e. CC |-> sum_ k e. ( 0 ... n ) ( ( a ` k ) x. ( z ^ k ) ) ) ) ) ) $=
      ( vf cply cfv wcel cc ccoe cv co cc0 wceq wa cn0 wrex crio caddc cuz cima
      c1 csn cfz cexp cmul csu cmpt plyssc sseli eqeq1 anbi2d rexbidv riotabidv
      cmap df-coe riotaex fvmpt syl ) EBHIZJEKHIZJELIFMZDMZUDUANUBIUCOUEPZEAKOV
      EUFNCMZVDIAMVGUGNUHNCUIUJZPZQZDRSZFKRUQNZTZPVBVCEBUKULGEVFGMZVHPZQZDRSZFV
      LTVMVCLVNEPZVQVKFVLVRVPVJDRVRVOVIVFVNEVHUMUNUOUPAGCDFURVKFVLUSUTVA $.

    ${
      coeeu.1 $e |- ( ph -> F e. ( Poly ` S ) ) $.
      coeeu.2 $e |- ( ph -> A e. ( CC ^m NN0 ) ) $.
      coeeu.3 $e |- ( ph -> B e. ( CC ^m NN0 ) ) $.
      coeeu.4 $e |- ( ph -> M e. NN0 ) $.
      coeeu.5 $e |- ( ph -> N e. NN0 ) $.
      coeeu.6 $e |- ( ph -> ( A " ( ZZ>= ` ( M + 1 ) ) ) = { 0 } ) $.
      coeeu.7 $e |- ( ph -> ( B " ( ZZ>= ` ( N + 1 ) ) ) = { 0 } ) $.
      coeeu.8 $e |- ( ph -> F =
        ( z e. CC |-> sum_ k e. ( 0 ... M ) ( ( A ` k ) x. ( z ^ k ) ) ) ) $.
      coeeu.9 $e |- ( ph -> F =
        ( z e. CC |-> sum_ k e. ( 0 ... N ) ( ( B ` k ) x. ( z ^ k ) ) ) ) $.
      $( Lemma for ~ coeeu .  (Contributed by Mario Carneiro, 22-Jul-2014.) $)
      coeeulem $p |- ( ph -> A = B ) $=
        ( cc0 cc vx vy cmin cof cn0 csn cxp wceq caddc ssidd nn0addcld cmap cun
        co wf wcel cvv cv wa subcl adantl cnex nn0ex elmap sylib a1i off sylibr
        inidm wss 0cn snssi ax-mp ssequn2 mpbi oveq1i c1 cuz cfv wne cle wbr wi
        cima wral wn cr wb nn0red syl2an ffnd eqidd adantrr adantr nn0cnd nn0uz
        clt cz eleqtrdi nn0zd eluzadd syl2anc addid2d fveq2d eleqtrd eluzle syl
        lelttrd ltnled mpbid plyco0 r19.21bi necon1bd mpd c0p cmpt cfz cmul csu
        eqtrd adantlr oveq1d ffvelrnda sylan2 mulcld simpr sumex fvmpt2 sylancl
        eqid fzss2 sselda syldan cdif eldifn eldifi elfz5 sylibrd mul02d fsumss
        eleqtrrdi nn0re ltnle ofval addcomd eqeltrd simprr oveq12d 0m0e0 eqtrdi
        expr sylbird necon1ad ralrimiva mpbird cexp df-0p fconstmpt eqtri expcl
        elfznn0 adantll subdird sumeq2dv fsumsub fsumcl eqtr3d 3eqtr3d subeq0bd
        fzfid fveq1d 3eqtrrd mpteq2dva syl5eq plyeq0 ofsubeq0 mp3an2i ) ACDUCUD
        UNZUESUFZUGUHZCDUHZABUVRTFHIUIUNZATUJAHIMNUKZAUVRTUEULUNZTUVSUMZUEULUNA
        UETUVRUOZUVRUWDUPAUAUBUEUEUEUCTTTCDUQUQUAURZTUPUBURZTUPUSUWGUWHUCUNTUPA
        UWGUWHUTVAACUWDUPUETCUOZKTUECVBVCVDVEZADUWDUPUETDUOZLTUEDVBVCVDVEZUEUQU
        PZAVCVFZUWNUEVIZVGZTUEUVRVBVCVDVHUWETUEULUVSTVJZUWETUHSTUPUWQVKSTVLVMUV
        STVNVOVPUUAAUVRUWBVQUIUNVRVSWDUVSUHZFURZUVRVSZSVTUWSUWBWAWBZWCZFUEWEZAU
        XBFUEAUWSUEUPZUSZUXAUWTSUXEUXAWFZUWBUWSWQWBZUWTSUHZAUWBWGUPZUWSWGUPZUXG
        UXFWHUXDAUWBUWCWIZUWSUUBZUWBUWSUUCWJAUXDUXGUXHAUXDUXGUSZUSZUWTUWSCVSZUW
        SDVSZUCUNZSAUXDUWTUXQUHZUXGAUEUEUXOUXPUCUECDUQUQUWSAUETCUWJWKAUETDUWLWK
        UWNUWNUWOUXEUXOWLUXEUXPWLUUDZWMUXNUXQSSUCUNSUXNUXOSUXPSUCUXNUWSHWAWBZWF
        ZUXOSUHZUXNHUWSWQWBUYAUXNHUWBUWSAHWGUPUXMAHMWIWNZAUXIUXMUXKWNZAUXDUXJUX
        GUXDUXJAUXLVAWMZAHUWBWAWBZUXMAUWBHVRVSZUPZUYFAUWBSHUIUNZVRVSZUYGAUWBIHU
        IUNZUYJAHIAHMWOZAINWOZUUEAISVRVSZUPHWRUPZUYKUYJUPAIUEUYNNWPWSAHMWTZHSIX
        AXBUUFAUYIHVRAHUYLXCXDXEZHUWBXFXGWNAUXDUXGUUGZXHUXNHUWSUYCUYEXIXJUXNUXT
        UXOSAUXDUXOSVTZUXTWCZUXGAUYTFUEACHVQUIUNVRVSWDUVSUHZUYTFUEWEZOAHUEUPUWI
        VUAVUBWHMUWJCFHXKXBXJXLZWMXMXNUXNUWSIWAWBZWFZUXPSUHZUXNIUWSWQWBVUEUXNIU
        WBUWSAIWGUPUXMAINWIWNZUYDUYEAIUWBWAWBZUXMAUWBIVRVSZUPZVUHAUWBSIUIUNZVRV
        SZVUIAHUYNUPIWRUPZUWBVULUPAHUEUYNMWPWSAINWTZISHXAXBAVUKIVRAIUYMXCXDXEZI
        UWBXFXGWNUYRXHUXNIUWSVUGUYEXIXJUXNVUDUXPSAUXDUXPSVTZVUDWCZUXGAVUQFUEADI
        VQUIUNVRVSWDUVSUHZVUQFUEWEZPAIUEUPUWKVURVUSWHNUWLDFIXKXBXJXLZWMXMXNUUHU
        UIUUJXTUUKUULUUMUUNAUWBUEUPUWFUWRUXCWHUWCUWPUVRFUWBXKXBUUOAXOBTSXPZBTSU
        WBXQUNZUWTBURZUWSUUPUNZXRUNZFXSZXPXOTUVSUGVVAUUQBTSUURUUSABTSVVFAVVCTUP
        ZUSZVVFVVBUXOVVDXRUNZUXPVVDXRUNZUCUNZFXSVVBVVIFXSZVVBVVJFXSZUCUNSVVHVVB
        VVEVVKFUWSVVBUPZVVHUXDVVEVVKUHUWSUWBUVAZVVHUXDUSZVVEUXQVVDXRUNVVKVVPUWT
        UXQVVDXRAUXDUXRVVGUXSYAYBVVPUXOUXPVVDVVHUETUWSCAUWIVVGUWJWNYCZVVHUETUWS
        DAUWKVVGUWLWNYCZVVGUXDVVDTUPZAVVCUWSUUTZUVBZUVCXTYDUVDVVHVVBVVIVVJFVVHS
        UWBUVJZVVNVVHUXDVVITUPZVVOVVPUXOVVDVVQVWAYEYDZVVNVVHUXDVVJTUPZVVOVVPUXP
        VVDVVRVWAYEYDZUVEVVHVVLVVMVVHVVBVVIFVWBVWDUVFVVHVVCBTSHXQUNZVVIFXSZXPZV
        SZVVCBTSIXQUNZVVJFXSZXPZVSZVVLVVMAVWJVWNUHVVGAVVCVWIVWMAGVWIVWMQRUVGUVK
        WNVVHVWJVWHVVLVVHVVGVWHUQUPVWJVWHUHAVVGYFZVWGVVIFYGBTVWHUQVWIVWIYJYHYIV
        VHVWGVVBVVIFAVWGVVBVJZVVGAUYHVWPUYQHSUWBYKXGWNZVVHUWSVWGUPZVVNVWCVVHVWG
        VVBUWSVWQYLVWDYMVVHUWSVVBVWGYNUPZUSZVVISVVDXRUNZSVWTUXOSVVDXRVWTVWRWFZU
        YBVWSVXBVVHUWSVVBVWGYOVAVWSVVHUXDVXBUYBWCVWSVVNUXDUWSVVBVWGYPVVOXGZVVPV
        WRUXOSAUXDUYSVWRWCVVGUXEUYSUXTVWRVUCUXEUWSUYNUPZUYOVWRUXTWHUXEUWSUEUYNA
        UXDYFWPWSZAUYOUXDUYPWNUWSSHYQXBYRYAXMYDXNYBVWTVVDVVHVVGUXDVVSVWSVWOVXCV
        VTWJYSXTVWBYTXTVVHVWNVWLVVMVVHVVGVWLUQUPVWNVWLUHVWOVWKVVJFYGBTVWLUQVWMV
        WMYJYHYIVVHVWKVVBVVJFAVWKVVBVJZVVGAVUJVXFVUOISUWBYKXGWNZVVHUWSVWKUPZVVN
        VWEVVHVWKVVBUWSVXGYLVWFYMVVHUWSVVBVWKYNUPZUSZVVJVXASVXJUXPSVVDXRVXJVXHW
        FZVUFVXIVXKVVHUWSVVBVWKYOVAVXIVVHUXDVXKVUFWCVXIVVNUXDUWSVVBVWKYPVVOXGZV
        VPVXHUXPSAUXDVUPVXHWCVVGUXEVUPVUDVXHVUTUXEVXDVUMVXHVUDWHVXEAVUMUXDVUNWN
        UWSSIYQXBYRYAXMYDXNYBVXJVVDVVHVVGUXDVVSVXIVWOVXLVVTWJYSXTVWBYTXTUVHUVIU
        VLUVMUVNUVOUWMAUWIUWKUVTUWAWHVCUWJUWLUECDUQUVPUVQXJ $.
    $}

    $( Uniqueness of the coefficient function.  (Contributed by Mario Carneiro,
       22-Jul-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
    coeeu $p |- ( F e. ( Poly ` S ) -> E! a e. ( CC ^m NN0 )
                  E. n e. NN0 ( ( a " ( ZZ>= ` ( n + 1 ) ) ) = { 0 } /\ F =
        ( z e. CC |-> sum_ k e. ( 0 ... n ) ( ( a ` k ) x. ( z ^ k ) ) ) ) ) $=
      ( vm vw vj cfv wcel cv co wceq cc cmul csu wa cn0 wrex vb cply caddc cima
      c1 cuz cc0 csn cfz cexp cmpt cmap wi wral cun plyssc sseli elply2 simprbi
      wreu wss rexcom sylib syl 0cn snssi ssequn2 mpbi oveq1i rexeqi reeanv w3a
      ax-mp simp1l simp1rl simp1rr simp2l simp2r simp3ll simp3rl simp3lr oveq2d
      oveq1 sumeq2sdv fveq2 oveq2 oveq12d cbvsumv eqtrdi cbvmptv simp3rr 3expia
      coeeulem rexlimdvva ralrimivva imaeq1 eqeq1d fveq1 oveq1d mpteq2dv eqeq2d
      syl5bir anbi12d rexbidv fvoveq1 imaeq2d sumeq1d cbvrexvw bitrdi sylanbrc
      reu4 ) EBUBJZKZFLZDLZUEUCMUFJZUDZUGUHZNZEAOUGXOUIMZCLZXNJZALZYAUJMZPMZCQZ
      UKZNZRZDSTZFOSULMZTZYJUALZGLZUEUCMUFJZUDZXRNZEAOUGYNUIMZYAYMJZYDPMZCQZUKZ
      NZRZGSTZRZXNYMNZUMZUAYKUNFYKUNYJFYKUTXMYJFOXRUOZSULMZTZYLXMEOUBJZKZUUKXLU
      ULEBUPUQUUMYIFUUJTDSTZUUKUUMOOVAUUNAOCDEFURUSYIDFSUUJVBVCVDYJFUUJYKUUIOSU
      LXROVAZUUIONUGOKUUOVEUGOVFVMXROVGVHVIVJVCXMUUHFUAYKYKUUFYIUUDRZGSTDSTXMXN
      YKKZYMYKKZRZRZUUGYIUUDDGSSVKUUTUUPUUGDGSSUUTXOSKZYNSKZRZUUPUUGUUTUVCUUPVL
      ZHXNYMBIEXOYNXMUUSUVCUUPVNUUQUURXMUVCUUPVOUUQUURXMUVCUUPVPUUTUVAUVBUUPVQU
      UTUVAUVBUUPVRXSYHUUDUUTUVCVSYQUUCYIUUTUVCVTUVDEYGHOXTILZXNJZHLZUVEUJMZPMZ
      IQZUKXSYHUUDUUTUVCWAAHOYFUVJYCUVGNZYFXTYBUVGYAUJMZPMZCQUVJUVKXTYEUVMCUVKY
      DUVLYBPYCUVGYAUJWCZWBWDXTUVMUVICIYAUVENZYBUVFUVLUVHPYAUVEXNWEYAUVEUVGUJWF
      ZWGWHWIWJWIUVDEUUBHOYRUVEYMJZUVHPMZIQZUKYQUUCYIUUTUVCWKAHOUUAUVSUVKUUAYRY
      SUVLPMZCQUVSUVKYRYTUVTCUVKYDUVLYSPUVNWBWDYRUVTUVRCIUVOYSUVQUVLUVHPYAUVEYM
      WEUVPWGWHWIWJWIWMWLWNXBWOYJUUEFUAYKUUGYJYMXPUDZXRNZEAOXTYTCQZUKZNZRZDSTUU
      EUUGYIUWFDSUUGXSUWBYHUWEUUGXQUWAXRXNYMXPWPWQUUGYGUWDEUUGAOYFUWCUUGXTYEYTC
      UUGYBYSYDPYAXNYMWRWSWDWTXAXCXDUWFUUDDGSXOYNNZUWBYQUWEUUCUWGUWAYPXRUWGXPYO
      YMXOYNUEUFUCXEXFWQUWGUWDUUBEUWGAOUWCUUAUWGXTYRYTCXOYNUGUIWFXGWTXAXCXHXIXK
      XJ $.

    $d k z F $.
    $( Lemma for properties of the coefficient function.  (Contributed by Mario
       Carneiro, 22-Jul-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
    coelem $p |- ( F e. ( Poly ` S ) -> ( ( coeff ` F ) e. ( CC ^m NN0 ) /\
      E. n e. NN0 ( ( ( coeff ` F ) " ( ZZ>= ` ( n + 1 ) ) ) = { 0 } /\ F =
        ( z e. CC |-> sum_ k e. ( 0 ... n )
          ( ( ( coeff ` F ) ` k ) x. ( z ^ k ) ) ) ) ) ) $=
      ( va cfv wcel cv co cima cc0 wceq cc cmul csu cmpt wa cn0 wrex cply caddc
      ccoe c1 cuz csn cfz cexp cmap crab crio coeval coeeu riotacl2 syl eqeltrd
      wreu imaeq1 eqeq1d fveq1 oveq1d sumeq2sdv mpteq2dv eqeq2d anbi12d rexbidv
      elrab sylib ) EBUAGHZEUCGZFIZDIZUDUBJUEGZKZLUFZMZEANLVLUGJZCIZVKGZAIVRUHJ
      ZOJZCPZQZMZRZDSTZFNSUIJZUJZHVJWGHVJVMKZVOMZEANVQVRVJGZVTOJZCPZQZMZRZDSTZR
      VIVJWFFWGUKZWHABCDEFULVIWFFWGUQWRWHHABCDEFUMWFFWGUNUOUPWFWQFVJWGVKVJMZWEW
      PDSWSVPWJWDWOWSVNWIVOVKVJVMURUSWSWCWNEWSANWBWMWSVQWAWLCWSVSWKVTOVRVKVJUTV
      AVBVCVDVEVFVGVH $.
  $}

  ${
    $d a k n z A $.  $d a n F $.  $d k n z N $.  $d a n S $.
    coeeq.1 $e |- ( ph -> F e. ( Poly ` S ) ) $.
    coeeq.2 $e |- ( ph -> N e. NN0 ) $.
    coeeq.3 $e |- ( ph -> A : NN0 --> CC ) $.
    coeeq.4 $e |- ( ph -> ( A " ( ZZ>= ` ( N + 1 ) ) ) = { 0 } ) $.
    coeeq.5 $e |- ( ph -> F =
      ( z e. CC |-> sum_ k e. ( 0 ... N ) ( ( A ` k ) x. ( z ^ k ) ) ) ) $.
    $( If ` A ` satisfies the properties of the coefficient function, it must
       be equal to the coefficient function.  (Contributed by Mario Carneiro,
       22-Jul-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
    coeeq $p |- ( ph -> ( coeff ` F ) = A ) $=
      ( va vn cfv cv co wceq cc cn0 ccoe c1 caddc cuz cima cc0 csn cfz cexp csu
      cmul cmpt wa wrex cmap crio cply wcel coeval fvoveq1 imaeq2d eqeq1d oveq2
      syl sumeq1d mpteq2dv eqeq2d anbi12d rspcev syl12anc wreu wb wf cnex nn0ex
      elmap sylibr coeeu imaeq1 fveq1 oveq1d rexbidv riota2 syl2anc mpbid eqtrd
      sumeq2sdv ) AFUAOZMPZNPZUBUCQUDOZUEZUFUGZRZFBSUFWJUHQZEPZWIOZBPWPUIQZUKQZ
      EUJZULZRZUMZNTUNZMSTUOQZUPZCAFDUQOURZWHXFRHBDENFMUSVDACWKUEZWMRZFBSWOWPCO
      ZWRUKQZEUJZULZRZUMZNTUNZXFCRZAGTURCGUBUCQUDOZUEZWMRZFBSUFGUHQZXKEUJZULZRZ
      XPIKLXOXTYDUMNGTWJGRZXIXTXNYDYEXHXSWMYEWKXRCWJGUBUDUCUTVAVBYEXMYCFYEBSXLY
      BYEWOYAXKEWJGUFUHVCVEVFVGVHVIVJACXEURZXDMXEVKZXPXQVLATSCVMYFJSTCVNVOVPVQA
      XGYGHBDENFMVRVDXDXPMXECWICRZXCXONTYHWNXIXBXNYHWLXHWMWICWKVSVBYHXAXMFYHBSW
      TXLYHWOWSXKEYHWQXJWRUKWPWICVTWAWGVFVGVHWBWCWDWEWF $.
  $}

  ${
    $d a f n x A $.  $d a f n x F $.  $d a k n x z S $.
    dgrval.1 $e |- A = ( coeff ` F ) $.
    $( Value of the degree function.  (Contributed by Mario Carneiro,
       22-Jul-2014.) $)
    dgrval $p |- ( F e. ( Poly ` S ) -> ( deg ` F ) =
      sup ( ( `' A " ( CC \ { 0 } ) ) , NN0 , < ) ) $=
      ( vf cply cfv wcel cc cdgr ccnv cc0 cima cn0 clt csup wceq ccoe cr wor cv
      csn cdif plyssc sseli fveq2 eqtr4di cnveqd imaeq1d supeq1d df-dgr nn0ssre
      wss ltso soss mp2 supex fvmpt syl ) CBFGZHCIFGZHCJGAKZILUBUCZMZNOPZQUTVAC
      BUDUEECEUAZRGZKZVCMZNOPVEVAJVFCQZNVIVDOVJVHVBVCVJVGAVJVGCRGAVFCRUFDUGUHUI
      UJEUKNVDONSUMSOTNOTULUNNSOUOUPUQURUS $.

    $( Lemma for ~ dgrcl and similar theorems.  (Contributed by Mario Carneiro,
       22-Jul-2014.) $)
    dgrlem $p |- ( F e. ( Poly ` S ) -> ( A : NN0 --> ( S u. { 0 } ) /\
        E. n e. ZZ A. x e. ( `' A " ( CC \ { 0 } ) ) x <_ n ) ) $=
      ( va vz vk cfv wcel cn0 cc0 cv cc wrex co wa cvv mpbid csn cun wf cle wbr
      cply ccnv cdif cima wral cz c1 caddc cuz wceq cfz cexp cmul csu cmpt cmap
      wss elply2 simprbi simplrr wb simpll plybss 0cnd snssd unssd cnex sylancl
      ssexg nn0ex elmapg ccoe simplrl fssd simprl simprr coeeq eqtr2id feq1d ex
      syl rexlimdvva mpd nn0ssz wi wne wfn elpreima 3syl biimpa eldifsni simpld
      ffn simpl2im plyco0 syl2anc r19.21bi syldan ralrimiva cnveqd imaeq1d expr
      raleqdv rexlimdv reximdva ssrexv mpsyl jca ) ECUFJKZLCMUAZUBZBUCZANZDNZUD
      UEZABUGZOXOUHZUIZUJZDUKPZXNGNZXSULUMQUNJUIXOUOZEHOMXSUPQINZYFJHNYHUQQURQI
      USUTUOZRZGXPLVAQZPZDLPZXQXNCOVBZYMHCIDEGVCVDZXNYJXQDGLYKXNXSLKZYFYKKZRZRZ
      YJXQYSYJRZLXPYFUCZXQYTYQUUAXNYPYQYJVEYTXPSKZLSKYQUUAVFYTXPOVBOSKUUBYTCXOO
      YTXNYNXNYRYJVGZCEVHWFYTMOYTVIVJVKZVLXPOSVNVMVOXPLYFSSVPVMTZYTLXPYFBYTBEVQ
      JYFFYTHYFCIEXSUUCXNYPYQYJVRZYTLXPOYFUUEUUDVSZYSYGYIVTZYSYGYIWAWBWCZWDTWEW
      GWHLUKVBXNYDDLPZYEWIXNYMUUJYOXNYLYDDLXNYPRYJYDGYKXNYPYQYJYDWJYSYJYDYTXTAY
      FUGZYBUIZUJYDYTXTAUULYTXRUULKZRZXRYFJZMWKZXTUUNXRLKZUUOYBKZUUPYTUUMUUQUUR
      RZYTLOYFUCZYFLWLUUMUUSVFUUGLOYFWRLXRYBYFWMWNWOZUUOOMWPWSYTUUMUUQUUPXTWJZU
      UNUUQUURUVAWQYTUVBALYTYGUVBALUJZUUHYTYPUUTYGUVCVFUUFUUGYFAXSWTXATXBXCWHXD
      YTXTAUULYCYTUUKYAYBYTYFBUUIXEXFXHTWEXGXIXJWHYDDLUKXKXLXM $.

    $( The domain and range of the coefficient function.  (Contributed by Mario
       Carneiro, 22-Jul-2014.) $)
    coef $p |- ( F e. ( Poly ` S ) -> A : NN0 --> ( S u. { 0 } ) ) $=
      ( vx vn cply cfv wcel cn0 cc0 csn cun wf cv cle wbr ccnv cc cdif cima cz
      wral wrex dgrlem simpld ) CBGHIJBKLZMANEOFOPQEARSUGTUAUCFUBUDEABFCDUEUF
      $.

    $( The domain and range of the coefficient function.  (Contributed by Mario
       Carneiro, 22-Jul-2014.) $)
    coef2 $p |- ( ( F e. ( Poly ` S ) /\ 0 e. S ) -> A : NN0 --> S ) $=
      ( cply cfv wcel cc0 wa cn0 csn cun wf coef adantr wss simpr snssd ssequn2
      wceq sylib feq3d mpbid ) CBEFGZHBGZIZJBHKZLZAMZJBAMUDUIUEABCDNOUFUHBAJUFU
      GBPUHBTUFHBUDUEQRUGBSUAUBUC $.

    $( The domain and range of the coefficient function.  (Contributed by Mario
       Carneiro, 22-Jul-2014.) $)
    coef3 $p |- ( F e. ( Poly ` S ) -> A : NN0 --> CC ) $=
      ( cply cfv wcel cc cc0 cn0 wf plyssc sseli 0cn coef2 sylancl ) CBEFZGCHEF
      ZGIHGJHAKQRCBLMNAHCDOP $.
  $}

  ${
    $d a k n x y z A $.  $d a k n x y F $.  $d k z ph $.  $d a k m n x y z S $.
    $d k z B $.  $d k y z M $.  $d a k n z N $.  $d k z X $.
    $( The degree of any polynomial is a nonnegative integer.  (Contributed by
       Mario Carneiro, 22-Jul-2014.) $)
    dgrcl $p |- ( F e. ( Poly ` S ) -> ( deg ` F ) e. NN0 ) $=
      ( vn vx vy cply cfv wcel cdgr cc0 cn0 clt wor cr wss cz cv wbr wral wrex
      ccoe ccnv cc csn cdif cima csup eqid dgrval nn0ssre ltso soss mp2 a1i cle
      wn wi wa 0zd cun cnvimass coef fssdm wf dgrlem simprd nn0uz uzsupss supcl
      syl3anc eqeltrd ) BAFGHZBIGBUAGZUBUCJUDZUEZUFZKLUGKVMABVMUHZUIVLCDEKVPLKL
      MZVLKNONLMVRUJUKKNLULUMUNVLJPHVPKODQZCQZUORDVPSCPTZVTVSLRUPDVPSVSVTLRVSEQ
      LREVPTUQDKSURCKTVLUSVLKAVNUTZVPVMVMVOVAVMABVQVBVCVLKWBVMVDWADVMACBVQVEVFC
      DEVPJKVGVHVJVIVK $.

    dgrub.1 $e |- A = ( coeff ` F ) $.
    dgrub.2 $e |- N = ( deg ` F ) $.
    $( If the ` M ` -th coefficient of ` F ` is nonzero, then the degree of
       ` F ` is at least ` M ` .  (Contributed by Mario Carneiro,
       22-Jul-2014.) $)
    dgrub $p |- ( ( F e. ( Poly ` S ) /\ M e. NN0 /\
      ( A ` M ) =/= 0 ) -> M <_ N ) $=
      ( vn vx vy cfv wcel cn0 cc0 syl cc clt wbr cr cv cply wne w3a simp2 simp1
      nn0red cdgr dgrcl eqeltrid ccnv csn cdif cima csup dgrval syl5eq wn coef3
      wceq wf ffvelrnd simp3 eldifsn sylanbrc cun wfn wa coef ffn elpreima 4syl
      wb mpbir2and wor wss nn0ssre ltso soss mp2 a1i cle wral wrex 0zd cnvimass
      cz fssdm dgrlem simprd nn0uz uzsupss syl3anc supub sylc eqnbrtrd nltled
      wi ) CBUAKLZDMLZDAKZNUBZUCZDEXBDWRWSXAUDZUFXBEXBWREMLWRWSXAUEZWRECUGKZMGB
      CUHUIOUFXBEAUJPNUKZULZUMZMQUNZDQXBWREXIUSXDWREXEXIGABCFUOUPOXBWRDXHLZXIDQ
      RUQXDXBXJWSWTXGLZXCXBWTPLXAXKXBMPDAXBWRMPAUTXDABCFUROXCVAWRWSXAVBWTPNVCVD
      XBWRMBXFVEZAUTZAMVFXJWSXKVGVLXDABCFVHZMXLAVIMDXGAVJVKVMWRHIJMXHDQMQVNZWRM
      SVOSQVNXOVPVQMSQVRVSVTWRNWFLXHMVOITZHTZWARIXHWBHWFWCZXQXPQRUQIXHWBXPXQQRX
      PJTQRJXHWCWQIMWBVGHMWCWRWDWRMXLXHAAXGWEXNWGWRXMXRIABHCFWHWIHIJXHNMWJWKWLW
      MWNWOWP $.

    $( All the coefficients above the degree of ` F ` are zero.  (Contributed
       by Mario Carneiro, 23-Jul-2014.) $)
    dgrub2 $p |- ( F e. ( Poly ` S ) ->
      ( A " ( ZZ>= ` ( N + 1 ) ) ) = { 0 } ) $=
      ( vk cply cfv wcel c1 caddc co cuz cima cc0 csn wceq cv cn0 wne cle dgrub
      wbr wi wral 3expia ralrimiva cc wf wb dgrcl eqeltrid coef3 plyco0 syl2anc
      cdgr mpbird ) CBHIJZADKLMNIOPQRZGSZAIPUAZVADUBUDZUEZGTUFZUSVDGTUSVATJVBVC
      ABCVADEFUCUGUHUSDTJTUIAUJUTVEUKUSDCUQITFBCULUMABCEUNAGDUOUPUR $.

    $( If all the coefficients above ` M ` are zero, then the degree of ` F `
       is at most ` M ` .  (Contributed by Mario Carneiro, 22-Jul-2014.) $)
    dgrlb $p |- ( ( F e. ( Poly ` S ) /\ M e. NN0 /\
      ( A " ( ZZ>= ` ( M + 1 ) ) ) = { 0 } ) -> N <_ M ) $=
      ( vy vx vn cfv wcel cn0 cc0 3ad2ant1 nn0red clt wbr wral cr cply c1 caddc
      co cuz cima csn wceq cdgr dgrcl eqeltrid simp2 ccnv cc cdif csup cv wn wa
      w3a cun wf wfn cle wrex dgrlem simpld ffn elpreima 3syl biimpa adantr wne
      wb cz eldifsni simpl2im wi simp3 coef3 plyco0 syl2anc r19.21bi syldan mpd
      mpbid lensymd ralrimiva wor wss nn0ssre ltso soss mp2 a1i cnvimass simprd
      0zd fssdm nn0uz uzsupss syl3anc supnub mp2and dgrval syl5eq breq2d mtbird
      nltled ) CBUAKLZDMLZADUBUCUDUEKUFNUGZUHZUTZEDXNEXJXKEMLXMXJECUIKZMGBCUJUK
      OPXNDXJXKXMULZPZXNDEQRDAUMUNXLUOZUFZMQUPZQRZXNXKDHUQZQRURZHXSSYAURXPXNYCH
      XSXNYBXSLZUSZYBDYEYBYEYBMLZYBAKZXRLZXNYDYFYHUSZXNMBXLVAZAVBZAMVCYDYIVNXJX
      KYKXMXJYKIUQZJUQZVDRIXSSJVOVEZIABJCFVFZVGZOMYJAVHMYBXRAVIVJVKZVGZPXNDTLYD
      XQVLYEYGNVMZYBDVDRZYEYFYHYSYQYGUNNVPVQXNYDYFYSYTVRZYRXNUUAHMXNXMUUAHMSZXJ
      XKXMVSXNXKMUNAVBZXMUUBVNXPXJXKUUCXMABCFVTOAHDWAWBWFWCWDWEWGWHXNJIHMXSDQMQ
      WIZXNMTWJTQWIUUDWKWLMTQWMWNWOXJXKYMYLQRURIXSSYLYMQRYLYBQRHXSVEVRIMSUSJMVE
      ZXMXJNVOLXSMWJYNUUEXJWRXJMYJXSAAXRWPYPWSXJYKYNYOWQJIHXSNMWTXAXBOXCXDXNEXT
      DQXJXKEXTUHXMXJEXOXTGABCFXEXFOXGXHXI $.

    ${
      coeid.3 $e |- ( ph -> F e. ( Poly ` S ) ) $.
      coeid.4 $e |- ( ph -> M e. NN0 ) $.
      coeid.5 $e |- ( ph -> B e. ( ( S u. { 0 } ) ^m NN0 ) ) $.
      coeid.6 $e |- ( ph -> ( B " ( ZZ>= ` ( M + 1 ) ) ) = { 0 } ) $.
      coeid.7 $e |- ( ph -> F =
        ( z e. CC |-> sum_ k e. ( 0 ... M ) ( ( B ` k ) x. ( z ^ k ) ) ) ) $.
      $( Lemma for ~ coeid .  (Contributed by Mario Carneiro, 22-Jul-2014.) $)
      coeidlem $p |- ( ph -> F =
        ( z e. CC |-> sum_ k e. ( 0 ... N ) ( ( A ` k ) x. ( z ^ k ) ) ) ) $=
        ( cc cc0 wcel cn0 cfz co cv cfv cexp cmul csu cmpt wa wceq ccoe csn cun
        cmap wf cvv wb wss cply plybss syl 0cnd snssd unssd ssexg sylancl nn0ex
        cnex elmapg mpbid fssd coeeq eqtr2id adantr oveq1d sumeq2sdv cuz cz cle
        fveq1 wbr cdgr dgrcl eqeltrid nn0zd c1 caddc cima imaeq1d dgrlb syl3anc
        eqtr3d eluz2 syl3anbrc fzss2 plyssc sselid coef3 ffvelrnda expcl mulcld
        elfznn0 adantll sylan2 cdif wn eldifn adantl wne wi eldifi dgrub 3expia
        syl2an elfzuz elfz5 syl2anr sylibrd mpd simpr mul02d eqtrd fzfid fsumss
        necon1bd eqtr4d mpteq2dva ) AGBQRHUAUBZFUCZDUDZBUCZYIUEUBZUFUBZFUGZUHBQ
        RIUAUBZYICUDZYLUFUBZFUGZUHPABQYNYRAYKQSZUIZYNYHYQFUGZYRYTDCUJZYNUUAUJAU
        UBYSACGUKUDDJABDEFGHLMATERULZUMZQDADUUDTUNUBSZTUUDDUOZNAUUDUPSZTUPSUUEU
        UFUQAUUDQURQUPSUUGAEUUCQAGEUSUDZSZEQURLEGUTVAARQAVBVCVDZVHUUDQUPVEVFVGU
        UDTDUPUPVIVFVJUUJVKOPVLVMVNZUUBYHYMYQFUUBYJYPYLUFYIDCVTVOVPVAYTYOYHYQFY
        THIVQUDSZYOYHURYTIVRSZHVRSIHVSWAZUULYTIYTUUIITSAUUIYSLVNZUUIIGWBUDTKEGW
        CWDVAWEZYTHAHTSZYSMVNZWEYTUUIUUQCHWFWGUBVQUDZWHZUUCUJUUNUUOUURYTDUUSWHZ
        UUTUUCYTDCUUSUUKWIAUVAUUCUJYSOVNWLCEGHIJKWJWKIHWMWNIRHWOVAYIYOSZYTYITSZ
        YQQSYIIXBYTUVCUIYPYLYTTQYICATQCUOZYSAGQUSUDZSUVDAUUHUVEGEWPLWQCQGJWRVAV
        NWSYSUVCYLQSZAYKYIWTZXCXAXDYTYIYHYOXESZUIZYQRYLUFUBRUVIYPRYLUFUVIUVBXFZ
        YPRUJUVHUVJYTYIYHYOXGXHUVIUVBYPRUVIYPRXIZYIIVSWAZUVBYTUUIUVCUVKUVLXJUVH
        UUOUVHYIYHSZUVCYIYHYOXKZYIHXBVAZUUIUVCUVKUVLCEGYIIJKXLXMXNUVHYIRVQUDSZU
        UMUVBUVLUQYTUVHUVMUVPUVNYIRHXOVAUUPYIRIXPXQXRYEXSVOUVIYLYTYSUVCUVFUVHAY
        SXTUVOUVGXNYAYBYTRHYCYDYFYGYB $.
    $}

    $d k z F $.

    $( Reconstruct a polynomial as an explicit sum of the coefficient function
       up to the degree of the polynomial.  (Contributed by Mario Carneiro,
       22-Jul-2014.) $)
    coeid $p |- ( F e. ( Poly ` S ) -> F =
      ( z e. CC |-> sum_ k e. ( 0 ... N ) ( ( A ` k ) x. ( z ^ k ) ) ) ) $=
      ( va vn vx vm cfv cv co wceq cc cexp cmul csu cply wcel c1 caddc cuz cima
      cc0 csn cfz cmpt wa cun cn0 cmap wss elply2 simprbi simpll simplrl simprl
      simplrr simprr fveq2 oveq2 oveq12d cbvsumv oveq1 oveq2d sumeq2sdv cbvmptv
      wrex syl5eq eqtrdi coeidlem ex rexlimdvva mpd ) ECUAMUBZINZJNZUCUDOUEMUFU
      GUHZPZEKQUGVTUIOZLNZVSMZKNZWDROZSOZLTZUJZPZUKZICWAULUMUNOZVKJUMVKZEAQUGFU
      IODNZBMANZWOROZSODTUJPZVRCQUOWNKCLJEIUPUQVRWLWRJIUMWMVRVTUMUBZVSWMUBZUKZU
      KZWLWRXBWLUKZABVSCDEVTFGHVRXAWLURVRWSWTWLUSVRWSWTWLVAXBWBWKUTXCEWJAQWCWOV
      SMZWQSOZDTZUJXBWBWKVBKAQWIXFWFWPPZWIWCXDWFWOROZSOZDTXFWCWHXILDWDWOPWEXDWG
      XHSWDWOVSVCWDWOWFRVDVEVFXGWCXIXEDXGXHWQXDSWFWPWORVGVHVIVLVJVMVNVOVPVQ $.

    $( Reconstruct a polynomial as an explicit sum of the coefficient function
       up to the degree of the polynomial.  (Contributed by Mario Carneiro,
       22-Jul-2014.) $)
    coeid2 $p |- ( ( F e. ( Poly ` S ) /\ X e. CC ) -> ( F ` X ) =
                  sum_ k e. ( 0 ... N ) ( ( A ` k ) x. ( X ^ k ) ) ) $=
      ( vz cply cfv wcel cc cc0 cfz co cv cexp cmul csu cmpt coeid fveq1d oveq1
      wceq oveq2d sumeq2sdv eqid sumex fvmpt sylan9eq ) DBJKLZFMLFDKFIMNEOPZCQZ
      AKZIQZUNRPZSPZCTZUAZKUMUOFUNRPZSPZCTZULFDUTIABCDEGHUBUCIFUSVCMUTUPFUEZUMU
      RVBCVDUQVAUOSUPFUNRUDUFUGUTUHUMVBCUIUJUK $.

    $( Reconstruct a polynomial as an explicit sum of the coefficient function
       up to at least the degree of the polynomial.  (Contributed by Mario
       Carneiro, 22-Jul-2014.) $)
    coeid3 $p |- ( ( F e. ( Poly ` S ) /\ M e. ( ZZ>= ` N ) /\ X e. CC ) ->
      ( F ` X ) = sum_ k e. ( 0 ... M ) ( ( A ` k ) x. ( X ^ k ) ) ) $=
      ( cfv wcel cuz cc cc0 cfz co cmul csu cn0 syl cply cv cexp coeid2 3adant2
      w3a wceq wss fzss2 3ad2ant2 elfznn0 wa coef3 3ad2ant1 ffvelrnda 3ad2antl3
      wf expcl mulcld sylan2 cdif wn eldifn adantl wne cle wbr wi simpl1 eldifi
      elfzuz nn0uz eleqtrrdi dgrub 3expia syl2anc cz wb simpl2 eluzel2 necon1bd
      elfz5 sylibrd mpd oveq1d mul02d eqtrd fzfid fsumss ) DBUAJKZEFLJKZGMKZUFZ
      GDJZNFOPZCUBZAJZGWPUCPZQPZCRZNEOPZWSCRWJWLWNWTUGWKABCDFGHIUDUEWMWOXAWSCWK
      WJWOXAUHWLFNEUIUJWPWOKZWMWPSKZWSMKWPFUKWMXCULWQWRWMSMWPAWJWKSMAUQWLABDHUM
      UNUOWLWJXCWRMKZWKGWPURUPZUSUTWMWPXAWOVAKZULZWSNWRQPNXGWQNWRQXGXBVBZWQNUGX
      FXHWMWPXAWOVCVDXGXBWQNXGWQNVEZWPFVFVGZXBXGWJXCXIXJVHWJWKWLXFVIXGWPNLJZSXF
      WPXKKZWMXFWPXAKZXLWPXAWOVJZWPNEVKTVDZVLVMWJXCXIXJABDWPFHIVNVOVPXGXLFVQKZX
      BXJVRXOXGWKXPWJWKWLXFVSFEVTTWPNFWBVPWCWAWDWEXGWRXFWMXCXDXFXMXCXNWPEUKTXEU
      TWFWGWMNEWHWIWG $.
  $}

  ${
    $d d k x y z F $.  $d d k x y z G $.  $d d k x y z ph $.  $d d k x y S $.
    plyco.1 $e |- ( ph -> F e. ( Poly ` S ) ) $.
    plyco.2 $e |- ( ph -> G e. ( Poly ` S ) ) $.
    plyco.3 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x + y ) e. S ) $.
    plyco.4 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x x. y ) e. S ) $.
    $( The composition of two polynomials is a polynomial.  (Contributed by
       Mario Carneiro, 23-Jul-2014.)  (Revised by Mario Carneiro,
       23-Aug-2014.) $)
    plyco $p |- ( ph -> ( F o. G ) e. ( Poly ` S ) ) $=
      ( vz vk cc cc0 co cexp cmul cmpt wcel wceq vd ccom cdgr cfv cfz ccoe cply
      cv csu wf plyf ffvelrnda feqmptd eqid coeid oveq1 oveq2d sumeq2sdv fmptco
      syl cn0 dgrcl wi c1 caddc oveq2 sumeq1d mpteq2dv eleq1d imbi2d csn cxp wa
      cz exp0d cun wss plybss 0cnd snssd unssd coef 0nn0 ffvelrn sylancl sseldd
      0z adantr mulid1d eqtrd eqeltrd fveq2 oveq12d sylancr mpteq2dva fconstmpt
      fsum1 eqtr4di plyconst syl2anc plyun0 eleqtrdi simprr peano2nn0 syl2an cn
      cof nn0p1nn exp1d eqtr4d adantlr plymul expr cvv cnex ovexd eqidd offval2
      a1i nnnn0 ad2antlr expp1d sylibd expcom nnind impcom adantrr plyadd sumex
      a2d fvexd cuz simplr nn0uz coef3 ad2antrr elfznn0 expcl mulcld fsump1
      nn0ind mpcom ) AEFUBKMNEUCUDZUEOZLUHZEUFUDZUDZKUHZFUDZUUEPOZQOZLUIZRZDUGU
      DZAKBMMUUIUUDUUGBUHZUUEPOZQOZLUIZUULFEAMMUUHFAFUUNSZMMFUJHDFUKUTZULZAKMMF
      UUTUMZAEUUNSZEBMUURRTGBUUFDLEUUCUUFUNZUUCUNUOUTUUOUUITZUUDUUQUUKLUVEUUPUU
      JUUGQUUOUUIUUEPUPUQURUSUUCVASZAUUMUUNSZAUVCUVFGDEVBUTAKMNUUOUEOZUUKLUIZRZ
      UUNSZVCAKMNNUEOZUUKLUIZRZUUNSZVCAKMNUAUHZUEOZUUKLUIZRZUUNSZVCAKMNUVPVDVEO
      ZUEOZUUKLUIZRZUUNSZVCAUVGVCBUAUUCUUONTZUVKUVOAUWFUVJUVNUUNUWFKMUVIUVMUWFU
      VHUVLUUKLUUONNUEVFVGVHVIVJUUOUVPTZUVKUVTAUWGUVJUVSUUNUWGKMUVIUVRUWGUVHUVQ
      UUKLUUOUVPNUEVFVGVHVIVJUUOUWATZUVKUWEAUWHUVJUWDUUNUWHKMUVIUWCUWHUVHUWBUUK
      LUUOUWANUEVFVGVHVIVJUUOUUCTZUVKUVGAUWIUVJUUMUUNUWIKMUVIUULUWIUVHUUDUUKLUU
      OUUCNUEVFVGVHVIVJAUVNMNUUFUDZVKVLZUUNAUVNKMUWJRUWKAKMUVMUWJAUUHMSZVMZUVMU
      WJUUINPOZQOZUWJUWMNVNSUWOMSUVMUWOTWGUWMUWOUWJMUWMUWOUWJVDQOUWJUWMUWNVDUWJ
      QUWMUUIUVAVOUQUWMUWJAUWJMSUWLADNVKZVPZMUWJADUWPMAUVCDMVQGDEVRUTANMAVSVTWA
      ZAVAUWQUUFUJZNVASUWJUWQSZAUVCUWSGUUFDEUVDWBUTZWCVAUWQNUUFWDWEZWFWHZWIWJZU
      XCWKUUKUWOLNUUENTUUGUWJUUJUWNQUUENUUFWLUUENUUIPVFWMWQWNUXDWJWOKMUWJWPWRAU
      WKUWQUGUDZUUNAUWQMVQZUWTUWKUXESUWRUXBUWJUWQWSWTDXAZXBWKUVPVASZAUVTUWEAUXH
      UVTUWEVCAUXHVMZUVTUVSMUWAUUFUDZVKVLZKMUUIUWAPOZRZQXGZOZVEXGOZUUNSZUWEAUXH
      UVTUXQAUXHUVTVMZVMBCDUVSUXOAUXHUVTXCAUXHUXOUUNSUVTUXIBCDUXKUXMUXIUXKUXEUU
      NUXIUXFUXJUWQSZUXKUXESAUXFUXHUWRWHAUWSUWAVASUXSUXHUXAUVPXDVAUWQUWAUUFWDXE
      UXJUWQWSWTUXGXBUXHAUXMUUNSZUXHUWAXFSAUXTVCZUVPXHAKMUUIUUOPOZRZUUNSZVCAKMU
      UIVDPOZRZUUNSZVCAKMUUIUVPPOZRZUUNSZVCUYAUYABUAUWAUUOVDTZUYDUYGAUYKUYCUYFU
      UNUYKKMUYBUYEUUOVDUUIPVFVHVIVJUWGUYDUYJAUWGUYCUYIUUNUWGKMUYBUYHUUOUVPUUIP
      VFVHVIVJUWHUYDUXTAUWHUYCUXMUUNUWHKMUYBUXLUUOUWAUUIPVFVHVIVJZUYLAUYFFUUNAU
      YFKMUUIRZFAKMUYEUUIUWMUUIUVAXIWOUVBXJHWKUVPXFSZAUYJUXTAUYNUYJUXTVCAUYNVMZ
      UYJUYIFUXNOZUUNSZUXTAUYNUYJUYQAUYNUYJVMZVMBCDUYIFAUYNUYJXCAUUSUYRHWHAUUOD
      SCUHZDSVMZUUOUYSVEODSZUYRIXKAUYTUUOUYSQODSZUYRJXKXLXMUYOUYPUXMUUNUYOUYPKM
      UYHUUIQOZRUXMUYOKMUYHUUIQUYIFXNXNMMXNSZUYOXOXSUYOUWLVMZUUIUVPPXPAUWLUUIMS
      ZUYNUVAXKZUYOUYIXQAFUYMTUYNUVBWHXRUYOKMUXLVUCVUEUUIUVPVUGUYNUXHAUWLUVPXTY
      AYBWOXJVIYCYDYJYEUTYFAUYTVUAUXHIXKAUYTVUBUXHJXKXLYGAUYTVUAUXRIXKYHXMUXIUX
      PUWDUUNUXIUXPKMUVRUXJUXLQOZVEOZRUWDUXIKMUVRVUHVEUVSUXOXNXNXNVUDUXIXOXSZUV
      RXNSUXIUWLVMZUVQUUKLYIXSVUKUXJUXLQXPUXIUVSXQUXIKMUXJUXLQUXKUXMXNXNXNVUJVU
      KUWAUUFYKVUKUUIUWAPXPUXKKMUXJRTUXIKMUXJWPXSUXIUXMXQXRXRUXIKMUWCVUIVUKUUKV
      UHLNUVPVUKUVPVANYLUDAUXHUWLYMYNXBVUKUUEUWBSZVMUUGUUJVUKVAMUUFUJZUUEVASZUU
      GMSVULAVUMUXHUWLAUVCVUMGUUFDEUVDYOUTYPUUEUWAYQZVAMUUEUUFWDXEVUKVUFVUNUUJM
      SVULAUWLVUFUXHUVAXKVUOUUIUUEYRXEYSUUEUWATUUGUXJUUJUXLQUUEUWAUUFWLUUEUWAUU
      IPVFWMYTWOXJVIYCYDYJUUAUUBWK $.
  $}

  ${
    $d m z A $.  $d m F $.  $d k m z N $.  $d k m z ph $.
    dgrle.1 $e |- ( ph -> F e. ( Poly ` S ) ) $.
    dgrle.2 $e |- ( ph -> N e. NN0 ) $.
    dgrle.3 $e |- ( ( ph /\ k e. ( 0 ... N ) ) -> A e. CC ) $.
    dgrle.4 $e |- ( ph -> F =
      ( z e. CC |-> sum_ k e. ( 0 ... N ) ( A x. ( z ^ k ) ) ) ) $.
    $( Compute the coefficient function given a sum expression for the
       polynomial.  (Contributed by Mario Carneiro, 24-Jul-2014.) $)
    coeeq2 $p |- ( ph ->
      ( coeff ` F ) = ( k e. NN0 |-> if ( k <_ N , A , 0 ) ) ) $=
      ( vm cn0 cc0 cc wcel wa co syl2anc cmul cle wbr cif cmpt cfz simpll simpr
      cv cuz cfv cz wb simplr nn0uz eleqtrdi nn0zd ad2antrr elfz5 mpbird ifclda
      wn 0cnd fmpttd c1 caddc cima csn wceq wne wral eqid fvmpt2 neeq1d iffalse
      necon1ai syl6bi ralrimiva nfv nffvmpt1 nfcv nfne nfim fveq2 breq1 imbi12d
      wi cbvralw sylib wf plyco0 cexp nfov oveq2 oveq12d cbvsumi elfznn0 adantl
      csu elfzle2 iftrued adantlr eqeltrd eqtrd oveq1d eqtr3id mpteq2dva eqtr4d
      sumeq2dv coeeq ) ABEMEUHZGUAUBZCNUCZUDZDLFGHIAEMXLOAXJMPZQZXKCNOXOXKQZAXJ
      NGUERZPZCOPZAXNXKUFXPXRXKXOXKUGXPXJNUIUJZPGUKPZXRXKULXPXJMXTAXNXKUMUNUOAY
      AXNXKAGIUPUQXJNGURSUSJSXOXKVAQVBUTZVCZAXMGVDVERUIUJVFNVGVHZLUHZXMUJZNVIZY
      EGUAUBZWFZLMVJZAXJXMUJZNVIZXKWFZEMVJYJAYMEMXOYLXLNVIXKXOYKXLNXOXNXLOPZYKX
      LVHZAXNUGYBEMXLOXMXMVKVLZSVMXKXLNXKCNVNVOVPVQYMYIELMYMLVRYGYHEEYFNEMXLYEV
      SZENVTWAYHEVRWBXJYEVHZYLYGXKYHYRYKYFNXJYEXMWCZVMXJYEGUAWDWEWGWHAGMPMOXMWI
      YDYJULIYCXMLGWJSUSAFBOXQCBUHZXJWKRZTRZEWRZUDBOXQYFYTYEWKRZTRZLWRZUDKABOUU
      FUUCAYTOPZQZUUFXQYKUUATRZEWRUUCXQUUIUUEELLUUIVTEYFUUDTYQETVTEUUDVTWLYRYKY
      FUUAUUDTYSXJYEYTWKWMWNWOUUHXQUUIUUBEUUHXRQZYKCUUATUUJYKXLCUUJXNYNYOXRXNUU
      HXJGWPWQUUJXLCOUUJXKCNXRXKUUHXJNGWSWQWTZAXRXSUUGJXAXBYPSUUKXCXDXHXEXFXGXI
      $.

    $( Given an explicit expression for a polynomial, the degree is at most the
       highest term in the sum.  (Contributed by Mario Carneiro,
       24-Jul-2014.) $)
    dgrle $p |- ( ph -> ( deg ` F ) <_ N ) $=
      ( vm cfv wcel cn0 cc0 wceq cle wbr wi cply ccoe c1 caddc co cuz cima cdgr
      csn cv wne wral wa wn cif cmpt coeeq2 ad2antrr fveq1d nfcv nffvmpt1 nfeq1
      nfv nfim breq1 notbid fveqeq2 imbi12d cid iffalse fveq2d cc 0cn fvi ax-mp
      eqtrdi eqid fvmpt2i eqeq1d syl5ibr vtoclgaf imp adantll eqtrd ex necon1ad
      ralrimiva wf wb coef3 syl plyco0 syl2anc mpbird dgrlb syl3anc ) AFDUAMNZG
      ONZFUBMZGUCUDUEUFMUGPUIQZFUHMZGRSHIAWTLUJZWSMZPUKXBGRSZTZLOULZAXELOAXBONZ
      UMZXDXCPXHXDUNZXCPQXHXIUMZXCXBEOEUJZGRSZCPUOZUPZMZPXJXBWSXNAWSXNQXGXIABCD
      EFGHIJKUQURUSXGXIXOPQZAXGXIXPXLUNZXKXNMZPQZTXIXPTEXBOEXBUTXIXPEXIEVCEXOPE
      OXMXBVAVBVDXKXBQZXQXIXSXPXTXLXDXKXBGRVEVFXKXBPXNVGVHXQXSXKONZXMVIMZPQXQYB
      PVIMZPXQXMPVIXLCPVJVKPVLNYCPQVMPVLVNVOVPYAXRYBPEOXMXNXNVQVRVSVTWAWBWCWDWE
      WFWGAWROVLWSWHZWTXFWIIAWQYDHWSDFWSVQZWJWKWSLGWLWMWNWSDFGXAYEXAVQWOWP $.
  $}

  ${
    $d k z A $.  $d k z N $.  $d k z ph $.
    dgreq.1 $e |- ( ph -> F e. ( Poly ` S ) ) $.
    dgreq.2 $e |- ( ph -> N e. NN0 ) $.
    dgreq.3 $e |- ( ph -> A : NN0 --> CC ) $.
    dgreq.4 $e |- ( ph -> ( A " ( ZZ>= ` ( N + 1 ) ) ) = { 0 } ) $.
    dgreq.5 $e |- ( ph -> F =
      ( z e. CC |-> sum_ k e. ( 0 ... N ) ( ( A ` k ) x. ( z ^ k ) ) ) ) $.
    dgreq.6 $e |- ( ph -> ( A ` N ) =/= 0 ) $.
    $( If the highest term in a polynomial expression is nonzero, then the
       polynomial's degree is completely determined.  (Contributed by Mario
       Carneiro, 24-Jul-2014.) $)
    dgreq $p |- ( ph -> ( deg ` F ) = N ) $=
      ( cfv cle wbr cn0 cc wcel cc0 cdgr wceq cv wf cfz co elfznn0 syl2an dgrle
      ffvelrn cply ccoe wne coeeq fveq1d eqnetrd dgrub syl3anc dgrcl syl nn0red
      eqid letri3d mpbir2and ) AFUANZGUBVEGOPGVEOPZABEUCZCNZDEFGHIAQRCUDVGQSVHR
      SVGTGUEUFSJVGGUGQRVGCUJUHLUIAFDUKNSZGQSGFULNZNZTUMVFHIAVKGCNTAGVJCABCDEFG
      HIJKLUNUOMUPVJDFGVEVJVBVEVBUQURAVEGAVEAVIVEQSHDFUSUTVAAGIVAVCVD $.
  $}

  ${
    $d k z A $.  $d k z F $.  $d k z S $.
    $( A constant function has degree 0.  (Contributed by Mario Carneiro,
       24-Jul-2014.) $)
    0dgr $p |- ( A e. CC -> ( deg ` ( CC X. { A } ) ) = 0 ) $=
      ( vz vk cc wcel csn cxp cdgr cfv cc0 wceq cn0 cv co cmpt cexp cmul oveq2d
      simpl c1 cle wbr wss cply ssid plyconst mpan 0nn0 a1i cfz fconstmpt wa cz
      csu 0z exp0 sylan9eqr eqeltrd oveq2 fsum1 sylancr eqtrd mpteq2dva eqtr4id
      mulid1 dgrle wb dgrcl nn0le0eq0 3syl mpbid ) ADEZDAFGZHIZJUAUBZVNJKZVLBAD
      CVMJDDUCVLVMDUDIEZDUEADUFUGZJLEVLUHUIVLCMZJJUJNZESVLVMBDAOBDVTABMZVSPNZQN
      ZCUNZOBDAUKVLBDWDAVLWADEZULZWDAWAJPNZQNZAWFJUMEWHDEWDWHKUOWFWHADWEVLWHATQ
      NAWEWGTAQWAUPRAVEUQZVLWESURWCWHCJVSJKWBWGAQVSJWAPUSRUTVAWIVBVCVDVFVLVQVNL
      EVOVPVGVRDVMVHVNVIVJVK $.

    $( A function has degree zero iff it is a constant function.  (Contributed
       by Mario Carneiro, 23-Jul-2014.) $)
    0dgrb $p |- ( F e. ( Poly ` S ) ->
      ( ( deg ` F ) = 0 <-> F = ( CC X. { ( F ` 0 ) } ) ) ) $=
      ( vz vk cfv wcel cdgr cc0 wceq cc csn cxp wa cfz co cexp cmul cn0 eqtrd
      c1 cply ccoe cmpt cv eqid coeid adantr simplr oveq2d sumeq1d cz 0z adantl
      exp0 wf coef3 0nn0 ffvelrn sylancl ad2antrr mulid1d eqeltrd fveq2 oveq12d
      csu oveq2 fsum1 sylancr mpteq2dva fconstmpt eqtr4di fveq1d 0cn fvex ax-mp
      fvconst2 eqtrdi sneqd xpeq2d eqtr4d ex plyf syl fveqeq2 syl5ibrcom impbid
      0dgr ) BAUAEFZBGEZHIZBJHBEZKZLZIZWHWJWNWHWJMZBJHBUBEZEZKZLZWMWOBCJWQUCZWS
      WOBCJHWINOZDUDZWPEZCUDZXBPOZQOZDVEZUCZWTWHBXHIWJCWPADBWIWPUEZWIUEUFUGWOCJ
      XGWQWOXDJFZMZXGHHNOZXFDVEZWQXKXAXLXFDXKWIHHNWHWJXJUHUIUJXKXMWQXDHPOZQOZWQ
      XKHUKFXOJFXMXOIULXKXOWQJXKXOWQTQOWQXKXNTWQQXJXNTIWOXDUNUMUIXKWQWHWQJFZWJX
      JWHRJWPUOHRFXPWPABXIUPUQRJHWPURUSUTZVASZXQVBXFXODHXBHIXCWQXEXNQXBHWPVCXBH
      XDPVFVDVGVHXRSSVISCJWQVJVKZWOWLWRJWOWKWQWOWKHWSEZWQWOHBWSXSVLHJFZXTWQIVMJ
      WQHHWPVNVPVOVQVRVSVTWAWHWJWNWMGEHIZWHWKJFZYBWHJJBUOYAYCABWBVMJJHBURUSWKWG
      WCBWMHGWDWEWF $.
  $}

  $( A nonzero polynomial with a root has positive degree.  (Contributed by
     Stefan O'Rear, 25-Nov-2014.) $)
  dgrnznn $p |- ( ( ( P e. ( Poly ` S ) /\ P =/= 0p ) /\
      ( A e. CC /\ ( P ` A ) = 0 ) ) -> ( deg ` P ) e. NN ) $=
    ( cply cfv wcel c0p wne wa cc cc0 wceq cdgr wn cn wo csn cxp simpr ad2antrr
    fveq1d simplr fvex fvconst2 3eqtr3rd sneqd xpeq2d eqtrd eqtr4di ex necon3ad
    df-0p impcom adantll wb 0dgrb mtbird cn0 dgrcl elnn0 sylib orel2 sylc ) BCD
    EFZBGHZIAJFZABEZKLZIZIZBMEZKLZNVKOFZVLPZVMVJVLBJKBEZQZRZLZVEVIVRNZVDVIVEVSV
    IVRBGVIVRBGLVIVRIZBJKQZRZGVTBVQWBVIVRSZVTVPWAJVTVOKVTVGAVQEZKVOVTABVQWCUAVF
    VHVRUBVFWDVOLVHVRJVOAKBUCUDTUEUFUGUHULUIUJUKUMUNVDVLVRUOVEVICBUPTUQVJVKURFZ
    VNVDWEVEVICBUSTVKUTVAVLVMVBVC $.

  ${
    $d j k n x y z A $.  $d j k n y z B $.  $d j k n x y z F $.  $d j k z M $.
    $d j k n x y z G $.  $d j k n z N $.  $d j k n x y z S $.
    coefv0.1 $e |- A = ( coeff ` F ) $.
    $( The result of evaluating a polynomial at zero is the constant term.
       (Contributed by Mario Carneiro, 24-Jul-2014.) $)
    coefv0 $p |- ( F e. ( Poly ` S ) -> ( F ` 0 ) = ( A ` 0 ) ) $=
      ( vk cfv wcel cc0 cfz co cexp cmul csu cc wceq cn0 syl wa c1 ffvelrn cply
      cdgr cv 0cn coeid2 mpan2 cuz wss dgrcl nn0uz eleqtrdi fzss2 elfz1eq fveq2
      eqid oveq2 0exp0e1 eqtrdi oveq12d wf coef3 0nn0 sylancl mulid1d sylan9eqr
      adantr eqeltrd cn eldifn wn wo eldifi elfznn0 elnn0 sylib ord id cz elfz3
      cdif 0z ax-mp eqeltrdi syl6 adantl 0expd oveq2d syl2an mul01d eqtrd fzfid
      mt3d fsumss fsum1 sylancr 3eqtr2d ) CBUAFGZHCFZHCUBFZIJZEUCZAFZHXAKJZLJZE
      MZHHIJZXDEMZHAFZWQHNGWRXEOUDABECWSHDWSUOUEUFWQXFWTXDEWQWSHUGFZGXFWTUHWQWS
      PXIBCUIUJUKHHWSULQWQXAXFGZRXDXHNXJWQXDXHSLJZXHXJXAHOZXDXKOXAHUMXLXBXHXCSL
      XAHAUNXLXCHHKJSXAHHKUPUQURUSZQWQXHWQPNAUTZHPGXHNGZABCDVAZVBPNHATVCZVDZVEW
      QXOXJXQVFVGWQXAWTXFVTGZRZXDXBHLJHXTXCHXBLXTXAXSXAVHGZWQXSYAXJXAWTXFVIXSYA
      VJXLXJXSYAXLXSXAPGZYAXLVKXSXAWTGYBXAWTXFVLXAWSVMQZXAVNVOVPXLXAHXFXLVQHVRG
      ZHXFGWAHVSWBWCWDWLWEWFWGXTXBWQXNYBXBNGXSXPYCPNXAATWHWIWJWQHWSWKWMWQXGXKXH
      WQYDXKNGXGXKOWAWQXKXHNXRXQVGXDXKEHXMWNWOXRWJWP $.

    coeadd.2 $e |- B = ( coeff ` G ) $.
    ${
      coeadd.3 $e |- M = ( deg ` F ) $.
      coeadd.4 $e |- N = ( deg ` G ) $.
      $( Lemma for ~ coeadd and ~ dgradd .  (Contributed by Mario Carneiro,
         24-Jul-2014.) $)
      coeaddlem $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) ) ->
        ( ( coeff ` ( F oF + G ) ) = ( A oF + B ) /\
          ( deg ` ( F oF + G ) ) <_ if ( M <_ N , N , M ) ) ) $=
        ( vk cfv wcel caddc co wceq cc cn0 cc0 vz vx cply cof ccoe cdgr cle wbr
        vy wa cif plyaddcl dgrcl eqeltrid adantl adantr ifcld cv addcl wf coef3
        cvv nn0ex a1i inidm off c1 cuz cima csn wne wi wral wo wn oveq12 eqtrdi
        00id ffnd eqidd ofval eqeq1d syl5ibr necon3ad neorian syl6ibr dgrub2 wb
        plyco0 syl2anc mpbid r19.21bi nn0red max1 letr syl3anc mpan2d syld max2
        cr nn0re jaod ralrimiva mpbird simpl simpr cfz cexp cmul csu cmpt coeid
        plyaddlem1 coeeq elfznn0 ffvelrn syl2an dgrle jca ) DCUCMZNZEXTNZUJZDEO
        UDZPZUEMABYDPZQYEUFMFGUGUHZGFUKZUGUHYCUAYFRLYEYHCDEULZYCYGGFSYBGSNZYAYB
        GEUFMSKCEUMUNUOZYAFSNZYBYAFDUFMSJCDUMUNUPZUQZYCUBUISSSORRRABVBVBUBURZRN
        UIURZRNUJYOYPOPRNYCYOYPUSUOYASRAUTZYBACDHVAUPZYBSRBUTZYABCEIVAUOZSVBNYC
        VCVDZUUASVEZVFZYCYFYHVGOPVHMVITVJZQZLURZYFMZTVKZUUFYHUGUHZVLZLSVMZYCUUJ
        LSYCUUFSNZUJZUUHUUFAMZTVKZUUFBMZTVKZVNZUUIUUMUUHUUNTQUUPTQUJZVOUURUUMUU
        SUUGTUUSUUGTQUUMUUNUUPOPZTQUUSUUTTTOPTUUNTUUPTOVPVRVQUUMUUGUUTTYCSSUUNU
        UPOSABVBVBUUFYCSRAYRVSYCSRBYTVSUUAUUAUUBUUMUUNVTUUMUUPVTWAWBWCWDUUNTUUP
        TWEWFUUMUUOUUIUUQUUMUUOUUFFUGUHZUUIYCUUOUVAVLZLSYCAFVGOPVHMVIUUDQZUVBLS
        VMZYAUVCYBACDFHJWGUPZYCYLYQUVCUVDWHYMYRALFWIWJWKWLUUMUVAFYHUGUHZUUIUUMF
        WTNZGWTNZUVFUUMFYCYLUULYMUPWMZUUMGYCYJUULYKUPWMZFGWNWJUUMUUFWTNZUVGYHWT
        NZUVAUVFUJUUIVLUULUVKYCUUFXAUOZUVIUUMYHYCYHSNZUULYNUPWMZUUFFYHWOWPWQWRU
        UMUUQUUFGUGUHZUUIYCUUQUVPVLZLSYCBGVGOPVHMVIUUDQZUVQLSVMZYBUVRYABCEGIKWG
        UOZYCYJYSUVRUVSWHYKYTBLGWIWJWKWLUUMUVPGYHUGUHZUUIUUMUVGUVHUWAUVIUVJFGWS
        WJUUMUVKUVHUVLUVPUWAUJUUIVLUVMUVJUVOUUFGYHWOWPWQWRXBWRXCYCUVNSRYFUTZUUE
        UUKWHYNUUCYFLYHWIWJXDYCUAABCLDEFGYAYBXEYAYBXFYMYKYRYTUVEUVTYADUARTFXGPU
        UNUAURUUFXHPZXIPLXJXKQYBUAACLDFHJXLUPYBEUARTGXGPUUPUWCXIPLXJXKQYAUABCLE
        GIKXLUOXMZXNYCUAUUGRLYEYHYIYNYCUWBUULUUGRNUUFTYHXGPNUUCUUFYHXOSRUUFYFXP
        XQUWDXRXS $.

      $( Lemma for ~ coemul and ~ dgrmul .  (Contributed by Mario Carneiro,
         24-Jul-2014.) $)
      coemullem $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) ) ->
        ( ( coeff ` ( F oF x. G ) ) = ( n e. NN0 |->
            sum_ k e. ( 0 ... n ) ( ( A ` k ) x. ( B ` ( n - k ) ) ) ) /\
          ( deg ` ( F oF x. G ) ) <_ ( M + N ) ) ) $=
        ( cfv wcel co cn0 cc0 wceq cc vz vj cply wa cmul cof ccoe cfz cmin cmpt
        cv csu cdgr caddc cle wbr plymulcl dgrcl eqeltrid nn0addcl syl2an fzfid
        wf coef3 adantr elfznn0 adantl ad2antrr fznn0sub ffvelrnd mulcld fsumcl
        ffvelrn fmpttd c1 cuz cima csn wne wi wn oveq2 fvoveq1 oveq2d sumeq12dv
        wral eqid sumex fvmpt ad2antrl w3a simp2r simp2l nn0red simp3l 3ad2ant1
        syl lesubadd2d simp3r leadd1dd readdcld letr syl3anc mpan2d sylbid mtod
        cr simpr dgrub 3expia syl2anc necon1bd mpd mul01d eqtrd impl imp oveq1d
        simpl ad3antrrr ad2antlr mul02d pm2.61dan sumeq2dv wss cfn wo fzfi olci
        sumz ax-mp eqtrdi expr necon1ad ralrimiva wb plyco0 cexp dgrub2 coeid
        mpbird plymullem1 sumeq2i mpteq2i eqtr4di coeeq dgrle jca ) FCUCNZOZGUU
        IOZUDZFGUEUFPZUGNEQREUKZUHPZDUKZANZUUNUUPUIPZBNZUEPZDULZUJZSUUMUMNHIUNP
        ZUOUPUULUAUVBTUBUUMUVCCFGUQZUUJHQOZIQOZUVCQOZUUKUUJHFUMNQLCFURUSZUUKIGU
        MNQMCGURUSZHIUTVAZUULEQUVATUULUUNQOZUDZUUOUUTDUVLRUUNVBUVLUUPUUOOZUDZUU
        QUUSUVLQTAVCZUUPQOZUUQTOUVMUULUVOUVKUUJUVOUUKACFJVDVEZVEUUPUUNVFQTUUPAV
        MVAUVNQTUURBUULQTBVCZUVKUVMUUKUVRUUJBCGKVDVGZVHUVMUURQOUVLUUPRUUNVIVGVJ
        VKVLVNZUULUVBUVCVOUNPVPNVQRVRZSZUBUKZUVBNZRVSUWCUVCUOUPZVTZUBQWFZUULUWF
        UBQUULUWCQOZUDUWEUWDRUULUWHUWEWAZUWDRSUULUWHUWIUDZUDZUWDRUWCUHPZUUQUWCU
        UPUIPZBNZUEPZDULZRUWHUWDUWPSZUULUWIEUWCUVAUWPQUVBUUNUWCSZUUOUWLUUTUWODU
        UNUWCRUHWBUWRUUTUWOSUVMUWRUUSUWNUUQUEUUNUWCUUPBUIWCWDVEWEUVBWGUWLUWODWH
        WIZWJUWKUWPUWLRDULZRUWKUWLUWORDUWKUUPUWLOZUDZUUPHUOUPZUWORSZUWKUXAUXCUX
        DUULUWJUXAUXCUDZUXDUULUWJUXEWKZUWOUUQRUEPRUXFUWNRUUQUEUXFUWMIUOUPZWAUWN
        RSUXFUXGUWEUULUWHUWIUXEWLUXFUXGUWCUUPIUNPZUOUPZUWEUXFUWCUUPIUXFUWCUULUW
        HUWIUXEWMWNZUXFUUPUXFUXAUVPUULUWJUXAUXCWOZUUPUWCVFZWQZWNZUXFIUULUWJUVFU
        XEUUKUVFUUJUVIVGZWPWNZWRUXFUXIUXHUVCUOUPZUWEUXFUUPHIUXNUXFHUULUWJUVEUXE
        UUJUVEUUKUVHVEZWPWNZUXPUULUWJUXAUXCWSWTUXFUWCXGOUXHXGOUVCXGOUXIUXQUDUWE
        VTUXJUXFUUPIUXNUXPXAUXFHIUXSUXPXAUWCUXHUVCXBXCXDXEXFUXFUXGUWNRUXFUUKUWM
        QOZUWNRVSZUXGVTUULUWJUUKUXEUUJUUKXHZWPUXFUXAUXTUXKUUPRUWCVIZWQUUKUXTUYA
        UXGBCGUWMIKMXIXJXKXLXMWDUXFUUQUXFQTUUPAUULUWJUVOUXEUVQWPUXMVJXNXOXJXPUX
        BUXCWAZUDZUWORUWNUEPRUYEUUQRUWNUEUXBUYDUUQRSUXBUXCUUQRUWKUUJUVPUUQRVSZU
        XCVTUXAUULUUJUWJUUJUUKXSZVEUXLUUJUVPUYFUXCACFUUPHJLXIXJVAXLXQXRUYEUWNUY
        EQTUWMBUULUVRUWJUXAUYDUVSXTUXAUXTUWKUYDUYCYAVJYBXOYCYDUWLRVPNYEZUWLYFOZ
        YGUWTRSUYIUYHRUWCYHYIUWLDRYJYKYLXOYMYNYOUULUVGQTUVBVCZUWBUWGYPUVJUVTUVB
        UBUVCYQXKUUAUULUUMUATRUVCUHPZUWPUAUKZUWCYRPZUEPZUBULZUJUATUYKUWDUYMUEPZ
        UBULZUJUULUAABCDUBFGHIUYGUYBUXRUXOUVQUVSUUJAHVOUNPVPNVQUWASUUKACFHJLYSV
        EUUKBIVOUNPVPNVQUWASUUJBCGIKMYSVGUUJFUATRHUHPUUQUYLUUPYRPZUEPDULUJSUUKU
        AACDFHJLYTVEUUKGUATRIUHPUUPBNUYRUEPDULUJSUUJUABCDGIKMYTVGUUBUATUYQUYOUY
        KUYPUYNUBUWCUYKOZUWDUWPUYMUEUYSUWHUWQUWCUVCVFZUWSWQXRUUCUUDUUEZUUFUULUA
        UWDTUBUUMUVCUVDUVJUULUYJUWHUWDTOUYSUVTUYTQTUWCUVBVMVAVUAUUGUUH $.
    $}

    $( The coefficient function of a sum is the sum of coefficients.
       (Contributed by Mario Carneiro, 24-Jul-2014.) $)
    coeadd $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) ) ->
      ( coeff ` ( F oF + G ) ) = ( A oF + B ) ) $=
      ( cply cfv wcel wa caddc cof co ccoe wceq cdgr cle wbr eqid cif coeaddlem
      simpld ) DCHIZJEUDJKDELMZNZOIABUENPUFQIDQIZEQIZRSUHUGUARSABCDEUGUHFGUGTUH
      TUBUC $.

    $( A coefficient of a product of polynomials.  (Contributed by Mario
       Carneiro, 24-Jul-2014.) $)
    coemul $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) /\ N e. NN0 ) ->
      ( ( coeff ` ( F oF x. G ) ) ` N ) =
      sum_ k e. ( 0 ... N ) ( ( A ` k ) x. ( B ` ( N - k ) ) ) ) $=
      ( vn cfv wcel cn0 cmul co cc0 cfz cmin wceq cdgr cply cof ccoe cv wa cmpt
      csu caddc cle eqid coemullem simpld fveq1d oveq2 fvoveq1 oveq2d sumeq12dv
      wbr adantr sumex fvmpt sylan9eq 3impa ) ECUAKZLZFVDLZGMLZGEFNUBOZUCKZKZPG
      QOZDUDZAKZGVLROBKZNOZDUGZSVEVFUEZVGVJGJMPJUDZQOZVMVRVLROBKZNOZDUGZUFZKVPV
      QGVIWCVQVIWCSVHTKETKZFTKZUHOUIURABCDJEFWDWEHIWDUJWEUJUKULUMJGWBVPMWCVRGSZ
      VSVKWAVODVRGPQUNWFWAVOSVLVSLWFVTVNVMNVRGVLBRUOUPUSUQWCUJVKVODUTVAVBVC $.

    $( The coefficient function is one-to-one, so if the coefficients are equal
       then the functions are equal and vice-versa.  (Contributed by Mario
       Carneiro, 24-Jul-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
    coe11 $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) ) ->
                  ( F = G <-> A = B ) ) $=
      ( vz vk cfv wcel wceq ccoe cc cc0 cfz co cmul cn0 clt cply wa 3eqtr4g w3a
      fveq2 cdgr cv cexp csu cmpt ccnv csn cdif cima csup simp3 imaeq1d supeq1d
      cnveqd dgrval 3ad2ant1 3eqtr4d oveq2d simpl3 fveq1d oveq1d sumeq12dv eqid
      3ad2ant2 mpteq2dv coeid 3expia impbid2 ) DCUAJZKZEVNKZUBDELZABLZVQDMJEMJA
      BDEMUEFGUCVOVPVRVQVOVPVRUDZHNODUFJZPQZIUGZAJZHUGWBUHQZRQZIUIZUJZHNOEUFJZP
      QZWBBJZWDRQZIUIZUJZDEVSHNWFWLVSWAWIWEWKIVSVTWHOPVSAUKZNOULUMZUNZSTUOZBUKZ
      WOUNZSTUOZVTWHVSSWPWSTVSWNWRWOVSABVOVPVRUPUSUQURVOVPVTWQLVRACDFUTVAVPVOWH
      WTLVRBCEGUTVIVBVCVSWBWAKZUBZWCWJWDRXBWBABVOVPVRXAVDVEVFVGVJVOVPDWGLVRHACI
      DVTFVTVHVKVAVPVOEWMLVRHBCIEWHGWHVHVKVIVBVLVM $.

    coemulhi.3 $e |- M = ( deg ` F ) $.
    coemulhi.4 $e |- N = ( deg ` G ) $.
    $( The leading coefficient of a product of polynomials.  (Contributed by
       Mario Carneiro, 24-Jul-2014.) $)
    coemulhi $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) ) ->
    ( ( coeff ` ( F oF x. G ) ) ` ( M + N ) ) = ( ( A ` M ) x. ( B ` N ) ) ) $=
      ( vk cfv wcel co cmul cc0 cn0 wceq cc cply wa caddc cof ccoe cfz cmin csu
      cv csn cdgr dgrcl eqeltrid nn0addcl syl2an coemul mpd3an3 cle wbr nn0ge0d
      adantl adantr nn0red addge01d mpbid cz nn0uz eleqtrdi nn0zd elfz5 syl2anc
      cuz wb mpbird snssd elsni fveq2 oveq2 fveq2d oveq12d recnd pncan2d oveq2d
      syl wf coef3 ffvelrnd mulcld eqeltrd wn wne wi simpl eldifi elfznn0 dgrub
      cdif 3expia necon1bd imp oveq1d ad2antrr ad2antlr fznn0sub mul02d leadd1d
      eqtrd cr lesubadd2d bitr4d notbid biimpa simpr syldan wo eldifsni letri3d
      mul01d necon3abid ianor sylib mpjaodan fzfid fsumss sumsn 3eqtr2d ) DCUAM
      ZNZEYGNZUBZFGUCOZDEPUDOUEMMZQYKUFOZLUIZAMZYKYNUGOZBMZPOZLUHZFUJZYRLUHZFAM
      ZGBMZPOZYHYIYKRNZYLYSSYHFRNZGRNZUUEYIYHFDUKMRJCDULUMZYIGEUKMRKCEULUMZFGUN
      UOZABCLDEYKHIUPUQYJYTYMYRLYJFYMYJFYMNZFYKURUSZYJQGURUSUULYJGYIUUGYHUUIVAZ
      UTYJFGYJFYHUUFYIUUHVBZVCZYJGUUMVCZVDVEYJFQVLMZNYKVFNUUKUULVMYJFRUUQUUNVGV
      HYJYKUUJVIFQYKVJVKVNVOYJYNYTNZUBZYRUUBYKFUGOZBMZPOZTUUSYNFSZYRUVBSUURUVCY
      JYNFVPVAUVCYOUUBYQUVAPYNFAVQUVCYPUUTBYNFYKUGVRVSVTZWDYJUVBTNZUURYJUVBUUDT
      YJUVAUUCUUBPYJUUTGBYJFGYJFUUOWAYJGUUPWAWBVSWCZYJUUBUUCYJRTFAYHRTAWEZYIACD
      HWFVBZUUNWGYJRTGBYIRTBWEZYHBCEIWFVAZUUMWGWHWIZVBWIYJYNYMYTWQNZUBZYNFURUSZ
      WJZYRQSFYNURUSZWJZUVMUVOUBZYRQYQPOQUVRYOQYQPUVMUVOYOQSUVMUVNYOQYJYHYNRNZY
      OQWKZUVNWLUVLYHYIWMUVLYNYMNZUVSYNYMYTWNZYNYKWOZWDZYHUVSUVTUVNACDYNFHJWPWR
      UOWSWTXAUVRYQUVRRTYPBYJUVIUVLUVOUVJXBUVRUWAYPRNZUVLUWAYJUVOUWBXCYNQYKXDZW
      DWGXEXGUVMUVQUBZYRYOQPOQUWGYQQYOPUVMUVQYPGURUSZWJZYQQSZUVMUVQUWIUVMUVPUWH
      UVMUVPYKYNGUCOURUSUWHUVMFYNGYJFXHNUVLUUOVBZUVMYNUVMUWAUVSUVLUWAYJUWBVAUWC
      WDVCZYJGXHNUVLUUPVBZXFUVMYKYNGUVMYKYJUUEUVLUUJVBVCUWLUWMXIXJXKXLUVMUWIUWJ
      UVMUWHYQQYJYIUWEYQQWKZUWHWLUVLYHYIXMUVLUWAUWEUWBUWFWDYIUWEUWNUWHBCEYPGIKW
      PWRUOWSWTXNWCUWGYOUWGRTYNAYJUVGUVLUVQUVHXBUVLUVSYJUVQUWDXCWGXRXGUVMUVNUVP
      UBZWJZUVOUVQXOUVMYNFWKZUWPUVLUWQYJYNYMFXPVAUVMUWOYNFUVMYNFUWLUWKXQXSVEUVN
      UVPXTYAYBYJQYKYCYDYJUUAUVBUUDYJUUFUVEUUAUVBSUUNUVKYRUVBLFRUVDYEVKUVFXGYF
      $.
  $}

  ${
    $d k n A $.  $d k n F $.  $d k n S $.
    $( The coefficient function is linear under scalar multiplication.
       (Contributed by Mario Carneiro, 24-Jul-2014.) $)
    coemulc $p |- ( ( A e. CC /\ F e. ( Poly ` S ) ) ->
                    ( coeff ` ( ( CC X. { A } ) oF x. F ) ) =
                    ( ( NN0 X. { A } ) oF x. ( coeff ` F ) ) ) $=
      ( vk cc wcel cfv wa cn0 cmul co ccoe syl2an eqid cvv adantl cc0 wceq syl
      wf vn cply csn cxp cof wfn ssid plyconst mpan plyssc sseli plymulcl coef3
      wss ffn 3syl fconstg adantr ffnd nn0ex inidm offn cv cmin ad2antrr coefv0
      a1i simpll 0cn fvconst2g sylancl eqtr3d nn0cnd subid1d fveq2d oveq12d cfz
      simpr csu ad2antlr coemul syl3anc cuz nn0uz fzss2 elfz1eq fveq2 ffvelrnda
      eleqtrdi oveq2 mulcld eqeltrd cdif eldifn wne cdgr cle wbr eldifi elfznn0
      wn wi dgrub 3expia ad3antrrr breq2d wb nn0le0eq0 bitrd sylibd id cz elfz3
      0dgr 0z ax-mp eqeltrdi syl6 necon1bd oveq1d fznn0sub ffvelrn mul02d eqtrd
      mpd fzfid fsumss fsum1 sylancr 3eqtr2d simpl eqidd ofc1 3eqtr4d eqfnfvd )
      AEFZCBUBGZFZHZUAIEAUCZUDZCJUEZKZLGZIYTUDZCLGZUUBKZYSUUCEUBGZFZIEUUDTUUDIU
      FYPUUAUUHFZCUUHFZUUIYREEUNYPUUJEUGAEUHUIZYQUUHCBUJUKZEUUACULMUUDEUUCUUDNU
      MIEUUDUOUPYSIIJIUUEUUFOOYSIYTUUEYPIYTUUETYRIAEUQURUSYSIEUUFYRIEUUFTZYPUUF
      BCUUFNZUMPZUSZIOFYSUTVGZUURIVAVBYSUAVCZIFZHZQUUALGZGZUUSQVDKZUUFGZJKZAUUS
      UUFGZJKZUUSUUDGZUUSUUGGUVAUVCAUVEUVGJUVAQUUAGZUVCAUVAUUJUVJUVCRYPUUJYRUUT
      UULVEZUVBEUUAUVBNZVFSUVAYPQEFUVJARYPYRUUTVHZVIEAQEVJVKVLUVAUVDUUSUUFUVAUU
      SUVAUUSYSUUTVRZVMVNVOVPZUVAUVIQUUSVQKZDVCZUVBGZUUSUVQVDKZUUFGZJKZDVSZQQVQ
      KZUWADVSZUVFUVAUUJUUKUUTUVIUWBRUVKYRUUKYPUUTUUMVTUVNUVBUUFEDUUACUUSUVLUUO
      WAWBUVAUWCUVPUWADUVAUUSQWCGZFUWCUVPUNUVAUUSIUWEUVNWDWIQQUUSWESUVAUVQUWCFZ
      HZUWAUVFEUWGUVQQRZUWAUVFRUWFUWHUVAUVQQWFPUWHUVRUVCUVTUVEJUVQQUVBWGUWHUVSU
      VDUUFUVQQUUSVDWJVOVPZSUVAUVFEFZUWFUVAUVFUVHEUVOUVAAUVGUVMYSIEUUSUUFUUPWHW
      KWLZURWLUVAUVQUVPUWCWMFZHZUWAQUVTJKQUWMUVRQUVTJUWMUWFXAZUVRQRUWLUWNUVAUVQ
      UVPUWCWNPUWMUWFUVRQUWMUVRQWOZUWHUWFUWMUWOUVQUUAWPGZWQWRZUWHUVAUUJUVQIFZUW
      OUWQXBUWLUVKUWLUVQUVPFZUWRUVQUVPUWCWSZUVQUUSWTSZUUJUWRUWOUWQUVBEUUAUVQUWP
      UVLUWPNXCXDMUWMUWQUVQQWQWRZUWHUWMUWPQUVQWQYPUWPQRYRUUTUWLAXNXEXFUWMUWRUXB
      UWHXGUWLUWRUVAUXAPUVQXHSXIXJUWHUVQQUWCUWHXKQXLFZQUWCFXOQXMXPXQXRXSYEXTUWM
      UVTUVAUUNUVSIFZUVTEFUWLYSUUNUUTUUPURUWLUWSUXDUWTUVQQUUSYASIEUVSUUFYBMYCYD
      UVAQUUSYFYGUVAUXCUWJUWDUVFRXOUWKUWAUVFDQUWIYHYIYJYSIAUVGJUUFOEUUSUURYPYRY
      KUUQUVAUVGYLYMYNYO $.

    $( The coefficients of the zero polynomial are zero.  (Contributed by Mario
       Carneiro, 22-Jul-2014.) $)
    coe0 $p |- ( coeff ` 0p ) = ( NN0 X. { 0 } ) $=
      ( vx c0p ccoe cfv cn0 cc0 csn cxp wceq wtru cc cmul cof wcel cvv a1i mp1i
      co wf caofid2 cply 0cnd wss ssid ply0 ax-mp coemulc sylancl cnex cv mul02
      plyf adantl df-0p eqtr4di fveq2d nn0ex eqid coef3 3eqtr3d mptru ) BCDZEFG
      ZHZIJKVCHZBLMZRZCDZVDVBVFRZVBVDJFKNBKUADNZVHVIIJUBZKKUCVJKUDKUEUFZFKBUGUH
      JVGBCJVGVEBJAKFFLKBOKKKONJUIPVJKKBSJVLKBULQVKVKAUJZKNFVMLRFIJVMUKUMZTUNUO
      UPJAEFFLKVBOKKEONJUQPVJEKVBSJVLVBKBVBURUSQVKVKVNTUTVA $.

    coesub.1 $e |- A = ( coeff ` F ) $.
    coesub.2 $e |- B = ( coeff ` G ) $.
    $( The coefficient function of a sum is the sum of coefficients.
       (Contributed by Mario Carneiro, 24-Jul-2014.) $)
    coesub $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) ) ->
      ( coeff ` ( F oF - G ) ) = ( A oF - B ) ) $=
      ( cply cfv wcel cc cxp cof co ccoe cn0 wceq sselid cvv wf wa c1 cneg cmul
      csn caddc cmin plyssc simpl wss ssid neg1cn plyconst mp2an simpr plymulcl
      sylancr eqid coeadd syl2anc coemulc oveq2i eqtr4di oveq2d eqtrd cnex plyf
      ofnegsub mp3an3an fveq2d nn0ex coef3 3eqtr3d ) DCHIZJZEVNJZUAZDKUBUCZUEZL
      ZEUDMZNZUFMZNZOIZAPVSLZBWANZWCNZDEUGMZNZOIABWINZVQWEAWBOIZWCNZWHVQDKHIZJW
      BWNJZWEWMQVQVNWNDCUHZVOVPUIRVQVTWNJZEWNJZWOKKUJVRKJZWQKUKULVRKUMUNVQVNWNE
      WPVOVPUORZKVTEUPUQAWLKDWBFWLURUSUTVQWLWGAWCVQWLWFEOIZWANZWGVQWSWRWLXBQULW
      TVRKEVAUQBXAWFWAGVBVCVDVEVQWDWJOKSJVOKKDTVPKKETWDWJQVFCDVGCEVGKDESVHVIVJP
      SJVOPKATVPPKBTWHWKQVKACDFVLBCEGVLPABSVHVIVM $.
  $}

  ${
    $d k n z A $.  $d n M $.  $d k n z N $.
    coe1term.1 $e |- F = ( z e. CC |-> ( A x. ( z ^ N ) ) ) $.
    $( The coefficient function of a monomial.  (Contributed by Mario Carneiro,
       26-Jul-2014.)  (Revised by Mario Carneiro, 23-Aug-2014.) $)
    coe1termlem $p |- ( ( A e. CC /\ N e. NN0 ) ->
      ( ( coeff ` F ) = ( n e. NN0 |-> if ( n = N , A , 0 ) ) /\
        ( A =/= 0 -> ( deg ` F ) = N ) ) ) $=
      ( vk cc wcel cn0 wa cfv cv wceq cc0 cmpt wne adantr co cle ccoe cdgr cply
      cif wi wss ssid ply1term mp3an1 simpr simpl 0cn ifcl sylancl fmpttd caddc
      c1 cuz cima csn wral eqid eqeq1 ifbid fvmptd3 neeq1d nn0re leidd ad2antlr
      wbr iffalse necon1ai breq1d syl5ibrcom sylbid ralrimiva wf plyco0 syl2anc
      wb mpbird cfz cexp cmul ply1termlem elfznn0 oveq1d sylan2 sumeq2dv eqtr4d
      csu mpteq2dv coeeq iftrue fvmptg ancoms biimpar dgreq ex jca ) BHIZEJIZKZ
      DUALCJCMZENZBOUDZPZNBOQZDUBLENZUEXCAXGHGDEHHUFXAXBDHUCLIZHUGABHDEFUHUIZXA
      XBUJZXCCJXFHXCXFHIZXDJIXCXAOHIZXMXAXBUKZULXEBOHUMUNRUOZXCXGEUQUPSURLUSOUT
      NZGMZXGLZOQZXRETVJZUEZGJVAZXCYBGJXCXRJIZKZXTXRENZBOUDZOQZYAYEXSYGOYECXRXF
      YGJXGHXGVBZXDXRNXEYFBOXDXREVCVDXCYDUJXCYGHIZYDXCXAXNYJXOULYFBOHUMUNRVEZVF
      YEYAYHEETVJZXBYLXAYDXBEEVGVHVIYHXREETYFYGOYFBOVKVLVMVNVOVPXCXBJHXGVQZXQYC
      VTXLXPXGGEVRVSWAZXCDAHOEWBSZYGAMXRWCSZWDSZGWKZPAHYOXSYPWDSZGWKZPZABGDEFWE
      XCAHYTYRXCYOYSYQGXRYOIXCYDYSYQNXREWFYEXSYGYPWDYKWGWHWIWLWJZWMXCXHXIXCXHKA
      XGHGDEXCXJXHXKRXCXBXHXLRXCYMXHXPRXCXQXHYNRXCDUUANXHUUBRXCEXGLZOQXHXCUUCBO
      XBXAUUCBNCEXFBJHXGXEBOWNYIWOWPVFWQWRWSWT $.

    $( The coefficient function of a monomial.  (Contributed by Mario Carneiro,
       26-Jul-2014.) $)
    coe1term $p |- ( ( A e. CC /\ N e. NN0 /\ M e. NN0 ) ->
                     ( ( coeff ` F ) ` M ) = if ( M = N , A , 0 ) ) $=
      ( vn cc wcel cn0 w3a ccoe cfv cv wceq cc0 cif cmpt wa wne cdgr wi 3adant3
      coe1termlem simpld fveq1d eqid eqeq1 ifbid simp3 0cn ifcl sylancl fvmptd3
      simp1 eqtrd ) BHIZEJIZDJIZKZDCLMZMZDGJGNZEOZBPQZRZMZDEOZBPQZUQURVBVGOUSUQ
      URSZDVAVFVJVAVFOBPTCUAMEOUBABGCEFUDUEUFUCUTGDVEVIJVFHVFUGVCDOVDVHBPVCDEUH
      UIUQURUSUJUTUQPHIVIHIUQURUSUOUKVHBPHULUMUNUP $.

    $( The degree of a monomial.  (Contributed by Mario Carneiro,
       26-Jul-2014.) $)
    dgr1term $p |- ( ( A e. CC /\ A =/= 0 /\ N e. NN0 ) ->
                     ( deg ` F ) = N ) $=
      ( vn cc wcel cn0 cc0 wne cdgr cfv wceq wa ccoe cv cif cmpt wi coe1termlem
      simprd 3impia 3com23 ) BGHZDIHZBJKZCLMDNZUEUFUGUHUEUFOCPMFIFQDNBJRSNUGUHT
      ABFCDEUAUBUCUD $.
  $}

  ${
    $d k z A $.  $d k z F $.  $d k z N $.  $d k z S $.
    $( A polynomial is a continuous function.  (Contributed by Mario Carneiro,
       23-Jul-2014.) $)
    plycn $p |- ( F e. ( Poly ` S ) -> F e. ( CC -cn-> CC ) ) $=
      ( vz vk cply cfv wcel ccnfld ctopn ccn co cc ccncf cc0 cmul cmpt eqid a1i
      cv cn0 cdgr cfz ccoe cexp csu coeid ctopon cnfldtopon fzfid wa wf elfznn0
      coef3 ffvelrn syl2an cnmptc adantl expcn syl ctx cnmpt12f eqeltrd cncfcn1
      mulcn fsumcn eleqtrrdi ) BAEFGZBHIFZVHJKZLLMKVGBCLNBUAFZUBKZDSZBUCFZFZCSV
      LUDKZOKZDUEPVICVMADBVJVMQZVJQUFVGCVKVPDVHVHLVHQZVHLUGFGZVGVHVRUHZRVGNVJUI
      VGVLVKGZUJZCVNVOOVHVHVHVHLVSWBVTRZWBCVNVHVHLLWCWCVGTLVMUKVLTGZVNLGWAVMABV
      QUMVLVJULZTLVLVMUNUOUPWBWDCLVOPVIGWAWDVGWEUQCVHVLVRURUSOVHVHUTKVHJKGWBVHV
      RVDRVAVEVBVHVRVCVF $.

    $( The degree of the zero polynomial is zero.  Note: this differs from some
       other definitions of the degree of the zero polynomial, such as
       ` -u 1 , -oo ` or undefined.  But it is convenient for us to define it
       this way, so that we have ~ dgrcl , ~ dgreq0 and ~ coeid without having
       to special-case zero, although ~ plydivalg is a little more complicated
       as a result.  (Contributed by Mario Carneiro, 22-Jul-2014.) $)
    dgr0 $p |- ( deg ` 0p ) = 0 $=
      ( c0p cdgr cfv cc cc0 csn cxp df-0p fveq2i wcel wceq 0cn 0dgr ax-mp eqtri
      ) ABCDEFGZBCZEAPBHIEDJQEKLEMNO $.

    $( The coefficients of the identity function.  (Contributed by Mario
       Carneiro, 28-Jul-2014.) $)
    coeidp $p |- ( A e. NN0 ->
      ( ( coeff ` Xp ) ` A ) = if ( A = 1 , 1 , 0 ) ) $=
      ( vz c1 cc wcel cn0 cidp ccoe cfv wceq cc0 cif ax-1cn 1nn0 cid cres cv co
      cmpt cmul cexp mptresid df-idp exp1 oveq2d mulid2 eqtrd mpteq2ia coe1term
      3eqtr4i mp3an12 ) CDECFEAFEAGHIIACJCKLJMNBCGACODPBDBQZSGBDCULCUARZTRZSBDU
      BUCBDUNULULDEZUNCULTRULUOUMULCTULUDUEULUFUGUHUJUIUK $.

    $( The degree of the identity function.  (Contributed by Mario Carneiro,
       26-Jul-2014.) $)
    dgrid $p |- ( deg ` Xp ) = 1 $=
      ( vz c1 cc wcel cc0 wne cn0 cidp cdgr cfv wceq ax-1cn ax-1ne0 1nn0 cid cv
      cres cmpt co cmul cexp mptresid df-idp exp1 oveq2d eqtrd mpteq2ia 3eqtr4i
      mulid2 dgr1term mp3an ) BCDBEFBGDHIJBKLMNABHBOCQACAPZRHACBULBUASZTSZRACUB
      UCACUNULULCDZUNBULTSULUOUMULBTULUDUEULUIUFUGUHUJUK $.

    dgreq0.1 $e |- N = ( deg ` F ) $.
    dgreq0.2 $e |- A = ( coeff ` F ) $.
    $( The leading coefficient of a polynomial is nonzero, unless the entire
       polynomial is zero.  (Contributed by Mario Carneiro, 22-Jul-2014.)
       (Proof shortened by Fan Zheng, 21-Jun-2016.) $)
    dgreq0 $p |- ( F e. ( Poly ` S ) -> ( F = 0p <-> ( A ` N ) = 0 ) ) $=
      ( vk cfv wcel c0p wceq cc0 cn0 cxp ccoe eqtrdi cdgr wa cc wbr cply syl5eq
      csn fveq2 coe0 dgr0 fveq12d 0nn0 fvconst2g mp2an coefv0 adantr cn wn cmin
      c1 co clt simpr nnred ltm1d cr nnre adantl peano2rem syl caddc cuz simpll
      cima cle nnm1nn0 cv wne wi wral 3expia ad2ant2rl simplr fveqeq2 syl5ibcom
      dgrub necon3d jcad nn0re ad2antll ad2antrl ltlend cz nn0z zltlem1 syl2anc
      wb nnz bitr3d sylibd expr ralrimiv wf coef3 ad2antrr plyco0 dgrlb syl3anc
      mpbird lensymd pm2.65da dgrcl eqeltrid elnn0 sylib ord mpd fveq2d 3eqtr2d
      wo sneqd xpeq2d eqtr3id 0dgrb mpbid df-0p a1i 3eqtr4d ex impbid2 ) CBUAHI
      ZCJKZDAHZLKZYHYILMLUCZNZHZLYHDLAYLYHAJOHZYLYHACOHYNFCJOUDUBUEPYHDJQHZLYHD
      CQHZYOECJQUDUBUFPUGLMIZYQYMLKUHUHMLLMUIUJPYGYJYHYGYJRZSLCHZUCZNZSYKNZCJYR
      YTYKSYRYSLYRYSLAHZYILYGYSUUCKYJABCFUKULYRDLAYRDUMIZUNDLKZYRUUDDUPUOUQZDUR
      TYRUUDRZDUUGDYRUUDUSUTVAUUGDUUFUUDDVBIZYRDVCZVDZUUGUUHUUFVBIUUJDVEVFUUGYG
      UUFMIZAUUFUPVGUQVHHVJYKKZDUUFVKTYGYJUUDVIUUDUUKYRDVLVDZUUGUULGVMZAHZLVNZU
      UNUUFVKTZVOZGMVPZUUGUURGMYRUUDUUNMIZUURYRUUDUUTRZRZUUPUUNDVKTZDUUNVNZRZUU
      QUVBUUPUVCUVDYGUUTUUPUVCVOYJUUDYGUUTUUPUVCABCUUNDFEWBVQVRUVBDUUNUUOLUVBYJ
      DUUNKUUOLKYGYJUVAVSDUUNLAVTWAWCWDUVBUUNDURTZUVEUUQUVBUUNDUUTUUNVBIYRUUDUU
      NWEWFUUDUUHYRUUTUUIWGWHUVBUUNWIIZDWIIZUVFUUQWMUUTUVGYRUUDUUNWJWFUUDUVHYRU
      UTDWNWGUUNDWKWLWOWPWQWRUUGUUKMSAWSZUULUUSWMUUMYGUVIYJUUDABCFWTXAAGUUFXBWL
      XEABCUUFDFEXCXDXFXGYRUUDUUEYRDMIZUUDUUEXPYGUVJYJYGDYPMEBCXHXIULDXJXKXLXMZ
      XNYGYJUSXOXQXRYRYPLKZCUUAKZYRYPDLEUVKXSYGUVLUVMWMYJBCXTULYAJUUBKYRYBYCYDY
      EYF $.

    $( Two ways to say that the degree of ` F ` is strictly less than ` N ` .
       (Contributed by Mario Carneiro, 25-Jul-2014.) $)
    dgrlt $p |- ( ( F e. ( Poly ` S ) /\ M e. NN0 ) ->
      ( ( F = 0p \/ N < M ) <-> ( N <_ M /\ ( A ` M ) = 0 ) ) ) $=
      ( cfv wcel cn0 wa c0p wceq wbr wo cle cc0 cdgr ccoe wb cply fveq2d eqcomi
      clt simpr dgr0 3eqtr4g nn0ge0 ad2antlr eqbrtrd csn cxp coe0 c0ex fvconst2
      fveq1d eqtrd jca cr wi dgrcl eqeltrid nn0red nn0re ltle syl2an imp wne wn
      dgrub 3expia lenlt syl2anr sylibd necon4ad jaodan biimpa adantrr ad2antrr
      leloe fveq2 dgreq0 simprr eqeq2d bitr4d syl5ibr orim2d mpd orcomd impbida
      ) CBUAHIZDJIZKZCLMZEDUDNZOEDPNZDAHZQMZKZWMWNWSWOWMWNKZWPWRWTEQDPWTCRHZLRH
      ZEQWTCLRWMWNUEZUBFXBQUFUCUGWLQDPNWKWNDUHUIUJWTWQDJQUKULZHZQWTDAXDWTCSHLSH
      ZAXDWTCLSXCUBGXFXDUMUCUGUPWLXEQMWKWNJQDUNUOUIUQURWMWOKWPWRWMWOWPWKEUSIZDU
      SIZWOWPUTWLWKEWKEXAJFBCVAVBVCZDVDZEDVEVFVGWMWOWRWMWOWQQWMWQQVHZDEPNZWOVIZ
      WKWLXKXLABCDEGFVJVKWLXHXGXLXMTWKXJXIDEVLVMVNVOVGURVPWMWSKZWOWNXNWOEDMZOZW
      OWNOWMWPXPWRWMWPXPWKXGXHWPXPTWLXIXJEDVTVFVQVRXNXOWNWOXOWNXNEAHZWQMZEDAWAX
      NWNXQQMZXRWKWNXSTWLWSABCEFGWBVSXNWQQXQWMWPWRWCWDWEWFWGWHWIWJ $.
  $}

  ${
    $d k n F $.  $d k n G $.  $d k M $.  $d k n N $.  $d k n S $.
    dgradd.1 $e |- M = ( deg ` F ) $.
    dgradd.2 $e |- N = ( deg ` G ) $.
    $( The degree of a sum of polynomials is at most the maximum of the
       degrees.  (Contributed by Mario Carneiro, 24-Jul-2014.) $)
    dgradd $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) ) ->
                   ( deg ` ( F oF + G ) ) <_ if ( M <_ N , N , M ) ) $=
      ( cply cfv wcel wa caddc cof co ccoe wceq cdgr cle wbr eqid cif coeaddlem
      simprd ) BAHIZJCUDJKBCLMZNZOIBOIZCOIZUENPUFQIDERSEDUARSUGUHABCDEUGTUHTFGU
      BUC $.

    $( The degree of a sum of polynomials of unequal degrees is the degree of
       the larger polynomial.  (Contributed by Mario Carneiro, 24-Jul-2014.) $)
    dgradd2 $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) /\ M < N ) ->
                    ( deg ` ( F oF + G ) ) = N ) $=
      ( cfv wcel wbr caddc co cdgr wceq cle cc cn0 cc0 wne eqid clt w3a cof cif
      plyaddcl 3adant3 dgrcl syl nn0red eqeltrid 3ad2ant2 3ad2ant1 ifcld dgradd
      cply cr leidd simp3 ltled breq1 ifboth syl2anc letrd coeadd fveq1d cvv wf
      ccoe coef3 nn0ex a1i inidm wn ltnled mpbid wi simp1 dgrub 3expia necon1bd
      ffnd mpd adantr wa eqidd ofval mpdan ffvelrnd addid2d 3eqtrd 0red nn0ge0d
      simp2 lelttrd gt0ne0d c0p dgreq0 dgr0 eqcomi 3eqtr4g syl6bir necon3d sylc
      fveq2 eqnetrd syl3anc letri3d mpbir2and ) BAUOHZIZCXIIZDEUAJZUBZBCKUCZLZM
      HZENXPEOJEXPOJZXMXPDEOJZEDUDZEXMXPXMXOPUOHIZXPQIXJXKXTXLABCUEUFZPXOUGUHUI
      ZXMXREDUPXMEXKXJEQIZXLXKECMHZQGACUGUJUKZUIZXMDXJXKDQIXLXJDBMHQFABUGUJULZU
      IZUMYFXJXKXPXSOJXLABCDEFGUNUFXMEEOJZXRXSEOJZXMEYFUQXMDEYHYFXJXKXLURZUSXRY
      IXRYJEDEXSEOUTDXSEOUTVAVBVCXMXTYCEXOVHHZHZRSXQYAYEXMYMECVHHZHZRXMYMEBVHHZ
      YNXNLZHZRYOKLZYOXMEYLYQXJXKYLYQNXLYPYNABCYPTZYNTZVDUFVEXMYCYRYSNYEXMQQRYO
      KQYPYNVFVFEXMQPYPXJXKQPYPVGXLYPABYTVIULWAXMQPYNXKXJQPYNVGXLYNACUUAVIUKZWA
      QVFIXMVJVKZUUCQVLXMEYPHZRNZYCXMEDOJZVMZUUEXMXLUUGYKXMDEYHYFVNVOXMUUFUUDRX
      MXJYCUUDRSZUUFVPXJXKXLVQYEXJYCUUHUUFYPABEDYTFVRVSVBVTWBWCXMYCWDYOWEWFWGXM
      YOXMQPEYNUUBYEWHWIWJXMXKERSYORSXJXKXLWMXMEXMRDEXMWKYHYFXMDYGWLYKWNWOXKYOR
      ERXKYORNCWPNZERNYNACEGUUAWQUUIYDWPMHZERCWPMXDGUUJRWRWSWTXAXBXCXEYLPXOEXPY
      LTXPTVRXFXMXPEYBYFXGXH $.

    $( The degree of a product of polynomials is at most the sum of degrees.
       (Contributed by Mario Carneiro, 24-Jul-2014.) $)
    dgrmul2 $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) ) ->
                    ( deg ` ( F oF x. G ) ) <_ ( M + N ) ) $=
      ( vn vk cply cfv wcel wa cmul cof co ccoe cn0 cv eqid cmin cmpt wceq cdgr
      cc0 cfz csu caddc cle wbr coemullem simprd ) BAJKZLCUMLMBCNOPZQKHRUEHSZUF
      PISZBQKZKUOUPUAPCQKZKNPIUGUBUCUNUDKDEUHPUIUJUQURAIHBCDEUQTURTFGUKUL $.

    $( The degree of a product of nonzero polynomials is the sum of degrees.
       (Contributed by Mario Carneiro, 24-Jul-2014.) $)
    dgrmul $p |- ( ( ( F e. ( Poly ` S ) /\ F =/= 0p ) /\
                     ( G e. ( Poly ` S ) /\ G =/= 0p ) ) ->
                   ( deg ` ( F oF x. G ) ) = ( M + N ) ) $=
      ( cfv wcel c0p wne wa co cdgr ad2ant2r cc cn0 ccoe cc0 eqid cply cmul cof
      caddc cle wbr dgrmul2 plymulcl dgrcl eqeltrid ad2antrr ad2antrl nn0addcld
      coemulhi wf coef3 ffvelrnd dgreq0 necon3bid biimpa adantr mulne0d eqnetrd
      wceq adantl dgrub syl3anc syl nn0red letri3d mpbir2and ) BAUAHZIZBJKZLZCV
      LIZCJKZLZLZBCUBUCMZNHZDEUDMZVDWAWBUEUFZWBWAUEUFZVMVPWCVNVQABCDEFGUGOVSVTP
      UAHIZWBQIWBVTRHZHZSKWDVMVPWEVNVQABCUHOZVSDEVMDQIVNVRVMDBNHQFABUIUJUKZVPEQ
      IVOVQVPECNHQGACUIUJULZUMZVSWGDBRHZHZECRHZHZUBMZSVMVPWGWPVDVNVQWLWNABCDEWL
      TZWNTZFGUNOVSWMWOVSQPDWLVMQPWLUOVNVRWLABWQUPUKWIUQVSQPEWNVPQPWNUOVOVQWNAC
      WRUPULWJUQVOWMSKZVRVMVNWSVMBJWMSWLABDFWQURUSUTVAVRWOSKZVOVPVQWTVPCJWOSWNA
      CEGWRURUSUTVEVBVCWFPVTWBWAWFTWATVFVGVSWAWBVSWAVSWEWAQIWHPVTUIVHVIVSWBWKVI
      VJVK $.
  $}

  $( Scalar multiplication by a nonzero constant does not change the degree of
     a function.  (Contributed by Mario Carneiro, 24-Jul-2014.) $)
  dgrmulc $p |- ( ( A e. CC /\ A =/= 0 /\ F e. ( Poly ` S ) ) ->
                  ( deg ` ( ( CC X. { A } ) oF x. F ) ) = ( deg ` F ) ) $=
    ( cc wcel cc0 wne cply cfv csn cxp cmul cdgr wceq c0p fveq2d dgr0 caddc 0cn
    co w3a cof oveq2 fveq2 eqtrdi eqeq12d wa wss ssid simpl1 plyconst fvconst2g
    sylancr sylancl simpl2 ne0p plyssc simpl3 sselid simpr eqid dgrmul syl22anc
    eqnetrd 0dgr syl oveq1d cn0 dgrcl nn0cnd addid2d 3eqtrd cvv a1i simp1 ofc12
    cnex mul01d sneqd xpeq2d eqtrd df-0p oveq2i 3eqtr4g pm2.61ne ) ADEZAFGZCBHI
    ZEZUAZDAJKZCLUBZTZMIZCMIZNWKOWLTZMIZFNCOCONZWNWQWOFWRWMWPMCOWKWLUCPWRWOOMIZ
    FCOMUDQUEUFWJCOGZUGZWNWKMIZWORTZFWORTWOXAWKDHIZEZWKOGZCXDEWTWNXCNXADDUHWFXE
    DUIWFWGWIWTUJZADUKUMXAFDEZFWKIZFGXFSXAXIAFXAWFXHXIANXGSDAFDULUNWFWGWIWTUOVD
    FWKUPUMXAWHXDCBUQWFWGWIWTURZUSWJWTUTDWKCXBWOXBVAWOVAVBVCXAXBFWORXAWFXBFNXGA
    VEVFVGXAWOXAWOXAWIWOVHEXJBCVIVFVJVKVLWJWQWSFWJWPOMWJWKDFJZKZWLTZXLWPOWJXMDA
    FLTZJZKXLWJDAFLVMDDDVMEWJVQVNWFWGWIVOZXHWJSVNVPWJXOXKDWJXNFWJAXPVRVSVTWAOXL
    WKWLWBWCWBWDPQUEWE $.

  ${
    dgrsub.1 $e |- M = ( deg ` F ) $.
    dgrsub.2 $e |- N = ( deg ` G ) $.
    $( The degree of a difference of polynomials is at most the maximum of the
       degrees.  (Contributed by Mario Carneiro, 26-Jul-2014.) $)
    dgrsub $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) ) ->
                   ( deg ` ( F oF - G ) ) <_ if ( M <_ N , N , M ) ) $=
      ( cply cfv wcel cc cof co cdgr cle wbr cif sseli neg1cn wceq cneg csn cxp
      wa cmul caddc cmin plyssc wss ssid plyconst mp2an plymulcl sylancr dgradd
      c1 eqid syl2an cvv cnex plyf ofnegsub mp3an3an fveq2d cc0 neg1ne0 dgrmulc
      wf wne mp3an12 eqtr4di adantl breq2d ifbieq1d 3brtr3d ) BAHIZJZCVPJZUDZBK
      UPUAZUBUCZCUELMZUFLMZNIZDWBNIZOPZWEDQZBCUGLMZNIDEOPZEDQOVQBKHIZJWBWJJZWDW
      GOPVRVPWJBAUHZRVRWAWJJZCWJJWKKKUIVTKJZWMKUJSVTKUKULVPWJCWLRKWACUMUNKBWBDW
      EFWEUQUOURVSWCWHNKUSJVQKKBVHVRKKCVHWCWHTUTABVAACVAKBCUSVBVCVDVSWFWIWEEDVS
      WEEDOVRWEETVQVRWECNIZEWNVTVEVIVRWEWOTSVFVTACVGVJGVKVLZVMWPVNVO $.
  $}

  ${
    $d d w x y z G $.  $d x y M $.  $d d y N $.  $d d w x y z ph $.
    dgrcolem1.1 $e |- N = ( deg ` G ) $.
    dgrcolem1.2 $e |- ( ph -> M e. NN ) $.
    dgrcolem1.3 $e |- ( ph -> N e. NN ) $.
    dgrcolem1.4 $e |- ( ph -> G e. ( Poly ` S ) ) $.
    $( The degree of a composition of a monomial with a polynomial.
       (Contributed by Mario Carneiro, 15-Sep-2014.) $)
    dgrcolem1 $p |- ( ph ->
      ( deg ` ( x e. CC |-> ( ( G ` x ) ^ M ) ) ) = ( M x. N ) ) $=
      ( wcel cc cfv cexp co cdgr cmul wceq adantr c0p vy vd vz vw cn cv cmpt wi
      c1 caddc oveq2 mpteq2dv fveq2d oveq1 eqeq12d imbi2d wa cply syl ffvelrnda
      plyf exp1d mpteq2dva feqmptd eqtr4d eqtr4di nncnd mulid2d cof adantlr cn0
      wf nnnn0 adantl expp1d cvv cnex a1i ovexd eqidd offval2 ccom fmptco ssidd
      wne wss plypow syl3anc plyssc sselid addcl mulcl plyco eqeltrrd cc0 simpr
      1cnd nnmulcld nnne0d eqnetrd fveq2 dgr0 eqtrdi necon3i syl5eq eqid dgrmul
      syl22anc nncn adddirp1d 3eqtr4rd ex expcom a2d nnind mpcom ) EUEKABLBUFZD
      MZENOZUGZPMZEFQOZRZHABLXRUAUFZNOZUGZPMZYDFQOZRZUHABLXRUINOZUGZPMZUIFQOZRZ
      UHABLXRUBUFZNOZUGZPMZYOFQOZRZUHABLXRYOUIUJOZNOZUGZPMZUUAFQOZRZUHAYCUHUAUB
      EYDUIRZYIYNAUUGYGYLYHYMUUGYFYKPUUGBLYEYJYDUIXRNUKULUMYDUIFQUNUOUPYDYORZYI
      YTAUUHYGYRYHYSUUHYFYQPUUHBLYEYPYDYOXRNUKULUMYDYOFQUNUOUPYDUUARZYIUUFAUUIY
      GUUDYHUUEUUIYFUUCPUUIBLYEUUBYDUUAXRNUKULUMYDUUAFQUNUOUPYDERZYIYCAUUJYGYAY
      HYBUUJYFXTPUUJBLYEXSYDEXRNUKULUMYDEFQUNUOUPAYLFYMAYLDPMZFAYKDPAYKBLXRUGZD
      ABLYJXRAXQLKZUQXRALLXQDADCURMZKZLLDVLJCDVAUSZUTZVBVCABLLDUUPVDZVEUMGVFAFA
      FIVGZVHVEYOUEKZAYTUUFAUUTYTUUFUHAUUTUQZYTUUFUVAYTUQZUUDYQDQVIOZPMZUUEUVAU
      UDUVDRYTUVAUUCUVCPUVAUUCBLYPXRQOZUGUVCUVABLUUBUVEUVAUUMUQZXRYOAUUMXRLKUUT
      UUQVJZUVAYOVKKZUUMUUTUVHAYOVMVNZSVOVCUVABLYPXRQYQDVPVPLLVPKUVAVQVRUVFXRYO
      NVSUVGUVAYQVTADUULRUUTUURSZWAVEUMSUVBYRFUJOZYSFUJOZUVDUUEYTUVKUVLRUVAYRYS
      FUJUNVNUVBYQLURMZKZYQTWEZDUVMKZDTWEZUVDUVKRUVAUVNYTUVAUALYDYONOZUGZDWBYQU
      VMUVABUALLXRUVRYPDUVSUVGUVJUVAUVSVTYDXRYONUNWCUVAUCUDLUVSDUVALLWFUILKUVHU
      VSUVMKUVALWDUVAWQUVIUALYOWGWHUVAUUNUVMDCWIAUUOUUTJSWJZUCUFZLKUDUFZLKUQZUW
      AUWBUJOLKUVAUWAUWBWKVNUWCUWAUWBQOLKUVAUWAUWBWLVNWMWNSUVBYRWOWEUVOUVBYRYSW
      OUVAYTWPUVAYSWOWEYTUVAYSUVAYOFAUUTWPAFUEKUUTISWRWSSWTYQTYRWOYQTRYRTPMZWOY
      QTPXAXBXCXDUSUVAUVPYTUVTSUVAUVQYTAUVQUUTAFWOWEUVQAFIWSDTFWODTRZFUUKWOGUWE
      UUKUWDWODTPXAXBXCXEXDUSSSLYQDYRFYRXFGXGXHUVAUUEUVLRYTUVAYOFUUTYOLKAYOXIVN
      AFLKUUTUUSSXJSXKVEXLXMXNXOXP $.
  $}

  ${
    $d f w x y z A $.  $d f w x y z F $.  $d f w x y z M $.  $d d f g h x N $.
    $d f D $.  $d d f g h w x y z G $.  $d d f h w x y z ph $.
    dgrco.1 $e |- M = ( deg ` F ) $.
    dgrco.2 $e |- N = ( deg ` G ) $.
    dgrco.3 $e |- ( ph -> F e. ( Poly ` S ) ) $.
    dgrco.4 $e |- ( ph -> G e. ( Poly ` S ) ) $.
    ${
      dgrco.5 $e |- A = ( coeff ` F ) $.
      dgrco.6 $e |- ( ph -> D e. NN0 ) $.
      dgrco.7 $e |- ( ph -> M = ( D + 1 ) ) $.
      dgrco.8 $e |- ( ph -> A. f e. ( Poly ` CC ) ( ( deg ` f ) <_ D ->
        ( deg ` ( f o. G ) ) = ( ( deg ` f ) x. N ) ) ) $.
      $( Lemma for ~ dgrco .  (Contributed by Mario Carneiro, 15-Sep-2014.) $)
      dgrcolem2 $p |- ( ph -> ( deg ` ( F o. G ) ) = ( M x. N ) ) $=
        ( wcel cfv cc vx vy vz vw cn ccom cdgr cmul co wceq cc0 wa cv cexp cmin
        cmpt caddc cof cply wf syl ffvelrnda syldan cn0 coef3 eqeltrid ffvelrnd
        plyf dgrcl adantr expcld mulcld npcand mpteq2dva cvv a1i subcld offval2
        cnex eqidd feqmptd fveq2 fmptco 3eqtr4rd fveq2d clt plyssc sselid addcl
        wbr adantl mulcl plyco oveq1 oveq2d wss ssidd ply1term syl3anc eqeltrrd
        eqid plysubcl syl2anc c0p nn0p1nn eqeltrd nngt0d dgr0 eqtrdi syl5ibrcom
        breq1d idd cle ccoe cif dgrsub wne nnne0d dgreq0 syl5eq syl6bir necon3d
        c1 wo wb mpd dgr1term ifeq1d breqtrd ffnd 3eqtrd cr nn0red mpbid eqtr3d
        wi csn cxp fconstmpt simpr ifid coesub fveq1d nn0ex inidm iftruei ofval
        coe1term mpdan subidd dgrlt mpbir2and mpjaod nnre nngt0 syl112anc expcl
        ltmul1 id syl2anr oveq12d nn0leltp1 mpbird coeq1 oveq1d eqeq12d imbi12d
        rspcdva 1cnd plypow dgrmulc dgrcolem1 eqtrd 3brtr4d dgradd2 0cn ffvelrn
        sylancl 0dgr nn0cnd mul01d ad2antrr eqtr3id 0dgrb eqtr4di 3eqtr4d elnn0
        eqtr4d sylib mpjaodan ) AIUERZFGUFZUGSZHIUHUIZUJIUKUJZAUWKULZUWMUATUAUM
        ZGSZFSZHBSZUWRHUNUIZUHUIZUOUIZUPZUATUXBUPZUQURUIZUGSZUXEUGSZUWNAUWMUXGU
        JUWKAUWLUXFUGAUATUXCUXBUQUIZUPUATUWSUPUXFUWLAUATUXIUWSAUWQTRZULZUWSUXBA
        UXJUWRTRUWSTRATTUWQGAGDUSSZRZTTGUTZMDGVHVAZVBZATTUWRFAFUXLRZTTFUTLDFVHV
        AZVBVCZUXKUWTUXAAUWTTRZUXJAVDTHBAUXQVDTBUTLBDFNVEVAZAHFUGSZVDJAUXQUYBVD
        RLDFVIVAVFZVGZVJZUXKUWRHUXPAHVDRZUXJUYCVJVKZVLZVMVNAUATUXCUXBUQUXDUXEVO
        TTTVORAVSVPZUXKUWSUXBUXSUYHVQUYHAUXDVTAUXEVTZVRAUAUBTTUWRUBUMZFSZUWSGFU
        XPAUATTGUXOWAZAUBTTFUXRWAZUYKUWRFWBZWCZWDWEVJUWPUXDTUSSZRZUXEUYQRZUXDUG
        SZUXHWFWJUXGUXHUJAUYRUWKAUWLUXEUOURZUIZUXDUYQAUATUWSUXBUOUWLUXEVOTTUYIU
        XSUYHUYPUYJVRAUWLUYQRUYSVUBUYQRAUCUDTFGAUXLUYQFDWGZLWHZAUXLUYQGVUCMWHZU
        CUMZTRUDUMZTRULZVUFVUGUQUITRAVUFVUGWIWKZVUHVUFVUGUHUITRAVUFVUGWLWKZWMAU
        BTUWTUYKHUNUIZUHUIZUPZGUFUXEUYQAUAUBTTUWRVULUXBGVUMUXPUYMAVUMVTZUYKUWRU
        JZVUKUXAUWTUHUYKUWRHUNWNZWOZWCAUCUDTVUMGATTWPZUXTUYFVUMUYQRZATWQZUYDUYC
        UBUWTTVUMHVUMXAZWRWSZVUEVUIVUJWMWTZTUWLUXEXBXCWTVJAUYSUWKVVCVJUWPFVUMVU
        AUIZUGSZIUHUIZUWNUYTUXHWFUWPVVEHWFWJZVVFUWNWFWJZAVVGUWKAVVDXDUJZVVGVVGA
        VVGVVIUKHWFWJAHAHCYCUQUIZUEPACVDRZVVJUEROCXEVAXFZXGVVIVVEUKHWFVVIVVEXDU
        GSZUKVVDXDUGWBXHXIXKXJAVVGXLAVVIVVGYDZVVEHXMWJZHVVDXNSZSZUKUJZAVVEHVUMU
        GSZXMWJZVVSHXOZHXMAFUYQRZVUSVVEVWAXMWJVUDVVBTFVUMHVVSJVVSXAXPXCAVWAVVTH
        HXOHAVVTVVSHHAUXTUWTUKXQZUYFVVSHUJUYDAHUKXQVWCAHVVLXRAUWTUKHUKAUWTUKUJZ
        FXDUJZHUKUJAUXQVWEVWDYELBDFHJNXSVAVWEHUYBUKJVWEUYBVVMUKFXDUGWBXHXIXTYAY
        BYFZUYCUBUWTVUMHVVAYGWSYHVVTHUUAXIYIAVVQHBVUMXNSZVUAUIZSZUWTUWTUOUIZUKA
        HVVPVWHAVWBVUSVVPVWHUJVUDVVBBVWGTFVUMNVWGXAZUUBXCUUCAUYFVWIVWJUJUYCAVDV
        DUWTUWTUOVDBVWGVOVOHAVDTBUYAYJAVDTVWGAVUSVDTVWGUTVVBVWGTVUMVWKVEVAYJVDV
        ORAUUDVPZVWLVDUUEAUYFULUWTVTAHVWGSZUWTUJUYFAVWMHHUJZUWTUKXOZUWTAUXTUYFU
        YFVWMVWOUJUYDUYCUYCUBUWTVUMHHVVAUUHWSVWNUWTUKHXAUUFXIVJUUGUUIAUWTUYDUUJ
        YKAVVDUYQRZUYFVVNVVOVVRULYEAVWBVUSVWPVUDVVBTFVUMXBXCZUYCVVPTVVDHVVEVVEX
        AVVPXAUUKXCUULUUMZVJUWPVVEYLRZHYLRZIYLRZUKIWFWJZVVGVVHYEAVWSUWKAVVEAVWP
        VVEVDRZVWQTVVDVIVAZYMVJAVWTUWKAHUYCYMVJUWKVXAAIUUNWKUWKVXBAIUUOWKVVEHIU
        URUUPYNAUYTVVFUJUWKAVVDGUFZUGSZUYTVVFAVXEUXDUGAUAUBTTUWRUYLVULUOUIUXCGV
        VDUXPUYMAUBTUYLVULUOFVUMVOTTUYIATTUYKFUXRVBAUYKTRZULUWTVUKAUXTVXGUYDVJV
        XGVXGUYFVUKTRAVXGUUSUYCUYKHUUQUUTVLUYNVUNVRVUOUYLUWSVULUXBUOUYOVUQUVAWC
        WEAVVECXMWJZVXFVVFUJZAVXHVVEVVJWFWJZAVVEHVVJWFVWRPYIAVXCVVKVXHVXJYEVXDO
        VVECUVBXCUVCAEUMZUGSZCXMWJZVXKGUFZUGSZVXLIUHUIZUJZYPVXHVXIYPEUYQVVDVXKV
        VDUJZVXMVXHVXQVXIVXRVXLVVECXMVXKVVDUGWBZXKVXRVXOVXFVXPVVFVXRVXNVXEUGVXK
        VVDGUVDWEVXRVXLVVEIUHVXSUVEUVFUVGQVWQUVHYFYOVJUWPUXHUATUXAUPZUGSZUWNAUX
        HVYAUJUWKATUWTYQYRZVXTUHURUIZUGSZUXHVYAAVYCUXEUGAUATUWTUXAUHVYBVXTVOTTU
        YIUYEUYGVYBUATUWTUPUJAUATUWTYSVPAVXTVTVRWEAUXTVWCVXTUYQRVYDVYAUJUYDVWFA
        UBTVUKUPZGUFVXTUYQAUAUBTTUWRVUKUXAGVYEUXPUYMAVYEVTVUPWCAUCUDTVYEGAVURYC
        TRUYFVYEUYQRVUTAUVIUYCUBTHUVJWSVUEVUIVUJWMWTUWTTVXTUVKWSYOVJUWPUADGHIKA
        HUERUWKVVLVJAUWKYTAUXMUWKMVJUVLUVMZUVNTUXDUXEUYTUXHUYTXAUXHXAUVOWSVYFYK
        AUWOULZTUKGSZFSZYQYRZUGSZHUKUHUIZUWMUWNAVYKVYLUJUWOAVYKUKVYLAVYITRVYKUK
        UJATTVYHFUXRAUXNUKTRVYHTRZUXOUVPTTUKGUVQUVRZVGVYIUVSVAAHAHUYCUVTUWAUWHV
        JVYGUWLVYJUGVYGUWLUATVYIUPVYJVYGUAUBTTVYHUYLVYIGFAVYMUWOUXJVYNUWBVYGGTV
        YHYQYRZUATVYHUPVYGGUGSZUKUJZGVYOUJZVYGVYPIUKKAUWOYTZUWCAVYQVYRYEZUWOAUX
        MVYTMDGUWDVAVJYNUATVYHYSXIAFUBTUYLUPUJUWOUYNVJUYKVYHFWBWCUATVYIYSUWEWEV
        YGIUKHUHVYSWOUWFAIVDRUWKUWOYDAIVYPVDKAUXMVYPVDRMDGVIVAVFIUWGUWIUWJ $.
    $}

    $( The degree of a composition of two polynomials is the product of the
       degrees.  (Contributed by Mario Carneiro, 15-Sep-2014.) $)
    dgrco $p |- ( ph -> ( deg ` ( F o. G ) ) = ( M x. N ) ) $=
      ( vf cc cfv wcel cdgr cle wbr wceq wi cc0 vx vd vy vg cply ccom cmul wral
      vh cv co plyssc sselid cn0 dgrcl syl eqeltrid caddc imbi1d ralbidv imbi2d
      c1 breq2 wa nn0cnd adantr mul02d simprr ad2antrl nn0ge0d cr wb nn0red 0re
      letri3 sylancl mpbir2and oveq1d 3eqtr4d csn cmpt fconstmpt 0dgrb mpbid wf
      cxp plyf ffvelrnda feqmptd eqtrdi eqidd fmptco 3eqtr4a fveq2d eqtr2d expr
      ralrimiva fveq2 breq1d coeq1 eqeq12d imbi12d cbvralvw wo nn0p1nn ad2antlr
      clt nnred leloed simplr nn0leltp1 syl2anc rspcva adantl sylbird ccoe eqid
      cn simprll ad2antrr simprlr dgrcolem2 jaod sylbid ralrimdva syl5bi expcom
      sylib a2d nn0ind mpcom leidd eqtr4di rspcv syl3c ) ACLUEMZNKUJZOMZEPQZYQD
      UFZOMZYRFUGUKZRZSZKYPUHZEEPQZCDUFZOMZEFUGUKZRZABUEMZYPCBULZIUMEUNNAUUEAEC
      OMZUNGACUUKNUUMUNNIBCUOUPUQZAYRUAUJZPQZUUCSZKYPUHZSAYRTPQZUUCSZKYPUHZSAYR
      UBUJZPQZUUCSZKYPUHZSAYRUVBVBURUKZPQZUUCSZKYPUHZSAUUESUAUBEUUOTRZUURUVAAUV
      JUUQUUTKYPUVJUUPUUSUUCUUOTYRPVCUSUTVAUUOUVBRZUURUVEAUVKUUQUVDKYPUVKUUPUVC
      UUCUUOUVBYRPVCUSUTVAUUOUVFRZUURUVIAUVLUUQUVHKYPUVLUUPUVGUUCUUOUVFYRPVCUSU
      TVAUUOERZUURUUEAUVMUUQUUDKYPUVMUUPYSUUCUUOEYRPVCUSUTVAAUUTKYPAYQYPNZUUSUU
      CAUVNUUSVDZVDZUUBYRUUAUVPTFUGUKTUUBYRUVPFAFLNUVOAFAFDOMZUNHADUUKNZUVQUNNJ
      BDUOUPUQVEVFVGUVPYRTFUGUVPYRTRZUUSTYRPQZAUVNUUSVHUVPYRUVNYRUNNZAUUSLYQUOZ
      VIZVJUVPYRVKNTVKNUVSUUSUVTVDVLUVPYRUWCVMVNYRTVOVPVQZVRUWDVSUVPYQYTOUVPLTY
      QMZVTWFZUCLUWEWAYQYTUCLUWEWBUVPUVSYQUWFRZUWDUVNUVSUWGVLAUUSLYQWCVIWDZUVPU
      CUALLUCUJZDMZUWEUWEDYQUVPLLUWIDUVPUVRLLDWEAUVRUVOJVFBDWGUPZWHUVPUCLLDUWKW
      IUVPYQUWFUALUWEWAUWHUALUWEWBWJUUOUWJRUWEWKWLWMWNWOWPWQUVBUNNZAUVEUVIAUWLU
      VEUVISUVEUDUJZOMZUVBPQZUWMDUFZOMZUWNFUGUKZRZSZUDYPUHZAUWLVDZUVIUVDUWTKUDY
      PYQUWMRZUVCUWOUUCUWSUXCYRUWNUVBPYQUWMOWRZWSUXCUUAUWQUUBUWRUXCYTUWPOYQUWMD
      WTWNUXCYRUWNFUGUXDVRXAXBXCUXBUXAUVHKYPUXBUVNUXAUVHUXBUVNUXAVDZVDZUVGYRUVF
      XGQZYRUVFRZXDUUCUXFYRUVFUXFYRUVNUWAUXBUXAUWBVIZVMUXFUVFUWLUVFXRNAUXEUVBXE
      XFXHXIUXFUXGUUCUXHUXFUXGUVCUUCUXFUWAUWLUVCUXGVLUXIAUWLUXEXJYRUVBXKXLUXEUV
      DUXBUWTUVDUDYQYPUWMYQRZUWOUVCUWSUUCUXJUWNYRUVBPUWMYQOWRZWSUXJUWQUUAUWRUUB
      UXJUWPYTOUWMYQDWTWNUXJUWNYRFUGUXKVRXAXBXMXNXOUXBUXEUXHUUCUXBUXEUXHVDZVDZY
      QXPMZUVBLUIYQDYRFYRXQHUXBUVNUXAUXHXSADYPNUWLUXLAUUKYPDUULJUMXTUXNXQAUWLUX
      LXJUXBUXEUXHVHUXMUXAUIUJZOMZUVBPQZUXODUFZOMZUXPFUGUKZRZSZUIYPUHUXBUVNUXAU
      XHYAUWTUYBUDUIYPUWMUXORZUWOUXQUWSUYAUYCUWNUXPUVBPUWMUXOOWRZWSUYCUWQUXSUWR
      UXTUYCUWPUXROUWMUXODWTWNUYCUWNUXPFUGUYDVRXAXBXCYHYBWPYCYDWPYEYFYGYIYJYKAE
      AEUUNVMYLUUDUUFUUJSKCYPYQCRZYSUUFUUCUUJUYEYREEPUYEYRUUMEYQCOWRGYMZWSUYEUU
      AUUHUUBUUIUYEYTUUGOYQCDWTWNUYEYREFUGUYFVRXAXBYNYO $.
  $}

  ${
    $d k x z A $.  $d k x z F $.  $d k x z N $.  $d k x z ph $.  $d k x z S $.
    plycj.1 $e |- N = ( deg ` F ) $.
    plycj.2 $e |- G = ( ( * o. F ) o. * ) $.
    ${
      plycjlem.3 $e |- A = ( coeff ` F ) $.
      $( Lemma for ~ plycj and ~ coecj .  (Contributed by Mario Carneiro,
         24-Jul-2014.) $)
      plycjlem $p |- ( F e. ( Poly ` S ) -> G = ( z e. CC |->
        sum_ k e. ( 0 ... N ) ( ( ( * o. A ) ` k ) x. ( z ^ k ) ) ) ) $=
        ( vx cfv wcel cc co ccj cexp cmul csu syl2an cply cc0 cv cmpt ccom cjcl
        cfz adantl wf cjf a1i feqmptd wa fzfid cn0 coef3 adantr elfznn0 ffvelrn
        expcl sylan2 adantll mulcld fsumcl coeid fveq2 fmptco wceq oveq1 oveq2d
        sumeq2sdv fveq2d syl5eq fsumcj cjmuld fvco3 cjcj ad2antlr oveq1d eqtr2d
        cjexp oveq12d eqtr4d sumeq2dv eqtrd mpteq2dva ) ECUALMZFANUBGUGOZDUCZBL
        ZAUCZPLZWIQOZROZDSZPLZUDZANWHWIPBUELZWKWIQOZROZDSZUDWGFPEUEZPUEWQIWGAKN
        NWLWHWJKUCZWIQOZROZDSZPLZWPPXBWKNMZWLNMZWGWKUFUHZWGANNPNNPUIWGUJUKULZWG
        KANNXFWLXGEPWGXCNMZUMZWHXEDXMUBGUNXMWIWHMZUMWJXDXMUONBUIZWIUOMZWJNMZXNW
        GXOXLBCEJUPZUQWIGURZUONWIBUSZTXLXNXDNMZWGXNXLXPYAXSXCWIUTVAVBVCVDKBCDEG
        JHVEXKWKXFPVFVGXCWLVHZXFWOPYBWHXEWNDYBXDWMWJRXCWLWIQVIVJVKVLVGVMWGANWPX
        AWGXHUMZWPWHWNPLZDSXAYCWHWNDYCUBGUNYCXNUMZWJWMYCXOXPXQXNWGXOXHXRUQZXSXT
        TZYCXIXPWMNMXNXJXSWLWIUTTZVCVNYCWHYDWTDYEYDWJPLZWMPLZROWTYEWJWMYGYHVOYE
        WRYIWSYJRYCXOXPWRYIVHXNYFXSUONWIPBVPTYEYJWLPLZWIQOZWSYCXIXPYJYLVHXNXJXS
        WLWIWATYEYKWKWIQXHYKWKVHWGXNWKVQVRVSVTWBWCWDWEWFWE $.
    $}

    ${
      plycj.3 $e |- ( ( ph /\ x e. S ) -> ( * ` x ) e. S ) $.
      plycj.4 $e |- ( ph -> F e. ( Poly ` S ) ) $.
      $( The double conjugation of a polynomial is a polynomial.  (The single
         conjugation is not because our definition of polynomial includes only
         holomorphic functions, i.e. no dependence on ` ( * `` z ) `
         independently of ` z ` .)  (Contributed by Mario Carneiro,
         24-Jul-2014.) $)
      plycj $p |- ( ph -> G e. ( Poly ` S ) ) $=
        ( vz vk cc0 cfv cc ccj wcel wceq syl cn0 csn cun cply co ccoe ccom cexp
        cfz cv cmul csu cmpt eqid plycjlem wss plybss 0cnd snssd unssd eqeltrid
        cdgr dgrcl wa wf coef elfznn0 fvco3 syl2an ffvelrn wi wo wral ralrimiva
        fveq2 eleq1d rspccv fveq2d cj0 eqtrdi fvex elsn sylibr a1i orim12d elun
        elsni 3imtr4g adantr mpd eqeltrd elplyd plyun0 eleqtrdi ) AECMUAZUBZUCN
        ZCUCNZAEKOMFUHUDZLUIZPDUENZUFNZKUIWSUGUDUJUDLUKULZWPADWQQZEXBRJKWTCLDEF
        GHWTUMZUNSAKXAWOLFACWNOAXCCOUOJCDUPSAMOAUQURUSAFDVANZTGAXCXETQJCDVBSUTA
        WSWRQZVCZXAWSWTNZPNZWOATWOWTVDZWSTQZXAXIRXFAXCXJJWTCDXDVESZWSFVFZTWOWSP
        WTVGVHXGXHWOQZXIWOQZAXJXKXNXFXLXMTWOWSWTVIVHAXNXOVJXFAXHCQZXHWNQZVKXICQ
        ZXIWNQZVKXNXOAXPXRXQXSABUIZPNZCQZBCVLXPXRVJAYBBCIVMYBXRBXHCXTXHRYAXICXT
        XHPVNVOVPSXQXSVJAXQXIMRXSXQXIMPNMXQXHMPXHMWFVQVRVSXIMXHPVTWAWBWCWDXHCWN
        WEXICWNWEWGWHWIWJWKWJCWLWM $.
    $}

    coecj.3 $e |- A = ( coeff ` F ) $.
    $( Double conjugation of a polynomial causes the coefficients to be
       conjugated.  (Contributed by Mario Carneiro, 24-Jul-2014.) $)
    coecj $p |- ( F e. ( Poly ` S ) -> ( coeff ` G ) = ( * o. A ) ) $=
      ( vz vk cfv wcel ccj cc cn0 wf cc0 wceq wb syl2anc vx cply ccom cv adantl
      cjcl plyssc sseli plycj cdgr dgrcl eqeltrid cjf coef3 sylancr c1 caddc co
      fco cuz cima csn wne cle wbr wi wral fvco3 sylan cj0 eqcomi a1i ffvelrnda
      wa eqeq12d 0cnd cj11 bitrd necon3bid dgrub2 plyco0 mpbid sylbid ralrimiva
      r19.21bi mpbird plycjlem coeeq ) CBUBKZLZIMAUCZNJDEWJUANCDEFGUAUDZNLWLMKN
      LWJWLUFUEWINUBKCBUGUHUIWJECUJKOFBCUKULZWJNNMPONAPZONWKPZUMABCHUNZONNMAUSU
      OZWJWKEUPUQURUTKZVAQVBZRZJUDZWKKZQVCZXAEVDVEZVFZJOVGZWJXEJOWJXAOLZVNZXCXA
      AKZQVCZXDXHXBQXIQXHXBQRXIMKZQMKZRZXIQRZXHXBXKQXLWJWNXGXBXKRWPONXAMAVHVIQX
      LRXHXLQVJVKVLVOXHXINLQNLXMXNSWJONXAAWPVMXHVPXIQVQTVRVSWJXJXDVFZJOWJAWRVAW
      SRZXOJOVGZABCEHFVTWJEOLZWNXPXQSWMWPAJEWATWBWEWCWDWJXRWOWTXFSWMWQWKJEWATWF
      IABJCDEFGHWGWH $.
  $}

  ${
    $d x A $.  $d x F $.  $d x G $.  $d x S $.  $d x V $.
    $( A polynomial with real coefficients distributes under conjugation.
       (Contributed by Mario Carneiro, 24-Jul-2014.) $)
    plyrecj $p |- ( ( F e. ( Poly ` RR ) /\ A e. CC ) ->
                    ( * ` ( F ` A ) ) = ( F ` ( * ` A ) ) ) $=
      ( vx cr cfv wcel cc wa cc0 cexp cmul csu ccj cn0 eqid syl2an eqtrd coeid2
      co wceq cply cdgr cfz cv ccoe fzfid wf coef2 mpan2 adantr elfznn0 ffvelrn
      recnd simpr expcl mulcld fsumcj cjmuld cjred oveq12d sumeq2dv fveq2d cjcl
      0re cjexp sylan2 3eqtr4d ) BDUAEFZAGFZHZIBUBEZUCSZCUDZBUEEZEZAVMJSZKSZCLZ
      MEZVLVOAMEZVMJSZKSZCLZABEZMEVTBEZVJVSVLVQMEZCLWCVJVLVQCVJIVKUFVJVMVLFZHZV
      OVPWHVOVJNDVNUGZVMNFZVODFWGVHWIVIVHIDFWIVDVNDBVNOZUHUIUJVMVKUKZNDVMVNULPZ
      UMZVJVIWJVPGFWGVHVIUNZWLAVMUOPZUPUQVJVLWFWBCWHWFVOMEZVPMEZKSWBWHVOVPWNWPU
      RWHWQVOWRWAKWHVOWMUSVJVIWJWRWATWGWOWLAVMVEPUTQVAQVJWDVRMVNDCBVKAWKVKOZRVB
      VIVHVTGFWEWCTAVCVNDCBVKVTWKWSRVFVG $.

    $( Polynomial multiplication has no zero divisors.  (Contributed by Mario
       Carneiro, 26-Jul-2014.) $)
    plymul0or $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) ) ->
      ( ( F oF x. G ) = 0p <-> ( F = 0p \/ G = 0p ) ) ) $=
      ( vx cfv wcel cmul c0p wceq ccoe cc0 cn0 eqtrdi eqeq1d eqid adantr adantl
      co cc wf cply wa cof wo cdgr caddc csn cxp dgrcl nn0addcl syl2an fvconst2
      c0ex syl fveq2 coe0 fveq1d syl5ibrcom coemulhi coef3 mul0ord bitrd sylibd
      ffvelrnd wb dgreq0 orbi12d sylibrd cvv cnex plyf 0cnd cv mul02 caofid2 id
      a1i df-0p oveq1d mul01 caofid1 oveq2d jaod eqeq2i syl6ibr impbid ) BAUAEZ
      FZCWGFZUBZBCGUCZRZHIZBHIZCHIZUDZWJWMBUEEZBJEZEZKIZCUEEZCJEZEZKIZUDZWPWJWM
      WQXAUFRZWLJEZEZKIZXEWJXIWMXFLKUGZUHZEZKIZWJXFLFZXMWHWQLFZXALFZXNWIABUIZAC
      UIZWQXAUJUKLKXFUMULUNWMXHXLKWMXFXGXKWMXGHJEXKWLHJUOUPMUQNURWJXIWSXCGRZKIX
      EWJXHXSKWRXBABCWQXAWROZXBOZWQOZXAOZUSNWJWSXCWJLSWQWRWHLSWRTWIWRABXTUTPWHX
      OWIXQPVDWJLSXAXBWILSXBTWHXBACYAUTQWIXPWHXRQVDVAVBVCWJWNWTWOXDWHWNWTVEWIWR
      ABWQYBXTVFPWIWOXDVEWHXBACXAYCYAVFQVGVHWJWPWLSXJUHZIZWMWJWNYEWOWJYEWNYDCWK
      RZYDIWJDSKKGSCVISSSVIFWJVJVQZWISSCTWHACVKQWJVLZYHDVMZSFZKYIGRKIWJYIVNQVOW
      NWLYFYDWNBYDCWKWNBHYDWNVPVRMVSNURWJYEWOBYDWKRZYDIWJDSKKGSBVISSYGWHSSBTWIA
      BVKPYHYHYJYIKGRKIWJYIVTQWAWOWLYKYDWOCYDBWKWOCHYDWOVPVRMWBNURWCHYDWLVRWDWE
      WF $.

    $( The set of roots of a product is the union of the roots of the terms.
       (Contributed by Mario Carneiro, 28-Jul-2014.) $)
    ofmulrt $p |- ( ( A e. V /\ F : A --> CC /\ G : A --> CC ) ->
   ( `' ( F oF x. G ) " { 0 } ) = ( ( `' F " { 0 } ) u. ( `' G " { 0 } ) ) ) $=
      ( vx wcel cc wf cmul ccnv cc0 cima cfv wceq wa wo wfn wb fniniseg syl w3a
      cof co csn cun cv simp2 ffnd simp3 simp1 inidm eqidd ofval eqeq1d mul0ord
      ffvelrnda bitrd pm5.32da offn orbi12d elun andi 3bitr4g 3bitr4d eqrdv ) A
      DFZAGBHZAGCHZUAZEBCIUBUCZJKUDZLZBJVKLZCJVKLZUEZVIEUFZAFZVPVJMZKNZOZVQVPBM
      ZKNZVPCMZKNZPZOZVPVLFZVPVOFZVIVQVSWEVIVQOZVSWAWCIUCZKNWEWIVRWJKVIAAWAWCIA
      BCDDVPVIAGBVFVGVHUGZUHZVIAGCVFVGVHUIZUHZVFVGVHUJZWOAUKZWIWAULWIWCULUMUNWI
      WAWCVIAGVPBWKUPVIAGVPCWMUPUOUQURVIVJAQWGVTRVIAAIABCDDWLWNWOWOWPUSAKVPVJST
      VIVPVMFZVPVNFZPVQWBOZVQWDOZPWHWFVIWQWSWRWTVIBAQWQWSRWLAKVPBSTVICAQWRWTRWN
      AKVPCSTUTVPVMVNVAVQWBWDVBVCVDVE $.
  $}

  ${
    $d F a $.
    $( Real-coefficient polynomials restrict to real functions.  (Contributed
       by Stefan O'Rear, 16-Nov-2014.) $)
    plyreres $p |- ( F e. ( Poly ` RR ) -> ( F |` RR ) : RR --> RR ) $=
      ( va cr cply cfv wcel cres wfn crn wss wf cc plybss wb plyf fnssresb wceq
      ffn adantl ccj 3syl mpbird cv wral wa fvres ffvelrn syl2an plyrecj sylan2
      recn cjre fveq2d eqtrd cjrebd eqeltrd ralrimiva fnfvrnss syl2anc sylanbrc
      df-f ) ACDEFZACGZCHZVCICJZCCVCKVBVDCLJZCAMVBLLAKZALHVDVFNCAOZLLARLCAPUAUB
      ZVBVDBUCZVCEZCFZBCUDVEVIVBVLBCVBVJCFZUEZVKVJAEZCVMVKVOQVBVJCAUFSVNVOVBVGV
      JLFZVOLFVMVHVJUKZLLVJAUGUHVNVOTEZVJTEZAEZVOVMVBVPVRVTQVQVJAUIUJVNVSVJAVMV
      SVJQVBVJULSUMUNUOUPUQBCCVCURUSCCVCVAUT $.
  $}

  ${
    $d ph z j k $.  $d A z j k $.  $d B z $.  $d N j k z $.
    dvply1.f $e |- ( ph -> F = ( z e. CC |-> sum_ k e. ( 0 ... N )
        ( ( A ` k ) x. ( z ^ k ) ) ) ) $.
    dvply1.g $e |- ( ph -> G = ( z e. CC |-> sum_ k e. ( 0 ... ( N - 1 ) )
        ( ( B ` k ) x. ( z ^ k ) ) ) ) $.
    dvply1.a $e |- ( ph -> A : NN0 --> CC ) $.
    dvply1.b $e |- B = ( k e. NN0 |-> ( ( k + 1 ) x. ( A ` ( k + 1 ) ) ) ) $.
    dvply1.n $e |- ( ph -> N e. NN0 ) $.
    $( Derivative of a polynomial, explicit sum version.  (Contributed by
       Stefan O'Rear, 13-Nov-2014.)  (Revised by Mario Carneiro,
       11-Feb-2015.) $)
    dvply1 $p |- ( ph -> ( CC _D F ) = G ) $=
      ( cc co cc0 cmul c1 wcel wa vj cdv cfz cv cfv cexp csu cmpt wceq cmin cif
      oveq2d ccnfld ctopn cnfldtopon toponrestid cr cpr cnelprrecn a1i cnfldtop
      eqid ctop unicntop topopn mp1i fzfid cn0 wf elfznn0 ffvelrn syl2an adantr
      simpr ad2antlr expcld mulcld w3a 3adant3 0cnd wn simpl2 syl nn0cnd simpl3
      3impa cn wo elnn0 sylib orel2 sylc nnm1nn0 ifclda c0ex ovex adantl dvexp2
      cvv ifex dvmptcmul dvmptfsum elfznn nnne0d iffalsed sumeq2dv cuz 1eluzge0
      neneqd wss fzss1 nnnn0d wne simplr eqeltrd cdif caddc eldifn 0p1e1 oveq1i
      eleq2i sylnibr eldifi nn0uz eleqtrdi ad2antrr elfzp12 mpbid mul01d sylan2
      wb iftrued eqtrd fsumss ax-1cn pncan sylancl oveq1d oveq1 oveq12d mulassd
      ffvelrnd mulcomd 3eqtr2d 1m1e0 sumeq1i fvoveq1 oveq2 cbvsumv 3eqtr4g 1zzd
      peano2nn0 nn0zd fveq2 id fsumshftm fvmpt2 3eqtr4d mpteq2dva eqtr4d 3eqtrd
      3eqtr3d ) ANFUBONBNPHUCOZEUDZCUEZBUDZUVDUFOZQOZEUGUHZUBOBNUVCUVEUVDPUIZPU
      VDUVFUVDRUJOZUFOZQOZUKZQOZEUGZUHZGAFUVINUBIULABUVHUVONEUVCUMUNUEZUVRNUVRN
      UVRUVRVBZUOUPUVSNUQNURSZAUSUTUVRVCSNUVRSAUVRUVSVAUVRNVDVEVFAPHVGAUVDUVCSZ
      UVFNSZUVHNSAUWATZUWBTZUVEUVGUWCUVENSZUWBAVHNCVIZUVDVHSZUWEUWAKUVDHVJZVHNU
      VDCVKZVLZVMUWDUVFUVDUWCUWBVNUWAUWGAUWBUWHVOVPZVQWFAUWAUWBVRZUVEUVNAUWAUWE
      UWBUWJVSUWLUVJPUVMNUWLUVJTVTUWLUVJWAZTZUVDUVLUWNUVDUWNUWAUWGAUWAUWBUWMWBU
      WHWCZWDUWNUVFUVKAUWAUWBUWMWEUWNUVDWGSZUVKVHSZUWNUWMUWPUVJWHZUWPUWLUWMVNUW
      NUWGUWRUWOUVDWIWJUVJUWPWKWLUVDWMZWCVPVQWNVQUWCBUVGUVNUVENWSNUVTUWCUSUTUWK
      UVNWSSUWDUVJPUVMWOUVDUVLQWPWTUTUWCUWGNBNUVGUHUBOBNUVNUHUIUWAUWGAUWHWQBUVD
      WRWCUWJXAXBAUVQBNPHRUJOZUCOZUVDDUEZUVGQOZEUGZUHGABNUVPUXDAUWBTZRHUCOZUVOE
      UGUXFUVEUVMQOZEUGZUVPUXDUXEUXFUVOUXGEUXEUVDUXFSZTZUVNUVMUVEQUXJUVJPUVMUXI
      UWMUXEUXIUVDPUXIUVDUVDHXCZXDZXIWQXEULXFUXEUXFUVCUVOERPXGUEZSUXFUVCXJUXEXH
      RPHXKVFUXJUVEUVNUXEUWFUWGUWEUXIAUWFUWBKVMZUXIUVDUXKXLZUWIVLZUXJUVNUVMNUXJ
      UVJPUVMUXJUVDPUXIUVDPXMUXEUXLWQXIXEUXJUVDUVLUXJUVDUXIUWGUXEUXOWQWDUXJUVFU
      VKAUWBUXIXNUXIUWQUXEUXIUWPUWQUXKUWSWCWQVPVQZXOVQUXEUVDUVCUXFXPSZTZUVOUVEP
      QOZPUXSUVNPUVEQUXSUVJPUVMUXSUVDPRXQOZHUCOZSZWAZUVJUYCWHZUVJUXRUYDUXEUXRUX
      IUYCUVDUVCUXFXRUYBUXFUVDUYARHUCXSXTYAYBWQUXSUWAUYEUXRUWAUXEUVDUVCUXFYCZWQ
      UXSHUXMSZUWAUYEYKAUYGUWBUXRAHVHUXMMYDYEYFUVDPHYGWCYHUYCUVJWKWLYLULUXRUXEU
      WAUXTPUIUYFUXEUWATUVEUXEUWFUWGUWEUWAUXNUWHUWIVLYIYJYMUXEPHVGYNUXERRUJOZUW
      TUCOZUAUDZRXQOZCUEZUYKUVFUYKRUJOZUFOZQOZQOZUAUGZUXAUVDRXQOZUYRCUEZQOZUVGQ
      OZEUGZUXHUXDUXEUXAUYPUAUGUXAUYKUYLQOZUVFUYJUFOZQOZUAUGUYQVUBUXEUXAUYPVUEU
      AUXEUYJUXASZTZUYPUYLUYKVUDQOZQOUYLUYKQOZVUDQOVUEVUGUYOVUHUYLQVUGUYNVUDUYK
      QVUGUYMUYJUVFUFVUGUYJNSRNSUYMUYJUIVUGUYJVUFUYJVHSZUXEUYJUWTVJZWQZWDYOUYJR
      YPYQULULULVUGUYLUYKVUDVUGVHNUYKCAUWFUWBVUFKYFVUFUYKVHSZUXEVUFVUJVUMVUKUYJ
      UULWCWQZUUBZVUGUYKVUNWDZVUGUVFUYJAUWBVUFXNVULVPUUAVUGVUIVUCVUDQVUGUYLUYKV
      UOVUPUUCYRUUDXFUYIUXAUYPUAUYHPUWTUCUUEXTUUFUXAVUAVUEEUAUVDUYJUIZUYTVUCUVG
      VUDQVUQUYRUYKUYSUYLQUVDUYJRXQYSUVDUYJRCXQUUGYTUVDUYJUVFUFUUHYTUUIUUJUXEUX
      GUYPEUARRHUXEUUKZVURUXEHAHVHSUWBMVMUUMUXJUVEUVMUXPUXQVQUVDUYKUIZUVEUYLUVM
      UYOQUVDUYKCUUNVUSUVDUYKUVLUYNQVUSUUOVUSUVKUYMUVFUFUVDUYKRUJYSULYTYTUUPUXE
      UXAUXCVUAEUXEUVDUXASZTZUXBUYTUVGQVVAUWGUYTWSSUXBUYTUIVUTUWGUXEUVDUWTVJWQU
      YRUYSQWPEVHUYTWSDLUUQYQYRXFUURUVBUUSJUUTUVA $.
  $}

  ${
    $d a b c F $.  $d a b c S $.
    $( The derivative of a polynomial with coefficients in a subring is a
       polynomial with coefficients in the same ring.  (Contributed by Mario
       Carneiro, 1-Jan-2017.) $)
    dvply2g $p |- ( ( S e. ( SubRing ` CCfld ) /\ F e. ( Poly ` S ) ) ->
      ( CC _D F ) e. ( Poly ` S ) ) $=
      ( va vb vc ccnfld cfv wcel wa cc co cc0 cfz cv cn0 caddc cmul cmpt adantl
      c1 csubrg cply cdv cdgr ccoe cexp csu wf plyf feqmptd cuz simplr cz dgrcl
      wceq nn0zd adantr uzid peano2uz 3syl simpr coeid3 syl3anc mpteq2dva eqtrd
      eqid cmin nn0cnd ax-1cn pncan sylancl eqcomd sumeq1d mpteq2dv coef3 oveq1
      oveq2d fvoveq1 oveq12d cbvmptv peano2nn0 syl wss cnfldbas subrgss elfznn0
      dvply1 simpll zsssubrg ad2antrr sseldd csubg cnfld0 subg0cl coef2 syl2anc
      subrgsubg ffvelrnd cnfldmul subrgmcl fmpttd ffvelrnda sylan2 eqeltrd
      elplyd ) AFUAGHZBAUBGZHZIZJBUCKCJLBUDGZMKZDNZEOENZTPKZXNBUEGZGZQKZRZGZCNZ
      XLUFKZQKZDUGZRZXGXICXOXRDBYDXJTPKZXIBCJXTBGZRCJLYEMKXLXOGYAQKDUGZRXICJJBX
      HJJBUHXFABUISUJXICJYFYGXIXTJHZIZXHYEXJUKGZHZYHYFYGUOXFXHYHULYIXJUMHZXJYJH
      YKXIYLYHXIXJXHXJOHZXFABUNSZUPUQXJURXJXJUSUTXIYHVAXOADBYEXJXTXOVFZXJVFVBVC
      VDVEXICJYCLYETVGKZMKZYBDUGXIXKYQYBDXIXJYPLMXIYPXJXIXJJHTJHYPXJUOXIXJYNVHV
      IXJTVJVKVLVQVMVNXHOJXOUHXFXOABYOVOSEDOXQXLTPKZYRXOGZQKXMXLUOXNYRXPYSQXMXL
      TPVPXMXLTXOPVRVSVTXIYMYEOHYNXJWAWBWGXICXSADXJXFAJWCXHAJFWDWEUQYNXLXKHXIXL
      OHXSAHXLXJWFXIOAXLXRXIEOXQAXIXMOHZIZXFXNAHXPAHXQAHXFXHYTWHUUAUMAXNXFUMAWC
      XHYTAWIWJUUAXNYTXNOHXIXMWASZUPWKUUAOAXNXOUUAXHLAHZOAXOUHXFXHYTULXFUUCXHYT
      XFAFWLGHUUCAFWQAFLWMWNWBWJXOABYOWOWPUUBWRAFQXNXPWSWTVCXAXBXCXEXD $.

    $( The derivative of a polynomial is a polynomial.  (Contributed by Stefan
       O'Rear, 14-Nov-2014.)  (Proof shortened by Mario Carneiro,
       1-Jan-2017.) $)
    dvply2 $p |- ( F e. ( Poly ` S ) -> ( CC _D F ) e. ( Poly ` CC ) ) $=
      ( cply cfv wcel cc ccnfld csubrg cdv co crg cnring cnfldbas subrgid ax-mp
      plyssc sseli dvply2g sylancr ) BACDZEFGHDEZBFCDZEFBIJUBEGKEUALFGMNOTUBBAP
      QFBRS $.
  $}

  ${
    $d n x F $.  $d x N $.  $d n x S $.
    $( Polynomials have polynomials as derivatives of all orders.  (Contributed
       by Mario Carneiro, 1-Jan-2017.) $)
    dvnply2 $p |- ( ( S e. ( SubRing ` CCfld ) /\ F e. ( Poly ` S ) /\
      N e. NN0 ) -> ( ( CC Dn F ) ` N ) e. ( Poly ` S ) ) $=
      ( vx vn cfv wcel cn0 cc co wa cv wi cc0 wceq fveq2 eleq1d imbi2d cvv cnex
      ccnfld csubrg cply cdvn caddc wss cpm ssid plyf adantl fpmg mp3an12i dvn0
      c1 wf sylancr simpr eqeltrd dvply2g ex ad2antrr dvnp1 mp3an1 sylan expcom
      cdv sylibrd a2d nn0ind impcom 3impa ) AUAUBFGZBAUCFZGZCHGZCIBUDJZFZVMGZVO
      VLVNKZVRVSDLZVPFZVMGZMVSNVPFZVMGZMVSELZVPFZVMGZMVSWEUNUEJZVPFZVMGZMVSVRMD
      ECVTNOZWBWDVSWKWAWCVMVTNVPPQRVTWEOZWBWGVSWLWAWFVMVTWEVPPQRVTWHOZWBWJVSWMW
      AWIVMVTWHVPPQRVTCOZWBVRVSWNWAVQVMVTCVPPQRVSWCBVMVSIIUFZBIIUGJGZWCBOIUHZIS
      GZWRVSIIBUOZWPTTVNWSVLABUIUJIIBSSUKULZIBUMUPVLVNUQURWEHGZVSWGWJVSXAWGWJMV
      SXAKZWGIWFVFJZVMGZWJVLWGXDMVNXAVLWGXDAWFUSUTVAXBWIXCVMVSWPXAWIXCOZWTWOWPX
      AXEWQIBWEVBVCVDQVGVEVHVIVJVK $.

    $( Polynomials have polynomials as derivatives of all orders.  (Contributed
       by Stefan O'Rear, 15-Nov-2014.)  (Revised by Mario Carneiro,
       1-Jan-2017.) $)
    dvnply $p |- ( ( F e. ( Poly ` S ) /\ N e. NN0 ) ->
      ( ( CC Dn F ) ` N ) e. ( Poly ` CC ) ) $=
      ( cply cfv wcel cc cn0 cdvn co plyssc sseli ccnfld csubrg cnring cnfldbas
      crg subrgid ax-mp dvnply2 mp3an1 sylan ) BADEZFBGDEZFZCHFZCGBIJEUDFZUCUDB
      AKLGMNEFZUEUFUGMQFUHOGMPRSGBCTUAUB $.

    $( Polynomials are smooth.  (Contributed by Stefan O'Rear, 16-Nov-2014.)
       (Revised by Mario Carneiro, 11-Feb-2015.) $)
    plycpn $p |- ( F e. ( Poly ` S ) -> F e. |^| ran ( C^n ` CC ) ) $=
      ( vx vn cply cfv wcel cc ccpn crn cint cv wral cn0 wa co ccncf cnex syl
      wb cpm cdvn cdm wf plyf adantr fpm dvnply plycn oveq1d eleqtrrd wss ssidd
      fdmd elcpn sylan mpbir2and ralrimiva ssid fncpn eleq2 ralrn sylibr elintg
      wfn mp2b mpbird ) BAEFZGZBHIFZJZKGBCLZGZCVKMZVIBDLZVJFZGZDNMZVNVIVQDNVIVO
      NGZOZVQBHHUAPGZVOHBUBPFZBUCZHQPZGZVTHHBUDZWAVIWFVSABUEUFZHHBRRUGSVTWBHHQP
      ZWDVTWBHEFGWBWHGABVOUHHWBUISVTWCHHQVTHHBWGUNUJUKVIHHULZVSVQWAWEOTVIHUMHBV
      OUOUPUQURWIVJNVEVNVRTHUSHUTVMVQCDNVJVLVPBVAVBVFVCCBVKVHVDVG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The division algorithm for polynomials
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c quot $.

  $( Extend class notation to include the quotient of a polynomial division. $)
  cquot $a class quot $.

  ${
    $d f g q r $.
    $( Define the quotient function on polynomials.  This is the ` q ` of the
       expression ` f = g x. q + r ` in the division algorithm.  (Contributed
       by Mario Carneiro, 23-Jul-2014.) $)
    df-quot $a |- quot = ( f e. ( Poly ` CC ) ,
      g e. ( ( Poly ` CC ) \ { 0p } ) |->
      ( iota_ q e. ( Poly ` CC ) [. ( f oF - ( g oF x. q ) ) / r ].
        ( r = 0p \/ ( deg ` r ) < ( deg ` g ) ) ) ) $.
  $}

  ${
    $d f g q r F $.  $d f g q G $.  $d f g r R $.
    quotval.1 $e |- R = ( F oF - ( G oF x. q ) ) $.
    $( Value of the quotient function.  (Contributed by Mario Carneiro,
       23-Jul-2014.) $)
    quotval $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) /\ G =/= 0p ) ->
                    ( F quot G ) = ( iota_ q e. ( Poly ` CC )
                      ( R = 0p \/ ( deg ` R ) < ( deg ` G ) ) ) ) $=
      ( vf vg vr cply cfv wcel c0p co wceq cdgr clt wbr wo cv cc wne cquot crio
      plyssc sseli wa csn cdif eldifsn cmul cof cmin wsbc oveq12 sylan2 eqtr4di
      oveq1 sbceq1d ovexi eqeq1 fveq2 breq1d orbi12d sbcie fveq2d breq2d orbi2d
      simpr syl5bb bitrd riotabidv df-quot riotaex ovmpoa 3impb syl3an2 syl3an1
      sylan2br ) CBJKZLCUAJKZLZDVTLZDMUBZCDUCNAMOZAPKZDPKZQRZSZEWAUDZOZVTWACBUE
      ZUFWCWBDWALZWDWKVTWADWLUFWBWMWDWKWMWDUGWBDWAMUHUIZLWKDWAMUJGHCDWAWNITZMOZ
      WOPKZHTZPKZQRZSZIGTZWRETZUKULZNZUMULZNZUNZEWAUDWJUCXBCOZWRDOZUGZXHWIEWAXK
      XHXAIAUNZWIXKXAIXGAXKXGCDXCXDNZXFNZAXJXIXEXMOXGXNOWRDXCXDURXBCXEXMXFUOUPF
      UQUSXLWEWFWSQRZSZXKWIXAXPIAACXMXFFUTWOAOZWPWEWTXOWOAMVAXQWQWFWSQWOAPVBVCV
      DVEXKXOWHWEXKWSWGWFQXKWRDPXIXJVIVFVGVHVJVKVLGHIEVMWIEWAVNVOVSVPVQVR $.
  $}

  ${
    $d x y z A $.  $d d f p q x y z F $.  $d f p q x y z H $.  $d d x y z ph $.
    $d x y z B $.  $d f z D $.  $d x y z M $.  $d f p q x y z N $.  $d x y T $.
    $d d f g p q w x y z G $.  $d d f p x y R $.  $d d f g p q x y z S $.
    plydiv.pl $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x + y ) e. S ) $.
    plydiv.tm $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) -> ( x x. y ) e. S ) $.
    plydiv.rc $e |- ( ( ph /\ ( x e. S /\ x =/= 0 ) ) -> ( 1 / x ) e. S ) $.
    plydiv.m1 $e |- ( ph -> -u 1 e. S ) $.
    $( Lemma for ~ plydivalg .  (Contributed by Mario Carneiro,
       24-Jul-2014.) $)
    plydivlem1 $p |- ( ph -> 0 e. S ) $=
      ( cc0 c1 cneg caddc co 1pneg1e0 cmul neg1mulneg1e1 caovcld eqeltrrid ) AI
      JJKZLMDNABCJSDDDLEAJSSOMDPABCSSDDDOFHHQRHQR $.

    plydiv.f $e |- ( ph -> F e. ( Poly ` S ) ) $.
    plydiv.g $e |- ( ph -> G e. ( Poly ` S ) ) $.
    plydiv.z $e |- ( ph -> G =/= 0p ) $.
    ${
      plydiv.r $e |- R = ( F oF - ( G oF x. q ) ) $.
      $( Lemma for ~ plydivalg .  (Contributed by Mario Carneiro,
         24-Jul-2014.) $)
      plydivlem2 $p |- ( ( ph /\ q e. ( Poly ` S ) ) -> R e. ( Poly ` S ) ) $=
        ( cv wcel co adantr cply cfv wa cmul cmin simpr caddc adantlr plymul c1
        cof cneg plysub eqeltrid ) AHQZEUAUBZRZUCZDFGUOUDUKSZUEUKSUPPURBCEFUSAF
        UPRUQMTURBCEGUOAGUPRUQNTAUQUFABQZERCQZERUCZUTVAUGSERUQIUHZAVBUTVAUDSERU
        QJUHZUIVCVDAUJULERUQLTUMUN $.

      ${
        plydiv.0 $e |- ( ph ->
                         ( F = 0p \/ ( ( deg ` F ) - ( deg ` G ) ) < 0 ) ) $.
        $( Lemma for ~ plydivex .  Base case of induction.  (Contributed by
           Mario Carneiro, 24-Jul-2014.) $)
        plydivlem3 $p |- ( ph -> E. q e. ( Poly ` S )
          ( R = 0p \/ ( deg ` R ) < ( deg ` G ) ) ) $=
          ( c0p cfv cc vz cply wcel cmul cof co cmin wceq cdgr clt wbr wrex wss
          wo plybss ply0 3syl cc0 cv cvv cnex a1i wf wfn plyf ffn inidm offn wa
          eqidd 0pval adantl ofval ffvelrnda mul01d eqtrd subid1d offveq eqeq1d
          syl caddc fveq2d cn0 dgrcl nn0red recnd addid2d eqcomd 0red ltsubaddd
          breq12d bitr4d orbi12d mpbird oveq2d syl5eq breq1d rspcev syl2anc
          oveq2 ) AREUBSZUCZFGRUDUEZUFZUGUEZUFZRUHZXFUISZGUISZUJUKZUNZDRUHZDUIS
          ZXIUJUKZUNZHXAULAFXAUCZETUMXBMEFUOEUPUQZAXKFRUHZFUISZXIUGUFURUJUKZUNQ
          AXGXRXJXTAXFFRAUATUAUSZFSZURUGFXDFUTTUTUCAVAVBZAXPTTFVCZFTVDMEFVEZTTF
          VFUQZATTUDTGRUTUTAGXAUCZTTGVCZGTVDNEGVEZTTGVFUQZAXBTTRVCRTVDXQERVETTR
          VFUQZYCYCTVGZVHYFAYATUCZVIZYBVJYNYAXDSYAGSZURUDUFURATTYOURUDTGRUTUTYA
          YJYKYCYCYLYNYOVJYMYARSURUHAYAVKVLVMYNYOATTYAGAYGYHNYIVTVNVOVPYNYBATTY
          AFAXPYDMYEVTVNVQVRZVSAXJXSURXIWAUFZUJUKXTAXHXSXIYQUJAXFFUIYPWBAYQXIAX
          IAXIAXIAYGXIWCUCNEGWDVTWEZWFWGWHWKAXSXIURAXSAXPXSWCUCMEFWDVTWEYRAWIWJ
          WLWMWNXOXKHRXAHUSZRUHZXLXGXNXJYTDXFRYTDFGYSXCUFZXEUFXFPYTUUAXDFXEYSRG
          XCWTWOWPZVSYTXMXHXIUJYTDXFUIUUBWBWQWMWRWS $.
      $}

      ${
        $d p ph $.
        plydiv.d $e |- ( ph -> D e. NN0 ) $.
        plydiv.e $e |- ( ph -> ( M - N ) = D ) $.
        plydiv.fz $e |- ( ph -> F =/= 0p ) $.
        plydiv.u $e |- U = ( f oF - ( G oF x. p ) ) $.
        plydiv.h $e |- H =
          ( z e. CC |-> ( ( ( A ` M ) / ( B ` N ) ) x. ( z ^ D ) ) ) $.
        plydiv.al $e |- ( ph -> A. f e. ( Poly ` S )
          ( ( f = 0p \/ ( ( deg ` f ) - N ) < D ) ->
            E. p e. ( Poly ` S ) ( U = 0p \/ ( deg ` U ) < N ) ) ) $.
        plydiv.a $e |- A = ( coeff ` F ) $.
        plydiv.b $e |- B = ( coeff ` G ) $.
        plydiv.m $e |- M = ( deg ` F ) $.
        plydiv.n $e |- N = ( deg ` G ) $.
        $( Lemma for ~ plydivex .  Induction step.  (Contributed by Mario
           Carneiro, 26-Jul-2014.) $)
        plydivlem4 $p |- ( ph -> E. q e. ( Poly ` S )
          ( R = 0p \/ ( deg ` R ) < N ) ) $=
          ( cmul cof co cmin cv c0p wceq cdgr cfv clt wbr wo cply wrex wa caddc
          wcel cc wss cdiv cn0 plybss syl c1 cc0 plydivlem1 coef2 syl2anc dgrcl
          wf eqeltrid ffvelrnd sseldd wb dgreq0 necon3bid mpbid divrecd wi fvex
          wne eleq1 neeq1 anbi12d anbi2d oveq2 eleq1d imbi12d ex mp2and caovcld
          vtocl eqeltrd ply1term syl3anc adantr cvv a1i adantl inidm off oveq1d
          plyf eqtr4d oveq2d eqtrd eqeq1d fveq2d breq1d orbi12d syl5eq cle ccoe
          cif eqid eqtrdi fveq2 fveq1d nn0cnd wfn coef3 ffn 3syl nn0red adantlr
          simpr plyadd mulcl subsub4 caofass mulcom caofcom adddi caofdi biimpa
          cnex w3a rspcev syl2an2r plymul csn cxp divne0d coe1term iftruei c0ex
          dgrsub fvconst2 3netr4d coe0 necon3i dgrmul syl22anc dgr1term breqtrd
          npcand ifeq1d ifid coesub nn0ex eqidd coemulhi divcan1d 3eqtr3d ofval
          mpdan subidd 3eqtrd plysub breq2d bitrd orbi2d dgrlt bitr3d mpbir2and
          ltsub1d eqeq1 oveq1 rexbidv rspcdva mpd r19.29a ) ALNMUQURZUSZUTURZUS
          ZMRVAZUWSUSZUXAUSZVBVCZUXEVDVEZPVFVGZVHZHVBVCZHVDVEZPVFVGZVHZQIVIVEZV
          JZRUXNAUXCUXNVMZVKZNUXCVLURZUSZUXNVMUXILMUXSUWSUSZUXAUSZVBVCZUYAVDVEZ
          PVFVGZVHZUXOUXQBCINUXCANUXNVMZUXPAIVNVOZOEVEZPFVEZVPUSZIVMGVQVMZUYFAL
          UXNVMZUYGUCILVRVSZAUYJUYHVTUYIVPUSZUQUSIAUYHUYIAIVNUYHUYMAVQIOEAUYLWA
          IVMZVQIEWFUCABCISTUAUBWBZEILUMWCWDAOLVDVEZVQUOAUYLUYQVQVMUCILWEVSWGZW
          HZWIZAIVNUYIUYMAVQIPFAMUXNVMZUYOVQIFWFUDUYPFIMUNWCWDAPMVDVEZVQUPAVUAV
          UBVQVMUDIMWEVSWGZWHZWIZAMVBWQZUYIWAWQZUEAMVBUYIWAAVUAMVBVCUYIWAVCWJUD
          FIMPUPUNWKVSWLWMZWNABCUYHUYNIIIUQTUYSAUYIIVMZVUGUYNIVMZVUDVUHAVUIVUGV
          KZVUJABVAZIVMZVULWAWQZVKZVKZVTVULVPUSZIVMZWOAVUKVKZVUJWOBUYIPFWPVULUY
          IVCZVUPVUSVURVUJVUTVUOVUKAVUTVUMVUIVUNVUGVULUYIIWRVULUYIWAWSWTXAVUTVU
          QUYNIVULUYIVTVPXBXCXDUAXHXEXFXGXIZUGDUYJINGUKXJXKZXLZAUXPUUBAVUMCVAZI
          VMVKVULVVDVLUSIVMUXPSUUAUUCUXQUXIUYEUXQUXFUYBUXHUYDUXQUXEUYAVBUXQUXEL
          UWTUXDUXRUSZUXAUSUYAUXQBCDVNVLUTVNUTLUWTUXDUTXMVNXMVMUXQUULXNZUXQUYLV
          NVNLWFAUYLUXPUCXLILXSVSUXQBCVNVNVNUQVNVNVNNMXMXMVULVNVMZVVDVNVMZVKZVU
          LVVDUQUSZVNVMUXQVULVVDUUDXOZUXQUYFVNVNNWFVVCINXSVSZUXQVUAVNVNMWFAVUAU
          XPUDXLIMXSVSZVVFVVFVNXPZXQUXQBCVNVNVNUQVNVNVNMUXCXMXMVVKVVMUXPVNVNUXC
          WFAIUXCXSXOZVVFVVFVVNXQVVGVVHDVAZVNVMUUMZVULVVDUTUSVVPUTUSVULVVDVVPVL
          USZUTUSVCUXQVULVVDVVPUUEXOUUFUXQVVEUXTLUXAUXQVVEMNUWSUSZUXDUXRUSUXTUX
          QUWTVVSUXDUXRUXQBCVNUQVNNMXMVVFVVLVVMVVIVVJVVDVULUQUSVCUXQVULVVDUUGXO
          UUHXRUXQBCDVNVLVNUQMNUXCVNVLXMVVFVVMVVLVVOVVQVULVVRUQUSVVJVULVVPUQUSV
          LUSVCUXQVULVVDVVPUUIXOUUJXTYAYBZYCUXQUXGUYCPVFUXQUXEUYAVDVVTYDYEYFUUK
          UXMUYEQUXSUXNQVAZUXSVCZUXJUYBUXLUYDVWBHUYAVBVWBHLMVWAUWSUSZUXAUSUYAUF
          VWBVWCUXTLUXAVWAUXSMUWSXBYAYGZYCVWBUXKUYCPVFVWBHUYAVDVWDYDYEYFUUNUUOA
          UXBVBVCZUXBVDVEZPUTUSZGVFVGZVHZUXIRUXNVJZAVWIVWFOYHVGZOUXBYIVEZVEZWAV
          CZAVWFOUWTVDVEZYHVGZVWOOYJZOYHAUYLUWTUXNVMZVWFVWQYHVGUCABCINMVVBUDSTU
          UPZILUWTOVWOUOVWOYKUVCWDAVWQVWPOOYJOAVWPVWOOOAVWONVDVEZPVLUSZOAUYFNVB
          WQZVUAVUFVWOVXAVCVVBAGNYIVEZVEZGVQWAUUQUURZVEZWQVXBAUYJWAVXDVXFAUYHUY
          IUYTVUEALVBWQUYHWAWQUIALVBUYHWAAUYLLVBVCUYHWAVCWJUCEILOUOUMWKVSWLWMVU
          HUUSZAVXDGGVCZUYJWAYJZUYJAUYJVNVMZUYKUYKVXDVXIVCAIVNUYJUYMVVAWIZUGUGD
          UYJNGGUKUUTXKVXHUYJWAGYKUVAYLZAUYKVXFWAVCUGVQWAGUVBUVDVSUVENVBVXDVXFN
          VBVCZGVXCVXEVXMVXCVBYIVEVXENVBYIYMUVFYLYNUVGVSUDUEINMVWTPVWTYKZUPUVHU
          VIAVXAOPUTUSZPVLUSOAVWTVXOPVLAVWTGVXOAVXJUYJWAWQUYKVWTGVCVXKVXGUGDUYJ
          NGUKUVJXKZUHXTXRAOPAOUYRYOAPVUCYOUVLYBZYBUVMVWPOUVNYLUVKAVWMOEUWTYIVE
          ZUXAUSZVEZUYHUYHUTUSZWAAOVWLVXSAUYLVWRVWLVXSVCUCVWSEVXRILUWTUMVXRYKZU
          VOWDYNAOVQVMZVXTVYAVCUYRAVQVQUYHUYHUTVQEVXRXMXMOAUYLVQVNEWFEVQYPUCEIL
          UMYQVQVNEYRYSAVWRVQVNVXRWFVXRVQYPVWSVXRIUWTVYBYQVQVNVXRYRYSVQXMVMAUVP
          XNZVYDVQXPAVYCVKUYHUVQAOVXRVEZUYHVCVYCAVXAVXRVEZVWTVXCVEZUYIUQUSZVYEU
          YHAUYFVUAVYFVYHVCVVBUDVXCFINMVWTPVXCYKUNVXNUPUVRWDAVXAOVXRVXQYDAVYHUY
          JUYIUQUSUYHAVYGUYJUYIUQAVYGVXDUYJAVWTGVXCVXPYDVXLYBXRAUYHUYIUYTVUEVUH
          UVSYBUVTXLUWAUWBAUYHUYTUWCUWDAVWEVWFOVFVGZVHZVWIVWKVWNVKZAVYIVWHVWEAV
          YIVWGVXOVFVGVWHAVWFOPAVWFAUXBUXNVMZVWFVQVMABCILUWTUCVWSSTUBUWEZIUXBWE
          VSYTAOUYRYTAPVUCYTUWLAVXOGVWGVFUHUWFUWGUWHAVYLVYCVYJVYKWJVYMUYRVWLIUX
          BOVWFVWFYKVWLYKUWIWDUWJUWKAKVAZVBVCZVYNVDVEZPUTUSZGVFVGZVHZJVBVCZJVDV
          EZPVFVGZVHZRUXNVJZWOVWIVWJWOKUXNUXBVYNUXBVCZVYSVWIWUDVWJWUEVYOVWEVYRV
          WHVYNUXBVBUWMWUEVYQVWGGVFWUEVYPVWFPUTVYNUXBVDYMXRYEYFWUEWUCUXIRUXNWUE
          VYTUXFWUBUXHWUEJUXEVBWUEJVYNUXDUXAUSUXEUJVYNUXBUXDUXAUWNYGZYCWUEWUAUX
          GPVFWUEJUXEVDWUFYDYEYFUWOXDULVYMUWPUWQUWR $.
      $}

      ${
        $d f p ph $.
        $( Lemma for ~ plydivalg .  (Contributed by Mario Carneiro,
           24-Jul-2014.) $)
        plydivex $p |- ( ph -> E. q e. ( Poly ` S )
          ( R = 0p \/ ( deg ` R ) < ( deg ` G ) ) ) $=
          ( co clt wo wcel vd vf vg vz vp vw cdgr cfv cmin cv wbr wrex c0p wceq
          cn cply cr cn0 dgrcl syl nn0red resubcld arch wa olc cmul eqeq1 fveq2
          cof oveq1d breq1d orbi12d oveq1 eqtr4di eqeq1d fveq2d rexbidv imbi12d
          wi wral nnnn0 cc0 c1 caddc breq2 orbi2d imbi1d ralbidv imbi2d adantlr
          weq wne cdiv cneg adantr simprl eqid simprr plydivlem3 expr ralrimiva
          cbvralvw ccoe cexp cmpt simplll simplr simpllr simprrr simprrl oveq2d
          sylan cbvmptv oveq2 cbvrexvw imbi2i ralbii sylib plydivlem4 ralrimdva
          cc exp32 syl5bi ancld cle cz wb adantl ad2antrr zsubcld nn0z ad2antlr
          nn0zd zleltp1 syl2anc zred orbi2i bitr4i or12 bitrdi leloed bitr3d wn
          nn0re pm5.63 df-ne anbi1i 3bitr4i jaob ralbidva r19.26 sylibrd expcom
          orass a2d nn0ind impcom rspcdva syl5 rexlimdva mpd ) AFUGUHZGUGUHZUIQ
          ZUAUJZRUKZUAUOULZDUMUNZDUGUHZUVCRUKZSZHEUPUHZULZAUVDUQTUVGAUVBUVCAUVB
          AFUVLTZUVBURTMEFUSUTVAAUVCAGUVLTZUVCURTZNEGUSZUTVAVBUVDUAVCUTAUVFUVMU
          AUOUVFFUMUNZUVFSZAUVEUOTZVDZUVMUVFUVRVEUWAUBUJZUMUNZUWBUGUHZUVCUIQZUV
          ERUKZSZUWBGHUJZVFVIZQZUIVIZQZUMUNZUWLUGUHZUVCRUKZSZHUVLULZVSZUVSUVMVS
          UBUVLFUWBFUNZUWGUVSUWQUVMUWSUWCUVRUWFUVFUWBFUMVGUWSUWEUVDUVERUWSUWDUV
          BUVCUIUWBFUGVHVJVKVLUWSUWPUVKHUVLUWSUWMUVHUWOUVJUWSUWLDUMUWSUWLFUWJUW
          KQDUWBFUWJUWKVMPVNZVOUWSUWNUVIUVCRUWSUWLDUGUWTVPVKVLVQVRUVTAUWRUBUVLV
          TZUVTUVEURTZAUXAVSZUVEWAAUWCUWEBUJZRUKZSZUWQVSZUBUVLVTZVSAUWCUWEWBRUK
          ZSZUWQVSZUBUVLVTZVSUXCAUWCUWEUVEWCWDQZRUKZSZUWQVSZUBUVLVTZVSUXCBUAUVE
          UXDWBUNZUXHUXLAUXRUXGUXKUBUVLUXRUXFUXJUWQUXRUXEUXIUWCUXDWBUWERWEWFWGW
          HWIBUAWKZUXHUXAAUXSUXGUWRUBUVLUXSUXFUWGUWQUXSUXEUWFUWCUXDUVEUWERWEWFW
          GWHWIZUXDUXMUNZUXHUXQAUYAUXGUXPUBUVLUYAUXFUXOUWQUYAUXEUXNUWCUXDUXMUWE
          RWEWFWGWHWIUXTAUXKUBUVLAUWBUVLTZUXJUWQAUYBUXJVDZVDBCUWLEUWBGHAUXDETZC
          UJZETVDZUXDUYEWDQETZUYCIWJAUYFUXDUYEVFQETZUYCJWJAUYDUXDWBWLVDZWCUXDWM
          QETZUYCKWJAWCWNETZUYCLWOAUYBUXJWPAUVOUYCNWOAGUMWLZUYCOWOUWLWQZAUYBUXJ
          WRWSWTXAUXBAUXAUXQAUXBUXAUXQVSAUXBVDZUXAUXAUWBUMWLZUWEUVEUNZVDZUWQVSZ
          UBUVLVTZVDZUXQUYNUXAUYSUXAUCUJZUMUNZVUAUGUHZUVCUIQZUVERUKZSZVUAUWJUWK
          QZUMUNZVUGUGUHZUVCRUKZSZHUVLULZVSZUCUVLVTZUYNUYSUWRVUMUBUCUVLUBUCWKZU
          WGVUFUWQVULVUOUWCVUBUWFVUEUWBVUAUMVGVUOUWEVUDUVERVUOUWDVUCUVCUIUWBVUA
          UGVHVJVKVLVUOUWPVUKHUVLVUOUWMVUHUWOVUJVUOUWLVUGUMUWBVUAUWJUWKVMZVOVUO
          UWNVUIUVCRVUOUWLVUGUGVUPVPVKVLVQVRXBUYNVUNUYRUBUVLUYNUYBVDZVUNUYQUWQV
          UQVUNUYQVDZVDZBCUDUWBXCUHZGXCUHZUVEUWLEVUAGUEUJZUWIQZUWKQZUCUWBGUFYAU
          WDVUTUHUVCVVAUHWMQZUFUJZUVEXDQZVFQZXEUWDUVCHUEVUSAUYFUYGAUXBUYBVURXFZ
          IXLVUSAUYFUYHVVIJXLVUSAUYIUYJVVIKXLVUSAUYKVVILUTUYNUYBVURXGVUSAUVOVVI
          NUTVUSAUYLVVIOUTUYMAUXBUYBVURXHVUQVUNUYOUYPXIVUQVUNUYOUYPXJVVDWQUFUDY
          AVVHVVEUDUJZUVEXDQZVFQUFUDWKVVGVVKVVEVFVVFVVJUVEXDVMXKXMVUSVUNVUFVVDU
          MUNZVVDUGUHZUVCRUKZSZUEUVLULZVSZUCUVLVTVUQVUNUYQWPVUMVVQUCUVLVULVVPVU
          FVUKVVOHUEUVLHUEWKZVUHVVLVUJVVNVVRVUGVVDUMVVRUWJVVCVUAUWKUWHVVBGUWIXN
          XKZVOVVRVUIVVMUVCRVVRVUGVVDUGVVSVPVKVLXOXPXQXRVUTWQVVAWQUWDWQUVCWQXSY
          BXTYCYDUYNUXQUWRUYRVDZUBUVLVTUYTUYNUXPVVTUBUVLVUQUXPUWGUYQSZUWQVSVVTV
          UQUXOVWAUWQVUQUXOUWCUWFUYPSZSZVWAVUQUXNVWBUWCVUQUWEUVEYEUKZUXNVWBVUQU
          WEYFTUVEYFTZVWDUXNYGVUQUWDUVCVUQUWDUYBUWDURTUYNEUWBUSYHYMVUQUVCVUQUVO
          UVPAUVOUXBUYBNYIUVQUTYMYJZUXBVWEAUYBUVEYKYLUWEUVEYNYOVUQUWEUVEVUQUWEV
          WFYPUXBUVEUQTAUYBUVEUUDYLUUAUUBWFVWCUWCUWFUYQSSZVWAUWFUWCUYPSZSUWFUWC
          UYQSZSVWCVWGVWHVWIUWFVWHUWCUWCUUCZUYPVDZSVWIUWCUYPUUEUYQVWKUWCUYOVWJU
          YPUWBUMUUFUUGYQYRYQUWCUWFUYPYSUWCUWFUYQYSUUHUWCUWFUYQUUNYRYTWGUWGUWQU
          YQUUIYTUUJUWRUYRUBUVLUUKYTUULUUMUUOUUPUTUUQAUVNUVTMWOUURUUSUUTUVA $.
      $}

      ${
        plydiveu.q $e |- ( ph -> q e. ( Poly ` S ) ) $.
        plydiveu.qd $e |- ( ph -> ( R = 0p \/ ( deg ` R ) < ( deg ` G ) ) ) $.
        plydiveu.t $e |- T = ( F oF - ( G oF x. p ) ) $.
        plydiveu.p $e |- ( ph -> p e. ( Poly ` S ) ) $.
        plydiveu.pd $e |- ( ph -> ( T = 0p \/ ( deg ` T ) < ( deg ` G ) ) ) $.
        $( Lemma for ~ plydivalg .  (Contributed by Mario Carneiro,
           24-Jul-2014.) $)
        plydiveu $p |- ( ph -> p = q ) $=
          ( vz cv cmin cof co cc cc0 csn cxp wceq c0p idd wne cdgr cfv ccoe cle
          wa wbr cif cply cn0 plydivlem2 mpdan plysub dgrcl syl nn0red cr ifcld
          wcel eqid dgrsub syl2anc clt wo dgrlt mpbid simpld breq1 ifboth letrd
          wb adantr caddc nn0addge1 cmul cmpt wf plyf ffvelrnda plymul nnncan1d
          mpteq2dva cvv cnex subcld feqmptd offval2 syl5eq 3eqtr4d subdi adantl
          a1i caofdi eqtr4d fveq2d simpr dgrmul syl22anc eqtrd breqtrrd letri3d
          w3a mpbir2and coesub fveq1d coef3 3syl nn0ex inidm simprd ofval 0m0e0
          wfn ffn eqtrdi dgreq0 biimpar syldan ex plymul0or eqeq1d neneqd biorf
          wn 3bitr4d sylibd pm2.61dne df-0p ofsubeq0 mp3an2i ) AJUEZIUEZUFUGZUH
          ZUIUJUKULZUMZUUFUUGUMZAUUIUNUUJAUUIUNUMZUUIUNAUUMUOAUUIUNUPZDFUUHUHZU
          NUMZUUMAUUNUUPAUUNUUOUQURZUUOUSURZURZUJUMZUUPAUUNVAZUUSHUQURZUURURZUJ
          UVAUUQUVBUURUVAUUQUVBUMZUUQUVBUTVBZUVBUUQUTVBZAUVEUUNAUUQDUQURZFUQURZ
          UTVBZUVHUVGVCZUVBAUUQAUUOEVDURZVNZUUQVEVNABCEDFAUUGUVKVNZDUVKVNZSABCD
          EGHIKLMNOPQRVFVGZAUUFUVKVNZFUVKVNZUBABCFEGHJKLMNOPQUAVFVGZKLNVHZEUUOV
          IVJVKZAUVIUVHUVGVLAUVHAUVQUVHVEVNUVREFVIVJVKAUVGAUVNUVGVEVNUVOEDVIVJV
          KVMAUVBAHUVKVNZUVBVEVNZPEHVIVJZVKZAUVNUVQUUQUVJUTVBUVOUVREDFUVGUVHUVG
          VOZUVHVOZVPVQAUVHUVBUTVBZUVGUVBUTVBZUVJUVBUTVBZAUWGUVBFUSURZURUJUMZAF
          UNUMUVHUVBVRVBVSZUWGUWKVAZUCAUVQUWBUWLUWMWFUVRUWCUWJEFUVBUVHUWFUWJVOZ
          VTVQWAZWBAUWHUVBDUSURZURUJUMZADUNUMUVGUVBVRVBVSZUWHUWQVAZTAUVNUWBUWRU
          WSWFUVOUWCUWPEDUVBUVGUWEUWPVOZVTVQWAZWBUVIUWGUWHUWIUVHUVGUVHUVJUVBUTW
          CUVGUVJUVBUTWCWDVQWEWGUVAUVBUVBUUIUQURZWHUHZUUQUTAUVBUXCUTVBZUUNAUVBV
          LVNUXBVEVNZUXDUWDAUUIUVKVNZUXEABCEUUFUUGUBSKLNVHZEUUIVIVJUVBUXBWIVQWG
          UVAUUQHUUIWJUGZUHZUQURZUXCAUUQUXJUMUUNAUUOUXIUQAUUOHUUFUXHUHZHUUGUXHU
          HZUUHUHZUXIAUDUIUDUEZGURZUXNUXLURZUFUHZUXOUXNUXKURZUFUHZUFUHZWKUDUIUX
          RUXPUFUHZWKUUOUXMAUDUIUXTUYAAUXNUIVNZVAZUXOUXPUXRAUIUIUXNGAGUVKVNUIUI
          GWLOEGWMVJZWNZAUIUIUXNUXLAUXLUVKVNUIUIUXLWLABCEHUUGPSKLWOEUXLWMVJZWNZ
          AUIUIUXNUXKAUXKUVKVNUIUIUXKWLABCEHUUFPUBKLWOEUXKWMVJZWNZWPWQAUDUIUXQU
          XSUFDFWRUIUIUIWRVNZAWSXGZUYCUXOUXPUYEUYGWTUYCUXOUXRUYEUYIWTADGUXLUUHU
          HUDUIUXQWKRAUDUIUXOUXPUFGUXLWRUIUIUYKUYEUYGAUDUIUIGUYDXAZAUDUIUIUXLUY
          FXAZXBXCAFGUXKUUHUHUDUIUXSWKUAAUDUIUXOUXRUFGUXKWRUIUIUYKUYEUYIUYLAUDU
          IUIUXKUYHXAZXBXCXBAUDUIUXRUXPUFUXKUXLWRUIUIUYKUYIUYGUYNUYMXBXDABCUDUI
          UFUIWJHUUFUUGUIUFWRUYKAUWAUIUIHWLPEHWMVJAUVPUIUIUUFWLZUBEUUFWMVJZAUVM
          UIUIUUGWLZSEUUGWMVJZBUEZUIVNCUEZUIVNUYBXQUYSUYTUXNUFUHWJUHUYSUYTWJUHU
          YSUXNWJUHUFUHUMAUYSUYTUXNXEXFXHXIZXJWGUVAUWAHUNUPZUXFUUNUXJUXCUMAUWAU
          UNPWGAVUBUUNQWGAUXFUUNUXGWGAUUNXKEHUUIUVBUXBUVBVOUXBVOXLXMXNXOAUVDUVE
          UVFVAWFUUNAUUQUVBUVTUWDXPWGXRXJAUVCUJUMUUNAUVCUJUJUFUHZUJAUVCUVBUWPUW
          JUUHUHZURZVUCAUVBUURVUDAUVNUVQUURVUDUMUVOUVRUWPUWJEDFUWTUWNXSVQXTAUWB
          VUEVUCUMUWCAVEVEUJUJUFVEUWPUWJWRWRUVBAUVNVEUIUWPWLUWPVEYHUVOUWPEDUWTY
          AVEUIUWPYIYBAUVQVEUIUWJWLUWJVEYHUVRUWJEFUWNYAVEUIUWJYIYBVEWRVNAYCXGZV
          UFVEYDAUWQUWBAUWHUWQUXAYEWGAUWKUWBAUWGUWKUWOYEWGYFVGXNYGYJWGXNAUUPUUT
          AUVLUUPUUTWFUVSUUREUUOUUQUUQVOUURVOYKVJYLYMYNAUXIUNUMZHUNUMZUUMVSZUUP
          UUMAUWAUXFVUGVUIWFPUXGEHUUIYOVQAUUOUXIUNVUAYPAVUHYSUUMVUIWFAHUNQYQVUH
          UUMYRVJYTUUAUUBUUCYJUYJAUYOUYQUUKUULWFWSUYPUYRUIUUFUUGWRUUDUUEWA $.
      $}

      $d p q ph $.
      $( The division algorithm on polynomials over a subfield ` S ` of the
         complex numbers.  If ` F ` and ` G =/= 0 ` are polynomials over
         ` S ` , then there is a unique quotient polynomial ` q ` such that the
         remainder ` F - G x. q ` is either zero or has degree less than
         ` G ` .  (Contributed by Mario Carneiro, 26-Jul-2014.) $)
      plydivalg $p |- ( ph -> E! q e. ( Poly ` S )
        ( R = 0p \/ ( deg ` R ) < ( deg ` G ) ) ) $=
        ( vp co wa wcel c0p wceq cdgr cfv clt wbr wo cply wrex cv cmul cof cmin
        wi wral wreu plydivex caddc simpll sylan cc0 wne cdiv cneg eqid simplrr
        c1 syl simprr simplrl simprl plydiveu ex ralrimivva oveq2 oveq2d syl5eq
        eqeq1d fveq2d breq1d orbi12d reu4 sylanbrc ) ADUAUBZDUCUDZGUCUDZUEUFZUG
        ZHEUHUDZUIWHFGQUJZUKULZRZUMULZRZUAUBZWNUCUDZWFUEUFZUGZSZHUJZWJUBZUNZQWI
        UOHWIUOWHHWIUPABCDEFGHIJKLMNOPUQAXBHQWIWIAWTWITZWJWITZSZSZWSXAXFWSSZBCW
        NEDFGQHXGABUJZETZCUJZETSZXHXJURRETAXEWSUSZIUTXGAXKXHXJUKRETXLJUTXGAXIXH
        VAVBSVGXHVCRETXLKUTXGAVGVDETXLLVHXGAFWITXLMVHXGAGWITXLNVHXGAGUAVBXLOVHW
        NVEAXCXDWSVFXFWHWRVIPAXCXDWSVJXFWHWRVKVLVMVNWHWRHQWIXAWDWOWGWQXADWNUAXA
        DFGWTWKRZWMRWNPXAXMWLFWMWTWJGWKVOVPVQZVRXAWEWPWFUEXADWNUCXNVSVTWAWBWC
        $.
    $}

    ${
      $d q R $.  $d q ph $.
      quotlem.8 $e |- R = ( F oF - ( G oF x. ( F quot G ) ) ) $.
      $( Lemma for properties of the polynomial quotient function.
         (Contributed by Mario Carneiro, 26-Jul-2014.) $)
      quotlem $p |- ( ph -> ( ( F quot G ) e. ( Poly ` S ) /\
        ( R = 0p \/ ( deg ` R ) < ( deg ` G ) ) ) ) $=
        ( vq co wceq wcel cc cquot cmul cof cmin c0p cdgr cfv clt wbr cply crab
        cv wo wa crio wne eqid quotval syl3anc wrex wreu plydivalg reurex caddc
        syl addcl adantl mulcl cc0 cdiv reccl cneg neg1cn a1i plyssc sselid wss
        c1 wi wral rgenw riotass2 mpanl12 syl2anc eqtr4d riotacl2 eqeltrd oveq2
        id oveq2d eqtr4di eqeq1d fveq2d breq1d orbi12d elrab sylib ) AFGUAQZFGP
        ULZUBUCZQZUDUCZQZUERZXCUFUGZGUFUGZUHUIZUMZPEUJUGZUKZSWRXISDUERZDUFUGZXF
        UHUIZUMZUNAWRXHPXIUOZXJAWRXHPTUJUGZUOZXOAFXISGXISGUEUPWRXQRLMNXCEFGPXCU
        QZURUSAXHPXIUTZXHPXPVAZXOXQRZAXHPXIVAZXSABCXCEFGPHIJKLMNXRVBZXHPXIVCVEA
        BCXCTFGPBULZTSZCULZTSUNZYDYFVDQTSAYDYFVFVGYGYDYFUBQTSAYDYFVHVGYEYDVIUPU
        NVRYDVJQTSAYDVKVGVRVLTSAVMVNAXIXPFEVOZLVPAXIXPGYHMVPNXRVBXIXPVQXHXHVSZP
        XIVTXSXTUNYAYHYIPXIXHWIWAXHXHPXIXPWBWCWDWEAYBXOXJSYCXHPXIWFVEWGXHXNPWRX
        IWSWRRZXDXKXGXMYJXCDUEYJXCFGWRWTQZXBQDYJXAYKFXBWSWRGWTWHWJOWKZWLYJXEXLX
        FUHYJXCDUFYLWMWNWOWPWQ $.
    $}

    $( The quotient of two polynomials in a field ` S ` is also in the field.
       (Contributed by Mario Carneiro, 26-Jul-2014.) $)
    quotcl $p |- ( ph -> ( F quot G ) e. ( Poly ` S ) ) $=
      ( cquot co cply cfv wcel cof cdgr cmul cmin c0p wceq clt wbr eqid quotlem
      wo simpld ) AEFNOZDPQREFUKUASOUBSOZUCUDULTQFTQUEUFUIABCULDEFGHIJKLMULUGUH
      UJ $.
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y R $.  $d x y S $.
    $( Closure of the quotient function.  (Contributed by Mario Carneiro,
       26-Jul-2014.) $)
    quotcl2 $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) /\ G =/= 0p ) ->
                    ( F quot G ) e. ( Poly ` CC ) ) $=
      ( vx vy cply cfv wcel c0p wne w3a cc cv wa caddc co addcl adantl sselid
      c1 cmul mulcl cc0 cdiv reccl cneg neg1cn plyssc simp1 simp2 simp3 quotcl
      a1i ) BAFGZHZCUNHZCIJZKZDELBCDMZLHZEMZLHNZUSVAOPLHURUSVAQRVBUSVAUAPLHURUS
      VAUBRUTUSUCJNTUSUDPLHURUSUERTUFLHURUGUMURUNLFGZBAUHZUOUPUQUISURUNVCCVDUOU
      PUQUJSUOUPUQUKUL $.

    quotdgr.1 $e |- R = ( F oF - ( G oF x. ( F quot G ) ) ) $.
    $( Remainder property of the quotient function.  (Contributed by Mario
       Carneiro, 26-Jul-2014.) $)
    quotdgr $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) /\ G =/= 0p ) ->
                    ( R = 0p \/ ( deg ` R ) < ( deg ` G ) ) ) $=
      ( vx vy cply cfv wcel c0p wne co cc cdgr cv wa adantl c1 sselid w3a cquot
      wceq clt wbr caddc addcl cmul mulcl cc0 cdiv reccl cneg neg1cn a1i plyssc
      wo simp1 simp2 simp3 quotlem simprd ) CBHIZJZDVCJZDKLZUAZCDUBMNHIZJAKUCAO
      IDOIUDUEUQVGFGANCDFPZNJZGPZNJQZVIVKUFMNJVGVIVKUGRVLVIVKUHMNJVGVIVKUIRVJVI
      UJLQSVIUKMNJVGVIULRSUMNJVGUNUOVGVCVHCBUPZVDVEVFURTVGVCVHDVMVDVEVFUSTVDVEV
      FUTEVAVB $.
  $}

  ${
    $d z A $.  $d z F $.  $d z G $.  $d z S $.
    plyrem.1 $e |- G = ( Xp oF - ( CC X. { A } ) ) $.
    $( Closure of a linear factor.  (Contributed by Mario Carneiro,
       26-Jul-2014.) $)
    plyremlem $p |- ( A e. CC ->
    ( G e. ( Poly ` CC ) /\ ( deg ` G ) = 1 /\ ( `' G " { 0 } ) = { A } ) ) $=
      ( vz cc wcel cfv cdgr c1 wceq cc0 csn cidp cmin co caddc cmpt wa cvv a1i
      cply ccnv cima cxp cof wss ssid ax-1cn plyid mp2an plyconst mpan plysubcl
      sylancr eqeltrid cneg cv negcl addcom sylan negsub ancoms eqtrd mpteq2dva
      cnex negex simpr fconstmpt cid cres df-idp mptresid eqtri offval2 3eqtr4d
      simpl eqtr4di fveq2d clt wbr 0dgr 0lt1 eqbrtrdi eqid dgrid eqcomi dgradd2
      syl syl3anc eqtr3d syl5eq fveq1d adantr ovex fvmpt2 sylancl eqeq1d subeq0
      wb bitrd pm5.32da wf wfn plyf fniniseg 4syl eleq1a pm4.71rd 3bitr4d velsn
      ffn bitr4di eqrdv 3jca ) AEFZBEUAGZFZBHGZIJBUBKLUCZALZJXOBMEXTUDZNUEOZXPC
      XOMXPFZYAXPFZYBXPFEEUFZIEFYCEUGZUHEUIUJZYEXOYDYFAEUKULEMYAUMUNUOZXOEAUPZL
      UDZMPUEOZHGZXRIXOYKBHXOYKYBBXODEYIDUQZPOZQDEYMANOZQZYKYBXODEYNYOXOYMEFZRZ
      YNYMYIPOZYOXOYIEFZYQYNYSJAURZYIYMUSUTYQXOYSYOJYMAVAVBVCVDXODEYIYMPYJMSSEE
      SFXOVETZYISFYRAVFTXOYQVGZYJDEYIQJXODEYIVHTMDEYMQZJXOMVIEVJUUDVKDEVLVMTZVN
      XODEYMANMYASEEUUBUUCXOYQVPUUEYADEAQJXODEAVHTVNZVOCVQVRXOYJXPFZYCYJHGZIVSV
      TYLIJXOYEYTUUGYFUUAYIEUKUNYCXOYGTXOUUHKIVSXOYTUUHKJUUAYIWAWHWBWCEYJMUUHIU
      UHWDMHGIWEWFWGWIWJXODXSXTXOYMXSFZYMAJZYMXTFXOYQYMBGZKJZRZYQUUJRUUIUUJXOYQ
      UULUUJYRUULYOKJZUUJYRUUKYOKYRUUKYMYPGZYOXOUUKUUOJYQXOYMBYPXOBYBYPCUUFWKWL
      WMYRYQYOSFUUOYOJUUCYMANWNDEYOSYPYPWDWOWPVCWQYQXOUUNUUJWSYMAWRVBWTXAXOXQEE
      BXBBEXCUUIUUMWSYHEBXDEEBXKEKYMBXEXFXOUUJYQAEYMXGXHXIDAXJXLXMXN $.

    plyrem.2 $e |- R = ( F oF - ( G oF x. ( F quot G ) ) ) $.
    $( The polynomial remainder theorem, or little B&eacute;zout's theorem (by
       contrast to the regular B&eacute;zout's theorem ~ bezout ).  If a
       polynomial ` F ` is divided by the linear factor ` x - A ` , the
       remainder is equal to ` F ( A ) ` , the evaluation of the polynomial at
       ` A ` (interpreted as a constant polynomial).  This is part of Metamath
       100 proof #89.  (Contributed by Mario Carneiro, 26-Jul-2014.) $)
    plyrem $p |- ( ( F e. ( Poly ` S ) /\ A e. CC ) ->
                   R = ( CC X. { ( F ` A ) } ) ) $=
      ( cfv wcel cc cc0 csn cdgr wceq c1 clt c0p syl wb cvv cply wa cxp wbr wne
      wo wi plyssc simpl sselid ccnv w3a plyremlem adantl simp1d simp2d ax-1ne0
      cima a1i eqnetrd fveq2 dgr0 eqtrdi necon3i quotdgr syl3anc 0lt1 breqtrrid
      breq1d syl5ibrcom pm2.62 sylc breqtrd cn0 cquot co cmul cof cmin plymulcl
      quotcl2 syl2anc plysubcl eqeltrid dgrcl nn0lt10b mpbid fveq1d fveq1i plyf
      0dgrb wf adantr ffnd cnex inidm offn eqidd cun wss simp3d ssun1 eqsstrrdi
      snssg mpbird ofmulrt eleqtrrd wfn fniniseg simprd ofval anabss3 ffvelrnda
      syl5eq subid1d eqtrd fvex fvconst2 3eqtr3d sneqd xpeq2d eqtr4d ) DCUAHZIZ
      AJIZUBZBJKBHZLZUCZJADHZLZUCYFBMHZKNZBYINZYFYLOPUDZYMYFYLEMHZOPYFBQNZYLYPP
      UDZUFZYQYRUGYRYFDJUAHZIZEYTIZEQUEZYSYFYCYTDCUHYDYEUIUJZYFUUBYPONZEUKKLZUR
      ZALZNZYEUUBUUEUUIULYDAEFUMUNZUOZYFYPKUEUUCYFYPOKYFUUBUUEUUIUUJUPZOKUEYFUQ
      USUTEQYPKEQNYPQMHZKEQMVAVBVCVDRZBJDEGVEVFYFYRYQKYPPUDYFKOYPPVGUULVHYQYLKY
      PPYQYLUUMKBQMVAVBVCVIVJYQYRVKVLUULVMYFYLVNIZYOYMSYFBYTIZUUOYFBDEDEVOVPZVQ
      VRVPZVSVRVPZYTGYFUUAUURYTIZUUSYTIUUDYFUUBUUQYTIZUUTUUKYFUUAUUBUUCUVAUUDUU
      KUUNJDEWAVFZJEUUQVTWBJDUURWCWBWDZJBWERYLWFRWGYFUUPYMYNSUVCJBWKRWGZYFYKYHJ
      YFYJYGYFABHZAYIHZYJYGYFABYIUVDWHYFUVEYJKVSVPZYJYFUVEAUUSHZUVGABUUSGWIYDYE
      UVHUVGNYFJJYJKVSJDUURTTAYFJJDYDJJDWLYECDWJZWMWNYFJJVQJEUUQTTYFJJEYFUUBJJE
      WLZUUKJEWJRZWNYFJJUUQYFUVAJJUUQWLZUVBJUUQWJRZWNJTIZYFWOUSZUVOJWPZWQZUVOUV
      OUVPYFYEUBYJWRYFAUURHKNZYEYFYEUVRYFAUURUKUUFURZIZYEUVRUBZYFAUUGUUQUKUUFUR
      ZWSZUVSYFAUWCIZUUHUWCWTZYFUUHUUGUWCYFUUBUUEUUIUUJXAUUGUWBXBXCYEUWDUWESYDA
      UWCJXDUNXEYFUVNUVJUVLUVSUWCNUVOUVKUVMJEUUQTXFVFXGYFUURJXHUVTUWASUVQJKAUUR
      XIRWGXJWMXKXLXNYFYJYDJJADUVIXMXOXPYEUVFYGNYDJYGAKBXQXRUNXSXTYAYB $.
  $}

  ${
    facth.1 $e |- G = ( Xp oF - ( CC X. { A } ) ) $.
    $( The factor theorem.  If a polynomial ` F ` has a root at ` A ` , then
       ` G = x - A ` is a factor of ` F ` (and the other factor is
       ` F quot G ` ).  This is part of Metamath 100 proof #89.  (Contributed
       by Mario Carneiro, 26-Jul-2014.) $)
    facth $p |- ( ( F e. ( Poly ` S ) /\ A e. CC /\ ( F ` A ) = 0 ) ->
                   F = ( G oF x. ( F quot G ) ) ) $=
      ( cply cfv wcel cc cc0 wceq w3a co cof csn syl cdgr c1 c0p wne cquot cmul
      cmin cxp eqid plyrem 3adant3 simp3 sneqd xpeq2d eqtrd cvv wf wb a1i simp1
      cnex plyf ccnv cima plyremlem simp1d plyssc sselid simp2d ax-1ne0 eqnetrd
      3ad2ant2 fveq2 dgr0 eqtrdi necon3i quotcl2 syl3anc plymulcl syl2anc mpbid
      ofsubeq0 ) CBFGZHZAIHZACGZJKZLZCDCDUAMZUBNMZUCNMZIJOZUDZKZCWFKZWDWGIWBOZU
      DZWIVTWAWGWMKWCAWGBCDEWGUEUFUGWDWLWHIWDWBJVTWAWCUHUIUJUKWDIULHZIICUMZIIWF
      UMZWJWKUNWNWDUQUOWDVTWOVTWAWCUPZBCURPWDWFIFGZHZWPWDDWRHZWEWRHZWSWDWTDQGZR
      KZDUSWHUTAOKZWAVTWTXCXDLWCADEVAVHZVBZWDCWRHWTDSTZXAWDVSWRCBVCWQVDXFWDXBJT
      XGWDXBRJWDWTXCXDXEVERJTWDVFUOVGDSXBJDSKXBSQGJDSQVIVJVKVLPICDVMVNIDWEVOVPI
      WFURPICWFULVRVNVQ $.
  $}

  ${
    $d g x A $.  $d g D $.  $d d f g x F $.  $d x ph $.  $d f R $.
    fta1.1 $e |- R = ( `' F " { 0 } ) $.
    ${
      fta1.2 $e |- ( ph -> D e. NN0 ) $.
      fta1.3 $e |- ( ph -> F e. ( ( Poly ` CC ) \ { 0p } ) ) $.
      fta1.4 $e |- ( ph -> ( deg ` F ) = ( D + 1 ) ) $.
      fta1.5 $e |- ( ph -> A e. ( `' F " { 0 } ) ) $.
      fta1.6 $e |- ( ph -> A. g e. ( ( Poly ` CC ) \ { 0p } )
        ( ( deg ` g ) = D -> ( ( `' g " { 0 } ) e. Fin /\
          ( # ` ( `' g " { 0 } ) ) <_ ( deg ` g ) ) ) ) $.
      $( Lemma for ~ fta1 .  (Contributed by Mario Carneiro, 26-Jul-2014.) $)
      fta1lem $p |- ( ph -> ( R e. Fin /\ ( # ` R ) <_ ( deg ` F ) ) ) $=
        ( wcel cfv cc co cc0 wceq c0p c1 vx cfn chash cdgr cle wbr cidp csn cxp
        cmin cof cquot ccnv cima cun cmul cply wne cdif wa eldifsn sylib simpld
        wf wfn wb plyf ffn fniniseg 4syl mpbid simprd eqid facth syl3anc cnveqd
        imaeq1d cvv cnex a1i wss ssid plyid mp2an plyconst sylancr plysubcl syl
        ax-1cn w3a plyremlem simp2d ax-1ne0 eqnetrd dgr0 eqtrdi necon3i quotcl2
        fveq2 ofmulrt simp3d uneq1d 3eqtrd uncom 3eqtr4g cn0 dgrcl nn0cnd caddc
        addcom fveq2d eqcomd cv mul01 adantl caofid1 df-0p oveq2i 3netr4d oveq2
        dgrmul syl22anc 3eqtr3d oveq1d 3eqtrrd addcanad wi fveqeq2 cnveq eleq1d
        0cnd breq12d anbi12d imbi12d sylanbrc sylancl hashcl nn0red cr breqtrd
        rspcdva snfi unfi eqeltrd peano2re hashun2 hashsng oveq2d 1red leadd1dd
        mpd breqtrrd letrd eqbrtrd jca ) ADUBMDUCNZFUDNZUEUFADFUGOBUHZUIZUJUKPZ
        ULPZUMZQUHZUNZUURUOZUBAFUMZUVCUNZUURUVDUOZDUVEAUVGUUTUVAUPUKZPZUMZUVCUN
        ZUUTUMUVCUNZUVDUOZUVHAUVFUVKUVCAFUVJAFOUQNZMZBOMZBFNQRZFUVJRAUVPFSURZAF
        UVOSUHUSZMUVPUVSUTIFUVOSVAVBZVCZAUVQUVRABUVGMZUVQUVRUTZKAUVPOOFVDFOVEUW
        CUWDVFUWBOFVGOOFVHOQBFVIVJVKZVCZAUVQUVRUWEVLBOFUUTUUTVMZVNVOZVPVQAOVRMZ
        OOUUTVDZOOUVAVDZUVLUVNRUWIAVSVTZAUUTUVOMZUWJAUGUVOMZUUSUVOMZUWMOOWAZTOM
        ZUWNOWBZWIOWCWDAUWPUVQUWOUWRUWFBOWEWFOUGUUSWGWFZOUUTVGWHZAUVAUVOMZUWKAU
        VPUWMUUTSURZUXAUWBUWSAUUTUDNZQURUXBAUXCTQAUWMUXCTRZUVMUURRZAUVQUWMUXDUX
        EWJUWFBUUTUWGWKWHZWLZTQURAWMVTWNUUTSUXCQUUTSRUXCSUDNQUUTSUDWSWOWPWQWHZO
        FUUTWRVOZOUVAVGWHOUUTUVAVRWTVOAUVMUURUVDAUWMUXDUXEUXFXAXBXCGUVDUURXDXEZ
        AUVDUBMZUURUBMZUVEUBMZAUXKUVDUCNZUVAUDNZUEUFZAUXOCRZUXKUXPUTZATUXOCUWQA
        WIVTAUXOAUXAUXOXFMUXIOUVAXGWHXHACHXHZATCXIPZCTXIPZUXCUXOXIPZTUXOXIPAUWQ
        COMUXTUYARWIUXSTCXJWFAUUQUVJUDNZUYAUYBAFUVJUDUWHXKJAUWMUXBUXAUVASURZUYC
        UYBRUWSUXHUXIAUVJUUTSUVIPZURUYDAFSUVJUYEAUVPUVSUWAVLAFUVJUWHXLAUUTOUVCU
        IZUVIPUYFUYESAUAOQQUPOUUTVROOUWLUWTAYKZUYGUAXMZOMUYHQUPPQRAUYHXNXOXPSUY
        FUUTUVIXQXRXQXEXSUVASUVJUYEUVASUUTUVIXTWQWHZOUUTUVAUXCUXOUXCVMUXOVMYAYB
        YCAUXCTUXOXIUXGYDYEYFZAEXMZUDNZCRZUYKUMZUVCUNZUBMZUYOUCNZUYLUEUFZUTZYGU
        XQUXRYGEUVTUVAUYKUVARZUYMUXQUYSUXRUYKUVACUDYHUYTUYPUXKUYRUXPUYTUYOUVDUB
        UYTUYNUVBUVCUYKUVAYIVQZYJUYTUYQUXNUYLUXOUEUYTUYOUVDUCVUAXKUYKUVAUDWSYLY
        MYNLAUXAUYDUVAUVTMUXIUYIUVAUVOSVAYOUUAUUKZVCZBUUBZUVDUURUUCYPZUUDAUUPUV
        EUCNZUUQUEADUVEUCUXJXKAVUFUXNTXIPZUUQAVUFAUXMVUFXFMVUEUVEYQWHYRAUXNYSMV
        UGYSMAUXNAUXKUXNXFMVUCUVDYQWHYRZUXNUUEWHAUUQAUVPUUQXFMUWBOFXGWHYRAVUFUX
        NUURUCNZXIPZVUGUEAUXKUXLVUFVUJUEUFVUCVUDUVDUURUUFYPAVUITUXNXIAUVQVUITRU
        WFBOUUGWHUUHYTAVUGUYAUUQUEAUXNCTVUHACHYRAUUIAUXNUXOCUEAUXKUXPVUBVLUYJYT
        UUJJUULUUMUUNUUO $.
    $}

    $( The easy direction of the Fundamental Theorem of Algebra:  A nonzero
       polynomial has at most ` deg ( F ) ` roots.  (Contributed by Mario
       Carneiro, 26-Jul-2014.) $)
    fta1 $p |- ( ( F e. ( Poly ` S ) /\ F =/= 0p ) ->
                 ( R e. Fin /\ ( # ` R ) <_ ( deg ` F ) ) ) $=
      ( vf vx cfv wcel c0p wa cdgr wceq cfn chash cle cc0 wi cc wral c0 vd cply
      vg wne wbr eqid cv ccnv csn cima cdif cn0 dgrcl adantr c1 caddc co imbi1d
      eqeq2 ralbidv wn eldifsni simplr wb eldifi ad2antrr 0dgrb mpbid fveq1d wf
      cxp syl wfn plyf ffn fniniseg 4syl biimpa simprd simpld fvconst2 3eqtr3rd
      fvex sneqd xpeq2d eqtrd df-0p eqtr4di ex necon3ad eq0rdv nn0ge0 3syl 0fin
      mpd id eqeltrdi biantrurd fveq2 eqtrdi breq1d bitr3d syl5ibrcom syld rgen
      hash0 fveqeq2 imaeq1d eleq1d fveq2d breq12d anbi12d imbi12d cbvralvw a1dd
      cnveq ad2antlr wex n0 simplll simpllr simprl simprr fta1lem exp32 exlimdv
      syl5bi pm2.61dne com23 ralrimdva nn0ind plyssc sseli eldifsn rspcv sylbir
      sylan mpi ) CBUBGZHZCIUDZJZCKGZUUCLZAMHZANGZUUCOUEZJZUUCUFUUBEUGZKGZUUCLZ
      UUIUHZPUIZUJZMHZUUNNGZUUJOUEZJZQZERUBGZIUIZUKZSZUUDUUHQZUUBUUCULHZUVCYTUV
      EUUABCUMUNUUJFUGZLZUURQZEUVBSUUJPLZUURQZEUVBSUUJUAUGZLZUURQZEUVBSZUUJUVKU
      OUPUQZLZUURQZEUVBSZUVCFUAUUCUVFPLZUVHUVJEUVBUVSUVGUVIUURUVFPUUJUSURUTUVFU
      VKLZUVHUVMEUVBUVTUVGUVLUURUVFUVKUUJUSURUTUVFUVOLZUVHUVQEUVBUWAUVGUVPUURUV
      FUVOUUJUSURUTUVFUUCLZUVHUUSEUVBUWBUVGUUKUURUVFUUCUUJUSURUTUVJEUVBUUIUVBHZ
      UVIUUNTLZUURUWCUVIUWDUWCUVIJZFUUNUWEUUIIUDZUVFUUNHZVAUWCUWFUVIUUIUUTIVBUN
      UWEUWGUUIIUWEUWGUUIILUWEUWGJZUUIRUUMVKZIUWHUUIRPUUIGZUIZVKZUWIUWHUVIUUIUW
      LLZUWCUVIUWGVCUWHUUIUUTHZUVIUWMVDUWCUWNUVIUWGUUIUUTUVAVEZVFRUUIVGVLVHZUWH
      UWKUUMRUWHUWJPUWHUVFUUIGZUVFUWLGZPUWJUWHUVFUUIUWLUWPVIUWHUVFRHZUWQPLZUWEU
      WGUWSUWTJZUWEUWNRRUUIVJUUIRVMUWGUXAVDUWCUWNUVIUWOUNRUUIVNRRUUIVORPUVFUUIV
      PVQVRZVSUWHUWSUWRUWJLUWHUWSUWTUXBVTRUWJUVFPUUIWCWAVLWBWDWEWFWGWHWIWJWOWKW
      IUWCUURUWDPUUJOUEZUWCUWNUUJULHUXCUWORUUIUMUUJWLWMZUWDUUQUURUXCUWDUUOUUQUW
      DUUNTMUWDWPWNWQWRUWDUUPPUUJOUWDUUPTNGPUUNTNWSXFWTXAXBZXCXDXEUVNUCUGZKGZUV
      KLZUXFUHZUUMUJZMHZUXJNGZUXGOUEZJZQZUCUVBSZUVKULHZUVRUVMUXOEUCUVBUUIUXFLZU
      VLUXHUURUXNUUIUXFUVKKXGUXRUUOUXKUUQUXMUXRUUNUXJMUXRUULUXIUUMUUIUXFXPXHZXI
      UXRUUPUXLUUJUXGOUXRUUNUXJNUXSXJUUIUXFKWSXKXLXMXNUXQUXPUVQEUVBUXQUWCJZUVPU
      XPUURUXTUVPUXPUURQZUXTUVPJZUYAUUNTUYBUWDUURUXPUYBUURUWDUXCUWCUXCUXQUVPUXD
      XQUXEXCXOUUNTUDUWGFXRUYBUYAFUUNXSUYBUWGUYAFUYBUWGUXPUURUYBUWGUXPJZJUVFUVK
      UUNUCUUIUUNUFUXQUWCUVPUYCXTUXQUWCUVPUYCYAUXTUVPUYCVCUYBUWGUXPYBUYBUWGUXPY
      CYDYEYFYGYHWIYIYJYGYKVLYTCUUTHZUUAUVCUVDQZYSUUTCBYLYMUYDUUAJCUVBHUYECUUTI
      YNUUSUVDECUVBUUICLZUUKUUDUURUUHUUICUUCKXGUYFUUOUUEUUQUUGUYFUUNAMUYFUUNCUH
      ZUUMUJAUYFUULUYGUUMUUICXPXHDWHZXIUYFUUPUUFUUJUUCOUYFUUNANUYHXJUUICKWSXKXL
      XMYOYPYQWOYR $.
  $}

  ${
    $d x y z F $.  $d x y z G $.  $d x y z H $.  $d x y z S $.
    quotcan.1 $e |- H = ( F oF x. G ) $.
    $( Exact division with a multiple.  (Contributed by Mario Carneiro,
       26-Jul-2014.) $)
    quotcan $p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) /\ G =/= 0p ) ->
                    ( H quot G ) = F ) $=
      ( vx cfv wcel c0p co cmin cc wceq cmul cdgr wbr syl2anc cvv syl cle vy vz
      cply wne w3a cquot cof cc0 csn cxp clt wo wb plyssc simp2 sselid simp1 wa
      plymulcl eqeltrid 3adant3 simp3 quotcl2 syl3anc plysubcl plymul0or a1i wf
      cnex cv mulcom adantl caofcom syl5eq oveq1d subdi caofdi eqtr4d eqeq1d wn
      plyf neneqd biorf 3bitr4d biimpd caddc wi eqid dgrmul expr syl21anc dgrcl
      cr cn0 nn0red nn0addge1 breq2 syl5ibrcom syld fveq2d breq2d lenltd bitr3d
      sylibd necon4ad quotdgr mpjaod df-0p eqtrdi ofsubeq0 mpbid eqcomd ) BAUCG
      ZHZCXMHZCIUDZUEZBDCUFJZXQBXRKUGZJZLUHUIUJZMZBXRMZXQXTIYAXQDCXRNUGZJZXSJZI
      MZXTIMZYFOGZCOGZUKPZXQYGYHXQCXTYDJZIMZCIMZYHULZYGYHXQCLUCGZHZXTYPHZYMYOUM
      XQXMYPCAUNZXNXOXPUOZUPZXQBYPHXRYPHZYRXQXMYPBYSXNXOXPUQZUPXQDYPHZYQXPUUBXN
      XOUUDXPXNXOURDBCYDJZYPEABCUSUTVAZUUAXNXOXPVBZLDCVCVDZLBXRVEQZLCXTVFQXQYFY
      LIXQYFCBYDJZYEXSJYLXQDUUJYEXSXQDUUEUUJEXQFUALNLBCRLRHZXQVIVGZXQXNLLBVHZUU
      CABWASZXQXOLLCVHYTACWASZFVJZLHZUAVJZLHZURUUPUURNJZUURUUPNJMXQUUPUURVKVLVM
      VNVOXQFUAUBLKLNCBXRLKRUULUUOUUNXQUUBLLXRVHZUUHLXRWASZUUQUUSUBVJZLHUEUUPUU
      RUVCKJNJUUTUUPUVCNJKJMXQUUPUURUVCVPVLVQVRZVSXQYNVTYHYOUMXQCIUUGWBYNYHWCSW
      DWEXQYKXTIXQXTIUDZYJYLOGZTPZYKVTZXQUVEUVFYJXTOGZWFJZMZUVGXQYQXPYRUVEUVKWG
      UUAUUGUUIYQXPURYRUVEUVKLCXTYJUVIYJWHUVIWHWIWJWKXQUVGUVKYJUVJTPZXQYJWMHUVI
      WNHZUVLXQYJXQXOYJWNHYTACWLSWOZXQYRUVMUUILXTWLSYJUVIWPQUVFUVJYJTWQWRWSXQYJ
      YITPUVGUVHXQYIUVFYJTXQYFYLOUVDWTXAXQYJYIUVNXQYIXQYFYPHZYIWNHXQUUDYEYPHZUV
      OUUFXQYQUUBUVPUUAUUHLCXRUSQLDYEVEQLYFWLSWOXBXCXDXEXQUUDYQXPYGYKULUUFUUAUU
      GYFLDCYFWHXFVDXGXHXIXQUUKUUMUVAYBYCUMUULUUNUVBLBXRRXJVDXKXL $.

    $(
    plydivcn.2 @e |- A = ( CC \ ( `' G " { 0 } ) ) @.
    @( Given two polynomials that are known to be multiples of each other, one
       cannot just divide one by the other as functions to recover the
       quotient, because it would leave holes at each zero of the denominator
       function.  However, a more analytic solution to this algebraic problem
       is to extend the function by continuity over the singularities; here
       we show that this does indeed recover the divisor function.  (If they
       are not properly divisible, the result will have poles instead of
       removable singularities and the continuity extension will fail.)  See
       ~ df-zeta for a more general application of this technique. @)
    plydivcn @p |- ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` S ) /\ G =/= 0p ) ->
     F = ( iota_ f e. ( CC -cn-> CC ) ( f |` A ) = ( ( H oF / G ) |` A ) ) ) @=
      ? @.
    $)
  $}

  ${
    $d f D $.  $d f F $.  $d f k y z N $.  $d f k x Q $.  $d d f g k x y z R $.
    $d f z A $.  $d k x z ph $.
    vieta1.1 $e |- A = ( coeff ` F ) $.
    vieta1.2 $e |- N = ( deg ` F ) $.
    vieta1.3 $e |- R = ( `' F " { 0 } ) $.
    vieta1.4 $e |- ( ph -> F e. ( Poly ` S ) ) $.
    vieta1.5 $e |- ( ph -> ( # ` R ) = N ) $.
    ${
      vieta1lem.6 $e |- ( ph -> D e. NN ) $.
      vieta1lem.7 $e |- ( ph -> ( D + 1 ) = N ) $.
      vieta1lem.8 $e |- ( ph -> A. f e. ( Poly ` CC ) ( ( D = ( deg ` f ) /\
    ( # ` ( `' f " { 0 } ) ) = ( deg ` f ) ) -> sum_ x e. ( `' f " { 0 } ) x =
          -u ( ( ( coeff ` f ) ` ( ( deg ` f ) - 1 ) ) /
               ( ( coeff ` f ) ` ( deg ` f ) ) ) ) ) $.
      vieta1lem.9 $e |- Q = ( F quot ( Xp oF - ( CC X. { z } ) ) ) $.
      $( Lemma for ~ vieta1 .  (Contributed by Mario Carneiro, 28-Jul-2014.) $)
      vieta1lem1 $p |- ( ( ph /\ z e. R ) ->
        ( Q e. ( Poly ` CC ) /\ D = ( deg ` Q ) ) ) $=
        ( cv wcel wa cc cply cfv cdgr wceq cidp csn cxp cof co cquot c0p plyssc
        cmin wne adantr sselid c1 ccnv cc0 cima w3a cdm cnvimass eqsstri wf syl
        plyf fssdm sselda eqid plyremlem simp1d simp2d ax-1ne0 a1i eqnetrd dgr0
        fveq2 eqtrdi necon3i quotcl2 eqeltrid 1cnd nncnd cn0 dgrcl nn0cnd caddc
        syl3anc ax-1cn addcom sylancr cmul eleq2i wfn wb ffnd fniniseg simplbda
        syl5bb facth oveq2i fveq2d wo wn cn peano2nnd eqeltrrd nnne0d eqnetrrid
        eqtr4di plymul0or syl2anc necon3abid mpbid neanior sylibr simprd dgrmul
        eqnetrrd syl22anc 3eqtrd oveq1d addcanad jca ) ACUAZGUBZUCZFUDUEUFZUBZE
        FUGUFZUHYLFJUIUDYJUJZUKUQULUMZUNUMZYMTYLJYMUBYQYMUBZYQUOURZYRYMUBYLHUEU
        FZYMJHUPAJUUAUBZYKOUSZUTYLYSYQUGUFZVAUHZYQVBVCUJZVDYPUHZYLYJUDUBZYSUUEU
        UGVEAGUDYJAUDUDGJGJVBUUFVDZJVFNJUUFVGVHAUUBUDUDJVIOHJVKVJZVLVMZYJYQYQVN
        ZVOVJZVPZYLUUDVCURYTYLUUDVAVCYLYSUUEUUGUUMVQZVAVCURYLVRVSVTYQUOUUDVCYQU
        OUHZUUDUOUGUFZVCYQUOUGWBWAWCWDVJZUDJYQWEWMWFZYLVAEYOYLWGAEUDUBZYKAEQWHU
        SZYLYOYLYNYOWIUBUUSUDFWJVJWKYLVAEWLUMZEVAWLUMZUUDYOWLUMZVAYOWLUMYLVAUDU
        BUUTUVBUVCUHWNUVAVAEWOWPYLUVCJUGUFZYQFWQULZUMZUGUFZUVDAUVCUVEUHYKAUVCKU
        VERMWCUSYLJUVGUGYLJYQYRUVFUMZUVGYLUUBUUHYJJUFVCUHZJUVIUHUUCUUKAYKUUHUVJ
        YKYJUUIUBZAUUHUVJUCZGUUIYJNWRAJUDWSUVKUVLWTAUDUDJUUJXAUDVCYJJXBVJXDXCYJ
        HJYQUULXEWMFYRYQUVFTXFXOZXGYLYSYTYNFUOURZUVHUVDUHUUNUURUUSYLYTUVNYLUUPF
        UOUHXHZXIZYTUVNUCYLUVGUOURUVPYLJUVGUOUVMAJUOURZYKAUVEVCURUVQAUVEKVCMAKA
        UVCKXJRAEQXKXLXMXNJUOUVEVCJUOUHUVEUUQVCJUOUGWBWAWCWDVJUSYDYLUVOUVGUOYLY
        SYNUVGUOUHUVOWTUUNUUSUDYQFXPXQXRXSYQUOFUOXTYAYBUDYQFUUDYOUUDVNYOVNYCYEY
        FYLUUDVAYOWLUUOYGYFYHYI $.

      $( Lemma for ~ vieta1 : inductive step.  Let ` z ` be a root of ` F ` .
         Then ` F = ( Xp - z ) x. Q ` for some ` Q ` by the factor theorem, and
         ` Q ` is a degree- ` D ` polynomial, so by the induction hypothesis
         ` sum_ x e. ( ``' Q " 0 ) x = -u ( coeff `` Q ) `` ( D - 1 ) / `
         ` ( coeff `` Q ) `` D ` , so ` sum_ x e. R x = z - ( coeff `` Q ) `` `
         ` ( D - 1 ) / ( coeff `` Q ) `` D ` .  Now the coefficients of ` F `
         are ` A `` ( D + 1 ) = ( coeff `` Q ) `` D ` and ` A `` D = `
         ` sum_ k e. ( 0 ... D ) ( coeff `` Xp - z ) `` k x. ( coeff `` Q ) `
         ` `` ( D - k ) ` , which works out to ` -u z x. ( coeff `` Q ) `` D `
         ` + ( coeff `` Q ) `` ( D - 1 ) ` , so putting it all together we have
         ` sum_ x e. R x = -u A `` D / A `` ( D + 1 ) ` as we wanted to show.
         (Contributed by Mario Carneiro, 28-Jul-2014.) $)
      vieta1lem2 $p |- ( ph ->
        sum_ x e. R x = -u ( ( A ` ( N - 1 ) ) / ( A ` N ) ) ) $=
        ( vk cv wcel csu c1 cmin co cfv cdiv cneg wceq c0 wne chash cc0 eqnetrd
        caddc cn cfn wb cdgr cle wbr cply c0p wa fveq2 dgr0 eqtrdi necon3i fta1
        syl syl2anc simpld necon3bid mpbid sylib csn ccnv cima cin wn cc simprd
        ccoe cn0 nn0red eqeltrd cun wss fveq2d cidp cof cmul adantr plyf sselda
        wf 3syl eleq2i wfn ffn syl3anc oveq2i eqtr4di imaeq1d syl5eq cvv 3eqtrd
        eqid eqtr4d eqtr3d sylibr sylancr ax-1cn adantl oveq1d eqeq12d id eqtrd
        mpd fveq12d oveq12d negeqd fvoveq1d ax-1ne0 a1i fveq1d coef3 cif coeidp
        wi breq2d dgrub 3expia necon1bd ofval mpan2 cfz syl2an peano2nnd nnne0d
        wex eqeltrrd eqnetrrid hasheq0 n0 incom cr vieta1lem1 dgrcl ltp1d gtned
        snssi ssequn1 cxp cquot cdm cnvimass eqsstri fdm sseqtrid fniniseg 4syl
        syl5bb simplbda cnveqd cnex w3a plyremlem simp1d ofmulrt mp3an2i simp3d
        facth uneq1d wo eqnetrrd necon3abid neanior breqtrrd snfi hashun2 nncnd
        plymul0or addcom hashsng 3brtr3d hashcl leadd2d mpbird mpbir2and syl5ib
        1red letri3d necon3ad disjsn sumsn negnegd eqeq2d cnveq anbi12d sumeq1d
        fsumsplit imbi12d wral rspcdva mp2and simp2d dgrmul syl22anc ssid plyid
        coemulhi mp2an plyconst coesub 1nn0 mp2b nn0ex iftruei clt 0lt1 0re 1re
        inidm ltnlei mpbi 0dgr mtbiri sylan 1m0e1 mulid2d negcld nnm1nn0 dgreq0
        ffvelrnd divcld negdid mulcld divdird coemul 1e0p1 sumeq1i 0nn0 eleqtri
        nn0uz elfznn0 ffvelrn pncan sylancl nnuz eleqtrdi fzss2 fznn0sub syldan
        cuz sylan2br oveq2d fsump1 cdif eldifn eldifi cz elfzuz 1z elfz5 bitr4d
        sylibrd sylan2 mul02d fsumss 0z nesymi iffalsei coefv0 0cn vex fvconst2
        fzfid ax-mp eqtr3di df-neg subid1d 3eqtr3rd 3eqtr4rd divcan4d exlimddv
        oveq2 fsum1 ) ACUBZGUCZGBUBZBUDZKUEUFUGZDUHZKDUHZUIUGZUJZUKCAGULUMZVWLC
        UUCAGUNUHZUOUMVWTAVXAKUOPAKAEUEUQUGZKURRAEQUUAUUDZUUBZUPAVXAUOGULAGUSUC
        ZVXAUOUKGULUKUTAVXEVXAJVAUHZVBVCZAJHVDUHUCZJVEUMZVXEVXGVFOAVXFUOUMVXIAV
        XFKUOMVXDUUEJVEVXFUOJVEUKZVXFVEVAUHZUOJVEVAVGVHVIVJVLZGHJNVKVMVNZGUSUUF
        VLVOVPCGUUGVQAVWLVFZVWNVWKVRZVWMBUDZFVSZUOVRZVTZVWMBUDZUQUGVWKUJZUJZEUE
        UFUGZFWEUHZUHZVWQUIUGZUJZUQUGZVWSVXNVXOVXSVWMGBVXNVXOVXSWAVXSVXOWAZULVX
        OVXSUUHVXNVWKVXSUCZWBZVYIULUKVXNVXBEUMVYKVXNEVXBVXNEFVAUHZUUIVXNFWCVDUH
        ZUCZEVYLUKZABCDEFGHIJKLMNOPQRSTUUJZWDZVXNVYLVXNVYNVYLWFUCVXNVYNVYOVYPVN
        ZWCFUUKVLZWGWHZVXNEVYTUULUUMVXNVYJVXBEVYJVXOVXSWIZUNUHZVXSUNUHZUKVXNVXB
        EUKVYJWUAVXSUNVYJVXOVXSWJWUAVXSUKVWKVXSUUNVXOVXSUUOVQWKVXNWUBVXBWUCEVXN
        VXAWUBVXBVXNGWUAUNVXNGWLWCVXOUUPZUFWMZUGZFWNWMZUGZVSZVXRVTZWUFVSVXRVTZV
        XSWIZWUAVXNGJVSZVXRVTZWUJNVXNWUMWUIVXRVXNJWUHVXNJWUFJWUFUUQUGZWUGUGZWUH
        VXNVXHVWKWCUCZVWKJUHUOUKZJWUPUKAVXHVWLOWOZAGWCVWKAJUURZGWCGWUNWUTNJVXRU
        USUUTAVXHWCWCJWRZWUTWCUKOHJWPZWCWCJUVAWSUVBZWQZAVWLWUQWURVWLVWKWUNUCZAW
        UQWURVFZGWUNVWKNWTAVXHWVAJWCXAWVEWVFUTOWVBWCWCJXBWCUOVWKJUVCUVDUVEUVFVW
        KHJWUFWUFXJZUVOXCFWUOWUFWUGTXDXEZUVGXFXGWCXHUCVXNWCWCWUFWRZWCWCFWRZWUJW
        ULUKUVHVXNWUFVYMUCZWVIVXNWVKWUFVAUHZUEUKZWUKVXOUKZVXNWUQWVKWVMWVNUVIWVD
        VWKWUFWVGUVJVLZUVKZWCWUFWPVLVXNVYNWVJVYRWCFWPVLWCWUFFXHUVLUVMVXNWUKVXOV
        XSVXNWVKWVMWVNWVOUVNUVPXIZWKAVXAVXBUKVWLAVXAKVXBPRXKWOXLZVXNWUCEUKWUCEV
        BVCEWUCVBVCZVXNWUCVYLEVBVXNVXSUSUCZWUCVYLVBVCZVXNVYNFVEUMZWVTWWAVFVYRVX
        NWUFVEUMZWWBVXNWUFVEUKZFVEUKUVQZWBZWWCWWBVFVXNWUHVEUMWWFVXNJWUHVEWVHAVX
        IVWLVXLWOZUVRVXNWWEWUHVEVXNWVKVYNWUHVEUKWWEUTWVPVYRWCWUFFUWEVMUVSVPWUFV
        EFVEUVTXMWDZVXSWCFVXSXJVKVMZWDVYQUWAVXNWVSUEEUQUGZUEWUCUQUGZVBVCVXNWUBV
        XOUNUHZWUCUQUGZWWJWWKVBVXNVXOUSUCWVTWUBWWMVBVCVWKUWBVXNWVTWWAWWIVNZVXOV
        XSUWCXNVXNWUBVXBWWJWVRVXNUEWCUCZEWCUCZWWJVXBUKXOAWWPVWLAEQUWDZWOZUEEUWF
        XNXKVXNWWLUEWUCUQVWLWWLUEUKAVWKGUWGXPXQUWHVXNEWUCUEVYTVXNWUCVXNWVTWUCWF
        UCWWNVXSUWIVLWGZVXNUWNUWJUWKVXNWUCEWWSVYTUWOUWLZXRUWMUWPYAVXSVWKUWQXMXG
        WVQAVXEVWLVXMWOVXNGWCVWMAGWCWJVWLWVCWOWQUXDVXNVXPVYBVXTVYGUQVXNVXPVWKVY
        BVXNWUQWUQVXPVWKUKWVDWVDVWMVWKBVWKWCVWMVWKUKXSUWRVMVXNVWKWVDUWSXKVXNVXT
        VYLUEUFUGZVYDUHZVYLVYDUHZUIUGZUJZVYGVXNVYOWUCVYLUKZVXTWXEUKZVYQVXNWUCEV
        YLWWTVYQXTVXNEIUBZVAUHZUKZWXHVSZVXRVTZUNUHZWXIUKZVFZWXLVWMBUDZWXIUEUFUG
        ZWXHWEUHZUHZWXIWXRUHZUIUGZUJZUKZYLZVYOWXFVFZWXGYLIVYMFWXHFUKZWXOWYEWYCW
        XGWYFWXJVYOWXNWXFWYFWXIVYLEWXHFVAVGZUWTWYFWXMWUCWXIVYLWYFWXLVXSUNWYFWXK
        VXQVXRWXHFUXAXFZWKWYGXRUXBWYFWXPVXTWYBWXEWYFWXLVXSVWMBWYHUXCWYFWYAWXDWY
        FWXSWXBWXTWXCUIWYFWXQWXAWXRVYDWXHFWEVGZWYFWXIVYLUEUFWYGXQYBWYFWXIVYLWXR
        VYDWYIWYGYBYCYDXRUXEAWYDIVYMUXFVWLSWOVYRUXGUXHVXNVYFWXDVXNVYEWXBVWQWXCU
        IVXNEVYLUEVYDUFVYQYEVXNVWQWVLVYLUQUGZWUHWEUHZUHZWVLWUFWEUHZUHZWXCWNUGZW
        XCVXNKWYJDWYKVXNDJWEUHWYKLVXNJWUHWEWVHWKXGZVXNKVXFWYJMVXNVXFWUHVAUHZWYJ
        VXNJWUHVAWVHWKVXNWVKWWCVYNWWBWYQWYJUKWVPVXNWVLUOUMWWCVXNWVLUEUOVXNWVKWV
        MWVNWVOUXIZUEUOUMVXNYFYGUPWUFVEWVLUOWWDWVLVXKUOWUFVEVAVGVHVIVJVLVYRWWHW
        CWUFFWVLVYLWVLXJZVYLXJZUXJUXKXTXGYBVXNWVKVYNWYLWYOUKWVPVYRWYMVYDWCWUFFW
        VLVYLWYMXJZVYDXJZWYSWYTUXNVMVXNWYOUEWXCWNUGWXCVXNWYNUEWXCWNVXNWYNUEWYMU
        HZUEVXNWVLUEWYMWYRWKVXNXUCUEWLWEUHZWUDWEUHZWUEUGZUHZUEVXNUEWYMXUFVXNWLV
        YMUCZWUDVYMUCZWYMXUFUKWCWCWJZWWOXUHWCUXLZXOWCUXMUXOZVXNXUJWUQXUIXUKWVDV
        WKWCUXPXNZXUDXUEWCWLWUDXUDXJZXUEXJZUXQXNZYHVXNXUGUEUOUFUGZUEVXNUEWFUCZX
        UGXUQUKUXRVXNWFWFUEUOUFWFXUDXUEXHXHUEXUDWFXAZVXNXUHWFWCXUDWRXUSXULXUDWC
        WLXUNYIWFWCXUDXBUXSYGZVXNXUIWFWCXUEWRXUEWFXAXUMXUEWCWUDXUOYIWFWCXUEXBWS
        ZWFXHUCVXNUXTYGZXVBWFUYFZVXNXURVFZUEXUDUHZUEUEUKZUEUOYJZUEXURXVEXVGUKVX
        NUEYKXPXVFUEUOUEXJUYAVIXVDUEWUDVAUHZVBVCZWBUEXUEUHZUOUKXVDXVIUEUOVBVCZU
        OUEUYBVCXVKWBUYCUOUEUYDUYEUYGUYHXVDXVHUOUEVBXVDWUQXVHUOUKVXNWUQXURWVDWO
        VWKUYIVLYMUYJXVDXVIXVJUOVXNXUIXURXVJUOUMZXVIYLXUMXUIXURXVLXVIXUEWCWUDUE
        XVHXUOXVHXJYNYOUYKYPYAYQYRUYLVIXTZXTXQVXNWXCVXNWFWCVYLVYDVXNVYNWFWCVYDW
        RZVYRVYDWCFXUBYIVLZVYSUYQZUYMXTXIZYCYDXKYCVXNVYAVYFUQUGZUJVYHVWSVXNVYAV
        YFVXNVWKWVDUYNZVXNVYEVWQVXNWFWCVYCVYDXVOAVYCWFUCZVWLAEURUCZXVTQEUYOVLWO
        UYQZVXNVWQWXCWCXVQXVPWHZVXNVXIVWQUOUMWWGVXNJVEVWQUOVXNVXHVXJVWQUOUKUTWU
        SDHJKMLUYPVLVOVPZUYRUYSVXNXVRVWRVXNVYAVWQWNUGZVYEUQUGZVWQUIUGXWEVWQUIUG
        ZVYFUQUGVWRXVRVXNXWEVYEVWQVXNVYAVWQXVSXWCUYTZXWBXWCXWDVUAVXNXWFVWPVWQUI
        VXNVWOWYKUHZUOVWOYSUGZUAUBZWYMUHZVWOXWKUFUGZVYDUHZWNUGZUAUDZVWPXWFVXNWV
        KVYNVWOWFUCZXWIXWPUKWVPVYRAXWQVWLAKURUCXWQVXCKUYOVLWOWYMVYDWCUAWUFFVWOX
        UAXUBVUBXCVXNVWODWYKWYPYHVXNUOUEYSUGZXWOUAUDZUOUOYSUGXWOUAUDZXUCVWOUEUF
        UGZVYDUHZWNUGZUQUGZXWPXWFVXNXWSUOUOUEUQUGZYSUGZXWOUAUDXXDXWRXXFXWOUAUEX
        XEUOYSVUCXDZVUDVXNXWOXXCUAUOUOUOUOVUQUHZUCVXNUOWFXXHVUEVUGVUFYGXWKXXFUC
        VXNXWKXWRUCZXWOWCUCXWRXXFXWKXXGWTVXNXXIVFXWLXWNVXNWFWCWYMWRZXWKWFUCZXWL
        WCUCXXIVXNWVKXXJWVPWYMWCWUFXUAYIVLXWKUEVUHWFWCXWKWYMVUIYTVXNXXIXWKXWJUC
        ZXWNWCUCZVXNXWRXWJXWKVXNVWOUEVUQUHZUCXWRXWJWJVXNVWOURXXNVXNVWOEURAVWOEU
        KVWLAVXBUEUFUGZVWOEAVXBKUEUFRXQAWWPWWOXXOEUKWWQXOEUEVUJVUKXLWOZAXWAVWLQ
        WOWHVULVUMUEUOVWOVUNVLZWQVXNXVNXWMWFUCXXMXXLXVOXWKUOVWOVUOWFWCXWMVYDVUI
        YTZVUPUYTZVURXWKXXEUKZXWLXUCXWNXXBWNXXTXWKUEWYMXXTXWKXXEUEXXTXSVUCXEZWK
        XXTXWMXXAVYDXXTXWKUEVWOUFXYAVUSWKYCVUTXGVXNXWRXWJXWOUAXXQXXSVXNXWKXWJXW
        RVVAUCZVFZXWOUOXWNWNUGUOXYCXWLUOXWNWNXYCXXIWBZXWLUOUKXYBXYDVXNXWKXWJXWR
        VVBXPXYCXXIXWLUOXYCXWLUOUMZXWKWVLVBVCZXXIVXNWVKXXKXYEXYFYLXYBWVPXYBXXLX
        XKXWKXWJXWRVVCZXWKVWOVUHVLWVKXXKXYEXYFWYMWCWUFXWKWVLXUAWYSYNYOYTXYCXXIX
        WKUEVBVCZXYFXYCXWKXXHUCZUEVVDUCXXIXYHUTXYBXYIVXNXYBXXLXYIXYGXWKUOVWOVVE
        VLXPVVFXWKUOUEVVGVUKVXNXYFXYHUTXYBVXNWVLUEXWKVBWYRYMWOVVHVVIYPYAXQXYCXW
        NXYBVXNXXLXXMXYGXXRVVJVVKXTVXNUOVWOVVTVVLVXNXWTXWEXXCVYEUQVXNXWTUOWYMUH
        ZVWOUOUFUGZVYDUHZWNUGZXWEVXNUOVVDUCXYMWCUCXWTXYMUKVVMVXNXYMXWEWCVXNXYJV
        YAXYLVWQWNVXNXYJUOXUFUHZVYAVXNUOWYMXUFXUPYHVXNXYNUOVWKUFUGZVYAVXNUOWFUC
        ZXYNXYOUKVUEVXNWFWFUOVWKUFWFXUDXUEXHXHUOXUTXVAXVBXVBXVCXYPUOXUDUHZUOUKV
        XNXYPXYQUOUEUKZUEUOYJUOUOYKXYRUEUOUEUOYFVVNVVOVIXPVXNUOXUEUHZVWKUKXYPVX
        NUOWUDUHZXYSVWKVXNXUIXYTXYSUKXUMXUEWCWUDXUOVVPVLUOWCUCXYTVWKUKVVQWCVWKU
        OCVVRVVSVWAVWBWOYQYRVWKVWCXEXTVXNXYLWXCVWQVXNXYKVYLVYDVXNXYKEUOUFUGEVYL
        VXNVWOEUOUFXXPXQVXNEWWRVWDVYQXIWKXVQXKYCZXWHWHXWOXYMUAUOXWKUOUKZXWLXYJX
        WNXYLWNXWKUOWYMVGYUBXWMXYKVYDXWKUOVWOUFVWIWKYCVWJXNYUAXTVXNXXCUEVYEWNUG
        VYEVXNXUCUEXXBVYEWNXVMVXNVWOEUEVYDUFXXPYEYCVXNVYEXWBUYMXTYCVWEVWFXQVXNX
        WGVYAVYFUQVXNVYAVWQXVSXWCXWDVWGXQVWEYDXLXIVWH $.
    $}

    vieta1.6 $e |- ( ph -> N e. NN ) $.
    $( The first-order Vieta's formula (see
       ~ http://en.wikipedia.org/wiki/Vieta%27s_formulas ).  If a polynomial of
       degree ` N ` has ` N ` distinct roots, then the sum over these roots can
       be calculated as ` -u A ( N - 1 ) / A ( N ) ` .  (If the roots are not
       distinct, then this formula is still true but must double-count some of
       the roots according to their multiplicities.)  (Contributed by Mario
       Carneiro, 28-Jul-2014.) $)
    vieta1 $p |- ( ph ->
      sum_ x e. R x = -u ( ( A ` ( N - 1 ) ) / ( A ` N ) ) ) $=
      ( vf cfv wceq c1 co cc0 cc vy vd vk vg chash csu cmin cdiv cneg cdgr ccnv
      vz cv csn cima wa ccoe wi cply fveq2 eqeq2d cnveq imaeq1d eqtr4di eqeq12d
      fveq2d anbi12d biantrur bitr4di sumeq1d oveq1d fveq12d oveq12d imbi12d cn
      negeqd wcel wral caddc eqeq1 anbi1d imbi1d ralbidv weq cn0 wf eqid adantr
      coef3 0nn0 ffvelrn sylancl 1nn0 simpr c0p wne ax-1ne0 a1i eqnetrrd eqtrdi
      dgr0 necon3i syl wb dgreq0 necon3bid mpbid eqnetrd divcld negcld id sumsn
      syl2anc adantrr cfn wss cen wbr cle fta1 syldan simpld cexp coeid2 oveq2d
      cfz cmul nn0uz 1e0p1 oveq2 ffvelrnda expcl sylan mulcld cz 0z exp0d eqtrd
      mulid1d sylancr eqeltrd fsum1 jctil exp1d mulneg2d divcan2d 3eqtrd negidd
      fsump1i simprd 3eqtr2d plyf ffnd fniniseg mpbir2and hashsng simprr eqtr4d
      wfn snssd snfi hashen fisseneq syl3anc 1m1e0 eqtr3id 3eqtr3d rgen cbvsumv
      ex eqeq1i imbi2i ralbii w3a cidp cxp cof cquot simp1r simp3r simp1l simp2
      simp3l sylib vieta1lem2 3exp syl5bir ralrimdva syl6ib nnind plyssc sselid
      cbvralvw rspcdva mpd ) ADUEOZGPZDBUMZBUFZGQUGRZCOZGCOZUHRZUIZPZLAGNUMZUJO
      ZPZUXFUKZSUNZUOZUEOZUXGPZUPZUXKUWRBUFZUXGQUGRZUXFUQOZOZUXGUXQOZUHRZUIZPZU
      RZUWQUXEURNTUSOZFUXFFPZUXNUWQUYBUXEUYEUXNGFUJOZPZUWQUPUWQUYEUXHUYGUXMUWQU
      YEUXGUYFGUXFFUJUTZVAUYEUXLUWPUXGGUYEUXKDUEUYEUXKFUKZUXJUODUYEUXIUYIUXJUXF
      FVBVCJVDZVFUYEUXGUYFGUYHIVDZVEVGUYGUWQIVHVIUYEUXOUWSUYAUXDUYEUXKDUWRBUYJV
      JUYEUXTUXCUYEUXRUXAUXSUXBUHUYEUXPUWTUXQCUYEUXQFUQOCUXFFUQUTHVDZUYEUXGGQUG
      UYKVKVLUYEUXGGUXQCUYLUYKVLVMVPVEVNAGVOVQUYCNUYDVRZMUAUMZUXGPZUXMUPZUYBURZ
      NUYDVRQUXGPZUXMUPZUYBURZNUYDVRUBUMZUXGPZUXMUPZUYBURZNUYDVRZVUAQVSRZUXGPZU
      XMUPZUYBURZNUYDVRZUYMUAUBGUYNQPZUYQUYTNUYDVUKUYPUYSUYBVUKUYOUYRUXMUYNQUXG
      VTWAWBWCUAUBWDZUYQVUDNUYDVULUYPVUCUYBVULUYOVUBUXMUYNVUAUXGVTWAWBWCUYNVUFP
      ZUYQVUINUYDVUMUYPVUHUYBVUMUYOVUGUXMUYNVUFUXGVTWAWBWCUYNGPZUYQUYCNUYDVUNUY
      PUXNUYBVUNUYOUXHUXMUYNGUXGVTWAWBWCUYTNUYDUXFUYDVQZUYSUYBVUOUYSUPZSUXQOZQU
      XQOZUHRZUIZUNZUWRBUFZVUTUXOUYAVUOUYRVVBVUTPZUXMVUOUYRUPZVUTTVQZVVEVVCVVDV
      USVVDVUQVURVVDWETUXQWFZSWEVQZVUQTVQVUOVVFUYRUXQTUXFUXQWGZWIWHZWJWETSUXQWK
      WLZVVDVVFQWEVQZVURTVQVVIWMWETQUXQWKWLZVVDVURUXSSVVDQUXGUXQVUOUYRWNZVFZVVD
      UXFWOWPZUXSSWPZVVDUXGSWPVVOVVDQUXGSVVMQSWPVVDWQWRWSUXFWOUXGSUXFWOPUXGWOUJ
      OSUXFWOUJUTXAWTXBXCZVUOVVOVVPXDUYRVUOUXFWOUXSSUXQTUXFUXGUXGWGZVVHXEXFWHXG
      XHZXIZXJZVWAUWRVUTBVUTTUWRVUTPXKXLXMXNVUPVVAUXKUWRBVUPUXKXOVQZVVAUXKXPZVV
      AUXKXQXRZVVAUXKPVUOUYRVWBUXMVVDVWBUXLUXGXSXRZVUOUYRVVOVWBVWEUPVVQUXKTUXFU
      XKWGXTYAYBZXNVUOUYRVWCUXMVVDVUTUXKVVDVUTUXKVQZVVEVUTUXFOZSPZVWAVVDVWHSUXG
      YFRZUCUMZUXQOZVUTVWKYCRZYGRZUCUFZSQYFRZVWNUCUFZSVUOUYRVVEVWHVWOPVWAUXQTUC
      UXFUXGVUTVVHVVRYDYAVVDVWPVWJVWNUCVVDQUXGSYFVVMYEVJVVDVVKVWQSPVVDVWNVURVUT
      QYCRZYGRZVUQSUCSSQWEYHYIVWKQPVWLVURVWMVWRYGVWKQUXQUTVWKQVUTYCYJVMVVDVWKWE
      VQZUPVWLVWMVVDWETVWKUXQVVIYKVVDVVEVWTVWMTVQVWAVUTVWKYLYMYNVVDSSYFRVWNUCUF
      ZVUQPVVGVVDVXAVUQVUTSYCRZYGRZVUQVVDSYOVQVXCTVQVXAVXCPYPVVDVXCVUQTVVDVXCVU
      QQYGRVUQVVDVXBQVUQYGVVDVUTVWAYQYEVVDVUQVVJYSYRZVVJUUAVWNVXCUCSVWKSPVWLVUQ
      VWMVXBYGVWKSUXQUTVWKSVUTYCYJVMUUBYTVXDYRWJUUCVVDVUQVWSVSRVUQVUQUIZVSRSVVD
      VWSVXEVUQVSVVDVWSVURVUTYGRVURVUSYGRZUIVXEVVDVWRVUTVURYGVVDVUTVWAUUDYEVVDV
      URVUSVVLVVTUUEVVDVXFVUQVVDVUQVURVVJVVLVVSUUFVPUUGYEVVDVUQVVJUUHYRUUIUUJUU
      KVVDUXFTUUSZVWGVVEVWIUPXDVUOVXGUYRVUOTTUXFTUXFUULUUMWHTSVUTUXFUUNXCUUOUUT
      XNVUPVVAUEOZUXLPZVWDVUPVXHUXGUXLVUOUYRVXHUXGPUXMVVDVXHQUXGVVDVVEVXHQPVWAV
      UTTUUPXCVVMYRXNVUOUYRUXMUUQUURVUOUYRVXIVWDXDZUXMVVDVVAXOVQVWBVXJVUTUVAVWF
      VVAUXKUVBYTXNXGVVAUXKUVCUVDVJVUOUYRVUTUYAPUXMVVDVUSUXTVVDVUQUXRVURUXSUHVV
      DSUXPUXQVVDSQQUGRUXPUVEVVDQUXGQUGVVMVKUVFVFVVNVMVPXNUVGUVJUVHVUAVOVQZVUEV
      UFUDUMZUJOZPZVXLUKZUXJUOZUEOZVXMPZUPZVXPUWRBUFZVXMQUGRZVXLUQOZOZVXMVYBOZU
      HRZUIZPZURZUDUYDVRVUJVXKVUEVYHUDUYDVUEVUCUXKUYNUAUFZUYAPZURZNUYDVRZVXKVXL
      UYDVQZUPZVYHVYKVUDNUYDVYJUYBVUCVYIUXOUYAUXKUYNUWRUABUABWDXKUVIUVKUVLUVMZV
      YNVYLVXSVYGVYNVYLVXSUVNZBULVYBVUAVXLUVOTULUMUNUVPUGUVQRUVRRZVXPTNVXLVXMVY
      BWGVXMWGVXPWGVXKVYMVYLVXSUVSVYNVYLVXNVXRUVTVXKVYMVYLVXSUWAVYNVYLVXNVXRUWC
      VYPVYLVUEVYNVYLVXSUWBVYOUWDVYQWGUWEUWFUWGUWHVYHVUIUDNUYDUDNWDZVXSVUHVYGUY
      BVYRVXNVUGVXRUXMVYRVXMUXGVUFVXLUXFUJUTZVAVYRVXQUXLVXMUXGVYRVXPUXKUEVYRVXO
      UXIUXJVXLUXFVBVCZVFVYSVEVGVYRVXTUXOVYFUYAVYRVXPUXKUWRBVYTVJVYRVYEUXTVYRVY
      CUXRVYDUXSUHVYRVYAUXPVYBUXQVXLUXFUQUTZVYRVXMUXGQUGVYSVKVLVYRVXMUXGVYBUXQW
      UAVYSVLVMVPVEVNUWMUWIUWJXCAEUSOUYDFEUWKKUWLUWNUWO $.
  $}

  ${
    $d S a b p $.  $d F a b p $.  $d D a b p $.
    $( An infinite set of values can be extended to a polynomial in at most one
       way.  (Contributed by Stefan O'Rear, 14-Nov-2014.) $)
    plyexmo $p |- ( ( D C_ CC /\ -. D e. Fin ) -> E* p ( p e. ( Poly ` S ) /\
        ( p |` D ) = F ) ) $=
      ( va cc wcel wa cv cfv wceq cmin cc0 c0p wfn cvv wf plyf syl adantr vb wn
      wss cfn cply cres wmo wi wal cof co csn cxp ccnv cima simplr simpll sseld
      simprll ffnd simprrl cnex sselda fnfvof syl22anc ffvelrnd simprlr simprrr
      a1i eqtr4d fveq1d fvres adantl 3eqtr3d subeq0bd eqtrd ex jcad wb plysubcl
      syl2anc ffn fniniseg 4syl sylibrd ssrdv ssfi expcom mtod cdgr cle wbr wne
      chash neqne eqid fta1 syl2an simpld mt3d eqtrdi ofsubeq0 mp3an2i alrimivv
      df-0p mpbid eleq1w reseq1 eqeq1d anbi12d sylibr plyssc sseli anim1i moimi
      mo4 ) AFUCZAUDGZUBZHZDIZFUEJZGZYAAUFZCKZHZDUGZYABUEJZGZYEHZDUGXTYFEIZYBGZ
      YKAUFZCKZHZHZYAYKKZUHZEUIDUIYGXTYRDEXTYPYQXTYPHZYAYKLUJUKZFMULZUMZKZYQYSY
      TNUUBYSYTNKZYTUNUUAUOZUDGZYSUUFXRXQXSYPUPYSAUUEUCZUUFXRUHYSUAAUUEYSUAIZAG
      ZUUHFGZUUHYTJZMKZHZUUHUUEGZYSUUIUUJUULYSAFUUHXQXSYPUQZURYSUUIUULYSUUIHZUU
      KUUHYAJZUUHYKJZLUKZMUUPYAFOZYKFOZFPGZUUJUUKUUSKYSUUTUUIYSFFYAYSYCFFYAQZXT
      YCYEYOUSZFYARSZUTTYSUVAUUIYSFFYKYSYLFFYKQZXTYFYLYNVAZFYKRSZUTTUVBUUPVBVIY
      SAFUUHUUOVCZFLYAYKPUUHVDVEUUPUUQUURUUPFFUUHYAYSUVCUUIUVETUVIVFUUPUUHYDJZU
      UHYMJZUUQUURUUPUUHYDYMYSYDYMKUUIYSYDCYMXTYCYEYOVGXTYFYLYNVHVJTVKUUIUVJUUQ
      KYSUUHAYAVLVMUUIUVKUURKYSUUHAYKVLVMVNVOVPVQVRYSYTYBGZFFYTQYTFOUUNUUMVSYSY
      CYLUVLUVDUVGFYAYKVTWAZFYTRFFYTWBFMUUHYTWCWDWEWFUUFUUGXRUUEAWGWHSWIYSUUDUB
      ZUUFYSUVNHUUFUUEWNJYTWJJWKWLZYSUVLYTNWMUUFUVOHUVNUVMYTNWOUUEFYTUUEWPWQWRW
      SVQWTXEXAUVBYSUVCUVFUUCYQVSVBUVEUVHFYAYKPXBXCXFVQXDYFYODEYQYCYLYEYNDEYBXG
      YQYDYMCYAYKAXHXIXJXPXKYJYFDYIYCYEYHYBYABXLXMXNXOS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Algebraic numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c AA $.

  $( Extend class notation to include the set of algebraic numbers. $)
  caa $a class AA $. $( Blackboard bold capital A $)

  $( Define the set of algebraic numbers.  An algebraic number is a root of a
     nonzero polynomial over the integers.  Here we construct it as the union
     of all kernels (preimages of ` { 0 } ` ) of all polynomials in
     ` ( Poly `` ZZ ) ` , except the zero polynomial ` 0p ` .  (Contributed by
     Mario Carneiro, 22-Jul-2014.) $)
  df-aa $a |- AA = U_ f e. ( ( Poly ` ZZ ) \ { 0p } ) ( `' f " { 0 } ) $.

  ${
    $d f g k m n x y z A $.  $d f k m n z B $.  $d i j P $.  $d i j k m z ph $.
    $d f i j m z F $.  $d i j k n x y K $.  $d i j k m n x y N $.
    $d f k m z R $.
    $( Elementhood in the set of algebraic numbers.  (Contributed by Mario
       Carneiro, 22-Jul-2014.) $)
    elaa $p |- ( A e. AA <-> ( A e. CC /\
      E. f e. ( ( Poly ` ZZ ) \ { 0p } ) ( f ` A ) = 0 ) ) $=
      ( caa wcel cz cply cfv c0p csn cdif cv ccnv cc0 cima ciun cc wceq wrex wa
      bitri df-aa eleq2i eliun wf wfn eldifi plyf fniniseg 4syl rexbiia r19.42v
      wb ffn ) ACDABEFGZHIZJZBKZLMINZOZDZAPDZAUQGMQZBUPRSZCUSABUAUBUTAURDZBUPRZ
      VCBAUPURUCVEVAVBSZBUPRVCVDVFBUPUQUPDUQUNDPPUQUDUQPUEVDVFULUQUNUOUFEUQUGPP
      UQUMPMAUQUHUIUJVAVBBUPUKTTT $.

    $( An algebraic number is a complex number.  (Contributed by Mario
       Carneiro, 23-Jul-2014.) $)
    aacn $p |- ( A e. AA -> A e. CC ) $=
      ( vf caa wcel cc cv cfv cc0 wceq cz cply c0p csn cdif wrex elaa simplbi )
      ACDAEDABFGHIBJKGLMNOABPQ $.

    $( The algebraic numbers are a subset of the complex numbers.  (Contributed
       by Mario Carneiro, 23-Jul-2014.) $)
    aasscn $p |- AA C_ CC $=
      ( vx caa cc cv aacn ssriv ) ABCADEF $.

    ${
      elqaa.1 $e |- ( ph -> A e. CC ) $.
      elqaa.2 $e |- ( ph -> F e. ( ( Poly ` QQ ) \ { 0p } ) ) $.
      elqaa.3 $e |- ( ph -> ( F ` A ) = 0 ) $.
      elqaa.4 $e |- B = ( coeff ` F ) $.
      elqaa.5 $e |- N = ( k e. NN0 |-> inf (
        { n e. NN | ( ( B ` k ) x. n ) e. ZZ } , RR , < ) ) $.
      elqaa.6 $e |- R = ( seq 0 ( x. , N ) ` ( deg ` F ) ) $.
      $( Lemma for ~ elqaa .  The function ` N ` represents the denominators of
         the rational coefficients ` B ` .  By multiplying them all together to
         make ` R ` , we get a number big enough to clear all the denominators
         and make ` R x. F ` an integer polynomial.  (Contributed by Mario
         Carneiro, 23-Jul-2014.)  (Revised by AV, 3-Oct-2020.) $)
      elqaalem1 $p |- ( ( ph /\ K e. NN0 ) ->
        ( ( N ` K ) e. NN /\ ( ( B ` K ) x. ( N ` K ) ) e. ZZ ) ) $=
        ( wcel cfv cz cn cq cn0 wa cv cmul co crab clt cinf fveq2 oveq1d eleq1d
        cr wceq rabbidv infeq1d ltso infex fvmpt adantl cuz wss wne ssrab2 nnuz
        c1 c0 sseqtri wrex cply cc0 wf c0p csn eldifad 0z ax-mp coef2 ffvelrnda
        zq sylancl qmulz syl rabn0 sylibr infssuzcl sylancr eqeltrd oveq2 elrab
        sylib ) AHUAPZUBZHIQZHCQZFUCZUDUEZRPZFSUFZPWMSPWNWMUDUEZRPZUBWLWMWRULUG
        UHZWRWKWMXAUMAEHEUCZCQZWOUDUEZRPZFSUFZULUGUHXAUAIXBHUMZULXFWRUGXGXEWQFS
        XGXDWPRXGXCWNWOUDXBHCUIUJUKUNUONULWRUGUPUQURUSWLWRVEUTQZVAWRVFVBZXAWRPW
        RSXHWQFSVCVDVGWLWQFSVHZXIWLWNTPXJAUATHCAGTVIQZPVJTPZUATCVKAGXKVLVMKVNVJ
        RPXLVOVJVSVPCTGMVQVTVRFWNWAWBWQFSWCWDWRVEWEWFWGWQWTFWMSWOWMUMWPWSRWOWMW
        NUDWHUKWIWJ $.

      ${
        elqaa.7 $e |- P = ( x e. _V , y e. _V |->
          ( ( x x. y ) mod ( N ` K ) ) ) $.
        $( Lemma for ~ elqaa .  (Contributed by Mario Carneiro, 23-Jul-2014.)
           (Revised by AV, 3-Oct-2020.) $)
        elqaalem2 $p |- ( ( ph /\ K e. ( 0 ... ( deg ` F ) ) ) ->
          ( R mod ( N ` K ) ) = 0 ) $=
          ( cmo vi vj vm cc0 cdgr cfv cfz co wcel wa cmpt cn0 cseq wceq elfznn0
          cn cv fveq2i nnmulcl adantl cz elqaalem1 simpld adantlr sylan2 cuz cq
          cmul cply c0p csn cdif eldifi dgrcl 3syl eleqtrdi adantr nnz ad2antrl
          nn0uz zmodcld nn0zd ad2antll nnrpd crp nnre modabs2 syl2anc modmul12d
          cr oveq1 eqid fvmpt oveq12d cvv oveq12 oveq1d ovmpoa mp2an eqtrdi syl
          ovex 3eqtr4rd fveq2 eqtr4d seqhomo syl5eq seqf ffvelrnd eqeltrid el2v
          weq 0zd nn0mulcl zmodcl syl2anr crab clt cinf rabbidv infeq1d cbvmptv
          wf eleq1d eqtri nnzd fmpttd ffvelrn syl2an c0ex vex nn0cn mul02d 0mod
          sylan9eqr mul01d simpr cdiv c1 nncnd nnne0d 1z eqeltrdi wb nnred mod0
          dividd mpbird eqtrd seqz 3eqtr3d ) AKUDJUEUFZUGUHZUIZUJZGHUPHUQZKLUFZ
          TUHZUKZUFZUULFHULUUPLUFZUUQTUHZUKZUDUMUFZGUUQTUHZUDUUNAKULUIZUUTUVDUN
          KUULUOZAUVFUJZUUTUULVHLUDUMZUFZUUSUFUVDGUVJUUSRURUVHUAUBVHFUPLUVCUUSU
          DUULUAUQZUPUIZUBUQZUPUIZUJZUVKUVMVHUHZUPUIZUVHUVKUVMUSZUTZUVKUUMUIZUV
          HUVKULUIZUVKLUFZUPUIZUVKUULUOZAUWAUWCUVFAUWAUJUWCUVKEUFUWBVHUHVAUIADE
          GHIJUVKLMNOPQRVBVCZVDZVEAUULUDVFUFZUIUVFAUULULUWGAJVGVIUFZVJVKZVLUIJU
          WHUIUULULUIZNJUWHUWIVMVGJVNVOZVTVPVQUVHUVOUJZUVKUUQTUHZUVMUUQTUHZVHUH
          ZUUQTUHZUVPUUQTUHZUVKUUSUFZUVMUUSUFZFUHZUVPUUSUFZUWLUWMUVKUWNUVMUUQUW
          LUWMUWLUVKUUQUVLUVKVAUIUVHUVNUVKVRVSZUVHUUQUPUIZUVOUVHUXCKEUFUUQVHUHV
          AUIADEGHIJKLMNOPQRVBVCZVQZWAWBUXBUWLUWNUWLUVMUUQUVNUVMVAUIUVHUVLUVMVR
          WCZUXEWAWBUXFUWLUUQUXEWDZUWLUVKWJUIZUUQWEUIZUWMUUQTUHUWMUNUVLUXHUVHUV
          NUVKWFVSUXGUVKUUQWGWHUWLUVMWJUIZUXIUWNUUQTUHUWNUNUVNUXJUVHUVLUVMWFWCU
          XGUVMUUQWGWHWIUWLUWTUWMUWNFUHZUWPUWLUWRUWMUWSUWNFUVLUWRUWMUNUVHUVNHUV
          KUURUWMUPUUSUUPUVKUUQTWKUUSWLZUVKUUQTXBZWMVSUVNUWSUWNUNUVHUVLHUVMUURU
          WNUPUUSUUPUVMUUQTWKUXLUVMUUQTXBZWMWCWNUWMWOUIUWNWOUIUXKUWPUNUXMUXNBCU
          WMUWNWOWOBUQZCUQZVHUHZUUQTUHZUWPFUXOUWMUNUXPUWNUNUJUXQUWOUUQTUXOUWMUX
          PUWNVHWPWQSUWOUUQTXBWRWSWTUWLUVQUXAUWQUNUVSHUVPUURUWQUPUUSUUPUVPUUQTW
          KUXLUVPUUQTXBZWMXAXCUVTUVHUWAUWBUUSUFZUVKUVCUFZUNUWDUVHUWAUJZUXTUWBUU
          QTUHZUYAUYBUWCUXTUYCUNUWFHUWBUURUYCUPUUSUUPUWBUUQTWKUXLUWBUUQTXBZWMXA
          UWAUYAUYCUNUVHHUVKUVBUYCULUVCHUAXLUVAUWBUUQTUUPUVKLXDWQUVCWLZUYDWMUTX
          EVEXFXGVEUUNAUVFUUTUVEUNZUVGUVHGUPUIZUYFAUYGUVFAGUVJUPRAULUPUULUVIAUA
          UBVHUPLUDULVTAXMUWEUVOUVQAUVRUTXHUWKXIXJVQHGUURUVEUPUUSUUPGUUQTWKUXLG
          UUQTXBWMXAVEUUOUAUBFULUVCKUDUULULUDUUOUWAUVMULUIUJZUJUVKUVMFUHZUWQULU
          YIUWQUNUAUBBCUVKUVMWOWOUXRUWQFBUAXLZCUBXLUJUXQUVPUUQTUXOUVKUXPUVMVHWP
          WQSUXSWRXKUYHUVPVAUIUXCUWQULUIUUOUYHUVPUVKUVMXNWBUUNAUVFUXCUVGUXDVEZU
          VPUUQXOXPXJUUOULULUVCYCZUWAUYAULUIUVTUUNAUVFUYLUVGUVHHULUVBULUVHUUPUL
          UIZUJZUVAUUQUYNUVAAUYMUVAUPUIZUVFAUYMUJUYOUUPEUFZUVAVHUHVAUIADEGUCIJU
          UPLMNOPLHULUYPIUQZVHUHZVAUIZIUPXQZWJXRXSZUKUCULUCUQZEUFZUYQVHUHZVAUIZ
          IUPXQZWJXRXSZUKQHUCULVUAVUGHUCXLZWJUYTVUFXRVUHUYSVUEIUPVUHUYRVUDVAVUH
          UYPVUCUYQVHUUPVUBEXDWQYDXTYAYBYERVBVCVDYFUVHUXCUYMUXDVQWAYGVEUWDULULU
          VKUVCYHYIUUOUWAUJZUDUVKFUHZUDUVKVHUHZUUQTUHZUDUDWOUIZUVKWOUIZVUJVULUN
          YJUAYKZBCUDUVKWOWOUXRVULFUXOUDUNCUAXLUJUXQVUKUUQTUXOUDUXPUVKVHWPWQSVU
          KUUQTXBWRWSUWAUUOVULUDUUQTUHZUDUWAVUKUDUUQTUWAUVKUVKYLZYMWQUUOUXIVUPU
          DUNUUOUUQUYKWDZUUQYNXAZYOXGVUIUVKUDFUHZUVKUDVHUHZUUQTUHZUDVUNVUMVUTVV
          BUNVUOYJBCUVKUDWOWOUXRVVBFUYJUXPUDUNUJUXQVVAUUQTUXOUVKUXPUDVHWPWQSVVA
          UUQTXBWRWSUWAUUOVVBVUPUDUWAVVAUDUUQTUWAUVKVUQYPWQVUSYOXGAUUNYQAUWJUUN
          UWKVQUUOKUVCUFZUUQUUQTUHZUDUUOUVFVVCVVDUNUUNUVFAUVGUTHKUVBVVDULUVCUUP
          KUNUVAUUQUUQTUUPKLXDWQUYEUUQUUQTXBWMXAUUOVVDUDUNZUUQUUQYRUHZVAUIZUUOV
          VFYSVAUUOUUQUUOUUQUYKYTUUOUUQUYKUUAUUGUUBUUCUUOUUQWJUIUXIVVEVVGUUDUUO
          UUQUYKUUEVURUUQUUQUUFWHUUHUUIUUJUUK $.
      $}

      $( Lemma for ~ elqaa .  (Contributed by Mario Carneiro, 23-Jul-2014.)
         (Revised by AV, 3-Oct-2020.) $)
      elqaalem3 $p |- ( ph -> A e. AA ) $=
        ( vz cc wcel cc0 cmul co vf vm vx vy cv cfv wceq cply c0p csn cdif wrex
        cz caa cxp cof wne cdgr cfz cexp csu cmpt cvv cnex a1i cseq fvexi fvexd
        wa fconstmpt cq wf eldifad plyf syl feqmptd offval2 fzfid cn0 nn0uz 0zd
        cn crab ssrab2 clt cinf fveq2 oveq1d eleq1d rabbidv infeq1d infex fvmpt
        cr ltso adantl c1 cuz wss c0 nnuz sseqtri 0z zq ax-mp sylancl ffvelrnda
        coef2 qmulz rabn0 sylibr infssuzcl sylancr eqeltrd sselid nnmulcl dgrcl
        seqf ffvelrnd eqeltrid nncnd adantr elfznn0 coef3 adantll mulcld sylan2
        expcl eqid oveq2d mulassd 3eqtr4d mpteq2dva cdiv nnne0d syl2anc eldifsn
        eqtrd cmo sylanbrc fsummulc2 coeid2 sylan sumeq2dv zsscn divcld mulcomd
        divcan2d 3eqtr4rd oveq2 elrab simprbi cmpo elqaalem2 crp nnre nnrp mod0
        wb syl2an mpbid elplyd sylib simprd oveq1 divcan3d ovexd div0d mpteq2dv
        zmulcld 0cnd df-0p eqtri eqeq12d syl5ib necon3d mpd wfn fconst ffn mp1i
        ffnd inidm fvconst2 ofval mpdan mul01d fveq1 eqeq1d rspcev elaa ) ABPQZ
        BUAUEZUFZRUGZUAUMUHUFZUIUJZUKZULZBUNQIAPDUJZUOZGSUPTZUWRQZBUXBUFZRUGZUW
        SAUXBUWPQUXBUIUQZUXCAUXBOPRGURUFZUSTZDUBUEZCUFZSTZOUEZUXIUTTZSTZUBVAZVB
        ZUWPAUXBOPDUXLGUFZSTZVBUXPAOPDUXQSUXAGVCVCVCPVCQAVDVEZDVCQAUXLPQZVIZDUX
        GSHRVFZNVGZVEZUYAUXLGVHUXAOPDVBUGAOPDVJVEZAOPPGAGVKUHUFZQZPPGVLAGUYFUWQ
        JVMZVKGVNVOZVPZVQZAOPUXRUXOUYADUXHUXJUXMSTZUBVAZSTUXHDUYLSTZUBVAUXRUXOU
        YAUXHUYLDUBUYARUXGVRADPQZUXTADADUXGUYBUFWBNAVSWBUXGUYBAUBESWBHRVSVTAWAA
        UXIVSQZVIZUXJFUEZSTZUMQZFWBWCZWBUXIHUFZUYTFWBWDZUYQVUBVUAWNWEWFZVUAUYPV
        UBVUDUGAEUXIEUEZCUFZUYRSTZUMQZFWBWCZWNWEWFVUDVSHVUEUXIUGZWNVUIVUAWEVUJV
        UHUYTFWBVUJVUGUYSUMVUJVUFUXJUYRSVUEUXICWGWHWIWJWKMWNVUAWEWOWLWMWPUYQVUA
        WQWRUFZWSVUAWTUQZVUDVUAQVUAWBVUKVUCXAXBUYQUYTFWBULZVULUYQUXJVKQVUMAVSVK
        UXICAUYGRVKQZVSVKCVLUYHRUMQVUNXCRXDXECVKGLXHXFXGFUXJXIVOUYTFWBXJXKVUAWQ
        XLXMXNZXOZUXIWBQVUEWBQVIUXIVUESTWBQAUXIVUEXPWPXRAUYGUXGVSQUYHVKGXQVOZXS
        XTZYAZYBZUXIUXHQZUYAUYPUYLPQUXIUXGYCZUYAUYPVIZUXJUXMUYAVSPUXICAVSPCVLZU
        XTAUYGVVDUYHCVKGLYDVOZYBXGZUXTUYPUXMPQAUXLUXIYHYEZYFYGUUAUYAUXQUYMDSAUY
        GUXTUXQUYMUGUYHCVKUBGUXGUXLLUXGYIUUBUUCYJUYAUXHUXNUYNUBVVAUYAUYPUXNUYNU
        GVVBVVCDUXJUXMUYAUYOUYPVUTYBVVFVVGYKYGUUDYLYMYRAOUXKUMUBUXGUMPWSAUUEVEV
        UQAVVAVIZUXKUXJVUBSTZDVUBYNTZSTZUMVVAAUYPUXKVVKUGVVBUYQUXJVUBVVJSTZSTUX
        JDSTVVKUXKUYQVVLDUXJSUYQDVUBAUYOUYPVUSYBZUYQVUBVUPYAZUYQVUBVUPYOZUUHYJU
        YQUXJVUBVVJAVSPUXICVVEXGZVVNUYQDVUBVVMVVNVVOUUFYKUYQDUXJVVMVVPUUGUUIYGV
        VHVVIVVJVVAAUYPVVIUMQZVVBUYQVUBVUAQZVVQVUOVVRVUBWBQZVVQUYTVVQFVUBWBUYRV
        UBUGUYSVVIUMUYRVUBUXJSUUJWIUUKUULVOYGVVHDVUBYSTRUGZVVJUMQZAUCUDBCUCUDVC
        VCUCUEUDUESTVUBYSTUUMZDEFGUXIHIJKLMNVWBYIUUNVVHDWBQZVVSVVTVWAUUSZAVWCVV
        AVURYBVVAAUYPVVSVVBVUPYGVWCDWNQVUBUUOQVWDVVSDUUPVUBUUQDVUBUURUUTYPUVAUV
        JXNUVBXNAGUIUQZUXFAUYGVWEAGUYFUWQUKQUYGVWEVIJGUYFUIYQUVCUVDAUXBUIGUIUXB
        UIUGUXBUXAYNUPZTZUIUXAVWFTZUGAGUIUGUXBUIUXAVWFUVEAVWGGVWHUIAOPUXRDYNTZV
        BOPUXQVBVWGGAOPVWIUXQUYAUXQDAPPUXLGUYIXGVUTADRUQUXTADVURYOZYBUVFYMAOPUX
        RDYNUXBUXAVCVCVCUXSUYADUXQSUVGUYDUYKUYEVQUYJYLAOPRDYNTZVBOPRVBZVWHUIAOP
        VWKRADVUSVWJUVHUVIAOPRDYNUIUXAVCPVCUXSUYAUVKUYDUIVWLUGAUIPRUJUOVWLUVLOP
        RVJUVMVEZUYEVQVWMYLUVNUVOUVPUVQUXBUWPUIYQYTAUXDDRSTZRAUWLUXDVWNUGIAPPDR
        SPUXAGVCVCBPUWTUXAVLUXAPUVRAPDUYCUVSPUWTUXAUVTUWAAPPGUYIUWBUXSUXSPUWCUW
        LBUXAUFDUGAPDBUYCUWDWPABGUFRUGUWLKYBUWEUWFADVUSUWGYRUWOUXEUAUXBUWRUWMUX
        BUGUWNUXDRBUWMUXBUWHUWIUWJYPBUAUWKYT $.
    $}

    $( The set of numbers generated by the roots of polynomials in the
       _rational numbers_ is the same as the set of algebraic numbers, which by
       ~ elaa are defined only in terms of polynomials over the integers.
       (Contributed by Mario Carneiro, 23-Jul-2014.)  (Proof shortened by AV,
       3-Oct-2020.) $)
    elqaa $p |- ( A e. AA <-> ( A e. CC /\
      E. f e. ( ( Poly ` QQ ) \ { 0p } ) ( f ` A ) = 0 ) ) $=
      ( vm vj vk vn wcel cv cfv wceq cq wa cz wss cmul co cn crab cr clt caa cc
      cc0 cply c0p cdif wrex elaa wi zssq qsscn plyss mp2an ssdif ssrexv anim2i
      mp2b sylbi ccoe cdgr cinf cmpt cseq simpll simplr simpr eqid fveq2 oveq1d
      csn eleq1d rabbidv oveq2 cbvrabv eqtrdi infeq1d elqaalem3 r19.29an impbii
      cn0 cbvmptv ) AUAGZAUBGZABHZIUCJZBKUDIZUEVJZUFZUGZLZWBWCWEBMUDIZWGUFZUGZL
      WJABUHWMWIWCWKWFNZWLWHNWMWIUIMKNKUBNWNUJUKMKULUMWKWFWGUNWEBWLWHUOUQUPURWC
      WEWBBWHWCWDWHGZLZWELAWDUSIZWDUTIOCVTCHZWQIZDHZOPZMGZDQRZSTVAZVBZUCVCIZEFW
      DXEWCWOWEVDWCWOWEVEWPWEVFWQVGCEVTXDEHZWQIZFHZOPZMGZFQRZSTVAWRXGJZSXCXLTXM
      XCXHWTOPZMGZDQRXLXMXBXODQXMXAXNMXMWSXHWTOWRXGWQVHVIVKVLXOXKDFQWTXIJXNXJMW
      TXIXHOVMVKVNVOVPWAXFVGVQVRVS $.

    $( Every rational number is algebraic.  (Contributed by Mario Carneiro,
       23-Jul-2014.) $)
    qaa $p |- ( A e. QQ -> A e. AA ) $=
      ( vf vx cq wcel cc cv cfv cc0 wceq c0p cidp cmin co wne c1 a1i adantl cvv
      df-idp vy cply csn cdif caa qcn cxp cof wss qsscn cz 1z ax-mp plyid mp2an
      wrex zq plyconst mpan caddc qaddcl cmul qmulcl qnegcl plysub peano2cn syl
      cneg wfn cid cres fnresi fneq1i mpbir fnconstg inidm fveq1i fvresi syl5eq
      wa cnex fvconst2g ofval mpdan ax-1cn pncan2 sylancl eqtrd ax-1ne0 eqnetrd
      ne0p syl2anc eldifsn sylanbrc subidd fveq1 eqeq1d rspcev elqaa ) ADEZAFEZ
      ABGZHZIJZBDUBHZKUCUDZUPZAUEEAUFZWTLFAUCUGZMUHNZXFEZAXJHZIJZXGWTXJXEEXJKOZ
      XKWTCUADLXILXEEZWTDFUIZPDEZXOUJPUKEXQULPUQUMZDUNUOQXPWTXIXEEUJADURUSCGZDE
      UAGZDEVTZXSXTUTNDEWTXSXTVARYAXSXTVBNDEWTXSXTVCRPVHDEZWTXQYBXRPVDUMQVEWTAP
      UTNZFEZYCXJHZIOXNWTXAYDXHAVFVGZWTYEPIWTYEYCAMNZPWTYDYEYGJYFWTFFYCAMFLXISS
      YCLFVIZWTYHVJFVKZFVIFVLFLYITVMVNQZFADVOZFSEWTWAQZYLFVPZYDYCLHZYCJWTYDYNYC
      YIHYCYCLYITVQFYCVRVSRFAYCDWBWCWDWTXAPFEYGPJXHWEAPWFWGWHPIOWTWIQWJYCXJWKWL
      XJXEKWMWNWTXLAAMNZIWTXAXLYOJXHWTFFAAMFLXISSAYJYKYLYLYMXAALHZAJWTXAYPAYIHA
      ALYITVQFAVRVSRFAADWBWCWDWTAXHWOWHXDXMBXJXFXBXJJXCXLIAXBXJWPWQWRWLABWSWN
      $.

    $( The rational numbers are contained in the algebraic numbers.
       (Contributed by Mario Carneiro, 23-Jul-2014.) $)
    qssaa $p |- QQ C_ AA $=
      ( vx cq caa cv qaa ssriv ) ABCADEF $.

    $( The imaginary unit is algebraic.  (Contributed by Mario Carneiro,
       23-Jul-2014.) $)
    iaa $p |- _i e. AA $=
      ( vf vz ci wcel cc cv cfv cc0 wceq cz c2 cexp co c1 caddc cmpt wtru mp2an
      c0p a1i vx caa cply csn cdif wrex ax-icn wne cxp cof cvv cnex sqcl adantl
      vy wa ax-1cn eqidd fconstmpt offval2 wss cn0 zsscn 1z 2nn0 mp3an plyconst
      plypow zaddcl plyadd eqeltrrd mptru 0cn sq0i oveq1d 0p1e1 eqtrdi eqid 1ex
      fvmpt ax-mp ax-1ne0 eqnetri ne0p eldifsn mpbir2an cneg i2 neg1cn 1pneg1e0
      oveq1 addcomli c0ex fveq1 eqeq1d rspcev elaa ) CUBDCEDZCAFZGZHIZAJUCGZSUD
      UEZUFZUGBEBFZKLMZNOMZPZXCDZCXHGZHIZXDXIXHXBDZXHSUHZXLQBEXFPZENUDUIZOUJMXH
      XBQBEXFNOXNXOUKEEEUKDQULTXEEDZXFEDQXEUMUNNEDQXPUPUQTQXNURXOBENPIQBENUSTUT
      QUAUOJXNXOXNXBDZQJEVAZNJDZKVBDXQVCVDVEBJKVHVFTXOXBDZQXRXSXTVCVDNJVGRTUAFZ
      JDUOFZJDUPYAYBOMJDQYAYBVIUNVJVKVLHEDZHXHGZHUHXMVMYDNHYCYDNIVMBHXGNEXHXEHI
      ZXGHNOMNYEXFHNOXEVNVOVPVQXHVRZVSVTWAWBWCHXHWDRXHXBSWEWFWRXKUGBCXGHEXHXECI
      ZXGNWGZNOMHYGXFYHNOYGXFCKLMYHXECKLWKWHVQVONYHHUQWIWJWLVQYFWMVTWAXAXKAXHXC
      WSXHIWTXJHCWSXHWNWOWPRCAWQWF $.

    $( The reciprocal of an algebraic number is algebraic.  (Contributed by
       Mario Carneiro, 24-Jul-2014.) $)
    aareccl $p |- ( ( A e. AA /\ A =/= 0 ) -> ( 1 / A ) e. AA ) $=
      ( vz vk vn wcel cc0 wne wa cv cfv wceq cdiv co cz c0p cc adantr cexp cmul
      cn0 vf vg caa c1 cply csn cdif wrex elaa simprbi aacn reccl cdgr cfz cmin
      sylan ccoe csu cmpt wss zsscn a1i simprl eldifsn sylib simpld dgrcl wf 0z
      syl eqid coef2 sylancl fznn0sub adantl ffvelrnd elplyd 0cn cle wbr coefv0
      zcnd eqidd coeeq2 fveq1d 0nn0 breq1 oveq2 fveq2d ifbieq1d fvex c0ex fvmpt
      cif ifex ax-mp nn0ge0d iftrued nn0cnd subid1d syl5eq 3eqtrd simprd dgreq0
      eqtrd wb necon3bid mpbid eqnetrd ne0p sylancr sylanbrc oveq1 oveq2d sumex
      sumeq2sdv caddc coef3 elfznn0 ffvelrn syl2an ad2antrr expcl mulcld expcld
      simplr nn0zd expne0d divcld fveq2 oveq12d oveq1d fsumrev2 addid2d expsubd
      divassd dividd divdiv32d exprecd syl2anc 3eqtr4d sumeq2dv coeid2 fsumdivc
      simprr eqtr3d fzfid div0d 3eqtr3d 3eqtr2d fveq1 eqeq1d rspcev rexlimddv )
      AUCEZAFGZHZAUAIZJZFKZUDALMZUCEZUANUEJZOUFUGZUUOUUTUAUVDUHZUUPUUOAPEZUVEAU
      AUIUJQUUQUURUVDEZUUTHZHZUVAPEZUVAUBIZJZFKZUBUVDUHZUVBUUQUVJUVHUUOUVFUUPUV
      JAUKZAULUPQZUVIBPFUURUMJZUNMZUVQCIZUOMZUURUQJZJZBIZUVSRMZSMZCURZUSZUVDEZU
      VAUWGJZFKZUVNUVIUWGUVCEZUWGOGZUWHUVIBUWBNCUVQNPUTUVIVAVBUVIUURUVCEZUVQTEU
      VIUWMUUROGZUVIUVGUWMUWNHUUQUVGUUTVCUURUVCOVDVEZVFZNUURVGVJZUVIUVSUVREZHZT
      NUVTUWAUWSUWMFNETNUWAVHUVIUWMUWRUWPQVIUWANUURUWAVKZVLVMUWRUVTTEUVIUVSFUVQ
      VNVOVPZVQZUVIFPEFUWGJZFGUWLVRUVIUXCUVQUWAJZFUVIUXCFUWGUQJZJZFCTUVSUVQVSVT
      ZUWBFWNZUSZJZUXDUVIUWKUXCUXFKUXBUXENUWGUXEVKWAVJUVIFUXEUXIUVIBUWBNCUWGUVQ
      UXBUWQUWSUWBUXAWBZUVIUWGWCWDWEUVIUXJFUVQVSVTZUVQFUOMZUWAJZFWNZUXDFTEUXJUX
      OKWFCFUXHUXOTUXIUVSFKZUXGUXLUWBUXNFUVSFUVQVSWGUXPUVTUXMUWAUVSFUVQUOWHWIWJ
      UXIVKUXLUXNFUXMUWAWKWLWOWMWPUVIUXOUXNUXDUVIUXLUXNFUVIUVQUWQWQWRUVIUXMUVQU
      WAUVIUVQUVIUVQUWQWSZWTWIXEXAXBUVIUWNUXDFGUVIUWMUWNUWOXCUVIUUROUXDFUVIUWMU
      UROKUXDFKXFUWPUWANUURUVQUVQVKZUWTXDVJXGXHXIFUWGXJXKUWGUVCOVDXLUVIUWIUVRUW
      BUVAUVSRMZSMZCURZUVRDIZUWAJZAUYBRMZSMZAUVQRMZLMZDURZFUVIUVJUWIUYAKUVPBUVA
      UWFUYAPUWGUWCUVAKZUVRUWEUXTCUYIUWDUXSUWBSUWCUVAUVSRXMXNXPUWGVKUVRUXTCXOWM
      VJUVIUYHUVRFUVQXQMZUVSUOMZUWAJZAUYKRMZSMZUYFLMZCURUYAUVIUYGUYODCFUVQUVIUY
      BUVREZHZUYEUYFUYQUYCUYDUVITPUWAVHZUYBTEZUYCPEUYPUVIUWMUYRUWPUWANUURUWTXRV
      JUYBUVQXSZTPUYBUWAXTYAUVIUVFUYSUYDPEUYPUUOUVFUUPUVHUVOYBZUYTAUYBYCYAYDZUV
      IUYFPEZUYPUVIAUVQVUAUWQYEZQUVIUYFFGZUYPUVIAUVQVUAUUOUUPUVHYFZUVIUVQUWQYGZ
      YHZQYIUYBUYKKZUYEUYNUYFLVUIUYCUYLUYDUYMSUYBUYKUWAYJUYBUYKARWHYKYLYMUVIUVR
      UYOUXTCUWSUYOUWBUYFAUVSRMZLMZSMZUYFLMUWBVUKUYFLMZSMUXTUWSUYNVULUYFLUWSUYL
      UWBUYMVUKSUWSUYKUVTUWAUWSUYJUVQUVSUOUWSUVQUVIUVQPEUWRUXQQYNYLZWIUWSUYMAUV
      TRMVUKUWSUYKUVTARVUNXNUWSAUVQUVSUVIUVFUWRVUAQZUVIUUPUWRVUFQZUWSUVSUWRUVST
      EZUVIUVSUVQXSZVOYGZUVIUVQNEUWRVUGQYOXEYKYLUWSUWBVUKUYFUXKUWSUYFVUJUVIVUCU
      WRVUDQZUVIUVFVUQVUJPEUWRVUAVURAUVSYCYAZUWSAUVSVUOVUPVUSYHZYIVUTUVIVUEUWRV
      UHQZYPUWSVUMUXSUWBSUWSUYFUYFLMZVUJLMUDVUJLMVUMUXSUWSVVDUDVUJLUWSUYFVUTVVC
      YQYLUWSUYFVUJUYFVUTVVAVUTVVBVVCYRUWSAUVSVUOVUPVUSYSUUAXNXBUUBXEUVIUVRUYED
      URZUYFLMFUYFLMUYHFUVIVVEFUYFLUVIUUSVVEFUVIUWMUVFUUSVVEKUWPVUAUWANDUURUVQA
      UWTUXRUUCYTUUQUVGUUTUUEUUFYLUVIUVRUYEUYFDUVIFUVQUUGVUDVUBVUHUUDUVIUYFVUDV
      UHUUHUUIUUJUVMUWJUBUWGUVDUVKUWGKUVLUWIFUVAUVKUWGUUKUULUUMYTUVAUBUIXLUUN
      $.

    $( The conjugate of an algebraic number is algebraic.  (Contributed by
       Mario Carneiro, 24-Jul-2014.) $)
    aacjcl $p |- ( A e. AA -> ( * ` A ) e. AA ) $=
      ( vf cc wcel cv cfv cc0 wceq cz cply c0p csn cdif wrex wa ccj caa cr elaa
      wss adantr fveq2 cj0 eqtrdi difss zssre ax-resscn plyss mp2an sstri sseli
      cjcl id plyrecj syl2anr eqeq1d syl5ib reximdva imp jca 3imtr4i ) ACDZABEZ
      FZGHZBIJFZKLZMZNZOZAPFZCDZVKVCFZGHZBVHNZOAQDVKQDVJVLVOVBVLVIAULUAVBVIVOVB
      VEVNBVHVEVDPFZGHVBVCVHDZOZVNVEVPGPFGVDGPUBUCUDVRVPVMGVQVCRJFZDVBVPVMHVBVH
      VSVCVHVFVSVFVGUEIRTRCTVFVSTUFUGIRUHUIUJUKVBUMAVCUNUOUPUQURUSUTABSVKBSVA
      $.
  $}

  ${
    $d A a b c d e f g h i $.
    aannenlem.a $e |- H = ( a e. NN0 |-> { b e. CC | E. c e.
        { d e. ( Poly ` ZZ ) | ( d =/= 0p /\ ( deg ` d ) <_ a /\
            A. e e. NN0 ( abs ` ( ( coeff ` d ) ` e ) ) <_ a ) }
      ( c ` b ) = 0 } ) $.
    $( Lemma for ~ aannen .  (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    aannenlem1 $p |- ( A e. NN0 -> ( H ` A ) e. Fin ) $=
      ( cn0 wcel cfv cc0 wceq cle wbr ccoe cz cc cfn wa c0p cdgr cabs wral cply
      wne w3a crab wrex breq2 ralbidv 3anbi23d rabbidv rexeqdv cnex rabex fvmpt
      cv ciun iunrab cneg cfz co cmap cdom fzfi mapfi mp2an a1i ovex cres neeq1
      cvv weq fveq2 breq1d fveq1d fveq2d 3anbi123d elrab simp3 anim2i sylbi wss
      wf wfn crn 0z eqid coef2 mpan2 ad2antrl ffnd adantl ffvelrnda cr ad2antrr
      zred nn0re absled wb nn0z znegcld syl3anc bitr4d biimpd ralimdva fnfvrnss
      elfz impr syl2anc df-f sylanbrc fz0ssnn0 fssres sylancl elmap sylibr syl5
      ex simp2 simplll plyf ffn 3syl simplrl cexp cmul csu simplrr adantr fvres
      3eqtr3d oveq1d cuz dgrcl eluz mpbird coeid3 eqeltrd simp-4l simp-4r nn0zd
      sumeq2dv simpr simp1rl 3expa 3eqtr4d eqfnfvd expr reseq1d impbid1 syl2ani
      expcom dom2d mpi domfi simp1 ccnv csn cima fveqeq2 fniniseg bitr4id eqrdv
      wi syl chash fta1 simpld ralrimiv iunfi eqeltrrid ) AIJZACKEURZFURZKLMZFG
      URZUAUFZUVRUBKZANOZBURZUVRPKZKZUCKZANOZBIUDZUGZGQUEKZUHZUIZERUHZSDAUVQFUV
      SUVTDURZNOZUWEUWMNOZBIUDZUGZGUWIUHZUIZERUHUWLICUWMAMZUWSUWKERUWTUVQFUWRUW
      JUWTUWQUWHGUWIUWTUWNUWAUWPUWGUVSUWMAUVTNUJUWTUWOUWFBIUWMAUWENUJUKULUMUNUM
      HUWKERUOUPUQUVNUWLFUWJUVQERUHZUSZSUVQFEUWJRUTUVNUWJSJZUXASJZFUWJUDUXBSJUV
      NAVAZAVBVCZLAVBVCZVDVCZSJZUWJUXHVEOZUXCUXIUVNUXFSJUXGSJUXIUXEAVFLAVFUXFUX
      GVGVHVIUVNUXHVMJUXJUXFUXGVDVJUVNDEUWJUXHUWMPKZUXGVKZUVOPKZUXGVKZVMUWMUWJJ
      ZUWMUWIJZUWBUXKKZUCKZANOZBIUDZTZUVNUXLUXHJZUXOUXPUWMUAUFZUWMUBKZANOZUXTUG
      ZTZUYAUWHUYFGUWMUWIGDVNZUVSUYCUWAUYEUWGUXTUVRUWMUAVLUYHUVTUYDANUVRUWMUBVO
      VPUYHUWFUXSBIUYHUWEUXRANUYHUWDUXQUCUYHUWBUWCUXKUVRUWMPVOVQVRVPUKVSVTZUYFU
      XTUXPUYCUYEUXTWAWBWCUVNUYAUYBUVNUYATZUXGUXFUXLWEZUYBUYJIUXFUXKWEZUXGIWDUY
      KUYJUXKIWFZUXKWGUXFWDZUYLUYJIQUXKUXPIQUXKWEZUVNUXTUXPLQJUYOWHUXKQUWMUXKWI
      ZWJWKZWLWMZUYJUYMUXQUXFJZBIUDZUYNUYRUVNUXPUXTUYTUVNUXPTZUXSUYSBIVUAUWBIJZ
      TZUXSUYSVUCUXSUXEUXQNOUXQANOTZUYSVUCUXQAVUCUXQVUAIQUWBUXKUXPUYOUVNUYQWNWO
      ZWRUVNAWPJUXPVUBAWSWQWTVUCUXQQJUXEQJAQJZUYSVUDXAVUEVUCAUVNVUFUXPVUBAXBWQZ
      XCVUGUXQUXEAXIXDXEXFXGXJBIUXFUXKXHXKIUXFUXKXLXMAXNIUXFUXGUXKXOXPUXFUXGUXL
      UXEAVBVJLAVBVJXQXRXTXSUXOUVNUXPUYETZUVOUWIJZUVOUBKZANOZTZUXLUXNMZDEVNZXAZ
      UVOUWJJZUXOUYGVUHUYIUYFUYEUXPUYCUYEUXTYAWBWCVUPVUIUVOUAUFZVUKUWBUXMKZUCKZ
      ANOZBIUDZUGZTVULUWHVVBGUVOUWIGEVNZUVSVUQUWAVUKUWGVVAUVRUVOUAVLVVCUVTVUJAN
      UVRUVOUBVOVPVVCUWFVUTBIVVCUWEVUSANVVCUWDVURUCVVCUWBUWCUXMUVRUVOPVOVQVRVPU
      KVSVTVVBVUKVUIVUQVUKVVAYAWBWCVUHVULTZUVNVUOVVDUVNTVUMVUNVVDUVNVUMVUNVVDUV
      NVUMTZTZFRUWMUVOVVFUXPRRUWMWEUWMRWFUXPUYEVULVVEYBQUWMYCRRUWMYDYEVVFVUIRRU
      VOWEUVORWFVUHVUIVUKVVEYFQUVOYCRRUVOYDYEVVFUVPRJZTZUXGUVRUXKKZUVPUVRYGVCZY
      HVCZGYIZUXGUVRUXMKZVVJYHVCZGYIZUVPUWMKZUVPUVOKZVVHUXGVVKVVNGVVHUVRUXGJZTZ
      VVIVVMVVJYHVVSUVRUXLKZUVRUXNKZVVIVVMVVSUVRUXLUXNVVHVUMVVRVVDUVNVUMVVGYJYK
      VQVVRVVTVVIMVVHUVRUXGUXKYLWNVVRVWAVVMMVVHUVRUXGUXMYLWNYMYNUUDVVHUXPAUYDYO
      KJZVVGVVPVVLMUXPUYEVULVVEVVGUUAZVVHVWBUYEUXPUYEVULVVEVVGUUBVVHUYDQJZVUFVW
      BUYEXAVVHUXPUYDIJVWDVWCQUWMYPUYDXBYEVVHAVVDUVNVUMVVGYFUUCZUYDAYQXKYRVVFVV
      GUUEZUXKQGUWMAUYDUVPUYPUYDWIYSXDVVHVUIAVUJYOKJZVVGVVQVVOMVVDVVEVVGVUIVUIV
      UKVUHVVEVVGUUFUUGZVVHVWGVUKVVFVUKVVGVUHVUIVUKVVEYJYKVVHVUJQJZVUFVWGVUKXAV
      VHVUIVUJIJVWIVWHQUVOYPVUJXBYEVWEVUJAYQXKYRVWFUXMQGUVOAVUJUVPUXMWIVUJWIYSX
      DUUHUUIUUJVUNUXKUXMUXGUWMUVOPVOUUKUULUUNUUMUUOUUPUXHUWJUUQXKUVNUXDFUWJUVP
      UWJJZUVPUWIJZUVPUAUFZTZUVNUXDVWJVWKVWLUVPUBKZANOZUWBUVPPKZKZUCKZANOZBIUDZ
      UGZTVWMUWHVXAGUVPUWIGFVNZUVSVWLUWAVWOUWGVWTUVRUVPUAVLVXBUVTVWNANUVRUVPUBV
      OVPVXBUWFVWSBIVXBUWEVWRANVXBUWDVWQUCVXBUWBUWCVWPUVRUVPPVOVQVRVPUKVSVTVXAV
      WLVWKVWLVWOVWTUURWBWCVWMUXDUVFUVNVWMUXAUVPUUSLUUTUVAZSVWMDUXAVXCVWMUWMUXA
      JUWMRJUWMUVPKLMZTZUWMVXCJZUVQVXDEUWMRUVOUWMLUVPUVBVTVWMUVPRWFZVXFVXEXAVWK
      VXGVWLVWKRRUVPQUVPYCWMYKRLUWMUVPUVCUVGUVDUVEVWMVXCSJVXCUVHKVWNNOVXCQUVPVX
      CWIUVIUVJYTVIXSUVKFUWJUXAUVLXKUVMYT $.

    $( Lemma for ~ aannen .  (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    aannenlem2 $p |- AA = U. ran H $=
      ( vg vh cv cfv cc0 wceq cle wbr cn0 cz wrex wcel wa caa c0p wne cdgr ccoe
      vf vi cabs wral w3a cply crab cc cab cuni crn csn cdif wex wi cpr cfz cun
      cxr clt csup weq fveqeq2 rexbidv simp3 neeq1 breq1d fveq1d fveq2d ralbidv
      fveq2 3anbi123d eldifi adantr 3adant2 eldifsni wss 0nn0 dgrcl syl sylancr
      co prssi ssrab2 a1i unssd cr nn0ssre ressxr sstri sstrdi fvex prid2 elun1
      ax-mp supxrub sylancl abs0 eqtrdi prid1 eqeltrdi adantl eqeq1 wf 0z coef2
      c0ex eqid ffvelrnda nn0abscl simplr ad2antrr simpr dgrub syl3anc elfz2nn0
      syl3anbrc 2fveq3 rspceeqv elrabd elun2 pm2.61dane syl2anc ralrimiva simp2
      3jca fveq1 cfn mp2an breq2 rabbidv eleq2 impcom elrab anim2i c0 prfi fzfi
      eqeq1d rspcev abrexfi rabssab ssfi unfi ne0ii wor xrltso fisupcl mp3an12i
      mpan sseldd eqidd 3anbi23d rexeqdv cnex rabex anbi12d spcev 3exp rexlimiv
      simp1 eldifsn 3imtr4i ssriv ssrexv cbvrexvw syl6ib sylbi syl6bi rexlimivw
      exlimiv impbii elaa eluniab 3bitr4i eqriv rnmpt unieqi eqtr4i ) UAUFJZDJZ
      EJZKLMZEFJZUBUCZUWIUDKZCJZNOZAJZUWIUEKZKZUHKZUWLNOZAPUIZUJZFQUKKZULZRZDUM
      ULZMZCPRZUFUNZUOZBUPZUOHUAUXHHJZUMSZUXJIJZKZLMZIUXAUBUQZURZRZTZUXJUWESZUX
      FTZUFUSZUXJUASUXJUXHSUXRUYAUXQUXKUYAUXNUXKUYAUTIUXPUXLUXPSZUXNUXKUYAUYBUX
      NUXKUJZUXJUWHEUWJUWKLUXLUDKZVAZUXJUGJZUXLUEKZKUHKZMZUGLUYDVBWGZRZHPULZVCZ
      VDVEVFZNOZUWQUYNNOZAPUIZUJZFUXAULZRZDUMULZSZVUAUXDMZCPRZUYAUYCUYTUXJUWGKZ
      LMZEUYSRZDUXJUMDHVGZUWHVUFEUYSUWFUXJLUWGVHZVIUYBUXNUXKVJUYCUXLUYSSUXNVUGU
      YCUYRUXLUBUCZUYDUYNNOZUWNUYGKZUHKZUYNNOZAPUIZUJZFUXLUXAFIVGZUWJVUJUYOVUKU
      YQVUOUWIUXLUBVKZVUQUWKUYDUYNNUWIUXLUDVPZVLVUQUYPVUNAPVUQUWQVUMUYNNVUQUWPV
      ULUHVUQUWNUWOUYGUWIUXLUEVPVMVNZVLVOVQUYBUXKUXLUXASZUXNUYBVVAUXKUXLUXAUXOV
      RVSZVTUYBUXKVUPUXNUYBUXKTZVUJVUKVUOUYBVUJUXKUXLUXAUBWAVSVVCUYMVDWBZUYDUYM
      SZVUKVVCUYMPVDVVCUYEUYLPVVCLPSUYDPSZUYEPWBWCVVCVVAVVFVVBQUXLWDWEZLUYDPWHW
      FUYLPWBVVCUYKHPWIWJWKZPWLVDWMWNWOWPZUYDUYESVVELUYDUXLUDWQWRUYDUYEUYLWSWTZ
      UYMUYDXAXBVVCVUNAPVVCUWNPSZTZVVDVUMUYMSZVUNVVCVVDVVKVVIVSVVLVVMVULLVULLMZ
      VVMVVLVVNVUMLUYMVVNVUMLUHKLVULLUHVPXCXDLUYESLUYMSLUYDXLXELUYEUYLWSWTXFXGV
      VLVULLUCZTZVUMUYLSVVMVVPUYKVUMUYHMZUGUYJRZHVUMPUXJVUMMUYIVVQUGUYJUXJVUMUY
      HXHVIVVLVUMPSZVVOVVLVULQSVVSVVCPQUWNUYGVVCVVALQSPQUYGXIVVBXJUYGQUXLUYGXMZ
      XKXBXNVULXOWEVSVVPUWNUYJSZVUMVUMMVVRVVPVVKVVFUWNUYDNOZVWAVVCVVKVVOXPZVVCV
      VFVVKVVOVVGXQVVPVVAVVKVVOVWBVVCVVAVVKVVOVVBXQVWCVVLVVOXRUYGQUXLUWNUYDVVTU
      YDXMXSXTUWNUYDYAYBVUMXMUGUWNUYJUYHVUMVUMUYFUWNUHUYGYCYDXBYEVUMUYLUYEYFWEY
      GUYMVUMXAYHYIYKVTYEUYBUXNUXKYJVUFUXNEUXLUYSEIVGVUEUXMLUXJUWGUXLYLUUDZUUEY
      HYEUYCUYNPSZVUAVUAMVUDUYBUXKVWEUXNVVCUYMPUYNVVHUYMYMSZUYMUUAUCZVVCVVDUYNU
      YMSZUYEYMSUYLYMSZVWFLUYDUUBUYKHUNZYMSZUYLVWJWBVWIUYJYMSVWKLUYDUUCUGHUYJUY
      HUUFWTUYKHPUUGVWJUYLUUHYNUYEUYLUUIYNUYDUYMVVJUUJVVIVDVEUUKVWFVWGVVDUJVWHU
      ULVDUYMVEUUMUUOUUNUUPVTUYCVUAUUQCUYNPUXDVUAVUAUWLUYNMZUXCUYTDUMVWLUWHEUXB
      UYSVWLUWTUYRFUXAVWLUWMUYOUWSUYQUWJUWLUYNUWKNYOVWLUWRUYPAPUWLUYNUWQNYOVOUU
      RYPUUSYPYDYHUXTVUBVUDTUFVUAUYTDUMUUTUVAUWEVUAMZUXSVUBUXFVUDUWEVUAUXJYQVWM
      UXEVUCCPUWEVUAUXDXHVIUVBUVCYHUVDUVEYRUXTUXRUFUXFUXSUXRUXEUXSUXRUTCPUXEUXS
      UXJUXDSZUXRUWEUXDUXJYQVWNUXKVUFEUXBRZTUXRUXCVWODUXJUMVUHUWHVUFEUXBVUIVIYS
      VWOUXQUXKUXBUXPWBZVWOUXQUTIUXBUXPVVAVUJUYDUWLNOZVUMUWLNOZAPUIZUJZTVVAVUJT
      UXLUXBSUYBVWTVUJVVAVUJVWQVWSUVFYTUWTVWTFUXLUXAVUQUWJVUJUWMVWQUWSVWSVURVUQ
      UWKUYDUWLNVUSVLVUQUWRVWRAPVUQUWQVUMUWLNVUTVLVOVQYSUXLUXAUBUVGUVHUVIVWPVWO
      VUFEUXPRUXQVUFEUXBUXPUVJVUFUXNEIUXPVWDUVKUVLWTYTUVMUVNUVOYRUVPUVQUXJIUVRU
      XFUFUXJUVSUVTUWAUXIUXGCUFPUXDBGUWBUWCUWD $.

    $d H f g $.
    $( Lemma for ~ aannen . $)
    $( The algebraic numbers are countable.  (Contributed by Stefan O'Rear,
       16-Nov-2014.) $)
    aannenlem3 $p |- AA ~~ NN $=
      ( vf vg caa cn cdom wbr com cc cv cfn cn0 wcel cfv cen wor crn aannenlem2
      cuni wss ccrd cdm wfo omelon nn0ennn nnenom entri ensymi isnumi mp2an wfn
      con0 cc0 wceq c0p wne cdgr cle ccoe cabs wral w3a cz cply crab wrex rabex
      cnex fnmpti dffn4 mpbi fodomnum domentr wb fvelrnb ax-mp aannenlem1 eleq1
      mp2 syl5ibcom rexlimiv sylbi ssriv wi aasscn eqsstrri iunfictbso mp3an12i
      soss eqbrtrid cnso exlimiiv cvv ssexi cq nnssq qssaa sstri ssdomg sbth )
      JKLMZKJLMZJKUAMJNLMZNKUAMXGOHPZUBZXIHXKJBUCZUEZNLABCDEFGUDZXLNLMZXLQUFXKX
      MXJUBZXMNLMXLRLMZRNUAMXORUGUHSZRXLBUIZXQNURSNRUAMXRUJRNRKNUKULUMZUNNRUOUP
      BRUQZXSCRDPEPTUSUTEFPZVAVBYBVCTCPZVDMAPYBVETTVFTYCVDMARVGVHFVIVJTVKVLZDOV
      KBYDDOVNVMGVOZRBVPVQRXLBVRWEXTXLRNVSUPHXLQXJXLSZIPZBTZXJUTZIRVLZXJQSZYAYF
      YJVTYEIRXJBWAWBYIYKIRYGRSYHQSYIYKYGABCDEFGWCYHXJQWDWFWGWHWIXMOUFXKXPWJXMJ
      OXNWKWLXMOXJWOWBXLXJWMWNWPHWQWRKNULUNJNKVSUPJWSSKJUFXHJOVNWKWTKXAJXBXCXDK
      JWSXEWEJKXFUP $.
  $}

  ${
    $d a b c d e $.
    $( The algebraic numbers are countable.  (Contributed by Stefan O'Rear,
       16-Nov-2014.) $)
    aannen $p |- AA ~~ NN $=
      ( ve va vb vc vd cn0 cfv cc0 wceq c0p wne cdgr cle wbr ccoe cabs wral w3a
      cv crab cz cply wrex cc cmpt eqid aannenlem3 ) ABFCSDSGHIDESZJKUHLGBSZMNA
      SUHOGGPGUIMNAFQREUAUBGTUCCUDTUEZBCDEUJUFUG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Liouville's approximation theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d F a $.  $d X a $.  $d Y a $.  $d ph a $.
    aalioulem1.a $e |- ( ph -> F e. ( Poly ` ZZ ) ) $.
    aalioulem1.b $e |- ( ph -> X e. ZZ ) $.
    aalioulem1.c $e |- ( ph -> Y e. NN ) $.
    $( Lemma for ~ aaliou .  An integer polynomial cannot inflate the
       denominator of a rational by more than its degree.  (Contributed by
       Stefan O'Rear, 12-Nov-2014.) $)
    aalioulem1 $p |- ( ph -> ( ( F ` ( X / Y ) ) x. ( Y ^ ( deg ` F ) ) )
        e. ZZ ) $=
      ( va cdiv co cfv cexp cmul cc0 cz wcel cc cn0 syl2an adantr cdgr cfz ccoe
      cv csu cply wceq zcnd nncnd nnne0d divcld eqid coeid2 syl2anc fzfid dgrcl
      oveq1d syl expcld wa wf 0z coef2 sylancl elfznn0 ffvelrn mulcld fsummulc1
      expcl eqtrd mulassd adantl expdivd cn nnexpcl div13d cmin elfzelz expsubd
      wne nn0zd nnzd fznn0sub zexpcl eqeltrrd zmulcld eqeltrd fsumzcl ) ACDIJZB
      KZDBUAKZLJZMJZNWKUBJZHUDZBUCKZKZWIWOLJZMJZWLMJZHUEZOAWMWNWSHUEZWLMJXAAWJX
      BWLMABOUFKPZWIQPZWJXBUGEACDACFUHADGUIZADGUJZUKZWPOHBWKWIWPULZWKULUMUNUQAW
      NWSWLHANWKUOZADWKXEAXCWKRPZEOBUPURZUSAWOWNPZUTZWQWRXMWQAROWPVAZWORPZWQOPX
      LAXCNOPXNEVBWPOBXHVCVDWOWKVEZROWOWPVFSZUHZAXDXOWRQPXLXGXPWIWOVISZVGVHVJAW
      NWTHXIXMWTWQWRWLMJZMJOXMWQWRWLXRXSXMDWKADQPXLXETZAXJXLXKTZUSZVKXMWQXTXQXM
      XTWLDWOLJZIJZCWOLJZMJZOXMXTYFYDIJZWLMJYGXMWRYHWLMXMCDWOXMCACOPZXLFTUHZYAA
      DNVTXLXFTZXLXOAXPVLZVMUQXMYFYDWLXMCWOYJYLUSXMYDADVNPZXOYDVNPXLGXPDWOVOSZU
      IYCXMYDYNUJVPVJXMYEYFXMDWKWOVQJZLJZYEOXMDWKWOYAYKXLWOOPAWONWKVRVLXMWKYBWA
      VSXMDOPYORPZYPOPXMDAYMXLGTWBXLYQAWONWKWCVLDYOWDUNWEAYIXOYFOPXLFXPCWOWDSWF
      WGWFWGWHWG $.
  $}

  ${
    $d ph x p q r a b c d $.  $d A x p q r a b c d $.  $d F x p q r a b c d $.
    aalioulem2.a $e |- N = ( deg ` F ) $.
    aalioulem2.b $e |- ( ph -> F e. ( Poly ` ZZ ) ) $.
    aalioulem2.c $e |- ( ph -> N e. NN ) $.
    aalioulem2.d $e |- ( ph -> A e. RR ) $.
    $( Lemma for ~ aaliou .  (Contributed by Stefan O'Rear, 15-Nov-2014.)
       (Proof shortened by AV, 28-Sep-2020.) $)
    aalioulem2 $p |- ( ph -> E. x e. RR+ A. p e. ZZ A. q e. NN (
        ( F ` ( p / q ) ) = 0 -> ( A = ( p / q ) \/
          ( x / ( q ^ N ) ) <_ ( abs ` ( A - ( p / q ) ) ) ) ) ) $=
      ( cfv cc0 wceq cle crp cr c1 wcel wa vr va vb vc vd cv cdiv cmin cabs wbr
      co wo wi cn wral cz wrex cexp csn ccnv cima crab cun clt cinf snssi ax-mp
      wss 1rp ssrab2 unssi wor cfn c0 wne ltso a1i snfi cab chash cdgr cply c0p
      nnne0d eqcomi dgr0 3netr4g fveq2 necon3i eqid fta1 syl2anc simpld abrexfi
      syl rabssab ssfi sylancl unfi sylancr snid elun1 ne0i mp2b rpssre fiinfcl
      1ex sstri syl13anc sselid wn rpge0 rgen breq1 ralbidv rspcev mp2an ssralv
      reximi eqeq1 rexbidv ad2antrr simplr resubcld subeq0ad necon3abid biimprd
      0re recnd impr absrpcld cc simprl wfn wb oveq2 fveq2d ex rpred adantr znq
      wf plyf ffnd fniniseg mpbir2and rspceeqv elun2 infrelb mp3an12i expr orrd
      elrabd ralrimiva orbi2d imbi2d fveqeq2 eqeq2 breq2d orbi12d imbi12d rspcv
      cq qre syl11 ralrimivv simprr cn0 nnnn0d nnexpcld rpdivcld simpllr adantl
      nnrpd abscld ad2antlr rpcnne0d divid nnge1d eqbrtrd lediv23d simpr orim2d
      rpre letrd imim2d ralimdvva reximdva mpd ) AGUFZFUFZUGUKZDLMNZCUWLNZBUFZC
      UWLUHUKZUILZOUJZULZUMZFUNUOGUPUOZBPUQZUWMUWNUWOUWKEURUKZUGUKZUWQOUJZULZUM
      ZFUNUOGUPUOZBPUQAUAUFZDLMNZCUXINZUWOCUXIUHUKZUILZOUJZULZUMZUAQUOZBPUQZUXB
      ARUSZUBUFZCUCUFZUHUKZUILZNZUCDUTMUSVAZUQZUBPVBZVCZQVDVEZPSUXJUXKUYIUXMOUJ
      ZULZUMZUAQUOZUXRAUYHPUYIUXSUYGPRPSUXSPVHVIRPVFVGUYFUBPVJVKZAQVDVLZUYHVMSZ
      UYHVNVOZUYHQVHZUYIUYHSUYOAVPVQAUXSVMSUYGVMSZUYPRVRAUYFUBVSZVMSZUYGUYTVHUY
      SAUYEVMSZVUAAVUBUYEVTLDWALZOUJZADUPWBLSZDWCVOZVUBVUDTIAVUCWCWALZVOVUFAEMV
      UCVUGAEJWDEVUCHWEWFWGDWCVUCVUGDWCWAWHWIWOUYEUPDUYEWJWKWLWMUCUBUYEUYCWNWOU
      YFUBPWPUYTUYGWQWRUXSUYGWSWTUYQARUXSSRUYHSUYQRXGXARUXSUYGXBUYHRXCXDVQUYRAU
      YHPQUYNXEXHZVQQUYHVDXFXIXJAUYLUAQAUXIQSZTZUXJUYKVUJUXJTZUXKUYJVUJUXJUXKXK
      ZUYJUYRUDUFZUEUFZOUJZUEUYHUOZUDQUQZVUJUXJVULTZTZUXMUYHSZUYJVUHVUOUEPUOZUD
      QUQZVUQMQSMVUNOUJZUEPUOZVVBYHVVCUEPVUNXLXMVVAVVDUDMQVUMMNVUOVVCUEPVUMMVUN
      OXNXOXPXQVVAVUPUDQUYHPVHVVAVUPUMUYNVUOUEUYHPXRVGXSVGVUSUXMUYGSVUTVUSUYFUX
      MUYCNZUCUYEUQZUBUXMPUXTUXMNUYDVVEUCUYEUXTUXMUYCXTYAVUSUXLVUSUXLVUSCUXIACQ
      SZVUIVURKYBAVUIVURYCZYDYIVUJUXJVULUXLMVOZVUKVVIVULVUKUXKUXLMVUKCUXIVUKCAV
      VGVUIUXJKYBYIVUKUXIAVUIUXJYCYIYEYFYGYJYKVUSUXIUYESZUXMUXMNVVFVUSVVJUXIYLS
      ZUXJVUSUXIVVHYIVUJUXJVULYMVUSDYLYNZVVJVVKUXJTYOAVVLVUIVURAYLYLDAVUEYLYLDU
      UBIUPDUUCWOUUDYBYLMUXIDUUEWOUUFUXMWJUCUXIUYEUYCUXMUXMUYAUXINUYBUXLUIUYAUX
      ICUHYPYQUUGWRUUMUXMUYGUXSUUHWOUDUEUXMUYHUUIUUJUUKUULYRUUNUXQUYMBUYIPUWOUY
      INZUXPUYLUAQVVMUXOUYKUXJVVMUXNUYJUXKUWOUYIUXMOXNUUOUUPXOXPWLUXQUXABPUXQUW
      TGFUPUNUWLQSZUXQUWTUWJUPSZUWKUNSZTZUXPUWTUAUWLQUXIUWLNZUXJUWMUXOUWSUXIUWL
      MDUUQVVRUXKUWNUXNUWRUXIUWLCUURVVRUXMUWQUWOOVVRUXLUWPUIUXIUWLCUHYPYQUUSUUT
      UVAUVBVVQUWLUVCSVVNUWJUWKUUAUWLUVDWOZUVEUVFXSWOAUXAUXHBPAUWOPSZTZUWTUXGGF
      UPUNVWAVVQTZUWSUXFUWMVWBUWRUXEUWNVWBUWRUXEVWBUWRTZUXDUWOUWQVWBUXDQSUWRVWB
      UXDVWBUWOUXCAVVTVVQYCZVWBUXCVWBUWKEVWAVVOVVPUVGAEUVHSVVTVVQAEJUVIYBUVJZUV
      NZUVKYSYTVWCUWOAVVTVVQUWRUVLYSVWBUWQQSUWRVWBUWPVWBUWPVWBCUWLAVVGVVTVVQKYB
      VVQVVNVWAVVSUVMYDYIUVOYTVWBUXDUWOOUJUWRVWBUWOUWOUXCVVTUWOQSAVVQUWOUWDUVPV
      WDVWFVWBUWOUWOUGUKZRUXCOVWBUWOYLSUWOMVOTVWGRNVWBUWOVWDUVQUWOUVRWOVWBUXCVW
      EUVSUVTUWAYTVWBUWRUWBUWEYRUWCUWFUWGUWHUWI $.

    aalioulem3.e $e |- ( ph -> ( F ` A ) = 0 ) $.
    $( Lemma for ~ aaliou .  (Contributed by Stefan O'Rear, 15-Nov-2014.) $)
    aalioulem3 $p |- ( ph -> E. x e. RR+ A. r e. RR ( ( abs ` ( A - r ) ) <_ 1
        -> ( x x. ( abs ` ( F ` r ) ) ) <_ ( abs ` ( A - r ) ) ) ) $=
      ( co cabs cfv c1 cle cr wcel cc cc0 va vc vb cv cmin wbr cmul wi wral crp
      wrex caddc cicc 1re resubcl sylancl peano2re syl cpr ccpn cres reelprrecn
      crn cint wss cn0 wfn ssid fncpn ax-mp 1nn0 fnfvelrn intss1 cz cply plycpn
      mp2an sselid cpnres sylancr cima df-ima wf zssre ax-resscn plyss plyreres
      frnd eqsstrid cdm iccssre syl2anc sstrdi plyf fdmd sseqtrrd c1lip3 wa w3a
      simp2 recnd adantr 3ad2ant1 abssubd eqbrtrd 1red elicc4abs syl3anc mpbird
      simp3 wb subidd fveq2d abs0 0le1 eqbrtri eqbrtrdi wceq fveq2 oveq2d oveq2
      breq12d fvoveq1d fvoveq1 rspc2v simp1l ffvelrnd eqtrd breq1d mpd cdiv wne
      adantl oveq1 ad2antrr abscld absge0d syl5ibrcom expimpd remulcld eqeltrdi
      0cn subid1d sylibd 3exp com34 com23 ralrimdv reximdva cif 1rp a1i wn recn
      neqne absrpcl syl2an rpreccld ifclda wo eqid eqif simplrr simprl resubcld
      mul02d breqtrd 0re letri3 mpbir2and ax-1cn mul01i eqtrdi simpllr sylancom
      mpbi df-ne rpcnne0d 3expb simplr simprr leabs ad2antlr lemul1ad ledivmuld
      divrec2 letrd eqbrtrrd sylan2br mpi imim2d ralimdva imbi2d ralbidv rspcev
      jaod expr syl6an rexlimdva ) ACFUDZUELZMNZOPUFZUWTDNZMNZUAUDZUXBUGLZPUFZU
      HZFQUIZUAQUKZUXCBUDZUXEUGLZUXBPUFZUHZFQUIZBUJUKZAUBUDZDNZUCUDZDNZUELZMNZU
      XFUXRUXTUELZMNZUGLZPUFZUBCOUELZCOULLZUMLZUIUCUYJUIZUAQUKUXKAUCUBUYHUYIUAD
      ACQRZOQRZUYHQRZJUNCOUOUPZAUYLUYIQRZJCUQURZAQQSUSRDOSUTNZNZRDQVAZOQUTNNRVB
      AUYRVCZVDZUYSDUYSVUARZVUBUYSVEUYRVFVGZOVFRVUCSSVEVUDSVHSVIVJVKVFOUYRVLVQU
      YSVUAVMVJADVNVONZRZDVUBRHVNDVPURVRQDOVSVTADQWAUYTVCQDQWBAQQUYTADQVONZRQQU
      YTWCAVUEVUGDVNQVEQSVEVUEVUGVEWDWEVNQWFVQHVRDWGURWHWIAUYJSDWJAUYJQSAUYNUYP
      UYJQVEUYOUYQUYHUYIWKWLWEWMASSDAVUFSSDWCZHVNDWNURZWOWPWQAUYKUXJUAQAUXFQRZW
      RZUYKUXIFQVUKUWTQRZUYKUXIVUKVULUXCUYKUXHVUKVULUXCUYKUXHUHVUKVULUXCWSZUYKC
      DNZUXDUELMNZUXGPUFZUXHVUMUWTUYJRZCUYJRZUYKVUPUHVUMVUQUWTCUELMNZOPUFZVUMVU
      SUXBOPVUMUWTCVUMUWTVUKVULUXCWTZXAZVUMCVUKVULUYLUXCAUYLVUJJXBXCZXAXDVUKVUL
      UXCXJXEVUMUYLUYMVULVUQVUTXKVVCVUMXFVVACOUWTXGXHXIVUKVULVURUXCAVURVUJAVURC
      CUELZMNZOPUFZAVVETMNZOPAVVDTMACACJXAXLXMVVGTOPXNXOXPXQAUYLUYMUYLVURVVFXKJ
      AXFJCOCXGXHXIXBXCUYGVUPUXSUXDUELZMNZUXFUXRUWTUELZMNZUGLZPUFUCUBUWTCUYJUYJ
      UXTUWTXRZUYCVVIUYFVVLPVVMUYBVVHMVVMUYAUXDUXSUEUXTUWTDXSXTXMVVMUYEVVKUXFUG
      VVMUYDVVJMUXTUWTUXRUEYAXMXTYBUXRCXRZVVIVUOVVLUXGPVVNUXSVUNUXDMUEUXRCDXSYC
      VVNVVKUXBUXFUGUXRCUWTMUEYDXTYBYEWLVUMVUOUXEUXGPVUMVUOUXDVUNUELZMNUXEVUMVU
      NUXDVUMVUNTSVUMAVUNTXRAVUJVULUXCYFKURZUUBUUAVUMSSUWTDVUKVULVUHUXCAVUHVUJV
      UIXBXCVVBYGZXDVUMVVOUXDMVUMVVOUXDTUELUXDVUMVUNTUXDUEVVPXTVUMUXDVVQUUCYHXM
      YHYIUUDUUEUUFUUGUUHUUIYJAUXJUXQUAQVUKUXFTXRZOOUXFMNZYKLZUUJZUJRUXJUXCVWAU
      XEUGLZUXBPUFZUHZFQUIZUXQVUKVVROVVTUJOUJRVUKVVRWRUUKUULVUKVVRUUMZWRVVSVUKU
      XFSRZUXFTYLZVVSUJRZVWFVUJVWGAUXFUUNYMUXFTUUOUXFUUPZUUQUURUUSVUKUXIVWDFQVU
      KVULWRUXHVWCUXCVUKVULUXHVWCVUKVULUXHWRZWRZVVRVWAOXRZWRZVWFVWAVVTXRZWRZUUT
      ZVWCVWAVWAXRVWQVWAUVAVVRVWAOVVTUVBUVPVWLVWNVWCVWPVWLVVRVWMVWCVWLVVRWRZVWC
      VWMOUXEUGLZUXBPUFVWRVWSTUXBPVWRVWSOTUGLTVWRUXETOUGVWRUXETXRZUXETPUFZTUXEP
      UFZVWRUXEUXGTPVUKVULUXHVVRUVCVWRUXGTUXBUGLZTVVRUXGVXCXRVWLUXFTUXBUGYNYMVW
      RUXBVWLUXBSRVVRVWLUXBVWLUXAVWLUXAVWLCUWTAUYLVUJVWKJYOVUKVULUXHUVDZUVEXAZY
      PZXAXBUVFYHUVGVWRUXDVWLUXDSRVVRVWLSSUWTDAVUHVUJVWKVUIYOVWLUWTVXDXAYGZXBYQ
      VWRUXEQRZTQRVWTVXAVXBWRXKVWLVXHVVRVWLUXDVXGYPZXBUVHUXETUVIUPUVJXTOUVKUVLU
      VMVWRUXAVWLUXASRVVRVXEXBYQXEVWMVWBVWSUXBPVWAOUXEUGYNYIYRYSVWLVWFVWOVWCVWL
      VWFWRVWCVWOVVTUXEUGLZUXBPUFZVWFVWLVWHVXKUXFTUVQVWLVWHWRZUXEVVSYKLZVXJUXBP
      VXLUXESRZVVSSRZVVSTYLZWRVXMVXJXRZVXLUXEVWLVXHVWHVXIXBZXAVXLVVSVWLVWHVWGVW
      IVXLUXFAVUJVWKVWHUVNXAVWJUVOZUVRVXNVXOVXPVXQUXEVVSUWFUVSWLVXLVXMUXBPUFUXE
      VVSUXBUGLZPUFZVWLVYAVWHVWLUXEUXGVXTVXIVWLUXFUXBAVUJVWKUVTZVXFYTVWLVVSUXBV
      WLUXFVWLUXFVYBXAYPZVXFYTVUKVULUXHUWAVWLUXFVVSUXBVYBVYCVXFVWLUXAVXEYQVUJUX
      FVVSPUFAVWKUXFUWBUWCUWDUWGXBVXLUXEUXBVVSVXRVWLUXBQRVWHVXFXBVXSUWEXIUWHUWI
      VWOVWBVXJUXBPVWAVVTUXEUGYNYIYRYSUWPUWJUWQUWKUWLUXPVWEBVWAUJUXLVWAXRZUXOVW
      DFQVYDUXNVWCUXCVYDUXMVWBUXBPUXLVWAUXEUGYNYIUWMUWNUWOUWRUWSYJ $.

    $( Lemma for ~ aaliou .  (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    aalioulem4 $p |- ( ph -> E. x e. RR+ A. p e. ZZ A. q e. NN (
        ( ( F ` ( p / q ) ) =/= 0 /\ ( abs ` ( A - ( p / q ) ) ) <_ 1 ) ->
          ( A = ( p / q ) \/ ( x / ( q ^ N ) ) <_
            ( abs ` ( A - ( p / q ) ) ) ) ) ) $=
      ( co cabs cfv cle wbr cmul cr wcel va cv cmin c1 wi wral crp wrex cc0 wne
      cdiv wa wceq wo cn cz aalioulem3 w3a cq simp2l simp2r znq syl2anc qre syl
      cexp simp3r oveq2 fveq2d breq1d 2fveq3 oveq2d breq12d imbi12d rspcv com23
      sylc simp1r nnrpd simp1l nnzd rpexpcld rpdivcld rpred adantr cc cply plyf
      wf ffvelrnd abscld remulcld resubcld rpne0d divrecd absmuld rpge0d absidd
      recnd rpcnd oveq1d eqtrd mulcomd oveq2i eqtrdi aalioulem1 eqeltrd mulne0d
      cdgr simp3l nnabscl eqeltrrd nnge1d 1red ledivmuld rprecred lemul2d mpbid
      mpbird eqbrtrd simpr letrd olcd ex syld 3exp com34 ralrimdvv reximdva mpd
      ) ACUAUBZUCMZNOZUDPQZBUBZYKDONOZRMZYMPQZUEZUASUFZBUGUHGUBZFUBZUKMZDOZUIUJ
      ZCUUCUCMZNOZUDPQZULZCUUCUMZYOUUBEVFMZUKMZUUGPQZUNZUEZFUOUFGUPUFZBUGUHABCD
      EUAHIJKLUQAYTUUPBUGAYOUGTZULZYTUUOGFUPUOUURUUAUPTZUUBUOTZULZYTUUOUURUVAUU
      IYTUUNUURUVAUUIYTUUNUEUURUVAUUIURZYTYOUUDNOZRMZUUGPQZUUNUVBUUCSTZUUHYTUVE
      UEUVBUUCUSTZUVFUVBUUSUUTUVGUURUUSUUTUUIUTZUURUUSUUTUUIVAZUUAUUBVBVCUUCVDV
      EZUURUVAUUEUUHVGUVFYTUUHUVEYSUUHUVEUEUAUUCSYKUUCUMZYNUUHYRUVEUVKYMUUGUDPU
      VKYLUUFNYKUUCCUCVHVIZVJUVKYQUVDYMUUGPUVKYPUVCYORYKUUCNDVKVLUVLVMVNVOVPVQU
      VBUVEUUNUVBUVEULZUUMUUJUVMUULUVDUUGUVBUULSTUVEUVBUULUVBYOUUKAUUQUVAUUIVRZ
      UVBUUBEUVBUUBUVIVSUVBEUVBAEUOTAUUQUVAUUIVTZJVEWAWBZWCWDWEUVBUVDSTUVEUVBYO
      UVCUVBYOUVNWDUVBUUDUVBWFWFUUCDUVBDUPWGOTZWFWFDWIUVBAUVQUVOIVEZUPDWHVEUVBU
      UCUVJWSWJZWKZWLWEUVBUUGSTUVEUVBUUFUVBUUFUVBCUUCUVBACSTUVOKVEUVJWMWSWKWEUV
      BUULUVDPQUVEUVBUULYOUDUUKUKMZRMZUVDPUVBYOUUKUVBYOUVNWTUVBUUKUVPWTZUVBUUKU
      VPWNZWOUVBUWAUVCPQZUWBUVDPQUVBUWEUDUUKUVCRMZPQUVBUWFUVBUUKUUDRMZNOZUWFUOU
      VBUWHUUKNOZUVCRMUWFUVBUUKUUDUWCUVSWPUVBUWIUUKUVCRUVBUUKUVBUUKUVPWDUVBUUKU
      VPWQWRXAXBUVBUWGUPTUWGUIUJUWHUOTUVBUWGUUDUUBDXIOZVFMZRMZUPUVBUWGUUDUUKRMU
      WLUVBUUKUUDUWCUVSXCUUKUWKUUDREUWJUUBVFHXDXDXEUVBDUUAUUBUVRUVHUVIXFXGUVBUU
      KUUDUWCUVSUWDUURUVAUUEUUHXJXHUWGXKVCXLXMUVBUDUVCUUKUVBXNUVTUVPXOXSUVBUWAU
      VCYOUVBUUKUVPXPUVTUVNXQXRXTWEUVBUVEYAYBYCYDYEYFYGVPYHYIYJ $.

    $d N a b x $.

    $( Lemma for ~ aaliou .  (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    aalioulem5 $p |- ( ph -> E. x e. RR+ A. p e. ZZ A. q e. NN (
        ( F ` ( p / q ) ) =/= 0 -> ( A = ( p / q ) \/ ( x / ( q ^ N ) ) <_
            ( abs ` ( A - ( p / q ) ) ) ) ) ) $=
      ( co c1 cle wbr wa cn crp wcel va cv cdiv cfv cc0 wne cmin cabs wceq cexp
      wo wi wral cz wrex aalioulem4 cif simpr 1rp ifcl sylancl cr adantr simprr
      clt w3a nnrpd ad2antrr nnzd rpexpcld rpdivcld rpred 1re a1i cq znq adantl
      qre syl resubcld recnd abscld 3jca rprecred simplr min2 lediv1dd nnexpcld
      cmul nnnn0d 1nn nnmulcld nnge1d ledivmuld letrd ltle sylancr imp jca letr
      mpbird sylc olcd 2a1d pm3.21 anim1i ex orim2d imim12d ltlecasei ralimdvva
      min1 oveq1 breq1d orbi2d imbi2d 2ralbidv rspcev syl6an rexlimdva mpd ) AG
      UBZFUBZUCMZDUDUEUFZCYDUGMZUHUDZNOPZQZCYDUIZUAUBZYCEUJMZUCMZYGOPZUKZULZFRU
      MGUNUMZUASUOYEYJBUBZYLUCMZYGOPZUKZULZFRUMGUNUMZBSUOZAUACDEFGHIJKLUPAYQUUD
      UASAYKSTZQZYKNOPZYKNUQZSTZYQYEYJUUHYLUCMZYGOPZUKZULZFRUMGUNUMZUUDUUFUUENS
      TUUIAUUEURUSUUGYKNSUTVAZUUFYPUUMGFUNRUUFYBUNTZYCRTZQZQZYPUUMULNYGUUSNYGVE
      PZQZUULYPYEUVAUUKYJUVAUUJVBTZNVBTZYGVBTZVFZUUJNOPZNYGOPZQUUKUUSUVEUUTUUSU
      VBUVCUVDUUSUUJUUSUUHYLUUFUUIUURUUOVCZUUSYCEUUSYCUUFUUPUUQVDZVGUUSEAERTUUE
      UURJVHZVIVJZVKVLZUVCUUSVMVNZUUSYFUUSYFUUSCYDACVBTUUEUURKVHUURYDVBTZUUFUUR
      YDVOTUVNYBYCVPYDVRVSVQVTWAWBZWCVCUVAUVFUVGUUSUVFUUTUUSUUJNYLUCMZNUVLUUSYL
      UVKWDUVMUUSUUHNYLUUSUUHUVHVLZUVMUVKUUSYKVBTZUVCUUHNOPUUSYKAUUEUURWEZVLZVM
      YKNWFVAWGUUSUVPNOPNYLNWIMZOPUUSUWAUUSYLNUUSYCEUVIUUSEUVJWJWHNRTUUSWKVNWLW
      MUUSNNYLUVMUVMUVKWNXAWOVCUUSUUTUVGUUSUVCUVDUUTUVGULVMUVONYGWPWQWRWSUUJNYG
      WTXBXCXDUUSYHQZYEYIYOUULYHYEYIULUUSYHYEXEVQUWBYNUUKYJUUSYNUUKULYHUUSYNUUK
      UUSYNQUVBYMVBTZUVDVFZUUJYMOPZYNQUUKUUSUWDYNUUSUVBUWCUVDUVLUUSYMUUSYKYLUVS
      UVKVKVLUVOWCVCUUSUWEYNUUSUUHYKYLUVQUVTUVKUUSUVRUVCUUHYKOPUVTVMYKNXLVAWGXF
      UUJYMYGWTXBXGVCXHXIUVMUVOXJXKUUCUUNBUUHSYRUUHUIZUUBUUMGFUNRUWFUUAUULYEUWF
      YTUUKYJUWFYSUUJYGOYRUUHYLUCXMXNXOXPXQXRXSXTYA $.

    $( Lemma for ~ aaliou .  (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    aalioulem6 $p |- ( ph -> E. x e. RR+ A. p e. ZZ A. q e. NN
        ( A = ( p / q ) \/ ( x / ( q ^ N ) ) <_
          ( abs ` ( A - ( p / q ) ) ) ) ) $=
      ( cle wbr cn wral cz wa crp wcel va vb cv cdiv co cfv wceq cexp cmin cabs
      cc0 wo wne wrex aalioulem2 aalioulem5 reeanv sylanbrc r19.26-2 cif adantl
      wi ifcl simpr w3a ad2antlr nnrp ad2antll ad2antrr rpexpcld rpdivcld rpred
      cr nnzd simplrl cq znq qre resubcld recnd abscld 3jca adantr simplrr min1
      syl syl2anc lediv1dd anim1i letr sylc orim2d embantd adantrd min2 adantld
      pm2.61dane ralimdvva oveq1 breq1d orbi2d rspcev syl6an syl5bir rexlimdvva
      ex 2ralbidv mpd ) AGUCZFUCZUDUEZDUFZUKUGZCXKUGZUAUCZXJEUHUEZUDUEZCXKUIUEZ
      UJUFZMNZULZVBZFOPGQPZXLUKUMZXNUBUCZXPUDUEZXSMNZULZVBZFOPGQPZRZUBSUNUASUNZ
      XNBUCZXPUDUEZXSMNZULZFOPGQPZBSUNZAYCUASUNYJUBSUNYLAUACDEFGHIJKUOAUBCDEFGH
      IJKLUPYCYJUAUBSSUQURAYKYRUAUBSSYKYBYIRZFOPGQPZAXOSTZYESTZRZRZYRYBYIGFQOUS
      UUDXOYEMNZXOYEUTZSTZYTXNUUFXPUDUEZXSMNZULZFOPGQPZYRUUCUUGAUUEXOYESVCZVAUU
      DYSUUJGFQOUUDXIQTZXJOTZRZRZYSUUJVBXLUKUUPXMRZYBUUJYIUUQXMYAUUJUUPXMVDUUQX
      TUUIXNUUPXTUUIVBXMUUPXTUUIUUPXTRUUHVMTZXQVMTZXSVMTZVEZUUHXQMNZXTRUUIUUPUV
      AXTUUPUURUUSUUTUUPUUHUUPUUFXPUUCUUGAUUOUULVFZUUPXJEUUNXJSTUUDUUMXJVGVHUUP
      EAEOTUUCUUOJVIVNVJZVKVLZUUPXQUUPXOXPAUUAUUBUUOVOZUVDVKVLUUPXRUUPXRUUPCXKA
      CVMTUUCUUOKVIUUOXKVMTZUUDUUOXKVPTUVGXIXJVQXKVRWFVAVSVTWAZWBWCUUPUVBXTUUPU
      UFXOXPUUPUUFUVCVLZUUPXOUVFVLZUVDUUPXOVMTZYEVMTZUUFXOMNUVJUUPYEAUUAUUBUUOW
      DZVLZXOYEWEWGWHWIUUHXQXSWJWKXFWCWLWMWNUUPYDRZYIUUJYBUVOYDYHUUJUUPYDVDUVOY
      GUUIXNUUPYGUUIVBYDUUPYGUUIUUPYGRUURYFVMTZUUTVEZUUHYFMNZYGRUUIUUPUVQYGUUPU
      URUVPUUTUVEUUPYFUUPYEXPUVMUVDVKVLUVHWBWCUUPUVRYGUUPUUFYEXPUVIUVNUVDUUPUVK
      UVLUUFYEMNUVJUVNXOYEWOWGWHWIUUHYFXSWJWKXFWCWLWMWPWQWRYQUUKBUUFSYMUUFUGZYP
      UUJGFQOUVSYOUUIXNUVSYNUUHXSMYMUUFXPUDWSWTXAXGXBXCXDXEXH $.

    $( Liouville's theorem on diophantine approximation:  Any algebraic number,
       being a root of a polynomial ` F ` in integer coefficients, is not
       approximable beyond order ` N = deg ( F ) ` by rational numbers.  In
       this form, it also applies to rational numbers themselves, which are not
       well approximable by other rational numbers.  This is Metamath 100 proof
       #18.  (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    aaliou $p |- ( ph -> E. x e. RR+ A. p e. ZZ A. q e. NN ( A = ( p / q ) \/
      ( x / ( q ^ N ) ) < ( abs ` ( A - ( p / q ) ) ) ) ) $=
      ( cdiv co cn wral cz crp wcel cr va cv wceq cexp cmin cabs cfv cle wbr wo
      wrex clt aalioulem6 wa c2 rphalfcl adantl w3a ad2antlr nnrp ad2antll nnzd
      ad2antrr rpexpcld rpdivcld rpred simplr adantr znq qre syl resubcl syl2an
      cq recnd abscld 3jca rphalflt ltdiv1dd anim1i ex ltletr sylsyld ralimdvva
      rpre orim2d oveq1 breq1d orbi2d 2ralbidv rspcev syl6an rexlimdva mpd ) AC
      GUBZFUBZMNZUCZUAUBZWPEUDNZMNZCWQUENZUFUGZUHUIZUJZFOPGQPZUARUKWRBUBZWTMNZX
      CULUIZUJZFOPGQPZBRUKZAUACDEFGHIJKLUMAXFXLUARAWSRSZUNZWSUOMNZRSZXFWRXOWTMN
      ZXCULUIZUJZFOPGQPZXLXMXPAWSUPZUQXNXEXSGFQOXNWOQSZWPOSZUNZUNZXDXRWRYEXQTSZ
      XATSZXCTSZURXDXQXAULUIZXDUNZXRYEYFYGYHYEXQYEXOWTXMXPAYDYAUSZYEWPEYCWPRSXN
      YBWPUTVAAEQSXMYDAEJVBVCVDZVEVFYEXAYEWSWTAXMYDVGYLVEVFYEXBYEXBXNCTSZWQTSZX
      BTSYDAYMXMKVHYDWQVNSYNWOWPVIWQVJVKCWQVLVMVOVPVQYEXDYJYEYIXDYEXOWSWTYEXOYK
      VFXMWSTSAYDWSWEUSYLXMXOWSULUIAYDWSVRUSVSVTWAXQXAXCWBWCWFWDXKXTBXORXGXOUCZ
      XJXSGFQOYOXIXRWRYOXHXQXCULXGXOWTMWGWHWIWJWKWLWMWN $.
  $}

  ${
    $d ph k a $.  $d A k a $.  $d B k a $.  $d C k a $.  $d F a $.
    geolim3.a $e |- ( ph -> A e. ZZ ) $.
    geolim3.b1 $e |- ( ph -> B e. CC ) $.
    geolim3.b2 $e |- ( ph -> ( abs ` B ) < 1 ) $.
    geolim3.c $e |- ( ph -> C e. CC ) $.
    geolim3.f $e |- F = ( k e. ( ZZ>= ` A ) |-> ( C x. ( B ^ ( k - A ) ) ) ) $.
    $( Geometric series convergence with arbitrary shift, radix, and
       multiplicative constant.  (Contributed by Stefan O'Rear,
       16-Nov-2014.) $)
    geolim3 $p |- ( ph -> seq A ( + , F ) ~~> ( C / ( 1 - B ) ) ) $=
      ( caddc cfv co cexp cmul c1 wceq wcel cc va cseq cv cmin cmpt cdiv seqeq3
      cuz cli ax-mp wbr cneg cshi cc0 nn0uz oveq2 eqid ovex fvmpt adantl geolim
      cn0 0zd wa expcl sylan eqeltrd zcnd nn0cn fvex mptex shftval4 syl2an uzid
      cz syl uzaddcl oveq1 oveq2d pncan2 eqtr4d 3eqtrd isermulc2 negidd seqeq1d
      ax-1cn subcl sylancr wne cabs abs1 a1i abscld gtned eqnetrd fveq2 necon3i
      subeq0 necon3bid mpbird divrecd 3brtr4d znegcld isershft syl2anc eqbrtrid
      wb ) ALFBUBZLEBUHMZDCEUCZBUDNZONZPNZUEZBUBZDQCUDNZUFNZUIFXNRXHXORKLFXNBUG
      UJAXOXQUIUKZLXNBULZUMNZBXSLNZUBZXQUIUKZALXTUNUBDQXPUFNZPNYBXQUIAYDDUAEVBC
      XJONZUEZXTUNVBUOAVCJACUAYFHIUAUCZVBSZYGYFMZCYGONZRAEYGYEYJVBYFXJYGCOUPYFU
      QCYGOURUSUTZVAAYHVDZYIYJTYKACTSZYHYJTSHCYGVEVFVGYLYGXTMZBYGLNZXNMZDCYOBUD
      NZONZPNZDYIPNABTSZYGTSZYNYPRYHABGVHZYGVIZBYGXNEXIXMBUHVJVKZVLVMYLYOXISZYP
      YSRABXISZYHUUEABVOSZUUFGBVNVPYGBBVQVFEYOXMYSXIXNXJYORZXLYRDPUUHXKYQCOXJYO
      BUDVRVSVSXNUQDYRPURUSVPYLYRYIDPYLYRYJYIYLYQYGCOAYTUUAYQYGRYHUUBUUCBYGVTVM
      VSYKWAVSWBWCAYAUNLXTABUUBWDWEADXPJAQTSZYMXPTSWFHQCWGWHAXPUNWIQCWIZAQWJMZC
      WJMZWIUUJAUUKQUULUUKQRAWKWLAUULQACHWMIWNWOQCUUKUULQCWJWPWQVPAXPUNQCAUUIYM
      XPUNRQCRXGWFHQCWRWHWSWTXAXBAUUGXSVOSXRYCXGGABGXCXQLXNBXSUUDXDXEWTXF $.
  $}

  ${
    $d A a k x p q $.

    $( Liouville's approximation theorem for algebraic numbers per se.
       (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    aaliou2 $p |- ( A e. ( AA i^i RR ) -> E. k e. NN E. x e. RR+ A. p e. ZZ
        A. q e. NN ( A = ( p / q ) \/ ( x / ( q ^ k ) ) <
            ( abs ` ( A - ( p / q ) ) ) ) ) $=
      ( va caa wcel cv cdiv co wceq cfv cn wral cz wrex cc cc0 c0p cr cexp cmin
      cin wa cabs clt wbr wo crp elin cply csn cdif wi elaa w3a cdgr cxp eldifn
      wn 3ad2ant1 simpr fveq1 adantl simpl2 simpl3 recnd fvex fvconst2 3eqtr3rd
      syl sneqd xpeq2d eqtrd df-0p eqtr4di velsn sylibr mtand eldifi mtbird cn0
      0dgrb dgrcl elnn0 sylib orel2 sylc simp3 simp2 aaliou oveq2 oveq2d breq1d
      eqid orbi2d 2ralbidv rexbidv rspcev syl2anc 3exp rexlimiv simplbiim sylbi
      wb imp ) BGUAUDHBGHZBUAHZUEBEIDIZJKZLZAIZXJCIZUBKZJKZBXKUCKUFMZUGUHZUIZDN
      OEPOZAUJQZCNQZBGUAUKXHXIYBXHBRHZBFIZMZSLZFPULMZTUMZUNZQXIYBUOZBFUPYFYJFYI
      YDYIHZYFXIYBYKYFXIUQZYDURMZNHZXLXMXJYMUBKZJKZXQUGUHZUIZDNOEPOZAUJQZYBYLYM
      SLZVAYNUUAUIZYNYLUUAYDRSYDMZUMZUSZLZYLUUFYDYHHZYKYFUUGVAXIYDYGYHUTVBYLUUF
      UEZYDTLUUGUUHYDRSUMZUSZTUUHYDUUEUUJYLUUFVCUUHUUDUUIRUUHUUCSUUHYEBUUEMZSUU
      CUUFYEUUKLYLBYDUUEVDVEYKYFXIUUFVFUUHYCUUKUUCLUUHBYKYFXIUUFVGVHRUUCBSYDVIV
      JVLVKVMVNVOVPVQFTVRVSVTYLYDYGHZUUAUUFXFYKYFUULXIYDYGYHWAVBZPYDWDVLWBYLYMW
      CHZUUBYLUULUUNUUMPYDWEVLYMWFWGUUAYNWHWIZYLABYDYMDEYMWPUUMUUOYKYFXIWJYKYFX
      IWKWLYAYTCYMNXNYMLZXTYSAUJUUPXSYREDPNUUPXRYQXLUUPXPYPXQUGUUPXOYOXMJXNYMXJ
      UBWMWNWOWQWRWSWTXAXBXCXDXGXE $.

    $( Liouville's approximation theorem extended to complex ` A ` .
       (Contributed by Stefan O'Rear, 20-Nov-2014.) $)
    aaliou2b $p |- ( A e. AA -> E. k e. NN E. x e. RR+ A. p e. ZZ
        A. q e. NN ( A = ( p / q ) \/ ( x / ( q ^ k ) ) <
            ( abs ` ( A - ( p / q ) ) ) ) ) $=
      ( wcel cr cdiv co cfv clt wbr cn wral cz crp wa c1 adantr cc0 caa cv wceq
      cexp cmin cabs wo wrex cin elin aaliou2 sylbir wn cim c2 aacn imcld recnd
      1nn cc wne wb reim0b syl necon3bbid biimpa absrpcld rphalfcld cn0 nnexpcl
      1nn0 mpan2 ad2antll nnrpd rpdivcld rpred znq adantl qre subcld abscld cle
      nnge1d 1rp rpregt0 mp1i rpregt0d lediv2 syl3anc mpbid rpcnd div1d breqtrd
      cq rphalflt imsubd reim0d oveq2d subid1d absimle eqbrtrrd ltletrd lelttrd
      3eqtrd fveq2d olcd ralrimivva oveq2 breq1d 2ralbidv oveq1 rspc2ev mp3an2i
      orbi2d pm2.61dan ) BUAFZBGFZBEUBZDUBZHIZUCZAUBZXSCUBZUDIZHIZBXTUEIZUFJZKL
      ZUGZDMNEONZAPUHCMUHZXPXQQBUAGUIFYKBUAGUJABCDEUKULRMFXPXQUMZQZBUNJZUFJZUOH
      IZPFZYAYPXSRUDIZHIZYGKLZUGZDMNEONZYKUSYMYOYMYNYMYNYMBXPBUTFZYLBUPZSZUQURZ
      XPYLYNTVAXPXQYNTXPUUCXQYNTUCVBUUDBVCVDVEVFVGZVHZYMUUAEDOMYMXROFZXSMFZQZQZ
      YTYAUULYSYPYGUULYSUULYPYRYMYQUUKUUHSZUULYRUUJYRMFZYMUUIUUJRVIFUUNVKXSRVJV
      LVMZVNZVOVPUULYPUUMVPZUULYFUULBXTYMUUCUUKUUESZUULXTUULXTWNFZXTGFUUKUUSYMX
      RXSVQVRXTVSVDZURZVTZWAZUULYSYPRHIZYPWBUULRYRWBLZYSUVDWBLZUULYRUUOWCUULRGF
      TRKLQZYRGFTYRKLQYPGFTYPKLQUVEUVFVBRPFUVGUULWDRWEWFUULYRUUPWGUULYPUUMWGRYR
      YPWHWIWJUULYPUULYPUUMWKWLWMUULYPYOYGUUQUULYOYMYOPFZUUKUUGSZVPUVCUULUVHYPY
      OKLUVIYOWOVDUULYFUNJZUFJZYOYGWBUULUVJYNUFUULUVJYNXTUNJZUEIYNTUEIYNUULBXTU
      URUVAWPUULUVLTYNUEUULXTUUTWQWRUULYNYMYNUTFUUKUUFSWSXDXEUULYFUTFUVKYGWBLUV
      BYFWTVDXAXBXCXFXGYJUUBYAYBYRHIZYGKLZUGZDMNEONCARYPMPYCRUCZYIUVOEDOMUVPYHU
      VNYAUVPYEUVMYGKUVPYDYRYBHYCRXSUDXHWRXIXNXJYBYPUCZUVOUUAEDOMUVQUVNYTYAUVQU
      VMYSYGKYBYPYRHXKXIXNXJXLXMXO $.
  $}

  ${
    $d F b c d $.  $d A a b c d $.  $d B a b c d $.  $d G a b d $.
    aaliou3lem.a $e |- G = ( c e. ( ZZ>= ` A ) |->
        ( ( 2 ^ -u ( ! ` A ) ) x. ( ( 1 / 2 ) ^ ( c - A ) ) ) ) $.
    $( Lemma for ~ aaliou3 .  (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    aaliou3lem1 $p |- ( ( A e. NN /\ B e. ( ZZ>= ` A ) ) ->
        ( G ` B ) e. RR ) $=
      ( cn wcel cuz cfv c2 cexp co cmin cmul wceq oveq2d crp cz rpexpcl sylancr
      wa cfa cneg c1 cdiv cr cv oveq1 ovex fvmpt adantl 2rp simpl nnnn0d faccld
      znegcld halfre halfgt0 elrpii eluzelz nnz zsubcl syl2anr rpmulcld eqeltrd
      nnzd rpred ) AFGZBAHIZGZUAZBCIZJAUBIZUCZKLZUDJUELZBAMLZKLZNLZUFVJVLVSOVHD
      BVOVPDUGZAMLZKLZNLVSVICVTBOZWBVRVONWCWAVQVPKVTBAMUHPPEVOVRNUIUJUKVKVSVKVO
      VRVKJQGVNRGVOQGULVKVMVKVMVKAVKAVHVJUMUNUOVFUPJVNSTVKVPQGVQRGZVRQGVPUQURUS
      VJBRGARGWDVHABUTAVABAVBVCVPVQSTVDVGVE $.

    aaliou3lem.b $e |- F = ( a e. NN |-> ( 2 ^ -u ( ! ` a ) ) ) $.
    $( Lemma for ~ aaliou3 .  (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    aaliou3lem2 $p |- ( ( A e. NN /\ B e. ( ZZ>= ` A ) ) ->
        ( F ` B ) e. ( 0 (,] ( G ` B ) ) ) $=
      ( wcel cfv co wbr cle c2 cexp wceq fveq2 oveq2d c1 cmul vb vd cn cuz cioc
      wa cc0 cr clt cfa cneg crp eluznn negeqd ovex fvmpt syl 2rp nnnn0d faccld
      cv cz nnzd znegcld rpexpcl sylancr eqeltrd rpred rpgt0d wi breq12d imbi2d
      caddc cdiv cmin nnnn0 leidd nncn subidd cc halfcn exp0 ax-mp eqtrdi rpcnd
      weq mulid1d eqtrd breqtrrd uzid oveq1 3brtr4d rpge0d simpl halfre halfgt0
      nnz 3syl elrpii eluzelz zsubcl syl2anr rpmulcld adantr adantl zmulcld a1i
      jca31 simpr 1le2 nncnd zcnd mulneg1d nnmulcld nnge1d wb nnred leneg mpbid
      2re 1re eqbrtrd neg1z eluz sylancl mpbird leexp2a mp3an12i expn1 breqtrdi
      2cn lemul12a 3impia syl112anc ex cn0 facp1 ax-1cn addcom peano2cn 3eqtr3d
      1cnd adddid oveq1d wne 2cnne0 expaddz mpan syl2anc addsubd uznn0sub expp1
      mulassd eqtr4d sylibrd peano2uz 3imtr4d expcom a2d uzind4i impcom cxr w3a
      peano2nnd 0xr aaliou3lem1 elioc2 mpbir3and ) AUCIZBAUDJZIZUFZBCJZUGBDJZUE
      KIZUVMUHIZUGUVMUILZUVMUVNMLZUVLUVMUVLUVMNBUJJZUKZOKZULUVLBUCIUVMUWAPBAUMZ
      EBNEVAZUJJZUKZOKZUWAUCCUWCBPZUWEUVTNOUWGUWDUVSUWCBUJQUNRHNUVTOUOUPUQUVLNU
      LIZUVTVBIUWAULIURUVLUVSUVLUVSUVLBUVLBUWBUSUTVCVDNUVTVEVFVGZVHUVLUVMUWIVIU
      VKUVIUVRUVIUAVAZCJZUWJDJZMLZVJUVIACJZADJZMLZVJUVIUBVAZCJZUWQDJZMLZVJUVIUW
      QSVMKZCJZUXADJZMLZVJUVIUVRVJUAUBABUWJAPZUWMUWPUVIUXEUWKUWNUWLUWOMUWJACQUW
      JADQVKVLUAUBWFZUWMUWTUVIUXFUWKUWRUWLUWSMUWJUWQCQUWJUWQDQVKVLUWJUXAPZUWMUX
      DUVIUXGUWKUXBUWLUXCMUWJUXACQUWJUXADQVKVLUWJBPZUWMUVRUVIUXHUWKUVMUWLUVNMUW
      JBCQUWJBDQVKVLUVINAUJJZUKZOKZUXKSNVNKZAAVOKZOKZTKZUWNUWOMUVIUXKUXKUXOMUVI
      UXKUVIUXKUVIUWHUXJVBIZUXKULIZURUVIUXIUVIUXIUVIAAVPUTVCVDNUXJVEZVFZVHVQUVI
      UXOUXKSTKUXKUVIUXNSUXKTUVIUXNUXLUGOKZSUVIUXMUGUXLOUVIAAVRZVSRUXLVTIZUXTSP
      WAUXLWBWCWDRUVIUXKUVIUXKUXSWEWGWHWIEAUWFUXKUCCUWCAPZUWEUXJNOUYCUWDUXIUWCA
      UJQUNRHNUXJOUOUPUVIAVBIZAUVJIUWOUXOPAWQZAWJFAUXKUXLFVAZAVOKZOKZTKZUXOUVJD
      UYFAPZUYHUXNUXKTUYJUYGUXMUXLOUYFAAVOWKRRGUXKUXNTUOUPWRWLUWQUVJIZUVIUWTUXD
      UVIUYKUWTUXDVJUVIUYKUFZNUWQUJJZUKZOKZUXKUXLUWQAVOKZOKZTKZMLZNUXAUJJZUKZOK
      ZUXKUXLUXAAVOKZOKZTKZMLZUWTUXDUYLUYSUYONUYNUWQTKZOKZTKZUYRUXLTKZMLZVUFUYL
      UYSVUKUYLUYSUFUYOUHIZUGUYOMLZUFUYRUHIZUFZVUHUHIZUGVUHMLZUFUXLUHIZUFZUYSVU
      HUXLMLZVUKUYLVUOUYSUYLVULVUMVUNUYLUYOUYLUWHUYNVBIZUYOULIURUYLUYMUYLUYMUYL
      UWQUYLUWQUWQAUMZUSZUTZVCVDZNUYNVEVFZVHUYLUYOVVFWMUYLUYRUYLUXKUYQUYLUWHUXP
      UXQURUYLUXIUYLUXIUYLAUYLAUVIUYKWNUSUTVCVDUXRVFZUYLUXLULIUYPVBIZUYQULIUXLW
      OWPWSUYKUWQVBIZUYDVVHUVIAUWQWTZUYEUWQAXAXBUXLUYPVEVFZXCVHXHXDUYLVUSUYSUYL
      VUPVUQVURUYLVUHUYLUWHVUGVBIZVUHULIURUYLUYNUWQVVEUYKVVIUVIVVJXEZXFZNVUGVEV
      FZVHUYLVUHVVOWMVURUYLWOXGXHXDUYLUYSXIUYLVUTUYSUYLVUHNSUKZOKZUXLMNUHISNMLU
      YLVVPVUGUDJIZVUHVVQMLXTXJUYLVVRVUGVVPMLZUYLVUGUYMUWQTKZUKZVVPMUYLUYMUWQUY
      LUYMVVDXKZUYLUWQVVMXLZXMUYLSVVTMLZVWAVVPMLZUYLVVTUYLUYMUWQVVDVVBXNZXOUYLS
      UHIVVTUHIVWDVWEXPYAUYLVVTVWFXQSVVTXRVFXSYBUYLVVLVVPVBIVVRVVSXPVVNYCVUGVVP
      YDYEYFNVUGVVPYGYHNVTIZVVQUXLPYKNYIWCYJXDVUOVUSUYSVUTUFVUKUYOUYRVUHUXLYLYM
      YNYOUYLVUBVUIVUEVUJMUYLVUBNUYNVUGVMKZOKZVUIUYLVUAVWHNOUYLVUAUYMUXATKZUKZV
      WHUYLUYTVWJUYLUWQYPIUYTVWJPVVCUWQYQUQUNUYLUYNUXATKUYNSUWQVMKZTKZVWKVWHUYL
      UXAVWLUYNTUYLUWQVTIZSVTIUXAVWLPVWCYRUWQSYSYERUYLUYMUXAVWBUYLVWNUXAVTIVWCU
      WQYTUQXMUYLVWMUYNSTKZVUGVMKVWHUYLUYNSUWQUYLUYNVVEXLZUYLUUBZVWCUUCUYLVWOUY
      NVUGVMUYLUYNVWPWGUUDWHUUAWHRUYLVVAVVLVWIVUIPZVVEVVNVWGNUGUUEUFVVAVVLUFVWR
      UUFNUYNVUGUUGUUHUUIWHUYLVUEUXKUYQUXLTKZTKVUJUYLVUDVWSUXKTUYLVUDUXLUYPSVMK
      ZOKZVWSUYLVUCVWTUXLOUYLUWQSAVWCVWQUVIAVTIUYKUYAXDUUJRUYLUYBUYPYPIZVXAVWSP
      WAUYKVXBUVIAUWQUUKXEUXLUYPUULVFWHRUYLUXKUYQUXLUYLUXKVVGWEUYLUYQVVKWEUYBUY
      LWAXGUUMUUNVKUUOUYLUWRUYOUWSUYRMUYLUWQUCIUWRUYOPVVBEUWQUWFUYOUCCEUBWFZUWE
      UYNNOVXCUWDUYMUWCUWQUJQUNRHNUYNOUOUPUQUYKUWSUYRPUVIFUWQUYIUYRUVJDFUBWFZUY
      HUYQUXKTVXDUYGUYPUXLOUYFUWQAVOWKRRGUXKUYQTUOUPXEVKUYLUXBVUBUXCVUEMUYLUXAU
      CIUXBVUBPUYLUWQVVBUVDEUXAUWFVUBUCCUWCUXAPZUWEVUANOVXEUWDUYTUWCUXAUJQUNRHN
      VUAOUOUPUQUYKUXCVUEPZUVIUYKUXAUVJIVXFAUWQUUPFUXAUYIVUEUVJDUYFUXAPZUYHVUDU
      XKTVXGUYGVUCUXLOUYFUXAAVOWKRRGUXKVUDTUOUPUQXEVKUUQUURUUSUUTUVAUVLUGUVBIUV
      NUHIUVOUVPUVQUVRUVCXPUVEABDFGUVFUGUVNUVMUVGVFUVH $.

    $( Lemma for ~ aaliou3 .  (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    aaliou3lem3 $p |- ( A e. NN -> ( seq A ( + , F ) e. dom ~~> /\
        sum_ b e. ( ZZ>= ` A ) ( F ` b ) e. RR+ /\
        sum_ b e. ( ZZ>= ` A ) ( F ` b ) <_
          ( 2 x. ( 2 ^ -u ( ! ` A ) ) ) ) ) $=
      ( wcel cfv crp c2 co cle wbr wa cc0 c1 cdiv cc caddc cseq cli cdm cuz csu
      cn cv cfa cneg cexp cmul eqid cz nnz uzid syl aaliou3lem1 cr clt cioc w3a
      aaliou3lem2 cxr 0xr elioc2 sylancr mpbid simp1d cmin halfcn a1i cabs wceq
      halfre halfgt0 elrpii rprege0 absid mp2b halflt1 eqbrtri 2rp nnnn0 faccld
      nnzd znegcld rpexpcl rpcnd geolim3 seqex ovex breldm simp2d rpge0d simp3d
      wb elrpd cvgcmp eqidd isumrpcl isumle recnd isumclim 1mhlfehlf oveq2i 2cn
      mulcl sylancl div1d wne 1rp rpcnne0 2cnne0 divdiv2 mp3an23 mulcom 3eqtr4d
      ax-mp syl5eq eqtrd breqtrd 3jca ) AUGIZUABAUBUCUDZIAUEJZEUHZBJZEUFZKIYILL
      AUIJZUJZUKMZULMZNOYDECBAAYFYFUMZYDAUNIAYFIAUOZAUPUQZAYGCFGURZYDYGYFIPZYHU
      SIZQYHUTOZYHYGCJZNOZYRYHQUUAVAMIZYSYTUUBVBZAYGBCDFGHVCYRQVDIUUAUSIUUCUUDW
      QVEYQQUUAYHVFVGVHZVIZYDUACAUBZYLRRLSMZVJMZSMZUCOUUGYEIYDAUUHYLFCYOUUHTIYD
      VKVLUUHVMJZRUTOYDUUKUUHRUTUUHKIUUHUSIQUUHNOPUUKUUHVNUUHVOVPVQUUHVRUUHVSVT
      WAWBVLYDYLYDLKIYKUNIYLKIWCYDYJYDYJYDAAWDWEWFWGLYKWHVGWIZGWJZUUGUUJUCUACAW
      KYLUUISWLWMUQZYRYHYRYHUUFYRYSYTUUBUUEWNWRZWOYRYSYTUUBUUEWPZWSZYDYHEBAAYFY
      FYNYNYPYRYHWTZUUOUUQXAYDYIYFUUAEUFZYMNYDYHUUAEBCAYFYNYOUURUUFYRUUAWTZYQUU
      PUUQUUNXBYDUUSUUJYMYDUUAUUJECAYFYNYOUUTYRUUAYQXCUUMXDYDUUJYLUUHSMZYMUUIUU
      HYLSXEXFYDYLLULMZRSMZUVBUVAYMYDUVBYDYLTIZLTIZUVBTIUULXGYLLXHXIXJYDUVDUVAU
      VCVNZUULUVDRTIRQXKPZUVELQXKPUVFRKIUVGXLRXMXSXNYLRLXOXPUQYDUVEUVDYMUVBVNXG
      UULLYLXQVGXRXTYAYBYC $.
  $}

  ${
    $d A a x $.  $d B a x $.

    $( Lemma for ~ aaliou3 .  (Contributed by Stefan O'Rear, 20-Nov-2014.) $)
    aaliou3lem8 $p |- ( ( A e. NN /\ B e. RR+ ) -> E. x e. NN ( 2 x. ( 2 ^ -u (
        ! ` ( x + 1 ) ) ) ) <_ ( B / ( ( 2 ^ ( ! ` x ) ) ^ A ) ) ) $=
      ( cn wcel crp c2 cdiv co cexp wbr c1 cfa cfv cmul cle cmin sylancr oveq2d
      2rp va wa cv clt caddc cneg wrex cr rpdivcl mpan 2re 1lt2 expnbnd mp3an23
      rpred syl adantl simprl simpll nnaddm1cl syl2anc simplr rerpdivcl reexpcl
      cn0 nnnn0d nnaddcld nnm1nn0 peano2nn0 faccld nnzd zmulcld zsubcld rpexpcl
      cz simprr ltled a1i 1le2 cuz nnred nn0ge0d nnge1d lemulge12d facp1 oveq1d
      wceq nn0cnd subdid 1cnd npcand mvrraddd 3eqtr2d breqtrrd wb eluz leexp2ad
      nncnd mpbird letrd cc0 wne rpcnne0 mp1i expsub syl12anc 2cn expmuld rpcnd
      rpexpcld rpne0d divrecd 3eqtrrd rpreccld rpmulcld ledivmuld mpbid breqtrd
      cc mul12d expneg eqtr4d 3brtr4d fvoveq1 negeqd breq12d rspcev rexlimddv
      fveq2 ) BDEZCFEZUBZGCHIZGUAUCZJIZUDKZGGAUCZLUEIMNZUFZJIZOIZCGYQMNZJIZBJIZ
      HIZPKZADUGZUADYKYPUADUGZYJYKYMUHEZUUHYKYMGFEZYKYMFETGCUIUJUOUUIGUHEZLGUDK
      UUHUKULYMGUAUMUNUPUQYLYNDEZYPUBZUBZYNBUEIZLQIZDEZGGUUPLUEIZMNZUFZJIZOIZCG
      UUPMNZJIZBJIZHIZPKZUUGUUNUULYJUUQYLUULYPURZYJYKUUMUSZYNBUTVAUUNGGUUSJIZHI
      ZCLUVEHIZOIZUVBUVFPUUNUVKUVMPKGUVJUVMOIZPKUUNGCUVJUVLOIZOIZUVNPUUNYMUVOPK
      GUVPPKUUNYMGUUSUVCBOIZQIZJIZUVOPUUNYMYOUVSUUNUUKYKUUIUKYJYKUUMVBZGCVCRZUU
      NUUKYNVEEYOUHEUKUUNYNUVHVFZGYNVDRZUUNUVSUUNUUJUVRVOEZUVSFETUUNUUSUVQUUNUU
      SUUNUURUUNUUPVEEZUURVEEUUNUUODEUWEUUNYNBUVHUVIVGZUUOVHUPZUUPVIUPZVJZVKZUU
      NUVCBUUNUVCUUNUUPUWGVJZVKZUUNBUVIVKZVLZVMZGUVRVNRUOUUNYMYOUWAUWCYLUULYPVP
      VQUUNGYNUVRUUKUUNUKVRZLGPKUUNVSVRUUNUVRYNVTNEZYNUVRPKZUUNYNUVCYNOIZUVRPUU
      NYNUVCUUNYNUVHWAUUNUVCUWKWAUUNYNUWBWBUUNUVCUWKWCWDUUNUVRUVCUUROIZUVQQIUVC
      UURBQIZOIUWSUUNUUSUWTUVQQUUNUWEUUSUWTWGUWGUUPWEUPWFUUNUVCUURBUUNUVCUWKWRU
      UNUURUWHWHUUNBUVIWRZWIUUNUXAYNUVCOUUNUURYNBUUNYNUVHWRUXBUUNUUOLUUNUUOUWFW
      RUUNWJWKWLSWMWNUUNYNVOEUWDUWQUWRWOUUNYNUVHVKUWOYNUVRWPVAWSWQWTUUNUVSUVJGU
      VQJIZHIZUVJUVEHIUVOUUNGXSEZGXAXBUBZUUSVOEZUVQVOEUVSUXDWGUUJUXFUUNTGXCXDUW
      JUWNGUUSUVQXEXFUUNUXCUVEUVJHUUNGUVCBUXEUUNXGVRZUUNBUVIVFUUNUVCUWKVFXHSUUN
      UVJUVEUUNUVJUUNUUJUXGUVJFETUWJGUUSVNRZXIZUUNUVEUUNUVDBUUNUUJUVCVOEUVDFETU
      WLGUVCVNRUWMXJZXIZUUNUVEUXKXKZXLXMWNUUNGUVOCUWPUUNUVOUUNUVJUVLUXIUUNUVEUX
      KXNZXOUOUVTXPXQUUNCUVJUVLUUNCUVTXIZUXJUUNUVLUXNXIXTXRUUNGUVMUVJUWPUUNUVMU
      UNCUVLUVTUXNXOUOUXIXPWSUUNUVBGLUVJHIZOIUVKUUNUVAUXPGOUUNUXEUUSVEEUVAUXPWG
      XGUUNUUSUWIVFGUUSYARSUUNGUVJUXHUXJUUNUVJUXIXKXLYBUUNCUVEUXOUXLUXMXLYCUUFU
      VGAUUPDYQUUPWGZUUAUVBUUEUVFPUXQYTUVAGOUXQYSUUTGJUXQYRUUSYQUUPLMUEYDYESSUX
      QUUDUVECHUXQUUCUVDBJUXQUUBUVCGJYQUUPMYISWFSYFYGVAYH $.
  $}

  ${
    $d a b c d e $.  $d F b c d e $.  $d L c d e f $.  $d H d e f $.
    $d A a b c d e $.
    aaliou3lem.c $e |- F = ( a e. NN |-> ( 2 ^ -u ( ! ` a ) ) ) $.
    aaliou3lem.d $e |- L = sum_ b e. NN ( F ` b ) $.
    aaliou3lem.e $e |- H = ( c e. NN |-> sum_ b e. ( 1 ... c ) ( F ` b ) ) $.
    $( Lemma for ~ aaliou3 .  (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    aaliou3lem4 $p |- L e. RR $=
      ( c1 cfv cv csu cr cn wcel c2 cexp co cmul cuz nnuz sumeq1i eqtri crp 1nn
      cseq cli cdm cfa cneg cle wbr cdiv cmin cmpt eqid aaliou3lem3 simp2d rpre
      caddc mp2b eqeltri ) CJUAKZELAKZEMZNCOVEEMVFHOVDVEEUBUCUDJOPZVFUEPZVFNPUF
      VGVAAJUGUHUIPVHVFQQJUJKUKRSZTSULUMJAFVDVIJQUNSFLJUOSRSTSUPZDEFVJUQGURUSVF
      UTVBVC $.

    $( Lemma for ~ aaliou3 .  (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    aaliou3lem5 $p |- ( A e. NN -> ( H ` A ) e. RR ) $=
      ( cn wcel cfv c1 cfz co cv cr c2 cexp csu oveq2 sumeq1d sumex fvmpt fzfid
      wceq wa elfznn adantl cfa cneg weq fveq2 negeqd oveq2d ovex crp 2rp nnnn0
      cz faccld nnzd znegcld rpexpcl sylancr rpred eqeltrd syl fsumrecl ) AKLZA
      CMNAOPZFQZBMZFUAZRGANGQZOPZVNFUAVOKCVPAUGVQVLVNFVPANOUBUCJVLVNFUDUEVKVLVN
      FVKNAUFVKVMVLLZUHVMKLZVNRLVRVSVKVMAUIUJVSVNSVMUKMZULZTPZREVMSEQZUKMZULZTP
      WBKBEFUMZWEWASTWFWDVTWCVMUKUNUOUPHSWATUQUEVSWBVSSURLWAVALWBURLUSVSVTVSVTV
      SVMVMUTVBVCVDSWAVEVFVGVHVIVJVH $.

    $( Lemma for ~ aaliou3 .  (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    aaliou3lem6 $p |- ( A e. NN -> ( ( H ` A ) x.
          ( 2 ^ ( ! ` A ) ) ) e. ZZ ) $=
      ( wcel cfv c2 cexp co cmul c1 cz eqeltrd cn0 cn cfa cfz cv csu wceq oveq2
      sumeq1d sumex fvmpt oveq1d fzfid crp 2rp nnnn0 nnzd rpexpcl sylancr rpcnd
      faccld wa cneg cc elfznn weq negeqd oveq2d ovex syl adantl nnnn0d znegcld
      fveq2 fsummulc1 caddc adantr cc0 2cnne0 expaddz mpan syl2anc 2z cmin zcnd
      wne addcomd nncnd negsubd eqtrd cle wbr elfzle2 facwordi syl3anc wb mpbid
      nn0sub zexpcl eqeltrrd fsumzcl ) AUAKZACLZMAUBLZNOZPOQAUCOZFUDZBLZFUEZXDP
      OZRXAXBXHXDPGAQGUDZUCOZXGFUEXHUACXJAUFXKXEXGFXJAQUCUGUHJXEXGFUIUJUKXAXIXE
      XGXDPOZFUERXAXEXGXDFXAQAULZXAXDXAMUMKZXCRKZXDUMKUNXAXCXAAAUOZUTUPZMXCUQUR
      USXAXFXEKZVAZXGMXFUBLZVBZNOZVCXRXGYBUFZXAXRXFUAKZYCXFAVDZEXFMEUDZUBLZVBZN
      OYBUABEFVEZYHYAMNYIYGXTYFXFUBVMVFVGHMYANVHUJVIVJZXSYBXSXNYARKZYBUMKUNXSXT
      XSXTXSXFXSXFXRYDXAYEVJVKZUTZUPVLZMYAUQURUSSVNXAXEXLFXMXSXLYBXDPOZRXSXGYBX
      DPYJUKXSMYAXCVOOZNOZYORXSYKXOYQYOUFZYNXAXOXRXQVPZMVCKMVQWEVAYKXOVAYRVRMYA
      XCVSVTWAXSMRKYPTKYQRKWBXSYPXCXTWCOZTXSYPXCYAVOOYTXSYAXCXSYAYNWDXSXCYSWDZW
      FXSXCXTUUAXSXTYMWGWHWIXSXTXCWJWKZYTTKZXSXFTKATKZXFAWJWKZUUBYLXAUUDXRXPVPZ
      XRUUEXAXFQAWLVJXFAWMWNXSXTTKXCTKUUBUUCWOXSXTYMVKXSXCXSAUUFUTVKXTXCWQWAWPS
      MYPWRURWSSWTSS $.

    $( Lemma for ~ aaliou3 .  (Contributed by Stefan O'Rear, 16-Nov-2014.) $)
    aaliou3lem7 $p |- ( A e. NN -> ( ( H ` A ) =/= L /\
        ( abs ` ( L - ( H ` A ) ) ) <_
          ( 2 x. ( 2 ^ -u ( ! ` ( A + 1 ) ) ) ) ) ) $=
      ( cn wcel c1 caddc co cfv crp c2 cexp cle cuz cv csu cfa cneg cmul wbr wa
      wne cmin cabs cseq cli cdm w3a peano2nn cdiv cmpt eqid aaliou3lem3 3simpc
      3syl wceq wb cfz cc nncn ax-1cn pncan sylancl oveq2d sumeq1d oveq1d eqidd
      nnuz weq fveq2 negeqd ovex fvmpt 2rp cn0 nnnn0 faccl nnzd znegcld rpexpcl
      cz syl sylancr rpcnd eqeltrd adantl 1nn simp1d mp1i isumsplit oveq2 sumex
      3eqtr4rd eqtr4di aaliou3lem4 recni aaliou3lem5 recnd simp2d mpbird eqcomd
      a1i subaddd eleq1 breq1 anbi12d cr adantr clt simprl difrp ltned resubcld
      rpmulcl rpred lttrd ltled simprr lesubadd2d mpbid absdifled mpbir2and jca
      ltsubrpd ex sylbid mpd ) AKLZAMNOZUAPZFUBZBPZFUCZQLZYTRRYPUDPZUEZSOZUFOZT
      UGZUHZACPZDUIZDUUHUJOZUKPUUETUGZUHZYOYPKLZNBYPULUMUNZLZUUAUUFUOUUGAUPZYPB
      GYQUUDMRUQOZGUBZYPUJOSOUFOURZEFGUUSUSHUTZUUOUUAUUFVAVBYOUUGUUJQLZUUJUUETU
      GZUHZUULYOYTUUJVCZUUGUVCVDYOUUJYTYOUUJYTVCUUHYTNOZDVCYOUVEKYSFUCZDYOMYPMU
      JOZVEOZYSFUCZYTNOMAVEOZYSFUCZYTNOUVFUVEYOUVIUVKYTNYOUVHUVJYSFYOUVGAMVEYOA
      VFLMVFLUVGAVCAVGVHAMVIVJVKVLVMYOYSFBMYPYQKVOYQUSUUPYOYRKLZUHYSVNUVLYSVFLY
      OUVLYSRYRUDPZUEZSOZVFEYRREUBZUDPZUEZSOUVOKBEFVPZUVRUVNRSUVSUVQUVMUVPYRUDV
      QVRVKHRUVNSVSVTUVLUVOUVLRQLZUVNWHLUVOQLWAUVLUVMUVLUVMUVLYRWBLUVMKLYRWCYRW
      DWIWEWFRUVNWGWJWKWLWMMKLZNBMULUUNLZYOWNUWAUWBMUAPZYSFUCZQLUWDRRMUDPUESOZU
      FOTUGMBGUWCUWEUUQUURMUJOSOUFOURZEFGUWFUSHUTWOWPWQYOUUHUVKYTNGAMUURVEOZYSF
      UCUVKKCUURAVCUWGUVJYSFUURAMVEWRVLJUVJYSFWSVTVMWTIXAYODUUHYTDVFLYODBCDEFGH
      IJXBZXCXIYOUUHABCDEFGHIJXDZXEYOYTYOUUMUUAUUPUUMUUOUUAUUFUUTXFWIWKXJXGXHUV
      DUUAUVAUUFUVBYTUUJQXKYTUUJUUETXLXMWIYOUVCUULYOUVCUHZUUIUUKUWJUUHDYOUUHXNL
      ZUVCUWIXOZUWJUUHDXPUGZUVAYOUVAUVBXQUWJUWKDXNLZUWMUVAVDUWLUWHUUHDXRVJXGZXS
      UWJUUKUUHUUEUJOZDTUGDUUHUUENOTUGZUWJUWPDUWJUUHUUEUWLUWJUUEYOUUEQLZUVCYOUV
      TUUDQLZUWRWAYOUVTUUCWHLUWSWAYOUUBYOUUBYOUUMYPWBLUUBKLUUPYPWCYPWDVBWEWFRUU
      CWGWJRUUDYAWJXOZYBZXTZUWNUWJUWHXIZUWJUWPUUHDUXBUWLUXCUWJUUHUUEUWLUWTYKUWO
      YCYDUWJUVBUWQYOUVAUVBYEUWJDUUHUUEUXCUWLUXAYFYGUWJDUUHUUEUXCUWLUXAYHYIYJYL
      YMYN $.

    $d L a b c d e f $.

    $( Example of a "Liouville number", a very simple definable transcendental
       real.  (Contributed by Stefan O'Rear, 20-Nov-2014.) $)
    aaliou3lem9 $p |- -. L e. AA $=
      ( vf vd wcel cdiv co cmin cabs cn cz wn c2 ve caa cv wceq cexp cfv clt wo
      wbr wral crp wrex wa caddc cfa cneg cmul aaliou3lem8 aaliou3lem6 ad2antrl
      c1 cle cn0 2nn nnnn0 faccl nnexpcl sylancr aaliou3lem5 recnd nncnd nnne0d
      3syl cr divcan4d wne aaliou3lem7 simpld eqnetrd necomd neneqd aaliou3lem4
      nnred remulcld nndivred resubcl abscld simplr ad2antrr nnexpcld nnrpd 2rp
      rpdivcld rpred peano2nn0 nnz znegcl rpexpcl rpmulcl oveq2d fveq2d eqbrtrd
      simprd simprr letrd lensymd oveq1 eqeq2d notbid anbi12d breq12d syl112anc
      breq2d oveq2 rspc2ev rexlimddv pm4.56 rexbii rexnal bitri nrexdv aaliou2b
      sylib nrex mto ) CUBLCJUCZKUCZMNZUDZEUCZYGDUCZUENZMNZCYHONZPUFZUGUIZUHZKQ
      UJZJRUJZEUKULZDQULYTDQYKQLZYSEUKUUAYJUKLZUMZYISZYPSZUMZKQULZJRULZYSSZUUCT
      TUAUCZVAUNNZUOUFZUPZUENZUQNZYJTUUJUOUFZUENZYKUENZMNZVBUIZUUHUAQUAYKYJURUU
      CUUJQLZUUTUMZUMZUUJBUFZUUQUQNZRLZUUQQLZCUVEUUQMNZUDZSZUUSCUVHONZPUFZUGUIZ
      SZUUHUVAUVFUUCUUTUUJABCDEFGHIUSUTUVCTQLUUPVCLZUVGVDUVCUUJVCLZUUPQLUVOUVAU
      VPUUCUUTUUJVEUTZUUJVFUUPVEVMTUUPVGVHZUVCCUVHUVCUVHCUVCUVHUVDCUVCUVDUUQUVC
      UVDUVAUVDVNLUUCUUTUUJABCDEFGHIVIUTZVJUVCUUQUVRVKUVCUUQUVRVLVOZUVAUVDCVPZU
      UCUUTUVAUWACUVDONZPUFZUUOVBUIZUUJABCDEFGHIVQZVRUTVSVTWAUVCUVLUUSUVCUVKUVC
      UVKUVCCVNLUVHVNLUVKVNLABCDEFGHIWBUVCUVEUUQUVCUVDUUQUVSUVCUUQUVRWCWDUVRWEC
      UVHWFVHVJWGZUVCUUSUVCYJUURUUAUUBUVBWHUVCUURUVCUUQYKUVRUUAYKVCLUUBUVBYKVEW
      IWJWKWMWNZUVCUVLUUOUUSUWFUVCUUOUVCTUKLZUUNUKLZUUOUKLWLUVCUWHUUMRLZUWIWLUV
      CUULQLZUULRLUWJUVCUVPUUKVCLUWKUVQUUJWOUUKVFVMUULWPUULWQVMTUUMWRVHTUUNWSVH
      WNUWGUVCUVLUWCUUOVBUVCUVKUWBPUVCUVHUVDCOUVTWTXAUVAUWDUUCUUTUVAUWAUWDUWEXC
      UTXBUUCUVAUUTXDXEXFUUFUVJUVNUMCUVEYGMNZUDZSZYMCUWLONZPUFZUGUIZSZUMJKUVEUU
      QRQYFUVEUDZUUDUWNUUEUWRUWSYIUWMUWSYHUWLCYFUVEYGMXGZXHXIUWSYPUWQUWSYOUWPYM
      UGUWSYNUWOPUWSYHUWLCOUWTWTXAXMXIXJYGUUQUDZUWNUVJUWRUVNUXAUWMUVIUXAUWLUVHC
      YGUUQUVEMXNZXHXIUXAUWQUVMUXAYMUUSUWPUVLUGUXAYLUURYJMYGUUQYKUEXGWTUXAUWOUV
      KPUXAUWLUVHCOUXBWTXAXKXIXJXOXLXPUUHYRSZJRULUUIUUGUXCJRUUGYQSZKQULUXCUUFUX
      DKQYIYPXQXRYQKQXSXTXRYRJRXSXTYCYAYDECDKJYBYE $.
  $}

  ${
    $d i j k l $.
    $( Example of a "Liouville number", a very simple definable transcendental
       real.  (Contributed by Stefan O'Rear, 23-Nov-2014.) $)
    aaliou3 $p |- sum_ k e. NN ( 2 ^ -u ( ! ` k ) ) e/ AA $=
      ( vj vl vi cn c2 cv cfa cfv cneg cexp csu caa cmpt eqid weq negeqd oveq2d
      co fveq2 c1 cfz cbvsumv wcel fvmpt eqcomd sumeq2i eqtri aaliou3lem9 nelir
      ovex ) EFAGZHIZJZKSZALZMBEFBGZHIZJZKSZNZCEUACGUBSDGZVAIZDLNZUPBDCVAOZUPEF
      VBHIZJZKSZDLEVCDLEUOVHADADPZUNVGFKVIUMVFULVBHTQRUCEVHVCDVBEUDVCVHBVBUTVHE
      VABDPZUSVGFKVJURVFUQVBHTQRVEFVGKUKUEUFUGUHVDOUIUJ $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Sequences and series
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Taylor polynomials and Taylor's theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Tayl $. $( Taylor polynomial of a function $)
  $c Ana $. $( Analytic function $)

  $( Taylor polynomial of a function. $)
  ctayl $a class Tayl $.

  $( The class of analytic functions. $)
  cana $a class Ana $.

  ${
    $d a k n x y B $.  $d a f k n s x y F $.  $d a f k n s x y ph $.  $d x Y $.
    $d a k n x y N $.  $d a f k n s x y S $.  $d x y T $.  $d k x X $.
    $( Define the Taylor polynomial or Taylor series of a function.  TODO-AV:
       ` n e. ( NN0 u. { +oo } ) ` should be replaced by ` n e. NN0* ` .
       (Contributed by Mario Carneiro, 30-Dec-2016.) $)
    df-tayl $a |- Tayl = ( s e. { RR , CC } , f e. ( CC ^pm s ) |->
        ( n e. ( NN0 u. { +oo } ) ,
          a e. |^|_ k e. ( ( 0 [,] n ) i^i ZZ ) dom ( ( s Dn f ) ` k ) |->
     U_ x e. CC ( { x } X. ( CCfld tsums
        ( k e. ( ( 0 [,] n ) i^i ZZ ) |-> ( ( ( ( ( s Dn f ) ` k ) ` a ) /
          ( ! ` k ) ) x. ( ( x - a ) ^ k ) ) ) ) ) ) ) $.

    $( Define the set of analytic functions, which are functions such that the
       Taylor series of the function at each point converges to the function in
       some neighborhood of the point.  (Contributed by Mario Carneiro,
       31-Dec-2016.) $)
    df-ana $a |- Ana = ( s e. { RR , CC } |-> { f e. ( CC ^pm s ) |
      A. x e. dom f x e. ( ( int ` ( ( TopOpen ` CCfld ) |`t s ) ) `
        dom ( f i^i ( +oo ( s Tayl f ) x ) ) ) } ) $.

    taylfval.s $e |- ( ph -> S e. { RR , CC } ) $.
    taylfval.f $e |- ( ph -> F : A --> CC ) $.
    taylfval.a $e |- ( ph -> A C_ S ) $.
    $( TODO-AV: The following hypothesis should be replaced by
       ` ( ph -> N e. NN0* ) `. $)
    taylfval.n $e |- ( ph -> ( N e. NN0 \/ N = +oo ) ) $.
    taylfval.b $e |- ( ( ph /\ k e. ( ( 0 [,] N ) i^i ZZ ) ) ->
      B e. dom ( ( S Dn F ) ` k ) ) $.
    $( Lemma for ~ taylfval .  (Contributed by Mario Carneiro, 30-Dec-2016.) $)
    taylfvallem1 $p |- ( ( ( ph /\ X e. CC ) /\
      k e. ( ( 0 [,] N ) i^i ZZ ) ) -> ( ( ( ( ( S Dn F ) ` k ) ` B ) /
        ( ! ` k ) ) x. ( ( X - B ) ^ k ) ) e. CC ) $=
      ( cc wcel cc0 co cz ad2antrr wss cicc cin cdvn cfv cfa cdiv cmin cexp cdm
      wa cv cr cpr cpm cn0 wf cvv cnex a1i elpm2r syl22anc cle wbr simpr elin2d
      cxr w3a elin1d wb 0xr cpnf wceq wo nn0re rexrd id pnfxr eqeltrdi jaoi syl
      elicc1 sylancr mpbid simp2d elnn0z sylanbrc dvnf syl3anc adantlr ffvelrnd
      faccld nnne0d divcld simplr dvnbss fssdmd recnprss sseldd subcld expcld
      nncnd sstrd mulcld ) AHNOZUJZEUKZPGUAQZRUBOZUJZCXFDFUCQUDZUDZXFUEUDZUFQHC
      UGQZXFUHQXIXKXLXIXJUIZNCXJXIDULNUMZOZFNDUNQOZXFUOOZXNNXJUPAXPXDXHISZAXQXD
      XHANUQOZXPBNFUPZBDTXQXTAURUSIJKNDBFUQXOUTVASZXIXFROPXFVBVCZXRXIXGRXFXEXHV
      DZVEXIXFVFOZYCXFGVBVCZXIXFXGOZYEYCYFVGZXIXGRXFYDVHXIPVFOGVFOZYGYHVIVJAYIX
      DXHAGUOOZGVKVLZVMYILYJYIYKYJGGVNVOYKGVKVFYKVPVQVRVSVTSPGXFWAWBWCWDXFWEWFZ
      DFXFWGWHAXHCXNOXDMWIZWJXIXLXIXFYLWKZXAXIXLYNWLWMXIXMXFXIHCAXDXHWNXIXNNCXI
      XNBNXIBNXNFAYAXDXHJSXIXPXQXRXNFUITXSYBYLDFXFWOWHWPABNTXDXHABDNKAXPDNTIDWQ
      VTXBSXBYMWRWSYLWTXC $.

    $( Lemma for ~ taylfval .  (Contributed by Mario Carneiro, 30-Dec-2016.) $)
    taylfvallem $p |- ( ( ph /\ X e. CC ) -> ( CCfld tsums
        ( k e. ( ( 0 [,] N ) i^i ZZ ) |-> ( ( ( ( ( S Dn F ) ` k ) ` B ) /
          ( ! ` k ) ) x. ( ( X - B ) ^ k ) ) ) ) C_ CC ) $=
      ( cc wcel cc0 cicc co cfv ccnfld wa cin cdvn cfa cdiv cmin cexp cmul cmpt
      cz cvv cnfldbas crg ccmn cnring ringcmn mp1i ctps cnfldtps a1i ovex inex1
      cv taylfvallem1 fmpttd tsmscl ) AHNOUAZPGQRZUJUBZNEVICEVCZDFUCRSSVJUDSUER
      HCUFRVJUGRUHRZUITUKULTUMOTUNOVGUOTUPUQTUROVGUSUTVIUKOVGVHUJPGQVAVBUTVGEVI
      VKNABCDEFGHIJKLMVDVEVF $.

    taylfval.t $e |- T = ( N ( S Tayl F ) B ) $.
    $( Define the Taylor polynomial of a function.  The constant ` Tayl ` is a
       function of five arguments: ` S ` is the base set with respect to
       evaluate the derivatives (generally ` RR ` or ` CC ` ), ` F ` is the
       function we are approximating, at point ` B ` , to order ` N ` .  The
       result is a polynomial function of ` x ` .

       This "extended" version of ~ taylpfval additionally handles the case
       ` N = +oo ` , in which case this is not a polynomial but an infinite
       series, the Taylor series of the function.  (Contributed by Mario
       Carneiro, 30-Dec-2016.) $)
    taylfval $p |- ( ph -> T = U_ x e. CC ( { x } X. ( CCfld tsums
        ( k e. ( ( 0 [,] N ) i^i ZZ ) |-> ( ( ( ( ( S Dn F ) ` k ) ` B ) /
          ( ! ` k ) ) x. ( ( x - B ) ^ k ) ) ) ) ) ) $=
      ( co cc cc0 cvv wcel vn va vs vf ctayl cv csn ccnfld cicc cz cin cdvn cfv
      cfa cdiv cmin cexp cmul cmpt ctsu cxp ciun cn0 cpnf cun cdm ciin cpr cmpo
      cr cpm wceq df-tayl wa eqidd oveq12 ad2antlr fveq1d dmeqd iineq2dv oveq1d
      a1i mpteq2dva oveq2d xpeq2d iuneq2d mpoeq123dv simpr wf wss cnex syl22anc
      elpm2r wral nn0ex snex unex c0 wne cxr cle wbr nn0ssre ressxr sstri pnfxr
      0xr snssi ax-mp unssi sseli elun nn0ge0 0lepnf elsni breqtrrid jaoi sylbi
      wo lbicc2 mp3an2i inelcm sylancl fvex dmex rgenw iinexg rgen eqid mpoexxg
      0z mp2an ovmpodx simprl ineq1d simprr fveq2d syl sylibr ralrimiva oveq12d
      mpteq12dv iineq1 pnfex elsn2 orbi2i wrex wb neeq1d vtoclga r19.2z syl2anc
      oveq2 elex rexlimivw eliin 3syl mpbird taylfvallem xpss12 iunss xpex ssex
      syl2an2 syl5eq ) AFIDEHUEPZPBQBUFZUGZUHGRIUIPZUJUKZDGUFZEHULPZUMZUMZUVKUN
      UMZUOPZUVGDUPPZUVKUQPZURPZUSZUTPZVAZVBZOAUAUBIDVCVDUGZVEZGRUAUFZUIPZUJUKZ
      UVMVFZVGZBQUVHUHGUWHUBUFZUVMUMZUVOUOPZUVGUWKUPPZUVKUQPZURPZUSZUTPZVAZVBZU
      WCUVFGUVJUWIVGZSAUCUDEHVJQVHZQUCUFZVKPZUAUBUWEGUWHUVKUXCUDUFZULPZUMZVFZVG
      ZBQUVHUHGUWHUWKUXGUMZUVOUOPZUWOURPZUSZUTPZVAZVBZVIZUAUBUWEUWJUWTVIZUEQEVK
      PZSUEUCUDUXBUXDUXQVIVLABUDGUAUCUBVMWBAUXCEVLZUXEHVLVNZVNZUAUBUWEUXIUXPUWE
      UWJUWTUYBUWEVOUYBGUWHUXHUWIUYBUVKUWHTZVNZUXGUVMUYDUVKUXFUVLUYAUXFUVLVLAUY
      CUXCEUXEHULVPVQVRZVSVTUYBBQUXOUWSUYBUXNUWRUVHUYBUXMUWQUHUTUYBGUWHUXLUWPUY
      DUXKUWMUWOURUYDUXJUWLUVOUOUYDUWKUXGUVMUYEVRWAWAWCWDWEWFWGAUXTVNUXCEQVKAUX
      TWHWDJAQSTZEUXBTCQHWICEWJHUXSTUYFAWKWBJKLQECHSUXBWMWLUXRSTZAUWESTUWJSTZUA
      UWEWNUYGVCUWDWOVDWPWQUYHUAUWEUWFUWETZUWHWRWSZUWISTZGUWHWNUYHUYIRUWGTZRUJT
      UYJRWTTUYIUWFWTTRUWFXAXBZUYLXGUWEWTUWFVCUWDWTVCVJWTXCXDXEVDWTTUWDWTWJXFVD
      WTXHXIXJXKUYIUWFVCTZUWFUWDTZXSUYMUWFVCUWDXLUYNUYMUYOUWFXMUYORVDUWFXAXNUWF
      VDXOXPXQXRRUWFXTYAYKRUWGUJYBYCZUYKGUWHUVMUVKUVLYDYEYFGUWHUWISYGYCYHUAUBUW
      EUWJUWTSSUXRUXRYIYJYLWBYMAUWFIVLZUWKDVLZVNVNZBQUWSUWBUYSUWRUWAUVHUYSUWQUV
      TUHUTUYSGUWHUWPUVJUVSUYSUWGUVIUJUYSUWFIRUIAUYQUYRYNWDYOUYSUWMUVPUWOUVRURU
      YSUWLUVNUVOUOUYSUWKDUVMAUYQUYRYPZYQWAUYSUWNUVQUVKUQUYSUWKDUVGUPUYTWDWAUUA
      UUBWDWEWFAUYQVNZUWHUVJVLUWJUXAVLVUAUWGUVIUJVUAUWFIRUIAUYQWHWDYOGUWHUVJUWI
      UUCYRAIVCTZIUWDTZXSZIUWETZAVUBIVDVLZXSVUDMVUCVUFVUBIVDUUDUUEUUFYSIVCUWDXL
      YSZADUXATZDUWITZGUVJWNZAVUIGUVJNYTZAVUIGUVJUUGZDSTZVUHVUJUUHAUVJWRWSZVUJV
      ULAVUEVUNVUGUYJVUNUAIUWEUYQUWHUVJWRUYQUWGUVIUJUWFIRUIUUMYOUUIUYPUUJYRVUKV
      UIGUVJUUKUULVUIVUMGUVJDUWIUUNUUOGDUVJUWISUUPUUQUURAUWCQQVAZWJZUWCSTAUWBVU
      OWJZBQWNVUPAVUQBQUVGQTUVHQWJAUWAQWJVUQUVGQXHACDEGHIUVGJKLMNUUSUVHQUWAQUUT
      UVDYTBQUWBVUOUVAYSUWCVUOQQWKWKUVBUVCYRYMUVE $.

    $( Value of the Taylor series as a relation (elementhood in the domain here
       expresses that the series is convergent).  (Contributed by Mario
       Carneiro, 30-Dec-2016.) $)
    eltayl $p |- ( ph -> ( X T Y <-> ( X e. CC /\ Y e. ( CCfld tsums
        ( k e. ( ( 0 [,] N ) i^i ZZ ) |-> ( ( ( ( ( S Dn F ) ` k ) ` B ) /
          ( ! ` k ) ) x. ( ( X - B ) ^ k ) ) ) ) ) ) ) $=
      ( vx wcel cc co cop cv csn ccnfld cc0 cicc cz cin cdvn cfv cdiv cmin cexp
      cfa cmul cmpt ctsu cxp ciun wbr taylfval eleq2d df-br bicomi oveq1 oveq1d
      wa wceq oveq2d mpteq2dv opeliunxp2 3bitr3g ) AIJUAZERZVMQSQUBZUCUDFUEHUFT
      UGUHZCFUBZDGUITUJUJVQUNUJUKTZVOCULTZVQUMTZUOTZUPZUQTZURUSZRIJEUTZISRJUDFV
      PVRICULTZVQUMTZUOTZUPZUQTZRVGAEWDVMAQBCDEFGHKLMNOPVAVBWEVNIJEVCVDQSWCIJWJ
      VOIVHZWBWIUDUQWKFVPWAWHWKVTWGVRUOWKVSWFVQUMVOICULVEVFVIVJVIVKVL $.

    $( The Taylor series defines a function on a subset of the complex numbers.
       (Contributed by Mario Carneiro, 30-Dec-2016.) $)
    taylf $p |- ( ph -> T : dom T --> CC ) $=
      ( vx vy cc wss ccnfld co cdm wfn crn wf wrel wbr wmo wal wfun cxp csn cc0
      cv cicc cin cdvn cfv cfa cdiv cmin cexp cmul cmpt ctsu ciun taylfval wral
      cz wcel wa simpr snssd taylfvallem xpss12 syl2anc ralrimiva iunss eqsstrd
      sylibr relxp relss mpisyl wi eltayl biimpd alrimiv ctopn cvv cnfldbas crg
      ccmn cnring ringcmn mp1i ctps cnfldtps a1i ovex inex1 taylfvallem1 fmpttd
      eqid cha cnfldhaus haustsms moanimv moim sylc dffun6 sylanbrc funfnd rnss
      ex syl rnxpss sstrdi df-f ) AEEUAZUBEUCZQRXRQEUDAEAEUEZOUMZPUMZEUFZPUGZOU
      HEUIAEQQUJZRZYEUEXTAEOQYAUKZSFULHUNTZVHUOZCFUMZDGUPTUQUQYJURUQUSTYACUTTYJ
      VATVBTZVCZVDTZUJZVEZYEAOBCDEFGHIJKLMNVFAYNYERZOQVGYOYERAYPOQAYAQVIZVJZYGQ
      RYMQRYPYRYAQAYQVKVLABCDFGHYAIJKLMVMYGQYMQVNVOVPOQYNYEVQVSVRZQQVTEYEWAWBAY
      DOAYCYQYBYMVIZVJZWCZPUHUUAPUGZYDAUUBPAYCUUAABCDEFGHYAYBIJKLMNWDWEWFAYQYTP
      UGZWCUUCAYQUUDYRPYIQYLSSWGUQZWHWISWJVISWKVIYRWLSWMWNSWOVIYRWPWQYIWHVIYRYH
      VHULHUNWRWSWQYRFYIYKQABCDFGHYAIJKLMWTXAUUEXBZUUEXCVIYRUUEUUFXDWQXEXMYQYTP
      XFVSYCUUAPXGXHWFOPEXIXJXKAXSYEUCZQAYFXSUUGRYSEYEXLXNQQXOXPXRQEXQXJ $.

    $( The Taylor series is always defined at the basepoint, with value equal
       to the value of the function.  (Contributed by Mario Carneiro,
       30-Dec-2016.) $)
    tayl0 $p |- ( ph -> ( B e. dom T /\ ( T ` B ) = ( F ` B ) ) ) $=
      ( wcel cc ccnfld cc0 co cvv cfv wbr cdm wceq wa cicc cz cin cdvn cfa cdiv
      cv cmin cexp cmul cmpt ctsu cpr wss recnprss syl sstrd fveq2 dmeqd eleq2d
      cr ralrimiva cn0 cpnf cxnn0 elxnn0 cxr cle 0xr a1i xnn0xr xnn0ge0 syl3anc
      wo lbicc2 sylbir 0zd elind rspcdva cpm wf cnex syl22anc dvn0 syl2anc fdmd
      elpm2r eqtrd eleqtrd sseldd cgsu c1 cnfldbas cnfld0 crg cmnd ringmnd mp1i
      cnring inex1 adantr simpr elin2d w3a elin1d wb nn0re rexrd pnfxr eqeltrdi
      ovex jaoi elicc1 sylancr mpbid simp2d elnn0z sylanbrc dvnf ffvelrnd nncnd
      id faccld nnne0d divcld expcld mulcld sylan2 oveq2d fveq1d eqtrdi oveq12d
      0cnd oveq1d wfun fmpttd csn cdif wne eldifi eldifsni adantl elnnne0 0expd
      cn mul01d zex inex2 suppss2 gsumpt fac0 oveq2 0exp0e1 fvmpt div1d mulid1d
      eqid 3eqtrd ccmn ringcmn ctps cnfldtps cfn cfsupp mptexg funmpt c0ex snfi
      suppssfifsupp syl32anc tsmsid eqeltrrd subidd mpteq2dv eleqtrrd mpbir2and
      csupp eltayl taylf ffun funbrfv2b 3syl ) ACCGUAZEUBZCEUCZOCEUAUWHUDUEZAUW
      ICPOUWHQFRHUFSZUGUHZCFULZDGUISZUAZUAZUWNUJUAZUKSZCCUMSZUWNUNSZUOSZUPZUQSZ
      OABPCABDPKADVFPURZOZDPUSZIDUTVAZVBACRUWOUAZUCZBACUWPUCZOZCUXJOFUWMRUWNRUD
      ZUXKUXJCUXMUWPUXIUWNRUWOVCZVDVEAUXLFUWMMVGAUWLUGRAHVHOZHVIUDZVSZRUWLOZLUX
      QHVJOZUXRHVKUXSRVLOZHVLOZRHVMUBUXRUXTUXSVNVOHVPHVQRHVTVRWAVAAWBWCZWDAUXJG
      UCBAUXIGAUXGGPDWESOZUXIGUDUXHAPTOZUXFBPGWFBDUSUYCUYDAWGVOIJKPDBGTUXEWLWHZ
      DGWIWJZVDABPGJWKWMWNZWOZAUWHQFUWMUWSRUWNUNSZUOSZUPZUQSZUXDAQUYKWPSZUWHUYL
      AUYMRUYKUAZCUXIUAZWQUKSZWQUOSZUWHAUWMPUYKQTRRWRWSQWTOZQXAOAXDQXBXCUWMTOZA
      UWLUGRHUFXPXEVOZUYBAFUWMUYJPAUWNUWMOZUEZUWSUYIVUBUWQUWRVUBUXKPCUWPVUBUXFU
      YCUWNVHOZUXKPUWPWFAUXFVUAIXFAUYCVUAUYEXFVUBUWNUGORUWNVMUBZVUCVUBUWLUGUWNA
      VUAXGZXHVUBUWNVLOZVUDUWNHVMUBZVUBUWNUWLOZVUFVUDVUGXIZVUBUWLUGUWNVUEXJVUBU
      XTUYAVUHVUIXKVNAUYAVUAAUXQUYALUXOUYAUXPUXOHHXLXMUXPHVIVLUXPYGXNXOXQVAXFRH
      UWNXRXSXTYAUWNYBYCZDGUWNYDVRMYEVUBUWRVUBUWNVUJYHZYFVUBUWRVUKYIYJZVUBRUWNV
      UBYRVUJYKYLUUAZAUWMUYJFTRUUBZRAUWNUWMVUNUUCOZUEZUYJUWSRUOSZRVUPUYIRUWSUOV
      UPUWNVUPVUCUWNRUUDZUWNUUJOVUOAVUAVUCUWNUWMVUNUUEZVUJYMVUOVURAUWNUWMRUUFUU
      GUWNUUHYCUUIYNVUOAVUAVUQRUDVUSVUBUWSVULUUKYMWMUYSAUGUWLUULUUMZVOUUNZUUOAR
      UWMOUYNUYQUDUYBFRUYJUYQUWMUYKUXMUWSUYPUYIWQUOUXMUWQUYOUWRWQUKUXMCUWPUXIUX
      NYOUXMUWRRUJUAWQUWNRUJVCUUPYPYQUXMUYIRRUNSWQUWNRRUNUUQUURYPYQUYKUVBUYPWQU
      OXPUUSVAAUYQUWHWQUOSUWHAUYPUWHWQUOAUYPUWHWQUKSUWHAUYOUWHWQUKACUXIGUYFYOYS
      AUWHABPCGJUYGYEZUUTWMYSAUWHVVBUVAWMUVCAUWMPUYKQTRWRWSUYRQUVDOAXDQUVEXCQUV
      FOAUVGVOUYTVUMAUYKTOZUYKYTZRTOZVUNUVHOZUYKRUWBSVUNUSUYKRUVIUBUYSVVCAVUTFU
      WMUYJTUVJXCVVDAFUWMUYJUVKVOVVEAUVLVOVVFARUVMVOVVAVUNUYKTTRUVNUVOUVPUVQAUX
      CUYKQUQAFUWMUXBUYJAUXAUYIUWSUOAUWTRUWNUNACUYHUVRYSYNUVSYNUVTABCDEFGHCUWHI
      JKLMNUWCUWAAUWJPEWFEYTUWIUWKXKABCDEFGHIJKLMNUWDUWJPEUWECUWHEUWFUWGXT $.
  $}

  ${
    $d k u v x y B $.  $d k u v x y F $.  $d k u v x y N $.  $d k u v x y ph $.
    $d k u v y D $.  $d k u v x y S $.  $d x T $.  $d k x X $.
    taylpfval.s $e |- ( ph -> S e. { RR , CC } ) $.
    taylpfval.f $e |- ( ph -> F : A --> CC ) $.
    taylpfval.a $e |- ( ph -> A C_ S ) $.
    taylpfval.n $e |- ( ph -> N e. NN0 ) $.
    taylpfval.b $e |- ( ph -> B e. dom ( ( S Dn F ) ` N ) ) $.
    $( Lemma for ~ taylpfval and similar theorems.  (Contributed by Mario
       Carneiro, 31-Dec-2016.) $)
    taylplem1 $p |- ( ( ph /\ k e. ( ( 0 [,] N ) i^i ZZ ) ) ->
      B e. dom ( ( S Dn F ) ` k ) ) $=
      ( cc0 co cz wcel cfv cdm wa cc cv cicc cin cfz cdvn wceq 0z nn0zd sylancr
      fzval2 eleq2d biimpar cr cpr cpm wss cvv cnex a1i elpm2r syl22anc dvn2bss
      wf jca 3expa sylan adantr sseldd syldan ) AEUAZMGUBNOUCZPZVJMGUDNZPZCVJDF
      UENZQRZPAVNVLAVMVKVJAMOPGOPVMVKUFUGAGKUHMGUJUIUKULAVNSGVOQRZVPCADUMTUNZPZ
      FTDUONPZSVNVQVPUPZAVSVTHATUQPZVSBTFVCBDUPVTWBAURUSHIJTDBFUQVRUTVAVDVSVTVN
      WADFVJGVBVEVFACVQPVNLVGVHVI $.

    $( Lemma for ~ taylpfval and similar theorems.  (Contributed by Mario
       Carneiro, 31-Dec-2016.) $)
    taylplem2 $p |- ( ( ( ph /\ X e. CC ) /\ k e. ( 0 ... N ) ) ->
 ( ( ( ( ( S Dn F ) ` k ) ` B ) / ( ! ` k ) ) x. ( ( X - B ) ^ k ) ) e. CC ) $=
      ( cc wcel cc0 co cz cfv wceq wa cfz cicc cin cdvn cfa cdiv cmin cexp cmul
      cv wb 0z nn0zd fzval2 sylancr eleq2d adantr biimpa cpnf orcd taylfvallem1
      cn0 taylplem1 syldan ) AHNOZUAZEUKZPGUBQZOZVHPGUCQRUDZOZCVHDFUEQSSVHUFSUG
      QHCUHQVHUIQUJQNOVGVJVLAVJVLULVFAVIVKVHAPROGROVIVKTUMAGLUNPGUOUPUQURUSABCD
      EFGHIJKAGVCOGUTTLVAABCDEFGIJKLMVDVBVE $.

    taylpfval.t $e |- T = ( N ( S Tayl F ) B ) $.
    $( Define the Taylor polynomial of a function.  The constant ` Tayl ` is a
       function of five arguments: ` S ` is the base set with respect to
       evaluate the derivatives (generally ` RR ` or ` CC ` ), ` F ` is the
       function we are approximating, at point ` B ` , to order ` N ` .  The
       result is a polynomial function of ` x ` .  (Contributed by Mario
       Carneiro, 31-Dec-2016.) $)
    taylpfval $p |- ( ph -> T = ( x e. CC |-> sum_ k e. ( 0 ... N )
     ( ( ( ( ( S Dn F ) ` k ) ` B ) / ( ! ` k ) ) x. ( ( x - B ) ^ k ) ) ) ) $=
      ( cc cc0 co ccnfld wcel csn cfz cdvn cfv cfa cdiv cmin cexp cmul csu ciun
      cv cxp cmpt cicc cz cin ctsu cpnf wceq orcd taylplem1 taylfval cgsu ctopn
      cn0 wa cvv cnfldbas cnfld0 crg ccmn cnring ringcmn mp1i ctps cnfldtps a1i
      ovex inex1 taylfvallem1 fmpttd eqid cfn nn0zd fzval2 sylancr adantr fzfid
      0z eqeltrrd ovexd c0ex fsuppmptdm cha cnfldhaus haustsmsid sumeq1d eqtr4d
      gsumfsum sneqd eqtrd xpeq2d iuneq2dv dfmpt3 eqtr4di ) AFBPBULZUAZQIUBRZDG
      ULZEHUCRUDUDXJUEUDUFRZXGDUGRXJUHRZUIRZGUJZUAZUMZUKZBPXNUNAFBPXHSGQIUORZUP
      UQZXMUNZURRZUMZUKXQABCDEFGHIJKLAIVFTIUSUTMVAZACDEGHIJKLMNVBZOVCABPYBXPAXG
      PTZVGZYAXOXHYFYASXTVDRZUAXOYFXSPXTSSVEUDZVHQVIVJSVKTSVLTYFVMSVNVOSVPTYFVQ
      VRXSVHTYFXRUPQIUOVSVTVRYFGXSXMPACDEGHIXGJKLYCYDWAZWBYFGXSXTVHVHXMQXTWCYFX
      IXSWDAXIXSUTZYEAQUPTIUPTYJWJAIMWEQIWFWGWHZYFQIWIWKZYFXJXSTVGXKXLUIWLQVHTY
      FWMVRWNYHWCZYHWOTYFYHYMWPVRWQYFYGXNYFYGXSXMGUJXNYFXSXMGYLYIWTYFXIXSXMGYKW
      RWSXAXBXCXDXBBPXNXEXF $.

    $( The Taylor polynomial is a function on the complex numbers (even if the
       base set of the original function is the reals).  (Contributed by Mario
       Carneiro, 31-Dec-2016.) $)
    taylpf $p |- ( ph -> T : CC --> CC ) $=
      ( vx vk cc cc0 co cv cfv cfz cdvn cfa cdiv cmin cexp cmul taylpfval fzfid
      csu wcel wa taylplem2 fsumcl fmpt3d ) ANPQGUARZCOSZDFUBRTTUQUCTUDRNSZCUER
      UQUFRUGRZOUJPEANBCDEOFGHIJKLMUHAURPUKULZUPUSOUTQGUIABCDOFGURHIJKLUMUNUO
      $.

    ${
      taylpval.x $e |- ( ph -> X e. CC ) $.
      $( Value of the Taylor polynomial.  (Contributed by Mario Carneiro,
         31-Dec-2016.) $)
      taylpval $p |- ( ph -> ( T ` X ) = sum_ k e. ( 0 ... N )
       ( ( ( ( ( S Dn F ) ` k ) ` B ) / ( ! ` k ) ) x. ( ( X - B ) ^ k ) ) ) $=
        ( vx co cfv cmin cc0 cfz cdvn cfa cdiv cexp cmul csu cvv taylpfval wceq
        cv cc wa wcel simplr oveq1d oveq2d sumeq2dv sumex a1i fvmptd ) AQIUAHUB
        RZCFULZDGUCRSSVDUDSUERZQULZCTRZVDUFRZUGRZFUHVCVEICTRZVDUFRZUGRZFUHZUMEU
        IAQBCDEFGHJKLMNOUJAVFIUKZUNZVCVIVLFVOVDVCUOZUNZVHVKVEUGVQVGVJVDUFVQVFIC
        TAVNVPUPUQUQURUSPVMUIUOAVCVLFUTVAVB $.
    $}

    ${
      taylply2.1 $e |- ( ph -> D e. ( SubRing ` CCfld ) ) $.
      taylply2.2 $e |- ( ph -> B e. D ) $.
      taylply2.3 $e |- ( ( ph /\ k e. ( 0 ... N ) ) ->
        ( ( ( ( S Dn F ) ` k ) ` B ) / ( ! ` k ) ) e. D ) $.
      $( The Taylor polynomial is a polynomial of degree (at most) ` N ` .
         This version of ~ taylply shows that the coefficients of ` T ` are in
         a subring of the complex numbers.  (Contributed by Mario Carneiro,
         1-Jan-2017.) $)
      taylply2 $p |- ( ph -> ( T e. ( Poly ` D ) /\ ( deg ` T ) <_ N ) ) $=
        ( wcel cc vy vx vu vv cply cfv cdgr cle wbr cc0 cfz co cv cdvn cfa cdiv
        cexp cmul csu cmpt cidp csn cxp cmin cof ccom taylpfval wa simpr cdm cr
        cpr cpm cn0 wss cvv wf cnex a1i elpm2r syl22anc dvnbss syl3anc recnprss
        fssdmd syl sseldd adantr subcld wceq cid cres df-idp mptresid fconstmpt
        sstrd eqtri offval2 eqidd oveq1 oveq2d sumeq2sdv fmptco eqtr4d cnfldbas
        ccnfld csubrg subrgss elplyd cnfld1 subrg1cl plyid plyconst csubg caddc
        c1 syl2anc subrgsubg cnfldadd subgcl 3expb sylan cnfldmul subrgmcl cneg
        cminusg ax-1cn cnfldneg ax-mp subginvcl eqeltrrid plysub eqeltrd fveq2d
        eqid plyco dgrco ccnv cima w3a simp2d dgrcl nn0cnd mulid1d eqtrd 3eqtrd
        plyremlem elfznn0 adantl dvnf ffvelrnd faccld nncnd nnne0d divcld dgrle
        dvn2bss eqbrtrd jca ) AFDUEUFZSFUGUFZIUHUIAFUATUJIUKULZCGUMZEHUNULZUFZU
        FZUVCUOUFZUPULZUAUMZUVCUQULZURULZGUSZUTZVATCVBZVCZVDVEULZVFZUUTAFUBTUVB
        UVHUBUMZCVDULZUVCUQULZURULZGUSZUTUVQAUBBCEFGHIJKLMNOVGAUBUATTUVSUVLUWBU
        VPUVMAUVRTSZVHUVRCAUWCVIZACTSZUWCAIUVDUFVJZTCAUWFBTABTUWFHKAEVKTVLZSZHT
        EVMULSZIVNSUWFHVJVOJATVPSZUWHBTHVQBEVOUWIUWJAVRVSZJKLTEBHVPUWGVTWAZMEHI
        WBWCWEABETLAUWHETVOJEWDWFWPWPNWGZWHZWIAUBTUVRCVDVAUVOVPTTUWKUWDUWNVAUBT
        UVRUTZWJAVAWKTWLUWOWMUBTWNWQVSUVOUBTCUTWJAUBTCWOVSWRAUVMWSZUVIUVSWJZUVB
        UVKUWAGUWQUVJUVTUVHURUVIUVSUVCUQWTXAXBXCXDZAUCUDDUVMUVPAUAUVHDGIADXFXGU
        FSZDTVOZPDTXFXEXHWFZMRXIZAUCUDDVAUVOAUWTXPDSZVAUUTSUXAAUWSUXCPDXFXPXJXK
        WFZDXLXQAUWTCDSUVOUUTSUXAQCDXMXQADXFXNUFSZUCUMZDSZUDUMZDSZVHZUXFUXHXOUL
        DSZAUWSUXEPDXFXRWFZUXEUXGUXIUXKXODXFUXFUXHXSXTYAYBZAUWSUXJUXFUXHURULDSZ
        PUWSUXGUXIUXNDXFURUXFUXHYCYDYAYBZAXPYEZXPXFYFUFZUFZDXPTSUXRUXPWJYGXPYHY
        IAUXEUXCUXRDSUXLUXDDXFUXQXPUXQYOYJXQYKYLZUXMUXOYPYMAUVAUVMUGUFZIUHAUVAU
        VQUGUFUXTUVPUGUFZURULZUXTAFUVQUGUWRYNADUVMUVPUXTUYAUXTYOUYAYOUXBUXSYQAU
        YBUXTXPURULUXTAUYAXPUXTURAUVPTUEUFSZUYAXPWJZUVPYRUJVBYSUVNWJZAUWEUYCUYD
        UYEYTUWMCUVPUVPYOUUGWFUUAXAAUXTAUXTAUVMUUTSUXTVNSUXBDUVMUUBWFUUCUUDUUEU
        UFAUAUVHDGUVMIUXBMAUVCUVBSZVHZUVFUVGUYGUVEVJZTCUVEUYGUWHUWIUVCVNSZUYHTU
        VEVQAUWHUYFJWHZAUWIUYFUWLWHZUYFUYIAUVCIUUHUUIZEHUVCUUJWCUYGUWFUYHCUYGUW
        HUWIUYFUWFUYHVOUYJUYKAUYFVIEHUVCIUUQWCACUWFSUYFNWHWGUUKUYGUVGUYGUVCUYLU
        ULZUUMUYGUVGUYMUUNUUOUWPUUPUURUUS $.
    $}

    $( The Taylor polynomial is a polynomial of degree (at most) ` N ` .
       (Contributed by Mario Carneiro, 31-Dec-2016.) $)
    taylply $p |- ( ph -> ( T e. ( Poly ` CC ) /\ ( deg ` T ) <_ N ) ) $=
      ( cc ccnfld wcel cfv co cdm wss vk csubrg cnring cnfldbas subrgid mp1i cr
      crg cdvn cpr cpm cn0 cvv cnex a1i elpm2r syl22anc dvnbss syl3anc recnprss
      wf fssdmd syl sstrd sseldd cv cc0 cfz wa adantr elfznn0 adantl dvnf simpr
      cfa dvn2bss ffvelrnd faccld nncnd nnne0d divcld taylply2 ) ABCNDEUAFGHIJK
      LMOUHPNOUBQPAUCNOUDUEUFAGDFUIRZQSZNCAWDBNABNWDFIADUGNUJZPZFNDUKRPZGULPWDF
      STHANUMPZWFBNFVABDTWGWHAUNUOHIJNDBFUMWEUPUQZKDFGURUSVBABDNJAWFDNTHDUTVCVD
      VDLVEAUAVFZVGGVHRPZVIZCWJWCQZQWJVOQZWLWMSZNCWMWLWFWGWJULPZWONWMVAAWFWKHVJ
      ZAWGWKWIVJZWKWPAWJGVKVLZDFWJVMUSWLWDWOCWLWFWGWKWDWOTWQWRAWKVNDFWJGVPUSACW
      DPWKLVJVEVQWLWNWLWJWSVRZVSWLWNWTVTWAWB $.
  $}

  ${
    $d j k x y B $.  $d j k x F $.  $d j k x y N $.  $d j k x y ph $.
    $d j k x S $.
    dvtaylp.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvtaylp.f $e |- ( ph -> F : A --> CC ) $.
    dvtaylp.a $e |- ( ph -> A C_ S ) $.
    dvtaylp.n $e |- ( ph -> N e. NN0 ) $.
    dvtaylp.b $e |- ( ph -> B e. dom ( ( S Dn F ) ` ( N + 1 ) ) ) $.
    $( The derivative of the Taylor polynomial is the Taylor polynomial of the
       derivative of the function.  (Contributed by Mario Carneiro,
       31-Dec-2016.) $)
    dvtaylp $p |- ( ph -> ( CC _D ( ( N + 1 ) ( S Tayl F ) B ) ) =
                            ( N ( S Tayl ( S _D F ) ) B ) ) $=
      ( vx vk cc cc0 c1 co cfv cmul wcel vj vy caddc cfz cv cdvn cdiv cmin cexp
      cfa csu cmpt cdv ctayl wceq cif ccnfld eqid cnfldtopon toponrestid cr cpr
      ctopn cnelprrecn a1i ctopon toponmax mp1i fzfid w3a wa cdm cpm cn0 wf cvv
      wss cnex elpm2r syl22anc elfznn0 dvnf syl2an3an cicc cz cin peano2nn0 syl
      nn0zd fzval2 sylancr eleq2d biimpa taylplem1 syldan ffvelrnd adantl nncnd
      0z faccld nnne0d divcld 3adant3 simp3 recnprss sstrd dvnbss fssdmd sseldd
      syl3anc 3ad2ant1 subcld expcld mulcld 0cnd wn nn0cnd simpr sylanbrc 3expa
      adantr cn 1cnd ad2antrr oveq1 oveq2d mpteq2dva 1nn0 dvnadd syl2anc fveq1d
      eqtrd fveq2d 3eqtr3d fveq2 oveq12d oveq1d sylan2 cuz taylpfval wne neqned
      3ad2ant2 elnnne0 nnm1nn0 ifclda c0ex ovex dvmptid dvmptc dvmptsub mpteq2i
      ifex 1m0e1 eqtrdi dvexp2 ifeq2d dvmptco dvmptcmul dvmptfsum 1zzd 0zd dvfg
      mulid1d dvbss dvn1 addcomd dmeqd eleqtrrd taylplem2 oveq2 fsumshft elfznn
      ifnefalse simpll fz1ssfz0 simplr mulassd npcand div23d divcan5rd 3eqtr3rd
      sseli facp1 pncan3d 3eqtr2d 0p1e1 oveq1i sumeq1i eqtr4di an32s cdif eldif
      sumeq2dv biimpri sylan nnuz eleqtrdi elfzuz3 elfzuzb impr sylan2b iftrued
      wi ex necon1bd eldifi adantlr mul01d fsumss 3eqtr2rd 3eqtr4d ) ANLNOFPUCQ
      ZUDQZCMUEZDEUFQZRZRZUXOUJRZUGQZLUEZCUHQZUXOUIQZSQZMUKULZUMQZLNOFUDQCUAUEZ
      DDEUMQZUFQZRZRZUYGUJRZUGQZUYBUYGUIQZSQZUAUKZULZNUXMCDEUNQQZUMQFCDUYHUNQQZ
      AUYFLNUXNUXTUXOOUOZOUXOUYBUXOPUHQZUIQZSQZUPZSQZMUKZULUYQALUYDVUENMUXNUQVC
      RZVUGNVUGNVUGVUGURZUSZUTVUHNVANVBZTZAVDVEVUGNVFRTNVUGTAVUINVUGVGVHAOUXMVI
      AUXOUXNTZUYANTZVJZUXTUYCAVULUXTNTZVUMAVULVKZUXRUXSVUPUXQVLZNCUXQADVUJTZEN
      DVMQTZVULUXOVNTZVUQNUXQVOGANVPTZVURBNEVOBDVQVUSVVAAVRVEGHINDBEVPVUJVSVTZU
      XOUXMWAZDEUXOWBWCAVULUXOOUXMWDQWEWFZTZCVUQTAVULVVEAUXNVVDUXOAOWETUXMWETUX
      NVVDUOWSAUXMAFVNTZUXMVNTZJFWGWHZWIOUXMWJWKWLWMABCDMEUXMGHIVVHKWNWOWPZVUPU
      XSVUPUXOVULVUTAVVCWQZWTZWRZVUPUXSVVKXAZXBZXCZVUNUYBUXOVUNUYACAVULVUMXDAVU
      LCNTZVUMABNCABDNIAVURDNVQZGDXEWHZXFAUXMUXPRZVLZBCABNVVTEHAVURVUSVVGVVTEVL
      VQGVVBVVHDEUXMXGXJXHKXIXIZXKXLZVULAVUTVUMVVCUUCZXMZXNVUNUXTVUDVVOVUNUYTOV
      UCNVUNUYTVKXOVUNUYTXPZVKZUXOVUBVUNUXONTVWEVUNUXOVWCXQYAVWFUYBVUAVUNUYBNTZ
      VWEVWBYAVWFUXOYBTZVUAVNTZVWFVUTUXOOUUAZVWHVUNVUTVWEVWCYAVWFUXOOVUNVWEXRUU
      BUXOUUDZXSUXOUUEZWHXMXNUUFZXNVUPLUYCVUDUXTNNNVUKVUPVDVEZAVULVUMUYCNTVWDXT
      AVULVUMVUDNTZVWMXTZVUPNLNUYCULUMQLNVUDPSQZULLNVUDULVUPLUBUYBPUBUEZUXOUIQZ
      UYTOUXOVWRVUAUIQZSQZUPZNNUYCVUDNVPNNVWNVWNAVULVUMVWGVWBXTVUPVUMVKZYCZVUPV
      WRNTZVKZVWRUXOVUPVXEXRVUPVUTVXEVVJYAXMVXBVPTVXFUYTOVXAUUGUXOVWTSUUHUUMVEV
      UPNLNUYBULUMQLNPOUHQZULLNPULVUPLUYAPCONNNNVWNVUPVUMXRVXDVUPLNVWNUUIAVVPVU
      LVUMVWAYDVXCXOVUPLCNVWNAVVPVULVWAYAUUJUUKLNVXGPUUNUULUUOVUPVUTNUBNVWSULUM
      QUBNVXBULUOVVJUBUXOUUPWHVWRUYBUXOUIYEVWRUYBUOZUYTVXAVUCOVXHVWTVUBUXOSVWRU
      YBVUAUIYEYFUUQUURVUPLNVWQVUDVXCVUDVWPUVDYGYLVVNUUSUUTALNVUFUYPAVUMVKZUYPO
      PUCQZUXMUDQZCVUAUYIRZRZVUAUJRZUGQZVUBSQZMUKZPUXMUDQZVUEMUKZVUFVXIUYOVXPUA
      MPOFVXIUVAVXIUVBAFWETVUMAFJWIYAAUYHVLZCDUAUYHFUYAGAVURVXTNUYHVOGDEUVCWHZA
      VXTBDABDEVVRHIUVEIXFZJACVVTFUYIRZVLKAVYCVVSAFDPUXPRZUFQZRZPFUCQZUXPRZVYCV
      VSAVURVUSPVNTZVVFVYFVYHUOGVVBVYIAYHVEJDEPFYIVTAFVYEUYIAVYDUYHDUFAVVQVUSVY
      DUYHUOZVVRVVBDEUVFYJZYFYKAVYGUXMUXPAPFAYCAFJXQUVGYMYNUVHUVIZUVJUYGVUAUOZU
      YMVXOUYNVUBSVYMUYKVXMUYLVXNUGVYMCUYJVXLUYGVUAUYIYOYKUYGVUAUJYOYPUYGVUAUYB
      UIUVKYPUVLVXIVXSVXRVXPMUKVXQVXIVXRVUEVXPMVXIUXOVXRTZVKZVUEUXTVUCSQUXTUXOS
      QZVUBSQVXPVYOVUDVUCUXTSVYOVWJVUDVUCUOVYOUXOVYNVWHVXIUXOUXMUVMWQZXAZUXOOOV
      UCUVNWHYFVYOUXTUXOVUBVYOAVULVUOAVUMVYNUVOZVYNVULVXIVXRUXNUXOUXMUVPZUWCZWQ
      ZVVNYJZVYOUXOVYQWRZVYOUYBVUAVYOUYACAVUMVYNUVQAVVPVUMVYNVWAYDXLVYOVWHVWIVY
      QVWLWHZXMUVRVYOVYPVXOVUBSVYOUXRUXOSQZUXSUGQZWUFVXNUXOSQZUGQZVYPVXOVYOUXSW
      UHWUFUGVYOVUAPUCQZUJRZVXNWUJSQZUXSWUHVYOVWIWUKWULUOWUEVUAUWDWHVYOWUJUXOUJ
      VYOUXOPWUDVYOYCZUVSZYMVYOWUJUXOVXNSWUNYFYNYFVYOAVULWUGVYPUOVYSWUBVUPUXRUX
      OUXSVVIVUPUXOVVJXQVVLVVMUVTYJVYOWUIUXRVXNUGQVXOVYOUXRVXNUXOVYOAVULUXRNTVY
      SWUBVVIYJVYOVXNVYOVUAWUEWTZWRWUDVYOVXNWUOXAVYRUWAVYOUXRVXMVXNUGVYOCUXQVXL
      VYOVUAVYERZPVUAUCQZUXPRZVXLUXQVYOVURVUSVYIVWIWUPWURUOAVURVUMVYNGYDAVUSVUM
      VYNVVBYDVYIVYOYHVEWUEDEPVUAYIVTVYOVUAVYEUYIVYOVYDUYHDUFAVYJVUMVYNVYKYDYFY
      KVYOWUQUXOUXPVYOPUXOWUMWUDUWEYMUWBYKYQYLYNYQUWFUWNVXKVXRVXPMVXJPUXMUDUWGU
      WHUWIUWJVXIVXRUXNVUEMVXRUXNVQVXIVYTVEVYOUXTVUDWUCVYNVXIVULVWOWUAAVULVUMVW
      OVWPUWKYRXNVXIUXOUXNVXRUWLTZVKZVUEUXTOSQOWUTVUDOUXTSWUTUYTOVUCWUSVXIVULVY
      NXPZVKUYTUXOUXNVXRUWMVXIVULWVAUYTVXIVULVKVYNUXOOVULVWJVYNUXDVXIVULVWJVYNV
      ULVWJVKZUXOPYSRZTUXMUXOYSRTZVYNWVBUXOYBWVCVULVUTVWJVWHVVCVWHVUTVWJVKVWKUW
      OUWPUWQUWRVULWVDVWJUXOOUXMUWSYAUXOPUXMUWTXSUXEWQUXFUXAUXBUXCYFWUTUXTWUSVX
      IVULVUOUXOUXNVXRUXGAVULVUOVUMVVNUXHYRUXIYLVXIOUXMVIUXJUXKYGYLAUYRUYENUMAL
      BCDUYRMEUXMGHIVVHKUYRURYTYFALVXTCDUYSUAUYHFGVYAVYBJVYLUYSURYTUXL $.
  $}

  ${
    $d m n B $.  $d m n F $.  $d m n M $.  $d m n N $.  $d m n ph $.
    $d m n S $.
    dvntaylp.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvntaylp.f $e |- ( ph -> F : A --> CC ) $.
    dvntaylp.a $e |- ( ph -> A C_ S ) $.
    dvntaylp.m $e |- ( ph -> M e. NN0 ) $.
    dvntaylp.n $e |- ( ph -> N e. NN0 ) $.
    dvntaylp.b $e |- ( ph -> B e. dom ( ( S Dn F ) ` ( N + M ) ) ) $.
    $( The ` M ` -th derivative of the Taylor polynomial is the Taylor
       polynomial of the ` M ` -th derivative of the function.  (Contributed by
       Mario Carneiro, 1-Jan-2017.) $)
    dvntaylp $p |- ( ph -> ( ( CC Dn ( ( N + M ) ( S Tayl F ) B ) ) ` M ) =
                             ( N ( S Tayl ( ( S Dn F ) ` M ) ) B ) ) $=
      ( cc caddc co cfv cc0 wcel wceq vm ctayl cdvn cmin cfz cuz nn0uz eleqtrdi
      vn cn0 eluzfz2b sylib cv wi c1 fveq2 oveq2d oveq2 oveq123d eqeq12d imbi2d
      eqidd wss cpm ssidd cmap mapsspm nn0addcld eqid taylpf cnex sylibr sselid
      wf elmap dvn0 syl2anc cr cpr recnprss syl cvv a1i elpm2r syl22anc subid1d
      nn0cnd eqtr4d cfzo cdv adantr elfzouz adantl eleqtrrdi dvnp1 syl3anc dvnf
      wa dvnbss fdmd sseqtrd sstrd fzofzp1 fznn0sub elfzofz dvnadd 1cnd addassd
      nppcan2d eqtrd fveq2d pncan3d subcld add12d eqtr3d 3eqtr4d dmeqd eleqtrrd
      cdm dvtaylp oveq1d eqcomd oveqd 3eqtr3rd syl5ibr expcom a2d fzind2 subidd
      mpcom addid1d ) AFNGFOPZCDEUBPZPZUCPZQZGFFUDPZOPZCDFDEUCPZQZUBPZPZGCUUAPF
      RFUEPZSZAYPUUBTZAFRUFQZSZUUDAFUJUUFKUGUHRFUKULAUAUMZYOQZGFUUHUDPZOPZCDUUH
      YSQZUBPZPZTZUNARYOQZGFRUDPZOPZCDRYSQZUBPZPZTZUNZAUIUMZYOQZGFUVDUDPZOPZCDU
      VDYSQZUBPZPZTZUNAUVDUOOPZYOQZGFUVLUDPZOPZCDUVLYSQZUBPZPZTZUNAUUEUNUAUIFRF
      UUHRTZUUOUVBAUVTUUIUUPUUNUVAUUHRYOUPUVTUUKUURCCUUMUUTUVTUULUUSDUBUUHRYSUP
      UQUVTUUJUUQGOUUHRFUDURUQUVTCVBUSUTVAUUHUVDTZUUOUVKAUWAUUIUVEUUNUVJUUHUVDY
      OUPUWAUUKUVGCCUUMUVIUWAUULUVHDUBUUHUVDYSUPUQUWAUUJUVFGOUUHUVDFUDURUQUWACV
      BUSUTVAUUHUVLTZUUOUVSAUWBUUIUVMUUNUVRUUHUVLYOUPUWBUUKUVOCCUUMUVQUWBUULUVP
      DUBUUHUVLYSUPUQUWBUUJUVNGOUUHUVLFUDURUQUWBCVBUSUTVAUUHFTZUUOUUEAUWCUUIYPU
      UNUUBUUHFYOUPUWCUUKYRCCUUMUUAUWCUULYTDUBUUHFYSUPUQUWCUUJYQGOUUHFFUDURUQUW
      CCVBUSUTVAUVCUUGAUUPYNUVAANNVCZYNNNVDPZSZUUPYNTANVEANNVFPZUWEYNNNVGANNYNV
      NYNUWGSABCDYNEYLHIJAGFLKVHMYNVIVJNNYNVKVKVOVLVMZNYNVPVQAUURYLCCUUTYMAUUSE
      DUBADNVCZENDVDPSZUUSETADVRNVSZSZUWIHDVTWAZANWBSZUWLBNEVNBDVCZUWJUWNAVKWCH
      IJNDBEWBUWKWDWEZDEVPVQUQAUUQFGOAFAFKWGZWFUQACVBUSWHWCUVDRFWIPSZAUVKUVSAUW
      RUVKUVSUNUVKUVSAUWRWRZNUVEWJPZNUVJWJPZTUVEUVJNWJURUWSUVMUWTUVRUXAUWSUWDUW
      FUVDUJSZUVMUWTTUWSNVEAUWFUWRUWHWKUWSUVDUUFUJUWRUVDUUFSAUVDRFWLWMUGWNZNYNU
      VDWOWPUWSNUVOUOOPZCUVIPZWJPUVOCDDUVHWJPZUBPZPUXAUVRUWSUVHXSZCDUVHUVOAUWLU
      WRHWKZUWSUWLUWJUXBUXHNUVHVNUXIAUWJUWRUWPWKZUXCDEUVDWQWPUWSUXHBDUWSUXHEXSZ
      BUWSUWLUWJUXBUXHUXKVCUXIUXJUXCDEUVDWSWPAUXKBTUWRABNEIWTWKXAAUWOUWRJWKXBUW
      SGUVNAGUJSUWRLWKZUWSUVLUUCSZUVNUJSUWRUXMARFUVDXCWMUVLRFXDWAZVHUWSCYLYSQZX
      SZUXDDUVHUCPZQZXSACUXPSUWRMWKUWSUXRUXOUWSUVGUXQQZUVDUVGOPZYSQZUXRUXOUWSUW
      LUWJUXBUVGUJSUXSUYATUXIUXJUXCUWSGUVFUXLUWSUVDUUCSZUVFUJSUWRUYBAUVDRFXEWMU
      VDRFXDWAVHDEUVDUVGXFWEUWSUXDUVGUXQUWSUXDGUVNUOOPZOPUVGUWSGUVNUOAGNSUWRAGL
      WGZWKZUWSUVNUXNWGUWSXGZXHUWSUYCUVFGOUWSFUVDUOAFNSUWRUWQWKZUWSUVDUXCWGZUYF
      XIUQXJZXKUWSYLUXTYSUWSGUVDUVFOPZOPYLUXTUWSUYJFGOUWSUVDFUYHUYGXLUQUWSGUVDU
      VFUYEUYHUWSFUVDUYGUYHXMXNXOXKXPXQXRXTUWSUXEUVJNWJUWSUXDUVGCUVIUYIYAUQUWSU
      XGUVQUVOCUWSUVQUXGUWSUVPUXFDUBUWSUWIUWJUXBUVPUXFTAUWIUWRUWMWKUXJUXCDEUVDW
      OWPUQYBYCYDUTYEYFYGYHYJAYRGCUUAAYRGROPGAYQRGOAFUWQYIUQAGUYDYKXJYAXJ $.
  $}

  ${
    $d k B $.  $d k F $.  $d k M $.  $d k N $.  $d k ph $.  $d k S $.
    dvntaylp0.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvntaylp0.f $e |- ( ph -> F : A --> CC ) $.
    dvntaylp0.a $e |- ( ph -> A C_ S ) $.
    dvntaylp0.m $e |- ( ph -> M e. ( 0 ... N ) ) $.
    dvntaylp0.b $e |- ( ph -> B e. dom ( ( S Dn F ) ` N ) ) $.
    dvntaylp0.t $e |- T = ( N ( S Tayl F ) B ) $.
    $( The first ` N ` derivatives of the Taylor polynomial at ` B ` match the
       derivatives of the function from which it is derived.  (Contributed by
       Mario Carneiro, 1-Jan-2017.) $)
    dvntaylp0 $p |- ( ph -> ( ( ( CC Dn T ) ` M ) ` B ) =
                            ( ( ( S Dn F ) ` M ) ` B ) ) $=
      ( cc cdvn co cfv wcel cdm vk cmin ctayl caddc cc0 cfz cn0 elfz3nn0 nn0cnd
      syl elfznn0 npcand oveq1d oveq2d fveq1d fznn0sub fveq2d eleqtrrd dvntaylp
      eqtr4di dmeqd eqtr3d wceq cr cpr cpm wf cvv wss cnex elpm2r syl22anc dvnf
      syl3anc dvnbss fssdmd sstrd cpnf orcd dvnadd pncan3d eqtrd taylplem1 eqid
      a1i tayl0 simprd ) ACGOEPQZRZRCHGUBQZCDGDFPQZRZUCQQZRZCWLRZACWIWMAGOWJGUD
      QZCDFUCQZQZPQZRWIWMAGWSWHAWREOPAWRHCWQQEAWPHCWQAHGAHAGUEHUFQSZHUGSLGHUHUJ
      UIZAGAWTGUGSZLGHUKUJZUIZULZUMNUTUNUOABCDFGWJIJKXCAWTWJUGSZLGUEHUPUJZACHWK
      RZTZWPWKRZTMAXJXHAWPHWKXEUQVAURUSVBUOACWMTSWNWOVCAWLTZCDWMUAWLWJIADVDOVEZ
      SZFODVFQSZXBXKOWLVGIAOVHSZXMBOFVGBDVIXNXOAVJWEIJKODBFVHXLVKVLZXCDFGVMVNZA
      XKBDABOXKFJAXMXNXBXKFTVIIXPXCDFGVOVNVPKVQZAXFWJVRVCXGVSAXKCDUAWLWJIXQXRXG
      ACXIWJDWLPQRZTMAXSXHAXSGWJUDQZWKRZXHAXMXNXBXFXSYAVCIXPXCXGDFGWJVTVLAXTHWK
      AGHXDXAWAUQWBVAURWCWMWDWFWGWB $.
  $}

  ${
    $d m n x y A $.  $d m n x y B $.  $d m n x y F $.  $d m n x y ph $.
    $d m n x y N $.  $d m n x y S $.  $d m n x y T $.
    taylthlem1.s $e |- ( ph -> S e. { RR , CC } ) $.
    taylthlem1.f $e |- ( ph -> F : A --> CC ) $.
    taylthlem1.a $e |- ( ph -> A C_ S ) $.
    taylthlem1.d $e |- ( ph -> dom ( ( S Dn F ) ` N ) = A ) $.
    taylthlem1.n $e |- ( ph -> N e. NN ) $.
    taylthlem1.b $e |- ( ph -> B e. A ) $.
    taylthlem1.t $e |- T = ( N ( S Tayl F ) B ) $.
    taylthlem1.r $e |- R = ( x e. ( A \ { B } ) |->
      ( ( ( F ` x ) - ( T ` x ) ) / ( ( x - B ) ^ N ) ) ) $.
    taylthlem1.i $e |- ( ( ph /\ ( n e. ( 1 ..^ N ) /\
      0 e. ( ( y e. ( A \ { B } ) |->
        ( ( ( ( ( S Dn F ) ` ( N - n ) ) ` y ) -
            ( ( ( CC Dn T ) ` ( N - n ) ) ` y ) ) /
          ( ( y - B ) ^ n ) ) ) limCC B ) ) ) ->
      0 e. ( ( x e. ( A \ { B } ) |->
        ( ( ( ( ( S Dn F ) ` ( N - ( n + 1 ) ) ) ` x ) -
            ( ( ( CC Dn T ) ` ( N - ( n + 1 ) ) ) ` x ) ) /
          ( ( x - B ) ^ ( n + 1 ) ) ) ) limCC B ) ) $.
    $( Lemma for ~ taylth .  This is the main part of Taylor's theorem, except
       for the induction step, which is supposed to be proven using
       L'H&ocirc;pital's rule.  However, since our proof of L'H&ocirc;pital
       assumes that ` S = RR ` , we can only do this part generically, and for
       ~ taylth itself we must restrict to ` RR ` .  (Contributed by Mario
       Carneiro, 1-Jan-2017.) $)
    taylthlem1 $p |- ( ph -> 0 e. ( R limCC B ) ) $=
      ( vm cc0 csn cdif cv cmin co cdvn cfv cc cexp cdiv cmpt climc c1 cfz wcel
      cn elfz1end sylib wi caddc wceq oveq2 fveq2d fveq1d oveq12d oveq1d eleq2d
      mpteq2dv imbi2d weq fveq2 oveq1 cbvmptv eqtrdi cuz ccnfld ctopn crest cnt
      cdv wbr wa eqid fvmpt syl cn0 nnnn0d nn0uz eleqtrdi eluzfz2b cdm eleqtrrd
      ovex dvntaylp0 oveq2d cr cpr cpm wf cvv wss cnex a1i elpm2r syl22anc dvnf
      syl3anc ffvelrnd subidd 3eqtrd wfun wb funmpt sylancr mpbid cfzo eqsstrrd
      dmmpti eqssd feq2d dvnp1 eqtr3d feqmptd sselda ctayl syl2anc eqtrd taylpf
      ffvelrnda dmeqd dvntaylp feq1d mpbird syldan dvn0 eqtr4di ctopon subcld
      eleqtrrdi funbrfvb nnm1nn0 dvnbss fzo0end elfzofz 3syl dvn2bss nncnd 1cnd
      fssdmd npcand recnprss 3eqtr3rd 1nn0 dvn1 pncan3d eqtr4id 0nn0 cnfldtopon
      sstrd addid2d toponmax mp1i df-ss ssid cmap mapsspm sylibr sselid 3eqtr3d
      cin elmap dvmptres3 ctop cuni resttopon topontop toponuni ntrss2 dvbssntr
      sseqtrd dvmptres2 dvmptsub breqd fmpttd eldv simprd eldifi subid1d eqtr2d
      oveqan12rd sylan2 ssdifssd sseldd adantr mpteq2dva expr expcom a2d fzind2
      exp1d mpcom eleqtrd ) AUBBDEUCZUDZBUEZKKUFUGZGJUHUGZUIZUIZUXGUXHUJHUHUGZU
      IZUIZUFUGZUXGEUFUGZKUKUGZULUGZUMZEUNUGZFEUNUGKUOKUPUGUQZAUBUXTUQZAKURUQZU
      YAPKUSUTAUBBUXFUXGKUAUEZUFUGZUXIUIZUIZUXGUYEUXLUIZUIZUFUGZUXPUYDUKUGZULUG
      ZUMZEUNUGZUQZVAAUBBUXFUXGKUOUFUGZUXIUIZUIZUXGUYPUXLUIZUIZUFUGZUXPUOUKUGZU
      LUGZUMZEUNUGZUQZVAZAUBCUXFCUEZKIUEZUFUGZUXIUIZUIZVUHVUJUXLUIZUIZUFUGZVUHE
      UFUGZVUIUKUGZULUGZUMZEUNUGZUQZVAAUBBUXFUXGKVUIUOVBUGZUFUGZUXIUIZUIZUXGVVC
      UXLUIZUIZUFUGZUXPVVBUKUGZULUGZUMZEUNUGZUQZVAAUYBVAUAIKUOKUYDUOVCZUYOVUFAV
      VNUYNVUEUBVVNUYMVUDEUNVVNBUXFUYLVUCVVNUYJVUAUYKVUBULVVNUYGUYRUYIUYTUFVVNU
      XGUYFUYQVVNUYEUYPUXIUYDUOKUFVDZVEVFVVNUXGUYHUYSVVNUYEUYPUXLVVOVEVFVGUYDUO
      UXPUKVDVGVJVHVIVKUAIVLZUYOVVAAVVPUYNVUTUBVVPUYMVUSEUNVVPUYMBUXFUXGVUKUIZU
      XGVUMUIZUFUGZUXPVUIUKUGZULUGZUMVUSVVPBUXFUYLVWAVVPUYJVVSUYKVVTULVVPUYGVVQ
      UYIVVRUFVVPUXGUYFVUKVVPUYEVUJUXIUYDVUIKUFVDZVEVFVVPUXGUYHVUMVVPUYEVUJUXLV
      WBVEVFVGUYDVUIUXPUKVDVGVJBCUXFVWAVURBCVLZVVSVUOVVTVUQULVWCVVQVULVVRVUNUFU
      XGVUHVUKVMUXGVUHVUMVMVGVWCUXPVUPVUIUKUXGVUHEUFVNVHVGVOVPVHVIVKUYDVVBVCZUY
      OVVMAVWDUYNVVLUBVWDUYMVVKEUNVWDBUXFUYLVVJVWDUYJVVHUYKVVIULVWDUYGVVEUYIVVG
      UFVWDUXGUYFVVDVWDUYEVVCUXIUYDVVBKUFVDZVEVFVWDUXGUYHVVFVWDUYEVVCUXLVWEVEVF
      VGUYDVVBUXPUKVDVGVJVHVIVKUYDKVCZUYOUYBAVWFUYNUXTUBVWFUYMUXSEUNVWFBUXFUYLU
      XRVWFUYJUXOUYKUXQULVWFUYGUXKUYIUXNUFVWFUXGUYFUXJVWFUYEUXHUXIUYDKKUFVDZVEV
      FVWFUXGUYHUXMVWFUYEUXHUXLVWGVEVFVGUYDKUXPUKVDVGVJVHVIVKVUGKUOVQUIUQAUBBUX
      FUXGCDVUHUYQUIZVUHUYSUIZUFUGZUMZUIZEVWKUIZUFUGZUXPULUGZUMZEUNUGZVUEAEDVRV
      SUIZGVTUGZWAUIUIZUQZUBVWQUQZAEUBGVWKWBUGZWCZVXAVXBWDAVXDEUBCDVUHKUXIUIZUI
      ZVUHKUXLUIZUIZUFUGZUMZWCZAEVXJUIZUBVCZVXKAVXLEVXEUIZEVXGUIZUFUGZVXNVXNUFU
      GUBAEDUQZVXLVXPVCQCEVXIVXPDVXJVUHEVCZVXFVXNVXHVXOUFVUHEVXEVMVUHEVXGVMVGVX
      JWEZVXNVXOUFWOWFWGAVXOVXNVXNUFADEGHJKKLMNAKUBVQUIZUQKUBKUPUGZUQAKWHVXTAKP
      WIZWJWKUBKWLUTAEDVXEWMZQOWNZRWPWQAVXNAVYCUJEVXEAGWRUJWSZUQZJUJGWTUGZUQZKW
      HUQVYCUJVXEXAZLAUJXBUQZVYFDUJJXADGXCZVYHVYJAXDXEZLMNUJGDJXBVYEXFXGZVYBGJK
      XHXIZVYDXJXKXLAVXJXMEVXJWMZUQVXMVXKXNCDVXIXOAEDVYOQCDVXIVXJVXFVXHUFWOVXSX
      TUUAEUBVXJUUBXPXQAVXCVXJEUBACVWHVXFVWIVXHGUJUJDLADUJVUHUYQAUYQWMZUJUYQXAZ
      DUJUYQXAZAVYFVYHUYPWHUQZVYQLVYMAUYCVYSPKUUCWGZGJUYPXHXIAVYPDUJUYQAVYPDADU
      JVYPJMAVYFVYHVYSVYPJWMXCLVYMVYTGJUYPUUDXIUUKADVYCVYPOAVYFVYHUYPVYAUQZVYCV
      YPXCLVYMAUYCUYPUBKXRUGUQWUAPKUUEUYPUBKUUFUUGZGJUYPKUUHXIXSYAYBXQZYKZADUJV
      UHVXEAVYIDUJVXEXAZVYNAVYCDUJVXEOYBXQZYKAVXEGUYQWBUGZCDVXFUMGCDVWHUMZWBUGA
      UYPUOVBUGZUXIUIZVXEWUGAWUIKUXIAKUOAKPUUIZAUUJZUULZVEZAGUJXCZVYHVYSWUJWUGV
      CAVYFWUOLGUUMWGZVYMVYTGJUYPYCXIZYDACDUJVXEWUFYEAUYQWUHGWBACDUJUYQWUCYEWQU
      UNAVUHDUQZVUHUJUQZVWIUJUQZADUJVUHADGUJNWUPUVAZYFZAUJUJVUHUYSAUJUJUYSXAUJU
      JUOEGUYQYGUGUGZXAADEGWVCUYQUOLWUCNUOWHUQAUUOXEZAEVYCUOGUYQUHUGUIZWMVYDAWV
      EVXEAWVEWUGVXEAWUOUYQVYGUQZWVEWUGVCWUPAVYJVYFVYRVYKWVFVYLLWUCNUJGDUYQXBVY
      EXFXGGUYQUUPYHAWUJWUGVXEWUQWUNYDZYIYLWNWVCWEYJAUJUJUYSWVCAUYSUYPUJUOUYPVB
      UGZEGJYGUGZUGZUHUGZUIWVCAUYPUXLWVKAHWVJUJUHAHKEWVIUGZWVJRAWVHKEWVIAUOKWUL
      WUKUUQZVHUURWQVFADEGJUYPUOLMNVYTWVDAEVYCWVHUXIUIZWMVYDAWVNVXEAWVHKUXIWVMV
      EYLWNYMYIYNYOZYKZYPZAWURWUSVXHUJUQZWVBAUJUJVUHVXGAUJUJVXGXAUJUJUBEGVXEYGU
      GUGZXAADEGWVSVXEUBLWUFNUBWHUQAUUSXEZAEVYCUBGVXEUHUGUIZWMVYDAWWAVXEAWUOVXE
      VYGUQZWWAVXEVCWUPAVYJVYFWUEVYKWWBVYLLWUFNUJGDVXEXBVYEXFXGGVXEYQYHYLWNWVSW
      EYJAUJUJVXGWVSAKUJUBKVBUGZEWVIUGZUHUGZUIVXGWVSAKWWEUXLAWWDHUJUHAWWDWVLHAW
      WCKEWVIAKWUKUVBZVHRYRWQVFADEGJKUBLMNVYBWVTAEVYCWWCUXIUIZWMVYDAWWGVXEAWWCK
      UXIWWFVEYLWNYMYDYNYOZYKZYPACVWIVXHGVWSVWRUJGDDLAVUHGUQZWUSWUTAGUJVUHWUPYF
      ZWVPYPAWWJWUSWVRWWKWWIYPACVWIVXHGVWRUJUJGVWRWEZLVWRUJYSUIUQZUJVWRUQAVWRWW
      LUUTZUJVWRUVCUVDAWUOGUJUVLGVCWUPGUJUVEUTWVPWWIAUJUYSWBUGZVXGUJCUJVWIUMZWB
      UGCUJVXHUMAWUIUXLUIZWWOVXGAUJUJXCZHUJUJWTUGZUQZVYSWWQWWOVCWWRAUJUVFZXEAUJ
      UJUVGUGZWWSHUJUJUVHAUJUJHXAHWXBUQADEGHJKLMNVYBVYDRYJUJUJHXDXDUVMUVIUVJZVY
      TUJHUYPYCXIAWUIKUXLWUMVEYDAUYSWWPUJWBACUJUJUYSWVOYEWQACUJUJVXGWWHYEUVKUVN
      NVWSWEZWWLAVWTDAVWSUVOUQZDVWSUVPZXCVWTDXCAVWSGYSUIUQZWXEAWWMWUOWXGWWNWUPG
      VWRUJUVQXPZGVWSUVRWGADGWXFNAWXGGWXFVCWXHGVWSUVSWGUWBDVWSWXFWXFWEUVTYHADWU
      GWMZVWTAWXIVYCDAWUGVXEWVGYLOYIADGUYQVWSVWRWUPWUCNWXDWWLUWAXSYAUWCUWDUWEYO
      ABDEUBGVWSVWKVWPVWRWXDWWLVWPWEWUPACDVWJUJAWURWDVWHVWIWUDWVQYTUWFNUWGXQUWH
      AVUDVWPEUNABUXFVUCVWOAUXGUXFUQZWDZVUAVWNVUBUXPULWXJAUXGDUQZVUAVWNVCUXGDUX
      EUWIAWXLWDZVWNVUAUBUFUGVUAWXLAVWLVUAVWMUBUFCUXGVWJVUADVWKCBVLVWHUYRVWIUYT
      UFVUHUXGUYQVMVUHUXGUYSVMVGVWKWEZUYRUYTUFWOWFAVWMEUYQUIZEUYSUIZUFUGZWXOWXO
      UFUGUBAVXQVWMWXQVCQCEVWJWXQDVWKVXRVWHWXOVWIWXPUFVUHEUYQVMVUHEUYSVMVGWXNWX
      OWXPUFWOWFWGAWXPWXOWXOUFADEGHJUYPKLMNWUBVYDRWPWQAWXOADUJEUYQWUCQXJXKXLUWL
      WXMVUAWXMUYRUYTADUJUXGUYQWUCYKAWXLUXGUJUQUYTUJUQADUJUXGWVAYFAUJUJUXGUYSWV
      OYKYPYTUWJUWKUWMWXKUXPWXKUXGEAUXFUJUXGADUJUXEWVAUWNYFAEUJUQWXJADUJEWVAQUW
      OUWPYTUXBVGUWQVHWNXEVUIUOKXRUGUQZAVVAVVMAWXRVVAVVMVAAWXRVVAVVMTUWRUWSUWTU
      XAUXCAUXSFEUNAUXSBUXFUXGJUIZUXGHUIZUFUGZUXQULUGZUMFABUXFUXRWYBAUXOWYAUXQU
      LAUXKWXSUXNWXTUFAUXGUXJJAUXJUBUXIUIZJAUXHUBUXIAKWUKXKZVEAWUOVYHWYCJVCWUPV
      YMGJYQYHYIVFAUXGUXMHAUXMUBUXLUIZHAUXHUBUXLWYDVEAWWRWWTWYEHVCWXAWXCUJHYQXP
      YIVFVGVHVJSYRVHUXD $.
  $}

  ${
    $d m x y A $.  $d k m x y B $.  $d k m x y F $.  $d x y M $.  $d m x y T $.
    $d k m x y N $.  $d k m x y ph $.
    taylth.f $e |- ( ph -> F : A --> RR ) $.
    taylth.a $e |- ( ph -> A C_ RR ) $.
    taylth.d $e |- ( ph -> dom ( ( RR Dn F ) ` N ) = A ) $.
    taylth.n $e |- ( ph -> N e. NN ) $.
    taylth.b $e |- ( ph -> B e. A ) $.
    taylth.t $e |- T = ( N ( RR Tayl F ) B ) $.
    ${
      taylthlem2.m $e |- ( ph -> M e. ( 1 ..^ N ) ) $.
      taylthlem2.i $e |- ( ph -> 0 e. ( ( x e. ( A \ { B } ) |->
        ( ( ( ( ( RR Dn F ) ` ( N - M ) ) ` x ) -
            ( ( ( CC Dn T ) ` ( N - M ) ) ` x ) ) /
          ( ( x - B ) ^ M ) ) ) limCC B ) ) $.
      $( Lemma for ~ taylth .  (Contributed by Mario Carneiro, 1-Jan-2017.) $)
      taylthlem2 $p |- ( ph -> 0 e. ( ( x e. ( A \ { B } ) |->
        ( ( ( ( ( RR Dn F ) ` ( N - ( M + 1 ) ) ) ` x ) -
            ( ( ( CC Dn T ) ` ( N - ( M + 1 ) ) ) ` x ) ) /
          ( ( x - B ) ^ ( M + 1 ) ) ) ) limCC B ) ) $=
        ( co cr cc wcel vy vk cc0 cv c1 caddc cmin cdvn cmpt cexp cdiv climc wa
        cfv cdm wss cn0 cfz syl sselid fznn0sub2 elfznn0 syl3anc cpm reelprrecn
        wf dvnfre a1i cvv cnex ax-resscn sylancl dvnbss fssdmd dvn2bss eqsstrrd
        fss eqssd feq2d mpbid ffvelrnda sselda cres adantl ccnfld nnnn0d sseldd
        wceq simpr adantr ffvelrnd dvnply2 eqeltrrd syldan resubcld fmpttd 1nn0
        cn nn0addcld reexpcld crn retop uniretop sylancr cdv nncnd fveq2d dvnp1
        1cnd eqtr3d dmeqd eqid recnd feqmptd oveq2d 3eqtr3rd plyf sylan2 ctopon
        dvmptres3 dvmptres ovex eqtrdi cmul subcld expcld eqtrd oveq1 mpteq2dva
        dvmptsub ccncf fveq2 oveq12d cnmptlimc oveq1d cima expne0d resmpt ax-mp
        fvmpt cdif fz1ssfz0 cfzo fzofzp1 reex elpm2r syl22anc fvres cply csubrg
        csn cpr crefld cdr resubdrg simpli cle wbr eleqtrrd syl2an3an mp3an2ani
        cdgr cfa faccld nndivred taylply2 simpld plyreres cuz elfzouz eleqtrrdi
        nnuz cioo ctg cnt ctop ntrss2 nppcan2d fzonnsub elfzofz tgioo2 dvbssntr
        ctopn isopn3 mpbird difss dvnf fvexd recn cnfldtopon toponmax cin df-ss
        mp1i sylib ssid cmap mapsspm elmap sylibr dmmpti sseqtrrid addcld prid2
        wb mulcld elfznn ovexd dvmptid 0cnd dvmptc 1m0e1 mpteq2i dvexp mpteq2dv
        pncand dvmptco mulid1d dvntaylp0 subidd ctx ccn subcn dvcn plycn sstrdi
        syl31anc cncfmptid cncfmpt1f cncfmpt2f 0expd wrex ssdifssd wne eldifsni
        subne0d nnzd necomd neneqd nrexdv df-ima eleq2i elrnmpti sylnibr nnne0d
        bitri mulne0d imaeq1d eleq2d bitrdi mtbird eldifi nn0zd divcld nnrecred
        cxp txtopon mp2an toponrestid limcresi oveq1i sseqtri cncfmptc cop ccnp
        eqidd mulcn 0cn opelxpi toponunii cncnpi limccnp2 mul02d fveq1d mulcomd
        sylan9eq divdiv1d divrecd 3eqtr2rd 3eltr3d lhop eleqtrd ) AUCBCDUUKZUUA
        ZBUDZUACUAUDZHGUEUFQZUGQZRFUHQZUNZUNZVWFVWHSEUHQZUNZUNZUGQZUIZUNZVWEUAC
        VWFDUGQZVWGUJQZUIZUNZUKQZUIZDULQBVWDVWEVWJUNZVWEVWMUNZUGQZVWEDUGQZVWGUJ
        QZUKQZUIZDULQABCDUCVWDVWPVWTCJAUACVWORAVWFCTZUMZVWKVWNACRVWFVWJAVWJUOZR
        VWJVFZCRVWJVFZACRFVFZCRUPZVWHUQTZVXNIJAVWHUCHURQZTZVXRAVWGVXSTVXTAUEHUR
        QZVXSVWGHUUBZAGUEHUUCQTZVWGVYATZOUEHGUUDUSZUTVWGHVAUSZVWHHVBUSZCFVWHVGV
        CAVXMCRVWJAVXMCACRVXMFIARRSUULZTZFSRVDQTZVXRVXMFUOZUPVYIAVEVHZASVITZRVI
        TZCSFVFZVXQVYJVYMAVJVHVYNAUUEVHAVXPRSUPZVYOIVKCRSFVQVLZJSRCFVIVIUUFUUGZ
        VYGRFVWHVMVCVNACHVWIUNUOZVXMKAVYIVYJVXTVYSVXMUPVYLVYRVYFRFVWHHVOVCVPVRV
        SVTZWAZAVXKVWFRTZVWNRTACRVWFJWBZAWUBUMZVWFVWMRWCZUNZVWNRWUBWUFVWNWHAVWF
        RVWMUUHWDARRVWFWUEAVWMRUUIUNZTZRRWUEVFARWEUUJUNTZEWUGTZVXRWUHWUIAWUIUUM
        UUNTUUOUUPVHZAWUJEUVBUNHUUQUURACDRREUBFHVYLVYQJAHLWFADCVYSMKUUSZNWUKACR
        DJMWGZAUBUDZVXSTZUMZDWUNVWIUNZUNWUNUVCUNWUPWUQUOZRDWUQAVXPVXQWUOWUNUQTZ
        WURRWUQVFIJWUNHVBZCFWUNVGUUTWUPVYSWURDVYIAVYJWUOWUOVYSWURUPVEVYRAWUOWIR
        FWUNHVOUVAADVYSTWUOWULWJWGWKWUPWUNWUOWUSAWUTWDUVDUVEUVFUVGZVYGREVWHWLVC
        ZVWMUVHUSWAWMZWNZWOWPAUACVWSRVXLVWRVWGVXLVWFDWUCADRTZVXKWUMWJWOVXLGUEAG
        UQTZVXKAGAGUEUVIUNZWRAVYCGWVGTOGUEHUVJUSUVLUVKZWFZWJUEUQTZVXLWQVHWSWTWP
        ACUVMXAUVNUNZTZCWVKUVOUNUNZCWHZAWVMCAWVKUVPTZVXQWVMCUPXBJCWVKRXCUVQXDAC
        RVWJXEQZUOZWVMAHGUGQZVWIUNZUOZWVQCAWVSWVPAVWHUEUFQZVWIUNZWVSWVPAWWAWVRV
        WIAHGUEAHLXFAGWVHXFZAXIZUVRZXGAVYPVYJVXRWWBWVPWHVYPAVKVHZVYRVYGRFVWHXHV
        CXJZXKAWVTCACRWVTFIAVYIVYJWVRUQTZWVTVYKUPVYLVYRAWVRAVYCWVRWRTOGUEHUVSUS
        WFZRFWVRVMVCVNACVYSWVTKAVYIVYJWVRVXSTZVYSWVTUPVYLVYRAGVXSTWWJAVYAVXSGVY
        BAVYCGVYATOGUEHUVTUSUTGHVAUSRFWVRHVOVCVPVRZXJZACRVWJWVKWEUWCUNZWWFAVXOV
        YPCSVWJVFZVYTVKCRSVWJVQVLZJWWMWWMXLZUWAZWWPUWBVPVRAWVOVXQWVLWVNUXEXBJCW
        VKRXCUWDXDUWEZMVWDXLACVWDRVWPXEQZUOZCVWCUWFZAWWTUACVWFWVSUNZVWFWVRVWLUN
        ZUNZUGQZUIZUOCAWWSWXFAUAVWKWXBVWNWXDRSVICVYLVXLVWKWUAXMACSVWFWVSAWVTSWV
        SVFZCSWVSVFAVYIVYJWWHWXGVYLVYRWWIRFWVRUWGVCAWVTCSWVSWWKVSVTZWAAWVSWVPUA
        CWXBUIRUACVWKUIZXEQWWGAUACRWVSAWVTRWVSVFZCRWVSVFAVXPVXQWWHWXJIJWWICFWVR
        VGVCAWVTCRWVSWWKVSVTXNAVWJWXIRXEAUACRVWJVYTXNZXOXPVXLVWNWVDXMVXLVWFWXCU
        WHAUAVWNWXDRWVKWWMSRCVYLWUDVWNWVCXMWUBAVWFSTZWXDSTVWFUWIZASSVWFWXCAWXCW
        UGTZSSWXCVFAWUIWUJWWHWXNWUKWVAWWIREWVRWLVCRWXCXQUSZWAZXRAUAVWNWXDRWWMSS
        RWWPVYLWWMSXSUNTZSWWMTAWWMWWPUWJZSWWMUWKUWNZAVYPRSUWLRWHWWFRSUWMUWOZASS
        VWFVWMAWUHSSVWMVFWVBRVWMXQUSZWAWXPAWXCSVWMXEQZUASWXDUISUASVWNUIZXEQAWWA
        VWLUNZWXCWYBAWWAWVRVWLWWEXGASSUPZESSVDQZTVXRWYDWYBWHWYEASUWPZVHZASSUWQQ
        ZWYFESSUWRASSEVFZEWYITAWUJWYJWVAREXQUSSSEVJVJUWSUWTUTVYGSEVWHXHVCXJAUAS
        SWXCWXOXNAVWMWYCSXEAUASSVWMWYAXNXOXPXTJWWQWWPWWRYAYJZXKUACWXEWXFWXBWXDU
        GYBWXFXLZUXAYCUXBACVWDRVWTXEQZUOZWXAAWYNUACVWGVWRGUJQZYDQZUIZUOCAWYMWYQ
        AUAVWSWYPRWVKWWMSRCVYLWUBAWXLVWSSTZWXMAWXLUMZVWRVWGWYSVWFDAWXLWIZWYSDAW
        VEWXLWUMWJXMZYEZWYSGUEAWVFWXLWVIWJZWVJWYSWQVHWSYFZXRWUBAWXLWYPSTWXMWYSV
        WGWYOWYSGUEAGSTZWXLWWCWJWYSXIZUXCWYSVWRGXUBXUCYFZUXFZXRAUAVWSWYPRWWMSSR
        WWPVYLWXSWXTXUDXUHASUASVWSUIXEQUASWYPUEYDQZUIUASWYPUIAUABVWRUEVWEVWGUJQ
        ZVWGVWEGUJQZYDQZSSVWSWYPSVISSSVYHTARSVJUXDVHZXUMXUBXUFAVWESTZUMZVWEVWGA
        XUNWIAVWGUQTXUNAVWGAVYDVWGWRTZVYEVWGHUXGUSZWFWJYFXUOVWGXUKYDUXHASUASVWR
        UIXEQUASUEUCUGQZUIUASUEUIAUAVWFUEDUCSSSSXUMWYTXUFAUASXUMUXIXUAWYSUXJAUA
        DSXUMADWUMXMZUXKYJUASXURUEUXLUXMYCASBSXUJUIXEQZBSVWGVWEVWGUEUGQZUJQZYDQ
        ZUIZBSXULUIAXUPXUTXVDWHXUQBVWGUXNUSABSXVCXULAXVBXUKVWGYDAXVAGVWEUJAGUEW
        WCWWDUXPXOXOUXOYGVWEVWRVWGUJYHVWEVWRWHXUKWYOVWGYDVWEVWRGUJYHXOUXQAUASXU
        IWYPWYSWYPXUHUXRYIYGXTJWWQWWPWWRYAZXKUACWYPWYQVWGWYOYDYBZWYQXLZUXAYCZUX
        BADVWJUNZDVWMUNZUGQZUCVWPDULQAXVKXVIXVIUGQUCAXVJXVIXVIUGACDREFVWHHVYLVY
        QJVYFWULNUXSXOAXVIACSDVWJWWOMWKUXTYGAUACDSVWOXVKAUAVWKVWNUGWWMCWWPUGWWM
        WWMUYAQZWWMUYBQZTAWWMWWPUYCVHAVWJWXICSYKQZWXKAVYPWWNVXQWVQCWHVWJXVNTWWF
        WWOJWWLCRVWJUYDUYGWMAUAVWFVWMCAWUHVWMSSYKQTWVBRVWMUYEUSACSUPZWYEUACVWFU
        IXVNTACRSJVKUYFZWYGUACSUYHVLUYIUYJMVWFDWHZVWKXVIVWNXVJUGVWFDVWJYLVWFDVW
        MYLYMYNWMADDUGQZVWGUJQZUCVWTDULQAXVSUCVWGUJQUCAXVRUCVWGUJADXUSUXTYOAVWG
        XUQUYKYGAUACDSVWSXVSAVYPCSVWTVFVXQWYNCWHVWTXVNTWWFAUACVWSSAVXKWXLWYRACS
        VWFXVPWBXUDWNWPJXVHCRVWTUYDUYGMXVQVWRXVRVWGUJVWFDDUGYHYOYNWMAUCVWSWHZUA
        VWDUYLZUCVWTVWDYPZTZAXVTUAVWDAVWFVWDTZUMZUCVWSXWEVWSUCXWEVWRVWGXWEVWFDA
        VWDSVWFACSVWCXVPUYMWBZADSTXWDXUSWJZYEZXWEVWFDXWFXWGXWDVWFDUYNAVWFCDUYOW
        DUYPZXWEVWGAXUPXWDXUQWJZUYQYQUYRUYSUYTXWCUCVWTVWDWCZXAZTXWAXWBXWLUCVWTV
        WDVUAVUBUAVWDVWSUCXWKVWDCUPZXWKUAVWDVWSUIWHWXAUACVWDVWSYRYSVWRVWGUJYBVU
        CVUFVUDAUCWYMVWDYPZTZUCWYPWHZUAVWDUYLZAXWPUAVWDXWEUCWYPXWEWYPUCXWEVWGWY
        OXWEGUEAXUEXWDWWCWJXWEXIUXCAXWDWXLWYOSTXWFXUGWNXWEVWGXWJVUEXWEVWRGXWHXW
        IXWEGAGWRTXWDWVHWJUYQYQVUGUYRUYSUYTAXWOUCWYQVWDWCZXAZTXWQAXWNXWSUCAXWNW
        YQVWDYPXWSAWYMWYQVWDXVEVUHWYQVWDVUAYCVUIUAVWDWYPUCXWRXWMXWRUAVWDWYPUIWH
        WXAUACVWDWYPYRYSXVFVUCVUJVUKAUCUEVWGUKQZYDQBVWDVWEWVSUNZVWEWXCUNZUGQZVX
        GGUJQZUKQZXWTYDQZUIZDULQUCBVWDVWEWWSUNZVWEWYMUNZUKQZUIZDULQABVWDDUCXWTX
        XEXWTYDXVLWWMSSAVWEVWDTZUMZXXCXXDXXMXXAXXBXXLAVWECTZXXASTVWECVWCVULZACS
        VWEWVSWXHWAXRAXXLXUNXXBSTXXMVWEAVWDRVWEACRVWCJUYMWBZXMZASSVWEWXCWXOWAWN
        YEZXXMXXDXXMVXGGXXMVWEDXXPAWVEXXLWUMWJZWOAWVFXXLWVIWJZWTXMZXXMVXGGXXMVW
        EDXXQXXMDXXSXMZYEXXMVWEDXXQXYBXXLVWEDUYNAVWECDUYOWDUYPXXMGXXTVUMYQZVUNZ
        AXWTSTZXXLAXWTAVWGXUQVUOZXMZWJWYHWYHWWPXVLSSVUPZWXQWXQXVLXYHXSUNTWXRWXR
        WWMWWMSSVUQVURZVUSPABCXWTUIZDULQZBVWDXWTUIZDULQZXWTXYKXYJVWDWCZDULQXYMD
        VWDXYJVUTXYNXYLDULXWMXYNXYLWHWXABCVWDXWTYRYSVVAVVBABCDRXWTXWTAXWTRTXVOV
        YPXYJCRYKQTXYFXVPWWFBXWTCRVVCVCMVWEDWHXWTVVFYNUTAYDXVMTUCXWTVVDZXYHTZYD
        XYOXVLWWMVVEQUNTWWMWWPVVGAUCSTXYEXYPVVHXYGUCXWTSSVVIXDXYOYDXVLWWMXYHXYH
        XVLXYIVVJVVKXDVVLAXWTXYGVVMAXXGXXKDULABVWDXXFXXJXXMXXJXXCXXDVWGYDQZUKQX
        XEVWGUKQXXFXXMXXHXXCXXIXYQUKAXXLXXHVWEWXFUNZXXCAVWEWWSWXFWYKVVNXXLXXNXY
        RXXCWHXXOUAVWEWXEXXCCWXFVWFVWEWHZWXBXXAWXDXXBUGVWFVWEWVSYLVWFVWEWXCYLYM
        WYLXXAXXBUGYBYTUSVVPXXMXXIVWGXXDYDQZXYQAXXLXXIVWEWYQUNZXYTAVWEWYMWYQXVE
        VVNXXLXXNYUAXYTWHXXOUAVWEWYPXYTCWYQXYSWYOXXDVWGYDXYSVWRVXGGUJVWFVWEDUGY
        HZYOXOXVGVWGXXDYDYBYTUSVVPXXMVWGXXDXXMVWGAXUPXXLXUQWJZXFZXYAVVOYGYMXXMX
        XCXXDVWGXXRXYAYUDXYCXXMVWGYUCVUEZVVQXXMXXEVWGXYDYUDYUEVVRVVSYIYOVVTVWAA
        VXCVXJDULABVWDVXBVXIXXMVWQVXFVXAVXHUKXXMXXNVWQVXFWHXXLXXNAXXOWDZUAVWEVW
        OVXFCVWPXYSVWKVXDVWNVXEUGVWFVWEVWJYLVWFVWEVWMYLYMVWPXLVXDVXEUGYBYTUSXXM
        XXNVXAVXHWHYUFUAVWEVWSVXHCVWTXYSVWRVXGVWGUJYUBYOVWTXLVXGVWGUJYBYTUSYMYI
        YOVWB $.
    $}

    taylth.r $e |- R = ( x e. ( A \ { B } ) |->
      ( ( ( F ` x ) - ( T ` x ) ) / ( ( x - B ) ^ N ) ) ) $.
    $( Taylor's theorem.  The Taylor polynomial of a ` N ` -times
       differentiable function is such that the error term goes to zero faster
       than ` ( x - B ) ^ N ` .  This is Metamath 100 proof #35.  (Contributed
       by Mario Carneiro, 1-Jan-2017.) $)
    taylth $p |- ( ph -> 0 e. ( R limCC B ) ) $=
      ( cr cc co cmin cfv vy vm cpr reelprrecn a1i wf wss ax-resscn fss sylancl
      wcel cv c1 cfzo cc0 csn cdif cdvn cexp cdiv cmpt climc wa adantr cdm wceq
      cn simprl simprr fveq2 oveq12d oveq1 oveq1d cbvmptv taylthlem2 taylthlem1
      oveq1i eleqtrdi ) ABUACDEPFUBGHPPQUCUKAUDUEACPGUFZPQUGCQGUFIUHCPQGUIUJJKL
      MNOAUBULZUMHUNRUKZUOUACDUPUQZUAULZHVTSRZPGURRZTZTZWCWDQFURRTZTZSRZWCDSRZV
      TUSRZUTRZVAZDVBRZUKZVCZVCZBCDFGVTHAVSWQIVDACPUGWQJVDAHWETVECVFWQKVDAHVGUK
      WQLVDADCUKWQMVDNAWAWPVHWRUOWOBWBBULZWFTZWSWHTZSRZWSDSRZVTUSRZUTRZVAZDVBRA
      WAWPVIWNXFDVBUABWBWMXEWCWSVFZWJXBWLXDUTXGWGWTWIXASWCWSWFVJWCWSWHVJVKXGWKX
      CVTUSWCWSDSVLVMVKVNVQVRVOVP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Uniform convergence
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ~~>u $.

  $( Extend class notation to include the uniform convergence predicate. $)
  culm $a class ~~>u $.

  ${
    $d f j k n s x y z S $.
    $( Define the uniform convergence of a sequence of functions.  Here
       ` F ( ~~>u `` S ) G ` if ` F ` is a sequence of functions
       ` F ( n ) , n e. NN ` defined on ` S ` and ` G ` is a function on
       ` S ` , and for every ` 0 < x ` there is a ` j ` such that the functions
       ` F ( k ) ` for ` j <_ k ` are all uniformly within ` x ` of ` G ` on
       the domain ` S ` .  Compare with ~ df-clim .  (Contributed by Mario
       Carneiro, 26-Feb-2015.) $)
    df-ulm $a |- ~~>u = ( s e. _V |-> { <. f , y >. | E. n e. ZZ
      ( f : ( ZZ>= ` n ) --> ( CC ^m s ) /\ y : s --> CC /\ A. x e. RR+
        E. j e. ( ZZ>= ` n ) A. k e. ( ZZ>= ` j ) A. z e. s
        ( abs ` ( ( ( f ` k ) ` z ) - ( y ` z ) ) ) < x ) } ) $.

    $( The uniform limit relation is a relation.  (Contributed by Mario
       Carneiro, 26-Feb-2015.) $)
    ulmrel $p |- Rel ( ~~>u ` S ) $=
      ( vn vs vf vy vz vk vx vj cv cuz cfv cc cmap co wf cmin cabs wral wrex cz
      clt wbr crp w3a cvv culm df-ulm relmptopab ) BJKLZMCJZNODJZPUKMEJZPFJZGJU
      LLLUNUMLQORLHJUBUCFUKSGIJKLSIUJTHUDSUEBUATCDEUFAUGHEFDIGBCUHUI $.
  $}

  $( Closure of the base set in a uniform limit.  (Contributed by Mario
     Carneiro, 26-Feb-2015.) $)
  ulmscl $p |- ( F ( ~~>u ` S ) G -> S e. _V ) $=
    ( culm cfv wbr cop wcel cvv df-br elfvex sylbi ) BCADEZFBCGZMHAIHBCMJNADKL
    $.

  ${
    $d f j k n x y z F $.  $d f j k n x y z G $.  $d f j k n s x y z S $.
    $d f n y V $.
    $( Express the predicate:  The sequence of functions ` F ` converges
       uniformly to ` G ` on ` S ` .  (Contributed by Mario Carneiro,
       26-Feb-2015.) $)
    ulmval $p |- ( S e. V -> ( F ( ~~>u ` S ) G <-> E. n e. ZZ
      ( F : ( ZZ>= ` n ) --> ( CC ^m S ) /\ G : S --> CC /\ A. x e. RR+
        E. j e. ( ZZ>= ` n ) A. k e. ( ZZ>= ` j ) A. z e. S
        ( abs ` ( ( ( F ` k ) ` z ) - ( G ` z ) ) ) < x ) ) ) $=
      ( vf vy wcel cvv wa cfv cv cc wf wral cz vs culm wbr cuz cmap co cmin clt
      cabs wrex crp w3a wi ulmrel brrelex12i a1i 3simpa fvex fex expcom anim12d
      mpan2 syl5 rexlimdvw wb copab df-ulm oveq2 feq3d raleq rexralbidv ralbidv
      wceq feq2 3anbi123d rexbidv opabbidv elex cpm cxp wss simpr1 uzssz elpm2r
      ovex zex mpanl12 sylancl simpr2 simpl elmapg sylancr mpbird jca ssopab2dv
      cnex ex df-xp sseqtrrdi xpex syl fvmptd3 breqd feq1d simpr fveq1d oveq12d
      ssex fveq2d breq1d eqid brabga sylan9bb pm5.21ndd ) CILZGMLZHMLZNZGHCUBOZ
      UCZFPZUDOZQCUEUFZGRZCQHRZBPZEPZGOZOZYFHOZUGUFZUIOZAPZUHUCZBCSZEDPUDOZSDYB
      UJZAUKSZULZFTUJZXTXRUMXOGHXSCUNUOUPXOYSXRFTYSYDYENXOXRYDYEYRUQXOYDXPYEXQY
      DXPUMXOYDYBMLXPYAUDURYBYCMGUSVBUPYEXOXQCQIHUSUTVAVCVDXOXRXTYTVEXOXTGHYBYC
      JPZRZCQKPZRZYFYGUUAOZOZYFUUCOZUGUFZUIOZYMUHUCZBCSZEYPSDYBUJZAUKSZULZFTUJZ
      JKVFZUCXRYTXOXSUUPGHXOUACYBQUAPZUEUFZUUARZUUQQUUCRZUUJBUUQSZEYPSDYBUJZAUK
      SZULZFTUJZJKVFUUPMUBMAKBJDEFUAVGUUQCVMZUVEUUOJKUVFUVDUUNFTUVFUUSUUBUUTUUD
      UVCUUMUVFUURYCUUAYBUUQCQUEVHVIUUQCQUUCVNUVFUVBUULAUKUVFUVAUUKDEYBYPUUJBUU
      QCVJVKVLVOVPVQCIVRXOUUPYCTVSUFZYCVTZWAUUPMLXOUUPUUAUVGLZUUCYCLZNZJKVFUVHX
      OUUOUVKJKXOUUNUVKFTXOUUNUVKXOUUNNZUVIUVJUVLUUBYBTWAZUVIXOUUBUUDUUMWBYAWCY
      CMLTMLUUBUVMNUVIQCUEWEZWFYCTYBUUAMMWDWGWHUVLUVJUUDXOUUBUUDUUMWIUVLQMLXOUV
      JUUDVEWPXOUUNWJQCUUCMIWKWLWMWNWQVDWOJKUVGYCWRWSUUPUVHUVGYCYCTVSWEUVNWTXHX
      AXBXCUUOYTJKGHUUPMMUUAGVMZUUCHVMZNZUUNYSFTUVQUUBYDUUDYEUUMYRUVQYBYCUUAGUV
      OUVPWJZXDUVQCQUUCHUVOUVPXEZXDUVQUULYQAUKUVQUUKYODEYBYPUVQUUJYNBCUVQUUIYLY
      MUHUVQUUHYKUIUVQUUFYIUUGYJUGUVQYFUUEYHUVQYGUUAGUVRXFXFUVQYFUUCHUVSXFXGXIX
      JVLVKVLVOVPUUPXKXLXMWQXN $.
  $}

  ${
    $d j k n x z F $.  $d j k n x z G $.  $d j k n x z S $.
    $( Closure of a uniform limit of functions.  (Contributed by Mario
       Carneiro, 26-Feb-2015.) $)
    ulmcl $p |- ( F ( ~~>u ` S ) G -> G : S --> CC ) $=
      ( vn vz vk vx vj cfv wbr cv cuz cc co wf wral wrex cz cvv syl clt crp w3a
      culm cmap cmin cabs wcel wb ulmscl ulmval ibi simp2 rexlimivw ) BCAUDIJZD
      KLIZMAUENBOZAMCOZEKZFKBIIUSCIUFNUGIGKUAJEAPFHKLIPHUPQGUBPZUCZDRQZURUOVBUO
      ASUHUOVBUIABCUJGEAHFDBCSUKTULVAURDRUQURUTUMUNT $.

    $( Closure of a uniform limit of functions.  (Contributed by Mario
       Carneiro, 26-Feb-2015.) $)
    ulmf $p |- ( F ( ~~>u ` S ) G ->
      E. n e. ZZ F : ( ZZ>= ` n ) --> ( CC ^m S ) ) $=
      ( vz vk vx vj cfv wbr cv cuz cc co wf wral wrex cz cvv syl culm cmap cmin
      cabs clt crp w3a wcel wb ulmscl ulmval ibi simp1 reximi ) CDAUAIJZBKLIZMA
      UBNCOZAMDOZEKZFKCIIUSDIUCNUDIGKUEJEAPFHKLIPHUPQGUFPZUGZBRQZUQBRQUOVBUOASU
      HUOVBUIACDUJGEAHFBCDSUKTULVAUQBRUQURUTUMUNT $.

    $( Closure of a uniform limit of functions.  (Contributed by Mario
       Carneiro, 26-Feb-2015.) $)
    ulmpm $p |- ( F ( ~~>u ` S ) G -> F e. ( ( CC ^m S ) ^pm ZZ ) ) $=
      ( vn culm cfv wbr cv cuz cc cmap co wf cz wrex cpm wcel ulmf wss cvv ovex
      uzssz wa zex elpm2r mpanl12 mpan2 rexlimivw syl ) BCAEFGDHZIFZJAKLZBMZDNO
      BULNPLQZADBCRUMUNDNUMUKNSZUNUJUBULTQNTQUMUOUCUNJAKUAUDULNUKBTTUEUFUGUHUI
      $.

    $( Closure of a uniform limit of functions.  (Contributed by Mario
       Carneiro, 18-Mar-2015.) $)
    ulmf2 $p |- ( ( F Fn Z /\ F ( ~~>u ` S ) G ) -> F : Z --> ( CC ^m S ) ) $=
      ( wfn culm cfv wbr wa cdm cc cmap co wf cz cpm wcel ulmpm wss ovex adantl
      zex elpm2 simplbi syl wceq fndm adantr feq2d mpbid ) BDEZBCAFGHZIZBJZKALM
      ZBNZDUOBNULUPUKULBUOOPMQZUPABCRUQUPUNOSUOOBKALTUBUCUDUEUAUMUNDUOBUKUNDUFU
      LDBUGUHUIUJ $.
  $}

  ${
    $d j k n x z F $.  $d j k n x z G $.  $d j k n x z M $.  $d j k n x z ph $.
    $d j k n x A $.  $d n x B $.  $d j k x z C $.  $d j k n x z S $.  $d n V $.
    $d j n x Z $.
    ulm2.z $e |- Z = ( ZZ>= ` M ) $.
    ulm2.m $e |- ( ph -> M e. ZZ ) $.
    ulm2.f $e |- ( ph -> F : Z --> ( CC ^m S ) ) $.
    ulm2.b $e |- ( ( ph /\ ( k e. Z /\ z e. S ) ) -> ( ( F ` k ) ` z ) = B ) $.
    ulm2.a $e |- ( ( ph /\ z e. S ) -> ( G ` z ) = A ) $.
    ${
      ulm2.g $e |- ( ph -> G : S --> CC ) $.
      ulm2.s $e |- ( ph -> S e. V ) $.
      $( Simplify ~ ulmval when ` F ` and ` G ` are known to be functions.
         (Contributed by Mario Carneiro, 26-Feb-2015.) $)
      ulm2 $p |- ( ph -> ( F ( ~~>u ` S ) G <-> A. x e. RR+ E. j e. Z
        A. k e. ( ZZ>= ` j ) A. z e. S ( abs ` ( B - A ) ) < x ) ) $=
        ( vn culm cfv wbr cv cuz cc cmap co wf cmin cabs clt wral wrex crp wceq
        w3a cz wa wcel ulmval syl 3anan12 cdm fdmd fdm sylan9req eqtr3id adantr
        uz11 mpbid eqcomd fveq2 eqtr4di feq2d biimparc impbida anbi1d biantrurd
        wb sylan simp-4l simpr uzid eleqtrrdi eqeltrd syl12anc sylancom oveq12d
        uztrn2 fveq2d breq1d ralbidva rexbidva ralbidv pm5.32da 3bitr3d rexbidv
        syl5bb rexeqdv ceqsrexv 3bitrd ) AIJFUBUCUDZUAUEZUFUCZUGFUHUIZIUJZFUGJU
        JZCUEZHUEZIUCUCZXJJUCZUKUIZULUCZBUEZUMUDZCFUNZHGUEZUFUCZUNZGXFUOZBUPUNZ
        URZUAUSUOZXEKUQZEDUKUIZULUCZXPUMUDZCFUNZHXTUNZGXFUOZBUPUNZUTZUAUSUOZYKG
        MUOZBUPUNZAFLVAXDYEWATBCFGHUAIJLVBVCAYDYNUAUSYDXIXHYCUTZUTZAYNXHXIYCVDA
        YRYFYCUTYSYNAXHYFYCAXHYFAXHUTZKXEYTKUFUCZXFUQZKXEUQZYTUUAMXFNAXHMIVEXFA
        MXGIPVFXFXGIVGVHVIYTKUSVAZUUBUUCWAAUUDXHOVJKXEVKVCVLVMAMXGIUJZYFXHPYFXH
        UUEYFXFMXGIYFXFUUAMXEKUFVNNVOZVPVQWBVRVSAXIYRSVTAYFYCYMAYFUTZYBYLBUPUUG
        YAYKGXFUUGXSXFVAZUTZXRYJHXTUUIXKXTVAZUTZXQYICFUUKXJFVAZUTZXOYHXPUMUUMXN
        YGULUUMXLEXMDUKUUMAXKMVAZUULXLEUQAYFUUHUUJUULWCZUUKUUNUULUUIXSMVAZUUJUU
        NUUGXEMVAUUHUUPUUGXEKMAYFWDAKMVAYFAKUUAMAUUDKUUAVAOKWEVCNWFVJWGKXSXEMNW
        KWBKXKXSMNWKWBVJUUKUULWDQWHUUKUULAXMDUQUUORWIWJWLWMWNWNWOWPWQWRWTWSAUUD
        YOYQWAOYMYQUAKUSYFYLYPBUPYFYKGXFMUUFXAWPXBVCXC $.
    $}

    ulmi.u $e |- ( ph -> F ( ~~>u ` S ) G ) $.
    ulmi.c $e |- ( ph -> C e. RR+ ) $.
    $( The uniform limit property.  (Contributed by Mario Carneiro,
       27-Feb-2015.) $)
    ulmi $p |- ( ph ->
      E. j e. Z A. k e. ( ZZ>= ` j ) A. z e. S ( abs ` ( B - A ) ) < C ) $=
      ( wral vx cmin co cabs cfv clt wbr cuz wrex wceq breq2 ralbidv rexralbidv
      cv crp culm cvv cc wf ulmcl syl wcel ulmscl ulm2 mpbid rspcdva ) ADCUBUCU
      DUEZUAUNZUFUGZBFTZHGUNUHUEZTGLUIZVGEUFUGZBFTZHVKTGLUIUAUOEVHEUJZVJVNGHLVK
      VOVIVMBFVHEVGUFUKULUMAIJFUPUEUGZVLUAUOTRAUABCDFGHIJKUQLMNOPQAVPFURJUSRFIJ
      UTVAAVPFUQVBRFIJVCVAVDVESVF $.
  $}

  ${
    $d j k x z A $.  $d j k x z F $.  $d j k x z G $.  $d j k x z ph $.
    $d j k x H $.  $d j k x z M $.  $d j k x z S $.  $d j k x Z $.
    ulmclm.z $e |- Z = ( ZZ>= ` M ) $.
    ulmclm.m $e |- ( ph -> M e. ZZ ) $.
    ulmclm.f $e |- ( ph -> F : Z --> ( CC ^m S ) ) $.
    ulmclm.a $e |- ( ph -> A e. S ) $.
    ulmclm.h $e |- ( ph -> H e. W ) $.
    ulmclm.e $e |- ( ( ph /\ k e. Z ) -> ( ( F ` k ) ` A ) = ( H ` k ) ) $.
    ulmclm.u $e |- ( ph -> F ( ~~>u ` S ) G ) $.
    $( A uniform limit of functions converges pointwise.  (Contributed by Mario
       Carneiro, 27-Feb-2015.) $)
    ulmclm $p |- ( ph -> H ~~> ( G ` A ) ) $=
      ( vx vj cfv vz culm wbr cli cv cmin co cabs clt wral cuz wrex crp wcel wi
      wceq fveq2 oveq12d fveq2d breq1d rspcv syl ralimdv reximdv wa eqidd cc wf
      cvv ulmcl ulmscl ulm2 eqcomd ffvelrnd cmap ffvelrnda elmapi adantr clim2c
      3imtr4d mpd ) AEFCUBTUCZGBFTZUDUCZQAUAUEZDUEZETZTZWEFTZUFUGZUHTZRUEZUIUCZ
      UACUJZDSUEUKTZUJZSJULZRUMUJBWGTZWCUFUGZUHTZWLUIUCZDWOUJZSJULZRUMUJWBWDAWQ
      XCRUMAWPXBSJAWNXADWOABCUNZWNXAUONWMXAUABCWEBUPZWKWTWLUIXEWJWSUHXEWHWRWIWC
      UFWEBWGUQWEBFUQURUSUTVAVBVCVDVCARUAWIWHCSDEFHVIJKLMAWFJUNZWECUNZVEVEWHVFA
      XGVEWIVFAWBCVGFVHQCEFVJVBZAWBCVIUNQCEFVKVBVLARWCWRSDGHIJKLOAXFVEZWRWFGTPV
      MACVGBFXHNVNXICVGBWGXIWGVGCVOUGZUNCVGWGVHAJXJWFEMVPWGVGCVQVBAXDXFNVRVNVSV
      TWA $.
  $}

  ${
    $d j k r z F $.  $d j k r z G $.  $d j k r z M $.  $d j k r z ph $.
    $d j k r z N $.  $d j k r z S $.  $d j k r z W $.  $d j k r Z $.
    ulmres.z $e |- Z = ( ZZ>= ` M ) $.
    ulmres.w $e |- W = ( ZZ>= ` N ) $.
    ulmres.m $e |- ( ph -> N e. Z ) $.
    ulmres.f $e |- ( ph -> F : Z --> ( CC ^m S ) ) $.
    $( A sequence of functions converges iff the tail of the sequence converges
       (for any finite cutoff).  (Contributed by Mario Carneiro,
       24-Mar-2015.) $)
    ulmres $p |- ( ph ->
      ( F ( ~~>u ` S ) G <-> ( F |` W ) ( ~~>u ` S ) G ) ) $=
      ( vz vk vr vj wcel wa cfv syl cvv cc wf culm wbr cres wi ulmscl ulmcl jca
      a1i wb cv cmin co cabs clt wral cuz crp cz eleqtrdi adantr eluzel2 rexuz3
      wrex eluzelz bitr4d ralbidv cmap eqidd simprr simprl ulm2 3sstr4g fssresd
      wss uzss wceq fvres ad2antrl fveq1d 3bitr4d ex pm5.21ndd ) ABUAQZBUBDUCZR
      ZCDBUDSZUEZCGUFZDWIUEZWJWHUGAWJWFWGBCDUHBCDUIUJUKWLWHUGAWLWFWGBWKDUHBWKDU
      IUJUKAWHWJWLULAWHRZMUMZNUMZCSZSZWNDSZUNUOUPSOUMUQUEMBURZNPUMUSSURZPHVFZOU
      TURWTPGVFZOUTURWJWLWMXAXBOUTWMXAWTPVAVFZXBWMEVAQZXAXCULWMFEUSSZQZXDAXFWHA
      FHXEKIVBVCZEFVDTZWSPNEHIVETWMFVAQZXBXCULWMXFXIXGEFVGTZWSPNFGJVETVHVIWMOMW
      RWQBPNCDEUAHIXHAHUBBVJUOZCUCWHLVCZWMWOHQWNBQZRRWQVKWMXMRWRVKZAWFWGVLZAWFW
      GVMZVNWMOMWRWQBPNWKDFUAGJXJWMHXKGCXLWMFUSSZXEGHWMXFXQXEVQXGEFVRTJIVOVPWMW
      OGQZXMRRWNWOWKSZWPXRXSWPVSWMXMWOGCVTWAWBXNXOXPVNWCWDWE $.
  $}

  ${
    $d i j k m x z G $.  $d i j k m n x z ph $.  $d i j n x W $.  $d i k m Z $.
    $d i j k m n x z F $.  $d i j k m n x z K $.  $d i j k m n x z S $.
    $d j k m x z H $.  $d i j k m x z M $.
    ulmshft.z $e |- Z = ( ZZ>= ` M ) $.
    ulmshft.w $e |- W = ( ZZ>= ` ( M + K ) ) $.
    ulmshft.m $e |- ( ph -> M e. ZZ ) $.
    ulmshft.k $e |- ( ph -> K e. ZZ ) $.
    ulmshft.f $e |- ( ph -> F : Z --> ( CC ^m S ) ) $.
    ulmshft.h $e |- ( ph -> H = ( n e. W |-> ( F ` ( n - K ) ) ) ) $.
    $( Lemma for ~ ulmshft .  (Contributed by Mario Carneiro, 24-Mar-2015.) $)
    ulmshftlem $p |- ( ph -> ( F ( ~~>u ` S ) G -> H ( ~~>u ` S ) G ) ) $=
      ( cfv wa cv wcel vz vk vx vj vm vi culm wbr cmin co cabs clt wral cuz crp
      wrex cz ad2antrr cc cmap eqidd simplr simpr ulmi caddc eleqtrdi ad3antrrr
      wf eluzadd syl2anc eleqtrrdi wi eluzelz adantr eluzsub syl3anc wceq fveq2
      syl fveq1d breq1d ralbidv rspcv ralrimdva raleqdv rspcev syl6an rexlimdva
      fvoveq1d mpd ralrimiva cvv zaddcld ffvelrnd fmpt3d cmpt fvoveq1 eqid fvex
      fvmpt ad2antrl eqtrd ulmcl adantl ulmscl ulm2 mpbird ex ) ADEBUGQZUHZFEXI
      UHZAXJRZXKUASZUBSZGUIUJZDQZQZXMEQZUIUJUKQZUCSZULUHZUABUMZUBUDSZUNQZUMZUDI
      UPZUCUOUMXLYFUCUOXLXTUOTZRZXMUESZDQZQZXRUIUJUKQZXTULUHZUABUMZUEUFSZUNQZUM
      ZUFJUPYFYHUAXRYKXTBUFUEDEHJKAHUQTZXJYGMURAJUSBUTUJZDVHZXJYGOURYHYIJTXMBTZ
      RRYKVAYHUUARXRVAAXJYGVBXLYGVCVDYHYQYFUFJYHYOJTZRZYOGVEUJZITYQYBUBUUDUNQZU
      MZYFUUCUUDHGVEUJZUNQZIUUCYOHUNQZTZGUQTZUUDUUHTUUCYOJUUIYHUUBVCKVFZAUUKXJY
      GUUBNVGGHYOVIVJLVKUUCYQYBUBUUEUUCXNUUETZRZXOYPTZYQYBVLUUNYOUQTZUUKUUMUUOU
      UCUUPUUMUUCUUJUUPUULHYOVMVSVNXLUUKYGUUBUUMAUUKXJNVNVGUUCUUMVCGYOXNVOVPYNY
      BUEXOYPYIXOVQZYMYAUABUUQYLXSXTULUUQYKXQXRUKUIUUQXMYJXPYIXODVRVTWIWAWBWCVS
      WDYEUUFUDUUDIYCUUDVQYBUBYDUUEYCUUDUNVRWEWFWGWHWJWKXLUCUAXRXQBUDUBFEUUGWLI
      LAUUGUQTXJAHGMNWMVNAIYSFVHXJACICSZGUIUJZDQZYSFPAUURITZRZJYSUUSDAYTUVAOVNU
      VBUUSUUIJUVBYRUUKUURUUHTUUSUUITAYRUVAMVNAUUKUVANVNUVBUURIUUHAUVAVCLVFGHUU
      RVOVPKVKWNWOVNXLXNITZUUARZRZXMXNFQZXPUVEUVFXNCIUUTWPZQZXPUVEXNFUVGAFUVGVQ
      XJUVDPURVTUVCUVHXPVQXLUUACXNUUTXPIUVGUURXNGDUIWQUVGWRXODWSWTXAXBVTXLUUARX
      RVAXJBUSEVHABDEXCXDXJBWLTABDEXEXDXFXGXH $.

    $( A sequence of functions converges iff the shifted sequence converges.
       (Contributed by Mario Carneiro, 24-Mar-2015.) $)
    ulmshft $p |- ( ph -> ( F ( ~~>u ` S ) G <-> H ( ~~>u ` S ) G ) ) $=
      ( vm cfv co wcel culm wbr ulmshftlem cneg caddc eqid zaddcld znegcld cmin
      cv cc cmap wa wf adantr simpr eleqtrdi eluzsub syl3anc eleqtrrdi ffvelrnd
      cuz cz fmpt3d cmpt eluzelz syl zcnd subnegd fveq2d fveq1d eluzadd syl2anc
      wceq fvoveq1 fvex fvmpt pncand 3eqtrd mpteq2dva cc0 addassd negidd oveq2d
      eqtrd addid1d eqtr4di mpteq1d feqmptd 3eqtr4rd impbid ) ADEBUARZUBFEWLUBA
      BCDEFGHIJKLMNOPUCABQFEDGUDZHGUESZWNWMUESZVBRZILWPUFAHGMNUGAGNUHZACICUJZGU
      ISZDRZUKBULSZFPAWRITZUMZJXAWSDAJXADUNXBOUOXCWSHVBRZJXCHVCTZGVCTZWRWNVBRZT
      WSXDTAXEXBMUOAXFXBNUOXCWRIXGAXBUPLUQGHWRURUSKUTVAVDAQJQUJZWMUISZFRZVEQJXH
      DRZVEQWPXJVEDAQJXJXKAXHJTZUMZXJXHGUESZFRXNCIWTVEZRZXKXMXIXNFXMXHGXMXHXMXH
      XDTZXHVCTXMXHJXDAXLUPKUQZHXHVFVGVHZAGUKTXLAGNVHZUOZVIVJXMXNFXOAFXOVNXLPUO
      VKXMXPXNGUISZDRZXKXMXNITXPYCVNXMXNXGIXMXQXFXNXGTXRAXFXLNUOGHXHVLVMLUTCXNW
      TYCIXOWRXNGDUIVOXOUFYBDVPVQVGXMYBXHDXMXHGXSYAVRVJWEVSVTAQWPJXJAWPXDJAWOHV
      BAWOHGWMUESZUESHWAUESHAHGWMAHMVHZXTAWMWQVHWBAYDWAHUEAGXTWCWDAHYEWFVSVJKWG
      WHAQJXADOWIWJUCWK $.
  $}

  ${
    $d j k x z F $.  $d j k x z G $.  $d j k x z M $.  $d j k x z ph $.
    $d j k x z S $.  $d j x Z $.
    ulm0.z $e |- Z = ( ZZ>= ` M ) $.
    ulm0.m $e |- ( ph -> M e. ZZ ) $.
    ulm0.f $e |- ( ph -> F : Z --> ( CC ^m S ) ) $.
    ulm0.g $e |- ( ph -> G : S --> CC ) $.
    $( Every function converges uniformly on the empty set.  (Contributed by
       Mario Carneiro, 3-Mar-2015.) $)
    ulm0 $p |- ( ( ph /\ S = (/) ) -> F ( ~~>u ` S ) G ) $=
      ( vz vk vx vj c0 wa cfv cv wral wcel wceq culm wbr cmin cabs clt cuz wrex
      co crp wne cz uzid syl eleqtrrdi ne0d ral0 simpr raleqdv mpbiri ralrimivw
      r19.2z syl2an2r cvv adantr cc cmap wf eqidd 0ex eqeltrdi ulm2 mpbird ) AB
      OUAZPZCDBUBQUCKRZLRZCQQZVPDQZUDUIUEQMRUFUCZKBSZLNRUGQZSZNFUHZMUJSVOWDMUJA
      FOUKVNWCNFSWDAFEAEEUGQZFAEULTZEWETHEUMUNGUOUPVOWCNFVOWALWBVOWAVTKOSVTKUQV
      OVTKBOAVNURZUSUTVAVAWCNFVBVCVAVOMKVSVRBNLCDEVDFGAWFVNHVEAFVFBVGUICVHVNIVE
      VOVQFTVPBTZPPVRVIVOWHPVSVIABVFDVHVNJVEVOBOVDWGVJVKVLVM $.
  $}

  ${
    $d i k n x F $.  $d k n x G $.  $d k n x H $.  $d k n x y z S $.
    $( A sequence of functions uniformly converges to at most one limit.
       (Contributed by Mario Carneiro, 5-Jul-2017.) $)
    ulmuni $p |- ( ( F ( ~~>u ` S ) G /\ F ( ~~>u ` S ) H ) -> G = H ) $=
      ( vx vn vi vk cfv wbr wa cc wf ulmcl ffnd cv wcel wceq cz cvv culm adantr
      adantl cuz cmap co cmpt eqid simplr simpr simpllr fvex mptex fveq2 fveq1d
      cli a1i fvmpt eqcomd simp-4l ulmclm simp-4r climuni syl2anc wrex ad2antrr
      ulmf r19.29a eqfnfvd ) BCAUAIZJZBDVJJZKZEACDVMALCVKALCMVLABCNUBOVMALDVLAL
      DMVKABDNUCOVMEPZAQZKZFPZUDIZLAUEUFBMZVNCIZVNDIZRZFSVPVQSQZKZVSKZGVRVNGPZB
      IZIZUGZVTUPJWIWAUPJWBWEVNAHBCWIVQTVRVRUHZVPWCVSUIZWDVSUJZVMVOWCVSUKZWITQW
      EGVRWHVQUDULUMUQZHPZVRQZVNWOBIZIZWOWIIZRWEWPWSWRGWOWHWRVRWIWFWORVNWGWQWFW
      OBUNUOWIUHVNWQULURUSUCZVKVLVOWCVSUTVAWEVNAHBDWIVQTVRWJWKWLWMWNWTVKVLVOWCV
      SVBVAVTWAWIVCVDVKVSFSVEVLVOAFBCVGVFVHVI $.

    $( Two ways to express that a function has a limit.  (The expression
       ` ( ( ~~>u `` S ) `` F ) ` is sometimes useful as a shorthand for "the
       unique limit of the function ` F ` ").  (Contributed by Mario Carneiro,
       5-Jul-2017.) $)
    ulmdm $p |- ( F e. dom ( ~~>u ` S ) <->
      F ( ~~>u ` S ) ( ( ~~>u ` S ) ` F ) ) $=
      ( vx vy vz culm cfv wfun cdm wcel wbr wb wrel cv wa weq wal ulmrel ulmuni
      wi ax-gen gen2 dffun2 mpbir2an funfvbrb ax-mp ) AFGZHZBUGIJBBUGGUGKLUHUGM
      CNZDNZUGKUIENZUGKODEPTZEQZDQCQARUMCDULEAUIUJUKSUAUBCDEUGUCUDBUGUEUF $.
  $}

  ${
    $d g j k m n p q r v w x y z F $.  $d g j k m n p q r v w x y z ph $.
    $d g j k m n p q r v w x y z S $.  $d g j k m n p q r v w x y z Z $.
    $d j k p q r w z M $.
    ulmcau.z $e |- Z = ( ZZ>= ` M ) $.
    ulmcau.m $e |- ( ph -> M e. ZZ ) $.
    ulmcau.s $e |- ( ph -> S e. V ) $.
    ulmcau.f $e |- ( ph -> F : Z --> ( CC ^m S ) ) $.
    $( Lemma for ~ ulmcau and ~ ulmcau2 : show the equivalence of the four- and
       five-quantifier forms of the Cauchy convergence condition.  Compare
       ~ cau3 .  (Contributed by Mario Carneiro, 1-Mar-2015.) $)
    ulmcaulem $p |- ( ph -> ( A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j )
      A. z e. S ( abs ` ( ( ( F ` k ) ` z ) - ( ( F ` j ) ` z ) ) ) < x <->
      A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j ) A. m e. ( ZZ>= ` k )
      A. z e. S ( abs ` ( ( ( F ` k ) ` z ) - ( ( F ` m ) ` z ) ) ) < x ) ) $=
      ( cfv clt wral wcel cc vw cv cmin co cabs wbr cuz wrex wceq breq2 ralbidv
      crp rexralbidv cbvralvw wa c2 cdiv rphalfcl rspcv syl adantl fveq2 fveq1d
      wi fvoveq1d breq1d biimpi uzss ad2antlr ssralv r19.26 wf adantr ad3antrrr
      wss cmap uztrn2 adantll ffvelrnd elmapi ffvelrnda ad2antrr abssubd biimpd
      sylan cr ffvelrn syl2an anassrs abs3lem syl22anc sylan2d ralimdva syl5bir
      rpre expdimp an32s syld impancom ex com23 mpdi reximdva ralrimdva eluzelz
      syl5bi eleq2s uzid raleqbidv oveq2d fveq2d ralbidva syl5bb sylibd ralimdv
      cz impbid ) ACUBZFUBZHPZPZXREUBZHPZPZUCUDUEPZBUBZQUFZCDRZFYBUGPZRZEKUHZBU
      LRZYAXRGUBZHPZPZUCUDUEPZYFQUFZCDRZGXSUGPZRZFYIRZEKUHZBULRZYLYEUAUBZQUFZCD
      RZFYIREKUHZUAULRZAUUCYKUUGBUAULYFUUDUIZYHUUFEFKYIUUIYGUUECDYFUUDYEQUJUKUM
      UNAUUHUUBBULAYFULSZUOZUUHYEYFUPUQUDZQUFZCDRZFYIRZEKUHZUUBUUJUUHUUPVDZAUUJ
      UULULSUUQYFURUUGUUPUAUULULUUDUULUIZUUFUUNEFKYIUURUUEUUMCDUUDUULYEQUJUKUMU
      SUTVAUUKUUOUUAEKUUKYBKSZUOZUUOYOYDUCUDUEPZUULQUFZCDRZGYIRZUUAUUOUVDUUNUVC
      FGYIXSYMUIZUUMUVBCDUVEYEUVAUULQUVEYAYOYDUEUCUVEXRXTYNXSYMHVBVCVEVFUKUNVGU
      UTUVDUUOUUAUUTUVDUUOUUAVDUUTUVDUOUUNYTFYIUUTXSYISZUVDUUNYTVDUUTUVFUOZUUNU
      VDYTUVGUUNUOZUVDUVCGYSRZYTUVHYSYIVOZUVDUVIVDUVFUVJUUTUUNYBXSVHVIUVCGYSYIV
      JUTUVHUVCYRGYSUVGYMYSSZUUNUVCYRVDUVGUVKUOZUUNUVCYRUUNUVCUOUUMUVBUOZCDRUVL
      YRUUMUVBCDVKUVLUVMYQCDUVLXRDSZUOZUVBYDYOUCUDZUEPZUULQUFZUUMYQUVOUVBUVRUVO
      UVAUVQUULQUVOYOYDUVLDTXRYNUVLYNTDVPUDZSDTYNVLUVLKUVSYMHUUKKUVSHVLZUUSUVFU
      VKAUVTUUJOVMZVNUVGXSKSZUVKYMKSUUSUVFUWBUUKIXSYBKLVQZVRIYMXSKLVQWEVSYNTDVT
      UTWAZUVLDTXRYCUVLYCUVSSZDTYCVLZUUTUWEUVFUVKUUKKUVSYBHUWAWAWBYCTDVTZUTWAZW
      CVFWDUVOYATSYOTSYDTSYFWFSZUUMUVRUOYQVDUVLDTXRXTUVLXTUVSSZDTXTVLZUVGUWJUVK
      UUKUUSUVFUWJUUKUVTUWBUWJUUSUVFUOZUWAUWCKUVSXSHWGZWHWIVMXTTDVTZUTWAUWDUWHU
      UTUWIUVFUVKUVNUUJUWIAUUSYFWOVIVNYAYOYDYFWJWKWLWMWNWPWQWMWRWSWQWMWTXAXBXCW
      RXDXFAUUBYKBULAUUAYJEKAUUSUOZUUAUVQYFQUFZCDRZGYIRZYJUWOYBYISZUUAUWRVDUUSU
      WSAUUSYBXPSZUWSUWTYBIUGPKIYBXELXGYBXHUTVAYTUWRFYBYIXSYBUIZYRUWQGYSYIXSYBU
      GVBUXAYQUWPCDUXAYPUVQYFQUXAYAYDYOUEUCUXAXRXTYCXSYBHVBVCVEVFUKXIUSUTUWRYDY
      AUCUDZUEPZYFQUFZCDRZFYIRUWOYJUWQUXEGFYIYMXSUIZUWPUXDCDUXFUVQUXCYFQUXFUVPU
      XBUEUXFYOYAYDUCUXFXRYNXTYMXSHVBVCXJXKVFUKUNUWOUXEYHFYIUWOUVFUOZUXDYGCDUXG
      UVNUOZUXCYEYFQUXHYDYAUXGDTXRYCUXGUWEUWFUWOUWEUVFAKUVSYBHOWAVMUWGUTWAUXGDT
      XRXTUXGUWJUWKAUUSUVFUWJAUVTUWBUWJUWLOUWCUWMWHWIUWNUTWAWCVFXLXLXMXNXCXOXQ
      $.

    $( A sequence of functions converges uniformly iff it is uniformly Cauchy,
       which is to say that for every ` 0 < x ` there is a ` j ` such that for
       all ` j <_ k ` the functions ` F ( k ) ` and ` F ( j ) ` are uniformly
       within ` x ` of each other on ` S ` .  This is the four-quantifier
       version, see ~ ulmcau2 for the more conventional five-quantifier
       version.  (Contributed by Mario Carneiro, 1-Mar-2015.) $)
    ulmcau $p |- ( ph -> ( F e. dom ( ~~>u ` S ) <->
      A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j ) A. z e. S
        ( abs ` ( ( ( F ` k ) ` z ) - ( ( F ` j ) ` z ) ) ) < x ) ) $=
      ( cfv wcel clt wral wa cc vg vy vn vw vq vr vp vm vv culm cv cmin co cabs
      cdm wbr cuz wrex crp wex eldmg c2 cdiv cz ad2antrr cmap wf eqidd rphalfcl
      ibi simplr adantl ulmi wi simpr eleqtrdi eluzelz uzid weq fveq1d fvoveq1d
      fveq2 breq1d rspcv 4syl r19.26 ffvelrnda adantr elmapi syl ulmcl ad4antlr
      ralbidv abssubd biimpd uztrn2 ffvelrn syl2an anassrs rpre abs3lem sylan2d
      cr syl22anc ancomsd ralimdva syl5bir expdimp an32s ex com23 mpdd reximdva
      mpd ralrimiva exlimdv syl5 cmpt cli breq2 rexbidv oveq12d fveq2d cbvralvw
      wceq syl5bb raleqbidv cbvrexvw rspccva eqid sylan fvex cvv fmpttd ralimdv
      fvmpt climdm sylib climcl ffvelrnd wrel ulmrel ulmcaulem 2ralbidv raleqdv
      biimpa ralcom bitr4di eleq2s ad2antlr reximdv impcom adantll oveq2d bitri
      ralbidva rexbiia sylibr fvexi mptex caucvg mpteq2dv eleq1d climi2 r19.2uz
      a1i r19.29uz ad5antr rexlimdva mpan2d sylan2 ulm2 mpbird releldm sylancr
      impbid ) AGDUJOZUOZPZCUKZFUKZGOZOZUVTEUKZGOZOZULUMZUNOZBUKZQUPZCDRZFUWDUQ
      OZRZEJURZBUSRZUVSGUAUKZUVQUPZUAUTZAUWOUVSUWRUAGUVQUVRVAVJAUWQUWOUAAUWQUWO
      AUWQSZUWNBUSUWSUWIUSPZSZUWCUVTUWPOZULUMUNOZUWIVBVCUMZQUPZCDRZFUWLRZEJURUW
      NUXACUXBUWCUXDDEFGUWPHJKAHVDPZUWQUWTLVEAJTDVFUMZGVGZUWQUWTNVEZUXAUWAJPZUV
      TDPZSSUWCVHUXAUXMSUXBVHAUWQUWTVKUWTUXDUSPUWSUWIVIVLVMUXAUXGUWMEJUXAUWDJPZ
      SZUXGUWFUXBULUMUNOZUXDQUPZCDRZUWMUXOUWDHUQOZPUWDVDPUWDUWLPUXGUXRVNUXOUWDJ
      UXSUXAUXNVOKVPHUWDVQUWDVRUXFUXRFUWDUWLFEVSZUXEUXQCDUXTUXCUXPUXDQUXTUWCUWF
      UXBUNULUXTUVTUWBUWEUWAUWDGWBVTWAWCWMWDWEUXOUXRUXGUWMUXOUXRUXGUWMVNUXOUXRS
      UXFUWKFUWLUXOUWAUWLPZUXRUXFUWKVNUXOUYASZUXRUXFUWKUXRUXFSUXQUXESZCDRUYBUWK
      UXQUXECDWFUYBUYCUWJCDUYBUXMSZUXEUXQUWJUYDUXQUXBUWFULUMUNOZUXDQUPZUXEUWJUY
      DUXQUYFUYDUXPUYEUXDQUYDUWFUXBUYBDTUVTUWEUYBUWEUXIPZDTUWEVGUXOUYGUYAUXAJUX
      IUWDGUXKWGWHUWETDWIWJWGZUYBDTUVTUWPUWQDTUWPVGAUWTUXNUYADGUWPWKWLWGZWNWCWO
      UYDUWCTPUWFTPUXBTPUWIXCPZUXEUYFSUWJVNUYBDTUVTUWBUYBUWBUXIPZDTUWBVGUXAUXNU
      YAUYKUXAUXJUXLUYKUXNUYASZUXKHUWAUWDJKWPZJUXIUWAGWQWRWSUWBTDWIWJWGUYHUYIUW
      TUYJUWSUXNUYAUXMUWIWTWLUWCUWFUXBUWIXAXDXBXEXFXGXHXIXFXJXKXLXMXNXOXJXPXQAU
      WOUVSAUWOSZUVQUUAGUBDUCJUBUKZUCUKZGOZOZXRZXSOZXRZUVQUPZUVSDUUBUYNVUBUDUKZ
      UEUKZGOZOZUCJVUCUYQOZXRZXSOZULUMUNOUFUKZQUPZUDDRZUEUGUKZUQOZRZUGJURZUFUSR
      UYNVUPUFUSUYNVUJUSPZSZVUFVUCUHUKZGOZOZULUMZUNOZVUJVBVCUMZQUPZUHVUDUQOZRZU
      DDRZUEVUNRZUGJURZVUPUYNUWCUVTVUTOZULUMUNOZUWIQUPZCDRZUHUWAUQOZRFUWLRZEJUR
      ZBUSRZVVDUSPZVVJVUQAUWOVVRABCDEFUHGHIJKLMNUUCUUFVUJVIZVVQVVJBVVDUSUWIVVDY
      EZVVQVVLVVDQUPZCDRZUHVVORZFUWLRZEJURVVJVWAVVPVWEEJVWAVVNVWCFUHUWLVVOVWAVV
      MVWBCDUWIVVDVVLQXTWMUUDYAVVIVWEUGEJVVIVWDFVUNRUGEVSZVWEVVHVWDUEFVUNVVHVVE
      UDDRZUHVVFRUEFVSZVWDVVEUDUHDVVFUUGVWHVWGVWCUHVVFVVOVUDUWAUQWBVWGUVTVUEOZV
      VKULUMZUNOZVVDQUPZCDRVWHVWCVVEVWLUDCDUDCVSZVVCVWKVVDQVWMVVBVWJUNVWMVUFVWI
      VVAVVKULVUCUVTVUEWBVUCUVTVUTWBYBYCWCYDVWHVWLVWBCDVWHVWKVVLVVDQVWHVWIUWCVV
      KUNULVWHUVTVUEUWBVUDUWAGWBVTWAWCWMYFYGYFYDVWFVWDFVUNUWLVUMUWDUQWBZUUEYFYH
      UUHYIWRVURVVIVUOUGJVURVUMJPZSVVHVULUEVUNVURVWOVUDVUNPZVVHVULVNZVWOVWPSVUR
      VUDJPZVWQHVUDVUMJKWPVURVWRSZVVGVUKUDDVWSVUCDPZSZVVGVVAVUIULUMUNOVVDQUPZUH
      UIUKUQOZRUIVVFURZVUKVXAVUIVVAVVDUIUHVUHVUDVVFVVFYJZVWRVUDVDPZVURVWTVXFVUD
      UXSJHVUDVQKUUIUUJVURVVSVWRVWTVUQVVSUYNVVTVLVEVXAVUSVVFPZSZVUSJPZVUSVUHOVV
      AYEVXAVWRVXGVXIVURVWRVWTVKHVUSVUDJKWPYKZUCVUSVUGVVAJVUHUCUHVSVUCUYQVUTUYP
      VUSGWBVTVUHYJVUCVUTYLYPWJVXAVUHXSUOZPZVUHVUIXSUPZVWSUYSVXKPZUBDRZVWTVXLUY
      NVXOVUQVWRUYNVXNUBDUYNUYODPZSZUFUGUEUYSHYMJKVXQJTVUDUYSVXQUCJUYRTUYNUYPJP
      ZVXPUYRTPUYNVXRSZDTUYOUYQVXSUYQUXIPDTUYQVGUYNJUXIUYPGAUXJUWONWHZWGUYQTDWI
      WJWGXIYNWGVXQUYOUWBOZUYOUWEOZULUMZUNOZUWIQUPZFUWLRZEJURZBUSRZVUDUYSOZVUMU
      YSOZULUMUNOZVUJQUPZUEVUNRZUGJURZUFUSRUWOVXPVYHAVXPUWOVYHVXPUWNVYGBUSVXPUW
      MVYFEJVXPUWKVYEFUWLUWJVYECUYODCUBVSZUWHVYDUWIQVYOUWGVYCUNVYOUWCVYAUWFVYBU
      LUVTUYOUWBWBUVTUYOUWEWBYBYCWCWDYOUUKYOUULUUMVYNVYGUFBUSVYNVYDVUJQUPZFUWLR
      ZEJURZUFBVSZVYGVYNUWAUYSOZUWDUYSOZULUMZUNOZVUJQUPZFUWLRZEJURVYRVYMWUEUGEJ
      VYMVYTVYJULUMZUNOZVUJQUPZFVUNRVWFWUEVYLWUHUEFVUNVWHVYKWUGVUJQVWHVYIVYTVYJ
      UNULVUDUWAUYSWBWAWCYDVWFWUHWUDFVUNUWLVWNVWFWUGWUCVUJQVWFWUFWUBUNVWFVYJWUA
      VYTULVUMUWDUYSWBUUNYCWCYGYFYHWUEVYQEJUXNWUDVYPFUWLUYLWUCVYDVUJQUYLWUBVYCU
      NUYLVYTVYAWUAVYBULUYLUXLVYTVYAYEUYMUCUWAUYRVYAJUYSUCFVSUYOUYQUWBUYPUWAGWB
      VTUYSYJZUYOUWBYLYPWJUXNWUAVYBYEUYAUCUWDUYRVYBJUYSUCEVSUYOUYQUWEUYPUWDGWBV
      TWUIUYOUWEYLYPWHYBYCWCUUPUUQUUOVYSVYQVYFEJVYSVYPVYEFUWLVUJUWIVYDQXTWMYAYF
      YDUURUYSYMPVXQUCJUYRJHUQKUUSUUTUVFUVAZXOVEVXNVXLUBVUCDUBUDVSZUYSVUHVXKWUK
      UCJUYRVUGUYOVUCUYQWBUVBZUVCYIYKVUHYQYRZUVDVVGVXDSZVVEVXBSZUHVVFURZVXAVUKW
      UNWUOUHVXCRUIVVFURWUPVVEVXBUIUHVUDVVFVXEUVGWUOUIUHVUDVVFVXEUVEWJVXAWUOVUK
      UHVVFVXHVUFTPZVUITPZVVATPVUJXCPZWUOVUKVNVXAWUQVXGVWSDTVUCVUEVWSVUEUXIPDTV
      UEVGVURJUXIVUDGAUXJUWOVUQNVEWGVUETDWIWJWGWHVXAWURVXGVXAVXMWURWUMVUIVUHYSW
      JWHVXHDTVUCVUTVXHVUTUXIPDTVUTVGVXHJUXIVUSGAUXJUWOVUQVWRVWTVXGNUVHVXJYTVUT
      TDWIWJVWSVWTVXGVKYTVUQWUSUYNVWRVWTVXGVUJWTWLVUFVUIVVAVUJXAXDUVIXQUVJXFUVK
      WSXFXMXNXOUYNUFUDVUIVUFDUGUEGVUAHIJKAUXHUWOLWHVXTUYNVWRVWTSSVUFVHVWTVUCVU
      AOVUIYEUYNUBVUCUYTVUIDVUAWUKUYSVUHXSWULYCVUAYJVUHXSYLYPVLUYNUBDUYTTVXQUYS
      UYTXSUPZUYTTPVXQVXNWUTWUJUYSYQYRUYTUYSYSWJYNADIPUWOMWHUVLUVMGVUAUVQUVNUVO
      XJUVP $.

    $( A sequence of functions converges uniformly iff it is uniformly Cauchy,
       which is to say that for every ` 0 < x ` there is a ` j ` such that for
       all ` j <_ k , m ` the functions ` F ( k ) ` and ` F ( m ) ` are
       uniformly within ` x ` of each other on ` S ` .  (Contributed by Mario
       Carneiro, 1-Mar-2015.) $)
    ulmcau2 $p |- ( ph -> ( F e. dom ( ~~>u ` S ) <->
      A. x e. RR+ E. j e. Z A. k e. ( ZZ>= ` j ) A. m e. ( ZZ>= ` k )
      A. z e. S ( abs ` ( ( ( F ` k ) ` z ) - ( ( F ` m ) ` z ) ) ) < x ) ) $=
      ( cfv cv cmin co wral culm cdm wcel cabs clt wbr cuz crp ulmcau ulmcaulem
      wrex bitrd ) AHDUAPUBUCCQZFQZHPPZUMEQZHPPRSUDPBQZUEUFCDTFUPUGPZTEKUKBUHTU
      OUMGQHPPRSUDPUQUEUFCDTGUNUGPTFURTEKUKBUHTABCDEFHIJKLMNOUIABCDEFGHIJKLMNOU
      JUL $.
  $}

  ${
    $d j k m r z A $.  $d j k m r z G $.  $d j k m r z M $.  $d j k r x z T $.
    $d j k m r x z ph $.  $d j k m r x z S $.  $d j k m r x z Z $.
    ulmss.z $e |- Z = ( ZZ>= ` M ) $.
    ulmss.t $e |- ( ph -> T C_ S ) $.
    ulmss.a $e |- ( ( ph /\ x e. Z ) -> A e. W ) $.
    ulmss.u $e |- ( ph -> ( x e. Z |-> A ) ( ~~>u ` S ) G ) $.
    $( A uniform limit of functions is still a uniform limit if restricted to a
       subset.  (Contributed by Mario Carneiro, 3-Mar-2015.) $)
    ulmss $p |- ( ph -> ( x e. Z |-> ( A |` T ) ) ( ~~>u ` T ) ( G |` T ) ) $=
      ( vz vk cfv wral wcel wa cvv vr vj vm cmpt culm wbr cres cv cmin cabs clt
      co cuz wrex crp wi uztrn2 wss adantr ssralv wceq wb fvres ad2antll simprl
      syl adantrr resexd eqid fvmpt2 syl2anc fveq1d 3eqtr4d ralrimivva nfv nfcv
      nffvmpt1 nffv nfralw fveq2 eqeq12d ralbidv cbvralw sylib r19.21bi fvoveq1
      nfeq breq1d ralimi ralbi sylibrd sylan2 anassrs ralimdva reximdva ralimdv
      3syl cc cmap wf cz ulmf cdm fdm dmmptss eqsstrrdi uzid adantl ssel eleq2s
      eluzel2 syl6 syl2imc rexlimdva mpd wfn crn ralrimiva fnmpt rexlimivw df-f
      frn sylanbrc eqidd ulmcl ulmscl ulm2 fvmptelrn elmapi fssresd cnex elmapg
      ssexd sylancr mpbird fmpttd 3imtr4d ) ABICUDZFDUEPUFZBICEUGZUDZFEUGZEUEPU
      FZMANUHZOUHZYRPZPZUUDFPZUIULUJPZUAUHZUKUFZNDQZOUBUHZUMPZQZUBIUNZUAUOQUUDU
      UEUUAPZPZUUHUIULUJPZUUJUKUFZNEQZOUUNQZUBIUNZUAUOQYSUUCAUUPUVCUAUOAUUOUVBU
      BIAUUMIRZSUULUVAOUUNAUVDUUEUUNRZUULUVAUPZUVDUVESAUUEIRZUVFGUUEUUMIJUQAUVG
      SZUULUUKNEQZUVAUVHEDURZUULUVIUPAUVJUVGKUSUUKNEDUTVFUVHUURUUGVAZNEQZUUTUUK
      VBZNEQUVAUVIVBAUVLOIAUUDBUHZUUAPZPZUUDUVNYRPZPZVAZNEQZBIQUVLOIQAUVSBNIEAU
      VNIRZUUDERZSSZUUDYTPZUUDCPZUVPUVRUWBUWDUWEVAAUWAUUDECVCVDUWCUUDUVOYTUWCUW
      AYTTRUVOYTVAAUWAUWBVEZUWCCEHAUWACHRZUWBLVGZVHBIYTTUUAUUAVIVJVKVLUWCUUDUVQ
      CUWCUWAUWGUVQCVAUWFUWHBICHYRYRVIZVJVKVLVMVNUVTUVLBOIUVTOVOUVKBNEBEVPBUURU
      UGBUUDUUQBIYTUUEVQBUUDVPZVRBUUDUUFBICUUEVQUWJVRWGVSUVNUUEVAZUVSUVKNEUWKUV
      PUURUVRUUGUWKUUDUVOUUQUVNUUEUUAVTVLUWKUUDUVQUUFUVNUUEYRVTVLWAWBWCWDWEUVKU
      VMNEUVKUUSUUIUUJUKUURUUGUUHUJUIWFWHWIUUTUUKNEWJWQWKWLWMWNWOWPAUANUUHUUGDU
      BOYRFGTIJAUCUHZUMPZWRDWSULZYRWTZUCXAUNZGXARZAYSUWPMDUCYRFXBVFZAUWOUWQUCXA
      UWOUWMIURZAUWLXARZSUWLUWMRZUWQUWOUWMYRXCIUWMUWNYRXDBICYRUWIXEXFUWTUXAAUWL
      XGXHUWSUXAUWLIRUWQUWMIUWLXIUWQUWLGUMPIGUWLXKJXJXLXMXNXOZAYRIXPZYRXQUWNURZ
      IUWNYRWTAUWGBIQUXCAUWGBILXRBICYRHUWIXSVFAUWPUXDUWRUWOUXDUCXAUWMUWNYRYBXTV
      FIUWNYRYAYCZAUVGUUDDRZSSUUGYDAUXFSUUHYDAYSDWRFWTMDYRFYEVFZAYSDTRMDYRFYFVF
      ZYGAUANUUHUUREUBOUUAUUBGTIJUXBABIYTWREWSULZAUWASZYTUXIRZEWRYTWTZUXJDWRECU
      XJCUWNRDWRCWTABICUWNUXEYHCWRDYIVFAUVJUWAKUSYJUXJWRTRETRZUXKUXLVBYKAUXMUWA
      AEDTUXHKYMZUSWREYTTTYLYNYOYPAUVGUWBSSUURYDUWBUUDUUBPUUHVAAUUDEFVCXHADWREF
      UXGKYJUXNYGYQXO $.
  $}

  ${
    $d j k x z F $.  $d j k x y z G $.  $d j k x z ph $.  $d j k x y z S $.
    $d j k z M $.  $d j k x z Z $.
    ulmbdd.z $e |- Z = ( ZZ>= ` M ) $.
    ulmbdd.m $e |- ( ph -> M e. ZZ ) $.
    ulmbdd.f $e |- ( ph -> F : Z --> ( CC ^m S ) ) $.
    ulmbdd.b $e |- ( ( ph /\ k e. Z ) ->
      E. x e. RR A. z e. S ( abs ` ( ( F ` k ) ` z ) ) <_ x ) $.
    ulmbdd.u $e |- ( ph -> F ( ~~>u ` S ) G ) $.
    $( A uniform limit of bounded functions is bounded.  (Contributed by Mario
       Carneiro, 27-Feb-2015.) $)
    ulmbdd $p |- ( ph -> E. x e. RR A. z e. S ( abs ` ( G ` z ) ) <_ x ) $=
      ( cfv c1 wbr cle cr wa vj vy cv cmin co cabs clt wral cuz wrex wcel eqidd
      crp 1rp a1i ulmi r19.2uz wi r19.26 caddc peano2re adantl cc wf culm ulmcl
      syl ad3antrrr simprl ffvelrnd abscld cmap simpllr elmapi readdcld pncan3d
      subcld adantr fveq2d abstrid eqbrtrrd 1re simprrl abssubd simprrr eqbrtrd
      simplr ltle sylancl mpd le2addd letrd ralimdva brralrspcev syl6an syl5bir
      expr expd rexlimdva weq breq2 ralbidv cbvrexvw syl6ib syl5 ) ACUCZEUCZFOZ
      OZXFGOZUDUEUFOZPUGQZCDUHZEUAUCUIOUHUAIUJZXJUFOZBUCZRQZCDUHZBSUJZACXJXIPDU
      AEFGHIJKLAXGIUKZXFDUKZTTXIULAYATXJULNPUMUKAUNUOUPXNXMEIUJAXSXMUAEHIJUQAXM
      XSEIAXTTZXMXOUBUCZRQZCDUHZUBSUJZXSYBXIUFOZXPRQZCDUHZBSUJXMYFURZMYBYIYJBSY
      BXPSUKZTZYIXMYFYIXMTYHXLTZCDUHZYLYFYHXLCDUSYLXPPUTUEZSUKZYNXOYORQZCDUHYFY
      KYPYBXPVAVBZYLYMYQCDYLYAYMYQYLYAYMTZTZXOYGXJXIUDUEZUFOZUTUEZYOYTXJYTDVCXF
      GADVCGVDZXTYKYSAFGDVEOQUUDNDFGVFVGVHYLYAYMVIZVJZVKYTYGUUBYTXIYTDVCXFXHYTX
      HVCDVLUEZUKDVCXHVDYTIUUGXGFAIUUGFVDXTYKYSLVHAXTYKYSVMVJXHVCDVNVGUUEVJZVKZ
      YTUUAYTXJXIUUFUUHVQZVKZVOYLYPYSYRVRYTXIUUAUTUEZUFOXOUUCRYTUULXJUFYTXIXJUU
      HUUFVPVSYTXIUUAUUHUUJVTWAYTYGUUBXPPUUIUUKYBYKYSWGPSUKZYTWBUOYLYAYHXLWCYTU
      UBPUGQZUUBPRQZYTUUBXKPUGYTXJXIUUFUUHWDYLYAYHXLWEWFYTUUBSUKUUMUUNUUOURUUKW
      BUUBPWHWIWJWKWLWQWMUBCXOYORSDWNWOWPWRWSWJYEXRUBBSUBBWTYDXQCDYCXPXORXAXBXC
      XDWSXEWJ $.
  $}

  ${
    $d j k w z F $.  $d j k w x y z G $.  $d j k w x y z ph $.  $d j k w z Z $.
    $d j k w M $.  $d j k w x y z S $.
    ulmcn.z $e |- Z = ( ZZ>= ` M ) $.
    ulmcn.m $e |- ( ph -> M e. ZZ ) $.
    ulmcn.f $e |- ( ph -> F : Z --> ( S -cn-> CC ) ) $.
    ulmcn.u $e |- ( ph -> F ( ~~>u ` S ) G ) $.
    $( A uniform limit of continuous functions is continuous.  (Contributed by
       Mario Carneiro, 27-Feb-2015.) $)
    ulmcn $p |- ( ph -> G e. ( S -cn-> CC ) ) $=
      ( vw cc co wcel cfv clt wbr wi wa caddc vx vz vy vk vj ccncf wf cmin cabs
      cv wral crp wrex culm ulmcl syl c2 cdiv cuz cz adantr cmap wss cncff cnex
      cvv wb cncfrss ssexg sylancl elmapg sylancr ssriv eqidd rphalfcl ad2antll
      mpbird fss rphalfcld ulmi r19.2uz simplrl weq fveq2 oveq12d fveq2d breq1d
      rspcv ffvelrnda cncfi ad2antrr r19.26 cr simplr ffvelrnd elmapi ad3antrrr
      syl3anc subcld abscld ffvelrn sylancom rpred lt2add syl22anc recnd breq2d
      2halvesd readdcld rpre abs3difd addcomd breqtrd abssubd leadd2dd breqtrrd
      cle oveq1d addassd letrd lelttr mpand sylbid syld expd expdimp imp imim2d
      an32s expimpd ralimdva syl5bir reximdv mpd mpdd rexlimdva syl5 ralrimivva
      exp31 uzid eleqtrrdi ssid elcncf2 mpbir2and ) ADBLUFMZNZBLDUGZKUJZUAUJZUH
      MUIOUBUJPQZUUHDOZUUIDOZUHMZUIOZUCUJZPQZRZKBUKZUBULUMZUCULUKUABUKZACDBUNOQ
      ZUUGJBCDUOUPZAUUSUAUCBULAUUIBNZUUOULNZSZSZUUHUDUJZCOZOZUUKUHMZUIOZUUOUQUR
      MZUQURMZPQZKBUKZUDUEUJUSOUKUEFUMZUUSUVFKUUKUVIUVMBUEUDCDEFGAEUTNZUVEHVAAF
      LBVBMZCUGZUVEAFUUECUGZUUEUVRVCUVSIUAUUEUVRUUIUUENZUUIUVRNZBLUUIUGZBLUUIVD
      UWALVFNZBVFNZUWBUWCVGVEUWABLVCZUWDUWEBLUUIVHVEBLVFVIVJLBUUIVFVFVKVLVQVMFU
      UEUVRCVRVJVAZUVFUVGFNZUUHBNZSSUVIVNUVFUWISUUKVNAUVAUVEJVAUVFUVLUVDUVLULNZ
      AUVCUUOVOVPZVSVTUVPUVOUDFUMUVFUUSUVOUEUDEFGWAUVFUVOUUSUDFUVFUWHSZUVOUUIUV
      HOZUULUHMZUIOZUVMPQZUUSUWLUVCUVOUWPRAUVCUVDUWHWBZUVNUWPKUUIBKUAWCZUVKUWOU
      VMPUWRUVJUWNUIUWRUVIUWMUUKUULUHUUHUUIUVHWDUUHUUIDWDWEWFWGWHUPUWLUVOUWPUUS
      UWLUVOSUWPSZUUJUVIUWMUHMZUIOZUVLPQZRZKBUKZUBULUMZUUSUWLUXEUVOUWPUWLUVHUUE
      NUVCUWJUXEUVFFUUEUVGCAUVTUVEIVAWIUWQUVFUWJUWHUWKVAZUBKBLUUIUVLUVHWJWRWKUW
      SUXDUURUBULUWLUWPUVOUXDUURRUWLUWPSZUVOUXDUURUVOUXDSUVNUXCSZKBUKUXGUURUVNU
      XCKBWLUXGUXHUUQKBUXGUWISZUVNUXCUUQUXIUVNSUXBUUPUUJUXIUVNUXBUUPRZUWLUWIUWP
      UVNUXJRUWLUWISZUWPUVNUXJUXKUWPUVNSZUWOUVKTMZUVMUVMTMZPQZUXJUXKUWOWMNUVKWM
      NUVMWMNZUXPUXLUXORUXKUWNUXKUWMUULUXKBLUUIUVHUXKUVHUVRNBLUVHUGZUXKFUVRUVGC
      UVFUVSUWHUWIUWGWKUVFUWHUWIWNWOUVHLBWPUPZUWLUVCUWIUWQVAZWOZUXKBLUUIDAUUGUV
      EUWHUWIUVBWQZUXSWOZWSWTZUXKUVJUXKUVIUUKUWLUWIUXQUVILNUXRBLUUHUVHXAXBZUWLU
      WIUUGUUKLNUYABLUUHDXAXBZWSWTZUXKUVMUXKUVLUWLUWJUWIUXFVAZVSXCZUYHUWOUVKUVM
      UVMXDXEUXKUXOUXMUVLPQZUXJUXKUXNUVLUXMPUXKUVLUXKUVLUXKUVLUYGXCZXFXHXGUXKUY
      IUXBUUPUXKUYIUXBSZUXMUXATMZUVLUVLTMZPQZUUPUXKUXMWMNUXAWMNUVLWMNZUYOUYKUYN
      RUXKUWOUVKUYCUYFXIZUXKUWTUXKUVIUWMUYDUXTWSWTZUYJUYJUXMUXAUVLUVLXDXEUXKUYN
      UYLUUOPQZUUPUXKUYMUUOUYLPUXKUUOUXKUUOUVFUUOWMNZUWHUWIUVDUYSAUVCUUOXJVPWKZ
      XFXHXGUXKUUNUYLXQQZUYRUUPUXKUUNUWOUUKUWMUHMZUIOZTMZUYLUXKUUMUXKUUKUULUYEU
      YBWSWTZUXKUWOVUCUYCUXKVUBUXKUUKUWMUYEUXTWSWTZXIUXKUXMUXAUYPUYQXIZUXKUUNVU
      CUWOTMVUDXQUXKUUKUULUWMUYEUYBUXTXKUXKVUCUWOUXKVUCVUFXFUXKUWOUYCXFZXLXMUXK
      VUDUWOUVKUXATMZTMUYLXQUXKVUCVUIUWOVUFUXKUVKUXAUYFUYQXIUYCUXKVUCUUKUVIUHMU
      IOZUXATMVUIXQUXKUUKUWMUVIUYEUXTUYDXKUXKVUJUVKUXATUXKUUKUVIUYEUYDXNXRXMXOU
      XKUWOUVKUXAVUHUXKUVKUYFXFUXKUXAUYQXFXSXPXTUXKUUNWMNUYLWMNUYSVUAUYRSUUPRVU
      EVUGUYTUUNUYLUUOYAWRYBYCYDYEYCYDYFYIYGYHYJYKYLYFYIYMYNYSYOYPYQYNYRAUWFLLV
      CUUFUUGUUTSVGAECOZUUENUWFAFUUEECIAEEUSOZFAUVQEVULNHEYTUPGUUAWOBLVUKVHUPLU
      UBUAUCUBKBLDUUCVJUUD $.
  $}

  ${
    $d j k m n s u v w x y z F $.  $d n r s u v w y z G $.  $d k m n w x y N $.
    $d k n y z C $.  $d j n r s u v w y z H $.  $d j k n x M $.  $d n w y ps $.
    $d j k m n r s u v w x y z ph $.  $d j k m n s u v w x y z S $.  $d y U $.
    $d m n x y R $.  $d j k m n r s u v w x y z X $.  $d k n y z Y $.
    $d j k m n s u v w x y z Z $.
    ulmdv.z $e |- Z = ( ZZ>= ` M ) $.
    ulmdv.s $e |- ( ph -> S e. { RR , CC } ) $.
    ulmdv.m $e |- ( ph -> M e. ZZ ) $.
    ulmdv.f $e |- ( ph -> F : Z --> ( CC ^m X ) ) $.
    ulmdv.g $e |- ( ph -> G : X --> CC ) $.
    ulmdv.l $e |- ( ( ph /\ z e. X ) ->
      ( k e. Z |-> ( ( F ` k ) ` z ) ) ~~> ( G ` z ) ) $.
    ulmdv.u $e |- ( ph ->
      ( k e. Z |-> ( S _D ( F ` k ) ) ) ( ~~>u ` X ) H ) $.
    ${
      ulmdvlem1.c $e |- ( ( ph /\ ps ) -> C e. X ) $.
      ulmdvlem1.r $e |- ( ( ph /\ ps ) -> R e. RR+ ) $.
      ulmdvlem1.u $e |- ( ( ph /\ ps ) -> U e. RR+ ) $.
      ulmdvlem1.v $e |- ( ( ph /\ ps ) -> W e. RR+ ) $.
      ulmdvlem1.l $e |- ( ( ph /\ ps ) -> U < W ) $.
      ulmdvlem1.b $e |- ( ( ph /\ ps ) ->
        ( C ( ball ` ( ( abs o. - ) |` ( S X. S ) ) ) U ) C_ X ) $.
      ulmdvlem1.a $e |- ( ( ph /\ ps ) -> ( abs ` ( Y - C ) ) < U ) $.
      ulmdvlem1.n $e |- ( ( ph /\ ps ) -> N e. Z ) $.
      ulmdvlem1.1 $e |- ( ( ph /\ ps ) -> A. m e. ( ZZ>= ` N )
        A. x e. X ( abs ` ( ( ( S _D ( F ` N ) ) ` x ) -
          ( ( S _D ( F ` m ) ) ` x ) ) ) < ( ( R / 2 ) / 2 ) ) $.
      ulmdvlem1.2 $e |- ( ( ph /\ ps ) ->
        ( abs ` ( ( ( S _D ( F ` N ) ) ` C ) - ( H ` C ) ) ) < ( R / 2 ) ) $.
      ulmdvlem1.y $e |- ( ( ph /\ ps ) -> Y e. X ) $.
      ulmdvlem1.3 $e |- ( ( ph /\ ps ) -> Y =/= C ) $.
      ulmdvlem1.4 $e |- ( ( ph /\ ps ) ->
      ( ( abs ` ( Y - C ) ) < W ->
        ( abs ` ( ( ( ( ( F ` N ) ` Y ) - ( ( F ` N ) ` C ) ) / ( Y - C ) ) -
          ( ( S _D ( F ` N ) ) ` C ) ) ) < ( ( R / 2 ) / 2 ) ) ) $.
      $( Lemma for ~ ulmdv .  (Contributed by Mario Carneiro, 3-Mar-2015.) $)
      ulmdvlem1 $p |- ( ( ph /\ ps ) -> ( abs `
        ( ( ( ( G ` Y ) - ( G ` C ) ) / ( Y - C ) ) - ( H ` C ) ) ) < R ) $=
        ( vn vy wa cfv cmin co cdiv cdv cc adantr ffvelrnd subcld cdm cmap wcel
        wf cmpt wceq fveq2 oveq2d eqid ovex fvmpt syl wfn wbr cvv wral eqeltrrd
        cv syl2anc elmapi cr sseldd divcld rpred cabs caddc c2 abscld rehalfcld
        wss clt cle oveq1d eqtrd fveq2d eqtr3d cmul cxp cuz cz mpteq2dv breq12d
        cli rspcdva mptex a1i weq fveq1d fvex adantl ffvelrnda eqtr4d climsubc1
        eqeltrd oveq12d recnd sylan syldan ffnd ad2antrr syl22anc eqbrtrd cxmet
        fnfvof mpbird fvexd feqmptd breq1d rspccva culm rgenw fnmpt mp1i dvbsss
        ulmf2 fdmd eqsstrrdi cpr recnprss sstrd subne0d ulmcl readdcld abs3difd
        sub4d divsubdird absdivd csn eleqtrdi eluzelz ralrimiva climsub climabs
        fvexi remulcld eqimss2i climconst2 uztrn2 fvconst2 cof ulmscl ccom cres
        cbl ovresd cnmetdval cxr cnxmet xmetres2 sylancr rpxrd elbl3 crp blcntr
        syl3anc jca offval2 fmpt3d dvmptsub dmeqd dmmpti eqtrdi sseqtrrd sselda
        wb fvmpt2 mpan2 sylan9eq dvmptcl abssubd ralbidv ltled eqbrtrrd 3brtr4d
        dvlip2 mpdan climle absrpcld ledivmul2d lttrd leltaddd 2halvesd breqtrd
        mpd lelttrd abs3lemd ) ABVBZRLVCZELVCZVDVEZREVDVEZVFVEZEMVCEGOKVCZVGVEZ
        VCZFUXRUYAUYBUXRUXSUXTUXRQVHRLAQVHLVOBUDVIZUQVJZUXRQVHELUYGUGVJZVKZUXRR
        EUXRQVHRUXRQGVHUXRQUYEVLGUXRQVHUYEUXRUYEVHQVMVEZVNQVHUYEVOZUXROISGIWIZK
        VCZVGVEZVPZVCZUYEUYKUXROSVNZUYQUYEVQUNIOUYOUYESUYPUYMOVQUYNUYDGVGUYMOKV
        RVSUYPVTZGUYDVGWAWBWCUXRSUYKOUYPASUYKUYPVOZBAUYPSWDZUYPMQUUAVCWEZUYTUYO
        WFVNZISWGVUAAVUCISGUYNVGWAUUBISUYOUYPWFUYSUUCUUDUFQUYPMSUUFWJZVIUNVJWHU
        YEVHQWKWCZUUGGUYDUUEUUHZAGVHXAZBAGWLVHUUIVNZVUGUAGUUJWCVIZUUKZUQWMZUXRQ
        VHEVUJUGWMZVKZUXRREVUKVULURUULZWNZUXRQVHEMAQVHMVOZBAVUBVUPUFQUYPMUUMWCV
        IUGVJUXRQVHEUYEVUEUGVJZUXRFUHWOZUXRUYCUYFVDVEZWPVCUYCRUYDVCZEUYDVCZVDVE
        ZUYBVFVEZVDVEZWPVCZVVCUYFVDVEZWPVCZWQVEZFWRVFVEZUXRVUSUXRUYCUYFVUOVUQVK
        WSUXRVVEVVGUXRVVDUXRUYCVVCVUOUXRVVBUYBUXRVUTVVAUXRQVHRUYDUXRUYDUYKVNQVH
        UYDVOZUXRSUYKOKASUYKKVOBUCVIZUNVJUYDVHQWKWCZUQVJZUXRQVHEUYDVVLUGVJZVKZV
        UMVUNWNZVKWSZUXRVVFUXRVVCUYFVVPVUQVKWSZUUNUXRFVURWTZUXRUYCUYFVVCVUOVUQV
        VPUUOUXRVVHVVIWRVFVEZVVTWQVEVVIXBUXRVVEVVGVVTVVTVVQVVRUXRVVIVVSWTZVWAUX
        RVVEUXSVUTVDVEZUXTVVAVDVEZVDVEZWPVCZUYBWPVCZVFVEZVVTXCUXRVWDUYBVFVEZWPV
        CVVEVWGUXRVWHVVDWPUXRVWHUYAVVBVDVEZUYBVFVEVVDUXRVWDVWIUYBVFUXRUXSVUTUXT
        VVAUYHVVMUYIVVNUUPXDUXRUYAVVBUYBUYJVVOVUMVUNUUQXEXFUXRVWDUYBUXRVWBVWCUX
        RUXSVUTUYHVVMVKUXRUXTVVAUYIVVNVKVKZVUMVUNUURXGUXRVWGVVTXCWEVWEVVTVWFXHV
        EZXCWEUXRVWEVWKUTISRUYNVCZVUTVDVEZEUYNVCZVVAVDVEZVDVEZWPVCZVPZSVWKUUSXI
        ZOOXJVCZVWTVTUXRONXJVCZVNOXKVNUXROSVXAUNTUUTNOUVAWCUXRVWDUTISVWPVPZVWRN
        WFSTUXRVWBVWCUTISVWMVPZISVWOVPZVXBNWFSTANXKVNZBUBVIZUXRUXSVUTUTISVWLVPZ
        VXCNWFSTVXFUXRISDWIZUYNVCZVPZVXHLVCZXNWEZVXGUXSXNWEDQRVXHRVQZVXJVXGVXKU
        XSXNVXMISVXIVWLVXHRUYNVRXLVXHRLVRXMAVXLDQWGBAVXLDQUEUVBVIZUQXOVVMVXCWFV
        NUXRISVWMSNXJTUVEZXPXQUXRUTWIZSVNZVBZVXPVXGVCZRVXPKVCZVCZVHVXQVXSVYAVQU
        XRIVXPVWLVYASVXGIUTXRZRUYNVXTUYMVXPKVRZXSZVXGVTRVXTXTWBYAZVXRQVHRVXTVXR
        VXTUYKVNQVHVXTVOZUXRSUYKVXPKVVKYBVXTVHQWKWCZUXRRQVNZVXQUQVIVJZYEVXRVXPV
        XCVCZVYAVUTVDVEZVXSVUTVDVEVXQVYJVYKVQUXRIVXPVWMVYKSVXCVYBVWLVYAVUTVDVYD
        XDZVXCVTVYAVUTVDWAWBYAZVXRVXSVYAVUTVDVYEXDYCYDVXBWFVNUXRISVWPVXOXPXQUXR
        UXTVVAUTISVWNVPZVXDNWFSTVXFUXRVXLVYNUXTXNWEDQEVXHEVQZVXJVYNVXKUXTXNVYOI
        SVXIVWNVXHEUYNVRXLVXHELVRXMVXNUGXOVVNVXDWFVNUXRISVWOVXOXPXQVXRVXPVYNVCZ
        EVXTVCZVHVXQVYPVYQVQUXRIVXPVWNVYQSVYNVYBEUYNVXTVYCXSZVYNVTEVXTXTWBYAZVX
        RQVHEVXTVYGUXREQVNZVXQUGVIVJZYEVXRVXPVXDVCZVYQVVAVDVEZVYPVVAVDVEVXQWUBW
        UCVQUXRIVXPVWOWUCSVXDVYBVWNVYQVVAVDVYRXDZVXDVTVYQVVAVDWAWBYAZVXRVYPVYQV
        VAVDVYSXDYCYDVXRVYJVYKVHVYMVXRVYAVUTVYIUXRVUTVHVNVXQVVMVIVKZYEVXRWUBWUC
        VHWUEVXRVYQVVAWUAUXRVVAVHVNVXQVVNVIVKZYEVXRVXPVXBVCZVYKWUCVDVEZVYJWUBVD
        VEVXQWUHWUIVQUXRIVXPVWPWUISVXBVYBVWMVYKVWOWUCVDVYLWUDYFZVXBVTVYKWUCVDWA
        WBYAZVXRVYJVYKWUBWUCVDVYMWUEYFYCUVCVWRWFVNUXRISVWQVXOXPXQVXFVXRWUHWUIVH
        WUKVXRVYKWUCWUFWUGVKZYEVXRVXPVWRVCZWUIWPVCZWUHWPVCVXQWUMWUNVQZUXRIVXPVW
        QWUNSVWRVYBVWPWUIWPWUJXFVWRVTWUIWPXTWBZYAVXRWUHWUIWPWUKXFYCUVDUXRVWKVHV
        NVXEVWSVWKXNWEUXRVWKUXRVVTVWFVWAUXRUYBVUMWSZUVFZYGVXFVWKNSSVXATUVGVXOUV
        HWJUXRVXPVWTVNZVBZWUMWUNWLWUTVXQWUOUXRUYRWUSVXQUNNVXPOSTUVIYHZWUPWCZUXR
        WUSVXQWUNWLVNWVAVXRWUIWULWSYIYEWUTVXPVWSVCZVWKWLWUTVXQWVCVWKVQWVASVWKVX
        PVVTVWFXHWAUVJWCZUXRVWKWLVNWUSWURVIYEWUTWUNVWKWUMWVCXCWUTRVXTUYDVDUVKVE
        ZVCZEWVEVCZVDVEZWPVCZWUNVWKXCWUTWVHWUIWPWUTWVFVYKWVGWUCVDWUTVXTQWDZUYDQ
        WDZQWFVNZVYHWVFVYKVQWUTQVHVXTUXRWUSVXQVYFWVAVYGYIZYJZWUTQVHUYDUXRVVJWUS
        VVLVIZYJZAWVLBWUSAVUBWVLUFQUYPMUVLWCYKZUXRVYHWUSUQVIQVDVXTUYDWFRYOYLWUT
        WVJWVKWVLVYTWVGWUCVQWVNWVPWVQUXRVYTWUSUGVIQVDVXTUYDWFEYOYLYFXFWUTREHWPV
        DUVMZGGXIUVNZUVOVCVEZVNZEWVTVNZVBWVIVWKXCWEWUTWWAWWBUXRWWAWUSUXRWWAREWV
        SVEZHXBWEZUXRWWCVWFHXBUXRWWCREWVRVEZVWFUXRREWVRGUXRQGRVUFUQWMZUXRQGEVUF
        UGWMZUVPUXRRVHVNEVHVNWWEVWFVQVUKVULREWVRWVRVTUVQWJXEUMYMUXRWVSGYNVCVNZH
        UVRVNZEGVNZRGVNWWAWWDUWPUXRWVRVHYNVCVNVUGWWHUVSVUIWVRGVHUVTUWAZUXRHUIUW
        BZWWGWWFRWVSEHGUWCYLYPVIUXRWWBWUSUXRWWHWWJHUWDVNWWBWWKWWGUIWVSEHGUWEUWF
        VIUWGWUTVAEWVTHGWVEWVSVVTQREAVUHBWUSUAYKZWVSVTUXRQGXAWUSVUFVIWUTVAQVAWI
        ZVXTVCZWWNUYDVCZVDVEZVHWVEWUTVAQWWOWWPVDVXTUYDWFWFWFWVQWUTWWNQVNZVBZWWN
        VXTYQWWSWWNUYDYQWUTVAQVHVXTWVMYRZWUTVAQVHUYDWVOYRZUWHZWWSWWOWWPWUTQVHWW
        NVXTWVMYBZWUTQVHWWNUYDWVOYBZVKZUWIUXRWWJWUSWWGVIUXRWWIWUSWWLVIWVTVTWUTW
        VTQGWVEVGVEZVLZUXRWVTQXAWUSULVIZWUTWXGVAQWWNGVXTVGVEZVCZWWNUYEVCZVDVEZV
        PZVLQWUTWXFWXMWUTWXFGVAQWWQVPZVGVEWXMWUTWVEWXNGVGWXBVSWUTVAWWOWXJWWPWXK
        GWFWFQWWMWXCWWSWWNWXIYQWUTWXIGVAQWWOVPZVGVEVAQWXJVPWUTVXTWXOGVGWWTVSWUT
        VAQVHWXIWUTWXIUYKVNQVHWXIVOWUTVXPUYPVCZWXIUYKWUTVXQWXPWXIVQWVAIVXPUYOWX
        ISUYPVYBUYNVXTGVGVYCVSUYSGVXTVGWAWBWCWUTSUYKVXPUYPAUYTBWUSVUDYKWVAVJWHW
        XIVHQWKWCZYRXGWXDWWSWWNUYEYQWUTUYEGVAQWWPVPZVGVEVAQWXKVPWUTUYDWXRGVGWXA
        VSWUTVAQVHUYEUXRUYLWUSVUEVIZYRXGUWJZXEZUWKVAQWXLWXMWXJWXKVDWAZWXMVTZUWL
        UWMUWNUXRVVTWLVNZWUSVWAVIWUTWWNWVTVNWWRWWNWXFVCZWPVCZVVTXCWEWUTWVTQWWNW
        XHUWOWWSWYFWXLWPVCZVVTXCWWSWYEWXLWPWUTWWRWYEWWNWXMVCZWXLWUTWWNWXFWXMWYA
        XSWWRWXLWFVNZWYHWXLVQWYBVAQWXLWFWXMWYCUWQUWRUWSXFWWSWYGVVTWWSWXLWUTVAWW
        QWXLGWFQWWMWXEWYIWWSWYBXQWXTUWTWSUXRWYDWUSWWRVWAYKWWSWYGWXKWXJVDVEZWPVC
        ZVVTXBWWSWXJWXKWUTQVHWWNWXIWXQYBWUTQVHWWNUYEWXSYBUXAWUTCWIZUYEVCZWYLWXI
        VCZVDVEZWPVCZVVTXBWEZCQWGZWWRWYKVVTXBWEZUXRWYMWYLGJWIZKVCZVGVEZVCZVDVEZ
        WPVCZVVTXBWEZCQWGZJVWTWGWUSWYRUOXUGWYRJVXPVWTJUTXRZXUFWYQCQXUHXUEWYPVVT
        XBXUHXUDWYOWPXUHXUCWYNWYMVDXUHWYLXUBWXIXUHXUAVXTGVGWYTVXPKVRVSXSVSXFYSU
        XBYTYHWYQWYSCWWNQCVAXRZWYPWYKVVTXBXUIWYOWYJWPXUIWYMWXKWYNWXJVDWYLWWNUYE
        VRWYLWWNWXIVRYFXFYSYTYHYMUXCYMYIUXFUXGUXDWVBWVDUXEUXHUXRVWEVVTVWFUXRVWD
        VWJWSVWAUXRUYBVUMVUNUXIUXJYPYMUXRVWFPXBWEVVGVVTXBWEUXRVWFHPWUQUXRHUIWOU
        XRPUJWOUMUKUXKUSUXOUXLUXRVVIUXRVVIVVSYGUXMUXNUXPUPUXQ $.
    $}

    $( Lemma for ~ ulmdv .  (Contributed by Mario Carneiro, 8-May-2015.) $)
    ulmdvlem2 $p |- ( ( ph /\ k e. Z ) -> dom ( S _D ( F ` k ) ) = X ) $=
      ( wcel cfv cc cv wa cdv co cmap cdm wceq cmpt wfn culm wbr cvv wral rgenw
      wf ovex eqid fnmpt mp1i ulmf2 syl2anc fvmptelrn elmapi fdm 3syl ) ADUAZJR
      UBCVFESZUCUDZTIUEUDZRITVHUOVHUFIUGADJVHVIADJVHUHZJUIZVJGIUJSUKJVIVJUOVHUL
      RZDJUMVKAVLDJCVGUCUPUNDJVHVJULVJUQURUSQIVJGJUTVAVBVHTIVCITVHVDVE $.

    $( Lemma for ~ ulmdv .  (Contributed by Mario Carneiro, 8-May-2015.)
       (Proof shortened by Mario Carneiro, 28-Dec-2016.) $)
    ulmdvlem3 $p |- ( ( ph /\ z e. X ) -> z ( S _D G ) ( H ` z ) ) $=
      ( wcel wa cfv vy vv vu vr vx vn vm vj vs vw cv cdv wbr ccnfld ctopn crest
      co cnt csn cdif cmin cdiv cmpt climc wss wceq biidd ulmdvlem2 cc recnprss
      cdm cr cpr adantr cmap wf ffvelrnda elmapi dvbsss eqsstrrdi eqid dvbssntr
      syl eqsstrrd ralrimiva cuz cz uzid eleqtrrdi rspcdva sselda cabs clt wral
      wi crp wrex sylancr cvv ovex syl2anc mpbid uztrn2 weq fveq2 oveq2d fveq1d
      c2 oveq12d breq1d ralbidv ad2antrr rphalfcl adantl simplr oveq1d fvoveq1d
      fvmpt imbi2d simpllr wb ad3antrrr eldv simprd dvlem fmpttd sseldd ellimc3
      ssdifssd w3a anass cli simpld anassrs sylanb cnxmet ctop ctopon mpbir2and
      cxmet wne culm ulmcl breq2 2ralbidv rexralbidv wrel ulmrel releldm ulmscl
      rgenw fnmpt mp1i ulmf2 ulmcau2 ad2ant2lr simprr fveq2d 2ralbidva rexbidva
      wfn fvexi mptex a1i eqtr4d ulmclm climi2 rexanuz2 r19.2uz sylbir oveq1 id
      fvex breqan12rd ralbidva rexbidv eqeltrrd fdm 3syl eleqtrrd wfun funfvbrb
      dvfg ffun 4syl sstrd adantrr ccom cxp cbl df-3an mpteq2dv breq12d rspccva
      cres sylan simprll simprlr simprr3 simplll simpr3 simprr1 simprr2 eldifad
      simpr1 simpr2 mpand ulmdvlem1 sylan2br 3exp2 sylibrd ralimdva an32s cmopn
      impr xmetres2 cuni cnfldtop resttop cnfldtopon resttopon toponuni sseqtrd
      imp ntrss2 isopn3 mpbird cnfldtopn metrest eleqtrd simprl mopni3 syl31anc
      eqssd reximddv rexlimddv rexlimdvaa syl5 mp2and simpr ) ABUKZIRZSZVUAVUAG
      TZCFULUQUMVUAIUNUOTZCUPUQZURTTZRZVUDUAIVUAUSZUTZUAUKZFTZVUAFTZVAUQZVUKVUA
      VAUQZVBUQZVCZVUAVDUQRZAIVUGVUAAIVUGVEZVUSDJHDUKZHVFZVUSVGAVUSDJAVUTJRZSZI
      CVUTETZULUQZVKZVUGABCDEFGHIJKLMNOPQVHZVVCICVVDVUFVUEACVIVEZVVBACVLVIVMZRZ
      VVHLCVJZWCZVNVVCVVDVIIVOUQZRIVIVVDVPAJVVMVUTENVQVVDVIIVRWCVVCIVVFCVVGCVVD
      VSVTZVUFWAZVUEWAZWBWDWEAHHWFTZJAHWGRZHVVQRMHWHWCKWIZWJZWKVUCVURVUDVIRUBUK
      ZVUAUUAZVWAVUAVAUQZWLTZUCUKZWMUMZSZVWAVUQTZVUDVAUQWLTZUDUKZWMUMZWOZUBVUJW
      NZUCWPWQZUDWPWNAIVIVUAGADJVVEVCZGIUUBTZUMZIVIGVPQIVWOGUUCWCVQVUCVWNUDWPVU
      CVWJWPRZSZUEUKZCUFUKZETZULUQZTZVWTCUGUKZETZULUQZTZVAUQZWLTZVWJXHVBUQZXHVB
      UQZWMUMZUEIWNUGVXAWFTZWNZUFUHUKZWFTZWNUHJWQZVUAVXCTZVUDVAUQWLTVXKWMUMZUFV
      XQWNUHJWQZVWNVWSVXJUIUKZWMUMZUEIWNZUGVXNWNZUFVXQWNZUHJWQZVXRUIWPVXLVYBVXL
      VFZVYEVXOUHUFJVXQVYHVYCVXMUGUEVXNIVYBVXLVXJWMUUDUUEUUFAVYGUIWPWNZVUBVWRAV
      WTVXAVWOTZTZVWTVXEVWOTZTZVAUQZWLTZVYBWMUMZUEIWNZUGVXNWNUFVXQWNZUHJWQZUIWP
      WNZVYIAVWOVWPVKRZVYTAVWPUUGVWQWUAIUUHQVWOGVWPUUIWRAUIUEIUHUFUGVWOHWSJKMAV
      WQIWSRQIVWOGUUJWCAVWOJUVAZVWQJVVMVWOVPZVVEWSRZDJWNWUBAWUDDJCVVDULWTUUKDJV
      VEVWOWSVWOWAZUULUUMQIVWOGJUUNXAZUUOXBAVYSVYGUIWPAVYRVYFUHJAVXPJRZSZVYQVYD
      UFUGVXQVXNWUHVXAVXQRZVXEVXNRZSSZVYPVYCUEIWUKVYOVXJVYBWMWUKVYNVXIWLWUKVYKV
      XDVYMVXHVAWUKVWTVYJVXCWUKVXAJRZVYJVXCVFZWUGWUIWULAWUJHVXAVXPJKXCUUPZDVXAV
      VEVXCJVWODUFXDZVVDVXBCULVUTVXAEXEXFZWUECVXBULWTXRZWCXGWUKVWTVYLVXGWUKVXEJ
      RZVYLVXGVFWUKWULWUJWURWUNWUHWUIWUJUUQHVXEVXAJKXCXADVXEVVEVXGJVWODUGXDVVDV
      XFCULVUTVXEEXEXFWUECVXFULWTXRWCXGXIUURXJXKUUSUUTXKXBXLVWSVXKWPRZVXLWPRZVW
      RWUSVUCVWJXMXNZVXKXMWCZWJVWSVUDVXSVXKUHUFDJVUAVVETZVCZHJKAVVRVUBVWRMXLZWV
      AWULVXAWVDTZVXSVFVWSDVXAWVCVXSJWVDWUOVUAVVEVXCWUPXGWVDWAVUAVXCUVMXRXNZVWS
      VUAIUFVWOGWVDHWSJKWVEAWUCVUBVWRWUFXLZAVUBVWRXOZWVDWSRVWSDJWVCJHWFKUVBUVCU
      VDVWSWULSZVUAVYJTVXSWVFWVJVUAVYJVXCWULWUMVWSWUQXNZXGWVGUVEAVWQVUBVWRQXLUV
      FUVGVXRVYASZVXOVXTSZUFJWQZVWSVWNWVLWVMUFVXQWNUHJWQWVNVXOVXTUHUFHJKUVHWVMU
      HUFHJKUVIUVJVWSWVMVWNUFJVWSWULWVMSZSZVWBVWDUJUKZWMUMZSZVWAVXBTZVUAVXBTZVA
      UQZVWCVBUQZVXSVAUQWLTZVXLWMUMZWOZUBVUJWNZVWNUJWPVWSWULWWGUJWPWQZWVMWVJWVS
      VWAUAVUJVUKVXBTZWWAVAUQZVUOVBUQZVCZTZVXSVAUQWLTZVYBWMUMZWOZUBVUJWNZUJWPWQ
      ZWWHUIWPVXLVYHWWQWWGUJWPVYHWWPWWFUBVUJVYHVWAVUJRZSWWOWWEWVSWWSVYHWWNWWDVY
      BVXLWMWWSWWMWWCVXSWLVAUAVWAWWKWWCVUJWWLUAUBXDZWWJWWBVUOVWCVBWWTWWIWVTWWAV
      AVUKVWAVXBXEXPVUKVWAVUAVAUVKZXIWWLWAZWWBVWCVBWTXRXQVYHUVLUVNXSUVOUVPWVJVX
      SVIRZWWRUIWPWNZWVJVXSWWLVUAVDUQRZWXCWXDSWVJVUHWXEWVJVUAVXSVXCUMZVUHWXESWV
      JVUAVXCVKZRZWXFWVJVUAIWXGAVUBVWRWULXTZWVJVXCVVMRIVIVXCVPWXGIVFWVJVYJVXCVV
      MWVKVWSJVVMVXAVWOWVHVQUVQVXCVIIVRIVIVXCUVRUVSUVTWVJVVJWXGVIVXCVPVXCUWAWXH
      WXFYAAVVJVUBVWRWULLYBZCVXBUWCWXGVIVXCUWDVUAVXCUWBUWEXBWVJUAIVUAVXSCVUFVXB
      WWLVUEVVOVVPWXBWVJVVJVVHWXJVVKWCWVJVXBVVMRIVIVXBVPVWSJVVMVXAEAJVVMEVPVUBV
      WRNXLVQVXBVIIVRWCZAICVEZVUBVWRWULAWXLWXLDJHVVAWXLVGAWXLDJVVNWEVVSWJZYBYCX
      BYDWVJUIUJUBVUJVUAVXSWWLWVJUAVUJWWKVIWVJVUKVUAIVXBWXKVUCIVIVEVWRWULVUCICV
      IAWXLVUBWXMVNZAVVHVUBVVLVNZUWFZXLZWXIYEYFWVJIVIVUIWXQYIWVJIVIVUAWXQWXIYGY
      HXBYDVWSWUTWULWVBVNWJUWGWVPWVQWPRZWWGSZSZVWEWVQWMUMZVUAVWEWLVAUWHZCCUWIUW
      OZUWJTUQIVEZSZVWMUCWPWVPVWEWPRZWYESZWXSVWMWVPWYGSZWXRWWGVWMWYHWXRSZWWFVWL
      UBVUJWYIWWSSWWFVWGVWAFTZVUMVAUQZVWCVBUQZVUDVAUQWLTZVWJWMUMZWOZVWLWYIWWSWW
      FWYOWOWYIWWSWWFVWGWYNWYIWVPWYGWXRSZSWWSWWFVWGYJZWYNWVPWYGWXRYKWVPWYPWYQWY
      NVWSWVOWYPWYQSZWYNWVOWYRSVWSWULWVMWYRYJZWYNWULWVMWYRUWKVWSAVUBVWRSZSWYSWY
      NAVUBVWRYKAWYTWYSWYNAWYTWYSSZUEUIVUAVWJCVWEDUGEFGHVXAWVQIVWAJKLMNOADJVUAV
      VDTZVCZVUMYLUMZBIWNVYBIRDJVYBVVDTZVCZVYBFTZYLUMZAXUDBIPWEXUDXUHBVYBIBUIXD
      ZXUCXUFVUMXUGYLXUIDJXUBXUEVUAVYBVVDXEUWLVUAVYBFXEUWMUWNUWPQAVUBVWRWYSUWQA
      VUBVWRWYSUWRAXUASZWYRWYFWULWVMWYRWYTAUWSZWYFWYEWXRWYQUWTWCXUJWYRWXRXUKWYG
      WXRWYQXOWCXUJWYAWYDXUJWYRWYEXUKWYFWYEWXRWYQXTWCZYMXUJWYAWYDXULYDXUJVWBVWF
      XUJWYRVWGXUKWYPWWSWWFVWGUXAWCZYDWULWVMWYRWYTAUXBXUJVXOVXTWULWVMWYRWYTAUXC
      ZYMXUJVXOVXTXUNYDXUJVWAIVUIXUJWYRWWSXUKWYPWWSWWFVWGUXEWCUXDXUJVWBVWFXUMYM
      ZXUJVWBWVRWWEXUOXUJWYRWWFXUKWYPWWSWWFVWGUXFWCUXGUXHYNYOUXIYNYNYOUXJUYDWWS
      VWLWYOYAWYIWWSVWKWYNVWGWWSVWIWYMVWJWMWWSVWHWYLVUDWLVAUAVWAVUPWYLVUJVUQWWT
      VUNWYKVUOVWCVBWWTVULWYJVUMVAVUKVWAFXEXPWXAXIVUQWAZWYKVWCVBWTXRXQXJXSXNUXK
      UXLUXOUXMWXTWYCCYTTRZIWYCUXNTZRZVUBWXRWYEUCWPWQVUCXUQVWRWVOWXSVUCWYBVIYTT
      RZVVHXUQYPWXOWYBCVIUXPWRYBVUCXUSVWRWVOWXSAXUSVUBAIVUFXURAIVUFRZVUGIVFZAVU
      GIAVUFYQRZIVUFUXQZVEZVUGIVEAVUEYQRVVJXVCVUEVVPUXRLCVUEVVIUXSWRZAICXVDWXMA
      VUFCYRTRZCXVDVFAVUEVIYRTRVVHXVGVUEVVPUXTVVLCVUEVIUYAWRCVUFUYBWCUYCZIVUFXV
      DXVDWAZUYEXAVVTUYNAXVCXVEXVAXVBYAXVFXVHIVUFXVDXVIUYFXAUYGAXUTVVHVUFXURVFY
      PVVLWYBWYCVUEXURVICWYCWAVUEVVPUYHXURWAZUYIWRUYJVNYBVWSVUBWVOWXSWVIXLWVPWX
      RWWGUYKUCIWYCVUAWVQXURCXVJUYLUYMUYOUYPUYQUYRUYSWEVUCUDUCUBVUJVUAVUDVUQVUC
      UAVUJVUPVIVUCVUKVUAIFAIVIFVPVUBOVNZWXPAVUBUYTZYEYFVUCIVIVUIWXPYIVUCIVIVUA
      WXPXVLYGYHYSVUCUAIVUAVUDCVUFFVUQVUEVVOVVPXUPWXOXVKWXNYCYS $.

    $( If ` F ` is a sequence of differentiable functions on ` X ` which
       converge pointwise to ` G ` , and the derivatives of ` F ( n ) `
       converge uniformly to ` H ` , then ` G ` is differentiable with
       derivative ` H ` .  (Contributed by Mario Carneiro, 27-Feb-2015.) $)
    ulmdv $p |- ( ph -> ( S _D G ) = H ) $=
      ( cc wcel syl cdv co cdm wf cr cpr dvfg wss recnprss cv wceq biidd wa cfv
      ulmdvlem2 dvbsss eqsstrrdi ralrimiva cuz uzid eleqtrrdi rspcdva dvbss wbr
      cz ulmdvlem3 vex fvex eqelssd feq2d mpbid ffnd cmpt culm ulmcl wfun ffund
      breldm adantr funbrfv sylc eqfnfvd ) ABICFUAUBZGAIRWCAWCUCZRWCUDZIRWCUDAC
      UERUFSZWELCFUGTZAWDIRWCABWDIAICFAWFCRUHLCUITOAICUHZWHDJHDUJZHUKWHULAWHDJA
      WIJSUMICWIEUNZUAUBZUCCABCDEFGHIJKLMNOPQUOCWJUPUQURAHHUSUNZJAHVESHWLSMHUTT
      KVAVBVCABUJZISZUMZWMWMGUNZWCVDZWMWDSABCDEFGHIJKLMNOPQVFZWMWPWCBVGWMGVHVRT
      VIVJVKVLAIRGADJWKVMZGIVNUNVDIRGUDQIWSGVOTVLWOWCVPZWQWMWCUNWPUKAWTWNAWDRWC
      WGVQVSWRWMWPWCVTWAWB $.
  $}

  ${
    $d i j k n r x z F $.  $d i j k m n r x y z M $.  $d i j k m n r x y z N $.
    $d i j k m n r x y z ph $.  $d n x y z T $.  $d i j k m n r x y z Z $.
    $d i j k n r x y z S $.
    mtest.z $e |- Z = ( ZZ>= ` N ) $.
    mtest.n $e |- ( ph -> N e. ZZ ) $.
    mtest.s $e |- ( ph -> S e. V ) $.
    mtest.f $e |- ( ph -> F : Z --> ( CC ^m S ) ) $.
    mtest.m $e |- ( ph -> M e. W ) $.
    mtest.c $e |- ( ( ph /\ k e. Z ) -> ( M ` k ) e. RR ) $.
    mtest.l $e |- ( ( ph /\ ( k e. Z /\ z e. S ) ) ->
      ( abs ` ( ( F ` k ) ` z ) ) <_ ( M ` k ) ) $.
    mtest.d $e |- ( ph -> seq N ( + , M ) e. dom ~~> ) $.
    $( The Weierstrass M-test.  If ` F ` is a sequence of functions which are
       uniformly bounded by the convergent sequence ` M ( k ) ` , then the
       series generated by the sequence ` F ` converges uniformly.
       (Contributed by Mario Carneiro, 3-Mar-2015.) $)
    mtest $p |- ( ph -> seq N ( oF + , F ) e. dom ( ~~>u ` S ) ) $=
      ( wcel cc vi vj vr vn caddc cof cseq culm cfv cdm cv cmin co cabs clt wbr
      wral cuz wrex crp cz cli climcau syl2anc wa wi cle c1 cfz csu cmap wf wfn
      seqfn syl fneq2i sylibr cmpt elexd adantr simpr eleqtrdi elfzuz eleqtrrdi
      cvv ffvelrn syl2an elmapi feqmptd wceq adantl weq fveq2 fveq1d eqid fvmpt
      fvex mpteq2dv eqtr4d seqof ffvelrnda an32s fmpttd serf cnex elmapg mpbird
      wb sylancr eqeltrd ralrimiva ffnfv sylanbrc ad2antrr uztrn2 simprl subcld
      ffvelrnd abscld fzfid ssun2 simprr elfzuzb adantlr syldan cr recnd fvmpt2
      cun mpan2 sylan9eq oveq12d fsumser fsumcl fsumsplit mvrladdd fveq2d eqidd
      letrd ralimdva fzsplit sseqtrrid sselda fsumrecl resubcld eqeq12d rspcdva
      serfre sylan2 cin c0 eluzelre ltp1d fzdisj 3eqtr2d fsumabs eqbrtrd simpll
      ad4ant14 anass1rs fsumle eqtr3d eqeltrrd cc0 absge0d fsumge0 absidd eqtrd
      0red breqtrrd simpllr rpred lelttr syl3anc ralrimdva anassrs reximdva mpd
      mpand ulmcau ) AUEUFZEGUGZCUHUIUJSBUKZUAUKZUWBUIZUIZUWCUBUKZUWBUIZUIZULUM
      ZUNUIZUCUKZUOUPZBCUQZUAUWGURUIZUQZUBJUSZUCUTUQZAUWDUEFGUGZUIZUWGUWSUIZULU
      MZUNUIZUWLUOUPZUAUWOUQZUBJUSZUCUTUQZUWRAGVASZUWSVBUJSUXGLRUCUBUAUWSGJKVCV
      DAUXFUWQUCUTAUWLUTSZVEZUXEUWPUBJUXJUWGJSZVEUXDUWNUAUWOUXJUXKUWDUWOSZUXDUW
      NVFUXJUXKUXLVEZVEZUXDUWMBCUXNUWCCSZVEZUWKUXCVGUPZUXDUWMUXPUWKUWGVHUEUMZUW
      DVIUMZUWCDUKZEUIZUIZUNUIZDVJZUXCUXPUWJUXPUWFUWIUXNCTUWCUWEUXNUWETCVKUMZSZ
      CTUWEVLUXNJUYEUWDUWBAJUYEUWBVLZUXIUXMAUWBJVMZUYFUAJUQUYGAUWBGURUIZVMZUYHA
      UXHUYJLUWAEGVNVOJUYIUWBKVPVQAUYFUAJAUWDJSZVEZUWEBCUWDUEUDJUWCUDUKZEUIZUIZ
      VRZGUGZUIZVRZUYEUYLDBCUEEUYPGUWDWEACWESZUYKACHMVSVTZUYLUWDJUYIAUYKWAKWBUY
      LUXTGUWDVIUMZSZVEZUYABCUYBVRBCUXTUYPUIZVRVUDBCTUYAVUDUYAUYESZCTUYAVLZUYLJ
      UYEEVLZUXTJSZVUFVUCAVUHUYKNVTVUCUXTUYIJUXTGUWDWCKWDZJUYEUXTEWFZWGUYATCWHZ
      VOWIVUDBCVUEUYBVUDVUIVUEUYBWJZVUCVUIUYLVUJWKUDUXTUYOUYBJUYPUDDWLUWCUYNUYA
      UYMUXTEWMWNUYPWOUWCUYAWQWPZVOWRWSWTZUYLUYSUYESZCTUYSVLZUYLBCUYRTAUXOUYKUY
      RTSAUXOVEZJTUWDUYQVURUAUYPGJKAUXHUXOLVTVURJTUWDUYPVURUDJUYOTAUYMJSZUXOUYO
      TSAVUSVEZCTUWCUYNVUTUYNUYESCTUYNVLAJUYEUYMENXAUYNTCWHVOXAXBXCXAXDXAXBXCUY
      LTWESUYTVUPVUQXHXEVUATCUYSWEWEXFXIXGXJXKUAJUYEUWBXLXMZXNZUXMUYKUXJGUWDUWG
      JKXOZWKZXRUWETCWHVOXAUXNCTUWCUWHUXNUWHUYESCTUWHVLUXNJUYEUWGUWBVVBUXJUXKUX
      LXPZXRUWHTCWHVOXAXQXSZUXPUXSUYCDUXPUXRUWDXTZUXPUXTUXSSZVEZUYBUXPVVHVUCUYB
      TSZUXNVVHVUCUXOUXNUXSVUBUXTUXNGUWGVIUMZUXSYIZUXSVUBUXSVVKYAUXNUWGVUBSZVUB
      VVLWJZUXNUWGUYISZUXLVVMUXNUWGJUYIVVEKWBZUXJUXKUXLYBUWGGUWDYCXMUWGGUWDUUAV
      OZUUBUUCZYDZUXNVUCUXOVVJUXNVUCVEZCTUWCUYAVVTVUFVUGUXNVUHVUIVUFVUCAVUHUXIU
      XMNXNZVUJVUKWGVULVOXAXBZYEZXSZUUDUXNUXCYFSZUXOUXNUXBUXNUXBUXNUWTUXAUXNJYF
      UWDUWSAJYFUWSVLUXIUXMADFGJKLPUUHXNZVVDXRUXNJYFUWGUWSVWFVVEXRUUEZYGXSVTZUX
      PUWKUXSUYBDVJZUNUIUYDVGUXPUWJVWIUNUXPUWJUYRUWGUYQUIZULUMVUBUYBDVJZVVKUYBD
      VJZULUMVWIUXPUWFUYRUWIVWJULUXNUXOUWFUWCUYSUIZUYRUXNUWCUWEUYSAUXMUWEUYSWJZ
      UXIUXMAUYKVWNVVCVUOUUIYDWNUXOUYRWESVWMUYRWJUWDUYQWQBCUYRWEUYSUYSWOYHYJYKU
      XNUXOUWIUWCBCVWJVRZUIZVWJUXNUWCUWHVWOUXNVWNUWHVWOWJUAJUWGUAUBWLZUWEUWHUYS
      VWOUWDUWGUWBWMVWQBCUYRVWJUWDUWGUYQWMWRUUFAVWNUAJUQUXIUXMAVWNUAJVUOXKXNVVE
      UUGWNUXOVWJWESVWPVWJWJUWGUYQWQBCVWJWEVWOVWOWOYHYJYKYLUXPVWKUYRVWLVWJULUXP
      UYBDUYPGUWDUXPVUCVEVUIVUMVUCVUIUXPVUJWKVUNVOUXPUWDJUYIUXNUYKUXOVVDVTKWBVW
      BYMUXPUYBDUYPGUWGUXPUXTVVKSZVEVUIVUMVWRVUIUXPVWRUXTUYIJUXTGUWGWCKWDZWKVUN
      VOUXPUWGJUYIUXNUXKUXOVVEVTKWBUXNVWRUXOVVJUXNVWRVEZCTUWCUYAVWTVUFVUGUXNVUH
      VUIVUFVWRVWAVWSVUKWGVULVOXAXBZYMYLUXPVWKVWLVWIUXPVVKUYBDUXPGUWGXTVXAYNUXP
      UXSUYBDVVGVWCYNUXPVVKUXSUYBVUBDUXNVVKUXSUUJUUKWJZUXOUXNUWGUXRUOUPVXBUXNUW
      GUXNVVOUWGYFSVVPGUWGUULVOUUMGUWGUXRUWDUUNVOZVTUXNVVNUXOVVQVTUXPGUWDXTVWBY
      OYPUUOYQUXPUXSUYBDVVGVWCUUPUUQUXPUYDUXSUXTFUIZDVJZUXCVGUXPUXSUYCVXDDVVGVW
      DUXNVVHVXDYFSZUXOUXNVVHVUCVXFVVRUXNAVUIVXFVUCAUXIUXMUURZVUJPWGZYEYDZUXPVV
      HVUIUYCVXDVGUPZVVIVUCVUIVVSVUJVOUXNVUIUXOVXJAVUIUXOVEVXJUXIUXMQUUSUUTYEZU
      VAUXPUXCVXEUNUIZVXEUXNUXCVXLWJUXOUXNUXBVXEUNUXNVUBVXDDVJZVVKVXDDVJZULUMUX
      BVXEUXNVXMUWTVXNUXAULUXNVXDDFGUWDVVTVXDYRUXNUWDJUYIVVDKWBVVTVXDVXHYGZYMUX
      NVXDDFGUWGVWTVXDYRVVPVWTVXDUXNAVUIVXFVWRVXGVWSPWGYGZYMYLUXNVXMVXNVXEUXNVV
      KVXDDUXNGUWGXTVXPYNUXNUXSVXDDUXNUXRUWDXTUXNVVHVUCVXDTSVVRVXOYEYNUXNVVKUXS
      VXDVUBDVXCVVQUXNGUWDXTVXOYOYPUVBZYQVTUXPVXEUXNVXEYFSUXOUXNUXBVXEYFVXQVWGU
      VCVTUXPUXSVXDDVVGVXIVVIUVDUYCVXDVVIUVIVWDVXIVVIUYBVWCUVEVXKYSUVFUVGUVHUVJ
      YSUXPUWKYFSVWEUWLYFSUXQUXDVEUWMVFVVFVWHUXPUWLAUXIUXMUXOUVKUVLUWKUXCUWLUVM
      UVNUVSUVOUVPYTUVQYTUVRAUCBCUBUAUWBGHJKLMVVAUVTXG $.

    mtest.t $e |- ( ph -> seq N ( oF + , F ) ( ~~>u ` S ) T ) $.
    $( Given the hypotheses of the Weierstrass M-test, the convergent function
       of the sequence is uniformly bounded.  (Contributed by Mario Carneiro,
       9-Jul-2017.) $)
    mtestbdd $p |- ( ph -> E. x e. RR A. z e. S ( abs ` ( T ` z ) ) <_ x ) $=
      ( vm vy vn vj cv caddc cseq cfv cabs cle wbr wral cr wrex cz wcel cli cdm
      cc wa recnd serf ffvelrnda ralrimiva climbdd syl3anc cof adantr co wf wfn
      cmap culm cuz seqfn syl fneq2i sylibr ulmf2 syl2anc simplrl cfz cmpt wceq
      csu weq fveq2 mpteq2dv seqeq3d fveq1d eqid fvmpt adantl ad3antrrr feqmptd
      fvex elmapi mpteq2dva eqtrd simplr eleqtrdi elfzuz eleqtrrdi ssriv anasss
      wss a1i seqof2 ffvelrnd fmpttd sylan2 fsumser 3eqtr4d fveq2d fzfid fsumcl
      eqeltrrd abscld fsumabs simp-4l fsumle leabsd eqidd simprr breq1d rspccva
      fsumrecl syl12anc sylan eqbrtrd letrd brralrspcev ulmbdd rexlimddv ) AUBU
      FZUGHIUHZUIZUJUIZUCUFZUKULZUBLUMZCUFZEUIUJUIBUFZUKULCDUMBUNUOUCUNAIUPUQZY
      QURUSUQYRUTUQZUBLUMUUBUCUNUONTAUUFUBLALUTYPYQAFHILMNAFUFZLUQZVAUUGHUIZRVB
      ZVCVDVEUCUBYQILMVFVGAYTUNUQZUUBVAZVAZBCDUDUGVHZGIUHZEILMAUUEUULNVIALUTDVM
      VJZUUOVKZUULAUUOLVLZUUOEDVNUIULZUUQAUUOIVOUIZVLZUURAUUEUVANUUNGIVPVQLUUTU
      UOMVRVSUADUUOELVTWAVIUUMUDUFZLUQZVAZUUKUUCUVBUUOUIZUIZUJUIZYTUKULZCDUMUVG
      UUDUKULCDUMBUNUOAUUKUUBUVCWBZUVDUVHCDUVDUUCDUQZVAZUVGIUVBWCVJZUUCUUGGUIZU
      IZFWFZUJUIZYTUKUVKUVFUVOUJUVKUUCBDUVBUGUELUUDUEUFZGUIZUIZWDZIUHZUIZWDZUIZ
      UVBUGUELUUCUVRUIZWDZIUHZUIZUVFUVOUVJUWDUWHWEUVDBUUCUWBUWHDUWCBCWGZUVBUWAU
      WGUWIUVTUWFUGIUWIUELUVSUWEUUDUUCUVRWHWIWJWKUWCWLUVBUWGWQWMWNUVKUUCUVEUWCU
      VKUVEUVBUUNUELBDUVSWDZWDZIUHZUIUWCUVKUVBUUOUWLUVKGUWKUUNIUVKGUELUVRWDUWKU
      VKUELUUPGALUUPGVKUULUVCUVJPWOZWPUVKUELUVRUWJUVKUVQLUQZVAZBDUTUVRUWOUVRUUP
      UQDUTUVRVKUVKLUUPUVQGUWMVDUVRUTDWRVQZWPWSWTWJWKUVKUEBDLUGIUVBJUTUVSADJUQU
      ULUVCUVJOWOUVKUVBLUUTUUMUVCUVJXAMXBZUVLLXGUVKFUVLLUUGUVLUQZUUGUUTLUUGIUVB
      XCMXDZXEXHUVKUWNUUDDUQUVSUTUQUWODUTUUDUVRUWPVDXFXIWTWKUVKUVNFUWFIUVBUVKUW
      RVAZUUHUUGUWFUIZUVNWEUWRUUHUVKUWSWNZUEUUGUWEUVNLUWFUEFWGUUCUVRUVMUVQUUGGW
      HWKUWFWLUUCUVMWQWMVQZUWQUWTUXAUVNUTUXCUWRUVKUUHUXAUTUQUWSUVKLUTUUGUWFUVKU
      ELUWEUTUWODUTUUCUVRUWPUVDUVJUWNXAXJXKVDXLXRZXMXNXOUVKUVPUVLUVNUJUIZFWFZYT
      UVKUVOUVKUVLUVNFUVKIUVBXPZUXDXQXSUVKUVLUXEFUXGUWTUVNUXDXSZYHZUVDUUKUVJUVI
      VIZUVKUVLUVNFUXGUXDXTUVKUXFUVLUUIFWFZYTUXIUVKUVLUUIFUXGUWTAUUHUUIUNUQAUUL
      UVCUVJUWRYAZUXBRWAZYHZUXJUVKUVLUXEUUIFUXGUXHUXMUWTAUUHUVJUXEUUIUKULUXLUXB
      UVDUVJUWRXASYIYBUVKUXKUXKUJUIZYTUXNUVKUXKUVKUXKUXNVBXSUXJUVKUXKUXNYCUVKUX
      OUVBYQUIZUJUIZYTUKUVKUXKUXPUJUVKUUIFHIUVBUWTUUIYDUWQUWTAUUHUUIUTUQUXLUXBU
      UJWAXMXOUVDUXQYTUKULZUVJUUMUUBUVCUXRAUUKUUBYEUUAUXRUBUVBLUBUDWGZYSUXQYTUK
      UXSYRUXPUJYPUVBYQWHXOYFYGYJVIYKYLYLYLYKVEBCUVGYTUKUNDYMWAAUUSUULUAVIYNYO
      $.
  $}

  ${
    $d k n z F $.  $d n z G $.  $d k n z ph $.  $d k n z S $.  $d k n z Z $.
    $d n M $.
    mbfulm.z $e |- Z = ( ZZ>= ` M ) $.
    mbfulm.m $e |- ( ph -> M e. ZZ ) $.
    mbfulm.f $e |- ( ph -> F : Z --> MblFn ) $.
    mbfulm.u $e |- ( ph -> F ( ~~>u ` S ) G ) $.
    $( A uniform limit of measurable functions is measurable.  (This is just a
       corollary of the fact that a pointwise limit of measurable functions is
       measurable, see ~ mbflim .)  (Contributed by Mario Carneiro,
       18-Mar-2015.) $)
    mbfulm $p |- ( ph -> G e. MblFn ) $=
      ( vz vk cv cfv cmpt cmbf cc wf wcel adantr culm wbr ulmcl syl feqmptd cvv
      vn wa cz cmap wfn ffnd ulmf2 syl2anc simpr cuz fvexi mptex a1i wceq fveq2
      co fveq1d eqid fvex eqcomd adantl ulmclm ffvelrnda elmapi eqeltrrd anasss
      fvmpt mbflim eqeltrd ) ADKBKMZDNZOPAKBQDACDBUANUBZBQDRJBCDUCUDUEAKBVPLMZC
      NZNZVQLEQFGHAVPBSZUHZVPBUGCDLFWAOZEUFFGAEUISWBHTAFQBUJVBZCRZWBACFUKVRWFAF
      PCIULJBCDFUMUNZTAWBUOWDUFSWCLFWAFEUPGUQURUSUGMZFSZVPWHCNZNZWHWDNZUTWCWIWL
      WKLWHWAWKFWDVSWHUTVPVTWJVSWHCVAVCWDVDVPWJVEVMVFVGAVRWBJTVHAVSFSZUHZVTKBWA
      OPWNKBQVTWNVTWESBQVTRAFWEVSCWGVIVTQBVJUDZUEAFPVSCIVIVKAWMWBWAQSWNBQVPVTWO
      VIVLVNVO $.
  $}

  ${
    $d j k n r x z F $.  $d j k n r x z G $.  $d j k n r x z ph $.
    $d j k n x z M $.  $d j k n r x z S $.  $d j k n r x z Z $.
    itgulm.z $e |- Z = ( ZZ>= ` M ) $.
    itgulm.m $e |- ( ph -> M e. ZZ ) $.
    itgulm.f $e |- ( ph -> F : Z --> L^1 ) $.
    itgulm.u $e |- ( ph -> F ( ~~>u ` S ) G ) $.
    itgulm.s $e |- ( ph -> ( vol ` S ) e. RR ) $.
    $( A uniform limit of integrable functions is integrable.  (Contributed by
       Mario Carneiro, 3-Mar-2015.) $)
    iblulm $p |- ( ph -> G e. L^1 ) $=
      ( vx vz cfv c1 cibl wcel cc wa cmbf vk vj vr cv cmin co cabs clt wbr wral
      cuz wrex wfn culm cmap wf ffnd ulmf2 syl2anc crp 1rp a1i ulmi r19.2uz syl
      eqidd cmpt ulmcl adantr feqmptd ffvelrnda elmapi adantrr nncand mpteq2dva
      eqtr4d eqeltrrd subcld cdm cr cle cof cvv ulmscl offval2 iblmbf wss ssriv
      cvol fss sylancl mbfulm mbfsub eqid dmmptd fveq2d eqeltrd 1re abscld ltle
      wceq fveq2 oveq12d ovex fvmpt adantl breq1d sylibrd ralimdva impr raleqdv
      wi mpbird brralrspcev sylancr bddibl syl3anc iblsub rexlimddv ) ALUDZUAUD
      ZCNZNZXTDNZUEUFZUGNZOUHUIZLBUJZDPQUAFAYHUAUBUDUKNUJUBFULYHUAFULALYDYCOBUB
      UACDEFGHACFUMCDBUNNUIZFRBUOUFZCUPAFPCIUQJBCDFURUSZAYAFQZXTBQZSSYCVFAYMSYD
      VFJOUTQAVAVBVCYHUBUAEFGVDVEAYLYHSZSZDMBMUDZYBNZYQYPDNZUEUFZUEUFZVGZPYODMB
      YRVGUUAYOMBRDABRDUPZYNAYIUUBJBCDVHVEZVIZVJZYOMBYTYRYOYPBQSZYQYRYOBRYPYBAY
      LBRYBUPZYHAYLSZYBYJQUUGAFYJYACYKVKYBRBVLVEZVMZVKZYOBRYPDUUDVKZVNVOVPYOMBY
      QYSRUUKYOYBMBYQVGPYOMBRYBUUJVJZAYLYBPQZYHAFPYACIVKVMZVQUUFYQYRUUKUULVRZYO
      MBYSVGZTQUUQVSZWINZVTQXTUUQNZUGNZUCUDWAUILUURUJUCVTULZUUQPQYOYBDUEWBUFUUQ
      TYOMBYQYRUEYBDWCRRABWCQZYNAYIUVCJBCDWDVEVIUUKUULUUMUUEWEYOYBDYOUUNYBTQUUO
      YBWFVEADTQYNABCDEFGHAFPCUPPTWGFTCUPILPTXTWFWHFPTCWJWKJWLVIWMVQYOUUSBWINZV
      TYOUURBWIYOMUUQBYSRUUQWNZUUPWOZWPAUVDVTQYNKVIWQYOOVTQZUVAOWAUIZLUURUJZUVB
      WRYOUVIUVHLBUJZAYLYHUVJUUHYGUVHLBUUHYMSZYGYFOWAUIZUVHUVKYFVTQUVGYGUVLXLUV
      KYEUVKYCYDUUHBRXTYBUUIVKUUHBRXTDAUUBYLUUCVIVKVRWSWRYFOWTWKUVKUVAYFOWAUVKU
      UTYEUGYMUUTYEXAUUHMXTYSYEBUUQYPXTXAYQYCYRYDUEYPXTYBXBYPXTDXBXCUVEYCYDUEXD
      XEXFWPXGXHXIXJYOUVHLUURBUVFXKXMUCLUVAOWAVTUURXNXOUCLUUQXPXQXRWQXS $.

    $( A uniform limit of integrals of integrable functions converges to the
       integral of the limit function.  (Contributed by Mario Carneiro,
       18-Mar-2015.) $)
    itgulm $p |- ( ph -> ( k e. Z |-> S. S ( ( F ` k ) ` x ) _d x )
        ~~> S. S ( G ` x ) _d x ) $=
      ( cfv wbr co clt wcel wa cc vn vr vj vz citg cmpt cli cmin cabs wral wrex
      cv cuz crp cvol c1 caddc cdiv cz adantr cmap culm cibl ffnd ulmf2 syl2anc
      wf wfn eqidd simpr cr cc0 cle covol cdm wss wceq ulmcl 3syl iblulm iblmbf
      fdm cmbf mbfdm eqeltrrd mblss ovolge0 syl breqtrrd ge0p1rpd rpdivcld ulmi
      mblvol uztrn2 elmapi adantllr adantlrr feqmptd ad2ant2r ad4ant14 ad2antrr
      wi ffvelrnda itgsub fveq2d subcld iblsub itgcl abscld iblabs itgrecl rpre
      ad2antlr itgabs rpred remulcld csn cxp fconstmpt rpcnd iblconst eqeltrrid
      cmul syl3anc simprr weq fveq2 oveq12d breq1d rspccva sylan ltled itgconst
      itgle breqtrd recnd mpbird eqbrtrrd lelttrd cvv rpne0d div23d wb peano2re
      ltp1d rpgt0 ltmul2 mpbid ltdivmul2d expr sylan2 anassrs ralimdva reximdva
      syl112anc mpd ralrimiva fvexi mptex a1i fveq1d itgeq2dv eqid itgex adantl
      fvmpt clim2c ) ADHBCBULZDULZENZNZUEZUFZBCUVHFNZUEZUGOBCUVHUAULZENZNZUEZUV
      OUHPZUINZUBULZQOZUAUCULZUMNZUJZUCHUKZUBUNUJAUWGUBUNAUWBUNRZSZUDULZUVQNZUW
      JFNZUHPZUINZUWBCUONZUPUQPZURPZQOZUDCUJZUAUWEUJZUCHUKUWGUWIUDUWLUWKUWQCUCU
      AEFGHIAGUSRUWHJUTAHTCVAPZEVGZUWHAEHVHEFCVBNOZUXBAHVCEKVDLCEFHVEVFZUTUWIUV
      PHRZUWJCRZSSUWKVIUWIUXFSUWLVIAUXCUWHLUTUWIUWBUWPAUWHVJUWIUWOAUWOVKRZUWHMU
      TAVLUWOVMOUWHAVLCVNNZUWOVMACUOVOZRZCVKVPVLUXHVMOAFVOZCUXIAUXCCTFVGZUXKCVQ
      LCEFVRZCTFWBVSAFVCRFWCRUXKUXIRACEFGHIJKLMVTZFWAFWDVSWEZCWFCWGVSAUXJUWOUXH
      VQUXOCWMWHWIUTWJZWKZWLUWIUWTUWFUCHUWIUWDHRZSUWSUWCUAUWEUWIUXRUVPUWERZUWSU
      WCXBZUXRUXSSUWIUXEUXTGUVPUWDHIWNUWIUXEUWSUWCUWIUXEUWSSZSZBCUVRUVNUHPZUEZU
      INZUWAUWBQUYBUYDUVTUIUYBBCUVRUVNTUWIUXEUVHCRZUVRTRZUWSAUXEUYFUYGUWHAUXESZ
      CTUVHUVQUYHUVQUXARCTUVQVGAHUXAUVPEUXDXCUVQTCWOWHZXCZWPWQZAUXEBCUVRUFZVCRU
      WHUWSUYHUVQUYLVCUYHBCTUVQUYIWRAHVCUVPEKXCWEZWSZAUYFUVNTRUWHUYAACTUVHFAUXC
      UXLLUXMWHZXCZWTZABCUVNUFZVCRUWHUYAAFUYRVCABCTFUYOWRUXNWEZXAZXDXEUYBUYEBCU
      YCUINZUEZUWBUYBUYDUYBBCUYCTUYBUYFSZUVRUVNUYKUYQXFZUYBBCUVRUVNTUYKUYNUYQUY
      TXGZXHXIUYBBCVUAVUCUYCVUDXIZUYBBCUYCTVUDVUEXJZXKZUWHUWBVKRZAUYAUWBXLXMZUY
      BBCUYCTVUDVUEXNUYBVUBUWQUWOYCPZUWBVUHUYBUWQUWOUYBUWQUWIUWQUNRUYAUXQUTZXOZ
      AUXGUWHUYAMXAZXPVUJUYBVUBBCUWQUEZVUKVMUYBBCVUAUWQVUGUYBBCUWQUFCUWQXQXRZVC
      BCUWQXSUYBUXJUXGUWQTRZVUPVCRAUXJUWHUYAUXOXAZVUNUYBUWQVULXTZCUWQYAYDYBVUFU
      YBUWQVKRUYFVUMUTZVUCVUAUWQVUFVUTUYBUWSUYFVUAUWQQOZUWIUXEUWSYEUWRVVAUDUVHC
      UDBYFZUWNVUAUWQQVVBUWMUYCUIVVBUWKUVRUWLUVNUHUWJUVHUVQYGUWJUVHFYGYHXEYIYJY
      KYLYNUYBUXJUXGVUQVUOVUKVQVURVUNVUSBCUWQYMYDYOUYBUWBUWOYCPZUWPURPZVUKUWBQU
      YBUWBUWOUWPUYBUWBVUJYPUYBUWOVUNYPUYBUWPUWIUWPUNRUYAUXPUTZXTUYBUWPVVEUUAUU
      BUYBVVDUWBQOVVCUWBUWPYCPQOZUYBUWOUWPQOZVVFUYBUWOVUNUUEUYBUXGUWPVKRZVUIVLU
      WBQOZVVGVVFUUCVUNUYBUXGVVHVUNUWOUUDWHVUJUWHVVIAUYAUWBUUFXMUWOUWPUWBUUGUUO
      UUHUYBVVCUWBUWPUYBUWBUWOVUJVUNXPVUJVVEUUIYQYRYSYSYRUUJUUKUULUUMUUNUUPUUQA
      UBUVOUVSUCUAUVMGYTHIJUVMYTRADHUVLHGUMIUURUUSUUTUXEUVPUVMNUVSVQADUVPUVLUVS
      HUVMDUAYFZBCUVKUVRVVJUVKUVRVQUYFVVJUVHUVJUVQUVIUVPEYGUVAUTUVBUVMUVCBCUVRU
      VDUVFUVEABCUVNTUYPUYSXHUYHBCUVRTUYJUYMXHUVGYQ $.
  $}

  ${
    $d n z A $.  $d k n x z ph $.  $d k n x z S $.  $d k n x z Z $.
    $d n z B $.  $d n z M $.
    itgulm2.z $e |- Z = ( ZZ>= ` M ) $.
    itgulm2.m $e |- ( ph -> M e. ZZ ) $.
    itgulm2.l $e |- ( ( ph /\ k e. Z ) -> ( x e. S |-> A ) e. L^1 ) $.
    itgulm2.u $e |- ( ph ->
             ( k e. Z |-> ( x e. S |-> A ) ) ( ~~>u ` S ) ( x e. S |-> B ) ) $.
    itgulm2.s $e |- ( ph -> ( vol ` S ) e. RR ) $.
    $( A uniform limit of integrals of integrable functions converges to the
       integral of the limit function.  (Contributed by Mario Carneiro,
       18-Mar-2015.) $)
    itgulm2 $p |- ( ph -> ( ( x e. S |-> B ) e. L^1 /\
                              ( k e. Z |-> S. S A _d x ) ~~> S. S B _d x ) ) $=
      ( vz cmpt wcel citg cfv nfcv cc vn cibl cli wbr fmpttd iblulm cv nffvmpt1
      itgulm nffv nfitg fveq2 nfmpt1 nfmpt cbvitg fveq1d adantr itgeq2dv syl5eq
      wceq cbvmpt wa cvv simplr culm ulmscl mptexg 3syl ad2antrr fvmpt2 syl2anc
      eqid simpr cmap co wf wfn wral ralrimivw fnmpt syl ulmf2 fvmptelrn elmapi
      eqtrd mpteq2dva ulmcl 3brtr3d jca ) ABEDOZUBPFHBECQZOZBEDQZUCUDAEFHBECOZO
      ZWJGHIJAFHWNUBKUEZLMUFAUAHNENUGZUAUGZWORZRZQZOZNEWQWJRZQZWLWMUCANEUAWOWJG
      HIJWPLMUIAXBFHBEBUGZFUGZWORZRZQZOWLUAFHXAXINFEWTFESFWQWSFHWNWRUHFWQSUJUKU
      AXISWRXFUTZXABEXEWSRZQXINBEWTXKWQXEWSULBWQWSBWRWOBFHWNBHSBECUMUNBWRSUJBWQ
      SUJNXKSUOXJBEXKXHXJXKXHUTXEEPZXJXEWSXGWRXFWOULUPUQURUSVAAFHXIWKAXFHPZVBZB
      EXHCXNXLVBZXHXEWNRZCXOXEXGWNXOXMWNVCPZXGWNUTAXMXLVDAXQXMXLAWOWJEVERUDZEVC
      PXQLEWOWJVFBECVCVGVHZVIFHWNVCWOWOVLZVJVKUPXOXLCTPXPCUTXNXLVMXNBECTXNWNTEV
      NVOZPETWNVPAFHWNYAAWOHVQZXRHYAWOVPAXQFHVRYBAXQFHXSVSFHWNWOVCXTVTWALEWOWJH
      WBVKWCWNTEWDWAWCBECTWNWNVLVJVKWEURWFUSAXDBEXEWJRZQWMNBEXCYCWQXEWJULBEDWQU
      HNYCSUOABEYCDAXLVBXLDTPYCDUTAXLVMABEDTAXRETWJVPLEWOWJWGWAWCBEDTWJWJVLVJVK
      URUSWHWI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Power series
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d i k m n s x y A $.  $d j m s H $.  $d i j k m s ph $.  $d i k m s y X $.
    $d j k m r s y G $.  $d n y N $.  $d k y R $.  $d i j k m Y $.
    pser.g $e |- G = ( x e. CC |-> ( n e. NN0 |->
      ( ( A ` n ) x. ( x ^ n ) ) ) ) $.
    $( Value of the function ` G ` that gives the sequence of monomials of a
       power series.  (Contributed by Mario Carneiro, 26-Feb-2015.) $)
    pserval $p |- ( X e. CC ->
      ( G ` X ) = ( m e. NN0 |-> ( ( A ` m ) x. ( X ^ m ) ) ) ) $=
      ( vy cn0 cv cfv cexp co cmul cmpt cc wceq oveq1 oveq2d mpteq2dv oveq12d
      fveq2 oveq2 cbvmptv syl5eq eqtri nn0ex mptex fvmpt ) HFCICJZBKZHJZUJLMZNM
      ZOZCIUKFUJLMZNMZOPEULFQZCIUNUQURUMUPUKNULFUJLRSTEAPDIDJZBKZAJZUSLMZNMZOZO
      HPUOOGAHPVDUOVAULQZVDCIUKVAUJLMZNMZOUODCIVCVGUSUJQUTUKVBVFNUSUJBUBUSUJVAL
      UCUAUDVECIVGUNVEVFUMUKNVAULUJLRSTUEUDUFCIUQUGUHUI $.

    $( Value of the function ` G ` that gives the sequence of monomials of a
       power series.  (Contributed by Mario Carneiro, 26-Feb-2015.) $)
    pserval2 $p |- ( ( X e. CC /\ N e. NN0 ) ->
      ( ( G ` X ) ` N ) = ( ( A ` N ) x. ( X ^ N ) ) ) $=
      ( vy cc wcel cn0 cfv cv cexp co cmul cmpt pserval fveq1d wceq fveq2 oveq2
      oveq12d eqid ovex fvmpt sylan9eq ) FIJZEKJEFDLZLEHKHMZBLZFUJNOZPOZQZLEBLZ
      FENOZPOZUHEUIUNABHCDFGRSHEUMUQKUNUJETUKUOULUPPUJEBUAUJEFNUBUCUNUDUOUPPUEU
      FUG $.

    radcnv.a $e |- ( ph -> A : NN0 --> CC ) $.
    ${
      psergf.x $e |- ( ph -> X e. CC ) $.
      $( The sequence of terms in the infinite sequence defining a power series
         for fixed ` X ` .  (Contributed by Mario Carneiro, 26-Feb-2015.) $)
      psergf $p |- ( ph -> ( G ` X ) : NN0 --> CC ) $=
        ( vm cn0 cc wf wcel cfv wa cv cexp co cmul cmpt pserval ffvelrn adantlr
        wceq adantl expcl adantll mulcld fmpt3d syl2anc ) AKLCMZFLNZKLFEOZMHIUL
        UMPZJKJQZCOZFUPRSZTSZLUNUMUNJKUSUAUEULBCJDEFGUBUFUOUPKNZPUQURULUTUQLNUM
        KLUPCUCUDUMUTURLNULFUPUGUHUIUJUK $.

      radcnvlem2.y $e |- ( ph -> Y e. CC ) $.
      radcnvlem2.a $e |- ( ph -> ( abs ` X ) < ( abs ` Y ) ) $.
      radcnvlem2.c $e |- ( ph ->
        seq 0 ( + , ( G ` Y ) ) e. dom ~~> ) $.
      ${
        radcnvlem1.h $e |- H = ( m e. NN0 |->
          ( m x. ( abs ` ( ( G ` X ) ` m ) ) ) ) $.
        $( Lemma for ~ radcnvlt1 , ~ radcnvle .  If ` X ` is a point closer to
           zero than ` Y ` and the power series converges at ` Y ` , then it
           converges absolutely at ` X ` , even if the terms in the sequence
           are multiplied by ` n ` .  (Contributed by Mario Carneiro,
           31-Mar-2015.) $)
        radcnvlem1 $p |- ( ph -> seq 0 ( + , H ) e. dom ~~> ) $=
          ( cfv co cmul wcel vk vj vi cv cexp cabs c1 clt wbr cuz wral cc0 cseq
          caddc cli cdm cn0 nn0uz 0zd crp 1rp a1i wceq pserval2 sylan cvv fvexd
          cc psergf ffvelrnda serf0 climi0 wa cdiv cmpt simprl cr adantl adantr
          nn0re wne 0red absge0d lelttrd gt0ne0d redivcld reexpcl remulcld eqid
          abscld fmptd wf recnd divge0 syl22anc absidd mulid1d breqtrrd wb 1red
          ltdivmul syl112anc mpbird eqbrtrd geomulcvg syl2anc ad2antrr ffvelrnd
          cle eluznn0 reexpcld nn0red nn0ge0d expcld mulcld expge0d fveq2 oveq2
          simprr weq oveq12d fveq2d breq1d rspccva wi 1re ltle sylancl lemul1ad
          absmuld mul32d absexpd oveq2d 3eqtr3d mulid2d 3brtr3d cz 3brtr4d ovex
          mpd eluzelz expgt0 syl3anc lemuldiv mpbid expdivd lemul2ad mulge0d id
          fvmpt2 fvmpt syl cvgcmpce rexlimddv ) AUAUDZCQZIUUOUERZSRZUFQZUGUHUIZ
          UAUBUDZUJQZUKZUNGULUMUOUPZTUBUQAUURUGUBUAIFQZULUQURAUSZUGUTTAVAVBAIVH
          TZUUOUQTUUOUVEQUURVCMBCEFUUOIJVDVEAUAUVEULVFUQURUVFAIFVGOAUQVHUUOUVEA
          BCEFIJKMVIVJVKVLAUVAUQTZUVCVMZVMZUGDUCUQUCUDZHUFQZIUFQZVNRZUVKUERZSRZ
          VOZGULUVAUQURAUVHUVCVPZUVJUQVQDUDZUVQUVJUCUQUVPVQUVQUVJUVKUQTZVMUVKUV
          OUVTUVKVQTUVJUVKVTVRUVJUVNVQTZUVTUVOVQTUVJUVLUVMUVJHAHVHTZUVILVSWJZUV
          JIAUVGUVIMVSWJZAUVMULWAZUVIAUVMAULUVLUVMAWBAHLWJZAIMWJZAHLWCZNWDZWEZV
          SWFZUVNUVKWGVEWHUVQWIZWKVJUVJUVSUQTZVMUVSGQZUVJUQVQUVSGAUQVQGWLUVIADU
          QUVSUVSHFQZQZUFQZSRZVQGAUWMVMZUVSUWQUWMUVSVQTAUVSVTVRUWSUWPAUQVHUVSUW
          OABCEFHJKLVIZVJWJWHPWKVSVJWMAUNUVQULUMUVDTZUVIAUVNVHTUVNUFQZUGUHUIUXA
          AUVNAUVLUVMUWFUWGUWJWFZWMAUXBUVNUGUHAUVNUXCAUVLVQTZULUVLXIUIUVMVQTZUL
          UVMUHUIZULUVNXIUIUWFUWHUWGUWIUVLUVMWNWOWPAUVNUGUHUIZUVLUVMUGSRZUHUIZA
          UVLUVMUXHUHNAUVMAUVMUWGWMWQWRAUXDUGVQTZUXEUXFUXGUXIWSUWFAWTUWGUWIUVLU
          GUVMXAXBXCXDUVNUCUVQUWLXEXFVSUVJWTUVJUVSUVBTZVMZUWRUFQZUGUVSUVNUVSUER
          ZSRZSRZUWNUFQUGUVSUVQQZSRXIUXLUWRUXOUXMUXPXIUXLUWQUXNUVSUXLUWPUXLUQVH
          UVSUWOAUQVHUWOWLUVIUXKUWTXGUVJUVHUXKUWMUVRUVSUVAXJVEZXHZWJZUXLUVNUVSU
          VJUWAUXKUWKVSUXRXKZUXLUVSUXRXLZUXLUVSUXRXMZUXLUVSCQZHUVSUERZSRZUFQZUV
          LUVSUERZUVMUVSUERZVNRZUWQUXNXIUXLUYGUYISRZUYHXIUIZUYGUYJXIUIZUXLUYDIU
          VSUERZSRZUFQZUYHSRZUGUYHSRUYKUYHXIUXLUYPUGUYHUXLUYOUXLUYDUYNUXLUQVHUV
          SCAUQVHCWLUVIUXKKXGUXRXHZUXLIUVSAUVGUVIUXKMXGZUXRXNZXOZWJZUXLWTUXLUVL
          UVSUXLHAUWBUVIUXKLXGZWJZUXRXKZUXLUVLUVSVUDUXRUXLHVUCWCXPUXLUYPUGUHUIZ
          UYPUGXIUIZUVJUVCUXKVUFAUVHUVCXSUUTVUFUAUVSUVBUADXTZUUSUYPUGUHVUHUURUY
          OUFVUHUUPUYDUUQUYNSUUOUVSCXQUUOUVSIUEXRYAYBYCYDVEUXLUYPVQTUXJVUFVUGYE
          VUBYFUYPUGYGYHYTYIUXLUYFUYNSRZUFQZUYGUYNUFQZSRUYQUYKUXLUYFUYNUXLUYDUY
          EUYRUXLHUVSVUCUXRXNZXOZUYTYJUXLUYOUYESRZUFQUYPUYEUFQZSRVUJUYQUXLUYOUY
          EVUAVULYJUXLVUNVUIUFUXLUYDUYNUYEUYRUYTVULYKYBUXLVUOUYHUYPSUXLHUVSVUCU
          XRYLYMYNUXLVUKUYIUYGSUXLIUVSUYSUXRYLYMYNUXLUYHUXLUYHVUEWMYOYPUXLUYGVQ
          TUYHVQTUYIVQTULUYIUHUIZUYLUYMWSUXLUYFVUMWJVUEUXLUVMUVSUVJUXEUXKUWDVSZ
          UXRXKUXLUXEUVSYQTZUXFVUPVUQUXKVURUVJUVAUVSUUAVRAUXFUVIUXKUWIXGUVMUVSU
          UBUUCUYGUYHUYIUUDXBUUEUXLUWPUYFUFUXLUWBUWMUWPUYFVCVUCUXRBCEFUVSHJVDXF
          YBUXLUVLUVMUVSUVJUVLVHTUXKUVJUVLUWCWMVSUVJUVMVHTUXKUVJUVMUWDWMVSAUWEU
          VIUXKUWJXGUXRUUFYRUUGUXLUWRUXLUVSUWQUYBUXTWHUXLUVSUWQUYBUXTUYCUXLUWPU
          XSWCUUHWPUXLUXOUXLUXOUXLUVSUXNUYBUYAWHWMYOYRUXLUWNUWRUFUXLUWMUWRVFTUW
          NUWRVCUXRUVSUWQSYSDUQUWRVFGPUUJYHYBUXLUXQUXOUGSUXLUWMUXQUXOVCUXRUCUVS
          UVPUXOUQUVQUCDXTZUVKUVSUVOUXNSVUSUUIUVKUVSUVNUEXRYAUWLUVSUXNSYSUUKUUL
          YMYRUUMUUN $.
      $}

      $( Lemma for ~ radcnvlt1 , ~ radcnvle .  If ` X ` is a point closer to
         zero than ` Y ` and the power series converges at ` Y ` , then it
         converges absolutely at ` X ` .  (Contributed by Mario Carneiro,
         26-Feb-2015.) $)
      radcnvlem2 $p |- ( ph ->
        seq 0 ( + , ( abs o. ( G ` X ) ) ) e. dom ~~> ) $=
        ( c1 cn0 cfv cabs cmul wcel wceq vk vm cv co cmpt ccom cc0 nn0uz a1i wa
        1nn0 cr id 2fveq3 oveq12d eqid ovex fvmpt adantl nn0re psergf ffvelrnda
        cc abscld remulcld eqeltrd wf fvco3 sylan recnd cbvmptv radcnvlem1 1red
        cuz cle cn elnnuz nnnn0 sylbir sylan2 wbr eluzle lemul1ad absidm fveq2d
        absge0d syl mulid2d 3eqtr4d oveq2d eqtrd 3brtr4d cvgcmpce ) ANUAUBOUBUC
        ZWNFEPZPQPZRUDZUEZQWOUFZUGNOUHNOSAUKUIAUAUCZOSZUJZWTWRPZWTWTWOPZQPZRUDZ
        ULXAXCXFTAUBWTWQXFOWRWNWTTZWNWTWPXERXGUMWNWTQWOUNUOZWRUPWTXERUQURUSZXBW
        TXEXAWTULSZAWTUTUSZXBXDAOVCWTWOABCDEFHIJVAZVBZVDZVEZVFXBWTWSPZXEVCAOVCW
        OVGXAXPXETXLOVCWTQWOVHVIZXBXEXNVJZVFABCUADEWRFGHIJKLMUBUAOWQXFXHVKVLAVM
        AWTNVNPSZUJZNXERUDZXFXPQPZNXCRUDZVOXTNWTXEXTVMXSAXAXJXSWTVPSXAWTVQWTVRV
        SZXKVTXSAXAXEULSYDXNVTXSAXAUGXEVOWAYDXBXDXMWFVTXSNWTVOWAANWTWBUSWCXSAXA
        YBYATYDXBXEQPZXEYBYAXBXDVCSYEXETXMXDWDWGXBXPXEQXQWEXBXEXRWHWIVTXSAXAYCX
        FTYDXBYCNXFRUDXFXBXCXFNRXIWJXBXFXBXFXOVJWHWKVTWLWM $.

      $( Lemma for ~ radcnvlt1 , ~ radcnvle .  If ` X ` is a point closer to
         zero than ` Y ` and the power series converges at ` Y ` , then it
         converges at ` X ` .  (Contributed by Mario Carneiro, 31-Mar-2015.) $)
      radcnvlem3 $p |- ( ph -> seq 0 ( + , ( G ` X ) ) e. dom ~~> ) $=
        ( vk cabs cfv ccom cc0 cn0 cc nn0uz 0zd wf wcel wceq psergf fvco3 sylan
        cv ffvelrnda radcnvlem2 abscvgcvg ) ANOFEPZQZUMRSUAAUBASTUMUCNUIZSUDUOU
        NPUOUMPOPUEABCDEFHIJUFZSTUOOUMUGUHASTUOUMUPUJABCDEFGHIJKLMUKUL $.
    $}

    $( Zero is always a convergent point for any power series.  (Contributed by
       Mario Carneiro, 26-Feb-2015.) $)
    radcnv0 $p |- ( ph ->
      0 e. { r e. RR | seq 0 ( + , ( G ` r ) ) e. dom ~~> } ) $=
      ( vk caddc cv cfv cc0 cseq wcel wceq cn0 co cmul cc cli cdm fveq2 seqeq3d
      cr eleq1d 0red csn nn0uz 0zd cfn snfi a1i 0nn0 snssd wa ifid wn cexp 0cnd
      cif pserval2 sylan adantr cn wo simpr elnn0 sylib ord velsn syl6ibr con1d
      0expd oveq2d ffvelrnda mul01d 3eqtrd ifeq2da eqtr3id sselda psergf syldan
      imp fsumcvg3 elrabd ) AJFKZELZMNZUAUBZOJMELZMNZWJOFMUEWGMPZWIWLWJWMWHWKJM
      WGMEUCUDUFAUGAMUHZIKZWKLZIWKMQUIAUJWNUKOAMULUMAMQMQOAUNUMUOZAWOQOZUPZWPWO
      WNOZWPWPVAWTWPMVAWTWPUQWSWTWPMWPWSWTURZUPZWPWOCLZMWOUSRZSRZXCMSRMWSWPXEPZ
      XAAMTOWRXFAUTZBCDEWOMGVBVCVDXBXDMXCSXBWOWSXAWOVEOZWSXHWTWSXHURWOMPZWTWSXH
      XIWSWRXHXIVFAWRVGWOVHVIVJIMVKVLVMWDVNVOXBXCWSXCTOXAAQTWOCHVPVDVQVRVSVTAWT
      WRWPTOAWNQWOWQWAAQTWOWKABCDEMGHXGWBVPWCWEWF $.

    radcnv.r $e |- R =
      sup ( { r e. RR | seq 0 ( + , ( G ` r ) ) e. dom ~~> } , RR* , < ) $.
    $( The radius of convergence ` R ` of an infinite series is a nonnegative
       extended real number.  (Contributed by Mario Carneiro, 26-Feb-2015.) $)
    radcnvcl $p |- ( ph -> R e. ( 0 [,] +oo ) ) $=
      ( cxr wcel cc0 cle wbr cpnf cicc co caddc cr cv cfv cseq cli cdm crab clt
      csup wss ssrab2 ressxr supxrcl eqeltrid radcnv0 supxrub sylancr breqtrrdi
      sstri mp1i pnfge syl w3a wb 0xr pnfxr elicc1 mp2an syl3anbrc ) ADKLZMDNOZ
      DPNOZDMPQRLZADSGUAFUBMUCUDUELZGTUFZKUGUHZKJVNKUIZVOKLAVNTKVMGTUJUKURZVNUL
      USUMZAMVODNAVPMVNLMVONOVQABCEFGHIUNVNMUOUPJUQAVIVKVRDUTVAMKLPKLVLVIVJVKVB
      VCVDVEMPDVFVGVH $.

    ${
      radcnvlt.x $e |- ( ph -> X e. CC ) $.
      radcnvlt.a $e |- ( ph -> ( abs ` X ) < R ) $.
      ${
        radcnvlt1.h $e |- H = ( m e. NN0 |->
          ( m x. ( abs ` ( ( G ` X ) ` m ) ) ) ) $.
        $( If ` X ` is within the open disk of radius ` R ` centered at zero,
           then the infinite series converges absolutely at ` X ` , and also
           converges when the series is multiplied by ` n ` .  (Contributed by
           Mario Carneiro, 26-Feb-2015.) $)
        radcnvlt1 $p |- ( ph -> ( seq 0 ( + , H ) e. dom ~~> /\
          seq 0 ( + , ( abs o. ( G ` X ) ) ) e. dom ~~> ) ) $=
          ( vs cc0 wcel cr caddc cv cfv cseq cli cdm cabs cle wbr wn wa wrex wi
          ccom wral clt cxr wb ressxr abscld cpnf cicc iccssxr radcnvcl xrltnle
          sselid co syl2anc mpbid crab csup breq1i wss ssrab2 supxrleub sylancr
          sstri syl5bb fveq2 seqeq3d eleq1d ralrab bitrdi mtbid rexanali sylibr
          weq ltnle sylan adantr cn0 cc wf ad2antrr simplr recnd simprr absge0d
          0red lelttrd absidd breqtrrd simprl radcnvlem1 radcnvlem2 jca sylbird
          ltled expr expimpd rexlimdva mpd ) AUAQUBZGUCZRUDZUEUFZSZXMIUGUCZUHUI
          ZUJZUKZQTULZUAHRUDXPSZUAUGIGUCUNRUDXPSZUKZAXQXSUMQTUOZUJYBADXRUHUIZYF
          AXRDUPUIZYGUJZOAXRUQSZDUQSYHYIURATUQXRUSAINUTZVFZARVAVBVGUQDRVAVCABCD
          FGJKLMVDVFXRDVEVHVIAYGXSQUAJUBZGUCZRUDZXPSZJTVJZUOZYFYGYQUQUPVKZXRUHU
          IZAYRDYSXRUHMVLAYQUQVMYJYTYRURYQTUQYPJTVNUSVQYLQYQXRVOVPVRYPXQXSQJTJQ
          WGZYOXOXPUUAYNXNUARYMXMGVSVTWAWBWCWDXQXSQTWEWFAYAYEQTAXMTSZUKZXQXTYEU
          UCXQUKXTXRXMUPUIZYEUUCUUDXTURZXQAXRTSUUBUUEYKXRXMWHWIWJUUCXQUUDYEUUCX
          QUUDUKZUKZYCYDUUGBCEFGHIXMKAWKWLCWMUUBUUFLWNZAIWLSUUBUUFNWNZUUGXMAUUB
          UUFWOZWPZUUGXRXMXMUGUCUPUUCXQUUDWQZUUGXMUUJUUGRXMUUGWSZUUJUUGRXRXMUUM
          UUGIUUIUTUUJUUGIUUIWRUULWTXHXAXBZUUCXQUUDXCZPXDUUGBCFGIXMKUUHUUIUUKUU
          NUUOXEXFXIXGXJXKXL $.
      $}

      $( If ` X ` is within the open disk of radius ` R ` centered at zero,
         then the infinite series converges at ` X ` .  (Contributed by Mario
         Carneiro, 26-Feb-2015.) $)
      radcnvlt2 $p |- ( ph -> seq 0 ( + , ( G ` X ) ) e. dom ~~> ) $=
        ( vk vm cabs cfv cc0 cn0 cc ccom nn0uz 0zd wf cv wcel wceq psergf fvco3
        sylan ffvelrnda caddc cmul co cmpt cseq cli id 2fveq3 oveq12d radcnvlt1
        cdm cbvmptv simprd abscvgcvg ) ANPGFQZUAZVFRSUBAUCASTVFUDNUEZSUFVHVGQVH
        VFQPQZUGABCEFGIJLUHZSTVHPVFUIUJASTVHVFVJUKAULOSOUEZVKVFQPQZUMUNZUOZRUPU
        QVBZUFULVGRUPVOUFABCDNEFVNGHIJKLMONSVMVHVIUMUNVKVHUGZVKVHVLVIUMVPURVKVH
        PVFUSUTVCVAVDVE $.
    $}

    radcnvle.x $e |- ( ph -> X e. CC ) $.
    radcnvle.a $e |- ( ph -> seq 0 ( + , ( G ` X ) ) e. dom ~~> ) $.
    $( If ` X ` is a convergent point of the infinite series, then ` X ` is
       within the closed disk of radius ` R ` centered at zero.  Or, by
       contraposition, the series diverges at any point strictly more than
       ` R ` from the origin.  (Contributed by Mario Carneiro, 26-Feb-2015.) $)
    radcnvle $p |- ( ph -> ( abs ` X ) <_ R ) $=
      ( cr cxr cc0 wbr caddc wcel adantr vy cabs ressxr abscld sselid cpnf cicc
      cfv co iccssxr radcnvcl clt c2 cdiv wa simpr wb cmnf cle w3a pnfxr elicc1
      mp2an sylib simp2d ge0gtmnf syl2anc xrltled xrre syl22anc avglt1 readdcld
      0xr mpbid rehalfcld cv cseq cli cdm crab wss ssrab2 sstri cn0 cc wf recnd
      csup lelttrd ltled absidd avglt2 eqbrtrd radcnvlem3 fveq2 seqeq3d cbvrabv
      0red eleq1d sylanbrc supxrub sylancr breqtrrdi lensymd pm2.65da xrnltled
      wceq elrab2 ) AGUBUHZDANOXIUCAGLUDZUEZAPUFUGUIZODPUFUJABCDEFHIJKUKZUEZADX
      IULQZDDXIRUIZUMUNUIZULQZAXOUOZXOXRAXOUPZXSDNSZXINSZXOXRUQXSDOSZYBURDULQZD
      XIUSQYAAYCXOXNTZAYBXOXJTZAYDXOAYCPDUSQZYDXNAYCYGDUFUSQZADXLSZYCYGYHUTZXMP
      OSUFOSYIYJUQVMVAPUFDVBVCVDVEZDVFVGTXSDXIYEAXIOSXOXKTXTVHDXIVIVJZYFDXIVKVG
      VNZXSXQDXSXPXSDXIYLYFVLVOZYLXSXQRHVPZFUHZPVQZVRVSZSZHNVTZOULWHZDUSXSYTOWA
      XQYTSZXQUUAUSQYTNOYSHNWBUCWCXSXQNSRXQFUHZPVQZYRSZUUBYNXSBCEFXQGIAWDWECWFX
      OJTXSXQYNWGAGWESXOLTXSXQUBUHXQXIULXSXQYNXSPXQXSWRZYNXSPDXQUUFYLYNAYGXOYKT
      YMWIWJWKXSXOXQXIULQZXTXSYAYBXOUUGUQYLYFDXIWLVGVNWMARGFUHPVQYRSXOMTWNRUAVP
      ZFUHZPVQZYRSZUUEUAXQNYTUUHXQXGZUUJUUDYRUULUUIUUCRPUUHXQFWOWPWSYSUUKHUANYO
      UUHXGZYQUUJYRUUMYPUUIRPYOUUHFWOWPWSWQXHWTYTXQXAXBKXCXDXEXF $.
  $}

  ${
    $d k n x A $.  $d i k r G $.  $d k H $.  $d i k n r x X $.  $d i k ph $.
    dvradcnv.g $e |- G = ( x e. CC |-> ( n e. NN0 |->
      ( ( A ` n ) x. ( x ^ n ) ) ) ) $.
    dvradcnv.r $e |- R =
      sup ( { r e. RR | seq 0 ( + , ( G ` r ) ) e. dom ~~> } , RR* , < ) $.
    dvradcnv.h $e |- H = ( n e. NN0 |->
      ( ( ( n + 1 ) x. ( A ` ( n + 1 ) ) ) x. ( X ^ n ) ) ) $.
    dvradcnv.a $e |- ( ph -> A : NN0 --> CC ) $.
    dvradcnv.x $e |- ( ph -> X e. CC ) $.
    dvradcnv.l $e |- ( ph -> ( abs ` X ) < R ) $.
    $( The radius of convergence of the (formal) derivative ` H ` of the power
       series ` G ` is at least as large as the radius of convergence of
       ` G ` .  (In fact they are equal, but we don't have as much use for the
       negative side of this claim.)  (Contributed by Mario Carneiro,
       31-Mar-2015.) $)
    dvradcnv $p |- ( ph -> seq 0 ( + , H ) e. dom ~~> ) $=
      ( cc0 c1 co cmul wcel vk vi wceq cabs cfv cdiv cif cn0 cv cmpt cneg nn0uz
      cshi 1nn0 a1i wa caddc cexp cr cc ax-1cn nn0cn adantl nn0ex mptex sylancr
      shftval4 addcom fveq2d peano2nn0 id 2fveq3 oveq12d eqid ovex syl pserval2
      fvmpt syl2an oveq2d eqtrd 3eqtrd nn0red wf ffvelrn mulcld abscld remulcld
      expcl eqeltrd weq oveq1 oveq2 nn0cnd sylan cseq cli cdm cbvmptv radcnvlt1
      wbr ccom simpld climdm sylib cz wb neg1z isershft mp2an seqex fvex breldm
      cuz cle neg1cn addid2i 0le1 1re le0neg2 ax-mp mpbi eqbrtri eqeltri eluz1i
      0z mpbir2an eluzelcn nn0re psergf ffvelrnda recnd fmpttd crp breq2d simpr
      sylan2 adantr 3brtr4d ad2antrr eluzp1p1 1pneg1e0 addcomli eqtri eleqtrrdi
      oveq1i fveq2i eqtr4i iserex mpbid wn wne neqne absrpcl rprecred ifclda cn
      elnnuz nnnn0 sylbir nn0ge0d absge0d mulge0d sylibr 0expd sylan9eqr mul01d
      abs00bd mulid2d df-ne mulassd absmuld absidd oveq1d eqled rpreccld mul12d
      1red rpcnd absdivd divassd cmin pncan sylancl expm1d eqtr3d eqtr4d rpne0d
      nn0zd divrec2d 3eqtr3rd breqtrrd sylanl2 sylan2br ifbothda cvgcmpce ) AHP
      UCZQQHUDUEZUFRZUGZUAUBUHUBUIZUXAHFUEZUEZUDUEZSRZUJZQUKZUMRZGPQUHULQUHTAUN
      UOAUAUIZUHTZUPZUXIUXHUEZUXIQUQRZUXMCUEZHUXMURRZSRZUDUEZSRZUSUXKUXLQUXIUQR
      ZUXFUEZUXMUXFUEZUXRUXKQUTTZUXIUTTZUXLUXTUCZVAUXJUYCAUXIVBVCZQUXIUXFUBUHUX
      EVDVEZVGZVFUXKUXSUXMUXFUXKUYBUYCUXSUXMUCZVAUYEQUXIVHZVFVIUXKUYAUXMUXMUXBU
      EZUDUEZSRZUXRUXKUXMUHTZUYAUYLUCUXJUYMAUXIVJZVCZUBUXMUXEUYLUHUXFUXAUXMUCZU
      XAUXMUXDUYKSUYPVKUXAUXMUDUXBVLVMUXFVNUXMUYKSVOVRVPUXKUYKUXQUXMSUXKUYJUXPU
      DAHUTTZUYMUYJUXPUCUXJNUYNBCEFUXMHJVQVSVIVTWAWBZUXKUXMUXQUXKUXMUYOWCZUXKUX
      PUXKUXNUXOAUHUTCWDUYMUXNUTTZUXJMUYNUHUTUXMCWEVSZAUYQUYMUXOUTTZUXJNUYNHUXM
      WIVSZWFZWGZWHZWJUXKUXIGUEZUXMUXNSRZHUXIURRZSRZUTUXJVUGVUJUCAEUXIEUIZQUQRZ
      VULCUEZSRZHVUKURRZSRVUJUHGEUAWKZVUNVUHVUOVUISVUPVULUXMVUMUXNSVUKUXIQUQWLZ
      VUPVULUXMCVUQVIVMVUKUXIHURWMVMLVUHVUISVOVRVCZUXKVUHVUIUXKUXMUXNUXKUXMUYOW
      NZVUAWFZAUYQUXJVUIUTTNHUXIWIWOZWFZWJAUQUXHPUXGUQRZWPZWQWRZTZUQUXHPWPVVETA
      VVDUQUXFPWPZWQUEZWQXAZVVFAVVGVVHWQXAZVVIAVVGVVETZVVJAVVKUQUDUXBXBPWPVVETA
      BCDUAEFUXFHIJMKNOUBUAUHUXEUXIUXIUXBUEUDUEZSRUBUAWKZUXAUXIUXDVVLSVVMVKUXAU
      XIUDUXBVLVMWSWTXCVVGXDXEPXFTZUXGXFTVVJVVIXGYFXHVVHUQUXFPUXGUYFXIXJXEVVDVV
      HWQUQUXHVVCXKVVGWQXLXMVPAUAUXHVVCPVVCXNUEZVVOVNPVVOTZAVVPVVNVVCPXOXAYFVVC
      UXGPXOUXGXPXQZPQXOXAZUXGPXOXAZXRQUSTVVRVVSXGXSQXTYAYBYCVVCPVVCUXGXFVVQXHY
      DYEYGUOAUXIVVOTZUPZUXLUXTUTVWAUYBUYCUYDVAVVTUYCAVVCUXIYHZVCUYGVFAUHUTUXFW
      DUXSUHTUXTUTTVVTAUBUHUXEUTAUXAUHTZUPZUXEVWDUXAUXDVWCUXAUSTAUXAYIVCVWDUXCA
      UHUTUXAUXBABCEFHJMNYJYKWGWHYLYMVVTUXSUXMUHVVTUYBUYCUYHVAVWBUYIVFVVTUXMVVC
      QUQRZXNUEZUHVVCUXIUUAUHPXNUEVWFULVWEPXNVWEUXGQUQRPVVCUXGQUQVVQUUFQUXGPVAX
      PUUBUUCUUDUUGUUHUUEWJUHUTUXSUXFWEVSWJUUIUUJAUWQQUWSUSAUWQUPUVRAUWQUUKZUPU
      WRAUYQHPUULZUWRYNTZVWGNHPUUMHUUNZVSUUOUUPAUXIQXNUETZUPZVUJUDUEZUWTUXRSRZV
      UGUDUEZUWTUXLSRZXOUWQVWMQUXRSRZXOXAVWMUWSUXRSRZXOXAZVWMVWNXOXAVWLQUWSQUWT
      UCVWQVWNVWMXOQUWTUXRSWLYOUWSUWTUCVWRVWNVWMXOUWSUWTUXRSWLYOVWLUWQUPZPUXRVW
      MVWQXOVWLPUXRXOXAZUWQVWKAUXJVXAVWKUXIUUQTZUXJUXIUURZUXIUUSUUTZUXKUXMUXQUY
      SVUEUXKUXMUYOUVAZUXKUXPVUDUVBUVCYQYRVWTVUJVWTVUJVUHPSRZPVWTVUIPVUHSUWQVWL
      VUIPUXIURRPHPUXIURWLVWLUXIVWLVWKVXBAVWKYPVXCUVDUVEUVFVTVWLVXFPUCZUWQVWKAU
      XJVXGVXDUXKVUHVUTUVGYQYRWAUVHVWLVWQUXRUCZUWQVWKAUXJVXHVXDUXKUXRUXKUXRVUFY
      LUVIYQYRYSVWGVWLVWHVWSHPUVJVWKAUXJVWHVWSVXDUXKVWHUPZVWMUXMUXNVUISRZUDUEZS
      RZVWRXOUXKVWMVXLXOXAVWHUXKVWMVXLUXKVUJVVBWGUXKVWMUXMVXJSRZUDUEUXMUDUEZVXK
      SRVXLUXKVUJVXMUDUXKUXMUXNVUIVUSVUAVVAUVKVIUXKUXMVXJVUSUXKUXNVUIVUAVVAWFUV
      LUXKVXNUXMVXKSUXKUXMUYSVXEUVMUVNWBUVOYRVXIVWRUXMUWSUXQSRZSRVXLVXIUWSUXMUX
      QVXIUWSUXKUYQVWHUWSYNTAUYQUXJNYRZUYQVWHUPUWRVWJUVPWOUVSUXKUXMUTTVWHVUSYRV
      XIUXQUXKUXQUSTVWHVUEYRYLZUVQVXIVXOVXKUXMSVXIUXPHUFRZUDUEUXQUWRUFRVXKVXOVX
      IUXPHUXKUXPUTTVWHVUDYRAUYQUXJVWHNYTZUXKVWHYPZUVTVXIVXRVXJUDVXIVXRUXNUXOHU
      FRZSRVXJVXIUXNUXOHUXKUYTVWHVUAYRUXKVUBVWHVUCYRVXSVXTUWAVXIVUIVYAUXNSVXIHU
      XMQUWBRZURRVUIVYAVXIVYBUXIHURVXIUYCUYBVYBUXIUCUXKUYCVWHUYEYRVAUXIQUWCUWDV
      TVXIHUXMVXSVXTUXKUXMXFTVWHUXKUXMUYOUWIYRUWEUWFVTUWGVIVXIUXQUWRVXQVXIUWRAU
      WRUSTUXJVWHAHNWGYTYLVXIUWRUXKUYQVWHVWIVXPVWJWOUWHUWJUWKVTWAUWLUWMUWNUWOVW
      KAUXJVWOVWMUCVXDUXKVUGVUJUDVURVIYQVWKAUXJVWPVWNUCVXDUXKUXLUXRUWTSUYRVTYQY
      SUWP $.
  $}

  ${
    $d a j k m n r s w x y z A $.  $d f i j y H $.  $d i j k m s u v w y z M $.
    $d i j k m x y z B $.  $d i j k m r s w y z G $.  $d a f i j k m w y z S $.
    $d a f z F $.  $d a f i j k m w y z ph $.  $d u v w z R $.
    pserf.g $e |- G = ( x e. CC |-> ( n e. NN0 |->
      ( ( A ` n ) x. ( x ^ n ) ) ) ) $.
    pserf.f $e |- F = ( y e. S |-> sum_ j e. NN0 ( ( G ` y ) ` j ) ) $.
    pserf.a $e |- ( ph -> A : NN0 --> CC ) $.
    pserf.r $e |- R =
      sup ( { r e. RR | seq 0 ( + , ( G ` r ) ) e. dom ~~> } , RR* , < ) $.
    ${
      pserulm.h $e |- H = ( i e. NN0 |-> ( y e. S |->
        ( seq 0 ( + , ( G ` y ) ) ` i ) ) ) $.
      pserulm.m $e |- ( ph -> M e. RR ) $.
      pserulm.l $e |- ( ph -> M < R ) $.
      pserulm.y $e |- ( ph -> S C_ ( `' abs " ( 0 [,] M ) ) ) $.
      $( If ` S ` is a region contained in a circle of radius ` M < R ` , then
         the sequence of partial sums of the infinite series converges
         uniformly on ` S ` .  (Contributed by Mario Carneiro, 26-Feb-2015.) $)
      pserulm $p |- ( ph -> H ( ~~>u ` S ) F ) $=
        ( vm vw vk vz vf culm cfv wbr cc0 clt c0 wceq wa cabs ccnv cicc co cima
        wss adantr cxr wcel 0xr rexrd icc0 sylancr biimpar imaeq2d ima0 sseqtrd
        wb eqtrdi ss0 syl cn0 nn0uz 0zd cv caddc cseq cmpt cc cmap cdm cnvimass
        wf cr absf fdmi sseqtri sstrdi sselda psergf ffvelrnda an32s fmpttd cvv
        serf cnex ssexg sylancl elmapg mpbird fmptd eqidd cle wfn simprd syldan
        cpnf simpr eqid weq fveq2 fveq1d cbvmptv syl5eq adantl ad2antrr fvmptd3
        mptexd mpteq2dva fvex a1i cexp cmul expcld abscld absge0d absexpd eqtrd
        3brtr4d absmuld pserval2 syl2anc fveq2d fvmpt2 simplr csu elpreima mp2b
        w3a ffn sylib 0re elicc2 mpbid simp1d iccssxr radcnvcl sselid xrlelttrd
        simp3d radcnvlt2 isumcl ulm0 cof cuz eleqtrdi cfz mpteq2dv seqof eqcomd
        elfznn0 cz 0z seqfn ax-mp fneq2i mpbir dffn5 mpbi 3eqtr4g ccom fex coex
        mp2an recnd simprr sseldd simprl ffvelrnd breq1d wral ralrimiva rspcdva
        fco leexp1a syl32anc absid sylan oveq1d lemul2ad fvmpt 3eqtrd fvco3 cli
        ad2antll eqbrtrd 2fveq3 oveq12d radcnvlt1 mtest eqeltrd feqmptd adantlr
        id wex ulmcl seqex ad3antrrr ulmclm isumclim eqtr4d breqtrd exlimdv ibi
        ex eldmg impel 0red ltlecasei ) ALJFUHUIZUJZMUKAMUKULUJZFUMUNZUYFAUYGUO
        ZFUMVAUYHUYIFUPUQZUKMURUSZUTZUMAFUYLVAUYGUBVBUYIUYLUYJUMUTUMUYIUYKUMUYJ
        AUYKUMUNZUYGAUKVCVDMVCVDZUYMUYGVMVEAMTVFZUKMVGVHVIVJUYJVKVNVLFVOVPAFLJU
        KVQVRAVSAGVQCFGVTZWACVTZKUIZUKWBZUIZWCZWDFWEUSZLAUYPVQVDZUOZVUAVUBVDZFW
        DVUAWHZVUDCFUYTWDAUYQFVDZVUCUYTWDVDAVUGUOZVQWDUYPUYSVUHHUYRUKVQVRVUHVSZ
        VUHVQWDHVTZUYRVUHBDIKUYQOAVQWDDWHZVUGQVBZAFWDUYQAFUYLWDUBUYLUPWFWDUPUYK
        WGWDWIUPWJWKWLWMZWNZWOZWPZWTWPWQWRVUDWDWSVDZFWSVDZVUEVUFVMXAAVURVUCAFWD
        VAZVUQVURVUMXAFWDWSXBXCZVBZWDFVUAWSWSXDVHXESXFZACFVQVUJUYRUIZHUUAZWDJVU
        HVVCHUYRUKVQVRVUIVUHVUJVQVDZUOVVCXGVUPVUHBDEIKUYQNOVULRVUNVUHUYQUPUIZME
        VUHVVFVUHVVFWIVDZUKVVFXHUJZVVFMXHUJZVUHVVFUYKVDZVVGVVHVVIUUDZVUHUYQWDVD
        ZVVJVUHUYQUYLVDZVVLVVJUOZAFUYLUYQUBWNWDWIUPWHZUPWDXIVVMVVNVMWJWDWIUPUUE
        WDUYQUYKUPUUBUUCUUFXJVUHUKWIVDMWIVDZVVJVVKVMUUGAVVPVUGTVBUKMVVFUUHVHUUI
        ZUUJVFAUYNVUGUYOVBAEVCVDVUGAUKXLURUSVCEUKXLUUKABDEIKNOQRUULUUMVBVUHVVGV
        VHVVIVVQUUOZAMEULUJZVUGUAVBUUNUUPUUQPXFUURXKAUKMXHUJZLUYEWFZVDZUYFAVVTU
        OZLWAUUSZUCVQUDFUCVTZUDVTZKUIZUIZWCZWCZUKWBZVWAALVWKUNVVTAGVQVUAWCGVQUY
        PVWKUIZWCZLVWKAGVQVUAVWLVUDVWLVUAVUDUECFWAVWJUYRUKUYPWSVVAVUDUYPVQUKUUT
        UIZAVUCXMVRUVAVUDUEVTZUKUYPUVBUSVDZUOZUCVWOVWICFVWOUYRUIZWCZVQVWJWSVWJX
        NZUCUEXOZVWICFVWEUYRUIZWCVWSUDCFVWHVXBUDCXOVWEVWGUYRVWFUYQKXPXQXRVXACFV
        XBVWRVWEVWOUYRXPUVCXSZVWPVWOVQVDZVUDVWOUYPUVFXTVWQCFVWRWSAVURVUCVWPVUTY
        AYCYBUVDUVEYDSVWKVQXIZVWKVWMUNVXEVWKVWNXIZUKUVGVDVXFUVHVWDVWJUKUVIUVJVQ
        VWNVWKVRUVKUVLGVQVWKUVMUVNUVOVBVWCUFFUEVWJUPMKUIZUVPZUKWSWSVQVRVWCVSAVU
        RVVTVUTVBAVQVUBVWJWHVVTAUCVQVWIVUBAVWEVQVDZUOZVWIVUBVDZFWDVWIWHZVXJUDFV
        WHWDAVWFFVDZVXIVWHWDVDAVXMUOZVQWDVWEVWGVXNBDIKVWFOAVUKVXMQVBAFWDVWFVUMW
        NWOWPWQWRVXJVUQVURVXKVXLVMXAAVURVXIVUTVBWDFVWIWSWSXDVHXEWRVBVXHWSVDVWCU
        PVXGVVOVUQUPWSVDWJXAWDWIWSUPUVQUVSMKYEUVRYFVWCVQWIVWOVXHVWCVVOVQWDVXGWH
        ZVQWIVXHWHWJVWCBDIKMOAVUKVVTQVBZVWCMAVVPVVTTVBUVTZWOZVQWDWIUPVXGUWIVHWP
        VWCVXDUFVTZFVDZUOZUOZVWODUIZVXSVWOYGUSZYHUSZUPUIZVYCMVWOYGUSZYHUSZUPUIZ
        VXSVWOVWJUIZUIZUPUIVWOVXHUIZXHVYBVYCUPUIZVYDUPUIZYHUSVYMVYGUPUIZYHUSVYF
        VYIXHVYBVYNVYOVYMVYBVYDVYBVXSVWOVYBFWDVXSAVUSVVTVYAVUMYAVWCVXDVXTUWAZUW
        BZVWCVXDVXTUWCZYIZYJVYBVYGVYBMVWOVWCMWDVDZVYAVXQVBZVYRYIZYJVYBVYCVYBVQW
        DVWODAVUKVVTVYAQYAVYRUWDZYJVYBVYCWUCYKVYBVXSUPUIZVWOYGUSZVYGVYNVYOXHVYB
        WUDWIVDVVPVXDUKWUDXHUJWUDMXHUJZWUEVYGXHUJVYBVXSVYQYJAVVPVVTVYATYAVYRVYB
        VXSVYQYKVYBVVIWUFCFVXSCUFXOZVVFWUDMXHUYQVXSUPXPUWEAVVICFUWFVVTVYAAVVICF
        VVRUWGYAVYPUWHWUDMVWOUWJUWKVYBVXSVWOVYQVYRYLVYBVYOMUPUIZVWOYGUSVYGVYBMV
        WOWUAVYRYLVYBWUHMVWOYGVWCWUHMUNZVYAAVVPVVTWUITMUWLUWMZVBUWNYMYNUWOVYBVY
        CVYDWUCVYSYOVYBVYCVYGWUCWUBYOYNVYBVYKVYEUPVYBVYKVXSVWSUIZVWOVXSKUIZUIZV
        YEVYBVXSVYJVWSVYBUCVWOVWIVWSVQVWJWSVWTVXCVYRVYBCFVWRWSAVURVVTVYAVUTYAYC
        YBXQVXTWUKWUMUNVWCVXDCVXSVWRWUMFVWSWUGVWOUYRWULUYQVXSKXPXQVWSXNVWOWULYE
        UWPUWTVYBVXSWDVDVXDWUMVYEUNVYQVYRBDIKVWOVXSOYPYQUWQYRVYBVYLVWOVXGUIZUPU
        IZVYIVYBVXOVXDVYLWUOUNVWCVXOVYAVXRVBVYRVQWDVWOUPVXGUWRYQVYBWUNVYHUPVYBV
        YTVXDWUNVYHUNWUAVYRBDIKVWOMOYPYQYRYMYNVWCWAGVQUYPUYPVXGUIUPUIZYHUSZWCZU
        KWBUWSWFZVDWAVXHUKWBWUSVDVWCBDEUCIKWURMNOVXPRVXQVWCWUHMEULWUJAVVSVVTUAV
        BUXAGUCVQWUQVWEVWEVXGUIUPUIZYHUSGUCXOZUYPVWEWUPWUTYHWVAUXIUYPVWEUPVXGUX
        BUXCXRUXDXJUXEUXFALUGVTZUYEUJZUGUXJZUYFVWBAWVCUYFUGAWVCUYFAWVCUOZLWVBJU
        YEAWVCXMWVEWVBCFUYQWVBUIZWCZJWVECFWDWVBWVCFWDWVBWHAFLWVBUXKXTUXGWVEJCFV
        VDWCWVGPWVECFVVDWVFWVEVUGUOZVVCWVFHUYRUKVQVRWVHVSZWVHVVEUOVVCXGWVHVQWDV
        UJUYRAVUGVQWDUYRWHWVCVUOUXHWPWVHUYQFGLWVBUYSUKWSVQVRWVIAVQVUBLWHWVCVUGV
        VBYAWVEVUGXMUYSWSVDWVHWAUYRUKUXLYFWVHVUCUOZUYQUYPLUIZUIUYQVUAUIZUYTWVJU
        YQWVKVUAWVJVUCVUAWSVDWVKVUAUNWVHVUCXMWVJCFUYTWSAVURWVCVUGVUCVUTUXMYCGVQ
        VUAWSLSYSYQXQWVJVUGUYTWSVDWVLUYTUNWVEVUGVUCYTUYPUYSYECFUYTWSVUAVUAXNYSX
        CYMAWVCVUGYTUXNUXOYDXSUXPUXQUXTUXRVWBWVDUGLUYEVWAUYAUXSUYBXKTAUYCUYD $.

      $( Since by ~ pserulm the series converges uniformly, it is also
         continuous by ~ ulmcn .  (Contributed by Mario Carneiro,
         3-Mar-2015.) $)
      psercn2 $p |- ( ph -> F e. ( S -cn-> CC ) ) $=
        ( vk cc0 cn0 nn0uz 0zd cv caddc cfv cseq cmpt cc ccncf co wcel cres wss
        wa cabs ccnv cicc cima cdm cnvimass cr absf fdmi sseqtri sstrdi resmptd
        adantr cfz cexp cmul csu wceq simplr elfznn0 pserval2 syl2anc cuz simpr
        adantl eleqtrdi ffvelrnda adantlr expcl adantll mulcld sylan2 mpteq2dva
        wf fsumser ccnfld ctopn ccn eqid ctopon cnfldtopon fzfid ffvelrn syl2an
        a1i cnmptc expcn syl ctx mulcn cnmpt12f fsumcn cncfcn1 eqeltrrd rescncf
        eleqtrrdi sylc fmptd pserulm ulmcn ) AFLJUDUEUFAUGAGUECFGUHZUICUHZKUJZU
        DUKUJZULZFUMUNUOZLAXTUEUPZUSZCUMYCULZFUQZYDYEYGCUMFYCAFUMURZYFAFUTVAUDM
        VBUOZVCZUMUBYLUTVDUMUTYKVEUMVFUTVGVHVIVJVLZVKYGYJYHUMUMUNUOZUPYIYEUPYMY
        GCUMUDXTVMUOZUCUHZDUJZYAYPVNUOZVOUOZUCVPZULZYHYNYGCUMYTYCYGYAUMUPZUSZYS
        UCYBUDXTUUCYPYOUPZUSUUBYPUEUPZYPYBUJYSVQYGUUBUUDVRUUDUUEUUCYPXTVSZWDBDI
        KYPYAOVTWAYGXTUDWBUJZUPUUBYGXTUEUUGAYFWCUFWEVLUUDUUCUUEYSUMUPUUFUUCUUEU
        SYQYRYGUUEYQUMUPZUUBYGUEUMYPDAUEUMDWMZYFQVLZWFWGUUBUUEYRUMUPYGYAYPWHWIW
        JWKWNWLYGUUAWOWPUJZUUKWQUOZYNYGCYOYSUCUUKUUKUMUUKWRZUUKUMWSUJUPZYGUUKUU
        MWTZXDYGUDXTXAYGUUDUSZCYQYRVOUUKUUKUUKUUKUMUUNUUPUUOXDZUUPCYQUUKUUKUMUM
        UUQUUQYGUUIUUEUUHUUDUUJUUFUEUMYPDXBXCXEUUPUUECUMYRULUULUPUUDUUEYGUUFWDC
        UUKYPUUMXFXGVOUUKUUKXHUOUUKWQUOUPUUPUUKUUMXIXDXJXKUUKUUMXLXOXMUMUMFYHXN
        XPXMSXQABCDEFGHIJKLMNOPQRSTUAUBXRXS $.
    $}

    ${
      psercn.s $e |- S = ( `' abs " ( 0 [,) R ) ) $.
      ${
        psercnlem2.i $e |- ( ( ph /\ a e. S ) ->
          ( M e. RR+ /\ ( abs ` a ) < M /\ M < R ) ) $.
        $( Lemma for ~ psercn .  (Contributed by Mario Carneiro,
           18-Mar-2015.) $)
        psercnlem2 $p |- ( ( ph /\ a e. S ) ->
          ( a e. ( 0 ( ball ` ( abs o. - ) ) M ) /\
            ( 0 ( ball ` ( abs o. - ) ) M ) C_ ( `' abs " ( 0 [,] M ) ) /\
            ( `' abs " ( 0 [,] M ) ) C_ S ) ) $=
          ( wcel vu vv vw vz cv wa cc0 cabs cmin ccom cbl cfv co ccnv cicc cima
          wss cico cc cdm cnvimass absf fdmi sseqtri eqsstri a1i sselda cle wbr
          cr clt abscld absge0d crp simp2d cxr w3a wb 0re simp1d elico2 sylancr
          rpxrd mpbir3and wf wfn ffn elpreima mp2b sylanbrc wceq eqid cnbl0 syl
          eleqtrd icossicc imass2 mp1i cpnf iccssxr adantr sselid simp3d df-ico
          eqsstrrd radcnvcl df-icc xrlelttr ixxss2 syl2anc sseqtrrdi 3jca ) AMU
          EZFTZUFZXMUGKUHUIUJZUKULUMZTXQUHUNZUGKUOUMZUPZUQXTFUQXOXMXRUGKURUMZUP
          ZXQXOXMUSTZXMUHULZYATZXMYBTZAFUSXMFUSUQAFXRUGEURUMZUPZUSRYHUHUTUSUHYG
          VAUSVJUHVBVCVDVEVFVGZXOYEYDVJTZUGYDVHVIZYDKVKVIZXOXMYIVLXOXMYIVMXOKVN
          TZYLKEVKVIZSVOXOUGVJTKVPTZYEYJYKYLVQVRVSXOKXOYMYLYNSVTWCZUGKYDWAWBWDU
          SVJUHWEUHUSWFYFYCYEUFVRVBUSVJUHWGUSXMYAUHWHWIWJXOYOYBXQWKYPXPKXPWLWMW
          NZWOXOXQYBXTYQYAXSUQYBXTUQXOUGKWPYAXSXRWQWRXEXOXTYHFXOXSYGUQZXTYHUQXO
          EVPTYNYRXOUGWSUOUMZVPEUGWSWTAEYSTXNABDEHJLNPQXFXAXBXOYMYLYNSXCUAUBUCU
          DUGKEUOVHVKVHURVKUAUBUCXDUAUBUCXGUDUEKEXHXIXJXSYGXRWQWNRXKXL $.
      $}

      psercn.m $e |- M = if ( R e. RR ,
        ( ( ( abs ` a ) + R ) / 2 ) , ( ( abs ` a ) + 1 ) ) $.
      $( Lemma for ~ psercn .  (Contributed by Mario Carneiro, 18-Mar-2015.) $)
      psercnlem1 $p |- ( ( ph /\ a e. S ) ->
        ( M e. RR+ /\ ( abs ` a ) < M /\ M < R ) ) $=
        ( clt cv wcel wa crp cabs cfv wbr cr caddc co c2 cdiv c1 cif cc wss cc0
        ccnv cico cima cdm cnvimass absf fdmi sseqtri eqsstri a1i sselda abscld
        readdcl sylan rehalfcld peano2re syl adantr ifclda eqeltrid 0re absge0d
        wn breq2 cle w3a simpr eleqtrdi wf wfn wb ffn elpreima sylib simprd cxr
        mp2b cpnf cicc iccssxr radcnvcl sselid elico2 mpbid simp3d avglt1 ltp1d
        sylancr ifbothda breqtrrdi lelttrd elrpd breq1 avglt2 rexrd xrlenltd wi
        cmnf 0xr pnfxr elicc1 mp2an ge0gtmnf syl2anc xrre expr syl21anc sylbird
        simp2d con1d imp eqbrtrid 3jca ) AMUAZFUBZUCZKUDUBYKUEUFZKTUGKETUGYMKYM
        KEUHUBZYNEUIUJZUKULUJZYNUMUIUJZUNZUHSYMYOYQYRUHYMYOUCZYPYMYNUHUBZYOYPUH
        UBYMYKAFUOYKFUOUPAFUEURUQEUSUJZUTZUORUUCUEVAUOUEUUBVBUOUHUEVCVDVEVFVGVH
        ZVIZYNEVJVKVLYMYRUHUBZYOVTZYMUUAUUFUUEYNVMVNZVOVPVQZYMUQYNKUQUHUBZYMVRV
        GUUEUUIYMYKUUDVSYMYNYSKTYOYNYQTUGZYNYRTUGZYNYSTUGYMYQYRYQYSYNTWAYRYSYNT
        WAYTYNETUGZUUKYMUUMYOYMUUAUQYNWBUGZUUMYMYNUUBUBZUUAUUNUUMWCZYMYKUOUBZUU
        OYMYKUUCUBZUUQUUOUCZYMYKFUUCAYLWDRWEUOUHUEWFUEUOWGUURUUSWHVCUOUHUEWIUOY
        KUUBUEWJWNWKWLYMUUJEWMUBZUUOUUPWHVRYMUQWOWPUJZWMEUQWOWQAEUVAUBZYLABDEHJ
        LNPQWRZVOWSZUQEYNWTXEXAXBVOZYMUUAYOUUMUUKWHUUEYNEXCVKXAYMUULUUGYMYNUUEX
        DVOXFSXGZXHXIUVFYMKYSETSYOYQETUGZYRETUGZYSETUGYMYQYRYQYSETXJYRYSETXJYTU
        UMUVGUVEYMUUAYOUUMUVGWHUUEYNEXKVKXAYMUUGUVHYMUVHYOYMUVHVTEYRWBUGZYOYMEY
        RUVDYMYRUUHXLXMYMUUTUUFXOETUGZUVIYOXNUVDUUHYMUUTUQEWBUGZUVJUVDAUVKYLAUU
        TUVKEWOWBUGZAUVBUUTUVKUVLWCZUVCUQWMUBWOWMUBUVBUVMWHXPXQUQWOEXRXSWKYFVOE
        XTYAUUTUUFUCUVJUVIYOEYRYBYCYDYEYGYHXFYIYJ $.

      $( An infinite series converges to a continuous function on the open disk
         of radius ` R ` , where ` R ` is the radius of convergence of the
         series.  (Contributed by Mario Carneiro, 4-Mar-2015.) $)
      psercn $p |- ( ph -> F e. ( S -cn-> CC ) ) $=
        ( cc vi vs vk ccnfld ctopn cfv crest co ccn ccncf wf ccnp wcel wral wfn
        cv cn0 csu cvv sumex rgenw fnmpt mp1i wa cc0 cabs cmin ccom cbl clt wbr
        cres wss ccnv cico cima cdm cnvimass cr absf sseqtri eqsstri a1i sselda
        fdmi wceq 0cn eqid cnmetdval sylancr abssub subid1d fveq2d 3eqtrd caddc
        c2 cdiv c1 cif breq2 cle w3a simpr eleqtrdi wb ffn elpreima mp2b simprd
        sylib cxr 0re cpnf iccssxr radcnvcl adantr mpbid simp3d cnxmet mp3an12i
        cicc cmpt syl5eq cseq weq fveq2 fveq1d eqeltrrd ralrimiva sylanbrc cuni
        cbvmptv cncfcn eleqtrd ctop unicntop restuni eleqtrrd mp2an ctopon elbl
        sselid elico2 abscld avglt1 sylan wn ltp1d ifbothda breqtrrdi cxmet crp
        eqbrtrd psercnlem1 simp1d rpxrd mpbir2and fvresd reseq1i simp2d resmptd
        psercnlem2 sstrd seqeq3d mpteq2dv rpred psercn2 eqeltrd cncff syl ffnfv
        ffvelrnd sstrdi ssid cnfldtopon toponrestid sylancl cncnpi syl2anc cnex
        cnfldtop ssexi restabs mp3an2i oveq1d cnt resttop df-ss cnfldtopn blopn
        cin elrestr isopn3i cnprest syl22anc mpbird resttopon cncnp eleqtrrdi )
        AIUDUEUFZFUGUHZUWTUIUHZFTUJUHZAFTIUKZIMUPZUXAUWTULUHUFUMZMFUNZIUXBUMZAI
        FUOZUXEIUFZTUMZMFUNUXDUQGUPCUPZJUFZUFZGURZUSUMZCFUNUXIAUXPCFUQUXNGUTVAC
        FUXOIUSOVBVCAUXKMFAUXEFUMZVDZUXEIVEKVFVGVHZVIUFUHZVLZUFUXJTUXRUXEUXTIUX
        RUXEUXTUMZUXETUMZVEUXEUXSUHZKVJVKZAFTUXEFTVMZAFVFVNZVEEVOUHZVPZTRUYIVFV
        QTVFUYHVRTVSVFVTWEWAWBZWCWDZUXRUYDUXEVFUFZKVJUXRUYDVEUXEVGUHVFUFZUXEVEV
        GUHZVFUFZUYLUXRVETUMZUYCUYDUYMWFWGUYKVEUXEUXSUXSWHWIWJUXRUYPUYCUYMUYOWF
        WGUYKVEUXEWKWJUXRUYNUXEVFUXRUXEUYKWLWMWNUXRUYLEVSUMZUYLEWOUHWPWQUHZUYLW
        RWOUHZWSZKVJUYQUYLUYRVJVKZUYLUYSVJVKZUYLUYTVJVKUXRUYRUYSUYRUYTUYLVJWTUY
        SUYTUYLVJWTUXRUYQVDUYLEVJVKZVUAUXRVUCUYQUXRUYLVSUMZVEUYLXAVKZVUCUXRUYLU
        YHUMZVUDVUEVUCXBZUXRUYCVUFUXRUXEUYIUMZUYCVUFVDZUXRUXEFUYIAUXQXCRXDTVSVF
        UKVFTUOVUHVUIXEVTTVSVFXFTUXEUYHVFXGXHXJXIUXRVEVSUMEXKUMVUFVUGXEXLUXRVEX
        MYAUHZXKEVEXMXNAEVUJUMUXQABDEHJLNPQXOXPUUBVEEUYLUUCWJXQXRXPUXRVUDUYQVUC
        VUAXEUXRUXEUYKUUDZUYLEUUEUUFXQUXRVUBUYQUUGUXRUYLVUKUUHXPUUISUUJUUMUXSTU
        UKUFUMZUYPUXRKXKUMZUYBUYCUYEVDXEXSWGUXRKUXRKUULUMZUYLKVJVKZKEVJVKZABCDE
        FGHIJKLMNOPQRSUUNZUUOZUUPZUXEUXSVEKTUUAXTUUQZUURUXRUXTTUXEUYAUXRUYAUXTT
        UJUHZUMUXTTUYAUKUXRUYACUXTUXOYBZVVAUXRUYACFUXOYBZUXTVLVVBIVVCUXTOUUSUXR
        CFUXTUXOUXRUXTUYGVEKYAUHVPZFUXRUYBUXTVVDVMZVVDFVMZABCDEFGHIJKLMNOPQRVUQ
        UVBZUUTZUXRUYBVVEVVFVVGXRUVCZUVAYCUXRBCDEUXTUAGHVVBJUBUQUCUXTUBUPZWOUCU
        PZJUFZVEYDZUFZYBZYBKLNVVBWHAUQTDUKUXQPXPQUBUAUQVVOCUXTUAUPZWOUXMVEYDZUF
        ZYBZUBUAYEZVVOCUXTVVJVVQUFZYBVVSUCCUXTVVNVWAUCCYEZVVJVVMVVQVWBVVLUXMWOV
        EVVKUXLJYFUVDYGYLVVTCUXTVWAVVRVVJVVPVVQYFUVEYCYLUXRKVURUVFUXRVUNVUOVUPV
        UQXRVVHUVGUVHZUXTTUYAUVIUVJVUTUVLYHYIMFTIUVKYJZAUXFMFUXRUXFUYAUXEUXAUXT
        UGUHZUWTULUHZUFZUMZUXRUYAUXEUWTUXTUGUHZUWTULUHZUFZVWGUXRUYAVWIUWTUIUHZU
        MUXEVWIYKZUMUYAVWKUMUXRUYAVVAVWLVWCUXRUXTTVMZTTVMZVVAVWLWFUXRUXTFTVVIUY
        JUVMZTUVNZUXTTUWTVWIUWTUWTWHZVWIWHUWTTUWTVWRUVOZUVPZYMUVQYNUXRUXEUXTVWM
        VUTUXRUWTYOUMZVWNUXTVWMWFUWTVWRUWAZVWPUXTUWTTYPYQWJYNUXEUYAVWIUWTVWMVWM
        WHUVRUVSUXRUXEVWFVWJUXRVWEVWIUWTULVXAUXRUXTFVMZFUSUMZVWEVWIWFVXBVVIVXDU
        XRFTUVTUYJUWBZWCUXTFUWTYOUSUWCUWDUWEYGYRUXRUXAYOUMZVXCUXEUXTUXAUWFUFUFZ
        UMUXDUXFVWHXEVXFUXRVXAVXDVXFVXBVXEFUWTUSUWGYSZWCVVIUXRUXEUXTVXGVUTUXRVX
        FUXTUXAUMVXGUXTWFVXHUXRUXTFUWKZUXTUXAUXRVXCVXIUXTWFVVIUXTFUWHXJVXAVXDUX
        RUXTUWTUMZVXIUXAUMVXBVXEVULUYPUXRVUMVXJXSWGVUSUXSVEKUWTTUWTVWRUWIUWJXTU
        XTFUWTYOUSUWLXTYHUXTUXAUWMWJYRAUXDUXQVWDXPUXTUXEIUXAUWTFTVXAUYFFUXAYKWF
        VXBUYJFUWTTYPYQYSYPUWNUWOUWPYIUXAFYTUFUMZUWTTYTUFUMZUXHUXDUXGVDXEVXLUYF
        VXKVWSUYJFUWTTUWQYSVWSMIUXAUWTFTUWRYSYJUYFVWOUXCUXBWFUYJVWQFTUWTUXAUWTV
        WRUXAWHVWTYMYSUWS $.

      $( Lemma for ~ pserdv .  (Contributed by Mario Carneiro, 7-May-2015.) $)
      pserdvlem1 $p |- ( ( ph /\ a e. S ) ->
        ( ( ( ( abs ` a ) + M ) / 2 ) e. RR+ /\
          ( abs ` a ) < ( ( ( abs ` a ) + M ) / 2 ) /\
          ( ( ( abs ` a ) + M ) / 2 ) < R ) ) $=
        ( wcel cv wa cabs cfv caddc co c2 cdiv crp clt wbr cc wss ccnv cc0 cico
        cima cdm cnvimass cr absf fdmi sseqtri eqsstri sselda abscld psercnlem1
        a1i simp1d rpred readdcld 0red absge0d ltaddrpd lelttrd elrpd rphalfcld
        simp2d wb avglt1 syl2anc mpbid rehalfcld cxr cpnf cicc iccssxr radcnvcl
        rexrd sselid adantr avglt2 simp3d xrlttrd 3jca ) AMUAZFTZUBZWPUCUDZKUEU
        FZUGUHUFZUITWSXAUJUKZXAEUJUKWRWTWRWTWRWSKWRWPAFULWPFULUMAFUCUNUOEUPUFZU
        QZULRXDUCURULUCXCUSULUTUCVAVBVCVDVHVEZVFZWRKWRKUITZWSKUJUKZKEUJUKZABCDE
        FGHIJKLMNOPQRSVGZVIZVJZVKZWRUOWSWTWRVLXFXMWRWPXEVMWRWSKXFXKVNVOVPVQWRXH
        XBWRXGXHXIXJVRZWRWSUTTZKUTTZXHXBVSXFXLWSKVTWAWBWRXAKEWRXAWRWTXMWCWIWRKX
        LWIAEWDTWQAUOWEWFUFWDEUOWEWGABDEHJLNPQWHWJWKWRXHXAKUJUKZXNWRXOXPXHXQVSX
        FXLWSKWLWAWBWRXGXHXIXJWMWNWO $.

      $d i n A $.
      pserdv.b $e |- B =
        ( 0 ( ball ` ( abs o. - ) ) ( ( ( abs ` a ) + M ) / 2 ) ) $.
      $( Lemma for ~ pserdv .  (Contributed by Mario Carneiro, 7-May-2015.) $)
      pserdvlem2 $p |- ( ( ph /\ a e. S ) -> ( CC _D ( F |` B ) ) =
        ( y e. B |-> sum_ k e. NN0
          ( ( ( k + 1 ) x. ( A ` ( k + 1 ) ) ) x. ( y ^ k ) ) ) ) $=
        ( vz vm vi vw vs cv wcel wa cc cn0 cc0 cfz co cfv csu cmpt cres c1 cmul
        caddc cexp nn0uz cr cnelprrecn a1i 0zd wf wss cabs cmin cxr cnxmet 0cnd
        fzfid crp clt wbr simp1d mp3an2i eqsstrid adantr sselda elfznn0 ffvelrn
        rpxrd psergf syl2an fsumcl fmpttd cnex sylibr syl cicc cima simp3d cseq
        elmap ad2antrr ffvelrnda wceq eqid eqtrd eleqtrdi wb mpbid fveq2 fveq1d
        cli weq sumeq2sdv fvmpt oveq2 mpteq2dv mptex ad2antlr cuz mpteq2dva cdv
        adantl oveq2d ffvelrnd cvv expcl mulcld ovex cn crab csup oveq1 fvoveq1
        oveq12d cbvmptv peano2nn0 nn0cnd seqeq3d syl5eq eqtri eqeltrd ad3antrrr
        cpr cmap c2 cdiv ccom cbl cxmet pserdvlem1 blssm ovexi ccncf cncff ccnv
        psercn psercnlem2 simp2d sstrd fssresd eqidd abscld rexrd cpnf radcnvcl
        iccssxr sselid cnmetdval sylancl subid1d fveq2d simpr syl22anc eqbrtrrd
        elbl3 xrlttrd radcnvlt2 isumclim2 sumex breqtrrd sumeq1d fsumser 3eqtrd
        0cn wfn cz 0z seqfn ax-mp fneq2i mpbir dffn5 mpbi eqtr4di fvres 3brtr4d
        cif culm ctopn cnfldtopon toponrestid cnfldtopn blopn eqeltrid 3ad2ant1
        ccnfld w3a 3adant2 3ad2ant2 adantlr id syl2anr syldan ovexd c0ex dvexp2
        ifex dvmptres dvmptcmul dvmptcl 3impa pserval2 syl2anc dvmptfsum resmpt
        nnssnn0 oveq1d mpteq2ia eqtr4i eqtrdi eleq1d cbvrabv supeq1i psercnlem1
        cdm rpred cico cnvimass absf sseqtri eqsstri avglt2 rpge0d absidd rpcnd
        fdmi nn0ex eqbrtrd dvradcnv radcnvle xrltletrd pserulm sumeq2dv breqtrd
        cle nnuz 1e0p1 fveq2i 1zzd sylan fmpt3d serf an32s elfznn nnne0d neneqd
        iffalsed sumeq2i nnz nnnn0d nncnd nnm1nn0 fsumshftm fz1ssfz0 cdif eldif
        wn wo elfzuz2 elfzp12 ibi ord con1d sylbi oveq1i difeq2i eleq2s iftrued
        eldifi mul01d fsumss 1m1e0 sumeq1i mul12d pncan mulassd 3eqtr4d 3eqtr3d
        imp ax-1cn eqtr4d ulmshft eqbrtrid 1nn0 ulmres mpbird ulmdv ) AOUHZGUIZ
        UJZUCUKUDIULCEUMIUHZUNUOZUEUHZCUHZLUPZUPZUEUQZURZURZKEUSZCEULVXJUTVBUOZ
        VXTDUPZVAUOZVXMVXJVCUOZVAUOZIUQZURZUMEULVDUKVEUKUUBUIZVXIVFVGVXIVHZVXII
        ULVXQUKEUUCUOZVXIVXJULUIZUJZEUKVXQVIVXQVYIUIVYKCEVXPUKVYKVXMEUIZUJZVXKV
        XOUEVYMUMVXJVPVYMULUKVXNVIVXLULUIZVXOUKUIVXLVXKUIVYMBDJLVXMPAULUKDVIZVX
        HVYJVYLRUUAVYKEUKVXMVXIEUKVJZVYJVXIEUMVXGVKUPZMVBUOUUDUUEUOZVKVLUUFZUUG
        UPZUOZUKUBVYSUKUUHUPUIZVXIUMUKUIZVYRVMUIZWUAUKVJVNVXIVOZVXIVYRVXIVYRVQU
        IZVYQVYRVRVSZVYRFVRVSZABCDFGHJKLMNOPQRSTUAUUIZVTZWGZVYSUMVYRUKUUJWAWBZW
        CWDWHVXLVXJWEULUKVXLVXNWFWIWJWKUKEVXQWLEUMVYRVYTUBUUKZWSWMWKVXIGUKEKAGU
        KKVIZVXHAKGUKUULUOUIWUNABCDFGHJKLMNOPQRSTUAUUOGUKKUUMWNWCVXIEVKUUNZUMVY
        RWOUOWPZGVXIEWUAWUPUBVXIVXGWUAUIZWUAWUPVJZWUPGVJZABCDFGHJKLVYRNOPQRSTWU
        IUUPZUUQWBZVXIWUQWURWUSWUTWQUURZUUSVXIUCUHZEUIZUJZVBWVCLUPZUMWRZWVCKUPZ
        UDULWVCUDUHZVXRUPZUPZURZWVCVXSUPZXJWVEWVGULHUHZWVFUPZHUQZWVHXJWVEWVOHWV
        FUMULVDWVEVHWVEWVNULUIZUJWVOUUTWVEULUKWVNWVFWVEBDJLWVCPAVYOVXHWVDRWTZVX
        IEUKWVCWULWDZWHZXAWVEBDFJLWVCNPWVRSWVSWVEWVCVKUPZVYRFWVEWWAWVEWVCWVSUVA
        UVBVXIWUDWVDWUKWCZAFVMUIVXHWVDAUMUVCWOUOZVMFUMUVCUVEZABDFJLNPRSUVDUVFWT
        WVEWVCUMVYSUOZWWAVYRVRWVEWWEWVCUMVLUOZVKUPZWWAWVEWVCUKUIZWUCWWEWWGXBWVS
        UWCWVCUMVYSVYSXCUVGUVHWVEWWFWVCVKWVEWVCWVSUVIUVJXDWVEWVCWUAUIZWWEVYRVRV
        SZWVEWVCEWUAVXIWVDUVKUBXEWVEWUBWUDWUCWWHWWIWWJXFWUBWVEVNVGWWBWVEVOWVSWV
        CVYSUMVYRUKUVNUVLXGUVMVXIWUHWVDVXIWUFWUGWUHWUIWQWCUVOUVPUVQWVEWVCGUIWVH
        WVPXBVXIEGWVCWVBWDCWVCULWVNVXNUPZHUQWVPGKCUCXKZULWWKWVOHWWLWVNVXNWVFVXM
        WVCLXHZXIXLQULWVOHUVRXMWNUVSWVEWVLUDULWVIWVGUPZURZWVGWVEUDULWVKWWNWVEWV
        IULUIZUJZWVKWVCCEUMWVIUNUOZVXOUEUQZURZUPZWWRVXLWVFUPZUEUQZWWNWWQWVCWVJW
        WTWWPWVJWWTXBZWVEIWVIVXQWWTULVXRIUDXKZCEVXPWWSWXEVXKWWRVXOUEVXJWVIUMUNX
        NUVTXOVXRXCCEWWSWUMXPXMZYAXIWVDWXAWXCXBVXIWWPCWVCWWSWXCEWWTWWLWWRVXOWXB
        UEWWLVXLVXNWVFWWMXIXLWWTXCWWRWXBUEUVRXMXQWWQWXBUEWVFUMWVIWWQVXLWWRUIZUJ
        WXBUUTWWQWVIULUMXRUPZWVEWWPUVKVDXEWWQULUKWVFVIZVYNWXBUKUIWXGWVEWXIWWPWV
        TWCVXLWVIWEZULUKVXLWVFWFWIUWAUWBXSWVGULUWDZWVGWWOXBWXKWVGWXHUWDZUMUWEUI
        WXLUWFVBWVFUMUWGUWHULWXHWVGVDUWIUWJUDULWVGUWKUWLUWMWVDWVMWVHXBVXIWVCEKU
        WNYAUWOVXIUDULUKWVJXTUOZURUDULCEWWRVXLDUPZVXLUMXBZUMVXLVXMVXLUTVLUOZVCU
        OZVAUOZUWPZVAUOZUEUQZURZURZVYFEUWQUPZVXIUDULWXMWYBVXIWWPUJZWXMUKWWTXTUO
        WYBWYEWVJWWTUKXTWWPWXDVXIWXFYAYBWYECVXOWXTUKUEWWRUXEUWRUPZWYFEWYFUKWYFW
        YFXCZUWSUWTZWYGVYGWYEVFVGVXIEWYFUIZWWPVXIEWUAWYFUBWUBVXIWUCWUDWUAWYFUIV
        NWUEWUKVYSUMVYRWYFUKWYFWYGUXAUXBWAUXCZWCWYEUMWVIVPWYEWXGVYLUXFZULUKVXLV
        XNWYKBDJLVXMPWYEWXGVYOVYLAVYOVXHWWPRWTZUXDWYEVYLVXMUKUIZWXGWYEEUKVXMVXI
        VYPWWPWULWCWDZUXGWHWXGWYEVYNVYLWXJUXHYCWYEWXGVYLWXTUKUIZWYEWXGUJZCWXNVX
        MVXLVCUOZVAUOZWXTUKYDEVYGWYPVFVGZWYPVYLUJZWXNWYQWYPWXNUKUIZVYLWYEVYOVYN
        XUAWXGWYLWXJULUKVXLDWFZWIZWCWYPVYLWYMWYQUKUIZWYEVYLWYMWXGWYNUXIZWYMWYMV
        YNXUDWYPWYMUXJWXGVYNWYEWXJYAZVXMVXLYEZUXKZUXLZYFWYTWXNWXSVAUXMWYPCWYQWX
        SWXNUKYDEWYSXUIWXSYDUIZWYTWXOUMWXRUXNVXLWXQVAYGUXPZVGWYPCWYQWXSUKWYFWYF
        YDUKEWYSXUHXUJWYPWYMUJXUKVGWYPVYNUKCUKWYQURXTUOCUKWXSURXBXUFCVXLUXOWNVX
        IVYPWWPWXGWULWTWYHWYGVXIWYIWWPWXGWYJWTUXQXUCUXRZUXSZUXTWYPUKCEVXOURZXTU
        OUKCEWYRURZXTUOCEWXTURWYPXUNXUOUKXTWYPCEVXOWYRWYTWYMVYNVXOWYRXBXUEWXGVY
        NWYEVYLWXJXQBDJLVXLVXMPUYAUYBXSYBXULXDUYCXDXSVXIWYCVYFWYDVSWYCYHUSZVYFW
        YDVSVXIXUPUDYHWYBURZVYFWYDYHULVJXUPXUQXBUYEUDULYHWYBUYDUWHVXIHULCEWVNVB
        VXMOUKUEULVXLUTVBUOZXURDUPZVAUOZVXGVXLVCUOZVAUOZURZURZUPZUMWRZUPZURZURZ
        VYFWYDVSXUQVYFWYDVSVXIXVICEULVXJXVEUPZIUQZURZVYFWYDVXIBUCUDULWVIUTVBUOZ
        XVMDUPZVAUOZURZVBNUHZXVDUPZUMWRZXJUYNZUIZNVEYIZVMVRYJZEUDIJXVLXVDXVIVYR
        HOBUKXVCJULJUHZXVPUPZBUHZXWDVCUOZVAUOZURZOBXKZXVCUEULXUTXWFVXLVCUOZVAUO
        ZURZXWIXWJUEULXVBXWLXWJXVAXWKXUTVAVXGXWFVXLVCYKYBXOXWMJULXWDUTVBUOZXWND
        UPZVAUOZXWGVAUOZURXWIUEJULXWLXWQUEJXKZXUTXWPXWKXWGVAXWRXURXWNXUSXWOVAVX
        LXWDUTVBYKVXLXWDUTDVBYLYMVXLXWDXWFVCXNYMYNJULXWHXWQXWDULUIXWEXWPXWGVAUD
        XWDXVOXWPULXVPUDJXKXVMXWNXVNXWOVAWVIXWDUTVBYKWVIXWDUTDVBYLYMXVPXCXWNXWO
        VAYGXMUYFUYGUYHUYIYNZCUCEXVKULVXJWVCXVDUPZUPZIUQWWLULXVJXXAIWWLVXJXVEXW
        TVXMWVCXVDXHZXIXLYNVXIUDULXVOUKWYEXVMXVNWYEXVMWWPXVMULUIVXIWVIYOYAZYPWY
        EULUKXVMDWYLXXCYCYFWKZVMXWBVBWVNXVDUPZUMWRZXVTUIZHVEYIVRXWAXXGNHVENHXKZ
        XVSXXFXVTXXHXVRXXEVBUMXVQWVNXVDXHYQUYJUYKUYLZHUDULXVHUCEWVIVBXWTUMWRZUP
        ZURZHUDXKZXVHUCEWVNXXJUPZURXXLCUCEXVGXXNWWLWVNXVFXXJWWLXVEXWTVBUMXXBYQX
        IYNXXMUCEXXNXXKWVNWVIXXJXHXOYRYNVXIVYRWUJUYOVXIVYRMXWCWUKVXIMVXIMVQUIZV
        YQMVRVSZMFVRVSZABCDFGHJKLMNOPQRSTUAUYMZVTZWGVXIWWCVMXWCWWDVXIBXVPXWCJXV
        DHXWSXXDXXIUVDUVFVXIXXPVYRMVRVSZVXIXXOXXPXXQXXRUUQVXIVYQVEUIMVEUIXXPXXT
        XFVXIVXGAGUKVXGGUKVJAGWUOUMFUYPUOZWPZUKTXYBVKUYNUKVKXYAUYQUKVEVKUYRVUEU
        YSUYTVGWDUVAVXIMXXSUYOZVYQMVUAUYBXGVXIMVKUPZMXWCVUNVXIMXYCVXIMXXSVUBVUC
        ZVXIBXVPXWCJXVDMHXWSXXDXXIVXIMXXSVUDZVXIVBMXVDUPZUMWRVBUEULXUTMVXLVCUOZ
        VAUOZURZUMWRXVTVXIXYGXYJVBUMVXIMUKUIXYGXYJXBXYFUFMUEULXUTUFUHZVXLVCUOZV
        AUOZURZXYJUKXVDXYKMXBZUEULXYMXYIXYOXYLXYHXUTVAXYKMVXLVCYKYBXOOUFUKXVCXY
        NOUFXKZUEULXVBXYMXYPXVAXYLXUTVAVXGXYKVXLVCYKYBXOYNUEULXYIVUFXPXMWNYQVXI
        CDFUELXYJMUGLBUKJULXWDDUPZXWGVAUOZURZURCUKUEULWYRURZURPBCUKXYSXYTBCXKZX
        YSUEULWXNXWKVAUOZURXYTJUEULXYRYUBJUEXKXYQWXNXWGXWKVAXWDVXLDXHXWDVXLXWFV
        CXNYMYNYUAUEULYUBWYRYUAXWKWYQWXNVAXWFVXMVXLVCYKYBXOYRYNYSFVBXVQLUPZUMWR
        ZXVTUIZNVEYIZVMVRYJVBUGUHZLUPZUMWRZXVTUIZUGVEYIZVMVRYJSVMYUFYUKVRYUEYUJ
        NUGVENUGXKZYUDYUIXVTYULYUCYUHVBUMXVQYUGLXHYQUYJUYKUYLYSXYJXCAVYOVXHRWCZ
        XYFVXIXYDMFVRXYEVXIXXOXXPXXQXXRWQVUGVUHYTVUIUVMVUJWVAVUKVXICEXVKVYEVXIV
        YLUJZULXVJVYDIYUNVYJUJZXVJVXJUEULXUTWYQVAUOZURZUPZVYDYUOVXJXVEYUQYUNXVE
        YUQXBZVYJYUNWYMYUSVXIEUKVXMWULWDZOVXMXVCYUQUKXVDOCXKZUEULXVBYUPYVAXVAWY
        QXUTVAVXGVXMVXLVCYKYBXOXVDXCUEULYUPVUFXPXMZWNZWCXIVYJYURVYDXBZYUNUEVXJY
        UPVYDULYUQUEIXKZXUTVYBWYQVYCVAYVEXURVXTXUSVYAVAVXLVXJUTVBYKVXLVXJUTDVBY
        LYMVXLVXJVXMVCXNYMYUQXCVYBVYCVAYGXMZYAXDVULXSVUMVXIEUDXVIVYFXUQUTUMYHUL
        VDYHUTXRUPUMUTVBUOZXRUPVUOUTYVGXRVUPVUQYSVYHVXIVURVXIHULXVHVYIVXIWVQUJZ
        EUKXVHVIXVHVYIUIYVHCEXVGUKVXIVYLWVQXVGUKUIYUNULUKWVNXVFYUNUDXVEUMULVDYU
        NVHYUNULUKWVIXVEYUNUEULYUPUKXVEYVCYUNVYNUJZXUTWYQYVIXURXUSVYNXURUKUIYUN
        VYNXURVXLYOZYPYAYUNVYOXURULUIXUSUKUIVYNAVYOVXHVYLRWTYVJULUKXURDWFWIYFYU
        NWYMVYNXUDYUTXUGVUSYFVUTXAVVAXAVVBWKUKEXVHWLWUMWSWMWKVXIUDYHWYBWVIUTVLU
        OZXVIUPZVXIWVIYHUIZUJZWYBCEYVKXVFUPZURZYVLYVNCEWYAYVOYVNVYLUJZUTWVIUNUO
        ZWXTUEUQZUTUTVLUOZYVKUNUOZVYAVXTVXMVXTUTVLUOZVCUOZVAUOZVAUOZIUQZWYAYVOY
        VQYVSYVRWXNWXRVAUOZUEUQYWFYVRWXTYWGUEVXLYVRUIZWXSWXRWXNVAYWHWXOUMWXRYWH
        VXLUMYWHVXLVXLWVIVVCZVVDVVEVVFYBZVVGYVQYWGYWEUEIUTUTWVIYVQVURZYWKYVMWVI
        UWEUIVXIVYLWVIVVHXQYVQYWHUJZWXNWXRYVQVYOVYNXUAYWHVXIVYOYVMVYLYUMWTZYWHV
        XLYWIVVIXUBWIYWLVXLWXQYWLVXLYWHVXLYHUIZYVQYWIYAVVJYVQWYMWXPULUIZWXQUKUI
        YWHVXIVYLWYMYVMYUTUXIZYWHYWNYWOYWIVXLVVKWNVXMWXPYEWIYFYFZVXLVXTXBZWXNVY
        AWXRYWDVAVXLVXTDXHYWRVXLVXTWXQYWCVAYWRUXJYWRWXPYWBVXMVCVXLVXTUTVLYKYBYM
        YMVVLYRYVQYVRWWRWXTUEYVRWWRVJYVQWVIVVMVGYWLWXTYWGUKYWHWXTYWGXBYVQYWJYAY
        WQYTYVQVXLWWRYVRVVNZUIZUJZWXTWXNUMVAUOUMYXAWXSUMWXNVAYXAWXOUMWXRYWTWXOY
        VQWXOVXLWWRYVGWVIUNUOZVVNZYWSVXLYXCUIWXGVXLYXBUIZVVPZUJWXOVXLWWRYXBVVOW
        XGYXEWXOWXGWXOYXDWXGWXOYXDWXGWXOYXDVVQZWXGWVIWXHUIWXGYXFXFVXLUMWVIVVRVX
        LUMWVIVVSWNVVTVWAVWBVWRVWCYVRYXBWWRUTYVGWVIUNVUPVWDVWEVWFYAVWGYBYXAWXNY
        VQVYOVYNXUAYWTYWMYWTWXGVYNVXLWWRYVRVWHWXJWNXUBWIVWIXDYVQUMWVIVPVWJYVQYW
        FUMYVKUNUOZYWEIUQYVOYWAYXGYWEIYVTUMYVKUNVWKVWDVWLYVQYWEIXVEUMYVKYVQVXJY
        XGUIZUJZYURVYDXVJYWEYXIVYJYVDYXHVYJYVQVXJYVKWEZYAZYVFWNYXIVXJXVEYUQYXIW
        YMYUSYVQWYMYXHYWPWCYVBWNXIYXIVYAVXTVYCVAUOZVAUOVXTVYAVYCVAUOVAUOYWEVYDY
        XIVYAVXTVYCYXIULUKVXTDYVQVYOYXHYWMWCYXIVYJVXTULUIYXKVXJYOWNZYCZYXIVXTYX
        MYPZYVQWYMVYJVYCUKUIYXHYWPYXJVXMVXJYEWIZVWMYXIYWDYXLVYAVAYXIYWCVYCVXTVA
        YXIYWBVXJVXMVCYXIVXJUKUIUTUKUIYWBVXJXBYXIVXJYXKYPVWSVXJUTVWNUVHYBZYBYBY
        XIVXTVYAVYCYXOYXNYXPVWOVWPVWPYVQYVKULWXHYVNYVKULUIZVYLYVMYXRVXIWVIVVKYA
        ZWCVDXEYXIVYAYWDYXNYXIVXTYWCYXOYXIYWCVYCUKYXQYXPYTYFYFUWAYRVWQXSYVNYXRY
        VLYVPXBYXSHYVKXVHYVPULXVIWVNYVKXBCEXVGYVOWVNYVKXVFXHXOXVIXCCEYVOWUMXPXM
        WNVWTXSVXAXGVXBVXIEWYCVYFUMUTYHULVDVUOUTULUIVXIVXCVGVXIUDULWYBVYIWYEEUK
        WYBVIWYBVYIUIWYECEWYAUKWYEVYLUJZWWRWXTUEYXTUMWVIVPWYEWXGVYLWYOXUMVVBWJW
        KUKEWYBWLWUMWSWMWKVXDVXEVUGVXF $.

      $( The derivative of a power series on its region of convergence.
         (Contributed by Mario Carneiro, 31-Mar-2015.) $)
      pserdv $p |- ( ph -> ( CC _D F ) = ( y e. S |->
       sum_ k e. NN0 ( ( ( k + 1 ) x. ( A ` ( k + 1 ) ) ) x. ( y ^ k ) ) ) ) $=
        ( cc cdv co cn0 cv c1 caddc cfv cmul cexp csu cmpt wf dvfcn ssidd ccncf
        cdm wcel psercn cncff syl wss cabs ccnv cico cima cnvimass cr absf fdmi
        cc0 sseqtri eqsstri a1i dvbss wa cres ccnfld ctopn cnt wceq adantr cdiv
        c2 cmin ccom cbl cxmet cxr cnxmet 0cnd sselda abscld crp clt psercnlem1
        wbr simp1d rpred readdcld 0red absge0d ltaddrpd lelttrd elrpd rphalfcld
        rpxrd blssm mp3an2i eqsstrid eqid cnfldtopon toponrestid dvres syl22anc
        resss eqsstrdi dmss cicc pserdvlem1 psercnlem2 eleqtrrdi pserdvlem2 cvv
        dmeqd dmmptg sumex eqtrdi eleqtrrd sseldd eqelssd feq2d mpbii weq oveq1
        mprg oveq2d sumeq2sdv feqmptd wfun ffun funssfv syl3anc fvmpt mpteq2dva
        mp1i fveq1d 3eqtrd eqtrd cbvmptv ) AUCKUDUEZOGUFIUGZUHUIUEZUUODUJUKUEZO
        UGZUUNULUEZUKUEZIUMZUNZCGUFUUPCUGZUUNULUEZUKUEZIUMZUNAUUMOGUUQUUMUJZUNU
        VAAOGUCUUMAUUMUSZUCUUMUOZGUCUUMUOKUPZAUVGGUCUUMAOUVGGAGUCKAUCUQAKGUCURU
        EUTGUCKUOZABCDFGHJKLMNOPQRSTUAVAGUCKVBVCZGUCVDZAGVEVFZVMFVGUEZVHZUCTUVO
        VEUSUCVEUVNVIUCVJVEVKVLVNVOZVPZVQAUUQGUTZVRZUCKEVSUDUEZUSZUVGUUQUVSUVTU
        UMVDZUWAUVGVDUVSUVTUUMEVTWAUJZWBUJUJZVSZUUMUVSUCUCVDUVJUVLEUCVDUVTUWEWC
        UVSUCUQAUVJUVRUVKWDUVLUVSUVPVPUVSEVMUUQVEUJZMUIUEZWFWEUEZVEWGWHZWIUJUEZ
        UCUBUWIUCWJUJUTUVSVMUCUTUWHWKUTUWJUCVDWLUVSWMUVSUWHUVSUWGUVSUWGUVSUWFMU
        VSUUQAGUCUUQUVQWNZWOZUVSMUVSMWPUTUWFMWQWSMFWQWSABCDFGHJKLMNOPQRSTUAWRWT
        ZXAXBZUVSVMUWFUWGUVSXCUWLUWNUVSUUQUWKXDUVSUWFMUWLUWMXEXFXGXHXIUWIVMUWHU
        CXJXKXLGEUCUWCKUWCUWCXMZUWCUCUWCUWOXNXOXPXQUUMUWDXRXSZUVTUUMXTVCUVSUUQE
        UWAUVSUUQUWJEUVSUUQUWJUTUWJUVMVMUWHYAUEVHZVDUWQGVDABCDFGHJKLUWHNOPQRSTA
        BCDFGHJKLMNOPQRSTUAYBYCWTUBYDZUVSUWACEUVEUNZUSZEUVSUVTUWSABCDEFGHIJKLMN
        OPQRSTUAUBYEZYGUVEYFUTZUWTEWCCECEUVEYFYHUXBUVBEUTUFUVDIYIVPYRYJYKZYLYMY
        NYOUUAAOGUVFUUTUVSUVFUUQUVTUJZUUQUWSUJZUUTUVSUUMUUBZUWBUUQUWAUTUVFUXDWC
        UVHUXFUVSUVIUVGUCUUMUUCUUHUWPUXCUUQUUMUVTUUDUUEUVSUUQUVTUWSUXAUUIUVSUUQ
        EUTUXEUUTWCUWRCUUQUVEUUTEUWSCOYPZUFUVDUUSIUXGUVCUURUUPUKUVBUUQUUNULYQYS
        YTUWSXMUFUUSIYIUUFVCUUJUUGUUKOCGUUTUVEOCYPZUFUUSUVDIUXHUURUVCUUPUKUUQUV
        BUUNULYQYSYTUULYJ $.

      $( The derivative of a power series on its region of convergence.
         (Contributed by Mario Carneiro, 31-Mar-2015.) $)
      pserdv2 $p |- ( ph -> ( CC _D F ) = ( y e. S |->
        sum_ k e. NN ( ( k x. ( A ` k ) ) x. ( y ^ ( k - 1 ) ) ) ) ) $=
        ( vm cc cdv co cn0 cv c1 caddc cfv cmul cexp csu cmpt cn cmin pserdv wa
        wcel cc0 nn0uz cuz nnuz 1e0p1 fveq2i eqtri wceq id fveq2 oveq12d oveq2d
        oveq1 1zzd 0zd nncn adantl adantr nnnn0 ffvelrn syl2an mulcld cabs ccnv
        wss cico cima cdm cnvimass absf fdmi sseqtri eqsstri a1i sselda nnm1nn0
        wf cr expcl isumshft ax-1cn nn0cn addcom sylancr fveq2d pncan2 sumeq2dv
        eqtr2d mpteq2dva eqtrd ) AUDKUEUFCGUGUCUHZUIUJUFZXLDUKZULUFZCUHZXKUMUFZ
        ULUFZUCUNZUOCGUPIUHZXSDUKZULUFZXOXSUIUQUFZUMUFZULUFZIUNZUOABCDEFGHUCJKL
        MNOPQRSTUAUBURACGXRYEAXOGUTZUSZYEUGUIXKUJUFZYHDUKZULUFZXOYHUIUQUFZUMUFZ
        ULUFZUCUNXRYGYDYMIUCUIVAUPUGVBUPUIVCUKVAUIUJUFZVCUKVDUIYNVCVEVFVGXSYHVH
        ZYAYJYCYLULYOXSYHXTYIULYOVIXSYHDVJVKYOYBYKXOUMXSYHUIUQVMVLVKYGVNYGVOYGX
        SUPUTZUSZYAYCYQXSXTYPXSUDUTYGXSVPVQYGUGUDDWQZXSUGUTXTUDUTYPAYRYFRVRXSVS
        UGUDXSDVTWAWBYGXOUDUTYBUGUTYCUDUTYPAGUDXOGUDWEAGWCWDVAFWFUFZWGZUDTYTWCW
        HUDWCYSWIUDWRWCWJWKWLWMWNWOXSWPXOYBWSWAWBWTYGUGYMXQUCYGXKUGUTZUSZYJXNYL
        XPULUUBYHXLYIXMULUUBUIUDUTZXKUDUTZYHXLVHXAUUAUUDYGXKXBVQZUIXKXCXDZUUBYH
        XLDUUFXEVKUUBYKXKXOUMUUBUUCUUDYKXKVHXAUUEUIXKXFXDVLVKXGXHXIXJ $.
    $}
  $}

  ${
    $d i j k m n w x y z M $.  $d i j k m n w x y z R $.  $d i j k n r x z X $.
    $d i j k m n r t v w x y z A $.  $d k n N $.  $d i j k m n r v w x y ph $.
    $d i j r w y F $.  $d i j k m n r w x y S $.
    abelth.1 $e |- ( ph -> A : NN0 --> CC ) $.
    abelth.2 $e |- ( ph -> seq 0 ( + , A ) e. dom ~~> ) $.
    $( Lemma for ~ abelth .  (Contributed by Mario Carneiro, 1-Apr-2015.) $)
    abelthlem1 $p |- ( ph -> 1 <_ sup ( { r e. RR | seq 0 ( + ,
      ( ( z e. CC |-> ( n e. NN0 |-> ( ( A ` n ) x. ( z ^ n ) ) ) ) ` r ) )
        e. dom ~~> } , RR* , < ) ) $=
      ( c1 cfv caddc cv cc cn0 cexp co cmul cmpt cc0 cseq wcel cabs cli cr crab
      cdm cxr clt csup cle abs1 eqid 1cnd feqmptd wa ffvelrnda mpteq2dva eqtr4d
      mulid1d wceq ax-1cn oveq1 nn0z 1exp syl sylan9eq oveq2d nn0ex mptex fvmpt
      cz ax-mp eqtr4di seqeq3d eqeltrrd radcnvle eqbrtrrid ) AHHUAIJEKBLDMDKZCI
      ZBKZVQNOZPOZQZQZIRSUBUEZTEUCUDUFUGUHZUIUJABCWEDWCHEWCUKZFWEUKAULAJCRSJHWC
      IZRSWDACWGJRACDMVRHPOZQZWGACDMVRQWIADMLCFUMADMWHVRAVQMTZUNVRAMLVQCFUOURUP
      UQHLTWGWIUSUTBHWBWILWCVSHUSZDMWAWHWKWJUNVTHVRPWKWJVTHVQNOZHVSHVQNVAWJVQVJ
      TWLHUSVQVBVQVCVDVEVFUPWFDMWHVGVHVIVKVLVMGVNVOVP $.

    abelth.3 $e |- ( ph -> M e. RR ) $.
    abelth.4 $e |- ( ph -> 0 <_ M ) $.
    abelth.5 $e |- S = { z e. CC |
      ( abs ` ( 1 - z ) ) <_ ( M x. ( 1 - ( abs ` z ) ) ) } $.
    $( Lemma for ~ abelth .  The peculiar region ` S ` , known as a _Stolz
       angle_ , is a teardrop-shaped subset of the closed unit ball containing
       ` 1 ` .  Indeed, except for ` 1 ` itself, the rest of the Stolz angle is
       enclosed in the open unit ball.  (Contributed by Mario Carneiro,
       31-Mar-2015.) $)
    abelthlem2 $p |- ( ph -> ( 1 e. S /\
      ( S \ { 1 } ) C_ ( 0 ( ball ` ( abs o. - ) ) 1 ) ) ) $=
      ( wcel cc0 cle wbr c1 cabs cmin co cc cmul csn cdif ccom cbl cfv wss 1cnd
      cr wa 0le0 simpl recnd mul01d breqtrrid cv wceq oveq2 1m1e0 abs00bd fveq2
      eqtrdi abs1 oveq2d breq12d elrab2 sylanbrc cun crab w3a wo wne necon3bbii
      wn velsn wi clt simprll 0cn cnmetdval sylancl subid1d fveq2d eqtrd abscld
      eqid 1red caddc 1re resubcl ax-1cn sylancr simpll remulcld oveq2i abs2dif
      subcl eqbrtrrid abssub breqtrd simprlr letrd mpbid adantr addsubd mulid1d
      lesubaddd subdid oveq1d eqtr4d breqtrrd peano2re syl leaddsub2d adddirp1d
      mpbird 3brtr4d 0red simplr lelttrd lemul2 syl112anc lensymd simprr necomd
      wb ltp1d subeq0 necon3bid absgt0 eqbrtrd eqtr3id breq1d syl5ibcom leneltd
      necon3bd mpd cxmet cxr cnxmet 1xr elbl3 mpanl12 expr 3impb syl5bi rabssdv
      orrd elun sylibr eqsstrid ssundif sylib jca syl2anc ) AEUHKZLEMNZODKZDOUA
      ZUBLOPQUCZUDUERZUFZUIHIUUOUUPUIZUUQUVAUVBOSKZLELTRZMNZUUQUVBUGUVBLLUVDMUJ
      UVBEUVBEUUOUUPUKULZUMZUNOBUOZQRZPUEZEOUVHPUEZQRZTRZMNZUVEBOSDUVHOUPZUVJLU
      VMUVDMUVOUVIUVOUVIOOQRZLUVHOOQUQURVAUSUVOUVLLETUVOUVLUVPLUVOUVKOOQUVOUVKO
      PUEZOUVHOPUTVBVAVCURVAVCVDJVEVFUVBDUURUUTVGZUFUVAUVBDUVNBSVHUVRJUVBUVNBSU
      VRUVBUVHSKZUVNVIZUVHUURKZUVHUUTKZVJUVHUVRKUVTUWAUWBUWAVMUVHOVKZUVTUWBUWAU
      VHOBOVNVLUVBUVSUVNUWCUWBVOUVBUVSUVNUIZUWCUWBUVBUWDUWCUIZUIZUWBUVHLUUSRZOV
      PNZUWFUWGUVKOVPUWFUWGUVHLQRZPUEZUVKUWFUVSLSKZUWGUWJUPUVBUVSUVNUWCVQZVRUVH
      LUUSUUSWEVSVTUWFUWIUVHPUWFUVHUWLWAWBWCUWFUVKOUWFUVHUWLWDZUWFWFZUWFUVKOMNZ
      EOWGRZUVKTRZUWPOTRZMNZUWFEUVKTRZUVKWGRZUWPUWQUWRMUWFUXAUWPMNUVKUWPUWTQRZM
      NUWFUVKUVMOWGRZUXBMUWFUVKOQRZUVMMNUVKUXCMNUWFUXDUVJUVMUWFUVKUHKZOUHKZUXDU
      HKUWMWHUVKOWIVTUWFUVIUWFUVCUVSUVISKZWJUWLOUVHWPWKZWDZUWFEUVLUUOUUPUWEWLZU
      WFUXFUXEUVLUHKWHUWMOUVKWIWKWMZUWFUXDUVHOQRPUEZUVJMUWFUXDUVKUVQQRZUXLMUVQO
      UVKQVBWNUWFUVSUVCUXMUXLMNUWLWJUVHOWOVTWQUWFUVSUVCUXLUVJUPUWLWJUVHOWRVTWSU
      VBUVSUVNUWCWTZXAUWFUVKOUVMUWMUWNUXKXFXBUWFUXBEUWTQRZOWGRUXCUWFEOUWTUVBESK
      UWEUVFXCZUWFUGZUWFUWTUWFEUVKUXJUWMWMZULXDUWFUVMUXOOWGUWFUVMEOTRZUWTQRUXOU
      WFEOUVKUXPUXQUWFUVKUWMULZXGUWFUXSEUWTQUWFEUXPXEXHWCXHXIXJUWFUWTUVKUWPUXRU
      WMUWFUUOUWPUHKZUXJEXKXLZXMXOUWFEUVKUXPUXTXNUWFUWPUWFUWPUYBULXEXPUWFUXEUXF
      UYALUWPVPNUWOUWSYEUWMUWNUYBUWFLEUWPUWFXQUXJUYBUUOUUPUWEXRUWFEUXJYFXSUVKOU
      WPXTYAXOUWFUVMUVJVPNZVMOUVKVKUWFUVJUVMUXIUXKUXNYBUWFUYCOUVKUWFUVDUVJVPNOU
      VKUPZUYCUWFUVDLUVJVPUVBUVDLUPUWEUVGXCUWFUVILVKZLUVJVPNZUWFUYEOUVHVKZUWFUV
      HOUVBUWDUWCYCYDUWFUVCUVSUYEUYGYEWJUWLUVCUVSUIUVILOUVHOUVHYGYHWKXOUWFUXGUY
      EUYFYEUXHUVIYIXLXBYJUYDUVDUVMUVJVPUYDLUVLETUYDLUVPUVLUROUVKOQUQYKVCYLYMYO
      YPYNYJUWFUWKUVSUWBUWHYEZVRUWLUUSSYQUEKOYRKUWKUVSUIUYHYSYTUVHUUSLOSUUAUUBW
      KXOUUCUUDUUEUUGUVHUURUUTUUHUUIUUFUUJDUURUUTUUKUULUUMUUN $.

    $( Lemma for ~ abelth .  (Contributed by Mario Carneiro, 31-Mar-2015.) $)
    abelthlem3 $p |- ( ( ph /\ X e. S ) ->
      seq 0 ( + , ( n e. NN0 |-> ( ( A ` n ) x. ( X ^ n ) ) ) ) e. dom ~~> ) $=
      ( wcel c1 cc0 cfv co caddc cn0 cc vr csn cabs cmin ccom wo cexp cmul cmpt
      cbl cv cseq cli cdm wa cun cdif wss abelthlem2 simprd ssundif sylibr elun
      sselda sylib feqmptd ffvelrnda mulid1d mpteq2dva eqtr4d elsni oveq1d wceq
      cz nn0z 1exp syl sylan9eq oveq2d eqcomd seqeq3d adantr eqeltrrd cxmet cxr
      cnxmet 0cn blssm mp3an simpr sselid oveq1 mpteq2dv eqid nn0ex mptex fvmpt
      1xr cr crab clt csup wf abscld rexrd rexr mp1i cpnf cicc iccssxr radcnvcl
      1re cnmetdval sylancl subid1d fveq2d eqtrd wb elbl3 mpanl12 sylancr mpbid
      wbr eqbrtrrd cle abelthlem1 xrltletrd radcnvlt2 jaodan syldan ) AGDMZGNUB
      ZMZGONUCUDUEZUJPQZMZUFZRESEUKZCPZGYRUGQZUHQZUIZOULZUMUNZMZAYKUOGYLYOUPZMY
      QADUUFGADYLUQYOURZDUUFURANDMUUGABCDFHIJKLUSUTDYLYOVAVBVDGYLYOVCVEAYMUUEYP
      AYMUOZRCOULZUUCUUDUUHCUUBROAYMCESYSNUHQZUIZUUBACESYSUIUUKAESTCHVFAESUUJYS
      AYRSMZUOYSASTYRCHVGVHVIVJYMUUBUUKYMESUUAUUJYMUULUOYTNYSUHYMUULYTNYRUGQZNY
      MGNYRUGGNVKVLUULYRVNMUUMNVMYRVOYRVPVQVRVSVIVTVRWAAUUIUUDMYMIWBWCAYPUOZRGB
      TESYSBUKZYRUGQZUHQZUIZUIZPZOULUUCUUDUUNUUTUUBROUUNGTMZUUTUUBVMUUNYOTGYNTW
      DPMZOTMZNWEMZYOTURWFWGWRYNONTWHWIAYPWJZWKZBGUURUUBTUUSUUOGVMZESUUQUUAUVGU
      UPYTYSUHUUOGYRUGWLVSWMUUSWNZESUUAWOWPWQVQWAUUNBCRUAUKUUSPOULUUDMUAWSWTWEX
      AXBZEUUSGUAUVHASTCXCYPHWBZUVIWNZUVFUUNGUCPZNUVIUUNUVLUUNGUVFXDXENWSMUVDUU
      NXLNXFXGUUNOXHXIQWEUVIOXHXJUUNBCUVIEUUSUAUVHUVJUVKXKWKUUNGOYNQZUVLNXAUUNU
      VMGOUDQZUCPZUVLUUNUVAUVCUVMUVOVMUVFWGGOYNYNWNXMXNUUNUVNGUCUUNGUVFXOXPXQUU
      NYPUVMNXAYCZUVEUUNUVCUVAYPUVPXRZWGUVFUVBUVDUVCUVAUOUVQWFWRGYNONTXSXTYAYBY
      DANUVIYEYCYPABCEUAHIYFWBYGYHWCYIYJ $.

    abelth.6 $e |- F = ( x e. S |->
      sum_ n e. NN0 ( ( A ` n ) x. ( x ^ n ) ) ) $.
    $( Lemma for ~ abelth .  (Contributed by Mario Carneiro, 31-Mar-2015.) $)
    abelthlem4 $p |- ( ph -> F : S --> CC ) $=
      ( vm cn0 cfv co cmul cc cv cexp csu wcel wa cmpt cc0 nn0uz 0zd wceq fveq2
      oveq2 oveq12d eqid ovex fvmpt adantl wf adantr ffvelrnda wss c1 cmin cabs
      cle wbr ssrab3 a1i sselda expcl sylan mulcld abelthlem3 isumcl fmptd ) AB
      EPFUAZDQZBUAZVPUBRZSRZFUCTGAVREUDZUEZVTFOPOUAZDQZVRWCUBRZSRZUFZUGPUHWBUIV
      PPUDZVPWGQVTUJWBOVPWFVTPWGWCVPUJWDVQWEVSSWCVPDUKWCVPVRUBULUMWGUNVQVSSUOUP
      UQWBWHUEVQVSWBPTVPDAPTDURWAIUSUTWBVRTUDWHVSTUDAETVRETVAAVBCUAZVCRVDQHVBWI
      VDQVCRSRVEVFCTEMVGVHVIVRVPVJVKVLACDEOHVRIJKLMVMVNNVO $.

    ${
      abelth.7 $e |- ( ph -> seq 0 ( + , A ) ~~> 0 ) $.
      $( Lemma for ~ abelth .  (Contributed by Mario Carneiro, 1-Apr-2015.) $)
      abelthlem5 $p |- ( ( ph /\ X e. ( 0 ( ball ` ( abs o. - ) ) 1 ) ) ->
        seq 0 ( + , ( k e. NN0 |->
          ( ( seq 0 ( + , A ) ` k ) x. ( X ^ k ) ) ) ) e. dom ~~> ) $=
        ( c1 cfv wcel vm vj vi cc0 cabs cmin ccom cbl co wa cv cseq clt wbr cuz
        caddc wral cn0 cexp cmul cmpt cli cdm wrex nn0uz 0zd crp 1rp a1i climi0
        eqidd adantr simprl cr wceq oveq2 eqid fvmpt adantl cc cxmet cxr cnxmet
        ovex wss 0cn 1xr blssm mp3an simplr sselid abscld reexpcl sylan eqeltrd
        fveq2 oveq12d wf ffvelrnda serf ad2antrr expcl mulcld cdiv recnd absidm
        weq syl cnmetdval sylancl subid1d fveq2d eqtrd wb elbl3 mpanl12 sylancr
        mpbid eqbrtrrd eqbrtrd geolim climrel releldmi 1red cle ffvelrnd syldan
        eluznn0 absmuld absexpd oveq2d absge0d breqtrd simprr 2fveq3 rspccva wi
        breq1d 1re ltle mpd lemul1ad 3brtr4d cvgcmpce rexlimddv ) AJUDRUEUFUGZU
        HSUIZTZUJZUAUKZUPDUDULZSZUESZRUMUNZUAUBUKZUOSZUQZUPFURFUKZUUKSZJUURUSUI
        ZUTUIZVAZUDULVBVCZTUBURAUUQUBURVDUUHAUULRUBUAUUKUDURVEAVFZRVGTAVHVIAUUJ
        URTUJUULVKQVJVLUUIUUOURTZUUQUJZUJZRUCGURJUESZGUKZUSUIZVAZUVBUDUUOURVEUU
        IUVEUUQVMZUVGUCUKZURTZUJZUVMUVKSZUVHUVMUSUIZVNUVNUVPUVQVOZUVGGUVMUVJUVQ
        URUVKUVIUVMUVHUSVPUVKVQUVHUVMUSWDVRZVSZUVGUVHVNTUVNUVQVNTZUVGJUVGUUGVTJ
        UUFVTWASTZUDVTTZRWBTZUUGVTWEWCWFWGUUFUDRVTWHWIAUUHUVFWJZWKZWLZUVHUVMWMW
        NZWOUVOUVMUVBSZUVMUUKSZJUVMUSUIZUTUIZVTUVNUWIUWLVOZUVGFUVMUVAUWLURUVBFU
        CXGUUSUWJUUTUWKUTUURUVMUUKWPUURUVMJUSVPWQUVBVQUWJUWKUTWDVRZVSUVOUWJUWKU
        VGURVTUVMUUKAURVTUUKWRZUUHUVFABDUDURVEUVDAURVTBUKDKWSWTXAZWSUVGJVTTZUVN
        UWKVTTZUWFJUVMXBWNZXCWOUVGUPUVKUDULZRRUVHUFUIXDUIZVBUNUWTUVCTUVGUVHUCUV
        KUVGUVHUWGXEUVGUVHUESZUVHRUMUVGUWQUXBUVHVOUWFJXFXHUVGJUDUUFUIZUVHRUMUVG
        UXCJUDUFUIZUESZUVHUVGUWQUWCUXCUXEVOUWFWFJUDUUFUUFVQXIXJUVGUXDJUEUVGJUWF
        XKXLXMUVGUUHUXCRUMUNZUWEUVGUWCUWQUUHUXFXNZWFUWFUWBUWDUWCUWQUJUXGWCWGJUU
        FUDRVTXOXPXQXRXSXTUVTYAUWTUXAVBYBYCXHUVGYDUVGUVMUUPTZUJZUWLUESZRUVQUTUI
        ZUWIUESRUVPUTUIYEUXIUXJUWJUESZUVQUTUIZUXKYEUXIUXJUXLUWKUESZUTUIUXMUXIUW
        JUWKUXIURVTUVMUUKUVGUWOUXHUWPVLUVGUVEUXHUVNUVLUVMUUOYHWNZYFZUVGUXHUVNUW
        RUXOUWSYGZYIUXIUXNUVQUXLUTUXIJUVMUVGUWQUXHUWFVLUXOYJZYKXMUXIUXLRUVQUXIU
        WJUXPWLZUXIYDUVGUXHUVNUWAUXOUWHYGUXIUDUXNUVQYEUXIUWKUXQYLUXRYMUXIUXLRUM
        UNZUXLRYEUNZUVGUUQUXHUXTUUIUVEUUQYNUUNUXTUAUVMUUPUAUCXGUUMUXLRUMUUJUVMU
        EUUKYOYRYPWNUXIUXLVNTRVNTUXTUYAYQUXSYSUXLRYTXJUUAUUBXTUXIUWIUWLUEUXIUVN
        UWMUXOUWNXHXLUXIUVPUVQRUTUXIUVNUVRUXOUVSXHYKUUCUUDUUE $.

      ${
        abelthlem6.1 $e |- ( ph -> X e. ( S \ { 1 } ) ) $.
        $( Lemma for ~ abelth .  (Contributed by Mario Carneiro,
           2-Apr-2015.) $)
        abelthlem6 $p |- ( ph -> ( F ` X ) =
          ( ( 1 - X ) x. sum_ n e. NN0
            ( ( seq 0 ( + , A ) ` n ) x. ( X ^ n ) ) ) ) $=
          ( cn0 co cc0 vk vi vm cfv cv cexp cmul csu c1 cmin cseq wcel wceq csn
          caddc eldifad oveq1 oveq2d sumeq2sdv sumex fvmpt syl cmpt nn0uz fveq2
          0zd weq oveq2 oveq12d eqid ovex adantl wa cc ffvelrnda cle wbr ssrab3
          cabs sselid expcl sylan mulcld cli cfz cvv serf ccom cbl cdm cdif wss
          abelthlem2 simprd sseldd abelthlem5 mpdan isumclim2 seqex a1i sumeq1d
          0nn0 fzfid adantr elfznn0 ffvelrn syl2an fsumcl eqeltrd cshi peano2zd
          wf cuz nnuz 1e0p1 fveq2i eqtri eleq2i nnm1nn0 ax-1cn nncn nn0ex mptex
          cn shftval sylancr eqidd eleqtrdi fsumser eqtr4d 3eqtr4d cz 0z eqtrdi
          ax-mp c0 eqtrd simpr oveq1d subdird expm1t mulcomd sylan2br isermulc2
          nnnn0 mul12d seqfeq wb 1z isershft mp2an sylib clim2ser2 risefall0lem
          eqbrtrrd seq1 sum0 sylancl mul02d syl5eq isumcl addid1d breqtrd simpl
          fsumm1 eqtr3d pncan2d eqtr2d sersub climsub mulid2d breqtrrd isumclim
          1cnd ) AIGUDZRFUEZDUDZIUVPUFSZUGSZFUHZUIIUJSRUVPUODTUKZUDZUVRUGSZFUHZ
          UGSZAIEULUVOUVTUMAIEUIUNZQUPZBIRUVQBUEZUVPUFSZUGSZFUHUVTEGUWHIUMZRUWJ
          UVSFUWKUWIUVRUVQUGUWHIUVPUFUQURUSORUVSFUTVAVBAUVSUWEFUARUAUEZDUDZIUWL
          UFSZUGSZVCZTRVDAVFZUVPRULZUVPUWPUDZUVSUMAUAUVPUWOUVSRUWPUAFVGZUWMUVQU
          WNUVRUGUWLUVPDVEUWLUVPIUFVHZVIUWPVJUVQUVRUGVKVAVLZAUWRVMZUVQUVRARVNUV
          PDJVOZAIVNULZUWRUVRVNULAEVNIUICUEZUJSVSUDHUIUXFVSUDUJSUGSVPVQCVNENVRU
          WGVTZIUVPWAWBZWCAUOUWPTUKZUWDIUWDUGSZUJSZUWEWDAUWDUXJUBUOUARUWLUWAUDZ
          UWNUGSZVCZTUKZUOUARTUWLUIUJSZWESZUCUEZDUDZUCUHZUWNUGSZVCZTUKZUXITWFRV
          DUWQAUWCFUXNTRVDUWQUWRUVPUXNUDZUWCUMAUAUVPUXMUWCRUXNUWTUXLUWBUWNUVRUG
          UWLUVPUWAVEUXAVIUXNVJZUWBUVRUGVKVAVLZUXCUWBUVRARVNUVPUWAAFDTRVDUWQUXD
          WGZVOZUXHWCZAITUIVSUJWHWIUDSZULUXOWDWJULAEUWFWKZUYJIAUIEULUYKUYJWLACD
          EHJKLMNWMWNQWOABCDEUAFGHIJKLMNOPWPWQZWRZUXIWFULAUOUWPTWSWTAUYCUXJTUYC
          UDZUOSZUXJWDAUXJUBUYBTTRVDTRULZAXBWTAUBUEZRULZVMZUYQUYBUDZTUYQUIUJSZW
          ESZUXSUCUHZIUYQUFSZUGSZVNUYRUYTVUEUMAUAUYQUYAVUERUYBUAUBVGZUXTVUCUWNV
          UDUGVUFUXQVUBUXSUCVUFUXPVUATWEUWLUYQUIUJUQURXAUWLUYQIUFVHZVIUYBVJZVUC
          VUDUGVKVAVLUYSVUCVUDUYSVUBUXSUCUYSTVUAXCUYSRVNDXLZUXRRULZUXSVNULZUXRV
          UBULAVUIUYRJXDUXRVUAXERVNUXRDXFZXGXHAUXEUYRVUDVNULUXGIUYQWAWBZWCXIZAU
          OUARIUXMUGSZVCZUIXJSZTUIUOSZUKZUOUYBVURUKUXJWDAUOFVUQUYBVURATUWQXKUVP
          VURXMUDZULAUVPYDULZUVPVUQUDZUVPUYBUDZUMYDVUTUVPYDUIXMUDVUTXNUIVURXMXO
          XPXQXRAVVAVMZUVPUIUJSZVUPUDZIVVEUWAUDZIVVEUFSZUGSZUGSZVVBVVCVVDVVERUL
          ZVVFVVJUMVVAVVKAUVPXSZVLZUAVVEVUOVVJRVUPUWLVVEUMZUXMVVIIUGVVNUXLVVGUW
          NVVHUGUWLVVEUWAVEUWLVVEIUFVHVIURVUPVJZIVVIUGVKVAVBVVDUIVNULUVPVNULZVV
          BVVFUMXTVVAVVPAUVPYAVLUIUVPVUPUARVUOYBYCZYEYFVVDTVVEWESZUXSUCUHZUVRUG
          SZVVGIVVHUGSZUGSVVCVVJVVDVVSVVGUVRVWAUGVVDUXSUCDTVVEVVDUXRVVRULZVMUXS
          YGVVDVVERTXMUDZVVMVDYHVVDVUIVUJVUKVWBAVUIVVAJXDUXRVVEXEZVULXGYIVVDUVR
          VVHIUGSZVWAAUXEVVAUVRVWEUMUXGIUVPUUAWBVVDIVVHAUXEVVAUXGXDZAUXEVVKVVHV
          NULVVAUXGVVLIVVEWAXGZUUBYJVIVVDUWRVVCVVTUMZVVAUWRAUVPUUEVLUAUVPUYAVVT
          RUYBUWTUXTVVSUWNUVRUGUWTUXQVVRUXSUCUWTUXPVVETWEUWLUVPUIUJUQURXAUXAVIV
          UHVVSUVRUGVKVAZVBVVDIVVGVVHVWFARVNUWAXLVVKVVGVNULVVAUYGVVLRVNVVEUWAXF
          XGVWGUUFYKYKUUCUUGAUOVUPTUKUXJWDVQZVUSUXJWDVQZAUWDIUBUXNVUPTRVDUWQUXG
          UYMUYSUYQUXNUDZUYQUWAUDZVUDUGSZVNUYRVWLVWNUMAUAUYQUXMVWNRUXNVUFUXLVWM
          UWNVUDUGUWLUYQUWAVEVUGVIZUYEVWMVUDUGVKVAVLZUYSVWMVUDARVNUYQUWAUYGVOVU
          MWCXIZUYSUYQVUPUDZIVWNUGSZIVWLUGSUYRVWRVWSUMAUAUYQVUOVWSRVUPVUFUXMVWN
          IUGVWOURVVOIVWNUGVKVAVLUYSVWLVWNIUGVWPURYJUUDTYLULZUIYLULVWJVWKUUHYMU
          UIUXJUOVUPTUIVVQUUJUUKUULUUOUUMAUYOUXJTUOSUXJAUYNTUXJUOAUYNTITUFSZUGS
          ZTUYNTUYBUDZVXBVWTUYNVXCUMYMUOUYBTUUPYOUYPVXCVXBUMXBUATUYAVXBRUYBUWLT
          UMZUXTTUWNVXAUGVXDUXTYPUXSUCUHTVXDUXQYPUXSUCVXDUXQTTUIUJSZWESYPVXDUXP
          VXETWEUWLTUIUJUQURUUNYNXAUXSUCUUQYNUWLTIUFVHVIVUHTVXAUGVKVAYOXQAVXAAU
          XEUYPVXAVNULUXGXBITWAUURUUSUUTURAUXJAIUWDUXGAUWCFUXNTRVDUWQUYFUYIUYLU
          VAZWCUVBYQUVCARVNUYQUXOAUBUXNTRVDUWQVWQWGVOARVNUYQUYCAUBUYBTRVDUWQVUN
          WGVOUYSFUXNUYBUWPTUYQUYSUYQRVWCAUYRYRVDYHUYSAUWRUYDVNULUVPTUYQWESULZA
          UYRUVDZUVPUYQXEZUXCUYDUWCVNUYFUYIXIXGUYSAUWRVVCVNULVXGVXHVXIUXCVVCVVT
          VNUWRVWHAVWIVLZUXCVVSUVRUXCVVRUXSUCUXCTVVEXCUXCVUIVUJVUKVWBAVUIUWRJXD
          ZVWDVULXGXHZUXHWCXIXGUYSAUWRUWSUYDVVCUJSZUMVXGVXHVXIUXCUVSUWCVVTUJSZU
          WSVXMUXCUVSUWBVVSUJSZUVRUGSVXNUXCUVQVXOUVRUGUXCVXOVVSUVQUOSZVVSUJSUVQ
          UXCUWBVXPVVSUJUXCTUVPWESZUXSUCUHUWBVXPUXCUXSUCDTUVPUXCUXRVXQULZVMUXSY
          GUXCUVPRVWCAUWRYRVDYHZUXCVUIVUJVUKVXRVXKUXRUVPXEVULXGZYIUXCUXSUVQUCTU
          VPVXSVXTUXRUVPDVEUVEUVFYSUXCVVSUVQVXLUXDUVGUVHYSUXCUWBVVSUVRUYHVXLUXH
          YTYQUXBUXCUYDUWCVVCVVTUJUYFVXJVIYKXGUVIUVJAUWEUIUWDUGSZUXJUJSUXKAUIIU
          WDAUVNUXGVXFYTAVYAUWDUXJUJAUWDVXFUVKYSYQUVLUVMYQ $.

        $( Lemma for ~ abelth .  (Contributed by Mario Carneiro,
           8-May-2015.) $)
        abelthlem7a $p |- ( ph -> ( X e. CC /\
          ( abs ` ( 1 - X ) ) <_ ( M x. ( 1 - ( abs ` X ) ) ) ) ) $=
          ( c1 cmin co wcel cc cabs cfv cmul cle wbr wa csn eldifad wceq fveq2d
          cv oveq2 fveq2 oveq2d breq12d elrab2 sylib ) AIEUAIUBUARISTZUCUDZHRIU
          CUDZSTZUETZUFUGZUHAIERUIQUJRCUMZSTZUCUDZHRVFUCUDZSTZUETZUFUGVECIUBEVF
          IUKZVHVAVKVDUFVLVGUTUCVFIRSUNULVLVJVCHUEVLVIVBRSVFIUCUOUPUPUQNURUS $.

        abelthlem7.2 $e |- ( ph -> R e. RR+ ) $.
        abelthlem7.3 $e |- ( ph -> N e. NN0 ) $.
        abelthlem7.4 $e |- ( ph -> A. k e. ( ZZ>= ` N )
          ( abs ` ( seq 0 ( + , A ) ` k ) ) < R ) $.
        abelthlem7.5 $e |- ( ph -> ( abs ` ( 1 - X ) ) < ( R / ( sum_ n e.
          ( 0 ... ( N - 1 ) ) ( abs ` ( seq 0 ( + , A ) ` n ) ) + 1 ) ) ) $.
        $( Lemma for ~ abelth .  (Contributed by Mario Carneiro,
           2-Apr-2015.) $)
        abelthlem7 $p |- ( ph ->
          ( abs ` ( F ` X ) ) < ( ( M + 1 ) x. R ) ) $=
          ( cfv cabs c1 cmin co cc0 cfz caddc cseq cexp cmul csu cuz abelthlem4
          cv csn eldifad ffvelrnd abscld wcel ax-1cn cle wbr abelthlem7a simpld
          cc subcl sylancr fzfid cn0 elfznn0 wa nn0uz 0zd ffvelrnda expcl sylan
          serf mulcld sylan2 fsumcl cmpt eqid nn0zd wceq oveq2 fvmpt syl syldan
          cli simprd eqeltrd mpbid peano2re rpred remulcld oveq2d 3eqtrd fveq2d
          ovex cr eqbrtrd clt fsumrecl absmuld absge0d adantr 0cn sylancl eqtrd
          1red 1re exple1 syl31anc lemul2ad recnd letrd lelttrd ltled syl112anc
          wb cdiv mpbird absidm breldm lemul1ad wne rerpdivcld isumclim2 eqtr4d
          seqex rpcnd breqtrd rpne0d mulid2d mul12d eluznn0 fveq2 cdm ccom cdif
          oveq12d cbl abelthlem2 sseldd abelthlem5 mpdan adantl iserex readdcld
          isumcl abelthlem6 isumsplit abstrid fsumabs reexpcl cnmetdval subid1d
          wss adddid cxmet cxr cnxmet 1xr elbl3 mpanl12 eqbrtrrd ltle mpd simpr
          absexp eqtr2d mulid1d 3brtr3d fsumle ltp1d 0red fsumge0 ltmuldiv fvex
          wi uzid geolim2 expge0d wral breq1d rspccva 3brtr4d cvgcmpce isumrecl
          cz eldifsni necomd subeq0 necon3bid absrpcld reexpcld difrp isermulc2
          iserabs crp isumle isumclim rpdivcld div12d resubcl lemul2d lemuldivd
          rpge0d mulcomd divassd posdif ledivmul ltleaddd 1cnd adddird breqtrrd
          lemuldiv2d addcomd ) ALIUEZUFUEZUGLUHUIZUJKUGUHUIZUKUIZHUSZULDUJUMZUE
          ZLUYIUNUIZUOUIZHUPZUOUIZUFUEZUYFKUQUEZUYMHUPZUOUIZUFUEZULUIZJUGULUIZE
          UOUIZAUYDAFVJLIABCDFHIJMNOPQRURALFUGUTZTVAVBVCAUYPUYTAUYOAUYFUYNAUGVJ
          VDZLVJVDZUYFVJVDVEAVUFUYFUFUEZJUGLUFUEZUHUIZUOUIZVFVGZABCDFHIJLMNOPQR
          STVHZVIZUGLVKVLZAUYHUYMHAUJUYGVMZUYIUYHVDZAUYIVNVDZUYMVJVDZUYIUYGVOZA
          VUQVPZUYKUYLAVNVJUYIUYJAHDUJVNVQAVRAVNVJUYIDMVSWBVSZAVUFVUQUYLVJVDVUM
          LUYIVTWAZWCZWDZWEZWCZVCZAUYSAUYFUYRVUNAUYMHGVNGUSZUYJUEZLVVHUNUIZUOUI
          ZWFZKUYQUYQWGZAKUBWHZAUYIUYQVDZVPZVUQUYIVVLUEZUYMWIZAKVNVDZVVOVUQUBUY
          IKUUAWAZGUYIVVKUYMVNVVLVVHUYIWIZVVIUYKVVJUYLUOVVHUYIUYJUUBZVVHUYILUNW
          JUUFZVVLWGUYKUYLUOXDWKZWLZAVVOVUQVURVVTVVCWMZAULVVLUJUMWNUUCZVDZULVVL
          KUMVWGVDALUJUGUFUHUUDZUUGUEUIZVDZVWHAFVUDUUEZVWJLAUGFVDVWLVWJUVCACDFJ
          MNOPQUUHWOTUUIZABCDFGHIJLMNOPQRSUUJUUKZAHVVLUJKVNVQUBVUTVVQUYMVJVUQVV
          RAVWDUULZVVCWPZUUMWQZUUOZWCZVCZUUNAVUBEAJXEVDVUBXEVDOJWRWLAEUAWSZWTAU
          YEUYOUYSULUIZUFUEVUAVFAUYDVXBUFAUYDUYFVNUYMHUPZUOUIUYFUYNUYRULUIZUOUI
          VXBABCDFHIJLMNOPQRSTUUPAVXCVXDUYFUOAUYMHVVLUJKUYQVNVQVVMUBVWOVVCVWNUU
          QXAAUYFUYNUYRVUNVVEVWRUVDXBXCAUYOUYSVVFVWSUURXFAVUAEJEUOUIZULUIZVUCXG
          AUYPUYTEVXEVVGVWTVXAAJEOVXAWTZAUYPVUGUYHUYKUFUEZHUPZUGULUIZUOUIZEVVGA
          VUGVXJAUYFVUNVCZAVXIXEVDVXJXEVDZAUYHVXHHVUOVUPAVUQVXHXEVDZVUSVUTUYKVV
          AVCZWDZXHZVXIWRWLZWTVXAAUYPVUGUYNUFUEZUOUIVXKVFAUYFUYNVUNVVEXIAVXSVXJ
          VUGAUYNVVEVCZVXRVXLAUYFVUNXJAVXSVXJVXTVXRAVXSVXIVXJVXTVXQVXRAVXSUYHUY
          MUFUEZHUPVXIVXTAUYHVYAHVUOVUPAVUQVYAXEVDVUSVUTUYMVVCVCWDZXHVXQAUYHUYM
          HVUOVVDUUSAUYHVYAVXHHVUOVYBVXPVUPAVUQVYAVXHVFVGVUSVUTVXHVUHUYIUNUIZUO
          UIZVXHUGUOUIVYAVXHVFVUTVYCUGVXHAVUHXEVDZVUQVYCXEVDZALVUMVCZVUHUYIUUTW
          AZVUTXOVXOVUTUYKVVAXJZVUTVYEUJVUHVFVGZVUHUGVFVGZVUQVYCUGVFVGAVYEVUQVY
          GXKAVYJVUQALVUMXJZXKAVYKVUQAVUHUGXGVGZVYKALUJVWIUIZVUHUGXGAVYNLUJUHUI
          ZUFUEZVUHAVUFUJVJVDZVYNVYPWIVUMXLLUJVWIVWIWGUVAXMAVYOLUFALVUMUVBXCXNA
          VWKVYNUGXGVGZVWMAVYQVUFVWKVYRYEZXLVUMVWIVJUVEUEVDUGUVFVDVYQVUFVPVYSUV
          GUVHLVWIUJUGVJUVIUVJVLWQUVKZAVYEUGXEVDZVYMVYKUWEVYGXPVUHUGUVLXMUVMZXK
          AVUQUVNVUHUYIXQXRXSVUTVYAVXHUYLUFUEZUOUIZVYDVUTUYKUYLVVAVVBXIZVUTWUCV
          YCVXHUOAVUFVUQWUCVYCWIVUMLUYIUVOWAXAZUVPVUTVXHVUTVXHVXOXTUVQUVRWDUVSY
          AAVXIVXQUVTZYBYCXSXFAVXKEXGVGZVUGEVXJYFUIXGVGZUDAVUGXEVDEXEVDZVXMUJVX
          JXGVGWUHWUIYEVXLVXAVXRAUJVXIVXJAUWAVXQVXRAUYHVXHHVUOVXPVUPAVUQUJVXHVF
          VGVUSVYIWDUWBWUGYBVUGEVXJUWCYDYGYBAUYTVUGUYRUFUEZUOUIZVXEVFAUYFUYRVUN
          VWRXIAWULVXEVFVGWUKVXEVUGYFUIZVFVGAWUKUYQVYAHUPZWUMAUYRVWRVCZAVYAHGVN
          VVKUFUEZWFZKUYQVVMVVNVVPVUQUYIWUQUEZVYAWIVVTGUYIWUPVYAVNWUQVWAVVKUYMU
          FVWCXCWUQWGUYMUFUWDWKWLZVVPUYMVWFVCZAEHGVNVUHVVHUNUIZWFZWUQKKUYQVVMAK
          UWOVDKUYQVDVVNKUWFWLVVPUYIWVBUEZVYCXEVVPVUQWVCVYCWIVVTGUYIWVAVYCVNWVB
          VVHUYIVUHUNWJZWVBWGVUHUYIUNXDWKWLZAVVOVUQVYFVVTVYHWMZWPZVVPWURVYAVJWU
          SVVPVYAWUTXTZWPAULWVBKUMZVUHKUNUIZVUIYFUIZWNVGWVIVWGVDAVUHHWVBKAVUHVY
          GXTAVUHUFUEZVUHUGXGAVUFWVLVUHWIVUMLYHWLVYTXFUBWVEUWGZWVIWVKWNULWVBKYO
          WVJVUIYFXDYIWLVXAVVPVYAEVYCUOUIZWURUFUEZEWVCUOUIZVFVVPVYAVYDWVNVFAVVO
          VUQVYAVYDWIVVTVUTVYAWUDVYDWUEWUFXNWMVVPVXHEVYCAVVOVUQVXNVVTVXOWMZAWUJ
          VVOVXAXKZWVFVVPVUHUYIAVYEVVOVYGXKVVTAVYJVVOVYLXKUWHVVPVXHEWVQWVRAVVIU
          FUEZEXGVGZGUYQUWIVVOVXHEXGVGZUCWVTWWAGUYIUYQVWAWVSVXHEXGVWAVVIUYKUFVW
          BXCUWJUWKWAYCYJXFZVVPWVOVYAUFUEZVYAVVPWURVYAUFWUSXCVVPVURWWCVYAWIVWFU
          YMYHWLXNVVPWVCVYCEUOWVEXAZUWLUWMZUWNZAVXEVUGVXGAUYFVUNAUYFUJYKZUGLYKZ
          ALUGALVWLVDLUGYKTLFUGUWPWLUWQAVUEVUFWWGWWHYEVEVUMVUEVUFVPUYFUJUGLUGLU
          WRUWSVLYGUWTZYLZAUYRWUNHVVLWUQKUYQVVMAUYMHVVLKUYQVVMVVNVWEVWFVWQYMAVY
          AHWUQKUYQVVMVVNWUSWVHWWEYMVVNAVVOVUQVVQVJVDVVTVWPWMVVPWURVYAVVQUFUEWU
          SVVPVVQUYMUFVWEXCYNUXDAWUNEWVKUOUIZWUMWWFAEWVKVXAAWVJVUIAVUHKVYGUBUXA
          ZAVYMVUIUXEVDZVYTAVYEWUAVYMWWMYEVYGXPVUHUGUXBXMWQZYLWTZWWJAWUNUYQWVNH
          UPWWKVFAVYAWVNHWUQGVNEWVAUOUIZWFZKUYQVVMVVNWUSWUTVVPVUQUYIWWQUEZWVNWI
          VVTGUYIWWPWVNVNWWQVWAWVAVYCEUOWVDXAWWQWGEVYCUOXDWKWLZVVPEVYCWVRWVFWTZ
          WWBWWEAULWWQKUMZWWKWNVGWXAVWGVDAWVKEHWVBWWQKUYQVVMVVNAEUAYPZWVMVVPWVC
          WVGXTVVPWWRWVNWVPWWSWWDYNUXCZWXAWWKWNULWWQKYOEWVKUOXDYIWLUXFAWVNWWKHW
          WQKUYQVVMVVNWWSVVPWVNWWTXTWXCUXGYQAWWKEVUIYFUIZWUMWWOAWXDAEVUIUAWWNUX
          HZWSZWWJAWWKWVJWXDUOUIZWXDVFAEWVJVUIWXBAWVJWWLXTAVUIWWNYPZAVUIWWNYRUX
          IAWXGUGWXDUOUIWXDVFAWVJUGWXDWWLAXOWXFAWXDWXEUXMAVYEVYJVYKVVSWVJUGVFVG
          VYGVYLWUBUBVUHKXQXRYJAWXDAWXDWXEYPYSYQXFAWXDWUMVFVGZEVUIWUMUOUIZVFVGZ
          AEVUIVXEUOUIZVUGYFUIZWXJVFAEVUGUOUIZWXLVFVGEWXMVFVGAWXNEVUJUOUIZWXLVF
          AVUKWXNWXOVFVGAVUFVUKVULWOAVUGVUJEVXLAJVUIOAWUAVYEVUIXEVDZXPVYGUGVUHU
          XJVLZWTUAUXKWQAWXOJEVUIUOUIZUOUIJVUIEUOUIZUOUIWXLAEJVUIWXBAJOXTZWXHYT
          AWXRWXSJUOAEVUIWXBWXHUXNXAAJVUIEWXTWXHWXBYTXBYQAEWXLVUGVXAAVUIVXEWXQV
          XGWTWWIUXLWQAVUIVXEVUGWXHAVXEVXGXTZAVUGVXLXTAVUGWWIYRUXOYQAWUJWUMXEVD
          WXPUJVUIXGVGZWXIWXKYEVXAWWJWXQAVYMWYBVYTAVYEWUAVYMWYBYEVYGXPVUHUGUXPX
          MWQEWUMVUIUXQYDYGYAYAYAAWUKVXEVUGWUOVXGWWIUYBYGXFUXRAVUCVXEUGEUOUIZUL
          UIVXEEULUIVXFAJUGEWXTAUXSWXBUXTAWYCEVXEULAEWXBYSXAAVXEEWYAWXBUYCXBUYA
          YB $.
      $}

      $( Lemma for ~ abelth .  (Contributed by Mario Carneiro, 2-Apr-2015.) $)
      abelthlem8 $p |- ( ( ph /\ R e. RR+ ) -> E. w e. RR+ A. y e. S
    ( ( abs ` ( 1 - y ) ) < w -> ( abs ` ( ( F ` 1 ) - ( F ` y ) ) ) < R ) ) $=
        ( cc0 c1 vk vj vi vm crp wcel wa cv caddc cseq cfv cabs co cdiv clt wbr
        cuz wral cmin wi cn0 nn0uz 0zd id ge0p1rpd rpdivcl syl2anr eqidd adantr
        wrex cli climi0 cfz csu cr fzfid cc wf ffvelrnda elfznn0 ffvelrn syl2an
        serf fsumrecl ad2antrr cle absge0d fsumge0 rpdivcld wceq cneg cmul cdif
        abscld csn ccom cbl wss abelthlem2 simpld cexp oveq1 nn0z 1exp sylan9eq
        cz syl oveq2d sumeq2dv sumex fvmpt mulid1d eqcomd isumclim eqtrd oveq1d
        eqeltrd df-neg eqtr4di fveq2d abelthlem4 absnegd adantlr ad2ant2r fveq2
        sylan9eqr abs00bd ad5ant15 simpllr rpgt0d eqbrtrd wne ad3antrrr simprll
        cdm simprr eldifsn sylanbrc simplrl 2fveq3 simplrr weq cbvralvw simprlr
        breq1d sylib oveq1i oveq2i breqtrdi abelthlem7 rpcn adantl rpcnd rpne0d
        cbvsumv divcan2d breqtrd anassrs pm2.61dane ralrimiva rspceaimv syl2anc
        expr breq2 rexlimddv ) AGUEUFZUGZUAUHZUIFSUJZUKZULUKZGKTUIUMZUNUMZUOUPZ
        UAUBUHZUQUKZURZTCUHZUSUMULUKZEUHZUOUPZTJUKZUVRJUKZUSUMZULUKZGUOUPZUTCHU
        REUEVJZUBVAUVGUVJUVMUBUAUVISVAVBUVGVCUVFUVFUVLUEUFZUVMUEUFZAUVFVDAKNOVE
        ZGUVLVFVGZUVGUVHVAUFUGUVJVHAUVISVKUPZUVFRVIVLUVGUVOVAUFZUVQUGZUGZUVMSUV
        OTUSUMZVMUMZUCUHZUVIUKZULUKZUCVNZTUIUMZUNUMZUEUFUVSUXCUOUPZUWFUTZCHURUW
        GUWOUVMUXBUVGUWIUWNUWKVIUWOUXAAUXAVOUFUVFUWNAUWQUWTUCASUWPVPZAUWRUWQUFZ
        UGZUWSAVAVQUVIVRUWRVAUFUWSVQUFUXGAEFSVAVBAVCZAVAVQUVTFLVSWCUWRUWPVTVAVQ
        UWRUVIWAWBZWNZWDWEASUXAWFUPUVFUWNAUWQUWTUCUXFUXKUXHUWSUXJWGWHWEVEWIUWOU
        XECHUWOUVRHUFZUXDUWFUWOUXLUXDUGZUGZUWEUWCULUKZGUOUVGUXLUWEUXOWJZUWNUXDA
        UXLUXPUVFAUXLUGZUWEUWCWKZULUKUXOUXQUWDUXRULUXQUWDSUWCUSUMUXRUXQUWBSUWCU
        SAUWBSWJUXLAUWBVAIUHZFUKZTWLUMZIVNZSATHUFZUWBUYBWJAUYCHTWOWMZSTULUSWPWQ
        UKUMWRADFHKLMNOPWSWTBTVAUXTBUHZUXSXAUMZWLUMZIVNUYBHJUYETWJZVAUYGUYAIUYH
        UXSVAUFZUGUYFTUXTWLUYHUYIUYFTUXSXAUMZTUYETUXSXAXBUYIUXSXFUFUYJTWJUXSXCU
        XSXDXGXEXHXIQVAUYAIXJXKXGAUYASIFSVAVBUXIAUYIUGZUYAUXTUYKUXTAVAVQUXSFLVS
        ZXLZXMUYKUYAUXTVQUYMUYLXQRXNXOZVIXPUWCXRXSXTUXQUWCAHVQUVRJABDFHIJKLMNOP
        QYAVSYBXOYCYDUXNUXOGUOUPZUVRTUXNUVRTWJZUGUXOSGUOAUYPUXOSWJUVFUWNUXMAUYP
        UGUWCUYPAUWCUWBSUVRTJYEUYNYFYGYHUXNSGUOUPUYPUXNGAUVFUWNUXMYIYJVIYKUWOUX
        MUVRTYLZUYOUWOUXMUYQUGZUGZUXOUVLUVMWLUMZGUOUYSBDFUVMHUDIJKUVOUVRAVAVQFV
        RUVFUWNUYRLYMAUVIVKYOUFUVFUWNUYRMYMAKVOUFUVFUWNUYRNYMASKWFUPUVFUWNUYROY
        MPQAUWLUVFUWNUYRRYMUYSUXLUYQUVRUYDUFUWOUXLUXDUYQYNUWOUXMUYQYPUVRHTYQYRU
        VGUWIUWNUYRUWKWEUVGUWMUVQUYRYSUYSUVQUDUHZUVIUKULUKZUVMUOUPZUDUVPURUVGUW
        MUVQUYRUUAUVNVUCUAUDUVPUAUDUUBUVKVUBUVMUOUVHVUAULUVIYTUUEUUCUUFUYSUVSUX
        CUVMUWQUXSUVIUKULUKZIVNZTUIUMZUNUMUOUWOUXLUXDUYQUUDUXBVUFUVMUNUXAVUETUI
        UWQUWTVUDUCIUWRUXSULUVIYTUUOUUGUUHUUIUUJUVGUYTGWJUWNUYRUVGGUVLUVFGVQUFA
        GUUKUULUVGUVLAUWHUVFUWJVIZUUMUVGUVLVUGUUNUUPWEUUQUURUUSYKUVCUUTUWAUXDUW
        FECUXCUEHUVTUXCUVSUOUVDUVAUVBUVE $.
    $}

    $( Lemma for ~ abelth .  By adjusting the constant term, we can assume that
       the entire series converges to ` 0 ` .  (Contributed by Mario Carneiro,
       1-Apr-2015.) $)
    abelthlem9 $p |- ( ( ph /\ R e. RR+ ) -> E. w e. RR+ A. y e. S
    ( ( abs ` ( 1 - y ) ) < w -> ( abs ` ( ( F ` 1 ) - ( F ` y ) ) ) < R ) ) $=
      ( co cn0 cc0 vi vk vm crp wcel wa cmin cabs cfv clt wbr wceq csu cif cmpt
      c1 cv cexp cmul wi wral wrex cc wf a1i ffvelrn syl2an nn0uz 0zd ffvelrnda
      0nn0 eqidd isumcl adantr subcld ifcld fmpttd caddc cli cdm 1e0p1 eqeltrri
      cseq cz 1z cuz nnuz fveq2i eqtri eleq2i nnnn0 adantl eqeq1 fveq2 ifbieq2d
      cn weq eqid ovex fvex ifex fvmpt syl nnne0 neneqd iffalsed eqtrd sylan2br
      seqfeq isumclim2 clim2ser 0z seq1 ax-mp oveq2i breqtrdi eqbrtrd clim2ser2
      wne syl5eq breqtrd wss oveq1 nn0z sylan9eq oveq12d sumeq2dv sumex adantlr
      mulid1d oveq2d oveq1d cbvsumv breqtrrd isumclim oveq2 expcl sylan mulcld
      1exp iftrue sylancl npncan2 syl2anc seqex c0ex breldm abelthlem8 csn cdif
      wb cbl abelthlem2 simpld ad2antrr eqtr4d eqeltrd eqtrdi subidd oveqan12rd
      ccom ssrab3 sselda 3eqtr4d abelthlem3 sumeq2sdv exp0d abelthlem4 ffvelrnd
      cle npncand nnncan2d fveq2d breq1d imbi2d ralbidva rexbidv mpbid ) AGUDUE
      ZUFUPCUQZUGRUHUIEUQUJUKZUPBHSUAUQZUBSUBUQZTULZTFUIZSUCUQZFUIZUCUMZUGRZUWC
      FUIZUNZUOZUIZBUQZUWBURRZUSRZUAUMZUOZUIZUVTUWRUIZUGRZUHUIZGUJUKZUTZCHVAZEU
      DVBZUWAUPJUIZUVTJUIZUGRZUHUIZGUJUKZUTZCHVAZEUDVBZABCDEUWLGHUAUWRKAUBSUWKV
      CAUWCSUEZUFZUWDUWIUWJVCUXPUWEUWHASVCFVDZTSUEZUWEVCUEZUXOLUXRUXOVKVESVCTFV
      FZVGAUWHVCUEZUXOAUWGUCFTSVHAVIZAUWFSUEUFZUWGVLZASVCUWFFLVJZMVMZVNVOASVCUW
      CFLVJZVPZVQZAVRUWLTWCZTVSUKUYJVSVTUEAUYJUWHUWEUGRZTUYJUIZVRRZTVSAUYKUAUWL
      TTSVHUXRAVKVEZASVCUWBUWLUYIVJAVRUWLTUPVRRZWCVRFUYOWCZUYKVSAVRUAUWLFUYOUYO
      WDUEAUPUYOWDWAWEWBVEZUWBUYOWFUIZUEZAUWBWPUEZUWMUWBFUIZULWPUYRUWBWPUPWFUIU
      YRWGUPUYOWFWAWHWIWJZAUYTUFZUWMUWBTULZUWIVUAUNZVUAVUCUWBSUEZUWMVUEULZUYTVU
      FAUWBWKWLZUBUWBUWKVUESUWLUBUAWQZUWDVUDUWJVUAUWIUWCUWBTWMUWCUWBFWNZWOZUWLW
      RZVUDUWIVUAUWEUWHUGWSZUWBFWTXAXBZXCVUCVUDUWIVUAVUCUWBTUYTUWBTXSAUWBXDWLXE
      XFZXGXHXIAUYPUWHTVRFTWCUIZUGRUYKVSAUWHUBFTTSVHUYNUYGAUWGUCFTSVHUYBUYDUYEM
      XJXKVUPUWEUWHUGTWDUEZVUPUWEULXLVRFTXMXNXOXPXQXRAUYMUYKUWIVRRZTUYLUWIUYKVR
      UYLTUWLUIZUWIVUQUYLVUSULXLVRUWLTXMXNUXRVUSUWIULVKUBTUWKUWISUWLUWDUWIUWJUU
      AZVULVUMXBXNWIXOAUYAUXSVURTULUYFAUXQUXRUXSLVKUXTUUBZUWHUWEUUCUUDXTYAZUYJT
      VSVRUWLTUUEUUFUUGXCNOPUWRWRZVVBUUHAUXFUXNUUKUVSAUXEUXMEUDAUXDUXLCHAUVTHUE
      ZUFZUXCUXKUWAVVEUXBUXJGUJVVEUXAUXIUHVVEUXAUXGUWHUGRZUXHUWHUGRZUGRUXIVVEUW
      SVVFUWTVVGUGVVEUWSSVUEUPUSRZUAUMZVVFVVEUPHUEZUWSVVIULAVVJVVDAVVJHUPUUIUUJ
      TUPUHUGUVAUULUIRYBADFHKLMNOPUUMUUNZVNZBUPUWQVVIHUWRUWNUPULZSUWPVVHUAVVMVU
      FUFUWMVUEUWOUPUSVUFVUGVVMVUNWLVVMVUFUWOUPUWBURRZUPUWNUPUWBURYCVUFUWBWDUEV
      VNUPULUWBYDUWBYTXCYEYFYGVVCSVVHUAYHXBXCVVEVVHVVFUAUWLTSVHVVEVIZVVEVUFUFZU
      WMVUEVVHVUFVUGVVEVUNWLVVPVUEVVPVUDUWIVUAVCAUWIVCUEVVDVUFAUWEUWHVVAUYFVOUU
      OAVUFVUAVCUEVVDASVCUWBFLVJYIZVPZYJZUUPVVPVVHVUEVCVVSVVRUUQAUYJVVFVSUKVVDA
      UYJTVVFVSVVBAVVFUWHUWHUGRTAUXGUWHUWHUGAUXGSUWGUPUSRZUCUMZUWHAVVJUXGVWAULV
      VKBUPSIUQZFUIZUWNVWBURRZUSRZIUMZVWAHJVVMVWFSVWCUPUSRZIUMVWAVVMSVWEVWGIVVM
      VWBSUEZUFVWDUPVWCUSVVMVWHVWDUPVWBURRZUPUWNUPVWBURYCVWHVWBWDUEVWIUPULVWBYD
      VWBYTXCYEYKYGSVWGVVTIUCIUCWQVWCUWGUPUSVWBUWFFWNYLYMUURQSVVTUCYHXBXCASVVTU
      WGUCUYCUWGUYEYJYGXGYLAUWHUYFUUSXGYNVNYOXGVVEUWTSVUEUVTUWBURRZUSRZUAUMZVVG
      VVDUWTVWLULABUVTUWQVWLHUWRBCWQZSUWPVWKUAVUFVWMUWMVUEUWOVWJUSVUNUWNUVTUWBU
      RYCZUUTYGVVCSVWKUAYHXBWLVVEVWKVVGUAUBSUWKUVTUWCURRZUSRZUOZTSVHVVOVUFUWBVW
      QUIZVWKULZVVEUBUWBVWPVWKSVWQVUIUWKVUEVWOVWJUSVUKUWCUWBUVTURYPZYFVWQWRZVUE
      VWJUSWSXBZWLVVPVUEVWJVVRVVEUVTVCUEZVUFVWJVCUEAHVCUVTHVCYBAUPDUQZUGRUHUIKU
      PVXDUHUIUGRUSRUVJUKDVCHPUVBVEUVCZUVTUWBYQYRZYSVVEVRVWQTWCZUXHUWEUGRZTVXGU
      IZVRRZVVGVSVVEVXHUAVWQTTSVHUXRVVEVKVEZVVESVCUWBVWQVVEUBSVWPVCVVEUXOUFZUWK
      VWOAUXOUWKVCUEVVDUYHYIVVEVXCUXOVWOVCUEVXEUVTUWCYQYRZYSVQVJVVEVRVWQUYOWCZV
      RUBSUWJVWOUSRZUOZUYOWCZVXHVSAVXNVXQULVVDAVRUAVWQVXPUYOUYQUYSAUYTVWRUWBVXP
      UIZULVUBVUCVWKVUAVWJUSRZVWRVXRVUCVUEVUAVWJUSVUOYLVUCVUFVWSVUHVXBXCVUCVUFV
      XRVXSULZVUHUBUWBVXOVXSSVXPVUIUWJVUAVWOVWJUSVUJVWTYFVXPWRZVUAVWJUSWSXBZXCU
      VDXHXIVNVVEVXQUXHTVRVXPTWCZUIZUGRVXHVSVVEUXHUAVXPTTSVHVXKVVESVCUWBVXPVVEU
      BSVXOVCVXLUWJVWOAUXOUWJVCUEVVDUYGYIVXMYSVQVJVVEVYCSVXSUAUMZUXHVSVVEVXSUAV
      XPTSVHVVOVUFVXTVVEVYBWLVVPVUAVWJVVQVXFYSADFHUBKUVTLMNOPUVEXJVVDUXHVYEULAB
      UVTVWFVYEHJVWMVWFSVUAUWOUSRZUAUMVYESVWEVYFIUAIUAWQVWCVUAVWDUWOUSVWBUWBFWN
      VWBUWBUWNURYPYFYMVWMSVYFVXSUAVWMUWOVWJVUAUSVWNYKUVFXTQSVXSUAYHXBWLYNXKVVE
      VYDUWEUXHUGVVEVYDUWEUVTTURRZUSRZUWEVYDTVXPUIZVYHVUQVYDVYIULXLVRVXPTXMXNUX
      RVYIVYHULVKUBTVXOVYHSVXPUWDUWJUWEVWOVYGUSUWCTFWNUWCTUVTURYPZYFVYAUWEVYGUS
      WSXBXNWIVVEVYHUWEUPUSRUWEVVEVYGUPUWEUSVVEUVTVXEUVGZYKVVEUWEAUXSVVDVVAVNZY
      JXGXTYKYAXQXRVVEVXJVXHUWIVRRVVGVVEVXIUWIVXHVRVVEVXIUWIVYGUSRZUWIVXITVWQUI
      ZVYMVUQVXIVYNULXLVRVWQTXMXNUXRVYNVYMULVKUBTVWPVYMSVWQUWDUWKUWIVWOVYGUSVUT
      VYJYFVXAUWIVYGUSWSXBXNWIVVEVYMUWIUPUSRUWIVVEVYGUPUWIUSVYKYKVVEUWIVVEUWEUW
      HVYLAUYAVVDUYFVNZVOYJXGXTYKVVEUXHUWEUWHAHVCUVTJABDFHIJKLMNOPQUVHZVJZVYLVY
      OUVKXGYAYOXGYFVVEUXGUXHUWHVVEHVCUPJAHVCJVDVVDVYPVNVVLUVIVYQVYOUVLXGUVMUVN
      UVOUVPUVQVNUVR $.

    $( Abel's theorem.  If the power series ` sum_ n e. NN0 A ( n ) ( x ^ n ) `
       is convergent at ` 1 ` , then it is equal to the limit from "below",
       along a Stolz angle ` S ` (note that the ` M = 1 ` case of a Stolz angle
       is the real line ` [ 0 , 1 ] ` ).  (Continuity on ` S \ { 1 } ` follows
       more generally from ~ psercn .)  (Contributed by Mario Carneiro,
       2-Apr-2015.)  (Revised by Mario Carneiro, 8-Sep-2015.) $)
    abelth $p |- ( ph -> F e. ( S -cn-> CC ) ) $=
      ( cfv co cc wcel c1 cabs vy vw vr vt vj vv ccnfld ctopn crest ccncf wf cv
      ccn ccnp wral abelthlem4 wa wceq cmin ccom cxp cres clt wbr wi abelthlem9
      crp wrex csn cdif cc0 abelthlem2 simpld ad2antrr simpr ovresd ax-1cn cmul
      cbl wss ssrab3 sselid eqid cnmetdval sylancr eqtrd breq1d ffvelrnd adantr
      cle ffvelrnda syl2anc imbi12d ralbidva rexbidv mpbird ralrimiva wb cnxmet
      cxmet xmetres2 mp2an cnfldtopn metrest metcnp mp3an12i mpbir2and eleqtrrd
      cmopn fveq2d wne eldifsn ccnv caddc cn0 cexp cmpt cseq cli cdm cr cxr csu
      crab adantl a1d cpnf 0cn mpan mp3an absf cncfcn ctopon resttopon ctop cvv
      eleqtrrdi a1i ccld unicntop csup cico cima simprd abscl absge0 abelthlem1
      w3a rexrd 1re rexr mp1i cicc iccssxr radcnvcl syl3anc mpan2d 3jcad abssub
      xrltletr subid1 3eqtrd 0re elico2 3imtr4d imdistanda 1xr wfn ffn elpreima
      elbl 3imtr4g ssrdv sstrd resmptd reseq1i difss resmpt ax-mp eqtri eqtr4di
      mp2b c2 cdiv cif cnvimass fdmi sseqtri sseli fveq2 oveq2 oveq12d pserval2
      cbvsumv sumeq2dv eqtr4id mpteq2ia psercn rescncf sylc eqeltrrd sstri ssid
      syl cnfldtopon toponrestid eleqtrdi toponunii cnfldtop cnex ssexi restabs
      cncnpi oveq1i cnt resttop snssd cha cnfldhaus sncld restcldi mp3an12 cuni
      fveq1i restuni cldopn 3syl isopn3 sylib biimpar cnprest syl22anc sylan2br
      eleq2d anassrs pm2.61dane cncnp sylanbrc ) AGUGUHOZEUIPZUYSUMPZEQUJPZAEQG
      UKZGUAULZUYTUYSUNPZOZRZUAEUOZGVUARZABCDEFGHIJKLMNUPZAVUGUAEAVUDERZUQZVUGV
      UDSVULVUDSURZUQZGSVUEOZVUFAGVUORZVUKVUMAVUPVUCSVUDTUSUTZEEVAVBZPZUBULZVCV
      DZSGOZVUDGOZVUQPZUCULZVCVDZVEZUAEUOZUBVGVHZUCVGUOZVUJAVVIUCVGAVVEVGRZUQZV
      VISVUDUSPTOZVUTVCVDZVVBVVCUSPTOZVVEVCVDZVEZUAEUOZUBVGVHABUACUBDVVEEFGHIJK
      LMNVFVVLVVHVVRUBVGVVLVVGVVQUAEVVLVUKUQZVVAVVNVVFVVPVVSVUSVVMVUTVCVVSVUSSV
      UDVUQPZVVMVVSSVUDVUQEASERZVVKVUKAVWAESVIZVJZVKSVUQVSOPZVTZACDEHIJKLMVLZVM
      ZVNZVVLVUKVOZVPVVSSQRZVUDQRVVTVVMURVQVVSEQVUDSCULZUSPTOHSVWKTOUSPVRPWJVDC
      QEMWAZVWIWBSVUDVUQVUQWCZWDWEWFWGVVSVVDVVOVVEVCVVSVVBQRVVCQRVVDVVOURVVSEQS
      GAVUCVVKVUKVUJVNVWHWHVVLEQVUDGAVUCVVKVUJWIWKVVBVVCVUQVWMWDWLWGWMWNWOWPWQV
      UREWTORZVUQQWTORZAVWAVUPVUCVVJUQWRVWOEQVTZVWNWSVWLVUQEQXAXBWSVWGUCUBUAVUR
      VUQSGUYTUYSEQVWOVWPUYTVURXIOZURWSVWLVUQVURUYSVWQQEVURWCUYSUYSWCZXCZVWQWCX
      DXBVWSXEXFXGVNVUNVUDSVUEVULVUMVOXJXHAVUKVUDSXKZVUGVUKVWTUQAVUDVWCRZVUGVUD
      ESXLAVXAUQZVUGGVWCVBZVUDUYTVWCUIPZUYSUNPZOZRZVXBVXCVUDUYSVWCUIPZUYSUNPZOZ
      VXFVXBVXCVXHUYSUMPZRVXAVXCVXJRVXBVXCVWCQUJPZVXKAVXCVXLRVXAABTXMVKXNVVEUDQ
      FXOFULZDOZUDULVXMXPPVRPXQXQZOVKXRXSXTRUCYAYDYBVCUUAZUUBPZUUCZXOVXNBULZVXM
      XPPZVRPZFYCZXQZVWCVBZVXCVXLAVYDBVWCVYBXQZVXCABVXRVWCVYBAVWCVWDVXRAVWAVWEV
      WFUUDAUBVWDVXRAVUTQRZVKVUTVUQPZSVCVDZUQZVYFVUTTOZVXQRZUQZVUTVWDRZVUTVXRRZ
      AVYFVYHVYKAVYFUQZVYJSVCVDZVYJYARZVKVYJWJVDZVYJVXPVCVDZUUHZVYHVYKVYOVYPVYQ
      VYRVYSVYOVYQVYPVYFVYQAVUTUUEYEZYFVYOVYRVYPVYFVYRAVUTUUFYEYFVYOVYPSVXPWJVD
      ZVYSAWUBVYFAUDDFUCIJUUGWIVYOVYJYBRSYBRZVXPYBRZVYPWUBUQVYSVEVYOVYJWUAUUISY
      ARWUCVYOUUJSUUKUULAWUDVYFAVKYGUUMPYBVXPVKYGUUNAUDDVXPFVXOUCVXOWCZIVXPWCZU
      UOWBWIZVYJSVXPUUTUUPUUQUURVYFVYHVYPWRAVYFVYGVYJSVCVYFVYGVKVUTUSPTOZVUTVKU
      SPZTOZVYJVKQRZVYFVYGWUHURYHVKVUTVUQVWMWDYIWUKVYFWUHWUJURYHVKVUTUUSYIVYFWU
      IVUTTVUTUVAXJUVBWGYEVYOVKYARWUDVYKVYTWRUVCWUGVKVXPVYJUVDWEUVEUVFVWOWUKWUC
      VYMVYIWRWSYHUVGVUTVUQVKSQUVKYJQYATUKTQUVHVYNVYLWRYKQYATUVIQVUTVXQTUVJUWBU
      VLUVMUVNZUVOVXCBEVYBXQZVWCVBZVYEGWUMVWCNUVPVWCEVTZWUNVYEUREVWBUVQZBEVWCVY
      BUVRUVSUVTUWAAVWCVXRVTVYCVXRQUJPRVYDVXLRWULAUDBDVXPVXRUEFVYCVXOVXPYARUFUL
      TOZVXPXNPUWCUWDPWUQSXNPUWEZUCUFWUEBVXRVYBXOUEULZVXSVXOOOZUEYCZVXSVXRRVXSQ
      RZVYBWVAURVXRQVXSVXRTXTQTVXQUWFQYATYKUWGUWHUWIWVBVYBXOWUSDOZVXSWUSXPPZVRP
      ZUEYCWVAXOVYAWVEFUEVXMWUSURVXNWVCVXTWVDVRVXMWUSDUWJVXMWUSVXSXPUWKUWLUWNWV
      BXOWUTWVEUEUDDFVXOWUSVXSWUEUWMUWOUWPUXDUWQIWUFVXRWCWURWCUWRVXRQVWCVYCUWSU
      WTUXAWIVWCQVTZQQVTZVXLVXKURVWCEQWUPVWLUXBZQUXCZVWCQUYSVXHUYSVWRVXHWCUYSQU
      YSVWRUXEZUXFZYLXBUXGAVXAVOVUDVXCVXHUYSVWCVWCVXHUYSQYMORZWVFVXHVWCYMORWVJW
      VHVWCUYSQYNXBUXHUXMWLVUDVXEVXIVXDVXHUYSUNUYSYORZWUOEYPRZVXDVXHURUYSVWRUXI
      ZWUPEQUXJVWLUXKZVWCEUYSYOYPUXLYJUXNUYDYQVXBUYTYORZWUOVUDVWCUYTUXOOOZRZVUC
      VUGVXGWRWVQVXBWVMWVNWVQWVOWVPEUYSYPUXPXBZYRWUOVXBWUPYRAWVSVXAAWVRVWCVUDAV
      WCUYTRZWVRVWCURZAVWBEVTZVWBUYTYSORZWWAASEVWGUXQVWPVWBUYSYSORZWWCWWDVWLUYS
      UXRRVWJWWEUYSVWRUXSVQSUYSQYTUXTXBEVWBUYSQYTUYAUYBVWBUYTEWVMVWPEUYTUYCURWV
      OVWLEUYSQYTUYEXBZUYFUYGWVQWUOWWAWWBWRWVTWUPVWCUYTEWWFUYHXBUYIUYNUYJAVUCVX
      AVUJWIVWCVUDGUYTUYSEQWWFYTUYKUYLWPUYMUYOUYPWQUYTEYMORZWVLVUIVUCVUHUQWRWVL
      VWPWWGWVJVWLEUYSQYNXBWVJUAGUYTUYSEQUYQXBUYRVWPWVGVUBVUAURVWLWVIEQUYSUYTUY
      SVWRUYTWCWVKYLXBYQ $.
  $}

  ${
    $d n x z A $.  $d n x z ph $.
    abelth2.1 $e |- ( ph -> A : NN0 --> CC ) $.
    abelth2.2 $e |- ( ph -> seq 0 ( + , A ) e. dom ~~> ) $.
    abelth2.3 $e |- F = ( x e. ( 0 [,] 1 ) |->
      sum_ n e. NN0 ( ( A ` n ) x. ( x ^ n ) ) ) $.
    $( Abel's theorem, restricted to the ` [ 0 , 1 ] ` interval.  (Contributed
       by Mario Carneiro, 2-Apr-2015.) $)
    abelth2 $p |- ( ph -> F e. ( ( 0 [,] 1 ) -cn-> CC ) ) $=
      ( vz c1 cv cmin co cfv cmul cle wbr cc cr wcel cabs crab cn0 cexp csu cc0
      cmpt cicc ccncf wss unitssre ax-resscn sstri a1i wa 1re w3a simpr elicc01
      sylib simp1d resubcl sylancr leidd simp3d abssubge0d simp2d absidd oveq2d
      cres 1red recnd mulid2d eqtrd 3brtr4d ssrabdv resmptd eqtr4di 0le1 abelth
      eqid rescncf sylc eqeltrrd ) ABJIKZLMZUANZJJWEUANZLMZOMZPQZIRUBZUCDKZCNBK
      WMUDMOMDUEZUGZUFJUHMZVJZEWPRUIMZAWQBWPWNUGEABWLWPWNAWKIRWPWPRUJAWPSRUKULU
      MUNAWEWPTZUOZWFWFWGWJPWTWFWTJSTWESTZWFSTUPWTXAUFWEPQZWEJPQZWTWSXAXBXCUQAW
      SURWEUSUTZVAZJWEVBVCZVDWTWEJXEWTVKWTXAXBXCXDVEVFWTWJJWFOMWFWTWIWFJOWTWHWE
      JLWTWEXEWTXAXBXCXDVGVHVIVIWTWFWTWFXFVLVMVNVOVPZVQHVRAWPWLUJWOWLRUIMTWQWRT
      XGABICWLDWOJFGAVKUFJPQAVSUNWLWAWOWAVTWLRWPWOWBWCWD $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Basic trigonometry
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The exponential, sine, and cosine functions (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The exponential function is continuous.  (Contributed by Paul Chapman,
     15-Sep-2007.)  (Revised by Mario Carneiro, 20-Jun-2015.) $)
  efcn $p |- exp e. ( CC -cn-> CC ) $=
    ( cc wss ce wf ccncf co wcel ssid eff w3a cdv cdm wceq dvef feq1i fdmi dvcn
    mpbir mpan2 mp3an ) AABZAACDZUACAAEFGZAHZIUDUAUBUAJACKFZLAMUCAAUEAAUEDUBIAA
    UECNORPAACQST $.

  ${
    $d x y $.
    $( Sine is continuous.  (Contributed by Paul Chapman, 28-Nov-2007.)
       (Revised by Mario Carneiro, 3-Sep-2014.) $)
    sincn $p |- sin e. ( CC -cn-> CC ) $=
      ( vx vy cc ci cv cmul co cfv cmin cdiv cmpt wcel wtru eqid mulc1cncf mp1i
      ce a1i cncfmpt1f eqidd csin cneg c2 ccncf df-sin ccom wf ccnfld ctopn ctx
      wral ccn subcn efcn ax-icn negicn cncfmpt2f cncff syl fmpt sylibr fmptcof
      oveq1 cc0 2mulicn 2muline0 divccncf mp2an cncfco eqeltrrd mptru eqeltri
      wne ) UAACDAEZFGZQHZDUBZVNFGZQHZIGZUCDFGZJGZKZCCUDGZAUEWCWDLMBCBEZWAJGZKZ
      ACVTKZUFWCWDMABCCVTWFWBWHWGMCCWHUGZVTCLACUKMWHWDLWIMAVPVSIUHUIHZCWJNZIWJW
      JUJGWJULGLMWJWKUMRMAVOQCQWDLMUNRZDCLACVOKZWDLMUOADWMWMNOPSMAVRQCWLVQCLACV
      RKZWDLMUPAVQWNWNNOPSUQZCCWHURUSACCVTWHWHNUTVAMWHTMWGTWEVTWAJVCVBMCCCWHWGW
      OWGWDLZMWACLWAVDVMWPVEVFBWAWGWGNVGVHRVIVJVKVL $.

    $( Cosine is continuous.  (Contributed by Paul Chapman, 28-Nov-2007.)
       (Revised by Mario Carneiro, 3-Sep-2014.) $)
    coscn $p |- cos e. ( CC -cn-> CC ) $=
      ( vx vy cc ci cv cmul co cfv caddc cdiv cmpt wcel wtru eqid a1i mulc1cncf
      ce c2 mp1i cncfmpt1f ccos cneg ccncf df-cos ccom wf wral ccnfld ctopn ctx
      ccn addcn efcn ax-icn negicn cncfmpt2f cncff syl fmpt eqidd oveq1 fmptcof
      sylibr cc0 wne 2cn 2ne0 divccncf mp2an cncfco eqeltrrd mptru eqeltri ) UA
      ACDAEZFGZQHZDUBZVNFGZQHZIGZRJGZKZCCUCGZAUDWBWCLMBCBEZRJGZKZACVTKZUEWBWCMA
      BCCVTWEWAWGWFMCCWGUFZVTCLACUGMWGWCLWHMAVPVSIUHUIHZCWINZIWIWIUJGWIUKGLMWIW
      JULOMAVOQCQWCLMUMOZDCLACVOKZWCLMUNADWLWLNPSTMAVRQCWKVQCLACVRKZWCLMUOAVQWM
      WMNPSTUPZCCWGUQURACCVTWGWGNUSVCMWGUTMWFUTWDVTRJVAVBMCCCWGWFWNWFWCLZMRCLRV
      DVEWOVFVGBRWFWFNVHVIOVJVKVLVM $.
  $}

  ${
    $d U x y $.
    $( Lemma for ~ reeff1o .  (Contributed by Paul Chapman, 18-Oct-2007.)
       (Revised by Mario Carneiro, 30-Apr-2014.) $)
    reeff1olem $p |- ( ( U e. RR /\ 1 < U ) -> E. x e. RR ( exp ` x ) = U ) $=
      ( vy cr wcel c1 clt wbr wa cc0 co wss cv ce cfv wceq wrex 0re adantr cc
      cioo cicc ioossicc iccssre mpan sstrid a1i simpl 0lt1 wi 1re lttr mp3an12
      mpani imp ax-resscn sstrdi ccncf efcn ssel2 reefcld sylan ef0 simpr caddc
      eqbrtrid peano2re reefcl recnd ax-1cn addcom sylancl crp elrpd efgt1p syl
      ltp1 eqbrtrd lttrd jca ivth ssrexv sylc ) BDEZFBGHZIZJBUAKZDLAMNOBPZAWGQW
      HADQWFWGJBUBKZDJBUCWDWIDLZWEJDEZWDWJRJBUDUESZUFWFCJBTBNAWKWFRUGWDWEUHZWMW
      DWEJBGHZWDJFGHZWEWNUIWKFDEWDWOWEIWNUJRUKJFBULUMUNUOZWFWIDTWLUPUQNTTURKEWF
      USUGWFWJCMZWIEZWQNODEWLWJWRIWQWIDWQUTVAVBWFJNOZBGHBBNOZGHWFWSFBGVCWDWEVDV
      FWFBBFVEKZWTWMWDXADEWEBVGSWDWTDEWEBVHSWDBXAGHWEBVQSWFXAFBVEKZWTGWFBTEFTEX
      AXBPWFBWMVIVJBFVKVLWFBVMEXBWTGHWFBWMWPVNBVOVPVRVSVTWAWHAWGDWBWC $.
  $}

  ${
    $d x y z $.
    $( The real exponential function is one-to-one onto.  (Contributed by Paul
       Chapman, 18-Oct-2007.)  (Revised by Mario Carneiro, 10-Nov-2013.) $)
    reeff1o $p |- ( exp |` RR ) : RR -1-1-onto-> RR+ $=
      ( vx vy cr crp ce reeff1 wceq cv wcel cfv wrex c1 clt wbr co cc0 wa wb cc
      syl vz cres wf1o wf1 wfo wfn crn wf f1f ffn mp2b wss frn cdiv elrp reclt1
      sylbi cneg rpre rpne0 rereccld reeff1olem sylan wi eqcom wne rpcnne0 recn
      efcl efne0 rec11r syl2an cmul efcan eqcomd ax-1cn divmul2 mp3an1 syl12anc
      jca negcl mpbird eqeq1d adantl bitr3id biimpd reximdva adantr mpd renegcl
      bitrd infm3lem fveqeq2 rexxfr sylibr ex sylbid imp ef0 eqeq2i rspcev mpan
      0re eqcoms sylbir w3o sylancl mpjao3dan fvres rexbiia fvelrnb ax-mp ssriv
      1re lttri4 eqssi df-fo mpbir2an df-f1o ) CDECUBZUCCDXTUDZCDXTUEZFYBXTCUFZ
      XTUGZDGYACDXTUHZYCFCDXTUIZCDXTUJUKZYDDYAYEYDDULFYFCDXTUMUKUADYDUAHZDIZAHZ
      XTJZYHGZACKZYHYDIZYIYJEJZYHGZACKZYMYIYHLMNZYQYHLGZLYHMNZYIYRYQYIYRLLYHUNO
      ZMNZYQYIYHCIZPYHMNQYRUUBRYHUOYHUPUQYIUUBYQYIUUBQZBHZURZEJZYHGZBCKZYQUUDUU
      EEJZUUAGZBCKZUUIYIUUACIUUBUULYIYHYHUSZYHUTVABUUAVBVCYIUULUUIVDUUBYIUUKUUH
      BCYIUUECIZQZUUKUUHUUKUUAUUJGZUUOUUHUUAUUJVEUUOUUPLUUJUNOZYHGZUUHYIYHSIYHP
      VFQUUJSIZUUJPVFZQZUUPUURRUUNYHVGUUNUUSUUTUUNUUESIZUUSUUEVHZUUEVIZTUUNUVBU
      UTUVCUUEVJZTVTYHUUJVKVLUUNUURUUHRYIUUNUUQUUGYHUUNUVBUUQUUGGZUVCUVBUVFLUUJ
      UUGVMOZGZUVBUVGLUUEVNVOUVBUUGSIZUUSUUTUVFUVHRZUVBUUFSIUVIUUEWAUUFVITUVDUV
      ELSIUVIUVAUVJVPLUUGUUJVQVRVSWBTWCWDWKWEWFWGWHWIYPUUHABUUFCCUUEWJABWLYJUUF
      YHEWMWNWOWPWQWRYSYQYIYSYHPEJZGYQUVKLYHWSWTYQUVKYHPCIUVKYHGZYQXCYPUVLAPCYJ
      PYHEWMXAXBXDXEWDYIUUCYTYQUUMAYHVBVCYIUUCLCIYRYSYTXFUUMXNYHLXOXGXHYLYPACYJ
      CIYKYOYHYJCEXIWCXJWOYCYNYMRYGACYHXTXKXLWOXMXPCDXTXQXRCDXTXSXR $.
  $}

  ${
    $d x y $.
    $( The exponential function on the reals determines an isomorphism from
       reals onto positive reals.  (Contributed by Steve Rodriguez,
       25-Nov-2007.)  (Revised by Mario Carneiro, 11-Mar-2014.) $)
    reefiso $p |- ( exp |` RR ) Isom < , < ( RR , RR+ ) $=
      ( vx vy cr crp clt ce cres wiso wf1o cv wbr cfv wb wral reeff1o wcel eflt
      wa fvres breqan12d bitr4d rgen2 df-isom mpbir2an ) CDEEFCGZHCDUEIAJZBJZEK
      ZUFUELZUGUELZEKZMZBCNACNOULABCCUFCPZUGCPZRUHUFFLZUGFLZEKUKUFUGQUMUNUIUOUJ
      UPEUFCFSUGCFSTUAUBABCDEEUEUCUD $.
  $}

  $( The exponential function on the reals is a strictly convex function.
     (Contributed by Mario Carneiro, 20-Jun-2015.) $)
  efcvx $p |- ( ( ( A e. RR /\ B e. RR /\ A < B ) /\ T e. ( 0 (,) 1 ) ) ->
    ( exp ` ( ( T x. A ) + ( ( 1 - T ) x. B ) ) ) <
      ( ( T x. ( exp ` A ) ) + ( ( 1 - T ) x. ( exp ` B ) ) ) ) $=
    ( cr wcel clt c1 co cmul caddc ce cres cfv wf wss crp cc ax-resscn cdv wceq
    wbr w3a cioo wa cmin cicc cima simpl1 simpl2 simpl3 ccncf wf1o reeff1o f1of
    cc0 ax-mp rpssre fss iccssre syl2anc fssres2 sylancr wb sstrdi efcn rescncf
    mp2an mpisyl cncffvrn mpbird wiso reefiso a1i ioossre eqidd isores3 syl3anc
    crn ctg cnt ssid ccnfld ctopn eqid tgioo2 dvres mpanl12 resabs1d oveq2d cpr
    cdm reelprrecn dvef dmeqi fdmi eqtri sseqtrri dvres3 mp4an reseq1i reseq12d
    iccntr 3eqtr3d isoeq1 simpr dvcvx ax-1cn sselid recnd nncan oveq1d ioossicc
    eff syl iirev lincmb01cmp syldan eqeltrrd fvresd cxr cle rexrd ltled lbicc2
    ubicc2 oveq12d 3brtr3d ) ADEZBDEZABFUAZUBZCUOGUCHZEZUDZCAIHZGCUEHZBIHZJHZKA
    BUFHZLZMCAYTMZIHZYPBYTMZIHZJHYRKMCAKMZIHZYPBKMZIHZJHFYNABYRCYTKDLZABUCHZUGZ
    YHYIYJYMUHZYHYIYJYMUIZYHYIYJYMUJZYNYTYSDUKHEZYSDYTNZYNDDUUINZYSDOZUUPDPUUIN
    ZPDOUUQDPUUIULUUSUMDPUUIUNUPUQDPDUUIURVGZYNYHYIUURUULUUMABUSUTZDDYSKVAVBYND
    QOZYTYSQUKHEZUUOUUPVCRYNYSQOKQQUKHEUVCYNYSDQUVARVDVEQQYSKVFVHYSQDYTVIVBVJYN
    UUJUUKFFDYTSHZVKZUUJUUKFFUUIUUJLZVKZYNDPFFUUIVKZUUJDOZUUKUUKTUVGUVHYNVLVMUV
    IYNABVNVMYNUUKVODPFFUUIUUJUUKVPVQYNUVDUVFTUVEUVGVCYNDUUIYSLZSHZDUUISHZYSUCV
    RVSMZVTMMZLZUVDUVFYNDDOZUURUVKUVOTZDWAUVAUVBDQUUINZUVPUURUDUVQRUUQUVBUVRUUT
    RDDQUUIURVGDYSDUVMUUIWBWCMZUVSWDZUVSUVTWEWFWGVBYNUVJYTDSYNKYSDUVAWHWIYNUVLU
    UIUVNUUJUVLUUITYNUVLQKSHZDLZUUIDDQWJEQQKNQQODUWAWKZOUVLUWBTWLXMQWADQUWCRUWC
    KWKQUWAKWMWNQQKXMWOWPWQQDKWRWSUWAKDWMWTWPVMYNYHYIUVNUUJTUULUUMABXBUTXAXCUUJ
    UUKFFUVFUVDXDXNVJYKYMXEZYRWDXFYNYRYSKYNGYPUEHZAIHZYQJHZYRYSYNUWFYOYQJYNUWEC
    AIYNGQECQEUWECTXGYNCYNYLDCUOGVNUWDXHXIGCXJVBXKXKYKYMYPUOGUFHZEZUWGYSEYNCUWH
    EUWIYNYLUWHCUOGXLUWDXHCXOXNABYPXPXQXRXSYNUUBUUFUUDUUHJYNUUAUUECIYNAYSKYNAXT
    EZBXTEZABYAUAZAYSEYNAUULYBZYNBUUMYBZYNABUULUUMUUNYCZABYDVQXSWIYNUUCUUGYPIYN
    BYSKYNUWJUWKUWLBYSEUWMUWNUWOABYEVQXSWIYFYG $.

  ${
    $d x y P $.
    reefgim.1 $e |- P = ( ( mulGrp ` CCfld ) |`s RR+ ) $.
    $( The exponential function is a group isomorphism from the group of reals
       under addition to the group of positive reals under multiplication.
       (Contributed by Mario Carneiro, 21-Jun-2015.)  (Revised by Thierry
       Arnoux, 30-Jun-2019.) $)
    reefgim $p |- ( exp |` RR ) e. ( RRfld GrpIso P ) $=
      ( vx vy ce cr crefld co wcel crp wtru caddc cmul ccnfld cfv cc cress wceq
      ax-mp mp1i cres cgim cghm wf1o rebase cmgp cc0 csn cdif csubg cbs rpmsubg
      eqid cvv wss cnex difexi cv rpcndif0 ssriv ressabs eqtr4i subgbas replusg
      mp2an cplusg cnfldmul mgpplusg ressplusg crg csubrg cdr resubdrg df-refld
      cgrp simpli subrgring ringgrp subggrp wf reeff1o f1of recn syl2an readdcl
      efadd fvresd fvres oveqan12d 3eqtr4d adantl isghmd mptru isgim mpbir2an
      wa ) EFUAZGAUBHIWQGAUCHIZFJWQUDZWRKCDLMGAWQFJUEJNUFOZPUGUHZUIZQHZUJOZIZJA
      UKORXCXCUMULZJXCAAWTJQHZXCJQHZBXBUNIJXBUOXHXGRPXAUPUQCJXBCURZUSUTXBJWTUNV
      AVEVBZVCSZVDXEMAVFORXFJMWTAXDBNMWTWTUMVGVHVISGVJIZGVOIKFNVKOIZXLXMGVLIVMV
      PFNGVNVQSGVRTXEAVOIKXFJXCAXJVSTWSFJWQVTKWAFJWQWBTXIFIZDURZFIZWPZXIXOLHZWQ
      OZXIWQOZXOWQOZMHZRKXQXREOZXIEOZXOEOZMHZXSYBXNXIPIXOPIYCYFRXPXIWCXOWCXIXOW
      FWDXQXRFEXIXOWEWGXNXPXTYDYAYEMXIFEWHXOFEWHWIWJWKWLWMWAFJGAWQUEXKWNWO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Properties of pi = 3.14159...
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Lemma for ~ pire , ~ pigt2lt4 and ~ sinpi .  (Contributed by Mario
     Carneiro, 9-May-2014.) $)
  pilem1 $p |- ( A e. ( RR+ i^i ( `' sin " { 0 } ) ) <->
                 ( A e. RR+ /\ ( sin ` A ) = 0 ) ) $=
    ( crp csin ccnv cc0 csn cima cin wcel wa cfv wceq elin cc wfn sinf fniniseg
    wf wb ffn mp2b rpcn biantrurd bitr4id pm5.32i bitri ) ABCDEFGZHIABIZAUGIZJU
    HACKELZJABUGMUHUIUJUHUIANIZUJJZUJNNCRCNOUIULSPNNCTNEACQUAUHUKUJAUBUCUDUEUF
    $.

  ${
    $d x y $.  $d x ph $.
    pilem2.1 $e |- ( ph -> A e. ( 2 (,) 4 ) ) $.
    pilem2.2 $e |- ( ph -> B e. RR+ ) $.
    pilem2.3 $e |- ( ph -> ( sin ` A ) = 0 ) $.
    pilem2.4 $e |- ( ph -> ( sin ` B ) = 0 ) $.
    $( Lemma for ~ pire , ~ pigt2lt4 and ~ sinpi .  (Contributed by Mario
       Carneiro, 12-Jun-2014.)  (Revised by AV, 14-Sep-2020.) $)
    pilem2 $p |- ( ph -> ( ( _pi + A ) / 2 ) <_ B ) $=
      ( vx vy co c2 cle wbr cmul crp cc0 cr clt wcel cfv cpi cdiv cmin csin csn
      caddc ccnv cima cin cinf df-pi wss cv wral inss1 rpssre sstri a1i elinel1
      wrex 0re rpge0d rgen breq1 ralbidv rspcev mp2an 2re rpred remulcl sylancr
      wceq c4 cioo elioore syl resubcld 4re eliooord simprd 2t2e4 wne 0red 2pos
      wa c0 simpld lttrd elrpd pilem1 sylanbrc ne0d infrecl mp3an13 rpre adantl
      wn wo letric ord cioc ad2antlr rpgt0 simpr cxr w3a wb 0xr elioc2 sin02gt0
      syl3anbrc gt0ne0d syld necon4bd syl5bi ralrimiv infregelb syl31anc mpbird
      ex expimpd infrelb syl3anc letrd pm3.2i lemul2 mpbid ltletrd posdifd ccos
      eqbrtrrid cc recnd sinsub oveq1d coscld mul02d eqtrd oveq2d eqtrdi mul01d
      syl2anc sin2t 2t0e0 oveq12d eqbrtrid eqeltrid leaddsub readdcld ledivmul
      0m0e0 ) AUABUFJZKUBJCLMZUULKCNJZLMZAUUOUAUUNBUCJZLMZAUAOUDUGPUEUHZUIZQRUJ
      ZUUPLUKAUUSQULZHUMZIUMZLMZIUUSUNZHQUTZUUPUUSSZUUTUUPLMUVAAUUSOQOUURUOUPUQ
      ZURZUVFAPQSPUVCLMZIUUSUNZUVFVAUVJIUUSUVCUUSSUVCUVCOUURUSVBVCUVEUVKHPQUVBP
      VLUVDUVJIUUSUVBPUVCLVDVEVFVGZURZAUUPOSUUPUDTZPVLUVGAUUPAUUNBAKQSZCQSZUUNQ
      SZVHACEVIZKCVJVKZABKVMVNJSZBQSZDBKVMVOVPZVQABUUNRMPUUPRMABVMUUNUWBVMQSAVR
      URUVSAKBRMZBVMRMZAUVTUWCUWDWEDBKVMVSVPZVTAVMKKNJZUUNLWAAKCLMZUWFUUNLMZAKU
      UTCUVOAVHURZAUUSWFWBZUUTQSZAUUSBABOSBUDTZPVLBUUSSABUWBAPKBAWCUWIUWBPKRMZA
      WDURAUWCUWDUWEWGWHWIFBWJWKWLZUVAUWJUVFUWKUVHUVLHIUUSWMWNVPZUVRAKUUTLMZKUV
      BLMZHUUSUNZAUWQHUUSUVBUUSSUVBOSZUVBUDTZPVLZWEAUWQUVBWJAUWSUXAUWQAUWSWEZUW
      QUWTPUXBUWQWQUVBKLMZUWTPWBZUXBUWQUXCUXBUVOUVBQSZUWQUXCWRVHUWSUXEAUVBWOZWP
      KUVBWSVKWTUXBUXCUXDUXBUXCWEZUWTUXGUVBPKXAJSZPUWTRMUXGUXEPUVBRMZUXCUXHUWSU
      XEAUXCUXFXBUWSUXIAUXCUVBXCXBUXBUXCXDPXESUVOUXHUXEUXIUXCXFXGXHVHPKUVBXIVGX
      KUVBXJVPXLXTXMXNYAXOXPAUVAUWJUVFUVOUWPUWRXGUVIUWNUVMUWIHIHUUSKXQXRXSAUVAU
      VFCUUSSZUUTCLMUVIUVMACOSCUDTZPVLUXJEGCWJWKHICUUSYBYCYDAUVOUVPUVOUWMWEZUWG
      UWHXGUWIUVRUXLAUVOUWMVHWDYEURZKCKYFYCYGYKYHABUUNUWBUVSYIYGWIAUVNUUNUDTZBY
      JTZNJZUUNYJTZUWLNJZUCJZPAUUNYLSBYLSUVNUXSVLAUUNUVSYMZABUWBYMZUUNBYNUUBAUX
      SPPUCJPAUXPPUXRPUCAUXPPUXONJPAUXNPUXONAUXNKUXKCYJTZNJZNJZPACYLSUXNUYDVLAC
      UVRYMZCUUCVPAUYDKPNJPAUYCPKNAUYCPUYBNJPAUXKPUYBNGYOAUYBACUYEYPYQYRYSUUDYT
      YRYOAUXOABUYAYPYQYRAUXRUXQPNJPAUWLPUXQNFYSAUXQAUUNUXTYPUUAYRUUEUUKYTYRUUP
      WJWKHIUUPUUSYBYCUUFAUAQSUWAUVQUUOUUQXGAUAUUTQUKUWOUUGZUWBUVSUABUUNUUHYCXS
      AUULQSUVPUXLUUMUUOXGAUABUYFUWBUUIUVRUXMUULCKUUJYCXS $.
  $}

  ${
    $d x y z $.
    $( Lemma for ~ pire , ~ pigt2lt4 and ~ sinpi .  Existence part.
       (Contributed by Paul Chapman, 23-Jan-2008.)  (Proof shortened by Mario
       Carneiro, 18-Jun-2014.)  (Revised by AV, 14-Sep-2020.)  (Proof shortened
       by BJ, 30-Jun-2022.) $)
    pilem3 $p |- ( _pi e. ( 2 (,) 4 ) /\ ( sin ` _pi ) = 0 ) $=
      ( vy vz csin cfv cc0 wceq c2 c4 co cpi wcel wa wtru cc cr a1i clt wbr cle
      crp vx cioo wrex 2re 4re 0red 2lt4 cicc wss iccssre mp2an ax-resscn sstri
      cv ccncf sincn sseli resincld adantl sin4lt0 ccos sincos2sgn simpli ivth2
      pm3.2i mptru ccnv csn cima cinf df-pi wral inss1 rpssre rpge0d rgen breq1
      cin ralbidv rspcev elioore adantr 2pos eliooord simpld lttrd elrpd pilem1
      simpr sylanbrc infrelb mp3an12i eqbrtrid caddc simpll sylib simplr simprd
      0re cdiv pilem2 ralrimiva c0 wne wb infrecl mp3an13 syl eqeltrid readdcld
      rehalfcld infregelb syl31anc mpbird breqtrrdi recnd addcomd oveq1d breq1d
      ne0d avgle2 syl2anc bitr4d mpbid letri3d mpbir2and simpl fveq2d eqtrd jca
      eqeltrd rexlimiva ax-mp ) UAUNZCDZEFZUAGHUBIZUCZJYQKZJCDZEFZLZYRMAGHNECUA
      GOKZMUDPHOKZMUEPMUFGHQRMUGPGHUHIZNUIMUUEONUUCUUDUUEOUIUDUEGHUJUKZULUMPCNN
      UOIKMUPPAUNZUUEKZUUGCDZOKMUUHUUGUUEOUUGUUFUQURUSHCDEQRZEGCDQRZLMUUJUUKUTU
      UKGVADEQRVBVCVEPVDVFYPUUBUAYQYNYQKZYPLZYSUUAUUMJYNYQUUMJYNFJYNSRYNJSRZUUM
      JTCVGEVHVIZVRZOQVJZYNSVKUUPOUIZUUGBUNZSRZBUUPVLZAOUCZUUMYNUUPKZUUQYNSRUUP
      TOTUUOVMZVNUMZEOKEUUSSRZBUUPVLZUVBWSUVFBUUPUUSUUPKUUSUUPTUUSUVDUQVOVPUVAU
      VGAEOUUGEFUUTUVFBUUPUUGEUUSSVQVSVTUKZUUMYNTKYPUVCUUMYNUULYNOKZYPYNGHWAWBZ
      UUMEGYNUUMUFUUCUUMUDPUVJEGQRUUMWCPUULGYNQRZYPUULUVKYNHQRYNGHWDWEWBWFWGUUL
      YPWIZYNWHWJZABYNUUPWKWLWMUUMJYNWNIZGWTIZJSRZUUNUUMUVOUUQJSUUMUVOUUQSRZUVO
      UUGSRZAUUPVLZUUMUVRAUUPUUMUUGUUPKZLZYNUUGUULYPUVTWOUWAUUGTKZUUIEFZUWAUVTU
      WBUWCLUUMUVTWIUUGWHWPZWEUULYPUVTWQUWAUWBUWCUWDWRXAXBUUMUURUUPXCXDZUVBUVOO
      KUVQUVSXEUURUUMUVEPUUMUUPYNUVMXTZUVBUUMUVHPUUMUVNUUMJYNUUMJUUQOVKUUMUWEUU
      QOKZUWFUURUWEUVBUWGUVEUVHABUUPXFXGXHXIZUVJXJXKABAUUPUVOXLXMXNVKXOUUMUVPYN
      JWNIZGWTIZJSRZUUNUUMUVOUWJJSUUMUVNUWIGWTUUMJYNUUMJUWHXPUUMYNUVJXPXQXRXSUU
      MUVIJOKUUNUWKXEUVJUWHYNJYAYBYCYDUUMJYNUWHUVJYEYFZUULYPYGYKUUMYTYOEUUMJYNC
      UWLYHUVLYIYJYLYM $.
  $}

  $( ` _pi ` is between 2 and 4.  (Contributed by Paul Chapman, 23-Jan-2008.)
     (Revised by Mario Carneiro, 9-May-2014.) $)
  pigt2lt4 $p |- ( 2 < _pi /\ _pi < 4 ) $=
    ( cpi c2 c4 cioo co wcel clt wbr wa csin cfv cc0 wceq pilem3 eliooord ax-mp
    simpli ) ABCDEFZBAGHACGHIRAJKLMNQABCOP $.

  $( The sine of ` _pi ` is 0.  (Contributed by Paul Chapman, 23-Jan-2008.) $)
  sinpi $p |- ( sin ` _pi ) = 0 $=
    ( cpi c2 c4 cioo co wcel csin cfv cc0 wceq pilem3 simpri ) ABCDEFAGHIJKL $.

  $( ` _pi ` is a real number.  (Contributed by Paul Chapman, 23-Jan-2008.) $)
  pire $p |- _pi e. RR $=
    ( cpi c2 c4 cioo co wcel cr csin cfv cc0 wceq pilem3 simpli elioore ax-mp )
    ABCDEFZAGFPAHIJKLMABCNO $.

  $( ` _pi ` is a complex number.  (Contributed by David A. Wheeler,
     6-Dec-2018.) $)
  picn $p |- _pi e. CC $=
    ( cpi pire recni ) ABC $.

  $( ` _pi ` is positive.  (Contributed by Paul Chapman, 23-Jan-2008.)
     (Revised by Mario Carneiro, 9-May-2014.) $)
  pipos $p |- 0 < _pi $=
    ( cc0 c2 clt wbr cpi 2pos c4 pigt2lt4 simpli 0re 2re pire lttri mp2an ) ABC
    DBECDZAECDFOEGCDHIABEJKLMN $.

  $( ` _pi ` is a positive real.  (Contributed by Glauco Siliprandi,
     11-Dec-2019.) $)
  pirp $p |- _pi e. RR+ $=
    ( cpi pire pipos elrpii ) ABCD $.

  $( ` -u _pi ` is a real number.  (Contributed by David A. Wheeler,
     8-Dec-2018.) $)
  negpicn $p |- -u _pi e. CC $=
    ( cpi picn negcli ) ABC $.

  $( Lemma for ~ sinhalfpi and ~ coshalfpi .  (Contributed by Paul Chapman,
     23-Jan-2008.) $)
  sinhalfpilem $p |- ( ( sin ` ( _pi / 2 ) ) = 1 /\
                      ( cos ` ( _pi / 2 ) ) = 0 ) $=
    ( cpi c2 co csin cfv c1 wceq cc0 clt wbr ax-mp cr wcel cle pire 2re c4 cmul
    mpbi cexp cdiv ccos cneg wn 0lt1 0re ltnsymi wb lt0neg1 mtbi cioc rehalfcli
    1re pipos 2pos divgt0ii 4re pigt2lt4 simpri ltleii wa pm3.2i ledivmul mp3an
    2t2e4 breq2i bitr2i cxr w3a 0xr elioc2 mp2an mpbir3an sin02gt0 breq2 mto wo
    mpbii caddc sq1 resincl gt0ne0ii neii 2ne0 recni 2cn divcan2i fveq2i eqtr3i
    cc sin2t sinpi sincl coscl mulcli mul0ori mtpor oveq1i eqtri sincossq sqcli
    sq0 oveq2i addid1i 3eqtr2ri ax-1cn sqeqori ori mt3 ) ABUACZDEZFGZXJUBEZHGZX
    LXKFUCZGZXPHXOIJZFHIJZXQHFIJXRUDUEHFUFUMUGKFLMXRXQUHUMFUIKUJXPHXKIJZXQXJHBU
    KCMZXSXTXJLMZHXJIJZXJBNJZAOULZABOPUNUOUPAQNJZYCAQOUQBAIJAQIJURUSUTYCABBRCZN
    JZYEALMBLMZYHHBIJZVAYCYGUHOPYHYIPUOVBABBVCVDYFQANVEVFVGSHVHMYHXTYAYBYCVIUHV
    JPHBXJVKVLVMXJVNKZXKXOHIVOVRVPXLXPXKBTCZFBTCZGXLXPVQYLFYKHVSCZYKVTYKXMBTCZV
    SCZYMFYNHYKVSYNHBTCHXMHBTXKHGZXNXKHXKYAXKLMYDXJWAKYJWBWCXKXMRCZHGZYPXNVQBHG
    ZYRBHWDWCBYQRCZHGYSYRVQADEZYTHBXJRCZDEZUUAYTUUBADABAOWEWFWDWGWHXJWJMZUUCYTG
    XJYDWEZXJWKKWIWLWIBYQWFXKXMUUDXKWJMUUEXJWMKZUUDXMWJMUUEXJWNKZWOWPSWQXKXMUUF
    UUGWPSWQZWRXBWSXCUUDYOFGUUEXJWTKWIYKXKUUFXAXDXEXKFUUFXFXGSXHXIUUHVB $.

  $( ` _pi / 2 ` is real.  (Contributed by David Moews, 28-Feb-2017.) $)
  halfpire $p |- ( _pi / 2 ) e. RR $=
    ( cpi pire rehalfcli ) ABC $.

  $( ` -u _pi / 2 ` is real.  (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  neghalfpire $p |- -u ( _pi / 2 ) e. RR $=
    ( cpi c2 cdiv co halfpire renegcli ) ABCDEF $.

  $( ` -u _pi / 2 ` is an extended real.  (Contributed by David A. Wheeler,
     8-Dec-2018.) $)
  neghalfpirx $p |- -u ( _pi / 2 ) e. RR* $=
    ( cpi c2 cdiv co cneg neghalfpire rexri ) ABCDEFG $.

  $( Adding ` _pi / 2 ` to itself gives ` _pi ` .  See ~ 2halves .
     (Contributed by David A. Wheeler, 8-Dec-2018.) $)
  pidiv2halves $p |- ( ( _pi / 2 ) + ( _pi / 2 ) ) = _pi $=
    ( cpi cc wcel c2 cdiv co caddc wceq picn 2halves ax-mp ) ABCADEFZLGFAHIAJK
    $.

  $( The sine of ` _pi / 2 ` is 1.  (Contributed by Paul Chapman,
     23-Jan-2008.) $)
  sinhalfpi $p |- ( sin ` ( _pi / 2 ) ) = 1 $=
    ( cpi c2 cdiv co csin cfv c1 wceq ccos cc0 sinhalfpilem simpli ) ABCDZEFGHM
    IFJHKL $.

  $( The cosine of ` _pi / 2 ` is 0.  (Contributed by Paul Chapman,
     23-Jan-2008.) $)
  coshalfpi $p |- ( cos ` ( _pi / 2 ) ) = 0 $=
    ( cpi c2 cdiv co csin cfv c1 wceq ccos cc0 sinhalfpilem simpri ) ABCDZEFGHM
    IFJHKL $.

  $( The cosine of ` -u _pi / 2 ` is zero.  (Contributed by David Moews,
     28-Feb-2017.) $)
  cosneghalfpi $p |- ( cos ` -u ( _pi / 2 ) ) = 0 $=
    ( cpi c2 cdiv co cneg ccos cfv cc0 cc wcel wceq halfpire recni cosneg ax-mp
    coshalfpi eqtri ) ABCDZEFGZRFGZHRIJSTKRLMRNOPQ $.

  $( The exponential of ` _i _pi / 2 ` is ` _i ` .  (Contributed by Mario
     Carneiro, 9-May-2014.) $)
  efhalfpi $p |- ( exp ` ( _i x. ( _pi / 2 ) ) ) = _i $=
    ( ci cpi c2 cdiv co cmul ce cfv ccos csin caddc cc wcel wceq picn halfcl c1
    cc0 ax-icn eqtri efival coshalfpi sinhalfpi oveq2i mulid1i oveq12i addid2i
    mp2b ) ABCDEZFEGHZUIIHZAUIJHZFEZKEZABLMUILMUJUNNOBPUIUAUHUNRAKEAUKRUMAKUBUM
    AQFEAULQAFUCUDASUETUFASUGTT $.

  $( The cosine of ` _pi ` is ` -u 1 ` .  (Contributed by Paul Chapman,
     23-Jan-2008.) $)
  cospi $p |- ( cos ` _pi ) = -u 1 $=
    ( c2 cpi cdiv co cmul ccos cfv cexp c1 cmin cneg cc wcel wceq picn 2cn 2ne0
    cc0 oveq1i eqtri divcli cos2t ax-mp divcan2i fveq2i coshalfpi oveq2i df-neg
    sq0 2t0e0 eqtr4i 3eqtr3i ) ABACDZEDZFGZAUMFGZAHDZEDZIJDZBFGIKZUMLMUOUSNBAOP
    QUAUMUBUCUNBFBAOPQUDUEUSRIJDUTURRIJURAREDRUQRAEUQRAHDRUPRAHUFSUITUGUJTSIUHU
    KUL $.

  $( The exponential of ` _i x. _pi ` is ` -u 1 ` .  (Contributed by Paul
     Chapman, 23-Jan-2008.)  (Revised by Mario Carneiro, 10-May-2014.) $)
  efipi $p |- ( exp ` ( _i x. _pi ) ) = -u 1 $=
    ( ci cpi cmul co ce cfv ccos csin caddc c1 cneg wcel wceq picn efival ax-mp
    cc cc0 cospi eqtri sinpi oveq2i it0e0 oveq12i neg1cn addid1i ) ABCDEFZBGFZA
    BHFZCDZIDZJKZBQLUGUKMNBOPUKULRIDULUHULUJRISUJARCDRUIRACUAUBUCTUDULUEUFTT $.

  $( Euler's identity.  (Contributed by Paul Chapman, 23-Jan-2008.)  (Revised
     by Mario Carneiro, 9-May-2014.) $)
  eulerid $p |- ( ( exp ` ( _i x. _pi ) ) + 1 ) = 0 $=
    ( ci cpi cmul co ce cfv c1 caddc cneg efipi oveq1i ax-1cn 1pneg1e0 addcomli
    cc0 neg1cn eqtri ) ABCDEFZGHDGIZGHDORSGHJKGSOLPMNQ $.

  $( The sine of ` 2 _pi ` is 0.  (Contributed by Paul Chapman,
     23-Jan-2008.) $)
  sin2pi $p |- ( sin ` ( 2 x. _pi ) ) = 0 $=
    ( c2 cpi cmul co csin cfv ccos cc0 cc wcel wceq picn sin2t ax-mp cneg sinpi
    c1 cospi oveq12i eqtri neg1cn mul02i oveq2i 2t0e0 ) ABCDEFZABEFZBGFZCDZCDZH
    BIJUEUIKLBMNUIAHCDHUHHACUHHQOZCDHUFHUGUJCPRSUJUAUBTUCUDTT $.

  $( The cosine of ` 2 _pi ` is 1.  (Contributed by Paul Chapman,
     23-Jan-2008.) $)
  cos2pi $p |- ( cos ` ( 2 x. _pi ) ) = 1 $=
    ( c2 cpi cmul co ccos cexp c1 cmin cc wcel wceq picn cos2t ax-mp cneg cospi
    cfv oveq1i ax-1cn 3eqtri sqneg sq1 oveq2i 2t1e2 eqtri 2m1e1 ) ABCDEQZABEQZA
    FDZCDZGHDZAGHDGBIJUGUKKLBMNUJAGHUJAGCDAUIGACUIGOZAFDZGAFDZGUHULAFPRGIJUMUNK
    SGUANUBTUCUDUERUFT $.

  $( The exponential of ` 2 _pi _i ` is ` 1 ` .  (Contributed by Mario
     Carneiro, 9-May-2014.) $)
  ef2pi $p |- ( exp ` ( _i x. ( 2 x. _pi ) ) ) = 1 $=
    ( ci c2 cpi cmul co ce cfv ccos csin caddc wcel wceq 2cn picn mulcli efival
    c1 cc cc0 eqtri ax-mp cos2pi sin2pi oveq2i it0e0 oveq12i 1p0e1 ) ABCDEZDEFG
    ZUHHGZAUHIGZDEZJEZQUHRKUIUMLBCMNOUHPUAUMQSJEQUJQULSJUBULASDESUKSADUCUDUETUF
    UGTT $.

  $( If ` K ` is an integer, then the exponential of ` 2 K _pi _i ` is ` 1 ` .
     (Contributed by Mario Carneiro, 9-May-2014.) $)
  ef2kpi $p |- ( K e. ZZ -> ( exp ` ( ( _i x. ( 2 x. _pi ) ) x. K ) ) = 1 ) $=
    ( cz wcel ci c2 cpi cmul co ce cfv cexp c1 cc wceq ax-icn 2cn mulcli mulcom
    picn zcn sylancr fveq2d efexp mpan ef2pi oveq1i 1exp syl5eq 3eqtrd ) ABCZDE
    FGHZGHZAGHZIJAULGHZIJZULIJZAKHZLUJUMUNIUJULMCZAMCUMUNNDUKOEFPSQQZATULARUAUB
    URUJUOUQNUSULAUCUDUJUQLAKHLUPLAKUEUFAUGUHUI $.

  $( The exponential function is periodic.  (Contributed by Paul Chapman,
     21-Apr-2008.)  (Proof shortened by Mario Carneiro, 10-May-2014.) $)
  efper $p |- ( ( A e. CC /\ K e. ZZ ) ->
           ( exp ` ( A + ( ( _i x. ( 2 x. _pi ) ) x. K ) ) ) = ( exp ` A ) ) $=
    ( cc wcel cz wa ci c2 cpi cmul co caddc ce cfv wceq ax-icn 2cn picn mulcli
    c1 mulcl sylancr efadd sylan2 ef2kpi oveq2d efcl mulid1d sylan9eqr eqtrd
    zcn ) ACDZBEDZFAGHIJKZJKZBJKZLKMNZAMNZUPMNZJKZURUMULUPCDZUQUTOUMUOCDBCDVAGU
    NPHIQRSSBUKUOBUAUBAUPUCUDUMULUTURTJKURUMUSTURJBUEUFULURAUGUHUIUJ $.

  ${
    sinperlem.1 $e |- ( A e. CC -> ( F ` A ) =
      ( ( ( exp ` ( _i x. A ) ) O ( exp ` ( -u _i x. A ) ) ) / D ) ) $.
    sinperlem.2 $e |- ( ( A + ( K x. ( 2 x. _pi ) ) ) e. CC ->
      ( F ` ( A + ( K x. ( 2 x. _pi ) ) ) ) =
        ( ( ( exp ` ( _i x. ( A + ( K x. ( 2 x. _pi ) ) ) ) ) O
          ( exp ` ( -u _i x. ( A + ( K x. ( 2 x. _pi ) ) ) ) ) ) / D ) ) $.
    $( Lemma for ~ sinper and ~ cosper .  (Contributed by Paul Chapman,
       23-Jan-2008.)  (Revised by Mario Carneiro, 10-May-2014.) $)
    sinperlem $p |- ( ( A e. CC /\ K e. ZZ ) ->
                 ( F ` ( A + ( K x. ( 2 x. _pi ) ) ) ) = ( F ` A ) ) $=
      ( cc wcel ci cmul co caddc ce cfv cneg cdiv wceq ax-icn eqtrd cpi zcn 2cn
      cz wa c2 picn mulcli mulcl sylancl adddi mp3an1 sylan2 mp3an13 syl mulcom
      mul12 adantl oveq2d fveq2d mpan efper sylan negicn negeqd mulneg1 sylancr
      mulneg2 3eqtr4d znegcl syl2an oveq12d oveq1d addcl adantr ) AHIZDUDIZUEZJ
      ADUFUAKLZKLZMLZKLZNOZJPZWAKLZNOZELZBQLZJAKLZNOZWDAKLZNOZELZBQLZWACOZACOZV
      RWGWMBQVRWCWJWFWLEVRWCWIJVSKLZDKLZMLZNOZWJVRWBWSNVRWBWIJVTKLZMLZWSVQVPVTH
      IZWBXBRZVQDHIZVSHIZXCDUBZUFUAUCUGUHZDVSUIUJZJHIZVPXCXDSJAVTUKULUMVRXAWRWI
      MVQXAWRRVPVQXADWQKLZWRVQXEXAXKRZXGXJXEXFXLSXHJDVSUQUNUOVQXEWQHIZXKWRRXGJV
      SSXHUHZDWQUPUJTZURUSTUTVPWIHIZVQWTWJRXJVPXPSJAUIVAWIDVBVCTVRWFWKWQDPZKLZM
      LZNOZWLVRWEXSNVRWEWKWDVTKLZMLZXSVQVPXCWEYBRZXIWDHIZVPXCYCVDWDAVTUKULUMVRY
      AXRWKMVQYAXRRVPVQXAPZWRPZYAXRVQXAWRXOVEVQXJXCYAYERSXIJVTVFVGVQXMXEXRYFRXN
      XGWQDVHVGVIURUSTUTVPWKHIZXQUDIXTWLRVQYDVPYGVDWDAUIVADVJWKXQVBVKTVLVMVRWAH
      IZWOWHRVQVPXCYHXIAVTVNUMGUOVPWPWNRVQFVOVI $.
  $}

  $( The sine function is periodic.  (Contributed by Paul Chapman,
     23-Jan-2008.)  (Revised by Mario Carneiro, 10-May-2014.) $)
  sinper $p |- ( ( A e. CC /\ K e. ZZ ) ->
                 ( sin ` ( A + ( K x. ( 2 x. _pi ) ) ) ) = ( sin ` A ) ) $=
    ( c2 ci cmul co csin cmin sinval cpi caddc sinperlem ) ACDEFGBHAIABCJEFEFKF
    IL $.

  $( The cosine function is periodic.  (Contributed by Paul Chapman,
     23-Jan-2008.)  (Revised by Mario Carneiro, 10-May-2014.) $)
  cosper $p |- ( ( A e. CC /\ K e. ZZ ) ->
                 ( cos ` ( A + ( K x. ( 2 x. _pi ) ) ) ) = ( cos ` A ) ) $=
    ( c2 ccos caddc cosval cpi cmul co sinperlem ) ACDBEAFABCGHIHIEIFJ $.

  $( If ` K ` is an integer, then the sine of ` 2 K _pi ` is 0.  (Contributed
     by Paul Chapman, 23-Jan-2008.)  (Revised by Mario Carneiro,
     10-May-2014.) $)
  sin2kpi $p |- ( K e. ZZ -> ( sin ` ( K x. ( 2 x. _pi ) ) ) = 0 ) $=
    ( cz wcel cc0 c2 cpi cmul co caddc csin cfv cc zcn 2cn mulcli mulcl sylancl
    picn addid2d fveq2d wceq 0cn sinper mpan sin0 eqtrdi eqtr3d ) ABCZDAEFGHZGH
    ZIHZJKZUJJKDUHUKUJJUHUJUHALCUILCUJLCAMEFNROAUIPQSTUHULDJKZDDLCUHULUMUAUBDAU
    CUDUEUFUG $.

  $( If ` K ` is an integer, then the cosine of ` 2 K _pi ` is 1.  (Contributed
     by Paul Chapman, 23-Jan-2008.)  (Revised by Mario Carneiro,
     10-May-2014.) $)
  cos2kpi $p |- ( K e. ZZ -> ( cos ` ( K x. ( 2 x. _pi ) ) ) = 1 ) $=
    ( cz wcel cc0 c2 cpi cmul co caddc ccos cfv c1 cc zcn 2cn picn mulcli mulcl
    sylancl addid2d fveq2d wceq 0cn cosper mpan cos0 eqtrdi eqtr3d ) ABCZDAEFGH
    ZGHZIHZJKZUKJKLUIULUKJUIUKUIAMCUJMCUKMCANEFOPQAUJRSTUAUIUMDJKZLDMCUIUMUNUBU
    CDAUDUEUFUGUH $.

  $( Sine of a number subtracted from ` 2 x. _pi ` .  (Contributed by Paul
     Chapman, 15-Mar-2008.) $)
  sin2pim $p |- ( A e. CC ->
                ( sin ` ( ( 2 x. _pi ) - A ) ) = -u ( sin ` A ) ) $=
    ( cc wcel cneg csin cfv c2 cpi cmul co cmin c1 caddc cz wceq sinper sylancl
    negcl 1z eqtr3d 2cn picn mulcli mulid2i oveq2i wa negsubdi negsubdi2 syl5eq
    mpan2 fveq2d sinneg ) ABCZADZEFZGHIJZAKJZEFZAEFDUMUNLUPIJZMJZEFZUOURUMUNBCL
    NCVAUOOARSUNLPQUMUTUQEUMUTUNUPMJZUQUSUPUNMUPGHUAUBUCZUDUEUMUPBCZVBUQOVCUMVD
    UFAUPKJDVBUQAUPUGAUPUHTUJUIUKTAULT $.

  $( Cosine of a number subtracted from ` 2 x. _pi ` .  (Contributed by Paul
     Chapman, 15-Mar-2008.) $)
  cos2pim $p |- ( A e. CC -> ( cos ` ( ( 2 x. _pi ) - A ) ) = ( cos ` A ) ) $=
    ( cc wcel cneg ccos cfv c2 cpi cmul co cmin c1 caddc cz wceq cosper sylancl
    negcl 1z eqtr3d 2cn picn mulcli mulid2i oveq2i wa negsubdi negsubdi2 syl5eq
    mpan2 fveq2d cosneg ) ABCZADZEFZGHIJZAKJZEFZAEFUMUNLUPIJZMJZEFZUOURUMUNBCLN
    CVAUOOARSUNLPQUMUTUQEUMUTUNUPMJZUQUSUPUNMUPGHUAUBUCZUDUEUMUPBCZVBUQOVCUMVDU
    FAUPKJDVBUQAUPUGAUPUHTUJUIUKTAULT $.

  $( Sine of a number less ` _pi ` .  (Contributed by Paul Chapman,
     15-Mar-2008.) $)
  sinmpi $p |- ( A e. CC -> ( sin ` ( A - _pi ) ) = -u ( sin ` A ) ) $=
    ( cc wcel cpi cmin co csin cfv ccos cmul cneg wceq picn sinsub mpan2 cc0 c1
    oveq2i eqtrd syl5eq cospi sincl neg1cn mulcom mulm1 syl sinpi coscl oveq12d
    mul01d negcld subid1d ) ABCZADEFGHZAGHZDIHZJFZAIHZDGHZJFZEFZUOKZUMDBCUNVALM
    ADNOUMVAVBPEFVBUMUQVBUTPEUMUQUOQKZJFZVBUPVCUOJUARUMUOBCZVDVBLAUBZVEVDVCUOJF
    ZVBVEVCBCVDVGLUCUOVCUDOUOUESUFTUMUTURPJFPUSPURJUGRUMURAUHUJTUIUMVBUMUOVFUKU
    LSS $.

  $( Cosine of a number less ` _pi ` .  (Contributed by Paul Chapman,
     15-Mar-2008.) $)
  cosmpi $p |- ( A e. CC -> ( cos ` ( A - _pi ) ) = -u ( cos ` A ) ) $=
    ( cc wcel cpi cmin ccos cfv cmul csin caddc cneg wceq picn cossub mpan2 cc0
    co oveq2i eqtrd syl5eq c1 cospi coscl neg1cn mulcom mulm1 syl sinpi oveq12d
    sincl mul01d negcld addid1d ) ABCZADEQFGZAFGZDFGZHQZAIGZDIGZHQZJQZUPKZUNDBC
    UOVBLMADNOUNVBVCPJQVCUNURVCVAPJUNURUPUAKZHQZVCUQVDUPHUBRUNUPBCZVEVCLAUCZVFV
    EVDUPHQZVCVFVDBCVEVHLUDUPVDUEOUPUFSUGTUNVAUSPHQPUTPUSHUHRUNUSAUJUKTUIUNVCUN
    UPVGULUMSS $.

  $( Sine of a number plus ` _pi ` .  (Contributed by NM, 10-Aug-2008.) $)
  sinppi $p |- ( A e. CC -> ( sin ` ( A + _pi ) ) = -u ( sin ` A ) ) $=
    ( cc wcel cpi caddc co csin cfv ccos cmul cneg wceq sinadd mpan2 cc0 oveq2i
    picn c1 eqtrd syl5eq cospi sincl neg1cn mulcom mulm1 syl sinpi coscl mul01d
    oveq12d negcld addid1d ) ABCZADEFGHZAGHZDIHZJFZAIHZDGHZJFZEFZUOKZUMDBCUNVAL
    QADMNUMVAVBOEFVBUMUQVBUTOEUMUQUORKZJFZVBUPVCUOJUAPUMUOBCZVDVBLAUBZVEVDVCUOJ
    FZVBVEVCBCVDVGLUCUOVCUDNUOUESUFTUMUTUROJFOUSOURJUGPUMURAUHUITUJUMVBUMUOVFUK
    ULSS $.

  $( Cosine of a number plus ` _pi ` .  (Contributed by NM, 18-Aug-2008.) $)
  cosppi $p |- ( A e. CC -> ( cos ` ( A + _pi ) ) = -u ( cos ` A ) ) $=
    ( cc wcel cpi caddc ccos cfv cmul csin cmin cneg wceq picn cosadd mpan2 cc0
    co oveq2i eqtrd syl5eq c1 cospi coscl neg1cn mulcom mulm1 syl sinpi oveq12d
    sincl mul01d negcld subid1d ) ABCZADEQFGZAFGZDFGZHQZAIGZDIGZHQZJQZUPKZUNDBC
    UOVBLMADNOUNVBVCPJQVCUNURVCVAPJUNURUPUAKZHQZVCUQVDUPHUBRUNUPBCZVEVCLAUCZVFV
    EVDUPHQZVCVFVDBCVEVHLUDUPVDUEOUPUFSUGTUNVAUSPHQPUTPUSHUHRUNUSAUJUKTUIUNVCUN
    UPVGULUMSS $.

  $( The exponential function at ` _i ` times a real number less ` _pi ` .
     (Contributed by Paul Chapman, 15-Mar-2008.) $)
  efimpi $p |- ( A e. CC ->
                ( exp ` ( _i x. ( A - _pi ) ) ) = -u ( exp ` ( _i x. A ) ) ) $=
    ( cc wcel ci cpi cmin co cmul ce cfv ccos csin cneg wceq picn efival ax-icn
    caddc sylancr eqtr4d subcl mpan2 syl coscl sincl mulcl negdid cosmpi sinmpi
    oveq2d mulneg2 eqtrd oveq12d negeqd ) ABCZDAEFGZHGIJZAKJZDALJZHGZRGZMZDAHGI
    JZMUOUQUPKJZDUPLJZHGZRGZVBUOUPBCZUQVGNUOEBCVHOAEUAUBUPPUCUOVBURMZUTMZRGVGUO
    URUTAUDUODBCZUSBCZUTBCQAUEZDUSUFSUGUOVDVIVFVJRAUHUOVFDUSMZHGZVJUOVEVNDHAUIU
    JUOVKVLVOVJNQVMDUSUKSULUMTTUOVCVAAPUNT $.

  $( The sine of ` _pi / 2 ` plus a number.  (Contributed by Paul Chapman,
     24-Jan-2008.) $)
  sinhalfpip $p |- ( A e. CC
      -> ( sin ` ( ( _pi / 2 ) + A ) ) = ( cos ` A ) ) $=
    ( cc wcel cpi c2 cdiv co caddc csin cfv ccos cmul cc0 halfpire recni sinadd
    wceq c1 oveq1i syl5eq mpan sinhalfpi coscl mulid2d coshalfpi mul02d oveq12d
    sincl addid1d 3eqtrd ) ABCZDEFGZAHGIJZULIJZAKJZLGZULKJZAIJZLGZHGZUOMHGUOULB
    CUKUMUTQULNOULAPUAUKUPUOUSMHUKUPRUOLGUOUNRUOLUBSUKUOAUCZUDTUKUSMURLGMUQMURL
    UESUKURAUHUFTUGUKUOVAUIUJ $.

  $( The sine of ` _pi / 2 ` minus a number.  (Contributed by Paul Chapman,
     24-Jan-2008.) $)
  sinhalfpim $p |- ( A e. CC
      -> ( sin ` ( ( _pi / 2 ) - A ) ) = ( cos ` A ) ) $=
    ( cc wcel cpi c2 cdiv co cmin csin cfv ccos cmul wceq halfpire recni sinsub
    cc0 c1 oveq1i syl5eq sinhalfpi coscl mulid2d coshalfpi sincl mul02d oveq12d
    mpan subid1d 3eqtrd ) ABCZDEFGZAHGIJZULIJZAKJZLGZULKJZAIJZLGZHGZUOQHGUOULBC
    UKUMUTMULNOULAPUHUKUPUOUSQHUKUPRUOLGUOUNRUOLUASUKUOAUBZUCTUKUSQURLGQUQQURLU
    DSUKURAUEUFTUGUKUOVAUIUJ $.

  $( The cosine of ` _pi / 2 ` plus a number.  (Contributed by Paul Chapman,
     24-Jan-2008.) $)
  coshalfpip $p |- ( A e. CC ->
                     ( cos ` ( ( _pi / 2 ) + A ) ) = -u ( sin ` A ) ) $=
    ( cc wcel cpi c2 cdiv co ccos cfv cmul csin cmin cc0 caddc coshalfpi oveq1i
    cneg syl5eq c1 wceq coscl mul02d sinhalfpi sincl mulid2d oveq12d recni mpan
    halfpire cosadd df-neg a1i 3eqtr4d ) ABCZDEFGZHIZAHIZJGZUOKIZAKIZJGZLGZMUTL
    GZUOANGHIZUTQZUNURMVAUTLUNURMUQJGMUPMUQJOPUNUQAUAUBRUNVASUTJGUTUSSUTJUCPUNU
    TAUDUERUFUOBCUNVDVBTUOUIUGUOAUJUHVEVCTUNUTUKULUM $.

  $( The cosine of ` _pi / 2 ` minus a number.  (Contributed by Paul Chapman,
     24-Jan-2008.) $)
  coshalfpim $p |- ( A e. CC
      -> ( cos ` ( ( _pi / 2 ) - A ) ) = ( sin ` A ) ) $=
    ( cc wcel cpi c2 cdiv cmin ccos cfv cmul csin caddc cc0 wceq halfpire recni
    co oveq1i syl5eq c1 cossub coshalfpi coscl mul02d sinhalfpi mulid2d oveq12d
    mpan sincl addid2d 3eqtrd ) ABCZDEFQZAGQHIZUMHIZAHIZJQZUMKIZAKIZJQZLQZMUSLQ
    USUMBCULUNVANUMOPUMAUAUHULUQMUTUSLULUQMUPJQMUOMUPJUBRULUPAUCUDSULUTTUSJQUSU
    RTUSJUERULUSAUIZUFSUGULUSVBUJUK $.

  $( Ptolemy's Theorem.  This theorem is named after the Greek astronomer and
     mathematician Ptolemy (Claudius Ptolemaeus).  This particular version is
     expressed using the sine function.  It is proved by expanding all the
     multiplication of sines to a product of cosines of differences using
     ~ sinmul , then using algebraic simplification to show that both sides are
     equal.  This formalization is based on the proof in "Trigonometry" by
     Gelfand and Saul.  This is Metamath 100 proof #95.  (Contributed by David
     A. Wheeler, 31-May-2015.) $)
  ptolemy $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) /\
                    ( ( A + B ) + ( C + D ) ) = _pi ) ->
           ( ( ( sin ` A ) x. ( sin ` B ) ) + ( ( sin ` C ) x. ( sin ` D ) ) )
           = ( ( sin ` ( B + C ) ) x. ( sin ` ( A + C ) ) ) ) $=
    ( cc wcel wa caddc co cpi wceq cmin ccos cfv c2 cdiv csin cneg syl 3adant3
    cmul addcl 3ad2ant2 coscld negnegd addid2 oveq1d 0cnd adantr pnpcan2d simp3
    w3a oveq2d 3eqtr3rd df-neg eqtr4di fveq2d cosmpi cosneg negeqd eqtr3d subcl
    cc0 3eqtr3d adantl subnegd wne 3ad2ant1 subcld addcld 2cnne0 divdir syl3anc
    eqtrd a1i nppcan3d sinmul oveq12d simplr simpll simprl 3jca addass 3ad2ant3
    oveq1 simpl simpr ppncan simp1 jca syl2anc ad2ant2r ad2ant2lr addcom 3eqtrd
    add4 picn sylancr cosppi ancoms negsubdi2 3eqtr4d ) AEFZBEFZGZCEFZDEFZGZABH
    IZCDHIZHIZJKZULZABLIZMNZXIMNZLIZOPIZCDLIZMNZXJMNZLIZOPIZHIZXOXTHIZOPIZAQNBQ
    NUAIZCQNDQNUAIZHIBCHIZQNACHIZQNUAIZXMYDXRXTXPHIZOPIZHIZYFXMYCYMXRHXMYBYLOPX
    MYBXTXPRZLIYLXMYAYOXTLXMYARZRYAYOXMYAXMXJXHXEXJEFZXLCDUBZUCZUDUEXMYPXPXMXJJ
    LIZMNZXIRZMNZYPXPXMYTUUBMXMYTVCXILIZUUBXMVCXJHIZXKLIZXJXKLIZUUDYTXMYQUUFUUG
    KYSYQUUEXJXKLXJUFUGSXMVCXIXJXMUHXEXHXIEFZXLXEUUHXHABUBUIZTZYSUJXMXKJXJLXEXH
    XLUKUMUNXIUOUPUQXMYQUUAYPKYSXJURSXMUUHUUCXPKUUJXIUSSVDUTVAUMXMXTXPXEXHXTEFX
    LXEXHGZXSXHXSEFZXECDVBVEZUDZTZXMXIUUJUDZVFVNUGUMXMXQYLHIZOPIZYNYFXMXQEFYLEF
    OEFOVCVGGZUURYNKXMXOXPXMXNXEXHXNEFZXLABVBZVHUDZUUPVIXMXTXPUUOUUPVJUUSXMVKVO
    XQYLOVLVMXMUUQYEOPXMXOXPXTUVBUUPUUOVPUGVAVNXMYGXRYHYCHXEXHYGXRKXLABVQVHXHXE
    YHYCKXLCDVQUCVRXMYIYJLIZMNZYIYJHIZMNZLIZOPIZBALIZMNZXTHIZOPIYKYFXMUVGUVKOPX
    MUVGUVJXTRZLIZUVKXMUVDUVJUVFUVLLXEXHUVDUVJKXLUUKUVCUVIMUUKBACXCXDXHVSXCXDXH
    VTXEXFXGWAUJUQTXMUVFXSJHIZMNZUVLXMUVEUVNMXMUVEJXSHIZUVNXMXKXSHIZXIXJXSHIZHI
    ZUVPUVEXMUUHYQUULULZUVQUVSKXEXHUVTXLUUKUUHYQUULUUIXHYQXEYRVEUUMWBTXIXJXSWCS
    XLXEUVQUVPKXHXKJXSHWEWDXMUVSXICCHIZHIZYJYIHIZUVEXMXFXGXFULZUVSUWBKXHXEUWDXL
    XHXFXGXFXFXGWFZXFXGWGUWEWBUCUWDUVRUWAXIHCDCWHUMSXMXEXFXFGZUWBUWCKXEXHXLWIXH
    XEUWFXLXHXFXFUWEUWEWJUCABCCWPWKXMYJEFZYIEFZGZUWCUVEKXEXHUWIXLUUKUWGUWHXCXFU
    WGXDXGACUBWLZXDXFUWHXCXGBCUBWMZWJTYJYIWNSWOUNXEXHUVPUVNKZXLUUKJEFUULUWLWQUU
    MJXSWNWRTVNUQXEXHUVOUVLKZXLUUKUULUWMUUMXSWSSTVNVRXEXHUVMUVKKXLUUKUVJXTUUKUV
    IXEUVIEFZXHXDXCUWNBAVBWTUIUDUUNVFTVNUGXEXHYKUVHKZXLUUKUWHUWGUWOUWKUWJYIYJVQ
    WKTXMYEUVKOPXMXOUVJXTHXEXHXOUVJKXLXEXNRZMNZXOUVJXEUUTUWQXOKUVAXNUSSXEUWPUVI
    MABXAUQVAVHUGUGXBXB $.

  $( Lemma for ~ sincosq1sgn .  (Contributed by Paul Chapman, 24-Jan-2008.) $)
  sincosq1lem $p |- ( ( A e. RR /\ 0 < A /\ A < ( _pi / 2 ) ) ->
                      0 < ( sin ` A ) ) $=
    ( cr wcel cc0 clt wbr cpi c2 cdiv co cle csin cfv wi halfpire c4 pire wa wb
    2re ltle mpan2 pigt2lt4 simpri ltleii cmul 2pos pm3.2i ledivmul mp3an 2t2e4
    4re breq2i bitri letr mp3an23 mpan2i syld adantr 3impia w3a cioc cxr elioc2
    mpbir 0xr mp2an sin02gt0 sylbir syld3an3 ) ABCZDAEFZAGHIJZEFZAHKFZDALMEFZVK
    VLVNVOVKVNVONVLVKVNAVMKFZVOVKVMBCZVNVQNOAVMUAUBVKVQVMHKFZVOVSGPKFZGPQULHGEF
    GPEFUCUDUEVSGHHUFJZKFZVTGBCHBCZWCDHEFZRVSWBSQTWCWDTUGUHGHHUIUJWAPGKUKUMUNVE
    VKVRWCVQVSRVONOTAVMHUOUPUQURUSUTVKVLVOVAZADHVBJCZVPDVCCWCWFWESVFTDHAVDVGAVH
    VIVJ $.

  $( The signs of the sine and cosine functions in the first quadrant.
     (Contributed by Paul Chapman, 24-Jan-2008.) $)
  sincosq1sgn $p |- ( A e. ( 0 (,) ( _pi / 2 ) ) ->
                      ( 0 < ( sin ` A ) /\ 0 < ( cos ` A ) ) ) $=
    ( cc0 cpi c2 cdiv co cioo wcel cr clt wbr csin cfv cxr halfpire sincosq1lem
    wa wb cmin bitrdi w3a ccos 0xr rexri elioo2 resubcl mpan syl3an1 3expib 0re
    mp2an ltsub13 mp3an12 subid1i breq2i ltsub23 mp3an13 subidi breq1i biancomd
    recni anbi12d cc wceq recn sinhalfpim syl breq2d 3imtr3d 3impib jca sylbi )
    ABCDEFZGFHZAIHZBAJKZAVMJKZUAZBALMJKZBAUBMZJKZQBNHVMNHVNVRRUCVMOUDBVMAUEUKVR
    VSWAAPVOVPVQWAVOBVMASFZJKZWBVMJKZQZBWBLMZJKZVPVQQWAVOWCWDWGVOWBIHZWCWDWGVMI
    HZVOWHOVMAUFUGWBPUHUIVOWEVPVQVOWCVQWDVPVOWCAVMBSFZJKZVQBIHWIVOWCWKRUJOBVMAU
    LUMWJVMAJVMVMOVAZUNUOTVOWDVMVMSFZAJKZVPWIVOWIWDWNROOVMAVMUPUQWMBAJVMWLURUST
    VBUTVOWFVTBJVOAVCHWFVTVDAVEAVFVGVHVIVJVKVL $.

  $( The signs of the sine and cosine functions in the second quadrant.
     (Contributed by Paul Chapman, 24-Jan-2008.) $)
  sincosq2sgn $p |- ( A e. ( ( _pi / 2 ) (,) _pi ) ->
                      ( 0 < ( sin ` A ) /\ ( cos ` A ) < 0 ) ) $=
    ( cpi co cioo wcel cr clt wbr w3a cc0 csin cfv ccos wa wb halfpire cxr rexr
    cc wceq c2 cdiv pire elioo2 syl2an mp2an cmin resubcl mpan2 0xr sincosq1sgn
    cneg rexri sylbir syl3an1 3expib ltsub13 mp3an13 subid1d breq2d bitrd caddc
    recn ltsubadd mp3an23 pidiv2halves breq2i anbi12d resincld lt0neg2d 3imtr3d
    0re bitrdi anbi1d pncan3 sylancr fveq2d coshalfpip eqtr3d breq1d sinhalfpip
    recni recnd syl sylibrd 3impib ancomd sylbi ) ABUAUBCZBDCEZAFEZWIAGHZABGHZI
    ZJAKLZGHZAMLZJGHZNWIFEZBFEZWJWNOZPUCWSWIQEZBQEXAWTWIRBRWIBAUDUEUFWNWRWPWKWL
    WMWRWPNZWKWLWMNZAWIUGCZKLZULZJGHZJXEMLZGHZNZXCWKJXEGHZXEWIGHZNJXFGHZXJNZXDX
    KWKXLXMXOWKXEFEZXLXMXOWKWSXPPAWIUHUIZXPXLXMIZXEJWIDCEZXOJQEXBXSXROUJWIPUMJW
    IXEUDUFXEUKUNUOUPWKXLWLXMWMWKXLWIAJUGCZGHZWLJFEWKWSXLYAOVLPJAWIUQURWKXTAWIG
    WKAAVCZUSUTVAWKXMAWIWIVBCZGHZWMWKWSWSXMYDOPPAWIWIVDVEYCBAGVFVGVMVHWKXNXHXJW
    KXFWKXEXQVIVJVNVKWKWRXHWPXJWKWQXGJGWKWIXEVBCZMLZWQXGWKYEAMWKWISEASEYEATWIPW
    BYBWIAVOVPZVQWKXESEZYFXGTWKXEXQWCZXEVRWDVSVTWKWOXIJGWKYEKLZWOXIWKYEAKYGVQWK
    YHYJXITYIXEWAWDVSUTVHWEWFWGWH $.

  $( The signs of the sine and cosine functions in the third quadrant.
     (Contributed by Paul Chapman, 24-Jan-2008.) $)
  sincosq3sgn $p |- ( A e. ( _pi (,) ( 3 x. ( _pi / 2 ) ) ) ->
                      ( ( sin ` A ) < 0 /\ ( cos ` A ) < 0 ) ) $=
    ( cpi c3 c2 co cmul wcel cr clt wbr csin cfv ccos wa wb pire halfpire caddc
    cc0 cxr cdiv cioo w3a 3re remulcli rexr elioo2 mp2an cmin cneg pidiv2halves
    syl2an breq1i ltaddsub mp3an12 bitr3id ltsubadd mp3an23 c1 oveq1i 2cn recni
    df-3 ax-1cn adddiri divcan2i mulid2i oveq12i 3eqtrri breq2i bitr2di anbi12d
    2ne0 resubcl mpan2 sincosq2sgn ancom 3imtr3i syl3an1 3expib sylbid resincld
    lt0neg2d anbi2d sylibd wceq recn pncan3 sylancr fveq2d recnd sinhalfpip syl
    cc eqtr3d breq1d coshalfpip sylibrd 3impib sylbi ) ABCBDUAEZFEZUBEGZAHGZBAI
    JZAXBIJZUCZAKLZSIJZAMLZSIJZNZBHGZXBHGZXCXGOZPCXAUDQUEXMBTGZXBTGXOXNBUFZXBUF
    BXBAUGULUHXDXEXFXLXDXEXFNZAXAUIEZMLZSIJZXSKLZUJZSIJZNZXLXDXRYASYBIJZNZYEXDX
    RXAXSIJZXSBIJZNYGXDXEYHXFYIXEXAXAREZAIJZXDYHYJBAIUKUMXAHGZYLXDYKYHOQQXAXAAU
    NUOUPXDYIABXAREZIJZXFXDYLXMYIYNOQPAXABUQURYMXBAIXBDUSREZXAFEDXAFEZUSXAFEZRE
    YMCYOXAFVCUTDUSXAVAVDXAQVBZVEYPBYQXARBDBPVBVAVMVFXAYRVGVHVIVJVKVLXDYHYIYGXD
    XSHGZYHYIYGXDYLYSQAXAVNVOZXSXABUBEGZYFYANYSYHYIUCZYGXSVPYLXMUUAUUBOZQPYLXAT
    GXPUUCXMXAUFXQXABXSUGULUHYFYAVQVRVSVTWAXDYFYDYAXDYBXDXSYTWBWCWDWEXDXIYAXKYD
    XDXHXTSIXDXAXSREZKLZXHXTXDUUDAKXDXAWNGAWNGUUDAWFYRAWGXAAWHWIZWJXDXSWNGZUUEX
    TWFXDXSYTWKZXSWLWMWOWPXDXJYCSIXDUUDMLZXJYCXDUUDAMUUFWJXDUUGUUIYCWFUUHXSWQWM
    WOWPVLWRWSWT $.

  $( The signs of the sine and cosine functions in the fourth quadrant.
     (Contributed by Paul Chapman, 24-Jan-2008.) $)
  sincosq4sgn $p |- ( A e. ( ( 3 x. ( _pi / 2 ) ) (,) ( 2 x. _pi ) ) ->
                      ( ( sin ` A ) < 0 /\ 0 < ( cos ` A ) ) ) $=
    ( c3 cpi c2 co cmul wcel cr clt wbr csin cfv cc0 wa halfpire caddc c1 c4 cc
    ccos cdiv cioo w3a cxr wb 3re remulcli rexri 2re pire elioo2 cmin cneg df-3
    mp2an oveq1i 2cn ax-1cn recni adddiri 2ne0 divcan2i mulid2i oveq12i 3eqtrri
    breq1i ltaddsub mp3an12 bitr3id ltsubadd mp3an23 df-4 oveq2i wne 4cn 2cnne0
    div12 mp3an 4d2e2 mulcomi eqtri breq2i bitr2di anbi12d resubcl mpan2 sylbir
    wceq sincosq3sgn syl3an1 3expib sylbid resincld lt0neg1d anbi1d sylibd recn
    pncan3 sylancr fveq2d recnd coshalfpip syl eqtr3d breq2d sinhalfpip sylibrd
    breq1d 3impib ancomd sylbi ) ABCDUAEZFEZDCFEZUBEGZAHGZXMAIJZAXNIJZUCZAKLZMI
    JZMATLZIJZNXMUDGZXNUDGXOXSUEXMBXLUFOUGZUHZXNDCUIUJUGUHXMXNAUKUOXSYCYAXPXQXR
    YCYANZXPXQXRNZMAXLULEZKLZUMZIJZYITLZMIJZNZYGXPYHYJMIJZYNNZYOXPYHCYIIJZYIXMI
    JZNYQXPXQYRXRYSXQCXLPEZAIJZXPYRYTXMAIXMDQPEZXLFEDXLFEZQXLFEZPEYTBUUBXLFUNUP
    DQXLUQURXLOUSZUTUUCCUUDXLPCDCUJUSZUQVAVBXLUUEVCZVDVEVFCHGXLHGZXPUUAYRUEUJOC
    XLAVGVHVIXPYSAXMXLPEZIJZXRXPUUHXMHGYSUUJUEOYEAXLXMVJVKUUIXNAIUUIRXLFEZXNUUK
    BQPEZXLFEXMUUDPEUUIRUULXLFVLUPBQXLBUFUSURUUEUTUUDXLXMPUUGVMVEUUKCRDUAEZFEZX
    NRSGCSGDSGDMVNNUUKUUNWHVOUUFVPRCDVQVRUUNCDFEXNUUMDCFVSVMCDUUFUQVTWAWAWAWBWC
    WDXPYRYSYQXPYIHGZYRYSYQXPUUHUUOOAXLWEWFZUUOYRYSUCZYICXMUBEGZYQCUDGYDUURUUQU
    ECUJUHYFCXMYIUKUOYIWIWGWJWKWLXPYPYLYNXPYJXPYIUUPWMWNWOWPXPYCYLYAYNXPYBYKMIX
    PXLYIPEZTLZYBYKXPUUSATXPXLSGASGUUSAWHUUEAWQXLAWRWSZWTXPYISGZUUTYKWHXPYIUUPX
    AZYIXBXCXDXEXPXTYMMIXPUUSKLZXTYMXPUUSAKUVAWTXPUVBUVDYMWHUVCYIXFXCXDXHWDXGXI
    XJXK $.

  $( Location of the zeroes of cosine in ` ( 0 [,] _pi ) ` .  (Contributed by
     David Moews, 28-Feb-2017.) $)
  coseq00topi $p |- ( A e. ( 0 [,] _pi ) -> ( ( cos ` A ) = 0 <->
                                             A = ( _pi / 2 ) ) ) $=
    ( cc0 cpi co wcel ccos cfv wceq clt wbr simplr wne w3a pire simpr cxr rexri
    wa c1 a1i cicc c2 cdiv csin cioo cr cle simpl elicc2i sylib simp1d ad2antrr
    0re wb halfpire elioo2 syl3anbrc sincosq1sgn syl simprd gt0ne0d fveq2d cos0
    mp2an eqtr3di ax-1ne0 eqnetrd wo simp2d 0red leloed mpbid adantr pm2.21ddne
    mpjaodan sincosq2sgn lt0ne0d cneg eqtrdi neg1ne0 simp3d rehalfcld mpjao3dan
    cospi lttri4d fveq2 coshalfpi adantl impbida ) ABCUADEZAFGZBHZACUBUCDZHZWJW
    LRZAWMIJZWNWNWMAIJZWOWPRZWNWKBWJWLWPKWRBAIJZWKBLZBAHZWRWSRZWKXBBAUDGIJZBWKI
    JZXBABWMUEDEZXCXDRXBAUFEZWSWPXEWOXFWPWSWOXFBAUGJZACUGJZWOWJXFXGXHMWJWLUHBCA
    UMNUIUJZUKZULWRWSOWOWPWSKBPEWMPEZXEXFWSWPMUNBUMQWMUOQZBWMAUPVDUQAURUSUTVAWR
    XARZWKSBXMBFGWKSXMBAFWRXAOVBVCVESBLXMVFTVGWOWSXAVHZWPWOXGXNWOXFXGXHXIVIWOBA
    WOVJXJVKVLVMVOVNWOWNOWOWQRZWNWKBWJWLWQKXOACIJZWTACHZXOXPRZWKXRXCWKBIJZXRAWM
    CUEDEZXCXSRXRXFWQXPXTWOXFWQXPXJULWOWQXPKXOXPOXKCPEXTXFWQXPMUNXLCNQWMCAUPVDU
    QAVPUSUTVQXOXQRZWKSVRZBYAWKCFGYBYAACFXOXQOVBWDVSYBBLYAVTTVGWOXPXQVHZWQWOXHY
    CWOXFXGXHXIWAWOACXJCUFEWONTZVKVLVMVOVNWOAWMXJWOCYDWBWEWCWNWLWJWNWKWMFGBAWMF
    WFWGVSWHWI $.

  $( Location of the zeroes of cosine in ` ( -u _pi (,] _pi ) ` .  (Contributed
     by David Moews, 28-Feb-2017.) $)
  coseq0negpitopi $p |- ( A e. ( -u _pi (,] _pi ) ->
            ( ( cos ` A ) = 0 <-> A e. { ( _pi / 2 ) , -u ( _pi / 2 ) } ) ) $=
    ( cpi cneg co wcel ccos cfv cc0 wceq wa cr wbr cle pire renegcli 0re adantr
    wb syl mpbid cioc c2 cdiv cpr clt w3a simpl rexri elioc2 mp2an sylib simp1d
    cxr a1i recnd cosneg simplr eqtrd renegcld simpr le0neg1d simp2d ltnegcon1d
    cc cicc ltled syl3anbrc coseq00topi negcon1ad eqcomd halfpire prid2g eleq1a
    elicc2i wi mp2b simp3d prid1g lecasei wo elpri fveq2 coshalfpi cosneghalfpi
    eqtrdi jaoi adantl impbida ) ABCZBUADEZAFGZHIZABUBUCDZWMCZUDZEZWJWLJZWPAHWQ
    AKEZWIAUELZABMLZWQWJWRWSWTUFZWJWLUGWIUMEBKEZWJXARWIBNOUHNWIBAUIUJUKZULZHKEW
    QPUNWQAHMLZJZAWNIZWPXFWNAXFAWMXFAWQWRXEXDQZUOXFACZFGZHIZXIWMIZXFXJWKHXFAVDE
    ZXJWKIWQXMXEWQAXDUOQAUPSWJWLXEUQURXFXIHBVEDZEZXKXLRXFXIKEZHXIMLZXIBMLZXOWQX
    PXEWQAXDUSZQXFXEXQWQXEUTXFAXHVATWQXRXEWQXIBXSXBWQNUNZWQBAXTXDWQWRWSWTXCVBVC
    VFQHBXIPNVNVGXIVHSTVIVJWNKEWNWOEXGWPVOWMVKOWMWNKVLWNWOAVMVPSWQHAMLZJZAWMIZW
    PYBWLYCWJWLYAUQYBAXNEZWLYCRYBWRYAWTYDWQWRYAXDQWQYAUTWQWTYAWQWRWSWTXCVQQHBAP
    NVNVGAVHSTWMKEWMWOEYCWPVOVKWMWNKVRWMWOAVMVPSVSWPWLWJWPYCXGVTWLAWMWNWAYCWLXG
    YCWKWMFGHAWMFWBWCWEXGWKWNFGHAWNFWBWDWEWFSWGWH $.

  $( Positive real closure of the tangent function.  (Contributed by Mario
     Carneiro, 29-Jul-2014.) $)
  tanrpcl $p |- ( A e. ( 0 (,) ( _pi / 2 ) ) -> ( tan ` A ) e. RR+ ) $=
    ( cc0 cpi c2 cdiv cioo wcel ctan cfv csin ccos crp wne wceq elioore clt wbr
    co cc elrpd recnd recoscld sincosq1sgn simprd rpne0d tanval resincld simpld
    syl2anc rpdivcld eqeltrd ) ABCDERZFRGZAHIZAJIZAKIZERZLUMASGUPBMUNUQNUMAABUL
    OZUAUMUPUMUPUMAURUBUMBUOPQZBUPPQZAUCZUDTZUEAUFUIUMUOUPUMUOUMAURUGUMUSUTVAUH
    TVBUJUK $.

  $( The tangent function is greater than its argument on positive reals in its
     principal domain.  (Contributed by Mario Carneiro, 29-Jul-2014.) $)
  tangtx $p |- ( A e. ( 0 (,) ( _pi / 2 ) ) -> A < ( tan ` A ) ) $=
    ( cc0 cpi c2 co wcel clt cmul wbr c1 cexp c3 cmin cr sylancr recnd cc caddc
    a1i wb cdiv cioo csin cfv elioore recoscld remulcld 1re cn rehalfcl resqcld
    ccos ctan syl 3nn nndivre sylancl resubcl 2re remulcl resincld 2cn wne 2ne0
    divcan2d fveq2d wceq cos2t eqtr3d cioc wa eliooord simpld 2pos divgt0d pire
    cle simprd pigt2lt4 simpri 2t2e4 breqtrri pm3.2i ltdivmul mp3an mpbir lttrd
    mp1i c4 mulid2i breqtrrdi ltdivmul2 syl112anc mpbird ltled cxr elioc2 mp2an
    w3a 0xr syl3anbrc cos01bnd cos01gt0 wi 0re mpd lt2sqd mpbid ltmul2 ltsub1dd
    ltle eqbrtrd 3re 4re readdcl 3lt4 gt0ne0d sqgt0d 3pos ltmul1 mpbii ltsub2dd
    ax-1cn addcl subcld mulid2d oveq2d oveq1d subdid oveq1i syl5eq eqtrd 3eqtrd
    oveq12d mulassd mulid1d eqtr4d df-3 breqtrrd cn0 sq1 addsubd 3eqtr4d adddid
    binom2sub 2timesi addassd eqtr3di assraddsubd mvrladdd subcl subdird mul12d
    sqvald subadd4d addcomi joinlmuladdmuld 3brtr4d mulgt0d oveq2i 2nn0 mulcomd
    eqtri expp1 3cn 3ne0 divassd eqtr2d 3eqtr3d sin01bnd reexpcl resubcld sin2t
    3nn0 3eqtr2rd sincosq1sgn ltmuldiv tanval syl2anc ) ABCDUAEZUBEFZAAUCUDZAUL
    UDZUAEZAUMUDZGUWAAUWCHEZUWBGIZAUWDGIZUWAUWFAJADUAEZDKEZLUAEZMEZHEZJDUWKHEZM
    EZHEZUWBUWAAUWCABUVTUEZUWAAUWQUFZUGUWAUWMUWOUWAAUWLUWQUWAJNFZUWKNFZUWLNFUHU
    WAUWJNFLUIFZUWTUWAUWIUWAANFZUWINFZUWQAUJUNZUKZUOUWJLUPUQZJUWKUROZUGZUWAUWSU
    WNNFZUWONFZUHUWADNFZUWTUXIUSUXFDUWKUTOZJUWNUROZUGZUWAAUWQVAZUWAUWFAUWLUWOHE
    ZHEZUWPGUWAUWCUXPGIZUWFUXQGIZUWAUWCDUWLDKEZHEZJMEZUXPUWRUWAUYANFZUWSUYBNFUW
    AUXKUXTNFZUYCUSUWAUWLUXGUKZDUXTUTOZUHUYAJURUQUWAUWLUWOUXGUXMUGZUWAUWCDUWIUL
    UDZDKEZHEZJMEZUYBGUWADUWIHEZULUDZUWCUYKUWAUYLAULUWAADUWAAUWQPZDQFUWAVBSZDBV
    CUWAVDSVEZVFUWAUWIQFZUYMUYKVGUWAUWIUXDPZUWIVHUNVIUWAUYJUYAJUWAUXKUYINFZUYJN
    FUSUWAUYHUWAUWIUXDUFZUKZDUYIUTOUYFUWSUWAUHSZUWAUYIUXTGIZUYJUYAGIZUWAUYHUWLG
    IZVUCUWAUWOUYHGIZVUEUWAUWIBJVJEFZVUFVUEVKUWAUXCBUWIGIZUWIJVQIZVUGUXDUWAADUW
    QUXKUWAUSSZUWABAGIZAUVTGIZABUVTVLZVMZBDGIZUWAVNSZVOZUWAUWIJUXDVUBUWAUWIJGIZ
    AJDHEZGIZUWAADVUSGUWAAUVTDUWQCNFZUVTNFUWAVPCUJWHVUJUWAVUKVULVUMVRUVTDGIZUWA
    VVBCDDHEZGIZCWIVVCGDCGICWIGIVSVTWAWBVVAUXKUXKVUOVKVVBVVDTVPUSUXKVUOUSVNWCCD
    DWDWEWFSWGDVBWJWKUWAUXBUWSUXKVUOVURVUTTUWQVUBVUJVUPAJDWLWMWNWOBWPFUWSVUGUXC
    VUHVUIWSTWTUHBJUWIWQWRXAZUWIXBUNZVRZUWAUYHUWLUYTUXGUWABUYHGIZBUYHVQIZUWAVUG
    VVHVVEUWIXCUNZUWABNFZUYHNFZVVHVVIXDXEUYTBUYHXKOXFUWABUWLVVKUWAXESZUXGUWABUY
    HUWLVVMUYTUXGVVJVVGWGZWOXGXHUWAUYSUYDUXKVUOVUCVUDTVUAUYEVUJVUPUYIUXTDXIWMXH
    XJXLUWAJDUWKDKEZHEZREZWIUWKHEZMEZVVQLUWKHEZMEZUYBUXPGUWAVVTVVRVVQUWALNFZUWT
    VVTNFXMUXFLUWKUTOUWAWINFZUWTVVRNFXNUXFWIUWKUTOZUWAUWSVVPNFZVVQNFUHUWAUXKVVO
    NFVWEUSUWAUWKUXFUKZDVVOUTOZJVVPXOOUWALWIGIZVVTVVRGIZXPUWAVWBVWCUWTBUWKGIVWH
    VWITVWBUWAXMSZVWCUWAXNSUXFUWAUWJLUXEVWJUWAUWIUXDUWAUWIVUQXQXRBLGIUWAXSSVOLW
    IUWKXTWMYAYBUWAUYAJVVSUWAJVUBPZUWAVVQVVRUWAJQFZVVPQFVVQQFYCUWAVVPVWGPZJVVPY
    DOZUWAVVRVWDPZYEUWAUYADJVVOREZUWNMEZHEDVWPHEZDUWNHEZMEZJVVSREUWAUXTVWQDHUWA
    JDKEZDJUWKHEZHEZMEZVVOREZUWOVVOREUXTVWQUWAVXDUWOVVORUWAVXAJVXCUWNMVXAJVGUWA
    UUASUWAVXBUWKDHUWAUWKUWAUWKUXFPZYFZYGYNYHUWAVWLUWKQFZUXTVXEVGYCVXFJUWKUUEOU
    WAJVVOUWNVWKUWAVVOVWFPZUWAUWNUXLPZUUBUUCYGUWADVWPUWNUYOUWAVWLVVOQFVWPQFYCVX
    IJVVOYDOVXJYIUWAVWTJVVQVVRVWKVWNVWOUWAVWRJVVQREZVWSVVRMUWAVWRDJHEZVVPREZVXK
    UWADJVVOUYOVWKVXIUUDUWAVXMJJREZVVPREVXKVXLVXNVVPRJYCUUFYJUWAJJVVPVWKVWKVWMU
    UGYKYLUWAVVCUWKHEVWSVVRUWADDUWKUYOUYOVXFYOVVCWIUWKHWAYJUUHYNUUIYMUUJUWAUXPU
    WLJHEZUWLUWNHEZMEUWLUWNVVPMEZMEZVWAUWAUWLJUWNUWAVWLVXHUWLQFYCVXFJUWKUUKOZVW
    KVXJYIUWAVXOUWLVXPVXQMUWAUWLVXSYPUWAVXPJUWNHEZUWKUWNHEZMEVXQUWAJUWKUWNVWKVX
    FVXJUULUWAVXTUWNVYAVVPMUWAUWNVXJYFUWAVYADUWKUWKHEZHEVVPUWAUWKDUWKVXFUYOVXFU
    UMUWAVVOVYBDHUWAUWKVXFUUNYGYQYNYLYNUWAVXRVVQUWKUWNREZMEVWAUWAJUWKUWNVVPVWKV
    XFVXJVWMUUOUWAVVTVYCVVQMUWAVVTJDREZUWKHEVYCLVYDUWKHLDJREZVYDYRDJVBYCUUPUVCY
    JUWAJUWKDVYCVWKVXFUYOUWAVXBUWKUWNRVXGYHUUQYKYGYQYMUURWGUWAUWCNFZUXPNFUXBVUK
    UXRUXSTUWRUYGUWQVUNUWCUXPAXIWMXHUWAAUWLUWOUYNVXSUWAUWOUXMPYOYSUWAUWPUWMUYHH
    EZUWBUXNUWAUWMUYHUXHUYTUGUXOUWAVUFUWPVYGGIZUWAVUFVUEVVFVMUWAUXJVVLUWMNFZBUW
    MGIVUFVYHTUXMUYTUXHUWAAUWLUWQUXGVUNVVNUUSUWOUYHUWMXIWMXHUWAVYGDUWIUCUDZHEZU
    YHHEZUWBGUWAUWMVYKGIZVYGVYLGIZUWAUWMDUWIUWILKEZLUAEZMEZHEZVYKGUWAUYLUWLHEDU
    WIUWLHEZHEUWMVYRUWADUWIUWLUYOUYRVXSYOUWAUYLAUWLHUYPYHUWAVYSVYQDHUWAVYSUWIJH
    EZUWIUWKHEZMEVYQUWAUWIJUWKUYRVWKVXFYIUWAVYTUWIWUAVYPMUWAUWIUYRYPUWAVYPUWIUW
    JHEZLUAEWUAUWAVYOWUBLUAUWAVYOUWJUWIHEZWUBUWAVYOUWIVYEKEZWUCLVYEUWIKYRUUTUWA
    UYQDYTFWUDWUCVGUYRUVAUWIDUVDUQYKUWAUWJUWIUWAUWJUXEPZUYRUVBYLYHUWAUWIUWJLUYR
    WUELQFUWAUVESLBVCUWAUVFSUVGUVHYNYLYGUVIUWAVYQVYJGIZVYRVYKGIZUWAWUFVYJUWIGIZ
    UWAVUGWUFWUHVKVVEUWIUVJUNVMUWAVYQNFVYJNFZUXKVUOWUFWUGTUWAUWIVYPUXDUWAVYONFZ
    UXAVYPNFUWAUXCLYTFWUJUXDUVNUWILUVKUQUOVYOLUPUQUVLUWAUWIUXDVAZVUJVUPVYQVYJDX
    IWMXHXLUWAVYIVYKNFZVVLVVHVYMVYNTUXHUWAUXKWUIWULUSWUKDVYJUTOUYTVVJUWMVYKUYHX
    TWMXHUWAVYLDVYJUYHHEHEZUYLUCUDZUWBUWADVYJUYHUYOUWAVYJWUKPUWAUYHUYTPYOUWAUYQ
    WUNWUMVGUYRUWIUVMUNUWAUYLAUCUYPVFUVOYSWGWGUWAUXBUWBNFVYFBUWCGIZUWGUWHTUWQUX
    OUWRUWABUWBGIWUOAUVPVRZAUWBUWCUVQWMXHUWAAQFUWCBVCUWEUWDVGUYNUWAUWCWUPXQAUVR
    UVSYS $.

  $( The tangent function is greater than or equal to its argument in absolute
     value.  (Contributed by Mario Carneiro, 25-Feb-2015.) $)
  tanabsge $p |- ( A e. ( -u ( _pi / 2 ) (,) ( _pi / 2 ) ) ->
    ( abs ` A ) <_ ( abs ` ( tan ` A ) ) ) $=
    ( co cneg wcel cc0 clt wbr cabs cfv ctan cle wa cr adantr wb sylancr simprd
    syl 0re fveq2d c2 cdiv cioo wceq elioore renegcld ccos csin lt0neg1d biimpa
    cpi eliooord simpld halfpire ltnegcon1 mpbid cxr w3a 0xr rexri elioo2 mp2an
    syl3anbrc sincosq1sgn gt0ne0d retancld tangtx ltled wi ltle sylancl absnidd
    imp cc recnd negnegd negcld tanneg syl2anc eqtr3d absnegd 0red letrd absidd
    wne mpd 3eqtrd 3brtr4d abs0 eqeltri leidi a1i simpr eqtrdi lttri4 mpjao3dan
    tan0 w3o ) AUKUAUBBZCZWSUCBDZAEFGZAHIZAJIZHIZKGAEUDZEAFGZXAXBLZACZXIJIZXCXE
    KXHXIXJXHAXAAMDZXBAWTWSUEZNZUFZXHXIXNXHXIUGIZXHEXIUHIFGZEXOFGZXHXIEWSUCBZDZ
    XPXQLXHXIMDZEXIFGZXIWSFGZXSXNXAXBYAXAAXLUIUJZXHWTAFGZYBXAYDXBXAYDAWSFGZAWTW
    SULZUMNXHWSMDXKYDYBOUNXMWSAUOPUPEUQDZWSUQDZXSXTYAYBUROUSWSUNUTZEWSXIVAVBVCZ
    XIVDRQVEZVFZXHXSXIXJFGYJXIVGRVHZXHAXMXAXBAEKGZXAXKEMDZXBYNVIXLSAEVJVKVMVLXH
    XEXJCZHIXJHIXJXHXDYPHXHXICZJIZXDYPXHYQAJXHAXAAVNDXBXAAXLVONZVPTXHXIVNDXOEWE
    YRYPUDXHAYSVQYKXIVRVSVTTXHXJXHXJYLVOWAXHXJYLXHEXIXJXHWBXNYLXHYAEXIKGZYCXHYO
    XTYAYTVISXNEXIVJPWFYMWCWDWGWHXAXFLZEHIZUUBXCXEKUUBUUBKGUUAUUBUUBEMWISWJWKWL
    UUAAEHXAXFWMZTUUAXDEHUUAXDEJIEUUAAEJUUCTWQWNTWHXAXGLZAXDXCXEKUUDAXDXAXKXGXL
    NZUUDAUUEUUDAUGIZUUDEAUHIFGZEUUFFGZUUDAXRDZUUGUUHLUUDXKXGYEUUIUUEXAXGWMXAYE
    XGXAYDYEYFQNYGYHUUIXKXGYEUROUSYIEWSAVAVBVCZAVDRQVEVFZUUDUUIAXDFGUUJAVGRVHZU
    UDAUUEXAXGEAKGZXAYOXKXGUUMVISXLEAVJPVMZWDUUDXDUUKUUDEAXDUUDWBUUEUUKUUNUULWC
    WDWHXAXKYOXBXFXGWRXLSAEWOVKWP $.

  $( The sine of a number strictly between ` 0 ` and ` _pi ` is positive.
     (Contributed by Paul Chapman, 15-Mar-2008.) $)
  sinq12gt0 $p |- ( A e. ( 0 (,) _pi ) -> 0 < ( sin ` A ) ) $=
    ( cc0 cpi co wcel cr clt wbr csin cfv wb pire c2 cdiv cmul 3ad2ant1 wa wceq
    syl cc cioo w3a cxr 0xr rexri elioo2 mp2an rehalfcl halfpos2 biimpa 3adant3
    ccos 2re 2pos pm3.2i ltdiv1 mp3an23 adantr biimp3a sincosq1lem syl3anc cmin
    resubcl mpan posdif mpan2 bitrd ltsubpos recn picn 2cnne0 divsubdir mp3an13
    wne fveq2d recnd sinhalfpim eqtrd breqtrd resincl recoscl jca axmulgt0 3syl
    wi remulcl sylancr mpani syld mp2and 2cn 2ne0 divcan2 sin2t eqtr3d breqtrrd
    sylbi ) ABCUADEZAFEZBAGHZACGHZUBZBAIJZGHBUCECUCEWRXBKUDCLUEBCAUFUGXBBMAMNDZ
    IJZXDULJZODZODZXCGXBBXEGHZBXFGHZBXHGHZXBXDFEZBXDGHZXDCMNDZGHZXIWSWTXLXAAUHZ
    PWSWTXMXAWSWTXMAUIUJUKWSWTXAXOWSXAXOKZWTWSCFEZMFEZBMGHZQZXQLXSXTUMUNUOZACMU
    PUQURUSXDUTVAXBBCAVBDZMNDZIJZXFGXBYDFEZBYDGHZYDXNGHZBYEGHWSWTYFXAWSYCFEZYFX
    RWSYILCAVCVDZYCUHSPWSWTXAYGWSXAYGKWTWSXABYCGHZYGWSXRXAYKKLACVEVFWSYIYKYGKYJ
    YCUISVGURUSWSWTYHXAWSWTYHWSWTYCCGHZYHWSXRWTYLKLACVHVFWSYIYLYHKZYJYIXRYAYMLY
    BYCCMUPUQSVGUJUKYDUTVAWSWTYEXFRXAWSYEXNXDVBDZIJZXFWSYDYNIWSATEZYDYNRZAVIZCT
    EYPMTEZMBVNZQYQVJVKCAMVLVMSVOWSXDTEZYOXFRWSXDXPVPZXDVQSVRPVSWSWTXIXJQZXKWEX
    AWSUUCBXGGHZXKWSXLXEFEZXFFEZQZUUCUUDWEXPXLUUEUUFXDVTXDWAWBZXEXFWCWDWSXTUUDX
    KUNWSXSXGFEZXTUUDQXKWEUMWSXLUUGUUIXPUUHXEXFWFWDMXGWCWGWHWIPWJWSWTXCXHRXAWSM
    XDODZIJZXCXHWSUUJAIWSYPUUJARZYRYPYSYTUULWKWLAMWMUQSVOWSUUAUUKXHRUUBXDWNSWOP
    WPWQ $.

  $( The sine of a number between ` 0 ` and ` _pi ` is nonnegative.
     (Contributed by Mario Carneiro, 13-May-2014.) $)
  sinq12ge0 $p |- ( A e. ( 0 [,] _pi ) -> 0 <_ ( sin ` A ) ) $=
    ( cc0 cpi co wcel clt wbr csin cfv cle wceq wi cr 0re pire cxr rexr sylancr
    wb 0le0 cicc elicc2i simp1bi w3a cioo elioo2 syl2an sinq12gt0 sylbir 3expib
    wa mp2an resincld ltle syld expd sin0 breqtrri fveq2 breqtrid a1i13 simp2bi
    syl wo leloe mpbid mpjaod sinpi breqtrrid a1i simp3bi sylancl ) ABCUADEZACF
    GZBAHIZJGZACKZVMBAFGZVNVPLBAKZVMVRVNVPVMVRVNUKZBVOFGZVPVMAMEZVTWALVMWBBAJGZ
    ACJGZBCANOUBZUCZWBVRVNWAWBVRVNUDZABCUEDEZWABMEZCMEZWHWGSZNOWIBPECPEWKWJBQCQ
    BCAUFUGULAUHUIUJVCVMWIVOMEWAVPLNVMAWFUMBVOUNRUOUPVMVSVNVPVSBBHIZVOJBBWLJTUQ
    URBAHUSUTVAVMWCVRVSVDZVMWBWCWDWEVBVMWIWBWCWMSNWFBAVERVFVGVQVPLVMVQBCHIZVOJB
    BWNJTVHURACHUSVIVJVMWDVNVQVDZVMWBWCWDWEVKVMWBWJWDWOSWFOACVEVLVFVG $.

  $( The sine of a number strictly between ` _pi ` and ` 2 x. _pi ` is
     negative.  (Contributed by NM, 17-Aug-2008.) $)
  sinq34lt0t $p |- ( A e. ( _pi (,) ( 2 x. _pi ) ) -> ( sin ` A ) < 0 ) $=
    ( cpi c2 cmul co cioo wcel csin cfv cc0 clt cneg cmin cr wb caddc picn pire
    wbr syl elioore addid2i eqcomi 2timesi oveq12i eleq2i wa 0re iooshf mpanr12
    mpan2 bitr4id ibi sinq12gt0 cc wceq sinmpi breqtrd resincld lt0neg1d mpbird
    recnd ) ABCBDEZFEZGZAHIZJKSJVFLZKSVEJABMEZHIZVGKVEVHJBFEGZJVIKSVEVJVEANGZVE
    VJOABVCUAZVKVEAJBPEZBBPEZFEZGZVJVDVOABVMVCVNFVMBBQUBUCBQUDUEUFVKBNGZVJVPOZR
    VKVQUGJNGVQVRUHRABJBUIUJUKULTUMVHUNTVEAUOGVIVGUPVEAVLVBAUQTURVEVFVEAVLUSUTV
    A $.

  $( The cosine of a number strictly between ` -u _pi / 2 ` and ` _pi / 2 ` is
     positive.  (Contributed by Mario Carneiro, 25-Feb-2015.) $)
  cosq14gt0 $p |- ( A e. ( -u ( _pi / 2 ) (,) ( _pi / 2 ) ) ->
                    0 < ( cos ` A ) ) $=
    ( cpi co cioo wcel cc0 cmin cfv clt wbr cr halfpire cxr w3a wb rexri elioo2
    cc picn syl cdiv cneg csin ccos elioore resubcl sylancr neghalfpirx simp3bi
    mp2an posdif sylancl mpbid halfcl ax-mp negcli caddc pidiv2halves subaddrii
    c2 negsubi eqtri simp2bi eqbrtrid pire ltsub23 mp3an13 mpbird 0xr syl3anbrc
    sinq12gt0 wceq recnd sinhalfpim breqtrd ) ABUTUACZUBZVPDCEZFVPAGCZUCHZAUDHZ
    IVRVSFBDCEZFVTIJVRVSKEZFVSIJZVSBIJZWBVRVPKEZAKEZWCLAVQVPUEZVPAUFUGVRAVPIJZW
    DVRWGVQAIJZWIVQMEVPMEVRWGWJWINOUHVPLPVQVPAQUJZUIVRWGWFWIWDOWHLAVPUKULUMVRWE
    VPBGCZAIJZVRWLVQAIVPBVQBREVPRESBUNUOZSVPWNUPBVQUQCBVPGCVPBVPSWNVABVPVPSWNWN
    URUSVBUSVRWGWJWIWKVCVDVRWGWEWMOZWHWFWGBKEWOLVEVPABVFVGTVHFMEBMEWBWCWDWENOVI
    BVEPFBVSQUJVJVSVKTVRAREVTWAVLVRAWHVMAVNTVO $.

  $( The cosine of a number between ` -u _pi / 2 ` and ` _pi / 2 ` is
     nonnegative.  (Contributed by Mario Carneiro, 13-May-2014.) $)
  cosq14ge0 $p |- ( A e. ( -u ( _pi / 2 ) [,] ( _pi / 2 ) ) ->
                    0 <_ ( cos ` A ) ) $=
    ( cpi co cicc wcel cc0 cfv cle wbr cr halfpire elicc2i sylancr wb mpbird cc
    cmin picn subaddrii syl c2 cdiv cneg csin neghalfpire simp1bi subge0 halfcl
    ccos resubcl simp3bi ax-mp negcli caddc negsubi pidiv2halves eqtri eqbrtrid
    simp2bi pire suble mp3an13 0re syl3anbrc sinq12ge0 recnd sinhalfpim breqtrd
    wceq ) ABUAUBCZUCZVJDCEZFVJAQCZUDGZAUIGZHVLVMFBDCEZFVNHIVLVMJEZFVMHIZVMBHIZ
    VPVLVJJEZAJEZVQKVLWAVKAHIZAVJHIZVKVJAUEKLZUFZVJAUJMVLVRWCVLWAWBWCWDUKVLVTWA
    VRWCNKWEVJAUGMOVLVSVJBQCZAHIZVLWFVKAHVJBVKBPEVJPERBUHULZRVJWHUMBVKUNCBVJQCV
    JBVJRWHUOBVJVJRWHWHUPSUQSVLWAWBWCWDUSURVLWAVSWGNZWEVTWABJEWIKUTVJABVAVBTOFB
    VMVCUTLVDVMVETVLAPEVNVOVIVLAWEVFAVGTVH $.

  $( Complementarity of the sine and cosine functions in the first quadrant.
     (Contributed by Paul Chapman, 25-Jan-2008.) $)
  sincosq1eq $p |- ( ( A e. CC /\ B e. CC /\ ( A + B ) = 1 ) ->
           ( sin ` ( A x. ( _pi / 2 ) ) ) = ( cos ` ( B x. ( _pi / 2 ) ) ) ) $=
    ( cc wcel caddc co c1 wceq w3a cpi c2 cdiv cmul cmin ccos cfv mulcl 3adant3
    mpan2 eqtr3d csin picn 2cn 2ne0 divcli coshalfpim syl 3ad2ant1 adddir oveq1
    mp3an3 mulid2i eqtrdi 3ad2ant3 wb subadd mp3an3an mpbird fveq2d ) ACDZBCDZA
    BEFZGHZIZJKLFZAVEMFZNFZOPZVFUAPZBVEMFZOPUTVAVHVIHZVCUTVFCDZVKUTVECDZVLJKUBU
    CUDUEZAVEQSZVFUFUGUHVDVGVJOVDVGVJHZVFVJEFZVEHZVDVBVEMFZVQVEUTVAVSVQHZVCUTVA
    VMVTVNABVEUIUKRVCUTVSVEHVAVCVSGVEMFVEVBGVEMUJVEVNULUMUNTUTVAVPVRUOZVCVMUTVL
    VAVJCDZWAVNVOVAVMWBVNBVEQSVEVFVJUPUQRURUST $.

  $( The sine and cosine of ` _pi / 4 ` .  (Contributed by Paul Chapman,
     25-Jan-2008.) $)
  sincos4thpi $p |- ( ( sin ` ( _pi / 4 ) ) = ( 1 / ( sqrt ` 2 ) ) /\
                      ( cos ` ( _pi / 4 ) ) = ( 1 / ( sqrt ` 2 ) ) ) $=
    ( cpi c4 cdiv co csin cfv c1 c2 csqrt wceq cmul cc wcel ax-mp pire 2ne0 cc0
    recni wbr clt ccos caddc halfcn ax-1cn 2halves sincosq1eq oveq2i divmuldivi
    mp3an 2cn mulid2i 2t2e4 oveq12i eqtri fveq2i recidi oveq1i redivcli mulassi
    2re 3eqtr3i mulcli sin2t sinhalfpi 4re 4ne0 resincl remulcli 0le2 sqrtmulii
    cr msqge0i sqrt1 3eqtr3ri wne wa cle sqrtcli sqrt2re sqrt00 mp2an necon3bii
    wb mpbir pm3.2i divmul2 0re cioc 4pos divgt0ii 1re pigt2lt4 simpri ltdiv1ii
    mpbi dividi breqtri ltleii cxr w3a elioc2 mpbir3an sin01gt0 sqrtmsqi eqtr2i
    pipos 0xr ) ABCDZEFZGHIFZCDZJXHUAFZXKJXKXIXIKDZIFZXIXKXNJZGXJXNKDZJZHXMKDZI
    FGIFXPGXRGIHGHCDZAHCDZKDZEFZYBKDZKDHYBYAUAFZKDZKDZXRGYCYEHKYBYDYBKXSLMZYGXS
    XSUBDGJZYBYDJUCUCGLMZYHUDGUENXSXSUFUIZUGUGYCXMHKYBXIYBXIKYAXHEYAGAKDZHHKDZC
    DXHGHAHUDUJAORZUJPPUHYKAYLBCAYMUKULUMUNZUOZYOUMUGHYAKDZEFZXTEFYFGYPXTEHXSKD
    ZXTKDGXTKDYPXTYRGXTKHUJPUPUQHXSXTUJUCXTAHOUTPURRZUSXTYSUKVAUOYALMYQYFJXSXTU
    CYSVBYAVCNVDVAVAUOHXMUTXIXIXHVKMZXIVKMABOVEVFURZXHVGNZUUBVHZVIXIUUBVLZVJVMV
    NYIXNLMXJLMZXJQVOZVPXOXQWCUDXNQXMVQSXNVKMUUDXMUUCVRNRUUEUUFXJVSRUUFHQVOPXJQ
    HQHVKMQHVQSXJQJHQJWCUTVIHVTWAWBWDWEGXNXJWFUIWDZQXIVQSXNXIJQXIWGUUBXHQGWHDMZ
    QXITSUUHYTQXHTSZXHGVQSZUUAABOVEXFWIWJXHGUUAWKXHBBCDZGTABTSZXHUUKTSHATSUULWL
    WMABBOVEVEWIWNWOBBVERVFWPWQWRQWSMGVKMUUHYTUUIUUJWTWCXGWKQGXHXAWAXBXHXCNWRXI
    UUBXDNZXEXKXIXLXKXNXIUUGUUMUNYBYDXIXLYJYOYAXHUAYNUOVAXEWE $.

  $( The tangent of ` _pi / 4 ` .  (Contributed by Mario Carneiro,
     5-Apr-2015.) $)
  tan4thpi $p |- ( tan ` ( _pi / 4 ) ) = 1 $=
    ( cpi c4 cdiv co ctan cfv csin ccos c1 c2 cc wcel cc0 wne mp2an sincos4thpi
    wceq cr recni eqnetri csqrt cn pire 4nn nndivre simpri sqrt2re cexp cle wbr
    2re 0le2 resqrtth 2ne0 sqne0 ax-mp mpbi recne0 tanval simpli oveq12i reccli
    wb dividi 3eqtri ) ABCDZEFZVFGFZVFHFZCDZIJUAFZCDZVLCDIVFKLVIMNVGVJQVFARLBUB
    LVFRLUCUDABUEOSVIVLMVHVLQZVIVLQZPUFZVKKLZVKMNZVLMNVKUGSZVKJUHDZMNZVQVSJMJRL
    MJUIUJVSJQUKULJUMOUNTVPVTVQVCVRVKUOUPUQZVKUROZTVFUSOVHVLVIVLCVMVNPUTVOVAVLV
    KVRWAVBWBVDVE $.

  $( The sine and cosine of ` _pi / 6 ` .  (Contributed by Paul Chapman,
     25-Jan-2008.)  (Revised by Wolf Lammen, 24-Sep-2020.) $)
  sincos6thpi $p |- ( ( sin ` ( _pi / 6 ) ) = ( 1 / 2 ) /\
                      ( cos ` ( _pi / 6 ) ) = ( ( sqrt ` 3 ) / 2 ) ) $=
    ( cpi c6 cdiv co cfv c1 c2 wceq c3 2cn cc wcel ax-mp cmul cr cc0 clt wbr c4
    cexp csin ccos csqrt pire 6re gt0ne0ii redivcli recni sincl recoscl mulassi
    6pos 2ne0 sin2t eqtr4i caddc 3cn divcli reccli oveq1i dividi ax-1cn divdiri
    3ne0 df-3 3eqtr3ri sincosq1eq mp3an picn divmuldivi 3t2e6 oveq2i 6cn 3eqtri
    divassi fveq2i eqtr3i mulid2i oveq12i eqtri wne wa wb mulcli pipos divgt0ii
    cioo 2lt6 2re 2pos pm3.2i ltdiv2 mpbi w3a halfpire rexr elioo2 syl2an mp2an
    0re cxr mpbir3an sincosq1sgn simpri mulcan2 mvllmuli 3re 3pos sqrtpclii cle
    sqdivi ltleii sqsqrti sq2 sqrtge0i divge0i sqrtsqi cmin 4cn divsubdir 4m1e3
    4ne0 sqcli sqrecii sincossq subaddrii ) ABCDZUAEZFGCDZHYGUBEZIUCEZGCDZHGYHF
    JYGKLZYHKLYGABUDUEBUEULUFZUGZUHZYGUIMZUMGYHNDZYJNDZFYJNDZHZYRFHZYSYJYTYSGYG
    NDZUAEZYJYSGYHYJNDNDZUUDGYHYJJYQYJYGOLZYJOLYOYGUJMZUHZUKYMUUDUUEHYPYGUNMUOF
    ICDZAGCDZNDZUBEZUUDYJGICDZUUJNDZUAEZUULUUDUUMKLUUIKLUUMUUIUPDZFHUUOUULHGIJU
    QVDURIUQVDUSIICDGFUPDZICDFUUPIUUQICVEUTIUQVDVAGFIJVBUQVDVCVFUUMUUIVGVHUUNUU
    CUAUUNGANDZIGNDZCDUURBCDUUCGIAGJUQVIJVDUMVJUUSBUURCVKVLGABJVIVMYNVOVNVPVQUU
    KYGUBUUKFANDZUUSCDYGFIAGVBUQVIJVDUMVJUUTAUUSBCAVIVRVKVSVTVPVQVTYJUUHVRUOYRK
    LFKLZYJKLZYJPWAZWBUUAUUBWCGYHJYQWDVBUVBUVCUUHYJUUGPYHQRZPYJQRZYGPUUJWGDLZUV
    DUVEWBUVFUUFPYGQRZYGUUJQRZYOABUDUEWEULWFGBQRZUVHWHGOLZPGQRZWBBOLZPBQRZWBAOL
    ZPAQRZWBUVIUVHWCUVJUVKWIWJWKUVLUVMUEULWKUVNUVOUDWEWKGBAWLVHWMPOLZUUJOLZUVFU
    UFUVGUVHWNWCZWTWOUVPPXALUUJXALUVRUVQPWPUUJWPPUUJYGWQWRWSXBYGXCMXDZUFWKYRFYJ
    XEVHWMXFZYLGTDZUCEZISCDZUCEZYLYJUWAUWCUCUWAYKGTDZGGTDZCDUWCYKGYKIXGXHXIZUHJ
    UMXKUWEIUWFSCPIXJRZUWEIHPIWTXGXHXLZIXGXMMXNVSVTVPPYLXJRZUWBYLHPYKXJRZUVKUWJ
    UWHUWKUWIIXGXOMWJYKGUWGWIXPWSYLYKGUWGWIUMUGXQMYJGTDZUCEZUWDYJUWLUWCUCSSCDZF
    SCDZXRDZFUWOXRDUWCUWLUWNFUWOXRSXSYBVAUTSFXRDZSCDZUWPUWCSKLZUVAUWSSPWAZWBUWR
    UWPHXSVBUWSUWTXSYBWKSFSXTVHUWQISCYAUTVQFUWOUWLVBSXSYBUSYJUUHYCYHGTDZUWLUPDZ
    UWOUWLUPDFUXAUWOUWLUPUXAYIGTDFUWFCDUWOYHYIGTUVTUTGJUMYDUWFSFCXNVLVNUTYMUXBF
    HYPYGYEMVQYFVFVPPYJXJRUWMYJHPYJWTUUGUVSXLYJUUGXQMVQVFWK $.

  $( The sine and cosine of ` _pi / 3 ` .  (Contributed by Mario Carneiro,
     21-May-2016.) $)
  sincos3rdpi $p |- ( ( sin ` ( _pi / 3 ) ) = ( ( sqrt ` 3 ) / 2 ) /\
                      ( cos ` ( _pi / 3 ) ) = ( 1 / 2 ) ) $=
    ( cpi c3 cdiv co csin cfv c2 wceq ccos c1 cmin c6 cmul picn 2cn 2ne0 reccli
    3cn 3ne0 divreci csqrt subdii halfthird oveq2i eqtr3i oveq12i nnne0i fveq2i
    6cn 6nn 3eqtr4i wcel divcli coshalfpim ax-mp sincos6thpi 3eqtr3i sinhalfpim
    cc simpri simpli pm3.2i ) ABCDZEFZBUAFGCDZHVCIFZJGCDZHAGCDZVCKDZIFZALCDZIFZ
    VDVEVIVKIAVGMDZAJBCDZMDZKDZAJLCDZMDZVIVKAVGVNKDZMDVPVRAVGVNNGOPQBRSQUBVSVQA
    MUCUDUEVHVMVCVOKAGNOPTABNRSTUFALNUILUJUGTUKZUHVCUSULZVJVDHABNRSUMZVCUNUOVKE
    FZVGHZVLVEHZUPUTUQVIEFZWCVFVGVIVKEVTUHWAWFVFHWBVCURUOWDWEUPVAUQVB $.

  $( ` _pi ` is greater than 3.  (Contributed by Brendan Leahy,
     21-Aug-2020.) $)
  pigt3 $p |- 3 < _pi $=
    ( c3 cpi clt wbr c6 cdiv co cfv c1 c2 cmul wceq cc wcel cc0 wne wa crp pire
    elrpii csin ccos csqrt sincos6thpi simpli ax-1cn 2cnne0 3ne0 pm3.2i divcan5
    3cn mp3an 3t1e3 3t2e6 oveq12i 3eqtr2i pipos 6pos rpdivcl mp2an sinltx ax-mp
    6re eqbrtrri 3re ltdiv1ii mpbir ) ABCDAEFGZBEFGZCDVIUAHZVHVICVJIJFGZAIKGZAJ
    KGZFGZVHVJVKLVIUBHAUCHJFGLUDUEIMNJMNJOPQAMNZAOPZQVNVKLUFUGVOVPUKUHUIIJAUJUL
    VLAVMEFUMUNUOUPVIRNZVJVICDBRNERNVQBSUQTEVCURTBEUSUTVIVAVBVDABEVESVCURVFVG
    $.

  $( ` _pi ` is greater than or equal to 3.  (Contributed by Mario Carneiro,
     21-May-2016.) $)
  pige3 $p |- 3 <_ _pi $=
    ( c3 cpi 3re pire pigt3 ltleii ) ABCDEF $.

  ${
    $d x y $.
    $( Alternate proof of ~ pige3 .  This proof is based on the geometric
       observation that a hexagon of unit side length has perimeter 6, which is
       less than the unit-radius circumcircle, of perimeter ` 2 _pi ` .  We
       translate this to algebra by looking at the function ` _e ^ ( _i x ) `
       as ` x ` goes from ` 0 ` to ` _pi / 3 ` ; it moves at unit speed and
       travels distance ` 1 ` , hence ` 1 <_ _pi / 3 ` .  (Contributed by Mario
       Carneiro, 21-May-2016.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    pige3ALT $p |- 3 <_ _pi $=
      ( vx c1 c3 cmul co cpi cle ci ce cfv cabs cc0 wtru wcel ax-mp cr a1i wceq
      cc ax-icn vy 3cn mulid2i wbr cdiv cneg cicc cv cmpt cmin tru cxr 0xr pirp
      crp 3rp rpdivcl mp2an rpxr rpge0 lbicc2 mp3an ubicc2 pm3.2i 0re pire 3ne0
      wa 3re redivcli ccncf efcn cres wss iccssre ax-resscn sstri resmpt wf cdv
      mp1i cdm ssidd simpr mulcl sylancr fmpttd cpr cnelprrecn ax-1cn dvmptcmul
      dvmptid mulid1i mpteq2i eqtrdi dmeqd elexi eqid dmmpti dvcn rescncf mpsyl
      syl31anc eqeltrrd cncfmpt1f cioo crn ctg ccnfld ctopn reelprrecn recn syl
      efcl sylan2 sylancl ctopon cnfldtopon toponmax cin df-ss sylib adantl eff
      dvef feqmptd oveq2d 3eqtr3a fveq2 dvmptco 1re oveq2 fveq2d fvmpt3i absefi
      mulcli c2 eqtr3i fveq2i 3brtr3i dvmptres3 tgioo2 cnt iccntr fveq1d oveq1d
      dvmptres2 ovex sylan9eq ioossre sselda recnd absmul absi oveq12d eqbrtrdi
      3eqtrd 1le1 dvlip it0e0 fvex oveq12i recni negicn caddc ccos cosval csqrt
      csin sincos3rdpi simpri addcli 2ne0 div11i mpbi subaddrii mulneg12 3eqtri
      ef0 2cn absnegi df-neg rprege0 absid mp2b oveq2i renegcli clt wb lemuldiv
      3pos mpbir eqbrtrri ) BCDEZCFGCUBUCUWNFGUDZBFCUEEZGUDZHUWPUFZDEZIJZKJZBUW
      PDEZBUWPGLALUWPUGEZHAUHZDEZIJZUIZJZUWPUXGJZUJEZKJZBLUWPUJEZKJZDEZUXAUXBGM
      LUXCNZUWPUXCNZVHUXKUXNGUDUKUXOUXPLULNZUWPULNZLUWPGUDZUXOUMUWPUONZUXRFUONC
      UONUXTUNUPFCUQURZUWPUSOZUXTUXSUYAUWPUTOZLUWPVAVBZUXQUXRUXSUXPUMUYBUYCLUWP
      VCVBZVDMUALUWPUXGBLUWPLPNZMVEQUWPPNZMFCVFVIVGVJZQZMAUXEIUXCISSVKEZNMVLQMA
      SUXEUIZUXCVMZAUXCUXEUIZUXCSVKEZUXCSVNZUYLUYMRMUXCPSUYFUYGUXCPVNZVEUYHLUWP
      VOURZVPVQZASUXCUXEVRWAUYOMUYKUYJNZUYLUYNNUYRMSSVNZSSUYKVSUYTSUYKVTEZWBZSR
      UYSMSWCZMASUXESMUXDSNZVHZHSNZVUDUXESNZTMVUDWDZHUXDWEWFZWGVUCMVUBASHUIZWBS
      MVUAVUJMVUAASHBDEZUIVUJMAUXDBHSSSSPSWHZNMWIQZVUHBSNVUEWJQMASVUMWLVUFMTQWK
      ASVUKHHTWMWNWOZWPASHVUJHSTWQVUJWRWSWOSSUYKWTXCSSUXCUYKXAXBXDXEMPUXGVTEZWB
      ALUWPXFEZUXFHDEZUIZWBVUPMVUOVURMAUXFVUQPXFXGXHJZXIXJJZSPVUPUXCPVULNMXKQZU
      XDPNZMVUDUXFSNZUXDXLZVUEVUGVVCVUIUXEXNXMZXOVVBMVUDVUQSNZVVDVUEVVCVUFVVFVV
      ETUXFHWEXPZXOMAUXFVUQPVUTSSPVUTWRZVVAVUTSXQJNSVUTNMVUTVVHXRSVUTXSWAMPSVNZ
      PSXTPRVVIMVPQPSYAYBVVEVVGMAUAUXEHUAUHZIJZVVKSSUXFUXFSSSSVUMVUMVUIVUFVUETQ
      VVJSNZVVKSNMVVJXNYCZVVMVUNMSIVTEISUASVVKUIZVTEVVNYEMIVVNSVTMUASSISSIVSMYD
      QYFZYGVVOYHVVJUXEIYIZVVPYJUUAUYPMUYQQVUTVVHUUBVVHMUYFUYGUXCVUSUUCJJVUPRVE
      UYILUWPUUDWFUUGZWPAVUPVUQVURUXFHDUUHZVURWRZWSWOBPNZMYKQMVVJVUPNZVHZVVJVUO
      JZKJZBBGVWBVWDHVVJDEZIJZHDEZKJZVWFKJZHKJZDEZBVWBVWCVWGKMVWAVWCVVJVURJVWGM
      VVJVUOVURVVQUUEAVVJVUQVWGVUPVURUXDVVJRZUXFVWFHDVWLUXEVWEIUXDVVJHDYLYMUUFV
      VSVVRYNUUIYMVWBVWFSNZVUFVWHVWKRVWBVWESNZVWMVWBVUFVVLVWNTVWBVVJMVUPPVVJVUP
      PVNMLUWPUUJQUUKZUULHVVJWEWFVWEXNXMTVWFHUUMXPVWBVWKBBDEBVWBVWIBVWJBDVWBVVJ
      PNVWIBRVWOVVJYOXMVWJBRVWBUUNQUUOBWJWMWOUUQUURUUPUUSURUXJUWTKUXJBHUWPDEZIJ
      ZUJEHUFZUWPDEZIJZUWTUXHBUXIVWQUJUXOUXHBRUYDALUXFBUXCUXGUXDLRZUXFLIJBVXAUX
      ELIVXAUXEHLDELUXDLHDYLUUTWOYMUVSWOUXGWRZUXEIUVAZYNOUXPUXIVWQRUYEAUWPUXFVW
      QUXCUXGUXDUWPRUXEVWPIUXDUWPHDYLYMVXBVXCYNOUVBBVWQVWTWJVWPSNVWQSNHUWPTUWPU
      YHUVCZYPVWPXNOZVWSSNVWTSNVWRUWPUVDVXDYPVWSXNOZVWQVWTUVEEZYQUEEZBYQUEEZRVX
      GBRUWPUVFJZVXHVXIUWPSNZVXJVXHRVXDUWPUVGOUWPUVIJCUVHJYQUEERVXJVXIRUVJUVKYR
      VXGBYQVWQVWTVXEVXFUVLWJUVTUVMUVNUVOUVPVWSUWSIVUFVXKVWSUWSRTVXDHUWPUVQURYS
      UVRYSUXMUWPBDUWPKJZUXMUWPUWRKJVXLUXMUWPVXDUWAUWRUXLKUWPUWBYSYRUXTUYGUXSVH
      VXLUWPRUYAUWPUWCUWPUWDUWEYRUWFYTUWRPNUXABRUWPUYHUWGUWRYOOUWPVXDUCYTVVTFPN
      CPNZLCUWHUDZVHUWOUWQUWIYKVFVXMVXNVIUWKVDBFCUWJVBUWLUWM $.
  $}

  $( The absolute value of sine has period ` _pi ` .  (Contributed by NM,
     17-Aug-2008.) $)
  abssinper $p |- ( ( A e. CC /\ K e. ZZ )
      -> ( abs ` ( sin ` ( A + ( K x. _pi ) ) ) ) = ( abs ` ( sin ` A ) ) ) $=
    ( cc wcel wa c2 co cpi cmul caddc csin cfv cabs wceq 2cn picn mp3an23 eqtrd
    c1 syl cz cdiv zcn halfcl mulass cc0 wne oveq1d eqtr3d adantl oveq2d fveq2d
    2ne0 divcan1 eqcomd adantr sinper adantlr cneg cmin peano2cn mulcli sylancl
    mulcl mp3an2 sylan2 ax-1cn adddir mulid2i oveq2i eqtr2di eqtr2d mpan2 pncan
    subadd23 subcl sylan sinmpi ad2antrr sincl absnegd wo zeo mpjaodan ) ACDZBU
    ADZEZBFUBGZUADZABHIGZJGZKLZMLZAKLZMLZNBSJGZFUBGZUADZWGWIEZWLWNMWSWLAWHFHIGZ
    IGZJGZKLZWNWGWLXCNWIWGXCWLWGXBWKKWGXAWJAJWFXAWJNZWEWFBCDZXDBUCZXEWHFIGZHIGZ
    XAWJXEWHCDZXHXANZBUDXIFCDZHCDZXJOPWHFHUEQTXEXGBHIXEXKFUFUGZXGBNOUMBFUNQUHUI
    TUJUKULUOUPWEWIXCWNNWFAWHUQURRULWGWREZWMWNUSZMLZWOXNWLXOMXNWLAHUTGZWQWTIGZJ
    GZKLZXOWGWLXTNWRWGWKXSKWFWEXEWKXSNXFWEXEEZXSAXRHUTGZJGZWKXEWEXRCDZXSYCNZXEW
    QCDZWTCDYDXEWPCDZYFBVAZWPUDTZFHOPVBWQWTVDVCWEXLYDYEPAHXRVOVEVFYAYBWJAJXEYBW
    JNWEXEYBWJHJGZHUTGZWJXEXRYJHUTXEYJWQFIGZHIGZXRXEYMWJSHIGZJGZYJXEYMWPHIGZYOX
    EYLWPHIXEYGYLWPNZYHYGXKXMYQOUMWPFUNQTUHXESCDXLYPYONVGPBSHVHQRYNHWJJHPVIVJVK
    XEYFYMXRNZYIYFXKXLYROPWQFHUEQTVLUHXEWJCDZXLYKWJNXEXLYSPBHVDVMPWJHVNVCRUJUKV
    LVFULUPXNXTXQKLZXOWEWRXTYTNZWFWEXQCDZWRUUAWEXLUUBPAHVPVMXQWQUQVQURWEYTXONWF
    WRAVRVSRRULWEXPWONWFWRWEWNAVTWAVSRWFWIWRWBWEBWCUJWD $.

  $( The sine of an integer multiple of ` _pi ` is 0.  (Contributed by NM,
     11-Aug-2008.) $)
  sinkpi $p |- ( K e. ZZ -> ( sin ` ( K x. _pi ) ) = 0 ) $=
    ( cz wcel cc0 cpi cmul co caddc csin cfv cc zcn picn sylancl addid2d fveq2d
    mulcl 0cn addcl cabs sylancr sincld wceq abssinper mpan fveq2i eqtri eqtrdi
    sin0 abs0 abs00d eqtr3d ) ABCZDAEFGZHGZIJZUNIJDUMUOUNIUMUNUMAKCEKCUNKCZALMA
    EQNZOPUMUPUMUOUMDKCZUQUOKCRURDUNSUAUBUMUPTJZDIJZTJZDUSUMUTVBUCRDAUDUEVBDTJD
    VADTUIUFUJUGUHUKUL $.

  $( The absolute value of the cosine of an integer multiple of ` _pi ` is 1.
     (Contributed by NM, 19-Aug-2008.) $)
  coskpi $p |- ( K e. ZZ -> ( abs ` ( cos ` ( K x. _pi ) ) ) = 1 ) $=
    ( wcel cpi cmul co ccos cfv cabs c1 c2 cexp cc 2cn mp3an23 syl cr wb ax-1cn
    wceq mpbid cz caddc cmin zcn picn mul12 fveq2d cos2kpi pire remulcl sylancl
    recnd cos2t 3eqtr3rd recoscld sqcld mulcl sylancr subadd 2t1e2 df-2 eqtr3di
    zre eqtr2i cc0 wne wa 2cnne0 mulcan sq1 eqtr4di 1re sqabs abs1 eqtrdi ) AUA
    BZACDEZFGZHGZIHGZIVPVRJKEZIJKEZSZVSVTSZVPWAIWBVPJWADEZJIDEZSZWAISZVPIIUBEZW
    EWFVPWEIUCEZISZWIWESZVPAJCDEDEZFGJVQDEZFGZIWJVPWMWNFVPALBZWMWNSZAUDWPJLBZCL
    BWQMUEAJCUFNOUGAUHVPVQLBWOWJSVPVQVPAPBCPBVQPBAVCUIACUJUKZULVQUMOUNVPWELBZWK
    WLQZVPWRWALBZWTMVPVRVPVRVPVQWSUOZULUPZJWAUQURWTILBZXEXARRWEIIUSNOTWFJWIUTVA
    VDVBVPXBWGWHQZXDXBXEWRJVEVFVGXFRVHWAIJVINOTVJVKVPVRPBIPBWCWDQXCVLVRIVMUKTVN
    VO $.

  $( A complex number whose sine is zero is an integer multiple of ` _pi ` .
     (Contributed by NM, 17-Aug-2008.)  (Revised by Mario Carneiro,
     10-May-2014.) $)
  sineq0 $p |- ( A e. CC -> ( ( sin ` A ) = 0 <-> ( A / _pi ) e. ZZ ) ) $=
    ( cc wcel csin cfv cc0 wceq cpi co cabs cmul caddc cr ci c2 ce c1 wb fveq2d
    wbr cdiv cz wa cmo clt wn cfl cneg cmin crp sinval eqeq1d ax-icn mulcl mpan
    syl negicn subcld wne 2mulicn 2muline0 diveq0 mp3an23 subeq0ad 3bitrd oveq2
    mul12 mp3an12 2timesd eqtrd efadd syl2anc eqtr2d negidi oveq1i adddir mul02
    efcl 2cn 3eqtr3a eqtrdi eqtr3d eqeq12d fveq2 syl6bi syl5 sylbid abs1 eqeq2i
    ef0 2re 2ne0 absefib bitr2d syl5bb sylibd imp pirp modval sylancl picn pire
    mulre pipos gt0ne0ii redivcl flcld zcnd sylancr negsub syldan mulcom negeqd
    mulneg1 eqtr4d oveq2d 3eqtr2d znegcld abssinper simpr abs0 cioo modcl modlt
    3eqtrd jca biantrurd w3a 0re rexr elioo2 syl2an mp2an 3anan32 bitri bitr4di
    cxr cle mpd mpbid sinq12gt0 elioore resincld ltle absidd breqtrrd ltne syl6
    wi necon2bd modge0 leloe ord eqcomd mod0 divcan1 sinkpi sylan9req impbida
    wo ) ABCZADEZFGZAHUAIZUBCZUVAUVCUCZAHUDIZFGZUVEUVFFUVGUVFFUVGUETZUFZFUVGGZU
    VFUVGDEZJEZFGUVJUVFUVMFJEZFUVFUVMAUVDUGEZUHZHKIZLIZDEZJEZUVBJEZUVNUVFUVLUVS
    JUVFUVGUVRDUVFUVGAHUVOKIZUIIZAUWBUHZLIZUVRUVFAMCZHUJCZUVGUWCGUVAUVCUWFUVAUV
    CNOAKIZKIZPEZJEZQJEZGZUWFUVAUVCNAKIZPEZNUHZAKIZPEZGZUWMUVAUVCUWOUWRUIIZONKI
    ZUAIZFGZUWTFGZUWSUVAUVBUXBFAUKULUVAUWTBCZUXCUXDRZUVAUWOUWRUVAUWNBCZUWOBCNBC
    ZUVAUXGUMNAUNUOZUWNVRUPZUVAUWQBCZUWRBCUWPBCZUVAUXKUQUWPAUNUOZUWQVRUPZURUXEU
    XABCUXAFUSUXFUTVAUWTUXAVBVCUPUVAUWOUWRUXJUXNVDVEUWSUWOUWOKIZUWOUWRKIZGZUVAU
    WMUWOUWRUWOKVFUVAUXQUWJQGUWMUVAUXOUWJUXPQUVAUWJUWNUWNLIZPEZUXOUVAUWIUXRPUVA
    UWIOUWNKIZUXRUXHOBCZUVAUWIUXTGUMVSNOAVGVHUVAUWNUXIVIVJSUVAUXGUXGUXSUXOGUXIU
    XIUWNUWNVKVLVMUVAUWNUWQLIZPEZUXPQUVAUXGUXKUYCUXPGUXIUXMUWNUWQVKVLUVAUYCFPEQ
    UVAUYBFPUVANUWPLIZAKIZFAKIUYBFUYDFAKNUMVNVOUXHUXLUVAUYEUYBGUMUQNUWPAVPVHAVQ
    VTSWJWAWBWCUWJQJWDWEWFWGUWMUWKQGZUVAUWFUWLQUWKWHWIUVAUWFUWHMCZUYFUVAOMCOFUS
    UWFUYGRWKWLAOXCVCUVAUWHBCZUYGUYFRUYAUVAUYHVSOAUNUOUWHWMUPWNWOWPWQZWRAHWSWTU
    VAUVCUWBBCZUWEUWCGUVFHBCZUVOBCZUYJXAUVFUVOUVFUVDUVFUWFUVDMCZUYIUWFHMCZHFUSZ
    UYMXBHXBXDXEZAHXFVCUPXGZXHZHUVOUNXIAUWBXJXKUVFUWDUVQALUVFUWDUVOHKIZUHZUVQUV
    FUWBUYSUVFUYKUYLUWBUYSGXAUYRHUVOXLXIXMUVFUYLUYKUVQUYTGUYRXAUVOHXNWTXOXPXQSS
    UVAUVCUVPUBCUVTUWAGUVFUVOUYQXRAUVPXSXKUVFUVBFJUVAUVCXTSYEYAWAUVFUVIUVMFUVFU
    VIFUVMUETZUVMFUSZUVFUVIUVGFHYBICZVUAUVFUVIUVGMCZUVGHUETZUCZUVIUCZVUCUVFVUFU
    VIUVFVUDVUEUVFUWFUWGVUDUYIWRAHYCWTZUVFUWFUWGVUEUYIWRAHYDWTYFYGVUCVUDUVIVUEY
    HZVUGFMCZUYNVUCVUIRZYIXBVUJFYQCHYQCVUKUYNFYJHYJFHUVGYKYLYMVUDUVIVUEYNYOYPVU
    CFUVLUVMUEUVGUUAZVUCUVLVUCUVGUVGFHUUBUUCZVUCFUVLUETZFUVLYRTZVULVUCVUJUVLMCV
    UNVUOUUIYIVUMFUVLUUDXIYSUUEUUFWEVUJVUAVUBYIFUVMUUGUOUUHUUJYSUVFUVIUVKUVFFUV
    GYRTZUVIUVKUUTZUVFUWFUWGVUPUYIWRAHUUKWTUVFVUJVUDVUPVUQRYIVUHFUVGUULXIYTUUMY
    SUUNUVFUWFUWGUVHUVERUYIWRAHUUOWTYTUVAUVEUVBUVDHKIZDEFUVAVURADUVAUYKUYOVURAG
    XAUYPAHUUPVCSUVDUUQUURUUS $.

  $( A complex number whose cosine is one is an integer multiple of ` 2 _pi ` .
     (Contributed by Mario Carneiro, 12-May-2014.) $)
  coseq1 $p |- ( A e. CC -> ( ( cos ` A ) = 1 <->
                 ( A / ( 2 x. _pi ) ) e. ZZ ) ) $=
    ( cc wcel ccos cfv c1 wceq c2 cdiv co cc0 cpi cz cmul cmin wne 2cn 2ne0 syl
    wb csin cexp divcan2 mp3an23 fveq2d halfcl eqtr3d eqeq1d sincld sqcld mulcl
    cos2tsin sylancr ax-1cn subsub23 mp3an13 eqcom 1m1e0 eqeq2i bitri bitrdi wo
    bitrd mul0or wn neii biorf ax-mp bitr4di sqeq0 3bitrd sineq0 wa pm3.2i picn
    pire pipos gt0ne0ii divdiv1 eleq1d ) ABCZADEZFGZAHIJZUAEZKGZWDLIJZMCZAHLNJI
    JZMCWAWCHWEHUBJZNJZKGZWJKGZWFWAWCFWKOJZFGZWLWAWBWNFWAHWDNJZDEZWBWNWAWPADWAH
    BCZHKPZWPAGQRAHUCUDUEWAWDBCZWQWNGAUFZWDULSUGUHWAWOFFOJZWKGZWLWAWKBCZWOXCTZW
    AWRWJBCZXDQWAWEWAWDXAUIZUJZHWJUKUMFBCZXDXIXEUNUNFWKFUOUPSXCWKXBGWLXBWKUQXBK
    WKURUSUTVAVCWAWLHKGZWMVBZWMWAWRXFWLXKTQXHHWJVDUMXJVEWMXKTHKRVFXJWMVGVHVIWAW
    EBCWMWFTXGWEVJSVKWAWTWFWHTXAWDVLSWAWGWIMWAWRWSVMLBCZLKPZVMWGWIGWRWSQRVNXLXM
    VOLVPVQVRVNAHLVSUDVTVK $.

  $( Cosine is less than one between zero and ` 2 x. _pi ` .  (Contributed by
     Jim Kingdon, 23-Mar-2024.) $)
  cos02pilt1 $p |- ( A e. ( 0 (,) ( 2 x. _pi ) ) -> ( cos ` A ) < 1 ) $=
    ( cc0 c2 cpi co wcel c1 cr cle wbr syl cdiv cz clt a1i cxr mp2an crp recnd
    wb cmul cioo ccos cfv elioore recoscld 1red cneg cosbnd simprd caddc wn 0zd
    wceq 2re pire remulcli w3a 0xr rexri elioo2 simp2bi pirp rpmulcl rpgt0 mp1i
    2rp divgt0d simp3bi ltdiv1dd gt0ne0d dividd breqtrd 0p1e1 breqtrrdi syl3anc
    btwnnz cc coseq1 mtbird neqned necomd leneltd ) ABCDUAEZUBEFZAUCUDZGWEAABWD
    UEZUFWEUGWEAHFZWFGIJZWGWHGUHWFIJWIAUIUJKWEWFGWEWFGWEWFGUNZAWDLEZMFZWEBMFBWK
    NJWKBGUKEZNJWLULWEUMWEAWDWGWDHFWECDUOUPUQZOZWEWHBANJZAWDNJZBPFWDPFWEWHWPWQU
    RTUSWDWNUTBWDAVAQZVBWDRFZBWDNJWECRFDRFWSVGVCCDVDQZWDVEVFZVHWEWKGWMNWEWKWDWD
    LEGNWEAWDWDWGWOWSWEWTOWEWHWPWQWRVIVJWEWDWEWDWOSWEWDXAVKVLVMVNVOBWKVQVPWEAVR
    FWJWLTWEAWGSAVSKVTWAWBWC $.

  $( Cosine is less than one in the third and fourth quadrants.  (Contributed
     by Jim Kingdon, 23-Mar-2024.) $)
  cosq34lt1 $p |- ( A e. ( _pi [,) ( 2 x. _pi ) ) -> ( cos ` A ) < 1 ) $=
    ( cpi c2 cmul co cico wcel cc0 cioo ccos cfv clt wbr cr cxr w3a wb pire a1i
    mp2an c1 cle 2re remulcli rexri elico2 simp1bi 0red simp2bi ltletrd simp3bi
    pipos 0xr elioo2 syl3anbrc cos02pilt1 syl ) ABCBDEZFEGZAHURIEGZAJKUALMUSANG
    ZHALMZAURLMZUTUSVABAUBMZVCBNGZUROGZUSVAVDVCPQRURCBUCRUDUEZBURAUFTZUGZUSHBAU
    SUHVEUSRSVIHBLMUSULSUSVAVDVCVHUIUJUSVAVDVCVHUKHOGVFUTVAVBVCPQUMVGHURAUNTUOA
    UPUQ $.

  $( A complex number whose exponential is one is an integer multiple of
     ` 2 _pi _i ` .  (Contributed by NM, 17-Aug-2008.)  (Revised by Mario
     Carneiro, 10-May-2014.) $)
  efeq1 $p |- ( A e. CC -> ( ( exp ` A ) = 1 <->
                ( A / ( _i x. ( 2 x. _pi ) ) ) e. ZZ ) ) $=
    ( cc wcel c2 cdiv co ci cfv cc0 wceq cpi ce c1 cmul wne ax-icn mp3an23 cmin
    syl eqtrd csin cz wb halfcl ine0 divcl sineq0 sinval divcan2 fveq2d mulneg1
    cneg sylancr negeqd oveq12d oveq1d eqeq1d efcl negcld subcld mulcli mulne0i
    2cn 2ne0 diveq0 efne0 divsubdird efsub syl2anc caddc subnegd 2halves eqtr3d
    dividd diveq0ad ax-1cn subeq0 sylancl 3bitr3d 3bitrd 2cnne0 pm3.2i divdiv32
    wa picn pire pipos gt0ne0ii divdiv1 eleq1d ) ABCZADEFZGEFZUAHZIJZWMKEFZUBCZ
    ALHZMJZAGDKNFZNFEFZUBCWKWMBCZWOWQUCWKWLBCZXBAUDZXCGBCZGIOZXBPUEWLGUFQSZWMUG
    SWKWOWLLHZWLULZLHZRFZDGNFZEFZIJZXKIJZWSWKWNXMIWKWNGWMNFZLHZGULWMNFZLHZRFZXL
    EFZXMWKXBWNYAJXGWMUHSWKXTXKXLEWKXQXHXSXJRWKXPWLLWKXCXPWLJZXDXCXEXFYBPUEWLGU
    IQSZUJWKXRXILWKXRXPULZXIWKXEXBXRYDJPXGGWMUKUMWKXPWLYCUNTUJUOUPTUQWKXKBCZXNX
    OUCZWKXHXJWKXCXHBCXDWLURSZWKXIBCZXJBCWKWLXDUSZXIURSZUTZYEXLBCXLIOYFDGVCPVAD
    GVCPVDUEVBXKXLVEQSWKXKXJEFZIJWRMRFZIJZXOWSWKYLYMIWKYLXHXJEFZXJXJEFZRFYMWKXH
    XJXJYGYJYJWKYHXJIOYIXIVFSZVGWKYOWRYPMRWKWLXIRFZLHZYOWRWKXCYHYSYOJXDYIWLXIVH
    VIWKYRALWKYRWLWLVJFAWKWLWLXDXDVKAVLTUJVMWKXJYJYQVNUOTUQWKXKXJYKYJYQVOWKWRBC
    MBCYNWSUCAURVPWRMVQVRVSVTWKWPXAUBWKWPAGEFZDEFZKEFZXAWKWMUUAKEWKDBCDIOWDZXEX
    FWDZWMUUAJWAXEXFPUEWBZADGWCQUPWKUUBYTWTEFZXAWKYTBCZUUBUUFJZWKXEXFUUGPUEAGUF
    QUUGUUCKBCZKIOZWDUUHWAUUIUUJWEKWFWGWHZWBYTDKWIQSWKUUDWTBCZWTIOZWDUUFXAJUUEU
    ULUUMDKVCWEVADKVCWEVDUUKVBWBAGWTWIQTTWJVS $.

  $( The cosine function has no zeroes within the vertical strip of the complex
     plane between real part ` -u _pi / 2 ` and ` _pi / 2 ` .  (Contributed by
     Mario Carneiro, 2-Apr-2015.) $)
  cosne0 $p |- ( ( A e. CC /\ ( Re ` A ) e.
    ( -u ( _pi / 2 ) (,) ( _pi / 2 ) ) ) -> ( cos ` A ) =/= 0 ) $=
    ( cc wcel cfv cpi ccos cmin cc0 wceq halfpire sylancr syl picn a1i pire clt
    co cr wbr c1 cre c2 cdiv cneg cioo csin recni simpl nncan fveq2d coshalfpim
    wa subcl eqtr3d wne cz wn adantr pipos gt0ne0ii divcan1d zre adantl remulcl
    cmul sylancl eqeltrrd resubcl rered simplr caddc elioore eliooord simprd wb
    0zd posdif mpbid divgt0d negcli negsubi pidiv2halves subaddrii eqtri simpld
    eqbrtrid ltsub23d mulid1i breqtrrdi 1red ltdivmul syl112anc mpbird breqtrdi
    1e0p1 btwnnz syl3anc pm2.01da sineq0 necon3abid eqnetrd ) ABCZAUADZEUBUCQZU
    DZXDUEQZCZULZAFDZXDAGQZUFDZHXHXDXJGQZFDZXIXKXHXLAFXHXDBCZXBXLAIZXDJUGZXBXGU
    HZXDAUIKZUJXHXJBCZXMXKIXHXNXBXSXPXQXDAUMKZXJUKLUNXHXKHUOXJEUCQZUPCZUQZXHYBX
    HYBULZAXFCZYCYDXCAXFYDAYDXLARXHXOYBXRURYDXDRCZXJRCZXLRCJYDYAEVEQZXJRXHYHXJI
    YBXHXJEXTEBCXHMNEHUOXHEOUSUTNVAURYDYARCZERCZYHRCYBYIXHYAVBVCOYAEVDVFVGXDXJV
    HKVGVIXBXGYBVJVGYEHUPCHYAPSYAHTVKQZPSYCYEVPYEXJEYEYFARCZYGJAXEXDVLZXDAVHKZY
    JYEONZYEAXDPSZHXJPSZYEXEAPSZYPAXEXDVMZVNYEYLYFYPYQVOYMJAXDVQVFVRHEPSZYEUSNZ
    VSYEYATYKPYEYATPSZXJETVEQZPSZYEXJEUUCPYEXDEAYFYEJNYOYMYEXDEGQXEAPXDEXEXPMXD
    XPVTEXEVKQEXDGQXDEXDMXPWAEXDXDMXPXPWBWCWDWCYEYRYPYSWEWFWGEMWHWIYEYGTRCYJYTU
    UBUUDVOYNYEWJYOUUAXJTEWKWLWMWOWNHYAWPWQLWRXHYBXKHXHXSXKHIYBVOXTXJWSLWTWMXA
    $.

  ${
    cosord.1 $e |- ( ph -> A e. ( 0 [,] _pi ) ) $.
    cosord.2 $e |- ( ph -> B e. ( 0 [,] _pi ) ) $.
    cosord.3 $e |- ( ph -> A < B ) $.
    $( Lemma for ~ cosord .  (Contributed by Mario Carneiro, 10-May-2014.) $)
    cosordlem $p |- ( ph -> ( cos ` B ) < ( cos ` A ) ) $=
      ( cfv clt wbr co crp wcel c2 cr cc0 cle cpi w3a pire wb ccos cmin cdiv cc
      caddc csin cmul wceq cicc 0re elicc2i sylib simp1d recnd syl2anc readdcld
      subcos 2rp rehalfcld resincld cioo a1i simp2d lelttrd addgtge0d wa divgt0
      2re 2pos mpanr12 ltadd2dd 2timesd breqtrrd ltdivmul mpbird simp3d ltletrd
      syl112anc cxr 0xr rexri elioo2 mp2an syl3anbrc sinq12gt0 resubcld posdifd
      syl elrpd mpbid rehalfcl mp1i subge02d letrd lediv1 pirp rphalflt rpmulcl
      rpmulcld sylancr eqeltrd recoscld difrp ) ACUAGZBUAGZHIZXEXDUBJZKLZAXGMCB
      UEJZMUCJZUFGZCBUBJZMUCJZUFGZUGJZUGJZKACUDLBUDLXGXPUHACACNLZOCPIZCQPIZACOQ
      UIJZLXQXRXSREOQCUJSUKULZUMZUNZABABNLZOBPIZBQPIZABXTLYDYEYFRDOQBUJSUKULZUM
      ZUNCBUQUOAMKLXOKLXPKLURAXKXNAXKAXJAXIACBYBYHUPZUSZUTAXJOQVAJZLZOXKHIAXJNL
      ZOXJHIZXJQHIZYLYJAXINLZOXIHIZYNYIACBYBYHAOBCONLAUJVBYHYBAYDYEYFYGVCZFVDYR
      VEYPYQVFMNLZOMHIZYNVHVIXIMVGVJUOAXJCQYJYBQNLZASVBZAXJCHIZXIMCUGJZHIZAXICC
      UEJUUDHABCCYHYBYBFVKACYCVLVMAYPXQYSYTUUCUUETYIYBYSAVHVBZYTAVIVBZXICMVNVRV
      OAXQXRXSYAVPZVQOVSLZQVSLZYLYMYNYORTVTQSWAZOQXJWBWCWDXJWEWHWIAXNAXMAXLACBY
      BYHWFZUSZUTAXMYKLZOXNHIAXMNLZOXMHIZXMQHIZUUNUUMAXLNLZOXLHIZUUPUULABCHIUUS
      FABCYHYBWGWJUURUUSVFYSYTUUPVHVIXLMVGVJUOAXMQMUCJZQUUMUUAUUTNLASQWKWLUUBAX
      LQPIZXMUUTPIZAXLCQUULYBUUBAYEXLCPIYRACBYBYHWMWJUUHWNAUURUUAYSYTUVAUVBTUUL
      UUBUUFUUGXLQMWOVRWJQKLUUTQHIAWPQWQWLVDUUIUUJUUNUUOUUPUUQRTVTUUKOQXMWBWCWD
      XMWEWHWIWSMXOWRWTXAAXDNLXENLXFXHTACYBXBABYHXBXDXEXCUOVO $.
  $}

  $( Cosine is decreasing over the closed interval from ` 0 ` to ` _pi ` .
     (Contributed by Paul Chapman, 16-Mar-2008.)  (Proof shortened by Mario
     Carneiro, 10-May-2014.) $)
  cosord $p |- ( ( A e. ( 0 [,] _pi ) /\ B e. ( 0 [,] _pi ) ) ->
                 ( A < B <-> ( cos ` B ) < ( cos ` A ) ) ) $=
    ( cc0 cpi wcel wa clt wbr ccos cfv simpll simplr simpr cosordlem ex wceq wo
    wn cr cle cicc co wi fveq2 eqcomd a1i orim12d con3d wb pire elicc2i simp1bi
    0re recoscl axlttri syl2anr syl2an 3imtr4d impbid ) ACDUAUBZEZBUTEZFZABGHZB
    IJZAIJZGHZVCVDVGVCVDFABVAVBVDKVAVBVDLVCVDMNOVCVEVFPZVFVEGHZQZRZABPZBAGHZQZR
    ZVGVDVCVNVJVCVLVHVMVIVLVHUCVCVLVFVEABIUDUEUFVCVMVIVCVMFBAVAVBVMLVAVBVMKVCVM
    MNOUGUHVAASEZBSEZVGVKUIZVBVAVPCATHADTHCDAUMUJUKULZVBVQCBTHBDTHCDBUMUJUKULZV
    QVESEVFSEVRVPBUNAUNVEVFUOUPUQVAVPVQVDVOUIVBVSVTABUOUQURUS $.

  $( Cosine is between minus one and one on the open interval between zero and
     ` _pi ` .  (Contributed by Jim Kingdon, 7-May-2024.) $)
  cos0pilt1 $p |- ( A e. ( 0 (,) _pi ) -> ( cos ` A ) e. ( -u 1 (,) 1 ) ) $=
    ( cc0 cpi cioo co wcel ccos cfv cr c1 clt wbr sseli cxr pire rexri c2 mp2an
    cle 2re cneg elioore recoscld cospi cicc ioossicc pipos ltleii ubicc2 mp3an
    0xr 0re a1i eliooord simprd cosordlem eqbrtrrid cmul wss remulcli lemulge12
    1le2 mp4an iooss2 cos02pilt1 syl w3a wb neg1rr 1re elioo2 syl3anbrc ) ABCDE
    ZFZAGHZIFZJUAZVOKLZVOJKLZVOVQJDEFZVNAABCUBUCVNVQCGHVOKUDVNACVMBCUEEZABCUFMC
    WAFZVNBNFCNFBCSLZWBUKCOPBCULOUGUHZBCUIUJUMVNBAKLACKLABCUNUOUPUQVNABQCUREZDE
    ZFVSVMWFAWENFCWESLZVMWFUSWEQCTOUTPCIFQIFWCJQSLWGOTWDVBCQVAVCBCWEVDRMAVEVFVQ
    NFJNFVTVPVRVSVGVHVQVIPJVJPVQJVOVKRVL $.

  $( Cosine is one-to-one over the closed interval from ` 0 ` to ` _pi ` .
     (Contributed by Paul Chapman, 16-Mar-2008.)  (Proof shortened by Mario
     Carneiro, 10-May-2014.) $)
  cos11 $p |- ( ( A e. ( 0 [,] _pi ) /\ B e. ( 0 [,] _pi ) ) ->
                ( A = B <-> ( cos ` A ) = ( cos ` B ) ) ) $=
    ( cc0 cpi wcel wa clt wbr wn ccos cfv wceq wb cosord notbid cr cle 0re pire
    syl2an cicc co ancoms anbi12d syl5bb elicc2i simp1bi lttri3 recoscl 3bitr4d
    ancom ) ACDUAUBZEZBULEZFZABGHZIZBAGHZIZFZAJKZBJKZGHZIZVBVAGHZIZFZABLZVAVBLZ
    UTUSUQFUOVGUQUSUKUOUSVDUQVFUOURVCUNUMURVCMBANUCOUOUPVEABNOUDUEUMAPEZBPEZVHU
    TMUNUMVJCAQHADQHCDARSUFUGZUNVKCBQHBDQHCDBRSUFUGZABUHTUMVJVKVIVGMZUNVLVMVJVA
    PEVBPEVNVKAUIBUIVAVBUHTTUJ $.

  ${
    $d w x y z A $.  $d x y B $.
    $( Sine is increasing over the closed interval from ` -u ( _pi / 2 ) ` to
       ` ( _pi / 2 ) ` .  (Contributed by Mario Carneiro, 29-Jul-2014.) $)
    sinord $p |- ( ( A e. ( -u ( _pi / 2 ) [,] ( _pi / 2 ) ) /\
                     B e. ( -u ( _pi / 2 ) [,] ( _pi / 2 ) ) ) ->
                   ( A < B <-> ( sin ` A ) < ( sin ` B ) ) ) $=
      ( vx cpi co cicc wcel clt wbr cmin cfv cr neghalfpire halfpire sseli wceq
      wb cc0 cle syl c2 cdiv cneg wa ccos csin wss iccssre ltsub2 mp3an3 syl2an
      mp2an eleq1d resubcl sylancr elicc2i simp3bi subge0 mpbird simp2bi lesub2
      cv oveq2 mp3an13 mpbid caddc recni subnegi pidiv2halves breqtrdi 0re pire
      eqtri syl3anbrc vtoclga cosord syl2anr recnd coshalfpim breqan12d 3bitrd
      cc ) ADUAUBEZUCZWCFEZGZBWEGZUDABHIZWCBJEZWCAJEZHIZWJUEKZWIUEKZHIZAUFKZBUF
      KZHIWFALGZBLGZWHWKQZWGWELAWDLGZWCLGZWELUGMNWDWCUHULZOZWELBXBOZWQWRXAWSNAB
      WCUIUJUKWGWIRDFEZGZWJXEGZWKWNQWFWCCVBZJEZXEGZXFCBWEXHBPXIWIXEXHBWCJVCUMXH
      WEGZXILGZRXISIZXIDSIXJXKXAXHLGZXLNWELXHXBOZWCXHUNUOXKXMXHWCSIZXKXNWDXHSIZ
      XPWDWCXHMNUPZUQXKXAXNXMXPQNXOWCXHURUOUSXKXIWCWDJEZDSXKXQXIXSSIZXKXNXQXPXR
      UTXKXNXQXTQZXOWTXNXAYAMNWDXHWCVAVDTVEXSWCWCVFEDWCWCWCNVGZYBVHVIVMVJRDXIVK
      VLUPVNZVOXJXGCAWEXHAPXIWJXEXHAWCJVCUMYCVOWIWJVPVQWFWGWLWOWMWPHWFAWBGWLWOP
      WFAXCVRAVSTWGBWBGWMWPPWGBXDVRBVSTVTWA $.

    $( The cosine function is a bijection when restricted to its principal
       domain.  (Contributed by Mario Carneiro, 12-May-2014.) $)
    recosf1o $p |- ( cos |` ( 0 [,] _pi ) ) :
                     ( 0 [,] _pi ) -1-1-onto-> ( -u 1 [,] 1 ) $=
      ( vx vy vz cc0 cpi cicc co c1 ccos cv cfv wceq wral wcel mpbir2an a1i cle
      cc cr wbr cneg cres wf1o wf1 wfo wf wi wfn wss cosf ffn ax-mp 0re iccssre
      pire mp2an ax-resscn sstri fnssres fvres sseli cosbnd2 eqeltrd rgen ffnfv
      syl wa eqeqan12d cos11 biimprd sylbid rgen2 dff13 wrex neg1rr 1re elicc2i
      simp1bi clt pipos ccncf coscn recoscld adantl cospi simp2bi eqbrtrid cos0
      simp3bi breqtrrdi ivthle2 eqcom eqeq1d syl5bb rexbiia sylibr dffo3 df-f1o
      jca ) DEFGZHUAZHFGZIWTUBZUCWTXBXCUDZWTXBXCUEZXDWTXBXCUFZAJZXCKZBJZXCKZLZX
      GXILZUGZBWTMAWTMXFXCWTUHZXHXBNZAWTMIRUHZWTRUIZXNRRIUFXPUJRRIUKULWTSRDSNZE
      SNZWTSUIUMUODEUNUPZUQURZRWTIUSUPXOAWTXGWTNZXHXGIKZXBXGWTIUTZYBXGSNZYCXBNW
      TSXGXTVAXGVBVFVCVDAWTXBXCVEOZXMABWTWTYBXIWTNZVGZXKYCXIIKZLZXLYBYGXHYCXJYI
      YDXIWTIUTZVHYHXLYJXGXIVIVJVKVLABWTXBXCVMOXEXFXGXJLZBWTVNZAXBMYFYMAXBXGXBN
      ZYIXGLZBWTVNYMYNCDERXGIBXRYNUMPXSYNUOPYNYEXAXGQTZXGHQTZXAHXGVOVPVQZVRDEVS
      TYNVTPXQYNYAPIRRWAGNYNWBPCJZWTNZYSIKSNYNYTYSWTSYSXTVAWCWDYNEIKZXGQTXGDIKZ
      QTYNUUAXAXGQWEYNYEYPYQYRWFWGYNXGHUUBQYNYEYPYQYRWIWHWJWSWKYLYOBWTYLXJXGLYG
      YOXGXJWLYGXJYIXGYKWMWNWOWPVDBAWTXBXCWQOWTXBXCWRO $.

    $( The sine function is a bijection when restricted to its principal
       domain.  (Contributed by Mario Carneiro, 12-May-2014.) $)
    resinf1o $p |- ( sin |` ( -u ( _pi / 2 ) [,] ( _pi / 2 ) ) ) :
               ( -u ( _pi / 2 ) [,] ( _pi / 2 ) ) -1-1-onto-> ( -u 1 [,] 1 ) $=
      ( vx vy cpi co ccos cc0 cmin csin wtru wcel cr cle halfpire mp2an wb wceq
      wbr cc cfv wfn c2 cdiv cneg cicc c1 cres cmpt ccom wf1o recosf1o eqid wss
      cv neghalfpire iccssre sseli resubcl sylancr elicc2i simp3bi subge0 recni
      mpbird negcli caddc negsubi pidiv2halves subaddrii eqtri simp2bi eqbrtrid
      picn pire suble mp3an12i mpbid syl3anbrc adantl simp1bi subnegi breqtrrdi
      0re lesub mp3an23 subidi wa ax-resscn sstri subsub23 mp3an1 syl2anr eqcom
      syl 3bitr4g f1o2d mptru f1oco wral wf cosf ax-mp fnssres fmpti fnfco sinf
      ffn eqfnfv ffvelrni fvresd oveq2 ovex fvmpt fveq2d coshalfpim 3eqtrd mpan
      fvco3 fvres 3eqtr4d mprgbir f1oeq1 mpbi ) CUAUBDZUCZYCUDDZUEUCUEUDDZEFCUD
      DZUFZAYEYCAUMZGDZUGZUHZUIZYEYFHYEUFZUIZYGYFYHUIYEYGYKUIZYMUJYPIABYEYGYJYC
      BUMZGDZYKYKUKZYIYEJZYJYGJZIYTYJKJZFYJLQZYJCLQZUUAYTYCKJZYIKJZUUBMYEKYIYDK
      JZUUEYEKULUNMYDYCUONZUPZYCYIUQURYTUUCYIYCLQZYTUUFYDYILQZUUJYDYCYIUNMUSZUT
      YTUUEUUFUUCUUJOMUUIYCYIVAURVCYTYCCGDZYILQZUUDYTUUMYDYILYCCYDYCMVBZVLYCUUO
      VDCYDVEDCYCGDYCCYCVLUUOVFCYCYCVLUUOUUOVGVHVIVHYTUUFUUKUUJUULVJVKUUECKJZYT
      UUFUUNUUDOMVMUUIYCCYIVNVOVPFCYJWBVMUSVQZVRYQYGJZYRYEJZIUURYRKJZYDYRLQZYRY
      CLQZUUSUURUUEYQKJZUUTMUURUVCFYQLQZYQCLQZFCYQWBVMUSZVSZYCYQUQURUURYQYCYDGD
      ZLQZUVAUURYQCUVHLUURUVCUVDUVEUVFUTUVHYCYCVEDCYCYCUUOUUOVTVGVIWAUURUVCUVIU
      VAOZUVGUVCUUEUUGUVJMUNYQYCYDWCWDWMVPUURYCYCGDZYQLQZUVBUURUVKFYQLYCUUOWEUU
      RUVCUVDUVEUVFVJVKUUEUUEUURUVCUVLUVBOMMUVGYCYCYQVNVOVPYDYCYRUNMUSVQVRIYTUU
      RWFZWFYRYIPZYJYQPZYIYRPYQYJPUVMUVNUVOOZIUURYQRJZYIRJZUVPYTYGRYQYGKRFKJUUP
      YGKULWBVMFCUONWGWHZUPYERYIYEKRUUHWGWHZUPYCRJUVQUVRUVPUUOYCYQYIWIWJWKVRYIY
      RWLYQYJWLWNWOWPYEYGYFYHYKWQNYLYNPZYMYOOUWAYQYLSZYQYNSZPZBYEYLYETZYNYETZUW
      AUWDBYEWROYHYGTZYEYGYKWSZUWEERTZYGRULUWGRREWSUWIWTRREXFXAUVSRYGEXBNAYEYGY
      JYKYSUUQXCZYGYEYHYKXDNHRTZYERULUWFRRHWSUWKXERRHXFXAUVTRYEHXBNBYEYLYNXGNYQ
      YEJZYQYKSZYHSZYQHSZUWBUWCUWLUWNUWMESYRESZUWOUWLUWMYGEYEYGYQYKUWJXHXIUWLUW
      MYREAYQYJYRYEYKYIYQYCGXJYSYCYQGXKXLXMUWLUVQUWPUWOPYERYQUVTUPYQXNWMXOUWHUW
      LUWBUWNPUWJYEYGYQYHYKXQXPYQYEHXRXSXTYEYFYLYNYAXAYB $.

    $( The tangent function is strictly increasing on the nonnegative part of
       its principal domain.  (Lemma for ~ tanord .)  (Contributed by Mario
       Carneiro, 29-Jul-2014.)  Revised to replace an OLD theorem.  (Revised by
       Wolf Lammen, 20-Sep-2020.) $)
    tanord1 $p |- ( ( A e. ( 0 [,) ( _pi / 2 ) ) /\
   B e. ( 0 [,) ( _pi / 2 ) ) ) -> ( A < B <-> ( tan ` A ) < ( tan ` B ) ) ) $=
      ( vx vy vz cc0 cpi co wcel clt wbr cfv wb cr cxr mp2an sseli cle 3ad2ant1
      ctan vw wtru c2 cdiv cico wa tru cv fveq2 wss halfpire rexri icossre ccos
      0re cneg cioo neghalfpirx pire 2re pipos 2pos divgt0ii lt0neg2 ax-mp mpbi
      df-ioo df-ico xrltletr ixxss1 cosq14gt0 syl gt0ne0d retancld w3a resincld
      adantl wi csin recoscld redivcld 3ad2ant2 wne cicc ioossicc sinord syl2an
      sstri biimp3a ltdiv1 syl112anc pirp rphalflt df-icc xrlttr xrltle 3adant2
      mpbid crp syld ixxss2 cosord 0red simp1 elico2 sylib simp2d simp3 lelttrd
      simp2 simp3d elioo2 syl3anbrc sincosq1sgn simprd simpld ltdiv2 lttrd wceq
      0xr syl222anc cc recnd tanval syl2anc 3brtr4d 3expia ltord1 mpan ) UBAFGU
      CUDHZUEHZIBYKIUFABJKATLZBTLZJKMUGUBCDCUHZTLZDUHZTLZABYKYLYMYNYPTUIYNATUIY
      NBTUIFNIZYJOIZYKNUJUOYJUKULZFYJUMPZYNYKIZYONIUBUUBYNYKNYNUUAQZUUBYNUNLZUU
      BYNYJUPZYJUQHZIFUUDJKZYKUUFYNUUEOIUUEFJKZYKUUFUJURFYJJKZUUHGUCUSUTVAVBVCY
      JNIUUIUUHMUKYJVDVEVFCDEUAUUEFYJUEJJRUQJCDEVGCDEVHZUUEFUAUHZVIVJPZQYNVKVLZ
      VMZVNVQUUBYPYKIZUFYNYPJKZYOYQJKZVRUBUUBUUOUUPUUQUUBUUOUUPVOZYNVSLZUUDUDHZ
      YPVSLZYPUNLZUDHZYOYQJUURUUTUVAUUDUDHZUVCUUBUUOUUTNIUUPUUBUUSUUDUUBYNUUCVP
      UUBYNUUCVTZUUNWASUURUVAUUDUURYPUUOUUBYPNIZUUPYKNYPUUAQZWBZVPZUUBUUOUUDNIZ
      UUPUVESZUUBUUOUUDFWCZUUPUUNSWAUURUVAUVBUVIUURYPUVHVTZUUOUUBUVBFWCZUUPUUOU
      VBUUOYPUUFIFUVBJKZYKUUFYPUULQYPVKVLVMWBZWAUURUUSUVAJKZUUTUVDJKZUUBUUOUUPU
      VQUUBYNUUEYJWDHZIYPUVSIUUPUVQMUUOYKUVSYNYKUUFUVSUULUUEYJWEWHZQYKUVSYPUVTQ
      YNYPWFWGWIUURUUSNIUVANIZUVJUUGUVQUVRMUURYNUUBUUOYNNIZUUPUUCSZVPUVIUVKUUBU
      UOUUGUUPUUMSZUUSUVAUUDWJWKWRUURUVBUUDJKZUVDUVCJKZUUBUUOUUPUWEUUBYNFGWDHZI
      YPUWGIUUPUWEMUUOYKUWGYNGOIZYJGJKZYKUWGUJGUSULGWSIUWIWLGWMVECDEUAFYJGUERRJ
      WDJCDEWNUUJUUKOIZYSUWHVOUUKYJJKUWIUFUUKGJKZUUKGRKZUUKYJGWOUWJUWHUWKUWLVRY
      SUUKGWPWQWTXAPZQYKUWGYPUWMQYNYPXBWGWIUURUVBNIUVOUVJUUGUWAFUVAJKZUWEUWFMUV
      MUURUWNUVOUURYPFYJUQHIZUWNUVOUFUURUVFFYPJKZYPYJJKZUWOUVHUURFYNYPUURXCUWCU
      VHUURUWBFYNRKZYNYJJKZUURUUBUWBUWRUWSVOZUUBUUOUUPXDYRYSUUBUWTMUOYTFYJYNXEP
      XFXGUUBUUOUUPXHXIUURUVFFYPRKZUWQUURUUOUVFUXAUWQVOZUUBUUOUUPXJYRYSUUOUXBMU
      OYTFYJYPXEPXFXKFOIYSUWOUVFUWPUWQVOMXTYTFYJYPXLPXMYPXNVLZXOUVKUWDUVIUURUWN
      UVOUXCXPUVBUUDUVAXQYAWRXRUUBUUOYOUUTXSZUUPUUBYNYBIUVLUXDUUBYNUUCYCUUNYNYD
      YESUURYPYBIZUVNYQUVCXSUUOUUBUXEUUPUUOYPUVGYCWBUVPYPYDYEYFYGVQYHYI $.

    $( The tangent function is strictly increasing on its principal domain.
       (Contributed by Mario Carneiro, 4-Apr-2015.) $)
    tanord $p |- ( ( A e. ( -u ( _pi / 2 ) (,) ( _pi / 2 ) ) /\
                     B e. ( -u ( _pi / 2 ) (,) ( _pi / 2 ) ) ) ->
      ( A < B <-> ( tan ` A ) < ( tan ` B ) ) ) $=
      ( cneg wcel wa clt wbr ctan cfv wb cc0 syl2anc w3a adantr syl mpbid mp2an
      cr syl3anbrc cle vx vy wtru cpi c2 cdiv co cioo tru fveq2 ioossre elioore
      cv cc cre ccos wne recnd rered id eqeltrd cosne0 retancld adantl 3ad2ant1
      wi negnegd fveq2d wceq negcld cosneg simpl1 eqnetrd tanneg eqtr3d adantrr
      renegcld simp2 sselid simpl2 crp simprl lt0neg1d eliooord simpld halfpire
      0red ltnegcon1 sylancr cxr 0xr rexri elioo2 rpgt0d lt0neg2d simprr simprd
      tanrpcl lttrd anassrs simpl3 ltnegd cico simpr le0neg1d 0re elico2 ltletr
      simp3 syl3anc mpand imp ltle sylancl mpd tanord1 syldan adantlr ltlecasei
      breqtrrd eqbrtrd ltled letrd 3expia ltord1 mpan ) UCAUDUEUFUGZCZYGUHUGZDB
      YIDEABFGAHIZBHIZFGJUIUCUAUBUAUMZHIZUBUMZHIZABYIYJYKYLYNHUJYLAHUJYLBHUJYHY
      GUKZYLYIDZYMRDUCYQYLYLYHYGULZYQYLUNDZYLUOIZYIDYLUPIZKUQZYQYLYRURYQYTYLYIY
      QYLYRUSYQUTVAYLVBLZVCVDYQYNYIDZEYLYNFGZYMYOFGZVFUCYQUUDUUEUUFYQUUDUUEMZUU
      FYLKUUGYLKFGZEZYMYLCZHIZCZYOFUUIUUJCZHIZYMUULUUIUUMYLHUUIYLUUIYLUUGYLRDZU
      UHYQUUDUUOUUEYRVEZNURZVGVHUUIUUJUNDUUJUPIZKUQZUUNUULVIUUIYLUUQVJUUIUURUUA
      KUUIYSUURUUAVIUUQYLVKOUUIYQUUBYQUUDUUEUUHVLUUCOVMZUUJVNLVOUUIUULYOFGZKYNU
      UGUUHKYNFGZUVAUUGUUHUVBEZEZUULKYOUVDUUKUVDUUJUVDYLUUGUUOUVCUUPNZVQZUUGUUH
      UUSUVBUUTVPVCZVQUVDWGUVDYNUUGYNRDZUVCUUGYIRYNYPYQUUDUUEVRVSZNZUVDUUDYNUPI
      ZKUQZYQUUDUUEUVCVTZUUDYNUNDZYNUOIZYIDUVLUUDYNYNYHYGULZURUUDUVOYNYIUUDYNUV
      PUSUUDUTVAYNVBLZOVCUVDKUUKFGUULKFGUVDUUKUVDUUJKYGUHUGZDZUUKWADUVDUUJRDZKU
      UJFGZUUJYGFGZUVSUVFUVDUUHUWAUUGUUHUVBWBUVDYLUVEWCPUVDYHYLFGZUWBUVDUWCYLYG
      FGZUVDYQUWCUWDEZYQUUDUUEUVCVLYLYHYGWDZOWEUVDYGRDZUUOUWCUWBJZWFUVEYGYLWHZW
      IPKWJDZYGWJDZUVSUVTUWAUWBMJWKYGWFWLZKYGUUJWMQSUUJWROWNUVDUUKUVGWOPUVDYOUV
      DYNUVRDZYOWADUVDUVHUVBYNYGFGZUWMUVJUUGUUHUVBWPUVDYHYNFGZUWNUVDUUDUWOUWNEZ
      UVMYNYHYGWDZOWQUWJUWKUWMUVHUVBUWNMJWKUWLKYGYNWMQSYNWROWNWSWTUUGYNKTGZUVAU
      UHUUGUWREZUULYNCZHIZCZYOFUWSUXAUUKFGZUULUXBFGUWSUWTUUJFGZUXCUWSUUEUXDYQUU
      DUUEUWRXAUWSYLYNUUGUUOUWRUUPNZUUGUVHUWRUVINZXBPUWSUWTKYGXCUGZDZUUJUXGDZUX
      DUXCJUWSUWTRDZKUWTTGZUWTYGFGZUXHUWSYNUXFVQZUWSUWRUXKUUGUWRXDUWSYNUXFXEPUW
      SUWOUXLUWSUWOUWNUWSUUDUWPYQUUDUUEUWRVTZUWQOWEUWSUWGUVHUWOUXLJWFUXFYGYNWHW
      IPKRDZUWKUXHUXJUXKUXLMJXFUWLKYGUWTXGQSUWSUVTKUUJTGZUWBUXIUWSYLUXEVQZUWSYL
      KTGZUXPUWSUUHUXRUUGUWRUUHUUGUUEUWRUUHYQUUDUUEXIUUGUUOUVHUXOUUEUWREUUHVFUU
      PUVIUUGWGZYLYNKXHXJXKXLZUWSUUOUXOUUHUXRVFUXEXFYLKXMXNXOUWSYLUXEXEPUWSUWCU
      WBUWSUWCUWDUWSYQUWEYQUUDUUEUWRVLUWFOWEUWSUWGUUOUWHWFUXEUWIWIPUXOUWKUXIUVT
      UXPUWBMJXFUWLKYGUUJXGQSUWTUUJXPLPUWSUXAUUKUWSUWTUXMUWSUWTUPIZUVKKUWSUVNUY
      AUVKVIUWSYNUXFURZYNVKOUWSUUDUVLUXNUVQOVMZVCUWSUUJUXQUUGUWRUUHUUSUXTUUTXQV
      CXBPUWSUWTCZHIZYOUXBUWSUYDYNHUWSYNUYBVGVHUWSUWTUNDUYAKUQUYEUXBVIUWSYNUYBV
      JUYCUWTVNLVOXTXRUUIWGUUIYIRYNYPYQUUDUUEUUHVTVSXSYAUUGKYLTGZEZUUEUUFYQUUDU
      UEUYFXAZUYGYLUXGDZYNUXGDZUUEUUFJUYGUUOUYFUWDUYIUUGUUOUYFUUPNZUUGUYFXDZUYG
      UWCUWDUYGYQUWEYQUUDUUEUYFVLUWFOWQUXOUWKUYIUUOUYFUWDMJXFUWLKYGYLXGQSUYGUVH
      KYNTGZUWNUYJUYGYIRYNYPYQUUDUUEUYFVTZVSZUYGKYLYNUYGWGUYKUYOUYLUYGYLYNUYKUY
      OUYHYBYCUYGUWOUWNUYGUUDUWPUYNUWQOWQUXOUWKUYJUVHUYMUWNMJXFUWLKYGYNXGQSYLYN
      XPLPUUPUXSXSYDVDYEYF $.
  $}

  $( TODO - is there possibly a more direct proof which does not break into
     real/imaginary parts? $)
  $( The real part of the tangent of a complex number with real part in the
     open interval ` ( 0 (,) ( _pi / 2 ) ) ` is positive.  (Contributed by
     Mario Carneiro, 5-Apr-2015.) $)
  tanregt0 $p |- ( ( A e. CC /\ ( Re ` A ) e. ( 0 (,) ( _pi / 2 ) ) ) ->
    0 < ( Re ` ( tan ` A ) ) ) $=
    ( cc wcel cre cfv cc0 c2 cdiv co c1 ci cim cmul cmin clt cneg wne wbr wceq
    cr cpi cioo wa ctan cabs cexp ccj caddc crp cz ax-1cn recl recnd ccos rered
    cxr cle wss neghalfpire rexri 0re pirp rphalfcl rpgt0 mp2b halfpire lt0neg2
    adantr wb ax-mp mpbi ltleii iooss1 mp2an simpr sselid eqeltrd cosne0 tancld
    syl2anc ax-icn mulcl sylancr rpcoshcl syl rpne0d mulcld subcl replim fveq2d
    imcl syldan eqnetrrd tanaddlem syl22anc mpbid necomd subeq0 mpbird absrpcld
    necon3bid 2z rpexpcl sylancl rprecred cjcld addcld rpreccld rpgt0d retancld
    1re retanhcl resqcld resubcl tanrpcl adantl absresq tanhbnd eliooord abscld
    recld abslt absge0d 0le1 mulgt0d oveq1i remul2d ine0 divcan2d oveq2d 3eqtrd
    a1i syl5eq eqtr3d oveq12d eqtrd negeqd 3eqtr4d breqtrrd divrec2d lt2sqd sq1
    breqtrdi eqbrtrrd posdif recjd negicn negne0i divcld imre divneg2d renegcld
    resub re1 eqeltrrd reim0d 3eqtr3rd mul01d 1m0e1 eqtrdi crred mulcom mulassd
    imcjd imsub df-neg eqtr4i immul2d imval remulcld negnegd crimd sqvald sqcld
    im1 remuld subdid tanadd syl23anc recval oveq1d div23d ) ABCZADEZFUAGHIZUBI
    ZCZUCZFJJUWDUDEZKALEZMIZUDEZMIZNIZUEEZGUFIZHIZUWNUGEZUWIUWLUHIZMIZDEZMIZAUD
    EZDEZOUWHUWQUXAUWHUWPUWHUWOUICGUJCUWPUICUWHUWNUWHJBCZUWMBCZUWNBCZUKUWHUWIUW
    LUWHUWDUWHUWDUWCUWDTCUWGAULVHZUMZUWHUWDBCZUWDDEZUWEPZUWEUBIZCUWDUNEFQZUXIUW
    HUXKUWDUXMUWHUWDUXHUOUWHUWFUXMUWDUXLUPCUXLFUQRUWFUXMURUXLUSUTUXLFUSVAFUWEOR
    ZUXLFORZUAUICUWEUICUXOVBUAVCUWEVDVEUWETCUXOUXPVIVFUWEVGVJVKVLUXLFUWEVMVNUWC
    UWGVOVPZVQUWDVRVTZVSZUWHUWKUWHKBCZUWJBCUWKBCZWAUWHUWJUWCUWJTCZUWGAWKVHZUMKU
    WJWBWCZUWHUWKUNEZUWHUYBUYEUICUYCUWJWDWEWFZVSZWGZJUWMWHWCZUWHUWNFQZJUWMQZUWH
    UWMJUWHUWDUWKUHIZUNEZFQZUWMJQZUWHAUNEZUYMFUWHAUYLUNUWCAUYLSUWGAWIVHZWJUWCUW
    GUWDUXMCUYPFQUXQAVRWLWMZUWHUXJUYAUXNUYEFQZUYNUYOVIUXIUYDUXRUYFUWDUWKWNWOWPW
    QUWHUXEUXFUYJUYKVIUKUYHUXEUXFUCUWNFJUWMJUWMWRXAWCWSZWTXBUWOGXCXDZXEZUWHUWTU
    WHUWRUWSUWHUWNUYIXFZUWHUWIUWLUXSUYGXGZWGZYAUWHUWQUWHUWPVUAXHXIUWHFUWIJUWLKH
    IZGUFIZNIZMIZUXAOUWHUWIVUHUWHUWDUXHUXRXJZUWHJTCZVUGTCZVUHTCXKUWHVUFUWHUYBVU
    FTCZUYCUWJXLWEZXMZJVUGXNWCUWHUWIUWGUWIUICUWCUWDXOXPXIUWHVUGJORZFVUHORZUWHVU
    FUEEZGUFIZVUGJOUWHVUMVUSVUGSVUNVUFXQWEUWHVUSJGUFIZJOUWHVURJORZVUSVUTORUWHVV
    AJPZVUFORVUFJORUCZUWHVUFVVBJUBICZVVCUWHUYBVVDUYCUWJXRWEVUFVVBJXSWEUWHVUMVUK
    VVAVVCVIVUNXKVUFJYBXDWSUWHVURJUWHVUFUWHVUFVUNUMZXTVUKUWHXKYLUWHVUFVVEYCFJUQ
    RUWHYDYLUUAWPUUBUUCUUDUWHVULVUKVUPVUQVIVUOXKVUGJUUEXDWPYEUWHUWRDEZUWSDEZMIZ
    UWRLEZUWSLEZMIZNIUWIJMIZUWIVUGMIZNIUXAVUIUWHVVHVVLVVKVVMNUWHVVHJUWIMIZVVLUW
    HVVFJVVGUWIMUWHVVFUWNDEZJDEZUWMDEZNIZJUWHUWNUYIUUFUWHUXEUXFVVOVVRSUKUYHJUWM
    UUMWCUWHVVRJVVQNIZJVVPJVVQNUUNYFUWHVVSJFNIJUWHVVQFJNUWHVVQUWIUWLDEZMIUWIFMI
    FUWHUWIUWLVUJUYGYGUWHVVTFUWIMUWHUWLKPZHIZLEZVWAVWBMIZDEZFVVTUWHVWBBCVWCVWES
    UWHUWLVWAUYGVWABCUWHUUGYLZVWAFQUWHKWAYHUUHYLZUUIVWBUUJWEUWHVWBUWHVUFPVWBTUW
    HUWLKUYGUXTUWHWAYLZKFQUWHYHYLZUUKUWHVUFVUNUULUUOUUPUWHVWDUWLDUWHUWLVWAUYGVW
    FVWGYIWJUUQYJUWHUWIUXSUURYKYJUUSUUTYMYKUWHUWIKVUFMIZUHIZDEVVGUWIUWHVWKUWSDU
    WHVWJUWLUWIUHUWHUWLKUYGVWHVWIYIYJZWJUWHUWIVUFVUJVUNUVAYNYOUWHUXEUWIBCVVNVVL
    SUKUXSJUWIUVBWCYPUWHUWIVUFMIZVUFMIUWIVUFVUFMIZMIVVKVVMUWHUWIVUFVUFUXSVVEVVE
    UVCUWHVVIVWMVVJVUFMUWHVVIUWNLEZPVWMPZPVWMUWHUWNUYIUVDUWHVWOVWPUWHVWOJLEZUWM
    LEZNIZVWPUWHUXEUXFVWOVWSSUKUYHJUWMUVEWCUWHVWSVWRPZVWPVWSFVWRNIVWTVWQFVWRNUV
    OYFVWRUVFUVGUWHVWRVWMUWHVWRUWIUWLLEZMIVWMUWHUWIUWLVUJUYGUVHUWHVXAVUFUWIMUWH
    VXAVUFDEZVUFUWHUWLBCVXAVXBSUYGUWLUVIWEUWHVUFVUNUOYPYJYPYQYMYPYQUWHVWMUWHVWM
    UWHUWIVUFVUJVUNUVJUMUVKYKUWHVWKLEVVJVUFUWHVWKUWSLVWLWJUWHUWIVUFVUJVUNUVLYNY
    OUWHVUGVWNUWIMUWHVUFVVEUVMYJYRYOUWHUWRUWSVUCVUDUVPUWHUWIJVUGUXSUXEUWHUKYLUW
    HVUFVVEUVNUVQYRYSYEUWHUXDUWQUWTMIZDEUXBUWHUXCVXCDUWHUXCUWTUWPHIZVXCUWHUXCUY
    LUDEZUWSUWNHIZVXDUWHAUYLUDUYQWJUWHUXJUYAUXNUYSUYNVXEVXFSUXIUYDUXRUYFUYRUWDU
    WKUVRUVSUWHJUWNHIZUWSMIUWRUWPHIZUWSMIVXFVXDUWHVXGVXHUWSMUWHUXGUYJVXGVXHSUYI
    UYTUWNUVTVTUWAUWHUWSUWNVUDUYIUYTYTUWHUWRUWSUWPVUCVUDUWHUWPUWHUWOUWHUWNUYIXT
    XMUMZUWHUWPVUAWFZUWBYRYKUWHUWTUWPVUEVXIVXJYTYPWJUWHUWQUWTVUBVUEYGYPYS $.

  $( The interval ` ( -u _pi (,] _pi ) ` is a subset of the reals.
     (Contributed by David Moews, 28-Feb-2017.) $)
  negpitopissre $p |- ( -u _pi (,] _pi ) C_ RR $=
    ( cpi cneg cxr wcel cr cioc co wss pire renegcli rexri iocssre mp2an ) ABZC
    DAEDNAFGEHNAIJKINALM $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Mapping of the exponential function
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x y $.  $d B y $.  $d C y $.  $d X x y $.
    efgh.1 $e |- F = ( x e. X |-> ( exp ` ( A x. x ) ) ) $.
    $( The exponential function of a scaled complex number is a group
       homomorphism from the group of complex numbers under addition to the set
       of complex numbers under multiplication.  (Contributed by Paul Chapman,
       25-Apr-2008.)  (Revised by Mario Carneiro, 11-May-2014.)  (Revised by
       Thierry Arnoux, 26-Jan-2020.) $)
    efgh $p |- ( ( ( A e. CC /\ X e. ( SubGrp ` CCfld ) ) /\ B e. X /\ C e. X )
             -> ( F ` ( B + C ) ) = ( ( F ` B ) x. ( F ` C ) ) ) $=
      ( vy cc wcel ccnfld cfv caddc co cmul ce fveq2d wceq cvv oveq2 w3a simp1l
      csubg wa wss simp1r cnfldbas subgss syl simp2 sseldd simp3 adddid syl2anc
      mulcld efadd eqtrd cv cmpt cbvmptv eqtri cnfldadd subgcl 3adant1l fvmptd3
      fvexd oveq12d 3eqtr4d ) BIJZFKUCLJZUDZCFJZDFJZUAZBCDMNZONZPLZBCONZPLZBDON
      ZPLZONZVOELCELZDELZONVNVQVRVTMNZPLZWBVNVPWEPVNBCDVIVJVLVMUBZVNFICVNVJFIUE
      VIVJVLVMUFIFKUGUHUIZVKVLVMUJZUKZVNFIDWHVKVLVMULZUKZUMQVNVRIJVTIJWFWBRVNBC
      WGWJUOVNBDWGWLUOVRVTUPUNUQVNHVOBHURZONZPLZVQFESEAFBAURZONZPLZUSHFWOUSGAHF
      WRWOWPWMRWQWNPWPWMBOTQUTVAZWMVORWNVPPWMVOBOTQVJVLVMVOFJVIMFKCDVBVCVDVNVPP
      VFVEVNWCVSWDWAOVNHCWOVSFESWSWMCRWNVRPWMCBOTQWIVNVRPVFVEVNHDWOWAFESWSWMDRW
      NVTPWMDBOTQWKVNVTPVFVEVGVH $.
  $}

  ${
    $d y z $.  $d y A $.  $d y D $.
    efif1olem1.1 $e |- D = ( A (,] ( A + ( 2 x. _pi ) ) ) $.
    $( Lemma for ~ efif1o .  (Contributed by Mario Carneiro, 13-May-2014.) $)
    efif1olem1 $p |- ( ( A e. RR /\ ( x e. D /\ y e. D ) ) ->
                         ( abs ` ( x - y ) ) < ( 2 x. _pi ) ) $=
      ( cr wcel cv wa cmin co c2 cpi clt wbr caddc cle w3a readdcl sylancl cabs
      cfv cmul cioc simprr eleqtrdi cxr rexr simpl 2re remulcli elioc2 syl2an2r
      wb pire simp1d simprl simp3d a1i simp2d ltadd1dd lelttrd ltsubaddd mpbird
      mpbid absdifltd mpbir2and ) CFGZAHZDGZBHZDGZIZIZVIVKJKUAUBLMUCKZNOVKVOJKV
      INOZVIVKVOPKZNOVNVPVKVIVOPKZNOVNVKCVOPKZVRVNVKFGZCVKNOZVKVSQOZVNVKCVSUDKZ
      GZVTWAWBRZVNVKDWCVHVJVLUEEUFVHCUGGZVMVSFGZWDWEUNCUHZVNVHVOFGZWGVHVMUIZLMU
      JUOUKZCVOSTZCVSVKULUMVEZUPZWLVNVIFGZWIVRFGVNWOCVINOZVIVSQOZVNVIWCGZWOWPWQ
      RZVNVIDWCVHVJVLUQEUFVHWFVMWGWRWSUNWHWLCVSVIULUMVEZUPZWKVIVOSTVNVTWAWBWMUR
      VNCVIVOWJXAWIVNWKUSZVNWOWPWQWTUTVAVBVNVKVOVIWNXBXAVCVDVNVIVSVQXAWLVNVTWIV
      QFGWNWKVKVOSTVNWOWPWQWTURVNCVKVOWJWNXBVNVTWAWBWMUTVAVBVNVIVKVOXAWNXBVFVG
      $.

    $( Lemma for ~ efif1o .  (Contributed by Mario Carneiro, 13-May-2014.) $)
    efif1olem2 $p |- ( ( A e. RR /\ z e. RR ) ->
                       E. y e. D ( ( z - y ) / ( 2 x. _pi ) ) e. ZZ ) $=
      ( cr wcel c2 cpi cmul co caddc cmin cdiv cz wbr sylancl recnd cc oveq1d
      cv cmo wrex cioc clt cle simpl 2re pire remulcli readdcl crp resubcl 2pos
      wa pipos mulgt0ii elrpii modcl resubcld a1i ltadd2dd ltaddsubd cc0 modge0
      modlt mpbid subge02d cxr wb rexr elioc2 syl2an2r mpbir3and eleqtrrdi cneg
      w3a c1 cfl cfv wceq modval oveq2d wne gt0ne0ii redivcl mp3an23 flcld zred
      syl remulcl sylancr subsubd recni simpr pnncand addcl subsub4d negsubdi2d
      3eqtrd pncand negeqd eqtr3d neg1cn mulm1i mulcomli eqtr4di subdid 3eqtr2d
      eqtr4d neg1z zsubcl divcan3 eqtrd eqeltrd oveq2 eleq1d rspcev syl2anc
      zcnd ) CFGZBUAZFGZUOZCHIJKZLKZCYBMKZYEUBKZMKZDGYBYIMKZYENKZOGZYBAUAZMKZYE
      NKZOGZADUCYDYICYFUDKZDYDYIYQGZYIFGZCYIUEPZYIYFUFPZYDYFYHYDYAYEFGZYFFGZYAY
      CUGZHIUHUIUJZCYEUKQZYDYGFGZYEULGZYHFGCYBUMZYEUUEHIUHUIUNUPUQZURZYGYEUSQZU
      TYDCYHLKYFUEPYTYDYHYECUULUUBYDUUEVAUUDYDUUGUUHYHYEUEPUUIUUKYGYEVFQVBYDCYH
      YFUUDUULUUFVCVGYDVDYHUFPZUUAYDUUGUUHUUMUUIUUKYGYEVEQYDYFYHUUFUULVHVGYACVI
      GYCUUCYRYSYTUUAVQVJCVKUUFCYFYIVLVMVNEVOYDYKVRVPZYGYENKZVSVTZMKZOYDYKYEUUQ
      JKZYENKZUUQYDYJUURYENYDYJYBYEYBLKZYEUUPJKZLKZMKYBUUTMKZUVAMKZUURYDYIUVBYB
      MYDYIYFYGUVAMKZMKYFYGMKZUVALKUVBYDYHUVEYFMYDUUGUUHYHUVEWAUUIUUKYGYEWBQWCY
      DYFYGUVAYDYFUUFRYDYGUUIRYDUVAYDUUBUUPFGUVAFGUUEYDUUPYDUUOYDUUGUUOFGZUUIUU
      GUUBYEVDWDZUVGUUEYEUUEUUJWEZYGYEWFWGWJWHZWIYEUUPWKWLRZWMYDUVFUUTUVALYDCYE
      YBYDCUUDRYESGZYDYEUUEWNZVAZYDYBYAYCWORZWPTWTWCYDYBUUTUVAUVOYDUVLYBSGUUTSG
      UVMUVOYEYBWQWLZUVKWRYDUVDYEUUNJKZUVAMKUURYDUVCUVQUVAMYDUVCYEVPZUVQYDUUTYB
      MKZVPUVCUVRYDUUTYBUVPUVOWSYDUVSYEYDYEYBUVNUVOXAXBXCUUNYEUVRXDUVMYEUVMXEXF
      XGTYDYEUUNUUPUVNUUNSGYDXDVAYDUUPUVJXTXHXJXITYDUUQSGZUUSUUQWAZYDUUQYDUUNOG
      UUPOGUUQOGXKUVJUUNUUPXLWLZXTUVTUVLUVHUWAUVMUVIUUQYEXMWGWJXNUWBXOYPYLAYIDY
      MYIWAZYOYKOUWCYNYJYENYMYIYBMXPTXQXRXS $.
  $}

  ${
    $d w x y z A $.  $d w x y C $.  $d x y F $.  $d w x y z ph $.  $d y z S $.
    $d w x y z D $.
    efif1o.1 $e |- F = ( w e. D |-> ( exp ` ( _i x. w ) ) ) $.
    efif1o.2 $e |- C = ( `' abs " { 1 } ) $.
    $( Lemma for ~ efif1o .  (Contributed by Mario Carneiro, 8-May-2015.) $)
    efif1olem3 $p |- ( ( ph /\ x e. C ) ->
      ( Im ` ( sqrt ` x ) ) e. ( -u 1 [,] 1 ) ) $=
      ( wcel wa cfv cr c1 cle wbr co cc cabs wceq c2 cv csqrt cim cneg cicc csn
      ccnv cima simpr eleqtrdi wf wfn wb absf ffn fniniseg sylib simpld sqrtcld
      mp2b imcld absimle syl cexp sqsqrtd fveq2d cn0 2nn0 absexp sylancl simprd
      3eqtr3d sq1 eqtr4di cc0 abscld absge0d 0le1 mpanr12 syl2anc mpbid breqtrd
      1re sq11 absle neg1rr elicc2i syl3anbrc ) ABUAZDIZJZWIUBKZUCKZLIZMUDZWMNO
      ZWMMNOZWMWOMUEPIWKWLWKWIWKWIQIZWIRKZMSZWKWIRUGMUFUHZIZWRWTJZWKWIDXAAWJUIH
      UJQLRUKRQULXBXCUMUNQLRUOQMWIRUPUTUQZURZUSZVAZWKWPWQWKWMRKZMNOZWPWQJZWKXHW
      LRKZMNWKWLQIZXHXKNOXFWLVBVCWKXKTVDPZMTVDPZSZXKMSZWKXMMXNWKWLTVDPZRKZWSXMM
      WKXQWIRWKWIXEVEVFWKXLTVGIXRXMSXFVHWLTVIVJWKWRWTXDVKVLVMVNWKXKLIZVOXKNOZXO
      XPUMZWKWLXFVPWKWLXFVQXSXTJMLIZVOMNOYAWCVRXKMWDVSVTWAWBWKWNYBXIXJUMXGWCWMM
      WEVJWAZURWKWPWQYCVKWOMWMWFWCWGWH $.

    ${
      efif1olem4.3 $e |- ( ph -> D C_ RR ) $.
      efif1olem4.4 $e |- ( ( ph /\ ( x e. D /\ y e. D ) ) ->
                           ( abs ` ( x - y ) ) < ( 2 x. _pi ) ) $.
      efif1olem4.5 $e |- ( ( ph /\ z e. RR ) ->
                           E. y e. D ( ( z - y ) / ( 2 x. _pi ) ) e. ZZ ) $.
      efif1olem4.6 $e |- S = ( sin |` ( -u ( _pi / 2 ) [,] ( _pi / 2 ) ) ) $.
      $( The exponential function of an imaginary number maps any interval of
         length ` 2 _pi ` one-to-one onto the unit circle.  (Contributed by
         Paul Chapman, 16-Mar-2008.)  (Proof shortened by Mario Carneiro,
         13-May-2014.) $)
      efif1olem4 $p |- ( ph -> F : D -1-1-onto-> C ) $=
        ( cfv wceq ci co wcel wf1 wfo wf1o wf cv weq wi wral cmul ce wa cr cabs
        sselda ccnv c1 csn cima cc ax-icn recn mulcl sylancr efcl syl absefi wb
        wfn absf ffn ax-mp fniniseg sylanbrc eleqtrrdi fmptd wss simplrl sseldd
        ad2antrr recnd simplrr cmin cpi cdiv cc0 subcld wne pire remulcli recni
        c2 2re 2pos pipos mulgt0ii gt0ne0ii divcl mp3an23 clt wbr absdiv ltleii
        cle 0re absid oveq2i eqtrdi adantr pm3.2i cn0 divcan5 a1i subdid fveq2d
        mp2an cz syl2anc simpr oveq2 fvex fvmpt 3eqtr3d 3eqtrd efeq1 mpbid wrex
        eqeltrrd oveq1 oveq1d ralrimiva cneg cicc csin caddc eqtrd cexp sylancl
        eleq1d oveq12d sqcld mulid1i breqtrrdi abscld 1re ltdivmul eqbrtrd ine0
        mpbird efsub efne0 diveq1bd nn0abscl nn0lt10b abs00d subeq0d ralrimivva
        diveq0 dff13 csqrt rexbidv neghalfpire halfpire iccssre efif1olem3 cres
        ex cim resinf1o f1oeq1 f1ocnv f1of mp2b ffvelrni sselid remulcl rspcdva
        mpbir npcand efadd mul12 mp3an12i 2z efexp ccos recoscld eleqtrdi sylib
        2cn cre simpld sqrtcld recld cosq14ge0 sqrtrege0d sincossq sqsqrtd 2nn0
        absexp simprd absvalsq2d 3eqtr2d fveq1i fvresd syl5eq f1ocnvfv2 pncan2d
        eqtr3d sincld coscld pncand sq11d oveq2d efival replimd 3eqtr4d mulid2d
        eqeq12d syl5ib bitr2d adantl eqeq2d 3imtr4d reximdva mpd dffo3 df-f1o )
        AGFIUAZGFIUBZGFIUCAGFIUDZBUEZIPZCUEZIPZQZBCUFZUGZCGUHBGUHUYGAEGREUEZUIS
        ZUJPZFIAUYQGTUKUYQULTZUYSFTAGULUYQLUNUYTUYSUMUOUPUQURZFUYTUYSUSTZUYSUMP
        UPQZUYSVUATZUYTUYRUSTZVUBUYTRUSTZUYQUSTVUEUTUYQVARUYQVBVCUYRVDVEUYQVFUM
        USVHZVUDVUBVUCUKVGUSULUMUDVUGVIUSULUMVJVKZUSUPUYSUMVLVKVMKVNVEJVOZAUYPB
        CGGAUYJGTZUYLGTZUKZUKZUYNUYOVUMUYNUKZUYJUYLVUNUYJVUNGULUYJAGULVPZVULUYN
        LVSZAVUJVUKUYNVQZVRVTZVUNUYLVUNGULUYLVUPAVUJVUKUYNWAZVRVTZVUNUYJUYLWBSZ
        WKWCUISZWDSZWEQZVVAWEQZVUNVVCVUNVVAUSTZVVCUSTZVUNUYJUYLVURVUTWFZVVFVVBU
        STZVVBWEWGZVVGVVBWKWCWLWHWIZWJZVVBVVKWKWCWLWHWMWNWOZWPZVVAVVBWQWRVEVUNV
        VCUMPZUPWSWTZVVOWEQZVUNVVOVVAUMPZVVBWDSZUPWSVUNVVOVVRVVBUMPZWDSZVVSVUNV
        VFVVOVWAQZVVHVVFVVIVVJVWBVVLVVNVVAVVBXAWRVEVVTVVBVVRWDVVBULTZWEVVBXCWTV
        VTVVBQVVKWEVVBXDVVKVVMXBVVBXEXOXFXGVUNVVSUPWSWTZVVRVVBUPUISZWSWTZVUNVVR
        VVBVWEWSVUMVVRVVBWSWTUYNMXHVVBVVLUUAUUBVUNVVRULTZVWDVWFVGZVUNVVAVVHUUCV
        WGUPULTVWCWEVVBWSWTZUKVWHUUDVWCVWIVVKVVMXIVVRUPVVBUUEWRVEUUHUUFVUNVVOXJ
        TZVVPVVQVGVUNVVCXPTVWJVUNRVVAUISZRVVBUISZWDSZVVCXPVUNVVFVWMVVCQZVVHVVFV
        VIVVJUKZVUFRWEWGZUKZVWNVVIVVJVVLVVNXIZVUFVWPUTUUGXIZVVAVVBRXKWRVEVUNVWK
        UJPZUPQZVWMXPTZVUNVWTRUYJUISZRUYLUISZWBSZUJPZVXCUJPZVXDUJPZWDSZUPVUNVWK
        VXEUJVUNRUYJUYLVUFVUNUTXLVURVUTXMXNVUNVXCUSTZVXDUSTZVXFVXIQVUNVUFUYJUST
        ZVXJUTVURRUYJVBVCVUNVUFUYLUSTZVXKUTVUTRUYLVBZVCZVXCVXDUUIXQVUNVXGVXHVUN
        VXKVXHUSTZVXOVXDVDZVEVUNVXKVXHWEWGVXOVXDUUJVEVUNUYKUYMVXGVXHVUMUYNXRVUN
        VUJUYKVXGQVUQEUYJUYSVXGGIEBUFUYRVXCUJUYQUYJRUIXSXNJVXCUJXTYAVEVUNVUKUYM
        VXHQZVUSEUYLUYSVXHGIECUFUYRVXDUJUYQUYLRUIXSXNJVXDUJXTYAZVEYBUUKYCVUNVWK
        USTZVXAVXBVGVUNVUFVVFVXTUTVVHRVVAVBVCVWKYDVEYEYGVVCUULVEVVOUUMVEYEUUNVU
        NVVFVVDVVEVGZVVHVVFVVIVVJVYAVVLVVNVVAVVBUUQWRVEYEUUOUVFUUPBCGFIUURVMAUY
        IUYJUYMQZCGYFZBFUHUYHVUIAVYCBFAUYJFTZUKZWKUYJUUSPZUVGPZHUOZPZUISZUYLWBS
        ZVVBWDSZXPTZCGYFZVYCVYEDUEZUYLWBSZVVBWDSZXPTZCGYFZVYNDULVYJVYOVYJQZVYRV
        YMCGVYTVYQVYLXPVYTVYPVYKVVBWDVYOVYJUYLWBYHYIYRUUTAVYSDULUHVYDAVYSDULNYJ
        XHVYEWKULTVYIULTVYJULTZWLVYEWCWKWDSZYKZWUBYLSZULVYIWUCULTWUBULTWUDULVPU
        VAUVBWUCWUBUVCXOVYEVYGUPYKUPYLSZTZVYIWUDTZABEFGIJKUVDZWUEWUDVYGVYHWUDWU
        EHUCZWUEWUDVYHUCWUEWUDVYHUDWUIWUDWUEYMWUDUVEZUCZUVHHWUJQWUIWUKVGOWUDWUE
        HWUJUVIVKUVQZWUDWUEHUVJWUEWUDVYHUVKUVLUVMVEZUVNZWKVYIUVOVCZUVPVYEVYMVYB
        CGVYEVUKUKZRVYKUISZUJPZUPQZUYJVXHQZVYMVYBWUSWURVXHUISZUPVXHUISZQWUPWUTW
        URUPVXHUIYHWUPWVAUYJWVBVXHWUPWUQVXDYNSZUJPZRVYJUISZUJPZWVAUYJWUPWVCWVEU
        JWUPWVCWVEVXDWBSZVXDYNSWVEWUPWUQWVGVXDYNWUPRVYJUYLVUFWUPUTXLWUPVYJVYEWU
        AVUKWUOXHVTZWUPUYLWUPGULUYLAVUOVYDVUKLVSVYEVUKXRVRVTZXMYIWUPWVEVXDWUPVU
        FVYJUSTWVEUSTUTWVHRVYJVBVCWUPVUFVXMVXKUTWVIVXNVCZUVRYOXNWUPWUQUSTZVXKWV
        DWVAQWUPVUFVYKUSTZWVKUTWUPVYJUYLWVHWVIWFZRVYKVBVCZWVJWUQVXDUVSXQVYEWVFU
        YJQVUKVYEWVFRVYIUISZUJPZWKYPSZVYFWKYPSZUYJVYEWVFWKWVOUISZUJPZWVQVYEWVEW
        VSUJVUFWKUSTVYEVYIUSTZWVEWVSQUTUWHVYEVYIWUNVTZRWKVYIUVTUWAXNVYEWVOUSTZW
        KXPTWVTWVQQVYEVUFWWAWWCUTWWBRVYIVBVCUWBWVOWKUWCYQYOVYEWVPVYFWKYPVYEVYIU
        WDPZRVYIYMPZUISZYNSZVYFUWIPZRVYGUISZYNSWVPVYFVYEWWDWWHWWFWWIYNVYEWWDWWH
        VYEVYIWUNUWEVYEVYFVYEUYJVYEVXLUYJUMPZUPQZVYEUYJVUATZVXLWWKUKZVYEUYJFVUA
        AVYDXRKUWFVUGWWLWWMVGVUHUSUPUYJUMVLVKUWGZUWJZUWKZUWLZVYEWUGWEWWDXCWTWUM
        VYIUWMVEVYEUYJWWOUWNVYEWWEWKYPSZWWDWKYPSZYNSZWWRWBSWWHWKYPSZVYGWKYPSZYN
        SZWXBWBSWWSWXAVYEWWTWXCWWRWXBWBVYEWWTUPVYFUMPWKYPSZWXCVYEWWAWWTUPQWWBVY
        IUWOVEVYEWVRUMPZWWJWXDUPVYEWVRUYJUMVYEUYJWWOUWPZXNVYEVYFUSTWKXJTWXEWXDQ
        WWPUWQVYFWKUWRYQVYEVXLWWKWWNUWSYBVYEVYFWWPUWTUXAVYEWWEVYGWKYPVYEVYIHPZW
        WEVYGVYEWXGVYIWUJPWWEVYIHWUJOUXBVYEVYIWUDYMWUMUXCUXDVYEWUIWUFWXGVYGQWUL
        WUHWUDWUEVYGHUXEVCUXGZYIZYSVYEWWRWWSVYEWWEVYEVYIWWBUXHYTZVYEWWDVYEVYIWW
        BUXIYTUXFVYEWXAWXBVYEWWHVYEWWHWWQVTYTVYEWWRWXBUSWXIWXJYGUXJYBUXKVYEWWEV
        YGRUIWXHUXLYSVYEWWAWVPWWGQWWBVYIUXMVEVYEVYFWWPUXNUXOYIWXFYCXHYBWUPVXHWU
        PVXKVXPWVJVXQVEUXPUXQUXRWUPWUSWUQVWLWDSZXPTZVYMWUPWVKWUSWXLVGWVNWUQYDVE
        WUPWXKVYLXPWUPWVLWXKVYLQZWVMWVLVWOVWQWXMVWRVWSVYKVVBRXKWRVEYRUXSWUPUYMV
        XHUYJVUKVXRVYEVXSUXTUYAUYBUYCUYDYJCBGFIUYEVMGFIUYFVM $.
    $}

    efif1o.3 $e |- D = ( A (,] ( A + ( 2 x. _pi ) ) ) $.
    $( The exponential function of an imaginary number maps any open-below,
       closed-above interval of length ` 2 _pi ` one-to-one onto the unit
       circle.  (Contributed by Paul Chapman, 16-Mar-2008.)  (Revised by Mario
       Carneiro, 13-May-2014.) $)
    efif1o $p |- ( A e. RR -> F : D -1-1-onto-> C ) $=
      ( vx vy vz cr wcel csin cpi c2 cdiv co cneg wbr cicc cres cmul caddc cioc
      cv clt cle w3a cxr wb rexr 2re pire remulcli readdcl mpan2 elioc2 syl2anc
      simp1 syl6bi ssrdv eqsstrid efif1olem1 efif1olem2 eqid efif1olem4 ) BLMZI
      JKACDNOPQRZSVIUARUBZEFGVHDBBPOUCRZUDRZUERZLHVHIVMLVHIUFZVMMZVNLMZBVNUGTZV
      NVLUHTZUIZVPVHBUJMVLLMZVOVSUKBULVHVKLMVTPOUMUNUOBVKUPUQBVLVNURUSVPVQVRUTV
      AVBVCIJBDHVDJKBDHVEVJVFVG $.
  $}

  ${
    $d z C $.
    efifo.1 $e |- F = ( z e. RR |-> ( exp ` ( _i x. z ) ) ) $.
    efifo.2 $e |- C = ( `' abs " { 1 } ) $.
    $( The exponential function of an imaginary number maps the reals onto the
       unit circle.  (Contributed by Mario Carneiro, 13-May-2014.) $)
    efifo $p |- F : RR -onto-> C $=
      ( cr wfo wfn crn wceq ci co wcel cabs c1 cc ax-mp cc0 cioc eqtri wf cv ce
      cmul cfv ccnv csn cima ax-icn recn mulcl sylancr efcl syl absefi absf ffn
      wa wb fniniseg mp2b sylanbrc eleqtrrdi fmpti wss frn cpi cres df-ima cmpt
      c2 reseq1i clt wbr cle cxr w3a 0xr 2re pire remulcli elioc2 mp2an simp1bi
      ssriv resmpt rneqi wf1o 0re eqid caddc recni addid2i oveq2i eqcomi efif1o
      f1ofo forn imassrn eqsstrri eqssi df-fo mpbir2an ) FBCGCFHZCIZBJFBCUAZXDA
      FBKAUBZUDLZUCUEZCDXGFMZXINUFOUGUHZBXJXIPMZXINUEOJZXIXKMZXJXHPMZXLXJKPMXGP
      MXOUIXGUJKXGUKULXHUMUNXGUOPFNUANPHXNXLXMURUSUPPFNUQPOXINUTVAVBEVCVDZFBCUQ
      QXEBXFXEBVEXPFBCVFQBCRVKVGUDLZSLZUHZXEXSCXRVHZIZBCXRVIYAAXRXIVJZIZBXTYBXT
      AFXIVJZXRVHZYBCYDXRDVLXRFVEYEYBJAXRFXGXRMZXJRXGVMVNZXGXQVOVNZRVPMXQFMYFXJ
      YGYHVQUSVRVKVGVSVTWAZRXQXGWBWCWDWEAFXRXIWFQTWGXRBYBWHZXRBYBGYCBJRFMYJWIAR
      BXRYBYBWJERRXQWKLZSLXRYKXQRSXQXQYIWLWMWNWOWPQXRBYBWQXRBYBWRVATTCXRWSWTXAF
      BCXBXC $.
  $}

  ${
    $d w x y z D $.  $d x y z F $.  $d w x y z ph $.  $d x y S $.
    eff1olem.1 $e |- F = ( w e. D |-> ( exp ` ( _i x. w ) ) ) $.
    eff1olem.2 $e |- S = ( `' Im " D ) $.
    eff1olem.3 $e |- ( ph -> D C_ RR ) $.
    eff1olem.4 $e |- ( ( ph /\ ( x e. D /\ y e. D ) ) ->
                       ( abs ` ( x - y ) ) < ( 2 x. _pi ) ) $.
    eff1olem.5 $e |- ( ( ph /\ z e. RR ) ->
                       E. y e. D ( ( z - y ) / ( 2 x. _pi ) ) e. ZZ ) $.
    $( The exponential function maps the set ` S ` , of complex numbers with
       imaginary part in a real interval of length ` 2 x. _pi ` , one-to-one
       onto the nonzero complex numbers.  (Contributed by Paul Chapman,
       16-Apr-2008.)  (Proof shortened by Mario Carneiro, 13-May-2014.) $)
    eff1olem $p |- ( ph -> ( exp |` S ) : S -1-1-onto-> ( CC \ { 0 } ) ) $=
      ( cc ce cfv cr co wceq wcel cc0 cdif cv cabs cres ccnv ci cdiv cmul caddc
      csn wss cmpt cim cima cdm cnvimass imf fdmi eqcomi 3sstr4i wf a1i feqmptd
      eff2 reseq1d resmpt eqtrd ax-mp sseli ffvelrni syl adantl crp wne eldifsn
      wa simpr sylib simpld simprd absrpcld wf1o reeff1o f1ocnv f1of mp2b recnd
      ax-icn adantr c1 csin cpi c2 cneg cicc eqid efif1olem4 3syl abscld divcld
      absne0d absdivd absidm oveq2d dividd 3eqtrd wfn wb absf fniniseg sylanbrc
      ffn ffvelrnd sseldd mulcl sylancr addcld crimd eqeltrd elpreima eleqtrrdi
      efadd syl2anc fvresd eqtr3d oveq2 fveq2d cbvmptv eqtri fvex fvmpt oveq12d
      f1ocnvfv2 fveq2 eqeq2d syl5ibrcom eqtr4d f1ocnvfv1 efcl divcan2d wi absef
      3eqtrrd adantrl replimd recld imcld efne0 divcan3d simprbi eleq2s 3eqtr4d
      cre syl2an id adantrr impbid f1o2d ) ACBGNUAUKUBZCUCZOPZBUCZUDPZOQUEZUFZP
      ZUGUVCUVDUHRZHUFZPZUIRZUJRZOGUEZGNULZUVMCGUVBUMZSUNUFFUOZUNUPZGNUNFUQJUVQ
      NNQUNURUSUTVAZUVNUVMCNUVBUMZGUEUVOUVNOUVSGUVNCNUUTONUUTOVBUVNVEVCVDVFCNGU
      VBVGVHVIUVAGTZUVBUUTTZAUVTUVANTZUWAGNUVAUVRVJZNUUTUVAOVEVKVLVMAUVCUUTTZVQ
      ZUVLUVPGUWEUVLNTZUVLUNPZFTZUVLUVPTZUWEUVGUVKUWEUVGUWEUVDVNTZUVGQTUWEUVCUW
      EUVCNTZUVCUAVOZUWEUWDUWKUWLVQAUWDVRUVCNUAVPVSZVTZUWEUWKUWLUWMWAZWBZVNQUVD
      UVFQVNUVEWCZVNQUVFWCVNQUVFVBWDQVNUVEWEVNQUVFWFWGVKVLZWHZUWEUGNTZUVJNTUVKN
      TZWIUWEUVJUWEFQUVJAFQULUWDKWJUWEUDUFWKUKUOZFUVHUVIAUXBFUVIVBZUWDAFUXBHWCZ
      UXBFUVIWCUXCABCDEUXBFWLWMWNUHRZWOUXEWPRUEZHIUXBWQKLMUXFWQWRZFUXBHWEUXBFUV
      IWFWSWJUWEUVHNTZUVHUDPZWKSZUVHUXBTZUWEUVCUVDUWNUWEUVDUWEUVCUWNWTWHZUWEUVC
      UWNUWOXBZXAUWEUXIUVDUVDUDPZUHRUVDUVDUHRWKUWEUVCUVDUWNUXLUXMXCUWEUXNUVDUVD
      UHUWEUWKUXNUVDSUWNUVCXDVLXEUWEUVDUXLUXMXFXGNQUDVBUDNXHUXKUXHUXJVQXIXJNQUD
      XMNWKUVHUDXKWGXLZXNZXOZWHUGUVJXPXQZXRUWEUWGUVJFUWEUVGUVJUWRUXQXSUXPXTNQUN
      VBZUNNXHZUWIUWFUWHVQXIURNQUNXMZNUVLFUNYAWGXLJYBAUVTUWDVQVQZUVAUVLSZUVCUVB
      SZUYBUYDUYCUVCUVLOPZSZAUWDUYFUVTUWEUYEUVGOPZUVKOPZUIRZUVDUVHUIRUVCUWEUVGN
      TUXAUYEUYISUWSUXRUVGUVKYCYDUWEUYGUVDUYHUVHUIUWEUVGUVEPZUYGUVDUWEUVGQOUWRY
      EUWEUWQUWJUYJUVDSWDUWPQVNUVDUVEYNXQYFUWEUVJHPZUYHUVHUWEUVJFTUYKUYHSUXPDUV
      JUGDUCZUIRZOPZUYHFHUYLUVJSUYMUVKOUYLUVJUGUIYGYHHEFUGEUCZUIRZOPZUMDFUYNUMI
      EDFUYQUYNUYOUYLSUYPUYMOUYOUYLUGUIYGYHYIYJUVKOYKYLVLUWEUXDUXKUYKUVHSAUXDUW
      DUXGWJUXOFUXBUVHHYNYDYFYMUWEUVCUVDUWNUXLUXMUUAUUDUUEUYCUVBUYEUVCUVAUVLOYO
      YPYQAUVTUYDUYCUUBUWDAUVTVQZUYCUYDUVAUVBUDPZUVFPZUGUVBUYSUHRZUVIPZUIRZUJRZ
      SUYRUVAUVAUUNPZUGUVAUNPZUIRZUJRZVUDUYRUVAUVTUWBAUWCVMZUUFZUYRUYTVUEVUCVUG
      UJUYRUYTVUEUVEPZUVFPZVUEUYRUYSVUKUVFUYRUYSVUEOPZVUKUYRUWBUYSVUMSVUIUVAUUC
      VLZUYRVUEQOUYRUVAVUIUUGZYEYRYHUYRUWQVUEQTVULVUESWDVUOQVNVUEUVEYSXQVHUYRVU
      BVUFUGUIUYRVUBVUFHPZUVIPZVUFUYRVUAVUPUVIUYRVUMVUGOPZUIRZVUMUHRVURVUAVUPUY
      RVURVUMUYRVUGNTZVURNTUYRUWTVUFNTVUTWIUYRVUFUYRUVAVUIUUHWHUGVUFXPXQZVUGYTV
      LUYRVUENTZVUMNTUYRVUEVUOWHZVUEYTVLUYRVVBVUMUAVOVVCVUEUUIVLUUJUYRUVBVUSUYS
      VUMUHUYRUVBVUHOPZVUSUYRUVAVUHOVUJYHUYRVVBVUTVVDVUSSVVCVVAVUEVUGYCYDVHVUNY
      MUYRVUFFTZVUPVURSUVTVVEAVVEUVAUVPGUVAUVPTZUWBVVEUXSUXTVVFUWBVVEVQXIURUYAN
      UVAFUNYAWGUUKJUULZVMEVUFUYQVURFHUYOVUFSUYPVUGOUYOVUFUGUIYGYHIVUGOYKYLVLUU
      MYHAUXDVVEVUQVUFSUVTUXGVVGFUXBVUFHYSUUOVHXEYMYRUYDUVLVUDUVAUYDUVGUYTUVKVU
      CUJUYDUVDUYSUVFUVCUVBUDYOZYHUYDUVJVUBUGUIUYDUVHVUAUVIUYDUVCUVBUVDUYSUHUYD
      UUPVVHYMYHXEYMYPYQUUQUURUUS $.
  $}

  ${
    $d w x y z S $.
    eff1o.1 $e |- S = ( `' Im " ( -u _pi (,] _pi ) ) $.
    $( The exponential function maps the set ` S ` , of complex numbers with
       imaginary part in the closed-above, open-below interval from ` -u _pi `
       to ` _pi ` one-to-one onto the nonzero complex numbers.  (Contributed by
       Paul Chapman, 16-Apr-2008.)  (Revised by Mario Carneiro,
       13-May-2014.) $)
    eff1o $p |- ( exp |` S ) : S -1-1-onto-> ( CC \ { 0 } ) $=
      ( vx vy vz vw cpi cneg cr wcel cc cc0 ce pire cioc cmul caddc picn oveq2i
      co csn cdif cres wf1o renegcli cfv cmpt eqid cxr wss rexr iocssre sylancl
      ci cv c2 2timesi negpicn addcli addcomi negsubi pncan3oi eqtri efif1olem1
      cmin 3eqtrri efif1olem2 eff1olem ax-mp ) GHZIJZAKLUAUBMAUCUDGNUEVKCDEFVJG
      OTZAFVLUNFUOPTMUFUGZVMUHBVKVJUIJGIJVLIUJVJUKNVJGULUMCDVJVLGVJUPGPTZQTZVJO
      VOVJGGQTZQTVPVJQTZGVNVPVJQGRUQSVJVPURGGRRUSZUTVQVPGVETGVPGVRRVAGGRRVBVCVF
      SZVDDEVJVLVSVGVHVI $.
  $}

  ${
    $d A x y $.  $d F x y $.  $d G x y $.  $d X x y $.  $d ph x y $.
    efabl.1 $e |- F = ( x e. X |-> ( exp ` ( A x. x ) ) ) $.
    efabl.2 $e |- G = ( ( mulGrp ` CCfld ) |`s ran F ) $.
    efabl.3 $e |- ( ph -> A e. CC ) $.
    efabl.4 $e |- ( ph -> X e. ( SubGrp ` CCfld ) ) $.
    $( The image of a subgroup of the group ` + ` , under the exponential
       function of a scaled complex number, is an Abelian group.  (Contributed
       by Paul Chapman, 25-Apr-2008.)  (Revised by Mario Carneiro,
       12-May-2014.)  (Revised by Thierry Arnoux, 26-Jan-2020.) $)
    efabl $p |- ( ph -> G e. Abel ) $=
      ( ccnfld co cfv eqid wcel wceq syl cmul cc cvv vy cress cplusg cbs cv w3a
      simp1 simp2 csubg subgbas 3ad2ant1 eleqtrrd simp3 caddc jca efgh cnfldadd
      wa syl3an1 ressplusg oveqd fveq2d ce cmpt mptexg eqeltrid rnexg 3syl cmgp
      crn cnfldmul mgpplusg 3eqtr3d syl3anc wfo wfn fvex fnmpti dffn4 mpbi wral
      eqidd wss eff a1i adantr cnfldbas subgss sselda mulcld ffvelrnd ralrimiva
      wf rnmptss mgpbas ressbas2 foeq123d mpbii cabl crg cnring ringabl subgabl
      ax-mp sylancr ghmabl ) ABUAKFUBLZUCMZEUCMZDXGEXGUDMZEUDMZXJNXKNXHNXINABUE
      ZXJOZUAUEZXJOZUFZAXLFOZXNFOZXLXNXHLZDMZXLDMZXNDMZXILZPAXMXOUGXPXLXJFAXMXO
      UHAXMFXJPZXOAFKUIMZOZYDJFKXGXGNZUJQZUKZULXPXNXJFAXMXOUMYIULAXQXRUFZXLXNUN
      LZDMZYAYBRLZXTYCACSOZYFURXQXRYLYMPAYNYFIJUOBCXLXNDFGUPUSYJYKXSDYJUNXHXLXN
      AXQUNXHPZXRAYFYOJFUNKXGYEYGUQUTQUKVAVBYJRXIYAYBAXQRXIPZXRADVJZTOZYPAYFDTO
      YRJYFDBFCXLRLZVCMZVDTGBFYTYEVEVFDTVGVHYQRKVIMZETHKRUUAUUANZVKVLUTQUKVAVMV
      NAFYQDVOZXJXKDVODFVPUUCBFYTDYSVCVQGVRFDVSVTAFXJYQXKDDADWBYHAYTSOZBFWAYQSW
      CYQXKPAUUDBFAXQURZSSYSVCSSVCWMUUEWDWEUUECXLAYNXQIWFAFSXLAYFFSWCJSFKWGWHQW
      IWJWKWLBFYTSDGWNYQSEUUAHSKUUAUUBWGWOWPVHWQWRAKWSOZYFXGWSOKWTOUUFXAKXBXDJF
      KXGYGXCXEXF $.

    $( The image of a subgroup of the group ` + ` , under the exponential
       function of a scaled complex number is a submonoid of the multiplicative
       group of ` CCfld ` .  (Contributed by Thierry Arnoux, 26-Jan-2020.) $)
    efsubm $p |- ( ph -> ran F e. ( SubMnd ` ( mulGrp ` CCfld ) ) ) $=
      ( cc c1 wcel cmul ccnfld cfv ce syl cc0 cvv vy crn wss cv co wral csubmnd
      cmgp wa wf eff a1i adantr csubg cnfldbas subgss sselda ffvelrnd ralrimiva
      mulcld rnmptss mul01d fveq2d ef0 eqtrdi subg0cl fvex wceq oveq2 elrnmpt1s
      cnfld0 sylancl eqeltrrd cplusg cgrp cabl efabl ablgrp 3ad2ant1 simp2 eqid
      w3a cbs mgpbas ressbas2 eleqtrd simp3 grpcl syl3anc mptexd eqeltrid rnexg
      cmpt cnfldmul mgpplusg ressplusg 3syl oveqd 3eltr4d 3expb ralrimivva cmnd
      crg wb cnring ringmgp cnfld1 ringidval issubm mp2b syl3anbrc ) ADUBZKUCZL
      XLMZBUDZUAUDZNUEZXLMZUAXLUFBXLUFZXLOUHPZUGPMZACXONUEZQPZKMZBFUFXMAYDBFAXO
      FMZUIZKKYBQKKQUJYFUKULYFCXOACKMYEIUMAFKXOAFOUNPZMZFKUCJKFOUOUPRUQUTURUSBF
      YCKDGVARZACSNUEZQPZLXLAYKSQPLAYJSQACIVBVCVDVEASFMZYKTMYKXLMAYHYLJFOSVKVFR
      YJQVGBFYCYKSDTGXOSVHYBYJQXOSCNVIVCVJVLVMAXRBUAXLXLAXOXLMZXPXLMZXRAYMYNWBZ
      XOXPEVNPZUEZEWCPZXQXLYOEVOMZXOYRMXPYRMYQYRMAYMYSYNAEVPMYSABCDEFGHIJVQEVRR
      VSYOXOXLYRAYMYNVTAYMXLYRVHZYNAXMYTYIXLKEXTHKOXTXTWAZUOWDZWERVSZWFYOXPXLYR
      AYMYNWGUUCWFYRYPEXOXPYRWAYPWAWHWIYONYPXOXPAYMNYPVHZYNADTMXLTMUUDADBFYCWMT
      GABFYCYGJWJWKDTWLXLNXTETHONXTUUAWNWOZWPWQVSWRUUCWSWTXAOXCMXTXBMYAXMXNXSWB
      XDXEOXTUUAXFBUAKNXLXTLUUBOLXTUUAXGXHUUEXIXJXK $.
  $}

  ${
    $d x y C $.  $d y T $.
    circgrp.1 $e |- C = ( `' abs " { 1 } ) $.
    circgrp.2 $e |- T = ( ( mulGrp ` CCfld ) |`s C ) $.
    $( The circle group ` T ` is an Abelian group.  (Contributed by Paul
       Chapman, 25-Mar-2008.)  (Revised by Mario Carneiro, 13-May-2014.)
       (Revised by Thierry Arnoux, 26-Jan-2020.) $)
    circgrp $p |- T e. Abel $=
      ( vy vx wcel wtru ci cr cv cmul co ce cfv wceq ccnfld cress ax-mp a1i crn
      cabl cmpt oveq2 fveq2d cbvmptv cmgp wfo efifo forn eqcomi oveq2i eqtri cc
      ax-icn csubg csubrg crefld cdr resubdrg simpli subrgsubg efabl mptru ) BU
      BGHEIFJIFKZLMZNOZUCZBJFEJVGIEKZLMZNOVEVIPVFVJNVEVIILUDUEUFZBQUGOZARMVLVHU
      AZRMDAVMVLRVMAJAVHUHVMAPEAVHVKCUIJAVHUJSUKULUMIUNGHUOTJQUPOGZHJQUQOGZVNVO
      URUSGUTVAJQVBSTVCVD $.

    $( The circle group ` T ` is a submonoid of the multiplicative group of
       ` CCfld ` .  (Contributed by Thierry Arnoux, 26-Jan-2020.) $)
    circsubm $p |- C e. ( SubMnd ` ( mulGrp ` CCfld ) ) $=
      ( vx vy cr ci cv cmul co ce cfv ccnfld wceq ax-mp wcel wtru cress a1i crn
      cmpt cmgp csubmnd oveq2 fveq2d cbvmptv efifo forn eqcomi oveq2i cc ax-icn
      wfo csubg csubrg crefld resubdrg simpli subrgsubg efsubm mptru eqeltri
      cdr ) AEGHEIZJKZLMZUBZUAZNUCMZUDMZVIAGAVHUNVIAOFAVHEFGVGHFIZJKZLMVEVLOVFV
      MLVEVLHJUEUFUGZCUHGAVHUIPUJZVIVKQRFHVHVJASKGVNAVIVJSVOUKHULQRUMTGNUOMQZRG
      NUPMQZVPVQUQVDQURUSGNUTPTVAVBVC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The natural logarithm on complex numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c log $.
  $c ^c $.

  $( Extend class notation with the natural logarithm function on complex
     numbers. $)
  clog $a class log $.

  $( Extend class notation with the complex power function. $)
  ccxp $a class ^c $.

  $( Define the natural logarithm function on complex numbers.  It is defined
     as the principal value, that is, the inverse of the exponential whose
     imaginary part lies in the interval (-pi, pi].  See
     ~ http://en.wikipedia.org/wiki/Natural_logarithm and
     ~ https://en.wikipedia.org/wiki/Complex_logarithm .  (Contributed by Paul
     Chapman, 21-Apr-2008.) $)
  df-log $a |- log = `' ( exp |` ( `' Im " ( -u _pi (,] _pi ) ) ) $.

  ${
    $d x y $.
    $( Define the power function on complex numbers.  Note that the value of
       this function when ` x = 0 ` and ` ( Re `` y ) <_ 0 , y =/= 0 ` should
       properly be undefined, but defining it by convention this way simplifies
       the domain.  (Contributed by Mario Carneiro, 2-Aug-2014.) $)
    df-cxp $a |- ^c = ( x e. CC , y e. CC |->
      if ( x = 0 , if ( y = 0 , 1 , 0 ) , ( exp ` ( y x. ( log ` x ) ) ) ) ) $.
  $}

  $( The range of the natural logarithm function, also the principal domain of
     the exponential function.  This allows us to write the longer class
     expression as simply ` ran log ` .  (Contributed by Paul Chapman,
     21-Apr-2008.)  (Revised by Mario Carneiro, 13-May-2014.) $)
  logrn $p |- ran log = ( `' Im " ( -u _pi (,] _pi ) ) $=
    ( clog crn ce cim ccnv cpi cneg cioc co cima cres df-log rneqi cc0 csn cdif
    cc wf1o wfo wceq eqid eff1o f1ocnv ax-mp f1ofo forn mp2b eqtri ) ABCDEFGFHI
    JZKZEZBZUIAUKLMQNOPZUIUKRZUMUIUKSULUITUIUMUJRUNUIUIUAUBUIUMUJUCUDUMUIUKUEUM
    UIUKUFUGUH $.

  $( Write out the property ` A e. ran log ` explicitly.  (Contributed by Mario
     Carneiro, 1-Apr-2015.) $)
  ellogrn $p |- ( A e. ran log <->
    ( A e. CC /\ -u _pi < ( Im ` A ) /\ ( Im ` A ) <_ _pi ) ) $=
    ( cim ccnv cpi cneg cioc co cima wcel cc cfv clt wbr wa w3a cr 3anass bitri
    wb pire cle clog crn wf wfn imf ffn elpreima mp2b cxr renegcli rexri elioc2
    mp2an imcl biantrurd bitr4id pm5.32i logrn eleq2i 3bitr4i ) ABCDEZDFGZHZIZA
    JIZVBABKZLMZVGDUAMZNZNZAUBUCZIVFVHVIOVEVFVGVCIZNZVKJPBUDBJUEVEVNSUFJPBUGJAV
    CBUHUIVFVMVJVFVMVGPIZVJNZVJVMVOVHVIOZVPVBUJIDPIVMVQSVBDTUKULTVBDVGUMUNVOVHV
    IQRVFVOVJAUOUPUQURRVLVDAUSUTVFVHVIQVA $.

  $( The natural logarithm function in terms of the exponential function
     restricted to its principal domain.  (Contributed by Paul Chapman,
     21-Apr-2008.) $)
  dflog2 $p |- log = `' ( exp |` ran log ) $=
    ( clog ce cim ccnv cpi cneg cioc cima cres crn df-log reseq2i cnveqi eqtr4i
    co logrn ) ABCDEFEGOHZIZDBAJZIZDKTRSQBPLMN $.

  $( The range of the natural logarithm function includes the real numbers.
     (Contributed by Paul Chapman, 21-Apr-2008.)  (Proof shortened by Mario
     Carneiro, 1-Apr-2015.) $)
  relogrn $p |- ( A e. RR -> A e. ran log ) $=
    ( cr wcel cpi cneg cim cfv clt wbr cle clog crn recn cc0 pipos pire lt0neg2
    cc wb ax-mp mpbi reim0 breqtrrid 0re ltleii eqbrtrdi ellogrn syl3anbrc ) AB
    CZARCDEZAFGZHIUKDJIAKLCAMUIUJNUKHNDHIZUJNHIZODBCULUMSPDQTUAAUBZUCUIUKNDJUNN
    DUDPOUEUFAUGUH $.

  $( The range of the natural logarithm function is a subset of the complex
     numbers.  (Contributed by Mario Carneiro, 13-May-2014.) $)
  logrncn $p |- ( A e. ran log -> A e. CC ) $=
    ( clog crn wcel cc cpi cneg cim cfv clt wbr cle ellogrn simp1bi ) ABCDAEDFG
    AHIZJKOFLKAMN $.

  $( The exponential function restricted to its principal domain maps
     one-to-one onto the nonzero complex numbers.  (Contributed by Paul
     Chapman, 21-Apr-2008.)  (Revised by Mario Carneiro, 13-May-2014.) $)
  eff1o2 $p |- ( exp |` ran log ) : ran log -1-1-onto-> ( CC \ { 0 } ) $=
    ( clog crn logrn eff1o ) ABCD $.

  $( The natural logarithm function maps the nonzero complex numbers one-to-one
     onto its range.  (Contributed by Paul Chapman, 21-Apr-2008.) $)
  logf1o $p |- log : ( CC \ { 0 } ) -1-1-onto-> ran log $=
    ( cc cc0 csn cdif clog wf1o ce cres ccnv eff1o2 f1ocnv ax-mp wceq wb dflog2
    crn f1oeq1 mpbir ) ABCDZEPZEFZSTGTHZIZFZTSUBFUDJTSUBKLEUCMUAUDNOSTEUCQLR $.

  $( The natural logarithm function on the positive reals in terms of the real
     exponential function.  (Contributed by Paul Chapman, 21-Apr-2008.) $)
  dfrelog $p |- ( log |` RR+ ) = `' ( exp |` RR ) $=
    ( vx ce clog crn cres ccnv cr cima crp df-ima wceq relogrn ssriv ax-mp wfun
    wss cv wf1o mpbi dflog2 resabs1 rneqi wfn w3a reeff1o dff1o2 simp3i reseq2i
    3eqtri cnveqi cc cc0 csn cdif logf1o f1ofun funeqi funcnvres eqtr3i reseq1i
    3eqtr4ri ) BCDZEZFZVCGHZEZVDIEBGEZFZCIEVEIVDVEVCGEZDVGDZIVCGJVIVGGVBPVIVGKA
    GVBAQLMBGVBUANZUBVGGUCZVHOZVJIKZGIVGRVLVMVNUDUEGIVGUFSUGUIUHVIFZVHVFVIVGVKU
    JVDOZVOVFKCOZVPUKULUMUNZVBCRVQUOVRVBCUPNCVDTUQSGVCURNUSCVDITUTVA $.

  $( The natural logarithm function maps the positive reals one-to-one onto the
     real numbers.  (Contributed by Paul Chapman, 21-Apr-2008.) $)
  relogf1o $p |- ( log |` RR+ ) : RR+ -1-1-onto-> RR $=
    ( vx crp cr clog cres wf1o ce crn ccnv wfun cc0 csn cdif eff1o2 wceq f1oeq1
    cc wb mp2b mpbir wfo dff1o3 simprbi ax-mp reeff1o wss relogrn ssriv resabs1
    cv f1orescnv mp2an dflog2 reseq1 ) BCDBEZFZBCGDHZEZIZBEZFZUSJZCBURCEZFZVAUQ
    QKLMZURFZVBNVFUQVEURUAVBUQVEURUBUCUDVDCBGCEZFZUECUQUFVCVGOVDVHRACUQAUJUGUHG
    CUQUICBVCVGPSTBCURUKULDUSOUOUTOUPVARUMDUSBUNBCUOUTPST $.

  $( Closure of the natural logarithm function.  (Contributed by Paul Chapman,
     21-Apr-2008.) $)
  logrncl $p |- ( ( A e. CC /\ A =/= 0 ) -> ( log ` A ) e. ran log ) $=
    ( cc wcel cc0 wne wa csn cdif clog cfv eldifsn wf1o wf logf1o f1of ffvelrni
    crn ax-mp sylbir ) ABCADEFABDGHZCAIJIQZCABDKTUAAITUAILTUAIMNTUAIORPS $.

  $( Closure of the natural logarithm function.  (Contributed by NM,
     21-Apr-2008.)  (Revised by Mario Carneiro, 23-Sep-2014.) $)
  logcl $p |- ( ( A e. CC /\ A =/= 0 ) -> ( log ` A ) e. CC ) $=
    ( cc wcel cc0 wne wa clog cfv crn logrncl logrncn syl ) ABCADEFAGHZGICMBCAJ
    MKL $.

  $( Closure of the imaginary part of the logarithm function.  (Contributed by
     Mario Carneiro, 23-Sep-2014.)  (Revised by Mario Carneiro, 1-Apr-2015.) $)
  logimcl $p |- ( ( A e. CC /\ A =/= 0 ) ->
    ( -u _pi < ( Im ` ( log ` A ) ) /\ ( Im ` ( log ` A ) ) <_ _pi ) ) $=
    ( cc wcel cc0 wne clog cfv cpi cneg cim clt wbr cle w3a crn logrncl ellogrn
    wa sylib 3simpc syl ) ABCADERZAFGZBCZHIUCJGZKLZUEHMLZNZUFUGRUBUCFOCUHAPUCQS
    UDUFUGTUA $.

  ${
    logcld.1 $e |- ( ph -> X e. CC ) $.
    logcld.2 $e |- ( ph -> X =/= 0 ) $.
    $( The logarithm of a nonzero complex number is a complex number.
       Deduction form of ~ logcl .  (Contributed by David Moews,
       28-Feb-2017.) $)
    logcld $p |- ( ph -> ( log ` X ) e. CC ) $=
      ( cc wcel cc0 wne clog cfv logcl syl2anc ) ABEFBGHBIJEFCDBKL $.
  $}

  ${
    logimcld.1 $e |- ( ph -> X e. CC ) $.
    logimcld.2 $e |- ( ph -> X =/= 0 ) $.
    $( The imaginary part of the logarithm is in ` ( -u _pi (,] _pi ) ` .
       Deduction form of ~ logimcl .  Compare ~ logimclad .  (Contributed by
       David Moews, 28-Feb-2017.) $)
    logimcld $p |- ( ph -> ( -u _pi < ( Im ` ( log ` X ) ) /\
                                     ( Im ` ( log ` X ) ) <_ _pi ) ) $=
      ( cc wcel cc0 wne cpi cneg clog cfv cim clt wbr cle wa logimcl syl2anc )
      ABEFBGHIJBKLMLZNOTIPOQCDBRS $.

    $( The imaginary part of the logarithm is in ` ( -u _pi (,] _pi ) ` .
       Alternate form of ~ logimcld .  (Contributed by David Moews,
       28-Feb-2017.) $)
    logimclad $p |- ( ph -> ( Im ` ( log ` X ) ) e. ( -u _pi (,] _pi ) ) $=
      ( clog cfv cim cr wcel cpi cneg clt wbr cle cioc co logcld imcld logimcld
      pire simpld simprd cxr w3a wb renegcli rexri elioc2 mp2an syl3anbrc ) ABE
      FZGFZHIZJKZULLMZULJNMZULUNJOPIZAUKABCDQRAUOUPABCDSZUAAUOUPURUBUNUCIJHIUQU
      MUOUPUDUEUNJTUFUGTUNJULUHUIUJ $.
  $}

  $( The imaginary part of the logarithm function has absolute value less than
     pi.  (Contributed by Mario Carneiro, 3-Jul-2017.) $)
  abslogimle $p |- ( ( A e. CC /\ A =/= 0 ) ->
    ( abs ` ( Im ` ( log ` A ) ) ) <_ _pi ) $=
    ( cc wcel cc0 wne wa clog cfv cim cabs cpi cle wbr cneg pire renegcld logcl
    cr a1i imcld clt logimcl simpld ltled simprd absled mpbir2and ) ABCADEFZAGH
    ZIHZJHKLMKNZUJLMUJKLMZUHUKUJUHKKRCUHOSZPUHUIAQTZUHUKUJUAMZULAUBZUCUDUHUOULU
    PUEUHUJKUNUMUFUG $.

  $( The range of the natural logarithm is closed under addition with reals.
     (Contributed by Mario Carneiro, 3-Apr-2015.) $)
  logrnaddcl $p |- ( ( A e. ran log /\ B e. RR ) -> ( A + B ) e. ran log ) $=
    ( clog crn cr caddc co cc cpi cim cfv clt wbr cle syl2an ellogrn adantr cc0
    wcel wceq wa cneg logrncn recn addcl simp2bi imadd reim0 adantl imcld recnd
    oveq2d addid1d 3eqtrd breqtrrd simp3bi eqbrtrd syl3anbrc ) ACDZSZBESZUAZABF
    GZHSZIUBZVCJKZLMVFINMVCUSSUTAHSZBHSZVDVAAUCZBUDZABUEOVBVEAJKZVFLUTVEVKLMZVA
    UTVGVLVKINMZAPZUFQVBVFVKBJKZFGZVKRFGVKUTVGVHVFVPTVAVIVJABUGOVBVORVKFVAVORTU
    TBUHUIULVBVKVBVKVBAUTVGVAVIQUJUKUMUNZUOVBVFVKINVQUTVMVAUTVGVLVMVNUPQUQVCPUR
    $.

  $( Closure of the natural logarithm function on positive reals.  (Contributed
     by Steve Rodriguez, 25-Nov-2007.) $)
  relogcl $p |- ( A e. RR+ -> ( log ` A ) e. RR ) $=
    ( crp wcel clog cres cr fvres wf1o wf relogf1o f1of ax-mp ffvelrni eqeltrrd
    cfv ) ABCADBEZOADOFABDGBFAPBFPHBFPIJBFPKLMN $.

  $( Relationship between the natural logarithm function and the exponential
     function.  (Contributed by Paul Chapman, 21-Apr-2008.) $)
  eflog $p |- ( ( A e. CC /\ A =/= 0 ) -> ( exp ` ( log ` A ) ) = A ) $=
    ( cc wcel cc0 wne wa clog cfv ce crn cres ccnv dflog2 fveq1i fveq2i logrncl
    fvresd csn cdif wceq eldifsn wf1o eff1o2 f1ocnvfv2 mpan sylbir 3eqtr3a ) AB
    CADEFZAGHZIGJZKZHAUKLZHZUKHZUIIHAUIUMUKAGULMNOUHUIUJIAPQUHABDRSZCZUNATZABDU
    AUJUOUKUBUPUQUCUJUOAUKUDUEUFUG $.

  $( If the logarithm of a number is 0, the number must be 1.  (Contributed by
     David A. Wheeler, 22-Jul-2017.) $)
  logeq0im1 $p |- ( ( A e. CC /\ A =/= 0 /\ ( log ` A ) = 0 ) -> A = 1 ) $=
    ( cc wcel cc0 wne clog cfv wceq w3a ce c1 eflog 3adant3 ef0 eqtrdi 3ad2ant3
    fveq2 eqtr3d ) ABCZADEZAFGZDHZIUAJGZAKSTUCAHUBALMUBSUCKHTUBUCDJGKUADJQNOPR
    $.

  $( The logarithm isn't 0 if its argument isn't 0 or 1.  (Contributed by David
     A. Wheeler, 17-Jul-2017.) $)
  logccne0 $p |- ( ( A e. CC /\ A =/= 0 /\ A =/= 1 ) -> ( log ` A ) =/= 0 ) $=
    ( cc wcel cc0 wne c1 w3a clog wceq simp3 neneqd wi logeq0im1 3expia 3adant3
    cfv mtod neqned ) ABCZADEZAFEZGZAHPZDUBUCDIZAFIZUBAFSTUAJKSTUDUELUASTUDUEAM
    NOQR $.

  $( Logarithm of a non-1 positive real number is not zero and thus suitable as
     a divisor.  (Contributed by Stefan O'Rear, 19-Sep-2014.)  (Proof shortened
     by AV, 14-Jun-2020.) $)
  logne0 $p |- ( ( A e. RR+ /\ A =/= 1 ) -> ( log ` A ) =/= 0 ) $=
    ( crp wcel c1 wne wa cc0 clog cfv rpcn adantr rpne0 simpr logccne0 syl3anc
    cc ) ABCZADEZFAPCZAGEZRAHIGEQSRAJKQTRALKQRMANO $.

  $( Relationship between the natural logarithm function and the exponential
     function.  (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
  reeflog $p |- ( A e. RR+ -> ( exp ` ( log ` A ) ) = A ) $=
    ( crp wcel cc cc0 wne wa clog cfv ce wceq rpcnne0 eflog syl ) ABCADCAEFGAHI
    JIAKALAMN $.

  $( Relationship between the natural logarithm function and the exponential
     function.  (Contributed by Paul Chapman, 21-Apr-2008.) $)
  logef $p |- ( A e. ran log -> ( log ` ( exp ` A ) ) = A ) $=
    ( clog crn wcel ce cres cfv ccnv dflog2 fveq1i fvres fveq2d cc cc0 csn cdif
    wf1o wceq eff1o2 f1ocnvfv1 mpan 3eqtr3a ) ABCZDZAEUCFZGZBGUFUEHZGZAEGZBGAUF
    BUGIJUDUFUIBAUCEKLUCMNOPZUEQUDUHARSUCUJAUETUAUB $.

  $( Relationship between the natural logarithm function and the exponential
     function.  (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
  relogef $p |- ( A e. RR -> ( log ` ( exp ` A ) ) = A ) $=
    ( cr wcel clog crn ce cfv wceq relogrn logef syl ) ABCADECAFGDGAHAIAJK $.

  $( Relationship between the natural logarithm function and the exponential
     function.  (Contributed by Paul Chapman, 21-Apr-2008.) $)
  logeftb $p |- ( ( A e. CC /\ A =/= 0 /\ B e. ran log ) ->
                  ( ( log ` A ) = B <-> ( exp ` B ) = A ) ) $=
    ( cc wcel cc0 wne clog crn cfv wceq ce wb csn cdif eldifsn cres ccnv dflog2
    wa fveq1i eqeq1i fvres eqeq1d adantr eff1o2 f1ocnvfvb mp3an1 bitr3d bitr4id
    wf1o ancoms sylanbr 3impa ) ACDZAEFZBGHZDZAGIZBJZBKIZAJZLZUNUOSACEMNZDZUQVB
    ACEOVDUQSUSAKUPPZQZIZBJZVAURVGBAGVFRTUAUQVDVAVHLUQVDSBVEIZAJZVAVHUQVJVALVDU
    QVIUTABUPKUBUCUDUPVCVEUJUQVDVJVHLUEUPVCBAVEUFUGUHUKUIULUM $.

  $( Relationship between the natural logarithm function and the exponential
     function.  (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
  relogeftb $p |- ( ( A e. RR+ /\ B e. RR ) ->
                    ( ( log ` A ) = B <-> ( exp ` B ) = A ) ) $=
    ( crp wcel cc cc0 wne wa clog crn cfv wceq ce wb cr rpcnne0 relogrn logeftb
    3expa syl2an ) ACDAEDZAFGZHBIJDZAIKBLBMKALNZBODAPBQUAUBUCUDABRST $.

  $( The natural logarithm of ` 1 ` .  One case of Property 1a of [Cohen]
     p. 301.  (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
  log1 $p |- ( log ` 1 ) = 0 $=
    ( c1 clog cfv cc0 wceq ce ef0 crp wcel cr wb 1rp 0re relogeftb mp2an mpbir
    ) ABCDEZDFCAEZGAHIDJIQRKLMADNOP $.

  $( The natural logarithm of ` _e ` .  One case of Property 1b of [Cohen]
     p. 301.  (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
  loge $p |- ( log ` _e ) = 1 $=
    ( ceu clog cfv c1 wceq ce df-e eqcomi crp wcel cr epr relogeftb mp2an mpbir
    wb 1re ) ABCDEZDFCZAEZASGHAIJDKJRTPLQADMNO $.

  $( The natural logarithm of a negative real number.  (Contributed by Mario
     Carneiro, 13-May-2014.)  (Revised by Mario Carneiro, 3-Apr-2015.) $)
  logneg $p |- ( A e. RR+ -> ( log ` -u A ) =
                 ( ( log ` A ) + ( _i x. _pi ) ) ) $=
    ( wcel clog cfv ci cpi cmul co ce cneg cc wceq sylancl clt wbr cle pipos cr
    cc0 pire crp caddc c1 relogcl recnd ax-icn picn mulcli efadd oveq2i reeflog
    efipi oveq1d syl5eq rpcn neg1cn mulcom mulm1d eqtrd 3eqtrd fveq2d crn addcl
    cim wb lt0neg2 ax-mp mpbi renegcli 0re lttri mp2an breqtrrid leidi eqbrtrdi
    crim ellogrn syl3anbrc logef syl eqtr3d ) AUABZACDZEFGHZUBHZIDZCDZAJZCDWEWB
    WFWHCWBWFWCIDZWDIDZGHZAUCJZGHZWHWBWCKBZWDKBZWFWKLWBWCAUDZUEZEFUFUGUHZWCWDUI
    MWBWKWIWLGHWMWJWLWIGULUJWBWIAWLGAUKUMUNWBWMWLAGHZWHWBAKBWLKBWMWSLAUOZUPAWLU
    QMWBAWTURUSUTVAWBWECVBBZWGWELWBWEKBZFJZWEVDDZNOXDFPOXAWBWNWOXBWQWRWCWDVCMWB
    XCFXDNXCSNOZSFNOZXCFNOXFXEQFRBZXFXEVETFVFVGVHQXCSFFTVIVJTVKVLWBWCRBXGXDFLWP
    TWCFVPMZVMWBXDFFPXHFTVNVOWEVQVRWEVSVTWA $.

  $( The natural logarithm of negative ` 1 ` .  (Contributed by Paul Chapman,
     21-Apr-2008.)  (Revised by Mario Carneiro, 13-May-2014.) $)
  logm1 $p |- ( log ` -u 1 ) = ( _i x. _pi ) $=
    ( c1 cneg clog cfv ci cpi cmul co caddc cc0 crp wcel wceq logneg ax-mp log1
    1rp oveq1i ax-icn picn mulcli addid2i 3eqtri ) ABCDZACDZEFGHZIHZJUFIHUFAKLU
    DUGMQANOUEJUFIPRUFEFSTUAUBUC $.

  $( If a number has imaginary part equal to ` _pi ` , then it is on the
     negative real axis and vice-versa.  (Contributed by Mario Carneiro,
     23-Sep-2014.) $)
  lognegb $p |- ( ( A e. CC /\ A =/= 0 ) ->
    ( -u A e. RR+ <-> ( Im ` ( log ` A ) ) = _pi ) ) $=
    ( cc wcel cneg crp clog cfv cim cpi wceq ci cmul co caddc fveq2d cr sylancl
    eqtrd ce recnd cc0 wne wa logneg relogcl pire negneg adantr fveqeq2d syl5ib
    crim cre logcl replimd eflog recld ax-icn imcld mulcl sylancr efadd syl2anc
    c1 3eqtr3d oveq2 efipi eqtrdi oveq2d eqeq2d syl5ibcom rpefcld neg1cn mulcom
    rpcnd mulm1d negeqd negnegd eqeltrd negeq eleq1d syl5ibrcom syld impbid ) A
    BCZAUAUBZUCZADZECZAFGZHGZIJZWHWGDZFGZHGZIJWFWKWHWNWGFGZKILMZNMZHGZIWHWMWQHW
    GUDOWHWOPCIPCWRIJWGUEUFWOIUKQRWFWMWIIHWFWLAFWDWLAJWEAUGUHOUIUJWFWKAWIULGZSG
    ZVCDZLMZJZWHWFAWTKWJLMZSGZLMZJWKXCWFWISGWSXDNMZSGZAXFWFWIXGSWFWIAUMZUNOAUOW
    FWSBCXDBCZXHXFJWFWSWFWIXIUPZTWFKBCWJBCXJUQWFWJWFWIXIURTKWJUSUTWSXDVAVBVDWKX
    FXBAWKXEXAWTLWKXEWPSGXAWKXDWPSWJIKLVEOVFVGVHVIVJWFWHXCXBDZECWFXLWTEWFXLWTDZ
    DWTWFXBXMWFXBXAWTLMZXMWFWTBCXABCXBXNJWFWTWFWSXKVKZVNZVLWTXAVMQWFWTXPVORVPWF
    WTXPVQRXOVRXCWGXLEAXBVSVTWAWBWC $.

  ${
    relogoprlem.1 $e |- ( ( ( log ` A ) e. CC /\ ( log ` B ) e. CC ) ->
                        ( exp ` ( ( log ` A ) F ( log ` B ) ) ) =
                        ( ( exp ` ( log ` A ) ) G ( exp ` ( log ` B ) ) ) ) $.
    relogoprlem.2 $e |- ( ( ( log ` A ) e. RR /\ ( log ` B ) e. RR ) ->
                          ( ( log ` A ) F ( log ` B ) ) e. RR ) $.
    $( Lemma for ~ relogmul and ~ relogdiv .  Remark of [Cohen] p. 301 ("The
       proof of Property 3 is quite similar to the proof given for Property
       2").  (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
    relogoprlem $p |- ( ( A e. RR+ /\ B e. RR+ ) ->
        ( log ` ( A G B ) ) = ( ( log ` A ) F ( log ` B ) ) ) $=
      ( crp wcel wa clog cfv ce co reeflog fveq2d cr wceq relogcl cc recn syl
      oveqan12d syl2an relogef eqtr3d ) AGHZBGHZIZAJKZLKZBJKZLKZDMZJKZABDMZJKUI
      UKCMZUHUMUOJUFUGUJAULBDANBNUBOUFUIPHZUKPHZUNUPQUGARBRUQURIZUPLKZJKZUNUPUQ
      UISHZUKSHZVAUNQURUITUKTVBVCIUTUMJEOUCUSUPPHVAUPQFUPUDUAUEUCUE $.
  $}

  $( The natural logarithm of the product of two positive real numbers is the
     sum of natural logarithms.  Property 2 of [Cohen] p. 301, restricted to
     natural logarithms.  (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
  relogmul $p |- ( ( A e. RR+ /\ B e. RR+ ) ->
                    ( log ` ( A x. B ) ) = ( ( log ` A ) + ( log ` B ) ) ) $=
    ( caddc cmul clog cfv efadd readdcl relogoprlem ) ABCDAEFZBEFZGJKHI $.

  $( The natural logarithm of the quotient of two positive real numbers is the
     difference of natural logarithms.  Exercise 72(a) and Property 3 of
     [Cohen] p. 301, restricted to natural logarithms.  (Contributed by Steve
     Rodriguez, 25-Nov-2007.) $)
  relogdiv $p |- ( ( A e. RR+ /\ B e. RR+ ) ->
                    ( log ` ( A / B ) ) = ( ( log ` A ) - ( log ` B ) ) ) $=
    ( cmin cdiv clog cfv efsub resubcl relogoprlem ) ABCDAEFZBEFZGJKHI $.

  $( Exponentiation of a nonzero complex number to an integer power.
     (Contributed by Paul Chapman, 21-Apr-2008.) $)
  explog $p |- ( ( A e. CC /\ A =/= 0 /\ N e. ZZ ) ->
                  ( A ^ N ) = ( exp ` ( N x. ( log ` A ) ) ) ) $=
    ( cc wcel cc0 wne cz w3a clog cmul co ce cexp wceq logcl efexp stoic3 eflog
    cfv 3adant3 oveq1d eqtr2d ) ACDZAEFZBGDZHZBAISZJKLSZUGLSZBMKZABMKUCUDUGCDUE
    UHUJNAOUGBPQUFUIABMUCUDUIANUEARTUAUB $.

  $( Exponentiation of a positive real number to an integer power.
     (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
  reexplog $p |- ( ( A e. RR+ /\ N e. ZZ ) ->
                    ( A ^ N ) = ( exp ` ( N x. ( log ` A ) ) ) ) $=
    ( crp wcel cz wa clog cfv cmul co ce cexp cc wceq relogcl recnd efexp sylan
    reeflog oveq1d adantr eqtr2d ) ACDZBEDZFBAGHZIJKHZUEKHZBLJZABLJZUCUEMDUDUFU
    HNUCUEAOPUEBQRUCUHUINUDUCUGABLASTUAUB $.

  $( The natural logarithm of positive ` A ` raised to an integer power.
     Property 4 of [Cohen] p. 301-302, restricted to natural logarithms and
     integer powers ` N ` .  (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
  relogexp $p |- ( ( A e. RR+ /\ N e. ZZ ) ->
                    ( log ` ( A ^ N ) ) = ( N x. ( log ` A ) ) ) $=
    ( crp wcel cz wa clog cfv cmul co ce cexp cc wceq relogcl recnd efexp sylan
    reeflog cr oveq1d adantr eqtrd fveq2d zre remulcl syl2anr relogef eqtr3d
    syl ) ACDZBEDZFZBAGHZIJZKHZGHZABLJZGHUOUMUPURGUMUPUNKHZBLJZURUKUNMDULUPUTNU
    KUNAOZPUNBQRUKUTURNULUKUSABLASUAUBUCUDUMUOTDZUQUONULBTDUNTDVBUKBUEVABUNUFUG
    UOUHUJUI $.

  $( Real part of a logarithm.  (Contributed by Mario Carneiro,
     15-Sep-2014.) $)
  relog $p |- ( ( A e. CC /\ A =/= 0 ) ->
                  ( Re ` ( log ` A ) ) = ( log ` ( abs ` A ) ) ) $=
    ( cc wcel cc0 wne wa clog cfv cre ce cabs cr wceq logcl recld relogef absef
    syl fveq2d eqtr3d eflog ) ABCADEFZAGHZIHZJHZGHZUDAKHZGHUBUDLCUFUDMUBUCANZOU
    DPRUBUEUGGUBUCJHZKHZUEUGUBUCBCUJUEMUHUCQRUBUIAKAUASTST $.

  $( The natural logarithm function on positive reals determines an isomorphism
     from the positive reals onto the reals.  (Contributed by Steve Rodriguez,
     25-Nov-2007.) $)
  relogiso $p |- ( log |` RR+ ) Isom < , < ( RR+ , RR ) $=
    ( crp cr clog cres wiso ce ccnv reefiso isocnv ax-mp wceq wb dfrelog isoeq1
    clt mpbir ) ABOOCADZEZABOOFBDZGZEZBAOOSEUAHBAOOSIJQTKRUALMABOOTQNJP $.

  ${
    reloggim.1 $e |- P = ( ( mulGrp ` CCfld ) |`s RR+ ) $.
    $( The natural logarithm is a group isomorphism from the group of positive
       reals under multiplication to the group of reals under addition.
       (Contributed by Mario Carneiro, 21-Jun-2015.)  (Revised by Thierry
       Arnoux, 30-Jun-2019.) $)
    reloggim $p |- ( log |` RR+ ) e. ( P GrpIso RRfld ) $=
      ( clog cres ce cr ccnv crefld cgim co dfrelog wcel reefgim gimcnv eqeltri
      crp ax-mp ) CPDEFDZGZAHIJZKRHAIJLSTLABMHARNQO $.
  $}

  ${
    $d n x y A $.  $d n y B $.  $d k n N $.
    $( The natural logarithm function on positive reals is strictly monotonic.
       (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
    logltb $p |- ( ( A e. RR+ /\ B e. RR+ ) ->
                    ( A < B <-> ( log ` A ) < ( log ` B ) ) ) $=
      ( vx vy crp wcel wa clt wbr clog cres cv wb wral wceq fveq2 bibi12d fvres
      cfv cr wf1o wiso relogiso df-isom simpri breq1 breq1d breq2 breq2d rspc2v
      mpbi mpi breqan12d bitrd ) AEFZBEFZGZABHIZAJEKZSZBUSSZHIZAJSZBJSZHIUQCLZD
      LZHIZVEUSSZVFUSSZHIZMZDENCENZURVBMZETUSUAZVLETHHUSUBVNVLGUCCDETHHUSUDUKUE
      VKVMAVFHIZUTVIHIZMCDABEEVEAOZVGVOVJVPVEAVFHUFVQVHUTVIHVEAUSPUGQVFBOZVOURV
      PVBVFBAHUHVRVIVAUTHVFBUSPUIQUJULUOUPUTVCVAVDHAEJRBEJRUMUN $.

    $( The logarithm of a factorial can be expressed as a finite sum of logs.
       (Contributed by Mario Carneiro, 17-Apr-2015.) $)
    logfac $p |- ( N e. NN0 ->
      ( log ` ( ! ` N ) ) = sum_ k e. ( 1 ... N ) ( log ` k ) ) $=
      ( vn wcel cn cc0 wceq cfa cfv clog c1 cfz co cv cmul cid caddc crp adantl
      c0 cn0 wo csu elnn0 cseq wa rpmulcl cvv fvi elv elfznn nnrpd eqeltrid cuz
      elnnuz biimpi relogmul fveq2i seqhomo facnn fveq2d eqidd cr relogcl recnd
      a1i fsumser 3eqtr4d log1 sum0 eqtr4i fveq2 fac0 eqtrdi oveq2 fz10 sumeq1d
      syl 3eqtr4a jaoi sylbi ) BUADBEDZBFGZUBBHIZJIZKBLMZANZJIZAUCZGZBUDWBWJWCW
      BBOPKUEIZJIBQJKUEIWEWIWBACOQRPJJKBWGRDZCNZRDUFZWGWMOMZRDWBWGWMUGSWBWGWFDZ
      UFZWGPIZWGRWRWGGAWGUHUIUJZWQWGWPWGEDWBWGBUKSULZUMWBBKUNIDBUOUPZWNWOJIWHWM
      JIQMGWBWGWMUQSWRJIWHGWQWRWGJWSURVFUSWBWDWKJBUTVAWBWHAJKBWQWHVBXAWQWHWQWLW
      HVCDWTWGVDVRVEVGVHWCKJIZTWHAUCZWEWIXBFXCVIWHAVJVKWCWDKJWCWDFHIKBFHVLVMVNV
      AWCWFTWHAWCWFKFLMTBFKLVOVPVNVQVSVTWA $.

    $( Solve an equation involving an exponential.  (Contributed by Mario
       Carneiro, 23-Apr-2015.) $)
    eflogeq $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) -> ( ( exp ` A ) = B <->
      E. n e. ZZ A = ( ( log ` B ) + ( ( _i x. ( 2 x. _pi ) ) x. n ) ) ) ) $=
      ( cc wcel cc0 wne ce cfv wceq clog ci c2 cpi cmul co caddc cz cdiv c1 w3a
      cv wrex cmin efcl efne0 logcld efsub mpdan eflog syl2anc oveq2d dividd wb
      3eqtrd subcl efeq1 syl ax-icn 2cn picn mulcli a1i ine0 2ne0 pire gt0ne0ii
      mpbid pipos mulne0i divcan2d pncan3 mpancom oveq2 rspceeqv 3ad2ant1 fveq2
      eqtr2d oveq1d eqeq2d rexbidv syl5ibcom wa logcl 3adant1 zcn mulcl sylancr
      adantl efadd ef2kpi oveqan12d simpl2 mulid1d fveqeq2 syl5ibrcom rexlimdva
      syl2an2r impbid ) ADEZBDEZBFGZUAZAHIZBJZABKIZLMNOPZOPZCUBZOPZQPZJZCRUCZXC
      AXDKIZXJQPZJZCRUCZXEXMWTXAXQXBWTAXNUDPZXHSPZREZAXNXHXSOPZQPZJXQWTXRHIZTJZ
      XTWTYCXDXNHIZSPZXDXDSPTWTXNDEZYCYFJWTXDAUEZAUFZUGZAXNUHUIWTYEXDXDSWTXDDEX
      DFGYEXDJYHYIXDUJUKULWTXDYHYIUMUOWTXRDEZYDXTUNWTYGYKYJAXNUPUIZXRUQURVHWTYB
      XNXRQPZAWTYAXRXNQWTXRXHYLXHDEZWTLXGUSMNUTVAVBZVBZVCXHFGWTLXGUSYOVDMNUTVAV
      ENVFVIVGVJVJVCVKULYGWTYMAJYJXNAVLVMVRCXSRXOYBAXIXSJXJYAXNQXIXSXHOVNULVOUK
      VPXEXPXLCRXEXOXKAXEXNXFXJQXDBKVQVSVTWAWBXCXLXECRXCXIREZWCZXEXLXKHIZBJYRYS
      XFHIZXJHIZOPZBTOPBXCXFDEZYQXJDEZYSUUBJXAXBUUCWTBWDWEYRYNXIDEZUUDYPYQUUEXC
      XIWFWIXHXIWGWHXFXJWJWRXCYQYTBUUATOXAXBYTBJWTBUJWEXIWKWLYRBWTXAXBYQWMWNUOA
      XKBHWOWPWQWS $.
  $}

  $( Natural logarithm preserves ` <_ ` .  (Contributed by Stefan O'Rear,
     19-Sep-2014.) $)
  logleb $p |- ( ( A e. RR+ /\ B e. RR+ ) ->
      ( A <_ B <-> ( log ` A ) <_ ( log ` B ) ) ) $=
    ( crp wcel wa clt wbr wn clog cfv cle wb logltb ancoms notbid cr rpre lenlt
    syl2an relogcl 3bitr4d ) ACDZBCDZEZBAFGZHZBIJZAIJZFGZHZABKGZUHUGKGZUDUEUIUC
    UBUEUILBAMNOUBAPDBPDUKUFLUCAQBQABRSUBUHPDUGPDULUJLUCATBTUHUGRSUA $.

  $( Closure of the logarithm function in the positive reals.  (Contributed by
     Mario Carneiro, 21-Sep-2014.) $)
  rplogcl $p |- ( ( A e. RR /\ 1 < A ) -> ( log ` A ) e. RR+ ) $=
    ( cr wcel c1 clt wbr wa clog cfv crp simpl 0red 1red 0lt1 simpr lttrd elrpd
    cc0 a1i relogcl syl log1 wb 1rp logltb sylancr mpbid eqbrtrrid ) ABCZDAEFZG
    ZAHIZUKAJCZULBCUKAUIUJKZUKRDAUKLUKMUNRDEFUKNSUIUJOZPQZATUAUKRDHIZULEUBUKUJU
    QULEFZUOUKDJCUMUJURUCUDUPDAUEUFUGUHQ $.

  $( The logarithm of a number greater than 1 is nonnegative.  (Contributed by
     Mario Carneiro, 29-May-2016.) $)
  logge0 $p |- ( ( A e. RR /\ 1 <_ A ) -> 0 <_ ( log ` A ) ) $=
    ( cr wcel c1 cle wbr wa cc0 clog cfv log1 simpr crp wb rpgecl mp3an1 logleb
    1rp sylancr mpbid eqbrtrrid ) ABCZDAEFZGZHDIJZAIJZEKUDUCUEUFEFZUBUCLUDDMCZA
    MCZUCUGNRUHUBUCUIRDAOPDAQSTUA $.

  $( The natural logarithm distributes under conjugation away from the branch
     cut.  (Contributed by Mario Carneiro, 25-Feb-2015.) $)
  logcj $p |- ( ( A e. CC /\ ( Im ` A ) =/= 0 ) ->
    ( log ` ( * ` A ) ) = ( * ` ( log ` A ) ) ) $=
    ( cc wcel cim cfv cc0 wne ccj clog wceq sylan2 wb adantr cpi clt wbr cle cr
    cneg pire wa fveq2 im0 eqtrdi necon3i logcl efcj syl eflog fveq2d eqtrd crn
    ce cjcl simpr cjne0 mpbid cjcld a1i logimcl simprd crp rpre renegcld negneg
    imcld eleq1d syl5ib lognegb reim0b 3imtr3d necon3d mpd necomd leneltd ltneg
    sylancl imcjd breqtrrd simpld wi renegcli sylancr lenegcon1 eqbrtrd ellogrn
    ltle syl3anbrc logeftb syl3anc mpbird ) ABCZADEZFGZUAZAHEZIEAIEZHEZJZWRUMEZ
    WPJZWOWTWQUMEZHEZWPWOWQBCZWTXCJWNWLAFGZXDAFWMFAFJWMFDEFAFDUBUCUDUEZAUFKZWQU
    GUHWOXBAHWNWLXEXBAJXFAUIKUJUKWOWPBCZWPFGZWRIULCZWSXALWLXHWNAUNMWOXEXIWOWNXE
    WLWNUOZXFUHWLXEXILWNAUPMUQWOWRBCNSZWRDEZOPXMNQPXJWOWQXGURWOXLWQDEZSZXMOWOXN
    NOPZXLXOOPZWOXNNWOWQXGVFZNRCZWOTUSWOXLXNOPZXNNQPZWNWLXEXTYAUAXFAUTKZVAWOXNN
    WOWNXNNGXKWOXNNWMFWOASZVBCZARCZXNNJZWMFJZYDYCSZRCWOYEYDYCYCVCVDWOYHARWLYHAJ
    WNAVEMVGVHWNWLXEYDYFLXFAVIKWLYEYGLWNAVJMVKVLVMVNVOWOXNRCZXSXPXQLXRTXNNVPVQU
    QWOWQXGVRZVSWOXMXONQYJWOXLXNQPZXONQPZWOXTYKWOXTYAYBVTWOXLRCYIXTYKWANTWBXRXL
    XNWGWCVMWOXSYIYKYLLTXRNXNWDWCUQWEWRWFWHWPWRWIWJWK $.

  $( The exponential of the "arg" function ` Im o. log ` .  (Contributed by
     Mario Carneiro, 25-Feb-2015.) $)
  efiarg $p |- ( ( A e. CC /\ A =/= 0 ) ->
    ( exp ` ( _i x. ( Im ` ( log ` A ) ) ) ) = ( A / ( abs ` A ) ) ) $=
    ( cc wcel cc0 wne wa clog cfv cre cmin co ce cdiv ci cim wceq recnd syl2anc
    fveq2d eflog cmul cabs logcl recld efsub ax-icn imcld mulcl sylancr replimd
    mvrladdd relog cr abscl adantr absrpcl rpne0d eqtrd oveq12d 3eqtr3d ) ABCZA
    DEZFZAGHZVDIHZJKZLHZVDLHZVELHZMKZNVDOHZUAKZLHAAUBHZMKVCVDBCVEBCVGVJPAUCZVCV
    EVCVDVNUDQZVDVEUERVCVFVLLVCVDVEVLVOVCNBCVKBCVLBCUFVCVKVCVDVNUGQNVKUHUIVCVDV
    NUJUKSVCVHAVIVMMATVCVIVMGHZLHZVMVCVEVPLAULSVCVMBCVMDEVQVMPVCVMVAVMUMCVBAUNU
    OQVCVMAUPUQVMTRURUSUT $.

  ${
    cosargd.1 $e |- ( ph -> X e. CC ) $.
    cosargd.2 $e |- ( ph -> X =/= 0 ) $.
    $( The cosine of the argument is the quotient of the real part and the
       absolute value.  Compare to ~ efiarg .  (Contributed by David Moews,
       28-Feb-2017.) $)
    cosargd $p |- ( ph -> ( cos ` ( Im ` ( log ` X ) ) ) =
                          ( ( Re ` X ) / ( abs ` X ) ) ) $=
      ( ccj cfv caddc co cdiv c2 recnd cc0 a1i ci cmul ce cc wcel wceq syl cabs
      clog cim ccos cjcld addcld abscld 2cnd absne0d 2ne0 divdiv32d cneg logcld
      cre wne imcld cosval efiarg syl2anc ax-icn mulcld efcj cjmuld cji oveq12d
      cjred fveq2d 3eqtr3d cjdivd oveq2d 3eqtrd divdird eqtr4d oveq1d 3eqtr4d
      eqtrd reval ) ABBEFZGHZBUAFZIHZJIHZVSJIHZVTIHBUBFZUCFZUDFZBUNFZVTIHAVSVTJ
      ABVRCABCUEZUFAVTABCUGZKZAUHABCDUIZJLUOAUJMUKAWFNWEOHZPFZNULZWEOHZPFZGHZJI
      HZWBAWEQRWFWRSAWEAWDABCDUMUPZKZWEUQTAWQWAJIAWQBVTIHZVRVTIHZGHWAAWMXAWPXBG
      ABQRZBLUOWMXASCDBURUSZAWPXAEFZVRVTEFZIHXBAWLEFZPFZWMEFZWPXEAWLQRXHXISANWE
      NQRAUTMZWTVAWLVBTAXGWOPAXGNEFZWEEFZOHWOANWEXJWTVCAXKWNXLWEOXKWNSAVDMAWEWS
      VFVEVPVGAWMXAEXDVGVHABVTCWJWKVIAXFVTVRIAVTWIVFVJVKVEABVRVTCWHWJWKVLVMVNVP
      AWGWCVTIAXCWGWCSCBVQTVNVO $.

    $( The cosine of the argument is zero precisely on the imaginary axis.
       (Contributed by David Moews, 28-Feb-2017.) $)
    cosarg0d $p |- ( ph -> ( ( cos ` ( Im ` ( log ` X ) ) ) = 0 <->
                           ( Re ` X ) = 0 ) ) $=
      ( clog cfv cim ccos cc0 wceq cre cabs cdiv co cosargd eqeq1d recld abscld
      recnd absne0d diveq0ad bitrd ) ABEFGFHFZIJBKFZBLFZMNZIJUDIJAUCUFIABCDOPAU
      DUEAUDABCQSAUEABCRSABCDTUAUB $.
  $}

  $( Closure of the argument of a complex number with positive real part.
     (Contributed by Mario Carneiro, 25-Feb-2015.) $)
  argregt0 $p |- ( ( A e. CC /\ 0 < ( Re ` A ) ) ->
    ( Im ` ( log ` A ) ) e. ( -u ( _pi / 2 ) (,) ( _pi / 2 ) ) ) $=
    ( cc wcel cc0 cre cfv clt wbr wa cr cpi co wceq syldan ccos wb cle halfpire
    cmul pire clog cim c2 cdiv cneg cioo wne recl gt0ne0 sylan fveq2 re0 eqtrdi
    necon3i syl logcl imcld cabs coshalfpi ci ce simpr abscl adantr recnd simpl
    mul01d crp absrpcl rpne0d divcld remul2d divcan2d fveq2d eqtr3d 3brtr4d 0re
    a1i recld ltmul2d mpbird efiarg breqtrrd recosval cosneg fveqeq2 syl5ibrcom
    wi absord mpjaod eqbrtrid cicc abscld absge0d logimcl renegcli ltle sylancr
    simpld simprd absle sylancl mpbir2and elicc2i syl3anbrc pirp rphalfcl rpge0
    mpd mp2b rphalflt ax-mp ltleii mpbir3an cosord abslt mpbid cxr rexri elioo2
    w3a mp2an ) ABCZDAEFZGHZIZAUAFZUBFZJCZKUCUDLZUEZYHGHZYHYJGHZYHYKYJUFLCZYFYG
    YCYEADUGZYGBCYFYDDUGZYOYCYDJCYEYPAUHYDUIUJADYDDADMYDDEFDADEUKULUMUNUOZAUPNU
    QZYFYLYMYFYHURFZYJGHZYLYMIZYFYTYJOFZYSOFZGHZYFUUBDUUCGUSYFDYHOFZUUCGYFDUTYH
    SLVAFZEFZUUEGYFDAAURFZUDLZEFZUUGGYFDUUJGHUUHDSLZUUHUUJSLZGHYFDYDUUKUULGYCYE
    VBYFUUHYFUUHYCUUHJCYEAVCVDZVEZVGYFUUHUUISLZEFUULYDYFUUHUUIUUMYFAUUHYCYEVFZU
    UNYFUUHYCYEYOUUHVHCYQAVINZVJZVKZVLYFUUOAEYFAUUHUUPUUNUURVMVNVOVPYFDUUJUUHDJ
    CYFVQVRYFUUIUUSVSUUQVTWAYFUUFUUIEYCYEYOUUFUUIMYQAWBNVNWCYFYIUUEUUGMYRYHWDUO
    WCYFYSYHMZUUCUUEMZYSYHUEZMZUUTUVAWHYFYSYHOUKVRYFUVAUVCUVBOFUUEMZYFYHBCUVDYF
    YHYRVEZYHWEUOYSUVBUUEOWFWGYFYHYRWIWJWCWKYFYSDKWLLZCZYJUVFCZYTUUDPYFYSJCDYSQ
    HYSKQHZUVGYFYHUVEWMYFYHUVEWNYFUVIKUEZYHQHZYHKQHZYFUVJYHGHZUVKYFUVMUVLYCYEYO
    UVMUVLIYQAWONZWSYFUVJJCYIUVMUVKWHKTWPYRUVJYHWQWRXIYFUVMUVLUVNWTYFYIKJCUVIUV
    KUVLIPYRTYHKXAXBXCDKYSVQTXDXEUVHYJJCZDYJQHZYJKQHRKVHCZYJVHCUVPXFKXGYJXHXJYJ
    KRTUVQYJKGHXFKXKXLXMDKYJVQTXDXNYSYJXOXBWAYFYIUVOYTUUAPYRRYHYJXPXBXQZWSYFYLY
    MUVRWTYKXRCYJXRCYNYIYLYMYAPYKYJRWPXSYJRXSYKYJYHXTYBXE $.

  $( Closure of the argument of a complex number with nonnegative real part.
     (Contributed by Mario Carneiro, 2-Apr-2015.) $)
  argrege0 $p |- ( ( A e. CC /\ A =/= 0 /\ 0 <_ ( Re ` A ) ) ->
    ( Im ` ( log ` A ) ) e. ( -u ( _pi / 2 ) [,] ( _pi / 2 ) ) ) $=
    ( cc wcel cc0 cre cfv cle wbr cr cpi co 3adant3 ccos cmul 0re wceq halfpire
    clt wb pire wne w3a clog cim c2 cdiv cneg cicc logcl imcld cabs wa ci simp3
    simp1 abscld recnd mul01d crp absrpcl rpne0d divcld remul2d divcan2d fveq2d
    ce eqtr3d 3brtr4d a1i recld lemul2d mpbird efiarg breqtrrd recosval wn pirp
    rphalfcl rpge0 mp2b rphalflt ltleii elicc2i mpbir3an absge0d logimcl simpld
    syl ax-mp wi renegcli ltle sylancr simprd absle sylancl mpbir2and syl3anbrc
    mpd cosord cosneg fveqeq2 syl5ibrcom absord mpjaod coshalfpi breq12d notbid
    fveq2 bitrd lenlt recoscld 3bitr4d mpbid ) ABCZADUAZDAEFZGHZUBZAUCFZUDFZICZ
    JUEUFKZUGZYAGHZYAYCGHZYAYDYCUHKCXSXTXOXPXTBCXRAUILUJZXSYEYFXSYAUKFZYCGHZYEY
    FULZXSYIDYAMFZGHZXSDUMYANKVFFZEFZYKGXSDAAUKFZUFKZEFZYNGXSDYQGHYODNKZYOYQNKZ
    GHXSDXQYRYSGXOXPXRUNXSYOXSYOXSAXOXPXRUOZUPZUQZURXSYOYPNKZEFYSXQXSYOYPUUAXSA
    YOYTUUBXSYOXOXPYOUSCXRAUTLZVAZVBZVCXSUUCAEXSAYOYTUUBUUEVDVEVGVHXSDYQYODICZX
    SOVIXSYPUUFVJUUDVKVLXSYMYPEXOXPYMYPPXRAVMLVEVNXSYBYKYNPYGYAVOWHVNXSYCYHRHZV
    PZYKDRHZVPZYIYLXSUUHUUJXSUUHYHMFZYCMFZRHZUUJXSYCDJUHKZCZYHUUOCZUUHUUNSUUPYC
    ICZDYCGHZYCJGHQJUSCZYCUSCUUSVQJVRYCVSVTYCJQTUUTYCJRHVQJWAWIWBDJYCOTWCWDXSYH
    ICZDYHGHYHJGHZUUQXSYAXSYAYGUQZUPZXSYAUVCWEXSUVBJUGZYAGHZYAJGHZXSUVEYARHZUVF
    XSUVHUVGXOXPUVHUVGULXRAWFLZWGXSUVEICYBUVHUVFWJJTWKYGUVEYAWLWMWSXSUVHUVGUVIW
    NXSYBJICUVBUVFUVGULSYGTYAJWOWPWQDJYHOTWCWRYCYHWTWMXSUULYKUUMDRXSYHYAPZUULYK
    PZYHYAUGZPZUVJUVKWJXSYHYAMXIVIXSUVKUVMUVLMFYKPZXSYABCUVNUVCYAXAWHYHUVLYKMXB
    XCXSYAYGXDXEUUMDPXSXFVIXGXJXHXSUVAUURYIUUISUVDQYHYCXKWPXSUUGYKICYLUUKSOXSYA
    YGXLDYKXKWMXMVLXSYBUURYIYJSYGQYAYCWOWPXNZWGXSYEYFUVOWNYDYCYAYCQWKQWCWR $.

  $( Closure of the argument of a complex number with positive imaginary part.
     (Contributed by Mario Carneiro, 25-Feb-2015.) $)
  argimgt0 $p |- ( ( A e. CC /\ 0 < ( Im ` A ) ) ->
    ( Im ` ( log ` A ) ) e. ( 0 (,) _pi ) ) $=
    ( wcel cc0 cim cfv clt wbr cr cpi wceq syl syldan cneg cmul adantr 0re pire
    co cle wb cc clog cioo wne imcl gt0ne0 sylan fveq2 im0 eqtrdi necon3i logcl
    wa imcld csin ci ce cabs cdiv simpr abscl recnd mul01d simpl absrpcl rpne0d
    crp divcld immul2d divcan2d fveq2d eqtr3d 3brtr4d a1i ltmul2d mpbird efiarg
    breqtrrd resinval resincld lt0neg2d mpbid caddc cicc readdcl sylancl df-neg
    wn cmin logimcl simpld wi renegcli ltle sylancr eqbrtrrid lesubaddd leadd1d
    mpd biimpa picn addid2i breqtrdi elicc2i syl3anbrc sinq12ge0 sinppi breqtrd
    ex con3d renegcld ltnle 3imtr4d simprd negneg eleq1d syl5ib lognegb 3imtr3d
    rpre reim0b necon3d necomd leneltd cxr w3a 0xr rexri elioo2 mp2an ) AUABZCA
    DEZFGZUMZAUBEZDEZHBZCYPFGZYPIFGZYPCIUCRBZYNYOYKYMACUDZYOUABYNYLCUDZUUAYKYLH
    BYMUUBAUEYLUFUGZACYLCACJYLCDECACDUHUIUJUKKZAULLUNZYNYPUOEZMZCFGZYRYNCUUFFGU
    UHYNCUPYPNRUQEZDEZUUFFYNCAAUREZUSRZDEZUUJFYNCUUMFGUUKCNRZUUKUUMNRZFGYNCYLUU
    NUUOFYKYMUTYNUUKYNUUKYKUUKHBYMAVAOZVBZVCYNUUKUULNRZDEUUOYLYNUUKUULUUPYNAUUK
    YKYMVDZUUQYNUUKYKYMUUAUUKVGBUUDAVELZVFZVHZVIYNUURADYNAUUKUUSUUQUVAVJVKVLVMY
    NCUUMUUKCHBZYNPVNZYNUULUVBUNUUTVOVPYNUUIUULDYKYMUUAUUIUULJUUDAVQLVKVRYNYQUU
    FUUJJUUEYPVSKVRYNUUFYNYPUUEVTZWAWBYNCUUGSGZWHZYPCSGZWHZUUHYRYNUVHUVFYNUVHUV
    FYNUVHUMZCYPIWCRZUOEZUUGSUVJUVKCIWDRBZCUVLSGUVJUVKHBZCUVKSGZUVKISGUVMYNUVNU
    VHYNYQIHBZUVNUUEQYPIWEWFOYNUVOUVHYNCIWIRZYPSGUVOYNUVQIMZYPSIWGYNUVRYPFGZUVR
    YPSGZYNUVSYPISGZYKYMUUAUVSUWAUMUUDAWJLZWKYNUVRHBYQUVSUVTWLIQWMUUEUVRYPWNWOW
    SWPYNCIYPUVDUVPYNQVNZUUEWQWBOUVJUVKCIWCRZISYNUVHUVKUWDSGYNYPCIUUEUVDUWCWRWT
    IXAXBXCCIUVKPQXDXEUVKXFKYNUVLUUGJZUVHYNYPUABUWEYNYPUUEVBYPXGKOXHXIXJYNUUGHB
    UVCUUHUVGTYNUUFUVEXKPUUGCXLWFYNUVCYQYRUVITPUUECYPXLWOXMWSYNYPIUUEUWCYNUVSUW
    AUWBXNYNYPIYNUUBYPIUDUUCYNYPIYLCYNAMZVGBZAHBZYPIJZYLCJZUWGUWFMZHBYNUWHUWGUW
    FUWFXTXKYNUWKAHYKUWKAJYMAXOOXPXQYKYMUUAUWGUWITUUDAXRLYKUWHUWJTYMAYAOXSYBWSY
    CYDCYEBIYEBYTYQYRYSYFTYGIQYHCIYPYIYJXE $.

  $( Closure of the argument of a complex number with negative imaginary part.
     (Contributed by Mario Carneiro, 25-Feb-2015.) $)
  argimlt0 $p |- ( ( A e. CC /\ ( Im ` A ) < 0 ) ->
    ( Im ` ( log ` A ) ) e. ( -u _pi (,) 0 ) ) $=
    ( cc wcel cim cfv cc0 clt wbr wa clog cpi cneg cioo wne wceq syl syldan ccj
    cr co simpr lt0ne0d fveq2 im0 eqtrdi necon3i logcl imcld logcj fveq2d imcjd
    eqtrd cjcl adantr lt0neg1d mpbid breqtrrd argimgt0 syl2an2r eliooord simprd
    imcl imcj eqbrtrrd wb pire ltnegcon1 sylancl simpld breqtrd mpbird renegcli
    cxr w3a rexri 0xr elioo2 mp2an syl3anbrc ) ABCZADEZFGHZIZAJEZDEZSCZKLZWEGHZ
    WEFGHZWEWGFMTCZWCWDVTWBAFNZWDBCWCWAFNZWKWCWAVTWBUAZUBZAFWAFAFOWAFDEFAFDUCUD
    UEUFPAUGQZUHZWCWELZKGHZWHWCAREZJEZDEZWQKGWCXAWDREZDEWQWCWTXBDVTWBWLWTXBOWNA
    UIQUJWCWDWOUKULZWCFXAGHZXAKGHZWCXAFKMTCZXDXEIVTWSBCWBFWSDEZGHXFAUMWCFWALZXG
    GWCWBFXHGHWMWCWAVTWASCWBAVBUNUOUPVTXGXHOWBAVCUNUQWSURUSXAFKUTPZVAVDWCWFKSCW
    RWHVEWPVFWEKVGVHUPWCWIFWQGHWCFXAWQGWCXDXEXIVIXCVJWCWEWPUOVKWGVMCFVMCWJWFWHW
    IVNVEWGKVFVLVOVPWGFWEVQVRVS $.

  $( Multiplying a number by ` _i ` increases the logarithm of the number by
     ` _i _pi / 2 ` .  (Contributed by Mario Carneiro, 4-Apr-2015.) $)
  logimul $p |- ( ( A e. CC /\ A =/= 0 /\ 0 <_ ( Re ` A ) ) ->
    ( log ` ( _i x. A ) ) = ( ( log ` A ) + ( _i x. ( _pi / 2 ) ) ) ) $=
    ( cc wcel cfv cle wbr clog ci cpi co cmul caddc ce 3adant3 halfpire sylancl
    wceq a1i clt cr cc0 wne cre w3a c2 logcl ax-icn recni mulcli efadd efhalfpi
    cdiv eflog oveq12d simp1 mulcom 3eqtrd fveq2d crn cneg cim addcl pire imcld
    renegcli readdcl logimcl simpld crp pirp rphalfcl ax-mp ltaddrp lttrd imadd
    wa reim rere eqtr3i oveq2i breqtrrd cmin cicc argrege0 elicc2i pidiv2halves
    eqtrdi simp3bi syl subaddrii breqtrrdi wb leaddsub syl3anc mpbird syl3anbrc
    eqbrtrd ellogrn logef eqtr3d ) ABCZAUAUBZUAAUCDEFZUDZAGDZHIUEULJZKJZLJZMDZG
    DZHAKJZGDXHXDXIXKGXDXIXEMDZXGMDZKJZAHKJZXKXDXEBCZXGBCZXIXNQXAXBXPXCAUFNZHXF
    UGXFOUHZUIZXEXGUJPXDXLAXMHKXAXBXLAQXCAUMNXMHQXDUKRUNXDXAHBCXOXKQXAXBXCUOUGA
    HUPPUQURXDXHGUSCZXJXHQXDXHBCZIUTZXHVADZSFYDIEFYAXDXPXQYBXRXTXEXGVBPXDYCXEVA
    DZXFLJZYDSXDYCYEYFYCTCXDIVCVERXDXEXRVDZXDYETCZXFTCZYFTCYGOYEXFVFPXDYCYESFZY
    EIEFZXAXBYJYKVPXCAVGNVHXDYHXFVICZYEYFSFYGIVICYLVJIVKVLYEXFVMPVNXDYDYEXGVADZ
    LJZYFXDXPXQYDYNQXRXTXEXGVOPYMXFYELXFUCDZYMXFXFBCYOYMQXSXFVQVLYIYOXFQOXFVRVL
    VSVTWGZWAXDYDYFIEYPXDYFIEFZYEIXFWBJZEFZXDYEXFYREXDYEXFUTZXFWCJCZYEXFEFZAWDU
    UAYHYTYEEFUUBYTXFYEXFOVEOWEWHWIIXFXFIVCUHXSXSWFWJWKXDYHYIITCZYQYSWLYGYIXDOR
    UUCXDVCRYEXFIWMWNWOWQXHWRWPXHWSWIWT $.

  $( The logarithm of the negative of a number with positive imaginary part is
     ` _i x. _pi ` less than the original.  (Compare ~ logneg .)  (Contributed
     by Mario Carneiro, 3-Apr-2015.) $)
  logneg2 $p |- ( ( A e. CC /\ 0 < ( Im ` A ) ) ->
    ( log ` -u A ) = ( ( log ` A ) - ( _i x. _pi ) ) ) $=
    ( cc wcel cc0 cim cfv clt wbr clog cpi co cmin cneg cdiv c1 wceq cr sylancl
    cle pire wa ci cmul ce wne imcl gt0ne0 sylan fveq2 im0 eqtrdi necon3i logcl
    syl syldan ax-icn picn mulcli efsub eflog efipi a1i oveq12d ax-1ne0 divneg2
    ax-1cn mp3an23 div1 negeqd eqtr3d adantr 3eqtrd fveq2d crn subcl caddc cioo
    argimgt0 eliooord simpld wb renegcli ltaddpos2 mpbid recnd negsub imsub cre
    breqtrd reim ax-mp rere eqtr3i oveq2i breqtrrd resubcl pipos ltleii subge02
    0re mpbii logimcl simprd letrd eqbrtrd ellogrn syl3anbrc logef ) ABCZDAEFZG
    HZUAZAIFZUBJUCKZLKZUDFZIFZAMZIFXOXLXPXRIXLXPXMUDFZXNUDFZNKZAOMZNKZXRXLXMBCZ
    XNBCZXPYAPXIXKADUEZYDXLXJDUEZYFXIXJQCXKYGAUFXJUGUHADXJDADPXJDEFDADEUIUJUKUL
    UNZAUMUOZUBJUPUQURZXMXNUSRXLXSAXTYBNXIXKYFXSAPYHAUTUOXTYBPXLVAVBVCXIYCXRPXK
    XIAONKZMZYCXRXIOBCODUEYLYCPVFVDAOVEVGXIYKAAVHVIVJVKVLVMXLXOIVNCZXQXOPXLXOBC
    ZJMZXOEFZGHYPJSHYMXLYDYEYNYIYJXMXNVORXLYOXMEFZJLKZYPGXLYOYQYOVPKZYRGXLDYQGH
    ZYOYSGHZXLYTYQJGHZXLYQDJVQKCYTUUBUAAVRYQDJVSUNVTXLYQQCZYOQCYTUUAWAXLYDUUCYI
    XMUFUNZJTWBYQYOWCRWDXLYQBCJBCZYSYRPXLYQUUDWEUQYQJWFRWIXLYPYQXNEFZLKZYRXLYDY
    EYPUUGPYIYJXMXNWGRUUFJYQLJWHFZUUFJUUEUUHUUFPUQJWJWKJQCZUUHJPTJWLWKWMWNUKZWO
    XLYPYRJSUUJXLYRYQJXLUUCUUIYRQCUUDTYQJWPRUUDUUIXLTVBXLDJSHZYRYQSHZDJWTTWQWRX
    LUUCUUIUUKUULWAUUDTYQJWSRXAXLYOYQGHZYQJSHZXIXKYFUUMUUNUAYHAXBUOXCXDXEXOXFXG
    XOXHUNVJ $.

  $( Generalization of ~ relogmul to a complex left argument.  (Contributed by
     Mario Carneiro, 9-Jul-2017.) $)
  logmul2 $p |- ( ( A e. CC /\ A =/= 0 /\ B e. RR+ ) ->
                    ( log ` ( A x. B ) ) = ( ( log ` A ) + ( log ` B ) ) ) $=
    ( cc wcel cc0 wne crp w3a clog caddc co ce cmul wceq logcl 3adant3 3ad2ant3
    cfv cr syl2anc relogcl recnd efadd eflog reeflog oveq12d fveq2d crn logrncl
    eqtrd logrnaddcl logef syl eqtr3d ) ACDZAEFZBGDZHZAIRZBIRZJKZLRZIRZABMKZIRV
    AURVBVDIURVBUSLRZUTLRZMKZVDURUSCDZUTCDVBVGNUOUPVHUQAOPURUTUQUOUTSDZUPBUAQZU
    BUSUTUCTURVEAVFBMUOUPVEANUQAUDPUQUOVFBNUPBUEQUFUJUGURVAIUHZDZVCVANURUSVKDZV
    IVLUOUPVMUQAUIPVJUSUTUKTVAULUMUN $.

  $( Generalization of ~ relogdiv to a complex left argument.  (Contributed by
     Mario Carneiro, 8-Jul-2017.) $)
  logdiv2 $p |- ( ( A e. CC /\ A =/= 0 /\ B e. RR+ ) ->
                    ( log ` ( A / B ) ) = ( ( log ` A ) - ( log ` B ) ) ) $=
    ( cc wcel cc0 wne crp w3a clog cfv cmin co cdiv wceq logcl 3adant3 3ad2ant3
    ce cr syl2anc relogcl recnd efsub eflog reeflog eqtrd fveq2d crn cneg caddc
    oveq12d negsubd logrncl renegcld logrnaddcl eqeltrrd logef syl eqtr3d ) ACD
    ZAEFZBGDZHZAIJZBIJZKLZRJZIJZABMLZIJVFVCVGVIIVCVGVDRJZVERJZMLZVIVCVDCDZVECDV
    GVLNUTVAVMVBAOPZVCVEVBUTVESDVABUAQZUBZVDVEUCTVCVJAVKBMUTVAVJANVBAUDPVBUTVKB
    NVABUEQUKUFUGVCVFIUHZDVHVFNVCVDVEUIZUJLZVFVQVCVDVEVNVPULVCVDVQDZVRSDVSVQDUT
    VAVTVBAUMPVCVEVOUNVDVRUOTUPVFUQURUS $.

  $( Bound on the magnitude of the complex logarithm function.  (Contributed by
     Mario Carneiro, 3-Jul-2017.) $)
  abslogle $p |- ( ( A e. CC /\ A =/= 0 ) ->
    ( abs ` ( log ` A ) ) <_ ( ( abs ` ( log ` ( abs ` A ) ) ) + _pi ) ) $=
    ( cc wcel cc0 wne clog cfv cabs caddc co cpi abscld recnd readdcld a1i cmul
    cr ci fveq2d c1 cim logcl crp absrpcl relogcl syl imcld pire cre cle ax-icn
    recld mulcld abstrid replimd relog eqcomd absmuld absi oveq1i syl5eq eqtr2d
    wa mulid2d oveq12d 3brtr4d abslogimle leadd2dd letrd ) ABCADEVCZAFGZHGZAHGZ
    FGZHGZVKUAGZHGZIJZVOKIJVJVKAUBZLVJVOVQVJVNVJVNVJVMUCCVNQCAUDVMUEUFMLZVJVPVJ
    VPVJVKVSUGMZLZNVJVOKVTKQCVJUHOZNVJVKUIGZRVPPJZIJZHGWDHGZWEHGZIJVLVRUJVJWDWE
    VJWDVJVKVSULMVJRVPRBCVJUKOZWAUMUNVJVKWFHVJVKVSUOSVJVOWGVQWHIVJVNWDHVJWDVNAU
    PUQSVJWHRHGZVQPJZVQVJRVPWIWAURVJWKTVQPJVQWJTVQPUSUTVJVQVJVQWBMVDVAVBVEVFVJV
    QKVOWBWCVTAVGVHVI $.

  $( The basic relation between the "arg" function ` Im o. log ` and the
     arctangent.  (Contributed by Mario Carneiro, 25-Feb-2015.) $)
  tanarg $p |- ( ( A e. CC /\ ( Re ` A ) =/= 0 ) ->
    ( tan ` ( Im ` ( log ` A ) ) ) = ( ( Im ` A ) / ( Re ` A ) ) ) $=
    ( cc wcel cfv cc0 wne c2 ci cmul co cmin caddc cdiv cexp wceq mulcl sylancr
    ax-icn oveq12d oveq2d cre wa clog cim ctan ce cabs fveq2 re0 eqtrdi necon3i
    c1 logcl sylan2 imcld recnd sqcl adantr cr abscl sqcld absrpcl rpne0d sqne0
    crp wb mpbird divdird cz 2z efexp sylancl efiarg oveq1d simpl sqdivd dividd
    syl 3eqtrrd eqtr2d addcld cneg a1i 2cn recl imcl mulcld mul12d eqtrd adddid
    eqeltrd mulassd sqvald mulcom mul32d 3eqtr3d 3eqtr2d oveq1i eqtr3id mulcomd
    mulm1d negsubd subcld add4d replim binom2 syl2anc sqmul i2 3eqtrd absvalsq2
    ixi addsubassd 2timesd npcand 3eqtr4d subdird simpr eleq1 syl5ibrcom syl6an
    rimul necon3d mpd eqnetrd subeq0ad 2ne0 mulcand bitrd necon3bid oveq2 it0e0
    mulne0d divne0d tanval3 divsubdird divassd eqtr4d divcan7d pnpcand subsub4d
    divcan5d ) ABCZAUADZEFZUBZAUCDZUDDZUEDZGHUUHIJZIJUFDZULKJZHUUKULLJZIJZMJZAG
    NJZAUGDZGNJZKJZUURMJZHUUPUURLJZIJZUURMJZMJZAUDDZUUDMJZUUFUUHBCZUUMEFUUIUUOO
    UUFUUHUUFUUGUUEUUCAEFZUUGBCAEUUDEAEOUUDEUADEAEUAUHUIUJUKZAUMUNUOUPZUUFUUMUV
    AUURMJZEUUFUVKUUPUURMJZUURUURMJZLJUUMUUFUUPUURUURUUCUUPBCUUEAUQURZUUFUUQUUF
    UUQUUCUUQUSCUUEAUTURUPZVAZUVPUUFUUREFZUUQEFZUUFUUQUUEUUCUVHUUQVECUVIAVBUNVC
    ZUUFUUQBCUVQUVRVFUVOUUQVDVRVGZVHUUFUVLUUKUVMULLUUFUUKUUJUFDZGNJZAUUQMJZGNJU
    VLUUFUUJBCZGVICUUKUWBOUUFHBCZUVGUWDRUVJHUUHPQVJUUJGVKVLUUFUWAUWCGNUUEUUCUVH
    UWAUWCOUVIAVMUNVNUUFAUUQUUCUUEVOUVOUVSVPVSZUUFUURUVPUVTVQZSVTZUUFUVAUURUUFU
    UPUURUVNUVPWAZUVPUUFUVBEFUVAEFUUFUVBGUUDHIJZIJZGUVEIJZKJZUUDIJZEUUFHGUUDGNJ
    ZIJZHGUUDUVEIJZIJZIJZLJZIJZUWKUUDIJZUWLUUDIJZKJZUVBUWNUUFUXAHUWPIJZHUWSIJZL
    JUXBUXCWBZLJUXDUUFHUWPUWSUWEUUFRWCZUUFGBCZUWOBCZUWPBCWDUUFUUDUUFUUDUUCUUDUS
    CZUUEAWEURZUPZVAZGUWOPQUUFUWSGUUDHUVEIJZIJZIJZBUUFUWSGHUWQIJZIJZUXQUUFHGUWQ
    UXHUXIUUFWDWCZUUFUUDUVEUXMUUFUVEUUCUVEUSCZUUEAWFURZUPZWGWHZUUFUXRUXPGIUUFHU
    UDUVEUXHUXMUYCWHTZWIUUFUXIUXPBCUXQBCWDUUFUUDUXOUXMUUFUWEUVEBCZUXOBCZRUYCHUV
    EPQZWGGUXPPQZWKWJUUFUXBUXEUXGUXFLUUFUXBGUWJUUDIJZIJGHUWOIJZIJUXEUUFGUWJUUDU
    XTUUFUUDBCZUWEUWJBCZUXMRUUDHPVLZUXMWLUUFUYKUYJGIUUFUWOHIJZUUDUUDIJZHIJUYKUY
    JUUFUWOUYPHIUUFUUDUXMWMVNUUFUXJUWEUYOUYKOUXNRUWOHWNVLUUFUUDUUDHUXMUXMUXHWOW
    PTUUFGHUWOUXTUXHUXNWHWQUUFULWBZUXCIJZHHUXCIJZIJZUXGUXFUUFUYRHHIJZUXCIJUYTVU
    AUYQUXCIXLWRUUFHHUXCUXHUXHUUFUWLUUDUUFUXIUYFUWLBCWDUYCGUVEPQZUXMWGZWLWSUUFU
    XCVUCXAUUFUYSUWSHIUUFUXCUWRHIUUFUXCGUVEUUDIJZIJUWRUUFGUVEUUDUXTUYCUXMWLUUFV
    UDUWQGIUUFUVEUUDUYCUXMWTTWITTWPSUUFUXBUXCUUFUWKUUDUUFUXIUYMUWKBCWDUYNGUWJPQ
    ZUXMWGVUCXBWQUUFUVAUWTHIUUFUWOUXQUVEGNJZKJZLJZUWOVUFLJZLJUWOUWOLJZVUGVUFLJZ
    LJUVAUWTUUFUWOVUGUWOVUFUXNUUFUXQVUFUYIUUFUVEUYCVAZXCZUXNVULXDUUFUUPVUHUURVU
    ILUUFUUPUUDUXOLJZGNJZUWOUXQLJZVUFKJZVUHUUFAVUNGNUUCAVUNOUUEAXEURVNUUFVUOVUP
    UXOGNJZLJZVUPVUFWBZLJVUQUUFUYLUYGVUOVUSOUXMUYHUUDUXOXFXGUUFVURVUTVUPLUUFVUR
    UYQVUFIJZVUTUUFVURHGNJZVUFIJZVVAUUFUWEUYFVURVVCORUYCHUVEXHQVVBUYQVUFIXIWRUJ
    UUFVUFVULXAWITUUFVUPVUFUUFUWOUXQUXNUYIWAVULXBXJUUFUWOUXQVUFUXNUYIVULXMXJZUU
    CUURVUIOUUEAXKURZSUUFUWPVUJUWSVUKLUUFUWOUXNXNUUFUXSUXQUWSVUKUYEUYDUUFUXQVUF
    UYIVULXOXPSXPTUUFUWKUWLUUDVUEVUBUXMXQXPZUUFUWMUUDUUFUWKUWLVUEVUBXCZUXMUUFUW
    MEFUWJUVEFUUFUWJHUUDIJZUVEUUFUYLUWEUWJVVHOUXMRUUDHWNVLUUFUUEVVHUVEFUUCUUEXR
    ZUUFVVHUVEUUDEUUFUXKVVHUVEOZVVHUSCZUUDEOUXLUUFVVKVVJUYAUYBVVHUVEUSXSXTUUDYB
    YAYCYDYEUUFUWMEUWJUVEUUFUWMEOUWKUWLOUWJUVEOUUFUWKUWLVUEVUBYFUUFUWJUVEGUYNUY
    CUXTGEFUUFYGWCYHYIYJVGZVVIYMYEZUVAEUVBEUVAEOUVBHEIJEUVAEHIYKYLUJUKVRUVTYNYE
    UUHYOXGUUFUULUUTUUNUVCMUUFUUTUVLUVMKJUULUUFUUPUURUURUVNUVPUVPUVTYPUUFUVLUUK
    UVMULKUWFUWGSVTUUFUUNHUVKIJUVCUUFUUMUVKHIUWHTUUFHUVAUURUXHUWIUVPUVTYQYRSUUF
    UVDUUSUVBMJUWMUVEIJZUWNMJUVFUUFUUSUVBUURUUFUUPUURUVNUVPXCUUFUWEUVABCUVBBCRU
    WIHUVAPQUVPVVMUVTYSUUFUUSVVNUVBUWNMUUFUUSVUHVUIKJVUGVUFKJZVVNUUFUUPVUHUURVU
    IKVVDVVESUUFUWOVUGVUFUXNVUMVULYTUUFVVOUXQVUFVUFLJZKJUXQGVUFIJZKJZVVNUUFUXQV
    UFVUFUYIVULVULUUAUUFVVQVVPUXQKUUFVUFVULXNTUUFVVRUWKUVEIJZUWLUVEIJZKJVVNUUFU
    XQVVSVVQVVTKUUFVVSGUWJUVEIJZIJUXQUUFGUWJUVEUXTUYNUYCWLUUFVWAUXPGIUUFUUDHUVE
    UXMUXHUYCWLTVTUUFVVQGUVEUVEIJZIJVVTUUFVUFVWBGIUUFUVEUYCWMTUUFGUVEUVEUXTUYCU
    YCWLYRSUUFUWKUWLUVEVUEVUBUYCXQYRWQXJVVFSUUFUVEUUDUWMUYCUXMVVGVVIVVLUUBXJXJ
    $.

  $( The ` log x / x ` function is strictly decreasing on the reals greater
     than ` _e ` .  (Contributed by Mario Carneiro, 14-Mar-2014.) $)
  logdivlti $p |- ( ( ( A e. RR /\ B e. RR /\ _e <_ A ) /\ A < B )
                    -> ( ( log ` B ) / B ) < ( ( log ` A ) / A ) ) $=
    ( cr wcel ceu cle wbr clt wa cfv co cmul cmin c1 crp cc0 syl 1re recnd wb
    w3a clog cdiv simpl2 simpl3 simpr ere simpl1 lelttr mp3an2i mp2and epos 0re
    wi lttr mp3an12i mpani mpd elrpd ltletr rpdivcld relogcl rerpdivcld resubcl
    sylancl remulcld ce caddc wceq reeflog ax-1cn pncan3 sylancr eqtr4d mulid2d
    cc eqbrtrd 1red ltmuldiv syl112anc mpbid efgt1p eflt syl2anc mpbird mulid1d
    difrp df-e breqtrrd eqbrtrrid efle posdif eqbrtrrd ltletrd relogdiv subdird
    lemul2 1cnd rpne0d div32d oveq12d eqtrd 3brtr3d ltsub1d ltdivmuld ) ACDZBCD
    ZEAFGZUAZABHGZIZBUBJZBUCKAUBJZAUCKZHGXLBXNLKZHGZXKXPXLXMMKZXOXMMKZHGXKBAUCK
    ZUBJZXSNMKZXMLKZXQXRHXKXTYAYBXKXSODZXTCDZXKBAXKBXFXGXHXJUDZXKEBHGZPBHGZXKXH
    XJYFXFXGXHXJUEZXIXJUFZECDZXKXFXGXHXJIYFUNUGXFXGXHXJUHZYEEABUIUJUKXKPEHGZYFY
    GULPCDZYJXKXGYLYFIYGUNUMUGYEPEBUOUPUQURUSZXKAYKXKXHPAHGZYHXKYLXHYOULYMYJXKX
    FYLXHIYOUNUMUGYKPEAUTUPUQURZUSZVAZXSVBQZXKXSCDZNCDZYACDZXKBAYEYQVCZRXSNVDVE
    ZXKYAXMUUDXKAODZXMCDZYQAVBQZVFXKXTYAHGZXTVGJZYAVGJZHGZXKUUINYAVHKZUUJHXKUUI
    XSUULXKYCUUIXSVIYRXSVJQXKNVPDXSVPDUULXSVIVKXKXSUUCSZNXSVLVMVNXKYAODZUULUUJH
    GXKNXSHGZUUNXKNALKZBHGZUUOXKUUPABHXKAXKAYKSZVOYIVQXKUUAXGXFYOUUQUUOTXKVRZYE
    YKYPNBAVSVTWAZXKUUAYTUUOUUNTRUUCNXSWGVMWAYAWBQVQXKYDUUBUUHUUKTYSUUDXTYAWCWD
    WEXKYANLKZYAYBFXKYAXKYAUUDSWFXKNXMFGZUVAYBFGZXKUVBNVGJZXMVGJZFGZXKUVDEUVEFW
    HXKEAUVEFYHXKUUEUVEAVIYQAVJQWIWJXKUUAUUFUVBUVFTRUUGNXMWKVMWEXKUUAUUFUUBPYAH
    GZUVBUVCTUUSUUGUUDXKUUOUVGUUTXKUUAYTUUOUVGTRUUCNXSWLVMWANXMYAWQVTWAWMWNXKBO
    DZUUEXTXQVIYNYQBAWOWDXKYBXSXMLKZNXMLKZMKXRXKXSNXMUUMXKWRXKXMUUGSZWPXKUVIXOU
    VJXMMXKBAXMXKBYESUURUVKXKAYQWSWTXKXMUVKVOXAXBXCXKXLXOXMXKUVHXLCDYNBVBQZXKBX
    NYEXKXMAUUGYQVCZVFUUGXDWEXKXLXNBUVLUVMYNXEWE $.

  $( The ` log x / x ` function is strictly decreasing on the reals greater
     than ` _e ` .  (Contributed by Mario Carneiro, 14-Mar-2014.) $)
  logdivlt $p |- ( ( ( A e. RR /\ _e <_ A ) /\ ( B e. RR /\ _e <_ B ) ) ->
                   ( A < B <-> ( ( log ` B ) / B ) < ( ( log ` A ) / A ) ) ) $=
    ( cr wcel ceu cle wbr wa clt clog cfv cdiv co wi w3a logdivlti ex 3expa cc0
    an32s adantrr wo wn fveq2 id oveq12d eqcomd a1i ancoms orim12d con3d wb crp
    wceq simpl 0re ere ltletr mp3an12 mpani imp elrpd relogcl rerpdivcl mpancom
    epos syl axlttri syl2anr ad2ant2r 3imtr4d impbid ) ACDZEAFGZHZBCDZEBFGZHZHZ
    ABIGZBJKZBLMZAJKZALMZIGZVOVPVTWENZVQVMVPVNWFVMVPVNWFVMVPVNOVTWEABPQRTUAVSWB
    WDUNZWDWBIGZUBZUCZABUNZBAIGZUBZUCZWEVTVSWMWIVSWKWGWLWHWKWGNVSWKWDWBWKWCWAAB
    LABJUDWKUEUFUGUHVRVOWLWHNZVRVMWOVNVPVMVQWOVPVMVQWOVPVMVQOWLWHBAPQRTUAUIUJUK
    VRWBCDZWDCDZWEWJULVOVRBUMDZWPVRBVPVQUOVPVQSBIGZVPSEIGZVQWSVFSCDZECDZVPWTVQH
    WSNUPUQSEBURUSUTVAVBWACDWRWPBVCWABVDVEVGVOAUMDZWQVOAVMVNUOVMVNSAIGZVMWTVNXD
    VFXAXBVMWTVNHXDNUPUQSEAURUSUTVAVBWCCDXCWQAVCWCAVDVEVGWBWDVHVIVMVPVTWNULVNVQ
    ABVHVJVKVL $.

  $( The ` log x / x ` function is strictly decreasing on the reals greater
     than ` _e ` .  (Contributed by Mario Carneiro, 3-May-2016.) $)
  logdivle $p |- ( ( ( A e. RR /\ _e <_ A ) /\ ( B e. RR /\ _e <_ B ) ) ->
                 ( A <_ B <-> ( ( log ` B ) / B ) <_ ( ( log ` A ) / A ) ) ) $=
    ( cr wcel ceu cle wbr wa clt wn clog cfv cdiv co lenltd crp cc0 a1i ltletrd
    elrpd logdivlt ancoms notbid simpll simprl 0red ere epos simprr relogcl syl
    wb rerpdivcld simplr 3bitr4d ) ACDZEAFGZHZBCDZEBFGZHZHZBAIGZJAKLZAMNZBKLZBM
    NZIGZJABFGVGVEFGVBVCVHVAURVCVHULBAUAUBUCVBABUPUQVAUDZURUSUTUEZOVBVGVEVBVFBV
    BBPDVFCDVBBVJVBQEBVBUFZECDVBUGRZVJQEIGVBUHRZURUSUTUISTZBUJUKVNUMVBVDAVBAPDV
    DCDVBAVIVBQEAVKVLVIVMUPUQVAUNSTZAUJUKVOUMOUO $.

  ${
    relogcld.1 $e |- ( ph -> A e. RR+ ) $.
    $( Closure of the natural logarithm function.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    relogcld $p |- ( ph -> ( log ` A ) e. RR ) $=
      ( crp wcel clog cfv cr relogcl syl ) ABDEBFGHECBIJ $.

    $( Relationship between the natural logarithm function and the exponential
       function.  (Contributed by Mario Carneiro, 29-May-2016.) $)
    reeflogd $p |- ( ph -> ( exp ` ( log ` A ) ) = A ) $=
      ( crp wcel clog cfv ce wceq reeflog syl ) ABDEBFGHGBICBJK $.

    relogmuld.2 $e |- ( ph -> B e. RR+ ) $.
    $( The natural logarithm of the product of two positive real numbers is the
       sum of natural logarithms.  Property 2 of [Cohen] p. 301, restricted to
       natural logarithms.  (Contributed by Mario Carneiro, 29-May-2016.) $)
    relogmuld $p |- ( ph ->
                      ( log ` ( A x. B ) ) = ( ( log ` A ) + ( log ` B ) ) ) $=
      ( crp wcel cmul co clog cfv caddc wceq relogmul syl2anc ) ABFGCFGBCHIJKBJ
      KCJKLIMDEBCNO $.

    $( The natural logarithm of the quotient of two positive real numbers is
       the difference of natural logarithms.  Exercise 72(a) and Property 3 of
       [Cohen] p. 301, restricted to natural logarithms.  (Contributed by Mario
       Carneiro, 29-May-2016.) $)
    relogdivd $p |- ( ph ->
                      ( log ` ( A / B ) ) = ( ( log ` A ) - ( log ` B ) ) ) $=
      ( crp wcel cdiv co clog cfv cmin wceq relogdiv syl2anc ) ABFGCFGBCHIJKBJK
      CJKLIMDEBCNO $.

    $( Natural logarithm preserves ` <_ ` .  (Contributed by Mario Carneiro,
       29-May-2016.) $)
    logled $p |- ( ph -> ( A <_ B <-> ( log ` A ) <_ ( log ` B ) ) ) $=
      ( crp wcel cle wbr clog cfv wb logleb syl2anc ) ABFGCFGBCHIBJKCJKHILDEBCM
      N $.
  $}

  ${
    relogefd.1 $e |- ( ph -> A e. RR ) $.
    $( Relationship between the natural logarithm function and the exponential
       function.  (Contributed by Mario Carneiro, 29-May-2016.) $)
    relogefd $p |- ( ph -> ( log ` ( exp ` A ) ) = A ) $=
      ( cr wcel ce cfv clog wceq relogef syl ) ABDEBFGHGBICBJK $.

    ${
      rplogcld.2 $e |- ( ph -> 1 < A ) $.
      $( Closure of the logarithm function in the positive reals.  (Contributed
         by Mario Carneiro, 29-May-2016.) $)
      rplogcld $p |- ( ph -> ( log ` A ) e. RR+ ) $=
        ( cr wcel c1 clt wbr clog cfv crp rplogcl syl2anc ) ABEFGBHIBJKLFCDBMN
        $.
    $}

    ${
      logge0d.2 $e |- ( ph -> 1 <_ A ) $.
      $( The logarithm of a number greater than 1 is nonnegative.  (Contributed
         by Mario Carneiro, 29-May-2016.) $)
      logge0d $p |- ( ph -> 0 <_ ( log ` A ) ) $=
        ( cr wcel c1 cle wbr cc0 clog cfv logge0 syl2anc ) ABEFGBHIJBKLHICDBMN
        $.
    $}
  $}

  $( The logarithm of a number is nonnegative iff the number is greater than or
     equal to 1.  (Contributed by AV, 30-May-2020.) $)
  logge0b $p |- ( A e. RR+ -> ( 0 <_ ( log ` A ) <-> 1 <_ A ) ) $=
    ( crp wcel c1 cle wbr clog cfv cc0 1rp a1i logled wceq log1 breq1d bitr2d
    id ) ABCZDAEFDGHZAGHZEFITEFRDADBCRJKRQLRSITESIMRNKOP $.

  $( The logarithm of a number is positive iff the number is greater than 1.
     (Contributed by AV, 30-May-2020.) $)
  loggt0b $p |- ( A e. RR+ -> ( 0 < ( log ` A ) <-> 1 < A ) ) $=
    ( crp wcel clt wbr clog cfv cc0 1rp logltb mpan wceq log1 a1i breq1d bitr2d
    c1 wb ) ABCZQADEZQFGZAFGZDEZHUBDEQBCSTUCRIQAJKSUAHUBDUAHLSMNOP $.

  $( The logarithm of a number is less than or equal to 1 iff the number is
     less than or equal to Euler's constant.  (Contributed by AV,
     30-May-2020.) $)
  logle1b $p |- ( A e. RR+ -> ( ( log ` A ) <_ 1 <-> A <_ _e ) ) $=
    ( crp wcel ceu cle wbr clog cfv c1 epr a1i logled wceq loge breq2d bitr2d
    id ) ABCZADEFAGHZDGHZEFSIEFRADRQDBCRJKLRTISETIMRNKOP $.

  $( The logarithm of a number is less than 1 iff the number is less than
     Euler's constant.  (Contributed by AV, 30-May-2020.) $)
  loglt1b $p |- ( A e. RR+ -> ( ( log ` A ) < 1 <-> A < _e ) ) $=
    ( crp wcel ceu clt wbr clog cfv c1 wb epr logltb mpan2 wceq loge a1i breq2d
    bitr2d ) ABCZADEFZAGHZDGHZEFZUAIEFSDBCTUCJKADLMSUBIUAEUBINSOPQR $.

  ${
    $d c x y $.
    $( The inverse logarithm function converges to zero.  (Contributed by Mario
       Carneiro, 30-May-2016.) $)
    divlogrlim $p |- ( x e. ( 1 (,) +oo ) |-> ( 1 / ( log ` x ) ) ) ~~>r 0 $=
      ( vc vy c1 cpnf co cv cfv cdiv wbr clt wi wral crp wtru wcel rprecred a1i
      cr ad2antlr cioo clog cmpt crli cabs wrex wb cc elioore eliooord rplogcld
      cc0 simpld recnd rgen wss ioossre rlim0lt mptru ce id reefcld wa rpreccld
      rpge0d absidd simpll simpr 1rp rpred ltled rpgecld reeflogd breqtrrd eflt
      syl2anc mpbird ltrec1d eqbrtrd ex ralrimiva breq1 rspceaimv mprgbir ) ADE
      UAFZDAGZUBHZIFZUCULUDJZBGZWFKJZWHUEHZCGZKJZLAWEMBSUFZCNWIWOCNMUGOCBAWEWHW
      HUHPZAWEMOWPAWEWFWEPZWHWQWGWQWFWFDEUIZWQDWFKJZWFEKJWFDEUJUMZUKZQZUNUORWES
      UPODEUQRURUSWMNPZDWMIFZUTHZSPXEWFKJZWNLZAWEMWOXCXDXCWMXCVAQVBXCXGAWEXCWQV
      CZXFWNXHXFVCZWLWHWMKXIWHWQWHSPXCXFXBTXIWHXIWGXIWFWQWFSPXCXFWRTZWQWSXCXFWT
      TZUKVDVEVFXIWMWGXCWQXFVGZWQWGNPXCXFXATZXIXDWGKJZXEWGUTHZKJZXIXEWFXOKXHXFV
      HXIWFXIWFDXJDNPXIVIRZXIDWFXIDXQVJXJXKVKVLVMVNXIXDSPWGSPXNXPUGXIWMXLQXIWGX
      MVJXDWGVOVPVQVRVSVTWAWKXFWNBAXESWEWJXEWFKWBWCVPWD $.

    $( The logarithm function is not eventually bounded.  (Contributed by Mario
       Carneiro, 30-Apr-2016.)  (Proof shortened by Mario Carneiro,
       30-May-2016.) $)
    logno1 $p |- -. ( x e. RR+ |-> ( log ` x ) ) e. O(1) $=
      ( vy crp cv clog cfv cmpt co1 wcel c1 cpnf cioo co wa adantl a1i 1red clt
      wbr cxr cr elioore 1rp eliooord simpld ltled rpgecld ssrdv cbvmptv eleq1i
      ex fveq2 biimpi o1res2 wne csup wceq rexrd renepnfd ioopnfsup syl2anc cc0
      cdiv crli divlogrlim rplogcld rpcnd rpne0d rlimno1 pm2.65i ) ACADZEFZGZHI
      ZBJKLMZBDZEFZGHIVNBVOCVQVNBVOCVNVPVOIZVPCIVNVRNZVPJVRVPUAIVNVPJKUBOZJCIVS
      UCPVSJVPVSQVTVSJVPRSZVPKRSZVRWAWBNVNVPJKUDOUEZUFUGUKUHVNBCVQGZHIVMWDHABCV
      LVQVKVPEULUIUJUMUNVNBVOVQVNJTIJKUOVOTRUPKUQVNJVNQZURVNJWEUSJUTVABVOJVQVCM
      GVBVDSVNBVEPVSVQVSVPVTWCVFZVGVSVQWFVHVIVJ $.
  $}

  $( The derivative of the real logarithm function.  (Contributed by Mario
     Carneiro, 24-Feb-2015.) $)
  dvrelog $p |- ( RR _D ( log |` RR+ ) ) = ( x e. RR+ |-> ( 1 / x ) ) $=
    ( cr crp cres cdv co ce c1 cdiv cfv wceq wtru ccncf wcel wss reeff1o cc a1i
    cdm eqtri clog ccnv cv cmpt dfrelog oveq2i wf1o f1of ax-mp rpssre fss mp2an
    wf ax-resscn efcn rescncf mp2 cncffvrn mpbir cpr reelprrecn ssid dvef dmeqi
    wb eff fdmi sseqtrri dvres3 mp4an reseq1i cc0 crn 0nrp rneqi wfo f1ofo forn
    wn mp2b eleq2i mtbir dvcnvre mptru fveq1i f1ocnvfv2 syl5eq oveq2d mpteq2ia
    mpan ) BUACDZEFBGBDZUBZEFZACHAUCZIFZUDZWKWMBEUEUFWNACHWOWMJZBWLEFZJZIFZUDZW
    QWNXBKLAWLBCWLBBMFNZLXCBBWLUMZBCWLUMZCBOXDBCWLUGZXEPBCWLUHUIZUJBCBWLUKULBQO
    ZWLBQMFNZXCXDVEUNXHGQQMFNXIUNUOQQBGUPUQBQBWLURULUSRWSSZBKLXJWLSBWSWLWSQGEFZ
    BDZWLBBQUTNQQGUMQQOBXKSZOWSXLKVAVFQVBBQXMUNXMGSQXKGVCVDQQGVFVGTVHQBGVIVJXKG
    BVCVKTZVDBCWLXGVGTRVLWSVMZNZVSLXPVLCNVNXOCVLXOWLVMZCWSWLXNVOXFBCWLVPXQCKPBC
    WLVQBCWLVRVTTWAWBRXFLPRWCWDACXAWPWOCNZWTWOHIXRWTWRWLJZWOWRWSWLXNWEXFXRXSWOK
    PBCWOWLWFWJWGWHWITT $.

  $( The real logarithm function is continuous.  (Contributed by Mario
     Carneiro, 17-Feb-2015.) $)
  relogcn $p |- ( log |` RR+ ) e. ( RR+ -cn-> RR ) $=
    ( vx clog crp cres cr ccncf co wcel wf wf1o relogf1o ax-mp cc wss ax-resscn
    f1of wb mp2an c1 cdiv fss rpssre w3a cdv cdm wceq ovex dvrelog dmmpti mpan2
    cv dvcn mp3an cncffvrn mpbir ) BCDZCEFGHZCEUPIZCEUPJURKCEUPPLZEMNZUPCMFGHZU
    QURQOUTCMUPIZCENZVAOURUTVBUSOCEMUPUARUBUTVBVCUCEUPUDGZUECUFVAACSAUKZTGVDSVE
    TUGAUHUICEUPULUJUMCMEUPUNRUO $.

  ${
    $d w x y z D $.
    logcn.d $e |- D = ( CC \ ( -oo (,] 0 ) ) $.
    $( Elementhood in the "continuous domain" of the complex logarithm.
       (Contributed by Mario Carneiro, 18-Feb-2015.) $)
    ellogdm $p |- ( A e. D <-> ( A e. CC /\ ( A e. RR -> A e. RR+ ) ) ) $=
      ( wcel cc cmnf cc0 cioc co cdif wn wa cr crp wi clt wbr wb 0re 3bitri cle
      eleq2i eldif w3a cxr mnfxr elioc2 mp2an df-3an mnflt pm4.71i anbi1i lenlt
      mpan2 elrp baib notbid bitr4d pm5.32i bitr3i notbii iman bitr4i anbi2i )
      ABDAEFGHIZJZDAEDZAVEDZKZLVGAMDZANDZOZLBVFACUBAEVEUCVIVLVGVIVJVKKZLZKVLVHV
      NVHVJFAPQZAGUAQZUDZVJVOLZVPLZVNFUEDGMDZVHVQRUFSFGAUGUHVJVOVPUIVSVJVPLVNVJ
      VRVPVJVOAUJUKULVJVPVMVJVPGAPQZKZVMVJVTVPWBRSAGUMUNVJVKWAVKVJWAAUOUPUQURUS
      UTTVAVJVKVBVCVDT $.

    $( A number in the continuous domain of ` log ` is nonzero.  (Contributed
       by Mario Carneiro, 18-Feb-2015.) $)
    logdmn0 $p |- ( A e. D -> A =/= 0 ) $=
      ( wcel cc0 wceq crp 0nrp cr 0re cc ellogdm simprbi mpi mto eleq1 necon2ai
      wi mtbiri ) ABDZAEAEFTEBDZUAEGDZHUAEIDZUBJUAEKDUCUBREBCLMNOAEBPSQ $.

    $( A number in the continuous domain of ` log ` is not a strictly negative
       number.  (Contributed by Mario Carneiro, 18-Feb-2015.) $)
    logdmnrp $p |- ( A e. D -> -. -u A e. RR+ ) $=
      ( wcel cneg crp cmnf cc0 cioc co wn cc cdif eldifn cr clt wbr wb wi 0re
      eleq2s cle rpre ellogdm simplbi negreb syl syl5ib imp mnfltd rpgt0 adantl
      wa lt0neg1d mpbird sylancl mpd cxr w3a mnfxr elioc2 mp2an syl3anbrc mtand
      ltle ) ABDZAEZFDZAGHIJZDZVJKALVIMBALVINCUAVFVHUMZAODZGAPQZAHUBQZVJVFVHVLV
      HVGODZVFVLVGUCVFALDZVOVLRVFVPVLAFDSABCUDUEAUFUGUHUIZVKAVQUJVKAHPQZVNVKVRH
      VGPQZVHVSVFVGUKULVKAVQUNUOVKVLHODZVRVNSVQTAHVEUPUQGURDVTVJVLVMVNUSRUTTGHA
      VAVBVCVD $.

    $( The continuity domain of ` log ` is a subset of the regular domain of
       ` log ` .  (Contributed by Mario Carneiro, 1-Mar-2015.) $)
    logdmss $p |- D C_ ( CC \ { 0 } ) $=
      ( vx cc cc0 csn cdif cv wcel wne ellogdm simplbi logdmn0 eldifsn sylanbrc
      cr crp wi ssriv ) CADEFGZCHZAIZUADIZUAEJUATIUBUCUAPIUAQIRUAABKLUAABMUADEN
      OS $.

    ${
      logcnlem.s $e |- S = if ( A e. RR+ , A , ( abs ` ( Im ` A ) ) ) $.
      logcnlem.t $e |- T = ( ( abs ` A ) x. ( R / ( 1 + R ) ) ) $.
      logcnlem.a $e |- ( ph -> A e. D ) $.
      logcnlem.r $e |- ( ph -> R e. RR+ ) $.
      $( Lemma for ~ logcn .  (Contributed by Mario Carneiro, 25-Feb-2015.) $)
      logcnlem2 $p |- ( ph -> if ( S <_ T , S , T ) e. RR+ ) $=
        ( crp wcel cfv cabs cr syl cc0 c1 co cle wbr cim simpr wn wa cc ellogdm
        cif simplbi imcld adantr recnd wne wceq reim0b simprbi sylbird necon3bd
        wi imp absrpcld ifclda eqeltrid caddc cdiv cmul logdmn0 rpaddcl sylancr
        wb 1rp rpdivcld rpmulcld ifcld ) AEFUAUBEFLAEBLMZBBUCNZONZUILHAVPBVRLAV
        PUDAVPUEZUFZVQVTVQAVQPMVSABABCMZBUGMZJWAWBBPMZVPUTZBCGUHZUJQZUKULUMAVSV
        QRUNAVPVQRAVQRUOZWCVPAWBWCWGVKWFBUPQAWAWDJWAWBWDWEUQQURUSVAVBVCVDAFBONZ
        DSDVETZVFTZVGTLIAWHWJABWFAWABRUNJBCGVHQVBADWIKASLMDLMWILMVLKSDVIVJVMVNV
        DVO $.

      logcnlem.b $e |- ( ph -> B e. D ) $.
      logcnlem.l $e |- ( ph ->
        ( abs ` ( A - B ) ) < if ( S <_ T , S , T ) ) $.
      $( Lemma for ~ logcn .  (Contributed by Mario Carneiro, 25-Feb-2015.) $)
      logcnlem3 $p |- ( ph ->
        ( -u _pi < ( ( Im ` ( log ` B ) ) - ( Im ` ( log ` A ) ) ) /\
          ( ( Im ` ( log ` B ) ) - ( Im ` ( log ` A ) ) ) <_ _pi ) ) $=
        ( clt wbr cc0 cr wcel adantr cpi cneg clog cfv cim cmin co wceq wa pire
        cle renegcli a1i cc crp wi ellogdm simplbi syl wne logdmn0 logcld imcld
        resubcld logimcld simpld recnd 0red cioo argimlt0 sylan eliooord simprd
        subid1d ltsub2dd eqbrtrrd wb reim0b simprbi sylbird imp relogcld reim0d
        lttrd oveq2d eqtrd breqtrrd renegcld argimgt0 ltneg mpbid df-neg imsubd
        sylancl cabs subcld abscld absimle absled cif adantl wn ifclda eqeltrid
        rpre c1 caddc cdiv cmul rpred rpaddcl sylancr rerpdivcld remulcld ifcld
        1rp min1 syl2anc ltletrd gt0ne0 syl5ib necon3ad iffalse syl5eq 0re ltle
        syldan absidd breqtrd lelttrd ltsub2d mpbird ltsub1d eqbrtrid mpjao3dan
        w3o lttri4 ltnri eqbrtrd ltled breq1 mtbiri necon2ai absnidd ltnegcon2d
        sylan2 ltsub1dd breqtrrdi ltnegcon1 jca ) AUAUBZCUCUDZUEUDZBUCUDZUEUDZU
        FUGZOPZUUPUAUKPZABUEUDZQOPZUUQUUSQUHZQUUSOPZAUUTUIZUUKUUMUUPUUKRSZUVCUA
        UJULZUMAUUMRSZUUTAUULACACDSZCUNSZMUVGUVHCRSCUOSUPCDHUQURUSZAUVGCQUTMCDH
        VAUSZVBVCZTZAUUPRSZUUTAUUMUUOUVKAUUNABABDSZBUNSZKUVNUVOBRSZBUOSZUPZBDHU
        QZURUSZAUVNBQUTKBDHVAUSVBVCZVDZTZAUUKUUMOPZUUTAUWDUUMUAUKPZACUVIUVJVEZV
        FZTUVCUUMQUFUGZUUMUUPOUVCUUMAUUMUNSZUUTAUUMUVKVGZTVNUVCUUOQUUMAUUORSZUU
        TUWATZUVCVHZUVLUVCUUKUUOOPZUUOQOPZUVCUUOUUKQVIUGZSZUWNUWOUIAUVOUUTUWQUV
        TBVJVKUUOUUKQVLUSZVMVOVPWDAUVAUIZUUKUUMUUPOAUWDUVAUWGTUWSUUPUWHUUMUWSUU
        OQUUMUFUWSUUNUWSBAUVAUVQAUVAUVPUVQAUVOUVPUVAVQUVTBVRUSZAUVNUVRKUVNUVOUV
        RUVSVSUSVTWAWBWCWEAUWHUUMUHUVAAUUMUWJVNTWFZWGAUVBUIZUUKUUOUBZUUPUVDUXBU
        VEUMAUXCRSUVBAUUOUWAWHTAUVMUVBUWBTZUXBUUOUAOPZUUKUXCOPZUXBQUUOOPZUXEUXB
        UUOQUAVIUGZSZUXGUXEUIAUVOUVBUXIUVTBWIVKUUOQUAVLUSZVMAUXEUXFVQZUVBAUWKUA
        RSZUXKUWAUJUUOUAWJWNTWKUXBUXCQUUOUFUGZUUPOUUOWLZUXBQUUMOPZUXMUUPOPZUXBU
        XOUUMUAOPZUXBUUMUXHSZUXOUXQUIUXBUVHQCUEUDZOPZUXRAUVHUVBUVITUXBUXTUUSUXS
        UFUGZUUSQUFUGZOPZUXBUYAUUSUYBOUXBBCUFUGZUEUDZUYAUUSOAUYEUYAUHZUVBABCUVT
        UVIWMZTUXBUYEUYDWOUDZUUSAUYERSZUVBAUYDABCUVTUVIWPZVCZTAUYHRSZUVBAUYDUYJ
        WQZTUXBBAUVOUVBUVTTVCZAUYEUYHUKPZUVBAUYHUBZUYEUKPZUYOAUYEWOUDUYHUKPZUYQ
        UYOUIAUYDUNSUYRUYJUYDWRUSAUYEUYHUYKUYMWSWKZVMTUXBUYHFUUSOAUYHFOPZUVBAUY
        HFGUKPZFGWTZFUYMAVUAFGRAFUVQBUUSWOUDZWTZRIAUVQBVUCRUVQUVPABXEZXAAVUCRSU
        VQXBZAUUSAUUSABUVTVCZVGZWQTXCXDZAGBWOUDZEXFEXGUGZXHUGZXIUGRJAVUJVULABUV
        TWQAEVUKAELXJAXFUOSEUOSVUKUOSXPLXFEXKXLXMXNXDZXOVUINAFRSGRSVUBFUKPVUIVU
        MFGXQXRXSZTUXBFVUCUUSAUVBUUSQUTZFVUCUHZAUUSRSZUVBVUOVUGUUSXTVKAVUOUIVUF
        VUPAVUOVUFAUVQUUSQUVQUVPAUVAVUEUWTYAYBWAVUFFVUDVUCIUVQBVUCYCYDUSZYGUXBU
        USUYNAUVBQUUSUKPZAQRSZVUQUVBVUSUPYEVUGQUUSYFXLWAYHWFYIYJVPUXBUUSAUUSUNS
        ZUVBVUHTVNWGAUXTUYCVQUVBAQUXSUUSAVHZACUVIVCVUGYKTYLCWIXRUUMQUAVLUSZVFAU
        XOUXPVQUVBAQUUMUUOVVBUVKUWAYMTWKYNWDAVUQVUTUUTUVAUVBYPVUGYEUUSQYQWNZYOA
        UUTUURUVAUVBUVCUUPUAUWCUXLUVCUJUMZUVCUUPUXCUAUWCUVCUUOUWLWHVVEUVCUUPUXM
        UXCOUVCUUMQUUOUVLUWMUWLUVCUWDUUMQOPZUVCUUMUWPSZUWDVVFUIUVCUVHUXSQOPZVVG
        AUVHUUTUVITZUVCVVHUYBUYAOPUVCUYBUUSUYAOUVCUUSAVVAUUTVUHTVNUVCUUSUYEUYAO
        UVCUUSUYPUYEAVUQUUTVUGTZAUYPRSUUTAUYHUYMWHTAUYIUUTUYKTUVCUYHUUSAUYLUUTU
        YMTVVJUVCUYHFUUSUBZOAUYTUUTVUNTUVCFVUCVVKUUTAVUOVUPUUTUUSQUVAUUTQQOPQYE
        YRUUSQQOUUAUUBUUCVURUUFUVCUUSVVJAUUTUUSQUKPZAVUQVUTUUTVVLUPVUGYEUUSQYFW
        NWAUUDWFYIUUEAUYQUUTAUYQUYOUYSVFTXSAUYFUUTUYGTYIYSUVCUXSQUUSUVCCVVIVCUW
        MVVJYKYLCVJXRUUMUUKQVLUSVMUUGUXNUUHUVCUWNUXCUAOPZUVCUWNUWOUWRVFUVCUXLUW
        KUWNVVMVQUJUWLUAUUOUUIXLWKWDYTUWSUUPUUMUAUKUXAAUWEUVAAUWDUWEUWFVMTYSUXB
        UUPUAUXDUXLUXBUJUMZUXBUUPUUMUAUXDAUVFUVBUVKTZVVNUXBUUPUWHUUMOUXBQUUOUUM
        UXBVHAUWKUVBUWATVVOUXBUXGUXEUXJVFVOUXBUUMAUWIUVBUWJTVNYIUXBUXOUXQVVCVMW
        DYTVVDYOUUJ $.

      $( Lemma for ~ logcn .  (Contributed by Mario Carneiro, 25-Feb-2015.) $)
      logcnlem4 $p |- ( ph ->
        ( abs ` ( ( Im ` ( log ` A ) ) - ( Im ` ( log ` B ) ) ) ) < R ) $=
        ( cfv co clt wcel wbr c1 clog cim cmin cabs cdiv cc crp ellogdm simplbi
        cr wi syl cc0 logdmn0 logcld imcld recnd abssubd imsubd wceq ce syl2anc
        wne efsub eflog oveq12d eqtrd crn wb divcld divne0d cpi cneg cle subcld
        logcnlem3 simpld breqtrrd simprd eqbrtrd ellogrn logeftb syl3anc mpbird
        syl3anbrc eqcomd fveq2d eqtr3d ctan abscld ccos c2 cioo 0red rerpdivcld
        cre 1re absrpcld resubcl sylancr recld caddc rpred 1rp rpaddcl remulcld
        cmul eqeltrid cif wa rpre adantl adantr ifclda ltmin mpbid ltp1d ax-1cn
        addcom sylancl breqtrd ltled mulid1d ledivmuld lemul2d eqbrtrid ltletrd
        wn a1i ltdivmuld posdif divsubdird dividd oveq1d eqtrdi absdivd gt0ne0d
        oveq2d rpne0d lelttrd releabsd resub re1 oveq1i 3brtr3d subled argregt0
        cosq14gt0 retancld tanabsge tanarg absidd 3eqtrd absimle oveq2i subid1d
        imsub 3eqtrrd eqtr4d 3brtr4d resubcld adddid divassd ltmuldivd eqbrtrrd
        im1 eqtr4di ltaddsubd subdird lemul1d mulassd ltdivmul syl112anc ) ABUA
        OZUBOZCUAOZUBOZUCPUDOZCBUEPZUAOZUBOZUDOZEQAUVRUVQUVOUCPZUDOUWBAUVOUVQAU
        VOAUVNABABDRZBUFRZKUWDUWEBUJRZBUGRZUKBDHUHUIULZAUWDBUMVCZKBDHUNULZUOZUP
        UQAUVQAUVPACACDRZCUFRZMUWLUWMCUJRCUGRUKCDHUHUIULZAUWLCUMVCZMCDHUNULZUOZ
        UPUQURAUWCUWAUDAUVPUVNUCPZUBOZUWCUWAAUVPUVNUWQUWKUSZAUWRUVTUBAUVTUWRAUV
        TUWRUTZUWRVAOZUVSUTZAUXBUVPVAOZUVNVAOZUEPZUVSAUVPUFRUVNUFRUXBUXFUTUWQUW
        KUVPUVNVDVBAUXDCUXEBUEAUWMUWOUXDCUTUWNUWPCVEVBAUWEUWIUXEBUTUWHUWJBVEVBV
        FVGAUVSUFRZUVSUMVCUWRUAVHRZUXAUXCVIACBUWNUWHUWJVJZACBUWNUWHUWPUWJVKZAUW
        RUFRVLVMZUWSQSUWSVLVNSUXHAUVPUVNUWQUWKVOAUXKUWCUWSQAUXKUWCQSZUWCVLVNSZA
        BCDEFGHIJKLMNVPZVQUWTVRAUWSUWCVLVNUWTAUXLUXMUXNVSVTUWRWAWEUVSUWRWBWCWDW
        FWGWHWGVGAUWBUWAWIOZUDOZEAUWAAUWAAUVTAUVSUXIUXJUOUPZUQWJAUXOAUXOAUWAUXQ
        AUWAWKOZAUWAVLWLUEPZVMUXSWMPRZUMUXRQSAUXGUMUVSWPOZQSZUXTUXIAUMTBCUCPZUD
        OZBUDOZUEPZUCPZUYAAWNZATUJRZUYFUJRZUYGUJRWQAUYDUYEAUYCABCUWHUWNVOZWJZAB
        UWHUWJWRZWOZTUYFWSWTAUVSUXIXAZAUYFTQSZUMUYGQSZAUYPUYDUYETXGPZQSAUYDUYEU
        YRQAUYDGUYEUYLAGUYEETEXBPZUEPZXGPZUJJAUYEUYTABUWHWJZAEUYSAELXCZATUGREUG
        RUYSUGRXDLTEXEWTZWOZXFXHZVUBAUYDFQSZUYDGQSZAUYDFGVNSFGXIQSZVUGVUHXJZNAU
        YDUJRFUJRGUJRVUIVUJVIUYLAFUWGBBUBOZUDOZXIUJIAUWGBVULUJUWGUWFABXKXLAVULU
        JRUWGYHAVUKAVUKABUWHUPUQWJXMXNXHVUFUYDFGXOWCXPVSZAGVUAUYEVNJAVUAUYRUYEV
        NAUYTTVNSZVUAUYRVNSAVUNEUYSTXGPZVNSAEUYSVUOVNAEUYSVUCAUYSVUDXCZAEETXBPZ
        UYSQAEVUCXQAEUFRTUFRZVUQUYSUTAEVUCUQZXRETXSXTYAYBAUYSAUYSVUPUQZYCVRAETU
        YSVUCUYIAWQYIZVUDYDWDAUYTTUYEVUEVVAUYMYEXPAUYEAUYEVUBUQZYCZYAYFYGVVCVRA
        UYDTUYEUYLVVAUYMYJWDAUYJUYIUYPUYQVIUYNWQUYFTYKXTXPATUYAUYFVVAUYOUYNAUYC
        BUEPZWPOZVVDUDOTUYAUCPZUYFVNAVVDAUYCBUYKUWHUWJVJUUAAVVETWPOZUYAUCPZVVFA
        VVETUVSUCPZWPOZVVHAVVDVVIWPAVVDBBUEPZUVSUCPVVIABCBUWHUWNUWHUWJYLAVVKTUV
        SUCABUWHUWJYMZYNVGWGAVURUXGVVJVVHUTXRUXITUVSUUBWTVGVVGTUYAUCUUCUUDYOAUY
        CBUYKUWHUWJYPUUEUUFZYGZUVSUUGVBZUWAUUHULYQUUIUQWJVUCAUXTUWBUXPVNSVVOUWA
        UUJULAUXPUVSUBOZUDOZUYAUEPZEQAUXPVVPUYAUEPZUDOVVQUYAUDOZUEPVVRAUXOVVSUD
        AUXGUYAUMVCUXOVVSUTUXIAUYAVVNYQZUVSUUKVBWGAVVPUYAAVVPAUVSUXIUPUQZAUYAUY
        OUQZVWAYPAVVTUYAVVQUEAUYAUYOAUMUYAUYHUYOVVNYBUULYRUUMAVVREQSZVVQUYAEXGP
        ZQSZAVVQUYFVWEAVVPVWBWJZUYNAUYAEUYOVUCXFZACBUCPZBUEPZUBOZUDOZVWJUDOZVVQ
        UYFVNAVWJUFRVWLVWMVNSAVWIBACBUWNUWHVOZUWHUWJVJVWJUUNULAVVPVWKUDAVWKUVST
        UCPZUBOZVVPUMUCPZVVPAVWJVWOUBAVWJUVSVVKUCPVWOACBBUWNUWHUWHUWJYLAVVKTUVS
        UCVVLYRVGWGAVWPVVPTUBOZUCPZVWQAUXGVURVWPVWSUTUXIXRUVSTUUQXTVWRUMVVPUCUV
        FUUOYOAVVPVWBUUPUURWGAUYFVWIUDOZUYEUEPVWMAUYDVWTUYEUEABCUWHUWNURYNAVWIB
        VWNUWHUWJYPUUSUUTAUYFVWEQSUYDUYEVWEXGPZQSAUYDUYEUYDUCPZEXGPZVXAUYLAVXBE
        AUYEUYDVUBUYLUVAZVUCXFAUYEVWEVUBVWHXFAUYDUYEEXGPZUYDEXGPZUCPZVXCQAUYDVX
        FXBPZVXEQSUYDVXGQSAUYDUYSXGPZVXHVXEQAVXIUYDTXGPZVXFXBPVXHAUYDTEAUYDUYLU
        QZVURAXRYIVUSUVBAVXJUYDVXFXBAUYDVXKYCYNVGAVXIVXEQSUYDVXEUYSUEPZQSAUYDGV
        XLQVUMAVXLVUAGAUYEEUYSVVBVUSVUTAUYSVUDYSUVCJUVGVRAUYDVXEUYSUYLAUYEEVUBV
        UCXFZVUDUVDWDUVEAUYDVXFVXEUYLAUYDEUYLVUCXFVXMUVHXPAUYEUYDEVVBVXKVUSUVIV
        RAVXCUYEUYAXGPZEXGPZVXAVNAVXBVXNVNSZVXCVXOVNSAVXBUYEUEPZUYAVNSVXPAVXQUY
        GUYAVNAVXQUYEUYEUEPZUYFUCPUYGAUYEUYDUYEVVBVXKVVBAUYEUYMYSZYLAVXRTUYFUCA
        UYEVVBVXSYMYNVGVVMVTAVXBUYAUYEVXDUYOUYMYDXPAVXBVXNEVXDAUYEUYAVUBUYOXFLU
        VJXPAUYEUYAEVVBVWCVUSUVKYAYGAUYDVWEUYEUYLVWHUYMYJWDYTAVVQUJREUJRUYAUJRU
        YBVWDVWFVIVWGVUCUYOVVNVVQEUYAUVLUVMWDVTYTVT $.
    $}

    $( Lemma for ~ logcn .  (Contributed by Mario Carneiro, 18-Feb-2015.) $)
    logcnlem5 $p |- ( x e. D |-> ( Im ` ( log ` x ) ) ) e. ( D -cn-> RR ) $=
      ( vy vz cc cr cv clog cfv cim co wcel crp cabs wbr eqid wa cmin clt ccncf
      vw wss cmpt cmnf cc0 cioc cdif difss eqsstri ax-resscn c1 caddc cdiv cmul
      cif cle ellogdm simplbi logdmn0 logcld imcld fmpti simpl logcnlem2 simpll
      simpr simprl simplr simprr logcnlem4 expr wceq 2fveq3 fvex fvmpt ad2antrr
      wi ad2antlr oveq12d fveq2d breq1d sylibrd elcncf1ii mp2an ) BFUCGFUCABAHZ
      IJZKJZUDZBGUALMBFUEUFUGLZUHFCFWJUIUJUKDEUBBGWIDHZNMWKWKKJOJUPZWKOJEHZULWM
      UMLUNLUOLZUQPWLWNUPZABGWHWIWIQZWFBMZWGWQWFWQWFFMWFGMWFNMVRWFBCURUSWFBCUTV
      AVBVCWKBMZWMNMZRWKBWMWLWNCWLQZWNQZWRWSVDWRWSVGVEWRUBHZBMZRZWSRZWKXBSLOJWO
      TPZWKIJZKJZXBIJZKJZSLZOJZWMTPZWKWIJZXBWIJZSLZOJZWMTPXDWSXFXMXDWSXFRZRWKXB
      BWMWLWNCWTXAWRXCXRVFXDWSXFVHWRXCXRVIXDWSXFVJVKVLXEXQXLWMTXEXPXKOXEXNXHXOX
      JSWRXNXHVMXCWSAWKWHXHBWIWFWKKIVNWPXGKVOVPVQXCXOXJVMWRWSAXBWHXJBWIWFXBKIVN
      WPXIKVOVPVSVTWAWBWCWDWE $.

    $( The logarithm function is continuous away from the branch cut at
       negative reals.  (Contributed by Mario Carneiro, 25-Feb-2015.) $)
    logcn $p |- ( log |` D ) e. ( D -cn-> CC ) $=
      ( vx clog cabs cfv crp ci co caddc cmpt cc ccncf wceq wss mp2an wcel wtru
      wf cr vy cres cv cim cmul wfn crn cc0 cdif wf1o logf1o f1of ax-mp logdmss
      csn fssres ffn dffn5 mpbi fvres wi ellogdm simplbi logdmn0 logcld replimd
      cre wne relog syl2anc absrpcld fvresd eqtr4d oveq1d 3eqtrd mpteq2ia eqtri
      ccnfld ctopn eqid ctx ccn addcn a1i crest cnfldtopon ssriv resttopon absf
      ctopon feqmptd eqtrdi wral eqeltrd rgen ffnfv mpbir2an wb ax-resscn sstri
      rpssre abscncf rescncf mp2 cncffvrn eqeltrrdi cncfcn eleqtrdi ssid cncfss
      mpbir sselii toponrestid cnmpt11f eleqtrrdi ccom imcld recnd adantl eqidd
      relogcn oveq2 fmptco logcnlem5 ax-icn mulc1cncf cncfco eqeltrrd cncfmpt2f
      mp1i mptru eqeltri ) DAUBZCACUCZEFZDGUBZFZHYNDFZUDFZUEIZJIZKZALMIZYMCAYNY
      MFZKZUUBYMAUFZYMUUENADUGZYMSZUUFLUHUOUIZUUGDSZAUUIOUUHUUIUUGDUJUUJUKUUIUU
      GDULUMABUNUUIUUGADUPPAUUGYMUQUMCAYMURUSCAUUDUUAYNAQZUUDYRYRVGFZYTJIUUAYNA
      DUTUUKYRUUKYNUUKYNLQZYNTQYNGQVAYNABVBVCZYNABVDZVEZVFUUKUULYQYTJUUKUULYODF
      ZYQUUKUUMYNUHVHUULUUQNUUNUUOYNVIVJUUKYOGDUUKYNUUNUUOVKZVLVMVNVOVPVQUUBUUC
      QRCYQYTJVRVSFZAUUSVTZJUUSUUSWAIUUSWBIQRUUSUUTWCWDRCAYQKUUSAWEIZUUSWBIZUUC
      RCYOYPUVAUUSGWEIZUUSAUVAAWJFQZRUUSLWJFQALOZUVDUUSUUTWFZCALUUNWGZAUUSLWHPW
      DRCAYOKZAGMIZUVAUVCWBIZRUVHEAUBZUVIRUVKCAYNUVKFZKUVHRCATUVKATUVKSZRLTESUV
      EUVMWIUVGLTAEUPPZWDWKCAUVLYOYNAEUTZVPWLUVKUVIQZAGUVKSZUVQUVKAUFZUVLGQZCAW
      MUVMUVRUVNATUVKUQUMUVSCAUUKUVLYOGUVOUURWNWOCAGUVKWPWQGLOZUVKATMIZQZUVPUVQ
      WRGTLXAWSWTZUVEELTMIQUWBUVGXBLTAEXCXDATGUVKXEPXKXFUVEUVTUVIUVJNUVGUWCAGUU
      SUVAUVCUUTUVAVTZUVCVTZXGPXHRYPGLMIZUVCUUSWBIZYPUWFQRGTMIZUWFYPTLOZLLOZUWH
      UWFOWSLXIZGTLXJPYAXLWDUVTUWJUWFUWGNUWCUWKGLUUSUVCUUSUUTUWEUUSLUVFXMZXGPXH
      XNUVEUWJUUCUVBNUVGUWKALUUSUVAUUSUUTUWDUWLXGPXORUALHUAUCZUEIZKZCAYSKZXPCAY
      TKUUCRCUAALYSUWNYTUWPUWOUUKYSLQRUUKYSUUKYRUUPXQXRXSRUWPXTRUWOXTUWMYSHUEYB
      YCRALLUWPUWOUWPUUCQRUWAUUCUWPUWIUWJUWAUUCOWSUWKATLXJPCABYDXLWDHLQUWOLLMIQ
      RYEUAHUWOUWOVTYFYJYGYHYIYKYL $.

    $( Lemma for ~ dvlog .  (Contributed by Mario Carneiro, 24-Feb-2015.) $)
    dvloglem $p |- ( log " D ) e. ( TopOpen ` CCfld ) $=
      ( vx clog cim cpi co cfv wss wcel wb cc cc0 wceq mp2an cr clt wbr wne wa
      vy vz vw cima ccnv cneg cioo ccnfld ctopn wfun cdm wral csn cdif crn wf1o
      cv logf1o f1ofun ax-mp logdmss sseqtrri funimass4 ellogdm simplbi logdmn0
      f1odm crp wi logcld imcld cle logimcld simpld pire a1i simprd wn logdmnrp
      lognegb syl2anc necon3bbid mpbid necomd leneltd cxr renegcli rexri elioo2
      w3a syl3anbrc wf wfn imf ffn elpreima mp2b sylanbrc mprgbir df-ioo df-ioc
      ce cioc idd xrltle ixxssixx imass2 logrn sseli logef syl cmnf efcl adantr
      sylbi eliooord simplbiim ltned fveq2d simpr mnfxr 0re elioc2 sylib simp1d
      0red simp3d efne0 negelrpd eqtr3d necon3ad mpd eldifd eleqtrrdi funfvima2
      ex eqeltrrd ssriv eqssi ctg ccncf imcncf ax-resscn cnfldtopon toponrestid
      ccn ssid eqid tgioo2 cncfcn eleqtri iooretop cnima eqeltri ) DAUDZEUEZFUF
      ZFUGGZUDZUHUIHZUUOUUSUUOUUSIZCUQZDHZUUSJZCADUJZADUKZIZUVAUVDCAULKLMUMUNZD
      UOZDUPZUVEURUVHUVIDUSUTZAUVHUVFABVAUVJUVFUVHNURUVHUVIDVGUTVBZCAUUSDVCOUVB
      AJZUVCLJZUVCEHZUURJZUVDUVMUVBUVMUVBLJZUVBPJUVBVHJVIUVBABVDVEZUVBABVFZVJZU
      VMUVOPJZUUQUVOQRZUVOFQRZUVPUVMUVCUVTVKZUVMUWBUVOFVLRZUVMUVBUVRUVSVMZVNUVM
      UVOFUWDFPJUVMVOVPUVMUWBUWEUWFVQUVMUVOFUVMUVBUFVHJZVRUVOFSUVBABVSUVMUWGUVO
      FUVMUVQUVBMSUWGUVOFNKUVRUVSUVBVTWAWBWCWDWEUUQWFJZFWFJUVPUWAUWBUWCWJKUUQFV
      OWGWHFVOWHUUQFUVOWIOWKLPEWLZELWMZUVDUVNUVPTKWNLPEWOZLUVCUUREWPWQWRWSCUUSU
      UOUVBUUSJZUVBXBHZDHZUVBUUOUWLUVBUVIJUWNUVBNZUUSUVIUVBUUSUUPUUQFXCGZUDZUVI
      UURUWPIUUSUWQICUAUBUCUUQFXCQQQVLUGCUAUBWTCUAUBXAUWHUCUQZWFJTUUQUWRQRXDUWR
      FXEXFUURUWPUUPXGUTXHVBXIUVBXJXKZUWLUWMAJZUWNUUOJZUWLUWMLXLMXCGZUNAUWLUWML
      UXBUWLUVQUVBEHZUURJZTZUWMLJZUWIUWJUWLUXEKWNUWKLUVBUUREWPWQZUVQUXFUXDUVBXM
      XNXOZUWLUXCFSUWMUXBJZVRUWLUXCFUWLUVBUWLUVQUXDUXGVEZVKUWLUUQUXCQRZUXCFQRZU
      WLUVQUXDUXKUXLTUXGUXCUUQFXPXQVQXRUWLUXIUXCFUWLUXIUXCFNUWLUXITZUWNEHZUXCFU
      XMUWNUVBEUWLUWOUXIUWSXNXSUXMUWMUFVHJZUXNFNZUXMUWMUXMUWMPJZXLUWMQRZUWMMVLR
      ZUXMUXIUXQUXRUXSWJZUWLUXIXTXLWFJMPJUXIUXTKYAYBXLMUWMYCOYDZYEZUXMUWMMUYBUX
      MYFUXMUXQUXRUXSUYAYGUXMUWMMUWLUWMMSZUXIUWLUVQUYCUXJUVBYHXKZXNWDWEYIUWLUXO
      UXPKZUXIUWLUXFUYCUYEUXHUYDUWMVTWAXNWCYJYPYKYLYMBYNUVEUVGUWTUXAVIUVKUVLAUW
      MDYOOXKYQYRYSEUUTUGUOYTHZUUFGZJUURUYFJUUSUUTJELPUUAGZUYGUUBLLIPLIUYHUYGNL
      UUGUUCLPUUTUUTUYFUUTUUHZUUTLUUTUYIUUDUUEUUTUYIUUIUUJOUUKUUQFUULUUREUUTUYF
      UUMOUUN $.

    $( The "continuous domain" of ` log ` is an open set.  (Contributed by
       Mario Carneiro, 7-Apr-2015.) $)
    logdmopn $p |- D e. ( TopOpen ` CCfld ) $=
      ( cc cmnf cc0 cioc co cdif ccnfld ctopn cfv ccld wcel cr eqid recld2 cioo
      crest crn ax-mp ctg 0re iocmnfcld tgioo2 fveq2i eleqtri restcldr unicntop
      mp2an cldopn eqeltri ) ACDEFGZHZIJKZBULUNLKZMZUMUNMNUOMULUNNRGZLKZMUPUNUN
      OZPULQSUAKZLKZURENMULVAMUBEUCTUTUQLUNUSUDUEUFNULUNUGUIULUNCUHUJTUK $.

    $( The logarithm maps its continuous domain bijectively onto the set of
       numbers with imaginary part ` -u _pi < Im ( z ) < _pi ` .  The negative
       reals are mapped to the numbers with imaginary part equal to ` _pi ` .
       (Contributed by Mario Carneiro, 2-May-2015.) $)
    logf1o2 $p |- ( log |` D ) : D -1-1-onto->
        ( `' Im " ( -u _pi (,) _pi ) ) $=
      ( vx clog cim cpi co cc cc0 wceq wb cfv wcel cr clt wbr pire a1i wa c1 cv
      cima cres wf1o ccnv cneg cioo csn cdif crn wf1 logf1o f1of1 ax-mp logdmss
      wss f1ores mp2an wfun cdm wral f1ofun wf f1of fdmi sseqtrri funimass4 crp
      wi ellogdm simplbi logdmn0 logcld imcld cle logimcld simpld simprd wn wne
      logdmnrp lognegb syl2anc necon3bbid mpbid necomd leneltd cxr w3a renegcli
      rexri elioo2 syl3anbrc wfn imf elpreima mp2b sylanbrc mprgbir ce eliooord
      ffn simpl adantl imcl adantr ltle sylancl mpd ellogrn logef syl efcl picn
      recnd pipos gt0ne0ii cdiv caddc cmul mulid1i breqtrrdi ltdivmul syl112anc
      1re mpbird 1e0p1 breqtrdi cz csin ccos ci recoscld resincld crimd sylancr
      ad2antrr redivcld eqeltrrd 0z efeul oveq1d ax-icn mulcl addcld recl efne0
      cre divcan3d eqtrd simpr reefcld reim0d eqtr3d sineq0 zleltp1 cmin df-neg
      mulm1i eqbrtrid eqbrtrrid zlem1lt letri3 mpbir2and diveq0d reim0b rpefcld
      ltmuldiv 0re ex funfvima2 sylbi ssriv eqssi f1oeq3 mpbi ) ADAUBZDAUCZUDZA
      EUEFUFZFUGGZUBZUVRUDZHIUHUIZDUJZDUKZAUWDUPUVSUWDUWEDUDZUWFULUWDUWEDUMUNAB
      UOZUWDUWEADUQURUVQUWBJUVSUWCKUVQUWBUVQUWBUPZCUAZDLZUWBMZCADUSZADUTZUPZUWI
      UWLCAVAKUWGUWMULUWDUWEDVBUNZAUWDUWNUWHUWDUWEDUWGUWDUWEDVCULUWDUWEDVDUNVEV
      FZCAUWBDVGURUWJAMZUWKHMZUWKELZUWAMZUWLUWRUWJUWRUWJHMZUWJNMZUWJVHMVIUWJABV
      JVKZUWJABVLZVMZUWRUWTNMZUVTUWTOPZUWTFOPZUXAUWRUWKUXFVNZUWRUXHUWTFVOPZUWRU
      WJUXDUXEVPZVQUWRUWTFUXJFNMZUWRQRUWRUXHUXKUXLVRUWRUWTFUWRUWJUFVHMZVSUWTFVT
      UWJABWAUWRUXNUWTFUWRUXBUWJIVTUXNUWTFJKUXDUXEUWJWBWCWDWEWFWGUVTWHMFWHMUXAU
      XGUXHUXIWIKUVTFQWJWKFQWKUVTFUWTWLURWMHNEVCZEHWNZUWLUWSUXASKWOHNEXBZHUWKUW
      AEWPWQWRWSCUWBUVQUWJUWBMZUXBUWJELZUWAMZSZUWJUVQMUXOUXPUXRUYAKWOUXQHUWJUWA
      EWPWQUYAUWJWTLZDLZUWJUVQUYAUWJUWEMZUYCUWJJUYAUXBUVTUXSOPZUXSFVOPZUYDUXBUX
      TXCUYAUYEUXSFOPZUXTUYEUYGSUXBUXSUVTFXAXDZVQZUYAUYGUYFUYAUYEUYGUYHVRZUYAUX
      SNMZUXMUYGUYFVIUXBUYKUXTUWJXEXFZQUXSFXGXHXIUWJXJWMUWJXKXLUYAUYBAMZUYCUVQM
      ZUYAUYBHMZUYBNMZUYBVHMZVIUYMUXBUYOUXTUWJXMXFUYAUYPUYQUYAUYPSZUWJUYRUXCUXS
      IJZUYRUXSFUYRUXSUYAUYKUYPUYLXFZXOZFHMUYRXNRFIVTUYRFQXPXQRZUYRUXSFXRGZIJZV
      UCIVOPZIVUCVOPZUYRVUEVUCITXSGZOPZUYRVUCTVUGOUYRVUCTOPZUXSFTXTGZOPZUYRUXSF
      VUJOUYAUYGUYPUYJXFFXNYAYBUYRUYKTNMZUXMIFOPZVUIVUKKUYTVULUYRYERUXMUYRQRZVU
      MUYRXPRZUXSTFYCYDYFYGYHUYRVUCYIMZIYIMZVUEVUHKUYRUXSYJLZIJZVUPUYRUXSYKLZYL
      VURXTGZXSGZELVURIUYRVUTVURUYRUXSUYTYMZUYRUXSUYTYNZYOUYRVVBUYRUYBUWJUUHLZW
      TLZXRGZVVBNUYRVVGVVFVVBXTGZVVFXRGVVBUYRUYBVVHVVFXRUXBUYBVVHJUXTUYPUWJUUAY
      QUUBUYRVVBVVFUYRVUTVVAUYRVUTVVCXOUYRYLHMVURHMVVAHMUUCUYRVURVVDXOYLVURUUDY
      PUUEUYRVVEHMZVVFHMUYRVVEUXBVVENMUXTUYPUWJUUFYQZXOZVVEXMXLUYRVVIVVFIVTVVKV
      VEUUGXLZUUIUUJUYRUYBVVFUYAUYPUUKUYRVVEVVJUULVVLYRYSUUMUUNUYRUXSHMVUSVUPKV
      UAUXSUUOXLWEZYTVUCIUUPXHYFUYRVUFITUUQGZVUCOPZUYRVVNTUFZVUCOTUURUYRVVPFXTG
      ZUXSOPZVVPVUCOPZUYRVVQUVTUXSOFXNUUSUYAUYEUYPUYIXFUUTUYRVVPNMZUYKUXMVUMVVR
      VVSKVVTUYRTYEWJRUYTVUNVUOVVPUXSFUVHYDWEUVAUYRVUQVUPVUFVVOKYTVVMIVUCUVBYPY
      FUYRVUCNMINMVUDVUEVUFSKUYRUXSFUYTVUNVUBYRUVIVUCIUVCXHUVDUVEUXBUXCUYSKUXTU
      YPUWJUVFYQYFUVGUVJUYBABVJWRUWMUWOUYMUYNVIUWPUWQAUYBDUVKURXLYSUVLUVMUVNUVQ
      UWBAUVRUVOUNUVP $.

    $( The derivative of the complex logarithm function.  (Contributed by Mario
       Carneiro, 25-Feb-2015.) $)
    dvlog $p |- ( CC _D ( log |` D ) ) = ( x e. D |-> ( 1 / x ) ) $=
      ( cc ce clog cres ccnv cdv cfv wceq wtru wcel a1i wf1o cc0 wss ax-mp cdm
      co cima c1 cv cdiv cmpt ccnfld ctopn cnfldtopon toponrestid cr cnelprrecn
      eqid cpr logdmopn csn crn wf1 logf1o f1of1 logdmss f1ores mp2an f1ocnv wb
      cdif cim cpi cneg cioc df-log reseq1i cnveqi wf wfun eff cnvimass sseqtri
      imf fdmi fssres ffun funcnvres2 mp2b resabs1 3eqtri imaeq1i eqtr4i f1oeq1
      reseq2i mpbi ccncf wrel relres dfrel2 f1of mp1i imassrn ssriv sstri logcn
      eqtr3i logrncn cncffvrn sylibr eqeltrid cin cnt ssid dvres mp4an cnfldtop
      dvef dvloglem isopn3i reseq12i eqtri dmeqi dmres sseqtrri df-ss wne neirr
      ctop wn resss eqsstri rnssi eff2 frn sseli eldifsn sylib simprd mto dvcnv
      wa mptru oveq2i fveq1i f1ocnvfv2 mpan syl5eq oveq2d mpteq2ia 3eqtr3i ) DE
      FBUAZGZHZITZABUBAUCZUUHJZDUUGITZJZUDTZUEZDFBGZITABUBUUJUDTZUEUUIUUOKLADUU
      GUFUGJZUURUUFBUURULZUURDUURUUSUHUIZDUJDUMMLUKNBUURMLBCUNNUUFBUUGOZLUUFBUU
      PHZOZUVABUUFUUPOZUVCDPUOVEZFUPZFUQZBUVEQUVDUVEUVFFOUVGURUVEUVFFUSRBCUTUVE
      UVFBFVAVBZBUUFUUPVCRUVBUUGKUVCUVAVDUVBEEVFHVGVHVGVITZUAZGZHZBUAZGZUUGUVBU
      VLBGZHZUVKUVMGZUVNUUPUVOFUVLBVJVKVLUVJDUVKVMZUVKVNUVPUVQKDDEVMZUVJDQUVRVO
      UVJVFSDVFUVIVPDUJVFVRVSVQDDUVJEVTVBZUVJDUVKWABUVKWBWCUVMUVJQUVQUVNKUVMUVK
      SUVJUVKBVPUVJDUVKUVTVSVQEUVMUVJWDRWEUUFUVMEFUVLBVJWFWIWGZUUFBUVBUUGWHRWJZ
      NLUUHUUPBUUFWKTZUVBHZUUHUUPUVBUUGUWAVLUUPWLUWDUUPKFBWMUUPWNWJXAZLBUUFUUPV
      MZUUPUWCMZUVDUWFLUVHBUUFUUPWOWPUUFDQZUUPBDWKTMUWGUWFVDUUFUVFDFBWQAUVFDUUJ
      XBWRWSZBCWTBDUUFUUPXCVBXDXEUULSZUUFKLUWJUUGSUUFESZXFZUUFUULUUGUULDEITZUUF
      UURXGJJZGZUUGDDQZUVSUWPUWHUULUWOKDXHZVOUWQUWIDUUFDUUREUURUUSUUTXIXJZUWMEU
      WNUUFXLUURYCMUUFUURMUWNUUFKUURUUSXKBCXMUUFUURXNVBXOXPZXQEUUFXRUUFUWKQUWLU
      UFKUUFDUWKUWIDDEVOVSXSUUFUWKXTWJWENPUULUPZMZYDLUXAPPYAZPYBUXAPDMZUXBUXAPU
      VEMUXCUXBYPUWTUVEPUWTEUPZUVEUULEUULUWMEUULUWOUWMUWRUWMUWNYEYFXLVQYGDUVEEV
      MUXDUVEQYHDUVEEYIRWSYJPDPYKYLYMYNNYOYQUUHUUPDIUWEYRABUUNUUQUUJBMZUUMUUJUB
      UDUXEUUMUUKUUGJZUUJUUKUULUUGUWSYSUVAUXEUXFUUJKUWBUUFBUUJUUGYTUUAUUBUUCUUD
      UUE $.
  $}

  ${
    $d x S $.
    dvlog2.s $e |- S = ( 1 ( ball ` ( abs o. - ) ) 1 ) $.
    $( Lemma for ~ dvlog2 .  (Contributed by Mario Carneiro, 1-Mar-2015.) $)
    dvlog2lem $p |- S C_ ( CC \ ( -oo (,] 0 ) ) $=
      ( vx cc cmnf cc0 co wcel c1 cabs cmin cfv cxr ax-1cn sseli wbr cr 0re cle
      a1i cioc cdif cv ccom cbl cxmet wss cnxmet 1xr blssm mp3an eqsstri wn clt
      1red cmet cnmet mnfxr iocssre mp2an ax-resscn sstri metcl mp3an12i w3a wb
      1m0e1 elioc2 simp3bi lesub2dd eqbrtrrid wceq eqid cnmetdval sylancr letrd
      0le1 abssubge0d eqtrd breqtrrd lensymd elbl2 syl22anc mtbird con2i eleq2s
      eldifd ssriv ) CADEFUAGZUBCUCZAHWJDWIADWJAIIJKUDZUELGZDBWKDUFLHZIDHZIMHZW
      LDUGUHNUIWKIIDUJUKULOWJWIHZUMWJWLAWPWJWLHZWPWQIWJWKGZIUNPZWPIWRWPUOZWKDUP
      LHWNWPWJDHZWRQHUQNWIDWJWIQDEMHZFQHZWIQUGURREFUSUTZVAVBOZIWJWKDVCVDWPIIWJK
      GZWRSWPIIFKGXFSVGWPWJFIWIQWJXDOZXCWPRTZWTWPWJQHZEWJUNPZWJFSPZXBXCWPXIXJXK
      VEVFURREFWJVHUTVIZVJVKWPWRXFJLZXFWPWNXAWRXMVLNXEIWJWKWKVMVNVOWPWJIXGWTWPW
      JFIXGXHWTXLFISPWPVQTVPVRVSVTWAWPWMWOWNXAWQWSVFWMWPUHTWOWPUITWNWPNTXEWJWKI
      IDWBWCWDWEBWFWGWH $.

    $( The derivative of the complex logarithm function on the open unit ball
       centered at ` 1 ` , a sometimes easier region to work with than the
       ` CC \ ( -oo , 0 ] ` of ~ dvlog .  (Contributed by Mario Carneiro,
       1-Mar-2015.) $)
    dvlog2 $p |- ( CC _D ( log |` S ) ) = ( x e. S |-> ( 1 / x ) ) $=
      ( cc clog cres cdv co cc0 cdif c1 cmpt cfv wss wceq ax-mp mp2an eqid wcel
      wf cmnf cioc cv cdiv ccnfld ctopn cnt ssid csn crn wf1o logf1o f1of ssriv
      logrncn fss logdmss fssres difss cabs cmin ccom cbl cxr cnxmet ax-1cn 1xr
      cxmet blssm mp3an eqsstri cnfldtopon toponrestid dvlog2lem resabs1 oveq2i
      dvres mp4an dvlog ctop cnfldtop cnfldtopn eqeltri isopn3i reseq12i resmpt
      blopn 3eqtr3i eqtri ) DEBFZGHZADUAIUBHZJZKAUCZUDHZLZBFZABWOLZDEWMFZBFZGHZ
      DWSGHZBUEUFMZUGMMZFZWKWQDDNWMDWSTZWMDNBDNXAXEODUHDIUIJZDETZWMXGNXFXGEUJZE
      TZXIDNXHXGXIEUKXJULXGXIEUMPAXIDWNUOUNXGXIDEUPQWMWMRZUQXGDWMEURQDWLUSBKKUT
      VAVBZVCMHZDCXLDVHMSZKDSZKVDSZXMDNVEVFVGXLKKDVIVJVKWMBDXCWSXCXCRZXCDXCXQVL
      VMVQVRWTWJDGBWMNZWTWJOBCVNZEBWMVOPVPXBWPXDBAWMXKVSXCVTSBXCSXDBOXCXQWABXMX
      CCXNXOXPXMXCSVEVFVGXLKKXCDXCXQWBWGVJWCBXCWDQWEWHXRWQWROXSAWMBWOWFPWI $.
  $}

  ${
    $d j k x y A $.  $d j k x y N $.
    $( The antiderivative of the logarithm.  (Contributed by Mario Carneiro,
       21-May-2016.) $)
    advlog $p |- ( RR _D ( x e. RR+ |-> ( x x. ( ( log ` x ) - 1 ) ) ) ) =
      ( x e. RR+ |-> ( log ` x ) ) $=
      ( cr crp clog cfv c1 co cmul cmpt cdv wtru caddc cc wcel a1i adantl recnd
      1cnd cc0 eqtrd cv cmin wceq cdiv cpr reelprrecn wa rpre cioo ccnfld ctopn
      crn ctg recn 1red dvmptid rpssre eqid tgioo2 cpnf ioorp iooretop eqeltrri
      wss dvmptres relogcl peano2rem rpreccl rpcnd cres wf1o relogf1o f1of mp1i
      syl wf feqmptd fvres mpteq2ia eqtrdi oveq2d dvrelog eqtr3di 0cnd dvmptsub
      dvmptc subid1d mpteq2dva dvmptmul mulid2d wne rpne0 recid2d oveq12d npcan
      ax-1cn sylancl mptru ) BACAUAZWSDEZFUBGZHGIJGZACWTIZUCKXBACFXAHGZFWSUDGZW
      SHGZLGZIXCKAWSFXAXEBMMCBBMUENKUFOZKWSCNZUGZWSXIWSBNZKWSUHPQZXJRZKAWSFBUIU
      LUMEZUJUKEZBBCXHXKWSMNKWSUNPKXKUGZUOKABXHUPCBVDKUQOZXOXOURZUSZXRCXNNKSUTU
      IGCXNVASUTVBVCOZVEXJXAXJWTBNZXABNXIYAKWSVFPZWTVGVOQZXJXEXIXECNKWSVHPVIZKB
      ACXAIJGACXESUBGZIACXEIZKAWTXEFSBMMCXHXJWTYBQZYDKBDCVJZJGBXCJGYFKYHXCBJKYH
      ACWSYHEZIXCKACBYHCBYHVKCBYHVPKVLCBYHVMVNVQACYIWTWSCDVRVSVTWAAWBWCXMXJWDKA
      FSBXNXOMBCXHXPRXPWDKAFBXHKRWFXQXSXRXTVEWEKACYEXEXJXEYDWGWHTWIKACXGWTXJXGX
      AFLGZWTXJXDXAXFFLXJXAYCWJXJWSXLXIWSSWKKWSWLPWMWNXJWTMNFMNYJWTUCYGWPWTFWOW
      QTWHTWR $.

    $( The antiderivative of a power of the logarithm.  (Set ` A = 1 ` and
       multiply by ` ( -u 1 ) ^ N x. N ! ` to get the antiderivative of
       ` log ( x ) ^ N ` itself.)  (Contributed by Mario Carneiro,
       22-May-2016.) $)
    advlogexp $p |- ( ( A e. RR+ /\ N e. NN0 ) ->
      ( RR _D ( x e. RR+ |-> ( x x. sum_ k e. ( 0 ... N )
        ( ( ( log ` ( A / x ) ) ^ k ) / ( ! ` k ) ) ) ) ) =
      ( x e. RR+ |-> ( ( ( log ` ( A / x ) ) ^ N ) / ( ! ` N ) ) ) ) $=
      ( crp wcel cr cc0 co cdiv cfv cexp cmul cmpt cdv c1 cc adantr wceq a1i vj
      vy cn0 wa cv cfz clog cfa csu cfzo caddc cmin rpcn adantl rpdivcl adantlr
      fzfid relogcld elfznn0 reexpcl syl2an faccld nndivred recnd fsummulc2 cuz
      simplr nn0uz eleqtrdi mulcld oveq2 fveq2 fac0 eqtrdi oveq12d oveq2d exp0d
      fsum1p oveq1d 1div1e1 mulid1d eqtrd 1zzd cz nn0z ad2antlr fz1ssfz0 sylan2
      sseli fsumshftm 0p1e1 oveq1i sumeq1i 1m1e0 fzoval eqtr3id sumeq1d 3eqtr4d
      syl 3eqtrd mpteq2dva cpr reelprrecn 1cnd cioo crn ctg ccnfld recn dvmptid
      ctopn wss rpssre eqid tgioo2 cpnf iooretop eqeltrri dvmptres cfn elfzonn0
      ioorp fzofi ax-1cn sylancl an32s 3impa cneg cvv negex expcl syl2anr nncnd
      cn wne nnne0d divcld 0cnd oveq1 negeqd fsumcl reexpcld faccl subcl subcld
      peano2nn0 cnelprrecn id simplll simpr relogdivd relogcl ad2antrr rpreccld
      dvmptc cres wf1o wf relogf1o f1of feqmptd fvres mpteq2ia dvrelog dvmptsub
      eqtr3di df-neg mpteq2i eqtr4di ovexd nn0p1nn dvexp dvmptdivc nn0cnd pncan
      mp1i facp1 peano2cn mulcomd divcan5d dvmptco rpcnd mulneg2d rpne0 divrecd
      dvmptmul mulid2d rerpdivcld mulneg1d divcan1d negsubd dvmptfsum telfsumo2
      eqtr4d dvmptadd pncan3 sylancr ) BEFZDUCFZUDZGAEAUEZHDUFIZBUXAJIZUGKZCUEZ
      LIZUXEUHKZJIZCUIMIZNZOIGAEUXAHDUJIZUXAUXDUAUEZPUKIZLIZUXMUHKZJIZMIZUAUIZU
      KIZNZOIAEPUXDDLIZDUHKZJIZPULIZUKIZNAEUYCNUWTUXJUXTGOUWTAEUXIUXSUWTUXAEFZU
      DZUXIUXBUXAUXHMIZCUIUXAUXDHLIZPJIZMIZHPUKIZDUFIZUYHCUIZUKIUXSUYGUXBUXHUXA
      CUYGHDUQUYFUXAQFZUWTUXAUMZUNZUYGUXEUXBFZUDZUXHUYSUXFUXGUYGUXDGFZUXEUCFZUX
      FGFUYRUYGUXCUWRUYFUXCEFUWSBUXAUOUPURZUXEDUSZUXDUXEUTVAUYSUXEUYRVUAUYGVUCU
      NVBVCVDZVEUYGUYHUYKCHDUYGDUCHVFKUWRUWSUYFVGZVHVIZUYSUXAUXHUYGUYOUYRUYQRVU
      DVJZUXEHSZUXHUYJUXAMVUHUXFUYIUXGPJUXEHUXDLVKVUHUXGHUHKPUXEHUHVLVMVNVOZVPV
      RUYGUYKUXAUYNUXRUKUYGUYKUXAPMIUXAUYGUYJPUXAMUYGUYJPPJIPUYGUYIPPJUYGUXDUYG
      UXDVUBVDZVQVSVTVNZVPUYGUXAUYQWAWBUYGPDUFIZUYHCUIZPPULIZDPULIUFIZUXQUAUIUY
      NUXRUYGUYHUXQCUAPPDUYGWCZVUPUWSDWDFZUWRUYFDWEWFZUXEVULFUYGUYRUYHQFVULUXBU
      XEDWGWIVUGWHUXEUXMSZUXHUXPUXAMVUSUXFUXNUXGUXOJUXEUXMUXDLVKUXEUXMUHVLVOZVP
      WJUYNVUMSUYGUYMVULUYHCUYLPDUFWKWLWMTUYGUXKVUOUXQUAUYGUXKVUNDUJIZVUOVUNHDU
      JWNWLUYGVUQVVAVUOSVURVUNDWOWSWPWQWRVOWTXAVPUWTAUXAPUXRUYDGQQEGGQXBZFZUWTX
      CTZUYQUYGXDUWTAUXAPGXEXFXGKZXHXKKZQGEVVDUXAGFZUYOUWTUXAXIUNUWTVVGUDXDUWTA
      GVVDXJEGXLZUWTXMTVVFVVFXNZXOZVVIEVVEFZUWTHXPXEIEVVEYBHXPXQXRZTZXSZUYGUXKU
      XQUAUXKXTFZUYGHDYCZTUYGUXLUXKFZUDZUXAUXPUYGUYOVVQUYQRZVVRUXPVVRUXNUXOUYGU
      YTUXMUCFZUXNGFVVQVUBVVQUXLUCFZVVTUXLDYAZUXLUUFZWSZUXDUXMUTVAVVRUXMVVQVVTU
      YGVWDUNVBVCVDZVJZUUAUYGUYCQFZPQFZUYDQFUYGUYCUYGUYAUYBUYGUXDDVUBVUEUUBUWSU
      YBYNFUWRUYFDUUCWFVCVDZYDUYCPUUDYEUWTGAEUXRNOIAEUXKUXPUXDUXLLIZUXLUHKZJIZU
      LIZUAUIZNAEUYDNUWTAUXQVWMGUAUXKVVEVVFEVVJVVIVVDVVMVVOUWTVVPTUWTVVQUYFUXQQ
      FZUWTUYFVVQVWOVWFYFYGUWTVVQUYFVWMQFZUWTUYFVVQVWPVVRUXPVWLVWEVVRVWLVVRVWJV
      WKUYGUYTVWAVWJGFVVQVUBVWBUXDUXLUTVAVVRUXLVVQVWAUYGVWBUNVBVCZVDZUUEYFYGUWT
      VVQUDZGAEUXQNOIAEPUXPMIZVWLUXAJIZYHZUXAMIZUKIZNAEVWMNVWSAUXAPUXPVXBGQYIEV
      VCVWSXCTZUYFUYOVWSUYPUNZVWSUYFUDZXDUWTGAEUXANOIAEPNSVVQVVNRUWTUYFVVQUXPQF
      VWEYFVXBYIFVXGVXAYJTVWSGAEUXPNOIAEVWLPUXAJIZYHZMIZNAEVXBNVWSAUBUXDVXIUBUE
      ZUXMLIZUXOJIZVXKUXLLIZVWKJIZGQUXPVWLYIQEQVXEQVVBFVWSUUGTZUWTUYFUXDQFVVQVU
      JUPVXIYIFVXGVXHYJTVWSVXKQFZUDZVXLUXOVXQVXQVVTVXLQFVWSVXQUUHZVWSVWAVVTVVQV
      WAUWTVWBUNZVWCWSZVXKUXMYKYLZVWSUXOQFVXQVWSUXOVWSUXMVYAVBZYMZRVWSUXOHYOVXQ
      VWSUXOVYCYPZRYQVXRVXNVWKVXQVXQVWAVXNQFVWSVXSVXTVXKUXLYKYLZVWSVWKQFVXQVWSV
      WKVWSUXLVXTVBYMRZVXRVWKVXRUXLVWSVWAVXQVXTRZVBYPZYQVWSGAEUXDNZOIZAEHVXHULI
      ZNZAEVXINVWSVYKGAEBUGKZUXAUGKZULIZNZOIVYMVWSVYJVYQGOVWSAEUXDVYPVXGBUXAUWR
      UWSVVQUYFUUIVWSUYFUUJZUUKXAVPVWSAVYNHVYOVXHGQEEVXEVWSVYNQFZUYFVWSVYNUWRVY
      NGFUWSVVQBUULUUMVDZRVXGYRVWSAVYNHGVVEVVFQGEVXEVWSVYSVVGVYTRVWSVVGUDYRVWSA
      VYNGVXEVYTUUOVVHVWSXMTVVJVVIVVKVWSVVLTXSVXGVYOVXGUXAVYRURVDVXGUXAVYRUUNZV
      WSGUGEUUPZOIGAEVYONZOIAEVXHNVWSWUBWUCGOVWSWUBAEUXAWUBKZNWUCVWSAEGWUBEGWUB
      UUQEGWUBUURVWSUUSEGWUBUUTUVPUVAAEWUDVYOUXAEUGUVBUVCVNVPAUVDUVFUVEWBAEVXIV
      YLVXHUVGUVHUVIVWSQUBQVXMNOIUBQUXMVXKUXMPULIZLIZMIZUXOJIZNUBQVXONVWSUBVXLW
      UGUXOQYIQVXPVYBVXRUXMWUFMUVJVWSUXMYNFZQUBQVXLNOIUBQWUGNSVWSVWAWUIVXTUXLUV
      KWSZUBUXMUVLWSVYDVYEUVMVWSUBQWUHVXOVXRWUHUXMVXNMIZUXMVWKMIZJIVXOVXRWUGWUK
      UXOWULJVXRWUFVXNUXMMVXRWUEUXLVXKLVXRUXLQFZVWHWUEUXLSVWSWUMVXQVWSUXLVXTUVN
      RZYDUXLPUVOYEVPVPVXRUXOVWKUXMMIZWULVXRVWAUXOWUOSVYHUXLUVQWSVXRVWKUXMVYGVX
      RWUMUXMQFWUNUXLUVRWSZUVSWBVOVXRVXNVWKUXMVYFVYGWUPVYIVWSUXMHYOVXQVWSUXMWUJ
      YPRUVTWBXAWBVXKUXDSZVXLUXNUXOJVXKUXDUXMLYSVSWUQVXNVWJVWKJVXKUXDUXLLYSVSUW
      AVWSAEVXJVXBVXGVXJVWLVXHMIZYHVXBVXGVWLVXHUWTUYFVVQVWLQFVWRYFZVXGVXHWUAUWB
      UWCVXGVXAWURVXGVWLUXAWUSVXFUYFUXAHYOZVWSUXAUWDUNZUWEYTUWNXAWBUWFVWSAEVXDV
      WMUWTUYFVVQVXDVWMSVVRVXDUXPVWLYHZUKIVWMVVRVWTUXPVXCWVBUKVVRUXPVWEUWGVVRVX
      CVXAUXAMIZYHWVBVVRVXAUXAVVRVXAVVRVWLUXAVWQUWTUYFVVQVGUWHVDVVSUWIVVRWVCVWL
      VVRVWLUXAVWRVVSUWTVVQUYFWUTWVAYFUWJYTWBVOVVRUXPVWLVWEVWRUWKWBYFXAWBUWLUWT
      AEVWNUYDUYGVWNUYCUYJULIUYDUYGUXHVWLUXPUYJUACUYCHDUXEUXLSUXFVWJUXGVWKJUXEU
      XLUXDLVKUXEUXLUHVLVOVUTVUIUXEDSUXFUYAUXGUYBJUXEDUXDLVKUXEDUHVLVOVUFVUDUWM
      UYGUYJPUYCULVUKVPWBXAWBUWOUWTAEUYEUYCUYGVWHVWGUYEUYCSYDVWIPUYCUWPUWQXAWT
      $.
  $}

  $( Lemma for ~ efopn .  (Contributed by Mario Carneiro, 23-Apr-2015.)
     (Revised by Mario Carneiro, 8-Sep-2015.) $)
  efopnlem1 $p |- ( ( ( R e. RR+ /\ R < _pi ) /\
    A e. ( 0 ( ball ` ( abs o. - ) ) R ) ) -> ( abs ` ( Im ` A ) ) < _pi ) $=
    ( crp wcel cpi clt wbr wa cc0 cabs cmin cfv co cc ad2antrr syl cr wb abscld
    cle ccom cbl cim ccnv cico cima simpr cxr wceq rpxr eqid cnbl0 eleqtrrd wfn
    wf absf ffn elpreima mp2b simplbi imcld recnd rpre pire a1i absimle simprbi
    w3a 0re elico2 sylancr mpbid simp3d lelttrd simplr lttrd ) BCDZBEFGZHZAIBJK
    UAZUBLMZDZHZAUCLZJLZBEWCWDWCWDWCAWCAJUDIBUEMZUFZDZANDZWCAWAWGVSWBUGWCBUHDZW
    GWAUIVQWJVRWBBUJOZVTBVTUKULPUMZWHWIAJLZWFDZNQJUOJNUNWHWIWNHRUPNQJUQNAWFJURU
    SZUTPZVAVBSZVQBQDVRWBBVCOZEQDWCVDVEWCWEWMBWQWCAWPSWRWCWIWEWMTGWPAVFPWCWMQDZ
    IWMTGZWMBFGZWCWNWSWTXAVHZWCWHWNWLWHWIWNWOVGPWCIQDWJWNXBRVIWKIBWMVJVKVLVMVNV
    QVRWBVOVP $.

  ${
    $d r w x y z J $.  $d x R $.  $d r x y z S $.
    efopn.j $e |- J = ( TopOpen ` CCfld ) $.
    $( Lemma for ~ efopn .  (Contributed by Mario Carneiro, 2-May-2015.) $)
    efopnlem2 $p |- ( ( R e. RR+ /\ R < _pi ) ->
      ( exp " ( 0 ( ball ` ( abs o. - ) ) R ) ) e. J ) $=
      ( wcel cpi clt wbr wa ce cc0 cfv co cima cc wss clog cres ccnv cim wceq
      crp cabs cmin ccom cbl cmnf cioc cdif crest cneg csn crn wf1o wfun logf1o
      vx wfn f1orn simprbi funcnvres mp2b df-log cnveqi wrel relres dfrel2 mpbi
      eqtri reseq1i imassrn logrn sseqtri resabs1 ax-mp 3eqtri imaeq1i cv cxmet
      cioo cnxmet 0cnd rpxr adantr blssm mp3an2i sselda cr imcld efopnlem1 pire
      cxr abslt sylancl mpbid simpld simprd w3a renegcli rexri elioo2 syl3anbrc
      wb mp2an wf imf ffn elpreima sylanbrc ssrdv df-ima wfo eqid logf1o2 f1ofo
      ex forn sseqtrrdi resima2 syl5eq ccncf logcn difss cnfldtopon toponrestid
      syl ccn ssid eleqtri cnfldtopn blopn cnima sylancr eqeltrrd ctop cnfldtop
      cncfcn ccnfld ctopn logdmopn eleqtrri restopn2 sylib ) AUADZAEFGZHZIJAUBU
      CUDZUEKLZMZBDZUUHNUFJUGLZUHZOZUUEUUHBUUKUILZDZUUIUULHZUUEPUUKQZRZUUGMZUUH
      UUMUUEUURIPUUKMZQZUUGMZUUHUUQUUTUUGUUQPRZUUSQZISRZEUJZEUGLMZQZUUSQZUUTNJU
      KUHZPULZPUMZUVBUNZUUQUVCTUOUVKPUVIUQUVLUVIPURUSUUKPUTVAUVBUVGUUSUVBUVGRZR
      ZUVGPUVMVBVCUVGVDUVNUVGTIUVFVEUVGVFVGVHVIUUSUVFOUVHUUTTUUSUVJUVFPUUKVJVKV
      LIUUSUVFVMVNVOVPUUEUUGUUSOUVAUUHTUUEUUGUVDUVEEVSLZMZUUSUUEUPUUGUVPUUEUPVQ
      ZUUGDZUVQUVPDZUUEUVRHZUVQNDZUVQSKZUVODZUVSUUEUUGNUVQUUFNVRKDZUUEJNDZAWKDZ
      UUGNOVTUUEWAZUUCUWFUUDAWBWCZUUFJANWDWEWFZUVTUWBWGDZUVEUWBFGZUWBEFGZUWCUVT
      UVQUWIWHZUVTUWKUWLUVTUWBUBKEFGZUWKUWLHZUVQAWIUVTUWJEWGDUWNUWOXBUWMWJUWBEW
      LWMWNZWOUVTUWKUWLUWPWPUVEWKDEWKDUWCUWJUWKUWLWQXBUVEEWJWRWSEWJWSUVEEUWBWTX
      CXANWGSXDSNUQUVSUWAUWCHXBXENWGSXFNUVQUVOSXGVAXHXOXIUUSUUPULZUVPPUUKXJUUKU
      VPUUPUMUUKUVPUUPXKUWQUVPTUUKUUKXLZXMUUKUVPUUPXNUUKUVPUUPXPVAVHXQIUUGUUSXR
      YEXSUUEUUPUUMBYFLZDUUGBDZUURUUMDUUPUUKNXTLZUWSUUKUWRYAUUKNONNOUXAUWSTNUUJ
      YBNYGUUKNBUUMBCUUMXLBNBCYCYDYPXCYHUWDUUEUWEUWFUWTVTUWGUWHUUFJABNBCYIYJWEU
      UGUUPUUMBYKYLYMBYNDUUKBDUUNUUOXBBCYOUUKYQYRKBUUKUWRYSCYTUUKUUHBUUAXCUUBWO
      $.

    $( The exponential map is an open map.  (Contributed by Mario Carneiro,
       23-Apr-2015.) $)
    efopn $p |- ( S e. J -> ( exp " S ) e. J ) $=
      ( vz vy vw wcel ce wss wa wrex cfv cc clt cabs co cc0 wceq syl2anc wb cpi
      vx vr cv cima wral wbr cmin ccom cbl crp ctopon cnfldtopon toponss sselda
      mpan cxmet cnxmet w3a pirp cnfldtopn mopni3 mpan2 mp3an1 imass2 cdiv cmpt
      wi ccnv crab cin crn imassrn wf eff frn ax-mp sstri sseqin2 mpbi cxr rpxr
      blssm sylan2 ad2antrr simp-4l subcld subid1d fveq2d 0cn cnmetdval sylancl
      eqid 3eqtr4d simpr simpllr adantr rpxrd elbl3 syl22anc mpbid eqbrtrd 0cnd
      mpbird efsub fveqeq2 rspcev oveq1 eqeq2d rexbidv syl5ibcom rexlimdva cmul
      a1i eqcom simplr efcl syl mp3an12i wne efne0 divmuld syl5bb caddc pncan2d
      eqtr4d addcld efadd eqeq2 sylbid impbid wfn ffn sylancr 3bitr4d rabbi2dva
      fvelimab eqtr3id mptpreima eqtr4di ccn divccncf cncfcn1 efopnlem2 adantll
      ccncf eleqtrdi cnima eqeltrd blcntr wfun cdm ffun sseqtrrdi funfvima2 mpd
      fdmi eleq2 sseq1 anbi12d expr syl5 expimpd sylc ralrimiva anbi1d cnfldtop
      eleq1 ralima ctop eltop2 sylibr ) ABGZDUDZEUDZGZUVOHAUEZIZJZEBKZDUVQUFZUV
      QBGZUVMUWAUBUDZHLZUVOGZUVRJZEBKZUBAUFZUVMUWGUBAUVMUWCAGZJUWCMGZUCUDZUANUG
      ZUWCUWKOUHUIZUJLZPZAIZJZUCUKKZUWGUVMAMUWCBMULLGUVMAMIZBCUMABMUNUPZUOUWMMU
      QLGZUVMUWIUWRURUXAUVMUWIUSUAUKGUWRUTUCAUWMUWCUABMBCVAVBVCVDUWJUWQUWGUCUKU
      WJUWKUKGZJZUWLUWPUWGUWPHUWOUEZUVQIZUXCUWLJZUWGUWOAHVEUXFUXDBGZUWDUXDGZUXE
      UWGVHUXFUXDDMUVNUWDVFPZVGZVIHQUWKUWNPZUEZUEZBUXFUXDUXIUXLGZDMVJZUXMUXFUXD
      MUXDVKZUXOUXDMIUXPUXDRUXDHVLZMHUWOVMMMHVNZUXQMIVOMMHVPVQVRUXDMVSVTUXFUXND
      MUXDUXFUVNMGZJZUVOHLZUVNRZEUWOKZFUDZHLZUXIRZFUXKKZUVNUXDGZUXNUXTUYCUYGUXT
      UYBUYGEUWOUXTUVOUWOGZJZUYEUYAUWDVFPZRZFUXKKZUYBUYGUYJUVOUWCUHPZUXKGZUYNHL
      UYKRZUYMUYJUYOUYNQUWMPZUWKNUGZUYJUYQUVOUWCUWMPZUWKNUYJUYNQUHPZOLZUYNOLZUY
      QUYSUYJUYTUYNOUYJUYNUYJUVOUWCUXTUWOMUVOUXCUWOMIZUWLUXSUXBUWJUWKWAGZVUCUWK
      WBUXAUWJVUDVUCURUWMUWCUWKMWCVDWDZWEZUOZUWJUXBUWLUXSUYIWFZWGZWHWIUYJUYNMGZ
      QMGZUYQVUARVUIWJUYNQUWMUWMWMZWKWLUYJUVOMGZUWJUYSVUBRVUGVUHUVOUWCUWMVULWKS
      WNUYJUYIUYSUWKNUGZUXTUYIWOUYJUXAVUDUWJVUMUYIVUNTUXAUYJURXNZUYJUWKUXTUXBUY
      IUWJUXBUWLUXSWPZWQWRZVUHVUGUVOUWMUWCUWKMWSWTXAXBUYJUXAVUDVUKVUJUYOUYRTVUO
      VUQUYJXCVUIUYNUWMQUWKMWSWTXDUYJVUMUWJUYPVUGVUHUVOUWCXESUYLUYPFUYNUXKUYDUY
      NUYKHXFXGSUYBUYLUYFFUXKUYBUYKUXIUYEUYAUVNUWDVFXHXIXJXKXLUXTUYFUYCFUXKUXTU
      YDUXKGZJZUYFUWDUYEXMPZUVNRZUYCUYFUXIUYERVUSVVAUYEUXIXOVUSUVNUWDUYEUXFUXSV
      URXPVUSUWJUWDMGZUWJUXBUWLUXSVURWFZUWCXQZXRVUSUYDMGZUYEMGUXTUXKMUYDUXAVUKU
      XTVUDUXKMIZURWJUXTUWKVUPWRUWMQUWKMWCXSZUOZUYDXQXRVUSUWJUWDQXTZVVCUWCYAZXR
      YBYCVUSUYAVUTRZEUWOKZVVAUYCVUSUWCUYDYDPZUWOGZVVMHLVUTRZVVLVUSVVNVVMUWCUWM
      PZUWKNUGZVUSVVPUYDQUWMPZUWKNVUSVVMUWCUHPZOLZUYDQUHPZOLZVVPVVRVUSVVSVWAOVU
      SVVSUYDVWAVUSUWCUYDVVCVVHYEVUSUYDVVHWHYFWIVUSVVMMGZUWJVVPVVTRVUSUWCUYDVVC
      VVHYGZVVCVVMUWCUWMVULWKSVUSVVEVUKVVRVWBRVVHWJUYDQUWMVULWKWLWNVUSVURVVRUWK
      NUGZUXTVURWOVUSUXAVUDVUKVVEVURVWETUXAVUSURXNZVUSUWKUXTUXBVURVUPWQWRZVUSXC
      VVHUYDUWMQUWKMWSWTXAXBVUSUXAVUDUWJVWCVVNVVQTVWFVWGVVCVWDVVMUWMUWCUWKMWSWT
      XDVUSUWJVVEVVOVVCVVHUWCUYDYHSVVKVVOEVVMUWOUVOVVMVUTHXFXGSVVAVVKUYBEUWOVUT
      UVNUYAYIXJXKYJXLYKUXTHMYLZVUCUYHUYCTUXRVWHVOMMHYMVQZVUFEMUWOUVNHYQYNUXTVW
      HVVFUXNUYGTVWIVVGFMUXKUXIHYQYNYOYPYRDMUXIUXLUXJUXJWMZYSYTUXFUXJBBUUAPZGUX
      LBGZUXMBGUXFUXJMMUUFPZVWKUXFVVBVVIUXJVWMGUWJVVBUXBUWLVVDWEUWJVVIUXBUWLVVJ
      WEDUWDUXJVWJUUBSBCUUCUUGUXBUWLVWLUWJUWKBCUUDUUEUXLUXJBBUUHSUUIUXCUXHUWLUX
      CUWCUWOGZUXHUXAUWJUXBVWNURUWMUWCUWKMUUJVDUXCHUUKZUWOHUULZIVWNUXHVHUXRVWOV
      OMMHUUMVQUXCUWOMVWPVUEMMHVOUUQUUNUWOUWCHUUOYNUUPWQUXGUXHUXEUWGUWFUXHUXEJE
      UXDBUVOUXDRUWEUXHUVRUXEUVOUXDUWDUURUVOUXDUVQUUSUUTXGUVASUVBUVCXLUVDUVEUVM
      VWHUWSUWAUWHTVWIUWTUVTUWGDUBMAHUVNUWDRZUVSUWFEBVWQUVPUWEUVRUVNUWDUVOUVHUV
      FXJUVIYNXDBUVJGUWBUWATBCUVGDEUVQBUVKVQUVL $.
  $}

  ${
    $d j k m n r x y z A $.  $d n S $.
    $( Lemma for ~ logtayl .  (Contributed by Mario Carneiro, 1-Apr-2015.) $)
    logtayllem $p |- ( ( A e. CC /\ ( abs ` A ) < 1 ) -> seq 0 ( + ,
      ( n e. NN0 |-> ( if ( n = 0 , 0 , ( 1 / n ) ) x. ( A ^ n ) ) ) )
        e. dom ~~> ) $=
      ( cc wcel cabs cfv c1 clt wbr wa cn0 cexp co cc0 wceq cdiv cmul cr adantl
      cle vk cmpt cif nn0uz 1nn0 a1i oveq2 eqid ovex fvmpt abscl adantr reexpcl
      cv sylan eqeltrd eqeq1 ifbieq2d oveq12d 0cnd wne nn0cn neqne reccl syl2an
      wn ifclda expcl adantlr mulcld caddc cseq cmin cli cdm recnd absidm simpr
      eqbrtrd geolim seqex breldm syl 1red cuz cn elnnuz nnrecre sylan2 absmuld
      nnnn0 crp rpreccld rpge0d absidd simpl absexp eqtrd absge0d breqtrd nnge1
      nnrp 0lt1 nnre nngt0 lerec syl22anc mpbid 1div1e1 breqtrdi lemul1ad nnne0
      wb neneqd iffalsed oveq1d fveq2d oveq2d 3brtr4d sylan2br cvgcmpce ) ACDZA
      EFZGHIZJZGUABKYCBUNZLMZUBZBKYFNOZNGYFPMZUCZAYFLMZQMZUBZNGKUDGKDYEUEUFYEUA
      UNZKDZJZYOYHFZYCYOLMZRYPYRYSOZYEBYOYGYSKYHYFYOYCLUGYHUHYCYOLUIUJSZYEYCRDZ
      YPYSRDZYBUUBYDAUKULZYCYOUMUOZUPYQYOYNFZYONOZNGYOPMZUCZAYOLMZQMZCYPUUFUUKO
      ZYEBYOYMUUKKYNYFYOOZYKUUIYLUUJQUUMYIUUGYJUUHNYFYONUQYFYOGPUGURYFYOALUGUSY
      NUHUUIUUJQUIUJSZYQUUIUUJYQUUGNUUHCYQUUGJUTYQYOCDZYONVAZUUHCDUUGVFYPUUOYEY
      OVBSYONVCYOVDVEVGYBYPUUJCDZYDAYOVHVIZVJUPYEVKYHNVLZGGYCVMMZPMZVNIUUSVNVOD
      YEYCUAYHYEYCUUDVPYEYCEFZYCGHYBUVBYCOYDAVQULYBYDVRVSUUAVTUUSUVAVNVKYHNWAGU
      UTPUIWBWCYEWDYOGWEFDYEYOWFDZUUFEFZGYRQMZTIYOWGYEUVCJZUUHUUJQMZEFZGYSQMZUV
      DUVETUVFUVHUUHYSQMZUVITUVFUVHUUHEFZUUJEFZQMUVJUVFUUHUUJUVFUUHUVCUUHRDYEYO
      WHSZVPUVCYEYPUUQYOWKZUURWIZWJUVFUVKUUHUVLYSQUVFUUHUVMUVFUUHUVFYOUVCYOWLDY
      EYOXBSWMWNWOYEYBYPUVLYSOUVCYBYDWPUVNAYOWQVEZUSWRUVFUUHGYSUVMUVFWDZUVCYEYP
      UUCUVNUUEWIUVFNUVLYSTUVFUUJUVOWSUVPWTUVFUUHGGPMZGTUVFGYOTIZUUHUVRTIZUVCUV
      SYEYOXASUVFGRDNGHIZYORDZNYOHIZUVSUVTXMUVQUWAUVFXCUFUVCUWBYEYOXDSUVCUWCYEY
      OXESGYOXFXGXHXIXJXKVSUVFUUFUVGEUVFUUFUUKUVGUVCYEYPUULUVNUUNWIUVFUUIUUHUUJ
      QUVFUUGNUUHUVFYONUVCUUPYEYOXLSXNXOXPWRXQUVFYRYSGQUVCYEYPYTUVNUUAWIXRXSXTY
      A $.

    $( The Taylor series for ` -u log ( 1 - A ) ` .  (Contributed by Mario
       Carneiro, 1-Apr-2015.) $)
    logtayl $p |- ( ( A e. CC /\ ( abs ` A ) < 1 ) -> seq 1 ( + ,
      ( k e. NN |-> ( ( A ^ k ) / k ) ) ) ~~> -u ( log ` ( 1 - A ) ) ) $=
      ( vn vy vj cc wcel cabs cfv c1 wa cn0 cc0 wceq cdiv cexp cmul cmpt wtru
      co vr vx vm vz clt wbr caddc cv cif cseq cmin clog cneg cli csu nn0uz 0zd
      cn weq eqeq1 oveq2 ifbieq2d oveq12d eqid ovex fvmpt adantl wn simpr sylib
      0cnd wo ord con1d imp nnrecred recnd ifclda adantlr mulcld logtayllem 0cn
      expcl cnmetdval sylancl adantr fveq2d eqtrd eqbrtrd wb cxr cnxmet mpanl12
      1xr elbl3 sylancr mpbird tru a1i ax-1cn mp3an sseli eqbrtrrd fveq2 logcld
      wss wne syl fmpttd cdm cr crab cle c2 eqcomd oveq1d mpteq2ia syl2an oveq1
      c0ex oveq2d mpteq2dv nn0ex mptex mp1i mpbid wf fveq1d sumeq2dv sylan2 cdv
      cvv ovexd neg1cn ax-mp eqtrdi negeqd cuz eqtr4d cfz elnn0 isumclim2 simpl
      ccom cbl subid1 cxmet blssm subcl abscld subid1d ibi abs1 eqtr3id necon3i
      gtned subeq0 necon3bid negcld ccnv csup cico cima absge0d rexrd rehalfcld
      peano2re cpnf cicc iccssxr ifex mpteq2i nn0cn neqne reccl seqeq3d rabbiia
      recn eleq1d supeq1i radcnvcl sselid 1re avglt1 0red lelttrd absidd avglt2
      ltled syl2anc eqeltrd radcnvle xrltletrd w3a 0re elico2 mpbir3and wfn ffn
      absf elpreima mp2b sylanbrc cnvimass fdmi sseqtri eqtr2d psercn fvmptelrn
      ccncf cncff cpr cnelprrecn nncan elbl cmnf cioc dvlog2lem eldifad logdmn0
      cdif ccnfld ctopn 1cnd dvmptc dvmptid dvmptsub df-neg eqtr4di toponrestid
      cnfldtopon cnfldtopn blopn dvmptres cres crn csn wf1o logf1o f1of logdmss
      sstri fssres feqmptd dvlog2 eqtr3di dvmptco dvmptneg reccld mulcom mulm1d
      mp2an fvres negnegd dmeqd dmmptg sumex cbvsumv pserdv2 ssriv nnnn0 neneqd
      mprg nnne0 iffalsed nncn recidd nnm1nn0 mulid2d nnuz 1e0p1 eqtri isumshft
      fveq2i 1zzd pncan2 sumeq2i geoisum 3eqtrd crp 1rp blcntr log1 neg0 eqeq1d
      1m0e1 simpll eqeltrdi simplr expcld mul02d 0expd mul01d ifbothda cfn orci
      eqimssi dv11cn negex sumeq2sdv 3eqtr3d breqtrrd seqex elnnuz sylbi addid2
      sumz 1eluzge0 1nn0 ffvelrn elfz1eq 1m1e0 oveq2i eleq2s 0nn0 iftrue syl5eq
      sylan9eqr seqid divrec2d id 3eqtr4d sylan2br seqfeq climeq ) AFGZAHIZJUEU
      FZKZUGBLBUHZMNZMJVYJOTZUIZAVYJPTZQTZRZMUJZJAUKTZULIZUMZUNUFUGBURVYNVYJOTZ
      RZJUJZVYTUNUFVYIVYQLCUHZMNZMJWUDOTZUIZAWUDPTZQTZCUOZVYTUNVYIWUICVYPMLUPVY
      IUQWUDLGZWUDVYPIZWUINZVYIBWUDVYOWUILVYPBCUSZVYMWUGVYNWUHQWUNVYKWUEVYLWUFM
      VYJWUDMUTVYJWUDJOVAVBVYJWUDAPVAZVCVYPVDZWUGWUHQVEVFVGZVYIWUKKZWUGWUHWURWU
      EMWUFFWURWUEKVKWURWUEVHZKZWUFWUTWUDWURWUSWUDURGZWURWVAWUEWURWVAWUEWURWUKW
      VAWUEVLZVYIWUKVIWUDUUAZVJVMVNVOVPVQVRVYFWUKWUHFGZVYHAWUDWCVSZVTABWAUUBVYI
      AMJHUKUUDZUUEIZTZGZVYTWUJNVYIWVIAMWVFTZJUEUFZVYIWVJVYGJUEVYIWVJAMUKTZHIZV
      YGVYIVYFMFGZWVJWVMNVYFVYHUUCZWBAMWVFWVFVDZWDWEVYIWVLAHVYFWVLANVYHAUUFWFWG
      WHVYFVYHVIWIVYIWVNVYFWVIWVKWJZWBWVOWVFFUUGIGZJWKGZWVNVYFKWVQWLWNAWVFMJFWO
      WMWPWQWVIADWVHJDUHZUKTZULIZUMZRZIZADWVHLWUGWVTWUDPTZQTZCUOZRZIZVYTWUJSWWE
      WWJNWVIWRSAWWDWWISMMJWWDWWIWVHWVHVDSVKWVSSWNWSSDWVHWWCFWVTWVHGZWWCFGSWWKW
      WBWWKWWAWWKJFGZWVTFGZWWAFGZWTWVHFWVTWVRWVNWVSWVHFXFZWLWBWNWVFMJFUUHXAZXBZ
      JWVTUUIZWPZWWKWWAMXGZJWVTXGZWWKJWVTHIZXGWXAWWKWXBJWWKWVTWWQUUJZWWKWVTMWVF
      TZWXBJUEWWKWXDWVTMUKTZHIZWXBWWKWWMWVNWXDWXFNWWQWBWVTMWVFWVPWDWEWWKWXEWVTH
      WWKWVTWWQUUKWGWHWWKWXDJUEUFZWWKWVNWWMWWKWXGWJZWBWWQWVRWVSWVNWWMKWXHWLWNWV
      TWVFMJFWOWMWPUULXCZUUPJWVTJWXBJWVTNJJHIWXBUUMJWVTHXDUUNUUOXHWWKWWLWWMWWTW
      XAWJWTWWQWWLWWMKWWAMJWVTJWVTUUQUURWPWQZXEZUUSVGXISDWVHWWHFWWKSWVTHUUTMUGE
      LEUHZMNZMJWXLOTZUIZUAUHZWXLPTZQTZRZMUJZUNXJZGZUAXKXLZWKUEUVAZUVBTZUVCZGZW
      WHFGWWKWWMWXBWYEGZWYGWWQWWKWYHWXBXKGZMWXBXMUFZWXBWYDUEUFZWXCWWKWVTWWQUVDZ
      WWKWXBWXBJUGTZXNOTZWYDWWKWXBWXCUVEWWKWYNWWKWYMWWKWYIWYMXKGWXCWXBUVGXHUVFZ
      UVESWYDWKGZWWKWRSMUVHUVITWKWYDMUVHUVJSUBUCLUCUHZMNZMJWYQOTZUIZRZWYDEUBFEL
      WXOUBUHZWXLPTZQTZRZRZUAUBFXUEELWXLXUAIZXUCQTZRELXUDXUHWXLLGZWXOXUGXUCQXUI
      XUGWXOUCWXLWYTWXOLXUAUCEUSWYRWXMWYSWXNMWYQWXLMUTWYQWXLJOVAVBXUAVDZWXMMWXN
      XTJWXLOVEUVKVFXOXPXQUVLZSUCLWYTFSWYQLGZKZWYRMWYSFXUMWYRKVKXUMWYQFGZWYQMXG
      WYSFGWYRVHXULXUNSWYQUVMZVGWYQMUVNWYQUVOXRVRXIZWKWYCUGWXPXUFIZMUJZWYAGZUAX
      KXLUEWYBXUSUAXKWXPXKGZWXTXURWYAXUTWXSXUQUGMXUTXUQWXSXUTWXPFGXUQWXSNWXPUVR
      UBWXPXUEWXSFXUFUBUAUSZELXUDWXRXVAXUCWXQWXOQXUBWXPWXLPXSYAYBXUFVDZELWXRYCY
      DVFXHXOUVPUVSUVQUVTZUWAUWBYEZWWKWXBJUEUFZWXBWYNUEUFZWXIWWKWYIJXKGZXVEXVFW
      JWXCUWCWXBJUWDWEYFZWWKWYNHIZWYNWYDXMWWKWYNWYOWWKMWYNWWKUWEZWYOWWKMWXBWYNX
      VJWXCWYOWYLXVHUWFUWIUWGZWWKUBXUAWYDEXUFWYNUAXUKSLFXUAYGWWKWRXUPYEXVCWWKWY
      NWYOVQZWWKUGWYNXUFIZMUJUGELWXOWYNWXLPTZQTZRZMUJZWYAWWKXVMXVPUGMWWKWYNFGZX
      VMXVPNXVLUBWYNXUEXVPFXUFXUBWYNNZELXUDXVOXVSXUCXVNWXOQXUBWYNWXLPXSYAYBXVBE
      LXVOYCYDVFXHUVPWWKXVRXVIJUEUFXVQWYAGXVLWWKXVIWYNJUEXVKWWKXVEWYNJUEUFZWXIW
      WKWYIXVGXVEXVTWJWXCUWCWXBJUWHWEYFWIWYNEWAUWJUWKUWLXCUWMWWKMXKGWYPWYHWYIWY
      JWYKUWNWJUWOXVDMWYDWXBUWPWPUWQFXKHYGHFUWRWYGWWMWYHKWJUWTFXKHUWSFWVTWYEHUX
      AUXBUXCZSDWYFWWHFSDWYFWWHRZWYFFUXJTGWYFFXWBYGSUBDXUAWYDWYFCEXWBXUFWYDXKGU
      DUHHIZWYDUGTXNOTXWCJUGTUIZUAUDXUKDWYFWWHLWUDWVTXUFIZIZCUOZWYGWWMWWHXWGNWY
      FFWVTWYFHXJFHWYEUXDFXKHUWTUXEUXFXBWWMLWWGXWFCWWMWUKKZXWFWUDELWXOWVTWXLPTZ
      QTZRZIZWWGXWHWUDXWEXWKWWMXWEXWKNWUKUBWVTXUEXWKFXUFUBDUSZELXUDXWJXWMXUCXWI
      WXOQXUBWVTWXLPXSYAYBXVBELXWJYCYDVFWFYHWUKXWLWWGNWWMEWUDXWJWWGLXWKECUSZWXO
      WUGXWIWWFQXWNWXMWUEWXNWUFMWXLWUDMUTWXLWUDJOVAVBWXLWUDWVTPVAVCXWKVDWUGWWFQ
      VEVFVGUXGYIXHZXQXUPXVCWYFVDZXWDVDZUXHWYFFXWBUXKXHUXIZYJXISFWWDYKTZXJDWVHJ
      WWAOTZRZXJZWVHSXWSXXASXWSDWVHXWTJUMZQTZUMZRXXASDWWBXXDFYLWVHFXKFUXLGSUXMW
      SZWWKWWBFGSWXKVGSWWKKZXWTXXCQYMSDUBWWAXXCXUBULIZJXUBOTZFFWWBXWTFYLWVHJJWV
      GTZXXFXXFWWKWWAXXJGZSWWKWWNJWWAWVFTZJUEUFZXXKWWSWWKXXLWXBJUEWWKXXLJWWAUKT
      ZHIZWXBWWKWWLWWNXXLXXONWTWWSJWWAWVFWVPWDWPWWKXXNWVTHWWKWWLWWMXXNWVTNWTWWQ
      JWVTUXNWPWGWHWXIWIWVRWWLWVSXXKWWNXXMKWJWLWTWNWWAWVFJJFUXOXAUXCVGXXCFGZXXG
      YNWSXUBXXJGZXXHFGSXXQXUBXXQXUBFUXPMUXQTZXXJFXXRUYAZXUBXXJXXJVDZUXRZXBZUXS
      XXQXUBXXSGXUBMXGXYBXUBXXSXXSVDZUXTXHXEVGSXXQKJXUBOYMSDWWAXXCFUYBUYCIZXYDF
      FWVHXXFSWWMKZWWLWWMWWNWTSWWMVIZWWRWPXXPXYEYNWSSFDFWWARYKTDFMJUKTZRDFXXCRS
      DJMWVTJFFFFXXFXYEUYDZXYEVKSDJFXXFSUYDUYEXYFXYHSDFXXFUYFUYGDFXXCXYGJUYHUVL
      UYIWWOSWWPWSXYDFXYDXYDVDZUYKUYJZXYIWVHXYDGZSWVRWVNWVSXYKWLWBWNWVFMJXYDFXY
      DXYIUYLUYMXAWSZUYNSFULXXJUYOZYKTFUBXXJXXHRZYKTUBXXJXXIRSXYMXYNFYKSXYMUBXX
      JXUBXYMIZRXYNSUBXXJULUYPZXYMXXJXYPXYMYGZSFMUYQUYAZXYPULYGZXXJXYRXFXYQXYRX
      YPULUYRXYSUYSXYRXYPULUYTYOXXJXXSXYRXYAXXSXYCVUAVUBXYRXYPXXJULVUCVULWSVUDU
      BXXJXYOXXHXUBXXJULVUMXQYPYAUBXXJXXTVUEVUFXUBWWAULXDXUBWWAJOVAVUGVUHDWVHXX
      EXWTWWKXXEXWTUMZUMXWTWWKXXDXYTWWKXXDXXCXWTQTZXYTWWKXWTFGXXPXXDYUANWWKWWAW
      WSWXJVUIZYNXWTXXCVUJWEWWKXWTYUBVUKWHYQWWKXWTYUBVUNWHXQYPZVUOXWTYLGXXBWVHN
      DWVHDWVHXWTYLVUPWWKJWWAOYMVVCYPSXWSXXAFWWIYKTZYUCSYUDDWVHURWUDWUDXUAIZQTZ
      WVTWUDJUKTZPTZQTZCUOZRXXASDWWHYUJFXYDXYDYLWYFWVHXXFXWRYUJYLGSWYGKURYUICVU
      QWSSUBDXUAMXWCXWDUGTXNOTWVGTZWYDWYFBCEXWBXUFXWDUAUDXUKDWYFWWHLVYJXWEIZBUO
      ZWYGWWHXWGYUMXWOLXWFYULCBWUDVYJXWEXDVURYPXQXUPXVCXWPXWQYUKVDVUSWVHWYFXFSD
      WVHWYFXWAVUTWSXYJXYIXYLUYNDWVHYUJXWTWWKYUJURYUHCUOZLWVTWYQPTZUCUOZXWTWWKU
      RYUIYUHCWWKWVAKZYUIJYUHQTYUHYUQYUFJYUHQYUQYUFWUDWUFQTJYUQYUEWUFWUDQYUQYUE
      WUGWUFYUQWUKYUEWUGNWVAWUKWWKWUDVVAZVGUCWUDWYTWUGLXUAUCCUSWYRWUEWYSWUFMWYQ
      WUDMUTWYQWUDJOVAVBXUJWUEMWUFXTJWUDOVEUVKVFXHYUQWUEMWUFYUQWUDMWVAWUDMXGZWW
      KWUDVVDZVGZVVBVVEWHYAYUQWUDWVAWUDFGZWWKWUDVVFZVGYVAVVGWHXPYUQYUHWWKWWMYUG
      LGYUHFGWVAWWQWUDVVHWVTYUGWCXRZVVIWHYIWWKYUNLWVTJWYQUGTZJUKTZPTZUCUOYUPWWK
      YUHYVGCUCJMURLUPURJYRIZMJUGTZYRIVVJJYVIYRVVKVVNVVLWUDYVENYUGYVFWVTPWUDYVE
      JUKXSYAWWKVVOWWKUQYVDVVMLYVGYUOUCXULYVFWYQWVTPXULWWLXUNYVFWYQNWTXUOJWYQVV
      PWPYAVVQYPWWKWWMXVEYUPXWTNWWQWXIWVTUCVVRUWJVVSXQYPYSMWVHGZSWVRWVNJVVTGYVJ
      WLWBVWAWVFMJFVWBXAZWSSMWWDIZMMWWIIZYVJYVLMNSYVKDMWWCMWVHWWDWVTMNZWWCMUMMY
      VNWWBMYVNWWBJULIMYVNWWAJULYVNWWAJMUKTJWVTMJUKVAVWFYPWGVWCYPYQVWDYPWWDVDZX
      TVFYEYVJYVMMNSYVKDMWWHMWVHWWIYVNWWHLMCUOZMYVNLWWGMCWUEMWWFQTZMNWUFWWFQTZM
      NWWGMNYVNWUKKZMWUFMWUGNYVQWWGMMWUGWWFQXSVWEWUFWUGNYVRWWGMWUFWUGWWFQXSVWEY
      VSWUEKZWWFYVTWVTWUDYVTWVTMFYVNWUKWUEVWGWBVWHYVNWUKWUEVWIVWJVWKYVSWUSKZYVR
      WUFMQTMYWAWWFMWUFQYWAWWFMWUDPTMYWAWVTMWUDPYVNWUKWUSVWGXPYWAWUDYVSWUSWVAYV
      SWVAWUEYVSWVAWUEYVSWUKWVBYVNWUKVIWVCVJVMVNVOZVWLWHYAYWAWUFYWAWUFYWAWUDYWB
      VPVQVWMWHVWNYILMYRIZXFZLVWOGZVLYVPMNYWDYWELYWCUPVWQVWPLCMVXGYOYPWWIVDZXTV
      FYEYSVWRYHYEDAWWCVYTWVHWWDWVTANZWWBVYSYWGWWAVYRULWVTAJUKVAWGYQYVOVYSVWSVF
      DAWWHWUJWVHWWIYWGLWWGWUICYWGWWFWUHWUGQWVTAWUDPXSYAVWTYWFLWUICVUQVFVXAXHVX
      BVYIVYTCVYQWUCJYLYLURVVJVYQYLGVYIUGVYPMVXCWSWUCYLGVYIUGWUBJVXCWSVYIVVOZWV
      AVYIWUDVYQIZWUDVYQYVHUYOZIZWUDWUCIWVAYWKYWIWVAWUDYVHGZYWKYWINWUDVXDZWUDYV
      HVYQVUMVXEXOVYIWUDYWJWUCVYIYWJUGVYPJUJWUCVYICUGFVYPMJMYVBMWUDUGTWUDNVYIWU
      DVXFVGVYIVKJYWCGVYIVXHWSVYILFVYPYGJLGJVYPIFGVYIBLVYOFVYIVYJLGZKZVYMVYNYWO
      VYKMVYLFYWOVYKKVKYWOVYJFGZVYJMXGVYLFGVYKVHYWNYWPVYIVYJUVMVGVYJMUVNVYJUVOX
      RVRVYFYWNVYNFGVYHAVYJWCVSVTXIVXILFJVYPVXJWEWUDMJJUKTZYTTZGZVYIWULMVYPIZMY
      WSWUDMVYPWUEWUDMMYTTYWRWUDMVXKYWQMMYTVXLVXMVXNWGVYIYWTMAMPTZQTZMMLGZYWTYX
      BNVXOBMVYOYXBLVYPVYKVYMMVYNYXAQVYKMVYLVXPVYJMAPVAVCWUPMYXAQVEVFYOVYIYXAVY
      IVYFYXCYXAFGWVOVXOAMWCWEVWKVXQVXRVXSVYIUGCVYPWUBJYWHYWLVYIWVAWULWUDWUBIZN
      YWMVYIWVAKZWUIWUHWUDOTZWULYXDYXEWUIWUFWUHQTYXFYXEWUGWUFWUHQYXEWUEMWUFYXEW
      UDMWVAYUSVYIYUTVGZVVBVVEXPYXEWUHWUDWVAVYIWUKWVDYURWVEYJWVAYVBVYIYVCVGYXGV
      XTYSWVAVYIWUKWUMYURWUQYJWVAYXDYXFNVYIBWUDWUAYXFURWUBWUNVYNWUHVYJWUDOWUOWU
      NVYAVCWUBVDWUHWUDOVEVFVGVYBVYCVYDWHYHVXRVYEYF $.

    $( The Taylor series for ` -u log ( 1 - A ) ` , as an infinite sum.
       (Contributed by Mario Carneiro, 31-Mar-2015.) $)
    logtaylsum $p |- ( ( A e. CC /\ ( abs ` A ) < 1 ) ->
      sum_ k e. NN ( ( A ^ k ) / k ) = -u ( log ` ( 1 - A ) ) ) $=
      ( vn cc wcel cabs cfv c1 clt wbr wa cv cexp co cdiv cmin clog wceq adantl
      cn cneg cmpt nnuz 1zzd oveq2 id oveq12d eqid ovex fvmpt simpl nnnn0 expcl
      cn0 syl2an nncn cc0 wne nnne0 divcld logtayl isumclim ) ADEZAFGHIJZKZABLZ
      MNZVFONZHAPNQGUABCTACLZMNZVIONZUBZHTUCVEUDVFTEZVFVLGVHRVECVFVKVHTVLVIVFRZ
      VJVGVIVFOVIVFAMUEVNUFUGVLUHVGVFOUIUJSVEVMKVGVFVEVCVFUNEVGDEVMVCVDUKVFULAV
      FUMUOVMVFDEVEVFUPSVMVFUQURVEVFUSSUTACVAVB $.

    logtayl2.s $e |- S = ( 1 ( ball ` ( abs o. - ) ) 1 ) $.
    $( Power series expression for the logarithm.  (Contributed by Mario
       Carneiro, 31-Mar-2015.) $)
    logtayl2 $p |- ( A e. S -> seq 1 ( + ,
      ( k e. NN |-> ( ( ( -u 1 ^ ( k - 1 ) ) / k ) x. ( ( A - 1 ) ^ k ) ) ) )
      ~~> ( log ` A ) ) $=
      ( wcel cn c1 cneg cmin co cexp cdiv cmul cfv cc neg1cn ax-1cn wceq adantl
      a1i vn caddc cv cmpt cseq clog cli nnuz 1zzd cabs clt wbr ccom cbl eleq2i
      wa cxmet cxr cnxmet elbl mp3an bitri simplbi subcl sylancr eqid cnmetdval
      wb 1xr simprbi eqbrtrrd logtayl syl2anc nncan fveq2d negeqd breqtrd oveq2
      id oveq12d ovex fvmpt cn0 nnnn0 expcl syl2an cc0 wne nnne0 divcld eqeltrd
      nncn divnegd mulm1d sylancl mulneg1d neg1ne0 cz nnz expm1d divneg2d div1d
      ax-1ne0 3eqtr2d oveq1d eqtr2d adantr mulexp mp3an3an eqtrd 3eqtr4d div23d
      negsubdi2 nnm1nn0 oveq1 oveq2d isermulc2 cmnf cioc cdif dvlog2lem logdmn0
      sseli syl logcld negcld negnegd ) ABEZUBCFGHZCUCZGIJZKJZYJLJZAGIJZYJKJZMJ
      ZUDZGUEYIAUFNZHZMJZYRUGYHYSYIUACFGAIJZYJKJZYJLJZUDZYQGFUHYHUIYIOEZYHPTYHU
      BUUDGUEZGUUAIJZUFNZHZYSUGYHUUAOEZUUAUJNZGUKULUUFUUIUGULYHGOEZAOEZUUJQYHUU
      MGAUJIUMZJZGUKULZYHAGGUUNUNNJZEZUUMUUPUPZBUUQADUOUUNOUQNEUULGUREUURUUSVHU
      SQVIAUUNGGOUTVAVBZVCZGAVDVEZYHUUOUUKGUKYHUULUUMUUOUUKRQUVAGAUUNUUNVFVGVEY
      HUUMUUPUUTVJVKUUACVLVMYHUUHYRYHUUGAUFYHUULUUMUUGARQUVAGAVNVEVOVPVQYHUAUCZ
      FEZUPZUVCUUDNZUUAUVCKJZUVCLJZOUVDUVFUVHRYHCUVCUUCUVHFUUDYJUVCRZUUBUVGYJUV
      CLYJUVCUUAKVRUVIVSZVTUUDVFUVGUVCLWAWBSZUVEUVGUVCYHUUJUVCWCEZUVGOEUVDUVBUV
      CWDZUUAUVCWEWFZUVDUVCOEYHUVCWLSZUVDUVCWGWHYHUVCWISZWJZWKUVEYIUVCGIJZKJZUV
      CLJZYNUVCKJZMJZYIUVHMJZUVCYQNZYIUVFMJUVEUWCUVSUWAMJZUVCLJZUWBUVEUVHHUVGHZ
      UVCLJUWCUWFUVEUVGUVCUVNUVOUVPWMUVEUVHUVQWNUVEUWEUWGUVCLUVEYIUVCKJZHZUWAMJ
      UWHUWAMJZHUWEUWGUVEUWHUWAUVEUUEUVLUWHOEPUVDUVLYHUVMSYIUVCWEVEZYHYNOEZUVLU
      WAOEUVDYHUUMUULUWLUVAQAGVDWOZUVMYNUVCWEWFZWPUVEUVSUWIUWAMUVEUVSUWHYILJUWH
      GLJZHUWIUVEYIUVCUUEUVEPTYIWGWHUVEWQTUVDUVCWREYHUVCWSSWTUVEUWHGUWKUULUVEQT
      GWGWHUVEXCTXAUVEUWOUWHUVEUWHUWKXBVPXDXEUVEUVGUWJUVEUVGYIYNMJZUVCKJZUWJYHU
      VGUWQRUVDYHUUAUWPUVCKYHUWPYNHZUUAYHYNUWMWNYHUUMUULUWRUUARUVAQAGXMWOXFXEXG
      UUEYHUWLUVDUVLUWQUWJRPUWMUVMYIYNUVCXHXIXJVPXKXEXKUVEUVSUWAUVCUVEUUEUVRWCE
      ZUVSOEPUVDUWSYHUVCXNSYIUVRWEVEUWNUVOUVPXLXFUVDUWDUWBRYHCUVCYPUWBFYQUVIYMU
      VTYOUWAMUVIYLUVSYJUVCLUVIYKUVRYIKYJUVCGIXOXPUVJVTYJUVCYNKVRVTYQVFUVTUWAMW
      AWBSUVEUVFUVHYIMUVKXPXKXQYHYTYSHYRYHYSYHYRYHAUVAYHAOXRWGXSJXTZEAWGWHBUWTA
      BDYAYCAUWTUWTVFYBYDYEZYFWNYHYRUXAYGXJVQ $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z T $.
    $( The natural logarithm function on the reals is a strictly concave
       function.  (Contributed by Mario Carneiro, 20-Jun-2015.) $)
    logccv $p |- ( ( ( A e. RR+ /\ B e. RR+ /\ A < B ) /\ T e. ( 0 (,) 1 ) ) ->
      ( ( T x. ( log ` A ) ) + ( ( 1 - T ) x. ( log ` B ) ) ) <
        ( log ` ( ( T x. A ) + ( ( 1 - T ) x. B ) ) ) ) $=
      ( vx crp wcel clt wbr cc0 c1 co wa clog cfv cmul caddc cneg cr cc wceq vy
      vz w3a cioo cmin cicc cmpt cdiv crn simpl1 rpred simpl2 simpl3 ccncf cpnf
      cv wf wss rpgt0d ltpnfd cxr pnfxr iccssioo mpanl12 syl2anc ioorp sseqtrdi
      0xr sselda relogcld renegcld fmpttd wb ax-resscn cres resabs1d ssid mp2an
      cncfss relogcn sselii rescncf mpisyl eqeltrrd fvres mpteq2ia negfcncf syl
      negeqd eqcomi cncffvrn sylancr mpbird cdv wiso wor wpo wfo wral ltso soss
      ioossre mp2 a1i ioossicc sstrid rprecred frnd sopo wfn negex fnmpti dffn4
      wi eqid mpbi adantrl adantrr ltnegd ltrecd oveq2 breqan12d adantl 3bitr4d
      fvmpt biimpd ralrimivva soisoi syl22anc ctg cvv recnd oveq2d oveq1d fveq2
      rpxrd syl3anc mulneg2d eqtrd remulcld ccnfld ctopn cpr reelprrecn relogcl
      negcld ovexd wf1o relogf1o feqmptd eqtrdi dvrelog eqtr3di dvmptneg tgioo2
      f1of mp1i iccntr dvmptres2 isoeq1 simpr dvcvx ax-1cn elioore nncan sselid
      cnt iirev lincmb01cmp syl31anc cle ltled lbicc2 ubicc2 1re resubcl negdid
      oveq12d eqtr4d 3brtr3d readdcld sseldd ) AEFZBEFZABGHZUCZCIJUDKZFZLZCAMNZ
      OKZJCUEKZBMNZOKZPKZCAOKZUWLBOKZPKZMNZGHUWSQZUWOQZGHUWIUWRDABUFKZDUPZMNZQZ
      UGZNZCAUXFNZOKZUWLBUXFNZOKZPKZUWTUXAGUWIABUWRCUXFDABUDKZJUXCUHKZQZUGZUIZU
      WIAUWCUWDUWEUWHUJZUKZUWIBUWCUWDUWEUWHULZUKZUWCUWDUWEUWHUMZUWIUXFUXBRUNKFZ
      UXBRUXFUQZUWIDUXBUXERUWIUXCUXBFZLZUXDUYFUXCUWIUXBEUXCUWIUXBIUOUDKZEUWIIAG
      HZBUOGHZUXBUYGURZUWIAUXRUSUWIBUYAUTIVAFUOVAFUYHUYILUYJVHVBIUOABVCVDVEVFVG
      ZVIVJVKVLUWIRSURZUXFUXBSUNKZFZUYCUYDVMVNUWIMUXBVOZUYMFUYNUWIMEVOZUXBVOZUY
      OUYMUWIMUXBEUYKVPUWIUXBEURUYPESUNKZFUYQUYMFUYKERUNKZUYRUYPUYLSSURUYSUYRUR
      VNSVQERSVSVRVTWAESUXBUYPWBWCWDDUXBUYOUXFDUXBUXCUYONZQZUGUXFDUXBVUAUXEUYEU
      YTUXDUXCUXBMWEWIWFWJWGWHUXBSRUXFWKWLWMUWIUXMUXQGGRUXFWNKZWOZUXMUXQGGUXPWO
      ZUWIUXMGWPZUXQGWQZUXMUXQUXPWRZUAUPZUBUPZGHZVUHUXPNZVUIUXPNZGHZXNZUBUXMWSU
      AUXMWSVUDVUEUWIUXMRURRGWPZVUEABXBWTUXMRGXAXCXDUWIUXQGWPZVUFUWIUXQRURVUOVU
      PUWIUXMRUXPUWIDUXMUXORUWIUXCUXMFLZUXNVUQUXCUWIUXMEUXCUWIUXMUXBEABXEUYKXFZ
      VIXGVKVLXHWTUXQRGXAWCUXQGXIWHVUGUWIUXPUXMXJVUGDUXMUXOUXPUXNXKZUXPXOZXLUXM
      UXPXMXPXDUWIVUNUAUBUXMUXMUWIVUHUXMFZVUIUXMFZLZLZVUJVUMVVDJVUIUHKZJVUHUHKZ
      GHVVFQZVVEQZGHZVUJVUMVVDVVEVVFVVDVUIUWIVVBVUIEFVVAUWIUXMEVUIVURVIXQZXGVVD
      VUHUWIVVAVUHEFVVBUWIUXMEVUHVURVIXRZXGXSVVDVUHVUIVVKVVJXTVVCVUMVVIVMUWIVVA
      VVBVUKVVGVULVVHGDVUHUXOVVGUXMUXPUXCVUHTUXNVVFUXCVUHJUHYAWIVUTVVFXKYEDVUIU
      XOVVHUXMUXPUXCVUITUXNVVEUXCVUIJUHYAWIVUTVVEXKYEYBYCYDYFYGUAUBUXMUXQGGUXPY
      HYIUWIVUBUXPTVUCVUDVMUWIDUXEUXORUDUIYJNZUUAUUBNZYKEUXMUXBRRSUUCFUWIUUDXDZ
      UWIUXCEFZLZUXDVVPUXDVVOUXDRFUWIUXCUUEYCYLZUUFUXOYKFVVPVUSXDUWIDUXDUXNRYKE
      VVNVVQVVPJUXCUHUUGUWIRUYPWNKRDEUXDUGZWNKDEUXNUGUWIUYPVVRRWNUWIUYPDEUXCUYP
      NZUGVVRUWIDERUYPERUYPUUHERUYPUQUWIUUIERUYPUUPUUQUUJDEVVSUXDUXCEMWEWFUUKYM
      DUULUUMUUNUYKVVMVVMXOZUUOVVTUWIARFZBRFZUXBVVLUVGNNUXMTUXSUYAABUURVEUUSUXM
      UXQGGUXPVUBUUTWHWMUWFUWHUVAZUWRXOUVBUWIUWRUXBFUXGUWTTUWIJUWLUEKZAOKZUWQPK
      ZUWRUXBUWIVWEUWPUWQPUWIVWDCAOUWIJSFCSFVWDCTUVCUWICUWHCRFZUWFCIJUVDYCZYLZJ
      CUVEWLYNYNUWIVWAVWBUWEUWLIJUFKZFZVWFUXBFUXSUYAUYBUWICVWJFVWKUWIUWGVWJCIJX
      EVWCUVFCUVHWHABUWLUVIUVJWDZDUWRUXEUWTUXBUXFUXCUWRTUXDUWSUXCUWRMYOWIUXFXOZ
      UWSXKYEWHUWIUXLUWKQZUWNQZPKUXAUWIUXIVWNUXKVWOPUWIUXICUWJQZOKVWNUWIUXHVWPC
      OUWIAUXBFZUXHVWPTUWIAVAFZBVAFZABUVKHZVWQUWIAUXRYPZUWIBUXTYPZUWIABUXSUYAUY
      BUVLZABUVMYQDAUXEVWPUXBUXFUXCATUXDUWJUXCAMYOWIVWMUWJXKYEWHYMUWICUWJVWIUWI
      UWJUWIAUXRVJZYLYRYSUWIUXKUWLUWMQZOKVWOUWIUXJVXEUWLOUWIBUXBFZUXJVXETUWIVWR
      VWSVWTVXFVXAVXBVXCABUVNYQDBUXEVXEUXBUXFUXCBTUXDUWMUXCBMYOWIVWMUWMXKYEWHYM
      UWIUWLUWMUWIUWLUWIJRFVWGUWLRFUVOVWHJCUVPWLZYLUWIUWMUWIBUXTVJZYLYRYSUVRUWI
      UWKUWNUWIUWKUWICUWJVWHVXDYTZYLUWIUWNUWIUWLUWMVXGVXHYTZYLUVQUVSUVTUWIUWOUW
      SUWIUWKUWNVXIVXJUWAUWIUWRUWIUXBEUWRUYKVWLUWBVJXSWM $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Value of the complex power function.  (Contributed by Mario Carneiro,
       2-Aug-2014.) $)
    cxpval $p |- ( ( A e. CC /\ B e. CC ) -> ( A ^c B ) =
      if ( A = 0 , if ( B = 0 , 1 , 0 ) , ( exp ` ( B x. ( log ` A ) ) ) ) ) $=
      ( vx vy cc cv cc0 wceq c1 cif clog cmul co ce ccxp wa simpl eqeq1d fveq2d
      cfv simpr ifbid oveq12d ifbieq12d df-cxp ax-1cn 0cn ifcli elexi fvex ifex
      ovmpoa ) CDABEECFZGHZDFZGHZIGJZUOUMKTZLMZNTZJAGHZBGHZIGJZBAKTZLMZNTZJOUMA
      HZUOBHZPZUNVAUQUTVCVFVIUMAGVGVHQZRVIUPVBIGVIUOBGVGVHUAZRUBVIUSVENVIUOBURV
      DLVKVIUMAKVJSUCSUDCDUEVAVCVFVCEVBIGEUFUGUHUIVENUJUKUL $.
  $}

  $( Value of the complex power function.  (Contributed by Mario Carneiro,
     2-Aug-2014.) $)
  cxpef $p |- ( ( A e. CC /\ A =/= 0 /\ B e. CC ) ->
      ( A ^c B ) = ( exp ` ( B x. ( log ` A ) ) ) ) $=
    ( cc wcel cc0 wne w3a ccxp co wceq c1 cif clog cmul ce cxpval 3adant2 simp2
    cfv neneqd iffalsed eqtrd ) ACDZAEFZBCDZGZABHIZAEJZBEJKELZBAMSNIOSZLZUJUCUE
    UGUKJUDABPQUFUHUIUJUFAEUCUDUERTUAUB $.

  $( Value of the complex power function when the first argument is zero.
     (Contributed by Mario Carneiro, 2-Aug-2014.) $)
  0cxp $p |- ( ( A e. CC /\ A =/= 0 ) -> ( 0 ^c A ) = 0 ) $=
    ( cc wcel cc0 wne ccxp co wceq c1 cif clog cfv cmul ce 0cn cxpval mpan eqid
    iftruei eqtrdi ifnefalse sylan9eq ) ABCZADEDAFGZADHIDJZDUCUDDDHZUEADKLMGNLZ
    JZUEDBCUCUDUHHODAPQUFUEUGDRSTADIDUAUB $.

  $( Relate the complex power function to the integer power function.
     (Contributed by Mario Carneiro, 2-Aug-2014.) $)
  cxpexpz $p |- ( ( A e. CC /\ A =/= 0 /\ B e. ZZ ) ->
    ( A ^c B ) = ( A ^ B ) ) $=
    ( cc wcel cc0 wne cz w3a ccxp co clog cfv cmul cexp wceq zcn syl3an3 explog
    ce cxpef eqtr4d ) ACDZAEFZBGDZHABIJZBAKLMJSLZABNJUDUBUCBCDUEUFOBPABTQABRUA
    $.

  $( Relate the complex power function to the integer power function.
     (Contributed by Mario Carneiro, 2-Aug-2014.) $)
  cxpexp $p |- ( ( A e. CC /\ B e. NN0 ) -> ( A ^c B ) = ( A ^ B ) ) $=
    ( cc wcel cn0 wa ccxp co cexp cc0 wi wne c1 cif cfv 0cn iftruei oveq2 oveq1
    wceq cn wo elnn0 nncn nnne0 0cxp syl2anc 0exp eqtr4d clog cmul cxpval mp2an
    eqid 3eqtri 0exp0e1 eqtr4i 3eqtr4a jaoi sylbi eqeq12d syl5ibrcom adantl imp
    ce cz nn0z cxpexpz 3expa sylan2 an32s pm2.61dane ) ACDZBEDZFZABGHZABIHZTZAJ
    VOAJTZVRVNVSVRKVMVNVRVSJBGHZJBIHZTZVNBUADZBJTZUBWBBUCWCWBWDWCVTJWAWCBCDBJLV
    TJTBUDBUEBUFUGBUHUIWDJJGHZJJIHZVTWAWEMWFWEJJTZWGMJNZJJUJOUKHVEOZNZWHMJCDZWK
    WEWJTPPJJULUMWGWHWIJUNZQWGMJWLQUOUPUQBJJGRBJJIRURUSUTVSVPVTVQWAAJBGSAJBISVA
    VBVCVDVMAJLZVNVRVNVMWMFBVFDZVRBVGVMWMWNVRABVHVIVJVKVL $.

  $( Logarithm of a complex power.  (Contributed by Mario Carneiro,
     2-Aug-2014.) $)
  logcxp $p |- ( ( A e. RR+ /\ B e. RR ) ->
    ( log ` ( A ^c B ) ) = ( B x. ( log ` A ) ) ) $=
    ( crp wcel cr wa ccxp co clog cfv cmul ce cc cc0 wne wceq rpcn adantr rpne0
    simpr recnd cxpef syl3anc fveq2d id relogcl remulcl syl2anr relogefd eqtrd
    ) ACDZBEDZFZABGHZIJBAIJZKHZLJZIJUPUMUNUQIUMAMDZANOZBMDUNUQPUKURULAQRUKUSULA
    SRUMBUKULTUAABUBUCUDUMUPULULUOEDUPEDUKULUEAUFBUOUGUHUIUJ $.

  $( Value of the complex power function when the second argument is zero.
     (Contributed by Mario Carneiro, 2-Aug-2014.) $)
  cxp0 $p |- ( A e. CC -> ( A ^c 0 ) = 1 ) $=
    ( cc wcel cc0 ccxp co cexp c1 cn0 wceq 0nn0 cxpexp mpan2 exp0 eqtrd ) ABCZA
    DEFZADGFZHPDICQRJKADLMANO $.

  $( Value of the complex power function at one.  (Contributed by Mario
     Carneiro, 2-Aug-2014.) $)
  cxp1 $p |- ( A e. CC -> ( A ^c 1 ) = A ) $=
    ( cc wcel c1 ccxp co cexp cn0 wceq 1nn0 cxpexp mpan2 exp1 eqtrd ) ABCZADEFZ
    ADGFZAODHCPQIJADKLAMN $.

  $( Value of the complex power function at one.  (Contributed by Mario
     Carneiro, 2-Aug-2014.) $)
  1cxp $p |- ( A e. CC -> ( 1 ^c A ) = 1 ) $=
    ( cc wcel c1 ccxp co clog cfv cmul ce cc0 wceq ax-1cn ax-1ne0 cxpef mp3an12
    wne log1 oveq2i mul01 syl5eq fveq2d ef0 eqtrdi eqtrd ) ABCZDAEFZADGHZIFZJHZ
    DDBCDKQUFUGUJLMNDAOPUFUJKJHDUFUIKJUFUIAKIFKUHKAIRSATUAUBUCUDUE $.

  $( Write the exponential function as an exponent to the power ` _e ` .
     (Contributed by Mario Carneiro, 2-Aug-2014.) $)
  ecxp $p |- ( A e. CC -> ( _e ^c A ) = ( exp ` A ) ) $=
    ( cc wcel ceu ccxp co clog cfv cmul ce cc0 wne wceq ere recni cxpef mp3an12
    ene0 c1 loge oveq2i mulid1 syl5eq fveq2d eqtrd ) ABCZDAEFZADGHZIFZJHZAJHDBC
    DKLUFUGUJMDNORDAPQUFUIAJUFUIASIFAUHSAITUAAUBUCUDUE $.

  $( Closure of the complex power function.  (Contributed by Mario Carneiro,
     2-Aug-2014.) $)
  cxpcl $p |- ( ( A e. CC /\ B e. CC ) -> ( A ^c B ) e. CC ) $=
    ( cc wcel wa ccxp co cc0 wceq c1 cif clog cfv cmul ce cxpval ax-1cn 0cn a1i
    ifcli wn wne df-ne id logcl mulcl syl2anr an32s syl sylan2br ifclda eqeltrd
    efcl ) ACDZBCDZEZABFGAHIZBHIZJHKZBALMZNGZOMZKCABPUPUQUSVBCUSCDUPUQEURJHCQRT
    SUQUAUPAHUBZVBCDZAHUCUPVCEVACDZVDUNVCUOVEUOUOUTCDVEUNVCEUOUDAUEBUTUFUGUHVAU
    MUIUJUKUL $.

  $( Real closure of the complex power function.  (Contributed by Mario
     Carneiro, 2-Aug-2014.) $)
  recxpcl $p |- ( ( A e. RR /\ 0 <_ A /\ B e. RR ) -> ( A ^c B ) e. RR ) $=
    ( cr wcel cc0 cle wbr w3a ccxp co wceq c1 cif clog cfv cmul ce cc recn wa
    cxpval syl2an 3adant2 1re 0re ifcli a1i wn df-ne simpl3 simpl1 simpl2 simpr
    wne ne0gt0d elrpd relogcld remulcld reefcld sylan2br ifclda eqeltrd ) ACDZE
    AFGZBCDZHZABIJZAEKZBEKZLEMZBANOZPJZQOZMZCVCVEVGVNKZVDVCARDBRDVOVEASBSABUAUB
    UCVFVHVJVMCVJCDVFVHTVILECUDUEUFUGVHUHVFAEUNZVMCDAEUIVFVPTZVLVQBVKVCVDVEVPUJ
    VQAVQAVCVDVEVPUKZVQAVRVCVDVEVPULVFVPUMUOUPUQURUSUTVAVB $.

  $( Positive real closure of the complex power function.  (Contributed by
     Mario Carneiro, 2-Aug-2014.) $)
  rpcxpcl $p |- ( ( A e. RR+ /\ B e. RR ) -> ( A ^c B ) e. RR+ ) $=
    ( crp wcel cr wa ccxp cc0 cle wbr rprege0 recxpcl 3expa sylan clog cfv cmul
    co clt cc ce relogcl remulcl syl2anr efgt0 syl wne wceq rpcnne0 recn syl2an
    id cxpef breqtrrd elrpd ) ACDZBEDZFZABGRZUPAEDZHAIJZFUQUSEDZAKUTVAUQVBABLMN
    URHBAOPZQRZUAPZUSSURVDEDZHVESJUQUQVCEDVFUPUQULAUBBVCUCUDVDUEUFUPATDZAHUGZFB
    TDZUSVEUHZUQAUIBUJVGVHVIVJABUMMUKUNUO $.

  $( Complex exponentiation is nonzero if its base is nonzero.  (Contributed by
     Mario Carneiro, 2-Aug-2014.) $)
  cxpne0 $p |- ( ( A e. CC /\ A =/= 0 /\ B e. CC ) -> ( A ^c B ) =/= 0 ) $=
    ( cc wcel cc0 wne w3a ccxp co clog cfv cmul ce cxpef wa logcl mulcl syl2anr
    id 3impa efne0 syl eqnetrd ) ACDZAEFZBCDZGZABHIBAJKZLIZMKZEABNUGUICDZUJEFUD
    UEUFUKUFUFUHCDUKUDUEOUFSAPBUHQRTUIUAUBUC $.

  $( Complex exponentiation is zero iff the base is zero and the exponent is
     nonzero.  (Contributed by Mario Carneiro, 23-Apr-2015.) $)
  cxpeq0 $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A ^c B ) = 0 <->
    ( A = 0 /\ B =/= 0 ) ) ) $=
    ( cc wcel wa ccxp co cc0 wceq wne cxpne0 3com23 3expia necon4d ax-1ne0 cxp0
    c1 neeq1d mpbiri syl5ibrcom adantr oveq2 necon2d jcad wi 0cxp oveq1 expimpd
    eqeq1d ancomsd adantl impbid ) ACDZBCDZEZABFGZHIZAHIZBHJZEZUOUQURUSUOAHUPHU
    MUNAHJZUPHJZUMVAUNVBABKLMNUOBHUPHUOVBBHIZAHFGZHJZUMVEUNUMVEQHJOUMVDQHAPRSUA
    VCUPVDHBHAFUBRTUCUDUNUTUQUEUMUNUSURUQUNUSURUQUNUSEUQURHBFGZHIBUFURUPVFHAHBF
    UGUITUHUJUKUL $.

  $( Sum of exponents law for complex exponentiation.  Proposition 10-4.2(a) of
     [Gleason] p. 135.  (Contributed by Mario Carneiro, 2-Aug-2014.) $)
  cxpadd $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ B e. CC /\ C e. CC ) ->
    ( A ^c ( B + C ) ) = ( ( A ^c B ) x. ( A ^c C ) ) ) $=
    ( cc wcel cc0 wne wa w3a caddc co clog cfv cmul ce ccxp wceq mulcld syl3anc
    cxpef simp2 simp3 logcl 3ad2ant1 adddird fveq2d efadd syl2anc simp1l simp1r
    eqtrd addcl 3adant1 oveq12d 3eqtr4d ) ADEZAFGZHZBDEZCDEZIZBCJKZALMZNKZOMZBV
    CNKZOMZCVCNKZOMZNKZAVBPKZABPKZACPKZNKVAVEVFVHJKZOMZVJVAVDVNOVABCVCURUSUTUAZ
    URUSUTUBZURUSVCDEUTAUCUDZUEUFVAVFDEVHDEVOVJQVABVCVPVRRVACVCVQVRRVFVHUGUHUKV
    AUPUQVBDEZVKVEQUPUQUSUTUIZUPUQUSUTUJZUSUTVSURBCULUMAVBTSVAVLVGVMVINVAUPUQUS
    VLVGQVTWAVPABTSVAUPUQUTVMVIQVTWAVQACTSUNUO $.

  $( Value of a nonzero complex number raised to a complex power plus one.
     (Contributed by Mario Carneiro, 2-Aug-2014.) $)
  cxpp1 $p |- ( ( A e. CC /\ A =/= 0 /\ B e. CC ) ->
    ( A ^c ( B + 1 ) ) = ( ( A ^c B ) x. A ) ) $=
    ( cc wcel cc0 wne w3a c1 caddc co ccxp cmul wceq ax-1cn cxpadd mp3an3 3impa
    wa cxp1 3ad2ant1 oveq2d eqtrd ) ACDZAEFZBCDZGZABHIJKJZABKJZAHKJZLJZUHALJUCU
    DUEUGUJMZUCUDRUEHCDUKNABHOPQUFUIAUHLUCUDUIAMUEASTUAUB $.

  $( Value of a complex number raised to a negative power.  (Contributed by
     Mario Carneiro, 2-Aug-2014.) $)
  cxpneg $p |- ( ( A e. CC /\ A =/= 0 /\ B e. CC ) ->
    ( A ^c -u B ) = ( 1 / ( A ^c B ) ) ) $=
    ( cc wcel cc0 wne w3a ccxp co cneg c1 simp1 simp3 cxpcl negcld cxpne0 caddc
    syl2anc cmul wceq negidd oveq2d simp2 cxpadd syl211anc syl 3eqtr3d mvllmuld
    cxp0 ) ACDZAEFZBCDZGZABHIZABJZHIZKUMUJULUNCDUJUKULLZUJUKULMZABNRUMUJUOCDZUP
    CDUQUMBUROZAUONRABPUMABUOQIZHIZAEHIZUNUPSIZKUMVAEAHUMBURUAUBUMUJUKULUSVBVDT
    UQUJUKULUCURUTABUOUDUEUMUJVCKTUQAUIUFUGUH $.

  $( Exponent subtraction law for complex exponentiation.  (Contributed by
     Mario Carneiro, 22-Sep-2014.) $)
  cxpsub $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ B e. CC /\ C e. CC ) ->
    ( A ^c ( B - C ) ) = ( ( A ^c B ) / ( A ^c C ) ) ) $=
    ( cc wcel cc0 wne wa cneg caddc co ccxp cmul cdiv wceq oveq2d syl3anc cxpcl
    w3a syl2anc cmin negcl cxpadd syl3an3 simp2 negsubd c1 simp1l simp1r cxpneg
    simp3 cxpne0 divrecd eqtr4d 3eqtr3d ) ADEZAFGZHZBDEZCDEZSZABCIZJKZLKZABLKZA
    VBLKZMKZABCUAKZLKVEACLKZNKZUTURUSVBDEVDVGOCUBABVBUCUDVAVCVHALVABCURUSUTUEZU
    RUSUTUKZUFPVAVGVEUGVINKZMKVJVAVFVMVEMVAUPUQUTVFVMOUPUQUSUTUHZUPUQUSUTUIZVLA
    CUJQPVAVEVIVAUPUSVEDEVNVKABRTVAUPUTVIDEVNVLACRTVAUPUQUTVIFGVNVOVLACULQUMUNU
    O $.

  $( Nonnegative exponentiation with a real exponent is nonnegative.
     (Contributed by Mario Carneiro, 2-Aug-2014.) $)
  cxpge0 $p |- ( ( A e. RR /\ 0 <_ A /\ B e. RR ) -> 0 <_ ( A ^c B ) ) $=
    ( cr wcel cc0 cle wbr ccxp co wa clt wceq wo wb 0re leloe mpan c1 breqtrrid
    cc adantr crp wi elrp rpcxpcl rpge0d ex sylbir impancom 0le1 0cn cxp0 ax-mp
    breqtrri simpr oveq2d wne 0le0 recn sylan pm2.61dane adantl oveq1 syl5ibcom
    0cxp breq2d jaod sylbid 3impia 3com23 ) ACDZBCDZEAFGZEABHIZFGZVKVLVMVOVKVLJ
    ZVMEAKGZEALZMZVOVKVMVSNZVLECDVKVTOEAPQUAVPVQVOVRVKVQVLVOVKVQJAUBDZVLVOUCAUD
    WAVLVOWAVLJVNABUEUFUGUHUIVPEEBHIZFGZVRVOVLWCVKVLWCBEVLBELZJZEEEHIZWBFERWFFU
    JETDWFRLUKEULUMUNWEBEEHVLWDUOUPSVLBEUQZJEEWBFURVLBTDWGWBELBUSBVEUTSVAVBVRWB
    VNEFEABHVCVFVDVGVHVIVJ $.

  ${
    mulcxp.1 $e |- ( ph -> A e. CC ) $.
    mulcxp.2 $e |- ( ph -> C e. CC ) $.
    $( Lemma for ~ mulcxp .  (Contributed by Mario Carneiro, 2-Aug-2014.) $)
    mulcxplem $p |- ( ph -> ( 0 ^c C ) = ( ( A ^c C ) x. ( 0 ^c C ) ) ) $=
      ( cc0 ccxp co cmul wceq c1 oveq2 cc wcel 0cn ax-mp eqtrdi oveq12d eqeq12d
      cxp0 wne wa cxpcl syl2anc adantr mul01d 0cxp sylan oveq2d 3eqtr4rd oveq1d
      syl 1t1e1 eqtr2di pm2.61ne ) AFCGHZBCGHZUPIHZJKBFGHZKIHZJCFCFJZUPKURUTVAU
      PFFGHZKCFFGLFMNVBKJOFTPQZVAUQUSUPKICFBGLVCRSACFUAZUBZUQFIHFURUPVEUQAUQMNZ
      VDABMNZCMNZVFDEBCUCUDUEUFVEUPFUQIAVHVDUPFJECUGUHZUIVIUJAUTKKIHKAUSKKIAVGU
      SKJDBTULUKUMUNUO $.
  $}

  $( Complex exponentiation of a product.  Proposition 10-4.2(c) of [Gleason]
     p. 135.  (Contributed by Mario Carneiro, 2-Aug-2014.) $)
  mulcxp $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) /\
    C e. CC ) -> ( ( A x. B ) ^c C ) = ( ( A ^c C ) x. ( B ^c C ) ) ) $=
    ( wcel cc0 wa cc cmul co ccxp wceq oveq1d eqtrd oveq1 wne cfv adantr mulcld
    clog ce cr cle wbr simp1l recnd mul01d simp3 mulcxplem oveq2 oveq2d eqeq12d
    w3a syl5ibrcom simp2l mul02d cxpcl syl2anc 0cn sylancr mulcomd a1dd simpl1r
    wi caddc simprl ne0gt0d elrpd simpl2r simprr relogmuld logcld adddid fveq2d
    efadd mulne0d cxpef syl3anc oveq12d 3eqtr4d exp32 pm2.61dne ) AUADZEAUBUCZF
    ZBUADZEBUBUCZFZCGDZULZABHIZCJIZACJIZBCJIZHIZKZBEWIWOBEKZAEHIZCJIZWLECJIZHIZ
    KWIWRWSWTWIWQECJWIAWIAWBWCWGWHUDZUEZUFLWIACXBWDWGWHUGZUHMWPWKWRWNWTWPWJWQCJ
    BEAHUILWPWMWSWLHBECJNUJUKUMWIBEOZWOVCAEWIAEKZWOXDWIWOXEEBHIZCJIZWSWMHIZKWIX
    GWSXHWIXFECJWIBWIBWDWEWFWHUNZUEZUOLWIWSWMWSHIXHWIBCXJXCUHWIWMWSWIBGDZWHWMGD
    XJXCBCUPUQWIEGDWHWSGDURXCECUPUSUTMMXEWKXGWNXHXEWJXFCJAEBHNLXEWLWSWMHAECJNLU
    KUMVAWIAEOZXDWOWIXLXDFZFZCWJSPZHIZTPZCASPZHIZTPZCBSPZHIZTPZHIZWKWNXNXQXSYBV
    DIZTPZYDXNXPYETXNXPCXRYAVDIZHIYEXNXOYGCHXNABXNAWIWBXMXAQZXNAYHWBWCWGWHXMVBW
    IXLXDVEZVFVGXNBWIWEXMXIQZXNBYJWEWFWDWHXMVHWIXLXDVIZVFVGVJUJXNCXRYAWIWHXMXCQ
    ZXNAWIAGDZXMXBQZYIVKZXNBWIXKXMXJQZYKVKZVLMVMXNXSGDYBGDYFYDKXNCXRYLYORXNCYAY
    LYQRXSYBVNUQMXNWJGDWJEOWHWKXQKXNABYNYPRXNABYNYPYIYKVOYLWJCVPVQXNWLXTWMYCHXN
    YMXLWHWLXTKYNYIYLACVPVQXNXKXDWHWMYCKYPYKYLBCVPVQVRVSVTWAWA $.

  $( Complex exponentiation of a reciprocal.  (Contributed by Mario Carneiro,
     2-Aug-2014.) $)
  cxprec $p |- ( ( A e. RR+ /\ B e. CC ) ->
                 ( ( 1 / A ) ^c B ) = ( 1 / ( A ^c B ) ) ) $=
    ( crp wcel cc wa ccxp co c1 cxpcl sylan cc0 wne adantr syl3anc cmul cle wbr
    cr wceq cdiv rpcn rpreccl rpcnd rpne0 cxpne0 recidd oveq1d rprege0 rprege0d
    simpr mulcxp 1cxp syl 3eqtr3d mvllmuld ) ACDZBEDZFZABGHZIAUAHZBGHZIUQAEDZUR
    UTEDAUBZABJKUQVAEDURVBEDUQVAAUCZUDVABJKUSVCALMZURUTLMUQVCURVDNZUQVFURAUENZU
    QURUKZABUFOUSAVAPHZBGHZIBGHZUTVBPHZIUSVJIBGUSAVGVHUGUHUSASDLAQRFZVASDLVAQRF
    ZURVKVMTUQVNURAUINUQVOURUQVAVEUJNVIAVABULOUSURVLITVIBUMUNUOUP $.

  $( Complex exponentiation of a quotient.  (Contributed by Mario Carneiro,
     8-Sep-2014.) $)
  divcxp $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ B e. RR+ /\ C e. CC ) ->
                 ( ( A / B ) ^c C ) = ( ( A ^c C ) / ( B ^c C ) ) ) $=
    ( cr wcel cc0 cle wbr wa cc c1 cdiv co cmul ccxp wceq syl2anc divrecd cxpcl
    wne simp1l simp1r simp2 rpreccld rpred rpge0d simp3 mulcxp syl221anc cxprec
    crp w3a oveq2d eqtrd recnd rpcnd rpne0d oveq1d cxpne0 syl3anc 3eqtr4d ) ADE
    ZFAGHZIZBUKEZCJEZULZAKBLMZNMZCOMZACOMZKBCOMZLMZNMZABLMZCOMVKVLLMVGVJVKVHCOM
    ZNMZVNVGVBVCVHDEFVHGHVFVJVQPVBVCVEVFUAZVBVCVEVFUBVGVHVGBVDVEVFUCZUDZUEVGVHV
    TUFVDVEVFUGZAVHCUHUIVGVPVMVKNVGVEVFVPVMPVSWABCUJQUMUNVGVOVICOVGABVGAVRUOZVG
    BVSUPZVGBVSUQZRURVGVKVLVGAJEVFVKJEWBWAACSQVGBJEZVFVLJEWCWABCSQVGWEBFTVFVLFT
    WCWDWABCUSUTRVA $.

  $( Product of exponents law for complex exponentiation.  Proposition
     10-4.2(b) of [Gleason] p. 135.  (Contributed by Mario Carneiro,
     2-Aug-2014.) $)
  cxpmul $p |- ( ( A e. RR+ /\ B e. RR /\ C e. CC ) ->
                 ( A ^c ( B x. C ) ) = ( ( A ^c B ) ^c C ) ) $=
    ( wcel cr cc cmul co clog cfv ce ccxp recnd 3ad2ant1 cc0 wceq cxpef syl3anc
    wne fveq2d crp w3a simp3 simp2 relogcl mulassd mulcomd oveq1d rpcn remulcld
    rpne0 relogefd eqtrd oveq2d 3eqtr4d mulcld cxpcl syl2anc cxpne0 ) AUADZBEDZ
    CFDZUBZBCGHZAIJZGHZKJZCABLHZIJZGHZKJZAVDLHZVHCLHZVCVFVJKVCCBGHZVEGHCBVEGHZG
    HVFVJVCCBVEUTVAVBUCZVCBUTVAVBUDZMZVCVEUTVAVEEDVBAUENZMUFVCVDVNVEGVCBCVRVPUG
    UHVCVIVOCGVCVIVOKJZIJVOVCVHVTIVCAFDZAOSZBFDZVHVTPUTVAWAVBAUINZUTVAWBVBAUKNZ
    VRABQRTVCVOVCBVEVQVSUJULUMUNUOTVCWAWBVDFDVLVGPWDWEVCBCVRVPUPAVDQRVCVHFDZVHO
    SZVBVMVKPVCWAWCWFWDVRABUQURVCWAWBWCWGWDWEVRABUSRVPVHCQRUO $.

  ${
    $d k x A $.  $d k x B $.  $d x C $.
    $( Product of exponents law for complex exponentiation.  Variation on
       ~ cxpmul with more general conditions on ` A ` and ` B ` when ` C ` is
       an integer.  (Contributed by Mario Carneiro, 9-Aug-2014.) $)
    cxpmul2 $p |- ( ( A e. CC /\ B e. CC /\ C e. NN0 ) ->
                   ( A ^c ( B x. C ) ) = ( ( A ^c B ) ^ C ) ) $=
      ( cc wcel cmul co ccxp cexp wceq wa wi cc0 c1 oveq2 oveq2d eqeq12d adantr
      ad2antrr eqtrd vx vk cn0 cv caddc imbi2d mul01 adantl cxpcl exp0d 3eqtr4d
      cxp0 oveq1 ax-mp 1t1e1 eqtr4i simplr simpr oveq1d cn nn0p1nn nncnd mul02d
      0cn oveq12d nn0cn eqtrdi 3eqtr4a simpll mulcld syl2anc mul01d 0cxp nnne0d
      wne mulne0d 3eqtr4rd pm2.61dane 1cnd adddid mulid1d syl211anc expp1 sylan
      cxpadd syl5ibr expcom a2d nn0ind com12 3impia ) ADEZBDEZCUCEZABCFGZHGZABH
      GZCIGZJZWNWLWMKZWSWTABUAUDZFGZHGZWQXAIGZJZLWTABMFGZHGZWQMIGZJZLWTABUBUDZF
      GZHGZWQXJIGZJZLWTABXJNUEGZFGZHGZWQXOIGZJZLWTWSLUAUBCXAMJZXEXIWTXTXCXGXDXH
      XTXBXFAHXAMBFOPXAMWQIOQUFXAXJJZXEXNWTYAXCXLXDXMYAXBXKAHXAXJBFOPXAXJWQIOQU
      FXAXOJZXEXSWTYBXCXQXDXRYBXBXPAHXAXOBFOPXAXOWQIOQUFXACJZXEWSWTYCXCWPXDWRYC
      XBWOAHXACBFOPXACWQIOQUFWTAMHGZNXGXHWLYDNJWMAULRWTXFMAHWMXFMJWLBUGUHPWTWQA
      BUIZUJUKXJUCEZWTXNXSWTYFXNXSLXNXSWTYFKZXLWQFGZXMWQFGZJXLXMWQFUMYGXQYHXRYI
      YGXQYHJZAMYGAMJZKZYJBMYLBMJZKZMMHGZNNFGZXQYHYONYPMDEYONJVDMULUNZUOUPYNAMX
      PMHYGYKYMUQZYNXPMXOFGMYNBMXOFYLYMURZUSYNXOYGXODEZYKYMYGXOYFXOUTEWTXJVAUHZ
      VBZSVCTVEYNXLNWQNFYNXLYONYNAMXKMHYRYNXKMXJFGMYNBMXJFYSUSYNXJYGXJDEZYKYMYF
      UUCWTXJVFUHZSVCTVEYQVGYNWQYONYNAMBMHYRYSVEYQVGVEVHYLBMVOZKZXLMFGMYHXQUUFX
      LUUFWLXKDEZXLDEYGWLYKUUEWLWMYFVIZSYGUUGYKUUEYGBXJWLWMYFUQZUUDVJZSAXKUIVKV
      LUUFWQMXLFUUFWQMBHGZMUUFAMBHYGYKUUEUQZUSUUFWMUUEUUKMJYGWMYKUUEUUISZYLUUEU
      RZBVMVKTPUUFXQMXPHGZMUUFAMXPHUULUSUUFXPDEXPMVOUUOMJUUFBXOUUMYGYTYKUUEUUBS
      ZVJUUFBXOUUMUUPUUNYGXOMVOYKUUEYGXOUUAVNSVPXPVMVKTVQVRYGAMVOZKZXQAXKBUEGZH
      GZYHUURXPUUSAHUURXPXKBNFGZUEGUUSUURBXJNYGWMUUQUUIRZYGUUCUUQUUDRUURVSVTUUR
      UVABXKUEUURBUVBWAPTPUURWLUUQUUGWMUUTYHJYGWLUUQUUHRYGUUQURYGUUGUUQUUJRUVBA
      XKBWEWBTVRWTWQDEYFXRYIJYEWQXJWCWDQWFWGWHWIWJWK $.
  $}

  $( The complex power function allows us to write n-th roots via the idiom
     ` A ^c ( 1 / N ) ` .  (Contributed by Mario Carneiro, 6-May-2015.) $)
  cxproot $p |- ( ( A e. CC /\ N e. NN ) ->
                 ( ( A ^c ( 1 / N ) ) ^ N ) = A ) $=
    ( cc wcel cn wa c1 cdiv co cmul ccxp cexp nncn adantl cc0 wne nnne0 recid2d
    oveq2d wceq cn0 simpl cr nnrecre recnd nnnn0 cxpmul2 syl3anc adantr 3eqtr3d
    cxp1 ) ACDZBEDZFZAGBHIZBJIZKIZAGKIZAUOKIBLIZAUNUPGAKUNBUMBCDULBMNUMBOPULBQN
    RSUNULUOCDBUADZUQUSTULUMUBUNUOUMUOUCDULBUDNUEUMUTULBUFNAUOBUGUHULURATUMAUKU
    IUJ $.

  $( Generalize ~ cxpmul2 to negative integers.  (Contributed by Mario
     Carneiro, 23-Apr-2015.) $)
  cxpmul2z $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ C e. ZZ ) ) ->
                 ( A ^c ( B x. C ) ) = ( ( A ^c B ) ^ C ) ) $=
    ( cc wcel wa cmul co ccxp cexp wceq cneg cxpmul2 ad4ant13 c1 syl3anc oveq2d
    cn0 cdiv mulcld cc0 wne cz cr wo elznn0 3expia simplll simplr simprr simprl
    wi recnd mulneg2d negeqd negnegd eqtrd simpllr negcld cxpneg eqtr3d expneg2
    cxpcl 3eqtr4d expr jaod expimpd syl5bi impr ) ADEZAUAUBZFZBDEZCUCEZABCGHZIH
    ZABIHZCJHZKZVNCUDEZCREZCLZREZUEZFVLVMFZVSCUFWEVTWDVSWEVTFWAVSWCVJVMWAVSULVK
    VTVJVMWAVSABCMUGNWEVTWCVSWEVTWCFZFZOABWBGHZIHZSHZOVQWBJHZSHZVPVRWGWIWKOSWGV
    JVMWCWIWKKVJVKVMWFUHZVLVMWFUIZWEVTWCUJZABWBMPQWGAWHLZIHZVPWJWGWPVOAIWGWPVOL
    ZLVOWGWHWRWGBCWNWGCWEVTWCUKUMZUNUOWGVOWGBCWNWSTUPUQQWGVJVKWHDEWQWJKWMVJVKVM
    WFURWGBWBWNWGCWSUSTAWHUTPVAWGVQDEZCDEWCVRWLKVJVMWTVKWFABVCNWSWOVQCVBPVDVEVF
    VGVHVI $.

  $( Absolute value of a power, when the base is real.  (Contributed by Mario
     Carneiro, 15-Sep-2014.) $)
  abscxp $p |- ( ( A e. RR+ /\ B e. CC ) ->
                 ( abs ` ( A ^c B ) ) = ( A ^c ( Re ` B ) ) ) $=
    ( wcel cc cfv cmul co ce cabs cre ccxp wceq recnd adantr cr mulcomd 3eqtr4d
    fveq2d cxpef syl3anc crp wa clog simpr relogcl mulcld absef syl remul2 recl
    sylan adantl eqtrd cc0 wne rpcn rpne0 ) AUACZBDCZUBZBAUCEZFGZHEZIEZBJEZVAFG
    ZHEZABKGZIEAVEKGZUTVDVBJEZHEZVGUTVBDCVDVKLUTBVAURUSUDZURVADCUSURVAAUEZMNZUF
    VBUGUHUTVJVFHUTVABFGZJEZVAVEFGZVJVFURVAOCUSVPVQLVMVABUIUKUTVBVOJUTBVAVLVNPR
    UTVEVAUTVEUSVEOCURBUJULMZVNPQRUMUTVHVCIUTADCZAUNUOZUSVHVCLURVSUSAUPNZURVTUS
    AUQNZVLABSTRUTVSVTVEDCVIVGLWAWBVRAVESTQ $.

  $( Absolute value of a power, when the exponent is real.  (Contributed by
     Mario Carneiro, 15-Sep-2014.) $)
  abscxp2 $p |- ( ( A e. CC /\ B e. RR ) ->
                 ( abs ` ( A ^c B ) ) = ( ( abs ` A ) ^c B ) ) $=
    ( cc wcel cr wa ccxp co cabs cfv wceq cc0 cle wbr simplr syl3anc simpr cmul
    fveq2d ce 0red 0le0 recxpcl cxpge0 absidd oveq1d abs00bd 3eqtr4d clog recnd
    a1i wne cre logcl adantlr mulcld absef syl remul2d relog oveq2d eqtrd cxpef
    simpll abscld wb abs00 adantr necon3bid biimpar pm2.61dane ) ACDZBEDZFZABGH
    ZIJZAIJZBGHZKALVNALKZFZLBGHZIJWAVPVRVTWAVTLEDZLLMNZVMWAEDVTUAZWCVTUBUKZVLVM
    VSOZLBUCPVTWBWCVMLWAMNWDWEWFLBUDPUEVTVOWAIVTALBGVNVSQZUFSVTVQLBGVTAWGUGUFUH
    VNALULZFZBAUIJZRHZTJZIJZBVQUIJZRHZTJZVPVRWIWMWKUMJZTJZWPWIWKCDWMWRKWIBWJWIB
    VLVMWHOZUJZVLWHWJCDVMAUNUOZUPWKUQURWIWQWOTWIWQBWJUMJZRHWOWIBWJWSXAUSWIXBWNB
    RVLWHXBWNKVMAUTUOVAVBSVBWIVOWLIWIVLWHBCDZVOWLKVLVMWHVDZVNWHQWTABVCPSWIVQCDV
    QLULZXCVRWPKWIVQWIAXDVEUJVNXEWHVNVQLALVLVQLKVSVFVMAVGVHVIVJWTVQBVCPUHVK $.

  $( Ordering property for complex exponentiation.  (Contributed by Mario
     Carneiro, 2-Aug-2014.) $)
  cxplt $p |- ( ( ( A e. RR /\ 1 < A ) /\ ( B e. RR /\ C e. RR ) ) ->
                ( B < C <-> ( A ^c B ) < ( A ^c C ) ) ) $=
    ( cr wcel c1 clt wbr wa cfv cmul co ce ccxp remulcld cc0 wceq recnd cxpef
    cc clog wb simprl crp rplogcl adantr simprr eflt syl2anc ltmul1d wne simpll
    rpred 0red 1red 0lt1 a1i simplr lttrd gt0ne0d syl3anc breq12d 3bitr4d ) ADE
    ZFAGHZIZBDEZCDEZIZIZBAUAJZKLZCVKKLZGHZVLMJZVMMJZGHZBCGHABNLZACNLZGHVJVLDEVM
    DEVNVQUBVJBVKVFVGVHUCZVJVKVFVKUDEVIAUEUFZUMZOVJCVKVFVGVHUGZWBOVLVMUHUIVJBCV
    KVTWCWAUJVJVRVOVSVPGVJATEZAPUKZBTEVRVOQVJAVDVEVIULZRZVJAVJPFAVJUNVJUOWFPFGH
    VJUPUQVDVEVIURUSUTZVJBVTRABSVAVJWDWECTEVSVPQWGWHVJCWCRACSVAVBVC $.

  $( Ordering property for complex exponentiation.  (Contributed by Mario
     Carneiro, 2-Aug-2014.) $)
  cxple $p |- ( ( ( A e. RR /\ 1 < A ) /\ ( B e. RR /\ C e. RR ) ) ->
                ( B <_ C <-> ( A ^c B ) <_ ( A ^c C ) ) ) $=
    ( cr wcel c1 clt wbr wa wn ccxp co cle cxplt ancom2s notbid recxpcl syl3anc
    wb cc0 lenlt adantl simpll 0red 1red 0lt1 simplr lttrd simprl simprr lenltd
    a1i ltled 3bitr4d ) ADEZFAGHZIZBDEZCDEZIZIZCBGHZJZACKLZABKLZGHZJBCMHZVEVDMH
    VAVBVFUQUSURVBVFSACBNOPUTVGVCSUQBCUAUBVAVEVDVAUOTAMHZURVEDEUOUPUTUCZVATAVAU
    DZVIVATFAVJVAUEVITFGHVAUFULUOUPUTUGUHUMZUQURUSUIABQRVAUOVHUSVDDEVIVKUQURUSU
    JACQRUKUN $.

  $( Ordering property for complex exponentiation.  (Contributed by Mario
     Carneiro, 10-Sep-2014.) $)
  cxplea $p |- ( ( ( A e. RR /\ 1 <_ A ) /\ ( B e. RR /\ C e. RR ) /\
                   B <_ C ) -> ( A ^c B ) <_ ( A ^c C ) ) $=
    ( cr wcel c1 cle wbr wa w3a ccxp co wceq wb cc recnd 1cxp syl breq12d oveq1
    clt simpl3 simpl1l simpr simpl2 cxple syl21anc 1le1 simp2l simp2r syl5ibcom
    mpbid mpbiri imp wo 1re leloe mpan biimpa 3ad2ant1 mpjaodan ) ADEZFAGHZIZBD
    EZCDEZIZBCGHZJZFAUAHZABKLZACKLZGHZFAMZVIVJIZVHVMVDVGVHVJUBVOVBVJVGVHVMNVBVC
    VGVHVJUCVIVJUDVDVGVHVJUEABCUFUGULVIVNVMVIFBKLZFCKLZGHZVNVMVIVRFFGHUHVIVPFVQ
    FGVIBOEVPFMVIBVDVEVFVHUIPBQRVICOEVQFMVICVDVEVFVHUJPCQRSUMVNVPVKVQVLGFABKTFA
    CKTSUKUNVDVGVJVNUOZVHVBVCVSFDEVBVCVSNUPFAUQURUSUTVA $.

  $( Ordering property for complex exponentiation.  (Contributed by Mario
     Carneiro, 8-Sep-2014.) $)
  cxple2 $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) /\
    C e. RR+ ) -> ( A <_ B <-> ( A ^c C ) <_ ( B ^c C ) ) ) $=
    ( cr wcel cc0 cle wbr wa crp ccxp co wb wceq adantr cfv ce 3ad2ant1 syl2anc
    3ad2ant2 w3a clt simpl1l simpr elrpd ad2antrr simp3 clog cmul rpred relogcl
    simp2l remulcld efle lemul2d reeflog breq12d 3bitr3rd wne recnd rpne0 cxpef
    cc rpre syl3anc 3bitr4d 0re simp1l ltnle sylancr biimpa rpcxpcl rpgt0 mpbid
    wn syl rpne0d 0cxp breq2d mtbird 2falsed breq2 bibi12d syl5ibcom imp simp2r
    oveq1 wo mpjaodan simpl2r eqbrtrrd oveq1d eqtr3d simpl2l cxpge0 2thd simp1r
    leloe ) ADEZFAGHZIZBDEZFBGHZIZCJEZUAZFAUBHZABGHZACKLZBCKLZGHZMZFANZXFXGIZFB
    UBHZXLFBNZXNXOIZAJEZBJEZXEXLXNXRXOXNAWSWTXDXEXGUCXFXGUDUEZOXQBXFXBXGXOXAXBX
    CXEULZUFXNXOUDUEXFXEXGXOXAXDXEUGZUFXRXSXEUAZCAUHPZUILZCBUHPZUILZGHZYEQPZYGQ
    PZGHZXHXKYCYEDEYGDEYHYKMYCCYDYCCXRXSXEUGZUJZXRXSYDDEZXEAUKRZUMYCCYFYMXSXRYF
    DEZXEBUKTZUMYEYGUNSYCYDYFGHZYDQPZYFQPZGHZYHXHYCYNYPYRUUAMYOYQYDYFUNSYCYDYFC
    YOYQYLUOYCYSAYTBGXRXSYSANXEAUPRXSXRYTBNXEBUPTUQURYCXIYIXJYJGYCAVCEAFUSZCVCE
    ZXIYINYCAXRXSWSXEAVDRUTXRXSUUBXEAVARYCCYMUTZACVBVEYCBVCEBFUSZUUCXJYJNYCBXSX
    RXBXEBVDTUTXSXRUUEXEBVATUUDBCVBVEUQVFVEXNXPXLXNAFGHZXIFCKLZGHZMXPXLXNUUFUUH
    XFXGUUFVOZXFFDEZWSXGUUIMVGWSWTXDXEVHZFAVIVJVKXNUUHXIFGHZXNXIJEZUULVOZXNXRCD
    EZUUMXTXFUUOXGXFCYBUJZOACVLSUUMFXIUBHZUUNXIVMUUMUUJXIDEUUQUUNMVGXIVDFXIVIVJ
    VNVPXNUUGFXIGXFUUGFNZXGXFUUCCFUSUURXFCUUPUTXFCYBVQCVRSZOVSVTWAXPUUFXHUUHXKF
    BAGWBXPUUGXJXIGFBCKWGVSWCWDWEXFXOXPWHZXGXFXCUUTXAXBXCXEWFXFUUJXBXCUUTMVGYAF
    BWRVJVNOWIXFXMIZXHXKUVAFABGXFXMUDZXBXCXAXEXMWJZWKUVAFXIXJGUVAUUGFXIXFUURXMU
    USOUVAFACKUVBWLWMUVAXBXCUUOFXJGHXBXCXAXEXMWNUVCXFUUOXMUUPOBCWOVEWKWPXFWTXGX
    MWHZWSWTXDXEWQXFUUJWSWTUVDMVGUUKFAWRVJVNWI $.

  $( Ordering property for complex exponentiation.  (Contributed by Mario
     Carneiro, 15-Sep-2014.) $)
  cxplt2 $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) /\
    C e. RR+ ) -> ( A < B <-> ( A ^c C ) < ( B ^c C ) ) ) $=
    ( cr wcel cc0 cle wbr wa crp w3a wn co clt wb cxple2 ltnled recxpcl syl3anc
    ccxp 3com12 notbid simp1l simp2l simp1r rpre 3ad2ant3 simp2r 3bitr4d ) ADEZ
    FAGHZIZBDEZFBGHZIZCJEZKZBAGHZLBCTMZACTMZGHZLABNHUTUSNHUQURVAUOULUPURVAOBACP
    UAUBUQABUJUKUOUPUCZULUMUNUPUDZQUQUTUSUQUJUKCDEZUTDEVBUJUKUOUPUEUPULVDUOCUFU
    GZACRSUQUMUNVDUSDEVCULUMUNUPUHVEBCRSQUI $.

  $( Ordering property for complex exponentiation.  (Contributed by Mario
     Carneiro, 15-Sep-2014.) $)
  cxple2a $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\
    ( 0 <_ A /\ 0 <_ C ) /\ A <_ B ) -> ( A ^c C ) <_ ( B ^c C ) ) $=
    ( cr wcel w3a cc0 cle wbr wa ccxp co wceq wb adantr mpbid c1 cc recnd cxp0
    clt simpl3 crp simp11 simpl2l simp12 0red letrd simp13 anim1i sylibr cxple2
    elrp syl221anc 1le1 a1i syl oveq2 sylan9req 3brtr3d wo simp2r leloe sylancr
    0re mpjaodan ) ADEZBDEZCDEZFZGAHIZGCHIZJZABHIZFZGCUAIZACKLZBCKLZHIZGCMZVOVP
    JZVNVSVJVMVNVPUBZWAVGVKVHGBHICUCEZVNVSNVOVGVPVGVHVIVMVNUDZOZVKVLVJVNVPUEZVO
    VHVPVGVHVIVMVNUFZOZWAGABWAUGWEWHWFWBUHWAVIVPJWCVOVIVPVGVHVIVMVNUIZUJCUMUKAB
    CULUNPVOVTJZQQVQVRHQQHIWJUOUPVOVTQAGKLZVQVOAREWKQMVOAWDSATUQGCAKURUSVOVTQBG
    KLZVRVOBREWLQMVOBWGSBTUQGCBKURUSUTVOVLVPVTVAZVJVKVLVNVBVOGDEVIVLWMNVEWIGCVC
    VDPVF $.

  $( Ordering property for complex exponentiation.  (Contributed by Mario
     Carneiro, 2-May-2016.) $)
  cxplt3 $p |- ( ( ( A e. RR+ /\ A < 1 ) /\ ( B e. RR /\ C e. RR ) ) ->
                ( B < C <-> ( A ^c C ) < ( A ^c B ) ) ) $=
    ( crp wcel c1 clt wbr wa cr cdiv co ccxp wceq simpll cxprec syl2anc rpcxpcl
    cc recnd simprl simprr breq12d rprecred simplr reclt1d mpbid cxplt syl22anc
    wb ad2ant2rl ad2ant2r ltrecd 3bitr4d ) ADEZAFGHZIZBJEZCJEZIZIZFAKLZBMLZVBCM
    LZGHZFABMLZKLZFACMLZKLZGHBCGHZVHVFGHVAVCVGVDVIGVAUOBSEVCVGNUOUPUTOZVABUQURU
    SUAZTABPQVAUOCSEVDVINVKVACUQURUSUBZTACPQUCVAVBJEFVBGHZURUSVJVEUJVAAVKUDVAUP
    VNUOUPUTUEVAAVKUFUGVLVMVBBCUHUIVAVHVFUOUSVHDEUPURACRUKUOURVFDEUPUSABRULUMUN
    $.

  $( Ordering property for complex exponentiation.  (Contributed by Mario
     Carneiro, 2-May-2016.) $)
  cxple3 $p |- ( ( ( A e. RR+ /\ A < 1 ) /\ ( B e. RR /\ C e. RR ) ) ->
                ( B <_ C <-> ( A ^c C ) <_ ( A ^c B ) ) ) $=
    ( crp wcel c1 clt wbr wa cr wn ccxp co wb cxplt3 ancom2s lenlt rpcxpcl rpre
    cle notbid adantl ad2ant2rl ad2ant2r syl2an syl2anc 3bitr4d ) ADEZAFGHZIZBJ
    EZCJEZIZIZCBGHZKZABLMZACLMZGHZKZBCTHZURUQTHZUNUOUSUJULUKUOUSNACBOPUAUMVAUPN
    UJBCQUBUNURDEZUQDEZVBUTNZUHULVCUIUKACRUCUHUKVDUIULABRUDVCURJEUQJEVEVDURSUQS
    URUQQUEUFUG $.

  $( Lemma for ~ cxpsqrt .  (Contributed by Mario Carneiro, 2-Aug-2014.) $)
  cxpsqrtlem $p |- ( ( ( A e. CC /\ A =/= 0 ) /\
    ( A ^c ( 1 / 2 ) ) = -u ( sqrt ` A ) ) -> ( _i x. ( sqrt ` A ) ) e. RR ) $=
    ( cc wcel cc0 c2 cdiv co cfv cneg wceq ci cmul sylancr cre syl cle wbr pire
    cpi cr wne wa c1 ccxp csqrt ax-icn sqrtcl ad2antrr mulcl imval ine0 divcan3
    mp3an23 fveq2d clog ce ccos halfre recni logcl recld reefcld imcld recoscld
    cim rpefcld rpge0d immul2 recnd mulcom eqtrd clt logimcl simpld wi renegcli
    cicc ltle mpd simprd elicc2i syl3anbrc halfgt0 elrpii 2cn 2ne0 divneg mp3an
    divreci eqtr2i eqcomi iccdili eqeltrd mulge0d csin caddc cxpef mp3an3 efeul
    cosq14ge0 resincld addcld remul2d crred oveq2d 3eqtrd breqtrrd adantr simpr
    renegd breqtrd le0neg1d mpbird sqrtrege0 wb 0re sylancl mpbir2and reim0bd
    letri3 ) ABCZADUAZUBZAUCEFGZUDGZAUEHZIZJZUBZKYFLGZYIKBCZYFBCZYJBCZUFYAYLYBY
    HAUGUHZKYFUIMZYIYJVEHZYJKFGZNHZYFNHZDYIYMYPYRJYOYJUJOYIYQYFNYIYLYQYFJZYNYLY
    KKDUAYTUFUKYFKULUMOUNYIYSDJZYSDPQZDYSPQZYIUUBDYSIZPQYIDYENHZUUDPYCDUUEPQYHY
    CDYDAUOHZLGZNHZUPHZUUGVEHZUQHZLGZUUEPYCUUIUUKYCUUHYCUUGYCYDBCZUUFBCZUUGBCZY
    DURUSZAUTZYDUUFUIMZVAZVBZYCUUJYCUUGUURVCZVDZYCUUIYCUUHUUSVFVGYCUUJSEFGZIZUV
    CVQGZCDUUKPQYCUUJUUFVEHZYDLGZUVEYCUUJYDUVFLGZUVGYCYDTCUUNUUJUVHJURUUQYDUUFV
    HMYCUUMUVFBCUVHUVGJUUPYCUVFYCUUFUUQVCZVIYDUVFVJMVKYCUVFSIZSVQGCZUVGUVECYCUV
    FTCZUVJUVFPQZUVFSPQZUVKUVIYCUVJUVFVLQZUVMYCUVOUVNAVMZVNYCUVJTCUVLUVOUVMVOSR
    VPZUVIUVJUVFVRMVSYCUVOUVNUVPVTUVJSUVFUVQRWAWBUVJSUVDUVCYDUVFUVQRYDURWCWDUVD
    UVJEFGZUVJYDLGSBCEBCEDUAUVDUVRJSRUSZWEWFSEWGWHUVJEUVJUVQUSWEWFWIWJUVCSYDLGS
    EUVSWEWFWIWKWLOWMUUJWTOWNYCUUEUUIUUKKUUJWOHZLGZWPGZLGZNHUUIUWBNHZLGUULYCYEU
    WCNYCYEUUGUPHZUWCYAYBUUMYEUWEJUUPAYDWQWRYCUUOUWEUWCJUURUUGWSOVKUNYCUUIUWBUU
    TYCUUKUWAYCUUKUVBVIYCYKUVTBCUWABCUFYCUVTYCUUJUVAXAZVIKUVTUIMXBXCYCUWDUUKUUI
    LYCUUKUVTUVBUWFXDXEXFXGXHYIUUEYGNHUUDYIYEYGNYCYHXIUNYIYFYNXJVKXKYIYSYIYFYNV
    AZXLXMYAUUCYBYHAXNUHYIYSTCDTCUUAUUBUUCUBXOUWGXPYSDXTXQXRXFXS $.

  $( The complex exponential function with exponent ` 1 / 2 ` exactly matches
     the complex square root function (the branch cut is in the same place for
     both functions), and thus serves as a suitable generalization to other
     ` n ` -th roots and irrational roots.  (Contributed by Mario Carneiro,
     2-Aug-2014.) $)
  cxpsqrt $p |- ( A e. CC -> ( A ^c ( 1 / 2 ) ) = ( sqrt ` A ) ) $=
    ( cc wcel c1 c2 co ccxp csqrt cfv wceq cc0 wne halfcn cmul ce ci caddc cexp
    cpi ad2antrr cdiv wi halfre halfgt0 gt0ne0ii mp2an sqrt0 eqtr4i oveq1 fveq2
    0cxp 3eqtr4a a1i wa cneg clog crp cr ax-icn sqrtcl sqmul sylancr i2 oveq12d
    sqrtth mulm1 3eqtrd cxpsqrtlem resqcld eqeltrrd clt negeq0 necon3bid biimpa
    adantr eqnetrd sq0i necon3i syl sqgt0d breqtrd elrpd logneg negneg relogcld
    fveq2d recnd picn mulcli addcom sylancl 3eqtr3d oveq2d adddi mp3an12i eqtrd
    2ne0 divrec2 mp3an divassi eqtr3i oveq1i eqtrdi divcli mulcl efadd efhalfpi
    negcl cxpef syl3anc ax-1cn 2halves ax-mp oveq2i syl5eq rpcxpcl rpcnd sqvald
    2cn cxp1 cxpadd syl211anc eqtr4d sqsqrtd 3eqtr4d cle wbr rprege0d rpsqrtcld
    wb sq11 syl2anc mpbid eqtr3d mp3an3 rpge0d sqrtnegd ex wo mp3an23 cxpcl ord
    3eqtr3a mpan2 sqeqor syldan con1d pm2.61d pm2.61dne ) ABCZADEUAFZGFZAHIZJZA
    KAKJZUUNUBUUJUUOKUUKGFZKHIZUULUUMUUPKUUQUUKBCZUUKKLUUPKJMUUKUCUDUEUUKUKUFUG
    UHAKUUKGUIAKHUJULUMUUJAKLZUUNUUJUUSUNZUULUUMUOJZUUNUUTUVAUUNUUTUVAUNZUUKAUP
    IZNFZOIZPAUOZHIZNFZUULUUMUVBUVEPSEUAFZNFZUUKUVFUPIZNFZQFZOIZUVJOIZUVLOIZNFZ
    UVHUVBUVDUVMOUVBUVDUUKPSNFZNFZUVLQFZUVMUVBUVDUUKUVRUVKQFZNFZUVTUVBUVCUWAUUK
    NUVBUVFUOZUPIZUVKUVRQFZUVCUWAUVBUVFUQCZUWDUWEJUVBUVFUVBPUUMNFZERFZUVFURUVBU
    WHPERFZUUMERFZNFZDUOZANFZUVFUVBPBCUUMBCZUWHUWKJUSUUJUWNUUSUVAAUTZTPUUMVAVBU
    VBUWIUWLUWJANUWIUWLJUVBVCUMUUJUWJAJZUUSUVAAVEZTVDUUJUWMUVFJUUSUVAAVFTVGZUVB
    UWGAVHZVIVJZUVBKUWHUVFVKUVBUWGUWSUVBUWHKLUWGKLUVBUWHUVFKUWRUUTUVFKLZUVAUUJU
    USUXAUUJAKUVFKAVLVMVNVOZVPUWGKUWHKUWGVQVRVSVTUWRWAWBZUVFWCVSUVBUWCAUPUUJUWC
    AJUUSUVAAWDTZWFUVBUVKBCZUVRBCZUWEUWAJUVBUVKUVBUVFUXCWEWGZPSUSWHWIZUVKUVRWJW
    KWLWMUURUXFUVBUXEUWBUVTJMUXHUXGUUKUVRUVKWNWOWPUVSUVJUVLQUVREUAFZUVSUVJUXFEB
    CEKLUXIUVSJUXHXSWQUVREWRWSPSEUSWHXSWQWTXAXBXCWFUVBUVJBCUVLBCZUVNUVQJPUVIUSS
    EWHXSWQXDWIUVBUURUXEUXJMUXGUUKUVKXEVBUVJUVLXFVBUVBUVOPUVPUVGNUVOPJUVBXGUMUV
    BUVFUUKGFZUVPUVGUVBUVFBCZUXAUURUXKUVPJUUJUXLUUSUVAAXHTZUXBUURUVBMUMZUVFUUKX
    IXJUVBUXKERFZUVGERFZJZUXKUVGJZUVBUVFUUKUUKQFZGFZUVFUXOUXPUVBUXTUVFDGFZUVFUX
    SDUVFGDBCUXSDJXKDXLXMZXNUVBUXLUYAUVFJUXMUVFXTVSXOUVBUXOUXKUXKNFZUXTUVBUXKUV
    BUXKUVBUWFUUKURCUXKUQCUXCUCUVFUUKXPWKZXQXRUVBUXLUXAUURUURUXTUYCJUXMUXBUXNUX
    NUVFUUKUUKYAYBYCUVBUVFUXMYDYEUVBUXKURCKUXKYFYGUNUVGURCKUVGYFYGUNUXQUXRYJUVB
    UXKUYDYHUVBUVGUVBUVFUXCYIYHUXKUVGYKYLYMYNVDVGUUTUULUVEJZUVAUUJUUSUURUYEMAUU
    KXIYOVOUVBUWCHIUUMUVHUVBUWCAHUXDWFUVBUVFUWTUVBUVFUXCYPYQYNYEYRUUTUUNUVAUUTU
    UNUVAUUJUUSUULERFZUWJJZUUNUVAYSZUUTUULUULNFZAUYFUWJUUTAUXSGFZADGFZUYIAUXSDA
    GUYBXNUUTUURUURUYJUYIJMMAUUKUUKYAYTUUJUYKAJUUSAXTVOUUCUUJUYFUYIJUUSUUJUULUU
    JUURUULBCZMAUUKUUAUUDZXRVOUUJUWPUUSUWQVOYEUUJUYGUYHUUJUYLUWNUYGUYHYJUYMUWOU
    ULUUMUUEYLVNUUFUUBUUGUUHYRUUI $.

  $( Logarithm of a square root.  (Contributed by Mario Carneiro,
     5-May-2016.) $)
  logsqrt $p |- ( A e. RR+ -> ( log ` ( sqrt ` A ) ) = ( ( log ` A ) / 2 ) ) $=
    ( crp wcel clog cfv c2 cdiv co c1 cmul ccxp csqrt cc wceq relogcl recnd cc0
    wne 2cn syl 2ne0 divrec2 mp3an23 cr halfre logcxp mpan2 rpcn cxpsqrt fveq2d
    3eqtr2rd ) ABCZADEZFGHZIFGHZUMJHZAUOKHZDEZALEZDEULUMMCZUNUPNZULUMAOPUTFMCFQ
    RVASUAUMFUBUCTULUOUDCURUPNUEAUOUFUGULUQUSDULAMCUQUSNAUHAUITUJUK $.

  ${
    cxp0d.1 $e |- ( ph -> A e. CC ) $.
    $( Value of the complex power function when the second argument is zero.
       (Contributed by Mario Carneiro, 30-May-2016.) $)
    cxp0d $p |- ( ph -> ( A ^c 0 ) = 1 ) $=
      ( cc wcel cc0 ccxp co c1 wceq cxp0 syl ) ABDEBFGHIJCBKL $.

    $( Value of the complex power function at one.  (Contributed by Mario
       Carneiro, 30-May-2016.) $)
    cxp1d $p |- ( ph -> ( A ^c 1 ) = A ) $=
      ( cc wcel c1 ccxp co wceq cxp1 syl ) ABDEBFGHBICBJK $.

    $( Value of the complex power function at one.  (Contributed by Mario
       Carneiro, 30-May-2016.) $)
    1cxpd $p |- ( ph -> ( 1 ^c A ) = 1 ) $=
      ( cc wcel c1 ccxp co wceq 1cxp syl ) ABDEFBGHFICBJK $.

    ${
      cxpcld.2 $e |- ( ph -> B e. CC ) $.
      $( Closure of the complex power function.  (Contributed by Mario
         Carneiro, 30-May-2016.) $)
      cxpcld $p |- ( ph -> ( A ^c B ) e. CC ) $=
        ( cc wcel ccxp co cxpcl syl2anc ) ABFGCFGBCHIFGDEBCJK $.

      cxpmul2d.4 $e |- ( ph -> C e. NN0 ) $.
      $( Product of exponents law for complex exponentiation.  Variation on
         ~ cxpmul with more general conditions on ` A ` and ` B ` when ` C ` is
         an integer.  (Contributed by Mario Carneiro, 30-May-2016.) $)
      cxpmul2d $p |- ( ph -> ( A ^c ( B x. C ) ) = ( ( A ^c B ) ^ C ) ) $=
        ( cc wcel cn0 cmul co ccxp cexp wceq cxpmul2 syl3anc ) ABHICHIDJIBCDKLM
        LBCMLDNLOEFGBCDPQ $.
    $}

    cxpefd.2 $e |- ( ph -> A =/= 0 ) $.
    $( Value of the complex power function when the first argument is zero.
       (Contributed by Mario Carneiro, 30-May-2016.) $)
    0cxpd $p |- ( ph -> ( 0 ^c A ) = 0 ) $=
      ( cc wcel cc0 wne ccxp co wceq 0cxp syl2anc ) ABEFBGHGBIJGKCDBLM $.

    ${
      cxpexpzd.3 $e |- ( ph -> B e. ZZ ) $.
      $( Relate the complex power function to the integer power function.
         (Contributed by Mario Carneiro, 30-May-2016.) $)
      cxpexpzd $p |- ( ph -> ( A ^c B ) = ( A ^ B ) ) $=
        ( cc wcel cc0 wne cz ccxp co cexp wceq cxpexpz syl3anc ) ABGHBIJCKHBCLM
        BCNMODEFBCPQ $.
    $}

    cxpefd.3 $e |- ( ph -> B e. CC ) $.
    $( Value of the complex power function.  (Contributed by Mario Carneiro,
       30-May-2016.) $)
    cxpefd $p |- ( ph -> ( A ^c B ) = ( exp ` ( B x. ( log ` A ) ) ) ) $=
      ( cc wcel cc0 wne ccxp co clog cfv cmul ce wceq cxpef syl3anc ) ABGHBIJCG
      HBCKLCBMNOLPNQDEFBCRS $.

    $( Complex exponentiation is nonzero if its base is nonzero.  (Contributed
       by Mario Carneiro, 30-May-2016.) $)
    cxpne0d $p |- ( ph -> ( A ^c B ) =/= 0 ) $=
      ( cc wcel cc0 wne ccxp co cxpne0 syl3anc ) ABGHBIJCGHBCKLIJDEFBCMN $.

    $( Value of a nonzero complex number raised to a complex power plus one.
       (Contributed by Mario Carneiro, 30-May-2016.) $)
    cxpp1d $p |- ( ph -> ( A ^c ( B + 1 ) ) = ( ( A ^c B ) x. A ) ) $=
      ( cc wcel cc0 wne c1 caddc co ccxp cmul wceq cxpp1 syl3anc ) ABGHBIJCGHBC
      KLMNMBCNMBOMPDEFBCQR $.

    $( Value of a complex number raised to a negative power.  (Contributed by
       Mario Carneiro, 30-May-2016.) $)
    cxpnegd $p |- ( ph -> ( A ^c -u B ) = ( 1 / ( A ^c B ) ) ) $=
      ( cc wcel cc0 wne cneg ccxp co c1 cdiv wceq cxpneg syl3anc ) ABGHBIJCGHBC
      KLMNBCLMOMPDEFBCQR $.

    ${
      cxpmul2zd.4 $e |- ( ph -> C e. ZZ ) $.
      $( Generalize ~ cxpmul2 to negative integers.  (Contributed by Mario
         Carneiro, 30-May-2016.) $)
      cxpmul2zd $p |- ( ph -> ( A ^c ( B x. C ) ) = ( ( A ^c B ) ^ C ) ) $=
        ( cc wcel cc0 wne cz cmul co ccxp cexp wceq cxpmul2z syl22anc ) ABIJBKL
        CIJDMJBCDNOPOBCPODQOREFGHBCDST $.
    $}

    cxpaddd.4 $e |- ( ph -> C e. CC ) $.
    $( Sum of exponents law for complex exponentiation.  Proposition 10-4.2(a)
       of [Gleason] p. 135.  (Contributed by Mario Carneiro, 30-May-2016.) $)
    cxpaddd $p |- ( ph ->
      ( A ^c ( B + C ) ) = ( ( A ^c B ) x. ( A ^c C ) ) ) $=
      ( cc wcel cc0 wne caddc co ccxp cmul wceq cxpadd syl211anc ) ABIJBKLCIJDI
      JBCDMNONBCONBDONPNQEFGHBCDRS $.

    $( Exponent subtraction law for complex exponentiation.  (Contributed by
       Mario Carneiro, 30-May-2016.) $)
    cxpsubd $p |- ( ph -> ( A ^c ( B - C ) ) = ( ( A ^c B ) / ( A ^c C ) ) ) $=
      ( cc wcel cc0 wne cmin co ccxp cdiv wceq cxpsub syl211anc ) ABIJBKLCIJDIJ
      BCDMNONBCONBDONPNQEFGHBCDRS $.
  $}

  ${
    recxpcld.1 $e |- ( ph -> A e. RR ) $.
    ${
      cxpltd.2 $e |- ( ph -> 1 < A ) $.
      cxpltd.3 $e |- ( ph -> B e. RR ) $.
      cxpltd.4 $e |- ( ph -> C e. RR ) $.
      $( Ordering property for complex exponentiation.  (Contributed by Mario
         Carneiro, 30-May-2016.) $)
      cxpltd $p |- ( ph -> ( B < C <-> ( A ^c B ) < ( A ^c C ) ) ) $=
        ( cr wcel c1 clt wbr ccxp co wb cxplt syl22anc ) ABIJKBLMCIJDIJCDLMBCNO
        BDNOLMPEFGHBCDQR $.

      $( Ordering property for complex exponentiation.  (Contributed by Mario
         Carneiro, 30-May-2016.) $)
      cxpled $p |- ( ph -> ( B <_ C <-> ( A ^c B ) <_ ( A ^c C ) ) ) $=
        ( cr wcel c1 clt wbr cle ccxp co wb cxple syl22anc ) ABIJKBLMCIJDIJCDNM
        BCOPBDOPNMQEFGHBCDRS $.
    $}

    ${
      cxplead.2 $e |- ( ph -> 1 <_ A ) $.
      cxplead.3 $e |- ( ph -> B e. RR ) $.
      cxplead.4 $e |- ( ph -> C e. RR ) $.
      cxplead.5 $e |- ( ph -> B <_ C ) $.
      $( Ordering property for complex exponentiation.  (Contributed by Mario
         Carneiro, 30-May-2016.) $)
      cxplead $p |- ( ph -> ( A ^c B ) <_ ( A ^c C ) ) $=
        ( cr wcel c1 cle wbr ccxp co cxplea syl221anc ) ABJKLBMNCJKDJKCDMNBCOPB
        DOPMNEFGHIBCDQR $.
    $}

    recxpcld.2 $e |- ( ph -> 0 <_ A ) $.
    ${
      divcxpd.4 $e |- ( ph -> B e. RR+ ) $.
      divcxpd.5 $e |- ( ph -> C e. CC ) $.
      $( Complex exponentiation of a quotient.  (Contributed by Mario Carneiro,
         30-May-2016.) $)
      divcxpd $p |- ( ph ->
        ( ( A / B ) ^c C ) = ( ( A ^c C ) / ( B ^c C ) ) ) $=
        ( cr wcel cc0 cle wbr crp cc cdiv co ccxp wceq divcxp syl211anc ) ABIJK
        BLMCNJDOJBCPQDRQBDRQCDRQPQSEFGHBCDTUA $.
    $}

    recxpcld.3 $e |- ( ph -> B e. RR ) $.
    $( Positive real closure of the complex power function.  (Contributed by
       Mario Carneiro, 30-May-2016.) $)
    recxpcld $p |- ( ph -> ( A ^c B ) e. RR ) $=
      ( cr wcel cc0 cle wbr ccxp co recxpcl syl3anc ) ABGHIBJKCGHBCLMGHDEFBCNO
      $.

    $( Nonnegative exponentiation with a real exponent is nonnegative.
       (Contributed by Mario Carneiro, 30-May-2016.) $)
    cxpge0d $p |- ( ph -> 0 <_ ( A ^c B ) ) $=
      ( cr wcel cc0 cle wbr ccxp co cxpge0 syl3anc ) ABGHIBJKCGHIBCLMJKDEFBCNO
      $.

    ${
      cxple2ad.4 $e |- ( ph -> C e. RR ) $.
      cxple2ad.5 $e |- ( ph -> 0 <_ C ) $.
      cxple2ad.6 $e |- ( ph -> A <_ B ) $.
      $( Ordering property for complex exponentiation.  (Contributed by Mario
         Carneiro, 30-May-2016.) $)
      cxple2ad $p |- ( ph -> ( A ^c C ) <_ ( B ^c C ) ) $=
        ( cr wcel cc0 cle wbr ccxp co cxple2a syl321anc ) ABKLCKLDKLMBNOMDNOBCN
        OBDPQCDPQNOEGHFIJBCDRS $.
    $}

    mulcxpd.4 $e |- ( ph -> 0 <_ B ) $.
    ${
      cxple2d.5 $e |- ( ph -> C e. RR+ ) $.
      $( Ordering property for complex exponentiation.  (Contributed by Mario
         Carneiro, 30-May-2016.) $)
      cxplt2d $p |- ( ph -> ( A < B <-> ( A ^c C ) < ( B ^c C ) ) ) $=
        ( cr wcel cc0 cle wbr crp clt ccxp co wb cxplt2 syl221anc ) ABJKLBMNCJK
        LCMNDOKBCPNBDQRCDQRPNSEFGHIBCDTUA $.

      $( Ordering property for complex exponentiation.  (Contributed by Mario
         Carneiro, 30-May-2016.) $)
      cxple2d $p |- ( ph -> ( A <_ B <-> ( A ^c C ) <_ ( B ^c C ) ) ) $=
        ( cr wcel cc0 cle wbr crp ccxp co wb cxple2 syl221anc ) ABJKLBMNCJKLCMN
        DOKBCMNBDPQCDPQMNREFGHIBCDST $.
    $}

    mulcxpd.5 $e |- ( ph -> C e. CC ) $.
    $( Complex exponentiation of a product.  Proposition 10-4.2(c) of [Gleason]
       p. 135.  (Contributed by Mario Carneiro, 30-May-2016.) $)
    mulcxpd $p |- ( ph ->
      ( ( A x. B ) ^c C ) = ( ( A ^c C ) x. ( B ^c C ) ) ) $=
      ( cr wcel cc0 cle wbr cc cmul co ccxp wceq mulcxp syl221anc ) ABJKLBMNCJK
      LCMNDOKBCPQDRQBDRQCDRQPQSEFGHIBCDTUA $.
  $}

  $( Square root theorem over the complex numbers for the complex power
     function.  Theorem I.35 of [Apostol] p. 29.  Compare with ~ sqrtth .
     (Contributed by AV, 23-Dec-2022.) $)
  cxpsqrtth $p |- ( A e. CC -> ( ( sqrt ` A ) ^c 2 ) = A ) $=
    ( cc wcel csqrt cfv c2 ccxp co wceq wi cc0 wa 2cnne0 0cxp ax-mp fveq2 sqrt0
    wne eqtrdi adantr oveq1d 3eqtr4a a1d cexp sqrtcl simpl simpr sqr00d necon3d
    id ex imp cz 2z a1i cxpexpzd sqrtth eqtrd expcom pm2.61ine ) ABCZADEZFGHZAI
    ZJAKAKIZVDVAVEKFGHZKVCAFBCFKRLVFKIMFNOVEVBKFGVEVBKDEKAKDPQSUAVEUJUBUCVAAKRZ
    VDVAVGLZVCVBFUDHZAVHVBFVAVBBCVGAUETVAVGVBKRVAVBKAKVAVBKIZVEVAVJLAVAVJUFVAVJ
    UGUHUKUIULFUMCVHUNUOUPVAVIAIVGAUQTURUSUT $.

  ${
    $d a b $.
    $( There exist irrational numbers ` a ` and ` b ` such that ` ( a ^c b ) `
       is rational.  Statement in the Metamath book, section 1.1.5, footnote 27
       on page 17, and the "classical proof" for theorem 1.2 of [Bauer],
       p. 483.  This proof is not acceptable in intuitionistic logic, since it
       is based on the law of excluded middle:  Either
       ` ( ( sqrt `` 2 ) ^c ( sqrt `` 2 ) ) ` is rational, in which case
       ` ( sqrt `` 2 ) ` , being irrational (see ~ sqrt2irr ), can be chosen
       for both ` a ` and ` b ` , or ` ( ( sqrt `` 2 ) ^c ( sqrt `` 2 ) ) ` is
       irrational, in which case ` ( ( sqrt `` 2 ) ^c ( sqrt `` 2 ) ) ` can be
       chosen for ` a ` and ` ( sqrt `` 2 ) ` for ` b ` , since
       ` ( ( ( sqrt `` 2 ) ^c ( sqrt `` 2 ) ) ^c ( sqrt `` 2 ) ) = 2 ` is
       rational.  For an alternate proof, which can be used in intuitionistic
       logic, see ~ 2irrexpqALT .  (Contributed by AV, 23-Dec-2022.) $)
    2irrexpq $p |- E. a e. ( RR \ QQ ) E. b e. ( RR \ QQ ) ( a ^c b ) e. QQ $=
      ( c2 cr cq wcel ccxp co cv wrex wceq oveq1 eleq1d oveq2 rspc2ev sqrt2irr0
      w3a wn ax-mp a1i csqrt cfv cdif w3o 3ianor pm2.24i crp 2rp rpsqrtcl rpge0
      rpre recxpcld id eldifd cmul cc sqrt2re recni cxpmul cc0 cle wbr 2re 0le2
      mp3an remsqsqrt mp2an oveq2i 2cn cxpsqrtth cz 2z zq eqeltri eqeltrri 3jca
      3jaoi sylbi syl pm2.61i ) CUAUBZDEUCZFZWCWAWAGHZEFZQZAIZBIZGHZEFZBWBJAWBJ
      ZWJWEWAWHGHZEFABWAWAWBWBWGWAKWIWLEWGWAWHGLMWHWAKZWLWDEWHWAWAGNMOWFRZWDWBF
      ZWCWDWAGHZEFZQZWKWNWCRZWSWERZUDWRWCWCWEUEWSWRWSWTWCWRPUFZXAWTWOWCWQWTWDDE
      WDDFZWTWAUGFZXBCUGFXCUHCUISZXCWAWAWAUKZWAUJXEULSTWTUMUNWCWTPTWQWTWAWAWAUO
      HZGHZWPEXCWADFWAUPFXGWPKXDUQWAUQURWAWAWAUSVEXGWACGHZEXFCWAGCDFUTCVAVBXFCK
      VCVDCVFVGVHXHCECUPFXHCKVICVJSCVKFCEFVLCVMSVNVNVOTVPVQVRWJWQWDWHGHZEFABWDW
      AWBWBWGWDKWIXIEWGWDWHGLMWMXIWPEWHWAWDGNMOVSVT $.
  $}

  ${
    rpcxpcld.1 $e |- ( ph -> A e. RR+ ) $.
    ${
      cxprecd.2 $e |- ( ph -> B e. CC ) $.
      $( Complex exponentiation of a reciprocal.  (Contributed by Mario
         Carneiro, 30-May-2016.) $)
      cxprecd $p |- ( ph -> ( ( 1 / A ) ^c B ) = ( 1 / ( A ^c B ) ) ) $=
        ( crp wcel cc c1 cdiv co ccxp wceq cxprec syl2anc ) ABFGCHGIBJKCLKIBCLK
        JKMDEBCNO $.
    $}

    rpcxpcld.2 $e |- ( ph -> B e. RR ) $.
    $( Positive real closure of the complex power function.  (Contributed by
       Mario Carneiro, 30-May-2016.) $)
    rpcxpcld $p |- ( ph -> ( A ^c B ) e. RR+ ) $=
      ( crp wcel cr ccxp co rpcxpcl syl2anc ) ABFGCHGBCIJFGDEBCKL $.

    $( Logarithm of a complex power.  (Contributed by Mario Carneiro,
       30-May-2016.) $)
    logcxpd $p |- ( ph -> ( log ` ( A ^c B ) ) = ( B x. ( log ` A ) ) ) $=
      ( crp wcel cr ccxp co clog cfv cmul wceq logcxp syl2anc ) ABFGCHGBCIJKLCB
      KLMJNDEBCOP $.

    ${
      cxplt3d.3 $e |- ( ph -> A < 1 ) $.
      cxplt3d.4 $e |- ( ph -> C e. RR ) $.
      $( Ordering property for complex exponentiation.  (Contributed by Mario
         Carneiro, 30-May-2016.) $)
      cxplt3d $p |- ( ph -> ( B < C <-> ( A ^c C ) < ( A ^c B ) ) ) $=
        ( crp wcel c1 clt wbr cr ccxp co wb cxplt3 syl22anc ) ABIJBKLMCNJDNJCDL
        MBDOPBCOPLMQEGFHBCDRS $.

      $( Ordering property for complex exponentiation.  (Contributed by Mario
         Carneiro, 30-May-2016.) $)
      cxple3d $p |- ( ph -> ( B <_ C <-> ( A ^c C ) <_ ( A ^c B ) ) ) $=
        ( crp wcel c1 clt wbr cr cle ccxp co wb cxple3 syl22anc ) ABIJBKLMCNJDN
        JCDOMBDPQBCPQOMREGFHBCDST $.
    $}

    cxpmuld.4 $e |- ( ph -> C e. CC ) $.
    $( Product of exponents law for complex exponentiation.  Proposition
       10-4.2(b) of [Gleason] p. 135.  (Contributed by Mario Carneiro,
       30-May-2016.) $)
    cxpmuld $p |- ( ph -> ( A ^c ( B x. C ) ) = ( ( A ^c B ) ^c C ) ) $=
      ( crp wcel cr cc cmul co ccxp wceq cxpmul syl3anc ) ABHICJIDKIBCDLMNMBCNM
      DNMOEFGBCDPQ $.
  $}

  $( Commutative law for real exponentiation.  (Contributed by AV,
     29-Dec-2022.) $)
  cxpcom $p |- ( ( A e. RR+ /\ B e. RR /\ C e. RR ) ->
                 ( ( A ^c B ) ^c C ) = ( ( A ^c C ) ^c B ) ) $=
    ( crp wcel cr cmul co ccxp wceq cc recn mulcom syl2an 3adant1 oveq2d cxpmul
    w3a syl3an3 simp1 simp3 3ad2ant2 cxpmuld 3eqtr3d ) ADEZBFEZCFEZRZABCGHZIHZA
    CBGHZIHABIHCIHZACIHBIHUHUIUKAIUFUGUIUKJZUEUFBKEZCKEZUMUGBLZCLZBCMNOPUGUEUFU
    OUJULJUQABCQSUHACBUEUFUGTUEUFUGUAUFUEUNUGUPUBUCUD $.

  ${
    $d x y A $.
    $( The derivative of a complex power with respect to the first argument.
       (Contributed by Mario Carneiro, 24-Feb-2015.) $)
    dvcxp1 $p |- ( A e. CC -> ( RR _D ( x e. RR+ |-> ( x ^c A ) ) ) =
      ( x e. RR+ |-> ( A x. ( x ^c ( A - 1 ) ) ) ) ) $=
      ( vy cc wcel cr crp clog cfv cmul co cmpt cdv cdiv ccxp a1i adantl oveq2d
      ce c1 cv cmin cvv cpr reelprrecn relogcl rpreccl recn wa mulcl syl sylan2
      efcl ovexd cres wf1o wf relogf1o f1of mp1i feqmptd fvres mpteq2ia dvrelog
      eqtrdi eqtr3di ccnfld ctopn eqid ctopon cnfldtopon toponmax wss ax-resscn
      cin wceq df-ss sylib cnelprrecn simpl simpr 1cnd dvmptid dvmptcmul mulid1
      id mpteq2dv eqtrd eff eqcomd 3eqtr4a fveq2 dvmptco dvmptres3 oveq2 fveq2d
      dvef oveq1d rpcn cc0 rpne0 cxpefd mpteq2dva cxpsubd cxpcld divrecd 3eqtrd
      wne cxp1d rpcnd mul12d mulassd eqtr4d 3eqtr4d ) BDEZFAGBAUAZHIZJKZSIZLZMK
      AGXSBJKZTXPNKZJKZLFAGXPBOKZLZMKAGBXPBTUBKOKZJKZLXOACXQYBBCUAZJKZSIZYJBJKZ
      FFXSYAGUCGFFFDUDZEXOUEPZYMXPGEZXQFEXOXPUFQYNYBGEXOXPUGQZYHFEZXOYHDEZYJDEZ
      YHUHXOYQUIZYIDEYRBYHUJZYIUMUKZULXOYPUIYJBJUNXOFHGUOZMKFAGXQLZMKAGYBLXOUUB
      UUCFMXOUUBAGXPUUBIZLUUCXOAGFUUBGFUUBUPGFUUBUQXOURGFUUBUSUTVAAGUUDXQXPGHVB
      VCVERAVDVFXOCYJYKFVGVHIZUCDFUUEVIZYMUUEDVJIEDUUEEXOUUEUUFVKDUUEVLUTXOFDVM
      ZFDVOFVPUUGXOVNPFDVQVRUUAYSYJBJUNXOCAYIBXPSIZUUHDDYJYJDDDDDYLEXOVSPZUUIYT
      XOYQVTXPDEZUUHDEXOXPUMQZUUKXODCDYILMKCDBTJKZLCDBLXOCYHTBDDDUUIXOYQWAYSWBX
      OCDUUIWCXOWFWDXOCDUULBBWEWGWHXODSMKSDADUUHLZMKUUMWQXOUUMSDMXOSUUMXOADDSDD
      SUQXOWIPVAWJZRUUNWKXPYISWLZUUOWMWNYHXQVPZYIXRSYHXQBJWOWPZUUPYJXSBJUUQWRWM
      XOYEXTFMXOAGYDXSXOYNUIZXPBYNUUJXOXPWSQZYNXPWTXHXOXPXAQZXOYNVTZXBZXCRXOAGY
      GYCUURYGBYDYBJKZJKZYDBJKZYBJKZYCUURYFUVCBJUURYFYDXPTOKZNKYDXPNKUVCUURXPBT
      UUSUUTUVAUURWBXDUURUVGXPYDNUURXPUUSXIRUURYDXPUURXPBUUSUVAXEZUUSUUTXFXGRUU
      RUVDYDBYBJKJKUVFUURBYDYBUVAUVHUURYBYOXJZXKUURYDBYBUVHUVAUVIXLXMUURUVEYAYB
      JUURYDXSBJUVBWRWRXGXCXN $.

    $( The derivative of a complex power with respect to the second argument.
       (Contributed by Mario Carneiro, 24-Feb-2015.) $)
    dvcxp2 $p |- ( A e. RR+ -> ( CC _D ( x e. CC |-> ( A ^c x ) ) ) =
      ( x e. CC |-> ( ( log ` A ) x. ( A ^c x ) ) ) ) $=
      ( vy wcel cc cv cfv cmul co ce cmpt cdv cr adantr recnd mulcomd mpteq2dva
      a1i c1 oveq2d crp clog ccxp cpr cnelprrecn wa simpr relogcl mulcld adantl
      efcl 1cnd dvmptid dvmptcmul mulid1d 3eqtrd dvef wf feqmptd eqcomd 3eqtr4a
      eff fveq2 dvmptco rpcn cc0 wne rpne0 cxpefd cxpcld oveq1d eqtrd 3eqtr4d )
      BUADZEAEAFZBUBGZHIZJGZKZLIAEVRVPHIZKEAEBVOUCIZKZLIAEVPWAHIZKVNACVQVPCFZJG
      ZWEEEVRVRMEEEEMEUDDVNUERZWFVNVOEDZUFZVOVPVNWGUGZWHVPVNVPMDWGBUHZNZOZUIWKW
      DEDWEEDVNWDUKUJZWMVNEAEVQKZLIEAEVPVOHIZKZLIAEVPSHIZKAEVPKVNWNWPELVNAEVQWO
      WHVOVPWIWLPQTVNAVOSVPEEEWFWIWHULVNAEWFUMVNVPWJOUNVNAEWQVPWHVPWLUOQUPVNEJL
      IJECEWEKZLIWRUQVNWRJELVNJWRVNCEEJEEJURVNVBRUSUTZTWSVAWDVQJVCZWTVDVNWBVSEL
      VNAEWAVRWHBVOVNBEDWGBVENZVNBVFVGWGBVHNWIVIZQTVNAEWCVTWHWCWAVPHIVTWHVPWAWL
      WHBVOXAWIVJPWHWAVRVPHXBVKVLQVM $.
  $}

  $( The derivative of the real square root function.  (Contributed by Mario
     Carneiro, 1-May-2016.) $)
  dvsqrt $p |- ( RR _D ( x e. RR+ |-> ( sqrt ` x ) ) ) =
    ( x e. RR+ |-> ( 1 / ( 2 x. ( sqrt ` x ) ) ) ) $=
    ( cr crp c1 c2 cdiv co ccxp cmpt cmin cmul cc wcel wceq halfcn ax-mp ax-1cn
    cdv cc0 a1i cv csqrt cfv dvcxp1 rpcn cxpsqrt syl mpteq2ia oveq2i cneg caddc
    1p0e1 2halves eqtr4i wb 0cn addsubeq4 mp4an mpbi df-neg rpne0 syl5eq oveq2d
    cxpnegd eqtrd wne 2cnne0 rpsqrtcl rpcnne0d divmuldiv syl22anc oveq1i eqtrdi
    wa 1t1e1 3eqtr3i ) BACAUAZDEFGZHGZIZRGZACVRVQVRDJGZHGZKGZIZBACVQUBUCZIZRGAC
    DEWFKGZFGZIVRLMZWAWENOAVRUDPVTWGBRACVSWFVQCMZVQLMVSWFNVQUEZVQUFUGZUHUIACWDW
    IWKWDVRDWFFGZKGZWIWKWCWNVRKWKWCDVSFGZWNWKWCVQVRUJZHGWPWBWQVQHWBSVRJGZWQDSUK
    GZVRVRUKGZNZWBWRNZWSDWTULDLMZWTDNQDUMPUNXCSLMWJWJXAXBUOQUPOODSVRVRUQURUSVRU
    TUNUIWKVQVRWLVQVAWJWKOTVDVBWKVSWFDFWMVCVEVCWKWODDKGZWHFGZWIWKXCXCELMESVFVNZ
    WFLMWFSVFVNWOXENXCWKQTZXGXFWKVGTWKWFVQVHVIDDEWFVJVKXDDWHFVOVLVMVEUHVP $.

  ${
    $d x y A $.  $d x y D $.
    dvcncxp1.d $e |- D = ( CC \ ( -oo (,] 0 ) ) $.
    $( Derivative of complex power with respect to first argument on the
       complex plane.  (Contributed by Brendan Leahy, 18-Dec-2018.) $)
    dvcncxp1 $p |- ( A e. CC -> ( CC _D ( x e. D |-> ( x ^c A ) ) ) =
      ( x e. D |-> ( A x. ( x ^c ( A - 1 ) ) ) ) ) $=
      ( vy cc wcel clog cfv cmul co ce cmpt cdv cdiv ccxp adantl oveq2d oveq1d
      c1 cv cmin cvv cr cpr cnelprrecn a1i cmnf cioc cdif difss eqsstri logdmn0
      cc0 sseli logcld reccld wa mulcl efcl syl ovexd cres ccncf wf logcn cncff
      mp1i feqmptd fvres mpteq2ia eqtrdi dvlog eqtr3di simpl simpr 1cnd dvmptid
      dvmptcmul mulid1 mpteq2dv eqtrd dvef eff 3eqtr3a fveq2 dvmptco wceq oveq2
      id fveq2d wne cxpefd mpteq2dva cxpsubd cxp1d cxpcld divrecd 3eqtrd mul12d
      mulassd eqtr4d 3eqtr4d ) BFGZFACBAUAZHIZJKZLIZMZNKACXHBJKZTXEOKZJKZMFACXE
      BPKZMZNKACBXEBTUBKPKZJKZMXDAEXFXKBEUAZJKZLIZXSBJKFFXHXJFUCCFFUDFUEGXDUFUG
      ZXTXECGZXFFGXDYAXECFXECFUHUNUIKZUJFDFYBUKULUOZXECDUMZUPQYAXKFGXDYAXEYCYDU
      QQZXDXQFGZURZXRFGXSFGBXQUSZXRUTVAYGXSBJVBXDFHCVCZNKFACXFMZNKACXKMXDYIYJFN
      XDYIACXEYIIZMYJXDACFYIYICFVDKGCFYIVEXDCDVFCFYIVGVHVIACYKXFXECHVJVKVLRACDV
      MVNXDEAXRBXELIZYLFFXSXSFFFFXTXTYHXDYFVOXEFGZYLFGXDXEUTQZYNXDFEFXRMNKEFBTJ
      KZMEFBMXDEXQTBFFFXTXDYFVPYGVQXDEFXTVRXDWJVSXDEFYOBBVTWAWBXDFLNKLFAFYLMZNK
      YPWCXDLYPFNXDAFFLFFLVEXDWDUGVIZRYQWEXEXRLWFZYRWGXQXFWHZXRXGLXQXFBJWIWKZYS
      XSXHBJYTSWGXDXNXIFNXDACXMXHXDYAURZXEBYAYMXDYCQZYAXEUNWLXDYDQZXDYAVOZWMZWN
      RXDACXPXLUUAXPBXMXKJKZJKZXMBJKZXKJKZXLUUAXOUUFBJUUAXOXMXETPKZOKXMXEOKUUFU
      UAXEBTUUBUUCUUDUUAVQWOUUAUUJXEXMOUUAXEUUBWPRUUAXMXEUUAXEBUUBUUDWQZUUBUUCW
      RWSRUUAUUGXMBXKJKJKUUIUUABXMXKUUDUUKYEWTUUAXMBXKUUKUUDYEXAXBUUAUUHXJXKJUU
      AXMXHBJUUESSWSWNXC $.

    $( Derivative of square root function.  (Contributed by Brendan Leahy,
       18-Dec-2018.) $)
    dvcnsqrt $p |- ( CC _D ( x e. D |-> ( sqrt ` x ) ) ) =
      ( x e. D |-> ( 1 / ( 2 x. ( sqrt ` x ) ) ) ) $=
      ( cc c1 c2 cdiv co ccxp cmpt cdv cmin cmul wcel halfcn ax-mp cc0 mpteq2ia
      wceq wne cv csqrt cfv dvcncxp1 cmnf cioc cdif difss eqsstri sseli cxpsqrt
      syl oveq2i cneg caddc 1p0e1 ax-1cn 2halves eqtr4i wb addsubeq4 mp4an mpbi
      0cn df-neg logdmn0 a1i cxpnegd syl5eq oveq2d eqtrd 1cnd 2cnd sqrtcld 2ne0
      wa adantr simpr sqr00d necon3d mpd divmuldivd 1t1e1 oveq1i eqtrdi 3eqtr3i
      ex ) DABAUAZEFGHZIHZJZKHZABWIWHWIELHZIHZMHZJZDABWHUBUCZJZKHABEFWQMHZGHZJW
      IDNZWLWPSOAWIBCUDPWKWRDKABWJWQWHBNZWHDNZWJWQSBDWHBDUEQUFHZUGDCDXDUHUIUJZW
      HUKULZRUMABWOWTXBWOWIEWQGHZMHZWTXBWNXGWIMXBWNEWJGHZXGXBWNWHWIUNZIHXIWMXJW
      HIWMQWILHZXJEQUOHZWIWIUOHZSZWMXKSZXLEXMUPEDNZXMESUQEURPUSXPQDNXAXAXNXOUTU
      QVDOOEQWIWIVAVBVCWIVEUSUMXBWHWIXEWHBCVFZXAXBOVGVHVIXBWJWQEGXFVJVKVJXBXHEE
      MHZWSGHWTXBEFEWQXBVLZXBVMXSXBWHXEVNFQTXBVOVGXBWHQTWQQTXQXBWQQWHQXBWQQSZWH
      QSXBXTVPWHXBXCXTXEVQXBXTVRVSWGVTWAWBXREWSGWCWDWEVKRWF $.
  $}

  ${
    $d x y D $.  $d x y J $.  $d x y K $.
    cxpcn.d $e |- D = ( CC \ ( -oo (,] 0 ) ) $.
    cxpcn.j $e |- J = ( TopOpen ` CCfld ) $.
    cxpcn.k $e |- K = ( J |`t D ) $.
    $( Domain of continuity of the complex power function.  (Contributed by
       Mario Carneiro, 1-May-2016.) $)
    cxpcn $p |- ( x e. D , y e. CC |-> ( x ^c y ) ) e. ( ( K tX J ) Cn J ) $=
      ( cc co cmpo clog cfv cmul ce ccn wcel adantr wtru a1i cv ccxp ctx wa crp
      cr ellogdm simplbi cc0 wne logdmn0 simpr cxpefd mpoeq3ia crest ctopon wss
      cnfldtopon ssriv resttopon sylancl eqeltrid cnmpt2nd fvres cnmpt1st ccncf
      wi cres wceq logcn ssid toponrestid cncfcn mp2an cnmpt21f eqeltrrid mulcn
      eleqtri cnmpt22f efcn cncfcn1 mptru eqeltri ) ABCIAUAZBUAZUBJZKABCIWEWDLM
      ZNJZOMZKZEDUCJDPJZABCIWFWIWDCQZWEIQZUDWDWEWLWDIQZWMWLWNWDUFQWDUEQVGWDCFUG
      UHZRWLWDUIUJWMWDCFUKRWLWMULUMUNWJWKQSABWHOEDDDCISEDCUOJZCUPMZHSDIUPMQZCIU
      QZWPWQQWRSDGURZTZACIWOUSZCDIUTVAVBZXASABWEWGNEDDDDCIXCXASABEDCIXCXAVCSABC
      IWGKABCIWDLCVHZMZKWKABCIXEWGWLXEWGVIWMWDCLVDRUNSABWDXDEDEDCIXCXASABEDCIXC
      XAVEXDEDPJZQSXDCIVFJZXFCFVJWSIIUQXGXFVIXBIVKCIDEDGHDIWTVLVMVNVRTVOVPNDDUC
      JDPJQSDGVQTVSODDPJZQSOIIVFJXHVTDGWAVRTVOWBWC $.
  $}

  ${
    $d x y J $.
    cxpcn2.j $e |- J = ( TopOpen ` CCfld ) $.
    cxpcn2.k $e |- K = ( J |`t RR+ ) $.
    $( Continuity of the complex power function, when the base is real.
       (Contributed by Mario Carneiro, 1-May-2016.) $)
    cxpcn2 $p |- ( x e. RR+ , y e. CC |-> ( x ^c y ) )
        e. ( ( K tX J ) Cn J ) $=
      ( crp cc cv co cmpo ctx ccn wcel wtru crest ctopon cfv wss a1i cnfldtopon
      ccxp cmnf cc0 cioc cdif cvv wceq cr rpcn ax-1 eqid ellogdm sylanbrc ssriv
      wi cnex difexi restabs mp3an eqtr4i difss sylancl toponrestid ssidd cxpcn
      resttopon cnmpt2res mptru ) ABGHAIZBIUBJZKDCLJCMJNOABVKCHUCUDUEJZUFZPJZDC
      CCHVMGHDCGPJZVNGPJZFCHQRZNZGVMSZVMUGNVPVOUHCEUAZAGVMVJGNZVJHNVJUINZWAUPVJ
      VMNVJUJWAWBUKVJVMVMULZUMUNUOZHVLUQURGVMCVQUGUSUTVAOVRVMHSVNVMQRNVROVTTZHV
      LVBVMCHVGVCVSOWDTCHVTVDWEOHVEABVMHVKKVNCLJCMJNOABVMCVNWCEVNULVFTVHVI $.
  $}

  ${
    $d a b d A $.  $d a b d E $.  $d d e u v x y z J $.  $d a b d e u v z K $.
    $d a b d e u v x y z D $.  $d a b d e u v z L $.  $d a b d T $.
    cxpcn3.d $e |- D = ( `' Re " RR+ ) $.
    cxpcn3.j $e |- J = ( TopOpen ` CCfld ) $.
    cxpcn3.k $e |- K = ( J |`t ( 0 [,) +oo ) ) $.
    cxpcn3.l $e |- L = ( J |`t D ) $.
    ${
      cxpcn3.u $e |- U = ( if ( ( Re ` A ) <_ 1 , ( Re ` A ) , 1 ) / 2 ) $.
      cxpcn3.t $e |- T =
        if ( U <_ ( E ^c ( 1 / U ) ) , U , ( E ^c ( 1 / U ) ) ) $.
      $( Lemma for ~ cxpcn3 .  (Contributed by Mario Carneiro, 2-May-2016.) $)
      cxpcn3lem $p |- ( ( A e. D /\ E e. RR+ ) ->
        E. d e. RR+ A. a e. ( 0 [,) +oo ) A. b e. D
          ( ( ( abs ` a ) < d /\ ( abs ` ( A - b ) ) < d ) ->
            ( abs ` ( a ^c b ) ) < E ) ) $=
        ( wcel clt wbr crp wa cv cabs cfv cmin co ccxp wi wral cc0 cpnf cico c1
        wrex cdiv cle cif cre c2 cc ccnv cima eleq2i cr wf wfn ref ffn elpreima
        wb mp2b bitri simprbi adantr 1rp ifcl rphalfcld eqeltrid simpr rpreccld
        sylancl rpred rpcxpcld ifcld elrege0 wceq wo 0red leloe elrp w3a simp2l
        sylan simp2r cdm cnvimass fdmi sseqtri eqsstri sseli syl abscxp syl2anc
        recld 3ad2ant1 simp1r simp1l simplbi rehalfcld 1re min1 2re 2pos lediv1
        a1i syl112anc mpbid eqbrtrid caddc 2halvesd resubd subcld abscld simp3r
        recnd releabsd breqtrdi ltmin syl3anc lelttrd eqbrtrrd eqbrtrd rprege0d
        simpld mpbird lttrd wne rpcnd breq2 ltletrd ltsubadd2d ltadd1d rehalfcl
        absid simp3l mp1i min2 halflt1 cxplt3d cmul rpcnne0d recid oveq2d cxp1d
        cxpmuld 3eqtr3d simprd cxplt2 3expia anassrs sylan2br expr eleq2s fveq2
        ralrimiva rpne0d re0 eqtrdi necon3i 0cxpd adantl abs00bd simpllr rpgt0d
        fvoveq1 breq1d syl5ibcom a1dd ralrimdva sylbid expimpd ralrimiv anbi12d
        jaod syl5bi imbi1d 2ralbidv rspcev ) ABRZEUARZUBZCUARIUCZUDUEZCSTZAJUCZ
        UFUGZUDUEZCSTZUBZUWMUWPUHUGUDUEZESTZUIZJBUJZIUKULUMUGZUJZUWNKUCZSTZUWRU
        XGSTZUBZUXBUIZJBUJIUXEUJZKUAUOUWLCDEUNDUPUGZUHUGZUQTZDUXNURZUAQUWLUXODU
        XNUAUWLDAUSUEZUNUQTZUXQUNURZUTUPUGZUAPUWLUXSUWLUXQUARZUNUARUXSUARZUWJUY
        AUWKUWJAVARZUYAUWJAUSVBUAVCZRZUYCUYAUBZBUYDALVDVAVEUSVFZUSVAVGZUYEUYFVK
        VHVAVEUSVIZVAAUAUSVJVLVMZVNVOVPUXRUXQUNUAVQWBZVRVSZUWLEUXMUWJUWKVTUWLUX
        MUWLDUYLWAWCWDZWEVSUWLUXDIUXEUWMUXERUWMVERZUKUWMUQTZUBZUWLUXDUWMWFUWLUY
        NUYOUXDUWLUYNUBZUYOUKUWMSTZUKUWMWGZWHZUXDUWLUKVERUYNUYOUYTVKUWLWIUKUWMW
        JWNUYQUYRUXDUYSUWLUYNUYRUXDUYNUYRUBUWLUWMUARZUXDUWMWKUWLVUAUBUXCJBUWLVU
        AUWPBRZUXCUWLVUAVUBUBZUWTUXBUWLVUCUWTWLZUXAUWMUWPUSUEZUHUGZESVUDVUAUWPV
        ARZUXAVUFWGUWLVUAVUBUWTWMZVUDVUBVUGUWLVUAVUBUWTWOBVAUWPBUYDVALUYDUSWPVA
        USUAWQVAVEUSVHWRWSWTXAZXBZUWMUWPXCXDVUDVUFUWMDUHUGZEVUDVUFVUDUWMVUEVUHV
        UDUWPVUJXEZWDWCVUDVUKVUDUWMDVUHVUDDUWLVUCDUARUWTUYLXFZWCZWDZWCVUDEUWJUW
        KVUCUWTXGZWCVUDDVUESTVUFVUKSTVUDDUXQUTUPUGZVUEVUNVUDUXQVUDAVUDUWJUYCUWJ
        UWKVUCUWTXHUWJUYCUYAUYJXIXBZXEZXJZVULVUDDUXTVUQUQPVUDUXSUXQUQTZUXTVUQUQ
        TZVUDUXQVERZUNVERZVVAVUSXKUXQUNXLWBVUDUXSVERZVVCUTVERZUKUTSTZVVAVVBVKVU
        DUXSUWLVUCUYBUWTUYKXFWCZVUSVVFVUDXMXPZVVGVUDXNXPZUXSUXQUTXOXQXRXSZVUDVU
        QVUESTVUQVUQXTUGZVUEVUQXTUGZSTVUDVVLUXQVVMSVUDUXQVUDUXQVUSYFYAVUDUXQVUE
        UFUGZVUQSTUXQVVMSTVUDUWQUSUEZVVNVUQSVUDAUWPVURVUJYBVUDVVODVUQVUDUWQVUDA
        UWPVURVUJYCZXEZVUNVUTVUDVVOUWRDVVQVUDUWQVVPYDZVUNVUDUWQVVPYGVUDUWRDSTZU
        WRUXNSTZVUDUWRUXPSTZVVSVVTUBZVUDUWRCUXPSUWLVUCUWOUWSYEQYHVUDUWRVERDVERZ
        UXNVERZVWAVWBVKVVRVUNVUDUXNUWLVUCUXNUARUWTUYMXFWCZUWRDUXNYIYJXRYOYKVVKU
        UAYLVUDUXQVUEVUQVUSVULVUTUUBXRYMVUDVUQVUEVUQVUTVULVUTUUCYPYKVUDUWMDVUEV
        UHVUNVUDUWMDUNVUDUWMVUHWCZVUNVVDVUDXKXPZVUDUWMDSTZUWMUXNSTZVUDUWMUXPSTZ
        VWHVWIUBZVUDUWMCUXPSVUDUWNUWMCSVUDUYPUWNUWMWGVUDUWMVUHYNUWMUUEXBUWLVUCU
        WOUWSUUFYLQYHVUDUYNVWCVWDVWJVWKVKVWFVUNVWEUWMDUXNYIYJXRZYOVUDDUNUTUPUGZ
        UNVUNVVDVWMVERVUDXKUNUUDUUGVWGVUDDUXTVWMUQPVUDUXSUNUQTZUXTVWMUQTZVUDVVC
        VVDVWNVUSXKUXQUNUUHWBVUDVVEVVDVVFVVGVWNVWOVKVVHVWGVVIVVJUXSUNUTXOXQXRXS
        VWMUNSTVUDUUIXPYKYQVULUUJXRVUDVUKESTZVUKUXMUHUGZUXNSTZVUDVWQUWMUXNSVUDU
        WMDUXMUUKUGZUHUGUWMUNUHUGVWQUWMVUDVWSUNUWMUHVUDDVARDUKYRUBVWSUNWGVUDDVU
        MUULDUUMXBUUNVUDUWMDUXMVUHVUNVUDUXMVUDDVUMWAZYSUUPVUDUWMVUDUWMVUHYSUUOU
        UQVUDVWHVWIVWLUURYMVUDVUKVERUKVUKUQTUBEVERUKEUQTUBUXMUARVWPVWRVKVUDVUKV
        UOYNVUDEVUPYNVWTVUKEUXMUUSYJYPYQYMUUTUVAUVFUVBUVCUYQUYSUXCJBUYQVUBUBZUY
        SUXBUWTVXAUKUWPUHUGZUDUEZESTUYSUXBVXAVXCUKESVXAVXBVUBVXBUKWGUYQVUBUWPVU
        IVUBVUEUKYRUWPUKYRVUBVUEVUEUARZUWPUYDBUWPUYDRZVUGVXDUYGUYHVXEVUGVXDUBVK
        VHUYIVAUWPUAUSVJVLVNLUVDUVGUWPUKVUEUKUWPUKWGVUEUKUSUEUKUWPUKUSUVEUVHUVI
        UVJXBUVKUVLUVMVXAEUWJUWKUYNVUBUVNUVOYMUYSVXCUXAESUKUWMUWPUDUHUVPUVQUVRU
        VSUVTUWEUWAUWBUWFUWCUXLUXFKCUAUXGCWGZUXKUXCIJUXEBVXFUXJUWTUXBVXFUXHUWOU
        XIUWSUXGCUWNSYTUXGCUWRSYTUWDUWGUWHUWIXD $.
    $}

    $( Extend continuity of the complex power function to a base of zero, as
       long as the exponent has strictly positive real part.  (Contributed by
       Mario Carneiro, 2-May-2016.) $)
    cxpcn3 $p |- ( x e. ( 0 [,) +oo ) , y e. D |-> ( x ^c y ) )
        e. ( ( K tX L ) Cn J ) $=
      ( cc0 co wcel cc cfv wral cre crp wbr wceq vz vu vv va vd vb ve cpnf cico
      cv ccxp cmpo ctx ccn cxp wf ccnp rge0ssre ax-resscn sstri sseli ccnv cima
      cr cdm cnvimass ref fdmi sseqtri eqsstri cxpcl syl2an rgen2 eqid fmpo cop
      mpbi wa clt cres crest ctopon wss cle elrege0 resttopon mp2an a1i simplbi
      ssid adantr simpr eqeltri txtopon toponunii syl2anc cioo wb ctop cvv ovex
      mp3an ax-mp eqtri mp4an oveq1i topontopi mpbird cabs cmin wi wrex c1 cdiv
      cif 0e0icopnf ovresd sselid cnmetdval sylancr cneg df-neg absnegd eqtr3id
      0cn fveq2i 3eqtrd breq1d eqtrd oveq12 ovmpoa simprbi fveq2 cxmet xmetres2
      wne cnxmet sylancl cmopn metrest cnfldtopon rpre rpge0 toponrestid cxpcn2
      sylanbrc ssriv cnmpt2res elrpd simplr opelxpd cncnpi resmpo crn ctg ioorp
      iooretop eqeltrri retop restopnb mpanl12 rerest eleqtrri toponmax restabs
      w3a txrest restid oveq12i fveq1i 3eltr4g cnt xpss1 mp1i isopn3i eleqtrrdi
      txopn txunii cnprest syl22anc c2 cxpcn3lem ralrimiva simprl simpl anbi12d
      ccom simprr eleq2i wfn ffn elpreima bitri rpne0d re0 eqtrdi necon3i 0cxpd
      mp2b adantl oveq12d cxpcld imbi12d 2ralbidva rexbidv ralbidv id cnfldtopn
      txmetcnp syl32anc mpbir2and ad2antlr opeq1d fveq2d eleqtrd wo leloe mpbid
      syl 0re mpjaodan eleq2d ralxp mpbir cncnp mpbir2an ) ABKUHUILZCAUJZBUJZUK
      LZULZEFUMLZDUNLMZUYGCUOZNUYKUPZUYKUAUJZUYLDUQLZOZMZUAUYNPZUYJNMZBCPAUYGPU
      YOVUAABUYGCUYHUYGMZUYHNMUYINMVUAUYICMUYGNUYHUYGVDNURUSUTZVACNUYICQVBRVCZN
      GVUDQVENQRVFNVDQVGVHVIVJZVAUYHUYIVKVLVMABUYGCUYJNUYKUYKVNZVOVQZUYTUYKUBUJ
      ZUCUJZVPZUYQOZMZUCCPUBUYGPVULUBUCUYGCVUHUYGMZVUICMZVRZKVUHVSSZVULKVUHTZVU
      OVUPVRZVULUYKRCUOZVTZVUJUYLVUSWALZDUQLZOZMZVURABRCUYJULZVUJDRWALZFUMLZDUQ
      LZOZVUTVVCVURVVEVVGDUNLMVUJVUSMVVEVVIMVURABUYJVVFVVFDDFCRRNVVFRDNWBOZMZRN
      WCVVFRWBOMZDHUUAZRUYGNARUYGUYHRMUYHVDMKUYHWDSVUBUYHUUBUYHUUCUYHWEUUFUUGZV
      UCUTRDNWFWGZUUDVVLVURVVOWHRRWCZVURRWJZWHJVVKVURVVMWHCNWCZVURVUEWHABRNUYJU
      LVVFDUMLDUNLMVURABDVVFHVVFVNUUEWHUUHVURVUHVUIRCVURVUHVUOVUHVDMZVUPVUMVVSV
      UNVUMVVSKVUHWDSZVUHWEZWIWKZWKVUOVUPWLUUIVUMVUNVUPUUJUUKZVUJVVEVVGDVUSVUSV
      VGVVLFCWBOZMZVVGVUSWBOMVVOFDCWALZVWDJVVKVVRVWFVWDMVVMVUECDNWFWGWMZVVFFRCW
      NWGWOUULWPRUYGWCZCCWCVUTVVETVVNCWJABUYGCRCUYJUUMWGVUJVVBVVHVVAVVGDUQVVAER
      WALZFCWALZUMLZVVGEUYGWBOZMZVWEREMZCFMZVVAVWKTEDUYGWALZVWLIVVKUYGNWCZVWPVW
      LMVVMVUCUYGDNWFWGWMZVWGRWQUUNUUOOZUYGWALZERVWSMZRVWTMZKUHWQLRVWSUUPKUHUUQ
      UURZVXAVWHVVPVXAVXBWRZVXCVVNVVQVWSWSMUYGWTMZVXAVWHVVPUVFVXDUUSKUHUIXAZUYG
      RRVWSWTUUTUVAXBVQEVWPVWTIUYGVDWCVWPVWTTURUYGVWSDHVWSVNUVBXCXDUVCZVWEVWOVW
      GCFUVDXCZRCEFVWLVWDEFUVGXEVWIVVFVWJFUMVWIVWPRWALZVVFEVWPRWAIXFVVKVWHVXEVX
      IVVFTVVMVVNVXFRUYGDVVJWTUVEXBXDVWEVWJFTVWGFVWDCCFVWGWOZUVHXCUVIXDXFUVJUVK
      VURUYLWSMZVUSUYNWCZVUJVUSUYLUVLOOZMUYOVULVVDWRVXKVURUYNUYLVWMVWEUYLUYNWBO
      MZVWRVWGEFUYGCWNWGZXGZWHVWHVXLVURVVNRUYGCUVMUVNVURVUJVUSVXMVWCVXKVUSUYLMZ
      VXMVUSTVXPVWMVWEVWNVWOVXQVWRVWGVXGVXHRCEFVWLVWDUVQXEVUSUYLUVOWGUVPUYOVURV
      UGWHVUSVUJUYKUYLDUYNNEFUYGCUYGEVWRXGCFVWGXGUYGEVWRWOVXJUVRNDVVMWOUVSUVTXH
      VUOVUQVRZUYKKVUIVPZUYQOZVUKVUNUYKVXTMZVUMVUQVUNVYAUYOKUDUJZXIXJUWGZUYGUYG
      UOVTZLZUEUJZVSSZVUIUFUJZVYCCCUOVTZLZVYFVSSZVRZKVUIUYKLZVYBVYHUYKLZVYCLZUG
      UJZVSSZXKZUFCPUDUYGPZUERXLZUGRPZUYOVUNVUGWHVUNWUAVYBXIOZVYFVSSZVUIVYHXJLX
      IOZVYFVSSZVRZVYBVYHUKLZXIOZVYPVSSZXKZUFCPUDUYGPZUERXLZUGRPVUNWULUGRVUICVU
      IQOZXMWDSWUMXMXOUWAXNLZVYPXMWUNXNLUKLZWDSWUNWUOXOZWUNVYPDEFUDUFUEGHIJWUNV
      NWUPVNUWBUWCVUNVYTWULUGRVUNVYSWUKUERVUNVYRWUJUDUFUYGCVUNVYBUYGMZVYHCMZVRZ
      VRZVYLWUFVYQWUIWUTVYGWUCVYKWUEWUTVYEWUBVYFVSWUTVYEKVYBVYCLZKVYBXJLZXIOZWU
      BWUTKVYBVYCUYGKUYGMZWUTXPWHVUNWUQWURUWDZXQWUTKNMZVYBNMWVAWVCTYEWUTUYGNVYB
      VUCWVEXRZKVYBVYCVYCVNZXSXTWUTWVCVYBYAZXIOWUBWVIWVBXIVYBYBYFWUTVYBWVGYCYDY
      GYHWUTVYJWUDVYFVSWUTVYJVUIVYHVYCLZWUDWUTVUIVYHVYCCVUNWUSUWEZVUNWUQWURUWHZ
      XQWUTVUINMZVYHNMWVJWUDTWUTCNVUIVUEWVKXRWUTCNVYHVUEWVLXRZVUIVYHVYCWVHXSWPY
      IYHUWFWUTVYOWUHVYPVSWUTVYOKWUGVYCLZKWUGXJLZXIOZWUHWUTVYMKVYNWUGVYCWUTVYMK
      VUIUKLZKWUTWVDVUNVYMWVRTXPWVKABKVUIUYGCUYJWVRUYKUYHKUYIVUIUKYJVUFKVUIUKXA
      YKXTVUNWVRKTWUSVUNVUIVUNWVMWUMRMZVUNVUIVUDMZWVMWVSVRZCVUDVUIGUWINVDQUPQNU
      WJWVTWWAWRVGNVDQUWKNVUIRQUWLUWSUWMZWIVUNWUMKYPVUIKYPVUNWUMVUNWVMWVSWWBYLU
      WNVUIKWUMKVUIKTWUMKQOKVUIKQYMUWOUWPUWQUXSUWRWKYIWUSVYNWUGTVUNABVYBVYHUYGC
      UYJWUGUYKUYHVYBUYIVYHUKYJVUFVYBVYHUKXAYKUWTUXAWUTWVFWUGNMWVOWVQTYEWUTVYBV
      YHWVGWVNUXBZKWUGVYCWVHXSXTWUTWVQWUGYAZXIOWUHWWDWVPXIWUGYBYFWUTWUGWWCYCYDY
      GYHUXCUXDUXEUXFXHVUNVYDUYGYNOMZVYICYNOMZVYCNYNOMZWVDVUNVYAUYOWUAVRWRVUNWW
      GVWQWWEWWGVUNYQWHZVUCVYCUYGNYOYRVUNWWGVVRWWFWWHVUEVYCCNYOYRWWHWVDVUNXPWHV
      UNUXGUGUEUFUDKVUIVYDVYIVYCUYKEFDUYGCNEVWPVYDYSOZIWWGVWQVWPWWITYQVUCVYCVYD
      DWWINUYGVYDVNDHUXHZWWIVNYTWGXDFVWFVYIYSOZJWWGVVRVWFWWKTYQVUEVYCVYIDWWKNCV
      YIVNWWJWWKVNYTWGXDWWJUXIUXJUXKUXLVXRVXSVUJUYQVXRKVUHVUIVUOVUQWLUXMUXNUXOV
      UOVVTVUPVUQUXPZVUMVVTVUNVUMVVSVVTVWAYLWKVUOKVDMVVSVVTWWLWRUXTVWBKVUHUXQXT
      UXRUYAVMUYSVULUAUBUCUYGCUYPVUJTUYRVUKUYKUYPVUJUYQYMUYBUYCUYDVXNVVKUYMUYOU
      YTVRWRVXOVVMUAUYKUYLDUYNNUYEWGUYF $.
  $}

  ${
    $d x y z D $.
    $( Continuity of the real square root function.  (Contributed by Mario
       Carneiro, 2-May-2016.) $)
    resqrtcn $p |- ( sqrt |` ( 0 [,) +oo ) ) e. ( ( 0 [,) +oo ) -cn-> RR ) $=
      ( vx vy vz csqrt co cv cfv cmpt cr wceq wtru cc a1i wss wcel eqid cre crp
      wf c1 cc0 cpnf cico ccncf sqrtf feqmptd reseq1d cle elrege0 simplbi recnd
      cres wbr ssriv resmpt eqtrd mptru wa resqrtcl sylbi fmpti wb ax-resscn c2
      mp1i cdiv ccxp cxpsqrt syl mpteq2ia ccnfld ctopn ccn ccnv cima cnfldtopon
      ctopon resttopon sylancl cnmptid cdm cnvimass ref fdmi sseqtri halfcn 1rp
      crest rphalfcl ax-mp rpre rere mp2b eqeltri elpreima mpbir2an cnmptc cmpo
      wfn ffn ctx cxpcn3 oveq12 cnmpt12 ssid toponrestid cncfcn mp2an eleqtrrdi
      eqeltrrid cncffvrn mpbir ) DUAUBUCEZULZAXMAFZDGZHZXMIUDEZXNXQJKXNALXPHZXM
      ULZXQKDXSXMKALLDLLDSKUEMUFUGXMLNZXTXQJKAXMLXOXMOZXOYBXOIOZUAXOUHUMZXOUIZU
      JUKZUNZALXMXPUOVEUPUQXQXROZXMIXQSZAXMIXPXQXQPYBYCYDURXPIOYEXOUSUTVAILNXQX
      MLUDEZOZYHYIVBVCYKKXQAXMXOTVDVFEZVGEZHZYJAXMYMXPYBXOLOYMXPJYFXOVHVIVJKYNV
      KVLGZXMWHEZYOVMEZYJKABCXOYLBFZCFZVGEZYMYPYPYOQVNRVOZWHEZYOXMXMUUAKYOLVQGO
      ZYAYPXMVQGOUUCKYOYOPZVPZMZYGXMYOLVRVSZKAYPXMUUGVTKAYLYPUUBXMUUAUUGKUUCUUA
      LNUUBUUAVQGOUUFUUAQWALQRWBLIQWCWDWEUUAYOLVRVSZYLUUAOZKUUIYLLOZYLQGZROZWFU
      UKYLRYLROZYLIOUUKYLJTROUUMWGTWIWJZYLWKYLWLWMUUNWNLIQSQLWSUUIUUJUULURVBWCL
      IQWTLYLRQWOWMWPMWQUUGUUHBCXMUUAYTWRYPUUBXAEYOVMEOKBCUUAYOYPUUBUUAPUUDYPPZ
      UUBPXBMYRXOYSYLVGXCXDYALLNYJYQJYGLXEXMLYOYPYOUUDUUOYOLUUEXFXGXHXIXJUQXMLI
      XQXKXHXLWN $.

    sqrcn.d $e |- D = ( CC \ ( -oo (,] 0 ) ) $.
    $( Continuity of the square root function.  (Contributed by Mario Carneiro,
       2-May-2016.) $)
    sqrtcn $p |- ( sqrt |` D ) e. ( D -cn-> CC ) $=
      ( vx vy vz csqrt cres cc co wcel wtru cv ccxp cmpt cfv a1i wss wceq mp1i
      c1 ccncf c2 cdiv wf sqrtf feqmptd reseq1d cmnf cc0 cioc cdif difss resmpt
      eqsstri sseli adantl cxpsqrt syl eqcomd mpteq2dva 3eqtrd ccnfld ctopn ccn
      wa crest ctopon cnfldtopon resttopon sylancl cnmptid ax-1cn halfcl cnmptc
      eqid cmpo cxpcn oveq12 cnmpt12 toponrestid cncfcn mp2an eleqtrrdi eqeltrd
      ctx ssid mptru ) FAGZAHUAIZJKWHCACLZTUBUCIZMIZNZWIKWHCHWJFOZNZAGZCAWNNZWM
      KFWOAKCHHFHHFUDKUEPUFUGAHQZWPWQRKAHUHUIUJIZUKHBHWSULUNZCHAWNUMSKCAWNWLKWJ
      AJZVEZWLWNXBWJHJZWLWNRXAXCKAHWJWTUOUPWJUQURUSUTVAKWMVBVCOZAVFIZXDVDIZWIKC
      DEWJWKDLZELZMIZWLXEXEXDXDAAHKXDHVGOJZWRXEAVGOJXJKXDXDVOZVHZPZWTAXDHVIVJZK
      CXEAXNVKKCWKXEXDAHXNXMTHJWKHJKVLTVMSVNXNXMDEAHXIVPXEXDWEIXDVDIJKDEAXDXEBX
      KXEVOZVQPXGWJXHWKMVRVSWRHHQWIXFRWTHWFAHXDXEXDXKXOXDHXLVTWAWBWCWDWG $.
  $}

  ${
    cxpaddlelem.1 $e |- ( ph -> A e. RR ) $.
    cxpaddlelem.2 $e |- ( ph -> 0 <_ A ) $.
    cxpaddlelem.3 $e |- ( ph -> A <_ 1 ) $.
    cxpaddlelem.4 $e |- ( ph -> B e. RR+ ) $.
    cxpaddlelem.5 $e |- ( ph -> B <_ 1 ) $.
    $( Lemma for ~ cxpaddle .  (Contributed by Mario Carneiro, 2-Aug-2014.) $)
    cxpaddlelem $p |- ( ph -> A <_ ( A ^c B ) ) $=
      ( cc0 wbr ccxp co cle wceq wa c1 cr wcel adantr ad2antrr clt cmin resubcl
      cmul 1re rpred sylancr recxpcld 1red w3a recxpcl jca syl3anc 0le1 a1i crp
      cxpge0 difrp sylancl biimpa cxple2d mpbid recnd 1cxpd breqtrd simpr 1m1e0
      wb oveq2d cc cxp0d eqtrd 1le1 eqbrtrdi wo leloe mpjaodan lemul1a syl31anc
      eqtrdi caddc ax-1cn npcan anim1i elrp sylibr rpne0d cxpaddd cxp1d 3eqtr3d
      cxpcld mulid2d 3brtr3d cxpge0d breq1 syl5ibcom imp 0re ) AIBUAJZBBCKLZMJZ
      IBNZAWSOZBPCUBLZKLZWTUDLZPWTUDLZBWTMXCXEQRZPQRZWTQRZIWTMJZOZXEPMJZXFXGMJA
      XHWSABXDDEAXICQRZXDQRUEACGUFZPCUCUGZUHSXCUIAXLWSABQRZIBMJZXNXLDEXOXQXRXNU
      JXJXKBCUKBCUQULUMSXCCPUAJZXMCPNZXCXSOZXEPXDKLZPMYABPMJZXEYBMJAYCWSXSFTYAB
      PXDAXQWSXSDTAXRWSXSETYAUIIPMJYAUNUOXCXSXDUPRZAXSYDVHZWSAXNXIYEXOUECPURUSS
      UTVAVBAYBPNWSXSAXDAXDXPVCZVDTVEXCXTOZXEPPMYGXEBIKLPYGXDIBKYGXDPPUBLIYGCPP
      UBXCXTVFVIVGVTVIYGBABVJRZWSXTABDVCZTVKVLVMVNAXSXTVOZWSACPMJZYJHAXNXIYKYJV
      HXOUECPVPUSVBSVQXEPWTVRVSXCBXDCWALZKLBPKLZXFBXCYLPBKAYLPNZWSAPVJRCVJRZYNW
      BACXOVCZPCWCUGSVIXCBXDCAYHWSYISXCBXCXQWSOBUPRAXQWSDWDBWEWFWGAXDVJRWSYFSAY
      OWSYPSWHAYMBNWSABYIWISWJAXGWTNWSAWTABCYIYPWKWLSWMAXBXAAXKXBXAABCDEXOWNIBW
      TMWOWPWQAXRWSXBVOZEAIQRXQXRYQVHWRDIBVPUGVBVQ $.
  $}

  ${
    cxpaddle.1 $e |- ( ph -> A e. RR ) $.
    cxpaddle.2 $e |- ( ph -> 0 <_ A ) $.
    cxpaddle.3 $e |- ( ph -> B e. RR ) $.
    cxpaddle.4 $e |- ( ph -> 0 <_ B ) $.
    cxpaddle.5 $e |- ( ph -> C e. RR+ ) $.
    cxpaddle.6 $e |- ( ph -> C <_ 1 ) $.
    $( Ordering property for complex exponentiation.  (Contributed by Mario
       Carneiro, 8-Sep-2014.) $)
    cxpaddle $p |- ( ph ->
      ( ( A + B ) ^c C ) <_ ( ( A ^c C ) + ( B ^c C ) ) ) $=
      ( cc0 co wbr ccxp cle c1 cr wcel adantr recnd caddc wceq wa cmul readdcld
      clt addge0d rpred recxpcld mulid2d cdiv crp anim1i elrp sylibr rerpdivcld
      simpr syl22anc addge01d mpbid mulid1d breqtrrd wb 1red ledivmul syl112anc
      divge0 mpbird cxpaddlelem le2addd rpne0d divdird dividd eqtr3d cc divcxpd
      addge02d oveq12d rpcxpcld eqtr4d 3brtr3d lemuldivd eqbrtrrd 0cxpd cxpge0d
      eqbrtrd oveq1 breq1d syl5ibcom imp wo 0re leloe sylancr mpjaodan ) AKBCUA
      LZUFMZWPDNLZBDNLZCDNLZUALZOMZKWPUBZAWQUCZPWRUDLZWRXAOXDWRXDWRAWRQRWQAWPDA
      BCEGUEZABCEGFHUGZADIUHZUISTZUJXDXEXAOMPXAWRUKLZOMXDBWPUKLZCWPUKLZUALZXKDN
      LZXLDNLZUALZPXJOXDXKXLXNXOXDBWPABQRZWQESZXDWPQRZWQUCWPULRAXSWQXFUMWPUNUOZ
      UPZXDCWPACQRZWQGSZXTUPZXDXKDYAXDXQKBOMZXSWQKXKOMXRAYEWQFSZAXSWQXFSZAWQUQZ
      BWPVGURZADQRWQXHSZUIXDXLDYDXDYBKCOMZXSWQKXLOMYCAYKWQHSZYGYHCWPVGURZYJUIXD
      XKDYAYIXDXKPOMZBWPPUDLZOMZXDBWPYOOABWPOMZWQAYKYQHABCEGUSUTSXDWPXDWPYGTZVA
      ZVBXDXQPQRZXSWQYNYPVCXRXDVDZYGYHBPWPVEVFVHADULRWQISZADPOMWQJSZVIXDXLDYDYM
      XDXLPOMZCYOOMZXDCWPYOOACWPOMZWQAYEUUFFACBGEVQUTSYSVBXDYBYTXSWQUUDUUEVCYCU
      UAYGYHCPWPVEVFVHUUBUUCVIVJXDWPWPUKLXMPXDBCWPXDBXRTXDCYCTYRXDWPXTVKZVLXDWP
      YRUUGVMVNXDXPWSWRUKLZWTWRUKLZUALXJXDXNUUHXOUUIUAXDBWPDXRYFXTADVORWQADXHTZ
      SZVPXDCWPDYCYLXTUUKVPVRXDWSWTWRAWSVORWQAWSABDEFXHUIZTSAWTVORWQAWTACDGHXHU
      IZTSXIXDWRXDWPDXTYJVSZVKVLVTWAXDPXAWRUUAAXAQRWQAWSWTUULUUMUESUUNWBVHWCAXC
      XBAKDNLZXAOMXCXBAUUOKXAOADUUJADIVKWDAWSWTUULUUMABDEFXHWEACDGHXHWEUGWFXCUU
      OWRXAOKWPDNWGWHWIWJAKWPOMZWQXCWKZXGAKQRXSUUPUUQVCWLXFKWPWMWNUTWO $.
  $}

  ${
    abscxpbnd.1 $e |- ( ph -> A e. CC ) $.
    abscxpbnd.2 $e |- ( ph -> B e. CC ) $.
    abscxpbnd.3 $e |- ( ph -> 0 <_ ( Re ` B ) ) $.
    abscxpbnd.4 $e |- ( ph -> M e. RR ) $.
    abscxpbnd.5 $e |- ( ph -> ( abs ` A ) <_ M ) $.
    $( Bound on the absolute value of a complex power.  (Contributed by Mario
       Carneiro, 15-Sep-2014.) $)
    abscxpbnd $p |- ( ph -> ( abs ` ( A ^c B ) ) <_
      ( ( M ^c ( Re ` B ) ) x. ( exp ` ( ( abs ` B ) x. _pi ) ) ) ) $=
      ( co cabs cfv cpi cmul cle wbr cc0 c1 wcel adantr ccxp cre ce wceq wa a1i
      1le1 oveq12 adantll cc 0cn cxp0 ax-mp eqtrdi fveq2d abs1 fveq2 re0 oveq2d
      recnd cxp0d sylan9eqr simpr abs00bd oveq1d picn ef0 oveq12d 1t1e1 3brtr4d
      mul02i wne simplr 0cxp sylan eqtrd cr abscld absge0d letrd recld recxpcld
      0red ad2antrr pire remulcl sylancl reefcld cxpge0d rpefcld rpge0d mulge0d
      eqbrtrd pm2.61dane cim clog cneg cxpefd logcl mulcld absef caddc remulcld
      imcld renegcld efadd syl2anc cmin negsubd mulneg2d remuld 3eqtr4d abs00ad
      syl relog necon3bid biimpar eqtr4d 3eqtr3d 3eqtrd cxple2ad leabsd absmuld
      lemul1ad breqtrd absimle absnegd clt logimcl simpld renegcli ltle sylancr
      wi mpd simprd wb absle mpbir2and lemul2ad efle mpbid ) ABCUAJZKLZDCUBLZUA
      JZCKLZMNJZUCLZNJZOPZBQABQUDZUEZUUKCQUUMCQUDZUEZRRUUDUUJORROPUUOUGUFUUOUUD
      RKLRUUOUUCRKUUOUUCQQUAJZRUULUUNUUCUUPUDABQCQUAUHUIQUJSUUPRUDUKQULUMUNUOUP
      UNUUOUUJRRNJRUUOUUFRUUIRNUUNUUMUUFDQUAJZRUUNUUEQDUAUUNUUEQUBLQCQUBUQURUNU
      SAUUQRUDUULADADHUTVATVBUUOUUIQUCLRUUOUUHQUCUUOUUHQMNJQUUOUUGQMNUUOCUUMUUN
      VCVDVEMVFVKUNUOVGUNVHVIUNVJUUMCQVLZUEZUUDQUUJOUUSUUCUUSUUCQCUAJZQUUSBQCUA
      AUULUURVMVEUUMCUJSZUURUUTQUDAUVAUULFTCVNVOVPVDUUSUUFUUIAUUFVQSZUULUURADUU
      EHAQBKLZDAWCABEVRZHABEVSIVTZACFWAZWBZWDUUSUUHUUSUUGVQSZMVQSZUUHVQSZAUVHUU
      LUURACFVRZWDWEUUGMWFZWGZWHAQUUFOPZUULUURADUUEHUVEUVFWIZWDUUSUUIUUSUUHUVMW
      JWKWLWMWNABQVLZUEZUUDUVCUUEUAJZCWOLZBWPLZWOLZWQZNJZUCLZNJZUUJOUVQUUDCUVTN
      JZUCLZKLZUWFUBLZUCLZUWEUVQUUCUWGKUVQBCABUJSZUVPETZAUVPVCAUVAUVPFTZWRUOUVQ
      UWFUJSUWHUWJUDUVQCUVTUWMAUWKUVPUVTUJSEBWSVOZWTUWFXAXNUVQUUEUVTUBLZNJZUWCX
      BJZUCLZUWPUCLZUWDNJZUWJUWEUVQUWPUJSUWCUJSUWRUWTUDUVQUWPUVQUUEUWOUVQCUWMWA
      ZUVQUVTUWNWAXCUTZUVQUWCUVQUVSUWBUVQCUWMXDZUVQUWAUVQUVTUWNXDZXEZXCZUTUWPUW
      CXFXGUVQUWQUWIUCUVQUWPUVSUWANJZWQZXBJUWPUXGXHJUWQUWIUVQUWPUXGUXBUVQUXGUVQ
      UVSUWAUXCUXDXCUTXIUVQUWCUXHUWPXBUVQUVSUWAUVQUVSUXCUTZUVQUWAUXDUTZXJUSUVQC
      UVTUWMUWNXKXLUOUVQUWSUVRUWDNUVQUWSUUEUVCWPLZNJZUCLUVRUVQUWPUXLUCUVQUWOUXK
      UUENAUWKUVPUWOUXKUDEBXOVOUSUOUVQUVCUUEAUVCUJSUVPAUVCUVDUTTAUVCQVLUVPAUVCQ
      BQABEXMXPXQUVQUUEUXAUTWRXRVEXSXTUVQUWEUUFUWDNJUUJUVQUVRUWDUVQUVCUUEUVQBUW
      LVRZUVQBUWLVSZUXAWBZUVQUWCUXFWHZXCUVQUUFUWDAUVBUVPUVGTZUXPXCUVQUUFUUIUXQA
      UUIVQSUVPAUUHAUVHUVIUVJUVKWEUVLWGZWHTZXCUVQUVRUUFUWDUXOUXQUXPUVQUWDUVQUWC
      UXFWJWKUVQUVCDUUEUXMUXNADVQSUVPHTUXAAQUUEOPUVPGTAUVCDOPUVPITYAYDUVQUWDUUI
      UUFUXPUXSUXQAUVNUVPUVOTUVQUWCUUHOPZUWDUUIOPZUVQUWCUVSKLZUWBKLZNJZUUHUXFUV
      QUYBUYCUVQUVSUXIVRZUVQUWBUVQUWBUXEUTZVRZXCZAUVJUVPUXRTZUVQUWCUWCKLUYDOUVQ
      UWCUXFYBUVQUVSUWBUXIUYFYCYEUVQUYDUUGUYCNJUUHUYHUVQUUGUYCUVQCUWMVRZUYGXCUY
      IUVQUYBUUGUYCUYEUYJUYGUVQUWBUYFVSUVQUVAUYBUUGOPUWMCYFXNYDUVQUYCMUUGUYGUVI
      UVQWEUFUYJUVQCUWMVSUVQUYCUWAKLZMOUVQUWAUXJYGUVQUYKMOPZMWQZUWAOPZUWAMOPZUV
      QUYMUWAYHPZUYNUVQUYPUYOAUWKUVPUYPUYOUEEBYIVOZYJUVQUYMVQSUWAVQSZUYPUYNYNMW
      EYKUXDUYMUWAYLYMYOUVQUYPUYOUYQYPUVQUYRUVIUYLUYNUYOUEYQUXDWEUWAMYRWGYSWMYT
      VTVTUVQUWCVQSUVJUXTUYAYQUXFUYIUWCUUHUUAXGUUBYTVTWMWN $.
  $}

  $( Property of an ` N ` -th root of unity.  (Contributed by Mario Carneiro,
     23-Apr-2015.) $)
  root1id $p |- ( N e. NN -> ( ( -u 1 ^c ( 2 / N ) ) ^ N ) = 1 ) $=
    ( cn wcel c1 cneg c2 cdiv co cmul ccxp cexp cc neg1cn a1i 2re nndivre recnd
    cr mpan wceq nnnn0 cxpmul2d 2cnd nncn nnne0 divcan1d oveq2d cn0 2nn0 cxpexp
    mp2an ax-1cn sqneg ax-mp sq1 3eqtri eqtrdi eqtr3d ) ABCZDEZFAGHZAIHZJHZUTVA
    JHAKHDUSUTVAAUTLCZUSMNUSVAFRCUSVARCOFAPSQAUAUBUSVCUTFJHZDUSVBFUTJUSFAUSUCAU
    DAUEUFUGVEUTFKHZDFKHZDVDFUHCVEVFTMUIUTFUJUKDLCVFVGTULDUMUNUOUPUQUR $.

  $( The only powers of an ` N ` -th root of unity that equal ` 1 ` are the
     multiples of ` N ` .  In other words, ` -u 1 ^c ( 2 / N ) ` has order
     ` N ` in the multiplicative group of nonzero complex numbers.  (In fact,
     these and their powers are the only elements of finite order in the
     complex numbers.)  (Contributed by Mario Carneiro, 28-Apr-2016.) $)
  root1eq1 $p |- ( ( N e. NN /\ K e. ZZ ) ->
      ( ( ( -u 1 ^c ( 2 / N ) ) ^ K ) = 1 <-> N || K ) ) $=
    ( wcel cz c1 c2 cdiv co cexp wceq ci cpi cmul ce cfv cc ax-icn picn a1i 2cn
    cn wa cneg cdvds wbr cr 2re simpl nndivre sylancr recnd mulcli mulcld efexp
    ccxp sylancom zcn adantl nncn adantr cc0 nnne0 div32d oveq1d divcld mulassd
    wne 3eqtr3d fveq2d clog neg1cn neg1ne0 cxpefd oveq2i fveq2i eqtrdi 3eqtr4rd
    logm1 eqeq1d wb mulcl sylancl efeq1 syl mul12i 2ne0 ine0 pire pipos mulne0i
    gt0ne0ii divcan4d syl5eq eleq1d nnz simpr dvdsval2 syl3anc bitr4d 3bitrd )
    BUACZADCZUBZEUCZFBGHZUOHZAIHZEJABGHZFKLMHZMHZMHZNOZEJZXKKFLMHMHZGHZDCZBAUDU
    EZXCXGXLEXCAXEXIMHZMHZNOZXRNOZAIHZXLXGXAXBXRPCXTYBJXCXEXIXCXEXCFUFCXAXEUFCU
    GXAXBUHFBUIUJUKZXIPCXCKLQRULZSZUMXRAUNUPXCXKXSNXCXHFMHZXIMHAXEMHZXIMHXKXSXC
    YFYGXIMXCABFXBAPCXAAUQURZXABPCXBBUSUTZFPCXCTSZXABVAVGZXBBVBUTZVCVDXCXHFXIXC
    ABYHYIYLVEZYJYEVFXCAXEXIYHYCYEVFVHVIXCXFYAAIXCXFXEXDVJOZMHZNOYAXCXDXEXDPCXC
    VKSXDVAVGXCVLSYCVMYOXRNYNXIXEMVRVNVOVPVDVQVSXCXKPCZXMXPVTXCXHPCXJPCZYPYMFXI
    TYDULZXHXJWAWBXKWCWDXCXPXHDCZXQXCXOXHDXCXOXKXJGHXHXNXJXKGKFLQTRWEVNXCXHXJYM
    YQXCYRSXJVAVGXCFXITYDWFKLQRWGLWHWIWKWJWJSWLWMWNXCBDCZYKXBXQYSVTXAYTXBBWOUTY
    LXAXBWPBAWQWRWSWT $.

  $( Within the ` N ` -th roots of unity, the conjugate of the ` K ` -th root
     is the ` N - K ` -th root.  (Contributed by Mario Carneiro,
     23-Apr-2015.) $)
  root1cj $p |- ( ( N e. NN /\ K e. ZZ ) ->
      ( * ` ( ( -u 1 ^c ( 2 / N ) ) ^ K ) ) =
            ( ( -u 1 ^c ( 2 / N ) ) ^ ( N - K ) ) ) $=
    ( wcel cz c1 c2 cdiv co ccxp cexp cfv cc neg1cn sylancr cc0 wne wceq oveq1d
    cr cabs cn wa cneg cmin ccj 2re simpl nndivre recnd cxpcl a1i neg1ne0 simpr
    cxpne0d nnz expsubd root1id expclzd expne0d syl2anc absexpz syl3anc abscxp2
    adantr recval ax-1cn absnegi abs1 eqtri oveq1i eqtrdi 1cxpd 1exp adantl sq1
    eqtrd 3eqtrd oveq2d cjcld div1d 3eqtrrd ) BUACZADCZUBZEUCZFBGHZIHZBAUDHJHWG
    BJHZWGAJHZGHEWIGHZWIUEKZWDWGBAWDWELCZWFLCWGLCZMWDWFWDFSCWBWFSCZUFWBWCUGFBUH
    NZUIZWEWFUJNZWDWEWFWLWDMUKWEOPWDULUKWPUNZWBWCUMZWBBDCWCBUOVDUPWDWHEWIGWBWHE
    QWCBUQVDRWDWJWKWITKZFJHZGHZWKEGHWKWDWILCWIOPWJXBQWDWGAWQWRWSURZWDWGAWQWRWSU
    SWIVEUTWDXAEWKGWDXAEFJHEWDWTEFJWDWTWGTKZAJHZEAJHZEWDWMWGOPWCWTXEQWQWRWSWGAV
    AVBWDXDEAJWDXDEWFIHZEWDXDWETKZWFIHZXGWDWLWNXDXIQMWOWEWFVCNXHEWFIXHETKEEVFVG
    VHVIVJVKWDWFWPVLVPRWCXFEQWBAVMVNVQRVOVKVRWDWKWDWIXCVSVTVQWA $.

  ${
    $d m n A $.  $d m n B $.  $d m n N $.
    $( Solve an equation involving an ` N ` -th power.  The expression
       ` -u 1 ^c ( 2 / N ) = exp ( 2 _pi _i / N ) ` is a way to write the
       primitive ` N ` -th root of unity with the smallest positive argument.
       (Contributed by Mario Carneiro, 23-Apr-2015.) $)
    cxpeq $p |- ( ( A e. CC /\ N e. NN /\ B e. CC ) -> ( ( A ^ N ) = B <->
      E. n e. ( 0 ... ( N - 1 ) ) A = ( ( B ^c ( 1 / N ) ) x.
        ( ( -u 1 ^c ( 2 / N ) ) ^ n ) ) ) ) $=
      ( cc wcel cexp co wceq c1 cdiv ccxp c2 cmul cc0 cfv syl adantr oveq1d ce
      vm cn w3a cneg cv cmin cfz wrex wi wa cuz simpl2 nnm1nn0 eleqtrdi eluzfz1
      cn0 nn0uz neg1cn 2re simp2 nndivre sylancr recnd cxpcl 0nn0 expcl sylancl
      cr mul02d simprl simprr 0expd 3eqtr3d wne nncn nnne0 reccl recne0 syl2anc
      0cxpd eqtrd 3eqtr4rd oveq2 oveq2d rspceeqv expr ci cpi caddc simpl1 simpr
      clog cz nnzd explog syl3anc eqcomd wb logcld mulcld nnnn0d expcld expne0d
      nncnd eflogeq mpbid ax-icn 2cn picn mulcli zcn adantl mulcl addcld nnne0d
      ad2antrr divmuld fveq2 reccld efadd divdird divrec2d div23d mul12i oveq1i
      cmo syl5eq mul32d 3eqtrd oveq12d cxpefd neg1ne0 cxpcld nn0cnd 1exp eqeq1d
      a1i rexlimdva oveq1 expmuld fveq2d cxpmul2zd oveq2i fveq2i eqtrdi cxpne0d
      logm1 expclzd zmodcld nn0zd expsubd crp zre nnrpd moddifz syl2an2 expmulz
      syl22anc subcld root1id eqtr3d diveq1d 3eqtr4d eflog eqeq12d zmodfz eqcom
      divcan2d 3eqtr3rd syl5bb rspcev ex sylbid syl5 sylbird mpd eqeq2d rexbidv
      syl5ibcom pm2.61dane simp3 nnrecre elfznn0 syl2an mulexpd cxproot mulcomd
      3ad2ant2 elfzelz mulid1d syl5ibrcom impbid ) AEFZDUBFZBEFZUCZADGHZBIZABJD
      KHZLHZJUDZMDKHZLHZCUEZGHZNHZIZCODJUFHZUGHZUHZUWPUWRUXJUIAOUWPAOIZUWRUXJUW
      PUXKUWRUJZUJZOUXIFZAUWTUXCOGHZNHZIUXJUXMUXHOUKPZFUXNUXMUXHUPUXQUXMUWNUXHU
      PFUWMUWNUWOUXLULZDUMQUQUNOUXHUOQUXMOUXONHOUXPAUXMUXOUXMUXCEFZOUPFUXOEFUWP
      UXSUXLUWPUXAEFZUXBEFZUXSURUWPUXBUWPMVHFUWNUXBVHFUSUWMUWNUWOUTZMDVAVBVCZUX
      AUXBVDVBZRVEUXCOVFVGVIUXMUWTOUXONUXMUWTOUWSLHZOUXMBOUWSLUXMUWQODGHBOUXMAO
      DGUWPUXKUWRVJZSUWPUXKUWRVKUXMDUXRVLVMSUXMUWNUYEOIZUXRUWNDEFZDOVNZUYGDVODV
      PUYHUYIUJUWSDVQDVRVTVSQWASUYFWBCOUXIUXFUXPAUXDOIUXEUXOUWTNUXDOUXCGWCWDWEV
      SWFUWPAOVNZUJZAUWQUWSLHZUXENHZIZCUXIUHZUWRUXJUYKDAWLPZNHZUWQWLPZWGMWHNHZN
      HZUAUEZNHZWIHZIZUAWMUHZUYOUYKUYQTPZUWQIZVUEUYKUWQVUFUYKUWMUYJDWMFZUWQVUFI
      UWMUWNUWOUYJWJZUWPUYJWKZUYKDUWMUWNUWOUYJULZWNZADWOWPWQUYKUYQEFUWQEFZUWQOV
      NZVUGVUEWRUYKDUYPUWPUYHUYJUWPDUYBXDRZUYKAVUIVUJWSZWTUYKADVUIUYKDVUKXAXBZU
      YKADVUIVUJVULXCZUYQUWQUAXEWPXFUYKVUDUYOUAWMUYKVUAWMFZUJZVUDVUCDKHZUYPIZUY
      OVUTVUCDUYPVUTUYRVUBUYKUYREFVUSUYKUWQVUQVURWSRZVUTUYTEFZVUAEFZVUBEFWGUYSX
      GMWHXHXIXJXJZVUSVVEUYKVUAXKXLZUYTVUAXMVBZXNUYKUYHVUSVUORZUYKUYPEFVUSVUPRU
      WPUYIUYJVUSUWPDUYBXOXPZXQVVBVVATPZUYPTPZIZVUTUYOVVAUYPTXRVUTVVMUYLUXCVUAD
      YFHZGHZNHZAIZUYOVUTVVKVVPVVLAVUTUWSUYRNHZUXBVUANHZWGWHNHZNHZWIHZTPZVVRTPZ
      VWATPZNHZVVKVVPVUTVVREFVWAEFZVWCVWFIVUTUWSUYRVUTDVVIVVJXSZVVCWTVUTVVSEFVV
      TEFZVWGVUTUXBVUAUWPUYAUYJVUSUYCXPZVVGWTZWGWHXGXIXJZVVSVVTXMVGVVRVWAXTVSVU
      TVVAVWBTVUTVVAUYRDKHZVUBDKHZWIHVWBVUTUYRVUBDVVCVVHVVIVVJYAVUTVWMVVRVWNVWA
      WIVUTUYRDVVCVVIVVJYBVUTVWNUYTDKHZVUANHUXBVVTNHZVUANHVWAVUTUYTVUADVVDVUTVV
      FYQVVGVVIVVJYCVUTVWOVWPVUANVUTVWOMVVTNHZDKHVWPUYTVWQDKWGMWHXGXHXIYDYEVUTM
      VVTDMEFVUTXHYQVWIVUTVWLYQZVVIVVJYCYGSVUTUXBVVTVUAVWJVWRVVGYHYIYJWAUUAVUTU
      YLVWDVVOVWENVUTUWQUWSUYKVUMVUSVUQRUYKVUNVUSVURRVWHYKVUTUXAVVSLHZUXCVUAGHZ
      VWEVVOVUTUXAUXBVUAUXTVUTURYQZUXAOVNZVUTYLYQZVWJUYKVUSWKZUUBVUTVWSVVSUXAWL
      PZNHZTPVWEVUTUXAVVSVXAVXCVWKYKVXFVWATVXEVVTVVSNUUGUUCUUDUUEVUTVWTVVOVUTUX
      CVUAVUTUXAUXBVXAVWJYMZUWPUXCOVNZUYJVUSUWPUXAUXBUXTUWPURYQVXBUWPYLYQUYCUUF
      XPZVXDUUHVUTUXCVVNVXGVUTVUADVXDUYKUWNVUSVUKRZUUIZXBVUTUXCVVNVXGVXIVUTVVNV
      XKUUJZXCVUTUXCVUAVVNUFHZGHZVWTVVOKHJVUTUXCVUAVVNVXGVXIVXLVXDUUKVUTUXCDVXM
      DKHZNHZGHZUXCDGHZVXOGHZVXNJVUTUXSVXHVUHVXOWMFZVXQVXSIVXGVXIVUTDVXJWNVUSVU
      AVHFUYKDUULFVXTVUAUUMVUTDVXJUUNVUADUUOUUPZUXCDVXOUUQUURVUTVXPVXMUXCGVUTVX
      MDVUTVUAVVNVVGVUTVVNVXKYNUUSVVIVVJUVHWDVUTVXSJVXOGHZJVUTVXRJVXOGVUTUWNVXR
      JIZVXJDUUTZQSVUTVXTVYBJIVYAVXOYOQWAVMUVAUVBUVIYJUVCUYKVVLAIZVUSUYKUWMUYJV
      YEVUIVUJAUVDVSRUVEVUTVVNUXIFZVVQUYOUIVUTVUSUWNVYFVXDVXJVUADUVFVSVYFVVQUYO
      UYNVVQCVVNUXIUYNUYMAIUXDVVNIZVVQAUYMUVGVYGUYMVVPAVYGUXEVVOUYLNUXDVVNUXCGW
      CWDYPUVJUVKUVLQUVMUVNUVOYRUVPUWRUYNUXGCUXIUWRUYMUXFAUWRUYLUWTUXENUWQBUWSL
      YSSUVQUVRUVSUVTUWPUXGUWRCUXIUWPUXDUXIFZUJZUWRUXGUXFDGHZBIVYIVYJUWTDGHZUXE
      DGHZNHBJNHBVYIUWTUXEDUWPUWTEFVYHUWPBUWSUWMUWNUWOUWAZUWPUWSUWNUWMUWSVHFUWO
      DUWBUWHVCYMRUWPUXSUXDUPFZUXEEFVYHUYDUXDUXHUWCZUXCUXDVFUWDVYIDUWPUWNVYHUYB
      RZXAZUWEVYIVYKBVYLJNVYIUWOUWNVYKBIUWPUWOVYHVYMRZVYPBDUWFVSVYIVYLVXRUXDGHZ
      JUXDGHZJVYIUXCUXDDNHZGHUXCDUXDNHZGHVYLVYSVYIWUAWUBUXCGVYIUXDDVYIUXDVYHVYN
      UWPVYOXLZYNVYIDVYPXDUWGWDVYIUXCUXDDUWPUXSVYHUYDRZVYQWUCYTVYIUXCDUXDWUDWUC
      VYQYTVMVYIVXRJUXDGVYIUWNVYCVYPVYDQSVYIUXDWMFZVYTJIVYHWUEUWPUXDOUXHUWIXLUX
      DYOQYIYJVYIBVYRUWJYIUXGUWQVYJBAUXFDGYSYPUWKYRUWL $.
  $}

  ${
    $d x y A $.
    $( An upper bound on the logarithm.  (Contributed by Mario Carneiro,
       2-May-2016.)  (Proof shortened by AV, 2-Aug-2021.) $)
    loglesqrt $p |- ( ( A e. RR /\ 0 <_ A ) ->
        ( log ` ( A + 1 ) ) <_ ( sqrt ` A ) ) $=
      ( vx vy cr wcel cc0 cle wbr wa c1 caddc co clog cfv csqrt cmin a1i crp cc
      cmpt cv cdiv c2 cmul 0re simpl cicc cres w3a elicc2 sylancr biimpa simp1d
      ccncf simp2d ge0p1rpd fvresd mpteq2dva ccnfld ctopn crest ccn ctopon eqid
      wb wss cnfldtopon ex ssrdv ax-resscn sstrdi resttopon fmpttd rpssre sstri
      ctx addcn ssid cncfmptid sylancl 1cnd cncfmptc syl3anc cncfmpt2f cncffvrn
      wf mpbird cncfcn eleqtrd relogcn mp2an eleqtri cnmpt11f eleqtrrd eqeltrrd
      wceq crn ctg cpr reelprrecn simpr 1rp rpaddcl relogcld recnd rpreccld cdv
      cioo relogcl adantl rpreccl peano2re sselda dvmptid dvmptc dvmptadd 1p0e1
      0cnd mpteq2i eqtrdi tgioo2 cpnf ioorp iooretop eqeltrri dvmptres relogf1o
      wf1o fveq2 rpcnd eqtrd clt cexp rpred oveq1d mpbid cxr 0xr mp3an1 sylan
      f1of feqmptd fvres mpteq2ia oveq2d dvrelog eqtr3di oveq2 dvmptco ioossicc
      mp1i mulid1d sseli sylan2 eliooord simpld elrpd elrege0 sylanbrc resabs1d
      cico sqrtf feqresmpt resqrtcn rescncf mpisyl sqrtcld 2rp rpsqrtcl rpmulcl
      rpcn dvsqrt 1re resubcl sqge0d sqsqrtd binom2sub1 addsubd 3eqtr4d breqtrd
      syl subge0d lerecd syldan rexr lbicc2 ubicc2 fv0p1e1 log1 fvoveq1 ge0p1rp
      sqrt0 dvle resqrtcl lesub1d ) ADEZFAGHZIZAJKLZMNZAONZGHUWTFPLUXAFPLGHUWRB
      BUAZJKLZMNZJUXCUBLZUXBONZJUCUXFUDLZUBLZFFUWTUXAFAFAFDEZUWRUEQZUWPUWQUFZUW
      RBFAUGLZUXCMRUHZNZTZBUXLUXDTUXLDUNLZUWRBUXLUXNUXDUWRUXBUXLEZIZUXCRMUXRUXB
      UXRUXBDEZFUXBGHZUXBAGHZUWRUXQUXSUXTUYAUIZUWRUXIUWPUXQUYBVEUEUXKFAUXBUJUKU
      LZUMZUXRUXSUXTUYAUYCUOZUPZUQURUWRUXOUSUTNZUXLVALZUYGDVALZVBLZUXPUWRBUXCUX
      MUYHUYGRVALZUYIUXLUWRUYGSVCNEUXLSVFZUYHUXLVCNEUYGUYGVDZVGUWRUXLDSUWRBUXLD
      UWRUXQUXSUYDVHVIVJVKZUXLUYGSVLUKUWRBUXLUXCTZUXLRUNLZUYHUYKVBLZUWRUYOUYPEZ
      UXLRUYOWFZUWRBUXLUXCRUYFVMUWRRSVFZUYOUXLSUNLZEUYRUYSVERDSVNVJVOZUWRBUXBJK
      UYGUXLUYMKUYGUYGVPLUYGVBLEUWRUYGUYMVQQUWRUYLSSVFZBUXLUXBTVUAEUYNSVRZBUXLS
      VSVTUWRJSEUYLVUCBUXLJTVUAEUWRWAZUYNVUCUWRVUDQBJUXLSWBWCWDUXLSRUYOWEUKWGUW
      RUYLUYTUYPUYQWPUYNVUBUXLRUYGUYHUYKUYMUYHVDZUYKVDZWHVTWIUXMUYKUYIVBLZEUWRU
      XMRDUNLZVUHWJUYTDSVFZVUIVUHWPVUBVJRDUYGUYKUYIUYMVUGUYIVDZWHWKWLQWMUWRUYLV
      UJUXPUYJWPUYNVJUXLDUYGUYHUYIUYMVUFVUKWHVTWNWOUWRBUXDUXEDXHWQWRNZUYGRRFAXH
      LZDDSWSEUWRWTQZUWRUXBREZIZUXDVUPUXCVUPVUOJREUXCREUWRVUOXAXBUXBJXCVTZXDXEV
      UPUXCVUQXFZUWRDBRUXDTXGLBRUXEJUDLZTBRUXETUWRBCUXCJCUAZMNZJVUTUBLZDDUXDUXE
      SRRRVUNVUNVUQVUPWAZUWRVUTREZIVVAVVDVVADEUWRVUTXIXJXEVVDVVBREUWRVUTXKXJUWR
      BUXCJDVULUYGSDRVUNUWRUXSIZUXCUXSUXCDEUWRUXBXLXJXEVVEWAZUWRDBDUXCTXGLBDJFK
      LZTBDJTUWRBUXBJJFDSSDVUNUWRDSUXBVUJUWRVJQXMVVFUWRBDVUNXNVVFVVEXRUWRBJDVUN
      VUEXOXPBDVVGJXQXSXTRDVFUWRVNQUYGUYMYAZUYMRVULEUWRFYBXHLRVULYCFYBYDYEQYFUW
      RDUXMXGLDCRVVATZXGLCRVVBTUWRUXMVVIDXGUWRUXMCRVUTUXMNZTVVIUWRCRDUXMRDUXMYH
      RDUXMWFUWRYGRDUXMUUAUUKUUBCRVVJVVAVUTRMUUCUUDXTUUECUUFUUGVUTUXCMYIVUTUXCJ
      UBUUHUUIUWRBRVUSUXEVUPUXEVUPUXEVURYJUULURYKUWRBVUMRUWRUXBVUMEZVUOUWRVVKIU
      XBVVKUWRUXQUXSVUMUXLUXBFAUUJUUMUYDUUNVVKFUXBYLHZUWRVVKVVLUXBAYLHUXBFAUUOU
      UPXJUUQZVHVIZVVHUYMVUMVULEUWRFAYDQZYFUWROFYBUVALZUHZUXLUHZBUXLUXFTZUXPUWR
      VVROUXLUHVVSUWROUXLVVPUWRBUXLVVPUWRUXQUXBVVPEZUXRUXSUXTVVTUYDUYEUXBUURUUS
      VHVIZUUTUWRBSSUXLOSSOWFUWRUVBQUYNUVCYKUWRUXLVVPVFVVQVVPDUNLEVVRUXPEVWAUVD
      VVPDUXLVVQUVEUVFWOUWRBUXFUXHDVULUYGRRVUMVUNVUPUXBVUOUXBSEUWRUXBUVKXJZUVGZ
      VUPUXGVUPUCREUXFREZUXGREUVHVUOVWDUWRUXBUVIXJZUCUXFUVJUKZXFDBRUXFTXGLBRUXH
      TWPUWRBUVLQVVNVVHUYMVVOYFUWRVVKVUOUXEUXHGHZVVMVUPUXGUXCGHZVWGVUPFUXCUXGPL
      ZGHVWHVUPFUXFJPLZUCYMLZVWIGVUPVWJVUPUXFDEJDEVWJDEVUPUXFVWEYNUVMUXFJUVNVTU
      VOVUPUXFUCYMLZUXGPLZJKLZUXBUXGPLZJKLVWKVWIVUPVWMVWOJKVUPVWLUXBUXGPVUPUXBV
      WBUVPYOYOVUPUXFSEVWKVWNWPVWCUXFUVQUWAVUPUXBJUXGVWBVVCVUPUXGVWFYJUVRUVSUVT
      VUPUXCUXGVUPUXCVUQYNVUPUXGVWFYNUWBYPVUPUXGUXCVWFVUQUWCYPUWDUWPAYQEZUWQFUX
      LEZAUWEZFYQEZVWPUWQVWQYRFAUWFYSYTUWPVWPUWQAUXLEZVWRVWSVWPUWQVWTYRFAUWGYSY
      TUWPUWQXAUXBFWPZUXDJMNFMUXBUWHUWIXTVXAUXFFONFUXBFOYIUWLXTUXBAJMKUWJUXBAOY
      IUWMUWRUWTUXAFUWRUWSAUWKXDAUWNUXJUWOWG $.
  $}

  $( Symmetry of the natural logarithm range by negation.  Lemma for ~ logrec .
     (Contributed by Saveliy Skresanov, 27-Dec-2016.) $)
  logreclem $p |- ( ( A e. ran log /\ -. ( Im ` A ) = _pi ) ->
                                                           -u A e. ran log ) $=
    ( wcel cim cpi wceq cneg wo wa cc clt wbr cle adantr cr wi pire biimpd sylc
    syl wb clog crn cfv wn w3a logrncn negcld ellogrn biimpi imcl leneg sylancl
    simp3d renegcli a1i renegcld leloed orcomd orcanai simp2d ltnegcon1 sylancr
    ltle imneg breq2d breq1d anbi12d mpbir2and 3anass sylanbrc sylibr orrd recn
    mpd ex anim12i neg11 eqcom bitrdi orbi1d mpbid ) AUAUBZBZACUCZDEZAFZWBBZWCD
    FZWDFZEZWGGWEWGGWCWJWGWCWJUDZWGWCWKHZWFIBZWHWFCUCZJKZWNDLKZUEZWGWLWMWOWPHZW
    QWLAWCAIBZWKAUFZMZUGWLWRWHWIJKZWIDLKZWCWJXBWCXBWJWCWSWHWILKZXBWJGZWTWCWSWDD
    LKZXDWTWCWSWHWDJKZXFWCWSXGXFUEAUHUIZUMWSWDNBZDNBZXFXDOAUJZPXIXJHXFXDWDDUKQU
    LRWSXDXEWSWHWIWHNBWSDPUNUOWSWDXKUPZUQQRURUSWLWIDJKZXCWCXMWKWCWSXGXMWTWCWSXG
    XFXHUTWSXJXIXGXMOPXKXJXIHXGXMDWDVAQVBRMWCXMXCOZWKWCWSXNWTWSWINBXJXNXLPWIDVC
    ULSMVNWLWOXBWPXCWLWSWOXBTXAWSWNWIWHJAVDZVESWLWSWPXCTXAWSWNWIDLXOVFSVGVHWMWO
    WPVIVJWFUHVKVOVLWCWJWEWGWCDIBZWDIBZHZWJWETWCWSXRWTWSXJXIXRPXKXJXPXIXQDVMWDV
    MVPVBSXRWJDWDEWEDWDVQDWDVRVSSVTWAUS $.

  $( Logarithm of a reciprocal changes sign.  (Contributed by Saveliy
     Skresanov, 28-Dec-2016.) $)
  logrec $p |- ( ( A e. CC /\ A =/= 0 /\ ( Im ` ( log ` A ) ) =/= _pi ) ->
                                      ( log ` A ) = -u ( log ` ( 1 / A ) ) ) $=
    ( cc wcel cc0 wne clog cfv cim cpi ce c1 cdiv co cneg wceq wa eflog syl2anc
    syl crp w3a reccl recne0 eqcomd oveq2d recrec eqtr4d logcld 3eqtr4d 3adant3
    efneg fveq2d logrncl logef wn df-ne wb lognegb biimprd ax-1cn mp3an1 eleq1d
    crn divneg2 sylibd wi negcl negeq0 necon3bid biimpa rpreccl syl5ib syl2an2r
    syld con3d 3impia syl3an3b logreclem stoic3 syld3an3 3eqtr3d ) ABCZADEZAFGZ
    HGZIEZUAZWDJGZFGZKALMZFGZNZJGZFGZWDWLWGWHWMFWBWCWHWMOWFWBWCPZKWJLMZKWKJGZLM
    ZWHWMWOWJWQKLWOWQWJWOWJBCZWJDEZWQWJOAUBZAUCZWJQRUDUEWOWHAWPAQAUFUGWOWKBCWMW
    ROWOWJXAXBUHWKUKSUIUJULWGWDFVCZCZWIWDOWBWCXDWFAUMUJWDUNSWGWLXCCZWNWLOWBWCWF
    WKHGIOZUOZXEWFWBWCWEIOZUOZXGWEIUPWBWCXIXGWOXFXHWOXFANZTCZXHWOXFKXJLMZTCZXKW
    OXFWJNZTCZXMWOXOXFWOWSWTXOXFUQXAXBWJURRUSWOXNXLTKBCWBWCXNXLOUTKAVDVAVBVEWBX
    JBCZWCXJDEZXMXKVFAVGWBWCXQWBADXJDAVHVIVJXMKXLLMZTCXPXQPZXKXLVKXSXRXJTXJUFVB
    VLVMVNAURVEVOVPVQWBWCWKXCCZXGXEWOWSWTXTXAXBWJUMRWKVRVSVTWLUNSWA $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Logarithms to an arbitrary base
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Define "log using an arbitrary base" function and then prove some of its
  properties.  Note that ` logb ` is generalized to an arbitrary base and
  arbitrary parameter in ` CC ` , but it doesn't accept infinities as
  arguments, unlike ` log ` .

  Metamath doesn't care what letters are used to represent classes.  Usually
  classes begin with the letter "A", but here we use "B" and "X"
  to more clearly distinguish between "base" and "other parameter of log".

  There are different ways this could be defined in Metamath.  The approach
  used here is intentionally similar to existing 2-parameter Metamath functions
  (operations): ` ( B logb X ) `  where ` B ` is the base and ` X ` is the
  argument of the logarithm function.  An alternative would be to support the
  notational form ` ( ( logb `` B ) `` X ) `; that looks a little more like
  traditional notation.  Such a function ` ( logb `` B ) ` for a fixed base can
  be obtained in Metamath (without the need for a new definition) by the curry
  function: ` ( curry logb `` B ) ` , see ~ logbmpt , ~ logbf and ~ logbfval .

$)

  $c logb $. $( Logarithm generalized to an arbitrary base. $)

  $( Extend class notation to include the logarithm generalized to an arbitrary
     base. $)
  clogb $a class logb $.

  ${
    $d x y $.
    $( Define the ` logb ` operator.  This is the logarithm generalized to an
       arbitrary base.  It can be used as ` ( B logb X ) ` for "log base B of
       X".  In the most common traditional notation, base B is a subscript of
       "log".  The definition is according to Wikipedia "Complex logarithm":
~ https://en.wikipedia.org/wiki/Complex_logarithm#Logarithms_to_other_bases
       (10-Jun-2020).  (Contributed by David A. Wheeler, 21-Jan-2017.) $)
    df-logb $a |- logb = ( x e. ( CC \ { 0 , 1 } ) , y e. ( CC \ { 0 } ) |->
                         ( ( log ` y ) / ( log ` x ) ) ) $.
  $}

  ${
    $d x y B $.  $d x y X $.
    $( Define the value of the ` logb ` function, the logarithm generalized to
       an arbitrary base, when used as infix.  Most Metamath statements select
       variables in order of their use, but to make the order clearer we use
       "B" for base and "X" for the argument of the logarithm function here.
       (Contributed by David A. Wheeler, 21-Jan-2017.)  (Revised by David A.
       Wheeler, 16-Jul-2017.) $)
    logbval $p |- ( ( B e. ( CC \ { 0 , 1 } ) /\ X e. ( CC \ { 0 } ) )
                    -> ( B logb X ) = ( ( log ` X ) / ( log ` B ) ) ) $=
      ( vx vy cc cc0 c1 cpr cdif csn cv clog cfv cdiv clogb fveq2 oveq2d oveq1d
      co wceq df-logb ovex ovmpo ) CDABEFGHIEFJIDKZLMZCKZLMZNSBLMZALMZNSOUEUINS
      UFATUGUIUENUFALPQUDBTUEUHUINUDBLPRCDUAUHUINUBUC $.
  $}

  $( General logarithm closure.  (Contributed by David A. Wheeler,
     17-Jul-2017.) $)
  logbcl $p |- ( ( B e. ( CC \ { 0 , 1 } ) /\ X e. ( CC \ { 0 } ) )
                 -> ( B logb X ) e. CC ) $=
    ( cc cc0 c1 cpr cdif wcel csn wa clogb co clog cfv cdiv logbval wne eldifsn
    sylbi adantr logcl adantl eldifi eldifpr simp2bi logcld w3a logccne0 divcld
    eqeltrd ) ACDEFZGHZBCDIGHZJZABKLBMNZAMNZOLCABPUNUOUPUMUOCHZULUMBCHBDQJUQBCD
    RBUASUBULUPCHUMULAACUKUCULACHZADQZAEQZACDEUDZUEUFTULUPDQZUMULURUSUTUGVBVAAU
    HSTUIUJ $.

  $( General logarithm is 1 when base and arg match.  Property 1(a) of [Cohen4]
     p. 361.  (Contributed by Stefan O'Rear, 19-Sep-2014.)  (Revised by David
     A. Wheeler, 22-Jul-2017.) $)
  logbid1 $p |- ( ( A e. CC /\ A =/= 0 /\ A =/= 1 ) -> ( A logb A ) = 1 ) $=
    ( cc wcel cc0 wne w3a clogb clog cfv cdiv cpr cdif csn wceq eldifpr biimpri
    c1 co wa 3adant3 eldifsn logbval syl2anc logcl logccne0 dividd eqtrd ) ABCZ
    ADEZAQEZFZAAGRZAHIZUMJRZQUKABDQKLCZABDMLCZULUNNUOUKABDQOPUHUIUPUJUPUHUISABD
    UAPTAAUBUCUKUMUHUIUMBCUJAUDTAUEUFUG $.

  $( The logarithm of ` 1 ` to an arbitrary base ` B ` is 0.  Property 1(b) of
     [Cohen4] p. 361.  See ~ log1 .  (Contributed by Stefan O'Rear,
     19-Sep-2014.)  (Revised by Thierry Arnoux, 27-Sep-2017.) $)
  logb1 $p |- ( ( B e. CC /\ B =/= 0 /\ B =/= 1 ) -> ( B logb 1 ) = 0 ) $=
    ( cc wcel cc0 wne c1 w3a clogb co clog cfv cdiv cpr cdif eldifpr csn ax-1cn
    wceq ax-1ne0 eldifsn mpbir2an logbval mpan2 sylbir log1 oveq1i simp1 logcld
    simp2 logccne0 div0d syl5eq eqtrd ) ABCZADEZAFEZGZAFHIZFJKZAJKZLIZDUQABDFMN
    CZURVARZABDFOVBFBDPNCZVCVDFBCFDEQSFBDTUAAFUBUCUDUQVADUTLIDUSDUTLUEUFUQUTUQA
    UNUOUPUGUNUOUPUIUHAUJUKULUM $.

  $( The general logarithm of a number to the base being Euler's constant is
     the natural logarithm of the number.  Put another way, using ` _e ` as the
     base in ` logb ` is the same as ` log ` .  Definition in [Cohen4] p. 352.
     (Contributed by David A. Wheeler, 17-Oct-2017.)  (Revised by David A.
     Wheeler and AV, 16-Jun-2020.) $)
  elogb $p |- ( A e. ( CC \ { 0 } ) -> ( _e logb A ) = ( log ` A ) ) $=
    ( cc cc0 csn cdif wcel ceu clogb co clog cfv cdiv c1 cpr wceq wne ere recni
    ene0 ene1 eldifpr mpbir3an logbval mpan oveq2i wa eldifsn logcl sylbi div1d
    loge syl5eq eqtrd ) ABCDEFZGAHIZAJKZGJKZLIZUPGBCMNEFZUNUOUROUSGBFGCPGMPGQRS
    TGBCMUAUBGAUCUDUNURUPMLIUPUQMUPLUKUEUNUPUNABFACPUFUPBFABCUGAUHUIUJULUM $.

  $( Change of base for logarithms.  Property in [Cohen4] p. 367.  (Contributed
     by AV, 11-Jun-2020.) $)
  logbchbase $p |- ( ( ( A e. CC /\ A =/= 0 /\ A =/= 1 )
                  /\ ( B e. CC /\ B =/= 0 /\ B =/= 1 ) /\ X e. ( CC \ { 0 } ) )
                     -> ( A logb X ) = ( ( B logb X ) / ( B logb A ) ) ) $=
    ( cc wcel cc0 wne c1 w3a cdif clog cdiv co clogb wceq logcl 3adant3 logbval
    cfv wa csn eldifsn sylbi 3ad2ant3 logccne0 jca 3ad2ant1 divcan7 syl3anc cpr
    3ad2ant2 eldifpr sylanbr 3adant1 biimpri syl2anr oveq12d 3adant2 3eqtr4rd )
    ADEZAFGZAHGZIZBDEZBFGZBHGZIZCDFUAJZEZIZCKSZBKSZLMZAKSZVLLMZLMZVKVNLMZBCNMZB
    ANMZLMACNMZVJVKDEZVNDEZVNFGZTZVLDEZVLFGZTZVPVQOVIVCWAVGVICDECFGTWACDFUBCPUC
    UDVCVGWDVIVCWBWCUTVAWBVBAPQAUEUFUGVGVCWGVIVGWEWFVDVEWEVFBPQBUEUFUKVKVNVLUHU
    IVJVRVMVSVOLVGVIVRVMOZVCVGBDFHUJJZEZVIWHBDFHULZBCRUMUNVCVGVSVOOZVIVGWJAVHEZ
    WLVCWJVGWKUOUTVAWMVBWMUTVATADFUBUOQBARUPQUQVCVIVTVQOZVGVCAWIEVIWNADFHULACRU
    MURUS $.

  $( Value of the general logarithm with integer base.  (Contributed by Thierry
     Arnoux, 27-Sep-2017.) $)
  relogbval $p |- ( ( B e. ( ZZ>= ` 2 ) /\ X e. RR+ )
        -> ( B logb X ) = ( ( log ` X ) / ( log ` B ) ) ) $=
    ( c2 cuz cfv wcel crp wa cc cc0 c1 cpr cdif csn clogb co clog cdiv wceq wne
    w3a zgt1rpn0n1 adantr simp1d rpcnd simp2d simp3d eldifpr syl3anbrc rpcnne0d
    simpr eldifsn sylibr logbval syl2anc ) ACDEFZBGFZHZAIJKLMFZBIJNMFZABOPBQEAQ
    ERPSURAIFAJTZAKTZUSURAURAGFZVAVBUPVCVAVBUAUQAUBUCZUDUEURVCVAVBVDUFURVCVAVBV
    DUGAIJKUHUIURBIFBJTHUTURBUPUQUKUJBIJULUMABUNUO $.

  $( Closure of the general logarithm with a positive real base on positive
     reals.  (Contributed by Stefan O'Rear, 19-Sep-2014.)  (Revised by Thierry
     Arnoux, 27-Sep-2017.) $)
  relogbcl $p |- ( ( B e. RR+ /\ X e. RR+ /\ B =/= 1 )
              -> ( B logb X ) e. RR ) $=
    ( crp wcel c1 wne w3a clogb co clog cfv cdiv cr cc cc0 cdif rpcnne0d sylibr
    wa relogcl cpr csn wceq simp1 simp3 df-3an sylanbrc eldifpr eldifsn logbval
    simp2 syl2anc 3ad2ant2 3ad2ant1 logne0 3adant2 redivcld eqeltrd ) ACDZBCDZA
    EFZGZABHIZBJKZAJKZLIZMVBANOEUAPDZBNOUBPDZVCVFUCVBANDZAOFZVAGZVGVBVIVJSVAVKV
    BAUSUTVAUDQUSUTVAUEVIVJVAUFUGANOEUHRVBBNDBOFSVHVBBUSUTVAUKQBNOUIRABUJULVBVD
    VEUTUSVDMDVABTUMUSUTVEMDVAATUNUSVAVEOFUTAUOUPUQUR $.

  $( Closure of the general logarithm with integer base on positive reals.
     (Contributed by Thierry Arnoux, 27-Sep-2017.)  (Proof shortened by AV,
     9-Jun-2020.) $)
  relogbzcl $p |- ( ( B e. ( ZZ>= ` 2 ) /\ X e. RR+ )
                    -> ( B logb X ) e. RR ) $=
    ( c2 cuz cfv wcel crp clogb co cr cc0 wne c1 w3a zgt1rpn0n1 relogbcl 3com23
    wi 3expia 3adant2 syl imp ) ACDEFZBGFZABHIJFZUCAGFZAKLZAMLZNUDUERZAOUFUHUIU
    GUFUHUDUEUFUDUHUEABPQSTUAUB $.

  $( Power law for the general logarithm for real powers:  The logarithm of a
     positive real number to the power of a real number is equal to the product
     of the exponent and the logarithm of the base of the power.  Property 4 of
     [Cohen4] p. 361.  (Contributed by AV, 9-Jun-2020.) $)
  relogbreexp $p |- ( ( B e. ( CC \ { 0 , 1 } ) /\ C e. RR+ /\ E e. RR )
                      -> ( B logb ( C ^c E ) ) = ( E x. ( B logb C ) ) ) $=
    ( cc cc0 c1 cdif wcel w3a co clog cfv cdiv cmul clogb 3adant1 wne wa logcld
    wceq cpr crp cr ccxp logcxp oveq1d recn 3ad2ant3 rpcn rpne0 3ad2ant2 eldifi
    eldifpr simp2bi logccne0 sylbi jca 3ad2ant1 divass syl3anc eqtrd csn adantr
    simp1 adantl cxpcld cxpne0d eldifsn sylanbrc logbval syl2anc anim2i 3adant3
    rpcndif0 syl oveq2d 3eqtr4d ) ADEFUAZGHZBUBHZCUCHZIZBCUDJZKLZAKLZMJZCBKLZWE
    MJZNJZAWCOJZCABOJZNJWBWFCWGNJZWEMJZWIWBWDWLWEMVTWAWDWLTVSBCUEPUFWBCDHZWGDHZ
    WEDHZWEEQZRZWMWITWAVSWNVTCUGZUHVTVSWOWAVTBBUIZBUJZSUKVSVTWRWAVSWPWQVSAADVRU
    LVSADHZAEQZAFQZADEFUMZUNSVSXBXCXDIWQXEAUOUPUQURCWGWEUSUTVAWBVSWCDEVBGZHZWJW
    FTVSVTWAVDVTWAXGVSVTWARZWCDHWCEQXGXHBCVTBDHWAWTVCZWAWNVTWSVEZVFXHBCXIVTBEQW
    AXAVCXJVGWCDEVHVIPAWCVJVKWBWKWHCNWBVSBXFHZRZWKWHTVSVTXLWAVTXKVSBVNVLVMABVJV
    OVPVQ $.

  $( Power law for the general logarithm for integer powers:  The logarithm of
     a positive real number to the power of an integer is equal to the product
     of the exponent and the logarithm of the base of the power.  (Contributed
     by Stefan O'Rear, 19-Sep-2014.)  (Revised by AV, 9-Jun-2020.) $)
  relogbzexp $p |- ( ( B e. ( CC \ { 0 , 1 } ) /\ C e. RR+ /\ N e. ZZ )
                     -> ( B logb ( C ^ N ) ) = ( N x. ( B logb C ) ) ) $=
    ( cc cc0 c1 cpr cdif wcel crp cz w3a cexp co clogb ccxp cmul wceq wa adantr
    rpcn wne rpne0 simpr cxpexpzd 3adant1 eqcomd oveq2d zre relogbreexp syl3an3
    cr eqtrd ) ADEFGHIZBJIZCKIZLZABCMNZONABCPNZONZCABONQNZUQURUSAOUQUSURUOUPUSU
    RRUNUOUPSBCUOBDIUPBUATUOBEUBUPBUCTUOUPUDUEUFUGUHUPUNUOCULIUTVARCUIABCUJUKUM
    $.

  $( The logarithm of the product of two positive real numbers is the sum of
     logarithms.  Property 2 of [Cohen4] p. 361.  (Contributed by Stefan
     O'Rear, 19-Sep-2014.)  (Revised by AV, 29-May-2020.) $)
  relogbmul $p |- ( ( B e. ( CC \ { 0 , 1 } ) /\ ( A e. RR+ /\ C e. RR+ ) )
                -> ( B logb ( A x. C ) ) = ( ( B logb A ) + ( B logb C ) ) ) $=
    ( cc cc0 c1 wcel wa co clog cfv cdiv caddc clogb wceq adantl adantr logbval
    wne sylan2 cpr cdif crp cmul relogmul oveq1d relogcl recnd w3a 3simpa sylbi
    eldifpr logcl syl logccne0 jca divdir syl2an23an eqtrd csn rpcn mulcl rpne0
    syl2an mulne0d eldifsn sylanbrc rpcndif0 oveq12d 3eqtr4d ) BDEFUAUBGZAUCGZC
    UCGZHZHZACUDIZJKZBJKZLIZAJKZVRLIZCJKZVRLIZMIZBVPNIZBANIZBCNIZMIVOVSVTWBMIZV
    RLIZWDVOVQWHVRLVNVQWHOVKACUEPUFVNVTDGZWBDGZVKVRDGZVRESZHZWIWDOVLWJVMVLVTAUG
    UHQVMWKVLVMWBCUGUHPVKWNVNVKWLWMVKBDGZBESZHZWLVKWOWPBFSZUIZWQBDEFULZWOWPWRUJ
    UKBUMUNVKWSWMWTBUOUKUPQVTWBVRUQURUSVNVKVPDEUTUBZGZWEVSOVNVPDGZVPESXBVLADGZC
    DGZXCVMAVAZCVAZACVBVDVNACVLXDVMXFQVMXEVLXGPVLAESVMAVCQVMCESVLCVCPVEVPDEVFVG
    BVPRTVOWFWAWGWCMVNVKAXAGZWFWAOVLXHVMAVHQBARTVNVKCXAGZWGWCOVMXIVLCVHPBCRTVIV
    J $.

  $( The logarithm of the product of a positive real and a positive real number
     to the power of a real number is the sum of the logarithm of the first
     real number and the scaled logarithm of the second real number.
     (Contributed by AV, 29-May-2020.) $)
  relogbmulexp $p |- ( ( B e. ( CC \ { 0 , 1 } )
                      /\ ( A e. RR+ /\ C e. RR+ /\ E e. RR ) )
                    -> ( B logb ( A x. ( C ^c E ) ) )
                       = ( ( B logb A ) + ( E x. ( B logb C ) ) ) ) $=
    ( cc cc0 c1 cpr cdif wcel crp cr w3a wa ccxp co cmul clogb caddc wceq simp1
    rpcxpcl 3adant1 jca relogbmul sylan2 relogbreexp 3adant3r1 oveq2d eqtrd ) B
    EFGHIJZAKJZCKJZDLJZMZNZBACDOPZQPRPZBARPZBUQRPZSPZUSDBCRPQPZSPUOUKULUQKJZNUR
    VATUOULVCULUMUNUAUMUNVCULCDUBUCUDABUQUEUFUPUTVBUSSUKUMUNUTVBTULBCDUGUHUIUJ
    $.

  $( The logarithm of the quotient of two positive real numbers is the
     difference of logarithms.  Property 3 of [Cohen4] p. 361.  (Contributed by
     AV, 29-May-2020.) $)
  relogbdiv $p |- ( ( B e. ( CC \ { 0 , 1 } ) /\ ( A e. RR+ /\ C e. RR+ ) )
                 -> ( B logb ( A / C ) ) = ( ( B logb A ) - ( B logb C ) ) ) $=
    ( cc cc0 c1 cdif wcel crp wa cneg ccxp co cmul clogb caddc cdiv wceq adantl
    oveq2d cpr cmin cr neg1rr relogbmulexp mp3anr3 rpcn adantr wne divrecd 1cnd
    rpne0 cxpnegd cxp1d eqtrd eqtr4d csn logbcl sylan2 mulm1 syl negsubd eqtr2d
    rpcndif0 3eqtr4d ) BDEFUAGHZAIHZCIHZJZJZBACFKZLMZNMZOMZBAOMZVKBCOMZNMZPMZBA
    CQMZOMVOVPUBMZVFVGVHVKUCHVNVRRUDABCVKUEUFVJVSVMBOVIVSVMRVFVIVSAFCQMZNMVMVIA
    CVGADHVHAUGUHVHCDHVGCUGZSVHCEUIVGCULZSUJVIVLWAANVHVLWARVGVHVLFCFLMZQMWAVHCF
    WBWCVHUKUMVHWDCFQVHCWBUNTUOSTUPSTVJVRVOVPKZPMZVTVJVPDHZVRWFRVIVFCDEUQGZHZWG
    VHWIVGCVDSBCURUSZWGVQWEVOPVPUTTVAVJVOVPVIVFAWHHZVODHVGWKVHAVDUHBAURUSWJVBVC
    VE $.

  $( Identity law for general logarithm: the logarithm of a power to the base
     is the exponent.  Property 6 of [Cohen4] p. 361.  (Contributed by Stefan
     O'Rear, 19-Sep-2014.)  (Revised by AV, 9-Jun-2020.) $)
  relogbexp $p |- ( ( B e. RR+ /\ B =/= 1 /\ M e. ZZ )
                    -> ( B logb ( B ^ M ) ) = M ) $=
    ( crp wcel c1 wne cz w3a cexp co clogb cmul cc cc0 cdif wceq wa rpcn adantr
    cpr rpne0 3jca eldifpr sylibr relogbzexp stoic4a 3adant3 logbid1 syl oveq2d
    simpr zcn 3ad2ant3 mulid1d 3eqtrd ) ACDZAEFZBGDZHZAABIJKJZBAAKJZLJZBELJBUPU
    QAMNETODZURUTVBPUPUQQZAMDZANFZUQHZVCVDVEVFUQUPVEUQARSUPVFUQAUASUPUQUKUBZAMN
    EUCUDAABUEUFUSVAEBLUSVGVAEPUPUQVGURVHUGAUHUIUJUSBURUPBMDUQBULUMUNUO $.

  $( Identity law for general logarithm with integer base.  (Contributed by
     Stefan O'Rear, 19-Sep-2014.)  (Revised by Thierry Arnoux, 27-Sep-2017.) $)
  nnlogbexp $p |- ( ( B e. ( ZZ>= ` 2 ) /\ M e. ZZ ) ->
    ( B logb ( B ^ M ) ) = M ) $=
    ( cfv wcel wa cexp co clogb wceq cc0 c1 cc wne adantr oveq2d clog cdiv cdif
    simpr syl2anc c2 cuz cz crp w3a zgt1rpn0n1 simp1d rpcnd simp2d simp3d logb1
    syl3anc exp0d eqtrd 3eqtr4d cmul cpr csn eldifpr syl3anbrc rpexpcld eldifsn
    rpcnne0d sylibr logbval ccxp cr logcxpd cxpexpzd fveq2d eqtr3d oveq1d recnd
    zred logcld logne0 divcan4d 3eqtr2d pm2.61dane ) AUAUBCDZBUCDZEZAABFGZHGZBI
    BJWBBJIZEZAKHGZJWDBWFALDZAJMZAKMZWGJIWBWHWEWBAWBAUDDZWIWJVTWKWIWJUEWAAUFNZU
    GZUHZNZWBWIWEWBWKWIWJWLUIZNWBWJWEWBWKWIWJWLUJZNAUKULWFWCKAHWFWCAJFGKWFBJAFW
    BWESZOWFAWOUMUNOWRUOWBBJMZEZWDWCPCZAPCZQGZBXBUPGZXBQGBWTALJKUQRDZWCLJURRDZW
    DXCIWTWHWIWJXEWBWHWSWNNZWBWIWSWPNZWBWJWSWQNZALJKUSUTWTWCLDWCJMEXFWTWCWTABWB
    WKWSWMNZWBWAWSVTWASZNZVAVCWCLJVBVDAWCVETWTXDXAXBQWTABVFGZPCXDXAWTABXJWBBVGD
    WSWBBXKVNNZVHWTXMWCPWTABXGXHXLVIVJVKVLWTBXBWTBXNVMWTAXGXHVOWTWKWJXBJMXJXIAV
    PTVQVRVS $.

  $( Logarithm of a reciprocal changes sign.  See ~ logrec .  Particular case
     of Property 3 of [Cohen4] p. 361.  (Contributed by Thierry Arnoux,
     27-Sep-2017.) $)
  logbrec $p |- ( ( B e. ( ZZ>= ` 2 ) /\ A e. RR+ ) ->
    ( B logb ( 1 / A ) ) = -u ( B logb A ) ) $=
    ( c2 cfv wcel crp c1 cdiv co clog cneg wceq relogbval logcld cc0 wne adantr
    clogb relogcld cpi cuz simpr rpreccld syldan negeqd rpcnd rpne0d zgt1rpn0n1
    wa simp1d recnd simp3d logne0 syl2anc divnegd reccld recne0d cim reim0d 0re
    cc pipos gtneii necomd eqnetrd logrec eqcomd negcon1ad oveq1d 3eqtrd eqtr4d
    a1i syl3anc ) BCUADEZAFEZUIZBGAHIZRIZVQJDZBJDZHIZBARIZKZVNVOVQFEVRWALVPAVNV
    OUBZUCBVQMUDVPWCAJDZVTHIZKWEKZVTHIWAVPWBWFBAMUEVPWEVTVPAVPAWDUFZVPAWDUGZNVP
    VTVPBVNBFEZVOVNWJBOPZBGPZBUHZUJQZSUKVPWJWLVTOPWNVNWLVOVNWJWKWLWMULQBUMUNUOV
    PWGVSVTHVPVSWEVPVQVPAWHWIUPVPAWHWIUQNVPWEVSKZVPAVAEAOPWEURDZTPWEWOLWHWIVPWP
    OTVPWEVPAWDSUSVPTOTOPVPOTUTVBVCVLVDVEAVFVMVGVHVIVJVK $.

  $( The general logarithm function is monotone/increasing.  See ~ logleb .
     (Contributed by Stefan O'Rear, 19-Oct-2014.)  (Revised by AV,
     31-May-2020.) $)
  logbleb $p |- ( ( B e. ( ZZ>= ` 2 ) /\ X e. RR+ /\ Y e. RR+ )
                  -> ( X <_ Y <-> ( B logb X ) <_ ( B logb Y ) ) ) $=
    ( c2 cuz cfv wcel crp w3a clog cle wbr cdiv co clogb simp2 relogcld c1 wceq
    relogbval simp3 cr eluzelre 3ad2ant1 cz caddc clt 1z simp1 fveq2i eleqtrrdi
    eluzp1l sylancr rplogcld lediv1d wb 3adant1 3adant3 3adant2 breq12d 3bitr4d
    1p1e2 logleb ) ADEFZGZBHGZCHGZIZBJFZCJFZKLZVIAJFZMNZVJVLMNZKLBCKLZABONZACON
    ZKLVHVIVJVLVHBVEVFVGPQVHCVEVFVGUAQVHAVEVFAUBGVGDAUCUDVHRUEGARRUFNZEFZGRAUGL
    UHVHAVDVSVEVFVGUIVRDEVBUJUKRAULUMUNUOVFVGVOVKUPVEBCVCUQVHVPVMVQVNKVEVFVPVMS
    VGABTURVEVGVQVNSVFACTUSUTVA $.

  $( The general logarithm function is strictly monotone/increasing.  Property
     2 of [Cohen4] p. 377.  See ~ logltb .  (Contributed by Stefan O'Rear,
     19-Oct-2014.)  (Revised by Thierry Arnoux, 27-Sep-2017.) $)
  logblt $p |- ( ( B e. ( ZZ>= ` 2 ) /\ X e. RR+ /\ Y e. RR+ ) ->
    ( X < Y <-> ( B logb X ) < ( B logb Y ) ) ) $=
    ( c2 cuz cfv wcel crp w3a clog clt cdiv co clogb relogcld cz wceq relogbval
    wbr c1 simp2 simp3 simp1 eluzelz syl zred caddc 1z fveq2i eleqtrrdi eluzp1l
    sylancr rplogcld ltdiv1d wb logltb 3adant1 3adant3 3adant2 breq12d 3bitr4d
    1p1e2 ) ADEFZGZBHGZCHGZIZBJFZCJFZKSZVHAJFZLMZVIVKLMZKSBCKSZABNMZACNMZKSVGVH
    VIVKVGBVDVEVFUAOVGCVDVEVFUBOVGAVGAVGVDAPGVDVEVFUCZDAUDUEUFVGTPGATTUGMZEFZGT
    AKSUHVGAVCVSVQVRDEVBUIUJTAUKULUMUNVEVFVNVJUOVDBCUPUQVGVOVLVPVMKVDVEVOVLQVFA
    BRURVDVFVPVMQVEACRUSUTVA $.

  $( Identity law for the general logarithm for real numbers.  (Contributed by
     AV, 22-May-2020.) $)
  relogbcxp $p |- ( ( B e. ( RR+ \ { 1 } ) /\ X e. RR )
                    -> ( B logb ( B ^c X ) ) = X ) $=
    ( crp c1 csn cdif wcel wa co clog cfv cdiv cc cc0 wceq eldifsn adantr sylbi
    wne syl ccxp clogb cmul cpr rpcn rpne0 simpr eldifpr syl3anbrc eldifi cxpcl
    cr recn syl2an adantl cxpne0d sylanbrc logbval syl2an2r logcxp sylan oveq1d
    wn eldif rpcnne0 logcl logne0 divcan4d 3eqtrd ) ACDEZFGZBULGZHZAABUAIZUBIZV
    NJKZAJKZLIZBVQUCIZVQLIBVKAMNDUDFGZVLVNMNEFGZVOVROVKACGZADSZHZVTACDPZWDAMGZA
    NSZWCVTWBWFWCAUEZQWBWGWCAUFQZWBWCUGAMNDUHUIRVMVNMGZVNNSWAVKWFBMGZWJVLVKWBWF
    ACVJUJZWHTZBUMZABUKUNVMABVKWFVLWMQVKWGVLVKWDWGWEWIRQVLWKVKWNUOZUPVNMNPUQAVN
    URUSVMVPVSVQLVKWBVLVPVSOWLABUTVAVBVMBVQWOVKVQMGZVLVKWFWGHZWPVKWBAVJGVCZHWQA
    CVJVDWBWQWRAVEQRAVFTQVKVQNSZVLVKWDWSWEAVGRQVHVI $.

  $( Identity law for the general logarithm.  (Contributed by AV,
     22-May-2020.) $)
  cxplogb $p |- ( ( B e. ( CC \ { 0 , 1 } ) /\ X e. ( CC \ { 0 } ) )
                 -> ( B ^c ( B logb X ) ) = X ) $=
    ( cc cc0 c1 cdif wcel wa co ccxp clog cfv ce adantr wne wn adantl sylbi syl
    wceq cpr csn clogb cdiv cmul logbval oveq2d eldifi eldif prid1 eleq1 mpbiri
    c0ex necon3bi snid anim2i w3a eldifpr biimpi logccne0 divcld cxpefd eldifsn
    logcl divcan1d fveq2d eflog eqtrd 3eqtrd ) ACDEUAZFGZBCDUBZFGZHZAABUCIZJIAB
    KLZAKLZUDIZJIVRVQUEIZMLZBVNVOVRAJABUFUGVNAVRVKACGZVMACVJUHNVKADOZVMVKWAAVJG
    ZPZHZWBACVJUIZWDWBWAWCADADTWCDVJGDEUMUJADVJUKULUNZQRNVNVPVQVMVPCGZVKVMBCGZB
    DOZHZWHVMWIBVLGZPZHWKBCVLUIWMWJWIWLBDBDTWLDVLGDUMUOBDVLUKULUNUPRBVDZSQVKVQC
    GZVMVKWAWBHZWOVKWEWPWFWDWBWAWGUPRAVDSNZVNWAWBAEOUQZVQDOZVKWRVMVKWRACDEURZUS
    NAUTZSVAVBVNVTVPMLZBVNVSVPMVNVPVQVMWHVKVMWKWHBCDVCZWNRQWQVKWSVMVKWRWSWTXARN
    VEVFVMXBBTZVKVMWKXDXCBVGRQVHVI $.

  $( The logarithm is the inverse of the exponentiation.  Observation in
     [Cohen4] p. 348.  (Contributed by AV, 11-Jun-2020.) $)
  relogbcxpb $p |- ( ( ( B e. RR+ /\ B =/= 1 ) /\ X e. RR+ /\ Y e. RR )
                     -> ( ( B logb X ) = Y <-> ( B ^c Y ) = X ) ) $=
    ( crp wcel c1 wne wa clogb co wceq ccxp oveq2 eqcoms cc cc0 cdif csn adantr
    syl w3a rpcn rpne0 simpr eldifpr syl3anbrc rpcndif0 anim12i 3adant3 cxplogb
    cr cpr sylan9eqr eldifsn biimpri anim1i 3adant2 relogbcxp impbida ) ADEZAFG
    ZHZBDEZCUKEZUAZABIJZCKZACLJZBKZVGVEVHAVFLJZBVHVJKCVFCVFALMNVEAOPFULQEZBOPRQ
    EZHZVJBKVBVCVMVDVBVKVCVLVBAOEZAPGZVAVKUTVNVAAUBSUTVOVAAUCSUTVAUDAOPFUEUFBUG
    UHUIABUJTUMVIVEVFAVHIJZCVFVPKBVHBVHAIMNVEADFRQEZVDHZVPCKVBVDVRVCVBVQVDVQVBA
    DFUNUOUPUQACURTUMUS $.

  ${
    $d B x y $.
    $( The general logarithm to a fixed base regarded as mapping.  (Contributed
       by AV, 11-Jun-2020.) $)
    logbmpt $p |- ( ( B e. CC /\ B =/= 0 /\ B =/= 1 )
             -> ( curry logb ` B ) = ( y e. ( CC \ { 0 } )
                                       |-> ( ( log ` y ) / ( log ` B ) ) ) ) $=
      ( vx cc wcel cc0 wne c1 clogb cfv cdif cv clog cdiv csb cmpt cvv wceq a1i
      co w3a ccur csn df-logb wa ovexd ralrimivva c0 wn ax-1cn ax-1ne0 wb elsng
      cpr ax-mp nemtbir eldif mpbir2an cnex difexi eldifpr biimpri mpocurryvald
      ne0ii csbov2g csbfv oveq2d eqtrd 3ad2ant1 mpteq2dv ) BDEZBFGZBHGZUAZBIUBJ
      ADFUCZKZCBALZMJZCLZMJZNTZOZPAVPVRBMJZNTZPVNCABWAIQQDFHUNKZVPCAUDVNWAQECAW
      EVPVNVSWEEVQVPEUEUEVRVTNUFUGVPUHGVNHVPHVPEHDEZHVOEZUIUJWGHFUKWFWGHFRULUJH
      FDUMUOUPHDVOUQURVDSVPQEVNDVOUSUTSBWEEVNBDFHVAVBVCVNAVPWBWDVKVLWBWDRVMVKWB
      VRCBVTOZNTWDCBVRVTNDVEVKWHWCVRNWHWCRVKCBMVFSVGVHVIVJVH $.

    $( The general logarithm to a fixed base regarded as function.
       (Contributed by AV, 11-Jun-2020.) $)
    logbf $p |- ( ( B e. CC /\ B =/= 0 /\ B =/= 1 )
                  -> ( curry logb ` B ) : ( CC \ { 0 } ) --> CC ) $=
      ( vy cc wcel cc0 wne c1 w3a csn cdif cv clog cfv cdiv co clogb ccur logcl
      wa adantr logbmpt eldifsn sylbi adantl 3adant3 logccne0 divcld fmpt3d ) A
      CDZAEFZAGFZHZBCEIJZBKZLMZALMZNOCAPQMBAUAULUNUMDZSUOUPUQUOCDZULUQUNCDUNEFS
      URUNCEUBUNRUCUDULUPCDZUQUIUJUSUKARUETULUPEFUQAUFTUGUH $.

    $d X x y $.
    $( The general logarithm of a complex number to a fixed base.  (Contributed
       by AV, 11-Jun-2020.) $)
    logbfval $p |- ( ( ( B e. CC /\ B =/= 0 /\ B =/= 1 )
                       /\ X e. ( CC \ { 0 } ) )
                     -> ( ( curry logb ` B ) ` X ) = ( B logb X ) ) $=
      ( vx vy cc wcel cc0 wne c1 w3a csn cdif wa cv clog cfv cdiv co clogb cvv
      cpr df-logb ovexd ralrimivva cnex difexg mp1i eldifpr biimpri fvmpocurryd
      adantr simpr ) AEFAGHAIHJZBEGKZLZFZMZCDABDNZOPZCNZOPZQRZSTTEGIUALZUOCDUBU
      QVBTFCDVCUOUQUTVCFURUOFMMUSVAQUCUDETFUOTFUQUEEUNTUFUGUMAVCFZUPVDUMAEGIUHU
      IUKUMUPULUJ $.

    $( The general logarithm to a real base greater than 1 regarded as function
       restricted to the positive integers.  Property in [Cohen4] p. 349.
       (Contributed by AV, 12-Jun-2020.) $)
    relogbf $p |- ( ( B e. RR+ /\ 1 < B )
                  -> ( ( curry logb ` B ) |` RR+ ) : RR+ --> RR ) $=
      ( vx crp wcel c1 clt wbr wa cr clogb cfv wf cdm wral cc0 wceq clog adantr
      cc syl ccur cres cv csn cdif rpcndif0 adantl cdiv cmpt wne w3a rpcn rpne0
      co wo animorr rpre 1red lttri2 syl2an mpbird 3jca logbmpt dmeqd cvv ovexd
      wb ralrimiva dmmptg eqtrd eleqtrrd logbfval simpll simpr relogbcl eqeltrd
      jca wfun logbf ffun ffvresb 3syl ) ACDZEAFGZHZCIAJUAKZCUBLZBUCZWFMZDZWHWF
      KZIDZHZBCNZWEWMBCWEWHCDZHZWJWLWPWHSOUDUEZWIWOWHWQDZWEWHUFZUGWEWIWQPWOWEWI
      BWQWHQKZAQKZUHUNZUIZMZWQWEWFXCWEASDZAOUJZAEUJZUKZWFXCPWEXEXFXGWCXEWDAULRW
      CXFWDAUMRWEXGAEFGZWDUOZWCWDXIUPWCAIDEIDXGXJVGWDAUQWDURAEUSUTVAZVBZBAVCTVD
      WEXBVEDZBWQNXDWQPWEXMBWQWEWRHWTXAUHVFVHBWQXBVEVITVJRVKWPWKAWHJUNZIWEXHWRW
      KXNPWOXLWSAWHVLUTWPWCWOXGUKXNIDWPWCWOXGWCWDWOVMWEWOVNWEXGWOXKRVBAWHVOTVPV
      QVHWEWQSWFLZWFVRWGWNVGWEXHXOXLAVSTWQSWFVTBCIWFWAWBVA $.

    $( The general logarithm to the base being Euler's constant regarded as
       function is the natural logarithm.  (Contributed by AV, 12-Jun-2020.) $)
    logblog $p |- ( curry logb ` _e ) = log $=
      ( vy cc cc0 csn cdif cv clog cfv ceu cdiv co cmpt clogb ccur wcel c1 wceq
      loge a1i wne oveq2d wa eldifsn logcl sylbi div1d eqtrd mpteq2ia ere recni
      ene0 ene1 logbmpt mp3an wfn wf1o logf1o f1ofn ax-mp dffn5 mpbi 3eqtr4i
      crn ) ABCDEZAFZGHZIGHZJKZLZAVDVFLZIMNHZGAVDVHVFVEVDOZVHVFPJKVFVLVGPVFJVGP
      QVLRSUAVLVFVLVEBOVECTUBVFBOVEBCUCVEUDUEUFUGUHIBOICTIPTVKVIQIUIUJUKULAIUMU
      NGVDUOZGVJQVDGVCZGUPVMUQVDVNGURUSAVDGUTVAVB $.
  $}

  $( The logarithm of a positive real number to a real base greater than 1 is
     positive iff the number is greater than 1.  (Contributed by AV,
     29-Dec-2022.) $)
  logbgt0b $p |- ( ( A e. RR+ /\ ( B e. RR+ /\ 1 < B ) )
                   -> ( 0 < ( B logb A ) <-> 1 < A ) ) $=
    ( crp wcel c1 clt wbr wa cc0 co clog cfv cc wne adantr cr wb relogcl adantl
    cdif clogb cdiv cpr csn wceq rpcn rpne0 1red ltne eldifpr syl3anbrc logbval
    sylan rpcndif0 syl2anr breq2d loggt0b biimpar gt0div syl3anc 3bitr2d ) ACDZ
    BCDZEBFGZHZHZIBAUAJZFGIAKLZBKLZUBJZFGZIVHFGZEAFGZVFVGVJIFVEBMIEUCTDZAMIUDTD
    VGVJUEVBVEBMDZBINZBENZVNVCVOVDBUFOVCVPVDBUGOVCEPDVDVQVCUHEBUIUMBMIEUJUKAUNB
    AULUOUPVFVHPDZVIPDZIVIFGZVLVKQVBVRVEAROVEVSVBVCVSVDBROSVEVTVBVCVTVDBUQURSVH
    VIUSUTVBVLVMQVEAUQOVA $.

  ${
    $d B m n $.  $d X m n $.
    $( The logarithm of an integer greater than 1 to an integer base greater
       than 1 is an irrational number if the argument and the base are
       relatively prime.  For example, ` ( 2 logb 9 ) e. ( RR \ QQ ) ` (see
       ~ 2logb9irr ).  (Contributed by AV, 29-Dec-2022.) $)
    logbgcd1irr $p |- ( ( X e. ( ZZ>= ` 2 ) /\ B e. ( ZZ>= ` 2 )
                          /\ ( X gcd B ) = 1 )
                        -> ( B logb X ) e. ( RR \ QQ ) ) $=
      ( vm vn c2 wcel cgcd co c1 wceq w3a cn syl wa cc0 adantr adantl ccxp cc
      wi cuz cfv clogb cr cq crp eluz2nn 3ad2ant2 3ad2ant1 eluz2b3 simprbi 3jca
      wne nnrpd relogbcl wn cdiv wrex clt wbr eluz2gt1 logbgt0b syl12anc mpbird
      cv wb anim1ci elpq oveq2 eqcoms cpr cdif csn eluzelcn nnne0 nelprd eldifd
      nelsn 3syl cxplogb syl2anc sylan9eqr cexp oveq1 cmul cn0 nncn divcl nnnn0
      ex cxpmul2 eqcomd divcan1 oveq2d cz cxpexpzd eqtrd eqeq1d simpr syl2an3an
      nnz rplpwr eluzelz simpl rpexp cabs gcdid eluzelre nn0ge0 absidd eqneqall
      cle syl5com sylbid com23 syld ax-1 pm2.61d1 syl5 rexlimdvva con2d 3impia
      ) BEUAUBZFZAYCFZBAGHIJZKZABUCHZUDUEYGAUFFZBUFFZAIUMZKYHUDFYGYIYJYKYEYDYIY
      FYEAAUGZUNUHYDYEYJYFYDBBUGZUNUIYEYDYKYFYEALFZYKAUJUKZUHULABUOMYDYEYFYHUEF
      ZUPYDYENZYPYFYQYPYHCVEZDVEZUQHZJZDLURCLURZYFUPZYQYPUUBYQYPNYPOYHUSUTZNUUB
      YQUUDYPYQUUDIBUSUTZYDUUEYEBVAPYQYJYIIAUSUTZUUDUUEVFYQBYDBLFZYEYMPZUNYQAYE
      YNYDYLQZUNYEUUFYDAVAQBAVBVCVDVGCDYHVHMWJYQUUAUUCCDLLYQYRLFZYSLFZNZNZUUAAY
      TRHZBJZUUCUUMUUAUUOUUAUUMUUNAYHRHZBUUNUUPJYTYHYTYHARVIVJYQUUPBJZUULYQASOI
      VKZVLFBSOVMZVLFUUQYQASUURYEASFZYDEAVNQZYEAUURFUPYDYEAOIYEYNAOUMZYLAVOMZYO
      VPQVQYQBSUUSYDBSFYEEBVNPYDBUUSFUPZYEYDUUGBOUMUVDYMBVOBOVRVSPVQABVTWAPWBWJ
      UUOUUNYSWCHZBYSWCHZJZUUMUUCUUNBYSWCWDUUMUVGAYRWCHZUVFJZUUCUUMUVEUVHUVFUUM
      UVEAYTYSWEHZRHZUVHUUMUUTYTSFZYSWFFZKZUVEUVKJUUMUUTUVLUVMYQUUTUULUVAPZUULU
      VLYQUULYRSFZYSSFZYSOUMZKZUVLUULUVPUVQUVRUUJUVPUUKYRWGPUUKUVQUUJYSWGQUUKUV
      RUUJYSVOQULZYRYSWHMQUULUVMYQUUKUVMUUJYSWIQQULUVNUVKUVEAYTYSWKWLMUUMUVKAYR
      RHUVHUUMUVJYRARUUMUVSUVJYRJUULUVSYQUVTQYRYSWMMWNUUMAYRUVOYQUVBUULYEUVBYDU
      VCQPUULYRWOFZYQUUJUWAUUKYRXAPQWPWQWQWRUUMYFUVIUUCTZUUMYFUVFAGHZIJZUWBYQUU
      GYNUULUUKYFUWDTUUHUUIUUJUUKWSBAYSXBWTUUMUVIUWDUUCUUMUVIUWDUUCTUUMUVINUWDU
      VHAGHZIJZUUCUVIUWDUWFVFZUUMUWGUVFUVHUVFUVHJUWCUWEIUVFUVHAGWDWRVJQUUMUWFUU
      CTUVIUUMUWFAAGHZIJZUUCYQAWOFZUWJUULUUJUWFUWIVFYEUWJYDEAXCZQZUWLUUJUUKXDAA
      YRXEWTUUMUWIAIJZUUCYQUWIUWMVFZUULYEUWNYDYEUWHAIYEUWHAXFUBZAYEUWJUWHUWOJUW
      KAXGMYEAEAXHYEYNAWFFOAXLUTYLAWIAXIVSXJWQWRQPYQUWMUUCTZUULYEUWPYDYEYKUWMUU
      CYOUUCAIXKXMQPXNXNPXNWJXOXPUUCUVIXQXRXNXSXPXTXPYAYBVQ $.
  $}

  $( Example for ~ logbgcd1irr .  The logarithm of nine to base two is
     irrational.  (Contributed by AV, 29-Dec-2022.) $)
  2logb9irr $p |- ( 2 logb 9 ) e. ( RR \ QQ ) $=
    ( c9 c2 cuz cfv wcel cgcd co c1 wceq clogb cr cq cdif cz 2z ax-mp c3 cprime
    2re mp3an cle wbr 9nn nnzi 9re 2lt9 ltleii mpbir3an uzid cexp eqcomi oveq1i
    eluz2 sq3 wne 2lt3 gtneii wb 3prm 2prm prmrp mp2an mpbir wi 3z 2nn0 rpexp1i
    cn0 eqtri logbgcd1irr ) ABCDZEZBVKEZABFGZHIBAJGKLMEVLBNEZANEBAUAUBOAUCUDBAS
    UEUFUGBAUMUHVOVMOBUIPVNQBUJGZBFGZHAVPBFVPAUNUKULQBFGHIZVQHIZVRQBUOZBQSUPUQQ
    REBREVRVTURUSUTQBVAVBVCQNEVOBVHEVRVSVDVEOVFQBBVGTPVIBAVJT $.

  $( The logarithm of a prime to a different prime base is an irrational
     number.  For example, ` ( 2 logb 3 ) e. ( RR \ QQ ) ` (see ~ 2logb3irr ).
     (Contributed by AV, 31-Dec-2022.) $)
  logbprmirr $p |- ( ( X e. Prime /\ B e. Prime /\ X =/= B )
                     -> ( B logb X ) e. ( RR \ QQ ) ) $=
    ( cprime wcel wne w3a c2 cuz cfv cgcd co c1 wceq clogb cdif prmuz2 3ad2ant1
    cr cq 3ad2ant2 prmrp biimp3ar logbgcd1irr syl3anc ) BCDZACDZBAEZFBGHIZDZAUH
    DZBAJKLMZABNKRSODUEUFUIUGBPQUFUEUJUGAPTUEUFUKUGBAUAUBABUCUD $.

  $( Example for ~ logbprmirr .  The logarithm of three to base two is
     irrational.  (Contributed by AV, 31-Dec-2022.) $)
  2logb3irr $p |- ( 2 logb 3 ) e. ( RR \ QQ ) $=
    ( c3 cprime wcel c2 wne clogb co cr cq cdif 3prm 2prm 2re gtneii logbprmirr
    2lt3 mp3an ) ABCDBCADEDAFGHIJCKLDAMPNDAOQ $.

  $( Alternate proof of ~ 2logb9irr :  The logarithm of nine to base two is
     irrational.  (Contributed by AV, 31-Dec-2022.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  2logb9irrALT $p |- ( 2 logb 9 ) e. ( RR \ QQ ) $=
    ( c2 c9 clogb co c3 cmul cr cq cdif cexp cc cc0 c1 wcel wne 2ne0 2z eqeltri
    2cn mp3an sq3 eqcomi oveq2i cpr crp cz wceq 1ne2 necomi mpbir3an relogbzexp
    eldifpr 3rp eqtri csn 3cn 3ne0 eldifsn mpbir2an logbcl mulcomi 2logb3irr zq
    mp2an ax-mp irrmul ) ABCDZAAECDZFDZGHIZVGAEAJDZCDZVIBVKACVKBUAUBUCAKLMUDINZ
    EUENAUFNZVLVIUGVMAKNALOZAMOSPMAUHUIAKLMULUJZUMQAEAUKTUNVIVHAFDZVJAVHSVMEKLU
    OINZVHKNVPVREKNELOUPUQEKLURUSAEUTVDVAVHVJNAHNZVOVQVJNVBVNVSQAVCVEPVHAVFTRR
    $.

  $( The square root of two to the power of the logarithm of nine to base two
     is three. ` ( sqrt `` 2 ) ` and ` ( 2 logb 9 ) ` are irrational numbers
     (see ~ sqrt2irr0 resp. ~ 2logb9irr ), satisfying the statement in
     ~ 2irrexpqALT .  (Contributed by AV, 29-Dec-2022.) $)
  sqrt2cxp2logb9e3 $p |- ( ( sqrt ` 2 ) ^c ( 2 logb 9 ) ) = 3 $=
    ( c2 csqrt cfv c9 co ccxp c1 cc wcel wceq 2cn cxpsqrt ax-mp cr mp2an 3eqtri
    crp cc0 cdif wne clogb c3 cdiv eqcomi oveq1i 2rp halfre cuz cz 2z uzid nnrp
    cn 9nn relogbzcl cxpcom mp3an recni cxpcl cpr csn 2ne0 1ne2 necomi mpbir3an
    eldifpr 9cn 9re 9pos gt0ne0ii eldifsn mpbir2an cxplogb fveq2i sqrt9 ) ABCZA
    DUAEZFEZAVQFEZBCZDBCUBVRAGAUCEZFEZVQFEZVSWAFEZVTVPWBVQFWBVPAHIZWBVPJKALMUDU
    EAQIWANIVQNIZWCWDJUFUGAAUHCIZDQIZWFAUIIWGUJAUKMDUMIWHUNDULMADUOOZAWAVQUPUQV
    SHIZWDVTJWEVQHIWJKVQWIURAVQUSOVSLMPVSDBAHRGUTSIZDHRVASIZVSDJWKWEARTAGTKVBGA
    VCVDAHRGVFVEWLDHIDRTVGDVHVIVJDHRVKVLADVMOVNVOP $.

  ${
    $d a b $.
    $( Alternate proof of ~ 2irrexpq :  There exist irrational numbers ` a `
       and ` b ` such that ` ( a ^ b ) ` is rational.  Statement in the
       Metamath book, section 1.1.5, footnote 27 on page 17, and the
       "constructive proof" for theorem 1.2 of [Bauer], p. 483.  In contrast to
       ~ 2irrexpq , this is a constructive proof because it is based on two
       explicitly named irrational numbers ` ( sqrt `` 2 ) ` and
       ` ( 2 logb 9 ) ` , see ~ sqrt2irr0 , ~ 2logb9irr and
       ~ sqrt2cxp2logb9e3 .  Therefore, this proof is also acceptable/usable in
       intuitionistic logic.  (Contributed by AV, 23-Dec-2022.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    2irrexpqALT $p |- E. a e. ( RR \ QQ ) E. b e. ( RR \ QQ )
                      ( a ^c b ) e. QQ $=
      ( c2 csqrt cfv cr cq cdif wcel c9 clogb co ccxp cv sqrt2irr0 2logb9irr c3
      wrex wceq eleq1d sqrt2cxp2logb9e3 cz 3z ax-mp eqeltri oveq1 oveq2 rspc2ev
      zq mp3an ) CDEZFGHZICJKLZULIUKUMMLZGIZANZBNZMLZGIZBULRAULROPUNQGUAQUBIQGI
      UCQUIUDUEUSUOUKUQMLZGIABUKUMULULUPUKSURUTGUPUKUQMUFTUQUMSUTUNGUQUMUKMUGTU
      HUJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Theorems of Pythagoras, isosceles triangles, and intersecting chords
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    ang.1 $e |- F = ( x e. ( CC \ { 0 } ) , y e. ( CC \ { 0 } ) |->
      ( Im ` ( log ` ( y / x ) ) ) ) $.
    $( Define the angle function, which takes two complex numbers, treated as
       vectors from the origin, and returns the angle between them, in the
       range ` ( - _pi , _pi ] ` .  To convert from the geometry notation,
       ` m A B C ` , the measure of the angle with legs ` A B ` , ` C B ` where
       ` C ` is more counterclockwise for positive angles, is represented by
       ` ( ( C - B ) F ( A - B ) ) ` .  (Contributed by Mario Carneiro,
       23-Sep-2014.) $)
    angval $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) ) ->
      ( A F B ) = ( Im ` ( log ` ( B / A ) ) ) ) $=
      ( cc wcel cc0 wne wa co cdiv clog cfv cim wceq eldifsn cv fveq2d csn cdif
      oveq12 ancoms fvex ovmpoa syl2anbr ) CGHCIJKCGIUAUBZHDUHHCDELDCMLZNOZPOZQ
      DGHDIJKCGIRDGIRABCDUHUHBSZASZMLZNOZPOUKEUMCQZULDQZKZUOUJPURUNUINUQUPUNUIQ
      ULDUMCMUCUDTTFUJPUEUFUG $.

    $( Cancel a constant multiplier in the angle function.  (Contributed by
       Mario Carneiro, 23-Sep-2014.) $)
    angcan $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) /\
      ( C e. CC /\ C =/= 0 ) ) ->
      ( ( C x. A ) F ( C x. B ) ) = ( A F B ) ) $=
      ( cc wcel cc0 wne wa cmul co cdiv clog cfv cim fveq2d wceq simp2l mulne0d
      simp1l simp3l simp1r simp3r divcan5d mulcld simp2r angval 3adant3 3eqtr4d
      w3a syl22anc ) CHIZCJKZLZDHIZDJKZLZEHIZEJKZLZUMZEDMNZECMNZONZPQZRQZDCONZP
      QZRQZVFVEFNZCDFNZVDVHVKRVDVGVJPVDDCEUQURUSVCUAZUOUPUTVCUCZUQUTVAVBUDZUOUP
      UTVCUEZUQUTVAVBUFZUGSSVDVFHIVFJKVEHIVEJKVMVITVDECVQVPUHVDECVQVPVSVRUBVDED
      VQVOUHVDEDVQVOVSUQURUSVCUIUBABVFVEFGUJUNUQUTVNVLTVCABCDFGUJUKUL $.

    $( Cancel a negative sign in the angle function.  (Contributed by Mario
       Carneiro, 23-Sep-2014.) $)
    angneg $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) ) ->
      ( -u A F -u B ) = ( A F B ) ) $=
      ( cc wcel cc0 wne wa c1 cneg cmul co wceq mulm1 ad2antrr ad2antrl oveq12d
      neg1cn neg1ne0 pm3.2i angcan mp3an3 eqtr3d ) CGHZCIJZKZDGHZDIJZKZKZLMZCNO
      ZUNDNOZEOZCMZDMZEOCDEOZUMUOURUPUSEUGUOURPUHULCQRUJUPUSPUIUKDQSTUIULUNGHZU
      NIJZKUQUTPVAVBUAUBUCABCDUNEFUDUEUF $.

    ${
      $d x y X $.  $d x y Y $.
      angvald.1 $e |- ( ph -> X e. CC ) $.
      angvald.2 $e |- ( ph -> X =/= 0 ) $.
      angvald.3 $e |- ( ph -> Y e. CC ) $.
      angvald.4 $e |- ( ph -> Y =/= 0 ) $.
      $( The (signed) angle between two vectors is the argument of their
         quotient.  Deduction form of ~ angval .  (Contributed by David Moews,
         28-Feb-2017.) $)
      angvald $p |- ( ph -> ( X F Y ) = ( Im ` ( log ` ( Y / X ) ) ) ) $=
        ( cc wcel cc0 wne co cdiv clog cfv cim wceq angval syl22anc ) AELMENOFL
        MFNOEFDPFEQPRSTSUAHIJKBCEFDGUBUC $.
    $}

    ${
      $d x y X $.  $d x y Y $.
      angcld.1 $e |- ( ph -> X e. CC ) $.
      angcld.2 $e |- ( ph -> X =/= 0 ) $.
      angcld.3 $e |- ( ph -> Y e. CC ) $.
      angcld.4 $e |- ( ph -> Y =/= 0 ) $.
      $( The (signed) angle between two vectors is in ` ( -u _pi (,] _pi ) ` .
         Deduction form.  (Contributed by David Moews, 28-Feb-2017.) $)
      angcld $p |- ( ph -> ( X F Y ) e. ( -u _pi (,] _pi ) ) $=
        ( co cdiv clog cfv cim cpi cneg cioc angvald divne0d logimclad eqeltrd
        divcld ) AEFDLFEMLZNOPOQRQSLABCDEFGHIJKTAUEAFEJHIUDAFEJHKIUAUBUC $.
    $}

    ${
      $d x y X $.  $d x y Y $.
      angrteqvd.1 $e |- ( ph -> X e. CC ) $.
      angrteqvd.2 $e |- ( ph -> X =/= 0 ) $.
      angrteqvd.3 $e |- ( ph -> Y e. CC ) $.
      angrteqvd.4 $e |- ( ph -> Y =/= 0 ) $.
      $( Two vectors are at a right angle iff their quotient is purely
         imaginary.  (Contributed by David Moews, 28-Feb-2017.) $)
      angrteqvd $p |- ( ph -> ( ( X F Y ) e. { ( _pi / 2 ) , -u ( _pi / 2 ) }
                                              <-> ( Re ` ( Y / X ) ) = 0 ) ) $=
        ( co cpi c2 cdiv cneg wcel cfv cc0 wceq cpr clog cim cre angvald eleq1d
        ccos cioc divcld divne0d logimclad coseq0negpitopi syl cosarg0d 3bitr2d
        wb ) AEFDLZMNOLZURPUAZQFEOLZUBRUCRZUSQZVAUGRSTZUTUDRSTAUQVAUSABCDEFGHIJ
        KUEUFAVAMPMUHLQVCVBUPAUTAFEJHIUIZAFEJHKIUJZUKVAULUMAUTVDVEUNUO $.
    $}

    ${
      $d x y X $.  $d x y Y $.
      cosangneg2d.1 $e |- ( ph -> X e. CC ) $.
      cosangneg2d.2 $e |- ( ph -> X =/= 0 ) $.
      cosangneg2d.3 $e |- ( ph -> Y e. CC ) $.
      cosangneg2d.4 $e |- ( ph -> Y =/= 0 ) $.
      $( The cosine of the angle between ` X ` and ` -u Y ` is the negative of
         that between ` X ` and ` Y ` .  If A, B and C are collinear points,
         this implies that the cosines of DBA and DBC sum to zero, i.e., that
         DBA and DBC are supplementary.  (Contributed by David Moews,
         28-Feb-2017.) $)
      cosangneg2d $p |- ( ph -> ( cos ` ( X F -u Y ) ) =
                                -u ( cos ` ( X F Y ) ) ) $=
        ( cdiv co cre cfv cabs cneg ccos divcld fveq2d recld recnd divne0d clog
        abscld absne0d divnegd cim angvald cosargd negeqd negcld negne0d renegd
        eqtrd eqtr3d absnegd oveq12d 3eqtrd 3eqtr4rd ) AFELMZNOZVAPOZLMZQVBQZVC
        LMZEFDMZROZQEFQZDMZROZAVBVCAVBAVAAFEJHISZUAUBAVCAVAVLUEUBAVAVLAFEJHKIUC
        ZUFUGAVHVDAVHVAUDOUHOZROVDAVGVNRABCDEFGHIJKUITAVAVLVMUJUOUKAVKVIELMZUDO
        UHOZROVONOZVOPOZLMVFAVJVPRABCDEVIGHIAFJULZAFJKUMZUITAVOAVIEVSHISAVIEVSH
        VTIUCUJAVQVEVRVCLAVAQZNOVQVEAWAVONAFEJHIUGZTAVAVLUNUPAWAPOVRVCAWAVOPWBT
        AVAVLUQUPURUSUT $.
    $}

    ${
      $d x y X $.  $d x y Y $.  $d x y Z $.
      angrtmuld.1 $e |- ( ph -> X e. CC ) $.
      angrtmuld.2 $e |- ( ph -> Y e. CC ) $.
      angrtmuld.3 $e |- ( ph -> Z e. CC ) $.
      angrtmuld.4 $e |- ( ph -> X =/= 0 ) $.
      angrtmuld.5 $e |- ( ph -> Y =/= 0 ) $.
      angrtmuld.6 $e |- ( ph -> Z =/= 0 ) $.
      angrtmuld.7 $e |- ( ph -> ( Z / Y ) e. RR ) $.
      $( Perpendicularity of two vectors does not change under rescaling the
         second.  (Contributed by David Moews, 28-Feb-2017.) $)
      angrtmuld $p |- ( ph -> ( ( X F Y ) e. { ( _pi / 2 ) , -u ( _pi / 2 ) }
                       <-> ( X F Z ) e. { ( _pi / 2 ) , -u ( _pi / 2 ) } ) ) $=
        ( cdiv co cre cc0 wceq cfv wo cpi c2 cneg cpr wcel wn wb divne0d neneqd
        biorf angrteqvd cmul dmdcan2d fveq2d divcld remul2d eqtr3d eqeq1d recld
        syl recnd mul0ord 3bitrd 3bitr4d ) AFEPQZRUAZSTZGFPQZSTZVIUBZEFDQUCUDPQ
        ZVMUEUFZUGEGDQVNUGZAVKUHVIVLUIAVJSAGFKJNMUJUKVKVIULVBABCDEFHILJMUMAVOGE
        PQZRUAZSTVJVHUNQZSTVLABCDEGHILKNUMAVQVRSAVJVGUNQZRUAVQVRAVSVPRAGFEKJIML
        UOUPAVJVGOAFEJILUQZURUSUTAVJVHAGFKJMUQAVHAVGVTVAVCVDVEVF $.
    $}

    ${
      ang180lem1.2 $e |- T = ( ( ( log ` ( 1 / ( 1 - A ) ) ) +
        ( log ` ( ( A - 1 ) / A ) ) ) + ( log ` A ) ) $.
      ang180lem1.3 $e |- N = ( ( ( T / _i ) / ( 2 x. _pi ) ) - ( 1 / 2 ) ) $.
      $( Lemma for ~ ang180 .  Show that the "revolution number" ` N ` is an
         integer, using ~ efeq1 to show that since the product of the three
         arguments ` A , 1 / ( 1 - A ) , ( A - 1 ) / A ` is ` -u 1 ` , the sum
         of the logarithms must be an integer multiple of ` 2 _pi _i ` away
         from ` _pi _i = log ( -u 1 ) ` .  (Contributed by Mario Carneiro,
         23-Sep-2014.) $)
      ang180lem1 $p |- ( ( A e. CC /\ A =/= 0 /\ A =/= 1 ) ->
        ( N e. ZZ /\ ( T / _i ) e. RR ) ) $=
        ( cc wcel cc0 wne c1 ci cdiv co cpi cmul wceq w3a cz cr cmin c2 wa picn
        2re pire remulcli recni 2pos pipos mulgt0ii gt0ne0ii pm3.2i ax-icn ine0
        divcan5 mp3an recdiv mp4an divcan4i oveq2i 3eqtr2i clog cfv caddc simp1
        ax-1cn subcl sylancr simp3 necomd subeq0 necon3bid mpbird reccld logcld
        recne0d sylancl simp2 divcld divne0d addcld eqeltrid mulcli a1i mulne0i
        wb divsubdird divdiv1 syl3anc oveq1d syl5eq 3eqtr4a ce efsub cneg efipi
        fveq2i syl2anc oveq12d mulcomd div2negd negsubdi2 oveq2d eqtr3d dmdcand
        efadd eflog neg1cn 3eqtrd divcan1d neg1ne0 dividi eqtrd efeq1 syl mpbid
        eqtrdi eqeltrrd oveq1i halfre npcan zred readdcl remulcl jca ) CJKZCLMZ
        CNMZUAZFUBKDOPQZUCKYMDORSQZUDQZOUERSQZSQZPQZFUBYMDYRPQZYOYRPQZUDQYTNUEP
        QZUDQZYSFUUAUUBYTUDUUARYQPQZNYQRPQZPQZUUBRJKZYQJKZYQLMZUFZOJKZOLMZUFZUU
        AUUDTUGUUHUUIYQUERUHUIUJZUKZYQUUNUERUHUIULUMUNUOZUPZUUKUULUQURUPZRYQOUS
        UTUUHUUIUUGRLMUUFUUDTUUOUUPUGRUIUMUOZYQRVAVBUUEUENPUERUEUHUKUGUUSVCVDVE
        VDYMDYOYRYMDNNCUDQZPQZVFVGZCNUDQZCPQZVFVGZVHQZCVFVGZVHQZJHYMUVFUVGYMUVB
        UVEYMUVAYMUUTYMNJKZYJUUTJKVJYJYKYLVIZNCVKVLZYMUUTLMNCMYMCNYJYKYLVMZVNYM
        UUTLNCYMUVIYJUUTLTNCTWJVJUVJNCVOVLVPVQZVRZYMUUTUVKUVMVTZVSZYMUVDYMUVCCY
        MYJUVIUVCJKUVJVJCNVKWAZUVJYJYKYLWBZWCZYMUVCCUVQUVJYMUVCLMYLUVLYMUVCLCNY
        MYJUVIUVCLTCNTWJUVJVJCNVOWAVPVQZUVRWDZVSZWEZYMCUVJUVRVSZWEWFZYOJKZYMORU
        QUGWGZWHYRJKYMOYQUQUUOWGWHYRLMYMOYQUQUUOURUUPWIWHWKYMFYNYQPQZUUBUDQZUUC
        IYMUWHYTUUBUDYMDJKZUUMUUJUWHYTTUWEUUMYMUURWHUUJYMUUQWHDOYQWLWMWNWOWPYMY
        PWQVGZNTZYSUBKZYMUWKDWQVGZYOWQVGZPQZNYMUWJUWFUWKUWPTUWEUWGDYOWRWAYMUWPU
        WNNWSZPQZNUWOUWQUWNPWTVDYMUWRUWQUWQPQNYMUWNUWQUWQPYMUWNUVHWQVGZUWQDUVHW
        QHXAYMUWSUVFWQVGZUVGWQVGZSQZUWQCPQZCSQUWQYMUVFJKUVGJKUWSUXBTUWCUWDUVFUV
        GXJXBYMUWTUXCUXACSYMUWTUVBWQVGZUVEWQVGZSQZUVAUVDSQZUXCYMUVBJKUVEJKUWTUX
        FTUVPUWBUVBUVEXJXBYMUXDUVAUXEUVDSYMUVAJKUVALMUXDUVATUVNUVOUVAXKXBYMUVDJ
        KUVDLMUXEUVDTUVSUWAUVDXKXBXCYMUXGUVDUVASQUVDUWQUVCPQZSQUXCYMUVAUVDUVNUV
        SXDYMUVAUXHUVDSYMUWQUUTWSZPQUVAUXHYMNUUTUVIYMVJWHUVKUVMXEYMUXIUVCUWQPYM
        UVIYJUXIUVCTVJUVJNCXFVLXGXHXGYMUWQUVCCUWQJKYMXLWHZUVQUVJUVTUVRXIXMXMYMY
        JYKUXACTUVJUVRCXKXBXCYMUWQCUXJUVJUVRXNXMWOWNUWQXLXOXPYAWOXQYMYPJKZUWLUW
        MWJYMUWJUWFUXKUWEUWGDYOVKWAYPXRXSXTYBZYMUWHYQSQZYNUCYMYNYQYMDOUWEUUKYMU
        QWHUULYMURWHWCZUUHYMUUOWHZUUIYMUUPWHZXNYMUWHUCKYQUCKUXMUCKYMFUUBVHQZUWH
        UCYMUXQUWIUUBVHQZUWHFUWIUUBVHIYCYMUWHJKUUBJKUXRUWHTYMYNYQUXNUXOUXPWCUUB
        YDUKUWHUUBYEWAWOYMFUCKUUBUCKUXQUCKYMFUXLYFYDFUUBYGWAYBUUNUWHYQYHWAYBYI
        $.

      $( Lemma for ~ ang180 .  Show that the revolution number ` N ` is
         strictly between ` -u 2 ` and ` 1 ` .  Both bounds are established by
         iterating using the bounds on the imaginary part of the logarithm,
         ~ logimcl , but the resulting bound gives only ` N <_ 1 ` for the
         upper bound.  The case ` N = 1 ` is not ruled out here, but it is in
         some sense an "edge case" that can only happen under very specific
         conditions; in particular we show that all the angle arguments
         ` A , 1 / ( 1 - A ) , ( A - 1 ) / A ` must lie on the negative real
         axis, which is a contradiction because clearly if ` A ` is negative
         then the other two are positive real.  (Contributed by Mario Carneiro,
         23-Sep-2014.) $)
      ang180lem2 $p |- ( ( A e. CC /\ A =/= 0 /\ A =/= 1 ) ->
        ( -u 2 < N /\ N < 1 ) ) $=
        ( wcel cc0 c1 c2 clt wbr co cpi caddc wceq a1i cc wne cneg ci cdiv cmul
        w3a cmin c3 2cn 1re rehalfcli recni negsubdii c4 4d2e2 oveq1i wa ax-1cn
        4cn 2cnne0 divsubdir mp3an 4m1e3 eqtr3i negeqi 3re mulassi 3cn divcan1i
        picn 2ne0 2re pire remulcli mulneg1i mulneg2i 3eqtr4i cim clog renegcli
        cfv cr simp1 subcl sylancr simp3 necomd subeq0 necon3bid mpbird recne0d
        reccld logcld sylancl simp2 divcld divne0d imcld logcl 3adant3 logimcld
        wb addcld simpld lt2addd negpicn 2timesi imaddd 3brtr4d logimcl adddiri
        cle df-3 mulid2i oveq2i 3eqtri fveq2i cre eqeltrid imval syl ang180lem1
        syl5eq cz simprd eqtrd eqbrtrid syl112anc mpbid breqtrrdi eqtr3d adantr
        le2addd crp recnd resubcl subge0 eqeltrrd relogcld rered pipos mulgt0ii
        breqtrd ltmuldiv gt0ne0ii redivcld ltaddsubd subid1i eqnetri negsub 1rp
        2pos oveq12d addsub4d ax-icn ine0 biimpar syl22anc biimpa syldan eqcomd
        add20 lognegb rpaddcl rpreccld oveq1d div2negd rpdivcld readdcld reim0d
        negsubdi2 oveq2d necon3d mpi ltlen mpbir2and ltdivmul2 divdiri breqtrdi
        ex 2div2e1 ltsubaddd jca ) CUAJZCKUBZCLUBZUGZMUCZFNOFLNOUWHUWIDUDUEPZMQ
        UFPZUEPZLMUEPZUHPZFNUWHUWIUWMRPZUWLNOUWIUWNNOUWHUWOUIMUEPZUCZUWLNMUWMUH
        PZUCUWOUWQMUWMUJUWMLUKULZUMUNUWRUWPUOMUEPZUWMUHPZUWRUWPUWTMUWMUHUPUQUOL
        UHPZMUEPZUXAUWPUOUAJLUAJZMUAJMKUBURUXCUXASUTUSVAUOLMVBVCUXBUIMUEVDUQVEV
        EVFVEUWHUWQUWKUFPZUWJNOZUWQUWLNOZUWHUXEUIQUCZUFPZUWJNUWPUWKUFPZUCUIQUFP
        ZUCUXEUXIUXJUXKUWPMUFPZQUFPUXJUXKUWPMQUWPUIVGULZUMZUJVKVHUXLUIQUFUIMVIU
        JVLVJUQVEZVFUWPUWKUXNUWKMQVMVNVOZUMZVPUIQVIVKVQVRUWHUXIDVSWBZUWJNUWHMUX
        HUFPZUXHRPZLLCUHPZUEPZVTWBZCLUHPZCUEPZVTWBZRPZVSWBZCVTWBZVSWBZRPZUXIUXR
        NUWHUXSUXHUYHUYJUXSWCJUWHMUXHVMQVNWAZVOTUXHWCJUWHUYLTZUWHUYGUWHUYCUYFUW
        HUYBUWHUYAUWHUXDUWEUYAUAJUSUWEUWFUWGWDZLCWEWFZUWHUYAKUBLCUBUWHCLUWEUWFU
        WGWGZWHUWHUYAKLCUWHUXDUWEUYAKSLCSXCUSUYNLCWIWFWJWKZWMZUWHUYAUYOUYQWLZWN
        ZUWHUYEUWHUYDCUWHUWEUXDUYDUAJUYNUSCLWEWOZUYNUWEUWFUWGWPZWQZUWHUYDCVUAUY
        NUWHUYDKUBUWGUYPUWHUYDKCLUWHUWEUXDUYDKSCLSXCUYNUSCLWIWOWJWKVUBWRZWNZXDZ
        WSZUWHUYIUWEUWFUYIUAJUWGCWTXAZWSZUWHUXHUXHRPZUYCVSWBZUYFVSWBZRPZUXSUYHN
        UWHUXHUXHVUKVULUYMUYMUWHUYCUYTWSZUWHUYFVUEWSZUWHUXHVUKNOZVUKQXMOZUWHUYB
        UYRUYSXBZXEUWHUXHVULNOZVULQXMOZUWHUYEVUCVUDXBZXEXFUXSVUJSUWHUXHXGXHTUWH
        UYCUYFUYTVUEXIZXJUWHUXHUYJNOZUYJQXMOZUWEUWFVVCVVDURUWGCXKXAZXEXFUXIUXTS
        UWHUXIMLRPZUXHUFPUXSLUXHUFPZRPUXTUIVVFUXHUFXNUQMLUXHUJUSXGXLVVGUXHUXSRU
        XHXGXOXPXQTUWHUXRUYGUYIRPZVSWBUYKDVVHVSHXRUWHUYGUYIVUFVUHXIYDZXJUWHUXRU
        WJXSWBZUWJUWHDUAJUXRVVJSUWHDVVHUAHUWHUYGUYIVUFVUHXDXTZDYAYBUWHUWJUWHFYE
        JUWJWCJZABCDEFGHIYCYFZUUAYGZUUDYHUWHUWQWCJZVVLUWKWCJZKUWKNOZUXFUXGXCVVO
        UWHUWPUXMWATVVMVVPUWHUXPTZVVQUWHMQVMVNUUMUUBUUCZTZUWQUWJUWKUUEYIYJYHUWH
        UWIUWMUWLUWIWCJUWHMVMWATUWMWCJUWHUWSTZUWHUWJUWKVVMVVRUWKKUBUWHUWKUXPVVS
        UUFZTUUGZUUHYJIYKUWHFUWNLNIUWHUWNLNOUWLLUWMRPZNOUWHUWLUWPVWDNUWHUWLUWPN
        OZUWJUXJNOZUWHUWJUXKUXJNUWHUWJUXKNOZUWJUXKXMOZUXKUWJUBZUWHUYKUWKQRPZUWJ
        UXKXMUWHUYHUYJUWKQVUGVUIVVRQWCJZUWHVNTZUWHVUMQQRPZUYHUWKXMUWHVUKVULQQVU
        NVUOVWLVWLUWHVUPVUQVURYFUWHVUSVUTVVAYFYNVVBUWKVWMSUWHQVKXHTXJZUWHVVCVVD
        VVEYFZYNUWHUXRUWJUYKVVNVVIYLZUXKVWJSUWHUXKVVFQUFPUWKLQUFPZRPVWJUIVVFQUF
        XNUQMLQUJUSVKXLVWQQUWKRQVKXOXPXQTZXJUWHUWKKUHPZKUBVWIVWSUWKKUWKUXQUUIVW
        BUUJUWHUXKUWJVWSKUWHUXKUWJSZVWSKSUWHVWTURZUWKUYHUHPZVWSKVXAUYHKUWKUHVXA
        UYGVXAUYCUYFVXAUYBVXAUYAVXALCUCZRPZUYAYOUWHVXDUYASZVWTUWHUXDUWEVXEUSUYN
        LCUUKWFYMVXALYOJVXCYOJZVXDYOJUULVXAVXFUYJQSZVXAQUYJVXAQUYJUHPZKSZQUYJSZ
        VXAVXBKSZVXIUWHVWTVXBVXHRPZKSZVXKVXIURZVXAUXKUWJUHPZVXLKUWHVXOVXLSVWTUW
        HVXOVWJUYKUHPVXLUWHUXKVWJUWJUYKUHVWRVWPUUNUWHUWKQUYHUYJUWKUAJUWHUXQTQUA
        JZUWHVKTUWHUYHVUGYPUWHUYJVUIYPZUUOYGYMUWHVXOKSZVWTUWHUXKUAJUWJUAJVXRVWT
        XCUXKUIQVGVNVOZUMUWHDUDVVKUDUAJUWHUUPTUDKUBUWHUUQTWQUXKUWJWIWFUURYLUWHV
        XMVXNUWHVXBWCJZKVXBXMOZVXHWCJZKVXHXMOZVXMVXNXCUWHVVPUYHWCJZVXTUXPVUGUWK
        UYHYQWFUWHVYAUYHUWKXMOZVWNUWHVVPVYDVYAVYEXCUXPVUGUWKUYHYRWFWKUWHVWKUYJW
        CJZVYBVNVUIQUYJYQWFUWHVYCVVDVWOUWHVWKVYFVYCVVDXCVNVUIQUYJYRWFWKVXBVXHUV
        CUUSUUTUVAZYFVXAVXPUYJUAJZVXIVXJXCVKUWHVYHVWTVXQYMQUYJWIWFYJUVBUWHVXFVX
        GXCZVWTUWEUWFVYIUWGCUVDXAYMWKZLVXCUVEWFYSZUVFYTVXAUYEVXAUYAVXCUEPZUYEYO
        UWHVYLUYESVWTUWHUYDUCZVXCUEPVYLUYEUWHVYMUYAVXCUEUWHUWEUXDVYMUYASUYNUSCL
        UVLWOUVGUWHUYDCVUAUYNVUBUVHYLYMVXAUYAVXCVYKVYJUVIYSYTUVJUVKUVMVXAVXKVXI
        VYGXEYLUWAUVNUVOUWHVVLUXKWCJVWGVWHVWIURXCVVMVXSUWJUXKUVPWOUVQUXOYKUWHVV
        LUWPWCJZVVPVVQVWEVWFXCVVMVYNUWHUXMTVVRVVTUWJUWPUWKUVRYIWKUWPVVFMUEPMMUE
        PZUWMRPVWDUIVVFMUEXNUQMLMUJUSUJVLUVSVYOLUWMRUWBUQXQUVTUWHUWLUWMLVWCVWAL
        WCJUWHUKTUWCWKYHUWD $.

      $( Lemma for ~ ang180 .  Since ~ ang180lem1 shows that ` N ` is an
         integer and ~ ang180lem2 shows that ` N ` is strictly between ` -u 2 `
         and ` 1 ` , it follows that ` N e. { -u 1 , 0 } ` , and these two
         cases correspond to the two possible values for ` T ` .  (Contributed
         by Mario Carneiro, 23-Sep-2014.) $)
      ang180lem3 $p |- ( ( A e. CC /\ A =/= 0 /\ A =/= 1 ) ->
                                 T e. { -u ( _i x. _pi ) , ( _i x. _pi ) } ) $=
        ( cc wcel cc0 c1 ci cpi cmul co wceq c2 a1i wne w3a cneg wo cpr clt wbr
        wa cdiv cmin caddc ang180lem2 simprd 1e0p1 breqtrdi cz wb cr ang180lem1
        cle simpld zleltp1 sylancl mpbird adantr zlem1lt sylancr df-neg bitr4di
        0z breq1i biimpar zred letri3 mpbir2and eqtr3id clog ax-1cn simp1 subcl
        0re cfv simp3 necomd subeq0 necon3bid reccld logcld simp2 divcld addcld
        recne0d divne0d logcl 3adant3 eqeltrid ax-icn ine0 2cn picn mulcli 2ne0
        pire pipos gt0ne0ii mulne0i halfcn mpbid divmuld divreci eqtr3i eqtr3di
        divcan3i eqcomd mulneg1i mulcomi negeqi divcan1i oveq1i mulassi mulid2i
        olcd eqtri negsubdii 1mhlfehlf simpr eqtrdi oveq1d npcan eqtrd divcan1d
        3eqtr3i eqtr2d orcd df-2 negdi2 mp2an eqbrtrrid neg1z neg1rr leloe elpr
        mpjaodan ovexi sylibr ) CJKZCLUAZCMUAZUBZDNOPQZUCZRZDUUJRZUDZDUUKUUJUEK
        UUIMUCZFUFUGZUUNUUOFRZUUIUUPUHZUUMUULUURUUJDUURDNUIQZORUUJDRUURSOPQZMSU
        IQZPQZUUSOUURUUSUUTUIQZUVARZUVBUUSRUURUVCUVAUJQZLRZUVDUURUVEFLIUURFLRZF
        LUTUGZLFUTUGZUUIUVHUUPUUIUVHFLMUKQZUFUGZUUIFMUVJUFUUISUCZFUFUGZFMUFUGZA
        BCDEFGHIULZUMUNUOUUIFUPKZLUPKZUVHUVKUQUUIUVPUUSURKABCDEFGHIUSVAZVJFLVBV
        CVDVEUUIUVIUUPUUIUVILMUJQZFUFUGZUUPUUIUVQUVPUVIUVTUQVJUVRLFVFVGUUOUVSFU
        FMVHVKVIVLUURFURKZLURKUVGUVHUVIUHUQUUIUWAUUPUUIFUVRVMZVEWAFLVNVCVOVPUUR
        UVCJKZUVAJKZUVFUVDUQUUIUWCUUPUUIUUSUUTUUIDNUUIDMMCUJQZUIQZVQWBZCMUJQZCU
        IQZVQWBZUKQZCVQWBZUKQJHUUIUWKUWLUUIUWGUWJUUIUWFUUIUWEUUIMJKZUUFUWEJKVRU
        UFUUGUUHVSZMCVTVGZUUIUWELUAMCUAUUICMUUFUUGUUHWCZWDUUIUWELMCUUIUWMUUFUWE
        LRMCRUQVRUWNMCWEVGWFVDZWGUUIUWEUWOUWQWLWHUUIUWIUUIUWHCUUIUUFUWMUWHJKUWN
        VRCMVTVCZUWNUUFUUGUUHWIZWJUUIUWHCUWRUWNUUIUWHLUAUUHUWPUUIUWHLCMUUIUUFUW
        MUWHLRCMRUQUWNVRCMWEVCWFVDUWSWMWHWKUUFUUGUWLJKUUHCWNWOWKWPZNJKZUUIWQTZN
        LUAZUUIWRTZWJZUUTJKZUUISOWSWTXAZTZUUTLUAZUUISOWSWTXBOXCXDXEXFZTZWJZVEXG
        UVCUVAWEVCXHUURUUSUUTUVAUUIUUSJKUUPUXEVEUXFUURUXGTUWDUURXGTUXIUURUXJTXI
        XHUUTSUIQUVBOUUTSUXGWSXBXJOSWTWSXBXMXKXLUURDNOUUIDJKUUPUWTVEUXAUURWQTOJ
        KUURWTTUXCUURWRTXIXHXNYBUUIUUQUHZUULUUMUXMUUKUUSNPQZDUXMUUKOUCZNPQZUXNU
        XPONPQZUCUUKONWTWQXOUXQUUJONWTWQXPXQYCUXMUXOUUSNPUXMUXOUVCUUTPQZUUSUXMU
        XOUVAUCZUUTPQZUXRUXTUVAUUTPQZUCUXOUVAUUTXGUXGXOUYAOUVASPQZOPQMOPQUYAOUY
        BMOPMSVRWSXBXRXSUVASOXGWSWTXTOWTYAYLXQYCUXMUXSUVCUUTPUXMUXSUVEUVAUKQZUV
        CUXMUXSUUOUVAUKQZUYCMUVAUJQZUCUYDUXSMUVAVRXGYDUYEUVAYEXQXKUXMUUOUVEUVAU
        KUXMUUOFUVEUUIUUQYFIYGYHVPUUIUYCUVCRZUUQUUIUWCUWDUYFUXLXGUVCUVAYIVCVEYJ
        YHVPUUIUXRUUSRUUQUUIUUSUUTUXEUXHUXKYKVEYJYHVPUUIUXNDRUUQUUIDNUWTUXBUXDY
        KVEYMYNUUIUUOFUTUGZUUPUUQUDZUUIUYGUUOMUJQZFUFUGZUUIUYIUVLFUFUVLMMUKQZUC
        ZUYISUYKYOXQUWMUWMUYLUYIRVRVRMMYPYQYCUUIUVMUVNUVOVAYRUUIUUOUPKUVPUYGUYJ
        UQYSUVRUUOFVFVGVDUUIUUOURKUWAUYGUYHUQYTUWBUUOFUUAVGXHUUCDUUKUUJDUWKUWLU
        KHUUDUUBUUE $.
    $}

    $( Lemma for ~ ang180 .  Reduce the statement to one variable.
       (Contributed by Mario Carneiro, 23-Sep-2014.) $)
    ang180lem4 $p |- ( ( A e. CC /\ A =/= 0 /\ A =/= 1 ) ->
                      ( ( ( ( 1 - A ) F 1 ) + ( A F ( A - 1 ) ) ) +
                                           ( 1 F A ) ) e. { -u _pi , _pi } ) $=
      ( wcel cc0 wne c1 cmin co caddc cdiv clog cfv cim cpi cneg angvald wceq
      w3a cpr 1cnd simp1 subcld simp3 necomd subne0d ax-1ne0 a1i oveq12d divcld
      simp2 recne0d logcld divne0d imaddd eqtr4d div1d fveq2d eqtrd addcld cmul
      cc ci c2 eqid ang180lem3 wo fveq2 ax-icn mulcli imnegi addid2i fveq2i 0re
      picn pire crimi eqtr3i negeqi eqtri eqtrdi orim12i ovex elpr fvex 3imtr4i
      syl eqeltrd ) CVDFZCGHZCIHZUAZICJKZIDKZCCIJKZDKZLKZICDKZLKZIWOMKZNOZWQCMK
      ZNOZLKZCNOZLKZPOZQRZQUBZWNXAXFPOZXGPOZLKXIWNWSXLWTXMLWNWSXCPOZXEPOZLKXLWN
      WPXNWRXOLWNABDWOIEWNICWNUCZWKWLWMUDZUEZWNICXPXQWNCIWKWLWMUFZUGUHZXPIGHWNU
      IUJZSWNABDCWQEXQWKWLWMUMZWNCIXQXPUEZWNCIXQXPXSUHZSUKWNXCXEWNXBWNIWOXPXRXT
      ULWNWOXRXTUNUOZWNXDWNWQCYCXQYBULWNWQCYCXQYDYBUPUOZUQURWNWTCIMKZNOZPOXMWNA
      BDICEXPYAXQYBSWNYHXGPWNYGCNWNCXQUSUTUTVAUKWNXFXGWNXCXEYEYFVBWNCXQYBUOUQUR
      WNXHVEQVCKZRZYIUBFZXIXKFZABCXHDXHVEMKVFQVCKMKIVFMKJKZEXHVGYMVGVHXHYJTZXHY
      ITZVIXIXJTZXIQTZVIYKYLYNYPYOYQYNXIYJPOZXJXHYJPVJYRYIPOZRXJYIVEQVKVQVLZVMY
      SQGYILKZPOYSQUUAYIPYIYTVNVOGQVPVRVSVTZWAWBWCYOXIYSQXHYIPVJUUBWCWDXHYJYIXF
      XGLWEWFXIXJQXHPWGWFWHWIWJ $.

    $( Lemma for ~ ang180 :  Reduce the statement to two variables.
       (Contributed by Mario Carneiro, 23-Sep-2014.) $)
    ang180lem5 $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) /\
                    A =/= B ) -> ( ( ( ( A - B ) F A ) + ( B F ( B - A ) ) ) +
                                           ( A F B ) ) e. { -u _pi , _pi } ) $=
      ( cc wcel cc0 wne cmin co caddc cmul oveq12d wceq angcan syl222anc eqtr3d
      c1 w3a cdiv cpi cneg cpr simp1l 1cnd simp2l simp1r divcld subdid divcan2d
      wa mulid1d eqtrd subcld necomd divne1d subne0d ax-1ne0 a1i simp2r divne0d
      simp3 ang180lem4 syl3anc eqeltrd ) CGHZCIJZUMZDGHZDIJZUMZCDJZUAZCDKLZCELZ
      DDCKLZELZMLZCDELZMLTDCUBLZKLZTELZWBWBTKLZELZMLZTWBELZMLZUCUDUCUEZVOVTWGWA
      WHMVOVQWDVSWFMVOCWCNLZCTNLZELZVQWDVOWKVPWLCEVOWKWLCWBNLZKLVPVOCTWBVHVIVMV
      NUFZVOUGZVODCVJVKVLVNUHZWOVHVIVMVNUIZUJZUKVOWLCWNDKVOCWOUNZVODCWQWOWRULZO
      UOWTOVOWCGHWCIJTGHZTIJZVHVIWMWDPVOTWBWPWSUPVOTWBWPWSVOWBTVODCWQWOWRVOCDVJ
      VMVNVDUQURZUQUSWPXCVOUTVAZWOWRABWCTCEFQRSVOWNCWENLZELZVSWFVOWNDXFVREXAVOX
      FWNWLKLVRVOCWBTWOWSWPUKVOWNDWLCKXAWTOUOOVOWBGHZWBIJZWEGHWEIJVHVIXGWFPWSVO
      DCWQWOVJVKVLVNVBWRVCZVOWBTWSWPUPVOWBTWSWPXDUSWOWRABWBWECEFQRSOVOWLWNELZWA
      WHVOWLCWNDEWTXAOVOXBXCXHXIVHVIXKWHPWPXEWSXJWOWRABTWBCEFQRSOVOXHXIWBTJWIWJ
      HWSXJXDABWBEFVEVFVG $.

    $( The sum of angles ` m A B C + m B C A + m C A B ` in a triangle adds up
       to either ` _pi ` or ` -u _pi ` , i.e. 180 degrees.  (The sign is due to
       the two possible orientations of vertex arrangement and our signed
       notion of angle).  This is Metamath 100 proof #27.  (Contributed by
       Mario Carneiro, 23-Sep-2014.) $)
    ang180 $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC ) /\
          ( A =/= B /\ B =/= C /\ A =/= C ) ) ->
          ( ( ( ( C - B ) F ( A - B ) ) + ( ( A - C ) F ( B - C ) ) ) +
                           ( ( B - A ) F ( C - A ) ) ) e. { -u _pi , _pi } ) $=
      ( cc wcel wne cmin co caddc cneg subcld necomd subne0d negsubdi2d oveq12d
      cc0 w3a cpi cpr wceq simpl3 simpl2 simpr2 simpl1 simpr1 syl22anc nnncan2d
      wa angneg eqtr4d eqtr3d simpr3 subneintr2d ang180lem5 syl221anc eqeltrd
      oveq1d ) CHIZDHIZEHIZUAZCDJZDEJZCEJZUAZULZEDKLZCDKLZFLZCEKLZDEKLZFLZMLZDC
      KLZECKLZFLZMLVRVSKLZVRFLZVSVSVRKLZFLZMLZVTMLZUBNUBUCZVJVQWEVTMVJVMWBVPWDM
      VJVKNZVLNZFLZVMWBVJVKHIVKTJVLHIVLTJWJVMUDVJEDVBVCVDVIUEZVBVCVDVIUFZOVJEDW
      KWLVJDEVEVFVGVHUGZPQVJCDVBVCVDVIUHZWLOVJCDWNWLVEVFVGVHUIZQABVKVLFGUMUJVJW
      HWAWIVRFVJWHVOWAVJEDWKWLRVJDECWLWKWNUKUNVJCDWNWLRSUOVJVNNZVONZFLZVPWDVJVN
      HIVNTJVOHIVOTJWRVPUDVJCEWNWKOVJCEWNWKVEVFVGVHUPZQVJDEWLWKOVJDEWLWKWMQABVN
      VOFGUMUJVJWPVSWQWCFVJCEWNWKRVJWQVKWCVJDEWLWKRVJEDCWKWLWNUKUNSUOSVAVJVRHIV
      RTJVSHIVSTJVRVSJWFWGIVJDCWLWNOVJDCWLWNVJCDWOPQVJECWKWNOVJECWKWNVJCEWSPQVJ
      DECWLWKWNWMUQABVRVSFGURUSUT $.
  $}

  ${
    lawcoslem1.1 $e |- ( ph -> U e. CC ) $.
    lawcoslem1.2 $e |- ( ph -> V e. CC ) $.
    lawcoslem1.3 $e |- ( ph -> U =/= 0 ) $.
    lawcoslem1.4 $e |- ( ph -> V =/= 0 ) $.
    $( Lemma for ~ lawcos .  Here we prove the law for a point at the origin
       and two distinct points U and V, using an expanded version of the signed
       angle expression on the complex plane.  (Contributed by David A.
       Wheeler, 11-Jun-2015.) $)
    lawcoslem1 $p |- ( ph -> ( ( abs ` ( U - V ) ) ^ 2 ) =
                       ( ( ( ( abs ` U ) ^ 2 ) + ( ( abs ` V ) ^ 2 ) ) -
                         ( 2 x. ( ( ( abs ` U ) x. ( abs ` V ) ) x.
                             ( ( Re ` ( U / V ) ) / ( abs ` ( U / V ) ) ) ) ) )
        ) $=
      ( cmin co cabs cfv c2 cexp cmul cre cdiv cc oveq2d recnd eqtrd caddc wcel
      ccj sqabssub syl2anc absdivd abscld remulcld divcld recld absne0d divne0d
      wceq div12d divdiv2d sqvald oveq1d mul31d sqcld divcan4d 3eqtr2rd mulcomd
      eqtr4d resqcld remul2d c1 divrecd cc0 wne recval cjcld sqne0 syl divcan2d
      wb mpbird eqtr3d fveq2d ) ABCHIJKLMIZBJKZLMICJKZLMIZUAIZLBCUCKZNIZOKZNIZH
      IZWCLVTWANIZBCPIZOKZWJJKZPIZNIZNIZHIABQUBCQUBZVSWHUMDEBCUDUEAWGWOWCHAWFWN
      LNAWNWKWIVTWAPIZPIZNIZWKWBNIZWFAWNWIWKWQPIZNIWSAWMXAWINAWLWQWKPABCDEGUFRR
      AWIWKWQAWIAVTWAABDUGZACEUGZUHSZAWKAWJABCDEGUIZUJSZAVTWAAVTXBSZAWAXCSZACEG
      UKZUIAVTWAXGXHABDFUKZXIULUNTAWBWRWKNAWRWIWANIZVTPIWBVTNIZVTPIWBAWIVTWAXDX
      GXHXJXIUOAXLXKVTPAXLWAWANIZVTNIXKAWBXMVTNAWAXHUPUQAVTWAWAXGXHXHURVCUQAWBV
      TAWAXHUSZXGXJUTVARAWTWBWJNIZOKZWFAWTWBWKNIXPAWKWBXFXNVBAWBWJAWAXCVDXEVEVC
      AXOWEOABWBCPIZNIXOWEABWBCDXNEGUNAXQWDBNAXQWBVFCPIZNIZWDAWBCXNEGVGAXSWBWDW
      BPIZNIWDAXRXTWBNAWPCVHVIXRXTUMEGCVJUERAWDWBACEVKXNAWBVHVIZWAVHVIZXIAWAQUB
      YAYBVOXHWAVLVMVPVNTTRVQVRTVARRT $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    lawcos.1 $e |- F = ( x e. ( CC \ { 0 } ) , y e. ( CC \ { 0 } ) |->
                        ( Im ` ( log ` ( y / x ) ) ) ) $.
    lawcos.2 $e |- X = ( abs ` ( B - C ) ) $.
    lawcos.3 $e |- Y = ( abs ` ( A - C ) ) $.
    lawcos.4 $e |- Z = ( abs ` ( A - B ) ) $.
    lawcos.5 $e |- O = ( ( B - C ) F ( A - C ) ) $.
    $( Law of cosines (also known as the Al-Kashi theorem or the generalized
       Pythagorean theorem, or the cosine formula or cosine rule).  Given three
       distinct points A, B, and C, prove a relationship between their segment
       lengths.  This theorem is expressed using the complex number plane as a
       plane, where ` F ` is the signed angle construct (as used in ~ ang180 ),
       ` X ` is the distance of line segment BC, ` Y ` is the distance of line
       segment AC, ` Z ` is the distance of line segment AB, and ` O ` is the
       signed angle m/__ BCA on the complex plane.  We translate triangle ABC
       to move C to the origin (C-C), B to U=(B-C), and A to V=(A-C), then use
       lemma ~ lawcoslem1 to prove this algebraically simpler case.  The
       Metamath convention is to use a signed angle; in this case the sign
       doesn't matter because we use the cosine of the angle (see ~ cosneg ).
       The Pythagorean theorem ~ pythag is a special case of the law of
       cosines.  The theorem's expression and approach were suggested by Mario
       Carneiro.  This is Metamath 100 proof #94.  (Contributed by David A.
       Wheeler, 12-Jun-2015.) $)
    lawcos $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC )
                  /\ ( A =/= C /\ B =/= C ) ) ->
                 ( Z ^ 2 ) = ( ( ( X ^ 2 ) + ( Y ^ 2 ) ) -
                             ( 2 x. ( ( X x. Y ) x. ( cos ` O ) ) ) ) ) $=
      ( co cfv c2 cexp cmul cc wcel w3a wne cmin cabs caddc cdiv cre ccos subcl
      3adant2 adantr 3adant1 cc0 subeq0 necon3bid bicomd biimpa adantrr adantrl
      wa wb lawcoslem1 wceq nnncan2 fveq2d eqtr4id oveq1d oveq1i oveq12i abscld
      recnd sqcld addcomd mulcomd clog cim fveq2i angvald syl5eq divcld divne0d
      ci ce cr logcld imcld recosval eqtrd efiarg syl2anc absne0d redivd 3eqtrd
      syl oveq12d oveq2d 3eqtr4d ) CUAUBZDUAUBZEUAUBZUCZCEUDZDEUDZVBZVBZCEUEPZD
      EUEPZUEPZUFQZRSPZXHUFQZRSPZXIUFQZRSPZUGPZRXMXOTPZXHXIUHPZUIQXSUFQZUHPZTPZ
      TPZUEPJRSPZHRSPZIRSPZUGPZRHITPZGUJQZTPZTPZUEPXGXHXIXCXHUAUBZXFWTXBYLXACEU
      KULUMZXCXIUAUBZXFXAXBYNWTDEUKUNUMZXCXDXHUOUDZXEXCXDYPWTXBXDYPVCXAWTXBVBZY
      PXDYQXHUOCECEUPUQURULUSUTZXCXEXIUOUDZXDXCXEYSXAXBXEYSVCWTXAXBVBZYSXEYTXIU
      ODEDEUPUQURUNUSVAZVDXCYDXLVEXFXCJXKRSXCJCDUEPZUFQXKNXCXJUUBUFCDEVFVGVHVIU
      MXGYGXQYKYCUEXGYGXPXNUGPXQYEXPYFXNUGHXORSLVJIXMRSMVJVKXGXNXPXGXMXGXMXGXHY
      MVLVMZVNXGXOXGXOXGXIYOVLVMZVNVOVHXGYJYBRTXGYHXRYIYATXGYHXOXMTPXRHXOIXMTLM
      VKXGXMXOUUCUUDVPVHXGYIWDXSVQQZVRQZTPWEQZUIQZXSXTUHPZUIQYAXGYIUUFUJQZUUHXG
      YIXIXHFPZUJQUUJGUUKUJOVSXGUUKUUFUJXGABFXIXHKYOUUAYMYRVTVGWAXGUUFWFUBUUJUU
      HVEXGUUEXGXSXGXHXIYMYOUUAWBZXGXHXIYMYOYRUUAWCZWGWHUUFWIWPWJXGUUGUUIUIXGXS
      UAUBXSUOUDUUGUUIVEUULUUMXSWKWLVGXGXTXSXGXSUULVLUULXGXSUULUUMWMWNWOWQWRWQW
      S $.

    $( Pythagorean theorem.  Given three distinct points A, B, and C that form
       a right triangle (with the right angle at C), prove a relationship
       between their segment lengths.  This theorem is expressed using the
       complex number plane as a plane, where ` F ` is the signed angle
       construct (as used in ~ ang180 ), ` X ` is the distance of line segment
       BC, ` Y ` is the distance of line segment AC, ` Z ` is the distance of
       line segment AB (the hypotenuse), and ` O ` is the signed right angle
       m/__ BCA. We use the law of cosines ~ lawcos to prove this, along with
       simple trigonometry facts like ~ coshalfpi and ~ cosneg .  (Contributed
       by David A. Wheeler, 13-Jun-2015.) $)
    pythag $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC )
                  /\ ( A =/= C /\ B =/= C )
                  /\ O e. { ( _pi / 2 ) , -u ( _pi / 2 ) } ) ->
                                     ( Z ^ 2 ) = ( ( X ^ 2 ) + ( Y ^ 2 ) ) ) $=
      ( cc c2 co cmul cc0 wcel w3a wne wa cpi cdiv cneg cpr cexp caddc ccos cfv
      cmin wceq lawcos 3adant3 wo elpri fveq2 coshalfpi eqtrdi cosneghalfpi syl
      jaoi 3ad2ant3 oveq2d subcl 3adant1 3ad2ant1 abscld recnd eqeltrid 3adant2
      cabs mulcld mul01d eqtrd 2t0e0 sqcld addcld subid1d 3eqtrd ) CPUAZDPUAZEP
      UAZUBZCEUCDEUCUDZGUEQUFRZWHUGZUHUAZUBZJQUIRZHQUIRZIQUIRZUJRZQHISRZGUKULZS
      RZSRZUMRZWOTUMRWOWFWGWLWTUNWJABCDEFGHIJKLMNOUOUPWKWSTWOUMWKWSQTSRTWKWRTQS
      WKWRWPTSRTWKWQTWPSWJWFWQTUNZWGWJGWHUNZGWIUNZUQXAGWHWIURXBXAXCXBWQWHUKULTG
      WHUKUSUTVAXCWQWIUKULTGWIUKUSVBVAVDVCVEVFWKWPWKHIWKHDEUMRZVNULZPLWKXEWKXDW
      FWGXDPUAZWJWDWEXFWCDEVGVHVIVJVKVLZWKICEUMRZVNULZPMWKXIWKXHWFWGXHPUAZWJWCW
      EXJWDCEVGVMVIVJVKVLZVOVPVQVFVRVAVFWKWOWKWMWNWKHXGVSWKIXKVSVTWAWB $.
  $}

  $( Lemma for ~ isosctr .  (Contributed by Saveliy Skresanov, 30-Dec-2016.) $)
  isosctrlem1 $p |- ( ( A e. CC /\ ( abs ` A ) = 1 /\ -. 1 = A ) ->
                                      ( Im ` ( log ` ( 1 - A ) ) ) =/= _pi ) $=
    ( cc wcel cfv c1 wceq wn cmin co cpi ax-1cn mpan adantr cc0 3adant2 cle wbr
    cr wa cre cabs w3a clog cim subcl subeq0 notbid biimpar neqned logcld imcld
    wb cdiv clt wne 3ad2ant1 releabs breq2 adantl mpbid recl recnd subidd simpl
    recld 1red simpr lesub1dd eqbrtrrd syldan resub re1 oveq1i breqtrrd 3adant3
    c2 eqtrdi cneg cxr cicc neghalfpirx halfpire rexri argrege0 iccleub syl3anc
    mp3an12i crp pirp rphalflt ax-mp jctir pire a1i rehalfcld lelttr mpd ltned
    wi ) ABCZAUADZEFZEAFZGZUBZEAHIZUCDZUDDZJWTXDXHRCZXBWTXDSZXGXJXFWTXFBCZXDEBC
    ZWTXKKEAUELZMXJXFNWTXFNFZGZXDXLWTXOXDULKXLWTSZXNXCEAUFUGLUHUIZUJUKZOXEXHJVP
    UMIZPQZXSJUNQZSZXHJUNQZXEXTYAXEXKXFNUOZNXFTDZPQZXTWTXBXKXDXMUPWTXDYDXBXQOWT
    XBYFXDWTXBSZNEATDZHIZYEPWTXBYHEPQZNYIPQYGYHXAPQZYJWTYKXBAUQMXBYKYJULWTXAEYH
    PURUSUTWTYJSZYHYHHIZNYIPWTYMNFYJWTYHWTYHAVAVBVCMYLYHEYHYLAWTYJVDVEZYLVFYNWT
    YJVGVHVIVJWTYEYIFZXBXLWTYOKXPYEETDZYHHIYIEAVKYPEYHHVLVMVQLMVNVOXSVRZVSCXSVS
    CXKYDYFUBXHYQXSVTICXTWAXSWBWCXFWDYQXSXHWEWGWFJWHCYAWIJWJWKWLWTXDYBYCWSZXBXJ
    XIXSRCJRCZYRXRXJJYSXJWMWNZWOYTXHXSJWPWFOWQWR $.

  $( Lemma for ~ isosctr .  Corresponds to the case where one vertex is at 0,
     another at 1 and the third lies on the unit circle.  (Contributed by
     Saveliy Skresanov, 31-Dec-2016.) $)
  isosctrlem2 $p |- ( ( A e. CC /\ ( abs ` A ) = 1 /\ -. 1 = A ) ->
      ( Im ` ( log ` ( 1 - A ) ) ) =
      ( Im ` ( log ` ( -u A / ( 1 - A ) ) ) ) ) $=
    ( cc wcel cfv c1 wceq cmin co clog cim cneg cdiv cc0 wa adantr wne ccj cmul
    cr eqeltrrd cabs wn w3a caddc crp 1cnd simpl1 negsubd 1rp a1i simpl3 simpl2
    wo sub32d 1m1e0 oveq1i df-neg eqtr4i eqtrdi simp1 subcld ax-1cn subeq0 mpan
    wb biimpd con3dimp neqned 3adant2 recrecd div2negd negcld cjdivd fveq2 abs0
    cjnegd eqtr2 sylan2 ax-1ne0 neneq mp1i pm2.65da adantl df-ne cexp oveq1 sq1
    absvalsq eqtr3d 3adant3 oveq1d cjcld simp3 divcan3d eqtrd syl3an3br mpd3an3
    eqcomd negeqd cjsub 1red cjred oveq2d 3eqtrd 3ad2ant2 simpl divnegd syl2anc
    simpr divcld reccld cjne0d eqnetrrd divcan5d divcan2d subdid mulid1d recidd
    c2 oveq12d 3eqtr2d subcl negnegd negsubdi2 reim0bd eqeltrd recne0d rereccld
    resubcld negrebd absord eqeq1 orim12d sylc reim0d logcld imcld recnd fveq2d
    relogcld ord mpd rpaddcld rpdivcld eqtr4d negne0d divne0d logcj isosctrlem1
    sylan cpi logrec syl3anc 3eqtr4rd 3eqtr3rd imnegd 3eqtr3d neg11d pm2.61dane
    imcjd ) ABCZAUADZEFZEAFZUBZUCZEAGHZIDZJDZAKZUVGLHZIDZJDZFUVKJDZMUVFUVNMFZNZ
    UVIMUVMUVPUVHUVPUVGUVPEUVJUDHUVGUEUVPEAUVPUFZUVAUVCUVEUVOUGZUHUVPEUVJEUECUV
    PUIUJZUVPEUVJUEUVPUVEEUVJFZUVAUVCUVEUVOUKUVPUVDUVTUVPUVCUVBAFZUVBUVJFZUMUVD
    UVTUMUVAUVCUVEUVOULUVPAUVPAUVRUVPUVGEGHZUVJSUVPUWCEEGHZAGHZUVJUVPEAEUVQUVRU
    VQUNUWEMAGHUVJUWDMAGUOUPAUQURUSUVPUVGEUVPEEUVGLHZLHUVGSUVPUVGUVFUVGBCZUVOUV
    FEAUVFUFZUVAUVCUVEUTZVAZOUVFUVGMPZUVOUVAUVEUWKUVCUVAUVENUVGMUVAUVGMFZUVDUVA
    UWLUVDEBCZUVAUWLUVDVEVBEAVCVDVFVGVHVIZOVJUVPUWFUVPEKZUVGKZLHZUWFSUVFUWQUWFF
    UVOUVFEUVGUWHUWJUWNVKZOUVPUVKQDZUWQSUVFUWSUWQFUVOUVFUWSEALHZKZEUWTGHZLHZUWO
    AEGHZLHZUWQUVFUWSUVJQDZUVGQDZLHUXAUXGLHUXCUVFUVJUVGUVFAUWIVLZUWJUWNVMUVFUXF
    UXAUXGLUVFUXFAQDZKUXAUVFAUWIVPUVFUXIUWTUVAUVCUXIUWTFUVEUVAUVCNZUWTUXIUVAUVC
    AMFZUBZUWTUXIFZUVCUXLUVAUVCUXKEMFZUXKUVCUVBMFUXNUXKUVBMUADMAMUAVNVOUSUVBEMV
    QVREMPUXNUBUVCUXKNVSEMVTWAWBZWCUXLUVAUVCAMPZUXMAMWDUVAUVCUXPUCZUWTAUXIRHZAL
    HUXIUXQEUXRALUVAUVCEUXRFUXPUXJUVBXSWEHZEUXRUVCUXSEFUVAUVCUXSEXSWEHEUVBEXSWE
    WFWGUSWCUVAUXSUXRFUVCAWHOWIWJWKUXQUXIAUXQAUVAUVCUXPUTZWLUXTUVAUVCUXPWMWNWOW
    PWQWRZWJWSWOWKUVFUXGUXBUXALUVAUVCUXGUXBFUVEUXJUXGEUXIGHZUXBUVAUXGUYBFUVCUVA
    UXGEQDZUXIGHZUYBUWMUVAUXGUYDFVBEAWTVDUVAUYCEUXIGUVAEUVAXAXBWKWOOUXJUXIUWTEG
    UYAXCWOWJZXCXDUVFUXCUWOALHZUXBLHZAUYFRHZAUXBRHZLHUXEUVFUVAUXPUXCUYGFUWIUVFA
    MUVCUVAUXLUVEUXOXEVHZUVAUXPNZUXAUYFUXBLUYKEAUYKUFUVAUXPXFUVAUXPXIXGWKXHUVFU
    YFUXBAUVFUWOAUVFEUWHVLZUWIUYJXJUVFEUWTUWHUVFAUWIUYJXKZVAUWIUVFUXGUXBMUYEUVF
    UVGUWJUWNXLXMUYJXNUVFUYHUWOUYIUXDLUVFUWOAUYLUWIUYJXOUVFUYIAERHZAUWTRHZGHUXD
    UVFAEUWTUWIUWHUYMXPUVFUYNAUYOEGUVFAUWIXQUVFAUWIUYJXRXTWOXTYAUVFUXDUWPUWOLUV
    FUVAUWMUXDUWPFUWIUWHUVAUWMNZUXDKZKUXDUWPUYPUXDAEYBYCUYPUYQUVGAEYDWSWIXHXCXD
    ZOUVPUWSUVKSUVPUVKUVPUVKUVFUVKBCZUVOUVFUVJUVGUXHUWJUWNXJZOUVFUVOXIYEZXBVUAY
    FTTUVFUWFMPUVOUVFUVGUWJUWNYGZOYHTUVPXAYITYJYKUVCUWAUVDUWBUVTUVCUWAUVDUVBEAY
    LVFUVCUWBUVTUVBEUVJYLVFYMYNUUAUUBUVSTZUUCTZYTYOUVPUVLUVPUVKUVPUVJUVGVUCVUDU
    UDYTYOUUEUVFUVNMPZNZUVIUVMVUFUVIVUFUVHUVFUVHBCVUEUVFUVGUWJUWNYPOZYQYRVUFUVM
    VUFUVLVUFUVKUVFUYSVUEUYTOUVFUVKMPVUEUVFUVJUVGUXHUWJUVFAUWIUYJUUFUWNUUGOYPZY
    QYRVUFUVHKZJDUVLQDZJDUVIKUVMKVUFVUIVUJJVUFUWSIDZUWQIDZVUJVUIUVFVUKVULFVUEUV
    FUWSUWQIUYRYSOUVFUYSVUEVUKVUJFUYTUVKUUHUUJUVFVULVUIFVUEUVFUWFIDZKZKVUMVUIVU
    LUVFVUMUVFUWFUVFUVGUWJUWNXKVUBYPYCUVFUVHVUNUVFUWGUWKUVIUUKPUVHVUNFUWJUWNAUU
    IUVGUULUUMWSUVFUWQUWFIUWRYSUUNOUUOYSVUFUVHVUGUUPVUFUVLVUHUUTUUQUURUUS $.

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    isosctrlem3.1 $e |- F = ( x e. ( CC \ { 0 } ) , y e. ( CC \ { 0 } ) |->
                        ( Im ` ( log ` ( y / x ) ) ) ) $.
    $( Lemma for ~ isosctr .  Corresponds to the case where one vertex is at 0.
       (Contributed by Saveliy Skresanov, 1-Jan-2017.) $)
    isosctrlem3 $p |- ( ( ( A e. CC /\ B e. CC ) /\
                         ( A =/= 0 /\ B =/= 0 /\ A =/= B ) /\
                         ( abs ` A ) = ( abs ` B ) )
                       -> ( -u A F ( B - A ) ) = ( ( A - B ) F -u B ) ) $=
      ( cc wcel cc0 wne cfv wceq cneg cmin co c1 cdiv clog cim cmul wa w3a cabs
      simp1l simp21 simp1r subcld simp23 angneg syl22anc negsubdi2d oveq2d 1cnd
      subne0d ax-1ne0 a1i divcld necomd divne1d angvald div1d fveq2d wn absdivd
      simp3 eqcomd oveq1d abscld recnd absne0d dividd 3eqtrd neneqd isosctrlem2
      syl3anc negcld simp22 divne0d negne0d eqtr4d mulid1d subdid oveq12d eqtrd
      divcan2d angcan syl222anc eqtr3d mulneg2d negeqd 3eqtr4d 3eqtr3d ) CGHZDG
      HZUAZCIJZDIJZCDJZUBZCUCKZDUCKZLZUBZCMZCDNOZMZEOZCXEEOZXDDCNOZEOXEDMZEOZXC
      WMWPXEGHXEIJXGXHLWMWNWSXBUDZWOWPWQWRXBUEZXCCDXLWMWNWSXBUFZUGXCCDXLXNWOWPW
      QWRXBUHZUNABCXEEFUIUJXCXFXIXDEXCCDXLXNUKULXCPPDCQOZNOZEOZXQXPMZEOZXHXKXCX
      RXQPQOZRKZSKXQRKZSKZXTXCABEPXQFXCUMZPIJZXCUOUPZXCPXPYEXCDCXNXLXMUQZUGZXCP
      XPYEYHXCXPPXCDCXNXLXMXCCDXOURUSURZUNZUTXCYBYCSXCYAXQRXCXQYIVAVBVBXCYDXSXQ
      QORKSKZXTXCXPGHXPUCKZPLPXPLVCYDYLLYHXCYMXAWTQOWTWTQOPXCDCXNXLXMVDXCXAWTWT
      QXCWTXAWOWSXBVEVFVGXCWTXCWTXCCXLVHVIXCCXLXMVJVKVLXCPXPYJVMXPVNVOXCABEXQXS
      FYIYKXCXPYHVPZXCXPYHXCDCXNXLWOWPWQWRXBVQXMVRVSZUTVTVLXCCPTOZCXQTOZEOZXHXR
      XCYPCYQXEEXCCXLWAZXCYQYPCXPTOZNOXEXCCPXPXLYEYHWBXCYPCYTDNYSXCDCXNXLXMWEZW
      CWDZWCXCPGHYFXQGHZXQIJZWMWPYRXRLYEYGYIYKXLXMABPXQCEFWFWGWHXCYQCXSTOZEOZXK
      XTXCYQXEUUEXJEUUBXCUUEYTMXJXCCXPXLYHWIXCYTDUUAWJWDWCXCUUCUUDXSGHXSIJWMWPU
      UFXTLYIYKYNYOXLXMABXQXSCEFWFWGWHWKWL $.

    $( Isosceles triangle theorem.  This is Metamath 100 proof #65.
       (Contributed by Saveliy Skresanov, 1-Jan-2017.) $)
    isosctr $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC ) /\
                     ( A =/= C /\ B =/= C /\ A =/= B ) /\
                     ( abs ` ( A - C ) ) = ( abs ` ( B - C ) ) )
                 -> ( ( C - A ) F ( B - A ) ) = ( ( A - B ) F ( C - B ) ) ) $=
      ( cc wcel w3a wne cmin co cabs cfv wceq cneg cc0 subcld subne0d simp11 wb
      simp13 simp12 simp21 simp22 simp23 subcan2 3ad2ant1 necon3bid isosctrlem3
      mpbird simp3 syl231anc negsubdi2d nnncan2d oveq12d 3eqtr3d ) CHIZDHIZEHIZ
      JZCEKZDEKZCDKZJZCELMZNODELMZNOPZJZVGQZVHVGLMZFMZVGVHLMZVHQZFMZECLMZDCLMZF
      MCDLMZEDLMZFMVJVGHIVHHIVGRKVHRKVGVHKZVIVMVPPVJCEUSUTVAVFVIUAZUSUTVAVFVIUC
      ZSVJDEUSUTVAVFVIUDZWCSVJCEWBWCVBVCVDVEVIUETVJDEWDWCVBVCVDVEVIUFTVJWAVEVBV
      CVDVEVIUGVJVGVHCDVBVFVGVHPCDPUBVICDEUHUIUJULVBVFVIUMABVGVHFGUKUNVJVKVQVLV
      RFVJCEWBWCUOVJDCEWDWBWCUPUQVJVNVSVOVTFVJCDEWBWDWCUPVJDEWDWCUOUQUR $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x y E $.
    $d x y G $.
    ssscongptld.angdef $e |- F = ( x e. ( CC \ { 0 } ) , y e. ( CC \ { 0 } )
                             |-> ( Im ` ( log ` ( y / x ) ) ) ) $.
    ssscongptld.1 $e |- ( ph -> A e. CC ) $.
    ssscongptld.2 $e |- ( ph -> B e. CC ) $.
    ssscongptld.3 $e |- ( ph -> C e. CC ) $.
    ssscongptld.4 $e |- ( ph -> D e. CC ) $.
    ssscongptld.5 $e |- ( ph -> E e. CC ) $.
    ssscongptld.6 $e |- ( ph -> G e. CC ) $.
    ssscongptld.7 $e |- ( ph -> A =/= B ) $.
    ssscongptld.8 $e |- ( ph -> B =/= C ) $.
    ssscongptld.9 $e |- ( ph -> D =/= E ) $.
    ssscongptld.10 $e |- ( ph -> E =/= G ) $.
    ssscongptld.11 $e |- ( ph -> ( abs ` ( A - B ) ) = ( abs ` ( D - E ) ) ) $.
    ssscongptld.12 $e |- ( ph -> ( abs ` ( B - C ) ) = ( abs ` ( E - G ) ) ) $.
    ssscongptld.13 $e |- ( ph -> ( abs ` ( C - A ) ) = ( abs ` ( G - D ) ) ) $.
    $( If two triangles have equal sides, one angle in one triangle has the
       same cosine as the corresponding angle in the other triangle.  This is a
       partial form of the SSS congruence theorem.

       This theorem is proven by using ~ lawcos on both triangles to express
       one side in terms of the other two, and then equating these expressions
       and reducing this algebraically to get an equality of cosines of angles.
       (Contributed by David Moews, 28-Feb-2017.) $)
    ssscongptld $p |- ( ph -> ( cos ` ( ( A - B ) F ( C - B ) ) ) =
                              ( cos ` ( ( D - E ) F ( G - E ) ) ) ) $=
      ( cmin co ccos cfv cabs cmul cpi cneg cc cr negpitopissre ax-resscn sstri
      subcld subne0d necomd angcld sselid coscld abscld absne0d mulne0d abssubd
      cioc recnd mulcld 3eqtr4d oveq12d oveq1d c2 eqeltrd 2cnd cc0 wne 2ne0 a1i
      cexp caddc sqcld addcld wcel wceq lawcos syl32anc 3eqtr3d eqtr3d mulcanad
      eqid subcand ) ADEUEUFZFEUEUFZIUFZUGUHZGHUEUFZJHUEUFZIUFZUGUHZWRUIUHZWSUI
      UHZUJUFZAWPAUKULUKVHUFZUMWPXEUNUMUOUPUQZABCIWNWOKADELMURADELMRUSAFENMURAF
      ENMAEFSUTZUSVAVBVCZAWTAXEUMWTXFABCIWRWSKAGHOPURZAGHOPTUSZAJHQPURZAJHQPAHJ
      UAUTZUSZVAVBVCZAXBXCAXBAWRXIVDVIZAXCAWSXKVDVIZVJZAXBXCXOXPAWRXIXJVEAWSXKX
      MVEVFAWNUIUHZWOUIUHZUJUFZWQUJUFZXDWQUJUFXDXAUJUFZAXTXDWQUJAXRXBXSXCUJUBAE
      FUEUFUIUHHJUEUFUIUHXSXCUCAFENMVGAJHQPVGVKZVLVMAYAYBVNAXTWQAXRXSAXRXBUMUBX
      OVOAXSXCUMYCXPVOVJXHVJZAXDXAXQXNVJZAVPZVNVQVRAVSVTAXBVNWAUFZXCVNWAUFZWBUF
      ZVNYAUJUFZVNYBUJUFZAYGYHAXBXOWCAXCXPWCWDAVNYAYFYDVJAVNYBYFYEVJAXRVNWAUFZX
      SVNWAUFZWBUFZYJUEUFZYIYJUEUFYIYKUEUFZAYNYIYJUEAYLYGYMYHWBAXRXBVNWAUBVMAXS
      XCVNWAYCVMVLVMAFDUEUFUIUHZVNWAUFZJGUEUFUIUHZVNWAUFZYOYPAYQYSVNWAUDVMAFUMW
      EDUMWEEUMWEFEVRDEVRYRYOWFNLMXGRBCFDEIWPXRXSYQKXRWLXSWLYQWLWPWLWGWHAJUMWEG
      UMWEHUMWEJHVRGHVRYTYPWFQOPXLTBCJGHIWTXBXCYSKXBWLXCWLYSWLWTWLWGWHWIWJWMWKW
      JWK $.
  $}

  ${
    affineequiv.a $e |- ( ph -> A e. CC ) $.
    affineequiv.b $e |- ( ph -> B e. CC ) $.
    affineequiv.c $e |- ( ph -> C e. CC ) $.
    affineequiv.d $e |- ( ph -> D e. CC ) $.
    $( Equivalence between two ways of expressing ` B ` as an affine
       combination of ` A ` and ` C ` .  (Contributed by David Moews,
       28-Feb-2017.) $)
    affineequiv $p |- ( ph -> ( B = ( ( D x. A ) + ( ( 1 - D ) x. C ) )
                             <-> ( C - B ) = ( D x. ( C - A ) ) ) ) $=
      ( cmul co c1 cmin caddc wceq cc0 mulcld subsubd subcld addcomd 1cnd eqtrd
      eqtr2d subdird mulid2d oveq1d oveq2d pncan3d subdid oveq12d eqtr3d eqeq2d
      addsubassd 3eqtr4d addid1d eqeq1d 0cnd addcand 3bitr2d eqcom bitrdi bitrd
      subeq0ad ) ACEBJKZLEMKDJKZNKZOZDCMKZEDBMKZJKZMKZPOZVHVJOAVGPVKOZVLAVGCCVK
      NKZOCPNKZVNOVMAVFVNCAVDDEDJKZMKZNKZDVPVDMKZMKZVFVNAVTVQVDNKVRADVPVDHAEDIH
      QZAEBIFQZRAVQVDADVPHWASWBTUCAVEVQVDNAVELDJKZVPMKVQALEDAUAIHUDAWCDVPMADHUE
      UFUBUGACVHNKZVJMKVNVTACVHVJGADCHGSZAEVIIADBHFSQZUMAWDDVJVSMACDGHUHAEDBIHF
      UIUJUKUNULAVOCVNACGUOUPACPVKGAUQAVHVJWEWFSURUSPVKUTVAAVHVJWEWFVCVB $.

    $( Equivalence between two ways of expressing ` B ` as an affine
       combination of ` A ` and ` C ` .  (Contributed by David Moews,
       28-Feb-2017.) $)
    affineequiv2 $p |- ( ph -> ( B = ( ( D x. A ) + ( ( 1 - D ) x. C ) )
                              <-> ( B - A ) = ( ( 1 - D ) x. ( C - A ) ) ) ) $=
      ( cmul co c1 cmin caddc wceq affineequiv subcld mulcld subcanad nnncan1d
      1cnd subdird mulid2d oveq1d eqtr2d eqeq12d 3bitr2d ) ACEBJKLEMKZDJKNKODCM
      KZEDBMKZJKZOUJUIMKZUJUKMKZOCBMKZUHUJJKZOABCDEFGHIPAUJUIUKADBHFQZADCHGQAEU
      JIUPRSAULUNUMUOADBCHFGTAUOLUJJKZUKMKUMALEUJAUAIUPUBAUQUJUKMAUJUPUCUDUEUFU
      G $.

    $( Equivalence between two ways of expressing ` A ` as an affine
       combination of ` B ` and ` C ` .  (Contributed by AV, 22-Jan-2023.) $)
    affineequiv3 $p |- ( ph -> ( A = ( ( ( 1 - D ) x. B ) + ( D x. C ) )
                                 <-> ( A - B ) = ( D x. ( C - B ) ) ) ) $=
      ( c1 cmin co cmul caddc wceq subcld mulcld eqeq2d cneg negsubdi2d addcomd
      1cnd affineequiv eqcomd eqeq1d oveq2d mulneg2d eqtrd neg11ad 3bitrd ) ABJ
      EKLZCMLZEDMLZNLZOBUMULNLZOCBKLZECDKLZMLZOZBCKLZEDCKLZMLZOZAUNUOBAULUMAUKC
      AJEAUBIPGQAEDIHQUARADBCEHFGIUCAUSUTSZUROVDVBSZOVCAUPVDURAVDUPABCFGTUDUEAU
      RVEVDAUREVASZMLVEAUQVFEMAVFUQADCHGTUDUFAEVAIADCHGPZUGUHRAUTVBABCFGPAEVAIV
      GQUIUJUJ $.

    $( Equivalence between two ways of expressing ` A ` as an affine
       combination of ` B ` and ` C ` .  (Contributed by AV, 22-Jan-2023.) $)
    affineequiv4 $p |- ( ph -> ( A = ( ( ( 1 - D ) x. B ) + ( D x. C ) )
                             <-> A = ( ( D x. ( C - B ) ) + B ) ) ) $=
      ( c1 cmin co cmul caddc wceq affineequiv3 subcld mulcld subadd2d eqcom
      bitrdi bitrd ) ABJEKLCMLEDMLNLOBCKLEDCKLZMLZOZBUDCNLZOZABCDEFGHIPAUEUFBOU
      GABCUDFGAEUCIADCHGQRSUFBTUAUB $.

    affineequivne.d $e |- ( ph -> B =/= C ) $.
    $( Equivalence between two ways of expressing ` A ` as an affine
       combination of ` B ` and ` C ` if ` B ` and ` C ` are not equal.
       (Contributed by AV, 22-Jan-2023.) $)
    affineequivne $p |- ( ph -> ( A = ( ( ( 1 - D ) x. B ) + ( D x. C ) )
                                  <-> D = ( ( A - B ) / ( C - B ) ) ) ) $=
      ( c1 cmin co cmul caddc wceq cdiv affineequiv3 subcld necomd eqcom bitrd
      subne0d divmul3d bitr3di ) ABKELMCNMEDNMOMPBCLMZEDCLMZNMPZEUFUGQMZPZABCDE
      FGHIRAUIEPUHUJAUFEUGABCFGSIADCHGSADCHGACDJTUCUDUIEUAUEUB $.
  $}

  ${
    angpieqvdlem.A $e |- ( ph -> A e. CC ) $.
    angpieqvdlem.B $e |- ( ph -> B e. CC ) $.
    angpieqvdlem.C $e |- ( ph -> C e. CC ) $.
    angpieqvdlem.AneB $e |- ( ph -> A =/= B ) $.
    angpieqvdlem.AneC $e |- ( ph -> A =/= C ) $.
    $( Equivalence used in the proof of ~ angpieqvd .  (Contributed by David
       Moews, 28-Feb-2017.) $)
    angpieqvdlem $p |- ( ph -> ( -u ( ( C - B ) / ( A - B ) ) e. RR+ <->
                               ( ( C - B ) / ( C - A ) ) e. ( 0 (,) 1 ) ) ) $=
      ( cmin co cdiv cneg crp wcel c1 subcld subne0d oveq1d eqtrd divcld negcld
      caddc cc0 cioo necomd subneintr2d divne1d negned xov1plusxeqvd negsubdi2d
      1cnd divnegd dividd divsubdird negsubd 3eqtr4rd nnncan2d oveq12d divcan7d
      div2subd 3eqtrrd eleq1d bitr4d ) ADCJKZBCJKZLKZMZNOVHPVHUCKZLKZUDPUEKZOVE
      DBJKLKZVKOAVHAVGAVEVFADCGFQZABCEFQZABCEFHRZUAZUBAVGPVPAULZAVEVFVMVNVOADBC
      GEFABDIUFUGUHUIUJAVLVJVKAVJCDJKZVFLKZBDJKZVFLKZLKVRVTLKVLAVHVSVIWALAVHVEM
      ZVFLKVSAVEVFVMVNVOUMAWBVRVFLADCGFUKSTAVIVFVEJKZVFLKZWAAVFVFLKZVGJKPVGJKWD
      VIAWEPVGJAVFVNVOUNSAVFVEVFVNVMVNVOUOAPVGVQVPUPUQAWCVTVFLABDCEGFURSTUSAVRV
      TVFACDFGQABDEGQVNABDEGIRVOUTACDBDFGEGIVAVBVCVD $.
  $}

  ${
    angpieqvd.angdef $e |- F = ( x e. ( CC \ { 0 } ) , y e. ( CC \ { 0 } ) |->
                           ( Im ` ( log ` ( y / x ) ) ) ) $.

    $d x y A $.  $d x y B $.  $d x y C $.
    angpieqvd.A $e |- ( ph -> A e. CC ) $.
    angpieqvd.B $e |- ( ph -> B e. CC ) $.
    angpieqvd.C $e |- ( ph -> C e. CC ) $.
    angpieqvd.AneB $e |- ( ph -> A =/= B ) $.
    angpieqvd.BneC $e |- ( ph -> B =/= C ) $.
    $( Equivalence used in ~ angpieqvd .  (Contributed by David Moews,
       28-Feb-2017.) $)
    angpieqvdlem2 $p |- ( ph -> ( -u ( ( C - B ) / ( A - B ) ) e. RR+
                                     <-> ( ( A - B ) F ( C - B ) ) = _pi ) ) $=
      ( cmin co wcel cfv cpi wceq subcld cdiv cneg crp clog cim cc0 wne subne0d
      cc wb divcld necomd divne0d lognegb syl2anc angvald eqeq1d bitr4d ) AFENO
      ZDENOZUAOZUBUCPZVAUDQUEQZRSZUTUSGOZRSAVAUIPVAUFUGVBVDUJAUSUTAFEKJTZADEIJT
      ZADEIJLUHZUKAUSUTVFVGAFEKJAEFMULUHZVHUMVAUNUOAVEVCRABCGUTUSHVGVHVFVIUPUQU
      R $.

    $( If the angle at ABC is ` _pi ` , then ` A ` is not equal to ` C ` .
       (Contributed by David Moews, 28-Feb-2017.) $)
    angpined $p |- ( ph -> ( ( ( A - B ) F ( C - B ) ) = _pi -> A =/= C ) ) $=
      ( cmin co wceq crp wcel wne c1 cpi cdiv angpieqvdlem2 wa wn 1rp cr cc0 wb
      cneg 1re ax-1ne0 rpneg mp2an mpbi cc subcld adantr subne0d simpr diveq1bd
      oveq1d adantlr negeqd simplr eqeltrrd necon3bd mpi necom syl6ib sylbird
      ex ) ADENOZFENOZGOUAPVNVMUBOZUJZQRZDFSZABCDEFGHIJKLMUCAVQFDSZVRAVQVSAVQUD
      ZTUJZQRZUEZVSTQRZWCUFTUGRTUHSWDWCUIUKULTUMUNUOVTWBFDVTFDPZWBVTWEUDZVPWAQW
      FVOTAWEVOTPVQAWEUDZVNVMAVMUPRWEADEIJUQURAVMUHSWEADEIJLUSURWGFDENAWEUTVBVA
      VCVDAVQWEVEVFVLVGVHVLFDVIVJVK $.

    $d w F $.  $d w ph $.  $d w A $.  $d w B $.  $d w C $.

    $( The angle ABC is ` _pi ` iff ` B ` is a nontrivial convex combination of
       ` A ` and ` C ` , i.e., iff ` B ` is in the interior of the segment AC.
       (Contributed by David Moews, 28-Feb-2017.) $)
    angpieqvd $p |- ( ph -> ( ( ( A - B ) F ( C - B ) ) = _pi <->
                     E. w e. ( 0 (,) 1 ) B = ( ( w x. A ) +
                                                    ( ( 1 - w ) x. C ) ) ) ) $=
      ( co wceq cmul wcel adantr 3ad2ant1 cmin cpi cv c1 caddc cc0 cioo wrex wa
      cdiv cneg crp angpieqvdlem2 biimpar cc angpined angpieqvdlem mpbid subcld
      wne necomd subne0d divcan1d eqcomd divcld affineequiv mpbird oveq1 oveq1d
      imp oveq2 oveq12d rspceeqv syl2anc ex simpr elioore recn 3syl w3a 3adant3
      cr simp3 eqnetrrd mulne0bbd divmul3d simp2 eqeltrd subne0ad 3expia sylbid
      rexlimdva impbid ) AEFUAOZGFUAOZHOUBPZFDUCZEQOZUDWQUAOZGQOZUEOZPZDUFUDUGO
      ZUHZAWPXDAWPUIZWOGEUAOZUJOZXCRZFXGEQOZUDXGUAOZGQOZUEOZPZXDXEWOWNUJOUKULRZ
      XHAXNWPABCEFGHIJKLMNUMUNXEEFGAEUORZWPJSZAFUORZWPKSZAGUORZWPLSZAEFUTZWPMSA
      WPEGUTABCEFGHIJKLMNUPVJZUQURXEXMWOXGXFQOZPXEYCWOXEWOXFAWOUORZWPAGFLKUSZSZ
      AXFUORZWPAGELJUSZSZXEGEXTXPXEEGYBVAVBZVCVDXEEFGXGXPXRXTXEWOXFYFYIYJVEVFVG
      DXGXCXAXLFWQXGPZWRXIWTXKUEWQXGEQVHYKWSXJGQWQXGUDUAVKVIVLVMVNVOAXBWPDXCAWQ
      XCRZUIZXBWOWQXFQOZPZWPYMEFGWQAXOYLJSAXQYLKSAXSYLLSYMYLWQWBRWQUORZAYLVPWQU
      FUDVQWQVRVSZVFAYLYOWPAYLYOVTZXNWPYRXNXHYRXGWQXCYRXGWQPYOAYLYOWCZYRWOWQXFA
      YLYDYOYETAYLYPYOYQWAZAYLYGYOYHTZYRWQXFYTUUAYRWOYNUFYSAYLWOUFUTYOAGFLKAFGN
      VAVBTWDWEZWFVGAYLYOWGWHYREFGAYLXOYOJTZAYLXQYOKTZAYLXSYOLTZAYLYAYOMTZYRGEY
      RGEUUEUUCUUBWIVAUQVGYRBCEFGHIUUCUUDUUEUUFAYLFGUTYONTUMURWJWKWLWM $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y M $.  $d x y Q $.
    chordthmlem.angdef $e |- F = ( x e. ( CC \ { 0 } ) , y e. ( CC \ { 0 } )
                             |-> ( Im ` ( log ` ( y / x ) ) ) ) $.
    chordthmlem.A $e |- ( ph -> A e. CC ) $.
    chordthmlem.B $e |- ( ph -> B e. CC ) $.
    chordthmlem.Q $e |- ( ph -> Q e. CC ) $.
    chordthmlem.M $e |- ( ph -> M = ( ( A + B ) / 2 ) ) $.
    chordthmlem.ABequidistQ $e |- ( ph -> ( abs ` ( A - Q ) ) =
                                          ( abs ` ( B - Q ) ) ) $.
    chordthmlem.AneB $e |- ( ph -> A =/= B ) $.
    chordthmlem.QneM $e |- ( ph -> Q =/= M ) $.
    $( If ` M ` is the midpoint of AB and AQ = BQ, then QMB is a right angle.
       The proof uses ~ ssscongptld to observe that, since AMQ and BMQ have
       equal sides, the angles QMB and QMA must be equal.  Since they are
       supplementary, both must be right angles.  (Contributed by David Moews,
       28-Feb-2017.) $)
    chordthmlem $p |- ( ph -> ( ( Q - M ) F ( B - M ) ) e.
                                          { ( _pi / 2 ) , -u ( _pi / 2 ) } ) $=
      ( co cfv wceq c2 cmin ccos cc0 cpi cdiv cneg cpr wcel negpitopissre caddc
      cioc cr cc addcld halfcld eqeltrd subcld subne0d cmul oveq1d times2d 2cnd
      wne 2ne0 divcan1d 3eqtr3d addneintr2d eqnetrd neneqd oveq12 anidms neqned
      nsyl necomd angcld sselid recnd coscld negsubdi2d addsubeq4d mpbid eqtr4d
      a1i oveq2d cosangneg2d addneintrd neeqtrrd cabs eqidd absnegd ssscongptld
      fveq2d 3eqtr3rd eqnegad wb coseq0negpitopi syl ) AFHUAQZEHUAQZGQZUBRZUCSZ
      WTUDTUEQZXCUFUGUHZAXAAWTAWTAUDUFUDUKQZULWTUIABCGWRWSIAFHLAHDEUJQZTUEQZUMM
      AXFADEJKUNZUOUPZUQZAFHLXIPURZAEHKXIUQZAEHKXIAHEAHEAHHUJQZEEUJQZSZHESZAXMX
      NAXMXFXNAHTUSQXGTUSQXMXFAHXGTUSMUTAHXIVAAXFTXHAVBTUCVCAVDWCVEVFZADEEJKKOV
      GVHVIXPXOHEHEUJVJVKVMVLZVNURZVOZVPVQVRAWRWSUFZGQZUBRWRDHUAQZGQZUBRXAUFXAA
      YBYDUBAYAYCWRGAYAHEUAQZYCAEHKXIVSAXMXFSYCYESXQAHHDEXIXIJKVTWAZWBWDWLABCGW
      RWSIXJXKXLXSWEABCFHDFHGEILXIJLXIKPAHDAXMDDUJQZSZHDSZAXMYGAYGXMAYGXFXMADDE
      JJKOWFXQWGVNVIYIYHHDHDUJVJVKVMVLPXRAWRWHRWIAYCUFZWHRYCWHRHDUAQZWHRYEWHRAY
      CADHJXIUQWJAYJYKWHADHJXIVSWLAYCYEWHYFWLVFNWKWMWNAWTXEUHXBXDWOXTWTWPWQWA
      $.
  $}

  ${
    $d x y Q $.  $d x y P $.  $d x y M $.  $d x y B $.  $d x y A $.
    chordthmlem2.angdef $e |- F = ( x e. ( CC \ { 0 } ) , y e. ( CC \ { 0 } )
                                          |-> ( Im ` ( log ` ( y / x ) ) ) ) $.
    chordthmlem2.A $e |- ( ph -> A e. CC ) $.
    chordthmlem2.B $e |- ( ph -> B e. CC ) $.
    chordthmlem2.Q $e |- ( ph -> Q e. CC ) $.
    chordthmlem2.X $e |- ( ph -> X e. RR ) $.
    chordthmlem2.M $e |- ( ph -> M = ( ( A + B ) / 2 ) ) $.
    chordthmlem2.P $e |- ( ph -> P = ( ( X x. A ) + ( ( 1 - X ) x. B ) ) ) $.
    chordthmlem2.ABequidistQ $e |- ( ph -> ( abs ` ( A - Q ) ) =
                                                       ( abs ` ( B - Q ) ) ) $.
    chordthmlem2.PneM $e |- ( ph -> P =/= M ) $.
    chordthmlem2.QneM $e |- ( ph -> Q =/= M ) $.
    $( If M is the midpoint of AB, AQ = BQ, and P is on the line AB, then QMP
       is a right angle.  This is proven by reduction to the special case
       ~ chordthmlem , where P = B, and using ~ angrtmuld to observe that QMP
       is right iff QMB is.  (Contributed by David Moews, 28-Feb-2017.) $)
    chordthmlem2 $p |- ( ph -> ( ( Q - M ) F ( P - M ) ) e.
                                          { ( _pi / 2 ) , -u ( _pi / 2 ) } ) $=
      ( cmin co cpi c2 cdiv cneg cpr wcel c1 2re a1i cc0 2ne0 rereccld resubcld
      cr wne recnd subcld cmul subdird caddc 2cnd times2d oveq1d eqtr3d oveq12d
      divcan4d addcld divsubdird pnpcan2d 3eqtr2d divrec2d eqtrd wceq cc mulcld
      1cnd eqeltrd affineequiv mpbid halfcld nnncan1d 3eqtr2rd subne0d eqnetrrd
      mulne0bbd subne0ad necomd chordthmlem recne0d mulne0d mulne0bad divcan5rd
      eqnetrd redivcld angrtmuld mpbird ) AGIUAUBZFIUAUBZHUBUCUDUEUBZXAUFUGZUHW
      SEIUAUBZHUBXBUHABCDEGHIKLMNPRAEDAEDMLAUIUDUEUBZJUAUBZEDUAUBZAXEAXDJAUDUDU
      PUHAUJUKUDULUQAUMUKZUNZOUOZURZAEDMLUSZAWTXEXFUTUBZULAXLXDXFUTUBZJXFUTUBZU
      AUBXCEFUAUBZUAUBWTAXDJXFAXDXHURZAJOURZXKVAAXCXMXOXNUAAXCXFUDUEUBZXMAXCEEV
      BUBZUDUEUBZDEVBUBZUDUEUBZUAUBXSYAUAUBZUDUEUBXRAEXTIYBUAAEUDUTUBZUDUEUBEXT
      AEUDMAVCZXGVHAYDXSUDUEAEMVDVEVFPVGAXSYAUDAEEMMVIADELMVIZYEXGVJAYCXFUDUEAE
      DEMLMVKVEVLAXFUDXKYEXGVMVNZAFJDUTUBZUIJUAUBZEUTUBZVBUBZVOXOXNVOQADFEJLAFY
      KVPQAYHYJAJDXQLVQAYIEAUIJAVRXQUSMVQVIVSZMXQVTWAVGAEIFMAIYBVPPAYAYFWBVSZYL
      WCWDZAFIYLYMSWEZWFZWGZWHWITWJABCHWSWTXCKAGINYMUSAFIYLYMUSAEIMYMUSAGINYMTW
      EYOAXCXMULYGAXDXFXPXKAUDYEXGWKYQWLWOAXCWTUEUBZXDXEUEUBZUPAYRXMXLUEUBYSAXC
      XMWTXLUEYGYNVGAXDXEXFXPXJXKAXEXFXJXKYPWMZYQWNVNAXDXEXHXIYTWPVSWQWR $.
  $}

  ${
    $d x y Q $.  $d x y P $.  $d x y M $.  $d x y B $.  $d x y A $.
    chordthmlem3.A $e |- ( ph -> A e. CC ) $.
    chordthmlem3.B $e |- ( ph -> B e. CC ) $.
    chordthmlem3.Q $e |- ( ph -> Q e. CC ) $.
    chordthmlem3.X $e |- ( ph -> X e. RR ) $.
    chordthmlem3.M $e |- ( ph -> M = ( ( A + B ) / 2 ) ) $.
    chordthmlem3.P $e |- ( ph -> P = ( ( X x. A ) + ( ( 1 - X ) x. B ) ) ) $.
    chordthmlem3.ABequidistQ $e |- ( ph -> ( abs ` ( A - Q ) ) =
                                           ( abs ` ( B - Q ) ) ) $.
    $( If M is the midpoint of AB, AQ = BQ, and P is on the line AB, then
       PQ<HTML><sup>2</sup></HTML> = QM<HTML><sup>2</sup></HTML> ` + `
       PM<HTML><sup>2</sup></HTML>.  This follows from ~ chordthmlem2 and the
       Pythagorean theorem ( ~ pythag ) in the case where P and Q are unequal
       to M. If either P or Q equals M, the result is trivial.  (Contributed
       by David Moews, 28-Feb-2017.) $)
    chordthmlem3 $p |- ( ph -> ( ( abs ` ( P - Q ) ) ^ 2 ) =
                                ( ( ( abs ` ( Q - M ) ) ^ 2 ) +
                                  ( ( abs ` ( P - M ) ) ^ 2 ) ) ) $=
      ( cmin co cabs cc wcel adantr vx vy cfv c2 cexp caddc wceq wa cdiv addcld
      cc0 halfcld eqeltrd subcld abscld recnd sqcld addid1d cmul c1 mulcld 1cnd
      simpr subeq0bd abs00bd sq0id oveq2d abssubd fveq2d eqtr3d oveq1d 3eqtr4rd
      addid2d wne csn cdif cv clog cim cmpo cpi cneg simprl simprr chordthmlem2
      cpr eqid cr pythag syl321anc pm2.61da2ne ) ADEOPZQUCZUDUEPZEFOPZQUCZUDUEP
      ZDFOPZQUCZUDUEPZUFPZUGZDFEFADFUGZUHZWQUKUFPWQXAWNXDWQAWQRSXCAWPAWPAWOAEFJ
      AFBCUFPZUDUIPZRLAXEABCHIUJULUMZUNUOUPUQTURXDWTUKWQUFXDWSXDWRXDDFADRSZXCAD
      GBUSPZUTGOPZCUSPZUFPZRMAXIXKAGBAGKUPZHVAAXJCAUTGAVBXMUNIVAUJUMZTZAXCVCZVD
      VEVFVGXDWMWPUDUEXDEDOPZQUCWMWPXDEDAERSZXCJTXOVHXDXQWOQXDDFEOXPVGVIVJVKVLA
      EFUGZUHZUKWTUFPWTXAWNXTWTAWTRSXSAWSAWSAWRADFXNXGUNUOUPUQTVMXTWQUKWTUFXTWP
      XTWOXTEFAXRXSJTAXSVCZVDVEVFVKXTWMWSUDUEXTWLWRQXTEFDOYAVGVIVKVLADFVNZEFVNZ
      UHZUHZXHXRFRSZYBYCWOWRUAUBRUKVOVPZYGUBVQUAVQUIPVRUCVSUCVTZPZWAUDUIPZYJWBW
      FSXBAXHYDXNTAXRYDJTZAYFYDXGTAYBYCWCZAYBYCWDZYEUAUBBCDEYHFGYHWGZABRSYDHTAC
      RSYDITYKAGWHSYDKTAFXFUGYDLTADXLUGYDMTABEOPQUCCEOPQUCUGYDNTYLYMWEUAUBDEFYH
      YIWPWSWMYNWPWGWSWGWMWGYIWGWIWJWK $.
  $}

  ${
    chordthmlem4.A $e |- ( ph -> A e. CC ) $.
    chordthmlem4.B $e |- ( ph -> B e. CC ) $.
    chordthmlem4.X $e |- ( ph -> X e. ( 0 [,] 1 ) ) $.
    chordthmlem4.M $e |- ( ph -> M = ( ( A + B ) / 2 ) ) $.
    chordthmlem4.P $e |- ( ph -> P = ( ( X x. A ) + ( ( 1 - X ) x. B ) ) ) $.
    $( If P is on the segment AB and M is the midpoint of AB, then PA ` x. `
       PB = BM<HTML><sup>2</sup></HTML> ` - ` PM<HTML><sup>2</sup></HTML>.
       If all lengths are reexpressed as fractions of AB, this reduces to the
       identity ` X x. ( 1 - X ) = ( 1 / 2 ) `<HTML><sup>2</sup></HTML>
       ` - ( ( 1 / 2 ) - X ) `<HTML><sup>2</sup></HTML>.  (Contributed by
       David Moews, 28-Feb-2017.) $)
    chordthmlem4 $p |- ( ph -> ( ( abs ` ( P - A ) ) x. ( abs ` ( P - B ) ) ) =
                                ( ( ( abs ` ( B - M ) ) ^ 2 ) -
                                  ( ( abs ` ( P - M ) ) ^ 2 ) ) ) $=
      ( cmin co cabs cfv cmul c1 c2 cexp recnd 1red cc0 cicc cr unitssre sselid
      resubcld abscld subcld mul4d caddc wceq mulcld eqeltrd affineequiv2 mpbid
      cc addcld fveq2d absmuld abssubd affineequiv 3eqtrd oveq12d sqvald oveq2d
      eqtrd 3eqtr4d cdiv halfcld sqcld rehalfcld subdird subsq syl2anc 2halvesd
      wcel addsubassd oveq1d eqtr3d nncand cle wbr w3a elicc01 sylib abssubge0d
      eqtr2d simp3d simp2d absidd absresq syl 2cnd wne 2ne0 divcan4d divsubdird
      a1i times2d pnpcan2d 3eqtr2d divrec2d clt halfgt0 ltled nnncan1d 3eqtr2rd
      0red sqmuld 3eqtr4rd eqtr4d ) ADBLMZNOZDCLMNOZPMZQFLMZNOZFNOZPMZCBLMZNOZR
      SMZPMZCELMZNOZRSMZDELMZNOZRSMZLMZAXRYBPMZXSYBPMZPMXTYBYBPMZPMXPYDAXRYBXSY
      BAXRAXQAXQAQFAUAZAUBQUCMZUDFUEIUFZUGTZUHTAYBAYAACBHGUIZUHTZAXSAFAFYQTZUHT
      YTUJAXNYLXOYMPAXNXQYAPMZNOYLAXMUUBNADFBPMZXQCPMZUKMZULZXMUUBULKABDCFGADUU
      EUQKAUUCUUDAFBUUAGUMAXQCYRHUMURUNZHUUAUOUPUSAXQYAYRYSUTVGAXOCDLMZNOFYAPMZ
      NOYMADCUUGHVAAUUHUUINAUUFUUHUUIULKABDCFGUUGHUUAVBUPZUSAFYAUUAYSUTVCVDAYCY
      NXTPAYBYTVEVFVHAQRVIMZRSMZUUKFLMZNOZRSMZLMZYCPMUULYCPMZUUOYCPMZLMYDYKAUUL
      UUOYCAUUKAQAQYOTZVJZVKAUUNAUUNAUUMAUUMAUUKFAQYOVLZYQUGZTZUHTZVKAYBYTVKVMA
      XTUUPYCPAXQFPMZUULUUMRSMZLMZXTUUPAUVGUUKUUMUKMZUUKUUMLMZPMZUVEAUUKUQVQUUM
      UQVQUVGUVJULUUTUVCUUKUUMVNVOAUVHXQUVIFPAUUKUUKUKMZFLMUVHXQAUUKUUKFUUTUUTU
      UAVRAUVKQFLAQUUSVPVSVTAUUKFUUTUUAWAVDWHAXRXQXSFPAFQYQYOAFUDVQZUBFWBWCZFQW
      BWCZAFYPVQUVLUVMUVNWDIFWEWFZWIWGAFYQAUVLUVMUVNUVOWJWKVDAUUOUVFUULLAUUMUDV
      QUUOUVFULUVBUUMWLWMVFVHVSAYGUUQYJUURLAYGUUKYBPMZRSMUUQAYFUVPRSAYFUUKYAPMZ
      NOUUKNOZYBPMUVPAYEUVQNAYEYARVIMZUVQAYECCUKMZRVIMZBCUKMZRVIMZLMUVTUWBLMZRV
      IMUVSACUWAEUWCLACRPMZRVIMCUWAACRHAWNZRUBWOAWPWSZWQAUWEUVTRVIACHWTVSVTJVDA
      UVTUWBRACCHHURABCGHURZUWFUWGWRAUWDYARVIACBCHGHXAVSXBAYARYSUWFUWGXCVGZUSAU
      UKYAUUTYSUTAUVRUUKYBPAUUKUVAAUBUUKAXIUVAUBUUKXDWCAXEWSXFWKVSVCVSAUUKYBUUT
      YTXJVGAYJUUNYBPMZRSMUURAYIUWJRSAYIUUMYAPMZNOUWJAYHUWKNAUWKUVQUUILMYEUUHLM
      YHAUUKFYAUUTUUAYSVMAYEUVQUUHUUILUWIUUJVDACEDHAEUWCUQJAUWBUWHVJUNUUGXGXHUS
      AUUMYAUVCYSUTVGVSAUUNYBUVDYTXJVGVDXKXL $.
  $}

  ${
    chordthmlem5.A $e |- ( ph -> A e. CC ) $.
    chordthmlem5.B $e |- ( ph -> B e. CC ) $.
    chordthmlem5.Q $e |- ( ph -> Q e. CC ) $.
    chordthmlem5.X $e |- ( ph -> X e. ( 0 [,] 1 ) ) $.
    chordthmlem5.P $e |- ( ph -> P = ( ( X x. A ) + ( ( 1 - X ) x. B ) ) ) $.
    chordthmlem5.ABequidistQ $e |- ( ph -> ( abs ` ( A - Q ) ) =
                                           ( abs ` ( B - Q ) ) ) $.
    $( If P is on the segment AB and AQ = BQ, then PA ` x. ` PB =
       BQ<HTML><sup>2</sup></HTML> ` - ` PQ<HTML><sup>2</sup></HTML>.  This
       follows from two uses of ~ chordthmlem3 to show that
       PQ<HTML><sup>2</sup></HTML> = QM<HTML><sup>2</sup></HTML> ` + `
       PM<HTML><sup>2</sup></HTML> and BQ<HTML><sup>2</sup></HTML> =
       QM<HTML><sup>2</sup></HTML> ` + ` BM<HTML><sup>2</sup></HTML>, so
       BQ<HTML><sup>2</sup></HTML> ` - ` PQ<HTML><sup>2</sup></HTML> =
       (QM<HTML><sup>2</sup></HTML> ` + ` BM<HTML><sup>2</sup></HTML>) ` - `
       (QM<HTML><sup>2</sup></HTML> ` + ` PM<HTML><sup>2</sup></HTML>) =
       BM<HTML><sup>2</sup></HTML> ` - ` PM<HTML><sup>2</sup></HTML>,
       which equals PA ` x. ` PB by ~ chordthmlem4 .  (Contributed by David
       Moews, 28-Feb-2017.) $)
    chordthmlem5 $p |- ( ph -> ( ( abs ` ( P - A ) ) x. ( abs ` ( P - B ) ) ) =
                                ( ( ( abs ` ( B - Q ) ) ^ 2 ) -
                                  ( ( abs ` ( P - Q ) ) ^ 2 ) ) ) $=
      ( caddc co c2 cmin cabs cfv cmul c1 cdiv cexp addcld halfcld subcld recnd
      abscld sqcld cc cc0 cicc unitssre sselid mulcld 1cnd eqeltrd pnpcand 0red
      cr eqidd mul02d subid1d oveq1d mulid2d eqtrd oveq12d addid2d chordthmlem3
      eqtr2d chordthmlem4 3eqtr4rd ) AEBCMNZOUANZPNZQRZOUBNZCVMPNZQRZOUBNZMNZVP
      DVMPNZQRZOUBNZMNZPNVSWCPNCEPNQROUBNZDEPNQROUBNZPNDBPNQRDCPNQRSNAVPVSWCAVO
      AVOAVNAEVMIAVLABCGHUCUDZUEUGUFUHAVRAVRAVQACVMHWGUEUGUFUHAWBAWBAWAADVMADFB
      SNZTFPNZCSNZMNUIKAWHWJAFBAFAUJTUKNUSFULJUMZUFZGUNAWICATFAUOZWLUEHUNUCUPWG
      UEUGUFUHUQAWEVTWFWDPABCCEVMUJGHIAURAVMUTZAUJBSNZTUJPNZCSNZMNUJCMNCAWOUJWQ
      CMABGVAAWQTCSNCAWPTCSATWMVBVCACHVDVEVFACHVGVILVHABCDEVMFGHIWKWNKLVHVFABCD
      VMFGHJWNKVJVK $.
  $}

  ${
    $d A v w x y $.  $d B v w x y $.  $d C v w x y $.  $d D v w x y $.
    $d F v w $.  $d ph v w $.  $d P v w x y $.
    chordthm.angdef $e |- F = ( x e. ( CC \ { 0 } ) , y e. ( CC \ { 0 } ) |->
                          ( Im ` ( log ` ( y / x ) ) ) ) $.
    chordthm.A $e |- ( ph -> A e. CC ) $.
    chordthm.B $e |- ( ph -> B e. CC ) $.
    chordthm.C $e |- ( ph -> C e. CC ) $.
    chordthm.D $e |- ( ph -> D e. CC ) $.
    chordthm.P $e |- ( ph -> P e. CC ) $.
    chordthm.AneP $e |- ( ph -> A =/= P ) $.
    chordthm.BneP $e |- ( ph -> B =/= P ) $.
    chordthm.CneP $e |- ( ph -> C =/= P ) $.
    chordthm.DneP $e |- ( ph -> D =/= P ) $.
    chordthm.APB $e |- ( ph -> ( ( A - P ) F ( B - P ) ) = _pi ) $.
    chordthm.CPD $e |- ( ph -> ( ( C - P ) F ( D - P ) ) = _pi ) $.
    chordthm.Q $e |- ( ph -> Q e. CC ) $.
    chordthm.ABcirc $e |- ( ph -> ( abs ` ( A - Q ) ) =
                                  ( abs ` ( B - Q ) ) ) $.
    chordthm.ACcirc $e |- ( ph -> ( abs ` ( A - Q ) ) =
                                  ( abs ` ( C - Q ) ) ) $.
    chordthm.ADcirc $e |- ( ph -> ( abs ` ( A - Q ) ) =
                                  ( abs ` ( D - Q ) ) ) $.
    $( The intersecting chords theorem.

       If points A, B, C, and D lie on a circle (with center Q, say), and
       the point P is on the interior of the segments AB and CD, then the two
       products of lengths PA ` x. ` PB and PC ` x. ` PD are equal.

       The Euclidean plane is identified with the complex plane, and the fact
       that P is on AB and on CD is expressed by the hypothesis that the angles
       APB and CPD are equal to ` _pi ` .

       The result is proven by using ~ chordthmlem5 twice to show that PA
       ` x. ` PB and PC ` x. ` PD both equal BQ<HTML><sup>2</sup></HTML> ` - `
       PQ<HTML><sup>2</sup></HTML>.
       This is similar to the proof of the theorem given in Euclid's
       _Elements_, where it is Proposition III.35.
       This is Metamath 100 proof #55.  (Contributed by David
       Moews, 28-Feb-2017.) $)
    chordthm $p |- ( ph -> ( ( abs ` ( P - A ) ) x. ( abs ` ( P - B ) ) )
                         = ( ( abs ` ( P - C ) ) x. ( abs ` ( P - D ) ) ) ) $=
      ( vv vw cv cmul co cmin caddc wceq cabs cfv cc0 cioo cpi necomd angpieqvd
      c1 wrex mpbid wcel wa adantr c2 cexp ad2antrr eqtr3d oveq1d cicc ioossicc
      cc simprl sselid simprr chordthmlem5 simplrl simplrr 3eqtr4d rexlimddv )
      AHUGUIZFUJUKVBWDULUKGUJUKUMUKUNZHDULUKUOUPHEULUKUOUPUJUKZHFULUKUOUPHGULUK
      UOUPUJUKZUNZUGUQVBURUKZAFHULUKGHULUKJUKUSUNWEUGWIVCUBABCUGFHGJKNPOSAGHTUT
      VAVDAWDWIVEZWEVFZVFZHUHUIZDUJUKVBWMULUKEUJUKUMUKUNZWHUHWIAWNUHWIVCZWKADHU
      LUKEHULUKJUKUSUNWOUAABCUHDHEJKLPMQAEHRUTVAVDVGWLWMWIVEZWNVFZVFZEIULUKUOUP
      ZVHVIUKZHIULUKUOUPVHVIUKZULUKGIULUKUOUPZVHVIUKZXAULUKWFWGWRWTXCXAULWRWSXB
      VHVIWRDIULUKUOUPZWSXBAXDWSUNWKWQUDVJZAXDXBUNWKWQUFVJZVKVLVLWRDEHIWMADVOVE
      WKWQLVJAEVOVEWKWQMVJAIVOVEWKWQUCVJZWRWIUQVBVMUKZWMUQVBVNZWLWPWNVPVQWLWPWN
      VRXEVSWRFGHIWDAFVOVEWKWQNVJAGVOVEWKWQOVJXGWRWIXHWDXIAWJWEWQVTVQAWJWEWQWAW
      RXDFIULUKUOUPZXBAXDXJUNWKWQUEVJXFVKVSWBWCWC $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.
    heron.f $e |- F = ( x e. ( CC \ { 0 } ) , y e. ( CC \ { 0 } ) |->
      ( Im ` ( log ` ( y / x ) ) ) ) $.
    heron.x $e |- X = ( abs ` ( B - C ) ) $.
    heron.y $e |- Y = ( abs ` ( A - C ) ) $.
    heron.z $e |- Z = ( abs ` ( A - B ) ) $.
    heron.o $e |- O = ( ( B - C ) F ( A - C ) ) $.
    heron.s $e |- S = ( ( ( X + Y ) + Z ) / 2 ) $.
    heron.a $e |- ( ph -> A e. CC ) $.
    heron.b $e |- ( ph -> B e. CC ) $.
    heron.c $e |- ( ph -> C e. CC ) $.
    heron.ac $e |- ( ph -> A =/= C ) $.
    heron.bc $e |- ( ph -> B =/= C ) $.
    $( Heron's formula gives the area of a triangle given only the side
       lengths.  If points A, B, C form a triangle, then the area of the
       triangle, represented here as ` ( 1 / 2 ) x. X x. Y x. abs ( sin O ) ` ,
       is equal to the square root of
       ` S x. ( S - X ) x. ( S - Y ) x. ( S - Z ) ` , where
       ` S = ( X + Y + Z ) / 2 ` is half the perimeter of the triangle.  Based
       on work by Jon Pennant.  This is Metamath 100 proof #57.  (Contributed
       by Mario Carneiro, 10-Mar-2019.) $)
    heron $p |- ( ph ->
      ( ( ( 1 / 2 ) x. ( X x. Y ) ) x. ( abs ` ( sin ` O ) ) ) =
      ( sqrt ` ( ( S x. ( S - X ) ) x. ( ( S - Y ) x. ( S - Z ) ) ) ) ) $=
      ( c1 c2 cdiv co cmul csin cfv cabs cexp cmin 1red rehalfcld subcld abscld
      csqrt eqeltrid remulcld cpi cneg cioc negpitopissre subne0d angcld sselid
      cr recnd sincld cc0 cle wbr halfge0 a1i absge0d breqtrrdi mulge0d sqrtsqd
      cc c4 wcel halfcn mulcld sqmuld 2cnd wne 2ne0 sqdivd divrec2d oveq1d wceq
      sq2 oveq2d 3eqtr3d resincld absresq syl oveq12d sqcld caddc readdcld 4ne0
      eqtr2d mulassd ccos addcld coscld sincossq adddid 2timesd ppncand pnncand
      4cn eqtr4d 2t2e4 subdid sqvald 3eqtr4d mulcomd eqtrd mul4d syl2anc nncand
      subsq subsubd mulid1d addcomd addsubassd lawcos syl32anc addcan2ad binom2
      add32d 3eqtrd oveq2i divcan2d eqtr3d pnpcan2d resubcld subsub2d binom2sub
      syl5eq addassd pnpcand assraddsubd subsub3d mul12d mulcanad div23d fveq2d
      3eqtr2d divcan3d ) AUDUEUFUGZJKUHUGZUHUGZIUIUJZUKUJZUHUGZUEULUGZURUJUUSGG
      JUMUGZUHUGZGKUMUGZGLUMUGZUHUGZUHUGZURUJAUUSAUUPUURAUUNUUOAUDAUNUOZAJKAJEF
      UMUGZUKUJZVHNAUVHAEFTUAUPZUQUSZAKDFUMUGZUKUJZVHOAUVLADFSUAUPZUQUSZUTZUTZA
      UUQAIAIUVHUVLHUGZVTQAUVRAVAVBVAVCUGVHUVRVDABCHUVHUVLMUVJAEFTUAUCVEUVNADFS
      UAUBVEVFVGZVIUSZVJZUQZUTAUUPUURUVQUWBAUUNUUOUVGUVPVKUUNVLVMAVNVOAJKUVKUVO
      AVKUVIJVLAUVHUVJVPNVQAVKUVMKVLAUVLUVNVPOVQVRVRAUUQUWAVPVRVSAUUTUVFURAUUTU
      UPUEULUGZUURUEULUGZUHUGUUOUEULUGZWAUFUGZUUQUEULUGZUHUGZUVFAUUPUURAUUNUUOU
      UNVTWBAWCVOAJKAJUVKVIZAKUVOVIZWDZWDAUURUWBVIWEAUWCUWFUWDUWGUHAUUOUEUFUGZU
      EULUGUWEUEUEULUGZUFUGUWCUWFAUUOUEUWKAWFZUEVKWGAWHVOZWIAUWLUUPUEULAUUOUEUW
      KUWNUWOWJWKAUWMWAUWEUFUWMWAWLAWMVOZWNWOAUUQVHWBUWDUWGWLAIAIUVRVHQUVSUSWPU
      UQWQWRWSAUWEUWGUHUGZWAUFUGWAUVFUHUGZWAUFUGUWHUVFAUWQUWRWAUFAUWQUWRWAAUWEU
      WGAUUOUWKWTZAUUQUWAWTZWDAWAUVFWAVTWBAXNVOZAUVBUVEAGUVAAGAGJKXAUGZLXAUGZUE
      UFUGZVHRAUXCAUXBLAJKUVKUVOXBALDEUMUGZUKUJVHPAUXEADESTUPUQUSZXBZUOUSZVIZAG
      JUXIUWIUPZWDZAUVCUVDAGKUXIUWJUPZAGLUXIALUXFVIZUPZWDZWDWDUXAWAVKWGAXCVOZAW
      AUWEUHUGZUWGUHUGUEUUOUHUGZUEULUGZUWGUHUGZWAUWQUHUGWAUWRUHUGZAUXQUXSUWGUHA
      UXSUWMUWEUHUGZUXQAUEUUOUWNUWKWEZAUWMWAUWEUHUWPWKXDWKAWAUWEUWGUXAUWSUWTXEA
      UXTWAUVBUHUGZWAUVEUHUGZUHUGZWAUVBUYEUHUGZUHUGUYAAUXTUEKLUHUGZUHUGZUEULUGZ
      KUEULUGZLUEULUGZJUEULUGZUMUGZXAUGZUEULUGZUMUGZUYIUYOXAUGZUYIUYOUMUGZUHUGZ
      UYFAUXTUYQUXSIXFUJZUEULUGZUHUGZAUXSUWGAUXRAUEUUOUWNUWKWDZWTZUWTWDAUYJUYPA
      UYIAUEUYHUWNAKLUWJUXMWDZWDZWTZAUYOAUYKUYNAKUWJWTZAUYLUYMALUXMWTZAJUWIWTZU
      PZXGZWTZUPAUXSVUBVUEAVUAAIUVTXHZWTZWDAUXSUWGVUBXAUGZUHUGUXSUDUHUGZUXTVUCX
      AUGUYQVUCXAUGZAVUQUDUXSUHAIVTWBVUQUDWLUVTIXIWRWNAUXSUWGVUBVUEUWTVUPXJAUXS
      UYQUYKUYNUMUGZUEULUGZXAUGZVURVUSAUYJUYJUXSUMUGZUMUGUYJUYPVVAUMUGZUMUGUXSV
      VBAVVCVVDUYJUMAUEUYKUHUGZUEUYNUHUGZUHUGZUYOVUTXAUGZUYOVUTUMUGZUHUGZVVCVVD
      AVVEVVHVVFVVIUHAVVEUYKUYKXAUGVVHAUYKVUIXKAUYKUYNUYKVUIVULVUIXLXOAVVFUYNUY
      NXAUGVVIAUYNVULXKAUYKUYNUYNVUIVULVULXMXOWSAUEUEUHUGZUYKUHUGZUYNUHUGZVVKUY
      KUYNUHUGUHUGVVCVVGAVVKUYKUYNAVVKWAVTXPUXAUSZVUIVULXEAVVMVVLUYLUHUGZVVLUYM
      UHUGZUMUGVVCAVVLUYLUYMAVVKUYKVVNVUIWDVUJVUKXQAUYJVVOUXSVVPUMAUWMUYHUEULUG
      ZUHUGVVKUYKUYLUHUGZUHUGUYJVVOAUWMVVKVVQVVRUHAUEUWNXRZAKLUWJUXMWEWSAUEUYHU
      WNVUFWEAVVKUYKUYLVVNVUIVUJXEXSAUYBVVKUYKUYMUHUGZUHUGUXSVVPAUWMVVKUWEVVTUH
      VVSAUWEUYMUYKUHUGVVTAJKUWIUWJWEAUYMUYKVUKVUIXTYAWSUYCAVVKUYKUYMVVNVUIVUKX
      EXSWSXOAUEUEUYKUYNUWNUWNVUIVULYBWOAUYOVTWBZVUTVTWBVVDVVJWLVUMAUYKUYNVUIVU
      LUPZUYOVUTYEYCXSWNAUYJUXSVUHVUEYDAUYJUYPVVAVUHVUNAVUTVWBWTYFWOAUXSVUEYGAV
      UCVVAUYQXAAVVAUXRVUAUHUGZUEULUGVUCAVUTVWCUEULAUYMUYKXAUGZVWDUEUUOVUAUHUGZ
      UHUGZUMUGZUMUGZVWFVUTVWCAVWDVWFAUYMUYKVUKVUIXGAUEVWEUWNAUUOVUAUWKVUOWDWDY
      DAVUTVWDUYLUMUGZVWHAUYKUYLUMUGZUYMXAUGUYMVWJXAUGVUTVWIAVWJUYMAUYKUYLVUIVU
      JUPVUKYHAUYKUYLUYMVUIVUJVUKYFAUYMUYKUYLVUKVUIVUJYIXSAUYLVWGVWDUMADVTWBEVT
      WBFVTWBDFWGEFWGUYLVWGWLSTUAUBUCBCDEFHIJKLMNOPQYJYKWNYAAUEUUOVUAUWNUWKVUOX
      EXSWKAUXRVUAVUDVUOWEXDWNXSWOYLAUYIVTWBVWAUYQUYTWLVUGVUMUYIUYOYEYCAUYRUYDU
      YSUYEUHAUYRUYIUYKUYLXAUGZXAUGZUYMUMUGZKLXAUGZUEULUGZUYMUMUGZUYDAVWMUYIVWK
      UYMUMUGZXAUGUYRAUYIVWKUYMVUGAUYKUYLVUIVUJXGZVUKYIAVWQUYOUYIXAAUYKUYLUYMVU
      IVUJVUKYIZWNXDAVWOVWLUYMUMAVWOUYKUYIXAUGUYLXAUGZVWKUYIXAUGVWLAKVTWBZLVTWB
      ZVWOVWTWLUWJUXMKLYMYCAUYKUYIUYLVUIVUGVUJYNAVWKUYIVWRVUGYHYOWKAVWPUEGUHUGZ
      UEUVAUHUGZUHUGZVVKUVBUHUGUYDAVWPVWNJXAUGZVWNJUMUGZUHUGZVXEAVWNVTWBJVTWBZV
      WPVXHWLAKLUWJUXMXGZUWIVWNJYEYCAVXCVXFVXDVXGUHAVXCUXCJVWNXAUGZVXFAVXCUEUXD
      UHUGUXCGUXDUEUHRYPAUXCUEAUXCUXGVIUWNUWOYQUUCZAJKLUWIUWJUXMUUDZAJVWNUWIVXJ
      YHYOAVXDVXCUEJUHUGZUMUGVXKJJXAUGZUMUGVXGAUEGJUWNUXIUWIXQAVXCVXKVXNVXOUMAV
      XCUXCVXKVXLVXMYAAJUWIXKWSAJVWNJUWIVXJUWIUUEYOWSXOAUEGUEUVAUWNUXIUWNUXJYBA
      VVKWAUVBUHVVKWAWLAXPVOZWKYOUULAUYSUYMVWKUYIUMUGZUMUGZUYMLKUMUGZUEULUGZUMU
      GZUYEAUYIVWKUMUGZUYMXAUGZUYMVYBXAUGUYSVXRAVYBUYMAUYIVWKVUGVWRUPVUKYHAUYIV
      WQUMUGUYSVYCAVWQUYOUYIUMVWSWNAUYIVWKUYMVUGVWRVUKYFYRAUYMVWKUYIVUKVWRVUGUU
      AXSAVXQVXTUYMUMAVXQUYLUELKUHUGZUHUGZUMUGZUYKXAUGZVXTAVXQUYKUYLUYIUMUGZXAU
      GVYHUYKXAUGVYGAUYKUYLUYIVUIVUJVUGYIAUYKVYHVUIAUYLUYIVUJVUGUPYHAVYHVYFUYKX
      AAUYIVYEUYLUMAUYHVYDUEUHAKLUWJUXMXTWNWNWKYOAVXBVXAVXTVYGWLUXMUWJLKUUBYCXO
      WNAVYAUEUVCUHUGZUEUVDUHUGZUHUGZVVKUVEUHUGUYEAVYAJVXSXAUGZJVXSUMUGZUHUGZVY
      KAVXIVXSVTWBVYAVYNWLUWIALKUXMUWJUPJVXSYEYCAVYIVYLVYJVYMUHAVYIVXCUEKUHUGZU
      MUGJLXAUGZKXAUGZKKXAUGZUMUGZVYLAUEGKUWNUXIUWJXQAVXCVYQVYOVYRUMAVXCUXCVYQV
      XLAJKLUWIUWJUXMYNYAAKUWJXKWSAVYSJLKUWIUXMUWJAVYPKKAJLUWIUXMXGUWJUWJYSUUFY
      OAVYJVXCUELUHUGZUMUGUXCLLXAUGZUMUGZVYMAUEGLUWNUXIUXMXQAVXCUXCVYTWUAUMVXLA
      LUXMXKWSAWUBUXBLUMUGVYMAUXBLLAJKUWIUWJXGUXMUXMYSAJLKUWIUXMUWJUUGXOYOWSXOA
      UEUVCUEUVDUWNUXLUWNUXNYBAVVKWAUVEUHVXPWKYOYOWSYOAWAUVBUYEUXAUXKAWAUVEUXAU
      XOWDXEAUYGUWRWAUHAUVBWAUVEUXKUXAUXOUUHWNYOWOUUIWKAUWEUWGWAUWSUWTUXAUXPUUJ
      AUVFWAAUVFAUVBUVEAGUVAUXHAGJUXHUVKYTUTAUVCUVDAGKUXHUVOYTAGLUXHUXFYTUTUTVI
      UXAUXPUUMWOYOUUKYR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Solutions of quadratic, cubic, and quartic equations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    quad.a $e |- ( ph -> A e. CC ) $.
    quad.z $e |- ( ph -> A =/= 0 ) $.
    quad.b $e |- ( ph -> B e. CC ) $.
    quad.c $e |- ( ph -> C e. CC ) $.
    quad.x $e |- ( ph -> X e. CC ) $.
    ${
      quad2.d $e |- ( ph -> D e. CC ) $.
      quad2.2 $e |- ( ph ->
        ( D ^ 2 ) = ( ( B ^ 2 ) - ( 4 x. ( A x. C ) ) ) ) $.
      $( The quadratic equation, without specifying the particular branch ` D `
         to the square root.  (Contributed by Mario Carneiro, 23-Apr-2015.) $)
      quad2 $p |- ( ph -> ( ( ( A x. ( X ^ 2 ) ) + ( ( B x. X ) + C ) ) = 0 <->
        ( X = ( ( -u B + D ) / ( 2 x. A ) ) \/
          X = ( ( -u B - D ) / ( 2 x. A ) ) ) ) ) $=
        ( c2 co cmul caddc wceq cc wcel cexp cc0 cneg cmin wo 2cn mulcl sylancr
        cdiv mulcld addcld sqcld subeq0ad 0cnd 4cn a1i wne 4ne0 mulne0d mulcand
        addassd pnncand sqmuld sq2 sqvald oveq12d sqmul mulassd 3eqtr4d 3eqtrrd
        oveq1d adddid 2t2e4 oveq1i eqtr3id eqtrd mul32d oveq2d 3eqtr3d 3eqtr4rd
        c4 binom2 syl2anc comraddd mul01d eqeq12d bitr3d subnegd eqeq1d 3bitr4d
        negcld subcld sqeqor subaddd 2ne0 divmuld eqcom 3bitr4g negsubd orbi12d
        wb bitr4d 3bitrd ) ABFNUAOZPOZCFPOZDQOZQOZUBRZNBPOZFPOZCUCZUDOZNUAOZENU
        AOZRZXMERZXMEUCZRZUEZFXLEQOZXJUIOZRZFXLEUDOZXJUIOZRZUEAXKCQOZNUAOZXOUDO
        ZUBRZYHXORXIXPAYHXOAYGAXKCAXJFANSTZBSTZXJSTUFGNBUGUHZKUJZIUKULAELULUMAW
        ABPOZXHPOZYOUBPOZRXIYJAXHUBYOAXEXGABXDGAFKULZUJZAXFDACFIKUJZJUKZUKAUNAW
        ASTZYLYOSTUOGWABUGUHZAWABUUBAUOUPZGWAUBUQAURUPHUSUTAYPYIYQUBAYOXEPOZYOX
        GPOZQOZCNUAOZXKNUAOZNXKCPOZPOZQOZQOZUUHWABDPOZPOZUDOZUDOZYPYIAUULUUOQOU
        UIUUKUUOQOZQOUUQUUGAUUIUUKUUOAXKYNULZAYKUUJSTUUKSTUFAXKCYNIUJNUUJUGUHZA
        UUBUUNSTUUOSTUOABDGJUJWAUUNUGUHZVAAUUHUULUUOACIULZAUUIUUKUUSUUTUKZUVAVB
        AUUEUUIUUFUURQAUUIXJNUAOZXDPOYOBPOZXDPOUUEAXJFYMKVCAUVDUVEXDPANNUAOZBNU
        AOZPOZWABBPOZPOUVDUVEAUVFWAUVGUVIPUVFWARAVDUPABGVEVFAYKYLUVDUVHRUFGNBVG
        UHAWABBUUDGGVHVIVKAYOBXDUUCGYRVHVJAUUFYOXFPOZYODPOZQOUURAYOXFDUUCYTJVLA
        UVJUUKUVKUUOQAYOCPOZFPOZNXJCPOZFPOZPOZUVJUUKAUVMNUVNPOZFPOUVPAUVLUVQFPA
        UVLNXJPOZCPOUVQAYOUVRCPAYONNPOZBPOUVRUVSWABPVMVNANNBYKAUFUPZUVTGVHVOVKA
        NXJCUVTYMIVHVPVKANUVNFUVTAXJCYMIUJKVHVPAYOCFUUCIKVHAUVOUUJNPAXJCFYMIKVQ
        VRVSAWABDUUDGJVHVFVPVFVTAYOXEXGUUCYSUUAVLAYHUUMXOUUPUDAYHUULUUHUVCUVBAX
        KSTCSTYHUULUUHQORYNIXKCWBWCWDMVFVIAYOUUCWEWFWGAXNYHXOAXMYGNUAAXKCYNIWHV
        KWIWJAXMSTESTXPXTXAAXKXLYNACIWKZWLLXMEWMWCAXQYCXSYFAXQYAXKRZYCAXKXLEYNU
        WALWNAYBFRXKYARYCUWBAYAXJFAXLEUWALUKYMKANBUVTGNUBUQAWOUPHUSZWPFYBWQYAXK
        WQWRXBAXLXRQOZXKRYDXKRZXSYFAUWDYDXKAXLEUWALWSWIAXKXLXRYNUWAAELWKWNAYEFR
        XKYDRYFUWEAYDXJFAXLEUWALWLYMKUWCWPFYEWQYDXKWQWRWJWTXC $.
    $}

    quad.d $e |- ( ph -> D = ( ( B ^ 2 ) - ( 4 x. ( A x. C ) ) ) ) $.
    $( The quadratic equation.  (Contributed by Mario Carneiro,
       23-Apr-2015.) $)
    quad $p |- ( ph -> ( ( ( A x. ( X ^ 2 ) ) + ( ( B x. X ) + C ) ) = 0 <->
      ( X = ( ( -u B + ( sqrt ` D ) ) / ( 2 x. A ) ) \/
        X = ( ( -u B - ( sqrt ` D ) ) / ( 2 x. A ) ) ) ) ) $=
      ( csqrt c2 cexp co c4 cmul cc wcel cfv cmin sqcld 4cn mulcld mulcl subcld
      sylancr eqeltrd sqrtcld sqsqrtd eqtrd quad2 ) ABCDEMUAZFGHIJKAEAECNOPZQBD
      RPZRPZUBPZSLAUOUQACIUCAQSTUPSTUQSTUDABDGJUEQUPUFUHUGUIZUJAUNNOPEURAEUSUKL
      ULUM $.
  $}

  $( The cube roots of unity.  (Contributed by Mario Carneiro, 23-Apr-2015.) $)
  1cubrlem $p |- ( ( -u 1 ^c ( 2 / 3 ) )
        = ( ( -u 1 + ( _i x. ( sqrt ` 3 ) ) ) / 2 )
    /\ ( ( -u 1 ^c ( 2 / 3 ) ) ^ 2 )
        = ( ( -u 1 - ( _i x. ( sqrt ` 3 ) ) ) / 2 ) ) $=
    ( c1 c2 c3 cdiv co ci cfv cmul caddc wceq cpi cc wcel neg1cn cr c6 2cn 2ne0
    ax-mp ccj cneg ccxp csqrt cexp cmin clog ce cc0 wne neg1ne0 2re 3nn nndivre
    cn mp2an recni cxpef mp3an logm1 oveq2i ax-icn pire mul12i fveq2i ccos csin
    eqtri 6nn coshalfpip divrec2 nnne0i oveq12i reccli adddiri halfpm6th simpri
    6cn oveq1i 3eqtr2i sincos6thpi simpli negeqi 3eqtr3i sinhalfpip cle wbr 3re
    ax-1cn divneg nn0ge0i resqrtcl divassi eqtr4i mulcli efival divdiri 3eqtr4i
    3nn0 3eqtri cz 1z root1cj cxpcl exp1 addcli cjdivi cjaddi neg1rr cjmuli cji
    cjre mulneg1i negsubi 3m1e2 3eqtr3ri pm3.2i ) AUAZBCDEZUBEZXQFCUCGZHEZIEZBD
    EZJXSBUDEZXQYAUEEZBDEZJXSXRXQUFGZHEZUGGZFXRKHEZHEZUGGZYCXQLMZXQUHUIXRLMZXSY
    IJNUJXRBOMZCUNMZXROMUKULBCUMUOUPZXQXRUQURYHYKUGYHXRFKHEZHEYKYGYRXRHUSUTXRFK
    YQVAKVBUPZVCVGVDYJVEGZFYJVFGZHEZIEZXQBDEZYABDEZIEYLYCYTUUDUUBUUEIKBDEZKPDEZ
    IEZVEGZUUGVFGZUAZYTUUDUUGLMZUUIUUKJUUGKOMPUNMUUGOMVBVHKPUMUOUPZUUGVISUUHYJV
    EUUHABDEZKHEZAPDEZKHEZIEUUNUUPIEZKHEYJUUFUUOUUGUUQIKLMZBLMZBUHUIZUUFUUOJYSQ
    RKBVJURUUSPLMPUHUIUUGUUQJYSVQPVHVKZKPVJURVLUUNUUPKBQRVMPVQUVBVMYSVNUURXRKHU
    UNUUPUEEACDEJUURXRJVOVPVRVSZVDUUKUUNUAZUUDUUJUUNUUJUUNJZUUGVEGZXTBDEZJZVTWA
    WBALMUUTUVAUVDUUDJWHQRABWIURVGWCUUBFUVGHEUUEUUAUVGFHUUHVFGZUVFUUAUVGUULUVIU
    VFJUUMUUGWDSUUHYJVFUVCVDUVEUVHVTVPWCUTFXTBVAXTCOMUHCWEWFXTOMZWGCWRWJCWKUOZU
    PZQRWLWMVLYJLMYLUUCJXRKYQYSWNYJWOSXQYABNFXTVAUVLWNZQRWPWQWSZXSAUDEZTGZXSCAU
    EEZUDEZYFYDYPAWTMUVPUVRJULXAACXBUOUVPYCTGZYBTGZBTGZDEZYFUVOYCTUVOXSYCXSLMZU
    VOXSJYMYNUWCNYQXQXRXCUOXSXDSUVNVGVDUVAUVSUWBJRYBBXQYANUVMXEQXFSUVTYEUWABDUV
    TXQTGZYATGZIEXQYAUAZIEYEXQYANUVMXGUWDXQUWEUWFIXQOMUWDXQJXHXQXKSUWEFTGZXTTGZ
    HEFUAZXTHEUWFFXTVAUVLXIUWGUWIUWHXTHXJUVJUWHXTJUVKXTXKSVLFXTVAUVLXLWSVLXQYAN
    UVMXMWSYOUWABJUKBXKSVLWSUVQBXSUDXNUTXOXP $.

  ${
    $d n A $.
    1cubr.r $e |- R = { 1 ,
      ( ( -u 1 + ( _i x. ( sqrt ` 3 ) ) ) / 2 ) ,
      ( ( -u 1 - ( _i x. ( sqrt ` 3 ) ) ) / 2 ) } $.
    $( The cube roots of unity.  (Contributed by Mario Carneiro,
       23-Apr-2015.) $)
    1cubr $p |- ( A e. R <-> ( A e. CC /\ ( A ^ 3 ) = 1 ) ) $=
      ( vn wcel cc c3 cexp co c1 wceq cmul caddc ax-1cn ax-mp cc0 eqtrdi oveq2d
      c2 cdiv wa cneg ci csqrt cfv cmin ctp w3a wss neg1cn ax-icn sqrtcl mulcli
      3cn addcli halfcl subcli 3pm3.2i elexi ovex tpss mpbi sseli pm4.71ri ccxp
      eqsstri cv cfz cn wb 3nn cxpeq mp3an23 w3o eltpg eleq2i 3m1e2 2cn addid2i
      wrex eqtr4i oveq2i cz 0z fztp eqtri rexeqi 3ne0 reccli 1cxp oveq1i eqeq2i
      rexbii oveq2 divcli cxpcl mp2an exp0 1t1e1 eqeq2d id exp1 1cubrlem simpli
      mulid2i sqcli simpri rextp 3bitri 3bitr4g bitr4d pm5.32i bitr4i ) ABEZAFE
      ZXNUAXOAGHIJKZUAXNXOBFABJJUBZUCGUDUEZLIZMIZSTIZXQXSUFIZSTIZUGZFCJFEZYAFEZ
      YCFEZUHYDFUIYEYFYGNXTFEYFXQXSUJUCXRUKGFEXRFEUNGULOUMZUOXTUPOYBFEYGXQXSUJY
      HUQYBUPOURJYAYCFJFNUSXTSTUTYBSTUTVAVBVFVCVDXOXPXNXOXPAJJGTIZVEIZXQSGTIZVE
      IZDVGZHIZLIZKZDPGJUFIZVHIZVTZXNXOGVIEYEXPYSVJVKNAJDGVLVMXOAYDEAJKZAYAKZAY
      CKZVNZXNYSAJYAYCFVOBYDACVPYSYPDPPJMIZPSMIZUGZVTAJYNLIZKZDUUFVTUUCYPDYRUUF
      YRPUUEVHIZUUFYQUUEPVHYQSUUEVQSVRVSZWAWBPWCEUUIUUFKWDPWEOWFWGYPUUHDUUFYOUU
      GAYJJYNLYIFEYJJKGUNWHWIYIWJOWKWLWMUUHYTUUAUUBDPUUDUUEPWCWDUSPJMUTPSMUTYMP
      KZUUGJAUUKUUGJJLIJUUKYNJJLUUKYNYLPHIZJYMPYLHWNYLFEZUULJKXQFEYKFEUUMUJSGVR
      UNWHWOXQYKWPWQZYLWROQRWSQWTYMUUDKZUUGYAAUUOUUGJYLLIZYAUUOYNYLJLUUOYNYLJHI
      ZYLUUOYMJYLHUUOYMUUDJUUOXAJNVSQRUUMUUQYLKUUNYLXBOQRUUPYLYAYLUUNXEYLYAKZYL
      SHIZYCKZXCXDWFQWTYMUUEKZUUGYCAUVAUUGJUUSLIZYCUVAYNUUSJLUVAYMSYLHUVAYMUUES
      UVAXAUUJQRRUVBUUSYCUUSYLUUNXFXEUURUUTXCXGWFQWTXHXIXJXKXLXM $.
  $}

  ${
    $d r u M $.  $d r u P $.  $d r u ph $.  $d r u Q $.  $d r u T $.  $d r U $.
    $d r u X $.
    dcubic.c $e |- ( ph -> P e. CC ) $.
    dcubic.d $e |- ( ph -> Q e. CC ) $.
    dcubic.x $e |- ( ph -> X e. CC ) $.
    dcubic.t $e |- ( ph -> T e. CC ) $.
    dcubic.3 $e |- ( ph -> ( T ^ 3 ) = ( G - N ) ) $.
    dcubic.g $e |- ( ph -> G e. CC ) $.
    dcubic.2 $e |- ( ph -> ( G ^ 2 ) = ( ( N ^ 2 ) + ( M ^ 3 ) ) ) $.
    dcubic.m $e |- ( ph -> M = ( P / 3 ) ) $.
    dcubic.n $e |- ( ph -> N = ( Q / 2 ) ) $.
    dcubic.0 $e |- ( ph -> T =/= 0 ) $.
    ${
      dcubic2.u $e |- ( ph -> U e. CC ) $.
      dcubic2.z $e |- ( ph -> U =/= 0 ) $.
      dcubic2.2 $e |- ( ph -> X = ( U - ( M / U ) ) ) $.
      $( Lemma for ~ dcubic1 and ~ dcubic2 : simplify the cubic equation under
         the substitution ` X = U - M / U ` .  (Contributed by Mario Carneiro,
         26-Apr-2015.) $)
      dcubic1lem $p |- ( ph -> ( ( ( X ^ 3 ) + ( ( P x. X ) + Q ) ) = 0 <->
        ( ( ( U ^ 3 ) ^ 2 ) + ( ( Q x. ( U ^ 3 ) ) - ( M ^ 3 ) ) ) = 0 ) ) $=
        ( c3 cexp co cmul caddc cc0 wceq c2 cmin cdiv cneg cc wcel 3nn0 sylancl
        cn0 expcl sqvald oveq1d a1i expne0d divcan4d eqtr2d 3cn wne 3ne0 divcld
        cz 3z eqeltrd negsubd eqtr4d mulcld negcld add42d mulneg2d negeqd eqtrd
        negsubdid oveq2d eqtr3d adddid 3eqtrd addassd addcomd negidd divsubdird
        addcld addid2d 3eqtr3d 3eqtr4d oveq12d binom3 syl2anc sqcld mulassd syl
        div12d divcan2d sqneg 3eqtr2d cdvds wbr n2dvds3 oexpneg syl3anc expdivd
        cn wn 3nn subcld divdird eqeq1d diveq0ad bitrd ) AIUCUDUEZBIUFUEZCUGUEZ
        UGUEZUHUIEUCUDUEZUJUDUEZCYBUFUEZGUCUDUEZUKUEZUGUEZYBULUEZUHUIYGUHUIAYAY
        HUHAYBBEUFUEZUMZBGEULUEZUFUEZYEYBULUEZUMZUGUEZUGUEZXTUGUEZUGUEZYCYBULUE
        ZYFYBULUEZUGUEYAYHAYBYSYQYTUGAYSYBYBUFUEZYBULUEYBAYCUUAYBULAYBAEUNUOZUC
        URUOZYBUNUOTUPEUCUSUQZUTVAAYBYBUUDUUDAEUCTUAUCVJUOAVKVBVCZVDVEACYNUGUEZ
        YDYBULUEZYMUKUEZYQYTAUUFCYMUKUEUUHACYMKAYEYBAGUNUOUUCYEUNUOAGBUCULUEZUN
        QABUCJUCUNUOAVFVBZUCUHVGAVHVBZVIVLZUPGUCUSUQZUUDUUEVIZVMAUUGCYMUKACYBKU
        UDUUEVDVAVNAXSUMZYNUGUEZXTUGUEUUOXSUGUEZUUFUGUEZYQUUFAUUOYNXSCAXSABIJLV
        OZVPZAYMUUNVPZUUSKVQAUUPYPXTUGAUUPYJYLUGUEZYNUGUEYPAUUOUVBYNUGAUUOBEUMZ
        YKUGUEZUFUEZBUVCUFUEZYLUGUEUVBABIUMZUFUEUUOUVEABIJLVRAUVGUVDBUFAUVGEYKU
        KUEZUMUVDAIUVHUBVSAEYKTAGEUULTUAVIZWAVTWBWCABUVCYKJAETVPUVIWDAUVFYJYLUG
        ABEJTVRVAWEVAAYJYLYNAYIABEJTVOVPZABYKJUVIVOZUVAWFVTVAAUURUHUUFUGUEUUFAU
        UQUHUUFUGAUUQXSUUOUGUEUHAUUOXSUUTUUSWGAXSUUSWHVTVAAUUFACYNKUVAWJWKVTWLA
        YDYEYBACYBKUUDVOZUUMUUDUUEWIWMWNAYAYBYPUGUEZXTUGUEYRAXRUVMXTUGAXRYBYJUG
        UEZYOUGUEZUVMAXREYKUMZUGUEZUCUDUEZYBUCEUJUDUEZUVPUFUEZUFUEZUGUEZUCEUVPU
        JUDUEZUFUEZUFUEZUVPUCUDUEZUGUEZUGUEZUVOAIUVQUCUDAIUVHUVQUBAEYKTUVIVMVNV
        AAUUBUVPUNUOUVRUWHUITAYKUVIVPEUVPWOWPAUWBUVNUWGYOUGAUWAYJYBUGAUWAUCGEUF
        UEZUMZUFUEUCUWIUFUEZUMYJAUVTUWJUCUFAUVTUVSYKUFUEZUMUWJAUVSYKAETWQZUVIVR
        AUWLUWIAUWLGUVSEULUEZUFUEUWIAUVSGEUWMUULTUAWTAUWNEGUFAUWNEEUFUEZEULUEEA
        UVSUWOEULAETUTVAAEETTUAVDVTWBVTVSVTWBAUCUWIUUJAGEUULTVOVRAUWKYIAUCGUFUE
        ZEUFUEUWKYIAUCGEUUJUULTWRAUWPBEUFAUWPUCUUIUFUEBAGUUIUCUFQWBABUCJUUJUUKX
        AVTZVAWCVSWEWBAUWEYLUWFYNUGAUWEUCGYKUFUEZUFUEUWPYKUFUEYLAUWDUWRUCUFAUWD
        EYKYKUFUEZUFUEEYKUFUEZYKUFUEUWRAUWCUWSEUFAUWCYKUJUDUEZUWSAYKUNUOZUWCUXA
        UIUVIYKXBWSAYKUVIUTVTWBAEYKYKTUVIUVIWRAUWTGYKUFAGEUULTUAXAVAXCWBAUCGYKU
        UJUULUVIWRAUWPBYKUFUWQVAXCAUWFYKUCUDUEZUMZYNAUXBUCXJUOZUJUCXDXEXKZUWFUX
        DUIUVIUXEAXLVBUXFAXFVBYKUCXGXHAUXCYMAGEUCUULTUAUUCAUPVBXIVSVTWNWNWEAYBY
        JYOUUDUVJAYLYNUVKUVAWJZWFVTVAAYBYPXTUUDAYJYOUVJUXGWJAXSCUUSKWJWFVTAYCYF
        YBAYBUUDWQZAYDYEUVLUUMXMZUUDUUEXNWMXOAYGYBAYCYFUXHUXIWJUUDUUEXPXQ $.

      dcubic2.x $e |- ( ph -> ( ( X ^ 3 ) + ( ( P x. X ) + Q ) ) = 0 ) $.
      $( Reverse direction of ~ dcubic .  Given a solution ` U ` to the
         "substitution" quadratic equation ` X = U - M / U ` , show that ` X `
         is in the desired form.  (Contributed by Mario Carneiro,
         25-Apr-2015.) $)
      dcubic2 $p |- ( ph -> E. r e. CC ( ( r ^ 3 ) = 1 /\
        X = ( ( r x. T ) - ( M / ( r x. T ) ) ) ) ) $=
        ( c3 cexp co cmin wceq cv c1 cmul cdiv wa wrex caddc cneg divcld adantr
        cc wcel cn0 a1i expdivd oveq1 oveq1d expcl sylancl cz 3z expne0d dividd
        3nn0 eqtr3d sylan9eqr eqtrd oveq2d oveq12d eqtr4d eqeq1d eqeq2d anbi12d
        divcan1d rspcev syl12anc 3cn cc0 3ne0 eqeltrd negcld divnegd c2 halfcld
        wne subsq syl2anc sqcld pncan2d 3eqtrd negeqd addcld mulneg1d cdvds wbr
        cn wn n2dvds3 oexpneg syl3anc 3eqtr4d div23d divcan4d neg2subd divneg2d
        3nn eqcomd simpr eqnetrrd mulne0d 0exp ax-mp eqtrdi necon3i syl negne0d
        ddcand wo mulid2d negsubd mpbid 2cn mulcl sylancr c4 sqmul 2t1e2 oveq2i
        neg0 addcomd syl5eq dcubic1lem 1cnd ax-1ne0 sqcli subnegd 2ne0 divcan2d
        mulcld 4cn mulneg2 oveq1i negeqi eqtr4di adddid 3eqtr4rd divdird eqtr2d
        sq2 quad2 divcan3d divsubdird negdi2d orbi12d mpjaodan ) AEUEUFUGZFHUHU
        GZUIZJUJZUEUFUGZUKUIZIUVHDULUGZGUVKUMUGZUHUGZUIZUNZJUTUOZUVEFHUPUGZUQZU
        IZAUVGUNZEDUMUGZUTVAZUWAUEUFUGZUKUIZIUWADULUGZGUWEUMUGZUHUGZUIZUVPAUWBU
        VGAEDUANTURUSUVTUWCUVEDUEUFUGZUMUGZUKAUWCUWJUIUVGAEDUEUANTUEVBVAZAVMVCZ
        VDUSUVGAUWJUVFUWIUMUGZUKUVEUVFUWIUMVEAUWIUWIUMUGUWMUKAUWIUVFUWIUMOVFAUW
        IADUTVAUWKUWIUTVAZNVMDUEVGVHZADUENTUEVIVAAVJVCZVKZVLVNVOVPAUWHUVGAIEGEU
        MUGZUHUGZUWGUCAUWEEUWFUWRUHAEDUANTWCZAUWEEGUMUWTVQVRVSUSUVOUWDUWHUNJUWA
        UTUVHUWAUIZUVJUWDUVNUWHUXAUVIUWCUKUVHUWAUEUFVEVTUXAUVMUWGIUXAUVKUWEUVLU
        WFUHUVHUWADULVEZUXAUVKUWEGUMUXBVQVRWAWBWDWEAUVSUNZUWRUQZDUMUGZUTVAZUXEU
        EUFUGZUKUIZIUXEDULUGZGUXIUMUGZUHUGZUIZUVPAUXFUVSAUXDDAUWRAGEAGBUEUMUGUT
        RABUEKUEUTVAAWFVCUEWGWNAWHVCURWIZUAUBURZWJZNTURUSUXCUXGUVRUVEUMUGZUKAUX
        GUXPUIUVSAUXGUXDUEUFUGZUWIUMUGUXPUWIULUGZUWIUMUGUXPAUXDDUEUXONTUWLVDAUX
        QUXRUWIUMAUXQGUQZEUMUGZUEUFUGUXSUEUFUGZUVEUMUGZUXRAUXDUXTUEUFAGEUXMUAUB
        WKVFAUXSEUEAGUXMWJUAUBUWLVDAUVRUWIULUGZUVEUMUGUYBUXRAUYCUYAUVEUMAUVQUWI
        ULUGZUQZGUEUFUGZUQZUYCUYAAUYDUYFAUYDFWLUFUGZHWLUFUGZUHUGZUYIUYFUPUGZUYI
        UHUGUYFAUYDUVQUVFULUGZUYJAUWIUVFUVQULOVQAFUTVAZHUTVAZUYJUYLUIPAHCWLUMUG
        ZUTSACLWMWIZFHWOWPVSAUYHUYKUYIUHQVFAUYIUYFAHUYPWQZAGUTVAZUWKUYFUTVAZUXM
        VMGUEVGVHZWRWSWTZAUVQUWIAFHPUYPXAZUWOXBZAUYRUEXEVAZWLUEXCXDXFZUYAUYGUIU
        XMVUDAXOVCVUEAXGVCGUEXHXIXJVFAUVRUWIUVEAUVQVUBWJZUWOAEUTVAUWKUVEUTVAUAV
        MEUEVGVHZAEUEUAUBUWPVKZXKVNWSVFAUXPUWIAUVRUVEVUFVUGVUHURUWOUWQXLWSUSUVS
        AUXPUVEUVEUMUGZUKUVSVUIUXPUVEUVRUVEUMVEXPAUVEVUGVUHVLVOVPUXCIUXDEUQZUHU
        GZUXKAIVUKUIUVSAIUWSVUKUCAUWREUXNUAXMVSUSUXCUXIUXDUXJVUJUHAUXIUXDUIUVSA
        UXDDUXONTWCZUSUXCUXJGGVUJUMUGZUMUGVUJUXCUXIVUMGUMAUXIVUMUIUVSAUXIUXDVUM
        VULAGEUXMUAUBXNVPUSVQUXCGVUJAUYRUVSUXMUSAVUJUTVAUVSAEUAWJUSUXCUYGWGWNGW
        GWNUXCUYCUYGWGAUYCUYGUIUVSAUYCUYEUYGVUCVUAVPUSUXCUVRUWIAUVRUTVAUVSVUFUS
        AUWNUVSUWOUSUXCUVEUVRWGAUVSXQAUVEWGWNUVSVUHUSXRAUWIWGWNUVSUWQUSXSXRGWGU
        YGWGGWGUIZUYGWGUQWGVUNUYFWGVUNUYFWGUEUFUGZWGGWGUEUFVEVUDVUOWGUIXOUEXTYA
        YBWTYRYBYCYDAVUJWGWNUVSAEUAUBYEUSYFVPVRVSUVOUXHUXLUNJUXEUTUVHUXEUIZUVJU
        XHUVNUXLVUPUVIUXGUKUVHUXEUEUFVEVTVUPUVMUXKIVUPUVKUXIUVLUXJUHUVHUXEDULVE
        ZVUPUVKUXIGUMVUQVQVRWAWBWDWEAUVECUQZWLFULUGZUPUGZWLUKULUGZUMUGZUIZUVEVU
        RVUSUHUGZVVAUMUGZUIZYGZUVGUVSYGAUKUVEWLUFUGZULUGZCUVEULUGZUYGUPUGZUPUGZ
        WGUIVVGAVVLVVHVVJUYFUHUGZUPUGZWGAVVIVVHVVKVVMUPAVVHAUVEVUGWQYHAVVJUYFAC
        UVELVUGUUHUYTYIVRAIUEUFUGBIULUGCUPUGUPUGWGUIVVNWGUIUDABCDEFGHIKLMNOPQRS
        TUAUBUCUUAYJVPAUKCUYGVUSUVEAUUBUKWGWNAUUCVCLAUYFUYTWJZVUGAWLUTVAZUYMVUS
        UTVAYKPWLFYLYMZAVUSWLUFUGZWLWLUFUGZUYHULUGZVVSUYKULUGZCWLUFUGZYNUKUYGUL
        UGZULUGZUHUGZAVVPUYMVVRVVTUIYKPWLFYOYMAUYHUYKVVSULQVQAVVSUYIULUGZVVSUYF
        ULUGZUQZUHUGVWFVWGUPUGVWEVWAAVWFVWGAVVSUTVAZUYIUTVAVWFUTVAWLYKUUDZUYQVV
        SUYIYLYMAVWIUYSVWGUTVAVWJUYTVVSUYFYLYMUUEAVWBVWFVWDVWHUHAWLHULUGZWLUFUG
        ZVWBVWFAVWKCWLUFAVWKWLUYOULUGCAHUYOWLULSVQACWLLVVPAYKVCZWLWGWNAUUFVCZUU
        GVPVFAVVPUYNVWLVWFUIYKUYPWLHYOYMVNAVWDYNUYFULUGZUQZVWHAVWDYNUYGULUGZVWP
        AVWCUYGYNULAUYGVVOYHVQAYNUTVAUYSVWQVWPUIUUIUYTYNUYFUUJYMVPVWGVWOVVSYNUY
        FULUURUUKUULUUMVRAVVSUYIUYFVWIAVWJVCUYQUYTUUNUUOWSUUSYJAVVCUVGVVFUVSAVV
        BUVFUVEAVVBVUTWLUMUGZUVFVVAWLVUTUMYPYQAVWRVURWLUMUGZVUSWLUMUGZUPUGHUQZF
        UPUGZUVFAVURVUSWLACLWJZVVQVWMVWNUUPAVWSVXAVWTFUPAVXAUYOUQVWSAHUYOSWTACW
        LLVWMVWNWKUUQZAFWLPVWMVWNUUTZVRAVXBFVXAUPUGUVFAVXAFAHUYPWJPYSAFHPUYPYIV
        PWSYTWAAVVEUVRUVEAVVEVVDWLUMUGZUVRVVAWLVVDUMYPYQAVWSVWTUHUGVXAFUHUGZVXF
        UVRAVWSVXAVWTFUHVXDVXEVRAVURVUSWLVXCVVQVWMVWNUVAAUVRHFUPUGZUQVXGAUVQVXH
        AFHPUYPYSWTAHFUYPPUVBVPXJYTWAUVCYJUVD $.
    $}

    ${
      dcubic1.x $e |- ( ph -> X = ( T - ( M / T ) ) ) $.
      $( Forward direction of ~ dcubic : the claimed formula produces solutions
         to the cubic equation.  (Contributed by Mario Carneiro,
         25-Apr-2015.) $)
      dcubic1 $p |- ( ph -> ( ( X ^ 3 ) + ( ( P x. X ) + Q ) ) = 0 ) $=
        ( co c3 cexp cmul caddc cc0 wceq c2 cmin oveq1d cc wcel halfcld eqeltrd
        cdiv binom2sub syl2anc 2cnd mul12d oveq2d wne 2ne0 a1i divcan2d mulcomd
        eqtrd 3eqtrd oveq12d sqcld cn0 3cn 3ne0 divcld 3nn0 expcl addcld mulcld
        sylancl addsubd add32d 2timesd eqtr4d 3eqtr2d subdid sqvald mulassd 2cn
        3eqtr4d mulcl sylancr subsub4d npncan2 dcubic1lem mpbird ) AHUAUBTBHUCT
        CUDTUDTUEUFDUAUBTZUGUBTZCWNUCTZFUAUBTZUHTZUDTZUEUFAWSUGGUGUBTZUCTZWQUDT
        ZCEUCTZUHTZXCXBUHTZUDTZUEAWOXDWRXEUDAWOWTWQUDTZXCUHTZWTUDTZXGWTUDTZXCUH
        TXDAWOEGUHTZUGUBTZEUGUBTZUGEGUCTUCTZUHTZWTUDTZXIAWNXKUGUBMUIAEUJUKGUJUK
        XLXPUFNAGCUGUNTZUJQACJULUMZEGUOUPAXOXHWTUDAXMXGXNXCUHOAXNEUGGUCTZUCTECU
        CTXCAUGEGAUQZNXRURAXSCEUCAXSUGXQUCTCAGXQUGUCQUSACUGJXTUGUEUTAVAVBVCVEZU
        SAECNJVDVFVGUIVFAXGWTXCAWTWQAGXRVHZAFUJUKUAVIUKWQUJUKAFBUAUNTUJPABUAIUA
        UJUKAVJVBUAUEUTAVKVBVLUMVMFUAVNVQZVOYBACEJNVPZVRAXJXBXCUHAXJWTWTUDTZWQU
        DTXBAWTWQWTYBYCYBVSAXAYEWQUDAWTYBVTUIWAUIWBAWRXCXAUHTZWQUHTXEAWPYFWQUHA
        CXKUCTXCCGUCTZUHTWPYFACEGJNXRWCAWNXKCUCMUSAXAYGXCUHAXAUGGGUCTZUCTXSGUCT
        YGAWTYHUGUCAGXRWDUSAUGGGXTXRXRWEAXSCGUCYAUIWBUSWGUIAXCXAWQYDAUGUJUKWTUJ
        UKXAUJUKWFYBUGWTWHWIZYCWJVEVGAXBUJUKXCUJUKXFUEUFAXAWQYIYCVOYDXBXCWKUPVE
        ABCDDEFGHIJKLMNOPQRLRSWLWM $.
    $}

    $( Solutions to the depressed cubic, a special case of ~ cubic .  (The
       definitions of ` M , N , G , T ` here differ from ~ mcubic by scale
       factors of ` -u 9 ` , ` 5 4 ` , ` 5 4 ` and ` -u 2 7 ` respectively, to
       simplify the algebra and presentation.)  (Contributed by Mario Carneiro,
       26-Apr-2015.) $)
    dcubic $p |- ( ph -> ( ( ( X ^ 3 ) + ( ( P x. X ) + Q ) ) = 0 <->
      E. r e. CC ( ( r ^ 3 ) = 1 /\
        X = ( ( r x. T ) - ( M / ( r x. T ) ) ) ) ) ) $=
      ( cc0 vu c3 cexp co cmul caddc wceq cv c1 cdiv cmin wa cc wrex cdif c2 c4
      csn csqrt cfv wn wne adantr wcel wi cz expne0i mp3an3 syl ad2antrr simprl
      3z ex oveq2d mul01d eqtrd oveq1d cn 0exp ax-mp eqtrdi simplr 0cnd eqeltrd
      3nn addcld addid2d 3eqtr3rd 2cn 2ne0 div0i sq0id 3cn a1i 3ne0 divcld 4ne0
      4cn sqcld mulcl sylancr simprr sqr00d mul01i eqtr4di mulcanad 00id sqeq0d
      oveq12d necon3ad syld mpd oveq12 sqrtcld halfaddsub syl2anc simpld eqeq1d
      0m0e0 simprd wo adantl eqcom mulcld ax-1ne0 negcld mulid2d eqeq2d orbi12d
      jca cneg bitrdi risset wb halfcld eldifsn baib bitr3id ad2antrl 3nn0 1cnd
      anbi12d syl5ib eldifsni subaddd 3bitr4g subeq0ad adddird divcan1d addcomd
      con3d eldifi sqvald 3eqtrrd eqeq12d mulcan2d 3bitrd sqneg mulneg2 subnegd
      eqtr2d quad mulneg1d negdid eqtr4d negsubd negnegd 2t1e2 3bitr3d rexbidva
      3bitr2d r19.43 subcld neorian bitrd sylibrd imp dcubic2 rexlimddv mulexpd
      syldan cn0 expcl sylancl eqnetrd oveq1 necon3i mulne0d dcubic1 rexlimdva2
      3eqtrd impbid ) AHUBUCUDZBHUEUDZCUFUDZUFUDZTUGZIUHZUBUCUDZUIUGZHUWRDUEUDZ
      FUXAUJUDUKUDUGZULZIUMUNZAUWQUXDAUWQULZHUAUHZFUXFUJUDZUKUDZUGZUXDUAUMTURZU
      OZAUWQHTUGZHUPUCUDZUQFUEUDZUFUDZUSUTZTUGZULZVAZUXIUAUXKUNZUXEDTVBZUXSAUYA
      UWQSVCUXEUYADUBUCUDZTVBZUXSUXEDUMVDZUYAUYCVEAUYDUWQMVCUYDUYAUYCUYDUYAUBVF
      VDUYCVLDUBVGVHVMVIUXEUXRUYBTUXEUXRUYBTUGUXEUXRULZUYBEGUKUDZTAUYBUYFUGZUWQ
      UXRNVJUYEUYFTTUKUDZTUYEETGTUKUYEEAEUMVDZUWQUXROVJUYEEUPUCUDZGUPUCUDZFUBUC
      UDZUFUDZTAUYJUYMUGZUWQUXRPVJUYEUYMTTUFUDZTUYEUYKTUYLTUFUYEGUYEGCUPUJUDZTA
      GUYPUGZUWQUXRRVJUYEUYPTUPUJUDTUYECTUPUJUYEUWOTCUFUDTCUYEUWNTCUFUYEUWNBTUE
      UDTUYEHTBUEUXEUXLUXQVKZVNUYEBABUMVDZUWQUXRJVJVOVPZVQUYEUWPTUWOUFUDTUWOUYE
      UWMTUWOUFUYEUWMTUBUCUDZTUYEHTUBUCUYRVQUBVRVDVUATUGWEUBVSVTZWAVQAUWQUXRWBU
      YEUWOUYEUWNCUYEUWNTUMUYTUYEWCZWDACUMVDZUWQUXRKVJZWFWGWHUYECVUEWGWHVQUPWIW
      JWKWAVPZWLUYEUYLVUATUYEFTUBUCUYEFTUQAFUMVDZUWQUXRAFBUBUJUDZUMQABUBJUBUMVD
      AWMWNUBTVBAWOWNWPWDZVJVUCUQUMVDZUYEWRWNUQTVBUYEWQWNUYEUXNTUQTUEUDUYEUXOTU
      XNUFUDTUXNUYEUXMTUXNUFUYEHUYRWLVQUYEUXOAUXOUMVDUWQUXRAUXMUXNAHLWSZAVUJVUG
      UXNUMVDZWRVUIUQFWTXAZWFZVJUXEUXLUXQXBXCUYEUXNAVULUWQUXRVUMVJWGWHUQWRXDXEX
      FVQVUBWAXIXGWAVPXHVUFXIXSWAVPVMXJXKXLAUXSUXTAUXSHUXPUFUDZUPUJUDZTUGHUXPUK
      UDZUPUJUDZTUGULZVAZUXTAVUSUXRVUSVUPVURUFUDZTUGZVUPVURUKUDZTUGZULAUXRVUSVV
      BVVDVUSVVAUYOTVUPTVURTUFXMXGWAVUSVVCUYHTVUPTVURTUKXMXSWAYJAVVBUXLVVDUXQAV
      VAHTAVVAHUGZVVCUXPUGZAHUMVDZUXPUMVDVVEVVFULLAUXOVUNXNZHUXPXOXPZXQXRAVVCUX
      PTAVVEVVFVVIXTXRUUBUUCUUKAUXTUXFVUPUGZUAUXKUNZUXFVURUGZUAUXKUNZYAZVUTAUXT
      VVJVVLYAZUAUXKUNVVNAUXIVVOUAUXKAUXFUXKVDZULZUXIUXFUXGHUFUDZUGZUXFUPUCUDZH
      UXFUEUDZFUFUDZUKUDZTUGZVVOVVQUXHHUGVVRUXFUGUXIVVSVVQUXFUXGHVVPUXFUMVDZAUX
      FUMUXJUULZYBZVVQFUXFAVUGVVPVUIVCZVWGVVPUXFTVBZAUXFUMTUUDZYBZWPZAVVGVVPLVC
      ZUUEHUXHYCUXFVVRYCUUFVVQVWDVVTVWBUGUXFUXFUEUDZVVRUXFUEUDZUGVVSVVQVVTVWBVV
      QUXFVWGWSZVVQVWAFVVQHUXFVWMVWGYDZVWHWFZUUGVVQVVTVWNVWBVWOVVQUXFVWGUUMVVQV
      WOUXGUXFUEUDZVWAUFUDFVWAUFUDVWBVVQUXGHUXFVWLVWMVWGUUHVVQVWSFVWAUFVVQFUXFV
      WHVWGVWKUUIVQVVQFVWAVWHVWQUUJUUNUUOVVQUXFVVRUXFVWGVVQUXGHVWLVWMWFVWGVWKUU
      PUUQVVQUIVVTUEUDZHYKZUXFUEUDZFYKZUFUDZUFUDZTUGUXFVXAYKZUXPUFUDZUPUIUEUDZU
      JUDZUGZUXFVXFUXPUKUDZVXHUJUDZUGZYAVWDVVOVVQUIVXAVXCUXOUXFVVQUUAUITVBZVVQY
      EWNAVXAUMVDVVPAHLYFVCAVXCUMVDVVPAFVUIYFVCZVWGVVQVXAUPUCUDZUQUIVXCUEUDZUEU
      DZUKUDUXMUXNYKZUKUDUXOVVQVXPUXMVXRVXSUKVVQVVGVXPUXMUGVWMHUURVIVVQVXRUQVXC
      UEUDZVXSVVQVXQVXCUQUEVVQVXCVXOYGVNVVQVUJVUGVXTVXSUGWRVWHUQFUUSXAVPXIVVQUX
      MUXNAUXMUMVDVVPVUKVCAVULVVPVUMVCUUTUVAUVBVVQVXEVWCTVVQVXEVVTVWBYKZUFUDVWC
      VVQVWTVVTVXDVYAUFVVQVVTVWPYGVVQVXDVWAYKZVXCUFUDVYAVVQVXBVYBVXCUFVVQHUXFVW
      MVWGUVCVQVVQVWAFVWQVWHUVDUVEXIVVQVVTVWBVWPVWRUVFVPXRVVQVXJVVJVXMVVLVVQVXI
      VUPUXFVVQVXGVUOVXHUPUJVVQVXFHUXPUFVVQHVWMUVGZVQVXHUPUGVVQUVHWNZXIYHVVQVXL
      VURUXFVVQVXKVUQVXHUPUJVVQVXFHUXPUKVYCVQVYDXIYHYIUVIUVKUVJVVJVVLUAUXKUVLYL
      AVVNVUPTVBZVURTVBZYAVUTAVVKVYEVVMVYFVVKVUPUXKVDZAVYEUAVUPUXKYMAVUPUMVDZVY
      GVYEYNAVUOAHUXPLVVHWFYOVYGVYHVYEVUPUMTYPYQVIYRVVMVURUXKVDZAVYFUAVURUXKYMA
      VURUMVDZVYIVYFYNAVUQAHUXPLVVHUVMYOVYIVYJVYFVURUMTYPYQVIYRYIVUPTVURTUVNYLU
      VOUVPUVQUWAUXEVVPUXIULZULBCDUXFEFGHIAUYSUWQVYKJVJAVUDUWQVYKKVJAVVGUWQVYKL
      VJAUYDUWQVYKMVJAUYGUWQVYKNVJAUYIUWQVYKOVJAUYNUWQVYKPVJAFVUHUGZUWQVYKQVJAU
      YQUWQVYKRVJAUYAUWQVYKSVJVVPVWEUXEUXIVWFYSVVPVWIUXEUXIVWJYSUXEVVPUXIXBAUWQ
      VYKWBUVRUVSVMAUXCUWQIUMAUWRUMVDZULZUXCULZBCUXAEFGHAUYSVYMUXCJVJAVUDVYMUXC
      KVJAVVGVYMUXCLVJVYOUWRDAVYMUXCWBZAUYDVYMUXCMVJZYDVYOUXAUBUCUDUWSUYBUEUDUI
      UYBUEUDZUYFVYOUWRDUBVYPVYQUBUWBVDZVYOYTWNUVTVYOUWSUIUYBUEVYNUWTUXBVKZVQAV
      YRUYFUGVYMUXCAVYRUYBUYFAUYBAUYDVYSUYBUMVDMYTDUBUWCUWDYGNVPVJUWKAUYIVYMUXC
      OVJAUYNVYMUXCPVJAVYLVYMUXCQVJAUYQVYMUXCRVJVYOUWRDVYPVYQVYOUWSTVBUWRTVBVYO
      UWSUITVYTVXNVYOYEWNUWEUWRTUWSTUWRTUGUWSVUATUWRTUBUCUWFVUBWAUWGVIAUYAVYMUX
      CSVJUWHVYNUWTUXBXBUWIUWJUWL $.
  $}

  ${
    $d r B $.  $d r M $.  $d r N $.  $d r ph $.  $d r T $.  $d r X $.
    mcubic.b $e |- ( ph -> B e. CC ) $.
    mcubic.c $e |- ( ph -> C e. CC ) $.
    mcubic.d $e |- ( ph -> D e. CC ) $.
    mcubic.x $e |- ( ph -> X e. CC ) $.
    mcubic.t $e |- ( ph -> T e. CC ) $.
    mcubic.3 $e |- ( ph -> ( T ^ 3 ) = ( ( N + G ) / 2 ) ) $.
    mcubic.g $e |- ( ph -> G e. CC ) $.
    mcubic.2 $e |- ( ph -> ( G ^ 2 ) = ( ( N ^ 2 ) - ( 4 x. ( M ^ 3 ) ) ) ) $.
    mcubic.m $e |- ( ph -> M = ( ( B ^ 2 ) - ( 3 x. C ) ) ) $.
    mcubic.n $e |- ( ph -> N = ( ( ( 2 x. ( B ^ 3 ) ) -
      ( 9 x. ( B x. C ) ) ) + ( ; 2 7 x. D ) ) ) $.
    mcubic.0 $e |- ( ph -> T =/= 0 ) $.
    $( Solutions to a monic cubic equation, a special case of ~ cubic .
       (Contributed by Mario Carneiro, 24-Apr-2015.) $)
    mcubic $p |- ( ph -> ( ( ( ( X ^ 3 ) + ( B x. ( X ^ 2 ) ) ) +
      ( ( C x. X ) + D ) ) = 0 <-> E. r e. CC ( ( r ^ 3 ) = 1 /\ X =
       -u ( ( ( B + ( r x. T ) ) + ( M / ( r x. T ) ) ) / 3 ) ) ) ) $=
      ( c3 cdiv co caddc cexp cneg cmul c2 c7 cdc wceq cv c1 c9 cmin wa cc wrex
      cc0 sqcld wcel 3cn mulcl sylancr subcld eqeltrd a1i wne divcld negcld 2cn
      3ne0 cn0 3nn0 expcl sylancl 9cn mulcld 7nn decnncl nncni addcld nnne0i cn
      2nn0 cdvds oexpneg syl3anc expdivd 3exp3 oveq12d divdiv32d addcomd oveq1d
      3nn divdird eqtrd 3eqtrd negeqd halfcld negdi2d syl sqdivd c4 4cn divassd
      sqcli wb oveq2i expmul mp3an 3eqtr3i oveq1i eqtrdi oveq2d eqtr4d sq2 4ne0
      divcan3d syl5eq divsubdird negsubd 3eqtr4d divdiv1d eqtr3d divne0d mul12d
      3t3e9 divcan2d mulcomd addassd negsubdi2d subdird 3eqtr2d 9t3e27 divcan5d
      eqtr3id eqeq1d adantr wbr n2dvds3 2cnd 2ne0 sqneg eqtr2d sqne0 mpbird 9nn
      wn mulcomi sq3 eqnetri divnegd eqidd negne0d dcubic binom3 syl2anc adddid
      sqvali 3eqtr4a divmuldivd expp1 eqtr2id ax-1cn subaddrii mulid2d mulcomli
      df-3 2p1e3 npncan3d eqeltrrd 3eqtr3d addsub4d pncan3d oveq1 ax-mp eqnetrd
      0exp necon2i eqcom simprl simprr mulne0d subnegd syl5bb subadd2d mulneg2d
      divcan7d div2negd eqeq2d 3bitrrd anassrs sylan2 pm5.32da rexbidva 3bitr3d
      0ne1 ) AIBUBUCUDZUEUDZUBUFUDZGUBUCUDZUGZUXAUHUDZHUIUJUKZUCUDZUEUDZUEUDZUT
      ULJUMZUBUFUDZUNULZUXAUXJEUBUCUDZUGZUHUDZGUOUCUDZUGZUXOUCUDZUPUDZULZUQZJUR
      USIUBUFUDZBIUIUFUDZUHUDZUEUDZCIUHUDZDUEUDZUEUDZUTULUXLIBUXJEUHUDZUEUDGUYI
      UCUDZUEUDZUBUCUDZUGZULZUQZJURUSAUXDUXGUXNFUXFUCUDZUIUCUDZUGZUXQUXGUIUCUDZ
      UXAJAUXCAGUBAGBUIUFUDZUBCUHUDZUPUDZURSAUYTVUAABKVAZAUBURVBZCURVBVUAURVBVC
      LUBCVDVEZVFVGZVUDAVCVHZUBUTVIZAVMVHZVJZVKZAHUXFAHUIBUBUFUDZUHUDZUOBCUHUDZ
      UHUDZUPUDZUXFDUHUDZUEUDZURTAVUPVUQAVUMVUOAUIURVBVULURVBZVUMURVBVLABURVBZU
      BVNVBZVUSKVOBUBVPVQZUIVULVDVEZAUOURVBZVUNURVBVUOURVBVRABCKLVSZUOVUNVDVEZV
      FZAUXFURVBZDURVBVUQURVBUXFUIUJWFVTWAZWBZMUXFDVDVEZWCVGZVVHAVVJVHZUXFUTVIZ
      AUXFVVIWDVHZVJZAIUWTNABUBKVUGVUIVJZWCZAUXMAEUBOVUGVUIVJZVKAUXNUBUFUDZUXMU
      BUFUDZUGZUYQUYSUEUDZUGUYRUYSUPUDAUXMURVBZUBWEVBZUIUBWGUUAUUJZVVTVWBULVVSV
      WEAWPVHZVWFAUUBVHZUXMUBWHWIAVWAVWCAVWAEUBUFUDZUBUBUFUDZUCUDHFUEUDZUIUCUDZ
      UXFUCUDZVWCAEUBUBOVUGVUIVVAAVOVHZWJAVWIVWLVWJUXFUCPVWJUXFULAWKVHWLAVWMVWK
      UXFUCUDZUIUCUDUYPUXGUEUDZUIUCUDVWCAVWKUIUXFAHFVVLQWCAUUCZVVMUIUTVIAUUDVHZ
      VVOWMAVWOVWPUIUCAVWOFHUEUDZUXFUCUDVWPAVWKVWSUXFUCAHFVVLQWNWOAFHUXFQVVLVVM
      VVOWQWRWOAUYPUXGUIAFUXFQVVMVVOVJZVVPVWQVWRWQWSWSWTAUYQUYSAUYPVWTXAZAUXGVV
      PXAZXBWSAUYQVXAVKAUYRUIUFUDZUYQUIUFUDZUYPUIUFUDZUIUIUFUDZUCUDZUYSUIUFUDZU
      XQUBUFUDZUEUDZAUYQURVBVXCVXDULVXAUYQUUEXCAUYPUIVWTVWQVWRXDAHUIUFUDZUXFUIU
      FUDZUCUDZXEGUBUFUDZUHUDZVXLUCUDZUPUDZVXFUCUDZVXHUXPUBUFUDZUGZUEUDZVXGVXJA
      VXMVXFUCUDZVXPVXFUCUDZUPUDVXHVXSUPUDVXRVYAAVYBVXHVYCVXSUPAVXHUXGUIUFUDZVX
      FUCUDVYBAUXGUIVVPVWQVWRXDAVYDVXMVXFUCAHUXFVVLVVMVVOXDWOUUFAVYCXEVXSUHUDZV
      XFUCUDZVXSAVXPVYEVXFUCAVXPXEVXNVXLUCUDZUHUDVYEAXEVXNVXLXEURVBZAXFVHZAGURV
      BZVVAVXNURVBZVUFVOGUBVPVQZVXLURVBAUXFVVJXHVHZAVXLUTVIZVVNVVOAVVHVYNVVNXIV
      VMUXFUUGXCUUHZXGAVXSVYGXEUHAVXSVXNUOUBUFUDZUCUDVYGAGUOUBVUFVVDAVRVHZUOUTV
      IAUOUUIWDVHZVWNWJVYPVXLVXNUCUBUIUFUDZUBUFUDZVWJUIUFUDZVYPVXLUBUIUBUHUDZUF
      UDZUBUBUIUHUDZUFUDZVYTWUAWUBWUDUBUFUIUBVLVCUUKXJVUDUIVNVBZVVAWUCVYTULVCWF
      VOUBUIUBXKXLVUDVVAWUFWUEWUAULVCVOWFUBUBUIXKXLXMVYSUOUBUFUULXNVWJUXFUIUFWK
      XNXMXJXOXPXQWOAVYFVYEXEUCUDVXSVXFXEVYEUCXRXJAVXSXEAUXPURVBZVVAVXSURVBAGUO
      VUFVYQVYRVJZVOUXPUBVPVQZVYIXEUTVIAXSVHXTYAWRWLAVXMVXPVXFAVXKVXLAHVVLVAZVY
      MVYOVJAVXOVXLAVYHVYKVXOURVBXFVYLXEVXNVDVEZVYMVYOVJVXFURVBAUIVLXHVHVXFUTVI
      AVXFXEUTXRXSUUMVHYBAVXHVXSAUYSVXBVAWUIYCYDAVXEVXQVXFUCAVXEFUIUFUDZVXLUCUD
      VXKVXOUPUDZVXLUCUDVXQAFUXFQVVMVVOXDAWULWUMVXLUCRWOAVXKVXOVXLWUJWUKVYMVYOY
      BWSWOAVXIVXTVXHUEAWUGVWEVWFVXIVXTULWUHVWGVWHUXPUBWHWIXPYDWSAUXCUBUCUDZUGU
      XQUXDUBUCUDAWUNUXPAWUNGUBUBUHUDZUCUDUXPAGUBUBVUFVUGVUGVUIVUIYEWUOUOGUCYIX
      JXOZWTAUXCUBVUJVUGVUIUUNYFAUYSUUOAUXMVVSAEUBOVUGUAVUIYGUUPUUQAUXIUYHUTAUX
      IUYEUBIUWTUIUFUDZUHUDZUHUDZUWTUBUFUDZUEUDZUEUDZUXHUEUDUYEWVAUXHUEUDZUEUDU
      YHAUXBWVBUXHUEAUXBUYBUBUYCUWTUHUDUHUDZUEUDZWVAUEUDZWVBAIURVBZUWTURVBZUXBW
      VFULNVVQIUWTUURUUSAWVEUYEWVAUEAWVDUYDUYBUEAWVDUYCUBUWTUHUDZUHUDUYCBUHUDUY
      DAUBUYCUWTVUGAINVAZVVQYHAWVIBUYCUHABUBKVUGVUIYJXPAUYCBWVJKYKWSXPWOWRWOAUY
      EWVAUXHAUYBUYDAWVGVVAUYBURVBNVOIUBVPVQABUYCKWVJVSWCAWUSWUTAUBWURVUGAIWUQN
      AUWTVVQVAZVSVSZAWVHVVAWUTURVBVVQVOUWTUBVPVQZWCZAUXEUXGAUXDUXAVUKVVRVSVVPW
      CYLAWVCUYGUYEUEAWVCWVAUYGWVAUPUDZUEUDUYGAUXHWVOWVAUEAUXHUYFWUSUPUDZDWUTUP
      UDZUEUDZWVOAUXHUXDIUHUDZUXDUWTUHUDZUEUDZUXGUEUDWVSWVTUXGUEUDZUEUDWVRAUXEW
      WAUXGUEAUXDIUWTVUKNVVQUUTWOAWVSWVTUXGAUXDIVUKNVSAUXDUWTVUKVVQVSZVVPYLAWVS
      WVPWWBWVQUEAWVSCUYTUBUCUDZUPUDZIUHUDUYFWWDIUHUDZUPUDWVPAUXDWWEIUHAUXDWWDC
      UPUDZUGWWEAUXCWWGAUXCVUBUBUCUDWWDVUAUBUCUDZUPUDWWGAGVUBUBUCSWOAUYTVUAUBVU
      CVUEVUGVUIYBAWWHCWWDUPACUBLVUGVUIXTXPWSWTAWWDCAUYTUBVUCVUGVUIVJZLYMWRZWOA
      CWWDILWWINYNAWWFWUSUYFUPAWWFIWWDUHUDIUBWUQUHUDZUHUDWUSAWWDIWWINYKAWWKWWDI
      UHAWWKUBWWDUBUCUDZUHUDWWDAWUQWWLUBUHAUYTVYSUCUDUYTWUOUCUDWUQWWLVYSWUOUYTU
      CUBVCUVAXJABUBKVUGVUIXDAUYTUBUBVUCVUGVUGVUIVUIYEUVBXPAWWDUBWWIVUGVUIYJWRX
      PAIUBWUQNVUGWVKYHYOXPWSAWWBVUNUBUCUDZVULUOUCUDZUPUDZVUMUXFUCUDZWWMUPUDZDU
      EUDZUEUDZDWUTUGZUEUDZWVQAWVTWWOUXGWWRUEAWVTWWEUWTUHUDCUWTUHUDZWWDUWTUHUDZ
      UPUDWWOAUXDWWEUWTUHWWJWOACWWDUWTLWWIVVQYNAWXBWWMWXCWWNUPACBUHUDZUBUCUDWXB
      WWMACBUBLKVUGVUIXGAWXDVUNUBUCACBLKYKWOYFAWXCUYTBUHUDZWUOUCUDWWNAUYTUBBUBV
      UCVUGKVUGVUIVUIUVCAWXEVULWUOUOUCAVULBUIUNUEUDZUFUDZWXEUBWXFBUFUVJXJAVUTWU
      FWXGWXEULKWFBUIUVDVQUVEWUOUOULAYIVHWLWRWLWSZAUXGVURUXFUCUDVUPUXFUCUDZVUQU
      XFUCUDZUEUDWWRAHVURUXFUCTWOAVUPVUQUXFVVGVVKVVMVVOWQAWXIWWQWXJDUEAWXIWWPVU
      OUXFUCUDZUPUDWWQAVUMVUOUXFVVCVVFVVMVVOYBAWXKWWMWWPUPAWXKVUOUOUBUHUDZUCUDW
      WMWXLUXFVUOUCYPXJAVUNUBUOVVEVUGVYQVUIVYRYQYRXPWRADUXFMVVMVVOXTWLWSWLAWWTD
      UEUDWWOWWQUEUDZDUEUDWXAWWSAWWTWXMDUEAWWNWWPUPUDZUGWWPWWNUPUDWWTWXMAWWNWWP
      AVULUOVVBVYQVYRVJZAVUMUXFVVCVVMVVOVJZYMAWUTWXNAWUTVULVWJUCUDZUBVULUHUDZUX
      FUCUDZWWPUPUDZWXNABUBUBKVUGVUIVWNWJAWXQVULUXFUCUDZWXTVWJUXFVULUCWKXJAWYAW
      XRVUMUPUDZUXFUCUDWXTAVULWYBUXFUCAUBUIUPUDZVULUHUDZVULWYBAWYDUNVULUHUDVULW
      YCUNVULUHUBUIUNVCVLUVFUVKUVGXNAVULVVBUVHYAAUBUIVULVUGVWQVVBYNYFWOAWXRVUMU
      XFAVUDVUSWXRURVBVCVVBUBVULVDVEVVCVVMVVOYBWRYAAWXSWWNWWPUPAWXSWXRUBUOUHUDZ
      UCUDWWNWYEUXFWXRUCUOUBUXFVRVCYPUVIXJAVULUOUBVVBVYQVUGVYRVUIYQYRWOWSWTAWWM
      WWNWWPAVUNUBVVEVUGVUIVJZWXOWXPUVLYDWOAWWTDAWUTWVMVKMWNAWWOWWQDAWVTWWOURWX
      HWWCUVMAWWPWWMWXPWYFVFMYLUVNADWUTMWVMYCYOWLWSAUYFDWUSWUTACILNVSZMWVLWVMUV
      OXQXPAWVAUYGWVNAUYFDWYGMWCUVPWRXPWSYSAUYAUYOJURAUXJURVBZUQZUXLUXTUYNUXLWY
      IUXJUTVIZUXTUYNXIZUXJUTUXKUNUXJUTULZUXKUTUNWYLUXKUTUBUFUDZUTUXJUTUBUFUVQV
      WEWYMUTULWPUBUVTUVRXOUTUNVIWYLUWSVHUVSUWAAWYHWYJWYKAWYHWYJUQZUQZUYNUYIUYJ
      UEUDZUBUCUDZUGZUWTUPUDZIULZUXAWYRULUXTUYNUYMIULWYOWYTIUYMUWBWYOUYMWYSIWYO
      UYMUWTWYRUPUDZUGWYSWYOUYLXUAWYOBWYPUEUDZUBUCUDUWTWYQUEUDUYLXUAWYOBWYPUBAV
      UTWYNKYTZWYOUYIUYJWYOUXJEAWYHWYJUWCZAEURVBWYNOYTZVSZWYOGUYIAVYJWYNVUFYTZX
      UFWYOUXJEXUDXUEAWYHWYJUWDAEUTVIWYNUAYTUWEZVJZWCZVUDWYOVCVHZVUHWYOVMVHZWQW
      YOUYKXUBUBUCWYOBUYIUYJXUCXUFXUIYLWOWYOUWTWYQAWVHWYNVVQYTZWYOWYPUBXUJXUKXU
      LVJZUWFYDWTWYOUWTWYRXUMWYOWYQXUNVKZYMWRYSUWGWYOWYRUWTIXUOXUMAWVGWYNNYTUWH
      WYOWYRUXSUXAWYOWYRUYIUBUCUDZUYJUBUCUDZUEUDZUGXUPUGZXUQUPUDUXSWYOWYQXURWYO
      UYIUYJUBXUFXUIXUKXULWQWTWYOXUPXUQWYOUYIUBXUFXUKXULVJZWYOUYJUBXUIXUKXULVJX
      BWYOXUSUXOXUQUXRUPWYOXUSUXJUXMUHUDZUGUXOWYOXUPXVAWYOUXJEUBXUDXUEXUKXULXGW
      TWYOUXJUXMXUDAVWDWYNVVSYTUWIXQZWYOXUQUXPXUPUCUDZUXQXUSUCUDUXRWYOXUQUXCUYI
      UCUDWUNXUPUCUDZXVCWYOGUYIUBXUGXUFXUKXUHXULWMWYOUXCUYIUBAUXCURVBWYNVUJYTXU
      FXUKXUHXULUWJAXVDXVCULWYNAWUNUXPXUPUCWUPWOYTYOWYOUXPXUPAWUGWYNWUHYTXUTWYO
      UYIUBXUFXUKXUHXULYGUWKWYOXUSUXOUXQUCXVBXPYOWLWSUWLUWMUWNUWOUWPUWQUWR $.
  $}

  ${
    $d r A $.  $d r B $.  $d r M $.  $d r N $.  $d r ph $.  $d r T $.
    $d r X $.
    cubic2.a $e |- ( ph -> A e. CC ) $.
    cubic2.z $e |- ( ph -> A =/= 0 ) $.
    cubic2.b $e |- ( ph -> B e. CC ) $.
    cubic2.c $e |- ( ph -> C e. CC ) $.
    cubic2.d $e |- ( ph -> D e. CC ) $.
    cubic2.x $e |- ( ph -> X e. CC ) $.
    cubic2.t $e |- ( ph -> T e. CC ) $.
    cubic2.3 $e |- ( ph -> ( T ^ 3 ) = ( ( N + G ) / 2 ) ) $.
    cubic2.g $e |- ( ph -> G e. CC ) $.
    cubic2.2 $e |- ( ph -> ( G ^ 2 ) = ( ( N ^ 2 ) - ( 4 x. ( M ^ 3 ) ) ) ) $.
    cubic2.m $e |- ( ph -> M = ( ( B ^ 2 ) - ( 3 x. ( A x. C ) ) ) ) $.
    cubic2.n $e |- ( ph -> N = ( ( ( 2 x. ( B ^ 3 ) ) -
      ( ( 9 x. A ) x. ( B x. C ) ) ) + ( ; 2 7 x. ( ( A ^ 2 ) x. D ) ) ) ) $.
    cubic2.0 $e |- ( ph -> T =/= 0 ) $.
    $( The solution to the general cubic equation, for arbitrary choices ` G `
       and ` T ` of the square and cube roots.  (Contributed by Mario Carneiro,
       23-Apr-2015.) $)
    cubic2 $p |- ( ph -> ( ( ( ( A x. ( X ^ 3 ) ) + ( B x. ( X ^ 2 ) ) ) +
      ( ( C x. X ) + D ) ) = 0 <-> E. r e. CC ( ( r ^ 3 ) = 1 /\ X =
       -u ( ( ( B + ( r x. T ) ) + ( M / ( r x. T ) ) ) / ( 3 x. A ) ) ) ) ) $=
      ( c3 cexp co cmul c2 caddc cc0 wceq cdiv cv c1 cneg wa wrex wcel cn0 3nn0
      expcl sylancl mulcld sqcld addcld diveq0ad divdird divcan3d oveq12d eqtrd
      cc div23d oveq1d eqeq1d bitr3d divcld a1i expdivd c9 cmin cdc 2cn sylancr
      c7 mulcl 9cn subcld 2nn0 7nn decnncl nncni eqeltrd 2cnd wne cz 3z expne0d
      2ne0 divdiv32d 3eqtrd c4 sqdivd 4cn 3cn wb sqne0 syl mpbird divsubdird 2z
      mulcomi oveq2i expmuld 3eqtr3a oveq2d divassd eqtr4d sqvald divcan5d df-3
      eqtr2d 3eqtr4d mulassd expp1 syl5eq mulcomd 3eqtr4rd divne0d mcubic oveq1
      divmuldivd cn 3nn 0exp ax-mp eqtrdi 0ne1 adantr divdiv1d eqnetrd divcan7d
      necon2i simprl eqcomd simprr mulne0d 3eqtr3d mulcom negeqd eqeq2d anassrs
      3ne0 sylan2 pm5.32da rexbidva 3bitrd ) ABJUEUFUGZUHUGZCJUIUFUGZUHUGZUJUGZ
      DJUHUGZEUJUGZUJUGZUKULZUURCBUMUGZUUTUHUGZUJUGZDBUMUGZJUHUGZEBUMUGZUJUGZUJ
      UGZUKULZKUNZUEUFUGZUOULZJUVGUVPFBUMUGZUHUGZUJUGZHBUIUFUGZUMUGZUVTUMUGZUJU
      GZUEUMUGZUPZULZUQZKVLURUVRJCUVPFUHUGZUJUGZHUWJUMUGZUJUGZUEBUHUGZUMUGZUPZU
      LZUQZKVLURAUVEBUMUGZUKULUVFUVOAUVEBAUVBUVDAUUSUVAABUURLAJVLUSUEUTUSZUURVL
      USQVAJUEVBVCZVDZACUUTNAJQVEZVDZVFZAUVCEADJOQVDZPVFZVFLMVGAUWSUVNUKAUWSUVB
      BUMUGZUVDBUMUGZUJUGUVNAUVBUVDBUXEUXGLMVHAUXHUVIUXIUVMUJAUXHUUSBUMUGZUVABU
      MUGZUJUGUVIAUUSUVABUXBUXDLMVHAUXJUURUXKUVHUJAUURBUXALMVIACUUTBNUXCLMVMVJV
      KAUXIUVCBUMUGZUVLUJUGUVMAUVCEBUXFPLMVHAUXLUVKUVLUJADJBOQLMVMVNVKVJVKVOVPA
      UVGUVJUVLUVSGBUEUFUGZUMUGZUWCIUXMUMUGZJKACBNLMVQADBOLMVQAEBPLMVQQAFBRLMVQ
      AUVSUEUFUGFUEUFUGZUXMUMUGIGUJUGZUIUMUGZUXMUMUGZUXOUXNUJUGZUIUMUGZAFBUERLM
      UWTAVAVRZVSAUXPUXRUXMUMSVNAUXSUXQUXMUMUGZUIUMUGUYAAUXQUIUXMAIGAIUICUEUFUG
      ZUHUGZVTBUHUGZCDUHUGZUHUGZWAUGZUIWEWBZUWBEUHUGZUHUGZUJUGZVLUCAUYIUYLAUYEU
      YHAUIVLUSUYDVLUSZUYEVLUSWCACVLUSZUWTUYNNVACUEVBVCZUIUYDWFWDZAUYFUYGAVTVLU
      SZBVLUSZUYFVLUSWGLVTBWFWDACDNOVDZVDZWHZAUYJVLUSZUYKVLUSUYLVLUSUYJUIWEWIWJ
      WKWLZAUWBEABLVEZPVDZUYJUYKWFWDZVFWMZTVFAWNZAUYSUWTUXMVLUSZLVABUEVBVCZUIUK
      WOAWSVRABUELMUEWPUSAWQVRWRZWTAUYCUXTUIUMAIGUXMVUHTVUKVULVHVNVKXAAGUXMTVUK
      VULVQAUXNUIUFUGGUIUFUGZUXMUIUFUGZUMUGIUIUFUGZXBHUEUFUGZUHUGZWAUGZVUNUMUGZ
      UXOUIUFUGZXBUWCUEUFUGZUHUGZWAUGZAGUXMTVUKVULXCAVUMVURVUNUMUAVNAVUSVUOVUNU
      MUGZVUQVUNUMUGZWAUGVVCAVUOVUQVUNAIVUHVEAXBVLUSZVUPVLUSZVUQVLUSXDAHVLUSZUW
      TVVGAHCUIUFUGZUEBDUHUGZUHUGZWAUGZVLUBAVVIVVKACNVEZAUEVLUSZVVJVLUSVVKVLUSX
      EABDLOVDZUEVVJWFWDZWHWMZVAHUEVBVCZXBVUPWFWDAUXMVUKVEZAVUNUKWOZUXMUKWOZVUL
      AVUJVVTVWAXFVUKUXMXGXHXIZXJAVUTVVDVVBVVEWAAIUXMVUHVUKVULXCAVVBXBVUPVUNUMU
      GZUHUGVVEAVVAVWCXBUHAVVAVUPUWBUEUFUGZUMUGVWCAHUWBUEVVQVUEABUILMUIWPUSAXKV
      RWRZUYBVSAVWDVUNVUPUMABUIUEUHUGZUFUGBUEUIUHUGZUFUGVWDVUNVWFVWGBUFUIUEWCXE
      XLXMABUIUELUYBUIUTUSZAWIVRZXNABUEUILVWIUYBXNXOXPVKXPAXBVUPVUNVVFAXDVRVVRV
      VSVWBXQXRVJXRXAAVVLUWBUMUGVVIUWBUMUGZVVKUWBUMUGZWAUGUWCUVGUIUFUGZUEUVJUHU
      GZWAUGAVVIVVKUWBVVMVVPVUEVWEXJAHVVLUWBUMUBVNAVWLVWJVWMVWKWAACBNLMXCAVWMUE
      VVJUWBUMUGZUHUGVWKAUVJVWNUEUHAVWNVVJBBUHUGZUMUGUVJAUWBVWOVVJUMABLXSZXPADB
      BOLLMMXTYBXPAUEVVJUWBVVNAXEVRVVOVUEVWEXQXRVJYCAUYMUXMUMUGUYIUXMUMUGZUYLUX
      MUMUGZUJUGUXOUIUVGUEUFUGZUHUGZVTUVGUVJUHUGZUHUGZWAUGZUYJUVLUHUGZUJUGAUYIU
      YLUXMVUBVUGVUKVULVHAIUYMUXMUMUCVNAVXCVWQVXDVWRUJAVXCUYEUXMUMUGZUYHUXMUMUG
      ZWAUGVWQAVWTVXEVXBVXFWAAVWTUIUYDUXMUMUGZUHUGVXEAVWSVXGUIUHACBUENLMUYBVSXP
      AUIUYDUXMVUIUYPVUKVULXQXRAVTBUYGUHUGZUHUGZUXMUMUGVTVXHUXMUMUGZUHUGVXFVXBA
      VTVXHUXMUYRAWGVRZABUYGLUYTVDVUKVULXQAUYHVXIUXMUMAVTBUYGVXKLUYTYDVNAVXAVXJ
      VTUHAVXHBUWBUHUGZUMUGUYGUWBUMUGZVXJVXAAUYGUWBBUYTVUELVWEMXTAUXMVXLVXHUMAU
      XMUWBBUHUGZVXLAUXMBUIUOUJUGZUFUGZVXNUEVXOBUFYAXMAUYSVWHVXPVXNULLWIBUIYEVC
      YFZAUWBBVUELYGVKXPAVXAUYGVWOUMUGVXMACBDBNLOLMMYLAUWBVWOUYGUMVWPXPXRYHXPYH
      VJAUYEUYHUXMUYQVUAVUKVULXJXRAVXDUYJUYKUXMUMUGZUHUGVWRAUVLVXRUYJUHAVXRUYKV
      XNUMUGUVLAUXMVXNUYKUMVXQXPAEBUWBPLVUEMVWEXTYBXPAUYJUYKUXMVUCAVUDVRVUFVUKV
      ULXQXRVJYCAFBRLUDMYIYJAUWIUWRKVLAUVPVLUSZUQZUVRUWHUWQUVRVXTUVPUKWOZUWHUWQ
      XFZUVPUKUVQUOUVPUKULZUVQUKUOVYCUVQUKUEUFUGZUKUVPUKUEUFYKUEYMUSVYDUKULYNUE
      YOYPYQUKUOWOVYCYRVRUUAUUCAVXSVYAVYBAVXSVYAUQZUQZUWGUWPJVYFUWFUWOVYFUWFUWM
      BUMUGZUEUMUGUWMBUEUHUGZUMUGUWOVYFUWEVYGUEUMVYFUWEUWKBUMUGZUWLBUMUGZUJUGVY
      GVYFUWAVYIUWDVYJUJVYFUWAUVGUWJBUMUGZUJUGVYIVYFUVTVYKUVGUJVYFVYKUVTVYFUVPF
      BAVXSVYAUUDZAFVLUSVYERYSZAUYSVYELYSZABUKWOVYEMYSZXQZUUEXPVYFCUWJBAUYOVYEN
      YSZVYFUVPFVYLVYMVDZVYNVYOVHXRVYFHBUMUGZBUMUGZVYKUMUGVYSUWJUMUGUWDVYJVYFVY
      SUWJBVYFHBAVVHVYEVVQYSZVYNVYOVQVYRVYNVYFUVPFVYLVYMAVXSVYAUUFAFUKWOVYEUDYS
      UUGZVYOUUBVYFVYTUWCVYKUVTUMVYFVYTHVWOUMUGUWCVYFHBBWUAVYNVYNVYOVYOYTVYFUWB
      VWOHUMVYFBVYNXSXPXRVYPVJVYFHBUWJWUAVYNVYRVYOWUBWTUUHVJVYFUWKUWLBVYFCUWJVY
      QVYRVFZVYFHUWJWUAVYRWUBVQZVYNVYOVHXRVNVYFUWMBUEVYFUWKUWLWUCWUDVFVYNVVNVYF
      XEVRVYOUEUKWOVYFUUMVRYTVYFVYHUWNUWMUMVYFUYSVVNVYHUWNULVYNXEBUEUUIVCXPXAUU
      JUUKUULUUNUUOUUPUUQ $.
  $}

  ${
    $d r A $.  $d r B $.  $d r M $.  $d r N $.  $d r ph $.  $d r T $.
    $d r X $.
    cubic.r $e |- R = { 1 ,
      ( ( -u 1 + ( _i x. ( sqrt ` 3 ) ) ) / 2 ) ,
      ( ( -u 1 - ( _i x. ( sqrt ` 3 ) ) ) / 2 ) } $.
    cubic.a $e |- ( ph -> A e. CC ) $.
    cubic.z $e |- ( ph -> A =/= 0 ) $.
    cubic.b $e |- ( ph -> B e. CC ) $.
    cubic.c $e |- ( ph -> C e. CC ) $.
    cubic.d $e |- ( ph -> D e. CC ) $.
    cubic.x $e |- ( ph -> X e. CC ) $.
    cubic.t $e |- ( ph ->
      T = ( ( ( N + ( sqrt ` G ) ) / 2 ) ^c ( 1 / 3 ) ) ) $.
    cubic.g $e |- ( ph -> G = ( ( N ^ 2 ) - ( 4 x. ( M ^ 3 ) ) ) ) $.
    cubic.m $e |- ( ph -> M = ( ( B ^ 2 ) - ( 3 x. ( A x. C ) ) ) ) $.
    cubic.n $e |- ( ph -> N = ( ( ( 2 x. ( B ^ 3 ) ) -
      ( ( 9 x. A ) x. ( B x. C ) ) ) + ( ; 2 7 x. ( ( A ^ 2 ) x. D ) ) ) ) $.
    cubic.0 $e |- ( ph -> M =/= 0 ) $.
    $( The cubic equation, which gives the roots of an arbitrary
       (nondegenerate) cubic function.  Use ~ rextp to convert the existential
       quantifier to a triple disjunction.  This is Metamath 100 proof #37.
       (Contributed by Mario Carneiro, 26-Apr-2015.) $)
    cubic $p |- ( ph -> ( ( ( ( A x. ( X ^ 3 ) ) + ( B x. ( X ^ 2 ) ) ) +
      ( ( C x. X ) + D ) ) = 0 <-> E. r e. R X =
       -u ( ( ( B + ( r x. T ) ) + ( M / ( r x. T ) ) ) / ( 3 x. A ) ) ) ) $=
      ( c3 cexp co cmul c2 caddc cc0 wceq cv c1 cdiv cneg wa cc wrex csqrt ccxp
      cfv wcel c9 cmin c7 cdc 2cn cn0 expcl sylancl mulcl sylancr mulcld subcld
      3nn0 9cn 2nn0 7nn decnncl nncni addcld eqeltrd c4 4cn 3cn sqrtcld halfcld
      sqcld 3ne0 reccli cxpcl oveq1d cn 3nn cxproot eqtrd sqsqrtd a1i wne cz 3z
      4ne0 expne0d mulne0d oveq2d syl2anc nncand 3eqtr3d mul02d 3netr4d necon3i
      subsq oveq1 syl divne0d cxpne0d eqnetrd cubic2 1cubr anbi1i anass rexbii2
      2ne0 bitri bitr4di ) ABKUEUFUGUHUGCKUIUFUGUHUGUJUGDKUHUGEUJUGUJUGUKULLUMZ
      UEUFUGUNULZKCYGGUHUGZUJUGIYIUOUGUJUGUEBUHUGUOUGUPULZUQZLURUSYJLFUSABCDEGH
      UTVBZIJKLNOPQRSAGJYLUJUGZUIUOUGZUNUEUOUGZVAUGZURTAYNURVCZYOURVCZYPURVCAYM
      AJYLAJUICUEUFUGZUHUGZVDBUHUGZCDUHUGZUHUGZVEUGZUIVFVGZBUIUFUGZEUHUGZUHUGZU
      JUGURUCAUUDUUHAYTUUCAUIURVCZYSURVCZYTURVCVHACURVCUEVIVCZUUJPVPCUEVJVKUIYS
      VLVMAUUAUUBAVDURVCBURVCUUAURVCVQNVDBVLVMACDPQVNVNVOAUUEURVCUUGURVCUUHURVC
      UUEUIVFVRVSVTWAAUUFEABNWIRVNUUEUUGVLVMWBWCZAHAHJUIUFUGZWDIUEUFUGZUHUGZVEU
      GZURUAAUUMUUOAJUULWIZAWDURVCZUUNURVCZUUOURVCWEAIURVCUUKUUSAICUIUFUGZUEBDU
      HUGZUHUGZVEUGURUBAUUTUVBACPWIAUEURVCUVAURVCUVBURVCWFABDNQVNUEUVAVLVMVOWCZ
      VPIUEVJVKZWDUUNVLVMZVOWCZWGZWBZWHZUEWFWJWKZYNYOWLVKWCAGUEUFUGYPUEUFUGZYNA
      GYPUEUFTWMAYQUEWNVCUVKYNULUVIWOYNUEWPVKWQUVGAYLUIUFUGZHUUPAHUVFWRUAWQZUBU
      CAGYPUKTAYNYOUVIAYMUIUVHUUIAVHWSAYMJYLVEUGZUHUGZUKUVNUHUGZWTYMUKWTAUUOUKU
      VOUVPAWDUUNUURAWEWSUVDWDUKWTAXCWSAIUEUVCUDUEXAVCAXBWSXDXEAUUMUVLVEUGZUUMU
      UPVEUGUVOUUOAUVLUUPUUMVEUVMXFAJURVCYLURVCUVQUVOULUULUVGJYLXMXGAUUMUUOUUQU
      VEXHXIAUVNAJYLUULUVGVOXJXKYMUKUVOUVPYMUKUVNUHXNXLXOUIUKWTAYDWSXPYRAUVJWSX
      QXRXSYJYKLFURYGFVCZYJUQYGURVCZYHUQZYJUQUVSYKUQUVRUVTYJYGFMXTYAUVSYHYJYBYE
      YCYF $.
  $}

  $( Work out a quartic binomial.  (You would think that by this point it would
     be faster to use ~ binom , but it turns out to be just as much work to put
     it into this form after clearing all the sums and calculating binomial
     coefficients.)  (Contributed by Mario Carneiro, 6-May-2015.) $)
  binom4 $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A + B ) ^ 4 ) =
    ( ( ( A ^ 4 ) +
        ( 4 x. ( ( A ^ 3 ) x. B ) ) ) +
      ( ( 6 x. ( ( A ^ 2 ) x. ( B ^ 2 ) ) ) +
      ( ( 4 x. ( A x. ( B ^ 3 ) ) ) +
        ( B ^ 4 ) ) ) ) ) $=
    ( cc wcel caddc co c4 cexp c3 c2 c1 oveq2i sylancl 3cn addcld mulassd eqtrd
    cmul oveq2d oveq12d wa df-4 cn0 wceq addcl expp1 syl5eq binom3 oveq1d simpl
    c6 3nn0 expcl sqcld simpr mulcld mulcl sylancr adddid eqtr2id a1i df-3 2nn0
    mul32d joinlmuladdmuld sqvald eqtr4d mulcomd adddird addassd 3eqtrd mulid2d
    4nn0 add4d oveq1i ax-1cn 3p3e6 eqtr3id 3p1e4 addcomli ) ACDZBCDZUAZABEFZGHF
    ZWDIHFZWDRFZAIHFZIAJHFZBRFZRFZEFZIABJHFZRFZRFZBIHFZEFZEFZWDRFZAGHFZGWHBRFZR
    FZEFZUKWIWMRFZRFZGAWPRFZRFZBGHFZEFZEFZEFZWCWEWDIKEFZHFZWGGXLWDHUBLWCWDCDIUC
    DZXMWGUDABUEULWDIUFMUGWCWFWRWDRABUHUIWCWSWRARFZWRBRFZEFWTIXARFZEFZIXDRFZXFE
    FZEFZXAXSIXFRFZXHEFZEFZEFZEFZXKWCWRABWCWLWQWCWHWKWCWAXNWHCDWAWBUJZULAIUMMZW
    CICDZWJCDWKCDNWCWIBWCAYGUNZWAWBUOZUPZIWJUQURZOZWCWOWPWCYIWNCDWOCDNWCAWMYGWC
    BYKUNZUPZIWNUQURZWCWBXNWPCDYKULBIUMMZOZOYGYKUSWCXOYAXPYEEWCWLAWQYAYNYGYSWCW
    LARFXRWQARFXTEWCWHAWKXRYHYGYMWCWHARFZWTWKARFZXQEWCWTAXLHFZYTGXLAHUBLWCWAXNU
    UBYTUDYGULAIUFMUTWCUUAIWJARFZRFXQWCIWJAYIWCNVAZYLYGPWCUUCXAIRWCUUCWIARFZBRF
    XAWCWIBAYJYKYGVDWCUUEWHBRWCWHAJKEFZHFZUUEIUUFAHVBLWCWAJUCDZUUGUUEUDYGVCAJUF
    MUTUIQSQTVEWCWOAWPXTYQYGYRWCWOARFZXSWPARFXFEWCUUIIWNARFZRFXSWCIWNAUUDYPYGPW
    CUUJXDIRWCUUJAARFZWMRFXDWCAWMAYGYOYGVDWCWIUUKWMRWCAYGVFUIVGSQWCWPAYRYGVHTVE
    TVEWCXPWLBRFZWQBRFZEFXAXSEFZYCEFYEWCWLWQBYNYSYKVIWCUULUUNUUMYCEWCWHBWKUUNYH
    YKYMWCWKBRFZXSXAEWCUUOIWJBRFZRFXSWCIWJBUUDYLYKPWCUUPXDIRWCUUPWIBBRFZRFXDWCW
    IBBYJYKYKPWCWMUUQWIRWCBYKVFSVGSQSVEWCWOBWPYCYQYKYRWCWOBRFZYBWPBRFZXHEWCUURI
    WNBRFZRFYBWCIWNBUUDYPYKPWCUUTXFIRWCUUTAWMBRFZRFXFWCAWMBYGYOYKPWCUVAWPARWCWP
    BUUFHFZUVAIUUFBHVBLWCWBUUHUVBUVAUDYKVCBJUFMUTSQSQWCXHBXLHFZUUSGXLBHUBLWCWBX
    NUVCUUSUDYKULBIUFMUTTVETWCXAXSYCWCWHBYHYKUPZWCYIXDCDXSCDNWCWIWMYJYOUPZIXDUQ
    URZWCYBXHWCYIXFCDYBCDNWCAWPYGYRUPZIXFUQURZWCWBGUCDZXHCDYKVMBGUMMZOZVJVKTWCY
    FXRXAEFZXTYDEFZEFXKWCXRXTXAYDWCWTXQWCWAUVIWTCDYGVMAGUMMZWCYIXACDXQCDNUVDIXA
    UQURZOWCXSXFUVFUVGOUVDWCXSYCUVFUVKOVNWCUVLXCUVMXJEWCUVLWTXQXAEFZEFXCWCWTXQX
    AUVNUVOUVDVJWCXBUVPWTEWCXBXQKXARFZEFZUVPWCXBXLXARFUVRGXLXARUBVOWCIKXAUUDKCD
    WCVPVAZUVDVIUGWCUVQXAXQEWCXAUVDVLSQSVGWCUVMXSXSEFZXFYCEFZEFXJWCXSXFXSYCUVFU
    VGUVFUVKVNWCXEUVTXIUWAEWCXEIIEFZXDRFUVTUWBUKXDRVQVOWCIIXDUUDUUDUVEVIVRWCXIX
    FYBEFZXHEFUWAWCXGUWCXHEWCXGKXFRFZYBEFZUWCWCXGKIEFZXFRFUWEUWFGXFRIKGNVPVSVTV
    OWCKIXFUVSUUDUVGVIVRWCUWDXFYBEWCXFUVGVLUIQUIWCXFYBXHUVGUVHUVJVJQTVGTQVKVK
    $.

  ${
    dquart.b $e |- ( ph -> B e. CC ) $.
    dquart.c $e |- ( ph -> C e. CC ) $.
    dquart.x $e |- ( ph -> X e. CC ) $.
    dquart.s $e |- ( ph -> S e. CC ) $.
    dquart.m $e |- ( ph -> M = ( ( 2 x. S ) ^ 2 ) ) $.
    dquart.m0 $e |- ( ph -> M =/= 0 ) $.
    dquart.i $e |- ( ph -> I e. CC ) $.
    dquart.i2 $e |- ( ph -> ( I ^ 2 ) =
      ( ( -u ( S ^ 2 ) - ( B / 2 ) ) + ( ( C / 4 ) / S ) ) ) $.
    $( Lemma for ~ dquart .  (Contributed by Mario Carneiro, 6-May-2015.) $)
    dquartlem1 $p |- ( ph ->
     ( ( ( ( X ^ 2 ) + ( ( M + B ) / 2 ) ) +
       ( ( ( ( M / 2 ) x. X ) - ( C / 4 ) ) / S ) ) = 0
       <-> ( X = ( -u S + I ) \/ X = ( -u S - I ) ) ) ) $=
      ( c2 co caddc cdiv cmul cexp c4 cmin cc0 wceq c1 cneg wo sqcld wcel mulcl
      cc 2cn sylancr eqeltrd addcld halfcld mulcld 4cn a1i wne divcld subcld wa
      4ne0 eqnetrrd sqne0 syl mpbid mulne0b mpbird simprd 2ne0 diveq0ad addassd
      oveq1d divdird divsubdird div23d sqvald oveq2d sqmul sqvali oveq1i eqtrdi
      divrec2d mulassd 3eqtrd divcan3d eqtrd divcan4d addsub12d negcld subsub4d
      3eqtr4d 2timesd subnegd negdi2d eqtr3d oveq12d eqeq1d bitr3d mp1i ax-1ne0
      wb ax-1cn halfcl divne0i 2cnne0 divmuldiv syl22anc mulid2d 2t2e4 divcan2d
      nncand eqtr2d quad2 recidi oveq2i div1d syl5eq eqeq2d orbi12d 3bitrd ) AG
      PUAQZFBRQZPSQZRQZFPSQZGTQZCUBSQZUCQZDSQZRQZUDUEZUFPSQZYETQZDGTQZDPUAQZEPU
      AQZUCQZPSQZRQZRQZUDUEZGDUGZERQZPYPTQZSQZUEZGUUFEUCQZUUHSQZUEZUHGUUGUEZGUU
      KUEZUHAYNPSQZUDUEYOUUEAYNPAYHYMAYEYGAGJUIZAYFAFBAFPDTQZPUAQZULLAUURAPULUJ
      ZDULUJZUURULUJZUMKPDUKUNZUIUOZHUPUQZUPAYLDAYJYKAYIGAFUVDUQZJURZACUBIUBULU
      JAUSUTZUBUDVAAVEUTZVBZVCKAPUDVAZDUDVAZAUVKUVLVDZUURUDVAZAUUSUDVAZUVNAFUUS
      UDLMVFAUVBUVOUVNXEUVCUURVGVHVIAUUTUVAUVMUVNXEUMKPDVJUNVKVLZVBZUPUUTAUMUTZ
      UVKAVMUTZVNAUUPUUDUDAUUPYEYGYMRQZRQZPSQYEPSQZUVTPSQZRQUUDAYNUWAPSAYEYGYMU
      UQUVEUVQVOVPAYEUVTPUUQAYGYMUVEUVQUPUVRUVSVQAUWBYQUWCUUCRAYEPUUQUVRUVSWFAU
      WCUURGTQZYGYKDSQZUCQZRQZPSQUWDPSQZUWFPSQZRQUUCAUVTUWGPSAUVTYGUWDUWEUCQZRQ
      UWGAYMUWJYGRAYMYJDSQZUWEUCQUWJAYJYKDUVGUVJKUVPVRAUWKUWDUWEUCAUWKYIDSQZGTQ
      UWDAYIGDUVFJKUVPVSAUWLUURGTAUWLUURDTQZDSQUURAYIUWMDSAPYSTQZPDDTQZTQYIUWMA
      YSUWOPTADKVTWAAYIPUWNTQZPSQUWNAFUWPPSAFUUSPPTQZYSTQZUWPLAUUSPPUAQZYSTQZUW
      RAUUTUVAUUSUWTUEUMKPDWBUNUWSUWQYSTPUMWCWDWEAPPYSUVRUVRADKUIZWGWHVPAUWNPAU
      UTYSULUJUWNULUJUMUXAPYSUKUNUVRUVSWIWJZAPDDUVRKKWGWOVPAUURDUVCKUVPWKWJVPWJ
      VPWJWAAYGUWDUWEUVEAUURGUVCJURZAYKDUVJKUVPVBZWLWJVPAUWDUWFPUXCAYGUWEUVEUXD
      VCUVRUVSVQAUWHYRUWIUUBRAUWHPYRTQZPSQYRAUWDUXEPSAPDGUVRKJWGVPAYRPADGKJURUV
      RUVSWIWJAUWFUUAPSAYSYSUGZBPSQZUCQZUCQZUWEUCQYSUXHUWERQZUCQUWFUUAAYSUXHUWE
      UXAAUXFUXGAYSUXAWMABHUQZVCUXDWNAYGUXIUWEUCAYGYSYSRQZUXGRQZYSYSUXGRQZRQZUX
      IAYGYIUXGRQUXMAFBPUVDHUVRUVSVQAYIUXLUXGRAYIUWNUXLUXBAYSUXAWPWJVPWJAYSYSUX
      GUXAUXAUXKVOAYSUXNUGZUCQUXOUXIAYSUXNUXAAYSUXGUXAUXKUPWQAUXPUXHYSUCAYSUXGU
      XAUXKWRWAWSWHVPAYTUXJYSUCOWAWOVPWTWHWTWHXAXBAYPDUUBEGUFULUJZYPULUJAXFUFXG
      XCYPUDVAAUFPXFUMXDVMXHUTKAUUAAYSYTUXAAENUIZVCZUQJNAYSUBYPUUBTQZTQZUCQYSUU
      AUCQYTAUYAUUAYSUCAUYAUBUUAUBSQZTQUUAAUXTUYBUBTAUXTUFUUATQZUWQSQZUYBAUXQUU
      AULUJUUTUVKVDZUYEUXTUYDUEUXQAXFUTUXSUYEAXIUTZUYFUFUUAPPXJXKAUYCUUAUWQUBSA
      UUAUXSXLUWQUBUEAXMUTWTWJWAAUUAUBUXSUVHUVIXNWJWAAYSYTUXAUXRXOXPXQAUUJUUNUU
      MUUOAUUIUUGGAUUIUUGUFSQUUGUUHUFUUGSPUMVMXRZXSAUUGAUUFEADKWMZNUPXTYAYBAUUL
      UUKGAUULUUKUFSQUUKUUHUFUUKSUYGXSAUUKAUUFEUYHNVCXTYAYBYCYD $.

    dquart.d $e |- ( ph -> D e. CC ) $.
    dquart.3 $e |- ( ph -> ( ( ( M ^ 3 ) + ( ( 2 x. B ) x. ( M ^ 2 ) ) ) +
      ( ( ( ( B ^ 2 ) - ( 4 x. D ) ) x. M ) + -u ( C ^ 2 ) ) ) = 0 ) $.
    $( Lemma for ~ dquart .  (Contributed by Mario Carneiro, 6-May-2015.) $)
    dquartlem2 $p |- ( ph ->
      ( ( ( ( M + B ) / 2 ) ^ 2 ) - ( ( ( C ^ 2 ) / 4 ) / M ) ) = D ) $=
      ( co cmul caddc c2 cdiv cexp c4 cmin wcel 2cn mulcl sylancr sqcld eqeltrd
      addcld a1i cc0 wne 2ne0 sqdivd sq2 oveq2i eqtrdi oveq1d 4cn divcld subcld
      cc 4ne0 subdird div23d eqcomd divcan1d oveq12d wceq binom2 syl2anc mulcld
      c3 adddird c1 df-3 cn0 expp1 sylancl eqtr2id mulassd mul32d eqtr3d sqvald
      2nn0 oveq2d 3eqtr4d eqtrd 3eqtrd 3nn0 expcl addsubassd eqtr4d cneg negcld
      addassd negsubd 3eqtr3d subeq0d subsub23 syl3anc mpbid divcan3d mulcan2ad
      wb divsubdird ) AGBUASZUBUCSUBUDSZCUBUDSZUEUCSZGUCSZUFSXKUBUDSZUEUCSZXOUF
      SZDAXLXQXOUFAXLXPUBUBUDSZUCSXQAXKUBAGBAGUBETSZUBUDSVFMAXTAUBVFUGZEVFUGXTV
      FUGUHLUBEUIUJUKULZIUMZYAAUHUNZUBUOUPAUQUNURXSUEXPUCUSUTVAVBAXRDGAXQXOAXPU
      EAXKYCUKZUEVFUGZAVCUNZUEUOUPAVGUNZVDZAXNGAXMUEACJUKZYGYHVDZYBNVDZVEQYBNAX
      RGTSXQGTSZXOGTSZUFSXPGTSZUEUCSZXNUFSZDGTSZAXQXOGYIYLYBVHAYMYPYNXNUFAYPYMA
      XPGUEYEYBYGYHVIVJAXNGYKYBNVKVLAYOXMUFSZUEUCSUEYRTSZUEUCSYQYRAYSYTUEUCAYSU
      EDTSZGTSZYTAYOUUBUFSZXMVMZYSUUBVMZAUUCGVQUDSZUBBTSZGUBUDSZTSZUASZBUBUDSZG
      TSZUASZUUBUFSZUUJUUKUUAUFSZGTSZUASZXMAYOUUMUUBUFAYOUUHUBGBTSZTSZUASZUUKUA
      SZGTSUUTGTSZUULUASUUMAXPUVAGTAGVFUGZBVFUGZXPUVAVMYBIGBVNVOVBAUUTUUKGAUUHU
      USAGYBUKZAYAUURVFUGUUSVFUGUHAGBYBIVPUBUURUIUJZUMABIUKZYBVRAUVBUUJUULUAAUV
      BUUHGTSZUUSGTSZUASUUJAUUHUUSGUVEUVFYBVRAUVHUUFUVIUUIUAAUUFGUBVSUASZUDSZUV
      HVQUVJGUDVTUTAUVCUBWAUGUVKUVHVMYBWIGUBWBWCWDAUUGGTSZGTSUUGGGTSZTSUVIUUIAU
      UGGGAYAUVDUUGVFUGUHIUBBUIUJZYBYBWEAUUSUVLGTAUBGTSBTSUUSUVLAUBGBYDYBIWEAUB
      GBYDYBIWFWGVBAUUHUVMUUGTAGYBWHWJWKVLWLVBWMVBAUUNUUJUULUUBUFSZUASUUQAUUJUU
      LUUBAUUFUUIAUVCVQWAUGUUFVFUGYBWNGVQWOWCAUUGUUHUVNUVEVPUMZAUUKGUVGYBVPAUUA
      GAYFDVFUGUUAVFUGVCQUEDUIUJZYBVPZWPAUUPUVOUUJUAAUUKUUAGUVGUVQYBVHWJWQAUUQX
      MAUUJUUPUVPAUUOGAUUKUUAUVGUVQVEYBVPZUMZYJAUUQXMWRZUASUUJUUPUWAUASUASUUQXM
      UFSUOAUUJUUPUWAUVPUVSAXMYJWSWTAUUQXMUVTYJXARXBXCWMAYOVFUGUUBVFUGXMVFUGUUD
      UUEXIAXPGYEYBVPZUVRYJYOUUBXMXDXEXFAUEDGYGQYBWEWLVBAYOXMUEUWBYJYGYHXJAYRUE
      ADGQYBVPYGYHXGXBWMXHWL $.

    dquart.j $e |- ( ph -> J e. CC ) $.
    dquart.j2 $e |- ( ph -> ( J ^ 2 ) =
      ( ( -u ( S ^ 2 ) - ( B / 2 ) ) - ( ( C / 4 ) / S ) ) ) $.
    $( Solve a depressed quartic equation.  To eliminate ` S ` , which is the
       square root of a solution ` M ` to the resolvent cubic equation, apply
       ~ cubic or one of its variants.  (Contributed by Mario Carneiro,
       6-May-2015.) $)
    dquart $p |- ( ph ->
       ( ( ( ( X ^ 4 ) + ( B x. ( X ^ 2 ) ) ) + ( ( C x. X ) + D ) ) = 0 <->
         ( ( X = ( -u S + I ) \/ X = ( -u S - I ) ) \/
           ( X = ( S + J ) \/ X = ( S - J ) ) ) ) ) $=
      ( c4 cexp co c2 cmul caddc cc0 wceq cdiv cmin wo cneg cc wcel sqcld mulcl
      2cn sylancr eqeltrd addcld halfcld binom2 syl2anc cn0 2nn0 expmuld oveq2i
      a1i 2t2e4 eqtr3di mul12d wne divcan2d oveq2d mulcomd eqtrd adddird 3eqtrd
      2ne0 oveq12d expcl sylancl mulcld add12d oveq1d addassd 4cn divcld subcld
      4nn0 wa eqnetrrd wb sqne0 syl mpbid mulne0b mpbird simprd divcan5d subdid
      mulassd eqtr3d divassd eqtr3id sqdivd divdird binom2sub sqmuld sq2 eqtrdi
      4ne0 eqtr2d divsubdird div23d sqvald mul32d subsubd eqtr4d 3eqtr3d negcld
      divcan3d pnncand add4d negsubd dquartlem2 subsq eqeq1d mul0ord dquartlem1
      sqneg mulneg2 eqcomd negeqd divneg2d 3eqtr2d negnegd eqeq2d orbi12d
      3bitr3d 3bitrd ) AIUBUCUDZBIUEUCUDZUFUDZUGUDZCIUFUDZDUGUDUGUDZUHUIUUDHBUG
      UDZUEUJUDZUGUDZHUEUJUDZIUFUDZCUBUJUDZUKUDZEUJUDZUGUDZUUKUUPUKUDZUFUDZUHUI
      UUQUHUIZUURUHUIZULIEUMZFUGUDUIIUVBFUKUDUIULZIEGUGUDZUIZIEGUKUDZUIZULZULAU
      UHUUSUHAUUKUEUCUDZUUPUEUCUDZUKUDZUUHUUSAUVKHUUDUFUDZUUFUUJUEUCUDZUGUDZUGU
      DZUVLUUGCUEUCUDZUBUJUDZHUJUDZUKUDZUKUDZUKUDUVNUVSUGUDZUUHAUVIUVOUVJUVTUKA
      UVIUUDUEUCUDZUEUUDUUJUFUDUFUDZUGUDZUVMUGUDZUVLUUFUGUDZUVMUGUDUVOAUUDUNUOU
      UJUNUOUVIUWEUIAILUPZAUUIAHBAHUEEUFUDZUEUCUDZUNNAUWHAUEUNUOZEUNUOZUWHUNUOZ
      URMUEEUQUSZUPUTZJVAZVBZUUDUUJVCVDAUWDUWFUVMUGAUWDUUCUVLUUEUGUDZUGUDUWFAUW
      BUUCUWCUWQUGAIUEUEUFUDZUCUDUWBUUCAIUEUELUEVEUOAVFVIZUWSVGUWRUBIUCVJVHVKAU
      WCUUDUEUUJUFUDZUFUDZUUIUUDUFUDZUWQAUEUUDUUJUWJAURVIZUWGUWPVLAUXAUUDUUIUFU
      DUXBAUWTUUIUUDUFAUUIUEUWOUXCUEUHVMZAVTVIZVNVOAUUDUUIUWGUWOVPVQAHBUUDUWNJU
      WGVRVSWAAUUCUVLUUEAIUNUOUBVEUOUUCUNUOLWKIUBWBWCZAHUUDUWNUWGWDZABUUDJUWGWD
      ZWEVQWFAUVLUUFUVMUXGAUUCUUEUXFUXHVAZAUUJUWPUPZWGVSAUVJHIUFUDZCUEUJUDZUKUD
      ZUWHUJUDZUEUCUDUXMUEUCUDZUWIUJUDZUVTAUUPUXNUEUCAUEUUOUFUDZUWHUJUDUUPUXNAU
      UOEUEAUUMUUNAUULIAHUWNVBZLWDZACUBKUBUNUOAWHVIZUBUHVMAXMVIZWIZWJZMUXCAUXDE
      UHVMZAUXDUYDWLZUWHUHVMZAUWIUHVMZUYFAHUWIUHNOWMAUWLUYGUYFWNUWMUWHWOWPWQZAU
      WJUWKUYEUYFWNURMUEEWRUSWSWTZUXEXAAUXQUXMUWHUJAUXQUEUUMUFUDZUEUUNUFUDZUKUD
      UXMAUEUUMUUNUXCUXSUYBXBAUYJUXKUYKUXLUKAUEUULUFUDZIUFUDUYJUXKAUEUULIUXCUXR
      LXCAUYLHIUFAHUEUWNUXCUXEVNWFXDAUECUFUDZUBUJUDZUYKUXLAUECUBUXCKUXTUYAXEAUY
      NUYMUWRUJUDUXLUWRUBUYMUJVJVHACUEUEKUXCUXCUXEUXEXAXFXDWAVQWFXDWFAUXMUWHAUX
      KUXLAHIUWNLWDZACKVBZWJUWMUYHXGAHUEUCUDZUUDUFUDZUXKCUFUDZUKUDZUVQUGUDZHUJU
      DUYTHUJUDZUVRUGUDZUXPUVTAUYTUVQHAUYRUYSAUYQUUDAHUWNUPZUWGWDZAUXKCUYOKWDZW
      JAUVPUBACKUPUXTUYAWIZUWNOXHAVUAUXOHUWIUJAUXOUXKUEUCUDZUEUXKUXLUFUDUFUDZUK
      UDZUXLUEUCUDZUGUDZVUAAUXKUNUOUXLUNUOUXOVULUIUYOUYPUXKUXLXIVDAVUJUYTVUKUVQ
      UGAVUHUYRVUIUYSUKAHIUWNLXJAVUIUXKUEUXLUFUDZUFUDUYSAUEUXKUXLUXCUYOUYPVLAVU
      MCUXKUFACUEKUXCUXEVNVOVQWAAVUKUVPUEUEUCUDZUJUDUVQACUEKUXCUXEXGVUNUBUVPUJX
      KVHXLWAXNNWAAVUCUVLUUGUKUDZUVRUGUDUVTAVUBVUOUVRUGAVUBUYRHUJUDZUYSHUJUDZUK
      UDVUOAUYRUYSHVUEVUFUWNOXOAVUPUVLVUQUUGUKAVUPUYQHUJUDZUUDUFUDUVLAUYQUUDHVU
      DUWGUWNOXPAVURHUUDUFAVURHHUFUDZHUJUDHAUYQVUSHUJAHUWNXQWFAHHUWNUWNOYCVQWFV
      QAVUQHUUGUFUDZHUJUDUUGAUYSVUTHUJAUYSHCUFUDIUFUDVUTAHICUWNLKXRAHCIUWNKLXCV
      QWFAUUGHACIKLWDZUWNOYCVQWAVQWFAUVLUUGUVRUXGVVAAUVQHVUGUWNOWIZXSXTYAVSWAAU
      VLUVNUVSUXGAUUFUVMUXIUXJVAAUUGUVRVVAVVBWJYDAUVNUUGUVRUMZUGUDZUGUDUUFUUGUG
      UDZUVMVVCUGUDZUGUDZUWAUUHAUUFUVMUUGVVCUXIUXJVVAAUVRVVBYBYEAVVDUVSUVNUGAUU
      GUVRVVAVVBYFVOAVVGVVEDUGUDUUHAVVFDVVEUGAVVFUVMUVRUKUDDAUVMUVRUXJVVBYFABCD
      EFHIJKLMNOPQRSYGVQVOAUUFUUGDUXIVVARWGVQYAVSAUUKUNUOUUPUNUOUVKUUSUIAUUDUUJ
      UWGUWPVAZAUUOEUYCMUYIWIZUUKUUPYHVDXDYIAUUQUURAUUKUUPVVHVVIVAAUUKUUPVVHVVI
      WJYJAUUTUVCUVAUVHABCEFHIJKLMNOPQYKAUUKUUOUVBUJUDZUGUDZUHUIIUVBUMZGUGUDZUI
      ZIVVLGUKUDZUIZULUVAUVHABCUVBGHIJKLAEMYBAHUWHUMZUEUCUDZUEUVBUFUDZUEUCUDAHU
      WIVVRNAUWLVVRUWIUIUWMUWHYLWPXTAVVSVVQUEUCAUWJUWKVVSVVQUIURMUEEYMUSWFXTOTA
      GUEUCUDEUEUCUDZUMZBUEUJUDZUKUDZUUNEUJUDZUKUDVWCVWDUMZUGUDUVBUEUCUDZUMZVWB
      UKUDZUUNUVBUJUDZUGUDUAAVWCVWDAVWAVWBAVVTAEMUPYBABJVBWJAUUNEUYBMUYIWIYFAVW
      CVWHVWEVWIUGAVWAVWGVWBUKAVVTVWFAVWFVVTAUWKVWFVVTUIMEYLWPYNYOWFAUUNEUYBMUY
      IYPWAYQYKAVVKUURUHAUUKUUPUMZUGUDVVKUURAVWJVVJUUKUGAUUOEUYCMUYIYPVOAUUKUUP
      VVHVVIYFXDYIAVVNUVEVVPUVGAVVMUVDIAVVLEGUGAEMYRZWFYSAVVOUVFIAVVLEGUKVWKWFY
      SYTUUAYTUUB $.
  $}

  ${
    quart1.a $e |- ( ph -> A e. CC ) $.
    quart1.b $e |- ( ph -> B e. CC ) $.
    quart1.c $e |- ( ph -> C e. CC ) $.
    quart1.d $e |- ( ph -> D e. CC ) $.
    quart1.p $e |- ( ph -> P = ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ) $.
    quart1.q $e |- ( ph -> Q =
      ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ) $.
    quart1.r $e |- ( ph -> R = ( ( D - ( ( C x. A ) / 4 ) ) +
 ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) $.
    $( Closure lemmas for ~ quart .  (Contributed by Mario Carneiro,
       7-May-2015.) $)
    quart1cl $p |- ( ph -> ( P e. CC /\ Q e. CC /\ R e. CC ) ) $=
      ( cc wcel c3 c8 co cdiv c2 cexp cmul cmin 3cn 8cn 8nn nnne0i divcli sqcld
      mulcl sylancr subcld eqeltrd caddc halfcld cn0 3nn0 expcl sylancl a1i cc0
      mulcld wne divcld addcld c4 c1 c6 cdc c5 4cn 4ne0 1nn0 decnncl nncni 2nn0
      6nn 5nn0 deccl 4nn0 3jca ) AFPQGPQHPQAFCRSUATZBUBUCTZUDTZUETPMACWFJAWDPQW
      EPQWFPQRSUFUGSUHUIZUJABIUKZWDWEULUMUNUOAGDBCUDTZUBUATZUETZBRUCTZSUATZUPTP
      NAWKWMADWJKAWIABCIJVDUQUNAWLSABPQZRURQWLPQIUSBRUTVASPQAUGVBSVCVEAWGVBVFVG
      UOAHEDBUDTZVHUATZUETZWECUDTZVIVJVKZUATZRUBVLVKZVJVKZUATZBVHUCTZUDTZUETZUP
      TPOAWQXFAEWPLAWOVHADBKIVDVHPQAVMVBVHVCVEAVNVBVFUNAWTXEAWRWSAWECWHJVDWSPQA
      WSVIVJVOVSVPZVQVBWSVCVEAWSXGUIVBVFAXCPQXDPQZXEPQRXBUFXBXAVJUBVLVRVTWAVSVP
      ZVQXBXIUIUJAWNVHURQXHIWBBVHUTVAXCXDULUMUNVGUOWC $.

    quart1.x $e |- ( ph -> X e. CC ) $.
    quart1.y $e |- ( ph -> Y = ( X + ( A / 4 ) ) ) $.
    $( Lemma for ~ quart1 .  (Contributed by Mario Carneiro, 6-May-2015.) $)
    quart1lem $p |- ( ph -> D = ( ( ( ( A ^ 4 ) / ; ; 2 5 6 ) +
      ( P x. ( ( A / 4 ) ^ 2 ) ) ) + ( ( Q x. ( A / 4 ) ) + R ) ) ) $=
      ( co c4 cexp c2 c5 c6 cdiv cmul caddc cmin c8 c1 c3 mulcld halfcld subcld
      cdc cc wcel cn0 3nn0 expcl sylancl 8cn a1i cc0 wne 8nn nnne0i divcld 4ne0
      4cn adddird oveq1d divassd sqvald mul32d eqtrd 2cn 4t2e8 mulcomli eqtr4di
      oveq2i 2ne0 divmuldivd eqtr4d oveq12d subdird expp1 syl5eq div23d 3eqtr4d
      df-4 wceq sqcld 4nn0 subadd23d addcomd 3eqtrd 1nn0 6nn decnncl nncni 2nn0
      3cn 5nn0 deccl divcli mulcl sylancr addsubd addcld cneg add12d negsubdi2d
      ppncand oveq2d addsub4d 1p2e3 oveq1i 1cnd eqtr3id mulid2d divcan2d 4t4e16
      3eqtr3d divdiv1d eqtrdi mulcli mulne0i mul32i 2exp4 8t2e16 eqtr4i oveq12i
      4p4e8 expadd mp3an 2exp8 3eqtr3i 3eqtr2d 3eqtr2i addsub12d 2timesd sqdivd
      pnpcan2d mvrladdd eqtri mulcomd mulassd expaddd eqeltrid eqnetri 3eqtr3rd
      sqvali 2p2e4 negeqd eqeltrd negsubd pncan3d eqtr2d ) ABUAUBTZUCUDUPZUEUPZ
      UFTZFBUAUFTZUCUBTZUGTZUHTZGUVEUGTZHUHTZUHTUVHEUVHUITZUHTEAUVJUVKUVHUHAUVJ
      UVAUJUFTZUAUFTZBUCUBTZCUGTZUJUFTZUITZDBUGTZUAUFTZUHTZEUVOUKUEUPZUFTZULUVC
      UFTZUVAUGTZUITZUHTZUVSUITZUHTUVQUWFUHTZUVKAUVIUVTHUWGUHAUVIUVSUVPUITZUVMU
      HTZUVSUVQUHTUVTADBCUGTZUCUFTZUITZBULUBTZUJUFTZUHTZUVEUGTUWMUVEUGTZUWOUVEU
      GTZUHTUVIUWJAUWMUWOUVEADUWLMAUWKABCKLUMZUNZUOAUWNUJABUQURZULUSURZUWNUQURK
      UTBULVAVBZUJUQURAVCVDZUJVEVFAUJVGVHZVDZVIZABUAKUAUQURAVKVDZUAVEVFAVJVDZVI
      ZVLAGUWPUVEUGPVMAUWIUWQUVMUWRUHAUWIDUVEUGTZUWLUVEUGTZUITUWQAUVSUXKUVPUXLU
      IADBUAMKUXHUXIVNAUVPUWKBUGTZUCUAUGTZUFTZUXLAUVPUXMUJUFTUXOAUVOUXMUJUFAUVO
      BBUGTZCUGTUXMAUVNUXPCUGABKVOVMABBCKKLVPVQVMUXNUJUXMUFUAUCUJVKVRVSVTWBWAAU
      WKUCBUAUWSUCUQURZAVRVDZKUXHUCVEVFAWCVDZUXIWDWEWFADUWLUVEMUWTUXJWGWEAUVMUW
      OBUGTZUAUFTUWRAUVLUXTUAUFAUVLUWNBUGTZUJUFTUXTAUVAUYAUJUFAUVABULUKUHTZUBTZ
      UYAUAUYBBUBWLWBAUXAUXBUYCUYAWMKUTBULWHVBWIVMAUWNBUJUXCKUXDUXFWJVQVMAUWOBU
      AUXGKUXHUXIVNVQWFWKAUVSUVPUVMAUVRUAADBMKUMUXHUXIVIZAUVOUJAUVNCABKWNZLUMZU
      XDUXFVIZAUVLUAAUVAUJAUXAUAUSURZUVAUQURZKWOBUAVAVBZUXDUXFVIZUXHUXIVIZWPAUV
      SUVQUYDAUVMUVPUYLUYGUOZWQWRAHEUVSUITUWEUHTUWGQAEUWEUVSNAUWBUWDAUVOUWAUYFU
      WAUQURAUWAUKUEWSWTXAZXBZVDZUWAVEVFAUWAUYNVHZVDZVIZAUWCUQURUYIUWDUQURULUVC
      XDUVCUVBUEUCUDXCXEXFWTXAZXBZUVCUYTVHZXGUYJUWCUVAXHXIZUOZUYDXJWEWFAUVQUVSU
      WFUYMUYDAEUWENVUDXKXOAUWHEUVQUWEUHTZUHTEUVHXLZUHTUVKAUVQEUWEUYMNVUDXMAVUE
      VUFEUHAUVPUWDUHTZUVMUWBUHTZUITZXLVUHVUGUITVUFVUEAVUGVUHAUVPUWDUYGVUCXKAUV
      MUWBUYLUYSXKXNAVUIUVHAVUIVUGUWBUVMUHTZUITUVPUWBUITZUWDUVMUITZUHTZUVHAVUHV
      UJVUGUIAUVMUWBUYLUYSWQXPAUVPUWDUWBUVMUYGVUCUYSUYLXQAUWBVULUHTZUVDUWBULUVM
      UAUFTZUGTZUITZUHTZVUMUVHAVUNUWBUVDVUPUITZUHTVURAVULVUSUWBUHAVULUVDUCUVDUG
      TZUHTZVUPVUTUHTZUITVUSAUWDVVAUVMVVBUIAULUVAUGTZUVCUFTULUVDUGTZUWDVVAAULUV
      AUVCULUQURZAXDVDZUYJUVCUQURAVUAVDZUVCVEVFAVUBVDZVNAULUVAUVCVVFUYJVVGVVHWJ
      AVVDUKUVDUGTZVUTUHTZVVAAVVDUKUCUHTZUVDUGTVVJVVKULUVDUGXRXSAUKUCUVDAXTZUXR
      AUVAUVCUYJVVGVVHVIZVLYAAVVIUVDVUTUHAUVDVVMYBVMVQYEAUAVUOUGTZVUPUKVUOUGTZU
      HTZUVMVVBAVVNUYBVUOUGTVVPUAUYBVUOUGWLXSAULUKVUOVVFVVLAUVMUAUYLUXHUXIVIZVL
      WIAUVMUAUYLUXHUXIYCAVVOVUTVUPUHAVVOVUOUVLUWAUFTZVUTAVUOVVQYBAVUOUVLUAUAUG
      TZUFTVVRAUVLUAUAUYKUXHUXHUXIUXIYFVVSUWAUVLUFYDWBYGZAVVRUVAUJUWAUGTZUFTZUC
      VWBUCUFTZUGTVUTAUVAUJUWAUYJUXDUYPUXFUYRYFAVWBUCAUVAVWAUYJVWAUQURAUJUWAVCU
      YOYHVDZVWAVEVFAUJUWAVCUYOUXEUYQYIVDZVIUXRUXSYCAVWCUVDUCUGAVWCUVAVWAUCUGTZ
      UFTUVDAUVAVWAUCUYJVWDUXRVWEUXSYFVWFUVCUVAUFVWFUJUCUGTZUWAUGTUCUAUBTZVWHUG
      TZUVCUJUWAUCVCUYOVRYJVWHVWGVWHUWAUGVWHUWAVWGYKYLYMYKYNUCUAUAUHTZUBTZUCUJU
      BTVWIUVCVWJUJUCUBYOWBUXQUYHUYHVWKVWIWMVRWOWOUCUAUAYPYQYRYSUUAWBYGXPYTWRXP
      YEWFAUVDVUPVUTVVMAVVEVUOUQURVUPUQURXDVVQULVUOXHXIZAUXQUVDUQURVUTUQURVRVVM
      UCUVDXHXIUUEVQXPAUWBUVDVUPUYSVVMVWLUUBVQAVUKUWBVULUHAUVPUWBUWBUYSUYSAUCUV
      PUCUFTZUGTUCUWBUGTUVPUWBUWBUHTAVWMUWBUCUGAVWMUVOVWGUFTUWBAUVOUJUCUYFUXDUX
      RUXFUXSYFVWGUWAUVOUFYLWBYGXPAUVPUCUYGUXRUXSYCAUWBUYSUUCYEUUFVMAUVGVUQUVDU
      HAUVGCULUJUFTZUVNUGTZUITZUVFUGTCUVFUGTZVWOUVFUGTZUITVUQAFVWPUVFUGOVMACVWO
      UVFLAVWNUQURZUVNUQURVWOUQURULUJXDVCUXEXGZUYEVWNUVNXHXIZAUVEUXJWNZWGAVWQUW
      BVWRVUPUIAVWQCUVNUWAUFTZUGTCUVNUGTZUWAUFTUWBAUVFVXCCUGAUVFUVNUAUCUBTZUFTZ
      VXCABUAKUXHUXIUUDZVXEUWAUVNUFVXEVVSUWAUAVKUUNYDUUGZWBYGXPACUVNUWALUYEUYPU
      YRVNAVXDUVOUWAUFACUVNLUYEUUHVMYTAVWOVXFUGTZULUVLVXEUFTZUGTZVWRVUPAVWOUVNU
      GTZVXEUFTULUVLUGTZVXEUFTVXIVXKAVXLVXMVXEUFAVXLVWNUVNUVNUGTZUGTZVVCUJUFTZV
      XMAVWNUVNUVNVWSAVWTVDUYEUYEUUIAVXPVWNUVAUGTVXOAULUVAUJVVFUYJUXDUXFWJAUVAV
      XNVWNUGAUVABUCUCUHTZUBTVXNVXQUABUBUUOWBABUCUCKUCUSURAXCVDZVXRUUJYAXPVQAUL
      UVAUJVVFUYJUXDUXFVNYTVMAVWOUVNVXEVXAUYEAVXEUWAUQVXHUYPUUKZVXEVEVFAVXEUWAV
      EVXHUYQUULVDZVNAULUVLVXEVVFUYKVXSVXTVNYEAUVFVXFVWOUGVXGXPAVUOVXJULUGAVUOV
      VRVXJVVTVXEUWAUVLUFVXHWBWAXPWKWFWRXPWKWRUUPAUVMUWBUVPUWDUYLUYSUYGVUCXQUUM
      XPAEUVHNAUVDUVGVVMAFUVFAFVWPUQOACVWOLVXAUOUUQVXBUMXKZUURWRWRXPAUVHEVYANUU
      SUUT $.

    $( Depress a quartic equation.  (Contributed by Mario Carneiro,
       6-May-2015.) $)
    quart1 $p |- ( ph -> ( ( ( X ^ 4 ) + ( A x. ( X ^ 3 ) ) ) +
      ( ( B x. ( X ^ 2 ) ) + ( ( C x. X ) + D ) ) ) =
        ( ( ( Y ^ 4 ) + ( P x. ( Y ^ 2 ) ) ) + ( ( Q x. Y ) + R ) ) ) $=
      ( co c4 cexp c2 cmul caddc c3 c8 cdiv c5 cdc oveq1d wcel wceq 4cn a1i cc0
      c6 cc wne 4ne0 divcld binom4 syl2anc cn0 3nn0 expcl sylancl mul12d oveq2d
      divcan2d mulcomd 3eqtrd 6nn nncni sqcld mulassd c1 3cn 2cn 3t2e6 mulcomli
      8cn 8t2e16 oveq12i wa 8nn nnne0i pm3.2i 2cnne0 divcan5 eqtr3i oveq2i 1nn0
      decnncl div12d eqtr3id divcli mulcom sylancr sqdivd sqvali 4t4e16 3eqtr4d
      mp3an eqtri eqtrdi 3eqtr4rd mulcld df-3 expp1 mp2an oveq1i 3eqtri expdivd
      2nn0 divdiv1d 3eqtr4a 2ne0 eqtr4d expmul 4t2e8 2exp8 oveq12d addcld mulcl
      4nn0 sq2 halfcld addassd eqtrd adddid add4d adddird eqtr3d subcld subdird
      5nn0 cmin divassd 3eqtr2d deccl simp1d eqeltrd simp2d simp3d binom2 2t2e4
      quart1cl pncan3d syl5eq div23d 3eqtr3d addsub12d subsub2d mulid2d 3eqtr3a
      3m1e2 1cnd addcomd ppncand npcand quart1lem 3eqtrrd ) AJUAUBTZFJUCUBTZUDT
      ZUETZGJUDTZHUETZUETIUAUBTZBIUFUBTZUDTZUETZUFUGUHTZBUCUBTZUDTZIUCUBTZUDTZB
      UFUBTZUGUHTZUCUHTZIUDTZBUAUBTZUCUIUJZUQUJZUHTZUETZUETZUVFUETZUETZUVIUETUV
      MUWIUVIUETZUETUVMCUVQUDTZDIUDTZEUETZUETZUETAUVGUWJUVIUEAUVGUVMUWHUETZUVFU
      ETUWJAUVDUWPUVFUEAUVDIBUAUHTZUETZUAUBTZUVJUAUVKUWQUDTUDTZUETZUQUVQUWQUCUB
      TZUDTZUDTZUAIUWQUFUBTZUDTUDTZUWQUAUBTZUETZUETZUETZUWPAJUWRUAUBSUKAIURULZU
      WQURULZUWSUXJUMRABUAKUAURULZAUNUOZUAUPUSAUTUOZVAZIUWQVBVCAUXAUVMUXIUWHUEA
      UWTUVLUVJUEAUWTUVKUAUWQUDTZUDTUVKBUDTUVLAUAUVKUWQUXNAUXKUFVDULZUVKURULRVE
      IUFVFVGZUXPVHAUXQBUVKUDABUAKUXNUXOVJVIAUVKBUXSKVKVLVIAUXDUVRUXHUWGUEAUQUX
      BUDTZUVQUDTUQUXBUVQUDTZUDTUVRUXDAUQUXBUVQUQURULAUQVMVNUOZAUWQUXPVOZAIRVOZ
      VPAUVPUXTUVQUDAUVOUVNUDTZUQUVOVQUQUJZUHTZUDTZUVPUXTAUYEUVOUQUYFUHTZUDTUYH
      UYIUVNUVOUDUCUFUDTZUCUGUDTZUHTZUYIUVNUYJUQUYKUYFUHUFUCUQVRVSVTWAUGUCUYFWB
      VSWCWAWDUFURULZUGURULZUGUPUSZWEUCURULZUCUPUSZWEUYLUVNUMVRUYNUYOWBUGWFWGZW
      HWIUFUGUCWJXDWKWLAUVOUQUYFABKVOZUYBUYFURULAUYFVQUQWMVMWNZVNUOZUYFUPUSAUYF
      UYTWGUOZWOWPAUVNURULZUVOURULZUVPUYEUMUFUGVRWBUYRWQZUYSUVNUVOWRWSAUXBUYGUQ
      UDAUXBUVOUAUCUBTZUHTUYGABUAKUXNUXOWTVUFUYFUVOUHVUFUAUAUDTUYFUAUNXAXBXEZWL
      XFVIXCUKAUXCUYAUQUDAUVQUXBUYDUYCVKVIXGAUXFUWBUXGUWFUEAUXFIUAUXEUDTZUDTVUH
      IUDTUWBAUAIUXEUXNRAUXLUXRUXEURULUXPVEUWQUFVFVGZVHAIVUHRAUAUXEUXNVUIXHVKAV
      UHUWAIUDAVUHUAUVSUYFUHTZUAUHTZUDTZUWAAUXEVUKUAUDAUVSUAUFUBTZUHTUVSUYFUAUD
      TZUHTUXEVUKVUMVUNUVSUHVUMUAUCVQUETZUBTZVUFUAUDTZVUNUFVUOUAUBXIWLUXMUCVDUL
      ZVUPVUQUMUNXOUAUCXJXKVUFUYFUAUDVUGXLXMWLABUAUFKUXNUXOUXRAVEUOXNAUVSUYFUAA
      BURULZUXRUVSURULKVEBUFVFVGZVUAUXNVUBUXOXPXQVIAUVSUGUCUDTZUHTVUJUWAVULVVAU
      YFUVSUHWCWLAUVSUGUCVUTUYNAWBUOZUYPAVSUOZUYOAUYRUOZUYQAXRUOZXPAVUJUAAUVSUY
      FVUTVUAVUBVAUXNUXOVJXQXSUKVLAUXGUWCUAUAUBTZUHTUWFABUAUAKUXNUXOUAVDULZAYFU
      OXNVVFUWEUWCUHUCUGUBTZVVFUWEUCUCUBTZUAUBTZVVHVVFUCUCUAUDTZUBTZVVJVVHUYPVU
      RVVGVVLVVJUMVSXOYFUCUCUAXTXDVVKUGUCUBUAUCUGUNVSYAWAWLWKVVIUAUAUBYGXLWKYBW
      KWLXFYCYCYCVLUKAUVMUWHUVFAUVJUVLAUXKVVGUVJURULRYFIUAVFVGABUVKKUXSXHYDZAUV
      RUWGAUVPUVQAVUCVUDUVPURULVUEUYSUVNUVOYEWSZUYDXHZAUWBUWFAUWAIAUVTAUVSUGVUT
      VVBVVDVAZYHZRXHZAUWCUWEAVUSVVGUWCURULKYFBUAVFVGUWEURULAUWEUWDUQUCUIXOYQUU
      AVMWNZVNUOUWEUPUSAUWEVVSWGUOVAZYDZYDZAFUVEAFURULZGURULZHURULZABCDEFGHKLMN
      OPQUUHZUUBZAJAJUWRURSAIUWQRUXPYDUUCZVOXHZYIYJUKAUVMUWIUVIVVMAUWHUVFVWBVWI
      YDAUVHHAGJAVWCVWDVWEVWFUUDZVWHXHAVWCVWDVWEVWFUUEZYDZYIAUWKUWOUVMUEAUWKUWL
      UWGFUCIUWQUDTZUDTZUXBUETZUDTZUETZUETZUVIUETUWLVWQUVIUETZUETUWOAUWIVWRUVIU
      EAUWIUWHFUVQUDTZVWPUETZUETUVRVWTUETZVWQUETVWRAUVFVXAUWHUEAUVFFUVQVWOUETZU
      DTVXAAUVEVXCFUDAUVEUWRUCUBTZUVQVWNUETUXBUETZVXCAJUWRUCUBSUKAUXKUXLVXDVXEU
      MRUXPIUWQUUFVCAUVQVWNUXBUYDAUYPVWMURULVWNURULVSAIUWQRUXPXHUCVWMYEWSZUYCYI
      VLVIAFUVQVWOVWGUYDAVWNUXBVXFUYCYDZYKYJVIAUVRUWGVWTVWPVVOVWAAFUVQVWGUYDXHA
      FVWOVWGVXGXHZYLAVXBUWLVWQUEAUVPFUETZUVQUDTVXBUWLAUVPFUVQVVNVWGUYDYMAVXICU
      VQUDAVXIUVPCUVPYRTZUETCAFVXJUVPUEOVIAUVPCVVNLUUIYJUKYNUKVLUKAUWLVWQUVIACU
      VQLUYDXHAUWGVWPVWAVXHYDVWLYIAVWSUWNUWLUEABCUDTZUCUHTZUVTYRTZIUDTZUWFFUXBU
      DTZUETZUETZGIUDTZGUWQUDTZHUETZUETZUETVXNVXRUETZVXPVXTUETZUETVWSUWNAVXNVXP
      VXRVXTAVXMIAVXLUVTAVXKABCKLXHYHZVVPYOZRXHAUWFVXOVVTAFUXBVWGUYCXHZYDAGIVWJ
      RXHZAVXSHAGUWQVWJUXPXHZVWKYDYLAVWQVXQUVIVYAUEAVWQUWGFVWNUDTZVXOUETZUETUWB
      VYIUETZVXPUETVXQAVWPVYJUWGUEAFVWNUXBVWGVXFUYCYKVIAUWBUWFVYIVXOVVRVVTAFVWN
      VWGVXFXHVYFYLAVYKVXNVXPUEAVYKUWBFBUCUHTZUDTZIUDTZUETUWAVYMUETZIUDTVXNAVYI
      VYNUWBUEAFIUCUWQUDTZUDTZUDTFVYLIUDTZUDTVYIVYNAVYQVYRFUDAVYQIVYLUDTVYRAVYP
      VYLIUDAUCVYLUCUHTZUDTVYPVYLAVYSUWQUCUDAVYSBUCUCUDTZUHTUWQABUCUCKVVCVVCVVE
      VVEXPVYTUABUHUUGWLXFVIAVYLUCABKYHZVVCVVEVJYNVIAIVYLRWUAVKYJVIAVWNVYQFUDAU
      CIUWQVVCRUXPVHVIAFVYLIVWGWUARVPXCVIAUWAVYMIVVQAFVYLVWGWUAXHRYMAVYOVXMIUDA
      VYOUWAVXLUFUWAUDTZYRTZUETZVXMAVYMWUCUWAUEAVYMVXJVYLUDTCVYLUDTZUVPVYLUDTZY
      RTWUCAFVXJVYLUDOUKACUVPVYLLVVNWUAYPAWUEVXLWUFWUBYRACBUDTZUCUHTWUEVXLACBUC
      LKVVCVVEYSAWUGVXKUCUHACBLKVKUKYNAUVPBUDTZUCUHTUFUVTUDTZUCUHTWUFWUBAWUHWUI
      UCUHAWUHUFUVSUDTUGUHTZWUIAUVNUVSUDTUVNUVOBUDTZUDTWUJWUHAUVSWUKUVNUDAUVSBV
      UOUBTZWUKUFVUOBUBXIWLAVUSVURWULWUKUMKXOBUCXJVGUUJVIAUFUVSUGUYMAVRUOZVUTVV
      BVVDUUKAUVNUVOBVUCAVUEUOUYSKVPXGAUFUVSUGWUMVUTVVBVVDYSYJUKAUVPBUCVVNKVVCV
      VEYSAUFUVTUCWUMVVPVVCVVEYSUULYCVLVIAWUDVXLUWAWUBYRTUETVXLWUBUWAYRTZYRTVXM
      AUWAVXLWUBVVQVYDAUYMUWAURULWUBURULVRVVQUFUWAYEWSZUUMAVXLWUBUWAVYDWUOVVQUU
      NAWUNUVTVXLYRAWUBVQUWAUDTZYRTZWUNUVTAWUPUWAWUBYRAUWAVVQUUOVIAUFVQYRTZUWAU
      DTUCUWAUDTWUQUVTWURUCUWAUDUUQXLAUFVQUWAWUMAUURVVQYPAUVTUCVVPVVCVVEVJUUPYN
      VIYTYJUKYTUKVLAUVIVXRVXSUETZHUETVYAAUVHWUSHUEAUVHGUWRUDTWUSAJUWRGUDSVIAGI
      UWQVWJRUXPYKYJUKAVXRVXSHVYGVYHVWKYIYJYCAUWMVYBEVYCUEAVXMGUETZIUDTUWMVYBAW
      UTDIUDAWUTGVXMUETDVXLYRTZUVTUETZVXMUETZDAVXMGVYEVWJUUSAGWVBVXMUEPUKAWVCWV
      AVXLUETDAWVAUVTVXLADVXLMVYDYOVVPVYDUUTADVXLMVYDUVAYJVLUKAVXMGIVYEVWJRYMYN
      ABCDEFGHIJKLMNOPQRSUVBYCXCVIVLVIUVC $.
  $}

  ${
    quartlem1.p $e |- ( ph -> P e. CC ) $.
    quartlem1.q $e |- ( ph -> Q e. CC ) $.
    quartlem1.r $e |- ( ph -> R e. CC ) $.
    quartlem1.u $e |- ( ph -> U = ( ( P ^ 2 ) + ( ; 1 2 x. R ) ) ) $.
    quartlem1.v $e |- ( ph -> V = ( ( -u ( 2 x. ( P ^ 3 ) ) -
      ( ; 2 7 x. ( Q ^ 2 ) ) ) + ( ; 7 2 x. ( P x. R ) ) ) ) $.
    $( Lemma for ~ quart .  (Contributed by Mario Carneiro, 6-May-2015.) $)
    quartlem1 $p |- ( ph ->
     ( U = ( ( ( 2 x. P ) ^ 2 ) - ( 3 x. ( ( P ^ 2 ) - ( 4 x. R ) ) ) ) /\
       V = ( ( ( 2 x. ( ( 2 x. P ) ^ 3 ) ) - ( 9 x. ( ( 2 x. P ) x.
          ( ( P ^ 2 ) - ( 4 x. R ) ) ) ) ) + ( ; 2 7 x. -u ( Q ^ 2 ) ) ) ) ) $=
      ( c2 cmul co c3 c4 cmin cc wcel c8 cexp wceq c9 c7 cdc caddc c1 2cn sqmul
      cneg sylancr sq2 oveq1i eqtrdi oveq1d 4cn a1i sqcld subdird eqtr4d ax-1cn
      3cn 3p1e4 subaddrii mulid2 syl5eq syl eqtr2d mulcl 1nn0 2nn decnncl nncni
      subsubd subdid 4t3e12 mulcomli mulassd eqtr3id oveq2d 3eqtr4d cn0 mulexpd
      3nn0 cu2 8cn expcl sylancl mul12d eqtrd 9cn mulcld df-3 oveq2i 2nn0 expp1
      mulcomd mul4d 4t2e8 oveq12d 9t8e72 negsubdi2d 8p1e9 mulid2d eqtr3d negeqd
      7nn0 3eqtrd 7nn mulneg2 negcld addsubd addcld negsubd jca ) AELBMNZLUANZO
      BLUANZPDMNZQNZMNZQNZUBFLXPOUANZMNZUCXPXTMNZMNZQNZLUDUEZCLUANZUJMNZUFNZUBA
      XRUGLUEZDMNZUFNZXQOXRMNZYMQNZQNZEYBAYNXQYOQNZYMUFNYQAXRYRYMUFAYRPOQNZXRMN
      ZXRAYRPXRMNZYOQNYTAXQUUAYOQAXQLLUANZXRMNZUUAALRSZBRSZXQUUCUBUHGLBUIUKUUBP
      XRMULUMUNUOAPOXRPRSZAUPUQZORSZAVBUQZABGURZUSUTAXRRSZYTXRUBUUJUUKYTUGXRMNX
      RYSUGXRMPOUGUPVBVAVCVDUMXRVEVFVGVHUOAXQYOYMAXPAUUDUUEXPRSUHGLBVIUKZURAUUH
      UUKYORSVBUUJOXRVIUKAYLRSDRSZYMRSYLUGLVJVKVLVMIYLDVIUKVNUTJAYAYPXQQAYAYOOX
      SMNZQNYPAOXRXSUUIUUJAUUFUUMXSRSUPIPDVIUKZVOAYMUUNYOQAYMOPMNZDMNUUNUUPYLDM
      POYLUPVBVPVQUMAOPDUUIUUGIVRVSVTUTVTWAAYKLBOUANZMNZUJZUDLUEZBDMNZMNZUFNZYH
      YIMNZUJZUFNZFAYGUVCYJUVEUFAYGTUURMNZUCUURMNZUVBQNZQNUVGUVHQNZUVBUFNUVCAYD
      UVGYFUVIQAYDLTUUQMNZMNUVGAYCUVKLMAYCLOUANZUUQMNUVKALBOUUDAUHUQZGOWBSZAWDU
      QWCUVLTUUQMWEUMUNVTALTUUQUVMTRSZAWFUQZAUUEUVNUUQRSZGWDBOWGWHZWIWJAUCUURTU
      VAMNZQNZMNUVHUCUVSMNZQNYFUVIAUCUURUVSUCRSZAWKUQZAUUDUVQUURRSZUHUVRLUUQVIU
      KZAUVOUVARSZUVSRSWFABDGIWLZTUVAVIUKVOAYEUVTUCMAYEXPXRMNZXPXSMNZQNUVTAXPXR
      XSUULUUJUUOVOAUWHUURUWIUVSQAUWHLBXRMNZMNUURALBXRUVMGUUJVRAUWJUUQLMAUWJXRB
      MNZUUQABXRGUUJWQAUUQBLUGUFNZUANZUWKOUWLBUAWMWNAUUELWBSUWMUWKUBGWOBLWPWHVF
      UTVTWJAUWILPMNZUVAMNUVSALBPDUVMGUUGIWRUWNTUVAMPLTUPUHWSVQUMUNWTWJVTAUVBUW
      AUVHQAUVBUCTMNZUVAMNUWAUWOUUTUVAMXAUMAUCTUVAUWCUVPUWGVRVSVTWAWTAUVGUVHUVB
      AUVOUWDUVGRSWFUWETUURVIUKZAUWBUWDUVHRSWKUWEUCUURVIUKZAUUTRSUWFUVBRSUUTUDL
      XGVKVLVMUWGUUTUVAVIUKZVNAUVJUUSUVBUFAUVHUVGQNZUJUVJUUSAUVHUVGUWQUWPXBAUWS
      UURAUCTQNZUURMNZUWSUURAUCTUURUWCUVPUWEUSAUXAUGUURMNUURUWTUGUURMUCTUGWKWFV
      AXCVDUMAUURUWEXDVFXEXFXEUOXHAYHRSZYIRSZYJUVEUBYHLUDWOXIVLVMZACHURZYHYIXJU
      KWTAUVCUVDQNUUSUVDQNUVBUFNUVFFAUUSUVBUVDAUURUWEXKZUWRAUXBUXCUVDRSUXDUXEYH
      YIVIUKZXLAUVCUVDAUUSUVBUXFUWRXMUXGXNKWAVHXO $.
  $}

  ${
    $d x M $.  $d x P $.  $d x ph $.  $d x T $.  $d x U $.  $d x V $.
    quart.a $e |- ( ph -> A e. CC ) $.
    quart.b $e |- ( ph -> B e. CC ) $.
    quart.c $e |- ( ph -> C e. CC ) $.
    quart.d $e |- ( ph -> D e. CC ) $.
    quart.x $e |- ( ph -> X e. CC ) $.
    quart.e $e |- ( ph -> E = -u ( A / 4 ) ) $.
    quart.p $e |- ( ph -> P = ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ) $.
    quart.q $e |- ( ph -> Q =
      ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ) $.
    quart.r $e |- ( ph -> R = ( ( D - ( ( C x. A ) / 4 ) ) +
 ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) $.
    quart.u $e |- ( ph -> U = ( ( P ^ 2 ) + ( ; 1 2 x. R ) ) ) $.
    quart.v $e |- ( ph -> V = ( ( -u ( 2 x. ( P ^ 3 ) ) -
      ( ; 2 7 x. ( Q ^ 2 ) ) ) + ( ; 7 2 x. ( P x. R ) ) ) ) $.
    quart.w $e |- ( ph -> W =
      ( sqrt ` ( ( V ^ 2 ) - ( 4 x. ( U ^ 3 ) ) ) ) ) $.
    $( Closure lemmas for ~ quart .  (Contributed by Mario Carneiro,
       7-May-2015.) $)
    quartlem2 $p |- ( ph -> ( U e. CC /\ V e. CC /\ W e. CC ) ) $=
      ( cc wcel c2 cexp co c1 cdc cmul caddc quart1cl simp1d sqcld 1nn0 decnncl
      2nn nncni simp3d mulcl sylancr addcld eqeltrd c3 cneg cmin 2cn 3nn0 expcl
      c7 cn0 sylancl negcld 2nn0 7nn simp2d subcld 7nn0 mulcld c4 csqrt cfv 4cn
      sqrtcld 3jca ) AIUFUGZKUFUGLUFUGAIFUHUIUJZUKUHULZHUMUJZUNUJUFUCAWJWLAFAFU
      FUGZGUFUGZHUFUGZABCDEFGHNOPQTUAUBUOZUPZUQAWKUFUGWOWLUFUGWKUKUHURUTUSVAAWM
      WNWOWPVBZWKHVCVDVEVFZAKUHFVGUIUJZUMUJZVHZUHVMULZGUHUIUJZUMUJZVIUJZVMUHULZ
      FHUMUJZUMUJZUNUJUFUDAXFXIAXBXEAXAAUHUFUGWTUFUGZXAUFUGVJAWMVGVNUGZXJWQVKFV
      GVLVOUHWTVCVDVPAXCUFUGXDUFUGXEUFUGXCUHVMVQVRUSVAAGAWMWNWOWPVSUQXCXDVCVDVT
      AXGUFUGXHUFUGXIUFUGXGVMUHWAUTUSVAAFHWQWRWBXGXHVCVDVEVFZALKUHUIUJZWCIVGUIU
      JZUMUJZVIUJZWDWEUFUEAXPAXMXOAKXLUQAWCUFUGXNUFUGZXOUFUGWFAWIXKXQWSVKIVGVLV
      OWCXNVCVDVTWGVFWH $.

    quart.s $e |- ( ph -> S = ( ( sqrt ` M ) / 2 ) ) $.
    quart.m $e |- ( ph -> M =
      -u ( ( ( ( 2 x. P ) + T ) + ( U / T ) ) / 3 ) ) $.
    quart.t $e |- ( ph -> T = ( ( ( V + W ) / 2 ) ^c ( 1 / 3 ) ) ) $.
    quart.t0 $e |- ( ph -> T =/= 0 ) $.
    $( Closure lemmas for ~ quart .  (Contributed by Mario Carneiro,
       7-May-2015.) $)
    quartlem3 $p |- ( ph -> ( S e. CC /\ M e. CC /\ T e. CC ) ) $=
      ( cc wcel csqrt cfv c2 cdiv co cmul caddc c3 cneg quart1cl simp1d sylancr
      2cn mulcl c1 ccxp quartlem2 simp2d simp3d addcld halfcld cn nnrecre ax-mp
      cr 3nn recni cxpcl sylancl eqeltrd divcld 3cn a1i cc0 3ne0 negcld sqrtcld
      wne 3jca ) AIUMUNMUMUNJUMUNAIMUOUPZUQURUSUMUIAWNAMAMUQFUTUSZJVAUSZKJURUSZ
      VAUSZVBURUSZVCUMUJAWSAWRVBAWPWQAWOJAUQUMUNFUMUNZWOUMUNVGAWTGUMUNHUMUNABCD
      EFGHQRSTUCUDUEVDVEUQFVHVFAJNOVAUSZUQURUSZVIVBURUSZVJUSZUMUKAXBUMUNXCUMUNX
      DUMUNAXAANOAKUMUNZNUMUNZOUMUNZABCDEFGHKLNOBQRSTQUBUCUDUEUFUGUHVKZVLAXEXFX
      GXHVMVNVOXCVBVPUNXCVSUNVTVBVQVRWAXBXCWBWCWDZVNAKJAXEXFXGXHVEXIULWEVNVBUMU
      NAWFWGVBWHWLAWIWGWEWJWDZWKVOWDXJXIWM $.

    quart.m0 $e |- ( ph -> M =/= 0 ) $.
    quart.i $e |- ( ph -> I =
      ( sqrt ` ( ( -u ( S ^ 2 ) - ( P / 2 ) ) + ( ( Q / 4 ) / S ) ) ) ) $.
    quart.j $e |- ( ph -> J =
      ( sqrt ` ( ( -u ( S ^ 2 ) - ( P / 2 ) ) - ( ( Q / 4 ) / S ) ) ) ) $.
    $( Closure lemmas for ~ quart .  (Contributed by Mario Carneiro,
       7-May-2015.) $)
    quartlem4 $p |- ( ph -> ( S =/= 0 /\ I e. CC /\ J e. CC ) ) $=
      ( cc0 wne cc wcel csqrt cfv c2 cdiv co quartlem3 simp2d sqrtcld 2cnd cexp
      sqsqrtd eqnetrd wb sqne0 syl mpbid 2ne0 divne0d cneg cmin c4 caddc simp1d
      a1i sqcld negcld quart1cl halfcld subcld 4ne0 divcld addcld eqeltrd 3jca
      4cn ) AIURUSMUTVANUTVAAIOVBVCZVDVEVFURUKAWQVDAOAIUTVAZOUTVAZJUTVAZABCDEFG
      HIJKLOPQBSTUAUBSUDUEUFUGUHUIUJUKULUMUNVGZVHZVIZAVJAWQVDVKVFZURUSZWQURUSZA
      XDOURAOXBVLUOVMAWQUTVAXEXFVNXCWQVOVPVQVDURUSAVRWEVSVMZAMIVDVKVFZVTZFVDVEV
      FZWAVFZGWBVEVFZIVEVFZWCVFZVBVCUTUPAXNAXKXMAXIXJAXHAIAWRWSWTXAWDZWFWGAFAFU
      TVAZGUTVAZHUTVAZABCDEFGHSTUAUBUEUFUGWHZWDWIWJZAXLIAGWBAXPXQXRXSVHWBUTVAAW
      PWEWBURUSAWKWEWLXOXGWLZWMVIWNANXKXMWAVFZVBVCUTUQAYBAXKXMXTYAWJVIWNWO $.

    $( The quartic equation, writing out all roots using square and cube root
       functions so that only direct substitutions remain, and we can actually
       claim to have a "quartic equation".  Naturally, this theorem is
       ridiculously long (see ~ quartfull ) if all the substitutions are
       performed.  This is Metamath 100 proof #46.  (Contributed by Mario
       Carneiro, 6-May-2015.) $)
    quart $p |- ( ph -> ( ( ( ( X ^ 4 ) + ( A x. ( X ^ 3 ) ) ) +
      ( ( B x. ( X ^ 2 ) ) + ( ( C x. X ) + D ) ) ) = 0 <->
       ( ( X = ( ( E - S ) + I ) \/ X = ( ( E - S ) - I ) ) \/
         ( X = ( ( E + S ) + J ) \/ X = ( ( E + S ) - J ) ) ) ) ) $=
      ( vx c4 cexp co c3 cmul caddc c2 cc0 wceq cmin cneg wo cdiv oveq2d cc 4cn
      wcel a1i wne 4ne0 divcld subnegd eqtrd quart1 eqeq1d simp1d simp2d negcld
      quart1cl eqeltrd subcld quartlem3 csqrt sqrtcld 2cnd 2ne0 divcan2d oveq1d
      cfv sqsqrtd eqtr2d quartlem4 sqcld halfcld addcld simp3d cv c1 wa wrex cz
      1cnd 1exp mp1i mulid2d oveq12d negeqd eqtr4d oveq1 eqeq2d rspcev syl12anc
      3z anbi12d 2cn mulcl sylancr cn quartlem2 3nn cxproot sylancl cn0 subaddd
      ccxp addassd eqtr3d bitr4d eqcom bitrdi addsubassd orbi12d 3nn0 expcl cdc
      c9 c7 quartlem1 simpld simprd mcubic mpbird dquart negsubd 3bitrd ) ARUSU
      TVABRVBUTVAVCVAVDVACRVEUTVAVCVADRVCVAEVDVAVDVAVDVAZVFVGRLVHVAZUSUTVAFUUOV
      EUTVAVCVAVDVAGUUOVCVAHVDVAVDVAZVFVGUUOIVIZMVDVAZVGZUUOUUQMVHVAZVGZVJZUUOI
      NVDVAZVGZUUOINVHVAZVGZVJZVJRLIVHVAZMVDVAZVGZRUVHMVHVAZVGZVJZRLIVDVAZNVDVA
      ZVGZRUVNNVHVAZVGZVJZVJAUUNUUPVFABCDEFGHRUUOSTUAUBUEUFUGUCAUUORBUSVKVAZVIZ
      VHVARUVTVDVAALUWARVHUDVLARUVTUCABUSSUSVMVOZAVNVPZUSVFVQAVRVPZVSZVTWAWBWCA
      FGHIMNOUUOAFVMVOZGVMVOZHVMVOZABCDEFGHSTUAUBUEUFUGWGZWDZAUWFUWGUWHUWIWEZAR
      LUCALUWAVMUDAUVTUWEWFWHZWIAIVMVOZOVMVOZJVMVOZABCDEFGHIJKLOPQBSTUAUBSUDUEU
      FUGUHUIUJUKULUMUNWJZWDZAVEIVCVAZVEUTVAOWKWQZVEUTVAOAUWRUWSVEUTAUWRVEUWSVE
      VKVAZVCVAUWSAIUWTVEVCUKVLAUWSVEAOAUWMUWNUWOUWPWEZWLAWMVEVFVQAWNVPWOWAWPAO
      UXAWRWSUOAIVFVQZMVMVOZNVMVOZABCDEFGHIJKLMNOPQBSTUAUBSUDUEUFUGUHUIUJUKULUM
      UNUOUPUQWTZWEZAMVEUTVAIVEUTVAZVIZFVEVKVAZVHVAZGUSVKVAZIVKVAZVDVAZWKWQZVEU
      TVAUXMAMUXNVEUTUPWPAUXMAUXJUXLAUXHUXIAUXGAIUWQXAWFAFUWJXBWIZAUXKIAGUSUWKU
      WCUWDVSUWQAUXBUXCUXDUXEWDVSZXCWRWAAUWFUWGUWHUWIXDZAOVBUTVAVEFVCVAZOVEUTVA
      VCVAVDVAFVEUTVAZUSHVCVAZVHVAZOVCVAGVEUTVAZVIZVDVAVDVAVFVGURXEZVBUTVAZXFVG
      ZOUXRUYDJVCVAZVDVAZKUYGVKVAZVDVAZVBVKVAZVIZVGZXGZURVMXHZAXFVMVOXFVBUTVAZX
      FVGZOUXRXFJVCVAZVDVAZKUYRVKVAZVDVAZVBVKVAZVIZVGZUYOAXJVBXIVOUYQAYAVBXKXLA
      OUXRJVDVAZKJVKVAZVDVAZVBVKVAZVIVUCULAVUBVUHAVUAVUGVBVKAUYSVUEUYTVUFVDAUYR
      JUXRVDAJAUWMUWNUWOUWPXDZXMZVLAUYRJKVKVUJVLXNWPXOXPUYNUYQVUDXGURXFVMUYDXFV
      GZUYFUYQUYMVUDVUKUYEUYPXFUYDXFVBUTXQWCVUKUYLVUCOVUKUYKVUBVUKUYJVUAVBVKVUK
      UYHUYSUYIUYTVDVUKUYGUYRUXRVDUYDXFJVCXQZVLVUKUYGUYRKVKVULVLXNWPXOXRYBXSXTA
      UXRUYAUYCJQKPOURAVEVMVOUWFUXRVMVOYCUWJVEFYDYEAUXSUXTAFUWJXAAUWBUWHUXTVMVO
      VNUXQUSHYDYEWIAUYBAGUWKXAWFUXAVUIAJVBUTVAPQVDVAZVEVKVAZXFVBVKVAYMVAZVBUTV
      AZVUNAJVUOVBUTUMWPAVUNVMVOVBYFVOVUPVUNVGAVUMAPQAKVMVOZPVMVOZQVMVOZABCDEFG
      HKLPQBSTUAUBSUDUEUFUGUHUIUJYGZWEZAVUQVURVUSVUTXDZXCXBYHVUNVBYIYJWAVVBAQVE
      UTVAPVEUTVAZUSKVBUTVAZVCVAZVHVAZWKWQZVEUTVAVVFAQVVGVEUTUJWPAVVFAVVCVVEAPV
      VAXAAUWBVVDVMVOZVVEVMVOVNAVUQVBYKVOVVHAVUQVURVUSVUTWDUUAKVBUUBYJUSVVDYDYE
      WIWRWAAKUXRVEUTVAVBUYAVCVAVHVAVGZPVEUXRVBUTVAVCVAUUDUXRUYAVCVAVCVAVHVAVEU
      UEUUCUYCVCVAVDVAVGZAFGHKPUWJUWKUXQUHUIUUFZUUGAVVIVVJVVKUUHUNUUIUUJAUXBUXC
      UXDUXEXDZANVEUTVAUXJUXLVHVAZWKWQZVEUTVAVVMANVVNVEUTUQWPAVVMAUXJUXLUXOUXPW
      IWRWAUUKAUVBUVMUVGUVSAUUSUVJUVAUVLAUUSUVIRVGZUVJAUUSLUURVDVAZRVGVVOARLUUR
      UCUWLAUUQMAIUWQWFZUXFXCYLAUVIVVPRALUUQVDVAZMVDVAUVIVVPAVVRUVHMVDALIUWLUWQ
      UULZWPALUUQMUWLVVQUXFYNYOWCYPUVIRYQYRAUVAUVKRVGZUVLAUVALUUTVDVAZRVGVVTARL
      UUTUCUWLAUUQMVVQUXFWIYLAUVKVWARAVVRMVHVAUVKVWAAVVRUVHMVHVVSWPALUUQMUWLVVQ
      UXFYSYOWCYPUVKRYQYRYTAUVDUVPUVFUVRAUVDUVORVGZUVPAUVDLUVCVDVAZRVGVWBARLUVC
      UCUWLAINUWQVVLXCYLAUVOVWCRALINUWLUWQVVLYNWCYPUVORYQYRAUVFUVQRVGZUVRAUVFLU
      VEVDVAZRVGVWDARLUVEUCUWLAINUWQVVLWIYLAUVQVWERALINUWLUWQVVLYSWCYPUVQRYQYRY
      TYTUUM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Inverse trigonometric functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c arcsin $. $( Arcsine function $)
  $c arccos $. $( Arccosine function $)
  $c arctan $. $( Arctangent function $)

  $( The arcsine function. $)
  casin $a class arcsin $.

  $( The arccosine function. $)
  cacos $a class arccos $.

  $( The arctangent function. $)
  catan $a class arctan $.

  $( Define the arcsine function.  Because ` sin ` is not a one-to-one
     function, the literal inverse ` ``' sin ` is not a function.  Rather than
     attempt to find the right domain on which to restrict ` sin ` in order to
     get a total function, we just define it in terms of ` log ` , which we
     already know is total (except at ` 0 ` ).  There are branch points at
     ` -u 1 ` and ` 1 ` (at which the function is defined), and branch cuts
     along the real line not between ` -u 1 ` and ` 1 ` , which is to say
     ` ( -oo , -u 1 ) u. ( 1 , +oo ) ` .  (Contributed by Mario Carneiro,
     31-Mar-2015.) $)
  df-asin $a |- arcsin = ( x e. CC |-> ( -u _i x. ( log `
    ( ( _i x. x ) + ( sqrt ` ( 1 - ( x ^ 2 ) ) ) ) ) ) ) $.

  $( Define the arccosine function.  See also remarks for ~ df-asin .  Since we
     define ` arccos ` in terms of ` arcsin ` , it shares the same branch
     points and cuts, namely ` ( -oo , -u 1 ) u. ( 1 , +oo ) ` .  (Contributed
     by Mario Carneiro, 31-Mar-2015.) $)
  df-acos $a |- arccos = ( x e. CC |-> ( ( _pi / 2 ) - ( arcsin ` x ) ) ) $.

  $( Define the arctangent function.  See also remarks for ~ df-asin .  Unlike
     ` arcsin ` and ` arccos ` , this function is not defined everywhere,
     because ` tan ( z ) =/= +- _i ` for all ` z e. CC ` .  For all other
     ` z ` , there is a formula for ` arctan ( z ) ` in terms of ` log ` , and
     we take that as the definition.  Branch points are at ` +- _i ` ; branch
     cuts are on the pure imaginary axis not between ` -u _i ` and ` _i ` ,
     which is to say
     ` { z e. CC | ( _i x. z ) e. ( -oo , -u 1 ) u. ( 1 , +oo ) } ` .
     (Contributed by Mario Carneiro, 31-Mar-2015.) $)
  df-atan $a |- arctan = ( x e. ( CC \ { -u _i , _i } ) |->
    ( ( _i / 2 ) x. ( ( log ` ( 1 - ( _i x. x ) ) ) -
                      ( log ` ( 1 + ( _i x. x ) ) ) ) ) ) $.

  $( The argument to the logarithm in ~ df-asin is always nonzero.
     (Contributed by Mario Carneiro, 31-Mar-2015.) $)
  asinlem $p |- ( A e. CC ->
    ( ( _i x. A ) + ( sqrt ` ( 1 - ( A ^ 2 ) ) ) ) =/= 0 ) $=
    ( cc wcel ci cmul co c1 cexp cmin csqrt cfv cneg cc0 ax-icn mpan wceq eqtrd
    c2 wne syl caddc mulcl ax-1cn sqcl sylancr sqrtcld subnegd negcld 0ne1 0cnd
    subcl wb w3a subcan2 necon3bid syl3anc mpbiri sqmul i2 oveq1i mulm1d syl5eq
    1cnd df-neg eqtrdi sqneg sqsqrtd 3netr4d oveq1 necon3i subne0d eqnetrrd ) A
    BCZDAEFZGARHFZIFZJKZLZIFVNVQUAFMVMVNVQDBCZVMVNBCNDAUBOZVMVPVMGBCZVOBCZVPBCU
    CAUDZGVOUKUEZUFZUGVMVNVRVTVMVQWEUHVMVNRHFZVRRHFZSVNVRSVMMVOIFZVPWFWGVMWHVPS
    ZMGSZUIVMMBCZWAWBWIWJULVMUJVMVCWCWKWAWBUMWHVPMGMGVOUNUOUPUQVMWFVOLZWHVMWFDR
    HFZVOEFZWLVSVMWFWNPNDAUROVMWNGLZVOEFWLWMWOVOEUSUTVMVOWCVAVBQVOVDVEVMWGVQRHF
    ZVPVMVQBCWGWPPWEVQVFTVMVPWDVGQVHVNVRWFWGVNVRRHVIVJTVKVL $.

  $( The argument to the logarithm in ~ df-asin has the property that replacing
     ` A ` with ` -u A ` in the expression gives the reciprocal.  (Contributed
     by Mario Carneiro, 1-Apr-2015.) $)
  asinlem2 $p |- ( A e. CC ->
    ( ( ( _i x. A ) + ( sqrt ` ( 1 - ( A ^ 2 ) ) ) ) x.
      ( ( _i x. -u A ) + ( sqrt ` ( 1 - ( -u A ^ 2 ) ) ) ) ) = 1 ) $=
    ( cc wcel ci cmul co c1 c2 cexp cmin csqrt caddc cneg ax-icn ax-1cn sylancr
    cfv mpan wceq oveq12d mulcl sqcl subcl sqrtcld addcomd mulneg2 sqneg oveq2d
    fveq2d negcld negsubd 3eqtrd sqsqrtd sqmul oveq1i mulm1d syl5eq eqtrd subsq
    i2 syl2anc subnegd 3eqtr3d npcan ) ABCZDAEFZGAHIFZJFZKQZLFZDAMZEFZGVKHIFZJF
    ZKQZLFZEFVIVFLFZVIVFJFZEFZVHVGLFZGVEVJVQVPVREVEVFVIDBCZVEVFBCZNDAUARZVEVHVE
    GBCZVGBCZVHBCOAUBZGVGUCPZUDZUEVEVPVFMZVILFVIWILFVRVEVLWIVOVILWAVEVLWISNDAUF
    RVEVNVHKVEVMVGGJAUGUHUITVEWIVIVEVFWCUJWHUEVEVIVFWHWCUKULTVEVIHIFZVFHIFZJFZV
    HVGMZJFVSVTVEWJVHWKWMJVEVHWGUMVEWKDHIFZVGEFZWMWAVEWKWOSNDAUNRVEWOGMZVGEFWMW
    NWPVGEUTUOVEVGWFUPUQURTVEVIBCWBWLVSSWHWCVIVFUSVAVEVHVGWGWFVBVCVEWDWEVTGSOWF
    GVGVDPUL $.

  $( Lemma for ~ asinlem3 .  (Contributed by Mario Carneiro, 1-Apr-2015.) $)
  asinlem3a $p |- ( ( A e. CC /\ ( Im ` A ) <_ 0 ) ->
    0 <_ ( Re ` ( ( _i x. A ) + ( sqrt ` ( 1 - ( A ^ 2 ) ) ) ) ) ) $=
    ( cc wcel cfv cc0 cle wbr cneg c1 co cre caddc ci cmul adantr sylancr mulcl
    ax-icn negicn wceq wa c2 cexp cmin csqrt cr imcl renegcld ax-1cn sqcl subcl
    sqrtcld recld le0neg1d biimpa sqrtrege0d addge0d simpl readdd renegd oveq1i
    negnegi mulneg1 eqtr3id fveq2d imre negeqd 3eqtr4d oveq1d eqtrd breqtrrd
    cim ) ABCZAVLDZEFGZUAZEVNHZIAUBUCJZUDJZUEDZKDZLJZMANJZVTLJKDZFVPVQWAVPVNVMV
    NUFCVOAUGZOUHVPVTVPVSVPIBCVRBCZVSBCUIVMWFVOAUJOIVRUKPZULZUMVMVOEVQFGVMVNWEU
    NUOVPVSWGUPUQVPWDWCKDZWALJWBVPWCVTVPMBCVMWCBCRVMVOURZMAQPWHUSVPWIVQWALVPMHZ
    ANJZHZKDWLKDZHWIVQVPWLVPWKBCZVMWLBCSWJWKAQPUTVPWCWMKVPWCWKHZANJZWMWPMANMRVB
    VAVPWOVMWQWMTSWJWKAVCPVDVEVPVNWNVMVNWNTVOAVFOVGVHVIVJVK $.

  $( The argument to the logarithm in ~ df-asin has nonnegative real part.
     (Contributed by Mario Carneiro, 1-Apr-2015.) $)
  asinlem3 $p |- ( A e. CC ->
    0 <_ ( Re ` ( ( _i x. A ) + ( sqrt ` ( 1 - ( A ^ 2 ) ) ) ) ) ) $=
    ( cc wcel cc0 ci cmul co c1 c2 cexp cmin csqrt cfv cre cle wbr cdiv sylancr
    adantr wceq caddc cim 0red imcl wa cneg cabs ccj crp cz ax-icn negcl ax-1cn
    mulcl sqcld subcl sqrtcld wne asinlem syl absrpcld rpexpcl sylancl rprecred
    addcld 2z cjcld recld rpreccld rpge0d imneg le0neg2d biimpa eqbrtrd syl2anc
    asinlem3a recjd breqtrrd mulge0d recval asinlem2 eqcomd 1cnd simpl divmul3d
    sqcl mpbird rpcnd rpne0d divrec2d 3eqtr3d fveq2d remul2d eqtrd lecasei ) AB
    CZDEAFGZHAIJGZKGZLMZUAGZNMZOPDAUBMZWPUCAUDZWPDXCOPZUEZDHEAUFZFGZHXGIJGZKGZL
    MZUAGZUGMZIJGZQGZXLUHMZNMZFGZXBOXFXOXQXFXNXFXMUICIUJCXNUICXFXLXFXHXKXFEBCZX
    GBCZXHBCUKWPXTXEAULSZEXGUNRXFXJXFHBCZXIBCXJBCUMXFXGYAUOHXIUPRUQVEZXFXTXLDUR
    ZYAXGUSUTZVAVFXMIVBVCZVDZXFXPXFXLYCVGZVHXFXOXFXNYFVIVJXFDXLNMZXQOXFXTXGUBMZ
    DOPDYIOPYAXFYJXCUFZDOWPYJYKTXEAVKSWPXEYKDOPWPXCXDVLVMVNXGVPVOXFXLYCVQVRVSXF
    XBXOXPFGZNMXRXFXAYLNXFHXLQGZXPXNQGZXAYLXFXLBCYDYMYNTYCYEXLVTVOXFYMXATHXAXLF
    GZTXFYOHWPYOHTXEAWASWBXFHXAXLXFWCXFWQWTXFXSWPWQBCUKWPXEWDEAUNRXFWSXFYBWRBCZ
    WSBCUMWPYPXEAWFSHWRUPRUQVEYCYEWEWGXFXPXNYHXFXNYFWHXFXNYFWIWJWKWLXFXOXPYGYHW
    MWNVRAVPWO $.

  $( Domain and range of the arcsin function.  (Contributed by Mario Carneiro,
     31-Mar-2015.) $)
  asinf $p |- arcsin : CC --> CC $=
    ( vx cc ci cneg cv cmul co c1 cexp cmin csqrt caddc clog casin df-asin wcel
    c2 cfv mulcl sylancr negicn ax-icn mpan ax-1cn subcl sqrtcld addcld asinlem
    sqcl logcld fmpti ) ABBCDZCAEZFGZHUMQIGZJGZKRZLGZMRZFGZNAOUMBPZULBPUSBPUTBP
    UAVAURVAUNUQCBPVAUNBPUBCUMSUCVAUPVAHBPUOBPUPBPUDUMUIHUOUETUFUGUMUHUJULUSSTU
    K $.

  $( Closure for the arcsin function.  (Contributed by Mario Carneiro,
     31-Mar-2015.) $)
  asincl $p |- ( A e. CC -> ( arcsin ` A ) e. CC ) $=
    ( cc casin asinf ffvelrni ) BBACDE $.

  $( Domain and range of the arccos function.  (Contributed by Mario Carneiro,
     31-Mar-2015.) $)
  acosf $p |- arccos : CC --> CC $=
    ( vx cc cpi c2 cdiv co casin cfv cmin cacos df-acos wcel picn halfcl asincl
    cv ax-mp subcl sylancr fmpti ) ABBCDEFZAPZGHZIFZJAKUBBLUABLZUCBLUDBLCBLUEMC
    NQUBOUAUCRST $.

  $( Closure for the arccos function.  (Contributed by Mario Carneiro,
     31-Mar-2015.) $)
  acoscl $p |- ( A e. CC -> ( arccos ` A ) e. CC ) $=
    ( cc cacos acosf ffvelrni ) BBACDE $.

  $( Since the property is a little lengthy, we abbreviate
     ` A e. CC /\ A =/= -u _i /\ A =/= _i ` as ` A e. dom arctan ` .  This is
     the necessary precondition for the definition of ` arctan ` to make sense.
     (Contributed by Mario Carneiro, 31-Mar-2015.) $)
  atandm $p |- ( A e. dom arctan <->
    ( A e. CC /\ A =/= -u _i /\ A =/= _i ) ) $=
    ( vx cc ci cneg cpr cdif wcel wne wa catan cdm wn wceq co c1 cmul cmin clog
    cfv w3a eldif wo elprg notbid neanior bitr4di pm5.32i bitri c2 cdiv cv ovex
    caddc df-atan dmmpti eleq2i 3anass 3bitr4i ) ACDEZDFZGZHZACHZAUTIZADIZJZJZA
    KLZHVDVEVFUAVCVDAVAHZMZJVHACVAUBVDVKVGVDVKAUTNADNUCZMVGVDVJVLAUTDCUDUEAUTAD
    UFUGUHUIVIVBABVBDUJUKOZPDBULQOZROSTPVNUNOSTROZQOKVMVOQUMBUOUPUQVDVEVFURUS
    $.

  $( This form of ~ atandm is a bit more useful for showing that the logarithms
     in ~ df-atan are well-defined.  (Contributed by Mario Carneiro,
     31-Mar-2015.) $)
  atandm2 $p |- ( A e. dom arctan <-> ( A e. CC /\
    ( 1 - ( _i x. A ) ) =/= 0 /\ ( 1 + ( _i x. A ) ) =/= 0 ) ) $=
    ( wcel cc ci cneg wne w3a c1 cmul co cmin cc0 caddc wa 3anass ax-1cn ax-icn
    wceq a1i bitrd catan cdm atandm wb mulcl subeq0 sylancr mulneg2i ixi negeqi
    mpan negneg1e1 3eqtri eqeq2i eqcom bitr4di id negcli ine0 mulcand necon3bid
    bitri addcom subneg sylancl eqtr4d eqeq1d anbi12d pm5.32i bitr4i ) AUAUBBAC
    BZADEZFZADFZGZVKHDAIJZKJZLFZHVPMJZLFZGZAUCWAVKVRVTNZNZVOVKVRVTOWCVKVMVNNZNV
    OVKWBWDVKVRVMVTVNVKVQLAVLVKVQLRZVPDVLIJZRZAVLRVKWEHVPRZWGVKHCBZVPCBZWEWHUDP
    DCBZVKWJQDAUEUKZHVPUFUGWGVPHRWHWFHVPWFDDIJZEHEZEHDDQQUHWMWNUIUJULUMUNVPHUOV
    BUPVKAVLDVKUQZVLCBVKDQURSWKVKQSZDLFVKUSSZUTTVAVKVSLADVKVSLRZVPWMRZADRVKWRVP
    WNRZWSVKWRVPWNKJZLRZWTVKVSXALVKVSVPHMJZXAVKWIWJVSXCRPWLHVPVCUGVKWJWIXAXCRWL
    PVPHVDVEVFVGVKWJWNCBXBWTUDWLHPURVPWNUFVETWMWNVPUIUNUPVKADDWOWPWPWQUTTVAVHVI
    VKVMVNOVJVBVJ $.

  $( A compact form of ~ atandm .  (Contributed by Mario Carneiro,
     31-Mar-2015.) $)
  atandm3 $p |- ( A e. dom arctan <-> ( A e. CC /\ ( A ^ 2 ) =/= -u 1 ) ) $=
    ( cc wcel ci cneg wne w3a wa catan cdm c2 cexp co c1 3anass atandm wo wn wb
    wceq ax-icn sqeqor mpan2 i2 eqeq2i orcom 3bitr3g necon3abid neanior bitr4di
    pm5.32i 3bitr4i ) ABCZADEZFZADFZGUMUOUPHZHAIJCUMAKLMZNEZFZHUMUOUPOAPUMUTUQU
    MUTAUNTZADTZQZRUQUMVCURUSUMURDKLMZTZVBVAQZURUSTVCUMDBCVEVFSUAADUBUCVDUSURUD
    UEVBVAUFUGUHAUNADUIUJUKUL $.

  $( A compact form of ~ atandm .  (Contributed by Mario Carneiro,
     3-Apr-2015.) $)
  atandm4 $p |- ( A e. dom arctan <->
    ( A e. CC /\ ( 1 + ( A ^ 2 ) ) =/= 0 ) ) $=
    ( catan cdm wcel cc c2 cexp co c1 cneg wne wa cc0 atandm3 cmin wceq sylancl
    caddc wb ax-1cn neg1cn subeq0 subneg addcom eqeq1d bitr3d necon3bid pm5.32i
    sqcl eqtrd bitri ) ABCDAEDZAFGHZIJZKZLULIUMRHZMKZLANULUOUQULUMUNUPMULUMUNOH
    ZMPZUMUNPZUPMPULUMEDZUNEDUSUTSAUIZUAUMUNUBQULURUPMULURUMIRHZUPULVAIEDZURVCP
    VBTUMIUCQULVAVDVCUPPVBTUMIUDQUJUEUFUGUHUK $.

  $( Domain and range of the arctan function.  (Contributed by Mario Carneiro,
     31-Mar-2015.) $)
  atanf $p |- arctan : ( CC \ { -u _i , _i } ) --> CC $=
    ( vx cc ci cneg cpr co c1 cmul cmin clog cfv catan wcel ax-icn ax-1cn mulcl
    cc0 wne sylancr logcld cdif c2 cdiv cv caddc df-atan cdm ovex dmmpti eleq2i
    halfcl ax-mp atandm2 simp1bi subcl simp2bi addcl simp3bi subcld sylbir
    fmpti ) ABCDCEUAZBCUBUCFZGCAUDZHFZIFZJKZGVEUEFZJKZIFZHFZLAUFZVDVBMVDLUGZMZV
    KBMZVMVBVDAVBVKLVCVJHUHVLUIUJVNVCBMZVJBMVOCBMZVPNCUKULVNVGVIVNVFVNGBMZVEBMZ
    VFBMOVNVQVDBMZVSNVNVTVFQRZVHQRZVDUMZUNCVDPSZGVEUOSVNVTWAWBWCUPTVNVHVNVRVSVH
    BMOWDGVEUQSVNVTWAWBWCURTUSVCVJPSUTVA $.

  $( Closure for the arctan function.  (Contributed by Mario Carneiro,
     31-Mar-2015.) $)
  atancl $p |- ( A e. dom arctan -> ( arctan ` A ) e. CC ) $=
    ( catan cfv cc wcel ci cneg cpr cdif cdm atanf ffvelrni fdmi eleq2s ) ABCDE
    ADFGFHIZBJODABKLODBKMN $.

  ${
    $d x A $.
    $( Value of the arcsin function.  (Contributed by Mario Carneiro,
       31-Mar-2015.) $)
    asinval $p |- ( A e. CC -> ( arcsin ` A ) = ( -u _i x. ( log `
      ( ( _i x. A ) + ( sqrt ` ( 1 - ( A ^ 2 ) ) ) ) ) ) ) $=
      ( vx ci cneg cv cmul co c1 c2 cexp cmin csqrt cfv caddc clog casin oveq2d
      cc wceq fveq2d oveq2 oveq1 oveq12d df-asin ovex fvmpt ) BACDZCBEZFGZHUHIJ
      GZKGZLMZNGZOMZFGUGCAFGZHAIJGZKGZLMZNGZOMZFGRPUHASZUNUTUGFVAUMUSOVAUIUOULU
      RNUHACFUAVAUKUQLVAUJUPHKUHAIJUBQTUCTQBUDUGUTFUEUF $.

    $( Value of the arccos function.  (Contributed by Mario Carneiro,
       31-Mar-2015.) $)
    acosval $p |- ( A e. CC -> ( arccos ` A ) =
      ( ( _pi / 2 ) - ( arcsin ` A ) ) ) $=
      ( vx cpi c2 cdiv co cv casin cmin cc cacos wceq fveq2 oveq2d df-acos ovex
      cfv fvmpt ) BACDEFZBGZHQZIFSAHQZIFJKTALUAUBSITAHMNBOSUBIPR $.

    $( Value of the arctan function.  (Contributed by Mario Carneiro,
       31-Mar-2015.) $)
    atanval $p |- ( A e. dom arctan -> ( arctan ` A ) =
      ( ( _i / 2 ) x. ( ( log ` ( 1 - ( _i x. A ) ) ) -
                        ( log ` ( 1 + ( _i x. A ) ) ) ) ) ) $=
      ( vx catan cfv ci c2 cdiv co c1 cmul cmin clog caddc wceq cneg cpr oveq2d
      cc cdif fveq2d cdm cv oveq2 oveq12d df-atan ovex fvmpt atanf fdmi eleq2s
      ) ACDEFGHZIEAJHZKHZLDZIULMHZLDZKHZJHZNAREOEPSZCUABAUKIEBUBZJHZKHZLDZIVAMH
      ZLDZKHZJHURUSCUTANZVFUQUKJVGVCUNVEUPKVGVBUMLVGVAULIKUTAEJUCZQTVGVDUOLVGVA
      ULIMVHQTUDQBUEUKUQJUFUGUSRCUHUIUJ $.
  $}

  $( A real number is in the domain of the arctangent function.  (Contributed
     by Mario Carneiro, 31-Mar-2015.) $)
  atanre $p |- ( A e. RR -> A e. dom arctan ) $=
    ( cr wcel cc c2 cexp co c1 cneg wne cdm recn neg1rr a1i cc0 0red resqcl clt
    catan wbr neg1lt0 sqge0 ltletrd gtned atandm3 sylanbrc ) ABCZADCAEFGZHIZJAS
    KCALUGUIUHUIBCUGMNZUGUIOUHUJUGPAQUIORTUGUANAUBUCUDAUEUF $.

  $( The arcsine function is odd.  (Contributed by Mario Carneiro,
     1-Apr-2015.) $)
  asinneg $p |- ( A e. CC -> ( arcsin ` -u A ) = -u ( arcsin ` A ) ) $=
    ( cc wcel ci cneg cmul co c1 cfv wceq sylancr cc0 wb cim cpi cr clt wbr cle
    pire c2 cexp cmin csqrt caddc clog casin cdiv ax-icn mulcl mpan ax-1cn sqcl
    ce subcl sqrtcld addcld asinlem logcld efneg syl wne eflog syl2anc asinlem2
    oveq2d negcl sqcld divmuld mpbird 3eqtrd ccnv cioc cima negcld imnegd imcld
    a1i crn renegcld logimcld simprd cre renegd asinlem3 recld le0neg2d eqbrtrd
    wn mpbid 0re lenlt sylancl crp lognegb rpgt0 rpre breqtrrd syl6bir necon3bd
    rered mpd necomd leneltd ltneg simpld renegcli ltle lenegcon1 cxr w3a rexri
    wi elioc2 mp2an syl3anbrc eqeltrd wf wfn wa imf ffn elpreima sylanbrc logrn
    mp2b eleqtrrdi logeftb syl3anc negicn mulneg2 eqtrd asinval negeqd 3eqtr4d
    ) ABCZDEZDAEZFGZHYRUAUBGZUCGZUDIZUEGZUFIZFGZYQDAFGZHAUAUBGZUCGZUDIZUEGZUFIZ
    FGZEZYRUGIZAUGIZEYPUUEYQUUKEZFGZUUMYPUUDUUPYQFYPUUDUUPJZUUPUNIZUUCJZYPUUSHU
    UKUNIZUHGZHUUJUHGZUUCYPUUKBCZUUSUVBJYPUUJYPUUFUUIDBCZYPUUFBCUIDAUJUKYPUUHYP
    HBCZUUGBCUUHBCULAUMHUUGUOKUPUQZAURZUSZUUKUTVAYPUVAUUJHUHYPUUJBCZUUJLVBZUVAU
    UJJUVGUVHUUJVCVDVFYPUVCUUCJUUJUUCFGHJAVEYPHUUJUUCUVFYPULVRUVGYPYSUUBYPUVEYR
    BCZYSBCUIAVGZDYRUJKYPUUAYPUVFYTBCUUABCULYPYRUVMVHHYTUOKUPUQZUVHVIVJVKYPUUCB
    CUUCLVBZUUPUFVSZCUURUUTMUVNYPUVLUVOUVMYRURVAYPUUPNVLOEZOVMGZVNZUVPYPUUPBCZU
    UPNIZUVRCZUUPUVSCZYPUUKUVIVOYPUWAUUKNIZEZUVRYPUUKUVIVPYPUWEPCZUVQUWEQRZUWEO
    SRZUWEUVRCZYPUWDYPUUKUVIVQZVTYPUWDOQRZUWGYPUWDOUWJOPCZYPTVRYPUVQUWDQRZUWDOS
    RZYPUUJUVGUVHWAZWBYPUWDOYPLUUJEZWCIZQRZWIZUWDOVBYPUWQLSRZUWSYPUWQUUJWCIZEZL
    SYPUUJUVGWDYPLUXASRUXBLSRAWEYPUXAYPUUJUVGWFWGWJWHYPUWQPCLPCUWTUWSMYPUWPYPUU
    JUVGVOWFWKUWQLWLWMWJYPUWRUWDOYPUWDOJZUWPWNCZUWRYPUVJUVKUXDUXCMUVGUVHUUJWOVD
    UXDLUWPUWQQUWPWPUXDUWPUWPWQXAWRWSWTXBXCXDYPUWDPCZUWLUWKUWGMUWJTUWDOXEWMWJYP
    UVQUWDSRZUWHYPUWMUXFYPUWMUWNUWOXFYPUVQPCUXEUWMUXFXMOTXGZUWJUVQUWDXHKXBYPUWL
    UXEUXFUWHMTUWJOUWDXIKWJUVQXJCUWLUWIUWFUWGUWHXKMUVQUXGXLTUVQOUWEXNXOXPXQBPNX
    RNBXSUWCUVTUWBXTMYABPNYBBUUPUVRNYCYFYDYEYGUUCUUPYHYIVJVFYPYQBCUVDUUQUUMJYJU
    VIYQUUKYKKYLYPUVLUUNUUEJUVMYRYMVAYPUUOUULAYMYNYO $.

  $( The negative symmetry relation of the arccosine.  (Contributed by Mario
     Carneiro, 2-Apr-2015.) $)
  acosneg $p |- ( A e. CC -> ( arccos ` -u A ) = ( _pi - ( arccos ` A ) ) ) $=
    ( cc wcel cpi c2 cdiv co cneg casin cfv cmin cacos caddc wceq halfcl oveq2d
    picn a1i 3eqtr4d acosval asincl subneg sylancr asinneg subsubd pidiv2halves
    ax-mp subaddrii oveq1i eqtrdi negcl syl ) ABCZDEFGZAHZIJZKGZDUNAIJZKGZKGZUO
    LJZDALJZKGUMUNURHZKGZUNURMGZUQUTUMUNBCZURBCVDVENDBCZVFQDOUGZAUAZUNURUBUCUMU
    PVCUNKAUDPUMUTDUNKGZURMGVEUMDUNURVGUMQRVFUMVHRVIUEVJUNURMDUNUNQVHVHUFUHUIUJ
    SUMUOBCVAUQNAUKUOTULUMVBUSDKATPS $.

  $( The exponential of the arcsine function.  (Contributed by Mario Carneiro,
     31-Mar-2015.) $)
  efiasin $p |- ( A e. CC -> ( exp ` ( _i x. ( arcsin ` A ) ) ) =
    ( ( _i x. A ) + ( sqrt ` ( 1 - ( A ^ 2 ) ) ) ) ) $=
    ( cc wcel ci casin cmul co ce c1 c2 cexp cmin csqrt caddc clog cneg asinval
    cfv ax-icn a1i oveq2d negicn mulcl mpan ax-1cn subcl sylancr sqrtcld addcld
    sqcl asinlem logcld mulassd mulneg2i negeqi negneg1e1 3eqtri oveq1i mulid2d
    ixi syl5eq 3eqtr2d fveq2d cc0 wne wceq eflog syl2anc eqtrd ) ABCZDAERZFGZHR
    DAFGZIAJKGZLGZMRZNGZORZHRZVQVJVLVRHVJVLDDPZVRFGZFGDVTFGZVRFGZVRVJVKWADFAQUA
    VJDVTVRDBCZVJSTVTBCVJUBTVJVQVJVMVPWDVJVMBCSDAUCUDVJVOVJIBCVNBCVOBCUEAUJIVNU
    FUGUHUIZAUKZULZUMVJWCIVRFGVRWBIVRFWBDDFGZPIPZPIDDSSUNWHWIUTUOUPUQURVJVRWGUS
    VAVBVCVJVQBCVQVDVEVSVQVFWEWFVQVGVHVI $.

  $( The arcsine function is an inverse to ` sin ` .  This is the main property
     that justifies the notation ` arcsin ` or ` sin ^ -u 1 ` .  Because
     ` sin ` is not an injection, the other converse identity ~ asinsin is only
     true under limited circumstances.  (Contributed by Mario Carneiro,
     1-Apr-2015.) $)
  sinasin $p |- ( A e. CC -> ( sin ` ( arcsin ` A ) ) = A ) $=
    ( cc wcel casin cfv ci cmul co ce cneg cmin c2 syl csqrt caddc ax-icn mulcl
    wceq c1 sylancr csin cdiv asincl sinval cexp mpan negcld sqcl subcl sqrtcld
    ax-1cn pnpcan2d efiasin mulneg12 asinneg oveq2d eqtr4d fveq2d negcl mulneg2
    sqneg oveq12d 3eqtrd 2timesd 2cn mulass mp3an12 subnegd 3eqtr4d efcl negicn
    subcld id 2mulicn a1i cc0 wne 2muline0 divmul2d mpbird eqtrd ) ABCZADEZUAEZ
    FWCGHZIEZFJZWCGHZIEZKHZLFGHZUBHZAWBWCBCZWDWLRAUCZWCUDMWBWLARWJWKAGHZRWBFAGH
    ZSALUEHZKHZNEZOHZWPJZWSOHZKHWPXAKHZWJWOWBWPXAWSFBCZWBWPBCPFAQUFZWBWPXEUGWBW
    RWBSBCWQBCWRBCUKAUHSWQUITUJULWBWFWTWIXBKAUMWBWIFAJZDEZGHZIEZFXFGHZSXFLUEHZK
    HZNEZOHZXBWBWHXHIWBWHFWCJZGHZXHWBXDWMWHXPRPWNFWCUNTWBXGXOFGAUOUPUQURWBXFBCX
    IXNRAUSXFUMMWBXJXAXMWSOXDWBXJXARPFAUTUFWBXLWRNWBXKWQSKAVAUPURVBVCVBWBLWPGHZ
    WPWPOHWOXCWBWPXEVDLBCXDWBWOXQRVEPLFAVFVGWBWPWPXEXEVHVIVIWBWJAWKWBWFWIWBWEBC
    ZWFBCWBXDWMXRPWNFWCQTWEVJMWBWHBCZWIBCWBWGBCWMXSVKWNWGWCQTWHVJMVLWBVMWKBCWBV
    NVOWKVPVQWBVRVOVSVTWA $.

  $( The arccosine function is an inverse to ` cos ` .  (Contributed by Mario
     Carneiro, 1-Apr-2015.) $)
  cosacos $p |- ( A e. CC -> ( cos ` ( arccos ` A ) ) = A ) $=
    ( cc wcel cacos cfv ccos cpi c2 cdiv co casin cmin csin acosval fveq2d wceq
    asincl coshalfpim syl sinasin 3eqtrd ) ABCZADEZFEGHIJAKEZLJZFEZUDMEZAUBUCUE
    FANOUBUDBCUFUGPAQUDRSATUA $.

  $( Lemma for ~ asinsin .  (Contributed by Mario Carneiro, 2-Apr-2015.) $)
  asinsinlem $p |- ( ( A e. CC /\ ( Re ` A ) e.
    ( -u ( _pi / 2 ) (,) ( _pi / 2 ) ) ) ->
      0 < ( Re ` ( exp ` ( _i x. A ) ) ) ) $=
    ( cc wcel cre cfv co cneg cc0 ci cmul ce ccos clt ax-icn mulcl wbr syl wceq
    fveq2d c1 cpi c2 cdiv cioo wa simpl sylancr recld reefcld simpr neghalfpirx
    cr w3a wb halfpire rexri elioo2 mp2an sylib simp1d recoscld efgt0 cosq14gt0
    cxr adantl mulgt0d cim csin caddc efeul imcld recnd resincld addcld remul2d
    crred mulneg1i ixi negeqi negneg1e1 3eqtri oveq1i negicn a1i mulassd mulid2
    imre adantr 3eqtr3a eqtrd oveq2d 3eqtrd breqtrrd ) ABCZADEZUAUBUCFZGZWPUDFC
    ZUEZHIAJFZDEZKEZWOLEZJFZWTKEZDEZMWSXBXCWSXAWSWTWSIBCZWNWTBCZNWNWRUFZIAOUGZU
    HZUIZWSWOWSWOULCZWQWOMPZWOWPMPZWSWRXMXNXOUMZWNWRUJWQVDCWPVDCWRXPUNUKWPUOUPW
    QWPWOUQURUSUTVAWSXAULCHXBMPXKXAVBQWRHXCMPWNWOVCVEVFWSXFXBWTVGEZLEZIXQVHEZJF
    ZVIFZJFZDEXBYADEZJFXDWSXEYBDWSXHXEYBRXJWTVJQSWSXBYAXLWSXRXTWSXRWSXQWSWTXJVK
    ZVAZVLWSXGXSBCXTBCNWSXSWSXQYDVMZVLIXSOUGVNVOWSYCXCXBJWSYCXRXCWSXRXSYEYFVPWS
    XQWOLWSXQIGZWTJFZDEZWOWSXHXQYIRXJWTWGQWSYHADWSYGIJFZAJFTAJFZYHAYJTAJYJIIJFZ
    GTGZGTIINNVQYLYMVRVSVTWAWBWSYGIAYGBCWSWCWDXGWSNWDXIWEWNYKARWRAWFWHWISWJSWJW
    KWLWM $.

  $( The arcsine function composed with ` sin ` is equal to the identity.  This
     plus ~ sinasin allow us to view ` sin ` and ` arcsin ` as inverse
     operations to each other.  For ease of use, we have not defined precisely
     the correct domain of correctness of this identity; in addition to the
     main region described here it is also true for _some_ points on the branch
     cuts, namely when ` A = ( _pi / 2 ) - _i y ` for nonnegative real ` y `
     and also symmetrically at ` A = _i y - ( _pi / 2 ) ` .  In particular,
     when restricted to reals this identity extends to the closed interval
     ` [ -u ( _pi / 2 ) , ( _pi / 2 ) ] ` , not just the open interval (see
     ~ reasinsin ).  (Contributed by Mario Carneiro, 2-Apr-2015.) $)
  asinsin $p |- ( ( A e. CC /\ ( Re ` A ) e.
    ( -u ( _pi / 2 ) (,) ( _pi / 2 ) ) ) -> ( arcsin ` ( sin ` A ) ) = A ) $=
    ( cc wcel cre cfv cpi c2 co cneg ci cmul cmin caddc wceq adantr sylancr a1i
    c1 clt wbr cdiv cioo wa csin casin cexp csqrt clog sincl asinval syl ax-icn
    mulcl simpl efcl pncan3d subcld ax-1cn sqcld subcl binom2sub syl2anc sqvald
    ce ccos 2cn mul12d oveq12d coscl subsq sqmul i2 oveq1i mulm1d syl5eq oveq2d
    eqtrd subnegd addcomd 3eqtrd efival 2timesd pnpcan2d subdid eqtr3d sincossq
    3eqtr3d 3eqtr2d negsub cc0 cr halfre negicn addcld recld halfgt0 asinsinlem
    negcl reneg wb halfpire renegcli recl iooneg mp3an12i biimpa negnegi oveq2i
    eleqtrdi eqeltrd mulneg12 fveq2d breqtrrd addgt0d readdd mulgt0d cosval wne
    recni 2ne0 divrec2d remul2 mvrraddd eqsqrt2d crn cim cle elioore adantl crp
    pire pirp rphalflt ax-mp ltnegi mpbi eliooord simpld lttrd imre ixi mulassd
    mulneg1i negeqi 3eqtri mulid2 3eqtr3a ltled eqbrtrd ellogrn syl3anbrc logef
    simprd ) ABCZADEZFGUAHZIZUUPUBHZCZUCZAUDEZUEEZJIZJUVAKHZRUVAGUFHZLHZUGEZMHZ
    UHEZKHZUVCJAKHZKHZAUUTUVABCZUVBUVJNUUNUVMUUSAUIOZUVAUJUKUUTUVIUVKUVCKUUTUVK
    VDEZUHEZUVIUVKUUTUVOUVHUHUUTUVDUVOUVDLHZMHUVOUVHUUTUVDUVOUUTJBCZUVMUVDBCZUL
    UVNJUVAUMPZUUTUVKBCZUVOBCZUUTUVRUUNUWAULUUNUUSUNZJAUMPZUVKUOUKZUPUUTUVQUVGU
    VDMUUTUVQUVFUUTUVOUVDUWEUVTUQUUTRBCZUVEBCZUVFBCURUUTUVAUVNUSZRUVEUTPUUTUVQG
    UFHZUVOGUFHZGUVOUVDKHKHZLHZUVDGUFHZMHZRUVEIZMHZUVFUUTUWBUVSUWIUWNNUWEUVTUVO
    UVDVAVBUUTUWLRUWMUWOMUUTUWLUVOUVOKHZUVOGUVDKHZKHZLHZUVEAVEEZGUFHZMHZRUUTUWJ
    UWQUWKUWSLUUTUVOUWEVCUUTGUVOUVDGBCZUUTVFQZUWEUVTVGVHUUTUXBUWMLHZUXAUVDMHZUX
    AUVDLHZKHZUXCUWTUUTUXABCZUVSUXFUXINUUNUXJUUSAVIOZUVTUXAUVDVJVBUUTUXFUXBUWOL
    HUXBUVEMHUXCUUTUWMUWOUXBLUUTUWMJGUFHZUVEKHZUWOUUTUVRUVMUWMUXMNULUVNJUVAVKPU
    UTUXMRIZUVEKHUWOUXLUXNUVEKVLVMUUTUVEUWHVNVOVQZVPUUTUXBUVEUUTUXAUXKUSZUWHVRU
    UTUXBUVEUXPUWHVSVTUUTUVOUVOUWRLHZKHUXIUWTUUTUVOUXGUXQUXHKUUNUVOUXGNUUSAWAOZ
    UUTUXQUXGUVDUVDMHZLHUXHUUTUVOUXGUWRUXSLUXRUUTUVDUVTWBVHUUTUXAUVDUVDUXKUVTUV
    TWCVQVHUUTUVOUVOUWRUWEUWEUUTUXDUVSUWRBCVFUVTGUVDUMPWDWEWGUUNUXCRNUUSAWFOWHU
    XOVHUUTUWFUWGUWPUVFNURUWHRUVEWIPVTUUTWJUXADEZUVQDESUUTWJRGUAHZUVOUVCAKHZVDE
    ZMHZDEZKHZUXTSUUTUYAUYEUYAWKCZUUTWLQUUTUYDUUTUVOUYCUWEUUTUYBBCZUYCBCUUTUVCB
    CZUUNUYHWMUWCUVCAUMPUYBUOUKZWNZWOWJUYASTUUTWPQUUTWJUVODEZUYCDEZMHUYESUUTUYL
    UYMUUTUVOUWEWOUUTUYCUYJWOAWQUUTWJJAIZKHZVDEZDEZUYMSUUTUYNBCZUYNDEZUURCWJUYQ
    STUUNUYRUUSAWROUUTUYSUUOIZUURUUNUYSUYTNUUSAWSOUUTUYTUUQUUQIZUBHZUURUUNUUSUY
    TVUBCZUUQWKCZUUPWKCZUUNUUOWKCZUUSVUCWTUUPXAXBZXAAXCUUQUUPUUOXDXEXFVUAUUPUUQ
    UBUUPUUPXAXSXGXHXIXJUYNWQVBUUTUYCUYPDUUTUYBUYOVDUUTUVRUUNUYBUYONULUWCJAXKPX
    LXLXMXNUUTUVOUYCUWEUYJXOXMXPUUTUXTUYAUYDKHZDEZUYFUUTUXAVUHDUUTUXAUYDGUAHZVU
    HUUNUXAVUJNUUSAXQOUUTUYDGUYKUXEGWJXRUUTXTQYAVQXLUUTUYGUYDBCVUIUYFNWLUYKUYAU
    YDYBPVQXMUUTUVQUXADUUTUVOUXAUVDUXKUVTUXRYCXLXMYDVPWEXLUUTUVKUHYECZUVPUVKNUU
    TUWAFIZUVKYFEZSTVUMFYGTVUKUWDUUTVULUUOVUMSUUTVULUUQUUOVULWKCUUTFYKXBQVUDUUT
    VUGQUUSVUFUUNUUOUUQUUPYHYIZVULUUQSTZUUTUUPFSTZVUOFYJCVUPYLFYMYNZUUPFXAYKYOY
    PQUUTUUQUUOSTZUUOUUPSTZUUSVURVUSUCUUNUUOUUQUUPYQYIZYRYSUUTVUMUVLDEZUUOUUTUW
    AVUMVVANUWDUVKYTUKUUTUVLADUUTUVCJKHZAKHRAKHZUVLAVVBRAKVVBJJKHZIUXNIRJJULULU
    UCVVDUXNUUAUUDRURXGUUEVMUUTUVCJAUYIUUTWMQUVRUUTULQUWCUUBUUNVVCANUUSAUUFOUUG
    ZXLVQZXMUUTVUMUUOFYGVVFUUTUUOFVUNFWKCUUTYKQZUUTUUOUUPFVUNVUEUUTXAQVVGUUTVUR
    VUSVUTUUMVUPUUTVUQQYSUUHUUIUVKUUJUUKUVKUULUKWEVPVVEVT $.

  $( The arccosine function is an inverse to ` cos ` .  (Contributed by Mario
     Carneiro, 2-Apr-2015.) $)
  acoscos $p |- ( ( A e. CC /\ ( Re ` A ) e. ( 0 (,) _pi ) ) ->
    ( arccos ` ( cos ` A ) ) = A ) $=
    ( cc wcel cre cfv cc0 cpi cioo co ccos casin cmin wceq syl sylancr halfpire
    cr clt wbr wb wa cacos c2 cdiv coscl adantr acosval csin halfcl ax-mp simpl
    picn nncan fveq2d subcl coshalfpim eqtr3d cneg recni resub rere oveq1i recl
    eqtrdi resubcl neghalfpire eliooord adantl caddc subnegi pidiv2halves eqtri
    a1i simprd breqtrrdi ltsub13d simpld ltsubpos sylancl mpbid cxr rexri mp2an
    w3a elioo2 syl3anbrc eqeltrd asinsin syl2anc eqtr2d asincl subsub23 mp3an2i
    eqtrd ) ABCZADEZFGHICZUAZAJEZUBEZGUCUDIZWSKEZLIZAWRWSBCZWTXCMWOXDWQAUEUFZWS
    UGNWRXAALIZXBMZXCAMZWRXBXFUHEZKEZXFWRWSXIKWRXAXFLIZJEZWSXIWRXKAJWRXABCZWOXK
    AMGBCXMULGUIUJZWOWQUKZXAAUMOUNWRXFBCZXLXIMWRXMWOXPXNXOXAAUOOZXFUPNUQUNWRXPX
    FDEZXAURZXAHIZCXJXFMXQWRXRXAWPLIZXTWRXRXADEZWPLIZYAWRXMWOXRYCMXAPUSZXOXAAUT
    OYBXAWPLXAQCZYBXAMPXAVAUJVBVDWRYAQCZXSYARSZYAXARSZYAXTCZWRYEWPQCZYFPWOYJWQA
    VCUFZXAWPVEOWRWPXAXSYKYEWRPVMXSQCWRVFVMWRWPGXAXSLIZRWRFWPRSZWPGRSZWQYMYNUAW
    OWPFGVGVHZVNYLXAXAVIIGXAXAYDYDVJVKVLVOVPWRYMYHWRYMYNYOVQWRYJYEYMYHTYKPWPXAV
    RVSVTXSWACXAWACYIYFYGYHWDTXSVFWBXAPWBXSXAYAWEWCWFWGXFWHWIWJXMWRWOXBBCZXGXHT
    YDXOWRXDYPXEWSWKNXAAXBWLWMVTWN $.

  $( The arcsine of ` 1 ` is ` _pi / 2 ` .  (Contributed by Mario Carneiro,
     2-Apr-2015.) $)
  asin1 $p |- ( arcsin ` 1 ) = ( _pi / 2 ) $=
    ( c1 cfv ci cneg cmul cmin csqrt caddc clog cpi wcel ax-mp cc0 ax-icn eqtri
    co fveq2i clt wbr halfpire c2 cexp cdiv wceq ax-1cn asinval addid1i mulid1i
    casin cc sq1 oveq2i 1m1e0 sqrt0 oveq12i efhalfpi 3eqtr4i crn cim cle mulcli
    ce recni pipos cr wb pire lt0neg2 mpbi crp pirp rphalfcl rpgt0 renegcli 0re
    lttri mp2an addid2i crimi eqtr3i breqtrri rphalflt eqbrtri ellogrn mpbir3an
    ltleii logef mulneg1i negeqi negneg1e1 3eqtri oveq1i negicn mulassi mulid2i
    ixi ) AUIBZCDZCAEPZAAUAUBPZFPZGBZHPZIBZEPZWRCJUAUCPZEPZEPZXFAUJKWQXEUDUEAUF
    LXDXGWREXDXGVBBZIBZXGXCXIICMHPCXCXICNUGWSCXBMHCNUHXBMGBMXAMGXAAAFPMWTAAFUKU
    LUMOQUNOUOUPUQQXGIURKZXJXGUDXKXGUJKJDZXGUSBZRSXMJUTSCXFNXFTVCZVAZXLXFXMRXLM
    RSZMXFRSZXLXFRSMJRSZXPVDJVEKXRXPVFVGJVHLVIXFVJKZXQJVJKZXSVKJVLLXFVMLXLMXFJV
    GVNVOTVPVQMXGHPZUSBXMXFYAXGUSXGXOVRQMXFVOTVSVTZWAXMXFJUTYBXFJTVGXTXFJRSVKJW
    BLWFWCXGWDWEXGWGLOULAXFEPZXHXFWRCEPZXFEPYCXHYDAXFEYDCCEPZDADZDACCNNWHYEYFWP
    WIWJWKWLWRCXFWMNXNWNVTXFXNWOVTWK $.

  $( The arccosine of ` 1 ` is ` 0 ` .  (Contributed by Mario Carneiro,
     2-Apr-2015.) $)
  acos1 $p |- ( arccos ` 1 ) = 0 $=
    ( c1 cacos cfv cpi c2 cdiv co casin cmin cc0 wcel wceq ax-1cn acosval ax-mp
    cc asin1 oveq2i picn halfcl subidi 3eqtri ) ABCZDEFGZAHCZIGZUDUDIGJAPKUCUFL
    MANOUEUDUDIQRUDDPKUDPKSDTOUAUB $.

  $( The arcsine function composed with ` sin ` is equal to the identity.
     (Contributed by Mario Carneiro, 2-Apr-2015.) $)
  reasinsin $p |- ( A e. ( -u ( _pi / 2 ) [,] ( _pi / 2 ) ) ->
    ( arcsin ` ( sin ` A ) ) = A ) $=
    ( cpi co cneg wcel csin cfv casin wceq cxr wbr neghalfpire halfpire cc0 clt
    wo ax-mp cc id c1 c2 cdiv cicc cioo cpr cun cle rexri crp rphalfcl rpgt0 cr
    pirp wb lt0neg2 mpbi 0re lttri mp2an ltleii prunioo mp3an eleq2i bitr3i cre
    elun elioore recnd rered eqeltrd asinsin syl2anc elpri ax-1cn asinneg asin1
    negeqi eqtri fveq2 recni sinneg sinhalfpi eqtrdi fveq2d 3eqtr4a jaoi sylbi
    syl ) ABUAUBCZDZWIUCCZEZAWJWIUDCZEZAWJWIUEZEZPZAFGZHGZAIZWLAWMWOUFZEWQXAWKA
    WJJEWIJEWJWIUGKXAWKIWJLUHWIMUHWJWILMWJNOKZNWIOKZWJWIOKXCXBWIUIEZXCBUIEXDUMB
    UJQWIUKQZWIULEXCXBUNMWIUOQUPXEWJNWILUQMURUSUTWJWIVAVBVCAWMWOVFVDWNWTWPWNARE
    AVEGZWMEWTWNAAWJWIVGZVHWNXFAWMWNAXGVIWNSVJAVKVLWPAWJIZAWIIZPWTAWJWIVMXHWTXI
    XHTDZHGZWJWSAXKTHGZDZWJTREXKXMIVNTVOQXLWIVPVQVRXHWRXJHXHWRWJFGZXJAWJFVSXNWI
    FGZDZXJWIREXNXPIWIMVTWIWAQXOTWBVQVRWCWDXHSWEXIXLWIWSAVPXIWRTHXIWRXOTAWIFVSW
    BWCWDXISWEWFWHWFWG $.

  $( Relationship between sine and arcsine.  (Contributed by Mario Carneiro,
     2-Apr-2015.) $)
  asinsinb $p |- ( ( A e. CC /\ B e. CC /\
    ( Re ` B ) e. ( -u ( _pi / 2 ) (,) ( _pi / 2 ) ) ) ->
    ( ( arcsin ` A ) = B <-> ( sin ` B ) = A ) ) $=
    ( cc wcel cre cfv cpi c2 cdiv co cneg cioo casin wceq csin sinasin 3ad2ant1
    w3a fveqeq2 syl5ibcom asinsin 3adant1 impbid ) ACDZBCDZBEFGHIJZKUFLJDZRZAMF
    ZBNZBOFZANZUHUIOFANZUJULUDUEUMUGAPQUIBAOSTUHUKMFBNZULUJUEUGUNUDBUAUBUKABMST
    UC $.

  $( Relationship between cosine and arccosine.  (Contributed by Mario
     Carneiro, 2-Apr-2015.) $)
  acoscosb $p |- ( ( A e. CC /\ B e. CC /\ ( Re ` B ) e. ( 0 (,) _pi ) ) ->
    ( ( arccos ` A ) = B <-> ( cos ` B ) = A ) ) $=
    ( cc wcel cre cfv cc0 cpi cioo w3a cacos wceq ccos cosacos 3ad2ant1 fveqeq2
    co syl5ibcom acoscos 3adant1 impbid ) ACDZBCDZBEFGHIQDZJZAKFZBLZBMFZALZUEUF
    MFALZUGUIUBUCUJUDANOUFBAMPRUEUHKFBLZUIUGUCUDUKUBBSTUHABKPRUA $.

  $( The arcsine function has range within a vertical strip of the complex
     plane with real part between ` -u _pi / 2 ` and ` _pi / 2 ` .
     (Contributed by Mario Carneiro, 2-Apr-2015.) $)
  asinbnd $p |- ( A e. CC ->
    ( Re ` ( arcsin ` A ) ) e. ( -u ( _pi / 2 ) [,] ( _pi / 2 ) ) ) $=
    ( cc wcel casin cfv cre ci cmul co c1 c2 cexp cmin csqrt caddc clog cim cpi
    cneg cc0 cdiv cicc asinval fveq2d wceq ax-icn mulcl mpan sqcl subcl sylancr
    ax-1cn sqrtcld addcld asinlem logcld imre syl wne cle wbr asinlem3 argrege0
    eqtr4d syl3anc eqeltrd ) ABCZADEZFEZGAHIZJAKLIZMIZNEZOIZPEZQEZRKUAIZSVQUBIZ
    VGVIGSVOHIZFEZVPVGVHVSFAUCUDVGVOBCVPVTUEVGVNVGVJVMGBCVGVJBCUFGAUGUHVGVLVGJB
    CVKBCVLBCULAUIJVKUJUKUMUNZAUOZUPVOUQURVDVGVNBCVNTUSTVNFEUTVAVPVRCWAWBAVBVNV
    CVEVF $.

  $( The arccosine function has range within a vertical strip of the complex
     plane with real part between ` 0 ` and ` _pi ` .  (Contributed by Mario
     Carneiro, 2-Apr-2015.) $)
  acosbnd $p |- ( A e. CC -> ( Re ` ( arccos ` A ) ) e. ( 0 [,] _pi ) ) $=
    ( cc wcel cfv cre cpi cmin cc0 cicc wceq halfpire recni sylancr neghalfpire
    co cr cle wbr elicc2i pire cacos c2 casin acosval fveq2d asincl resub ax-mp
    cdiv rere oveq1i eqtrdi eqtrd recld resubcl w3a asinbnd sylib simp3d subge0
    cneg wb mpbird a1i caddc negsubi pidiv2halves subaddrii eqtri simp2d subled
    eqbrtrid 0re syl3anbrc eqeltrd ) ABCZAUADZEDZFUBUIOZAUCDZEDZGOZHFIOZVPVRVSV
    TGOZEDZWBVPVQWDEAUDUEVPWEVSEDZWAGOZWBVPVSBCVTBCWEWGJVSKLZAUFZVSVTUGMWFVSWAG
    VSPCZWFVSJKVSUJUHUKULUMVPWBPCZHWBQRZWBFQRWBWCCVPWJWAPCZWKKVPVTWIUNZVSWAUOMV
    PWLWAVSQRZVPWMVSVAZWAQRZWOVPWAWPVSIOCWMWQWOUPAUQWPVSWANKSURZUSVPWJWMWLWOVBK
    WNVSWAUTMVCVPVSFWAWJVPKVDFPCVPTVDWNVPVSFGOWPWAQVSFWPWHFTLZWPNLFWPVEOFVSGOVS
    FVSWSWHVFFVSVSWSWHWHVGVHVIVHVPWMWQWOWRVJVLVKHFWBVMTSVNVO $.

  $( Bounds on the arcsine function.  (Contributed by Mario Carneiro,
     2-Apr-2015.) $)
  asinrebnd $p |- ( A e. ( -u 1 [,] 1 ) ->
    ( arcsin ` A ) e. ( -u ( _pi / 2 ) [,] ( _pi / 2 ) ) ) $=
    ( c1 cneg cicc co wcel casin cfv csin cpi c2 cdiv cres ccnv resinf1o f1ocnv
    wf1o wf wceq eqtr3d f1of mp2b ffvelrni fvresd f1ocnvfv2 mpan fveq2d eqeltrd
    reasinsin syl ) ABCBDEZFZAGHZAIJKLEZCUNDEZMZNZHZUOULURIHZGHZUMURULUSAGULURU
    PHZUSAULURUOIUKUOAUQUOUKUPQZUKUOUQQUKUOUQROUOUKUPPUKUOUQUAUBUCZUDVBULVAASOU
    OUKAUPUEUFTUGULURUOFUTURSVCURUIUJTVCUH $.

  $( The arcsine function is real in its principal domain.  (Contributed by
     Mario Carneiro, 2-Apr-2015.) $)
  asinrecl $p |- ( A e. ( -u 1 [,] 1 ) -> ( arcsin ` A ) e. RR ) $=
    ( c1 cneg cicc co wcel cpi c2 cdiv cr casin cfv wss halfpire renegcli mp2an
    iccssre asinrebnd sselid ) ABCBDEFGHIEZCZTDEZJAKLUAJFTJFUBJMTNONUATQPARS $.

  $( The arccosine function is real in its principal domain.  (Contributed by
     Mario Carneiro, 2-Apr-2015.) $)
  acosrecl $p |- ( A e. ( -u 1 [,] 1 ) -> ( arccos ` A ) e. RR ) $=
    ( c1 cneg cicc co wcel cacos cfv cpi c2 cdiv casin cmin wceq wss neg1rr 1re
    cr cc iccssre mp2an sseli acosval halfpire asinrecl resubcl sylancr eqeltrd
    recnd syl ) ABCZBDEZFZAGHZIJKEZALHZMEZRUMASFUNUQNUMAULRAUKRFBRFULROPQUKBTUA
    UBUIAUCUJUMUORFUPRFUQRFUDAUEUOUPUFUGUH $.

  $( The cosine of the arcsine of ` A ` is ` sqrt ( 1 - A ^ 2 ) ` .
     (Contributed by Mario Carneiro, 2-Apr-2015.) $)
  cosasin $p |- ( A e. CC ->
    ( cos ` ( arcsin ` A ) ) = ( sqrt ` ( 1 - ( A ^ 2 ) ) ) ) $=
    ( cc wcel casin cfv ci cmul co ce cneg caddc c2 cdiv cexp cmin csqrt ax-icn
    c1 wceq 3eqtrd ccos asincl cosval syl sqcl subcl sylancr sqrtcld mulcl mpan
    ax-1cn ppncand efiasin comraddd mulneg12 asinneg oveq2d eqtr4d fveq2d negcl
    mulneg2 sqneg oveq12d negcld addcomd negsubd 2timesd 3eqtr4d oveq1d cc0 wne
    2cnd 2ne0 a1i divcan3d ) ABCZADEZUAEZFVQGHIEZFJVQGHZIEZKHZLMHZLRALNHZOHZPEZ
    GHZLMHWFVPVQBCZVRWCSAUBZVQUCUDVPWBWGLMVPWFFAGHZKHZWFWJOHZKHWFWFKHWBWGVPWFWJ
    WFVPWEVPRBCWDBCWEBCUKAUERWDUFUGUHZFBCZVPWJBCQFAUIUJZWMULVPVSWKWAWLKVPVSWJWF
    WOWMAUMUNVPWAWJJZWFKHZWFWPKHWLVPWAFAJZDEZGHZIEZFWRGHZRWRLNHZOHZPEZKHZWQVPVT
    WTIVPVTFVQJZGHZWTVPWNWHVTXHSQWIFVQUOUGVPWSXGFGAUPUQURUSVPWRBCXAXFSAUTWRUMUD
    VPXBWPXEWFKWNVPXBWPSQFAVAUJVPXDWEPVPXCWDROAVBUQUSVCTVPWPWFVPWJWOVDWMVEVPWFW
    JWMWOVFTVCVPWFWMVGVHVIVPWFLWMVPVLLVJVKVPVMVNVOT $.

  $( The sine of the arccosine of ` A ` is ` sqrt ( 1 - A ^ 2 ) ` .
     (Contributed by Mario Carneiro, 2-Apr-2015.) $)
  sinacos $p |- ( A e. CC ->
    ( sin ` ( arccos ` A ) ) = ( sqrt ` ( 1 - ( A ^ 2 ) ) ) ) $=
    ( cc wcel cpi c2 cdiv co cacos cfv cmin ccos casin csin cexp acosval oveq2d
    c1 csqrt wceq picn halfcl ax-mp asincl nncan eqtrd fveq2d acoscl coshalfpim
    sylancr syl cosasin 3eqtr3d ) ABCZDEFGZAHIZJGZKIZALIZKIUOMIZQAENGJGRIUMUPUR
    KUMUPUNUNURJGZJGZURUMUOUTUNJAOPUMUNBCZURBCVAURSDBCVBTDUAUBAUCUNURUDUIUEUFUM
    UOBCUQUSSAUGUOUHUJAUKUL $.

  $( The domain of the arctangent function is closed under negatives.
     (Contributed by Mario Carneiro, 3-Apr-2015.) $)
  atandmneg $p |- ( A e. dom arctan -> -u A e. dom arctan ) $=
    ( catan cdm wcel cneg cc c2 cexp co c1 wne atandm3 simplbi negcld sqneg syl
    wceq simprbi eqnetrd sylanbrc ) ABCZDZAEZFDUCGHIZJEZKUCUADUBAUBAFDZAGHIZUEK
    ZALZMZNUBUDUGUEUBUFUDUGQUJAOPUBUFUHUIRSUCLT $.

  $( The arctangent function is odd.  (Contributed by Mario Carneiro,
     3-Apr-2015.) $)
  atanneg $p |- ( A e. dom arctan -> ( arctan ` -u A ) = -u ( arctan ` A ) ) $=
    ( catan wcel ci co c1 cneg cmul cmin clog cfv caddc wceq ax-icn cc0 sylancr
    cc oveq2d ax-1cn eqtrd cdm c2 cdiv wne atandm2 simp1bi mulneg2 mulcl subneg
    fveq2d negsub oveq12d subcl simp2bi logcld simp3bi negsubdi2d eqtr4d halfcl
    addcl ax-mp subcld atandmneg atanval syl negeqd 3eqtr4d ) ABUAZCZDUBUCEZFDA
    GZHEZIEZJKZFVLLEZJKZIEZHEZVJFDAHEZIEZJKZFVSLEZJKZIEZHEZGZVKBKZABKZGVIVRVJWD
    GZHEZWFVIVQWIVJHVIVQWCWAIEWIVIVNWCVPWAIVIVMWBJVIVMFVSGZIEZWBVIVLWKFIVIDQCZA
    QCZVLWKMNVIWNVTOUDZWBOUDZAUEZUFZDAUGPZRVIFQCZVSQCZWLWBMSVIWMWNXANWRDAUHPZFV
    SUIPTUJVIVOVTJVIVOFWKLEZVTVIVLWKFLWSRVIWTXAXCVTMSXBFVSUKPTUJULVIWAWCVIVTVIW
    TXAVTQCSXBFVSUMPVIWNWOWPWQUNUOZVIWBVIWTXAWBQCSXBFVSUTPVIWNWOWPWQUPUOZUQURRV
    IVJQCZWDQCWJWFMWMXFNDUSVAVIWAWCXDXEVBVJWDUGPTVIVKVHCWGVRMAVCVKVDVEVIWHWEAVD
    VFVG $.

  $( The arctangent of zero is zero.  (Contributed by Mario Carneiro,
     31-Mar-2015.) $)
  atan0 $p |- ( arctan ` 0 ) = 0 $=
    ( cc0 catan cfv cneg wceq neg0 fveq2i cr wcel cdm 0re atanre atanneg eqtr3i
    mp2b cc atancl eqnegi mpbi ) ABCZTDZETAEADZBCZTUAUBABFGAHIZABJIZUCUAEKALZAM
    ONTUDUETPIKUFAQORS $.

  $( The arctangent function distributes under conjugation.  (Contributed by
     Mario Carneiro, 31-Mar-2015.) $)
  atandmcj $p |- ( A e. dom arctan -> ( * ` A ) e. dom arctan ) $=
    ( catan cdm wcel ccj cfv cc c2 cexp co c1 cneg wne atandm3 simplbi cn0 wceq
    cjcld 2nn0 cjexp sylancl sqcld cjcjd simprbi eqnetrd fveq2 cr neg1rr eqtrdi
    cjre ax-mp necon3i syl eqnetrrd sylanbrc ) ABCZDZAEFZGDURHIJZKLZMURUPDUQAUQ
    AGDZAHIJZUTMZANZOZRUQVBEFZUSUTUQVAHPDVFUSQVESAHTUAUQVFEFZUTMVFUTMUQVGVBUTUQ
    VBUQAVEUBUCUQVAVCVDUDUEVFUTVGUTVFUTQVGUTEFZUTVFUTEUFUTUGDVHUTQUHUTUJUKUIULU
    MUNURNUO $.

  $( The arctangent function distributes under conjugation.  (The condition
     that ` Re ( A ) =/= 0 ` is necessary because the branch cuts are chosen so
     that the negative imaginary line "agrees with" neighboring values with
     negative real part, while the positive imaginary line agrees with values
     with positive real part.  This makes ~ atanneg true unconditionally but
     messes up conjugation symmetry, and it is impossible to have both in a
     single-valued function.  The claim is true on the imaginary line between
     ` -u 1 ` and ` 1 ` , though.)  (Contributed by Mario Carneiro,
     31-Mar-2015.) $)
  atancj $p |- ( ( A e. CC /\ ( Re ` A ) =/= 0 ) -> ( A e. dom arctan /\
    ( * ` ( arctan ` A ) ) = ( arctan ` ( * ` A ) ) ) ) $=
    ( cc wcel cfv cc0 wne ccj wceq ci cneg ax-icn c2 co c1 cmul cmin clog caddc
    ax-1cn sylancr cre wa catan cdm simpl simpr fveq2 renegi negeqi neg0 3eqtri
    rei eqtrdi necon3i syl atandm syl3anbrc cdiv halfcl ax-mp mulcl w3a atandm2
    subcl sylib simp2d logcld addcl simp3d subcld cjmul 2cn cjdivi divneg mp3an
    2ne0 cji 2re cjre oveq12i eqtr4i oveq1i cjcld mulneg12 syl5eq cjsub syl2anc
    cim imsub reim adantr oveq2d eqtr4d df-neg im1 eqtr4di recl negne0d eqnetrd
    recnd logcj 1re mp1i cjcl mulneg1 eqtrd oveq12d subneg 3eqtrd fveq2d eqtr3d
    cr imadd addid2d 3eqtr2d negsub atandmcj simp3bi simp2bi negsubdi2d atanval
    cjadd negeqd 3eqtr4d jca ) ABCZAUADZEFZUBZAUCUDZCZAUCDZGDZAGDZUCDZHYIYFAIJZ
    FZAIFZYKYFYHUEZYIYHYQYFYHUFZAYPYGEAYPHYGYPUADZEAYPUAUGUUAIUADZJEJEIKUHUUBEU
    LUIUJUKUMUNUOYIYHYRYTAIYGEAIHYGUUBEAIUAUGULUMUNUOAUPUQZYIILURMZNIAOMZPMZQDZ
    NUUERMZQDZPMZOMZGDZUUDNIYNOMZPMZQDZNUUMRMZQDZPMZOMZYMYOYIUULUUDGDZUUJGDZOMZ
    UUDUVAJZOMZUUSYIUUDBCZUUJBCUULUVBHIBCZUVEKIUSUTZYIUUGUUIYIUUFYINBCZUUEBCZUU
    FBCZSYIUVFYFUVIKYSIAVATZNUUEVDTZYIYFUUFEFZUUHEFZYIYKYFUVMUVNVBUUCAVCVEZVFVG
    ZYIUUHYIUVHUVIUUHBCZSUVKNUUEVHTZYIYFUVMUVNUVOVIVGZVJZUUDUUJVKTYIUVBUUDJZUVA
    OMZUVDUUTUWAUVAOUUTIGDZLGDZURMZUWALEFZUUTUWEHVPILKVLVMUTUWAYPLURMZUWEUVFLBC
    UWFUWAUWGHKVLVPILVNVOUWCYPUWDLURVQLXLCUWDLHVRLVSUTVTWAWAWBYIUVEUVABCUWBUVDH
    UVGYIUUJUVTWCUUDUVAWDTWEYIUVCUURUUDOYIUVCUUQUUOPMZJUURYIUVAUWHYIUVAUUGGDZUU
    IGDZPMZUWHYIUUGBCUUIBCUVAUWKHUVPUVSUUGUUIWFWGYIUWIUUQUWJUUOPYIUUFGDZQDZUWIU
    UQYIUVJUUFWHDZEFUWMUWIHUVLYIUWNYGJZEYIUWNNWHDZYGPMZUWOYIUWNUWPUUEWHDZPMZUWQ
    YIUVHUVIUWNUWSHSUVKNUUEWITYIYGUWRUWPPYFYGUWRHYHAWJWKZWLWMUWOEYGPMUWQYGWNUWP
    EYGPWOWBWAWPYIYGYIYGYFYGXLCYHAWQWKWTZYTWRWSUUFXAWGYIUWLUUPQYIUWLNGDZUUEGDZP
    MZNUUMJZPMZUUPYIUVHUVIUWLUXDHSUVKNUUEWFTYIUXBNUXCUXEPNXLCUXBNHYIXBNVSXCZYIU
    XCUWCYNOMZUXEYIUVFYFUXCUXHHKYSIAVKTYIUXHYPYNOMZUXEUWCYPYNOVQWBYIUVFYNBCZUXI
    UXEHKYFUXJYHAXDWKZIYNXETWEXFZXGYIUVHUUMBCZUXFUUPHSYIUVFUXJUXMKUXKIYNVATZNUU
    MXHTXIXJXKYIUUHGDZQDZUWJUUOYIUVQUUHWHDZEFUXPUWJHUVRYIUXQYGEYIUXQUWPUWRRMZEY
    GRMZYGYIUVHUVIUXQUXRHSUVKNUUEXMTYIUXSEUWRRMUXRYIYGUWRERUWTWLUWPEUWRRWOWBWPY
    IYGUXAXNXOYTWSUUHXAWGYIUXOUUNQYIUXOUXBUXCRMZNUXERMZUUNYIUVHUVIUXOUXTHSUVKNU
    UEYBTYIUXBNUXCUXERUXGUXLXGYIUVHUXMUYAUUNHSUXNNUUMXPTXIXJXKXGXFYCYIUUQUUOYIU
    UPYIUVHUXMUUPBCSUXNNUUMVHTYIYNYJCZUUPEFZYIYKUYBUUCAXQUOZUYBUXJUUNEFZUYCYNVC
    ZXRUOVGYIUUNYIUVHUXMUUNBCSUXNNUUMVDTYIUYBUYEUYDUYBUXJUYEUYCUYFXSUOVGXTXFWLX
    IYIYLUUKGYIYKYLUUKHUUCAYAUOXJYIUYBYOUUSHUYDYNYAUOYDYE $.

  $( The arctangent function is real for all real inputs.  (Contributed by
     Mario Carneiro, 31-Mar-2015.) $)
  atanrecl $p |- ( A e. RR -> ( arctan ` A ) e. RR ) $=
    ( cr wcel catan cfv cc0 wceq wa simpr fveq2d atan0 0re eqeltri eqeltrdi wne
    cdm cc atanre adantr ccj atancl syl simpl recnd rere eqnetrd atancj syl2anc
    cre simprd cjre eqtrd cjrebd pm2.61dane ) ABCZADEZBCAFUOAFGZHZUPFDEZBURAFDU
    OUQIJUSFBKLMNUOAFOZHZUPVAADPCZUPQCUOVBUTARSAUAUBVAUPTEZATEZDEZUPVAVBVCVEGZV
    AAQCAUIEZFOVBVFHVAAUOUTUCUDVAVGAFUOVGAGUTAUESUOUTIUFAUGUHUJVAVDADUOVDAGUTAU
    KSJULUMUN $.

  $( Value of the exponential of an artcangent.  (Contributed by Mario
     Carneiro, 2-Apr-2015.) $)
  efiatan $p |- ( A e. dom arctan ->
    ( exp ` ( _i x. ( arctan ` A ) ) ) =
    ( ( sqrt ` ( 1 + ( _i x. A ) ) ) / ( sqrt ` ( 1 - ( _i x. A ) ) ) ) ) $=
    ( wcel ci cfv cmul co ce c1 c2 cdiv cmin cc ax-icn ax-1cn cc0 mulcl sylancr
    wne wceq halfcn catan cdm caddc clog atanval oveq2d a1i halfcl mp1i atandm2
    csqrt simp1bi subcl simp2bi logcld addcl simp3bi subcld mulassd cneg divneg
    2cn 2ne0 mp3an ixi oveq1i divassi 3eqtr2i mulneg12 negsubdi2d subdid 3eqtrd
    eqtr3id 3eqtr2d fveq2d efsub syl2anc ccxp cxpefd cxpsqrt syl eqtr3d oveq12d
    ) AUAUBBZCAUADZEFZGDHIJFZHCAEFZUCFZUDDZEFZWGHWHKFZUDDZEFZKFZGDZWKGDZWNGDZJF
    ZWIUKDZWLUKDZJFWDWFWOGWDWFCCIJFZWMWJKFZEFZEFCXBEFZXCEFZWOWDWEXDCEAUEUFWDCXB
    XCCLBZWDMUGXGXBLBWDMCUHUIWDWMWJWDWLWDHLBZWHLBZWLLBZNWDXGALBZXIMWDXKWLORZWIO
    RZAUJZULCAPQZHWHUMQZWDXKXLXMXNUNZUOZWDWIWDXHXIWILBZNXOHWHUPQZWDXKXLXMXNUQZU
    OZURZUSWDXFWGUTZXCEFZWOYDXEXCEYDHUTZIJFZCCEFZIJFXEXHILBIORYDYGSNVBVCHIVAVDY
    HYFIJVEVFCCIMMVBVCVGVHVFWDYEWGXCUTZEFZWGWJWMKFZEFWOWDWGLBZXCLBYEYJSTYCWGXCV
    IQWDYIYKWGEWDWMWJXRYBVJUFWDWGWJWMYLWDTUGZYBXRVKVLVMVNVOWDWKLBZWNLBZWPWSSWDY
    LWJLBYNTYBWGWJPQWDYLWMLBYOTXRWGWMPQWKWNVPVQWDWQWTWRXAJWDWIWGVRFZWQWTWDWIWGX
    TYAYMVSWDXSYPWTSXTWIVTWAWBWDWLWGVRFZWRXAWDWLWGXPXQYMVSWDXJYQXASXPWLVTWAWBWC
    VL $.

  $( Lemma for ~ atanlogadd .  (Contributed by Mario Carneiro, 3-Apr-2015.) $)
  atanlogaddlem $p |- ( ( A e. dom arctan /\ 0 <_ ( Re ` A ) ) ->
    ( ( log ` ( 1 + ( _i x. A ) ) ) +
      ( log ` ( 1 - ( _i x. A ) ) ) ) e. ran log ) $=
    ( wcel cc0 cfv cle wbr clt wceq c1 co caddc cr cc sylancr wa cpi cim adantr
    cmin syl2anc catan cdm cre wo ci cmul clog crn wb 0re atandm2 simp1bi recld
    wne leloe biimpa cneg ax-1cn ax-icn mulcl addcl simp3bi logcld subcl addcld
    simp2bi pire renegcli a1i imcld readdcld cioo im1 oveq1i df-neg eqtr4i reim
    imsub negeqd 3eqtr4a lt0neg2d eqbrtrd argimlt0 eliooord simpld simpr oveq2d
    imadd recnd addid2d syl5eq 3eqtr2d breqtrrd argimgt0 ltaddpos2d mpbid lttrd
    imaddd 0red simprd ltadd2dd addid1d breqtrd ltled ellogrn syl3anbrc reim0bd
    syl eqtr2d addcomd ad2antrr logrncl readdcl 1red 0lt1 addge01 ltletrd elrpd
    1re relogcld logrnaddcl eqeltrd resubcl 1m0e1 lesub2d lecasei jaodan syldan
    eqbrtrrid ) AUAUBBZCAUCDZEFZCYKGFZCYKHZUDZIUEAUFJZKJZUGDZIYPSJZUGDZKJZUGUHZ
    BZYJYLYOYJCLBYKLBYLYOUIUJYJAYJAMBZYSCUNZYQCUNZAUKZULZUMZCYKUONUPYJYMUUCYNYJ
    YMOZUUAMBZPUQZUUAQDZGFUUMPEFUUCYJUUKYMYJYRYTYJYQYJIMBZYPMBZYQMBZURYJUEMBUUD
    UUOUSUUHUEAUTNZIYPVANZYJUUDUUEUUFUUGVBZVCZYJYSYJUUNUUOYSMBZURUUQIYPVDNZYJUU
    DUUEUUFUUGVFZVCZVERUUJUULYRQDZYTQDZKJZUUMGUUJUULUVFUVGUULLBUUJPVGVHVIUUJYTY
    JYTMBYMUVDRZVJZUUJUVEUVFUUJYRYJYRMBYMUUTRZVJZUVIVKZUUJUULUVFGFZUVFCGFZUUJUV
    FUULCVLJBZUVMUVNOUUJUVAYSQDZCGFUVOYJUVAYMUVBRUUJUVPYKUQZCGUUJIQDZYPQDZSJZUV
    SUQZUVPUVQUVTCUVSSJUWAUVRCUVSSVMVNUVSVOVPUUJUUNUUOUVPUVTHURYJUUOYMUUQRZIYPV
    RNUUJYKUVSUUJUUDYKUVSHZYJUUDYMUUHRZAVQZXHZVSVTYJYMUVQCGFYJYKUUIWAUPWBYSWCTU
    VFUULCWDXHZWEUUJCUVEGFZUVFUVGGFUUJUWHUVEPGFZUUJUVECPVLJBZUWHUWIOUUJUUPCYQQD
    ZGFUWJYJUUPYMUURRUUJCYKUWKGYJYMWFUUJUWKUVRUVSKJZUVRYKKJZYKUUJUUNUUOUWKUWLHU
    RUWBIYPWHNUUJYKUVSUVRKUWFWGUUJUWMCYKKJYKUVRCYKKVMVNUUJYKUUJYKUUJAUWDUMWIWJW
    KWLWMYQWNTUVECPWDXHZWEUUJUVEUVFUVKUVIWOWPWQUUJYRYTUVJUVHWRZWMUUJUUMUVGPEUWO
    UUJUVGPUVLPLBUUJVGVIZUUJUVGUVEPUVLUVKUWPUUJUVGUVECKJUVEGUUJUVFCUVEUVIUUJWSU
    VKUUJUVMUVNUWGWTXAUUJUVEUUJUVEUVKWIXBXCUUJUWHUWIUWNWTWQXDWBUUAXEXFYJYNOZUUC
    CYPUWQWSZUWQYPYJUUOYNUUQRUWQCYKUVSYJYNWFUWQUUDUWCYJUUDYNUUHRUWEXHXIXGZUWQCY
    PEFZOZUUAYTYRKJZUUBYJUUAUXBHYNUWTYJYRYTUUTUVDXJXKUXAYTUUBBZYRLBUXBUUBBYJUXC
    YNUWTYJUVAUUEUXCUVBUVCYSXLTXKUXAYQUXAYQUXAILBZYPLBZYQLBXSUWQUXEUWTUWSRIYPXM
    NZUXACIYQUXAWSUXAXNUXFCIGFZUXAXOVIUWQUWTIYQEFZUWQUXDUXEUWTUXHUIXSUWSIYPXPNU
    PXQXRXTYTYRYATYBUWQYPCEFZOZYRUUBBZYTLBUUCYJUXKYNUXIYJUUPUUFUXKUURUUSYQXLTXK
    UXJYSUXJYSUXJUXDUXEYSLBXSUWQUXEUXIUWSRIYPYCNZUXJCIYSUXJWSUXJXNUXLUXGUXJXOVI
    UXJIICSJZYSEYDUWQUXIUXMYSEFUWQYPCIUWSUWRUWQXNYEUPYIXQXRXTYRYTYATYFYGYH $.

  $( The rule ` sqrt ( z w ) = ( sqrt z ) ( sqrt w ) ` is not always true on
     the complex numbers, but it is true when the arguments of ` z ` and ` w `
     sum to within the interval ` ( -u _pi , _pi ] ` , so there are some cases
     such as this one with ` z = 1 + _i A ` and ` w = 1 - _i A ` which are true
     unconditionally.  This result can also be stated
     as " ` sqrt ( 1 + z ) + sqrt ( 1 - z ) ` is analytic".  (Contributed by
     Mario Carneiro, 3-Apr-2015.) $)
  atanlogadd $p |- ( A e. dom arctan ->
    ( ( log ` ( 1 + ( _i x. A ) ) ) +
      ( log ` ( 1 - ( _i x. A ) ) ) ) e. ran log ) $=
    ( wcel c1 ci cmul co caddc clog cfv cmin cc0 cre cc wne cle wbr cneg ax-1cn
    wceq sylancr catan cdm crn atandm2 simp1bi recld atanlogaddlem ax-icn mulcl
    0red addcl simp3bi logcld subcl simp2bi addcomd mulneg2 oveq2d negsub eqtrd
    wa fveq2d subneg oveq12d eqtr4d adantr atandmneg le0neg1d breqtrrd syl2an2r
    biimpa renegd eqeltrd lecasei ) AUAUBZBZCDAEFZGFZHIZCVQJFZHIZGFZHUCZBKALIZV
    PUJVPAVPAMBZVTKNZVRKNZAUDZUEZUFZAUGVPWDKOPZVAZWBCDAQZEFZGFZHIZCWNJFZHIZGFZW
    CVPWBWSSWKVPWBWAVSGFWSVPVSWAVPVRVPCMBZVQMBZVRMBRVPDMBZWEXAUHWIDAUITZCVQUKTV
    PWEWFWGWHULUMVPVTVPWTXAVTMBRXCCVQUNTVPWEWFWGWHUOUMUPVPWPWAWRVSGVPWOVTHVPWOC
    VQQZGFZVTVPWNXDCGVPXBWEWNXDSUHWIDAUQTZURVPWTXAXEVTSRXCCVQUSTUTVBVPWQVRHVPWQ
    CXDJFZVRVPWNXDCJXFURVPWTXAXGVRSRXCCVQVCTUTVBVDVEVFVPWMVOBWKKWMLIZOPWSWCBAVG
    WLKWDQZXHOVPWKKXIOPVPWDWJVHVKVPXHXISWKVPAWIVLVFVIWMUGVJVMVN $.

  $( Lemma for ~ atanlogsub .  (Contributed by Mario Carneiro, 4-Apr-2015.) $)
  atanlogsublem $p |- ( ( A e. dom arctan /\ 0 < ( Re ` A ) ) ->
    ( Im ` ( ( log ` ( 1 + ( _i x. A ) ) ) -
             ( log ` ( 1 - ( _i x. A ) ) ) ) ) e. ( -u _pi (,) _pi ) ) $=
    ( wcel cc0 cre cfv clt wbr c1 ci co caddc clog cmin cim cpi cc wceq sylancl
    ax-icn cr catan cdm wa cmul cneg cioo c2 ax-1cn wne w3a simpl atandm2 sylib
    simp1d mulcl sylancr addcl simp3d logcld subcl simp2d imsubd a1i subdid ixi
    oveq2i subneg syl5eq addcom 3eqtrd fveq2d cle resub rei recld recnd subid1d
    cdiv eqtrd gt0ne0 sylancom eqnetrd fveq2 re0 eqtrdi necon3i syl wi 0re ltle
    simpr mpd breqtrrd logimul syl3anc eqtr3d halfpire recni mulcli imadd ax-mp
    reim rere eqtr3i readd addid1d logneg2 syl2anc adddid negsub negsubdi2 picn
    negeqd oveq1d assraddsubd 3eqtr3d subcli imsub mp2an oveq12i negcli negsubi
    pire pidiv2halves subaddrii eqtri oveq12d imcld logimcld wb mpbid ltsubaddd
    ctan imi 3brtr4d tanarg argregt0 mpbird cxr rexri addsub4d subnegi resubcld
    3eqtri readdcl renegcli renegcld simpld leneg ltleaddd negsubd breqtrd 0red
    simprd eqbrtrrid peano2rem peano2re ltm1d ltp1d lttrd ltdiv1 tanord addid2d
    syl112anc ltadd1dd addid2i breqtrdi elioo2 syl3anbrc eqeltrd ) AUAUBBZCADEZ
    FGZUCZHIAUDJZKJZLEZHUVOMJZLEZMJNEZAIMJZLEZNEZAIKJZLEZNEZMJZOKJZOUEZOUFJZUVN
    UVTUVQNEZUVSNEZMJUWCOUGVRJZKJZUWFUWMUEZKJZMJZUWHUVNUVQUVSUVNUVPUVNHPBZUVOPB
    ZUVPPBUHUVNIPBZAPBZUWSSUVNUXAUVRCUIZUVPCUIZUVNUVKUXAUXBUXCUJUVKUVMUKAULUMZU
    NZIAUOUPZHUVOUQUPUVNUXAUXBUXCUXDURUSUVNUVRUVNUWRUWSUVRPBUHUXFHUVOUTUPUVNUXA
    UXBUXCUXDVAUSVBUVNUWKUWNUWLUWPMUVNUWKUWBIUWMUDJZKJZNEZUWNUVNUVQUXHNUVNIUWAU
    DJZLEZUVQUXHUVNUXJUVPLUVNUXJUVOIIUDJZMJZUVOHKJZUVPUVNIAIUWTUVNSVCZUXEUXOVDU
    VNUXMUVOHUEZMJZUXNUXLUXPUVOMVEVFUVNUWSUWRUXQUXNQUXFUHUVOHVGRVHUVNUWSUWRUXNU
    VPQUXFUHUVOHVIRVJVKUVNUWAPBZUWACUIZCUWADEZVLGUXKUXHQUVNUXAUWTUXRUXESAIUTRZU
    VNUXTCUIZUXSUVNUXTUVLCUVNUXTUVLIDEZMJZUVLUVNUXAUWTUXTUYDQUXESAIVMRUVNUYDUVL
    CMJUVLUYCCUVLMVNVFUVNUVLUVNUVLUVNAUXEVOZVPZVQVHVSZUVKUVMUVLTBZUVLCUIUYEUVLV
    TWAZWBZUWACUXTCUWACQUXTCDEZCUWACDWCWDWEWFWGZUVNCUVLUXTVLUVNUVMCUVLVLGZUVKUV
    MWKZUVNCTBUYHUVMUYMWHWIUYECUVLWJUPWLZUYGWMUWAWNWOWPVKUVNUXIUWCUXGNEZKJZUWNU
    VNUWBPBUXGPBZUXIUYQQUVNUWAUYAUYLUSZIUWMSUWMWQWRZWSZUWBUXGWTRUYPUWMUWCKUWMDE
    ZUYPUWMUWMPBZVUBUYPQUYTUWMXBXAUWMTBVUBUWMQWQUWMXCXAXDZVFWEVSUVNUWLUWEUXGIOU
    DJZMJZKJZNEZUWPUVNUVSVUGNUVNIUWDUDJZUEZLEZVUILEZVUEMJZUVSVUGUVNVUIPBZCVUINE
    ZFGVUKVUMQUVNUWTUWDPBZVUNSUVNUXAUWTVUPUXESAIUQRZIUWDUOUPUVNCUVLVUOFUYNUVNUW
    DDEZVUOUVLUVNVUPVURVUOQVUQUWDXBWGUVNVURUVLUYCKJZUVLUVNUXAUWTVURVUSQUXESAIXE
    RUVNVUSUVLCKJUVLUYCCUVLKVNVFUVNUVLUYFXFVHVSZWPWMVUIXGXHUVNVUJUVRLUVNVUJUVOH
    MJZUEZUVRUVNVUIVVAUVNVUIUVOUXLKJZVVAUVNIAIUXOUXEUXOXIUVNVVCUVOUXPKJZVVAUXLU
    XPUVOKVEVFUVNUWSUWRVVDVVAQUXFUHUVOHXJRVHVSXMUVNUWSUWRVVBUVRQUXFUHUVOHXKRVSV
    KUVNVUMUWEUXGVUEUVNUWDVUQUVNVURCUIZUWDCUIZUVNVURUVLCVUTUYIWBZUWDCVURCUWDCQV
    URUYKCUWDCDWCWDWEWFWGZUSZUYRUVNVUAVCVUEPBZUVNIOSXLWSZVCUVNVULUWEUXGKJZVUEMU
    VNVUPVVFCVURVLGVULVVLQVUQVVHUVNCUVLVURVLUYOVUTWMUWDWNWOXNXOXPVKUVNVUHUWFVUF
    NEZKJZUWPUVNUWEPBVUFPBVUHVVNQVVIUXGVUEVUAVVKXQUWEVUFWTRVVMUWOUWFKVVMUYPVUEN
    EZMJZUWMOMJUWOUYRVVJVVMVVPQVUAVVKUXGVUEXRXSUYPUWMVVOOMVUDODEZVVOOOPBVVQVVOQ
    XLOXBXAOTBZVVQOQYCOXCXAXDXTUWMOUWOUYTXLUWMUYTYAZOUWOKJOUWMMJUWMOUWMXLUYTYBO
    UWMUWMXLUYTUYTYDYEYFYEUUDVFWEVSYGUVNUWQUWGUWMUWOMJZKJUWHUVNUWCUWMUWFUWOUVNU
    WCUVNUWBUYSYHZVPZVUCUVNUYTVCUVNUWFUVNUWEVVIYHZVPZUWOPBUVNVVSVCUUAVVTOUWGKVV
    TUWMUWMKJOUWMUWMUYTUYTUUBYDYFVFWEVJUVNUWHTBZUWIUWHFGZUWHOFGZUWHUWJBZUVNUWGT
    BVVRVWEUVNUWCUWFVWAVWCUUCZYCUWGOUUERUVNUWIOMJZUWGFGVWFUVNVWJUWIUWIKJZUWGFUW
    IOUWIOYCUUFZWRXLYBUVNVWKUWCUWFUEZKJUWGFUVNUWIUWIUWCVWMUWITBUVNVWLVCZVWNVWAU
    VNUWFVWCUUGUVNUWIUWCFGUWCOVLGUVNUWAUYAUYLYIUUHUVNUWFOVLGZUWIVWMVLGZUVNUWIUW
    FFGVWOUVNUWDVUQVVHYIUUNUVNUWFTBVVRVWOVWPYJVWCYCUWFOUUIRYKUUJUVNUWCUWFVWBVWD
    UUKUULUUOUVNUWIOUWGVWNVVRUVNYCVCZVWIYLYKUVNUWHCOKJOFUVNUWGCOVWIUVNUUMZVWQUV
    NUWGCFGUWCCUWFKJZFGUVNUWCUWFVWSFUVNUWCUWFFGZUWCYMEZUWFYMEZFGZUVNUWANEZUXTVR
    JZUWDNEZVURVRJZVXAVXBFUVNANEZHMJZUVLVRJZVXHHKJZUVLVRJZVXEVXGFUVNVXIVXKFGZVX
    JVXLFGZUVNVXIVXHVXKUVNVXHTBZVXITBZUVNAUXEYHZVXHUUPWGZVXQUVNVXOVXKTBZVXQVXHU
    UQWGZUVNVXHVXQUURUVNVXHVXQUUSUUTUVNVXPVXSUYHUVMVXMVXNYJVXRVXTUYEUYNVXIVXKUV
    LUVAUVDYKUVNVXDVXIUXTUVLVRUVNVXDVXHINEZMJZVXIUVNUXAUWTVXDVYBQUXESAIXRRVYAHV
    XHMYNVFWEUYGYGUVNVXFVXKVURUVLVRUVNVXFVXHVYAKJZVXKUVNUXAUWTVXFVYCQUXESAIWTRV
    YAHVXHKYNVFWEVUTYGYOUVNUXRUYBVXAVXEQUYAUYJUWAYPXHUVNVUPVVEVXBVXGQVUQVVGUWDY
    PXHYOUVNUWCUWOUWMUFJZBZUWFVYDBZVWTVXCYJUVNUXRCUXTFGVYEUYAUVNCUVLUXTFUYNUYGW
    MUWAYQXHUVNVUPCVURFGVYFVUQUVNCUVLVURFUYNVUTWMUWDYQXHUWCUWFUVBXHYRUVNUWFVWDU
    VCWMUVNUWCUWFCVWAVWCVWRYLYRUVEOXLUVFUVGUWIYSBOYSBVWHVWEVWFVWGUJYJUWIVWLYTOY
    CYTUWIOUWHUVHXSUVIUVJ $.

  $( A variation on ~ atanlogadd , to show that
     ` sqrt ( 1 + _i z ) / sqrt ( 1 - _i z ) = `
     ` sqrt ( ( 1 + _i z ) / ( 1 - _i z ) ) ` under more limited conditions.
     (Contributed by Mario Carneiro, 4-Apr-2015.) $)
  atanlogsub $p |- ( ( A e. dom arctan /\ ( Re ` A ) =/= 0 ) ->
    ( ( log ` ( 1 + ( _i x. A ) ) ) -
      ( log ` ( 1 - ( _i x. A ) ) ) ) e. ran log ) $=
    ( wcel cfv cc0 c1 ci co caddc clog cmin cpi cneg cim clt wbr ax-1cn sylancr
    cc adantr cr catan cdm cre wne wa cmul cle crn ax-icn atandm2 simp1bi mulcl
    addcl simp3bi logcld subcl simp2bi subcld wo wb recld lttri2 sylancl biimpa
    cioo 0re wceq imnegd negsubdi2d mulneg2 oveq2d negsub fveq2d subneg oveq12d
    eqtrd eqtr4d eqtr3d atandmneg lt0neg1d breqtrrd atanlogsublem syl2an2r picn
    renegd negnegi oveq2i eleqtrrdi eqeltrd pire renegcli imcld iooneg mp3an12i
    mpbird jaodan syldan eliooord syl simpld simprd ltle mpd ellogrn syl3anbrc
    wi ) AUAUBZBZAUCCZDUDZUEZEFAUFGZHGZICZEXLJGZICZJGZRBZKLZXQMCZNOZXTKUGOZXQIU
    HBXHXRXJXHXNXPXHXMXHERBZXLRBZXMRBPXHFRBZARBZYDUIXHYFXODUDZXMDUDZAUJZUKZFAUL
    QZEXLUMQXHYFYGYHYIUNUOZXHXOXHYCYDXORBPYKEXLUPQXHYFYGYHYIUQUOZURZSZXKYAXTKNO
    ZXKXTXSKVEGZBZYAYPUEXHXJXIDNOZDXINOZUSZYRXHXJUUAXHXITBDTBXJUUAUTXHAYJVAZVFX
    IDVBVCVDXHYSYRYTXHYSUEZYRXTLZXSXSLZVEGZBZUUCUUDEFALZUFGZHGZICZEUUIJGZICZJGZ
    MCZUUFXHUUDUUOVGYSXHXQLZMCUUDUUOXHXQYNVHXHUUPUUNMXHUUPXPXNJGUUNXHXNXPYLYMVI
    XHUUKXPUUMXNJXHUUJXOIXHUUJEXLLZHGZXOXHUUIUUQEHXHYEYFUUIUUQVGUIYJFAVJQZVKXHY
    CYDUURXOVGPYKEXLVLQVPVMXHUULXMIXHUULEUUQJGZXMXHUUIUUQEJUUSVKXHYCYDUUTXMVGPY
    KEXLVNQVPVMVOVQVMVRSUUCUUOYQUUFXHUUHXGBYSDUUHUCCZNOUUOYQBAVSUUCDXILZUVANXHY
    SDUVBNOXHXIUUBVTVDUUCAXHYFYSYJSWEWAUUHWBWCUUEKXSVEKWDWFWGWHWIXSTBKTBZUUCXTT
    BZYRUUGUTKWJWKWJUUCXQXHXRYSYNSWLXSKXTWMWNWOAWBWPWQXTXSKWRWSZWTXKYPYBXKYAYPU
    VEXAXKUVDUVCYPYBXFXKXQYOWLWJXTKXBVCXCXQXDXE $.

  $( Value of the exponential of an artcangent.  (Contributed by Mario
     Carneiro, 3-Apr-2015.) $)
  efiatan2 $p |- ( A e. dom arctan ->
    ( exp ` ( _i x. ( arctan ` A ) ) ) =
    ( ( 1 + ( _i x. A ) ) / ( sqrt ` ( 1 + ( A ^ 2 ) ) ) ) ) $=
    ( wcel ci cfv cmul co ce c1 c2 caddc cdiv ax-icn sylancr cmin cc0 clog wceq
    cc wne a1i catan cdm cexp csqrt atancl mulcl efcl syl atandm2 simp1bi sqcld
    ax-1cn addcl sqrtcld sqsqrtd atandm4 simprbi wb sqne0 mpbid divcan4d halfcn
    eqnetrd logcld efadd syl2anc 2cn simp3bi subdid atanval oveq2d mulassd cneg
    halfcl ax-mp mulassi mul12i divcan2i oveq2i ixi eqtri 3eqtri oveq1i simp2bi
    2ne0 subcl subcld mulm1d syl5eq 2mulicn negsubdi2d 3eqtr3d subsubd mvrladdd
    2timesd oveq1d crn atanlogadd logef eflog oveq12d sq1 sqmul i2 eqtrd subneg
    subsq 3eqtrd fveq2d eqtr3d divcan3d divrec2d subaddd ccxp cxpefd cxpsqrt )
    AUAUBBZCAUADZEFZGDZHAIUCFZJFZUDDZEFZYCKFXTHCAEFZJFZYCKFXQXTYCXQXSRBZXTRBXQC
    RBZXRRBYGLAUEZCXRUFMZXSUGUHXQYBXQHRBZYARBZYBRBZULXQAXQARBZHYENFZOSZYFOSZAUI
    ZUJZUKZHYAUMMZUNZXQYCIUCFZOSZYCOSZXQUUCYBOXQYBUUAUOXQYNYBOSAUPUQZVCXQYCRBUU
    DUUEURUUBYCUSUHUTVAXQYDYFYCKXQXTHIKFZYBPDZEFZGDZEFZYFPDZGDZYDYFXQXSUUIJFZGD
    ZUUKUUMXQYGUUIRBZUUOUUKQYJXQUUGRBZUUHRBUUPVBXQYBUUAUUFVDZUUGUUHUFMZXSUUIVEV
    FXQUUNUULGXQUULXSNFZUUIQUUNUULQXQIUUTEFZIKFUUHIKFUUTUUIXQUVAUUHIKXQUVAIUULE
    FZIXSEFZNFUVBUULYOPDZNFZNFZUUHXQIUULXSIRBZXQVGTZXQYFXQYKYERBZYFRBZULXQYHYNU
    VILYSCAUFMZHYEUMMZXQYNYPYQYRVHZVDZYJVIXQUVCUVEUVBNXQICEFZXREFUVOCIKFZUVDUUL
    NFZEFZEFZUVCUVEXQXRUVRUVOEAVJVKXQICXRUVHYHXQLTYIVLXQUVOUVPEFZUVQEFZUVQVMZUV
    SUVEXQUWAHVMZUVQEFUWBUVTUWCUVQEUVTICUVPEFEFCIUVPEFZEFZUWCICUVPVGLYHUVPRBZLC
    VNVOZVPICUVPVGLUWGVQUWECCEFUWCUWDCCECILVGWEVRVSVTWAWBWCXQUVQXQUVDUULXQYOXQY
    KUVIYORBZULUVKHYEWFMZXQYNYPYQYRWDZVDZUVNWGZWHWIXQUVOUVPUVQUVORBXQWJTUWFXQUW
    GTUWLVLXQUVDUULUWKUVNWKWLWLVKXQUVFUVBUULNFZUVDJFUULUVDJFZUUHXQUVBUULUVDXQUV
    GUULRBZUVBRBVGUVNIUULUFMUVNUWKWMXQUWMUULUVDJXQUVBUULUULUVNUVNXQUULUVNWOWNWP
    XQUWNGDZPDZUWNUUHXQUWNPWQBUWQUWNQAWRUWNWSUHXQUWPYBPXQUWPUUMUVDGDZEFZYFYOEFZ
    YBXQUWOUVDRBUWPUWSQUVNUWKUULUVDVEVFXQUUMYFUWRYOEXQUVJYQUUMYFQUVLUVMYFWTVFZX
    QUWHYPUWRYOQUWIUWJYOWTVFXAXQHIUCFZYEIUCFZNFZHYAVMZNFZUWTYBXQUXBHUXCUXENUXBH
    QXQXBTXQUXCCIUCFZYAEFZUXEXQYHYNUXCUXHQLYSCAXCMXQUXHUWCYAEFUXEUXGUWCYAEXDWCX
    QYAYTWHWIXEXAXQYKUVIUXDUWTQULUVKHYEXGMXQYKYLUXFYBQULYTHYAXFMWLXHXIXJXHXHWPX
    QUUTIXQUULXSUVNYJWGUVHIOSXQWETZXKXQUUHIUURUVHUXIXLWLXQUULXSUUIUVNYJUUSXMUTX
    IXJXQUUJYCXTEXQYBUUGXNFZUUJYCXQYBUUGUUAUUFUUQXQVBTXOXQYMUXJYCQUUAYBXPUHXJVK
    UXAWLWPXJ $.

  $( Value of the exponential of an artcangent.  (Contributed by Mario
     Carneiro, 2-Apr-2015.) $)
  2efiatan $p |- ( A e. dom arctan ->
    ( exp ` ( 2 x. ( _i x. ( arctan ` A ) ) ) ) =
    ( ( ( 2 x. _i ) / ( A + _i ) ) - 1 ) ) $=
    ( wcel c2 ci cfv cmul co ce c1 caddc cmin cc 2cn a1i ax-icn cc0 wne sylancr
    cdiv wceq catan cdm clog atanval oveq2d atancl mulassd halfcl ax-mp mulassi
    cneg mul12i 2ne0 divcan2i oveq2i eqtri 3eqtri oveq1i ax-1cn atandm2 simp1bi
    ixi mulcl subcl simp2bi logcld simp3bi subcld mulm1d syl5eq 2mulicn 3eqtr3d
    addcl negsubdi2d fveq2d efsub syl2anc eflog oveq12d negsub mulid1d pnpcan2d
    3eqtr3a 3eqtr4d adddid 2timesd oveq1d subdid subneg addcom divcan5d sylancl
    eqtrd 3eqtrd ine0 atandm negicn subeq0 necon3bid mpbird eqnetrrd divsubdird
    wb wa dividd ) AUAUBBZCDAUAEZFGFGZHEIDAFGZJGZUCEZIXIKGZUCEZKGZHEZXKHEZXMHEZ
    SGZCDFGZADJGZSGZIKGZXFXHXNHXFXSXGFGXSDCSGZXMXKKGZFGZFGZXHXNXFXGYEXSFAUDUEXF
    CDXGCLBXFMNDLBZXFONZAUFUGXFXSYCFGZYDFGZYDUKZYFXNXFYJIUKZYDFGYKYIYLYDFYICDYC
    FGFGDCYCFGZFGZYLCDYCMOYGYCLBZODUHUIZUJCDYCMOYPULYNDDFGZYLYMDDFDCOMUMUNUOVBU
    PUQURXFYDXFXMXKXFXLXFILBZXILBZXLLBZUSXFYGALBZYSOXFUUAXLPQZXJPQZAUTZVAZDAVCR
    ZIXIVDRZXFUUAUUBUUCUUDVEZVFZXFXJXFYRYSXJLBZUSUUFIXIVMRZXFUUAUUBUUCUUDVGZVFZ
    VHZVIVJXFXSYCYDXSLBXFVKNZYOXFYPNUUNUGXFXMXKUUIUUMVNVLVLVOXFXKLBXMLBXOXRTUUM
    UUIXKXMVPVQXFXRXJXLSGZYAXTXTSGZKGZYBXFXPXJXQXLSXFUUJUUCXPXJTUUKUULXJVRVQXFY
    TUUBXQXLTUUGUUHXLVRVQVSXFDXJFGZDXLFGZSGXSXTKGZXTSGUUPUURXFUUSUVAUUTXTSXFDIF
    GZDXIFGZJGZDDJGZXTKGZUUSUVAXFDAUKZJGZDAKGZUVDUVFXFYGUUAUVHUVITOUUEDAVTRXFUV
    BDUVCUVGJXFDYHWAZXFYQAFGYLAFGUVCUVGYQYLAFVBURXFDDAYHYHUUEUGXFAUUEVIWCZVSXFD
    ADYHUUEYHWBWDXFDIXIYHYRXFUSNZUUFWEXFXSUVEXTKXFDYHWFWGWDXFUUTUVBUVCKGZDAJGZX
    TXFDIXIYHUVLUUFWHXFUVMDUVGKGZUVNXFUVBDUVCUVGKUVJUVKVSXFYGUUAUVOUVNTOUUEDAWI
    RWMXFYGUUAUVNXTTOUUEDAWJRWNVSXFXJXLDUUKUUGYHUUHDPQXFWONWKXFXSXTXTUUOXFUUAYG
    XTLBUUEOADVMWLZUVPXFADUKZKGZXTPXFUUAYGUVRXTTUUEOADWIWLXFUVRPQZAUVQQZXFUUAUV
    TADQAWPVEXFUUAUVQLBZUVSUVTXCUUEWQUUAUWAXDUVRPAUVQAUVQWRWSWLWTXAZXBVLXFUUQIY
    AKXFXTUVPUWBXEUEWNWN $.

  $( The arctangent function is an inverse to ` tan ` .  (Contributed by Mario
     Carneiro, 2-Apr-2015.) $)
  tanatan $p |- ( A e. dom arctan -> ( tan ` ( arctan ` A ) ) = A ) $=
    ( wcel c2 ci cmul co c1 cmin caddc cdiv cc cc0 wne wceq oveq1d ax-icn eqtrd
    a1i 2cn sylancr cdm cfv ctan ce atancl 2efiatan 2mulicn cneg atandm simp1bi
    catan addcl sylancl subneg simp2bi wb negcli subeq0 necon3bid mpbird divcld
    wa eqnetrrd ax-1cn 2muline0 divne0d eqnetrd tanval3 syl2anc subsub4d oveq2i
    npcan df-2 eqtr4di divsubdird mulneg12 negsub negcld pncan2 3eqtr3rd oveq2d
    mulcl subdid 3eqtr2rd divcan4d 3eqtr3d eqtr4d mul12i mulm1i mulcomli 3eqtri
    ixi oveq1i divassd eqtr3id oveq12d 2ne0 negne0i divcan7d divcan3d ) AUKUABZ
    AUKUBZUCUBZCDXBEFEFUDUBZGHFZDXDGIFZEFZJFZAXAXBKBXFLMXCXHNAUEXAXFCDEFZADIFZJ
    FZLXAXFXKGHFZGIFZXKXAXDXLGIAUFZOXAXKKBGKBZXMXKNXAXIXJXIKBXAUGRZXAAKBZDKBZXJ
    KBZXAXQADUHZMZADMZAUIZUJZPADULUMZXAAXTHFZXJLXAXQXRYFXJNYDPADUNUMXAYFLMZYAXA
    XQYAYBYCUOXAXQXTKBZYGYAUPYDDPUQXQYHVBYFLAXTAXTURUSUMUTVCZVAZVDXKGVLUMQZXAXI
    XJXPYEXILMXAVERYIVFVGXBVHVIXAXHCUHZAEFZXJJFZYLXJJFZJFZAXAXEYNXGYOJXAXEXKCHF
    ZYNXAXEXLGHFZYQXAXDXLGHXNOXAYRXKGGIFZHFYQXAXKGGYJXOXAVDRZYTVJCYSXKHVMVKVNQX
    AXICXJEFZHFZXJJFXKUUAXJJFZHFYNYQXAXIUUAXJXPXACKBZXSUUAKBSYECXJWBTYEYIVOXAUU
    BYMXJJXAYMCAUHZEFZCDXJHFZEFUUBXAUUDXQYMUUFNSYDCAVPTXAUUGUUECEXADUUEIFZDHFZD
    AHFZDHFUUEUUGXAUUHUUJDHXAXRXQUUHUUJNPYDDAVQTOXAXRUUEKBUUIUUENPXAAYDVRDUUEVS
    TXADADXRXAPRZYDUUKVJVTWAXACDXJUUDXASRZUUKYEWCWDOXAUUCCXKHXACXJUULYEYIWEWAWF
    WGXAXGDXKEFZYOXAXFXKDEYKWAXAYODXIEFZXJJFUUMUUNYLXJJUUNCDDEFZEFCGUHZEFYLDCDP
    SPWHUUOUUPCEWLVKUUPCYLGVDUQSCSWIWJWKWMXADXIXJUUKXPYEYIWNWOWGWPXAYPYMYLJFAXA
    YMYLXJXAYLKBZXQYMKBCSUQZYDYLAWBTUUQXAUURRZYEYLLMXACSWQWRRZYIWSXAAYLYDUUSUUT
    WTQQQ $.

  $( The tangent function has range contained in the domain of the arctangent.
     (Contributed by Mario Carneiro, 31-Mar-2015.) $)
  atandmtan $p |- ( ( A e. CC /\ ( cos ` A ) =/= 0 ) ->
    ( tan ` A ) e. dom arctan ) $=
    ( cc wcel ccos cfv cc0 wne wa ctan c2 cexp co c1 cneg cdiv adantr eqtrd a1i
    sqcld eqnetrd catan cdm tancl tanval oveq1d sincl coscl simpr sqdivd negcld
    csin cmul cmin caddc subnegd wceq sincossq ax-1ne0 subne0ad mulm1d neeqtrrd
    neg1cn wb sqne0 syl biimpar divmul3d necon3bid mpbird atandm3 sylanbrc ) AB
    CZADEZFGZHZAIEZBCVPJKLZMNZGVPUAUBCAUCVOVQAUKEZJKLZVMJKLZOLZVRVOVQVSVMOLZJKL
    WBVOVPWCJKAUDUEVOVSVMVLVSBCVNAUFPZVLVMBCZVNAUGZPZVLVNUHUIQVOWBVRGVTVRWAULLZ
    GVOVTWANZWHVOVTWIVOVSWDSZVOWAVOVMWGSZUJVOVTWIUMLZMFVOWLVTWAUNLZMVOVTWAWJWKU
    OVLWMMUPVNAUQPQMFGVOURRTUSVOWAWKUTVAVOWBVRVTWHVOVTVRWAWJVRBCVOVBRWKVLWAFGZV
    NVLWEWNVNVCWFVMVDVEVFVGVHVITVPVJVK $.

  $( The cosine of an arctangent.  (Contributed by Mario Carneiro,
     3-Apr-2015.) $)
  cosatan $p |- ( A e. dom arctan ->
    ( cos ` ( arctan ` A ) ) = ( 1 / ( sqrt ` ( 1 + ( A ^ 2 ) ) ) ) ) $=
    ( catan wcel cfv ci cmul co ce cneg caddc c2 cdiv c1 cc syl sylancr cc0 wne
    wceq ax-1cn cdm ccos cexp csqrt atancl cosval cmin efiatan2 ax-icn mulneg12
    atanneg oveq2d eqtr4d fveq2d atandmneg atandm4 simplbi mulneg2 mulcl negsub
    eqtrd sqneg oveq12d addcl subcl sqcld sqrtcld sqsqrtd simprbi eqnetrd sqne0
    3eqtrd mpbid divdird a1i ppncand df-2 eqtr4di oveq1d 3eqtr2d 2cnd divdiv32d
    wb 2ne0 2div2e1 oveq1i eqtrdi ) ABUAZCZABDZUBDZEWJFGHDZEIWJFGZHDZJGZKLGZKMA
    KUCGZJGZUDDZLGZKLGZMWSLGZWIWJNCZWKWPSAUEZWJUFOWIWOWTKLWIWOMEAFGZJGZWSLGZMXE
    UGGZWSLGZJGXFXHJGZWSLGWTWIWLXGWNXIJAUHWIWNEAIZBDZFGZHDZMEXKFGZJGZMXKKUCGZJG
    ZUDDZLGZXIWIWMXMHWIWMEWJIZFGZXMWIENCZXCWMYBSUIXDEWJUJPWIXLYAEFAUKULUMUNWIXK
    WHCXNXTSAUOXKUHOWIXPXHXSWSLWIXPMXEIZJGZXHWIXOYDMJWIYCANCZXOYDSUIWIYFWRQRZAU
    PZUQZEAURPULWIMNCZXENCZYEXHSTWIYCYFYKUIYIEAUSPZMXEUTPVAWIXRWRUDWIXQWQMJWIYF
    XQWQSYIAVBOULUNVCVLVCWIXFXHWSWIYJYKXFNCTYLMXEVDPWIYJYKXHNCTYLMXEVEPWIWRWIYJ
    WQNCWRNCTWIAYIVFMWQVDPZVGZWIWSKUCGZQRZWSQRZWIYOWRQWIWRYMVHWIYFYGYHVIVJWIWSN
    CYPYQWCYNWSVKOVMZVNWIXJKWSLWIXJMMJGKWIMXEMYJWITVOZYLYSVPVQVRVSVTVSWIXAKKLGZ
    WSLGXBWIKWSKWIWAZYNUUAYRKQRWIWDVOWBYTMWSLWEWFWGVL $.

  $( The arctangent function has range contained in the domain of the tangent.
     (Contributed by Mario Carneiro, 3-Apr-2015.) $)
  cosatanne0 $p |- ( A e. dom arctan -> ( cos ` ( arctan ` A ) ) =/= 0 ) $=
    ( catan cdm wcel cfv ccos c1 c2 cexp co caddc csqrt cdiv cc0 cosatan ax-1cn
    cc wne atandm4 eqnetrd simplbi sqcld addcl sylancr sqrtcld sqsqrtd wb sqne0
    simprbi syl mpbid recne0d ) ABCDZABEFEGGAHIJZKJZLEZMJNAOUMUPUMUOUMGQDUNQDUO
    QDPUMAUMAQDZUONRZASZUAUBGUNUCUDZUEZUMUPHIJZNRZUPNRZUMVBUONUMUOUTUFUMUQURUSU
    ITUMUPQDVCVDUGVAUPUHUJUKULT $.

  $( The arctangent function is an inverse to ` tan ` .  (Contributed by Mario
     Carneiro, 5-Apr-2015.) $)
  atantan $p |- ( ( A e. CC /\ ( Re ` A ) e.
    ( -u ( _pi / 2 ) (,) ( _pi / 2 ) ) ) -> ( arctan ` ( tan ` A ) ) = A ) $=
    ( cc wcel cfv cpi c2 cdiv co cneg ci c1 cmul cc0 syl sylancr adantr clt wbr
    wceq cr cre cioo wa ctan catan cmin clog caddc ccos cosne0 atandmtan syldan
    cdm wne atanval ax-1cn ax-icn tancl mulcl addcl atandm2 sylib simp3d logcld
    w3a subcl simp2d negsubdi2d ce efsub syl2anc coscl sincl divdird dividd a1i
    csin divassd tanval oveq2d eqtr4d oveq12d eqtrd efival oveq1d eflog 3eqtr4d
    divsubdird negcl cosneg sinneg mulneg2 fveq2d negsubd 3eqtr3d efcl divcan7d
    simpl negcld efne0 subnegd 3eqtr2d renegd recld simpr lt0neg1d mpbid simpld
    eliooord wb halfpire cxr 0xr elioo2 mp2an syl3anbrc eqeltrd tanregt0 mpbird
    syl2an2r 1re ixi oveq1i mulm1d syl5eq mulassd eqtr3d cim eqbrtrrid relogcld
    simprd sylancl logef cle 2cn 2ne0 pire 2re syl112anc 3eqtr3rd crn ltnegcon1
    2timesd renegcld adantl tanneg breqtrd lt0ne0d atanlogsub ioossre ine0 reim
    rexri mvllmuld eqeq1d biimpa reim0bd tanhbnd sselid readdcl 0red ltsubadd2d
    df-neg elrpd crp difrp resubcld relogrn gt0ne0d w3o recl 0re mpjao3dan picn
    lttri4 divneg mp3an renegcli 2pos ltdivmul breqtrrd remulcl ltmuldiv2 ltled
    immul2 eqbrtrd ellogrn negeqd halfcl mp1i divcan1i mul2neg mulid2 3eqtrd )
    ABCZAUADZEFGHZIZUWQUBHCZUCZAUDDZUEDZJFGHZKJUXALHZUFHZUGDZKUXDUHHZUGDZUFHZLH
    ZUXCFJALHZLHZIZLHZAUWTUXAUEUMCZUXBUXJSUWOUWSAUIDZMUNZUXOAUJZAUKULZUXAUONUWT
    UXIUXMUXCLUWTUXHUXFUFHZIUXIUXMUWTUXHUXFUWTUXGUWTKBCZUXDBCZUXGBCZUPUWTJBCZUX
    ABCZUYBUQUWOUWSUXQUYEUXRAURULZJUXAUSOZKUXDUTOZUWTUYEUXEMUNZUXGMUNZUWTUXOUYE
    UYIUYJVEUXSUXAVAVBZVCZVDZUWTUXEUWTUYAUYBUXEBCZUPUYGKUXDVFOZUWTUYEUYIUYJUYKV
    GZVDZVHUWTUXTUXLUWTUXTVIDZUGDZUXLVIDZUGDZUXTUXLUWTUYRUYTUGUWTUYRUXHVIDZUXFV
    IDZGHZUXKVIDZUXPGHZUXKIZVIDZUXPGHZGHZUYTUWTUXHBCUXFBCUYRVUDSUYMUYQUXHUXFVJV
    KUWTVUFVUBVUIVUCGUWTUXPJAVQDZLHZUHHZUXPGHZUXGVUFVUBUWTVUNUXPUXPGHZVULUXPGHZ
    UHHUXGUWTUXPVULUXPUWOUXPBCUWSAVLPZUWTUYDVUKBCZVULBCUQUWOVURUWSAVMPZJVUKUSOZ
    VUQUXRVNUWTVUOKVUPUXDUHUWTUXPVUQUXRVOZUWTVUPJVUKUXPGHZLHUXDUWTJVUKUXPUYDUWT
    UQVPZVUSVUQUXRVRUWTUXAVVBJLUWOUWSUXQUXAVVBSUXRAVSULVTWAZWBWCUWTVUEVUMUXPGUW
    OVUEVUMSUWSAWDPWEUWTUYCUYJVUBUXGSUYHUYLUXGWFVKWGUWTUXPVULUFHZUXPGHZUXEVUIVU
    CUWTVVFVUOVUPUFHUXEUWTUXPVULUXPVUQVUTVUQUXRWHUWTVUOKVUPUXDUFVVAVVDWBWCUWTVU
    HVVEUXPGUWTJAIZLHZVIDZUXPVULIZUHHZVUHVVEUWTVVIVVGUIDZJVVGVQDZLHZUHHZVVKUWTV
    VGBCZVVIVVOSUWOVVPUWSAWIPZVVGWDNUWTVVLUXPVVNVVJUHUWOVVLUXPSUWSAWJPUWTVVNJVU
    KIZLHZVVJUWTVVMVVRJLUWOVVMVVRSUWSAWKPVTUWTUYDVURVVSVVJSUQVUSJVUKWLOWCWBWCUW
    TVVHVUGVIUWTUYDUWOVVHVUGSUQUWOUWSWRZJAWLOZWMUWTUXPVULVUQVUTWNWOWEUWTUYNUYIV
    UCUXESUYOUYPUXEWFVKWGWBUWTVUJVUEVUHGHZUXKVUGUFHZVIDZUYTUWTVUEVUHUXPUWTUXKBC
    ZVUEBCUWTUYDUWOVWEUQVVTJAUSOZUXKWPNUWTVUGBCZVUHBCUWTUXKVWFWSZVUGWPNVUQUWTVW
    GVUHMUNVWHVUGWTNUXRWQUWTVWEVWGVWDVWBSVWFVWHUXKVUGVJVKUWTVWCUXLVIUWTVWCUXKUX
    KUHHUXLUWTUXKUXKVWFVWFXAUWTUXKVWFUUCWAWMXBXBWMUWTUXTUGUUAZCZUYSUXTSUWTUWPMQ
    RZVWJUWPMSZMUWPQRZUWTUXOVWKUXAUADZMUNZVWJUXSUWTVWKUCZVWNVWPVWNMQRMVWNIZQRVW
    PMVVGUDDZUADZVWQQUWTVVPVWKVVGUADZMUWQUBHZCMVWSQRVVQVWPVWTUWPIZVXAVWPAUWTUWO
    VWKVVTPZXCVWPVXBTCZMVXBQRZVXBUWQQRZVXBVXACZVWPUWPVWPAVXCXDZUUDVWPVWKVXEUWTV
    WKXEVWPUWPVXHXFXGVWPUWRUWPQRZVXFUWTVXIVWKUWTVXIUWPUWQQRZUWSVXIVXJUCUWOUWPUW
    RUWQXIUUEZXHZPVWPUWQTCUWPTCZVXIVXFXJXKVXHUWQUWPUUBOXGMXLCZUWQXLCZVXGVXDVXEV
    XFVEXJXMUWQXKUUMZMUWQVXBXNXOXPXQVVGXRXTVWPVWSUXAIZUADVWQVWPVWRVXQUAUWTVWRVX
    QSZVWKUWOUWSUXQVXRUXRAUUFULZPWMVWPUXAUWTUYEVWKUYFPXCWCUUGVWPVWNUWTVWNTCVWKU
    WTUXAUYFXDPXFXSUUHUXAUUIZXTUWTVWLUCZUXTTCVWJVYAUXHUXFVYAUXGVYAUXGVYAKTCZUXD
    TCZUXGTCYAVYAKIZKUBHZTUXDVYDKUUJVYAUXDJUXKLHZUDDZJGHZVYEVYAJUXDVYGUYDVYAUQV
    PZUWTUYBVWLUYGPJMUNVYAUUKVPVYAJJLHZUXALHZVWRJUXDLHVYGVYAVYKVYDUXALHZVWRVYJV
    YDUXALYBYCVYAVYLVXQVWRVYAUXAUWTUYEVWLUYFPZYDUWTVXRVWLVXSPWAYEVYAJJUXAVYIVYI
    VYMYFVYAVVGVYFUDVYAVYJALHZVVGVYFVYAVYNVYDALHVVGVYJVYDALYBYCVYAAUWTUWOVWLVVT
    PZYDYEVYAJJAVYIVYIVYOYFYGWMWOUUNVYAUXKTCVYHVYECVYAUXKUWTVWEVWLVWFPUWTVWLUXK
    YHDZMSUWTUWPVYPMUWOUWPVYPSUWSAUULPZUUOUUPUUQUXKUURNXQZUUSZKUXDUUTOVYAMKUFHZ
    UXDQRMUXGQRVYAVYTVYDUXDQKUVCVYAVYDUXDQRZUXDKQRZVYAUXDVYECWUAWUBUCVYRUXDVYDK
    XINZXHYIVYAMKUXDVYAUVAVYBVYAYAVPVYSUVBXGUVDYJVYAUXEVYAWUBUXEUVECZVYAWUAWUBW
    UCYKVYAVYCVYBWUBWUDXJVYSYAUXDKUVFYLXGYJUVGUXTUVHNUWTUXOVWMVWOVWJUXSUWTVWMUC
    ZVWNUWTUWOVWMUWPVXACZMVWNQRVVTWUEVXMVWMVXJWUFWUEAUWTUWOVWMVVTPXDUWTVWMXEUWT
    VXJVWMUWTVXIVXJVXKYKZPVXNVXOWUFVXMVWMVXJVEXJXMVXPMUWQUWPXNXOXPAXRXTUVIVXTXT
    UWTVXMMTCVWKVWLVWMUVJUWOVXMUWSAUVKPZUVLUWPMUVOYLUVMUXTYMNUWTUXLVWICZVUAUXLS
    UWTUXLBCZEIZUXLYHDZQRWULEYNRWUIUWTFBCZVWEWUJYOVWFFUXKUSOUWTWUKFUWPLHZWULQUW
    TWUKFGHZUWPQRZWUKWUNQRZUWTWUOUWRUWPQEBCWUMFMUNUWRWUOSUVNYOYPEFUVPUVQVXLYIUW
    TWUKTCZVXMFTCZMFQRZWUPWUQXJWURUWTEYQUVRVPWUHWUSUWTYRVPZWUTUWTUVSVPZWUKUWPFU
    VTYSXGUWTWULFVYPLHZWUNUWTWUSVWEWULWVCSYRVWFFUXKUWEOUWTUWPVYPFLVYQVTWAZUWAUW
    TWULWUNEYNWVDUWTWUNEUWTWUSVXMWUNTCYRWUHFUWPUWBOETCZUWTYQVPZUWTWUNEQRZVXJWUG
    UWTVXMWVEWUSWUTWVGVXJXJWUHWVFWVAWVBUWPEFUWCYSXSUWDUWFUXLUWGXPUXLYMNWOUWHYGV
    TUWTUXCFLHZVUGLHZUXCFVUGLHZLHAUXNUWTUXCFVUGUYDUXCBCUWTUQJUWIUWJWUMUWTYOVPVW
    HYFUWTWVIJVUGLHZAWVHJVUGLJFUQYOYPUWKYCUWTVYJVVGLHZJVVHLHAWVKUWTJJVVGVVCVVCV
    VQYFUWTWVLVYDVVGLHZAVYJVYDVVGLYBYCUWTWVMKALHZAUWTUYAUWOWVMWVNSUPVVTKAUWLOUW
    OWVNASUWSAUWMPWCYEUWTVVHVUGJLVWAVTYTYEUWTWVJUXMUXCLUWTWUMVWEWVJUXMSYOVWFFUX
    KWLOVTYTUWN $.

  $( Relationship between tangent and arctangent.  (Contributed by Mario
     Carneiro, 5-Apr-2015.) $)
  atantanb $p |- ( ( A e. dom arctan /\ B e. CC /\
      ( Re ` B ) e. ( -u ( _pi / 2 ) (,) ( _pi / 2 ) ) ) ->
    ( ( arctan ` A ) = B <-> ( tan ` B ) = A ) ) $=
    ( catan cdm wcel cc cre cfv cpi c2 cdiv cneg cioo wceq ctan tanatan fveqeq2
    co w3a syl5ibcom 3ad2ant1 atantan 3adant1 impbid ) ACDEZBFEZBGHIJKRZLUGMREZ
    SZACHZBNZBOHZANZUIUJOHANZUKUMUEUFUNUHAPUAUJBAOQTUIULCHBNZUMUKUFUHUOUEBUBUCU
    LABCQTUD $.

  $( Lemma for ~ atanbnd .  (Contributed by Mario Carneiro, 5-Apr-2015.) $)
  atanbndlem $p |- ( A e. RR+ ->
    ( arctan ` A ) e. ( -u ( _pi / 2 ) (,) ( _pi / 2 ) ) ) $=
    ( wcel cfv cr cpi c2 co cneg clt wbr syl cc cc0 wceq cmul c1 ci cre sylancr
    ax-icn crp catan cdiv cioo rpre atanrecl wne picn 2cn divneg mp3an wa caddc
    2ne0 clog cmin cim ax-1cn recnd mulcl addcl cdm atanre atandm2 sylib simp3d
    w3a logcld simp2d subcld imre atanval oveq2d divcan2i oveq1i 2re a1i halfcl
    subcl mp1i mulassd eqtr3id eqtr4d negsubdi2d mulneg12 fveq2d rered 3eqtr2rd
    remulcl rpgt0 breqtrrd atanlogsublem syl2anc eqeltrd eliooord pire renegcli
    simpld wb 2pos ltdivmul syl112anc mpbird eqbrtrid simprd ltmuldiv2 halfpire
    mpbid cxr rexri elioo2 mp2an syl3anbrc ) AUABZAUBCZDBZEFUCGZHZXOIJZXOXQIJZX
    OXRXQUDGBZXNADBZXPAUEZAUFKZXNXREHZFUCGZXOIELBFLBFMUGXRYFNUHUIUNEFUJUKXNYFXO
    IJZYEFXOOGZIJZXNYIYHEIJZXNYHYEEUDGZBYIYJULXNYHPQAOGZUMGZUOCZPYLUPGZUOCZUPGZ
    UQCZYKXNYRQHYQOGZRCZYHRCYHXNYQLBZYRYTNXNYNYPXNYMXNPLBZYLLBZYMLBURXNQLBZALBZ
    UUCTXNAYCUSQAUTSZPYLVASXNUUEYOMUGZYMMUGZXNAUBVBBZUUEUUGUUHVGXNYBUUIYCAVCKZA
    VDVEZVFVHZXNYOXNUUBUUCYOLBURUUFPYLVSSXNUUEUUGUUHUUKVIVHZVJZYQVKKXNYHYSRXNYH
    QYQHZOGZYSXNYHQYPYNUPGZOGZUUPXNYHFQFUCGZUUQOGZOGZUURXNXOUUTFOXNUUIXOUUTNUUJ
    AVLKVMXNUURFUUSOGZUUQOGUVAUVBQUUQOQFTUIUNVNVOXNFUUSUUQXNFFDBZXNVPVQZUSUUDUU
    SLBXNTQVRVTXNYPYNUUMUULVJWAWBWCXNUUOUUQQOXNYNYPUULUUMWDVMWCXNUUDUUAYSUUPNTU
    UNQYQWESWCWFXNYHXNUVCXPYHDBVPYDFXOWISWGWHXNUUIMARCZIJYRYKBUUJXNMAUVEIAWJXNA
    YCWGWKAWLWMWNYHYEEWOKZWRXNYEDBZXPUVCMFIJZYGYIWSUVGXNEWPWQVQYDUVDUVHXNWTVQZY
    EXOFXAXBXCXDXNYJXTXNYIYJUVFXEXNXPEDBZUVCUVHYJXTWSYDUVJXNWPVQUVDUVIXOEFXFXBX
    HXRXIBXQXIBYAXPXSXTVGWSXRXQXGWQXJXQXGXJXRXQXOXKXLXM $.

  $( The arctangent function is bounded by ` _pi / 2 ` on the reals.
     (Contributed by Mario Carneiro, 5-Apr-2015.) $)
  atanbnd $p |- ( A e. RR ->
    ( arctan ` A ) e. ( -u ( _pi / 2 ) (,) ( _pi / 2 ) ) ) $=
    ( cr wcel cc0 clt wbr catan cfv cpi co cneg cioo wceq adantr syl atanbndlem
    wa crp halfpire wb c2 cdiv cdm atanre atanneg renegcl biimpa elrpd eqeltrrd
    lt0neg1 recni negnegi oveq2i eleqtrrdi neghalfpire atanrecl iooneg mp3an12i
    mpbird simpr fveq2d atan0 eqtrdi 0re pirp rphalfcl rpgt0 mp2b lt0neg2 ax-mp
    mpbi cxr w3a rexri elioo2 mp2an mpbir3an eqeltrdi elrp sylbir w3o mpjao3dan
    lttri4 mpan2 ) ABCZADEFZAGHZIUAUBJZKZWHLJZCZADMZDAEFZWEWFQZWKWGKZWIWIKZLJZC
    ZWNWOWJWQWNAKZGHZWOWJWNAGUCCZWTWOMWEXAWFAUDNAUEOWNWSRCWTWJCWNWSWEWSBCWFAUFN
    WEWFDWSEFAUJUGUHWSPOUIWPWHWILWHWHSUKULUMUNWIBCWHBCZWNWGBCZWKWRTUOSWEXCWFAUP
    NWIWHWGUQURUSWEWLQZWGDWJXDWGDGHDXDADGWEWLUTVAVBVCDWJCZDBCZWIDEFZDWHEFZVDXHX
    GIRCWHRCXHVEIVFWHVGVHZXBXHXGTSWHVIVJVKXIWIVLCWHVLCXEXFXGXHVMTWIUOVNWHSVNWIW
    HDVOVPVQVRWEWMQARCWKAVSAPVTWEXFWFWLWMWAVDADWCWDWB $.

  $( The arctangent function is strictly increasing.  (Contributed by Mario
     Carneiro, 5-Apr-2015.) $)
  atanord $p |- ( ( A e. RR /\ B e. RR ) ->
    ( A < B <-> ( arctan ` A ) < ( arctan ` B ) ) ) $=
    ( cr wcel wa catan cfv clt wbr ctan cpi c2 cdiv co cneg atanbnd wceq atanre
    tanatan syl cioo wb tanord syl2an cdm breqan12d bitr2d ) ACDZBCDZEAFGZBFGZH
    IZUJJGZUKJGZHIZABHIUHUJKLMNZOUPUANZDUKUQDULUOUBUIAPBPUJUKUCUDUHUIUMAUNBHUHA
    FUEZDUMAQARASTUIBURDUNBQBRBSTUFUG $.

  $( The arctangent of ` 1 ` is ` _pi / 4 ` .  (Contributed by Mario Carneiro,
     2-Apr-2015.) $)
  atan1 $p |- ( arctan ` 1 ) = ( _pi / 4 ) $=
    ( cpi c4 cdiv co cfv catan c1 cc wcel c2 wceq cr pire 4nn mp2an clt wbr cc0
    ax-mp crp ctan tan4thpi fveq2i cre cneg cioo cn nndivre recni rere rphalfcl
    pirp rpgt0 wb halfpire lt0neg2 mpbi nnrp rpdivcl neghalfpire 0re lttri cmul
    wne 2cnne0 divdiv1 mp3an 2t2e4 oveq2i eqtri rphalflt eqbrtrri cxr w3a rexri
    wa elioo2 mpbir3an eqeltri atantan eqtr3i ) ABCDZUAEZFEZGFEWBWCGFUBUCWBHIWB
    UDEZAJCDZUEZWFUFDZIWDWBKWBALIBUGIZWBLIZMNABUHOZUIWEWBWHWJWEWBKWKWBUJSWBWHIZ
    WJWGWBPQZWBWFPQZWKWGRPQZRWBPQZWMRWFPQZWOWFTIZWQATIZWRULAUKSZWFUMSWFLIWQWOUN
    UOWFUPSUQWBTIZWPWSBTIZXAULWIXBNBURSABUSOWBUMSWGRWBUTVAWKVBOWFJCDZWBWFPXCAJJ
    VCDZCDZWBAHIJHIJRVDVPZXFXCXEKAMUIVEVEAJJVFVGXDBACVHVIVJWRXCWFPQWTWFVKSVLWGV
    MIWFVMIWLWJWMWNVNUNWGUTVOWFUOVOWGWFWBVQOVRVSWBVTOWA $.

  $( A point in the open unit disk is in the domain of the arctangent.
     (Contributed by Mario Carneiro, 5-Apr-2015.) $)
  bndatandm $p |- ( ( A e. CC /\ ( abs ` A ) < 1 ) -> A e. dom arctan ) $=
    ( cc wcel cabs cfv c1 clt wbr wa c2 cexp cneg wne catan cdm adantr wceq cc0
    co cle simpl sqcl abscld cn0 2nn0 absexp sylancl simpr cr abscl 1red absge0
    0le1 a1i lt2sqd mpbid sq1 breqtrdi eqbrtrd ltned fveq2 ax-1cn absnegi eqtri
    abs1 eqtrdi necon3i syl atandm3 sylanbrc ) ABCZADEZFGHZIZVKAJKSZFLZMZANOCVK
    VMUAZVNVODEZFMVQVNVSFVNVOVKVOBCVMAUBPUCVNVSVLJKSZFGVNVKJUDCVSVTQVRUEAJUFUGV
    NVTFJKSZFGVNVMVTWAGHVKVMUHVNVLFVKVLUICVMAUJPVNUKVKRVLTHVMAULPRFTHVNUMUNUOUP
    UQURUSUTVOVPVSFVOVPQVSVPDEZFVOVPDVAWBFDEFFVBVCVEVDVFVGVHAVIVJ $.

  ${
    $d y A $.  $d x y D $.  $d x S $.
    atansopn.d $e |- D = ( CC \ ( -oo (,] 0 ) ) $.
    atansopn.s $e |- S = { y e. CC | ( 1 + ( y ^ 2 ) ) e. D } $.
    $( The "domain of continuity" of the arctangent.  (Contributed by Mario
       Carneiro, 7-Apr-2015.) $)
    atans $p |- ( A e. S <-> ( A e. CC /\ ( 1 + ( A ^ 2 ) ) e. D ) ) $=
      ( c1 cv c2 cexp co caddc wcel cc wceq oveq1 oveq2d eleq1d elrab2 ) GAHZIJ
      KZLKZCMGBIJKZLKZCMABNDTBOZUBUDCUEUAUCGLTBIJPQRFS $.

    $( It suffices to show that ` 1 - _i A ` and ` 1 + _i A ` are in the
       continuity domain of ` log ` to show that ` A ` is in the continuity
       domain of arctangent.  (Contributed by Mario Carneiro, 7-Apr-2015.) $)
    atans2 $p |- ( A e. S <-> ( A e. CC /\ ( 1 - ( _i x. A ) ) e. D /\
      ( 1 + ( _i x. A ) ) e. D ) ) $=
      ( cc wcel c1 c2 co ci cmul cmin cc0 wceq cr wbr cle sylancr cexp caddc wa
      w3a cmnf cioc wn csqrt cfv cneg sqcl adantr sqsqrtd eqcomd sqrtcld sqeqor
      wo wb syldan mpbid clt 1re a1i negnegd fveq2d ax-1cn pncan2 simpr cxr 0re
      mnfxr elioc2 mp2an sylib simp1d resubcl sylancl eqeltrrd 0red 0le1 subneg
      renegcld simp3d eqbrtrd suble0 letrd eqtr3d oveq2d ax-icn resqrtcld recnd
      sqrtnegd mulassd ixi oveq1i mulm1d syl5eq 3eqtr2d eqeltrd readdcld mnfltd
      negsub eqtrd sq1 3brtr4d le2sqd mpbird suble0d syl3anbrc oveq2 syl5ibrcom
      sqrtge0d eleq1d mulneg2 mulcl orim12d mpd orcomd sqmul mpan oveq12d subsq
      i2 3eqtr3d 2cn 2m1e1 2re remulcld 2pos lesub2dd eqbrtrrid breqtrd ltletrd
      syl112anc addcl eleq2i eldif bitri baib syl subsubd eqtrdi subid1i lemul2
      mul01d subsub4d eqtr3di lemul1 mul02d jaodan impbida notbid ioran anbi12d
      bitrdi cdif subcl 3bitr4d pm5.32i atans 3anass 3bitr4i ) BGHZIBJUAKZUBKZC
      HZUCUVCILBMKZNKZCHZIUVGUBKZCHZUCZUCBDHUVCUVIUVKUDUVCUVFUVLUVCUVEUEOUFKZHZ
      UGZUVHUVMHZUGZUVJUVMHZUGZUCZUVFUVLUVCUVOUVPUVRUQZUGUVTUVCUVNUWAUVCUVNUWAU
      VCUVNUCZUVRUVPUWBBUVDUHUIZPZBUWCUJZPZUQZUVRUVPUQUWBUVDUWCJUAKZPZUWGUWBUWH
      UVDUWBUVDUVCUVDGHZUVNBUKZULZUMUNUVCUVNUWCGHZUWIUWGURUWBUVDUWLUOZBUWCUPUSU
      TUWBUWDUVRUWFUVPUWBUVRUWDILUWCMKZUBKZUVMHZUWBUWPQHZUEUWPVARZUWPOSRZUWQUWB
      IUWOIQHZUWBVBVCZUWBUWOUVDUJZUHUIZUJZQUWBUWOLLUXDMKZMKLLMKZUXDMKZUXEUWBUWC
      UXFLMUWBUXCUJZUHUIUWCUXFUWBUXIUVDUHUWBUVDUWLVDVEUWBUXCUWBUVDUWBUVEINKZUVD
      QUWBIGHZUWJUXJUVDPVFUWLIUVDVGTUWBUVEQHZUXAUXJQHUWBUXLUEUVEVARZUVEOSRZUWBU
      VNUXLUXMUXNUDZUVCUVNVHUEVIHZOQHZUVNUXOURVKVJUEOUVEVLVMVNZVOVBUVEIVPVQVRWB
      ZUWBOIUXCUWBVSUXBUXSOISRUWBVTVCZUWBIUXCNKZOSRZIUXCSRZUWBUYAUVEOSUWBUXKUWJ
      UYAUVEPZVFUWLIUVDWAZTUWBUXLUXMUXNUXRWCWDUWBUXAUXCQHUYBUYCURVBUXSIUXCWETUT
      ZWFZWLWGWHUWBLLUXDLGHZUWBWIVCZUYIUWBUXDUWBUXCUXSUYGWJZWKZWMUWBUXHIUJZUXDM
      KUXEUXGUYLUXDMWNWOUWBUXDUYKWPWQWRZUWBUXDUYJWBWSWTZUWBUWPUYNXAUWBUWPIUXDNK
      ZOSUWBUWPIUXEUBKZUYOUWBUWOUXEIUBUYMWHUWBUXKUXDGHUYPUYOPVFUYKIUXDXBTXCUWBU
      YOOSRIUXDSRZUWBUYQIJUAKZUXDJUAKZSRUWBIUXCUYRUYSSUYFUYRIPZUWBXDVCUWBUXCUWB
      UXCUXSWKUMXEUWBIUXDUXBUYJUXTUWBUXCUXSUYGXLXFXGUWBIUXDUXBUYJXHXGWDUXPUXQUW
      QUWRUWSUWTUDURVKVJUEOUWPVLVMXIZUWDUVJUWPUVMUWDUVGUWOIUBBUWCLMXJWHXMXKUWBU
      VPUWFILUWEMKZNKZUVMHUWBVUCUWPUVMUWBVUCIUWOUJZNKZUWPUWBVUBVUDINUWBUYHUWMVU
      BVUDPWIUWNLUWCXNTWHUWBUXKUWOGHZVUEUWPPVFUWBUYHUWMVUFWIUWNLUWCXOTIUWOWATXC
      VUAWSUWFUVHVUCUVMUWFUVGVUBINBUWELMXJWHXMXKXPXQXRUVCUWAUCUVJUVHMKZUVEUVMUV
      CVUGUVEPUWAUVCUYRUVGJUAKZNKZUYAVUGUVEUVCUYRIVUHUXCNUYTUVCXDVCUVCVUHLJUAKZ
      UVDMKZUXCUYHUVCVUHVUKPWILBXSXTUVCVUKUYLUVDMKUXCVUJUYLUVDMYCWOUVCUVDUWKWPW
      QXCYAUVCUXKUVGGHZVUIVUGPVFUYHUVCVULWILBXOXTZIUVGYBTUVCUXKUWJUYDVFUWKUYETY
      DULUVCUVPVUGUVMHZUVRUVCUVPUCZVUGQHZUEVUGVARZVUGOSRZVUNVUOUVJUVHVUOJUVHNKZ
      UVJQUVCVUSUVJPUVPUVCVUSJINKZUVGUBKUVJUVCJIUVGJGHUVCYEVCZUXKUVCVFVCZVUMUUA
      VUTIUVGUBYFWOUUBULZVUOJQHZUVHQHZVUSQHYGVUOVVEUEUVHVARZUVHOSRZVUOUVPVVEVVF
      VVGUDZUVCUVPVHUXPUXQUVPVVHURVKVJUEOUVHVLVMVNZVOZJUVHVPTVRZVVJYHZVUOVUGVVL
      XAVUOVUGUVJOMKZOSVUOVVGVUGVVMSRZVUOVVEVVFVVGVVIWCZVUOVVEUXQUVJQHZOUVJVARV
      VGVVNURVVJVUOVSZVVKVUOOJUVJVVQVVDVUOYGVCZVVKOJVARZVUOYIVCVUOJVUSUVJSVUOJJ
      ONKZVUSSJYEUUCZVUOUVHOJVVJVVQVVRVVOYJYKVVCYLYMUVHOUVJUUDYNUTVUOUVJUVCUVJG
      HZUVPUVCUXKVULVWBVFVUMIUVGYOTZULUUEYLUXPUXQVUNVUPVUQVURUDURVKVJUEOVUGVLVM
      ZXIUVCUVRUCZVUPVUQVURVUNVWEUVJUVHVWEVVPUEUVJVARZUVJOSRZVWEUVRVVPVWFVWGUDZ
      UVCUVRVHUXPUXQUVRVWHURVKVJUEOUVJVLVMVNZVOZVWEJUVJNKZUVHQUVCVWKUVHPUVRUVCV
      UTUVGNKVWKUVHUVCJIUVGVVAVVBVUMUUFVUTIUVGNYFWOUUGULZVWEVVDVVPVWKQHYGVWJJUV
      JVPTVRZYHZVWEVUGVWNXAVWEVUGOUVHMKZOSVWEVWGVUGVWOSRZVWEVVPVWFVWGVWIWCZVWEV
      VPUXQVVEOUVHVARVWGVWPURVWJVWEVSZVWMVWEOJUVHVWRVVDVWEYGVCZVWMVVSVWEYIVCVWE
      JVWKUVHSVWEJVVTVWKSVWAVWEUVJOJVWJVWRVWSVWQYJYKVWLYLYMUVJOUVHUUHYNUTVWEUVH
      VWEUVHVWMWKUUIYLVWDXIUUJVRUUKUULUVPUVRUUMUUOUVCUVEGHZUVFUVOURUVCUXKUWJVWT
      VFUWKIUVDYOTUVFVWTUVOUVFUVEGUVMUUPZHVWTUVOUCCVXAUVEEYPUVEGUVMYQYRYSYTUVCU
      VIUVQUVKUVSUVCUVHGHZUVIUVQURUVCUXKVULVXBVFVUMIUVGUUQTUVIVXBUVQUVIUVHVXAHV
      XBUVQUCCVXAUVHEYPUVHGUVMYQYRYSYTUVCVWBUVKUVSURVWCUVKVWBUVSUVKUVJVXAHVWBUV
      SUCCVXAUVJEYPUVJGUVMYQYRYSYTUUNUURUUSABCDEFUUTUVCUVIUVKUVAUVB $.

    $( The domain of continuity of the arctangent is an open set.  (Contributed
       by Mario Carneiro, 7-Apr-2015.) $)
    atansopn $p |- S e. ( TopOpen ` CCfld ) $=
      ( cc c1 cv c2 cexp co caddc cmpt ccnv cfv wcel eqid ccn wtru a1i cima cn0
      ccnfld ctopn crab mptpreima eqtr4i ctopon cnfldtopon 1cnd 2nn0 expcn mp1i
      cnmptc ctx addcn cnmpt12f mptru logdmopn cnima mp2an eqeltri ) CAFGAHIJKZ
      LKZMZNBUAZUCUDOZCVDBPAFUEVFEAFVDBVEVEQUFUGVEVGVGRKZPZBVGPVFVGPVISAGVCLVGV
      GVGVGFVGFUHOPSVGVGQZUITZSAGVGVGFFVKVKSUJUNIUBPAFVCMVHPSUKAVGIVJULUMLVGVGU
      OKVGRKPSVGVJUPTUQURBDUSBVEVGVGUTVAVB $.

    $( The domain of continuity of the arctangent is a subset of the actual
       domain of the arctangent.  (Contributed by Mario Carneiro,
       7-Apr-2015.) $)
    atansssdm $p |- S C_ dom arctan $=
      ( c1 cv c2 cexp co caddc wcel cc crab catan cdm wss wi rabss wa cc0 simpl
      wne logdmn0 adantl atandm4 sylanbrc ex mprgbir eqsstri ) CFAGZHIJKJZBLZAM
      NZOPZEUNUOQUMUKUOLZRAMUMAMUOSUKMLZUMUPUQUMTUQULUAUCZUPUQUMUBUMURUQULBDUDU
      EUKUFUGUHUIUJ $.

    $( The real number line is a subset of the domain of continuity of the
       arctangent.  (Contributed by Mario Carneiro, 7-Apr-2015.) $)
    ressatans $p |- RR C_ S $=
      ( cr c1 co wcel cc wss cmnf cc0 1re sylancr wbr clt a1i wb 0re cv c2 cexp
      caddc crab wral ax-resscn cioc cdif resqcl readdcl recnd cle wn addgtge0d
      0lt1 sqge0 ltnle mpbid cxr w3a mnfxr elioc2 simp3bi nsyl eldifd eleqtrrdi
      mp2an rgen ssrab mpbir2an sseqtrri ) FGAUAZUBUCHZUDHZBIZAJUEZCFVQKFJKVPAF
      UFUGVPAFVMFIZVOJLMUHHZUIBVRVOJVSVRVOVRGFIZVNFIVOFIZNVMUJZGVNUKOZULVRVOMUM
      PZVOVSIZVRMVOQPZWDUNZVRGVNVTVRNRWBMGQPVRUPRVMUQUOVRMFIZWAWFWGSTWCMVOUROUS
      WEWALVOQPZWDLUTIWHWEWAWIWDVASVBTLMVOVCVHVDVEVFDVGVIVPAJFVJVKEVL $.

    $( The derivative of the arctangent.  (Contributed by Mario Carneiro,
       7-Apr-2015.) $)
    dvatan $p |- ( CC _D ( arctan |` S ) ) =
      ( x e. S |-> ( 1 / ( 1 + ( x ^ 2 ) ) ) ) $=
      ( cc co c1 c2 cdiv cmpt wtru ci cmul cmin wcel a1i ax-icn cc0 cres cdv cv
      catan cexp caddc wceq clog cfv cvv cr cpr cnelprrecn ax-1cn wne atansssdm
      wa cdm simpr sselid atandm2 sylib simp1d mulcl sylancr subcl simp2d addcl
      w3a logcld simp3d subcld ovexd cneg atans2 simp2bi negex csn cdif logdmss
      adantl wf1o wf logf1o f1of ax-mp ffvelrni logrncn 3syl ccnfld ctopn sylan
      1cnd 0cnd dvmptc dvmptid dvmptcmul mulid1i mpteq2i eqtrdi dvmptsub df-neg
      crn eqtr4di wss ssrab3 eqid cnfldtopon dvmptres oveq2d fveq2 dvmptco irec
      oveq2 oveq2i oveq1i syl5eq eqtrd oveq12d subneg 3eqtr3d eqtr3id mpteq2dva
      ine0 3eqtrd negicn addcom sylancl 3eqtr3rd oveq1d eqtr3d eqtri mulid1d wb
      2cn subeq0 necon3bid mpbird divcan5d mp1i toponrestid mp2an feqmptd fvres
      atansopn fssres mpteq2ia eqtr2di dvlog reccld divrecd subdird mulid2i ixi
      recdiv2d mul32d mulm1d comraddd simp3bi dvmptadd addid2i divdiv2d divdird
      divcan3d negsub div23d atandm4 simprbi divsubdird pnpcand divreci 2timesi
      sqcld syl negsubi 3eqtri mulcomd i2 subsq atandm eqnetrrd df-atan reseq1i
      halfcl atanf fdmi sseqtri resmpt 2ne0 divcan6 mp4an divassd 3eqtr4d mptru
      divcli ) GUDDUAZUBHZADIIAUCZJUEHZUFHZKHZLZUGMGADNJKHZINUWROHZPHZUHUIZIUXD
      UFHZUHUIZPHZOHZLZUBHADUXCJNKHZUWTKHZOHZLUWQUXBMAUXIUXMUXCGUJDGUKGULQMUMRZ
      MUWRDQZUQZUXFUXHUXQUXEUXQIGQZUXDGQZUXEGQZUNUXQNGQZUWRGQZUXSSUXQUYBUXETUOZ
      UXGTUOZUXQUWRUDURZQZUYBUYCUYDVIUXQDUYEUWRBCDEFUPZMUXPUSUTZUWRVAVBZVCZNUWR
      VDZVEZIUXDVFZVEZUXQUYBUYCUYDUYIVGZVJZUXQUXGUXQUXRUXSUXGGQZUNUYLIUXDVHZVEZ
      UXQUYBUYCUYDUYIVKZVJZVLUXQUXLUWTKVMMGADUXILUBHADIUWRNUFHZKHZIUWRNPHZKHZPH
      ZLADUXMLMAUXFVUCUXHVUEGUJUJDUXOUYPUXQIVUBKVMMGADUXFLUBHADIUXEKHZNVNZOHZLA
      DVUCLMABUXEVUHBUCZUHUIZIVUJKHZGGUXFVUGUJUJDCUXOUXOUXPUXECQZMUXPUYBVUMUXGC
      QZBUWRCDEFVOZVPWAVUHUJQZUXQNVQZRMVUJCQZUQZVUJGTVRVSZQVUKUHXCZQVUKGQVUSCVU
      TVUJCEVTZMVURUSUTVUTVVAVUJUHVUTVVAUHWBVUTVVAUHWCZWDVUTVVAUHWEWFZWGVUKWHWI
      ZVUSIVUJKVMZMAUXEVUHGWJWKUIZVVGUJGDUXOMUYBUQZUXRUXSUXTUNMUYAUYBUXSUYAMSRZ
      UYKWLZUYMVEVUPVVHVUQRMGAGUXELUBHAGTNPHZLAGVUHLMAITUXDNGGGGUXOVVHWMZVVHWNZ
      MAIGUXOMWMWOZVVJUYAVVHSRZMGAGUXDLUBHAGNIOHZLAGNLZMAUWRINGGGUXOMUYBUSVVLMA
      GUXOWPVVIWQAGVVPNNSWRWSWTZXAAGVUHVVKNXBWSXDDGXEMIVUJJUEHUFHCQBGDFXFRZVVGG
      VVGVVGXGZXHUUAZVVTDVVGQMBCDEFUUERZXIMGBCVUKLZUBHGUHCUAZUBHBCVULLMVWCVWDGU
      BMVWDBCVUJVWDUIZLVWCMBCVVAVWDCVVAVWDWCZMVVCCVUTXEVWFVVDVVBVUTVVACUHUUFUUB
      RUUCBCVWEVUKVUJCUHUUDUUGUUHXJBCEUUIWTZVUJUXEUHXKVUJUXEIKXNXLMADVUIVUCUXQV
      UIVUGINKHZOHZVUCVWHVUHVUGOXMXOUXQVUGNKHIUXENOHZKHVWIVUCUXQUXENUYNUYAUXQSR
      ZUYONTUOZUXQYDRZUUOUXQVUGNUXQUXEUYNUYOUUJVWKVWMUUKUXQVWJVUBIKUXQVWJNUWRVW
      KUYJUXQVWJINOHZUXDNOHZPHNUWRVNZPHZNUWRUFHZUXQIUXDNUXQWMZUYLVWKUULUXQVWNNV
      WOVWPPVWNNUGUXQNSUUMRUXQVWONNOHZUWROHZVWPUXQNUWRNVWKUYJVWKUUPUXQVXAIVNZUW
      ROHVWPVWTVXBUWROUUNXPUXQUWRUYJUUQXQXRXSUXQUYAUYBVWQVWRUGSUYJNUWRXTVEYEUUR
      XJYAYBYCXRVUAUXQIVUDKVMMGADUXHLUBHADIUXGKHZNOHZLADVUELMABUXGNVUKVULGGUXHV
      XCGUJDCUXOUXOUXPVUNMUXPUYBVUMVUNVUOUUSWAVWKVVEVVFMAUXGNGVVGVVGGGDUXOVVHUX
      RUXSUYQUNVVJUYRVEVVOMGAGUXGLUBHAGTNUFHZLVVQMAITUXDNGGGGUXOVVLVVMVVNVVJVVO
      VVRUUTAGVXENNSUVAWSWTVVSVWAVVTVWBXIVWGVUJUXGUHXKVUJUXGIKXNXLMADVXDVUEUXQI
      UXGNKHZKHVWNUXGKHVUEVXDUXQIUXGNVWSUYSVWKUYTVWMUVBUXQVXFVUDIKUXQVXFVWHUXDN
      KHZUFHVUHUWRUFHZVUDUXQIUXDNVWSUYLVWKVWMUVCUXQVWHVUHVXGUWRUFVWHVUHUGUXQXMR
      UXQUWRNUYJVWKVWMUVDXSUXQVXHUWRVUHUFHZVUDUXQVUHGQZUYBVXHVXIUGYFUYJVUHUWRYG
      VEUXQUYBUYAVXIVUDUGUYJSUWRNUVEYHZXRYEXJUXQINUXGVWSVWKUYSUYTUVFYIYCXRXAMAD
      VUFUXMUXQVUDVUBPHZUWTKHVUDUWTKHZVUBUWTKHZPHUXMVUFUXQVUDVUBUWTUXQUYBUYAVUD
      GQUYJSUWRNVFYHZUXQUYBUYAVUBGQUYJSUWRNVHYHZUXQUXRUWSGQZUWTGQUNUXQUWRUYJUVM
      ZIUWSVHVEZUXQUYFUWTTUOZUYHUYFUYBVXTUWRUVGUVHUVNZUVIUXQVXLUXLUWTKUXQVXLVUH
      NPHZUXLUXQVXIVUBPHVXLVYBUXQVXIVUDVUBPVXKYJUXQUWRVUHNUYJVXJUXQYFRVWKUVJYKU
      XLJVUHOHZVUHVUHUFHVYBUXLJVWHOHVYCJNYOSYDUVKVWHVUHJOXMXOYLVUHYFUVLVUHNYFSU
      VOUVPXDYJUXQVXMVUCVXNVUEPUXQVUDIOHZVUDVUBOHZKHVXMVUCUXQVYDVUDVYEUWTKUXQVU
      DVXOYMUXQVYEVUBVUDOHZUWTUXQVUDVUBVXOVXPUVQUXQUWSNJUEHZPHZUWSIUFHZVYFUWTUX
      QVYHUWSVXBPHZVYIVYGVXBUWSPUVRXOUXQVXQUXRVYJVYIUGVXRUNUWSIXTYHXQUXQUYBUYAV
      YHVYFUGUYJSUWRNUVSYHUXQVXQUXRVYIUWTUGVXRUNUWSIYGYHYAZXRXSUXQIVUBVUDVWSVXP
      VXOUXQUWRVUHPHZVUBTUXQUYBUYAVYLVUBUGUYJSUWRNXTYHUXQVYLTUOZUWRVUHUOZUXQUYB
      VYNUWRNUOZUXQUYFUYBVYNVYOVIUYHUWRUVTVBZVGUXQUYBVXJVYMVYNYNUYJYFUYBVXJUQVY
      LTUWRVUHUWRVUHYPYQYHYRUWAZUXQVUDTUOZVYOUXQUYBVYNVYOVYPVKUXQUYBUYAVYRVYOYN
      UYJSUYBUYAUQVUDTUWRNUWRNYPYQYHYRZYSYKUXQVUBIOHZVYFKHVXNVUEUXQVYTVUBVYFUWT
      KUXQVUBVXPYMVYKXSUXQIVUDVUBVWSVXOVXPVYSVYQYSYKXSYIYCXRUYAUXCGQZMSNUWDZYTW
      QMUWPUXKGUBUWPUXKUGMUWPAGVUHNULVSZUXJLZDUAZUXKUDWUDDAUWBUWCDWUCXEWUEUXKUG
      DUYEWUCUYGWUCGUDUWEUWFUWGAWUCDUXJUWHWFYLRXJMADUXAUXNUXQUXAUXCUXLOHZUWTKHU
      XNWUFIUWTKUYAVWLJGQJTUOWUFIUGSYDYOUWINJUWJUWKXPUXQUXCUXLUWTUYAWUAUXQSWUBY
      TUXLGQUXQJNYOSYDUWORVXSVYAUWLYBYCUWMUWN $.

    $( The arctangent is a continuous function.  (Contributed by Mario
       Carneiro, 7-Apr-2015.) $)
    atancn $p |- ( arctan |` S ) e. ( S -cn-> CC ) $=
      ( vx cc wss catan wf co wcel ci atanf cdm c1 cv c2 cexp caddc cpr sseqtri
      cres ccncf ssid cneg cdif atansssdm fdmi fssres mp2an ssrab3 w3a cdv wceq
      cdiv ovex dvatan dmmpti dvcn mpan2 mp3an ) GGHZCGICUCZJZCGHZVDCGUDKLZGUEG
      MUFMUAUGZGIJCVHHVENCIOVHABCDEUHVHGINUIUBVHGCIUJUKPAQRSKTKBLAGCEULVCVEVFUM
      GVDUNKZOCUOVGFCPPFQRSKTKZUPKVIPVJUPUQFABCDEURUSCGVDUTVAVB $.
  $}

  ${
    $d k m n A $.  $d m F $.
    atantayl.1 $e |- F = ( n e. NN |-> ( ( ( _i x.
      ( ( -u _i ^ n ) - ( _i ^ n ) ) ) / 2 ) x. ( ( A ^ n ) / n ) ) ) $.
    $( The Taylor series for ` arctan ( A ) ` .  (Contributed by Mario
       Carneiro, 1-Apr-2015.) $)
    atantayl $p |- ( ( A e. CC /\ ( abs ` A ) < 1 ) ->
      seq 1 ( + , F ) ~~> ( arctan ` A ) ) $=
      ( cc wcel cfv c1 caddc ci cdiv cmul cmin cexp sylancr wceq oveq12d adantl
      co cn vm vk cabs clt wbr wa cseq c2 clog catan cli cneg cv cmpt nnuz 1zzd
      ax-icn halfcl mp1i simpl mulcl negcld absnegd absmul absi oveq1i cr abscl
      cvv adantr recnd mulid2d syl5eq 3eqtrd simpr eqbrtrd ax-1cn subneg fveq2d
      logtayl syl2anc negeqd breqtrd seqex a1i eqbrtrrd oveq2 id eqid fvmpt cn0
      ovex nnnn0 expcl syl2an nncn cc0 wne nnne0 divcld serf ffvelrnda eleqtrdi
      eqeltrd cuz cfz elfznn eqtr4d sersub climsub addcl cdm w3a atandm2 simp3d
      bndatandm sylib logcld subcl simp2d subcld negicn 2cnd 2ne0 div23d oveq1d
      neg2subd mulassd subdird mulneg1 mulexpd eqtr3d divassd divsubdird oveq2d
      3eqtr3d 3eqtr4d isermulc2 atanval syl breqtrrd ) AEFZAUCGZHUDUEZUFZICHUGJ
      UHKSZHJALSZMSZUIGZHUUGISZUIGZMSZLSZAUJGZUKUUEUULUUFUABTUUGULZBUMZNSZUUPKS
      ZUUGUUPNSZUUPKSZMSZUNZCHTUOUUEUPZJEFZUUFEFZUUEUQJURUSZUUEIUVBHUGZUUKULZUU
      IULZMSUULUKUUEUVHUVIUBIBTUURUNZHUGZIBTUUTUNZHUGZUVGHVITUOUVCUUEUVKHUUOMSZ
      UIGZULZUVHUKUUEUUOEFZUUOUCGZHUDUEUVKUVPUKUEUUEUUGUUEUVDUUBUUGEFZUQUUBUUDU
      TZJAVAOZVBZUUEUVRUUCHUDUUEUVRUUGUCGZJUCGZUUCLSZUUCUUEUUGUWAVCZUUEUVDUUBUW
      CUWEPUQUVTJAVDOUUEUWEHUUCLSUUCUWDHUUCLVEVFUUEUUCUUEUUCUUBUUCVGFUUDAVHVJVK
      VLVMVNUUBUUDVOVPZUUOBVTWAUUEUVOUUKUUEUVNUUJUIUUEHEFZUVSUVNUUJPVQUWAHUUGVR
      OVSWBWCUVGVIFUUEIUVBHWDWEUUEUVSUWCHUDUEUVMUVIUKUEUWAUUEUVRUWCHUDUWFUWGWFU
      UGBVTWAUUETEUBUMZUVKUUEUAUVJHTUOUVCUUEUAUMZTFZUFZUWJUVJGZUUOUWJNSZUWJKSZE
      UWKUWMUWOPUUEBUWJUURUWOTUVJUUPUWJPZUUQUWNUUPUWJKUUPUWJUUONWGUWPWHZQZUVJWI
      UWNUWJKWLWJRZUWLUWNUWJUUEUVQUWJWKFZUWNEFUWKUWBUWJWMZUUOUWJWNWOZUWKUWJEFUU
      EUWJWPRZUWKUWJWQWRUUEUWJWSRZWTZXDZXAXBUUETEUWIUVMUUEUAUVLHTUOUVCUWLUWJUVL
      GZUUGUWJNSZUWJKSZEUWKUXGUXIPUUEBUWJUUTUXITUVLUWPUUSUXHUUPUWJKUUPUWJUUGNWG
      UWQQZUVLWIUXHUWJKWLWJRZUWLUXHUWJUUEUVSUWTUXHEFUWKUWAUXAUUGUWJWNWOZUXCUXDW
      TZXDZXAXBUUEUWITFZUFZUAUVJUVLUVBHUWIUXPUWITHXEGUUEUXOVOUOXCUXPUUEUWKUWMEF
      UWJHUWIXFSFZUUEUXOUTZUWJUWIXGZUXFWOUXPUUEUWKUXGEFUXQUXRUXSUXNWOUXPUUEUWKU
      WJUVBGZUWMUXGMSZPUXQUXRUXSUWLUXTUWOUXIMSZUYAUWKUXTUYBPUUEBUWJUVAUYBTUVBUW
      PUURUWOUUTUXIMUWRUXJQUVBWIUWOUXIMWLWJRZUWLUWMUWOUXGUXIMUWSUXKQXHWOXIXJUUE
      UUKUUIUUEUUJUUEUWHUVSUUJEFVQUWAHUUGXKOUUEUUBUUHWQWRZUUJWQWRZUUEAUJXLFZUUB
      UYDUYEXMAXPZAXNXQZXOXRUUEUUHUUEUWHUVSUUHEFVQUWAHUUGXSOUUEUUBUYDUYEUYHXTXR
      YGWCUWLUXTUYBEUYCUWLUWOUXIUXEUXMYAXDUWLJJULZUWJNSZJUWJNSZMSZLSZUHKSZAUWJN
      SZUWJKSZLSZUUFUYBLSZUWJCGZUUFUXTLSUWLUYQUUFUYLLSZUYPLSUUFUYLUYPLSZLSUYRUW
      LUYNUYTUYPLUWLJUYLUHUVDUWLUQWEZUWLUYJUYKUWLUYIEFZUWTUYJEFYBUWKUWTUUEUXARZ
      UYIUWJWNOZUWLUVDUWTUYKEFUQVUDJUWJWNOZYAZUWLYCUHWQWRUWLYDWEYEYFUWLUUFUYLUY
      PUUEUVEUWKUVFVJVUGUWLUYOUWJUUEUUBUWTUYOEFUWKUVTUXAAUWJWNWOZUXCUXDWTYHUWLV
      UAUYBUUFLUWLUYLUYOLSZUWJKSUWNUXHMSZUWJKSVUAUYBUWLVUIVUJUWJKUWLVUIUYJUYOLS
      ZUYKUYOLSZMSVUJUWLUYJUYKUYOVUEVUFVUHYIUWLUWNVUKUXHVULMUWLUYIALSZUWJNSUWNV
      UKUWLVUMUUOUWJNUWLUVDUUBVUMUUOPUQUUEUUBUWKUVTVJZJAYJOYFUWLUYIAUWJVUCUWLYB
      WEVUNVUDYKYLUWLJAUWJVUBVUNVUDYKQXHYFUWLUYLUYOUWJVUGVUHUXCUXDYMUWLUWNUXHUW
      JUXBUXLUXCUXDYNYPYOVNUWKUYSUYQPUUEBUWJJUYIUUPNSZJUUPNSZMSZLSZUHKSZAUUPNSZ
      UUPKSZLSUYQTCUWPVUSUYNVVAUYPLUWPVURUYMUHKUWPVUQUYLJLUWPVUOUYJVUPUYKMUUPUW
      JUYINWGUUPUWJJNWGQYOYFUWPVUTUYOUUPUWJKUUPUWJANWGUWQQQDUYNUYPLWLWJRUWLUXTU
      YBUUFLUYCYOYQYRUUEUYFUUNUUMPUYGAYSYTUUA $.
  $}

  ${
    $d n A $.
    atantayl2.1 $e |- F = ( n e. NN |-> if ( 2 || n , 0 ,
      ( ( -u 1 ^ ( ( n - 1 ) / 2 ) ) x. ( ( A ^ n ) / n ) ) ) ) $.
    $( The Taylor series for ` arctan ( A ) ` .  (Contributed by Mario
       Carneiro, 1-Apr-2015.) $)
    atantayl2 $p |- ( ( A e. CC /\ ( abs ` A ) < 1 ) ->
      seq 1 ( + , F ) ~~> ( arctan ` A ) ) $=
      ( cc wcel c1 caddc ci cexp co cmin cmul c2 cdiv cc0 ax-icn a1i wceq cz wa
      cabs cfv clt wbr cseq cn cneg cv cmpt catan cli cdvds cif negcli ad2antlr
      cn0 nnnn0 expcld sqneg ax-mp oveq1i wne ine0 negne0i 2z 2ne0 nnz dvdsval2
      adantl mp3an12i biimpa expmulz syl22anc 3eqtr4a nncn 2cnd divcan2d oveq2d
      wb 3eqtr3d subeq0bd it0e0 eqtrdi oveq1d div0i simplll nnne0 divcld mul02d
      2cn eqtr2d ax-1cn neg1ne0 peano2cn syl divsubdird 2div2e1 oveq2i pnpcan2d
      wn df-2 syl5eq eqtr3d notbid zeo ord sylbid imp peano2zm eqeltrrd expclzd
      wo 2timesd subcl sylancl expm1d eqtrd expcl sylancr divrec2d eqtri negeqi
      irec divneg2 mp3an negnegi 3eqtr3i 3eqtr3g mulneg1 oveq12d negsubd subdid
      i2 mulcl eqtr4d 3eqtrd mvllmuld ifeqda mpteq2dva seqeq3d atantayl eqbrtrd
      eqid ) AEFZAUBUCGUDUEZUAZHCGUFHBUGIIUHZBUIZJKZIUUIJKZLKZMKZNOKZAUUIJKZUUI
      OKZMKZUJZGUFAUKUCULUUGCUURHGUUGCBUGNUUIUMUEZPGUHZUUIGLKZNOKZJKZUUPMKZUNZU
      JUURDUUGBUGUVEUUQUUGUUIUGFZUAZUUSPUVDUUQUVGUUSUAZUUQPUUPMKPUVHUUNPUUPMUVH
      UUNPNOKPUVHUUMPNOUVHUUMIPMKPUVHUULPIMUVHUUJUUKUVHUUHUUIUUHEFZUVHIQUOZRZUV
      FUUIUQFZUUGUUSUUIURZUPZUSUVHUUHNUUINOKZMKZJKZIUVPJKZUUJUUKUVHUUHNJKZUVOJK
      ZINJKZUVOJKZUVQUVRUVSUWAUVOJIEFZUVSUWASQIUTVAZVBUVHUVIUUHPVCZNTFZUVOTFZUV
      QUVTSUVKUWEUVHIQVDVEZRUWFUVHVFRZUVGUUSUWGUWFNPVCZUVGUUITFZUUSUWGVTVFVGUVF
      UWKUUGUUIVHZVJZNUUIVIVKZVLZUUHNUVOVMVNUVHUWCIPVCZUWFUWGUVRUWBSUWCUVHQRUWP
      UVHVDRUWIUWOINUVOVMVNVOUVHUVPUUIUUHJUVHUUINUVFUUIEFZUUGUUSUUIVPZUPZUVHVQU
      WJUVHVGRVRZVSUVHUVPUUIIJUWTVSWAWBVSWCWDWENWKVGWFWDWEUVHUUPUVHUUOUUIUVHAUU
      IUUEUUFUVFUUSWGUVNUSUWSUVFUUIPVCUUGUUSUUIWHUPWIWJWLUVGUUSXAZUAZUVCUUNUUPM
      UXBNUVCUUMUXBVQZUXBUUTUVBUUTEFUXBGWMUORUUTPVCUXBWNRUXBUUIGHKZNOKZGLKZUVBT
      UXBUXDNLKZNOKZUXFUVBUXBUXHUXENNOKZLKUXFUXBUXDNNUXBUWQUXDEFUVFUWQUUGUXAUWR
      UPZUUIWOWPUXCUXCUWJUXBVGRZWQUXIGUXELWRWSWDUXBUXGUVANOUXBUXGUXDGGHKZLKUVAN
      UXLUXDLXBWSUXBUUIGGUXJGEFZUXBWMRZUXNWTXCWEXDUXBUXETFZUXFTFUVGUXAUXOUVGUXA
      UWGXAUXOUVGUUSUWGUWNXEUVGUWGUXOUVGUWKUWGUXOXMUWMUUIXFWPXGXHXIUXEXJWPXKZXL
      ZUXKUXBNUVCMKUVCUVCHKIUUJMKZIUUKMKZUHZHKZUUMUXBUVCUXQXNUXBUVCUXRUVCUXTHUX
      BUVSUVBJKZGUUHOKZUUJMKZUVCUXRUXBUUHNUVBMKZJKZUUJUUHOKZUYBUYDUXBUYFUUHUVAJ
      KUYGUXBUYEUVAUUHJUXBUVANUXBUWQUXMUVAEFUXJWMUUIGXOXPUXCUXKVRZVSUXBUUHUUIUV
      IUXBUVJRZUWEUXBUWHRZUVFUWKUUGUXAUWLUPZXQXRUXBUVIUWEUWFUVBTFZUYFUYBSUYIUYJ
      UWFUXBVFRZUXPUUHNUVBVMVNUXBUUJUUHUXBUVIUVLUUJEFZUVJUVFUVLUUGUXAUVMUPZUUHU
      UIXSXTZUYIUYJYAWAUVSUUTUVBJUVSUWAUUTUWDYNYBVBUYCIUUJMGIOKZUHZUUHUHUYCIUYQ
      UUHYDYCUXMUWCUWPUYRUYCSWMQVDGIYEYFIQYGYHVBYIUXBUVCUUHUUKMKZUXTUXBUWAUVBJK
      ZUYQUUKMKZUVCUYSUXBIUYEJKZUUKIOKZUYTVUAUXBVUBIUVAJKVUCUXBUYEUVAIJUYHVSUXB
      IUUIUWCUXBQRZUWPUXBVDRZUYKXQXRUXBUWCUWPUWFUYLVUBUYTSVUDVUEUYMUXPINUVBVMVN
      UXBUUKIUXBUWCUVLUUKEFZQUYOIUUIXSXTZVUDVUEYAWAUWAUUTUVBJYNVBUYQUUHUUKMYDVB
      YIUXBUWCVUFUYSUXTSQVUGIUUKYJXTXRYKUXBUYAUXRUXSLKUUMUXBUXRUXSUXBUWCUYNUXRE
      FQUYPIUUJYOXTUXBUWCVUFUXSEFQVUGIUUKYOXTYLUXBIUUJUUKVUDUYPVUGYMYPYQYRWEYSY
      TXCUUAABUURUURUUDUUBUUC $.
  $}

  ${
    $d k n A $.
    atantayl3.1 $e |- F = ( n e. NN0 |-> ( ( -u 1 ^ n ) x.
      ( ( A ^ ( ( 2 x. n ) + 1 ) ) / ( ( 2 x. n ) + 1 ) ) ) ) $.
    $( The Taylor series for ` arctan ( A ) ` .  (Contributed by Mario
       Carneiro, 7-Apr-2015.) $)
    atantayl3 $p |- ( ( A e. CC /\ ( abs ` A ) < 1 ) ->
      seq 0 ( + , F ) ~~> ( arctan ` A ) ) $=
      ( vk cc wcel c1 wbr caddc cc0 cseq cn0 c2 cmul co cmin cdiv cexp cmpt cfv
      cabs clt wa cneg catan cli wceq 2nn0 simpr nn0mulcl sylancr nn0cnd ax-1cn
      cv pncan sylancl oveq1d nn0cn adantl 2cnd wne 2ne0 divcan3d eqtr2d oveq2d
      a1i mpteq2dva syl5eq seqeq3d cdvds cif eqid atantayl2 neg1cn expcl simpll
      cn peano2nn0 syl expcld nn0p1nn nncnd nnne0d divcld mulcld eqeltrrd oveq1
      oveq2 id oveq12d iserodd mpbird eqbrtrd ) AFGZAUBUAHUCIZUDZJCKLJBMHUEZNBU
      OZOPZHJPZHQPZNRPZSPZAXASPZXARPZOPZTZKLZAUFUAZUGWQCXHJKWQCBMWRWSSPZXFOPZTX
      HDWQBMXLXGWQWSMGZUDZXKXDXFOXNWSXCWRSXNXCWTNRPWSXNXBWTNRXNWTFGHFGXBWTUHXNW
      TXNNMGXMWTMGZUIWQXMUJZNWSUKULZUMUNWTHUPUQURXNWSNXMWSFGWQWSUSUTXNVANKVBXNV
      CVGVDVEVFURZVHVIVJWQXIXJUGIJEVRNEUOZVKIKWRXSHQPZNRPZSPZAXSSPZXSRPZOPZVLTZ
      HLXJUGIAEYFYFVMVNWQXJYEXGBEXNXLXGFXRXNXKXFXNWRFGXMXKFGVOXPWRWSVPULXNXEXAX
      NAXAWOWPXMVQXNXOXAMGXQWTVSVTWAXNXAXNXOXAVRGXQWTWBVTZWCXNXAYGWDWEWFWGXSXAU
      HZYBXDYDXFOYHYAXCWRSYHXTXBNRXSXAHQWHURVFYHYCXEXSXARXSXAASWIYHWJWKWKWLWMWN
      $.
  $}

  $( Lemma for ~ leibpi .  (Contributed by Mario Carneiro, 7-Apr-2015.)  (Proof
     shortened by Steven Nguyen, 23-Mar-2023.) $)
  leibpilem1 $p |- ( ( N e. NN0 /\ ( -. N = 0 /\ -. 2 || N ) ) ->
    ( N e. NN /\ ( ( N - 1 ) / 2 ) e. NN0 ) ) $=
    ( cn0 wcel c2 cdvds wbr wn cn c1 cmin co cdiv wa cc0 wceq nn0onn nn0oddm1d2
    biimpa jca adantrl ) ABCZDAEFGZAHCZAIJKDLKBCZMANOGUAUBMUCUDAPUAUBUDAQRST $.

  ${
    $d j k n x $.  $d n G $.
    leibpi.1 $e |- F = ( n e. NN0 |->
      ( ( -u 1 ^ n ) / ( ( 2 x. n ) + 1 ) ) ) $.
    ${
      leibpilem2.2 $e |- G = ( k e. NN0 |-> if ( ( k = 0 \/ 2 || k ) , 0 ,
        ( ( -u 1 ^ ( ( k - 1 ) / 2 ) ) / k ) ) ) $.
      leibpilem2.3 $e |- A e. _V $.
      $( The Leibniz formula for ` _pi ` .  (Contributed by Mario Carneiro,
         7-Apr-2015.) $)
      leibpilem2 $p |- ( seq 0 ( + , F ) ~~> A <-> seq 0 ( + , G ) ~~> A ) $=
        ( caddc cc0 cli cn0 c1 c2 co cdiv wceq wcel cc wtru cseq cneg cmul cmin
        wbr cv cexp cmpt cdvds cif 2cn nn0cn mulcl sylancr ax-1cn pncan sylancl
        oveq1d wne 2ne0 divcan3 mp3an23 syl eqtrd oveq2d mpteq2ia eqtr4i seqeq3
        cn ax-mp breq1i wb cr reexpcl mpan 2nn0 nn0mulcl nn0p1nn nndivred recnd
        neg1rr eqeltrd adantl oveq1 id oveq12d iserodd cuz cfv cres addid2 0cnd
        mptru 1eluzge0 a1i 1nn0 wo wa wn ioran leibpilem1 simprd simpld sylan2b
        ifclda fmpti ffvelrni mp1i cfz simpr 1m1e0 oveq2i eleqtrdi elfz1eq 0nn0
        fveq2d iftrue orcs c0ex fvmpt eqtrdi seqid 1zzd nnuz nnne0 neneqd biorf
        eleqtrrdi ifbid breq2 eqid ovex ifex nnnn0 eqeq1 orbi12d 3eqtr4d seqfeq
        ifbieq2d cvv eqtr4d cz 1z seqex climres mp2an bitr3i 3bitri ) IDJUAZAKU
        EICLMUBZNCUFZUCOZMIOZMUDOZNPOZUGOZUUMPOZUHZJUAZAKUEZIBVINBUFZUIUEZJUUJU
        VAMUDOZNPOZUGOZUVAPOZUJZUHZMUAZAKUEZIEJUAZAKUEZUUIUUSAKDUURQUUIUUSQDCLU
        UJUUKUGOZUUMPOZUHUURFCLUUQUVNUUKLRZUUPUVMUUMPUVOUUOUUKUUJUGUVOUUOUULNPO
        ZUUKUVOUUNUULNPUVOUULSRZMSRUUNUULQUVONSRZUUKSRZUVQUKUUKULZNUUKUMUNUOUUL
        MUPUQURUVOUVSUVPUUKQZUVTUVSUVRNJUSUWAUKUTUUKNVAVBVCVDVEURZVFVGIDUURJVHV
        JVKUUTUVJVLTAUVFUUQCBUVOUUQSRTUVOUUQUVNSUWBUVOUVNUVOUVMUUMUUJVMRZUVOUVM
        VMRWAUUJUUKVNVOUVOUULLRZUUMVIRNLRUVOUWDVPNUUKVQVOUULVRVCVSVTWBWCUVAUUMQ
        ZUVEUUPUVAUUMPUWEUVDUUOUUJUGUWEUVCUUNNPUVAUUMMUDWDURVEUWEWEWFWGWMUVJUVK
        MWHWIZWJZAKUEZUVLUWGUVIAKUWGUVIQTUWGIEMUAUVITCISEJMJUVSJUUKIOUUKQTUUKWK
        WCTWLMJWHWIRTWNWOMLRMEWISRTWPLSMEBLSUVAJQZUVBWQZJUVFUJZEGUVALRZUWJJUVFS
        UWLUWJWRWLUWJWSUWLUWIWSUVBWSWRZUVFSRUWIUVBWTUWLUWMWRZUVFUWNUVEUVAUWNUWC
        UVDLRZUVEVMRWAUWNUVAVIRZUWOUVAXAZXBUUJUVDVNUNUWNUWPUWOUWQXCVSVTXDXEXFXG
        XHTUUKJMMUDOZXIOZRZWRZUUKEWIZJEWIZJUXAUUKJEUXAUUKJJXIOZRUUKJQZUXAUUKUWS
        UXDTUWTXJUWRJJXIXKXLXMUUKJXNVCXPJLRUXCJQXOBJUWKJLEUWIUVBUWKJQUWJJUVFXQX
        RGXSXTVJYAYBTICUVHEMTYCTUUKUWFRZWRZUUKVIRZUUKUVHWIZUXBQUXGUUKUWFVITUXFX
        JYDYHUXHNUUKUIUEZJUUJUUKMUDOZNPOZUGOZUUKPOZUJZUXEUXJWQZJUXNUJZUXIUXBUXH
        UXJUXPJUXNUXHUXEWSUXJUXPVLUXHUUKJUUKYEYFUXEUXJYGVCYIBUUKUVGUXOVIUVHUVAU
        UKQZUVBUXJUVFUXNJUVAUUKNUIYJZUXRUVEUXMUVAUUKPUXRUVDUXLUUJUGUXRUVCUXKNPU
        VAUUKMUDWDURVEUXRWEWFZYSUVHYKUXJJUXNXSUXMUUKPYLZYMXTUXHUVOUXBUXQQUUKYNB
        UUKUWKUXQLEUXRUWJUXPUVFUXNJUXRUWIUXEUVBUXJUVAUUKJYOUXSYPUXTYSGUXPJUXNXS
        UYAYMXTVCYQVCYRUUAWMVKMUUBRUVKYTRUWHUVLVLUUCIEJUUDAUVKMYTUUEUUFUUGUUH
        $.
    $}

    $( The Leibniz formula for ` _pi ` .  This proof depends on three main
       facts:  (1) the series ` F ` is convergent, because it is an alternating
       series ( ~ iseralt ).  (2) Using ~ leibpilem2 to rewrite the series as a
       power series, it is the ` x = 1 ` special case of the Taylor series for
       ` arctan ` ( ~ atantayl2 ).  (3) Although we cannot directly plug
       ` x = 1 ` into ~ atantayl2 , Abel's theorem ( ~ abelth2 ) says that the
       limit along any sequence converging to ` 1 ` , such as ` 1 - 1 / n ` ,
       of the power series converges to the power series extended to ` 1 ` ,
       and then since ` arctan ` is continuous at ` 1 ` ( ~ atancn ) we get the
       desired result.  This is Metamath 100 proof #26.  (Contributed by Mario
       Carneiro, 7-Apr-2015.) $)
    leibpi $p |- seq 0 ( + , F ) ~~> ( _pi / 4 ) $=
      ( vk vj caddc cc0 cdiv co cli wbr cn0 wceq c1 wtru cfv wcel cc cn cmul vx
      cseq cpi c4 cv c2 cmin cexp cif cmpt csu nn0uz wa eqidd 0cnd wn cr neg1rr
      0zd sylancr nndivred sylan2b ifclda adantl fmpttd ffvelrnda 2nn0 nn0mulcl
      recnd a1i sylan nn0p1nn syl nnrecred nn0red 1red lep1d peano2re syl112anc
      cle clt wb mpbid nnred nngt0d lerec syl22anc oveq2 oveq1d eqid ovex fvmpt
      oveq2d weq 3brtr4d cvv nnuz 1zzd mp1i mptex eqeltrd nnre syl2anc breqtrrd
      nngt0 rpreccld rpge0d expcl nnne0d oveq12d 3eqtr4d sylib leibpilem2 catan
      ccom mulid1d eqtr4d 1elunit climcncf oveq1 fmptco wral adantll eqtrd c0ex
      crp 1re ifex fvmpt2 sylancl nfv nffvmpt1 nfcv nfeq fveq2 eqeq12d r19.21bi
      cbvralw ax-mp wf cdvds wo cneg ioran leibpilem1 simprd reexpcl simpld cdm
      peano2nn0 nn0re 2re 2pos lemul2 leadd1dd ax-1cn divcnv nn0ex nnnn0 sylan2
      nnrecre nn0addge1 2timesd letrd nnrpd neg1cn nncnd divrecd iseralt climdm
      climsqz2 fvex seqex breldm isumclim2 cicc abelth2 nnrp rpred nnge1 mpbird
      ledivmul syl3anbrc iirev 1cnd climsubc2 1m0e1 breqtrdi sumeq2sdv adantllr
      elicc01 nnex resubcl ad2antrr simplr reexpcld nn0cn div12d mulcomd mul02d
      ad2antlr ifeq2da ifeq1d ovif eqtr4di simpr ralrimiva nfov mulcld eqeltrrd
      0nn0 0p1e1 seqeq1 cuz elnnuz nnne0 neneqd biorf ifbid mpan2 rgen sylan2br
      bicomd cabs abssubge0d ltsubrp eqbrtrd atantayl2 eqbrtrid clim2ser2 cz 0z
      seqfeq seq1 iftrue eqtri oveq2i atanrecl addid1d syl5eq breqtrd mpteq2dva
      orcs isumclim nn0z 1exp sylan9eq ffvelrni sumeq2dv 3brtr3d cmnf cioc cdif
      mptru sumex crab cres ccncf atancn unitssre ressatans sstri sselii sselid
      wss fss cncff feqmptd fvres mpteq2ia eqtrdi atan1 climuni mpbir ) FBGUBUC
      UDHIZJKFDLDUEZGMZUFVVPUUAKZUUBZGNUUCZVVPNUGIUFHIZUHIZVVPHIZUIZUJZGUBZVVOJ
      KZVWGOVWFLEUEZVWEPZEUKZVVOJOVWIEVWEGLULOUSZOVWHLQZUMVWIUNOLRVWHVWEODLVWDR
      VVPLQZVWDRQOVWMVVSGVWCRVWMVVSUMUOVVSUPZVWMVVQUPZVVRUPUMZVWCRQZVVQVVRUUDZV
      WMVWPUMZVWCVWSVWBVVPVWSVVTUQQZVWALQZVWBUQQZURVWSVVPSQZVXAVVPUUEZUUFZVVTVW
      AUUGZUTVWSVXCVXAVXDUUHZVAVIZVBVCVDVEZVFOVWFFALVVTAUEZUHIZUFVXJTIZNFIZHIZU
      JZGUBZJPZJKZVWFJUUIZQOVXPVXQJKZVXROVXPVXSQVXTODVXOALNVXMHIZUJZGLULVWKOALV
      YAUQOVXJLQZUMZVXMVYDVXLLQZVXMSQOUFLQZVYCVYEVYFOVGVJZUFVXJVHVKVXLVLVMVNVEO
      VWMUMZNUFVVPNFIZTIZNFIZHIZNUFVVPTIZNFIZHIZVYIVYBPZVVPVYBPZVTVYHVYNVYKVTKZ
      VYLVYOVTKZVYHVYMVYJNVYHVYMOVYFVWMVYMLQZVYGUFVVPVHZVKZVOVYHVYJVYHVYFVYILQZ
      VYJLQZVGVWMWUCOVVPUUJVDZUFVYIVHUTZVOVYHVPVYHVVPVYIVTKZVYMVYJVTKZVYHVVPVWM
      VVPUQQZOVVPUUKVDZVQVYHWUIVYIUQQZUFUQQZGUFWAKZWUGWUHWBWUJVYHWUIWUKWUJVVPVR
      VMWULVYHUULVJWUMVYHUUMVJVVPVYIUFUUNVSWCUUOVYHVYNUQQZGVYNWAKZVYKUQQGVYKWAK
      VYRVYSWBVYHVYNVYHVYTVYNSQZWUBVYMVLVMZWDVYHVYNWUQWEVYHVYKVYHWUDVYKSQWUFVYJ
      VLVMZWDVYHVYKWURWEVYNVYKWFWGWCVYHWUCVYPVYLMWUEAVYIVYAVYLLVYBVXJVYIMZVXMVY
      KNHWUSVXLVYJNFVXJVYIUFTWHWIWMVYBWJZNVYKHWKWLVMVWMVYQVYOMZOAVVPVYAVYOLVYBA
      DWNZVXMVYNNHWVBVXLVYMNFVXJVVPUFTWHWIZWMWUTNVYNHWKWLZVDZWOOGDASNVXJHIZUJZV
      YBNWPSWQOWRZNRQWVGGJKOUUPNAUUQWSZVYBWPQOALVYAUURWTVJOVXCUMZVVPWVGPZNVVPHI
      ZUQVXCWVKWVLMOAVVPWVFWVLSWVGVXJVVPNHWHZWVGWJNVVPHWKWLZVDZVXCWVLUQQOVVPUVA
      VDXAZWVJVYQVYOUQWVJVWMWVAVXCVWMOVVPUUSZVDZWVDVMZWVJVYNVXCOVWMWUPWVQWUQUUT
      ZVNXAWVJVYOWVLVYQWVKVTWVJVVPVYNVTKZVYOWVLVTKZWVJVVPVYMVYNVXCWUIOVVPXBVDZW
      VJVYMWVJVYFVWMVYTVGWVRWUAUTVOZWVJVYMUQQWUNWWDVYMVRVMWVJVVPVVPVVPFIZVYMVTW
      VJWUIVWMVVPWWEVTKWWCWVRVVPVVPUVBXCWVJVVPWVJVVPWWCVIUVCXDWVJVYMWWDVQUVDWVJ
      WUIGVVPWAKZWUNWUOWWAWWBWBWWCVXCWWFOVVPXEVDWVJVYNWVTWDWVJVYNWVTWEVVPVYNWFW
      GWCWVSWVOWOWVJGVYOVYQVTWVJVYOWVJVYNWVJVYNWVTUVEXFXGWVSXDUVKVYHVVTVVPUHIZV
      YNHIZWWGVYOTIVVPVXOPZWWGVYQTIVYHWWGVYNOVVTRQZVWMWWGRQWWJOUVFVJVVTVVPXHVKV
      YHVYNWUQUVGVYHVYNWUQXIUVHVWMWWIWWHMOAVVPVXNWWHLVXOWVBVXKWWGVXMVYNHVXJVVPV
      VTUHWHWVCXJVXOWJZWWGVYNHWKWLVDVYHVYQVYOWWGTWVEWMXKUVIVXPUVJXLVXQDAVXOVWEW
      WKVWEWJZVXPJUVLZXMXLVWFVXQJFVWEGUVMWWMUVNVMZUVOOASNWVFUGIZXNPZUJZVWJJKWWQ
      VVOJKVWJVVOMOUAGNUVPIZLVWIUAUEZVWHUHIZTIZEUKZUJZASWWOUJZXOZNWXCPZWWQVWJJO
      WWRRNWXCWXDNSWQWVHOUAVWEEWXCVXIWWNWXCWJZUVQOASWWOWWROVXJSQZUMZWVFWWRQZWWO
      WWRQWXIWVFUQQZGWVFVTKWVFNVTKZWXJWXIWVFWXIVXJWXHVXJYFQOVXJUVRVDXFZUVSZWXIW
      VFWXMXGWXIWXLNVXJNTIZVTKZWXINVXJWXOVTWXHNVXJVTKOVXJUVTVDWXIVXJWXIVXJWXHVX
      JUQQZOVXJXBVDZVIXPXDWXINUQQZWXSWXQGVXJWAKZWXLWXPWBWXIVPZWYAWXRWXHWXTOVXJX
      EVDNNVXJUWBVSUWAZWVFUWKUWCWVFUWDVMZVEZOWXDNGUGINJOGNDWVGWXDNWPSWQWVHWVIOU
      WEWXDWPQOASWWOUWLWTVJWVJWVKWVPVIVXCVVPWXDPZNWVKUGIZMOVXCWYENWVLUGIZWYFAVV
      PWWOWYGSWXDWVBWVFWVLNUGWVMWMWXDWJNWVLUGWKWLVXCWVKWVLNUGWVNWMXQVDUWFUWGUWH
      ZNWWRQZOXRVJXSOWXEASLVWIWWOVWHUHIZTIZEUKZUJWWQOAUASWWRWWOWXBWYLWXDWXCWYCO
      WXDUNZOWXCUNWWSWWOMZLWXAWYKEWYNWWTWYJVWITWWSWWOVWHUHXTWMUWIYAOASWYLWWPWXI
      WYKWWPEDLVVSGVWBWWOVVPUHIZVVPHIZTIZUIZUJZGLULWXIUSWXIVWHWYSPZWYKMZELWXIVV
      PWYSPZVVPVWEPZWYOTIZMZDLYBXUAELYBWXIXUEDLWXIVWMUMZWYRVWDWYOTIZXUBXUDXUFWY
      RVVSGWYOTIZVWCWYOTIZUIZXUGXUFWYRVVSGXUIUIXUJXUFVVSWYQXUIGVWNXUFVWPWYQXUIM
      VWRXUFVWPUMZWYQWYOVWCTIXUIXUKVWBWYOVVPOVWMVWPVWBRQWXHVYHVWPUMZVWBXULVWTVX
      AVXBURVWMVWPVXAOVXEYCVXFUTVIUWJZXUKWYOXUKWWOVVPWXIWWOUQQZVWMVWPWXIWXSWXKX
      UNYGWXNNWVFUWMUTZUWNWXIVWMVWPUWOUWPZVIZVWMVVPRQWXIVWPVVPUWQUXAXUKVVPVWMVW
      PVXCWXIVXGYCZXIUWRXUKWYOVWCXUQVWMVWPVWQWXIVXHYCUWSYDVBUXBXUFVVSXUHGXUIXUF
      WYOWXIWWORQZVWMWYORQWXIWWOXUOVIZWWOVVPXHVKUWTUXCXQVVSGVWCWYOTUXDUXEXUFVWM
      WYRWPQZXUBWYRMZWXIVWMUXFZVVSGWYQYEVWBWYPTWKZYHZDLWYRWPWYSWYSWJZYIZYJXUFXU
      CVWDWYOTXUFVWMVWDWPQXUCVWDMXVCVVSGVWCYEVWBVVPHWKYHDLVWDWPVWEWWLYIYJWIXKUX
      GXUEXUADELXUEEYKDWYTWYKDLWYRVWHYLZDVWIWYJTDLVWDVWHYLDTYMDWYJYMUXHYNDEWNZX
      UBWYTXUDWYKVVPVWHWYSYOZXVIXUCVWIWYOWYJTVVPVWHVWEYOVVPVWHWWOUHWHXJYPYRXLYQ
      ZWXIVWLUMWYTWYKRXVKWXILRVWHWYSWXIDLWYRRXUFVVSGWYQRXUFVVSUMUOVWNXUFVWPWYQR
      QVWRXUKVWBWYPXUMXUKWYPXUKWYOVVPXUPXURVAVIUXIVBVCVEVFZUXJWXIFWYSGUBZWWPGXV
      MPZFIZWWPJWXIWWPEWYSGGLULGLQZWXIUXKVJXVLWXIFWYSGNFIZUBZFWYSNUBZWWPJXVQNMX
      VRXVSMUXLFWYSXVQNUXMYSWXIXVSFDSVVRGWYQUIZUJZNUBZWWPJWXIFEWYSXWANWXIWRVWHN
      UXNPQWXIVWHSQWYTVWHXWAPZMZVWHUXOWXIXWDESWXIXUBVVPXWAPZMZDSYBZXWDESYBXWGWX
      IXWFDSVXCWYRXVTXUBXWEVXCVVSVVRGWYQVXCVVRVVSVXCVWOVVRVVSWBVXCVVPGVVPUXPUXQ
      VVQVVRUXRVMUYCUXSVXCVWMXVAXVBWVQXVEXVGYJVXCXVTWPQXWEXVTMVVRGWYQYEXVDYHDSX
      VTWPXWAXWAWJZYIUXTXKUYAVJXWFXWDDESXWFEYKDWYTXWCXVHDSXVTVWHYLYNXVIXUBWYTXW
      EXWCXVJVVPVWHXWAYOYPYRXLYQUYBUYMWXIXUSWWOUYDPZNWAKXWBWWPJKXUTWXIXWIWWONWA
      WXIWVFNWXNWYAWYBUYEWXIWXSWVFYFQWWONWAKYGWXMNWVFUYFUTUYGWWODXWAXWHUYHXCUYG
      UYIUYJWXIXVOWWPGFIWWPXVNGWWPFXVNGWYSPZGGUYKQXVNXWJMUYLFWYSGUYNYSXVPXWJGMU
      XKDGWYRGLWYSVVQVVRWYRGMVVSGWYQUYOVUCXVFYEWLYSUYPUYQWXIWWPWXIWWPWXIXUNWWPU
      QQXUOWWOUYRVMVIUYSUYTVUAVUDVUBYDWYIWXFVWJMOXRUANWXBVWJWWRWXCWWSNMZLWXAVWI
      EXWKVWLUMZWXAVWINTIZVWIXWLWWTNVWITXWKVWLWWTNVWHUHIZNWWSNVWHUHXTVWLVWHUYKQ
      XWNNMVWHVUEVWHVUFVMVUGWMVWLXWMVWIMXWKVWLVWILRVWHVWELRVWEYTVXIVUNVUHXPVDYD
      VUIWXGLVWIEVUOWLWSVUJOXNNWWSUFUHIFIRVUKGVULIVUMZQUARVUPZVUQZWXDXONXWQPZWW
      QVVOJOXWPRNXWQWXDNSWQWVHXWQXWPRVURIQZOUAXWOXWPXWOWJZXWPWJZVUSZVJOSWWRWXDY
      TWWRXWPVVESXWPWXDYTWYDWWRUQXWPVUTUAXWOXWPXWTXXAVVAZVVBZSWWRXWPWXDVVFYJWYH
      NXWPQZOUQXWPNXXCYGVVCZVJXSOADSXWPWWOVVPXNPZWWPWXDXWQWXIWWRXWPWWOXXDWYCVVD
      WYMOXWQDXWPVVPXWQPZUJDXWPXXGUJODXWPRXWQXWSXWPRXWQYTOXXBXWPRXWQVVGWSVVHDXW
      PXXHXXGVVPXWPXNVVIVVJVVKVVPWWOXNYOYAOXWRNXNPZVVOXXEXWRXXIMOXXFNXWPXNVVIWS
      VVLVVKVUJVWJVVOWWQVVMXCVUAVUNVVODABVWECWWLUCUDHWKXMVVN $.
  $}

  ${
    $d k n $.
    $( The Leibniz formula for ` _pi ` .  This version of ~ leibpi looks nicer
       but does not assert that the series is convergent so is not as
       practically useful.  (Contributed by Mario Carneiro, 7-Apr-2015.) $)
    leibpisum $p |- sum_ n e. NN0 ( ( -u 1 ^ n ) / ( ( 2 x. n ) + 1 ) ) =
      ( _pi / 4 ) $=
      ( vk cn0 c1 cneg cv cexp co c2 cmul caddc cdiv wceq wtru cc0 oveq2 adantl
      wcel cr mpan csu cpi c4 cmpt nn0uz 0zd cfv oveq1d oveq12d eqid ovex fvmpt
      cc neg1rr reexpcl cn 2nn0 nn0mulcl nn0p1nn syl nndivred recnd cseq leibpi
      cli wbr a1i isumclim mptru ) CDEZAFZGHZIVKJHZDKHZLHZAUAUBUCLHZMNVOVPABCVJ
      BFZGHZIVQJHZDKHZLHZUDZOCUENUFVKCRZVKWBUGVOMNBVKWAVOCWBVQVKMZVRVLVTVNLVQVK
      VJGPWDVSVMDKVQVKIJPUHUIWBUJZVLVNLUKULQWCVOUMRNWCVOWCVLVNVJSRWCVLSRUNVJVKU
      OTWCVMCRZVNUPRICRWCWFUQIVKURTVMUSUTVAVBQKWBOVCVPVEVFNBWBWEVDVGVHVI $.
  $}

  ${
    $d k n $.  $d k F $.
    log2cnv.1 $e |- F = ( n e. NN0 |-> ( 2 /
      ( ( 3 x. ( ( 2 x. n ) + 1 ) ) x. ( 9 ^ n ) ) ) ) $.
    $( Using the Taylor series for ` arctan ( _i / 3 ) ` , produce a rapidly
       convergent series for ` log 2 ` .  (Contributed by Mario Carneiro,
       7-Apr-2015.) $)
    log2cnv $p |- seq 0 ( + , F ) ~~> ( log ` 2 ) $=
      ( caddc cc0 c2 ci cdiv co c3 cfv cmul c1 cexp wcel ax-icn 3cn wceq cmin
      cc vk cseq catan clog cli wbr wtru cn0 cneg cv cmpt nn0uz 0zd ine0 divcli
      2cn a1i cabs clt 3ne0 wne absdiv mp3an absi cle 3re 0re 3pos ltleii absid
      cr mp2an oveq12i eqtri 1lt3 wb recgt1 mpbi eqbrtri atantayl3 oveq2 oveq1d
      eqid oveq2d oveq12d ovex fvmpt 2nn0 nn0mulcl peano2nn0 syl expdivd neg1cn
      expcl sylancr cn 3nn nnexpcl nncnd nnne0d divassd expp1 expmul mp3an12 i2
      mpan oveq1i eqtrdi eqtrd mulassd expaddd neg1sqe1 2timesd 3eqtr3d mulid2i
      id nn0cn cz 3eqtr2d divdiv1d 3eqtrd nnmulcld divcld adantl mulcom sylancl
      c9 nnmulcl c4 ax-1cn 3eqtri 3eqtr2i oveq2i 3eqtr2ri fveq2i wa crp rpdivcl
      3rp 2ne0 nn0z eqtr3d nn0p1nn mulcomd eqeltrd sq3 mul32d dmdcand isermulc2
      1exp 9nn eqtr4d mptru bndatandm atanval ax-mp df-4 divdiri dividi subnegi
      cdm divneg ixi divassi pm3.2i divsubdir 3m1e2 3eqtr3i negsubi 4pos elrpii
      4re 2rp relogdiv 2cnne0 divcan7 4d2e2 logcl mulassi divcan6 mp4an breqtri
      4cn eqtr4i ) DBEUBZFGHIZGJHIZUCKZLIZFUDKZUEUWEUWIUEUFUGUWHUWFUAAUHMUIZAUJ
      ZNIZUWGFUWLLIZMDIZNIZUWOHIZLIZUKZBEUHULUGUMUWFTOZUGFGUPPUNUOZUQDUWSEUBUWH
      UEUFZUGUWGTOZUWGURKZMUSUFZUXBGJPQUTUOZUXDMJHIZMUSUXDGURKZJURKZHIZUXGGTOZJ
      TOZJEVAZUXDUXJRPQUTGJVBVCUXHMUXIJHVDJVKOZEJVEUFUXIJRVFEJVGVFVHVIJVJVLVMVN
      MJUSUFZUXGMUSUFZVOUXNEJUSUFUXOUXPVPVFVHJVQVLVRVSZUWGAUWSUWSWCZVTVLUQUAUJZ
      UHOZUXSUWSKZTOUGUXTUYAGFUXSLIZMDIZJUYCNIZLIZHIZTUXTUYAUWKUXSNIZUWGUYCNIZU
      YCHIZLIZGUYDUYCLIZHIZUYFAUXSUWRUYJUHUWSUWLUXSRZUWMUYGUWQUYILUWLUXSUWKNWAU
      YMUWPUYHUWOUYCHUYMUWOUYCUWGNUYMUWNUYBMDUWLUXSFLWAWBZWDUYNWEWEUXRUYGUYILWF
      WGZUXTUYGUYHLIZUYCHIZGUYDHIZUYCHIUYJUYLUXTUYPUYRUYCHUXTUYPUYGGUYCNIZUYDHI
      ZLIZUYGUYSLIZUYDHIZUYRUXTUYHUYTUYGLUXTGJUYCUXKUXTPUQZUXLUXTQUQZUXMUXTUTUQ
      UXTUYBUHOZUYCUHOZFUHOZUXTVUFWHFUXSWIXFZUYBWJWKZWLWDZUXTUYGUYSUYDUWKTOZUXT
      UYGTOWMUWKUXSWNXFZUXTUXKVUGUYSTOPVUJGUYCWNWOUXTUYDUXTJWPOZVUGUYDWPOWQVUJJ
      UYCWRWOZWSZUXTUYDVUOWTZXAZUXTVUBGUYDHUXTVUBUYGUYGGLIZLIUYGUYGLIZGLIZGUXTU
      YSVUSUYGLUXTUYSGUYBNIZGLIZVUSUXTUXKVUFUYSVVCRPVUIGUYBXBWOUXTVVBUYGGLUXTVV
      BGFNIZUXSNIZUYGUXKVUHUXTVVBVVERPWHGFUXSXCXDVVDUWKUXSNXEXGXHWBXIWDUXTUYGUY
      GGVUMVUMVUDXJUXTVVAMGLIGUXTVUTMGLUXTUWKUXSUXSDIZNIZVUTMUXTUWKUXSUXSVULUXT
      WMUQUXTXPZVVHXKUXTUWKUYBNIZMUXSNIZVVGMUXTVVIUWKFNIZUXSNIZVVJVULVUHUXTVVIV
      VLRWMWHUWKFUXSXCXDVVKMUXSNXLXGXHUXTUYBVVFUWKNUXTUXSUXSXQXMWDUXTUXSXROVVJM
      RUXSUUAUXSUUJWKXNUUBWBGPXOXHXSZWBXSWBUXTUYGUYHUYCVUMUXTUXCVUGUYHTOUXFVUJU
      WGUYCWNWOUXTUYCUXTVUFUYCWPOZVUIUYBUUCWKZWSZUXTUYCVVOWTZXAZUXTGUYDUYCVUDVU
      PVVPVUQVVQXTXNUXTUYKUYEGHUXTUYDUYCVUPVVPUUDWDYAUXTGUYEVUDUXTUYEUXTUYCUYDV
      VOVUOYBZWSUXTUYEVVSWTYCUUEYDUXTUXSBKZUWFUYALIZRUGUXTVVTFJUYCLIZYGUXSNIZLI
      ZHIZVWAAUXSFJUWOLIZYGUWLNIZLIZHIVWEUHBUYMVWHVWDFHUYMVWFVWBVWGVWCLUYMUWOUY
      CJLUYNWDUWLUXSYGNWAWEWDCFVWDHWFWGUXTVWAUWFGVWDHIZLIZVWIUWFLIZVWEUXTUYAVWI
      UWFLUXTUYAUYJGJVWCLIZUYCLIZHIZVWIUYOUXTUYQGVWLHIZUYCHIUYJVWNUXTUYPVWOUYCH
      UXTUYPVUAVUCVWOVUKVURUXTVUBGUYDVWLHVVMUXTUYDJUYBNIZJLIZVWCJLIZVWLUXTUXLVU
      FUYDVWQRQVUIJUYBXBWOUXTVWPVWCJLUXTVWPJFNIZUXSNIZVWCUXLVUHUXTVWPVWTRQWHJFU
      XSXCXDVWSYGUXSNUUFXGXHWBUXTVWCTOUXLVWRVWLRUXTVWCYGWPOUXTVWCWPOZUUKYGUXSWR
      XFZWSZQVWCJYEYFYAWEXSWBVVRUXTGVWLUYCVUDUXTVWLUXTVUNVXAVWLWPOWQVXBJVWCYHWO
      ZWSVVPUXTVWLVXDWTVVQXTXNUXTVWMVWDGHUXTJVWCUYCVUEVXCVVPUUGWDYAWDUXTVWITOUW
      TVWKVWJRUXTGVWDVUDUXTVWDUXTVWBVWCUXTVUNVVNVWBWPOWQVVOJUYCYHWOVXBYBZWSZUXT
      VWDVXEWTZYCUXAVWIUWFYEYFUXTFGVWDFTOZUXTUPUQVUDVXFGEVAZUXTUNUQVXGUUHXSUULY
      DUUIUUMUWIUWFGFHIZLIZUWJLIZMUWJLIUWJUWIUWFVXJUWJLIZLIVXLUWHVXMUWFLUWHVXJM
      GUWGLIZSIZUDKZMVXNDIZUDKZSIZLIZVXMUWGUCUVAOZUWHVXTRUXCUXEVYAUXFUXQUWGUUNV
      LUWGUUOUUPVXSUWJVXJLVXSYIJHIZUDKZFJHIZUDKZSIZVYBVYDHIZUDKZUWJVXPVYCVXRVYE
      SVXOVYBUDVYBMUXGDIZMUXGUIZSIVXOVYBJMDIZJHIJJHIZUXGDIVYIYIVYKJHUUQXGJMJQYJ
      QUTUURVYLMUXGDJQUTUUSZXGYKMUXGYJMJYJQUTUOZUUTVYJVXNMSVYJUWKJHIZGGLIZJHIVX
      NMTOZUXLUXMVYJVYORYJQUTMJUVBVCVYPUWKJHUVCXGGGJPPQUTUVDYLZYMYNYOVXQVYDUDVY
      DMUXGSIZMVYJDIVXQJMSIZJHIZVYLUXGSIZVYDVYSUXLVYQUXLUXMYPZWUAWUBRQYJUXLUXMQ
      UTUVEZJMJUVFVCVYTFJHUVGXGVYLMUXGSVYMXGUVHMUXGYJVYNUVIVYJVXNMDVYRYMYNYOVMV
      YBYQOZVYDYQOZVYHVYFRYIYQOJYQOZWUEYIUVLUVJUVKYSYIJYRVLFYQOWUGWUFUVMYSFJYRV
      LVYBVYDUVNVLVYGFUDVYGYIFHIZFYITOVXHFEVAZYPWUCVYGWUHRUWCUVOWUDYIFJUVPVCUVQ
      VNYOYLYMVNYMUWFVXJUWJUXAGFPUPYTUOVXHWUIUWJTOUPYTFUVRVLZUVSUWDVXKMUWJLVXHW
      UIUXKVXIVXKMRUPYTPUNFGUVTUWAXGUWJWUJXOYKUWB $.
  $}

  ${
    $d k n N $.
    $( Bound the error term in the series of ~ log2cnv .  (Contributed by Mario
       Carneiro, 7-Apr-2015.) $)
    log2tlbnd $p |- ( N e. NN0 -> ( ( log ` 2 ) - sum_ n e. ( 0 ... ( N - 1 ) )
      ( 2 / ( ( 3 x. ( ( 2 x. n ) + 1 ) ) x. ( 9 ^ n ) ) ) ) e. ( 0 [,]
       ( 3 / ( ( 4 x. ( ( 2 x. N ) + 1 ) ) x. ( 9 ^ N ) ) ) ) ) $=
      ( cn0 wcel c2 cc0 c1 co c3 cmul c9 cdiv c4 cc cr cn sylancr wbr a1i c8 vk
      clog cfv cmin cfz cv caddc cexp csu cuz cicc fzfid elfznn0 2re 2nn0 simpr
      wa 3nn nn0mulcl nn0p1nn syl nnmulcl nnexpcl nnmulcld nndivre recnd sylan2
      fsumcl cmpt eqid nn0z wceq eluznn0 oveq2 oveq1d oveq2d oveq12d ovex fvmpt
      9nn syldan cseq cli cdm log2cnv seqex fvex breldm nn0uz id adantl eqeltrd
      mp1i iserex mpbid isumrecl 0zd isumclim isumsplit eqtr3d mvrladdd cle clt
      0le2 nnred nngt0d divge0 syl22anc 9cn wne nnne0i mpan adantr nncnd nnne0d
      exprecd 2cnd divdiv1d nn0red wb lemul2 syl112anc 3re 9re 0re mp2an oveq1i
      ax-1cn eqtr3i 8cn divcli divne0i breqtrd eqtr4d 3cn 4cn 4ne0 3ne0 2ne0
      2cn isumge0 cz divrecd 3eqtr2d eqtrd 1red eluzle nn0re 2pos leadd1dd 3pos
      lemul1 lediv2 syl222anc rereccli recni cabs recgt0ii ltleii absid recgt1i
      9pos simpri eqbrtri geolim2 dividi pm3.2i divsubdir mp3an 9m1e8 divdiv32d
      1lt9 recdiv mp4an syl5eq 3eqtrd expcl isermulc2 isumle divdivdivi oveq12i
      8nn 3t3e9 4t2e8 oveq2i divcan2i divmuldivd mulassd 3eqtr4a w3a 4nn elicc2
      eqtri mpbir3and ) BCDZEUBUCZFBGUDHZUEHZEIEAUFZJHZGUGHZJHZKUWSUHHZJHZLHZAU
      IZUDHBUJUCZUXEAUIZFIMEBJHZGUGHZJHZKBUHHZJHZLHZUKHZUWOUWPUXFUXHUWOUWRUXEAU
      WOFUWQULUWSUWRDUWOUWSCDZUXENDUWSUWQUMUWOUXPUQZUXEUXQEODZUXDPDUXEODZUNUXQU
      XBUXCUXQIPDZUXAPDZUXBPDZURUXQUWTCDZUYAUXQECDZUXPUYCUOUWOUXPUPZEUWSUSZQUWT
      UTVAZIUXAVBQZUXQKPDZUXPUXCPDZVTUYEKUWSVCZQZVDZEUXDVEQZVFZVGVHUWOUXHUWOUXE
      AUACEIEUAUFZJHZGUGHZJHZKUYPUHHZJHZLHZVIZBUXGUXGVJZBVKZUWOUWSUXGDZUQZUXPUW
      SVUCUCZUXEVLZUWSBVMZUAUWSVUBUXECVUCUYPUWSVLZVUAUXDELVUKUYSUXBUYTUXCJVUKUY
      RUXAIJVUKUYQUWTGUGUYPUWSEJVNVOVPUYPUWSKUHVNVQVPVUCVJZEUXDLVRVSZVAZUWOVUFU
      XPUXSVUJUYNWAZUWOUGVUCFWBZWCWDZDZUGVUCBWBVUQDVUPUWPWCRZVURUWOUAVUCVULWEZV
      UPUWPWCUGVUCFWFEUBWGWHWMZUWOAVUCFBCWIUWOWJZUXQVUHUXENUXPVUIUWOVUMWKZUYOWL
      WNWOZWPZVFUWOCUXEAUIUWPUXFUXHUGHUWOUXEUWPAVUCFCWIUWOWQVVCUYOVUSUWOVUTSWRU
      WOUXEAVUCFBUXGCWIVUDVVBVVCUYOVVAWSWTXAUWOUXHUXODZUXHODZFUXHXBRZUXHUXNXBRZ
      VVEUWOUXEAVUCBUXGVUDVUEVUNVUOVVDUWOVUFUXPFUXEXBRZVUJUXQUXRFEXBRZUXDODZFUX
      DXCRZVVJUXRUXQUNSVVKUXQXDSUXQUXDUYMXEZUXQUXDUYMXFZEUXDXGXHWAUUAUWOUXHUXGE
      IUXJJHZUXCJHZLHZAUIUXNXBUWOUXEVVRAVUCUACEVVPLHZGKLHZUYPUHHZJHZVIZBUXGVUDV
      UEVUNVUOUWOVUFUXPUWSVWCUCZVVRVLVUJUXQVWDVVSVVTUWSUHHZJHZVVRUXPVWDVWFVLZUW
      OUAUWSVWBVWFCVWCVUKVWAVWEVVSJUYPUWSVVTUHVNZVPVWCVJVVSVWEJVRVSZWKUXQVWFVVS
      GUXCLHZJHVVSUXCLHVVRUXQVWEVWJVVSJUXQKUWSKNDZUXQXISKFXJZUXQKVTXKZSUXPUWSUU
      BDUWOUWSVKWKXPVPUXQVVSUXCUWOVVSNDUXPUWOVVSUWOUXRVVPPDZVVSODUNUWOUXTUXJPDZ
      VWNURUWOUXICDZVWOUYDUWOVWPUOEBUSXLZUXIUTVAZIUXJVBQZEVVPVEQVFZXMUXQUXCUYLX
      NZUXQUXCUYLXOZUUCUXQEVVPUXCUXQXQUXQVVPUWOVWNUXPVWSXMZXNVXAUXQVVPVXCXOVXBX
      RUUDUUEWAZUWOVUFUXPVVRODZVUJUXQUXRVVQPDZVXEUNUXQVVPUXCVXCUYLVDZEVVQVEQWAZ
      VUGVVQUXDXBRZUXEVVRXBRZVUGVVPUXBXBRZVXIVUGUXJUXAXBRZVXKVUGUXIUWTGVUGUXIUW
      OVWPVUFVWQXMXSVUGUWTVUGUYDUXPUYCUOVUJUYFQXSVUGUUFVUGBUWSXBRZUXIUWTXBRZVUF
      VXMUWOBUWSUUGWKVUGBODZUWSODUXRFEXCRZVXMVXNXTUWOVXOVUFBUUHXMVUGUWSVUJXSUXR
      VUGUNSZVXPVUGUUISZBUWSEYAYBWOUUJVUGUXJODUXAODIODZFIXCRZVXLVXKXTVUGUXJUWOV
      WOVUFVWRXMXEVUGUXAUWOVUFUXPUYAVUJUYGWAXEVXSVUGYCSVXTVUGUUKSUXJUXAIYAYBWOV
      UGVVPODUXBODUXCODFUXCXCRVXKVXIXTVUGVVPUWOVWNVUFVWSXMXEVUGUXBUWOVUFUXPUYBV
      UJUYHWAXEVUGUXCVUGUYIUXPUYJVTVUJUYKQZXEVUGUXCVYAXFVVPUXBUXCUULYBWOVUGVVQO
      DFVVQXCRVVLVVMUXRVXPVXIVXJXTVUGVVQUWOVUFUXPVXFVUJVXGWAZXEVUGVVQVYBXFUWOVU
      FUXPVVLVUJVVNWAUWOVUFUXPVVMVUJVVOWAVXQVXRVVQUXDEUUMUUNWOVVDUWOUGVWCBWBZVV
      SKTUXLJHLHZJHZWCRVYCVUQDUWOVYDVVSAUACVWAVIZVWCBUXGVUDVUEVWTUWOUGVYFBWBVVT
      BUHHZGVVTUDHZLHZVYDWCUWOVVTAVYFBVVTNDZUWOVVTKYDVWMUUOZUUPZSVVTUUQUCZGXCRU
      WOVYMVVTGXCVVTODFVVTXBRVYMVVTVLVYKFVVTYEVYKKYDUVBUURUUSVVTUUTYFFVVTXCRZVV
      TGXCRZKODGKXCRVYNVYOUQYDUVLKUVAYFUVCUVDSVVBVUGUXPUWSVYFUCZVWEVLVUJUAUWSVW
      AVWECVYFVWHVYFVJVVTUWSUHVRVSVAZUVEUWOVYIGUXLLHZTKLHZLHGVYSLHZUXLLHZVYDUWO
      VYGVYRVYHVYSLUWOKBVWKUWOXISZVWLUWOVWMSVUEXPVYHVYSVLUWOKKLHZVVTUDHZVYHVYSW
      UCGVVTUDKXIVWMUVFYGKGUDHZKLHZWUDVYSVWKGNDZVWKVWLUQWUFWUDVLXIYHVWKVWLXIVWM
      UVGKGKUVHUVIWUETKLUVJYGYIYISVQUWOGUXLVYSWUGUWOYHSUWOUXLUYIUWOUXLPDVTKBVCX
      LZXNZVYSNDUWOTKYJXIVWMYKSUWOUXLWUHXOZVYSFXJUWOTKYJXITUWBXKZVWMYLSUVKUWOWU
      AKTLHZUXLLHZVYDVYTWULUXLLTNDZTFXJZVWKVWLVYTWULVLYJWUKXIVWMTKUVMUVNYGUWOKT
      UXLWUBWUNUWOYJSWUIWUOUWOWUKSWUJXRZUVOUVPYMVUGVYPVWENVYQVUGVYJUXPVWENDVYLV
      UJVVTUWSUVQQWLVUGVWDVWFVVSVYPJHVUGUXPVWGVUJVWIVAVUGVYPVWEVVSJVYQVPYNUVRZV
      YCVYEWCUGVWCBWFVVSVYDJVRWHVAUVSUWOVVRUXNAVWCBUXGVUDVUEVXDVUGVVRVXHVFUWOVY
      CVYEUXNWCWUQUWOEILHZWULJHZUXJUXLJHZLHZIMLHZWUTLHZVYEUXNWUSWVBWUTLWURWVBWU
      RLHZJHWUSWVBWVDWULWURJWVDIIJHZMEJHZLHWULIMEIYOYPYTYOYQYRYSUVTWVEKWVFTLUWC
      UWDUWAUWMUWEWVBWURIMYOYPYQYKEIYTYOYRYKZEIYTYOYSYRYLUWFYIYGUWOWURUXJLHZWUM
      JHVYEWVAUWOWVHVVSWUMVYDJUWOEIUXJUWOXQINDUWOYOSZUWOUXJVWRXNZIFXJUWOYRSUWOU
      XJVWRXOZXRWUPVQUWOWURUXJWULUXLWURNDUWOWVGSWVJWULNDUWOKTXIYJWUKYKSWUIWVKWU
      JUWGWTUWOUXNIMWUTJHZLHWVCUWOUXMWVLILUWOMUXJUXLMNDUWOYPSZWVJWUIUWHVPUWOIMW
      UTWVIWVMUWOWUTUWOUXJUXLVWRWUHVDZXNMFXJUWOYQSUWOWUTWVNXOXRYNUWIYMWRYMUWOFO
      DUXNODZVVFVVGVVHVVIUWJXTYEUWOVXSUXMPDWVOYCUWOUXKUXLUWOMPDVWOUXKPDUWKVWRMU
      XJVBQWUHVDIUXMVEQFUXNUXHUWLQUWNWL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The Birthday Problem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    log2ublem1.1 $e |- ( ( ( 3 ^ 7 ) x. ( 5 x. 7 ) ) x. A ) <_ B $.
    log2ublem1.2 $e |- A e. RR $.
    log2ublem1.3 $e |- D e. NN0 $.
    log2ublem1.4 $e |- E e. NN $.
    log2ublem1.5 $e |- B e. NN0 $.
    log2ublem1.6 $e |- F e. NN0 $.
    log2ublem1.7 $e |- C = ( A + ( D / E ) ) $.
    log2ublem1.8 $e |- ( B + F ) = G $.
    log2ublem1.9 $e |- ( ( ( 3 ^ 7 ) x. ( 5 x. 7 ) ) x. D ) <_ ( E x. F ) $.
    $( Lemma for ~ log2ub .  The proof of ~ log2ub , which is simply the
       evaluation of ~ log2tlbnd for ` N = 4 ` , takes the form of the addition
       of five fractions and showing this is less than another fraction.  We
       could just perform exact arithmetic on these fractions, get a large
       rational number, and just multiply everything to verify the claim, but
       as anyone who uses decimal numbers for this task knows, it is often
       better to pick a common denominator ` d ` (usually a large power of
       ` 1 0 ` ) and work with the closest approximations of the form ` n / d `
       for some integer ` n ` instead.  It turns out that for our purposes it
       is sufficient to take ` d = ( 3 ^ 7 ) x. 5 x. 7 ` , which is also nice
       because it shares many factors in common with the fractions in question.
       (Contributed by Mario Carneiro, 17-Apr-2015.) $)
    log2ublem1 $p |- ( ( ( 3 ^ 7 ) x. ( 5 x. 7 ) ) x. C ) <_ G $=
      ( c7 co cmul wcel c3 cexp c5 cdiv caddc cle wbr cn cn0 7nn0 nnexpcl mp2an
      3nn 5nn 7nn nnmulcli nncni nn0cni nnne0i divassi cr cc0 wa 3nn0 nn0expcli
      clt wb nn0mulcli nn0rei nnrei nngt0i pm3.2i ledivmul mp3an mpbir eqbrtrri
      5nn0 remulcli nndivre le2addi oveq2i recni adddii eqtr2i 3brtr3i ) UAQUBR
      ZUCQSRZSRZASRZWHDEUDRZSRZUERZBFUERZWHCSRZGUFWIBUFUGWKFUFUGWLWMUFUGHWHDSRZ
      EUDRZWKFUFWHDEWHWFWGUAUHTQUITWFUHTUMUJUAQUKULUCQUNUOUPUPZUQZDJUREKUQEKUSU
      TWPFUFUGZWOEFSRUFUGZPWOVATFVATEVATZVBEVFUGZVCWSWTVGWOWHDWFWGUAQVDUJVEUCQV
      QUJVHVHJVHVIFMVIZXAXBEKVJEKVKVLWOFEVMVNVOVPWIWKBFWHAWHWQVJZIVRWHWJXDDVATE
      UHTWJVATDJVIKDEVSULZVRBLVIXCVTULWNWHAWJUERZSRWLCXFWHSNWAWHAWJWRAIWBWJXEWB
      WCWDOWE $.
  $}

  ${
    $d n K $.  $d n N $.
    log2ublem2.1 $e |- ( ( ( 3 ^ 7 ) x. ( 5 x. 7 ) ) x. sum_ n e. ( 0 ... K )
      ( 2 / ( ( 3 x. ( ( 2 x. n ) + 1 ) ) x. ( 9 ^ n ) ) ) ) <_ ( 2 x. B ) $.
    log2ublem2.2 $e |- B e. NN0 $.
    log2ublem2.3 $e |- F e. NN0 $.
    log2ublem2.4 $e |- N e. NN0 $.
    log2ublem2.5 $e |- ( N - 1 ) = K $.
    log2ublem2.6 $e |- ( B + F ) = G $.
    log2ublem2.7 $e |- M e. NN0 $.
    log2ublem2.8 $e |- ( M + N ) = 3 $.
    log2ublem2.9 $e |- ( ( 5 x. 7 ) x. ( 9 ^ M ) ) =
      ( ( ( 2 x. N ) + 1 ) x. F ) $.
    $( Lemma for ~ log2ub .  (Contributed by Mario Carneiro, 17-Apr-2015.) $)
    log2ublem2 $p |- ( ( ( 3 ^ 7 ) x. ( 5 x. 7 ) ) x. sum_ n e. ( 0 ... N )
      ( 2 / ( ( 3 x. ( ( 2 x. n ) + 1 ) ) x. ( 9 ^ n ) ) ) ) <_ ( 2 x. G ) $=
      ( co c2 c3 cmul cc0 cfz cv c1 caddc c9 cexp cdiv csu cr wcel fzfid wa cn0
      wtru elfznn0 adantl cn 2re 3nn 2nn0 nn0mulcl mpan nn0p1nn nnmulcl sylancr
      syl nnexpcl nnmulcld nndivre fsumrecl mptru nn0mulcli ax-mp nnmulcli cmin
      9nn mp2an wceq cuz cfv nn0uz eleqtri cc recnd oveq2 oveq1d oveq2d oveq12d
      a1i fsumm1 oveq2i sumeq1i oveq1i eqtri 2cn nn0cni adddii eqtr3i c7 c5 cle
      7nn nnnn0i nnrei remulcli leidi nncni mulcomi addcomi expadd mp3an mul12i
      5nn 3eqtri c6 df-7 3cn 6nn0 expp1 expmul 3t2e6 sq3 3eqtr3i mulassi mul32i
      mulcli 3eqtr4i breqtri log2ublem1 ) UAEUBQZRSRBUCZTQZUDUEQZTQZUFYLUGQZTQZ
      UHQZBUIZRATQZUAGUBQZYRBUIZRSRGTQZUDUEQZTQZUFGUGQZTQZRCTQZRDTQZHYSUJUKUOYK
      YRBUOUAEULUOYLYKUKZUMYLUNUKZYRUJUKZUUJUUKUOYLEUPUQUUKRUJUKYQURUKUULUSUUKY
      OYPUUKSURUKZYNURUKZYOURUKUTUUKYMUNUKZUUNRUNUKZUUKUUOVARYLVBVCYMVDVGSYNVEV
      FUFURUKZUUKYPURUKVQUFYLVHVCVIRYQVJVFZVGVKVLVAUUEUUFSUUDUTUUCUNUKUUDURUKRG
      VAKVMUUCVDVNZVOUUQGUNUKZUUFURUKVQKUFGVHVRZVOZRAVAIVMRCVAJVMUUBUAGUDVPQZUB
      QZYRBUIZRUUGUHQZUEQZYSUVFUEQUUBUVGVSUOYRUVFBUAGGUAVTWAZUKUOGUNUVHKWBWCWJU
      OYLUUAUKZUMUUKYRWDUKUVIUUKUOYLGUPUQUUKYRUURWEVGYLGVSZYQUUGRUHUVJYOUUEYPUU
      FTUVJYNUUDSTUVJYMUUCUDUEYLGRTWFWGWHYLGUFUGWFWIWHWKVLUVEYSUVFUEUVDYKYRBUVC
      EUAUBLWLWMWNWORACUEQZTQYTUUHUEQUUIRACWPAIWQCJWQZWRUVKDRTMWLWSSWTUGQZXAWTT
      QZTQZRTQZUVPUUGUUHTQZXBUVPUVORUVOUVMUVNUUMWTUNUKUVMURUKUTWTXCXDSWTVHVRZXA
      WTXNXCVOZVOXEUSXFXGRUVOTQRUUGCTQZTQUVPUVQUVOUVTRTSUFSUGQZUVNTQZTQZSUUFUUD
      CTQZTQZTQZUVOUVTUWBUWESTUWBUUFUVNUFFUGQZTQZTQZUWEUWBUVNUWATQUVNUUFUWGTQZT
      QUWIUWAUVNUWAUUQSUNUKZUWAURUKVQSUTXDZUFSVHVRXHZUVNUVSXHZXIUWAUWJUVNTUWAUF
      GFUEQZUGQZUWJSUWOUFUGFGUEQSUWOOFGFNWQGKWQXJWSWLUFWDUKUUTFUNUKZUWPUWJVSUFV
      QXHKNUFGFXKXLWOWLUVNUUFUWGUWNUUFUVAXHZUWGUUQUWQUWGURUKVQNUFFVHVRXHXMXOUWH
      UWDUUFTPWLWOWLUVOSUWATQZUVNTQUWCUVMUWSUVNTUVMSXPUDUEQZUGQZUWASTQZUWSWTUWT
      SUGXQWLUXASXPUGQZSTQZUXBSWDUKZXPUNUKUXAUXDVSXRXSSXPXTVRUXCUWASTSRSTQZUGQZ
      SRUGQZSUGQZUXCUWAUXEUUPUWKUXGUXIVSXRVAUWLSRSYAXLUXFXPSUGUXFSRTQXPRSWPXRXI
      YBWOWLUXHUFSUGYCWNYDWNWOUWASUWMXRXIXOWNSUWAUVNXRUWMUWNYEWOUVTSUUFTQZUUDTQ
      ZCTQUXJUWDTQUWFUUGUXKCTSUUDUUFXRUUDUUSXHZUWRYFWNUXJUUDCSUUFXRUWRYGUXLUVLY
      ESUUFUWDXRUWRUUDCUXLUVLYGYEXOYHWLUVORUVMUVNUVMUVRXHUWNYGWPXIUUGRCUUGUVBXH
      WPUVLXMYHYIYJ $.
  $}

  $( Lemma for ~ log2ub .  In decimal, this is a proof that the first four
     terms of the series for ` log 2 ` is less than ` 5 3 0 5 6 / 7 6 5 4 5 ` .
     (Contributed by Mario Carneiro, 17-Apr-2015.)  (Proof shortened by AV,
     15-Sep-2021.) $)
  log2ublem3 $p |- ( ( ( 3 ^ 7 ) x. ( 5 x. 7 ) ) x. sum_ n e. ( 0 ... 3 )
    ( 2 / ( ( 3 x. ( ( 2 x. n ) + 1 ) ) x. ( 9 ^ n ) ) ) ) <_
     ; ; ; ; 5 3 0 5 6 $=
    ( c3 c7 co c5 cmul cc0 c2 c1 caddc c9 c6 cdc 2nn0 5nn0 deccl 1nn0 eqid 3nn0
    c4 cexp cfz cv cdiv csu c8 cle cmin 0le0 c0 risefall0lem sumeq1i sum0 eqtri
    oveq2i wcel cn0 3cn 7nn0 expcl mp2an 5cn 7cn mulcli mul01i 2cn 3brtr4i 0nn0
    nn0cni addid2i addid1i mulid2i oveq1i 0p1e1 nn0mulcli 9nn0 2p1e3 8nn0 1p1e2
    cc wceq 9cn ax-mp 9t9e81 numexpp1 8cn 9t8e72 mulcomli decmul1 7t5e35 7p3e10
    exp1 addcomli ax-1cn 3p1e4 4nn0 7t3e21 4cn 4p1e5 decaddi decmac dec0h 3t2e6
    oveq12i 6p1e7 5t2e10 decsuc 9t3e27 7p4e11 decaddci 9t5e45 decmul1c decmul2c
    decma2c 3eqtr4ri log2ublem2 1m1e0 6nn0 9p5e14 decadd 5p5e10 decaddc2 sqvali
    5p1e6 3t3e9 mulassi 3eqtr2i mul12i 6p3e9 mulid1i eqtr4i 3eqtri 2m1e1 6p6e12
    df-3 1p2e3 9t7e63 df-5 2t2e4 3m1e2 5p3e8 mulcomi exp0 df-7 3eqtr4i 00id 6cn
    6t2e12 dec10p 8t2e16 breqtri ) BCUADZECFDZFDZGBUBDHBHAUCZFDIJDFDKUUOUADFDUD
    DZAUEFDHHLMZEMZHMZUFMZFDEBMZGMZEMZLMUGUUSBMZAEUUTHGBUUQTMZLMZGMZALBMZUVDIIH
    HEMZEMZIMZEMZAKTMZEMZUVGGHIGAUVLUVLGIUHDZBGGGUUNGUVOUBDZUUPAUEZFDZHGFDZUGUI
    UVRUUNGFDGUVQGUUNFUVQUJUUPAUEGUVPUJUUPAUKULUUPAUMUNUOUUNUULUUMBVTUPCUQUPUUL
    VTUPURUSBCUTVAECVBVCVDZVDVEUNHVFVEZVGVHUVKEUVJIUVIEHENOPZOPZQPZOPZVHUVORUVL
    UVLUWEVIZVJSBURVKIUVLFDUVLUVSIJDZUVLFDUUMKBUADZFDUVLUWFVLUWGIUVLFUWGGIJDZIU
    VSGIJUWAVMVNUNVMCHMZKUVKEUUMBIMZUWHECOUSVOZCHUSNPVPKUWJKMHBVPNVQUFIUWJKKKHU
    ADZVPVRQKUFIMZIHVPQVSKIUADZKFDKKFDZUWNUWOKKFKVTUPZUWOKWAWBKWLWCZVMWDUNWEKUF
    UWJWBWFWGWHKWBVLWIWEOBISQPCHBIUUMUVJICUWJUWKUSNSQUWJRUWKRUWLQUSBEIGCUVIEBUU
    MBCJDSOQVHCEBEMZVCVBWJWHZCBIGMZVCURWKWMUSOSBCFDZIBJDZJDUXBTJDUVIUXCTUXBJBIT
    URWNWOWMZUOHIEUXBTNQWPCBHIMVCURWQWHZTIEWRWNWSWMZWTUNUUMGJDUWSGJDUWSUUMUWSGJ
    UWTVMUWSUWSBESOPVIVKUNXABEGIHCIIUUMISOVHQUWTIQXBZNQQBHFDZUWIJDLIJDZCUXHLUWI
    IJXCVNXDXEUNIGIEHFDZQVHVNXFXGXAXNBEUWKEKTUUMVPSOUWTOWPHCIBBKFDZTNUSWPKBHCMW
    BURXHWHZVQQXIXJKETEMWBVBXKWHXLXMXOXPUWEUVMEKTVPWPPZOPQXQUVKEUVMEUVFUVLUVNUW
    DOUXMOUVLRUVNRUVEELUVKUVMJDUUQTHLNXRPZWPPZOYDUVJIKTUVEEUVKUVMUWCQVPWPUVKRUV
    MRUVIETUUQUVJKUWBOVPUVJRHELUVINOYDUVIRXGWPKEITMWBVBXSWMXJUXFXTXGYAYBNVQUUMU
    WMFDUUMBUXKFDZFDZBUVNFDZHIFDZIJDZUVNFDUWMUXPUUMFUWMUWPBBFDZKFDUXPKWBYCUYAKK
    FYEVMBBKURURWBYFYGUOUXQBUUMUXKFDZFDUXRUUMBUXKUVTURBKURWBVDYHUYBUVNBFHCUVMEU
    UMHTMZUXKUWLNUSUXLOHTNWPPBEHTHKTIUUMUYCSONWPUWTUYCRNWPQUXHHIJDZJDLBJDKUXHLU
    YDBJXCVQXDYIUNIGTUXJTQVHWPXFTWRVJWTXABEUYCECBUUMUSSOUWTOSHITUXBBNQSUXEUXDWT
    UWTXLXMUOUNBUXTUVNFBUYDUXTYOUXSHIJHVFYJVMYKVMYLXPUVFGUVELUXOXRPZVHPLBXRSPNY
    MUVFGLBUUSBUVGUVHUYEVHXRSUVGRUVHRUVELHUURUVFLUXOXRXRUVFRUUQTEUVEUXNWPWSUVER
    XGNYNXJBURVJZXTQYPUUMUWOFDUUMKFDZEUVHFDZHHFDZIJDZUVHFDUWOKUUMFUWRUOUYGECKFD
    ZFDUYHECKVBVCWBYFUYKUVHEFKCUVHWBVCYQWHUOUNEUYJUVHFETIJDZUYJYRUYITIJYSVMZYKV
    MYLXPUUSBUURHUUQEUXNOPZNPZSPOSYTUUSBUFUVDEUYOSOUVDREBUFVBURUUAWMWTVHUYFCEFD
    ZIFDUYPUUMKGUADZFDHBFDZIJDZEFDUYPCEVCVBVDYJUUMUYPUYQIFECVBVCUUBUWQUYQIWAWBK
    UUCWCXDUYSCEFUYSUXICUYRLIJBHLURVFXCWHVMUUDYKVMUUEXPUUSUFUVCLHIUUTNUYOVRUUTR
    XRQUURHGIHUVBEGUUSIUYNNVHQUUSRUXGNOVHUUQEGGHUVAGIUURGGJDZUXNOVHVHUURRUYTGGG
    MUUFGVHXBUNNVHQHLGIHEBIUUQUWINXRVHQUUQRUWIIGIMVNUXGUNNSQUYIUWIJDUYLEUYITUWI
    IJYSVNXDWSUNIHBHLFDQNVQLHIHMUUGVFUUHWHXGXNHEFDZGJDUXAGJDUXAVUAUXAGJEHUXAVBV
    FXFWHVMGUUIUNXNUYJUYLEGEMUYMWSEOXBYLXNUFHILMWFVFUUJWHXMUUK $.

  $( ` log 2 ` is less than ` 2 5 3 / 3 6 5 ` .  If written in decimal, this is
     because ` log 2 = ` 0.693147... is less than 253/365 = 0.693151... , so
     this is a very tight bound, at five decimal places.  (Contributed by Mario
     Carneiro, 7-Apr-2015.)  (Proof shortened by AV, 16-Sep-2021.) $)
  log2ub $p |- ( log ` 2 ) < ( ; ; 2 5 3 / ; ; 3 6 5 ) $=
    ( c2 cc0 c3 co cmul c1 caddc c4 c5 cdc c6 wcel 2nn0 c7 3nn0 5nn0 deccl 1nn0
    eqid 7nn0 vn clog cfv cfz cv c9 cexp cdiv csu cle wbr clt cmin cr w3a 4m1e3
    cicc oveq2i sumeq1i cn0 4nn0 ax-mp nnmulcli nnexpcl mp2an nndivre mpbi wtru
    cn 9nn wa 3nn sylancr 0nn0 6nn0 6p1e7 decsuc 5nn 7nn nnrei declt 7cn 7t5e35
    5cn mulcomli c8 4cn 2cn 4t2e8 oveq1i eqtri 9cn 3brtr4i nngt0i nncni mulcomi
    wb 3cn 3eqtr3i wceq mp3an mulcli mulid1i nn0rei pm3.2i 8nn0 ax-1cn addcomli
    9nn0 5p1e6 decaddi decaddci nn0cni addid1i 7t3e21 6cn decmac mul02i addid2i
    1p2e3 dec0h 7t7e49 4p1e5 5t3e15 5p2e7 decmul1c decmul2c 3t2e6 2t2e4 oveq12i
    4p3e7 7t2e14 1p1e2 8cn decadd decma2c decmul1 nn0mulcli mulassi lelttri 0re
    log2tlbnd eqeltrri 3re 4nn 1nn numnncl elicc2i simp3i crp 2rp relogcl fzfid
    2re elfznn0 nn0mulcl nn0p1nn syl nnmulcl nnmulcld fsumrecl mptru lesubadd2i
    adantl log2ublem3 6nn 5lt6 8p1e9 9t4e36 ltleii lemul2i mul32i expmul eqtr3i
    df-8 expp1 sq3 log2ublem1 readdcli lemuldiv2 1lt10 6lt7 decltc 9p4e13 5p3e8
    cc 3p1e4 6p5e11 9p7e16 00id 3t3e9 decma 3exp3 4p4e8 numexp2x 6p2e8 decrmanc
    8p4e12 9t3e27 numexpp1 7p3e10 decaddc2 2p2e4 5t2e10 7p6e13 8t2e16 decaddci2
    6p4e10 8t5e40 8t3e24 2p1e3 7p4e11 decrmac mulid2i nn0expcli 3brtr3i decnncl
    ltmul1ii lt2mul2div mp4an ) AUBUCZBCUDDZACAUAUEZEDZFGDZEDZUFUYCUGDZEDZUHDZU
    AUIZCHAHEDZFGDZEDZUFHUGDZEDZUHDZGDZUJUKZUYQAIJZCJZCKJZIJZUHDZULUKZUYAVUCULU
    KUYAUYJUMDZUYPUJUKZUYRVUEUNLZBVUEUJUKZVUFVUEBUYPUQDZLVUGVUHVUFUOUYABHFUMDZU
    DDZUYIUAUIZUMDZVUEVUIVULUYJUYAUMVUKUYBUYIUAVUJCBUDUPURUSURHUTLZVUMVUILVAUAH
    UUBVBUUCBUYPVUEUUACUNLUYOVILUYPUNLUUDUYMUYNHUYLUUEHFAMVAUUFUUGVCZUFVILZVUNU
    YNVILVJVAUFHVDVEZVCZCUYOVFVEZUUHVGUUIUYAUYJUYPAUUJLUYAUNLUUKAUULVBZUYJUNLVH
    UYBUYIUAVHBCUUMVHUYCUYBLZVKZAUNLUYHVILUYIUNLUUNVVBUYFUYGVVBCVILZUYEVILZUYFV
    ILVLVVBUYDUTLZVVDVVBAUTLZUYCUTLZVVEMVVAVVGVHUYCCUUOUVDZAUYCUUPVMUYDUUQUURCU
    YEUUSVMVVBVUPVVGUYGVILVJVVHUFUYCVDVMUUTAUYHVFVMUVAUVBZVUSUVCVGUYQICJZBJZIJZ
    NJZCNUGDZINEDZEDZUHDZUJUKZVVQVUCULUKZVUDVVPUYQEDVVMUJUKZVVRUYJVVLKJZUYQCUYO
    FVVMUAUVEVVIOVURVVLKVVKIVVJBICPOQZVNQZPQZVOQRUYQSVVLKNVWAVWDVOVPVWASVQUYNVV
    OEDZUYNUYMEDZVVPCEDZUYOFEDZUJVVOUYMUJUKZVWEVWFUJUKZVVOUYMVVOINVRVSVCZVTZUYM
    VUOVTZCIJZVUAVVOUYMULCIKOPUVFUVGWANIVWNWBWDWCWEZUYMHUFEDVUAUYLUFHEUYLWFFGDU
    FUYKWFFGHAWFWGWHWIWEWJUVHWKURUFHVUAWLWGUVIWEWKWMUVJBUYNULUKVWIVWJWQUYNVUQWN
    VVOUYMUYNVWLVWMUYNVUQVTUVKVBVGVWGVVNCEDZVVOEDVWEVVNVVOCVVNVVCNUTLZVVNVILVLT
    CNVDVEZWOZVVOVWKWOZWRUVLVWPUYNVVOECNFGDZUGDZCAUGDZHUGDZVWPUYNCUYKUGDZVXBVXD
    UYKVXACUGHAEDWFUYKVXAWIHAWGWHWPUVOWSURCUWFLZVVFVUNVXEVXDWTWRMVACAHUVMXAUVNV
    XFVWQVXBVWPWTWRTCNUVPVEVXCUFHUGUVQWJWSWJWKVWHVWFFEDVWFUYOVWFFEUYMUYNUYMVUOW
    OZUYNVUQWOZWPWJVWFUYNUYMVXHVXGXBXCWKWMUVRUYQUNLVVMUNLZVVPUNLZBVVPULUKZVKZVV
    TVVRWQUYJUYPVVIVUSUVSZVVMVVLNVWDTQZXDZVXJVXKVVPVVNVVOVWRVWKVCZVTVVPVXPWNXEZ
    UYQVVMVVPUVTXAVGVVMVUBEDZUYTVVPEDZULUKZVVSVVMNCJZEDZIEDZUYTVVNEDZNEDZIEDZVX
    RVXSULVYBVYEULUKVYCVYFULUKCWFJZNJZCJZFJZKJZFJVYJNJZNJVYBVYEULVYKVYLFNVYJKVY
    IFVYHCVYGNCWFOXFQTQOQRQZVOQVYJNVYMTQRTUWAVYJKNVYMVOVSUWBWAUWCNCVYKFVVMFIJZU
    FJZFJZNJZVYAVXNTOVYASZRVYPNVYOFVYNUFFIRPQZXIQZRQZTQVVLNVYPNNVYJKIVVMVYQVWDT
    WUATVVMSZVYQSTVOPVVKIVYOKNVYIFHVVLVYPIGDVWCPVYTVOVVLSZVYOFKVYPIVYTRPVYPSIFK
    WDXGXJXHXKTRVAVVJBFKJZCNVYHCBVVKVYOHGDVWBVNFKRVOQZOVVKSZVYNUFCWUDVYOHVYSXIV
    AVYOSFIKVYNRPXJVYNSVQOUWDXLTOVNICFKNVYGNAVVJWUDBGDPORVOVVJSZWUDWUDWUEXMXNTT
    MVVOFAGDZGDVVOCGDZVYGWUHCVVOGXTURCIWFVVOCOPOVWOUWEXKZWKAFNCNEDZKMRVONCAFJZW
    BWRXOWEZKFNXPXGVPXHXKXQBNEDZCGDBCGDZBCJZWUNBCGNWBXRWJWUOCWUPCWRXSZCOYAWKZWK
    XQCIFHVVOKOPVOVWOUWGRKIFFJZXPWDUWHXHXLXQHUFKINNEDNVAXITYBYCVOUWIXLXQVVLNVYQ
    FCAVVMOVWDTWUBRMVVKIBACVYPNFVVLAVWCPVNMWUCAMYAZOTRVVJBBFCVYOFBVVKBFGDZVWBVN
    VNRWUFWVAFBFJZFXGXSZFRYAZWKZORVNICBBCVYNUFVVJBBGDZPOVNVNWUGWVFBBBJUWJBVNYAW
    KOICEDZBGDVYNBGDVYNWVGVYNBGYDWJVYNVYNVYSXMXNWKCCEDZBGDUFBGDUFWVHUFBGUWKWJUF
    WLXNWKUWLBCEDZFGDWVAWVBWVIBFGCWRXRWJWVEWKXQFINWVGARPMYDYEXKXQXOYFYGIIJZCJZC
    JZFJZFVYLNNVYDTWVLFWVKCWVJCIIPPQZOQZOQZRQRWULWFJZNWVMFUYTFNJZNJZVVNUYSCAIMP
    QZOQZWULWFAFMRQZXFQTCWVQNJKNOVOVPNAJZUFWVQNCACKUGDONATMQXICWWCUFJANJZCKOOCA
    KWRWHYHWEZUWMANWWCUFWWDFWFJZWWDANMTQMTWWDSZXIFWFRXFQANFWFANAAWWDWWFMTRXFWWG
    WWFSMMMAAEDZWUHGDHCGDNWWHHWUHCGYIXTYJYKWKFHAANAEDWFRVAXFYLYMMWFHFAJYNWGUWRX
    HXLXQANWWFUFNHWWDTMTWWGXIVAFHWFANEDZHRVAVANAFHJWBWHYLWEZUWNXKYBYFYGUWOTMNAC
    WULWFWWCATMMWWCSOXOACEDZAGDKAGDWFWWKKAGWWEWJUWPWKUWQUWSYFUWTRWVRNFNRTQZTQWU
    LWFWVRNUYTWVLFABJZCJZWVQWVSWWBXFWWLTWVQSWVSSWWARWWMCABMVNQZOQAFAAJZBUYTWVKC
    UYSWULWVRWWNGDMRAAMMQVNWULSFNWWMCWWPWVRWWNRTWWOOWVRSWWNSAFAFWWMGDMRYMBFABAF
    FWWMVNRMVNWVDWWMSAWHXSZFXGXNYOVQUXAUXBWWAOWVTUYSCHNAWVJCFUYTWWPUYSGDWVTOVAT
    UYTSZAAAIHNWWPUYSMMMPWWPSUYSSZUXCIANWDWHYEXHYOMORAIBIAIIFUYSHFGDZMPVNPWWSWW
    TIBIJYCIPYAWKMPRWWHWVAGDWWTIWWHHWVAFGYIWVCYJYCWKFBIIAEDIRVNPUXDIWDXSXKXQCAE
    DZNGDKNGDFCJZWXAKNGYHWJNKWXBWBXPUXEXHWKXQUYTFEDZBGDUYTBGDUYTWXCUYTBGUYTUYTW
    WAXMZXCWJUYTWXDXNWKYPUYSCBNWFWWNFCUYTNWVTOVNTWWRNTYAXFROAIBCWFWWMCHUYSWUOMP
    VNOWWSWURXFOVAAWFEDZBHGDZGDWXEHGDWWMWXFHWXEGHWGXSURFKAWXEHRVOVAWFAWUDYNWHUX
    FWEYMUXHUXGWKHBCIWFEDCVAVNOWFIHBJYNWDUXIWEWUQXKXQAHFCCWFEDNMVATWFCAHJYNWRUX
    JWEUXKRNHWUSWBWGUXLXHXLXQYPUYSCWVSFNAUYTTWVTOWWRRMAINWVRNCUYSAMPMWWSTTOFHNW
    WICRVAOWWJYKXKCINVVOAOPMVWOYEXKZUXMWUMYFYGWVLFVYJNNWVMTWVPRWVMSWVKCVYIFNAWV
    LTWVOOWVLSRMWVJCBANVYHCAWVKAWVNOVNMWVKSWUTTOMIIBANVYGNCWVJBAGDZPPVNMWVJSWXH
    ABAJWWQWUTWKTTOVVOWUOGDWUIVYGWUOCVVOGWUQURWUJWKWXGXQAFCWUKAMRMWUMXTXKXQWUMY
    FNWBUXNZYQWXIYQWMVYBVYEIVYBVVMVYAVXNNCTOQZYRXDVYEVYDNUYTVVNWWACNOTUXOYRTYRX
    DIVRVTIVRWNUXRVGVYCVVMVYAIEDZEDVXRVVMVYAIVVMVXNXMVYAWXJXMWDYSWXKVUBVVMENCVU
    AIIFVYAPTOVYRPRCIKNIEDZOPXJWCVQICVYNWDWRYDWEYFURWKVYFVYDWXLEDZVXSVYDNIUYTVV
    NWXDVWSXBWBWDYSWXMVYDVVOEDVXSWXLVVOVYDENIWBWDWPURUYTVVNVVOWXDVWSVWTYSWKWKUX
    PVXIVUBUNLZBVUBULUKZVKUYTUNLZVXLVXTVVSWQVXOWXNWXOVUBVUAICKOVOQVRUXQZVTVUBWX
    QWNXEUYTWWAXDZVXQVVMVUBUYTVVPUXSUXTVGUYQVVQVUCVXMVXIVVPVILVVQUNLVXOVXPVVMVV
    PVFVEWXPVUBVILVUCUNLWXRWXQUYTVUBVFVEZYTVEUYAUYQVUCVUTVXMWXSYTVE $.

  $( ` log 2 ` is less than ` 1 ` .  This is just a weaker form of ~ log2ub
     when no tight upper bound is required.  (Contributed by Thierry Arnoux,
     27-Sep-2017.) $)
  log2le1 $p |- ( log ` 2 ) < 1 $=
    ( c2 clog cfv c5 cdc c3 c6 cdiv co clt wbr 2nn0 3nn0 5nn0 6nn0 deccl nn0rei
    c1 cc0 wcel log2ub 2lt3 5lt10 3lt10 3decltc 6nn decnncl 0nn0 10pos ltdiv1ii
    declti mpbi recni 0re gtneii dividi breqtri crp cr 2rp relogcl redivcli 1re
    ax-mp lttri mp2an ) ABCZADEZFEZFGEZDEZHIZJKVLRJKVGRJKUAVLVKVKHIZRJVIVKJKVLV
    MJKAFDGFDLMNOMNUBUCUDUEVIVKVKVIVHFADLNPMPQZVKVJDFGMOPNPQZVOVJDSFGMUFUGNUHUI
    UKZUJULVKVKVOUMSVKUNVPUOZUPUQVGVLRAURTVGUSTUTAVAVDVIVKVNVOVQVBVCVEVF $.

  ${
    $d f k n K $.  $d f k n N $.
    birthday.s $e |- S = { f | f : ( 1 ... K ) --> ( 1 ... N ) } $.
    birthday.t $e |- T = { f | f : ( 1 ... K ) -1-1-> ( 1 ... N ) } $.
    $( Lemma for ~ birthday .  (Contributed by Mario Carneiro, 17-Apr-2015.) $)
    birthdaylem1 $p |- ( T C_ S /\ S e. Fin /\ ( N e. NN -> S =/= (/) ) ) $=
      ( cfn wcel c0 wne c1 cfz co cab wceq fzfi mp2an sylbi ovex wss cn wf1 f1f
      wi cv wf ss2abi 3sstr4i cmap mapvalg eqtr4i mapfi eqeltri elfz1end eqeq1i
      ne0i map0 simplbi necon3i syl 3pm3.2i ) BAUAAHIEUBIZAJKZUELDMNZLEMNZCUFZU
      CZCOVEVFVGUGZCOZBAVHVICVEVFVGUDUHGFUIAVFVEUJNZHAVJVKFVFHIZVEHIZVKVJPLEQZL
      DQZVFVEHHCUKRULZVLVMVKHIVNVOVFVEUMRUNVCVFJKZVDVCEVFIVQEUOVFEUQSAJVFJAJPVK
      JPZVFJPZAVKJVPUPVRVSVEJKVFVELEMTLDMTURUSSUTVAVB $.

    $( For general ` N ` and ` K ` , count the fraction of injective functions
       from ` 1 ... K ` to ` 1 ... N ` .  (Contributed by Mario Carneiro,
       7-May-2015.) $)
    birthdaylem2 $p |- ( ( N e. NN /\ K e. ( 0 ... N ) ) ->
      ( ( # ` T ) / ( # ` S ) ) =
      ( exp ` sum_ k e. ( 0 ... ( K - 1 ) ) ( log ` ( 1 - ( k / N ) ) ) ) ) $=
      ( vn wcel cc0 cfz co cfv cdiv cmin c1 ce wceq cc cn wa chash caddc cv csu
      clog cmul cfa cbc wf1 cab fveq2i cfn fzfi hashf1 mp2an cn0 elfznn0 adantl
      eqtri hashfz1 syl fveq2d nnnn0 adantr syl5eq faccld nncnd fznn0sub nnne0d
      oveq12d divcld divcan2d bcval2 divdiv1d eqtr4d oveq2d fzfid nnrp relogcld
      elfznn recnd fsumcl efsub syl2anc clt wbr cin nn0red ltp1d fzdisj cun cle
      c0 fznn0sub2 elfzle2 cuz cz simpr nnuz eleqtrdi nnz ad2antrr elfz5 mpbird
      wb fzsplit fz10 eqtrdi uneq1d uncom un0 oveq1d 1e0p1 eqtr4di eqtr2d elnn0
      wo sylib mpjaodan fsumsplit nn0p1nn elfzuz eluznn syl2an wne eflog logfac
      pncan2d eqtr3d 3eqtr4d eqtrd cexp cmap syl3anc nn0cnd crp ax-1cn cen nncn
      wf mapvalg eqtr4i hashmap elfzelz explog mulcld relogdiv syl2anr sumeq2dv
      nnne0 syldan nn0zd peano2zd nnrpd rpdivcld fvoveq1 fsumrev subidd subsubd
      1cnd sylancl nncand divsubdird dividd sumeq12rdv fsumsub fsumconst addcom
      subcl 1zzd fzen sylancr pncan3d breqtrd hasheni 3eqtr3rd 3eqtr2d ) FUAJZE
      KFLMZJZUBZBUCNZAUCNZOMFEPMZQUDMZFLMZIUEZUGNZIUFZRNZEFUGNZUHMZRNZOMZUWKUWN
      PMZRNZKEQPMZLMZQDUEZFOMZPMZUGNZDUFZRNUWCUWDUWLUWEUWOOUWCUWDEUINZFEUJMZUHM
      ZUWLUWCUWDQELMZUCNZUINZQFLMZUCNZUXJUJMZUHMZUXHUWDUXIUXLCUEZUKCULZUCNZUXOB
      UXQUCHUMUXIUNJZUXLUNJZUXRUXOSQEUOZQFUOZUXIUXLCUPUQVAUWCUXKUXFUXNUXGUHUWCU
      XJEUIUWCEURJZUXJESUWBUYCUVTEFUSUTZEVBVCZVDUWCUXMFUXJEUJUVTUXMFSZUWBUVTFUR
      JZUYFFVEZFVBVCVFZUYEVLVLVGUWCUXFFUINZUWFUINZOMZUXFOMZUHMUYLUXHUWLUWCUYLUX
      FUWCUYJUYKUWCUYJUWCFUVTUYGUWBUYHVFZVHZVIZUWCUYKUWCUWFUWBUWFURJZUVTEKFVJUT
      ZVHZVIZUWCUYKUYSVKZVMUWCUXFUWCEUYDVHZVIZUWCUXFVUBVKZVNUWCUXGUYMUXFUHUWCUX
      GUYJUYKUXFUHMOMZUYMUWBUXGVUESUVTEFVOUTUWCUYJUYKUXFUYPUYTVUCVUAVUDVPVQVRUW
      CUXLUWJIUFZQUWFLMZUWJIUFZPMZRNZVUFRNZVUHRNZOMZUWLUYLUWCVUFTJVUHTJVUJVUMSU
      WCUXLUWJIUWCQFVSZUWCUWIUXLJZUBUWIUAJZUWJTJZVUOVUPUWCUWIFWBUTVUPUWJVUPUWIU
      WIVTZWAWCZVCZWDUWCVUGUWJIUWCQUWFVSUWCUWIVUGJZUBVUPVUQVVAVUPUWCUWIUWFWBUTV
      USVCWDZVUFVUHWEWFUWCUWKVUIRUWCVUIVUHUWKUDMZVUHPMUWKUWCVUFVVCVUHPUWCVUGUWH
      UWJUXLIUWCUWFUWGWGWHVUGUWHWIWOSUWCUWFUWCUWFUYRWJWKQUWFUWGFWLVCUWCUWFUAJZU
      XLVUGUWHWMZSZUWFKSZUWCVVDUBZUWFUXLJZVVFVVHVVIUWFFWNWHZUWCVVJVVDUWCUWFUWAJ
      ZVVJUWBVVKUVTEFWPUTUWFKFWQVCVFVVHUWFQWRNZJFWSJZVVIVVJXGVVHUWFUAVVLUWCVVDW
      TXAXBUVTVVMUWBVVDFXCZXDUWFQFXEWFXFUWFQFXHVCUWCVVGUBZVVEWOUWHWMZUXLVVOVUGW
      OUWHVVOVUGQKLMWOVVOUWFKQLUWCVVGWTZVRXIXJXKVVOVVPUWHUXLVVPUWHWOWMUWHWOUWHX
      LUWHXMVAVVOUWGQFLVVOUWGKQUDMQVVOUWFKQUDVVQXNXOXPXNVGXQUWCUYQVVDVVGXSUYRUW
      FXRXTYAVUNVUTYBXNUWCVUHUWKVVBUWCUWHUWJIUWCUWGFVSZUWCUWIUWHJZUBZVUPVUQUWCU
      WGUAJZUWIUWGWRNJVUPVVSUWCUYQVWAUYRUWFYCVCUWIUWGFYDUWIUWGYEYFZVUSVCZWDZYJX
      QVDUWCUYJVUKUYKVULOUWCUYJUGNZRNZUYJVUKUWCUYJTJUYJKYGVWFUYJSUYPUWCUYJUYOVK
      UYJYHWFUWCVWEVUFRUWCUYGVWEVUFSUYNIFYIVCVDYKUWCUYKUGNZRNZUYKVULUWCUYKTJUYK
      KYGVWHUYKSUYTVUAUYKYHWFUWCVWGVUHRUWCUYQVWGVUHSUYRIUWFYIVCVDYKVLYLYLYMUWCU
      WEFEYNMZUWOUWCUWEUXMUXJYNMZVWIUWEUXLUXIYOMZUCNZVWJAVWKUCAUXIUXLUXPUUBCULZ
      VWKGUXTUXSVWKVWMSUYBUYAUXLUXIUNUNCUUCUQUUDUMUXTUXSVWLVWJSUYBUYAUXLUXIUUEU
      QVAUWCUXMFUXJEYNUYIUYEVLVGUWCFTJZFKYGZEWSJZVWIUWOSUVTVWNUWBFUUAVFZUVTVWOU
      WBFUULVFZUWBVWPUVTEKFUUFUTZFEUUGYPYMVLUWCUWKTJUWNTJUWRUWPSVWDUWCEUWMUWCEU
      YDYQZUWCUWMUWCFUVTFYRJZUWBFVTVFZWAWCZUUHUWKUWNWEWFUWCUWQUXERUWCUWHUWIFOMZ
      UGNZIUFZUWHUWJUWMPMZIUFZUXEUWQUWCUWHVXEVXGIUWCVVSVUPVXEVXGSZVWBVUPUWIYRJV
      XAVXIUWCVURVXBUWIFUUIUUJUUMUUKUWCVXFFFPMZFUWGPMZLMZFUXAPMZFOMZUGNZDUFUXEU
      WCVXEVXOIDFUWGFUVTVVMUWBVVNVFZUWCUWFUWCUWFUYRUUNZUUOVXPVVTVXEVVTVXDVVTUWI
      FVVTUWIVWBUUPUWCVXAVVSVXBVFUUQWAWCUWIVXMFUGOUURUUSUWCVXLUWTVXOUXDDUWCVXJK
      VXKUWSLUWCFVWQUUTUWCFFUWSPMZPMVXKUWSUWCVXRUWGFPUWCFEQVWQVWTUWCUVBUVAVRUWC
      FUWSVWQUWCETJQTJZUWSTJVWTYSEQUVKUVCUVDYKVLUWCUXAUWTJZUBZVXNUXCUGVYAVXNFFO
      MZUXBPMUXCVYAFUXAFUWCVWNVXTVWQVFZVYAUXAVXTUXAURJUWCUXAUWSUSUTYQVYCUWCVWOV
      XTVWRVFZUVEVYAVYBQUXBPVYAFVYCVYDUVFXNYMVDUVGYMUWCVXHUWKUWHUWMIUFZPMUWQUWC
      UWHUWJUWMIVVRVWCUWCUWMTJZVVSVXCVFUVHUWCVYEUWNUWKPUWCVYEUWHUCNZUWMUHMZUWNU
      WCUWHUNJVYFVYEVYHSVVRVXCUWHUWMIUVIWFUWCVYGEUWMUHUWCUXJVYGEUWCUXIUWHYTWHUX
      JVYGSUWCUXIQUWFUDMZEUWFUDMZLMZUWHYTUWCQWSJVWPUWFWSJUXIVYKYTWHUWCUVLVWSVXQ
      UWFQEUVMYPUWCVYIUWGVYJFLUWCVXSUWFTJVYIUWGSYSUWCUWFUYRYQQUWFUVJUVNUWCEFVWT
      VWQUVOVLUVPUXIUWHUVQVCUYEYKXNYMVRYMUVRVDUVS $.

    $( For general ` N ` and ` K ` , upper-bound the fraction of injective
       functions from ` 1 ... K ` to ` 1 ... N ` .  (Contributed by Mario
       Carneiro, 17-Apr-2015.) $)
    birthdaylem3 $p |- ( ( K e. NN0 /\ N e. NN ) -> ( ( # ` T ) / ( # ` S ) )
        <_
      ( exp ` -u ( ( ( ( K ^ 2 ) - K ) / 2 ) / N ) ) ) $=
      ( vk wcel cfv cdiv co cle wbr clt cc0 c0 c1 wb cr cn0 cn wa chash c2 cexp
      cmin cneg ce cfz cv wf1 cab wceq wne cdom wn wex abn0 ovex bitr4i hashfz1
      brdom nnnn0 syl breqan12d fzfid hashdom syl2anc nn0re nnre syl2an 3bitr3d
      cfn lenlt syl5bb necon4abid biimpar syl5eq fveq2d hash0 eqtrdi oveq1d wss
      wi birthdaylem1 simp3i ad2antlr simp2i hashnncl ax-mp sylibr nncnd nnne0d
      div0d adantr resqcld resubcld rehalfcld nndivre sylancom renegcld rpefcld
      eqtrd rpge0d eqbrtrd clog csu simplr simpr cz simpll nn0uz eleqtrdi elfz5
      cuz nnz mpbird birthdaylem2 elfznn0 adantl nn0red peano2rem nnred elfzle2
      crp cmul ltm1d ltletrd lelttrd mulid1d breqtrrd nngt0d ltdivmul syl112anc
      1red nndivred mpbid recnd efle 1re difrp sylancl relogcld divge0 syl22anc
      elfzle1 eflegeo reefcld efgt0 rpregt0d syl21anc reeflogd cc efneg 3brtr4d
      lerec2 fsumle fsumneg fsumdivc arisum2 eqtr3d breqtrd fsumrecl ltlecasei
      nnne0 negeqd ) DUAIZEUBIZUCZBUDJZAUDJZKLZDUEUFLZDUGLZUEKLZEKLZUHZUIJZMNED
      UVJEDONZUCZUVMPUVSMUWAUVMPUVLKLPUWAUVKPUVLKUWAUVKQUDJPUWABQUDUWABRDUJLZRE
      UJLZCUKULZCUMZQGUVJUWEQUNUVTUVJUVTUWEQUWEQUOZUWBUWCUPNZUVJUVTUQZUWFUWDCUR
      UWGUWDCUSUWBUWCCREUJUTVCVAUVJUWBUDJZUWCUDJZMNZDEMNZUWGUWHUVHUVIUWIDUWJEMD
      VBUVIEUAIUWJEUNEVDEVBVEVFUVJUWBVNIUWCVNIUWKUWGSUVJRDVGUVJREVGUWBUWCVNVHVI
      UVHDTIZETIZUWLUWHSUVIDVJZEVKZDEVOVLVMVPVQVRVSVTWAWBWCUWAUVLUWAUVLUWAAQUOZ
      UVLUBIZUVIUWQUVHUVTBAWDZAVNIZUVIUWQWEZABCDEFGWFZWGWHUWTUWRUWQSUWSUWTUXAUX
      BWIAWJWKWLZWMUWAUVLUXCWNWOXDUWAUVSUWAUVRUVJUVRTIZUVTUVJUVQUVHUVIUVPTIUVQT
      IUVJUVOUVJUVNDUVJDUVHUWMUVIUWOWPZWQUXEWRWSUVPEWTXAXBZWPXCXEXFUVJUWLUCZUVM
      PDRUGLZUJLZRHUKZEKLZUGLZXGJZHXHZUIJZUVSMUXGUVIDPEUJLIZUVMUXOUNUVHUVIUWLXI
      ZUXGUXPUWLUVJUWLXJZUXGDPXPJZIEXKIZUXPUWLSUXGDUAUXSUVHUVIUWLXLZXMXNUVIUXTU
      VHUWLEXQWHDPEXOVIXRABCHDEFGXSVIUXGUXNUVRMNZUXOUVSMNZUXGUXNUXIUXKUHZHXHZUV
      RMUXGUXIUXMUYDHUXGPUXHVGZUXGUXJUXIIZUCZUXLUYHUXKRONZUXLYFIZUYHUYIUXJERYGL
      ZONZUYHUXJEUYKOUYHUXJUXHEUYHUXJUYGUXJUAIUXGUXJUXHXTYAYBZUXGUXHTIZUYGUXGUW
      MUYNUXGDUYAYBZDYCVEZWPUYHEUXGUVIUYGUXQWPZYDZUYGUXJUXHMNUXGUXJPUXHYEYAUXGU
      XHEONUYGUXGUXHDEUYPUYOUXGEUXQYDUXGDUYOYHUXRYIWPYJUYHEUYHEUYQWMYKYLUYHUXJT
      IZRTIZUWNPEONZUYIUYLSUYMUYHYPUYRUYHEUYQYMZUXJREYNYOXRZUYHUXKTIZUYTUYIUYJS
      UYHUXJEUYMUYQYQZUUAUXKRUUBUUCYRZUUDZUYHUXKVUEXBZUYHUXMUYDMNZUXMUIJZUYDUIJ
      ZMNZUYHUXLRUXKUIJZKLZVUJVUKMUYHVUMRUXLKLMNZUXLVUNMNZUYHUXKVUEUYHUYSPUXJMN
      ZUWNVUAPUXKMNUYMUYGVUQUXGUXJPUXHUUGYAUYRVUBUXJEUUEUUFVUCUUHUYHVUMTIPVUMON
      ZUXLTIPUXLONUCVUOVUPSUYHUXKVUEUUIUYHVUDVURVUEUXKUUJVEUYHUXLVUFUUKVUMUXLUU
      QUULYRUYHUXLVUFUUMUYHUXKUUNIVUKVUNUNUYHUXKVUEYSZUXKUUOVEUUPUYHUXMTIUYDTIV
      UIVULSVUGVUHUXMUYDYTVIXRUURUXGUYEUXIUXKHXHZUHUVRUXGUXIUXKHUYFVUSUUSUXGVUT
      UVQUXGUXIUXJHXHZEKLVUTUVQUXGUXIUXJEHUYFUXGEUXQWMUYHUXJUYMYSUVIEPUOUVHUWLE
      UVFWHUUTUXGVVAUVPEKUXGUVHVVAUVPUNUYAHDUVAVEWCUVBUVGXDUVCUXGUXNTIUXDUYBUYC
      SUXGUXIUXMHUYFVUGUVDUVJUXDUWLUXFWPUXNUVRYTVIYRXFUVIUWNUVHUWPYAUXEUVE $.

    birthday.k $e |- K = ; 2 3 $.
    birthday.n $e |- N = ; ; 3 6 5 $.
    $( The Birthday Problem.  There is a more than even chance that out of 23
       people in a room, at least two of them have the same birthday.
       Mathematically, this is asserting that for ` K = 2 3 ` and
       ` N = 3 6 5 ` , fewer than half of the set of all functions from
       ` 1 ... K ` to ` 1 ... N ` are injective.  This is Metamath 100 proof
       #93.  (Contributed by Mario Carneiro, 17-Apr-2015.) $)
    birthday $p |- ( ( # ` T ) / ( # ` S ) ) < ( 1 / 2 ) $=
      ( cdiv co c2 c1 clt wcel c3 cdc 2nn0 cr ax-mp chash cfv cexp cmin cneg ce
      cle wbr cn0 cn 3nn0 deccl eqeltri c6 6nn0 decnncl birthdaylem3 mp2an clog
      5nn log2ub cmul nn0cni sqvali mulid1i eqcomi oveq12i ax-1cn subdii eqtr4i
      oveq1i subcli 2cn 2ne0 divassi 1nn0 caddc 2p1e3 eqid decsuc mvrraddi wceq
      c5 11multnc divmuli mpbir eqtri 3p2e5 decaddi decmul2c 3eqtri crp relogcl
      breqtrri 2rp 5nn0 nn0rei nndivre ltnegi mpbi wb renegcli eflt recni efneg
      cc reeflog oveq2i breqtri cfn wss c0 wi birthdaylem1 simp2i simp1i hashcl
      wne ssfi simp3i hashnncl reefcl halfre lelttri ) BUAUBZAUAUBZJKZDLUCKZDUD
      KZLJKZEJKZUEZUFUBZUGUHZYMMLJKZNUHYGYONUHDUIOEUJOZYNDLPQZUIHLPRUKULUMZEPUN
      QZWCQZUJIYSWCPUNUKUOULUTUPUMZABCDEFGUQURYMLUSUBZUEZUFUBZYONYLUUCNUHZYMUUD
      NUHZUUBYKNUHUUEUUBLWCQZPQZYTJKYKNVAYJUUHEYTJYJDDMUDKZVBKZLJKDUUILJKZVBKUU
      HYIUUJLJYIDDVBKZDMVBKZUDKUUJYHUULDUUMUDDDYRVCZVDUUMDDUUNVEZVFVGDDMUUNUUNV
      HVIVJVKDUUILUUNDMUUNVHVLVMVNVOMMUUGPDLUUKYRVPVPUUKLLQZLJKZMMQZUUIUUPLJDUU
      PMUUPLLRRULVCZVHDYQUUPMVQKHLLPUUPRRVRUUPVSVTVJWAVKUUQUURWBLUURVBKUUPWBLRW
      DUUPLUURUUSVMUURMMVPVPULVCVNWEWFWGUKRLPWCUUMLRUKRUUMDYQUUOHWGZWHWIUUTWJWK
      ZIVGWNUUBYKLWLOZUUBSOWOLWMTZYJSOYPYKSOYJYJUUHUIUVAUUGPLWCRWPULUKULUMWQUUA
      YJEWRURZWSWTYLSOZUUCSOUUEUUFXAYKUVDXBZUUBUVCXBYLUUCXCURWTUUDMUUBUFUBZJKZY
      OUUBXFOUUDUVHWBUUBUVCXDUUBXETUVGLMJUVBUVGLWBWOLXGTXHWGXIYGYMYOYESOYFUJOZY
      GSOYEBXJOZYEUIOAXJOZBAXKZUVJUVLUVKYPAXLXRZXMZABCDEFGXNZXOZUVLUVKUVNUVOXPA
      BXSURBXQTWQUVIUVMYPUVMUUAUVLUVKUVNUVOXTTUVKUVIUVMXAUVPAYATWFYEYFWRURUVEYM
      SOUVFYLYBTYCYDUR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Areas in R^2
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c area $.

  $( Area of regions in the complex plane. $)
  carea $a class area $.

  ${
    $d s t x $.
    $( Define the area of a subset of ` RR X. RR ` .  (Contributed by Mario
       Carneiro, 21-Jun-2015.) $)
    df-area $a |- area = ( s e. { t e. ~P ( RR X. RR ) |
      ( A. x e. RR ( t " { x } ) e. ( `' vol " RR ) /\
        ( x e. RR |-> ( vol ` ( t " { x } ) ) ) e. L^1 ) } |->
        S. RR ( vol ` ( s " { x } ) ) _d x ) $.
  $}

  ${
    $d s t x y A $.  $d s x S $.
    $( The domain of the area function is the set of finitely measurable
       subsets of ` RR X. RR ` .  (Contributed by Mario Carneiro,
       21-Jun-2015.) $)
    dmarea $p |- ( A e. dom area <-> ( A C_ ( RR X. RR ) /\
       A. x e. RR ( A " { x } ) e. ( `' vol " RR ) /\
        ( x e. RR |-> ( vol ` ( A " { x } ) ) ) e. L^1 ) ) $=
      ( vt vs carea cdm wcel cv csn cima cvol ccnv cr wral cfv cmpt cibl eleq1d
      wa reex cxp cpw crab wss w3a citg itgex df-area dmmpti eleq2i wceq imaeq1
      ralbidv fveq2d mpteq2dv anbi12d elrab elpw2 anbi1i 3anass bitr4i 3bitri
      xpex ) BEFZGBCHZAHIZJZKLMJZGZAMNZAMVGKOZPZQGZSZCMMUAZUBZUCZGBVPGZBVFJZVHG
      ZAMNZAMVSKOZPZQGZSZSZBVOUDZWAWDUEZVDVQBDVQAMDHVFJKOZUFEAMWIUGACDUHUIUJVNW
      ECBVPVEBUKZVJWAVMWDWJVIVTAMWJVGVSVHVEBVFULZRUMWJVLWCQWJAMVKWBWJVGVSKWKUNU
      ORUPUQWFWGWESWHVRWGWEBVOMMTTVCURUSWGWAWDUTVAVB $.

    $( The fibers of a measurable region are finitely measurable subsets of
       ` RR ` .  (Contributed by Mario Carneiro, 21-Jun-2015.) $)
    areambl $p |- ( ( S e. dom area /\ A e. RR ) ->
      ( ( S " { A } ) e. dom vol /\ ( vol ` ( S " { A } ) ) e. RR ) ) $=
      ( vx carea cdm wcel cr wa csn cima cvol ccnv cfv wral cxp wss cmpt dmarea
      cv cibl simp2bi wceq sneq imaeq2d eleq1d rspccva sylan cc0 cpnf co wf wfn
      cicc wb volf ffn elpreima mp2b sylib ) BDEFZAGFZHBAIZJZKLGJZFZVCKEZFVCKMG
      FHZUTBCSZIZJZVDFZCGNZVAVEUTBGGOPVLCGVJKMQTFCBRUAVKVECAGVHAUBZVJVCVDVMVIVB
      BVHAUCUDUEUFUGVFUHUIUMUJZKUKKVFULVEVGUNUOVFVNKUPVFVCGKUQURUS $.

    $( A measurable region is a subset of ` RR X. RR ` .  (Contributed by Mario
       Carneiro, 21-Jun-2015.) $)
    areass $p |- ( S e. dom area -> S C_ ( RR X. RR ) ) $=
      ( vx carea cdm wcel cr cxp wss cv csn cima cvol ccnv wral cfv cmpt dmarea
      cibl simp1bi ) ACDEAFFGHABIJKZLMFKEBFNBFTLOPREBAQS $.

    $( Rewrite ~ df-area self-referentially.  (Contributed by Mario Carneiro,
       21-Jun-2015.) $)
    dfarea $p |- area = ( s e. dom area |->
      S. RR ( vol ` ( s " { x } ) ) _d x ) $=
      ( vy carea cv csn cima cvol ccnv cr wcel wral cfv cmpt cibl cxp crab citg
      wa cpw cdm df-area itgex dmmpti mpteq1i eqtr4i ) DBCEAEFZGZHIJGKAJLAJUHHM
      NOKSCJJPTQZAJBEUGGHMZRZNBDUAZUKNACBUBZBULUIUKBUIUKDAJUJUCUMUDUEUF $.

    $( Area measurement is a function whose values are nonnegative reals.
       (Contributed by Mario Carneiro, 21-Jun-2015.) $)
    areaf $p |- area : dom area --> ( 0 [,) +oo ) $=
      ( vs vx carea cdm cc0 cpnf cico co csn cima cvol cfv citg dfarea wcel cle
      cr cv wbr wss wa areambl simprd cxp ccnv wral cmpt dmarea simp3bi itgrecl
      cibl covol simpld mblss ovolge0 3syl wceq mblvol breqtrrd itgge0 sylanbrc
      syl elrege0 fmpti ) ACDZEFGHZBQARZBRZIJZKLZMZCBANVGVEOZVKQOEVKPSVKVFOVLBQ
      VJVLVHQOUAZVIKDOZVJQOZVHVGUBZUCZVLVGQQUDTVIKUEQJOBQUFBQVJUGUKOBVGUHUIZUJV
      LBQVJVRVQVMEVIULLZVJPVMVNVIQTEVSPSVMVNVOVPUMZVIUNVIUOUPVMVNVJVSUQVTVIURVB
      USUTVKVCVAVD $.

    $( The area of a measurable region is a real number.  (Contributed by Mario
       Carneiro, 21-Jun-2015.) $)
    areacl $p |- ( S e. dom area -> ( area ` S ) e. RR ) $=
      ( carea cdm wcel cfv cc0 cpnf cico co cr ffvelrni cle wbr elrege0 simplbi
      areaf syl ) ABCZDABEZFGHIZDZSJDZRTABPKUAUBFSLMSNOQ $.

    $( The area of a measurable region is greater than or equal to zero.
       (Contributed by Mario Carneiro, 21-Jun-2015.) $)
    areage0 $p |- ( S e. dom area -> 0 <_ ( area ` S ) ) $=
      ( carea cdm wcel cfv cc0 cpnf cico cle wbr areaf ffvelrni elrege0 simprbi
      co cr syl ) ABCZDABEZFGHOZDZFSIJZRTABKLUASPDUBSMNQ $.

    $( The area of a measurable region is greater than or equal to zero.
       (Contributed by Mario Carneiro, 21-Jun-2015.) $)
    areaval $p |- ( S e. dom area ->
        ( area ` S ) = S. RR ( vol ` ( S " { x } ) ) _d x ) $=
      ( vs cr cv csn cima cvol cfv citg carea wceq wcel wa simpl imaeq1d fveq2d
      cdm itgeq2dv dfarea itgex fvmpt ) CBADCEZAEZFZGZHIZJADBUEGZHIZJKRKUCBLZAD
      UGUIUJUDDMZNZUFUHHULUCBUEUJUKOPQSACTADUIUAUB $.
  $}

  $(
    areacirc.1 @e |- S = { <. x , y >. | ( ( x e. RR /\ y e. RR ) /\
       ( ( x ^ 2 ) + ( y ^ 2 ) ) <_ ( R ^ 2 ) ) } @.
    @( The area of a circle of radius ` R ` is ` _pi x. R ^ 2 ` . @)
    areacirc @p |- ( ( R e. RR /\ 0 <_ R ) ->
        ( area ` S ) = ( _pi x. ( R ^ 2 ) ) ) @=
      ? @.
      @( [1-Mar-2015] @)
  $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  More miscellaneous converging sequences
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d r w x y z A $.  $d r t x y z B $.  $d r t x y z C $.  $d r t x y z ph $.
    $d r w z J $.  $d r w y z R $.  $d r t x z S $.
    rlimcnp.a $e |- ( ph -> A C_ ( 0 [,) +oo ) ) $.
    rlimcnp.0 $e |- ( ph -> 0 e. A ) $.
    rlimcnp.b $e |- ( ph -> B C_ RR+ ) $.
    rlimcnp.r $e |- ( ( ph /\ x e. A ) -> R e. CC ) $.
    rlimcnp.d $e |- ( ( ph /\ x e. RR+ ) -> ( x e. A <-> ( 1 / x ) e. B ) ) $.
    rlimcnp.c $e |- ( x = 0 -> R = C ) $.
    rlimcnp.s $e |- ( x = ( 1 / y ) -> R = S ) $.
    rlimcnp.j $e |- J = ( TopOpen ` CCfld ) $.
    rlimcnp.k $e |- K = ( J |`t A ) $.
    $( Relate a limit of a real-valued sequence at infinity to the continuity
       of the function ` S ( y ) = R ( 1 / y ) ` at zero.  (Contributed by
       Mario Carneiro, 1-Mar-2015.) $)
    rlimcnp $p |- ( ph -> ( ( y e. B |-> S ) ~~>r C <->
      ( x e. A |-> R ) e. ( ( K CnP J ) ` 0 ) ) ) $=
      ( cc0 vt vz vw vr cmpt crli wbr cabs cmin ccom cxp cres cmopn cfv ccnp co
      wcel cv clt wi wral crp wrex cc wf wa c1 cdiv rpreccl adantl wceq rpcnne0
      wne recrec syl eqcomd oveq2 rspceeqv syl2an2 simpr breq1d ralbidv rexxfrd
      wb imbi1d adantr csn cdif simplr sselda adantlr cr ltrec1 syl2anb syl2anc
      elrp ralbidva rpcn rpne0 recrecd eqeltrd eleq1 bibi12d ralrimiva rpreccld
      cun eleq1d rspcdva mpbird rpne0d eldifsn sylanbrc eldifi cpnf cico sselid
      rge0ssre cle cxr mp2an imbi12d ad2antrr bitr4d oveq1d wss syl5eq nffvmpt1
      eqtrd nfcv sstrdi eqid cnmetdval rpssre ssrexv ax-mp cxmet cnxmet sylancr
      nfv cioo ssdifssd w3a 0re pnfxr elico2 simp2bi ne0gt0d elrpd syldan mpbid
      eldifsni breq1 fvoveq1d ralxfrd elsni subidd abs00bd ad2antlr eqbrtrd a1d
      rpgt0 biantrud ralunb bitr4di undif1 snssd ssequn2 sylib raleqdv rexbidva
      3bitrd bitrd nfov nfbr nfim oveq1 cbvralw ovresd ax-resscn subid1d fveq2d
      0cnd 3eqtrd absidd fvmpt2 fvmptd3 oveq12d syl5bb rexbidv fmpttd biantrurd
      fveq2 3bitr2d 1red rlim3 0lt1 df-ioo df-ico xrltletr ixxss1 ioorp sseqtri
      0xr imim1d ralimdva reximdva ralimdv sylbid ralimi rlim2lt syl5ibr impbid
      ltle syl5 xmetres2 cnfldtopn metcnp2 syl3anc 3bitr4d crest metrest fveq1d
      a1i eleq2d ) ACEHUEFUFUGZBDGUEZTUHUIUJZDDUKULZUMUNZIUOUPZUNZUQZUYFTJIUOUP
      ZUNZUQAUAURZCURZUSUGZHFUIUPUHUNZUBURZUSUGZUTZCEVAZUAVBVCZUBVBVAZDVDUYFVEZ
      UCURZTUYHUPZUDURZUSUGZVUFUYFUNZTUYFUNZUYGUPZUYSUSUGZUTZUCDVAZUDVBVCZUBVBV
      AZVFZUYEUYLAVUDBURZVUHUSUGZGFUIUPZUHUNZUYSUSUGZUTZBDVAZUDVBVCZUBVBVAVUQVU
      RAVUCVVFUBVBAUYSVBUQZVFZVUCVGVUHVHUPZUYPUSUGZUYTUTZCEVAZUDVBVCZVVFAVUCVVM
      WDVVGAVUBVVLUAUDVVIVBVBVUHVBUQZVVIVBUQAVUHVIVJUYOVBUQZVGUYOVHUPZVBUQAUYOV
      GVVPVHUPZVKUYOVVIVKZUDVBVCUYOVIAVVOVFZVVQUYOVVSUYOVDUQUYOTVMVFZVVQUYOVKVV
      OVVTAUYOVLVJUYOVNVOVPUDVVPVBVVIVVQUYOVUHVVPVGVHVQVRVSAVVRVFZVUAVVKCEVWAUY
      QVVJUYTVWAUYOVVIUYPUSAVVRVTWAWEWBWCWFVVHVVLVVEUDVBVVHVVNVFZVVLVVDBDTWGZWH
      ZVAZVVDBVWDVWCXFZVAZVVEVWBVVLVGUYPVHUPZVUHUSUGZUYTUTZCEVAZVWEAVVNVVLVWKWD
      VVGAVVNVFZVVKVWJCEVWLUYPEUQZVFZVVJVWIUYTVWNVVNUYPVBUQZVVJVWIWDZAVVNVWMWIA
      VWMVWOVVNAEVBUYPMWJZWKVVNVUHWLUQTVUHUSUGVFUYPWLUQZTUYPUSUGVFVWPVWOVUHWPUY
      PWPVUHUYPWMWNWOWEWQWKAVWEVWKWDVVGVVNAVVDVWJBCVWHVWDEAVWMVFZVWHDUQZVWHTVMV
      WHVWDUQVWSVWTVGVWHVHUPZEUQZVWSVXAUYPEVWSVWOVXAUYPVKVWQVWOUYPUYPWRUYPWSWTV
      OAVWMVTXAVWSVUSDUQZVGVUSVHUPZEUQZWDZVWTVXBWDBVBVWHVUSVWHVKZVXCVWTVXEVXBVU
      SVWHDXBVXGVXDVXAEVUSVWHVGVHVQXGXCAVXFBVBVAVWMAVXFBVBOXDWFVWSUYPVWQXEZXHXI
      ZVWSVWHVXHXJVWHDTXKXLAVUSVWDUQZVFZVXEVUSVGVXDVHUPZVKVXGCEVCVXKVXCVXEVXJVX
      CAVUSDVWCXMVJAVXJVUSVBUQZVXFVXKVUSVXKTXNXOUPZWLVUSXQAVWDVXNVUSADVXNVWCKUU
      AWJZXPZVXKVUSVXPVXKVUSVXNUQZTVUSXRUGZVXOVXQVUSWLUQZVXRVUSXNUSUGZTWLUQXNXS
      UQVXQVXSVXRVXTUUBWDUUCUUDTXNVUSUUEXTUUFZVOVXJVUSTVMAVUSDTUUKVJUUGUUHZOUUI
      UUJVXKVXLVUSVXKVXMVXLVUSVKVYBVXMVUSVUSWRVUSWSWTVOVPCVXDEVWHVXLVUSUYPVXDVG
      VHVQVRWOVXGVVDVWJWDAVXGVUTVWIVVCUYTVUSVWHVUHUSUULVXGVVBUYRUYSUSVXGGHFUHUI
      QUUMWAYAVJUUNYBYCVWBVWEVWEVVDBVWCVAZVFVWGVWBVYCVWEVVHVYCVVNVVHVVDBVWCVVHV
      USVWCUQZVFZVVCVUTVYEVVBTUYSUSVYEVVAVYEVVAFFUIUPZTVYEGFFUIVYEVUSTVKZGFVKVY
      DVYGVVHVUSTUUOVJPVOYDAVYFTVKVVGVYDAFAGVDUQZFVDUQZBDTVYGGFVDPXGAVYHBDNXDZL
      XHZUUPYBYHUUQVVGTUYSUSUGAVYDUYSUVAUURUUSUUTXDWFUVBVVDBVWDVWCUVCUVDVWBVVDB
      VWFDVWBVWFDVWCXFZDDVWCUVEVWBVWCDYEVYLDVKVWBTDATDUQZVVGVVNLYBUVFVWCDUVGUVH
      YFUVIUVKUVJUVLWQAVUPVVFUBVBAVUOVVEUDVBVUOVUSTUYHUPZVUHUSUGZVUSUYFUNZVUKUY
      GUPZUYSUSUGZUTZBDVAAVVEVUNVYSUCBDVUIVUMBVUIBYSBVULUYSUSBVUJVUKUYGBDGVUFYG
      BUYGYIBDGTYGUVMBUSYIBUYSYIUVNUVOVYSUCYSVUFVUSVKZVUIVYOVUMVYRVYTVUGVYNVUHU
      SVUFVUSTUYHUVPWAVYTVULVYQUYSUSVYTVUJVYPVUKUYGVUFVUSUYFUWLYDWAYAUVQAVYSVVD
      BDAVXCVFZVYOVUTVYRVVCWUAVYNVUSVUHUSWUAVYNVUSUHUNZVUSWUAVYNVUSTUYGUPZVUSTU
      IUPZUHUNZWUBWUAVUSTUYGDAVXCVTZAVYMVXCLWFZUVRWUAVUSVDUQTVDUQWUCWUEVKADVDVU
      SADWLVDADVXNWLKXQYJZUVSYJZWJZWUAUWBVUSTUYGUYGYKZYLWOWUAWUDVUSUHWUAVUSWUJU
      VTUWAUWCWUAVUSADWLVUSWUHWJWUAVXQVXRADVXNVUSKWJVYAVOUWDYHWAWUAVYQVVBUYSUSW
      UAVYQGFUYGUPZVVBWUAVYPGVUKFUYGWUAVXCVYHVYPGVKWUFNBDGVDUYFUYFYKZUWEWOWUABT
      GFDUYFVDWUMPWUGAVYIVXCVYKWFZUWFUWGWUAVYHVYIWULVVBVKNWUNGFUYGWUKYLWOYHWAYA
      WQUWHUWIWBAVUEVUQABDGVDNUWJUWKUWMAUYEVUDAUYEUYOUYPXRUGZUYTUTZCEVAZUAVGXNX
      OUPZVCZUBVBVAVUDAUBUACEHFVGAHVDUQZCEVWSVYHWUTBDVWHVXGGHVDQXGAVYHBDVAVWMVY
      JWFVXIXHXDZAEVBWLMYMYJZVYKAUWNUWOAWUSVUCUBVBWUSWUQUAVBVCZAVUCWURVBYEWUSWV
      CUTWURTXNYTUPZVBTXSUQTVGUSUGWURWVDYEUXCUWPBCUBUCTVGXNXOUSUSXRYTUSBCUBUWQB
      CUBUWRTVGVUFUWSUWTXTUXAUXBWUQUAWURVBYNYOAWUQVUBUAVBVVSWUPVUACEVVSVWMVFZUY
      QWUOUYTWVEUYOWLUQVWRUYQWUOUTWVEVBWLUYOYMAVVOVWMWIXPVVSEWLUYPAEWLYEVVOWVBW
      FWJUYOUYPUXMWOUXDUXEUXFUXNUXGUXHVUDUYEAVUBUAWLVCZUBVBVAVUCWVFUBVBVBWLYEVU
      CWVFUTYMVUBUAVBWLYNYOUXIAUBUACEHFWVAWVBVYKUXJUXKUXLAUYHDYPUNUQZUYGVDYPUNU
      QZVYMUYLVURWDAWVHDVDYEZWVGYQWUIUYGDVDUXOYRWVHAYQUYCLUBUDUCUYHUYGTUYFUYIID
      VDUYIYKZIRUXPZUXQUXRUXSAUYNUYKUYFATUYMUYJAJUYIIUOAJIDUXTUPZUYISAWVHWVIWVL
      UYIVKYQWUIUYGUYHIUYIVDDUYHYKWVKWVJUYAYRYFYDUYBUYDYC $.
  $}

  ${
    $d w x y z A $.  $d w x y B $.  $d w x y C $.  $d w x y ph $.  $d w y R $.
    $d x S $.
    rlimcnp2.a $e |- ( ph -> A C_ ( 0 [,) +oo ) ) $.
    rlimcnp2.0 $e |- ( ph -> 0 e. A ) $.
    rlimcnp2.b $e |- ( ph -> B C_ RR ) $.
    rlimcnp2.c $e |- ( ph -> C e. CC ) $.
    rlimcnp2.r $e |- ( ( ph /\ y e. B ) -> S e. CC ) $.
    rlimcnp2.d $e |- ( ( ph /\ y e. RR+ ) -> ( y e. B <-> ( 1 / y ) e. A ) ) $.
    rlimcnp2.s $e |- ( y = ( 1 / x ) -> S = R ) $.
    rlimcnp2.j $e |- J = ( TopOpen ` CCfld ) $.
    rlimcnp2.k $e |- K = ( J |`t A ) $.
    $( Relate a limit of a real-valued sequence at infinity to the continuity
       of the function ` S ( y ) = R ( 1 / y ) ` at zero.  (Contributed by
       Mario Carneiro, 1-Mar-2015.) $)
    rlimcnp2 $p |- ( ph -> ( ( y e. B |-> S ) ~~>r C <->
      ( x e. A |-> if ( x = 0 , C , R ) ) e. ( ( K CnP J ) ` 0 ) ) ) $=
      ( wcel vz vw cmpt crli wbr crp cin c1 cdiv cc0 wceq csb cif ccnp cfv cpnf
      cv co cico cres wss inss1 resmpt mp1i cioo cxr clt 0xr 0lt1 df-ioo df-ico
      cle xrltletr ixxss1 mp2an ioorp sseqtri sslin ax-mp eqtr4d resres 3eqtr4g
      wfn cc fmpttd ffnd fnresdm syl reseq1d wrel wf elinel1 sylan2 frel dmmptd
      cdm eqid eqsstrdi relssres syl2anc 3eqtr3d breq1d 1red rlimresb cr sstrid
      3bitr4d wa inss2 a1i sselda rpreccld rpne0d neneqd iffalsed oveq2 rpcnne0
      wne recrec 3syl sylan9eqr eqcomd csbied eqtrd ad2antrr wn wb adantr mpbid
      csbeq1d eleq1d wral ralrimiva adantl rspcdva bitr4di eqeq1 ifbieq2d nfcv
      0re mpteq2dva w3a pnfxr elico2 sylib simp1d wo simp2d leloe sylancr eqcom
      ord syl6ib con1d elrpd eqeltrd simplr simpll eleq1 bibi12d rpreccl bitr2d
      imp elind eqeltrrd ifclda biantrud elin iftrue csbeq1 rlimcnp nfv nfcsb1v
      bitrd nfif csbeq1a cbvmpt eleq1i 3bitr2d ) ACEHUCZFUDUEZCEUFUGZHUCZFUDUEZ
      CUWBUHCUQZUIURZUJUKZFBUWFGULZUMZUCZFUDUEZBDBUQZUJUKZFGUMZUCZUJJIUNURUOZTZ
      AUVTUHUPUSURZUTZFUDUEUWCUWRUTZFUDUEUWAUWDAUWSUWTFUDAUVTEUTZUWRUTZUWCEUTZU
      WRUTZUWSUWTAUVTEUWRUGZUTZUWCUXEUTZUXBUXDAUXFCUXEHUCZUXGUXEEVAUXFUXHUKAEUW
      RVBCEUXEHVCVDUXEUWBVAZUXGUXHUKAUWRUFVAUXIUWRUJUPVEURZUFUJVFTUJUHVGUEUWRUX
      JVAVHVIBCUAUBUJUHUPUSVGVGVLVEVGBCUAVJBCUAVKUJUHUBUQZVMVNVOVPVQUWRUFEVRVSC
      UWBUXEHVCVDVTUVTEUWRWAUWCEUWRWAWBAUXAUVTUWRAUVTEWCUXAUVTUKAEWDUVTACEHWDOW
      EZWFEUVTWGWHWIAUXCUWCUWRAUWCWJZUWCWPZEVAUXCUWCUKAUWBWDUWCWKUXMACUWBHWDUWE
      UWBTZAUWEETZHWDTUWEEUFWLOWMZWEZUWBWDUWCWNWHAUXNUWBEACUWCUWBHWDUWCWQUXQWOE
      UFVBZWRUWCEWSWTWIXAXBAEUHFUVTUXLMAXCZXDAUWBUHFUWCUXRAUWBEXEUXSMXFUXTXDXGA
      UWJUWCFUDACUWBUWIHAUXOXHZUWIUWHHUYAUWGFUWHUYAUWFUJUYAUWFUYAUWEAUWBUFUWEUW
      BUFVAAEUFXIXJZXKZXLZXMXNXOUYABUWFGHUFUYDUYAUWLUWFUKZXHZHGUYFUWEUHUWLUIURZ
      UKHGUKUYFUYGUWEUYEUYAUYGUHUWFUIURZUWEUWLUWFUHUIXPUYAUWEUFTUWEWDTUWEUJXRXH
      UYHUWEUKUYCUWEXQUWEXSXTYAYBQWHYBYCZYDUUAXBAUWKUBDUXKUJUKZFBUXKGULZUMZUCZU
      WPTUWQAUBCDUWBFUYLUWIIJKLUYBAUXKDTZXHZUYJFUYKWDAFWDTUYNUYJNYEUYOUYJYFZXHZ
      BUHUHUXKUIURZUIURZGULZUYKWDUYQBUYSUXKGUYQUXKUFTZUYSUXKUKZUYQUXKUYOUXKXETZ
      UYPUYOVUCUJUXKVLUEZUXKUPVGUEZUYOUXKUJUPUSURZTZVUCVUDVUEUUBZADVUFUXKKXKUJX
      ETZUPVFTVUGVUHYGYTUUCUJUPUXKUUDVOUUEZUUFZYHUYOUYPUJUXKVGUEZUYOVULUYJUYOVU
      LYFUJUXKUKZUYJUYOVULVUMUYOVUDVULVUMUUGZUYOVUCVUDVUEVUJUUHUYOVUIVUCVUDVUNY
      GYTVUKUJUXKUUIUUJYIUULUJUXKUUKUUMUUNUVCUUOZVUAUXKWDTUXKUJXRXHVUBUXKXQUXKX
      SWHZWHYJUYQUWHWDTZUYTWDTCUWBUYRUWEUYRUKZUWHUYTWDVURBUWFUYSGUWEUYRUHUIXPZY
      JYKAVUQCUWBYLUYNUYPAVUQCUWBUYAUWHHWDUYIUXQUUPYMYEUYQEUFUYRUYQUYNUYRETZAUY
      NUYPUUQUYQAVUAUYNVUTYGAUYNUYPUURVUOAVUAXHZVUTUYSDTZUYNVVAUXPUWFDTZYGZVUTV
      VBYGCUFUYRVURUXPVUTVVCVVBUWEUYREUUSVURUWFUYSDVUSYKUUTAVVDCUFYLVUAAVVDCUFP
      YMYHVUAUYRUFTZAUXKUVAYNZYOVVAUYSUXKDVUAVUBAVUPYNYKUVBZWTYIUYQUXKVUOXLUVDY
      OUVEUVFVVAUYNVUTVVEXHZUYRUWBTVVAUYNVUTVVHVVGVVAVVEVUTVVFUVGUVNUYREUFUVHYP
      UYJFUYKUVIUXKUWFUKUYJUWGUYKUWHFUXKUWFUJYQBUXKUWFGUVJYRRSUVKUWOUYMUWPBUBDU
      WNUYLUBUWNYSUYJBFUYKUYJBUVLBFYSBUXKGUVMUVOUWLUXKUKUWMUYJGUYKFUWLUXKUJYQBU
      XKGUVPYRUVQUVRYPUVS $.
  $}

  ${
    $d x y C $.  $d x y ph $.  $d y R $.  $d x S $.
    rlimcnp3.c $e |- ( ph -> C e. CC ) $.
    rlimcnp3.r $e |- ( ( ph /\ y e. RR+ ) -> S e. CC ) $.
    rlimcnp3.s $e |- ( y = ( 1 / x ) -> S = R ) $.
    rlimcnp3.j $e |- J = ( TopOpen ` CCfld ) $.
    rlimcnp3.k $e |- K = ( J |`t ( 0 [,) +oo ) ) $.
    $( Relate a limit of a real-valued sequence at infinity to the continuity
       of the function ` S ( y ) = R ( 1 / y ) ` at zero.  (Contributed by
       Mario Carneiro, 1-Mar-2015.) $)
    rlimcnp3 $p |- ( ph -> ( ( y e. RR+ |-> S ) ~~>r C <->
  ( x e. ( 0 [,) +oo ) |-> if ( x = 0 , C , R ) ) e. ( ( K CnP J ) ` 0 ) ) ) $=
      ( cc0 cpnf co crp wcel a1i cr cico ssidd 0e0icopnf wss rpssre cv wa simpr
      cdiv cle wbr rpreccl adantl rpred rpge0d elrege0 sylanbrc 2thd rlimcnp2
      c1 ) ABCNOUAPZQDEFGHAVAUBNVARAUCSQTUDAUESIJACUFZQRZUGZVCUTVBUIPZVARZAVCUH
      VDVETRNVEUJUKVFVDVEVCVEQRAVBULUMZUNVDVEVGUOVEUPUQURKLMUS $.
  $}

  ${
    $d k r w x y B $.  $d r w y z J $.  $d k r w y z K $.  $d k r w x y z ph $.
    $d k r w x y z A $.  $d k r w x y z C $.  $d k r w y z R $.
    xrlimcnp.a $e |- ( ph -> A = ( B u. { +oo } ) ) $.
    xrlimcnp.b $e |- ( ph -> B C_ RR ) $.
    xrlimcnp.r $e |- ( ( ph /\ x e. A ) -> R e. CC ) $.
    xrlimcnp.c $e |- ( x = +oo -> R = C ) $.
    xrlimcnp.j $e |- J = ( TopOpen ` CCfld ) $.
    xrlimcnp.k $e |- K = ( ( ordTop ` <_ ) |`t A ) $.
    $( Relate a limit of a real-valued sequence at infinity to the continuity
       of the corresponding extended real function at ` +oo ` .  Since any
       ` ~~>r ` limit can be written in the form on the left side of the
       implication, this shows that real limits are a special case of
       topological continuity at a point.  (Contributed by Mario Carneiro,
       8-Sep-2015.) $)
    xrlimcnp $p |- ( ph -> ( ( x e. B |-> R ) ~~>r C <->
      ( x e. A |-> R ) e. ( ( K CnP J ) ` +oo ) ) ) $=
      ( cpnf wcel wa cc wss ad2antrr vy vz vr vk vw cmpt crli wbr ccnp co wf cv
      cfv cima wrex wi wral fmpttd adantr wceq eqid csn ssun2 pnfex snid sselii
      cun eleqtrrid eleq1d ralrimiva rspcdva fvmptd3 cabs cmin cbl cxmet cnxmet
      ccom crp cnfldtopn mopni2 mp3an1 cle clt cr ssun1 sseqtrrid ssralv simprl
      sylc simplr rlimi cioc cin cordt crest ctop cvv letop cxr a1i syl mp3an2i
      pnfxr rexrd syl3anc elind crab wb sylancl syl2anc syld ad3antrrr r19.21bi
      sselda breq1d bitrd simplrl eleq1 sylibr mpbird eqtri inss2 sylancr eleq2
      syl22anc simplrr imaeq2 sseq1d anbi12d rexlimdvaa adantlr mpd syl5 ctopon
      adantl crn sseldd adantrr ex ressxr sstrdi snssd unssd eqsstrd iocpnfordt
      xrex ssex elrestr eleqtrrdi ltpnfd ubioc1 ccnv w3a elioc1 simp2 ltle rpxr
      syl6bi elbl3 cnmetdval biimprd imim12d ralimdva impr blcntr imbi12d ralsn
      a1d ralunb sylanbrc raleqdv ss2rab incom dfin5 mptpreima 3sstr4g wfun cdm
      funmpt funimass3 sstrd rspcev syl12anc expdimp letopon resttopon eqeltrid
      fdmd sylbid cnfldtopon iscnp mpbir2and blopn simpr eqeltrd cnpimaex inex1
      vex eleq2i elrest syl5bb rexxfr2d mpbid elinel1 pnfnei sylan2 cres df-ima
      resmpt ax-mp rneqi sseq1i dfss3 bitri mpsyl ralrnmptw biimpd syl5bi pnfge
      simprr mpbir3and imim1d pm5.74da sylibd exp4a ralimdv2 imp an32s reximdva
      expr com23 impl expimpd rexlimdva rlim2lt impbida ) ABDFUFEUGUHZBCFUFZOHG
      UIUJUMPZAUYRQZUYTCRUYSUKZOUYSUMZUAULZPZOUBULZPZUYSVUFUNZVUDSZQZUBHUOZUPZU
      AGUQZAVUBUYRABCFRKURZUSVUAVULUAGVUAVUDGPZQZVUEEVUDPZVUKVUPVUCEVUDAVUCEUTZ
      UYRVUOABOFECUYSRUYSVAZLAODOVBZVGZCVUTVVAOVUTDVCOVDVEVFIVHZAFRPZERPZBCOBUL
      ZOUTZFERLVIAVVCBCKVJZVVBVKZVLZTVIVUAVUOVUQVUKVUOVUQQEUCULZVMVNVRZVOUMUJZV
      UDSZUCVSUOZVUAVUKVVKRVPUMPZVUOVUQVVNVQUCVUDVVKEGRGMVTZWAWBVUAVVMVUKUCVSVU
      AVVJVSPZVVMQZQZUDULZVVEWCUHZFEVNUJVMUMZVVJWDUHZUPZBDUQZUDWEUOZVUKVVSUDBDF
      EVVJRAVVCBDUQZUYRVVRADCSZVVCBCUQZVWGAVVADCDVUTWFIWGZVVGVVCBDCWHWJZTVUAVVQ
      VVMWIAUYRVVRWKWLAVVRVWFVUKUPUYRAVVRQZVWEVUKUDWEVWLVVTWEPZVWEQZQZVVTOWMUJZ
      CWNZHPOVWQPZUYSVWQUNZVUDSZVUKVWOVWQWCWOUMZCWPUJZHVXAWQPZVWOCWRPZVWPVXAPZV
      WQVXBPWSAVXDVVRVWNACWTSZVXDACVVAWTIADVUTWTADWEWTJUUAUUBZAOWTOWTPZAXDXAUUC
      UUDUUEZCWTUUGUUHXBZTVXEVWOVVTUUFXAVWPCVXAWQWRUUIXCNUUJVWOVWPCOVWOVVTWTPZV
      XHVVTOWDUHOVWPPZVWOVVTVWLVWMVWEWIZXEVXHVWOXDXAVWOVVTVXMUUKVVTOUULXFAOCPZV
      VRVWNVVBTXGVWOVWSVVLVUDVWOVWSVVLSZVWQUYSUUMVVLUNZSZVWOVVEVWPPZBCXHZFVVLPZ
      BCXHZVWQVXPVWOVXRVXTUPZBCUQZVXSVYASVWOVYCVYBBVVAUQZVWOVYBBDUQZVYBBVUTUQZV
      YDVWLVWMVWEVYEVWLVWMQZVWDVYBBDVYGVVEDPZQZVXRVWAVWCVXTVYIVXRVVTVVEWDUHZVWA
      VYIVXRVVEWTPZVYJVVEOWCUHZUUNZVYJVYIVXKVXHVXRVYMXIZVYIVVTVWLVWMVYHWKZXEXDV
      VTOVVEUUOZXJVYKVYJVYLUUPUUSVYIVWMVVEWEPVYJVWAUPVYOVYGDWEVVEADWESVVRVWMJTX
      OVVTVVEUUQXKXLVYIVXTVWCVYIVXTFEVVKUJZVVJWDUHZVWCVYIVVOVVJWTPZVVDVVCVXTVYR
      XIZVVOVYIVQXAVYIVVQVYSVWLVVQVWMVYHAVVQVVMWITVVJUURZXBAVVDVVRVWMVYHVVHXMZV
      YGVVCBDAVWGVVRVWMVWKTXNZFVVKEVVJRUUTZYFVYIVYQVWBVVJWDVYIVVCVVDVYQVWBUTZWU
      CWUBFEVVKVVKVAUVAZXKXPXQUVBUVCUVDUVEVWOVXLEVVLPZUPZVYFVWOWUGVXLVVOVWOVVDV
      VQWUGVQAVVDVVRVWNVVHTAVVQVVMVWNXRVVKEVVJRUVFZXCUVIVYBWUHBOVDVVFVXRVXLVXTW
      UGVVEOVWPXSVVFFEVVLLVIUVGUVHXTVYBBDVUTUVJUVKVWOVYBBCVVAACVVAUTVVRVWNITUVL
      YAVXRVXTBCUVMXTVWQCVWPWNVXSVWPCUVNBCVWPUVOYBBCFVVLUYSVUSUVPUVQVWOUYSUVRVW
      QUYSUVSZSVXOVXQXIBCFUVTVWOCVWQWUJVWPCYCVWOCRUYSAVUBVVRVWNVUNTUWIWGVWQVVLU
      YSUWAYDYAAVVQVVMVWNYGUWBVUJVWRVWTQUBVWQHVUFVWQUTZVUGVWRVUIVWTVUFVWQOYEWUK
      VUHVWSVUDVUFVWQUYSYHYIYJUWCUWDYKYLYMYKYNUWEUWJVJAUYTVUBVUMQXIZUYRAHCYOUMZ
      PGRYOUMPZVXNWULAHVXBWUMNAVXAWTYOUMPVXFVXBWUMPUWFVXICVXAWTUWGYDUWHWUNAGMUW
      KXAVVBUBUAOUYSHGCRUWLXFUSUWMAUYTQZUYRVYJVWCUPZBDUQZUDWEUOZUCVSUQZWUOWURUC
      VSWUOVVQQZOUEULZCWNZPZUYSWVBUNZVVLSZQZUEVXAUOZWURWUTVUGVUHVVLSZQZUBHUOZWV
      GWUTUYTVVLGPZVUCVVLPWVJAUYTVVQWKVVOWUTVVDVYSWVKVQAVVDUYTVVQVVHTZVVQVYSWUO
      WUAYPVVKEVVJGRVVPUWNXCWUTVUCEVVLAVURUYTVVQVVITVVOWUTVVDVVQWUGVQWVLWUOVVQU
      WOWUIXCUWPUBVVLOUYSHGUWQXFWUTWVIWVFUBUEWVBHVXAWRWVBWRPWUTWVAVXAPZQWVACUEU
      WSUWRXAVUFHPVUFVXBPZWUTVUFWVBUTZUEVXAUOZHVXBVUFNUWTWUTVXCVXDWVNWVPXIWSAVX
      DUYTVVQVXJTUEVUFCVXAWQWRUXAYDUXBWVOWVIWVFXIWUTWVOVUGWVCWVHWVEVUFWVBOYEWVO
      VUHWVDVVLVUFWVBUYSYHYIYJYPUXCUXDAVVQWVGWURUPUYTAVVQQZWVFWURUEVXAWVQWVMQWV
      CWVEWURWVQWVMWVCWVEWURUPZWVMWVCQVWPWVASZUDWEUOZWVQWVRWVCWVMOWVAPWVTOWVACU
      XEUDWVAUXFUXGWVQWVEWVTWURWVQWVEVXTBWVBUQZWVTWURUPZWVEVUFVVLPZUBBWVBFUFZYQ
      ZUQZWVQWWAWVEWWEVVLSWWFWVDWWEVVLWVDUYSWVBUXHZYQWWEUYSWVBUXIWWGWWDWVBCSZWW
      GWWDUTWVACYCZBCWVBFUXJUXKUXLYBUXMUBWWEVVLUXNUXOWVQWWFWWAWVQVVCBWVBUQZWWFW
      WAXIWWHWVQVWIWWJWWIAVWIVVQVVGUSVVCBWVBCWHUXPWWCVXTBUBWVBFWWDRWWDVAVUFFVVL
      XSUXQXBUXRUXSWVQWWAWWBWVQWWAQZWVSWUQUDWEWWKVWMWVSWUQWVQVWMWVSQZWWAWUQWVQW
      WLQZWWAWUQWWMVXTWUPBWVBDWWMVVEWVBPZVXTUPZVYHVYJVWCWWMWWOVYHVYJQZVXTUPWWPV
      WCUPWWMWWPWWNVXTWWMWWPWWNWWMWWPQZWVACVVEWWQVWPWVAVVEWVQVWMWVSWWPYGWWQVXRV
      YKVYJVYLWWQDWTVVEADWTSVVQWWLWWPVXGXMWWMVYHVYJWIYRZWWMVYHVYJUYAWWQVYKVYLWW
      RVVEUXTXBWWQVXKVXHVYNWWQVVTWVQVWMWVSWWPXRXEXDVYPXJUYBYRWWMVYHVVECPVYJWWMD
      CVVEAVWHVVQWWLVWJTXOYSXGYTUYCWWMWWPVXTVWCWWQVXTVYRVWCWWQVVOVYSVVDVVCVYTVV
      OWWQVQXAWVQVYSWWLWWPVVQVYSAWUAYPTAVVDVVQWWLWWPVVHXMZWWMVYHVVCVYJWWMVVCBDA
      VWGVVQWWLVWKTXNYSZWUDYFWWQVYQVWBVVJWDWWQVVCVVDWUEWWTWWSWUFXKXPXQUYDUYEUYF
      UYGUYHUYIUYKUYJYTXLUYLYNUYMUYNUYOYLYMVJAUYRWUSXIUYTAUCUDBDFEVWKJVVHUYPUSY
      AUYQ $.
  $}

  ${
    $d k x y A $.  $d x S $.
    efrlim.1 $e |- S =
      ( 0 ( ball ` ( abs o. - ) ) ( 1 / ( ( abs ` A ) + 1 ) ) ) $.
    $( The limit of the sequence ` ( 1 + A / k ) ^ k ` is the exponential
       function.  This is often taken as an alternate definition of the
       exponential function (see also ~ dfef2 ).  (Contributed by Mario
       Carneiro, 1-Mar-2015.) $)
    efrlim $p |- ( A e. CC ->
      ( k e. RR+ |-> ( ( 1 + ( A / k ) ) ^c k ) ) ~~>r ( exp ` A ) ) $=
      ( vx vy cc wcel c1 cdiv co caddc cmpt ce cfv cc0 wceq cmul wa clog crp cv
      ccxp crli wbr cpnf cico cif ccnfld ctopn crest ccnp cr rge0ssre ax-resscn
      cres sstri sseli wn simpll 1cnd simplr wne a1i simpr neqned adantr oveq2d
      eqtrd oveq1d ifeq2da mpteq2dva wss ax-mp ccom eqeq2 wb cabs cmin cxr 0cnd
      cnxmet lelttrd mp3an2i syldan biimpa reccld ad2antrr 1p0e1 eqtrdi 3eqtr4d
      syl fveq2d adantl ax-1cn addcl sylancr cdif eqid cnmetdval sylancl abscld
      clt eqbrtrd subid1d elbl3 syl22anc mpbid mpbird mp1i 3eqtrd divcld ifclda
      1rp eqidd oveq2 fmptco oveq12d ifbieq2d ctopon cnmptc id cnmptid cnmpt12f
      ccn fmpttd blcntr cncnpi syl2anc wf mp2an mp3an ovex fvmpt fvres unicntop
      crn cnpco eqeltrd cxpcld ax-1ne0 divdiv2d sylan2 resmpt eqtr4di 0e0icopnf
      mulcl div1d wo cbl cxmet abscl peano2re absge0 ltp1d elrpd rpreccld rpxrd
      0red blssm eqsstrid sselda mul0or syldanl adantlr 1cxpd mul02d ef0 iftrue
      ifid jaodan mulid1 eqtr4d mulne0b df-ne bitrdi simprr neneqd iffalsed csn
      cmnf cioc dvlog2lem logdmss pncan2 remulcld 1red cle absmul absge0d lep1d
      lemul1ad 0cn eleqtrdi eqbrtrrd ltmuldiv2 syl112anc sselid eldifsni cxpefd
      rpxr logcld mulcomd simprl dividd divdiv1d eqtr3d div12d sylbird ifbothda
      imp resmptd ifsb eqeq1 fveq2 oveq1 eqeq2i addcand bitr3id cuni cnfldtopon
      ctx mulcn addcn cnmpt1res frnd difss cnrest2 eleqtrrdi resttopon toponuni
      ex eleqtrd cpr cnelprrecn wf1o logf1o f1of logrncn fss fssres w3a cdv cdm
      ssriv dvlog2 dmmpti eleqtrri fveq1i 1div1e1 1ex eqtr2i log1 eldifsn sylib
      logcl ifeq12d mpteq2ia dvcnp mpan2 mul01 eleqtrrid eqeltrrd ccncf cncfcn1
      efcn eleqtri cnmpt11f ffvelrnd ctop cnt cnfldtop cnfldtopn blopn eqeltrid
      eqtr2d isopn3i eleqtrrd efcl cnprest cnpresti simpl rpcn rpne0 rlimcnp3 )
      AGHZCUAIACUBZJKZLKZVWGUCKZMANOZUDUEEPUFUGKZEUBZPQZVWKIAIVWMJKZJKZLKZVWOUC
      KZUHZMZPUIUJOZVWLUKKZVXAULKOZHVWFVWTEGVWNVWKIAVWMRKZLKZVWOUCKZUHZMZVWLUPZ
      VXCVWFVWTEVWLVXGMZVXIVWFEVWLVWSVXGVWMVWLHVWFVWMGHZVWSVXGQVWLGVWMVWLUMGUNU
      OUQZURVWFVXKSZVWNVWRVXFVWKVXMVWNUSZSZVWQVXEVWOUCVXOVWPVXDILVXOVWPVXDIJKVX
      DVXOAIVWMVWFVXKVXNUTVXOVAVWFVXKVXNVBZIPVCVXOUUAVDVXOVWMPVXMVXNVEVFZUUBVXO
      VXDVXMVXDGHZVXNAVWMUUGZVGZUUHVIVHVJVKUUCVLVWLGVMZVXIVXJQVXLEGVWLVXGUUDVNU
      UEVYAVWFPVWLHZVXHPVXAVXAULKZOHZVXIVXCHVXLVYBVWFUUFVDVWFVYDVXHBUPZPVXABUKK
      ZVXAULKOZHZVWFVYEFGAFUBZRKZNOZMZEBVXDPQZIVXETOZVXDJKZUHZMZVOZVYGVWFEBVXGM
      EBVYMAIRKZNOZAVYORKZNOZUHZMVYEVYRVWFEBVXGWUCVYMVXGVYTQZVXGWUBQZVXGWUCQVWF
      VWMBHZSZVYTWUBVYTWUCVXGVPWUBWUCVXGVPWUGVYMAPQZVWNUUIZWUDWUGVYMWUIVWFWUFVX
      KVYMWUIVQVWFBGVWMVWFBPIAVROZILKZJKZVRVSVOZUUJOZKZGDWUMGUUKOHZVWFPGHZWULVT
      HZWUOGVMWBVWFWAZVWFWULVWFWUKVWFWUKVWFWUJUMHZWUKUMHZAUULZWUJUUMZWLZVWFPWUJ
      WUKVWFUUSWVBWVDAUUNVWFWUJWVBUUOWCZUUPUUQZUURZWUMPWULGUUTWDUVAZUVBZAVWMUVC
      WEWFWUGWUISZVXGVWKVYTWUGWUHVXGVWKQZVWNWUGWUHSZVXGVWNVWKVWKUHVWKWVLVWNVXFV
      WKVWKWVLVXNSZIVWOUCKIVXFVWKWVMVWOWUGVXNVWOGHZWUHVWFWUFVXKVXNWVNWVIVXOVWMV
      XPVXQWGZUVDUVEUVFWVMVXEIVWOUCWVMVXEIPLKZIWVMVXDPILWVMVXDPVWMRKPWVMAPVWMRW
      UGWUHVXNVBZVJWVMVWMWUGVXKWUHVXNWVIWHUVGVIVHWIWJVJWVMVWKPNOIWVMAPNWVQWMUVH
      WJWKVKVWNVWKUVJWJVWNWVKWUGVWNVWKVXFUVIWNUVKWVJVYSANVWFVYSAQWUFWUIAUVLWHWM
      UVMWEWUGVYMUSZWUEWUGWVRAPVCZVWMPVCZSZWUEWUGWWAVXDPVCZWVRVWFWUFVXKWWAWWBVQ
      WVIAVWMUVNWEZVXDPUVOUVPWUGWWAWUEWUGWWASZVXGVXFVWOVYNRKZNOWUBWWDVWNVWKVXFW
      WDVWMPWUGWVSWVTUVQZUVRUVSWWDVXEVWOWUGVXEGHZWWAWUGIGHZVXRWWGWOVWFWUFVXKVXR
      WVIVXSWEZIVXDWPZWQZVGWUGVXEPVCZWWAWUGVXEGPUVTZWRZHWWLWUGIIWUNKZWWNVXEWWOG
      UWAPUWBKWRZWWNWWOWWOWSZUWCWWPWWPWSUWDUQZWUGVXEWWOHZVXEIWUMKZIXCUEZWUGWWTV
      XDVROZIXCWUGWWTVXEIVSKZVROZWXBWUGWWGWWHWWTWXDQWWKWOVXEIWUMWUMWSZWTXAWUGWX
      CVXDVRWUGWWHVXRWXCVXDQWOWWIIVXDUWEWQZWMVIWUGWXBWUKVWMVROZRKZIWUGVXDWWIXBW
      UGWUKWXGVWFWVAWUFWVDVGWUGVWMWVIXBZUWFWUGUWGZWUGWXBWUJWXGRKZWXHUWHVWFWUFVX
      KWXBWXKQWVIAVWMUWIWEWUGWUJWUKWXGVWFWUTWUFWVBVGZWUGWUTWVAWXLWVCWLZWXIWUGVW
      MWVIUWJWUGWUJWXLUWKUWLXDWUGWXHIXCUEZWXGWULXCUEZWUGVWMPWUMKZWXGWULXCWUGWXP
      VWMPVSKZVROZWXGWUGVXKWUQWXPWXRQWVIUWMVWMPWUMWXEWTXAWUGWXQVWMVRWUGVWMWVIXE
      WMVIWUGVWMWUOHZWXPWULXCUEZWUGVWMBWUOVWFWUFVEDUWNWUGWUPWURWUQVXKWXSWXTVQWU
      PWUGWBVDZVWFWURWUFWVGVGWUGWAZWVIVWMWUMPWULGXFXGXHUWOWUGWXGUMHIUMHWVAPWUKX
      CUEZWXNWXOVQWXIWXJWXMVWFWYCWUFWVEVGWXGIWUKUWPUWQXIWCXDWUGWUPIVTHZWWHWWGWW
      SWXAVQWYAIUAHZWYDWUGXNIUXAXJWUGVAZWWKVXEWUMIIGXFXGXIZUWRVXEGPUWSWLZVGWWDV
      WMWUGVXKWWAWVIVGZWWFWGZUWTWWDWWEWUANWWDWWEVYNVWORKVYNAVXDJKZRKWUAWWDVWOVY
      NWYJWUGVYNGHZWWAWUGVXEWWKWYHUXBZVGZUXCWWDVWOWYKVYNRWWDAAJKZVWMJKVWOWYKWWD
      WYOIVWMJWWDAVWFWUFWWAUTZWUGWVSWVTUXDZUXEVJWWDAAVWMWYPWYPWYIWYQWWFUXFUXGVH
      WWDVYNAVXDWYNWYPWUGVXRWWAWWIVGWUGWWAWWBWWCWFUXHXKWMXKUYLUXIUXKUXJVLVWFEGB
      VXGWVHUXLVWFEFBGVYPVYKWUCVYQVYLWUGVYMIVYOGWUGVYMSVAWUGWVRSZVYNVXDWUGWYLWV
      RWYMVGWUGVXRWVRWWIVGWYRVXDPWUGWVRVEVFXLXMZVWFVYQXOVWFVYLXOVYIVYPQZVYKAVYP
      RKZNOZWUCWYTVYJXUANVYIVYPARXPWMVYMIVYOXUBVYTWUBVYPIQXUAVYSNVYPIARXPWMVYPV
      YOQXUAWUANVYPVYOARXPWMUXMWJXQWKVWFVYQVYGHVYLPVYQOZVYCOHZVYRVYGHVWFFWWOVYI
      IQZIVYITOZVYIIVSKZJKZUHZMZEBVXEMZVOZVYQVYGVWFXULEBVXEIQZIVYNWXCJKZUHZMVYQ
      VWFEFBWWOVXEXUIXUOXUKXUJWYGVWFXUKXOVWFXUJXOVYIVXEQZXUEXUMXUHXUNIVYIVXEIUX
      NXUPXUFVYNXUGWXCJVYIVXETUXOVYIVXEIVSUXPXRXSXQVWFEBXUOVYPWUGXUMVYMXUNVYOIX
      UMVXEWVPQWUGVYMWVPIVXEWIUXQWUGIVXDPWYFWWIWYBUXRUXSWUGWXCVXDVYNJWXFVHXSVLV
      IVWFXUKPVYFVXAWWOUKKZULKOHZXUJPXUKOZXUQVXAULKZOZHXULVYGHVWFXUKVYFXUQYEKHZ
      PVYFUXTZHXURVWFXUKVYFVXAYEKHZXVBVWFEVXEVXAVYFVXAGBVYFWSVXAGXTOHZVWFVXAVXA
      WSZUYAZVDZWVHVWFEIVXDLVXAVXAVXAVXAGXVHVWFEIVXAVXAGGXVHXVHVWFVAYAVWFEAVWMR
      VXAVXAVXAVXAGXVHVWFEAVXAVXAGGXVHXVHVWFYBZYAVWFEVXAGXVHYCRVXAVXAUYBKVXAYEK
      ZHVWFVXAXVFUYCVDZYDLXVJHVWFVXAXVFUYDVDYDUYEXVEVWFXUKYQWWOVMWWOGVMZXVDXVBV
      QXVGVWFBWWOXUKVWFEBVXEWWOWYGYFUYFXVLVWFWWOWWNGWWRGWWMUYGUQZVDWWOXUKVYFVXA
      GUYHWDXHVWFPBXVCVWFPWUOBWUPVWFWUQWULUAHPWUOHWBWUSWVFWUMPWULGYGWDDUYIZVWFV
      YFBXTOHZBXVCQVWFXVEBGVMZXVOXVGWVHBVXAGUYJWQBVYFUYKWLUYMPXUKVYFXUQXVCXVCWS
      YHYIVWFXUJIXUTOZXVAGUMGUYNHZWWOGTWWOUPZYJZXVLXUJXVQHZUYOWWNGTYJZWWOWWNVMX
      VTWWNTYQZTYJZXWCGVMXWBWWNXWCTUYPXWDUYQWWNXWCTUYRVNEXWCGVWMUYSVUEWWNXWCGTU
      YTYKWWRWWNGWWOTVUAYKXVMXVRXVTXVLVUBIGXVSVUCKZVUDZHXWAIWWOXWFWUPWWHWYEIWWO
      HZWBWOXNWUMIIGYGYLZFWWOIVYIJKZXWEIVYIJYMFWWOWWQVUFZVUGVUHFWWOIGXVSXUJXUQV
      XAXUQWSXVFFWWOXUIXUEIXWEOZVYIXVSOZIXVSOZVSKZXUGJKZUHVYIWWOHZXUEIXWKXUHXWO
      IXWKQXWPXWKIFWWOXWIMZOZIIXWEXWQXWJVUIXWGXWRIQXWHFIXWIIWWOXWQXUEXWIIIJKIVY
      IIIJXPVUJWJXWQWSVUKYNVNVULVDXWPXUFXWNXUGJXWPXWNXUFPVSKXUFXWPXWLXUFXWMPVSV
      YIWWOTYOXWPXWMITOZPXWGXWMXWSQXWPXWHIWWOTYOXJVUMWJXRXWPXUFXWPVYIGHVYIPVCSZ
      XUFGHXWPVYIWWNHXWTWWOWWNVYIWWRURVYIGPVUNVUOVYIVUPWLXEVVPVJVUQVURVUSVUTYLV
      WFXUSIXUTVWFXUSIAPRKZLKZIVWFPBHXUSXXBQXVNEPVXEXXBBXUKVWNVXDXXAILVWMPARXPV
      HXUKWSIXXALYMYNWLVWFXXBWVPIVWFXXAPILAVVAVHWIWJVIWMVVBPXUKXUJVYFXUQVXAYRYI
      VVCVWFVYLVXAVXAYEKZHXUCGHXUDVWFFVYJNVXAVXAVXAGXVHVWFFAVYIRVXAVXAVXAVXAGXV
      HVWFFAVXAVXAGGXVHXVHXVIYAVWFFVXAGXVHYCXVKYDNXXCHVWFNGGVVDKXXCVVFVXAXVFVVE
      VVGVDVVHVWFBGPVYQVWFEBVYPGWYSYFXVNVVIXUCVYLVXAVXAGYPYHYIPVYQVYLVYFVXAVXAY
      RYIYSVWFVXAVVJHZXVPPBVXAVVKOOZHGGVXHYJVYDVYHVQXXDVWFVXAXVFVVLZVDWVHVWFPBX
      XEXVNVWFXXDBVXAHXXEBQXXFVWFBWUOVXADWUPVWFWUQWURWUOVXAHWBWUSWVGWUMPWULVXAG
      VXAXVFVVMVVNWDVVOBVXAVVQWQVVRVWFEGVXGGVXMVWNVWKVXFGVWFVWKGHVXKVWNAVVSZWHV
      XOVXEVWOVXOWWHVXRWWGWOVXTWWJWQWVOYTXMYFBPVXHVXAVXAGGYPYPVVTXGXIVWLPVXHVXA
      VXAGYPVWAWDYSVWFECVWKVWRVWJVXAVXBXXGVWFVWGUAHZSZVWIVWGXXIWWHVWHGHVWIGHWOX
      XIAVWGVWFXXHVWBXXHVWGGHVWFVWGVWCWNZXXHVWGPVCVWFVWGVWDWNXLIVWHWPWQXXJYTVWG
      VWOQZVWIVWQVWGVWOUCXXKVWHVWPILVWGVWOAJXPVHXXKYBXRXVFVXBWSVWEXI $.
  $}

  ${
    $d k x A $.  $d k F $.  $d k ph $.
    dfef2.1 $e |- ( ph -> F e. V ) $.
    dfef2.2 $e |- ( ph -> A e. CC ) $.
    dfef2.3 $e |- ( ( ph /\ k e. NN ) ->
                    ( F ` k ) = ( ( 1 + ( A / k ) ) ^ k ) ) $.
    $( The limit of the sequence ` ( 1 + A / k ) ^ k ` as ` k ` goes to ` +oo `
       is ` ( exp `` A ) ` .  This is another common definition of ` _e ` .
       (Contributed by Mario Carneiro, 1-Mar-2015.) $)
    dfef2 $p |- ( ph -> F ~~> ( exp ` A ) ) $=
      ( vx cn c1 cdiv co caddc cexp cfv wbr cc wcel adantl cv cmpt ce crli ccxp
      cli wa cn0 wceq ax-1cn simpl nncn cc0 wne nnne0 divcld addcl nnnn0 cxpexp
      sylancr syl2anc mpteq2dva crp wss nnrp a1i cabs cmin ccom cbl eqid efrlim
      ssriv rlimres2 eqbrtrrd nnuz 1zzd expcld fmpttd rlimclim mpbid nnex mptex
      syl cvv oveq2 oveq2d id oveq12d ovex fvmpt eqtr4d climeq ) AIJKBIUAZLMZNM
      ZWNOMZUBZBUCPZUFQZDWSUFQABRSZWTGXAWRWSUDQWTXAIJWPWNUEMZUBWRWSUDXAIJXBWQXA
      WNJSZUGZWPRSZWNUHSZXBWQUIXDKRSWORSXEUJXDBWNXAXCUKXCWNRSXAWNULTXCWNUMUNXAW
      NUOTUPKWOUQUTZXCXFXAWNURTZWPWNUSVAVBXAIJVCXBWSJVCVDXAIJVCWNVEVMVFBUMKBVGP
      KNMLMVGVHVIVJPMZIXIVKVLVNVOXAWSWRKJVPXAVQXAIJWQRXDWPWNXGXHVRVSVTWAWDAWSCW
      RDKWEEJVPWRWESAIJWQWBWCVFFAVQACUAZJSZUGXJWRPZKBXJLMZNMZXJOMZXJDPXKXLXOUIA
      IXJWQXOJWRWNXJUIZWPXNWNXJOXPWOXMKNWNXJBLWFWGXPWHWIWRVKXNXJOWJWKTHWLWMWA
      $.
  $}

  ${
    $d n x y A $.
    $( A power to a negative exponent goes to zero as the base becomes large.
       (Contributed by Mario Carneiro, 15-Sep-2014.)  (Revised by Mario
       Carneiro, 18-May-2016.) $)
    cxplim $p |- ( A e. RR+ -> ( n e. RR+ |-> ( 1 / ( n ^c A ) ) ) ~~>r 0 ) $=
      ( vy vx crp wcel c1 cv ccxp co cdiv cc0 wbr clt wral cr wa ad2antrr rpcnd
      wne cmpt crli cabs cfv wi wrex cneg rpre adantl cle rpge0 renegcld adantr
      rpcn rpne0 rereccld recxpcld wceq simprl rpcxpcld rpreccld rprege0d absid
      negne0d syl simplr simprr rpreccl cxprecd cc ad2antlr cxpnegd 1cnd oveq2d
      divneg2d 3eqtr2d cmul recidd cxpmuld cxp1d 3eqtr3d 3brtr4d rpge0d cxplt2d
      rpred mpbird ltrec1d eqbrtrd ralrimiva breq1 rspceaimv syl2anc id rpcxpcl
      expr syl2anr wss rpssre a1i rlim0lt ) AEFZBEGBHZAIJZKJZUALUBMCHZXBNMZXDUC
      UDZDHZNMZUEBEOCPUFZDEOXAXJDEXAXHEFZQZXHGAUGZKJZIJZPFXOXBNMZXIUEZBEOXJXLXH
      XNXKXHPFXAXHUHUIXKLXHUJMXAXHUKUIXLXMXAXMPFXKXAAAUHZULUMXAXMLTXKXAAAUNZAUO
      ZVDUMUPUQXLXQBEXLXBEFZXPXIXLYAXPQZQZXGXDXHNYCXDPFLXDUJMQXGXDURYCXDYCXCYCX
      BAXLYAXPUSZXAAPFZXKYBXRRZUTZVAVBXDVCVEYCXHXCXAXKYBVFZYGYCGXHKJZXCNMYIGAKJ
      ZIJZXCYJIJZNMYCXOXBYKYLNXLYAXPVGYCYKGXHYJIJKJXHYJUGZIJXOYCXHYJYHYCYJXAYJE
      FXKYBAVHRZSZVIYCXHYJXKXHVJFXAYBXHUNVKXKXHLTXAYBXHUOVKYOVLYCYMXNXHIYCGAYCV
      MXAAVJFXKYBXSRZXAALTXKYBXTRZVOVNVPYCXBAYJVQJZIJXBGIJYLXBYCYRGXBIYCAYPYQVR
      VNYCXBAYJYDYFYOVSYCXBYCXBYDSVTWAWBYCYIXCYJYCYIXKYIEFXAYBXHVHVKZWEYCYIYSWC
      YCXCYGWEYCXCYGWCYNWDWFWGWHWOWIXFXPXICBXOPEXEXOXBNWJWKWLWIXADCBEXDXAXDVJFB
      EXAYAQZXDYTXCYAYAYEXCEFXAYAWMXRXBAWNWPVASWIEPWQXAWRWSWTWF $.

    $( The inverse square root function converges to zero.  (Contributed by
       Mario Carneiro, 18-May-2016.) $)
    sqrtlim $p |- ( n e. RR+ |-> ( 1 / ( sqrt ` n ) ) ) ~~>r 0 $=
      ( crp c1 cv c2 cdiv co ccxp cmpt csqrt cfv crli wcel cc wceq rpcn cxpsqrt
      cc0 syl oveq2d mpteq2ia wbr 1rp rphalfcl cxplim mp2b eqbrtrri ) ABCADZCEF
      GZHGZFGZIZABCUHJKZFGZIRLABUKUNUHBMZUJUMCFUOUHNMUJUMOUHPUHQSTUACBMUIBMULRL
      UBUCCUDUIAUEUFUG $.
  $}

  ${
    $d n x y A $.  $d x y B $.  $d n x y C $.  $d n x y ph $.
    rlimcxp.1 $e |- ( ( ph /\ n e. A ) -> B e. V ) $.
    rlimcxp.2 $e |- ( ph -> ( n e. A |-> B ) ~~>r 0 ) $.
    rlimcxp.3 $e |- ( ph -> C e. RR+ ) $.
    $( Any power to a positive exponent of a converging sequence also
       converges.  (Contributed by Mario Carneiro, 18-Sep-2014.) $)
    rlimcxp $p |- ( ph -> ( n e. A |-> ( B ^c C ) ) ~~>r 0 ) $=
      ( vy ccxp co cc0 wbr clt wral cr wcel cc adantr vx cmpt crli cle cabs cfv
      cv wi wrex crp wa cmin c1 cdiv cdm rlimf syl ralrimiva dmmptg feq2d mpbid
      wf wceq eqid fmpt sylibr simpr rprecred rpcxpcld rlimi rlimmptrcl adantlr
      abscld absge0d rpred rpge0d cxplt2d subid1d fveq2d breq1d abscxp2 syl2anc
      ad2antrr cmul rpcnd rpne0d recid2d oveq2d simplr cxpmuld 3eqtr3rd breq12d
      cxp1d 3bitr4d biimpd imim2d ralimdva reximdv cxpcld rlimss eqsstrrd rlim0
      mpd wss mpbird ) AEBCDKLZUBMUCNJUGEUGZUDNZXFUEUFZUAUGZONZUHZEBPZJQUIZUAUJ
      PAXNUAUJAXJUJRZUKZXHCMULLZUEUFZXJUMDUNLZKLZONZUHZEBPZJQUIXNXPJEBCMXTSACSR
      ZEBPZXOABSEBCUBZVBZYEAYFUOZSYFVBZYGAYFMUCNZYIHMYFUPUQAYHBSYFACFRZEBPYHBVC
      AYKEBGUREBCFUSUQZUTVAEBSCYFYFVDVEVFTXPXJXSAXOVGXPDADUJRZXOITVHZVIZAYJXOHT
      VJXPYCXMJQXPYBXLEBXPXGBRZUKZYAXKXHYQYAXKYQCUEUFZXTONYRDKLZXTDKLZONYAXKYQY
      RXTDYQCAYPYDXOABCMEFGHVKZVLZVMYQCUUBVNYQXTXPXTUJRYPYOTZVOYQXTUUCVPAYMXOYP
      IWCZVQYQXRYRXTOYQXQCUEYQCUUBVRVSVTYQXIYSXJYTOYQYDDQRXIYSVCUUBYQDUUDVOCDWA
      WBYQXJXSDWDLZKLXJUMKLYTXJYQUUEUMXJKYQDYQDUUDWEZYQDUUDWFWGWHYQXJXSDAXOYPWI
      ZXPXSQRYPYNTUUFWJYQXJYQXJUUGWEWMWKWLWNWOWPWQWRXCURAUAJEBXFAXFSREBAYPUKCDU
      UAADSRYPADIWETWSURABYHQYLAYJYHQXDHMYFWTUQXAXBXE $.
  $}

  ${
    $d m x y z A $.  $d m y z B $.  $d m x y z C $.  $d m x y z ph $.
    o1cxp.1 $e |- ( ph -> C e. CC ) $.
    o1cxp.2 $e |- ( ph -> 0 <_ ( Re ` C ) ) $.
    o1cxp.3 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    o1cxp.4 $e |- ( ph -> ( x e. A |-> B ) e. O(1) ) $.
    $( An eventually bounded function taken to a nonnegative power is
       eventually bounded.  (Contributed by Mario Carneiro, 15-Sep-2014.) $)
    o1cxp $p |- ( ph -> ( x e. A |-> ( B ^c C ) ) e. O(1) ) $=
      ( vz cle wbr cfv cr ccxp wcel cc wa cc0 vy vm cv cmpt cabs wi wral co co1
      wrex wf cdm o1f syl wceq ralrimiva dmmptg feq2d mpbid syl2anc cif cre cpi
      o1bdd cmul simpr eqid fvmpt2 oveq1d cvv ovex sylancl eqtr4d nffvmpt1 nfcv
      ce nfv nfov nfeq fveq2 eqeq12d cbvralw r19.21bi ad2ant2r fveq2d ffvelrnda
      sylib ad2antrr simprr 0re ifcl adantr abscld max2 sylancr letrd abscxpbnd
      eqbrtrrd expr imim2d ralimdva o1mptrcl cxpcld fmpttd o1dm eqsstrrd simprl
      wss max1 recld recxpcld pire remulcl remulcld elo12r 3expia syl22anc syld
      reefcld rexlimdvva mpd ) AUAUCZKUCZLMZYCBCDUDZNZUENZUBUCZLMZUFZKCUGZUBOUJ
      UAOUJZBCDEPUHZUDZUIQZAYEUIQZCRYEUKZYLJAYEULZRYEUKZYQAYPYSJYEUMUNAYRCRYEAD
      FQZBCUGYRCUOAYTBCIUPBCDFUQUNZURUSZUAKCUBYEVDUTAYKYOUAUBOOAYBOQZYHOQZSZSZY
      KYDYCYNNZUENZTYHLMZYHTVAZEVBNZPUHZEUENZVCVEUHZVPNZVEUHZLMZUFZKCUGZYOUUFYJ
      UURKCUUFYCCQZSYIUUQYDUUFUUTYIUUQUUFUUTYISZSZYFEPUHZUENUUHUUPLUVBUVCUUGUEA
      UUTUVCUUGUOZUUEYIAUVDKCABUCZYENZEPUHZUVEYNNZUOZBCUGUVDKCUGAUVIBCAUVECQZSZ
      UVGYMUVHUVKUVFDEPUVKUVJYTUVFDUOAUVJVFZIBCDFYEYEVGVHUTVIUVKUVJYMVJQUVHYMUO
      UVLDEPVKBCYMVJYNYNVGVHVLVMUPUVIUVDBKCUVIKVQBUVCUUGBYFEPBCDYCVNBPVOBEVOVRB
      CYMYCVNVSUVEYCUOZUVGUVCUVHUUGUVMUVFYFEPUVEYCYEVTVIUVEYCYNVTWAWBWGWCWDWEUV
      BYFEUUJAUUTYFRQUUEYIACRYCYEUUBWFWDZAERQZUUEUVAGWHATUUKLMUUEUVAHWHUUFUUJOQ
      ZUVAUUFUUDTOQZUVPAUUCUUDWIZWJUUIYHTOWKVLZWLZUVBYGYHUUJUVBYFUVNWMUUFUUDUVA
      UVRWLUVTUUFUUTYIWIUUFYHUUJLMZUVAUUFUVQUUDUWAWJUVRTYHWNWOWLWPWQWRWSWTXAUUF
      CRYNUKZCOXHZUUCUUPOQZUUSYOUFAUWBUUEABCYMRUVKDEABCDFIJXBAUVOUVJGWLXCXDWLAU
      WCUUEACYROUUAAYPYROXHJYEXEUNXFWLAUUCUUDXGUUFUULUUOUUFUUJUUKUVSUUFUVQUUDTU
      UJLMWJUVRTYHXIWOUUFEAUVOUUEGWLZXJXKUUFUUNUUFUUMOQVCOQUUNOQUUFEUWEWMXLUUMV
      CXMVLXSXNUWBUWCSUUCUWDSUUSYOKCYBYNUUPXOXPXQXRXTYA $.
  $}

  ${
    $d m n x y z A $.  $d n B $.
    $( A linear factor grows slower than any exponential with base greater than
       ` 1 ` .  (Contributed by Mario Carneiro, 15-Sep-2014.) $)
    cxp2limlem $p |- ( ( A e. RR /\ 1 < A ) ->
      ( n e. RR+ |-> ( n / ( A ^c n ) ) ) ~~>r 0 ) $=
      ( cr wcel c1 clt wbr crp c2 cexp co cdiv cc0 cc rpcnd rpred adantr rpne0d
      cle cmul wa clog cfv cv ccxp 0red cmpt crli cz rplogcl 2z rpexpcl sylancl
      2rp rpdivcl sylancr divrcnv syl rerpdivcl sylan simpr simpl 1red 0lt1 a1i
      lttrd elrpd rpre rpcxpcl syl2an rpdivcld caddc rpmulcld resqcld rehalfcld
      ce 1rp rpaddcl readdcld reefcld ltaddrp2d efgt1p2 adantl recnd sqcld 2cnd
      wne 2ne0 divdiv2d sqmuld oveq1d eqtr4d cxpefd 3brtr4d mpbid sqvald oveq2d
      ltdiv2d rpne0 divcan5d 3eqtrd breqtrd ltled adantrr rpge0d rlimsqz2 ) ACD
      ZEAFGZUAZBHIAUBUCZIJKZLKZBUDZLKZXMAXMUEKZLKZMMXIUFZXQXIXLNDZBHXNUGMUHGXIX
      LXIIHDXKHDZXLHDZUNXIXJHDZIUIDZXSAUJZUKXJIULUMZIXKUOUPZOZXLBUQURXIXLCDXMHD
      ZXNCDXIXLYEPXLXMUSUTZXIYGUAZXPYIXMXOXIYGVAZXIAHDZXMCDZXOHDYGXIAXGXHVBZXIM
      EAXQXIVCYMMEFGXIVDVEXGXHVAVFVGZXMVHZAXMVIVJZVKZPZXIYGXPXNSGMXMSGZYIXPXNYR
      YHYIXPXMXMIJKZXLLKZLKZXNFYIUUAXOFGXPUUBFGYIXMXJTKZIJKZILKZUUCVPUCZUUAXOFY
      IUUEEUUCVLKZUUEVLKZUUFYIUUDYIUUCYIUUCYIXMXJYJXIYAYGYCQVMZPZVNVOZYIUUGUUEY
      IUUGYIEHDUUCHDZUUGHDVQUUIEUUCVRUPZPUUKVSYIUUCUUJVTYIUUEUUGUUKUUMWAYIUULUU
      HUUFFGUUIUUCWBURVFYIUUAYTXKTKZILKUUEYIYTIXKYIXMYIXMYGYLXIYOWCWDZWEZYIWFYI
      XKXIXSYGYDQZOIMWGYIWHVEYIXKUUQRWIYIUUDUUNILYIXMXJUUOXIXJNDYGXIXJYCOQWJWKW
      LYIAXMXIANDYGXIAYMWDQYIAXIYKYGYNQRUUOWMWNYIUUAXOXMYIYTXLYIYGYBYTHDYJUKXMI
      ULUMZXIXTYGYEQZVKYPYJWRWOYIUUBXMXLTKZYTLKUUTXMXMTKZLKXNYIXMYTXLUUOUUPXIXR
      YGYFQZYIYTUURRYIXLUUSRWIYIYTUVAUUTLYIXMUUOWPWQYIXLXMXMUVBUUOUUOYGXMMWGXIX
      MWSWCZUVCWTXAXBXCXDXIYGMXPSGYSYIXPYQXEXDXF $.

    $( Any power grows slower than any exponential with base greater than
       ` 1 ` .  (Contributed by Mario Carneiro, 18-Sep-2014.) $)
    cxp2lim $p |- ( ( A e. RR /\ B e. RR /\ 1 < B ) ->
      ( n e. RR+ |-> ( ( n ^c A ) / ( B ^c n ) ) ) ~~>r 0 ) $=
      ( cr wcel c1 clt wbr crp ccxp co cdiv cmpt cc0 crli rpcxpcld adantr rpred
      cle a1i w3a cv cpnf cico cres wss wceq wa 1re elicopnf ax-mp simplbi 0red
      1red 0lt1 simprbi ltletrd elrpd ssriv resmpt cif rpre adantl rpge0 simpl2
      wb simpl3 lttrd simp1 ifcl sylancl max1 sylancr rprecred cc recnd divcxpd
      cmul rpne0d recid2d cxpmuld rpcnd cxp1d 3eqtr3d eqtrd mpteq2dva cvv ovexd
      oveq2d mulcomd simp2 simp3 1cxpd rpge0d rpreccld cxplt2d mpbid cxp2limlem
      0le1 eqbrtrrd syl2anc eqbrtrd rlimcxp rlimres2 simpr rpdivcld sylan2 max2
      simpl1 cxplead lediv1dd adantrr rlimsqz2 eqbrtrid fmpttd rpssre rlimresb
      mpbird ) ADEZBDEZFBGHZUAZCICUBZAJKZBYCJKZLKZMZNOHYGFUCUDKZUEZNOHYBYICYHYF
      MZNOYHIUFZYIYJUGCYHIYCYHEZYCYLYCDEZFYCSHZFDEZYLYMYNUHVFUIFYCUJUKZULZYLNFY
      CYLUMYLUNYQNFGHZYLUOTYLYMYNYPUPZUQURZUSZCIYHYFUTUKYBCYHYCFASHZAFVAZJKZYEL
      KZYFNNYBUMZUUFYBCYHIUUENYKYBUUATYBCIYCYEFUUCLKZJKZLKZUUCJKZMCIUUEMNOYBCIU
      UJUUEYBYCIEZUHZUUJUUDUUHUUCJKZLKUUEUULYCUUHUUCUUKYMYBYCVBVCZUUKNYCSHZYBYC
      VDVCUULYEUUGUULBYCUULBXSXTYAUUKVEZUULNFBUULUMUULUNUUPYRUULUOTXSXTYAUUKVGV
      HURZUUNPZYBUUGDEUUKYBUUCYBUUCYBXSYOUUCDEZXSXTYAVIZUIUUBAFDVJVKZYBNFUUCUUF
      YBUNZUVAYRYBUOTZYBYOXSFUUCSHUIUUTFAVLVMUQURZVNZQZPYBUUCVOEUUKYBUUCUVAVPQZ
      VQUULUUMYEUUDLUULYEUUGUUCVRKZJKYEFJKUUMYEUULUVHFYEJUULUUCUVGUULUUCYBUUCIE
      UUKUVDQVSVTWIUULYEUUGUUCUURUVFUVGWAUULYEUULYEUURWBWCWDWIWEWFYBIUUIUUCCWGU
      ULYCUUHLWHYBCIUUIMCIYCBUUGJKZYCJKZLKZMZNOYBCIUUIUVKUULUUHUVJYCLUULBYCUUGV
      RKZJKBUUGYCVRKZJKUUHUVJUULUVMUVNBJUULYCUUGUULYCUUNVPZYBUUGVOEUUKYBUUGUVEV
      PZQZWJWIUULBYCUUGUUQUUNUVQWAUULBUUGYCUUQUVFUVOWAWDWIWFYBUVIDEFUVIGHUVLNOH
      YBUVIYBBUUGYBBXSXTYAWKZYBNFBUUFUVBUVRUVCXSXTYAWLZVHURZUVEPRYBFUUGJKZFUVIG
      YBUUGUVPWMYBYAUWAUVIGHUVSYBFBUUGUVBNFSHYBWSTUVRYBBUVTWNYBUUCUVDWOWPWQWTUV
      ICWRXAXBUVDXCWTXDYLYBUUKUUEDEYTUULUUEUULUUDYEUULYCUUCYBUUKXEZYBUUSUUKUVAQ
      PZUURXFRXGYBYLUHZYFYLYBUUKYFIEYTUULYDYEUULYCAUWBXSXTYAUUKXIPZUURXFZXGZRYB
      YLYFUUESHUUOUWDYDUUDYEUWDYDYLYBUUKYDIEYTUWEXGRUWDUUDYLYBUUKUUDIEYTUWCXGRY
      LYBUUKYEIEYTUURXGUWDYCAUUCYLYMYBYQVCYLYNYBYSVCXSXTYAYLXIZYBUUSYLUVAQUWDYO
      XSAUUCSHUIUWHFAXHVMXJXKXLYBYLNYFSHUUOUWDYFUWGWNXLXMXNYBIFNYGYBCIYFVOUULYF
      UWFWBXOIDUFYBXPTUVBXQXR $.

    $( The logarithm grows slower than any positive power.  (Contributed by
       Mario Carneiro, 18-Sep-2014.) $)
    cxploglim $p |- ( A e. RR+ ->
      ( n e. RR+ |-> ( ( log ` n ) / ( n ^c A ) ) ) ~~>r 0 ) $=
      ( vm vz vx crp wcel cv ce cfv co cdiv wbr cr c1 clt cabs wi wral wa efgt1
      vy ccxp cmpt cc0 crli clog rpre reefcl syl cxp2limlem syl2anc wrex adantl
      cle cif 1re ifcl sylancl wb maxlt mp3an3an simprrr wceq ad2antrl breqtrrd
      reeflog simplr simprrl rplogcld rpred eflt mpbird breq2 id oveq12d fveq2d
      oveq2 breq1d imbi12d rspcv mpid ad2antrr relogefd oveq2d rpcnd cc mulcomd
      cmul rpcn eqtrd recnd efne0 cxpefd rpne0 3eqtr4d sylibd expr sylbid com23
      ralrimdva breq1 rspceaimv syl6an rexlimdva ralimdv simpr rpefcld rpcxpcld
      wne adantr rpdivcld wss rpssre a1i rlim0lt relogcl rerpdivcld 3imtr4d mpd
      ralrimiva ) AFGZCFCHZAIJZYCUCKZLKZUDUEUFMZBFBHZUGJZYHAUCKZLKZUDUEUFMZYBYD
      NGZOYDPMYGYBANGZYMAUHZAUIUJZAUAYDCUKULYBDHZYCPMZYFQJZEHZPMZRZCFSZDNUMZEFS
      UBHZYHPMZYKQJZYTPMZRBFSUBNUMZEFSYGYLYBUUDUUIEFYBUUCUUIDNYBYQNGZTZOYQIJZUO
      MZUULOUPZNGZUUCUUNYHPMZUUHRZBFSUUIUUKUULNGZONGZUUOUUJUURYBYQUIUNZUQUUMUUL
      ONURUSUUKUUCUUQBFUUKYHFGZTZUUPUUCUUHUVBUUPOYHPMZUULYHPMZTZUUCUUHRZUUSUUKU
      URUVAYHNGZUUPUVEUTUQUUTYHUHZOUULYHVAVBUUKUVAUVEUVFUUKUVAUVETZTZUUCYIYDYIU
      CKZLKZQJZYTPMZUUHUVJUUCYQYIPMZUVNUVJUVOUULYIIJZPMZUVJUULYHUVPPUUKUVAUVCUV
      DVCUVAUVPYHVDUUKUVEYHVGVEVFUVJUUJYINGZUVOUVQUTYBUUJUVIVHUVJYIUVJYHUVAUVGU
      UKUVEUVHVEUUKUVAUVCUVDVIVJZVKYQYIVLULVMUVJYIFGUUCUVOUVNRZRUVSUUBUVTCYIFYC
      YIVDZYRUVOUUAUVNYCYIYQPVNUWAYSUVMYTPUWAYFUVLQUWAYCYIYEUVKLUWAVOYCYIYDUCVR
      VPVQVSVTWAUJWBUVJUVMUUGYTPUVJUVLYKQUVJUVKYJYILUVJYIYDUGJZWIKZIJAYIWIKZIJU
      VKYJUVJUWCUWDIUVJUWCYIAWIKUWDUVJUWBAYIWIUVJAYBYNUUJUVIYOWCWDWEUVJYIAUVJYI
      UVSWFZYBAWGGZUUJUVIAWJWCZWHWKVQUVJYDYIUVJYDYBYMUUJUVIYPWCWLUVJUWFYDUEXJUW
      GAWMUJUWEWNUVJYHAUVAYHWGGUUKUVEYHWJVEUVAYHUEXJUUKUVEYHWOVEUWGWNWPWEVQVSWQ
      WRWSWTXAUUFUUPUUHUBBUUNNFUUEUUNYHPXBXCXDXEXFYBEDCFYFYBYFWGGCFYBYCFGZTZYFU
      WIYCYEYBUWHXGUWIYDYCUWIAYBYNUWHYOXKXHUWHYCNGYBYCUHUNXIXLWFYAFNXMYBXNXOZXP
      YBEUBBFYKYBYKWGGBFYBUVATZYKUWKYIYJUVAUVRYBYHXQUNUWKYHAYBUVAXGYBYNUVAYOXKX
      IXRWLYAUWJXPXSXT $.

    $( Every power of the logarithm grows slower than any positive power.
       (Contributed by Mario Carneiro, 20-May-2016.) $)
    cxploglim2 $p |- ( ( A e. CC /\ B e. RR+ ) -> ( n e. RR+ |->
      ( ( ( log ` n ) ^c A ) / ( n ^c B ) ) ) ~~>r 0 ) $=
      ( wcel crp wa cfv c1 cle wbr cdiv co ccxp cc0 c3 cr a1i clt cabs ceu clog
      cc cv cre cif 3re 0red recnd cvv ovexd cmpt crli simpr adantr 1re sylancl
      recl ifcl 0lt1 max1 sylancr ltletrd rpdivcld cxploglim rlimcxp rlimmptrcl
      elrpd syl cxpcld adantl simpll rpre ad2antlr rpcxpcld rpcnd rpne0d divcld
      relogcl cmin adantrr abscld ad2antrl 1lt3 simprr rplogcld rerpdivcld wceq
      rpred abscxp syl2anc recld max2 ere c2 egt2lt3 simpri wb epr logltb mpbid
      loge eqbrtrrid cxpled eqbrtrd lediv1dd rprege0d absid oveq2d eqtrd divcxp
      absdivd syl3anc cmul cxpmuld divcan1d eqtr3d 3brtr4d leabsd letrd subid1d
      fveq2d rlimsqzlem ) AUBDZBEDZFZCECUCZUAGZYFBHAUDGZIJZYHHUEZKLZMLZKLZYJMLZ
      YGAMLZYFBMLZKLZNNOOPDZYEUFQYENYEUGZUHYEEYMYJCUIYEYFEDZFZYGYLKUJZYEYKEDCEY
      MUKNULJYEBYJYCYDUMYEYJYEYHPDZHPDZYJPDZYCUUCYDAUQUNZUOYIYHHPURUPZYENHYJYSU
      UDYEUOQUUGNHRJYEUSQYEUUDUUCHYJIJUOUUFHYHUTVAVBVGZVCYKCVDVHZUUHVEUUAYMYJYE
      EYMNCUIUUBUUIVFUUAYJYEUUEYTUUGUNUHVIZUUAYOYPUUAYGAUUAYGYTYGPDZYEYFVRZVJUH
      YCYDYTVKVIZUUAYPUUAYFBYEYTUMZYDBPDZYCYTBVLZVMVNZVOZUUAYPUUQVPZVQZYEYTOYFI
      JZFZFZYQSGZYNSGZYQNVSLZSGYNNVSLZSGIUVCUVDYNUVEUVCYQYEYTYQUBDUVAUUTVTZWAUV
      CYNUVCYMYJUVCYGYLUVCYFYTYFPDYEUVAYFVLWBZUVCHOYFUUDUVCUOQYRUVCUFQZUVIHORJU
      VCWCQYEYTUVAWDZVBWEZUVCYFYKYEYTYTUVAUUNVTZUVCBYJYDUUOYCUVBUUPVMZYEYJEDUVB
      UUHUNZWFZVNZVCYEUUEUVBUUGUNZVNWHZUVCYNYEYTYNUBDUVAUUJVTZWAUVCYOSGZYPKLZYG
      YJMLZYPKLZUVDYNIUVCUWAUWCYPUVCYOYEYTYOUBDUVAUUMVTWAUVCUWCUVCYGYJUVLUVRVNW
      HYEYTYPEDUVAUUQVTZUVCUWAYGYHMLZUWCIUVCYGEDYCUWAUWFWGUVLYCYDUVBVKZYGAWIWJU
      VCYHYJIJZUWFUWCIJUVCUUDUUCUWHUOUVCAUWGWKZHYHWLVAUVCYGYHYJYTUUKYEUVAUULWBU
      VCHTUAGZYGRXAUVCTYFRJZUWJYGRJZUVCTOYFTPDUVCWMQUVJUVITORJZUVCWNTRJUWMWOWPQ
      UVKVBUVCTEDYTUWKUWLWQWRUVMTYFWSVAWTXBUWIUVRXCWTXDXEUVCUVDUWAYPSGZKLZUWBYE
      YTUVDUWOWGUVAUUAYOYPUUMUURUUSXKVTUVCUWNYPUWAKUVCYPPDNYPIJFUWNYPWGUVCYPUWE
      XFYPXGVHXHXIUVCYNUWCYLYJMLZKLZUWDUVCUUKNYGIJFYLEDYJUBDZYNUWQWGUVCYGUVLXFU
      VQYEUWRUVBYEYJUUGUHUNZYGYLYJXJXLUVCUWPYPUWCKUVCYFYKYJXMLZMLUWPYPUVCYFYKYJ
      UVMUVPUWSXNUVCUWTBYFMUVCBYJUVCBUVNUHUWSUVCYJUVOVPXOXHXPXHXIXQUVCYNUVSXRXS
      UVCUVFYQSUVCYQUVHXTYAUVCUVGYNSUVCYNUVTXTYAXQYB $.
  $}

  ${
    $d x y $.  $d y F $.  $d y L $.  $d n y ph $.  $d n x A $.
    divsqrtsum.2 $e |- F = ( x e. RR+ |->
       ( sum_ n e. ( 1 ... ( |_ ` x ) ) ( 1 / ( sqrt ` n ) ) -
         ( 2 x. ( sqrt ` x ) ) ) ) $.
    $( Lemma for ~ divsqrsum and ~ divsqrtsum2 .  (Contributed by Mario
       Carneiro, 18-May-2016.) $)
    divsqrtsumlem $p |- ( F : RR+ --> RR /\ F e. dom ~~>r /\
      ( ( F ~~>r L /\ A e. RR+ ) ->
        ( abs ` ( ( F ` A ) - L ) ) <_ ( 1 / ( sqrt ` A ) ) ) ) $=
      ( crp cr wcel wbr wa cfv co c1 csqrt cdiv cle wtru cc0 c2 wf crli cmin wi
      cdm cabs w3a cv cmul cpnf cioo ioorp eqcomi nnuz 1zzd 0red caddc 1re 0nn0
      cn nn0addge2i a1i 2re rpsqrtcl adantl rpred remulcl sylancr rprecred nnrp
      sylan2 cmpt cdv cc cpr reelprrecn rpcnd rpmulcl rpreccld wceq dvsqrt 2cnd
      2rp dvmptcmul 1cnd rpcnne0d divass syl3anc rpcnne0 mp1i divcan5 mpteq2dva
      eqtr3d eqtrd fveq2 oveq2d simp3r wb simp2l rprege0d simp2r sqrtle syl2anc
      wne mpbid rpsqrtcld lerecd sqrtlim dvfsumrlim3 simp1d mptru simp2d simp3d
      rpge0 mpd3an3 3pm3.2i ) GHDUAZDUBUEIZDEUBJZBGIZKBDLEUCMUFLNBOLZPMZQJZUDXQ
      RXQXRXSXTSBQJZUGYCUDZRATAUHZOLZUIMZNYGPMZNCUHZOLZPMZSGSCYBDENHBUTSUJUKMGU
      LUMUNRUORUPZNSNUQMQJRNSURUSVAVBYMRYFGIZKZTHIYGHIYHHIVCYOYGYNYGGIZRYFVDVEZ
      VFTYGVGVHYOYGYQVIZYFUTIRYNYIHIYFVJYRVKRHAGYHVLVMMAGTNYHPMZUIMZVLAGYIVLZRA
      YGYSTHGGHHVNVOIRVPVBYOYGYQVQYOYHYOTGIZYPYHGIWCYQTYGVRVHZVSHAGYGVLVMMAGYSV
      LVTRAWAVBRWBWDRAGYTYIYOTNUIMYHPMZYTYIYOTVNIZNVNIZYHVNIYHSXDKUUDYTVTYOWBYO
      WEZYOYHUUCWFTNYHWGWHYOUUFYGVNIYGSXDKUUETSXDKZUUDYIVTUUGYOYGYQWFUUBUUHYOWC
      TWIWJNYGTWKWHWMWLWNYFYJVTYGYKNPYFYJOWOWPRYNYJGIZKZSYFQJZYFYJQJZKZUGZYGYKQ
      JZYLYIQJUUNUULUUORUUJUUKUULWQUUNYFHIUUKKYJHISYJQJKUULUUOWRUUNYFRYNUUIUUMW
      SZWTUUNYJRYNUUIUUMXAZWTYFYJXBXCXEUUNYGYKUUNYFUUPXFUUNYJUUQXFXGXEFUUASUBJR
      AXHVBYFBVTYGYANPYFBOWOWPXIZXJXKXRRXQXRYEUURXLXKXSXTYDYCXTYDXSBXNVEYERXQXR
      YEUURXMXKXOXP $.

    $( The function ` F ` used in ~ divsqrsum is a real function.  (Contributed
       by Mario Carneiro, 12-May-2016.) $)
    divsqrsumf $p |- F : RR+ --> RR $=
      ( crp cr wf crli cdm wcel c1 wbr wa cfv cmin co cabs csqrt cdiv cle wi
      divsqrtsumlem simp1i ) EFCGCHIJCKHLKEJMKCNKOPQNKKRNSPTLUAAKBCKDUBUC $.

    $( The sum ` sum_ n <_ x ( 1 / sqrt n ) ` is asymptotic to ` 2 sqrt x + L `
       with a finite limit ` L ` .  (In fact, this limit is
       ` zeta ( 1 / 2 ) ~~ -u 1 . 4 6 ... ` .)  (Contributed by Mario Carneiro,
       9-May-2016.) $)
    divsqrsum $p |- F e. dom ~~>r $=
      ( crp cr wf crli cdm wcel c1 wbr wa cfv cmin co cabs csqrt cdiv cle wi
      divsqrtsumlem simp2i ) EFCGCHIJCKHLKEJMKCNKOPQNKKRNSPTLUAAKBCKDUBUC $.

    divsqrsum2.1 $e |- ( ph -> F ~~>r L ) $.
    $( A bound on the distance of the sum ` sum_ n <_ x ( 1 / sqrt n ) ` from
       its asymptotic value ` 2 sqrt x + L ` .  (Contributed by Mario Carneiro,
       18-May-2016.) $)
    divsqrtsum2 $p |- ( ( ph /\ A e. RR+ ) ->
      ( abs ` ( ( F ` A ) - L ) ) <_ ( 1 / ( sqrt ` A ) ) ) $=
      ( crli wbr crp wcel cfv cmin co cabs c1 csqrt cdiv cle cr wf wa wi simp3i
      cdm divsqrtsumlem sylan ) AEFIJZCKLZCEMFNOPMQCRMSOTJZHKUAEUBEIUFLUIUJUCUK
      UDBCDEFGUGUEUH $.

    $( The sum ` sum_ n <_ x ( 1 / sqrt n ) ` has the asymptotic expansion
       ` 2 sqrt x + L + O ( 1 / sqrt x ) ` , for some ` L ` .  (Contributed by
       Mario Carneiro, 10-May-2016.) $)
    divsqrtsumo1 $p |- ( ph ->
      ( y e. RR+ |-> ( ( ( F ` y ) - L ) x. ( sqrt ` y ) ) ) e. O(1) ) $=
      ( crp cfv co cmul c1 cr a1i wcel wa cabs cle wbr cv cmin csqrt wss rpssre
      divsqrsumf ffvelrni cxr clt csup cpnf wceq rpsup cmpt wf feqmptd eqbrtrrd
      crli adantl rlimrecl resubcl syl2anr recnd rpsqrtcl rpcnd mulcld 1red cc0
      absmuld rprege0d absid syl oveq2d eqtrd cdiv divsqrtsum2 abscld lemuldivd
      mpbird eqbrtrd adantrr elo1d ) ACICUAZEJZFUBKZWCUCJZLKZMMINUDAUEOAWCIPZQZ
      WEWFWIWEWHWDNPZFNPWENPAINWCEBDEGUFZUGZACIWDFIUHUIUJUKULAUMOAECIWDUNFURACI
      NEINEUOAWKOUPHUQWHWJAWLUSUTWDFVAVBVCZWIWFWHWFIPAWCVDUSZVEZVFAVGZWPAWHWGRJ
      ZMSTMWCSTWIWQWERJZWFLKZMSWIWQWRWFRJZLKWSWIWEWFWMWOVIWIWTWFWRLWIWFNPVHWFST
      QWTWFULWIWFWNVJWFVKVLVMVNWIWSMSTWRMWFVOKSTABWCDEFGHVPWIWRMWFWIWEWMVQWIVGW
      NVRVSVTWAWB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Inequality of arithmetic and geometric means
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y D $.  $d x y ph $.  $d x y X $.  $d x y Y $.
    cvxcl.1 $e |- ( ph -> D C_ RR ) $.
    cvxcl.2 $e |- ( ( ph /\ ( x e. D /\ y e. D ) ) -> ( x [,] y ) C_ D ) $.
    $( Closure of a 0-1 linear combination in a convex set.  (Contributed by
       Mario Carneiro, 21-Jun-2015.) $)
    cvxcl $p |- ( ( ph /\ ( X e. D /\ Y e. D /\ T e. ( 0 [,] 1 ) ) ) ->
      ( ( T x. X ) + ( ( 1 - T ) x. Y ) ) e. D ) $=
      ( wcel c1 cicc co wa cmul caddc wceq wss adantr cr cc0 w3a clt ralrimivva
      wbr cmin cv wral ad2antrr simpr1 simpr2 oveq1 sseq1d oveq2 rspc2v syl2anc
      wi mpd cc ax-1cn unitssre simpr3 sselid recnd nncan sylancr oveq1d sseldd
      simpr simplr3 iirev syl lincmb01cmp syl31anc eqeltrrd sylancl 1re resubcl
      pncan3 adddird mulid2d 3eqtr3d sylan9eqr eqeltrd mulcld addcomd mpjao3dan
      lttri4d ) AFDJZGDJZEUAKLMZJZUBZNZFGUCUEZEFOMZKEUFMZGOMZPMZDJFGQZGFUCUEZWN
      WONZFGLMZDWSXBBUGZCUGZLMZDRZCDUHBDUHZXCDRZAXHWMWOAXGBCDDIUDZUIWNXHXIUQZWO
      WNWIWJXKAWIWJWLUJZAWIWJWLUKZXGXIFXELMZDRBCFGDDXDFQXFXNDXDFXELULUMXEGQXNXC
      DXEGFLUNUMUOUPSURXBKWQUFMZFOMZWRPMZWSXCWNXQWSQWOWNXPWPWRPWNXOEFOWNKUSJZEU
      SJZXOEQUTWNEWNWKTEVAAWIWJWLVBVCZVDZKEVEVFVGVGSXBFTJZGTJZWOWQWKJZXQXCJWNYB
      WOWNDTFADTRWMHSZXLVHZSWNYCWOWNDTGYEXMVHZSWNWOVIXBWLYDWIWJWLAWOVJEVKVLFGWQ
      VMVNVOVHWNWTNWSGDWTWNWSEGOMZWRPMZGWTWPYHWRPFGEOUNVGWNEWQPMZGOMKGOMYIGWNYJ
      KGOWNXSXRYJKQYAUTEKVSVPVGWNEWQGYAWNWQWNKTJETJWQTJVQXTKEVRVFVDZWNGYGVDZVTW
      NGYLWAWBWCWNWJWTXMSWDWNXANZGFLMZDWSYMXHYNDRZAXHWMXAXJUIWNXHYOUQZXAWNWJWIY
      PXMXLXGYOGXELMZDRBCGFDDXDGQXFYQDXDGXELULUMXEFQYQYNDXEFGLUNUMUOUPSURYMWSWR
      WPPMZYNWNWSYRQXAWNWPWRWNEFYAWNFYFVDWEWNWQGYKYLWEWFSYMYCYBXAWLYRYNJWNYCXAY
      GSWNYBXAYFSWNXAVIWIWJWLAXAVJGFEVMVNWDVHWNFGYFYGWHWG $.
  $}

  ${
    $d a b t x y D $.  $d a b t x y ph $.  $d a b t x y X $.  $d a b t x y Y $.
    $d t x y F $.  $d t T $.
    scvxcvx.1 $e |- ( ph -> D C_ RR ) $.
    scvxcvx.2 $e |- ( ph -> F : D --> RR ) $.
    scvxcvx.3 $e |- ( ( ph /\ ( a e. D /\ b e. D ) ) -> ( a [,] b ) C_ D ) $.
    scvxcvx.4 $e |- ( ( ph /\ ( x e. D /\ y e. D /\ x < y ) /\
      t e. ( 0 (,) 1 ) ) -> ( F ` ( ( t x. x ) + ( ( 1 - t ) x. y ) ) ) <
       ( ( t x. ( F ` x ) ) + ( ( 1 - t ) x. ( F ` y ) ) ) ) $.
    $( A strictly convex function is convex.  (Contributed by Mario Carneiro,
       20-Jun-2015.) $)
    scvxcvx $p |- ( ( ph /\ ( X e. D /\ Y e. D /\ T e. ( 0 [,] 1 ) ) ) ->
      ( F ` ( ( T x. X ) + ( ( 1 - T ) x. Y ) ) ) <_
       ( ( T x. ( F ` X ) ) + ( ( 1 - T ) x. ( F ` Y ) ) ) ) $=
      ( cc0 c1 co cmul caddc wcel cicc w3a wa cmin cfv cle wbr clt wceq wo cioo
      cpr w3o cr wss adantr simpr1 sseldd simpr2 lttri4d cv oveq1 oveq2 oveq12d
      oveq1d fveq2d breq12d wral jca simprr simpll breq1 fvoveq1d fveq2 ralbidv
      oveq2d imbi2d imbi12d breq2 3expia ralrimiv expcom vtocl2ga syl3c rspcdva
      wi simprl orcd expr cc unitssre simpr3 sselid recnd ax-1cn pncan3 sylancl
      sylancr adddird mulid2d 3eqtr3d wf ffvelrnd eqtr4d eqeq12d syl5ibrcom olc
      subcl 1re elioore resubcl eliooord simprd wb posdif mpbid simpld ltsubpos
      syl6 cxr 0xr 1xr mp2an syl3anbrc ad2antrl remulcld nncan comraddd 3brtr3d
      elioo2 3jaod mpd ex addid2d mul02d eqtrd 3eqtr4rd eqtrdi addid1d jaod cun
      elpri 1m0e1 1m1e0 syl56 0le1 prunioo mp3an eleqtrrdi elun mpjaod readdcld
      sylib cvxcl leloed mpbird ) AHEUAZIEUAZFPQUBRZUAZUCZUDZFHSRZQFUERZISRZTRZ
      GUFZFHGUFZSRZUVEIGUFZSRZTRZUGUHUVHUVMUIUHZUVHUVMUJZUKZUVCFPQULRZUAZUVPFPQ
      UMZUAZUVCUVRUVPUVCUVRUDZHIUIUHZHIUJZIHUIUHZUNUVPUWAHIUVCHUOUAUVRUVCEUOHAE
      UOUPUVBLUQZAUURUUSUVAURZUSZUQUVCIUOUAUVRUVCEUOIUWEAUURUUSUVAUTZUSZUQVAUWA
      UWBUVPUWCUWDUVCUVRUWBUVPUVCUVRUWBUDZUDZUVNUVOUWKDVBZHSRZQUWLUERZISRZTRZGU
      FZUWLUVISRZUWNUVKSRZTRZUIUHZUVNDUVQFUWLFUJZUWQUVHUWTUVMUIUXBUWPUVGGUXBUWM
      UVDUWOUVFTUWLFHSVCUXBUWNUVEISUWLFQUEVDZVFVEVGUXBUWRUVJUWSUVLTUWLFUVISVCUX
      BUWNUVEUVKSUXCVFVEVHUWKUURUUSUDUWBAUXADUVQVIZUWKUURUUSUVCUURUWJUWFUQUVCUU
      SUWJUWHUQVJUVCUVRUWBVKAUVBUWJVLBVBZCVBZUIUHZAUWLUXESRZUWNUXFSRZTRGUFZUWLU
      XEGUFZSRZUWNUXFGUFZSRZTRZUIUHZDUVQVIZWGZWGZHUXFUIUHZAUWMUXITRZGUFZUWRUXNT
      RZUIUHZDUVQVIZWGZWGUWBAUXDWGZWGBCHIEEUXEHUJZUXGUXTUXRUYFUXEHUXFUIVMUYHUXQ
      UYEAUYHUXPUYDDUVQUYHUXJUYBUXOUYCUIUYHUXHUWMUXIGTUXEHUWLSVDVNUYHUXLUWRUXNT
      UYHUXKUVIUWLSUXEHGVOVQVFVHVPVRVSUXFIUJZUXTUWBUYFUYGUXFIHUIVTUYIUYEUXDAUYI
      UYDUXADUVQUYIUYBUWQUYCUWTUIUYIUYAUWPGUYIUXIUWOUWMTUXFIUWNSVDVQVGUYIUXNUWS
      UWRTUYIUXMUVKUWNSUXFIGVOVQVQVHVPVRVSUXEEUAZUXFEUAZUXGUXRAUYJUYKUXGUCZUXQA
      UYLUDUXPDUVQAUYLUWLUVQUAUXPOWAWBWCWAZWDWEUVCUVRUWBWHWFWIWJUWAUWCUVOUVPUWA
      UVOUWCFISRZUVFTRZGUFZFUVKSRZUVLTRZUJZUVCUYSUVRUVCUYPUVKUYRUVCUYOIGUVCFUVE
      TRZISRQISRZUYOIUVCUYTQISUVCFWKUAZQWKUAZUYTQUJUVCFUVCUUTUOFWLAUURUUSUVAWMZ
      WNZWOZWPFQWQWRZVFUVCFUVEIVUFUVCVUCVUBUVEWKUAWPVUFQFXIWSZUVCIUWIWOZWTUVCIV
      UIXAZXBVGUVCUYTUVKSRQUVKSRZUYRUVKUVCUYTQUVKSVUGVFUVCFUVEUVKVUFVUHUVCUVKUV
      CEUOIGAEUOGXCUVBMUQZUWHXDZWOZWTUVCUVKVUNXAZXBXEUQUWCUVHUYPUVMUYRUWCUVDUYN
      UVFGTHIFSVDVNUWCUVJUYQUVLTUWCUVIUVKFSHIGVOVQVFXFXGUVOUVNXHZXTUVCUVRUWDUVP
      UVCUVRUWDUDZUDZUVNUVOVURUVFQUVEUERZHSRZTRZGUFZUVLVUSUVISRZTRZUVHUVMUIVURU
      WLISRZUWNHSRZTRZGUFZUWLUVKSRZUWNUVISRZTRZUIUHZVVBVVDUIUHDUVQUVEUWLUVEUJZV
      VHVVBVVKVVDUIVVMVVGVVAGVVMVVEUVFVVFVUTTUWLUVEISVCVVMUWNVUSHSUWLUVEQUEVDZV
      FVEVGVVMVVIUVLVVJVVCTUWLUVEUVKSVCVVMUWNVUSUVISVVNVFVEVHVURUUSUURUDUWDAVVL
      DUVQVIZVURUUSUURUVCUUSVUQUWHUQUVCUURVUQUWFUQVJUVCUVRUWDVKAUVBVUQVLUXSIUXF
      UIUHZAVVEUXITRZGUFZVVIUXNTRZUIUHZDUVQVIZWGZWGUWDAVVOWGZWGBCIHEEUXEIUJZUXG
      VVPUXRVWBUXEIUXFUIVMVWDUXQVWAAVWDUXPVVTDUVQVWDUXJVVRUXOVVSUIVWDUXHVVEUXIG
      TUXEIUWLSVDVNVWDUXLVVIUXNTVWDUXKUVKUWLSUXEIGVOVQVFVHVPVRVSUXFHUJZVVPUWDVW
      BVWCUXFHIUIVTVWEVWAVVOAVWEVVTVVLDUVQVWEVVRVVHVVSVVKUIVWEVVQVVGGVWEUXIVVFV
      VETUXFHUWNSVDVQVGVWEUXNVVJVVITVWEUXMUVIUWNSUXFHGVOVQVQVHVPVRVSUYMWDWEUVRU
      VEUVQUAZUVCUWDUVRUVEUOUAZPUVEUIUHZUVEQUIUHZVWFUVRQUOUAZFUOUAZVWGXJFPQXKZQ
      FXLZWSUVRFQUIUHZVWHUVRPFUIUHZVWNFPQXMZXNUVRVWKVWJVWNVWHXOVWLXJFQXPWRXQUVR
      VWOVWIUVRVWOVWNVWPXRUVRVWKVWJVWOVWIXOVWLXJFQXSWRXQPYAUAZQYAUAZVWFVWGVWHVW
      IUCXOYBYCPQUVEYKYDYEYFWFVURVVAUVGGUVCVVAUVGUJVUQUVCVVAUVFUVDUVCUVFUVCUVEI
      UVCVWJVWKVWGXJVUEVWMWSZUWIYGWOUVCUVDUVCFHVUEUWGYGWOUVCVUTUVDUVFTUVCVUSFHS
      UVCVUCVUBVUSFUJWPVUFQFYHWSZVFVQYIUQVGUVCVVDUVMUJVUQUVCVVDUVLUVJUVCUVLUVCU
      VEUVKVWSVUMYGZWOUVCUVJUVCFUVIVUEUVCEUOHGVULUWFXDZYGZWOUVCVVCUVJUVLTUVCVUS
      FUVISVWTVFVQYIUQYJWIWJYLYMYNUVTFPUJZFQUJZUKUVCUVOUVPFPQUUCUVCVXDUVOVXEUVC
      UVOVXDPHSRZVUATRZGUFZPUVISRZVUKTRZUJUVCPUVKTRUVKVXJVXHUVCUVKVUNYOUVCVXIPV
      UKUVKTUVCUVIUVCUVIVXBWOZYPVUOVEUVCVXGIGUVCVXGPITRIUVCVXFPVUAITUVCHUVCHUWG
      WOZYPVUJVEUVCIVUIYOYQVGYRVXDUVHVXHUVMVXJVXDUVGVXGGVXDUVDVXFUVFVUATFPHSVCV
      XDUVEQISVXDUVEQPUERQFPQUEVDUUDYSZVFVEVGVXDUVJVXIUVLVUKTFPUVISVCVXDUVEQUVK
      SVXMVFVEXFXGUVCUVOVXEQHSRZPISRZTRZGUFZQUVISRZPUVKSRZTRZUJUVCUVIPTRUVIVXTV
      XQUVCUVIVXKYTUVCVXRUVIVXSPTUVCUVIVXKXAUVCUVKVUNYPVEUVCVXPHGUVCVXPHPTRHUVC
      VXNHVXOPTUVCHVXLXAUVCIVUIYPVEUVCHVXLYTYQVGYRVXEUVHVXQUVMVXTVXEUVGVXPGVXEU
      VDVXNUVFVXOTFQHSVCVXEUVEPISVXEUVEQQUERPFQQUEVDUUEYSZVFVEVGVXEUVJVXRUVLVXS
      TFQUVISVCVXEUVEPUVKSVYAVFVEXFXGUUAVUPUUFUVCFUVQUVSUUBZUAUVRUVTUKUVCFUUTVY
      BVUDVWQVWRPQUGUHVYBUUTUJYBYCUUGPQUUHUUIUUJFUVQUVSUUKUUNUULUVCUVHUVMUVCEUO
      UVGGVULAJKEFHILNUUOXDUVCUVJUVLVXCVXAUUMUUPUUQ $.
  $}

  ${
    $d a b c k t w x y A $.  $d a b c k t w x y D $.  $d a b c k t w x y ph $.
    $d a b c k t w x y F $.  $d a b c k t w x y T $.  $d a b c k t w x y X $.
    $d a b t x y z B $.  $d t x y L $.  $d a b t x y S $.
    jensen.1 $e |- ( ph -> D C_ RR ) $.
    jensen.2 $e |- ( ph -> F : D --> RR ) $.
    jensen.3 $e |- ( ( ph /\ ( a e. D /\ b e. D ) ) -> ( a [,] b ) C_ D ) $.
    jensen.4 $e |- ( ph -> A e. Fin ) $.
    jensen.5 $e |- ( ph -> T : A --> ( 0 [,) +oo ) ) $.
    jensen.6 $e |- ( ph -> X : A --> D ) $.
    jensen.7 $e |- ( ph -> 0 < ( CCfld gsum T ) ) $.
    jensen.8 $e |- ( ( ph /\ ( x e. D /\ y e. D /\ t e. ( 0 [,] 1 ) ) ) ->
      ( F ` ( ( t x. x ) + ( ( 1 - t ) x. y ) ) ) <_
       ( ( t x. ( F ` x ) ) + ( ( 1 - t ) x. ( F ` y ) ) ) ) $.
    ${
      jensenlem.1 $e |- ( ph -> -. z e. B ) $.
      jensenlem.2 $e |- ( ph -> ( B u. { z } ) C_ A ) $.
      jensenlem.s $e |- S = ( CCfld gsum ( T |` B ) ) $.
      jensenlem.l $e |- L = ( CCfld gsum ( T |` ( B u. { z } ) ) ) $.
      $( Lemma for ~ jensen .  (Contributed by Mario Carneiro, 4-Jun-2016.) $)
      jensenlem1 $p |- ( ph -> L = ( S + ( T ` z ) ) ) $=
        ( ccnfld cv csn cun cres cgsu cfv caddc cmpt cnfldbas cnfldadd crg wcel
        co cc ccmn cnring ringcmn mp1i unssad ssfid cc0 cpnf rge0ssre ax-resscn
        wa cico sstri sselda ffvelrnda syldan sselid wss unssbd vex snss sylibr
        ffvelrnd fveq2 gsumunsn feqresmpt oveq2d oveq1d 3eqtr4d oveq1i 3eqtr4g
        cr ) AUHJGDUIZUJZUKZULZUMVAZUHJGULZUMVAZWOJUNZUOVAZLIXBUOVAAUHBWQBUIZJU
        NZUPZUMVAUHBGXEUPZUMVAZXBUOVAWSXCAGVBUOBUHWOFXEXBUQURUHUSUTUHVCUTAVDUHV
        EVFAFGSAGWPFUEVGZVHAXDGUTZVMVIVJVNVAZVBXEXKWNVBVKVLVOZAXJXDFUTXEXKUTAGF
        XDXIVPAFXKXDJTVQVRVSAWPFVTWOFUTAGWPFUEWAWOFDWBWCWDZUDAXKVBXBXLAFXKWOJTX
        MWEVSXDWOJWFWGAWRXFUHUMABFXKWQJTUEWHWIAXAXHXBUOAWTXGUHUMABFXKGJTXIWHWIW
        JWKUGIXAXBUOUFWLWM $.

      jensenlem.3 $e |- ( ph -> S e. RR+ ) $.
      jensenlem.4 $e |- ( ph ->
        ( ( CCfld gsum ( ( T oF x. X ) |` B ) ) / S ) e. D ) $.
      jensenlem.5 $e |- ( ph ->
        ( F ` ( ( CCfld gsum ( ( T oF x. X ) |` B ) ) / S ) ) <_
        ( ( CCfld gsum ( ( T oF x. ( F o. X ) ) |` B ) ) / S ) ) $.
      $( Lemma for ~ jensen .  (Contributed by Mario Carneiro, 21-Jun-2015.) $)
      jensenlem2 $p |- ( ph ->
        ( ( ( CCfld gsum ( ( T oF x. X ) |` ( B u. { z } ) ) ) / L ) e. D /\
         ( F ` ( ( CCfld gsum ( ( T oF x. X ) |` ( B u. { z } ) ) ) / L ) ) <_
     ( ( CCfld gsum ( ( T oF x. ( F o. X ) ) |` ( B u. { z } ) ) ) / L ) ) ) $=
        ( ccnfld cmul cof co cv csn cun cres cgsu cdiv wcel cfv ccom cle wbr c1
        cmin caddc cr cfn cc0 cnfld0 crg cabl cnring ringabl mp1i unssad csubrg
        ssfid csubg crefld cdr resubdrg simpli subrgsubg wa remulcl wf rge0ssre
        wss off fssresd cvv fdmfifsupp gsumsubgcl recnd cc sselid sseldd mulcld
        ffvelrnd readdcld eqeltrd mpbid breqtrrd divdird cmpt cnfldbas cnfldadd
        syl ffvelrnda syldan wceq fveq2 oveq12d feqmptd offval2 reseq1d resmptd
        gsumunsn eqtrd oveq2d oveq1d 3eqtr4d dmdcand div23d eqtr4d w3a redivcld
        clt wb syl112anc remulcld wi oveq2 breq12d imbi2d fveq2d oveq1 cpnf fss
        adantl cico sylancl fssd inidm c0ex a1i ax-resscn sstri unssbd vex snss
        sylibr jensenlem1 rpred elrege0 simplbi rpgt0d simprbi addge01d ltletrd
        0red gt0ne0d ccmn ringcmn sselda adantr rpne0d mvrladdd dividd 3eqtr3rd
        divsubdird cicc rpge0d syl22anc mulid1d 1red ledivmul elicc01 syl3anbrc
        divge0 mpbird 3jca cvxcl mpdan fco syl2anc 1re resubcl sylancr fvoveq1d
        expcom vtocl3ga syl3anc pm2.43i breqtrd divgt0d lemul2 leadd1dd eqbrtrd
        letrd fmptco 3brtr4d jca ) AUKJMULUMZUNZGDUOZUPZUQZURZUSUNZLUTUNZHVAUXN
        KVBZUKJKMVCZUXGUNZUXKURZUSUNZLUTUNZVDVEAUXNILUTUNZUKUXHGURZUSUNZIUTUNZU
        LUNZVFUYAVGUNZUXIMVBZULUNZVHUNZHAUYCUXIJVBZUYGULUNZVHUNZLUTUNUYCLUTUNZU
        YKLUTUNZVHUNUXNUYIAUYCUYKLAUYCAGVIUYBUKVJVKVLUKVMVAZUKVNVAAVOUKVPVQZAFG
        SAGUXJFUEVRZVTZVIUKVSVBVAZVIUKWAVBVAAUYSWBWCVAWDWEVIUKWFVQZAFVIGUXHABCF
        FFULVIVIVIJMVJVJBUOZVIVACUOZVIVAWGVUAVUBULUNVIVAAVUAVUBWHUUCZAFVKUUAUUD
        UNZJWIVUDVIWKFVIJWITWJFVUDVIJUUBUUEZAFHVIMUAPUUFSSFUUGZWLUYQWMZAGVIUYBW
        NVKVUGUYRVKWNVAAUUHUUIZWOWPWQZAUYJUYGAVUDWRUYJVUDVIWRWJUUJUUKZAFVUDUXIJ
        TAUXJFWKUXIFVAAGUXJFUEUULUXIFDUUMUUNUUOZXBZWSZAUYGAHVIUYGPAFHUXIMUAVUKX
        BZWTWQZXAZALALIUYJVHUNZVIABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUUPZAIUYJAIU
        HUUQZAUYJVUDVAZUYJVIVAZVULVUTVVAVKUYJVDVEZUYJUURZUUSXKZXCXDZWQZALAVKILA
        UVDVUSVVEAIUHUUTZAIVUQLVDAVVBIVUQVDVEAVUTVVBVULVUTVVAVVBVVCUVAXKAIUYJVU
        SVVDUVBXEVURXFZUVCZUVEZXGAUXMUYLLUTAUKBUXKVUAJVBZVUAMVBZULUNZXHZUSUNUKB
        GVVMXHZUSUNZUYKVHUNUXMUYLAGWRVHBUKUXIFVVMUYKXIXJUYOUKUVFVAAVOUKUVGVQZUY
        RAVUAGVAZWGZVVKVVLVVSVUDWRVVKVUJAVVRVUAFVAZVVKVUDVAAGFVUAUYQUVHZAFVUDVU
        AJTXLZXMWSVVSVVLVVSHVIVVLAHVIWKVVRPUVIAVVRVVTVVLHVAZVWAAFHVUAMUAXLZXMWT
        WQXAVUKUDVUPVUAUXIXNZVVKUYJVVLUYGULVUAUXIJXOZVUAUXIMXOZXPYAAUXLVVNUKUSA
        UXLBFVVMXHZUXKURVVNAUXHVWHUXKABFVVKVVLULJMVJVUDHSVWBVWDABFVUDJTXQZABFHM
        UAXQZXRZXSABFUXKVVMUEXTYBYCAUYCVVPUYKVHAUYBVVOUKUSAUYBVWHGURVVOAUXHVWHG
        VWKXSABFGVVMUYQXTYBYCYDYEYDAUYEUYMUYHUYNVHAUYCILVUIAIVUSWQZVVFAIUHUVJZV
        VJYFAUYHUYJLUTUNZUYGULUNUYNAUYFVWNUYGULALIVGUNZLUTUNLLUTUNZUYAVGUNVWNUY
        FALILVVFVWLVVFVVJUVNAVWOUYJLUTALIUYJVWLVUMVURUVKYDAVWPVFUYAVGALVVFVVJUV
        LYDUVMZYDAUYJUYGLVUMVUOVVFVVJYGYHXPYEZAUYDHVAZUYGHVAZUYAVKVFUVOUNZVAZYI
        UYIHVAAVWSVWTVXBUIVUNAUYAVIVAZVKUYAVDVEZUYAVFVDVEZVXBAILVUSVVEVVJYJZAIV
        IVAZVKIVDVELVIVAZVKLYKVEZVXDVUSAIUHUVPVVEVVIILUWCUVQAVXEILVFULUNZVDVEZA
        ILVXJVDVVHALVVFUVRXFAVXGVFVIVAZVXHVXIVXEVXKYLVUSAUVSVVEVVIIVFLUVTYMUWDU
        YAUWAUWBZUWEANOHUYAUYDUYGPRUWFUWGZXDAUYIKVBZUYAUKUXQGURZUSUNZIUTUNZULUN
        ZUYFUYGKVBZULUNZVHUNZUXOUXTVDAVXOUYAUYDKVBZULUNZUYJVXTULUNZLUTUNZVHUNZV
        YBAHVIUYIKQVXNXBAVYDVYFAUYAVYCVXFAHVIUYDKQUIXBZYNZAVYELAUYJVXTVVDAHVIUY
        GKQVUNXBZYNZVVEVVJYJXCAVXSVYAAUYAVXRVXFAVXQIAGVIVXPUKVJVKVLUYPUYRUYTAFV
        IGUXQABCFFFULVIVIVIJUXPVJVJVUCVUEAHVIKWIFHMWIFVIUXPWIQUAFHVIKMUWHUWISSV
        UFWLUYQWMZAGVIVXPWNVKVYLUYRVUHWOWPZVUSVWMYJZYNZAUYFVXTAVXLVXCUYFVIVAUWJ
        VXFVFUYAUWKUWLVYJYNZXCAVXOVYDVYAVHUNZVYGVDAVXOVYQVDVEZAVWSVWTVXBAVYRYOZ
        UIVUNVXMAEUOZVUAULUNZVFVYTVGUNZVUBULUNZVHUNKVBZVYTVUAKVBZULUNZWUBVUBKVB
        ZULUNZVHUNZVDVEZYOAVYTUYDULUNZWUCVHUNZKVBZVYTVYCULUNZWUHVHUNZVDVEZYOAWU
        KWUBUYGULUNZVHUNZKVBZWUNWUBVXTULUNZVHUNZVDVEZYOVYSBCEUYDUYGUYAHHVXAVUAU
        YDXNZWUJWUPAWVCWUDWUMWUIWUOVDWVCWUAWUKWUCKVHVUAUYDVYTULYPUWMWVCWUFWUNWU
        HVHWVCWUEVYCVYTULVUAUYDKXOYCYDYQYRVUBUYGXNZWUPWVBAWVDWUMWUSWUOWVAVDWVDW
        ULWURKWVDWUCWUQWUKVHVUBUYGWUBULYPYCYSWVDWUHWUTWUNVHWVDWUGVXTWUBULVUBUYG
        KXOYCYCYQYRVYTUYAXNZWVBVYRAWVEWUSVXOWVAVYQVDWVEWURUYIKWVEWUKUYEWUQUYHVH
        VYTUYAUYDULYTWVEWUBUYFUYGULVYTUYAVFVGYPZYDXPYSWVEWUNVYDWUTVYAVHVYTUYAVY
        CULYTWVEWUBUYFVXTULWVFYDXPYQYRAVUAHVAVUBHVAVYTVXAVAYIWUJUCUWNUWOUWPUWQA
        VYAVYFVYDVHAVYAVWNVXTULUNZVYFAUYFVWNVXTULVWQYDZAUYJVXTLVUMAVXTVYJWQVVFV
        VJYGZYHZYCUWRAVYGVYQVYBVDAVYFVYAVYDVHAVYFWVGVYAWVIWVHYHYCAVYDVXSVYAVYIV
        YOVYPAVYCVXRVDVEZVYDVXSVDVEZUJAVYCVIVAVXRVIVAVXCVKUYAYKVEWVKWVLYLVYHVYN
        VXFAILVUSVVEVVGVVIUWSVYCVXRUYAUWTYMXEUXAUXBUXCAUXNUYIKVWRYSAVXQVYEVHUNZ
        LUTUNVXQLUTUNZVYFVHUNUXTVYBAVXQVYELAVXQVYMWQZAVYEVYKWQZVVFVVJXGAUXSWVML
        UTAUKBUXKVVKVVLKVBZULUNZXHZUSUNUKBGWVRXHZUSUNZVYEVHUNUXSWVMAGWRVHBUKUXI
        FWVRVYEXIXJVVQUYRAVVRVVTWVRWRVAVWAAVVTWGZWVRWWBVVKWVQWWBVUDVIVVKWJVWBWS
        AVVTVWCWVQVIVAVWDAHVIVVLKQXLXMZYNWQXMVUKUDWVPVWEVVKUYJWVQVXTULVWFVWEVVL
        UYGKVWGYSXPYAAUXRWVSUKUSAUXRBFWVRXHZUXKURWVSAUXQWWDUXKABFVVKWVQULJUXPVJ
        VUDVISVWBWWCVWIABCFHVVLWUGWVQMKVWDVWJACHVIKQXQVUBVVLKXOUXDXRZXSABFUXKWV
        RUEXTYBYCAVXQWWAVYEVHAVXPWVTUKUSAVXPWWDGURWVTAUXQWWDGWWEXSABFGWVRUYQXTY
        BYCYDYEYDAVXSWVNVYAVYFVHAVXQILWVOVWLVVFVWMVVJYFWVJXPYEUXEUXF $.
    $}

    $( Jensen's inequality, a finite extension of the definition of convexity
       (the last hypothesis).  (Contributed by Mario Carneiro, 21-Jun-2015.)
       (Proof shortened by AV, 27-Jul-2019.) $)
    jensen $p |- ( ph ->
      ( ( ( CCfld gsum ( T oF x. X ) ) / ( CCfld gsum T ) ) e. D /\
        ( F ` ( ( CCfld gsum ( T oF x. X ) ) / ( CCfld gsum T ) ) ) <_
         ( ( CCfld gsum ( T oF x. ( F o. X ) ) ) / ( CCfld gsum T ) ) ) ) $=
      ( co vw vk vc ccnfld cmul cof cgsu cdiv cv cfv ccom cle crab wcel wa cres
      wbr wss cc0 clt wfn wceq cpnf cico ffnd fnresdm syl oveq2d breqtrrd jctil
      ssid cfn wi c0 sseq1 reseq2 eqtrdi cnfld0 anbi12d oveq12d rabbidv eleq12d
      breq2d imbi12d imbi2d 0re adantl a1i simprl simpr cr ad3antrrr cicc sylan
      wel wf c1 caddc adantr eqid cnring mp1i ad2antrr fssresd cvv c0ex elrege0
      ssfid fveq2 breq1d elrab sylib simpld simprd embantd cc cnfldbas rge0ssre
      fss sylancl fssd off ax-resscn csupp fexd offres oveq1d cdif fvresd mpbid
      syl2anc suppssof1 eqsstrd gsumpt fnfvof syl22anc 3eqtrd ffvelrnd divcan3d
      eqtrd csn cun res0 gsum0 ltnri pm2.21i impexp unssad simplll cmin simpllr
      wn w3a ccmn ringcmn csubmnd rege0subm fdmfifsupp gsumsubmcl simplbi elrpd
      crg simprr jensenlem2 sylibr expr cmnd ringmnd ssun2 vsnid sselii remulcl
      inidm sstri eldifi difun2 difss eqsstri csu wral cmpt feqresmpt ffvelrnda
      sseli sselda syldan sselid gsumfsum 3eqtrrd fsum00 r19.21bi sylan2 suppss
      mul02 sstrdi sseldd simplrr breqtrd gt0ne0d eqeltrd leidd fco fnfco fvco3
      fveq2d recnd 3brtr4d elrabd a1d wo simprbi wb leloe mpjaodan syl5bi com23
      sylancr ex expcom a2d findcard2s mpcom mpd offn 3eltr3d ) AUDGIUEUFZTZUGT
      ZUDGUGTZUHTZUAUIZHUJZUDGHIUKZUYFTZUGTZUYIUHTZULUQZUAFUMZUNUYJFUNUYJHUJZUY
      PULUQZUOAUDUYGEUPZUGTZUDGEUPZUGTZUHTZUYLUDUYNEUPZUGTZVUDUHTZULUQZUAFUMZUY
      JUYRAEEURZUSVUDUTUQZUOZVUEVUJUNZAVULVUKAUSUYIVUDUTRAVUCGUDUGAGEVAZVUCGVBA
      EUSVCVDTZGPVEZEGVFVGVHZVIEVKVJEVLUNZAVUMVUNVMZOAJUIZEURZUSUDGVVAUPZUGTZUT
      UQZUOZUDUYGVVAUPZUGTZVVDUHTZUYLUDUYNVVAUPZUGTZVVDUHTZULUQZUAFUMZUNZVMZVMA
      VNEURZUSUSUTUQZUOZUDUYGVNUPZUGTZUSUHTZUYLUDUYNVNUPZUGTZUSUHTZULUQZUAFUMZU
      NZVMZVMAUBUIZEURZUSUDGVWJUPZUGTZUTUQZUOZUDUYGVWJUPZUGTZVWMUHTZUYLUDUYNVWJ
      UPZUGTZVWMUHTZULUQZUAFUMZUNZVMZVMAVWJUCUIZUUAZUUBZEURZUSUDGVXHUPZUGTZUTUQ
      ZUOZUDUYGVXHUPZUGTZVXKUHTZUYLUDUYNVXHUPZUGTZVXKUHTZULUQZUAFUMZUNZVMZVMAVU
      TVMJUBUCEVVAVNVBZVVPVWIAVYDVVFVVSVVOVWHVYDVVBVVQVVEVVRVVAVNEVOVYDVVDUSUSU
      TVYDVVDUDVNUGTUSVYDVVCVNUDUGVYDVVCGVNUPVNVVAVNGVPGUUCVQVHUDUSVRUUDVQZWCVS
      VYDVVIVWBVVNVWGVYDVVHVWAVVDUSUHVYDVVGVVTUDUGVVAVNUYGVPVHVYEVTVYDVVMVWFUAF
      VYDVVLVWEUYLULVYDVVKVWDVVDUSUHVYDVVJVWCUDUGVVAVNUYNVPVHVYEVTWCWAWBWDWEVVA
      VWJVBZVVPVXEAVYFVVFVWOVVOVXDVYFVVBVWKVVEVWNVVAVWJEVOVYFVVDVWMUSUTVYFVVCVW
      LUDUGVVAVWJGVPVHZWCVSVYFVVIVWRVVNVXCVYFVVHVWQVVDVWMUHVYFVVGVWPUDUGVVAVWJU
      YGVPVHVYGVTVYFVVMVXBUAFVYFVVLVXAUYLULVYFVVKVWTVVDVWMUHVYFVVJVWSUDUGVVAVWJ
      UYNVPVHVYGVTWCWAWBWDWEVVAVXHVBZVVPVYCAVYHVVFVXMVVOVYBVYHVVBVXIVVEVXLVVAVX
      HEVOVYHVVDVXKUSUTVYHVVCVXJUDUGVVAVXHGVPVHZWCVSVYHVVIVXPVVNVYAVYHVVHVXOVVD
      VXKUHVYHVVGVXNUDUGVVAVXHUYGVPVHVYIVTVYHVVMVXTUAFVYHVVLVXSUYLULVYHVVKVXRVV
      DVXKUHVYHVVJVXQUDUGVVAVXHUYNVPVHVYIVTWCWAWBWDWEVVAEVBZVVPVUTAVYJVVFVUMVVO
      VUNVYJVVBVUKVVEVULVVAEEVOVYJVVDVUDUSUTVYJVVCVUCUDUGVVAEGVPVHZWCVSVYJVVIVU
      EVVNVUJVYJVVHVUBVVDVUDUHVYJVVGVUAUDUGVVAEUYGVPVHVYKVTVYJVVMVUIUAFVYJVVLVU
      HUYLULVYJVVKVUGVVDVUDUHVYJVVJVUFUDUGVVAEUYNVPVHVYKVTWCWAWBWDWEVWIAVVRVWHV
      VQVVRVWHUSWFUUEUUFWGWHVWJVLUNZUCUBWOUULZUOAVXEVYCVYMAVXEVYCVMZVMVYLAVYMVY
      NAVYMUOZVXMVXEVYBVYOVXMVXEVYBVMVXEVWKVWNVXDVMZVMVYOVXMUOZVYBVWKVWNVXDUUGV
      YQVWKVYPVYBVYQVWJVXGEVYOVXIVXLWIZUUHZVYQVWNVYPVYBVMUSVWMVBZVYQVWNUOVWNVXD
      VYBVYQVWNWJVYQVWNVXDVYBVYQVWNVXDUOZUOZVXPFUNVXPHUJZVXSULUQZUOVYBWUBBCUCDE
      VWJFVWMGHVXKIJKAFWKURZVYMVXMWUALWLAFWKHWPZVYMVXMWUAMWLWUBAVVAFUNKUIZFUNUO
      VVAWUGWMTFURAVYMVXMWUAUUIZNWNWUBAVUSWUHOVGWUBAEVUPGWPZWUHPVGWUBAEFIWPZWUH
      QVGAUSUYIUTUQVYMVXMWUARWLWUBABUIZFUNCUIZFUNDUIZUSWQWMTUNUUMWUMWUKUETWQWUM
      UUJTZWULUETWRTHUJWUMWUKHUJUETWUNWULHUJUETWRTULUQWUHSWNAVYMVXMWUAUUKVYQVXI
      WUAVYRWSVWMWTVXKWTWUBVWMVYQVWMWKUNZWUAVYQVWMVUPUNZWUOVYQVWJVUPVWLUDVLUSVR
      UDUVBUNZUDUUNUNVYQXAUDUUOXBVYQEVWJAVUSVYMVXMOXCZVYSXHZVUPUDUUPUJUNVYQUUQW
      HVYQEVUPVWJGAWUIVYMVXMPXCVYSXDZVYQVWJVUPVWLXEUSWUTWUSUSXEUNZVYQXFWHUURUUS
      ZWUPWUOUSVWMULUQZVWMXGZUUTVGZWSVYQVWNVXDWIUVAWUBVWRFUNZVWRHUJZVXAULUQZWUB
      VXDWVFWVHUOVYQVWNVXDUVCVXBWVHUAVWRFUYKVWRVBUYLWVGVXAULUYKVWRHXIXJXKXLZXMW
      UBWVFWVHWVIXNUVDVXTWUDUAVXPFUYKVXPVBUYLWUCVXSULUYKVXPHXIXJZXKUVEUVFXOVYQV
      YTUOZVYBVYPWVKVXTWUDUAVXPFWVJWVKVXPVXFIUJZFWVKVXPVXFGUJZWVLUETZWVMUHTWVLW
      VKVXOWVNVXKWVMUHWVKVXOVXFVXNUJVXFUYGUJZWVNWVKVXHXPVXNUDVLVXFUSXQVRWUQUDUV
      GUNWVKXAUDUVHXBZVYQVXHVLUNVYTVYQEVXHWURVYRXHWSZVXFVXHUNWVKVXGVXHVXFVXGVWJ
      UVIUCUVJUVKWHZWVKEXPVXHUYGAEXPUYGWPZVYMVXMVYTAEWKUYGWPWKXPURZWVSABCEEEUEW
      KWKWKGIVLVLWUKWKUNWULWKUNUOWUKWULUETWKUNAWUKWULUVLWGZAWUIVUPWKUREWKGWPPXR
      EVUPWKGXSXTZAEFWKIQLYAOOEUVMZYBZYCEWKXPUYGXSXTWLVYQVXIVYTVYRWSZXDWVKVXNUS
      YDTVXJIVXHUPZUYFTZUSYDTVXGWVKVXNWWGUSYDWVKGXEUNZIXEUNVXNWWGVBWVKEVUPVLGAW
      UIVYMVXMVYTPWLZVYQVUSVYTWURWSZYEZWVKEFVLIAWUJVYMVXMVYTQWLZWWJYEVXHUEGIXEX
      EYFYKYGWVKBVXJWWFVXHXPXEVXGUEXPVLUSUSWVKVXHXPBVXJVXGUSWVKEXPVXHGWVKWUIVUP
      XPUREXPGWPWWIVUPWKXPXRYCUVNZEVUPXPGXSXTZWWEXDZWVKWUKVXHVXGYHZUNZUOZWUKVXJ
      UJWUKGUJZUSWWRWUKVXHGWWQWUKVXHUNWVKWUKVXHVXGUVOWGYIWWQWVKBUBWOZWWSUSVBZWW
      PVWJWUKWWPVWJVXGYHVWJVWJVXGUVPVWJVXGUVQUVRUWDWVKWXABVWJWVKVWJWWSBUVSZUSVB
      WXABVWJUVTWVKUSVWMUDBVWJWWSUWAZUGTWXBVYQVYTWJWVKVWLWXCUDUGWVKBEVUPVWJGWWI
      VYQVWKVYTVYSWSZUWBVHWVKVWJWWSBVYQVYLVYTWUSWSZWVKWWTUOZVUPXPWWSWWMWVKWWTWU
      KEUNWWSVUPUNZWVKVWJEWUKWXDUWEWVKEVUPWUKGWWIUWCUWFZUWGUWHUWIWVKVWJWWSBWXEW
      XFWWSWKUNZUSWWSULUQZWXFWXGWXIWXJUOWXHWWSXGXLZXMWXFWXIWXJWXKXNUWJYJUWKUWLY
      TUWMZWUKXPUNUSWUKUETUSVBWVKWUKUWNWGZWWOWVKEXPVXHIWVKEFXPIWWLWVKFWKXPAWUEV
      YMVXMVYTLWLYCUWOYAZWWEXDWVQWVAWVKXFWHZYLYMYNWVKVXFVXHUYGWVRYIWVKVUOIEVAVU
      SVXFEUNZWVOWVNVBWVKEVUPGWWIVEZWVKEFIWWLVEWWJWVKVXHEVXFWWEWVRUWPZEUEGIVLVX
      FYOYPYQWVKVXKVXFVXJUJWVMWVKVXHXPVXJUDVLVXFUSXQVRWVPWVQWVRWWOWXLYNWVKVXFVX
      HGWVRYIYTZVTWVKWVLWVMWVKEXPVXFIWXNWXRYRWVKEXPVXFGWWNWXRYRZWVKWVMWVKUSVXKW
      VMUTVYOVXIVXLVYTUWQWXSUWRUWSZYSYTZWVKEFVXFIWWLWXRYRZUWTWVKWVLHUJZWYDWUCVX
      SULWVKWYDWVKFWKWVLHAWUFVYMVXMVYTMWLWYCYRZUXAWVKVXPWVLHWYBUXEWVKVXSWVMWYDU
      ETZWVMUHTWYDWVKVXRWYFVXKWVMUHWVKVXRVXFVXQUJVXFUYNUJZWYFWVKVXHXPVXQUDVLVXF
      USXQVRWVPWVQWVRWVKEXPVXHUYNAEXPUYNWPZVYMVXMVYTAEWKUYNWPWVTWYHABCEEEUEWKWK
      WKGUYMVLVLWWAWWBAWUFWUJEWKUYMWPZMQEFWKHIUXBYKZOOWWCYBYCEWKXPUYNXSXTWLWWEX
      DWVKVXQUSYDTVXJUYMVXHUPZUYFTZUSYDTVXGWVKVXQWYLUSYDWVKWWHUYMXEUNVXQWYLVBWW
      KWVKEWKVLUYMAWYIVYMVXMVYTWYJWLZWWJYEVXHUEGUYMXEXEYFYKYGWVKBVXJWYKVXHXPXEV
      XGUEXPVLUSUSWXLWXMWWOWVKEXPVXHUYMWVKWYIWVTEXPUYMWPWYMYCEWKXPUYMXSXTWWEXDW
      VQWXOYLYMYNWVKVXFVXHUYNWVRYIWVKWYGWVMVXFUYMUJZUETZWYFWVKVUOUYMEVAZVUSWXPW
      YGWYOVBWXQAWYPVYMVXMVYTAHFVAWUJWYPAFWKHMVEQFEHIUXCYKZWLWWJWXREUEGUYMVLVXF
      YOYPWVKWYNWYDWVMUEWVKWUJWXPWYNWYDVBWWLWXREFVXFHIUXDYKVHYTYQWXSVTWVKWYDWVM
      WVKWYDWYEUXFWXTWYAYSYTUXGUXHUXIVYQWVCVWNVYTUXJZVYQWUPWVCWVBWUPWUOWVCWVDUX
      KVGVYQUSWKUNWUOWVCWYRUXLWFWVEUSVWMUXMUXQYJUXNXOUXOUXRUXPUXSWGUXTUYAUYBUYC
      AVUBUYHVUDUYIUHAVUAUYGUDUGAUYGEVAVUAUYGVBAEWKUYGWWDVEEUYGVFVGVHVURVTAVUIU
      YQUAFAVUHUYPUYLULAVUGUYOVUDUYIUHAVUFUYNUDUGAUYNEVAVUFUYNVBAEEUEEGUYMVLVLV
      UQWYQOOWWCUYDEUYNVFVGVHVURVTWCWAUYEUYQUYTUAUYJFUYKUYJVBUYLUYSUYPULUYKUYJH
      XIXJXKXL $.
  $}

  ${
    $d a b k s u v w x y A $.  $d x y M $.  $d a b k s t u v w x y ph $.
    $d a b k s u v w x y F $.
    amgm.1 $e |- M = ( mulGrp ` CCfld ) $.
    ${
      amgm.2 $e |- ( ph -> A e. Fin ) $.
      amgm.3 $e |- ( ph -> A =/= (/) ) $.
      amgm.4 $e |- ( ph -> F : A --> RR+ ) $.
      $( Lemma for ~ amgm .  (Contributed by Mario Carneiro, 21-Jun-2015.) $)
      amgmlem $p |- ( ph -> ( ( M gsum F ) ^c ( 1 / ( # ` A ) ) ) <_
            ( ( CCfld gsum F ) / ( # ` A ) ) ) $=
        ( vk c1 cfv co cgsu clog cmul ccnfld cr cc0 wcel crp vx vw vu cdiv ccxp
        vv vs va vb vy vt chash ce cle wbr cneg cmpt cfn cnfld0 crg cabl cnring
        cv ringabl mp1i csubrg csubg crefld resubdrg simpli subrgsubg ffvelrnda
        cdr wa relogcld renegcld fmpttd cvv a1i fdmfifsupp gsumsubgcl recnd syl
        wb ccom csu gsumfsum negeqd feqmptd fveq2 fmptco oveq2d 3eqtr4d csubmnd
        wf cress wceq cc csn wss subgsubm ax-mp cnfldbas eqid ccmn cmnd syl2anc
        oveq1i df-refld ringmnd gsumsubm fveq2d 3eqtrd divrec2d nndivred rpssre
        rpcnd eqtrd adantl cicc cpnf ioorp eleq2i clt w3a caddc sselid remulcld
        cioo mpbid mulneg2d oveq12d 3brtr4d offval2 cnfldadd cnfldmul gsummulc2
        negex fvmpt div1d c0ex cn wne hashnncl mpbird nncnd nnne0d divnegd cres
        c0 negnegd sumeq2dv fsumneg 3eqtr2rd wf1o relogf1o f1of mpteq2ia eqtrdi
        fvres cbs cdif cmgp rpmsubg cndrng drngui unitsubm subsubm mp2b submbas
        mpbi c0g cnfld1 ringidval subm0 cncrng crngmgp submmnd subcmn subrgring
        ccrg cghm cmhm reloggim gimghm ghmmhm 1ex gsummhm fco gsumsubmcl fvresd
        cgim fsumrpcl eqeltrd nnrpd rpdivcld cxp cof relogcl iccssioo2 syl2anbr
        oveq1d sseqtrdi cico nnrecred rpreccld rpge0d elrege0 sylanbrc fconst6g
        0lt1 fconstmpt oveq2i gsumconst syl3anc cz nnzd cnfldmulg recidd syl5eq
        cmg breqtrrid cmin logccv 3adant1 ioossre simp21 resubcl sylancr simp22
        simp3 1re readdcld simp1 ioossicc syl13anc ltnegd negdid eqtr4d scvxcvx
        cvxcl jensen simprd adantr fss sylancl eqtr2d eqidd lenegcon1d eqbrtrrd
        3brtr3d efle rpne0d cxpefd reeflogd eqcomd ) AJBULKZUDLZDCMLZNKZOLZUMKZ
        PCMLZVUQUDLZNKZUMKZVUSVURUELVVDUNAVVAVVEUNUOZVVBVVFUNUOZAPIBIVCZCKZNKZU
        PZUQZMLZVUQUDLZUPZVVAVVEUNAVVPVVNUPZVUQUDLVUTVUQUDLVVAAVVNVUQAVVNABQVVM
        PURRUSPUTSZPVASAVBPVDVEZFQPVFKSZQPVGKSZAVVTVHVMSVIVJZQPVKVEZAIBVVLQAVVI
        BSZVNZVVKVWEVVJABTVVICHVLZVOZVPZVQZABQVVMVRRVWIFRVRSAUUAVSZVTZWAZWBZAVU
        QAVUQUUBSZBUUJUUCZGABURSZVWNVWOWDFBUUDWCUUEZUUFZAVUQVWQUUGZUUHAVVQVUTVU
        QUDAVVQPNTUUIZCWEZMLZVUSVWTKZVUTABVVLIWFZUPZPIBVVKUQZMLZVVQVXBAVXGBVVKI
        WFBVVLUPZIWFVXEABVVKIFVWEVVKVWGWBZWGABVXHVVKIVWEVVKVXIUUKUULABVVLIFVWEV
        VLVWHWBZUUMUUNAVVNVXDABVVLIFVXJWGWHAVXAVXFPMAIUABTVVJUAVCZNKZVVKCVWTVWF
        AIBTCHWIZAVWTUATVXKVWTKZUQUATVXLUQAUATQVWTTQVWTUUOTQVWTWOZAUUPTQVWTUUQV
        EZWIUATVXNVXLVXKTNUUTUURUUSVXKVVJNWJWKWLWMAVHVXAMLDTWPLZCMLZVWTKVXBVXCA
        BTCVXQVHVWTURJTDWNKZSZTVXQUVAKWQVXTTWRRWSUVBZWTZTDVYAWPLZWNKSZVXTVYBVNZ
        TVYCVGKSVYDVYCDPUVCKZVYAWPEXHUVDTVYCXAXBVVRVYAVXSSVYDVYEWDVBPVYADWRPRXC
        USUVEUVFEUVGTVYADVYCVYCXDUVHUVIUVKVJZTVXQDVXQXDZUVJXBVXTJVXQUVLKWQVYGTV
        XQDJVYHPJDEUVMUVNZUVOXBADXESZVXQXFSZVXQXESPUWASVYJAUVPPDEUVQVEZVXTVYKAV
        YGTVXQDVYHUVRVETDVXQVYHUVSXGVHUTSZVHXFSAVVTVYMVWBQPVHXIUVTXBVHXJVEFVWTV
        XQVHUWBLSZVWTVXQVHUWCLSAVWTVXQVHUWLLSVYNVXQDVYFTWPEXHUWDVXQVHVWTUWEXBVX
        QVHVWTUWFVEHABTCVRJHFJVRSAUWGVSVTZUWHABQVXAPVHURFAVWAQPWNKSVWCQPXAWCAVX
        OBTCWOZBQVXAWOVXPHBTQVWTCUWIXGXIXKAVUSVXRVWTABTCDVXQURFVXTAVYGVSZHVYHXK
        XLWMAVUSTNABTCDURJVYIVYLFVYQHVYOUWJZUWKXMUXBAVUTVUQAVUTAVUSVYRVOZWBVWRV
        WSXNXMAVVEVVOAVVDAVVCVUQAVVCBVVJIWFZTAVVCPIBVVJUQZMLZVYTACWUAPMVXMWLZAB
        VVJIFVWEVVJVWFXQZWGXRABVVJIFGVWFUWMUWNAVUQVWQUWOZUWPZVOZAVVNVUQVWLVWQXO
        ZAPBVURWSUWQZCOUWRZLZMLZPWUIMLZUDLZUBTUBVCZNKZUPZUQZKZPWUIWURCWEZWUJLZM
        LZWUMUDLZVVEUPZVVOUNAWUNTSWUSWVCUNUOAUCUFUGBTWUIWURCUHUITQWTZAXPVSZAUBT
        WUQQAWUOTSZVNWUPWVGWUPQSAWUOUWSXSVPVQZUHVCZTSZUIVCZTSZVNZWVIWVKXTLZTWTA
        WVMWVNRYAYILZTWVJWVIWVOSWVKWVOSWVNWVOWTWVLWVOTWVIYBYCWVOTWVKYBYCRYAWVIW
        VKUWTUXAYBUXCXSZFAVURRYAUXDLZSZBWVQWUIWOAVURQSZRVURUNUOWVRAVUQVWQUXEZAV
        URAVUQWUEUXFUXGVURUXHUXIBVURWVQUXJWCHARJWUMYDUXKAWUMPIBVURUQZMLZJWUIWWA
        PMIBVURUXLZUXMAWWBVUQVURPUYAKZLZVUQVUROLZJAPXFSZVWPVURWRSZWWBWWEWQVVRWW
        GAVBPXJVEFAVURWVTWBZBWRWWDIPVURXCWWDXDUXNUXOAVUQUXPSWWHWWEWWFWQAVUQVWQU
        XQWWIVUQVURUXRXGAVUQVWRVWSUXSXMUXTZUYBAUAUJUKTUGVCWURUCVCUFVCUHUIWVFWVH
        WVPAVXKTSZUJVCZTSZVXKWWLYDUOZYEZUKVCZRJYILZSZYEZWWPVXKOLJWWPUYCLZWWLOLY
        FLZNKZUPZWWPVXLOLZWWTWWLNKZOLZYFLZUPZWXAWURKZWWPVXKWURKZOLZWWTWWLWURKZO
        LZYFLZYDWWSWXGWXBYDUOZWXCWXHYDUOWWOWWRWXOAVXKWWLWWPUYDUYEWWSWXGWXBWWSWX
        DWXFWWSWWPVXLWWSWWQQWWPRJUYFAWWOWWRUYKZYGZWWSVXKAWWKWWMWWNWWRUYGZVOZYHZ
        WWSWWTWXEWWSJQSWWPQSWWTQSUYLWXQJWWPUYHUYIZWWSWWLAWWKWWMWWNWWRUYJZVOZYHZ
        UYMWWSWXAWWSAWWKWWMWWPRJXTLZSWXATSZAWWOWWRUYNWXRWYBWWSWWQWYEWWPRJUYOWXP
        YGAUHUITWWPVXKWWLWVFWVPVUAUYPZVOUYQYJWWSWYFWXIWXCWQWYGUBWXAWUQWXCTWURWU
        OWXAWQWUPWXBWUOWXANWJWHWURXDZWXBYRYSWCWWSWXNWXDUPZWXFUPZYFLWXHWWSWXKWYI
        WXMWYJYFWWSWXKWWPVXLUPZOLWYIWWSWXJWYKWWPOWWSWWKWXJWYKWQWXRUBVXKWUQWYKTW
        URWUOVXKWQWUPVXLWUOVXKNWJWHWYHVXLYRYSWCWLWWSWWPVXLWWSWWPWXQWBWWSVXLWXSW
        BYKXRWWSWXMWWTWXEUPZOLWYJWWSWXLWYLWWTOWWSWWMWXLWYLWQWYBUBWWLWUQWYLTWURW
        UOWWLWQWUPWXEWUOWWLNWJWHWYHWXEYRYSWCWLWWSWWTWXEWWSWWTWYAWBWWSWXEWYCWBYK
        XRYLWWSWXDWXFWWSWXDWXTWBWWSWXFWYDWBUYRUYSYMUYTVUBVUCAWUSVVDWURKZWVDAWUN
        VVDWURAWUNVVDJUDLVVDAWULVVDWUMJUDAWULPIBVURVVJOLUQZMLVURWUBOLZVVDAWUKWY
        NPMAIBVURVVJOWUICURQTFAWVSVWDWVTVUDZVWFWUIWWAWQAWWCVSZVXMYNWLABWRYFPOIU
        RVVJVURRXCUSYOYPVVRAVBVSZFWWIWUDABWRWUAVRRAIBVVJWRWUDVQFVWJVTYQAVVDVURV
        VCOLWYOAVVCVUQAVVCABQCPURRUSVVSFVWCAVYPWVEBQCWOHXPBTQCVUEVUFABTCVRRHFVW
        JVTWAZWBVWRVWSXNAVVCWUBVUROWUCWLVUGXMWWJYLAVVDAVVDAVVCVUQWYSVWQXOWBYTXR
        XLAVVDTSWYMWVDWQWUFUBVVDWUQWVDTWURWUOVVDWQWUPVVEWUOVVDNWJWHWYHVVEYRYSWC
        XRAWVCVVOJUDLVVOAWVBVVOWUMJUDAPIBVURVVLOLUQZMLVURVVNOLWVBVVOABWRYFPOIUR
        VVLVURRXCUSYOYPWYRFWWIVXJVWKYQAWVAWYTPMAIBVURVVLOWUIWUTURQVRFWYPVVLVRSV
        WEVVKYRVSWYQAIUBBTVVJWUQVVLCWURVWFVXMAWURVUHWUOVVJWQWUPVVKWUOVVJNWJWHWK
        YNWLAVVNVUQVWMVWRVWSXNWMWWJYLAVVOAVVOWUHWBYTXRVUKVUIVUJAVVAQSVVEQSVVGVV
        HWDAVURVUTWVTVYSYHWUGVVAVVEVULXGYJAVUSVURAVUSVYRXQAVUSVYRVUMWWIVUNAVVFV
        VDAVVDWUFVUOVUPYM $.
    $}

    $( Inequality of arithmetic and geometric means.  Here ` ( M gsum F ) `
       calculates the group sum within the multiplicative monoid of the complex
       numbers (or in other words, it multiplies the elements
       ` F ( x ) , x e. A ` together), and ` ( CCfld gsum F ) ` calculates the
       group sum in the additive group (i.e. the sum of the elements).  This is
       Metamath 100 proof #38.  (Contributed by Mario Carneiro,
       20-Jun-2015.) $)
    amgm $p |- ( ( A e. Fin /\ A =/= (/) /\ F : A --> ( 0 [,) +oo ) ) ->
        ( ( M gsum F ) ^c ( 1 / ( # ` A ) ) ) <_
          ( ( CCfld gsum F ) / ( # ` A ) ) ) $=
      ( vx cfn wcel cc0 co wceq cgsu c1 ccnfld cle wbr wa cmul cc cr cvv vy wne
      c0 cpnf cico wf w3a cv cfv wrex chash cdiv ccxp cres cdif cnfldbas mgpbas
      cnfld1 ringidval cnfldmul mgpplusg ccrg ccmn cncrng crngmgp simpl1 simpl3
      csn mp1i wss rge0ssre ax-resscn sstri fss sylancl 1ex a1i cin disjdif cun
      fdmfifsupp undif2 simprl snssd ssequn1 eqtr2id gsumsplit feqresmpt oveq2d
      sylib cmpt crg cnring ringmgp ffvelrnd fveq2 gsumsn syl3anc simprr 3eqtrd
      cmnd oveq1d diffi difss fssres gsumcl mul02d cn simpl2 wb hashnncl mpbird
      syl nncnd nnne0d reccld recne0d 0cxpd eqtrd clt ringcmn csubmnd rege0subm
      cnfld0 gsumsubmcl elrege0 nnred nngt0d divge0 syl12anc eqbrtrd rexlimdvaa
      c0ex wn wral ralnex wfn crp ffnd wo ffvelrn 3ad2antl3 simprd simpld leloe
      0re sylancr mpbid ord eqcom syl6ib con1d elrp baib sylibrd ralimdva ffnfv
      imp sylanbrc amgmlem ex syl5bir pm2.61d ) AFGZAUCUBZAHUDUEIZBUFZUGZEUHZBU
      IZHJZEAUJZCBKIZLAUKUIZULIZUMIZMBKIZUVNULIZNOZUVHUVKUVSEAUVHUVIAGZUVKPZPZU
      VPHUVRNUWBUVPHUVOUMIHUWBUVMHUVOUMUWBUVMCBUVIVHZUNZKIZCBAUWCUOZUNZKIZQIHUW
      HQIHUWBARUWCUWFQBCFLRMCDUPUQZMLCDURUSZMQCDUTVAMVBGCVCGUWBVDMCDVEVIZUVDUVE
      UVGUWAVFZUWBUVGUVFRVJARBUFZUVDUVEUVGUWAVGZUVFSRVKVLVMAUVFRBVNVOZUWBARBTLU
      WOUWLLTGUWBVPVQZWAUWCUWFVRUCJUWBUWCAVSVQUWBUWCUWFVTUWCAVTZAUWCAWBUWBUWCAV
      JUWQAJUWBUVIAUVHUVTUVKWCZWDZUWCAWEWJWFWGUWBUWEHUWHQUWBUWECUAUWCUAUHZBUIZW
      KZKIZUVJHUWBUWDUXBCKUWBUAAUVFUWCBUWNUWSWHWIUWBCXAGZUVTUVJRGUXCUVJJMWLGZUX
      DUWBWMMCDWNVIUWRUWBARUVIBUWOUWRWOUXARUVJUACUVIAUWIUWTUVIBWPWQWRUVHUVTUVKW
      SWTXBUWBUWHUWBUWFRUWGCFLUWIUWJUWKUWBUVDUWFFGUWLAUWCXCXMZUWBUWMUWFAVJUWFRU
      WGUFUWOAUWCXDARUWFBXEVOZUWBUWFRUWGTLUXGUXFUWPWAXFXGWTXBUWBUVOUWBUVNUWBUVN
      UWBUVNXHGZUVEUVDUVEUVGUWAXIUWBUVDUXHUVEXJUWLAXKXMXLZXNZUWBUVNUXIXOZXPUWBU
      VNUXJUXKXQXRXSUWBUVQSGHUVQNOPZUVNSGHUVNXTOHUVRNOUWBUVQUVFGUXLUWBAUVFBMFHY
      DUXEMVCGUWBWMMYAVIUWLUVFMYBUIGUWBYCVQUWNUWBAUVFBTHUWNUWLHTGUWBYMVQWAYEUVQ
      YFWJUWBUVNUXIYGUWBUVNUXIYHUVQUVNYIYJYKYLUVLYNUVKYNZEAYOZUVHUVSUVKEAYPUVHU
      XNUVSUVHUXNPZABCDUVDUVEUVGUXNVFUVDUVEUVGUXNXIUXOBAYQUVJYRGZEAYOZAYRBUFUXO
      AUVFBUVDUVEUVGUXNVGYSUVHUXNUXQUVHUXMUXPEAUVHUVTPZUXMHUVJXTOZUXPUXRUXSUVKU
      XRUXSYNHUVJJZUVKUXRUXSUXTUXRHUVJNOZUXSUXTYTZUXRUVJSGZUYAUXRUVJUVFGZUYCUYA
      PUVGUVDUVTUYDUVEAUVFUVIBUUAUUBUVJYFWJZUUCUXRHSGUYCUYAUYBXJUUFUXRUYCUYAUYE
      UUDZHUVJUUEUUGUUHUUIHUVJUUJUUKUULUXRUYCUXPUXSXJUYFUXPUYCUXSUVJUUMUUNXMUUO
      UUPUUREAYRBUUQUUSUUTUVAUVBUVC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Euler-Mascheroni constant
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c gamma $. $( Euler-Mascheroni constant (small Greek letter gamma). $)

  $( The Euler-Mascheroni constant.  (The label abbreviates
     Euler-Mascheroni.) $)
  cem $a class gamma $.

  $( Define the Euler-Mascheroni constant, ` gamma ` = 0.57721....  This is the
     limit of the series ` sum_ k e. ( 1 ... m ) ( 1 / k ) - ( log `` m ) ` ,
     with a proof that the limit exists in ~ emcl .  (Contributed by Mario
     Carneiro, 11-Jul-2014.) $)
  df-em $a |- gamma = sum_ k e. NN
    ( ( 1 / k ) - ( log ` ( 1 + ( 1 / k ) ) ) ) $.

  $( Bound on the difference of logs.  (Contributed by Mario Carneiro,
     23-May-2016.) $)
  logdifbnd $p |- ( A e. RR+ ->
    ( ( log ` ( A + 1 ) ) - ( log ` A ) ) <_ ( 1 / A ) ) $=
    ( crp wcel c1 cdiv co caddc clog cfv cmin cle rpcn 1rp rpaddcl wbr ce rpred
    syl cr relogcl 1cnd rpne0 divdird dividd oveq1d eqtr2d fveq2d wceq relogdiv
    mpan2 mpancom eqtrd rpreccl sylancr reeflogd reefcld ltled eqbrtrd resubcld
    clt efgt1p wb eqeltrd efle syl2anc mpbird eqbrtrrd ) ABCZDDAEFZGFZHIZADGFZH
    IZAHIZJFZVIKVHVKVLAEFZHIZVOVHVJVPHVHVPAAEFZVIGFVJVHADAALZVHUAVSAUBZUCVHVRDV
    IGVHAVSVTUDUEUFUGVLBCZVHVQVOUHVHDBCZWAMADNUJZVLAUIUKULZVHVKVIKOZVKPIZVIPIZK
    OZVHWFVJWGKVHVJVHWBVIBCZVJBCMAUMZDVINUNZUOVHVJWGVHVJWKQVHVIVHVIWJQZUPVHWIVJ
    WGUTOWJVIVARUQURVHVKSCVISCWEWHVBVHVKVOSWDVHVMVNVHWAVMSCWCVLTRATUSVCWLVKVIVD
    VEVFVG $.

  $( Lower bound on the difference of logs.  (Contributed by Mario Carneiro,
     3-Jul-2017.) $)
  logdiflbnd $p |- ( A e. RR+ ->
    ( 1 / ( A + 1 ) ) <_ ( ( log ` ( A + 1 ) ) - ( log ` A ) ) ) $=
    ( crp wcel c1 caddc co cdiv ce cfv clog cmin cle wbr rpre ge0p1rpd rprecred
    rpge0 clt recnd oveq1d 1red cc0 0le1 a1i divge0d cmul id ltaddrp2d readdcld
    mulid1d breqtrrd ltdivmuld mpbird eflegeo rpne0d divsubdird pncand 3eqtr3rd
    dividd oveq2d rpne0 recdivd eqtrd breqtrd rpefcld rpdivcld logled relogdivd
    mpbid relogefd 3brtr3d ) ABCZDADEFZGFZHIZJIZVMAGFZJIZVNVMJIAJIKFLVLVOVQLMVP
    VRLMVLVODDVNKFZGFZVQLVLVNVLVMVLAANZAQOZPZVLDVMVLUAZWBUBDLMVLUCUDUEVLVNDRMDV
    MDUFFZRMVLDVMWERVLDAWDVLUGZUHVLVMVLVMVLADWAWDUISZUJUKVLDDVMWDWDWBULUMUNVLVT
    DAVMGFZGFVQVLVSWHDGVLVMDKFZVMGFVMVMGFZVNKFWHVSVLVMDVMWGVLDWDSZWGVLVMWBUOZUP
    VLWIAVMGVLADVLAWASZWKUQTVLWJDVNKVLVMWGWLUSTURUTVLAVMWMWGAVAWLVBVCVDVLVOVQVL
    VNWCVEVLVMAWBWFVFVGVIVLVNWCVJVLVMAWBWFVHVK $.

  ${
    $d i k x F $.  $d i k x G $.  $d k m H $.  $d m n N $.  $d k m n x T $.
    emcl.1 $e |- F = ( n e. NN |->
      ( sum_ m e. ( 1 ... n ) ( 1 / m ) - ( log ` n ) ) ) $.
    emcl.2 $e |- G = ( n e. NN |->
      ( sum_ m e. ( 1 ... n ) ( 1 / m ) - ( log ` ( n + 1 ) ) ) ) $.
    $( Lemma for ~ emcl .  The series ` F ` and ` G ` are sequences of real
       numbers that approach ` gamma ` from above and below, respectively.
       (Contributed by Mario Carneiro, 11-Jul-2014.) $)
    emcllem1 $p |- ( F : NN --> RR /\ G : NN --> RR ) $=
      ( cn cr wf c1 cv cfz co clog cfv cmin wcel relogcld resubcld fmpti csu wa
      cdiv fzfid elfznn adantl nnrecred fsumrecl caddc peano2nn nnrpd pm3.2i
      nnrp ) GHCIGHDIBGHJBKZLMZJAKZUCMZAUAZUNNOZPMCEUNGQZURUSUTUOUQAUTJUNUDUTUP
      UOQZUBUPVAUPGQUTUPUNUEUFUGUHZUTUNUNUMRSTBGHURUNJUIMZNOZPMDFUTURVDVBUTVCUT
      VCUNUJUKRSTUL $.

    $( Lemma for ~ emcl . ` F ` is increasing, and ` G ` is decreasing.
       (Contributed by Mario Carneiro, 11-Jul-2014.) $)
    emcllem2 $p |- ( N e. NN -> ( ( F ` ( N + 1 ) ) <_ ( F ` N ) /\
                     ( G ` N ) <_ ( G ` ( N + 1 ) ) ) ) $=
      ( cn wcel c1 caddc co cfv cle wbr cdiv clog cmin clt cr peano2nn nnrecred
      cfz cv csu nnrpd relogcld nnrp resubcld fzfid wa elfznn fsumrecl rpreccld
      adantl ce rpge0d 1div1e1 crp 1re ltaddrp sylancr wceq ax-1cn nncn breqtrd
      cc addcom eqbrtrid cc0 wb nnred nngt0d 0lt1 mpanl12 syl2anc mpbid eflegeo
      ltrec1 recnd nnne0 nnne0d recdivd 1cnd divsubdird sylancl oveq1d 3eqtr3rd
      dividd oveq2d rpdivcld reeflogd 3eqtr4d relogdivd eqeltrd mpbird leadd2dd
      pncan efle cuz id nnuz eleqtrdi oveq2 fsump1 addsub12d 3brtr4d lesubadd2d
      sumeq1d fveq2 oveq12d ovex fvmpt syl logdifbnd subadd23d leaddsub syl3anc
      fvoveq1 jca ) EHIZEJKLZCMZECMZNOEDMZYBDMZNOYAJYBUCLZJAUDZPLZAUEZYBQMZRLZJ
      EUCLZYIAUEZEQMZRLZYCYDNYAYLYPNOYJYKYPKLZNOYAYNJYBPLZKLZYNYKYORLZKLYJYQNYA
      YRYTYNYAYBEUAZUBZYAYKYOYAYBYAYBUUAUFZUGZYAEEUHZUGZUIZYAYMYIAYAJEUJYAYHYMI
      ZUKYHUUHYHHIZYAYHEULUOUBUMZYAYRYBEPLZQMZYTNYAYRUULNOZYRUPMZUULUPMZNOZYAUU
      NJJYRRLZPLZUUONYAYRUUBYAYRYAYBUUCUNUQYAJJPLZYBSOZYRJSOZYAUUSJYBSURYAJJEKL
      ZYBSYAJTIZEUSIJUVBSOUTUUEJEVAVBYAJVGIZEVGIZUVBYBVCVDEVEZJEVHVBVFVIYAYBTIZ
      VJYBSOZUUTUVAVKZYAYBUUAVLZYAYBUUAVMUVCVJJSOUVGUVHUKUVIUTVNJYBVSVOVPVQVRYA
      JEYBPLZPLUUKUURUUOYAEYBUVFYAYBUVJVTZEWAYAYBUUAWBZWCYAUUQUVKJPYAYBJRLZYBPL
      YBYBPLZYRRLUVKUUQYAYBJYBUVLYAWDUVLUVMWEYAUVNEYBPYAUVEUVDUVNEVCUVFVDEJWRWF
      WGYAUVOJYRRYAYBUVLUVMWIWGWHWJYAUUKYAYBEUUCUUEWKWLWMVFYAYRTIUULTIUUMUUPVKU
      UBYAUULYTTYAYBEUUCUUEWNZUUGWOYRUULWSVPWPUVPVFWQYAYIYRAJEYAEHJWTMYAXAXBXCY
      AYHYGIZUKZYIUVRYHUVQUUIYAYHYBULUOUBZVTYHYBJPXDXEZYAYKYNYOYAYKUUDVTZYAYNUU
      JVTZYAYOUUFVTXFXGYAYJYKYPYAYGYIAYAJYBUJUVSUMZUUDYAYNYOUUJUUFUIXHWPYAYBHIZ
      YCYLVCUUABYBJBUDZUCLZYIAUEZUWEQMZRLZYLHCUWEYBVCZUWGYJUWHYKRUWJUWFYGYIAUWE
      YBJUCXDXIZUWEYBQXJXKFYJYKRXLXMXNBEUWIYPHCUWEEVCZUWGYNUWHYORUWLUWFYMYIAUWE
      EJUCXDXIZUWEEQXJXKFYNYORXLXMXGYAYNYKRLZYJYBJKLZQMZRLZYEYFNYAUWNUWPKLZYJNO
      ZUWNUWQNOZYAYNUWPYKRLZKLYSUWRYJNYAUXAYRYNYAUWPYKYAUWOYAUWOYAUWDUWOHIUUAYB
      UAXNUFUGZUUDUIUUBUUJYAYBUSIUXAYRNOUUCYBXOXNWQYAYNYKUWPUWBUWAYAUWPUXBVTXPU
      VTXGYAUWNTIUWPTIYJTIUWSUWTVKYAYNYKUUJUUDUIUXBUWCUWNUWPYJXQXRVQBEUWGUWEJKL
      QMZRLZUWNHDUWLUWGYNUXCYKRUWMUWEEJQKXSXKGYNYKRXLXMYAUWDYFUWQVCUUABYBUXDUWQ
      HDUWJUWGYJUXCUWPRUWKUWEYBJQKXSXKGYJUWPRXLXMXNXGXT $.

    emcl.3 $e |- H = ( n e. NN |-> ( log ` ( 1 + ( 1 / n ) ) ) ) $.
    $( Lemma for ~ emcl .  The function ` H ` is the difference between ` F `
       and ` G ` .  (Contributed by Mario Carneiro, 11-Jul-2014.) $)
    emcllem3 $p |- ( N e. NN -> ( H ` N ) = ( ( F ` N ) - ( G ` N ) ) ) $=
      ( cn wcel c1 cdiv co caddc clog cfv cfz cmin recnd cv peano2nn nnrpd nnrp
      csu relogdivd nncn nnne0 divdird dividd oveq1d eqtr2d fveq2d fzfid elfznn
      1cnd adantl nnrecred fsumrecl relogcld nnncan1d 3eqtr4d wceq oveq2 oveq2d
      wa fvex fvmpt sumeq1d fveq2 oveq12d ovex fvoveq1 ) FJKZLLFMNZONZPQZLFRNZL
      AUAZMNZAUEZFPQZSNZWAFLONZPQZSNZSNZFEQFCQZFDQZSNVNWDFMNZPQWEWBSNVQWGVNWDFV
      NWDFUBUCZFUDZUFVNVPWJPVNWJFFMNZVOONVPVNFLFFUGZVNUPWNFUHZUIVNWMLVOOVNFWNWO
      UJUKULUMVNWAWBWEVNWAVNVRVTAVNLFUNVNVSVRKZVFVSWPVSJKVNVSFUOUQURUSTVNWBVNFW
      LUTTVNWEVNWDWKUTTVAVBBFLLBUAZMNZONZPQVQJEWQFVCZWSVPPWTWRVOLOWQFLMVDVEUMIV
      PPVGVHVNWHWCWIWFSBFLWQRNZVTAUEZWQPQZSNWCJCWTXBWAXCWBSWTXAVRVTAWQFLRVDVIZW
      QFPVJVKGWAWBSVLVHBFXBWQLONPQZSNWFJDWTXBWAXEWESXDWQFLPOVMVKHWAWESVLVHVKVB
      $.

    $( Lemma for ~ emcl .  The difference between series ` F ` and ` G ` tends
       to zero.  (Contributed by Mario Carneiro, 11-Jul-2014.) $)
    emcllem4 $p |- H ~~> 0 $=
      ( wbr wtru cn c1 cdiv co wcel clog cfv adantl crp clt cc0 cli cv cmpt cvv
      nnuz 1zzd cc ax-1cn divcnv mp1i caddc nnex mptex eqeltri wa cr wceq oveq2
      a1i eqid ovex fvmpt nnrecre eqeltrd oveq2d fvex 1rp nnrp rpreccld rpaddcl
      fveq2d sylancr rpred 1re ltaddrp rplogcld cle relogcld efgt1p syl rpefcld
      ce wb logltb syl2anc mpbid relogefd breqtrd ltled 3brtr4d rpge0d climsqz2
      mptru ) EUAUBIJUAABKLBUCZMNZUDZELUEKUFJUGLUHOWQUAUBIJUILBUJUKEUEOJEBKLWPU
      LNZPQZUDUEHBKWSUMUNUOUTJAUCZKOZUPZWTWQQZLWTMNZUQXAXCXDURJBWTWPXDKWQWOWTLM
      USZWQVALWTMVBVCRZXAXDUQOJWTVDRZVEXBWTEQZXBXHLXDULNZPQZSXAXHXJURJBWTWSXJKE
      WOWTURZWRXIPXKWPXDLULXEVFVLHXIPVGVCRZXBXIXBXIXBLSOXDSOZXISOZVHXBWTXAWTSOJ
      WTVIRVJZLXDVKVMZVNXBLUQOXMLXITIVOXOLXDVPVMVQVEZVNXBXJXDXHXCVRXBXJXDXBXIXP
      VSXGXBXJXDWCQZPQZXDTXBXIXRTIZXJXSTIZXBXMXTXOXDVTWAXBXNXRSOXTYAWDXPXBXDXGW
      BXIXRWEWFWGXBXDXGWHWIWJXLXFWKXBXHXQWLWMWN $.

    emcl.4 $e |- T = ( n e. NN |->
                       ( ( 1 / n ) - ( log ` ( 1 + ( 1 / n ) ) ) ) ) $.
    $( Lemma for ~ emcl .  The partial sums of the series ` T ` , which is used
       in Definition ~ df-em , is in fact the same as ` G ` .  (Contributed by
       Mario Carneiro, 11-Jul-2014.) $)
    emcllem5 $p |- G = seq 1 ( + , T ) $=
      ( cn c1 co cdiv caddc clog cfv cmin wcel recnd vx cv cfz csu cmpt cseq wa
      elfznn adantl nncnd 1cnd nnne0d divdird dividd oveq1d fveq2d peano2nn syl
      eqtrd nnrpd relogdivd eqtr3d sumeq2dv nnz nnuz eleqtrdi relogcld telfsum2
      fveq2 cuz cc0 log1 oveq2i subid1d syl5eq 3eqtrd oveq2d fzfid nnrecred crp
      1rp rpreccld rpaddcl sylancr fsumsub wceq oveq2 oveq12d fvmpt id resubcld
      ovex fsumser mpteq2ia wfn cz seqfn ax-mp fneq2i mpbir dffn5 mpbi 3eqtr4i
      1z ) CKLCUBZUCMZLBUBZNMZBUDZXELOMZPQZRMZUECKXEOALUFZQZUEZEXMCKXLXNXEKSZXI
      XFLXHOMZPQZBUDZRMZXLXNXPXSXKXIRXPXSXFXGLOMZPQZXGPQZRMZBUDXKLPQZRMZXKXPXFX
      RYDBXPXGXFSZUGZYAXGNMZPQXRYDYHYIXQPYHYIXGXGNMZXHOMXQYHXGLXGYHXGYGXGKSZXPX
      GXEUHUIZUJZYHUKYMYHXGYLULZUMYHYJLXHOYHXGYMYNUNUOUSUPYHYAXGYHYAYHYKYAKSYLX
      GUQURUTYHXGYLUTZVAVBVCXPUAUBZPQZYCYBYEBUAXKLXEYPXGPVIYPYAPVIYPLPVIYPXJPVI
      XEVDXPXJKLVJQZXEUQZVEVFXPYPLXJUCMSZUGZYQUUAYPUUAYPYTYPKSXPYPXJUHUIUTVGTVH
      XPYFXKVKRMXKYEVKXKRVLVMXPXKXPXKXPXJXPXJYSUTVGTVNVOVPVQXPXFXHXRRMZBUDXTXNX
      PXFXHXRBXPLXEVRYHXHYHXGYLVSZTYHXRYHXQYHLVTSXHVTSXQVTSWAYHXGYOWBLXHWCWDVGZ
      TWEXPUUBBALXEYHYKXGAQUUBWFYLCXGLXENMZLUUEOMZPQZRMUUBKAXEXGWFZUUEXHUUGXRRX
      EXGLNWGZUUHUUFXQPUUHUUEXHLOUUIVQUPWHJXHXRRWLWIURXPXEKYRXPWJVEVFYHUUBYHXHX
      RUUCUUDWKTWMVBVBWNHXMKWOZXMXOWFUUJXMYRWOZLWPSUUKXDOALWQWRKYRXMVEWSWTCKXMX
      AXBXC $.

    $( Lemma for ~ emcl .  By the previous lemmas, ` F ` and ` G ` must
       approach a common limit, which is ` gamma ` by definition.  (Contributed
       by Mario Carneiro, 11-Jul-2014.) $)
    emcllem6 $p |- ( F ~~> gamma /\ G ~~> gamma ) $=
      ( vk wbr wtru co c1 cn cfv wcel cr cle vx cem cli cc0 caddc cvv nnuz 1zzd
      cseq cdiv clog cmin csu wceq weq oveq2 oveq2d fveq2d oveq12d fvmpt adantl
      cv ovex nnrecre crp nnrp rpreccld rpaddcl sylancr relogcld resubcld recnd
      wa 1rp crn clt csup cdm emcllem5 emcllem1 simpri a1i emcllem2 simprd wral
      wf wrex 1nn simpli ffvelrni fvex emcllem3 eqtr3d readdcl ltaddrp rplogcld
      ax-mp eqeltrrd rpge0d subge0d mpbid fveq2 breq1d leidi simpld wi peano2nn
      1re syl syl3anc mpand nnind letrd ralrimiva brralrspcev climsup eqbrtrrid
      letr climrel releldmi isumclim2 df-em 3brtr4g cfz cmpt nnex mptex eqeltri
      emcllem4 eqeltrd pncan3d eqtr2d climadd cc climcl addid1i breqtrdi pm3.2i
      mptru ) DUBUCLZEUBUCLZYTMDUBUDUENUBUCMUBUDKEFDOUFPUGMUHZMUEAOUIZPOKVBZUJN
      ZOUUEUENZUKQZULNZKUMEUBUCMUUHKAOPUGUUBUUDPRZUUDAQUUHUNMCUUDOCVBZUJNZOUUKU
      ENZUKQZULNUUHPACKUOZUUKUUEUUMUUGULUUJUUDOUJUPZUUNUULUUFUKUUNUUKUUEOUEUUOU
      QURZUSJUUEUUGULVCUTVAMUUIVMZUUHUUQUUEUUGUUIUUESRZMUUDVDVAZUUQUUFUUQOVERUU
      EVERZUUFVERVNUUIUUTMUUIUUDUUDVFVGVAZOUUEVHVIVJVKVLMUUCEVOSVPVQZUCLUUCUCVR
      RMUUCEUVBUCABCDEFGHIJVSZMUAKEOPUGUUBPSEWFZMPSDWFZUVDBCDEGHVTZWAZWBUUIUUDE
      QZUUDOUENZEQTLZMUUIUVIDQZUUDDQZTLZUVJBCDEUUDGHWCZWDVAMODQZSRZUVHUVOTLZKPW
      EUVHUAVBZTLKPWEUASWGOPRUVPWHPSODUVEUVDUVFWIZWJWQZMUVQKPUUQUVHUVLUVOUUIUVH
      SRMPSUUDEUVGWJVAZUUIUVLSRZMPSUUDDUVSWJZVAZUVPUUQUVTWBUUQUDUVLUVHULNZTLUVH
      UVLTLUUQUWEUUQUUGUWEVEUUQUUDFQZUUGUWEUUIUWFUUGUNMCUUDUUMUUGPFUUPIUUFUKWKU
      TVAUUIUWFUWEUNMBCDEFUUDGHIWLVAZWMUUQUUFUUQOSRZUURUUFSRXHUUSOUUEWNVIUUQUWH
      UUTOUUFVPLXHUVAOUUEWOVIWPWRWSUUQUVLUVHUWDUWAWTXAUUIUVLUVOTLZMUVRDQZUVOTLU
      VOUVOTLUWIUVKUVOTLZUWIUAKUUDUVROUNUWJUVOUVOTUVRODXBXCUAKUOUWJUVLUVOTUVRUU
      DDXBXCZUVRUVIUNUWJUVKUVOTUVRUVIDXBXCUWLUVOUVTXDUUIUVMUWIUWKUUIUVMUVJUVNXE
      UUIUVKSRZUWBUVPUVMUWIVMUWKXFUUIUVIPRUWMUUDXGPSUVIDUVSWJXIUWCUVPUUIUVTWBUV
      KUVLUVOXRXJXKXLVAXMXNUAKUVHUVOTSPXOVIXPXQUUCUVBUCXSXTXIYAUVCKYBYCZDUFRMDC
      POUUJYDNOBVBUJNBUMUUJUKQULNZYEUFGCPUWOYFYGYHWBFUDUCLMBCDEFGHIYIWBUUQUVHUW
      AVLZUUQUWFUUQUWFUWESUWGUUQUVLUVHUWDUWAVKYJVLUUQUVHUWFUENUVHUWEUENUVLUUQUW
      FUWEUVHUEUWGUQUUQUVHUVLUWPUUQUVLUWDVLYKYLYMUBUUAUBYNRUUAUWNYSZUBEYOWQYPYQ
      YSUWQYR $.

    $( Lemma for ~ emcl and ~ harmonicbnd .  Derive bounds on ` gamma ` as
       ` F ( 1 ) ` and ` G ( 1 ) ` .  (Contributed by Mario Carneiro,
       11-Jul-2014.)  (Revised by Mario Carneiro, 9-Apr-2016.) $)
    emcllem7 $p |- ( gamma e. ( ( 1 - ( log ` 2 ) ) [,] 1 ) /\
                     F : NN --> ( gamma [,] 1 ) /\
                     G : NN --> ( ( 1 - ( log ` 2 ) ) [,] gamma ) ) $=
      ( cem c1 cfv co wcel cn wtru cr cle wbr vk vi vx c2 clog cmin cicc wf w3a
      nnuz 1zzd cli emcllem6 simpri a1i cv emcllem1 ffvelrni adantl climrecl wa
      wral 1nn simpr caddc emcllem2 simprd climub ralrimiva wceq fveq2 cfz cdiv
      csu oveq2 sumeq1d cz cc 1z ax-1cn 1div1e1 eqtrdi fsum1 mp2an df-2 eqtr4di
      oveq1 fveq2d oveq12d 1re crp 2rp ax-mp resubcli elexi fvmpt breq1d rspcva
      relogcl sylancr cneg cc0 cmpt negeqd eqid negex cvv 0cnd nnex mptex recnd
      simpli df-neg climsubc2 adantr renegcld eqeltrd adantlr simpld syl lenegd
      peano2nn mpbid 3brtr4d eqbrtrrd breqtrrdi mptru leneg mpbird log1 elicc2i
      wb 1m0e1 syl3anbrc wfn ffn mp1i elfznn ffnfv sylanbrc breq2d cuz eleqtrdi
      monoord2 breqtrdi monoord eqbrtrrid 3jca ) KLUDUEMZUFNZLUGNOZPKLUGNZDUHZP
      UUJKUGNZEUHZUIQUUKUUMUUOQKROZUUJKSTZKLSTZUUKQKUAELPUJQUKZEKULTZQDKULTZUUT
      ABCDEFGHIJUMZUNZUOUAUPZPOZUVDEMZROZQPRUVDEPRDUHZPREUHZBCDEGHUQZUNZURZUSUT
      ZQLPOZUBUPZEMZKSTZUBPVBUUQVCQUVQUBPQUVOPOZVAZKUAELUVOPUJQUVRVDZUUTUVSUVCU
      OUVEUVGUVSUVLUSUVEUVFUVDLVENZEMSTZUVSUVEUWADMZUVDDMZSTZUWBBCDEUVDGHVFZVGZ
      USVHZVIUVQUUQUBLPUVOLVJZUVPUUJKSUWIUVPLEMZUUJUVOLEVKUVNUWJUUJVJVCCLLCUPZV
      LNZLBUPZVMNZBVNZUWKLVENZUEMZUFNUUJPEUWKLVJZUWOLUWQUUIUFUWRUWOLLVLNZUWNBVN
      ZLUWRUWLUWSUWNBUWKLLVLVOVPLVQOLVROUWTLVJVSVTUWNLBLUWMLVJUWNLLVMNLUWMLLVMV
      OWAWBWCWDWBZUWRUWPUDUEUWRUWPLLVENUDUWKLLVEWGWEWFWHWIHUUJRLUUIWJUDWKOUUIRO
      WLUDWSWMWNZWOWPWMZWBWQWRWTQUVNKUVODMZSTZUBPVBUURVCQUXEUBPUVSUXEUXDXAZKXAZ
      STZUVSUXFXBKUFNZUXGSUVSUVOUCPUCUPZDMZXAZXCZMZUXFUXISUVRUXNUXFVJQUCUVOUXLU
      XFPUXMUXJUVOVJUXKUXDUXJUVODVKXDUXMXEZUXDXFWPUSUVSUXIUAUXMLUVOPUJUVTQUXMUX
      IULTUVRQKXBUADUXMLXGPUJUUSUVAQUVAUUTUVBXLUOQXHUXMXGOQUCPUXLXIXJUOQUVEVAZU
      WDUVEUWDROZQPRUVDDUVHUVIUVJXLZURZUSZXKUXPUVDUXMMZUWDXAZXBUWDUFNUVEUYAUYBV
      JQUCUVDUXLUYBPUXMUXJUVDVJUXKUWDUXJUVDDVKXDUXOUWDXFWPUSZUWDXMWBXNXOQUVEUYA
      ROUVRUXPUYAUYBRUYCUXPUWDUXTXPXQXRQUVEUYAUWAUXMMZSTUVRUXPUYBUWCXAZUYAUYDSU
      XPUWEUYBUYESTUVEUWEQUVEUWEUWBUWFXSZUSUXPUWCUWDUXPUWAPOZUWCROUVEUYGQUVDYBU
      SZPRUWADUXRURXTUXTYAYCUYCUXPUYGUYDUYEVJUYHUCUWAUXLUYEPUXMUXJUWAVJUXKUWCUX
      JUWADVKXDUXOUWCXFWPXTYDXRVHYEKXMYFUVSUUPUXDROZUXEUXHYLUUPUVMYGZUVRUYIQPRU
      VODUXRURUSZKUXDYHWTYIZVIUXEUURUBLPUWIUXDLKSUWIUXDLDMZLUVOLDVKUVNUYMLVJVCC
      LUWOUWKUEMZUFNZLPDUWRUYOLXBUFNLUWRUWOLUYNXBUFUXAUWRUYNLUEMXBUWKLUEVKYJWBW
      IYMWBGLRWJWOWPWMZWBUUAWRWTUUJLKUXBWJYKYNQDPYOZUXDUULOZUBPVBUUMUVHUYQQUXRP
      RDYPYQQUYRUBPUVSUYIUXEUXDLSTUYRUYKUYLUVSUXDUYMLSUVSUADLUVOUVSUVOPLUUBMUVT
      UJUUCZUVSUVDLUVOVLNOZVAZUVEUXQUYTUVEUVSUVDUVOYRUSZUXSXTUVSUVDLUVOLUFNZVLN
      OZVAZUVEUWEVUDUVEUVSUVDVUCYRUSZUYFXTUUDUYPUUEKLUXDUYJWJYKYNVIUBPUULDYSYTQ
      EPYOZUVPUUNOZUBPVBUUOUVIVUGQUVKPREYPYQQVUHUBPUVSUVPROZUUJUVPSTUVQVUHUVRVU
      IQPRUVOEUVKURUSUVSUUJUWJUVPSUXCUVSUAELUVOUYSVUAUVEUVGVUBUVLXTVUEUVEUWBVUF
      UWGXTUUFUUGUWHUUJKUVPUXBUYJYKYNVIUBPUUNEYSYTUUHYG $.
  $}

  ${
    $d k m n N $.
    $( Closure and bounds for the Euler-Mascheroni constant.  (Contributed by
       Mario Carneiro, 11-Jul-2014.) $)
    emcl $p |- gamma e. ( ( 1 - ( log ` 2 ) ) [,] 1 ) $=
      ( vn vm vk cem c1 c2 clog cfv cmin co cicc wcel cn cv cfz cdiv cmpt caddc
      wf eqid csu weq oveq2 oveq2d fveq2d oveq12d cbvmptv emcllem7 simp1i ) DEF
      GHIJZEKJLMDEKJAMEANZOJEBNPJBUAZUKGHIJQZSMUJDKJAMULUKERJGHIJQZSCMECNZPJZEU
      PRJZGHZIJZQBAUMUNAMEEUKPJZRJZGHZQZUMTUNTVCTCAMUSUTVBIJCAUBZUPUTURVBIUOUKE
      PUCZVDUQVAGVDUPUTERVEUDUEUFUGUHUI $.

    $( A bound on the harmonic series, as compared to the natural logarithm.
       (Contributed by Mario Carneiro, 9-Apr-2016.) $)
    harmonicbnd $p |- ( N e. NN ->
      ( sum_ m e. ( 1 ... N ) ( 1 / m ) - ( log ` N ) ) e. ( gamma [,] 1 ) ) $=
      ( vn vk c1 cv cfz co cdiv csu clog cfv cmin cem cicc wcel cmpt caddc eqid
      cn wceq oveq2 sumeq1d fveq2 oveq12d eleq1d wral wf oveq2d fveq2d emcllem7
      c2 cbvmptv simp2i fmpt mpbir vtoclri ) ECFZGHZEAFIHZAJZURKLZMHZNEOHZPZEBG
      HZUTAJZBKLZMHZVDPCBTURBUAZVCVIVDVJVAVGVBVHMVJUSVFUTAURBEGUBUCURBKUDUEUFVE
      CTUGTVDCTVCQZUHZNEULKLMHZEOHPVLTVMNOHCTVAURERHKLMHQZUHDTEDFZIHZEVPRHZKLZM
      HZQACVKVNCTEEURIHZRHZKLZQZVKSZVNSWCSDCTVSVTWBMHVOURUAZVPVTVRWBMVOUREIUBZW
      EVQWAKWEVPVTERWFUIUJUEUMUKUNCTVDVCVKWDUOUPUQ $.

    $( A bound on the harmonic series, as compared to the natural logarithm.
       (Contributed by Mario Carneiro, 13-Apr-2016.) $)
    harmonicbnd2 $p |- ( N e. NN -> ( sum_ m e. ( 1 ... N ) ( 1 / m ) -
      ( log ` ( N + 1 ) ) ) e. ( ( 1 - ( log ` 2 ) ) [,] gamma ) ) $=
      ( vn vk c1 cv cfz co cdiv csu caddc clog cfv cmin cem cicc wcel cmpt eqid
      cn c2 wceq oveq2 sumeq1d fvoveq1 oveq12d eleq1d wf oveq2d fveq2d emcllem7
      wral cbvmptv simp3i fmpt mpbir vtoclri ) ECFZGHZEAFIHZAJZUREKHLMZNHZEUALM
      NHZOPHZQZEBGHZUTAJZBEKHLMZNHZVEQCBTURBUBZVCVJVEVKVAVHVBVINVKUSVGUTAURBEGU
      CUDURBELKUEUFUGVFCTULTVECTVCRZUHZOVDEPHQTOEPHCTVAURLMNHRZUHVMDTEDFZIHZEVP
      KHZLMZNHZRACVNVLCTEEURIHZKHZLMZRZVNSVLSZWCSDCTVSVTWBNHVOURUBZVPVTVRWBNVOU
      REIUCZWEVQWALWEVPVTEKWFUIUJUFUMUKUNCTVEVCVLWDUOUPUQ $.
  $}

  $( The Euler-Mascheroni constant is a real number.  (Contributed by Mario
     Carneiro, 11-Jul-2014.) $)
  emre $p |- gamma e. RR $=
    ( c1 c2 clog cfv cmin co cicc cr cem wss 1re crp 2rp relogcl ax-mp resubcli
    wcel iccssre mp2an emcl sselii ) ABCDZEFZAGFZHIUCHQAHQUDHJAUBKBLQUBHQMBNOPK
    UCARSTUA $.

  $( The Euler-Mascheroni constant is positive.  (Contributed by Mario
     Carneiro, 11-Jul-2014.) $)
  emgt0 $p |- 0 < gamma $=
    ( cc0 c1 c2 clog cfv cmin co clt wbr cem cle log2le1 crp wcel relogcl ax-mp
    cr 2rp 1re posdifi mpbi cicc emcl resubcli elicc2i simp2bi 0re emre ltletri
    mp2an ) ABCDEZFGZHIZULJKIZAJHIUKBHIUMLUKBCMNUKQNRCOPZSTUAJULBUBGNZUNUCUPJQN
    UNJBKIULBJBUKSUOUDZSUEUFPAULJUGUQUHUIUJ $.

  ${
    $d m A $.  $d m N $.
    $( A bound on the harmonic series, as compared to the natural logarithm.
       (Contributed by Mario Carneiro, 13-Apr-2016.) $)
    harmonicbnd3 $p |- ( N e. NN0 -> ( sum_ m e. ( 1 ... N ) ( 1 / m ) -
      ( log ` ( N + 1 ) ) ) e. ( 0 [,] gamma ) ) $=
      ( wcel cc0 c1 cfz co clog cfv cmin cem c2 cr cle wbr 0re emre ceu eqtrdi
      c0 cn0 cn wceq wo cv cdiv csu caddc cicc elnn0 wss 2re ere clt c3 egt2lt3
      simpli ltleii crp wb 2rp epr logleb mp2an mpbi loge breqtri relogcl ax-mp
      1re subge0i mpbir leidi iccss mp4an harmonicbnd2 sselid fz10 sumeq1d sum0
      oveq2 fv0p1e1 log1 oveq12d 0m0e0 emgt0 elicc2i mpbir3an eqeltrdi sylbi
      jaoi ) BUACBUBCZBDUCZUDEBFGZEAUEUFGZAUGZBEUHGHIZJGZDKUIGZCZBUJWLWTWMWLELH
      IZJGZKUIGZWSWRDMCZKMCDXBNOZKKNOXCWSUKPQXEXAENOXARHIZENLRNOZXAXFNOZLRULUML
      RUNORUOUNOUPUQURLUSCZRUSCXGXHUTVAVBLRVCVDVEVFVGEXAVJXIXAMCVALVHVIVKVLKQVM
      DKXBKVNVOABVPVQWMWRDWSWMWRDDJGDWMWPDWQDJWMWPTWOAUGDWMWNTWOAWMWNEDFGTBDEFW
      AVRSVSWOAVTSWMWQEHIDHBWBWCSWDWESDWSCXDDDNODKNOPDPVMDKPQWFURDKDPQWGWHWIWKW
      J $.

    $( A bound on the harmonic series, as compared to the natural logarithm.
       (Contributed by Mario Carneiro, 13-Apr-2016.) $)
    harmoniclbnd $p |- ( A e. RR+ ->
      ( log ` A ) <_ sum_ m e. ( 1 ... ( |_ ` A ) ) ( 1 / m ) ) $=
      ( crp wcel cfv cfl c1 caddc co relogcl cr cn cc0 cle wbr wa syl mpbid cem
      clog cfz cv cdiv csu rprege0 flge0nn0 nn0p1nn nnrpd fzfid elfznn nnrecred
      cn0 adantl fsumrecl rpre fllep1 id logled cmin cicc harmonicbnd3 0re emre
      elicc2i simp2bi subge0d letrd ) ACDZATEZAFEZGHIZTEZGVJUAIZGBUBZUCIZBUDZAJ
      VHVKCDVLKDVHVKVHVJULDZVKLDVHAKDZMANOPVQAUEAUFQZVJUGQUHZVKJQZVHVMVOBVHGVJU
      IVHVNVMDZPVNWBVNLDVHVNVJUJUMUKUNZVHAVKNOZVIVLNOVHVRWDAUOAUPQVHAVKVHUQVTUR
      RVHMVPVLUSIZNOZVLVPNOVHWEMSUTIDZWFVHVQWGVSBVJVAQWGWEKDWFWESNOMSWEVBVCVDVE
      QVHVPVLWCWAVFRVG $.

    $( A bound on the harmonic series, as compared to the natural logarithm.
       (Contributed by Mario Carneiro, 13-Apr-2016.) $)
    harmonicubnd $p |- ( ( A e. RR /\ 1 <_ A ) ->
      sum_ m e. ( 1 ... ( |_ ` A ) ) ( 1 / m ) <_ ( ( log ` A ) + 1 ) ) $=
      ( cr wcel c1 cle wbr wa cfv co caddc cn relogcld peano2re syl cc0 1re a1i
      clog cem cfl cfz cv cdiv csu fzfid elfznn nnrecred fsumrecl flge1nn nnrpd
      adantl simpl 0red clt 0lt1 simpr ltletrd elrpd cmin cicc harmonicbnd emre
      elicc2i simp3bi lesubadd2d mpbid flle adantr logled leadd1dd letrd ) ACDZ
      EAFGZHZEAUAIZUBJZEBUCZUDJZBUEZVPSIZEKJZASIZEKJZVOVQVSBVOEVPUFVOVRVQDZHVRW
      EVRLDVOVRVPUGULUHUIZVOWACDWBCDVOVPVOVPAUJZUKZMZWANOVOWCCDWDCDVOAVOAVMVNUM
      ZVOPEAVOUNECDVOQRZWJPEUOGVOUPRVMVNUQURUSZMZWCNOVOVTWAUTJZEFGZVTWBFGVOWNTE
      VAJDZWOVOVPLDWPWGBVPVBOWPWNCDTWNFGWOTEWNVCQVDVEOVOVTWAEWFWIWKVFVGVOWAWCEW
      IWMWKVOVPAFGZWAWCFGVMWQVNAVHVIVOVPAWHWLVJVGVKVL $.

    $( The asymptotic behavior of
       ` sum_ m <_ A , 1 / m = log A + gamma + O ( 1 / A ) ` .  (Contributed by
       Mario Carneiro, 14-May-2016.) $)
    harmonicbnd4 $p |- ( A e. RR+ -> ( abs `
      ( sum_ m e. ( 1 ... ( |_ ` A ) ) ( 1 / m ) -
        ( ( log ` A ) + gamma ) ) ) <_ ( 1 / A ) ) $=
      ( crp wcel c1 cfv cfz co cdiv cem caddc cle wa recnd cr wbr cc0 syl mpbid
      cmin cfl csu clog cabs fzfid elfznn adantl nnrecred fsumrecl relogcl emre
      cv a1i subsub4d fveq2d rpreccl rpred resubcl sylancr cn0 rprege0 flge0nn0
      cn nn0p1nn nnrpd resubcld cicc harmonicbnd 1re elicc2i simp2bi fllep1 clt
      rpre rpregt0 nnred nngt0d lerec syl12anc le2subd sub32d cuz nnuz eleqtrdi
      wb oveq2 fsumm1 cc wceq nn0cnd ax-1cn pncan sylancl oveq2d sumeq1d oveq1d
      eqtrd mvrraddd breqtrd logleb mpdan lesub2dd readdcld relogdivd rerpdivcl
      letrd id mpancom reefcld wne rpcnne0 divdir syl3anc reflcl cmul flle rpcn
      ce mulid1d breqtrrd ledivmul mpbird leadd1dd eqbrtrd efgt1p ltled rpdivcl
      rpefcld relogefd eqbrtrrd lesubadd2d harmonicbnd3 0re lesubaddd absdifled
      logled simp3bi mpbir2and ) ACDZEAUAFZGHZEBULZIHZBUBZAUCFZTHZJTHZUDFZUUDUU
      EJKHTHZUDFEAIHZLYSUUGUUIUDYSUUDUUEJYSUUDYSUUAUUCBYSEYTUEYSUUBUUADZMUUBUUK
      UUBVCDZYSUUBYTUFUGUHUIZNZYSUUEAUJZNZYSJJODZYSUKUMZNUNUOYSUUHUUJLPJUUJTHZU
      UFLPUUFJUUJKHLPZYSUUSUUDYTEKHZUCFZTHZUUFYSUUQUUJODUUSODUKYSUUJAUPZUQZJUUJ
      URUSYSUUDUVBUUMYSUVACDZUVBODYSUVAYSYTUTDZUVAVCDZYSAODZQALPMUVGAVAAVBRZYTV
      DRZVEZUVAUJRZVFZYSUUDUUEUUMUUOVFZYSUUSEUVAGHZUUCBUBZUVBTHZEUVAIHZTHZUVCLY
      SJUVSUVRUUJUURYSUVAUVKUHZYSUVQUVBYSUVPUUCBYSEUVAUEYSUUBUVPDZMZUUBUWBUULYS
      UUBUVAUFUGUHZUIZUVMVFUVEYSUVRJEVGHDZJUVRLPZYSUVHUWFUVKBUVAVHRUWFUVRODUWGU
      VRELPJEUVRUKVIVJVKRYSAUVALPZUVSUUJLPZYSUVIUWHAVNZAVLRZYSUVIQAVMPMZUVAODZQ
      UVAVMPUWHUWIWEAVOZYSUVAUVKVPZYSUVAUVKVQAUVAVRVSSVTYSUVTUVQUVSTHZUVBTHUVCY
      SUVQUVBUVSYSUVQUWENYSUVBUVMNYSUVSUWANZWAYSUWPUUDUVBTYSUVQUUDUVSUUNUWQYSUV
      QEUVAETHZGHZUUCBUBZUVSKHUUDUVSKHYSUUCUVSBEUVAYSUVAVCEWBFUVKWCWDUWCUUCUWDN
      UUBUVAEIWFWGYSUWTUUDUVSKYSUWSUUAUUCBYSUWRYTEGYSYTWHDZEWHDZUWRYTWIYSYTUVJW
      JZWKYTEWLWMWNWOWPWQWRWPWQWSYSUUEUVBUUDUUOUVMUUMYSUWHUUEUVBLPZUWKYSUVFUWHU
      XDWEUVLAUVAWTXASXBXFYSUUFUUJTHZJLPUUTYSUXEUVCJYSUUFUUJUVOUVEVFUVNUURYSUXE
      UUDUUEUUJKHZTHUVCLYSUUDUUEUUJUUNUUPYSUUJUVENUNYSUVBUXFUUDUVMYSUUEUUJUUOUV
      EXCUUMYSUVBUUETHZUUJLPUVBUXFLPYSUVAAIHZUCFZUXGUUJLYSUVAAUVLYSXGXDYSUXIUUJ
      XRFZUCFZUUJLYSUXHUXJLPUXIUXKLPYSUXHEUUJKHZUXJUWMYSUXHODUWOUVAAXEXHYSEUUJE
      ODZYSVIUMZUVEXCZYSUUJUVEXIZYSUXHYTAIHZUUJKHZUXLLYSUXAUXBAWHDAQXJMUXHUXRWI
      UXCUXBYSWKUMAXKYTEAXLXMYSUXQEUUJYTODZYSUXQODYSUVIUXSUWJAXNRZYTAXEXHUXNUVE
      YSUXQELPZYTAEXOHZLPZYSYTAUYBLYSUVIYTALPUWJAXPRYSAAXQXSXTYSUXSUXMUWLUYAUYC
      WEUXTUXNUWNYTEAYAXMYBYCYDYSUXLUXJUXOUXPYSUUJCDUXLUXJVMPUVDUUJYERYFXFYSUXH
      UXJUVFYSUXHCDUVLUVAAYGXHYSUUJUVEYHYPSYSUUJUVEYIWSYJYSUVBUUEUUJUVMUUOUVEYK
      SXBYDYSUVCQJVGHDZUVCJLPZYSUVGUYDUVJBYTYLRUYDUVCODQUVCLPUYEQJUVCYMUKVJYQRX
      FYSUUFUUJJUVOUVEUURYNSYSUUFJUUJUVOUURUVEYOYRYJ $.
  $}

  ${
    $d n A $.  $d n ph $.  $d n R $.  $d n T $.
    fsumharmonic.a $e |- ( ph -> A e. RR+ ) $.
    fsumharmonic.t $e |- ( ph -> ( T e. RR /\ 1 <_ T ) ) $.
    fsumharmonic.r $e |- ( ph -> ( R e. RR /\ 0 <_ R ) ) $.
    fsumharmonic.b $e |- ( ( ph /\ n e. ( 1 ... ( |_ ` A ) ) ) -> B e. CC ) $.
    fsumharmonic.c $e |- ( ( ph /\ n e. ( 1 ... ( |_ ` A ) ) ) -> C e. RR ) $.
    fsumharmonic.0 $e |- ( ( ph /\ n e. ( 1 ... ( |_ ` A ) ) ) -> 0 <_ C ) $.
    fsumharmonic.1 $e |- ( ( ( ph /\ n e. ( 1 ... ( |_ ` A ) ) ) /\
      T <_ ( A / n ) ) -> ( abs ` B ) <_ ( C x. n ) ) $.
    fsumharmonic.2 $e |- ( ( ( ph /\
     n e. ( 1 ... ( |_ ` A ) ) ) /\ ( A / n ) < T ) -> ( abs ` B ) <_ R ) $.
    $( Bound a finite sum based on the harmonic series, where the "strong"
       bound ` C ` only applies asymptotically, and there is a "weak" bound
       ` R ` for the remaining values.  (Contributed by Mario Carneiro,
       18-May-2016.) $)
    fsumharmonic $p |- ( ph ->
     ( abs ` sum_ n e. ( 1 ... ( |_ ` A ) ) ( B / n ) ) <_
       ( sum_ n e. ( 1 ... ( |_ ` A ) ) C + ( R x. ( ( log ` T ) + 1 ) ) ) ) $=
      ( c1 co wcel cle wbr cfl cfv cfz cv cdiv cabs clog caddc cmul fzfid wa cn
      csu elfznn adantl nncnd nnne0d divcld fsumcl abscld nndivred fsumrecl cc0
      cr simpld 0red 1red clt 0lt1 a1i ltletrd elrpd relogcld readdcld remulcld
      simprd fsumabs absdivd wceq nnrpd rprege0d absid syl oveq2d eqtrd breqtrd
      sumeq2dv cin c0 cn0 rpdivcld flge0nn0 nn0red ltp1d fzdisj cuz cun nn0p1nn
      eleqtrdi rpred wb jca rpregt0d lediv2 syl211anc mpbid recnd div1d flword2
      nnuz syl3anc syl2anc fsumsplit ssun1 sseqtrrid sselda syldan ssun2 fznnfl
      fzsplit2 simplbda adantr lemuldiv2 lemuldivd bitr3d mpd ledivmul2d mpbird
      wi ex cc fsumle fsumless letrd nnrecred crp wn cmin rpge0d sylancl eleq2d
      divrecd eqeltrrd noel elin bitr3id mtbiri imnan sylibr con2d baibd syl2an
      bitrd mtbid ltnled lediv1dd fsummulc2 breqtrrd mvrladdd resubcld rpreccld
      imp adantlr simpr 0p1e1 breqtrrdi flbi mpbir2and fz10 eqtrdi 0ss eqsstrdi
      cz 0z suble0d logge0d 0le1 addge0d harmonicubnd sylan harmoniclbnd le2sub
      peano2re syl22anc mp2and pnncand relogdivd ax-1cn addcom 3eqtr4d eqbrtrrd
      ltlecasei lemul2a syl31anc le2addd eqbrtrd ) APBUAUBZUCQZCGUDZUEQZGUMZUFU
      BZUWRCUFUBZUWSUEQZGUMZUWRDGUMZEFUGUBZPUHQZUIQZUHQZAUXAAUWRUWTGAPUWQUJZAUW
      SUWRRZUKZCUWSKUXMUWSUXLUWSULRZAUWSUWQUNZUOZUPZUXMUWSUXPUQZURZUSUTAUWRUXDG
      UXKUXMUXCUWSUXMCKUTZUXPVAZVBAUXFUXIAUWRDGUXKLVBZAEUXHAEVDRZVCESTZJVEZAUXG
      PAFAFAFVDRZPFSTZIVEZAVCPFAVFAVGZUYHVCPVHTZAVIVJZAUYFUYGIVPZVKZVLZVMZUYIVN
      ZVOZVNAUXBUWRUWTUFUBZGUMUXESAUWRUWTGUXKUXSVQAUWRUYRUXDGUXMUYRUXCUWSUFUBZU
      EQUXDUXMCUWSKUXQUXRVRUXMUYSUWSUXCUEUXMUWSVDRZVCUWSSTUKUYSUWSVSUXMUWSUXMUW
      SUXPVTZWAUWSWBWCWDWEWGWFAUXEPBFUEQZUAUBZUCQZUXDGUMZVUCPUHQZUWQUCQZUXDGUMZ
      UHQUXJSAVUDVUGUXDUWRGAVUCVUFVHTVUDVUGWHZWIVSAVUCAVUCAVUBVDRZVCVUBSTUKVUCW
      JRZAVUBABFHUYNWKZWAVUBWLWCZWMWNPVUCVUFUWQWOWCZAVUFPWPUBZRUWQVUCWPUBRZUWRV
      UDVUGWQZVSAVUFULVUOAVUKVUFULRVUMVUCWRWCXJWSAVUJBVDRZVUBBSTVUPAVUBVULWTZAB
      HWTZAVUBBPUEQZBSAUYGVUBVVASTZUYLAPVDRUYJUYFVCFVHTZUKZVURVCBVHTUKUYGVVBXAU
      YIUYKAUYFVVCUYHUYMXBZABHXCPFBXDXEXFABABVUTXGXHWFVUBBXIXKVUCPUWQXTXLZUXKUX
      MUXDUYAXGXMAVUEVUHUXFUXIAVUDUXDGAPVUCUJZAUWSVUDRZUXLUXDVDRZAVUDUWRUWSAVUQ
      VUDUWRVUDVUGXNVVFXOZXPZUYAXQZVBZAVUGUXDGAVUFUWQUJZAUWSVUGRZUXLVVIAVUGUWRU
      WSAVUQVUGUWRVUGVUDXRVVFXOXPZUYAXQZVBZUYBUYQAVUEVUDDGUMUXFVVMAVUDDGVVGAVVH
      UXLDVDRVVKLXQZVBUYBAVUDUXDDGVVGVVLVVSAVVHUKZUXDDSTUXCDUWSUIQSTZVVTFBUWSUE
      QZSTZVWAVVTUWSVUBSTZVWCAVVHUXNVWDAVUJVVHUXNVWDUKXAVUSUWSVUBXSZWCYAAVVHUXL
      VWDVWCXAVVKUXMFUWSUIQBSTZVWDVWCUXMUYTVURVVDVWFVWDXAUXMUWSVUAWTAVURUXLVUTY
      BZAVVDUXLVVEYBUWSBFYCXKUXMFBUWSAUYFUXLUYHYBVWGVUAYDYEZXQXFAVVHUXLVWCVWAYI
      VVKUXMVWCVWANYJXQYFVVTUXCDUWSVVTCAVVHUXLCYKRVVKKXQUTVVSVVTUWSVVTUXLUXNVVK
      UXOWCZVTZYGYHYLAUWRDVUDGUXKLMVVJYMYNAVUHEVUGPUWSUEQZGUMZUIQZUXIVVRAEVWLUY
      EAVUGVWKGVVNAVVOUKZUWSVWNUXLUXNVVPUXOWCZYOZVBZVOUYQAVUHVUGEVWKUIQZGUMVWMS
      AVUGUXDVWRGVVNVVQVWNEUWSUEQZVWRVDVWNEUWSVWNEAUYCVVOUYEYBZXGVWNUWSVWOUPVWN
      UWSVWOUQUUBZVWNEUWSVWTVWOVAUUCVWNUXDVWSVWRSVWNUXCEUWSAVVOUXLUXCVDRVVPUXTX
      QVWTAVVOUXLUWSYPRZVVPVUAXQVWNVWBFVHTZUXCESTZVWNVXCVWCYQVWNVVHVWCAVVOVVHYQ
      AVVHVVOAVVHVVOUKZYQVVHVVOYQYIAVXEUWSWIRZUWSUUDVXEUWSVUIRAVXFUWSVUDVUGUUEA
      VUIWIUWSVUNUUAUUFUUGVVHVVOUUHUUIUUJUVBAVVOUXLVVHVWCXAVVPUXMVVHVWDVWCAVUJU
      XNVVHVWDXAUXLVUSUXOVUJVVHUXNVWDVWEUUKUULVWHUUMXQUUNVWNVWBFVWNBUWSAVURVVOV
      UTYBVWOVAAUYFVVOUYHYBUUOYHAVVOUXLVXCVXDYIVVPUXMVXCVXDOYJXQYFUUPVXAWFYLAVU
      GVWKEGVVNAEUYEXGVWNVWKVWPXGUUQUURAVWLVDRUXHVDRZUYCUYDUKVWLUXHSTVWMUXISTVW
      QUYPJAUWRVWKGUMZVUDVWKGUMZYRQZVWLUXHSAVXHVXIVWLAVXIAVUDVWKGVVGVVTUWSVWIYO
      VBZXGAVWLVWQXGAVUDVUGVWKUWRGVUNVVFUXKUXMVWKUXMUWSUXPYOZXGXMUUSAVXJUXHSTBP
      ABPVHTZUKZVXJVCUXHVXNVXHVXIAVXHVDRZVXMAUWRVWKGUXKVXLVBZYBZAVXIVDRZVXMVXKY
      BZUUTVXNVFAVXGVXMUYPYBVXNVXJVCSTVXHVXISTVXNVUDVWKUWRGVXNPVUCUJVXNVVHUKZVW
      KVXTUWSAVVHVXBVXMVWJUVCUVAZWTVXTVWKVYAYSVXNUWRWIVUDVXNUWRPVCUCQWIVXNUWQVC
      PUCVXNUWQVCVSZVCBSTZBVCPUHQZVHTZVXNBABYPRVXMHYBYSVXNBPVYDVHAVXMUVDUVEUVFV
      XNVURVCUVMRVYBVYCVYEUKXAAVURVXMVUTYBUVNBVCUVGYTUVHWDUVIUVJVUDUVKUVLYMVXNV
      XHVXIVXQVXSUVOYHAVCUXHSTVXMAUXGPUYOUYIAFUYHUYLUVPVCPSTAUVQVJUVRYBYNAPBSTZ
      UKZVXJBUGUBZPUHQZVUBUGUBZYRQZUXHSVYGVXHVYISTZVYJVXISTZVXJVYKSTZAVURVYFVYL
      VUTBGUVSUVTAVYMVYFAVUBYPRVYMVULVUBGUWAWCYBAVYLVYMUKVYNYIZVYFAVXOVXRVYIVDR
      ZVYJVDRVYOVXPVXKAVYHVDRVYPABHVMZVYHUWCWCAVUBVULVMVXHVXIVYIVYJUWBUWDYBUWEA
      VYKUXHVSVYFAVYIVYHUXGYRQZYRQPUXGUHQZVYKUXHAVYHPUXGAVYHVYQXGAPUYIXGAUXGUYO
      XGZUWFAVYJVYRVYIYRABFHUYNUWGWDAUXGYKRPYKRUXHVYSVSVYTUWHUXGPUWIYTUWJYBWFVU
      TUYIUWLUWKVWLUXHEUWMUWNYNUWOUWPYN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Zeta function
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c zeta $. $( Riemann zeta function $)

  $( The Riemann zeta function. $)
  czeta $a class zeta $.

  ${
    $d f k n s $.
    $( Define the Riemann zeta function.  This definition uses a series
       expansion of the alternating zeta function ~~? zetaalt that is
       convergent everywhere except ` 1 ` , but going from the alternating zeta
       function to the regular zeta function requires dividing by
       ` 1 - 2 ^ ( 1 - s ) ` , which has zeroes other than ` 1 ` .  To extract
       the correct value of the zeta function at these points, we extend the
       divided alternating zeta function by continuity.  (Contributed by Mario
       Carneiro, 18-Jul-2014.) $)
    df-zeta $a |- zeta = ( iota_ f e. ( ( CC \ { 1 } ) -cn-> CC )
      A. s e. ( CC \ { 1 } ) ( ( 1 - ( 2 ^c ( 1 - s ) ) ) x. ( f ` s ) ) =
      sum_ n e. NN0 ( sum_ k e. ( 0 ... n ) ( ( ( -u 1 ^ k ) x. ( n _C k ) ) x.
        ( ( k + 1 ) ^c s ) ) / ( 2 ^ ( n + 1 ) ) ) ) $.
  $}

  ${
    $d k m n S $.  $d k F $.  $d k m ph $.
    zetacvg.1 $e |- ( ph -> S e. CC ) $.
    zetacvg.2 $e |- ( ph -> 1 < ( Re ` S ) ) $.
    zetacvg.3 $e |- ( ( ph /\ k e. NN ) -> ( F ` k ) = ( k ^c -u S ) ) $.
    $( The zeta series is convergent.  (Contributed by Mario Carneiro,
       18-Jul-2014.) $)
    zetacvg $p |- ( ph -> seq 1 ( + , F ) e. dom ~~> ) $=
      ( cfv ccxp co c1 wcel wceq cmul cc cc0 c2 wbr cr cle vn vm cn cv cre cneg
      cmpt nnuz 1zzd wa cabs oveq1 eqid ovex fvmpt adantl clog wne nnne0 negcld
      ce nncn adantr cxpefd eqtrd fveq2d nnrp relogcld recnd mulcl syl2an absef
      syl cmin remul renegd rered oveqan12d reim0d oveq2d imcl mul01d sylan9eqr
      cim oveq12d recld renegcld subid1d 3eqtrd eqtr4d cxpcld eqeltrd caddc cli
      cseq cdm cn0 cexp cdiv crp 2rp 1re resubcl sylancr rpcxpcl rpcnd clt recl
      addid2d breqtrrd wb 0re ltsubadd mp3an13 mpbird 2re cxplt mpanl12 sylancl
      1lt2 mpbid rprege0d absid 2cn cxp0 ax-mp 3brtr4d reeflogd syl2anc remulcl
      a1i nnrpd efle mulneg1 nncnd nnne0d cxpmuld cxpexp 2nn 3eqtr3d oveq2 nnre
      eqcomi geolim seqex breldm syl2anr rpred rpge0d lep1d peano2nn 0lt1 lttrd
      lemul2 syl112anc lenegd nn0re mulcomd simpr ax-1cn negsub nnexpcl cxpaddd
      eqcomd mpan 1cnd sylan cxp1d oveq1d 3eqtr4d climcnds abscvgcvg ) ACUAUCUA
      UDZBUEHZUFZIJZUGZDKUCUHAUIACUDZUCLZUJZUVRUVQHZUVRUVOIJZUVRDHZUKHZUVSUWAUW
      BMAUAUVRUVPUWBUCUVQUVMUVRUVOIULUVQUMZUVRUVOIUNUOUPZUVTUWDBUFZUVRUQHZNJZVA
      HZUKHZUWIUEHZVAHZUWBUVTUWCUWJUKUVTUWCUVRUWGIJZUWJGUVTUVRUWGUVSUVROLAUVRVB
      UPZUVSUVRPURAUVRUSUPZAUWGOLZUVSABEUTZVCZVDVEVFUVTUWIOLZUWKUWMMAUWQUWHOLZU
      WTUVSUWRUVSUWHUVSUVRUVRVGZVHZVIZUWGUWHVJVKUWIVLVMUVTUWMUVOUWHNJZVAHZUWBUV
      TUWLUXEVAUVTUWLUWGUEHZUWHUEHZNJZUWGWDHZUWHWDHZNJZVNJZUXEPVNJUXEAUWQUXAUWL
      UXMMUVSUWRUXDUWGUWHVOVKUVTUXIUXEUXLPVNAUVSUXGUVOUXHUWHNABEVPUVSUWHUXCVQVR
      UVSAUXLUXJPNJPUVSUXKPUXJNUVSUWHUXCVSVTAUXJAUWQUXJOLUWRUWQUXJUWGWAVIVMWBWC
      WEUVTUXEAUVOOLZUXAUXEOLUVSAUVOAUVNABEWFZWGZVIZUXDUVOUWHVJVKWHWIVFUVTUVRUV
      OUWOUWPAUXNUVSUXQVCZVDZWJWIWJUVTUWCUWNOGUVTUVRUWGUWOUWSWKWLAWMUVQKWOWNWPZ
      LWMUAWQQKUVNVNJZIJZUVMWRJZUGZPWOZUXTLZAUYEKKUYBVNJZWSJZWNRUYFAUYBUBUYDAUY
      BAQWTLZUYASLZUYBWTLXAAKSLZUVNSLZUYJXBUXOKUVNXCXDZQUYAXEXDZXFZAUYBQPIJZUYB
      UKHZKXGAUYAPXGRZUYBUYPXGRZAUYRKPUVNWMJZXGRZAKUVNUYTXGFAUVNABOLZUVNOLZEVUB
      UVNBXHVIVMZXIXJAUYLUYRVUAXKZUXOUYKUYLPSLZVUEXBXLKUVNPXMXNVMXOAUYJVUFUYRUY
      SXKZUYMXLQSLKQXGRUYJVUFUJVUGXPXTQUYAPXQXRXSYAAUYBSLPUYBTRUJUYQUYBMAUYBUYN
      YBUYBYCVMKUYPMAUYPKQOLZUYPKMYDQYEYFUUCYKYGUBUDZWQLZVUIUYDHZUYBVUIWRJZMAUA
      VUIUYCVULWQUYDUVMVUIUYBWRUUAUYDUMUYBVUIWRUNUOUPZUUDUYEUYHWNWMUYDPUUEKUYGW
      SUNUUFVMACUBUVQUYDUVTUWAUWBSUWFUVTUWBUVSUVRWTLUVOSLZUWBWTLAUXBUXPUVRUVOXE
      UUGZUUHWLUVTPUWBUWATUVTUWBVUOUUIUWFXJUVTUVOUVRKWMJZUQHZNJZVAHZUXFVUPUVQHZ
      UWATUVTVURUXETRZVUSUXFTRZUVTUVNVUQNJZUFZUVNUWHNJZUFZVURUXETUVTVVEVVCTRZVV
      DVVFTRUVTUWHVUQTRZVVGUVSVVHAUVSVVHUWHVAHZVUQVAHZTRZUVSUVRVUPVVIVVJTUVSUVR
      UVRUUBUUJUVSUVRUXBYHUVSVUPUVSVUPUVRUUKZYLZYHYGUVSUWHSLZVUQSLZVVHVVKXKUXCU
      VSVUPVVMVHZUWHVUQYMYIXOUPUVTVVNVVOUYLPUVNXGRZVVHVVGXKUVSVVNAUXCUPUVTVUPUV
      TVUPUVSVUPUCLZAVVLUPZYLVHAUYLUVSUXOVCAVVQUVSAPKUVNVUFAXLYKUYKAXBYKUXOPKXG
      RAUULYKFUUMVCUWHVUQUVNUUNUUOYAUVTVVEVVCAUYLVVNVVESLUVSUXOUXCUVNUWHYJVKAUY
      LVVOVVCSLUVSUXOVVPUVNVUQYJVKUUPYAAVUCVUQOLVURVVDMUVSVUDUVSVUQVVPVIUVNVUQY
      NVKAVUCUXAUXEVVFMUVSVUDUXDUVNUWHYNVKYGUVTVURSLZUXESLZVVAVVBXKAVUNVVOVVTUV
      SUXPVVPUVOVUQYJVKAVUNVVNVWAUVSUXPUXCUVOUWHYJVKVURUXEYMYIYAUVTVUTVUPUVOIJZ
      VUSUVTVVRVUTVWBMVVSUAVUPUVPVWBUCUVQUVMVUPUVOIULUWEVUPUVOIUNUOVMUVTVUPUVOU
      VTVUPVVSYOUVTVUPVVSYPUXRVDVEUVTUWAUWBUXFUWFUXSVEYGAVUJUJZVULQVUIWRJZVWDUV
      OIJZNJZVUKVWDVWDUVQHZNJVWCUYBVUIIJZVWDKIJZVWENJZVULVWFVWCQUYAVUINJZIJZVWD
      KUVOWMJZIJZVWHVWJVWCVWLQVUIUYANJZIJQVUIIJZUYAIJVWNVWCVWKVWOQIVWCUYAVUIAUY
      AOLVUJAUYAUYMVIVCZVWCVUIVUJVUISLAVUIUUQUPZVIZUURVTVWCQVUIUYAUYIVWCXAYKZVW
      RVWQYQVWCVWPVWDUYAVWMIVWCVUHVUJVWPVWDMYDAVUJUUSZQVUIYRXDVWCVWMUYAVWCKOLVU
      CVWMUYAMUUTAVUCVUJVUDVCKUVNUVAXDUVDWEWIVWCQUYAVUIVWTAUYJVUJUYMVCVWSYQVWCV
      WDKUVOVWCVWDVUJVWDUCLZAQUCLZVUJVXBYSQVUIUVBZUVEUPZYOZVWCVWDVXEYPVWCUVFAUX
      NVUJUXQVCUVCYTAUYBOLVUJVWHVULMUYOUYBVUIYRUVGVWCVWIVWDVWENVWCVWDVXFUVHUVIY
      TVUMVWCVWGVWEVWDNVWCVXBVWGVWEMVWCVXCVUJVXBYSVXAVXDXDUAVWDUVPVWEUCUVQUVMVW
      DUVOIULUWEVWDUVOIUNUOVMVTUVJUVKXOUVL $.
  $}

  $(
  @{
    @d k m n S @.  @d k F @.  @d k m ph @.
    cxpfdcvg.1 @e |- F = ( k e. NN0 |-> ( n e. NN0 |-> sum_ m e. ( 0 ... k )
      ( ( ( -u 1 ^ m ) x. ( k _C m ) ) x. ( ( n + m ) ^c S ) ) ) @.
    @( FIX COMMENT @)
    cxpfdfval @p |- ( K e. NN0 -> ( F ` K ) = ( n e. NN0 |-> sum_ m e.
    ( 0 ... K ) ( ( ( -u 1 ^ m ) x. ( K _C m ) ) x. ( ( n + m ) ^c S ) ) ) ) @=
      ? @.
      @( [18-Jul-2014] @)

    @( FIX COMMENT @)
    cxpfdval @p |- ( ( K e. NN0 /\ N e. NN0 ) -> ( ( F ` K ) ` N ) = sum_ m e.
      ( 0 ... K ) ( ( ( -u 1 ^ m ) x. ( K _C m ) ) x. ( ( N + m ) ^c S ) ) ) @=
      ? @.
      @( [18-Jul-2014] @)

    @( FIX COMMENT @)
    cxpfd0 @p |- ( N e. NN0 -> ( ( F ` 0 ) ` N ) = ( N ^c S ) ) @=
      ? @.
      @( [18-Jul-2014] @)

    cxpfdcvg.2 @e |- ( ph -> K e. NN0 ) @.
    cxpfdcvg.3 @e |- ( ph -> S e. RR ) @.
    @( FIX COMMENT @)
    cxpfddif @p |- ( ph -> ( ( F ` ( K + 1 ) ) ` N ) =
      ( ( ( F ` K ) ` N ) - ( ( F ` K ) ` ( N + 1 ) ) ) ) @=
      ? @.
      @( [18-Jul-2014] @)

    @( FIX COMMENT @)
    cxpfditg @p |- ( ph -> ( ( F ` K ) ` N ) = sum_ m e. ( 0 ... N )
      ( ( ( -u 1 ^ m ) x. ( K _C m ) ) x. ( ( N + m ) ^c S ) ) ) @=
      ? @.
      @( [18-Jul-2014] @)

    cxpfdcvg.4 @e |- ( ph -> S < N ) @.
    @{
      cxpfdle.5 @e |- ( ph -> K e. NN0 ) @.
      cxpfdle.6 @e |- ( ph -> M e. ( ZZ>= ` K ) ) @.
      @( FIX COMMENT @)
      cxpfdle @p |- ( ph -> ( F ` M ) <_ ( F ` K ) ) @=
        ? @.
        @( [18-Jul-2014] @)
    @}

    @( FIX COMMENT @)
    cxpfdcvg @p |- ( ph -> F ~~> 0 ) @=
      ? @.
      @( [18-Jul-2014] @)
  @}
  $)

  $(
  @{
    @d k n s S @.
    @( The value of the zeta function. @)
    zetacl @p |- ( ( S e. CC /\ S =/= 1 ) -> ( zeta ` S ) e. CC ) @=
      ? @.
  @}

  @( Give an alternating sequence related to the zeta function. @)
  zetaalt @p |- ( ( S e. CC /\ 0 < ( Re ` S ) ) ->
    ( ( 1 - ( exp ` ( ( 1 - S ) x. ( log ` 2 ) ) ) ) x. ( zeta ` S ) ) =
    sum_ n e. NN ( ( -u 1 ^ n ) x. ( n ^c -u S ) ) ) @=
    ? @.

  @( Derive the standard expression for the zeta function. (This is usually
     quoted as the definition of the zeta function, but it is not convergent
     everywhere, unlike our definition.) @)
  zetaval2 @p |- ( ( S e. CC /\ 1 < ( Re ` S ) ) ->
    ( zeta ` S ) = sum_ n e. NN ( n ^c -u S ) ) @=
    ? @.

  @{
    @( The laurent expansion of the zeta function about the pole at ` s = 1 ` .
       The function ` J ( n ) ` is commonly known as the ` n ` -th Stieltjes
       constant. @)
    zetaval3.1 @e |- J = ( ~~> ` ( m e. NN |->
          ( sum_ k e. ( 1 ... m ) ( ( ( log ` k ) ^ n ) / k ) -
            ( ( ( log ` m ) ^ ( n + 1 ) ) / ( n + 1 ) ) ) ) ) @.
    zetaval3 @p |- ( ( S e. CC /\ S =/= 1 ) -> ( zeta ` S ) =
      ( ( 1 / ( S - 1 ) ) + sum_ n e. NN0
        ( ( ( ( 1 - S ) ^ n ) / ( ! ` n ) ) x. J ) ) ) @=
      ? @.
  @}

  @( The value of the zeta function on the positive integers. @)
  zetann @p |- ( S e. ( ZZ>= ` 2 ) ->
    ( zeta ` S ) = sum_ n e. NN ( n ^ -u S ) ) @=
    ? @.

  @( The value of ` zeta ( 0 ) ` . @)
  zeta0 @p |- ( zeta ` 0 ) = -u ( 1 / 2 ) @=
    ? @.

  @( The value of ` zeta ( 2 ) ` , whose derivation (with an imprecise proof)
     is attributed to Euler. @)
  zeta2 @p |- ( zeta ` 2 ) = ( ( _pi ^ 2 ) / 6 ) @=
    ? @.

  @( Apery's constant, ` zeta ( 3 ) ` , is irrational. @)
  zeta3irr @p |- ( zeta ` 3 ) e/ QQ @=
    ? @.

  @( The trivial zeroes of the zeta function. @)
  zetatrivz @p |- ( N e. NN -> ( zeta ` ( -u 2 x. N ) ) = 0 ) @=
    ? @.

  @( The nontrivial zeroes of the zeta function are in the critical strip.
     The Riemann Hypothesis would replace this conclusion with
     ` ( Re `` S ) = ( 1 / 2 ) ` . @)
  zetazcs @p |- ( ( S e. ( CC \ ZZ ) /\ ( zeta ` S ) = 0 ) ->
      ( Re ` S ) e. ( 0 (,) 1 ) ) @=
    ? @.
  $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Gamma function
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c _G $. $( Gamma function (capital letter Gamma) $)
  $c log_G $. $( logarithm of the Gamma function $)
  $c 1/_G $. $( inverse of the Gamma function $)

  $( Logarithm of the Gamma function. $)
  clgam $a class log_G $.

  $( The Gamma function. $)
  cgam $a class _G $.

  $( The inverse Gamma function. $)
  cigam $a class 1/_G $.

  ${
    $d z m $.
    $( Define the log-Gamma function.  We can work with this form of the gamma
       function a bit easier than the equivalent expression for the gamma
       function itself, and moreover this function is not actually equal to
       ` log ( _G ( x ) ) ` because the branch cuts are placed differently (we
       do have ` exp ( log_G ( x ) ) = _G ( x ) ` , though).  This definition
       is attributed to Euler, and unlike the usual integral definition is
       defined on the entire complex plane except the nonpositive integers
       ` ZZ \ NN ` , where the function has simple poles.  (Contributed by
       Mario Carneiro, 12-Jul-2014.) $)
    df-lgam $a |- log_G = ( z e. ( CC \ ( ZZ \ NN ) ) |-> ( sum_ m e. NN
    ( ( z x. ( log ` ( ( m + 1 ) / m ) ) ) - ( log ` ( ( z / m ) + 1 ) ) )
      - ( log ` z ) ) ) $.

    $( Define the Gamma function.  See ~ df-lgam for more information about the
       reason for this definition in terms of the log-gamma function.
       (Contributed by Mario Carneiro, 12-Jul-2014.) $)
    df-gam $a |- _G = ( exp o. log_G ) $.

    $( Define the inverse Gamma function, which is defined everywhere, unlike
       the Gamma function itself.  (Contributed by Mario Carneiro,
       16-Jul-2017.) $)
    df-igam $a |- 1/_G = ( x e. CC |->
      if ( x e. ( ZZ \ NN ) , 0 , ( 1 / ( _G ` x ) ) ) ) $.
  $}

  $( Elementhood in the set of non-nonpositive integers.  (Contributed by Mario
     Carneiro, 12-Jul-2014.) $)
  eldmgm $p |- ( A e. ( CC \ ( ZZ \ NN ) ) <->
                ( A e. CC /\ -. -u A e. NN0 ) ) $=
    ( cc cz cn cdif wcel wn wa cneg cn0 eldif cr wo simprbi orcanai cc0 wbr clt
    elznn mpbid wceq negneg adantr nn0negz adantl eqeltrrd ex cle nnre lt0neg2d
    nngt0 wb renegcld 0re ltnle sylancl nn0ge0 nsyl3 jca2 impbid2 syl5bb notbid
    pm5.32i bitri ) ABCDEZEFABFZAVEFZGZHVFAIZJFZGZHABVEKVFVHVKVFVGVJVGACFZADFZG
    ZHZVFVJACDKVFVOVJVLVMVJVLALFVMVJMASNOVFVJVLVNVFVJVLVFVJHVIIZACVFVPAUAVJAUBU
    CVJVPCFVFVIUDUEUFUGVMPVIUHQZVJVMVIPRQZVQGZVMPARQVRAUKVMAAUIZUJTVMVILFPLFVRV
    SULVMAVTUMUNVIPUOUPTVIUQURUSUTVAVBVCVD $.

  $( If ` A ` is not a nonpositive integer, then ` A + N ` is nonzero for any
     nonnegative integer ` N ` .  (Contributed by Mario Carneiro,
     12-Jul-2014.) $)
  dmgmaddn0 $p |- ( ( A e. ( CC \ ( ZZ \ NN ) ) /\ N e. NN0 ) ->
                    ( A + N ) =/= 0 ) $=
    ( cc cz cn cdif wcel cn0 wa cneg wn caddc co cc0 eldmgm simprbi adantr wceq
    wne cmin df-neg eqeq1i 0cnd eldifi nn0cn adantl subaddd simpr eleq1 sylbird
    syl5bb syl5ibrcom necon3bd mpd ) ACDEFZFGZBHGZIZAJZHGZKZABLMZNSUPVAUQUPACGZ
    VAAOPQURUTVBNURVBNRZUSBRZUTVENATMZBRURVDUSVFBAUAUBURNABURUCUPVCUQACUOUDQUQB
    CGUPBUEUFUGUKURUTVEUQUPUQUHUSBHUIULUJUMUN $.

  $( If ` A ` is in the continuous domain of the logarithm, then it is in the
     domain of the Gamma function.  (Contributed by Mario Carneiro,
     8-Jul-2017.) $)
  dmlogdmgm $p |- ( A e. ( CC \ ( -oo (,] 0 ) ) ->
    A e. ( CC \ ( ZZ \ NN ) ) ) $=
    ( cc cmnf cc0 cioc co cdif wcel cneg cn0 wn cz cn eldifi cle wa simpr mpbid
    wbr clt nn0ge0d cr crp adantr nn0red negrebd wi eqid ellogdm simprbi syldan
    imp rpgt0d lt0neg2d 0red ltnled pm2.65da eldmgm sylanbrc ) ABCDEFZGZHZABHZA
    IZJHZKABLMGGHABUTNZVBVEDVDOSZVBVEPZVDVBVEQZUAVHVDDTSZVGKVHDATSVJVHAVBVEAUBH
    ZAUCHZVHAVBVCVEVFUDVHVDVIUEZUFZVBVKVLVBVCVKVLUGAVAVAUHUIUJULUKUMVHAVNUNRVHV
    DDVMVHUOUPRUQAURUS $.

  $( A positive real number is in the domain of the Gamma function.
     (Contributed by Mario Carneiro, 9-Jul-2017.) $)
  rpdmgm $p |- ( A e. RR+ -> A e. ( CC \ ( ZZ \ NN ) ) ) $=
    ( crp wcel cc cmnf cioc co cdif cz cn cr wi rpcn ax-1 eqid ellogdm sylanbrc
    cc0 dmlogdmgm syl ) ABCZADERFGHZCZADIJHHCUAADCAKCZUALUCAMUAUDNAUBUBOPQAST
    $.

  ${
    dmgmn0.a $e |- ( ph -> A e. ( CC \ ( ZZ \ NN ) ) ) $.
    $( If ` A ` is not a nonpositive integer, then ` A ` is nonzero.
       (Contributed by Mario Carneiro, 3-Jul-2017.) $)
    dmgmn0 $p |- ( ph -> A =/= 0 ) $=
      ( cc0 caddc co cc cz cdif eldifad addid1d wcel cn0 0nn0 dmgmaddn0 sylancl
      cn wne eqnetrrd ) ABDEFZBDABABGHQIZCJKABGUAILDMLTDRCNBDOPS $.

    ${
      dmgmaddnn0.n $e |- ( ph -> N e. NN0 ) $.
      $( If ` A ` is not a nonpositive integer and ` N ` is a nonnegative
         integer, then ` A + N ` is also not a nonpositive integer.
         (Contributed by Mario Carneiro, 6-Jul-2017.) $)
      dmgmaddnn0 $p |- ( ph -> ( A + N ) e. ( CC \ ( ZZ \ NN ) ) ) $=
        ( caddc co cc wcel cneg cn0 wn cz cn cdif eldifad nn0cnd eldmgm adantr
        wa addcld sylib simprd wceq cmin negdi2d oveq1d negcld npcand nn0addcld
        eqtrd simpr eqeltrrd mtand sylanbrc ) ABCFGZHIUPJZKIZLUPHMNOZOZIABCABHU
        SDPZACEQZUAAURBJZKIZABHIZVDLZABUTIVEVFTDBRUBUCAURTZUQCFGZVCKAVHVCUDURAV
        HVCCUEGZCFGVCAUQVICFABCVAVBUFUGAVCCABVAUHVBUIUKSVGUQCAURULACKIURESUJUMU
        NUPRUO $.
    $}

    dmgmdivn0.a $e |- ( ph -> M e. NN ) $.
    $( Lemma for ~ lgamf .  (Contributed by Mario Carneiro, 3-Jul-2017.) $)
    dmgmdivn0 $p |- ( ph -> ( ( A / M ) + 1 ) =/= 0 ) $=
      ( caddc co cdiv c1 cc cz cn cdif eldifad nncnd nnne0d divdird dividd wcel
      cc0 oveq2d eqtrd addcld cn0 wne nnnn0d dmgmaddn0 syl2anc divne0d eqnetrrd
      ) ABCFGZCHGZBCHGZIFGZTAULUMCCHGZFGUNABCCABJKLMZDNZACEOZURACEPZQAUOIUMFACU
      RUSRUAUBAUKCABCUQURUCURABJUPMSCUDSUKTUEDACEUFBCUGUHUSUIUJ $.
  $}

  ${
    $d n r y G $.  $d t x y N $.  $d k m n r t x y z R $.  $d m n r t y z U $.
    $d k m t x y A $.  $d n r y O $.  $d m n r t x y z ph $.  $d n r y T $.
    lgamgulm.r $e |- ( ph -> R e. NN ) $.
    lgamgulm.u $e |- U = { x e. CC | ( ( abs ` x ) <_ R /\
      A. k e. NN0 ( 1 / R ) <_ ( abs ` ( x + k ) ) ) } $.
    $( Lemma for ~ lgamgulm .  (Contributed by Mario Carneiro, 3-Jul-2017.) $)
    lgamgulmlem1 $p |- ( ph -> U C_ ( CC \ ( ZZ \ NN ) ) ) $=
      ( cv cabs cfv cle wbr co caddc cn0 cc cn cdif wcel cc0 c1 cdiv wral wa cz
      crab w3a cneg wn simp2 3ad2ant1 nnred nngt0d recgt0d 0red nnrecred ltnled
      clt mpbid wi wceq fveq2d breq2d rspccv adantl 3ad2ant3 negidd abs0 eqtrdi
      oveq2 sylibd mtod eldmgm sylanbrc rabssdv eqsstrid ) ADBHZIJCKLZUACUBMZVQ
      EHZNMZIJZKLZEOUCZUDZBPUFPUEQRRZGAWEBPWFAVQPSZWEUGZWGVQUHZOSZUIVQWFSAWGWEU
      JZWHWJVSTKLZWHTVSURLWLUIWHCWHCAWGCQSWEFUKZULWHCWMUMUNWHTVSWHUOWHCWMUPUQUS
      WHWJVSVQWINMZIJZKLZWLWEAWJWPUTZWGWDWQVRWCWPEWIOVTWIVAZWBWOVSKWRWAWNIVTWIV
      QNVJVBVCVDVEVFWHWOTVSKWHWOTIJTWHWNTIWHVQWKVGVBVHVIVCVKVLVQVMVNVOVP $.

    ${
      lgamgulm.n $e |- ( ph -> N e. NN ) $.
      lgamgulm.a $e |- ( ph -> A e. U ) $.
      lgamgulm.l $e |- ( ph -> ( 2 x. R ) <_ N ) $.
      $( Lemma for ~ lgamgulm .  (Contributed by Mario Carneiro,
         3-Jul-2017.) $)
      lgamgulmlem2 $p |- ( ph ->
        ( abs ` ( ( A / N ) - ( log ` ( ( A / N ) + 1 ) ) ) ) <_
          ( R x. ( ( 1 / ( N - R ) ) - ( 1 / N ) ) ) ) $=
        ( vt c1 cc0 co cfv wcel cc cr vy cdiv cv cmul caddc clog cmin cmpt cabs
        cle wbr 1elunit 0elunit 1red eqid a1i wss ccncf cdif nnred recnd divcld
        cn unitssre ax-resscn cncfmptc syl3anc sylancr wf syl crp adantr mulcld
        wa wi simpr 1cnd addcld cre wceq adantl recld clt cneg abscld rehalfcld
        absge0d absdivd nnrpd absidd oveq2d eqtr2d cn0 wral fveq2 breq1d simpld
        eqbrtrrd lemul12ad absmuld mulid1d wne divrecd breqtrd ledivmuld mpbird
        mpbid letrd lelttrd oveq2i eqtrdi breqtrrd eqeltrrd eqtrd cncfmpt2f cdv
        c2 wb cioo logdmn0 logcld subcld sylan2 mpteq2dv dvmptres2 reccld oveq2
        cdm remulcld resubcld fveq2d nfcv cvv oveq12d oveq1d divsubdird recdivd
        dividd abs1 eqbrtrd cicc ccnfld ctopn ctx ccn subcn lgamgulmlem1 sseldd
        0red cz eldifad sstri ssidd cncfmptid mulcncf cmnf cioc cres ccom logcn
        nnne0d cncff sselid rere absrele nndivred elicc01 simp2bi rpge0d breq2d
        fvoveq1 ralbidv anbi12d simprbi lediv1dd simp3bi 3brtr3d 2rp lemuldiv2d
        elrab2 2cnd halflt1 absltd renegcld posdifd subnegd readdd re1 elrpd ex
        2ne0 ellogdm sylanbrc cofmpt fvresd mpteq2dva fmpttd difss addcn cncfco
        cncffvrn crn ctg tgioo2 cnt 0re iccntr dvmptntr cpr reelprrecn ioossicc
        sseli sselda dvmptid dvmptcmul sstrid ctop retop iooretop isopn3i mp2an
        cnelprrecn eldifi 0cnd dvmptc dvmptadd addid1d feqmptd mpteq2ia eqtr2di
        fvres dvlog dvmptco dvmptsub dmeqd ovex dmmpti ltaddrpd 2timesd ltletrd
        2re syl2anc rprecred nnrecred fveq1d nfv nffvmpt1 nffv nfbr nfim eleq1w
        difrp anbi2d 2fveq3 imbi12d fvmpt2 sylancl subdid mulcomd div23d 3eqtrd
        3eqtr4d rpdivcld divne0d eliooord gt0ne0d mulne0d divdird eqnetrrd 0le1
        dmgmn0 absrpcld negcld rpne0d rerpdivcld lerecd absnegd oveq1i lesub1dd
        rpred abs2difd eqbrtrrid addcomd negeqd negdi2d eqtr3d lediv2ad subne0d
        gtned nncand pncand 3eqtr3rd 3eqtr2d eqcomd recidd 3brtr4d mul12d dvlip
        chvarfv mpanr12 eqidd sylan9eqr fvoveq1d ovexd fvmptd mul01d 0p1e1 log1
        0m0e0 dmgmdivn0 subid1d 1m0e1 fveq2i eqtri eqtr2id ) ANMONUUAPZCGUBPZMU
        CZUDPZVXSNUEPZUFQZUGPZUHZQZOVYCQZUGPZUIQZDNGDUGPZUBPZNGUBPZUGPZUDPZNOUG
        PZUIQZUDPZVXQVXQNUEPZUFQZUGPZUIQVYLUJANVXPRZOVXPRZVYGVYOUJUKULUMAUAONVY
        CVYLNOAUUIAUNZAMVXSVYAUGUUBUUCQZVXPWUBUOZUGWUBWUBUUDPWUBUUEPZRAWUBWUCUU
        FUPAMVXQVXRVXPAVXQSRZVXPSUQZSSUQZMVXPVXQUHVXPSURPZRACGACSUUJVCUSZAESWUI
        USCABDEFHIUUGKUUHZUUKZAGAGJUTZVAZAGJUVAZVBZWUFAVXPTSVDVEUULZUPZASUUMZMV
        XQVXPSVFVGAWUFWUGMVXPVXRUHWUHRWUPWURMVXPSUUNVHUUOZAUFSUUPOUUQPZUSZUURZM
        VXPVXTUHZUUSZMVXPVYAUHZWUHAWVDMVXPVXTWVBQZUHWVEAMVXPVXTWVASWVBAWVBWVASU
        RPRZWVASWVBVIWVGAWVAWVAUOZUUTUPZWVASWVBUVBVJZAVXRVXPRZVNZVXTSRVXTTRZVXT
        VKRZVOVXTWVARZWVLVXSNWVLVXQVXRAWUEWVKWUOVLZWVLVXRWVLVXPTVXRVDAWVKVPUVCZ
        VAZVMZWVLVQZVRZWVLWVMWVNWVLWVMVNVXTVSQZVXTVKWVMWWBVXTVTWVLVXTUVDWAWVLWW
        BVKRWVMWVLWWBWVLVXTWWAWBWVLOVXSVSQZNUEPZWWBWCWVLOWWCNWDZUGPZWWDWCWVLWWE
        WWCWCUKZOWWFWCUKWVLWWGWWCNWCUKZWVLWWCUIQZNWCUKWWGWWHVNWVLWWIVXSUIQZNWVL
        WWCWVLWWCWVLVXSWVSWBZVAZWEWVLVXSWVSWEZWVLUNZWVLVXSSRWWIWWJUJUKWVSVXSUVE
        VJWVLWWJNXQUBPZNWWMWVLNWWNWFZWWNWVLWWJDGUBPZWWOWWMWVLDGADTRZWVKADHUTZVL
        AGVCRWVKJVLUVFZWWPWVLVXQUIQZVXRUDPZWWQNUDPWWJWWQUJWVLWXAWWQVXRNAWXATRWV
        KAVXQWUOWEVLWWTWVQWWNWVLVXQWVPWGWVKOVXRUJUKZAWVKVXRTRZWXCVXRNUJUKZVXRUV
        GZUVHWAZAWXAWWQUJUKWVKACUIQZGUBPZWXAWWQUJAWXAWXHGUIQZUBPZWXIACGWUKWUMWU
        NWHAWXJGWXHUBAGWULAGAGJWIZUVIZWJWKWLAWXHDGACWUKWEZWWSWXLAWXHDUJUKZNDUBP
        ZCFUCZUEPUIQZUJUKZFWMWNZACERZWXOWXTVNZKWYACSRZWYBBUCZUIQZDUJUKZWXPWYDWX
        QUEPUIQZUJUKZFWMWNZVNWYBBCSEWYDCVTZWYFWXOWYIWXTWYJWYEWXHDUJWYDCUIWOWPWY
        JWYHWXSFWMWYJWYGWXRWXPUJWYDCWXQUIUEUVKUVJUVLUVMIUVTUVNVJWQZUVOWRVLWVKWX
        EAWVKWXDWXCWXEWXFUVPWAWSWVLWWJWXAVXRUIQZUDPWXBWVLVXQVXRWVPWVRWTWVLWYLVX
        RWXAUDWVLVXRWVQWXGWJWKWLWVLWWQWVLWWQWWTVAXAUVQZAWWQWWOUJUKZWVKAWYNDGWWO
        UDPZUJUKADGXQUBPZWYOUJAXQDUDPZGUJUKDWYPUJUKLADGXQWWSWULXQVKRAUVRUPUVSXG
        AGXQWUMAUWAXQOXBAUWKUPXCXDADWWOGWWSANWUAWFWXLXEXFVLXHWWONWCUKWVLUWBUPXI
        XIWVLWWCNWWKWWNUWCXGWQWVLWWEWWCWVLNWWNUWDWWKUWEXGWVLWWCNWWLWVTUWFXDWVLW
        WBWWCNVSQZUEPWWDWVLVXSNWVSWVTUWGWYRNWWCUEUWHXJXKXLUWIVLXMUWJVXTWVAWVHUW
        LUWMZUWNAMVXPWVFVYAWVLVXTWVAUFWYSUWOUWPXNAVXPWVASWVCWVBAWVCVXPWVAURPRZV
        XPWVAWVCVIZAMVXPVXTWVAWYSUWQAWVASUQWVCWUHRWYTXUAXRSWUTUWRAMVXSNUEWUBVXP
        WUCUEWUDRAWUBWUCUWSUPWUSANSRWUFWUGMVXPNUHWUHRAVQZWUQWURMNVXPSVFVGXOVXPS
        WVAWVCUXAVHXFWVIUWTXMXOATVYCXPPZYHMONXSPZVXQNVXTUBPZVXQUDPZUGPZUHZYHXUD
        AXUCXUHAXUCTMXUDVYBUHXPPXUHAMVYBTXSUXBUXCQZWUBVXPXUDTSUQAVEUPZVXPTUQAVD
        UPZWVLVXSVYAWVSWVLVXTWWAWVLWVOVXTOXBZWYSVXTWVAWVHXTVJZYAZYBWUBWUCUXDZWU
        CAOTRNTRVXPXUIUXEQZQXUDVTUXFWUAONUXGVHUXHAMVXSVXQVYAXUFTSSXUDTTSUXIZRAU
        XJUPZAVXRXUDRZVNZVXQVXRXUTCGAWYCXUSWUKVLZAGSRZXUSWUMVLZAGOXBZXUSWUNVLZV
        BZXUSAWVKVXRSRXUDVXPVXRONUXKZUXLZWVRYCZVMZXVFAMVXSVXQTXUIWUBSTXUDXUDXUR
        AWXDVNZVXQVXRXVKCGAWYCWXDWUKVLAXVBWXDWUMVLAXVDWXDWUNVLVBZATSVXRXUJUXMZV
        MZXVLATMTVXSUHXPPMTVXQNUDPZUHMTVXQUHZAMVXRNVXQTSTXURXVMXVKVQZAMTXURUXNW
        UOUXOAMTXVOVXQAVXQWUOXAZYDXNZAXUDVXPTXVGXUKUXPZXUOWUCXUDXUPQXUDVTZAXUIU
        XQRXUDXUIRXWAUXRONUXSXUDXUIUXTUYAUPZYEXUSAWVKVYASRXVHXUNYCXUTXUEVXQXUTV
        XTXUTVXSNXVJXUTVQZVRZXUSAWVKXULXVHXUMYCZYFZXVFVMAMUAVXTVXQUAUCZUFQZNXWG
        UBPZTSVYAXUESSXUDWVAXURSXUQRAUYBUPXUSAWVKWVOXVHWYSYCXVFAXWGWVARZVNZXWGX
        WJXWGSRAXWGSWUTUYCWAZXWJXWGOXBAXWGWVAWVHXTWAZYAXWKXWGXWLXWMYFAMVXTVXQTX
        UIWUBSTXUDXUDXURXVKVXSNXVNXVQVRXVLATMTVXTUHXPPMTVXQOUEPZUHXVPAMVXSVXQNO
        TSSTXURXVNXVLXVSXVQXVKUYDAMNTXURXUBUYEUYFAMTXWNVXQAVXQWUOUYGYDXNXVTXUOW
        UCXWBYEASUAWVAXWHUHZXPPSWVBXPPUAWVAXWIUHAXWOWVBSXPAWVBUAWVAXWGWVBQZUHXW
        OAUAWVASWVBWVJUYHUAWVAXWPXWHXWGWVAUFUYKUYIUYJWKUAWVAWVHUYLXKXWGVXTUFWOX
        WGVXTNUBYGUYMUYNXNZUYOMXUDXUGXUHVXQXUFUGUYPZXUHUOZUYQXKADVYKWWSAVYIVYJA
        VYHADGWCUKZVYHVKRZADWYQGWWSAXQDXQTRAVUAUPWWSYIWULADDDUEPWYQWCADDWWSADHW
        IZUYRADADWWSVAZUYSXLLUYTZAWWRGTRZXWTXXAXRWWSWULDGVULVUBXGZVUCZAGJVUDZYJ
        ZYIZAXWGXUDRZVNZXWGXUCQZUIQZXWGXUHQZUIQZVYLUJAXXNXXPVTXXKAXXMXXOUIAXWGX
        UCXUHXWQVUEYKVLXUTVXRXUHQZUIQZVYLUJUKZVOXXLXXPVYLUJUKZVOMUAXXLXXTMXXLMV
        UFMXXPVYLUJMXXOUIMUIYLMXUDXUGXWGVUGVUHMUJYLMVYLYLVUIVUJVXRXWGVTZXUTXXLX
        XSXXTXYAXUSXXKAMUAXUDVUKVUMXYAXXRXXPVYLUJVXRXWGUIXUHVUNWPVUOXUTXXRWXHNX
        UEUGPZUIQZUDPZGUBPZVYLUJXUTXXRXUGUIQVXQXYBUDPZUIQZXYEXUTXXQXUGUIXUTXUSX
        UGYMRXXQXUGVTAXUSVPXWRMXUDXUGYMXUHXWSVUPVUQYKXUTXUGXYFUIXUTXYFXVOVXQXUE
        UDPZUGPXUGXUTVXQNXUEXVFXWCXWFVURXUTXVOVXQXYHXUFUGXUTVXQXVFXAXUTVXQXUEXV
        FXWFVUSYNWLYKXUTWXAXYCUDPWXIXYCUDPXYGXYEXUTWXAWXIXYCUDXUTWXAWXKWXIXUTCG
        XVAXVCXVEWHXUTWXJGWXHUBXUTGAXXEXUSWULVLZAOGUJUKXUSWXMVLWJWKXNYOXUTVXQXY
        BXVFXUTNXUEXWCXWFYBZWTXUTWXHXYCGXUTWXHAWXHTRXUSWXNVLZVAXUTXYCXUTXYBXYJW
        EZVAXVCXVEVUTVVBVVAXUTXYEVYLUJUKXYDGVYLUDPZUJUKXUTXYDDGVYKUDPZUDPXYMUJX
        UTWXHDXYCXYNXYKAWWRXUSWWSVLXYLXUTGVYKXYIXUTVYIVYJAVYITRXUSXXGVLAVYJTRXU
        SXXHVLYJYIAOWXHUJUKXUSACWUKWGVLXUTXYBXYJWGAWXOXUSWYKVLXUTNNNVXSUBPZUEPZ
        UIQZUBPZGVYHUBPZNUGPZXYCXYNUJXUTXYRNVYHDUBPZUBPZXYTUJXUTYUAXYQNXUTVYHDA
        XXAXUSXXFVLADVKRXUSXXBVLZVVCZXUTXYPXUTNXYOXWCXUTVXSXVJXUTVXQVXRXVFXVIXU
        TCGXVAXVCACOXBXUSACWUJVVKVLXVEVVDXUTVXRXUTOVXRWCUKZVXRNWCUKZXUSYUEYUFVN
        AVXRONVVEWAWQVVFVVGZYFZVRZXUTVXTVXSUBPZXYPOXUTYUJVXSVXSUBPZXYOUEPXYPXUT
        VXSNVXSXVJXWCXVJYUGVVHXUTYUKNXYOUEXUTVXSXVJYUGYRYOXNZXUTVXTVXSXWDXVJXWE
        YUGVVDVVIZVVLXUTUNZONUJUKXUTVVJUPXUTYUAXYOWDZUIQZNUGPZXYQXUTYUAYUDVVTXU
        TYUPNXUTYUOXUTXYOYUHVVMZWEZYUNYJXUTXYPYUIWEXUTYUAGDUBPZNUGPZYUQUJXUTYUA
        YUTDDUBPZUGPYVAXUTGDDXVCADSRXUSXXCVLZYVCXUTDYUCVVNZYPXUTYVBNYUTUGXUTDYV
        CYVDYRWKXNXUTYUTYUPNXUTGDXYIYUCVVOYUSYUNXUTYUTNWWJUBPZYUPUJXUTNWWQUBPZY
        UTYVEUJXUTDGYVCXVCYVDXVEYQXUTWWJWWQUJUKZYVFYVEUJUKXUSAWVKYVGXVHWYMYCXUT
        WWJWWQXUTVXSXVJYUGVVLXUTDGYUCAGVKRXUSWXLVLZVVCVVPXGWRXUTYUPXYOUIQZYVEXU
        TXYOYUHVVQXUTYVINUIQZWWJUBPYVEXUTNVXSXWCXVJYUGWHYVJNWWJUBYSVVRXKXNXLVVS
        YTXUTYUQYUONUGPZUIQZXYQUJXUTYUQYUPYVJUGPYVLUJYVJNYUPUGYSXJXUTYUONYURXWC
        VWAVWBXUTXYPWDZUIQYVLXYQXUTYVMYVKUIXUTYVMXYONUEPZWDYVKXUTXYPYVNXUTNXYOX
        WCYUHVWCVWDXUTXYONYUHXWCVWEXNYKXUTXYPYUIVVQVWFXDXHVWGXUTYUBDVYHUBPZXYSV
        YHVYHUBPZUGPZXYTXUTVYHDAVYHSRXUSAGDWUMXXCYBZVLZYVCAVYHOXBXUSAGDWUMXXCAD
        GWWSXXDVWIVWHZVLZYVDYQXUTGVYHUGPZVYHUBPYVOYVQXUTYWBDVYHUBXUTGDXVCYVCVWJ
        YOXUTGVYHVYHXVCYVSYVSYWAYPVWFXUTYVPNXYSUGXUTVYHYVSYWAYRWKVVAXDXUTXYCNXY
        PUBPZUIQZXYRXUTXYBYWCUIXUTXYBVXSVXTUBPZNYUJUBPYWCXUTVXTNUGPZVXTUBPVXTVX
        TUBPZXUEUGPYWEXYBXUTVXTNVXTXWDXWCXWDXWEYPXUTYWFVXSVXTUBXUTVXSNXVJXWCVWK
        YOXUTYWGNXUEUGXUTVXTXWDXWEYRYOVWLXUTVXTVXSXWDXVJXWEYUGYQXUTYUJXYPNUBYUL
        WKVWMYKXUTYWDYVJXYQUBPXYRXUTNXYPXWCYUIYUMWHYVJNXYQUBYSVVRXKXNXUTXYNGVYI
        UDPZGVYJUDPZUGPXYTXUTGVYIVYJXVCAVYISRXUSAVYHYVRYVTYFVLAVYJSRXUSAVYJXXHV
        AVLVURXUTYWHXYSYWINUGXUTXYSYWHXUTGVYHXVCYVSYWAXCVWNXUTGXVCXVEVWOYNXNVWP
        WSXUTDGVYKYVCXVCAVYKSRXUSAVYKXXIVAZVLVWQXDXUTXYDVYLGXUTWXHXYCXYKXYLYIAV
        YLTRXUSXXJVLYVHXEXFYTVWSYTVWRVWTAVYRVYFUIAVYFVYROUGPVYRAVYDVYRVYEOUGAMN
        VYBVYRVXPVYCYMAVYCVXAZAVXRNVTZVNZVXSVXQVYAVYQUGYWLAVXSXVOVXQVXRNVXQUDYG
        XVRVXBZYWMVXSVXQNUFUEYWNVXCYNVYSAULUPAVXQVYQUGVXDVXEAMOVYBOVXPVYCVXPYWK
        AVXROVTZVNZVYBOOUGPOYWPVXSOVYAOUGYWOAVXSVXQOUDPOVXROVXQUDYGAVXQWUOVXFVX
        BZYWPVYANUFQOYWPVXTNUFYWPVXTONUEPNYWPVXSONUEYWQYOVXGXKYKVXHXKYNVXIXKVYT
        AUMUPZYWRVXEYNAVYRAVXQVYQWUOAVYPAVXQNWUOXUBVRACGWUJJVXJYAYBVXKWLYKAVYOV
        YLNUDPVYLVYNNVYLUDVYNYVJNVYMNUIVXLVXMYSVXNXJAVYLADVYKXXCYWJVMXAVXOVWP
        $.

      $( Lemma for ~ lgamgulm .  (Contributed by Mario Carneiro,
         3-Jul-2017.) $)
      lgamgulmlem3 $p |- ( ph ->
        ( abs ` ( ( A x. ( log ` ( ( N + 1 ) / N ) ) ) -
                  ( log ` ( ( A / N ) + 1 ) ) ) ) <_
        ( R x. ( ( 2 x. ( R + 1 ) ) / ( N ^ 2 ) ) ) ) $=
        ( c1 co cdiv cfv cmul cmin c2 cle caddc clog cabs cc cz cn lgamgulmlem1
        cexp cdif sseldd eldifad peano2nnd nnrpd rpdivcld relogcld recnd mulcld
        nncnd nnne0d divcld 1cnd addcld dmgmdivn0 logcld subcld abscld readdcld
        nnred cr wcel 2re a1i 1red remulcld nndivred abs3difd nnrecred resubcld
        nnsqcld clt wbr crp ltaddrpd 2timesd breqtrrd ltletrd wb difrp rprecred
        syl2anc mpbid divrecd oveq2d subdid eqtr4d fveq2d absmuld eqtrd absge0d
        cv cn0 wral wa wceq fveq2 breq1d fvoveq1 breq2d ralbidv anbi12d simprbi
        elrab2 simpld relogdivd logdifbnd eqbrtrd abssuble0d lesub2dd lemul12ad
        logdiflbnd lgamgulmlem2 le2addd subne0d subrecd pnncand comraddd oveq1d
        syl gtned eqtr2d reccld npncan3d eqcomd adddid 3eqtrd rerpdivcld rpge0d
        rpmulcld cc0 letrd 2z rpexpcld rphalfcld 0le1 addge0d sqvald wne div23d
        rehalfcld 2rp divge0d lemuldiv2d 2halvesd subaddd mpbird lep1d lediv2ad
        2ne0 lesubd divdiv2d mulcomd lemul2ad eqbrtrrd ) ACGMUANZGONZUBPZQNZCGO
        NZMUANZUBPZRNZUCPUVGUVHRNZUCPZUVHUVJRNZUCPZUANZDSDMUANZQNZGSUHNZONZQNZA
        UVKAUVGUVJACUVFACUDUEUFUIZAEUDUWBUICABDEFHIUGKUJZUKZAUVFAUVEAUVDGAUVDAG
        JULZUMZAGJUMZUNUOZUPZUQZAUVIAUVHMACGUWDAGJURZAGJUSZUTZAVAZVBACGUWCJVCVD
        ZVEVFAUVMUVOAUVLAUVGUVHUWJUWMVEVFZAUVNAUVHUVJUWMUWOVEVFZVGZADUVTADHVHZA
        UVRUVSASUVQSVIVJAVKVLZADMUWSAVMZVGZVNAGJVSZVOZVNZAUVGUVJUVHUWJUWOUWMVPA
        UVPDMGONZMUVDONZRNZQNZDMGDRNZONZUXFRNZQNZUANZUWAUWRAUXIUXMADUXHUWSAUXFU
        XGAGJVQZAUVDUWEVQZVRZVNZADUXLUWSAUXKUXFAUXJADGVTWAZUXJWBVJZADSDQNZGUWSA
        SDUWTUWSVNAGJVHZADDDUANUYAVTADDUWSADHUMZWCADADHURZWDWELWFZADVIVJGVIVJUX
        SUXTWGUWSUYBDGWHWJWKZWIUXOVRZVNZVGUXEAUVMUVOUXIUXMUWPUWQUXRUYHAUVMCUCPZ
        UVFUXFRNZUCPZQNZUXITAUVMCUYJQNZUCPUYLAUVLUYMUCAUVLUVGCUXFQNZRNUYMAUVHUY
        NUVGRACGUWDUWKUWLWLWMACUVFUXFUWDUWIAUXFUXOUPZWNWOWPACUYJUWDAUVFUXFUWIUY
        OVEZWQWRAUYIDUYKUXHACUWDVFUWSAUYJUYPVFUXQACUWDWSAUYJUYPWSAUYIDTWAZMDONZ
        CFWTZUANUCPZTWAZFXAXBZACEVJZUYQVUBXCZKVUCCUDVJVUDBWTZUCPZDTWAZUYRVUEUYS
        UANUCPZTWAZFXAXBZXCVUDBCUDEVUECXDZVUGUYQVUJVUBVUKVUFUYIDTVUECUCXEXFVUKV
        UIVUAFXAVUKVUHUYTUYRTVUECUYSUCUAXGXHXIXJIXLXKYHXMAUYKUXFUVFRNUXHTAUVFUX
        FUWHUXOAUVFUVDUBPGUBPRNZUXFTAUVDGUWFUWGXNZAGWBVJZVULUXFTWAUWGGXOYHXPXQA
        UXGUVFUXFUXPUWHUXOAUXGVULUVFTAVUNUXGVULTWAUWGGXTYHVUMWEXRXPXSXPABCDEFGH
        IJKLYAYBADUVQUXJUVDQNZONZQNZUXNUWATAVUQDUXKUXGRNZQNDUXHUXLUANZQNUXNAVUP
        VURDQAVURUVDUXJRNZVUOONVUPAUXJUVDAGDUWKUYDVEZAGMUWKUWNVBZAGDUWKUYDADGUW
        SUYEYIYCZAUVDUWEUSZYDAVUTUVQVUOOAVUTMDUWNUYDAGMDUWKUWNUYDYEYFYGYJWMAVUR
        VUSDQAVUSVURAUXFUXGUXKUYOAUVDVVBVVDYKAUXJVVAVVCYKYLYMWMADUXHUXLUYDAUXHU
        XQUPAUXLUYGUPYNYOAVUPUVTDAUVQVUOUXBAUXJUVDUYFUWFYRZYPUXDUWSADUYCYQZAVUP
        UVQUVSSONZONZUVTTAVVGVUOUVQAUVSAGSUWGSUEVJAUUAVLUUBUUCVVEUXBADMUWSUXAVV
        FYSMTWAAUUDVLUUEAVVGGSONZGQNZVUOTAVVGGGQNZSONVVJAUVSVVKSOAGUWKUUFYGAGGS
        UWKUWKASUWTUPZSYSUUGAUURVLZUUHWRAVVIUXJGUVDAGUYBUUIZAGDUYBUWSVRUYBAGMUY
        BUXAVGAGSUYBSWBVJAUUJVLZAGUWGYQZUUKVVPADGVVIUWSUYBVVNADVVIGVVIRNZTAUYAG
        TWADVVITWALADGSUWSUYBVVOUULWKAVVQVVIXDVVIVVIUANGXDAGUWKUUMAGVVIVVIUWKAV
        VIVVNUPZVVRUUNUUOWEUUSAGUYBUUPXSXPUUQAVVHUVQSQNZUVSONUVTAUVQUVSSAUVQADH
        ULURZAUVSUXCURVVLAUVSUXCUSVVMUUTAVVSUVRUVSOAUVQSVVTVVLUVAYGYJWEUVBUVCYT
        YT $.
    $}

    lgamgulm.g $e |- G = ( m e. NN |-> ( z e. U |->
  ( ( z x. ( log ` ( ( m + 1 ) / m ) ) ) - ( log ` ( ( z / m ) + 1 ) ) ) ) ) $.
    ${
      lgamgulm.t $e |- T = ( m e. NN |-> if ( ( 2 x. R ) <_ m ,
        ( R x. ( ( 2 x. ( R + 1 ) ) / ( m ^ 2 ) ) ) ,
        ( ( R x. ( log ` ( ( m + 1 ) / m ) ) ) +
          ( ( log ` ( ( R + 1 ) x. m ) ) + _pi ) ) ) ) $.
      $( Lemma for ~ lgamgulm .  (Contributed by Mario Carneiro,
         3-Jul-2017.) $)
      lgamgulmlem4 $p |- ( ph -> seq 1 ( + , T ) e. dom ~~> ) $=
        ( caddc c1 wcel c2 cmul co cn vn cseq cli cdm cv cexp cdiv cmpt 2nn a1i
        nnmulcld nnzd cuz cfv cle wbr clog cpi cif eluzle adantl iftrued eluznn
        wa wceq sylan breq2 oveq1 oveq2d id oveq12d fveq2d oveq2 ifbieq12d ovex
        oveq1d ifex fvmpt syl eqid 3eqtr4d seqfeq cneg ccxp nnuz 1zzd 2cnd 1cnd
        nncnd addcld mulcld cre clt 1lt2 2re rere ax-mp breqtrri zetacvg climdm
        cr sylib cc simpr negcld cxpcld eqeltrd adantr sqcld cz expne0d divrecd
        nnne0d divassd cxpnegd cxpexpzd eqtr2d 3eqtr3d isermulc2 climrel divcld
        2z releldmi iserex mpbid nnred 1red readdcld remulcld nnsqcld peano2nnd
        nndivred nnrpd rpdivcld relogcld rpmulcld pire ifcld recnd mpbird ) ANE
        OUBUCUDZPNEQDRSZUBZUUAPAUUCNHTDQDONSZRSZHUEZQUFSZUGSZRSZUHZUUBUBZUUAANU
        AEUUJUUBAUUBAQDQTPAUIUJJUKZULAUAUEZUUBUMUNPZVDZUUBUUMUOUPZDUUEUUMQUFSZU
        GSZRSZDUUMONSZUUMUGSZUQUNZRSZUUDUUMRSZUQUNZURNSZNSZUSZUUSUUMEUNZUUMUUJU
        NZUUOUUPUUSUVGUUNUUPAUUBUUMUTVAVBUUOUUMTPZUVIUVHVEZAUUBTPUUNUVKUULUUMUU
        BVCVFZHUUMUUBUUFUOUPZUUIDUUFONSZUUFUGSZUQUNZRSZUUDUUFRSZUQUNZURNSZNSZUS
        UVHTEUUFUUMVEZUVNUUPUUIUWBUUSUVGUUFUUMUUBUOVGUWCUUHUURDRUWCUUGUUQUUEUGU
        UFUUMQUFVHVIVIZUWCUVRUVCUWAUVFNUWCUVQUVBDRUWCUVPUVAUQUWCUVOUUTUUFUUMUGU
        UFUUMONVHUWCVJVKVLVIUWCUVTUVEURNUWCUVSUVDUQUUFUUMUUDRVMVLVPVKVNMUUPUUSU
        VGDUURRVOZUVCUVFNVOVQVRZVSUUOUVKUVJUUSVEZUVMHUUMUUIUUSTUUJUWDUUJVTUWEVR
        ZVSWAWBANUUJOUBZUUAPZUUKUUAPAUWIDUUERSZNHTUUFQWCZWDSZUHZOUBZUCUNZRSZUCU
        PUWJAUWPUWKUAUWNUUJOTWEAWFADUUEADJWIZAQUUDAWGZADOUWRAWHWJWKWKAUWOUUAPUW
        OUWPUCUPAQUAUWNUWSOQWLUNZWMUPAOQUWTWMWNQXAPZUWTQVEWOQWPWQWRUJUVKUUMUWNU
        NZUUMUWLWDSZVEAHUUMUWMUXCTUWNUUFUUMUWLWDVHUWNVTUUMUWLWDVOVRVAZWSUWOWTXB
        AUVKVDZUXBUXCXCUXDUXEUUMUWLUXEUUMAUVKXDZWIZUXEQUXEWGZXEXFXGUXEUUSUWKUXC
        RSZUVJUWKUXBRSUXEUWKUUQUGSUWKOUUQUGSZRSUUSUXIUXEUWKUUQUXEDUUEADXCPUVKUW
        RXHZUXEQUUDUXHUXEDOUXKUXEWHWJWKZWKUXEUUMUXGXIZUXEUUMQUXGUXEUUMUXFXMZQXJ
        PUXEYBUJZXKZXLUXEDUUEUUQUXKUXLUXMUXPXNUXEUXJUXCUWKRUXEUXCOUUMQWDSZUGSUX
        JUXEUUMQUXGUXNUXHXOUXEUXQUUQOUGUXEUUMQUXGUXNUXOXPVIXQVIXRUVKUWGAUWHVAZU
        XEUXBUXCUWKRUXDVIWAXSUWIUWQUCXTYCVSAUAUUJOUUBTWEUULUXEUVJUUSXCUXRUXEDUU
        RUXKUXEUUEUUQUXLUXMUXPYAWKXGYDYEXGAUAEOUUBTWEUULUXEUVIUXEUVIUVHXAUVKUVL
        AUWFVAUXEUUPUUSUVGXAUXEDUURUXEDADTPUVKJXHZYFZUXEUUEUUQUXEQUUDUXAUXEWOUJ
        UXEDOUXTUXEYGYHYIUXEUUMUXFYJYLYIUXEUVCUVFUXEDUVBUXTUXEUVAUXEUUTUUMUXEUU
        TUXEUUMUXFYKYMUXEUUMUXFYMZYNYOYIUXEUVEURUXEUVDUXEUUDUUMUXEUUDUXEDUXSYKY
        MUYAYPYOURXAPUXEYQUJYHYHYRXGYSYDYT $.

      $( Lemma for ~ lgamgulm .  (Contributed by Mario Carneiro,
         3-Jul-2017.) $)
      lgamgulmlem5 $p |- ( ( ph /\ ( n e. NN /\ y e. U ) ) ->
        ( abs ` ( ( G ` n ) ` y ) ) <_ ( T ` n ) ) $=
        ( c1 caddc co cfv cle vt cv cn wcel wa cdiv clog cmul cmin cabs c2 cexp
        wbr cpi cif breq2 adantr cn0 wral crab weq fveq2 breq1d fvoveq1 ralbidv
        cc breq2d anbi12d cbvrabv eqtri simplrl simprr simpr lgamgulmlem3 wn cz
        cdif wss lgamgulmlem1 sseldd eldifad simprl peano2nnd rpdivcld relogcld
        nnrpd recnd mulcld nncnd nnne0d divcld 1cnd addcld logcld subcld abscld
        dmgmdivn0 readdcld nnred remulcld rpmulcld pire abs2dif2d absmuld rpred
        cr a1i mulid2d lep1d eqbrtrd 1red lemuldivd mpbid logge0d absidd oveq2d
        eqtrd elrab2 ad2antll cc0 crp wceq nnrecred oveq2 fveq2d eqtr2d absdivd
        1rp letrd rpge0d 3brtr3d logled leadd1dd cmpt oveq12d fvoveq1d ad2antrl
        oveq1 fvmpt ovex simprbi simpld lemul1ad absrpcld abslogle syl2anc cneg
        relogdiv sylancr log1 oveq1i df-neg eqtr4i eqtr2di 0le1 lediv2ad simprd
        nnnn0d rspcdva lediv1dd recdiv2d divdird dividd 3eqtrrd rpreccld oveq2i
        wne abstrid abs1 breqtrdi absge0d nnge1d lediv12ad lemulge11d mpbir2and
        div1d absled le2addd ifbothda id mpteq2dv cnex rabex2 mptex fveq1d eqid
        oveq1d ifbieq12d ifex 3brtr4d ) AJUBZUCUDZCUBZGUDZUEZUEZUWMUWKPQRZUWKUF
        RZUGSZUHRZUWMUWKUFRZPQRZUGSZUIRZUJSZUKEUHRZUWKTUMZEUKEPQRZUHRZUWKUKULRZ
        UFRZUHRZEUWSUHRZUXHUWKUHRZUGSZUNQRZQRZUOZUWMUWKKSZSZUJSUWKFSZTUXGUXEUXL
        TUMUXEUXQTUMZUXEUXRTUMUWPUXLUXQUXLUXRUXETUPUXQUXRUXETUPUWPUXGUEUAUWMEGH
        UWKUWPEUCUDZUXGAUYCUWOLUQZUQGBUBZUJSZETUMZPEUFRZUYEHUBZQRUJSZTUMZHURUSZ
        UEZBVFUTUAUBZUJSZETUMZUYHUYNUYIQRUJSZTUMZHURUSZUEZUAVFUTMUYMUYTBUAVFBUA
        VAZUYGUYPUYLUYSVUAUYFUYOETUYEUYNUJVBVCVUAUYKUYRHURVUAUYJUYQUYHTUYEUYNUY
        IUJQVDVGVEVHVIVJAUWLUWNUXGVKUWPUWNUXGAUWLUWNVLZUQUWPUXGVMVNUWPUYBUXGVOU
        WPUXEUWTUJSZUXCUJSZQRUXQUWPUXDUWPUWTUXCUWPUWMUWSUWPUWMVFVPUCVQZUWPGVFVU
        EVQZUWMAGVUFVRUWOABEGHLMVSUQVUBVTZWAZUWPUWSUWPUWRUWPUWQUWKUWPUWQUWPUWKA
        UWLUWNWBZWCWFUWPUWKVUIWFZWDZWEZWGZWHZUWPUXBUWPUXAPUWPUWMUWKVUHUWPUWKVUI
        WIZUWPUWKVUIWJZWKZUWPWLZWMZUWPUWMUWKVUGVUIWQZWNZWOWPUWPVUCVUDUWPUWTVUNW
        PZUWPUXCVVAWPZWRUWPUXMUXPUWPEUWSUWPEUYDWSZVULWTZUWPUXOUNUWPUXNUWPUXHUWK
        UWPUXHUWPEUYDWCZWFZVUJXAZWEZUNXFUDUWPXBXGZWRZWRUWPUWTUXCVUNVVAXCUWPVUCV
        UDUXMUXPVVBVVCVVEVVKUWPVUCUWMUJSZUWSUHRZUXMTUWPVUCVVLUWSUJSZUHRVVMUWPUW
        MUWSVUHVUMXDUWPVVNUWSVVLUHUWPUWSVULUWPUWRUWPUWRVUKXEUWPPUWKUHRZUWQTUMPU
        WRTUMUWPVVOUWKUWQTUWPUWKVUOXHUWPUWKUWPUWKVUIWSZXIXJUWPPUWQUWKUWPXKZUWPU
        WKPVVPVVQWRVUJXLXMXNZXOXPXQUWPVVLEUWSUWPUWMVUHWPZVVDVULVVRUWPVVLETUMZUY
        HUWMUYIQRZUJSZTUMZHURUSZUWNVVTVWDUEZAUWLUWNUWMVFUDVWEUYMVWEBUWMVFGBCVAZ
        UYGVVTUYLVWDVWFUYFVVLETUYEUWMUJVBVCVWFUYKVWCHURVWFUYJVWBUYHTUYEUWMUYIUJ
        QVDVGVEVHMXRUUAXSZUUBZUUCXJUWPVUDUXBUJSZUGSZUJSZUNQRZUXPVVCUWPVWKUNUWPV
        WJUWPVWJUWPVWIUWPUXBVUSVUTUUDZWEZWGWPZVVJWRVVKUWPUXBVFUDUXBXTUVGVUDVWLT
        UMVUSVUTUXBUUEUUFUWPVWKUXOUNVWOVVIVVJUWPVWKUXOTUMUXOUUGZVWJTUMVWJUXOTUM
        ZUWPVWPPUXNUFRZUGSZVWJTUWPVWSPUGSZUXOUIRZVWPUWPPYAUDZUXNYAUDVWSVXAYBYHV
        VHPUXNUUHUUIVXAXTUXOUIRVWPVWTXTUXOUIUUJUUKUXOUULUUMUUNUWPVWRVWITUMVWSVW
        JTUMUWPPUXHUFRZUWKUFRUWMUWKQRZUJSZUWKUFRZVWRVWITUWPVXCVXEUWKUWPUXHVVFYC
        ZUWPVXDUWPUWMUWKVUHVUOWMZWPZVUJUWPVXCUYHVXEVXGUWPEUYDYCVXIUWPEUXHPUWPEU
        YDWFVVGVVQXTPTUMUWPUUOXGUWPEVVDXIUUPUWPVWCUYHVXETUMHURUWKHJVAZVWBVXEUYH
        TVXJVWAVXDUJUYIUWKUWMQYDYEVGUWPVVTVWDVWGUUQUWPUWKVUIUURUUSYIUUTUWPUXHUW
        KUWPUXHVVFWIVUOUWPUXHVVFWJVUPUVAUWPVWIVXDUWKUFRZUJSVXEUWKUJSZUFRVXFUWPU
        XBVXKUJUWPVXKUXAUWKUWKUFRZQRUXBUWPUWMUWKUWKVUHVUOVUOVUPUVBUWPVXMPUXAQUW
        PUWKVUOVUPUVCXPYFYEUWPVXDUWKVXHVUOVUPYGUWPVXLUWKVXEUFUWPUWKVVPUWPUWKVUJ
        YJXOZXPUVDYKUWPVWRVWIUWPUXNVVHUVEVWMYLXMXJUWPVWIUXNTUMVWQUWPVWIUXHUXNUW
        PUXBVUSWPZUWPEPVVDVVQWRZUWPUXNVVHXEUWPVWIUXAUJSZPQRZUXHVXOUWPVXQPUWPUXA
        VUQWPZVVQWRVXPUWPVWIVXQPUJSZQRVXRTUWPUXAPVUQVURUVHVXTPVXQQUVIUVFUVJUWPV
        XQEPVXSVVDVVQUWPVVLUWKUFRZEPUFRVXQETUWPVVLEPUWKVVSVVDVXBUWPYHXGVVPUWPUW
        MVUHUVKVWHUWPUWKVUIUVLZUVMUWPVXQVVLVXLUFRVYAUWPUWMUWKVUHVUOVUPYGUWPVXLU
        WKVVLUFVXNXPYFUWPEUWPEUYDWIUVPYKYMYIUWPUXHUWKVXPVVPUWPUXHVVGYJVYBUVNYIU
        WPVWIUXNVWMVVHYLXMUWPVWJUXOVWNVVIUVQUVOYMYIUVRYIUQUVSUWPUXTUXDUJUWPUXTU
        WMDGDUBZUWSUHRZVYCUWKUFRZPQRUGSZUIRZYNZSZUXDUWPUWMUXSVYHUWLUXSVYHYBAUWN
        IUWKDGVYCIUBZPQRZVYJUFRZUGSZUHRZVYCVYJUFRZPQRUGSZUIRZYNVYHUCKIJVAZDGVYQ
        VYGVYRVYNVYDVYPVYFUIVYRVYMUWSVYCUHVYRVYLUWRUGVYRVYKUWQVYJUWKUFVYJUWKPQY
        RVYRUVTYOYEZXPVYRVYOVYEPUGQVYJUWKVYCUFYDYPYOUWANDGVYGUYMBVFGMUWBUWCUWDY
        SYQUWEUWNVYIUXDYBAUWLDUWMVYGUXDGVYHDCVAZVYDUWTVYFUXCUIVYCUWMUWSUHYRVYTV
        YEUXAPUGQVYCUWMUWKUFYRYPYOVYHUWFUWTUXCUIYTYSXSXQYEUWLUYAUXRYBAUWNIUWKUX
        FVYJTUMZEUXIVYJUKULRZUFRZUHRZEVYMUHRZUXHVYJUHRZUGSZUNQRZQRZUOUXRUCFVYRW
        UAUXGWUDWUIUXLUXQVYJUWKUXFTUPVYRWUCUXKEUHVYRWUBUXJUXIUFVYJUWKUKULYRXPXP
        VYRWUEUXMWUHUXPQVYRVYMUWSEUHVYSXPVYRWUGUXOUNQVYRWUFUXNUGVYJUWKUXHUHYDYE
        UWGYOUWHOUXGUXLUXQEUXKUHYTUXMUXPQYTUWIYSYQUWJ $.

      $d m ph $.
      $( The series ` G ` is uniformly convergent on the compact region ` U ` ,
         which describes a circle of radius ` R ` with holes of size ` 1 / R `
         around the poles of the gamma function.  (Contributed by Mario
         Carneiro, 9-Jul-2017.) $)
      lgamgulmlem6 $p |- ( ph -> ( seq 1 ( oF + , G ) e. dom ( ~~>u ` U ) /\
        ( seq 1 ( oF + , G ) ( ~~>u ` U ) ( z e. U |-> O ) ->
          E. r e. RR A. z e. U ( abs ` O ) <_ r ) ) ) $=
        ( cfv wcel cle cn co vy vn caddc cof c1 cseq culm cdm cmpt cabs cv wral
        wbr cr wrex wi cvv nnuz 1zzd cdiv cn0 wa cnex rabex2 a1i clog cmul cmin
        cc cmap wf cz cdif lgamgulmlem1 ad2antrr simpr sseldd eldifad peano2nnd
        wss simplr nnrpd rpdivcld relogcld recnd mulcld nnne0d divcld dmgmdivn0
        nncnd 1cnd addcld logcld subcld fmpttd elmap sylibr fmptd cexp cpi nnex
        c2 cif mptex eqeltri adantr 2re 1red readdcld remulcld nnsqcld nndivred
        nnred rpmulcld pire ifcld ffvelrnda lgamgulmlem5 lgamgulmlem4 mtest cli
        adantlr mtestbdd nfcv nffvmpt1 nffv nfv weq 2fveq3 breq1d cbvralw ulmcl
        nfbr wb adantl eqid fmpt fvmpt2 fveq2d ralimiaa ralbi 3syl syl5bb mpbid
        rexbidv ex jca ) AUCUDIUEUFZFUGPZUHQUUHCFJUIZUUIUMZJUJPZKUKZRUMZCFULZKU
        NUOZUPAUAFUBIEUEUQUQSURAUSFUQQZABUKZUJPDRUMUEDUTTUURGUKUCTUJPRUMGVAULVB
        BVIFMVCVDZVEAHSCFCUKZHUKZUEUCTZUVAUTTZVFPZVGTZUUTUVAUTTZUEUCTZVFPZVHTZU
        IZVIFVJTZIAUVASQZVBZFVIUVJVKUVJUVKQUVMCFUVIVIUVMUUTFQZVBZUVEUVHUVOUUTUV
        DUVOUUTVIVLSVMZUVOFVIUVPVMZUUTAFUVQVTUVLUVNABDFGLMVNVOUVMUVNVPVQZVRZUVO
        UVDUVOUVCUVOUVBUVAUVOUVBUVOUVAAUVLUVNWAZVSWBUVOUVAUVTWBWCWDWEWFUVOUVGUV
        OUVFUEUVOUUTUVAUVSUVOUVAUVTWJUVOUVAUVTWGWHUVOWKWLUVOUUTUVAUVRUVTWIWMWNW
        OVIFUVJVCUUSWPWQNWRZEUQQZAEHSXBDVGTUVARUMZDXBDUEUCTZVGTZUVAXBWSTZUTTZVG
        TZDUVDVGTZUWDUVAVGTZVFPZWTUCTZUCTZXCZUIUQOHSUWNXAXDXEZVEASUNUBUKZEAHSUW
        NUNEUVMUWCUWHUWMUNUVMDUWGUVMDADSQUVLLXFZXMZUVMUWEUWFUVMXBUWDXBUNQUVMXGV
        EUVMDUEUWRUVMXHXIXJUVMUVAAUVLVPZXKXLXJUVMUWIUWLUVMDUVDUWRUVMUVCUVMUVBUV
        AUVMUVBUVMUVAUWSVSWBUVMUVAUWSWBZWCWDXJUVMUWKWTUVMUWJUVMUWDUVAUVMUWDUVMD
        UWQVSWBUWTXNWDWTUNQUVMXOVEXIXIXPOWRXQZABUACDEFGHUBILMNOXRZABCDEFGHILMNO
        XSZXTAUUKUUPAUUKVBZUAUKZUUJPZUJPZUUMRUMZUAFULZKUNUOUUPUXDKUAFUUJUBIEUEU
        QUQSURUXDUSUUQUXDUUSVEASUVKIVKUUKUWAXFUWBUXDUWOVEAUWPSQZUWPEPZUNQUUKUXA
        YBAUXJUXEFQVBUXEUWPIPPUJPUXKRUMUUKUXBYBAUCEUEUFYAUHQUUKUXCXFAUUKVPYCUXD
        UXIUUOKUNUXIUUTUUJPZUJPZUUMRUMZCFULZUXDUUOUXHUXNUACFCUXGUUMRCUXFUJCUJYD
        CFJUXEYEYFCRYDCUUMYDYMUXNUAYGUACYHUXGUXMUUMRUXEUUTUJUUJYIYJYKUXDJVIQZCF
        ULZUXNUUNYNZCFULUXOUUOYNUXDFVIUUJVKZUXQUUKUXSAFUUHUUJYLYOCFVIJUUJUUJYPZ
        YQWQUXPUXRCFUVNUXPVBZUXMUULUUMRUYAUXLJUJCFJVIUUJUXTYRYSYJYTUXNUUNCFUUAU
        UBUUCUUEUUDUUFUUG $.
    $}

    $( The series ` G ` is uniformly convergent on the compact region ` U ` ,
       which describes a circle of radius ` R ` with holes of size ` 1 / R `
       around the poles of the gamma function.  (Contributed by Mario Carneiro,
       3-Jul-2017.) $)
    lgamgulm $p |- ( ph -> seq 1 ( oF + , G ) e. dom ( ~~>u ` U ) ) $=
      ( vr caddc c1 cfv cmpt wbr c2 cmul co cof cseq culm cdm wcel cabs cv wral
      cle cr wrex wi cn cexp cdiv clog cpi cif eqid lgamgulmlem6 simpld ) AMUAH
      NUBZEUCOZUDUEVBCENPVCQNUFOLUGUIQCEUHLUJUKULABCDGUMRDSTGUGZUIQDRDNMTZSTVDR
      UNTUOTSTDVDNMTVDUOTUPOSTVEVDSTUPOUQMTMTURPZEFGHNLIJKVFUSUTVA $.

    $( Rewrite the limit of the sequence ` G ` in terms of the log-Gamma
       function.  (Contributed by Mario Carneiro, 6-Jul-2017.) $)
    lgamgulm2 $p |- ( ph -> ( A. z e. U ( log_G ` z ) e. CC /\
      seq 1 ( oF + , G ) ( ~~>u ` U )
        ( z e. U |-> ( ( log_G ` z ) + ( log ` z ) ) ) ) ) $=
      ( cfv cc wcel caddc c1 clog co cn cvv vn cv clgam wral cof cseq cmpt culm
      wbr wa cdiv cmul cmin csu cz cdif wceq lgamgulmlem1 sselda df-lgam fvmpt2
      ovex sylancl nnuz 1zzd oveq1 id oveq12d fveq2d oveq2d oveq2 fvoveq1d eqid
      fvmpt adantl eldifad adantr simpr peano2nnd nnrpd rpdivcld relogcld recnd
      mulcld nncnd nnne0d divcld 1cnd addcld dmgmdivn0 logcld subcld wf wfn cuz
      cmap 1z seqfn ax-mp fneq2i mpbir lgamgulm ulmdm sylib ulmf2 sylancr seqex
      cdm a1i seqeq3d fveq1d cabs cle cn0 rabex2 eleqtrdi cfz wss fz1ssnn ovexd
      cnex seqof2 adantlr eqtrd fvex ulmclm isumclim ulmcl syl ffvelrnda dmgmn0
      eqeltrd ralrimiva ffn 3syl nfcv nfmpt1 nfmpt nfcxfr nfseq 3eqtrrd breqtrd
      nffv dffn5f oveq1d npcand mpteq2dva jca ) ACUBZUCLZMNZCEUDOUEZHPUFZCEUUJU
      UIQLZORZUGZEUHLZUIAUUKCEAUUIENZUJZUUJSUUIUAUBZPORZUUTUKRZQLZULRZUUIUUTUKR
      ZPORZQLZUMRZUAUNZUUNUMRZMUUSUUIMUOSUPZUPZNZUVJTNUUJUVJUQAEUVLUUIABDEFIJUR
      USZUVIUUNUMVBCUVLUVJTUCCUAUTVAVCZUUSUVIUUNUUSUVIUUIUUMUUQLZLZMUUSUVHUVQUA
      GSUUIGUBZPORZUVRUKRZQLZULRZUUIUVRUKRZPORQLZUMRZUGZPSVDUUSVEZUUTSNZUUTUWFL
      UVHUQUUSGUUTUWEUVHSUWFUVRUUTUQZUWBUVDUWDUVGUMUWIUWAUVCUUIULUWIUVTUVBQUWIU
      VSUVAUVRUUTUKUVRUUTPOVFUWIVGVHVIVJUWIUWCUVEPQOUVRUUTUUIUKVKVLVHUWFVMUVDUV
      GUMVBVNVOUUSUWHUJZUVDUVGUWJUUIUVCUUSUUIMNUWHUUSUUIMUVKUVNVPZVQZUWJUVCUWJU
      VBUWJUVAUUTUWJUVAUWJUUTUUSUWHVRZVSVTUWJUUTUWMVTWAWBWCWDUWJUVFUWJUVEPUWJUU
      IUUTUWLUWJUUTUWMWEUWJUUTUWMWFWGUWJWHWIUWJUUIUUTUUSUVMUWHUVNVQUWMWJWKWLUUS
      UUIEUAUUMUVPOUWFPUFZPTSVDUWGASMEWPRUUMWMZUURAUUMSWNZUUMUVPUUQUIZUWOUWPUUM
      PWOLZWNZPUONUWSWQUULHPWRWSSUWRUUMVDWTXAAUUMUUQXHNUWQABCDEFGHIJKXBEUUMXCXD
      ZEUUMUVPSXEXFVQAUURVRZUWNTNUUSOUWFPXGXIUWJUUIUUTUUMLZLUUICEUUTUWNLZUGZLZU
      XCUWJUUIUXBUXDUWJUXBUUTUULGSCEUWEUGZUGZPUFZLZUXDUWJUUTUUMUXHUWJHUXGUULPHU
      XGUQUWJKXIXJXKAUWHUXIUXDUQUURAUWHUJZGCESOPUUTTTUWEETNUXJBUBZXLLDXMUIPDUKR
      UXKFUBORXLLXMUIFXNUDUJBMEJYAXOXIUXJUUTSUWRAUWHVRVDXPPUUTXQRSXRUXJUUTXSXIU
      XJUVRSNUURUJUJUWBUWDUMXTYBYCYDXKUWJUURUXCTNUXEUXCUQUUSUURUWHUXAVQUUTUWNYE
      CEUXCTUXDUXDVMVAVCYDAUWQUURUWTVQYFYGZAEMUUIUVPAUWQEMUVPWMZUWTEUUMUVPYHZYI
      YJYLZUUSUUIUWKUUSUUIUVNYKWKZWLYLYMAUUMUVPUUPUUQUWTAUVPCEUVQUGZUUPAUVPEWNZ
      UVPUXQUQAUWQUXMUXRUWTUXNEMUVPYNYOCEUVPCUUMUUQCUUQYPCUULHPCPYPCUULYPCHUXGK
      CGSUXFCSYPCEUWEYQYRYSYTUUCUUDXDACEUVQUUOUUSUUOUVJUUNORUVIUVQUUSUUJUVJUUNO
      UVOUUEUUSUVIUUNUXOUXPUUFUXLUUAUUGYDUUBUUH $.

    $( The log-Gamma function is bounded on the region ` U ` .  (Contributed by
       Mario Carneiro, 9-Jul-2017.) $)
    lgambdd $p |- ( ph ->
      E. r e. RR A. z e. U ( abs ` ( log_G ` z ) ) <_ r ) $=
      ( cfv caddc co cabs cle wbr cr wcel vy clgam clog wral wrex cof cseq cmpt
      cv c1 culm cc lgamgulm2 simprd cdm wi cmul cexp cdiv cpi cif lgamgulmlem6
      cn c2 eqid mpd crp nnrpd adantr relogcld pire a1i readdcld adantrr simpld
      wa simpr r19.21bi abscld cz wss lgamgulmlem1 sselda eldifad dmgmn0 logcld
      cdif addcld ad2antrr cmin cneg negcld abs2difd absnegd subnegd lesubadd2d
      oveq2d fveq2d 3brtr3d mpbid absrpcld cc0 wne abslogle syl2anc df-neg log1
      recnd oveq1i eqtr4i wceq 1rp relogdiv sylancr eqtr4id oveq2 breq2d breq1d
      cn0 fvoveq1 ralbidv anbi12d elrab2 simprbi adantl rspcdva addid1d breqtrd
      fveq2 0nn0 rpreccld logled eqbrtrd absled leadd1dd letrd simpllr leadd2dd
      mpbir2and ex ralimdva impr brralrspcev rexlimddv ) ACUIZUBMZUUEUCMZNOZPMZ
      UAUIZQRZCEUDZUUFPMZIUIQRCEUDISUEZUASANUFHUJUGZCEUUHUHEUKMZRZUULUASUEZAUUF
      ULTZCEUDZUUQABCDEFGHJKLUMZUNAUUOUUPUOTUUQUURUPABCDGVCVDDUQOGUIZQRDVDDUJNO
      ZUQOUVBVDUROUSOUQODUVBUJNOUVBUSOUCMUQOUVCUVBUQOUCMUTNONOVAUHZEFGHUUHUAJKL
      UVDVEVBUNVFAUUJSTZUULVPVPDUCMZUTNOZUUJNOZSTZUUMUVHQRZCEUDZUUNAUVEUVIUULAU
      VEVPZUVGUUJUVLUVFUTUVLDADVGTZUVEADJVHVIZVJUTSTZUVLVKVLVMAUVEVQVMZVNAUVEUU
      LUVKUVLUUKUVJCEUVLUUEETZVPZUUKUVJUVRUUKVPZUUMUVGUUINOZUVHUVRUUMSTUUKUVRUU
      FUVLUUSCEAUUTUVEAUUTUUQUVAVOVIVRZVSZVIUVRUVTSTUUKUVRUVGUUIUVRUVFUTUVRDUVL
      UVMUVQUVNVIZVJZUVOUVRVKVLZVMZUVRUUHUVRUUFUUGUWAUVRUUEUVRUUEULVTVCWGZUVLEU
      LUWGWGZUUEAEUWHWAUVEABDEFJKWBVIWCZWDZUVRUUEUWIWEZWFZWHVSZVMZVIUVLUVIUVQUU
      KUVPWIUVRUUMUVTQRUUKUVRUUMUUGPMZUUINOZUVTUWBUVRUWOUUIUVRUUGUWLVSZUWMVMUWN
      UVRUUMUWOWJOZUUIQRUUMUWPQRUVRUUMUUGWKZPMZWJOUUFUWSWJOZPMUWRUUIQUVRUUFUWSU
      WAUVRUUGUWLWLWMUVRUWTUWOUUMWJUVRUUGUWLWNWQUVRUXAUUHPUVRUUFUUGUWAUWLWOWRWS
      UVRUUMUWOUUIUWBUWQUWMWPWTUVRUWOUVGUUIUWQUWFUWMUVRUWOUUEPMZUCMZPMZUTNOZUVG
      UWQUVRUXDUTUVRUXCUVRUXCUVRUXBUVRUUEUWJUWKXAZVJZXHVSZUWEVMUWFUVRUUEULTZUUE
      XBXCUWOUXEQRUWJUWKUUEXDXEUVRUXDUVFUTUXHUWDUWEUVRUXDUVFQRUVFWKZUXCQRUXCUVF
      QRZUVRUXJUJDUSOZUCMZUXCQUVRUXJUJUCMZUVFWJOZUXMUXJXBUVFWJOUXOUVFXFUXNXBUVF
      WJXGXIXJUVRUJVGTUVMUXMUXOXKXLUWCUJDXMXNXOUVRUXLUXBQRUXMUXCQRUVRUXLUUEXBNO
      ZPMZUXBQUVRUXLUUEFUIZNOZPMZQRZUXLUXQQRFXSXBUXRXBXKZUXTUXQUXLQUYBUXSUXPPUX
      RXBUUENXPWRXQUVRUXBDQRZUYAFXSUDZUVQUYCUYDVPZUVLUVQUXIUYEBUIZPMZDQRZUXLUYF
      UXRNOPMZQRZFXSUDZVPUYEBUUEULEUYFUUEXKZUYHUYCUYKUYDUYLUYGUXBDQUYFUUEPYIXRU
      YLUYJUYAFXSUYLUYIUXTUXLQUYFUUEUXRPNXTXQYAYBKYCYDYEZUNXBXSTUVRYJVLYFUVRUXP
      UUEPUVRUUEUWJYGWRYHUVRUXLUXBUVRDUWCYKUXFYLWTYMUVRUYCUXKUVRUYCUYDUYMVOUVRU
      XBDUXFUWCYLWTUVRUXCUVFUXGUWDYNYSYOYPYOYPVIUVSUUIUUJUVGUVRUUISTUUKUWMVIAUV
      EUVQUUKYQUVRUVGSTUUKUWFVIUVRUUKVQYRYPYTUUAUUBICUUMUVHQSEUUCXEUUD $.
  $}

  ${
    $d a k m n r t x z A $.  $d n r z G $.  $d a J $.  $d a k m n r t x z ph $.
    $d a m n t z U $.
    lgamucov.u $e |- U = { x e. CC | ( ( abs ` x ) <_ r /\
      A. k e. NN0 ( 1 / r ) <_ ( abs ` ( x + k ) ) ) } $.
    lgamucov.a $e |- ( ph -> A e. ( CC \ ( ZZ \ NN ) ) ) $.
    ${
      lgamucov.j $e |- J = ( TopOpen ` CCfld ) $.
      $( The ` U ` regions used in the proof of ~ lgamgulm have interiors which
         cover the entire domain of the Gamma function.  (Contributed by Mario
         Carneiro, 6-Jul-2017.) $)
      lgamucov $p |- ( ph -> E. r e. NN A e. ( ( int ` J ) ` U ) ) $=
        ( cabs cfv co cc wcel a1i wa clt wbr adantr va cv cmin ccom cbl cz cdif
        cn wss cnt wrex crp cxmet cnxmet ccld difss sszcld cnfldtopon toponunii
        cldopn mp2b cnfldtopn mopni2 mp3an2i caddc c2 cdiv eldifad abscld rpred
        cr simprl readdcld 2re rerpdivcld arch syl ctop cnfldtop cle cn0 ssrab3
        c1 wral cxr ad2antrr rphalfcld rpxrd blopn simplr simp-4r nnred ad4antr
        crab resubcld rehalfcld subcld abs2difd wceq eqid syl2anc abssubd eqtrd
        cnmetdval simpr eqbrtrrd lelttrd rphalflt lttrd ltsubadd2d 2rp rpdivcld
        ltaddrpd simpllr nnrecred nn0cnd addcld ad5antr ad6antr dmgmn0 absrpcld
        mpbid ltled rpaddcld ltaddrp2d nnrpd ltrecd 2cnd rpcnd cc0 2ne0 recdivd
        wne rpne0d breqtrd cneg wn wb syl22anc ex simprbi negnegd eqeltrd nsyl3
        eldmgm ad3antrrr negcld elbl2 subnegd fveq2d breq1d ltnled 3bitrd elbl3
        mpbird blhalf simprr sstrd sseld sylbird ltletrd ralrimiva jca ss2rabdv
        mt3d blval 3sstr4d ssntr blcntr sseldd reximdva mpd rexlimddv ) ACUAUBZ
        KUCUDZUELZMZNUFUHUGZUGZUIZCDFUJLLZOZGUHUKZUAULUVONUMLOZAUVSFOZCUVSOZUVT
        UAULUKUNUWEAUVRUFUIUVRFUOLOUWEUFUHUPUVRFJUQUVRFNNFFJURUSZUTVAPIUAUVSUVO
        CFNFJVBZVCVDAUVNULOZUVTQZQZCKLZUVNVEMZVFUVNVGMZVEMZGUBZRSZGUHUKZUWCUWKU
        WOVKOZUWRUWKUWMUWNUWKUWLUVNUWKCACNOZUWJACNUVRIVHTZVIZUWKUVNAUWIUVTVLZVJ
        ZVMZUWKVFUVNVFVKOUWKVNPUXCVOZVMZUWOGVPVQUWKUWQUWBGUHUWKUWPUHOZQZUWQUWBU
        XIUWQQZCUVNVFVGMZUVPMZUWACUXJFVROZDNUIZUXLFOZUXLDUIUXLUWAUIUXMUXJFJVSPU
        XNUXJBUBZKLZUWPVTSZWCUWPVGMZUXPEUBZVEMZKLZVTSZEWAWDZQZBNDHWBPUWDUXJUWTU
        XKWEOZUXOUNUWKUWTUXHUWQUXAWFZUXJUXKUXJUVNUWKUWIUXHUWQUXCWFZWGZWHZUVOCUX
        KFNUWHWIVDUXJCUXPUVOMZUXKRSZBNWNZUYEBNWNZUXLDUXJUYLUYEBNUXJUXPNOZQZUYLU
        YEUYPUYLQZUXRUYDUYQUXQUWPUYQUXPUXJUYOUYLWJZVIZUYQUWPUWKUXHUWQUYOUYLWKZW
        LZUYQUXQUWOUWPUYSUWKUWSUXHUWQUYOUYLUXGWMZVUAUYQUXQUWMUWOUYSUWKUWMVKOUXH
        UWQUYOUYLUXEWMZVUBUYQUXQUWLUCMZUVNRSUXQUWMRSUYQVUDUXKUVNUYQUXQUWLUYSUWK
        UWLVKOUXHUWQUYOUYLUXBWMZWOZUYQUVNUWKUVNVKOZUXHUWQUYOUYLUXDWMZWPZVUHUYQV
        UDUXPCUCMZKLZUXKVUFUYQVUJUYQUXPCUYRUXJUWTUYOUYLUYGWFZWQVIVUIUYQUXPCUYRV
        ULWRUYQUYKVUKUXKRUYQUYKCUXPUCMKLZVUKUYQUWTUYOUYKVUMWSVULUYRCUXPUVOUVOWT
        ZXDXAUYQCUXPVULUYRXBXCUYPUYLXEXFXGUYQUWIUXKUVNRSUXJUWIUYOUYLUYHWFZUVNXH
        VQXIUYQUXQUWLUVNUYSVUEVUHXJYBUYQUWMUWNVUCUYQVFUVNVFULOUYQXKPVUOXLZXMXIU
        XIUWQUYOUYLXNXIYCUYQUYCEWAUYQUXTWAOZQZUXSUYBVURUWPUYQUXHVUQUYTTZXOZVURU
        YAVURUXPUXTUXJUYOUYLVUQXNZVURUXTUYQVUQXEZXPZXQVIZVURUXSUXKUYBVUTUYQUXKV
        KOVUQVUITZVVDVURUXSWCUWNVGMZUXKRVURUWNUWPRSUXSVVFRSVURUWNUWOUWPUWKUWNVK
        OUXHUWQUYOUYLVUQUXFXRZUYQUWSVUQVUBTUYQUWPVKOVUQVUATVURUWNUWMVVGVURUWLUV
        NVURCUYQUWTVUQVULTZVURCAUWFUWJUXHUWQUYOUYLVUQIXSXTYAUYQUWIVUQVUOTZYDYEU
        XIUWQUYOUYLVUQWKXIVURUWNUWPUYQUWNULOVUQVUPTVURUWPVUSYFYGYBVURVFUVNVURYH
        VURUVNVVIYIVFYJYMVURYKPVURUVNVVIYNYLYOVURUXKUYBVTSZUXTYPZUVSOZVVLVVKYPZ
        WAOZVURVVLVVKNOZVVNYQVVKUUEUUAVURVVMUXTWAVURUXTVVCUUBVVBUUCUUDVURVVJYQZ
        VVKUXPUXKUVPMZOZVVLVURVVRUXPVVKUVOMZUXKRSZUYBUXKRSVVPVURUWDUYFUYOVVOVVR
        VVTYRUWDVURUNPZUXJUYFUYOUYLVUQUYJUUFZVVAVURUXTVVCUUGZVVKUVOUXPUXKNUUHYS
        VURVVSUYBUXKRVURVVSUXPVVKUCMZKLZUYBVURUYOVVOVVSVWEWSVVAVWCUXPVVKUVOVUNX
        DXAVURVWDUYAKVURUXPUXTVVAVVCUUIUUJXCUUKVURUYBUXKVVDVVEUULUUMVURVVQUVSVV
        KVURVVQUVQUVSVURUWDUYOVUGCVVQOZVVQUVQUIVWAVVAUYQVUGVUQVUHTVURVWFUYLUYPU
        YLVUQWJVURUWDUYFUYOUWTVWFUYLYRVWAVWBVVAVVHCUVOUXPUXKNUUNYSUUOUVNUVONUXP
        CUUPYSUWKUVTUXHUWQUYOUYLVUQAUWIUVTUUQXRUURUUSUUTUVEUVAYCUVBUVCYTUVDUWDU
        XJUWTUYFUXLUYMWSUNUYGUYJBUVOCUXKNUVFVDDUYNWSUXJHPUVGDFUXLNUWGUVHYSUWDUX
        JUWTUXKULOCUXLOUNUYGUYIUVOCUXKNUVIVDUVJYTUVKUVLUVM $.
    $}

    $( The ` U ` regions used in the proof of ~ lgamgulm have interiors which
       cover the entire domain of the Gamma function.  (Contributed by Mario
       Carneiro, 8-Jul-2017.) $)
    lgamucov2 $p |- ( ph -> E. r e. NN A e. U ) $=
      ( ccnfld cfv wcel cn wrex cc wss cv cabs cle wbr co cnt lgamucov cnfldtop
      ctopn eqid ctop c1 cdiv caddc cn0 wral ssrab3 unicntop ntrss2 mp2an sseli
      wa reximi syl ) ACDIUDJZUAJJZKZFLMCDKZFLMABCDEUTFGHUTUEZUBVBVCFLVADCUTUFK
      DNOVADOUTVDUCBPZQJFPZRSUGVFUHTVEEPUITQJRSEUJUKUQBNDGULDUTNUMUNUOUPURUS $.

    lgamcvglem.g $e |- G = ( m e. NN |->
    ( ( A x. ( log ` ( ( m + 1 ) / m ) ) ) - ( log ` ( ( A / m ) + 1 ) ) ) ) $.
    $( Lemma for ~ lgamf and ~ lgamcvg .  (Contributed by Mario Carneiro,
       8-Jul-2017.) $)
    lgamcvglem $p |- ( ph -> ( ( log_G ` A ) e. CC /\
      seq 1 ( + , G ) ~~> ( ( log_G ` A ) + ( log ` A ) ) ) ) $=
      ( vz wcel cfv cc caddc c1 co wa cn vt vn clgam cseq clog cli lgamucov2 cv
      wbr wceq fveq2 eleq1d wral cof cdiv cmul cmin cmpt culm cabs cle cn0 crab
      simprl breq1d fvoveq1 breq2d ralbidv anbi12d cbvrabv eqtri eqid lgamgulm2
      simpld simprr rspcdva cvv nnuz 1zzd wfn cmap wf cuz cz seqfn ax-mp fneq2i
      1z mpbir simprd ulmf2 sylancr seqex a1i rabex2 simpr eleqtrdi cfz fz1ssnn
      wss ovexd seqof2 simplr oveq1d fvoveq1d oveq12d mpteq2dva eqtr4di seqeq3d
      cnex fveq1d simplrr fvexd fvmptd ulmclm ovex fvmpt syl breqtrd rexlimddv
      jca ) ACDMZCUCNZOMZPGQUDZYCCUENZPRZUFUIZSHTABCDEHIJUGAHUHZTMZYBSSZYDYHYKL
      UHZUCNZOMZYDLDCYLCUJZYMYCOYLCUCUKZULYKYNLDUMZPUNZFTLDYLFUHZQPRYSUORUENZUP
      RZYLYSUORZQPRUENZUQRZURURZQUDZLDYMYLUENZPRZURZDUSNUIZYKUALYIDEFUUEAYJYBVD
      DBUHZUTNZYIVAUIZQYIUORZUUKEUHZPRUTNZVAUIZEVBUMZSZBOVCUAUHZUTNZYIVAUIZUUNU
      UTUUOPRUTNZVAUIZEVBUMZSZUAOVCIUUSUVFBUAOUUKUUTUJZUUMUVBUURUVEUVGUULUVAYIV
      AUUKUUTUTUKVEUVGUUQUVDEVBUVGUUPUVCUUNVAUUKUUTUUOUTPVFVGVHVIVJVKUUEVLVMZVN
      AYJYBVOZVPYKYECUUINZYGUFYKCDUBUUFUUIYEQVQTVRYKVSYKUUFTVTZUUJTODWARUUFWBUV
      KUUFQWCNZVTZQWDMUVMWHYRUUEQWEWFTUVLUUFVRWGWIYKYQUUJUVHWJZDUUFUUITWKWLUVIY
      EVQMYKPGQWMWNYKUBUHZTMZSZLCUVOPFTUUDURZQUDZNUVOYENDUVOUUFNVQUVQFLDTPQUVOV
      QVQUUDDVQMUVQUUSBODIXJWOWNUVQUVOTUVLYKUVPWPVRWQQUVOWRRTWTUVQUVOWSWNUVQYST
      MZYLDMSSUUAUUCUQXAXBUVQYOSZUVOUVSYEUWAUVRGPQUWAUVRFTCYTUPRZCYSUORZQPRUENZ
      UQRZURGUWAFTUUDUWEUWAUVTSZUUAUWBUUCUWDUQUWFYLCYTUPUVQYOUVTXCZXDUWFUUBUWCQ
      UEPUWFYLCYSUOUWGXDXEXFXGKXHXIXKAYJYBUVPXLUVQUVOYEXMXNUVNXOYKYBUVJYGUJUVIL
      CUUHYGDUUIYOYMYCUUGYFPYPYLCUEUKXFUUIVLYCYFPXPXQXRXSYAXT $.
  $}

  ${
    $d k n r x A $.
    $( The log-Gamma function is a complex function defined on the whole
       complex plane except for the negative integers.  (Contributed by Mario
       Carneiro, 8-Jul-2017.) $)
    lgamcl $p |- ( A e. ( CC \ ( ZZ \ NN ) ) -> ( log_G ` A ) e. CC ) $=
      ( vn vx vr vk cc cn cdif wcel cfv caddc cv c1 cdiv clog wbr cabs cle eqid
      co cz clgam cmul cmin cmpt cseq cli cn0 wral wa crab id lgamcvglem simpld
      ) AFUAGHHIZAUBJZFIKBGABLZMKTUQNTOJUCTAUQNTMKTOJUDTUEZMUFUPAOJKTUGPUOCACLZ
      QJDLZRPMUTNTUSELKTQJRPEUHUIUJCFUKZEBURDVASUOULURSUMUN $.

    $( The log-Gamma function is a complex function defined on the whole
       complex plane except for the negative integers.  (Contributed by Mario
       Carneiro, 6-Jul-2017.) $)
    lgamf $p |- log_G : ( CC \ ( ZZ \ NN ) ) --> CC $=
      ( vx vn cc cz cn cdif clgam wf wtru cv c1 caddc co cdiv clog cfv cmul csu
      cmin wcel cvv wa ovexd cmpt wceq df-lgam a1i lgamcl adantl fmpt2d mptru )
      CDEFFZCGHIAAULEAJZBJZKLMUNNMOPQMUMUNNMKLMOPSMBRZUMOPZSMZCGUAIUMULTZUBUOUP
      SUCGAULUQUDUEIABUFUGURUMGPCTIUMUHUIUJUK $.

    $( The Gamma function is a complex function defined on the whole complex
       plane except for the negative integers.  (Contributed by Mario Carneiro,
       6-Jul-2017.) $)
    gamf $p |- _G : ( CC \ ( ZZ \ NN ) ) --> CC $=
      ( cc cz cn cdif cgam wf clgam ccom eff lgamf fco mp2an df-gam feq1i mpbir
      ce ) ABCDDZAEFQAPGHZFZAAPFQAGFSIJQAAPGKLQAERMNO $.

    $( The exponential of the log-Gamma function is the Gamma function (by
       definition).  (Contributed by Mario Carneiro, 8-Jul-2017.) $)
    gamcl $p |- ( A e. ( CC \ ( ZZ \ NN ) ) -> ( _G ` A ) e. CC ) $=
      ( cc cz cn cdif cgam gamf ffvelrni ) BCDEEBAFGH $.

    $( The exponential of the log-Gamma function is the Gamma function (by
       definition).  (Contributed by Mario Carneiro, 8-Jul-2017.) $)
    eflgam $p |- ( A e. ( CC \ ( ZZ \ NN ) ) ->
      ( exp ` ( log_G ` A ) ) = ( _G ` A ) ) $=
      ( cc cz cn cdif wcel cgam ce clgam ccom df-gam fveq1i wf wceq lgamf fvco3
      cfv mpan eqtr2id ) ABCDEEZFZAGQAHIJZQZAIQHQZAGUBKLTBIMUAUCUDNOTBAHIPRS $.

    $( The Gamma function is never zero.  (Contributed by Mario Carneiro,
       9-Jul-2017.) $)
    gamne0 $p |- ( A e. ( CC \ ( ZZ \ NN ) ) -> ( _G ` A ) =/= 0 ) $=
      ( cc cz cn cdif wcel clgam cfv ce cgam cc0 eflgam wne lgamcl syl eqnetrrd
      efne0 ) ABCDEEFZAGHZIHZAJHKALRSBFTKMANSQOP $.

    $( Value of the inverse Gamma function.  (Contributed by Mario Carneiro,
       16-Jul-2017.) $)
    igamval $p |- ( A e. CC ->
      ( 1/_G ` A ) = if ( A e. ( ZZ \ NN ) , 0 , ( 1 / ( _G ` A ) ) ) ) $=
      ( vx cv cz cn cdif wcel cc0 c1 cgam cfv cdiv co cc cigam wceq eleq1 fveq2
      cif oveq2d ifbieq2d df-igam c0ex ovex ifex fvmpt ) BABCZDEFZGZHIUGJKZLMZS
      AUHGZHIAJKZLMZSNOUGAPZUIULUKUNHUGAUHQUOUJUMILUGAJRTUABUBULHUNUCIUMLUDUEUF
      $.

    $( Value of the inverse Gamma function on nonpositive integers.
       (Contributed by Mario Carneiro, 16-Jul-2017.) $)
    igamz $p |- ( A e. ( ZZ \ NN ) -> ( 1/_G ` A ) = 0 ) $=
      ( cz cn cdif wcel cigam cfv cc0 c1 cgam cdiv cif wceq eldifi zcnd igamval
      co cc syl iftrue eqtrd ) ABCDEZAFGZUBHIAJGKQZLZHUBAREUCUEMUBAABCNOAPSUBHU
      DTUA $.

    $( Value of the inverse Gamma function in terms of the Gamma function.
       (Contributed by Mario Carneiro, 16-Jul-2017.) $)
    igamgam $p |- ( A e. ( CC \ ( ZZ \ NN ) ) ->
      ( 1/_G ` A ) = ( 1 / ( _G ` A ) ) ) $=
      ( cc cz cn cdif wcel wn wa cigam cfv c1 cgam cdiv co wceq cc0 cif igamval
      eldif iffalse sylan9eq sylbi ) ABCDEZEFABFZAUCFZGZHAIJZKALJMNZOABUCSUDUFU
      GUEPUHQUHARUEPUHTUAUB $.

    $( Value of the inverse Gamma function in terms of the log-Gamma function.
       (Contributed by Mario Carneiro, 16-Jul-2017.) $)
    igamlgam $p |- ( A e. ( CC \ ( ZZ \ NN ) ) ->
      ( 1/_G ` A ) = ( exp ` -u ( log_G ` A ) ) ) $=
      ( cc cz cn cdif wcel c1 clgam cfv ce cdiv co cgam cneg eflgam oveq2d wceq
      cigam lgamcl efneg syl igamgam 3eqtr4rd ) ABCDEEFZGAHIZJIZKLZGAMIZKLUENJI
      ZARIUDUFUHGKAOPUDUEBFUIUGQASUETUAAUBUC $.

    $( Closure of the inverse Gamma function.  (Contributed by Mario Carneiro,
       16-Jul-2017.) $)
    igamf $p |- 1/_G : CC --> CC $=
      ( vx cc cv cz cn cdif wcel cc0 c1 cgam cfv cdiv co cif cigam df-igam 0cnd
      wa wn eldif gamcl gamne0 reccld sylbir ifclda fmpti ) ABBACZDEFZGZHIUGJKZ
      LMZNOAPUGBGZUIHUKBULUIRQULUISRUGBUHFGZUKBGUGBUHTUMUJUGUAUGUBUCUDUEUF $.

    $( Closure of the inverse Gamma function.  (Contributed by Mario Carneiro,
       16-Jul-2017.) $)
    igamcl $p |- ( A e. CC -> ( 1/_G ` A ) e. CC ) $=
      ( cc wcel cigam cfv cz cn cdif cc0 c1 cgam cdiv co cif igamval wa 0cnd wn
      eldif gamcl gamne0 reccld sylbir ifclda eqeltrd ) ABCZADEAFGHZCZIJAKEZLMZ
      NBAOUFUHIUJBUFUHPQUFUHRPABUGHCZUJBCABUGSUKUIATAUAUBUCUDUE $.

    $( The Gamma function is the inverse of the inverse Gamma function.
       (Contributed by Mario Carneiro, 16-Jul-2017.) $)
    gamigam $p |- ( A e. ( CC \ ( ZZ \ NN ) ) ->
      ( _G ` A ) = ( 1 / ( 1/_G ` A ) ) ) $=
      ( cc cz cn cdif wcel c1 cigam cfv cdiv cgam igamgam oveq2d gamne0 recrecd
      co gamcl eqtr2d ) ABCDEEFZGAHIZJPGGAKIZJPZJPUASTUBGJALMSUAAQANOR $.
  $}

  ${
    $d k m n r x y A $.  $d k n y G $.  $d k m n r x y ph $.
    lgamcvg.g $e |- G = ( m e. NN |->
    ( ( A x. ( log ` ( ( m + 1 ) / m ) ) ) - ( log ` ( ( A / m ) + 1 ) ) ) ) $.
    lgamcvg.a $e |- ( ph -> A e. ( CC \ ( ZZ \ NN ) ) ) $.
    $( The series ` G ` converges to ` log_G ( A ) + log ( A ) ` .
       (Contributed by Mario Carneiro, 6-Jul-2017.) $)
    lgamcvg $p |- ( ph ->
      seq 1 ( + , G ) ~~> ( ( log_G ` A ) + ( log ` A ) ) ) $=
      ( vx vy vk clgam cfv cc wcel caddc c1 co wbr cv cabs cle cseq clog cli wa
      cdiv cn0 wral crab eqid lgamcvglem simprd ) ABJKZLMNDOUAULBUBKNPUCQAGBGRZ
      SKHRZTQOUNUEPUMIRNPSKTQIUFUGUDGLUHZICDHUOUIFEUJUK $.

    $( The series ` G ` converges to ` log_G ( A + 1 ) ` .  (Contributed by
       Mario Carneiro, 9-Jul-2017.) $)
    lgamcvg2 $p |- ( ph -> seq 1 ( + , G ) ~~> ( log_G ` ( A + 1 ) ) ) $=
      ( vk caddc c1 co cfv clog cmin cn cdiv cvv wcel cc0 cc wceq vn vr vx cseq
      clgam cli cmul cmpt nnuz 1zzd eqid cn0 1nn0 dmgmaddnn0 lgamcvg seqex cabs
      cv a1i clt wbr cr wrex cz cdif eldifad abscld arch syl cuz cres cmnf cioc
      wa ccom simprl nnzd ad2antrr wi nncnd 1cnd addcld peano2nnd nnne0d divcld
      ax-1cn sylancl pncand fveq2d nnred oveq2d 3eqtrd adantr adantl wb syl2anc
      nnrpd eqtrd mpbid mpbird crp 1rp mp1i sselid resmptd nnex mptex weq oveq1
      ovex fvmpt eqeltrd oveq1d eqtr4d climres crn wf logcld fvoveq1d dmgmdivn0
      3eqtr4d breqtrd cfz csu elfznn oveq12d oveq2 eleqtrdi recnd mulcld subcld
      relogcld fsumser fsumcl 3eqtr3d divdird eqtr3d dividd logdiv2 syl3anc cbl
      ccncf logcn dvlog2lem eluznn ad2antrl imp cnmetdval absdivd rpge0d absidd
      simplrr cle eluzle nnleltp1 lttrd mulid1d breqtrrd 1red ltdivmuld eqbrtrd
      ex cxmet cxr cnxmet rpxr elbl3 syl22anc fmpttd ssrdv divcnvshft climaddc1
      simpr breqtrdi eqbrtrrd ellogdm mpbir2an climcncf csn wf1o logf1o logdmss
      0p1e1 f1of cofmpt wss frn cores 3syl log1 eqtrdi 3brtr3d rexlimddv dmgmn0
      fvres fvex climsubc2 subid1d rpdivcld fzfid eqeltrrd nncand sub4d pncan2d
      id subdird mulid2d subsubd addcomd subsub2d wne nnnn0d dmgmaddn0 nnncan2d
      add32d addassd 3eqtr3rd relogdivd eqtr2d sumeq2dv fsumsub telfsum climsub
      div1d eqcomd lgamcl ) AHDIUDZBIHJZUEKZUYHLKZHJZUYJMJUYIUFAUYKUYJUAHCNUYHC
      URZIHJZUYLOJZLKZUGJZUYHUYLOJZIHJLKZMJZUHZIUDZCNUYJBUYMOJZIHJZLKZMJZUHZUYG
      IPNUIAUJZAUYHCUYTUYTUKZABIFIULQAUMUSUNZUOUYGPQAHDIUPUSAVUFUYJRMJUYJUFARUY
      JUACNVUDUHZVUFIPNUIVUGABUQKZUBURZUTVAZVUJRUFVAZUBNAVUKVBQZVUMUBNVCABABSVD
      NVEZFVFZVGZVUKUBVHVIAVULNQZVUMVNZVNZVUJVULVJKZVKZRUFVAZVUNVVALSVLRVMJVEZV
      KZCVVBVUCUHZVOZIVVFKZVVCRUFVVAVVESIVVFVVGVULVVBVVBUKVVAVULAVUSVUMVPZVQZVV
      FVVESUUBJQVVAVVEVVEUKZUUCUSVVACVVBVUCVVEVVAUYLVVBQZVNZIIUQMVOZUUAKJZVVEVU
      CVVPVVPUKUUDVVNVUCVVPQZVUCIVVOJZIUTVAZVVNVVRVUKUYMOJZIUTVVNVVRVUCIMJZUQKZ
      VUBUQKZVVTVVNVUCSQZISQZVVRVWBTVVNVUBIVVNBUYMABSQZVUTVVMVUQVRZVVNUYLIVVNUY
      LVVAVVMUYLNQZVUSVVMVWHVSAVUMVUSVVMVWHUYLVULUUEUVBUUFZUUGZVTVVNWAZWBZVVNUY
      MVVNUYLVWJWCZWDZWEZVWKWBZWFVUCIVVOVVOUKUUHWGVVNVWAVUBUQVVNVUBIVWOVWKWHWIV
      VNVWCVUKUYMUQKZOJVVTVVNBUYMVWGVWLVWNUUIVVNVWQUYMVUKOVVNUYMVVNUYMVWMWJZVVN
      UYMVVNUYMVWMWQZUUJUUKWKWRWLVVNVVTIUTVAVUKUYMIUGJZUTVAVVNVUKUYMVWTUTVVNVUK
      VULUYMAVUOVUTVVMVURVRZVVNVULVVAVUSVVMVVJWMZWJVWRAVUSVUMVVMUULVVNVULUYLUUM
      VAZVULUYMUTVAZVVMVXCVVAVULUYLUUNWNVVNVUSVWHVXCVXDWOVXBVWJVULUYLUUOWPWSUUP
      VVNUYMVWLUUQUURVVNVUKIUYMVXAVVNUUSVWSUUTWTUVAVVNVVOSUVCKQZIUVDQZVWEVWDVVQ
      VVSWOVXEVVNUVEUSIXAQZVXFVVNXBIUVFXCVWKVWPVUCVVOIISUVGUVHWTXDZUVIZVVACNVUC
      UHZVVBVKZVVGIUFVVACNVVBVUCVVACVVBNVWIUVJZXEVVAVXKIUFVAZVXJIUFVAZAVXNVUTAV
      XJRIHJIUFARIUACNVUBUHZVXJIPNUIVUGABIUAVXOIPNUIVUGVUQVUGVXOPQACNVUBXFXGUSU
      AURZNQZVXPVXOKZBVXPIHJZOJZTACVXPVUBVXTNVXOCUAXHZUYMVXSBOUYLVXPIHXIWKZVXOU
      KBVXSOXJXKWNZUVKAWAZVXJPQZACNVUCXFXGZUSAVXQVNZVXRVXTSVYCVYGBVXSAVWFVXQVUQ
      WMZVYGVXPIVYGVXPAVXQUVMZVTVYGWAZWBVYGVXSVYGVXPVYIWCZWDWEZXLVYGVXPVXJKZVXT
      IHJZVXRIHJVXQVYMVYNTACVXPVUCVYNNVXJVYAVUBVXTIHVYBXMVXJUKVXTIHXJXKWNVYGVXR
      VXTIHVYCXMXNUVLUWCUVNWMVVAVULVDQZVYEVXMVXNWOVVKVYFIVXJVULPXOWGWTUVOIVVEQZ
      VVAVYPVWEIVBQZVXGVSWFVXGVYQXBUSIVVEVVLUVPUVQZUSUVRVVALVVGVOZCVVBVUDUHVVHV
      VCVVACVVBVUCSRUVSVEZLXPZLVYTWUALUVTVYTWUALXQVVAUWAVYTWUALUWDXCVVNVVEVYTVU
      CVVEVVLUWBVXHXDUWEVVAVVBVVEVVGXQVVGXPVVEUWFVVHVYSTVXIVVBVVEVVGUWGLVVGVVEU
      WHUWIVVACNVVBVUDVXLXEYAVVAVVIILKZRVYPVVIWUBTVVAVYRIVVELUWOXCUWJUWKUWLVVAV
      YOVUJPQVVDVUNWOVVKCNVUDXFXGRVUJVULPXOWGWSUWMAUYHABIVUQVYDWBAUYHVUIUWNXRZV
      UFPQACNVUEXFXGUSVYGVXPVUJKZVYNLKZSVXQWUDWUETACVXPVUDWUENVUJVYAVUBVXTILHVY
      BXSZVUJUKVYNLUWPXKWNZVYGVYNVYGVXTIVYLVYJWBVYGBVXSABSVUPVEZQZVXQFWMVYKXTXR
      ZXLVYGVXPVUFKZUYJWUEMJZUYJWUDMJVXQWUKWULTACVXPVUEWULNVUFVYAVUDWUEUYJMWUFW
      KVUFUKUYJWUEMXJXKWNZVYGWUDWUEUYJMWUGWKXNUWQAUYJWUCUWRYBVYGIVXPYCJZUYHGURZ
      IHJZWUOOJZLKZUGJZUYHWUOOJZIHJZLKZMJZGYDZVXPVUAKZSVYGWVCGUYTIVXPVYGWUOWUNQ
      ZVNZWUONQZWUOUYTKWVCTWVFWVHVYGWUOVXPYEWNZCWUOUYSWVCNUYTCGXHZUYPWUSUYRWVBM
      WVJUYOWURUYHUGWVJUYNWUQLWVJUYMWUPUYLWUOOUYLWUOIHXIWVJUXEYFWIZWKWVJUYQWUTI
      LHUYLWUOUYHOYGXSYFVUHWUSWVBMXJXKVIVYGVXPNIVJKZVYIUIYHZWVGWUSWVBWVGUYHWURW
      VGBIAVWFVXQWVFVUQVRZWVGWAZWBZWVGWURWVGWUQWVGWUPWUOWVGWUPWVGWUOWVIWCZWQZWV
      GWUOWVIWQZUWSYLYIZYJZWVGWVAWVGWUTIWVGUYHWUOWVPWVGWUOWVIVTZWVGWUOWVIWDZWEW
      VOWBWVGUYHWUOAUYHWUHQZVXQWVFVUIVRWVIXTXRZYKZYMZVYGWUNWVCGVYGIVXPUWTZWWFYN
      ZUXAVYGWUKWULSWUMVYGUYJWUEAUYJSQVXQWUCWMWUJYKXLVYGWUNBWURUGJZBWUOOJZIHJZL
      KZMJZGYDZWVDWULMJZVXPUYGKWVEWUKMJVYGWVDWVDWWOMJZMJWWOWWPVYGWVDWWOWWIVYGWU
      NWWNGWWHWVGWWJWWMWVGBWURWVNWVTYJZWVGWWLWVGWWKIWVGBWUOWVNWWBWWCWEWVOWBWVGB
      WUOAWUIVXQWVFFVRZWVIXTXRZYKZYNUXBVYGWWQWULWVDMVYGWUNWVCWWNMJZGYDWUNWWMBWU
      POJZIHJZLKZMJZGYDZWWQWULVYGWUNWXBWXFGWVGWXBWUSWWJMJZWVBWWMMJZMJWURWXIMJZW
      XFWVGWUSWVBWWJWWMWWAWWEWWRWWTUXCWVGWXHWURWXIMWVGUYHBMJZWURUGJIWURUGJWXHWU
      RWVGWXKIWURUGWVGBIWVNWVOUXDXMWVGUYHBWURWVPWVNWVTUXFWVGWURWVTUXGYOXMWVGWXJ
      WURWVBMJZWWMHJWWMWXLHJZWXFWVGWURWVBWWMWVTWWEWWTUXHWVGWXLWWMWVGWURWVBWVTWW
      EYKWWTUXIWVGWWMWVBWURMJZMJWXMWXFWVGWWMWVBWURWWTWWEWVTUXJWVGWXNWXEWWMMWVGB
      WUPHJZLKZWUOLKZMJZWUPLKZWXQMJZMJWXPWXSMJZWXNWXEWVGWXPWXSWXQWVGWXOWVGBWUPW
      VNWVGWUPWVQVTZWBZWVGWUIWUPULQWXORUXKZWWSWVGWUPWVQUXLBWUPUXMWPZXRWVGWXSWVG
      WUPWVRYLYIWVGWXQWVGWUOWVSYLYIUXNWVGWVBWXRWURWXTMWVGWVBWXOWUOOJZLKZWXRWVGW
      VAWYFLWVGUYHWUOHJZWUOOJWUTWUOWUOOJZHJWYFWVAWVGUYHWUOWUOWVPWWBWWBWWCYPWVGW
      YHWXOWUOOWVGBWUOHJIHJWYHWXOWVGBWUOIWVNWWBWVOUXOWVGBWUOIWVNWWBWVOUXPYQXMWV
      GWYIIWUTHWVGWUOWWBWWCYRWKUXQWIWVGWXOSQZWYDWUOXAQWYGWXRTWYCWYEWVSWXOWUOYSY
      TWRWVGWUPWUOWVRWVSUXRYFWVGWXEWXOWUPOJZLKZWYAWVGWXDWYKLWVGWYKWXCWUPWUPOJZH
      JWXDWVGBWUPWUPWVNWYBWYBWVGWUPWVQWDZYPWVGWYMIWXCHWVGWUPWYBWYNYRWKUXSWIWVGW
      YJWYDWUPXAQWYLWYATWYCWYEWVRWXOWUPYSYTWRYAWKYQWLWLUXTVYGWUNWVCWWNGWWHWWFWX
      AUYAVYGWXGBIOJZIHJLKZWUEMJWULVYGBUCURZOJZIHJZLKWWMWXEWYPGUCWUEIVXPUCGXHWY
      RWWKILHWYQWUOBOYGXSWYQWUPTWYRWXCILHWYQWUPBOYGXSWYQITWYRWYOILHWYQIBOYGXSWY
      QVXSTWYRVXTILHWYQVXSBOYGXSVYGVXPVYIVQVYGVXSNWVLVYKUIYHVYGWYQIVXSYCJQZVNZW
      YSXUAWYRIXUABWYQAVWFVXQWYTVUQVRXUAWYQWYTWYQNQVYGWYQVXSYEWNZVTXUAWYQXUBWDW
      EXUAWAWBXUABWYQAWUIVXQWYTFVRXUBXTXRUYBVYGWYPUYJWUEMVYGWYOBILHVYGBVYHUYDXS
      XMWRYOWKYQVYGWWNGDIVXPWVGWVHWUODKWWNTWVICWUOBUYOUGJZBUYLOJZIHJLKZMJWWNNDW
      VJXUCWWJXUEWWMMWVJUYOWURBUGWVKWKWVJXUDWWKILHUYLWUOBOYGXSYFEWWJWWMMXJXKVIW
      VMWXAYMVYGWVDWVEWULWUKMWWGVYGWUKWULWUMUYEYFYOUYCAUYIUYJAWWDUYISQVUIUYHUYF
      VIWUCWHYB $.

    $( The pointwise exponential of the series ` G ` converges to
       ` _G ( A ) x. A ` .  (Contributed by Mario Carneiro, 6-Jul-2017.) $)
    gamcvg $p |- ( ph ->
      ( exp o. seq 1 ( + , G ) ) ~~> ( ( _G ` A ) x. A ) ) $=
      ( vn ce caddc c1 cfv clog co cmul cc cn nnuz wcel cv wceq cseq ccom clgam
      cgam cli 1zzd ccncf efcn a1i cdiv cmin wa cz cdif eldifad simpr peano2nnd
      adantr nnrpd rpdivcld relogcld recnd mulcld nncnd nnne0d divcld dmgmdivn0
      1cnd addcld logcld subcld fmptd ffvelrnda serf lgamcl syl dmgmn0 climcncf
      lgamcvg efadd syl2anc eflgam cc0 wne eflog oveq12d eqtrd breqtrd ) AHIDJU
      AZUBBUCKZBLKZIMZHKZBUDKZBNMZUEAOOWLHWIJPQAUFZHOOUGMRAUHUIAGDJPQWPAPOGSDAC
      PBCSZJIMZWQUJMZLKZNMZBWQUJMZJIMZLKZUKMODAWQPRZULZXAXDXFBWTABORZXEABOUMPUN
      ZFUOZURZXFWTXFWSXFWRWQXFWRXFWQAXEUPZUQUSXFWQXKUSUTVAVBVCXFXCXFXBJXFBWQXJX
      FWQXKVDXFWQXKVEVFXFVHVIXFBWQABOXHUNRZXEFURXKVGVJVKEVLVMVNABCDEFVSAWJWKAXL
      WJORZFBVOVPZABXIABFVQZVJZVIVRAWMWJHKZWKHKZNMZWOAXMWKORWMXSTXNXPWJWKVTWAAX
      QWNXRBNAXLXQWNTFBWBVPAXGBWCWDXRBTXIXOBWEWAWFWGWH $.
  $}

  ${
    $d m A $.
    $( The functional equation of the (log) Gamma function.  (Contributed by
       Mario Carneiro, 9-Jul-2017.) $)
    lgamp1 $p |- ( A e. ( CC \ ( ZZ \ NN ) ) ->
      ( log_G ` ( A + 1 ) ) = ( ( log_G ` A ) + ( log ` A ) ) ) $=
      ( vm cc cz cn cdif wcel caddc cv c1 co cdiv clog cfv cmul cmin cmpt clgam
      cli wbr cseq wceq eqid id lgamcvg2 lgamcvg climuni syl2anc ) ACDEFFGZHBEA
      BIZJHKUJLKMNOKAUJLKJHKMNPKQZJUAZAJHKRNZSTULARNAMNHKZSTUMUNUBUIABUKUKUCZUI
      UDZUEUIABUKUOUPUFUMUNULUGUH $.

    $( The functional equation of the Gamma function.  (Contributed by Mario
       Carneiro, 9-Jul-2017.) $)
    gamp1 $p |- ( A e. ( CC \ ( ZZ \ NN ) ) ->
      ( _G ` ( A + 1 ) ) = ( ( _G ` A ) x. A ) ) $=
      ( cc cz cn cdif wcel c1 caddc clgam cfv cmul cgam clog lgamp1 fveq2d wceq
      co ce syl2anc eflgam lgamcl eldifi id dmgmn0 logcld cc0 wne oveq2d 3eqtrd
      efadd eflog cn0 1nn0 a1i dmgmaddnn0 syl oveq1d 3eqtr3d ) ABCDEZEZFZAGHQZI
      JZRJZAIJZRJZAKQZVBLJZALJZAKQVAVDVEAMJZHQZRJZVFVJRJZKQZVGVAVCVKRANOVAVEBFV
      JBFVLVNPAUAVAAABUSUBZVAAVAUCZUDZUEVEVJUJSVAVMAVFKVAABFAUFUGVMAPVOVQAUKSUH
      UIVAVBUTFVDVHPVAAGVPGULFVAUMUNUOVBTUPVAVFVIAKATUQUR $.
  $}

  ${
    $d m A $.  $d k n F $.  $d k n x G $.  $d k m n x ph $.
    gamcvg2.f $e |- F = ( m e. NN |->
      ( ( ( ( m + 1 ) / m ) ^c A ) / ( ( A / m ) + 1 ) ) ) $.
    gamcvg2.a $e |- ( ph -> A e. ( CC \ ( ZZ \ NN ) ) ) $.
    ${
      gamcvg2.g $e |- G = ( m e. NN |->
    ( ( A x. ( log ` ( ( m + 1 ) / m ) ) ) - ( log ` ( ( A / m ) + 1 ) ) ) ) $.
      $( Lemma for ~ gamcvg2 .  (Contributed by Mario Carneiro,
         10-Jul-2017.) $)
      gamcvg2lem $p |- ( ph ->
        ( exp o. seq 1 ( + , G ) ) = seq 1 ( x. , F ) ) $=
        ( vk cn caddc c1 cfv ce cmul wcel cc co cdiv wceq vn vx cv cseq cmpt wa
        ccom addcl adantl cfz simpll elfznn clog oveq1 id oveq12d fveq2d oveq2d
        cmin oveq2 oveq1d ovex fvmpt cz adantr eldifad simpr peano2nnd rpdivcld
        cdif nnrpd relogcld recnd mulcld nncnd nnne0d divcld 1cnd addcld logcld
        dmgmdivn0 subcld eqeltrd syl2anc nnuz eleqtrdi efadd ccxp efsub divne0d
        cuz cxpefd eqcomd cc0 wne eflog eqtrd 3eqtr4d seqhomo mpteq2dva eff a1i
        wf 1z serf fcompt wfn seqfn mp1i fneq2i sylibr dffn5 sylib ) AIJIUCZKEL
        UDZMNMZUEZIJXNODLUDZMZUEZNXOUGZXRAIJXPXSAXNJPZUFZUAUBKOQEDNLXNUAUCZQPUB
        UCZQPUFZYDYEKRZQPYCYDYEUHUIYCYDLXNUJRPZUFZAYDJPZYDEMZQPAYBYHUKZYHYJYCYD
        XNULUIZAYJUFZYKBYDLKRZYDSRZUMMZORZBYDSRZLKRZUMMZUSRZQYJYKUUBTACYDBCUCZL
        KRZUUCSRZUMMZORZBUUCSRZLKRZUMMZUSRUUBJEUUCYDTZUUGYRUUJUUAUSUUKUUFYQBOUU
        KUUEYPUMUUKUUDYOUUCYDSUUCYDLKUNUUKUOUPZUQURUUKUUIYTUMUUKUUHYSLKUUCYDBSU
        TVAZUQUPHYRUUAUSVBVCUIZYNYRUUAYNBYQYNBQVDJVJZABQUUOVJPYJGVEZVFZYNYQYNYP
        YNYOYDYNYOYNYDAYJVGZVHZVKYNYDUURVKVIVLVMVNZYNYTYNYSLYNBYDUUQYNYDUURVOZY
        NYDUURVPZVQYNVRZVSZYNBYDUUPUURWAZVTZWBWCZWDYCXNJLWKMZAYBVGWEWFYFYGNMYDN
        MYENMORTYCYDYEWGUIYIAYJYKNMZYDDMZTYLYMYNUUBNMZYPBWHRZYTSRZUVIUVJYNUVKYR
        NMZUUANMZSRZUVMYNYRQPUUAQPUVKUVPTUUTUVFYRUUAWIWDYNUVNUVLUVOYTSYNUVLUVNY
        NYPBYNYOYDYNYDLUVAUVCVSZUVAUVBVQYNYOYDUVQUVAYNYOUUSVPUVBWJUUQWLWMYNYTQP
        YTWNWOUVOYTTUVDUVEYTWPWDUPWQYNYKUUBNUUNUQYJUVJUVMTACYDUUEBWHRZUUISRUVMJ
        DUUKUVRUVLUUIYTSUUKUUEYPBWHUULVAUUMUPFUVLYTSVBVCUIWRWDWSWTAQQNXCZJQXOXC
        YAXQTUVSAXAXBAUAELJWELVDPZAXDXBUVGXEINXOJQQXFWDAXRJXGZXRXTTAXRUVHXGZUWA
        UVTUWBAXDODLXHXIJUVHXRWEXJXKIJXRXLXMWR $.
    $}

    $( An infinite product expression for the gamma function.  (Contributed by
       Mario Carneiro, 9-Jul-2017.) $)
    gamcvg2 $p |- ( ph -> seq 1 ( x. , F ) ~~> ( ( _G ` A ) x. A ) ) $=
      ( ce caddc cn cv c1 co cdiv clog cfv cmul cmin cmpt cseq ccom cgam gamcvg
      cli eqid gamcvg2lem eqbrtrrd ) AGHCIBCJZKHLUGMLNOPLBUGMLKHLNOQLRZKSTPDKSB
      UAOBPLUCABCDUHEFUHUDZUEABCUHUIFUBUF $.
  $}

$(
  @{
    gamcnlem.r @e |- ( ph -> R e. NN ) @.
    gamcnlem.u @e |- U = { x e. CC | ( ( abs ` x ) <_ R /\
      A. m e. NN0 ( 1 / R ) <_ ( abs ` ( x + m ) ) ) } @.
    gamcnlem.f @e |- F = ( m e. NN |->
      ( ( ( ( m + 1 ) / m ) ^c z ) / ( ( z / m ) + 1 ) ) ) @.
    gamcnlem.g @e |- G = ( m e. NN |->
    ( ( z x. ( log ` ( ( m + 1 ) / m ) ) ) - ( log ` ( ( z / m ) + 1 ) ) ) ) @.
    @( The log-Gamma function is bounded on the region ` U `.
       (Contributed by Mario Carneiro, 9-Jul-2017.) @)
    gamcnlem @p |- ( ph -> ( _G |` U ) e. ( U -cn-> CC ) ) @=
      ? @.
  @}
$)

  ${
    $d m n x A $.
    $( The Gamma function is real for real input.  (Contributed by Mario
       Carneiro, 9-Jul-2017.) $)
    regamcl $p |- ( A e. ( RR \ ( ZZ \ NN ) ) -> ( _G ` A ) e. RR ) $=
      ( vn vm vx cr cn cdif wcel cmul co cdiv cc cv c1 caddc wa adantr redivcld
      nnuz nnrpd cz cgam cfv eldifi recnd eldifn eldifd gamcl syl divcan4d ccxp
      dmgmn0 cmpt cseq 1zzd eqid simpr peano2nnd rpdivcld rpred rpge0d recxpcld
      gamcvg2 nndivred 1red readdcld dmgmdivn0 fmpttd ffvelrnda adantl climrecl
      remulcl seqf eqeltrrd ) AEUAFGZGHZAUBUCZAIJZAKJVQEVPVQAVPALVOGHZVQLHVPALV
      OVPAAEVOUDZUEZAEVOUFUGZAUHUIWAVPAWBULZUJVPVRAVPVRBICFCMZNOJZWDKJZAUKJZAWD
      KJZNOJZKJZUMZNUNZNFSVPUOZVPACWKWKUPWBVCVPFEBMZWLVPBDIEWKNFSWMVPFEWNWKVPCF
      WJEVPWDFHZPZWGWIWPWFAWPWFWPWEWDWPWEWPWDVPWOUQZURTWPWDWQTUSZUTWPWFWRVAVPAE
      HWOVTQZVBWPWHNWPAWDWSWQVDWPVEVFWPAWDVPVSWOWBQWQVGRVHVIWNEHDMZEHPWNWTIJEHV
      PWNWTVLVJVMVIVKVTWCRVN $.

    $( The log-Gamma function is real for positive real input.  (Contributed by
       Mario Carneiro, 9-Jul-2017.) $)
    relgamcl $p |- ( A e. RR+ -> ( log_G ` A ) e. RR ) $=
      ( vn vm crp wcel cfv clog caddc co cmin cr cc cn cdif cv c1 cdiv rpdivcld
      nnuz nnrpd clgam cz rpdmgm lgamcl syl relogcl recnd pncand cmul cmpt cseq
      1zzd eqid lgamcvg wa simpl rpred peano2nnd relogcld remulcld 1rp rpaddcld
      simpr a1i resubcld fmpttd ffvelrnda serfre climrecl eqeltrrd ) ADEZAUAFZA
      GFZHIZVMJIVLKVKVLVMVKALUBMNNEVLLEAUCZAUDUEVKVMAUFZUGUHVKVNVMVKVNBHCMACOZP
      HIZVQQIZGFZUIIZAVQQIZPHIZGFZJIZUJZPUKZPMSVKULZVKACWFWFUMVOUNVKMKBOZWGVKBW
      FPMSWHVKMKWIWFVKCMWEKVKVQMEZUOZWAWDWKAVTWKAVKWJUPZUQWKVSWKVRVQWKVRWKVQVKW
      JVCZURTWKVQWMTZRUSUTWKWCWKWBPWKAVQWLWNRPDEWKVAVDVBUSVEVFVGVHVGVIVPVEVJ $.

    $( The log-Gamma function is positive real for positive real input.
       (Contributed by Mario Carneiro, 9-Jul-2017.) $)
    rpgamcl $p |- ( A e. RR+ -> ( _G ` A ) e. RR+ ) $=
      ( crp wcel clgam cfv ce cgam cc cz cn cdif wceq rpdmgm eflgam syl rpefcld
      relgamcl eqeltrrd ) ABCZADEZFEZAGEZBSAHIJKKCUAUBLAMANOSTAQPR $.
  $}

  $( The log-Gamma function at one.  (Contributed by Mario Carneiro,
     9-Jul-2017.) $)
  lgam1 $p |- ( log_G ` 1 ) = 0 $=
    ( vm caddc c1 cfv cc0 cxp cli wbr clog co wtru cn cdiv cmin cmpt wcel cc cz
    cdif ax-mp cuz csn cseq clgam wceq cv cmul peano2nn nnrpd rpdivcld relogcld
    nnrp recnd mulid2d nncn nnne0 dividd oveq1d divdird reccld addcomd 3eqtr4rd
    1cnd fveq2d oveq12d subidd eqtrd mpteq2ia fconstmpt nnuz xpeq1i 3eqtr2ri wn
    ax-1cn 1nn eldifn mt2 eldif mpbir2an a1i lgamcvg log1 oveq2i lgamcl addid1i
    mptru eqtri breqtri 1z serclim0 climuni mp2an ) BCUADZEUBZFZCUCZCUDDZGHWPEG
    HZWQEUEWPWQCIDZBJZWQGWPWTGHKCAWOALCAUFZCBJZXAMJZIDZUGJZCXAMJZCBJZIDZNJZOALE
    OLWNFWOALXIEXALPZXIXDXDNJEXJXEXDXHXDNXJXDXJXDXJXCXJXBXAXJXBXAUHUIXAULUJUKUM
    ZUNXJXGXCIXJXAXAMJZXFBJCXFBJXCXGXJXLCXFBXJXAXAUOZXAUPZUQURXJXACXAXMXJVCZXMX
    NUSXJXFCXJXAXMXNUTXOVAVBVDVEXJXDXKVFVGVHALEVILWMWNVJVKVLCQRLSZSPZKXQCQPCXPP
    ZVMVNXRCLPVOCRLVPVQCQXPVRVSZVTWAWFWTWQEBJWQWSEWQBWBWCWQXQWQQPXSCWDTWEWGWHCR
    PWRWICWJTWQEWPWKWL $.

  $( The log-Gamma function at one.  (Contributed by Mario Carneiro,
     9-Jul-2017.) $)
  gam1 $p |- ( _G ` 1 ) = 1 $=
    ( c1 clgam cfv ce cc0 cgam lgam1 fveq2i cc cz cn cdif wcel wn ax-1cn eldifn
    wceq 1nn mt2 eldif mpbir2an eflgam ax-mp ef0 3eqtr3i ) ABCZDCZEDCAFCZAUFEDG
    HAIJKLZLMZUGUHQUJAIMAUIMZNOUKAKMRAJKPSAIUITUAAUBUCUDUE $.

  ${
    $d n x $.  $d x N $.
    $( The Gamma function generalizes the factorial.  (Contributed by Mario
       Carneiro, 9-Jul-2017.) $)
    facgam $p |- ( N e. NN0 -> ( ! ` N ) = ( _G ` ( N + 1 ) ) ) $=
      ( vx vn cv cfa cfv c1 caddc cgam wceq cc0 fveq2 eqeq12d fvoveq1 wcel cmul
      co cc cz cn fv0p1e1 gam1 eqtrdi fac0 cn0 oveq1 facp1 nn0p1nn nncnd eldifn
      cdif nsyl3 eldifd gamp1 syl syl5ibr nn0ind ) BDZEFZURGHQIFZJKEFZGJCDZEFZV
      BGHQZIFZJZVDEFZVDGHQIFZJZAEFZAGHQIFZJBCAURKJZUSVAUTGURKELVLUTGIFGIURUAUBU
      CMURVBJUSVCUTVEURVBELURVBGIHNMURVDJUSVGUTVHURVDELURVDGIHNMURAJUSVJUTVKURA
      ELURAGIHNMUDVFVIVBUEOZVCVDPQZVEVDPQZJVCVEVDPUFVMVGVNVHVOVBUGVMVDRSTUKZUKO
      VHVOJVMVDRVPVMVDVBUHZUIVDVPOVDTOVMVDSTUJVQULUMVDUNUOMUPUQ $.

    $( The Gamma function generalizes the factorial.  (Contributed by Mario
       Carneiro, 9-Jul-2017.) $)
    gamfac $p |- ( N e. NN -> ( _G ` N ) = ( ! ` ( N - 1 ) ) ) $=
      ( cn wcel c1 cmin co cfa cfv caddc cgam cn0 wceq nnm1nn0 facgam nncn 1cnd
      syl npcand fveq2d eqtr2d ) ABCZADEFZGHZUBDIFZJHZAJHUAUBKCUCUELAMUBNQUAUDA
      JUAADAOUAPRST $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Basic number theory
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Wilson's theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The only elements that are equal to their own inverses in the
     multiplicative group of nonzero elements in ` ZZ / P ZZ ` are ` 1 ` and
     ` -u 1 == P - 1 ` .  (Note that from ~ prmdiveq ,
     ` ( N ^ ( P - 2 ) ) mod P ` is the modular inverse of ` N ` in
     ` ZZ / P ZZ ` .  (Contributed by Mario Carneiro, 24-Jan-2015.) $)
  wilthlem1 $p |- ( ( P e. Prime /\ N e. ( 1 ... ( P - 1 ) ) ) ->
    ( N = ( ( N ^ ( P - 2 ) ) mod P ) <-> ( N = 1 \/ N = ( P - 1 ) ) ) ) $=
    ( wcel c1 cmin co c2 cexp cmo wceq cdvds wbr caddc cmul cz cc wb syl3anc cr
    syl cprime cfz wa wo cc0 elfzelz adantl peano2zm zcnd peano2zd ax-1cn subsq
    mulcomd sylancl sqvald sq1 a1i oveq12d 3eqtr2d breq2d fz1ssfz0 simpr sselid
    biantrurd bitrd simpl euclemma wn cn prmnn fzm1ndvds eqid prmdiveq 3bitr3rd
    sylan moddvds crp cle clt elfznn nnred nnrpd nnnn0d nn0ge0d elfzle2 zltlem1
    1zzd prmz syl2anr mpbird modid syl22anc cuz prmuz2 eluz2gt1 syl2anc eqeq12d
    1mod bitr3d cneg znegcld mulid2d oveq2d neg1cn addcom sylancr negsub 3eqtrd
    cfv nncnd oveq1d neg1rr modcyc peano2rem cn0 nnm1nn0 3eqtr3d subneg orbi12d
    ltm1d ) AUACZBDADEFZUBFZCZUCZBBAGEFHFAIFZJZABDEFZKLZABDMFZKLZUDZBDJZBYBJZUD
    YEAYHYJNFZKLZBUEYBUBFZCZABBNFZDEFZKLZUCZYLYGYEYPUUAUUBYEYOYTAKYEYOYJYHNFZBG
    HFZDGHFZEFZYTYEYHYJYEYHYEBOCZYHOCZYDUUGYABDYBUFZUGZBUHTZUIYEYJYEBUUJUJZUIUM
    YEBPCZDPCZUUFUUCJYEBUUJUIZUKBDULUNYEUUDYSUUEDEYEBUUOUOUUEDJYEUPUQURUSUTYEYR
    UUAYEYCYQBYBVAYAYDVBVCVDVEYEYAUUHYJOCYPYLQYAYDVFZUUKUULAYHYJVGRYEYAUUGABKLV
    HZUUBYGQUUPUUJYAAVICZYDUUQAVJZABVKVOBAYFBYFVLVMRVNYEYIYMYKYNYEBAIFZDAIFZJZY
    IYMYEUURUUGDOCZUVBYIQYEYAUURUUPUUSTZUUJYEWGZBDAVPRYEUUTBUVADYEBSCAVQCZUEBVR
    LBAVSLZUUTBJYEBYDBVICYABYBVTUGZWAYEAUVDWBZYEBYEBUVHWCWDYEUVGBYBVRLZYDUVJYAB
    DYBWEUGYDUUGAOCUVGUVJQYAUUIAWHBAWFWIWJBAWKWLZYEASCZDAVSLZUVADJYEAUVDWAZYEAG
    WMXICZUVMYEYAUVOUUPAWNTAWOTAWRWPWQWSYEUUTDWTZAIFZJZABUVPEFZKLZYNYKYEUURUUGU
    VPOCUVRUVTQUVDUUJYEDUVEXABUVPAVPRYEUUTBUVQYBUVKYEUVPDANFZMFZAIFZYBAIFZUVQYB
    YEUWBYBAIYEUWBUVPAMFZAUVPMFZYBYEUWAAUVPMYEAYEAUVDXJZXBXCYEUVPPCAPCZUWEUWFJX
    DUWGUVPAXEXFYEUWHUUNUWFYBJUWGUKADXGUNXHXKYEUVPSCZUVFUVCUWCUVQJUWIYEXLUQUVIU
    VEUVPADXMRYEYBSCZUVFUEYBVRLYBAVSLUWDYBJYEUVLUWJUVNAXNTUVIYEYBYEUURYBXOCUVDA
    XPTWDYEAUVNXTYBAWKWLXQWQYEUVSYJAKYEUUMUUNUVSYJJUUOUKBDXRUNUTVNXSVE $.

  ${
    $d s t x y A $.  $d k s t w x y z P $.  $d w x y z ph $.  $d s w x y z S $.
    $d s t w x y z T $.
    wilthlem.t $e |- T = ( mulGrp ` CCfld ) $.
    wilthlem.a $e |- A = { x e. ~P ( 1 ... ( P - 1 ) ) | ( ( P - 1 ) e. x /\
      A. y e. x ( ( y ^ ( P - 2 ) ) mod P ) e. x ) } $.
    ${
      wilthlem2.p $e |- ( ph -> P e. Prime ) $.
      wilthlem2.s $e |- ( ph -> S e. A ) $.
      wilthlem2.r $e |- ( ph -> A. s e. A ( s C. S ->
        ( ( T gsum ( _I |` s ) ) mod P ) = ( -u 1 mod P ) ) ) $.
      $( Lemma for ~ wilth : induction step.  The "hand proof" version of this
         theorem works by writing out the list of all numbers from ` 1 ` to
         ` P - 1 ` in pairs such that a number is paired with its inverse.
         Every number has a unique inverse different from itself except ` 1 `
         and ` P - 1 ` , and so each pair multiplies to ` 1 ` , and ` 1 ` and
         ` P - 1 == -u 1 ` multiply to ` -u 1 ` , so the full product is equal
         to ` -u 1 ` .  Here we make this precise by doing the product pair by
         pair.

         The induction hypothesis says that every subset ` S ` of
         ` 1 ... ( P - 1 ) ` that is closed under inverse (i.e. all pairs are
         matched up) and contains ` P - 1 ` multiplies to ` -u 1 mod P ` .
         Given such a set, we take out one element ` z =/= P - 1 ` .  If there
         are no such elements, then ` S = { P - 1 } ` which forms the base
         case.  Otherwise, ` S \ { z , z ^ -u 1 } ` is also closed under
         inverse and contains ` P - 1 ` , so the induction hypothesis says that
         this equals ` -u 1 ` ; and the remaining two elements are either equal
         to each other, in which case ~ wilthlem1 gives that ` z = 1 ` or
         ` P - 1 ` , and we've already excluded the second case, so the product
         gives ` 1 ` ; or ` z =/= z ^ -u 1 ` and their product is ` 1 ` .  In
         either case the accumulated product is unaffected.  (Contributed by
         Mario Carneiro, 24-Jan-2015.)  (Proof shortened by AV,
         27-Jul-2019.) $)
      wilthlem2 $p |- ( ph ->
        ( ( T gsum ( _I |` S ) ) mod P ) = ( -u 1 mod P ) ) $=
        ( c1 co cmo wceq wcel cc cz vz vw cmin csn wss cid cres cgsu wa cv cmpt
        simpr cexp wral cfz eleq2 raleqbi1dv anbi12d elrab2 sylib simprd simpld
        adantr reseq2d mptresid oveq2d oveq1d caddc cn syl nncnd sylancl ccnfld
        cmul mp1i cn0 nn0cnd id gsumsn syl3anc mulid2d 3eqtr4d cr 1zzd eqtrd ex
        a1i wn cpr ax-mp wf1o f1oi f1of sstrdi fss sylancr wbr cvv cfn ssfi 1ex
        wf fdmfifsupp cin c0 oveq1 rspcdva oveq2i gsumsubmcl ssdifssd sseldd wo
        cun cfv wb syl2anc syl5eq sylnib ovex eqcom bitri orcom cdvds fzm1ndvds
        wne eqid elfznn zcnd vex sylibr wi cc0 mulcld prmdivdiv eqeq12d syl5ibr
        wpss sylanbrc elpr eldifd c2 cpw snssd eqssd eqtrdi cprime prmnn ax-1cn
        cneg negsub neg1cn addcom eqtr3d cmnd crg cnring ringmgp nnm1nn0 mgpbas
        cnfldbas crp neg1rr nnrpd modcyc wex nss cdif cnfld1 ringidval cnfldmul
        mgpplusg ccmn ccrg cncrng crngmgp elpwid fzssz zsscn cfsupp fzfi undif2
        disjdif simprl prssd ssequn1 eqtr2id gsumsplit resabs1d resabs1 oveq12d
        eleq1d difss prfi csubrg csubmnd zsubrg subrgsubm sstrd zred 1red dfsn2
        animorrl biimpar syldan preq2d eqtr3id 3eqtr3d df-pr reseq2i eqtri snfi
        wilthlem1 elsni adantl eqeltrd adantlr simprr velsn elsn 3bitr4g bitr4d
        necon3abid biimpa gsumunsn elfzelzd prmdiv nnmulcld nnzd moddvds mpbird
        biorf pm2.61dane modmul1 syl221anc sseqin2 prnz disj4 necon2abii psseq1
        eqnetrd reseq2 eqeq1d imbi12d elpw2 cuz eleqtrdi eluzfz2 prmz 1z zsubcl
        nn0uz dvdsmul1 1cnd subdird subsubd mvrraddd breqtrrd prmdiveq mpbi2and
        muls1d mtod ioran sylnibr eldifi r19.21bi sylan2 eldif sselda syl5ibcom
        eqeq2d orim12d 3imtr4g impr sylan2b ralrimiva jca 3eqtrd exlimdv syl5bi
        con3d mpd pm2.61d ) AFENUCOZUDZUEZGUFFUGZUHOZEPOZNUUIZEPOZQZAVWEVWKAVWE
        UIZVWHGUAVWDUAUJZUKZUHOZEPOZVWJVWLVWGVWOEPVWLVWFVWNGUHVWLVWFUFVWDUGVWNV
        WLFVWDUFVWLFVWDAVWEULAVWDFUEVWEAVWCFAVWCFRZCUJZEUUAUCOZUMOZEPOZFRZCFUNZ
        AFNVWCUOOZUUBZRZVWQVXCUIZAFDRZVXFVXGUILVWCBUJZRZVXAVXIRZCVXIUNZUIZVXGBF
        VXEDVXIFQVXJVWQVXLVXCVXIFVWCUPVXKVXBCVXIFVXIFVXAUPUQURJUSUTZVAZVBZUUCVC
        UUDVDUAVWDVEUUEVFVGAVWPVWJQVWEAVWPVWINEVNOZVHOZEPOZVWJAVWOVXREPAVWCVWIE
        VHOZVWOVXRAEVWIVHOZVWCVXTAESRZNSRVYAVWCQAEAEUUFRZEVIRZKEUUGVJZVKZUUHENU
        UJVLAVYBVWISRVYAVXTQVYFUUKEVWIUULVLUUMAGUUNRZVWCSRZVYHVWOVWCQVMUUORVYGA
        UUPVMGIUUQVOZAVWCAVYDVWCVPRZVYEEUURZVJVQZVYLVWMSVWCUAGVWCSSVMGIUUTUUSZV
        WMVWCQZVRVSVTAVXQEVWIVHAEVYFWAVFWBVGAVWIWCRZEUVARZNTRZVXSVWJQVYOAUVBWGA
        EVYEUVCZAWDVWIENUVDVTWEVCWEWFVWEWHVWMFRZVWMVWDRZWHZUIZUAUVEAVWKUAFVWDUV
        FAWUBVWKUAAWUBVWKAWUBUIZVWHGUFVWMVWMVWSUMOZEPOZWIZUGZUHOZGUFFWUFUVGZUGZ
        UHOZVNOZEPOZNWUKVNOZEPOZVWJWUCVWGWULEPWUCVWGGVWFWUFUGZUHOZGVWFWUIUGZUHO
        ZVNOWULWUCFSWUFWUIVNVWFGDNVYMVMNGIUVHUVIZVMVNGIUVJUVKZGUVLRZWUCVMUVMRWV
        BUVNVMGIUVOWJZWGZAVXHWUBLVCAFSVWFXBZWUBAFFVWFXBZFSUEZWVEFFVWFWKWVFFWLFF
        VWFWMWJAFTSAFVXDTAFVXDAVXFVXGVXNVBUVPZNVWCUVQWNZUVRWNZFFSVWFWOWPZVCAVWF
        NUVSWQWUBAFSVWFWRNWVKAVXDWSRZFVXDUEZFWSRNVWCUVTZWVHVXDFWTWPNWRRZAXAWGXC
        VCWUFWUIXDXEQWUCWUFFUWBWGWUCWUFWUIXMWUFFXMZFWUFFUWAWUCWUFFUEZWVPFQWUCVW
        MWUEFAVYSWUAUWCZWUCVXBWUEFRCFVWMVWRVWMQZVXAWUEFWVSVWTWUDEPVWRVWMVWSUMXF
        VGUWKAVXCWUBAVWQVXCVXOVAVCZWVRXGZUWDZWUFFUWEUTUWFUWGWUCWUQWUHWUSWUKVNWU
        CWUPWUGGUHWUCUFWUFFWWBUWHVFWUSWUKQWUCWURWUJGUHWUIFUEWURWUJQFWUFUWLUFWUI
        FUWIWJXHWGUWJWEVGWUCWUHWCRNWCRWUKTRVYPWUHEPOZNEPOZQZWUMWUOQWUCWUHWUCWUF
        TWUGGWSNWUTWVDWUFWSRWUCVWMWUEUWMWGZTVMUWNXNRTGUWOXNRWUCUWPTVMGIUWQVOZWU
        CWUFWUFWUGXBZWUFTUEWUFTWUGXBWUFWUFWUGWKWWHWUFWLWUFWUFWUGWMWJWUCWUFFTWWB
        AFTUEWUBWVIVCZUWRWUFWUFTWUGWOWPZWUCWUFTWUGWRNWWJWWFWVOWUCXAWGZXCXIUWSWU
        CUWTWUCWUITWUJGWSNWUTWVDWUCWVLWUIVXDUEZWUIWSRWVNWUCFVXDWUFAWVMWUBWVHVCZ
        XJZVXDWUIWTWPZWWGWUCWUIWUIWUJXBZWUITUEWUITWUJXBWUIWUIWUJWKWWPWUIWLWUIWU
        IWUJWMWJWUCFTWUFWWIXJWUIWUITWUJWOWPZWUCWUITWUJWRNWWQWWOWWKXCXIZAVYPWUBV
        YRVCWUCWWEVWMNWUCVWMNQZUIZWUHNEPWWTGUBVWMUDZUBUJZUKZUHOZVWMWUHNWUCWXDVW
        MQZWWSWUCVYGVWMSRZWXFWXEAVYGWUBVYIVCWUCFSVWMAWVGWUBWVJVCZWVRXKZWXHWXBSV
        WMUBGVWMSVYMWXBVWMQZVRVSVTZVCWWTWXCWUGGUHWWTWXCUFWXAUGWUGUBWXAVEWWTWXAW
        UFUFWWTWXAVWMVWMWIWUFVWMUXAWWTVWMWUEVWMWUCWWSWWSVYNXLZVWMWUEQZWUCWWSVYN
        UXBWUCWXLWXKWUCVYCVWMVXDRZWXLWXKXOAVYCWUBKVCZWUCFVXDVWMWWMWVRXKZEVWMUXL
        XPZUXCUXDUXEXQVDUXFVFWUCWWSULUXGVGWUCVWMNYEZUIZWWCVWMWUEVNOZEPOZWWDWXRW
        UHWXSEPWXRWUHWXDWUEVNOZWXSWXRWUHGUBWXAWUEUDXMZWXBUKZUHOWYAWUGWYCGUHWUGU
        FWYBUGWYCWUFWYBUFVWMWUEUXHUXIUBWYBVEUXJXHWXRWXASVNUBGWUESWXBWUEVYMWVAWV
        BWXRWVCWGWXAWSRWXRVWMUXKWGWUCWXBWXARZWXBSRWXQWUCWYDUIWXBVWMSWYDWXIWUCWX
        BVWMUXMUXNWUCWXFWYDWXHVCUXOUXPWUCWUESRWXQWUCFSWUEWXGWWAXKVCZWUCWXQWUEWX
        ARZWHWUCWYFVWMNWUCWWSVYNWWSXLZWYFWUCVYNWHWWSWYGXOWUCVYTVYNAVYSWUAUXQZUA
        VWCUXRZXRVYNWWSUYKVJWUCWXLWXKWYFWYGWXPWYFWUEVWMQWXLWUEVWMWUDEPXSUXSWUEV
        WMXTYAVYNWWSYBUXTUYAUYBUYCWYEWXBWUEQVRUYDXQWXRWXDVWMWUEVNWUCWXEWXQWXJVC
        VGWEVGWUCWXTWWDQZWXQWUCWYJEWXSNUCOYCWQZWUCWUEVXDRZWYKWUCVYCVWMTREVWMYCW
        QWHZWYLWYKUIWXNWUCVWMNVWCWXOUYEWUCVYDWXMWYMAVYDWUBVYEVCZWXOEVWMYDXPVWME
        WUEWUEYFZUYFVTVAWUCVYDWXSTRVYQWYJWYKXOWYNWUCWXSWUCVWMWUEWUCWXMVWMVIRWXO
        VWMVWCYGVJWUCWYLWUEVIRWUCFVXDWUEWWMWWAXKWUEVWCYGVJUYGUYHWUCWDWXSNEUYIVT
        UYJVCWEUYLWUHNWUKEUYMUYNWUCWUOWUKEPOZVWJWUCWUNWUKEPWUCWUKWUCWUKWWRYHWAV
        GWUCWUIFYQZWYPVWJQZWUCFWUFXDZXEYEWYQWUCWYSWUFXEWUCWVQWYSWUFQWWBWUFFUYOU
        TWUFXEYEWUCVWMWUEUAYIUYPWGUYTWYQWYSXEFWUFUYQUYRYJWUCHUJZFYQZGUFWYTUGZUH
        OZEPOZVWJQZYKZWYQWYRYKHDWUIWYTWUIQZXUAWYQXUEWYRWYTWUIFUYSXUGXUDWYPVWJXU
        GXUCWUKEPXUGXUBWUJGUHWYTWUIUFVUAVFVGVUBVUCAXUFHDUNWUBMVCWUCWUIVXERZVWCW
        UIRZVXAWUIRZCWUIUNZUIZWUIDRWUCWWLXUHWWNWUIVXDNVWCUOXSVUDYJWUCXUIXUKWUCV
        WCFWUFAVWQWUBVXPVCZWUCVWCVWMQZVWCWUEQZXLZVWCWUFRWUCXUNWHXUOWHXUPWHWUCVY
        TXUNWYHVYTVYNXUNWYIVWMVWCXTYAXRZWUCXUOXUNXUQXUOXUNWUCVWCVWSUMOZEPOZWUEV
        WSUMOZEPOZQXUOXURXUTEPVWCWUEVWSUMXFVGWUCVWCXUSVWMXVAWUCVWCYLVWCUOORZEVW
        CVWCVNOZNUCOZYCWQZVWCXUSQZWUCVWCYLVUEXNZRXVBWUCVWCVPXVGWUCVYDVYJWYNVYKV
        JZVUKVUFYLVWCVUGVJWUCEEVWCNUCOZVNOZXVDYCWUCETRZXVITRZEXVJYCWQWUCVYCXVKW
        XNEVUHVJWUCVWCTRZVYQXVLWUCFTVWCWWIXUMXKZVUIVWCNVUJVLZEXVIVULXPWUCXVCXVJ
        NWUCEXVIWUCEWYNVKZWUCXVIXVOYHYMWUCVUMZWUCXVCEVWCVNOZNVWCVNOZUCOZXVJNVHO
        ZWUCENVWCXVPXVQWUCVWCXVHVQZVUNWUCXVRVWCUCOXVREUCOZNVHOXVTXWAWUCXVRENWUC
        EVWCXVPXWBYMXVPXVQVUOWUCXVSVWCXVRUCWUCVWCXWBWAVFWUCXVJXWCNVHWUCEVWCXVPX
        WBVUTVGWBWEVUPVUQWUCVYCXVMEVWCYCWQWHZXVBXVEUIXVFXOWXNXVNWUCVYDVWCVXDRXW
        DWYNWUCFVXDVWCWWMXUMXKEVWCYDXPVWCEXUSVWCXUSYFVURVTVUSWUCVYCWXMVWMXVAQZW
        XNWXOVWMEWUEWYOYNXPZYOYPVVAXUNXUOVVBYRVWCVWMWUEENUCXSYSVVCYTWUCXUJCWUIW
        UCVWRWUIRZUIVXAFWUFXWGWUCVWRFRZVXBVWRFWUFVVDWUCVXBCFWVTVVEVVFXWGWUCXWHV
        WRWUFRZWHZUIVXAWUFRZWHZVWRFWUFVVGWUCXWHXWJXWLWUCXWHUIZXWKXWIXWMVXAVWMQZ
        VXAWUEQZXLVWRWUEQZWVSXLZXWKXWIXWMXWNXWPXWOWVSXWMVWRVXAVWSUMOZEPOZQZXWNX
        WPXWMVYCVWRVXDRXWTWUCVYCXWHWXNVCWUCFVXDVWRWWMVVHVWREVXAVXAYFYNXPZXWNXWS
        WUEVWRXWNXWRWUDEPVXAVWMVWSUMXFVGVVJVVIXWOWVSXWMXWSXVAQXWOXWRXUTEPVXAWUE
        VWSUMXFVGXWMVWRXWSVWMXVAXXAWUCXWEXWHXWFVCYOYPVVKVXAVWMWUEVWTEPXSYSXWIWV
        SXWPXLXWQVWRVWMWUECYIYSWVSXWPYBYAVVLVVTVVMVVNYTVVOVVPVXMXULBWUIVXEDVXIW
        UIQVXJXUIVXLXUKVXIWUIVWCUPVXKXUJCVXIWUIVXIWUIVXAUPUQURJUSYRXGVWAWEVVQWF
        VVRVVSVWB $.
    $}

    $( Lemma for ~ wilth .  Here we round out the argument of ~ wilthlem2 with
       the final step of the induction.  The induction argument shows that
       every subset of ` 1 ... ( P - 1 ) ` that is closed under inverse and
       contains ` P - 1 ` multiplies to ` -u 1 mod P ` , and clearly
       ` 1 ... ( P - 1 ) ` itself is such a set.  Thus, the product of all the
       elements is ` -u 1 ` , and all that is left is to translate the group
       sum notation (which we used for its unordered summing capabilities) into
       an ordered sequence to match the definition of the factorial.
       (Contributed by Mario Carneiro, 24-Jan-2015.)  (Proof shortened by AV,
       27-Jul-2019.) $)
    wilthlem3 $p |- ( P e. Prime -> P || ( ( ! ` ( P - 1 ) ) + 1 ) ) $=
      ( vs wcel cid c1 cmin co cfv cmo wceq cz wi ccnfld cc vt cprime cres cgsu
      vk cfz cneg cfa caddc cdvds wbr cv c2 cexp wral cuz cn prmuz2 uz2m1nn syl
      nnuz eleqtrdi eluzfz2 wa cmul wn simpl elfzelz prmnn fzm1ndvds sylan eqid
      adantl prmdiv syl3anc simpld ralrimiva ovex pwid eleq2 raleqbi1dv anbi12d
      cpw elrab2 mpbiran sylanbrc cfn eleq1 reseq2 oveq2d oveq1d eqeq1d imbi12d
      fzfi imbi2d wpss wal bi2.04 pm2.27 com34 syl5bi alimdv df-ral syl6ibr w3a
      simp1 simp3 simp2 wilthlem2 3exp syldc a1i findcard3 mpd cnfld1 ringidval
      ax-mp wb ccrg ccmn cncrng crngmgp mp1i csubrg csubmnd zsubrg subrgsubm wf
      wss wf1o f1oi f1of fzssz fss mp2an cvv 1ex fdmfifsupp cseq csupp 1z mpbid
      gsumsubmcl znegcl moddvds ccom fcoi1 fveq1i fvres syl5eq seqfveq cnfldbas
      ccntz mgpbas cnfldmul mgpplusg crg cmnd cnring ringmgp zsscn cntzcmnf wf1
      f1of1 crn cdm suppssdm dmresi sseqtri sseqtrri gsumval3 facnn 3eqtr4d cn0
      rnresi nnm1nn0 faccld nncnd ax-1cn subneg sylancl eqtrd breqtrd ) DUBIZDE
      JKDKLMZUFMZUCZUDMZKUGZLMZUWEUHNZKUIMZUJUWDUWHDOMZUWIDOMZPZDUWJUJUKZUWDUWF
      CIZUWOUWDUWEUWFIZBULZDUMLMUNMDOMZUWFIZBUWFUOZUWQUWDUWEKUPNZIUWRUWDUWEUQUX
      CUWDDUMUPNIUWEUQIZDURDUSUTZVAVBZKUWEVCUTUWDUXABUWFUWDUWSUWFIZVDZUXADUWSUW
      TVEMKLMUJUKZUXHUWDUWSQIZDUWSUJUKVFZUXAUXIVDUWDUXGVGUXGUXJUWDUWSKUWEVHVMUW
      DDUQIZUXGUXKDVIZDUWSVJVKUWSDUWTUWTVLVNVOVPVQUWQUWFUWFWCZIUWRUXBVDZUWFKUWE
      UFVRVSUWEAULZIZUWTUXPIZBUXPUOZVDUXOAUWFUXNCUXPUWFPUXQUWRUXSUXBUXPUWFUWEVT
      UXRUXABUXPUWFUXPUWFUWTVTWAWBGWDWEWFUWFWGIZUWDUWQUWORZRZKUWEWNZUWDHULZCIZE
      JUYDUCZUDMZDOMZUWNPZRZRZUWDUAULZCIZEJUYLUCZUDMZDOMZUWNPZRZRZUYBHUAUWFUYDU
      YLPZUYJUYRUWDUYTUYEUYMUYIUYQUYDUYLCWHUYTUYHUYPUWNUYTUYGUYODOUYTUYFUYNEUDU
      YDUYLJWIWJWKWLWMWOUYDUWFPZUYJUYAUWDVUAUYEUWQUYIUWOUYDUWFCWHVUAUYHUWMUWNVU
      AUYGUWHDOVUAUYFUWGEUDUYDUWFJWIWJWKWLWMWOUYDUYLWPZUYKRZHWQZUYSRUYLWGIUWDVU
      DVUBUYIRZHCUOZUYRUWDVUDUYEVUERZHWQVUFUWDVUCVUGHVUCUWDVUBUYJRZRZUWDVUGVUBU
      WDUYJWRUWDVUIVUBUYEUYIUWDVUHWSWTXAXBVUEHCXCXDUWDVUFUYMUYQUWDVUFUYMXEABCDU
      YLEHFGUWDVUFUYMXFUWDVUFUYMXGUWDVUFUYMXHXIXJXKXLXMXQXNUWDUXLUWHQIUWIQIZUWO
      UWPXRUXMUWDUWFQUWGEWGKSKEFXOXPZSXSIEXTIUWDYASEFYBYCZUXTUWDUYCXLZQSYDNIQEY
      ENIUWDYFQSEFYGYCUWFQUWGYHZUWDUWFUWFUWGYHZUWFQYIVUNUWFUWFUWGYJZVUOUWFYKZUW
      FUWFUWGYLXQZKUWEYMUWFUWFQUWGYNYOZXLZUWDUWFQUWGYPKVUTVUMKYPIUWDYQXLYRUUCKQ
      IVUJUWDUUAKUUDYCUWHUWIDUUEVOUUBUWDUWJUWKUWILMZUWLUWDUWHUWKUWILUWDUWEVEUWG
      UWGUUFZKYSNUWEVEJKYSNZUWHUWKUWDVEUEVVBJKUWEUXFUEULZUWFIZVVDVVBNZVVDJNZPUW
      DVVEVVFVVDUWGNVVGVVDVVBUWGVUOVVBUWGPVURUWFUWFUWGUUGXQUUHVVDUWFJUUIUUJVMUU
      KUWDUWFTVEUWGEUWGUWEWGVVBKYTMZKEUUMNZTSEFUULUUNZVUKSVEEFUUOUUPVVIVLZSUUQI
      EUURIUWDUUSSEFUUTYCVUMUWFTUWGYHZUWDVUNQTYIVVLVUSUVAUWFQTUWGYNYOXLZUWDUWFT
      UWGEVVIVVJVVKVULVVMUVBUXEVUPUWFUWFUWGUVCUWDVUQUWFUWFUWGUVDYCUWGKYTMZUWGUV
      EZYIUWDVVNUWFVVOVVNUWGUVFUWFUWGKUVGUWFUVHUVIUWFUVOUVJXLVVHVLUVKUWDUXDUWKV
      VCPUXEUWEUVLUTUVMWKUWDUWKTIKTIVVAUWLPUWDUWKUWDUWEUWDUXLUWEUVNIUXMDUVPUTUV
      QUVRUVSUWKKUVTUWAUWBUWC $.
  $}

  ${
    $d n x y z N $.
    $( Wilson's theorem.  A number is prime iff it is greater than or equal to
       ` 2 ` and ` ( N - 1 ) ! ` is congruent to ` -u 1 ` , ` mod N ` , or
       alternatively if ` N ` divides ` ( N - 1 ) ! + 1 ` .  In this part of
       the proof we show the relatively simple reverse implication; see
       ~ wilthlem3 for the forward implication.  This is Metamath 100 proof
       #51.  (Contributed by Mario Carneiro, 24-Jan-2015.)  (Proof shortened by
       Fan Zheng, 16-Jun-2016.) $)
    wilth $p |- ( N e. Prime <-> ( N e. ( ZZ>= ` 2 ) /\
      N || ( ( ! ` ( N - 1 ) ) + 1 ) ) ) $=
      ( vx vy vz vn wcel c2 cfv c1 co cdvds wbr wa cv cexp cmo wral cn cz nnzd
      cprime cuz cmin cfa caddc prmuz2 cfz cpw crab ccnfld cmgp eqid weq eleq2w
      oveq1d eleq1d cbvralvw raleqbi1dv syl5bb anbi12d cbvrabv wilthlem3 jca wn
      oveq1 simpl elfzuz adantl eluz2nn syl elfzuz3 dvdsfac syl2anc wi ad2antrr
      clt cn0 nnm1nn0 faccl eluz2gt1 ndvdsp1 syl3anc mpd simplr peano2zd dvdstr
      3syl mpan2d mtod ralrimiva isprm3 sylanbrc impbii ) AUAFZAGUBHZFZAAIUCJZU
      DHZIUEJZKLZMZWNWPWTAUFBCWQDNZFZENZAGUCJZOJZAPJZXBFZEXBQZMZDIWQUGJUHZUIAUJ
      UKHZXLULXJWQBNZFZCNZXEOJZAPJZXMFZCXMQZMDBXKDBUMZXCXNXIXSDBWQUNXIXQXBFZCXB
      QXTXSXHYAECXBECUMZXGXQXBYBXFXPAPXDXOXEOVEUOUPUQYAXRCXBXMDBXQUNURUSUTVAVBV
      CXAWPXDAKLZVDZEGWQUGJZQWNWPWTVFXAYDEYEXAXDYEFZMZYCXDWSKLZYGXDWRKLZYHVDZYG
      XDRFZWQXDUBHFZYIYGXDWOFZYKYFYMXAXDGWQVGVHZXDVIVJZYFYLXAXDGWQVKVHXDWQVLVMY
      GWRSFYKIXDVPLZYIYJVNYGWRYGARFZWQVQFWRRFWPYQWTYFAVIVOZAVRWQVSWGTZYOYGYMYPY
      NXDVTVJXDWRWAWBWCYGYCWTYHWPWTYFWDYGXDSFASFWSSFYCWTMYHVNYGXDYOTYGAYRTYGWRY
      SWEXDAWSWFWBWHWIWJEAWKWLWM $.
  $}

  $( The forward implication of Wilson's theorem ~ wilth (see ~ wilthlem3 ),
     expressed using the modulo operation:  For any prime ` p ` we have
     ` ( p - 1 ) ! == - 1 ` (mod ` p ` ), see theorem 5.24 in [ApostolNT]
     p. 116.  (Contributed by AV, 21-Jul-2021.) $)
  wilthimp $p |- ( P e. Prime
                     -> ( ( ! ` ( P - 1 ) ) mod P ) = ( -u 1 mod P ) ) $=
    ( cprime wcel c2 cuz cfv c1 cmin co cfa cdvds wbr wa cmo wceq cz syl adantr
    wb cc caddc cneg wilth cc0 cn eluz2nn nnm1nn0 faccld nnzd peano2zd dvdsval3
    cn0 syl2anc biimpar nncnd 1cnd jca subneg breqtrrd w3a neg1z moddvds mpbird
    a1i 3jca ex sylbid imp sylbi ) ABCADEFCZAAGHIZJFZGUAIZKLZMVLANIGUBZANIOZAUC
    VJVNVPVJVNVMANIUDOZVPVJAUECZVMPCVNVQSAUFZVJVLVJVLVJVKVJVRVKULCVSAUGQUHZUIZU
    JAVMUKUMZVJVQVPVJVQMZVPAVLVOHIZKLZWCAVMWDKVJVNVQWBUNWCVLTCZGTCZMZWDVMOVJWHV
    QVJWFWGVJVLVTUOVJUPUQRVLGURQUSWCVRVLPCZVOPCZUTZVPWESVJWKVQVJVRWIWJVSWAWJVJV
    AVDVERVLVOAVBQVCVFVGVHVI $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The Fundamental Theorem of Algebra
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d k n r s x A $.  $d s x z D $.  $d r E $.  $d k n K $.  $d k n r s x N $.
    $d k n r s w x y z F $.  $d s x z J $.  $d k s w x y z ph $.  $d s x y R $.
    $d k s S $.  $d k r x T $.  $d r x U $.  $d k n r s w x y z X $.
    ftalem.1 $e |- A = ( coeff ` F ) $.
    ftalem.2 $e |- N = ( deg ` F ) $.
    ftalem.3 $e |- ( ph -> F e. ( Poly ` S ) ) $.
    ftalem.4 $e |- ( ph -> N e. NN ) $.
    ${
      ftalem1.5 $e |- ( ph -> E e. RR+ ) $.
      ftalem1.6 $e |- T =
        ( sum_ k e. ( 0 ... ( N - 1 ) ) ( abs ` ( A ` k ) ) / E ) $.
      $( Lemma for ~ fta :  "growth lemma".  There exists some ` r ` such that
         ` F ` is arbitrarily close in proportion to its dominant term.
         (Contributed by Mario Carneiro, 14-Sep-2014.) $)
      ftalem1 $p |- ( ph -> E. r e. RR A. x e. CC ( r < ( abs ` x ) ->
        ( abs ` ( ( F ` x ) - ( ( A ` N ) x. ( x ^ N ) ) ) ) <
          ( E x. ( ( abs ` x ) ^ N ) ) ) ) $=
        ( c1 wbr wcel co cle cif cr cv cabs cfv clt cexp cmul cmin wi wral wrex
        cc cc0 cfz csu cdiv fzfid wa cn0 wf coef3 elfznn0 ffvelrn syl2an abscld
        cply syl fsumrecl rerpdivcld eqeltrid sylancl adantr sylan simprl expcl
        1re ifcl mulcld sylan2 fsumcl nnnn0d ffvelrnd expcld caddc wceq syl2anc
        coeid2 cuz nn0uz eleqtrdi fveq2 oveq2 oveq12d fsumm1 eqtrd mvrraddd crp
        fveq2d reexpcld remulcld fsumabs nnm1nn0 adantlr absmuld absge0d absexp
        rpred cn a1i max1 sylancr simprr lelttrd ltled elfzuz3 leexp2ad eqbrtrd
        adantl lemul2ad recnd fsummulc1 breqtrrd max2 eqbrtrrid ltdivmuld mpbid
        fsumle wb nn0zd 0red 0lt1 lttrd expgt0 syl3anc ltmul1 syl112anc expm1t
        cz mulcomd oveq2d mulassd eqtr4d expr ralrimiva breq1 rspceaimv ) AQEUA
        RZEQUBZUCSZUUJBUDZUEUFZUGRZUULHUFZICUFZUULIUHTZUITZUJTZUEUFZGUUMIUHTZUI
        TZUGRZUKZBUNULJUDZUUMUGRZUVCUKBUNULJUCUMAEUCSZQUCSZUUKAEUOIQUJTZUPTZFUD
        ZCUFZUEUFZFUQZGURTZUCPAUVNGAUVJUVMFAUOUVIUSAUVKUVJSZUTUVLAVAUNCVBZUVKVA
        SZUVLUNSZUVPAHDVHUFSZUVQMCDHKVCVIZUVKUVIVDZVAUNUVKCVEZVFVGZVJZOVKVLZVRU
        UIEQUCVSVMZAUVDBUNAUULUNSZUUNUVCAUWHUUNUTZUTZUUTUVJUVLUULUVKUHTZUITZFUQ
        ZUEUFZUVBUGUWJUUSUWMUEUWJUUOUWMUURUWJUVJUWLFUWJUOUVIUSZUVPUWJUVRUWLUNSZ
        UWBUWJUVRUTZUVLUWKUWJUVQUVRUVSAUVQUWIUWAVNZUWCVOZUWJUWHUVRUWKUNSZAUWHUU
        NVPZUULUVKVQVOZVTZWAZWBZUWJUUPUUQUWJVAUNICUWRAIVASUWIAINWCVNZWDUWJUULIU
        XAUXFWEVTUWJUUOUOIUPTZUWLFUQZUWMUURWFTUWJUVTUWHUUOUXHWGAUVTUWIMVNUXACDF
        HIUULKLWIWHUWJUWLUURFUOIUWJIVAUOWJUFUXFWKWLUVKUXGSUWJUVRUWPUVKIVDUXCWAU
        VKIWGUVLUUPUWKUUQUIUVKICWMUVKIUULUHWNWOWPWQWRWTUWJUWNUVJUWLUEUFZFUQZUVB
        UWJUWMUXEVGUWJUVJUXIFUWOUWJUVPUTZUWLUXDVGZVJZUWJGUVAUWJGAGWSSUWIOVNZXIZ
        UWJUUMIUWJUULUXAVGZUXFXAXBZUWJUVJUWLFUWOUXDXCUWJUXJUVNUUMUVIUHTZUITZUVB
        UXMUWJUVNUXRAUVNUCSZUWIUWEVNZUWJUUMUVIUXPUWJIXJSZUVIVASAUYBUWINVNZIXDVI
        ZXAZXBUXQUWJUXJUVJUVMUXRUITZFUQUXSUAUWJUVJUXIUYFFUWOUXLUXKUVMUXRAUVPUVM
        UCSUWIUWDXEZUWJUXRUCSZUVPUYEVNZXBUXKUXIUVMUWKUEUFZUITZUYFUAUVPUWJUVRUXI
        UYKWGUWBUWQUVLUWKUWSUXBXFWAUXKUYJUXRUVMUXKUWKUVPUWJUVRUWTUWBUXBWAVGUYIU
        YGUXKUVLUVPUWJUVRUVSUWBUWSWAXGUXKUYJUUMUVKUHTZUXRUAUWJUWHUVRUYJUYLWGUVP
        UXAUWBUULUVKXHVFUXKUUMUVKUVIUWJUUMUCSZUVPUXPVNUWJQUUMUARUVPUWJQUUMUVHUW
        JVRXKZUXPUWJQUUJUUMUYNAUUKUWIUWGVNZUXPAQUUJUARZUWIAUVHUVGUYPVRUWFQEXLXM
        VNAUWHUUNXNZXOZXPVNUVPUVIUVKWJUFSUWJUVKUOUVIXQXTXRXSYAXSYIUWJUVJUVMUXRF
        UWOUWJUXRUYEYBZUXKUVMUYGYBYCYDUWJUXSGUUMUITZUXRUITZUVBUGUWJUVNUYTUGRZUX
        SVUAUGRZUWJUVOUUMUGRVUBUWJUVOEUUMUGPUWJEUUJUUMAUVGUWIUWFVNUYOUXPAEUUJUA
        RZUWIAUVHUVGVUDVRUWFQEYEXMVNUYQXOYFUWJUVNUUMGUYAUXPUXNYGYHUWJUXTUYTUCSU
        YHUOUXRUGRZVUBVUCYJUYAUWJGUUMUXOUXPXBUYEUWJUYMUVIYTSUOUUMUGRVUEUXPUWJUV
        IUYDYKUWJUOQUUMUWJYLUYNUXPUOQUGRUWJYMXKUYRYNUUMUVIYOYPUVNUYTUXRYQYRYHUW
        JUVBGUUMUXRUITZUITVUAUWJUVAVUFGUIUWJUVAUXRUUMUITZVUFUWJUUMUNSUYBUVAVUGW
        GUWJUUMUXPYBZUYCUUMIYSWHUWJUXRUUMUYSVUHUUAWQUUBUWJGUUMUXRUWJGUXOYBVUHUY
        SUUCUUDYDXOXOXSUUEUUFUVFUUNUVCJBUUJUCUNUVEUUJUUMUGUUGUUHWH $.
    $}

    ${
      ftalem2.5 $e |- U =
        if ( if ( 1 <_ s , s , 1 ) <_ T , T , if ( 1 <_ s , s , 1 ) ) $.
      ftalem2.6 $e |- T =
        ( ( abs ` ( F ` 0 ) ) / ( ( abs ` ( A ` N ) ) / 2 ) ) $.
      $( Lemma for ~ fta .  There exists some ` r ` such that ` F ` has
         magnitude greater than ` F ( 0 ) ` outside the closed ball B(0,r).
         (Contributed by Mario Carneiro, 14-Sep-2014.) $)
      ftalem2 $p |- ( ph -> E. r e. RR+ A. x e. CC
        ( r < ( abs ` x ) -> ( abs ` ( F ` 0 ) ) < ( abs ` ( F ` x ) ) ) ) $=
        ( cfv wbr co wcel vn vk cv cabs clt cexp cmul cmin c2 cdiv wi wral wrex
        cc cr cc0 crp c1 cfz csu cn0 cply wf coef3 syl nnnn0d ffvelrnd wne wceq
        nnne0d c0p dgreq0 cdgr fveq2 eqtrdi syl5eq syl6bir necon3d mpd absrpcld
        dgr0 rphalfcld 2fveq3 cbvsumv oveq1i ftalem1 wa cle cif ffvelrn sylancl
        plyf 0cn abscld rerpdivcld eqeltrid simpr 1re ifcl ifcld 0red 1red 0lt1
        adantr a1i max1 sylancr syl2anc breqtrrdi letrd elrpd max2 abscl lelttr
        ltletrd syl2an3an imim1d ad2antrr simprl expcld mulcld subcld rehalfcld
        mpand ltsub2d absmuld absexpd oveq2d eqtrd recnd ad2antrl reexpcld 2cnd
        oveq1d 2ne0 syl3anc lelttrd mpbid cn syld div23d breq2d 2halvesd pncand
        caddc eqtr3d breq1d 3bitr3d abssubd nncand fveq2d 3brtr3d ltletr mpan2d
        abs2difd resubcld sylbid rpred remulcld eqeltrrd simprr eqbrtrrid exp1d
        ltdivmuld cuz nnuz eleqtrdi leexp2ad eqbrtrrd lemul2d breqtrrd lttr a2d
        ltled expr ralimdva breq1 rspceaimv syl6an rexlimdva ) AIUCZBUCZUDQZUER
        ZUWBGQZHCQZUWBHUFSZUGSZUHSZUDQZUWFUDQZUIUJSZUWCHUFSZUGSZUERZUKZBUNULZIU
        OUMJUCZUWCUERZUPGQZUDQZUWEUDQZUERZUKBUNULJUQUMZABCDUPHURUHSUSSZUAUCZCQU
        DQZUAUTZUWLUJSUBUWLGHIKLMNAUWKAUWFAVAUNHCAGDVBQTZVAUNCVCMCDGKVDVEAHNVFZ
        VGZAHUPVHUWFUPVHAHNVJAUWFUPHUPAUXIUWFUPVIZHUPVIZUKMUXIUXLGVKVIZUXMCDGHL
        KVLUXNHGVMQZUPLUXNUXOVKVMQUPGVKVMVNWAVOVPVQVEVRVSVTWBZUXHUXEUBUCZCQUDQZ
        UBUTUWLUJUXEUXGUXRUAUBUXFUXQUDCWCWDWEWFAUWQUXDIUOAUWAUOTZWGZFUQTUWQFUWC
        UERZUXCUKZBUNULUXDUXTFUXTFURUWAWHRZUWAURWIZEWHRZEUYDWIZUOOUXTUYEEUYDUOA
        EUOTZUXSAEUXAUWLUJSZUOPAUXAUWLAUWTAUNUNGVCZUPUNTUWTUNTAUXIUYIMDGWLVEZWM
        UNUNUPGWJWKWNZUXPWOWPXDZUXTUXSURUOTZUYDUOTZAUXSWQZWRUYCUWAURUOWSWKZWTWP
        ZUXTUPURFUXTXAUXTXBZUYQUPURUERUXTXCXEUXTURUYDFUYRUYPUYQUXTUYMUXSURUYDWH
        RWRUYOURUWAXFXGUXTUYDUYFFWHUXTUYNUYGUYDUYFWHRUYPUYLUYDEXFXHOXIZXJZXOXKU
        XTUWPUYBBUNUXTUWBUNTZWGZUWPUYAUWOUKUYBVUBUYAUWDUWOVUBUWAFWHRZUYAUWDUXTV
        UCVUAUXTUWAUYDFUYOUYPUYQUXTUYMUXSUWAUYDWHRWRUYOURUWAXLXGUYSXJXDUXTUXSFU
        OTZVUAUWCUOTZVUCUYAWGUWDUKUYOUYQUWBXMZUWAFUWCXNXPYDXQVUBUYAUWOUXCUXTVUA
        UYAUWOUXCUKUXTVUAUYAWGZWGZUWOUWHUDQZUIUJSZUXBUERZUXCVUHUWOVUJVUIUWJUHSZ
        UERZVUKVUHUWJVUJUERVUIVUJUHSZVULUERUWOVUMVUHUWJVUJVUIVUHUWIVUHUWEUWHVUH
        UNUNUWBGAUYIUXSVUGUYJXRUXTVUAUYAXSZVGZVUHUWFUWGAUWFUNTUXSVUGUXKXRZVUHUW
        BHVUOAHVATUXSVUGUXJXRZXTZYAZYBWNZVUHVUIVUHUWHVUTWNZYCZVVBYEVUHVUJUWNUWJ
        UEVUHVUJUWKUWMUGSZUIUJSUWNVUHVUIVVDUIUJVUHVUIUWKUWGUDQZUGSVVDVUHUWFUWGV
        UQVUSYFVUHVVEUWMUWKUGVUHUWBHVUOVURYGYHYIYNVUHUWKUWMUIVUHUWKVUHUWFVUQWNY
        JVUHUWMVUHUWCHVUAVUEUXTUYAVUFYKZVURYLZYJVUHYMUIUPVHVUHYOXEUUAYIZUUBVUHV
        UNVUJVULUEVUHVUJVUJUUESZVUJUHSVUNVUJVUHVVIVUIVUJUHVUHVUIVUHVUIVVBYJUUCY
        NVUHVUJVUJVUHVUJVVCYJZVVJUUDUUFUUGUUHVUHVUMVULUXBWHRZVUKVUHVUIUWHUWEUHS
        ZUDQZUHSUWHVVLUHSZUDQVULUXBWHVUHUWHVVLVUTVUHUWHUWEVUTVUPYBUUOVUHVVMUWJV
        UIUHVUHUWHUWEVUTVUPUUIYHVUHVVNUWEUDVUHUWHUWEVUTVUPUUJUUKUULVUHVUJUOTZVU
        LUOTUXBUOTZVUMVVKWGVUKUKVVCVUHVUIUWJVVBVVAUUPVUHUWEVUPWNZVUJVULUXBUUMYP
        UUNUUQVUHUXAVUJUERZVUKUXCVUHUXAUWNVUJUEVUHUXAUWLUWCUGSZUWNAUXAUOTZUXSVU
        GUYKXRZVUHUWLUWCVUHUWLAUWLUQTUXSVUGUXPXRZUURVVFUUSVUHVUJUWNUOVVHVVCUUTV
        UHUYHUWCUERUXAVVSUERVUHUYHEUWCUEPVUHEFUWCUXTUYGVUGUYLXDUXTVUDVUGUYQXDZV
        VFUXTEFWHRVUGUXTEUYFFWHUXTUYNUYGEUYFWHRUYPUYLUYDEXLXHOXIXDUXTVUAUYAUVAZ
        YQUVBVUHUXAUWCUWLVWAVVFVWBUVDYRVUHUWCUWMWHRVVSUWNWHRVUHUWCURUFSUWCUWMWH
        VUHUWCVUHUWCVVFYJUVCVUHUWCURHVVFVUHURUWCVUHXBZVVFVUHURFUWCVWEVWCVVFUXTU
        RFWHRVUGUYTXDVWDYQUVNVUHHYSURUVEQAHYSTUXSVUGNXRUVFUVGUVHUVIVUHUWCUWMUWL
        VVFVVGVWBUVJYRXOVVHUVKVUHVVTVVOVVPVVRVUKWGUXCUKVWAVVCVVQUXAVUJUXBUVLYPY
        DYTUVOUVMYTUVPUWSUYAUXCJBFUQUNUWRFUWCUEUVQUVRUVSUVTVS $.
    $}

    ${
      ftalem3.5 $e |- D = { y e. CC | ( abs ` y ) <_ R } $.
      ftalem3.6 $e |- J = ( TopOpen ` CCfld ) $.
      ftalem3.7 $e |- ( ph -> R e. RR+ ) $.
      ftalem3.8 $e |- ( ph -> A. x e. CC
        ( R < ( abs ` x ) -> ( abs ` ( F ` 0 ) ) < ( abs ` ( F ` x ) ) ) ) $.
      $( Lemma for ~ fta .  There exists a global minimum of the function
         ` abs o. F ` .  The proof uses a circle of radius ` r ` where ` r ` is
         the value coming from ~ ftalem1 ; since this is a compact set, the
         minimum on this disk is achieved, and this must then be the global
         minimum.  (Contributed by Mario Carneiro, 14-Sep-2014.) $)
      ftalem3 $p |- ( ph -> E. z e. CC A. x e. CC
        ( abs ` ( F ` z ) ) <_ ( abs ` ( F ` x ) ) ) $=
        ( cc vs cv cfv cabs cle wbr wral wrex wss ssrab3 ccom cres crest co crn
        cioo ctopon wcel cnfldtopon resttopon mp2an toponunii eqid ccld cr ccmp
        ctg cmin cxmet cc0 cxr a1i 0cn rpxrd cnfldtopn crab wceq cnmetdval mpan
        cnxmet df-neg fveq2i absneg eqtr3id eqtrd breq1d rabbiia eqtr4i syl3anc
        cneg blcld rpred fveq2 elrab2 simprbi rgen brralrspcev sylancl cnheibor
        wa wb ax-mp sylanbrc ccn ccncf cply plycn abscncf cncfco ssid ax-resscn
        toponrestid tgioo2 cncfcn eleqtrdi cnrest rpge0d abs0 eqtrdi ne0d evth2
        syl fvres ad2antlr wf ad2antrr simplr sselid fvco3 syl2anc adantl simpr
        plyf breq12d ralbidva wi abscld ffvelrnd clt cun rexbidva ssrexv adantr
        mpbid mpsyl cdif 2fveq3 breq2d rspcv ffvelrn eldifad eldifbd baib mtbid
        ltnled mpbird rsp syl3c ltled letr mpan2d ralrimdva ancld ralunb undif2
        wn syld ssequn1 mpbi eqtri raleqi bitr3i syl6ib reximdva mpd ) ADUBZIUC
        ZUDUCZBUBZIUCZUDUCZUEUFZBFUGZDTUHZUWBBTUGZDTUHFTUIZAUWCDFUHZUWDCUBZUDUC
        ZGUEUFZCTFPUJZAUVPUDIUKZFULZUCZUVSUWMUCZUEUFZBFUGZDFUHUWGADBUWMJFUMUNZU
        PUOVGUCZFFUWRJTUQUCURUWFUWRFUQUCURJQUSZUWKFJTUTVAVBUWSVCAFJVDUCURZUVSUD
        UCZUAUBUEUFBFUGUAVEUHZUWRVFURZAUDVHUKZTVIUCURZVJTURZGVKURUXAUXFAVTVLUXG
        AVMVLZAGRVNCUXEVJGFJTJQVOFUWJCTVPVJUWHUXEUNZGUEUFZCTVPPUXJUWJCTUWHTURZU
        XIUWIGUEUXKUXIVJUWHVHUNZUDUCZUWIUXGUXKUXIUXMVQVMVJUWHUXEUXEVCVRVSUXKUXM
        UWHWJZUDUCUWIUXNUXLUDUWHWAWBUWHWCWDWEWFWGWHWKWIAGVEURZUXBGUEUFZBFUGUXCA
        GRWLZUXPBFUVSFURZUVSTURZUXPUWJUXPCUVSTFUWHUVSVQUWIUXBGUEUWHUVSUDWMWFPWN
        ZWOWPUABUXBGUEVEFWQWRUWFUXDUXAUXCWTXAUWKBUWRJFUAQUWRVCWSXBXCAUWLJUWSXDU
        NZURUWFUWMUWRUWSXDUNURAUWLTVEXEUNZUYAATTVEIUDAIHXFUCURZITTXEUNURNHIXGYB
        UDUYBURAXHVLXITTUIVETUIUYBUYAVQTXJXKTVEJJUWSQJTUWTXLJQXMXNVAXOUWKFUWLJU
        WSTTJUWTVBXPWRAFVJAUXGVJGUEUFZVJFURZUXHAGRXQUWJUYDCVJTFUWHVJVQZUWIVJGUE
        UYFUWIVJUDUCVJUWHVJUDWMXRXSWFPWNXCZXTYAAUWQUWCDFAUVPFURZWTZUWPUWBBFUYIU
        XRWTZUWNUVRUWOUWAUEUYJUWNUVPUWLUCZUVRUYHUWNUYKVQAUXRUVPFUWLYCYDUYJTTIYE
        ZUVPTURZUYKUVRVQAUYLUYHUXRAUYCUYLNHIYMYBZYFZUYJFTUVPUWKAUYHUXRYGYHTTUVP
        UDIYIYJWEUYJUWOUVSUWLUCZUWAUXRUWOUYPVQUYIUVSFUWLYCYKUYJUYLUXSUYPUWAVQUY
        OUYJFTUVSUWKUYIUXRYLYHTTUVSUDIYIYJWEYNYOUUAUUDUWCDFTUUBUUEAUWCUWEDTAUYM
        WTZUWCUWCUWBBTFUUFZUGZWTZUWEUYQUWCUYSUYQUWCUVRVJIUCZUDUCZUEUFZUYSUYQUYE
        UWCVUCYPAUYEUYMUYGUUCUWBVUCBVJFUVSVJVQUWAVUBUVRUEUVSVJUDIUUGUUHUUIYBUYQ
        VUCUWBBUYRUYQUVSUYRURZWTZVUCVUBUWAUEUFZUWBVUEVUBUWAVUEVUAVUEUYLUXGVUATU
        RAUYLUYMVUDUYNYFZVMTTVJIUUJWRYQZVUEUVTVUETTUVSIVUGVUEUVSTFUYQVUDYLZUUKZ
        YRYQZVUEGUXBYSUFZVUBUWAYSUFZYPZBTUGZUXSVULVUMAVUOUYMVUDSYFVUJVUEVULUXPU
        VFVUEUXRUXPVUEUVSTFVUIUULVUEUXSUXRUXPXAVUJUXRUXSUXPUXTUUMYBUUNVUEGUXBAU
        XOUYMVUDUXQYFVUEUVSVUJYQUUOUUPVUNBTUUQUURUUSVUEUVRVEURVUBVEURUWAVEURVUC
        VUFWTUWBYPVUEUVQVUETTUVPIVUGAUYMVUDYGYRYQVUHVUKUVRVUBUWAUUTWIUVAUVBUVGU
        VCUYTUWBBFUYRYTZUGUWEUWBBFUYRUVDUWBBVUPTVUPFTYTZTFTUVEUWFVUQTVQUWKFTUVH
        UVIUVJUVKUVLUVMUVNUVO $.
    $}

    ${
      ftalem4.5 $e |- ( ph -> ( F ` 0 ) =/= 0 ) $.
      ftalem4.6 $e |- K = inf ( { n e. NN | ( A ` n ) =/= 0 } , RR , < ) $.
      ftalem4.7 $e |- T = ( -u ( ( F ` 0 ) / ( A ` K ) ) ^c ( 1 / K ) ) $.
      ftalem4.8 $e |- U = ( ( abs ` ( F ` 0 ) ) /
      ( sum_ k e. ( ( K + 1 ) ... N )
        ( abs ` ( ( A ` k ) x. ( T ^ k ) ) ) + 1 ) ) $.
      ftalem4.9 $e |- X = if ( 1 <_ U , 1 , U ) $.
      $( Lemma for ~ fta :  Closure of the auxiliary variables for ~ ftalem5 .
         (Contributed by Mario Carneiro, 20-Sep-2014.)  (Revised by AV,
         28-Sep-2020.) $)
      ftalem4 $p |- ( ph -> ( ( K e. NN /\ ( A ` K ) =/= 0 ) /\
        ( T e. CC /\ U e. RR+ /\ X e. RR+ ) ) ) $=
        ( cn wcel cfv cc0 wne wa cc crp w3a cv crab cr clt c1 cuz wss c0 ssrab2
        cinf nnuz sseqtri wceq fveq2 neeq1d nnne0d c0p cply wb dgreq0 cdgr dgr0
        syl eqtrdi syl5eq syl6bir necon3d mpd elrabd infssuzcl sylancr eqeltrid
        ne0d elrab sylib cdiv co cneg ccxp wf plyf ffvelrn sylancl coef3 simpld
        0cn cn0 nnnn0d ffvelrnd simprd divcld negcld nnrecred recnd cxpcld cabs
        caddc cfz cexp cmul csu fzfid peano2nn0 elfzuz eluznn0 syl2an ffvelrnda
        absrpcld syldan expcl syl2an2r mulcld fsumrecl absge0d fsumge0 ge0p1rpd
        abscld rpdivcld cle wbr cif 1rp ifcl 3jca jca ) AIUAUBZIBUCZUDUEZUFZDUG
        UBZEUHUBZKUHUBZUIAIGUJZBUCZUDUEZGUAUKZUBYRAIUUEULUMUSZUUEQAUUEUNUOUCZUP
        UUEUQUEUUFUUEUBUUEUAUUGUUDGUAURUTVAAUUEJAUUDJBUCZUDUEZGJUAUUBJVBUUCUUHU
        DUUBJBVCVDOAJUDUEUUIAJOVEAUUHUDJUDAUUHUDVBZHVFVBZJUDVBAHCVGUCUBZUUKUUJV
        HNBCHJMLVIVLUUKJHVJUCZUDMUUKUUMVFVJUCUDHVFVJVCVKVMVNVOVPVQVRWBUUEUNVSVT
        WAUUDYQGIUAUUBIVBUUCYPUDUUBIBVCVDWCWDZAYSYTUUAADUDHUCZYPWEWFZWGZUNIWEWF
        ZWHWFUGRAUUQUURAUUPAUUOYPAUGUGHWIZUDUGUBUUOUGUBAUULUUSNCHWJVLWOUGUGUDHW
        KWLZAWPUGIBAUULWPUGBWINBCHLWMVLZAIAYOYQUUNWNZWQZWRAYOYQUUNWSWTXAAUURAIU
        VBXBXCXDWAZAEUUOXEUCZIUNXFWFZJXGWFZFUJZBUCZDUVHXHWFZXIWFZXEUCZFXJZUNXFW
        FZWEWFUHSAUVEUVNAUUOUUTPXQAUVMAUVGUVLFAUVFJXKZAUVHUVGUBZUFZUVKUVQUVIUVJ
        AUVPUVHWPUBZUVIUGUBAUVFWPUBZUVHUVFUOUCUBUVRUVPAIWPUBUVSUVCIXLVLUVHUVFJX
        MUVHUVFXNXOZAWPUGUVHBUVAXPXRAYSUVPUVRUVJUGUBUVDUVTDUVHXSXTYAZYFZYBAUVGU
        VLFUVOUWBUVQUVKUWAYCYDYEYGWAZAKUNEYHYIZUNEYJZUHTAUNUHUBYTUWEUHUBYKUWCUW
        DUNEUHYLVTWAYMYN $.

      $( Lemma for ~ fta :  Main proof.  We have already shifted the minimum
         found in ~ ftalem3 to zero by a change of variables, and now we show
         that the minimum value is zero.  Expanding in a series about the
         minimum value, let ` K ` be the lowest term in the polynomial that is
         nonzero, and let ` T ` be a ` K ` -th root of
         ` -u F ( 0 ) / A ( K ) ` .  Then an evaluation of ` F ( T X ) ` where
         ` X ` is a sufficiently small positive number yields ` F ( 0 ) ` for
         the first term and ` -u F ( 0 ) x. X ^ K ` for the ` K ` -th term, and
         all higher terms are bounded because ` X ` is small.  Thus,
         ` abs ( F ( T X ) ) <_ abs ( F ( 0 ) ) ( 1 - X ^ K ) `
         ` < abs ( F ( 0 ) ) ` , in contradiction to our choice of ` F ( 0 ) `
         as the minimum.  (Contributed by Mario Carneiro, 14-Sep-2014.)
         (Revised by AV, 28-Sep-2020.) $)
      ftalem5 $p |- ( ph -> E. x e. CC
        ( abs ` ( F ` x ) ) < ( abs ` ( F ` 0 ) ) ) $=
        ( cmul co cc wcel cfv cabs cc0 clt wbr cv wrex crp cn wne wa w3a simprd
        ftalem4 simp1d rpred recnd mulcld cexp c1 caddc cfz csu wf syl ffvelrnd
        cmin abscld ffvelrn simpld nnnn0d reexpcld remulcld cn0 syl2an syl2an2r
        fzfid cuz adantr expcld fsumcl cle elfznn0 expcl syl2anc c0 nnred ltp1d
        wceq cr wss nnuz fveq2 neeq1d nnne0d wb eqtrdi syl5eq infssuzle sylancr
        c0p cdgr eqbrtrid cz eleqtrdi mpbird fveq2d cneg oveq12d mulid1d oveq1i
        eqtrd elfznn oveq2 wn adantl lelttrd oveq1d mulexpd oveq2d mulassd cdiv
        eqtr4d ccxp negcld 3eqtrd subdid 3eqtr4d absmuld rpge0d absidd fsumrecl
        1re eqbrtrd ltmul1dd simp3d cply plyf 0cn sylancl resubcld coef3 elfzuz
        peano2nn0 eluznn0 readdcld abstrid coeid2 cin fzdisj cun ssrab2 sseqtri
        crab cinf dgreq0 dgr0 syl6bir necon3d elrabd nn0uz nnzd elfz5 fsumsplit
        mpd fzsplit coefv0 eqcomd exp0d 1e0p1 sumeq1i eqtr3id peano2rem elfzle2
        fsumm1 ltm1d ltnled mpbid mpan elrab3 necon2bbid mul02d sumeq2dv cfn wo
        nsyl fzfi ax-mp recid2d divcld nnrecred cxpmul2d cxp1d 3eqtr3d mulneg2d
        olci divcan2d negeqd mulneg1d addid2d fsum1p negsubd resubcl cif simp2d
        sumz 1cnd min1 syl31anc 3eqtrrd 3brtr4d fsumabs elfzelz rpexpcl absge0d
        exple1 subge0 leexp2rd lemul2ad fsumle fsummulc1 breqtrrd mulcomd nnssz
        expp1d sstri ne0d infssuzcl eqeltrid sselid rpexpcld peano2re min2 0red
        breqtrdi fsumge0 lemuldiv2 syl112anc ltletrd ltsub2dd ltaddsubd 2fveq3
        breq1d rspcev ) AELUBUCZUDUEZVUJIUFZUGUFZUHIUFZUGUFZUIUJZBUKZIUFUGUFZVU
        OUIUJZBUDULAELAEUDUEZFUMUEZLUMUEZAJUNUEZJCUFZUHUOZUPZVUTVVAVVBUQZACDEFG
        HIJKLMNOPQRSTUAUSZURZUTZALALAVUTVVAVVBVVIUUAZVAZVBZVCZAVUMVUOVUOLJVDUCZ
        UBUCZVLUCZJVEVFUCZKVGUCZGUKZCUFZVUJVVTVDUCZUBUCZGVHZUGUFZVFUCZVUOAVULAU
        DUDVUJIAIDUUBUFUEZUDUDIVIZODIUUCVJZVVNVKVMAVVQVWEAVUOVVPAVUNAVWHUHUDUEV
        UNUDUEVWIUUDUDUDUHIVNUUEZVMZAVUOVVOVWKALJVVLAJAVVCVVEAVVFVVGVVHVOZVOZVP
        ZVQZVRZUUFZAVWDAVVSVWCGAVVRKWBZAVVTVVSUEZUPZVWAVWBAVSUDCVIZVWSVVTVSUEZV
        WAUDUEZAVWGVXAOCDIMUUGVJZAVVRVSUEZVVTVVRWCUFUEZVXBVWSAJVSUEZVXEVWNJUUIV
        JZVVTVVRKUUHZVVTVVRUUJVTZVSUDVVTCVNZWAZVWTVUJVVTAVUKVWSVVNWDVXJWEVCZWFZ
        VMZUUKVWKAUHJVGUCZVWCGVHZVWDVFUCZUGUFVXQUGUFZVWEVFUCVUMVWFWGAVXQVWDAVXP
        VWCGAUHJWBAVVTVXPUEZUPVWAVWBAVXAVXBVXCVXTVXDVVTJWHZVXKVTAVUKVXBVWBUDUEZ
        VXTVVNVYAVUJVVTWIZVTVCZWFVXNUULAVULVXRUGAVULUHKVGUCZVWCGVHZVXRAVWGVUKVU
        LVYFWNOVVNCDGIKVUJMNUUMWJAVXPVVSVWCVYEGAJVVRUIUJVXPVVSUUNWKWNAJAJVWMWLZ
        WMUHJVVRKUUOVJAJVYEUEZVYEVXPVVSUUPWNAVYHJKWGUJZAJHUKZCUFZUHUOZHUNUUSZWO
        UIUUTZKWGRAVYMVEWCUFZWPZKVYMUEVYNKWGUJVYMUNVYOVYLHUNUUQZWQUURZAVYLKCUFZ
        UHUOZHKUNVYJKWNVYKVYSUHVYJKCWRWSPAKUHUOVYTAKPWTAVYSUHKUHAVYSUHWNZIXFWNZ
        KUHWNAVWGWUBWUAXAOCDIKNMUVAVJWUBKIXGUFZUHNWUBWUCXFXGUFUHIXFXGWRUVBXBXCU
        VCUVDUVJUVEZKVYMVEXDXEXHAJUHWCUFZUEKXIUEVYHVYIXAAJVSWUEVWNUVFXJZAKPUVGJ
        UHKUVHWJXKJUHKUVKVJAUHKWBAVVTVYEUEZUPVWAVWBAVXAVXBVXCWUGVXDVVTKWHZVXKVT
        AVUKVXBVYBWUGVVNWUHVYCVTVCUVIXQXLAVVQVXSVWEVFAVXSVUNVEVVOVLUCZUBUCZUGUF
        VUOWUIUGUFZUBUCZVVQAVXQWUJUGAUHCUFZVUJUHVDUCZUBUCZUHVEVFUCZJVGUCZVWCGVH
        ZVFUCVUNVUNVVOUBUCZXMZVFUCZVXQWUJAWUOVUNWURWUTVFAWUOVUNVEUBUCZVUNAWUMVU
        NWUNVEUBAVUNWUMAVWGVUNWUMWNOCDIMUVLVJUVMAVUJVVNUVNXNAVUNVWJXOZXQAWURVEJ
        VEVLUCZVGUCZVWCGVHZVVDVUJJVDUCZUBUCZVFUCZUHWUTVFUCWUTAWURVEJVGUCZVWCGVH
        WVIWVJWUQVWCGVEWUPJVGUVOXPUVPAVWCWVHGVEJAJUNVYOVWMWQXJAVVTWVJUEZUPVWAVW
        BAVXAVXBVXCWVKVXDWVKVVTVVTJXRVPZVXKVTAVUKVXBVYBWVKVVNWVLVYCVTVCVVTJWNVW
        AVVDVWBWVGUBVVTJCWRVVTJVUJVDXSXNUVTUVQAWVFUHWVHWUTVFAWVFWVEUHGVHZUHAWVE
        VWCUHGAVVTWVEUEZUPZVWCUHVWBUBUCUHWVOVWAUHVWBUBWVOVWAUHWNVVTVYMUEZXTWVOJ
        VVTWGUJZWVPWVOVVTJUIUJWVQXTWVOVVTWVDJWVOVVTWVNVVTUNUEZAVVTWVDXRZYAZWLZW
        VOJWOUEZWVDWOUEAWWBWVNVYGWDZJUVRVJWWCWVNVVTWVDWGUJAVVTVEWVDUVSYAWVOJWWC
        UWAYBWVOVVTJWWAWWCUWBUWCVYPWVPWVQVYRVYPWVPUPJVYNVVTWGRVVTVYMVEXDXHUWDUW
        KWVOWVPVWAUHWVOWVRWVPVWAUHUOZXAWVTVYLWWDHVVTUNVYJVVTWNVYKVWAUHVYJVVTCWR
        WSUWEVJUWFXKYCWVOVWBAVUKVXBVYBWVNVVNWVNVVTWVSVPVYCVTUWGXQUWHWVEVYOWPZWV
        EUWIUEZUWJWVMUHWNWWFWWEVEWVDUWLUXAWVEGVEUXKUWMXBAWVHVVDEJVDUCZUBUCZVVOU
        BUCZVUNXMZVVOUBUCWUTAWVHVVDWWGVVOUBUCZUBUCWWIAWVGWWKVVDUBAELJVVJVVMVWNY
        DYEAVVDWWGVVOAVSUDJCVXDVWNVKZAEJVVJVWNWEAVVOVWOVBZYFYHAWWHWWJVVOUBAWWHV
        VDVUNVVDYGUCZXMZUBUCVVDWWNUBUCZXMWWJAWWGWWOVVDUBAWWGWWOVEJYGUCZYIUCZJVD
        UCZWWOEWWRJVDSXPAWWOWWQJUBUCZYIUCWWOVEYIUCWWSWWOAWWTVEWWOYIAJAJVYGVBAJV
        WMWTUWNYEAWWOWWQJAWWNAVUNVVDVWJWWLAVVCVVEVWLURZUWOZYJZAWWQAJVWMUWPVBVWN
        UWQAWWOWXCUWRUWSXCYEAVVDWWNWWLWXBUWTAWWPVUNAVUNVVDVWJWWLWXAUXBUXCYKYCAV
        UNVVOVWJWWMUXDYKXNAWUTAWUSAVUNVVOVWJWWMVCZYJUXEYKXNAVWCWUOGUHJWUFVYDVVT
        UHWNVWAWUMVWBWUNUBVVTUHCWRVVTUHVUJVDXSXNUXFAWVBWUSVLUCVUNWUSVLUCWUJWVAA
        WVBVUNWUSVLWVCYCAVUNVEVVOVWJAUXLZWWMYLAVUNWUSVWJWXDUXGYMYMXLAVUNWUIVWJA
        WUIAVEWOUEZVVOWOUEZWUIWOUEYRVWOVEVVOUXHXEZVBYNAWULVUOWUIUBUCVUOVEUBUCZV
        VPVLUCVVQAWUKWUIVUOUBAWUIWXHAUHWUIWGUJZVVOVEWGUJZALWOUEZUHLWGUJZLVEWGUJ
        ZVXGWXKVVLALVVKYOZALVEFWGUJVEFUXIZVEWGUAAWXFFWOUEZWXPVEWGUJYRAFAVUTVVAV
        VBVVIUXJVAZVEFUXMXEXHZVWNLJUYAUXNAWXFWXGWXJWXKXAYRVWOVEVVOUYBXEXKYPYEAV
        UOVEVVOAVUOVWKVBZWXEWWMYLAWXIVUOVVPVLAVUOWXTXOYCYKUXOYCUXPAVWFVUOUIUJVV
        QVUOVWEVLUCUIUJAVWEVVPVUOVXOVWPVWKAVWEVVSVWCUGUFZGVHZVVPVXOAVVSWYAGVWRV
        WTVWCVXMVMZYQZVWPAVVSVWCGVWRVXMUXQAWYBVVSVWAEVVTVDUCZUBUCZUGUFZGVHZLVVR
        VDUCZUBUCZVVPWYDAWYHWYIAVVSWYGGVWRVWTWYFVWTVWAWYEVXLAVUTVWSVXBWYEUDUEVV
        JVXJEVVTWIWAZVCZVMZYQZALVVRVVLVXHVQZVRVWPAWYBVVSWYGWYIUBUCZGVHWYJWGAVVS
        WYAWYPGVWRWYCVWTWYGWYIWYMAWYIWOUEVWSWYOWDZVRVWTWYAWYGLVVTVDUCZUBUCZWYPW
        GVWTWYAWYFWYRUBUCZUGUFWYGWYRUGUFZUBUCWYSVWTVWCWYTUGVWTVWCVWAWYEWYRUBUCZ
        UBUCWYTVWTVWBXUBVWAUBVWTELVVTAVUTVWSVVJWDALUDUEVWSVVMWDVXJYDYEVWTVWAWYE
        WYRVXLWYKVWTWYRVWTLVVTAWXLVWSVVLWDZVXJVQZVBZYFYHXLVWTWYFWYRWYLXUEYNVWTX
        UAWYRWYGUBVWTWYRXUDVWTWYRAVVBVVTXIUEWYRUMUEVWSVVKVVTVVRKUXRLVVTUXSVTYOY
        PYEYKVWTWYRWYIWYGXUDWYQWYMVWTWYFWYLUXTZVWTLVVRVVTXUCAVXEVWSVXHWDVWSVXFA
        VXIYAAWXMVWSWXOWDAWXNVWSWXSWDUYCUYDYSUYEAVVSWYGWYIGVWRAWYIWYOVBVWTWYGWY
        MVBUYFUYGAWYJWYHLUBUCZVVOUBUCZVVPUIAWYJWYHLVVOUBUCZUBUCXUHAWYIXUIWYHUBA
        WYIVVOLUBUCXUIALJVVMVWNUYJAVVOLWWMVVMUYHXQYEAWYHLVVOAWYHWYNVBVVMWWMYFYH
        AXUGVUOVVOAWYHLWYNVVLVRZVWKALJVVKAVYMXIJVYMUNXIVYQUYIUYKAJVYNVYMRAVYPVY
        MWKUOVYNVYMUEVYRAVYMKWUDUYLVYMVEUYMXEUYNUYOUYPAXUGWYHVEVFUCZLUBUCZVUOXU
        JAXUKLAWYHWOUEXUKWOUEZWYNWYHUYQVJZVVLVRVWKAWYHXUKLWYNXUNVVKAWYHWYNWMZYT
        AXULVUOWGUJZLVUOXUKYGUCZWGUJZALFXUQWGALWXPFWGUAAWXFWXQWXPFWGUJYRWXRVEFU
        YRXEXHTUYTAWXLVUOWOUEXUMUHXUKUIUJXUPXURXAVVLVWKXUNAUHWYHXUKAUYSWYNXUNAV
        VSWYGGVWRWYMXUFVUAXUOYBLVUOXUKVUBVUCXKVUDYTYSYBYBVUEAVVQVWEVUOVWQVXOVWK
        VUFXKYBVUSVUPBVUJUDVUQVUJWNVURVUMVUOUIVUQVUJUGIVUGVUHVUIWJ $.
    $}

    ${
      ftalem6.5 $e |- ( ph -> ( F ` 0 ) =/= 0 ) $.
      $( Lemma for ~ fta :  Discharge the auxiliary variables in ~ ftalem5 .
         (Contributed by Mario Carneiro, 20-Sep-2014.)  (Proof shortened by AV,
         28-Sep-2020.) $)
      ftalem6 $p |- ( ph -> E. x e. CC
        ( abs ` ( F ` x ) ) < ( abs ` ( F ` 0 ) ) ) $=
        ( vk vr vs vn cc0 cfv cv co c1 wne cn crab clt cinf cdiv cneg ccxp cabs
        cr caddc cfz cexp cmul csu cle wbr cif weq fveq2 neeq1d cbvrabv infeq1i
        eqid oveq2 oveq12d fveq2d cbvsumv oveq1i oveq2i ftalem5 ) ABCDPEQZLRZCQ
        ZPUAZLUBUCZUJUDUEZCQUFSUGTVQUFSUHSZVLUIQZVQTUKSFULSZMRZCQZVRWAUMSZUNSZU
        IQZMUOZTUKSZUFSZNOEVQFTWHUPUQTWHURZGHIJKUJVPORZCQZPUAZOUBUCUDVOWLLOUBLO
        USVNWKPVMWJCUTVAVBVCVRVDWGVTNRZCQZVRWMUMSZUNSZUIQZNUOZTUKSVSUFWFWRTUKVT
        WEWQMNMNUSZWDWPUIWSWBWNWCWOUNWAWMCUTWAWMVRUMVEVFVGVHVIVJWIVDVK $.
    $}

    ${
      ftalem7.5 $e |- ( ph -> X e. CC ) $.
      ftalem7.6 $e |- ( ph -> ( F ` X ) =/= 0 ) $.
      $( Lemma for ~ fta .  Shift the minimum away from zero by a change of
         variables.  (Contributed by Mario Carneiro, 14-Sep-2014.) $)
      ftalem7 $p |- ( ph -> -. A. x e. CC
        ( abs ` ( F ` X ) ) <_ ( abs ` ( F ` x ) ) ) $=
        ( vz cfv cabs cc co wcel wceq vy vw cv cle wbr wrex wral caddc cmpt cc0
        wn clt ccoe cdgr eqid cidp cneg csn cxp cmin cof ccom cply simpr adantr
        wa addcld cvv cnex a1i negcld cid cres mptresid eqtri fconstmpt offval2
        df-idp id subneg syl2anr mpteq2dva eqtrd plyf syl feqmptd fmptco plyssc
        wf fveq2 sselid ccnv cima w3a plyremlem simp1d addcl adantl mulcl plyco
        c1 cmul eqeltrrd cn fveq2d simp2d 1nn eqeltrdi nnmulcld eqeltrd fvoveq1
        dgrco fvex fvmpt addid2d syl5eq eqnetrd ftalem6 breq12d ffvelrnd abscld
        0cn ax-mp cr ltnled biimpd 2fveq3 breq2d notbid rspcev syl6an rexlimdva
        bitrd mpd rexnal sylib ) AGEOZPOZBUCZEOPOZUDUEZUKZBQUFZUUABQUGUKAUAUCZN
        QNUCZGUHRZEOZUIZOZPOZUJUUHOZPOZULUEZUAQUFUUCAUAUUHUMOZQUUHUUHUNOZUUNUOU
        UOUOAEUPQGUQZURZUSZUTVARZVBZUUHQVCOZANUAQQUUFUUDEOUUGUUSEAUUEQSZVFUUEGA
        UVBVDZAGQSZUVBLVEVGAUUSNQUUEUUPUTRZUINQUUFUIANQUUEUUPUTUPUURVHQQQVHSAVI
        VJUVCAUUPQSZUVBAGLVKZVEUPNQUUEUIZTAUPVLQVMUVHVRNQVNVOVJUURNQUUPUITANQUU
        PVPVJVQANQUVEUUFUVBUVBUVDUVEUUFTAUVBVSLUUEGVTWAWBWCAUAQQEAEDVCOZSQQEWIZ
        JDEWDWEZWFUUDUUFEWJWGZANUBQEUUSAUVIUVAEDWHJWKZAUUSUVASZUUSUNOZXATZUUSWL
        UJURWMUUQTZAUVFUVNUVPUVQWNUVGUUPUUSUUSUOWOWEZWPZUVBUBUCZQSVFZUUEUVTUHRQ
        SAUUEUVTWQWRUWAUUEUVTXBRQSAUUEUVTWSWRWTXCAUUTUNOZUUOXDAUUTUUHUNUVLXEAUW
        BFUVOXBRXDAQEUUSFUVOIUVOUOUVMUVSXLAFUVOKAUVOXAXDAUVNUVPUVQUVRXFXGXHXIXJ
        XCAUUKYQUJAUUKUJGUHRZEOZYQUJQSUUKUWDTYBNUJUUGUWDQUUHUUEUJGEUHXKUUHUOZUW
        CEXMXNYCAUWCGEAGLXOXEXPZMXQXRAUUMUUCUAQAUUDQSZVFZUUDGUHRZQSZUUMYRUWIEOZ
        POZUDUEZUKZUUCUWGUWGUVDUWJAUWGVSLUUDGWQWAZUWHUUMUWNUWHUUMUWLYRULUEUWNUW
        HUUJUWLUULYRULUWHUUIUWKPUWGUUIUWKTANUUDUUGUWKQUUHUUEUUDGEUHXKUWEUWIEXMX
        NWRXEUWHUUKYQPAUUKYQTUWGUWFVEXEXSUWHUWLYRUWHUWKUWHQQUWIEAUVJUWGUVKVEUWO
        XTYAAYRYDSUWGAYQAQQGEUVKLXTYAVEYEYMYFUUBUWNBUWIQYSUWITZUUAUWMUWPYTUWLYR
        UDYSUWIPEYGYHYIYJYKYLYNUUABQYOYP $.
    $}
  $}

  ${
    $d r s x y z F $.  $d r s x y z S $.
    $( The Fundamental Theorem of Algebra.  Any polynomial with positive degree
       (i.e. non-constant) has a root.  This is Metamath 100 proof #2.
       (Contributed by Mario Carneiro, 15-Sep-2014.) $)
    fta $p |- ( ( F e. ( Poly ` S ) /\ ( deg ` F ) e. NN ) ->
      E. z e. CC ( F ` z ) = 0 ) $=
      ( vx vr vy vs cfv wcel wa cv cabs cle wbr cc wral wrex cc0 clt eqid cn wi
      cply cdgr wceq crp ccoe c2 cdiv co c1 cif simpl simpr ftalem2 crab ccnfld
      ctopn simpll simplr simprl simprr fveq2 breq2d imbi12d cbvralvw rexlimddv
      2fveq3 sylib ftalem3 wne wn ftalem7 expr necon4ad reximdva mpd ) CBUCHIZC
      UDHZUAIZJZAKZCHZLHDKZCHLHZMNDOPZAOQZWCRUEZAOQWAEKZFKZLHZSNZRCHLHZWJCHLHZS
      NZUBZFOPZWGEUFWAFCUGHZBWMVSWRHLHUHUIUJUIUJZUKGKZMNWTUKULZWSMNWSXAULZCVSGE
      WRTZVSTZVRVTUMVRVTUNXBTWSTUOWAWIUFIZWQJZJZDGAWRWTLHWIMNGOUPZWIBCUQURHZVSX
      CXDVRVTXFUSVRVTXFUTXHTXITWAXEWQVAXGWQWIWDLHZSNZWMWESNZUBZDOPWAXEWQVBWPXMF
      DOWJWDUEZWLXKWOXLXNWKXJWISWJWDLVCVDXNWNWEWMSWJWDLCVHVDVEVFVIVJVGWAWFWHAOW
      AWBOIZJWFWCRWAXOWCRVKZWFVLWAXOXPJZJDWRBCVSWBXCXDVRVTXQUSVRVTXQUTWAXOXPVAW
      AXOXPVBVMVNVOVPVQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The Basel problem (&zeta;(2) = &pi;<sup>2</sup>/6)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d j k m t A $.  $d j k m n t x y M $.  $d j k m n t x N $.  $d k n x P $.
    $d k m x y T $.
    basel.n $e |- N = ( ( 2 x. M ) + 1 ) $.
    $( Lemma for ~ basel .  Closure of the sequence of roots.  (Contributed by
       Mario Carneiro, 30-Jul-2014.)  Replace OLD theorem.  (Revised by Wolf
       Lammen, 18-Sep-2020.) $)
    basellem1 $p |- ( ( M e. NN /\ K e. ( 1 ... M ) ) ->
      ( ( K x. _pi ) / N ) e. ( 0 (,) ( _pi / 2 ) ) ) $=
      ( cn wcel c1 co wa cpi cmul cdiv cr cc0 clt wbr c2 crp sylancl nnred cioo
      cfz elfznn nnrpd pirp rpmulcl 2nn nnmulcl mpan peano2nnd eqeltrid rpdivcl
      caddc syl2anr rpred rpgt0d adantl adantr eqeltrrid cle cc wceq 2cn mulcom
      nncnd elfzle2 nnre 2re 2pos pm3.2i a1i lemul2 syl3anc mpbid eqbrtrd ltp1d
      wb lelttrd breqtrrdi nngt0d pire remulcl ltdiv2 syl222anc wne picn 2cnne0
      nnne0d divcan5 syl112anc breqtrd cxr w3a 0xr rehalfcl rexr mp2b syl3anbrc
      elioo2 mp2an ) BEFZAGBUBHFZIZAJKHZCLHZMFZNXEOPZXEJQLHZOPZXENXHUAHFZXCXEXB
      XDRFZCRFXERFXAXBARFJRFXKXBAABUCZUDUEAJUFSZXACXACQBKHZGUMHZEDXAXNQEFZXAXNE
      FZUGQBUHUIZUJUKZUDXDCULUNZUOXCXEXTUPXCXEXDAQKHZLHZXHOXCYACOPZXEYBOPZXCYAX
      OCOXCYAXNXOXCYAXCAEFZXPYAEFXBYEXAXLUQZUGAQUHSZTZXCXNXAXQXBXRURTZXCXOCMDXC
      CXACEFXBXSURZTZUSXCYAQAKHZXNUTXCAVAFZQVAFZYAYLVBXCAYFVEZVCAQVDSXCABUTPZYL
      XNUTPZXBYPXAAGBVFUQXCAMFZBMFZQMFZNQOPZIZYPYQVQXCAYFTZXAYSXBBVGURUUBXCYTUU
      AVHVIVJVKABQVLVMVNVOXCXNYIVPVRDVSXCYAMFNYAOPCMFNCOPXDMFZNXDOPYCYDVQYHXCYA
      YGVTYKXCCYJVTXCYRJMFZUUDUUCWAAJWBSXCXDXBXKXAXMUQUPYACXDWCWDVNXCJVAFZYNQNW
      EIZYMANWEYBXHVBUUFXCWFVKUUGXCWGVKYOXCAYFWHJQAWIWJWKNWLFXHWLFZXJXFXGXIWMVQ
      WNUUEXHMFUUHWAJWOXHWPWQNXHXEWSWTWR $.

    basel.p $e |- P = ( t e. CC |-> sum_ j e. ( 0 ... M )
      ( ( ( N _C ( 2 x. j ) ) x. ( -u 1 ^ ( M - j ) ) ) x. ( t ^ j ) ) ) $.
    $( Lemma for ~ basel .  Show that ` P ` is a polynomial of degree ` M ` ,
       and compute its coefficient function.  (Contributed by Mario Carneiro,
       30-Jul-2014.) $)
    basellem2 $p |- ( M e. NN -> ( P e. ( Poly ` CC ) /\ ( deg ` P ) = M /\
      ( coeff ` P ) = ( n e. NN0 |->
        ( ( N _C ( 2 x. n ) ) x. ( -u 1 ^ ( M - n ) ) ) ) ) ) $=
      ( wcel cc wceq cn0 c2 cmul co c1 cc0 cz caddc wbr cn cply cfv cdgr cv cbc
      ccoe cneg cmin cexp cmpt cfz csu ssidd nnnn0 elfznn0 oveq2 oveq2d oveq12d
      wa eqid ovex fvmpt syl adantl wf 2nn nnmulcl peano2nnd eqeltrid nnnn0d 2z
      mpan nn0z zmulcl sylancr bccl syl2an nn0cnd wne neg1cn neg1ne0 nnz zsubcl
      expclz mp3an12i mulcld fmpttd ffvelrn eqeltrrd elplyd cuz cima csn cle wi
      wral wn cr wb nnre nn0re ltnle ad2antlr wo ad2antrr ax-1cn 2timesi oveq2i
      clt 2cnd nncn adddid oveq1i nncnd addassd syl5eq 3eqtr4a zltp1le peano2re
      a1i biimpa 2re 2pos pm3.2i lemul2 syl3anc mpbid eqbrtrrd nnzd mpbird olcd
      syl2anc bcval4 oveq1d adantr mul02d 3eqtrd ex sylbird plyco0 sumeq2i exp0
      necon1ad ralrimiva eqtr4i subidd ax-mp eqtrdi nnred lep1d breqtrrdi nn0uz
      mpteq2i eleqtrdi elfz5 bccl2 mulid1d nnne0d eqnetrd dgreq coeeq 3jca ) EU
      AIZBJUBUCZIBUDUCEKBUGUCDLFMDUEZNOZUFOZPUHZEUVFUIOZUJOZNOZUKZKUVDBAJQEULOZ
      FMCUEZNOZUFOZUVIEUVOUIOZUJOZNOZAUEUVOUJOZNOZCUMZUKZUVEHUVDAUVTJCEUVDJUNEU
      OZUVDUVOUVNIZUTUVOUVMUCZUVTJUWFUWGUVTKZUVDUWFUVOLIZUWHUVOEUPZDUVOUVLUVTLU
      VMUVFUVOKZUVHUVQUVKUVSNUWKUVGUVPFUFUVFUVOMNUQURUWKUVJUVRUVIUJUVFUVOEUIUQU
      RUSUVMVAZUVQUVSNVBVCZVDZVEUVDLJUVMVFZUWIUWGJIUWFUVDDLUVLJUVDUVFLIZUTZUVHU
      VKUWQUVHUVDFLIZUVGRIZUVHLIUWPUVDFUVDFMENOZPSOZUAGUVDUWTMUAIUVDUWTUAIZVGME
      VHVMZVIVJZVKZUWPMRIZUVFRIZUWSVLUVFVNZMUVFVOVPUVGFVQVRVSUVIJIZUVIQVTZUWQUV
      JRIZUVKJIWAWBUVDERIZUXGUXKUWPEWCZUXHEUVFWDVRUVIUVJWEWFWGWHZUWJLJUVOUVMWIV
      RWJWKVJZUVDAUVMJCBEUXOUWEUXNUVDUVMEPSOZWLUCWMQWNKZUWGQVTUVOEWOTZWPZCLWQZU
      VDUXSCLUVDUWIUTZUXRUWGQUYAUXRWRZEUVOXJTZUWGQKZUVDEWSIZUVOWSIZUYCUYBWTUWIE
      XAZUVOXBZEUVOXCVRUYAUYCUYDUYAUYCUTZUWGUVTQUVSNOQUWIUWHUVDUYCUWMXDUYIUVQQU
      VSNUYIUWRUVPRIZUVPQXJTZFUVPXJTZXEUVQQKUVDUWRUWIUYCUXEXFUYIUXFUVORIZUYJVLU
      WIUYMUVDUYCUVOVNZXDMUVOVOVPZUYIUYLUYKUYIUYLFPSOZUVPWOTZUYIMUXPNOZUYPUVPWO
      UYIUWTMPNOZSOUWTPPSOZSOZUYRUYPUYSUYTUWTSPXGXHXIUYIMEPUYIXKUVDEJIUWIUYCEXL
      ZXFPJIUYIXGYAZXMUYIUYPUXAPSOVUAFUXAPSGXNUYIUWTPPUYIUWTUVDUXBUWIUYCUXCXFXO
      VUCVUCXPXQXRUYIUXPUVOWOTZUYRUVPWOTZUYAUYCVUDUVDUXLUYMUYCVUDWTUWIUXMUYNEUV
      OXSVRYBUYIUXPWSIZUYFMWSIZQMXJTZUTZVUDVUEWTUYIUYEVUFUVDUYEUWIUYCUYGXFEXTVD
      UWIUYFUVDUYCUYHXDVUIUYIVUGVUHYCYDYEYAUXPUVOMYFYGYHYIUYIFRIZUYJUYLUYQWTUVD
      VUJUWIUYCUVDFUXDYJZXFUYOFUVPXSYMYKYLUVPFYNYGYOUYIUVSUYAUVSJIZUYCUXIUXJUYA
      UVRRIZVULWAWBUVDUXLUYMVUMUWIUXMUYNEUVOWDVRUVIUVRWEWFYPYQYRYSYTUUDUUEUVDEL
      IZUWOUXQUXTWTUWEUXNUVMCEUUAYMYKZBAJUVNUWGUWANOZCUMZUKZKUVDBUWDVURHAJVUQUW
      CUVNVUPUWBCUWFUWGUVTUWANUWNYOUUBUUNUUFYAZUVDEUVMUCZFUWTUFOZQUVDVUTVVAUVIE
      EUIOZUJOZNOZVVAPNOVVAUVDVUNVUTVVDKUWEDEUVLVVDLUVMUVFEKZUVHVVAUVKVVCNVVEUV
      GUWTFUFUVFEMNUQURVVEUVJVVBUVIUJUVFEEUIUQURUSUWLVVAVVCNVBVCVDUVDVVCPVVANUV
      DVVCUVIQUJOZPUVDVVBQUVIUJUVDEVUBUUGURUXIVVFPKWAUVIUUCUUHUUIURUVDVVAUVDVVA
      UVDUWTQFULOIZVVAUAIUVDVVGUWTFWOTZUVDUWTUXAFWOUVDUWTUVDUWTUXCUUJUUKGUULUVD
      UWTQWLUCZIVUJVVGVVHWTUVDUWTLVVIUVDUWTUXCVKUUMUUOVUKUWTQFUUPYMYKUWTFUUQVDZ
      XOUURYRUVDVVAVVJUUSUUTUVAUVDAUVMJCBEUXOUWEUXNVUOVUSUVBUVC $.

    $( Lemma for ~ basel .  Using the binomial theorem and de Moivre's formula,
       we have the identity ` _e ^ _i N x / ( sin x ) ^ n = `
       ` sum_ m e. ( 0 ... N ) ( N _C m ) ( _i ^ m ) ( cot x ) ^ ( N - m ) ` ,
       so taking imaginary parts yields ` sin ( N x ) / ( sin x ) ^ N = `
       ` sum_ j e. ( 0 ... M ) ( N _C 2 j ) ( -u 1 ) ^ ( M - j ) `
       ` ( cot x ) ^ ( -u 2 j ) = P ( ( cot x ) ^ 2 ) ` , where
       ` N = 2 M + 1 ` .  (Contributed by Mario Carneiro, 30-Jul-2014.) $)
    basellem3 $p |- ( ( M e. NN /\ A e. ( 0 (,) ( _pi / 2 ) ) ) ->
      ( P ` ( ( tan ` A ) ^ -u 2 ) ) =
        ( ( sin ` ( N x. A ) ) / ( ( sin ` A ) ^ N ) ) ) $=
      ( wcel cc0 c2 co c1 cmin cexp ci cmul caddc cc wceq vm vk cn cdiv cioo wa
      cpi cfz cv cbc ctan cfv csu cim ccos csin cn0 crp adantl rpcnd ax-icn a1i
      cneg sylancr syl3anc cr recoscld recnd resincld mulcl clt gt0ne0d divdird
      wbr wne syl2anc oveq2d oveq12d eqtrd oveq1d 3eqtr3d nnred remulcld rpne0d
      cz 3eqtrd eqtr3d fveq2d oveq2 fzfid cle elfznn0 nn0mulcl nn0red adantr wb
      2nn0 ad2antrr 2re 2pos mpbid mpbird syl nncnd 2cn elfzelz ad2antrl simprr
      ex zcnd 2cnne0 ovex fvmpt fznn0sub reexpcl syl2an mulcld sylan2 wo oveq1i
      i2 nn0re nn0ge0 divge0 mpanr12 nn0cnd 2ne0 neg1rr eqeltrrd expr 1cnd 2cnd
      syl5eq nncand syl2an2r nn0zd sylancl mulassd 3eqtr4d rerpdivcld 2nn simpl
      tanrpcl rpreccld nnmulcl eqeltrid nnnn0d binom elioore addcld sincosq1sgn
      peano2nnd simpld expdivd simprd tanval recdivd eqtr2d divcan4d nnzd elrpd
      demoivre rpexpcld divassd cmpt crn wf1 wf1o elfzle2 nnre pm3.2i breqtrrdi
      lemul2 lep1d letrd cuz nn0uz eleqtrdi elfz5 fznn0sub2 ssriv sselid mulcan
      subcanad bitrd dom2lem f1f1orn eqid fmpttd frnd sselda bccl2 expcl syldan
      rprecred imcld fsumf1o cdif eldifi wn zeo elnn0z sylanbrc expmul mp3an12i
      eldif divcan2 mp3an23 eqtr3id 0zd nnz pnpcan2d df-2 eqtr2i oveq2i addassd
      2t1e2 adddid 3eqtr4a peano2zd peano2cn divsubdir divcan3d zsubcld eqeltrd
      nncn peano2re subge02d ltp1d lelttrd breqtrd zred ltdivmul elfzd divcan2d
      zleltp1 wfn ffnd fnfvelrn orim12d mpd orcomd ord impr sylan2b reim0d bccl
      fsumss 2z znegcl ax-mp rpexpcl rpred addid2d mul12d bccmpl expneg mulneg1
      exprecd expmulz 3eqtr2d addsubd subdid eqtr4d expp1 expmuld eqtrdi mulcom
      syl22anc mulcomd 3eqtr2rd 0re sumeq2dv fsumim oveq1 sumeq2sdv sumex crimd
      crim ) EUCIZBJUGKUDLZUELIZUFZJFUHLZFUAUIZUJLZMBUKULZUDLZFVWENLZOLZPVWEOLZ
      QLZQLZUAUMZUNULZFBQLZUOULZBUPULZFOLZUDLZPVWPUPULZVWSUDLZQLZRLZUNULVWGKVCZ
      OLZCULZVXBVWCVWNVXDUNVWCVWHPRLZFOLZVWNVXDVWCVWHSIPSIZFUQIZVXIVWNTVWCVWHVW
      CVWGVWBVWGURIZVVTBUUCUSZUUDUTVXJVWCVAVBZVWCFVWCFKEQLZMRLZUCGVWCVXOVWCKUCI
      VVTVXOUCIZUUAVVTVWBUUBKEUUEVDZUULUUFZUUGZVWHPUAFUUHVEVWCVXIVWQPVXAQLZRLZV
      WSUDLZVWTVYAVWSUDLZRLVXDVWCBUOULZPVWRQLZRLZVWRUDLZFOLVYGFOLZVWSUDLVXIVYCV
      WCVYGVWRFVWCVYEVYFVWCVYEVWCBVWBBVFIVVTBJVWAUUIUSZVGVHZVWCVXJVWRSIVYFSIVAV
      WCVWRVWCBVYJVIZVHZPVWRVJVDZUUJVYMVWCVWRVWCJVWRVKVNZJVYEVKVNZVWBVYOVYPUFVV
      TBUUKUSZUUMZVLZVXTUUNVWCVYHVXHFOVWCVYHVYEVWRUDLZVYFVWRUDLZRLVXHVWCVYEVYFV
      WRVYKVYNVYMVYSVMVWCVYTVWHWUAPRVWCVWHMVWRVYEUDLZUDLVYTVWCVWGWUBMUDVWCBSIZV
      YEJVOVWGWUBTVWCBVYJVHZVWCVYEVWCVYOVYPVYQUUOVLZBUUPVPVQVWCVWRVYEVYMVYKVYSW
      UEUUQUURVWCPVWRVXNVYMVYSUUSVRVSVTVWCVYIVYBVWSUDVWCWUCFWEIZVYIVYBTWUDVWCFV
      XSUUTZBFUVBVPVTWAVWCVWQVYAVWSVWCVWQVWCVWPVWCFBVWCFVXSWBZVYJWCZVGZVHVWCVXJ
      VXASIVYASIVAVWCVXAVWCVWPWUIVIZVHZPVXAVJVDVWCVWSVWCVWRFVWCVWRVYLVYRUVAWUGU
      VCZUTZVWCVWSWUMWDZVMVWCVYDVXCVWTRVWCPVXAVWSVXNWULWUNWUOUVDVQWFWGWHVWCVWDV
      WMUNULZUAUMZJEUHLZFKDUIZQLZUJLZMVCZEWUSNLZOLZQLZVXFWUSOLZQLZDUMZVWOVXGVWC
      UBWURFKUBUIZQLZNLZUVEZUVFZWUPUAUMWURFFWUTNLZUJLZVWHFWVNNLZOLZPWVNOLZQLZQL
      ZUNULZDUMWUQWVHVWCWVMWUPWURWWAUADWVLWVNVWEWVNTZVWMWVTUNWWBVWFWVOVWLWVSQVW
      EWVNFUJWIWWBVWJWVQVWKWVRQWWBVWIWVPVWHOVWEWVNFNWIVQVWEWVNPOWIVRVRWHVWCJEWJ
      VWCWURVWDWVLUVGWURWVMWVLUVHVWCUBUAWURVWDWVKFKVWEQLZNLZVWCWVIWURIZWVKVWDIZ
      VWCWWEUFZWVJVWDIZWWFWWGWWHWVJFWKVNZWWGWVJVXOFWWGWVJWWGKUQIZWVIUQIZWVJUQIW
      QWWEWWKVWCWVIEWLUSZKWVIWMVDZWNVWCVXOVFIWWEVWCVXOVXRWBWOZVWCFVFIZWWEWUHWOW
      WGWVIEWKVNZWVJVXOWKVNZWWEWWPVWCWVIJEUVIUSWWGWVIVFIEVFIZKVFIZJKVKVNZUFZWWP
      WWQWPWWGWVIWWLWNVVTWWRVWBWWEEUVJWRWXAWWGWWSWWTWSWTUVKZVBWVIEKUVMVEXAWWGVX
      OVXPFWKWWGVXOWWNUVNGUVLUVOWWGWVJJUVPULZIWUFWWHWWIWPWWGWVJUQWXCWWMUVQUVRVW
      CWUFWWEWUGWOWVJJFUVSVPXBWVJFUVTXCZXIVWCWWEVWEWURIZUFZWVKWWDTZWVIVWETZWPVW
      CWXFUFZWXGWVJWWCTZWXHWXIFWVJWWCVWCFSIZWXFVWCFVXSXDZWOWXIKSIZWVISIZWVJSIXE
      WWEWXNVWCWXEWWEWVIWVIJEXFXJZXGZKWVIVJVDWXIWXMVWESIZWWCSIXEWXIWURSVWEUBWUR
      SWXOUWAVWCWWEWXEXHUWBZKVWEVJVDUWDWXIWXNWXQWXMKJVOZUFZWXJWXHWPWXPWXRWXTWXI
      XKVBWVIVWEKUWCVEUWEXIUWFWURVWDWVLUWGXCWUSWURIZWUSWVLULWVNTVWCUBWUSWVKWVNW
      URWVLWVIWUSTWVJWUTFNWVIWUSKQWIVQWVLUWHZFWUTNXLXMUSVWCVWEWVMIZUFZWUPWYDVWM
      VWCWYCVWEVWDIZVWMSIVWCWVMVWDVWEVWCWURVWDWVLVWCUBWURWVKVWDWXDUWIZUWJZUWKVW
      CWYEUFZVWFVWLWYHVWFWYEVWFUCIVWCVWEFUWLUSZXDWYHVWJVWKWYHVWJVWCVWHVFIVWIUQI
      ZVWJVFIZWYEVWCVWGVXMUWOVWEJFXNZVWHVWIXOXPZVHWYHVXJVWEUQIZVWKSIVAWYEWYNVWC
      VWEFWLZUSPVWEUWMVDXQXQZUWNUWPVHZUWQVWCWVMVWDWUPUAWYGWYQVWCVWEVWDWVMUWRIZU
      FZVWMWYSVWFVWLWYRVWCWYEVWFVFIVWEVWDWVMUWSZWYHVWFWYIWBXRWYSVWJVWKWYRVWCWYE
      WYKWYTWYMXRWYRVWCWYEWYCUWTZUFVWKVFIZVWEVWDWVMUXFVWCWYEXUAXUBWYHWYCXUBWYHX
      UBWYCWYHVWEKUDLZWEIZVWEMRLZKUDLZWEIZXSZXUBWYCXSWYHVWEWEIZXUHWYEXUIVWCVWEJ
      FXFUSVWEUXAXCWYHXUDXUBXUGWYCVWCWYEXUDXUBVWCWYEXUDUFUFZWVBXUCOLZVWKVFXUJXU
      KPKOLZXUCOLZVWKXULWVBXUCOYAXTXUJPKXUCQLZOLZXUMVWKVXJWWJXUJXUCUQIZXUOXUMTV
      AWQXUJXUDJXUCWKVNZXUPVWCWYEXUDXHXUJWYNXUQWYEWYNVWCXUDWYOXGZWYNVWEVFIZJVWE
      WKVNZXUQVWEYBVWEYCZXUSXUTUFWWSWWTXUQWSWTVWEKYDYEVPXCXUCUXBUXCZPKXUCUXDUXE
      XUJXUNVWEPOXUJWXQXUNVWETZXUJVWEXURYFWXQWXMWXSXVCXEYGVWEKUXGUXHXCVQWGUXIXU
      JWVBVFIZXUPXUKVFIYHXVBWVBXUCXOVDYIYJVWCWYEXUGWYCVWCWYEXUGUFZUFZVWIKUDLZWV
      LULZVWEWVMXVFXVHFKXVGQLZNLZFVWINLVWEXVFXVGWURIZXVHXVJTXVFXVGJEXVFUXJVVTEW
      EIZVWBXVEEUXKWRZXVFXVGEMRLZXUFNLZWEXVFXVGKXVNQLZXUENLZKUDLZXVPKUDLZXUFNLZ
      XVOXVFVWIXVQKUDXVFFMRLZXUENLVWIXVQXVFFVWEMVWCWXKXVEWXLWOZXVFVWEWYEWYNVWCX
      UGWYOXGZYFZXVFYKZUXLXVFXWAXVPXUENXVFVXOMMRLZRLZVXOKMQLZRLXWAXVPXWFXWHVXOR
      XWHKXWFUXQUXMUXNUXOXVFXWAVXPMRLXWGFVXPMRGXTXVFVXOMMVWCVXOSIXVEVWCVXOVXRXD
      WOXWEXWEUXPYMXVFKEMXVFYLZVVTESIZVWBXVEEUYFZWRXWEUXRUXSZVTWGVTXVFXVPSIZXUE
      SIZWXTXVRXVTTXVFWXMXVNSIXWMXEXVFXVNXVFEXVMUXTZXJZKXVNVJVDXVFWXQXWNXWDVWEU
      YAXCWXTXVFXKVBXVPXUEKUYBVEXVFXVSXVNXUFNXVFXVNKXWPXWIWXSXVFYGVBZUYCVTWFXVF
      XVNXUFXWOVWCWYEXUGXHUYDUYEZXVFWYJJXVGWKVNZWYEWYJVWCXUGWYLXGZWYJVWIVFIZJVW
      IWKVNZXWSVWIYBVWIYCXXAXXBUFWWSWWTXWSWSWTVWIKYDYEVPXCXVFXVGEWKVNZXVGXVNVKV
      NZXVFXXDVWIXVPVKVNZXVFVWIXWAXVPVKXVFVWIFXWAXVFVWIXWTWNZVWCWWOXVEWUHWOZXVF
      WWOXWAVFIXXGFUYGXCXVFXUTVWIFWKVNXVFWYNXUTXWCXVAXCXVFFVWEXXGXVFVWEXWCWNUYH
      XAXVFFXXGUYIUYJXWLUYKXVFXXAXVNVFIWXAXXDXXEWPXXFXVFXVNXWOUYLWXAXVFWXBVBVWI
      XVNKUYMVEXBXVFXVGWEIXVLXXCXXDWPXWRXVMXVGEUYPVPXBUYNZUBXVGWVKXVJWURWVLWVIX
      VGTWVJXVIFNWVIXVGKQWIVQWYBFXVINXLXMXCXVFXVIVWIFNXVFVWIKXVFVWIXWTYFXWIXWQU
      YOVQXVFFVWEXWBXWDYNWFVWCWVLWURUYQXVEXVKXVHWVMIVWCWURVWDWVLWYFUYRXXHWURXVG
      WVLUYSYOYIYJUYTVUAVUBVUCVUDVUEWCWCVUFVWCJFWJZVUHVWCWURWWAWVGDVWCWYAUFZJPW
      VGQLZRLZUNULZWWAWVGXXJXXLWVTUNXXJXXLXXKWVAPWVDWVFQLZQLZQLZWVTXXJXXKXXJVXJ
      WVGSIXXKSIVAXXJWVGXXJWVEWVFXXJWVAWVDXXJWVAVWCVXKWYAWUTWEIZWVAUQIVXTXXJWUT
      XXJWWJWUSUQIZWUTUQIZWQWYAXXRVWCWUSEWLZUSZKWUSWMVDZYPZWUTFVUGYOZWNXXJXVDWV
      CUQIZWVDVFIYHWYAXYEVWCWUSJEXNUSZWVBWVCXOVDZWCVWCVXFVFIXXRWVFVFIWYAVWCVXFV
      WCVXLVXEWEIZVXFURIVXMKWEIXYHVUIKVUJVUKZVWGVXEVULYQZVUMXXTVXFWUSXOXPZWCZVH
      PWVGVJVDVUNXXJXXKPWVAXXNQLZQLXXPXXJWVGXYMPQXXJWVAWVDWVFXXJWVAXYDYFZXXJWVD
      XYGVHZXXJWVFXYKVHZYRVQXXJPWVAXXNVXJXXJVAVBZXYNXXJWVDWVFXYOXYPXQVUOVSXXJWV
      AWVOXXOWVSQVWCVXKWYAXXQWVAWVOTVXTXYCWUTFVUPYOXXJWVSWVFPWVDQLZQLXYRWVFQLXX
      OXXJWVQWVFWVRXYRQXXJWVQVWHWUTOLZVWGVXEWUSQLZOLZWVFXXJWVPWUTVWHOXXJFWUTVWC
      WXKWYAWXLWOXXJWUTXYBYFZYNVQXXJVWGWUTVCZOLZMVWGWUTOLUDLZYUAXYSXXJVWGSIZXXS
      YUDYUETXXJVWGVWCVXLWYAVXMWOZUTZXYBVWGWUTVUQVPXXJXYTYUCVWGOXXJWXMWUSSIXYTY
      UCTXEXXJWUSXYAYFZKWUSVURVDVQXXJVWGWUTYUHXXJVWGYUGWDZXYCVUSYSXXJYUFVWGJVOX
      YHWUSWEIYUAWVFTYUHYUJXYHXXJXYIVBXXJWUSXYAYPVWGVXEWUSVUTVVIVVAXXJWVRWVDPQL
      ZXYRXXJWVRPKWVCQLZMRLZOLZPYULOLZPQLZYUKXXJWVNYUMPOXXJWVNVXPWUTNLZYUMFVXPW
      UTNGXTXXJYUQVXOWUTNLZMRLYUMXXJVXOMWUTXXJVXOVWCVXQWYAVXRWOXDXXJYKYUBVVBXXJ
      YULYURMRXXJKEWUSXXJYLVVTXWJVWBWYAXWKWRYUIVVCVTVVDYMVQXXJVXJYULUQIZYUNYUPT
      VAXXJWWJXYEYUSWQXYFKWVCWMVDPYULVVEVDXXJYUOWVDPQXXJYUOXULWVCOLWVDXXJPKWVCX
      YQXYFWWJXXJWQVBVVFXULWVBWVCOYAXTVVGVTWFXXJWVDSIZVXJYUKXYRTXYOVAWVDPVVHYQV
      SVRXXJXYRWVFXXJVXJYUTXYRSIVAXYOPWVDVJVDXYPVVJXXJPWVDWVFXYQXYOXYPYRVVKVRWF
      WHXXJJVFIWVGVFIXXMWVGTVVLXYLJWVGVVSVDWGVVMWAVWCVWDVWMUAXXIWYPVVNVWCVXFSIV
      XGWVHTVWCVXFXYJUTAVXFWURWVEAUIZWUSOLZQLZDUMWVHSCYVAVXFTZWURYVCWVGDYVDYVBW
      VFWVEQYVAVXFWUSOVVOVQVVPHWURWVGDVVQXMXCYSVWCVWTVXBVWCVWQVWSWUJWUMYTVWCVXA
      VWSWUKWUMYTVVRWA $.

    basel.t $e |- T = ( n e. ( 1 ... M ) |->
      ( ( tan ` ( ( n x. _pi ) / N ) ) ^ -u 2 ) ) $.
    $( Lemma for ~ basel .  By ~ basellem3 , the expression
       ` P ( ( cot x ) ^ 2 ) = sin ( N x ) / ( sin x ) ^ N ` goes to zero
       whenever ` x = n _pi / N ` for some ` n e. ( 1 ... M ) ` , so this
       function enumerates ` M ` distinct roots of a degree- ` M ` polynomial,
       which must therefore be all the roots by ~ fta1 .  (Contributed by Mario
       Carneiro, 28-Jul-2014.) $)
    basellem4 $p |- ( M e. NN ->
      T : ( 1 ... M ) -1-1-onto-> ( `' P " { 0 } ) ) $=
      ( wcel co cc0 cfv wceq cpi c2 wa cr wbr vx vy vk vm cfz ccnv csn cima wf1
      cn c1 wf1o wf cv weq wi wral cmul cdiv ctan cneg cexp cc crp cz basellem1
      cioo tanrpcl syl znegcl ax-mp rpexpcl sylancl rpcnd csin basellem3 syldan
      2z elfzelz adantl zred pire remulcl recnd caddc 2nn nnmulcl mpan eqeltrid
      adantr nncnd nnne0d divcan2d fveq2d sinkpi eqtrd oveq1d nndivred resincld
      peano2nnd nnnn0d expcld clt ccos sincosq1sgn simpld gt0ne0d expne0d div0d
      nnzd 3eqtrd wfn wb cply cdgr ccoe cn0 fmptd fveq2 sseli ad2antrl ad2antll
      a1i syl112anc mpbid sselid syl2anc rprege0 oveq1 fvoveq1d ovex fvmpt 2nn0
      cle expneg cfn cdom chash c0p wne cbc cmin cmpt basellem2 simp1d plyf ffn
      3syl fniniseg mpbir2and ssriv rpred ffvelrnda simplr pipos ad2antrr nnred
      ltmul1 nngt0d ltdiv1 cxr wss neghalfpirx pirp rphalfcl rpge0 mp2b le0neg2
      halfpire mpbi iooss1 mp2an ad2ant2r ad2ant2rl tanord lt2sq syl2an 3brtr4d
      ltrecd an32s ex eqord2 biimprd ralrimivva dff13 sylanbrc cen simp2d nnne0
      eqnetrd dgr0 eqtrdi necon3i eqid fta1 f1domg simprd nnnn0 hashfz1 breqtrd
      sylc eqtr4d fzfid hashdom sbth f1finf1o ) FUJKZUKFUELZBUFMUGUHZCUIZUXHUXI
      CULZUXGUXHUXICUMUAUNZCNZUBUNZCNZOZUAUBUOZUPZUBUXHUQUAUXHUQUXJUXGEUXHEUNZP
      URLZGUSLZUTNZQVAZVBLZUXICUXGUXSUXHKZRZUYDUXIKZUYDVCKZUYDBNZMOZUYFUYDUYFUY
      BVDKZUYCVEKZUYDVDKUYFUYAMPQUSLZVGLZKZUYKUXSFGHVFZUYAVHVIQVEKZUYLVRQVJVKUY
      BUYCVLVMZVNUYFUYIGUYAURLZVONZUYAVONZGVBLZUSLZMVUBUSLMUXGUYEUYOUYIVUCOUYPA
      UYABDFGHIVPVQUYFUYTMVUBUSUYFUYTUXTVONZMUYFUYSUXTVOUYFUXTGUYFUXTUYFUXSSKPS
      KZUXTSKUYFUXSUYEUXSVEKZUXGUXSUKFVSZVTZWAWBUXSPWCVMZWDUYFGUXGGUJKZUYEUXGGQ
      FURLZUKWELUJHUXGVUKQUJKUXGVUKUJKWFQFWGWHWTWIZWJZWKUYFGVUMWLWMWNUYFVUFVUDM
      OVUHUXSWOVIWPWQUYFVUBUYFVUAGUYFVUAUYFUYAUYFUXTGVUIVUMWRWSWDZUYFGVUMXAXBUY
      FVUAGVUNUYFVUAUYFMVUAXCTZMUYAXDNXCTZUYFUYOVUOVUPRUYPUYAXEVIXFXGUYFGVUMXJX
      HXIXKUYFBVCXLZUYGUYHUYJRXMUXGVUQUYEUXGBVCXNNKZVCVCBUMVUQUXGVURBXONZFOZBXP
      NEXQGQUXSURLUUALUKVAFUXSUUBLVBLURLUUCOZABDEFGHIUUDZUUEZVCBUUFVCVCBUUGUUHW
      JVCMUYDBUUIVIUUJJXRUXGUXRUAUBUXHUXHUXGUXLUXHKUXNUXHKRRUXQUXPUXGUCUDUCUNZC
      NZUDUNZCNZUXLUXNUXHUXMUXOVVDVVFCXSVVDUXLCXSVVDUXNCXSEUXHSUYEUXSVUGWAUUKZU
      XGUXHSVVDCUXGEUXHUYDSCUYFUYDUYRUULJXRUUMUXGVVDUXHKZVVFUXHKZRZRVVDVVFXCTZV
      VGVVEXCTZUXGVVLVVKVVMUXGVVLRZVVKRZUKVVFPURLZGUSLZUTNZQVBLZUSLZUKVVDPURLZG
      USLZUTNZQVBLZUSLZVVGVVEXCVVOVWDVVSXCTZVVTVWEXCTVVOVWCVVRXCTZVWFVVOVWBVVQX
      CTZVWGVVOVWAVVPXCTZVWHVVOVVLVWIUXGVVLVVKUUNVVOVVDSKZVVFSKZVUEMPXCTZVVLVWI
      XMVVIVWJVVNVVJUXHSVVDVVHXTYAZVVJVWKVVNVVIUXHSVVFVVHXTYBZVUEVVOWBYCVWLVVOU
      UOYCVVDVVFPUURYDYEVVOVWASKZVVPSKZGSKMGXCTVWIVWHXMVVOVWJVUEVWOVWMWBVVDPWCV
      MVVOVWKVUEVWPVWNWBVVFPWCVMVVOGUXGVUJVVLVVKVULUUPZUUQVVOGVWQUUSVWAVVPGUUTY
      DYEVVOVWBUYMVAZUYMVGLZKVVQVWSKVWHVWGXMVVOUYNVWSVWBVWRUVAKVWRMYNTZUYNVWSUV
      BUVCMUYMYNTZVWTPVDKUYMVDKVXAUVDPUVEUYMUVFUVGUYMSKVXAVWTXMUVIUYMUVHVKUVJVW
      RMUYMUVKUVLZUXGVVIVWBUYNKZVVLVVJVVDFGHVFUVMZYFVVOUYNVWSVVQVXBUXGVVJVVQUYN
      KZVVLVVIVVFFGHVFUVNZYFVWBVVQUVOYGYEVVOVWCVDKZVVRVDKZVWGVWFXMZVVOVXCVXGVXD
      VWBVHVIZVVOVXEVXHVXFVVQVHVIZVXGVWCSKMVWCYNTRVVRSKMVVRYNTRVXIVXHVWCYHVVRYH
      VWCVVRUVPUVQYGYEVVOVWDVVSVVOVXGUYQVWDVDKVXJVRVWCQVLVMVVOVXHUYQVVSVDKVXKVR
      VVRQVLVMUVSYEVVOVVGVVRUYCVBLZVVTVVJVVGVXLOVVNVVIEVVFUYDVXLUXHCEUDUOZUYBVV
      RUYCVBVXMUXTVVPGUTUSUXSVVFPURYIYJWQJVVRUYCVBYKYLYBVVOVVRVCKQXQKZVXLVVTOVV
      OVVRVXKVNYMVVRQYOVMWPVVOVVEVWCUYCVBLZVWEVVIVVEVXOOVVNVVJEVVDUYDVXOUXHCEUC
      UOZUYBVWCUYCVBVXPUXTVWAGUTUSUXSVVDPURYIYJWQJVWCUYCVBYKYLYAVVOVWCVCKVXNVXO
      VWEOVVOVWCVXJVNYMVWCQYOVMWPUVRUVTUWAUWBUWCUWDUAUBUXHUXICUWEUWFZUXGUXHUXIU
      WGTZUXIYPKZUXJUXKXMUXGUXHUXIYQTZUXIUXHYQTZVXRUXGVXSUXJVXTUXGVXSUXIYRNZVUS
      YNTZUXGVURBYSYTZVXSVYCRVVCUXGVUSMYTVYDUXGVUSFMUXGVURVUTVVAVVBUWHZFUWIUWJB
      YSVUSMBYSOVUSYSXONMBYSXOXSUWKUWLUWMVIUXIVCBUXIUWNUWOYGZXFZVXQUXHUXIYPCUWP
      UXAUXGVYBUXHYRNZYNTZVYAUXGVYBVUSVYHYNUXGVXSVYCVYFUWQUXGVUSFVYHVYEUXGFXQKV
      YHFOFUWRFUWSVIUXBUWTUXGVXSUXHYPKVYIVYAXMVYGUXGUKFUXCUXIUXHYPUXDYGYEUXHUXI
      UXEYGVYGUXHUXICUXFYGYE $.

    $( Lemma for ~ basel .  Using ~ vieta1 , we can calculate the sum of the
       roots of ` P ` as the quotient of the top two coefficients, and since
       the function ` T ` enumerates the roots, we are left with an equation
       that sums the ` cot ^ 2 ` function at the ` M ` different roots.
       (Contributed by Mario Carneiro, 29-Jul-2014.) $)
    basellem5 $p |- ( M e. NN -> sum_ k e. ( 1 ... M )
      ( ( tan ` ( ( k x. _pi ) / N ) ) ^ -u 2 ) =
      ( ( ( 2 x. M ) x. ( ( 2 x. M ) - 1 ) ) / 6 ) ) $=
      ( wcel c1 cmin co cdiv cmul c2 cc wceq vx cn ccnv cc0 csn cima cv csu cfv
      cdgr ccoe cneg cfz cpi ctan cexp eqid cply cn0 cbc basellem2 simp1d chash
      cmpt simp2d nnnn0 hashfz1 syl fzfid basellem4 hasheqf1od 3eqtr2rd eqeltrd
      c6 cfn id vieta1 oveq1 fvoveq1d oveq1d ovex fvmpt adantl cnvimass wf plyf
      cdm fdm 3syl sseqtrid sselda fsumf1o simp3d fveq12d nnm1nn0 oveq2 oveq12d
      oveq2d nncn ax-1cn nncan sylancl neg1cn ax-mp eqtrdi cz caddc 2nn nnmulcl
      exp1 mpan peano2nnd eqeltrid nnnn0d 2z nnz sylancr syl2anc 3eqtrd cle wbr
      nnred cuz wb nnuz eleqtrdi elfz5 mpbird bccl2 nncnd eqtrd nnne0d c3 bcm1k
      cr nndivre recnd a1i wne 3eqtr3d peano2zm zmulcl bccl nn0cnd mulcom lep1d
      mulm1d negcld subidd exp0 fz1ssfz0 breqtrrdi nnzd mulid1d eqnetrd divnegd
      sselid negeqd negnegd 1cnd pnncand oveq1i 3eqtr4g eqeltrdi nn0sub 2timesd
      df-2 2nn0 addsubd nn0nnaddcl mpancom 2timesi eqcomi subsub4d 2cnd 3eqtr4a
      oveq2i subdid subsubd df-3 eqtr4di 3re 2re mulassd 3cn divmuldivd mulcomd
      3t2e6 6re nnmulcld eqeltrrd clt ltm1d eqbrtrrd ltled letrd nn0uz divcan3d
      nn0red recdivd wa 6cn 6nn nnne0i recdiv mpanl12 ) GUBLZBUCUDUEZUFZUAUGZUA
      UHBUJUIZMNOZBUKUIZUIZUXKUXMUIZPOULZMGUMOZEUGZUNQOZHPOUOUIZRULZUPOZEUHRGQO
      ZUYCMNOZQOZVNPOZUXGUAUXMUXISBUXKUXMUQUXKUQUXIUQUXGBSURUILZUXKGTZUXMFUSHRF
      UGZQOZUTOZMULZGUYINOZUPOZQOZVDZTZABDFGHIJVAZVBZUXGUXKGUXQVCUIZUXIVCUIUXGU
      YGUYHUYQUYRVEZUXGGUSLZUYTGTGVFZGVGVHUXGUXQUXIVOCUXGMGVIZABCDFGHIJKVJZVKVL
      UXGUXKGUBVUAUXGVPVMVQUXGUXIUXJUXQUYBUAECUYBUXJUYBTVPVUDVUEUXRUXQLUXRCUIUY
      BTUXGFUXRUYIUNQOZHPOUOUIZUYAUPOUYBUXQCUYIUXRTZVUGUXTUYAUPVUHVUFUXSHUOPUYI
      UXRUNQVRVSVTKUXTUYAUPWAWBWCUXGUXISUXJUXGBWGZUXISBUXHWDUXGUYGSSBWEVUISTUYS
      SBWFSSBWHWIWJWKWLUXGUXPUXNULZUXOPOHRGMNOZQOZUTOZHUYCUTOZPOZUYFUXGUXNUXOUX
      GUXNVUMULZSUXGUXNVUKUYPUIZVUMUYLGVUKNOZUPOZQOZVUPUXGUXLVUKUXMUYPUXGUYGUYH
      UYQUYRWMZUXGUXKGMNVUAVTWNUXGVUKUSLZVUQVUTTGWOZFVUKUYOVUTUSUYPUYIVUKTZUYKV
      UMUYNVUSQVVDUYJVULHUTUYIVUKRQWPWRVVDUYMVURUYLUPUYIVUKGNWPWRWQUYPUQZVUMVUS
      QWAWBVHUXGVUTVUMUYLQOZUYLVUMQOZVUPUXGVUSUYLVUMQUXGVUSUYLMUPOZUYLUXGVURMUY
      LUPUXGGSLMSLVURMTGWSZWTGMXAXBWRUYLSLZVVHUYLTXCUYLXJXDXEWRUXGVUMSLVVJVVFVV
      GTUXGVUMUXGHUSLZVULXFLZVUMUSLUXGHUXGHUYCMXGOZUBIUXGUYCRUBLUXGUYCUBLZXHRGX
      IXKZXLXMZXNZUXGRXFLVUKXFLZVVLXOUXGGXFLVVRGXPGUUAVHRVUKUUBXQVULHUUCXRUUDZX
      CVUMUYLUUEXBUXGVUMVVSUUGXSXSZUXGVUMVVSUUHVMUXGUXOVUNSUXGUXOGUYPUIZVUNUYLG
      GNOZUPOZQOZVUNUXGUXKGUXMUYPVVAVUAWNUXGVUBVWAVWDTVUCFGUYOVWDUSUYPUYIGTZUYK
      VUNUYNVWCQVWEUYJUYCHUTUYIGRQWPWRVWEUYMVWBUYLUPUYIGGNWPWRWQVVEVUNVWCQWAWBV
      HUXGVWDVUNMQOVUNUXGVWCMVUNQUXGVWCUYLUDUPOZMUXGVWBUDUYLUPUXGGVVIUUIWRVVJVW
      FMTXCUYLUUJXDXEWRUXGVUNUXGVUNUXGUYCUDHUMOZLVUNUBLUXGMHUMOZVWGUYCHUUKUXGUY
      CVWHLZUYCHXTYAZUXGUYCVVMHXTUXGUYCUXGUYCVVOYBUUFIUULUXGUYCMYCUIZLHXFLZVWIV
      WJYDUXGUYCUBVWKVVOYEYFUXGHVVPUUMZUYCMHYGXRYHZUUQUYCHYIVHZYJZUUNYKXSZVWPVM
      UXGUXOVUNUDVWQUXGVUNVWOYLZUUOUUPUXGVUJVUMUXOVUNPUXGVUJVUPULVUMUXGUXNVUPVV
      TUURUXGVUMVVSUUSYKVWQWQUXGMVUNVUMPOZPOMVNUYEPOZPOZVUOUYFUXGVWSVWTMPUXGVWS
      VUMVWTQOZVUMPOVWTUXGVUNVXBVUMPUXGVUNVUMYMUYDPOZRUYCPOZQOZQOZVXBUXGVUNHUYD
      UTOZHUYDNOZUYCPOZQOZVUMVXCQOZVXDQOVXFUXGVWIVUNVXJTVWNUYCHYNVHUXGVXGVXKVXI
      VXDQUXGVXGHUYDMNOZUTOZHVXLNOZUYDPOZQOZVXKUXGUYDVWHLZVXGVXPTUXGVXQUYDHXTYA
      ZUXGVXRVXHUSLZUXGVXHRUSUXGVVMUYDNOMMXGOZVXHRUXGUYCMMUXGUYCVVOYJZUXGUUTZVY
      BUVAHVVMUYDNIUVBUVGUVCZUVHUVDUXGUYDUSLZVVKVXRVXSYDUXGVVNVYDVVOUYCWOVHVVQU
      YDHUVEXRYHZUXGUYDVWKLVWLVXQVXRYDUXGUYDUBVWKUXGUYDVUKGXGOZUBUXGUYDGGXGOZMN
      OVYFUXGUYCVYGMNUXGGVVIUVFVTUXGGGMVVIVVIVYBUVIYKVVBUXGVYFUBLVVCVUKGUVJUVKV
      MZYEYFVWMUYDMHYGXRYHUYDHYNVHUXGVXMVUMVXOVXCQUXGVXLVULHUTUXGUYCVXTNOUYCRMQ
      OZNOVXLVULVXTVYIUYCNVYIVXTMWTUVLUVMUVQUXGUYCMMVYAVYBVYBUVNUXGRGMUXGUVOZVV
      IVYBUVRUVPZWRUXGVXNYMUYDPUXGVXNVXHMXGOZYMUXGHUYDMUXGHVVPYJUXGUYDVYHYJZVYB
      UVSUXGVYLRMXGOYMUXGVXHRMXGVYCVTUVTUWAYKVTWQYKUXGVXHRUYCPVYCVTWQUXGVUMVXCV
      XDVVSUXGVXCUXGYMYOLUYDUBLZVXCYOLUWBVYHYMUYDYPXQYQUXGVXDUXGRYOLVVNVXDYOLUW
      CVVORUYCYPXQYQUWDXSUXGVXEVWTVUMQUXGVXEYMRQOZUYDUYCQOZPOVWTUXGYMUYDRUYCYMS
      LUXGUWEYRVYMVYJVYAUXGUYDVYHYLUXGUYCVVOYLUWFUXGVYOVNVYPUYEPVYOVNTUXGUWHYRU
      XGUYDUYCVYMVYAUWGWQYKWRYKVTUXGVWTVUMUXGVWTUXGVNYOLUYEUBLVWTYOLUWIUXGUYCUY
      DVVOVYHUWJZVNUYEYPXQYQVVSUXGVUMUXGVULVWGLZVUMUBLUXGVYRVULHXTYAZUXGVULUYDH
      UXGVULUXGVXLVULUSVYKUXGVYNVXLUSLVYHUYDWOVHUWKZUWSZUXGUYDVYHYBZUXGHVVPYBUX
      GVULUYDWUAWUBUXGVXLVULUYDUWLVYKUXGUYDWUBUWMUWNUWOVYEUWPUXGVULUDYCUIZLVWLV
      YRVYSYDUXGVULUSWUCVYTUWQYFVWMVULUDHYGXRYHVULHYIVHYLZUWRYKWRUXGVUNVUMVWPVV
      SVWRWUDUWTUXGUYESLZUYEUDYSZVXAUYFTZUXGUYEVYQYJUXGUYEVYQYLVNSLVNUDYSWUEWUF
      UXAWUGUXBVNUXCUXDVNUYEUXEUXFXRYTXSYT $.
  $}

  ${
    $d k n x y F $.  $d k x y z G $.  $d k x y z H $.  $d j k n x M $.
    $d k x y A $.  $d k n y J $.  $d k x y K $.  $d j k n x N $.
    basel.g $e |- G = ( n e. NN |-> ( 1 / ( ( 2 x. n ) + 1 ) ) ) $.
    $( Lemma for ~ basel .  The function ` G ` goes to zero because it is
       bounded by ` 1 / n ` .  (Contributed by Mario Carneiro, 28-Jul-2014.) $)
    basellem6 $p |- G ~~> 0 $=
      ( vk cc0 wbr wtru cn c1 cdiv co cvv wcel c2 cmul caddc cr wceq adantl cle
      cli cv cmpt nnuz 1zzd cc ax-1cn divcnv mp1i nnex mptex eqeltri a1i wa cfv
      oveq2 eqid ovex fvmpt nnrecre eqeltrd oveq1d oveq2d 2nn nnmulcl peano2nnd
      sylan nnrecred nnre nnred cn0 nnnn0 nn0addge1 syl2anc recnd 2timesd lep1d
      breqtrrd letrd clt nngt0 nngt0d lerec syl22anc mpbid 3brtr4d nnrpd rpge0d
      wb rpreccld climsqz2 mptru ) BEUAFGEDAHIAUBZJKZUCZBILHUDGUEIUFMWOEUAFGUGI
      AUHUIBLMGBAHINWMOKZIPKZJKZUCLCAHWRUJUKULUMGDUBZHMZUNZWSWOUOZIWSJKZQWTXBXC
      RGAWSWNXCHWOWMWSIJUPWOUQIWSJURUSSZWTXCQMGWSUTSVAXAWSBUOZINWSOKZIPKZJKZQWT
      XEXHRGAWSWRXHHBWMWSRZWQXGIJXIWPXFIPWMWSNOUPVBVCCIXGJURUSSZXAXGXAXFGNHMZWT
      XFHMXKGVDUMNWSVEVGZVFZVHVAXAXHXCXEXBTXAWSXGTFZXHXCTFZXAWSXFXGWTWSQMZGWSVI
      SZXAXFXLVJZXAXGXMVJZXAWSWSWSPKZXFTXAXPWSVKMZWSXTTFXQWTYAGWSVLSWSWSVMVNXAW
      SXAWSXQVOVPVRXAXFXRVQVSXAXPEWSVTFZXGQMEXGVTFXNXOWIXQWTYBGWSWASXSXAXGXMWBW
      SXGWCWDWEXJXDWFXAEXHXETXAXHXAXGXAXGXMWGWJWHXJVRWKWL $.

    ${
      basellem7.2 $e |- A e. CC $.
      $( Lemma for ~ basel .  The function ` 1 + A x. G ` for any fixed ` A `
         goes to ` 1 ` .  (Contributed by Mario Carneiro, 28-Jul-2014.) $)
      basellem7 $p |- ( ( NN X. { 1 } ) oF +
        ( ( NN X. { A } ) oF x. G ) ) ~~> 1 $=
        ( cn c1 cmul co caddc cc0 cli wbr wtru cvv cc wcel cfv sylancr a1i nnuz
        vk vx vy csn cxp cof 1zzd ax-1cn cuz eqimss2i nnex climconst2 basellem6
        cz ovexd cv wf wss elexi fconst snssd fss ffvelrnda c2 cdiv 2nn nnmulcl
        wa sylan peano2nnd nnrecred recnd fmptd ffnd inidm eqidd climmul mul01i
        ofval breqtrdi 1ex mulcl adantl off climadd mptru 1p0e1 breqtri ) FGUEZ
        UFZFAUEZUFZCHUGZIZJUGZIZGKJIZGLWQWRLMNGKUBWKWOWQGOFUANUHZNGPQZGUOQZWKGL
        MUIWSGGFFGUJRUAUKZULUMSNWKWOWPUPNWOAKHIKLNAKUBWMCWOGOFUAWSNAPQZXAWMALME
        WSAGFXBULUMSNWMCWNUPCKLMNBCDUNTNFPUBUQZWMNFWLWMURWLPUSFPWMURFAAPEUTVANA
        PXCNETVBFWLPWMVCSZVDNFPXDCNBFGVEBUQZHIZGJIZVFIZPCNXFFQZVIZXIXKXHXKXGNVE
        FQZXJXGFQXLNVGTVEXFVHVJVKVLVMDVNZVDNFFXDWMRZXDCRZHFWMCOOXDNFPWMXEVONFPC
        XMVOFOQNULTZXPFVPZNXDFQVIZXNVQXRXOVQVTVRAEVSWANFPXDWKNFWJWKURZWJPUSFPWK
        URFGWBVAZNGPWTNUITVBFWJPWKVCSVDNFPXDWONUCUDFFFHPPPWMCOOUCUQZPQUDUQZPQVI
        YAYBHIPQNYAYBWCWDXEXMXPXPXQWEZVDNFFXDWKRZXDWORZJFWKWOOOXDNFWJWKXSNXTTVO
        NFPWOYCVOXPXPXQXRYDVQXRYEVQVTWFWGWHWI $.
    $}

    basel.f $e |- F = seq 1 ( + , ( n e. NN |-> ( n ^ -u 2 ) ) ) $.
    basel.h $e |- H = ( ( NN X. { ( ( _pi ^ 2 ) / 6 ) } ) oF x.
                        ( ( NN X. { 1 } ) oF - G ) ) $.
    basel.j $e |- J = ( H oF x.
      ( ( NN X. { 1 } ) oF + ( ( NN X. { -u 2 } ) oF x. G ) ) ) $.
    basel.k $e |- K = ( H oF x. ( ( NN X. { 1 } ) oF + G ) ) $.
    ${
      basellem8.n $e |- N = ( ( 2 x. M ) + 1 ) $.
      $( Lemma for ~ basel .  The function ` F ` of partial sums of the inverse
         squares is bounded below by ` J ` and above by ` K ` , obtained by
         summing the inequality ` cot ^ 2 x <_ 1 / x ^ 2 <_ `
         ` csc ^ 2 x = cot ^ 2 x + 1 ` over the ` M ` roots of the polynomial
         ` P ` , and applying the identity ~ basellem5 .  (Contributed by Mario
         Carneiro, 29-Jul-2014.) $)
      basellem8 $p |- ( M e. NN ->
        ( ( J ` M ) <_ ( F ` M ) /\ ( F ` M ) <_ ( K ` M ) ) ) $=
        ( wcel c1 co cdiv cmul caddc vk vx vj cn cfv cle wbr cfz cpi c2 cexp cv
        ctan cneg csu wa cr pire sylancr resqcld adantr cc0 crp rpred rpne0d cz
        syl 2z a1i reexpclzd remulcld nnne0d cn0 wceq recnd 2nn0 expneg sylancl
        cc oveq2d sqcld rpexpcl divrecd eqtr4d nncnd 2cn oveq2i oveq1d nncn wne
        recni jca eqtrd 3eqtr4d clt simpld elrpd rpge0d mpbid eqbrtrd fsumle c6
        ltled cmin eqtr4di oveq12d csn cxp cof cmpt cvv ovexd fconstmpt offval2
        wtru syl5eq mptru eqtri ovex divcld ax-1cn mulassd 1cnd oveq1i 3eqtr3rd
        fvmpt dividd divdird df-2 6cn mulcld divmuldiv syl22anc divmuldivd eqid
        sqdivd fsummulc2 3eqtrd 3brtr4d c3 fzfid 2nn nnmulcl peano2nnd eqeltrid
        mpan nndivre basellem1 tanrpcl znegcl ax-mp elfznn adantl nnred expnegd
        cioo nnrpd negnegi eqtr3di nnne0 expclzd expne0d divrec2d divass sqmuld
        syl3anc elioore tangtx eliooord lt2sqd lediv23d nnex resqcli 6re nnne0i
        oveq2 6nn redivcli 1zzd negcli subcl divsubdird negsub oveq12i pnpcan2d
        pncan nnsqcld mulcom pm3.2i sqvald cbc basellem5 cseq fveq1i oveq1 nnuz
        id eleqtrdi fsumser eqtr4id csin resincld sincosq1sgn gt0ne0d sinltx wi
        cuz ccos 0re ltle mpd le2sqd breqtrrd lemuldiv2d bitr3d peano2cn eqtr2d
        lemuldivd recoscld sincossq simprd tanval syl2anc sqne0 recdivd 3eqtrrd
        wb mpbird 3eqtr3d addcom sumeq2dv fsumadd chash fsumconst nnnn0 hashfz1
        cfn mulid1d 3cn adddid pncan3oi 3eqtri subadd23d addassd 3eqtr4a mul32d
        df-3 2cnd 3t2e6 mulcomi eqtr3i mulcl divcan3d ) GUDOZGEUEZGBUEZUFUGVUPG
        FUEZUFUGVUNPGUHQZUIHRQZUJUKQZUAULZUISQHRQZUMUEZUJUNZUKQZSQZUAUOZVURVVAV
        VDUKQZUAUOZVUOVUPUFVUNVURVVFVVHUAVUNPGUUAZVUNVVAVUROZUPZVUTVVEVUNVUTUQO
        VVKVUNVUSVUNUIUQOHUDOVUSUQOURVUNHUJGSQZPTQZUDNVUNVVMUJUDOVUNVVMUDOUUBUJ
        GUUCUUFZUUDUUEZUIHUUGUSZUTVAZVVLVVCVVDVVLVVCVVLVVBVBUIUJRQZUUPQOZVVCVCO
        ZVVAGHNUUHZVVBUUIVGZVDZVVLVVCVWCVEVVDVFOZVVLUJVFOZVWEVHUJUUJUUKZVIZVJZV
        KVVLVVAVVDVVLVVAVVKVVAUDOZVUNVVAGUULUUMZUUNVVLVVAVWKVLZVWHVJZVVLVVFVUTV
        VCUJUKQZRQZVVHUFVVLVVFVUTPVWNRQZSQVWOVVLVVEVWPVUTSVVLVVCVSOUJVMOZVVEVWP
        VNVVLVVCVWDVOVPVVCUJVQVRZVTVVLVUTVWNVUNVUTVSOVVKVUNVUSVUNVUSVVQVOZWAZVA
        ZVVLVWNVVLVWNVVLVWAVWFVWNVCOVWCVHVVCUJWBVRZVDZVOVVLVWNVXBVEWCWDVVLVUTVV
        HVWNVVRVVLVVAVCOVWEVVHVCOVVLVVAVWKUUQVWGVVAVVDWBVRZVXBVVLVUTVVHRQZVVBUJ
        UKQZVWNUFVVLPVVHRQZVUTSQVVAUJUKQZVUTSQZVXEVXFVVLVXGVXHVUTSVVLVVAVVDUNZU
        KQVXGVXHVVLVVAVVDVVLVVAVWKWEZVWLVWHUUOVXJUJVVAUKUJWFUURWGUUSWHVVLVUTVVH
        VXAVVLVWJVVHVSOVWKVWJVVAVVDVVAWIVVAUUTVWEVWJVWGVIUVAVGZVVLVVAVVDVXKVWLV
        WHUVBUVCVVLVXFVVAVUSSQZUJUKQVXIVVLVVBVXMUJUKVVLVVAVSOUIVSOZHVSOZHVBWJZU
        PZVVBVXMVNVXKVXNVVLUIURWKZVIVUNVXQVVKVUNVXOVXPVUNHVVPWEZVUNHVVPVLZWLVAV
        VAUIHUVDUVFWHVVLVVAVUSVXKVUNVUSVSOVVKVWSVAUVEWMWNZVVLVXFVWNVVLVVBVVLVVT
        VVBUQOVWBVVBVBVVSUVGVGZUTVXCVVLVVBVVCWOUGZVXFVWNWOUGVVLVVTVYCVWBVVBUVHV
        GVVLVVBVVCVYBVWDVVLVVBVVLVVBVYBVVLVBVVBWOUGZVVBVVSWOUGZVVLVVTVYDVYEUPVW
        BVVBVBVVSUVIVGWPWQZWRZVVLVVCVWCWRUVJWSXCWTUVKWTXAVUNVUOUIUJUKQZXBRQZPPH
        RQZXDQZSQZPVVDVYJSQZTQZSQZVUTVURVVEUAUOZSQZVVGAGVYIPPUJAULZSQZPTQZRQZXD
        QZSQZPVVDWUASQZTQZSQZVYOUDEVYRGVNZWUCVYLWUEVYNSWUGWUBVYKVYISWUGWUAVYJPX
        DWUGVYTHPRWUGVYTVVNHWUGVYSVVMPTVYRGUJSUVPWHNXEVTZVTVTZWUGWUDVYMPTWUGWUA
        VYJVVDSWUHVTVTXFEDUDPXGXHZUDVVDXGXHZCSXIZQZTXIZQZWULQZAUDWUFXJZLWUPWUQV
        NXOAUDWUCWUESDWUOXKXKXKUDXKOXOUVLVIZXOVYRUDOUPZVYIWUBSXLZWUSPWUDTXLXODU
        DVYIXGXHZWUJCXDXIQZWULQAUDWUCXJKXOAUDVYIWUBSWVAWVBXKUQXKWURVYIUQOWUSVYH
        XBUIURUVMZUVNXBUVQUVOZUVRZVIWUSPWUAXDXLWVAAUDVYIXJVNXOAUDVYIXMVIXOAUDPW
        UAXDWUJCXKVFXKWURWUSUVSZWUSPVYTRXLZWUJAUDPXJVNXOAUDPXMVIZCAUDWUAXJVNXOI
        VIZXNXNXPZXOAUDPWUDTWUJWUMXKVFXKWURWVFWUSVVDWUASXLWVHXOAUDVVDWUASWUKCXK
        VSXKWURVVDVSOZWUSUJWFUVTZVIWVGWUKAUDVVDXJVNXOAUDVVDXMVIWVIXNXNXNXQXRVYL
        VYNSXSYFVUNVYOVUTVVMVVMPXDQZSQZXBRQZSQZVYQVUNVYIVVMHRQZSQZWVMHRQZSQVYIW
        VQWVSSQZSQZVYOWVPVUNVYIWVQWVSVYIVSOVUNVYIWVEWKVIZVUNVVMHVUNVVMVVOWEZVXS
        VXTXTZVUNWVMHVUNVVMVSOZPVSOZWVMVSOWWCYAVVMPUWAVRZVXSVXTXTYBVUNVYLWVRVYN
        WVSSVUNVYKWVQVYISVUNHPXDQZHRQHHRQZVYJXDQWVQVYKVUNHPHVXSVUNYCZVXSVXTUWBV
        UNWWHVVMHRVUNWWHVVNPXDQZVVMHVVNPXDNYDVUNWWEWWFWWKVVMVNWWCYAVVMPUWFVRXPW
        HVUNWWIPVYJXDVUNHVXSVXTYGZWHYEVTZVUNHVVDTQZHRQWWIVVDHRQZTQWVSVYNVUNHVVD
        HVXSWVKVUNWVLVIZVXSVXTYHVUNWWNWVMHRVUNWWNHUJXDQZWVMVUNVXOUJVSOWWNWWQVNV
        XSWFHUJUWCVRVUNWWQVVNPPTQZXDQWVMHVVNUJWWRXDNYIUWDVUNVVMPPWWCWWJWWJUWEXP
        WMWHVUNWWIPWWOVYMTWWLVUNVVDHWWPVXSVXTWCXFYEXFVUNVYHHUJUKQZRQZWVOSQZVYIW
        VNWWSRQZSQZWVPWWAVUNVYHWVNSQZWWSXBSQZRQZWXDXBWWSSQZRQZWXAWXCVUNWXEWXGWX
        DRVUNWWSVSOZXBVSOZWXEWXGVNVUNWWSVUNHVVPUWGZWEZYJWWSXBUWHVRZVTVUNVYHVSOZ
        WVNVSOZWXIWWSVBWJZUPZWXJXBVBWJZUPZWXAWXFVNWXNVUNVYHWVCWKVIZVUNVVMWVMWWC
        WWGYKZVUNWXIWXPWXLVUNWWSWXKVLWLZWXSVUNWXJWXRYJWVDUWIVIZVYHWVNWWSXBYLYMV
        UNWXNWXOWXSWXQWXCWXHVNWXTWYAWYCWYBVYHWVNXBWWSYLYMWNVUNVUTWWTWVOSVUNUIHV
        XNVUNVXRVIVXSVXTYPZWHVUNWVTWXBVYISVUNWVTWVNHHSQZRQWXBVUNVVMHWVMHWWCVXSW
        WGVXSVXTVXTYNVUNWWSWYEWVNRVUNHVXSUWJZVTWDVTWNWNVUNVYPWVOVUTSUBUBVSVBGUH
        QHUJUCULZSQUWKQPUNGWYGXDQUKQSQUBULWYGUKQSQUCUOXJZAVURVYRUISQHRQUMUEVVDU
        KQXJZUCUAAGHNWYHYOWYIYOUWLZVTWDVUNVURVVEVUTUAVVJVWTVVLVVEVWIVOZYQYRVUNV
        UPGTAUDVYRVVDUKQZXJZPUWMZUEVVIGBWYNJUWNVUNVVHUAWYMPGVVLVWJVVAWYMUEVVHVN
        VWKAVVAWYLVVHUDWYMVYRVVAVVDUKUWOWYMYOVVAVVDUKXSYFVGVUNGUDPUXGUEVUNUWQUW
        PUWRVXLUWSUWTZYSVUNVVIVURVUTVVBUXAUEZVVDUKQZSQZUAUOZVUPVUQUFVUNVURVVHWY
        RUAVVJVWMVVLVUTWYQVVRVVLWYPVVDVVLVVBVYBUXBZVVLWYPVVLVBWYPWOUGZVBVVBUXHU
        EZWOUGZVVLVVTXUAXUCUPVWBVVBUXCVGZWPZUXDVWHVJZVKVVLVVHVUTWYPUJUKQZRQZWYR
        UFVVLXUGVXEUFUGZVVHXUHUFUGZVVLXUGVXFVXEUFVVLWYPVVBUFUGXUGVXFUFUGVVLWYPV
        VBWYTVYBVVLVVBVCOWYPVVBWOUGVYFVVBUXEVGXCVVLWYPVVBWYTVYBVVLXUAVBWYPUFUGZ
        XUEVVLVBUQOWYPUQOXUAXUKUXFUXIWYTVBWYPUXJUSUXKVYGUXLWSVYAUXMVVLVVHXUGSQV
        UTUFUGXUIXUJVVLXUGVUTVVHVVLWYPWYTUTZVVRVXDUXNVVLVVHVUTXUGVWMVVRVVLWYPVC
        OVWFXUGVCOVVLWYPWYTXUEWQVHWYPUJWBVRZUXRUXOWSVVLWYRVUTPXUGRQZSQXUHVVLWYQ
        XUNVUTSVVLWYPVSOVWQWYQXUNVNVVLWYPWYTVOZVPWYPUJVQVRZVTVVLVUTXUGVXAVVLXUG
        XULVOZVVLXUGXUMVEZWCWDUXMXAWYOVUNVUQVYLPVYJTQZSQZVUTVURWYQUAUOZSQZWYSAG
        WUCPWUATQZSQZXUTUDFWUGWUCVYLXVCXUSSWUIWUGWUAVYJPTWUHVTXFFDWUJCWUNQZWULQ
        ZAUDXVDXJZMXVFXVGVNXOAUDWUCXVCSDXVEXKXKXKWURWUTWUSPWUATXLWVJXOAUDPWUATW
        UJCXKVFXKWURWVFWVGWVHWVIXNXNXQXRVYLXUSSXSYFVUNWVRHPTQZHRQZSQVYIWVQXVISQ
        ZSQZXUTXVBVUNVYIWVQXVIWWBWWDVUNXVHHVUNVXOXVHVSOVXSHUXPVGZVXSVXTXTYBVUNV
        YLWVRXUSXVISWWMVUNXVIWWIVYJTQXUSVUNHPHVXSWWJVXSVXTYHVUNWWIPVYJTWWLWHUXQ
        XFVUNWWTVVMXVHSQZXBRQZSQZVYIXVMWWSRQZSQZXVBXVKVUNVYHXVMSQZWXERQZXVRWXGR
        QZXVOXVQVUNWXEWXGXVRRWXMVTVUNWXNXVMVSOZWXQWXSXVOXVSVNWXTVUNVVMXVHWWCXVL
        YKZWYBWYCVYHXVMWWSXBYLYMVUNWXNXWAWXSWXQXVQXVTVNWXTXWBWYCWYBVYHXVMXBWWSY
        LYMWNVUNVUTWWTXVAXVNSWYDVUNXVAWVOGTQZXVNVUNXVAVURVVEPTQZUAUOVYPVURPUAUO
        ZTQXWCVUNVURWYQXWDUAVVLWYQXUNPVVETQZXWDXUPVVLXUGXUBUJUKQZTQZXUGRQXUGXUG
        RQZXWGXUGRQZTQXUNXWFVVLXUGXWGXUGXUQVVLXUBVVLXUBVVLVVBVYBUXSVOZWAZXUQXUR
        YHVVLXWHPXUGRVVLVVBVSOZXWHPVNVVLVVBVYBVOZVVBUXTVGWHVVLXWIPXWJVVETVVLXUG
        XUQXURYGVVLVVEVWPPXUGXWGRQZRQXWJVWRVVLVWNXWOPRVVLVWNWYPXUBRQZUJUKQXWOVV
        LVVCXWPUJUKVVLXWMXUBVBWJZVVCXWPVNXWNVVLXUBVVLXUAXUCXUDUYAUXDZVVBUYBUYCW
        HVVLWYPXUBXUOXWKXWRYPWMVTVVLXUGXWGXUQXWLXURVVLXWGVBWJZXWQXWRVVLXUBVSOXW
        SXWQUYGXWKXUBUYDVGUYHUYEUYFXFUYIVVLWWFVVEVSOXWFXWDVNYAWYKPVVEUYJUSYRUYK
        VUNVURVVEPUAVVJWYKVVLYCUYLVUNVYPWVOXWEGTWYJVUNXWEVURUYMUEZPSQZGPSQGVUNV
        URUYQOWWFXWEXXAVNVVJYAVURPUAUYNVRVUNXWTGPSVUNGVMOXWTGVNGUYOGUYPVGWHVUNG
        GWIZUYRYRXFYRVUNXVNWVNXBGSQZTQZXBRQWVOXXCXBRQZTQXWCVUNXVMXXDXBRVUNVVMWV
        MYTTQZSQWVNVVMYTSQZTQXVMXXDVUNVVMWVMYTWWCWWGYTVSOVUNUYSVIZUYTVUNXXFXVHV
        VMSVUNXXFVVNPTQZXVHVUNVVMYTPXDQZTQVVMWWRTQXXFXXIXXJWWRVVMTXXJUJPTQZPXDQ
        UJWWRYTXXKPXDVUGYDUJPWFYAVUAYIVUBWGVUNVVMPYTWWCWWJXXHVUCVUNVVMPPWWCWWJW
        WJVUDVUEHVVNPTNYDXEVTVUNXXGXXCWVNTVUNXXGUJYTSQZGSQXXCVUNUJGYTVUNVUHXXBX
        XHVUFXBXXLGSYTUJSQXBXXLVUIYTUJUYSWFVUJVUKYDXEVTUYIWHVUNWVNXXCXBWYAVUNWX
        JGVSOXXCVSOYJXXBXBGVULUSWXJVUNYJVIZWXRVUNWVDVIZYHVUNXXEGWVOTVUNGXBXXBXX
        MXXNVUMVTYRWDXFVUNXVJXVPVYISVUNXVJXVMWYERQXVPVUNVVMHXVHHWWCVXSXVLVXSVXT
        VXTYNVUNWWSWYEXVMRWYFVTWDVTWNWNVUNVURWYQVUTUAVVJVWTVVLWYQXUFVOYQYRYSWL
        $.
    $}

    $( Lemma for ~ basel .  Since by ~ basellem8 ` F ` is bounded by two
       expressions that tend to ` _pi ^ 2 / 6 ` , ` F ` must also go to
       ` _pi ^ 2 / 6 ` by the squeeze theorem ~ climsqz .  But the series ` F `
       is exactly the partial sums of ` k ^ -u 2 ` , so it follows that this is
       also the value of the infinite sum ` sum_ k e. NN ( k ^ -u 2 ) ` .
       (Contributed by Mario Carneiro, 28-Jul-2014.) $)
    basellem9 $p |- sum_ k e. NN ( k ^ -u 2 ) = ( ( _pi ^ 2 ) / 6 ) $=
      ( cn co wtru c1 wcel cr cmul cvv vx vy vz cv c2 cneg cexp csu cpi c6 cdiv
      wceq cmpt nnuz 1zzd cfv oveq1 eqid ovex fvmpt adantl wa nnre nnne0 znegcl
      cz ax-mp a1i reexpclzd fmptd ffvelrnda eqeltrrd recnd cc0 caddc cseq cmin
      2z cli cof wf serfre feq1i sylibr csn cxp remulcl wss fconst pire resqcli
      6re 6nn redivcli snssd fss sylancr resubcl 1ex 1red 2nn nnmulcl peano2nnd
      sylan nnrecred nnex inidm off readdcl negex ovexd feqmptd offval2 3eqtr4d
      nnne0i cc recn recni climconst2 ax-resscn sylancl basellem7 ffnd fnconstg
      c3 wbr wfn syl offn eqidd ofval climmul breqtrdi eqbrtrid 3cn mul01i ofc1
      2cn eqbrtrrd cle npcand mpteq2dva w3a subdi syl3an caofdi oveq12i eqtr4di
      zrei cuz eqimss2i ofnegsub mp3an2i neg1cn eqbrtrrdi mulid1i basellem6 3ex
      3re mulid2d mulneg1 negeqd mulcl negnegd eqtr2d oveq12d eqtrd df-3 ax-1cn
      negsubd addcomi eqtri oveq1i 1cnd adddird syl5eq pnpcand basellem8 simprd
      3eqtr4rd lesub1dd 3brtr4d simpld subge0d mpbird breqtrrd climsqz2 climadd
      addid2i 3brtr3g isumclim mptru ) MAUDZUEUFZUGNZAUHUIUEUGNZUJUKNZULOUWOUWQ
      ABMBUDZUWNUGNZUMZPMUNOUOZUWMMQZUWMUWTUPZUWOULOBUWMUWSUWOMUWTUWRUWMUWNUGUQ
      UWTURZUWMUWNUGUSUTVAZOUXBVBZUWOUXFUXCUWORUXEOMRUWMUWTOBMUWSRUWTUWRMQZUWSR
      QOUXGUWRUWNUWRVCUWRVDUWNVFQZUXGUEVFQUXHVRUEVEVGZVHVIVAUXDVJVKZVLVMOCVNUWQ
      VONZVOUWTPVPZUWQVSOCFVQVTZNZFVOVTZNZCUXKVSOBMUWRCUPZUWRFUPZVQNZUXRVONZUMB
      MUXQUMUXPCOBMUXTUXQOUXGVBZUXQUXRUYAUXQOMRUWRCOMRUXLWAMRCWAOAUWTPMUNUXAUXJ
      WBMRCUXLIWCWDZVKZVMUYAUXROMRUWRFOMREMPWEZWFZMUWNWEZWFZDSVTZNZUXONZUYHNZWA
      MRFWAOUAUBMMMSRRREUYJTTUAUDZRQZUBUDZRQZVBZUYLUYNSNZRQOUYLUYNWGVAZOMRMUWQW
      EZWFZUYEDUXMNZUYHNZWAMREWAOUAUBMMMSRRRUYTVUATTUYROMUYSUYTWAUYSRWHMRUYTWAM
      UWQUWPUJUKUSWIOUWQRUWQRQOUWPUJUIWJWKWLUJWMXOWNZVHWOMUYSRUYTWPWQZOUAUBMMMV
      QRRRUYEDTTUYPUYLUYNVQNRQOUYLUYNWRVAZOMUYDUYEWAUYDRWHMRUYEWAZMPWSWIOPROWTZ
      WOMUYDRUYEWPWQZOBMPUEUWRSNZPVONZUKNRDUYAVUJUYAVUIOUEMQZUXGVUIMQVUKOXAVHUE
      UWRXBXDXCXEHVJZMTQZOXFVHZVUNMXGZXHZVUNVUNVUOXHMREVUBJWCWDZOUAUBMMMVORRRUY
      EUYITTUYPUYLUYNVONRQOUYLUYNXIVAZVUHOUAUBMMMSRRRUYGDTTUYROMUYFUYGWAUYFRWHM
      RUYGWAMUWNUEXJWIOUWNRUWNRQZOUWNUXIUUIZVHZWOMUYFRUYGWPWQVULVUNVUNVUOXHVUNV
      UNVUOXHZVUNVUNVUOXHMRFUYKKWCWDZVKZVMUUAUUBOBMUXSUXRVOUXNFTTRVUNUYAUXQUXRV
      QXKVVDOBMUXQUXRVQCFTRRVUNUYCVVDOBMRCUYBXLZOBMRFVVCXLZXMVVFXMVVEXNOVNUWQAU
      XNFUXPPTMUNUXAOVNAGFUXMNZUXNPTMUNUXAOEUYEDUXONZUYJUXMNZUYHNZVVGVNVSOVVJEV
      VHUYHNZUYKUXMNVVGOUAUBUCMVQRSEVVHUYJRVQTVUNVUQOUAUBMMMVORRRUYEDTTVURVUHVU
      LVUNVUNVUOXHZVVBUYMUYOUCUDZRQZUUCUYLUYNVVMVQNSNUYQUYLVVMSNVQNULZOUYMUYLXP
      QUYOUYNXPQVVNVVMXPQVVOUYLXQUYNXQVVMXQUYLUYNVVMUUDUUEVAUUFGVVKFUYKUXMLKUUG
      UUHOVVJUWQVNSNVNVSOUWQVNAEMYEWEZWFZDUYHNZVVJPTMUNUXAOEVUBUWQVSJOVUBUWQPSN
      ZUWQVSOUWQPAUYTVUAVUBPTMUNUXAOUWQXPQPVFQZUYTUWQVSYFUWQVUCXRZUXAUWQPMMPUUJ
      UPUNUUKZXFXSWQOUYTVUAUYHXKOVUAUYEMPUFZWEWFDUYHNUXONZPVSVUMOMXPUYEWAZMXPDW
      AZVWDVUAULXFOVUFRXPWHZVWEVUHXTMRXPUYEWPYAOMRDWAVWGVWFVULXTMRXPDWPYAMUYEDT
      UULUUMVWCBDHUUNYBUUOUXFUWMUYTUPZOMRUWMUYTVUDVKVMUXFUWMVUAUPZOMRUWMVUAVUPV
      KVMOMMVWHVWISMUYTVUATTUWMOMRUYTVUDYCOMMVQMUYEDTTOVVTUYEMYGUXAMPVFYDYHZOMR
      DVULYCZVUNVUNVUOYIVUNVUNVUOUXFVWHYJUXFVWIYJYKYLUWQVWAUUPZYMYNZOEVVIUYHXKO
      VVRYEVNSNVNVSOYEVNAVVQDVVRPTMUNUXAOYEXPQVVTVVQYEVSYFYOUXAYEPMVWBXFXSWQOVV
      QDUYHXKDVNVSYFOBDHUUQVHUXFUWMVVQUPZOMRUWMVVQOMVVPVVQWAVVPRWHMRVVQWAMYEUUR
      WIOYERYERQOUUSVHZWOMVVPRVVQWPWQZVKVMUXFUWMDUPZOMRUWMDVULVKZVMZOMMVWNVWQSM
      VVQDTTUWMOMRVVQVWPYCVWKVUNVUNVUOUXFVWNYJUXFVWQYJZYKYLYEYOYPYMUXFUWMEUPZOM
      RUWMEVUQVKVMZUXFUWMVVRUPZOMRUWMVVROUAUBMMMSRRRVVQDTTUYRVWPVULVUNVUNVUOXHV
      KVMOMMVXAVXCSMEVVITTUWMOMREVUQYCZOMRVVIOUAUBMMMVQRRRVVHUYJTTVUEVVLVVBVUNV
      UNVUOXHYCVUNVUNVUOUXFVXAYJZUXFPVWQVONZPUWNVWQSNZVONZVQNZYEVWQSNZUWMVVIUPV
      XCUXFPVWQSNZUEVWQSNZVONZVWQVXGVQNZVXJVXIUXFVXMVWQVXGUFZVONVXNUXFVXKVWQVXL
      VXOVOUXFVWQVWSUUTUXFVXOVXLUFZUFVXLUXFVXGVXPUXFUEXPQZVWQXPQZVXGVXPULYRVWSU
      EVWQUVAWQUVBUXFVXLUXFVXQVXRVXLXPQYRVWSUEVWQUVCWQUVDUVEUVFUXFVWQVXGVWSUXFV
      XGUXFVUSVWQRQVXGRQVUTVWRUWNVWQWGWQVMZUVJUVGUXFVXJPUEVONZVWQSNVXMYEVXTVWQS
      YEUEPVONVXTUVHUEPYRUVIUVKUVLUVMUXFPUEVWQUXFUVNZVXQUXFYRVHVWSUVOUVPUXFPVWQ
      VXGVYAVWSVXSUVQUVTOMMVXFVXHVQMVVHUYJTTUWMOMMVOMUYEDTTVWJVWKVUNVUNVUOYIOMM
      VOMUYEUYITTVWJOMMSMUYGDTTOUXHUYGMYGUXHOUXIVHMUWNVFYDYHVWKVUNVUNVUOYIZVUNV
      UNVUOYIZVUNVUNVUOOMPVWQVODTRUWMVUNVUGVWKVWTYQOMPVXGVOUYITRUWMVUNVUGVYBOMU
      WNVWQSDTRUWMVUNVVAVWKVWTYQYQYKOMYEVWQSDTRUWMVUNVWOVWKVWTYQXNYKYLUWQVWAYPY
      MYSOCFUXMXKOMRUWMVVGOUAUBMMMVQRRRGFTTVUEOMRVVKWAMRGWAOUAUBMMMSRRREVVHTTUY
      RVUQVVLVUNVUNVUOXHMRGVVKLWCWDZVVCVUNVUNVUOXHVKOMRUWMUXNOUAUBMMMVQRRRCFTTV
      UEUYBVVCVUNVUNVUOXHZVKZUXFUWMCUPZUWMFUPZVQNZUWMGUPZVYHVQNUWMUXNUPZUWMVVGU
      PYTUXFVYGVYJVYHOMRUWMCUYBVKZOMRUWMGVYDVKOMRUWMFVVCVKZUXFVYHVYGYTYFZVYGVYJ
      YTYFZUXBVYNVYOVBOBCDEFGUWMUEUWMSNPVONZHIJKLVYPURUVRVAZUVSUWAOMMVYGVYHVQMC
      FTTUWMOMRCUYBYCOMRFVVCYCZVUNVUNVUOUXFVYGYJUXFVYHYJZYKZOMMVYJVYHVQMGFTTUWM
      OMRGVYDYCVYRVUNVUNVUOUXFVYJYJVYSYKUWBUXFVNVYIVYKYTUXFVNVYIYTYFVYNUXFVYNVY
      OVYQUWCUXFVYGVYHVYLVYMUWDUWEVYTUWFUWGOUXNFUXOXKOFUYKUWQVSKOUYKVVSUWQVSOUW
      QPAEUYJUYKPTMUNUXAVWMOEUYJUYHXKUYJPVSYFOUWNBDHUWNVUTXRYBVHVXBUXFUWMUYJUPZ
      OMRUWMUYJVVBVKVMOMMVXAWUASMEUYJTTUWMVXDVYCVUNVUNVUOVXEUXFWUAYJYKYLVWLYMYN
      UXFVYKVYFVMUXFVYHVYMVMOMMVYKVYHVOMUXNFTTUWMOMRUXNVYEYCVYRVUNVUNVUOUXFVYKY
      JVYSYKUWHYSIUWQVWAUWIUWJUWKUWL $.
  $}

  ${
    $d k m n $.
    $( The sum of the inverse squares is ` _pi ^ 2 / 6 ` .  This is commonly
       known as the Basel problem, with the first known proof attributed to
       Euler.  See ~ http://en.wikipedia.org/wiki/Basel_problem .  This
       particular proof approach is due to Cauchy (1821).  This is Metamath 100
       proof #14.  (Contributed by Mario Carneiro, 30-Jul-2014.) $)
    basel $p |- sum_ k e. NN ( k ^ -u 2 ) = ( ( _pi ^ 2 ) / 6 ) $=
      ( vn vm caddc cn cv c2 cexp co cmpt c1 cseq cmul cdiv csn cxp cof cbvmptv
      wceq eqid cneg cpi cmin oveq2 oveq1d oveq2d oveq1 seqeq3 ax-mp basellem9
      c6 ) ABDCECFZGUAZHIZJZKLZCEKGULMIZKDIZNIZJZEUBGHIUKNIOPEKOPZUTUCQIMQZIZVC
      VAEUMOPUTVBIDQZIVBIZVCVAUTVDIVBIZCBEUSKGBFZMIZKDIZNIULVGSZURVIKNVJUQVHKDU
      LVGGMUDUEUFRUOBEVGUMHIZJZSUPDVLKLSCBEUNVKULVGUMHUGRDUOVLKUHUIVCTVETVFTUJ
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Number-theoretical functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c theta $.
  $c Lam $.
  $c psi $.
  $c ppi $.
  $c mmu $.
  $c sigma $.

  $( Extend class notation with the first Chebyshev function. $)
  ccht $a class theta $.

  $( Extend class notation with the von Mangoldt function. $)
  cvma $a class Lam $.

  $( Extend class notation with the second Chebyshev function. $)
  cchp $a class psi $.

  $( Extend class notation with the prime-counting function pi. $)
  cppi $a class ppi $.

  $( Extend class notation with the M&ouml;bius function. $)
  cmu $a class mmu $.

  $( Extend class notation with the divisor function. $)
  csgm $a class sigma $.

  ${
    $d k n p s x $.
    $( Define the first Chebyshev function, which adds up the logarithms of all
       primes less than ` x ` , see definition in [ApostolNT] p. 75.  The
       symbol used to represent this function is sometimes the variant greek
       letter theta shown here and sometimes the greek letter psi, &psi;;
       however, this notation can also refer to the second Chebyshev function,
       which adds up the logarithms of prime powers instead, see ~ df-chp .
       See ~ https://en.wikipedia.org/wiki/Chebyshev_function for a discussion
       of the two functions.  (Contributed by Mario Carneiro, 15-Sep-2014.) $)
    df-cht $a |- theta = ( x e. RR |->
      sum_ p e. ( ( 0 [,] x ) i^i Prime ) ( log ` p ) ) $.

    $( Define the von Mangoldt function, which gives the logarithm of the prime
       at a prime power, and is zero elsewhere, see definition in [ApostolNT]
       p. 32.  (Contributed by Mario Carneiro, 7-Apr-2016.) $)
    df-vma $a |- Lam = ( x e. NN |-> [_ { p e. Prime | p || x } / s ]_
      if ( ( # ` s ) = 1 , ( log ` U. s ) , 0 ) ) $.

    $( Define the second Chebyshev function, which adds up the logarithms of
       the primes corresponding to the prime powers less than ` x ` , see
       definition in [ApostolNT] p. 75.  (Contributed by Mario Carneiro,
       7-Apr-2016.) $)
    df-chp $a |- psi = ( x e. RR |->
      sum_ n e. ( 1 ... ( |_ ` x ) ) ( Lam ` n ) ) $.

    $( Define the prime &pi; function, which counts the number of primes less
       than or equal to ` x ` , see definition in [ApostolNT] p. 8.
       (Contributed by Mario Carneiro, 15-Sep-2014.) $)
    df-ppi $a |- ppi = ( x e. RR |-> ( # ` ( ( 0 [,] x ) i^i Prime ) ) ) $.

    $( Define the M&ouml;bius function, which is zero for non-squarefree
       numbers and is ` -u 1 ` or ` 1 ` for squarefree numbers according as to
       the number of prime divisors of the number is even or odd, see
       definition in [ApostolNT] p. 24.  (Contributed by Mario Carneiro,
       22-Sep-2014.) $)
    df-mu $a |- mmu = ( x e. NN |-> if ( E. p e. Prime ( p ^ 2 ) || x , 0 ,
      ( -u 1 ^ ( # ` { p e. Prime | p || x } ) ) ) ) $.

    $( Define the sum of positive divisors function ` ( x sigma n ) ` , which
       is the sum of the xth powers of the positive integer divisors of n, see
       definition in [ApostolNT] p. 38.  For ` x = 0 ` , ` ( x sigma n ) `
       counts the number of divisors of ` n ` , i.e. ` ( 0 sigma n ) ` is _the_
       divisor function, see remark in [ApostolNT] p. 38.  (Contributed by
       Mario Carneiro, 22-Sep-2014.) $)
    df-sgm $a |- sigma = ( x e. CC , n e. NN |->
       sum_ k e. { p e. NN | p || n } ( k ^c x ) ) $.
  $}

  ${
    $d k x y z A $.  $d x y z B $.  $d k y z ph $.
    efnnfsumcl.1 $e |- ( ph -> A e. Fin ) $.
    efnnfsumcl.2 $e |- ( ( ph /\ k e. A ) -> B e. RR ) $.
    efnnfsumcl.3 $e |- ( ( ph /\ k e. A ) -> ( exp ` B ) e. NN ) $.
    $( Finite sum closure in the log-integers.  (Contributed by Mario Carneiro,
       7-Apr-2016.) $)
    efnnfsumcl $p |- ( ph -> ( exp ` sum_ k e. A B ) e. NN ) $=
      ( vx cv ce cfv cn wcel cr cc wa wceq fveq2 eleq1d cc0 csu crab wss ssrab2
      vy vz ax-resscn sstri a1i caddc co elrab simpll readdcld cmul recnd efadd
      simprl syl2anc nnmulcl ad2ant2l eqeltrd elrabd syl2anb adantl 0re 1nn ef0
      c1 eqtrdi mpbir2an fsumcllem simprbi syl ) ABCDUAZHIZJKZLMZHNUBZMZVOJKZLM
      ZAUEUFBCVSDVSOUCAVSNOVRHNUDUGUHUIUEIZVSMZUFIZVSMZPWCWEUJUKZVSMZAWDWCNMZWC
      JKZLMZPZWENMZWEJKZLMZPZWHWFVRWKHWCNVPWCQVQWJLVPWCJRSULVRWOHWENVPWEQVQWNLV
      PWEJRSULWLWPPZVRWGJKZLMHWGNVPWGQVQWRLVPWGJRSWQWCWEWIWKWPUMZWLWMWOURZUNWQW
      RWJWNUOUKZLWQWCOMWEOMWRXAQWQWCWSUPWQWEWTUPWCWEUQUSWKWOXALMWIWMWJWNUTVAVBV
      CVDVEEADIBMPVRCJKZLMHCNVPCQVQXBLVPCJRSFGVCTVSMZAXCTNMVILMZVFVGVRXDHTNVPTQ
      ZVQVILXEVQTJKVIVPTJRVHVJSULVKUIVLVTVONMWBVRWBHVONVPVOQVQWALVPVOJRSULVMVN
      $.
  $}

  ${
    $d k n p q s x y z A $.  $d p K $.  $d p x M $.  $d p N $.  $d s x S $.
    $d k n p x y z B $.  $d p P $.
    $( The set of primes less than ` A ` expressed using a finite set of
       integers.  (Contributed by Mario Carneiro, 22-Sep-2014.) $)
    ppisval $p |- ( A e. RR ->
      ( ( 0 [,] A ) i^i Prime ) = ( ( 2 ... ( |_ ` A ) ) i^i Prime ) ) $=
      ( vx cr wcel cc0 cicc co cprime cin c2 cfv cuz syl cz cle wbr 0re sylancr
      wb mpbid cfl cfz cv simpr elin2d prmuz2 prmz flcl adantr w3a elin1d simpl
      wa elicc2 simp3d flge syldan eluz2 syl3anbrc elfzuzb sylanbrc elind ssrdv
      ex wceq 2z fzval2 inss1 wss a1i id 0le2 flle iccss syl22anc sstrid ssrind
      eqsstrd eqssd ) ACDZEAFGZHIZJAUAKZUBGZHIZVTBWBWEVTBUCZWBDZWFWEDVTWGUMZWDH
      WFWHWFJLKDZWCWFLKDZWFWDDWHWFHDZWIWHWAHWFVTWGUDZUEZWFUFMWHWFNDZWCNDZWFWCOP
      ZWJWHWKWNWMWFUGMZVTWOWGAUHZUIWHWFAOPZWPWHWFCDZEWFOPZWSWHWFWADZWTXAWSUJZWH
      WAHWFWLUKWHECDZVTXBXCSQVTWGULEAWFUNRTUOVTWGWNWSWPSWQAWFUPUQTWFWCURUSWFJWC
      UTVAWMVBVDVCVTWDWAHVTWDJWCFGZNIZWAVTJNDWOWDXFVEVFWRJWCVGRVTXFXEWAXENVHVTX
      DVTEJOPZWCAOPXEWAVIXDVTQVJVTVKXGVTVLVJAVMEAJWCVNVOVPVRVQVS $.

    $( The set of primes less than ` A ` expressed using a finite set of
       integers.  (Contributed by Mario Carneiro, 22-Sep-2014.) $)
    ppisval2 $p |- ( ( A e. RR /\ 2 e. ( ZZ>= ` M ) ) ->
      ( ( 0 [,] A ) i^i Prime ) = ( ( M ... ( |_ ` A ) ) i^i Prime ) ) $=
      ( vx cr wcel c2 cuz cfv wa cc0 cicc co cprime cin cfl wceq ppisval adantr
      cfz syl wss fzss1 adantl ssrind cv simpr elin sylib simprd prmuz2 elfzuz3
      simpld elfzuzb sylanbrc elind eqelssd eqtrd ) ADEZFBGHEZIZJAKLMNZFAOHZSLZ
      MNZBVBSLZMNZURVAVDPUSAQRUTCVDVFUTVCVEMUSVCVEUAURFBVBUBUCUDUTCUEZVFEZIZVCM
      VGVIVGFGHEZVBVGGHEZVGVCEVIVGMEZVJVIVGVEEZVLVIVHVMVLIUTVHUFVGVEMUGUHZUIZVG
      UJTVIVMVKVIVMVLVNULVGBVBUKTVGFVBUMUNVOUOUPUQ $.

    $( The set of primes less than ` A ` is a finite set.  (Contributed by
       Mario Carneiro, 15-Sep-2014.) $)
    ppifi $p |- ( A e. RR -> ( ( 0 [,] A ) i^i Prime ) e. Fin ) $=
      ( cr wcel cc0 cicc co cprime cin c2 cfl cfv cfz cfn ppisval wss fzfi ssfi
      inss1 mp2an eqeltrdi ) ABCDAEFGHIAJKZLFZGHZMANUBMCUCUBOUCMCIUAPUBGRUBUCQS
      T $.

    $( The set of prime divisors of a number is a finite set.  (Contributed by
       Mario Carneiro, 7-Apr-2016.) $)
    prmdvdsfi $p |- ( A e. NN -> { p e. Prime | p || A } e. Fin ) $=
      ( cn wcel c1 cfz co cfn cv cdvds wbr cprime crab wss prmssnn rabss2 ax-mp
      fzfi dvdsssfz1 sstrid ssfi sylancr ) ACDZEAFGZHDBIAJKZBLMZUDNUFHDEARUCUFU
      EBCMZUDLCNUFUGNOUEBLCPQABSTUDUFUAUB $.

    $( Domain and range of the Chebyshev function.  (Contributed by Mario
       Carneiro, 15-Sep-2014.) $)
    chtf $p |- theta : RR --> RR $=
      ( vx vp cr cc0 cv cicc co cprime cin clog cfv csu ccht df-cht ppifi wa cn
      wcel simpr elin2d prmnn syl nnrpd relogcld fsumrecl fmpti ) ACCDAEZFGZHIZ
      BEZJKZBLMABNUGCRZUIUKBUGOULUJUIRZPZUJUNUJUNUJHRUJQRUNUHHUJULUMSTUJUAUBUCU
      DUEUF $.

    $( Real closure of the Chebyshev function.  (Contributed by Mario Carneiro,
       15-Sep-2014.) $)
    chtcl $p |- ( A e. RR -> ( theta ` A ) e. RR ) $=
      ( cr ccht chtf ffvelrni ) BBACDE $.

    $( Value of the Chebyshev function.  (Contributed by Mario Carneiro,
       15-Sep-2014.) $)
    chtval $p |- ( A e. RR -> ( theta ` A ) =
      sum_ p e. ( ( 0 [,] A ) i^i Prime ) ( log ` p ) ) $=
      ( vx cc0 cv cicc co cprime cin clog cfv cr ccht wceq oveq2 ineq1d sumeq1d
      csu df-cht sumex fvmpt ) CADCEZFGZHIZBEJKZBRDAFGZHIZUEBRLMUBANZUDUGUEBUHU
      CUFHUBADFOPQCBSUGUEBTUA $.

    $( The Chebyshev function is closed in the log-integers.  (Contributed by
       Mario Carneiro, 22-Sep-2014.)  (Revised by Mario Carneiro,
       7-Apr-2016.) $)
    efchtcl $p |- ( A e. RR -> ( exp ` ( theta ` A ) ) e. NN ) $=
      ( vp cr wcel ccht cfv ce cc0 cicc co cprime cin cv clog csu chtval fveq2d
      cn ppifi eqeltrd wa simpr elin2d prmnn nnrpd relogcld reeflogd efnnfsumcl
      syl ) ACDZAEFZGFHAIJZKLZBMZNFZBOZGFRUJUKUPGABPQUJUMUOBASUJUNUMDZUAZUNURUN
      URUNKDUNRDURULKUNUJUQUBUCUNUDUIZUEZUFURUOGFUNRURUNUTUGUSTUHT $.

    $( The Chebyshev function is always positive.  (Contributed by Mario
       Carneiro, 15-Sep-2014.) $)
    chtge0 $p |- ( A e. RR -> 0 <_ ( theta ` A ) ) $=
      ( vp cr wcel cc0 cicc co cprime cin cv clog cfv csu ccht cle ppifi wa clt
      cn c1 wbr cuz simpr elin2d prmuz2 syl eluz2b2 sylib simpld nnrpd relogcld
      c2 nnred simprd rplogcld rpge0d fsumge0 chtval breqtrrd ) ACDZEEAFGZHIZBJ
      ZKLZBMANLOUTVBVDBAPUTVCVBDZQZVCVFVCVFVCSDZTVCRUAZVFVCULUBLDZVGVHQVFVCHDVI
      VFVAHVCUTVEUCUDVCUEUFVCUGUHZUIZUJUKVFVDVFVCVFVCVKUMVFVGVHVJUNUOUPUQABURUS
      $.

    ${
      vmaval.1 $e |- S = { p e. Prime | p || A } $.
      $( Value of the von Mangoldt function.  (Contributed by Mario Carneiro,
         7-Apr-2016.) $)
      vmaval $p |- ( A e. NN ->
        ( Lam ` A ) = if ( ( # ` S ) = 1 , ( log ` U. S ) , 0 ) ) $=
        ( vx vs cv cdvds wbr cprime crab chash cfv wceq cuni clog cc0 cif cvv
        c1 csb cn cvma wcel prmex rabex a1i wa breq2 rabbidv sylan9eqr fveqeq2d
        id eqtr4di unieqd fveq2d ifbieq1d csbied df-vma fvex c0ex ifex fvmpt )
        EAFCGZEGZHIZCJKZFGZLMTNZVHOZPMZQRZUABLMTNZBOZPMZQRZUBUCVEANZFVGVLVPSVGS
        UDVQVFCJUEUFUGVQVHVGNZUHZVIVMVKVOQVSVHBTLVRVQVHVGBVRUMVQVGVDAHIZCJKBVQV
        FVTCJVEAVDHUIUJDUNUKZULVSVJVNPVSVHBWAUOUPUQUREFCUSVMVOQVNPUTVAVBVC $.
    $}

    $( Two ways to say that ` A ` is a prime power.  (Contributed by Mario
       Carneiro, 7-Apr-2016.) $)
    isppw $p |- ( A e. NN ->
      ( ( Lam ` A ) =/= 0 <-> E! p e. Prime p || A ) ) $=
      ( cn wcel cvma cfv cc0 wne cv wbr cprime chash c1 wceq c1o cfn wb cvv syl
      c2 cdvds crab cuni clog cif wreu vmaval neeq1d cen reuen1 wa hash1 eqeq2i
      eqid prmdvdsfi com 1onn nnfi ax-mp hashen sylancl bitr3id biimpar iftrued
      cuz csn wss simpr en1b sylib ssrab2 eqsstrrdi uniexd adantr mpbird prmuz2
      cr snssg eluzelre clt eluz2gt1 rplogcld rpne0d eqnetrd ex necon1ai syl5ib
      iffalse impbid syl5bb bitr4d ) ACDZAEFZGHBIAUAJZBKUBZLFZMNZWOUCZUDFZGUEZG
      HZWNBKUFZWLWMWTGAWOBWOUNUGUHXBWOOUIJZWLXAWNBKUJWLXCXAWLXCXAWLXCUKZWTWSGXD
      WQWSGWLWQXCWQWPOLFZNZWLXCXEMWPULUMWLWOPDOPDZXFXCQABUOZOUPDXGUQOURUSWOOUTV
      AVBZVCVDXDWSXDWRXDWRTVEFDZWRVQDXDWRKDZXJXDXKWRVFZKVGZXDXLWOKXDXCWOXLNWLXC
      VHWOVIVJWNBKVKVLXDWRRDZXKXMQWLXNXCWLWOPXHVMVNWRKRVRSVOWRVPSZTWRVSSXDXJMWR
      VTJXOWRWASWBWCWDWEXAWQWLXCWQWTGWQWSGWHWFXIWGWIWJWK $.

    $( Two ways to say that ` A ` is a prime power.  (Contributed by Mario
       Carneiro, 7-Apr-2016.) $)
    isppw2 $p |- ( A e. NN ->
      ( ( Lam ` A ) =/= 0 <-> E. p e. Prime E. k e. NN A = ( p ^ k ) ) ) $=
      ( vq cn wcel cc0 cv cdvds wbr cprime cexp co wceq wrex cpc syl2anc mpbird
      wb wa cvma cfv wreu isppw wral equid breq1 equequ1 bibi12d rspcva adantll
      wne reu6 mpbiri simplr simpll pcelnn simpr oveq1d simpllr cn0 pccl ancoms
      cz ad2antrr nn0zd pcid eqtr4d simprr notbid biimpar simplrl simplll pceq0
      wn wi simprl adantr prmdvdsexpr syl3anc con3dimp prmnn nnexpcld pm2.61dan
      adantl expr ralimdva imp nnnn0 nnnn0d oveq2 rspceeqv ex prmdvdsexpb 3coml
      3expa ralrimiva breq2 bibi1d ralbidv syl5ibrcom rexlimdva impbid rexbidva
      pc11 syl5bb bitrd ) AEFZAUAUBGULDHZAIJZDKUCZACHZBHZLMZNZBEOZCKOZADUDXKXJX
      IXLNZSZDKUEZCKOXHXQXJDCKUMXHXTXPCKXHXLKFZTZXTXPYBXTXPYBXTTZXLAPMZEFZAXLYD
      LMZNZXPYCYEXLAIJZYCYHXLXLNZCUFYAXTYHYISZXHXSYJDXLKXRXJYHXRYIXIXLAIUGDCCUH
      UIUJUKUNYCYAXHYEYHSXHYAXTUOXHYAXTUPXLAUQQRYCYGXIAPMZXIYFPMZNZDKUEZYBXTYNY
      BXSYMDKYBXIKFZXSYMYBYOXSTZTZXRYMYQXRTZYKXLYFPMZYLYRYKYDYSYRXIXLAPYQXRURZU
      SYRYAYDVDFYSYDNXHYAYPXRUTYRYDYBYDVAFZYPXRYAXHUUAXLAVBVCZVEVFYDXLVGQVHYRXI
      XLYFPYTUSVHYQXRVOZTZYKGYLUUDYKGNZXJVOZYQUUFUUCYQXJXRYBYOXSVIVJVKUUDYOXHUU
      EUUFSYBYOXSUUCVLZXHYAYPUUCVMXIAVNQRUUDYLGNZXIYFIJZVOZYQUUIXRYQYOYAUUAUUIX
      RVPYBYOXSVQXHYAYPUOYBUUAYPUUBVRXIXLYDVSVTWAUUDYOYFEFZUUHUUJSUUGYBUUKYPUUC
      YBXLYDYAXLEFXHXLWBWEUUBWCZVEXIYFVNQRVHWDWFWGWHYCAVAFZYFVAFYGYNSXHUUMYAXTA
      WIVEYCYFYBUUKXTUULVRWJAYFDXEQRBYDEXNYFAXMYDXLLWKWLQWMYBXOXTBEYBXMEFZTXTXO
      XIXNIJZXRSZDKUEZYAUUNUUQXHYAUUNTUUPDKYAUUNYOUUPYOYAUUNUUPXIXLXMWNWOWPWQUK
      XOXSUUPDKXOXJUUOXRAXNXIIWRWSWTXAXBXCXDXFXG $.

    $( Value of the von Mangoldt function at a prime power.  (Contributed by
       Mario Carneiro, 7-Apr-2016.) $)
    vmappw $p |- ( ( P e. Prime /\ K e. NN ) ->
      ( Lam ` ( P ^ K ) ) = ( log ` P ) ) $=
      ( vp cprime wcel cn wa cexp cfv cdvds wbr chash wceq cuni clog cc0 fveq2d
      c1 adantr eqtrd co cvma cv crab cif cn0 prmnn nnnn0 nnexpcl syl2an vmaval
      syl csn cab df-rab wi w3a prmdvdsexpb biimpd 3coml 3expa expimpd simpl cz
      eqid prmz iddvdsexp sylan jca eleq1 breq1 anbi12d syl5ibrcom impbid velsn
      bitr4di abbi1dv syl5eq hashsng iftrued unieqd unisng 3eqtrd ) ADEZBFEZGZA
      BHUAZUBIZCUCZWGJKZCDUDZLIZRMZWKNZOIZPUEZWOAOIWFWGFEZWHWPMWDAFEBUFEWQWEAUG
      BUHABUIUJWGWKCWKVEUKULWFWMWOPWFWLAUMZLIZRWFWKWRLWFWKWIDEZWJGZCUNWRWJCDUOW
      FXACWRWFXAWIAMZWIWREWFXAXBWFWTWJXBWDWEWTWJXBUPZWTWDWEXCWTWDWEUQWJXBWIABUR
      USUTVAVBWFXAXBWDAWGJKZGWFWDXDWDWEVCWDAVDEWEXDAVFABVGVHVIXBWTWDWJXDWIADVJW
      IAWGJVKVLVMVNCAVOVPVQVRZQWDWSRMWEADVSSTVTWFWNAOWFWNWRNZAWFWKWRXEWAWDXFAMW
      EADWBSTQWC $.

    $( Value of the von Mangoldt function at a prime.  (Contributed by Mario
       Carneiro, 7-Apr-2016.) $)
    vmaprm $p |- ( P e. Prime -> ( Lam ` P ) = ( log ` P ) ) $=
      ( cprime wcel c1 cexp co cvma cfv clog prmnn nncnd exp1d fveq2d cn vmappw
      wceq 1nn mpan2 eqtr3d ) ABCZADEFZGHZAGHAIHZTUAAGTATAAJKLMTDNCUBUCPQADORS
      $.

    $( Closure for the von Mangoldt function.  (Contributed by Mario Carneiro,
       7-Apr-2016.) $)
    vmacl $p |- ( A e. NN -> ( Lam ` A ) e. RR ) $=
      ( vp vk cn wcel cvma cfv cr cc0 eleq1 wne cv cexp wceq wrex cprime isppw2
      co wa clog vmappw prmnn nnrpd relogcld eqeltrd fveq2 syl5ibrcom rexlimivv
      adantr eleq1d syl6bi imp 0red pm2.61ne ) ADEZAFGZHEZIHEUPIUPIHJUOUPIKZUQU
      OURABLZCLZMRZNZCDOBPOUQACBQVBUQBCPDUSPEZUTDEZSZUQVBVAFGZHEVEVFUSTGZHUSUTU
      AVCVGHEVDVCUSVCUSUSUBUCUDUIUEVBUPVFHAVAFUFUJUGUHUKULUOUMUN $.

    $( Functionality of the von Mangoldt function.  (Contributed by Mario
       Carneiro, 7-Apr-2016.) $)
    vmaf $p |- Lam : NN --> RR $=
      ( vx vn vs vp cn cr cvma wf wtru cv wbr cprime cfv wceq clog cc0 cvv wcel
      cdvds a1i crab chash c1 cuni cif csb wa fvex c0ex ifex csbex df-vma vmacl
      cmpt adantl fmpt2d mptru ) EFGHIABECDJAJZSKDLUAZCJZUBMUCNZUTUDZOMZPUEZUFZ
      FGQVEQRIURERUGCUSVDVAVCPVBOUHUIUJUKTGAEVEUNNIACDULTBJZERVFGMFRIVFUMUOUPUQ
      $.

    $( The von Mangoldt is closed in the log-integers.  (Contributed by Mario
       Carneiro, 7-Apr-2016.) $)
    efvmacl $p |- ( A e. NN -> ( exp ` ( Lam ` A ) ) e. NN ) $=
      ( vp vk cn wcel cvma cfv ce c1 cc0 wceq fveq2 ef0 eqtrdi eleq1d cv cprime
      wrex fveq2d eqeltrd wne cexp co isppw2 vmappw prmnn nnrpd reeflogd adantr
      wa clog syl5ibrcom rexlimivv syl6bi imp 1nn a1i pm2.61ne ) ADEZAFGZHGZDEZ
      IDEZUTJUTJKZVAIDVDVAJHGIUTJHLMNOUSUTJUAZVBUSVEABPZCPZUBUCZKZCDRBQRVBACBUD
      VIVBBCQDVFQEZVGDEZUJZVBVIVHFGZHGZDEVLVNVFUKGZHGZDVLVMVOHVFVGUESVJVPDEVKVJ
      VPVFDVJVFVJVFVFUFZUGUHVQTUITVIVAVNDVIUTVMHAVHFLSOULUMUNUOVCUSUPUQUR $.

    $( The von Mangoldt function is nonnegative.  (Contributed by Mario
       Carneiro, 7-Apr-2016.) $)
    vmage0 $p |- ( A e. NN -> 0 <_ ( Lam ` A ) ) $=
      ( cn wcel cc0 cvma cfv cle wbr ce c1 ef0 efvmacl nnge1d eqbrtrid cr vmacl
      wb 0re efle sylancr mpbird ) ABCZDAEFZGHZDIFZUCIFZGHZUBUEJUFGKUBUFALMNUBD
      OCUCOCUDUGQRAPDUCSTUA $.

    $( Value of the second Chebyshev function, or summary von Mangoldt
       function.  (Contributed by Mario Carneiro, 7-Apr-2016.) $)
    chpval $p |- ( A e. RR ->
      ( psi ` A ) = sum_ n e. ( 1 ... ( |_ ` A ) ) ( Lam ` n ) ) $=
      ( vx c1 cv cfl cfv cfz co cvma csu cr cchp wceq fveq2 oveq2d df-chp sumex
      sumeq1d fvmpt ) CADCEZFGZHIZBEJGZBKDAFGZHIZUDBKLMUAANZUCUFUDBUGUBUEDHUAAF
      OPSCBQUFUDBRT $.

    $( Functionality of the second Chebyshev function.  (Contributed by Mario
       Carneiro, 7-Apr-2016.) $)
    chpf $p |- psi : RR --> RR $=
      ( vx vn cr c1 cv cfl cfv cfz co cvma csu cchp df-chp wcel fzfid wa elfznn
      cn adantl vmacl syl fsumrecl fmpti ) ACCDAEZFGZHIZBEZJGZBKLABMUDCNZUFUHBU
      IDUEOUIUGUFNZPUGRNZUHCNUJUKUIUGUEQSUGTUAUBUC $.

    $( Closure for the second Chebyshev function.  (Contributed by Mario
       Carneiro, 7-Apr-2016.) $)
    chpcl $p |- ( A e. RR -> ( psi ` A ) e. RR ) $=
      ( cr cchp chpf ffvelrni ) BBACDE $.

    $( The second Chebyshev function is closed in the log-integers.
       (Contributed by Mario Carneiro, 7-Apr-2016.) $)
    efchpcl $p |- ( A e. RR -> ( exp ` ( psi ` A ) ) e. NN ) $=
      ( vn cr wcel cchp cfv ce c1 cfl cfz co cv cvma csu cn chpval fveq2d fzfid
      wa syl elfznn adantl vmacl efvmacl efnnfsumcl eqeltrd ) ACDZAEFZGFHAIFZJK
      ZBLZMFZBNZGFOUGUHUMGABPQUGUJULBUGHUIRUGUKUJDZSZUKODZULCDUNUPUGUKUIUAUBZUK
      UCTUOUPULGFODUQUKUDTUEUF $.

    $( The second Chebyshev function is nonnegative.  (Contributed by Mario
       Carneiro, 7-Apr-2016.) $)
    chpge0 $p |- ( A e. RR -> 0 <_ ( psi ` A ) ) $=
      ( cr wcel cc0 cchp cfv cle wbr ce c1 ef0 efchpcl nnge1d eqbrtrid wb chpcl
      0re efle sylancr mpbird ) ABCZDAEFZGHZDIFZUBIFZGHZUAUDJUEGKUAUEALMNUADBCU
      BBCUCUFOQAPDUBRST $.

    $( Value of the prime-counting function pi.  (Contributed by Mario
       Carneiro, 15-Sep-2014.) $)
    ppival $p |- ( A e. RR ->
      ( ppi ` A ) = ( # ` ( ( 0 [,] A ) i^i Prime ) ) ) $=
      ( vx cc0 cv cicc co cprime cin chash cfv cr cppi wceq oveq2 ineq1d fveq2d
      df-ppi fvex fvmpt ) BACBDZEFZGHZIJCAEFZGHZIJKLTAMZUBUDIUEUAUCGTACENOPBQUD
      IRS $.

    $( Value of the prime-counting function pi.  (Contributed by Mario
       Carneiro, 18-Sep-2014.) $)
    ppival2 $p |- ( A e. ZZ ->
      ( ppi ` A ) = ( # ` ( ( 2 ... A ) i^i Prime ) ) ) $=
      ( cz wcel cppi cfv cc0 cicc co cprime cin chash c2 cfz cr wceq zre ppival
      syl cfl eqtrd ppisval flid oveq2d ineq1d fveq2d ) ABCZADEZFAGHIJZKEZLAMHZ
      IJZKEUFANCZUGUIOAPZAQRUFUHUKKUFUHLASEZMHZIJZUKUFULUHUPOUMAUARUFUOUJIUFUNA
      LMAUBUCUDTUET $.

    $( Value of the prime-counting function pi.  (Contributed by Mario
       Carneiro, 22-Sep-2014.) $)
    ppival2g $p |- ( ( A e. ZZ /\ 2 e. ( ZZ>= ` M ) ) ->
      ( ppi ` A ) = ( # ` ( ( M ... A ) i^i Prime ) ) ) $=
      ( cz wcel c2 cuz cfv wa cppi cc0 cicc co cprime cin chash cfz wceq adantr
      cr eqtrd zre ppival syl cfl ppisval2 sylan flid oveq2d ineq1d fveq2d ) AC
      DZEBFGDZHZAIGZJAKLMNZOGZBAPLZMNZOGUMASDZUNUPQUKUSULAUAZRAUBUCUMUOUROUMUOB
      AUDGZPLZMNZURUKUSULUOVCQUTABUEUFUKVCURQULUKVBUQMUKVAABPAUGUHUIRTUJT $.

    $( Domain and range of the prime-counting function pi.  (Contributed by
       Mario Carneiro, 15-Sep-2014.) $)
    ppif $p |- ppi : RR --> NN0 $=
      ( vx cr cn0 cc0 cv cicc co cprime cin chash cppi df-ppi wcel ppifi hashcl
      cfv cfn syl fmpti ) ABCDAEZFGHIZJPZKALTBMUAQMUBCMTNUAORS $.

    $( Real closure of the prime-counting function pi.  (Contributed by Mario
       Carneiro, 15-Sep-2014.) $)
    ppicl $p |- ( A e. RR -> ( ppi ` A ) e. NN0 ) $=
      ( cr cn0 cppi ppif ffvelrni ) BCADEF $.

    $( The value of the M&ouml;bius function.  (Contributed by Mario Carneiro,
       22-Sep-2014.) $)
    muval $p |- ( A e. NN -> ( mmu ` A ) = if ( E. p e. Prime ( p ^ 2 ) || A ,
      0 , ( -u 1 ^ ( # ` { p e. Prime | p || A } ) ) ) ) $=
      ( vx cv c2 cexp co cdvds wbr cprime wrex cc0 c1 cneg crab chash cfv breq2
      cif cn cmu wceq rexbidv fveq2d oveq2d ifbieq2d df-mu c0ex ovex ifex fvmpt
      rabbidv ) CABDZEFGZCDZHIZBJKZLMNZUMUOHIZBJOZPQZFGZSUNAHIZBJKZLURUMAHIZBJO
      ZPQZFGZSTUAUOAUBZUQVDVBVHLVIUPVCBJUOAUNHRUCVIVAVGURFVIUTVFPVIUSVEBJUOAUMH
      RULUDUEUFCBUGVDLVHUHURVGFUIUJUK $.

    $( The value of the M&ouml;bius function at a non-squarefree number.
       (Contributed by Mario Carneiro, 21-Sep-2014.) $)
    muval1 $p |- ( ( A e. NN /\ P e. ( ZZ>= ` 2 ) /\ ( P ^ 2 ) || A ) ->
      ( mmu ` A ) = 0 ) $=
      ( vp cn wcel c2 cuz cfv cexp co cdvds wbr w3a cprime wrex cc0 c1 wa zsqcl
      cz cmu cv cneg crab chash cif wceq muval 3ad2ant1 exprmfct 3ad2ant2 prmnn
      wb clt simpl2 eluz2b2 sylib simpld dvdssqlem syl2an2 simpl3 wi adantl syl
      prmz eluzelz 3syl simpl1 nnzd dvdstr syl3anc mpan2d sylbid reximdva eqtrd
      mpd iftrued ) ADEZBFGHEZBFIJZAKLZMZAUAHZCUBZFIJZAKLZCNOZPQUCWDAKLCNUDUEHI
      JZUFZPVRVSWCWIUGWAACUHUIWBWGPWHWBWDBKLZCNOZWGVSVRWKWABCUJUKWBWJWFCNWBWDNE
      ZRZWJWEVTKLZWFWLWDDEWBBDEZWJWNUMWDULWMWOQBUNLZWMVSWOWPRVRVSWAWLUOZBUPUQUR
      WDBUSUTWMWNWAWFVRVSWAWLVAWMWETEZVTTEZATEWNWARWFVBWMWDTEZWRWLWTWBWDVEVCWDS
      VDWMVSBTEWSWQFBVFBSVGWMAVRVSWAWLVHVIWEVTAVJVKVLVMVNVPVQVO $.

    $( The value of the M&ouml;bius function at a squarefree number.
       (Contributed by Mario Carneiro, 3-Oct-2014.) $)
    muval2 $p |- ( ( A e. NN /\ ( mmu ` A ) =/= 0 ) ->
        ( mmu ` A ) = ( -u 1 ^ ( # ` { p e. Prime | p || A } ) ) ) $=
      ( cn wcel cmu cfv cc0 wne c1 cneg cv cdvds wbr cprime crab cexp co eqeq1d
      wceq wo chash wn df-ne c2 wrex cif ifeqor muval orbi12d mpbiri ord syl5bi
      imp ) ACDZAEFZGHZUOIJBKZALMBNOUAFPQZSZUPUOGSZUBUNUSUOGUCUNUTUSUNUTUSTUQUD
      PQALMBNUEZGURUFZGSZVBURSZTVAGURUGUNUTVCUSVDUNUOVBGABUHZRUNUOVBURVERUIUJUK
      ULUM $.

    $( Two ways to say that a number is not squarefree.  (Contributed by Mario
       Carneiro, 3-Oct-2014.) $)
    isnsqf $p |- ( A e. NN ->
      ( ( mmu ` A ) = 0 <-> E. p e. Prime ( p ^ 2 ) || A ) ) $=
      ( cn wcel cmu cfv cc0 wceq cv c2 cexp co cdvds wbr cprime wrex wne neeq1d
      wn c1 cneg crab chash cif cc cz neg1cn neg1ne0 cfn prmdvdsfi hashcl nn0zd
      cn0 syl expne0i mp3an12i iffalse syl5ibrcom muval sylibrd necon4bd iftrue
      eqeq1d syl5ibr impbid ) ACDZAEFZGHZBIZJKLAMNBOPZVFVJVGGVFVJSZVJGTUAZVIAMN
      BOUBZUCFZKLZUDZGQZVGGQVFVQVKVOGQZVLUEDVLGQVFVNUFDVRUGUHVFVNVFVMUIDVNUMDAB
      UJVMUKUNULVLVNUOUPVKVPVOGVJGVOUQRURVFVGVPGABUSZRUTVAVJVHVFVPGHVJGVOVBVFVG
      VPGVSVCVDVE $.

    $( Two ways to say that a number is squarefree.  (Contributed by Mario
       Carneiro, 3-Oct-2014.) $)
    issqf $p |- ( A e. NN ->
      ( ( mmu ` A ) =/= 0 <-> A. p e. Prime ( p pCnt A ) <_ 1 ) ) $=
      ( cn wcel cmu cfv cc0 c2 co wbr cprime wn c1 cle wral cn0 sylancr bitr3id
      wb cr wne cv cexp cdvds wrex cpc isnsqf necon3abid ralnex caddc 1nn0 pccl
      wa clt ancoms nn0ltp1le 1re nn0red ltnle df-2 breq1i cz id pcdvdsb mp3an3
      nnz 2nn0 syl2anr 3bitr3d con1bid ralbidva bitrd ) ACDZAEFZGUABUBZHUCIAUDJ
      ZBKUEZLZVOAUFIZMNJZBKOZVMVQVNGABUGUHVRVPLZBKOVMWAVPBKUIVMWBVTBKVMVOKDZUMZ
      VTVPWDMVSUNJZMMUJIZVSNJZVTLZVPWDMPDVSPDZWEWGSUKWCVMWIVOAULUOZMVSUPQWDMTDV
      STDWEWHSUQWDVSWJURMVSUSQWGHVSNJZWDVPHWFVSNUTVAWCWCAVBDZWKVPSZVMWCVCAVFWCW
      LHPDWMVGHVOAVDVEVHRVIVJVKRVL $.

    $( The prime count of a squarefree number is at most 1.  (Contributed by
       Mario Carneiro, 1-Jul-2015.) $)
    sqfpc $p |- ( ( A e. NN /\ ( mmu ` A ) =/= 0 /\ P e. Prime ) ->
        ( P pCnt A ) <_ 1 ) $=
      ( vp cn wcel cmu cfv cc0 wne cprime cpc co c1 cle wbr wa cv wral wi issqf
      biimpa wceq oveq1 breq1d rspccv syl 3impia ) ADEZAFGHIZBJEZBAKLZMNOZUHUIP
      CQZAKLZMNOZCJRZUJULSUHUIUPACTUAUOULCBJUMBUBUNUKMNUMBAKUCUDUEUFUG $.

    $( A divisor of a squarefree number is squarefree.  (Contributed by Mario
       Carneiro, 1-Jul-2015.) $)
    dvdssqf $p |- ( ( A e. NN /\ B e. NN /\ B || A ) ->
       ( ( mmu ` A ) =/= 0 -> ( mmu ` B ) =/= 0 ) ) $=
      ( vp cn wcel cdvds wbr w3a cmu cfv cc0 cv cprime wrex wceq wa nnzd isnsqf
      cz wb c2 cexp co simpl3 wi prmz adantl zsqcl simpl2 simpl1 dvdstr syl3anc
      syl mpan2d reximdva 3ad2ant2 3ad2ant1 3imtr4d necon3d ) ADEZBDEZBAFGZHZBI
      JZKAIJZKVCCLZUAUBUCZBFGZCMNZVGAFGZCMNZVDKOZVEKOZVCVHVJCMVCVFMEZPZVHVBVJUT
      VAVBVNUDVOVGSEZBSEASEVHVBPVJUEVOVFSEZVPVNVQVCVFUFUGVFUHUMVOBUTVAVBVNUIQVO
      AUTVAVBVNUJQVGBAUKULUNUOVAUTVLVITVBBCRUPUTVAVMVKTVBACRUQURUS $.

    $( A squarefree number is completely determined by the set of its prime
       divisors.  (Contributed by Mario Carneiro, 1-Jul-2015.) $)
    sqf11 $p |- ( ( ( A e. NN /\ ( mmu ` A ) =/= 0 ) /\
      ( B e. NN /\ ( mmu ` B ) =/= 0 ) ) -> ( A = B <->
        A. p e. Prime ( p || A <-> p || B ) ) ) $=
      ( cn wcel cmu cfv cc0 wne wa wceq cpc co cprime wbr wb cn0 wo c1 syl2anr
      cv wral cdvds nnnn0 syl2an ad2ant2r eleq1 wn dfbi3 cle ad4ant124 nnle1eq1
      pc11 sqfpc syl5ibcom simprl adantr simplrr simpr syl3anc anim12d eqtr3 id
      syl6 simpll pccl elnn0 sylib ord jaod syl5bi impbid2 pcelnn bibi12d bitrd
      ralbidva ) ADEZAFGHIZJZBDEZBFGHIZJZJZABKZCUAZALMZWEBLMZKZCNUBZWEAUCOZWEBU
      COZPZCNUBVQVTWDWIPZVRWAVQAQEBQEWMVTAUDBUDABCUMUEUFWCWHWLCNWCWENEZJZWHWFDE
      ZWGDEZPZWLWOWHWRWFWGDUGWRWPWQJZWPUHZWQUHZJZRWOWHWPWQUIWOWSWHXBWOWSWFSKZWG
      SKZJWHWOWPXCWQXDWOWFSUJOZWPXCVQVRWNXEWBAWEUNUKWFULUOWOWGSUJOZWQXDWOVTWAWN
      XFWCVTWNVSVTWAUPZUQVSVTWAWNURWCWNUSBWEUNUTWGULUOVAWFWGSVBVDWOXBWFHKZWGHKZ
      JWHWOWTXHXAXIWOWPXHWOWFQEZWPXHRWNWNVQXJWCWNVCZVQVRWBVEZWEAVFTWFVGVHVIWOWQ
      XIWOWGQEZWQXIRWNWNVTXMWCXKXGWEBVFTWGVGVHVIVAWFWGHVBVDVJVKVLWOWPWJWQWKWNWN
      VQWPWJPWCXKXLWEAVMTWNWNVTWQWKPWCXKXGWEBVMTVNVOVPVO $.

    $( The M&ouml;bius function is a function into the integers.  (Contributed
       by Mario Carneiro, 22-Sep-2014.) $)
    muf $p |- mmu : NN --> ZZ $=
      ( vx vp cn cz cv c2 cexp co cdvds wbr cprime wrex cc0 cneg crab chash cfv
      c1 wcel sylancr cif cmu df-mu 0z cn0 cfn prmdvdsfi hashcl syl zexpcl ifcl
      neg1z fmpti ) ACDBEZFGHAEZIJBKLZMRNZUNUOIJBKOZPQZGHZUAZUBABUCUOCSZMDSUTDS
      ZVADSUDVBUQDSUSUESZVCULVBURUFSVDUOBUGURUHUIUQUSUJTUPMUTDUKTUM $.

    $( Closure of the M&ouml;bius function.  (Contributed by Mario Carneiro,
       22-Sep-2014.) $)
    mucl $p |- ( A e. NN -> ( mmu ` A ) e. ZZ ) $=
      ( cn cz cmu muf ffvelrni ) BCADEF $.

    $( The value of the divisor function.  (Contributed by Mario Carneiro,
       22-Sep-2014.)  (Revised by Mario Carneiro, 21-Jun-2015.) $)
    sgmval $p |- ( ( A e. CC /\ B e. NN ) ->
      ( A sigma B ) = sum_ k e. { p e. NN | p || B } ( k ^c A ) ) $=
      ( vx vn cc cn cv cdvds wbr crab ccxp co csu csgm wceq wa simpr breq2d
      rabbidv wcel simpll oveq2d sumeq12dv df-sgm sumex ovmpoa ) EFABGHDIZFIZJK
      ZDHLZCIZEIZMNZCOUIBJKZDHLZUMAMNZCOPUNAQZUJBQZRZULUQUOURCVAUKUPDHVAUJBUIJU
      SUTSTUAVAUMULUBZRUNAUMMUSUTVBUCUDUEECFDUFUQURCUGUH $.

    $( The value of the divisor function.  (Contributed by Mario Carneiro,
       21-Jun-2015.) $)
    sgmval2 $p |- ( ( A e. ZZ /\ B e. NN ) ->
      ( A sigma B ) = sum_ k e. { p e. NN | p || B } ( k ^ A ) ) $=
      ( cz wcel cn wa csgm co cv cdvds wbr crab ccxp csu cexp cc wceq zcn sylan
      sgmval ssrab2 simpr sselid nncnd nnne0d simpll cxpexpzd sumeq2dv eqtrd )
      AEFZBGFZHZABIJZDKBLMZDGNZCKZAOJZCPZUQURAQJZCPULARFUMUOUTSATABCDUBUAUNUQUS
      VACUNURUQFZHZURAVCURVCUQGURUPDGUCUNVBUDUEZUFVCURVDUGULUMVBUHUIUJUK $.

    $( The value of the sum-of-divisors function, usually denoted
       &sigma;<SUB>0</SUB>(<i>n</i>).  (Contributed by Mario Carneiro,
       21-Jun-2015.) $)
    0sgm $p |- ( A e. NN -> ( 0 sigma A ) = ( # ` { p e. NN | p || A } ) ) $=
      ( vk cn wcel cc0 csgm co cv cdvds wbr crab cexp csu chash c1 cmul cz wceq
      cfv 0z sgmval2 mpan elrabi nncnd exp0d sumeq2i cfn cc cfz fzfid dvdsssfz1
      ssfid ax-1cn fsumconst sylancl syl5eq cn0 hashcl nn0cnd mulid1d 3eqtrd
      syl ) ADEZFAGHZBIAJKZBDLZCIZFMHZCNZVGOTZPQHZVKFREVDVEVJSUAFACBUBUCVDVJVGP
      CNZVLVGVIPCVHVGEZVHVNVHVFBVHDUDUEUFUGVDVGUHEZPUIEVMVLSVDPAUJHVGVDPAUKABUL
      UMZUNVGPCUOUPUQVDVKVDVKVDVOVKUREVPVGUSVCUTVAVB $.

    $( The divisor function is a function into the complex numbers.
       (Contributed by Mario Carneiro, 22-Sep-2014.)  (Revised by Mario
       Carneiro, 21-Jun-2015.) $)
    sgmf $p |- sigma : ( CC X. NN ) --> CC $=
      ( vp vn vk vx cv cdvds wbr cn crab ccxp co csu cc wcel wral csgm wf wa c1
      cxp cfz fzfid wss dvdsssfz1 adantl ssfid elrabi nncnd simpl cxpcl syl2anr
      fsumcl rgen2 df-sgm fmpo mpbi ) AEBEZFGZAHIZCEZDEZJKZCLZMNZBHODMOMHTMPQVD
      DBMHVAMNZUQHNZRZUSVBCVGSUQUAKZUSVGSUQUBVFUSVHUCVEUQAUDUEUFUTUSNZUTMNVEVBM
      NVGVIUTURAUTHUGUHVEVFUIUTVAUJUKULUMDBMHVCMPDCBAUNUOUP $.

    $( Closure of the divisor function.  (Contributed by Mario Carneiro,
       22-Sep-2014.) $)
    sgmcl $p |- ( ( A e. CC /\ B e. NN ) -> ( A sigma B ) e. CC ) $=
      ( cc cn csgm sgmf fovcl ) ABCCDEFG $.

    $( Closure of the divisor function.  (Contributed by Mario Carneiro,
       21-Jun-2015.) $)
    sgmnncl $p |- ( ( A e. NN0 /\ B e. NN ) -> ( A sigma B ) e. NN ) $=
      ( vp vk cn0 wcel cn wa csgm co cv cdvds wbr crab cexp csu cz wceq adantl
      c1 nn0z sgmval2 sylan cc0 clt cfz fzfid wss dvdsssfz1 ssfid simpl nnexpcl
      elrabi syl2anr nnzd fsumzcl c0 wne wrex nnz iddvds syl breq1 rspcev mpdan
      rabn0 sylibr nnrpd fsumrpcl rpgt0d elnnz sylanbrc eqeltrd ) AEFZBGFZHZABI
      JZCKZBLMZCGNZDKZAOJZDPZGVNAQFVOVQWCRAUAABDCUBUCVPWCQFUDWCUEMWCGFVPVTWBDVP
      TBUFJZVTVPTBUGVOVTWDUHVNBCUISUJZVPWAVTFZHZWBWFWAGFVNWBGFVPVSCWAGUMVNVOUKW
      AAULUNZUOUPVPWCVPVTWBDWEVOVTUQURZVNVOVSCGUSZWIVOBBLMZWJVOBQFWKBUTBVAVBVSW
      KCBGVRBBLVCVDVEVSCGVFVGSWGWBWHVHVIVJWCVKVLVM $.

    $( The M&ouml;bius function takes on values in magnitude at most ` 1 ` .
       (Together with ~ mucl , this implies that it takes a value in
       ` { -u 1 , 0 , 1 } ` for every positive integer.)  (Contributed by Mario
       Carneiro, 22-Sep-2014.) $)
    mule1 $p |- ( A e. NN -> ( abs ` ( mmu ` A ) ) <_ 1 ) $=
      ( vp wcel cexp co cdvds wbr cprime cfv cabs c1 cle wa cc0 sylan9eq fveq2d
      eqbrtrdi wceq syl eqtrd cn cv c2 wrex cmu cneg crab chash cif iftrue abs0
      muval 0le1 eqbrtri iffalse cn0 neg1cn cfn prmdvdsfi hashcl absexp sylancr
      wn cc ax-1cn absnegi abs1 eqtri oveq1i nn0zd 1exp syl5eq adantr pm2.61dan
      cz 1le1 ) AUACZBUBZUCDEAFGBHUDZAUEIZJIZKLGVQVSMZWANJIZKLWBVTNJVQVSVTVSNKU
      FZVRAFGBHUGZUHIZDEZUIZNABULZVSNWGUJOPWCNKLUKUMUNQVQVSVCZMZWAKKLWKWAWGJIZK
      WKVTWGJVQWJVTWHWGWIVSNWGUOOPVQWLKRWJVQWLWDJIZWFDEZKVQWDVDCWFUPCZWLWNRUQVQ
      WEURCWOABUSWEUTSZWDWFVAVBVQWNKWFDEZKWMKWFDWMKJIKKVEVFVGVHVIVQWFVOCWQKRVQW
      FWPVJWFVKSVLTVMTVPQVN $.

    $( The Chebyshev function does not change off the integers.  (Contributed
       by Mario Carneiro, 22-Sep-2014.) $)
    chtfl $p |- ( A e. RR -> ( theta ` ( |_ ` A ) ) = ( theta ` A ) ) $=
      ( vp cr wcel cc0 cfl cfv cicc co cprime cin csu ccht cfz wceq ppisval syl
      c2 3eqtr4d chtval cv clog flidm oveq2d ineq1d reflcl sumeq1d ) ACDZEAFGZH
      IJKZBUAUBGZBLZEAHIJKZUKBLUIMGZAMGUHUJUMUKBUHRUIFGZNIZJKZRUINIZJKUJUMUHUPU
      RJUHUOUIRNAUCUDUEUHUICDZUJUQOAUFZUIPQAPSUGUHUSUNULOUTUIBTQABTS $.

    $( The second Chebyshev function does not change off the integers.
       (Contributed by Mario Carneiro, 9-Apr-2016.) $)
    chpfl $p |- ( A e. RR -> ( psi ` ( |_ ` A ) ) = ( psi ` A ) ) $=
      ( vx cr wcel c1 cfl cfv cfz co cv cvma csu cchp flidm oveq2d sumeq1d wceq
      reflcl chpval syl 3eqtr4d ) ACDZEAFGZFGZHIZBJKGZBLZEUCHIZUFBLUCMGZAMGUBUE
      UHUFBUBUDUCEHANOPUBUCCDUIUGQARUCBSTABSUA $.

    $( The prime-counting function ` ppi ` at a prime.  (Contributed by Mario
       Carneiro, 19-Sep-2014.) $)
    ppiprm $p |- ( ( A e. ZZ /\ ( A + 1 ) e. Prime ) ->
      ( ppi ` ( A + 1 ) ) = ( ( ppi ` A ) + 1 ) ) $=
      ( cz wcel c1 caddc co cprime wa c2 cfz cin cun chash cfv cppi wceq adantr
      syl cuz cn csn cfn wn wss fzfid inss1 ssfi sylancl cle wbr clt cr peano2z
      zre ltp1d zred ltnled mpbid elinel1 elfzle2 nsyl cvv ovex hashunsng ax-mp
      wi syl2anc ppival2 cmin 2z cc ax-1cn pncan prmuz2 adantl uz2m1nn eqeltrrd
      zcn 2m1e1 fveq2i eqtr4i eleqtrdi fzsuc2 sylancr ineq1d indir eqtrdi simpr
      nnuz snssd df-ss sylib uneq2d eqtrd fveq2d oveq1d 3eqtr4d ) ABCZADEFZGCZH
      ZIAJFZGKZWSUAZLZMNZXCMNZDEFZWSONZAONZDEFXAXCUBCZWSXCCZUCZXFXHPZXAXBUBCXCX
      BUDXKXAIAUEXBGUFXBXCUGUHXAWSAUIUJZXLXAAWSUKUJXOUCXAAWRAULCWTAUNQZUOXAAWSX
      PXAWSWRWSBCZWTAUMQZUPUQURXLWSXBCXOWSXBGUSWSIAUTRVAWSVBCXKXMHXNVFADEVCXCWS
      VBVDVEVGXAXIIWSJFZGKZMNZXFXAXQXIYAPXRWSVHRXAXTXEMXAXTXCXDGKZLZXEXAXTXBXDL
      ZGKYCXAXSYDGXAIBCAIDVIFZSNZCXSYDPVJXAATYFXAWSDVIFZATXAAVKCZDVKCYGAPWRYHWT
      AVRQVLADVMUHXAWSISNCZYGTCWTYIWRWSVNVOWSVPRVQTDSNYFWIYEDSVSVTWAWBIAWCWDWEX
      BXDGWFWGXAYBXDXCXAXDGUDYBXDPXAWSGWRWTWHWJXDGWKWLWMWNWOWNXAXJXGDEWRXJXGPWT
      AVHQWPWQ $.

    $( The prime-counting function ` ppi ` at a non-prime.  (Contributed by
       Mario Carneiro, 19-Sep-2014.) $)
    ppinprm $p |- ( ( A e. ZZ /\ -. ( A + 1 ) e. Prime ) ->
      ( ppi ` ( A + 1 ) ) = ( ppi ` A ) ) $=
      ( vx cz wcel c1 co cprime wn wa c2 cfz cin chash cfv cppi cmin cuz adantr
      wceq cn caddc cv csn simprr elin2d simprl nelne2 syl2anc velsn necon3bbii
      wne sylibr cun wo elin1d 2z zcn ax-1cn pncan sylancl elfzuz2 uz2m1nn 3syl
      cc eqeltrrd nnuz 2m1e1 fveq2i eqtr4i eleqtrdi fzsuc2 sylancr eleqtrd elun
      sylib ord mt3d elind expr ssrdv wss uzid peano2uz fzss2 ssrin 4syl fveq2d
      eqssd peano2z ppival2 syl 3eqtr4d ) ACDZAEUAFZGDHZIZJWNKFZGLZMNZJAKFZGLZM
      NZWNONZAONZWPWRXAMWPWRXAWPBWRXAWMWOBUBZWRDZXEXADWMWOXFIZIZWTGXEXHXEWTDZXE
      WNUCZDZXHXEWNUKZXKHXHXEGDWOXLXHWQGXEWMWOXFUDZUEZWMWOXFUFXEWNGUGUHXKXEWNBW
      NUIUJULXHXIXKXHXEWTXJUMZDXIXKUNXHXEWQXOXHWQGXEXMUOZXHJCDAJEPFZQNZDWQXOSUP
      XHATXRXHWNEPFZATXHAVDDZEVDDXSASWMXTXGAUQRURAEUSUTXHXEWQDWNJQNDXSTDXPXEJWN
      VAWNVBVCVETEQNXRVFXQEQVGVHVIVJJAVKVLVMXEWTXJVNVOVPVQXNVRVSVTWPAAQNZDZWNYA
      DWTWQWAXAWRWAWMYBWOAWBRAAWCAJWNWDWTWQGWEWFWHWGWPWNCDZXCWSSWMYCWOAWIRWNWJW
      KWMXDXBSWOAWJRWL $.

    $( The Chebyshev function at a prime.  (Contributed by Mario Carneiro,
       22-Sep-2014.) $)
    chtprm $p |- ( ( A e. ZZ /\ ( A + 1 ) e. Prime ) ->
      ( theta ` ( A + 1 ) ) = ( ( theta ` A ) + ( log ` ( A + 1 ) ) ) ) $=
      ( vp cz wcel c1 caddc co cprime cfv c2 cfz cin clog csu wceq adantr eqtrd
      syl cuz cn wa ccht cv csn cc0 cicc cr peano2z zre chtval cfl ppisval flid
      oveq2d ineq1d sumeq1d wn c0 cle wbr clt ltp1d ltnled elinel1 elfzle2 nsyl
      mpbid disjsn sylibr cun cmin 2z cc zcn ax-1cn pncan sylancl prmuz2 adantl
      uz2m1nn eqeltrrd 2m1e1 fveq2i eqtr4i eleqtrdi fzsuc2 sylancr indir eqtrdi
      nnuz wss simpr snssd df-ss sylib uneq2d cfn fzfid inss1 ssfi elin2d prmnn
      nnrpd relogcld recnd fsumsplit eqtr2d fveq2 sumsn syl2anc oveq12d 3eqtrd
      ) ACDZAEFGZHDZUAZXNUBIZJXNKGZHLZBUCZMIZBNZJAKGZHLZYABNZXNUDZYABNZFGAUBIZX
      NMIZFGXPXQUEXNUFGHLZYABNZYBXPXNUGDZXQYKOXPXNCDZYLXMYMXOAUHPZXNUIRZXNBUJRX
      PYJXSYABXPYJJXNUKIZKGZHLZXSXPYLYJYROYOXNULRXPYQXRHXPYPXNJKXPYMYPXNOYNXNUM
      RUNUOQUPQXPYDYFYAXSBXPXNYDDZUQYDYFLUROXPXNAUSUTZYSXPAXNVAUTYTUQXPAXMAUGDZ
      XOAUIPZVBXPAXNUUBYOVCVGYSXNYCDYTXNYCHVDXNJAVERVFYDXNVHVIXPXSYDYFHLZVJZYDY
      FVJXPXSYCYFVJZHLUUDXPXRUUEHXPJCDAJEVKGZSIZDXRUUEOVLXPATUUGXPXNEVKGZATXPAV
      MDZEVMDUUHAOXMUUIXOAVNPVOAEVPVQXPXNJSIDZUUHTDXOUUJXMXNVRVSXNVTRWATESIUUGW
      JUUFESWBWCWDWEJAWFWGUOYCYFHWHWIXPUUCYFYDXPYFHWKUUCYFOXPXNHXMXOWLWMYFHWNWO
      WPQXPXRWQDXSXRWKXSWQDXPJXNWRXRHWSXRXSWTVQXPXTXSDZUAZYAUULXTUULXTUULXTHDXT
      TDUULXRHXTXPUUKWLXAXTXBRXCXDXEXFXPYEYHYGYIFXPYHUEAUFGHLZYABNZYEXPUUAYHUUN
      OUUBABUJRXPUUMYDYABXPUUMJAUKIZKGZHLZYDXPUUAUUMUUQOUUBAULRXPUUPYCHXPUUOAJK
      XMUUOAOXOAUMPUNUOQUPXGXPXNTDZYIVMDYGYIOXOUURXMXNXBVSZXPYIXPXNXPXNUUSXCXDX
      EYAYIBXNTXTXNMXHXIXJXKXL $.

    $( The Chebyshev function at a non-prime.  (Contributed by Mario Carneiro,
       19-Sep-2014.) $)
    chtnprm $p |- ( ( A e. ZZ /\ -. ( A + 1 ) e. Prime ) ->
      ( theta ` ( A + 1 ) ) = ( theta ` A ) ) $=
      ( vp vx cz wcel c1 co cprime wa cin cfv c2 cfz cuz wceq cn adantr 3eqtr4d
      3syl syl caddc wn cc0 cicc clog csu ccht cfl csn wne simprr elin2d simprl
      cv nelne2 syl2anc velsn necon3bbii sylibr cun wo elin1d cmin 2z cc ax-1cn
      pncan sylancl elfzuz2 uz2m1nn eqeltrrd nnuz fveq2i eqtr4i eleqtrdi fzsuc2
      zcn 2m1e1 sylancr eleqtrd elun sylib ord mt3d elind expr ssrdv uzid fzss2
      wss peano2uz ssrin 4syl eqssd peano2z flid oveq2d ineq1d peano2re ppisval
      cr zre sumeq1d chtval ) ADEZAFUAGZHEUBZIZUCXFUDGHJZBUNUEKZBUFZUCAUDGHJZXJ
      BUFZXFUGKZAUGKZXHXIXLXJBXHLXFUHKZMGZHJZLAUHKZMGZHJZXIXLXHLXFMGZHJZLAMGZHJ
      ZXRYAXHYCYEXHCYCYEXEXGCUNZYCEZYFYEEXEXGYGIZIZYDHYFYIYFYDEZYFXFUIZEZYIYFXF
      UJZYLUBYIYFHEXGYMYIYBHYFXEXGYGUKZULZXEXGYGUMYFXFHUOUPYLYFXFCXFUQURUSYIYJY
      LYIYFYDYKUTZEYJYLVAYIYFYBYPYIYBHYFYNVBZYILDEALFVCGZNKZEYBYPOVDYIAPYSYIXFF
      VCGZAPYIAVEEZFVEEYTAOXEUUAYHAVQQVFAFVGVHYIYFYBEXFLNKEYTPEYQYFLXFVIXFVJSVK
      PFNKYSVLYRFNVRVMVNVOLAVPVSVTYFYDYKWAWBWCWDYOWEWFWGXHAANKZEZXFUUBEYDYBWJYE
      YCWJXEUUCXGAWHQAAWKALXFWIYDYBHWLWMWNXHXQYBHXHXPXFLMXHXFDEZXPXFOXEUUDXGAWO
      QXFWPTWQWRXHXTYDHXHXSALMXEXSAOXGAWPQWQWRRXHAXAEZXFXAEZXIXROXEUUEXGAXBQZAW
      SZXFWTSXHUUEXLYAOUUGAWTTRXCXHUUEUUFXNXKOUUGUUHXFBXDSXHUUEXOXMOUUGABXDTR
      $.

    $( The second Chebyshev function at a successor.  (Contributed by Mario
       Carneiro, 11-Apr-2016.) $)
    chpp1 $p |- ( A e. NN0 ->
      ( psi ` ( A + 1 ) ) = ( ( psi ` A ) + ( Lam ` ( A + 1 ) ) ) ) $=
      ( vn wcel c1 caddc co cfz cvma cfv csu cchp cn cr syl wceq chpval cz flid
      cfl oveq2d cn0 cv cmin nn0p1nn nnuz eleqtrdi wa elfznn adantl vmacl recnd
      cuz fveq2 fsumm1 nn0re peano2re 3syl nn0z peano2zd sumeq1d eqtrd cc nn0cn
      ax-1cn pncan sylancl eqtr4d oveq1d 3eqtr4d ) AUACZDADEFZGFZBUBZHIZBJZDVKD
      UCFZGFZVNBJZVKHIZEFVKKIZAKIZVSEFVJVNVSBDVKVJVKLDULIAUDUEUFVJVMVLCZUGZVNWC
      VMLCZVNMCWBWDVJVMVKUHUIVMUJNUKVMVKHUMUNVJVTDVKSIZGFZVNBJZVOVJAMCZVKMCVTWG
      OAUOZAUPVKBPUQVJWFVLVNBVJWEVKDGVJVKQCWEVKOVJAAURZUSVKRNTUTVAVJWAVRVSEVJWA
      DASIZGFZVNBJZVRVJWHWAWMOWIABPNVJWLVQVNBVJWKVPDGVJWKAVPVJAQCWKAOWJARNVJAVB
      CDVBCVPAOAVCVDADVEVFVGTUTVAVHVI $.

    $( The Chebyshev function is weakly increasing.  (Contributed by Mario
       Carneiro, 22-Sep-2014.) $)
    chtwordi $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) ->
      ( theta ` A ) <_ ( theta ` B ) ) $=
      ( vp cr wcel cle wbr w3a cc0 cicc cprime cin cfv csu ccht syl wceq chtval
      co wa cv clog cfn simp2 ppifi cn c1 clt c2 cuz simpr elin2d eluz2b2 sylib
      prmuz2 simpld nnred simprd rplogcld rpred rpge0d wss 0red a1i simp3 iccss
      0le0 syl22anc ssrind fsumless 3ad2ant1 3brtr4d ) ADEZBDEZABFGZHZIAJSZKLZC
      UAZUBMZCNZIBJSZKLZVTCNZAOMZBOMZFVPWCVTVRCVPVNWCUCEVMVNVOUDZBUEPVPVSWCEZTZ
      VTWIVSWIVSWIVSUFEZUGVSUHGZWIVSUIUJMEZWJWKTWIVSKEWLWIWBKVSVPWHUKULVSUOPVSU
      MUNZUPUQWIWJWKWMURUSZUTWIVTWNVAVPVQWBKVPIDEVNIIFGZVOVQWBVBVPVCWGWOVPVGVDV
      MVNVOVEIBIAVFVHVIVJVMVNWEWAQVOACRVKVPVNWFWDQWGBCRPVL $.

    $( The second Chebyshev function is weakly increasing.  (Contributed by
       Mario Carneiro, 9-Apr-2016.) $)
    chpwordi $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) ->
      ( psi ` A ) <_ ( psi ` B ) ) $=
      ( vn cr wcel cle wbr w3a c1 cfl cfv cfz co cvma csu cchp syl wceq chpval
      cv fzfid wa elfznn adantl vmacl cc0 vmage0 cuz wss flword2 fzss2 fsumless
      cn 3ad2ant1 3ad2ant2 3brtr4d ) ADEZBDEZABFGZHZIAJKZLMZCTZNKZCOZIBJKZLMZVD
      COZAPKZBPKZFUTVGVDVBCUTIVFUAUTVCVGEZUBZVCUMEZVDDEVKVMUTVCVFUCUDZVCUEQVLVM
      UFVDFGVNVCUGQUTVFVAUHKEVBVGUIABUJVAIVFUKQULUQURVIVERUSACSUNURUQVJVHRUSBCS
      UOUP $.

    $( The difference of the Chebyshev function at two points sums the
       logarithms of the primes in an interval.  (Contributed by Mario
       Carneiro, 22-Sep-2014.) $)
    chtdif $p |- ( N e. ( ZZ>= ` M ) -> ( ( theta ` N ) - ( theta ` M ) ) =
      sum_ p e. ( ( ( M + 1 ) ... N ) i^i Prime ) ( log ` p ) ) $=
      ( cfv wcel co c2 wbr cfz cprime cin csu wceq syl sylancl ineq1d eqtrd cfn
      cz c0 cuz ccht cmin cle cif cv clog c1 caddc cc0 cicc eluzelre chtval cfl
      cr eluzel2 2z ifcl a1i zred min2 eluz2 syl3anbrc ppisval2 syl2anc eluzelz
      2re flid oveq2d sumeq1d clt ltp1d fzdisj inindir 0in 3eqtr3g min1 elfzuzb
      cun id sylanbrc fzsplit indir eqtrdi wss fzfid inss1 ssfi wa simpr elin2d
      cn prmnn nnrpd relogcld recnd fsumsplit oveq12d mp2an cc sseqtrrid sselda
      fzfi ssun1 syldan fsumcl ssun2 pncan2d ) BAUADEZBUBDZAUBDZUCFAGUDHZAGUEZA
      IFZJKZCUFZUGDZCLZAUHUIFZBIFZJKZXQCLZUIFZXRUCFYBXIXJYCXKXRUCXIXJUJBUKFJKZX
      QCLZYCXIBUOEZXJYEMABULZBCUMNXIYEXMBIFZJKZXQCLYCXIYDYIXQCXIYDXMBUNDZIFZJKZ
      YIXIYFGXMUADZEZYDYLMYGXIXMSEZGSEZXMGUDHZYNXIASEZYPYOABUPZUQXLAGSUROZYPXIU
      QUSXIAUOEZGUOEZYQXIAYSUTZVGAGVAOXMGVBVCZBXMVDVEXIYKYHJXIYJBXMIXIBSEYJBMAB
      VFBVHNVIPQVJXIXOYAXQYICXIXNXTKZJKTJKXOYAKTXIUUETJXIAXSVKHUUETMXIAUUCVLXMA
      XSBVMNPXNXTJVNJVOVPXIYIXNXTVSZJKXOYAVSZXIYHUUFJXIAYHEZYHUUFMXIAYMEZXIUUHX
      IYOYRXMAUDHZUUIYTYSXIUUAUUBUUJUUCVGAGVQOXMAVBVCXIVTAXMBVRWAAXMBWBNPXNXTJW
      CWDZXIYHREYIYHWEYIREXIXMBWFYHJWGYHYIWHOXIXPYIEZWIZXQUUMXPUUMXPUUMXPJEXPWL
      EUUMYHJXPXIUULWJWKXPWMNWNWOWPZWQQQXIXKUJAUKFJKZXQCLZXRXIUUAXKUUPMUUCACUMN
      XIUUOXOXQCXIUUOXMAUNDZIFZJKZXOXIUUAYNUUOUUSMUUCUUDAXMVDVEXIUURXNJXIUUQAXM
      IXIYRUUQAMYSAVHNVIPQVJQWRXIXRYBXIXOXQCXOREZXIXNREXOXNWEUUTXMAXCXNJWGXNXOW
      HWSUSXIXPXOEUULXQWTEZXIXOYIXPXIUUGXOYIXOYAXDUUKXAXBUUNXEXFXIYAXQCYAREZXIX
      TREYAXTWEUVBXSBXCXTJWGXTYAWHWSUSXIXPYAEUULUVAXIYAYIXPXIUUGYAYIYAXOXGUUKXA
      XBUUNXEXFXHQ $.

    $( The exponentiated Chebyshev function forms a divisibility chain between
       any two points.  (Contributed by Mario Carneiro, 22-Sep-2014.) $)
    efchtdvds $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) ->
      ( exp ` ( theta ` A ) ) || ( exp ` ( theta ` B ) ) ) $=
      ( vx vp cr wcel ccht cfv ce co cn cc wceq recnd cv c1 wa fveq2 eleq1d cc0
      vy vz cle wbr w3a cdvds cdiv cz cmin chtcl 3ad2ant2 3ad2ant1 syl2anc crab
      efsub cfl caddc cfz cprime cin clog csu oveq12d cuz flword2 chtdif eqtr3d
      chtfl syl wss ssrab2 ax-resscn sstri a1i elrab simpll readdcld cmul efadd
      simprl nnmulcl ad2ant2l eqeltrd elrabd syl2anb adantl fzfid inss1 sylancl
      cfn ssfi simpr elin2d prmnn relogcld reeflogd 0re 1nn ef0 eqtrdi mpbir2an
      nnrpd fsumcllem simprbi eqeltrrd nnzd wne efchtcl nnne0d dvdsval2 syl3anc
      wb mpbird ) AEFZBEFZABUCUDZUEZAGHZIHZBGHZIHZUFUDZYAXSUGJZUHFZXQYCXQXTXRUI
      JZIHZYCKXQXTLFXRLFYFYCMXQXTXOXNXTEFXPBUJUKNXQXRXNXOXREFXPAUJULNXTXRUOUMXQ
      YECOZIHZKFZCEUNZFZYFKFZXQYEAUPHZPUQJZBUPHZURJZUSUTZDOZVAHZDVBZYJXQYOGHZYM
      GHZUIJZYEYTXQUUAXTUUBXRUIXOXNUUAXTMXPBVHUKXNXOUUBXRMXPAVHULVCXQYOYMVDHFUU
      CYTMABVEYMYODVFVIVGXQUAUBYQYSYJDYJLVJXQYJELYICEVKVLVMVNUAOZYJFZUBOZYJFZQU
      UDUUFUQJZYJFZXQUUEUUDEFZUUDIHZKFZQZUUFEFZUUFIHZKFZQZUUIUUGYIUULCUUDEYGUUD
      MYHUUKKYGUUDIRSVOYIUUPCUUFEYGUUFMYHUUOKYGUUFIRSVOUUMUUQQZYIUUHIHZKFCUUHEY
      GUUHMYHUUSKYGUUHIRSUURUUDUUFUUJUULUUQVPZUUMUUNUUPVTZVQUURUUSUUKUUOVRJZKUU
      RUUDLFUUFLFUUSUVBMUURUUDUUTNUURUUFUVANUUDUUFVSUMUULUUPUVBKFUUJUUNUUKUUOWA
      WBWCWDWEWFXQYPWJFYQYPVJYQWJFXQYNYOWGYPUSWHYPYQWKWIXQYRYQFZQZYIYSIHZKFCYSE
      YGYSMYHUVEKYGYSIRSUVDYRUVDYRUVDYRUSFYRKFUVDYPUSYRXQUVCWLWMYRWNVIZXBZWOUVD
      UVEYRKUVDYRUVGWPUVFWCWDTYJFZXQUVHTEFPKFZWQWRYIUVICTEYGTMZYHPKUVJYHTIHPYGT
      IRWSWTSVOXAVNXCWCYKYEEFYLYIYLCYEEYGYEMYHYFKYGYEIRSVOXDVIXEXFXQXSUHFXSTXGY
      AUHFYBYDXLXQXSXNXOXSKFXPAXHULZXFXQXSUVKXIXQYAXOXNYAKFXPBXHUKXFXSYAXJXKXM
      $.
  $}

  $( The prime-counting function ` ppi ` does not change off the integers.
     (Contributed by Mario Carneiro, 18-Sep-2014.) $)
  ppifl $p |- ( A e. RR -> ( ppi ` ( |_ ` A ) ) = ( ppi ` A ) ) $=
    ( cr wcel cc0 cicc co cprime cin chash cfv c2 cfl cfz ppisval fveq2d ppival
    cppi cz wceq flcl ppival2 syl 3eqtr4rd ) ABCZDAEFGHZIJKALJZMFGHZIJZAQJUFQJZ
    UDUEUGIANOAPUDUFRCUIUHSATUFUAUBUC $.

  $( The prime-counting function ` ppi ` cannot locally increase faster than
     the identity function.  (Contributed by Mario Carneiro, 21-Sep-2014.) $)
  ppip1le $p |- ( A e. RR -> ( ppi ` ( A + 1 ) ) <_ ( ( ppi ` A ) + 1 ) ) $=
    ( cr wcel cfl cfv c1 caddc co cppi cle cz wa cn0 peano2re syl adantr nn0red
    ppicl wceq ppifl wbr flcl cprime zre ppiprm eqled ppinprm eqbrtrd pm2.61dan
    wn lep1d 1z fladdz mpan2 fveq2d eqtr3d oveq1d 3brtr3d ) ABCZADEZFGHZIEZUTIE
    ZFGHZAFGHZIEZAIEZFGHJUSUTKCZVBVDJUAZAUBVHVAUCCZVIVHVJLZVBVDVKVBVKVABCZVBMCV
    HVLVJVHUTBCZVLUTUDZUTNOPVAROQUTUEUFVHVJUJZLZVBVCVDJUTUGVPVCVHVCBCVOVHVCVHVM
    VCMCVNUTROQPUKUHUIOUSVEDEZIEZVBVFUSVQVAIUSFKCVQVASULAFUMUNUOUSVEBCVRVFSANVE
    TOUPUSVCVGFGATUQUR $.

  $( The prime-counting function ` ppi ` is weakly increasing.  (Contributed by
     Mario Carneiro, 19-Sep-2014.) $)
  ppiwordi $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) ->
    ( ppi ` A ) <_ ( ppi ` B ) ) $=
    ( cr wcel cle wbr cc0 cicc cprime cin chash cfv cppi cfn wss ppifi 3ad2ant1
    co syl wceq w3a cdom simp2 0red 0le0 a1i simp3 iccss syl22anc ssrind ssdomg
    sylc wb hashdom syl2anc mpbird ppival 3brtr4d ) ACDZBCDZABEFZUAZGAHRZIJZKLZ
    GBHRZIJZKLZAMLZBMLZEVBVEVHEFZVDVGUBFZVBVGNDZVDVGOVLVBUTVMUSUTVAUCZBPSZVBVCV
    FIVBGCDUTGGEFZVAVCVFOVBUDVNVPVBUEUFUSUTVAUGGBGAUHUIUJVDVGNUKULVBVDNDZVMVKVL
    UMUSUTVQVAAPQVOVDVGNUNUOUPUSUTVIVETVAAUQQVBUTVJVHTVNBUQSUR $.

  $( The difference of the prime-counting function ` ppi ` at two points counts
     the number of primes in an interval.  (Contributed by Mario Carneiro,
     21-Sep-2014.) $)
  ppidif $p |- ( N e. ( ZZ>= ` M ) -> ( ( ppi ` N ) - ( ppi ` M ) ) =
    ( # ` ( ( ( M + 1 ) ... N ) i^i Prime ) ) ) $=
    ( cuz cfv wcel cmin co c2 cle wbr cfz cprime cin chash cz sylancl cfn mp2an
    wceq c0 cppi cif c1 caddc cun eluzelz eluzel2 2z ifcl a1i cr zred 2re eluz2
    min2 syl3anbrc ppival2g syl2anc min1 id elfzuzb sylanbrc fzsplit syl ineq1d
    indir eqtrdi fveq2d wss fzfi inss1 ssfi clt ltp1d fzdisj inindir 0in hashun
    3eqtr3g mp3an12i 3eqtrd oveq12d cc cn0 hashcl ax-mp nn0cni pncan2 ) BACDEZB
    UADZAUADZFGAHIJZAHUBZAKGZLMZNDZAUCUDGZBKGZLMZNDZUDGZWPFGZWTWIWJXAWKWPFWIWJW
    MBKGZLMZNDZWOWSUEZNDZXAWIBOEHWMCDZEZWJXESABUFWIWMOEZHOEZWMHIJZXIWIAOEZXKXJA
    BUGZUHWLAHOUIPZXKWIUHUJWIAUKEZHUKEZXLWIAXNULZUMAHUOPWMHUNUPZBWMUQURWIXDXFNW
    IXDWNWRUEZLMXFWIXCXTLWIAXCEZXCXTSWIAXHEZWIYAWIXJXMWMAIJZYBXOXNWIXPXQYCXRUMA
    HUSPWMAUNUPWIUTAWMBVAVBAWMBVCVDVEWNWRLVFVGVHWOQEZWSQEZWIWOWSMZTSXGXASWNQEWO
    WNVIYDWMAVJWNLVKWNWOVLRZWRQEWSWRVIYEWQBVJWRLVKWRWSVLRZWIWNWRMZLMTLMYFTWIYIT
    LWIAWQVMJYITSWIAXRVNWMAWQBVOVDVEWNWRLVPLVQVSWOWSVRVTWAWIXMXIWKWPSXNXSAWMUQU
    RWBWPWCEWTWCEXBWTSWPYDWPWDEYGWOWEWFWGWTYEWTWDEYHWSWEWFWGWPWTWHRVG $.

  $( The prime-counting function ` ppi ` at ` 1 ` .  (Contributed by Mario
     Carneiro, 21-Sep-2014.) $)
  ppi1 $p |- ( ppi ` 1 ) = 0 $=
    ( c1 cppi cfv c2 cfz co cprime cin chash cc0 cz wcel wceq ppival2 ax-mp clt
    1z c0 wbr eqtri 1lt2 wb 2z fzn mp2an mpbi ineq1i 0in fveq2i hash0 ) ABCZDAE
    FZGHZICZJAKLZUKUNMQANOUNRICJUMRIUMRGHRULRGADPSZULRMZUADKLUOUPUQUBUCQDAUDUEU
    FUGGUHTUIUJTT $.

  $( The Chebyshev function at ` 1 ` .  (Contributed by Mario Carneiro,
     22-Sep-2014.) $)
  cht1 $p |- ( theta ` 1 ) = 0 $=
    ( vp c1 ccht cfv cc0 cicc co cprime cin csu c0 wcel wceq 1re ax-mp c2 cz 1z
    cfz 3eqtri cv clog cr chtval cfl ppisval flid oveq2i clt wbr 1lt2 wb 2z fzn
    mp2an mpbi eqtri ineq1i 0in sumeq1i sum0 ) BCDZEBFGHIZAUAUBDZAJZKVDAJEBUCLZ
    VBVEMNBAUDOVCKVDAVCPBUEDZSGZHIZKHIKVFVCVIMNBUFOVHKHVHPBSGZKVGBPSBQLZVGBMRBU
    GOUHBPUIUJZVJKMZUKPQLVKVLVMULUMRPBUNUOUPUQURHUSTUTVDAVAT $.

  ${
    $d p k $.
    $( The von Mangoldt function at ` 1 ` .  (Contributed by Mario Carneiro,
       9-Apr-2016.) $)
    vma1 $p |- ( Lam ` 1 ) = 0 $=
      ( vp vk c1 cv cexp co wceq cn wrex cprime wn cvma cfv cc0 wcel wa clt wbr
      1red cuz prmuz2 adantr eluz2b2 sylib simpld nnred cn0 nnnn0 adantl simprd
      c2 reexpcld cle nncnd exp1d simpr nnuz eleqtrdi leexp2ad eqbrtrrd ltletrd
      nnge1d ltned neneqd nrexdv nrex wne wb 1nn isppw2 ax-mp necon1bbii mpbi )
      CADZBDZEFZGZBHIZAJIZKCLMZNGVRAJVNJOZVQBHWAVOHOZPZCVPWCCVPWCSZWCCVNVPWDWCV
      NWCVNHOZCVNQRZWCVNUKTMOZWEWFPWAWGWBVNUAUBVNUCUDZUEZUFZWCVNVOWJWBVOUGOWAVO
      UHUIULWCWEWFWHUJWCVNCEFVNVPUMWCVNWCVNWIUNUOWCVNCVOWJWCVNWIVBWCVOHCTMWAWBU
      PUQURUSUTVAVCVDVEVFVSVTNCHOVTNVGVSVHVICBAVJVKVLVM $.

    $( The second Chebyshev function at ` 1 ` .  (Contributed by Mario
       Carneiro, 9-Apr-2016.) $)
    chp1 $p |- ( psi ` 1 ) = 0 $=
      ( vx c1 cchp cfv cfl cfz co cv cvma csu cc0 cr wcel wceq 1re chpval ax-mp
      elfz1eq fveq2d vma1 eqtrdi cz flid oveq2i eleq2s sumeq2i cuz wss cfn fzfi
      1z wo olci sumz 3eqtri ) BCDZBBEDZFGZAHZIDZAJZURKAJZKBLMUPVANOBAPQURUTKAU
      TKNUSBBFGZURUSVCMZUTBIDKVDUSBIUSBRSTUAUQBBFBUBMUQBNUKBUCQUDUEUFURBUGDUHZU
      RUIMZULVBKNVFVEBUQUJUMURABUNQUO $.

    ppi1i.m $e |- M e. NN0 $.
    ppi1i.n $e |- N = ( M + 1 ) $.
    ppi1i.p $e |- ( ppi ` M ) = K $.
    ${
      ppi1i.1 $e |- N e. Prime $.
      $( Inference form of ~ ppiprm .  (Contributed by Mario Carneiro,
         21-Sep-2014.) $)
      ppi1i $p |- ( ppi ` N ) = ( K + 1 ) $=
        ( cppi cfv c1 caddc co fveq2i cz wcel cprime wceq nn0zi eqeltrri ppiprm
        mp2an oveq1i 3eqtri ) CHIBJKLZHIZBHIZJKLZAJKLCUDHEMBNOUDPOUEUGQBDRCUDPE
        GSBTUAUFAJKFUBUC $.
    $}

    ${
      ppi2i.1 $e |- -. N e. Prime $.
      $( Inference form of ~ ppinprm .  (Contributed by Mario Carneiro,
         21-Sep-2014.) $)
      ppi2i $p |- ( ppi ` N ) = K $=
        ( cppi cfv c1 caddc co fveq2i cz wcel cprime wn wceq nn0zi eleq1i mp2an
        mtbi ppinprm 3eqtri ) CHIBJKLZHIZBHIZACUEHEMBNOUEPOZQUFUGRBDSCPOUHGCUEP
        ETUBBUCUAFUD $.
    $}
  $}

  $( The prime-counting function ` ppi ` at ` 2 ` .  (Contributed by Mario
     Carneiro, 21-Sep-2014.) $)
  ppi2 $p |- ( ppi ` 2 ) = 1 $=
    ( c2 cppi cfv cc0 c1 caddc co 1nn0 df-2 ppi1 2prm ppi1i 1e0p1 eqtr4i ) ABCD
    EFGEDEAHIJKLMN $.

  $( The prime-counting function ` ppi ` at ` 3 ` .  (Contributed by Mario
     Carneiro, 21-Sep-2014.) $)
  ppi3 $p |- ( ppi ` 3 ) = 2 $=
    ( c3 cppi cfv c1 caddc co c2 2nn0 df-3 ppi2 3prm ppi1i df-2 eqtr4i ) ABCDDE
    FGDGAHIJKLMN $.

  $( The Chebyshev function at ` 2 ` .  (Contributed by Mario Carneiro,
     22-Sep-2014.) $)
  cht2 $p |- ( theta ` 2 ) = ( log ` 2 ) $=
    ( c2 ccht c1 caddc co clog df-2 fveq2i cz wcel cprime wceq 1z 2prm eqeltrri
    cfv chtprm mp2an cc0 cht1 eqcomi oveq12i crp cr relogcl ax-mp recni addid2i
    2rp eqtr3i 3eqtri ) ABPCCDEZBPZCBPZULFPZDEZAFPZAULBGHCIJULKJUMUPLMAULKGNOCQ
    RSUQDEUPUQSUNUQUODUNSTUAAULFGHUBUQUQAUCJUQUDJUIAUEUFUGUHUJUK $.

  $( The Chebyshev function at ` 3 ` .  (Contributed by Mario Carneiro,
     22-Sep-2014.) $)
  cht3 $p |- ( theta ` 3 ) = ( log ` 6 ) $=
    ( c3 ccht cfv c2 c1 caddc co clog c6 df-3 fveq2i cz wcel cprime 2z eqeltrri
    wceq 3prm mp2an crp chtprm cmul 2rp 3rp relogmul 3t2e6 mulcomli cht2 eqcomi
    3cn 2cn oveq12i 3eqtr3ri 3eqtri ) ABCDEFGZBCZDBCZUOHCZFGZIHCZAUOBJKDLMUONMU
    PUSQOAUONJRPDUASDAUBGZHCZDHCZAHCZFGZUTUSDTMATMVBVEQUCUDDAUESVAIHADIUJUKUFUG
    KVCUQVDURFUQVCUHUIAUOHJKULUMUN $.

  $( Closure of the prime-counting function ` ppi ` in the positive integers.
     (Contributed by Mario Carneiro, 21-Sep-2014.) $)
  ppinncl $p |- ( ( A e. RR /\ 2 <_ A ) -> ( ppi ` A ) e. NN ) $=
    ( cr wcel c2 cle wbr wa cppi cfv cz c1 cn0 ppicl adantr nn0zd ppi2 ppiwordi
    cn 2re mp3an1 eqbrtrrid elnnz1 sylanbrc ) ABCZDAEFZGZAHIZJCKUGEFUGRCUFUGUDU
    GLCUEAMNOUFKDHIZUGEPDBCUDUEUHUGEFSDAQTUAUGUBUC $.

  $( Closure of the Chebyshev function in the positive reals.  (Contributed by
     Mario Carneiro, 22-Sep-2014.) $)
  chtrpcl $p |- ( ( A e. RR /\ 2 <_ A ) -> ( theta ` A ) e. RR+ ) $=
    ( cr wcel c2 cle wbr wa ccht cfv chtcl adantr cc0 clog 0red crp c1 clt 1lt2
    2re mp1i rplogcl mp2an rpre rpgt0 chtwordi mp3an1 eqbrtrrid ltletrd elrpd
    cht2 ) ABCZDAEFZGZAHIZUKUNBCULAJKZUMLDMIZUNUMNUPOCZUPBCUMDBCZPDQFUQSRDUAUBZ
    UPUCTUOUQLUPQFUMUSUPUDTUMUPDHIZUNEUJURUKULUTUNEFSDAUEUFUGUHUI $.

  $( The prime-counting function ` ppi ` is zero iff its argument is less than
     ` 2 ` .  (Contributed by Mario Carneiro, 22-Sep-2014.) $)
  ppieq0 $p |- ( A e. RR -> ( ( ppi ` A ) = 0 <-> A < 2 ) ) $=
    ( cr wcel cppi cfv cc0 wceq c2 clt wbr wn cle wne wb 2re wa ex c1 adantr cz
    lenlt mpan ppinncl nnne0d sylbird necon4bd cfl reflcl 1red caddc co 2z fllt
    mpan2 biimpa df-2 breqtrdi 1z zleltp1 sylancl mpbird ppiwordi syl3anc ppifl
    flcl ppi1 a1i 3brtr3d cn0 ppicl nn0le0eq0 syl mpbid impbid ) ABCZADEZFGZAHI
    JZVOVRVPFVOVRKZHALJZVPFMZHBCVOVTVSNOHAUAUBVOVTWAVOVTPVPAUCUDQUEUFVOVRVQVOVR
    PZVPFLJZVQWBAUGEZDEZRDEZVPFLWBWDBCZRBCWDRLJZWEWFLJVOWGVRAUHSWBUIWBWHWDRRUJU
    KZIJZWBWDHWIIVOVRWDHIJZVOHTCVRWKNULAHUMUNUOUPUQWBWDTCZRTCWHWJNVOWLVRAVESURW
    DRUSUTVAWDRVBVCVOWEVPGVRAVDSWFFGWBVFVGVHWBVPVICZWCVQNVOWMVRAVJSVPVKVLVMQVN
    $.

  $( The prime-counting function ` ppi ` is strictly less than the identity.
     (Contributed by Mario Carneiro, 22-Sep-2014.) $)
  ppiltx $p |- ( A e. RR+ -> ( ppi ` A ) < A ) $=
    ( wcel cfv cn cppi clt wbr cc0 wceq wa cr cn0 syl adantr c2 cfz co cfn cle
    c1 crp cfl rpre ppicl nn0red reflcl cprime cin chash csdm wpss fzfi wss wne
    inss1 cuz 2eluzge1 fzss1 mp1i wn simpr nnuz eleqtrdi eluzfz1 1re 2re ltnlei
    1lt2 mpbi elfzle1 mto nelne1 sylancl necomd df-pss sylanbrc sspsstr sylancr
    php3 wb ssfi mp2an hashsdom sylibr flcld ppival2 ppifl eqtr3d rpge0 syl2anc
    cz flge0nn0 hashfz1 3brtr3d flle ltletrd fveq2d 2pos 0re ppieq0 ax-mp mpbir
    eqtrdi rpgt0 eqbrtrd wo elnn0 sylib mpjaodan ) AUABZAUBCZDBZAECZAFGXKHIZXJX
    LJZXMXKAXJXMKBXLXJXMXJAKBZXMLBAUCZAUDMUENXJXKKBZXLXJXPXRXQAUFMNXJXPXLXQNZXO
    OXKPQZUGUHZUICZTXKPQZUICZXMXKFXOYAYCUJGZYBYDFGZXOYCRBZYAYCUKZYETXKULZXOYAXT
    UMZXTYCUKZYHXTUGUOZXOXTYCUMZXTYCUNYKOTUPCZBYMXOUQOTXKURUSXOYCXTXOTYCBZTXTBZ
    UTYCXTUNXOXKYNBYOXOXKDYNXJXLVAVBVCTXKVDMYPOTSGZTOFGYQUTVHTOVEVFVGVITOXKVJVK
    TYCXTVLVMVNXTYCVOVPYAXTYCVQVRYCYAVSVRYARBZYGYFYEVTXTRBYJYROXKULYLXTYAWAWBYI
    YAYCWCWBWDXJYBXMIXLXJXKECZYBXMXJXKWKBYSYBIXJAXQWEXKWFMXJXPYSXMIZXQAWGMZWHNX
    JYDXKIZXLXJXKLBZUUBXJXPHASGUUCXQAWIAWLWJZXKWMMNWNXOXPXKASGXSAWOMWPXJXNJZXMH
    AFUUEYSXMHXJYTXNUUANUUEYSHECZHUUEXKHEXJXNVAWQUUFHIZHOFGZWRHKBUUGUUHVTWSHWTX
    AXBXCWHXJHAFGXNAXDNXEXJUUCXLXNXFUUDXKXGXHXI $.

  ${
    $d k n p $.  $d k p A $.  $d k F $.
    prmorcht.1 $e |- F = ( n e. NN |-> if ( n e. Prime , n , 1 ) ) $.
    $( Relate the primorial (product of the first ` n ` primes) to the
       Chebyshev function.  (Contributed by Mario Carneiro, 22-Sep-2014.) $)
    prmorcht $p |- ( A e. NN ->
      ( exp ` ( theta ` A ) ) = ( seq 1 ( x. , F ) ` A ) ) $=
      ( vk cn wcel cfv ce cprime clog cc0 cif c1 co csu wceq syl eqtrd cc caddc
      vp ccht cv cmpt cseq cmul cfz cin cicc cr nnre chtval cfl c2 cuz 2eluzge1
      ppisval2 sylancl cz nnz flid oveq2d ineq1d sumeq1d wss wral inss1 elinel1
      wa elfznn adantl nnrpd relogcld recnd sylan2 ralrimiva cfn wo fzfi sumss2
      olci mpan2 sylancr elin baibr ifbid sumeq2i eqtr4di eleq1w fveq2 ifbieq1d
      eqid fvex 0cn elexi ifex fvmpt elnnuz biimpi fsumser fveq2d addcl eqeltrd
      ifcl efadd 1nn reeflogd fvif log1 ifeq2 ax-mp eqtri vex 3eqtr4d seqhomo
      id ) AFGZAUCHZIHAUABFBUDZJGZXTKHZLMZUEZNUFHZIHAUGCNUFHXRXSYEIXRXSNAUHOZEU
      DZJGZYGKHZLMZEPZYEXRXSYFYGYFJUIZGZYILMZEPZYKXRXSLAUJOJUIZYIEPZYOXRAUKGZXS
      YQQAULZAEUMRXRYQYLYIEPZYOXRYPYLYIEXRYPNAUNHZUHOZJUIZYLXRYRUONUPHZGYPUUCQY
      SUQANURUSXRUUBYFJXRUUAANUHXRAUTGUUAAQAVAAVBRVCVDSVEXRYLYFVFZYITGZEYLVGZYT
      YOQZYFJVHXRUUFEYLYMXRYGYFGZUUFYGYFJVIXRUUIVJZYIUUJYGUUJYGUUIYGFGZXRYGAVKV
      LZVMVNVOZVPVQUUEUUGVJYFUUDVFZYFVRGZVSUUHUUOUUNNAVTWBYLYFYIENWAWCWDSSYFYJY
      NEUUIYHYMYILYMUUIYHYGYFJWEWFWGWHWIXRYJEYDNAUUJUUKYGYDHZYJQUULBYGYCYJFYDXT
      YGQZYAYHYBYILBEJWJZXTYGKWKWLYDWMYHYILYGKWNLTWOWPWQWRRZXRAUUDGAWSWTZUUJUUF
      LTGYJTGUUMWOYHYILTXEUSZXASXBXREUBUAUGTYDCINAYGTGUBUDZTGVJZYGUVBUAOZTGXRYG
      UVBXCVLUUJUUPYJTUUSUVAXDUUTUVCUVDIHYGIHUVBIHUGOQXRYGUVBXFVLUUJYHYGNMZKHZI
      HUVEUUPIHYGCHZUUJUVEUUJUVEUUJUUKNFGUVEFGUULXGYHYGNFXEUSVMXHUUJUUPUVFIUUJU
      UPYJUVFUUSUVFYHYINKHZMZYJYHYGNKXIUVHLQUVIYJQXJYHUVHLYIXKXLXMWIXBUUJUUKUVG
      UVEQUULBYGYAXTNMUVEFCUUQYAYHXTYGNUURUUQXQWLDYHYGNEXNNFXGWPWQWRRXOXPS $.
  $}

  ${
    $d p A $.  $d p B $.
    $( Lemma for ~ mumul .  A multiple of a non-squarefree number is
       non-squarefree.  (Contributed by Mario Carneiro, 3-Oct-2014.) $)
    mumullem1 $p |- ( ( ( A e. NN /\ B e. NN ) /\ ( mmu ` A ) = 0 ) ->
      ( mmu ` ( A x. B ) ) = 0 ) $=
      ( vp cn wcel wa cmu cfv cc0 wceq co cdvds wbr cprime cz syl nnz wb isnsqf
      wrex cmul cv c2 cexp wi adantl zsqcl ad2antrr ad2antlr dvdsmultr1 syl3anc
      prmz reximdva adantr nnmulcl 3imtr4d imp ) ADEZBDEZFZAGHIJZABUAKZGHIJZUTC
      UBZUCUDKZALMZCNTZVEVBLMZCNTZVAVCUTVFVHCNUTVDNEZFZVEOEZAOEZBOEZVFVHUEVKVDO
      EZVLVJVOUTVDULUFVDUGPURVMUSVJAQUHUSVNURVJBQUIVEABUJUKUMURVAVGRUSACSUNUTVB
      DEVCVIRABUOVBCSPUPUQ $.

    $( Lemma for ~ mumul .  The product of two coprime squarefree numbers is
       squarefree.  (Contributed by Mario Carneiro, 3-Oct-2014.) $)
    mumullem2 $p |- ( ( ( A e. NN /\ B e. NN /\ ( A gcd B ) = 1 ) /\
      ( ( mmu ` A ) =/= 0 /\ ( mmu ` B ) =/= 0 ) ) ->
      ( mmu ` ( A x. B ) ) =/= 0 ) $=
      ( vp wcel co c1 wceq cc0 wne wa cpc cle wbr cprime wral cr cc sylancr 1re
      wb cn cgcd w3a cmu cfv cmul cv r19.26 caddc wi simpr simpl1 nn0red simpl2
      pccld 1red le2add syl22anc cmin wn ax-1ne0 cif simpl3 oveq2d nnzd syl3anc
      cz pcgcd pc1 adantl 3eqtr3d ifeq12 eqtr3id eqeq1d syl5ibrcom necon3ad mpi
      ax-1cn recnd subeq0 anbi12d mtbird adantr eqcom readdcli nn0addcld bitrdi
      ifid recni addsub4d bitr3d subge0 resubcl add20 an4s ex syl2anc imp bitrd
      sylbird syl5bb necon3abid mpbird jcad clt nnz nnne0 jca pcmul breq1d 1nn0
      syl nn0leltp1 sylancl ltlen 3bitrd sylibrd ralimdva syl5bir issqf 3adant3
      cn0 bi2anan9 nnmulcl 3imtr4d ) AUADZBUADZABUBEZFGZUCZAUDUEHIZBUDUEHIZJZAB
      UFEZUDUEHIZYJCUGZAKEZFLMZCNOZYPBKEZFLMZCNOZJZYPYNKEZFLMZCNOZYMYOUUCYRUUAJ
      ZCNOYJUUFYRUUACNUHYJUUGUUECNYJYPNDZJZUUGYQYTUIEZFFUIEZLMZUUKUUJIZJZUUEUUI
      UUGUULUUMUUIYQPDZYTPDZFPDZUUQUUGUULUJUUIYQUUIYPAYJUUHUKZYFYGYIUUHULZUOZUM
      ZUUIYTUUIYPBUURYFYGYIUUHUNZUOZUMZUUIUPZUVEYQYTFFUQURUUIUUGUUMUUIUUGJZUUMF
      YQUSEZHGZFYTUSEZHGZJZUTZUUIUVLUUGUUIUVKFYQGZFYTGZJZUUIFHIUVOUTVAUUIUVOFHU
      UIFHGUVOYQYTLMZYQYTVBZHGUUIYPYHKEZYPFKEZUVQHUUIYHFYPKYFYGYIUUHVCVDUUIUUHA
      VGDZBVGDZUVRUVQGUURUUIAUUSVEUUIBUVBVEABYPVHVFUUHUVSHGYJYPVIVJVKUVOFUVQHUV
      OFUVPFFVBUVQUVPFWHUVPFYQFYTVLVMVNVOVPVQUUIUVHUVMUVJUVNUUIFQDZYQQDUVHUVMTV
      RUUIYQUVAVSZFYQVTRUUIUWBYTQDUVJUVNTVRUUIYTUVDVSZFYTVTRWAWBWCUVFUVKUUKUUJU
      UKUUJGZUUJUUKGZUVFUVKUUKUUJWDZUVFUWFUVGUVIUIEZHGZUVKUUIUWFUWITUUGUUIUUKUU
      JUSEZHGZUWFUWIUUIUWKUWEUWFUUIUUKQDUUJQDUWKUWETUUKFFSSWEZWIUUIUUJUUIUUJUUI
      YQYTUUTUVCWFZUMZVSUUKUUJVTRUWGWGUUIUWJUWHHUUIFFYQYTUUIFUVEVSZUWOUWCUWDWJV
      NWKWCUUIUUGUWIUVKTZUUIUUGHUVGLMZHUVILMZJZUWPUUIUWQYRUWRUUAUUIUUQUUOUWQYRT
      SUVAFYQWLRUUIUUQUUPUWRUUATSUVDFYTWLRWAUUIUVGPDZUVIPDZUWSUWPUJUUIUUQUUOUWT
      SUVAFYQWMRUUIUUQUUPUXASUVDFYTWMRUWTUXAJUWSUWPUWTUWQUXAUWRUWPUVGUVIWNWOWPW
      QWTWRWSXAXBXCWPXDUUIUUEUUJFLMZUUJUUKXEMZUUNUUIUUDUUJFLUUIUUHUVTAHIZJZUWAB
      HIZJZUUDUUJGUURUUIYFUXEUUSYFUVTUXDAXFAXGXHXLUUIYGUXGUVBYGUWAUXFBXFBXGXHXL
      ABYPXIVFXJUUIUUJYBDFYBDUXBUXCTUWMXKUUJFXMXNUUIUUJPDUUKPDUXCUUNTUWNUWLUUJU
      UKXOXNXPXQXRXSYFYGYMUUCTYIYFYKYSYGYLUUBACXTBCXTYCYAYJYNUADZYOUUFTYFYGUXHY
      IABYDYAYNCXTXLYEWR $.

    $( The M&ouml;bius function is a multiplicative function.  This is one of
       the primary interests of the M&ouml;bius function as an arithmetic
       function.  (Contributed by Mario Carneiro, 3-Oct-2014.) $)
    mumul $p |- ( ( A e. NN /\ B e. NN /\ ( A gcd B ) = 1 ) ->
      ( mmu ` ( A x. B ) ) = ( ( mmu ` A ) x. ( mmu ` B ) ) ) $=
      ( vp cn wcel co c1 wceq cmul cmu cfv cc0 wa syl cdvds wbr cprime crab wss
      cz cgcd w3a simpl2 mucl zcnd mul02d simpr oveq1d 3adantl3 3eqtr4rd simpl1
      mumullem1 mul01d oveq2d cc nncn mulcom syl2an fveq2d adantr ancom1s eqtrd
      wne cneg cv chash cexp nnmulcld mumullem2 muval2 syl2anc caddc neg1cn a1i
      cfn cn0 fzfi prmssnn rabss2 ax-mp dvdsssfz1 sstrid sylancr hashcl expaddd
      cfz ssfi cun wo wb adantlr euclemma syl3anc rabbidva unrab eqtr4di cin c0
      nnzd inrab wn wral nprmdvds1 adantl wi prmz dvdsgcd simpll3 breq2d sylibd
      mtod rabeq0 sylibr syl5eq hashun simprl simprr oveq12d eqtr4d pm2.61da2ne
      ralrimiva ) ADEZBDEZABUAFZGHZUBZABIFZJKZAJKZBJKZIFZHYILYJLYFYILHZMZLYJIFL
      YKYHYMYJYMYJYMYCYJTEYBYCYEYLUCBUDNUEUFYMYILYJIYFYLUGUHYBYCYLYHLHZYEABULUI
      UJYFYJLHZMZYILIFLYKYHYPYIYPYIYPYBYITEYBYCYEYOUKAUDNUEUMYPYJLYIIYFYOUGUNYB
      YCYOYNYEYBYCMZYOMYHBAIFZJKZLYQYHYSHYOYQYGYRJYBAUOEBUOEYGYRHYCAUPBUPABUQUR
      USUTYCYBYOYSLHBAULVAVBUIUJYFYILVCZYJLVCZMZMZYHGVDZCVEZYGOPZCQRZVFKZVGFZYK
      UUCYGDEYHLVCYHUUIHUUCABYBYCYEUUBUKZYBYCYEUUBUCZVHABVIYGCVJVKUUCUUDUUEAOPZ
      CQRZVFKZUUEBOPZCQRZVFKZVLFZVGFUUDUUNVGFZUUDUUQVGFZIFUUIYKUUCUUDUUNUUQUUDU
      OEUUCVMVNUUCUUPVOEZUUQVPEUUCGBWFFZVOEUUPUVBSUVAGBVQUUCUUPUUOCDRZUVBQDSZUU
      PUVCSVRUUOCQDVSVTUUCYCUVCUVBSUUKBCWANWBUVBUUPWGWCZUUPWDNUUCUUMVOEZUUNVPEU
      UCGAWFFZVOEUUMUVGSUVFGAVQUUCUUMUULCDRZUVGUVDUUMUVHSVRUULCQDVSVTUUCYBUVHUV
      GSUUJACWANWBUVGUUMWGWCZUUMWDNWEUUCUUHUURUUDVGUUCUUHUUMUUPWHZVFKZUURUUCUUG
      UVJVFUUCUUGUULUUOWIZCQRUVJUUCUUFUVLCQUUCUUEQEZMZUVMATEZBTEZUUFUVLWJUUCUVM
      UGYFUVMUVOUUBYFUVMMZAYBYCYEUVMUKWSWKZYFUVMUVPUUBUVQBYBYCYEUVMUCWSWKZUUEAB
      WLWMWNUULUUOCQWOWPUSUUCUVFUVAUUMUUPWQZWRHUVKUURHUVIUVEUUCUVTUULUUOMZCQRZW
      RUULUUOCQWTUUCUWAXAZCQXBUWBWRHUUCUWCCQUVNUWAUUEGOPZUVMUWDXAUUCUUEXCXDUVNU
      WAUUEYDOPZUWDUVNUUETEZUVOUVPUWAUWEXEUVMUWFUUCUUEXFXDUVRUVSUUEABXGWMUVNYDG
      UUEOYBYCYEUUBUVMXHXIXJXKYAUWACQXLXMXNUUMUUPXOWMVBUNUUCYIUUSYJUUTIUUCYBYTY
      IUUSHUUJYFYTUUAXPACVJVKUUCYCUUAYJUUTHUUKYFYTUUAXQBCVJVKXRUJXSXT $.
  $}

  ${
    $d k n p q x y z G $.  $d n p q x z N $.  $d n p z S $.
    sqff1o.1 $e |- S = { x e. NN | ( ( mmu ` x ) =/= 0 /\ x || N ) } $.
    sqff1o.2 $e |- F = ( n e. S |-> { p e. Prime | p || n } ) $.
    sqff1o.3 $e |- G = ( n e. NN |-> ( p e. Prime |-> ( p pCnt n ) ) ) $.
    $( There is a bijection from the squarefree divisors of a number ` N ` to
       the powerset of the prime divisors of ` N ` .  Among other things, this
       implies that a number has ` 2 ^ k ` squarefree divisors where ` k ` is
       the number of prime divisors, and a squarefree number has ` 2 ^ k `
       divisors (because all divisors of a squarefree number are squarefree).
       The inverse function to ` F ` takes the product of all the primes in
       some subset of prime divisors of ` N ` .  (Contributed by Mario
       Carneiro, 1-Jul-2015.) $)
    sqff1o $p |- ( N e. NN -> F : S -1-1-onto-> ~P { p e. Prime | p || N } ) $=
      ( cn wcel wbr cprime c1 cc0 wa cn0 wceq cle vz vk vy vq cv cdvds crab cpw
      wel cif cmpt ccnv cfv wss cmu wne weq fveq2 neeq1d anbi12d elrab2 simprbi
      breq1 simprd ad2antlr cz wi prmz adantl simplr sylib simpld nnzd ad2antrr
      nnz dvdstr syl3anc mpan2d ss2rabdv prmex rabex elpw sylibr cima cfn cnveq
      cmap co imaeq1d eleq1d wf wral 1nn0 0nn0 ifcli rgenw eqid fmpt mpbi nn0ex
      a1i elmap cfz fzfi wfn ffn elpreima elequ1 ifbid elexi fvmpt biimpa sylbi
      wb mp2b wn 0nnn iffalse mtbiri syl ax-mp adantr sstrid sylancr cpc eqtr3d
      wf1o ovex ralrimiva issqf mpbird pcelnn syl2anc simpr cvv biantrurd wo id
      adantrr bitrd con4i ssriv elpwi rabss2 dvdsssfz1 sstrd ssfi elrabd 1arith
      prmssnn f1ocnv f1of f1ocnvfv2 1arithlem1 fveq1d sylan9req oveq1 1le1 0le1
      ffvelrni keephyp eqbrtrrdi iftrue sselda elrab simpll nnge1d pcge0 breq1d
      eqbrtrd ex syl5ibrcom pm2.61d eqbrtrrd pc2dvds jca sylanbrc eqcom simplbi
      ad2antrl mptex fvmpt2 sylancl eqeq1d adantrl f1ocnvfvb csn 0cnd 1cnd 0ne1
      cpr cc pw2f1olem ssrab2 sspwi simprr sselid syl2anr elnn0 orcomd r19.21bi
      pccl nnle1eq1 syl5ibcom orim2d mpd elpr fmpttd prex 3bitr4d mptiniseg 1nn
      mpbid eqeltrdi impbid2 rabbidva syl5eq eqeq2d 3bitr3d syl5bb f1o2d ) FKLZ
      CUABGUEZFUFMZGNUGZUHZUYCCUEZUFMZGNUGZUBNUBUAUIZOPUJZUKZEULZUMZDIUYBUYGBLZ
      QZUYIUYEUNUYIUYFLUYPUYHUYDGNUYPUYCNLZQZUYHUYGFUFMZUYDUYOUYSUYBUYQUYOUYGUO
      UMZPUPZUYSUYOUYGKLZVUAUYSQZAUEZUOUMZPUPZVUDFUFMZQZVUCAUYGKBACUQZVUFVUAVUG
      UYSVUIVUEUYTPVUDUYGUOURUSVUDUYGFUFVCUTHVAZVBZVDVEUYRUYCVFLZUYGVFLFVFLZUYH
      UYSQUYDVGUYQVULUYPUYCVHVIUYRUYGUYRVUBVUCUYRUYOVUBVUCQUYBUYOUYQVJVUJVKVLZV
      MUYBVUMUYOUYQFVOZVNUYCUYGFVPVQVRVSUYIUYEUYHGNVTWAWBWCUYBUAUEZUYFLZQZUYNKL
      ZUYNUOUMZPUPZUYNFUFMZQZUYNBLVURUYLUCUEZULZKWDZWELZUCRNWGWHZUGZLZVUSVURVVG
      UYLULZKWDZWELZUCUYLVVHVVDUYLSZVVFVVLWEVVNVVEVVKKVVDUYLWFWIWJVURNRUYLWKZUY
      LVVHLVVOVURUYKRLZUBNWLVVOVVPUBNUYJOPRWMWNWOWPUBNRUYKUYLUYLWQZWRWSZXARNUYL
      WTVTXBWCVUROFXCWHZWELVVLVVSUNVVMOFXDVURVVLVUPVVSAVVLVUPVUDVVLLZAUAUIZOPUJ
      ZKLZVWAVVTVUDNLZVUDUYLUMZKLZQZVWCVVOUYLNXEVVTVWGXNVVRNRUYLXFNVUDKUYLXGXOV
      WDVWFVWCVWDVWEVWBKUBVUDUYKVWBNUYLUBAUQUYJVWAOPUBAUAXHXIVVQVWBRVWAOPRWMWNW
      OXJXKWJXLXMVWAVWCVWAXPZVWCPKLXQVWHVWBPKVWAOPXRWJXSUUAXTUUBVURVUPUYEVVSVUQ
      VUPUYEUNUYBVUPUYEUUCVIZVURUYEUYDGKUGZVVSNKUNUYEVWJUNUUJUYDGNKUUDYAUYBVWJV
      VSUNVUQFGUUEYBYCUUFYCVVSVVLUUGYDUUHZVVIKUYLUYMKVVIEYGZVVIKUYMYGVVIKUYMWKV
      VIUCCEGJVVIWQUUIZKVVIEUUKVVIKUYMUULXOUUTXTZVURVVAVVBVURVVAUDUEZUYNYEWHZOT
      MZUDNWLZVURVWQUDNVURVWONLZQZVWPUDUAUIZOPUJZOTVWTVWOGNUYCUYNYEWHZUKZUMZVXB
      VWPVURVWSVXEVWOUYLUMVXBVURVWOUYLVXDVURUYNEUMZUYLVXDVURVWLVVJVXFUYLSVWMVWK
      KVVIUYLEUUMYDVURVUSVXFVXDSVWNCEUYNGJUUNXTYFUUOUBVWOUYKVXBNUYLUBUDUQUYJVXA
      OPUBUDUAXHXIVVQVXBRVXAOPRWMWNWOXJXKUUPVWSVXEVWPSVURGVWOVXCVWPNVXDUYCVWOUY
      NYEUUQVXDWQVWOUYNYEYHXKVIYFZVXAOOTMPOTMVXBOTMOPOVXBOTVCPVXBOTVCUURUUSUVAU
      VBYIVURVUSVVAVWRXNVWNUYNUDYJXTYKVURVVBVWPVWOFYEWHZTMZUDNWLZVURVXIUDNVWTVX
      BVWPVXHTVXGVWTVXAVXBVXHTMZVURVXAVXKVGVWSVURVXAVXKVURVXAQZVXBOVXHTVXAVXBOS
      VURVXAOPUVCVIVXLVXHVXLVXHKLZVWOFUFMZVXLVWSVXNVXLVWOUYELVWSVXNQVURVUPUYEVW
      OVWIUVDUYDVXNGVWONUYCVWOFUFVCUVEVKZVDVXLVWSUYBVXMVXNXNVXLVWSVXNVXOVLUYBVU
      QVXAUVFVWOFYLYMYKUVGUVJUVKYBVWTVXKVXAXPZPVXHTMZVWTVWSVUMVXQVURVWSYNUYBVUM
      VUQVWSVUOVNVWOFUVHYMVXPVXBPVXHTVXAOPXRUVIUVLUVMUVNYIVURUYNVFLVUMVVBVXJXNV
      URUYNVWNVMUYBVUMVUQVUOYBUYNFUDUVOYMYKUVPVUHVVCAUYNKBVUDUYNSZVUFVVAVUGVVBV
      XRVUEVUTPVUDUYNUOURUSVUDUYNFUFVCUTHVAUVQUYGUYNSUYNUYGSZUYBUYOVUQQQZVUPUYI
      SZUYGUYNUVRVXTUYGEUMZUYLSZGNUYCUYGYEWHZUKZUYLSZVXSVYAVXTVYBVYEUYLVXTVUBVY
      EYOLVYBVYESUYOVUBUYBVUQUYOVUBVUCVUJUVSZUVTZGNVYDVTUWACKVYEYOEJUWBUWCUWDVX
      TVWLVUBVVJVYCVXSXNVWLVXTVWMXAVYHUYBVUQVVJUYOVWKUWEKVVIUYGUYLEUWFVQVXTVYFV
      UPVYEULOUWGWDZSZVYAVXTVUPNUHZLZVYFQVYEPOUWKZNWGWHLZVYJQVYFVYJVXTUBNPOVUPV
      YEYOUWLNYOLVXTVTXAVXTUWHVXTUWIPOUPVXTUWJXAUWMVXTVYLVYFVXTUYFVYKVUPUYENUYD
      GNUWNUWOUYBUYOVUQUWPUWQYPVXTVYNVYJVXTNVYMVYEWKZVYNUYBUYOVYOVUQUYPGNVYDVYM
      UYRVYDPSZVYDOSZYQZVYDVYMLUYRVYPVYDKLZYQVYRUYRVYSVYPUYRVYDRLZVYSVYPYQUYQUY
      QVUBVYTUYPUYQYRUYOVUBUYBVYGVIZUYCUYGUXBUWRVYDUWSVKUWTUYRVYSVYQVYPUYRVYDOT
      MZVYSVYQUYPWUBGNUYPVUAWUBGNWLZUYOVUAUYBUYOVUAUYSVUKVLVIUYPVUBVUAWUCXNWUAU
      YGGYJXTUXMUXAVYDUXCUXDZUXEUXFVYDPOUYCUYGYEYHUXGWCUXHYSVYMNVYEPOUXIVTXBWCY
      PUXJVXTVYIUYIVUPVXTVYIVYQGNUGZUYIORLVYIWUESWMGNVYDOVYERVYEWQUXKYAUYBUYOWU
      EUYISVUQUYPVYQUYHGNUYRVYQVYSUYHUYRVYQVYSVYQVYDOKVYQYRUXLUXNWUDUXOUYRUYQVU
      BVYSUYHXNUYPUYQYNVUNUYCUYGYLYMYTUXPYSUXQUXRYTUXSUXTUYA $.
  $}

  ${
    $d j k x N $.  $d j k ph $.
    fsumdvdsdiag.1 $e |- ( ph -> N e. NN ) $.
    $( A "diagonal commutation" of divisor sums analogous to ~ fsum0diag .
       (Contributed by Mario Carneiro, 2-Jul-2015.)  (Revised by Mario
       Carneiro, 8-Apr-2016.) $)
    fsumdvdsdiaglem $p |- ( ph ->
    ( ( j e. { x e. NN | x || N } /\ k e. { x e. NN | x || ( N / j ) } ) ->
      ( k e. { x e. NN | x || N } /\ j e. { x e. NN | x || ( N / k ) } ) ) ) $=
      ( cv cdvds wbr cn crab wcel co wa breq1 elrabi nnzd cmul cz nncnd syl2anc
      cdiv ad2antll adantr simprl dvdsdivcl syl simprbi dvdstrd elrabd ad2antrl
      elrab cc0 wne nnne0d dvdsmulcr syl112anc mpbird divcan1d divcan2d breqtrd
      wb eqtr4d ssrab2 sselid dvdscmulr mpbid jca ex ) ACGZBGZEHIZBJKZLZDGZVKEV
      JUBMZHIZBJKLZNZVOVMLZVJVKEVOUBMZHIZBJKLZNAVSNZVTWCWDVLVOEHIBVOJVKVOEHOVRV
      OJLZAVNVQBVOJPUCZWDVOVPEWDVOWFQZWDVPWDVPVMLZVPJLZWDEJLZVNWHAWJVSFUDZAVNVR
      UEBVJEUFUAZVLBVPJPUGQZWDEWKQVRVOVPHIZAVNVRWEWNVQWNBVOJVKVOVPHOULUHUCZWDWH
      VPEHIZWLWHWIWPVLWPBVPJVKVPEHOULUHUGUIUJZWDWBVJWAHIZBVJJVKVJWAHOVNVJJLAVRV
      LBVJJPUKZWDVOVJRMZVOWARMZHIZWRWDWTVPVJRMZXAHWDWTXCHIZWNWOWDVOSLZVPSLVJSLZ
      VJUMUNXDWNVBWGWMWDVJWSQZWDVJWSUOZVJVOVPUPUQURWDXCEXAWDEVJWDEWKTZWDVJWSTXH
      USWDEVOXIWDVOWFTWDVOWFUOZUTVCVAWDXFWASLXEVOUMUNXBWRVBXGWDWAWDVMJWAVLBJVDW
      DWJVTWAVMLWKWQBVOEUFUAVEQWGXJVOVJWAVFUQVGUJVHVI $.

    fsumdvdsdiag.2 $e |- ( ( ph /\ ( j e. { x e. NN | x || N } /\
      k e. { x e. NN | x || ( N / j ) } ) ) -> A e. CC ) $.
    $( A "diagonal commutation" of divisor sums analogous to ~ fsum0diag .
       (Contributed by Mario Carneiro, 2-Jul-2015.)  (Revised by Mario
       Carneiro, 8-Apr-2016.) $)
    fsumdvdsdiag $p |- ( ph ->
   sum_ j e. { x e. NN | x || N } sum_ k e. { x e. NN | x || ( N / j ) } A =
   sum_ k e. { x e. NN | x || N } sum_ j e. { x e. NN | x || ( N / k ) } A ) $=
      ( cv cdvds wbr cn crab cdiv co c1 cfz fzfid wcel wa dvdsssfz1 ssfid sylan
      wss syl ssrab2 dvdsdivcl sselid fsumdvdsdiaglem impbid fsumcom2 ) ABIZFJK
      ZBLMZULFDIZNOZJKBLMZUNULFEIZNOJKBLMZDECAPFQOZUNAPFRAFLSZUNUTUDGFBUAUEUBZV
      BAUOUNSZTZPUPQOZUQVDPUPRVDUPLSUQVEUDVDUNLUPUMBLUFAVAVCUPUNSGBUOFUGUCUHUPB
      UAUEUBAVCURUQSTURUNSUOUSSTABDEFGUIABEDFGUIUJHUK $.
  $}

  ${
    $d m u v z A $.  $d j B $.  $d j k m u v x z N $.  $d j k m u v ph $.
    fsumdvdscom.1 $e |- ( ph -> N e. NN ) $.
    fsumdvdscom.2 $e |- ( j = ( k x. m ) -> A = B ) $.
    fsumdvdscom.3 $e |- ( ( ph /\ ( j e. { x e. NN | x || N } /\
      k e. { x e. NN | x || j } ) ) -> A e. CC ) $.
    $( A double commutation of divisor sums based on ~ fsumdvdsdiag .  Note
       that ` A ` depends on both ` j ` and ` k ` .  (Contributed by Mario
       Carneiro, 13-May-2016.) $)
    fsumdvdscom $p |- ( ph ->
   sum_ j e. { x e. NN | x || N } sum_ k e. { x e. NN | x || j } A =
   sum_ k e. { x e. NN | x || N } sum_ m e. { x e. NN | x || ( N / k ) } B ) $=
      ( vu cn csu cdiv co wceq wcel syl wa vv vz cv cdvds wbr crab nfcv nfcsb1v
      nfsum breq2 rabbidv csbeq1a adantr sumeq12dv cbvsumi cmpt csbeq1 c1 fzfid
      csb cfz wss dvdsssfz1 ssfid wf1o dvdsflip cfv oveq2 fvmpt3i adantl ssrab2
      eqid ovex simpr sselid cc wral ralrimivva nfv nfel1 nfralw eleq1d cbvralw
      raleqbidv sylib r19.21bi fsumcl fsumf1o sylan rspcdva anasss fsumdvdsdiag
      dvdsdivcl csbeq1d fsumdvdsdiaglem syld impl cvv ovexd cmul cc0 nncn nnne0
      ex wne ad2antrr simpld elrabi divdiv1 syl3anc oveq2d nnmulcl syl2an ddcan
      jca syl2anc eqtrd eqeq2d biimpa csbied sumeq2dv 3eqtrd syl5eq ) ABUCZHUDU
      EZBMUFZYDEUCZUDUEZBMUFZCFNZENYFYDLUCZUDUEZBMUFZEYKCUTZFNZLNZYFYDHFUCZOPZU
      DUEZBMUFZDGNZFNZYFYJYOELLYJUGEYMYNFEYMUGZEYKCUHZUIYGYKQZYIYMCYNFUUEYHYLBM
      YGYKYDUDUJUKZUUECYNQYQYIREYKCULZUMUNUOAYPYFYDHUAUCZOPZUDUEZBMUFZEUUICUTZF
      NZUANYFYTUULUANZFNUUBAYFYOYFUUMLUAUBYFHUBUCZOPZUPZUUIYKUUIQZYMUUKYNUULFUU
      RYLUUJBMYKUUIYDUDUJUKZUURYNUULQYQYMREYKUUICUQZUMUNAURHVAPZYFAURHUSAHMRZYF
      UVAVBIHBVCSVDAUVBYFYFUUQVEIBUBYFUUQHYFVLUUQVLZVFSUUHYFRZUUHUUQVGUUIQAUBUU
      HUUPUUIYFUUQUUOUUHHOVHUVCHUUOOVMVIVJAYKYFRZTZYMYNFUVFURYKVAPZYMUVFURYKUSU
      VFYKMRYMUVGVBUVFYFMYKYEBMVKZAUVEVNVOYKBVCSVDUVFYNVPRZFYMAUVIFYMVQZLYFACVP
      RZFYIVQZEYFVQUVJLYFVQZAUVKEFYFYIKVRUVLUVJELYFUVLLVSUVIEFYMUUCEYNVPUUDVTWA
      UUEUVKUVIFYIYMUUFUUECYNVPUUGWBWDWCWEZWFWFWGWHABUULUAFHIAUVDYQUUKRZUULVPRZ
      AUVDTZUVPFUUKUVQUVJUVPFUUKVQLYFUUIUURUVIUVPFYMUUKUUSUURYNUULVPUUTWBWDAUVM
      UVDUVNUMAUVBUVDUUIYFRIBUUHHWMWIWJWFWKZWLAYFUUNUUAFAYQYFRZTZUUNYTEHYRGUCZO
      PZOPZCUTZGNUUAUVTYTUULYTUWDUAGUBYTYRUUOOPZUPZUWBUUHUWBQEUUIUWCCUUHUWBHOVH
      WNUVTURYRVAPZYTUVTURYRUSUVTYRMRZYTUWGVBAUVBUVSUWHIUVBUVSTYFMYRUVHBYQHWMVO
      WIZYRBVCSVDUVTUWHYTYTUWFVEUWIBUBYTUWFYRYTVLUWFVLZVFSUWAYTRZUWAUWFVGUWBQUV
      TUBUWAUWEUWBYTUWFUUOUWAYROVHUWJYRUUOOVMVIVJAUVSUUHYTRZUVPAUVSUWLTUVDUVOTZ
      UVPABFUAHIWOAUWMUVPUVRXDWPWQWHUVTYTUWDDGUVTUWKTZEUWCCDWRUWNHUWBOWSUWNYGUW
      CQZTYGYQUWAWTPZQZCDQUWNUWOUWQUWNUWCUWPYGUWNUWCHHUWPOPZOPZUWPUWNUWBUWRHOUW
      NHVPRZYQVPRZYQXAXEZTZUWAVPRZUWAXAXEZTZUWBUWRQUWNUWTHXAXEZAUWTUXGTZUVSUWKA
      UVBUXHIUVBUWTUXGHXBHXCXOSXFZXGUWNYQMRZUXCUVTUXJUWKUVSUXJAYEBYQMXHVJZUMUXJ
      UXAUXBYQXBYQXCXOSUWNUWAMRZUXFUWKUXLUVTYSBUWAMXHZVJUXLUXDUXEUWAXBUWAXCXOSH
      YQUWAXIXJXKUWNUXHUWPVPRZUWPXAXEZTZUWSUWPQUXIUWNUWPMRZUXPUVTUXJUXLUXQUWKUX
      KUXMYQUWAXLXMUXQUXNUXOUWPXBUWPXCXOSHUWPXNXPXQXRXSJSXTYAXQYAYBYC $.
  $}

  ${
    $d m n x A $.  $d m n x P $.
    dvdsppwf1o.f $e |- F = ( n e. ( 0 ... A ) |-> ( P ^ n ) ) $.
    $( A bijection from the divisors of a prime power to the integers less than
       the prime count.  (Contributed by Mario Carneiro, 5-May-2016.) $)
    dvdsppwf1o $p |- ( ( P e. Prime /\ A e. NN0 ) ->
      F : ( 0 ... A ) -1-1-onto-> { x e. NN | x || ( P ^ A ) } ) $=
      ( wcel cn0 wa cc0 co cexp cdvds wbr cn cpc syl2an cz adantl wceq cfz crab
      vm cprime cv breq1 prmnn adantr elfznn0 nnexpcl cuz prmz ad2antrr elfzuz3
      cfv dvdsexp syl3anc elrabd cle simpl elrabi pccl nnzd simplr zexpcl elrab
      syl2anc simprbi pcdvdstr syl13anc pcidlem breqtrd wb fznn0 mpbir2and wrex
      oveq2 breq2d rspcev pcprmpw2 mpbid adantrl eqeq2d syl5ibrcom elfzelz pcid
      syl eqcomd adantrr impbid f1o2d ) CUDGZBHGZIZDUCJBUAKZAUEZCBLKZMNZAOUBZCD
      UEZLKZCUCUEZPKZEFWNWTWOGZIZWRXAWQMNZAXAOWPXAWQMUFWNCOGZWTHGZXAOGXDWLXGWMC
      UGUHWTBUIZCWTUJQXECRGZXHBWTUKUOGZXFWLXJWMXDCULZUMXDXHWNXISXDXKWNWTJBUNSCW
      TBUPUQURWNXBWSGZIZXCWOGZXCHGZXCBUSNZWNWLXBOGZXPXMWLWMUTZWRAXBOVAZCXBVBQXN
      XCCWQPKZBUSXNWLXBRGWQRGZXBWQMNZXCYAUSNWNWLXMXSUHXNXBXMXRWNXTSVCXNXJWMYBWL
      XJWMXMXLUMWLWMXMVDZCBVEVGXMYCWNXMXRYCWRYCAXBOWPXBWQMUFVFVHSZXBWQCVIVJWNYA
      BTXMBCVKUHVLXNWMXOXPXQIVMYDXCBVNWGVOWNXDXMIIZWTXCTZXBXATZYFYHYGXBCXCLKZTZ
      WNXMYJXDXNXBXAMNZDHVPZYJXNWMYCYLYDYEYKYCDBHWTBTXAWQXBMWTBCLVQVRVSVGWNWLXR
      YLYJVMXMXSXTXBCDVTQWAWBYGXAYIXBWTXCCLVQWCWDYFYGYHWTCXAPKZTZWNXDYNXMXEYMWT
      WNWLWTRGYMWTTXDXSWTJBWEWTCWFQWHWIYHXCYMWTXBXACPVQWCWDWJWK $.
  $}

  ${
    $d m n x A $.  $d m n x N $.  $d m n ph $.
    dvdsflf1o.1 $e |- ( ph -> A e. RR ) $.
    dvdsflf1o.2 $e |- ( ph -> N e. NN ) $.
    dvdsflf1o.f $e |- F = ( n e. ( 1 ... ( |_ ` ( A / N ) ) ) |->
      ( N x. n ) ) $.
    $( A bijection from the numbers less than ` N / A ` to the multiples of
       ` A ` less than ` N ` .  Useful for some sum manipulations.
       (Contributed by Mario Carneiro, 3-May-2016.) $)
    dvdsflf1o $p |- ( ph -> F : ( 1 ... ( |_ ` ( A / N ) ) )
        -1-1-onto-> { x e. ( 1 ... ( |_ ` A ) ) | N || x } ) $=
      ( co cdvds wbr wcel wa cn cle cr wb syl adantr vm c1 cdiv cfl cfv cv crab
      cfz breq2 elfznn nnmulcl syl2an nndivred fznnfl simplbda cc0 adantl nnred
      cmul clt nngt0d lemuldiv2 syl112anc mpbird cz nnzd elfzelz zmulcl syl2anc
      flge mpbid flcld mpbir2and dvdsmul1 elrabd elrab simprbi elrabi nndivdvds
      fznn sylan2 lediv1 wceq cc nncnd adantrl adantrr wne nnne0d divmuld eqcom
      3bitr4g f1o2d ) ADUAUBCFUCJZUDUEZUHJZFBUFZKLZBUBCUDUEZUHJZUGZFDUFZUSJZUAU
      FZFUCJZEIAXBWPMZNZWRFXCKLZBXCWTWQXCFKUIXGXCWTMZXCOMZXCWSPLZAFOMZXBOMZXJXF
      HXBWOUJZFXBUKULXGXCCPLZXKXGXOXBWNPLZAXFXMXPAWNQMZXFXMXPNRACFGHUMZXBWNUNSU
      OXGXBQMCQMZFQMZUPFUTLZXOXPRXGXBXFXMAXNUQZURAXSXFGTZAXTXFAFHURZTAYAXFAFHVA
      ZTXBCFVBVCVDXGXSXCVEMZXOXKRYCAFVEMZXBVEMZYFXFAFHVFZXBUBWOVGZFXBVHULCXCVJV
      IVKXGWSVEMZXIXJXKNRAYKXFACGVLTXCWSVTSVMAYGYHXHXFYIYJFXBVNULVOAXDXAMZNZXEW
      PMZXEOMZXEWNPLZYMFXDKLZYOYLYQAYLXDWTMZYQWRYQBXDWTWQXDFKUIVPVQUQYMXDOMZXLY
      QYORYMYRYSYLYRAWRBXDWTVRZUQXDWSUJSZAXLYLHTXDFVSVIVKYMXDCPLZYPYLAYRUUBYTAY
      RYSUUBAXSYRYSUUBNRGXDCUNSUOWAYMXDQMXSXTYAUUBYPRYMXDUUAURAXSYLGTAXTYLYDTAY
      AYLYETXDCFWBVCVKYMXQYNYOYPNRAXQYLXRTXEWNUNSVMAXFYLNZNZXEXBWCXCXDWCXBXEWCX
      DXCWCUUDXDFXBAYLXDWDMXFYMXDUUAWEWFAFWDMUUCAFHWETAXFXBWDMYLXGXBYBWEWGAFUPW
      HUUCAFHWITWJXBXEWKXDXCWKWLWM $.
  $}

  ${
    $d d m n x y A $.  $d m B $.  $d n C $.  $d d m n y ph $.
    dvdsflsumcom.1 $e |- ( n = ( d x. m ) -> B = C ) $.
    dvdsflsumcom.2 $e |- ( ph -> A e. RR ) $.
    dvdsflsumcom.3 $e |- ( ( ph /\ ( n e. ( 1 ... ( |_ ` A ) ) /\
      d e. { x e. NN | x || n } ) ) -> B e. CC ) $.
    $( A sum commutation from ` sum_ n <_ A , sum_ d || n , B ( n , d ) ` to
       ` sum_ d <_ A , sum_ m <_ A / d , B ( n , d m ) ` .  (Contributed by
       Mario Carneiro, 4-May-2016.) $)
    dvdsflsumcom $p |- ( ph ->
   sum_ n e. ( 1 ... ( |_ ` A ) ) sum_ d e. { x e. NN | x || n } B =
   sum_ d e. ( 1 ... ( |_ ` A ) ) sum_ m e. ( 1 ... ( |_ ` ( A / d ) ) ) C ) $=
      ( vy c1 co cv cdvds wbr csu wcel wa cfl cfv cfz cn crab cdiv fzfid elfznn
      wss adantl dvdsssfz1 syl ssfid cle cr nnre ad2antrl adantr nnred ad2antrr
      cz wi dvdsle syl2anr impr wb fznnfl simplbda letrd ex pm4.71rd ancom an32
      bitri bitrdi anbi1d bitr4d pm5.32da an12 breq1 elrab anbi2i breq2 3bitr4g
      nnz fsumcom2 cmul cmpt simprbda eqid dvdsflf1o wceq oveq2 ovex cc biimpar
      fvmpt syldan anassrs fsumf1o sumeq2dv eqtrd ) AMCUAUBZUCNZBOZGOZPQZBUDUEZ
      DHRGRXDHOZXEPQZBXDUEZDGRZHRXDMCXIUFNUAUBZUCNZEFRZHRAXDXHXDXKGHDAMXCUGZXPA
      XFXDSZTZMXFUCNZXHXRMXFUGXRXFUDSZXHXSUIXQXTAXFXCUHUJZXFBUKULUMAXQXIUDSZXIX
      FPQZTZTZXIXDSZXQYCTZTZXQXIXHSZTZYFXFXKSZTZAYEXQYFYCTZTYHAXQYDYMXRYDYBXICU
      NQZTZYCTZYMXRYDYNYDTZYPXRYDYNXRYDYNXRYDTZXIXFCYBXIUOSXRYCXIUPUQYRXFXRXTYD
      YAURUSACUOSZXQYDJUTXRYBYCXIXFUNQZYBXIVASXTYCYTVBXRXIWEYAXIXFVCVDVEXRXFCUN
      QZYDAXQXTUUAAYSXQXTUUATVFJXFCVGULVHURVIVJVKYQYDYNTYPYNYDVLYBYCYNVMVNVOXRY
      FYOYCAYFYOVFZXQAYSUUBJXICVGULZURVPVQVRXQYFYCVSVOYIYDXQXGYCBXIUDXEXIXFPVTW
      AWBYKYGYFXJYCBXFXDXEXFXIPWCWAWBWDZKWFAXDXLXOHAYFTZXKDXNEGFLXNXILOZWGNZWHZ
      XIFOZWGNZIUUEMXMUGUUEBCLUUHXIAYSYFJURAYFYBYNUUCWIUUHWJZWKUUIXNSUUIUUHUBUU
      JWLUUELUUIUUGUUJXNUUHUUFUUIXIWGWMUUKXIUUIWGWNWQUJAYFYKDWOSZAYLYJUULAYJYLU
      UDWPKWRWSWTXAXB $.
  $}

  ${
    $d m n A $.  $d m n ph $.
    fsumfldivdiag.1 $e |- ( ph -> A e. RR ) $.
    $( Lemma for ~ fsumfldivdiag .  (Contributed by Mario Carneiro,
       10-May-2016.) $)
    fsumfldivdiaglem $p |- ( ph ->
      ( ( n e. ( 1 ... ( |_ ` A ) ) /\ m e. ( 1 ... ( |_ ` ( A / n ) ) ) ) ->
      ( m e. ( 1 ... ( |_ ` A ) ) /\ n e. ( 1 ... ( |_ ` ( A / m ) ) ) ) ) ) $=
      ( c1 cfl cfv co wcel wa cle wbr cr wb fznnfl syl mpbid cc0 syl112anc cdiv
      cv cfz cn simprr adantr simprl simpld nndivred nnred simprd recnd mulid2d
      cmul nnge1d clt 1red 0red nnmulcld nngt0d lemuldiv2 mpbird ltletrd lemul1
      eqbrtrrd ledivmul letrd mpbir2and lemuldiv jca ex ) ADUBZFBGHUCIZJZCUBZFB
      VLUAIZGHUCIJZKZVOVMJZVLFBVOUAIZGHUCIJZKAVRKZVSWAWBVSVOUDJZVOBLMZWBWCVOVPL
      MZWBVQWCWEKZAVNVQUEWBVPNJVQWFOWBBVLABNJZVREUFZWBVLUDJZVLBLMZWBVNWIWJKZAVN
      VQUGWBWGVNWKOWHVLBPQRUHZUIZVOVPPQRZUHZWBVOVPBWBVOWOUJZWMWHWBWCWEWNUKZWBVP
      BLMZBVLBUNIZLMZWBFBUNIZBWSLWBBWBBWHULUMWBFVLLMZXAWSLMZWBVLWLUOWBFNJVLNJZW
      GSBUPMXBXCOWBUQWBVLWLUJZWHWBSVLVOUNIZBWBURWBXFWBVLVOWLWOUSZUJWHWBXFXGUTWB
      XFBLMZWEWQWBVONJZWGXDSVLUPMZXHWEOWPWHXEWBVLWLUTZVOBVLVATVBZVCFVLBVDTRVEWB
      WGWGXDXJWRWTOWHWHXEXKBBVLVFTVBVGWBWGVSWCWDKOWHVOBPQVHWBWAWIVLVTLMZWLWBXHX
      MXLWBXDWGXISVOUPMXHXMOXEWHWPWBVOWOUTVLBVOVITRWBVTNJWAWIXMKOWBBVOWHWOUIVLV
      TPQVHVJVK $.

    fsumfldivdiag.2 $e |- ( ( ph /\ ( n e. ( 1 ... ( |_ ` A ) ) /\
      m e. ( 1 ... ( |_ ` ( A / n ) ) ) ) ) -> B e. CC ) $.
    $( The right-hand side of ~ dvdsflsumcom is commutative in the variables,
       because it can be written as the manifestly symmetric sum over those
       ` <. m , n >. ` such that ` m x. n <_ A ` .  (Contributed by Mario
       Carneiro, 4-May-2016.) $)
    fsumfldivdiag $p |- ( ph ->
   sum_ n e. ( 1 ... ( |_ ` A ) ) sum_ m e. ( 1 ... ( |_ ` ( A / n ) ) ) B =
   sum_ m e. ( 1 ... ( |_ ` A ) ) sum_ n e. ( 1 ... ( |_ ` ( A / m ) ) ) B ) $=
      ( c1 cfl cfv cfz co cv cdiv fzfid wcel fsumfldivdiaglem impbid fsumcom2
      wa ) AHBIJZKLZHBEMZNLIJZKLZUBHBDMZNLIJKLZEDCAHUAOZUHAUCUBPZTHUDOAUIUFUEPT
      UFUBPUCUGPTABDEFQABEDFQRGS $.
  $}

  ${
    $d k m A $.  $d j k m n F $.  $d j k m n p q s x z N $.  $d j k m ph $.
    $d k B $.  $d m C $.
    $( The sum of the M&ouml;bius function over the divisors of ` N ` gives one
       if ` N = 1 ` , but otherwise always sums to zero.  Theorem 2.1 in
       [ApostolNT] p. 25.  This makes the M&ouml;bius function useful for
       inverting divisor sums; see also ~ muinv .  (Contributed by Mario
       Carneiro, 2-Jul-2015.) $)
    musum $p |- ( N e. NN ->
      sum_ k e. { n e. NN | n || N } ( mmu ` k ) = if ( N = 1 , 1 , 0 ) ) $=
      ( vp vx vz vs cn wcel cfv cc0 cdvds wa crab c1 cprime cexp co wceq syl vm
      vq cv cmu wne wbr csu cneg chash cif weq fveq2 neeq1d breq1 anbi12d elrab
      muval2 adantrr sylbi adantl sumeq2dv wi simpr a1i ss2rabdv cz ssrab2 mucl
      sselid zcnd cdif difrab pm3.21 necon1bd imp ss2rabi eqsstri sseli fveqeq2
      simprbi cfz fzfid dvdsssfz1 ssfid fsumss cpw cmpt oveq2d cpc eqid cbvmptv
      wn oveq1 oveq2 mpteq2dv syl5eq sqff1o breq2 rabbidv prmex rabex fvmpt cn0
      cc neg1cn cfn wss prmdvdsfi elpwi ssfi syl2an hashcl sylancr fsumf1o ciun
      expcl adantr pwfi sylib sylancl wral wdisj simprr ralrimivva invdisj wrex
      fsumiun iunrab cle cdom wb syl2anc mpbird cuz eqeq2 sylibr cmul c0 eqtrdi
      3eqtr3d ssdomg hashdom nn0uz eleqtrdi nn0zd elfz5 rspcev ralrimiva rabid2
      eqidd eqtr4id sumeq1d cbc elfznn0 fsumconst elfzelz hashbc oveq1d 3eqtr4d
      sylc caddc 1pneg1e0 oveq1i binom1p eqtr3id breq2d notbid syl5ibr ralrimiv
      nprmdvds1 rabeq0 hash0 0exp0e1 c2 df-ne eluz2b3 biimpri sylan2br exprmfct
      fveq2d rabn0 hashnncl 0expd ifbothda 3eqtr2d eqtr3d ) CHIZBUCZUDJZKUEZUWH
      CLUFZMZBHNZAUCZUDJZAUGUWMOUHZDUCZUWNLUFZDPNZUIJZQRZAUGZUWKBHNZUWOAUGCOSZO
      KUJZUWGUWMUWOUXAAUWNUWMIZUWOUXASZUWGUXFUWNHIZUWOKUEZUWNCLUFZMZMUXGUWLUXKB
      UWNHBAUKZUWJUXIUWKUXJUXLUWIUWOKUWHUWNUDULUMUWHUWNCLUNUOUPUXHUXIUXGUXJUWND
      UQURUSUTVAUWGUWMUXCUWOAUWGUWLUWKBHUWLUWKVBUWGUWHHIZMUWJUWKVCVDVEZUWGUXFMZ
      UWOUXOUXHUWOVFIUXOUWMHUWNUWLBHVGUWGUXFVCVIUWNVHTVJUWNUXCUWMVKZIZUWOKSZUWG
      UXQUWNUWIKSZBHNZIZUXRUXPUXTUWNUXPUWKUWLWLZMZBHNUXTUWKUWLBHVLUYCUXSBHUYCUX
      SVBUXMUWKUYBUXSUWKUWLUWIKUWKUWJVMVNVOVDVPVQVRUYAUXHUXRUXSUXRBUWNHUWHUWNKU
      DVSUPVTTUTUWGOCWARUXCUWGOCWBCBWCWDZWEUWGUWQCLUFZDPNZWFZUWPEUCZUIJZQRZEUGZ
      UXBUXEUWGUYGUYJUWMUXAEAUAUWMUWQUAUCZLUFZDPNZWGZUWSUYHUWSSUYIUWTUWPQUYHUWS
      UIULWHUWGUXCUWMUYDUXNWDBUWMUAUYOEHUBPUBUCZUYHWIRZWGZWGCDUWMWJUYOWJZEUAHUY
      RDPUWQUYLWIRZWGZEUAUKZUYRDPUWQUYHWIRZWGVUAUBDPUYQVUCUYPUWQUYHWIWMWKVUBDPV
      UCUYTUYHUYLUWQWIWNWOWPWKWQUXFUWNUYOJUWSSUWGUAUWNUYNUWSUWMUYOUAAUKUYMUWRDP
      UYLUWNUWQLWRWSUYSUWRDPWTXAXBUTUWGUYHUYGIZMZUWPXDIZUYIXCIZUYJXDIZXEVUEUYHX
      FIZVUGUWGUYFXFIZUYHUYFXGZVUIVUDCDXHZUYHUYFXIZUYFUYHXJXKUYHXLZTUWPUYIXPZXM
      XNUWGFKUYFUIJZWARZGUCZUIJZFUCZSZGUYGNZXOZUYJEUGVUQVVBUYJEUGZFUGZUYKUXEUWG
      FVUQVVBUYJEUWGKVUPWBUWGVUTVUQIZMZUYGXFIZVVBUYGXGVVBXFIZVVGVUJVVHUWGVUJVVF
      VULXQUYFXRXSVVAGUYGVGZUYGVVBXJXTZUWGUYIVUTSZEVVBYAFVUQYAFVUQVVBYBUWGVVLFE
      VUQVVBUWGVVFUYHVVBIZMZMZVVMVVLUWGVVFVVMYCZVVMVUDVVLVVAVVLGUYHUYGVURUYHVUT
      UIVSUPVTZTYDFEVUQVVBUYIYETVVOVUFVUGVUHXEVVOVUIVUGVVOUYFUYHUWGVUJVVNVULXQV
      VOVUDVUKVVOVVBUYGUYHVVJVVPVIVUMTWDVUNTVUOXMYGUWGVVCUYGUYJEUWGVVCVVAFVUQYF
      ZGUYGNZUYGVVAFGVUQUYGYHUWGVVRGUYGYAUYGVVSSUWGVVRGUYGUWGVURUYGIZMZVUSVUQIZ
      VUSVUSSZVVRVWAVWBVUSVUPYIUFZVWAVWDVURUYFYJUFZVWAVUJVURUYFXGZVWEUWGVUJVVTV
      ULXQZVVTVWFUWGVURUYFXIZUTVURUYFXFUUAUUTVWAVURXFIZVUJVWDVWEYKUWGVUJVWFVWIV
      VTVULVWHUYFVURXJXKZVWGVURUYFXFUUBYLYMVWAVUSKYNJZIVUPVFIVWBVWDYKVWAVUSXCVW
      KVWAVWIVUSXCIVWJVURXLTUUCUUDVWAVUPUWGVUPXCIZVVTUWGVUJVWLVULUYFXLTZXQUUEVU
      SKVUPUUFYLYMVWAVUSUUJVVAVWCFVUSVUQVUTVUSVUSYOUUGYLUUHVVRGUYGUUIYPUUKUULUW
      GVVEVUQVUPVUTUUMRZUWPVUTQRZYQRZFUGZKVUPQRZUXEUWGVUQVVDVWPFVVGVVBVWOEUGZVV
      BUIJZVWOYQRZVVDVWPVVGVVIVWOXDIZVWSVXASVVKVVGVUFVUTXCIZVXBXEVVFVXCUWGVUTVU
      PUUNUTUWPVUTXPXMVVBVWOEUUOYLVVGVVBUYJVWOEVVGVVMMUYIVUTUWPQVVMVVLVVGVVQUTW
      HVAVVGVWNVWTVWOYQUWGVUJVUTVFIVWNVWTSVVFVULVUTKVUPUUPGUYFVUTUUQXKUURUUSVAU
      WGVWROUWPUVARZVUPQRZVWQVXDKVUPQUVBUVCUWGVUFVWLVXEVWQSXEVWMUWPFVUPUVDXMUVE
      UXDVWROSVWRKSVWRUXESUWGOKOUXEVWRYOKUXEVWRYOUWGUXDMZVWRKKQROVXFVUPKKQVXFVU
      PYRUIJKVXFUYFYRUIVXFUYEWLZDPYAUYFYRSVXFVXGDPUWQPIVXGVXFUWQOLUFZWLUWQUVJVX
      FUYEVXHVXFCOUWQLUWGUXDVCUVFUVGUVHUVIUYEDPUVKYPUVTUVLYSWHUVMYSUWGUXDWLZMZV
      UPVXJVUPHIZUYFYRUEZVXJUYEDPYFZVXLVXJCUVNYNJIZVXMVXIUWGCOUEZVXNCOUVOVXNUWG
      VXOMCUVPUVQUVRCDUVSTUYEDPUWAYPVXJVUJVXKVXLYKUWGVUJVXIVULXQUYFUWBTYMUWCUWD
      UWEYTUWFYT $.

    ${
      musumsum.1 $e |- ( m = 1 -> B = C ) $.
      musumsum.2 $e |- ( ph -> A e. Fin ) $.
      musumsum.3 $e |- ( ph -> A C_ NN ) $.
      musumsum.4 $e |- ( ph -> 1 e. A ) $.
      musumsum.5 $e |- ( ( ph /\ m e. A ) -> B e. CC ) $.
      $( Evaluate a collapsing sum over the M&ouml;bius function.  (Contributed
         by Mario Carneiro, 4-May-2016.) $)
      musumsum $p |- ( ph -> sum_ m e. A
        sum_ k e. { n e. NN | n || m } ( ( mmu ` k ) x. B ) = C ) $=
        ( cn cmul co csu c1 wcel cc0 wceq cdvds wbr crab cmu cfv csn cif sselda
        cv wa musum syl oveq1d cfz fzfid dvdsssfz1 ssfid cc cz elrabi mucl zcnd
        wss adantl fsummulc1 ovif wb velsn bicomi mulid2 mul02 ifbieq12d syl5eq
        a1i 3eqtr3d sumeq2dv wral cuz cfn wo snssd syldan ralrimiva olcd sumss2
        syl21anc eleq1d rspcdva sumsn syl2anc 3eqtr2d ) ABGUIFUIZUAUBZGMUCZEUIZ
        UDUEZCNOEPZFPBWLQUFZRZCSUGZFPZWRCFPZDABWQWTFAWLBRZUJZWNWPEPZCNOWLQTZQSU
        GZCNOZWQWTXDXEXGCNXDWLMRZXEXGTABMWLJUHZEGWLUKULUMXDWNWPCEXDQWLUNOZWNXDQ
        WLUOXDXIWNXKVCXJWLGUPULUQLWOWNRZWPURRXDXLWPXLWOMRWPUSRWMGWOMUTWOVAULVBV
        DVEXDXHXFQCNOZSCNOZUGZWTXFQSCNVFXDCURRZXOWTTLXPXFWSXMXNCSXFWSVGXPWSXFFQ
        VHVIVNCVJCVKVLULVMVOVPAWRBVCXPFWRVQBQVRUEVCZBVSRZVTXBXATAQBKWAZAXPFWRAW
        SXCXPAWRBWLXSUHLWBWCAXRXQIWDWRBCFQWEWFAQBRDURRZXBDTKAXPXTFBQXFCDURHWGAX
        PFBLWCKWHCDFQBHWIWJWK $.
    $}

    muinv.1 $e |- ( ph -> F : NN --> CC ) $.
    muinv.2 $e |- ( ph -> G =
      ( n e. NN |-> sum_ k e. { x e. NN | x || n } ( F ` k ) ) ) $.
    $( The M&ouml;bius inversion formula.  If ` G ( n ) = sum_ k || n F ( k ) `
       for every ` n e. NN ` , then ` F ( n ) = sum_ k || n `
       ` mmu ( k ) G ( n / k ) = sum_ k || n mmu ( n / k ) G ( k ) ` , i.e. the
       M&ouml;bius function is the Dirichlet convolution inverse of the
       constant function ` 1 ` .  Theorem 2.9 in [ApostolNT] p. 32.
       (Contributed by Mario Carneiro, 2-Jul-2015.) $)
    muinv $p |- ( ph -> F = ( m e. NN |-> sum_ j e. { x e. NN | x || m }
      ( ( mmu ` j ) x. ( G ` ( m / j ) ) ) ) ) $=
      ( cn cdvds co cmul csu cc wcel wa cc0 c1 cv cfv cmpt wbr crab cmu feqmptd
      cdiv wceq ad2antrr fveq1d cz clt breq1 elrab simprbi adantl wne wb elrabi
      nnzd nnne0d nnz ad2antlr dvdsval2 syl3anc mpbid nnre nngt0 jca syl divgt0
      syl2anc elnnz sylanbrc breq2 rabbidv sumeq1d sumex fvmpt eqtrd oveq2d cfz
      cr eqid fzfid wss dvdsssfz1 ssfid mucl zcnd wf ffvelrn fsummulc2 sumeq2dv
      syl2an simpr adantrr anasss mulcld fsumdvdsdiag cif csn dvdsdivcl adantll
      ssrab2 sselid musum oveq1d fsummulc1 ovif nncn nncnd 1cnd divmuld mulid1d
      adantr eqeq1d bitrd mulid2d mul02d ifbieq12d syl5eq 3eqtr3d iddvds elrabd
      snssd sselda syldan 0cn ifcl sylancl cdif eldifsni neneqd iffalsed fsumss
      ffvelrnda iftrue fveq2 sumsn 3eqtr2d 3eqtrd mpteq2dva eqtr4d ) AGEKEUAZGU
      BZUCEKBUAZUUFLUDZBKUEZCUAZUFUBZUUFUUKUHMZHUBZNMZCOZUCAEKPGIUGAEKUUPUUGAUU
      FKQZRZUUPUUJUUHUUMLUDZBKUEZUULDUAZGUBZNMZDOZCOUUJUUHUUFUVAUHMZLUDZBKUEZUV
      CCOZDOZUUGUURUUJUUOUVDCUURUUKUUJQZRZUUOUULUUTUVBDOZNMUVDUVKUUNUVLUULNUVKU
      UNUUMFKUUHFUAZLUDZBKUEZUVBDOZUCZUBZUVLUVKUUMHUVQAHUVQUIUUQUVJJUJUKUVKUUMK
      QZUVRUVLUIUVKUUMULQZSUUMUMUDZUVSUVKUUKUUFLUDZUVTUVJUWBUURUVJUUKKQZUWBUUIU
      WBBUUKKUUHUUKUUFLUNUOUPUQUVKUUKULQUUKSURUUFULQZUWBUVTUSUVKUUKUVJUWCUURUUI
      BUUKKUTUQZVAUVKUUKUWEVBUUQUWDAUVJUUFVCVDUUKUUFVEVFVGUVKUUFWDQZSUUFUMUDZRZ
      UUKWDQZSUUKUMUDZRZUWAUUQUWHAUVJUUQUWFUWGUUFVHUUFVIVJVDUVKUWCUWKUWEUWCUWIU
      WJUUKVHUUKVIVJVKUUFUUKVLVMUUMVNVOZFUUMUVPUVLKUVQUVMUUMUIZUVOUUTUVBDUWMUVN
      UUSBKUVMUUMUUHLVPVQVRUVQWEUUTUVBDVSVTVKWAWBUVKUUTUVBUULDUVKTUUMWCMZUUTUVK
      TUUMWFUVKUVSUUTUWNWGUWLUUMBWHVKWIUVKUULUVKUWCUULULQZUWEUUKWJZVKWKZUVKKPGW
      LZUVAKQZUVBPQZUVAUUTQZAUWRUUQUVJIUJUUSBUVAKUTKPUVAGWMZWPZWNWAWOUURBUVCCDU
      UFAUUQWQZUURUVJUXARRUULUVBUURUVJUULPQUXAUWQWRUURUVJUXAUWTUXCWSWTXAUURUVIU
      UJUVAUUFUIZUVBSXBZDOUUFXCZUXFDOZUUGUURUUJUVHUXFDUURUVAUUJQZRZUVGUULCOZUVB
      NMUVETUIZTSXBZUVBNMZUVHUXFUXJUXKUXMUVBNUXJUVEKQZUXKUXMUIUXJUUJKUVEUUIBKXF
      UUQUXIUVEUUJQABUVAUUFXDXEXGZCBUVEXHVKXIUXJUVGUULUVBCUXJTUVEWCMZUVGUXJTUVE
      WFUXJUXOUVGUXQWGUXPUVEBWHVKWIUURUWRUWSUWTUXIAUWRUUQIXQUUIBUVAKUTZUXBWPZUX
      JUUKUVGQZRZUULUYAUWCUWOUYAUVGKUUKUVFBKXFUXJUXTWQXGUWPVKWKXJUXJUXNUXLTUVBN
      MZSUVBNMZXBUXFUXLTSUVBNXKUXJUXLUXEUYBUYCUVBSUXJUXLUVATNMZUUFUIUXEUXJUUFUV
      ATUUQUUFPQAUXIUUFXLVDUXJUVAUXIUWSUURUXRUQZXMZUXJXNUXJUVAUYEVBXOUXJUYDUVAU
      UFUXJUVAUYFXPXRXSUXJUVBUXSXTUXJUVBUXSYAYBYCYDWOUURUXGUUJUXFDUURUUFUUJUURU
      UIUUFUUFLUDZBUUFKUUHUUFUUFLUNUXDUURUWDUYGUURUUFUXDVAUUFYEVKYFYGZUURUVAUXG
      QZRUWTSPQUXFPQUURUYIUXIUWTUURUXGUUJUVAUYHYHUXSYIYJUXEUVBSPYKYLUURUVAUUJUX
      GYMQZRZUXEUVBSUYKUVAUUFUYJUVAUUFURUURUVAUUJUUFYNUQYOYPUURTUUFWCMZUUJUURTU
      UFWFUUQUUJUYLWGAUUFBWHUQWIYQUURUUQUUGPQUXHUUGUIUXDAKPUUFGIYRUXFUUGDUUFKUX
      EUXFUVBUUGUXEUVBSYSUVAUUFGYTWAUUAVMUUBUUCUUDUUE $.
  $}

  ${
    $d k A $.  $d i z D $.  $d u x M $.  $d u x N $.  $d i j k m n u v w z X $.
    $d j B $.  $d j k w z C $.  $d i j k m n u v w z Y $.  $d i j u w z Z $.
    $d i j k m n w x z $.  $d i j k m n w z ph $.
    dvdsmulf1o.1 $e |- ( ph -> M e. NN ) $.
    dvdsmulf1o.2 $e |- ( ph -> N e. NN ) $.
    dvdsmulf1o.3 $e |- ( ph -> ( M gcd N ) = 1 ) $.
    dvdsmulf1o.x $e |- X = { x e. NN | x || M } $.
    dvdsmulf1o.y $e |- Y = { x e. NN | x || N } $.
    dvdsmulf1o.z $e |- Z = { x e. NN | x || ( M x. N ) } $.
    $( If ` M ` and ` N ` are two coprime integers, multiplication forms a
       bijection from the set of pairs ` <. j , k >. ` where ` j || M ` and
       ` k || N ` , to the set of divisors of ` M x. N ` .  (Contributed by
       Mario Carneiro, 2-Jul-2015.) $)
    dvdsmulf1o $p |- ( ph ->
        ( x. |` ( X X. Y ) ) : ( X X. Y ) -1-1-onto-> Z ) $=
      ( cmul wceq co wcel cn cdvds wbr vu vv vi vj vm vn vw cxp cres wf1 wfo wf
      wf1o cv cfv wi wral wfn cc ax-mulf ax-mp ssrab3 nnsscn sstri xpss12 mp2an
      wss ffn fnssres a1i ovres adantl breq1 simplbi ad2antrl ad2antll nnmulcld
      wa elrab2 simprbi cz nnzd adantr dvdscmul syl3anc dvdsmulc zmulcld dvdstr
      syl2and mp2and sylanbrc eqeltrd ralrimivva ffnov cop cn0 simprll syl cgcd
      nnnn0d dvdsmul1 syl2anc simprr sselid simprlr nncnd mulcomd eqtrd breqtrd
      c1 gcdcomd ad2antrr rpdvds syl32anc coprmdvds eqtr3d dvdseq nnne0d oveq1d
      syl22anc eqtr4d mulcanad opeq12d expr fvres eqeqan12d fveq2 df-ov eqtr4di
      imbi12d ralxp cc0 wn wne simpr necon3ai gcdn0cl syl21anc gcddvds simprd
      imbi1d ralbidva ralbiia eqeq2d eqeq2 eqeq1d eqeq1 syl5bb bitri dff13 wrex
      2ralbidv sylibr opelxpd fvresd rpmulgcd2 syl31anc eqtrdi wb gcdeq syl2anr
      mpbird 3eqtr2rd rspceeqv ralrimiva dffo3 df-f1o ) AEFUHZGNUVHUIZUJZUVHGUV
      IUKZUVHGUVIUMAUVHGUVIULZUAUNZUVIUOZUBUNZUVIUOZOZUVMUVOOZUPZUBUVHUQZUAUVHU
      QZUVJAUVIUVHURZUCUNZUDUNZUVIPZGQZUDFUQUCEUQUVLUWBANUSUSUHZURZUVHUWGVGZUWB
      UWGUSNULUWHUTUWGUSNVHVAEUSVGFUSVGUWIERUSBUNZCSTZBREKVBVCVDZFRUSUWJDSTZBRF
      LVBVCVDEUSFUSVEVFUWGUVHNVIVFVJAUWFUCUDEFAUWCEQZUWDFQZVRZVRZUWEUWCUWDNPZGU
      WPUWEUWROAUWCUWDEFNVKVLUWQUWRRQUWRCDNPZSTZUWRGQUWQUWCUWDUWNUWCRQZAUWOUWNU
      XAUWCCSTZUWKUXBBUWCREUWJUWCCSVMKVSZVNVOZUWOUWDRQZAUWNUWOUXEUWDDSTZUWMUXFB
      UWDRFUWJUWDDSVMLVSZVNVPZVQZUWQUXFUXBUWTUWOUXFAUWNUWOUXEUXFUXGVTVPZUWNUXBA
      UWOUWNUXAUXBUXCVTVOZUWQUXFUWRUWCDNPZSTZUXBUXLUWSSTZUWTUWQUWDWAQZDWAQZUWCW
      AQZUXFUXMUPUWQUWDUXHWBUWQDADRQZUWPIWCWBZUWQUWCUXDWBZUWCUWDDWDWEUWQUXQCWAQ
      ZUXPUXBUXNUPUXTUWQCACRQZUWPHWCWBZUXSDUWCCWFWEUWQUWRWAQUXLWAQUWSWAQUXMUXNV
      RUWTUPUWQUWRUXIWBUWQUWCDUXTUXSWGUWQCDUYCUXSWGUWRUXLUWSWHWEWIWJUWJUWSSTZUW
      TBUWRRGUWJUWRUWSSVMMVSWKWLWMUCUDEFGUVIWNWKZAUWRUEUNZUFUNZNPZOZUWCUWDWOZUY
      FUYGWOZOZUPZUFFUQUEEUQZUDFUQUCEUQZUWAAUYNUCUDEFUWQUYMUEUFEFUWQUYFEQZUYGFQ
      ZVRZUYIUYLUWQUYRUYIVRZVRZUWCUYFUWDUYGUYTUWCWPQUYFWPQUWCUYFSTZUYFUWCSTZUWC
      UYFOUYTUWCUWQUXAUYSUXDWCZWTUYTUYFUYTUYPUYFRQZUWQUYPUYQUYIWQZUYPVUDUYFCSTZ
      UWKVUFBUYFREUWJUYFCSVMKVSZVNWRZWTUYTUWCUYGUYFNPZSTZUWCUYGWSPXJOZVUAUYTUWC
      UWRVUISUYTUXQUXOUWCUWRSTUYTUWCVUCWBZUYTUWDUWQUXEUYSUXHWCZWBZUWCUWDXAXBUYT
      UWRUYHVUIUWQUYRUYIXCZUYTUYFUYGUYTEUSUYFUWLVUEXDUYTUYGUYTUYQUYGRQZUWQUYPUY
      QUYIXEZUYQVUPUYGDSTZUWMVURBUYGRFUWJUYGDSVMLVSZVNWRZXFZXGXHXIUYTUXQUYGWAQZ
      UXPUWCDWSPZXJOVURVUKVULUYTUYGVUTWBZUWQUXPUYSUXSWCZUYTVVCDUWCWSPZXJUYTUWCD
      VULVVEXKUYTUXPUXQUYADCWSPZXJOZUXBVVFXJOVVEVULUWQUYAUYSUYCWCZAVVHUWPUYSAVV
      GCDWSPZXJADCADIWBACHWBXKJXHXLZUWQUXBUYSUXKWCDUWCCXMXNXHUYTUYQVURVUQUYQVUP
      VURVUSVTWRUWCUYGDXMXNUYTUXQVVBUYFWAQZVUJVUKVRVUAUPVULVVDUYTUYFVUHWBZUWCUY
      GUYFXOWEWJUYTUYFUWDUWCNPZSTZUYFUWDWSPXJOZVUBUYTUYFUYHVVNSUYTVVLVVBUYFUYHS
      TVVMVVDUYFUYGXAXBUYTUWRUYHVVNVUOUYTUWCUWDUYTUWCVUCXFZUYTUWDVUMXFZXGXPXIUY
      TVVLUXOUXPUYFDWSPZXJOUXFVVPVVMVUNVVEUYTVVSDUYFWSPZXJUYTUYFDVVMVVEXKUYTUXP
      VVLUYAVVHVUFVVTXJOVVEVVMVVIVVKUYTUYPVUFVUEUYPVUDVUFVUGVTWRDUYFCXMXNXHUWQU
      XFUYSUXJWCUYFUWDDXMXNUYTVVLUXOUXQVVOVVPVRVUBUPVVMVUNVULUYFUWDUWCXOWEWJUWC
      UYFXQXTZUYTUWDUYGUWCVVRVVAVVQUYTUWCVUCXRUYTUWRUYHUWCUYGNPVUOUYTUWCUYFUYGN
      VWAXSYAYBYCYDWMWMUWAUVMNUOZUVONUOZOZUVRUPZUBUVHUQZUAUVHUQUYOUVTVWFUAUVHUV
      MUVHQZUVSVWEUBUVHVWGUVOUVHQZVRUVQVWDUVRVWGVWHUVNVWBUVPVWCUVMUVHNYEUVOUVHN
      YEYFUUAUUBUUCVWFUYNUAUCUDEFVWFVWBUYHOZUVMUYKOZUPZUFFUQUEEUQUVMUYJOZUYNVWE
      VWKUBUEUFEFUVOUYKOZVWDVWIUVRVWJVWMVWCUYHVWBVWMVWCUYKNUOUYHUVOUYKNYGUYFUYG
      NYHYIUUDUVOUYKUVMUUEYJYKVWLVWKUYMUEUFEFVWLVWIUYIVWJUYLVWLVWBUWRUYHVWLVWBU
      YJNUOUWRUVMUYJNYGUWCUWDNYHYIUUFUVMUYJUYKUUGYJUULUUHYKUUIUUMUAUBUVHGUVIUUJ
      WKAUVLUGUNZUVNOUAUVHUUKZUGGUQUVKUYEAVWOUGGAVWNGQZVRZVWNCWSPZVWNDWSPZWOZUV
      HQVWNVWTUVIUOZOVWOVWQVWRVWSEFVWQVWRRQZVWRCSTZVWREQVWQVWNWAQZUYAVWNYLOZCYL
      OZVRZYMZVXBVWQVWNVWPVWNRQZAVWPVXIVWNUWSSTZUYDVXJBVWNRGUWJVWNUWSSVMMVSZVNZ
      VLWBZVWQCAUYBVWPHWCZWBZVWQCYLYNVXHVWQCVXNXRVXGCYLVXEVXFYOYPWRVWNCYQYRVWQV
      WRVWNSTZVXCVWQVXDUYAVXPVXCVRVXMVXOVWNCYSXBYTUWKVXCBVWRREUWJVWRCSVMKVSWKVW
      QVWSRQZVWSDSTZVWSFQVWQVXDUXPVXEDYLOZVRZYMZVXQVXMVWQDAUXRVWPIWCZWBZVWQDYLY
      NVYAVWQDVYBXRVXTDYLVXEVXSYOYPWRVWNDYQYRVWQVWSVWNSTZVXRVWQVXDUXPVYDVXRVRVX
      MVYCVWNDYSXBYTUWMVXRBVWSRFUWJVWSDSVMLVSWKUUNZVWQVXAVWTNUOZVWNUWSWSPZVWNVW
      QVWTUVHNVYEUUOVWQVYGVWRVWSNPZVYFVWQVXDUYAUXPVVJXJOZVYGVYHOVXMVXOVYCAVYIVW
      PJWCVWNCDUUPUUQVWRVWSNYHUURVWQVYGVWNOZVXJVWPVXJAVWPVXIVXJVXKVTVLVWPVXIUWS
      RQVYJVXJUUSAVXLACDHIVQVWNUWSUUTUVAUVBUVCUAVWTUVHUVNVXAVWNUVMVWTUVIYGUVDXB
      UVEUAUGUVHGUVIUVFWKUVHGUVIUVGWK $.

    fsumdvdsmul.4 $e |- ( ( ph /\ j e. X ) -> A e. CC ) $.
    fsumdvdsmul.5 $e |- ( ( ph /\ k e. Y ) -> B e. CC ) $.
    fsumdvdsmul.6 $e |- ( ( ph /\ ( j e. X /\ k e. Y ) ) -> ( A x. B ) = D ) $.
    fsumdvdsmul.7 $e |- ( i = ( j x. k ) -> C = D ) $.
    $( Product of two divisor sums.  (This is also the main part of the proof
       that " ` sum_ k || N F ( k ) ` is a multiplicative function if ` F `
       is".)  (Contributed by Mario Carneiro, 2-Jul-2015.) $)
    fsumdvdsmul $p |- ( ph -> ( sum_ j e. X A x. sum_ k e. Y B ) =
      sum_ i e. Z C ) $=
      ( vz vw csu cmul co c1 cfz fzfid cv cdvds wbr crab wcel wss dvdsssfz1 syl
      cn eqsstrid ssfid fsumcl fsummulc1 wa adantr cc adantlr fsummulc2 anassrs
      cfn wceq sumeq2dv eqtrd cxp cfv csb cop fveq2 df-ov eqtr4di csbeq1d csbie
      ovex eqtrdi adantrr adantrl mulcld eqeltrrd fsumxp nfcsb1v csbeq1a csbeq1
      nfcv cbvsumi cres syl2anc dvdsmulf1o fvres adantl ralrimivva eleq1d ralxp
      xpfi wral sylibr cima wfn wb ax-mulf ffn ax-mp ssrab3 nnsscn sstri xpss12
      wf mp2an ralima crn df-ima wf1o wfo f1ofo forn 3syl raleqdv bitr3id mpbid
      syl5eq r19.21bi fsumf1o eqtr4d 3eqtrd ) ALCHUGMDIUGZUHUILCYPUHUIZHUGLMFIU
      GZHUGZNEGUGZALCYPHAUJJUKUIZLAUJJULALBUMZJUNUOZBVAUPZUUARAJVAUQUUDUUAUROJB
      USUTVBVCZAMDIAUJKUKUIZMAUJKULAMUUBKUNUOZBVAUPZUUFSAKVAUQUUHUUFURPKBUSUTVB
      VCZUBVDUAVEALYQYRHAHUMZLUQZVFZYQMCDUHUIZIUGYRUULMDCIAMVLUQZUUKUUIVGUAAIUM
      ZMUQZDVHUQZUUKUBVIVJUULMUUMFIAUUKUUPUUMFVMUCVKVNVOVNAYSLMVPZGUEUMZUHVQZEV
      RZUEUGZYTAUELMFUVAHIUUSUUJUUOVSZVMZUVAGUUJUUOUHUIZEVRFUVDGUUTUVEEUVDUUTUV
      CUHVQUVEUUSUVCUHVTUUJUUOUHWAWBWCGUVEEFUUJUUOUHWEUDWDWFZUUEUUIAUUKUUPVFVFZ
      UUMFVHUCUVGCDAUUKCVHUQUUPUAWGAUUPUUQUUKUBWHWIWJZWKAYTNGUFUMZEVRZUFUGUVBNE
      UVJGUFUFEWOGUVIEWLGUVIEWMWPANUVJUURUVAUFUEUHUURWQZUUTGUVIUUTEWNZALVLUQUUN
      UURVLUQUUEUUILMXEWRABJKLMNOPQRSTWSZUUSUURUQUUSUVKVQUUTVMAUUSUURUHWTXAAUVJ
      VHUQZUFNAUVAVHUQZUEUURXFZUVNUFNXFZAFVHUQZIMXFHLXFUVPAUVRHILMUVHXBUVOUVRUE
      HILMUVDUVAFVHUVFXCXDXGUVPUVNUFUHUURXHZXFZAUVQUHVHVHVPZXIZUURUWAURZUVTUVPX
      JUWAVHUHXRUWBXKUWAVHUHXLXMLVHURMVHURUWCLVAVHUUCBVALRXNXOXPMVAVHUUGBVAMSXN
      XOXPLVHMVHXQXSUVNUVOUFUEUWAUURUHUVIUUTVMUVJUVAVHUVLXCXTXSAUVNUFUVSNAUVSUV
      KYAZNUHUURYBAUURNUVKYCUURNUVKYDUWDNVMUVMUURNUVKYEUURNUVKYFYGYKYHYIYJYLYMY
      KYNYO $.
  $}

  ${
    $d i j k n x A $.  $d i j k x M $.  $d i j k n x N $.  $d i k n x P $.
    $d n x K $.
    $( The value of the divisor function at a prime power.  (Contributed by
       Mario Carneiro, 17-May-2016.) $)
    sgmppw $p |- ( ( A e. CC /\ P e. Prime /\ N e. NN0 ) ->
      ( A sigma ( P ^ N ) ) = sum_ k e. ( 0 ... N ) ( ( P ^c A ) ^ k ) ) $=
      ( vx vn vi cc wcel cn0 cexp co cv cn ccxp csu cc0 wceq syl2anc adantl w3a
      cprime csgm cdvds wbr crab cfz simp1 simp2 prmnn syl nnexpcld sgmval cmpt
      simp3 oveq1 fzfid wf1o eqid dvdsppwf1o cfv oveq2 fvmpt elrabi nncnd cxpcl
      ovex syl2anr fsumf1o wa elfznn0 nn0cnd adantr mulcomd oveq2d nnrpd nn0red
      cmul cxpmuld cxpexp oveq1d eqtrd cxpmul2d 3eqtr3d sumeq2dv 3eqtrd ) AHIZB
      UBIZDJIZUAZABDKLZUCLZEMWKUDUEZENUFZFMZAOLZFPZQDUGLZBCMZKLZAOLZCPWRBAOLWSK
      LZCPWJWGWKNIWLWQRWGWHWIUHZWJBDWJWHBNIZWGWHWIUIZBUJUKZWGWHWIUOZULAWKFEUMSW
      JWNWPWRXAFCGWRBGMZKLZUNZWTWOWTAOUPWJQDUQWJWHWIWRWNXJURXEXGEDBGXJXJUSZUTSW
      SWRIZWSXJVAWTRWJGWSXIWTWRXJXHWSBKVBXKBWSKVGVCTWOWNIZWOHIWGWPHIWJXMWOWMEWO
      NVDVEXCWOAVFVHVIWJWRXAXBCWJXLVJZBWSAVRLZOLZBAWSVRLZOLXAXBXNXOXQBOXNWSAXNW
      SXLWSJIZWJWSDVKTZVLWJWGXLXCVMZVNVOXNXPBWSOLZAOLXAXNBWSAXNBWJXDXLXFVMZVPXN
      WSXSVQXTVSXNYAWTAOXNBHIXRYAWTRXNBYBVEZXSBWSVTSWAWBXNBAWSYCXTXSWCWDWEWF $.

    $( A prime power ` P ^ K ` has ` K + 1 ` divisors.  (Contributed by Mario
       Carneiro, 17-May-2016.) $)
    0sgmppw $p |- ( ( P e. Prime /\ K e. NN0 ) ->
      ( 0 sigma ( P ^ K ) ) = ( K + 1 ) ) $=
      ( vx vn cprime wcel cn0 wa cc0 cexp co csgm chash cfv c1 caddc cv cn wceq
      syl cfz cmin cdvds wbr crab prmnn nnexpcl sylan 0sgm cfn fzfid dvdsppwf1o
      cmpt eqid hasheqf1od eqtr4d cuz simpr nn0uz eleqtrdi hashfz nn0cn subid1d
      cc adantl oveq1d 3eqtrd ) AEFZBGFZHZIABJKZLKZIBUAKZMNZBIUBKZOPKZBOPKVJVLC
      QVKUCUDCRUEZMNZVNVJVKRFZVLVRSVHARFVIVSAUFABUGUHVKCUITVJVMVQUJDVMADQJKUMZV
      JIBUKCBADVTVTUNULUOUPVJBIUQNZFVNVPSVJBGWAVHVIURUSUTIBVATVJVOBOPVJBVIBVDFV
      HBVBVEVCVFVG $.

    $( The sum of divisors for a prime is ` P + 1 ` because the only divisors
       are ` 1 ` and ` P ` .  (Contributed by Mario Carneiro, 17-May-2016.) $)
    1sgmprm $p |- ( P e. Prime -> ( 1 sigma P ) = ( P + 1 ) ) $=
      ( vk cprime wcel c1 cexp csgm cc0 cfz ccxp csu caddc cn0 wceq ax-1cn 1nn0
      co cc oveq2 eqtrd cv sgmppw mp3an13 prmnn nncnd exp1d oveq2d adantr cxp1d
      wa oveq1d sumeq2dv cmin 1m1e0 oveq2i sumeq1i cz 0z exp0d eqeltrdi sylancr
      fsum1 syl5eq oveq12d cuz cfv a1i nn0uz elfznn0 expcl syl2an fsumm1 addcom
      eleqtrdi sylancl 3eqtr4d 3eqtr3d ) ACDZEAEFQZGQZHEIQZAEJQZBUAZFQZBKZEAGQA
      ELQZERDZVREMDZVTWENOPEABEUBUCVRVSAEGVRAVRAAUDUEZUFZUGVRWEWAAWCFQZBKZWFVRW
      AWDWKBVRWCWADZUJZWBAWCFWNAVRARDZWMWIUHUIUKULVRHEEUMQZIQZWKBKZVSLQEALQZWLW
      FVRWREVSALVRWRHHIQZWKBKZEWQWTWKBWPHHIUNUOUPVRXAAHFQZEVRHUQDXBRDXAXBNURVRX
      BERVRAWIUSZOUTWKXBBHWCHAFSVBVAXCTVCWJVDVRWKVSBHEVREMHVEVFWHVRPVGVHVNVRWOW
      CMDWKRDWMWIWCEVIAWCVJVKWCEAFSVLVRWOWGWFWSNWIOAEVMVOVPTVQ $.

    $( The sum of the divisors of ` 2 ^ ( N - 1 ) ` .  (Contributed by Mario
       Carneiro, 17-May-2016.) $)
    1sgm2ppw $p |- ( N e. NN ->
      ( 1 sigma ( 2 ^ ( N - 1 ) ) ) = ( ( 2 ^ N ) - 1 ) ) $=
      ( vk cn wcel c1 c2 cmin co cexp cc0 csu cdiv cn0 wceq ax-1cn 2cn a1i cneg
      cc wne csgm cfz ccxp cprime 2prm nnm1nn0 sgmppw mp3an12i cxp1 mp1i oveq1d
      sumeq2i 1ne2 necomi nnnn0 geoser syl5eq 2nn nnexpcl sylancr nncnd sylancl
      cv subcl ax-1ne0 div2negd negsubdi2 caddc df-neg pnpcan mp3an 1p0e1 1p1e2
      0cn oveq12i 3eqtr2i oveq12d div1d 3eqtr3d 3eqtrd ) ACDZEFAEGHZIHUAHZJWBUB
      HZFEUCHZBVCZIHZBKZEFAIHZGHZEFGHZLHZWIEGHZESDZFUDDWAWBMDWCWHNOUEAUFEFBWBUG
      UHWAWHWDFWFIHZBKWLWDWGWOBWFWDDZWEFWFIFSDZWEFNWPPFUIUJUKULWAFBAWQWAPQFETWA
      EFUMUNQAUOZUPUQWAWMRZERZLHWMELHWLWMWAWMEWAWISDZWNWMSDWAWIWAFCDAMDWICDURWR
      FAUSUTVAZOWIEVDVBZWNWAOQEJTWAVEQVFWAWSWJWTWKLWAXAWNWSWJNXBOWIEVGVBWTWKNWA
      WTJEGHZEJVHHZEEVHHZGHZWKEVIWNJSDWNXGXDNOVNOEJEVJVKXEEXFFGVLVMVOVPQVQWAWMX
      CVRVSVT $.

    $( The divisor function for fixed parameter ` A ` is a multiplicative
       function.  (Contributed by Mario Carneiro, 2-Jul-2015.) $)
    sgmmul $p |- ( ( A e. CC /\ ( M e. NN /\ N e. NN /\ ( M gcd N ) = 1 ) ) ->
      ( A sigma ( M x. N ) ) = ( ( A sigma M ) x. ( A sigma N ) ) ) $=
      ( vx vj vk vi wcel cn co wceq wa cv cdvds wbr crab ccxp csu cmul csgm w3a
      cc cgcd simpr1 simpr2 simpr3 eqid ssrab2 simpr sselid nncnd simpll cxpcld
      c1 adantrr nnred nnnn0d nn0ge0d adantrl mulcxpd eqcomd fsumdvdsmul sgmval
      oveq1 syldan oveq12d nnmulcld 3eqtr4rd ) AUBHZBIHZCIHZBCUCJUNKZUAZLZDMZBN
      OZDIPZEMZAQJZERZVOCNOZDIPZFMZAQJZFRZSJVOBCSJZNODIPZGMZAQJZGRZABTJZACTJZSJ
      AWFTJZVNDVSWDWIVRWCSJZAQJZGEFBCVQWBWGVIVJVKVLUDZVIVJVKVLUEZVIVJVKVLUFVQUG
      WBUGWGUGVNVRVQHZLZVRAWSVRWSVQIVRVPDIUHVNWRUIUJZUKVIVMWRULUMVNWCWBHZLZWCAX
      BWCXBWBIWCWADIUHVNXAUIUJZUKVIVMXAULUMVNWRXALZLZWOVSWDSJXEVRWCAXEVRVNWRVRI
      HXAWTUOZUPXEVRXEVRXFUQURXEWCVNXAWCIHWRXCUSZUPXEWCXEWCXGUQURVIVMXDULUTVAWH
      WNAQVDVBVNWKVTWLWESVIVMVJWKVTKWPABEDVCVEVIVMVKWLWEKWQACFDVCVEVFVIVMWFIHWM
      WJKVNBCWPWQVGAWFGDVCVEVH $.
  $}

  ${
    ppiublem1.1 $e |- ( N <_ 6 /\ ( ( P e. Prime /\ 4 <_ P ) ->
      ( ( P mod 6 ) e. ( N ... 5 ) -> ( P mod 6 ) e. { 1 , 5 } ) ) ) $.
    ppiublem1.2 $e |- M e. NN0 $.
    ppiublem1.3 $e |- N = ( M + 1 ) $.
    ppiublem1.4 $e |- ( 2 || M \/ 3 || M \/ M e. { 1 , 5 } ) $.
    $( Lemma for ~ ppiub .  (Contributed by Mario Carneiro, 12-Mar-2014.) $)
    ppiublem1 $p |- ( M <_ 6 /\ ( ( P e. Prime /\ 4 <_ P ) ->
      ( ( P mod 6 ) e. ( M ... 5 ) -> ( P mod 6 ) e. { 1 , 5 } ) ) ) $=
      ( c6 cle wbr wcel c4 co c5 c1 wi wb c2 cdvds c3 cprime cmo cfz cpr simpli
      wa caddc df-6 3brtr3i nn0rei 5re 1re leadd1i mpbir 6re ltleii letri mp2an
      5lt6 wceq wo cuz cfv cz nn0zi 5nn eluz2 mpbir3an elfzp12 ax-mp w3o cn 2nn
      nnzi 6nn prmz adantr w3a cmul 3z 2z dvdsmul2 3t2e6 breqtri mpan2 mp3an12i
      dvdsmod uzid simpl dvdsprm sylancr bitrd simpr syl5ibrcom clt wn 2lt4 2re
      breq2 4re ltnlei mpbi pm2.21i syl6 sylbid imbi1d syl5ibcom com3r dvdsmul1
      3nn df-3 peano2uz eqeltri 3lt4 3re eleq1a a1d 3jaoi oveq1i eleq2i syl5bir
      simpri jaod syl5bi pm3.2i ) BHIJZAUAKZLAIJZUFZAHUBMZBNUCMKZYJONUDZKZPPBNI
      JZNHIJYFYNBOUGMZNOUGMZIJCHYOYPICHIJZYIYJCNUCMZKZYMPPZDUEFUHUIBNOBEUJZUKUL
      UMUNZNHUKUOUSUPBNHUUAUKUOUQURYKYJBUTZYJYONUCMZKZVAZYIYMNBVBVCKZYKUUFQUUGB
      VDKNVDKYNBEVENVFVNUUBBNVGVHYJBNVIVJYIUUCYMUUERBSJZTBSJZBYLKZVKYIUUCYMPZPZ
      GUUHUULUUIUUJYIUUCUUHYMYIRYJSJZYMPUUCUUHYMPYIUUMRAUTZYMYIUUMRASJZUUNRVLKZ
      HVLKZYIAVDKZUUMUUOQZVMVOYGUURYHAVPVQZUUPUUQUURVRRHSJUUSRTRVSMZHSTVDKZRVDK
      ZRUVASJVTWATRWBURWCWDRAHWGWEWFYIRRVBVCZKZYGUUOUUNQUVCUVEWARWHVJZYGYHWIZAR
      WJWKWLYIUUNLRIJZYMYIUVHUUNYHYGYHWMZRALIWSWNUVHYMRLWOJUVHWPWQRLWRWTXAXBXCX
      DXEUUCUUMUUHYMYJBRSWSXFXGXHYIUUCUUIYMYITYJSJZYMPUUCUUIYMPYIUVJTAUTZYMYIUV
      JTASJZUVKTVLKZUUQYIUURUVJUVLQZXJVOUUTUVMUUQUURVRTHSJUVNTUVAHSUVBUVCTUVASJ
      VTWATRXIURWCWDTAHWGWEWFYITUVDKYGUVLUVKQTROUGMZUVDXKUVEUVOUVDKUVFRRXLVJXMU
      VGATWJWKWLYIUVKLTIJZYMYIUVPUVKYHUVITALIWSWNUVPYMTLWOJUVPWPXNTLXOWTXAXBXCX
      DXEUUCUVJUUIYMYJBTSWSXFXGXHUUJUUKYIBYLYJXPXQXRVJUUEYSYIYMYRUUDYJCYONUCFXS
      XTYQYTDYBYAYCYDYE $.
  $}

  $( A prime greater than ` 3 ` does not divide ` 2 ` or ` 3 ` , so its residue
     ` mod 6 ` is ` 1 ` or ` 5 ` .  (Contributed by Mario Carneiro,
     12-Mar-2014.) $)
  ppiublem2 $p |- ( ( P e. Prime /\ 4 <_ P ) -> ( P mod 6 ) e. { 1 , 5 } ) $=
    ( wcel c4 cle wbr c6 co cc0 c5 cfz c1 cz cn wi c2 c3 cdvds ppiublem1 3mix1i
    c0 cprime cmo cpr cmin prmz adantr 6nn zmodfz sylancl 6m1e5 oveq2i eleqtrdi
    wa 6re leidi noel pm2.21i clt wceq 5lt6 wb nnzi 5nn fzn mp2an eleq2s pm3.2i
    mpbi a1i 5nn0 df-6 elexi prid2 3mix3i 4nn0 df-5 z4even 3nn0 3z iddvds ax-mp
    df-4 3mix2i 2nn0 df-3 z2even 1nn0 df-2 1ex prid1 0nn0 1e0p1 z0even simpri
    mpd ) AUABZCADEZUMZAFUBGZHIJGZBZWSKIUCZBZWRWSHFKUDGZJGZWTWRALBZFMBWSXEBWPXF
    WQAUEUFUGAFUHUIXDIHJUJUKULHFDEWRXAXCNNAHKAKOAOPAPCACIAIFFFDEWRWSFIJGZBXCNZN
    FUNUOXHWRXCWSTXGWSTBXCWSUPUQIFUREZXGTUSZUTFLBILBXIXJVAFUGVBIVCVBFIVDVEVHVFV
    IVGVJVKIXBBOIQEPIQEKIIMVCVLVMVNRVOVPOCQEPCQECXBBVQSRVRWBPPQEZOPQEPXBBPLBXKV
    SPVTWAWCRWDWEOOQEPOQEOXBBWFSRWGWHKXBBOKQEPKQEKIWIWJVNRWKWLOHQEPHQEHXBBWMSRW
    NWO $.

  ${
    $d k N $.
    $( An upper bound on the prime-counting function ` ppi ` , which counts the
       number of primes less than ` N ` .  (Contributed by Mario Carneiro,
       13-Mar-2014.) $)
    ppiub $p |- ( ( N e. RR /\ 0 <_ N ) ->
                  ( ppi ` N ) <_ ( ( N / 3 ) + 2 ) ) $=
      ( vk cr wcel cc0 cle wbr cfv c3 cdiv co c2 caddc a1i cmin c6 c1 wceq syl
      c5 wa cppi 3re simpl cv cmo cpr c4 cfl cfz crab chash ppicl nn0red adantr
      2re resubcl sylancl cfn wss ssrab2 ssfi mp2an ax-mp cn nndivre cprime cin
      mpan2 ppi3 oveq12d cuz cz 3z oveq1i fveq2i mpbir reflcl peano2rem 6nn 5re
      wb peano2re flle 1re lesub1dd clt 6re lediv1 syl112anc mpbid letrd eqtr4i
      6pos c0 wne eqtri mp3an cdvds modid mp4an moddvds mp3an13 bitr3id rabbiia
      eqeq2i 1z 4m1e3 hashdvds syl5eq 2cn ax-1cn 0re ltleii cmul pm3.2i breqtri
      6cn flbi mpbir2an oveq2i flcld zcnd eqtrd cneg 5cn cc eqtr3i mpbi addcomi
      3cn recnd mpanr12 syl2anc oveq1d sylancr mp3an23 3eqtr3d adantlr ad2antrr
      cn0 fzfi hashcl nn0rei ppifl flcl flge biimpa eluz2 syl3anbrc ppidif df-4
      3nn ineq1i eqtr4di eqtr3d cdom dfin5 wi elfzle1 ppiublem2 ss2rabi eqsstri
      expcom ssdomg mp2 inss1 hashdom eqbrtrdi leadd1dd le2addd cun ovex rabbii
      wo elpr unrab inrab wn rabeq0 1lt5 ltneii necon3ai mprgbir hashun elfzelz
      eqtr2 crp nnrp 0le1 1lt6 eleqtrrdi df-3 mvrraddi nnne0i redivcli divgt0ii
      4z 2pos 2lt6 mulid1i breqtrri ltdivmul 1e0p1 subid1d 5pos 5lt6 negsubdi2i
      5nn nnzi 3p2e5 pncan2 negeqi 3eqtr2i divneg lenegi ltnegi 1pneg1e0 neg1cn
      0z neg0 renegcli neg1z 2timesd df-6 addsub4 mulcl divsubdir 3t2e6 mulcomi
      subneg 3ne0 2cnne0 divcan5 dividi divdir mp3an3 addassd 3brtr4d lesubaddd
      npcan readdcl ppiwordi mp3an2 breqtrdi 3pos divge0 addge02 lecasei ) ACDZ
      EAFGZUAZAUBHZAIJKZLMKZFGZIAICDZVULUCNVUJVUKUDVUJIAFGZVUPVUKVUJVURUAZVUMLO
      KZVUNFGVUPVUSVUTBUEZPUFKZQTUGDZBUHAUIHZUJKZUKZULHZVUNVUSVUMCDZLCDZVUTCDVU
      JVVHVURVUJVUMAUMUNZUOZUPVUMLUQURVVGCDVUSVVGVVFUSDZVVGUUADVVEUSDZVVFVVEUTV
      VLUHVVDUUBZVVCBVVEVAVVEVVFVBVCZVVFUUCVDUUDNVUJVUNCDZVURVUJIVEDVVPUUMAIVFV
      IZUOZVUSVUTVVEVGVHZULHZVVGFVUSVVDUBHZIUBHZOKZVUTVVTVUSVWAVUMVWBLOVUJVWAVU
      MRVURAUUEUOVWBLRVUSVJNVKVUSVWCIQMKZVVDUJKZVGVHZULHZVVTVUSVVDIVLHZDZVWCVWG
      RVUSIVMDZVVDVMDZIVVDFGZVWIVWJVUSVNNVUJVWKVURAUUFUOVUJVURVWLVUJVWJVURVWLWB
      VNAIUUGVIUUHIVVDUUIUUJZIVVDUUKSVVSVWFULVVEVWEVGUHVWDVVDUJUULVOUUNVPUUOUUP
      VVTVVGFGZVVSVVFUUQGZVVLVVSVVFUTVWOVVOVVSVVAVGDZBVVEUKVVFBVVEVGUURVWPVVCBV
      VEVVAVVEDZUHVVAFGZVWPVVCUUSVVAUHVVDUUTVWPVWRVVCVVAUVAUVDSUVBUVCVVSVVFUSUV
      EUVFVVSUSDZVVLVWNVWOWBVVMVVSVVEUTVWSVVNVVEVGUVGVVEVVSVBVCVVOVVSVVFUSUVHVC
      VQUVIVUSVVDQOKZPJKZUIHZVVDTOKZPJKZUIHZQMKZMKZAQOKZPJKZATOKZPJKZQMKZMKZVVG
      VUNFVUSVXBVXFVXIVXLVUSVXACDZVXBCDVUSVWTCDZPVEDZVXNVUSVVDCDZVXOVUJVXQVURAV
      RUOZVVDVSSZVTVWTPVFURZVXAVRSZVUSVXECDZVXFCDVUSVXDCDZVYBVUSVXCCDZVXPVYCVUS
      VXQTCDZVYDVXRWAVVDTUQURZVTVXCPVFURZVXDVRSZVXEWCSVUSVXHCDZVXPVXICDVUJVYIVU
      RAVSUOZVTVXHPVFURZVUSVXKCDZVXLCDVUSVXJCDZVXPVYLVUSVUJVYEVYMVUJVURUDZWAATU
      QURZVTVXJPVFURZVXKWCSVUSVXBVXAVXIVYAVXTVYKVUSVXNVXBVXAFGVXTVXAWDSVUSVWTVX
      HFGZVXAVXIFGZVUSVVDAQVXRVYNQCDZVUSWENZVUJVVDAFGVURAWDUOZWFVUSVXOVYIPCDZEP
      WGGZVYQVYRWBVXSVYJWUBVUSWHNZWUCVUSWNNZVWTVXHPWIWJWKWLVUSVXEVXKQVYHVYPVYTV
      USVXEVXDVXKVYHVYGVYPVUSVYCVXEVXDFGVYGVXDWDSVUSVXCVXJFGZVXDVXKFGZVUSVVDATV
      XRVYNVYEVUSWANWUAWFVUSVYDVYMWUBWUCWUFWUGWBVYFVYOWUDWUEVXCVXJPWIWJWKWLUVJU
      VKVUSVVGVVBQRZBVVEUKZULHZVVBTRZBVVEUKZULHZMKZVXGVVGWUIWULUVLZULHZWUNVVFWU
      OULVVFWUHWUKUVOZBVVEUKWUOVVCWUQBVVEVVBQTVVAPUFUVMUVPUVNWUHWUKBVVEUVQWMVPW
      UIUSDZWULUSDZWUIWULVHZWORWUPWUNRVVMWUIVVEUTWURVVNWUHBVVEVAVVEWUIVBVCVVMWU
      LVVEUTWUSVVNWUKBVVEVAVVEWULVBVCWUTWUHWUKUAZBVVEUKZWOWUHWUKBVVEUVRWVBWORWV
      AUVSZBVVEWVABVVEUVTWVCVWQQTWPWVCQTWEUWAUWBWVAQTVVBQTUWGUWCVDNUWDWQWUIWULU
      WEWRWQVUSWUJVXBWUMVXFMVUSWUJVXBUHQOKZQOKZPJKZUIHZOKZVXBVUSWUJPVVAQOKWSGZB
      VVEUKZULHWVHWUIWVJULWUHWVIBVVEVWQVVAVMDZWUHWVIWBVVAUHVVDUWFZWUHVVBQPUFKZR
      ZWVKWVIWVMQVVBVYSPUWHDZEQFGQPWGGWVMQRWEVXPWVOVTPUWIVDZUWJUWKQPWTXAXFVXPWV
      KQVMDZWVNWVIWBVTXGVVAQPXBXCXDSXEVPVUSBUHVVDQPVXPVUSVTNZUHVMDVUSUWRNZVUSVV
      DVWHWVDVLHVWMWVDIVLXHVPUWLZWVQVUSXGNXIXJVUSWVHVXBEOKVXBWVGEVXBOWVGLPJKZUI
      HZEWVFWWAUIWVELPJWVDLQXKXLWVDILQMKXHUWMWQUWNVOVPWWBERZEWWAFGZWWAEQMKZWGGZ
      EWWAXMLPUPWHPVTUWOZUWPZLPUPWHUWSWNUWQZXNWWAQWWEWGWWAQWGGZLPQXOKZWGGZLPWWK
      WGUWTPXRUXAUXBVVIVYSWUBWUCUAWWJWWLWBUPWEWUBWUCWHWNXPLQPUXCWRVQZUXDXQWWACD
      EVMDWWCWWDWWFUAWBWWHUXTWWAEXSVCXTWQYAVUSVXBVUSVXBVUSVXAVXTYBYCUXEXJYDVUSW
      UMVXEWVDTOKZPJKZUIHZOKZVXFVUSWUMPVVATOKWSGZBVVEUKZULHWWQWULWWSULWUKWWRBVV
      EVWQWVKWUKWWRWBWVLWUKVVBTPUFKZRZWVKWWRWWTTVVBVYEWVOETFGTPWGGWWTTRWAWVPETX
      MWAUXFXNUXGTPWTXAXFVXPWVKTVMDZWXAWWRWBVTTUXIUXJZVVATPXBXCXDSXEVPVUSBUHVVD
      TPWVRWVSWVTWXBVUSWXCNXIXJVUSWWQVXEQYEZOKZVXFWWPWXDVXEOWWPWWAYEZUIHZWXDWWO
      WXFUIWWOLYEZPJKZWXFWWNWXHPJWWNITOKTIOKZYEWXHWVDITOXHVOTIYFYKUXHWXJLILMKZI
      OKZWXJLWXKTIOUXKVOIYGDZLYGDZWXLLRYKXKILUXLVCYHUXMUXNVOWXNPYGDZPEWPZWXFWXI
      RXKXRWWGLPUXOWRWMVPWXGWXDRZWXDWXFFGZWXFWXDQMKZWGGZWWAQFGWXRWWAQWWHWEWWMXN
      WWAQWWHWEUXPYIWXFEYEZWXSWGEWWAWGGWXFWYAWGGWWIEWWAXMWWHUXQYIWYAQWXDMKZWXSW
      YAEWYBUYAUXRWMWXDQUXSXLYJWMXQWXFCDWXDVMDWXQWXRWXTUAWBWWAWWHUYBUYCWXFWXDXS
      VCXTWQYAVUSVXEYGDQYGDZWXEVXFRVUSVXEVUSVXDVYGYBYCXLVXEQUYKURXJYDVKXJVUSVUN
      QOKZQMKZVXIVXKMKZQMKVUNVXMVUSWYDWYFQMVUSLAXOKZPOKZPJKZVXHVXJMKZPJKZWYDWYF
      VUSWYHWYJPJVUSWYHAAMKZQTMKZOKZWYJVUSWYGWYLPWYMOVUSAVUSAVYNYLZUYDPWYMRVUSP
      TQMKWYMUYETQYFXLYJWQNVKVUSAYGDZWYPWYNWYJRZWYOWYOWYPWYPUAWYCTYGDWYQXLYFAAQ
      TUYFYMYNYDYOVUSWYIWYGPJKZPPJKZOKZWYDVUSWYGYGDZWYIWYTRZVUSWXNWYPXUAXKWYOLA
      UYGYPXUAWXOWXOWXPUAZXUBXRWXOWXPXRWWGXPZWYGPPUYHYQSVUSWYRVUNWYSQOVUSWYRWYG
      LIXOKZJKZVUNPXUEWYGJILXOKPXUEUYIILYKXKUYJYHYAVUSWYPXUFVUNRZWYOWYPWXMIEWPZ
      UAWXNLEWPUAXUGWXMXUHYKUYLXPUYMAILUYNYQSXJWYSQRVUSPXRWWGUYONVKYDVUSVXHYGDZ
      VXJYGDZWYKWYFRZVUSVXHVYJYLVUSVXJVYOYLXUIXUJXUCXUKXUDVXHVXJPUYPUYQYNYRYOVU
      SVUNYGDWYCWYEVUNRVUSVUNVVRYLXLVUNQVUAURVUSVXIVXKQVUSVXIVYKYLVUSVXKVYPYLWY
      CVUSXLNUYRYRUYSWLVUSVUMLVUNVVKVVIVUSUPNVVRUYTWKYSVULAIFGZUAZVUMLVUOVUJVVH
      VUKXULVVJYTVVIXUMUPNXUMVVPVVIVUOCDVUJVVPVUKXULVVQYTZUPVUNLVUBURXUMVUMVWBL
      FVUJXULVUMVWBFGZVUKVUJVUQXULXUOUCAIVUCVUDYSVJVUEXUMEVUNFGZLVUOFGZVULXUPXU
      LVULVUQEIWGGXUPUCVUFAIVUGYMUOXUMVVIVVPXUPXUQWBUPXUNLVUNVUHYPWKWLVUI $.
  $}

  ${
    $d k n p A $.  $d k n p x N $.
    $( The von Mangoldt function is less than the natural log.  (Contributed by
       Mario Carneiro, 7-Apr-2016.) $)
    vmalelog $p |- ( A e. NN -> ( Lam ` A ) <_ ( log ` A ) ) $=
      ( vp vk cn wcel cvma cfv clog cle wbr cc0 cv co wceq cprime adantr adantl
      wrex crp c1 breq1 cexp isppw2 wa cmul prmnn nnrpd relogcld cr nnre nnge1d
      wne log1 wb 1rp logleb sylancr mpbid eqbrtrrid nnge1 lemulge12d vmappw cz
      nnz relogexp syl2an 3brtr4d fveq2 breq12d syl5ibrcom rexlimivv syl6bi imp
      nnrp pm2.61ne ) ADEZAFGZAHGZIJZKVRIJVQKVQKVRIUAVPVQKULZVSVPVTABLZCLZUBMZN
      ZCDRBORVSACBUCWDVSBCODWAOEZWBDEZUDZVSWDWCFGZWCHGZIJWGWAHGZWBWJUEMZWHWIIWG
      WJWBWGWAWEWASEZWFWEWAWAUFZUGZPZUHWFWBUIEWEWBUJQWGKTHGZWJIUMWGTWAIJZWPWJIJ
      ZWGWAWEWADEWFWMPUKWGTSEZWLWQWRUNUOWOTWAUPUQURUSWFTWBIJWEWBUTQVAWAWBVBWEWL
      WBVCEWIWKNWFWNWBVDWAWBVEVFVGWDVQWHVRWIIAWCFVHAWCHVHVIVJVKVLVMVPKWPVRIUMVP
      TAIJZWPVRIJZAUTVPWSASEWTXAUNUOAVNTAUPUQURUSVO $.

    $( The first Chebyshev function is less than the second.  (Contributed by
       Mario Carneiro, 7-Apr-2016.) $)
    chtlepsi $p |- ( A e. RR -> ( theta ` A ) <_ ( psi ` A ) ) $=
      ( vn cr wcel cc0 cicc co cprime cin cv cvma cfv csu c1 cfl cfz cle wa syl
      c2 ccht cchp fzfid cn elfznn adantl vmacl wbr vmage0 ppisval cuz 2eluzge1
      inss1 wss fzss1 mp1i sstrid fsumless clog chtval wceq simpr elin2d vmaprm
      eqsstrd sumeq2dv eqtr4d chpval 3brtr4d ) ACDZEAFGZHIZBJZKLZBMZNAOLZPGZVNB
      MAUALZAUBLQVJVQVNVLBVJNVPUCVJVMVQDZRZVMUDDZVNCDVSWAVJVMVPUEUFZVMUGSVTWAEV
      NQUHWBVMUISVJVLTVPPGZHIZVQAUJVJWDWCVQWCHUMTNUKLDWCVQUNVJULTNVPUOUPUQVEURV
      JVRVLVMUSLZBMVOABUTVJVLVNWEBVJVMVLDZRZVMHDVNWEVAWGVKHVMVJWFVBVCVMVDSVFVGA
      BVHVI $.

    $( Closure of the second Chebyshev function in the positive reals.
       (Contributed by Mario Carneiro, 8-Apr-2016.) $)
    chprpcl $p |- ( ( A e. RR /\ 2 <_ A ) -> ( psi ` A ) e. RR+ ) $=
      ( cr wcel c2 cle wbr cchp cfv ccht chpcl adantr chtrpcl chtlepsi rpgecld
      wa ) ABCZDAEFZOAGHZAIHZPRBCQAJKALPSREFQAMKN $.

    $( The second Chebyshev function is zero iff its argument is less than
       ` 2 ` .  (Contributed by Mario Carneiro, 9-Apr-2016.) $)
    chpeq0 $p |- ( A e. RR -> ( ( psi ` A ) = 0 <-> A < 2 ) ) $=
      ( cr wcel cchp cfv cc0 wceq c2 clt wbr wn cle wne wb wa ex adantr sylancl
      c1 cz 2re lenlt mpan chprpcl rpne0d sylbird necon4bd reflcl 1red caddc co
      cfl 2z fllt mpan2 biimpa df-2 breqtrdi 1z zleltp1 mpbird chpwordi syl3anc
      flcl chpfl chp1 a1i 3brtr3d chpge0 chpcl 0re letri3 mpbir2and impbid ) AB
      CZADEZFGZAHIJZVOVRVPFVOVRKZHALJZVPFMZHBCVOVTVSNUAHAUBUCVOVTWAVOVTOVPAUDUE
      PUFUGVOVRVQVOVROZVQVPFLJZFVPLJZWBAULEZDEZSDEZVPFLWBWEBCZSBCWESLJZWFWGLJVO
      WHVRAUHQWBUIWBWIWESSUJUKZIJZWBWEHWJIVOVRWEHIJZVOHTCVRWLNUMAHUNUOUPUQURWBW
      ETCZSTCWIWKNVOWMVRAVDQUSWESUTRVAWESVBVCVOWFVPGVRAVEQWGFGWBVFVGVHVOWDVRAVI
      QWBVPBCZFBCVQWCWDONVOWNVRAVJQVKVPFVLRVMPVN $.

    $( The first Chebyshev function is zero iff its argument is less than
       ` 2 ` .  (Contributed by Mario Carneiro, 9-Apr-2016.) $)
    chteq0 $p |- ( A e. RR -> ( ( theta ` A ) = 0 <-> A < 2 ) ) $=
      ( cr wcel ccht cfv cc0 wceq c2 clt wbr wn cle wne wb 2re lenlt mpan wa ex
      adantr chtrpcl rpne0d sylbird necon4bd cchp chpeq0 biimpar breqtrd chtge0
      chtlepsi chtcl 0re letri3 sylancl mpbir2and impbid ) ABCZADEZFGZAHIJZUQUT
      URFUQUTKZHALJZURFMZHBCUQVBVANOHAPQUQVBVCUQVBRURAUAUBSUCUDUQUTUSUQUTRZUSUR
      FLJZFURLJZVDURAUEEZFLUQURVGLJUTAUJTUQVGFGUTAUFUGUHUQVFUTAUITVDURBCZFBCUSV
      EVFRNUQVHUTAUKTULURFUMUNUOSUP $.

    $( Upper bound on the ` theta ` function.  (Contributed by Mario Carneiro,
       22-Sep-2014.) $)
    chtleppi $p |- ( A e. RR+ ->
      ( theta ` A ) <_ ( ( ppi ` A ) x. ( log ` A ) ) ) $=
      ( vp wcel cc0 co cprime clog cfv csu cmul cle cr syl adantr ce wb 3brtr4d
      wbr wceq syl2anc crp cicc cin cv ccht cppi cfn rpre ppifi wa simpr elin2d
      cn prmnn nnrpd relogcl w3a elin1d 0re elicc2 sylancr biimpa syldan simp3d
      relogcld reeflogd reeflog efle mpbird fsumle chtval chash ppival cc recnd
      oveq1d fsumconst eqtr4d ) AUACZDAUBEZFUCZBUDZGHZBIZWAAGHZBIZAUEHZAUFHZWEJ
      EZKVSWAWCWEBVSALCZWAUGCZAUHZAUIMZVSWBWACZUJZWBWOWBWOWBFCWBUMCWOVTFWBVSWNU
      KZULWBUNMUOZVEZVSWELCZWNAUPZNZWOWCWEKRZWCOHZWEOHZKRZWOWBAXCXDKWOWBLCZDWBK
      RZWBAKRZVSWNWBVTCZXFXGXHUQZWOVTFWBWPURVSXIXJVSDLCWJXIXJPUSWLDAWBUTVAVBVCV
      DWOWBWQVFVSXDASWNAVGNQWOWCLCWSXBXEPWRXAWCWEVHTVIVJVSWJWGWDSWLABVKMVSWIWAV
      LHZWEJEZWFVSWHXKWEJVSWJWHXKSWLAVMMVPVSWKWEVNCWFXLSWMVSWEWTVOWAWEBVQTVRQ
      $.

    $( Lemma for ~ chtub .  (Contributed by Mario Carneiro, 13-Mar-2014.) $)
    chtublem $p |- ( N e. NN -> ( theta ` ( ( 2 x. N ) - 1 ) ) <_
                ( ( theta ` N ) + ( ( log ` 4 ) x. ( N - 1 ) ) ) ) $=
      ( cn wcel c2 cmul co c1 cmin cfv caddc cr syl cc0 cn0 cle wbr cc wceq cpc
      adantr vp vn vk ccht cbc clog 2nn nnmulcl mpan nnred peano2rem chtcl nnre
      cfz nnnn0 2m1e1 oveq2i nncnd 2cn ax-1cn subsub mp3an23 nncn subdi mp3an13
      2t1e2 eqtrdi oveq1d eqtr3id 2nn0 nnm1nn0 nn0mulcl sylancr nn0p1nn eqeltrd
      c4 eqtr4d 1re a1i leadd2dd 2timesd breqtrrd wb syl3anc readdcld nn0red ce
      4re cdvds cv cprime wa cif iftrue adantl wi breq2d syl5ibrcom wn cfa nnzd
      cuz eluz syl2anr mpbird syl2anc faccld iffalse nn0cnd fveq2d oveq2d eqtrd
      cz cdiv wne nnz nnne0 jca nnmulcld pcmul 3eqtrd mtod pm2.61d 1nn0 nn0ge0d
      pceq0 cmpt prmorcht cexp ralrimiva pcmpt efchtcl 3brtr4d csu wss eqeltrrd
      recnd efle oveq2 mulcom nnge1 leaddsub mpbid elfz2nn0 syl3anbrc bccl2 crp
      nnrpd relogcld 4pos elrpii relogcl ax-mp wral simpr pccld nn0addge1 prmnn
      remulcl ad2antlr simprl prmz dvdsfac id pcelnn nnge1d addid2d assraddsubd
      ad2antll bcval2 mvrladdd pcdiv simprr prmfac1 3expia sylan simpld sylibrd
      dvdsmultr1 facnn2 oveq12d 00id pccl subid1d expr eqbrtrd ex 0nn0 nn0addcl
      ifcli breq1d cseq exp1d ifeq1d mpteq2ia eqcomi eqidd simpl pc2dvds dvdsle
      eqid mpd efadd reeflogd fzfid elfzelz bccl syl2an nn0uz fzss1 fzss2 sstrd
      eleqtrdi fsumless nn0zd bccmpl fsum1 npcand peano2uz sselda syldan fsumm1
      uzid 3eqtr4rd binom11 expp1 expmuld sq2 oveq1i 3brtr3d clt reexpcl pm3.2i
      2re 2pos lemul1 recni reexplog letrd ) ABCZDAEFZGHFZUDIZAUDIZVUBAUEFZUFIZ
      JFZVUDVPUFIZAGHFZEFZJFUYTVUBKCZVUCKCZUYTVUAKCZVUKUYTVUADBCUYTVUABCUGDAUHU
      IZUJZVUAUKLZVUBULLZUYTVUDVUFUYTAKCZVUDKCAUMZAULLZUYTVUEUYTVUEUYTAMVUBUNFZ
      CZVUEBCZUYTANCZVUBNCZAVUBOPZVVBAUOZUYTVUBBCZVVEUYTVUBDVUIEFZGJFZBUYTVUBVU
      ADGHFZHFZVVJVVKGVUAHUPUQUYTVVLVUADHFZGJFZVVJUYTVUAQCZVVLVVNRZUYTVUAVUNURV
      VODQCZGQCZVVPUSUTVUADGVAVBLUYTVVIVVMGJUYTVVIVUADGEFZHFZVVMUYTAQCZVVIVVTRZ
      AVCZVVQVWAVVRVWBUSUTDAGVDVELVVSDVUAHVFUQVGVHVQVIZUYTVVINCZVVJBCUYTDNCZVUI
      NCZVWEVJAVKZDVUIVLVMZVVIVNLVOZVUBUOLZUYTAGJFZVUAOPZVVFUYTVWLAAJFZVUAOUYTG
      AAGKCZUYTVRVSZVUSVUSAUUAVTUYTAVWCWAZWBUYTVURVWOVUMVWMVVFWCVUSVWPVUOAGVUAU
      UBWDUUCZAVUBUUDUUEZAVUBUUFLZUUHZUUIZWEZUYTVUDVUJVUTUYTVUHKCZVUIKCVUJKCZVP
      UUGCZVXDVPWHUUJUUKZVPUULUUMZUYTVUIVWHWFVUHVUIUUSVMZWEUYTVUCVUGOPZVUCWGIZV
      UGWGIZOPZUYTVXKVUDWGIZVUEEFZVXLOUYTVXKVXOWIPZVXKVXOOPZUYTVXPUAWJZVXKSFZVX
      RVXOSFZOPZUAWKUUNZUYTVYAUAWKUYTVXRWKCZWLZVXRVUBOPZGMWMZVXRAOPZGMWMZVXRVUE
      SFZJFZVXSVXTOVYDVYEVYFVYJOPZVYDVYEVYKVYDVYEWLZVYFGVYJOVYEVYFGRVYDVYEGMWNW
      OVYLVYGGVYJOPZVYDVYGVYMWPVYEVYDVYMVYGGGVYIJFZOPZVYDVWOVYINCZVYOVRVYDVXRVU
      EUYTVYCUUOZUYTVVCVYCVWTTZUUPZGVYIUUQVMVYGVYJVYNGOVYGVYHGVYIJVYGGMWNVHWQWR
      TVYDVYEVYGWSZVYMVYDVYEVYTWLZWLZGVXRVUBWTIZSFZVYJOWUBWUDWUBWUDBCZVXRWUCWIP
      ZWUBVXRBCZVUBVXRXBICZWUFVYCWUGUYTWUAVXRUURUUTWUBWUHVYEVYDVYEVYTUVAVYDWUHV
      YEWCZWUAVYCVXRXMCZVUBXMCZWUIUYTVXRUVBZUYTVUBVWJXAZVXRVUBXCXDTXEVXRVUBUVCX
      FVYDWUEWUFWCZWUAVYCVYCWUCBCZWUNUYTVYCUVDZUYTVUBVWKXGZVXRWUCUVEXDTXEUVFWUB
      VYJMVYIJFZVYIWUDVYTVYJWURRVYDVYEVYTVYHMVYIJVYGGMXHVHUVIVYDWURVYIRWUAVYDVY
      IVYDVYIVYSXIUVGTWUBVYIWUDVXRVUIWTIZSFZVXRAWTIZSFZJFZHFZWUDMHFZWUDVYDVYIWV
      DRWUAVYDVYIVXRWUCWUSWVAEFZXNFZSFZWUDVXRWVFSFZHFZWVDVYDVUEWVGVXRSUYTVUEWVG
      RVYCUYTVUEWUCVUBAHFZWTIZWVAEFZXNFZWVGUYTVVBVUEWVNRVWSAVUBUVJLUYTWVMWVFWUC
      XNUYTWVLWUSWVAEUYTWVKVUIWTUYTVUBAVUIVWCUYTVUIVWHXIZUYTVUBAAGVWCVWCVVRUYTU
      TVSZUYTVUAVWNGHVWQVHUVHUVKZXJVHXKXLTXKVYDVYCWUCXMCZWUCMXOZWLZWVFBCZWVHWVJ
      RVYQUYTWVTVYCUYTWUOWVTWUQWUOWVRWVSWUCXPWUCXQXRLTUYTWWAVYCUYTWUSWVAUYTVUIV
      WHXGZUYTAVVGXGZXSTWUCWVFVXRUVLWDVYDWVIWVCWUDHVYDVYCWUSXMCZWUSMXOZWLZWVAXM
      CZWVAMXOZWLZWVIWVCRVYQUYTWWFVYCUYTWUSBCZWWFWWBWWJWWDWWEWUSXPWUSXQXRLTZUYT
      WWIVYCUYTWVABCZWWIWWCWWLWWGWWHWVAXPWVAXQXRLTWUSWVAVXRXTWDXKYATWUBWVCMWUDH
      WUBWVCMMJFMWUBWUTMWVBMJWUBWUTMRZVXRWUSWIPZWSZWUBWWNVXRWVAWIPZWUBWWPVYGVYD
      VYEVYTUVMVYDWWPVYGWPZWUAUYTVVDVYCWWQVVGVVDVYCWWPVYGVXRAUVNUVOUVPTYBZVYDWW
      NWWPWPWUAVYDWWNVXRWUSAEFZWIPZWWPVYDWUJWWDAXMCZWWNWWTWPVYCWUJUYTWULWOVYDWW
      DWWEWWKUVQUYTWXAVYCAXPZTVXRWUSAUVSWDVYDWVAWWSVXRWIUYTWVAWWSRVYCAUVTTWQUVR
      TYBVYDWWMWWOWCZWUAVYCVYCWWJWXCUYTWUPWWBVXRWUSYFXDTXEWUBWVBMRZWWPWSZWWRVYD
      WXDWXEWCZWUAVYCVYCWWLWXFUYTWUPWWCVXRWVAYFXDTXEUWAUWBVGXKVYDWVEWUDRWUAVYDW
      UDVYDWUDVYCVYCWUOWUDNCUYTWUPWUQVXRWUCUWCXDXIUWDTYAYAWBUWEYCUWFUWGVYDVYKVY
      EWSZMVYJOPVYDVYJVYDVYHNCVYPVYJNCVYGGMNYDUWHUWJVYSVYHVYIUWIVMYEWXGVYFMVYJO
      VYEGMXHUWKWRYCVYDVXSVXRVUBEUBBUBWJZWKCZWXHGWMZYGZGUWLZIZSFZVYFUYTVXSWXNRV
      YCUYTVXKWXMVXRSUYTVVHVXKWXMRVWJVUBUBWXKWXKUXAZYHLXKTVYDGGVXRUBWXKVUBUBBWX
      IWXHGYIFZGWMZYGWXKUBBWXQWXJWXHBCZWXIWXPWXHGWXRWXHWXHVCUWMUWNUWOUWPZVYDGNC
      ZUBWKWXTVYDWXIWLYDVSYJZUYTVVHVYCVWJTVYQWXHVXRRGUWQZYKXLVYDVXTVXRVXNSFZVYI
      JFZVYJVYDVYCVXNXMCZVXNMXOZWLZVUEXMCZVUEMXOZWLZVXTWYDRVYQVYDVXNBCZWYGUYTWY
      KVYCUYTVURWYKVUSAYLLZTWYKWYEWYFVXNXPVXNXQXRLVYDVVCWYJVYRVVCWYHWYIVUEXPVUE
      XQXRLVXNVUEVXRXTWDVYDWYCVYHVYIJVYDWYCVXRAWXLIZSFZVYHUYTWYCWYNRVYCUYTVXNWY
      MVXRSAUBWXKWXOYHXKTVYDGGVXRUBWXKAWXSWYAUYTVYCUWRVYQWYBYKXLVHXLYMYJUYTVXKX
      MCZVXOXMCVXPVYBWCUYTVXKUYTVUKVXKBCVUPVUBYLLXAZUYTVXOUYTVXNVUEWYLVWTXSZXAV
      XKVXOUAUWSXFXEUYTWYOVXOBCVXPVXQWPWYPWYQVXKVXOUWTXFUXBUYTVXLVXNVUFWGIZEFZV
      XOUYTVUDQCVUFQCVXLWYSRUYTVUDVUTYQUYTVUFVXBYQVUDVUFUXCXFUYTWYRVUEVXNEUYTVU
      EVXAUXDZXKXLWBUYTVULVUGKCVXJVXMWCVUQVXCVUCVUGYRXFXEUYTVUFVUJVUDVXBVXIVUTU
      YTVUFVUJOPZWYRVUJWGIZOPZUYTVUEVPVUIYIFZWYRXUBOUYTVUEXUDOPZVUEDEFZXUDDEFZO
      PZUYTDVUEEFZDVUBYIFZXUFXUGOUYTVUIAUNFZVUBUCWJZUEFZUCYNZVVAXUMUCYNZXUIXUJO
      UYTVVAXUMXUKUCUYTMVUBUXEUYTXULVVACZWLZXUMUYTVVEXULXMCXUMNCXUPVWKXULMVUBUX
      FXULVUBUXGUXHZWFXUQXUMXURYEUYTXUKMAUNFZVVAUYTVUIMXBIZCXUKXUSYOUYTVUINXUTV
      WHUXIUXMVUIMAUXJLUYTVUBAXBICZXUSVVAYOUYTXVAVVFVWRUYTWXAWUKXVAVVFWCWXBWUMA
      VUBXCXFXEAMVUBUXKLUXLZUXNUYTVUIVUIUNFXUMUCYNZVUEJFVUEVUEJFXUNXUIUYTXVCVUE
      VUEJUYTXVCVUBVUIUEFZVUEUYTVUIXMCZXVDQCXVCXVDRUYTVUIVWHUXOZUYTVUEXVDQUYTVU
      EVUBWVKUEFZXVDUYTVVEWXAVUEXVGRVWKWXBAVUBUXPXFUYTWVKVUIVUBUEWVQXKXLZUYTVUE
      VWTURZYPXUMXVDUCVUIXULVUIVUBUEYSUXQXFXVHVQVHUYTXUMVUEUCVUIAUYTVUIGJFZAVUI
      XBIZUYTAGVWCWVPUXRUYTVUIXVKCZXVJXVKCUYTXVEXVLXVFVUIUYCLVUIVUIUXSLYPUYTXUL
      XUKCXUPXUMQCUYTXUKVVAXULXVBUXTXUQXUMXURXIUYAXULAVUBUEYSUYBUYTVUEXVIWAUYDU
      YTVVEXUJXUORVWKUCVUBUYELYMUYTVVQVUEQCXUIXUFRUSXVIDVUEYTVMUYTXUJDVVJYIFZDV
      VIYIFZDEFZXUGUYTVUBVVJDYIVWDXKUYTVVQVWEXVMXVORUSVWIDVVIUYFVMUYTXVNXUDDEUY
      TXVNDDYIFZVUIYIFXUDUYTDDVUIVVQUYTUSVSVWHVWFUYTVJVSUYGXVPVPVUIYIUYHUYIVGVH
      YAUYJUYTVUEKCXUDKCZDKCZMDUYKPZWLZXUEXUHWCUYTVUEVWTUJUYTVPKCVWGXVQWHVWHVPV
      UIUYLVMXVTUYTXVRXVSUYNUYOUYMVSVUEXUDDUYPWDXEWYTUYTXUBVUIVUHEFZWGIZXUDUYTV
      UJXWAWGUYTVUHQCVUIQCVUJXWARVUHVXHUYQWVOVUHVUIYTVMXJUYTVXFXVEXUDXWBRVXGXVF
      VPVUIUYRVMVQYMUYTVUFKCVXEXUAXUCWCVXBVXIVUFVUJYRXFXEVTUYS $.

    $( An upper bound on the Chebyshev function.  (Contributed by Mario
       Carneiro, 13-Mar-2014.)  (Revised 22-Sep-2014.) $)
    chtub $p |- ( ( N e. RR /\ 2 < N ) ->
                    ( theta ` N ) < ( ( log ` 2 ) x. ( ( 2 x. N ) - 3 ) ) ) $=
      ( vk cr wcel c2 clt wbr wceq ccht cmul co c3 cmin c1 caddc adantr sylancr
      cfv cle syl vx vn cfl clog cuz cc0 crp 2re 1lt2 rplogcl mp2an elrp simpli
      wa mpbi recni mulid1i eqtr4i fveq2 eqtr4id chtfl sylan9eqr c4 2t2e4 eqtri
      cht2 df-4 simplr wb simpl 2pos a1i ltmul2 mpbid eqbrtrrid remulcl resubcl
      3re 1red sylancl syl3anc eqbrtrrd chtcl ad2antrr simpr df-3 fveq2i cv cfz
      oveq2 oveq1d oveq2d breq12d wral raleqdv c6 elrpii fveq2d eqtrdi 3cn cexp
      c8 ax-mp mulcomi cz 3z relogexp cdiv wi eluzle 2z eluzelz zltp1le mp3an13
      2rp 1re eqbrtrid ltle recnd rspcv 2cn ax-1cn adddi mp3an23 subsub3 oveq2i
      cc eqtrd breq2d zred zmulcl syl5eq cn syld eluzfz2 wn imp mpjaodan lemul2
      wo pm3.2i mp3an2ani ltaddsub2d reflcl eleqtrrdi 6lt8 6re 6pos 8pos logltb
      8re elfz1eq cht3 2timesi mvrraddi relogcl cu2 3brtr4d rgen 2div2e1 mpbird
      csn eluzelre ltdiv1 rehalfcld ltadd1 peano2z adantl mpd leadd2dd 2halvesd
      df-2 breqtrd elfz mp3an2 syl2anr mpbir2and wne 2ne0 divcan2 oveq12d 2p1e3
      subaddrii eqtr3di peano2rem ltadd1d adddid 2timesd 3eqtr2rd eqtr3d 3bitrd
      zcnd addsubd 3nn elfzuz eluznn chtublem addsubass 2m1e1 pncan sq2 3eqtr3i
      oveq1i mulassd 3eqtrd 3brtr3d peano2uz readdcld lelttr mpand sylbid ltp1d
      ltsub1dd lttr mpan2d cprime cdvds evend2 ltnlei breq2 mtbii nsyl3 dvdsprm
      2lt3 uzid mtbird con2d sylbird chtnprm syl2an2r breq1d sylibrd ovex ralsn
      ex zeo syl6ibr ancld cun ralun fzsuc syl5ibr uzind4i rspcdva flle ltletrd
      lesub1dd flcl mpan flge mpan2 sylibd eluz2 syl3anbrc uzp1 ) ACDZEAFGZUNZA
      UCRZEHZAIRZEUDRZEAJKZLMKZJKZFGVUSENOKZUERZDZVURVUTUNZVVBNJKZVVAVVEFVUTVUR
      VVJVUSIRZVVAVUTVVJEIRZVVKVVJVVBVVLVVBVVBVVBCDZUFVVBFGZVVBUGDZVVMVVNUNZECD
      ZNEFGVVOUHUIEUJUKVVBULUOZUMZUPUQVFURVUSEIUSUTVUPVVKVVAHZVUQAVAPZVBVVINVVD
      FGZVVJVVEFGZVVILNOKZVVCFGVWBVVIVWDEEJKZVVCFVWEVCVWDVDVGVEVVIVUQVWEVVCFGZV
      UPVUQVUTVHVVQVURVUPVUTVVQUFEFGZUNZVUQVWFVIUHVUPVUQVJZVWHVVIVVQVWGUHVKUUAZ
      VLEAEVMUUBVNVOVVILNVVCLCDZVVIVRVLVVIVSZVURVVCCDZVUTVURVVQVUPVWMUHVWIEAVPQ
      ZPUUCVNVVINCDZVVDCDZVVPVWBVWCVIVWLVURVWPVUTVURVWMVWKVWPVWNVRVVCLVQVTZPVVP
      VVIVVRVLNVVDVVBVMWAVNWBVURVVHUNZVVAVVBEVUSJKZLMKZJKZVVEVUPVVACDVUQVVHAWCW
      DVWRVVMVWTCDZVXACDVVSVWRVWSCDZVWKVXBVWRVVQVUSCDZVXCUHVUPVXDVUQVVHAUUDWDZE
      VUSVPQZVRVWSLVQVTZVVBVWTVPQVWRVVMVWPVVECDVVSVURVWPVVHVWQPZVVBVVDVPQVWRVVK
      VVAVXAFVURVVTVVHVWAPVWRVUSLUERZDZVVKVXAFGZVWRVUSVVGVXIVURVVHWELVVFUEWFWGU
      UEVXJBWHZIRZVVBEVXLJKZLMKZJKZFGZVXKBLVUSWIKZVUSVXLVUSHZVXMVVKVXPVXAFVXLVU
      SIUSVXSVXOVWTVVBJVXSVXNVWSLMVXLVUSEJWJWKWLWMVXQBLUAWHZWIKZWNVXQBLLWIKZWNV
      XQBLUBWHZWIKZWNZVXQBLVYCNOKZWIKZWNZVXQBVXRWNUAUBLVUSVXTLHVXQBVYAVYBVXTLLW
      IWJWOVXTVYCHVXQBVYAVYDVXTVYCLWIWJWOVXTVYFHVXQBVYAVYGVXTVYFLWIWJWOVXTVUSHV
      XQBVYAVXRVXTVUSLWIWJWOVXQBVYBVXLVYBDZWPUDRZXBUDRZVXMVXPFVYJVYKFGZVYIWPXBF
      GZVYLUUFWPUGDXBUGDVYMVYLVIWPUUGUUHWQXBUUKUUIWQWPXBUUJUKUOVLVYIVXMLIRVYJVY
      IVXLLIVXLLUULZWRUUMWSVYIVXPVVBLJKZVYKVYIVXOLVVBJVYIVXOELJKZLMKLVYIVXNVYPL
      MVYIVXLLEJVYNWLWKVYPLLWTWTLWTUUNUUOWSWLVYOELXAKZUDRZVYKVYOLVVBJKZVYRVVBLV
      VBEUGDZVVMXOEUUPXCZUPZWTXDVYTLXEDZVYRVYSHXOXFELXGUKURVYQXBUDUUQWGVEWSUURU
      USVYCVXIDZVYEVYEVXQBVYFUVBZWNZUNZVYHWUDVYEWUFWUDVYEVYFIRZVVBEVYFJKZLMKZJK
      ZFGZWUFWUDVYCEXHKZXEDZVYEWULXIVYFEXHKXEDZWUDWUNUNZVYEWUMNOKZIRZVVBEWUQJKZ
      LMKZJKZFGZWULWUPWUQVYDDZVYEWVBXIWUPWVCLWUQSGZWUQVYCSGZWUPLVVFWUQSWFWUPEWU
      QFGZVVFWUQSGZWUDWVFWUNWUDENNOKZWUQFUVLWUDNWUMFGZWVHWUQFGZWUDNEEXHKZWUMFUU
      TWUDEVYCFGZWVKWUMFGZWUDWVLVVFVYCSGZWUDVVFLVYCSWFLVYCXJVOWUDEXEDZVYCXEDZWV
      LWVNVIXKLVYCXLZEVYCXMQUVAWUDVYCCDZWVLWVMVIZLVYCUVCZVVQWVRVWHWVSUHVWJEVYCE
      UVDXNTVNVOZWUDWUMCDZWVIWVJVIZWUDVYCWVTUVEZVWOWWBVWOWWCXPXPNWUMNUVFXNTVNXQ
      PWUPWVOWUQXEDZWVFWVGVIXKWUNWWEWUDWUMUVGZUVHZEWUQXMQVNXQWUDWVEWUNWUDWUQWUM
      WUMOKVYCSWUDNWUMWUMWUDVSWWDWWDWUDWVINWUMSGZWWAWUDVWOWWBWVIWWHXIXPWWDNWUMX
      RQUVIUVJWUDVYCWUDVYCWVTXSZUVKUVMPWUNWWEWVPWVCWVDWVEUNVIZWUDWWFWVQWWEWUCWV
      PWWJXFWUQLVYCUVNUVOUVPUVQZVXQWVBBWUQVYDVXLWUQHZVXMWURVXPWVAFVXLWUQIUSWWLV
      XOWUTVVBJWWLVXNWUSLMVXLWUQEJWJWKWLWMXTTWUPWVBWURVVBVYCJKZOKZWUKFGZWULWUPW
      VBWURVVBVYCNMKZJKZFGWWNWWQWWMOKZFGWWOWUPWVAWWQWURFWUPWUTWWPVVBJWUPWUTVYCE
      OKZLMKZWWPWUPWUSWWSLMWUPWUSEWUMJKZENJKZOKZWWSWUPWUMYGDZWUSWXCHZWUDWXDWUNW
      UDWUMWWDXSPZEYGDZWXDNYGDZWXEYAYBEWUMNYCXNTWUPWXAVYCWXBEOWUPVYCYGDZWXAVYCH
      ZWUDWXIWUNWWIPZWXIWXGEUFUVRWXJYAUVSVYCEUVTYDTZWXBEHWUPEYAUQZVLUWAYHZWKWUP
      VYCLEMKZMKZWWTWWPWUPWXIWXPWWTHZWXKWXILYGDZWXGWXQWTYAVYCLEYEYDTWXONVYCMLEN
      WTYAYBUWBUWCZYFUWDYHWLYIWUPWURWWQWWMWUPWUQCDWURCDWUPWUQWWGYJWUQWCTZWUPVVM
      WWPCDZWWQCDWUAWUPWVRWYAWUDWVRWUNWVTPZVYCUWETZVVBWWPVPQWUPVVMWVRWWMCDWUAWY
      BVVBVYCVPQZUWFWUPWWRWUKWWNFWUPVVBWWPVYCOKZJKWWRWUKWUPVVBWWPVYCVVBYGDWUPWU
      BVLZWUPWWPWYCXSWXKUWGWUPWYEWUJVVBJWUPWUJEVYCJKZEOKZLMKZWYGWXOMKZWYEWUPWUI
      WYHLMWUPWUIWYGWXBOKZWYHWUPWXIWUIWYKHZWXKWXGWXIWXHWYLYAYBEVYCNYCXNTWXBEWYG
      OWXMYFWSWKWUPWYGYGDZWYJWYIHZWUDWYMWUNWUDWYGWUDWVOWVPWYGXEDXKWVQEVYCYKQZUW
      LPWYMWXRWXGWYNWTYAWYGLEYEYDTWUPWYJWYGNMKZWYEWXONWYGMWXSYFWUPWYPVYCVYCOKZN
      MKWYEWUPWYGWYQNMWUPVYCWXKUWHWKWUPVYCVYCNWXKWXKWXHWUPYBVLUWMYHYLUWIWLUWJYI
      UWKWUPWUHWWNSGZWWOWULWUPWUSNMKZIRZWURVCUDRZWUQNMKZJKZOKZWUHWWNSWUPWUQYMDZ
      WYTXUDSGWUPLYMDWUQVXIDZXUEUWNWUPWVCXUFWWKWUQLVYCUWOTWUQLUWPQWUQUWQTWUPWYS
      VYFIWUPWYSWWSNMKZVYFWUPWUSWWSNMWXNWKWUPXUGVYCENMKZOKZVYFWUPWXIXUGXUIHZWXK
      WXIWXGWXHXUJYAYBVYCENUWRYDTXUHNVYCOUWSYFWSYHWRWUPXUCWWMWUROWUPXUCXUAWUMJK
      ZVVBWXAJKZWWMWUPXUBWUMXUAJWUPWXDWXHXUBWUMHWXFYBWUMNUWTVTWLWUPXUKVVBEJKZWU
      MJKXULXUAXUMWUMJEEXAKZUDRZEVVBJKZXUAXUMVYTWVOXUOXUPHXOXKEEXGUKXUNVCUDUXAW
      GEVVBYAWUBXDUXBUXCWUPVVBEWUMWYFWXGWUPYAVLWXFUXDYLWUPWXAVYCVVBJWXLWLUXEWLU
      XFWUPWUHCDZWWNCDWUKCDZWYRWWOUNWULXIWUPVYFCDZXUQWUDXUSWUNWUDVYFWUDVYFVXIDZ
      VYFXEDZLVYCUXGZLVYFXLTZYJZPVYFWCTWUPWURWWMWXTWYDUXHWUPVVMWUJCDZXURWUAWUDX
      VEWUNWUDWUICDVWKXVEWUDWUIWUDWVOXVAWUIXEDXKXVCEVYFYKQYJZVRWUILVQVTZPVVBWUJ
      VPZQWUHWWNWUKUXIWAUXJUXKYNWUDWUOUNZVYEVYCIRZVVBWYGLMKZJKZFGZWULWUDVYEXVMX
      IZWUOWUDVYCVYDDXVNLVYCYOVXQXVMBVYCVYDVXLVYCHZVXMXVJVXPXVLFVXLVYCIUSXVOVXO
      XVKVVBJXVOVXNWYGLMVXLVYCEJWJWKWLWMXTTPXVIXVMXVJWUKFGZWULWUDXVMXVPXIWUOWUD
      XVMXVLWUKFGZXVPWUDXVKWUJFGZXVQWUDWYGWUILWUDWYGWYOYJZXVFVWKWUDVRVLWUDVYCVY
      FFGZWYGWUIFGZWUDVYCWVTUXLWUDWVRXUSVWHXVTXWAVIWVTXVDVWHWUDVWJVLVYCVYFEVMWA
      VNUXMWUDXVKCDZXVEVVPXVRXVQVIWUDWYGCDVWKXWBXVSVRWYGLVQVTZXVGVVPWUDVVRVLXVK
      WUJVVBVMWAVNWUDXVJCDZXVLCDZXURXVMXVQUNXVPXIWUDWVRXWDWVTVYCWCTWUDVVMXWBXWE
      WUAXWCVVBXVKVPQWUDVVMXVEXURWUAXVGXVHQXVJXVLWUKUXNWAUXOPXVIWUHXVJWUKFWUDWV
      PWUOVYFUXPDZYPZWUHXVJHWVQWUDWUOXWGWUDWUOEVYFUXQGZXWGWUDXVAXWHWUOVIXVCVYFU
      XRTWUDXWFXWHWUDXWFXWHYPWUDXWFUNZXWHEVYFHZWUDXWJYPXWFXWJLVYFSGZWUDXWJLESGZ
      XWKELFGXWLYPUYDELUHVRUXSUOEVYFLSUXTUYAWUDXUTXWKXVBLVYFXJTUYBPXWIEEUERZDZX
      WFXWHXWJVIWVOXWNXKEUYEXCWUDXWFWEVYFEUYCQUYFUYOUYGUYHYQVYCUYIUYJUYKUYLYNWU
      DWVPWUNWUOYTWVQVYCUYPTYRVXQWULBVYFVYCNOUYMVXLVYFHZVXMWUHVXPWUKFVXLVYFIUSX
      WOVXOWUJVVBJXWOVXNWUILMVXLVYFEJWJWKWLWMUYNUYQUYRWUGVYHWUDVXQBVYDWUEUYSZWN
      VXQBVYDWUEUYTWUDVXQBVYGXWPLVYCVUAWOVUBYNVUCLVUSYOVUDTWBVWRVWTVVDSGZVXAVVE
      SGZVWRVWSVVCLVXFVURVWMVVHVWNPVWKVWRVRVLVWRVUSASGZVWSVVCSGZVUPXWSVUQVVHAVU
      EWDVWRVXDVUPVWHXWSXWTVIVXEVURVUPVVHVWIPVWHVWRVWJVLVUSAEYSWAVNVUGVWRVXBVWP
      VVPXWQXWRVIVXGVXHVVPVWRVVRVLVWTVVDVVBYSWAVNVUFVURVUSXWMDZVUTVVHYTVURWVOVU
      SXEDZEVUSSGZXXAWVOVURXKVLVUPXXBVUQAVUHPVUPVUQXXCVUPVUQEASGZXXCVVQVUPVUQXX
      DXIUHEAXRVUIVUPWVOXXDXXCVIXKAEVUJVUKVULYQEVUSVUMVUNEVUSVUOTYR $.
  $}

  ${
    $d a k p x z A $.  $d x z C $.  $d a b k x y z K $.  $d a b k p x y z ph $.
    $d k p y z B $.  $d a b k p x y z P $.
    fsumvma.1 $e |- ( x = ( p ^ k ) -> B = C ) $.
    fsumvma.2 $e |- ( ph -> A e. Fin ) $.
    fsumvma.3 $e |- ( ph -> A C_ NN ) $.
    fsumvma.4 $e |- ( ph -> P e. Fin ) $.
    fsumvma.5 $e |- ( ph -> ( ( p e. P /\ k e. K ) <->
      ( ( p e. Prime /\ k e. NN ) /\ ( p ^ k ) e. A ) ) ) $.
    fsumvma.6 $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    fsumvma.7 $e |- ( ( ph /\ ( x e. A /\ ( Lam ` x ) = 0 ) ) -> B = 0 ) $.
    $( Rewrite a sum over the von Mangoldt function as a sum over prime powers.
       (Contributed by Mario Carneiro, 15-Apr-2016.) $)
    fsumvma $p |- ( ph -> sum_ x e. A B = sum_ p e. P sum_ k e. K C ) $=
      ( cexp wa wcel cn vz va vy csu csn cxp ciun cfv csb cmpt crn cop wceq cvv
      vb cv fvexd co fveq2 df-ov eqtr4di eqeq2d biimpa syl csbied adantr cprime
      cfn wf1 biimpd impl simprd ex wb simpld adantrr ssrdv sselda adantrl eqid
      weq prmexpb baibd mpan2 syl22anc dom2lem f1fi syl2anc cc eleq1d ralrimiva
      wral rspcdva fsum2d nfcv nfcsb1v csbeq1a cbvsumi csbeq1 snfi xpfi sylancr
      simplbda iunfi wf1o fvex 2a1i wex simprbda opelxp sylibr eleq1 syl5ibrcom
      eliunxp impancom expimpd exlimdvv syl5bi anim12d c1st c2nd 1st2nd2 fveq2d
      sseld eqeqan12d xp1st xp2nd jca an4s syl2an xpopth 3bitrd imp syldan wrex
      cc0 pm5.32da ancom 3bitr4g r2ex syl6 f1f1orn fvmpt adantl frnd nfel1 rspc
      fmpttd mpan9 fsumf1o syl5eq cdif eldif cvma elrnmpti rexiunxp bitri simpr
      wn simplr eqeltrrd rbaibd adantlr 2exbidv isppw2 bitr4d syl5bb necon2bbid
      wne sylbird fsumss 3eqtr2rd ) AFHEGUDIUDIFIUPZUEZHUFZUGZBUAUPZQUHZDUIZUAU
      DZUBUVPUBUPZQUHZUJZUKZDBUDZCDBUDAUAFHEUVSIGUVQUVMGUPZULZUMZBUVRDEUNUWHUVQ
      QUQUWHBUPZUVRUMZRUWIUVMUWFQURZUMZDEUMUWHUWJUWLUWHUVRUWKUWIUWHUVRUWGQUHZUW
      KUVQUWGQUSUVMUWFQUTZVAVBVCJVDVEMAUVMFSZRZCVHSZHCGHUWKUJZVIHVHSZAUWQUWOKVF
      UWPGUAHCUWKUVMUVQQURZUWPUWFHSZUWKCSZUWPUXARZUVMVGSZUWFTSZRZUXBAUWOUXAUXFU
      XBRZAUWOUXARZUXGNVJVKZVLVMUWPUXAUVQHSZRZUWKUWTUMZGUAWAZVNZUWPUXKRUXDUXDUX
      EUVQTSZUXNUWPUXAUXDUXJUXCUXDUXEUXCUXFUXBUXIVOZVOVPZUXQUWPUXAUXEUXJUXCUXDU
      XEUXPVLZVPUWPUXJUXOUXAUWPHTUVQUWPGHTUWPUXAUXEUXRVMVQVRVSUXDUXDRUXEUXORRZI
      IWAZUXNUVMVTUXSUXLUXTUXMUVMUVMUWFUVQWBWCWDWEVMWFHCUWRWGWHZAUXHRZDWISZEWIS
      BCUWKUWLDEWIJWJAUYCBCWLZUXHAUYCBCOWKZVFAUXHUXFUXBNXCZWMWNAUWEUWDBUCUPZDUI
      ZUCUDUVTUWDDUYHBUCUCDWOBUYGDWPZBUYGDWQZWRAUWDUYHUVPUVSUCUAUWCUVRBUYGUVRDW
      SAFVHSUVOVHSZIFWLUVPVHSMAUYKIFUWPUVNVHSUWSUYKUVMWTUYAUVNHXAXBWKIFUVOXDWHA
      UVPUNUWCVIUVPUWDUWCXEAUBUOUVPUNUWBUOUPZQUHZUWBUNSAUWAUVPSZUWAQXFZXGAUYNUY
      LUVPSZRUWAVGTUFZSZUYLUYQSZRZUWBUYMUMZUBUOWAZVNAUYNUYRUYPUYSUYNUWAUWGUMZUX
      HRZGXHIXHZAUYRIGFHUWAXNZAVUDUYRIGAVUCUXHUYRAUXHVUCUYRUYBUYRVUCUWGUYQSZUYB
      UXFVUGAUXHUXFUXBNXIUVMUWFVGTXJXKUWAUWGUYQXLXMXOXPXQXRZAUVPUYQUYLAUBUVPUYQ
      VUHVQYDXSUYTVUAUWAXTUHZUWAYAUHZQURZUYLXTUHZUYLYAUHZQURZUMZVUIVULUMVUJVUMU
      MRZVUBUYRUYSUWBVUKUYMVUNUYRUWBVUIVUJULZQUHVUKUYRUWAVUQQUWAVGTYBYCVUIVUJQU
      TVAUYSUYMVULVUMULZQUHVUNUYSUYLVURQUYLVGTYBYCVULVUMQUTVAYEUYRVUIVGSZVUJTSZ
      RVULVGSZVUMTSZRVUOVUPVNZUYSUYRVUSVUTUWAVGTYFUWAVGTYGYHUYSVVAVVBUYLVGTYFUY
      LVGTYGYHVUSVVAVUTVVBVVCVUIVULVUJVUMWBYIYJUWAUYLVGTVGTYKYLUUAWFUVPUNUWCUUB
      VDUVQUVPSUVQUWCUHUVRUMAUBUVQUWBUVRUVPUWCUWAUVQQUSUWCVTZUVQQXFUUCUUDAUYGUW
      DSUYGCSZUYHWISZAUWDCUYGAUVPCUWCAUBUVPUWBCAUYNUWBCSZUYNVUEAVVGVUFAVUDVVGIG
      AVUCUXHVVGAUXHVUCVVGUYBVVGVUCUXBUYFVUCUWBUWKCVUCUWBUWMUWKUWAUWGQUSUWNVAZW
      JXMXOXPXQXRYMUUHUUEZVRAUYDVVEVVFUYEUYCVVFBUYGCBUYHWIUYIUUFBUCWADUYHWIUYJW
      JUUGUUIYNUUJUUKAUWDCDBVVIAUWIUWDSZUWICSZUYCAUWDCUWIVVIVROYNAUWICUWDUULSZD
      YPUMZVVLVVKVVJUUSZRZAVVMUWICUWDUUMAVVOVVKUWIUUNUHZYPUMZRZVVMAVVKVVQVVNAVV
      KRZVVJVVPYPVVJUWLGHYOIFYOZVVSVVPYPUVIZVVJUWIUWBUMZUBUVPYOVVTUBUVPUWBUWIUW
      CVVDUYOUUOVWBUWLUBIGFHVUCUWBUWKUWIVVHVBUUPUUQVVSVVTUWLGTYOIVGYOZVWAVVSUXH
      UWLRZGXHIXHUXFUWLRZGXHIXHVVTVWCVVSVWDVWEIGVVSUWLUXHRUWLUXFRVWDVWEVVSUWLUX
      HUXFVVSUWLUXBUXHUXFVNZVVSUWLRUWIUWKCVVSUWLUURAVVKUWLUUTUVAAUXBVWFVVKAUXHU
      XFUXBNUVBUVCYNYQUXHUWLYRUXFUWLYRYSUVDUWLIGFHYTUWLIGVGTYTYSVVSUWITSVWAVWCV
      NACTUWILVRUWIGIUVEVDUVFUVGUVHYQAVVRVVMPVMUVJXRYMKUVKUVL $.
  $}

  ${
    $d k p x A $.  $d x C $.  $d k p x ph $.  $d k p B $.
    fsumvma2.1 $e |- ( x = ( p ^ k ) -> B = C ) $.
    fsumvma2.2 $e |- ( ph -> A e. RR ) $.
    fsumvma2.3 $e |- ( ( ph /\ x e. ( 1 ... ( |_ ` A ) ) ) -> B e. CC ) $.
    fsumvma2.4 $e |- ( ( ph /\ ( x e. ( 1 ... ( |_ ` A ) ) /\
      ( Lam ` x ) = 0 ) ) -> B = 0 ) $.
    $( Apply ~ fsumvma for the common case of all numbers less than a real
       number ` A ` .  (Contributed by Mario Carneiro, 30-Apr-2016.) $)
    fsumvma2 $p |- ( ph -> sum_ x e. ( 1 ... ( |_ ` A ) ) B =
      sum_ p e. ( ( 0 [,] A ) i^i Prime )
        sum_ k e. ( 1 ... ( |_ ` ( ( log ` A ) / ( log ` p ) ) ) ) C ) $=
      ( c1 cfv co cn wcel wa cle wbr wb cfl cfz cc0 cicc cprime clog cdiv fzfid
      cin cv wss fz1ssnn a1i cfn ppifi syl cexp elinel2 elfznn anim12i pm4.71ri
      cr cz adantr prmnn ad2antrl cn0 nnnn0 ad2antll nnexpcld nnzd flge syl2anc
      cmul wceq simplrl nnrpd simplrr relogexp breq1d nnred 0red nngt0d nn0ge0d
      crp nnnn0d w3a elicc2 df-3an bitrdi baibd syl22anc ltletrd elrpd relogcld
      biimpa c2 cuz prmuz2 eluzelre eluz2gt1 rplogcld 3syl lemuldivd rerpdivcld
      3bitrd logled simprr nnuz eleqtrdi flcld elfz5 3bitr4d nncnd exp1d nnge1d
      pm5.32da leexp2ad eqbrtrrd letr syl3anc mpand sylibrd pm4.71rd elin rbaib
      wi anbi1d 3bitr4rd syl5bb fsumvma ) ABLCUAMZUBNZDEUCCUDNZUEUIZFLCUFMZGUJZ
      UFMZUGNZUAMZUBNZGHALYLUHYMOUKAYLULUMACVBPZYOUNPICUOUPYQYOPZFUJZUUAPZQZYQU
      EPZUUDOPZQZUUFQAUUIYQUUDUQNZYMPZQUUFUUIUUCUUGUUEUUHYQYNUEURUUDYTUSUTVAAUU
      IUUFUUKAUUIQZUUJCRSZUUJYLRSZUUFUUKUULUUBUUJVCPUUMUUNTAUUBUUIIVDZUULUUJUUL
      YQUUDUUGYQOPZAUUHYQVEZVFZUUHUUDVGPAUUGUUDVHVIVJZVKCUUJVLVMUULYQYNPZUUMQUU
      TUUEQUUMUUFUULUUTUUMUUEUULUUTQZUUJUFMZYPRSZUUDYTRSZUUMUUEUVAUVCUUDYRVNNZY
      PRSUUDYSRSZUVDUVAUVBUVEYPRUVAYQWEPUUDVCPZUVBUVEVOUVAYQUVAUUGUUPAUUGUUHUUT
      VPZUUQUPZVQUVAUUDAUUGUUHUUTVRZVKZYQUUDVSVMVTUVAUUDYPYRUVAUUDUVJWAUVACUVAC
      UULUUBUUTUUOVDZUVAUCYQCUVAWBUULYQVBPZUUTUULYQUURWAZVDUVLUVAYQUVIWCUULUUTY
      QCRSZUULUCVBPZUUBUVMUCYQRSZUUTUVOTUULWBUUOUVNUULYQUULYQUURWFWDUVPUUBQZUUT
      UVMUVQQZUVOUVRUUTUVMUVQUVOWGUVSUVOQUCCYQWHUVMUVQUVOWIWJWKWLZWPWMWNZWOZUVA
      UUGYQWQWRMPZYRWEPUVHYQWSUWCYQWQYQWTYQXAXBXCZXDUVAYSVBPUVGUVFUVDTUVAYPYRUW
      BUWDXEZUVKYSUUDVLVMXFUVAUUJCUVAUUJUULUUJOPUUTUUSVDVQUWAXGUVAUUDLWRMZPZYTV
      CPUUEUVDTUULUWGUUTUULUUDOUWFAUUGUUHXHXIXJZVDUVAYSUWEXKUUDLYTXLVMXMXQUULUU
      MUUTUULUUMUVOUUTUULYQUUJRSZUUMUVOUULYQLUQNYQUUJRUULYQUULYQUURXNXOUULYQLUU
      DUVNUULYQUURXPUWHXRXSUULUVMUUJVBPUUBUWIUUMQUVOYGUVNUULUUJUUSWAUUOYQUUJCXT
      YAYBUVTYCYDUULUUCUUTUUEUUGUUCUUTTAUUHUUCUUTUUGYQYNUEYEYFVFYHYIUULUUJUWFPY
      LVCPUUKUUNTUULUUJOUWFUUSXIXJUULCUUOXKUUJLYLXLVMXMXQYJJKYK $.
  $}

  ${
    $d m n p A $.
    $( The logarithmic analogue of ~ pcprod .  The sum of the logarithms of the
       primes dividing ` A ` multiplied by their powers yields the logarithm of
       ` A ` .  (Contributed by Mario Carneiro, 15-Apr-2016.) $)
    pclogsum $p |- ( A e. NN -> sum_ p e. ( ( 1 ... A ) i^i Prime )
      ( ( p pCnt A ) x. ( log ` p ) ) = ( log ` A ) ) $=
      ( vn cn wcel c1 co cv cprime cpc cexp clog cfv cc0 cif csu cmul wceq crp
      wa vm cfz cin elin baib ifbid fvif log1 ifeq2 ax-mp eqtri eqtr4di sumeq2i
      wss cc inss1 simpr elin1d elfznn syl elin2d simpl pccld nnexpcld relogcld
      wral nnrpd recnd ralrimiva cuz wo fzfi olci sumss2 mpan2 sylancr cz nn0zd
      relogexp syl2anc sumeq2dv eqtr3d caddc cmpt cseq adantl eleq1w id oveq12d
      cfn oveq1 ifbieq1d fveq2d eqid fvex fvmpt elnnuz biimpi adantr simpll 1nn
      wn a1i ifclda fsumser rpmulcl ovex 1ex ifex eqeltrd eqtr4d seqhomo pcprod
      relogmul 3eqtr2d 3eqtr3a ) ADEZFAUBGZBHZXRIUCZEZXSXSAJGZKGZLMZNOZBPZXRXSI
      EZYCFOZLMZBPZXTYBXSLMZQGZBPZALMZXRYEYIBXSXREZYEYGYDNOZYIYOYAYGYDNYAYOYGXS
      XRIUDUEUFYIYGYDFLMZOZYPYGYCFLUGYQNRYRYPRUHYGYQNYDUIUJUKULUMXQXTYDBPZYFYMX
      QXTXRUNZYDUOEZBXTVFZYSYFRZXRIUPXQUUABXTXQYATZYDUUDYCUUDYCUUDXSYBUUDYOXSDE
      ZUUDXRIXSXQYAUQZURXSAUSZUTZUUDXSAUUDXRIXSUUFVAXQYAVBVCZVDVGVEVHVIYTUUBTXR
      FVJMZUNZXRWJEZVKUUCUULUUKFAVLVMXTXRYDBFVNVOVPXQXTYDYLBUUDXSSEZYBVQEYDYLRU
      UDXSUUHVGUUDYBUUIVRXSYBVSVTWAWBXQYJAWCCDCHZIEZUUNUUNAJGZKGZFOZLMZWDZFWEMA
      QCDUURWDZFWEMZLMYNXQYIBUUTFAXQYOTZUUEXSUUTMZYIRYOUUEXQUUGWFZCXSUUSYIDUUTU
      UNXSRZUURYHLUVFUUOYGUUQYCFCBIWGUVFUUNXSUUPYBKUVFWHUUNXSAJWKWIWLZWMUUTWNYH
      LWOWPUTZXQAUUJEAWQWRZUVCYIUVCYHUVCYHUVCYGYCFDUVCYGTZXSYBUVCUUEYGUVEWSUVJX
      SAUVCYGUQXQYOYGWTVCVDFDEUVCYGXBTXAXCXDVGZVEVHXEXQBUAQWCSUVAUUTLFAUUMUAHZS
      ETZXSUVLQGZSEXQXSUVLXFWFUVCXSUVAMZYHSUVCUUEUVOYHRUVECXSUURYHDUVAUVGUVAWNZ
      YGYCFXSYBKXGXHXIWPUTZUVKXJUVIUVMUVNLMYKUVLLMWCGRXQXSUVLXNWFUVCUVOLMYIUVDU
      VCUVOYHLUVQWMUVHXKXLXQUVBALCUVAAUVPXMWMXOXP $.
  $}

  ${
    $d d k m n p x A $.
    $( The sum of the von Mangoldt function over the divisors of ` n ` .
       Equation 9.2.4 of [Shapiro], p. 328 and theorem 2.10 in [ApostolNT]
       p. 32.  (Contributed by Mario Carneiro, 15-Apr-2016.) $)
    vmasum $p |- ( A e. NN ->
      sum_ n e. { x e. NN | x || A } ( Lam ` n ) = ( log ` A ) ) $=
      ( vp vk cn wcel cv cdvds wbr cfv csu c1 co cprime wa cz wb syl adantl cfz
      crab cvma cin cpc cexp clog cmul fveq2 fzfid dvdsssfz1 wss ssrab2 a1i cfn
      ssfid inss1 ssfi sylancl cle pccl ancoms nn0zd fznn anbi2d an12 iddvdsexp
      cn0 prmz sylan wi ad2antlr prmnn nnnn0 nnexpcl syl2an nnz ad2antrr dvdstr
      nnzd syl3anc mpand simpll dvdsle syl2anc syld baibd pm4.71rd breq1 elrab3
      sylibrd simplr pcdvdsb 3bitr4rd pm5.32da syl5bb bitrd anbi1i anass 3bitri
      elin 3bitr4g cr sselda vmacl recnd cc0 wceq simprr fsumvma elinel2 elfznn
      chash vmappw sumeq2dv cc nnrpd relogcld fsumconst sylan2 hashfz1 pclogsum
      oveq1d 3eqtrd ) BFGZAHZBIJZAFUBZCHZUCKZCLMBUANZOUDZMDHZBUENZUANZYMEHZUFNZ
      UCKZELZDLYLYNYMUGKZUHNZDLBUGKYECYHYJYRYLEYODYIYQUCUIYEYKYHYEMBUJZBAUKUPYH
      FULYEYGAFUMUNZYEYKUOGYLYKULYLUOGUUBYKOUQYKYLURUSYEYMOGZYMYKGZYPYOGZPZPZUU
      DYPFGZYQYHGZPZPYMYLGZUUFPZUUDUUIPUUJPYEUUDUUGUUKYEUUDPZUUGUUEUUIYPYNUTJZP
      ZPZUUKUUNUUFUUPUUEUUNYNQGUUFUUPRUUNYNUUDYEYNVHGZYMBVAVBZVCYPYNVDSVEUUQUUI
      UUEUUOPZPUUNUUKUUEUUIUUOVFUUNUUIUUTUUJUUNUUIPZYQBIJZUUEUVBPUUJUUTUVAUVBUU
      EUVAUVBYMBUTJZUUEUVAUVBYMBIJZUVCUVAYMYQIJZUVBUVDUUNYMQGZUUIUVEUUDUVFYEYMV
      IZTYMYPVGVJUVAUVFYQQGBQGZUVEUVBPUVDVKUUDUVFYEUUIUVGVLZUVAYQUUNYMFGZYPVHGZ
      YQFGZUUIUUDUVJYEYMVMZTYPVNZYMYPVOVPZVTYEUVHUUDUUIBVQVRZYMYQBVSWAWBUVAUVFY
      EUVDUVCVKUVIYEUUDUUIWCYMBWDWEWFUVAUVHUVJUUEUVCRUVPUUDUVJYEUUIUVMVLUVHUUEU
      VJUVCYMBVDWGWEWKWHUVAUVLUUJUVBRUVOYGUVBAYQFYFYQBIWIWJSUVAUUOUVBUUEUVAUUDU
      VHUVKUUOUVBRYEUUDUUIWLUVPUUIUVKUUNUVNTYPYMBWMWAVEWNWOWPWQWOUUMUUEUUDPZUUF
      PUUEUUDUUFPPUUHUULUVQUUFYMYKOXAWRUUEUUDUUFWSUUEUUDUUFVFWTUUDUUIUUJWSXBYEY
      IYHGZPZYJUVSYIFGYJXCGYEYHFYIUUCXDYIXESXFYEUVRYJXGXHXIXJYEYLYSUUADYEUULPZY
      SYOYTELZYOXMKZYTUHNZUUAUVTYOYRYTEUVTUUFPUUDUUIYRYTXHUULUUDYEUUFYMYKOXKZVL
      UUFUUIUVTYPYNXLTYMYPXNWEXOUVTYOUOGYTXPGUWAUWCXHUVTMYNUJUVTYTUVTYMUVTYMUUL
      UVJYEUULUUDUVJUWDUVMSTXQXRXFYOYTEXSWEUVTUWBYNYTUHUVTUURUWBYNXHUULYEUUDUUR
      UWDUUSXTYNYASYCYDXOBDYBYD $.

    $( Another expression for the logarithm of a factorial, in terms of the von
       Mangoldt function.  Equation 9.2.7 of [Shapiro], p. 329.  (Contributed
       by Mario Carneiro, 15-Apr-2016.)  (Revised by Mario Carneiro,
       3-May-2016.) $)
    logfac2 $p |- ( ( A e. RR /\ 0 <_ A ) ->
      ( log ` ( ! ` ( |_ ` A ) ) ) = sum_ k e. ( 1 ... ( |_ ` A ) )
        ( ( Lam ` k ) x. ( |_ ` ( A / k ) ) ) ) $=
      ( vn vx vm cr wcel cle wbr wa cfv c1 co cv csu cmul wceq syl cdvds cn cc0
      cfl cfa clog cfz cvma cdiv cn0 flge0nn0 logfac crab fzfid cfn ssrab2 ssfi
      sylancl cz wb flcl adantr fznn anbi1d nnre ad2antlr elfznn ad2antrl nnred
      wss reflcl ad3antrrr simprr nnz dvdsle syl2anc mpd elfzle2 letrd pm4.71rd
      wi expl an12 an21 3bitr4g bitr4d breq2 elrab anbi2i breq1 cc adantl vmacl
      recnd adantrr chash fsumconst cmpt simpll eqid dvdsflf1o hasheqf1od simpl
      fsumcom2 nndivre syl2an clt nngt0 jca divge0 sylan2 hashfz1 eqtr3d oveq1d
      flcld zcnd mulcomd 3eqtrd sumeq2dv vmasum 3eqtr3d eqtr4d ) AFGZUAAHIZJZAU
      BKZUCKUDKZLYDUEMZCNZUDKZCOZYFBNZUFKZAYJUGMZUBKZPMZBOZYCYDUHGYEYIQAUICYDUJ
      RYCYFYJDNZSIZDYFUKZYKCOZBOYFYPYGSIZDTUKZYKBOZCOYOYIYCYFYRYFUUABCYKYCLYDUL
      ZUUCYCYJYFGZJZYFUMGYRYFVHYRUMGZUUELYDULYQDYFUNYFYRUOUPZYCUUDYGYFGZYJYGSIZ
      JZJZUUHYJTGZUUIJZJZUUDYGYRGZJUUHYJUUAGZJYCUUKUULYJYDHIZJZUUJJZUUNYCUUDUUR
      UUJYCYDUQGZUUDUURURYAUUTYBAUSUTYJYDVARVBYCUULUUJJZUUQUVAJUUNUUSYCUVAUUQYC
      UULUUJUUQYCUULJZUUJJZYJYGYDUULYJFGZYCUUJYJVCZVDUVCYGUUHYGTGZUVBUUIYGYDVEZ
      VFZVGYAYDFGYBUULUUJAVIVJUVCUUIYJYGHIZUVBUUHUUIVKUVCYJUQGZUVFUUIUVIVSUULUV
      JYCUUJYJVLVDUVHYJYGVMVNVOUUHYGYDHIUVBUUIYGLYDVPVFVQVTVRUUHUULUUIWAUULUUQU
      UJWBWCWDUUOUUJUUDYQUUIDYGYFYPYGYJSWEWFWGUUPUUMUUHYTUUIDYJTYPYJYGSWHWFWGWC
      YCUUDYKWIGZUUOUUEYKUUEUULYKFGUUDUULYCYJYDVEZWJZYJWKRWLZWMXBYCYFYSYNBUUEYS
      YRWNKZYKPMZYMYKPMYNUUEUUFUVKYSUVPQUUGUVNYRYKCWOVNUUEUVOYMYKPUUELYMUEMZWNK
      ZUVOYMUUEUVQYRUMEUVQYJENPMWPZUUELYMULUUEDAEUVSYJYAYBUUDWQUVMUVSWRWSWTUUEY
      MUHGZUVRYMQUUEYLFGZUAYLHIZUVTYCYAUULUWAUUDYAYBXAUVLAYJXCXDZUUDYCUVDUAYJXE
      IZJZUWBUUDUULUWEUVLUULUVDUWDUVEYJXFXGRAYJXHXIYLUIVNYMXJRXKXLUUEYMYKUUEYMU
      UEYLUWCXMXNUVNXOXPXQYCYFUUBYHCYCUUHJUVFUUBYHQUUHUVFYCUVGWJDYGBXRRXQXSXT
      $.

    $( Express the second Chebyshev function directly as a sum over the primes
       less than ` A ` (instead of indirectly through the von Mangoldt
       function).  (Contributed by Mario Carneiro, 8-Apr-2016.) $)
    chpval2 $p |- ( A e. RR -> ( psi ` A ) = sum_ p e. ( ( 0 [,] A ) i^i
      Prime ) ( ( log ` p ) x. ( |_ ` ( ( log ` A ) / ( log ` p ) ) ) ) ) $=
      ( vn vk cr wcel cfv c1 cfz co cv cvma csu cc0 cprime cmul wa wceq c2 wbr
      cchp cfl cicc clog cdiv cexp chpval fveq2 id cn elfznn adantl vmacl recnd
      cin syl simprr fsumvma2 simpr elin2d vmappw syl2an sumeq2dv chash cfn cuz
      cc fzfid crp prmuz2 eluzelre eluz2gt1 rplogcld 3syl fsumconst syl2anc cn0
      rpcnd cle ppisval inss1 eqsstrdi sselda elfzuz2 simpl 0red 2re a1i eluzle
      clt 2pos cz wb 2z flge mpan2 syl5ibr imp elrpd syldan relogcld rerpdivcld
      ltletrd 1red 1lt2 rplogcl rpdivcld rpge0d flge0nn0 hashfz1 oveq1d mulcomd
      nn0cnd 3eqtrd eqtrd ) AEFZAUAGHAUBGZIJZCKZLGZCMNAUCJZOUOZHAUDGZBKZUDGZUEJ
      ZUBGZIJZYDDKZUFJZLGZDMZBMYBYEYGPJZBMACUGXPCAXTYKDBXSYJLUHXPUIXPXSXRFZQZXT
      YOXSUJFZXTEFYNYPXPXSXQUKULXSUMUPUNXPYNXTNRUQURXPYBYLYMBXPYDYBFZQZYLYHYEDM
      ZYMYRYHYKYEDYRYDOFZYIUJFYKYERYIYHFYRYAOYDXPYQUSUTZYIYGUKYDYIVAVBVCYRYSYHV
      DGZYEPJZYGYEPJYMYRYHVEFYEVGFYSUUCRYRHYGVHYRYEYRYTYDSVFGZFZYEVIFUUAYDVJUUE
      YDSYDVKYDVLVMVNZVRZYHYEDVOVPYRUUBYGYEPYRYGVQFZUUBYGRYRYFEFNYFVSTUUHYRYCYE
      YRAXPYQXQUUDFZAVIFYRYDSXQIJZFUUIXPYBUUJYDXPYBUUJOUOUUJAVTUUJOWAWBWCYDSXQW
      DUPZXPUUIQZAXPUUIWEZUULNSAUULWFSEFUULWGWHZUUMNSWJTUULWKWHXPUUISAVSTZUUIUU
      OXPSXQVSTZSXQWIXPSWLFUUOUUPWMWNASWOWPWQWRZXCWSWTXAUUFXBYRYFYRYCYEXPYQHAWJ
      TZYCVIFXPYQUUIUURUUKUULHSAUULXDUUNUUMHSWJTUULXEWHUUQXCWTAXFWTUUFXGXHYFXIV
      PZYGXJUPXKYRYGYEYRYGUUSXMUUGXLXNXOVCXN $.

    $( The second Chebyshev function is the sum of the theta function at
       arguments quickly approaching zero.  (This is usually stated as an
       infinite sum, but after a certain point, the terms are all zero, and it
       is easier for us to use an explicit finite sum.)  (Contributed by Mario
       Carneiro, 7-Apr-2016.) $)
    chpchtsum $p |- ( A e. RR -> ( psi ` A ) =
      sum_ k e. ( 1 ... ( |_ ` A ) ) ( theta ` ( A ^c ( 1 / k ) ) ) ) $=
      ( vp cr wcel cc0 co cprime cfv cmul csu c1 ccxp wa syl syl2anc cle wbr wb
      wceq cicc cin cv clog cdiv cfl cfz cchp ccht chash cfn cc fzfid cn elin2d
      simpr prmnn nnrpd relogcld recnd fsumconst cn0 simpl 1red nnred c2 prmuz2
      cuz clt eluz2gt1 w3a elin1d elicc2 sylancr mpbid simp3d rplogcld rpdivcld
      0re ltletrd rpred rpge0d flge0nn0 hashfz1 oveq1d mulcomd 3eqtrrd sumeq2dv
      flcld zcnd chpval2 0red 0lt1 a1i elfzuz2 eluzle adantl cz 1z flge sylancl
      mpbird sylan2 ltled elfznn nnrecred recxpcld chtval ppifi elinel2 anim12i
      wi wss inss2 sselda nngt0d ex adantrd jcad anim12ci cexp simprll biantrud
      elin nnnn0d df-3an bitrdi baibd syl22anc bitr3d syl5bb 3bitrd elfz5 nncnd
      nn0ge0d anbi12d letr syl3anc mpand pm4.71rd elrpd rerpdivcld simprlr nnzd
      simprr nnexpcld logled crp relogexp breq1d lemuldivd nnuz eleqtrdi bitr4d
      3bitr4rd cxpge0d cxple2d cxpexp nnne0d recid2d oveq2d cxpmuld cxp1d exp1d
      3eqtr3d breq12d bernneq3 nnge1d leexp2ad eqbrtrrd bitrd pm5.21ndd adantrr
      3bitr2rd fsumcom2 eqtr4d 3eqtr4d ) ADEZFAUAGZHUBZCUCZUDIZAUDIZUWBUEGZUFIZ
      JGZCKUVTLUWEUGGZUWBBKZCKZAUHILAUFIZUGGZALBUCZUEGZMGZUIIZBKZUVRUVTUWFUWHCU
      VRUWAUVTEZNZUWHUWGUJIZUWBJGZUWEUWBJGUWFUWRUWGUKEUWBULEZUWHUWTTUWRLUWEUMZU
      WRUWBUWRUWAUWRUWAUWRUWAHEZUWAUNEZUWRUVSHUWAUVRUWQUPZUOZUWAUQZOZURUSUTZUWG
      UWBBVAPUWRUWSUWEUWBJUWRUWEVBEZUWSUWETUWRUWDDEZFUWDQRUXJUWRUWDUWRUWCUWBUWR
      AUVRUWQVCZUWRLUWAAUWRVDUWRUWAUXHVEZUXLUWRUWAVFVHIEZLUWAVIRZUWRUXCUXNUXFUW
      AVGZOUWAVJZOZUWRUWADEZFUWAQRZUWAAQRZUWRUWAUVSEZUXSUXTUYAVKZUWRUVSHUWAUXEV
      LUWRFDEZUVRUYBUYCSVSUXLFAUWAVMZVNVOVPZVTVQUWRUWAUXMUXRVQVRZWAZUWRUWDUYGWB
      UWDWCPUWEWDOWEUWRUWEUWBUWRUWEUWRUWDUYHWIWJUXIWFWGWHACWKUVRUWPUWKFUWNUAGZH
      UBZUWBCKZBKUWIUVRUWKUWOUYKBUVRUWLUWKEZNZUWNDEZUWOUYKTUYMAUWMUVRUYLVCZUYMF
      AUYMWLZUYOUYMFLAUYPUYMVDUYOFLVIRUYMWMWNUYLUVRUWJLVHIZEZLAQRZUWLLUWJWOUVRU
      YRNZUYSLUWJQRZUYRVUAUVRLUWJWPWQUYTUVRLWREUYSVUASUVRUYRVCWSALWTXAXBXCVTZXD
      UYMUWLUYLUWLUNEZUVRUWLUWJXEZWQXFXGUWNCXHOWHUVRUVTUWGUWKUYJCBUWBAXIUVRLUWJ
      UMUXBUVRUXCVUCNZFAVIRZNZUWQUWLUWGEZNZUYLUWAUYJEZNZUVRVUIVUEVUFVUIVUEXLUVR
      UWQUXCVUHVUCUWAUVSHXJUWLUWEXEXKWNUVRUWQVUFVUHUVRUWQVUFUWRFUWAAUWRWLUWRUWA
      UWRUXCUXDUVRUVTHUWAUVTHXMUVRUVSHXNWNXOUXGOZVEUXLUWRUWAVULXPUYFVTXQXRXSUVR
      VUKVUEVUFVUKVUEXLUVRUYLVUCVUJUXCVUDUWAUYIHXJXTWNUVRUYLVUFVUJUVRUYLVUFVUBX
      QXRXSUVRVUGVUIVUKSUVRVUGNZVUIUYAUWAUWLYAGZAQRZNZVUKVUMUWQUYAVUHVUOUWQUYBU
      XCNZVUMUYAUWAUVSHYDVUMUYBVUQUYAVUMUXCUYBUVRUXCVUCVUFYBZYCVUMUYDUVRUXSUXTU
      YBUYASVUMWLZUVRVUGVCZVUMUWAVUMUXCUXDVURUXGOZVEZVUMUWAVUMUWAVVAYEYOZUYDUVR
      NZUYBUXSUXTNZUYAVVDUYBUYCVVEUYANUYEUXSUXTUYAYFYGYHYIYJYKVUMUWLUWDQRZUWLUW
      EQRZVUOVUHVUMUXKUWLWREZVVFVVGSVUMUWCUWBVUMAVUMAVUTUVRVUEVUFUUEUUAZUSZVUMU
      WAVVBVUMUXNUXOVUMUXCUXNVURUXPOZUXQOVQZUUBZVUMUWLUVRUXCVUCVUFUUCZUUDZUWDUW
      LWTPVUMVUOVUNUDIZUWCQRUWLUWBJGZUWCQRVVFVUMVUNAVUMVUNVUMUWAUWLVVAVUMUWLVVN
      YEZUUFZURVVIUUGVUMVVPVVQUWCQVUMUWAUUHEVVHVVPVVQTVUMUWAVVAURVVOUWAUWLUUIPU
      UJVUMUWLUWCUWBVUMUWLVVNVEZVVJVVLUUKYLVUMUWLUYQEZUWEWREVUHVVGSVUMUWLUNUYQV
      VNUULUUMZVUMUWDVVMWIUWLLUWEYMPUUOYPVUMVUKUWLAQRZVUONVUOVUPVUMUYLVWCVUJVUO
      VUMUYLUWLUWJQRZVWCVUMVWAUWJWREUYLVWDSVWBVUMAVUTWIUWLLUWJYMPVUMUVRVVHVWCVW
      DSVUTVVOAUWLWTPUUNVUJUWAUYIEZUXCNZVUMVUOUWAUYIHYDVUMVWFUWAUWNQRZUWAUWLMGZ
      UWNUWLMGZQRVUOVUMVWEVWFVWGVUMUXCVWEVURYCVUMUYDUYNUXSUXTVWEVWGSVUSVUMAUWMV
      UTVUMAVVIWBZVUMUWLVVNXFZXGZVVBVVCUYDUYNNZVWEVVEVWGVWMVWEUXSUXTVWGVKVVEVWG
      NFUWNUWAVMUXSUXTVWGYFYGYHYIYJVUMUWAUWNUWLVVBVVCVWLVUMAUWMVUTVWJVWKUUPVUMU
      WLVVNURUUQVUMVWHVUNVWIAQVUMUWAULEUWLVBEZVWHVUNTVUMUWAVVAYNZVVRUWAUWLUURPV
      UMAUWMUWLJGZMGALMGVWIAVUMVWPLAMVUMUWLVUMUWLVVNYNZVUMUWLVVNUUSUUTUVAVUMAUW
      MUWLVVIVWKVWQUVBVUMAVUMAVUTUTUVCUVEUVFYLYKYPVUMVUOVWCVUMUWLVUNQRZVUOVWCVU
      MUWLVUNVVTVUMVUNVVSVEZVUMUXNVWNUWLVUNVIRVVKVVRUWAUWLUVGPXDVUMUWLDEVUNDEZU
      VRVWRVUONVWCXLVVTVWSVUTUWLVUNAYQYRYSYTVUMVUOUYAVUMUWAVUNQRZVUOUYAVUMUWALY
      AGUWAVUNQVUMUWAVWOUVDVUMUWALUWLVVBVUMUWAVVAUVHVWBUVIUVJVUMUXSVWTUVRVXAVUO
      NUYAXLVVBVWSVUTUWAVUNAYQYRYSYTUVNUVKXQUVLUVRUWQUXAVUHUXIUVMUVOUVPUVQ $.

    $( An upper bound on the second Chebyshev function.  (Contributed by Mario
       Carneiro, 8-Apr-2016.) $)
    chpub $p |- ( ( A e. RR /\ 1 <_ A ) -> ( psi ` A ) <_
      ( ( theta ` A ) + ( ( sqrt ` A ) x. ( log ` A ) ) ) ) $=
      ( vp cr wcel c1 cle wbr wa cfv cmul cc0 cprime adantr clt syl wceq sylan2
      co c2 mpbid cchp ccht cmin csqrt clog caddc cicc cin chpcl chtcl resubcld
      csu cfn simpl 0red 1red a1i simpr ltletrd elrpd rpge0d resqrtcld ppifi cv
      0lt1 crp relogcld fsumrecl remulcld cdiv cfl elin2d prmnn nnrpd nnred cuz
      cn prmuz2 eluz2gt1 rplogcld rerpdivcld reflcl recnd fsumsub wss 0le0 cexp
      lemul2ad sqsqrtd mulid1d eqtr4d sqvald 3brtr4d le2sqd mpbird iccss ssrind
      sqrtge0d syl22anc sselda syldan cdif eldifi mulid2d w3a elin1d 0re elicc2
      cc wb sylancr simp3d logled eqbrtrd lemuldivd wn eldifn adantl elin rbaib
      df-3an bitrdi baibd bitrd mtbid ltnled lt2sqd eqbrtrrd nnsqcld syl2anc cz
      logltb sylancl breqtrd eqtrd flle letrd chash cn0 cfz relogexp ltdivmul2d
      2z 2re df-2 breqtrdi 1z flbi mpbir2and oveq2d oveq1d subidd fsumss chtval
      chpval2 oveq12d 3eqtr4rd lemuldiv2d fsumle fsumconst hashcl nn0red logge0
      subge02d cdom fzfid ppisval inss1 2eluzge1 fzss1 mp1i sstrid eqsstrd sylc
      ssdomg hashdom flge0nn0 hashfz1 lemul1ad lesubadd2d ) ACDZEAFGZHZAUAIZAUB
      IZUCRZAUDIZAUEIZJRZFGUWDUWEUWIUFRFGUWCUWFKUWGUGRZLUHZUWHBULZUWIUWCUWDUWEU
      WAUWDCDUWBAUIMZUWAUWECDUWBAUJMZUKUWCUWKUWHBUWCUWGCDZUWKUMDZUWCAUWAUWBUNZU
      WCAUWCAUWQUWCKEAUWCUOZUWCUPZUWQKENGUWCVEUQUWAUWBURZUSUTZVAZVBZUWGVCOZUWCB
      VDZUWKDZHZAUWCAVFDZUXFUXAMVGZVHUWCUWGUWHUXCUWCAUXAVGZVIZUWCUWFUWKUXEUEIZU
      WHUXLVJRZVKIZJRZUXLUCRZBULZUWLFUWCKAUGRZLUHZUXPBULUXSUXOBULZUXSUXLBULZUCR
      UXQUWFUWCUXSUXOUXLBUWAUXSUMDUWBAVCMZUWCUXEUXSDZHZUXOUYDUXLUXNUYDUXEUYDUXE
      UYDUXELDZUXEVQDZUYDUXRLUXEUWCUYCURZVLZUXEVMZOZVNZVGZUYDUXMCDZUXNCDZUYDUWH
      UXLUWCUWHCDZUYCUXJMUYDUXEUYDUXEUYJVOUYDUXESVPIDZEUXENGUYDUYEUYPUYHUXEVROU
      XEVSOVTZWAZUXMWBOZVIZWCUYDUXLUYLWCZWDUWCUWKUXSUXPBUWCUWJUXRLUWCKCDZUWAKKF
      GZUWGAFGZUWJUXRWEUWRUWQVUCUWCWFUQUWCVUDUWGSWGRZASWGRZFGUWCAEJRZAAJRVUEVUF
      FUWCEAAUWSUWQUWQUXBUWTWHUWCVUEAVUGUWCAUWCAUWQWCZWIUWCAVUHWJWKUWCAVUHWLWMU
      WCUWGAUXCUWQUWCAUWQUXBWRZUXBWNWOKAKUWGWPWSWQZUWCUXFUYCUXPXIDUWCUWKUXSUXEV
      UJWTZUYDUXPUYDUXOUXLUYTUYLUKZWCXAUWCUXEUXSUWKXBDZHZUXPUXLUXLUCRKVUNUXOUXL
      UXLUCVUNUXOUXLEJRUXLVUNUXNEUXLJVUNUXNEPZEUXMFGZUXMEEUFRZNGZVUNEUXLJRZUWHF
      GVUPVUNVUSUXLUWHFVUNUXLVUMUWCUYCUXLXIDUXEUXSUWKXCZVUAQZXDVUNUXEAFGZUXLUWH
      FGVUMUWCUYCVVBVUTUYDUXECDZKUXEFGZVVBUYDUXEUXRDZVVCVVDVVBXEZUYDUXRLUXEUYGX
      FUYDVUBUWAVVEVVFXJXGUWCUWAUYCUWQMKAUXEXHXKTXLQVUNUXEAVUMUWCUYCUXEVFDZVUTU
      YKQZUWCUXHVUMUXAMZXMTXNVUNEUWHUXLVUNUPUWCUYOVUMUXJMZVUMUWCUYCUXLVFDZVUTUY
      QQZXOTVUNUXMSVUQNVUNUXMSNGUWHSUXLJRZNGVUNUWHUXESWGRZUEIZVVMNVUNAVVNNGZUWH
      VVONGZVUNVUEAVVNNVUNAVUNAUWCUWAVUMUWQMWCWIVUNUWGUXENGZVUEVVNNGVUNVVRUXEUW
      GFGZXPVUNUXFVVSVUMUXFXPUWCUXEUXSUWKXQXRVUNUXFUXEUWJDZVVSVUNUYEUXFVVTXJVUM
      UWCUYCUYEVUTUYHQUXFVVTUYEUXEUWJLXSXTOVUNVUBUWOVVCVVDVVTVVSXJVUNUOUWCUWOVU
      MUXCMZVUNUXEVUMUWCUYCUYFVUTUYJQZVOZVUNUXEVVHVAZVUBUWOHZVVTVVCVVDHZVVSVWEV
      VTVVCVVDVVSXEVWFVVSHKUWGUXEXHVVCVVDVVSYAYBYCWSYDYEVUNUWGUXEVWAVWCYFWOVUNU
      WGUXEVWAVWCUWCKUWGFGZVUMVUIMVWDYGTYHVUNUXHVVNVFDVVPVVQXJVVIVUNVVNVUNUXEVW
      BYIVNAVVNYLYJTVUNVVGSYKDVVOVVMPVVHUUCUXESUUAYMYNVUNUWHSUXLVVJSCDVUNUUDUQV
      VLUUBWOUUEUUFVUNUYMEYKDVUOVUPVURHXJVUMUWCUYCUYMVUTUYRQUUGUXMEUUHYMUUIUUJV
      UNUXLVVAWJYOUUKVUNUXLVVAUULYOUYBUUMUWCUWDUXTUWEUYAUCUWAUWDUXTPUWBABUUOMUW
      AUWEUYAPUWBABUUNMUUPUUQUWCUWKUXPUWHBUXDUWCUXFUYCUXPCDVUKVULXAZUXIUXGUXPUX
      OUWHVWHUWCUXFUYCUXOCDVUKUYTXAZUXIUXGKUXLFGUXPUXOFGUXGUXLUWCUXFUYCVVKVUKUY
      QXAZVAUXGUXOUXLVWIUXGUXEUXGUXEUXGUYEUYFUXGUWJLUXEUWCUXFURVLUYIOVNVGUVDTUX
      GUXOUWHFGUXNUXMFGZUXGUYMVWKUWCUXFUYCUYMVUKUYRXAUXMYPOUXGUXNUWHUXLUWCUXFUY
      CUYNVUKUYSXAUXIVWJUURWOYQUUSXNUWCUWLUWKYRIZUWHJRZUWIFUWCUWPUWHXIDUWLVWMPU
      XDUWCUWHUXJWCUWKUWHBUUTYJUWCVWLUWGUWHUWCVWLUWCUWPVWLYSDUXDUWKUVAOUVBZUXCU
      XJAUVCUWCVWLUWGVKIZUWGVWNUWCUWOVWOCDUXCUWGWBOUXCUWCVWLEVWOYTRZYRIZVWOFUWC
      VWLVWQFGZUWKVWPUVEGZUWCVWPUMDZUWKVWPWEVWSUWCEVWOUVFZUWCUWKSVWOYTRZLUHZVWP
      UWCUWOUWKVXCPUXCUWGUVGOUWCVXCVXBVWPVXBLUVHSEVPIDVXBVWPWEUWCUVISEVWOUVJUVK
      UVLUVMUWKVWPUMUVOUVNUWCUWPVWTVWRVWSXJUXDVXAUWKVWPUMUVPYJWOUWCVWOYSDZVWQVW
      OPUWCUWOVWGVXDUXCVUIUWGUVQYJVWOUVROYNUWCUWOVWOUWGFGUXCUWGYPOYQUVSXNYQUWCU
      WDUWEUWIUWMUWNUXKUVTT $.

    $( A simple upper bound on the logarithm of a factorial.  (Contributed by
       Mario Carneiro, 16-Apr-2016.) $)
    logfacubnd $p |- ( ( A e. RR+ /\ 1 <_ A ) ->
      ( log ` ( ! ` ( |_ ` A ) ) ) <_ ( A x. ( log ` A ) ) ) $=
      ( crp wcel c1 cle wbr wa cfv clog cmul co cr relogcld adantr syl remulcld
      nnrpd logled mpbid cc0 cfl cfa cn rpre flge1nn sylan nnnn0d faccld reflcl
      relogcl cexp cn0 facubnd nnexpcld wceq nnzd relogexp syl2anc breqtrd flle
      cz simpl wi rprege0d log1 nnge1d wb 1rp logleb sylancr eqbrtrrid lemul12a
      jca syl22anc mp2and letrd ) ABCZDAEFZGZAUAHZUBHZIHZVTVTIHZJKZAAIHZJKZVSWA
      VSWAVSVTVSVTVQALCZVRVTUCCAUDZAUEUFZUGZUHQZMVSVTWCVSWGVTLCZVQWGVRWHNZAUIOV
      SVTVSVTWIQZMZPVSAWEWMVQWELCZVRAUJNZPVSWBVTVTUKKZIHZWDEVSWAWREFZWBWSEFVSVT
      ULCWTWJVTUMOVSWAWRWKVSWRVSVTVTWIWJUNQRSVSVTBCZVTVACWSWDUOWNVSVTWIUPVTVTUQ
      URUSVSVTAEFZWCWEEFZWDWFEFZVSWGXBWMAUTOZVSXBXCXEVSVTAWNVQVRVBRSVSWLTVTEFGW
      GWCLCZTWCEFZGWPXBXCGXDVCVSVTWNVDWMVSXFXGWOVSTDIHZWCEVEVSDVTEFZXHWCEFZVSVT
      WIVFVSDBCXAXIXJVGVHWNDVTVIVJSVKVMWQVTAWCWEVLVNVOVP $.

    $( A lower bound on the logarithm of a factorial.  (Contributed by Mario
       Carneiro, 16-Apr-2016.) $)
    logfaclbnd $p |- ( A e. RR+ -> ( A x. ( ( log ` A ) - 2 ) )
       <_ ( log ` ( ! ` ( |_ ` A ) ) ) ) $=
      ( vn vd wcel cfv cmin co cmul cle caddc recnd wbr c1 cfz csu wa adantl cr
      syl wceq crp clog c2 cfl cfa rpcn times2d oveq2d relogcl 2cnd subdid rpre
      remulcld subsub4d 3eqtr4d cv cdiv resubcld fzfid elfznn nnrecred fsumrecl
      cn cc0 cn0 rprege0 flge0nn0 faccld nnrpd relogcld reflcl harmoniclbnd clt
      readdcld wb rpregt0 lemul2 syl3anc mpbid le2subd remulcl syl2an peano2rem
      flle adantr peano2re nnred fllep1 lesub1dd rpreccld lemul1d nncnd subdird
      nnne0d recidd eqtr2d chash cfn fsumconst syl2anc cuz elfzuz3 1cnd addsubd
      hashfz eqtr4d oveq1d eqtrd 3brtr4d fsumle sylancl hashfz1 mulid1d 3eqtrrd
      fsummulc2 ax-1cn oveq12d fsumsub eqid uztrn2 biantrurd wss ad2antll sseld
      cc uzss pm4.71rd bitr3d pm5.32da ancom an4 3bitr4g elfzuzb anbi12i anasss
      fsumcom2 letrd cz nnz flid sumeq1d nnre nnge1 harmonicubnd fsumadd logfac
      eqbrtrrd breqtrd leadd2dd lesubaddd mpbird eqbrtrd ) AUADZAAUBEZUCFGHGZAU
      UNHGZAFGZAFGZAUDEZUEEZUBEZIUUMUUPAUCHGZFGUUPAAJGZFGUUOUURUUMUVBUVCUUPFUUM
      AAUFZUGUHUUMAUUNUCUVDUUMUUNAUIZKUUMUJUKUUMUUPAAUUMUUPUUMAUUNAULZUVEUMZKUV
      DUVDUNUOUUMUURUVAILUUQUVAAJGZILUUMUUQMUUSNGZMBUPZNGZMCUPZUQGZCOZBOZUVHUUM
      UUPAUVGUVFURZUUMUVIUVNBUUMMUUSUSZUUMUVJUVIDZPZUVKUVMCUVSMUVJUSZUVSUVLUVKD
      ZPZUVLUWAUVLVCDZUVSUVLUVJUTQVAZVBZVBZUUMUVAAUUMUUTUUMUUTUUMUUSUUMARDZVDAI
      LPUUSVEDZAVFAVGSZVHVIVJZUVFVNZUUMUUQAUVIUVMCOZHGZUUSFGZUVOUVPUUMUWMUUSUUM
      AUWLUVFUUMUVIUVMCUVQUUMUVLUVIDZPZUVLUWOUWCUUMUVLUUSUTZQZVAZVBZUMZUUMUWGUU
      SRDZUVFAVKZSZURUWFUUMUUPUUSUWMAUVGUXDUXAUVFUUMUUNUWLILZUUPUWMILZACVLUUMUU
      NRDUWLRDUWGVDAVMLPUXEUXFVOUVEUWTAVPUUNUWLAVQVRVSUUMUWGUUSAILUVFAWDSZVTUUM
      UVIAUVMHGZMFGZCOZUVIUVLUUSNGZUVMBOZCOUWNUVOIUUMUVIUXIUXLCUVQUWPUXHRDZUXIR
      DUUMUWGUVMRDZUXMUWOUVFUWOUVLUWQVAAUVMWAWBZUXHWCSUWPUXKUVMBUWPUVLUUSUSZUWP
      UXNUVJUXKDZUWSWEVBUWPAUVLFGZUVMHGZUUSMJGZUVLFGZUVMHGZUXIUXLIUWPUXRUYAILUX
      SUYBILUWPAUXTUVLUUMUWGUWOUVFWEZUWPUXBUXTRDUWPUWGUXBUYCUXCSUUSWFSZUWPUVLUW
      RWGZUUMAUXTILZUWOUUMUWGUYFUVFAWHSWEWIUWPUXRUYAUVMUWPAUVLUYCUYEURUWPUXTUVL
      UYDUYEURUWPUVLUWPUVLUWRVIWJWKVSUWPUXSUXHUVLUVMHGZFGUXIUWPAUVLUVMUUMAYEDUW
      OUVDWEUWPUVLUWRWLZUWPUVMUWSKZWMUWPUYGMUXHFUWPUVLUYHUWPUVLUWRWNWOUHWPUWPUX
      LUXKWQEZUVMHGZUYBUWPUXKWRDUVMYEDZUXLUYKTUXPUYIUXKUVMBWSWTUWPUYJUYAUVMHUWP
      UYJUUSUVLFGMJGZUYAUWPUUSUVLXAEZDZUYJUYMTUWOUYOUUMUVLMUUSXBQUVLUUSXESUWPUU
      SMUVLUUMUUSYEDUWOUUMUUSUXDKZWEUWPXCZUYHXDXFXGXHXIXJUUMUWNUVIUXHCOZUVIMCOZ
      FGUXJUUMUWMUYRUUSUYSFUUMUVIUVMACUVQUVDUYIXOUUMUYSUVIWQEZMHGZUUSMHGZUUSUUM
      UVIWRDZMYEDZUYSVUATUVQXPUVIMCWSXKUUMUYTUUSMHUUMUWHUYTUUSTUWIUUSXLSXGZUUMU
      USUYPXMZXNXQUUMUVIUXHMCUVQUWPUXHUXOKUYQXRXFUUMUVIUVKUVIUXKBCUVMUVQUVQUVTU
      UMUVJMXAEZDZUUSUVJXAEZDZPZUVLVUGDZUVJUYNDZPZPZVULUYOPZVUMVUJPZPZUVRUWAPUW
      OUXQPUUMVUNVUKPVUNUYOVUJPZPVUOVURUUMVUNVUKVUSUUMVUNPZVUJVUKVUSVUTVUHVUJVU
      NVUHUUMMUVJUVLVUGVUGXSXTQYAVUTVUJUYOVUTVUIUYNUUSVUMVUIUYNYBUUMVULUVLUVJYF
      YCYDYGYHYIVUKVUNYJVULUYOVUMVUJYKYLUVRVUKUWAVUNUVJMUUSYMUVLMUVJYMYNUWOVUPU
      XQVUQUVLMUUSYMUVJUVLUUSYMYNYLUUMUVRUWAUYLUWBUVMUWDKYOYPXIYQUUMUVOUVAUUSJG
      ZUVHUWFUUMUVAUUSUWJUXDVNUWKUUMUVOUVIUVJUBEZMJGZBOZVVAIUUMUVIUVNVVCBUVQUWE
      UVSVVBRDVVCRDUVSUVJUVSUVJUVRUVJVCDZUUMUVJUUSUTQZVIVJZVVBWFSUVSVVEUVNVVCIL
      VVFVVEMUVJUDEZNGZUVMCOZUVNVVCIVVEVVIUVKUVMCVVEVVHUVJMNVVEUVJYRDVVHUVJTUVJ
      YSUVJYTSUHUUAVVEUVJRDMUVJILVVJVVCILUVJUUBUVJUUCUVJCUUDWTUUGSXJUUMVVDUVIVV
      BBOZUVIMBOZJGVVAUUMUVIVVBMBUVQUVSVVBVVGKUVSXCUUEUUMUVAVVKUUSVVLJUUMUWHUVA
      VVKTUWIBUUSUUFSUUMVVLVUAVUBUUSUUMVUCVUDVVLVUATUVQXPUVIMBWSXKVUEVUFXNXQXFU
      UHUUMUUSAUVAUXDUVFUWJUXGUUIYQYQUUMUUQAUVAUVPUVFUWJUUJUUKUUL $.
  $}

  ${
    $d n x A $.  $d k n x y N $.
    $( Show the stronger statement ` log ( x ! ) = x log x - x + O ( log x ) `
       alluded to in ~ logfacrlim .  (Contributed by Mario Carneiro,
       20-May-2016.) $)
    logfacbnd3 $p |- ( ( A e. RR+ /\ 1 <_ A ) ->
      ( abs ` ( ( log ` ( ! ` ( |_ ` A ) ) ) - ( A x. ( ( log ` A ) - 1 ) ) ) )
        <_ ( ( log ` A ) + 1 ) ) $=
      ( vx vn crp wcel c1 cle wbr wa cfv clog cmin co cc0 syl wceq fveq2 eqtrdi
      cr a1i cfl cfa cmul cabs caddc cn0 simpl rprege0d flge0nn0 faccld relogcl
      nnrpd rpre adantr peano2rem remulcld resubcld recnd abscld ax-1cn sylancl
      cc subcl abs1 oveq2i abs2dif eqbrtrrid cfz csu cmpt oveq2d sumeq1d oveq1d
      cv id oveq12d eqid ovex fvmpt3i logfac eqtr4d 1rp cz flid ax-mp 0cn fsum1
      1z log1 mp2an subcli mulid2i nncan mp1i fveq2d cpnf cioo ioorp eqcomi 1re
      cn nnuz cxr 1nn0 nn0addge1i 0red adantl nnrp sylan2 cdv advlog w3a simp32
      pnfxr logleb 3ad2ant2 mpbid simprr sylancr 1le1 simpr rexrd pnfge dvfsum2
      wb simprl eqbrtrrd letrd lesubaddd ) ADEZFAGHZIZAUAJZUBJZKJZAAKJZFLMZUCMZ
      LMZUDJZFLMZYPGHYTYPFUEMGHYLUUAYSFLMZUDJZYPYLYTSEUUASEYLYSYLYSYLYOYRYLYNDE
      YOSEYLYNYLYMYLASEZNAGHIYMUFEZYLAYJYKUGZUHAUIOZUJULYNUKOYLAYQYJUUDYKAUMUNZ
      YLYPSEZYQSEYJUUIYKAUKUNZYPUOOUPUQURZUSZYTUOOYLUUBYLYSVBEZFVBEZUUBVBEUUKUT
      YSFVCVAUSUUJYLUUAYTFUDJZLMZUUCGUUOFYTLVDVEYLUUMUUNUUPUUCGHUUKUTYSFVFVAVGY
      LABDFBVNZUAJZVHMZCVNZKJZCVIZUUQUUQKJZFLMZUCMZLMZVJZJZFUVGJZLMZUDJUUCYPGYL
      UVJUUBUDYLUVHYSUVIFLYLUVHFYMVHMZUVACVIZYRLMZYSYJUVHUVMPYKBAUVFUVMDUVGUUQA
      PZUVBUVLUVEYRLUVNUUSUVKUVACUVNUURYMFVHUUQAUAQVKVLUVNUUQAUVDYQUCUVNVOUVNUV
      CYPFLUUQAKQZVMVPVPUVGVQZUVBUVELVRZVSUNYLYOUVLYRLYLUUEYOUVLPUUGCYMVTOVMWAF
      DEZUVIFPYLWBBFUVFFDUVGUUQFPZUVFNNFLMZLMZFUVSUVBNUVEUVTLUVSUVBFFVHMZUVACVI
      ZNUVSUUSUWBUVACUVSUURFFVHUVSUURFUAJZFUUQFUAQFWCEZUWDFPWHFWDWERVKVLUWENVBE
      ZUWCNPWHWFUVANCFUUTFPUVAFKJZNUUTFKQWIRWGWJRUVSUVEFUVTUCMUVTUVSUUQFUVDUVTU
      CUVSVOUVSUVCNFLUVSUVCUWGNUUQFKQWIRVMVPUVTNFWFUTWKWLRVPUWFUUNUWAFPWFUTNFWM
      WJRUVPUVQVSWNVPWOYLBUVEUVCUVAFDNWPCYPUVGFSFAXANWPWQMDWRWSXBUWEYLWHTFSEYLW
      TTZWPXCEYLXNTFFFUEMGHYLFFWTXDXETYLXFYLUUQDEZIZUUQUVDUWIUUQSEYLUUQUMXGUWJU
      VCSEZUVDSEUWIUWKYLUUQUKXGZUVCUOOUPUWLUUQXAEYLUWIUWKUUQXHUWLXISBDUVEVJXJMB
      DUVCVJPYLBXKTUUQUUTKQYLUWIUUTDEIZFUUQGHZUUQUUTGHZUUTWPGHZXLZXLUWOUVCUVAGH
      ZYLUWMUWNUWOUWPXMUWMYLUWOUWRYEUWQUUQUUTXOXPXQUVPYLUWIUWNIIZNUWGUVCGWIUWSU
      WNUWGUVCGHZYLUWIUWNXRUWSUVRUWIUWNUWTYEWBYLUWIUWNYFFUUQXOXSXQVGUVRYLWBTUUF
      FFGHYLXTTYJYKYAYLAXCEAWPGHYLAUUHYBAYCOUVOYDYGYHYLYTFYPUULUWHUUJYIXQ $.

    $( Combine the estimates ~ logfacubnd and ~ logfaclbnd , to get
       ` log ( x ! ) = x log x + O ( x ) ` .  Equation 9.2.9 of [Shapiro],
       p. 329.  This is a weak form of the even stronger statement,
       ` log ( x ! ) = x log x - x + O ( log x ) ` .  (Contributed by Mario
       Carneiro, 16-Apr-2016.)  (Revised by Mario Carneiro, 21-May-2016.) $)
    logfacrlim $p |- ( x e. RR+ |->
      ( ( log ` x ) - ( ( log ` ( ! ` ( |_ ` x ) ) ) / x ) ) ) ~~>r 1 $=
      ( crp cfv cdiv co cmin cmpt c1 crli wbr wtru cc0 wcel wa cc cr adantl cle
      cabs adantrr clog cfl cfa caddc 1red 1cnd wne wceq relogcl rpcnne0 divdir
      recnd syl3anc mpteq2dva simpr rerpdivcld rpreccl rpred ccxp simpld oveq2d
      cxp1d 1rp cxploglim mp1i eqbrtrrd ax-1cn divrcnv rlimadd eqbrtrd breqtrdi
      cv 00id peano2re syl cn0 cn rprege0 flge0nn0 faccl 3syl nnrpd subcld cmul
      logfacbnd3 clt ad2antrl subcl sylancl mulcld abscld rpregt0 lediv1 simprd
      wb mpbid divcan3d oveq1d divsubdir sub32d 3eqtr4rd fveq2d absdivd abssubd
      absid oveq12d 3eqtrd subid1d log1 simprr logleb sylancr ge0p1rpd rpdivcld
      eqbrtrrid eqtrd 3brtr4d rlimsqzlem mptru ) ABAVLZUACZXTUBCZUCCZUACZXTDEZF
      EZGHIJKABYAHUDEZXTDEZYFLHHKUEKUFKABYHGZLLUDEZLIKYIABYAXTDEZHXTDEZUDEZGYJI
      KABYHYMKXTBMZNZYAOMZHOMZXTOMZXTLUGZNZYHYMUHYOYAYNYAPMZKXTUIQZULZYOUFYNYTK
      XTUJZQZYAHXTUKUMUNKABYKYLLLPYOYAXTUUBKYNUOZUPYOYLYNYLBMKXTUQQURKABYAXTHUS
      EZDEZGZABYKGLIKABUUHYKYOUUGXTYADYOXTYOYRYSUUEUTVBVAUNHBMZUUILIJKVCHAVDVEV
      FYQABYLGLIJKVGHAVHVEVIVJVMVKYOYHYOYGXTYOUUAYGPMZUUBYAVNZVOUUFUPULZYOYAYEU
      UCYOYEYOYDXTYOYCBMYDPMYOYCYOXTPMZLXTRJNZYBVPMYCVQMYNUUOKXTVRZQXTVSYBVTWAW
      BYCUIVOZUUFUPULZWCKYNHXTRJZNZNZYDXTYAHFEZWDEZFEZSCZXTDEZYHYFHFEZSCZYHLFEZ
      SCZRUVAUVEYGRJZUVFYHRJZUUTUVKKXTWEQUVAUVEPMUUKUUNLXTWFJNZUVKUVLWOUVAUVDUV
      AYDUVCKYNYDOMZUUSYOYDUUQULTZUVAXTUVBUVAYRYSYNYTKUUSUUDWGZUTZUVAYPYQUVBOMK
      YNYPUUSUUCTZVGYAHWHWIZWJZWCWKUVAUUAUUKKYNUUAUUSUUBTZUULVOYNUVMKUUSXTWLWGU
      VEYGXTWMUMWPUVAUVHUVCYDFEZXTDEZSCUWBSCZXTSCZDEUVFUVAUVGUWCSUVAUVCXTDEZYEF
      EZUVBYEFEUWCUVGUVAUWFUVBYEFUVAUVBXTUVSUVQUVAYRYSUVPWNZWQWRUVAUVCOMUVNYTUW
      CUWGUHUVTUVOUVPUVCYDXTWSUMUVAYAYEHUVRKYNYEOMUUSUURTUVAUFWTXAXBUVAUWBXTUVA
      UVCYDUVTUVOWCUVQUWHXCUVAUWDUVEUWEXTDUVAUVCYDUVTUVOXDUVAUUOUWEXTUHYNUUOKUU
      SUUPWGXTXEVOXFXGUVAUVJYHSCZYHUVAUVIYHSUVAYHKYNYHOMUUSUUMTXHXBUVAYHBMYHPML
      YHRJNUWIYHUHUVAYGXTUVAYAUWAUVALHUACZYARXIUVAUUSUWJYARJZKYNUUSXJUVAUUJYNUU
      SUWKWOVCKYNYNUUSUUFTZHXTXKXLWPXOXMUWLXNYHVRYHXEWAXPXQXRXS $.

    $( The sum ` sum_ n <_ x , log ^ N ( x / n ) ` has the asymptotic expansion
       ` ( N ! ) x + o ( x ) ` .  (More precisely, the omitted term has order
       ` O ( log ^ N ( x ) / x ) ` .)  (Contributed by Mario Carneiro,
       22-May-2016.) $)
    logexprlim $p |- ( N e. NN0 -> ( x e. RR+ |->
      ( sum_ n e. ( 1 ... ( |_ ` x ) ) ( ( log ` ( x / n ) ) ^ N ) / x ) )
        ~~>r ( ! ` N ) ) $=
      ( vk wcel crp c1 cfv co cdiv cc0 cmul cmin cmpt cr wa wbr wceq cc cle cn0
      vy cfl cfz clog cexp csu cfa caddc crli fzfid simpr elfznn rpdivcl syl2an
      cv nnrpd relogcld simpll reexpcld fsumrecl relogcl reexpcl syl2anr adantr
      id faccl nnred adantl elfznn0 faccld nndivred remulcld resubcld rerpdivcl
      rerpdivcld sylancom 1red nncnd simpl oveq2d oveq1d mpteq2dva breq1d recnd
      ccxp cxpexp rpcn oveq12d 1rp mulcld subcld wne simprd cabs adantrr abscld
      cn 1z a1i cdv nnne0d eqtrd oveq2 fveq2d w3a rpdivcld log1 mulid2d eqbrtrd
      rpcnd rpred lemuldivd mpbid wb logleb sylancr eqbrtrrid 3ad2antr1 sumeq1d
      ad2antrl cvv eqtrdi sumeq2dv ax-1cn cdif div0d ovexd fvmptd ax-mp 3brtr3d
      syl 3eqtrd divsubdir syl3anc wss rpssre rlimconst breqtrd breqtrdi simpld
      cxp1d nn0cn cxploglim2 sylancl eqbrtrrd vtoclga rpcnne0 divcld cpnf ioorp
      csb cioo eqcomi nnuz cz 1re 1nn0 nn0addge1i 0red rpre simprl sylan sylan2
      nnrp reelprrecn advlogexp syl2anc dvmptcmul divcan2d rpxrd simp1rl simp2r
      simp2l simp1l simp33 simp32 lediv2d logled leexp1a syl32anc simpr3 simpr1
      cpr eqid expge0d simprr leidd dvfsumlem4 expcld fsumcl sub32d eqidd divid
      1le1 csn sylan9eqr cuz nn0uz eleqtrdi eluzfz1 snssd elsni 0exp0e1 1div1e1
      fveq2 fac0 eqeltrdi eldifi eldifsni eldifsn sylanbrc dfn2 eleqtrrdi 0expd
      fsumss eqtr4d 0cn sumsn mp2an mulid1d flid div1d eqeltrd subdird divcan1d
      fsum1 3eqtr4d absmuld rprege0 absid 1cnd csbied leabsd subid1d rlimsqzlem
      letrd breqtrrd divass fsumdivc rpcnne0d divdiv32 anasss an32s rlimdiv cfn
      fsumrlim wo fzfi olci rlimmul mul01d rlimsub 0m0e0 rlimadd npcand addid1d
      sumz ) CUAEZAFGAUPZUCHZUDIZVUTBUPZJIZUEHZCUFIZBUGZVUTUEHZCUFIZCUHHZKCUDIZ
      VVHDUPZUFIZVVLUHHZJIZDUGZLIZMIZMIZVUTJIZVVRVUTJIZUIIZNVVJKUIIAFVVGVUTJIZN
      VVJUJVUSAFVVTVWAVVJKOVUSVUTFEZPZVVSVUTVWEVVGVVRVWEVVBVVFBVWEGVVAUKVWEVVCV
      VBEZPZVVECVWGVVDVWEVWDVVCFEZVVDFEZVWFVUSVWDULZVWFVVCVVCVVAUMUQZVUTVVCUNZU
      OURVUSVWDVWFUSUTVAZVWEVVIVVQVWDVVHOEZVUSVVIOEZVUSVUTVBZVUSVFVVHCVCVDZVWEV
      VJVVPVWEVVJVUSVVJWREZVWDCVGZVEVHZVWEVVKVVODVWEKCUKZVWEVVLVVKEZPZVVMVVNVWE
      VWNVVLUAEZVVMOEZVXBVWDVWNVUSVWPVIVVLCVJZVVHVVLVCZUOZVXCVVLVXBVXDVWEVXFVIV
      KZVLZVAZVMZVNZVNVWJVPVUSVWDVVROEVWAOEVXMVVRVUTVOVQZVUSAFVVIVUTJIZVVTKVVJG
      VUSVRVUSVVJVWSVSZAFVVMVUTJIZNZKUJQZAFVXONZKUJQDCUAVVLCRZVXRVXTKUJVYAAFVXQ
      VXOVYAVWDPZVVMVVIVUTJVYBVVLCVVHUFVYAVWDVTWAWBWCWDVXDAFVVHVVLWFIZVUTGWFIZJ
      IZNZVXRKUJVXDAFVYEVXQVXDVWDPZVYCVVMVYDVUTJVWDVVHSEVXDVYCVVMRVXDVWDVVHVWPW
      EVXDVFVVHVVLWGVDVYGVUTVWDVUTSEZVXDVUTWHVIUUBWIWCVXDVVLSEGFEZVYFKUJQVVLUUC
      WJVVLGAUUDUUEUUFZUUGZVWEVXOVUSVWDVWOVXOOEZVWQVVIVUTVOVQZWEZVWEVVSVUTVWEVV
      GVVRVWEVVGVWMWEZVWEVVIVVQVWEVVIVWQWEZVWEVVJVVPVUSVVJSEZVWDVXPVEZVWEVVPVXK
      WEZWKZWLZWLZVWEVYHVUTKWMZVWDVYHWUCPZVUSVUTUUHZVIZUUAZVWEVYHWUCWUFWNZUUIZV
      USVWDGVUTTQZPZPZVVTVVJMIZWOHZVXOWOHZVXOKMIZWOHTWULWUNVXOWUOWULWUMWULVVTVV
      JVUSVWDVVTSEWUJWUIWPZWULVVJVUSVWRWUKVWSVEZVSZWLZWQZVUSVWDVYLWUJVYMWPZWULV
      XOWULVXOWVBWEWQWULWUNVUTLIZVVITQWUNVXOTQWULVUTUBFGUBUPZUCHZUDIZVVFBUGZVVJ
      WVDVVKVUTWVDJIZUEHZVVLUFIZVVNJIZDUGZLIZLIZMIZNZHZGWVPHZMIZWOHZUBGWVICUFIZ
      UULWVCVVITWULUBWVNWWAVVFGFKVUTBWVPGOGVUTWRKUUJUUMIFUUKUUNUUOGUUPEZWULWSWT
      WULVRGGGUIITQWULGGUUQUURUUSWTWULUUTWULWVDFEZPZVVJWVMWWDVVJWULVWRWWCWURVEZ
      VHWWDWVDWVLWWCWVDOEWULWVDUVAVIWWDVVKWVKDWWDKCUKWWDVXBPZWVJVVNWWDWVIOEZVXD
      WVJOEVXBWWDWVHWULVWDWWCWVHFEZVUSVWDWUJUVBZVUTWVDUNUVCZURZVXFWVIVVLVCUOWWF
      VVLVXBVXDWWDVXFVIVKVLVAVMZVMWWDWVICWWKVUSWUKWWCUSUTZWVDWREWULWWCWWAOEWVDU
      VEWWMUVDWULOUBFWVNNXAIUBFVVJWWAVVJJIZLIZNUBFWWANWULUBWVMWWNVVJOOFOOSUWDEW
      ULUVFWTWWDWVMWWLWEWWDWWAVVJWWMWWEVLWULVWDVUSOUBFWVMNXAIUBFWWNNRWWIVUSWUKV
      TZUBVUTDCUVGUVHWUSUVIWULUBFWWOWWAWWDWWAVVJWWDWWAWWMWEWULVYQWWCWUSVEWULVVJ
      KWMWWCWULVVJWURXBVEUVJWCXCWVDVVCRZWVIVVECUFWWQWVHVVDUEWVDVVCVUTJXDXEWBWUL
      VUTWWIUVKWULWWCVWHPZGWVDTQZWVDVVCTQZVVCVUTTQZXFZXFZVVEOEWWGVUSKVVETQVVEWV
      ITQZVVFWWATQWXCVVDWXCVUTVVCVWDWUJVUSWWRWXBUVLZWULWWCVWHWXBUVMZXGZURWXCWVH
      WXCVUTWVDWXEWULWWCVWHWXBUVNZXGZURVUSWUKWWRWXBUVOWXCKGUEHZVVETXHWXCGVVDTQZ
      WXJVVETQZWXCGVVCLIZVUTTQWXKWXCWXMVVCVUTTWXCVVCWXCVVCWXFXKXIWULWWRWWSWWTWX
      AUVPXJWXCGVUTVVCWXCVRWXCVUTWXEXLWXFXMXNWXCVYIVWIWXKWXLXOWJWXGGVVDXPXQXNXR
      WXCVVDWVHTQZWXDWXCWWTWXNWULWWRWWSWWTWXAUVQWXCWVDVVCVUTWXHWXFWXEUVRXNWXCVV
      DWVHWXGWXIUVSXNVVEWVICUVTUWAWVPUWEWULWWCWWSWVDVUTTQZXFZPZWVICWXQWVHWULWWS
      WWCWWHWXOWWJXSZURVUSWUKWXPUSWXQKWXJWVITXHWXQGWVHTQZWXJWVITQZWXQGWVDLIZVUT
      TQWXSWXQWYAWVDVUTTWXQWVDWULWWSWWCWVDSEZWXOWWCWYBWULWVDWHVIXSXIWULWWCWWSWX
      OUWBXJWXQGVUTWVDWXQVRWULVUTOEZWXPWULVUTWWIXLZVEWULWWCWWSWXOUWCXMXNWXQVYIW
      WHWXSWXTXOWJWXRGWVHXPXQXNXRUWFVYIWULWJWTZWWIGGTQWULUWOWTVUSVWDWUJUWGWULVU
      TWYDUWHUWIWULWVTWUMVUTLIZWOHWUNVUTWOHZLIWVCWULWVSWYFWOWULVVGVVJVUTLIZMIZV
      VRMIVVSWYHMIZWVSWYFWULVVGWYHVVRWULVVGWULVVBVVFBWULGVVAUKWULVWFPZVVECWYKVV
      DWULVWDVWHVWIVWFWWIVWKVWLUOURVUSWUKVWFUSUTVAWEWULVVJVUTWUSWULVUTWWIXKZWKW
      ULVVIVVQWULVVHCWULVVHVWDVWNVUSWUJVWPYAZWEWWPUWJZWULVVJVVPWUSWULVVKVVODWUL
      KCUKWULVXBPZVVOWYOVVMVVNWULVWNVXDVXEVXBWYMVXFVXGUOWYOVVLVXBVXDWULVXFVIVKV
      LWEUWKZWKWLUWLWULWVQWYIWVRVVRMWULUBVUTWVOWYIFWVPYBWULWVPUWMZWULWVDVUTRZPZ
      WVGVVGWVNWYHMWYSWVFVVBVVFBWYSWVEVVAGUDWYSWVDVUTUCWULWYRULZXEWAXTWYSWVMVUT
      VVJLWYSWVMVUTGLIZVUTWYSWVDVUTWVLGLWYTWYSWVLKUWPZKVVLUFIZVVNJIZDUGZGWYSWVL
      VVKXUDDUGXUEWYSVVKWVKXUDDWYSVXBPZWVJXUCVVNJXUFWVIKVVLUFXUFWVIWXJKXUFWVHGU
      EWYSWVHGRVXBWYRWULWVHVUTVUTJIZGWVDVUTVUTJXDWULWUDXUGGRVWDWUDVUSWUJWUEYAZV
      UTUWNYLUWQVEXEXHYCWBWBYDWYSXUBVVKXUDDWYSKVVKWULKVVKEZWYRWULCKUWRHZEXUIWUL
      CUAXUJWWPUWSUWTKCUXAYLVEUXBWYSVVLXUBEZPZXUDGSXULVVLKRZXUDGRXUKXUMWYSVVLKU
      XCVIXUMXUDGGJIGXUMXUCGVVNGJXUMXUCKKUFIGVVLKKUFXDUXDYCXUMVVNKUHHGVVLKUHUXF
      UXGYCWIUXEYCZYLYEUXHWYSVVLVVKXUBYFEZPZXUDKVVNJIZKXUPXUCKVVNJXUPVVLXUPVVLU
      AXUBYFZWRXUPVXDVVLKWMZVVLXUREXUPVXBVXDXUOVXBWYSVVLVVKXUBUXIVIVXFYLZXUOXUS
      WYSVVLVVKKUXJVIVVLUAKUXKUXLUXMUXNUXOWBXUPVVNXUPVVNXUPVVLXUTVKZVSXUPVVNXVA
      XBYGXCWYSKCUKUXPUXQKSEGSEXUEGRUXRYEXUDGDKSXUNUXSUXTYCWIWULXUAVUTRWYRWULVU
      TWYLUYAVEXCWAWIWWIWULVVGWYHMYHYIWULUBGWVOVVRFWVPYBWYQWULWVDGRZPZWVGVVIWVN
      VVQMXVCWVGGGUDIZVVFBUGZVUTGJIZUEHZCUFIZVVIXVCWVFXVDVVFBXVCWVEGGUDXVCWVEGU
      CHZGXVCWVDGUCWULXVBULZXEWWBXVIGRWSGUYBYJYCWAXTXVCWWBXVHSEXVEXVHRWSXVCXVHV
      VISXVCXVGVVHCUFXVCXVFVUTUEWULXVFVUTRXVBWULVUTWYLUYCVEZXEWBZWULVVISEZXVBWY
      NVEUYDVVFXVHBGVVCGRZVVEXVGCUFXVNVVDXVFUEVVCGVUTJXDXEWBUYGXQXVLYMXVCWVMVVP
      VVJLXVCWVMGVVPLIVVPXVCWVDGWVLVVPLXVJXVCVVKWVKVVODXVCVXBPZWVJVVMVVNJXVOWVI
      VVHVVLUFXVCWVIVVHRVXBXVCWVHVUTUEXVCWVHXVFVUTXVCWVDGVUTJXVJWAXVKXCXEZVEWBW
      BYDWIXVCVVPWULVVPSEZXVBWYPVEXIXCWAWIWYEWULVVIVVQMYHYIWIWULWYFVVTVUTLIZWYH
      MIWYJWULVVTVVJVUTWUQWUSWYLUYEWULXVRVVSWYHMWULVVSVUTVUSVWDVVSSEWUJWUBWPWYL
      WULVYHWUCXUHWNUYFWBXCUYHXEWULWUMVUTWUTWYLUYIWULWYGVUTWUNLWULWYCKVUTTQPZWY
      GVUTRVWDXVSVUSWUJVUTUYJYAVUTUYKYLWAYMWULUBGWWAVVISWULUYLXVCWVIVVHCUFXVPWB
      UYMYKWULWUNVVIVUTWVAVUSVWDVWOWUJVWQWPWWIXMXNWULVXOWVBUYNUYQWULWUPVXOWOWUL
      VXOVUSVWDVXOSEWUJVYNWPUYOXEUYRUYPVUSAFVWANAFVXOVVQVUTJIZMIZNZKUJVUSAFVWAX
      WAVWEXVMVVQSEWUDVWAXWARVYPVYTWUFVVIVVQVUTYNYOWCVUSXWBKKMIKUJVUSAFVXOXVTKK
      OVYMVUSVWDVVQOEXVTOEVXLVVQVUTVOVQVYKVUSAFXVTNAFVVJVVKVXQVVNJIZDUGZLIZNZKU
      JVUSAFXVTXWEVWEXVTVVJVVPVUTJIZLIZXWEVWEVYQXVQWUDXVTXWHRVYRVYSWUFVVJVVPVUT
      UYSYOVWEXWGXWDVVJLVWEXWGVVKVVOVUTJIZDUGXWDVWEVVKVVOVUTDVXAWUGVXCVVOVXJWEW
      UHUYTVWEVVKXWIXWCDVXCVVMSEVVNSEZVVNKWMZPWUDXWIXWCRVXCVVMVXHWEVXCVVNVXCVVN
      VXIUQVUAVWEWUDVXBWUFVEVVMVVNVUTVUBYOYDXCWAXCWCVUSXWFVVJKLIKUJVUSAFVVJXWDV
      VJKOVWTVWEVVKXWCDVXAVXCVXQVVNVXCVVMVUTVXHVWEVWDVXBVWJVEVPZVXIVLZVAVUSFOYP
      ZVYQAFVVJNVVJUJQYQVXPAFVVJYRXQVUSAFXWDNVVKKDUGZKUJVUSAFVVKXWCKDOXWNVUSYQW
      TVUSKCUKVUSVWDVXBXWCOEXWMVUCVUSVXBPZAFXWCNXUQKUJXWPAFVXQVVNKVVNOVUSVWDVXB
      VXQOEXWLVUDXWPVVNOEVWDXWPVVNXWPVVLVXBVXDVUSVXFVIZVKZVHVEXWPVXDVXSXWQVYJYL
      XWPXWNXWJAFVVNNVVNUJQYQXWPVVNXWRVSZAFVVNYRXQXWPVVNXWRXBZXWPXWKVWDXWTVEVUE
      XWPVVNXWSXWTYGYSVUGVVKXUJYPZVVKVUFEZVUHXWOKRXXBXXAKCVUIVUJVVKDKVURYJYTVUK
      VUSVVJVXPVULYSXJVUMVUNYTXJVUOVUSAFVWBVWCVWEVWBVWCVWAMIZVWAUIIVWCVWEVVTXXC
      VWAUIVWEVVGSEVVRSEWUDVVTXXCRVYOWUAWUFVVGVVRVUTYNYOWBVWEVWCVWAVWEVWCVWEVVG
      VUTVWMVWJVPWEVWEVWAVXNWEVUPXCWCVUSVVJVXPVUQYK $.

    $( Write out ~ logfacrlim as a sum of logs.  (Contributed by Mario
       Carneiro, 18-May-2016.)  (Revised by Mario Carneiro, 22-May-2016.) $)
    logfacrlim2 $p |- ( x e. RR+ |->
      sum_ n e. ( 1 ... ( |_ ` x ) ) ( ( log ` ( x / n ) ) / x ) ) ~~>r 1 $=
      ( crp c1 cv cfl cfv cfz co cdiv clog cexp csu cmpt cfa crli cn0 wcel 1nn0
      wbr logexprlim ax-mp wa elfznn nnrpd sylan2 relogcld recnd exp1d sumeq2dv
      rpdivcl oveq1d fzfid rpcn rpne0 fsumdivc eqtrd mpteq2ia fac1 3brtr3i ) AC
      DAEZFGZHIZVABEZJIZKGZDLIZBMZVAJIZNZDOGZACVCVFVAJIBMZNDPDQRVJVKPTSABDUAUBA
      CVIVLVACRZVIVCVFBMZVAJIVLVMVHVNVAJVMVCVGVFBVMVDVCRZUCZVFVPVFVPVEVOVMVDCRV
      ECRVOVDVDVBUDUEVAVDUKUFUGUHZUIUJULVMVCVFVABVMDVBUMVAUNVQVAUOUPUQURUSUT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Perfect Number Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d k n P $.
    $( A Mersenne prime is a prime number of the form ` 2 ^ P - 1 ` .  This
       theorem shows that the ` P ` in this expression is necessarily also
       prime.  (Contributed by Mario Carneiro, 17-May-2016.) $)
    mersenne $p |- ( ( P e. ZZ /\ ( ( 2 ^ P ) - 1 ) e. Prime ) ->
      P e. Prime ) $=
      ( vk vn cz wcel c2 cexp co c1 cmin wbr clt syl cr a1i sylanbrc cdiv mpbid
      cc0 cn cprime wa cuz cfv cv cdvds cfz wral simpl caddc 2nn0 numexp1 eqtri
      wn df-2 prmuz2 adantl eluz2gt1 1red 2re 2ne0 reexpclzd ltaddsubd eqbrtrid
      wne mpbird 1zzd 1lt2 ltexp2d eluz2b1 simpllr prmnn nncnd cn0 2nn ad2antlr
      cmul elfzuz eluz2nn nnexpcl sylancr nnzd peano2zm zred recnd 0red elfzelz
      nnnn0d 0lt1 eqbrtrrid nnred lttrd elnnz divcan2d eqeltrd eluz2b2 csu cneg
      nnne0d cc wceq wb ax-1cn subeq0 sylancl necon3bid simpr nndivdvds syl2anc
      ad2antrr geoser negsubdi2 oveq2d expmuld oveq12d div2negd 3eqtr2d elfznn0
      eqtr3d eqtrd fzfid zexpcl syl2an fsumzcl eqeltrrd mulid2d cle w3a elfzm11
      2z biimpa simp3d adantr ltsub1dd eqbrtrd ltmuldiv syl112anc nprm pm2.65da
      ralrimiva isprm3 ) ADEZFAGHZIJHZUAEZUBZAFUCUDZEZBUEZAUFKZUNZBFAIJHZUGHZUH
      AUAEUUFUUBIALKZUUHUUBUUEUIZUUFUUNFIGHZUUCLKUUFUUPIIUJHZUUCLUUPFUUQFUKULUO
      UMZUUFUUQUUCLKIUUDLKZUUFUUDUUGEZUUSUUEUUTUUBUUDUPUQUUDURMUUFIIUUCUUFUSZUV
      AUUFFAFNEZUUFUTOZFSVEUUFVAOUUOVBZVCVFVDUUFFIAUVCUUFVGUUOIFLKZUUFVHOVIVFAV
      JPZUUFUUKBUUMUUFUUIUUMEZUBZUUJFUUIGHZIJHZUUDUVJQHZVQHZUAEZUVHUUJUBZUVLUUD
      UAUVNUUDUVJUVNUUDUVNUUEUUDTEUUBUUEUVGUUJVKZUUDVLMZVMZUVNUVJUVNUVJUVNUVIDE
      ZUVJDEZUVNUVIUVNFTEUUIVNEUVITEVOUVNUUIUVNUUIUUGEZUUITEZUVGUVTUUFUUJUUIFUU
      LVRVPZUUIVSMZWHZFUUIVTWAZWBZUVIWCMZWDZWEZUVNUVJUVNUVSSUVJLKZUVJTEZUWGUVNS
      IUVJUVNWFUVNUSZUWHSILKUVNWIOUVNUUQUVILKIUVJLKZUVNUUQUUPUVILUURUVNIUUILKZU
      UPUVILKUVNUVTUWNUWBUUIURMUVNFIUUIUVBUVNUTOZUVNVGUVGUUIDEZUUFUUJUUIFUULWGV
      PZUVEUVNVHOZVIRWJUVNIIUVIUWLUWLUVNUVIUWEWKZVCRZWLZUVJWMPZWSZWNUVOWOUVNUVJ
      UUGEZUVKUUGEZUVMUNUVNUWKUWMUXDUXBUWTUVJWPPUVNUVKDEIUVKLKZUXEUVNSAUUIQHZIJ
      HZUGHZUVICUEZGHZCWQZUVKDUVNUXLIUVIUXGGHZJHZIUVIJHZQHUUDWRZUVJWRZQHUVKUVNU
      VICUXGUVNUVIUWEVMZUVNUVJSVEUVIIVEUXCUVNUVJSUVIIUVNUVIWTEZIWTEZUVJSXAUVIIX
      AXBUXRXCUVIIXDXEXFRUVNUXGUVNUUJUXGTEZUVHUUJXGUVNATEZUWAUUJUYAXBUUFUYBUVGU
      UJUUFUUHUYBUVFAVSMXJZUWCAUUIXHXIRWHZXKUVNUXPUXNUXQUXOQUVNUXPIUUCJHZUXNUVN
      UUCWTEUXTUXPUYEXAUVNUUCUUFUUCNEUVGUUJUVDXJZWEXCUUCIXLXEUVNUUCUXMIJUVNFUUI
      UXGVQHZGHUUCUXMUVNUYGAFGUVNAUUIUVNAUYCVMUVNUUIUWCVMUVNUUIUWCWSWNXMUVNFUUI
      UXGUVNFUWOWEUYDUWDXNXSXMXTUVNUXSUXTUXQUXOXAUXRXCUVIIXLXEXOUVNUUDUVJUVQUWI
      UXCXPXQUVNUXIUXKCUVNSUXHYAUVNUVRUXJVNEUXKDEUXJUXIEUWFUXJUXHXRUVIUXJYBYCYD
      YEUVNIUVJVQHZUUDLKZUXFUVNUYHUVJUUDLUVNUVJUWIYFUVNUVIUUCIUWSUYFUWLUVNUUIAL
      KZUVIUUCLKUVHUYJUUJUVHUWPFUUIYGKZUYJUUFUVGUWPUYKUYJYHZUUFFDEUUBUVGUYLXBYJ
      UUOUUIFAYIWAYKYLYMUVNFUUIAUWOUWQUUFUUBUVGUUJUUOXJUWRVIRYNYOUVNINEUUDNEUVJ
      NEUWJUYIUXFXBUWLUVNUUDUVPWKUWHUXAIUUDUVJYPYQRUVKVJPUVJUVKYRXIYSYTBAUUAP
      $.

    $( Euclid's contribution to the Euclid-Euler theorem.  A number of the form
       ` 2 ^ ( p - 1 ) x. ( 2 ^ p - 1 ) ` is a perfect number.  (Contributed by
       Mario Carneiro, 17-May-2016.) $)
    perfect1 $p |- ( ( P e. ZZ /\ ( ( 2 ^ P ) - 1 ) e. Prime ) ->
      ( 1 sigma ( ( 2 ^ ( P - 1 ) ) x. ( ( 2 ^ P ) - 1 ) ) ) =
        ( ( 2 ^ P ) x. ( ( 2 ^ P ) - 1 ) ) ) $=
      ( cz wcel c2 cexp co cmin cprime csgm cmul wceq syl adantl sylancr ax-1cn
      c1 cn cc cdvds wbr mersenne prmnn 1sgm2ppw 1sgmprm cn0 2nn nnnn0d nnexpcl
      wa caddc nncnd npcan sylancl eqtrd oveq12d cgcd nnm1nn0 nnzd prmz gcdcomd
      a1i iddvds clt cuz cfv prmuz2 eluz2gt1 ndvdsp1 syl3anc mpd dvdsmultr1 2cn
      wn wi 2z expm1t eqtr2d breq2d sylibd mtod wb simpr coprm syl2anc syl13anc
      mpbid sgmmul subcl mulcomd 3eqtr4d ) ABCZDAEFZPGFZHCZUIZPDAPGFZEFZIFZPWMI
      FZJFZWMWLJFPWQWMJFIFZWLWMJFWOWRWMWSWLJWOAQCZWRWMKWOAHCXBAUAAUBLZAUCLWOWSW
      MPUJFZWLWNWSXDKWKWMUDMWOWLRCZPRCZXDWLKWOWLWODQCZAUECWLQCUFWOAXCUGDAUHNUKZ
      OWLPULUMZUNUOWOXFWQQCZWMQCZWQWMUPFZPKXAWTKXFWOOVAWOXGWPUECZXJUFWOXBXMXCAU
      QLDWPUHNZWNXKWKWMUBMZWOXLWMWQUPFZPWOWQWMWOWQXNURZWNWMBCZWKWMUSMZUTWOWMWQS
      TZVMZXPPKZWOXTWMXDSTZWOWMWMSTZYCVMZWOXRYDXSWMVBLWOXRXKPWMVCTZYDYEVNXSXOWO
      WMDVDVECZYFWNYGWKWMVFMWMVGLWMWMVHVIVJWOXTWMWQDJFZSTZYCWOXRWQBCZDBCZXTYIVN
      XSXQYKWOVOVAWMWQDVKVIWOYHXDWMSWOXDWLYHXIWODRCXBWLYHKVLXCDAVPNVQVRVSVTWOWN
      YJYAYBWAWKWNWBXQWMWQWCWDWFUNPWQWMWGWEWOWLWMXHWOXEXFWMRCXHOWLPWHUMWIWJ $.
  $}

  ${
    $d k n x A $.  $d k n x B $.  $d k n x ph $.
    perfectlem.1 $e |- ( ph -> A e. NN ) $.
    perfectlem.2 $e |- ( ph -> B e. NN ) $.
    perfectlem.3 $e |- ( ph -> -. 2 || B ) $.
    perfectlem.4 $e |- ( ph ->
      ( 1 sigma ( ( 2 ^ A ) x. B ) ) = ( 2 x. ( ( 2 ^ A ) x. B ) ) ) $.
    $( Lemma for ~ perfect .  (Contributed by Mario Carneiro, 7-Jun-2016.) $)
    perfectlem1 $p |- ( ph -> ( ( 2 ^ ( A + 1 ) ) e. NN /\
                        ( ( 2 ^ ( A + 1 ) ) - 1 ) e. NN /\
                ( B / ( ( 2 ^ ( A + 1 ) ) - 1 ) ) e. NN ) ) $=
      ( c2 c1 co cn wcel sylancr wbr wb cdvds cmul cgcd wceq cz caddc cexp cmin
      cdiv cn0 2nn nnnn0d peano2nn0 syl nnexpcl clt cr 2re peano2nnd a1i expgt1
      1lt2 mp3an2i nnsub mpbid csgm nnzd peano2zm 1nn0 sgmnncl dvdsmul1 syl2anc
      1nn cc 2cn expp1 nncnd mulcom sylancl eqtrd oveq1d mulassd ax-1cn wn 2prm
      cprime coprm wi rpexp1i mpd sgmmul syl13anc pncan oveq2d 1sgm2ppw 3eqtr3d
      2z eqtr3d 3eqtrd breqtrrd gcdcomd iddvdsexp wa n2dvds1 1zzd 3jca dvdssub2
      w3a sylan mtbiri ex mt2d coprmdvds syl3anc mp2and nndivdvds ) AHBIUAJZUBJ
      ZKLZXMIUCJZKLZCXOUDJKLZAHKLZXLUELZXNUFABUELZXSABDUGZBUHUIZHXLUJMZAIXMUKNZ
      XPHULLAXLKLZIHUKNZYDUMABDUNZYFAUQUOHXLUPURAIKLXNYDXPOVHYCIXMUSMUTZAXOCPNZ
      XQAXOXMCQJZPNZXOXMRJZISZYIAXOXOICVAJZQJZYJPAXOTLZYNTLXOYOPNAXMTLZYPAXMYCV
      BZXMVCUIZAYNAIUELCKLZYNKLVDEICVEMVBXOYNVFVGAYJHHBUBJZQJZCQJHUUACQJZQJZYOA
      XMUUBCQAXMUUAHQJZUUBAHVILZXTXMUUESVJYAHBVKMAUUAVILUUFUUEUUBSAUUAAXRXTUUAK
      LZUFYAHBUJMZVLZVJUUAHVMVNVOVPAHUUACUUFAVJUOUUIACEVLVQAIUUCVAJZIUUAVAJZYNQ
      JZUUDYOAIVILZUUGYTUUACRJISZUUJUULSUUMAVRUOUUHEAHCRJISZUUNAHCPNVSZUUOFAHWA
      LZCTLZUUPUUOOVTACEVBZHCWBMUTHTLZAUURXTUUOUUNWCWLUUSYAHCBWDURWEIUUACWFWGGA
      UUKXOYNQAIHXLIUCJZUBJZVAJZUUKXOAUVBUUAIVAAUVABHUBABVILUUMUVABSABDVLVRBIWH
      VNWIWIAYEUVCXOSYGXLWJUIWMVPWKWNWOAYLXMXORJZIAXOXMYSYRWPAHXORJISZUVDISZAHX
      OPNZVSZUVEAUVGHXMPNZAUUTYEUVIWLYGHXLWQMAUVGUVIVSAUVGWRUVIHIPNZWSAUUTYQITL
      ZXCUVGUVIUVJOAUUTYQUVKUUTAWLUOYRAWTXAHXMIXBXDXEXFXGAUUQYPUVHUVEOVTYSHXOWB
      MUTUUTAYPXSUVEUVFWCWLYSYBHXOXLWDURWEVOAYPYQUURYKYMWRYIWCYSYRUUSXOXMCXHXIX
      JAYTXPYIXQOEYHCXOXKVGUTXA $.

    $( Lemma for ~ perfect .  (Contributed by Mario Carneiro, 17-May-2016.)
       Replace OLD theorem.  (Revised by Wolf Lammen, 17-Sep-2020.) $)
    perfectlem2 $p |- ( ph ->
      ( B e. Prime /\ B = ( ( 2 ^ ( A + 1 ) ) - 1 ) ) ) $=
      ( vk wcel c2 c1 caddc co wceq cdvds wbr cn clt nncnd cmul vn vx cexp cmin
      cprime cuz cfv cv wo wi wral cdiv 1red perfectlem1 simp3d nnred nnge1d cc
      2cn exp1 ax-mp df-2 eqtri cr cz 2re a1i 1zzd peano2nnd nnzd crp 1re nnrpd
      1lt2 ltaddrp sylancr ax-1cn addcom breqtrd mpbid cc0 syl mp3an2i sylanbrc
      wb wa cle wn ctp csu cfn wss ad2antrr sselda nnnn0d nn0ge0d csn cun df-tp
      unssd eqsstrid weq w3o syl2anc breq1 syl5ibrcom 3jaod eltpi impel ssrabdv
      fsumless cin c0 simpr disjsn sylibr tpfi fsumsplit id sumsn oveq12d gtned
      wne mulcld oveq2d eqtrd oveq1d divcan3d 3eqtr3d csgm cn0 sylancl cgcd mpd
      3brtr3d ltnled necomd eqeq1 1nn adantr ltexp2a eqbrtrrid simp1d ltaddsubd
      syl32anc 0lt1 peano2rem expgt1 posdif nngt0d ltdiv2 div1d lelttrd eluz2b2
      syl222anc cpr cfz fzfid dvdsssfz1 ssfid ssrab2 prssd simplrl snssd simp2d
      crab dvdsmul2 nnne0d divcan2d simplrr incom disjsn2 eqtr3id df-pr divdird
      iddvds prfi 1cnd subdird mulid2d pncan3d divassd 3eqtr4d ccxp 2nn nnexpcl
      expp1 mulcom 2cnd mulassd coprm 2z rpexp1i sgmmul syl13anc pncan 1sgm2ppw
      2prm eqtr3d 3eqtrd sgmnncl sgmval sselid cxp1d sumeq2dv remulcld ltaddrpd
      1nn0 3eqtrrd readdcld condan elpri expr ralrimiva orbi12d imbi12d rspcdva
      1dvds ord necon1ad eqeq2d orbi1d imbi2d ralbidv mpbird isprm2 ltp1d snssi
      peano2re mp1i diveq1ad necon3bid biimpar nelprd ex necon1bd jca ) ACUEIZC
      JBKLMZUCMZKUDMZNZACJUFUGIZUAUHZCOPZVUDKNZVUDCNZUIZUJZUAQUKZUYRACQIZKCRPVU
      CEAKCVUAULMZCAUMZAVULAUYTQIZVUAQIZVULQIZABCDEFGUNZUOZUPZACEUPZAVULVURUQAV
      ULCKULMZCRAKVUARPZVULVVARPZAKKLMZUYTRPVVBAVVDJKUCMZUYTRVVEJVVDJURIZVVEJNU
      SJUTVAVBVCAJVDIZKVEIUYSVEIKJRPZKUYSRPVVEUYTRPVVGAVFVGAVHAUYSABDVIZVJVVHAV
      NVGZAKKBLMZUYSRAKVDIZBVKIKVVKRPVLABDVMKBVOVPAKURIZBURIZVVKUYSNVQABDSZKBVR
      VPVSJKUYSUUAUUEUUBAKKUYTVUMVUMAUYTAVUNVUOVUPVUQUUCZUPZUUDVTAVVLWAKRPZVUAV
      DIZWAVUARPZCVDIWACRPVVBVVCWEVUMVVRAUUFVGAUYTVDIZVVSVVQUYTUUGWBAKUYTRPZVVT
      VVGAUYSQIZVVHVWBVFVVIVVJJUYSUUHWCAVVLVWAVWBVVTWEVLVVQKUYTUUIVPVTVUTACEUUJ
      KVUACUUKUUOVTACACESZUULVSZUUMZCUUNWDAVUJVUEVUDVULNZVUGUIZUJZUAQUKAVWIUAQA
      VUDQIZVUEVWHAVWJVUEWFZWFZVUDVULCUUPZIZVWHVWLVWNUYTVULTMZVUDLMZVWOWGPZVWLV
      WNWHZWFZVULCVUDWIZHUHZHWJZUBUHZCOPZUBQUVFZVXAHWJZVWPVWOWGVWSVXEVXAVWTHAVX
      EWKIVWKVWRAKCUUQMZVXEAKCUURAVUKVXEVXGWLECUBUUSWBUUTZWMVWSVXAVXEIZWFZVXAVW
      SVXEQVXAVXEQWLVWSVXDUBQUVAZVGWNZUPVXJVXAVXJVXAVXLWOWPVWSVXDUBQVWTVWSVWTVW
      MVUDWQZWRZQVULCVUDWSZVWSVWMVXMQAVWMQWLVWKVWRAVULCQVUREUVBZWMVWSVUDQAVWJVU
      EVWRUVCZUVDWTXAZVWSVXCVULNZVXCCNZUBUAXBZXCVXDVXCVWTIVWSVXSVXDVXTVYAAVXSVX
      DUJVWKVWRAVXDVXSVULCOPAVULVUAVULTMZCOAVUAVEIVULVEIVULVYBOPAVUAAVUNVUOVUPV
      UQUVEZVJAVULVURVJVUAVULUVGXDACVUAVWDAVUAVYCSZAVUAVYCUVHZUVIVSVXCVULCOXEXF
      ZWMAVXTVXDUJVWKVWRAVXDVXTCCOPZACVEIZVYGACEVJZCUVPWBVXCCCOXEXFZWMVWSVXDVYA
      VUEAVWJVUEVWRUVJVXCVUDCOXEXFXGVXCVULCVUDXHXIXJXKVWSVXBVWMVXAHWJZVXMVXAHWJ
      ZLMVWPVWSVWMVXMVXAVWTHVWSVWRVWMVXMXLXMNVWLVWRXNVWMVUDXOXPVWTVXNNVWSVXOVGV
      WTWKIVWSVULCVUDXQVGVWSVXAVWTIWFVXAVWSVWTQVXAVXRWNSXRVWSVYKVWOVYLVUDLAVYKV
      WONVWKVWRAVULWQZVXAHWJZCWQZVXAHWJZLMVULCLMZVYKVWOAVYNVULVYPCLAVUPVULURIVY
      NVULNVURAVULVURSVXAVULHVULQVXAVULNXSXTXDAVUKCURIVYPCNEVWDVXACHCQVXACNXSXT
      XDYAAVYMVYOVXAVWMHAVYMVYOXLVYOVYMXLZXMVYOVYMUVKACVULYCVYRXMNAVULCVUSVWEYB
      CVULUVLWBUVMVWMVYMVYOWRNAVULCUVNVGVWMWKIAVULCUVQVGAVXAVWMIWFVXAAVWMQVXAVX
      PWNSXRACVUACTMZLMZVUAULMZVULVYSVUAULMZLMVWOVYQACVYSVUAVWDAVUACVYDVWDYDVYD
      VYEUVOAWUAUYTCTMZVUAULMZVWOAVYTWUCVUAULAVYTCWUCCUDMZLMWUCAVYSWUECLAVYSWUC
      KCTMZUDMWUEAUYTKCAUYTVVPSZAUVRZVWDUVSAWUFCWUCUDACVWDUVTYEYFYEACWUCVWDAUYT
      CWUGVWDYDUWAYFYGAUYTCVUAWUGVWDVYDVYEUWBZYFAWUBCVULLACVUAVWDVYDVYEYHYEYIUW
      CZWMVWSVUDURIZWUKVYLVUDNVWSVUDVXQSZWULVXAVUDHVUDURHUAXBXSXTXDYAYFAVXFVWON
      ZVWKVWRAVWOKCYJMZVXEVXAKUWDMZHWJZVXFAWUDVUAWUNTMZVUAULMVWOWUNAWUCWUQVUAUL
      AWUCJJBUCMZTMZCTMJWURCTMZTMZWUQAUYTWUSCTAUYTWURJTMZWUSAVVFBYKIZUYTWVBNUSA
      BDWOZJBUWGVPAWURURIVVFWVBWUSNAWURAJQIWVCWURQIZUWEWVDJBUWFVPZSZUSWURJUWHYL
      YFYGAJWURCAUWIWVGVWDUWJAKWUTYJMZKWURYJMZWUNTMZWVAWUQAVVMWVEVUKWURCYMMKNZW
      VHWVJNWUHWVFEAJCYMMKNZWVKAJCOPWHZWVLFAJUEIVYHWVMWVLWEUWRVYIJCUWKVPVTJVEIA
      VYHWVCWVLWVKUJUWLVYIWVDJCBUWMWCYNKWURCUWNUWOGAWVIVUAWUNTAKJUYSKUDMZUCMZYJ
      MZWVIVUAAWVOWURKYJAWVNBJUCAVVNVVMWVNBNVVOVQBKUWPYLYEYEAVWCWVPVUANVVIUYSUW
      QWBUWSYGYIUWTYGWUIAWUNVUAAWUNAKYKIVUKWUNQIUXHEKCUXAVPSVYDVYEYHYIAVVMVUKWU
      NWUPNVQEKCHUBUXBVPAVXEWUOVXAHAVXIWFZVXAWVQVXAWVQVXEQVXAVXKAVXIXNUXCZSUXDU
      XEUXIZWMYOVWSVWOVWPRPVWQWHVWSVWOVUDAVWOVDIZVWKVWRAUYTVULVVQVUSUXFZWMZVWSV
      UDVXQVMUXGVWSVWOVWPWWBVWSVWOVUDWWBVWSVUDVXQUPUXJYPVTUXKVUDVULCUXLWBUXMUXN
      ZAVUIVWIUAQAVUHVWHVUEAVUFVWGVUGAKVULVUDAKCYCZKVULNZACKAKCVUMVWFYBYQZAWWEK
      CAWWEKCNZAKCOPZWWEWWGUIZAVYHWWHVYICUXRWBZAVWIWWHWWIUJUAQKVUFVUEWWHVWHWWIV
      UDKCOXEVUFVWGWWEVUGWWGVUDKVULYRVUDKCYRUXOUXPWWCKQIZAYSVGUXQYNUXSUXTYNUYAU
      YBUYCUYDUYEUACUYFWDAVWOKLMZVWOWGPZWHZVUBAVWOWWLRPWWNAVWOWWAUYGAVWOWWLWWAA
      WVTWWLVDIWWAVWOUYIWBYPVTAWWMCVUAACVUAYCZWWMAWWOWFZVULCKWIZVXAHWJZVXFWWLVW
      OWGAWWRVXFWGPWWOAVXEVXAWWQHVXHWVQVXAWVRUPWVQVXAWVQVXAWVRWOWPAVXDUBQWWQAWW
      QVWMKWQZWRZQVULCKWSZAVWMWWSQVXPWWKWWSQWLAYSKQUYHUYJWTXAZAVXSVXTVXCKNZXCVX
      DVXCWWQIAVXSVXDVXTWXCVYFVYJAVXDWXCWWHWWJVXCKCOXEXFXGVXCVULCKXHXIXJXKYTWWP
      WWRVYKWWSVXAHWJZLMZWWLWWPVWMWWSVXAWWQHWWPKVWMIWHVWMWWSXLXMNWWPKVULCWWPVUL
      KAVULKYCWWOAVULKCVUAACVUAVWDVYDVYEUYKUYLUYMYQAWWDWWOWWFYTUYNVWMKXOXPWWQWW
      TNWWPWXAVGWWQWKIWWPVULCKXQVGWWPVXAWWQIWFVXAWWPWWQQVXAAWWQQWLWWOWXBYTWNSXR
      AWXEWWLNWWOAVYKVWOWXDKLWUJAVVLVVMWXDKNVUMVQVXAKHKVDVXAKNXSXTYLYAYTYFAWUMW
      WOWVSYTYOUYOUYPYNUYQ $.
  $}

  ${
    $d p N $.
    $( The Euclid-Euler theorem, or Perfect Number theorem.  A positive even
       integer ` N ` is a perfect number (that is, its divisor sum is ` 2 N ` )
       if and only if it is of the form ` 2 ^ ( p - 1 ) x. ( 2 ^ p - 1 ) ` ,
       where ` 2 ^ p - 1 ` is prime (a Mersenne prime).  (It follows from this
       that ` p ` is also prime.)  This is Metamath 100 proof #70.
       (Contributed by Mario Carneiro, 17-May-2016.) $)
    perfect $p |- ( ( N e. NN /\ 2 || N ) -> ( ( 1 sigma N ) = ( 2 x. N ) <->
      E. p e. ZZ ( ( ( 2 ^ p ) - 1 ) e. Prime /\
        N = ( ( 2 ^ ( p - 1 ) ) x. ( ( 2 ^ p ) - 1 ) ) ) ) ) $=
      ( cn wcel c2 cdvds wa c1 csgm co cmul wceq cexp cmin cprime cz sylancr cc
      wbr oveq2d cv wrex cpc caddc simplr wb 2prm simpll pcelnn mpbird peano2zd
      nnzd pcdvds cn0 2nn nnnn0d nnexpcl nndivdvds syl2anc mpbid pcndvds2 simpr
      cdiv wn nncn ad2antrr nnne0d divcan2d 3eqtr4d perfectlem2 simprd eqeltrrd
      nncnd simpld ax-1cn pncan sylancl eqcomd eqtr3d oveq2 oveq1d eleq1d oveq1
      oveq12d eqeq2d anbi12d rspcev syl12anc ex perfect1 2cn mersenne prmnn syl
      expm1t nnm1nn0 expcl mulcom 2cnd adantl mulassd 3eqtrd eqeq12d syl5ibrcom
      eqtrd impr rexlimiva impbid1 ) ACDZEAFSZGZHAIJZEAKJZLZEBUAZMJZHNJZODZAEXO
      HNJZMJZXQKJZLZGZBPUBZXKXNYDXKXNGZEAUCJZHUDJZPDEYGMJZHNJZODZAEYGHNJZMJZYIK
      JZLZYDYEYFYEYFYEYFCDZXJXIXJXNUEYEEODZXIYOXJUFUGXIXJXNUHZEAUIQUJZULUKYEAEY
      FMJZVCJZYIOYEYTODZYTYILZYEYFYTYRYEYSAFSZYTCDZYEYPXIUUCUGYQEAUMQYEXIYSCDZU
      UCUUDUFYQYEECDYFUNDUUEUOYEYFYRUPEYFUQQZAYSURUSUTYEYPXIEYTFSVDUGYQEAVAQYEX
      LXMHYSYTKJZIJEUUGKJXKXNVBYEUUGAHIYEAYSXIARDXJXNAVEVFYEYSUUFVMYEYSUUFVGVHZ
      TYEUUGAEKUUHTVIVJZVKZYEUUAUUBUUIVNVLYEUUGAYMUUHYEYSYLYTYIKYEYFYKEMYEYKYFY
      EYFRDHRDYKYFLYEYFYRVMVOYFHVPVQVRTUUJWDVSYCYJYNGBYGPXOYGLZXRYJYBYNUUKXQYIO
      UUKXPYHHNXOYGEMVTWAZWBUUKYAYMAUUKXTYLXQYIKUUKXSYKEMXOYGHNWCTUULWDWEWFWGWH
      WIYCXNBPXOPDZXRYBXNUUMXRGZXNYBHYAIJZEYAKJZLUUNUUOXPXQKJEXTKJZXQKJUUPXOWJU
      UNXPUUQXQKUUNXPXTEKJZUUQUUNERDZXOCDZXPUURLWKUUNXOODUUTXOWLXOWMWNZEXOWOQUU
      NXTRDZUUSUURUUQLUUNUUSXSUNDZUVBWKUUNUUTUVCUVAXOWPWNEXSWQQZWKXTEWRVQXEWAUU
      NEXTXQUUNWSUVDUUNXQXRXQCDUUMXQWMWTVMXAXBYBXLUUOXMUUPAYAHIVTAYAEKVTXCXDXFX
      GXH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Characters of Z/nZ
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c DChr $.

  $( Extend class notation with the group of Dirichlet characters. $)
  cdchr $a class DChr $.

  ${
    $d k A $.  $d k x y z B $.  $d b n z D $.  $d b n x z N $.  $d k x y z U $.
    $d k C $.  $d k E $.  $d b k n x y z ph $.  $d x y z X $.  $d k x y z Z $.
    $d k Y $.
    $( The group of Dirichlet characters ` mod n ` is the set of monoid
       homomorphisms from ` ZZ / n ZZ ` to the multiplicative monoid of the
       complex numbers, equipped with the group operation of pointwise
       multiplication.  (Contributed by Mario Carneiro, 18-Apr-2016.) $)
    df-dchr $a |- DChr = ( n e. NN |-> [_ ( Z/nZ ` n ) / z ]_
      [_ { x e. ( ( mulGrp ` z ) MndHom ( mulGrp ` CCfld ) ) |
          ( ( ( Base ` z ) \ ( Unit ` z ) ) X. { 0 } ) C_ x } / b ]_
      { <. ( Base ` ndx ) , b >. ,
        <. ( +g ` ndx ) , ( oF x. |` ( b X. b ) ) >. } ) $.

    dchrval.g $e |- G = ( DChr ` N ) $.
    dchrval.z $e |- Z = ( Z/nZ ` N ) $.
    dchrval.b $e |- B = ( Base ` Z ) $.
    dchrval.u $e |- U = ( Unit ` Z ) $.
    dchrval.n $e |- ( ph -> N e. NN ) $.
    ${
      dchrval.d $e |- ( ph -> D = { x e. ( ( mulGrp ` Z )
        MndHom ( mulGrp ` CCfld ) ) | ( ( B \ U ) X. { 0 } ) C_ x } ) $.
      $( Value of the group of Dirichlet characters.  (Contributed by Mario
         Carneiro, 18-Apr-2016.) $)
      dchrval $p |- ( ph -> G = { <. ( Base ` ndx ) , D >. ,
          <. ( +g ` ndx ) , ( oF x. |` ( D X. D ) ) >. } ) $=
        ( vz vb cfv cbs cvv wceq cdchr cnx cop cplusg cmul cof cxp cres cpr czn
        vn cv cui cdif cc0 csn wss cmgp ccnfld cmhm co crab cn df-dchr wa fvexd
        csb wcel ovex rabex ad2antrr simpr fveq2d eqtr4id eqeq2d biimpar oveq1d
        eqtr4di difeq12d xpeq1d sseq1d rabeqbidv eqtr4d sqxpeqd reseq2d preq12d
        a1i opeq2d csbied prex fvmptd2 syl5eq ) AFGUAQUBRQZDUCZUBUDQZUEUFZDDUGZ
        UHZUCZUIZIAUKGOUKULZUJQZPOULZRQZXCUMQZUNZUOUPZUGZBULZUQZBXCURQZUSURQZUT
        VAZVBZWMPULZUCZWOWPXOXOUGZUHZUCZUIZVGZVGWTVCUASBOUKPVDAXAGTZVEZOXBYAWTS
        YCXAUJVFYCXCXBTZVEZPXNXTWTSXNSVHYEXJBXMXKXLUTVIVJWGYEXOXNTZVEZXPWNXSWSY
        GXODWMYEXODTYFYEDXNXOYEDCEUNZXGUGZXIUQZBHURQZXLUTVAZVBZXNADYMTYBYDNVKYE
        XJYJBXMYLYEXKYKXLUTYEXCHURYCXCHTYDYCHXBXCYCHGUJQXBJYCXAGUJAYBVLVMVNVOVP
        ZVMVQYEXHYIXIYEXFYHXGYEXDCXEEYEXDHRQCYEXCHRYNVMKVRYEXEHUMQEYEXCHUMYNVML
        VRVSVTWAWBWCVOVPZWHYGXRWRWOYGXQWQWPYGXODYOWDWEWHWFWIWIMWTSVHAWNWSWJWGWK
        WL $.
    $}

    dchrbas.b $e |- D = ( Base ` G ) $.
    $( Base set of the group of Dirichlet characters.  (Contributed by Mario
       Carneiro, 18-Apr-2016.) $)
    dchrbas $p |- ( ph -> D = { x e. ( ( mulGrp ` Z )
        MndHom ( mulGrp ` CCfld ) ) | ( ( B \ U ) X. { 0 } ) C_ x } ) $=
      ( cbs cfv cnx cxp cmgp cmhm cdif cc0 csn cv wss ccnfld co crab cop cplusg
      cmul cof cres cpr eqidd dchrval fveq2d wcel wceq ovex rabex grpbase ax-mp
      cvv eqid 3eqtr4g ) AFOPQOPCEUAUBUCRBUDUEZBHSPZUFSPZTUGZUHZUIQUJPUKULVKVKR
      UMZUIUNZOPZDVKAFVMOABCVKEFGHIJKLMAVKUOUPUQNVKVDURVKVNUSVGBVJVHVITUTVAVKVL
      VMVDVMVEVBVCVF $.

    $( A Dirichlet character is a monoid homomorphism from the multiplicative
       monoid on ` Z/nZ ` to the multiplicative monoid of ` CC ` , which is
       zero off the group of units of ` Z/nZ ` .  (Contributed by Mario
       Carneiro, 18-Apr-2016.) $)
    dchrelbas $p |- ( ph -> ( X e. D <-> ( X e. ( ( mulGrp ` Z )
        MndHom ( mulGrp ` CCfld ) ) /\ ( ( B \ U ) X. { 0 } ) C_ X ) ) ) $=
      ( vx wcel cdif wss cmgp cfv cc0 csn cxp cv ccnfld cmhm co crab wa dchrbas
      eleq2d sseq2 elrab bitrdi ) AGCPGBDQUAUBUCZOUDZRZOHSTUESTUFUGZUHZPGURPUOG
      RZUIACUSGAOBCDEFHIJKLMNUJUKUQUTOGURUPGUOULUMUN $.

    $( A Dirichlet character is a monoid homomorphism from the multiplicative
       monoid on ` Z/nZ ` to the multiplicative monoid of ` CC ` , which is
       zero off the group of units of ` Z/nZ ` .  (Contributed by Mario
       Carneiro, 18-Apr-2016.) $)
    dchrelbas2 $p |- ( ph -> ( X e. D <-> ( X e. ( ( mulGrp ` Z ) MndHom
      ( mulGrp ` CCfld ) ) /\ A. x e. B ( ( X ` x ) =/= 0 -> x e. U ) ) ) ) $=
      ( wcel cfv cc0 wi cc cmgp ccnfld cmhm co cdif csn cxp wss wa cv dchrelbas
      wne wral cdm cres wceq wfun wf eqid mgpbas cnfldbas adantl ffund funssres
      mhmf sylan simpr resss eqsstrrdi impbida 0cn fconst6g mp1i reseq2d eqeq1d
      fdmd wfn wb difss fssres sylancl ffnd syl2anc fvres c0ex fvconst2 eqeq12d
      eqfnfv ralbiia eldif imbi1i impexp con1b df-ne bitr4i imbi2i 3bitri bitri
      wn ralbii2 bitrdi 3bitrd pm5.32da bitrd ) AHDPHIUAQZUBUAQZUCUDPZCEUEZRUFU
      GZHUHZUIXGBUJZHQZRULZXKEPZSZBCUMZUIACDEFGHIJKLMNOUKAXGXJXPAXGUIZXJHXIUNZU
      OZXIUPZHXHUOZXIUPZXPXQXJXTXQHUQXJXTXQCTHXGCTHURZACTXEXFHCIXEXEUSLUTTUBXFX
      FUSVAUTVEVBZVCHXIVDVFXQXTUIXIXSHXQXTVGHXRVHVIVJXQXSYAXIXQXRXHHXQXHTXIRTPX
      HTXIURXQVKXHRTVLVMZVPVNVOXQYBXKYAQZXKXIQZUPZBXHUMZXPXQYAXHVQXIXHVQYBYIVRX
      QXHTYAXQYCXHCUHXHTYAURYDCEVSCTXHHVTWAWBXQXHTXIYEWBBXHYAXIWHWCYIXLRUPZBXHU
      MXPYHYJBXHXKXHPZYFXLYGRXKXHHWDXHRXKWEWFWGWIYJXOBXHCYKYJSXKCPZXNWSZUIZYJSY
      LYMYJSZSYLXOSYKYNYJXKCEWJWKYLYMYJWLYOXOYLYOYJWSZXNSXOXNYJWMXMYPXNXLRWNWKW
      OWPWQWTWRXAXBXCXD $.

    $( A Dirichlet character is a monoid homomorphism from the multiplicative
       monoid on ` Z/nZ ` to the multiplicative monoid of ` CC ` , which is
       zero off the group of units of ` Z/nZ ` .  (Contributed by Mario
       Carneiro, 19-Apr-2016.) $)
    dchrelbas3 $p |- ( ph -> ( X e. D <-> ( X : B --> CC /\ ( A. x e. U
        A. y e. U ( X ` ( x ( .r ` Z ) y ) ) = ( ( X ` x ) x. ( X ` y ) ) /\
        ( X ` ( 1r ` Z ) ) = 1 /\
        A. x e. B ( ( X ` x ) =/= 0 -> x e. U ) ) ) ) ) $=
      ( wcel cfv cc0 wa vz cmgp ccnfld cmhm co cv wi wral cc wf cmulr cmul wceq
      wne cur c1 w3a dchrelbas2 wb fveq2 neeq1d eleq1 imbi12d cbvralvw cmnd crg
      ccrg cn0 nnnn0d zncrng crngring eqid ringmgp cnring ax-mp mgpbas cnfldbas
      mgpplusg cnfldmul ringidval cnfld1 ismhm baib sylancl adantr biimt adantl
      syl wal simpllr ad3antrrr simprl simprr ringcl syl3anc rspcdva unitmulclb
      wn sylibd necon1bd imp wo anim12d con3dimp neanior sylibr simplr ffvelrnd
      con2bii mul0ord mpbird eqtr4d a1d 2thd pm2.61dan pm5.74da unitcl pm4.71ri
      anim12i imbi1i impexp bitri bitr4di 2albidv r2al 3bitr4g adantrr pm5.32da
      3anan32 an31 bitrd sylan2br ancom df-3an anbi2i an13 ) AIEQIJUBRZUCUBRZUD
      UEQZBUFZIRZSUNZYTFQZUGZBDUHZTZDUIIUJZYTCUFZJUKRZUEZIRZUUAUUHIRZULUEZUMZCF
      UHBFUHZJUORZIRUPUMZUUEUQZTZABDEFGHIJKLMNOPURAUUEYSTUUEUUOUUQTZUUGTZTZUUFU
      USAUUEYSUVAUUEAUAUFZIRZSUNZUVCFQZUGZUADUHZYSUVAUSUVGUUDUABDUVCYTUMZUVEUUB
      UVFUUCUVIUVDUUASUVCYTIUTVAUVCYTFVBVCZVDAUVHTZYSUUGUUNCDUHBDUHZUUQUQZUVAAY
      SUVMUSZUVHAYQVEQZYRVEQZUVNAJVFQZUVOAJVGQZUVQAHVHQUVRAHOVIHJLVJWHZJVKWHZJY
      QYQVLZVMWHUCVFQUVPVNUCYRYRVLZVMVOYSUVOUVPTUVMBCDUIUUIULYQYRIUPUUPDJYQUWAM
      VPUIUCYRUWBVQVPJUUIYQUWAUUIVLZVRUCULYRUWBVSVRJUUPYQUWAUUPVLVTUCUPYRUWBWAV
      TWBWCWDWEUVKUUGUUQTZUVLTUWDUUOTUVMUVAUVKUWDUVLUUOUVKUUGUVLUUOUSUUQUVKUUGT
      ZYTDQZUUHDQZTZUUNUGZCWIBWIUUCUUHFQZTZUUNUGZCWIBWIUVLUUOUWEUWIUWLBCUWEUWIU
      WHUWLUGZUWLUWEUWHUUNUWLUWEUWHTZUWKUUNUWLUSZUWKUWOUWNUWKUUNWFWGUWNUWKWRZTZ
      UUNUWLUWQUUKSUUMUWNUWPUUKSUMUWNUWKUUKSUWNUUKSUNZUUJFQZUWKUWNUVGUWRUWSUGUA
      DUUJUVCUUJUMZUVEUWRUVFUWSUWTUVDUUKSUVCUUJIUTVAUVCUUJFVBVCAUVHUUGUWHWJZUWN
      UVQUWFUWGUUJDQAUVQUVHUUGUWHUVTWKUWEUWFUWGWLZUWEUWFUWGWMZDJUUIYTUUHMUWCWNW
      OWPUWNUVRUWFUWGUWSUWKUSAUVRUVHUUGUWHUVSWKUXBUXCDJUUIFYTUUHNUWCMWQWOWSWTXA
      UWQUUMSUMZUUASUMUULSUMXBZUWQUUBUULSUNZTZWRUXEUWNUXGUWKUWNUUBUUCUXFUWJUWNU
      VGUUDUADYTUVJUXAUXBWPUWNUVGUXFUWJUGUADUUHUVCUUHUMZUVEUXFUVFUWJUXHUVDUULSU
      VCUUHIUTVAUVCUUHFVBVCUXAUXCWPXCXDUXGUXEUUASUULSXEXIXFUWNUXDUXEUSUWPUWNUUA
      UULUWNDUIYTIUVKUUGUWHXGZUXBXHUWNDUIUUHIUXIUXCXHXJWEXKXLZUWQUUNUWKUXJXMXNX
      OXPUWLUWHUWKTZUUNUGUWMUWKUXKUUNUWKUWHUUCUWFUWJUWGDJFYTMNXQDJFUUHMNXQXSXRX
      TUWHUWKUUNYAYBYCYDUUNBCDDYEUUNBCFFYEYFYGYHUUGUVLUUQYIUUOUUQUUGYJYFYKYLYHY
      SUUEYMUUSUUGUUTUUETZTUVBUURUXLUUGUUOUUQUUEYNYOUUGUUTUUEYPYBYFYK $.

    dchrelbasd.1 $e |- ( k = x -> X = A ) $.
    dchrelbasd.2 $e |- ( k = y -> X = C ) $.
    dchrelbasd.3 $e |- ( k = ( x ( .r ` Z ) y ) -> X = E ) $.
    dchrelbasd.4 $e |- ( k = ( 1r ` Z ) -> X = Y ) $.
    dchrelbasd.5 $e |- ( ( ph /\ k e. U ) -> X e. CC ) $.
    dchrelbasd.6 $e |- ( ( ph /\ ( x e. U /\ y e. U ) ) -> E = ( A x. C ) ) $.
    dchrelbasd.7 $e |- ( ph -> Y = 1 ) $.
    $( A Dirichlet character is a monoid homomorphism from the multiplicative
       monoid on ` Z/nZ ` to the multiplicative monoid of ` CC ` , which is
       zero off the group of units of ` Z/nZ ` .  (Contributed by Mario
       Carneiro, 28-Apr-2016.) $)
    dchrelbasd $p |- ( ph -> ( k e. B |-> if ( k e. U , X , 0 ) ) e. D ) $=
      ( cv wcel cc0 cif cmpt cc wf cmulr cfv co cmul wceq wral cur c1 wne wi wa
      w3a adantlr wn 0cnd ifclda fmpttd crg ccrg nnnn0d crngring 3syl unitmulcl
      zncrng eqid 3expb sylan iftrued eqtrd eleq1 ifbieq1d unitss sselid eleq1d
      cn0 adantr rspcdva eqeltrd fvmptd3 simprl iftrue ad2antrl simprr ad2antll
      ralrimiva oveq12d 3eqtr4d ralrimivva 1unit syl eqeltrdi simpr rspcv mpan9
      ax-1cn neeq1d iffalse necon1ai syl6bi 3jca dchrelbas3 mpbir2and ) AIEIUIZ
      HUJZMUKULZUMZGUJEUNYAUOBUIZCUIZOUPUQZURZYAUQZYBYAUQZYCYAUQZUSURZUTZCHVABH
      VAZOVBUQZYAUQZVCUTZYGUKVDZYBHUJZVEZBEVAZVGAIEXTUNAXREUJZVFZXSMUKUNAXSMUNU
      JZYSUFVHYTXSVIVFVJVKVLAYKYNYRAYJBCHHAYPYCHUJZVFZVFZYEHUJZJUKULZDFUSURZYFY
      IUUDUUFJUUGUUDUUEJUKAOVMUJZUUCUUEALWJUJOVNUJUUHALTVOLOQVSOVPVQZUUHYPUUBUU
      EOYDHYBYCSYDVTVRWAWBZWCZUGWDUUDIYEXTUUFEYAUNYAVTZXRYEUTZXSUUEMJUKXRYEHWEU
      DWFUUDHEYEEOHRSWGZUUJWHUUDUUFJUNUUKUUDUUAJUNUJIHYEUUMMJUNUDWIAUUAIHVAZUUC
      AUUAIHUFWTZWKZUUJWLWMWNUUDYGDYHFUSUUDYGYPDUKULZDUUDIYBXTUUREYAUNUULXRYBUT
      ZXSYPMDUKXRYBHWEUBWFZUUDHEYBUUNAYPUUBWOZWHUUDUURDUNYPUURDUTAUUBYPDUKWPWQZ
      UUDUUADUNUJZIHYBUUSMDUNUBWIZUUQUVAWLWMWNUVBWDUUDYHUUBFUKULZFUUDIYCXTUVEEY
      AUNUULXRYCUTZXSUUBMFUKXRYCHWEUCWFUUDHEYCUUNAYPUUBWRZWHUUDUVEFUNUUBUVEFUTA
      YPUUBFUKWPWSZUUDUUAFUNUJIHYCUVFMFUNUCWIUUQUVGWLWMWNUVHWDXAXBXCAYMYLHUJZNU
      KULZVCAIYLXTUVJEYAUNUULXRYLUTXSUVIMNUKXRYLHWEUEWFAHEYLUUNAUUHUVIUUIOHYLSY
      LVTXDXEZWHAUVJVCUNAUVJNVCAUVINUKUVKWCUHWDZXJXFWNUVLWDAYQBEAYBEUJZVFZYOUUR
      UKVDYPUVNYGUURUKUVNIYBXTUUREYAUNUULUUTAUVMXGUVNYPDUKUNAYPUVCUVMAUUOYPUVCU
      UPUUAUVCIYBHUVDXHXIVHUVNYPVIVFVJVKWNXKYPUURUKYPDUKXLXMXNWTXOABCEGHKLYAOPQ
      RSTUAXPXQ $.
  $}

  ${
    $d b n x z $.
    dchrrcl.g $e |- G = ( DChr ` N ) $.
    dchrrcl.b $e |- D = ( Base ` G ) $.
    $( Reverse closure for a Dirichlet character.  (Contributed by Mario
       Carneiro, 12-May-2016.) $)
    dchrrcl $p |- ( X e. D -> N e. NN ) $=
      ( vn vz vb vx wcel cdchr cn cv cfv cbs cxp cmgp cnx c0 cdm czn cui ccnfld
      cdif cc0 csn wss cmhm co crab cop cplusg cmul cof cpr csb df-dchr dmmptss
      cres wceq n0i wn ndmfv syl5eq fveq2 base0 3eqtr4g syl nsyl2 sselid ) DAKZ
      LUAZMCGMHGNUBOIHNZPOVNUCOUEUFUGQJNUHJVNROUDROUIUJUKSPOINZULSUMOUNUOVOVOQU
      TULUPUQUQLJHGIURUSVLATVAZCVMKZADVBVQVCZBTVAZVPVRBCLOTECLVDVEVSBPOTPOATBTP
      VFFVGVHVIVJVK $.
  $}

  ${
    $d x y .1. $.  $d k x y B $.  $d x y K $.  $d x y L $.  $d k x y U $.
    $d x A $.  $d k x y N $.  $d k x y ph $.  $d k x y X $.  $d k x y Z $.
    $d x D $.  $d x y Y $.
    dchrmhm.g $e |- G = ( DChr ` N ) $.
    dchrmhm.z $e |- Z = ( Z/nZ ` N ) $.
    dchrmhm.b $e |- D = ( Base ` G ) $.
    $( A Dirichlet character is a monoid homomorphism.  (Contributed by Mario
       Carneiro, 19-Apr-2016.) $)
    dchrmhm $p |- D C_ ( ( mulGrp ` Z ) MndHom ( mulGrp ` CCfld ) ) $=
      ( vx cmgp cfv ccnfld cmhm co cv wcel cbs cui cdif cc0 eqid csn cxp wss wa
      dchrrcl dchrelbas ibi simpld ssriv ) HADIJKIJLMZHNZAOZUKUJOZDPJZDQJZRSUAU
      BUKUCZULUMUPUDULUNAUOBCUKDEFUNTUOTABCUKEGUEGUFUGUHUI $.

    ${
      dchrf.b $e |- B = ( Base ` Z ) $.
      dchrf.x $e |- ( ph -> X e. D ) $.
      $( A Dirichlet character is a function.  (Contributed by Mario Carneiro,
         18-Apr-2016.) $)
      dchrf $p |- ( ph -> X : B --> CC ) $=
        ( vx vy cv cfv co wceq wral wcel cc wf cmulr cmul cui cur c1 cc0 wne wi
        w3a wa eqid cn dchrrcl syl dchrelbas3 mpbid simpld ) ABUAFUBZMOZNOZGUCP
        QFPVAFPZVBFPUDQRNGUEPZSMVDSGUFPFPUGRVCUHUIVAVDTUJMBSUKZAFCTZUTVEULLAMNB
        CVDDEFGHIKVDUMAVFEUNTLCDEFHJUOUPJUQURUS $.
    $}

    ${
      dchrelbas4.l $e |- L = ( ZRHom ` Z ) $.
      $( A Dirichlet character is a monoid homomorphism from the multiplicative
         monoid on ` Z/nZ ` to the multiplicative monoid of ` CC ` , which is
         zero off the group of units of ` Z/nZ ` .  (Contributed by Mario
         Carneiro, 18-Apr-2016.) $)
      dchrelbas4 $p |- ( X e. D <-> ( N e. NN /\
          X e. ( ( mulGrp ` Z ) MndHom ( mulGrp ` CCfld ) ) /\
          A. x e. ZZ ( 1 < ( x gcd N ) -> ( X ` ( L ` x ) ) = 0 ) ) ) $=
        ( vy wcel cfv c1 cc0 wceq wi cz wa cn cmgp ccnfld cmhm co cgcd clt wral
        cv wbr w3a dchrrcl wne cui cbs eqid id dchrelbas2 cn0 wfo nnnn0 znzrhfo
        wb adantr fveq2 neeq1d eleq1 imbi12d cbvfo 3syl wn df-ne a1i sylan 1red
        znunit simpr simpll nnzd nnne0 necon3ai gcdn0cl syl21anc nnge1d leltned
        nnred necon2bbid bitrd con34b bitr4di ralbidva bitr3d pm5.32da biadanii
        3anass bitr4i ) FBMZEUAMZFGUBNUCUBNUDUEMZOAUIZEUFUEZUGUJZWTDNZFNZPQZRZA
        SUHZTZTWRWSXGUKWQWRXHBCEFHJULWRWQWSLUIZFNZPUMZXIGUNNZMZRZLGUONZUHZTXHWR
        LXOBXLCEFGHIXOUPZXLUPZWRUQJURWRWSXPXGWRWSTZXDPUMZXCXLMZRZASUHZXPXGXSEUS
        MZSXODUTYCXPVCWRYDWSEVAVDZXODEGIXQKVBYBXNALSXODXCXIQZXTXKYAXMYFXDXJPXCX
        IFVEVFXCXIXLVGVHVIVJXSYBXFASXSWTSMZTZYBXEVKZXBVKZRXFYHXTYIYAYJXTYIVCYHX
        DPVLVMYHYAXAOQZYJXSYDYGYAYKVCYEWTXLDEGIXRKVPVNYHXBXAOYHOXAYHVOYHXAYHYGE
        SMWTPQZEPQZTZVKZXAUAMXSYGVQYHEWRWSYGVRZVSYHWREPUMYOYPEVTYNEPYLYMVQWAVJW
        TEWBWCZWFYHXAYQWDWEWGWHVHXBXEWIWJWKWLWMWHWNWRWSXGWOWP $.

      dchrzrh1.x $e |- ( ph -> X e. D ) $.
      $( Value of a Dirichlet character at one.  (Contributed by Mario
         Carneiro, 4-May-2016.) $)
      dchrzrh1 $p |- ( ph -> ( X ` ( L ` 1 ) ) = 1 ) $=
        ( c1 cfv wcel wceq syl eqid cmgp ccnfld cur cn0 ccrg crg dchrrcl nnnn0d
        cn zncrng zrh1 4syl fveq2d cmhm co dchrmhm sselid ringidval cnfld1 mhm0
        crngring eqtrd ) AMDNZFNGUANZFNZMAVAVBFAEUBOGUCOGUDOVAVBPAEAFBOEUGOLBCE
        FHJUEQUFEGIUHGUSGVBDKVBRZUIUJUKAFGSNZTSNZULUMZOVCMPABVGFBCEGHIJUNLUOVEV
        FFMVBGVBVEVERVDUPTMVFVFRUQUPURQUT $.

      dchrzrh1.a $e |- ( ph -> A e. ZZ ) $.
      $( A Dirichlet character takes values in the complex numbers.
         (Contributed by Mario Carneiro, 12-May-2016.) $)
      dchrzrhcl $p |- ( ph -> ( X ` ( L ` A ) ) e. CC ) $=
        ( cbs cfv cz wcel 3syl ffvelrnd cc eqid dchrf cn0 wf cn dchrrcl znzrhfo
        wfo nnnn0 fof ) AHOPZUABEPGAULCDFGHIJKULUBZMUCAQULBEAFUDRZQULEUIQULEUEA
        GCRFUFRUNMCDFGIKUGFUJSULEFHJUMLUHQULEUKSNTT $.

      dchrzrh1.c $e |- ( ph -> C e. ZZ ) $.
      $( A Dirichlet character is completely multiplicative.  (Contributed by
         Mario Carneiro, 4-May-2016.) $)
      dchrzrhmul $p |- ( ph -> ( X ` ( L ` ( A x. C ) ) ) =
        ( ( X ` ( L ` A ) ) x. ( X ` ( L ` C ) ) ) ) $=
        ( cmul cfv wcel cz cmulr zring crh wceq crg ccrg cn0 dchrrcl syl nnnn0d
        co zncrng crngring zrhrhm zringbas zringmulr eqid rhmmul syl3anc fveq2d
        cn cmgp ccnfld cmhm cbs dchrmhm sselid wf rhmf ffvelrnd mgpbas mgpplusg
        cnfldmul mhmlin eqtrd ) ABCQUKFRZHRBFRZCFRZIUARZUKZHRZVQHRVRHRQUKZAVPVT
        HAFUBIUCUKSZBTSCTSVPVTUDAIUESZWCAIUFSZWDAGUGSWEAGAHDSGVASNDEGHJLUHUIUJG
        IKULUIIUMUIIFMUNUIZOPBCUBIQVSFTUOUPVSUQZURUSUTAHIVBRZVCVBRZVDUKZSVQIVER
        ZSVRWKSWAWBUDADWJHDEGIJKLVFNVGATWKBFAWCTWKFVHWFTWKUBIFUOWKUQZVIUIZOVJAT
        WKCFWMPVJWKVSQWHWIHVQVRWKIWHWHUQZWLVKIVSWHWNWGVLVCQWIWIUQVMVLVNUSVO $.
    $}

    ${
      dchrmul.t $e |- .x. = ( +g ` G ) $.
      ${
        dchrplusg.n $e |- ( ph -> N e. NN ) $.
        $( Group operation on the group of Dirichlet characters.  (Contributed
           by Mario Carneiro, 18-Apr-2016.) $)
        dchrplusg $p |- ( ph -> .x. = ( oF x. |` ( D X. D ) ) ) $=
          ( vx cplusg cfv cnx cbs cop cmul eqid cvv cof cxp cpr dchrbas dchrval
          cres cui fveq2d wcel wceq fvexi xpex ofexg grpplusg mp2b 3eqtr4g ) AD
          MNOPNBQOMNRUABBUBZUFZQUCZMNZCURADUSMALFPNZBFUGNZDEFGHVASZVBSZKALVABVB
          DEFGHVCVDKIUDUEUHJUQTUIURTUIURUTUJBBBDPIUKZVEULUQRTUMBURUSTUSSUNUOUP
          $.
      $}

      dchrmul.x $e |- ( ph -> X e. D ) $.
      dchrmul.y $e |- ( ph -> Y e. D ) $.
      $( Group operation on the group of Dirichlet characters.  (Contributed by
         Mario Carneiro, 18-Apr-2016.) $)
      dchrmul $p |- ( ph -> ( X .x. Y ) = ( X oF x. Y ) ) $=
        ( co cmul cof cxp cres wcel dchrrcl syl dchrplusg oveqd ofmresval eqtrd
        cn ) AFGCOFGPQZBBRSZOFGUHOACUIFGABCDEHIJKLAFBTEUGTMBDEFIKUAUBUCUDABBPFG
        MNUEUF $.

      $( Closure of the group operation on Dirichlet characters.  (Contributed
         by Mario Carneiro, 18-Apr-2016.) $)
      dchrmulcl $p |- ( ph -> ( X .x. Y ) e. D ) $=
        ( vx co cmul wcel cfv cc vy cof dchrmul cbs wf cv cmulr wceq cui cur c1
        wral cc0 wne wi w3a cvv mulcl adantl eqid dchrf fvexd inidm off anim12i
        wa unitcl cmgp ccnfld cmhm dchrrcl syl dchrelbas2 mpbid simpld mgpplusg
        cn mgpbas cnfldmul mhmlin 3expb sylan oveq12d ffvelrnda adantrr ffvelrn
        simpr syl2an mul4d eqtrd wfn ffnd adantr crg cn0 nnnn0d zncrng crngring
        ccrg ringcl fnfvof syl22anc simprr sylan2 ralrimivva ringidcl ringidval
        3syl 3eqtr4d cnfld1 1t1e1 eqtrdi neeq1d mulne0bd bitr4d simprd r19.21bi
        mhm0 adantrd sylbid ralrimiva 3jca dchrelbas3 mpbir2and eqeltrd ) AFGCP
        FGQUBPZBABCDEFGHIJKLMNUCAYFBRHUDSZTYFUEOUFZUAUFZHUGSZPZYFSZYHYFSZYIYFSZ
        QPZUHZUAHUISZULOYQULZHUJSZYFSZUKUHZYMUMUNZYHYQRZUOZOYGULZUPAOUAYGYGYGQT
        TTFGUQUQYHTRYITRVFYHYIQPTRAYHYIURUSAYGBDEFHIJKYGUTZMVAZAYGBDEGHIJKUUFNV
        AZAHUDVBZUUIYGVCVDAYRUUAUUEAYPOUAYQYQUUCYIYQRZVFAYHYGRZYIYGRZVFZYPUUCUU
        KUUJUULYGHYQYHUUFYQUTZVGYGHYQYIUUFUUNVGVEAUUMVFZYKFSZYKGSZQPZYHFSZYHGSZ
        QPZYIFSZYIGSZQPZQPZYLYOUUOUURUUSUVBQPZUUTUVCQPZQPUVEUUOUUPUVFUUQUVGQAFH
        VHSZVIVHSZVJPZRZUUMUUPUVFUHZAUVKUUSUMUNZUUCUOZOYGULZAFBRZUVKUVOVFMAOYGB
        YQDEFHIJUUFUUNAUVPEVQRMBDEFIKVKVLZKVMVNZVOZUVKUUKUULUVLYGYJQUVHUVIFYHYI
        YGHUVHUVHUTZUUFVRZHYJUVHUVTYJUTZVPZVIQUVIUVIUTZVSVPZVTWAWBAGUVJRZUUMUUQ
        UVGUHZAUWFUUTUMUNZUUCUOOYGULZAGBRUWFUWIVFNAOYGBYQDEGHIJUUFUUNUVQKVMVNVO
        ZUWFUUKUULUWGYGYJQUVHUVIGYHYIUWAUWCUWEVTWAWBWCUUOUUSUVBUUTUVCAUUKUUSTRU
        ULAYGTYHFUUGWDZWEAYGTFUEUULUVBTRUUMUUGUUKUULWGZYGTYIFWFWHAUUKUUTTRUULAY
        GTYHGUUHWDZWEAYGTGUEUULUVCTRUUMUUHUWLYGTYIGWFWHWIWJUUOFYGWKZGYGWKZYGUQR
        ZYKYGRZYLUURUHAUWNUUMAYGTFUUGWLZWMZAUWOUUMAYGTGUUHWLZWMZUUOHUDVBZAHWNRZ
        UUMUWQAEWORHWSRUXCAEUVQWPEHJWQHWRXHZUXCUUKUULUWQYGHYJYHYIUUFUWBWTWAWBYG
        QFGUQYKXAXBUUOYMUVAYNUVDQAUUKYMUVAUHZUULAUUKVFZUWNUWOUWPUUKUXEAUWNUUKUW
        RWMAUWOUUKUWTWMUXFHUDVBAUUKWGYGQFGUQYHXAXBZWEUUOUWNUWOUWPUULYNUVDUHUWSU
        XAUXBAUUKUULXCYGQFGUQYIXAXBWCXIXDXEAYTYSFSZYSGSZQPZUKAUWNUWOUWPYSYGRZYT
        UXJUHUWRUWTUUIAUXCUXKUXDYGHYSUUFYSUTZXFVLYGQFGUQYSXAXBAUXJUKUKQPUKAUXHU
        KUXIUKQAUVKUXHUKUHUVSUVHUVIFUKYSHYSUVHUVTUXLXGZVIUKUVIUWDXJXGZXRVLAUWFU
        XIUKUHUWJUVHUVIGUKYSUXMUXNXRVLWCXKXLWJAUUDOYGUXFUUBUVMUWHVFZUUCUXFUUBUV
        AUMUNUXOUXFYMUVAUMUXGXMUXFUUSUUTUWKUWMXNXOUXFUVMUUCUWHAUVNOYGAUVKUVOUVR
        XPXQXSXTYAYBAOUAYGBYQDEYFHIJUUFUUNUVQKYCYDYE $.
    $}

    dchrn0.b $e |- B = ( Base ` Z ) $.
    dchrn0.u $e |- U = ( Unit ` Z ) $.
    ${
      dchrn0.x $e |- ( ph -> X e. D ) $.
      dchrn0.a $e |- ( ph -> A e. B ) $.
      $( A Dirichlet character is nonzero on the units of ` Z/nZ ` .
         (Contributed by Mario Carneiro, 18-Apr-2016.) $)
      dchrn0 $p |- ( ph -> ( ( X ` A ) =/= 0 <-> A e. U ) ) $=
        ( cfv cc0 wcel c1 vx wne cv wceq fveq2 neeq1d eleq1 imbi12d cmgp ccnfld
        wi cmhm co wral wa cn dchrrcl syl dchrelbas2 mpbid simprd rspcdva cinvr
        imp cmul ax-1ne0 a1i cmulr cur crg cn0 ccrg nnnn0d zncrng crngring 3syl
        unitrinv fveq2d simpld adantr ringinvcl mgpbas mgpplusg cnfldmul mhmlin
        eqid sylan syl3anc ringidval cnfld1 mhm0 3eqtr3d cnfldbas mhmf ffvelrnd
        cc wf mul02d 3netr4d oveq1 necon3i impbida ) ABHQZRUBZBESZAXDXEAUAUCZHQ
        ZRUBZXFESZUKZXDXEUKUACBXFBUDZXHXDXIXEXKXGXCRXFBHUEUFXFBEUGUHAHIUIQZUJUI
        QZULUMSZXJUACUNZAHDSZXNXOUOOAUACDEFGHIJKMNAXPGUPSODFGHJLUQURZLUSUTZVAPV
        BVDAXEUOZXCBIVCQZQZHQZVEUMZRYBVEUMZUBXDXSTRYCYDTRUBXSVFVGXSBYAIVHQZUMZH
        QZIVIQZHQZYCTXSYFYHHAIVJSZXEYFYHUDAGVKSIVLSYJAGXQVMGIKVNIVOVPZIYEEYHXTB
        NXTWFZYEWFZYHWFZVQWGVRXSXNBCSZYACSZYGYCUDAXNXEAXNXOXRVSVTZAYOXEPVTAYJXE
        YPYKCIEXTBNYLMWAWGZCYEVEXLXMHBYACIXLXLWFZMWBZIYEXLYSYMWCUJVEXMXMWFZWDWC
        WEWHXSXNYITUDYQXLXMHTYHIYHXLYSYNWIUJTXMUUAWJWIWKURWLXSYBXSCWPYAHXSXNCWP
        HWQYQCWPXLXMHYTWPUJXMUUAWMWBWNURYRWOWRWSXCRYCYDXCRYBVEWTXAURXB $.
    $}

    dchr1cl.o $e |- .1. = ( k e. B |-> if ( k e. U , 1 , 0 ) ) $.
    ${
      dchr1cl.n $e |- ( ph -> N e. NN ) $.
      $( Closure of the principal Dirichlet character.  (Contributed by Mario
         Carneiro, 18-Apr-2016.) $)
      dchr1cl $p |- ( ph -> .1. e. D ) $=
        ( cv c1 wceq eqidd vx vy wcel cc0 cif cmpt cmulr cfv co 1cnd cmul 1t1e1
        cur wa eqcomi a1i dchrelbasd eqeltrid ) AEFBFQZDUCZRUDUEUFCOAUAUBRBRCDF
        RGHRRIJKMNPLUSUAQZSRTUSUBQZSRTUSVAVBIUGUHUISRTUSIUMUHSRTAUTUNUJRRRUKUIZ
        SAVADUCVBDUCUNUNVCRULUOUPARTUQUR $.
    $}

    dchrmulid2.t $e |- .x. = ( +g ` G ) $.
    dchrmulid2.x $e |- ( ph -> X e. D ) $.
    $( Left identity for the principal Dirichlet character.  (Contributed by
       Mario Carneiro, 18-Apr-2016.) $)
    dchrmulid2 $p |- ( ph -> ( .1. .x. X ) = X ) $=
      ( cc0 co cmul cof wcel cn dchrrcl syl dchr1cl dchrmul cv c1 cif cmpt wceq
      cfv wa oveq1 eqeq1d cc dchrf ffvelrnda adantr mulid2d 0cn mul02i wne cmgp
      wn ccnfld cmhm wral dchrelbas2 mpbid simprd r19.21bi necon1bd imp 3eqtr4a
      wi oveq2d ifbothda mpteq2dva cvv cbs fvexi ax-1cn feqmptd offval2 3eqtr4d
      a1i ifcli eqtrd ) AFJDUAFJUBUCUAZJACDHIFJKLMNRABCEFGHIKLMNOPQAJCUDZIUEUDS
      CHIJLNUFUGZUHSUIAGBGUJZEUDZUKTULZWPJUOZUBUAZUMGBWSUMWMJAGBWTWSWQUKWSUBUAZ
      WSUNTWSUBUAZWSUNWTWSUNAWPBUDUPZUKTUKWRUNXAWTWSUKWRWSUBUQURTWRUNXBWTWSTWRW
      SUBUQURXCWQUPWSXCWSUSUDWQABUSWPJABCHIJKLMNOSUTZVAZVBVCXCWQVHZUPZTTUBUATXB
      WSTVDVEXGWSTTUBXCXFWSTUNXCWQWSTAWSTVFWQVSZGBAJKVGUOVIVGUOVJUAUDZXHGBVKZAW
      NXIXJUPSAGBCEHIJKLMOPWONVLVMVNVOVPVQZVTXKVRWAWBAGBWRWSUBFJWCUSUSBWCUDABKW
      DOWEWJWRUSUDXCWQUKTUSWFVDWKWJXEFGBWRUMUNAQWJAGBUSJXDWGZWHXLWIWL $.

    dchrinvcl.n $e |- K = ( k e. B |->
      if ( k e. U , ( 1 / ( X ` k ) ) , 0 ) ) $.
    $( Closure of the group inverse operation on Dirichlet characters.
       (Contributed by Mario Carneiro, 19-Apr-2016.) $)
    dchrinvcl $p |- ( ph -> ( K e. D /\ ( K .x. X ) = .1. ) ) $=
      ( vx vy wcel co wceq cv c1 cfv cdiv cc0 cif cmpt cmulr cur cn dchrrcl syl
      fveq2 oveq2d wa cc wf dchrf unitss sseli ffvelrn syl2an wne adantr adantl
      simpr dchrn0 mpbird reccld cmul 1t1e1 eqcomi a1i cmgp ccnfld cmhm dchrmhm
      sselid simprl simprr eqid mgpbas mgpplusg cnfldmul mhmlin syl3anc oveq12d
      1cnd ffvelrnd divmuldivd eqtr4d ringidval cnfld1 mhm0 dchrelbasd eqeltrid
      1div1e1 eqtrdi cof dchrmul cvv cbs fvexi ovex c0ex ifex ffvelrnda feqmptd
      offval2 ovif biimpar recid2d ifeq1da mul02d ifeq2d eqtrd syl5eq mpteq2dva
      eqtr4id jca ) AICUDIKDUEZFUFAIGBGUGZEUDZUHYHKUIZUJUEZUKULZUMZCUAAUBUCUHUB
      UGZKUIZUJUEZBUHUCUGZKUIZUJUEZCEGUHYNYQLUNUIZUEZKUIZUJUEZHJYKUHLUOUIZKUIZU
      JUEZLMNPQAKCUDZJUPUDTCHJKMOUQUROYHYNUFYJYOUHUJYHYNKUSUTYHYQUFYJYRUHUJYHYQ
      KUSUTYHUUAUFYJUUBUHUJYHUUAKUSUTYHUUDUFYJUUEUHUJYHUUDKUSUTAYIVAZYJABVBKVCZ
      YHBUDZYJVBUDZYIABCHJKLMNOPTVDZEBYHBLEPQVEZVFZBVBYHKVGVHUUHYJUKVIZYIAYIVLU
      UHYHBCEHJKLMNOPQAUUGYITVJYIUUJAUUNVKVMVNVOAYNEUDZYQEUDZVAZVAZUUCUHUHVPUEZ
      YOYRVPUEZUJUEYPYSVPUEUUSUHUUTUUBUVAUJUHUUTUFUUSUUTUHVQVRVSUUSKLVTUIZWAVTU
      IZWBUEZUDZYNBUDYQBUDUUBUVAUFUUSCUVDKCHJLMNOWCZAUUGUURTVJZWDUUSEBYNUUMAUUP
      UUQWEZWDZUUSEBYQUUMAUUPUUQWFZWDZBYTVPUVBUVCKYNYQBLUVBUVBWGZPWHLYTUVBUVLYT
      WGWIWAVPUVCUVCWGZWJWIWKWLWMUUSUHYOUHYRUUSWNZUUSBVBYNKAUUIUURUULVJZUVIWOUV
      NUUSBVBYQKUVOUVKWOUUSYOUKVIUUPUVHUUSYNBCEHJKLMNOPQUVGUVIVMVNUUSYRUKVIUUQU
      VJUUSYQBCEHJKLMNOPQUVGUVKVMVNWPWQAUUFUHUHUJUEUHAUUEUHUHUJAUVEUUEUHUFACUVD
      KUVFTWDUVBUVCKUHUUDLUUDUVBUVLUUDWGWRWAUHUVCUVMWSWRWTURUTXCXDXAXBZAYGIKVPX
      EUEZFACDHJIKLMNOSUVPTXFAUVQGBYLYJVPUEZUMZFAGBYLYJVPIKXGXGVBBXGUDABLXHPXIV
      SYLXGUDAUUJVAZYIYKUKUHYJUJXJXKXLVSABVBYHKUULXMZIYMUFAUAVSAGBVBKUULXNXOAFG
      BYIUHUKULZUMUVSRAGBUVRUWBUVTUVRYIYKYJVPUEZUKYJVPUEZULZUWBYIYKUKYJVPXPUVTU
      WEYIUHUWDULUWBUVTYIUWCUHUWDUVTYIVAYJUVTUUKYIUWAVJUVTUUOYIUVTYHBCEHJKLMNOP
      QAUUGUUJTVJAUUJVLVMXQXRXSUVTYIUWDUKUHUVTYJUWAXTYAYBYCYDYEWQYBYF $.
  $}

  ${
    $d f x D $.  $d a b c k x y z G $.  $d a b c f k x y z N $.
    dchrabl.g $e |- G = ( DChr ` N ) $.
    $( The set of Dirichlet characters is an Abelian group.  (Contributed by
       Mario Carneiro, 19-Apr-2016.) $)
    dchrabl $p |- ( N e. NN -> G e. Abel ) $=
      ( vx vy vk va vb wcel cbs cfv cv co w3a eqid wa cmul cc dchrf dchrmul czn
      vz vc cn cplusg eqidd cui cdiv cc0 cif cmpt simp2 simp3 dchrmulcl cof cvv
      c1 fvexd 3adant3r3 simpr3 wceq mulass adantl caofass simpr1 simpr2 oveq1d
      wf oveq2d 3eqtr4d dchr1cl simpr dchrmulid2 dchrinvcl simpld simprd isgrpd
      id mulcom caofcom isabld ) BUDIZDEAJKZAUEKZAWBWCUFZWBWDUFZWBDEUBWCWDAFBUA
      KZJKZFLZWGUGKZIZUQWIDLZKUHMUIUJUKZFWHWKUQUIUJUKZWEWFWBWLWCIZELZWCIZNZWCWD
      ABWLWPWGCWGOZWCOZWDOZWBWOWQULZWBWOWQUMZUNZWBWOWQUBLZWCIZNPZWLWPWDMZXEQUOZ
      MZWLWPXEWDMZXIMZXHXEWDMWLXKWDMXGWLWPXIMZXEXIMWLWPXEXIMZXIMXJXLXGGHUCWHQQR
      QWLWPXEQUPXGWGJURWBWOWQWHRWLVHXFWRWHWCABWLWGCWSWTWHOZXBSZUSWBWOWQWHRWPVHX
      FWRWHWCABWPWGCWSWTXOXCSZUSXGWHWCABXEWGCWSWTXOWBWOWQXFUTZSGLZRIZHLZRIZUCLZ
      RINXSYAQMZYCQMXSYAYCQMQMVAXGXSYAYCVBVCVDXGXHXMXEXIXGWCWDABWLWPWGCWSWTXAWB
      WOWQXFVEZWBWOWQXFVFZTVGXGXKXNWLXIXGWCWDABWPXEWGCWSWTXAYFXRTVIVJXGWCWDABXH
      XEWGCWSWTXAWBWOWQXHWCIXFXDUSXRTXGWCWDABWLXKWGCWSWTXAYEXGWCWDABWPXEWGCWSWT
      XAYFXRUNTVJWBWHWCWJWNFABWGCWSWTXOWJOZWNOZWBVRVKWBWOPZWHWCWDWJWNFABWLWGCWS
      WTXOYGYHXAWBWOVLZVMYIWMWCIZWMWLWDMWNVAZYIWHWCWDWJWNFAWMBWLWGCWSWTXOYGYHXA
      YJWMOVNZVOYIYKYLYMVPVQWRXMWPWLXIMXHWPWLWDMWRGHWHQRWLWPUPWRWGJURXPXQXTYBPY
      DYAXSQMVAWRXSYAVSVCVTWRWCWDABWLWPWGCWSWTXAXBXCTWRWCWDABWPWLWGCWSWTXAXCXBT
      VJWA $.

    dchrfi.b $e |- D = ( Base ` G ) $.
    $( The group of Dirichlet characters is a finite group.  (Contributed by
       Mario Carneiro, 19-Apr-2016.) $)
    dchrfi $p |- ( N e. NN -> D e. Fin ) $=
      ( vz wcel cc0 cfv cexp co c1 cmin wceq cc cfn wa cvv eqid syl vf vx cn cv
      csn cphi crab cun czn cbs cmap snfi chash cmpt cdgr cle wbr cply c0p cnex
      wne cxp cof a1i ovexd 1cnd eqidd fconstmpt offval2 wss ssid nnnn0d plypow
      cn0 phicl syl3anc ax-1cn plyconst mp2an plysubcl sylancl eqeltrrd neg1ne0
      0cn cneg 0expd oveq1d oveq1 ovex fvmpt ax-mp df-neg 3eqtr4g neeq1d mpbiri
      ne0p sylancr ccnv cima mptiniseg eqcomi fta1 syl2anc simpld unfi mapfi wf
      znfi wfn wral simpr dchrf ffnd wo df-ne fvex elsn xchbinxr eqeq1d ffvelrn
      wn simpl syl2an ccnfld cmgp cmg cur dchrmhm simplr sselid ad2antrr simprl
      cmhm mgpbas cui cdvds wb sylibr mpbid ringidval mhmmulg cress c0g cod crg
      cgrp ccrg nnnn0 zncrng crngring unitgrp znunithash eqeltrd hashclb simprr
      dchrn0 unitgrpbas oddvds2 breqtrd cz nnzd csubmnd unitsubm submmulg subm0
      oddvds 3eqtr4d fveq2d eqtr3d cnfld1 mhm0 3eqtr3d 1m1e0 eqtrdi elrabd expr
      cnfldexp syl5bir orrd elun ralrimiva ffnfv sylanbrc ex elmapd ssrdv ssfid
      sylibrd ) CUCGZHUEZFUDZCUFIZJKZLMKZHNZFOUGZUHZCUIIZUJIZUKKZAUWIUWQPGZUWSP
      GUWTPGUWIUWJPGUWPPGZUXAHULUWIUXBUWPUMIFOUWNUNZUOIUPUQZUWIUXCOURIZGUXCUSVA
      ZUXBUXDQUWIFOUWMUNZOLUEVBZMVCKZUXCUXEUWIFOUWMLMUXGUXHRROORGUWIUTVDUWIUWKO
      GQZUWKUWLJVEUXJVFUWIUXGVGUXHFOLUNNUWIFOLVHVDVIUWIUXGUXEGZUXHUXEGZUXIUXEGU
      WIOOVJZLOGZUWLVNGZUXKUXMUWIOVKZVDUWIVFUWIUWLCVOZVLZFOUWLVMVPUXMUXNUXLUXPV
      QLOVRVSOUXGUXHVTWAWBUWIHOGZHUXCIZHVAZUXFWDUWIUYALWEZHVAWCUWIUXTUYBHUWIHUW
      LJKZLMKZHLMKUXTUYBUWIUYCHLMUWIUWLUXQWFWGUXSUXTUYDNWDFHUWNUYDOUXCUWKHNUWMU
      YCLMUWKHUWLJWHWGUXCSZUYCLMWIWJWKLWLWMWNWOHUXCWPWQUWPOUXCUXCWRUWJWSZUWPUXS
      UYFUWPNWDFOUWNHUXCOUYEWTWKXAXBXCXDUWJUWPXEWQZUWSCUWRUWRSZUWSSZXHZUWQUWSXF
      XCUWIUAAUWTUWIUAUDZAGZUWSUWQUYKXGZUYKUWTGUWIUYLUYMUWIUYLQZUYKUWSXIUBUDZUY
      KIZUWQGZUBUWSXJUYMUYNUWSOUYKUYNUWSABCUYKUWRDUYHEUYIUWIUYLXKXLZXMUYNUYQUBU
      WSUYNUYOUWSGZQZUYPUWJGZUYPUWPGZXNUYQUYTVUAVUBVUAYAUYPHVAZUYTVUBVUCUYPHNVU
      AUYPHXOUYPHUYOUYKXPXQXRUYNUYSVUCVUBUYNUYSVUCQZQZUWOUYPUWLJKZLMKZHNFUYPOUW
      KUYPNZUWNVUGHVUHUWMVUFLMUWKUYPUWLJWHWGXSUYNUWSOUYKXGUYSUYPOGZVUDUYRUYSVUC
      YBUWSOUYOUYKXTYCZVUEVUGLLMKHVUEVUFLLMVUEUWLUYPYDYEIZYFIZKZUWRYGIZUYKIZVUF
      LVUEUWLUYOUWRYEIZYFIZKZUYKIZVUMVUOVUEUYKVUPVUKYMKZGZUXOUYSVUSVUMNVUEAVUTU
      YKABCUWRDUYHEYHUWIUYLVUDYIZYJZUWIUXOUYLVUDUXRYKZUYNUYSVUCYLZUWSVUQVULUYKV
      UPVUKUWLUYOUWSUWRVUPVUPSZUYIYNVUQSZVULSUUAVPVUEVURVUNUYKVUEUWLUYOVUPUWRYO
      IZUUBKZYFIZKZVVIUUCIZVURVUNVUEUYOVVIUUDIZIZUWLYPUQZVVKVVLNZVUEVVNVVHUMIZU
      WLYPVUEVVIUUFGZVVHPGZUYOVVHGZVVNVVQYPUQVUEUWRUUEGZVVRUWIVWAUYLVUDUWIUWRUU
      GGZVWAUWICVNGVWBCUUHCUWRUYHUUITUWRUUJTYKZUWRVVHVVIVVHSZVVISZUUKTZUWIVVSUY
      LVUDUWIVVQVNGZVVSUWIVVQUWLVNVVHCUWRUYHVWDUULZUXRUUMVVHRGVVSVWGYQUWRYOXPVV
      HRUUNWKYRYKVUEVUCVVTUYNUYSVUCUUOVUEUYOUWSAVVHBCUYKUWRDUYHEUYIVWDVVBVVEUUP
      YSZUYOVVIVVMVVHUWRVVHVVIVWDVWEUUQZVVMSZUURVPUWIVVQUWLNUYLVUDVWHYKUUSVUEVV
      RVVTUWLUUTGVVOVVPYQVWFVWIVUEUWLUWIUWLUCGUYLVUDUXQYKUVAUYOVVJVVIUWLVVMVVHV
      VLVWJVWKVVJSZVVLSUVFVPYSVUEVVHVUPUVBIGZUXOVVTVURVVKNVUEVWAVWMVWCUWRVVHVUP
      VWDVVFUVCTZVVDVWIVVHVUQVVJVUPVVIUWLUYOVVGVWEVWLUVDVPVUEVWMVUNVVLNVWNVVHVV
      IVUPVUNVWEUWRVUNVUPVVFVUNSYTZUVETUVGUVHUVIVUEVUIUXOVUMVUFNVUJVVDUYPUWLUVQ
      XCVUEVVAVUOLNVVCVUPVUKUYKLVUNVWOYDLVUKVUKSUVJYTUVKTUVLWGUVMUVNUVOUVPUVRUV
      SUYPUWJUWPUVTYRUWAUBUWSUWQUYKUWBUWCUWDUWIUWQUWSUYKPPUYGUYJUWEUWHUWFUWG $.
  $}

  ${
    $d x ph $.  $d x U $.  $d x X $.
    dchrghm.g $e |- G = ( DChr ` N ) $.
    dchrghm.z $e |- Z = ( Z/nZ ` N ) $.
    dchrghm.b $e |- D = ( Base ` G ) $.
    dchrghm.u $e |- U = ( Unit ` Z ) $.
    dchrghm.h $e |- H = ( ( mulGrp ` Z ) |`s U ) $.
    dchrghm.m $e |- M = ( ( mulGrp ` CCfld ) |`s ( CC \ { 0 } ) ) $.
    dchrghm.x $e |- ( ph -> X e. D ) $.
    $( A Dirichlet character restricted to the unit group of ` Z/nZ ` is a
       group homomorphism into the multiplicative group of nonzero complex
       numbers.  (Contributed by Mario Carneiro, 21-Apr-2016.) $)
    dchrghm $p |- ( ph -> ( X |` U ) e. ( H GrpHom M ) ) $=
      ( cfv wcel syl cc vx cres cmhm co cghm ccnfld cmgp csubmnd dchrmhm sselid
      crg ccrg cn0 dchrrcl nnnn0d zncrng crngring eqid unitsubm syl2anc cc0 csn
      cn resmhm cdif crn wss wb cnring cnfldbas cnfld0 cndrng drngui ax-mp cima
      df-ima cv wral wa wne cbs dchrf unitss sseli ffvelrn syl2an adantr adantl
      wf simpr dchrn0 mpbird eldifsn sylanbrc ralrimiva wfun cdm fdmd sseqtrrid
      ffund funimass4 eqsstrrid resmhm2b sylancr mpbid cgrp wceq unitgrp ablgrp
      cabl cnmgpabl ghmmhmb sylancl eleqtrrd ) AHCUBZEFUCUDZEFUEUDZAXOEUFUGQZUC
      UDRZXOXPRZAHIUGQZXRUCUDZRCYAUHQRZXSABYBHBDGIJKLUIPUJAIUKRZYCAIULRZYDAGUMR
      YEAGAHBRZGVCRPBDGHJLUNSUOGIKUPSIUQSZICYAMYAURUSSYAXREHCNVDUTATVAVBVEZXRUH
      QRZXOVFZYHVGXSXTVHUFUKRYIVIUFYHXRTUFVAVJVKVLVMXRURUSVNAYJHCVOZYHHCVPAYKYH
      VGZUAVQZHQZYHRZUACVRZAYOUACAYMCRZVSZYNTRZYNVAVTZYOAIWAQZTHWIYMUUARZYSYQAU
      UABDGHIJKLUUAURZPWBZCUUAYMUUAICUUCMWCZWDZUUATYMHWEWFYRYTYQAYQWJYRYMUUABCD
      GHIJKLUUCMAYFYQPWGYQUUBAUUFWHWKWLYNTVAWMWNWOAHWPCHWQZVGYLYPVHAUUATHUUDWTA
      UUACUUGUUEAUUATHUUDWRWSUACYHHXAUTWLXBEXRFXOYHOXCXDXEAEXFRZFXFRZXQXPXGAYDU
      UHYGICEMNXHSFXJRUUIFOXKFXIVNEFXLXMXN $.
  $}

  ${
    $d k A $.  $d k x N $.  $d k x ph $.  $d k x U $.  $d k x Z $.
    dchr1.g $e |- G = ( DChr ` N ) $.
    dchr1.z $e |- Z = ( Z/nZ ` N ) $.
    dchr1.o $e |- .1. = ( 0g ` G ) $.
    dchr1.u $e |- U = ( Unit ` Z ) $.
    dchr1.n $e |- ( ph -> N e. NN ) $.
    dchr1.a $e |- ( ph -> A e. U ) $.
    $( Value of the principal Dirichlet character.  (Contributed by Mario
       Carneiro, 28-Apr-2016.) $)
    dchr1 $p |- ( ph -> ( .1. ` A ) = 1 ) $=
      ( vk vx wcel c1 cc0 wceq eqid cv cif cbs cc cmpt cplusg co dchr1cl eleq1w
      cfv ifbid cbvmptv dchrmulid2 cn cabl cgrp wa dchrabl ablgrp isgrpid2 4syl
      wb mpbi2and simpr adantr eqeltrd iftrued unitss sselid 1cnd fvmptd ) ANBN
      UAZCPZQRUBZQGUCUJZDUDANVOVNUEZEUCUJZPZVPVPEUFUJZUGVPSZDVPSZAVOVQCVPNEFGHI
      VQTZVOTZKVPTLUHZAVOVQVSCVPOEFVPGHIWBWCKNOVOVNOUAZCPZQRUBVLWESVMWFQRNOCUIU
      KULVSTZWDUMAFUNPEUOPEUPPVRVTUQWAVBLEFHUREUSVQVSEDVPWBWGJUTVAVCAVLBSZUQZVM
      QRWIVLBCAWHVDABCPWHMVEVFVGACVOBVOGCWCKVHMVIAVJVK $.
  $}

  ${
    $d k ph $.  $d k U $.  $d k X $.  $d k Y $.  $d k Z $.
    dchrresb.g $e |- G = ( DChr ` N ) $.
    dchrresb.z $e |- Z = ( Z/nZ ` N ) $.
    dchrresb.b $e |- D = ( Base ` G ) $.
    dchrresb.u $e |- U = ( Unit ` Z ) $.
    dchrresb.x $e |- ( ph -> X e. D ) $.
    dchrresb.Y $e |- ( ph -> Y e. D ) $.
    $( A Dirichlet character is determined by its values on the unit group.
       (Contributed by Mario Carneiro, 28-Apr-2016.) $)
    dchreq $p |- ( ph -> ( X = Y <-> A. k e. U ( X ` k ) = ( Y ` k ) ) ) $=
      ( wceq wral wcel wa cc0 cv cfv cbs cdif wn eldif eqid adantr simpr dchrn0
      wne biimpd necon1bd impr sylan2b eqtr4d ralrimiva wb cc dchrf ffnd eqfnfv
      wfn syl2anc cun unitss undif mpbi raleqi ralunb bitr3i bitrdi mpbiran2d
      wss ) AGHPZDUAZGUBZVPHUBZPZDCQZVSDIUCUBZCUDZQZAVSDWBAVPWBRZSVQTVRWDAVPWAR
      ZVPCRZUEZSZVQTPZVPWACUFZAWEWGWIAWESZWFVQTWKVQTUKWFWKVPWABCEFGIJKLWAUGZMAG
      BRWENUHAWEUIZUJULUMUNUOWDAWHVRTPZWJAWEWGWNWKWFVRTWKVRTUKWFWKVPWABCEFHIJKL
      WLMAHBRWEOUHWMUJULUMUNUOUPUQAVOVSDWAQZVTWCSZAGWAVCHWAVCVOWOURAWAUSGAWABEF
      GIJKLWLNUTVAAWAUSHAWABEFHIJKLWLOUTVADWAGHVBVDWOVSDCWBVEZQWPVSDWQWACWAVNWQ
      WAPWAICWLMVFCWAVGVHVIVSDCWBVJVKVLVM $.

    $( A Dirichlet character is determined by its values on the unit group.
       (Contributed by Mario Carneiro, 28-Apr-2016.) $)
    dchrresb $p |- ( ph -> ( ( X |` U ) = ( Y |` U ) <-> X = Y ) ) $=
      ( vk cres wceq cfv wfn cc cv wral cbs wb eqid dchrf wa wss unitss fvreseq
      ffnd mpan2 syl2anc dchreq bitr4d ) AFCPGCPQZOUAZFRUQGRQOCUBZFGQAFHUCRZSZG
      USSZUPURUDZAUSTFAUSBDEFHIJKUSUEZMUFUKAUSTGAUSBDEGHIJKVCNUFUKUTVAUGCUSUHVB
      USHCVCLUIOUSCFGUJULUMABCODEFGHIJKLMNUNUO $.
  $}

  ${
    $d x G $.  $d x y N $.  $d x y ph $.  $d x y X $.
    dchrabs.g $e |- G = ( DChr ` N ) $.
    dchrabs.d $e |- D = ( Base ` G ) $.
    dchrabs.x $e |- ( ph -> X e. D ) $.
    ${
      dchrabs.z $e |- Z = ( Z/nZ ` N ) $.
      dchrabs.u $e |- U = ( Unit ` Z ) $.
      dchrabs.a $e |- ( ph -> A e. U ) $.
      $( A Dirichlet character takes values on the unit circle.  (Contributed
         by Mario Carneiro, 28-Apr-2016.) $)
      dchrabs $p |- ( ph -> ( abs ` ( X ` A ) ) = 1 ) $=
        ( cfv c1 co eqid wcel wceq cabs ccxp chash cdiv cbs dchrf unitss sselid
        cmul cc ffvelrnd cc0 wne dchrn0 mpbird absrpcld cfn cn0 cn dchrrcl znfi
        wss 3syl ssfi sylancl hashcl syl nn0red recnd c0 hashnncl nnne0d reccld
        ne0d wb cxpmuld recidd oveq2d cexp abscld cxpexp syl2anc absexpd ccnfld
        cmgp cmg cur csn cdif cres csubmnd cnring cnfldbas cnfld0 cndrng drngui
        cress crg unitsubm mp1i eldifsn sylanbrc submmulg syl3anc cghm cz nn0zd
        dchrghm unitgrpbas ghmmulg c0g cod wbr cgrp ccrg nnnn0d zncrng crngring
        cdvds unitgrp oddvds2 oddvds mpbid unitgrpid eqtr4d fveq2d fvresd 1unit
        3eqtr3d 3eqtr2d cnfldexp cmhm dchrmhm ringidval cnfld1 mhm0 abs1 eqtrdi
        fvres oveq1d cxp1d 1cxpd ) ABGOZUAOZPUBQZPPDUCOZUDQZUBQZUUDPAUUDUUFUUGU
        IQZUBQUUDUUFUBQZUUGUBQUUEUUHAUUDUUFUUGAUUCAHUEOZUJBGAUUKCEFGHILJUUKRZKU
        FADUUKBUUKHDUULMUGZNUHZUKZAUUCULUMZBDSZNABUUKCDEFGHILJUULMKUUNUNUOZUPAU
        UFADUQSZUUFURSZAUUKUQSZDUUKVBUUSAGCSZFUSSZUVAKCEFGIJUTZUUKFHLUULVAVCUUM
        UUKDVDVEZDVFVGZVHZAUUFAUUFUVGVIZAUUFAUUFUSSZDVJUMZADBNVNAUUSUVIUVJVOUVE
        DVKVGUOVLZVMZVPAUUIPUUDUBAUUFUVHUVKVQVRAUUJPUUGUBAUUJUUDUUFVSQZUUCUUFVS
        QZUAOZPAUUDUJSUUTUUJUVMTAUUDAUUCUUOVTVIZUVFUUDUUFWAWBAUUCUUFUUOUVFWCAUV
        OPUAOPAUVNPUAAUUFUUCWDWEOZWFOZQZHWGOZGOZUVNPAUVSUUFUUCUVQUJULWHWIZWQQZW
        FOZQZUVTGDWJZOZUWAAUWBUVQWKOSZUUTUUCUWBSZUVSUWETWDWRSUWHAWLWDUWBUVQUJWD
        ULWMWNWOWPUVQRZWSWTUVFAUUCUJSZUUPUWIUUOUURUUCUJULXAXBUWBUVRUWDUVQUWCUUF
        UUCUVRRUWCRZUWDRZXCXDAUUFBHWEOZDWQQZWFOZQZUWFOZUUFBUWFOZUWDQZUWGUWEAUWF
        UWOUWCXEQSUUFXFSZUUQUWRUWTTACDEUWOUWCFGHILJMUWORZUWLKXHAUUFUVFXGZNDUWPU
        WDUWFUWOUWCUUFBHDUWOMUXBXIZUWPRZUWMXJXDAUWQUVTUWFAUWQUWOXKOZUVTABUWOXLO
        ZOUUFXSXMZUWQUXFTZAUWOXNSZUUSUUQUXHAHWRSZUXJAFURSHXOSUXKAFAUVBUVCKUVDVG
        XPFHLXQHXRVCZHDUWOMUXBXTVGZUVENBUWOUXGDUXDUXGRZYAXDAUXJUUQUXAUXHUXIVOUX
        MNUXCBUWPUWOUUFUXGDUXFUXDUXNUXEUXFRYBXDYCAUXKUVTUXFTUXLHDUVTUWOMUXBUVTR
        ZYDVGYEYFAUWSUUCUUFUWDABDGNYGVRYIAUXKUVTDSUWGUWATUXLHDUVTMUXOYHUVTDGYSV
        CYJAUWKUUTUVSUVNTUUOUVFUUCUUFYKWBAGUWNUVQYLQZSUWAPTACUXPGCEFHILJYMKUHUW
        NUVQGPUVTHUVTUWNUWNRUXOYNWDPUVQUWJYOYNYPVGYIYFYQYRYJYTYIAUUDUVPUUAAUUGU
        VLUUBYI $.
    $}

    dchrinv.i $e |- I = ( invg ` G ) $.
    $( The inverse of a Dirichlet character is the conjugate (which is also the
       multiplicative inverse, because the values of ` X ` are unimodular).
       (Contributed by Mario Carneiro, 28-Apr-2016.) $)
    dchrinv $p |- ( ph -> ( I ` X ) = ( * o. X ) ) $=
      ( vx cfv ccj wceq co wcel cmul cc c1 cc0 vy ccom cplusg c0g cv czn cui wa
      wral cof cbs wf cmulr cur wne wi w3a cjf dchrf fco sylancr cn dchrrcl syl
      eqid dchrelbas3 simprd simp1d r19.21bi anasss fveq2d adantr unitss simprl
      mpbid sselid ffvelrnd simprr cjmuld eqtrd crg ccrg nnnn0d zncrng crngring
      cn0 3syl ringcl syl3anc fvco3 syl2anc oveq12d 3eqtr4d ralrimivva ringidcl
      simp2d cr 1re cjre ax-mp eqtrdi simp3d sylan cj0 eqcomi eqeq12d ffvelrnda
      a1i wb cj11 sylancl bitrd necon3bid imbi1d ralbidva mpbird 3jca mpbir2and
      0cn dchrmul fveq1d cabs cexp sseli sylan2 oveq2d absvalsqd dchrabs oveq1d
      c2 simpr sq1 3eqtr2d wfn cvv ffnd fvexd adantl fnfvof syl22anc dchr1 cgrp
      ralrimiva dchrmulcl cabl dchrabl ablgrp grpidcl dchreq grpinvid1 ) AFDLMF
      UBZNZFUUKCUCLZOZCUDLZNZAUUPKUEZUUNLZUUQUUOLZNZKEUFLZUGLZUIAUUTKUVBAUUQUVB
      PZUHZUURUUQFUUKQUJOZLZUUSUVDUUQUUNUVEAUUNUVENUVCABUUMCEFUUKUVAGUVAVEZHUUM
      VEZIAUUKBPZUVAUKLZRUUKULZUUQUAUEZUVAUMLZOZUUKLZUUQUUKLZUVLUUKLZQOZNZUAUVB
      UIKUVBUIZUVAUNLZUUKLZSNZUVPTUOZUVCUPZKUVJUIZUQARRMULUVJRFULZUVKURAUVJBCEF
      UVAGUVGHUVJVEZIUSZUVJRRMFUTVAZAUVTUWCUWFAUVSKUAUVBUVBAUVCUVLUVBPZUHZUHZUV
      NFLZMLZUUQFLZMLZUVLFLZMLZQOZUVOUVRUWMUWOUWPUWRQOZMLUWTUWMUWNUXAMAUVCUWKUW
      NUXANZUVDUXBUAUVBAUXBUAUVBUIZKUVBAUXCKUVBUIZUWAFLZSNZUWPTUOZUVCUPZKUVJUIZ
      AUWGUXDUXFUXIUQZAFBPZUWGUXJUHIAKUAUVJBUVBCEFUVAGUVGUWHUVBVEZAUXKEVBPZIBCE
      FGHVCVDZHVFVOVGZVHVIVIVJVKUWMUWPUWRUWMUVJRUUQFAUWGUWLUWIVLZUWMUVBUVJUUQUV
      JUVAUVBUWHUXLVMZAUVCUWKVNVPZVQUWMUVJRUVLFUXPUWMUVBUVJUVLUXQAUVCUWKVRVPZVQ
      VSVTUWMUWGUVNUVJPZUVOUWONUXPUWMUVAWAPZUUQUVJPZUVLUVJPZUXTAUYAUWLAEWFPUVAW
      BPUYAAEUXNWCEUVAUVGWDUVAWEWGZVLUXRUXSUVJUVAUVMUUQUVLUWHUVMVEWHWIUVJRUVNMF
      WJWKUWMUVPUWQUVQUWSQUWMUWGUYBUVPUWQNZUXPUXRUVJRUUQMFWJZWKUWMUWGUYCUVQUWSN
      UXPUXSUVJRUVLMFWJWKWLWMWNAUWBUXEMLZSAUWGUWAUVJPZUWBUYGNUWIAUYAUYHUYDUVJUV
      AUWAUWHUWAVEWOVDUVJRUWAMFWJWKAUYGSMLZSAUXESMAUXDUXFUXIUXOWPVKSWQPUYISNWRS
      WSWTXAVTAUWFUXIAUXDUXFUXIUXOXBAUWEUXHKUVJAUYBUHZUWDUXGUVCUYJUVPTUWPTUYJUV
      PTNUWQTMLZNZUWPTNZUYJUVPUWQTUYKAUWGUYBUYEUWIUYFXCZTUYKNUYJUYKTXDXEXHXFUYJ
      UWPRPZTRPUYLUYMXIAUVJRUUQFUWIXGZXSUWPTXJXKXLXMXNXOXPXQAKUAUVJBUVBCEUUKUVA
      GUVGUWHUXLUXNHVFXRZXTVLYAUVDUWPUVPQOZSUVFUUSUVDUYRUWPUWQQOUWPYBLZYJYCOZSU
      VDUVPUWQUWPQUVCAUYBUYEUVBUVJUUQUXQYDZUYNYEYFUVDUWPUVCAUYBUYOVUAUYPYEYGUVD
      UYTSYJYCOSUVDUYSSYJYCUVDUUQBUVBCEFUVAGHAUXKUVCIVLUVGUXLAUVCYKZYHYIYLXAYMU
      VDFUVJYNUUKUVJYNZUVJYOPUYBUVFUYRNUVDUVJRFAUWGUVCUWIVLYPAVUCUVCAUVJRUUKUWJ
      YPVLUVDUVAUKYQUVCUYBAVUAYRUVJQFUUKYOUUQYSYTUVDUUQUVBUUOCEUVAGUVGUUOVEZUXL
      AUXMUVCUXNVLVUBUUAWMVTUUCABUVBKCEUUNUUOUVAGUVGHUXLABUUMCEFUUKUVAGUVGHUVHI
      UYQUUDACUUBPZUUOBPAUXMCUUEPVUEUXNCEGUUFCUUGWGZBCUUOHVUDUUHVDUUIXPAVUEUXKU
      VIUULUUPXIVUFIUYQBUUMCDFUUKUUOHUVHVUDJUUJWIXP $.
  $}

  ${
    dchrabs2.g $e |- G = ( DChr ` N ) $.
    dchrabs2.d $e |- D = ( Base ` G ) $.
    dchrabs2.z $e |- Z = ( Z/nZ ` N ) $.
    dchrabs2.b $e |- B = ( Base ` Z ) $.
    dchrabs2.x $e |- ( ph -> X e. D ) $.
    dchrabs2.a $e |- ( ph -> A e. B ) $.
    $( A Dirichlet character takes values inside the unit circle.  (Contributed
       by Mario Carneiro, 3-May-2016.) $)
    dchrabs2 $p |- ( ph -> ( abs ` ( X ` A ) ) <_ 1 ) $=
      ( cfv c1 cle cc0 wa eqbrtrdi cabs wbr wceq simpr abs00bd 0le1 wcel adantr
      wne cui eqid dchrn0 biimpa dchrabs 1le1 pm2.61dane ) ABGOZUAOZPQUBUQRAUQR
      UCZSZURRPQUTUQAUSUDUEUFTAUQRUIZSZURPPQVBBDHUJOZEFGHIJAGDUGVAMUHKVCUKZAVAB
      VCUGABCDVCEFGHIKJLVDMNULUMUNUOTUP $.
  $}

  ${
    $d x .1. $.  $d x B $.  $d x ph $.
    dchr1re.g $e |- G = ( DChr ` N ) $.
    dchr1re.z $e |- Z = ( Z/nZ ` N ) $.
    dchr1re.o $e |- .1. = ( 0g ` G ) $.
    dchr1re.b $e |- B = ( Base ` Z ) $.
    dchr1re.n $e |- ( ph -> N e. NN ) $.
    $( The principal Dirichlet character is a real character.  (Contributed by
       Mario Carneiro, 2-May-2016.) $)
    dchr1re $p |- ( ph -> .1. : B --> RR ) $=
      ( vx cfv cr wcel eqid wa cc0 simpr eqeltrdi wfn cv wral wf cc cbs cn cabl
      cgrp dchrabl ablgrp grpidcl 4syl ffnd wceq 0re wne c1 cui ad2antrr adantr
      dchrf dchrn0 biimpa dchr1 1re pm2.61dane ralrimiva ffnfv sylanbrc ) ACBUA
      LUBZCMZNOZLBUCBNCUDABUECABDUFMZDECFGHVNPZJAEUGOZDUHODUIOCVNOZKDEGUJDUKVND
      CVOIULUMZVBUNAVMLBAVKBOZQZVMVLRVTVLRUOZQVLRNVTWASUPTVTVLRUQZQZVLURNWCVKFU
      SMZCDEFGHIWDPZAVPVSWBKUTVTWBVKWDOVTVKBVNWDDECFGHVOJWEAVQVSVRVAAVSSVCVDVEV
      FTVGVHLBNCVIVJ $.
  $}

  ${
    $d a b h k m n x .1. $.  $d a b h k m n u v w x A $.  $d a b h k m u v I $.
    $d v x y B $.  $d h m u C $.  $d x G $.  $d a h i k m n u x H $.  $d x N $.
    $d a b h i k m n u v x W $.  $d a b h k m n u v x .x. $.  $d a b v x y X $.
    $d a b h m u v P $.  $d a h i k m n u x S $.  $d a b h k m n u v w x y Z $.
    $d a w x D $.  $d h m M $.  $d a b h i k m n v w x y ph $.  $d h m u T $.
    $d a b h m u v x y U $.
    dchrpt.g $e |- G = ( DChr ` N ) $.
    dchrpt.z $e |- Z = ( Z/nZ ` N ) $.
    dchrpt.d $e |- D = ( Base ` G ) $.
    dchrpt.b $e |- B = ( Base ` Z ) $.
    dchrpt.1 $e |- .1. = ( 1r ` Z ) $.
    dchrpt.n $e |- ( ph -> N e. NN ) $.
    dchrpt.n1 $e |- ( ph -> A =/= .1. ) $.
    ${
      dchrpt.u $e |- U = ( Unit ` Z ) $.
      dchrpt.h $e |- H = ( ( mulGrp ` Z ) |`s U ) $.
      dchrpt.m $e |- .x. = ( .g ` H ) $.
      dchrpt.s $e |- S = ( k e. dom W |->
        ran ( n e. ZZ |-> ( n .x. ( W ` k ) ) ) ) $.
      dchrpt.au $e |- ( ph -> A e. U ) $.
      dchrpt.w $e |- ( ph -> W e. Word U ) $.
      dchrpt.2 $e |- ( ph -> H dom DProd S ) $.
      dchrpt.3 $e |- ( ph -> ( H DProd S ) = U ) $.
      ${
        dchrpt.p $e |- P = ( H dProj S ) $.
        dchrpt.o $e |- O = ( od ` H ) $.
        dchrpt.t $e |- T = ( -u 1 ^c ( 2 / ( O ` ( W ` I ) ) ) ) $.
        dchrpt.i $e |- ( ph -> I e. dom W ) $.
        dchrpt.4 $e |- ( ph -> ( ( P ` I ) ` A ) =/= .1. ) $.
        dchrpt.5 $e |- X = ( u e. U |-> ( iota h E. m e. ZZ
          ( ( ( P ` I ) ` u ) = ( m .x. ( W ` I ) ) /\ h = ( T ^ m ) ) ) ) $.
        $( Lemma for ~ dchrpt .  (Contributed by Mario Carneiro,
           28-Apr-2016.) $)
        dchrptlem1 $p |- ( ( ( ph /\ C e. U ) /\ ( M e. ZZ /\
      ( ( P ` I ) ` C ) = ( M .x. ( W ` I ) ) ) ) -> ( X ` C ) = ( T ^ M ) ) $=
          ( wcel wa cz cfv co wceq cv cexp wrex fveqeq2 anbi1d rexbidv iotabidv
          cio iotaex fvmpt3i ad2antlr cvv ovex wb simpllr simprd eqtr3d simp-4l
          simpr wi simplr simpld cmin cdvds wbr cgrp cn0 ccrg crg nnnn0d zncrng
          crngring unitgrp 4syl adantr cc0 chash cfzo cword wf wrdf syl eleqtrd
          cdm fdmd ffvelrnd simprl simprr c0g unitgrpbas odcong syl112anc caddc
          eqid cmul cc wne c1 c2 neg1cn cr cn cfn sylancr a1i zcnd eqtrd eqeq2d
          cneg cdiv ccxp 2re wss znfi unitss ssfi sylancl odcl2 syl3anc nndivre
          ad2antrr recnd eqeltrid neg1ne0 cxpne0d neeq1i sylibr zsubcl syl22anc
          expaddz npcand oveq2d oveq1i root1eq1 biimpar expclzd mulid2d 3eqtr3d
          syl2an syl5eq oveq1d ex sylbird syl12anc mpd biimpd expimpd rexlimdva
          cxpcl oveq1 oveq2 anbi12d rspcev expr adantl impbid iota5 mpan2 ) AEK
          VGZVHZTVIVGZESGVJZVJZTSUCVJZJVKZVLZVHZVHZEUDVJZUWOOVMZUWPJVKZVLZMVMZI
          UXBVNVKZVLZVHZOVIVOZMVTZITVNVKZUWKUXAUXJVLAUWSBEBVMZUWNVJUXCVLZUXGVHZ
          OVIVOZMVTUXJKUDUXLEVLZUXOUXIMUXPUXNUXHOVIUXPUXMUXDUXGUXLEUXCUWNVPVQVR
          VSVFUXOMWAWBWCUWTUXKWDVGZUXJUXKVLITVNWEUWTUXIMUXKWDUWTUXIUXEUXKVLZWFU
          XQUWTUXIUXRUWTUXHUXROVIUWTUXBVIVGZVHZUXDUXGUXRUXTUXDVHZUXGUXRUYAUXFUX
          KUXEUYAUXCUWQVLZUXFUXKVLZUYAUWOUXCUWQUXTUXDWKUYAUWMUWRUWLUWSUXSUXDWGZ
          WHWIUYAAUXSUWMUYBUYCWLAUWKUWSUXSUXDWJUWTUXSUXDWMUYAUWMUWRUYDWNAUXSUWM
          VHZVHZUYBUWPUBVJZUXBTWOVKZWPWQZUYCUYFRWRVGZUWPKVGZUXSUWMUYIUYBWFAUYJU
          YEAUAWSVGUEWTVGUEXAVGUYJAUAUKXBUAUEUGXCUEXDUEKRUMUNXEXFZXGAUYKUYEAXHU
          CXIVJXJVKZKSUCAUCKXKVGUYMKUCXLURKUCXMXNZASUCXPUYMVDAUYMKUCUYNXQXOXRZX
          GAUXSUWMXSZAUXSUWMXTZUWPJRUXBTUBKRYAVJZUEKRUMUNYBZVBUOUYRYFYCYDUYFUYI
          UYCUYFUYIVHZIUYHTYEVKZVNVKZIUYHVNVKZUXKYGVKZUXFUXKUYTIYHVGIXHYIZUYHVI
          VGZUWMVUBVUDVLUYTIYJUUAZYKUYGUUBVKZUUCVKZYHVCUYTVUGYHVGZVUHYHVGVUIYHV
          GYLUYTVUHUYTYKYMVGUYGYNVGZVUHYMVGUUDAVUKUYEUYIAUYJKYOVGZUYKVUKUYLADYO
          VGZKDUUEVULAUAYNVGVUMUKDUAUEUGUIUUFXNDUEKUIUMUUGDKUUHUUIUYOUWPRUBKUYS
          VBUUJUUKZUUMYKUYGUULYPUUNZVUGVUHUWAYPUUOZUYTVUIXHYIVUEUYTVUGVUHVUJUYT
          YLYQVUGXHYIUYTUUPYQVUOUUQIVUIXHVCUURUUSZUYEVUFAUYIUXBTUUTZWCUYFUWMUYI
          UYQXGZIUYHTUVBUVAUYTVUAUXBIVNUYTUXBTUYTUXBUYFUXSUYIUYPXGYRUYTTVUSYRUV
          CUVDUYTVUDYJUXKYGVKUXKUYTVUCYJUXKYGUYTVUCVUIUYHVNVKZYJIVUIUYHVNVCUVEU
          YFVUTYJVLZUYIAVUKVUFVVAUYIWFUYEVUNVURUYHUYGUVFUVKUVGUVLUVMUYTUXKUYTIT
          VUPVUQVUSUVHUVIYSUVJUVNUVOUVPUVQYTUVRUVSUVTUWSUXRUXIWLUWLUWMUWRUXRUXI
          UXHUWRUXRVHOTVIUXBTVLZUXDUWRUXGUXRVVBUXCUWQUWOUXBTUWPJUWBYTVVBUXFUXKU
          XEUXBTIVNUWCYTUWDUWEUWFUWGUWHXGUWIUWJYS $.

        $( Lemma for ~ dchrpt .  (Contributed by Mario Carneiro,
           28-Apr-2016.) $)
        dchrptlem2 $p |- ( ph -> E. x e. D ( x ` A ) =/= 1 ) $=
          ( vv vy va vb cv wcel cfv cc0 cif cmpt c1 wne wrex cmulr co cur fveq2
          wa wceq cc cz crn cdprd wf cdm zex mptex rnex dmmpti dpjf feq2d mpbid
          a1i ffvelrnda adantr oveq1 cbvmptv oveq2d mpteq2dv syl5eq fvmpt3i syl
          rneqd eleqtrd eqid ovex cexp dchrptlem1 c2 neg1cn cfn syl3anc sylancr
          cr cn ad2antrr simprl cmul weq fveqeq2 rexbidv rspcdva simprr oveq12d
          syl22anc cghm cress cvv ax-mp eqtrdi 3eqtr4d eqtrd wb syl2anc eqnetrd
          elrnmpti sylib cneg cdiv ccxp 2re cgrp crg cn0 nnnn0d zncrng crngring
          ccrg 3syl unitgrp znfi unitss ssfi sylancl chash cfzo cword wrdf fdmd
          ffvelrnd unitgrpbas odcl2 nndivre recnd cxpcl eqeltrid neg1ne0 neeq1i
          cxpne0d sylibr expclzd eqeltrd rexlimddv wral ralrimiva eqeq2d bitrdi
          wss cbvrexvw reeanv simprll simprlr expaddz unitmulcl zaddcld simprrl
          caddc simpll simprrr dpjghm cmgp ovexi ressid oveq1d cplusg cui fvexi
          mgpplusg ressplusg ghmlin mulgdir syl13anc expr rexlimdvva syl5bir id
          mp2and 1unit 0zd ghmid unitgrpid fveq2d mulg0 exp0d dchrelbasd sselid
          eleq1 ifbieq1d fvex c0ex ifex iftrued wi oveq1i cdvds oddvds root1eq1
          c0g wbr eqeq12d 3bitr4d necon3bid mpbird rexlimdvaa mpd neeq1d rspcev
          mpdan fveq1 ) AVFEVFVJZKVKZVUEUCVLZVMVNZVOZFVKDVUIVLZVPVQZDBVJZVLZVPV
          QZBFVRABVGVULUCVLZEVGVJZUCVLZFKVFVULVUPUDVSVLZVTZUCVLZQTVUGUDWAVLZUCV
          LZUDUEUFUHULUJUGVUEVULUCWBVUEVUPUCWBVUEVUSUCWBVUEVVAUCWBAVUFWCZVUESGV
          LZVLZVHVJZSUBVLZJVTZWDZVUGWEVKVHWFVVCVVEVHWFVVHVOZWGZVKVVIVHWFVRZVVCV
          VESHVLZVVKAKVVMVUEVVDARHWHVTZVVMVVDWIKVVMVVDWIAGHRUBWJZSURHWJVVOWDANV
          VOPWFPVJZNVJZUBVLZJVTZVOZWGZHVVTPWFVVSWKWLWMZUOWNWRZUTVCWOAVVNKVVMVVD
          USWPWQWSVVCSVVOVKZVVMVVKWDAVWDVUFVCWTNSVWAVVKVVOHVVQSWDZVVTVVJVWEVVTV
          HWFVVFVVRJVTZVOVVJPVHWFVVSVWFVVPVVFVVRJXAXBVWEVHWFVWFVVHVWEVVRVVGVVFJ
          VVQSUBWBXCXDXEXHUOVWBXFXGXIVHWFVVHVVEVVJVVJXJVVFVVGJXKUUAUUBZVVCVVFWF
          VKZVVIWCZWCZVUGIVVFXLVTZWEACDEVUEFGHIJKLMNOPQRSVVFTUAUBUCUDUEUFUGUHUI
          UJUKULUMUNUOUPUQURUSUTVAVBVCVDVEXMVWJIVVFAIWEVKZVUFVWIAIVPUUCZXNVVGUA
          VLZUUDVTZUUEVTZWEVBAVWMWEVKZVWOWEVKVWPWEVKXOAVWOAXNXSVKVWNXTVKZVWOXSV
          KUUFARUUGVKZKXPVKZVVGKVKZVWRAUDUUHVKZVWSATUUIVKUDUUMVKVXBATUJUUJTUDUF
          UUKUDUULUUNZUDKRULUMUUOXGZAEXPVKZKEUWCVWTATXTVKVXEUJETUDUFUHUUPXGEUDK
          UHULUUQZEKUURUUSAVMUBUUTVLUVAVTZKSUBAUBKUVBVKVXGKUBWIUQKUBUVCXGZASVVO
          VXGVCAVXGKUBVXHUVDXIUVEZVVGRUAKUDKRULUMUVFZVAUVGXQZXNVWNUVHXRUVIZVWMV
          WOUVJXRUVKZYAAIVMVQZVUFVWIAVWPVMVQVXNAVWMVWOVWQAXOWRVWMVMVQAUVLWRVXLU
          VNIVWPVMVBUVMUVOZYAVVCVWHVVIYBUVPUVQUVRAVULKVKZVUPKVKZWCZWCZVULVVDVLZ
          VVHWDZVHWFVRZVUPVVDVLZVIVJZVVGJVTZWDZVIWFVRZVUTVUOVUQYCVTZWDZVXSVVLVY
          BVFKVULVFBYDVVIVYAVHWFVUEVULVVHVVDYEYFAVVLVFKUVSVXRAVVLVFKVWGUVTZWTZA
          VXPVXQYBZYGVXSVVLVYGVFKVUPVFVGYDZVVLVYCVVHWDZVHWFVRVYGVYMVVIVYNVHWFVU
          EVUPVVHVVDYEYFVYNVYFVHVIWFVHVIYDVVHVYEVYCVVFVYDVVGJXAUWAUWDUWBVYKAVXP
          VXQYHZYGVYBVYGWCVYAVYFWCZVIWFVRVHWFVRVXSVYIVYAVYFVHVIWFWFUWEVXSVYPVYI
          VHVIWFWFVXSVWHVYDWFVKZWCZVYPVYIVXSVYRVYPWCZWCZIVVFVYDUWLVTZXLVTZVWKIV
          YDXLVTZYCVTZVUTVYHVYTVWLVXNVWHVYQWUBWUDWDAVWLVXRVYSVXMYAAVXNVXRVYSVXO
          YAVXSVWHVYQVYPUWFZVXSVWHVYQVYPUWGZIVVFVYDUWHYJVYTAVUSKVKZWUAWFVKVUSVV
          DVLZWUAVVGJVTZWDVUTWUBWDAVXRVYSUWMZVYTVXBVXPVXQWUGAVXBVXRVYSVXCYAVXSV
          XPVYSVYLWTZVXSVXQVYSVYOWTZUDVURKVULVUPULVURXJZUWIXQVYTVVFVYDWUEWUFUWJ
          VYTVXTVYCVURVTZVVHVYEVURVTZWUHWUIVYTVXTVVHVYCVYEVURVXSVYRVYAVYFUWKZVX
          SVYRVYAVYFUWNZYIVYTVVDRRYKVTZVKZVXPVXQWUHWUNWDAWUSVXRVYSAVVDRVVNYLVTZ
          RYKVTWURAGHRVVOSURVWCUTVCUWOAWUTRRYKAWUTRKYLVTZRAVVNKRYLUSXCRYMVKWVAR
          WDRUDUWPVLZKYLUMUWQKRYMVXJUWRYNYOUWSXIZYAWUKWULVURVURRRVULVVDVUPKVXJK
          YMVKVURRUWTVLWDKUDUXAULUXBKVURWVBRYMUMUDVURWVBWVBXJWUMUXCUXDYNZWVDUXE
          XQVYTVWSVWHVYQVXAWUIWUOWDAVWSVXRVYSVXDYAWUEWUFAVXAVXRVYSVXIYAKVURJRVV
          FVYDVVGVXJUNWVDUXFUXGYPACDEVUSFGHIJKLMNOPQRSWUATUAUBUCUDUEUFUGUHUIUJU
          KULUMUNUOUPUQURUSUTVAVBVCVDVEXMYJVYTVUOVWKVUQWUCYCVYTAVXPVWHVYAVUOVWK
          WDWUJWUKWUEWUPACDEVULFGHIJKLMNOPQRSVVFTUAUBUCUDUEUFUGUHUIUJUKULUMUNUO
          UPUQURUSUTVAVBVCVDVEXMYJVYTAVXQVYQVYFVUQWUCWDWUJWULWUFWUQACDEVUPFGHIJ
          KLMNOPQRSVYDTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEXMYJYI
          YPUXHUXIUXJUXLAVVBIVMXLVTZVPAAVVAKVKZVMWFVKVVAVVDVLZVMVVGJVTZWDVVBWVE
          WDAUXKAVXBWVFVXCUDKVVAULVVAXJZUXMXGAUXNARUYMVLZVVDVLZWVJWVGWVHAWUSWVK
          WVJWDWVCRRVVDWVJWVJWVJXJZWVLUXOXGAVVAWVJVVDAVXBVVAWVJWDVXCUDKVVARULUM
          WVIUXPXGZUXQAVXAWVHWVJWDVXIKJRVVGWVJVXJWVLUNUXRXGYPACDEVVAFGHIJKLMNOP
          QRSVMTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEXMYJAIVXMUXSY
          QUXTAVUJDUCVLZVPAVUJDKVKZWVNVMVNZWVNADEVKVUJWVPWDAKEDVXFUPUYAVFDVUHWV
          PEVUIVUEDWDZVUFWVOVUGWVNVMVUEDKUYBVUEDUCWBUYCVUIXJVUFVUGVMVUEUCUYDUYE
          UYFXFXGAWVOWVNVMUPUYGYQADVVDVLZVVHWDZVHWFVRZWVNVPVQZAVVLWVTVFKDWVQVVI
          WVSVHWFVUEDVVHVVDYEYFVYJUPYGAWVOWVTWWAUYHUPAWVOWCZWVSWWAVHWFWWBVWHWVS
          WCZWCZWVNVWPVVFXLVTZVPWWDWVNVWKWWEACDEDFGHIJKLMNOPQRSVVFTUAUBUCUDUEUF
          UGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEXMIVWPVVFXLVBUYIYOWWDWWEVPVQWVR
          LVQZAWWFWVOWWCVDYAWWDWWEVPWVRLWWDVWNVVFUYJUYNZVVHWVJWDZWWEVPWDZWVRLWD
          WWDVWSVXAVWHWWGWWHYRAVWSWVOWWCVXDYAAVXAWVOWWCVXIYAWWBVWHWVSYBZVVGJRVV
          FUAKWVJVXJVAUNWVLUYKXQWWDVWRVWHWWIWWGYRAVWRWVOWWCVXKYAWWJVVFVWNUYLYSW
          WDWVRVVHLWVJWWBVWHWVSYHALWVJWDWVOWWCALVVAWVJUIWVMXEYAUYOUYPUYQUYRYTUY
          SVUCUYTYTVUNVUKBVUIFVULVUIWDVUMVUJVPDVULVUIVUDVUAVUBYS $.
      $}

      $( Lemma for ~ dchrpt .  (Contributed by Mario Carneiro, 28-Apr-2016.) $)
      dchrptlem3 $p |- ( ph -> E. x e. D ( x ` A ) =/= 1 ) $=
        ( va vh vi vu vm cv cdpj co cfv wceq wn cdm wrex wne wral cmpt cgsu c0g
        c1 cmnd wcel cvv crg cgrp ccrg cn0 nnnn0d zncrng crngring unitgrp cword
        syl grpmndd dmexd eqid gsumz syl2anc unitgrpid mpteq2dv oveq2d neeqtrrd
        3eqtr4d cfsupp wbr cixp crab cz crn zex mptex dmmpti a1i cdprd eleqtrrd
        rnex wa adantr csubg dprdf2 ffvelrnda subg0cl eqeltrd csn cxp cur fvexi
        fczfsuppd fconstmpt eqcomi eqcomd 3brtr4d dprdwd dpjeq necon3abid mpbid
        rexnal sylibr df-ne cneg c2 cod cdiv ccxp cexp cio cn simprl dchrptlem2
        simprr expr syl5bir rexlimdva mpd ) ACULUQZMFURUSZUTZUTZIVAZVBZULOVCZVD
        ZCBUQUTVJVEBEVDZAUUIULUUKVFZVBZUULACMULUUKIVGZVHUSZVEUUOACIUUQUCAMULUUK
        MVIUTZVGZVHUSZUURUUQIAMVKVLUUKVMVLUUTUURVAAMAPVNVLZMVOVLAPVPVLZUVAANVQV
        LUVBANUBVRNPRVSWCPVTWCZPHMUDUEWAWCWDAOHWBZUIWEZUUKULMVMUURUURWFZWGWHAUU
        PUUSMVHAULUUKIUURAUVAIUURVAZUVCPHIMUDUEUAWIWCZWJWKUVHWMWLAUUNCUUQAULCIU
        UFFUMUNMUUKUMUQZUURWNWOUMUNUUKUNUQFUTWPWQZUURUJFVCUUKVAAJUUKKWRKUQJUQOU
        TGUSZVGZWSFUVLKWRUVKWTXAXFUGXBXCZUUFWFZACHMFXDUSZUHUKXEUVFUVJWFZAULIFUM
        UNMUUKUVJUURUVPUJUVMAUUEUUKVLZXGZIUURUUEFUTZAUVGUVQUVHXHUVRUVSMXIUTZVLU
        URUVSVLAUUKUVTUUEFAFMUUKUJUVMXJXKUVSMUURUVFXLWCXMAUUKIXNXOZIUUPUURWNAUU
        KVMVMIUVEIVMVLAIPXPUAXQXCXRUUPUWAVAAUWAUUPULUUKIXSXTXCAIUURUVHYAYBYCYDY
        EYFUUIULUUKYGYHAUUJUUMULUUKUUJUUHIVEZUVRUUMUUHIYIAUVQUWBUUMAUVQUWBXGZXG
        BUOCDEUUFFVJYJYKUUEOUTZMYLUTZUTYMUSYNUSZGHIUMJUPKLMUUENUWEOUOHUOUQUUGUT
        UPUQZUWDGUSVAUVIUWFUWGYOUSVAXGUPWRVDUMYPVGZPQRSTUAANYQVLUWCUBXHACIVEUWC
        UCXHUDUEUFUGACHVLUWCUHXHAOUVDVLUWCUIXHAMFXDVCWOUWCUJXHAUVOHVAUWCUKXHUVN
        UWEWFUWFWFAUVQUWBYRAUVQUWBYTUWHWFYSUUAUUBUUCUUD $.
    $}

    dchrpt.a $e |- ( ph -> A e. B ) $.
    $( For any element other than 1, there is a Dirichlet character that is not
       one at the given element.  (Contributed by Mario Carneiro,
       28-Apr-2016.) $)
    dchrpt $p |- ( ph -> E. x e. D ( x ` A ) =/= 1 ) $=
      ( cfv wcel cv vw vu vk vn va vb cui c1 wne wrex wa cdm cmgp cress co ccyg
      cpgp crn cin csubg crab cz cmg cmpt wf cdprd wbr wceq w3a cword ad3antrrr
      cn oveq1 cbvmptv fveq2 oveq2d mpteq2dv syl5eq rneqd simpllr simplr simprl
      eqid simprr dchrptlem3 3adantr1 unitgrpbas cabl cn0 nnnn0d zncrng unitabl
      ccrg 3syl adantr cfn wss znfi syl unitss ssfi sylancl ablfac2 r19.29a c0g
      cgrp dchrabl ablgrp grpidcl 4syl cc0 0ne1 dchrn0 necon1bbid biimpa neeq1d
      wn mpbiri fveq1 rspcev syl2an2r pm2.61dan ) ACIUGRZSZCBTZRZUHUIZBEUJZAYDU
      KZUATZULZIUMRYCUNUOZUBTUNUOUPUQURUSSUBYLUTRVAZUCYKUDVBUDTZUCTZYJRZYLVCRZU
      OZVDZURZVDZVEZYLUUAVFULVGZYLUUAVFUOYCVHZVIYHUAYCVJZYIYJUUESZUKZUUCUUDYHUU
      BUUGUUCUUDUKZUKBCDEUUAYQYCFUEUFGYLHYJIJKLMNAHVLSZYDUUFUUHOVKACFUIYDUUFUUH
      PVKYCWCZYLWCZYQWCZUCUEYKYTUFVBUFTZUETZYJRZYQUOZVDZURYOUUNVHZYSUUQUURYSUFV
      BUUMYPYQUOZVDUUQUDUFVBYRUUSYNUUMYPYQVMVNUURUFVBUUSUUPUURYPUUOUUMYQYOUUNYJ
      VOVPVQVRVSVNAYDUUFUUHVTYIUUFUUHWAUUGUUCUUDWBUUGUUCUUDWDWEWFYIUAYCYMUUAYQU
      CUDYLUBIYCYLUUJUUKWGYMWCAYLWHSZYDAHWISIWMSUUTAHOWJHIKWKIYCYLUUJUUKWLWNWOA
      YCWPSZYDADWPSZYCDWQUVAAUUIUVBODHIKMWRWSDIYCMUUJWTDYCXAXBWOUULUUAWCXCXDAGX
      ERZESZYDXQZCUVCRZUHUIZYHAUUIGWHSGXFSUVDOGHJXGGXHEGUVCLUVCWCXIXJZAUVEUKZUV
      GXKUHUIXLUVIUVFXKUHAUVEUVFXKVHAYDUVFXKACDEYCGHUVCIJKLMUUJUVHQXMXNXOXPXRYG
      UVGBUVCEYEUVCVHYFUVFUHCYEUVCXSXPXTYAYB $.
  $}

  ${
    $d a k .1. $.  $d a B $.  $d a k x ph $.  $d a b c k x U $.  $d a k x X $.
    $d a b c k x Z $.
    dchrsum.g $e |- G = ( DChr ` N ) $.
    dchrsum.z $e |- Z = ( Z/nZ ` N ) $.
    dchrsum.d $e |- D = ( Base ` G ) $.
    dchrsum.1 $e |- .1. = ( 0g ` G ) $.
    dchrsum.x $e |- ( ph -> X e. D ) $.
    ${
      dchrsum2.u $e |- U = ( Unit ` Z ) $.
      $( An orthogonality relation for Dirichlet characters: the sum of all the
         values of a Dirichlet character ` X ` is ` 0 ` if ` X ` is
         non-principal and ` phi ( n ) ` otherwise.  Part of Theorem 6.5.1 of
         [Shapiro] p. 230.  (Contributed by Mario Carneiro, 28-Apr-2016.) $)
      dchrsum2 $p |- ( ph ->
        sum_ a e. U ( X ` a ) = if ( X = .1. , ( phi ` N ) , 0 ) ) $=
        ( wceq cfv c1 wcel co vk vx vb vc cv csu cphi cc0 cif eqeq2 wa fveq1 cn
        dchrrcl syl adantr simpr dchr1 sylan9eqr an32s sumeq2dv cmul cfn cc cn0
        chash znunithash phicld nnnn0d eqeltrd cvv wb cui hashclb sylibr ax-1cn
        fvexi ax-mp fsumconst sylancl oveq1d nncnd mulid1d 3eqtrd eqtrd wn wrex
        wral cabl cgrp dchrabl ablgrp grpidcl 4syl dchreq notbid rexnal bitr4di
        wne df-ne neeq2d cmin wf eqid dchrf unitss sseli ffvelrn syl2an adantlr
        fsumcl 0cnd simprl sselid ffvelrnd subcl simprr subeq0 necon3bid mpbird
        cbs cmulr oveq2 fveq2d cbvsumv cmgp ccnfld cmhm dchrmhm ad2antrr adantl
        mgpbas mgpplusg cnfldmul mhmlin syl3anc syl5eq cmpt fveq2 sylbid zncrng
        cress wf1o ccrg crngring unitgrp unitgrpbas cplusg ressplusg grplactf1o
        crg syl2an2r grplactval sylan fsumf1o fsummulc2 3eqtr4rd mulid2d subidd
        oveq12d 1cnd subdird mul01d 3eqtr4d mulcanad expr syl5bir rexlimdva imp
        ifbothda ) GDPZCIUEZGQZIUFZFUGQZPUVNUHPZUVNUVKUVOUHUIZPAUVOUHUVOUVQUVNU
        JUHUVQUVNUJAUVKUKZUVNCRIUFZUVOUVRCUVMRIAUVLCSZUVKUVMRPUVKAUVTUKZUVMUVLD
        QRUVLGDULUWAUVLCDEFHJKMOAFUMSZUVTAGBSUWBNBEFGJLUNUOZUPAUVTUQURUSUTVAAUV
        SUVOPUVKAUVSCVFQZRVBTZUVORVBTUVOACVCSZRVDSZUVSUWEPAUWDVESZUWFAUWDUVOVEA
        UWBUWDUVOPUWCCFHKOVGUOZAUVOAFUWCVHZVIVJCVKSZUWFUWHVLCHVMOVQZCVKVNVRVOZV
        PCRIVSVTAUWDUVORVBUWIWAAUVOAUVOUWJWBWCWDUPWEAUVKWFZUVPAUWNUAUEZGQZUWODQ
        ZPZWFZUACWGZUVPAUWNUWRUACWHZWFUWTAUVKUXAABCUAEFGDHJKLONAUWBEWISEWJSDBSU
        WCEFJWKEWLBEDLMWMWNWOWPUWRUACWQWRAUWSUVPUACUWSUWPUWQWSZAUWOCSZUKZUVPUWP
        UWQWTUXDUXBUWPRWSZUVPUXDUWQRUWPUXDUWOCDEFHJKMOAUWBUXCUWCUPAUXCUQURXAAUX
        CUXEUVPAUXCUXEUKZUKZUVNUHUWPRXBTZUXGCUVMIAUWFUXFUWMUPZAUVTUVMVDSZUXFAHY
        AQZVDGXCZUVLUXKSZUXJUVTAUXKBEFGHJKLUXKXDZNXEZCUXKUVLUXKHCUXNOXFZXGZUXKV
        DUVLGXHXIXJZXKZUXGXLUXGUWPVDSZUWGUXHVDSUXGUXKVDUWOGAUXLUXFUXOUPUXGCUXKU
        WOUXPAUXCUXEXMZXNZXOZVPUWPRXPVTZUXGUXHUHWSUXEAUXCUXEXQUXGUXHUHUWPRUXGUX
        TUWGUXHUHPUWPRPVLUYCVPUWPRXRVTXSXTUXGUWPUVNVBTZRUVNVBTZXBTZUHUXHUVNVBTU
        XHUHVBTUXGUYGUVNUVNXBTUHUXGUYEUVNUYFUVNXBUXGCUWOUBUEZHYBQZTZGQZUBUFZCUW
        PUVMVBTZIUFZUVNUYEUXGUYLCUWOUVLUYITZGQZIUFUYNCUYKUYPUBIUYHUVLPUYJUYOGUY
        HUVLUWOUYIYCYDYEUXGCUYPUYMIUXGUVTUKGHYFQZYGYFQZYHTZSZUWOUXKSZUXMUYPUYMP
        AUYTUXFUVTABUYSGBEFHJKLYINXNYJUXGVUAUVTUYBUPUVTUXMUXGUXQYKUXKUYIVBUYQUY
        RGUWOUVLUXKHUYQUYQXDZUXNYLHUYIUYQVUBUYIXDYMZYGVBUYRUYRXDYNYMYOYPVAYQUXG
        CUVMCUYKIUBUWOUCCUDCUCUEUDUEUYITYRYRZQZUYJUVLUYJGYSUXIAUYQCUUBTZWJSZUXF
        UXCCCVUEUUCAFVESHUUDSHUUKSVUGAFUWCVIFHKUUAHUUEHCVUFOVUFXDZUUFWNUYAUWOUY
        IUCVUDVUFCUDVUDXDZHCVUFOVUHUUGZUWKUYIVUFUUHQPUWLCUYIUYQVUFVKVUHVUCUUIVR
        UUJUULUXGUXCUYHCSUYHVUEQUYJPUYAUWOUYHUYIUCVUDVUFCUDVUIVUJUUMUUNUXRUUOUX
        GCUVMUWPIUXIUYCUXRUUPUUQUXGUVNUXSUURUUTUXGUVNUXSUUSWEUXGUWPRUVNUYCUXGUV
        AUXSUVBUXGUXHUYDUVCUVDUVEUVFYTUVGUVHYTUVIUVJ $.
    $}

    dchrsum.b $e |- B = ( Base ` Z ) $.
    $( An orthogonality relation for Dirichlet characters: the sum of all the
       values of a Dirichlet character ` X ` is ` 0 ` if ` X ` is non-principal
       and ` phi ( n ) ` otherwise.  Part of Theorem 6.5.1 of [Shapiro] p. 230.
       (Contributed by Mario Carneiro, 28-Apr-2016.) $)
    dchrsum $p |- ( ph ->
      sum_ a e. B ( X ` a ) = if ( X = .1. , ( phi ` N ) , 0 ) ) $=
      ( cfv csu cc0 cc wcel cui cv wceq cphi cif wss eqid unitss wf dchrf sseli
      a1i ffvelrn syl2an cdif wn wa eldif wne adantr simpr dchrn0 necon1bd impr
      biimpd sylan2b cn cfn dchrrcl znfi 3syl fsumss dchrsum2 eqtr3d ) AHUAPZIU
      BZGPZIQBVQIQGDUCFUDPRUEAVOBVQIVOBUFABHVOOVOUGZUHZULABSGUIVPBTZVQSTVPVOTZA
      BCEFGHJKLONUJVOBVPVSUKBSVPGUMUNVPBVOUOTAVTWAUPZUQVQRUCZVPBVOURAVTWBWCAVTU
      QZWAVQRWDVQRUSWAWDVPBCVOEFGHJKLOVRAGCTZVTNUTAVTVAVBVEVCVDVFAWEFVGTBVHTNCE
      FGJLVIBFHKOVJVKVLACVODEFGHIJKLMNVRVMVN $.
  $}

  ${
    $d x y z .1. $.  $d x y z A $.  $d y B $.  $d a b x y z D $.  $d a x y N $.
    $d a b x y z G $.  $d x y z ph $.  $d y Z $.
    sumdchr.g $e |- G = ( DChr ` N ) $.
    sumdchr.d $e |- D = ( Base ` G ) $.
    ${
      sumdchr2.z $e |- Z = ( Z/nZ ` N ) $.
      sumdchr2.1 $e |- .1. = ( 1r ` Z ) $.
      sumdchr2.b $e |- B = ( Base ` Z ) $.
      sumdchr2.n $e |- ( ph -> N e. NN ) $.
      sumdchr2.x $e |- ( ph -> A e. B ) $.
      $( Lemma for ~ sumdchr .  (Contributed by Mario Carneiro,
         28-Apr-2016.) $)
      sumdchr2 $p |- ( ph ->
        sum_ x e. D ( x ` A ) = if ( A = .1. , ( # ` D ) , 0 ) ) $=
        ( wceq c1 wcel co vy vz va vb cv cfv csu chash cc0 cif eqeq2 fveq2 cmgp
        wa ccnfld cmhm dchrmhm simpr sselid eqid ringidval cnfld1 syl sylan9eqr
        mhm0 an32s sumeq2dv cmul cfn dchrfi ax-1cn fsumconst sylancl cn0 hashcl
        cc cn 3syl nn0cnd mulid1d eqtrd adantr wn wne df-ne cmin dchrf ffvelrnd
        dchrpt fsumcl 0cnd simprl subcl simprr wb subeq0 necon3bid mpbird oveq2
        cplusg fveq1d cbvsumv cof dchrmul wfn cvv wf ffnd fvexi fnfvof syl22anc
        cbs a1i syl5eq cmpt cgrp wf1o cabl dchrabl ablgrp grplactf1o grplactval
        fveq1 syl2anc fsumf1o fsummulc2 3eqtr4rd mulid2d oveq12d subidd subdird
        sylan mul01d 3eqtr4d mulcanad rexlimddv sylan2br ifbothda ) CFQZECBUEZU
        FZBUGZEUHUFZQUUBUIQZUUBYSUUCUIUJZQAUUCUIUUCUUEUUBUKUIUUEUUBUKAYSUNZUUBE
        RBUGZUUCUUFEUUARBAYTESZYSUUARQYSAUUHUNZUUAFYTUFZRCFYTULUUIYTIUMUFZUOUMU
        FZUPTZSUUJRQUUIEUUMYTEGHIJLKUQAUUHURUSUUKUULYTRFIFUUKUUKUTMVAUORUULUULU
        TVBVAVEVCVDVFVGAUUGUUCQYSAUUGUUCRVHTZUUCAEVISZRVPSZUUGUUNQAHVQSZUUOOEGH
        JKVJZVCVKERBVLVMAUUCAUUCAUUQUUOUUCVNSOUUREVOVRVSVTWAWBWAYSWCACFWDZUUDCF
        WEAUUSUNZCUAUEZUFZRWDZUUDUAEUUTUACDEFGHIJLKNMAUUQUUSOWBZAUUSURACDSZUUSP
        WBZWIUUTUVAESZUVCUNZUNZUUBUIUVBRWFTZUVIEUUABUVIUUQUUOUUTUUQUVHUVDWBZUUR
        VCZUVIUUHUNZDVPCYTUVMDEGHYTIJLKNUVIUUHURZWGZUVIUVEUUHUUTUVEUVHUVFWBZWBZ
        WHZWJZUVIWKUVIUVBVPSZUUPUVJVPSUVIDVPCUVAUVIDEGHUVAIJLKNUUTUVGUVCWLZWGZU
        VPWHZVKUVBRWMVMZUVIUVJUIWDUVCUUTUVGUVCWNUVIUVJUIUVBRUVIUVTUUPUVJUIQUVBR
        QWOUWCVKUVBRWPVMWQWRUVIUVBUUBVHTZRUUBVHTZWFTZUIUVJUUBVHTUVJUIVHTUVIUWGU
        UBUUBWFTUIUVIUWEUUBUWFUUBWFUVIECUVAUBUEZGWTUFZTZUFZUBUGZEUVBUUAVHTZBUGZ
        UUBUWEUVIUWLECUVAYTUWITZUFZBUGUWNEUWKUWPUBBUWHYTQCUWJUWOUWHYTUVAUWIWSXA
        XBUVIEUWPUWMBUVMUWPCUVAYTVHXCTZUFZUWMUVMCUWOUWQUVMEUWIGHUVAYTIJLKUWIUTZ
        UVIUVGUUHUWAWBUVNXDXAUVMUVADXEYTDXEDXFSZUVEUWRUWMQUVMDVPUVAUVIDVPUVAXGU
        UHUWBWBXHUVMDVPYTUVOXHUWTUVMDIXLNXIXMUVQDVHUVAYTXFCXJXKWAVGXNUVIEUUAEUW
        KBUBUVAUCEUDEUCUEUDUEUWITXOXOZUFZUWJCYTUWJYCUVLUVIGXPSZUVGEEUXBXQUVIUUQ
        GXRSUXCUVKGHJXSGXTVRUWAUVAUWIUCUXAGEUDUXAUTZKUWSYAYDUVIUVGUWHESUWHUXBUF
        UWJQUWAUVAUWHUWIUCUXAGEUDUXDKYBYLUVRYEUVIEUUAUVBBUVLUWCUVRYFYGUVIUUBUVS
        YHYIUVIUUBUVSYJWAUVIUVBRUUBUWCUUPUVIVKXMUVSYKUVIUVJUWDYMYNYOYPYQYR $.
    $}

    $( There are exactly ` phi ( N ) ` Dirichlet characters modulo ` N ` .
       Part of Theorem 6.5.1 of [Shapiro] p. 230.  (Contributed by Mario
       Carneiro, 28-Apr-2016.) $)
    dchrhash $p |- ( N e. NN -> ( # ` D ) = ( phi ` N ) ) $=
      ( va vx wcel cfv csn csu cv cc0 cif eqid wa cc wceq simpr wss czn cur c0g
      cn chash cphi cbs znfi dchrfi simprr dchrf simprl ffvelrnd simpl sumdchr2
      fsumcom wb velsn ifbi mp1i eqtr4d sumeq2dv dchrsum 3eqtr3d cuz cfn wo cn0
      wral ccrg crg nnnn0 zncrng crngring ringidcl 4syl snssd hashcl nn0cn 3syl
      ralrimivw olcd sumss2 syl21anc dchrabl ablgrp grpidcl phicl nncnd 3eqtr4d
      cabl cgrp eqidd sumsn syl2anc ) CUDHZCUAIZUBIZJZAUEIZFKZBUCIZJZCUFIZGKZWT
      XDWPWQUGIZFLZWSHZWTMNZFKZAGLZXCHZXDMNZGKZXAXEWPXFAXGXKIZGKZFKAXFXOFKZGKXJ
      XNWPXFAXOFGXFCWQWQOZXFOZUHZABCDEUIZWPXGXFHZXKAHZPPZXFQXGXKYDXFABCXKWQDXRE
      XSWPYBYCUJUKWPYBYCULUMUPWPXFXPXIFWPYBPZXPXGWRRZWTMNZXIYEGXGXFAWRBCWQDEXRW
      ROZXSWPYBUNWPYBSUOXHYFUQXIYGRYEFWRURXHYFWTMUSUTVAVBWPAXQXMGWPYCPZXQXKXBRZ
      XDMNZXMYIXFAXBBCXKWQFDXREXBOZWPYCSXSVCXLYJUQXMYKRYIGXBURXLYJXDMUSUTVAVBVD
      WPWSXFTWTQHZFWSVIXFMVEIZTZXFVFHZVGXAXJRWPWRXFWPCVHHWQVJHWQVKHWRXFHZCVLCWQ
      XRVMWQVNXFWQWRXSYHVOVPZVQWPYMFWSWPAVFHZWTVHHYMYAAVRWTVSVTZWAWPYPYOXTWBWSX
      FWTFMWCWDWPXCATXDQHZGXCVIAYNTZYSVGXEXNRWPXBAWPBWKHBWLHXBAHZBCDWEBWFABXBEY
      LWGVTZVQWPUUAGXCWPXDCWHWIZWAWPYSUUBYAWBXCAXDGMWCWDWJWPYQYMXAWTRYRYTWTWTFW
      RXFYFWTWMWNWOWPUUCUUAXEXDRUUDUUEXDXDGXBAYJXDWMWNWOVD $.

    sumdchr.z $e |- Z = ( Z/nZ ` N ) $.
    sumdchr.1 $e |- .1. = ( 1r ` Z ) $.
    sumdchr.b $e |- B = ( Base ` Z ) $.
    sumdchr.n $e |- ( ph -> N e. NN ) $.
    sumdchr.a $e |- ( ph -> A e. B ) $.
    $( An orthogonality relation for Dirichlet characters: the sum of
       ` x ( A ) ` for fixed ` A ` and all ` x ` is ` 0 ` if ` A = 1 ` and
       ` phi ( n ) ` otherwise.  Theorem 6.5.1 of [Shapiro] p. 230.
       (Contributed by Mario Carneiro, 28-Apr-2016.) $)
    sumdchr $p |- ( ph ->
      sum_ x e. D ( x ` A ) = if ( A = .1. , ( phi ` N ) , 0 ) ) $=
      ( cfv wceq cc0 cif cv csu chash cphi sumdchr2 cn wcel dchrhash syl ifeq1d
      eqtrd ) AECBUAQBUBCFRZEUCQZSTULHUDQZSTABCDEFGHIJKLMNOPUEAULUMUNSAHUFUGUMU
      NROEGHJKUHUIUJUK $.
  $}

  ${
    $d a B $.  $d a G $.  $d a ph $.  $d a X $.  $d a Y $.  $d a Z $.
    dchr2sum.g $e |- G = ( DChr ` N ) $.
    dchr2sum.z $e |- Z = ( Z/nZ ` N ) $.
    dchr2sum.d $e |- D = ( Base ` G ) $.
    dchr2sum.b $e |- B = ( Base ` Z ) $.
    dchr2sum.x $e |- ( ph -> X e. D ) $.
    dchr2sum.y $e |- ( ph -> Y e. D ) $.
    $( An orthogonality relation for Dirichlet characters: the sum of
       ` X ( a ) x. * Y ( a ) ` over all ` a ` is nonzero only when ` X = Y ` .
       Part of Theorem 6.5.2 of [Shapiro] p. 232.  (Contributed by Mario
       Carneiro, 28-Apr-2016.) $)
    dchr2sum $p |- ( ph -> sum_ a e. B ( ( X ` a ) x. ( * ` ( Y ` a ) ) ) =
      if ( X = Y , ( phi ` N ) , 0 ) ) $=
      ( cfv co wceq cmul wcel cv csg csu c0g cphi cc0 cif ccj eqid cgrp cn cabl
      dchrrcl syl dchrabl ablgrp grpsubcl syl3anc dchrsum wa cminusg cof cplusg
      3syl adantr grpsubval syl2anc grpinvcl dchrmul eqtrd fveq1d wfn cvv dchrf
      cc ffnd cbs fvexi a1i simpr fnfvof syl22anc ccom dchrinv wf oveq2d 3eqtrd
      fvco3 sumeq2dv wb grpsubeq0 ifbid 3eqtr3d ) ABIUAZFGDUBPZQZPZIUCWPDUDPZRZ
      EUEPZUFUGBWNFPZWNGPUHPZSQZIUCFGRZWTUFUGABCWRDEWPHIJKLWRUIZADUJTZFCTZGCTZW
      PCTAEUKTZDULTZXFAXGXINCDEFJLUMUNZDEJUOZDUPZVDZNOCDWOFGLWOUIZUQURMUSABWQXC
      IAWNBTZUTZWQWNFGDVAPZPZSVBQZPZXAWNXSPZSQZXCXQWNWPXTXQWPFXSDVCPZQZXTXQXGXH
      WPYERAXGXPNVEZAXHXPOVEZCYDDXRWOFGLYDUIZXRUIZXOVFVGXQCYDDEFXSHJKLYHYFXQXFX
      HXSCTXQXIXJXFAXIXPXKVEXLXMVDYGCDXRGLYIVHVGZVIVJVKXQFBVLXSBVLBVMTZXPYAYCRX
      QBVOFXQBCDEFHJKLMYFVNVPXQBVOXSXQBCDEXSHJKLMYJVNVPYKXQBHVQMVRVSAXPVTZBSFXS
      VMWNWAWBXQYBXBXASXQYBWNUHGWCZPZXBXQWNXSYMXQCDXREGJLYGYIWDVKXQBVOGWEXPYNXB
      RXQBCDEGHJKLMYGVNYLBVOWNUHGWHVGVJWFWGWIAWSXDWTUFAXFXGXHWSXDWJXNNOCDWOFGWR
      LXEXOWKURWLWM $.
  $}

  ${
    $d x A $.  $d x C $.  $d x D $.  $d x G $.  $d x N $.  $d x ph $.
    $d x Z $.
    sum2dchr.g $e |- G = ( DChr ` N ) $.
    sum2dchr.d $e |- D = ( Base ` G ) $.
    sum2dchr.z $e |- Z = ( Z/nZ ` N ) $.
    sum2dchr.b $e |- B = ( Base ` Z ) $.
    sum2dchr.u $e |- U = ( Unit ` Z ) $.
    sum2dchr.n $e |- ( ph -> N e. NN ) $.
    sum2dchr.a $e |- ( ph -> A e. B ) $.
    sum2dchr.c $e |- ( ph -> C e. U ) $.
    $( An orthogonality relation for Dirichlet characters: the sum of
       ` x ( A ) ` for fixed ` A ` and all ` x ` is ` 0 ` if ` A = 1 ` and
       ` phi ( n ) ` otherwise.  Part of Theorem 6.5.2 of [Shapiro] p. 232.
       (Contributed by Mario Carneiro, 28-Apr-2016.) $)
    sum2dchr $p |- ( ph -> sum_ x e. D ( ( x ` A ) x. ( * ` ( x ` C ) ) ) =
      if ( A = C , ( phi ` N ) , 0 ) ) $=
      ( cfv co cdvr csu cur wceq cphi cc0 cif ccj cmul eqid crg wcel cn0 nnnn0d
      cv ccrg zncrng crngring 3syl dvrcl syl3anc sumdchr wa cinvr cmulr syl2anc
      dvrval adantr fveq2d cmgp ccnfld dchrmhm sselid unitss unitinvcl mgpplusg
      cmhm simpr mgpbas cnfldmul mhmlin cres cress cdif cghm dchrghm unitgrpbas
      cc csn invrfval cnfldbas cnfld0 cndrng drngui ghminv fvresd c1 cdiv dchrf
      ffvelrnd dchrn0 mpbird cnfldinv cabs c2 cexp recval dchrabs oveq1d eqtrdi
      wne sq1 oveq2d cjcld div1d 3eqtrd 3eqtr3d sumeq2dv wb dvreq1 ifbid ) AFCE
      JUASZTZBUOZSZBUBYCJUCSZUDZIUESZUFUGFCYDSZEYDSZUHSZUITZBUBCEUDZYHUFUGABYCD
      FYFHIJKLMYFUJZNPAJUKULZCDULZEGULZYCDULAIUMULJUPULYOAIPUNIJMUQJURUSZQRDYBJ
      GCENOYBUJZUTVAVBAFYEYLBAYDFULZVCZYECEJVDSZSZJVESZTZYDSZYIUUCYDSZUITZYLUUA
      YCUUEYDAYCUUEUDZYTAYPYQUUIQRDYBJUUDGUUBCENUUDUJZOUUBUJZYSVGVFVHVIUUAYDJVJ
      SZVKVJSZVQTZULYPUUCDULUUFUUHUDUUAFUUNYDFHIJKMLVLAYTVRZVMAYPYTQVHUUAGDUUCD
      JGNOVNZAUUCGULZYTAYOYQUUQYRRJGUUBEOUUKVOVFVHZVMDUUDUIUULUUMYDCUUCDJUULUUL
      UJZNVSJUUDUULUUSUUJVPVKUIUUMUUMUJVTVPWAVAUUAUUGYKYIUIUUAUUCYDGWBZSZEUUTSZ
      VKVDSZSZUUGYKUUAUUTUULGWCTZUUMWHUFWIWDZWCTZWETULYQUVAUVDUDUUAFGHUVEUVGIYD
      JKMLOUVEUJZUVGUJZUUOWFAYQYTRVHZGUVEUVGUUTUUBUVCEJGUVEOUVHWGJGUVEUUBOUVHUU
      KWJVKUVFUVGUVCWHVKUFWKWLWMWNUVIUVCUJWJWOVFUUAUUCGYDUURWPUUAUVDYJUVCSZWQYJ
      WRTZYKUUAUVBYJUVCUUAEGYDUVJWPVIUUAYJWHULZYJUFXKZUVKUVLUDUUADWHEYDUUADFHIY
      DJKMLNUUOWSUUAGDEUUPUVJVMZWTZUUAUVNYQUVJUUAEDFGHIYDJKMLNOUUOUVOXAXBZYJXCV
      FUUAUVLYKYJXDSZXEXFTZWRTZYKWQWRTYKUUAUVMUVNUVLUVTUDUVPUVQYJXGVFUUAUVSWQYK
      WRUUAUVSWQXEXFTWQUUAUVRWQXEXFUUAEFGHIYDJKLUUOMOUVJXHXIXLXJXMUUAYKUUAYJUVP
      XNXOXPXPXQXMXPXRAYGYMYHUFAYOYPYQYGYMXSYRQRDYBJGYFCENOYSYNXTVAYAXQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Bertrand's postulate
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Value of the central binomial coefficient.  (Contributed by Mario
     Carneiro, 13-Mar-2014.) $)
  bcctr $p |- ( N e. NN0 -> ( ( 2 x. N ) _C N ) = ( ( ! ` ( 2 x. N ) ) /
                ( ( ! ` N ) x. ( ! ` N ) ) ) ) $=
    ( cn0 wcel c2 cmul co cbc cfa cfv cmin cdiv cc0 cfz wceq fzctr bcval2 nn0cn
    syl 2timesd mvrladdd fveq2d oveq1d oveq2d eqtrd ) ABCZDAEFZAGFZUFHIZUFAJFZH
    IZAHIZEFZKFZUHUKUKEFZKFUEALUFMFCUGUMNAOAUFPRUEULUNUHKUEUJUKUKEUEUIAHUEUFAAA
    QZUOUEAUOSTUAUBUCUD $.

  ${
    $d k N $.  $d k P $.
    $( Prime count of a central binomial coefficient.  (Contributed by Mario
       Carneiro, 12-Mar-2014.) $)
    pcbcctr $p |- ( ( N e. NN /\ P e. Prime ) ->
      ( P pCnt ( ( 2 x. N ) _C N ) ) = sum_ k e. ( 1 ... ( 2 x. N ) )
        ( ( |_ ` ( ( 2 x. N ) / ( P ^ k ) ) ) -
          ( 2 x. ( |_ ` ( N / ( P ^ k ) ) ) ) ) ) $=
      ( cn wcel wa c2 cmul co cfz cdiv cfl cfv cmin csu wceq adantr cn0 2timesd
      caddc cprime cbc cpc c1 cv cexp cc0 2nn nnmulcl mpan nnnn0 fzctr syl pcbc
      simpr syl3anc nncn mvrladdd fvoveq1d oveq1d ad2antrr cr nnre prmnn adantl
      elfznn nnnn0d nnexpcl syl2an nndivred flcld eqtr4d oveq2d sumeq2dv eqtrd
      zcnd ) CDEZAUAEZFZAGCHIZCUBIUCIZUDVTJIZVTABUEZUFIZKILMZVTCNIZWDKILMZCWDKI
      ZLMZTIZNIZBOZWBWEGWIHIZNIZBOVSVTDEZCUGVTJIEZVRWAWLPVQWOVRGDEVQWOUHGCUIUJQ
      VQWPVRVQCREWPCUKCULUMQVQVRUOABCVTUNUPVSWBWKWNBVSWCWBEZFZWJWMWENWRWJWIWITI
      ZWMVQWJWSPVRWQVQWGWIWITVQWFCWDLKVQVTCCCUQZWTVQCWTSURUSUTVAWRWIWRWIWRWHWRC
      WDVQCVBEVRWQCVCVAVSADEZWCREWDDEWQVRXAVQAVDVEWQWCWCVTVFVGAWCVHVIVJVKVPSVLV
      MVNVO $.
  $}

  ${
    $d k x A $.  $d k x N $.  $d x B $.
    $( The binomial coefficient is monotone in its second argument, up to the
       midway point.  (Contributed by Mario Carneiro, 5-Mar-2014.) $)
    bcmono $p |- ( ( N e. NN0 /\ B e. ( ZZ>= ` A ) /\ B <_ ( N / 2 ) ) ->
                     ( N _C A ) <_ ( N _C B ) ) $=
      ( cn0 wcel cfv c2 cdiv co cle wbr cc0 cbc wa wi wceq 3ad2ant1 cr syl cmul
      vx cuz w3a clt simpl2 simpl1 eluzel2 3ad2ant2 anim1i elnn0z sylibr simpl3
      vk cz cv c1 caddc breq1 oveq2 breq2d imbi12d imbi2d bccl nn0red leidd a1d
      expcom adantrd eluzelz zred lep1d peano2re nn0re rehalfcld syl3anc imim1d
      letr mpand eluznn0 cfa cmin cn nn0p1nn nnnn0d nncnd 2timesd simp3 wb 2pos
      2re pm3.2i a1i lemuldiv2 mpbird eqbrtrrd lesub3d nnre nngt0 zsubcld jctir
      nn0z nn0ge0 1le2 lemulge12 syl2anc ledivmul letrd leaddsub2d mpbid elnnz1
      jca 1red sylanbrc crp faccl nnm1nn0 3syl nnmulcld rpdivcl syl2an rpregt0d
      nnrp lediv2 facnn2 oveq1d zcnd mul32d eqtr4d oveq2d elfzd bcval2 divdiv1d
      nnne0d 3eqtr4d cc nn0cn nn0ge0d syld a2d wo cfz 0zd subsub4d eqcomd facp1
      1cnd fveq2d oveq12d mulassd nnzd 3brtr4d 3exp 3impia 3coml simp2 3ad2ant3
      peano2zd expcomd 3expib uzind4 3imp syl121anc adantr animorrl eqbrtrd 0re
      bcval4 lelttric sylancr mpjaodan ) CDEZBAUBFZEZBCGHIZJKZUCZLAJKZCAMIZCBMI
      ZJKZALUDKZUVPUVQNZUVMUVKADEZUVOUVTUVKUVMUVOUVQUEUVKUVMUVOUVQUFUWBAUNEZUVQ
      NUWCUVPUWDUVQUVMUVKUWDUVOABUGUHZUIAUJUKUVKUVMUVOUVQULUVMUVKUWCNZUVOUVTUWF
      UAUOZUVNJKZUVRCUWGMIZJKZOZOUWFAUVNJKZUVRUVRJKZOZOUWFUMUOZUVNJKZUVRCUWOMIZ
      JKZOZOUWFUWOUPUQIZUVNJKZUVRCUWTMIZJKZOZOUWFUVOUVTOZOUAUMABUWGAPZUWKUWNUWF
      UXFUWHUWLUWJUWMUWGAUVNJURUXFUWIUVRUVRJUWGACMUSUTVAVBUWGUWOPZUWKUWSUWFUXGU
      WHUWPUWJUWRUWGUWOUVNJURUXGUWIUWQUVRJUWGUWOCMUSUTVAVBUWGUWTPZUWKUXDUWFUXHU
      WHUXAUWJUXCUWGUWTUVNJURUXHUWIUXBUVRJUWGUWTCMUSUTVAVBUWGBPZUWKUXEUWFUXIUWH
      UVOUWJUVTUWGBUVNJURUXIUWIUVSUVRJUWGBCMUSUTVAVBUWDUVKUWNUWCUVKUWDUWNUVKUWD
      NZUWMUWLUXJUVRUXJUVRACVCZVDVEVFVGVHUWOUVLEZUWFUWSUXDUXLUVKUWCUWSUXDOUXLUV
      KUWCUCZUWSUXAUWROUXDUXMUXAUWPUWRUXMUWOUWTJKZUXAUWPUXMUWOUXMUWOUXLUVKUWOUN
      EZUWCAUWOVIQZVJZVKUXMUWOREZUWTREZUVNREUXNUXANUWPOUXQUXMUXRUXSUXQUWOVLSUXM
      CUVKUXLCREZUWCCVMZUHVNUWOUWTUVNVQVOVRVPUXMUXAUWRUXCUXMUXAUWQUXBJKZUWRUXCO
      UWCUXLUVKUXAUYBOZUWCUXLUVKUYCUWCUXLNUWODEZUVKUYCOUWOAVSUYDUVKUXAUYBUYDUVK
      UXAUCZCVTFZCUWOWAIZUPWAIZVTFZUWOVTFZTIZHIZUYGHIZUYLUWTHIZUWQUXBJUYEUWTUYG
      JKZUYMUYNJKZUYECUWOUWTUWTUVKUYDUXTUXAUYAUHZUYDUVKUXRUXAUWOVMQZUYEUWTUYEUW
      TUYDUVKUWTWBEZUXAUWOWCQZWDZVDZVUBUYEGUWTTIZUWTUWTUQICJUYEUWTUYEUWTUYTWEZW
      FUYEVUCCJKZUXAUYDUVKUXAWGZUYEUXSUXTGREZLGUDKZNZVUEUXAWHVUBUYQVUIUYEVUGVUH
      WJWIWKWLZUWTCGWMVOWNWOUYEUWOUYRVKZWPUYEUXSLUWTUDKZNZUYGREZLUYGUDKZNZUYLRE
      LUYLUDKNUYOUYPWHUYEUYSVUMUYTUYSUXSVULUWTWQUWTWRXKSUYEUYGWBEZVUPUYEUYGUNEU
      PUYGJKZVUQUYECUWOUVKUYDCUNEUXACXAUHZUYDUVKUXOUXAUWOXAQZWSZUYEUWTCJKVURUYE
      UWTUVNCVUBUYECUYQVNUYQVUFUYEUVNCJKZCGCTIJKZUYEUXTVUGNLCJKZUPGJKZNVVCUYEUX
      TVUGUYQWJWTUYEVVDVVEUVKUYDVVDUXACXBUHXCWTCGXDXEUYEUXTUXTVUIVVBVVCWHUYQUYQ
      VUJCCGXFVOWNXGZUYEUWOUPCUYRUYEXLUYQXHXIUYGXJXMZVUQVUNVUOUYGWQUYGWRXKSUYEU
      YLUYEUYFWBEZUYKWBEZUYLXNEZUVKUYDVVHUXACXOUHZUYEUYIUYJUYEVUQUYHDEUYIWBEVVG
      UYGXPUYHXOXQZUYDUVKUYJWBEUXAUWOXOQZXRZVVHUYFXNEUYKXNEVVJVVIUYFYBUYKYBUYFU
      YKXSXTXEYAUWTUYGUYLYCVOXIUYEUYFUYGVTFZUYJTIZHIZUYFUYKUYGTIZHIUWQUYMUYEVVP
      VVRUYFHUYEVVPUYIUYGTIZUYJTIVVRUYEVVOVVSUYJTUYEVUQVVOVVSPVVGUYGYDSYEUYEUYI
      UYJUYGUYEUYIVVLWEZUYEUYJVVMWEZUYEUYGVVAYFZYGYHYIUYEUWOLCUUAIZEUWQVVQPUYEU
      WOLCUYEUUBZVUSVUTUYDUVKLUWOJKUXAUWOXBQUYEUWOUWTCUYRVUBUYQVUKVVFXGYJUWOCYK
      SUYEUYFUYKUYGUYEUYFVVKWEZUYEUYKVVNWEZVWBUYEUYKVVNYMZUYEUYGVVGYMYLYNUYEUYF
      CUWTWAIZVTFZUWTVTFZTIZHIZUYFUYKUWTTIZHIUXBUYNUYEVWKVWMUYFHUYEVWKUYIUYJUWT
      TIZTIVWMUYEVWIUYIVWJVWNTUYEVWHUYHVTUYEUYHVWHUYECUWOUPUVKUYDCYOEUXACYPUHUY
      DUVKUWOYOEUXAUWOYPQUYEUUFUUCUUDUUGUYDUVKVWJVWNPUXAUWOUUEQUUHUYEUYIUYJUWTV
      VTVWAVUDUUIYHYIUYEUWTVWCEUXBVWLPUYEUWTLCVWDVUSUYEUWTUYTUUJUYEUWTVUAYQVVFY
      JUWTCYKSUYEUYFUYKUWTVWEVWFVUDVWGUYEUWTUYTYMYLYNUUKUULSUUMUUNUXMUWRUYBUXCU
      XMUVRREUWQREUXBREUWRUYBNUXCOUXMUVRUXMUVKUWDUVRDEUXLUVKUWCUUOZUWCUXLUWDUVK
      AXAUUPUXKXEVDUXMUWQUXMUVKUXOUWQDEVWOUXPUWOCVCXEVDUXMUXBUXMUVKUWTUNEUXBDEV
      WOUXMUWOUXPUUQUWTCVCXEVDUVRUWQUXBVQVOUURYRYSYRUUSYSUUTUVAUVBUVPUWANZUVRLU
      VSJVWPUVKUWDUWACAUDKZYTUVRLPUVKUVMUVOUWAUFZUVPUWDUWAUWEUVCUVPUWAVWQUVDACU
      VGVOVWPUVSVWPUVKBUNEZUVSDEVWRVWPUVMVWSUVKUVMUVOUWAUEABVISBCVCXEYQUVEUVPLR
      EAREUVQUWAYTUVFUVPAUWEVJLAUVHUVIUVJ $.
  $}

  $( The binomial coefficient takes its maximum value at the center.
     (Contributed by Mario Carneiro, 5-Mar-2014.) $)
  bcmax $p |- ( ( N e. NN0 /\ K e. ZZ ) ->
                   ( ( 2 x. N ) _C K ) <_ ( ( 2 x. N ) _C N ) ) $=
    ( cn0 wcel cz wa cuz cfv c2 co cbc cle wbr 2nn0 simpll sylancr simpr cc syl
    syl2anc cmul cdiv nn0mulcl nn0re leidd wceq nn0cn cc0 wne 2cn 2ne0 breqtrrd
    divcan3 mp3an23 bcmono syl3anc cmin simplr bccmpl caddc nn0red 2timesd zred
    recnd eluzle adantl leadd2dd eqbrtrd lesubaddd mpbird wb nn0zd zsubcld eluz
    wo nn0z adantr uztric mpjaodan ) BCDZAEDZFZBAGHDZIBUAJZAKJZWDBKJZLMZABGHDZW
    BWCFZWDCDZWCBWDIUBJZLMZWGWIICDZVTWJNVTWAWCOZIBUCZPWBWCQWIVTWLWNVTBBWKLVTBBU
    DUEVTBRDZWKBUFZBUGWPIRDIUHUIWQUJUKBIUMUNSULZSABWDUOUPWBWHFZWEWDWDAUQJZKJZWF
    LWSWJWAWEXAUFWSWMVTWJNVTWAWHOZWOPZVTWAWHURZAWDUSTWSWJBWTGHDZWLXAWFLMXCWSXEW
    TBLMZWSXFWDBAUTJZLMWSWDBBUTJXGLWSBWSBWSBXBVAZVDVBWSBABXHWSAXDVCZXHWHBALMWBB
    AVEVFVGVHWSWDABWSWDXCVAXIXHVIVJWSWTEDBEDZXEXFVKWSWDAWSWDXCVLXDVMWSBXBVLWTBV
    NTVJWSVTWLXBWRSWTBWDUOUPVHWBWAXJWCWHVOVTWAQVTXJWABVPVQABVRTVS $.

  $( Ratio of two central binomial coefficients.  (Contributed by Mario
     Carneiro, 10-Mar-2014.) $)
  bcp1ctr $p |- ( N e. NN0 -> ( ( 2 x. ( N + 1 ) ) _C ( N + 1 ) ) =
    ( ( ( 2 x. N ) _C N ) x. ( 2 x. ( ( ( 2 x. N ) + 1 ) / ( N + 1 ) ) ) ) ) $=
    ( cn0 wcel c2 c1 caddc co cmul cbc cmin cdiv wceq ax-1cn syl nn0cnd syl2anc
    cc oveq1d eqtr4d oveq2d 2t1e2 eqtri oveq2i nn0cn 2cn adddi mp3an13 nn0mulcl
    df-2 2nn0 mpan addass mp3an23 3eqtr4a cz peano2nn0 nn0p1nn nnzd bcpasc nn0z
    bccl 2cnd nn0red nndivred recnd mul12d 1cnd addsubd 2timesd mvrladdd eqtr2d
    cc0 fzctr bcp1n eqtrd bccmpl nncnd addassd mvrraddd pncan sylancl oveq12d
    cfz ) ABCZDAEFGZHGZWEIGZDAHGZEFGZWEIGZWIWEEJGZIGZFGZWHAIGZDWIWEKGZHGHGZWDWG
    WIEFGZWEIGZWMWDWFWQWEIWDWHDEHGZFGZWHEEFGZFGZWFWQWSXAWHFWSDXAUAUIUBUCWDAQCZW
    FWTLZAUDZDQCXCEQCZXDUEMDAEUFUGNWDWHQCZWQXBLZWDWHDBCWDWHBCZUJDAUHUKZOZXGXFXF
    XHMMWHEEULUMNUNRWDWIBCZWEUOCZWMWRLWDXIXLXJWHUPNZWDWEAUQZURZWEWIUSPSWDWPDWIA
    IGZHGZWMWDWPDWNWOHGZHGXRWDWNDWOWDWNWDXIAUOCZWNBCXJAUTZAWHVAPOWDVBWDWOWDWIWE
    WDWIXNVCXOVDVEVFWDXSXQDHWDXSWNWIWIAJGZKGZHGZXQWDWOYCWNHWDWEYBWIKWDYBWHAJGZE
    FGWEWDWHEAXKWDVGZXEVHWDYEAEFWDWHAAXEXEWDAXEVIZVJRVKTTWDAVLWHWCGCXQYDLAVMAWH
    VNNSTVOWDWMXQXQFGXRWDWJXQWLXQFWDWJWIWIWEJGZIGZXQWDXLXMWJYILXNXPWEWIVPPWDYHA
    WIIWDWIAWEXEWDWEXOVQWDWIAAFGZEFGAWEFGWDWHYJEFYGRWDAAEXEXEYFVRVOVSTVOWDWKAWI
    IWDXCXFWKALXEMAEVTWATWBWDXQWDXQWDXLXTXQBCXNYAAWIVAPOVISSS $.

  ${
    $d n x N $.
    $( A bound on the binomial coefficient.  (Contributed by Mario Carneiro,
       11-Mar-2014.) $)
    bclbnd $p |- ( N e. ( ZZ>= ` 4 ) ->
                    ( ( 4 ^ N ) / N ) < ( ( 2 x. N ) _C N ) ) $=
      ( c4 cexp co cdiv c2 cmul cbc clt c1 caddc wceq c6 c7 cc0 c3 wcel cn0 2cn
      oveq12i vx vn cv wbr oveq2 oveq12d breq12d 6nn0 7nn0 4nn0 0nn0 4lt10 6lt7
      id cdc decltc cmin cc 2nn0 expmul mp3an sq2 eqcomi 4m1e3 eqtr4i 3cn 3t2e6
      3nn0 mulcomli oveq2i 2exp6 eqtri wne cz 4cn 4ne0 4z 3eqtr3ri df-4 bcp1ctr
      expm1 ax-mp c5 df-3 df-2 1nn0 1e0p1 nn0mulcli bcn0 oveq1i 1div1e1 mulid2i
      2t0e0 2t1e2 3eqtri 2ne0 divcan2i 2t2e4 df-5 5cn 3ne0 divassi 6cn nnmulcli
      wa 2nn 5nn nncni pm3.2i div12 5t2e10 divmuli mpbir df-7 7cn mulassi cn wi
      4nn mpan nnexpcl sylancr nnrpd rpdivcld rpred nnmulcl nnnn0d bccl syl2anc
      nn0red crp syl cr 2re a1i nncnd oveq1d mulassd div23d rpcnd divcli mulcli
      3p1e4 10nn 3eqtr3i dec0u 3brtr4i cuz eluznn nnnn0 nnrp peano2nnd peano2nn
      cfv nnz rpmulcl ltmul1d breq2d bitr4d sylancl rpreccld ltaddrp 1cnd nnne0
      2rp nncn divdird divcan4d eqtr2d breqtrd expp1 eqtrdi eqtr4d nnne0d eqtrd
      ltmul2dd divmul24d 3eqtr3rd 3brtr4d remulcld nn0mulcl nnzd syl3anc sylbid
      lttr mpand uzind4i ) BUAUCZCDZUWHEDZFUWHGDZUWHHDZIUDBBCDZBEDZFBGDZBHDZIUD
      BUBUCZCDZUWQEDZFUWQGDZUWQHDZIUDZBUWQJKDZCDZUXCEDZFUXCGDZUXCHDZIUDZBACDZAE
      DZFAGDZAHDZIUDUAUBBAUWHBLZUWJUWNUWLUWPIUXMUWIUWMUWHBEUWHBBCUEUXMUNZUFUXMU
      WKUWOUWHBHUWHBFGUEUXNUFUGUWHUWQLZUWJUWSUWLUXAIUXOUWIUWRUWHUWQEUWHUWQBCUEU
      XOUNZUFUXOUWKUWTUWHUWQHUWHUWQFGUEUXPUFUGUWHUXCLZUWJUXEUWLUXGIUXQUWIUXDUWH
      UXCEUWHUXCBCUEUXQUNZUFUXQUWKUXFUWHUXCHUWHUXCFGUEUXRUFUGUWHALZUWJUXJUWLUXL
      IUXSUWIUXIUWHAEUWHABCUEUXSUNZUFUXSUWKUXKUWHAHUWHAFGUEUXTUFUGMBUOZNOUOZUWN
      UWPIMNBOUHUIUJUKULUMUPFFPGDZCDZBBJUQDZCDZUYAUWNUYDFFCDZPCDZUYFFURQZFRQZPR
      QZUYDUYHLSUSVHFFPUTVABUYGUYEPCUYGBVBVCVDTVEUYDFMCDUYAUYCMFCPFMVFSVGVIZVJV
      KVLBURQZBOVMBVNQUYFUWNLVOVPVQBBWAVAVRUWPJOUOZFGDZFNBEDZGDZGDZUYNNGDZUYBUW
      PFPJKDZGDZUYTHDZUYCPHDZFUYCJKDZUYTEDZGDZGDZUYRUWOVUABUYTHBUYTFGVSVJVSTUYK
      VUBVUGLVHPVTWBVUCUYOVUFUYQGVUCFFJKDZGDZVUHHDZMFWCGDZPEDZGDZUYOUYCVUIPVUHH
      PVUHFGWDVJWDTVUJFFGDZFHDZFVUNJKDZVUHEDZGDZGDZVUMUYJVUJVUSLUSFVTWBVUOMVURV
      ULGVUOFJJKDZGDZVUTHDZFJGDZJHDZFVVCJKDZVUTEDZGDZGDZMVUNVVAFVUTHFVUTFGWEVJW
      ETJRQVVBVVHLWFJVTWBVVHUYCMVVDFVVGPGVVDFOJKDZGDZVVIHDZFOGDZOHDZFVVLJKDZVVI
      EDZGDZGDZFVVCVVJJVVIHJVVIFGWGVJWGTORQVVKVVQLUKOVTWBVVQJFGDFVVMJVVPFGVVLRQ
      VVMJLFOUSUKWHVVLWIWBVVPVVCFVVOJFGVVOJJEDJVVNJVVIJEVVNVVIJVVLOJKWMWJWGVEJV
      VIWGVCTWKVLVJWNVLTFSWLVLWOVVGFPFEDZGDPVVFVVRFGVVEPVUTFEVVEVUHPVVCFJKWNWJW
      DVEFVUTWEVCTVJPFVFSWPWQVLTUYLVLWOVURFWCPEDZGDVULVUQVVSFGVUPWCVUHPEVUPBJKD
      WCVUNBJKWRWJWSVEPVUHWDVCTVJFWCPSWTVFXAXBVETVLVUMVUKMPEDZGDZUYOMURQVUKURQP
      URQZPOVMZXEVUMVWALXCVUKFWCXFXGXDXHVWBVWCVFXAXIMVUKPXJVAVUKUYNVVTFGWCFUYNW
      TSXKVIVVTFLPFGDMLVGMPFXCVFSXAXLXMTVLWOVUEUYPFGVUDNUYTBEVUDMJKDNUYCMJKUYLW
      JXNVEUUCTVJTWOUYRUYNFUYQGDZGDUYSUYNFUYQUYNUUDXHSFUYPSNBXOVOVPUUAZUUBXPVWD
      NUYNGVUNUYPGDBUYPGDVWDNVUNBUYPGWRWJFFUYPSSVWEXPNBXOVOVPWQUUEVJVLNUIUUFWOU
      UGUWQBUUHUUNQZUWQXQQZUXBUXHXRBXQQZVWFVWGXSUWQBUUIXTVWGUXBUWSFUWTJKDZUXCED
      ZGDZGDZUXGIUDZUXHVWGUXBVWLUXAVWKGDZIUDVWMVWGUWSUXAVWKVWGUWSVWGUWRUWQVWGUW
      RVWGVWHUWQRQZUWRXQQZXSUWQUUJZBUWQYAYBZYCUWQUUKZYDZYEZVWGUXAVWGUWTRQUWQVNQ
      UXARQVWGUWTFXQQZVWGUWTXQQXFFUWQYFXTZYGUWQUUOUWQUWTYHYIYJVWGFYKQVWJYKQVWKY
      KQUVEVWGVWIUXCVWGVWIVWGUWTVXCUULZYCZVWGUXCUWQUUMZYCZYDZFVWJUUPYBZUUQVWGUX
      GVWNVWLIVWGVWOUXGVWNLVWQUWQVTYLUURUUSVWGUXEVWLIUDZVWMUXHVWGUWRFGDZUXCEDZF
      GDZVXLVWIUWQEDZGDZUXEVWLIVWGFVXNVXLFYMQZVWGYNYOVWGVXNVWGVWIUWQVXEVWSYDYEV
      WGVXKUXCVWGVXKVWGVWPVXBVXKXQQVWRXFUWRFYFUUTZYCVXGYDVWGFFJUWQEDZKDZVXNIVWG
      VXPVXRYKQFVXSIUDYNVWGUWQVWSUVAFVXRUVBYBVWGVXNUWTUWQEDZVXRKDVXSVWGUWTJUWQV
      WGUWTVXCYPVWGUVCUWQUVFZUWQUVDZUVGVWGVXTFVXRKVWGFUWQUYIVWGSYOZVYAVYBUVHYQU
      VIUVJUVPVWGUXEVXKFGDZUXCEDVXMVWGUXDVYDUXCEVWGUXDUWRBGDZVYDVWGUYMVWOUXDVYE
      LVOVWQBUWQUVKYBVWGVYDUWRVUNGDVYEVWGUWRFFVWGUWRVWRYPZVYCVYCYRVUNBUWRGWRVJU
      VLUVMYQVWGVXKFUXCVWGVXKVXQYPZVYCVWGUXCVXFYPZVWGUXCVXFUVNZYSUVOVWGVXKUWQED
      ZVWJGDUWSFGDZVWJGDVXOVWLVWGVYJVYKVWJGVWGUWRFUWQVYFVYCVYAVYBYSYQVWGVXKUWQV
      WIUXCVYGVYAVWGVWIVXDYPVYHVYBVYIUVQVWGUWSFVWJVWGUWSVWTYTVYCVWGVWJVXHYTYRUV
      RUVSVWGUXEYMQVWLYMQUXGYMQVXJVWMXEUXHXRVWGUXEVWGUXDUXCVWGUXDVWGVWHUXCRQZUX
      DXQQXSVWGUXCVXFYGZBUXCYAYBYCVXGYDYEVWGUWSVWKVXAVWGVWKVXIYEUVTVWGUXGVWGUXF
      RQZUXCVNQUXGRQVWGUYJVYLVYNUSVYMFUXCUWAYBVWGUXCVXFUWBUXCUXFYHYIYJUXEVWLUXG
      UWEUWCUWFUWDYLUWG $.
  $}

  $( Convert a bound on a power to a bound on the exponent.  (Contributed by
     Mario Carneiro, 11-Mar-2014.) $)
  efexple $p |- ( ( ( A e. RR /\ 1 < A ) /\ N e. ZZ /\ B e. RR+ ) ->
        ( ( A ^ N ) <_ B <-> N <_ ( |_ ` ( ( log ` B ) / ( log ` A ) ) ) ) ) $=
    ( cr wcel c1 clt wbr wa crp cle clog cfv wceq cc0 3ad2ant1 syl2anc 3ad2ant3
    co ce cz w3a cexp cmul cdiv cfl simpl 0lt1 0re 1re lttr mp3an12 mpani elrpd
    wi imp simp2 reexplog reeflog eqcomd breq12d wb zre 3ad2ant2 rpred remulcld
    rplogcl relogcl efle lemuldivd rerpdivcld flge bitrd 3bitr2d ) ADEZFAGHZIZC
    UAEZBJEZUBZACUCSZBKHCALMZUDSZTMZBLMZTMZKHZWCWEKHZCWEWBUESZUFMKHZVTWAWDBWFKV
    TAJEZVRWAWDNVQVRWKVSVQAVOVPUGVOVPOAGHZVOOFGHZVPWLUHODEFDEVOWMVPIWLUOUIUJOFA
    UKULUMUPUNPVQVRVSUQZACURQVTWFBVSVQWFBNVRBUSRUTVAVTWCDEWEDEZWHWGVBVTCWBVRVQC
    DEVSCVCVDZVTWBVQVRWBJEVSAVGPZVEVFVSVQWOVRBVHRZWCWEVIQVTWHCWIKHZWJVTCWEWBWPW
    RWQVJVTWIDEVRWSWJVBVTWEWBWRWQVKWNWICVLQVMVN $.

  ${
    $d p N $.  $d p P $.
    bpos1.1 $e |- ( E. p e. Prime ( N < p /\ p <_ ( 2 x. N ) ) -> ph ) $.
    bpos1.2 $e |- ( N e. ( ZZ>= ` P ) -> ph ) $.
    bpos1.3 $e |- P e. Prime $.
    bpos1.4 $e |- A e. NN0 $.
    bpos1.5 $e |- ( A x. 2 ) = B $.
    bpos1.6 $e |- A < P $.
    bpos1.7 $e |- ( P < B \/ P = B ) $.
    $( Lemma for ~ bpos1 .  (Contributed by Mario Carneiro, 12-Mar-2014.) $)
    bpos1lem $p |- ( N e. ( ZZ>= ` A ) -> ph ) $=
      ( wcel cle wbr clt sylancr c2 cr cuz cfv cz wb cprime cn prmnn ax-mp nnzi
      eluzelz eluz syl6bir wa cv cmul co nnrei a1i nn0rei 2re remulcli eqeltrri
      wrex eluzelre remulcl wceq wo leloei mpbir nn0cni 2cn mulcomli eluzle cc0
      2pos pm3.2i lemul2 mp3an13 syl mpbid eqbrtrrid letrd anim2i breq2 anbi12d
      breq1 rspcev expcom lelttric mpjaod ) EBUAUBNZDEOPZAEDQPZWKWLEDUAUBNZAWKD
      UCNEUCNWNWLUDDDUENZDUFNIDUGUHZUIBEUJDEUKRHULWMWKAWMWKUMZEFUNZQPZWRSEUOUPZ
      OPZUMZFUEVCZAWQWOWMDWTOPZUMZXCIWKXDWMWKDCWTDTNZWKDWPUQZURCTNWKBSUOUPCTKBS
      BJUSZUTVAVBZURWKSTNZETNZWTTNUTBEVDZSEVERDCOPZWKXMDCQPDCVFVGMDCXGXIVHVIURW
      KCSBUOUPZWTOBSCBJVJVKKVLWKBEOPZXNWTOPZBEVMWKXKXOXPUDZXLBTNXKXJVNSQPZUMXQX
      HXJXRUTVOVPBESVQVRVSVTWAWBWCXBXEFDUEWRDVFWSWMXAXDWRDEQWDWRDWTOWFWEWGRGVSW
      HWKXFXKWLWMVGXGXLDEWIRWJ $.
  $}

  ${
    $d p N $.
    $( Bertrand's postulate, checked numerically for ` N <_ 6 4 ` , using the
       prime sequence ` 2 , 3 , 5 , 7 , 1 3 , 2 3 , 4 3 , 8 3 ` .  (Contributed
       by Mario Carneiro, 12-Mar-2014.)  (Proof shortened by Mario Carneiro,
       20-Apr-2015.)  (Proof shortened by AV, 15-Sep-2021.) $)
    bpos1 $p |- ( ( N e. NN /\ N <_ ; 6 4 ) ->
                  E. p e. Prime ( N < p /\ p <_ ( 2 x. N ) ) ) $=
      ( wcel c6 c4 cdc wbr clt c2 c1 c3 c7 c8 4nn0 3nn0 2nn0 wceq orci bpos1lem
      deccl cn cle cv cmul co wa cprime wrex cuz cfv wi elnnuz ax-1 c5 cc0 6nn0
      wn cr nn0rei 8nn0 eluzelre 4lt10 6lt8 decltc eluzle ltletrd ltnle sylancr
      a1i wb mpbid pm2.21d 83prm eqid 4t2e8 3t2e6 decmul1 3lt10 4lt8 3lt6 declt
      6nn 43prm 2t2e4 2lt4 23prm 1nn0 2cn mulid2i 1lt2 13prm 7nn0 7t2e14 declti
      7lt10 3lt4 7prm 5nn0 5t2e10 5lt7 5prm 3lt5 5lt6 3prm 2lt3 2prm olci sylbi
      1nn 4nn imp ) AUACZADEFZUBGZABUCZHGXOIAUDUEUBGUFBUGUHZXLAJUIUJCXNXPUKZAUL
      XQJIIABXPXNUMZXQIEKABXRXQKDUNABXRXQUNJUOFZLABXRXQLJEFZJKFZABXRXQYAIDFZIKF
      ZABXRXQYCEDFZEKFZABXRXQYEMDFZMKFZABXRAYGUIUJCZXNXPYHXMAHGZXNUQZYHXMYGAXMU
      RCZYHXMDEUPNTUSZVIYGURCYHYGMKUTOTUSVIYGAVAZXMYGHGYHDMEKUPUTNOVBVCVDVIYGAV
      EVFYHYKAURCYIYJVJYLYMXMAVGVHVKVLVMEKNOTEKMDIYEPNOYEVNVOVPVQEMKKNUTOOVRVSV
      DYGYFHGYGYFQMKDUTOWBVTWARSWCIKPOTIKEDIYCPPOYCVNWDVPVQIEKKPNOOVRWEVDYEYDHG
      YEYDQEKDNOWBVTWARSWFJKWGOTJKIDIYAPWGOYAVNIWHWIZVPVQJIKKWGPOOVRWJVDYCYBHGY
      CYBQIKDPOWBVTWARSWKWLWMJKLXIOWLWOWNYAXTHGYAXTQJKEWGOXJWPWARSWQWRWSWTLXSHG
      LXSQWORSXAOVPXBUNDHGUNDQXCRSXDPWDXEKEHGKEQWPRSXFWGYNWJIIQIIHGIVNXGSXHXK
      $.
  $}

  ${
    $d k N $.  $d k P $.
    $( An upper bound on the prime powers dividing a central binomial
       coefficient.  (Contributed by Mario Carneiro, 9-Mar-2014.) $)
    bposlem1 $p |- ( ( N e. NN /\ P e. Prime ) ->
                      ( P ^ ( P pCnt ( ( 2 x. N ) _C N ) ) ) <_ ( 2 x. N ) ) $=
      ( cn wcel wa c2 cmul co cle wbr cfv c1 cmin cc0 syl2anc cz cr clt adantr
      wb vk cprime cbc cpc cexp clog cdiv cfl cfz csu cif fzfid crp 2nn nnmulcl
      cv mpan ad2antrr prmnn ad2antlr elfznn adantl nnnn0d nnexpcld nnrp syl2an
      rpdivcl rpred flcld 2z simpll zmulcl sylancr zsubcld zred 1re ifcli caddc
      0re a1i resubcld 2re flle lesub1dd resubcl sylancl remulcl 1red ltsubaddd
      flltp1 mpbird 2pos pm3.2i ltmul2 mp3an3 mpbid ltsub2dd 2cnd cc nncn nncnd
      syl nnne0d divassd recnd muls1d oveq12d wceq 2cn nncan breqtrd lelttrd 1z
      eqtrd breq2d nnred cuz nnrpd efexple syl3anc nnzd rplogcld rpge0d adantrr
      wn ltdivmul syl112anc bitrd impr 0p1e1 breqtrrdi 0z flbi mpbir2and eqtrdi
      eqcomd ce cn0 3brtr4d 3syl df-2 breqtrdi zleltp1 iftrue syl5ibrcom nnge1d
      biantrurd prmuz2 eluz2gt1 jca elfzelz 1lt2 2t1e2 nnre 0le2 nnge1 syl31anc
      lemul2a eqbrtrrid ltletrd rpdivcld 3bitr4rd notbid ltnled mulid1d biimprd
      elfz bitr4d nngt0d ltaddrp2d 2timesd breqtrrd wi lttr mpand sylibrd 2t0e0
      oveq2d 0m0e0 0le0 expr sylbid iffalse mpbidi pm2.61d fsumle pcbcctr chash
      eqbrtrdi cfn bernneq3 reeflogd reexplog relogcld remulcld efle ledivmul2d
      wss ltled letrd eluz fzss2 sumhash rprege0d flge0nn0 hashfz1 eqtr2d simpr
      nnnn0 fzctr bccl2 pccld nn0zd syl211anc ) BCDZAUBDZEZAAFBGHZBUCHZUDHZUEHU
      XRIJZUXTUXRUFKZAUFKZUGHZUHKZIJZUXQLUXRUIHZUXRAUAUPZUEHZUGHZUHKZFBUYIUGHZU
      HKZGHZMHZUAUJUYGUYHLUYEUIHZDZLNUKZUAUJZUXTUYEIUXQUYGUYOUYRUAUXQLUXRULZUXQ
      UYHUYGDZEZUYOVUBUYKUYNVUBUYJVUBUYJVUBUXRCDZUYICDZUYJUMDZUXOVUCUXPVUAFCDUX
      OVUCUNFBUOUQZURVUBAUYHUXPACDZUXOVUAAUSZUTVUBUYHVUAUYHCDUXQUYHUXRVAVBZVCVD
      ZVUCUXRUMDZUYIUMDZVUEVUDUXRVEUYIVEZUXRUYIVGVFOZVHZVIZVUBFPDUYMPDUYNPDVJVU
      BUYLVUBUYLVUBUXOVUDUYLUMDZUXOUXPVUAVKVUJUXOBUMDVULVUQVUDBVEZVUMBUYIVGVFOZ
      VHZVIZFUYMVLVMZVNZVOZUYRQDVUBUYQLNQVPVSVQVTVUBUYQUYOUYRIJZVUBVVEUYQUYOLIJ
      ZVUBVVFUYOLLVRHZRJZVUBUYOFVVGRVUBUYOUYJUYNMHZFVVDVUBUYJUYNVUOVUBUYNVVBVOZ
      WAFQDZVUBWBVTVUBUYKUYJUYNVUBUYKVUPVOVUOVVJVUBUYJQDZUYKUYJIJVUOUYJWCXBWDVU
      BVVIUYJFUYLLMHZGHZMHZFRVUBVVNUYNUYJVUBVVKVVMQDZVVNQDWBVUBUYLQDZLQDZVVPVUT
      VPUYLLWEWFZFVVMWGVMVVJVUOVUBVVMUYMRJZVVNUYNRJZVUBVVTUYLUYMLVRHRJZVUBVVQVW
      BVUTUYLWJXBVUBUYLLUYMVUTVUBWHZVUBUYMVVAVOZWIWKVUBVVPUYMQDZVVTVWATZVVSVWDV
      VPVWEVVKNFRJZEVWFVVKVWGWBWLWMVVMUYMFWNWOOWPWQVUBVVOFUYLGHZVWHFMHZMHZFVUBU
      YJVWHVVNVWIMVUBFBUYIVUBWRZUXOBWSDUXPVUABWTZURVUBUYIVUJXAZVUBUYIVUJXCXDVUB
      FUYLVWKVUBUYLVUTXEXFXGVUBVWHWSDFWSDVWJFXHVUBVWHVUBVVKVVQVWHQDWBVUTFUYLWGV
      MXEXIVWHFXJWFXNXKXLUUAUUBVUBUYOPDLPDZVVFVVHTVVCXMUYOLUUCWFWKUYQUYRLUYOIUY
      QLNUUDXOUUEUYQYEZUYONIJZVVEVUBVUBVWOUXRUYIRJZVWPVUBVWOUYIUXRIJZYEVWQVUBUY
      QVWRVUBUYHUYEIJZLUYHIJZVWSEZVWRUYQVUBVWTVWSVUBUYHVUIUUFUUGVUBAQDZLARJZEZU
      YHPDZVUKVWRVWSTUXQVXDVUAUXQVXBVXCUXQAUXPVUGUXOVUHVBZXPZUXQAFXQKDZVXCUXPVX
      HUXOAUUHVBZAUUIXBZUUJSVUAVXEUXQUYHLUXRUUKVBUXQVUKVUAUXQUXRUXOVUCUXPVUFSZX
      RZSAUXRUYHXSXTVUBVXEVWNUYEPDZUYQVXATVUBUYHVUIYAVWNVUBXMVTUXQVXMVUAUXQUYDU
      XQUYDUXQUYBUYCUXQUXRUXQUXRVXKXPZUXQLFUXRUXQWHZVVKUXQWBVTVXNLFRJUXQUULVTUX
      QFFLGHZUXRIUUMUXQVVRBQDZVVKNFIJZEZLBIJZVXPUXRIJVXOUXOVXQUXPBUUNZSVXSUXQVV
      KVXRWBUUOWMVTUXOVXTUXPBUUPSLBFUURUUQUUSUUTYBUXQAVXGVXJYBZUVAZVHZVIZSUYHLU
      YEUVGXTUVBUVCVUBUXRUYIUXQUXRQDZVUAVXNSZVUBUYIVUJXPZUVDUVHUXQVUAVWQVWPUXQV
      UAVWQEEZUYONNIVYIUYONNMHNVYIUYKNUYNNMVYIUYKNXHZNUYJIJZUYJNLVRHZRJZUXQVUAV
      YKVWQVUBUYJVUNYCYDVYIUYJLVYLRUXQVUAVWQUYJLRJZVUBVYNVWQVUBVYNUXRUYILGHZRJZ
      VWQVUBVYFVVRUYIQDZNUYIRJZVYNVYPTVYGVWCVYHVUBUYIVUJUVIZUXRLUYIYFYGVUBVYOUY
      IUXRRVUBUYIVWMUVEZXOYHUVFYIYJYKVYIVVLNPDZVYJVYKVYMETUXQVUAVVLVWQVUOYDYLUY
      JNYMWFYNVYIUYNFNGHNVYIUYMNFGVYIUYMNXHZNUYLIJZUYLVYLRJZUXQVUAWUCVWQVUBUYLV
      USYCYDVYIUYLLVYLRUXQVUAVWQUYLLRJZVUBVWQBUYIRJZWUEVUBBUXRRJZVWQWUFUXOWUGUX
      PVUAUXOBBBVRHUXRRUXOBBVYAVURUVJUXOBVWLUVKUVLURVUBVXQVYFVYQWUGVWQEWUFUVMUX
      OVXQUXPVUAVYAURZVYGVYHBUXRUYIUVNXTUVOVUBWUEBVYORJZWUFVUBVXQVVRVYQVYRWUEWU
      ITWUHVWCVYHVYSBLUYIYFYGVUBVYOUYIBRVYTXOYHUVPYIYJYKVYIVVQWUAWUBWUCWUDETUXQ
      VUAVVQVWQVUTYDYLUYLNYMWFYNUVRUVQYOXGUVSYOUVTUWIUWAUWBVWONUYRUYOIVWOUYRNUY
      QLNUWCYPXOUWDUWEUWFAUABUWGUXQUYSUYPUWHKZUYEUXQUYGUWJDUYPUYGUWRZUYSWUJXHUY
      TUXQUXRUYEXQKDZWUKUXQWULUYEUXRIJZUXQUYEUYDUXRUXQUYEVYEVOVYDVXNUXQUYDQDZUY
      EUYDIJVYDUYDWCXBUXQUYDUXRIJUYBUXRUYCGHZIJZUXQWUPUYBYQKZWUOYQKZIJZUXQUXRAU
      XRUEHZWUQWURIUXQUXRWUTVXNUXQWUTUXQAUXRVXFUXQUXRVXKVCZVDXPUXQVXHUXRYRDUXRW
      UTRJVXIWVAAUXRUWKOUWSUXQUXRVXLUWLUXQWUTWURUXQAUMDUXRPDZWUTWURXHUXQAVXFXRU
      XQUXRVXKYAZAUXRUWMOYPYSUXQUYBQDWUOQDWUPWUSTUXQUXRVXLUWNZUXQUXRUYCVXNUXQUY
      CVYBVHUWOUYBWUOUWPOWKUXQUYBUXRUYCWVDVXNVYBUWQWKUWTUXQVXMWVBWULWUMTVYEWVCU
      YEUXRUXAOWKUYELUXRUXBXBUYPUYGUAUXCOUXQWUNNUYDIJEUYEYRDWUJUYEXHUXQUYDVYCUX
      DUYDUXEUYEUXFYTUXGYSUXQVXBVXCUXTPDVUKUYAUYFTVXGVXJUXQUXTUXQAUXSUXOUXPUXHU
      XOUXSCDZUXPUXOBYRDBNUXRUIHDWVEBUXIBUXJBUXRUXKYTSUXLUXMVXLAUXRUXTXSUXNWK
      $.
  $}

  ${
    $d k N $.  $d k P $.  $d k ph $.
    bposlem2.1 $e |- ( ph -> N e. NN ) $.
    bposlem2.2 $e |- ( ph -> P e. Prime ) $.
    bposlem2.3 $e |- ( ph -> 2 < P ) $.
    bposlem2.4 $e |- ( ph -> ( ( 2 x. N ) / 3 ) < P ) $.
    bposlem2.5 $e |- ( ph -> P <_ N ) $.
    $( There are no odd primes in the range ` ( 2 N / 3 , N ] ` dividing the
       ` N ` -th central binomial coefficient.  (Contributed by Mario Carneiro,
       12-Mar-2014.) $)
    bposlem2 $p |- ( ph -> ( P pCnt ( ( 2 x. N ) _C N ) ) = 0 ) $=
      ( c2 cmul co c1 cc0 wcel cle wbr clt cr c3 adantr vk cbc cpc cv cexp cdiv
      cfz cfl cfv cmin csu cn cprime wceq pcbcctr syl2anc cuz wo elnn1uz2 sylib
      elfznn wa oveq2 prmnn syl nncnd exp1d sylan9eqr oveq2d fveq2d caddc 2t1e2
      mulid2d eqbrtrd wb nnred nngt0d lemuldiv syl112anc mpbid nndivred 1re 2re
      1red 2pos pm3.2i lemul2 mp3an13 eqbrtrrid nnne0d divassd breqtrrd nnmulcl
      2cnd 2nn sylancr 3pos ltdiv23 mp3an2 syl12anc df-3 breqtrdi cz 2z sylancl
      3re flbi mpbir2and eqtrd c4 remulcl a1i 4re eqbrtrrd 3lt4 lttrd breqtrrdi
      2t2e4 ltmul2 mp3an23 mpbird df-2 eqtrdi oveq12d 2cn subidi crp eluzge2nn0
      1z nnrpd nnexpcl syl2an rpdivcld rpge0d ltdivmul ltdivmuld 1e0p1 rpred 0z
      cn0 mp3an3 remulcld nnltp1le eqbrtrid lemul1 mp3an1 sqvald simpr leexp2ad
      nnge1d letrd ltletrd mulid1d ltaddrpd 2timesd 2t0e0 0m0e0 jaodan sumeq2dv
      sylan2 cfn fzfid wss sumz olcs ) ABICJKZCUBKUCKZLUVFUGKZUVFBUAUDZUEKZUFKZ
      UHUIZICUVJUFKZUHUIZJKZUJKZUAUKZMACULNZBUMNZUVGUVQUNDEBUACUOUPAUVQUVHMUAUK
      ZMAUVHUVPMUAUVIUVHNZAUVILUNZUVIIUQUINZURZUVPMUNZUWAUVIULNUWDUVIUVFVAUVIUS
      UTAUWBUWEUWCAUWBVBZUVPIIUJKMUWFUVLIUVOIUJUWFUVLUVFBUFKZUHUIZIUWFUVKUWGUHU
      WFUVJBUVFUFUWBAUVJBLUEKBUVILBUEVCABABAUVSBULNZEBVDVEZVFZVGVHZVIVJAUWHIUNZ
      UWBAUWMIUWGOPZUWGILVKKZQPZAIICBUFKZJKZUWGOAIILJKZUWROVLALUWQOPZUWSUWROPZA
      LBJKZCOPZUWTAUXBBCOABUWKVMHVNALRNZCRNZBRNZMBQPZUXCUWTVOAWDACDVPZABUWJVPZA
      BUWJVQZLCBVRVSVTZAUWQRNZUWTUXAVOZACBUXHUWJWAZUXDUXLIRNZMIQPZVBZUXMWBUXOUX
      PWCWEWFZLUWQIWGWHVEVTWIAICBAWNACDVFZUWKABUWJWJWKZWLAUWGSUWOQAUVFSUFKBQPZU
      WGSQPZGAUVFRNZUXFUXGUYAUYBVOZAUVFAIULNZUVRUVFULNWODICWMWPZVPZUXIUXJUYCSRN
      ZMSQPZVBZUXFUXGVBZUYDUYHUYIXFWQWFZUVFSBWRWSWTVTZXAXBAUWGRNIXCNUWMUWNUWPVB
      VOAUVFBUYGUWJWAXDUWGIXGXEXHTXIUWFUVOUWSIUWFUVNLIJUWFUVNUWQUHUIZLUWFUVMUWQ
      UHUWFUVJBCUFUWLVIVJAUYNLUNZUWBAUYOUWTUWQLLVKKZQPZUXKAUWQIUYPQAUWQIQPZUWRI
      IJKZQPZAUWRXJUYSQAUWRSXJAUXOUXLUWRRNWCUXNIUWQXKWPUYHAXFXLXJRNAXMXLAUWGUWR
      SQUXTUYMXNSXJQPAXOXLXPXRXQAUXLUYRUYTVOZUXNUXLUXOUXQVUAWCUXRUWQIIXSXTVEYAY
      BXBAUXLLXCNUYOUWTUYQVBVOUXNYIUWQLXGXEXHTXIVIVLYCYDIYEYFYCAUWCVBZUVPMMUJKM
      VUBUVLMUVOMUJVUBUVLMUNZMUVKOPZUVKMLVKKZQPZVUBUVKVUBUVFUVJAUVFYGNUWCAUVFUY
      FYJTVUBUVJAUWIUVIYTNUVJULNUWCUWJUVIYHBUVIYKYLZYJZYMZYNVUBUVKLVUEQVUBUVKLQ
      PUVFUVJLJKZQPVUBUVFUVJVUJQVUBUVFSBJKZUVJAUYCUWCUYGTZAVUKRNZUWCAUYHUXFVUMX
      FUXISBXKWPTZVUBUVJVUGVPZAUVFVUKQPZUWCAUYAVUPGAUYCUXFUYAVUPVOZUYGUXIUYCUXF
      UYJVUQUYLUVFBSYOUUAUPVTTVUBVUKBBJKZUVJVUNAVURRNUWCABBUXIUXIUUBTVUOAVUKVUR
      OPZUWCASBOPZVUSASUWOBOXAAIBQPZUWOBOPZFAUYEUWIVVAVVBVOWOUWJIBUUCWPVTUUDAUX
      FUXFUXGVUTVUSVOZUXIUXIUXJUYHUXFUYKVVCXFSBBUUEUUFWTVTTVUBBIUEKZVURUVJOAVVD
      VURUNUWCABUWKUUGTVUBBIUVIAUXFUWCUXITALBOPUWCABUWJUUJTAUWCUUHUUIXNUUKUULZV
      UBUVJVUBUVJVUGVFUUMZWLVUBUVFLUVJVULVUBWDZVUHYPYAYQXBVUBUVKRNMXCNZVUCVUDVU
      FVBVOVUBUVKVUIYRYSUVKMXGXEXHVUBUVOIMJKMVUBUVNMIJVUBUVNMUNZMUVMOPZUVMVUEQP
      ZVUBUVMVUBCUVJACYGNUWCACDYJZTVUHYMZYNVUBUVMLVUEQVUBUVMLQPCVUJQPVUBCUVJVUJ
      QVUBCUVFUVJAUXEUWCUXHTZVULVUOACUVFQPUWCACCCVKKUVFQACCUXHVVLUUNACUXSUUOWLT
      VVEXPVVFWLVUBCLUVJVVNVVGVUHYPYAYQXBVUBUVMRNVVHVVIVVJVVKVBVOVUBUVMVVMYRYSU
      VMMXGXEXHVIUUPYCYDUUQYCUURUUTUUSAUVHUVANZUVTMUNZALUVFUVBUVHLUQUIUVCVVOVVP
      UVHUALUVDUVEVEXIXI $.
  $}

  ${
    $d k p x F $.  $d n p K $.  $d p x M $.  $d k n p x N $.  $d k n p x ph $.
    bpos.1 $e |- ( ph -> N e. ( ZZ>= ` 5 ) ) $.
    bpos.2 $e |- ( ph -> -. E. p e. Prime ( N < p /\ p <_ ( 2 x. N ) ) ) $.
    bpos.3 $e |- F = ( n e. NN |->
            if ( n e. Prime , ( n ^ ( n pCnt ( ( 2 x. N ) _C N ) ) ) , 1 ) ) $.
    bpos.4 $e |- K = ( |_ ` ( ( 2 x. N ) / 3 ) ) $.
    $( Lemma for ~ bpos .  Since the binomial coefficient does not have any
       primes in the range ` ( 2 N / 3 , N ] ` or ` ( 2 N , +oo ) ` by
       ~ bposlem2 and ~ prmfac1 , respectively, and it does not have any in the
       range ` ( N , 2 N ] ` by hypothesis, the product of the primes up
       through ` 2 N / 3 ` must be sufficient to compose the whole binomial
       coefficient.  (Contributed by Mario Carneiro, 13-Mar-2014.) $)
    bposlem3 $p |- ( ph -> ( seq 1 ( x. , F ) ` K ) = ( ( 2 x. N ) _C N ) ) $=
      ( c2 co wcel wa cle wbr cc0 cn c5 c3 cmul c1 cseq cfv cbc wceq cpc cprime
      cv wral cif cn0 simpr cfz cuz 5nn eluznn sylancr nnnn0d fzctr 3syl adantr
      bccl2 pccld ralrimiva cz cdiv cfl 2nn nnmulcl nnred nndivre sylancl flcld
      3nn eqeltrid 3re a1i 5re 3lt5 ltleii eluzle syl letrd clt 2re 2pos pm3.2i
      cr wb lemul2 mp3an13 mpbid 3pos lemuldiv 2z flge breqtrrdi eluz1i eluz2nn
      sylanbrc oveq1 pcmpt iftrue adantl iffalse zred prmz ltnle syl2an biimpar
      wn ad2antrr simplr ad2antlr simprl lelttrd eqbrtrrid fllt mpbird bposlem2
      syl2anc simprr expr wi wrex rspe adantll pm2.21dd cdvds cfa nnzd nnmulcld
      faccld dvdsmul1 bcctr nncnd eqtrd syl2anr wf oveq1d nnne0d breqtrd dvdstr
      divcan1d syl3anc mpan2d prmfac1 sylan syld con3d id pceq0 sylibrd pm2.61d
      3expia ex lelttric mpjaod syldan eqtr4d pm2.61dan pcmptcl simprd ffvelrnd
      wo pc11 ) ADUACUBUCZUDZKEUALZEUELZUFZFUIZUVIUGLZUVMUVKUGLZUFZFUHUJZAUVPFU
      HAUVMUHMZNZUVNUVMDOPZUVOQUKZUVOUVSBUIZUVKUGLZUVOUVMBCDIAUWCULMZBUHUJUVRAU
      WDBUHAUWBUHMZNUWBUVKAUWEUMAUVKRMZUWEAEULMZEQUVJUNLMUWFAEASRMESUOUDMZERMZU
      PGESUQURZUSZEUTEUVJVCVAZVBVDVEZVBADRMZUVRADKUOUDMZUWNADVFMKDOPZUWOADUVJTV
      GLZVHUDZVFJAUWQAUVJWIMZTRMUWQWIMZAUVJAKRMUWIUVJRMVIUWJKEVJURZVKZVOUVJTVLV
      MZVNVPZAKUWRDOAKUWQOPZKUWROPZAKTUALUVJOPZUXEATEOPZUXGATSETWIMZAVQVRSWIMAV
      SVRAEUWJVKZTSOPATSVQVSVTWAVRAUWHSEOPGSEWBWCWDAEWIMZUXHUXGWJZUXJUXIUXKKWIM
      ZQKWEPZNUXLVQUXMUXNWFWGWHTEKWKWLWCWMAUWSUXGUXEWJZUXBUXMUWSUXIQTWEPZNUXOWF
      UXIUXPVQWNWHKUVJTWOWLWCWMAUWTKVFMUXEUXFWJUXCWPUWQKWQVMWMJWRZKDWPWSXADWTWC
      ZVBAUVRUMUWBUVMUVKUGXBXCUVSUVTUWAUVOUFZUVTUXSUVSUVTUVOQXDXEUVSUVTXLZNUWAQ
      UVOUXTUWAQUFUVSUVTUVOQXFXEUVSUXTDUVMWEPZUVOQUFZUVSUYAUXTADWIMZUVMWIMZUYAU
      XTWJUVRADUXDXGZUVRUVMUVMXHZXGZDUVMXIXJXKUVSUYANUVMEOPZUYBEUVMWEPZUVSUYAUY
      HUYBUVSUYAUYHNZNZUVMEAUWIUVRUYJUWJXMAUVRUYJXNUYKKDUVMUXMUYKWFVRAUYCUVRUYJ
      UYEXMUYKUVMUVRUVMVFMZAUYJUYFXOZXGAUWPUVRUYJUXQXMUVSUYAUYHXPZXQUYKUWQUVMWE
      PZUWRUVMWEPZUYKUWRDUVMWEJUYNXRUYKUWTUYLUYOUYPWJAUWTUVRUYJUXCXMUYMUWQUVMXS
      YBXTUVSUYAUYHYCYAYDUVSUYIUYBYEUYAUVSUYIUYBUVSUYINUVMUVJOPZUYBUVSUYIUYQUYB
      UVSUYIUYQNZNUYRFUHYFZUYBUVRUYRUYSAUYRFUHYGYHAUYSXLUVRUYRHXMYIYDUVSUYQXLZU
      YBYEUYIUVSUYTUVMUVKYJPZXLZUYBUVSVUAUYQUVSVUAUVMUVJYKUDZYJPZUYQUVSVUAUVKVU
      CYJPZVUDAVUEUVRAUVKUVKEYKUDZVUFUALZUALZVUCYJAUVKVFMZVUGVFMUVKVUHYJPAUVKUW
      LYLZAVUGAVUFVUFAEUWKYNZVUKYMZYLUVKVUGYOYBAVUHVUCVUGVGLZVUGUALVUCAUVKVUMVU
      GUAAUWGUVKVUMUFUWKEYPWCUUAAVUCVUGAVUCAUVJAUVJUXAUSZYNZYQAVUGVULYQAVUGVULU
      UBUUEYRUUCVBUVSUYLVUIVUCVFMZVUAVUENVUDYEUVRUYLAUYFXEAVUIUVRVUJVBAVUPUVRAV
      UCVUOYLVBUVMUVKVUCUUDUUFUUGAUVJULMZUVRVUDUYQYEVUNVUQUVRVUDUYQUVMUVJUUHUUP
      UUIUUJUUKUVRUVRUWFUYBVUBWJAUVRUULUWLUVMUVKUUMYSUUNVBUUOUUQVBUVSUYHUYIUVFZ
      UYAUVRUYDUXKVURAUYGUXJUVMEUURYSVBUUSUUTUVAUVBYRVEAUVIULMUVKULMUVLUVQWJAUV
      IARRDUVHARRCYTRRUVHYTAUWCBCIUWMUVCUVDUXRUVEUSAUVKUWLUSUVIUVKFUVGYBXT $.

    bpos.5 $e |- M = ( |_ ` ( sqrt ` ( 2 x. N ) ) ) $.
    $( Lemma for ~ bpos .  (Contributed by Mario Carneiro, 13-Mar-2014.) $)
    bposlem4 $p |- ( ph -> M e. ( 3 ... K ) ) $=
      ( c2 c3 wcel cle wbr c5 c9 cr cmul co csqrt cfv cfl cfz cuz cz cn 2nn 5nn
      cdiv eluznn sylancr nnmulcl nnred nnrpd rpge0d resqrtcld flcld c1 cc0 cdc
      sqrt9 9re a1i 10re caddc lep1 ax-mp 9p1e10 breqtri 5t2e10 mulcomli eluzle
      5cn 2cn syl wb clt wa 5re 2re pm3.2i lemul2 mp3an13 mpbid eqbrtrrid letrd
      2pos 0re 9pos ltleii rprege0d sqrtle flge sylancl eluz1i sylanbrc nndivre
      3z 3nn 3re sqrtgt0d syl112anc wceq remsqsqrt syl2anc breqtrd 3pos syl3anc
      lemuldiv flword2 elfzuzb oveq2i 3eltr4g ) AMFUAUBZUCUDZUEUDZNXQNULUBZUEUD
      ZUFUBZENDUFUBAXSNUGUDOZYAXSUGUDOZXSYBOAXSUHONXSPQZYCAXRAXQAXQAMUIOFUIOZXQ
      UIOUJARUIOFRUGUDOZYFUKHFRUMUNZMFUOUNZUPZAXQAXQYIUQZURZUSZUTANXRPQZYEANSUC
      UDZXRPVDASXQPQZYOXRPQZASVAVBVCZXQSTOZAVEVFYRTOAVGVFYJSYRPQASSVAVHUBZYRPYS
      SYTPQVESVIVJVKVLVFAYRMRUAUBZXQPRMYRVPVQVMVNARFPQZUUAXQPQZAYGUUBHRFVOVRAFT
      OZUUBUUCVSZAFYHUPRTOUUDMTOZVBMVTQZWAUUEWBUUFUUGWCWJWDRFMWEWFVRWGWHWIAYSVB
      SPQZWAXQTOZVBXQPQZWAYPYQVSYSUUHVEVBSWKVEWLWMWDAXQYKWNSXQWOUNWGWHZAXRTOZNU
      HOYNYEVSYMXAXRNWPWQWGNXSXAWRWSAUULXTTOZXRXTPQZYDYMAUUINUIOUUMYJXBXQNWTWQA
      XRNUAUBZXQPQZUUNAUUOXRXRUAUBZXQPAYNUUOUUQPQZUUKANTOZUULUULVBXRVTQYNUURVSU
      USAXCVFYMYMAXQYKXDNXRXRWEXEWGAUUIUUJUUQXQXFYJYLXQXGXHXIAUULUUIUUSVBNVTQZW
      AZUUPUUNVSYMYJUVAAUUSUUTXCXJWDVFXRXQNXLXKWGXRXTXMXKXSNYAXNWSLDYANUFKXOXP
      $.

    $( Lemma for ~ bpos .  Bound the product of all small primes in the
       binomial coefficient.  (Contributed by Mario Carneiro, 15-Mar-2014.)
       (Proof shortened by AV, 15-Sep-2021.) $)
    bposlem5 $p |- ( ph -> ( seq 1 ( x. , F ) ` M ) <_
                   ( ( 2 x. N ) ^c ( ( ( sqrt ` ( 2 x. N ) ) / 3 ) + 2 ) ) ) $=
      ( c1 c2 co cn wcel cle wbr cr vx vk cmul cseq cfv cppi cexp csqrt c3 cdiv
      caddc ccxp wf cv cbc cpc cn0 cprime cc0 cfz cuz 5nn eluznn sylancr nnnn0d
      id c5 fzctr bccl2 3syl pccl syl2anr ralrimiva pcmptcl simprd 3nn cfl nnzd
      cz 2z zmulcl zred 2nn nnmulcl nnrpd rpge0d resqrtcld flcld c9 cdc 9re a1i
      sqrt9 10re lep1 ax-mp 9p1e10 syl wb nnred clt wa 2re pm3.2i mp3an13 mpbid
      lemul2 eqbrtrrid letrd jca sylancl eluz1i sylanbrc ppicl nnexpcld nndivre
      3z readdcl wi wceq fveq2 oveq2d breq12d imbi2d cif eleq1 1ex fvmpt adantr
      ad2antrr nnre nngt0 syl3anc adantl sylan sylan9eq eqbrtrd ffvelrn syl2anc
      syl2an breqtri 5cn 2cn 5t2e10 mulcomli eluzle 5re 2pos 9pos ltleii sqrtle
      flge eqeltrid ffvelrnd recxpcld ppi1 eqtrdi 1z seq1 1nprm mtbiri iffalsed
      0re 1nn eqtri 1le1 eqbrtri zcnd exp0d breqtrrid ffvelrnda ad2antlr lemul1
      nnz ppiprm expp1d eqtrd breq2d bitr4d simpr eleqtrdi seqp1 peano2nn oveq1
      cc nnuz oveq12d ifbieq1d ovex ifex iftrue bposlem1 simpld nnmulcld sylbid
      letr mpand wn iffalse mulid1d 3eqtrd ppinprm biimprd pm2.61dan expcom a2d
      nncnd nnind mpcom cxpexp nn0red nn0ge0d ppiub flle eqbrtrid 3pos leadd1dd
      3re lediv1 2t1e2 nnge1d 1re eluz2gt1 cxpled eqbrtrrd ) AEUCCMUDZUEZNFUCOZ
      EUFUEZUGOZUYHUYHUHUEZUIUJOZNUKOZULOZAUYGAPPEUYFAPPCUMZPPUYFUMZABUNZUYHFUO
      OZUPOZBCJAUYSUQQZBURUYQURQZVUAUYRPQZUYTAVUAVFAFUQQFUSUYHUTOQVUBAFAVGPQFVG
      VAUEQZFPQZVBHFVGVCVDZVEFVHFUYHVIVJUYQUYRVKVLVMVNZVOZAUIPQZEUIVAUEZQEPQZVP
      AEUYKVQUEZVUILAVUKVSQUIVUKRSZVUKVUIQAUYKAUYHAUYHANVSQFVSQUYHVSQZVTAFVUEVR
      NFWAVDZWBZAUYHAUYHANPQVUDUYHPQZWCVUENFWDVDZWEWFZWGZWHAUIUYKRSZVULAUIWIUHU
      EZUYKRWMAWIUYHRSZVVAUYKRSZAWIMUSWJZUYHWITQZAWKWLVVDTQAWNWLVUOWIVVDRSAWIWI
      MUKOZVVDRVVEWIVVFRSWKWIWOWPWQUUAWLAVVDNVGUCOZUYHRVGNVVDUUBUUCUUDUUEAVGFRS
      ZVVGUYHRSZAVUCVVHHVGFUUFWRAFTQZVVHVVIWSZAFVUEWTZVGTQVVJNTQZUSNXASZXBZVVKU
      UGVVMVVNXCUUHXDZVGFNXGXEWRXFXHXIAVVEUSWIRSZXBUYHTQZUSUYHRSZXBVVBVVCWSVVEV
      VQWKUSWIUVCWKUUIUUJXDAVVRVVSVUOVURXJWIUYHUUKVDXFXHAUYKTQZUIVSQVUTVULWSVUS
      XQUYKUIUULXKXFUIVUKXQXLXMUUMEUIVCVDZUUNWTAUYJAUYHUYIVUQAETQZUYIUQQZAEVWAW
      TZEXNWRZXOWTAUYHUYMVUOVURAUYLTQZVVMUYMTQAVVTVUHVWFVUSVPUYKUIXPXKZXCUYLNXR
      XKZUUOVUJAUYGUYJRSZVWAAUAUNZUYFUEZUYHVWJUFUEZUGOZRSZXSAMUYFUEZUYHUSUGOZRS
      ZXSAUBUNZUYFUEZUYHVWRUFUEZUGOZRSZXSAVWRMUKOZUYFUEZUYHVXCUFUEZUGOZRSZXSAVW
      IXSUAUBEVWJMXTZVWNVWQAVXHVWKVWOVWMVWPRVWJMUYFYAVXHVWLUSUYHUGVXHVWLMUFUEUS
      VWJMUFYAUUPUUQYBYCYDVWJVWRXTZVWNVXBAVXIVWKVWSVWMVXARVWJVWRUYFYAVXIVWLVWTU
      YHUGVWJVWRUFYAYBYCYDVWJVXCXTZVWNVXGAVXJVWKVXDVWMVXFRVWJVXCUYFYAVXJVWLVXEU
      YHUGVWJVXCUFYAYBYCYDVWJEXTZVWNVWIAVXKVWKUYGVWMUYJRVWJEUYFYAVXKVWLUYIUYHUG
      VWJEUFYAYBYCYDAVWOMVWPRVWOMMRVWOMCUEZMMVSQVWOVXLXTUURUCCMUUSWPMPQVXLMXTUV
      DBMVUAUYQUYSUGOZMYEZMPCUYQMXTZVUAVXMMVXOVUAMURQUUTUYQMURYFUVAUVBJYGYHWPUV
      EUVFUVGAUYHAUYHVUNUVHZUVIUVJVWRPQZAVXBVXGAVXQVXBVXGXSZAVXQXBZVXCURQZVXRVX
      SVXTXBZVXBVWSUYHUCOZVXFRSZVXGVYAVXBVYBVXAUYHUCOZRSZVYCVYAVWSTQZVXATQVVRUS
      UYHXASZXBZVXBVYEWSVXSVYFVXTVXSVWSAPPVWRUYFVUGUVKZWTYIVYAVXAVYAUYHVWTAVUPV
      XQVXTVUQYJVYAVWRTQZVWTUQQVXQVYJAVXTVWRYKUVLVWRXNWRZXOWTAVYHVXQVXTAVUPVYHV
      UQVUPVVRVYGUYHYKUYHYLXJWRYJVWSVXAUYHUVMYMVYAVXFVYDVYBRVYAVXFUYHVWTMUKOZUG
      OVYDVYAVXEVYLUYHUGVXSVWRVSQZVXTVXEVYLXTVXQVYMAVWRUVNYNZVWRUVOYOYBVYAUYHVW
      TAUYHUWEQZVXQVXTVXPYJVYKUVPUVQUVRUVSVYAVXDVYBRSZVYCVXGVYAVXDVWSVXCCUEZUCO
      ZVYBRVXSVXDVYRXTZVXTVXSVWRMVAUEZQVYSVXSVWRPVYTAVXQUVTUWFUWAUCCMVWRUWBWRZY
      IVYAVYQUYHRSZVYRVYBRSZVYAVYQVXCVXCUYRUPOZUGOZUYHRVXSVXTVYQVXTWUEMYEZWUEVX
      SVXCPQZVYQWUFXTVXQWUGAVWRUWCZYNZBVXCVXNWUFPCUYQVXCXTZVUAVXTVXMWUEMUYQVXCU
      RYFWUJUYQVXCUYSWUDUGWUJVFUYQVXCUYRUPUWDUWGUWHJVXTWUEMVXCWUDUGUWIYGUWJYHWR
      ZVXTWUEMUWKYPVXSVUDVXTWUEUYHRSAVUDVXQVUEYIVXCFUWLYOYQVYAVYQTQZVVRVYFUSVWS
      XASZXBZWUBWUCWSVXSWULVXTVXSVYQAUYOWUGVYQPQVXQAUYOUYPVUFUWMWUHPPVXCCYRYTWT
      YIAVVRVXQVXTVUOYJVXSWUNVXTVXSVWSPQZWUNVYIWUOVYFWUMVWSYKVWSYLXJWRYIVYQUYHV
      WSXGYMXFYQVXSVYPVYCXBVXGXSZVXTVXSVXDTQVYBTQVXFTQWUPVXSVXDAUYPWUGVXDPQVXQV
      UGWUHPPVXCUYFYRYTWTVXSVYBVXSVWSUYHVYIAVUPVXQVUQYIZUWNWTVXSVXFVXSUYHVXEWUQ
      VXSVXCTQVXEUQQVXSVXCWUIWTVXCXNWRXOWTVXDVYBVXFUWPYMYIUWQUWOVXSVXTUWRZXBZVX
      GVXBWUSVXDVWSVXFVXARWUSVXDVYRVWSMUCOVWSVXSVYSWURWUAYIWUSVYQMVWSUCVXSWURVY
      QWUFMWUKVXTWUEMUWSYPYBWUSVWSWUSVWSVXSWUOWURVYIYIUXGUWTUXAWUSVXEVWTUYHUGVX
      SVYMWURVXEVWTXTVYNVWRUXBYOYBYCUXCUXDUXEUXFUXHUXIAUYHUYIULOZUYJUYNRAVYOVWC
      WUTUYJXTVXPVWEUYHUYIUXJYSAUYIUYMRSWUTUYNRSAUYIEUIUJOZNUKOZUYMAUYIVWEUXKZA
      WVATQZVVMWVBTQAVWBVUHWVDVWDVPEUIXPXKZXCWVANXRXKVWHAVWBUSERSUYIWVBRSVWDAEA
      EVWAVEUXLEUXMYSAWVAUYLNWVEVWGVVMAXCWLAEUYKRSZWVAUYLRSZAEVUKUYKRLAVVTVUKUY
      KRSVUSUYKUXNWRUXOAVWBVVTUITQZUSUIXASZXBZWVFWVGWSVWDVUSWVJAWVHWVIUXRUXPXDW
      LEUYKUIUXSYMXFUXQXIAUYHUYIUYMVUOAUYHNVAUEQZMUYHXASAVUMNUYHRSWVKVUNANNMUCO
      ZUYHRUXTAMFRSZWVLUYHRSZAFVUEUYAAVVJWVMWVNWSZVVLMTQVVJVVOWVOUYBVVPMFNXGXEW
      RXFXHNUYHVTXLXMUYHUYCWRWVCVWHUYDXFUYEXI $.

    $( Lemma for ~ bpos .  By using the various bounds at our disposal, arrive
       at an inequality that is false for ` N ` large enough.  (Contributed by
       Mario Carneiro, 14-Mar-2014.)  (Revised by Wolf Lammen, 12-Sep-2020.) $)
    bposlem6 $p |- ( ph -> ( ( 4 ^ N ) / N ) <
      ( ( ( 2 x. N ) ^c ( ( ( sqrt ` ( 2 x. N ) ) / 3 ) + 2 ) ) x.
        ( 2 ^c ( ( ( 4 x. N ) / 3 ) - 5 ) ) ) ) $=
      ( co c2 c3 wcel cr clt wbr cle c4 cexp cdiv cmul cfv caddc ccxp c5 cn cn0
      4nn cuz 5nn eluznn sylancr nnred cc0 cfz syl nnmulcl nnrpd rpge0d nndivre
      cmin 3nn sylancl 2re rpred crp 2rp rpcxpcl remulcld c1 cz eqid cseq wf cv
      5re cpc cprime id pccl syl2anr ralrimiva ffvelrnd 2z cfl zsubcl zred ccht
      ce cdvds wne wb nnzd nnne0d syl2anc dvdsval2 syl3anc mpbid eluzle efchtcl
      wral wa wn cif syl2an wi adantl adantr a1i 3imtr4d iftrue 3brtr4d iffalse
      wceq pcmpt2 cmpt prmorcht oveq2d eqtrd mpbird nngt0d 4re clog ax-mp eqtri
      c6 6re 3re chtcl ltletrd 4pos letrd cc zcnd oveq1i 2cn pm3.2i cbc nnexpcl
      csqrt nnnn0d nndivred fzctr bccl2 resqrtcld readdcl rpcxpcld resubcl df-5
      2nn 4z uzid peano2uz eqeltri uztrn2 bclbnd pcmptcl simprd bposlem4 elfzuz
      mp2b flcld eqeltrid zmulcl nnzi bposlem3 elfzuz3 pcmptdvds efchtdvds prmz
      uztrn fllt breq1i bitr4di ltnle bitrd bposlem1 sylan resqcld lelttr mpand
      reexpcld resqrtth breq1d nn0zd prmgt1 ltexp2d df-2 breq2i syl6ib sqrtge0d
      prmnn lt2sqd 1z zleltp1 sylbird imp adantrl 0le0 breq12d mpbiri pm2.61dan
      simpr oveq1 oveq12d nncn exp1d ifeq1d mpteq2ia eqcomi weq pc2dvds divgt0d
      1nn0 eqidd elnnz sylanbrc dvdsle mpd 4lt6 cht3 fveq2i 6pos elrpii reeflog
      chtwordi efle eqbrtrrid ltdiv2 syl222anc 2lt3 relogcl 3z remulcl reexplog
      chtub eflt recni mulcom fveq2d breqtrrd 3cn pncan3oi eqtr3i oveq2i subsub
      3p2e5 mp3an23 eqtr3id 2ne0 cxpexpz mp3an12i 2cnne0 cxpadd mp3an13 3eqtr3d
      5cn 2nn0 cxpexp mp2an sq2 eqtrdi breqtrd ltdivmul2 lttrd lelttrd nnre jca
      nngt0 ltdivmul eqbrtrrd bposlem5 lemul1d flle eqbrtrid 2pos lemul2 divass
      nncnd 3ne0 mulass 2t2e4 eqtr3di oveq1d eqtr3d lesub1dd cxpled lemul2d
      1lt2 ) AUAFUBMZFUCMZNFUDMZFUUAMZVWOVWOUUCUEZOUCMZNUFMZUGMZNUAFUDMZOUCMZUH
      VDMZUGMZUDMZAVWMFAVWMAUAUIPZFUJPZVWMUIPUKAFAUHUIPFUHULUEPZFUIPZUMHFUHUNUO
      ZUUDZUAFUUBUOUPVXJUUEAVWPAFUQVWOURMPZVWPUIPZAVXGVXLVXKFUUFUSFVWOUUGUSZUPZ
      AVWTVXDAVWTAVWOVWSAVWOANUIPVXIVWOUIPUUMVXJNFUTUOZVAZAVWRQPZNQPZVWSQPAVWQQ
      PZOUIPZVXRAVWOAVWOVXPUPZAVWOVXQVBZUUHZVEVWQOVCVFVGVWRNUUIVFUUJZVHZAVXDANV
      IPZVXCQPZVXDVIPVJAVXBQPZUHQPZVYHAVXAQPVYAVYIAVXAAVXFVXIVXAUIPUKVXJUAFUTUO
      UPVEVXAOVCVFZVSVXBUHUUKVFZNVXCVKUOVHZVLZAFUAULUEZPZVWNVWPRSAUHVYOPVXHVYPU
      HUAVMUFMZVYOUULUAVNPUAVYOPVYQVYOPUUNUAUUOUAUAUUPUVDUUQHUAFUHVYOVYOVOUURUO
      FUUSUSAVWPEUDCVMVPZUEZNNDUDMZUHVDMZUGMZUDMZVXEVXOAVYSWUBAVYSAUIUIEVYRAUIU
      ICVQUIUIVYRVQABVRZVWPVTMZBCJAWUEUJPZBWAWUDWAPZWUGVXMWUFAWUGWBVXNWUDVWPWCW
      DWEZUUTUVAZAVYAEOULUEZPZEUIPZVEAEODURMPZWUKABCDEFGHIJKLUVBZEODUVCUSZEOUNU
      OZWFZUPZAWUBAVYGWUAQPWUBVIPVJAWUAAVYTVNPZUHVNPWUAVNPANVNPZDVNPWUSWGADVWOO
      UCMZWHUEZVNKAWVAAVWOQPZVYAWVAQPZVYBVEVWOOVCVFZUVEUVFZNDUVGUOZUHUMUVHVYTUH
      WIVFZWJZNWUAVKUOZVHZVLZVYNADVYRUEZVWPWUCRABCDFGHIJKUVIAWVMVYSUCMZWUBRSZWV
      MWUCRSZAWVNDWKUEZWLUEZEWKUEZWLUEZUCMZWUBAWVNAVYSWVMWMSZWVNVNPZAWUEBCDEJWU
      HWUPAWUMDEULUEPZWUNEODUVJUSZUVKAVYSVNPVYSUQWNWVMVNPWWBWWCWOAVYSWUQWPAVYSW
      UQWQAWVMAUIUIDVYRWUIAVYADWUJPZDUIPZVEAWWDWUKWWFWWEWUOEDOUVNWRDOUNUOZWFZWP
      VYSWVMWSWTXAZWJAWWAAWVTWVRWMSZWWAVNPZAEQPZDQPZEDTSZWWKAEWUPUPZADWVFWJZAWW
      DWWOWWEEDXBUSZEDUVLWTAWVTVNPWVTUQWNWVRVNPWWKWWLWOAWVTAWWMWVTUIPWWPEXCUSZW
      PAWVTWWSWQAWVRAWWNWVRUIPWWQDXCUSZWPWVTWVRWSWTXAZWJZWVKAWVNWWAWMSZWVNWWATS
      ZAWXCGVRZWVNVTMZWXEWWAVTMZTSZGWAXDZAWXHGWAAWXEWAPZXEZWXEDTSZWXEETSXFZXEZW
      XEVWPVTMZUQXGZWXNVMUQXGZWXFWXGTWXKWXNWXPWXQTSZWXKWXNXEWXOVMWXPWXQTWXKWXMW
      XOVMTSZWXLWXKWXMWXSWXKWXMVWQWXERSZWXSWXKWXTEWXERSZWXMWXKWXTVWQWHUEZWXERSZ
      WYAAVXTWXEVNPWXTWYCWOWXJVYDWXEUVMZVWQWXEUVOXHEWYBWXERLUVPUVQAWWMWXEQPZWYA
      WXMWOWXJWWPWXJWXEWYDWJZEWXEUVRXHUVSWXKVWQNUBMZWXENUBMZRSZWXOVMVMUFMZRSZWX
      TWXSWXKWYIWXONRSZWYKWXKVWOWYHRSZWXEWXOUBMZWYHRSZWYIWYLWXKWYNVWOTSZWYMWYOA
      VXIWXJWYPVXJWXEFUVTUWAWXKWYNQPWVCWYHQPWYPWYMXEWYOXIWXKWXEWXOWXJWYEAWYFXJZ
      WXJWXJVXMWXOUJPAWXJWBVXNWXEVWPWCWDZUWEAWVCWXJVYBXKWXKWXEWYQUWBWYNVWOWYHUW
      CWTUWDAWYIWYMWOWXJAWYGVWOWYHRAWVCUQVWOTSWYGVWOXQVYBVYCVWOUWFWRUWGXKWXKWXE
      WXONWYQWXKWXOWYRUWHZWUTWXKWGXLWXJVMWXERSAWXEUWIXJUWJXMNWYJWXORUWKUWLUWMWX
      KVWQWXEAVXTWXJVYDXKWYQAUQVWQTSWXJAVWOVYBVYCUWNXKWXJUQWXETSAWXJWXEWXJWXEWX
      EUWOVAVBXJUWPWXKWXOVNPVMVNPWXSWYKWOWYSUWQWXOVMUWRVFXMUWSUWTUXAWXNWXPWXOXQ
      WXKWXNWXOUQXNXJWXNWXQVMXQWXKWXNVMUQXNXJXOWXNXFZWXRWXKWYTWXRUQUQTSUXBWYTWX
      PUQWXQUQTWXNWXOUQXPWXNVMUQXPUXCUXDXJUXEWXKWUEWXOWXEBCDEJAWUFBWAXDWXJWUHXK
      AWULWXJWUPXKZAWXJUXFZWUDWXEVWPVTUXGAWWDWXJWWEXKZXRWXKWXGWXEDUDBUIWUGWUDVM
      XGZXSZVMVPZUEZEXUFUEZUCMZVTMWXQWXKWWAXUIWXEVTAWWAXUIXQWXJAWVRXUGWVTXUHUCA
      WWGWVRXUGXQWWHDBXUEXUEVOZXTUSAWULWVTXUHXQWUPEBXUEXUJXTUSUXHXKYAWXKVMVMWXE
      BXUEDEBUIWUGWUDVMUBMZVMXGZXSXUEBUIXULXUDWUDUIPZWUGXUKWUDVMXUMWUDWUDUXIUXJ
      UXKUXLUXMAVMUJPZBWAXDWXJAXUNBWAXUNAWUGXEUXQXLWEXKXUAXUBBGUXNVMUXRXUCXRYBX
      OWEAWWCWWLWXCWXIWOWWJWXAWVNWWAGUXOWRYCAWWCWWAUIPZWXCWXDXIWWJAWWLUQWWARSXU
      OWXAAWVRWVTAWVRWWTUPZAWVTWWSUPZAWVRWWTYDZAWVTWWSYDZUXPWWAUXSUXTWVNWWAUYAW
      RUYBAWWAWVRUAUCMZWUBWXBAWVRQPZVXFXUTQPXUPUKWVRUAVCVFWVKAUAWVTRSZWWAXUTRSZ
      AUAYIWVTUAQPZAYEXLZYIQPAYJXLXUQUAYIRSAUYCXLAYIOWKUEZWLUEZWVTTXVGYIYFUEZWL
      UEZYIXVFXVHWLUYDUYEYIVIPXVIYIXQYIYJUYFUYGYIUYHYGYHAXVFWVSTSZXVGWVTTSZAOQP
      ZWWMOETSZXVJXVLAYKXLZWWPAWUKXVMWUOOEXBUSZOEUYIWTAXVFQPZWVSQPZXVJXVKWOXVLX
      VPYKOYLYGAWWMXVQWWPEYLUSXVFWVSUYJUOXAUYKYMAXVDUQUARSZWVTQPUQWVTRSXVAUQWVR
      RSXVBXVCWOXVEXVRAYNXLXUQXUSXUPXURUAWVTWVRUYLUYMXAAXUTWUBRSZWVRWUBUAUDMZRS
      ZAWVRNVYTOVDMZUBMZXVTRAWVRNYFUEZXWBUDMZWLUEZXWCRAWVQXWERSZWVRXWFRSZAWWNND
      RSXWGWWQANODVXSAVGXLZXVNWWQNORSAUYNXLAOEDXVNWWPWWQXVOWWRYOYMDUYSWRAWVQQPZ
      XWEQPZXWGXWHWOAWWNXWJWWQDYLUSAXWDQPZXWBQPXWKVYGXWLVJNUYOYGZAXWBAWUSOVNPXW
      BVNPZWVGUYPVYTOWIVFZWJXWDXWBUYQUOWVQXWEUYTWRXAAXWCXWBXWDUDMZWLUEZXWFAVYGX
      WNXWCXWQXQVJXWONXWBUYRUOAXWPXWEWLAXWBYPPXWDYPPXWPXWEXQAXWBXWOYQXWDXWMVUAX
      WBXWDVUBVFVUCYBVUDAXWCWUBNNUGMZUDMZXVTANXWBUGMZNWUANUFMZUGMZXWCXWSAXWBXXA
      NUGAXWBVYTUHNVDMZVDMZXXAXXCOVYTVDONUFMZNVDMXXCOXXEUHNVDVUJYRONVUEYSVUFVUG
      VUHAVYTYPPZXXDXXAXQZAVYTWVGYQXXFUHYPPNYPPZXXGVUTYSVYTUHNVUIVUKUSVULYAXXHN
      UQWNZAXWNXWTXWCXQYSVUMXWONXWBVUNVUOAWUAYPPZXXBXWSXQZAWUAWVHYQXXHXXIXEXXJX
      XHXXKVUPYSNWUANVUQVURUSVUSXWRUAWUBUDXWRNNUBMZUAXXHNUJPXWRXXLXQYSVVANNVVBV
      VCVVDYHVUHVVEVVFAXVAWUBQPZXVDXVRXEZXVSXWAWOXUPWVKXXNAXVDXVRYEYNYTXLWVRWUB
      UAVVGWTYCVVHVVIAWVMQPXXMVYSQPZUQVYSRSZXEZWVOWVPWOAWVMWWIUPWVKAVYSUIPZXXQW
      UQXXRXXOXXPVYSVVJVYSVVLVVKUSWVMWUBVYSVVMWTXAVVNAWUCVWTWUBUDMZVXEWVLAVWTWU
      BVYFWVKVLVYNAVYSVWTTSWUCXXSTSABCDEFGHIJKLVVOAVYSVWTWUBWURVYFWVJVVPXAAWUBV
      XDTSZXXSVXETSAWUAVXCTSXXTAVYTVXBUHAVYTWVGWJVYKVYJAVSXLAVYTNWVAUDMZVXBTADW
      VATSZVYTXYATSZADWVBWVATKAWVDWVBWVATSWVEWVAVVQUSVVRAWWNWVDVXSUQNRSZXEZXYBX
      YCWOWWQWVEXYEAVXSXYDVGVVSYTXLDWVANVVTWTXAANVWOUDMZOUCMZXYAVXBAVWOYPPZXYGX
      YAXQZAVWOVXPVWBXXHXYHOYPPZOUQWNZXEXYIYSXYJXYKVUEVWCYTNVWOOVWAVURUSAXYFVXA
      OUCANNUDMZFUDMZXYFVXAXXHXXHAFYPPXYMXYFXQYSYSAFVXJVWBNNFVWDVUOXYLUAFUDVWEY
      RVWFVWGVWHVVFVWIANWUAVXCXWIVMNRSAVWLXLWVIVYLVWJXAAWUBVXDVWTWVKVYMVYEVWKXA
      YOYMVVH $.
  $}

  ${
    bposlem7.1 $e |- F = ( n e. NN |->
                           ( ( ( ( sqrt ` 2 ) x. ( G ` ( sqrt ` n ) ) ) +
                               ( ( 9 / 4 ) x. ( G ` ( n / 2 ) ) ) ) +
                             ( ( log ` 2 ) / ( sqrt ` ( 2 x. n ) ) ) ) ) $.
    bposlem7.2 $e |- G = ( x e. RR+ |-> ( ( log ` x ) / x ) ) $.
    ${
      $d n A $.  $d n B $.  $d n G $.  $d x A $.  $d x B $.
      bposlem7.3 $e |- ( ph -> A e. NN ) $.
      bposlem7.4 $e |- ( ph -> B e. NN ) $.
      bposlem7.5 $e |- ( ph -> ( _e ^ 2 ) <_ A ) $.
      bposlem7.6 $e |- ( ph -> ( _e ^ 2 ) <_ B ) $.
      $( Lemma for ~ bpos .  The function ` F ` is decreasing.  (Contributed by
         Mario Carneiro, 13-Mar-2014.) $)
      bposlem7 $p |- ( ph -> ( A < B -> ( F ` B ) < ( F ` A ) ) ) $=
        ( clt wbr c2 co crp wcel cr csqrt cfv cmul c9 cdiv caddc clog cexp wceq
        c4 wa nnrpd rpsqrtcld cv fveq2 id oveq12d ovex fvmpt syl breq12d ceu wb
        cle rpred cc0 rprege0d resqrtth breqtrrd rpge0d ere epos ltleii mpanl12
        le2sq syl2anc mpbird logdivlt syl22anc lt2sqd relogcl rerpdivcl mpancom
        0re 3bitr2rd fmpti ffvelrni 2rp rpsqrtcl mp1i ltmul2d 3bitr3d nnred 2re
        biimpd 2pos pm3.2i ltdiv1 syl3anc rphalfcld remulcli resqcli c3 egt2lt3
        a1i simpli lemul2i ax-mp mpbi recni sqvali breqtrri letrd mp3an13 mpbid
        lemuldiv bitrd cn 9nn nnrp rpdivcl syl2an mp2an 3bitr2d jcad wi sqrt2re
        4nn remulcl sylancr lt2add syld rpmulcl rprege0 readdcld 2fveq3 fvoveq1
        oveq2d oveq2 fveq2d 9re 4re 4ne0 redivcli ltmul2 bitr2d c1 1lt2 rplogcl
        lt2sq ltdiv2d 3bitrd rpre sylibrd ) ACDNOZPUAUBZDUAUBZGUBZUCQZUDUJUEQZD
        PUEQZGUBZUCQZUFQZPUGUBZPDUCQZUAUBZUEQZUFQZUUPCUAUBZGUBZUCQZUUTCPUEQZGUB
        ZUCQZUFQZUVEPCUCQZUAUBZUEQZUFQZNOZDFUBZCFUBZNOAUUOUVDUVPNOZUVHUVSNOZUKZ
        UWAAUUOUWDUWEAUUOUUSUVLNOZUVCUVONOZUKZUWDAUUOUWGUWHAUUOUWGAUVJPUHQZUUQP
        UHQZNOZUURUVKNOZUUOUWGAUWMUUQUGUBZUUQUEQZUVJUGUBZUVJUEQZNOZUVJUUQNOZUWL
        AUURUWOUVKUWQNAUUQRSZUURUWOUIADADKULZUMZBUUQBUNZUGUBZUXCUEQZUWORGUXCUUQ
        UIZUXDUWNUXCUUQUEUXCUUQUGUOUXFUPUQIUWNUUQUEURUSUTAUVJRSZUVKUWQUIACACJUL
        ZUMZBUVJUXEUWQRGUXCUVJUIZUXDUWPUXCUVJUEUXCUVJUGUOUXJUPUQIUWPUVJUEURUSUT
        VAAUVJTSZVBUVJVDOZUUQTSZVBUUQVDOZUWSUWRVCAUVJUXIVEZAUXLVBPUHQZUWJVDOZAU
        XPCUWJVDLACTSZVFCVDOUKUWJCUIACUXHVGCVHUTZVIAUXKVFUVJVDOZUXLUXQVCZUXOAUV
        JUXIVJZVBTSZVFVBVDOZUXKUXTUKUYAVKVFVBWDVKVLVMZVBUVJVOVNVPVQAUUQUXBVEZAU
        XNUXPUWKVDOZAUXPDUWKVDMADTSZVFDVDOUKUWKDUIADUXAVGDVHUTZVIAUXMVFUUQVDOZU
        XNUYGVCZUYFAUUQUXBVJZUYCUYDUXMUYJUKUYKVKUYEVBUUQVOVNVPVQUVJUUQVRVSAUVJU
        UQUXOUYFUYBUYLVTWEAUWJCUWKDNUXSUYIVAAUURUVKUUPAUWTUURTSZUXBRTUUQGBRTUXE
        GIUXDTSUXCRSUXETSUXCWAUXDUXCWBWCWFZWGUTZAUXGUVKTSZUXIRTUVJGUYNWGUTZPRSZ
        UUPRSAWHPWIWJWKWLWOAUUOUWHAUUOUVAUGUBZUVAUEQZUVMUGUBZUVMUEQZNOZUVBUVNNO
        UWHAUUOUVMUVANOZVUCAUXRUYHPTSZVFPNOZUKZUUOVUDVCACJWMZADKWMZVUGAVUEVUFWN
        WPWQZXEZCDPWRWSAUVMTSVBUVMVDOZUVATSVBUVAVDOZVUDVUCVCAUVMACUXHWTZVEAVBPU
        CQZCVDOZVULAVUOUXPCVUOTSAVBPVKWNXAXEZUXPTSAVBVKXBXEZVUHVUOUXPVDOAVUOVBV
        BUCQZUXPVDPVBVDOZVUOVUSVDOZPVBWNVKPVBNOVBXCNOXDXFVMVFVBNOVUTVVAVCVLPVBV
        BWNVKVKXGXHXIVBVBVKXJXKXLXEZLXMAUXRVUPVULVCZVUHUYCUXRVUGVVCVKVUJVBCPXPX
        NUTXOAUVAADUXAWTZVEAVUODVDOZVUMAVUOUXPDVUQVURVUIVVBMXMAUYHVVEVUMVCZVUIU
        YCUYHVUGVVFVKVUJVBDPXPXNUTXOUVMUVAVRVSXQAUVBUYTUVNVUBNAUVARSZUVBUYTUIVV
        DBUVAUXEUYTRGUXCUVAUIZUXDUYSUXCUVAUEUXCUVAUGUOVVHUPUQIUYSUVAUEURUSUTAUV
        MRSZUVNVUBUIVUNBUVMUXEVUBRGUXCUVMUIZUXDVUAUXCUVMUEUXCUVMUGUOVVJUPUQIVUA
        UVMUEURUSUTVAAUVBUVNUUTAVVGUVBTSZVVDRTUVAGUYNWGUTZAVVIUVNTSZVUNRTUVMGUY
        NWGUTZUUTRSZAUDXRSZUJXRSZVVOXSYHVVPUDRSUJRSVVOVVQUDXTUJXTUDUJYAYBYCXEWK
        YDWOYEAUUSTSZUVCTSZUVLTSZUVOTSZUWIUWDYFAUUPTSZUYMVVRYGUYOUUPUURYIYJZAUU
        TTSZVVKVVSUDUJUUAUUBUUCUUDZVVLUUTUVBYIYJZAVWBUYPVVTYGUYQUUPUVKYIYJZAVWD
        VVMVWAVWEVVNUUTUVNYIYJZUUSUVCUVLUVOYKVSYLAUUOUWEAUUOUVQUVFNOZUVRUVGNOZU
        WEAUXRUYHVUGUUOVWIVCVUHVUIVUKCDPUUEWSAVWJUVRPUHQZUVGPUHQZNOZVWIAUVRRSZU
        VGRSZVWJVWMVCZAUVQAUYRCRSUVQRSWHUXHPCYMYJZUMZAUVFAUYRDRSUVFRSWHUXAPDYMY
        JZUMZVWNUVRTSVFUVRVDOUKUVGTSVFUVGVDOUKVWPVWOUVRYNUVGYNUVRUVGUUJYBVPAVWK
        UVQVWLUVFNAUVQTSVFUVQVDOUKVWKUVQUIAUVQVWQVGUVQVHUTAUVFTSVFUVFVDOUKVWLUV
        FUIAUVFVWSVGUVFVHUTVAUUFAUVRUVGUVEVWRVWTUVERSZAVUEUUGPNOVXAWNUUHPUUIYCZ
        XEUUKUULWOYEAUVDTSUVHTSZUVPTSUVSTSZUWFUWAYFAUUSUVCVWCVWFYOAUVETSZVWOVXC
        VXAVXEVXBUVEUUMXHZVWTUVEUVGWBYJAUVLUVOVWGVWHYOAVXEVWNVXDVXFVWRUVEUVRWBY
        JUVDUVHUVPUVSYKVSYLAUWBUVIUWCUVTNADXRSUWBUVIUIKEDUUPEUNZUAUBGUBZUCQZUUT
        VXGPUEQGUBZUCQZUFQZUVEPVXGUCQZUAUBZUEQZUFQZUVIXRFVXGDUIZVXLUVDVXOUVHUFV
        XQVXIUUSVXKUVCUFVXQVXHUURUUPUCVXGDGUAYPYRVXQVXJUVBUUTUCVXGDPGUEYQYRUQVX
        QVXNUVGUVEUEVXQVXMUVFUAVXGDPUCYSYTYRUQHUVDUVHUFURUSUTACXRSUWCUVTUIJECVX
        PUVTXRFVXGCUIZVXLUVPVXOUVSUFVXRVXIUVLVXKUVOUFVXRVXHUVKUUPUCVXGCGUAYPYRV
        XRVXJUVNUUTUCVXGCPGUEYQYRUQVXRVXNUVRUVEUEVXRVXMUVQUAVXGCPUCYSYTYRUQHUVP
        UVSUFURUSUTVAUUN $.
    $}

    $( Lemma for ~ bpos .  Evaluate ` F ( 6 4 ) ` and show it is less than
       ` log 2 ` .  (Contributed by Mario Carneiro, 14-Mar-2014.) $)
    bposlem8 $p |- ( ( F ` ; 6 4 ) e. RR /\ ( F ` ; 6 4 ) < ( log ` 2 ) ) $=
      ( c4 wcel c2 clt wbr c3 cdiv co c5 cmul caddc c1 c8 wceq c6 cdc cfv csqrt
      cr clog c9 cexp cn 4nn fveq2 8cn eqtri fveq2i cc0 cle 0re 8re 8pos ltleii
      cv ax-mp eqtr3i eqtrdi fveq2d crp 8nn nnrp cu2 2rp relogexp mp2an oveq12d
      cz id 3cn 2nn mp2b recni nnne0i div23i ovex oveq2d sqrt2re divcli mulassi
      fvmpt 4cn 2re 0le2 oveq2i 4t2e8 3eqtri cc mulcli rpmulcl rpne0 wa divcan5
      wne mp3an1 mp4an 4ne0 eqtr4i 3eqtr3ri oveq1i df-6 cn0 2cn 3eqtr3i nnexpcl
      5nn0 expp1 nncni 2ne0 5nn 5cn eqtr4di adddiri nnrei nngt0i mp3an redivcli
      9cn 3re 4re 9re 5re remulcli c7 ax-1cn mulcomli cmin 3brtr4i wb 7re mpbir
      4nn0 mpbi 1re 6nn0 decnncl sqvali 8t8e64 sqrtsqi relogcl mul12i remsqsqrt
      3z rpsqrtcl divdiv1 divassi oveq1 divcan4i nnzi sqrtmulii sylancr divrec2
      2exp6 oveq2 mulcomi recdiv2 addcli reccli readdcli eqeltri add32i divdiri
      rereccli 6cn df-7 3t2e6 oveq12i 3eqtr4ri divdiv32i 9nn0 0nn0 9lt10 decltc
      7cn 4lt5 7t7e49 mul4i 5t2e10 dec0u 7pos rpge0 rpre lt2msqi rpgt0 ltdivmul
      mp3an12 ltdiv1ii divsubdir 5p3e8 pncan3oi dividi 5lt8 ltadd2i df-9 adddii
      mulid2i mulid1i nnmulcli divmuldivi df-4 3nn0 4p3e7 5p2e7 addcomi 3eqtr2i
      6re expadd 2nn0 sq2 ltsub2 eqbrtrri resubcli lttri ltaddsubi eqbrtri 1lt2
      rplogcl ltmul1ii eqcomi pm3.2i ) UAGUBZCUCZUEHUYHIUFUCZJKUYHLGMNZIUDUCZMN
      ZUGGMNZOIOUHNZMNZPNZQNZRSMNZUYKMNZQNZUYIPNZUEUYGUIHUYHVUATUAGUUAUJUUBZBUY
      GUYKBVAZUDUCZDUCZPNZUYMVUCIMNZDUCZPNZQNZUYIIVUCPNZUDUCZMNZQNZVUAUICVUCUYG
      TZVUNUYQUYIPNZUYSUYIPNZQNVUAVUOVUJVUPVUMVUQQVUOVUJUYLUYIPNZUYPUYIPNZQNVUP
      VUOVUFVURVUIVUSQVUOVUFUYKLSMNZUYIPNZPNZVURVUOVUEVVAUYKPVUOVUESDUCZVVAVUOV
      UDSDVUOVUDUYGUDUCZSVUCUYGUDUKSIUHNZUDUCZVVDSVVEUYGUDVVESSPNUYGSULUUCUUDUM
      UNUOSUPKVVFSTUOSUQURUSUTSURUUEVBVCZVDVESUIHZSVFHZVVCVVATVGSVHZASAVAZUFUCZ
      VVKMNZVVAVFDVVKSTZVVMLUYIPNZSMNVVAVVNVVLVVOVVKSMVVNVVLSUFUCZVVOVVKSUFUKIL
      UHNZUFUCZVVPVVOVVQSUFVIUNIVFHZLVNHVVRVVOTVJUUIILVKVLVCVDVVNVOVMLUYISVPUYI
      IUIHZVVSUYIUEHVQIVHZIUUFVRZVSZULSVGVTZWAVDFVUTUYIPWBWGVRVDWCUYKVUTPNZUYIP
      NVVBVURUYKVUTUYIUYKWDVSZLSVPULVWDWEVWCWFVWEUYLUYIPUYKLPNZUYKGUYKPNZPNZMNZ
      VWGSMNUYLVWEVWISVWGMVWIGUYKUYKPNZPNGIPNSUYKGUYKVWFWHVWFUUGVWKIGPIUEHZUOIU
      PKVWKITWIWJIUUHVLZWKWLWMWKVWJLVWHMNZUYLVWHWNHZVWHUOWTZUYKWNHZUYKUOWTZVWJV
      WNTZGUYKWHVWFWOVWHVFHZVWPGVFHZUYKVFHZVWTGUIHVXAUJGVHVBVVTVVSVXBVQVWAIUUJZ
      VRZGUYKWPVLVWHWQVBVWFVVSVXBVWRVJVXCUYKWQVRZLWNHZVWOVWPWRVWQVWRWRZVWSVPLVW
      HUYKWSXAXBGWNHZGUOWTZVWQVWRUYLVWNTZWHXCVWFVXEVXFVXHVXIWRZVXGVXJVPLGUYKUUK
      XAXBXDUYKLSVWFVPULVWDUULXEXFVCVDVUOVUIUYMUYOUYIPNZPNVUSVUOVUHVXLUYMPVUOVU
      HUYNDUCZVXLVUOVUGUYNDVUOVUGUYGIMNZUYNVUCUYGIMUUMVXNUYNIPNZIMNUYNUYGVXOIMI
      UAUHNIORQNZUHNZUYGVXOUAVXPIUHXGWKUUSIWNHZOXHHZVXQVXOTXIXLIOXMVLXJXFUYNIUY
      NVVTVXSUYNUIHZVQXLIOXKVLZXNZXIXOUUNUMVDVEVXTUYNVFHVXMVXLTVYAUYNVHAUYNVVMV
      XLVFDVVKUYNTZVVMOUYIPNZUYNMNVXLVYCVVLVYDVVKUYNMVYCVVLUYNUFUCZVYDVVKUYNUFU
      KVVSOVNHVYEVYDTVJOXPUUOIOVKVLVDVYCVOVMOUYIUYNXQVWCVYBUYNVYAVTZWAVDFUYOUYI
      PWBWGVRVDWCUYMUYOUYIUGGYDWHXCWEZOUYNXQVYBVYFWEZVWCWFXRVMUYLUYPUYIUYJUYKLG
      VPWHXCWEZVWFVXEWEZUYMUYOVYGVYHWOZVWCXSXRVUOVUMUYIUYKSPNZMNZVUQVUOVULVYLUY
      IMVUOVULIUYGPNZUDUCZVYLVUOVUKVYNUDVUCUYGIPUUTVEVYOUYKVVDPNVYLIUYGWIUYGVUB
      XTZWJUOUYGUQVYPUYGVUBYAUTUUPVVDSUYKPVVGWKUMVDWCVYMRVYLMNZUYIPNZVUQUYIWNHV
      YLWNHVYLUOWTZVYMVYRTVWCUYKSVWFULWOVVHVYLVFHZVYSVGVVHVXBVVIVYTVXDVVJUYKSWP
      UUQVYLWQVRUYIVYLUURYBVYQUYSUYIPVYQRSUYKPNZMNZUYSVYLWUARMUYKSVWFULUVAWKSWN
      HZSUOWTZVWQVWRUYSWUBTULVWDVWFVXESUYKUVBXBXDXFUMVDVMUYQUYSUYIUYLUYPVYJVYKU
      VCUYRUYKSULVWDUVDZVWFVXEWEZVWCXSXREUYTUYIPWBWGVBZUYTUYIUYQUYSUYLUYPUYJUYK
      LGYEYFXCYCWDVXEYCUYMUYOUGGYGYFXCYCOUYNYHUYNVYAXTZVYFYCYIZUVEUYRUYKSURVWDU
      VIWDVXEYCUVEZVWBYIUVFVUARUYIPNZUYHUYIJUYTRJKVUAWUKJKUYTYJUYKMNZSMNZUYPQNZ
      RJUYTUYLUYSQNZUYPQNWUNUYLUYPUYSVYJVYKWUFUVGWUOWUMUYPQUYJUYRQNZUYKMNYJSMNZ
      UYKMNWUOWUMWUPWUQUYKMUARQNZSMNUASMNZUYRQNWUQWUPUARSUVJYKULVWDUVHYJWURSMUV
      KXFUYJWUSUYRQILPNZIGPNZMNZUYJWUSVXHVXIVXRIUOWTZWVBUYJTZWHXCXIXOVXFVXKVXRW
      VCWRWVDVPLGIWSXAXBWUTUAWVASMLIUAVPXIUVLYLZGISWHXIWLYLUVMVCXFUVNXFUYJUYRUY
      KVYIWUEVWFVXEUVHYJSUYKUVTULVWFVWDVXEUVOXJXFUMWUNRJKWUMRUYPYMNZJKZWUMOSMNZ
      JKZWVHWVFJKWVGWULOJKZWVIWVJYJUYKOPNZJKZWVLYJYJPNZWVKWVKPNZJKZGUGUBOUOUBZW
      VMWVNJGOUGUOYRXLUVPUVQUVRUWAUVSUWBVWKOOPNZPNIWVQPNZWVNWVPVWKIWVQPVWMXFUYK
      UYKOOVWFVWFXQXQUWCIOPNZOPNRUOUBZOPNWVRWVPWVSWVTOPOIWVTXQXIUWDYLXFIOOXIXQX
      QWFOXLUWEXJXJYNUOYJUPKUOWVKUPKZWVLWVOYOUOYJUQYPUWFUTWVKVFHZWWAVXBOVFHZWWB
      VXDOUIHWWCXPOVHVBUYKOWPVLZWVKUWGVBYJWVKYPWWBWVKUEHWWDWVKUWHVBUWIVLYQUYKUE
      HZUOUYKJKZWVJWVLYOZWDVVSVXBWWFVJVXCUYKUWJVRYJUEHOUEHWWEWWFWRWWGYPYHYJOUYK
      UWKUWLVLYQWULOSYJUYKYPWDVXEYCZYHURUSUWMYSRVUTYMNZWVHWVFJSLYMNZSMNZSSMNZVU
      TYMNZWVHWWIWUCWUDWWKWWMTZULVWDWUCVXFWUCWUDWRZWWNULVPSLSUWNUWLVLWWJOSMOLQN
      ZLYMNWWJOWWPSLYMUWOXFOLXQVPUWPVCXFWWLRVUTYMSULVWDUWQXFXEUYPVUTJKZWWIWVFJK
      ZUGOPNZGUYNPNZMNZSUAPNZWWTMNZUYPVUTJWWSWXBJKWXAWXCJKSOPNZOQNZWXDSQNZWWSWX
      BJOSJKWXEWXFJKUWROSWXDYHURSOURYHYIUWSYSWWSSRQNZOPNWXDROPNZQNWXEUGWXGOPUWT
      XFSROULYKXQXSWXHOWXDQOXQUXBWKWMWXBSVXPPNWXDSRPNZQNWXFUAVXPSPXGWKSORULXQYK
      UXAWXISWXDQSULUXCWKWMYNWWSWXBWWTUGOYGYHYISUAURUXLYIGUYNYFWUHYIWWTGUYNUJVY
      AUXDYAUWMYSUGGOUYNYDWHXQVYBXCVYFUXEIGUHNZLPNZWXJSPNZMNZVUTWXCWUCWUDWXJWNH
      ZWXJUOWTZWXMVUTTZULVWDWXJVVTGXHHZWXJUIHVQYRIGXKVLZXNWXJWXRVTVXFWWOWXNWXOW
      RWXPVPLSWXJWSXAXBWXKWXBWXLWWTMWXKSIPNZLPNSWUTPNWXBWXJWXSLPWXJILRQNZUHNZVV
      QIPNZWXSGWXTIUHUXFWKVXRLXHHZWYAWYBTXIUXGILXMVLVVQSIPVIXFWMXFSILULXIVPWFWU
      TUASPWVEWKWMWXJVVQPNZIIUHNZUYNPNZWXLWWTIGLQNZUHNZIIOQNZUHNZWYDWYFWYGWYIIU
      HWYGYJOIQNWYIUXHUXIOIXQXIUXJUXKWKVXRWXQWYCWYHWYDTXIYRUXGIGLUXMYBVXRIXHHVX
      SWYJWYFTXIUXNXLIIOUXMYBXJVVQSWXJPVIWKWYEGUYNPUXOXFXJUVMVCYNUYPUEHVUTUEHRU
      EHWWQWWRYOWUILSYEURVWDYCYTUYPVUTRUXPYBYSUXQWUMWVHWVFWULSWWHURVWDYCZOSYHUR
      VWDYCRUYPYTWUIUXRUXSVLWUMUYPRWYKWUIYTUXTYQUYAUYTRUYIWUJYTVWBUYIVFHZUOUYIJ
      KVWLRIJKWYLWIUYBIUYCVLUYIUWJVBUYDYSWUGWUKUYIUYIVWCUXBUYEYNUYF $.

    $d n q N $.  $d n G $.  $d n q ph $.  $d p q N $.  $d x N $.
    bposlem9.3 $e |- ( ph -> N e. NN ) $.
    bposlem9.4 $e |- ( ph -> ; 6 4 < N ) $.
    bposlem9.5 $e |- ( ph -> -. E. p e. Prime ( N < p /\ p <_ ( 2 x. N ) ) ) $.
    $( Lemma for ~ bpos .  Derive a contradiction.  (Contributed by Mario
       Carneiro, 14-Mar-2014.)  (Proof shortened by AV, 15-Sep-2021.) $)
    bposlem9 $p |- ( ph -> ps ) $=
      ( wcel c2 co c3 cr cmul caddc vq cfv c6 c4 clt wbr cn 4nn a1i ceu cexp c8
      cle ere 8re mp2an ltleii cc0 wb 0re mp4an recni sylancr mpd clog wa csqrt
      c9 cdiv wceq oveq2d oveq12d fveq2d ovex fvmpt syl sqrt2re rpsqrtcld fveq2
      cv crp relogcld rerpdivcld eqeltrd remulcl 4re readdcld 2rp relogcl ax-mp
      id cmin c5 sylancl resubcld 3nn nndivre 2re ce ccxp cprime c1 cfl cz 4nn0
      lttrd wrex eqid recnd syl2anc eqtr4d rpcnd rpne0d wne 2cn mp3an12i mpbird
      cc 2ne0 oveq1d mp3an23 relogmul 2t2e4 eqtrd oveq1i 3cn 3ne0 eqtr3i eqtr3d
      mp3an13 3eqtr4d adddid 5cn mulcl 3eqtrd mulassd divcan2d mulcld remsqsqrt
      addassd cdc 6nn0 decnncl egt2lt3 simpri 3lt8 lttri epos 8pos le2sq sqvali
      3re mpbi 8t8e64 eqtri breqtri resqcli nnrei nnred letrd bposlem7 bposlem8
      wi ltle simpld 2fveq3 fvoveq1 oveq2 nnrpd 4ne0 redivcli rphalfcld rpmulcl
      9re rerpdivcl simprd nnrp rpre resqrtcld readdcl remulcld 5re resubcl cbc
      rpge0 cpc cif cmpt cuz nnzd df-5 6nn 4lt10 declti 4z zltp1le eqbrtrid 5nn
      mpbid nnzi eluz1i sylanbrc breq2 breq1 anbi12d cbvrexvw bposlem6 reexplog
      sylnib reeflogd eqcomd efsub cxpefd cxpef 3brtr3d ltsub1dd mulcom 2timesi
      efadd eflt mulass fveq2i 3eqtr2i oveq2i eqtrdi 3rp rpdivcl adddir eqtr3id
      4p2e6 4cn 6cn pm3.2i div23 3t2e6 divcan3i divdir 3eqtr3d mvrladdd subdird
      mp3an3 nnncan2d adddird mulcli nnncan1d addsubassd 3p2e5 pncan2 df-3 1cnd
      subdiri syl5eq mulid2d assraddsubd relogdiv subdi divmuldivi 3t3e9 eqtr2i
      oveq12i divcli mul4 mpanr12 divcan6 2cnne0 div12 divcld npncan3d remulcli
      subcl rpge0d div23d 0le2 rprege0d sqrtmul mul4d 2timesd relogmuld addcomd
      addcld 3eqtr4rd addcl 3brtr4d ltmul2d ltnsymd pm2.21dd ) AGEUBZUCUDUUAZEU
      BZUEUFZBAVWHGUEUFZVWJLACVWHGDEFIJVWHUGNAUCUDUUBUHUUCZUIKUJOUKPZVWHUMUFAVW
      MULOUKPZVWHUMUJULUMUFZVWMVWNUMUFZUJULUNUOUJQUEUFZQULUEUFUJULUEUFOUJUEUFVW
      QUUDUUEUUFUJQULUNUULUOUUGUPUQUJRNURUJUMUFULRNURULUMUFVWOVWPUSUNURUJUTUNUU
      HUQUOURULUTUOUUIUQUJULUUJVAUUMVWNULULSPVWHULULUOVBUUKUUNUUOUUPUIZAVWMVWHG
      VWMRNAUJUNUUQUIVWHRNZAVWHVWLUURZUIZAGKUUSZVWRAVWKVWHGUMUFZLAVWSGRNZVWKVXC
      UVCVWTVXBVWHGUVDVCVDUUTUVAVDAVWIVWGAVWIRNZVWIOVEUBZUEUFZVXEVXGVFACDEFIJUV
      BUIZUVEZAVWGOVGUBZGVGUBZFUBZSPZVHUDVIPZGOVIPZFUBZSPZTPZVXFOGSPZVGUBZVIPZT
      PZRAGUGNVWGVYBVJKDGVXJDVTZVGUBFUBZSPZVXNVYCOVIPFUBZSPZTPZVXFOVYCSPZVGUBZV
      IPZTPVYBUGEVYCGVJZVYHVXRVYKVYATVYLVYEVXMVYGVXQTVYLVYDVXLVXJSVYCGFVGUVFVKV
      YLVYFVXPVXNSVYCGOFVIUVGVKVLVYLVYJVXTVXFVIVYLVYIVXSVGVYCGOSUVHVMVKVLIVXRVY
      ATVNVOVPZAVXRVYAAVXMVXQAVXJRNVXLRNVXMRNVQAVXLVXKVEUBZVXKVIPZRAVXKWANVXLVY
      OVJAGAGKUVIZVRZCVXKCVTZVEUBZVYRVIPZVYOWAFVYRVXKVJZVYSVYNVYRVXKVIVYRVXKVEV
      SWUAWKVLJVYNVXKVIVNVOVPZAVYNVXKAVXKVYQWBZVYQWCWDZVXJVXLWEVCZAVXNRNVXPRNVX
      QRNVHUDUVNWFUVJUVKZAVXPVXOVEUBZVXOVIPZRAVXOWANVXPWUHVJAGVYPUVLZCVXOVYTWUH
      WAFVYRVXOVJZVYSWUGVYRVXOVIVYRVXOVEVSWUJWKVLJWUGVXOVIVNVOVPZAWUGVXOAVXOWUI
      WBZWUIWCWDZVXNVXPWEVCZWGZAVXFRNZVXTWANVYARNOWANZWUPWHOWIWJZAVXSAWUQGWANZV
      XSWANZWHVYPOGUVMVCZVRZVXFVXTUVOVCZWGWDZAVWIVXFVWGVXIWUPAWURUIZWVDAVXEVXGV
      XHUVPAVXFVWGUEUFVXSQVIPZVXFSPZWVFVWGSPZUEUFAGUDVEUBZSPZGVEUBZWLPZUDGSPZQV
      IPZVXFSPZWVKWLPZWLPZVXTQVIPZOTPZVXSVEUBZSPZWVNWMWLPZVXFSPZTPZWVPWLPZWVGWV
      HUEAWVLWWDWVPAWVJWVKAVXDWVIRNZWVJRNVXBUDWANZWWFUDUGNWWGUHUDUVQWJZUDWIWJGW
      VIWEWNZAGVYPWBZWOZAWWAWWCAWVSWVTAWVRRNZORNZWVSRNAVXTRNZQUGNZWWLAWUTWWNWVA
      WUTVXSVXSUVRVXSUWEUVSVPZWPVXTQWQWNZWRWVROUVTWNZAVXSWVAWBZUWAZAWWBRNZWUPWW
      CRNAWVNRNZWMRNWXAAWVMRNZWWOWXBAUDRNZVXDWXCWFVXBUDGWEVCZWPWVMQWQWNZUWBWVNW
      MUWCWNZWURWWBVXFWEWNZWGZAWVOWVKAWXBWUPWVORNWXFWURWVNVXFWEWNZWWJWOZAWVLWWD
      UEUFZWVLWSUBZWWDWSUBZUEUFZAUDGUKPZGVIPZVXSWVSWTPZOWWBWTPZSPZWXMWXNUEADDUG
      VYCXANVYCVYCVXSGUWDPUWFPUKPXBUWGUWHZWVFXCUBZVXTXCUBZGUAAGXDNZWMGUMUFGWMUW
      IUBNAGKUWJZAWMUDXBTPZGUMUWKAUDGUEUFZWYFGUMUFZAUDVWHGWXDAWFUIVXAVXBUDVWHUE
      UFAUCUDUDUWLXEXEUWMUWNUILXFAUDXDNWYDWYGWYHUSUWOWYEUDGUWPVCUWSUWQWMGWMUWRU
      WTUXAUXBAGHVTZUEUFZWYIVXSUMUFZVFZHXAXGGUAVTZUEUFZWYMVXSUMUFZVFZUAXAXGMWYL
      WYPHUAXAWYIWYMVJWYJWYNWYKWYOWYIWYMGUEUXCWYIWYMVXSUMUXDUXEUXFUXIWYAXHWYBXH
      WYCXHUXGAWXQWVJWSUBZWVKWSUBZVIPZWXMAWXPWYQGWYRVIAWWGWYDWXPWYQVJWWHWYEUDGU
      XHVCAWYRGAGVYPUXJUXKVLAWVJXRNWVKXRNZWXMWYSVJAWVJWWIXIZAWVKWWJXIZWVJWVKUXL
      XJXKAWXTWWAWSUBZWWCWSUBZSPZWXNAWXRXUCWXSXUDSAVXSWVSAVXSWVAXLAVXSWVAXMAWVS
      WWRXIUXMOXRNZOURXNZAWWBXRNWXSXUDVJXOXSAWWBWXGXIOWWBUXNXPVLAWWAXRNWWCXRNWX
      NXUEVJAWWAWWTXIZAWWCWXHXIZWWAWWCUXSXJXKUXOAWVLRNWWDRNWXLWXOUSWWKWXIWVLWWD
      UXTXJXQUXPAVXSVXFSPZWVOWLPZWVJWVOWLPWVGWVQAXUJWVJWVOWLAXUJGOSPZVXFSPZWVJA
      VXSXULVXFSAXUFGXRNZVXSXULVJXOAGVXBXIZOGUXQVCXTAXUMGOVXFSPZSPZWVJAXUNXUMXU
      QVJZXUOXUNXUFVXFXRNZXURXOVXFWURVBZGOVXFUYAYAVPXUPWVIGSXUPVXFVXFTPZOOSPZVE
      UBZWVIVXFXUTUXRWUQWUQXVCXVAVJWHWHOOYBUPXVBUDVEYCUYBUYCUYDUYEYDXTAVXSWVNWL
      PZVXFSPWVGXUKAXVDWVFVXFSAVXSWVNWVFAWVNWXFXIZAWVFAWUTQWANWVFWANWVAUYFVXSQU
      YGWNZXLZAUCGSPZQVIPZWVMVXSTPZQVIPZVXSWVNWVFTPZAXVHXVJQVIAXVHUDOTPZGSPZXVJ
      XVMUCGSUYJYEUDXRNXUFAXUNXVNXVJVJUYKXOXUOUDOGUYHXPUYIXTAXVIUCQVIPZGSPZVXSA
      XUNXVIXVPVJZXUOUCXRNXUNQXRNZQURXNZVFZXVQUYLXVRXVSYFYGUYMZUCGQUYNYJVPXVOOG
      SQOSPZQVIPXVOOXWBUCQVIUYOYEOQXOYFYGUYPYHYEUYEAWVMXRNZVXSXRNZXVKXVLVJZAWVM
      WXEXIAVXSAWWMVXDVXSRNZWRVXBOGWEVCZXIZXWCXWDXVTXWEXWAWVMVXSQUYQVUAXJUYRUYS
      XTAVXSWVNVXFXWHXVEAVXFWVEXIZUYTYIAWVJWVOWVKXUAAWVOWXJXIZXUBVUBYKAWWAWWCWV
      PWLPZTPWVRWVTSPZXUPOWVKSPZTPZTPZWVKWMVXFSPZWLPZTPZWWEWVHAWWAXWOXWKXWQTAWW
      AXWLOWVTSPZTPXWOAWVROWVTAWVRWWQXIZXUFAXOUIZAWVTWWSXIZVUCAXWSXWNXWLTAXWSOV
      XFWVKTPZSPXWNAWVTXXCOSAWUQWUSWVTXXCVJWHVYPOGYBVCZVKAOVXFWVKXXAXWIXUBYLYDV
      KYDAXWKWVOXWPWLPZWVPWLPXWQAWWCXXEWVPWLAWVNWMVXFXVEWMXRNAYMUIXWIUYTXTAWVOX
      WPWVKXWJXWPXRNZAWMVXFYMXUTVUDZUIZXUBVUEYDVLAWWAWWCWVPXUHXUIAWVPWXKXIVUFAX
      WLWVFVXQSPZTPZXWLXWNXWQTPZTPWVHXWRAXXIXXKXWLTAXWPQVXFSPZWLPZQWVKSPZXWPWLP
      ZTPZXUPXWMXWQTPZTPXXIXXKAXXMXUPXXOXXQTXXMXUPVJAWMQWLPZVXFSPXXMXUPWMQVXFYM
      YFXUTVUKXXROVXFSQOTPZQWLPZXXROXXSWMQWLVUGYEXVRXUFXXTOVJYFXOQOVUHUPYHYEYHU
      IAXXOXWMWVKXWPAXUFWYTXWMXRNZXOXUBOWVKYNVCZXUBXXHAXXNXWMWVKTPZXWPWLAXXNXWM
      XBWVKSPZTPZXYCAXXNOXBTPZWVKSPXYEQXYFWVKSVUIYEAOXBWVKXXAAVUJXUBVUCVULAXYDW
      VKXWMTAWVKXUBVUMVKYDXTVUNVLAQWUGSPZXXNXXLWLPZXXIXXPAXYGQWVKVXFWLPZSPZXYHA
      WUGXYIQSAWUSWUQWUGXYIVJVYPWHGOVUOWNVKAWYTXYJXYHVJZXUBXVRWYTXUSXYKYFXUTQWV
      KVXFVUPYJVPYDAWVFVXNSPZVXPSPQVXOSPZWUHSPZXXIXYGAXYLXYMVXPWUHSAXYLOQVIPZGS
      PZQOVIPZXYQSPZSPZXYOXYQSPZGXYQSPZSPZXYMAWVFXYPVXNXYRSAXUNWVFXYPVJZXUOXUFX
      UNXVTYUCXOXWAOGQUYNYJVPVXNXYRVJAXYRQQSPZXVBVIPVXNQOQOYFXOYFXOXSXSVUQYUDVH
      XVBUDVIVURYCVUTVUSUIVLAXYOXRNZXUNXYSYUBVJZOQXOYFYGVVAXUOYUEXUNVFXYQXRNZYU
      GYUFQOYFXOXSVVAZYUHXYOGXYQXYQVVBVVCVCAYUBYUAXYMAYUBXBYUASPYUAXYTXBYUASXUF
      XUGXVRXVSXYTXBVJXOXSYFYGOQVVDVAYEAYUAAXUNYUGYUAXRNXUOYUHGXYQYNWNVUMVULAXU
      NYUAXYMVJZXUOXUNXVRXUFXUGVFYUIYFVVEGQOVVFYAVPYDYOWUKVLAWVFVXNVXPXVGVXNXRN
      AVXNWUFVBUIAVXPWUMXIYPAXYNQVXOWUHSPZSPXYGAQVXOWUHXVRAYFUIZAVXOWUIXLZAWUGV
      XOAWUGWULXIZYULAVXOWUIXMZVVGYPAYUJWUGQSAWUGVXOYUMYULYUNYQVKYDUYRAXWPXXLXX
      NXXHXXLXRNAQVXFYFXUTVUDUIAXVRWYTXXNXRNYFXUBQWVKYNVCVVHYKAXUPXWMXWQXUPXRNZ
      AXUPOVXFWRWURVVIVBZUIXYBAWYTXXFXWQXRNXUBXXGWVKXWPVVJWNZYTYKVKAWVRVXFSPZWV
      RWVKSPZTPZXXITPYURYUSXXITPZTPZXXJWVHAYURYUSXXIAWVRXRNXUSYURXRNXWTXUTWVRVX
      FYNWNZAWVRWVKXWTXUBYRZAWVFVXQXVGAVXQWUNXIZYRZYTAXWLYUTXXITAXWLWVRXXCSPYUT
      AWVTXXCWVRSXXDVKAWVRVXFWVKXWTXWIXUBYLYDXTAWVHWVFVXRSPZWVFVYASPZTPZYVAYURT
      PYVBAWVHWVFVYBSPYVIAVWGVYBWVFSVYMVKAWVFVXRVYAXVGAVXRWUOXIAVYAWVCXIZYLYDAY
      VGYVAYVHYURTAYVGWVFVXMSPZXXITPYVAAWVFVXMVXQXVGAVXMWUEXIZYVEYLAYVKYUSXXITA
      YVKWVRVXTSPZVXMSPWVRVXTVXMSPZSPYUSAWVFYVMVXMSAVXTVXTSPZQVIPWVFYVMAYVOVXSQ
      VIAXWFURVXSUMUFYVOVXSVJXWGAVXSWVAVVKVXSYSXJXTAVXTVXTQAVXTWWPXIZYVPYUKXVSA
      YGUIVVLYIZXTAWVRVXTVXMXWTYVPYVLYPAYVNWVKWVRSAYVNVXJVXKSPZVXMSPVXJVXJSPZVX
      KVXLSPZSPZWVKAVXTYVRVXMSAWWMUROUMUFZVFVXDURGUMUFVFZVXTYVRVJWWMYWBWRVVMUYM
      AGVYPVVNZOGVVOVCXTAVXJVXKVXJVXLVXJXRNAVXJVQVBUIZAVXKVYQXLZYWEAVXLWUDXIVVP
      AYWAOVYNSPVYNVYNTPZWVKAYVSOYVTVYNSYVSOVJZAWWMYWBYWHWRVVMOYSUPUIAYVTVXKVYO
      SPVYNAVXLVYOVXKSWUBVKAVYNVXKAVYNWUCXIZYWFAVXKVYQXMYQYDVLAVYNYWIVVQAVXKVXK
      SPZVEUBYWGWVKAVXKVXKVYQVYQVVRAYWJGVEAYWCYWJGVJYWDGYSVPVMYIYOYOVKYOXTYDAYV
      HYVMVYASPWVRVXTVYASPZSPYURAWVFYVMVYASYVQXTAWVRVXTVYAXWTYVPYVJYPAYWKVXFWVR
      SAVXFVXTXWIYVPAVXTWVBXMYQVKYOVLAYVAYURAYUSXXIYVDYVFVVTYVCVVSYOVWAAXWLXWNX
      WQAWVRWVTXWTXXBYRAYUOXYAXWNXRNYUPXYBXUPXWMVWBVCYUQYTYKVWAVWCAVXFVWGWVFWVE
      WVDXVFVWDXQXFVWEVWF $.
  $}

  ${
    $d n p N $.  $d n x N $.
    $( Bertrand's postulate: there is a prime between ` N ` and ` 2 N ` for
       every positive integer ` N ` .  This proof follows Erd&#337;s's method,
       for the most part, but with some refinements due to Shigenori Tochiori
       to save us some calculations of large primes.  See
       ~ http://en.wikipedia.org/wiki/Proof_of_Bertrand%27s_postulate for an
       overview of the proof strategy.  This is Metamath 100 proof #98.
       (Contributed by Mario Carneiro, 14-Mar-2014.) $)
    bpos $p |- ( N e. NN -> E. p e. Prime ( N < p /\ p <_ ( 2 x. N ) ) ) $=
      ( vx vn cn wcel c6 c4 cle wbr cv clt c2 cmul co wa csqrt cfv clog cdiv wn
      cdc cprime wrex bpos1 crp cmpt c9 caddc eqid simpll simplr simpr bposlem9
      pm2.18da cr wo nnre 6nn0 4nn0 deccl nn0rei lelttric sylancl mpjaodan ) AE
      FZAGHUBZIJZABKZLJVIMANOIJPBUCUDZVGALJZABUEVFVKPZVJVLVJUAZPVJCDDEMQRDKZQRC
      UFCKZSRVOTOUGZRNOUHHTOVNMTOVPRNOUIOMSRMVNNOQRTOUIOUGZVPABVQUJVPUJVFVKVMUK
      VFVKVMULVLVMUMUNUOVFAUPFVGUPFVHVKUQAURVGGHUSUTVAVBAVGVCVDVE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Quadratic residues and the Legendre symbol
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  If the congruence ` ( ( x ^ 2 ) mod p ) = ( n mod p ) ` has a solution we say
  that ` n ` is a _quadratic residue_ ` mod p `.  If the congruence has no
  solution we say that ` n ` is a _quadratic nonresidue_ ` mod p `, see
  definition in [ApostolNT] p. 178.  The _Legendre symbol_ ` ( n /L p ) ` is
  defined in a way that its value is ` 1 ` if ` n ` is a quadratic residue
  ` mod p ` and ` -u 1 ` if ` n ` is a quadratic nonresidue ` mod p ` (and
  ` 0 ` if ` p ` divides ` n `), see ~ lgsqr .

  Originally, the Legendre symbol ` ( N /L P ) ` was defined for odd primes
  ` P ` only (and arbitrary integers ` N `) by Adrien-Marie Legendre in 1798,
  see definition in [ApostolNT] p. 179.  It was generalized to be defined for
  any positive odd integer by Carl Gustav Jacob Jacobi in 1837 (therefore
  called "Jacobi symbol" since then), see definition in [ApostolNT] p. 188.
  Finally, it was generalized to be defined for any integer by Leopold
  Kronecker in 1885 (therefore called "Kronecker symbol" since then).  The
  definition ~ df-lgs for the "Legendre symbol" ` /L ` is actually the
  definition of the "Kronecker symbol".  Since only one definition (and one
  class symbol) are provided in set.mm, the names "Legendre symbol", "Jacobi
  symbol" and "Kronecker symbol" are used synonymously for ` /L `, but mostly
  it is called "Legendre symbol", even if it is used in the context of a
  "Jacobi symbol" or "Kronecker symbol".

$)

  $c /L $.

  $( Extend class notation with the Legendre symbol function. $)
  clgs $a class /L $.

  ${
    $d a m n $.
    $( Define the Legendre symbol (actually the Kronecker symbol, which extends
       the Legendre symbol to all integers, and also the Jacobi symbol, which
       restricts the Kronecker symbol to positive odd integers).  See
       definition in [ApostolNT] p. 179 resp. definition in [ApostolNT] p. 188.
       (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    df-lgs $a |- /L = ( a e. ZZ , n e. ZZ |-> if ( n = 0 ,
      if ( ( a ^ 2 ) = 1 , 1 , 0 ) , ( if ( ( n < 0 /\ a < 0 ) , -u 1 , 1 ) x.
      ( seq 1 ( x. , ( m e. NN |-> if ( m e. Prime ,
        ( if ( m = 2 , if ( 2 || a , 0 , if ( ( a mod 8 ) e. { 1 , 7 } ,
          1 , -u 1 ) ) , ( ( ( ( a ^ ( ( m - 1 ) / 2 ) ) + 1 ) mod m ) - 1 ) )
            ^ ( m pCnt n ) ) , 1 ) ) ) ` ( abs ` n ) ) ) ) ) $.
  $}

  $( ` { -u 1 , 0 , 1 } ` is the set of all integers with absolute value at
     most ` 1 ` .  (Contributed by AV, 13-Jul-2021.) $)
  zabsle1 $p |- ( Z e. ZZ -> ( Z e. { -u 1 , 0 , 1 }
                               <-> ( abs ` Z ) <_ 1 ) ) $=
    ( cz wcel c1 cneg cc0 cabs cfv cle wbr wceq fveq2 eqbrtri eqbrtrdi wa cr wi
    w3o adantl com12 ctp eltpi ax-1cn absnegi abs1 eqtri 1le1 abs0 0le1 syl zre
    3jaoi 1red absled cn elz 3mix2 a1d nnle1eq1 biimpac 3mix3d elnnz1 lenegcon2
    ex wb mpancom neg1rr a1i id letri3d 3mix1 eqcoms syl6bir adantr sylbid impd
    com13 sylbi imp eltpg mpbird exp32 impcom impbid2 ) ABCZADEZFDUACZAGHZDIJZW
    GAWFKZAFKZADKZRZWIAWFFDUBWJWIWKWLWJWHWFGHZDIAWFGLWNDDIWNDGHZDDUCUDUEUFUGMNW
    KWHFGHZDIAFGLWPFDIUHUIMNWLWHWODIADGLWODDIUEUGMNULUJWEWIWFAIJZADIJZOZWGWEADA
    UKWEUMUNWEAPCZWKAUOCZAEZUOCZRZOWSWGQZAUPXDWTXEXDWTWSWGXDWTWSOZOWGWMXDXFWMWK
    XFWMQZXAXCWKWMXFWKWJWLUQURXFXAWMWSXAWMQZWTWRXHWQWRXAWMWRXAOWLWJWKXAWRWLAUSU
    TVAVDSSTXCXBBCZDXBIJZOXGXBVBXJXGXIXJWTWSWMWTXJWSWMQZWTXJAWFIJZXKDPCWTXJXLVE
    WTUMDAVCVFWSXLWTWMWQXLWTWMQZQWRWQXLXMWTWQXLOZWMWTXNWFAKWMWTWFAWFPCWTVGVHWTV
    IVJWMAWFWJWKWLVKVLVMTVDVNVQVOTVPSVRULVSXFWGWMVEZXDWTXOWSAWFFDPVTVNSWAWBWCVR
    VOWD $.

  $( When ` a ` is coprime to the prime ` p ` , ` a ^ ( ( p - 1 ) / 2 ) ` is
     equivalent ` mod p ` to ` 1 ` or ` -u 1 ` , and so adding ` 1 ` makes it
     equivalent to ` 0 ` or ` 2 ` .  (Contributed by Mario Carneiro,
     4-Feb-2015.) $)
  lgslem1 $p |- ( ( A e. ZZ /\ P e. ( Prime \ { 2 } ) /\ -. P || A ) ->
    ( ( ( A ^ ( ( P - 1 ) / 2 ) ) + 1 ) mod P ) e. { 0 , 2 } ) $=
    ( cz wcel cprime c2 cdvds wbr c1 cmin cexp cmo cc0 wceq syl syl2anc cn0 a1i
    co wb csn cdif wn w3a cdiv caddc wo cpr cmul cphi cfv eldifi 3ad2ant2 prmnn
    cn cgcd simp1 prmz gcdcomd simp3 coprm mpbid eulerth syl3anc phiprm nnm1nn0
    eqtrd eqeltrd zexpcl 1zzd moddvds nn0cnd 2cnd wne 2ne0 divcan1d eqtr4d zcnd
    oveq2d 2nn0 oddprm nnnn0d expmuld oveq1d sq1 oveq2i eqtr4di cc ax-1cn subsq
    sylancl breqtrd peano2zd peano2zm euclemma dvdsval3 2z cr crp cle clt nnrpd
    2re nnred cuz prmuz2 eluzle eldifsni leneltd modid syl22anc eqeq2d pnpcan2d
    0le2 df-2 syl5eq breq2d 3bitr3rd orbi12d ovex elpr sylibr ) ACDZBEFUAZUBDZB
    AGHUCZUDZABIJSZFUESZKSZIUFSZBLSZMNZYLFNZUGZYLMFUHDYGBYKGHZBYJIJSZGHZUGZYOYG
    BYKYQUISZGHZYSYGBABUJUKZKSZIJSZYTGYGUUCBLSIBLSNZBUUDGHZYGBUODZYCABUPSZINUUE
    YGBEDZUUGYEYCUUIYFBEYDULUMZBUNOZYCYEYFUQZYGUUHBAUPSZIYGABUULYGUUIBCDUUJBURO
    USYGYFUUMINZYCYEYFUTYGUUIYCYFUUNTUUJUULBAVAPVBVGABVCVDYGUUGUUCCDZICDUUEUUFT
    UUKYGYCUUBQDUUOUULYGUUBYHQYGUUIUUBYHNUUJBVEOZYGUUGYHQDUUKBVFOZVHAUUBVIPYGVJ
    UUCIBVKVDVBYGUUDYJFKSZIFKSZJSZYTYGUUDUURIJSUUTYGUUCUURIJYGUUCAYIFUISZKSUURY
    GUUBUVAAKYGUUBYHUVAUUPYGYHFYGYHUUQVLYGVMFMVNYGVORVPVQVSYGAYIFYGAUULVRFQDYGV
    TRYGYIYEYCYIUODYFBWAUMWBZWCVGWDUUSIUURJWEWFWGYGYJWHDIWHDZUUTYTNYGYJYGYCYIQD
    YJCDZUULUVBAYIVIPZVRZWIYJIWJWKVGWLYGUUIYKCDZYQCDZUUAYSTUUJYGYJUVEWMZYGUVDUV
    HUVEYJWNOBYKYQWOVDVBYGYPYMYRYNYGUUGUVGYPYMTUUKUVIBYKWPPYGYLFBLSZNZBYKFJSZGH
    ZYNYRYGUUGUVGFCDZUVKUVMTUUKUVIUVNYGWQRYKFBVKVDYGUVJFYLYGFWRDZBWSDMFWTHZFBXA
    HUVJFNUVOYGXCRZYGBUUKXBUVPYGXNRYGFBUVQYGBUUKXDYGBFXEUKDZFBWTHYGUUIUVRUUJBXF
    OFBXGOYEYCBFVNYFBEFXHUMXIFBXJXKXLYGUVLYQBGYGUVLYKIIUFSZJSYQFUVSYKJXOWFYGYJI
    IUVFUVCYGWIRZUVTXMXPXQXRXSVBYLMFYKBLXTYAYB $.

  ${
    lgslem2.z $e |- Z = { x e. ZZ | ( abs ` x ) <_ 1 } $.
    $( The set ` Z ` of all integers with absolute value at most ` 1 ` contains
       ` { -u 1 , 0 , 1 } ` .  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgslem2 $p |- ( -u 1 e. Z /\ 0 e. Z /\ 1 e. Z ) $=
      ( c1 cneg wcel cc0 cz cle wbr 1le1 cabs cfv wceq fveq2 abs1 eqtrdi breq1d
      elrab2 mpbir2an neg1z cv ax-1cn absnegi eqtri 0z 0le1 abs0 1z 3pm3.2i ) D
      EZBFZGBFZDBFZULUKHFDDIJZUAKAUBZLMZDIJZUOAUKHBUPUKNZUQDDIUSUQUKLMZDUPUKLOU
      TDLMZDDUCUDPUEQRCSTUMGHFGDIJZUFUGURVBAGHBUPGNZUQGDIVCUQGLMGUPGLOUHQRCSTUN
      DHFUOUIKURUOADHBUPDNZUQDDIVDUQVADUPDLOPQRCSTUJ $.

    $d x A $.  $d x B $.
    $( The set ` Z ` of all integers with absolute value at most ` 1 ` is
       closed under multiplication.  (Contributed by Mario Carneiro,
       4-Feb-2015.) $)
    lgslem3 $p |- ( ( A e. Z /\ B e. Z ) -> ( A x. B ) e. Z ) $=
      ( cz wcel cabs cfv c1 cle wbr wa cmul co wceq cr jca fveq2 breq1d zcn cc0
      zmulcl ad2ant2r cc absmul syl2an wi abscl absge0 syl adantr 1red lemul12a
      adantl syl22anc imp an4s 1t1e1 breqtrdi eqbrtrd cv elrab2 anbi12i 3imtr4i
      ) BFGZBHIZJKLZMZCFGZCHIZJKLZMZMZBCNOZFGZVOHIZJKLZMBDGZCDGZMVODGVNVPVRVFVJ
      VPVHVLBCUCUDVNVQVGVKNOZJKVFVJVQWAPZVHVLVFBUEGZCUEGZWBVJBUAZCUAZBCUFUGUDVN
      WAJJNOZJKVFVJVHVLWAWGKLZVFVJMZVHVLMZWHWIVGQGZUBVGKLZMZJQGZVKQGZUBVKKLZMZW
      NWJWHUHVFWMVJVFWCWMWEWCWKWLBUIBUJRUKULWIUMZVJWQVFVJWDWQWFWDWOWPCUICUJRUKU
      OWRVGJVKJUNUPUQURUSUTVARVSVIVTVMAVBZHIZJKLZVHABFDWSBPWTVGJKWSBHSTEVCXAVLA
      CFDWSCPWTVKJKWSCHSTEVCVDXAVRAVOFDWSVOPWTVQJKWSVOHSTEVCVE $.

    $( Lemma for ~ lgsfcl2 .  (Contributed by Mario Carneiro, 4-Feb-2015.)
       (Proof shortened by AV, 19-Mar-2022.) $)
    lgslem4 $p |- ( ( A e. ZZ /\ P e. ( Prime \ { 2 } ) ) ->
      ( ( ( ( A ^ ( ( P - 1 ) / 2 ) ) + 1 ) mod P ) - 1 ) e. Z ) $=
      ( wcel cprime c2 wa cdvds wbr c1 cmin co wceq adantl cc0 eqeltri eqeltrdi
      oveq1 cz csn cdif cdiv caddc cmo clt cn wb eldifi simpl oddprm prmdvdsexp
      cexp syl3anc biimpar prmgt1 ad2antlr p1modz1 syl2anc oveq1d 1m1e0 lgslem2
      syl cneg simp2i wn w3a cpr wo lgslem1 elpri df-neg simp1i eqeltrri simp3i
      2m1e1 jaoi 3syl 3expa pm2.61dan ) BUAFZCGHUBZUCFZIZCBJKZBCLMNHUDNZUNNZLUE
      NCUFNZLMNZDFZWEWFIZWJLLMNZDWLWILLMWLCWHJKZLCUGKZWILOWEWNWFWECGFZWBWGUHFZW
      NWFUIWDWPWBCGWCUJZPWBWDUKWDWQWBCULPBCWGUMUOUPWDWOWBWFWDWPWOWRCUQVDURWHCUS
      UTVAWMQDVBLVEZDFZQDFZLDFZADEVCZVFRSWBWDWFVGZWKWBWDXDVHWIQHVIFWIQOZWIHOZVJ
      WKBCVKWIQHVLXEWKXFXEWJQLMNZDWIQLMTWSXGDLVMWTXAXBXCVNVOSXFWJHLMNZDWIHLMTXH
      LDVQWTXAXBXCVPRSVRVSVTWA $.
  $}

  ${
    $d a b m n x y z A $.  $d a m x y z F $.  $d n x M $.  $d a m n x y z N $.
    $d a b n y z Z $.
    lgsval.1 $e |- F = ( n e. NN |-> if ( n e. Prime ,
        ( if ( n = 2 , if ( 2 || A , 0 , if ( ( A mod 8 ) e. { 1 , 7 } ,
          1 , -u 1 ) ) , ( ( ( ( A ^ ( ( n - 1 ) / 2 ) ) + 1 ) mod n ) - 1 ) )
            ^ ( n pCnt N ) ) , 1 ) ) $.
    $( Value of the Legendre symbol at an arbitrary integer.  (Contributed by
       Mario Carneiro, 4-Feb-2015.) $)
    lgsval $p |- ( ( A e. ZZ /\ N e. ZZ ) -> ( A /L N ) = if ( N = 0 ,
      if ( ( A ^ 2 ) = 1 , 1 , 0 ) , ( if ( ( N < 0 /\ A < 0 ) , -u 1 , 1 ) x.
      ( seq 1 ( x. , F ) ` ( abs ` N ) ) ) ) ) $=
      ( va cc0 wceq c2 cexp co c1 cif clt wbr cfv cmul cmo cmin oveq1d vm cz cv
      wa cneg cabs cn cprime wcel cdvds c8 c7 cpr cdiv caddc cpc cmpt cseq clgs
      simpr eqeq1d breq1d anbi12d breq2d eleq1d ifbieq2d ifeq12d oveq2d oveq12d
      simpl ifeq1d mpteq2dv eqtr4di seqeq3d fveq2d fveq12d ifbieq12d df-lgs cn0
      ifbid 1nn0 0nn0 ifcli elexi ovex ifex ovmpoa ) FUAADUBUBUAUCZGHZFUCZIJKZL
      HZLGMZWHGNOZWJGNOZUDZLUEZLMZWHUFPZQBUGBUCZUHUIZWTIHZIWJUJOZGWJUKRKZLULUMZ
      UIZLWQMZMZWJWTLSKIUNKZJKZLUOKZWTRKZLSKZMZWTWHUPKZJKZLMZUQZLURZPZQKZMDGHZA
      IJKZLHZLGMZDGNOZAGNOZUDZWQLMZDUFPZQCLURZPZQKZMUSWJAHZWHDHZUDZWIYBWMYAYEYM
      YPWHDGYNYOUTZVAYPWLYDLGYPWKYCLYPWJAIJYNYOVJZTVAVTYPWRYIXTYLQYPWPYHWQLYPWN
      YFWOYGYPWHDGNYQVBYPWJAGNYRVBVCVTYPWSYJXSYKYPXRCQLYPXRBUGXAXBIAUJOZGAUKRKZ
      XEUIZLWQMZMZAXIJKZLUOKZWTRKZLSKZMZWTDUPKZJKZLMZUQCYPBUGXQUUKYPXAXPUUJLYPX
      NUUHXOUUIJYPXBXHUUCXMUUGYPXCYSXGUUBGYPWJAIUJYRVDYPXFUUALWQYPXDYTXEYPWJAUK
      RYRTVEVTVFYPXLUUFLSYPXKUUEWTRYPXJUUDLUOYPWJAXIJYRTTTTVGYPWHDWTUPYQVHVIVKV
      LEVMVNYPWHDUFYQVOVPVIVQBUAFVRYBYEYMYEVSYDLGVSWAWBWCWDYIYLQWEWFWG $.

    $( Value of the function ` F ` which defines the Legendre symbol at the
       primes.  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgsfval $p |- ( M e. NN -> ( F ` M ) = if (
  M e. Prime , ( if ( M = 2 , if ( 2 || A , 0 , if ( ( A mod 8 ) e. { 1 , 7 } ,
          1 , -u 1 ) ) , ( ( ( ( A ^ ( ( M - 1 ) / 2 ) ) + 1 ) mod M ) - 1 ) )
            ^ ( M pCnt N ) ) , 1 ) ) $=
      ( cprime wcel c2 wceq cmo co c1 cif cmin cdiv cexp caddc cpc oveq1d cdvds
      cv wbr cc0 c8 c7 cpr cneg cn eleq1 eqeq1 oveq1 oveq2d id oveq12d ifbieq2d
      ifbieq1d ovex 1ex ifex fvmpt ) BDBUBZGHZVBIJZIAUAUCUDAUEKLMUFUGHMMUHNNZAV
      BMOLZIPLZQLZMRLZVBKLZMOLZNZVBESLZQLZMNDGHZDIJZVEADMOLZIPLZQLZMRLZDKLZMOLZ
      NZDESLZQLZMNUICVBDJZVCVOVNWEMVBDGUJWFVLWCVMWDQWFVDVPVKWBVEVBDIUKWFVJWAMOW
      FVIVTVBDKWFVHVSMRWFVGVRAQWFVFVQIPVBDMOULTUMTWFUNUOTUPVBDESULUOUQFVOWEMWCW
      DQURUSUTVA $.

    ${
      lgsfcl2.z $e |- Z = { x e. ZZ | ( abs ` x ) <_ 1 } $.
      $( The function ` F ` is closed in integers with absolute value less than
         ` 1 ` (namely ` { -u 1 , 0 , 1 } ` , see ~ zabsle1 ).  (Contributed by
         Mario Carneiro, 4-Feb-2015.) $)
      lgsfcl2 $p |- ( ( A e. ZZ /\ N e. ZZ /\ N =/= 0 ) -> F : NN --> Z ) $=
        ( cz wcel cc0 cv c2 wceq wbr co c1 wa cle cabs va vb cn cprime cdvds c8
        wne w3a cmo c7 cpr cneg cif cmin cdiv cexp caddc cpc cn0 0le1 cfv fveq2
        0z abs0 eqtrdi breq1d elrab2 mpbir2an 1z 1le1 abs1 neg1z ax-1cn absnegi
        eqtri ifcli a1i wn csn cdif simpl1 ad2antrr simplr simpr neqned eldifsn
        sylanbrc lgslem4 syl2anc ifclda simpll2 simpll3 pczcl syl12anc cc zsscn
        ssrab3 sstri lgslem3 expcllem fmptd ) BIJZEIJZEKUGZUHZCUCCLZUDJZXFMNZMB
        UEOZKBUFUIPQUJUKJZQQULZUMZUMZBXFQUNPMUOPUPPQUQPXFUIPQUNPZUMZXFEURPZUPPZ
        QUMFDXEXFUCJZRZXGXQQFXSXGRZXOFJXPUSJZXQFJXTXHXMXNFXMFJXTXHRXIKXLFKFJKIJ
        KQSOZVCUTALZTVAZQSOZYBAKIFYCKNZYDKQSYFYDKTVAKYCKTVBVDVEVFHVGVHXJQXKFQFJ
        ZQIJQQSOZVIVJYEYHAQIFYCQNZYDQQSYIYDQTVAZQYCQTVBVKVEVFHVGVHZXKFJXKIJYHVL
        VJYEYHAXKIFYCXKNZYDQQSYLYDXKTVAZQYCXKTVBYMYJQQVMVNVKVOVEVFHVGVHVPVPVQXT
        XHVRZRZXBXFUDMVSVTJZXNFJXSXBXGYNXBXCXDXRWAWBYOXGXFMUGYPXSXGYNWCYOXFMXTY
        NWDWEXFUDMWFWGABXFFHWHWIWJXTXGXCXDYAXSXGWDXBXCXDXRXGWKXBXCXDXRXGWLXFEWM
        WNUAUBXOXPFFIWOYEAIFHWQWPWRAUALUBLFHWSYKWTWIYGXSXGVRRYKVQWJGXA $.

      $( The Legendre symbol is an element of ` Z ` .  (Contributed by Mario
         Carneiro, 4-Feb-2015.) $)
      lgscllem $p |- ( ( A e. ZZ /\ N e. ZZ ) -> ( A /L N ) e. Z ) $=
        ( vy vz cz wcel wa co cc0 c1 cif cfv cmul cn clgs wceq c2 cexp clt cneg
        wbr cabs cseq lgsval lgslem2 simp3i simp2i a1i wn simp1i cuz wne simplr
        ifcli simpr neqned nnabscl syl2anc nnuz eleqtrdi wf df-ne lgsfcl2 3expa
        cfz sylan2br elfznn ffvelrn syl2an lgslem3 adantl seqcl sylancr eqeltrd
        cv ifclda ) BKLZEKLZMZBEUANEOUBZBUCUDNPUBZPOQZEOUEUGBOUEUGMZPUFZPQZEUHR
        ZSDPUIRZSNZQFBCDEGUJWEWFWHWNFWHFLWEWFMWGPOFWJFLZOFLZPFLZAFHUKZULZWOWPWQ
        WRUMUTUNWEWFUOZMZWKFLWMFLWNFLWIWJPFWOWPWQWRUPWSUTXAIJSFDPWLXAWLTPUQRXAW
        DEOURZWLTLWCWDWTUSXAEOWEWTVAVBEVCVDVEVFXATFDVGZIWAZTLXDDRFLXDPWLVKNLWTW
        EXBXCEOVHWCWDXBXCABCDEFGHVIVJVLXDWLVMTFXDDVNVOXDFLJWAZFLMXDXESNFLXAAXDX
        EFHVPVQVRAWKWMFHVPVSWBVT $.
    $}

    $( Closure of the function ` F ` which defines the Legendre symbol at the
       primes.  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgsfcl $p |- ( ( A e. ZZ /\ N e. ZZ /\ N =/= 0 ) -> F : NN --> ZZ ) $=
      ( vx cz wcel cc0 wne w3a cn cv cabs cfv c1 cle wbr crab wf lgsfcl2 ssrab2
      wss eqid fss sylancl ) AGHDGHDIJKLFMNOPQRZFGSZCTUHGUCLGCTFABCDUHEUHUDUAUG
      FGUBLUHGCUEUF $.

    $( The function ` F ` has magnitude less or equal to ` 1 ` .  (Contributed
       by Mario Carneiro, 4-Feb-2015.) $)
    lgsfle1 $p |- ( ( ( A e. ZZ /\ N e. ZZ /\ N =/= 0 ) /\ M e. NN ) ->
      ( abs ` ( F ` M ) ) <_ 1 ) $=
      ( vx cz wcel cc0 wne w3a cn wa cfv cv cabs c1 cle wbr crab eqid ffvelrnda
      lgsfcl2 wceq fveq2 breq1d elrab simprbi syl ) AHIEHIEJKLZDMINDCOZGPZQOZRS
      TZGHUAZIZULQOZRSTZUKMUPDCGABCEUPFUPUBUDUCUQULHIUSUOUSGULHUMULUEUNURRSUMUL
      QUFUGUHUIUJ $.

    $( Lemma for ~ lgsval2 .  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgsval2lem $p |- ( ( A e. ZZ /\ N e. Prime ) -> ( A /L N ) =
      if ( N = 2 , if ( 2 || A , 0 , if ( ( A mod 8 ) e. { 1 , 7 } ,
      1 , -u 1 ) ) , ( ( ( ( A ^ ( ( N - 1 ) / 2 ) ) + 1 ) mod N ) - 1 ) ) ) $=
      ( cz wcel cprime wa co cc0 wceq c2 cexp c1 cif wbr cfv cmul cn clgs cdvds
      vx clt cneg cabs cseq c8 cmo cpr cmin cdiv caddc prmz lgsval sylan2 prmnn
      c7 adantl nnne0d neneqd iffalsed cle wn nnnn0d nn0ge0d cr 0re nnred lenlt
      wb sylancr mpbid intnanrd absidd fveq2d cuz 1z prmuz2 df-2 eleqtrdi seqm1
      fveq2i 1t1e1 a1i uz2m1nn syl nnuz cv cfz cpc elfznn lgsfval elfzelz ltm1d
      zred peano2rem elfzle2 lensymd pm2.65i eleq1 mtbiri con2i simpllr dvdsprm
      ad2antlr syl2an2 mtbird simpr ad2antrr pceq0 mpbird oveq2d cc neg1z ifcli
      syl2anc 0z cn0 simpl csn wne simplr neqned eldifsn sylanbrc oddprm zexpcl
      cdif peano2zd zmodcld nn0zd ifclda zcnd eqtrd oveq1d 3eqtrd oveq12d exp1d
      peano2zm adantlr exp0d ifeq1da ifid eqtrdi seqid3 lgsfcl syl3anc ffvelrnd
      wf mulid2d iftrue nncnd pcid eqtr3d eqeq1 oveq1 ifbieq2d eleq1d ralrimiva
      sylancl id rspcdva ) AFGZDHGZIZADUAJZDKLZAMNJOLOKPZDKUDQZAKUDQZIZOUEZOPZD
      UFRZSCOUGZRZSJZPZUVRDMLZMAUBQZKAUHUIJOURUJGZOUVMPZPZADOUKJZMULJZNJZOUMJZD
      UIJZOUKJZPZUVEUVDDFGZUVGUVSLDUNZABCDEUOUPUVFUVHUVIUVRUVFDKUVFDUVEDTGZUVDD
      UQUSZUTZVAVBUVFUVRODCRZSJZUWQUWKUVFUVNOUVQUWQSUVFUVLUVMOUVFUVJUVKUVFKDVCQ
      ZUVJVDZUVFDUVFDUWOVEVFZUVFKVGGDVGGZUWSUWTVKVHUVFDUWOVIZKDVJVLVMVNVBUVFUVQ
      DUVPRZUWQUVFUVODUVPUVFDUXCUXAVOVPUVFUXDUWEUVPRZUWQSJZUWRUWQUVFOFGZDOOUMJZ
      VQRZGUXDUXFLVRUVFDMVQRZUXIUVEDUXJGZUVDDVSUSZMUXHVQVTWCWASCODWBVLUVFUXEOUW
      QSUVFUCSCOUWEOOOSJOLUVFWDWEUVFUWETOVQRUVFUXKUWETGUXLDWFWGWHWAUVFUCWIZOUWE
      WJJZGZIZUXMCRZUXMHGZUXMMLZUWDAUXMOUKJZMULJZNJZOUMJZUXMUIJZOUKJZPZUXMDWKJZ
      NJZOPZOUXPUXMTGZUXQUYILUXOUYJUVFUXMUWEWLUSABCUXMDEWMWGUXPUYIUXROOPOUXPUXR
      UYHOOUXPUXRIZUYHUYFKNJOUYKUYGKUYFNUYKUYGKLZUXMDUBQZVDZUYKUYMUXMDLZUXOUYOV
      DUVFUXRUYOUXOUYOUXODUXNGZUYPUWEDUDQUYPDUYPDDOUWEWNWPZWOUYPDUWEUYQUYPUXBUW
      EVGGUYQDWQWGDOUWEWRWSWTUXMDUXNXAXBXCXFUXRUXMUXJGUXPUVEUYMUYOVKUXMVSUVDUVE
      UXOUXRXDDUXMXEXGXHUYKUXRUWNUYLUYNVKUXPUXRXIUVFUWNUXOUXRUWOXJUXMDXKXQXLXMU
      YKUYFUVFUXRUYFXNGZUXOUVFUXRIZUYFUYSUXSUWDUYEFUWDFGUYSUXSIUWAKUWCFXRUWBOUV
      MFVRXOXPXPWEUYSUXSVDZIZUYDFGUYEFGVUAUYDVUAUYCUXMVUAUYBVUAUVDUYAXSGUYBFGUV
      FUVDUXRUYTUVDUVEXTZXJVUAUYAVUAUXMHMYAYIGZUYATGVUAUXRUXMMYBVUCUVFUXRUYTYCV
      UAUXMMUYSUYTXIYDUXMHMYEYFUXMYGWGVEAUYAYHXQYJUXRUYJUVFUYTUXMUQXFYKYLUYDYTW
      GYMYNZUUAUUBYOUUCUXROUUDUUEYOUUFYPUVFUWQUVFUWQUVFTFDCUVFUVDUWLDKYBTFCUUJV
      UBUVEUWLUVDUWMUSUWPABCDEUUGUUHUWOUUIYNUUKZYQYOYRVUEUVFUWQUVEUWKDDWKJZNJZO
      PZVUGUWKUVFUWNUWQVUHLUWOABCDDEWMWGUVEVUHVUGLUVDUVEVUGOUULUSUVFVUGUWKONJUW
      KUVFVUFOUWKNUVFDDONJZWKJZVUFOUVFVUIDDWKUVFDUVFDUWOUUMYSXMUVFUVEUXGVUJOLUV
      DUVEXIZVRODUUNUVAUUOXMUVFUWKUVFUYRUWKXNGUCHDUYOUYFUWKXNUYOUXSUVTUYEUWJUWD
      UXMDMUUPUYOUYDUWIOUKUYOUYCUWHUXMDUIUYOUYBUWGOUMUYOUYAUWFANUYOUXTUWEMULUXM
      DOUKUUQYPXMYPUYOUVBYRYPUURUUSUVFUYRUCHVUDUUTVUKUVCYSYOYQYQYQ $.

    $( Lemma for ~ lgsval4 .  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgsval4lem $p |- ( ( A e. ZZ /\ N e. ZZ /\ N =/= 0 ) -> F = ( n e. NN |->
      if ( n e. Prime , ( ( A /L n ) ^ ( n pCnt N ) ) , 1 ) ) ) $=
      ( vm cz wcel cc0 cn cv c2 wceq cmo co c1 cif cmin cexp cmpt wne w3a cdvds
      cprime wbr c8 c7 cpr cneg cdiv caddc cpc clgs lgsval2lem 3ad2antl1 oveq1d
      wa eqid ifeq1da mpteq2dv eqtr4id ) AGHZDGHZDIUAZUBZCBJBKZUDHZVFLMLAUCUEIA
      UFNOPUGUHHPPUIQQZAVFPROLUJOSOPUKOVFNOPROQZVFDULOZSOZPQZTBJVGAVFUMOZVJSOZP
      QZTEVEBJVOVLVEVGVNVKPVEVGUQVMVIVJSVBVCVGVMVIMVDAFFJFKZUDHVPLMVHAVPPROLUJO
      SOPUKOVPNOPROQVPVFULOSOPQTZVFVQURUNUOUPUSUTVA $.
  $}

  ${
    $d n x A $.  $d n x N $.  $d n Z $.
    lgscl2.z $e |- Z = { x e. ZZ | ( abs ` x ) <_ 1 } $.
    $( The Legendre symbol is an integer with absolute value less than or equal
       to 1.  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgscl2 $p |- ( ( A e. ZZ /\ N e. ZZ ) -> ( A /L N ) e. Z ) $=
      ( vn cn cv cprime wcel c2 wceq cdvds wbr cmo co c1 cif cmin cexp cc0 cneg
      c8 c7 cpr cdiv caddc cpc cmpt eqid lgscllem ) ABFFGFHZIJULKLKBMNUABUCOPQU
      DUEJQQUBRRBULQSPKUFPTPQUGPULOPQSPRULCUHPTPQRUIZCDUMUJEUK $.
  $}

  ${
    $d n x y A $.  $d x y F $.  $d n x y N $.  $d n P $.
    $( The Legendre symbol when the second argument is zero.  (Contributed by
       Mario Carneiro, 4-Feb-2015.) $)
    lgs0 $p |- ( A e. ZZ -> ( A /L 0 ) = if ( ( A ^ 2 ) = 1 , 1 , 0 ) ) $=
      ( vn cz wcel cc0 clgs co wceq c2 cexp c1 cif clt wbr wa cfv cmul cmo cmin
      eqid cneg cabs cn cv cprime cdvds c8 c7 cpr cdiv caddc cpc cmpt 0z lgsval
      cseq mpan2 iftruei eqtrdi ) ACDZAEFGZEEHZAIJGKHKELZEEMNAEMNOKUAZKLEUBPQBU
      CBUDZUEDVEIHIAUFNEAUGRGKUHUIDKVDLLAVEKSGIUJGJGKUKGVERGKSGLVEEULGJGKLUMZKU
      PPQGZLZVCUTECDVAVHHUNABVFEVFTUOUQVBVCVGETURUS $.

    $( The Legendre symbol is an integer.  (Contributed by Mario Carneiro,
       4-Feb-2015.) $)
    lgscl $p |- ( ( A e. ZZ /\ N e. ZZ ) -> ( A /L N ) e. ZZ ) $=
      ( vx cz wcel wa cv cabs cfv c1 cle crab clgs co ssrab2 eqid lgscl2 sselid
      wbr ) ADEBDEFCGHIJKSZCDLZDABMNTCDOCABUAUAPQR $.

    $( The Legendre symbol has absolute value less than or equal to 1.
       Together with ~ lgscl this implies that it takes values in
       ` { -u 1 , 0 , 1 } ` .  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgsle1 $p |- ( ( A e. ZZ /\ N e. ZZ ) -> ( abs ` ( A /L N ) ) <_ 1 ) $=
      ( vx cz wcel wa clgs co cv cabs cfv cle wbr crab eqid lgscl2 fveq2 breq1d
      c1 wceq elrab simprbi syl ) ADEBDEFABGHZCIZJKZSLMZCDNZEZUDJKZSLMZCABUHUHO
      PUIUDDEUKUGUKCUDDUEUDTUFUJSLUEUDJQRUAUBUC $.

    $( The Legendre symbol at a prime (this is the traditional domain of the
       Legendre symbol, except for the addition of prime ` 2 ` ).  (Contributed
       by Mario Carneiro, 4-Feb-2015.) $)
    lgsval2 $p |- ( ( A e. ZZ /\ P e. Prime ) -> ( A /L P ) = if ( P = 2 ,
      if ( 2 || A , 0 , if ( ( A mod 8 ) e. { 1 , 7 } , 1 , -u 1 ) ) ,
        ( ( ( ( A ^ ( ( P - 1 ) / 2 ) ) + 1 ) mod P ) - 1 ) ) ) $=
      ( vn cn cv cprime wcel c2 wceq cdvds wbr cc0 c8 cmo co c1 cif cmin cexp
      c7 cpr cneg cdiv caddc cpc cmpt eqid lgsval2lem ) ACCDCEZFGUIHIHAJKLAMNOP
      TUAGPPUBQQAUIPROHUCOSOPUDOUINOPROQUIBUEOSOPQUFZBUJUGUH $.

    $( The Legendre symbol at ` 2 ` .  (Contributed by Mario Carneiro,
       4-Feb-2015.) $)
    lgs2 $p |- ( A e. ZZ -> ( A /L 2 ) = if ( 2 || A , 0 ,
      if ( ( A mod 8 ) e. { 1 , 7 } , 1 , -u 1 ) ) ) $=
      ( cz wcel c2 clgs co wceq cdvds wbr cc0 c8 cmo c1 cpr cneg cmin cdiv cexp
      c7 cif caddc cprime 2prm lgsval2 mpan2 eqid iftruei eqtrdi ) ABCZADEFZDDG
      ZDAHIJAKLFMSNCMMOTTZADMPFDQFRFMUAFDLFMPFZTZULUIDUBCUJUNGUCADUDUEUKULUMDUF
      UGUH $.

    $( The Legendre symbol at an odd prime (this is the traditional domain of
       the Legendre symbol).  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgsval3 $p |- ( ( A e. ZZ /\ P e. ( Prime \ { 2 } ) ) -> ( A /L P ) =
        ( ( ( ( A ^ ( ( P - 1 ) / 2 ) ) + 1 ) mod P ) - 1 ) ) $=
      ( cprime c2 csn cdif wcel cz wne wa clgs co cmin cdiv cexp caddc cmo wceq
      c1 cif eldifsn cdvds wbr cc0 c8 c7 cneg lgsval2 ifnefalse sylan9eq anasss
      cpr sylan2b ) BCDEFGAHGZBCGZBDIZJABKLZABSMLDNLOLSPLBQLSMLZRZBCDUAUNUOUPUS
      UNUOJUPUQBDRDAUBUCUDAUEQLSUFULGSSUGTTZURTURABUHBDUTURUIUJUKUM $.

    $( The Legendre symbol is equivalent to ` a ^ ( ( p - 1 ) / 2 ) ` ,
       ` mod p ` .  This theorem is also called "Euler's criterion", see
       theorem 9.2 in [ApostolNT] p. 180, or a representation of Euler's
       criterion using the Legendre symbol, see also ~ lgsqr .  (Contributed by
       Mario Carneiro, 4-Feb-2015.) $)
    lgsvalmod $p |- ( ( A e. ZZ /\ P e. ( Prime \ { 2 } ) ) ->
      ( ( A /L P ) mod P ) = ( ( A ^ ( ( P - 1 ) / 2 ) ) mod P ) ) $=
      ( cz wcel cprime c2 co c1 caddc cmo cmin cr syl recnd ax-1cn oveq1d eqtrd
      wceq cc sylancl csn cdif clgs cneg cdiv cexp crp eldifi adantl prmz lgscl
      wa syldan zred peano2re cn0 oddprm nnnn0d zexpcl neg1rr a1i prmnn lgsval3
      nnrpd eqcomd modcld subadd2d mpbid modabs2 syl2anc syl221anc negsub pncan
      cn modadd1 3eqtr3d ) ACDZBEFUAZUBDZULZABUCGZHIGZHUDZIGZBJGZABHKGFUEGZUFGZ
      HIGZWCIGZBJGZWABJGWGBJGVTWBLDZWHLDZWCLDZBUGDZWBBJGZWHBJGZRWEWJRVTWALDWKVT
      WAVQVSBCDZWACDVTBEDZWQVSWRVQBEVRUHUIZBUJMABUKUMUNZWAUOMZVTWGLDWLVTWGVQVSW
      FUPDWGCDVTWFVSWFVNDVQBUQUIURAWFUSUMUNZWGUOMZWMVTUTVAVTBVTWRBVNDWSBVBMVDZV
      TWOWPBJGZWPVTWBWPBJVTWPHKGZWARWBWPRVTWAXFABVCVEVTWPHWAVTWPVTWHBXCXDVFNHSD
      ZVTOVAVTWAWTNZVGVHPVTWLWNXEWPRXCXDWHBVIVJQWBWHWCBVOVKVTWDWABJVTWDWBHKGZWA
      VTWBSDXGWDXIRVTWBXANOWBHVLTVTWASDXGXIWARXHOWAHVMTQPVTWIWGBJVTWIWHHKGZWGVT
      WHSDXGWIXJRVTWHXCNOWHHVLTVTWGSDXGXJWGRVTWGXBNOWGHVMTQPVP $.

    lgsval4.1 $e |- F = ( n e. NN |->
      if ( n e. Prime , ( ( A /L n ) ^ ( n pCnt N ) ) , 1 ) ) $.
    $( Restate ~ lgsval for nonzero ` N ` , where the function ` F ` has been
       abbreviated into a self-referential expression taking the value of
       ` /L ` on the primes as given.  (Contributed by Mario Carneiro,
       4-Feb-2015.) $)
    lgsval4 $p |- ( ( A e. ZZ /\ N e. ZZ /\ N =/= 0 ) -> ( A /L N ) =
      ( if ( ( N < 0 /\ A < 0 ) , -u 1 , 1 ) x.
        ( seq 1 ( x. , F ) ` ( abs ` N ) ) ) ) $=
      ( cz wcel cc0 clgs co wceq c2 cexp c1 cif clt wbr cfv cmul cn wne wa cneg
      w3a cabs cv cprime cdvds c8 cmo c7 cpr cmin cdiv caddc cpc cmpt cseq eqid
      lgsval 3adant3 simp3 neneqd iffalsed eqtr4di seqeq3d fveq1d oveq2d 3eqtrd
      lgsval4lem ) AFGZDFGZDHUAZUDZADIJZDHKZALMJNKNHOZDHPQAHPQUBNUCZNOZDUERZSBT
      BUFZUGGZWALKLAUHQHAUIUJJNUKULGNVROOAWANUMJLUNJMJNUOJWAUJJNUMJOWADUPJZMJNO
      UQZNURZRZSJZOZWGVSVTSCNURZRZSJVKVLVOWHKVMABWDDWDUSZUTVAVNVPVQWGVNDHVKVLVM
      VBVCVDVNWFWJVSSVNVTWEWIVNWDCSNVNWDBTWBAWAIJWCMJNOUQCABWDDWKVJEVEVFVGVHVI
      $.

    $( Closure of the function ` F ` which defines the Legendre symbol at the
       primes.  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgsfcl3 $p |- ( ( A e. ZZ /\ N e. ZZ /\ N =/= 0 ) -> F : NN --> ZZ ) $=
      ( cz wcel cc0 wne w3a cn c2 cmo co c1 cif cmin cexp cmpt wf cv wceq cdvds
      cprime wbr c8 cpr cneg cdiv caddc cpc eqid lgsfcl clgs lgsval4lem eqtr4di
      c7 feq1d mpbid ) AFGDFGDHIJZKFBKBUAZUDGZVALUBLAUCUEHAUFMNOUQUGGOOUHPPAVAO
      QNLUINRNOUJNVAMNOQNPVADUKNZRNOPSZTKFCTABVDDVDULZUMUTKFVDCUTVDBKVBAVAUNNVC
      RNOPSCABVDDVEUOEUPURUS $.

    $( Same as ~ lgsval4 for positive ` N ` .  (Contributed by Mario Carneiro,
       4-Feb-2015.) $)
    lgsval4a $p |- ( ( A e. ZZ /\ N e. NN ) ->
      ( A /L N ) = ( seq 1 ( x. , F ) ` N ) ) $=
      ( vx vy cz wcel cn wa co cc0 clt wbr c1 cfv cmul adantl syl3anc clgs cneg
      cif cabs cseq wne wceq simpl nnz nnne0 lgsval4 wn nngt0 cr wi nnre ltnsym
      0re sylancr mpd intnanrd iffalsed cn0 nnnn0 nn0ge0d absidd fveq2d oveq12d
      cuz simpr nnuz eleqtrdi wf cfz lgsfcl3 elfznn ffvelrn syl2an zmulcl seqcl
      cv zcnd mulid2d 3eqtrd ) AHIZDJIZKZADUALZDMNOZAMNOZKZPUBZPUCZDUDQZRCPUEZQ
      ZRLZPDWOQZRLWRWGWEDHIZDMUFZWHWQUGWEWFUHZWFWSWEDUISZWFWTWEDUJSZABCDEUKTWGW
      MPWPWRRWGWKWLPWGWIWJWGMDNOZWIULZWFXDWEDUMSWGMUNIDUNIZXDXEUOURWFXFWEDUPSZM
      DUQUSUTVAVBWGWNDWOWGDXGWGDWFDVCIWEDVDSVEVFVGVHWGWRWGWRWGFGRHCPDWGDJPVIQWE
      WFVJVKVLWGJHCVMZFWAZJIXICQHIXIPDVNLIWGWEWSWTXHXAXBXCABCDEVOTXIDVPJHXICVQV
      RXIHIGWAZHIKXIXJRLHIWGXIXJVSSVTWBWCWD $.
  $}

  $( The value of the Legendre symbol is either -1 or 0 or 1.  (Contributed by
     AV, 13-Jul-2021.) $)
  lgscl1 $p |- ( ( A e. ZZ /\ N e. ZZ ) -> ( A /L N ) e. { -u 1 , 0 , 1 } ) $=
    ( cz wcel wa clgs co c1 cneg cc0 ctp cabs cfv cle wbr lgsle1 wb zabsle1 syl
    lgscl mpbird ) ACDBCDEZABFGZHIJHKDZUCLMHNOZABPUBUCCDUDUEQABTUCRSUA $.

  ${
    $d k n x y B $.  $d k x F $.  $d k n x y M $.  $d x P $.  $d k x ph $.
    $d k n p x y A $.  $d k n p x y N $.
    $( The Legendre symbol is either even or odd under negation with respect to
       the second parameter according to the sign of the first.  (Contributed
       by Mario Carneiro, 4-Feb-2015.) $)
    lgsneg $p |- ( ( A e. ZZ /\ N e. ZZ /\ N =/= 0 ) -> ( A /L -u N ) =
      ( if ( A < 0 , -u 1 , 1 ) x. ( A /L N ) ) ) $=
      ( vn cz wcel cc0 wne clt wbr wa c1 cif cfv cmul cn cv clgs co wceq cc w3a
      vx cneg cabs cprime cpc cexp cmpt cseq iftrue adantl oveq1d neg1mulneg1e1
      vy oveq2 eqtrdi ax-1cn mulm1i ifsb simpr biantrud ifbid oveq2d cle simpl3
      wn necomd cr wb simpl2 zred 0re ltlen sylancl mpbiran2d le0neg1d renegcld
      lenlt sylancr 3bitrd ifnot 3eqtr3a 1t1e1 iffalse intnand iffalsed oveq12d
      3eqtrd 3eqtr4a pm2.61dan eqcomd cq pcneg syl2anc ifeq1da mpteq2dv seqeq3d
      zq syl zcn 3ad2ant2 absnegd fveq12d neg1cn ifcli a1i nnabscl 3adant1 nnuz
      cuz eleqtrdi wf cfz eqid lgsfcl3 elfznn ffvelrn syl2an seqcl zcnd mulassd
      zmulcl eqtrd simp1 znegcl simp3 negne0d lgsval4 syl3anc 3eqtr4d ) ADEZBDE
      ZBFGZUAZBUCZFHIZAFHIZJZKUCZKLZYOUDMZNCOCPZUEEZAUUBQRZUUBYOUFRZUGRZKLZUHZK
      UIZMZNRZYQYSKLZBFHIZYQJZYSKLZBUDMZNCOUUCUUDUUBBUFRZUGRZKLZUHZKUIZMZNRZNRZ
      AYOQRZUULABQRZNRYNUUKUULUUONRZUVBNRUVDYNYTUVGUUJUVBNYNUVGYTYNYQUVGYTSYNYQ
      JZUVGYSUUONRZYPYSKLZYTUVHUULYSUUONYQUULYSSYNYQYSKUJUKULUVHYSUUMYSKLZNRZUU
      MKYSLZUVIUVJUUMYSKUVLKYSUVKYSSUVLYSYSNRKUVKYSYSNUOUMUPUVKKSUVLYSKNRYSUVKK
      YSNUOKUQURUPUSUVHUVKUUOYSNUVHUUMUUNYSKUVHYQUUMYNYQUTZVAVBVCUVHUVMYPVFZKYS
      LUVJUVHUUMUVOKYSUVHUUMBFVDIZFYOVDIZUVOUVHUUMUVPFBGZUVHBFYKYLYMYQVEVGUVHBV
      HEFVHEZUUMUVPUVRJVIUVHBYKYLYMYQVJVKZVLBFVMVNVOUVHBUVTVPUVHUVSYOVHEUVQUVOV
      IVLUVHBUVTVQFYOVRVSVTVBYPKYSWAUPWBUVHYPYRYSKUVHYQYPUVNVAVBWHYNYQVFZJZKKNR
      KUVGYTWCUWBUULKUUOKNUWAUULKSYNYQYSKWDUKUWBUUNYSKUWBYQUUMYNUWAUTZWEWFWGUWB
      YRYSKUWBYQYPUWCWEWFWIWJWKYNUUAUUPUUIUVAYNUUHUUTNKYNCOUUGUUSYNUUCUUFUURKYN
      UUCJZUUEUUQUUDUGUWDUUCBWLEZUUEUUQSYNUUCUTUWDYLUWEYKYLYMUUCVJBWRWSBUUBWMWN
      VCWOWPWQYNBYLYKBTEYMBWTXAZXBXCWGYNUULUUOUVBUULTEYNYQYSKTXDUQXEXFUUOTEYNUU
      NYSKTXDUQXEXFYNUVBYNUBUNNDUUTKUUPYNUUPOKXJMYLYMUUPOEYKBXGXHXIXKYNODUUTXLU
      BPZOEUWGUUTMDEUWGKUUPXMREACUUTBUUTXNZXOUWGUUPXPODUWGUUTXQXRUWGDEUNPZDEJUW
      GUWINRDEYNUWGUWIYBUKXSXTYAYCYNYKYODEZYOFGUVEUUKSYKYLYMYDYLYKUWJYMBYEXAYNB
      UWFYKYLYMYFYGACUUHYOUUHXNYHYIYNUVFUVCUULNACUUTBUWHYHVCYJ $.

    $( The Legendre symbol for nonnegative first parameter is unchanged by
       negation of the second.  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgsneg1 $p |- ( ( A e. NN0 /\ N e. ZZ ) -> ( A /L -u N ) = ( A /L N ) ) $=
      ( cn0 wcel cz wa cneg clgs co wceq cc0 simpr negeqd 3eqtr4a oveq2d wne c1
      neg0 cmul 3ad2ant1 w3a clt wbr cif nn0z lgsneg syl3an1 wn iffalsed oveq1d
      nn0nlt0 simp2 lgscl syl2anc zcnd mulid2d 3eqtrd 3expa pm2.61dane ) ACDZBE
      DZFZABGZHIZABHIZJZBKVBBKJZFZVCBAHVHKGKVCBRVHBKVBVGLZMVINOUTVABKPZVFUTVAVJ
      UAZVDAKUBUCZQGZQUDZVESIZQVESIVEUTAEDZVAVJVDVOJAUEZABUFUGVKVNQVESVKVLVMQUT
      VAVLUHVJAUKTUIUJVKVEVKVEVKVPVAVEEDUTVAVPVJVQTUTVAVJULABUMUNUOUPUQURUS $.

    $( The Legendre (Jacobi) symbol is preserved under reduction ` mod n ` when
       ` n ` is odd.  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgsmod $p |- ( ( A e. ZZ /\ N e. NN /\ -. 2 || N ) ->
      ( ( A mod N ) /L N ) = ( A /L N ) ) $=
      ( vn cz wcel cn c2 cdvds wbr cmul cmo co clgs cexp c1 wceq cr syl2anc cc0
      cmin wn w3a cv cprime cpc cif cmpt cseq cfv wa cdiv caddc crp cn0 3adant3
      zmodcl nn0zd ad2antrr csn wne simpr adantr simpl3 breq1 notbid syl5ibrcom
      cdif necon2ad imp eldifsn sylanbrc oddprm nnnn0d zexpcl zred simpll1 1red
      syl prmnn ad2antlr nnrpd prmz simp2 nnzd zsubcld modabs2 wb moddvds mpbid
      syl3anc dvdstrd mpbird modexp syl221anc modadd1 oveq1d lgsval3 lgscl zcnd
      3eqtr4d exp0d eqtr4d pceq0 biimpar oveq2d ifeq1da mpteq2dv seqeq3d fveq1d
      pm2.61dan eqid lgsval4a ) ADEZBFEZGBHIZUAZUBZBJCFCUCZUDEZABKLZXRMLZXRBUEL
      ZNLZOUFZUGZOUHZUIZBJCFXSAXRMLZYBNLZOUFZUGZOUHZUIZXTBMLZABMLZXQBYFYLXQYEYK
      JOXQCFYDYJXQXSYCYIOXQXSUJZXRBHIZYCYIPYPYQUJZYAYHYBNYRXTXROTLGUKLZNLZOULLX
      RKLZOTLZAYSNLZOULLXRKLZOTLZYAYHYRUUAUUDOTYRYTQEUUCQEOQEXRUMEZYTXRKLUUCXRK
      LPZUUAUUDPYRYTYRXTDEZYSUNEZYTDEXQUUHXSYQXQXTXMXNXTUNEXPABUPUOUQZURZYRYSYR
      XRUDGUSVGEZYSFEYRXSXRGUTZUULYPXSYQXQXSVAZVBYPYQUUMYPYQXRGYPYQUAZXRGPZXPXM
      XNXPXSVCUUPYQXOXRGBHVDVEVFVHVIXRUDGVJVKZXRVLVRVMZXTYSVNRVOYRUUCYRXMUUIUUC
      DEXMXNXPXSYQVPZUURAYSVNRVOYRVQYRXRXSXRFEZXQYQXRVSVTZWAZYRUUHXMUUIUUFXTXRK
      LAXRKLPZUUGUUKUUSUURUVBYRUVCXRXTATLZHIZYRXRBUVDXSXRDEZXQYQXRWBZVTYRBXQXNX
      SYQXMXNXPWCZURZWDYRXTAUUKUUSWEYPYQVAYRXTBKLXTPZBUVDHIZYRAQEBUMEUVJYRAUUSV
      OYRBUVIWAABWFRYRXNUUHXMUVJUVKWGUVIUUKUUSXTABWHWJWIWKYRUUTUUHXMUVCUVEWGUVA
      UUKUUSXTAXRWHWJWLXTAYSXRWMWNYTUUCOXRWOWNWPYRUUHUULYAUUBPUUKUUQXTXRWQRYRXM
      UULYHUUEPUUSUUQAXRWQRWTWPYPUUOUJZYASNLZYHSNLZYCYIUVLUVMOUVNUVLYAUVLYAUVLU
      UHUVFYADEXQUUHXSUUOUUJURXSUVFXQUUOUVGVTZXTXRWRRWSXAUVLYHUVLYHUVLXMUVFYHDE
      XMXNXPXSUUOVPUVOAXRWRRWSXAXBUVLYBSYANYPYBSPZUUOYPXSXNUVPUUOWGUUNXQXNXSUVH
      VBXRBXCRXDZXEUVLYBSYHNUVQXEWTXJXFXGXHXIXQUUHXNYNYGPUUJUVHXTCYEBYEXKXLRXMX
      NYOYMPXPACYKBYKXKXLUOWT $.

    $( Lemma for ~ lgsdi and ~ lgsdir : the sign part of the Legendre symbol is
       multiplicative.  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgsdilem $p |- ( ( ( A e. ZZ /\ B e. ZZ /\ N e. ZZ ) /\
                     ( A =/= 0 /\ B =/= 0 ) ) ->
      if ( ( N < 0 /\ ( A x. B ) < 0 ) , -u 1 , 1 ) =
      ( if ( ( N < 0 /\ A < 0 ) , -u 1 , 1 ) x.
        if ( ( N < 0 /\ B < 0 ) , -u 1 , 1 ) ) ) $=
      ( cz wcel cc0 wa clt wbr cmul co c1 cneg cif wceq cr adantr recnd ifbid
      wb w3a wne wn cle simplrr biantrud 0re simpl2 zred ltlen sylancr renegcld
      simpl1 mul01d mulneg1d breq12d lt0neg1d biimpa syl112anc remulcld 3bitr4d
      0red ltmul2 3bitr2rd lenlt bitrd oveq2 neg1mulneg1e1 eqtrdi ax-1cn mulm1i
      ifsb eqtr4i eqtr4di iftrue adantl oveq1d eqtr4d iffalse cc neg1cn mulid2i
      ifnot ifcli biimpar simplrl ne0gt0d breq2d syl5eq pm2.61dan simpr oveq12d
      eqtr2d biantrurd 3eqtr3d intnanrd iffalsed 1t1e1 ) ADEZBDEZCDEZUAZAFUBZBF
      UBZGZGZCFHIZXGABJKZFHIZGZLMZLNZXGAFHIZGZXKLNZXGBFHIZGZXKLNZJKZOXFXGGZXIXK
      LNZXMXKLNZXPXKLNZJKZXLXSXFYAYDOZXGXFXMYEXFXMGZYAXKYCJKZYDYFYAXPUCZXKLNZYG
      YFXIYHXKLYFXIFBUDIZYHYFYJYJXDGZFBHIZXIYFXDYJXBXCXDXMUEUFYFFPEZBPEZYLYKTUG
      XFYNXMXFBWSWTXAXEUHUIZQZFBUJUKYFAMZFJKZYQBJKZHIZFXHMZHIYLXIYFYRFYSUUAHYFY
      QYFYQYFAXFAPEZXMXFAWSWTXAXEUMUIZQZULZRUNYFABYFAUUDRYFBYPRUOUPYFYMYNYQPEFY
      QHIZYLYTTYFVBYPUUEXFXMUUFXFAUUCUQURFBYQVCUSYFXHXFXHPEXMXFABUUCYOUTQUQVAVD
      YFYMYNYJYHTUGYPFBVEUKVFSYGXPLXKNYIXPXKLYGLXKYCXKOYGXKXKJKLYCXKXKJVGVHVIYC
      LOYGXKLJKXKYCLXKJVGLVJVKVIVLXPXKLWCVMVNYFYBXKYCJXMYBXKOXFXMXKLVOVPVQVRXFX
      MUCZGZYDLYCJKZYAUUHYBLYCJUUGYBLOXFXMXKLVSVPVQUUHUUIYCYAYCXPXKLVTWAVJWDWBU
      UHXPXIXKLUUHXPXHAFJKZHIZXIUUHYNYMUUBFAHIXPUUKTXFYNUUGYOQUUHVBXFUUBUUGUUCQ
      ZUUHAUULXFFAUDIZUUGXFYMUUBUUMUUGTUGUUCFAVEUKWEXBXCXDUUGWFWGBFAVCUSUUHUUJF
      XHHUUHAUUHAUULRUNWHVFSWIWMWJQXTXIXJXKLXTXGXIXFXGWKZWNSXTYBXOYCXRJXTXMXNXK
      LXTXGXMUUNWNSXTXPXQXKLXTXGXPUUNWNSWLWOXFXGUCZGZXLLLJKZXSUUPXLLUUQUUPXJXKL
      UUPXGXIXFUUOWKZWPWQWRVNUUPXOLXRLJUUPXNXKLUUPXGXMUURWPWQUUPXQXKLUUPXGXPUUR
      WPWQWLVRWJ $.

    $( Lemma for ~ lgsdir2 .  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgsdir2lem1 $p |- ( ( ( 1 mod 8 ) = 1 /\ ( -u 1 mod 8 ) = 7 ) /\
      ( ( 3 mod 8 ) = 3 /\ ( -u 3 mod 8 ) = 5 ) ) $=
      ( c1 c8 cmo co wceq c7 c3 c5 wcel cc0 cle wbr clt modid mp4an caddc eqtri
      cr 8cn 3cn cneg wa crp 1re 8re 8pos elrpii 0le1 1lt8 oveq2i ax-1cn negcli
      cmul mulid2i cmin negsubi 8m1e7 addcomli oveq1i cz renegcli 1z modcyc 7re
      mp3an 0re 7pos ltleii 7lt8 3eqtr3i pm3.2i 3re 3pos 3lt8 5cn subaddrii 5re
      5p3e8 5pos 5lt8 ) ABCDAEZAUAZBCDZFEZUBGBCDGEZGUAZBCDZHEZUBWAWDARIBUCIZJAK
      LABMLWAUDBUEUFUGZUHUIABNOWBABUMDZPDZBCDZFBCDZWCFWLFBCWLWBBPDFWKBWBPBSUNZU
      JBWBFSAUKULBWBPDBAUODFBASUKUPUQQURQUSWBRIWIAUTIZWMWCEAUDVAWJVBWBBAVCVEFRI
      WIJFKLFBMLWNFEVDWJJFVFVDVGVHVIFBNOVJVKWEWHGRIWIJGKLGBMLWEVLWJJGVFVLVMVHVN
      GBNOWFWKPDZBCDZHBCDZWGHWQHBCWQWFBPDHWKBWFPWOUJBWFHSGTULBWFPDBGUODHBGSTUPB
      GHSTVOHGBVOTVRURVPQURQUSWFRIWIWPWRWGEGVLVAWJVBWFBAVCVEHRIWIJHKLHBMLWSHEVQ
      WJJHVFVQVSVHVTHBNOVJVKVK $.

    ${
      lgsdir2lem2.1 $e |- ( K e. ZZ /\ 2 || ( K + 1 ) /\
        ( ( A e. ZZ /\ -. 2 || A ) ->
          ( ( A mod 8 ) e. ( 0 ... K ) -> ( A mod 8 ) e. S ) ) ) $.
      lgsdir2lem2.2 $e |- M = ( K + 1 ) $.
      lgsdir2lem2.3 $e |- N = ( M + 1 ) $.
      lgsdir2lem2.4 $e |- N e. S $.
      $( Lemma for ~ lgsdir2 .  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
      lgsdir2lem2 $p |- ( N e. ZZ /\ 2 || ( N + 1 ) /\
        ( ( A e. ZZ /\ -. 2 || A ) ->
          ( ( A mod 8 ) e. ( 0 ... N ) -> ( A mod 8 ) e. S ) ) ) $=
        ( cz wcel c2 c1 caddc co cdvds wbr cc0 cfz ax-1cn wn cmo simp1i peano2z
        wa c8 wi ax-mp eqeltri simp2i wb 2z dvdsadd mp2an mpbi cc addcomi eqtri
        zcn oveq1i df-2 add32i eqtr4i 2cn addassi breqtrri cmin wceq wo cuz cfv
        elfzuz2 fzm1 syl ibi mvrraddi oveq2i eleq2s eleq2i simp3i syl5bi cn 2nn
        8nn w3a c4 cmul 4z dvdsmul2 4t2e8 breqtri dvdsmod mpan2 mp3an12 biimpar
        notbid id breqtrrid nsyl pm2.21d jaod syl5 eleq1 mpbiri a1i 3pm3.2i ) E
        JKLEMNOZPQAJKZLAPQZUAZUEZAUFUBOZRESOKZXLBKZUGUGEDMNOZJHDJKZXOJKDCMNOZJG
        CJKZXQJKZXRLXQPQZXKXLRCSOZKZXNUGUGZFUCZCUDUHZUIZDUDUHUILLXQNOZXGPXTLYGP
        QZXRXTYCFUJZLJKZXSXTYHUKULYELXQUMUNUOXGLCNOZMNOYGEYKMNEMCNOZMNOZYKEXOYM
        HDYLMNDXQYLGCMXRCUPKYDCUSUHZTUQURUTURYKMMNOZCNOYMLYOCNVAUTMCMTYNTVBVCVC
        UTLCMVDYNTVEURVFXMXLREMVGOZSOZKZXLEVHZVIZXKXNXMYTXMERVJVKZKXMYTUKXLREVL
        XLREVMVNVOXKYRXNYSYRXLRDMVGOZSOZKZXLDVHZVIZXKXNUUFXLRDSOZYQXLUUGKZUUFUU
        HDUUAKUUHUUFUKXLRDVLXLRDVMVNVOYPDRSEDMXPDUPKYFDUSUHTHVPVQVRXKUUDXNUUEUU
        DYBXKXNUUCYAXLUUBCRSDCMYNTGVPVQVSXRXTYCFVTWAXKUUEXNXKLXLPQZUUEXHUUIUAXJ
        XHUUIXILWBKZUFWBKZXHUUIXIUKZWCWDUUJUUKXHWELUFPQUULLWFLWGOZUFPWFJKYJLUUM
        PQWHULWFLWIUNWJWKLAUFWLWMWNWPWOUUELDXLPLXQDPYIGVFUUEWQWRWSWTXAXBYSXNUGX
        KYSXNEBKIXLEBXCXDXEXAXBXF $.
    $}

    $( Lemma for ~ lgsdir2 .  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgsdir2lem3 $p |- ( ( A e. ZZ /\ -. 2 || A ) ->
      ( A mod 8 ) e. ( { 1 , 7 } u. { 3 , 5 } ) ) $=
      ( cz wcel c2 cdvds wbr c8 co cc0 c7 cfz c1 c3 c5 caddc sselii lgsdir2lem2
      cn wi c0 wn wa cmo cpr cun simpl 8nn zmodfz sylancl 8m1e7 oveq2i eleqtrdi
      cmin c6 c4 cneg z0even 1pneg1e0 ax-1cn neg1cn addcomi eqtr3i breqtri noel
      neg1z pm2.21i clt wceq neg1lt0 wb fzn mp2an mpbi eleq2s a1i 3pm3.2i 1e0p1
      0z ssun1 1ex prid1 df-2 df-3 ssun2 3ex df-4 df-5 5nn elexi prid2 df-6 7nn
      df-7 simp3i mpd ) ABCZDAEFUAZUBZAGUCHZIJKHZCZWSLJUDZMNUDZUEZCZWRWSIGLUMHZ
      KHZWTWRWPGRCWSXGCWPWQUFUGAGUHUIXFJIKUJUKULJBCDJLOHEFWRXAXESSAXDNUNJAXDMUO
      NAXDLDMAXDLUPZILXHBCZDXHLOHZEFWRWSIXHKHZCXESZSVEDIXJEUQLXHOHIXJURLXHUSUTV
      AVBZVCXLWRXEWSTXKWSTCXEWSVDVFXHIVGFZXKTVHZVIIBCXIXNXOVJVRVEIXHVKVLVMVNVOV
      PXMVQXBXDLXBXCVSZLJVTWAPQWBWCXCXDMXCXBWDZMNWEWAPQWFWGXCXDNXQMNNRWHWIWJPQW
      KWMXBXDJXPLJJRWLWIWJPQWNWO $.

    $( Lemma for ~ lgsdir2 .  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgsdir2lem4 $p |- ( ( ( A e. ZZ /\ B e. ZZ ) /\ ( A mod 8 ) e. { 1 , 7 } )
    -> ( ( ( A x. B ) mod 8 ) e. { 1 , 7 } <-> ( B mod 8 ) e. { 1 , 7 } ) ) $=
      ( c8 cmo co c1 c7 wcel cz wa wceq wo cmul cr a1i simpr cneg oveq1d eleq1d
      eqtr4di vx cpr wb ovex elpr crp zre ad2antrr 1red simplr 8re elrpii c3 c5
      lgsdir2lem1 simpli modmul1 syl221anc cc zcn ad2antlr mulid2d eqtrd neg1rr
      8pos simpri mulm1d wi znegcl cv oveq1 negeq neg1cn mulcom mpan2 mulm1 syl
      imbi12d adantr neg1z eqtr3d mulid2i oveq1i eqtri ex neg1mulneg1e1 orim12d
      eqtrdi orcom bitri 3imtr4g vtoclga negnegd sylibd impbid jaodan sylan2b
      bitrd ) ACDEZFGUBZHAIHZBIHZJZWSFKZWSGKZLABMECDEZWTHZBCDEZWTHZUCZWSFGACDUD
      UEXCXDXJXEXCXDJZXFXHWTXKXFFBMEZCDEZXHXKANHZFNHZXBCUFHZWSFCDEZKXFXMKXAXNXB
      XDAUGZUHXKUIXAXBXDUJXPXKCUKVEULZOXKWSFXQXCXDPXQFKZFQZCDEZGKZXTYCJUMCDEUMK
      UMQCDEUNKJUOUPZUPZTAFBCUQURXKXLBCDXKBXBBUSHZXAXDBUTZVAVBRVCSXCXEJZXGBQZCD
      EZWTHZXIYHXFYJWTYHXFYABMEZCDEZYJYHXNYANHZXBXPWSYBKXFYMKXAXNXBXEXRUHYNYHVD
      OXAXBXEUJXPYHXSOYHWSGYBXCXEPXTYCYDVFZTAYABCUQURYHYLYICDYHBXBYFXAXEYGVAVGR
      VCSXBYKXIUCXAXEXBYKXIXBYKYIQZCDEZWTHZXIXBYIIHYKYRVHZBVIUAVJZCDEZWTHZYTQZC
      DEZWTHZVHZYSUAYIIYTYIKZUUBYKUUEYRUUGUUAYJWTYTYICDVKSUUGUUDYQWTUUGUUCYPCDY
      TYIVLRSVRYTIHZUUAFKZUUAGKZLUUDGKZUUDFKZLZUUBUUEUUHUUIUUKUUJUULUUHUUIUUKUU
      HUUIJZUUDFYAMEZCDEZGUUNYTYAMEZCDEZUUDUUPUUNUUQUUCCDUUHUUQUUCKZUUIUUHYTUSH
      ZUUSYTUTUUTUUQYAYTMEZUUCUUTYAUSHUUQUVAKVMYTYAVNVOYTVPVCVQZVSRUUNYTNHZXOYA
      IHZXPUUAXQKUURUUPKUUHUVCUUIYTUGZVSUUNUIUVDUUNVTOXPUUNXSOUUNUUAFXQUUHUUIPY
      ETYTFYACUQURWAUUPYBGUUOYACDYAVMWBWCYOWDWHWEUUHUUJUULUUHUUJJZUUDYAYAMEZCDE
      ZFUVFUURUUDUVHUVFUUQUUCCDUUHUUSUUJUVBVSRUVFUVCYNUVDXPUUAYBKUURUVHKUUHUVCU
      UJUVEVSYNUVFVDOUVDUVFVTOXPUVFXSOUVFUUAGYBUUHUUJPYOTYTYAYACUQURWAUVHXQFUVG
      FCDWFWCYEWDWHWEWGUUAFGYTCDUDUEUUEUULUUKLUUMUUDFGUUCCDUDUEUULUUKWIWJWKZWLV
      QXBYQXHWTXBYPBCDXBBYGWMRSWNUUFXIYKVHUABIYTBKZUUBXIUUEYKUVJUUAXHWTYTBCDVKS
      UVJUUDYJWTUVJUUCYICDYTBVLRSVRUVIWLWOVAWRWPWQ $.

    $( Lemma for ~ lgsdir2 .  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgsdir2lem5 $p |- ( ( ( A e. ZZ /\ B e. ZZ ) /\
      ( ( A mod 8 ) e. { 3 , 5 } /\ ( B mod 8 ) e. { 3 , 5 } ) ) ->
        ( ( A x. B ) mod 8 ) e. { 1 , 7 } ) $=
      ( cz wcel wa c8 cmo co c3 c5 cmul c1 wceq 3z a1i eqtr4di modmul12d oveq1i
      3cn wtru cpr cneg c7 wo ovex elpr anbi12i simpll simplr crp elrpii simprl
      8pos lgsdir2lem1 simpri simpli simprr orcd ex znegcl mp1i mulneg1i eqtrdi
      8re olcd mulneg2i mul2negi ccased syl5bi imp sylibr caddc df-9 8cn ax-1cn
      c9 addcomi eqtri 3t3e9 mulid2i oveq2i 3eqtr4i cr 1z modcyc mp3an nnmulcli
      1re 3nn nnzi eqidd mptru mulcli mulm1i 3eqtr3i preq12i eleqtrdi ) ACDZBCD
      ZEZAFGHZIJUAZDZBFGHZXBDZEZEZABKHZFGHZIIKHZFGHZXJUBZFGHZUAZLUCUAXGXIXKMZXI
      XMMZUDZXIXNDWTXFXQXFXAIMZXAJMZUDZXDIMZXDJMZUDZEWTXQXCXTXEYCXAIJAFGUEUFXDI
      JBFGUEUFUGWTXRYAXSYBXQWTXRYAEZXQWTYDEZXOXPYEAIBIFWRWSYDUHICDZYENOZWRWSYDU
      IYGFUJDZYEFVDUMUKZOYEXAIIFGHZWTXRYAULYJIMZIUBZFGHZJMZLFGHZLMZLUBZFGHZUCMZ
      EZYKYNEZUNUOZUPZPYEXDIYJWTXRYAUQUUCPQURUSWTXSYAEZXQWTUUDEZXPXOUUEXIYLIKHZ
      FGHXMUUEAYLBIFWRWSUUDUHYFYLCDZUUENIUTZVAWRWSUUDUIYFUUENOYHUUEYIOUUEXAJYMW
      TXSYAULYKYNUUBUOZPUUEXDIYJWTXSYAUQUUCPQUUFXLFGIISSVBRVCVEUSWTXRYBEZXQWTUU
      JEZXPXOUUKXIIYLKHZFGHXMUUKAIBYLFWRWSUUJUHYFUUKNOWRWSUUJUIYFUUGUUKNUUHVAYH
      UUKYIOUUKXAIYJWTXRYBULUUCPUUKXDJYMWTXRYBUQUUIPQUULXLFGIISSVFRVCVEUSWTXSYB
      EZXQWTUUMEZXOXPUUNXIYLYLKHZFGHXKUUNAYLBYLFWRWSUUMUHYFUUGUUNNUUHVAZWRWSUUM
      UIUUPYHUUNYIOUUNXAJYMWTXSYBULUUIPUUNXDJYMWTXSYBUQUUIPQUUOXJFGIISSVGRVCURU
      SVHVIVJXIXKXMXHFGUEUFVKXKLXMUCXKYOLXKLLFKHZVLHZFGHZYOXJUURFGVPLFVLHZXJUUR
      VPFLVLHUUTVMFLVNVOVQVRVSUUQFLVLFVNVTWAWBRLWCDYHLCDZUUSYOMWHYIWDLFLWEWFVRZ
      YPYSYTUUAUNUPZUPVRXMYRUCYQXJKHZFGHZYQLKHZFGHZXMYRUVEUVGMTYQYQXJLFUVAYQCDT
      WDLUTVAZUVHXJCDTXJIIWIWIWGWJOUVATWDOYHTYIOTYRWKXKYOMTUVBOQWLUVDXLFGXJIISS
      WMWNRUVFYQFGLVOWNRWOYPYSUVCUOVRWPWQ $.

    $( The Legendre symbol is completely multiplicative at ` 2 ` .
       (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgsdir2 $p |- ( ( A e. ZZ /\ B e. ZZ ) ->
      ( ( A x. B ) /L 2 ) = ( ( A /L 2 ) x. ( B /L 2 ) ) ) $=
      ( cz wcel wa c2 cc0 c8 cmo co c1 cif cmul wceq cc ifcli adantl 3eqtr4a wn
      iffalse cdvds wbr c7 cpr cneg clgs 0cn ax-1cn neg1cn mul02i iftrue oveq1d
      wi 2z dvdsmultr1 mp3an1 imp iftrued mul01i dvdsmultr2 mulid2i lgsdir2lem4
      oveq2d wb adantlr ifbid mulid1i zcn mulcom syl2an ad2antrr eleq1d ancom1s
      bitrd neg1mulneg1e1 oveqan12d c3 c5 cun lgsdir2lem3 ad2ant2r elun orcanai
      wo sylib ad2ant2l anim12dan lgsdir2lem5 syldan pm2.61ddan cprime euclemma
      ioran 2prm notbid biimpar sylan2br syl 3eqtr4d lgs2 zmulcl 3eqtr4rd ) ACD
      ZBCDZEZFAUAUBZGAHIJZKUCUDZDZKKUEZLZLZFBUAUBZGBHIJZXHDZKXJLZLZMJZFABMJZUAU
      BZGXSHIJZXHDZKXJLZLZAFUFJZBFUFJZMJXSFUFJZXEXFXMXRYDNXEXFEZGXQMJGXRYDXQXMG
      XPOUGXOKXJOUHUIPZPUJYHXLGXQMXFXLGNXEXFGXKUKQULYHXTGYCXEXFXTFCDZXCXDXFXTUM
      UNFABUOUPUQURRXEXMEZXLGMJGXRYDXLXFGXKOUGXIKXJOUHUIPZPUSYKXQGXLMXMXQGNXEXM
      GXPUKQVCYKXTGYCXEXMXTYJXCXDXMXTUMUNFABUTUPUQURRXEXFSZXMSZEZEZXKXPMJZYCXRY
      DYPXIXOYQYCNYPXIEZKXPMJXPYQYCXPYIVAYRXKKXPMXIXKKNYPXIKXJUKQULYRYBXOKXJXEX
      IYBXOVDYOABVBVEVFRYPXOEZXKKMJXKYQYCXKYLVGYSXPKXKMXOXPKNYPXOKXJUKQVCYSYBXI
      KXJYSYBBAMJZHIJZXHDZXIYSYAUUAXHYSXSYTHIXEXSYTNZYOXOXCAODBODUUCXDAVHBVHABV
      IVJVKULVLXEXOUUBXIVDZYOXDXCXOUUDBAVBVMVEVNVFRYPXISZXOSZEZEZXJXJMJZKYQYCVO
      UUGYQUUINYPUUEUUFXKXJXPXJMXIKXJTXOKXJTVPQUUHYBKXJYPUUGXGVQVRUDZDZXNUUJDZE
      ZYBYPUUEUUKUUFUULYPXIUUKYPXGXHUUJVSZDZXIUUKWDXCYMUUOXDYNAVTWAXGXHUUJWBWEW
      CYPXOUULYPXNUUNDZXOUULWDXDYNUUPXCYMBVTWFXNXHUUJWBWEWCWGXEUUMYBYOABWHVEWIU
      RRWJYOXRYQNXEYMYNXLXKXQXPMXFGXKTXMGXPTVPQYPXTSZYDYCNYOXEXFXMWDZSZUUQXFXMW
      MXEUUQUUSXEXTUURFWKDXCXDXTUURVDWNFABWLUPWOWPWQXTGYCTWRWSWJXCXDYEXLYFXQMAW
      TBWTVPXEXSCDYGYDNABXAXSWTWRXB $.

    $( The Legendre symbol is completely multiplicative at the primes.  See
       theorem 9.3 in [ApostolNT] p. 180.  (Contributed by Mario Carneiro,
       4-Feb-2015.)  (Proof shortened by AV, 18-Mar-2022.) $)
    lgsdirprm $p |- ( ( A e. ZZ /\ B e. ZZ /\ P e. Prime ) ->
      ( ( A x. B ) /L P ) = ( ( A /L P ) x. ( B /L P ) ) ) $=
      ( vx cz wcel cmul co clgs wceq c2 syl2anc zcnd cabs cfv cmo cr cle wbr c1
      cprime w3a simpl1 simpl2 lgsdir2 simpr oveq2d oveq12d 3eqtr4d wne zmulcld
      wa simpl3 prmz syl lgscl subcld cc0 crp clt abscld cn prmnn nnrpd absge0d
      cmin 2re a1i nnred caddc readdcld abs2dif2d 1red lgsle1 crab eqid lgslem3
      lgscl2 fveq2 breq1d elrab simprbi le2addd df-2 breqtrrdi letrd cuz prmuz2
      cv 3syl wb ltlen sylancr mpbir2and lelttrd modid syl22anc cdvds cdiv cexp
      eluzle csn cdif eldifsn sylanbrc oddprm nnnn0d mulexpd cn0 zexpcl mulcomd
      eqtrd oveq1d lgsvalmod zred modmul1 3eqtrd moddvds syl3anc mpbid dvdsabsb
      syl221anc zsubcld dvdsmod0 eqtr3d abs00d subeq0d pm2.61dane ) AEFZBEFZCUA
      FZUBZABGHZCIHZACIHZBCIHZGHZJCKYLCKJZULZYMKIHZAKIHZBKIHZGHZYNYQYSYIYJYTUUC
      JYIYJYKYRUCYIYJYKYRUDABUELYSCKYMIYLYRUFZUGYSYOUUAYPUUBGYSCKAIUUDUGYSCKBIU
      UDUGUHUIYLCKUJZULZYNYQUUFYNUUFYMEFZCEFZYNEFZUUFABYIYJYKUUEUCZYIYJYKUUEUDZ
      UKZUUFYKUUHYIYJYKUUEUMZCUNUOZYMCUPLZMZUUFYQUUFYOYPUUFYIUUHYOEFUUJUUNACUPL
      ZUUFYJUUHYPEFZUUKUUNBCUPLZUKZMZUUFYNYQVFHZUUFYNYQUUPUVAUQZUUFUVBNOZCPHZUV
      DURUUFUVDQFCUSFZURUVDRSUVDCUTSUVEUVDJUUFUVBUVCVAZUUFCUUFYKCVBFZUUMCVCUOZV
      DZUUFUVBUVCVEUUFUVDKCUVGKQFZUUFVGVHZUUFCUVIVIZUUFUVDYNNOZYQNOZVJHZKUVGUUF
      UVNUVOUUFYNUUPVAZUUFYQUVAVAZVKUVLUUFYNYQUUPUVAVLUUFUVPTTVJHKRUUFUVNUVOTTU
      VQUVRUUFVMZUVSUUFUUGUUHUVNTRSUULUUNYMCVNLUUFYQDWIZNOZTRSZDEVOZFZUVOTRSZUU
      FYOUWCFZYPUWCFZUWDUUFYIUUHUWFUUJUUNDACUWCUWCVPZVRLUUFYJUUHUWGUUKUUNDBCUWC
      UWHVRLDYOYPUWCUWHVQLUWDYQEFZUWEUWBUWEDYQEUVTYQJUWAUVOTRUVTYQNVSVTWAWBUOWC
      WDWEWFUUFKCUTSZKCRSZUUEUUFYKCKWGOFUWKUUMCWHKCXAWJYLUUEUFZUUFUVKCQFUWJUWKU
      UEULWKVGUVMKCWLWMWNWOUVDCWPWQUUFUVHCUVDWRSZUVEURJUVIUUFCUVBWRSZUWMUUFYNCP
      HZYQCPHZJZUWNUUFYMCTVFHKWSHZWTHZCPHZBUWRWTHZAUWRWTHZGHZCPHZUWOUWPUUFUWSUX
      CCPUUFUWSUXBUXAGHUXCUUFABUWRUUFAUUJMUUFBUUKMUUFUWRUUFCUAKXBXCFZUWRVBFUUFY
      KUUEUXEUUMUWLCUAKXDXEZCXFUOXGZXHUUFUXBUXAUUFUXBUUFYIUWRXIFZUXBEFZUUJUXGAU
      WRXJLZMZUUFUXAUUFYJUXHUXAEFUUKUXGBUWRXJLZMXKXLXMUUFUUGUXEUWOUWTJUULUXFYMC
      XNLUUFUWPUXBYPGHZCPHZYPUXBGHZCPHZUXDUUFYOQFUXBQFUURUVFYOCPHUXBCPHJZUWPUXN
      JUUFYOUUQXOUUFUXBUXJXOUUSUVJUUFYIUXEUXQUUJUXFACXNLYOUXBYPCXPYBUUFUXMUXOCP
      UUFUXBYPUXKUUFYPUUSMXKXMUUFYPQFUXAQFUXIUVFYPCPHUXACPHJZUXPUXDJUUFYPUUSXOU
      UFUXAUXLXOUXJUVJUUFYJUXEUXRUUKUXFBCXNLYPUXAUXBCXPYBXQUIUUFUVHUUIUWIUWQUWN
      WKUVIUUOUUTYNYQCXRXSXTUUFUUHUVBEFUWNUWMWKUUNUUFYNYQUUOUUTYCCUVBYALXTCUVDY
      DLYEYFYGYH $.

    $( The Legendre symbol is completely multiplicative in its left argument.
       Generalization of theorem 9.9(a) in [ApostolNT] p. 188 (which assumes
       that ` A ` and ` B ` are odd positive integers).  Together with ~ lgsqr
       this implies that the product of two quadratic residues or nonresidues
       is a residue, and the product of a residue and a nonresidue is a
       nonresidue.  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
    lgsdir $p |- ( ( ( A e. ZZ /\ B e. ZZ /\ N e. ZZ ) /\
                     ( A =/= 0 /\ B =/= 0 ) ) ->
      ( ( A x. B ) /L N ) = ( ( A /L N ) x. ( B /L N ) ) ) $=
      ( vn cz wcel cc0 wa cmul co clgs wceq cexp c1 cif cc wbr adantr oveq12d
      cn vk vx w3a wne c2 ax-1cn ifcli mulid2i iftrue adantl oveq1d simpl1 zcnd
      ad2antrr simpl2 sqmuld simpr sqcld mulid2d 3eqtrd eqeq1d ifbid 3eqtr4a wn
      0cn mul02i iffalse cdvds dvdsmul1 syl2anc wb dvdssq mpbid breq2 syl5ibcom
      zmulcld cle wi simprl neneqd sqeq0 syl mtbird cn0 zsqcl2 elnn0 sylib mt3d
      wo ord nnzd 1nn dvdsle sylancl nnge1d jctird cr nnred letri3 sylibrd syld
      1re con3dimp iffalsed pm2.61dan lgs0 sylan9eqr 3eqtr4rd clt cneg cabs cfv
      oveq2 cv cprime cpc cmpt cseq lgsdilem cuz simpl3 nnabscl wf eqid lgsfcl3
      syl3anc ffvelrn syl2an lgscl eqtrd 3eqtr4d ifbieq1d ovex 1ex ifex lgsval4
      fvmpt neg1cn a1i seqcl sylan nnuz eleqtrdi simpll1 simpll3 elfznn simpll2
      cfz lgsdirprm prmz pczcl syl12anc mulexpd 1t1e1 eqcomi eleq1w oveq1 mulcl
      prodfmul mul4d pm2.61dane ) AEFZBEFZCEFZUCZAGUDZBGUDZHZHZABIJZCKJZACKJZBC
      KJZIJZLCGUVICGLZHZAUEMJZNLZNGOZBUEMJZNLZNGOZIJZUVJUEMJZNLZNGOZUVNUVKUVPUV
      RUWCUWFLUVPUVRHZNUWBIJUWBUWCUWFUWBUWANGPUFVEUGZUHUWGUVSNUWBIUVRUVSNLUVPUV
      RNGUIUJUKUWGUWEUWANGUWGUWDUVTNUWGUWDUVQUVTIJNUVTIJUVTUWGABUVIAPFZUVOUVRUV
      IAUVBUVCUVDUVHULZUMZUNUVIBPFUVOUVRUVIBUVBUVCUVDUVHUOZUMZUNUPUWGUVQNUVTIUV
      PUVRUQUKUWGUVTUVIUVTPFUVOUVRUVIBUWMURUNUSUTVAVBVCUVPUVRVDZHZGUWBIJGUWCUWF
      UWBUWHVFUWOUVSGUWBIUWNUVSGLUVPUVRNGVGUJUKUWOUWENGUVPUWEUVRUVPUWEUVQNVHQZU
      VRUVPUVQUWDVHQZUWEUWPUVIUWQUVOUVIAUVJVHQZUWQUVIUVBUVCUWRUWJUWLABVIVJUVIUV
      BUVJEFZUWRUWQVKUWJUVIABUWJUWLVPZAUVJVLVJVMRUWDNUVQVHVNVOUVPUWPUVQNVQQZNUV
      QVQQZHZUVRUVPUWPUXAUXBUVPUVQEFNTFUWPUXAVRUVPUVQUVIUVQTFZUVOUVIUXDUVQGLZUV
      IUXEAGLZUVIAGUVEUVFUVGVSVTUVIUWIUXEUXFVKUWKAWAWBWCUVIUXDUXEUVIUVQWDFZUXDU
      XEWIUVIUVBUXGUWJAWEWBUVQWFWGWJWHRZWKWLUVQNWMWNUVPUVQUXHWOWPUVPUVQWQFNWQFU
      VRUXCVKUVPUVQUXHWRXBUVQNWSWNWTXAXCXDVCXEUVPUVLUVSUVMUWBIUVOUVIUVLAGKJZUVS
      CGAKXMUVIUVBUXIUVSLUWJAXFWBXGUVOUVIUVMBGKJZUWBCGBKXMUVIUVCUXJUWBLUWLBXFWB
      XGSUVOUVIUVKUVJGKJZUWFCGUVJKXMUVIUWSUXKUWFLUWTUVJXFWBXGXHUVICGUDZHZCGXIQZ
      UVJGXIQHNXJZNOZCXKXLZIDTDXNZXOFZUVJUXRKJZUXRCXPJZMJZNOZXQZNXRXLZIJZUXNAGX
      IQHZUXONOZUXNBGXIQHZUXONOZIJZUXQIDTUXSAUXRKJZUYAMJZNOZXQZNXRXLZUXQIDTUXSB
      UXRKJZUYAMJZNOZXQZNXRXLZIJZIJZUVKUVNUXMUXPUYKUYEVUBIUVIUXPUYKLUXLABCXSRUX
      MUAUYOUYTUYDNUXQUXMUXQTNXTXLUVIUVDUXLUXQTFUVBUVCUVDUVHYACYBUUAUUBUUCZUXMU
      AXNZNUXQUUHJFZHZVUEUYOXLZUXMTEUYOYCZVUETFZVUHEFVUFUXMUVBUVDUXLVUIUVBUVCUV
      DUVHUXLUUDZUVBUVCUVDUVHUXLUUEZUVIUXLUQZADUYOCUYOYDZYEYFVUEUXQUUFZTEVUEUYO
      YGYHUMZVUGVUEUYTXLZUXMTEUYTYCZVUJVUQEFVUFUXMUVCUVDUXLVURUVBUVCUVDUVHUXLUU
      GZVULVUMBDUYTCUYTYDZYEYFVUOTEVUEUYTYGYHUMZVUGVUEXOFZUVJVUEKJZVUECXPJZMJZN
      OZVVBAVUEKJZVVDMJZNOZVVBBVUEKJZVVDMJZNOZIJZVUEUYDXLZVUHVUQIJUXMVVFVVMLZVU
      FUXMVVBVVOUXMVVBHZVVEVVHVVKIJZVVFVVMVVPVVEVVGVVJIJZVVDMJVVQVVPVVCVVRVVDMV
      VPUVBUVCVVBVVCVVRLUXMUVBVVBVUKRUXMUVCVVBVUSRUXMVVBUQZABVUEUUIYFUKVVPVVGVV
      JVVDVVPVVGUXMUVBVUEEFZVVGEFVVBVUKVUEUUJZAVUEYIYHUMVVPVVJUXMUVCVVTVVJEFVVB
      VUSVWABVUEYIYHUMVVPVVBUVDUXLVVDWDFVVSUXMUVDVVBVULRUXMUXLVVBVUMRVUECUUKUUL
      UUMYJVVBVVFVVELUXMVVBVVENUIUJVVBVVMVVQLUXMVVBVVIVVHVVLVVKIVVBVVHNUIVVBVVK
      NUISUJYKVVBVDZVVOUXMVWBNNNIJZVVFVVMVWCNUUNUUOVVBVVENVGVWBVVINVVLNIVVBVVHN
      VGVVBVVKNVGSVCUJXERVUGVUJVVNVVFLVUFVUJUXMVUOUJZDVUEUYCVVFTUYDUXRVUELZUXSV
      VBUYBVVENDUAXOUUPZVWEUXTVVCUYAVVDMUXRVUEUVJKXMUXRVUECXPUUQZSYLUYDYDZVVBVV
      ENVVCVVDMYMYNYOYQWBVUGVUHVVIVUQVVLIVUGVUJVUHVVILVWDDVUEUYNVVITUYOVWEUXSVV
      BUYMVVHNVWFVWEUYLVVGUYAVVDMUXRVUEAKXMVWGSYLVUNVVBVVHNVVGVVDMYMYNYOYQWBVUG
      VUJVUQVVLLVWDDVUEUYSVVLTUYTVWEUXSVVBUYRVVKNVWFVWEUYQVVJUYAVVDMUXRVUEBKXMV
      WGSYLVUTVVBVVKNVVJVVDMYMYNYOYQWBSYKUUSSUXMUWSUVDUXLUVKUYFLUVIUWSUXLUWTRVU
      LVUMUVJDUYDCVWHYPYFUXMUVNUYHUYPIJZUYJVUAIJZIJVUCUXMUVLVWIUVMVWJIUXMUVBUVD
      UXLUVLVWILVUKVULVUMADUYOCVUNYPYFUXMUVCUVDUXLUVMVWJLVUSVULVUMBDUYTCVUTYPYF
      SUXMUYHUYPUYJVUAUYHPFUXMUYGUXONPYRUFUGYSUXMUAUBIPUYONUXQVUDVUPVUEPFUBXNZP
      FHVUEVWKIJPFUXMVUEVWKUURUJZYTUYJPFUXMUYIUXONPYRUFUGYSUXMUAUBIPUYTNUXQVUDV
      VAVWLYTUUTYJYKUVA $.

    ${
      lgsdilem2.1 $e |- ( ph -> A e. ZZ ) $.
      lgsdilem2.2 $e |- ( ph -> M e. ZZ ) $.
      lgsdilem2.3 $e |- ( ph -> N e. ZZ ) $.
      lgsdilem2.4 $e |- ( ph -> M =/= 0 ) $.
      lgsdilem2.5 $e |- ( ph -> N =/= 0 ) $.
      lgsdilem2.6 $e |- F = ( n e. NN |-> if ( n e. Prime ,
        ( ( A /L n ) ^ ( n pCnt M ) ) , 1 ) ) $.
      $( Lemma for ~ lgsdi .  (Contributed by Mario Carneiro, 4-Feb-2015.) $)
      lgsdilem2 $p |- ( ph -> ( seq 1 ( x. , F ) ` ( abs ` M ) ) =
        ( seq 1 ( x. , F ) ` ( abs ` ( M x. N ) ) ) ) $=
        ( cfv c1 co wcel cn cz cc0 syl2anc vk vx cmul cc cabs mulid1 adantl cuz
        wceq wne nnabscl nnuz eleqtrdi cle wbr nnzd zmulcld zcnd mulne0d abscld
        cv absge0d nnge1d lemulge11d absmuld breqtrrd eluz2 syl3anbrc cfz wa wf
        lgsfcl3 syl3anc elfznn ffvelrn syl2an mulcl seqcl caddc cprime clgs cpc
        cexp cif peano2nnd elfzuz eluznn eleq1w oveq2 oveq12d ifbieq1d ovex 1ex
        oveq1 ifex fvmpt syl cq simpr ad2antrr zq pcabs cdvds wn clt elfzle1 wb
        elfzelz zltp1le mpbird cr adantr zred ltnled mpbid wi prmz dvdsle pceq0
        mtod eqtr3d oveq2d lgscl exp0d eqtrd ifeq1da ifid eqtrdi seqid2 ) AUAUC
        UDDEUEMZNEFUCOZUEMZNUAVAZUDPZYMNUCOYMUIAYMUFUGAYJQNUHMAERPZESUJZYJQPZHJ
        EUKZTZULUMZAYJRPZYLRPYJYLUNUOYLYJUHMPAYJYSUPZAYLAYKRPYKSUJYLQPAEFHIUQAE
        FAEHURZAFIURZJKUSYKUKTUPAYJYJFUEMZUCOYLUNAYJUUEAEUUCUTZAFUUDUTAEUUCVBAU
        UEAFRPFSUJUUEQPIKFUKTVCVDAEFUUCUUDVEVFYJYLVGVHAUAUBUCUDDNYJYTAYMNYJVIOP
        ZVJYMDMZAQRDVKZYMQPZUUHRPUUGABRPZYOYPUUIGHJBCDELVLVMYMYJVNQRYMDVOVPURYN
        UBVAZUDPVJYMUULUCOUDPAYMUULVQUGVRAYMYJNVSOZYLVIOPZVJZUUHYMVTPZBYMWAOZYM
        EWBOZWCOZNWDZNUUOUUJUUHUUTUIAUUMQPYMUUMUHMPUUJUUNAYJYSWEYMUUMYLWFYMUUMW
        GVPCYMCVAZVTPZBUVAWAOZUVAEWBOZWCOZNWDUUTQDUVAYMUIZUVBUUPUVEUUSNCUAVTWHU
        VFUVCUUQUVDUURWCUVAYMBWAWIUVAYMEWBWNWJWKLUUPUUSNUUQUURWCWLWMWOWPWQUUOUU
        TUUPNNWDNUUOUUPUUSNNUUOUUPVJZUUSUUQSWCONUVGUURSUUQWCUVGYMYJWBOZUURSUVGU
        UPEWRPZUVHUURUIUUOUUPWSZUVGYOUVIAYOUUNUUPHWTZEXAWQEYMXBTUVGUVHSUIZYMYJX
        CUOZXDZUVGUVMYMYJUNUOZUUOUVOXDZUUPUUOYJYMXEUOZUVPUUOUVQUUMYMUNUOZUUNUVR
        AYMUUMYLXFUGAUUAYMRPZUVQUVRXGUUNUUBYMUUMYLXHZYJYMXIVPXJUUOYJYMAYJXKPUUN
        UUFXLUUOYMUUNUVSAUVTUGXMXNXOXLUVGUVSYQUVMUVOXPUUPUVSUUOYMXQUGZUVGYOYPYQ
        UVKAYPUUNUUPJWTYRTZYMYJXRTXTUVGUUPYQUVLUVNXGUVJUWBYMYJXSTXJYAYBUVGUUQUV
        GUUQUVGUUKUVSUUQRPAUUKUUNUUPGWTUWABYMYCTURYDYEYFUUPNYGYHYEYI $.
    $}

    $( The Legendre symbol is completely multiplicative in its right argument.
       Generalization of theorem 9.9(b) in [ApostolNT] p. 188 (which assumes
       that ` M ` and ` N ` are odd positive integers).  (Contributed by Mario
       Carneiro, 5-Feb-2015.) $)
    lgsdi $p |- ( ( ( A e. ZZ /\ M e. ZZ /\ N e. ZZ ) /\
                    ( M =/= 0 /\ N =/= 0 ) ) ->
      ( A /L ( M x. N ) ) = ( ( A /L M ) x. ( A /L N ) ) ) $=
      ( vn cz wcel cc0 wa cmul co c1 cif cfv cn cpc cexp wceq zcnd oveq12d cc
      vk w3a wne clt wbr cneg cabs cprime clgs cmpt cseq 3anrot lgsdilem sylanb
      vx cv wb ancom ifbi ax-mp oveq12i 3eqtr4g cuz simpl2 simpl3 simprl simprr
      zmulcld mulne0d nnabscl syl2anc nnuz eleqtrdi cfz wf eqid lgsfcl3 syl3anc
      simpl1 elfznn ffvelrn syl2an caddc simpr ad2antrr syl122anc oveq2d adantl
      pcmul prmz lgscl cn0 pczcl syl12anc expaddd eqtrd iftrue 3eqtr4rd iffalse
      wn 1t1e1 3eqtr4a pm2.61dan eleq1w oveq2 oveq1 ifbieq1d ovex 1ex fvmpt syl
      ifex prodfmul lgsdilem2 mulcomd fveq2d eqtr4d lgsval4 neg1cn ax-1cn ifcli
      a1i mulcl seqcl mul4d 3eqtr4d ) AEFZBEFZCEFZUBZBGUCZCGUCZHZHZBCIJZGUDUEZA
      GUDUEZHZKUFZKLZYOUGMZIDNDUPZUHFZAUUBUIJZUUBYOOJZPJZKLZUJZKUKMZIJZBGUDUEZY
      QHZYSKLZCGUDUEZYQHZYSKLZIJZBUGMZIDNUUCUUDUUBBOJZPJZKLZUJZKUKZMZCUGMZIDNUU
      CUUDUUBCOJZPJZKLZUJZKUKZMZIJZIJZAYOUIJZABUIJZACUIJZIJZYNYTUUQUUIUVLIYNYQY
      PHZYSKLZYQUUKHZYSKLZYQUUNHZYSKLZIJZYTUUQYJYHYIYGUBYMUVSUWDQYGYHYIULBCAUMU
      NYRUVRUQYTUVSQYPYQURYRUVRYSKUSUTUUMUWAUUPUWCIUULUVTUQUUMUWAQUUKYQURUULUVT
      YSKUSUTUUOUWBUQUUPUWCQUUNYQURUUOUWBYSKUSUTVAVBYNUUIUUAUVCMZUUAUVJMZIJUVLY
      NUAUVBUVIUUHKUUAYNUUANKVCMZYNYOEFZYOGUCZUUANFYNBCYGYHYIYMVDZYGYHYIYMVEZVH
      ZYNBCYNBUWJRZYNCUWKRZYJYKYLVFZYJYKYLVGZVIZYOVJVKVLVMYNUAUPZKUUAVNJFZHZUWR
      UVBMZYNNEUVBVOZUWRNFZUXAEFZUWSYNYGYHYKUXBYGYHYIYMVSZUWJUWOADUVBBUVBVPZVQV
      RZUWRUUAVTZNEUWRUVBWAZWBRUWTUWRUVIMZYNNEUVIVOZUXCUXJEFZUWSYNYGYIYLUXKUXEU
      WKUWPADUVICUVIVPZVQVRZUXHNEUWRUVIWAZWBRUWTUWRUHFZAUWRUIJZUWRBOJZPJZKLZUXP
      UXQUWRCOJZPJZKLZIJZUXPUXQUWRYOOJZPJZKLZUXAUXJIJZUWRUUHMZUWTUXPUYDUYGQZUWT
      UXPHZUYFUXSUYBIJZUYGUYDUYKUYFUXQUXRUYAWCJZPJUYLUYKUYEUYMUXQPUYKUXPYHYKYIY
      LUYEUYMQUWTUXPWDZYNYHUWSUXPUWJWEZYNYKUWSUXPUWOWEZYNYIUWSUXPUWKWEZYNYLUWSU
      XPUWPWEZBCUWRWIWFWGUYKUXQUXRUYAUYKUXQUYKYGUWREFZUXQEFYNYGUWSUXPUXEWEUXPUY
      SUWTUWRWJWHAUWRWKVKRUYKUXPYIYLUYAWLFUYNUYQUYRUWRCWMWNUYKUXPYHYKUXRWLFUYNU
      YOUYPUWRBWMWNWOWPUXPUYGUYFQUWTUXPUYFKWQWHUXPUYDUYLQUWTUXPUXTUXSUYCUYBIUXP
      UXSKWQUXPUYBKWQSWHWRUXPWTZUYJUWTUYTKKIJKUYDUYGXAUYTUXTKUYCKIUXPUXSKWSUXPU
      YBKWSSUXPUYFKWSXBWHXCUWTUXCUYHUYDQUWSUXCYNUXHWHZUXCUXAUXTUXJUYCIDUWRUVAUX
      TNUVBUUBUWRQZUUCUXPUUTUXSKDUAUHXDZVUBUUDUXQUUSUXRPUUBUWRAUIXEZUUBUWRBOXFS
      XGUXFUXPUXSKUXQUXRPXHXIXLXJDUWRUVHUYCNUVIVUBUUCUXPUVGUYBKVUCVUBUUDUXQUVFU
      YAPVUDUUBUWRCOXFSXGUXMUXPUYBKUXQUYAPXHXIXLXJSXKUWTUXCUYIUYGQVUADUWRUUGUYG
      NUUHVUBUUCUXPUUFUYFKVUCVUBUUDUXQUUEUYEPVUDUUBUWRYOOXFSXGUUHVPZUXPUYFKUXQU
      YEPXHXIXLXJXKWRXMYNUVDUWEUVKUWFIYNADUVBBCUXEUWJUWKUWOUWPUXFXNYNUVKCBIJZUG
      MZUVJMUWFYNADUVICBUXEUWKUWJUWPUWOUXMXNYNUUAVUGUVJYNYOVUFUGYNBCUWMUWNXOXPX
      PXQSXQSYNYGUWHUWIUVNUUJQUXEUWLUWQADUUHYOVUEXRVRYNUVQUUMUVDIJZUUPUVKIJZIJU
      VMYNUVOVUHUVPVUIIYNYGYHYKUVOVUHQUXEUWJUWOADUVBBUXFXRVRYNYGYIYLUVPVUIQUXEU
      WKUWPADUVICUXMXRVRSYNUUMUVDUUPUVKUUMTFYNUULYSKTXSXTYAYBYNUAUOITUVBKUURYNU
      URNUWGYNYHYKUURNFUWJUWOBVJVKVLVMYNUWRKUURVNJFZHUXAYNUXBUXCUXDVUJUXGUWRUUR
      VTUXIWBRUWRTFUOUPZTFHUWRVUKIJTFYNUWRVUKYCWHZYDUUPTFYNUUOYSKTXSXTYAYBYNUAU
      OITUVIKUVEYNUVENUWGYNYIYLUVENFUWKUWPCVJVKVLVMYNUWRKUVEVNJFZHUXJYNUXKUXCUX
      LVUMUXNUWRUVEVTUXOWBRVULYDYEWPYF $.

    $( The Legendre symbol is nonzero (and hence equal to ` 1 ` or ` -u 1 ` )
       precisely when the arguments are coprime.  (Contributed by Mario
       Carneiro, 5-Feb-2015.) $)
    lgsne0 $p |- ( ( A e. ZZ /\ N e. ZZ ) ->
                                  ( ( A /L N ) =/= 0 <-> ( A gcd N ) = 1 ) ) $=
      ( cz wcel wa co cc0 wne c1 wceq c2 syl wbr syl2anc adantr cn cc cdvds cmo
      cexp vn vk vx vp vy clgs cgcd wb cif cabs iffalse necon1ai iftrue ax-1ne0
      cfv a1i eqnetrd impbii zre ad2antrr absresq sq1 eqeq12d cle recnd absge0d
      cr abscld 1re oveq2 sylan9eqr neeq1d eqeq1d w3a clt cmul cprime cpc neeq1
      cv neg1ne0 keephyp ax-1cn cuz nnabscl nnuz eleqtrdi zcnd mulcl seqcl prmz
      adantl ad2antrl dvdsgcdb mpbird simprd dvdsabsb mpbid wi mpd prmnn eleq1w
      syl3anc oveq1 oveq12d ifbieq1d ovex 1ex ifex fvmpt simpr eqtrd cmin caddc
      cdiv simpll1 eldifsn sylanbrc crp cn0 oddprm nnnn0d zexpcl nnrpd dvdsval3
      0mod syl221anc 0expd oveq1d eqtrdi pm2.61dane wn simplr breq2d sylibr imp
      pcabs notbid gcdabs elrab 0le1 sq11 mpanr12 bitr3d lgs0 3bitr4d cneg cmpt
      syl5bb gcdid0 cseq eqid lgsval4 biantrur neg1cn ifcli 3adant1 cfz lgsfcl3
      wf elfznn ffvelrn mulne0bd bitr2id gcd2n0cl wrex eluz2b3 exprmfct adantlr
      syl2an sylbir mul02 mul01 simprr simpl1 simpl2 dvdsle nnzd elfz5 cpr lgs2
      c8 c7 simpld eqbrtrrd iftrued cdif simprl lgsval3 zred 0red eqtr4d modexp
      csn 0zd modadd1 0p1e1 oveq1i nnred prmuz2 eluz2b2 sylib 1mod 1m1e0 pcelnn
      cq zq eqeltrrd 3eqtrd seqz rexlimdvaa syl5 necon1d crab nprmdvds1 simpll2
      mpand lgscl bitrd mtbird imnan con2d breq1 syl5ibcom dvdsgcd mpan2d dvds0
      iffalsed absexpd breq2 syl5ibrcom necon3bd simpll3 rplpwr mtod necon3bbid
      3eqtr3d sylibd 3netr4d necon3i pczcl syl12anc nn0zd expclz expne0i elrabd
      lgsvalmod pceq0 3bitr2rd biimpar oveq2d exp0d mpbir2an eqeltrdi pm2.61dan
      ifclda eqeltrd ad2ant2r mulne0 jca syl2anb simprbi ex impbid 3bitrd 3expa
      ) ACDZBCDZEZABUFFZGHZABUGFZIJZUHZBGVVIBGJZEZAKTFZIJZIGUIZGHZAUJUOZIJZVVKV
      VMVVTVVRVVPVWBVVTVVRVVRVVSGVVRIGUKULVVRVVSIGVVRIGUMIGHZVVRUNUPUQURVVPVWAK
      TFZIKTFZJZVVRVWBVVPVWDVVQVWEIVVPAVGDZVWDVVQJVVGVWGVVHVVOAUSUTZAVALVWEIJVV
      PVBUPVCVVPVWAVGDZGVWAVDMZVWFVWBUHZVVPAVVPAVWHVEZVHVVPAVWLVFVWIVWJEIVGDZGI
      VDMVWKVIUUAVWAIUUBUUCNUUDUUIVVPVVJVVSGVVOVVIVVJAGUFFZVVSBGAUFVJVVGVWNVVSJ
      VVHAUUEOVKVLVVPVVLVWAIVVOVVIVVLAGUGFZVWABGAUGVJVVGVWOVWAJVVHAUUJOVKVMUUFV
      VGVVHBGHZVVNVVGVVHVWPVNZVVKBGVOMAGVOMEZIUUGZIUIZBUJUOZVPUAPUAVTZVQDZAVXBU
      FFZVXBBVRFZTFZIUIZUUHZIUUKUOZVPFZGHZVXIGHZVVMVWQVVJVXJGAUAVXHBVXHUULZUUMV
      LVXLVWTGHZVXLEVWQVXKVXNVXLVWRVWSGHZVWCVXNVWSIVWSVWTGVSIVWTGVSWAUNWBUUNVWQ
      VWTVXIVWTQDVWQVWRVWSIQUUOWCUUPUPVWQUBUCVPQVXHIVXAVWQVXAPIWDUOZVVHVWPVXAPD
      ZVVGBWEZUUQZWFWGZVWQUBVTZIVXAUURFZDZEVYAVXHUOZVWQPCVXHUUTVYAPDZVYDCDVYCAU
      AVXHBVXMUUSVYAVXAUVAZPCVYAVXHUVBUVJWHZVYAQDZUCVTZQDEZVYAVYIVPFQDZVWQVYAVY
      IWIZWLWJUVCUVDVWQVXLVVMVWQVVLIVXIGVWQVVLPDZVVLIHZVXIGJZABUVEVYMVYNEZUDVTZ
      VVLRMZUDVQUVFZVWQVYOVYPVVLKWDUOZDVYSVVLUVGVVLUDUVHUVKVWQVYRVYOUDVQVWQVYQV
      QDZVYREZEZUBUCVPQVXHVYQIVXAPGVYJVYKWUCVYLWLVWQVYCVYDQDWUBVYGUVIVYHGVYAVPF
      GJWUCVYAUVLWLVYHVYAGVPFGJWUCVYAUVMWLWUCVYQVYBDZVYQVXAVDMZWUCVYQVXARMZWUEW
      UCVYQBRMZWUFWUCVYQARMZWUGWUCWUHWUGEZVYRVWQWUAVYRUVNWUCVYQCDZVVGVVHWUIVYRU
      HWUAWUJVWQVYRVYQWKWMZVVGVVHVWPWUBUVOZVVGVVHVWPWUBUVPZVYQABWNXCWOZWPWUCWUJ
      VVHWUGWUFUHWUKWUMVYQBWQNWRZWUCWUJVXQWUFWUEWSWUKVWQVXQWUBVXSOZVYQVXAUVQNWT
      WUCVYQVXPDVXACDWUDWUEUHWUCVYQPVXPWUAVYQPDZVWQVYRVYQXAZWMZWFWGWUCVXAWUPUVR
      VYQIVXAUVSNWOWUPWUCVYQVXHUOZWUAAVYQUFFZVYQBVRFZTFZIUIZWVCGWUCWUQWUTWVDJWU
      SUAVYQVXGWVDPVXHVXBVYQJZVXCWUAVXFWVCIUAUDVQXBWVEVXDWVAVXEWVBTVXBVYQAUFVJV
      XBVYQBVRXDXEXFVXMWUAWVCIWVAWVBTXGXHXIXJLWUAWVDWVCJVWQVYRWUAWVCIUMWMWUCWVC
      GWVBTFGWUCWVAGWVBTWUCWVAGJVYQKWUCVYQKJZEZWVAKARMZGAUWBSFIUWCUVTDZIVWSUIZU
      IZGWVFWUCWVAAKUFFZWVKVYQKAUFVJWUCVVGWVLWVKJZWULAUWAZLVKWVGWVHGWVJWVGVYQKA
      RWUCWVFXKWUCWUHWVFWUCWUHWUGWUNUWDZOUWEUWFXLWUCVYQKHZEZWVAAVYQIXMFKXOFZTFZ
      IXNFVYQSFZIXMFZGWVQVVGVYQVQKUWNUWGZDZWVAWWAJVVGVVHVWPWUBWVPXPZWVQWUAWVPWW
      CWUCWUAWVPVWQWUAVYRUWHZOZWUCWVPXKVYQVQKXQXRZAVYQUWINWVQWWAIIXMFGWVQWVTIIX
      MWVQWVTIVYQSFZIWVQWVTGIXNFZVYQSFZWWHWVQWVSVGDGVGDVWMVYQXSDZWVSVYQSFZGVYQS
      FZJWVTWWJJWVQWVSWVQVVGWVRXTDZWVSCDWWDWVQWVRWVQWWCWVRPDWWGVYQYALZYBZAWVRYC
      NUWJWVQUWKVWMWVQVIUPWVQVYQWVQWUAWUQWWFWURLZYDZWVQWWLGWVRTFZVYQSFZWWMWVQVV
      GGCDWWNWWKAVYQSFZWWMJWWLWWTJWWDWVQUWOWWPWWRWVQWXAGWWMWVQWUHWXAGJZWUCWUHWV
      PWVOOWVQWUQVVGWUHWXBUHWWQWWDVYQAYENWRWVQWWKWWMGJWWRVYQYFLUWLAGWVRVYQUWMYG
      WVQWWSGVYQSWVQWVRWWOYHYIXLWVSGIVYQUWPYGWWIIVYQSUWQUWRYJWVQVYQVGDIVYQVOMZW
      WHIJWVQVYQWWQUWSWVQWUQWXCWVQVYQVYTDZWUQWXCEWVQWUAWXDWWFVYQUWTLVYQUXAUXBWP
      VYQUXCNXLYIUXDYJXLYKYIWUCWVBWUCVYQVXAVRFZWVBPWUCWUABUXFDZWXEWVBJWWEWUCVVH
      WXFWUMBUXGZLBVYQYQNWUCWXEPDZWUFWUOWUCWUAVXQWXHWUFUHWWEWUPVYQVXAUXENWOUXHY
      HXLUXIUXJUXKUXLUXQUXMVWQVVMVXLVWQVVMEZVXIVYIGHZUCQUXNZDZVXLWXIUBUEVPWXKVX
      HIVXAVWQVXAVXPDVVMVXTOWXIVYCEZVYDVYAVQDZAVYAUFFZVYABVRFZTFZIUIZWXKWXMVYEV
      YDWXRJVYCVYEWXIVYFWLUAVYAVXGWXRPVXHVXBVYAJZVXCWXNVXFWXQIUAUBVQXBWXSVXDWXO
      VXEWXPTVXBVYAAUFVJVXBVYABVRXDXEXFVXMWXNWXQIWXOWXPTXGXHXIXJLWXIWXRWXKDVYCW
      XIWXNWXQIWXKWXIWXNEZVYABRMZWXQWXKDZWXTWYAEZWXOQDZWXOGHZWXPCDZWYBWXTWYDWYA
      WXTWXOWXTVVGVYACDZWXOCDVVGVVHVWPVVMWXNXPZWXNWYGWXIVYAWKZWLZAVYAUXRNWHZOWY
      CWYEVYAKWYCVYAKJZEZWXOWVJGWYMWXOWVKWVJWYLWYCWXOWVLWVKVYAKAUFVJWYCVVGWVMWX
      TVVGWYAWYHOZWVNLVKWYMWVHGWVJWYCWYLWVHYLZWYCVYAARMZYLZWYLWYOWXTWYAWYQWXTWY
      PWYAWXTWYPWYAEZYLWYPWYAYLZWSWXTWYRVYAIRMZWXNWYTYLZWXIVYAUXOZWLWXTWYRVYAVV
      LRMZWYTWXTWYGVVGVVHWYRXUCUHWYJWYHVVGVVHVWPVVMWXNUXPZVYAABWNXCWXTVVLIVYARV
      WQVVMWXNYMZYNUXSUXTWYPWYAUYAYOUYBYPZWYLWYPWVHVYAKARUYCYRUYDYPUYHXLWVJGHZW
      YMWVIVWCVXOXUGIVWSIWVJGVSVWSWVJGVSUNWAWBUPUQWYCVYAKHZEZWXOVYASFZGVYASFZHW
      YEXUIAVYAIXMFKXOFZTFZVYASFZGXUJXUKXUIVYAXUMRMZYLXUNGHXUIXUOWYTXUIWXNXUAWX
      TWXNWYAXUHWXIWXNXKZUTZXUBLXUIXUOVYAXUMBUGFZRMZWYTXUIXUOWYAXUSWXTWYAXUHYMX
      UIWYGXUMCDZVVHXUOWYAEXUSWSXUIWXNWYGXUQWYILZXUIVVGXULXTDXUTWYCVVGXUHWYNOZX
      UIXULXUIVYAWWBDZXULPDZXUIWXNXUHXVCXUQWYCXUHXKVYAVQKXQXRZVYAYALZYBZAXULYCN
      ZWXTVVHWYAXUHXUDUTZVYAXUMBUYEXCUYFXUIXURIVYARXUIXUMUJUOZVXAUGFZVWAXULTFZV
      XAUGFZXURIXUIXVJXVLVXAUGXUIAXULXUIAXVBWHXVGUYIYIXUIXUTVVHXVKXURJXVHXVIXUM
      BYSNXUIVWAVXAUGFZIJZXVMIJZXUIXVNVVLIXUIVVGVVHXVNVVLJXVBXVIABYSNWXTVVMWYAX
      UHXUEUTXLXUIVWAPDZVXQXVDXVOXVPWSXUIVVGAGHZXVQXVBXUIWYQXVRWYCWYQXUHXUFOXUI
      WYPAGXUIWYPAGJVYAGRMZXUIWYGXVSXVAVYAUYGLAGVYARUYJUYKUYLWTAWENWXTVXQWYAXUH
      WXTVVHVWPVXQXUDVVGVVHVWPVVMWXNUYMZVXRNZUTXVFVWAVXAXULUYNXCWTUYQYNUYRUYOXU
      IXUOXUNGXUIVYEXUTXUOXUNGJUHWXTVYEWYAXUHWXNVYEWXIVYAXAWLUTZXVHVYAXUMYENUYP
      WRXUIVVGXVCXUJXUNJXVBXVEAVYAVUGNXUIVYAXSDXUKGJXUIVYAXWBYDVYAYFLUYSWXOGXUJ
      XUKWXOGVYASXDUYTLYKWXTWYFWYAWXTWXPWXTWXNVVHVWPWXPXTDXUPXUDXVTVYABVUAVUBVU
      COWYDWYEWYFVNWXJWXQGHUCWXQQVYIWXQGVSWXOWXPVUDWXOWXPVUEVUFXCWXTWYSEZWXQIWX
      KXWCWXQWXOGTFIXWCWXPGWXOTWXTWXPGJZWYSWXTWYSVYAVXARMZYLZVYAVXAVRFZGJZXWDWX
      TWYAXWEWXTWYGVVHWYAXWEUHWYJXUDVYABWQNYRWXTWXNVXQXWHXWFUHXUPXWAVYAVXAVUHNW
      XTXWGWXPGWXTWXNWXFXWGWXPJXUPWXTVVHWXFXUDWXGLBVYAYQNVMVUIVUJVUKXWCWXOWXTWY
      DWYSWYKOVULXLIWXKDZIQDVWCWCUNWXJVWCUCIQVYIIGVSYTVUMZVUNVUOXWIWXIWXNYLEXWJ
      UPVUPOVUQVYAWXKDZUEVTZWXKDZEZVYAXWLVPFZWXKDZWXIXWNXWOQDZXWOGHZEZXWPXWKVYH
      VYAGHZEZXWLQDZXWLGHZEZXWSXWMWXJXWTUCVYAQVYIVYAGVSYTWXJXXCUCXWLQVYIXWLGVSY
      TXXAXXDEXWQXWRVYHXXBXWQXWTXXCVYAXWLWIVURVYAXWLVUSVUTVVAWXJXWRUCXWOQVYIXWO
      GVSYTYOWLWJWXLVXIQDVXLWXJVXLUCVXIQVYIVXIGVSYTVVBLVVCVVDVVEVVFYK $.

    $( The Legendre symbol is nonzero (and hence equal to ` 1 ` or ` -u 1 ` )
       precisely when the arguments are coprime.  (Contributed by Mario
       Carneiro, 5-Feb-2015.) $)
    lgsabs1 $p |- ( ( A e. ZZ /\ N e. ZZ ) ->
      ( ( abs ` ( A /L N ) ) = 1 <-> ( A gcd N ) = 1 ) ) $=
      ( cz wcel wa clgs co cabs cfv c1 wceq cle wbr cgcd cr lgscl cc0 wne syl
      wb abscld 1re letri3 sylancl lgsle1 biantrurd cn nnne0 cn0 nn0abscl elnn0
      zcnd wo sylib ord necon1ad impbid2 elnnnn0c baib cc abs00 necon3bid bitrd
      lgsne0 3bitr3d 3bitr2d ) ACDBCDEZABFGZHIZJKZVIJLMZJVILMZEZVLABNGJKZVGVIOD
      JODVJVMTVGVHVGVHABPZULZUAUBVIJUCUDVGVKVLABUEUFVGVIUGDZVIQRZVLVNVGVQVRVIUH
      VGVQVIQVGVQVIQKZVGVIUIDZVQVSUMVGVHCDVTVOVHUJSZVIUKUNUOUPUQVGVTVQVLTWAVQVT
      VLVIURUSSVGVRVHQRZVNVGVHUTDZVRWBTVPWCVIQVHQVHVAVBSABVDVCVEVF $.

    $( The Legendre symbol at a square is equal to ` 1 ` .  Together with
       ~ lgsmod this implies that the Legendre symbol takes value ` 1 ` at
       every quadratic residue.  (Contributed by Mario Carneiro, 5-Feb-2015.)
       (Revised by AV, 20-Jul-2021.) $)
    lgssq $p |- ( ( ( A e. ZZ /\ A =/= 0 ) /\ N e. ZZ /\ ( A gcd N ) = 1 )
                   -> ( ( A ^ 2 ) /L N ) = 1 ) $=
      ( cz wcel cc0 wne wa cgcd co c1 wceq w3a cmul clgs c2 simp1l simp2 sqvald
      cexp oveq1d simp1r lgsdir syl32anc cc zcn adantr 3ad2ant1 cabs cr syl2anc
      cfv lgscl zred absresq syl wb lgsabs1 adantlr biimp3ar sq1 eqtrdi 3eqtr3d
      zcnd 3eqtr4d ) ACDZAEFZGZBCDZABHIJKZLZAAMIZBNIZABNIZVMMIZAOSIZBNIJVJVEVEV
      HVFVFVLVNKVEVFVHVIPZVPVGVHVIQZVEVFVHVIUAZVRAABUBUCVJVOVKBNVJAVGVHAUDDZVIV
      EVSVFAUEUFUGRTVJVMUHUKZOSIZVMOSIZJVNVJVMUIDWAWBKVJVMVJVEVHVMCDVPVQABULUJZ
      UMVMUNUOVJWAJOSIJVJVTJOSVGVHVTJKZVIVEVHWDVIUPVFABUQURUSTUTVAVJVMVJVMWCVCR
      VBVD $.

    $( The Legendre symbol at a square is equal to ` 1 ` .  (Contributed by
       Mario Carneiro, 5-Feb-2015.) $)
    lgssq2 $p |- ( ( A e. ZZ /\ N e. NN /\ ( A gcd N ) = 1 ) ->
                   ( A /L ( N ^ 2 ) ) = 1 ) $=
      ( cz wcel cn cgcd co c1 wceq w3a cmul clgs c2 cexp cc0 wne simp1 3ad2ant2
      nnz sqvald nnne0 lgsdi syl32anc cc nncn oveq2d cabs cr lgscl syl2anc zred
      cfv absresq syl wb lgsabs1 sylan2 biimp3ar oveq1d sq1 eqtrdi zcnd 3eqtr3d
      3eqtr4d ) ACDZBEDZABFGHIZJZABBKGZLGZABLGZVKKGZABMNGZLGHVHVEBCDZVNBOPZVOVJ
      VLIVEVFVGQZVFVEVNVGBSZRZVRVFVEVOVGBUARZVSABBUBUCVHVMVIALVHBVFVEBUDDVGBUER
      TUFVHVKUGULZMNGZVKMNGZHVLVHVKUHDWAWBIVHVKVHVEVNVKCDVPVRABUIUJZUKVKUMUNVHW
      AHMNGHVHVTHMNVEVFVTHIZVGVFVEVNWDVGUOVQABUPUQURUSUTVAVHVKVHVKWCVBTVCVD $.
  $}

  $( The Legendre symbol at any prime (even at 2) is ` 0 ` iff the prime does
     not divide the first argument.  See definition in [ApostolNT] p. 179.
     (Contributed by AV, 20-Jul-2021.) $)
  lgsprme0 $p |- ( ( A e. ZZ /\ P e. Prime )
                -> ( ( A /L P ) = 0 <-> ( A mod P ) = 0 ) ) $=
    ( cz wcel cprime wa cmo co cc0 wceq clgs wne cgcd c1 cdvds wbr wn wb ancoms
    prmz lgsne0 sylan2 coprm anim1i gcdcom syl eqeq1d bitr2d cn dvdsval3 notbid
    prmnn sylan 3bitrd necon4abid ) ACDZBEDZFZABGHIJZABKHZIURUTILZABMHZNJZBAOPZ
    QZUSQUQUPBCDZVAVCRBTZABUAUBURVEBAMHZNJZVCUQUPVEVIRBAUCSURVHVBNURVFUPFZVHVBJ
    UQUPVJUQVFUPVGUDSBAUEUFUGUHURVDUSUQUPVDUSRZUQBUIDUPVKBULBAUJUMSUKUNUO $.

  $( The Legendre symbol at ` 1 ` .  See example 1 in [ApostolNT] p. 180.
     (Contributed by Mario Carneiro, 28-Apr-2016.) $)
  1lgs $p |- ( N e. ZZ -> ( 1 /L N ) = 1 ) $=
    ( cz wcel c1 clgs co c2 cexp sq1 oveq1i cgcd wceq 1gcd cc0 wne wa 1z pm3.2i
    ax-1ne0 lgssq mp3an1 mpdan eqtr3id ) ABCZDAEFDGHFZAEFZDUEDAEIJUDDAKFDLZUFDL
    ZAMDBCZDNOZPUDUGUHUIUJQSRDATUAUBUC $.

  $( The Legendre symbol at ` 1 ` .  See definition in [ApostolNT] p. 188.
     (Contributed by Mario Carneiro, 28-Apr-2016.) $)
  lgs1 $p |- ( A e. ZZ -> ( A /L 1 ) = 1 ) $=
    ( cz wcel c1 clgs co c2 cexp sq1 oveq2i cgcd wceq gcd1 cn 1nn lgssq2 mp3an2
    mpdan eqtr3id ) ABCZADEFADGHFZEFZDUADAEIJTADKFDLZUBDLZAMTDNCUCUDOADPQRS $.

  $( The Legendre (Jacobi) symbol is preserved under reduction ` mod n ` when
     ` n ` is odd.  Theorem 9.9(c) in [ApostolNT] p. 188.  (Contributed by AV,
     20-Jul-2021.) $)
  lgsmodeq $p |- ( ( A e. ZZ /\ B e. ZZ /\ ( N e. NN /\ -. 2 || N ) )
               -> ( ( A mod N ) = ( B mod N ) -> ( A /L N ) = ( B /L N ) ) ) $=
    ( cz wcel cn c2 cdvds wbr wn wa w3a cmo wceq clgs 3anass biimpri lgsmod syl
    co 3adant2 oveq1 sylan9req 3adant1 adantr eqtrd ex ) ADEZBDEZCFEZGCHIJZKZLZ
    ACMTZBCMTZNZACOTZBCOTZNUMUPKUQUOCOTZURUMUPUQUNCOTZUSUMUHUJUKLZUTUQNUHULVAUI
    VAUHULKUHUJUKPQUAACRSUNUOCOUBUCUMUSURNZUPUMUIUJUKLZVBUIULVCUHVCUIULKUIUJUKP
    QUDBCRSUEUFUG $.

  $( The Legendre (Jacobi) symbol is preserved under multiplication with a
     square of an integer coprime to the second argument.  Theorem 9.9(d) in
     [ApostolNT] p. 188.  (Contributed by AV, 20-Jul-2021.) $)
  lgsmulsqcoprm $p |- ( ( ( A e. ZZ /\ A =/= 0 ) /\ ( B e. ZZ /\ B =/= 0 )
                          /\ ( N e. ZZ /\ ( A gcd N ) = 1 ) )
                        -> ( ( ( A ^ 2 ) x. B ) /L N ) = ( B /L N ) ) $=
    ( cz wcel cc0 wne wa cgcd co c1 wceq w3a cexp cmul clgs simpl syl anim12i
    c2 zsqcl adantr 3anim123i cc zcn sqne0 biimpar simpr 3adant3 lgsdir syl2anc
    wb 3anass biimpri 3adant2 lgssq oveq1d 3adant1 lgscl zcnd mulid2d 3eqtrd )
    ADEZAFGZHZBDEZBFGZHZCDEZACIJKLZHZMZATNJZBOJCPJZVMCPJZBCPJZOJZKVPOJVPVLVMDEZ
    VFVIMVMFGZVGHZVNVQLVEVRVHVFVKVIVCVRVDAUAUBVFVGQZVIVJQZUCVEVHVTVKVEVSVHVGVCV
    SVDVCAUDEVSVDULAUEAUFRUGVFVGUHSUIVMBCUJUKVLVOKVPOVLVEVIVJMZVOKLVEVKWCVHWCVE
    VKHVEVIVJUMUNUOACUPRUQVLVPVLVPVLVFVIHZVPDEVHVKWDVEVHVFVKVIWAWBSURBCUSRUTVAV
    B $.

  ${
    $d x A $.  $d x B $.  $d x M $.  $d x N $.
    $( Variation on ~ lgsdir valid for all ` A , B ` but only for positive
       ` N ` .  (The exact location of the failure of this law is for
       ` A = 0 ` , ` B < 0 ` , ` N = -u 1 ` in which case ` ( 0 /L -u 1 ) = 1 `
       but ` ( B /L -u 1 ) = -u 1 ` .)  (Contributed by Mario Carneiro,
       28-Apr-2016.) $)
    lgsdirnn0 $p |- ( ( A e. ZZ /\ B e. ZZ /\ N e. NN0 ) ->
      ( ( A x. B ) /L N ) = ( ( A /L N ) x. ( B /L N ) ) ) $=
      ( vx cz wcel cmul co clgs wceq cc0 wa oveq1 oveq1d cc zcnd adantr sylancr
      c1 0z cn0 w3a cv eqeq2d wral id nn0z lgscl syl2anr mul01d oveq2d 3eqtr4rd
      simpr cgcd wb lgsne0 gcdcom nn0gcdid0 eqtrd eqeq1d lgs1 adantl syl5ibrcom
      wne oveq2 sylbid imp ad2antrr mulid2d pm2.61dane ralrimiva 3ad2ant3 simp2
      eqtr2d rspcdva syl2anc mulcomd eqtr4d zcn 3ad2ant2 mul02d sylan9eqr simp1
      3eqtr4d lgsdir syl3anl3 pm2.61da2ne ) AEFZBEFZCUAFZUBZABGHZCIHZACIHZBCIHZ
      GHZJZAKBKWKAKJZLZKCIHZWTWOGHZWMWPWSWTWOWTGHZXAWKWTXBJZWRWKWTDUCZCIHZWTGHZ
      JZXCDEBXDBJZXFXBWTXHXEWOWTGXDBCIMNUDWJWHXGDEUEWIWJXGDEWJXDEFZLZXGWTKXJWTK
      JZLZXEKGHKXFWTXLXEXJXEOFXKXJXEXIXICEFZXEEFWJXIUFCUGZXDCUHUIPQUJXLWTKXEGXJ
      XKUMZUKXOULXJWTKVDZLZXFSWTGHWTXQXESWTGXJXPXESJZXJXPKCUNHZSJZXRXJKEFZXMXPX
      TUOTWJXMXIXNQZKCUPRXJXTCSJZXRXJXSCSXJXSCKUNHZCXJYAXMXSYDJTYBKCUQRWJYDCJXI
      CURQUSUTXJXRYCXDSIHZSJZXIYFWJXDVAVBYCXEYESCSXDIVEUTVCVFVFVGNXQWTXQWTXQYAX
      MWTEFZTWJXMXIXPXNVHKCUHZRPVIVNVJVKVLZWHWIWJVMZVOQWSWTWOWKWTOFWRWKWTWKYAXM
      YGTWJWHXMWIXNVLZYHRPQWKWOOFWRWKWOWKWIXMWOEFYJYKBCUHVPPQVQVRWSWLKCIWRWKWLK
      BGHKAKBGMWKBWIWHBOFWJBVSVTWAWBNWSWNWTWOGWSAKCIWKWRUMNNWDWKBKJZLZWTWNWTGHZ
      WMWPWKWTYNJZYLWKXGYODEAXDAJZXFYNWTYPXEWNWTGXDACIMNUDYIWHWIWJWCZVOQYMWLKCI
      YLWKWLAKGHKBKAGVEWKAWKAYQPUJWBNYMWOWTWNGYMBKCIWKYLUMNUKWDWJWHWIXMAKVDBKVD
      LWQXNABCWEWFWG $.

    $( Variation on ~ lgsdi valid for all ` M , N ` but only for positive
       ` A ` .  (The exact location of the failure of this law is for
       ` A = -u 1 ` , ` M = 0 ` , and some ` N ` in which case
       ` ( -u 1 /L 0 ) = 1 ` but ` ( -u 1 /L N ) = -u 1 ` when ` -u 1 ` is not
       a quadratic residue mod ` N ` .)  (Contributed by Mario Carneiro,
       28-Apr-2016.) $)
    lgsdinn0 $p |- ( ( A e. NN0 /\ M e. ZZ /\ N e. ZZ ) ->
      ( A /L ( M x. N ) ) = ( ( A /L M ) x. ( A /L N ) ) ) $=
      ( vx wcel cz cmul co clgs wceq cc0 wa oveq2 oveq1d c1 adantr lgscl oveq2d
      zcnd wne cn0 w3a cv eqeq2d wral c2 cexp sq1 eqeq2i wb cr cle nn0re nn0ge0
      wbr 1re 0le1 sq11 mpanr12 syl2anc bitr3id biimpa 1lgs ad2antlr eqtrd nn0z
      ad2antrr 0z sylancl mulid2d eqtr2d cc sylan mul01d cif lgs0 syl ifnefalse
      sylan9eq 3eqtr4rd pm2.61dane ralrimiva simp3 rspcdva mulcomd eqtr4d oveq1
      3ad2ant1 mul02d sylan9eqr simpr 3eqtr4d simp2 lgsdi syl3anl1 pm2.61da2ne
      ) AUAEZBFEZCFEZUBZABCGHZIHZABIHZACIHZGHZJZBKCKWTBKJZLZAKIHZXIXDGHZXBXEXHX
      IXDXIGHZXJWTXIXKJZXGWTXIADUCZIHZXIGHZJZXLDFCXMCJZXOXKXIXQXNXDXIGXMCAIMNUD
      WQWRXPDFUEWSWQXPDFWQXMFEZLZXPAUFUGHZOXSXTOJZLZXOOXIGHXIYBXNOXIGYBXNOXMIHZ
      OYBAOXMIXSYAAOJZYAXTOUFUGHZJZXSYDYEOXTUHUIWQYFYDUJZXRWQAUKEZKAULUOZYGAUMA
      UNYHYILOUKEKOULUOYGUPUQAOURUSUTPVAVBNXRYCOJWQYAXMVCVDVENYBXIYBXIYBAFEZKFE
      ZXIFEZWQYJXRYAAVFZVGVHAKQZVISVJVKXSXTOTZLZXNKGHKXOXIYPXNXSXNVLEYOXSXNWQYJ
      XRXNFEYMAXMQVMSPVNYPXIKXNGXSYOXIYAOKVOZKXSYJXIYQJWQYJXRYMPAVPVQXTOOKVRVSZ
      RYRVTWAWBWHZWQWRWSWCZWDPXHXIXDWTXIVLEXGWTXIWTYJYKYLWQWRYJWSYMWHZVHYNVISPW
      TXDVLEXGWTXDWTYJWSXDFEUUAYTACQUTSPWEWFXHXAKAIXGWTXAKCGHKBKCGWGWTCWTCYTSWI
      WJRXHXCXIXDGXHBKAIWTXGWKRNWLWTCKJZLZXIXCXIGHZXBXEWTXIUUDJZUUBWTXPUUEDFBXM
      BJZXOUUDXIUUFXNXCXIGXMBAIMNUDYSWQWRWSWMZWDPUUCXAKAIUUBWTXABKGHKCKBGMWTBWT
      BUUGSVNWJRUUCXDXIXCGUUCCKAIWTUUBWKRRWLWQYJWRWSBKTCKTLXFYMABCWNWOWP $.
  $}

  ${
    $d x A $.  $d x z G $.  $d y O $.  $d x y z P $.  $d x y z ph $.  $d y T $.
    $d x y L $.  $d x y Y $.
    lgsqr.y $e |- Y = ( Z/nZ ` P ) $.
    lgsqr.s $e |- S = ( Poly1 ` Y ) $.
    lgsqr.b $e |- B = ( Base ` S ) $.
    lgsqr.d $e |- D = ( deg1 ` Y ) $.
    lgsqr.o $e |- O = ( eval1 ` Y ) $.
    lgsqr.e $e |- .^ = ( .g ` ( mulGrp ` S ) ) $.
    lgsqr.x $e |- X = ( var1 ` Y ) $.
    lgsqr.m $e |- .- = ( -g ` S ) $.
    lgsqr.u $e |- .1. = ( 1r ` S ) $.
    lgsqr.t $e |- T = ( ( ( ( P - 1 ) / 2 ) .^ X ) .- .1. ) $.
    lgsqr.l $e |- L = ( ZRHom ` Y ) $.
    lgsqr.1 $e |- ( ph -> P e. ( Prime \ { 2 } ) ) $.
    ${
      lgsqrlem1.3 $e |- ( ph -> A e. ZZ ) $.
      lgsqrlem1.4 $e |- ( ph ->
        ( ( A ^ ( ( P - 1 ) / 2 ) ) mod P ) = ( 1 mod P ) ) $.
      $( Lemma for ~ lgsqr .  (Contributed by Mario Carneiro, 15-Jun-2015.) $)
      lgsqrlem1 $p |- ( ph -> ( ( O ` T ) ` ( L ` A ) ) = ( 0g ` Y ) ) $=
        ( cfv cur csg co c0g c1 cmin c2 cdiv fveq2i fveq1i wcel wceq eqid cidom
        cbs cfield cprime csn eldifad znfld syl fldidom cdomn isidom simplbi cz
        ccrg zring crh crg crngring zrhrhm zringbas rhmf ffvelrnd cmgp evl1vard
        wf cmg wa cdif cn oddprm nnnn0d evl1expd ccnfld cress cmhm cn0 zringmpg
        rhmmhm mgpbas mhmmulg syl3anc cexp csubmnd csubrg zsubrg subrgsubm mp1i
        submmulg cc zcnd cnfldexp syl2anc eqtr3d fveq2d cdvds wbr cmo wb zexpcl
        prmnn 1zzd moddvds mpbid zndvds mpbird zring1 rhm1 3eqtrd eqeq2d anbi2d
        cascl ringidcl evl1scad ply1scl1 eleq1d fveq1d eqeq1d anbi12d evl1subd
        simprd syl5eq cgrp ringgrp grpsubid eqtrd ) ABJUIZGLUIZUIZNUJUIZUUKNUKU
        IZULZNUMUIZAUUJUUHEUNUOULUPUQULZMIULZHKULZLUIZUIZUUMUUHUUIUURGUUQLUDURU
        SAUUQCUTUUSUUMVAANVDUIZUULFNCUUPKHLUUKUUKUUHSPUUTVBZQANVCUTZNVPUTZANVEU
        TZUVBAEVFUTZUVDAEVFUPVGZUFVHZENOVIVJNVKVJUVBUVCNVLUTNVMVNVJZAVOUUTBJAJV
        QNVRULUTZVOUUTJWGANVSUTZUVIAUVCUVJUVHNVTVJZNJUEWAVJZVOUUTVQNJWBUVAWCVJU
        GWDZAUUPCUTZUUHUUPLUIUIZUUOUUHNWEUIZWHUIZULZVAZWIUVNUVOUUKVAZWIAUUTFNIC
        UVQMUUOLUUHUUHSPUVAQUVHUVMAUUTFNCLMUUHSUAUVAPQUVHUVMWFTUVQVBZAUUOAEVFUV
        FWJUTUUOWKUTUFEWLVJWMZWNAUVSUVTUVNAUVRUUKUVOAUUOBWOWEUIZVOWPULZWHUIZULZ
        JUIZUVRUUKAJUWDUVPWQULUTZUUOWRUTZBVOUTZUWGUVRVAAUVIUWHUVLVQNJUWDUVPWSUV
        PVBWTVJUWBUGVOUWEUVQJUWDUVPUUOBVOVQUWDWSWBXAUWEVBZUWAXBXCAUWGBUUOXDULZJ
        UIZUNJUIZUUKAUWFUWLJAUUOBUWCWHUIZULZUWFUWLAVOUWCXEUIUTZUWIUWJUWPUWFVAVO
        WOXFUIUTUWQAXGVOWOUWCUWCVBXHXIUWBUGVOUWOUWEUWCUWDUUOBUWOVBUWDVBUWKXJXCA
        BXKUTUWIUWPUWLVAABUGXLUWBBUUOXMXNXOXPAUWMUWNVAZEUWLUNUOULXQXRZAUWLEXSUL
        UNEXSULVAZUWSUHAEWKUTZUWLVOUTZUNVOUTZUWTUWSXTAUVEUXAUVGEYBVJZAUWJUWIUXB
        UGUWBBUUOYAXNZAYCZUWLUNEYDXCYEAEWRUTUXBUXCUWRUWSXTAEUXDWMUXEUXFUWLUNJEN
        OUEYFXCYGAUVIUWNUUKVAUVLVQNUNJUUKYHUUKVBZYIVJYJXOYKYLYEAUUKFYMUIZUIZCUT
        ZUUHUXILUIZUIZUUKVAZWIHCUTZUUHHLUIZUIZUUKVAZWIAUXHUUTFNCLUUKUUHSPUVAUXH
        VBZQUVHAUVJUUKUUTUTZUVKUUTNUUKUVAUXGYNVJZUVMYOAUXJUXNUXMUXQAUXIHCAUVJUX
        IHVAUVKUXHFNUUKHPUXRUXGUCYPVJZYQAUXLUXPUUKAUUHUXKUXOAUXIHLUYAXPYRYSYTYE
        UBUULVBZUUAUUBUUCANUUDUTZUXSUUMUUNVAAUVJUYCUVKNUUEVJUXTUUTNUULUUKUUNUVA
        UUNVBUYBUUFXNUUG $.
    $}

    lgsqr.g $e |- G = ( y e. ( 1 ... ( ( P - 1 ) / 2 ) ) |->
      ( L ` ( y ^ 2 ) ) ) $.
    $( Lemma for ~ lgsqr .  (Contributed by Mario Carneiro, 15-Jun-2015.) $)
    lgsqrlem2 $p |- ( ph -> G : ( 1 ... ( ( P - 1 ) / 2 ) )
         -1-1-> ( `' ( O ` T ) " { ( 0g ` Y ) } ) ) $=
      ( vx vz c1 cmin co c2 cdiv cfz cfv ccnv c0g csn cima wf cv wceq wral cexp
      wi wf1 wcel wa cbs cz zring crh crg cidom cfield cprime eldifad znfld syl
      ccrg fldidom cdomn isidom simplbi crngring zrhrhm zringbas adantr elfzelz
      eqid rhmf adantl zsqcl ffvelrnd cdif cmo cphi cmul cn elfznn nncnd nnnn0d
      cn0 a1i cr nnred cc0 cgcd nnzd cdvds wbr wn cle clt elfzle2 nnrpd lelttrd
      crp ltm1d ltnled mpbid dvdsle syl2anc wb eqtrd syl3anc caddc fvoveq1 fvex
      fvmpt ad2antrl ad2antll eqeq12d cc nn0ge0d modid syl22anc sylbid 2nn0 wne
      oddprm expmuld prmnn peano2rem recnd divcan2d phiprm eqtr4d oveq2d eqtr3d
      2cnd 2ne0 oveq1d gcdcomd rehalfcld cuz prmuz2 uz2m1nn rphalflt lttrd mtod
      coprm eulerth lgsqrlem1 wfn cpws fvexd evl1rhm cgrp ply1ring ringgrp cmgp
      cvv cmnd ringmgp vr1cl mulgnn0cl ringidcl grpsubcl eqeltrid pwselbas ffnd
      mgpbas fniniseg fmptd zndvds subsq breq2d 3bitrd zaddcld zsubcld euclemma
      mpbir2and wo nnaddcld le2addd 2halvesd breqtrd pm2.21d syld bitr3d biimpd
      moddvds jaod ralrimivva dff13 sylanbrc ) AUKEUKULUMZUNUOUMZUPUMZGMUQZUROU
      SUQZUTVAZJVBUIVCZJUQZUJVCZJUQZVDZUXPUXRVDZVGZUJUXLVEUIUXLVEUXLUXOJVHABUXL
      BVCZUNVFUMZKUQZUXOJAUYCUXLVIZVJZUYEUXOVIZUYEOVKUQZVIZUYEUXMUQUXNVDZUYGVLU
      YIUYDKAVLUYIKVBZUYFAKVMOVNUMVIZUYLAOVOVIZUYMAOWBVIZUYNAOVPVIZUYOAOVQVIZUY
      PAEVRVIZUYQAEVRUNUTZUGVSZEOPVTWAZOWCWAUYPUYOOWDVIOWEWFWAZOWGWAZOKUFWHWAVL
      UYIVMOKWIUYIWLZWMWAWJUYGUYCVLVIZUYDVLVIUYFVUEAUYCUKUXKWKWNZUYCWOWAZWPUYGU
      YDCDEFGHIKLMNOPQRSTUAUBUCUDUEUFAEVRUYSWQVIZUYFUGWJVUGUYGUYDUXKVFUMZEWRUMU
      YCEWSUQZVFUMZEWRUMZUKEWRUMZUYGVUIVUKEWRUYGUYCUNUXKWTUMZVFUMVUIVUKUYGUYCUN
      UXKUYGUYCUYFUYCXAVIZAUYCUXKXBWNZXCAUXKXEVIZUYFAUXKAVUHUXKXAVIUGEUUCWAXDZW
      JUNXEVIUYGUUAXFUUDUYGVUNVUJUYCVFAVUNVUJVDUYFAVUNUXJVUJAUXJUNAUXJAEXGVIZUX
      JXGVIZAEAUYREXAVIZUYTEUUEZWAZXHZEUUFZWAZUUGZAUUMUNXIUUBAUUNXFUUHAUYRVUJUX
      JVDUYTEUUIWAUUJWJUUKUULUUOUYGVVAVUEUYCEXJUMZUKVDVULVUMVDUYGUYRVVAAUYRUYFU
      YTWJZVVBWAVUFUYGVVHEUYCXJUMZUKUYGUYCEVUFAEVLVIZUYFAEVVCXKWJZUUPUYGEUYCXLX
      MZXNZVVJUKVDZUYGVVMEUYCXOXMZUYGUYCEXPXMVVPXNUYGUYCUXKEUYGUYCVUPXHZAUXKXGV
      IZUYFAUXJVVFUUQZWJAVUSUYFVVDWJZUYFUYCUXKXOXMAUYCUKUXKXQWNAUXKEXPXMZUYFAUX
      KUXJEVVSVVFVVDAUXJXTVIUXKUXJXPXMAUXJAEUNUURUQVIZUXJXAVIAUYRVWBUYTEUUSWAEU
      UTWAXRUXJUVAWAAEVVDYAUVBZWJXSUYGUYCEVVQVVTYBYCUYGVVKVUOVVMVVPVGVVLVUPEUYC
      YDYEUVCUYGUYRVUEVVNVVOYFVVIVUFEUYCUVDYEYCYGUYCEUVEYHYGUVFUYGUXMUYIUVGZUYH
      UYJUYKVJYFAVWDUYFAUYIUYIUXMAUYIOUYIOUYIUVHUMZVKUQZVQUXMVWEUVOVWEWLZVUDVWF
      WLZVUAAOVKUVIACVWFGMAMFVWEVNUMVIZCVWFMVBAUYOVWIVUBUYIFOVWEMTQVWGVUDUVJWAC
      VWFFVWEMRVWHWMWAAGUXKNIUMZHLUMZCUEAFUVKVIZVWJCVIZHCVIZVWKCVIAFVOVIZVWLAUY
      NVWOVUCFOQUVLWAZFUVMWAAFUVNUQZUVPVIZVUQNCVIZVWMAVWOVWRVWPFVWQVWQWLZUVQWAV
      URAUYNVWSVUCCFONUBQRUVRWACIVWQUXKNCFVWQVWTRUWEUAUVSYHAVWOVWNVWPCFHRUDUVTW
      ACFLVWJHRUCUWAYHUWBWPUWCUWDWJUYIUXNUYEUXMUWFWAUWOUHUWGAUYBUIUJUXLUXLAUXPU
      XLVIZUXRUXLVIZVJZVJZUXTEUXPUXRYIUMZUXPUXRULUMZWTUMZXLXMZUYAVXDUXTUXPUNVFU
      MZKUQZUXRUNVFUMZKUQZVDZEVXIVXKULUMZXLXMZVXHVXDUXQVXJUXSVXLVXAUXQVXJVDAVXB
      BUXPUYEVXJUXLJUYCUXPUNKVFYJUHVXIKYKYLYMVXBUXSVXLVDAVXABUXRUYEVXLUXLJUYCUX
      RUNKVFYJUHVXKKYKYLYNYOVXDEXEVIZVXIVLVIZVXKVLVIZVXMVXOYFAVXPVXCAEVVCXDWJVX
      DUXPVLVIZVXQVXAVXSAVXBUXPUKUXKWKYMZUXPWOWAVXDUXRVLVIZVXRVXBVYAAVXAUXRUKUX
      KWKYNZUXRWOWAVXIVXKKEOPUFUWHYHVXDVXNVXGEXLVXDUXPYPVIUXRYPVIVXNVXGVDVXDUXP
      VXAUXPXAVIAVXBUXPUXKXBYMZXCVXDUXRVXBUXRXAVIAVXAUXRUXKXBYNZXCUXPUXRUWIYEUW
      JUWKVXDVXHEVXEXLXMZEVXFXLXMZUWPZUYAVXDUYRVXEVLVIVXFVLVIVXHVYGYFAUYRVXCUYT
      WJZVXDUXPUXRVXTVYBUWLVXDUXPUXRVXTVYBUWMEVXEVXFUWNYHVXDVYEUYAVYFVXDVYEEVXE
      XOXMZUYAVXDVVKVXEXAVIVYEVYIVGVXDEVXDUYRVVAVYHVVBWAZXKVXDUXPUXRVYCVYDUWQZE
      VXEYDYEVXDVYIUYAVXDVXEEXPXMVYIXNVXDVXEUXJEVXDVXEVYKXHZVXDVUSVUTVXDEVYJXHZ
      VVEWAVYMVXDVXEUXKUXKYIUMUXJXOVXDUXPUXRUXKUXKVXDUXPVYCXHZVXDUXRVYDXHZAVVRV
      XCVVSWJZVYPVXAUXPUXKXOXMAVXBUXPUKUXKXQYMZVXBUXRUXKXOXMAVXAUXRUKUXKXQYNZUW
      RVXDUXJAUXJYPVIVXCVVGWJUWSUWTVXDEVYMYAXSVXDVXEEVYLVYMYBYCUXAUXBVXDVYFUYAV
      XDUXPEWRUMZUXREWRUMZVDZVYFUYAVXDVVAVXSVYAWUAVYFYFVYJVXTVYBUXPUXREUXEYHVXD
      VYSUXPVYTUXRVXDUXPXGVIEXTVIZXIUXPXOXMUXPEXPXMVYSUXPVDVYNVXDEVYJXRZVXDUXPV
      XDUXPVYCXDYQVXDUXPUXKEVYNVYPVYMVYQAVWAVXCVWCWJZXSUXPEYRYSVXDUXRXGVIWUBXIU
      XRXOXMUXREXPXMVYTUXRVDVYOWUCVXDUXRVXDUXRVYDXDYQVXDUXRUXKEVYOVYPVYMVYRWUDX
      SUXREYRYSYOUXCUXDUXFYTYTUXGUIUJUXLUXOJUXHUXI $.

    lgsqr.3 $e |- ( ph -> A e. ZZ ) $.
    lgsqr.4 $e |- ( ph -> ( A /L P ) = 1 ) $.
    $( Lemma for ~ lgsqr .  (Contributed by Mario Carneiro, 15-Jun-2015.) $)
    lgsqrlem3 $p |- ( ph -> ( L ` A ) e. ( `' ( O ` T ) " { ( 0g ` Y ) } ) ) $=
      ( cfv ccnv c0g csn cima wcel cbs wceq cz zring crh co wf crg cidom cfield
      ccrg cprime c2 eldifad znfld fldidom cdomn isidom simplbi crngring zrhrhm
      syl zringbas eqid rhmf ffvelrnd clgs cmo c1 cmin cdiv cexp cdif lgsvalmod
      syl2anc oveq1d eqtr3d lgsqrlem1 wfn wa wb cpws cvv fvexd evl1rhm ply1ring
      cgrp ringgrp cmgp cmnd cn0 ringmgp oddprm nnnn0d mgpbas mulgnn0cl syl3anc
      cn vr1cl ringidcl grpsubcl eqeltrid pwselbas ffnd fniniseg mpbir2and ) AC
      LULZHNULZUMPUNULZUOUPUQZYDPURULZUQZYDYEULYFUSZAUTYHCLALVAPVBVCUQZUTYHLVDA
      PVEUQZYKAPVHUQZYLAPVFUQZYMAPVGUQZYNAFVIUQYOAFVIVJUOZUHVKFPQVLVSZPVMVSYNYM
      PVNUQPVOVPVSZPVQVSZPLUGVRVSUTYHVAPLVTYHWAZWBVSUJWCACDEFGHIJLMNOPQRSTUAUBU
      CUDUEUFUGUHUJACFWDVCZFWEVCZCFWFWGVCVJWHVCZWIVCFWEVCZWFFWEVCACUTUQFVIYPWJU
      QZUUBUUDUSUJUHCFWKWLAUUAWFFWEUKWMWNWOAYEYHWPYGYIYJWQWRAYHYHYEAYHPYHPYHWSV
      CZURULZVGYEUUFWTUUFWAZYTUUGWAZYQAPURXAADUUGHNANGUUFVBVCUQZDUUGNVDAYMUUJYR
      YHGPUUFNUARUUHYTXBVSDUUGGUUFNSUUIWBVSAHUUCOJVCZIMVCZDUFAGXDUQZUUKDUQZIDUQ
      ZUULDUQAGVEUQZUUMAYLUUPYSGPRXCVSZGXEVSAGXFULZXGUQZUUCXHUQODUQZUUNAUUPUUSU
      UQGUURUURWAZXIVSAUUCAUUEUUCXOUQUHFXJVSXKAYLUUTYSDGPOUCRSXPVSDJUURUUCODGUU
      RUVASXLUBXMXNAUUPUUOUUQDGISUEXQVSDGMUUKISUDXRXNXSWCXTYAYHYFYDYEYBVSYC $.

    $( Lemma for ~ lgsqr .  (Contributed by Mario Carneiro, 15-Jun-2015.) $)
    lgsqrlem4 $p |- ( ph -> E. x e. ZZ P || ( ( x ^ 2 ) - A ) ) $=
      ( cfv ccnv cz wcel c2 cexp co cmin cdvds wbr cv wrex c1 cdiv c0g csn cima
      cfz wf1o wf wf1 lgsqrlem2 cen cfn wb cdom cnvex imaex f1dom syl chash cle
      fvex eqid cfield cidom cprime eldifad znfld fldidom cgrp crg cdomn isidom
      ccrg simplbi crngring ply1ring ringgrp cmgp cmnd ringmgp cn oddprm nnnn0d
      cn0 cdif vr1cl mgpbas mulgnn0cl syl3anc ringidcl grpsubcl eqeltrid fveq2i
      wne cc0 clt nngt0d cur cascl wceq ply1scl1 fveq2d domnnzr simplbiim nzrnz
      cbs cnzr deg1scl eqtr3d deg1pw syl2anc 3brtr4d cvv mpbid fvoveq1 cmpt
      deg1sub syl5eq eqeltrd deg1nn0clb mpbird breqtrd hashfz1 breqtrrd hashbnd
      eqtrd fta1g mp3an2i fzfid hashdom sbth f1finf1o f1ocnv f1of 3syl ffvelrnd
      lgsqrlem3 elfzelzd cbvmptv eqtri fvmpt f1ocnvfv2 prmnn zsqcl zndvds oveq1
      oveq1d breq2d rspcev ) ADMUMZLUNZUMZUOUPZGUVPUQURUSZDUTUSZVAVBZGBVCZUQURU
      SZDUTUSZVAVBZBUOVDAUVPVEGVEUTUSUQVFUSZAIOUMZUNZQVGUMZVHZVIZVEUWEVJUSZUVNU
      VOAUWKUWJLVKZUWJUWKUVOVKUWJUWKUVOVLAUWKUWJLVMZUWLACEFGHIJKLMNOPQRSTUAUBUC
      UDUEUFUGUHUIUJVNZAUWKUWJVOVBZUWJVPUPZUWMUWLVQAUWKUWJVRVBZUWJUWKVRVBZUWOAU
      WMUWQUWNUWKUWJLUWGUWIUWFIOWEVSVTZWAWBAUWJWCUMZUWKWCUMZWDVBZUWRAUWTUWEUXAW
      DAUWTIFUMZUWEWDAEFHQIOUWHHVGUMZSTUAUBUWHWFZUXDWFZAQWGUPZQWHUPZAGWIUPZUXGA
      GWIUQVHZUIWJZGQRWKWBQWLWBZAIUWEPKUSZJNUSZEUGAHWMUPZUXMEUPZJEUPZUXNEUPAHWN
      UPZUXOAQWNUPZUXRAQWQUPZUXSAUXHUXTUXLUXHUXTQWOUPZQWPZWRWBQWSWBZHQSWTWBZHXA
      WBAHXBUMZXCUPZUWEXHUPZPEUPZUXPAUXRUYFUYDHUYEUYEWFZXDWBAUWEAGWIUXJXIUPUWEX
      EUPUIGXFWBZXGZAUXSUYHUYCEHQPUDSTXJWBEKUYEUWEPEHUYEUYITXKUCXLXMZAUXRUXQUYD
      EHJTUFXNWBZEHNUXMJTUEXOXMXPZAIUXDXRZUXCXHUPZAUXCUWEXHAUXCUXMFUMZUWEAUXCUX
      NFUMUYQIUXNFUGXQAEFQUXMJNHSUAUYCTUEUYLUYMAXSUWEJFUMZUYQXTAUWEUYJYAAQYBUMZ
      HYCUMZUMZFUMZUYRXSAVUAJFAUXSVUAJYDUYCUYTHQUYSJSUYTWFZUYSWFZUFYEWBYFAUXSUY
      SQYJUMZUPZUYSUWHXRZVUBXSYDUYCAUXSVUFUYCVUEQUYSVUEWFZVUDXNWBAQYKUPZVUGAUXH
      VUIUXLUXHUXTUYAVUIUYBQYGYHWBZQUYSUWHVUDUXEYIWBUYTFHQUYSVUEUWHUASVUHVUCUXE
      YLXMYMAVUIUYGUYQUWEYDVUJUYKFHQKUWEUYEPUASUDUYIUCYNYOZYPUUAUUBVUKUUJZUYKUU
      CAUXSIEUPUYOUYPVQUYCUYNEFHQIUXDUASUXFTUUDYOUUEUUKVULUUFZAUYGUXAUWEYDUYKUW
      EUUGWBUUHAUWPUWKVPUPUXBUWRVQUWJYQUPAUYGUWTUWEWDVBUWPUWSUYKVUMUWJUWEYQUUIU
      ULZAVEUWEUUMUWJUWKVPUUNYOYRUWKUWJUUOYOVUNUWKUWJLUUPYOYRZUWKUWJLUUQUWJUWKU
      VOUURUUSACDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUVAZUUTZUVBZAUVRMUMZUV
      NYDZUVTAUVPLUMZVUSUVNAUVPUWKUPVVAVUSYDVUQBUVPUWBMUMZVUSUWKLUWAUVPUQMURYSL
      CUWKCVCZUQURUSMUMZYTBUWKVVBYTUJCBUWKVVDVVBVVCUWAUQMURYSUVCUVDUVRMWEUVEWBA
      UWLUVNUWJUPVVAUVNYDVUOVUPUWKUWJUVNLUVFYOYMAGXHUPUVRUOUPZDUOUPVUTUVTVQAGAU
      XIGXEUPUXKGUVGWBXGAUVQVVEVURUVPUVHWBUKUVRDMGQRUHUVIXMYRUWDUVTBUVPUOUWAUVP
      YDZUWCUVSGVAVVFUWBUVRDUTUWAUVPUQURUVJUVKUVLUVMYO $.
  $}

  ${
    $d x y A $.  $d x y P $.
    $( Lemma for ~ lgsqr .  (Contributed by Mario Carneiro, 15-Jun-2015.) $)
    lgsqrlem5 $p |- ( ( A e. ZZ /\ P e. ( Prime \ { 2 } ) /\
        ( A /L P ) = 1 ) -> E. x e. ZZ P || ( ( x ^ 2 ) - A ) ) $=
      ( vy cz wcel cprime c2 csn cdif clgs co c1 wceq w3a czn cfv cpl1 cbs eqid
      cdg1 cmin cdiv cv1 cmgp cmg cur csg cfz cv cexp czrh cmpt ce1 simp2 simp1
      simp3 lgsqrlem4 ) BEFZCGHIJFZBCKLMNZOADBCPQZRQZSQZVBUAQZCVCCMUBLHUCLZVBUD
      QZVCUEQUFQZLVCUGQZVCUHQZLZVIVHDMVFUILDUJHUKLVBULQZQUMZVLVJVBUNQZVGVBVBTVC
      TVDTVETVNTVHTVGTVJTVITVKTVLTUSUTVAUOVMTUSUTVAUPUSUTVAUQUR $.
  $}

  ${
    $d x A $.  $d x P $.
    $( The Legendre symbol for odd primes is ` 1 ` iff the number is not a
       multiple of the prime (in which case it is ` 0 ` , see ~ lgsne0 ) and
       the number is a quadratic residue ` mod P ` (it is ` -u 1 ` for
       nonresidues by the process of elimination from ~ lgsabs1 ).  Given our
       definition of the Legendre symbol, this theorem is equivalent to Euler's
       criterion.  (Contributed by Mario Carneiro, 15-Jun-2015.) $)
    lgsqr $p |- ( ( A e. ZZ /\ P e. ( Prime \ { 2 } ) ) -> ( ( A /L P ) = 1 <->
      ( -. P || A /\ E. x e. ZZ P || ( ( x ^ 2 ) - A ) ) ) ) $=
      ( cz wcel cprime c2 wa clgs co c1 wceq cdvds wbr wn cc0 wne syl syl2anc
      wb csn cdif cv cexp cmin wrex cgcd eldifi adantl prmz simpl gcdcomd coprm
      eqeq1d lgsne0 3bitr4d necon4bbid 0ne1 neeq1 mpbiri syl6bi necon2bd 3expia
      lgsqrlem5 jcad cabs cfv cr simprl absresq oveq1d cn simplr ad3antlr zsqcl
      zred simplll simprr dvdssub2 syl31anc mtbird 2nn prmdvdsexp syl3anc mtbid
      a1i dvds0 breq2 syl5ibrcom necon3bd mpd nnabscl nnzd dvdsabsb mpbid eqtrd
      nnne0d lgssq syl211anc cmo prmnn moddvds mpbird eldifsni necomd cuz ax-mp
      uzid dvdsprm necon3bbid sylancr lgsmod 3eqtr3d 3eqtr3rd rexlimdvaa impbid
      2z expimpd ) BDEZCFGUAZUBEZHZBCIJZKLZCBMNZOZCAUCZGUDJZBUEJMNZADUFZHYBYDYF
      YJYBYEYCKYBYEYCPLZYCKQZYBYEYCPYBCBUGJZKLZBCUGJZKLZYFYCPQZYBYMYOKYBCBYBCFE
      ZCDEZYAYRXSCFXTUHZUIZCUJZRZXSYAUKZULUNYBYRXSYFYNTUUAUUDCBUMSYBXSYSYQYPTUU
      DUUCBCUOSUPUQYKYLPKQURYCPKUSUTVAVBXSYAYDYJABCVDVCVEYBYFYJYDYBYFHZYIYDADUU
      EYGDEZYIHZHZYGVFVGZGUDJZCIJZYHCIJZKYCUUHUUJYHCIUUHYGVHEUUJYHLUUHYGUUEUUFY
      IVIZVPYGVJRVKUUHUUIDEZUUIPQYSUUICUGJZKLUUKKLUUHUUIUUHUUFYGPQZUUIVLEUUMUUH
      CYGMNZOUUPUUHCYHMNZUUQUUHUURYEYBYFUUGVMUUHYSYHDEZXSYIUURYETUUHYRYSYAYRXSY
      FUUGYTVNZUUBRZUUHUUFUUSUUMYGVORZXSYAYFUUGVQZUUEUUFYIVRZCYHBVSVTWAUUHYRUUF
      GVLEZUURUUQTUUTUUMUVEUUHWBWFYGCGWCWDWEZUUHUUQYGPUUHUUQYGPLCPMNZUUHYSUVGUV
      ACWGRYGPCMWHWIWJWKYGWLSZWMZUUHUUIUVHWQUVAUUHUUOCUUIUGJZKUUHUUICUVIUVAULUU
      HCUUIMNZOZUVJKLZUUHUUQUVKUVFUUHYSUUFUUQUVKTUVAUUMCYGWNSWEUUHYRUUNUVLUVMTU
      UTUVICUUIUMSWOWPUUICWRWSUUHYHCWTJZCIJZBCWTJZCIJZUULYCUUHUVNUVPCIUUHUVNUVP
      LZYIUVDUUHCVLEZUUSXSUVRYITUUHYRUVSUUTCXARZUVBUVCYHBCXBWDXCVKUUHUUSUVSGCMN
      ZOZUVOUULLUVBUVTUUHUWBGCQZUUHCGYACGQXSYFUUGCFGXDVNXEUUHGGXFVGEZYRUWBUWCTG
      DEUWDXQGXHXGUUTUWDYRHUWAGCCGXIXJXKXCZYHCXLWDUUHXSUVSUWBUVQYCLUVCUVTUWEBCX
      LWDXMXNXOXRXP $.
  $}

  ${
    $d A x $.  $d P x $.
    $( If the Legendre symbol of an integer for an odd prime is ` 1 ` , then
       the number is a quadratic residue ` mod P ` .  (Contributed by AV,
       20-Aug-2021.) $)
    lgsqrmod $p |- ( ( A e. ZZ /\ P e. ( Prime \ { 2 } ) )
                    -> ( ( A /L P ) = 1
                         -> E. x e. ZZ ( ( x ^ 2 ) mod P ) = ( A mod P ) ) ) $=
      ( cz wcel cprime c2 csn cdif wa clgs co c1 wceq cdvds wbr wn cv wrex cmo
      cexp cmin lgsqr cn eldifi prmnn syl ad2antlr zsqcl adantl moddvds syl3anc
      wb simpll biimprd reximdva adantld sylbid ) BDEZCFGHZIEZJZBCKLMNCBOPQZCAR
      ZGUALZBUBLOPZADSZJVECTLBCTLNZADSZABCUCVBVGVIVCVBVFVHADVBVDDEZJZVHVFVKCUDE
      ZVEDEZUSVHVFUMVAVLUSVJVACFEVLCFUTUECUFUGUHVJVMVBVDUIUJUSVAVJUNVEBCUKULUOU
      PUQUR $.

    $( If the Legendre symbol of an integer ` A ` for an odd prime is ` 1 ` ,
       then the number is a quadratic residue ` mod P ` with a solution ` x `
       of the congruence ` ( x ^ 2 ) == A ` (mod ` P ` ) which is not divisible
       by the prime.  (Contributed by AV, 20-Aug-2021.)  (Proof shortened by
       AV, 18-Mar-2022.) $)
    lgsqrmodndvds $p |- ( ( A e. ZZ /\ P e. ( Prime \ { 2 } ) )
                         -> ( ( A /L P ) = 1
                              -> E. x e. ZZ ( ( ( x ^ 2 ) mod P ) = ( A mod P )
                                              /\ -. P || x ) ) ) $=
      ( cz wcel cprime c2 wa co c1 wceq cmo cdvds wbr wrex wb ad3antlr wi cc0
      ex csn cdif clgs cv cexp wn lgsqrmod imp cn eldifi prmnn syl zsqcl adantl
      cmin simplll moddvds syl3anc w3a nnzd 3jca dvdssub2 sylan bicom simpr 2nn
      a1i prmdvdsexp biimparc bianir ad2antlr dvdsmod0 lgsprme0 sylan2 wne 0ne1
      eqeq1 eqneqall mpi syl6bi syl6bir com23 ad2antrl syl5com mpcom syl5bi 2a1
      syld pm2.61i sylbid ancld reximdva mpd ) BDEZCFGUAZUBEZHZBCUCIZJKZAUDZGUE
      IZCLIBCLIZKZCWTMNZUFZHZADOZWQWSHZXCADOZXGWQWSXIABCUGUHXHXCXFADXHWTDEZHZXC
      XEXKXCCXABUOIMNZXEXKCUIEZXADEZWNXCXLPWPXMWNWSXJWPCFEZXMCFWOUJZCUKULZQXJXN
      XHWTUMUNZWNWPWSXJUPZXABCUQURXDXKXLXERZRXDXKXTXDXKHZXLCXAMNZCBMNZPZXEYAXLY
      DYACDEZXNWNUSZXLYDXKYFXDXKYEXNWNWPYEWNWSXJWPCXQUTQXRXSVAUNCXABVBVCTYDYCYB
      PZYAXEYBYCVDYBYAYGXERXKYBXDXKXOXJGUIEZYBXDPWPXOWNWSXJXPQXHXJVEYHXKVFVGWTC
      GVHURVIYBYGYAXEYBYGYAXERYBYGHYCYAXEYBYCVJXHYCXERXDXJXHYCXBSKZXEXHXMYCYIRW
      PXMWNWSXQVKXMYCYICBVLTULWQWSYIXERWQYIWSXEWQYIWRSKZWSXERWPWNXOYJYIPXPBCVMV
      NYJWSSJKZXEWRSJVQYKSJVOXEVPXESJVRVSVTWAWBUHWHWCWDTWBWEWFWHTXEXKXLWGWIWJWK
      WLWMT $.
  $}

  ${
    $d a b x y B $.  $d a b h m y L $.  $d a b h m x y N $.  $d a b x y X $.
    $d h m y A $.  $d a b x y Z $.
    lgsdchr.g $e |- G = ( DChr ` N ) $.
    lgsdchr.z $e |- Z = ( Z/nZ ` N ) $.
    lgsdchr.d $e |- D = ( Base ` G ) $.
    lgsdchr.b $e |- B = ( Base ` Z ) $.
    lgsdchr.l $e |- L = ( ZRHom ` Z ) $.
    lgsdchr.x $e |- X = ( y e. B |-> ( iota h E. m e. ZZ
      ( y = ( L ` m ) /\ h = ( m /L N ) ) ) ) $.
    $( The Legendre symbol function ` X ( m ) = ( m /L N ) ` , where ` N ` is
       an odd positive number, is a Dirichlet character modulo ` N ` .
       (Contributed by Mario Carneiro, 28-Apr-2016.) $)
    lgsdchrval $p |- ( ( ( N e. NN /\ -. 2 || N ) /\ A e. ZZ ) ->
      ( X ` ( L ` A ) ) = ( A /L N ) ) $=
      ( wa cz wceq cn wcel c2 cdvds wbr wn cfv cv clgs co wrex cio cn0 wf nnnn0
      wfo adantr znzrhfo fof 3syl ffvelrnda eqeq1 anbi1d rexbidv iotaex fvmpt3i
      iotabidv syl cvv ovex wb wi cmo cmin simprr simplll simplr simprl syl3anc
      zndvds mpbid moddvds mpbird oveq1d simpllr lgsmod 3eqtr3d biimprd anassrs
      eqeq2d rexlimdva fveq2 eqcomd biantrurd oveq1 bitr3d rspcev adantl impbid
      expimpd ex iota5 mpan2 eqtrd ) IUAUBZUCIUDUEUFZRZBSUBZRZBHUGZJUGZXJFUHZHU
      GZTZEUHZXLIUIUJZTZRZFSUKZEULZBIUIUJZXIXJCUBXKXTTXGSCBHXGIUMUBZSCHUPSCHUNX
      EYBXFIUOZUQCHIKMOPURSCHUSUTVAAXJAUHZXMTZXQRZFSUKZEULXTCJYDXJTZYGXSEYHYFXR
      FSYHYEXNXQYDXJXMVBVCVDVGQYGEVEVFVHXIYAVIUBZXTYATBIUIVJXIXSEYAVIXIXSXOYATZ
      VKYIXIXSYJXIXRYJFSXIXLSUBZRXNXQYJXIYKXNXQYJVLXIYKXNRZRZYJXQYMYAXPXOYMBIVM
      UJZIUIUJZXLIVMUJZIUIUJZYAXPYMYNYPIUIYMYNYPTZIBXLVNUJUDUEZYMXNYSXIYKXNVOYM
      YBXHYKXNYSVKYMXEYBXEXFXHYLVPZYCVHXGXHYLVQZXIYKXNVRZBXLHIKMPVTVSWAYMXEXHYK
      YRYSVKYTUUAUUBBXLIWBVSWCWDYMXHXEXFYOYATUUAYTXEXFXHYLWEZBIWFVSYMYKXEXFYQXP
      TUUBYTUUCXLIWFVSWGWJWHWIWTWKXHYJXSVLXGXHYJXSXRYJFBSXLBTZXQXRYJUUDXNXQUUDX
      MXJXLBHWLWMWNUUDXPYAXOXLBIUIWOWJWPWQXAWRWSUQXBXCXD $.

    $( The Legendre symbol function ` X ( m ) = ( m /L N ) ` , where ` N ` is
       an odd positive number, is a real Dirichlet character modulo ` N ` .
       (Contributed by Mario Carneiro, 28-Apr-2016.) $)
    lgsdchr $p |- ( ( N e. NN /\ -. 2 || N ) -> ( X e. D /\ X : B --> RR ) ) $=
      ( wcel cfv wceq cz vx va vb cn c2 cdvds wbr wn wa cr wf cc cmulr cmul cui
      cv co wral cur c1 cc0 wne wi w3a wss clgs wrex cio cvv iotaex a1i wfo cn0
      nnnn0 adantr znzrhfo syl foelrn sylan lgsdchrval simpr nnz ad2antrr lgscl
      cmpt syl2anc zred eqeltrd fveq2 eleq1d syl5ibrcom rexlimdva syldan fmpt2d
      imp ax-resscn sylancl eqid unitss anim12dan reeanv adantrr simprr syl3anc
      fss lgsdirnn0 zring ccrg zncrng crngring zrhrhm zringbas zringmulr rhmmul
      crh fveq2d zmulcl sylan2 eqtr3d adantrl oveq12d 3eqtr4d oveqan12d eqeq12d
      crg oveq12 rexlimdvva syl5bir ralrimivva ss2ralv mpsyl 1z mpan2 zrh1 1lgs
      3eqtr3d cgcd wb lgsne0 neeq1d biimpd 3imtr4d eleq1 imbi12d ralrimiva 3jca
      znunit simpl dchrelbas3 mpbir2and jca ) HUDQZUEHUFUGUHZUIZICQZBUJIUKZUUNU
      UOBULIUKZUAUPZAUPZJUMRZUQZIRZUURIRZUUSIRZUNUQZSZAJUORZURUAUVGURZJUSRZIRZU
      TSZUVCVAVBZUURUVGQZVCZUABURZVDUUNUUPUJULVEUUQUUNAUABUUSEUPZGRSDUPUVPHVFUQ
      SUIETVGZDVHZUJIVIUVRVIQUUNUUSBQZUIUVQDVJVKIABUVRWESUUNPVKUUNUURBQZUURUBUP
      ZGRZSZUBTVGZUVCUJQZUUNTBGVLZUVTUWDUUNHVMQZUWFUULUWGUUMHVNVOZBGHJLNOVPVQZU
      BTBUURGVRVSZUUNUWDUWEUUNUWCUWEUBTUUNUWATQZUIZUWEUWCUWBIRZUJQUWLUWMUWAHVFU
      QZUJAUWABCDEFGHIJKLMNOPVTZUWLUWNUWLUWKHTQZUWNTQUUNUWKWAZUULUWPUUMUWKHWBZW
      CZUWAHWDWFWGWHUWCUVCUWMUJUURUWBIWIZWJWKWLWOWMWNZWPBUJULIXEWQUUNUVHUVKUVOU
      VGBVEUUNUVFABURUABURUVHBJUVGNUVGWRZWSUUNUVFUAABBUUNUVTUVSUIUWDUUSUCUPZGRZ
      SZUCTVGZUIZUVFUUNUVTUWDUVSUXFUWJUUNUWFUVSUXFUWIUCTBUUSGVRVSWTUUNUXGUVFUXG
      UWCUXEUIZUCTVGUBTVGUUNUVFUWCUXEUBUCTTXAUUNUXHUVFUBUCTTUUNUWKUXCTQZUIZUIZU
      VFUXHUWBUXDUUTUQZIRZUWMUXDIRZUNUQZSUXKUWAUXCUNUQZHVFUQZUWNUXCHVFUQZUNUQZU
      XMUXOUXKUWKUXIUWGUXQUXSSUUNUWKUWKUXIUWQXBZUUNUWKUXIXCZUUNUWGUXJUWHVOUWAUX
      CHXFXDUXKUXPGRZIRZUXMUXQUXKUYBUXLIUXKGXGJXOUQQZUWKUXIUYBUXLSUXKJYEQZUYDUU
      NUYEUXJUUNJXHQZUYEUUNUWGUYFUWHHJLXIVQJXJVQZVOJGOXKVQUXTUYAUWAUXCXGJUNUUTG
      TXLXMUUTWRXNXDXPUXJUUNUXPTQUYCUXQSUWAUXCXQAUXPBCDEFGHIJKLMNOPVTXRXSUXKUWM
      UWNUXNUXRUNUUNUWKUWMUWNSUXIUWOXBUUNUXIUXNUXRSUWKAUXCBCDEFGHIJKLMNOPVTXTYA
      YBUXHUVBUXMUVEUXOUXHUVAUXLIUURUWBUUSUXDUUTYFXPUWCUXEUVCUWMUVDUXNUNUWTUUSU
      XDIWIYCYDWKYGYHWOWMYIUVFUAAUVGBYJYKUUNUTGRZIRZUTHVFUQZUVJUTUUNUTTQUYIUYJS
      YLAUTBCDEFGHIJKLMNOPVTYMUUNUYHUVIIUUNUYEUYHUVISUYGJUVIGOUVIWRYNVQXPUUNUWP
      UYJUTSUULUWPUUMUWRVOHYOVQYPUUNUVNUABUUNUVTUWDUVNUWJUUNUWDUVNUUNUWCUVNUBTU
      WLUVNUWCUWMVAVBZUWBUVGQZVCUWLUWNVAVBZUWAHYQUQUTSZUYKUYLUWLUYMUYNUWLUWKUWP
      UYMUYNYRUWQUWSUWAHYSWFUUAUWLUWMUWNVAUWOYTUUNUWGUWKUYLUYNYRUWHUWAUVGGHJLUX
      BOUUGVSUUBUWCUVLUYKUVMUYLUWCUVCUWMVAUWTYTUURUWBUVGUUCUUDWKWLWOWMUUEUUFUUN
      UAABCUVGFHIJKLNUXBUULUUMUUHMUUIUUJUXAUUK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Gauss' Lemma
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Gauss' Lemma is valid for any integer not dividing the given prime number.
  In the following, only the special case for 2 (not dividing any odd prime) is
  proven, see ~ gausslemma2d .  The general case is still to prove.

$)

  ${
    gausslemma2dlem0a.p $e |- ( ph -> P e. ( Prime \ { 2 } ) ) $.
    $( Auxiliary lemma 1 for ~ gausslemma2d .  (Contributed by AV,
       9-Jul-2021.) $)
    gausslemma2dlem0a $p |- ( ph -> P e. NN ) $=
      ( cprime c2 csn cdif wcel cn cdvds wbr wn wa nnoddn2prm simpl 3syl ) ABDE
      FGHBIHZEBJKLZMQCBNQROP $.

    gausslemma2dlem0b.h $e |- H = ( ( P - 1 ) / 2 ) $.
    $( Auxiliary lemma 2 for ~ gausslemma2d .  (Contributed by AV,
       9-Jul-2021.) $)
    gausslemma2dlem0b $p |- ( ph -> H e. NN ) $=
      ( c1 cmin co c2 cdiv cn cuz cfv wcel caddc cn0 wa cprime csn syl cdif wbr
      eldifi prmuz2 cdvds nnoddn2prm nnoddm1d2 biimpa nnnn0d jca nno eqeltrid
      wn ) ACBFGHIJHZKEABILMNZBFOHIJHZPNZQZUNKNABRISZUANZURDUTUOUQUTBRNUOBRUSUC
      BUDTUTBKNZIBUEUBUMZQZUQBUFVCUPVAVBUPKNBUGUHUITUJTBUKTUL $.

    $( Auxiliary lemma 3 for ~ gausslemma2d .  (Contributed by AV,
       13-Jul-2021.) $)
    gausslemma2dlem0c $p |- ( ph -> ( ( ! ` H ) gcd P ) = 1 ) $=
      ( cgcd co c1 wceq wbr cprime wcel wa clt c2 syl cr 2re a1i wb cfa cfv cn0
      cdvds wn csn cdif eldifi gausslemma2dlem0b nnnn0d cmin cdiv cn prmnn cmul
      jca nnre peano2rem remulcld ltm1d nn0ge0d cle 1le2 lemulge12d ltletrd cc0
      nnnn0 2pos pm3.2i ltdivmul mpbird 3syl eqbrtrid prmndvdsfaclt sylc faccld
      syl3anc nnzd cz nnz gcdcomd eqeq1d coprm syl2anc bitr4d ) ACUAUBZBFGZHIZB
      WFUDJUEZABKLZCUCLZMCBNJWIAWJWKABKOUFZUGLZWJDBKWLUHZPZACABCDEUIUJZUPACBHUK
      GZOULGZBNEAWMWRBNJZDWMWJBUMLZWSWNBUNZWTWSWQOBUOGZNJZWTWQBXBWTBQLZWQQLZBUQ
      ZBURPZXFWTOBOQLZWTRSZXFUSWTBXFUTWTBOXFXIWTBBVGVAHOVBJWTVCSVDVEWTXEXDXHVFO
      NJZMZWSXCTXGXFXKWTXHXJRVHVISWQBOVJVQVKVLPVMBCVNVOAWHBWFFGZHIZWIAWGXLHAWFB
      AWFACWPVPVRZAWMBVSLZDWMWJWTXOWNXABVTVLPWAWBAWJWFVSLWIXMTWOXNBWFWCWDWEVK
      $.
  $}

  ${
    gausslemma2dlem0.p $e |- ( ph -> P e. ( Prime \ { 2 } ) ) $.
    gausslemma2dlem0.m $e |- M = ( |_ ` ( P / 4 ) ) $.
    $( Auxiliary lemma 4 for ~ gausslemma2d .  (Contributed by AV,
       9-Jul-2021.) $)
    gausslemma2dlem0d $p |- ( ph -> M e. NN0 ) $=
      ( c4 cdiv co cfl cfv cn0 cn wcel cr cc0 cle wbr wa 4re a1i nnre wne nnnn0
      gausslemma2dlem0a 4ne0 redivcld clt nn0ge0d 4pos pm3.2i syl21anc flge0nn0
      divge0 jca 3syl eqeltrid ) ACBFGHZIJZKEABLMZUQNMZOUQPQZRURKMABDUDUSUTVAUS
      BFBUAZFNMZUSSTFOUBUSUETUFUSBNMOBPQVCOFUGQZRZVAVBUSBBUCUHVEUSVCVDSUIUJTBFU
      MUKUNUQULUOUP $.

    $( Auxiliary lemma 5 for ~ gausslemma2d .  (Contributed by AV,
       9-Jul-2021.) $)
    gausslemma2dlem0e $p |- ( ph -> ( M x. 2 ) < ( P / 2 ) ) $=
      ( c2 cmul co c4 cdiv cfl cfv clt oveq1i cz wcel cdvds wbr wn wa cprime cn
      csn cdif nnoddn2prm nnz anim1i 3syl flodddiv4t2lthalf syl eqbrtrid ) ACFG
      HBIJHKLZFGHZBFJHZMCULFGENABOPZFBQRSZTZUMUNMRABUAFUCUDPBUBPZUPTUQDBUEURUOU
      PBUFUGUHBUIUJUK $.

    gausslemma2dlem0.h $e |- H = ( ( P - 1 ) / 2 ) $.
    $( Auxiliary lemma 6 for ~ gausslemma2d .  (Contributed by AV,
       9-Jul-2021.) $)
    gausslemma2dlem0f $p |- ( ph -> ( M + 1 ) <_ H ) $=
      ( c4 cdiv co cfl cfv c1 caddc c2 cle cprime wcel wceq a1d cmin cdif c3 c5
      csn cuz wo wbr wne wa eldifsn w3o prm23ge5 eqneqall orc olc 3jaoi syl imp
      wi sylbi fldiv4p1lem1div2 3syl oveq1i 3brtr4g ) ABHIJKLZMNJZBMUAJOIJZDMNJ
      CPABQOUEUBRZBUCSZBUDUFLRZUGZVGVHPUHEVIBQRZBOUIZUJVLBQOUKVMVNVLVMBOSZVJVKU
      LVNVLUTZBUMVOVPVJVKVLBOUNVJVLVNVJVKUOTVKVLVNVKVJUPTUQURUSVABVBVCDVFMNFVDG
      VE $.

    $( Auxiliary lemma 7 for ~ gausslemma2d .  (Contributed by AV,
       9-Jul-2021.) $)
    gausslemma2dlem0g $p |- ( ph -> M <_ H ) $=
      ( c4 cdiv co cfl cfv c1 cmin c2 cle cn wcel wbr gausslemma2dlem0a 3brtr4g
      fldiv4lem1div2 syl ) ABHIJKLZBMNJOIJZDCPABQRUDUEPSABETBUBUCFGUA $.

    gausslemma2dlem0.n $e |- N = ( H - M ) $.
    $( Auxiliary lemma 8 for ~ gausslemma2d .  (Contributed by AV,
       9-Jul-2021.) $)
    gausslemma2dlem0h $p |- ( ph -> N e. NN0 ) $=
      ( cmin co cn0 wcel cc0 cle wbr gausslemma2dlem0b nnzd gausslemma2dlem0d
      cz nn0zd zsubcld gausslemma2dlem0g nnred nn0red subge0d sylanbrc eqeltrid
      mpbird elnn0z ) AECDJKZLIAUKTMNUKOPZUKLMACDACABCFHQZRADABDFGSZUAUBAULDCOP
      ABCDFGHUCACDACUMUDADUNUEUFUIUKUJUGUH $.

    $( Auxiliary lemma 9 for ~ gausslemma2d .  (Contributed by AV,
       14-Jul-2021.) $)
    gausslemma2dlem0i $p |- ( ph
                           -> ( ( ( 2 /L P ) mod P ) = ( ( -u 1 ^ N ) mod P )
                                -> ( 2 /L P ) = ( -u 1 ^ N ) ) ) $=
      ( c2 co c1 cc0 wcel cmo wceq wi eqcom eqeq2d eqeq1d clgs cneg ctp cexp cz
      2z cprime csn cdif id gausslemma2dlem0a nnzd syl lgscl1 sylancr ovex eltp
      w3o cpr gausslemma2dlem0h nn0zd m1expcl2 wo elpr biimpi cr clt wbr eldifi
      2a1d wa prmnn nnred prmgt1 jca 1mod 3syl c3 cuz cfv oddprmge3 m1modge3gt1
      breq2 1re ltnri pm2.21i syl6bi syl5com sylbid oveq1 eqeq2 imbi12d syl5ibr
      jaoi sylbi mpcom eqeq1 crp 0mod wb adantr negmod0 bitrdi ax-1ne0 eqneqall
      nnrpd wne mpi sylbird adantl ex syl5bb 3imtr4g 3jaoi ) JBUAKZLUBZMLUCNZAX
      OBOKZXPEUDKZBOKZPZXOXSPZQZAJUENBUENZXQUFABUGJUHZUINZYDFYFBYFBYFUJUKULUMJB
      UNUOXQXOXPPZXOMPZXOLPZURAYCQZXOXPMLJBUAUPUQYGYJYHYIAYCYGXPBOKZXTPZXPXSPZQ
      ZXSXPLUSNZAYNAEUENYOAEABCDEFGHIUTVAEVBUMZYOXSXPPZXSLPZVCZAYNQZXSXPLXPEUDU
      PVDZYQYTYRYQYMAYLYQYMXSXPRVEVJAYNYRYKLBOKZPZXPLPZQAUUCYKLPZUUDAUUBLYKAYFB
      VFNZLBVGVHZVKZUUBLPFYFBUGNZUUHBUGYEVIUUIUUFUUGUUIBBVLVMBVNVOUMBVPVQZSAYFB
      VRVSVTNZUUEUUDQFBWAUUKLYKVGVHZUUEUUDBWBUUEUULLLVGVHZUUDYKLLVGWCUUMUUDLWDW
      EWFWGWHVQZWIYRYLUUCYMUUDYRXTUUBYKXSLBOWJZSXSLXPWKWLWMWNWOWPYGYAYLYBYMYGXR
      YKXTXOXPBOWJTXOXPXSWQWLWMAYCYHMBOKZXTPZMXSPZQAUUQMXTPZUURAUUPMXTABWRNZUUP
      MPABABFUKXFZBWSUMTYOAUUSUURQZYPYOYSAUVBQZUUAYQUVCYRYQAUVBYQAVKUUSMYKPZUUR
      YQUUSUVDWTAYQXTYKMXSXPBOWJZSXAAUVDUURQYQAUVDUUBMPZUURALVFNZUUTUVFUVDWTWDU
      VAUVGUUTVKUVFYKMPUVDLBXBYKMRXCUOAUVFLMPZUURAUUBLMUUJTZUVHLMXGUURXDUURLMXE
      XHZWGXIXJWIXKYRAUVBYRAVKUUSMUUBPZUURYRUUSUVKWTAYRXTUUBMUUOSXAAUVKUURQYRAU
      VKUVHUURUVKUVFAUVHMUUBRUVIXLUVJWGXJWIXKWNWOWPWIYHYAUUQYBUURYHXRUUPXTXOMBO
      WJTXOMXSWQWLWMAYCYIUUBXTPZLXSPZQAUVLLXTPZUVMAUUBLXTUUJTYOAUVNUVMQZYPYOYSA
      UVOQZUUAYQUVPYRAUVOYQLYKPZLXPPZQAUUEUUDUVQUVRUUNLYKRLXPRXMYQUVNUVQUVMUVRY
      QXTYKLUVESXSXPLWKWLWMYRUVMAUVNYRUVMXSLRVEVJWNWOWPWIYIYAUVLYBUVMYIXRUUBXTX
      OLBOWJTXOLXSWQWLWMXNWOWP $.
  $}

  ${
    $d H x y $.  $d P x $.  $d R y $.  $d ph x y $.
    gausslemma2d.p $e |- ( ph -> P e. ( Prime \ { 2 } ) ) $.
    gausslemma2d.h $e |- H = ( ( P - 1 ) / 2 ) $.
    gausslemma2d.r $e |- R = ( x e. ( 1 ... H )
                               |-> if ( ( x x. 2 ) < ( P / 2 ) ,
                                        ( x x. 2 ) , ( P - ( x x. 2 ) ) ) ) $.
    $( Lemma for ~ gausslemma2dlem1 .  (Contributed by AV, 1-Jul-2021.) $)
    gausslemma2dlem1a $p |- ( ph -> ran R = ( 1 ... H ) ) $=
      ( c1 co wcel c2 clt wbr cmin wa wi cle a1i syl crn cfz cmul cdiv cif wceq
      vy cv wrex wb cvv elrnmpt elv iftrue eqeq2d adantr cn w3a elfz1b nnmulcld
      id 2nn 3ad2ant1 eleq1i biimpi 3ad2ant2 cz cdvds wn cprime cdif nnoddn2prm
      csn anim1i 2z zmulcld anim12i df-3an sylibr ex impcom ltoddhalfle biimp3a
      nnz 3jca 3exp sylbi oveq2i eleq1 syl5ibrcom sylbid 3syl ad2antrl ad2antll
      elfzelz zsubcld cr zred breq2i cc0 nnre adantl pm3.2i syl3anc 1cnd breq1d
      simpr com12 imp sylanbrc rehalfcld cc ad2antrr mpbid simpl nnehalf simpr2
      crp com23 3impia syl5bi oveq2d ifbieq12d zcnd 3ad2ant3 2cnd 2ne0 divcan1d
      oveq1 anim12ci a1d 3imp rspcedvd caddc 2cnne0 oveq1d 3eqtrd halfre breq2d
      resubcld eleq2i bitri iffalse eldifi prmz peano2rem 2pos lemuldiv bitr4id
      2re nnred lesub2d recn nncand biimpd impancom 3adant2 elnnz1 lenlt syl2an
      simp2bi halfleoddlt biimpa nncn subhalfhalf mpbird ltsub23 simplr syl6ibr
      ad3antrrr sylbird syl3anbrc pm2.61ian rexlimdva simp1 nnrp 2rp ledivge1le
      syl2anr 1le2 exbiri eqbrtrd iftrued eqtr2d lesub2 divsubdir halfcl halfcn
      wne mpd3an23 subsubd prmnn nngt0 divgt0 syl21anc halfgt0 addgt0d readdcld
      0red resubcl ancoms mpand elnnz omoe syl2an2r syl2anc 1red nnge1 lesub2dd
      ltletr lediv1 3imtr4g 3imp21 subcld halfge0 rehalfcl subge02d letr mpan2d
      zre mpbii lesub lenltd eqcomd recnd mulcomd 2m1e1 mulid2d 3bitr3d 3imtr4d
      com3l com13 eqnbrtrd iffalsed 3adant1 nncan 3eqtrrd pm2.61i impbid syl5bb
      mulsubfacd eqrdv ) AUGDUAZIEUBJZUGUHZVUCKZVUEBUHZLUCJZCLUDJZMNZVUHCVUHOJZ
      UEZUFZBVUDUIZAVUEVUDKZVUFVUNUJUGBVUDVULVUEDUKHULUMAVUNVUOAVUMVUOBVUDVUJAV
      UGVUDKZPZVUMVUOQVUJVUQPZVUMVUEVUHUFZVUOVUJVUMVUSUJVUQVUJVULVUHVUEVUJVUHVU
      KUNUOUPVURVUOVUSVUHVUDKZVURVUHUQKZCIOJZLUDJZUQKZVUHVVCRNZURZVUTVUQVUJVVFV
      UPAVUJVVFQZVUPVUGUQKZEUQKZVUGERNZURZAVVGQEVUGUSZVVKAVUJVVFVVKAVUJURVVAVVD
      VVEVVKAVVAVUJVVHVVIVVAVVJVVHVUGLVVHVALUQKVVHVBSUTZVCVCVVKAVVDVUJVVIVVHVVD
      VVJVVIVVDEVVCUQGVDVEVFVCVVKAVUJVVEVVKAPCVGKZLCVHNVIZVUHVGKZURZVUJVVEUJAVV
      KVVQACVJLVMZVKKZVVKVVQQFVVSVVKVVQVVSVVKPVVNVVOPZVVPPZVVQVVSVVTVVKVVPVVSCU
      QKZVVOPZVVTCVLZVWBVVNVVOCWDZVNZTZVVHVVIVVPVVJVVHVUGLVUGWDLVGKZVVHVOSVPVCV
      QVVNVVOVVPVRZVSVTTWAVUHCWBTWCWEWFWGWAWAVUTVUHIVVCUBJZKVVFVUDVWJVUHEVVCIUB
      GWHUUAVVCVUHUSUUBVSVUEVUHVUDWIWJWKVUJVIZVUQPZVUMVUEVUKUFZVUOVWKVUMVWMUJVU
      QVWKVULVUKVUEVUJVUHVUKUUCUOUPVWLVUOVWMVUKVUDKZVWLVUKUQKZVVIVUKERNZVWNVWLV
      UKVGKZIVUKRNZVWOVWLCVUHAVVNVWKVUPAVVSCVJKZVVNFCVJVVRUUDZCUUEZWLWMVUPVVPVW
      KAVUPVUGLVUGIEWOVWHVUPVOSVPZWNWPVUQVWRVWKAVUPVWRAVVSVWSVUPVWRQZFVWTVWSCWQ
      KZVXCVWSCVXAWRZVUPVXDVWRVUPVVKVXDVWRQZVVLVVHVVJVXFVVIVVHVXDVVJVWRVVHVXDPZ
      VVJVUHVVBRNZVWRVXGVVJVUGVVCRNZVXHEVVCVUGRGWSVXGVUGWQKZVVBWQKZLWQKZWTLMNZP
      ZVXHVXIUJVVHVXJVXDVUGXAUPVXDVXKVVHCUUFZXBZVXNVXGVXLVXMUUJUUGXCZSVUGVVBLUU
      HXDUUIVXGVXHCVVBOJZVUKRNZVWRVXGVUHVVBCVVHVUHWQKZVXDVVHVUHVVMUUKUPVXPVVHVX
      DXGUULVXGVXSVWRVXGVXRIVUKRVXDVXRIUFVVHVXDCICUUMZVXDXEUUNXBXFUUOWKWKUUPUUQ
      WGXHTWLXIXBVUKUURXJVUPVVIVWKAVUPVVHVVIVVJVVLUVAWNVUQVWKVWPAVUPVWKVWPQZAVV
      SVWCVUPVYBQFVWDVWCVUPVYBVWCVUPPZVWKVUIVUHRNZVWPVWCVUIWQKZVXTVYDVWKUJVUPVW
      BVYEVVOVWBCCXAZXKZUPVUPVUHVXBWRZVUIVUHUUSUUTVYCVYDVUKVVCRNZVWPVYCVYDVYIVY
      CVYDPZVUKVUIMNZVYIVYJCVUIOJZVUHMNZVYKVYJVYMVUIVUHMNZVYCVYDVYNVYCVVQVYDVYN
      UJVYCVWAVVQVWCVVTVUPVVPVWFVXBVQVWIVSVUHCUVBTUVCVWBVYMVYNUJVVOVUPVYDVWBVYL
      VUIVUHMVWBCXLKZVYLVUIUFZCUVDCUVEZTXFUVJUVFVYJVXDVYEVXTURZVYMVYKUJVYCVYRVY
      DVYCVXDVYEVXTVWBVXDVVOVUPVYFXMVWBVYEVVOVUPVYGXMVUPVXTVWCVYHXBWEUPCVUIVUHU
      VGTXNVYJVVNVVOVWQURZVYKVYIUJVYCVYSVYDVYCVVNVVOVWQVWBVVNVVOVUPVWEXMZVWBVVO
      VUPUVHVYCCVUHVYTVUPVVPVWCVXBXBWPWEUPVUKCWBTXNVTEVVCVUKRGWSUVIUVKVTWLXIWAE
      VUKUSUVLVUEVUKVUDWIWJWKUVMUVNLVUEVHNZAVUOVUNQQWUAAVUOVUNWUAAVUOURZVUMVUEV
      UELUDJZLUCJZVUIMNZWUDCWUDOJZUEZUFZBWUCVUDWUBWUCUQKZVVIWUCERNZURZWUCVUDKWU
      AAVUOWUKVUOVUEUQKZVVIVUEERNZURZWUAAPZWUKEVUEUSZWUOWUNWUKWUOWUNPWUIVVIWUJW
      UNWULWUAWUIWUOWULVVIWUMUVOWUAAXOVUEXPUVSWUOWULVVIWUMXQWUNWUOWUJWULVVIWUMW
      UOWUJQWULVVIPZWUOWUMWUJWUQWUOWUMWUJQZWUQWUOPZVUEWQKZEXRKZLXRKZILRNZPZWURW
      ULWUTVVIWUOVUEXAZXMWUQWVAWUOVVIWVAWULEUVPXBUPWVDWUSWVBWVCUVQUVTXCSVUEELUV
      RXDVTXSXTWAWEVTYAXTEWUCUSVSVUGWUCUFZVUMWUHUJWUBWVFVULWUGVUEWVFVUJWUEVUHVU
      KWUDWUFWVFVUHWUDVUIMVUGWUCLUCYIZXFWVGWVFVUHWUDCOWVGYBYCUOXBWUBWUGWUDVUEWU
      BWUEWUDWUFWUBWUDVUEVUIMWUBVUELVUOWUAVUEXLKZAVUOVUEVUEIEWOYDZYEWUBYFLWTUWI
      ZWUBYGSYHZWUAAVUOVUEVUIMNZVUOWUOWVLVUOWUNWUOWVLQZWUPWULVVIWUMWVMWULWUMWVM
      QVVIWUMVUEVVCRNZWULWVMEVVCVUERGWSZWULWUOWVNWVLWULWUOWVLWVNWULWUOPZVVNVVOV
      UEVGKZURZWVLWVNUJWVPVVTWVQPWVRWULWVQWUOVVTVUEWDZAVVTWUAAVVSVWCVVTFVWDVWFW
      LXBYJVVNVVOWVQVRVSVUECWBTUWAXSYAYKYLWGXHXTUWBUWCWVKUWDYMWFWUAVIZAVUOVUNWV
      TAVUOURZVUMVUECVUEOJZLUDJZLUCJZVUIMNZWWDCWWDOJZUEZUFZBWWCVUDAWVTVUOWWCVUD
      KZAVVSWVTVUOWWIQZQFVVSWVTWWJVVSWVTPZWUNWWCUQKZVVIWWCERNZURZVUOWWIWWKWUNWW
      NWWKWUNPZWWLVVIWWMWWOWWBUQKZLWWBVHNZWWLWWOWWBVGKWTWWBMNZWWPWWOCVUEVVSVVNW
      VTWUNVVSVWSVVNVWTVXATXMWUNWVQWWKWULVVIWVQWUMWVSVCZXBWPWUNWWKWWRWULVVIWUMW
      WKWWRQZWUMWVNWUQWWTWVOWUQWWKWVNWWRWUQWWKWVNWWRQWUQWWKPZWVNCVVCOJZWWBRNZWW
      RWXAWUTVVCWQKZVXDURZWVNWXCUJWWKWUQWXEVVSWUQWXEQZWVTVVSVWSVXDWXFVWTVXEVXDW
      UQWXEVXDWUQPWUTWXDVXDWULWUTVXDVVIWVEWMVXDWXDWUQVXDVVBVXOXKUPVXDWUQXOWEVTW
      LUPWAVUEVVCCUWETWXAWXCVUIILUDJZYNJZWWBRNZWWRWXAWXBWXHWWBRVVSWXBWXHUFZWUQW
      VTVVSVWSVYOWXJVWTVWSCVXAYDZVYOWXBCVUIWXGOJZOJVYLWXGYNJWXHVYOVVCWXLCOVYOIX
      LKZLXLKWVJPZVVCWXLUFZVYOXEWXNVYOYOSCILUWFZUWJYBVYOCVUIWXGVYOVACUWGWXGXLKV
      YOUWHSUWKVYOVYLVUIWXGYNVYQYPYQWLWMXFWXAWTWXHMNZWXIWWRVVSWXQWUQWVTVVSVWSVW
      BWXQVWTCUWLVWBVUIWXGVYGWXGWQKZVWBYRSVWBVXDWTCMNVXNWTVUIMNVYFCUWMVXNVWBVXQ
      SCLUWNUWOWTWXGMNVWBUWPSUWQWLWMWXAWTWQKZWXHWQKZWWBWQKZURZWXQWXIPWWRQWWKWUQ
      WYBVVSWUQWYBQZWVTVVSVWSVXDWYCVWTVXEWUQVXDWYBWULVXDWYBQZVVIWULWUTWYDWVEWUT
      VXDWYBWUTVXDPZWXSWXTWYAWYEUWSWYEVUIWXGWYECWUTVXDXGZXKZWXRWYEYRSZUWRVXDWUT
      WYACVUEUWTUXAZWEVTTUPXHWLUPWAWTWXHWWBUXJTUXBWKWKVTXSYAXTWAWWBUXCXJWWKVVTW
      UNWVQWVTPWWQVVSVVTWVTVWGUPWWKWVTWUNWVQVVSWVTXGWWSYJCVUEUXDUXEWWBXPUXFWWKW
      ULVVIWUMXQWWOWWCVVCRNZWWMWWOWWBVVBRNZWYJWWOIVUECWWOUXGWUNWUTWWKWULVVIWUTW
      UMWVEVCXBZVVSVXDWVTWUNVVSVWSVXDVWTVXETXMZWUNIVUERNZWWKWULVVIWYNWUMVUEUXHV
      CXBUXIWWOWYAVXKVXNWYKWYJUJWWOCVUEWYMWYLYTVVSVXKWVTWUNVVSVWSVXDVXKVWTVXEVX
      OWLXMVXNWWOVXQSWWBVVBLUXKXDXNEVVCWWCRGWSVSWEVTWUPEWWCUSUXLVTTUXMVUGWWCUFZ
      VUMWWHUJWWAWYOVULWWGVUEWYOVUJWWEVUHVUKWWDWWFWYOVUHWWDVUIMVUGWWCLUCYIZXFWY
      PWYOVUHWWDCOWYPYBYCUOXBWWAWWGWWFCWWBOJZVUEWWAWWEWWDWWFWWAWWDWWBVUIMWWAWWB
      LWWACVUEAWVTVYOVUOAVVSVWSVYOFVWTWXKWLZVFVUOWVTWVHAWVIYEUXNWWAYFWVJWWAYGSY
      HZWVTAVUOWWBVUIMNVIZVUOWUNWVTAPZWYTWUPWUNXUAWYTWULVVIWUMXUAWYTQZWULWUMXUB
      QVVIWUMWVNWULXUBWVOXUAWVNWULWYTAWVNWULWYTQQZWVTAVVSXUCFVVSVWSVVNXUCVWTVXA
      VVNVXDXUCCUXTWULVXDWVNWYTWULWUTVXDWVNWYTQZQWVEWUTVXDXUDWYEVUEWXLRNZVUEVUI
      RNZWVNWYTWYEXUEWXLVUIRNZXUFWYEWTWXGRNXUGUXOWYEVUIWXGVXDVYEWUTCUXPZXBZWYHU
      XQUYAWYEWUTWXLWQKZVYEXUEXUGPXUFQWUTVXDXOZVXDXUJWUTVXDVUIWXGXUHWXRVXDYRSYT
      XBXUIVUEWXLVUIUXRXDUXSWYEVVCWXLVUERWYEVYOWXMWXNWXOVXDVYOWUTVYAXBWYEXEWXNW
      YEYOSWXPXDYSWYEVUIWWBRNZVUEVYLRNZWYTXUFWYEVYEVXDWUTXULXUMUJXUIWYFXUKVUICV
      UEUYBXDWYEVUIWWBWYGWYIUYCWYEVYLVUIVUERVXDVYPWUTVXDVYLVUILUCJZVUIOJLVUIUCJ
      ZVUIOJZVUIVXDCXUNVUIOVXDXUNCVXDCLVYAVXDYFZWVJVXDYGSYHUYDYPVXDXUNXUOVUIOVX
      DVUILVXDVUIXUHUYEZXUQUYFYPVXDXUPLIOJZVUIUCJIVUIUCJVUIVXDLVUIXUQXURVUAVXDX
      USIVUIUCXUSIUFVXDUYGSYPVXDVUIXURUYHYQYQXBYSUYIUYJVTTUYKTWLTXBUYLYAYKYLXHY
      AXTUYMUYNWWAWWDWWBCOWYSYBWWAVYOWVHPZWYQVUEUFAVUOXUTWVTAVYOVUOWVHWYRWVIVQU
      YOCVUEUYPTUYQYMWFUYRUYSUYTVUB $.

    $d H k l $.  $d R k l $.  $d ph k l $.
    $( Lemma 1 for ~ gausslemma2d .  (Contributed by AV, 5-Jul-2021.) $)
    gausslemma2dlem1 $p |- ( ph -> ( ! ` H )
                                   = prod_ k e. ( 1 ... H ) ( R ` k ) ) $=
      ( vl cfv c1 co cv cprod wcel wceq c2 cmul cmin gausslemma2dlem0b fprodfac
      cfa cfz cn0 nnnn0d syl fzfid cfn wfn crn wf1o fzfi cdiv clt wbr ovex ifex
      id cif fnmpti gausslemma2dlem1a rneqdmfinf1o mp3an12i wa eqidd cc elfzelz
      zcnd adantl fprodf1o eqtrd ) AFUCKZLFUDMZJNZJOZVNENZDKZEOAFUEPVMVPQAFACFG
      HUAUFFJUBUGAVNVOVNVRJEDVRVOVRQUSALFUHVNUIPDVNUJADUKVNQVNVNDULLFUMBVNBNZRS
      MZCRUNMUOUPZVTCVTTMZUTDWAVTWBVSRSUQCVTTUQURIVAABCDFGHIVBVNDVCVDAVQVNPVEVR
      VFVOVNPZVOVGPAWCVOVOLFVHVIVJVKVL $.

    $d M x $.  $d ph k $.  $d k x $.
    gausslemma2d.m $e |- M = ( |_ ` ( P / 4 ) ) $.
    $( Lemma 2 for ~ gausslemma2d .  (Contributed by AV, 4-Jul-2021.) $)
    gausslemma2dlem2 $p |- ( ph
                             -> A. k e. ( 1 ... M ) ( R ` k ) = ( k x. 2 ) ) $=
      ( c2 cmul co wcel wa clt wbr adantl cr cv cfv wceq c1 cfz cdiv cmin oveq1
      cif cvv breq1d oveq2d ifbieq12d cn cle w3a wi elfz1b cc0 nnre adantr 2pos
      wb 2re pm3.2i lemul1 syl3anc gausslemma2dlem0e remulcld gausslemma2dlem0a
      a1i nnred rehalfcld lelttr syl2an3an mpan2d ex com23 sylbid 3impia impcom
      sylbi iftrued eqtrd cuz cz gausslemma2dlem0d nn0zd gausslemma2dlem0b nnzd
      wss gausslemma2dlem0g eluz2 syl3anbrc fzss2 syl sselda fvmptd2 ralrimiva
      ovexd ) AEUAZDUBXALMNZUCEUDGUENZAXAXCOZPZBXABUAZLMNZCLUFNZQRZXGCXGUGNZUIZ
      XBUDFUENZDUJJXEXFXAUCZPZXKXBXHQRZXBCXBUGNZUIZXBXMXKXQUCXEXMXIXOXGXJXBXPXM
      XGXBXHQXFXALMUHZUKXRXMXGXBCUGXRULUMSXNXOXBXPXEXOXMXDAXOXDXAUNOZGUNOZXAGUO
      RZUPAXOUQZGXAURXSXTYAYBXSXTPZYAXBGLMNZUORZYBYCXATOZGTOZLTOZUSLQRZPZYAYEVC
      XSYFXTXAUTZVAXTYGXSGUTZSYJYCYHYIVDVBVEVKXAGLVFVGYCAYEXOYCAYEXOUQYCAPYEYDX
      HQRZXOAYMYCACGHKVHSYCXBTOZYDTOZAXHTOYEYMPXOUQXSYNXTXSXALYKYHXSVDVKVIVAXTY
      OXSXTGLYLYHXTVDVKVISACACACHVJVLVMXBYDXHVNVOVPVQVRVSVTWBWAVAWCWDAXCXLXAAFG
      WEUBOZXCXLWKAGWFOFWFOGFUORYPAGACGHKWGWHAFACFHIWIWJACFGHKIWLGFWMWNGUDFWOWP
      WQXEXALMWTWRWS $.

    $( Lemma 3 for ~ gausslemma2d .  (Contributed by AV, 4-Jul-2021.) $)
    gausslemma2dlem3 $p |- ( ph -> A. k e. ( ( M + 1 ) ... H )
                                    ( R ` k ) = ( P - ( k x. 2 ) ) ) $=
      ( c2 co c1 wcel wa wbr cle cr a1i cv cfv cmul cmin wceq caddc cfz clt cif
      cdiv cvv oveq1 breq1d oveq2d ifbieq12d adantl wn cn gausslemma2dlem0a w3a
      cz wi elfz2 cfl oveq1i breq1i nnre 4re cc0 wne 4ne0 redivcld fllelt flcld
      c4 syl zred peano2re zre adantr ltleletr syl3anc adantld mpd wb rehalfcld
      expd imp 2re remulcld 2pos pm3.2i lediv1 nncn 2cnne0 divdiv1 2t2e4 oveq2i
      cc eqtrdi 2cnd 2ne0 divcan4d breqan12rd bitrd mpbird exp31 com23 3ad2ant3
      syl5bi com12 impcom sylbi elfzelz lenlt syl2an mpbid sylan iffalsed eqtrd
      zcn cuz wss cn0 gausslemma2dlem0d nn0p1nn nnuz fzss1 sselda ovexd fvmptd2
      eleqtrdi ralrimiva ) AEUAZDUBCYNLUCMZUDMZUEEGNUFMZFUGMZAYNYROZPZBYNBUAZLU
      CMZCLUJMZUHQZUUBCUUBUDMZUIZYPNFUGMZDUKJYTUUAYNUEZPZUUFYOUUCUHQZYOYPUIZYPU
      UHUUFUUKUEYTUUHUUDUUJUUBUUEYOYPUUHUUBYOUUCUHUUAYNLUCULZUMUULUUHUUBYOCUDUU
      LUNUOUPUUIUUJYOYPYTUUJUQZUUHACUROZYSUUMACHUSUUNYSPUUCYORQZUUMYSUUNUUOYSYQ
      VAOZFVAOZYNVAOZUTZYQYNRQZYNFRQZPZPUUNUUOVBZYNYQFVCUVBUUSUVCUUTUUSUVCVBUVA
      UUSUUTUVCUURUUPUUTUVCVBUUQUUTCVOUJMZVDUBZNUFMZYNRQZUURUVCYQUVFYNRGUVENUFK
      VEVFUURUUNUVGUUOUURUUNUVGUUOUURUUNPZUVGPUUOUVDYNRQZUVHUVGUVIUVHUVEUVDRQZU
      VDUVFUHQZPZUVGUVIVBZUVHUVDSOZUVLUUNUVNUURUUNCVOCVGZVOSOUUNVHTVOVIVJUUNVKT
      VLZUPZUVDVMVPUVHUVKUVMUVJUVHUVKUVGUVIUVHUVNUVFSOZYNSOZUVKUVGPUVIVBUVQUUNU
      VRUURUUNUVESOUVRUUNUVEUUNUVDUVPVNVQUVEVRVPUPUURUVSUUNYNVSZVTUVDUVFYNWAWBW
      GWCWDWHUVHUUOUVIWEUVGUVHUUOUUCLUJMZYOLUJMZRQZUVIUVHUUCSOZYOSOZLSOZVILUHQZ
      PZUUOUWCWEUUNUWDUURUUNCUVOWFZUPUURUWEUUNUURYNLUVTUWFUURWITWJVTUWHUVHUWFUW
      GWIWKWLTUUCYOLWMWBUUNUURUWAUVDUWBYNRUUNUWACLLUCMZUJMZUVDUUNCWSOLWSOLVIVJZ
      PZUWMUWAUWKUECWNUWMUUNWOTZUWNCLLWPWBUWJVOCUJWQWRWTUURYNLYNYAUURXAUWLUURXB
      TXCXDXEVTXFXGXHXJXIXKVTXLXMXLUUNUWDUWEUUOUUMWEYSUWIYSYNLYSYNYNYQFXNVQUWFY
      SWITWJUUCYOXOXPXQXRVTXSXTAYRUUGYNAYQNYBUBZOZYRUUGYCAGYDOZUWPACGHKYEUWQYQU
      RUWOGYFYGYLVPYQNFYHVPYIYTCYOUDYJYKYM $.

    $d H k $.  $d M k $.  $d P k $.
    $( Lemma 4 for ~ gausslemma2d .  (Contributed by AV, 16-Jun-2021.) $)
    gausslemma2dlem4 $p |- ( ph
               -> ( ! ` H ) = ( prod_ k e. ( 1 ... M ) ( R ` k ) x.
                                prod_ k e. ( ( M + 1 ) ... H ) ( R ` k ) ) ) $=
      ( c1 cfz co c2 wcel wceq c5 c4 wbr cfa cfv cv cprod cmul gausslemma2dlem1
      caddc cprime csn cdif wn wa wi eldif c3 cuz w3o prm23ge5 eleq1 notbid wne
      2ex snid 2a1i necon1bd a1dd sylbid cc0 cdiv cfl clt 3lt4 breq1 mpbiri cn0
      cn wb 3nn0 4nn divfl0 sylancl mpbid syl5eq c0 adantr fz10 eqtrdi prodeq1d
      oveq2 prod0 oveq1 0p1e1 oveq1d oveq12d fzfid cc cmin cif breq1d ifbieq12d
      oveq2d elfzelz zcnd 2cnd mulcld adantl eldifi prmz subcld fvmptd3 eqeltrd
      simpr 3syl ifcld adantll fprodcl mulid2d eqtr2d syl a1d gausslemma2dlem0d
      ex cin nn0red ltp1d fzdisj cun cle w3a cz eluzelre 4re a1i redivcld flcld
      cr 4ne0 crp mp3an2i sylbi nnrp ax-mp eluz2 4lt5 5re ltleletr mpani 3impia
      zre divge1 1zzd flge elnnz1 sylanbrc oddprm prmuz2 fldiv4lem1div2uz2 3jca
      syl2anc impcom oveq2i eleq12i elfz1b bitri fzsplit fprodsplit 3jaoi mpcom
      sylibr imp eqtrd ) AFUAUBLFMNZEUCZDUBZEUDZLGMNZUVNEUDZGLUGNZFMNZUVNEUDZUE
      NZABCDEFHIJUFCUHOUIZUJPZAUVOUWAQZHUWCCUHPZCUWBPZUKZULAUWDUMZCUHUWBUNUWEUW
      GUWHUWECOQZCUOQZCRUPUBPZUQUWGUWHUMZCURUWIUWLUWJUWKUWIUWGOUWBPZUKZUWHUWIUW
      FUWMCOUWBUSUTUWIUWNUWDAUWIUWMUVOUWAUWMUWIUVOUWAVAOVBVCVDVEVFVGUWJUWHUWGUW
      JGVHQZUWHUWJGCSVINZVJUBZVHKUWJCSVKTZUWQVHQZUWJUWRUOSVKTVLCUOSVKVMVNUWJCVO
      PZSVPPZUWRUWSVQUWJUWTUOVOPVRCUOVOUSVNVSCSVTWAWBWCUWOAUWDUWOAULZUWALUVOUEN
      UVOUXBUVQLUVTUVOUEUXBUVQWDUVNEUDLUXBUVPWDUVNEUXBUVPLVHMNZWDUWOUVPUXCQAGVH
      LMWIWEWFWGWHUVNEWJWGUXBUVSUVLUVNEUXBUVRLFMUXBUVRVHLUGNZLUWOUVRUXDQAGVHLUG
      WKWEWLWGWMWHWNUXBUVOUXBUVLUVNEUXBLFWOAUVMUVLPZUVNWPPZUWOAUXEULZUVNUVMOUEN
      ZCOVINZVKTZUXHCUXHWQNZWRZWPUXGBUVMBUCZOUENZUXIVKTZUXNCUXNWQNZWRUXLUVLDWPJ
      UXMUVMQZUXOUXJUXNUXPUXHUXKUXQUXNUXHUXIVKUXMUVMOUEWKZWSUXRUXQUXNUXHCWQUXRX
      AWTAUXEXLUXGUXJUXHUXKWPUXEUXHWPPAUXEUVMOUXEUVMUVMLFXBXCUXEXDXEXFZUXGCUXHA
      CWPPZUXEAUWCUWEUXTHCUHUWBXGZUWECCXHXCXMWEUXSXIXNZXJUYBXKZXOXPXQXRYBXSXTUW
      KUWHUWGUWKAUWDUWKAULZUVPUVSUVNUVLEAUVPUVSYCWDQZUWKAGUVRVKTUYEAGAGACGHKYAY
      DYELGUVRFYFXSXFUYDGUVLPZUVLUVPUVSYGQUYDUWQVPPZCLWQNOVINZVPPZUWQUYHYHTZYIZ
      UYFAUWKUYKAUWCUWKUYKUMHUWCUWKUYKUWCUWKULZUYGUYIUYJUWKUYGUWCUWKUWQYJPLUWQY
      HTZUYGUWKUWPUWKCSRCYKZSYPPZUWKYLYMSVHVAUWKYQYMYNZYOUWKLUWPYHTZUYMSYRPZUWK
      CYPPZSCYHTZUYQUXAUYRVSSUUAUUBUYNUWKRYJPZCYJPZRCYHTZYIUYTRCUUCVUAVUBVUCUYT
      VUAVUBULZSRVKTZVUCUYTUUDUYOVUDRYPPZUYSVUEVUCULUYTUMYLVUFVUDUUEYMVUBUYSVUA
      CUUIXFSRCUUFYSUUGUUHYTSCUUJYSUWKUWPYPPLYJPUYQUYMVQUYPUWKUUKUWPLUULUUSWBUW
      QUUMUUNXFUWCUYIUWKCUUOWEUYLCOUPUBPZUYJUWCVUGUWKUWCUWEVUGUYACUUPXSWECUUQXS
      UURYBXSUUTUYFUWQLUYHMNZPUYKGUWQUVLVUHKFUYHLMIUVAUVBUYHUWQUVCUVDUVIGLFUVEX
      SUYDLFWOAUXEUXFUWKUYCXOUVFYBXTUVGXSUVJYTUVHUVK $.

    $( Lemma for ~ gausslemma2dlem5 .  (Contributed by AV, 8-Jul-2021.) $)
    gausslemma2dlem5a $p |- ( ph
        -> ( prod_ k e. ( ( M + 1 ) ... H ) ( R ` k ) mod P )
         = ( prod_ k e. ( ( M + 1 ) ... H ) ( -u 1 x. ( k x. 2 ) ) mod P ) ) $=
      ( co cprod cmo c2 wceq cprime wcel cz adantl caddc cfz cfv cmul cmin cneg
      c1 cv wral gausslemma2dlem3 prodeq2 oveq1d syl csn cdif eldifi fzfid prmz
      wa adantr elfzelz 2z a1i zmulcld zsubcld neg1z prmnn zcnd mulm1d crp zred
      cr nnrpd negmod syl2anr eqtr2d fprodmodd 3syl eqtrd ) AGUGUALZFUBLZEUHZDU
      CZEMZCNLZWACWBOUDLZUELZEMZCNLZWAUGUFZWFUDLZEMCNLZAWCWGPEWAUIZWEWIPABCDEFG
      HIJKUJWMWDWHCNWAWCWGEUKULUMACQOUNZUORCQRZWIWLPHCQWNUPWOWAWGWKECWOVTFUQWOW
      BWARZUSZCWFWOCSRWPCURUTWPWFSRWOWPWBOWBVTFVAOSRWPVBVCVDZTVEWPWKSRWOWPWJWFW
      JSRWPVFVCWRVDTCVGZWQWKCNLWFUFZCNLZWGCNLZWQWKWTCNWPWKWTPWOWPWFWPWFWRVHVITU
      LWPWFVLRCVJRXAXBPWOWPWFWRVKWOCWSVMWFCVNVOVPVQVRVS $.

    gausslemma2d.n $e |- N = ( H - M ) $.
    $( Lemma 5 for ~ gausslemma2d .  (Contributed by AV, 9-Jul-2021.) $)
    gausslemma2dlem5 $p |- ( ph
            -> ( prod_ k e. ( ( M + 1 ) ... H ) ( R ` k ) mod P )
               = ( ( ( -u 1 ^ N )
                   x. prod_ k e. ( ( M + 1 ) ... H ) ( k x. 2 ) ) mod P ) ) $=
      ( c1 co c2 cmul wcel a1i cz caddc cfz cv cfv cprod cneg gausslemma2dlem5a
      cmo cexp cfn fzfi cc wa neg1cn elfzelz zmulcld zcnd adantl fprodmul chash
      2z wceq pm3.2i fprodconst mp1i cmin cuz cle wbr c4 cdiv cfl cprime csn cn
      cdif cdvds wn nnoddn2prm nnre adantr 3syl 4re cc0 wne 4ne0 redivcld flcld
      cr eqeltrid peano2zd wb nnz oddm1d2 syl gausslemma2dlem0f eluz2 syl3anbrc
      biimpa hashfz 1cnd nppcan2d eqtr4di eqtrd oveq2d oveq1d ) AGNUAOZFUBOZEUC
      ZDUDEUECUHOXHNUFZXIPQOZQOEUEZCUHOXJHUIOZXHXKEUEZQOZCUHOABCDEFGIJKLUGAXLXO
      CUHAXLXHXJEUEZXNQOXOAXHXJXKEXHUJRZAXGFUKZSXJULRZAXIXHRZUMUNSXTXKULRAXTXKX
      TXIPXIXGFUOPTRXTVASUPUQURUSAXPXMXNQAXPXJXHUTUDZUIOZXMXQXSUMXPYBVBAXQXSXRU
      NVCXHXJEVDVEAYAHXJUIAYAFXGVFONUAOZHAFXGVGUDRZYAYCVBAXGTRFTRXGFVHVIYDAGAGC
      VJVKOZVLUDTLAYEACVJACVMPVNVPRZCVORZPCVQVIVRZUMZCWIRZICVSZYGYJYHCVTWAWBVJW
      IRAWCSVJWDWEAWFSWGWHWJZWKAFCNVFOPVKOZTJAYFYIYMTRZIYKYGYHYNYGCTRYHYNWLCWMC
      WNWOWSWBWJZACFGILJWPXGFWQWRXGFWTWOAYCFGVFOHAFGNAFYOUQAGYLUQAXAXBMXCXDXEXD
      XFXDXFXD $.

    $( Lemma 6 for ~ gausslemma2d .  (Contributed by AV, 16-Jun-2021.) $)
    gausslemma2dlem6 $p |- ( ph -> ( ( ! ` H ) mod P )
                                   = ( ( ( ( -u 1 ^ N ) x. ( 2 ^ H ) )
                                         x. ( ! ` H ) ) mod P ) ) $=
      ( vk cmo co c1 cmul c2 cz wcel cfa cfv cfz cv cprod cneg gausslemma2dlem4
      caddc cexp oveq1d cr wceq fzfid wa wral gausslemma2dlem2 adantr wi expcom
      crp rspa adantl elfzelz 2z a1i zmulcld eleq1 syl5ibrcom syld mpd fprodzcl
      cmin gausslemma2dlem3 gausslemma2dlem0a nnzd zsubcl syl2an zred cprime cn
      csn cdif cdvds wn nnoddn2prm nnrp 3syl modmulmodr eqcomd gausslemma2dlem5
      wbr syl3anc oveq2d neg1rr gausslemma2dlem0h reexpcld remulcld prodeq2d cc
      w3a 2cn fprodmul clt cin c0 gausslemma2dlem0d nn0red ltp1d fzdisj syl cuz
      zcnd cun cn0 1zzd nn0pzuz syl2anc cle gausslemma2dlem0b gausslemma2dlem0g
      nn0zd eluz2 fzsplit2 fprodsplit chash nnnn0 anim1i cdiv nn0oddm1d2 biimpa
      syl3anbrc eqeltrid fprodfac fzfi pm3.2i fprodconst mp1i oveq12d 3eqtrd
      cfn hashfz1 faccld nncnd 2nn0 nn0expcl nn0cnd sylancr mulcomd eqtrd recnd
      3eqtr3d mul12d mulassd 3eqtr4d ) AEUAUBZCNOPFUCOZMUDZDUBZMUEZFPUHOZEUCOZU
      URMUEZQOZCNOZUUSUVBCNOZQOZCNOZPUFZGUIOZREUIOZQOUUOQOZCNOZAUUOUVCCNABCDMEF
      HIJKUGUJAUUSSTZUVBUKTZCUTTZUVDUVGULAUUPUURMAPFUMAUUQUUPTZUNZUURUUQRQOZULZ
      MUUPUOZUURSTZAUVTUVPABCDMEFHIJKUPZUQUVQUVTUVSUWAUVPUVTUVSURAUVTUVPUVSUVSM
      UUPVAUSVBUVQUWAUVSUVRSTZUVPUWCAUVPUUQRUUQPFVCRSTZUVPVDVEVFVBUURUVRSVGVHVI
      VJVKZAUVBAUVAUURMAUUTEUMZAUUQUVATZUNZUURCUVRVLOZULZMUVAUOZUWAAUWKUWGABCDM
      EFHIJKVMUQUWHUWKUWJUWAUWGUWKUWJURAUWKUWGUWJUWJMUVAVAUSVBUWHUWAUWJUWISTZAC
      STUWCUWLUWGACACHVNVOUWGUUQRUUQUUTEVCZUWDUWGVDVEVFCUVRVPVQUURUWISVGVHVIVJV
      KVRACVSRWAWBTZCVTTZRCWCWKWDZUNZUVOHCWEZUWOUVOUWPCWFUQWGZUVMUVNUVOWTUVGUVD
      UUSUVBCWHWIWLAUVGUUSUVIUVAUVRMUEZQOZCNOZQOZCNOZUUSUXAQOZCNOZUVLAUVFUXCCNA
      UVEUXBUUSQABCDMEFGHIJKLWJWMUJAUVMUXAUKTUVOUXDUXFULUWEAUVIUWTAUVHGUVHUKTAW
      NVEACEFGHKILWOWPZAUWTAUVAUVRMUWFUWHUUQRUWGUUQSTAUWMVBUWDUWHVDVEVFVKZVRWQU
      WSUUSUXACWHWLAUXEUVKCNAUVIUUSUWTQOZQOUVIUVJUUOQOZQOUXEUVKAUXIUXJUVIQAUXIU
      UPUVRMUEZUWTQOZUXJAUUSUXKUWTQAUUPUURUVRMUWBWRUJAPEUCOZUVRMUEUXMUUQMUEZUXM
      RMUEZQOZUXLUXJAUXMUUQRMAPEUMZUUQUXMTZUUQWSTAUXRUUQUUQPEVCZXLVBRWSTZAUXRUN
      ZXAVEXBAUUPUVAUVRUXMMAFUUTXCWKUUPUVAXDXEULAFAFACFHKXFZXGXHPFUUTEXIXJAUUTP
      XKUBTZEFXKUBTZUXMUUPUVAXMULAFXNTPSTUYCUYBAXOFPXPXQAFSTESTFEXRWKUYDAFUYBYA
      AEACEHIXSVOACEFHKIXTFEYBYKFPEYCXQUXQUYAUVRUXRUWCAUXRUUQRUXSUWDUXRVDVEVFVB
      XLYDAUXPUUORUXMYEUBZUIOZQOUUOUVJQOUXJAUXNUUOUXOUYFQAUUOUXNAEXNTZUUOUXNULA
      UWNCXNTZUWPUNZUYGHUWNUWQUYIUWRUWOUYHUWPCYFYGXJUYIECPVLORYHOZXNIUYHUWPUYJX
      NTCYIYJYLWGZEMYMXJWIUXMYTTZUXTUNUXOUYFULAUYLUXTPEYNXAYOUXMRMYPYQYRAUYFUVJ
      UUOQAUYEERUIAUYGUYEEULUYKEUUAXJWMWMAUUOUVJAUUOAEUYKUUBUUCZARXNTZUYGUVJWST
      UUDUYKUYNUYGUNUVJREUUEUUFUUGZUUHYSUUKUUIWMAUUSUVIUWTAUUSUWEXLAUVIUXGUUJZA
      UWTUXHXLUULAUVIUVJUUOUYPUYOUYMUUMUUNUJYSYS $.

    $( Lemma 7 for ~ gausslemma2d .  (Contributed by AV, 13-Jul-2021.) $)
    gausslemma2dlem7 $p |- ( ph
                            -> ( ( ( -u 1 ^ N ) x. ( 2 ^ H ) ) mod P ) = 1 ) $=
      ( cmo co c1 c2 cmul wceq cz wcel cneg cexp gausslemma2dlem6 nnnn0d faccld
      cfa cfv gausslemma2dlem0b nncnd mulid2d eqcomd oveq1d eqeq1d cn cgcd 1zzd
      wb cn0 neg1z gausslemma2dlem0h zexpcl sylancr 2z zmulcld nnzd cprime cdif
      csn eldifi prmnn 3syl gausslemma2dlem0c cncongrcoprm syl32anc bitrd simpr
      wa cr clt wbr nnred prmgt1 jca syl 1mod adantr eqtr3d ex sylbid mpd ) AEU
      FUGZCMNZOUAZGUBNZPEUBNZQNZWKQNCMNZRZWPCMNZORZABCDEFGHIJKLUCAWROCMNZWSRZWT
      AWROWKQNZCMNZWQRZXBAWLXDWQAWKXCCMAXCWKAWKAWKAEAEACEHIUHUDZUEZUIUJUKULUMAO
      STWPSTWKSTCUNTZWKCUONORXEXBUQAUPAWNWOAWMSTGURTWNSTUSACEFGHKILUTWMGVAVBAPS
      TEURTWOSTVCXFPEVAVBVDAWKXGVEACVFPVHZVGTZCVFTZXHHCVFXIVIZCVJZVKACEHIVLOWPW
      KCVMVNVOAXBWTAXBVQXAWSOAXBVPAXAORZXBAXJCVRTZOCVSVTZVQZXNHXJXKXQXLXKXOXPXK
      CXMWACWBWCWDCWEVKWFWGWHWIWJ $.

    $( Gauss' Lemma (see also theorem 9.6 in [ApostolNT] p. 182) for integer
       ` 2 ` :  Let p be an odd prime.  Let S = {2, 4, 6, ..., p - 1}.  Let n
       denote the number of elements of S whose least positive residue modulo p
       is greater than p/2.  Then ( 2 | p ) = (-1)^n.  (Contributed by AV,
       14-Jul-2021.) $)
    gausslemma2d $p |- ( ph -> ( 2 /L P ) = ( -u 1 ^ N ) ) $=
      ( c1 cexp co c2 cmul cmo wceq wcel cneg gausslemma2dlem7 cr clt wa cprime
      clgs wbr csn cdif eldifi prmnn nnred prmgt1 jca 3syl syl eqcomd eqeq2d cz
      1mod crp cn0 neg1z gausslemma2dlem0h zexpcl sylancr 2nn gausslemma2dlem0b
      a1i nnnn0d nnexpcld nnzd zmulcld zred 1red adantr gausslemma2dlem0a nnrpd
      cn simpr modmul1 syl3anc ex zcnd nncnd mul32d caddc nn0cnd 2timesd oveq2d
      neg1cn expaddd nn0zd m1expeven 3eqtr3d oveq1d mulid2d 3eqtrd eqeq12d cmin
      cc cdiv oveq2i oveq1i eqeq1i 2z lgsvalmod eqeq1d gausslemma2dlem0i sylbid
      syl5bi syld mpd ) AMUAZGNOZPENOZQOZCROZMSZPCUGOZXPSZABCDEFGHIJKLUBAXTXSMC
      ROZSZYBAMYCXSAYCMACUCTZMCUDUHZUEZYCMSACUFPUIZUJTZCUFTZYGHCUFYHUKYJYEYFYJC
      CULUMCUNUOUPCVAUQURUSAYDXRXPQOZCROZMXPQOZCROZSZYBAYDYOAYDUEXRUCTZMUCTZUEZ
      XPUTTZCVBTZUEZYDYOAYRYDAYPYQAXRAXPXQAXOUTTGVCTYSVDACEFGHKILVEZXOGVFVGZAXQ
      APEPVTTAVHVJAEACEHIVIVKVLZVMVNVOAVPUOVQAUUAYDAYSYTUUCACACHVRVSUOVQAYDWAXR
      MXPCWBWCWDAYOXQCROZXPCROZSZYBAYLUUEYNUUFAYKXQCRAYKXPXPQOZXQQOMXQQOXQAXPXQ
      XPAXPUUCWEZAXQUUDWFZUUIWGAUUHMXQQAXOGGWHOZNOXOPGQOZNOZUUHMAUUKUULXONAUULU
      UKAGAGUUBWIWJURWKAXOGGXOXBTAWLVJUUBUUBWMAGUTTUUMMSAGUUBWNGWOUQWPWQAXQUUJW
      RWSWQAYMXPCRAXPUUIWRWQWTUUGPCMXAOPXCOZNOZCROZUUFSZAYBUUEUUPUUFXQUUOCREUUN
      PNIXDXEXFAUUQYACROZUUFSYBAUUPUURUUFAUURUUPAPUTTYIUURUUPSXGHPCXHVGURXIACEF
      GHKILXJXKXLXKXMXKXN $.
  $}

  $(
  @( Gauss' Lemma (see ProofWiki "Gauss's Lemma (Number Theory)", 17-Jul-2021,
     ~ https://proofwiki.org/wiki/Gauss%27s_Lemma_(Number_Theory) ): Let p be
     an odd prime and a an integer which is not divisible by p.
     Let S = {a, 2a, 3a, ..., (p-1)a/2}.  Let n denote the number of elements
     of S whose least positive residue modulo p is greater than p/2.
     Then ( a | p )  = (-1)^n.  See also theorem 9.6 in [ApostolNT] p. 182.
     (Contributed by AV, 16-Jun-2021.) @)
  gausslemma @p |- ( ( ( P e. Prime /\ -. 2 || P )
                   /\ ( A e. ZZ /\ -. P || A )
                   /\ N = ( # ` { x e. ZZ | E. i e. ( 1 ... ( ( P - 1 ) / 2 ) )
                            ( x = ( i x. A ) /\ ( P / 2 ) < ( x mod P ) ) } ) )
                     -> ( A /L P ) = ( -u 1 ^ N ) ) @=
    ? @.
  $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Quadratic reciprocity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d k x G $.  $d k x L $.  $d k n u v w x y z P $.  $d k n u v w x y z ph $.
    $d n u v w y z M $.  $d u w x y z N $.  $d k u w x y z Q $.  $d k x Y $.
    $d k R $.  $d n u v x z S $.
    lgseisen.1 $e |- ( ph -> P e. ( Prime \ { 2 } ) ) $.
    lgseisen.2 $e |- ( ph -> Q e. ( Prime \ { 2 } ) ) $.
    lgseisen.3 $e |- ( ph -> P =/= Q ) $.
    ${
      lgseisen.4 $e |- R = ( ( Q x. ( 2 x. x ) ) mod P ) $.
      lgseisen.5 $e |- M = ( x e. ( 1 ... ( ( P - 1 ) / 2 ) ) |->
        ( ( ( ( -u 1 ^ R ) x. R ) mod P ) / 2 ) ) $.
      $( Lemma for ~ lgseisen .  If ` R ( u ) = ( Q x. u ) mod P ` and
         ` M ( u ) = ( -u 1 ^ R ( u ) ) x. R ( u ) ` , then for any even
         ` 1 <_ u <_ P - 1 ` , ` M ( u ) ` is also an even integer
         ` 1 <_ M ( u ) <_ P - 1 ` .  To simplify these statements, we divide
         all the even numbers by ` 2 ` , so that it becomes the statement that
         ` M ( x / 2 ) = ( -u 1 ^ R ( x / 2 ) ) x. R ( x / 2 ) / 2 ` is an
         integer between ` 1 ` and ` ( P - 1 ) / 2 ` .  (Contributed by Mario
         Carneiro, 17-Jun-2015.) $)
      lgseisenlem1 $p |- ( ph ->
        M : ( 1 ... ( ( P - 1 ) / 2 ) ) --> ( 1 ... ( ( P - 1 ) / 2 ) ) ) $=
        ( c1 co c2 cdiv cmul wcel cz cc0 wbr cmin cfz cneg cexp cmo 1zzd cprime
        cv wa csn cdif adantr oddprm syl nnzd caddc wne wceq neg1cn a1i neg1ne0
        cn cc 2z simpr expmulz syl22anc cn0 eldifad prmz elfzelz adantl sylancr
        zmulcl zmulcld prmnn zmodfz syl2anc eqeltrid elfznn0 zcnd 2cnd divcan2d
        nn0zd 2ne0 oveq2d neg1sqe1 oveq1i 1exp syl5eq 3eqtr3d oveq1d mulid2d cr
        eqtrd crp cle clt nnrpd nn0ge0d zred modlt eqbrtrid modid eqeltrd nncnd
        nn0red renegcld recnd addcomd negsubd 3eqtr2d modcyc nnred ltled mpbird
        syl3anc resubcld wn cdvds 2nn elfznn elfzle2 wb cuz syl112anc fzm1ndvds
        cfv 3syl wi dvdsval3 mtbid wo mpbid ord ax-1cn peano2zd peano2cn oveq2i
        mtod subge0d nnmulcl uz2m1nn 2re 2pos lemuldiv2 peano2zm fznn mpbir2and
        prmuz2 cgcd prmrp coprmdvds mpan2d eqeq1i sylnibr nnnn0d nn0uz eleqtrdi
        elfzp12 1e0p1 eleqtrrdi ltsubrpd dvdsval2 mp3an12i biimpar 1lt2 ndvdsp1
        mpd oexpneg negeqd mulm1d pnpcan2d 3eqtr4d divsubdird subadd23d eqtr2di
        mt2d 2m1e1 divdird 2div2e1 zsubcld zeo mpjaodan m1expcl zmodcld ax-1ne0
        eqtrdi divneg2 mp3an 1div1e1 negeqi eqtr3i exprecd recidd breq2d mtbird
        eqtr3id expne0d mulassd dvdsmultr2 elnn0 sylib mt3d nngt0d elnnz nnge1d
        divgt0d sylanbrc lediv1 elfzd fmptd ) ABLCLUAMZNOMZUBMZLUCZEUDMZEPMZCUE
        MZNOMZUXOFABUHZUXOQZUIZUXTLUXNUYCUFZUYCUXNUYCCUGNUJZUKZQZUXNVBQAUYGUYBG
        ULZCUMUNUOZUYCENOMZRQZUXTRQZELUPMZNOMZRQZUYCUYKUIZUXTUYJRUYPUXSENOUYPUX
        SECUEMZEUYPUXRECUEUYPUXRLEPMZEUYPUXQLEPUYPUXPNUYJPMZUDMZUXPNUDMZUYJUDMZ
        UXQLUYPUXPVCQZUXPSUQZNRQZUYKUYTVUBURVUCUYPUSUTVUDUYPVAUTVUEUYPVDUTUYCUY
        KVEZUXPNUYJVFVGUYPUYSEUXPUDUYPENUYCEVCQZUYKUYCEUYCEUYCESUXMUBMZQZEVHQUY
        CEDNUYAPMZPMZCUEMZVUHJUYCVUKRQZCVBQZVULVUHQUYCDVUJUYCDUGQZDRQZUYCDUGUYE
        ADUYFQUYBHULVIZDVJUNZUYCVUEUYARQZVUJRQZVDUYBVUSAUYALUXNVKVLNUYAVNVMZVOZ
        UYCCUGQZVUNUYCCUGUYEUYHVIZCVPUNZVUKCVQVRVSZEUXMVTUNZWDZWAZULZUYPWBNSUQZ
        UYPWEUTWCWFUYPVUBLUYJUDMZLVUALUYJUDWGWHUYKVVLLURUYCUYJWIVLWJWKWLUYPEVVJ
        WMWOWLUYCUYQEURZUYKUYCEWNQCWPQZSEWQTECWRTVVMUYCEVVGXGZUYCCVVEWSZUYCEVVG
        WTUYCEVULCWRJUYCVUKWNQVVNVULCWRTUYCVUKVVBXAVVPVUKCXBVRXCZECXDVGULWOWLVU
        FXEUYCUYOUIZUXTCLUPMZNOMZUYNUAMZRVVRUXTVVSUYMUAMZNOMVWAVVRUXSVWBNOVVREU
        CZCUEMZCEUAMZUXSVWBUYCVWDVWEURUYOUYCVWCLCPMZUPMZCUEMZVWECUEMZVWDVWEUYCV
        WGVWECUEUYCVWGVWCCUPMCVWCUPMVWEUYCVWFCVWCUPUYCCUYCCVVEXFZWMWFUYCCVWCVWJ
        UYCVWCUYCEVVOXHZXIXJUYCCEVWJVVIXKXLWLUYCVWCWNQVVNLRQVWHVWDURVWKVVPUYDVW
        CCLXMXQUYCVWEWNQVVNSVWEWQTZVWECWRTVWIVWEURUYCCEUYCCVVEXNZVVOXRVVPUYCVWL
        ECWQTUYCECVVOVWMVVQXOUYCCEVWMVVOUUAXPUYCCEVWMUYCEUYCELUXMUBMZQZEVBQZUYC
        ESLUPMZUXMUBMZVWNUYCESURZXSEVWRQZUYCVULSURZVWSUYCCVUKXTTZVXAUYCVXBCVUJX
        TTZUYCVUNVUJVWNQZVXCXSVVEUYCVXDVUJVBQZVUJUXMWQTZUYCNVBQZUYAVBQZVXEYAUYB
        VXHAUYAUXNYBVLZNUYAUUBVMUYCVXFUYAUXNWQTZUYBVXJAUYALUXNYCVLUYCUYAWNQUXMW
        NQZNWNQZSNWRTZVXFVXJYDUYCUYAVXIXNUYCUXMUYCVVCCNYEYHQUXMVBQVVDCUUJCUUCYI
        ZXNZVXLUYCUUDUTZVXMUYCUUEUTZUYAUXMNUUFYFXPUYCCRQZUXMRQVXDVXEVXFUIYDUYCV
        VCVXRVVDCVJUNZCUUGVUJUXMUUHYIUUICVUJYGVRUYCVXBCDUUKMLURZVXCUYCVXTCDUQZA
        VYAUYBIULUYCVVCVUOVXTVYAYDVVDVUQCDUULVRXPUYCVXRVUPVUTVXBVXTUIVXCYJVXSVU
        RVVACDVUJUUMXQUUNYTUYCVUNVUMVXBVXAYDVVEVVBCVUKYKVRYLEVULSJUUOUUPUYCVWSV
        WTUYCVUIVWSVWTYMZVVFUYCUXMSYEYHZQVUIVYBYDUYCUXMVHVYCUYCUXMVXNUUQUURUUSE
        SUXMUUTUNYNYOUVILVWQUXMUBUVAWHUVBZEUXMYBUNZWSUVCVWECXDVGWKULVVRUXRVWCCU
        EVVRUXRUXPEPMVWCVVRUXQUXPEPVVRUXQLEUDMZUCZUXPVVRLVCQZVWPNEXTTZXSUXQVYGU
        RVYHVVRYPUTZUYCVWPUYOVYEULVVRVYINUYMXTTZUYCVYKUYOVUEVVKUYCUYMRQVYKUYOYD
        VDWEUYCEVVHYQNUYMUVDUVEUVFVVRERQZVXGLNWRTZVYIVYKXSYJUYCVYLUYOVVHULZVXGV
        VRYAUTVYMVVRUVGUTNEUVHXQUVRLEUVJXQVVRVYFLVVRVYLVYFLURVYNEWIUNUVKWOWLVVR
        EUYCVUGUYOVVIULZUVLWOWLVVRCELUYCCVCQZUYOVWJULZVYOVYJUVMUVNWLVVRVVSUYMNV
        VRVYPVVSVCQVYQCYRUNVVRVUGUYMVCQVYOEYRUNVVRWBZVVKVVRWEUTZUVOWOVVRVVTUYNV
        VRVVTUXNLUPMZRVVRVVTUXMNUPMZNOMZVYTVVRVVSWUANOVVRWUACNLUAMZUPMVVSVVRCLN
        VYQVYJVYRUVPWUCLCUPUVSYSUVQWLVVRWUBUXNNNOMZUPMVYTVVRUXMNNUYCUXMVCQUYOUY
        CUXMVXNXFULVYRVYRVYSUVTWUDLUXNUPUWAYSUWHWOVVRUXNUYCUXNRQUYOUYIULYQXEUYC
        UYOVEUWBXEUYCVYLUYKUYOYMVVHEUWCUNUWDZUYCUXTUYCUYLSUXTWRTUXTVBQWUEUYCUXS
        NUYCUXSUYCUXRCUYCUXQEUYCVYLUXQRQZVVHEUWEUNZVVHVOZVVEUWFZXGZVXPUYCUXSUYC
        UXSVBQZUXSSURZUYCCUXRXTTZWULUYCWUMCUXQUXRPMZXTTZUYCWUOCEXTTZUYCVUNVWOWU
        PXSVVEVYDCEYGVRUYCWUNECXTUYCUXQUXQPMZEPMUYRWUNEUYCWUQLEPUYCWUQUXQLUXQOM
        ZPMLUYCUXQWURUXQPUYCUXQLUXPOMZEUDMWURWUSUXPEUDLLOMZUCZWUSUXPVYHVYHLSUQW
        VAWUSURYPYPUWGLLUWIUWJWUTLUWKUWLUWMWHUYCUXPEVUCUYCUSUTZVUDUYCVAUTZVVHUW
        NUWRWFUYCUXQUYCUXQWUGWAZUYCUXPEWVBWVCVVHUWSUWOWOWLUYCUXQUXQEWVDWVDVVIUW
        TUYCEVVIWMWKUWPUWQUYCVXRWUFUXRRQZWUMWUOYJVXSWUGWUHCUXQUXRUXAXQYTUYCVUNW
        VEWUMWULYDVVEWUHCUXRYKVRYLUYCWUKWULUYCUXSVHQWUKWULYMWUIUXSUXBUXCYOUXDUX
        EVXQUXHUXTUXFUXIUXGUYCUXSUXMWQTZUXTUXNWQTZUYCUXSVUHQZWVFUYCWVEVUNWVHWUH
        VVEUXRCVQVRUXSSUXMYCUNUYCUXSWNQVXKVXLVXMWVFWVGYDWUJVXOVXPVXQUXSUXMNUXJY
        FYNUXKKUXL $.

      lgseisen.6 $e |- S = ( ( Q x. ( 2 x. y ) ) mod P ) $.
      $( Lemma for ~ lgseisen .  The function ` M ` is an injection (and hence
         a bijection by the pigeonhole principle).  (Contributed by Mario
         Carneiro, 17-Jun-2015.) $)
      lgseisenlem2 $p |- ( ph -> M : ( 1 ... ( ( P - 1 ) / 2 ) )
                         -1-1-onto-> ( 1 ... ( ( P - 1 ) / 2 ) ) ) $=
        ( c1 co c2 wcel cmul cmo vz cmin cdiv cfz wf1 wf1o wf cfv wceq weq wral
        cv wi lgseisenlem1 wa cneg oveq2 oveq2d oveq1d 3eqtr4g oveq12d ad2antrl
        cexp ovex cvv ad2antll eqeq12d cc cc0 wne wb cz cn0 cprime eldifad prmz
        adantr 2z elfzelz zmulcl sylancr zmulcld zmodcld eqeltrid nn0zd m1expcl
        syl cn nn0cnd a1i syl112anc eqidd oveq1i cr zred modabs2 syl2anc syl5eq
        modmul12d cdvds wbr moddvds syl3anc zcnd subdid mul12d eqtrd cgcd prmrp
        breq2d mpbird coprmdvds mpan2d mulassd ax-1cn mulid2d eqeq2d cle elfznn
        caddc nnred elfzle2 3syl sylbid oveq1 eqeq1d syl5ibrcom clt 2nn nnmulcl
        imbi1d nnnn0d nn0ge0d lemuldiv2 zltlem1 modid syl22anc nfcv nffv nfv wn
        fvmpt mpan2 csn cdif prmnn 2cnd 2ne0 div11 nnrpd crp zsubcld dvdsmultr2
        fvmpt2 neg1cn expaddd eqtr2d ax-1ne0 divneg2 mp3an negeqi eqtr3i recidd
        1div1e1 neg1ne0 exprecd eqtr3id expne0d 3eqtr3d mulm1d znegcld nnaddcld
        eqcom syl5bb oddprm le2addd peano2rem recnd 2halvesd peano2zm mpbir2and
        breqtrd fznn fzm1ndvds eldifsni 2prm sylancl nnzd subnegd adddid eqtr4d
        mtod mtbird pm2.21d 2re 2pos biimpd cpr nn0addcld m1expcl2 elpri mpjaod
        neg1z zexpcl mulcand 3imtr3d sylbird ralrimivva cmpt nfmpt1 nfcxfr nfeq
        wo 3syld fveq2 equequ2 imbi12d cbvralw ralbii sylibr dff13 sylanbrc cen
        nfim cfn enref fzfi f1finf1o mp2an sylib ) AODOUBPZQUCPZUDPZUYMHUEZUYMU
        YMHUFZAUYMUYMHUGCULZHUHZUAULZHUHZUIZCUAUJZUMZUAUYMUKZCUYMUKZUYNABDEFHIJ
        KLMUNAUYQBULZHUHZUIZCBUJZUMZBUYMUKZCUYMUKVUDAVUICBUYMUYMAUYPUYMRZVUEUYM
        RZUOZUOZVUGOUPZGVCPZGSPZDTPZQUCPZVUOFVCPZFSPZDTPZQUCPZUIZVUHVUNUYQVUSVU
        FVVCVUKUYQVUSUIAVULBUYPVVCVUSUYMHBCUJZVVBVURQUCVVEVVAVUQDTVVEVUTVUPFGSV
        VEFGVUOVCVVEEQVUESPZSPZDTPZEQUYPSPZSPZDTPZFGVVEVVGVVJDTVVEVVFVVIESVUEUY
        PQSUQURUSLNUTZURVVLVAUSUSMVURQUCVDUUBVBVULVUFVVCUIZAVUKVULVVCVERVVMVVBQ
        UCVDBUYMVVCVEHMUUNUUCVFVGVUNVVDVURVVBUIZVUHVUNVURVHRVVBVHRQVHRQVIVJZVVD
        VVNVKVUNVURVUNVUQDVUNVUPGVUNGVLRVUPVLRVUNGVUNGVVKVMNVUNVVJDVUNEVVIVUNEV
        NRZEVLRZVUNEVNQUUDZAEVNVVRUUEZRVUMJVQVOZEVPWGZVUNQVLRZUYPVLRZVVIVLRZVRV
        UKVWCAVULUYPOUYLVSVBZQUYPVTWAZWBZVUNDVNRZDWHRZVUNDVNVVRADVVSRZVUMIVQZVO
        ZDUUFWGZWCWDZWEZGWFWGZVWOWBVWMWCWIVUNVVBVUNVVADVUNVUTFVUNFVLRVUTVLRZVUN
        FVUNFVVHVMLVUNVVGDVUNEVVFVWAVUNVWBVUEVLRZVVFVLRZVRVULVWRAVUKVUEOUYLVSVF
        ZQVUEVTWAZWBZVWMWCWDZWEZFWFWGZVXDWBVWMWCWIVUNUUGZVVOVUNUUHWJZVURVVBQUUI
        WKVUNVVNVUPVVJSPZDTPZVUTVVGSPZDTPZUIZVUHVUNVURVXIVVBVXKVUNVUPVUPGVVJDVW
        PVWPVWOVWGVUNDVWMUUJZVUNVUPDTPWLVUNGDTPVVKDTPZVVKGVVKDTNWMVUNVVJWNRDUUK
        RZVXNVVKUIVUNVVJVWGWOVXMVVJDWPWQWRWSVUNVUTVUTFVVGDVXEVXEVXDVXBVXMVUNVUT
        DTPWLVUNFDTPVVHDTPZVVHFVVHDTLWMVUNVVGWNRVXOVXPVVHUIVUNVVGVXBWOVXMVVGDWP
        WQWRWSVGVUNVXLDVXHVXJUBPZWTXAZVUHVUNVWIVXHVLRVXJVLRVXLVXRVKVWMVUNVUPVVJ
        VWPVWGWBVUNVUTVVGVXEVXBWBVXHVXJDXBXCVUNVXRDEVUPVVISPZVUTVVFSPZUBPZSPZWT
        XAZVUHVUNVYBVXQDWTVUNVYBEVXSSPZEVXTSPZUBPVXQVUNEVXSVXTVUNEVWAXDZVUNVXSV
        UNVUPVVIVWPVWFWBZXDZVUNVXTVUNVUTVVFVXEVXAWBZXDZXEVUNVYDVXHVYEVXJUBVUNEV
        UPVVIVYFVUNVUPVWPXDZVUNVVIVWFXDZXFVUNEVUTVVFVYFVUNVUTVXEXDZVUNVVFVXAXDZ
        XFVAXGXJVUNVYCDVYAWTXAZDVUTVYASPZWTXAZVUHVUNVYCDEXHPOUIZVYOVUNVYRDEVJZA
        VYSVUMKVQVUNVWHVVPVYRVYSVKVWLVVTDEXIWQXKVUNDVLRZVVQVYAVLRZVYCVYRUOVYOUM
        VUNVWHVYTVWLDVPWGZVWAVUNVXSVXTVYGVYIUULZDEVYAXLXCXMVUNVYTVWQWUAVYOVYQUM
        WUBVXEWUCDVUTVYAUUMXCVUNVYQDVUOFGXTPZVCPZVVISPZVVFUBPZWTXAZVUHVUNVYPWUG
        DWTVUNVYPVUTVXSSPZVUTVXTSPZUBPWUGVUNVUTVXSVXTVYMVYHVYJXEVUNWUIWUFWUJVVF
        UBVUNWUFVUTVUPSPZVVISPWUIVUNWUEWUKVVISVUNVUOFGVUOVHRVUNUUOWJZVWNVXCUUPU
        SVUNVUTVUPVVIVYMVYKVYLXNUUQVUNVUTVUTSPZVVFSPOVVFSPWUJVVFVUNWUMOVVFSVUNW
        UMVUTOVUTUCPZSPOVUNVUTWUNVUTSVUNVUTOVUOUCPZFVCPWUNWUOVUOFVCOOUCPZUPZWUO
        VUOOVHRZWUROVIVJWUQWUOUIXOXOUUROOUUSUUTWUPOUVDUVAUVBWMVUNVUOFWULVUOVIVJ
        VUNUVEWJZVXDUVFUVGURVUNVUTVYMVUNVUOFWULWUSVXDUVHUVCXGUSVUNVUTVUTVVFVYMV
        YMVYNXNVUNVVFVYNXPUVIVAXGXJVUNWUFDTPZVVFDTPZUIZVVIVVFUIZWUHVUHVUNWUEVUO
        UIZWVBWVCUMZWUEOUIZVUNWVEWVDVUOVVISPZDTPZWVAUIZWVCUMVUNWVIWVAVVIUPZDTPZ
        UIZWVCWVIWVAWVHUIVUNWVLWVHWVAUVMVUNWVHWVKWVAVUNWVGWVJDTVUNVVIVYLUVJUSXQ
        UVNVUNWVLDVVFWVJUBPZWTXAZWVCVUNVWIVWSWVJVLRWVLWVNVKVWMVXAVUNVVIVWFUVKVV
        FWVJDXBXCVUNWVNWVCVUNWVNDQVUEUYPXTPZSPZWTXAZVUNWVQDWVOWTXAZVUNVWIWVOOUY
        KUDPRZWVRUUAVWMVUNWVSWVOWHRZWVOUYKXRXAZVUNVUEUYPVULVUEWHRZAVUKVUEUYLXSV
        FZVUKUYPWHRZAVULUYPUYLXSVBZUVLZVUNWVOUYLUYLXTPUYKXRVUNVUEUYPUYLUYLVUNVU
        EWWCYAZVUNUYPVWEWOZVUNUYLVUNVWJUYLWHRVWKDUVOWGYAZWWIVULVUEUYLXRXAZAVUKV
        UEOUYLYBVFZVUKUYPUYLXRXAZAVULUYPOUYLYBVBZUVPVUNUYKVUNUYKVUNDWNRUYKWNRZV
        UNDVWMYADUVQWGZUVRUVSUWBVUNVYTUYKVLRWVSWVTWWAUOVKWUBDUVTWVOUYKUWCYCUWAD
        WVOUWDWQVUNWVQDQXHPOUIZWVRVUNWWPDQVJZVUNVWJWWQVWKDVNQUWEWGVUNVWHQVNRWWP
        WWQVKVWLUWFDQXIUWGXKVUNVYTVWBWVOVLRWVQWWPUOWVRUMWUBVWBVUNVRWJVUNWVOWWFU
        WHDQWVOXLXCXMUWLVUNWVMWVPDWTVUNWVMVVFVVIXTPWVPVUNVVFVVIVYNVYLUWIVUNQVUE
        UYPVXFVUNVUEVWTXDZVUNUYPVWEXDZUWJUWKXJUWMUWNYDYDWVDWVBWVIWVCWVDWUTWVHWV
        AWVDWUFWVGDTWUEVUOVVISYEUSYFYKYGVUNWVEWVFOVVISPZDTPZWVAUIZWVCUMVUNWXBWV
        CVUNWXAVVIWVAVVFVUNWXAVVIDTPZVVIVUNWWTVVIDTVUNVVIVYLXPUSVUNVVIWNRVXOVIV
        VIXRXAVVIDYHXAZWXCVVIUIVUNVVIVWFWOVXMVUNVVIVUNVVIVUNQWHRZWWDVVIWHRYIWWE
        QUYPYJWAYLYMVUNWXDVVIUYKXRXAZVUNWXFWWLWWMVUNUYPWNRWWNQWNRZVIQYHXAZWXFWW
        LVKWWHWWOWXGVUNUWOWJZWXHVUNUWPWJZUYPUYKQYNWKXKVUNVWDVYTWXDWXFVKVWFWUBVV
        IDYOWQXKVVIDYPYQXGVUNVVFWNRVXOVIVVFXRXAVVFDYHXAZWVAVVFUIVUNVVFVXAWOVXMV
        UNVVFVUNVVFVUNWXEWWBVVFWHRYIWWCQVUEYJWAYLYMVUNWXKVVFUYKXRXAZVUNWXLWWJWW
        KVUNVUEWNRWWNWXGWXHWXLWWJVKWWGWWOWXIWXJVUEUYKQYNWKXKVUNVWSVYTWXKWXLVKVX
        AWUBVVFDYOWQXKVVFDYPYQVGUWQWVFWVBWXBWVCWVFWUTWXAWVAWVFWUFWWTDTWUEOVVISY
        EUSYFYKYGVUNWUDVLRWUEVUOOUWRRWVDWVFUXMVUNWUDVUNFGVXCVWNUWSZWEWUDUWTWUEV
        UOOUXAYCUXBVUNVWIWUFVLRVWSWVBWUHVKVWMVUNWUEVVIVUNVUOVLRWUDVMRWUEVLRUXCW
        XMVUOWUDUXDWAVWFWBVXAWUFVVFDXBXCVUNUYPVUEQWWSWWRVXFVXGUXEUXFYDUXNUXGYDY
        DYDYDUXHVUCVUJCUYMVUBVUIUABUYMUYTVUABBUYQUYSBUYPHBHBUYMVVCUXIMBUYMVVCUX
        JUXKZBUYPYRYSBUYRHWXNBUYRYRYSUXLVUABYTUYDVUIUAYTUABUJZUYTVUGVUAVUHWXOUY
        SVUFUYQUYRVUEHUXOXQUABCUXPUXQUXRUXSUXTCUAUYMUYMHUYAUYBUYMUYMUYCXAUYMUYE
        RUYNUYOVKUYMOUYLUDVDUYFOUYLUYGUYMUYMHUYHUYIUYJ $.

      lgseisen.7 $e |- Y = ( Z/nZ ` P ) $.
      lgseisen.8 $e |- G = ( mulGrp ` Y ) $.
      lgseisen.9 $e |- L = ( ZRHom ` Y ) $.
      $( Lemma for ~ lgseisen .  (Contributed by Mario Carneiro, 17-Jun-2015.)
         (Proof shortened by AV, 28-Jul-2019.) $)
      lgseisenlem3 $p |- ( ph -> ( G gsum ( x e. ( 1 ... ( ( P - 1 ) / 2 ) )
          |-> ( L ` ( ( -u 1 ^ R ) x. Q ) ) ) ) = ( 1r ` Y ) ) $=
        ( vk c1 cmin co c2 cdiv cfz cmul cfv cmpt cgsu cdvr cneg cexp cmulr cur
        cv cof ccom cmo wceq fveq2d cbvmptv oveq2i cbs cfn c0g eqid mgpbas ccrg
        oveq2 wcel ccmn cfield cprime csn eldifad znfld syl cdr simprbi crngmgp
        isfld fzfid cz wf zring crh crg crngring zrhrhm zringbas rhmf 2z zmulcl
        elfzelz sylancr ffvelrn syl2an fmpttd cvv fvexd fsuppmptdm lgseisenlem2
        wa gsumf1o eqtr3id wral lgseisenlem1 sylibr a1i eqidd oveq2d cn0 adantr
        fmpt prmz cn adantl zmulcld zmodcld nn0zd cc0 wne cdvds cr zred modabs2
        wbr syl2anc zcnd oveq1d wb syl3anc mpbird 3eqtrd ffvelrnd cle mpbir2and
        nnred fmptcof 2nn elfznn nnmulcl nnzd eqeltrid m1expcl nn0cnd 2cnd 2ne0
        prmnn divcan2d nnrpd oveq1i crp modmul12d mulassd 3eqtr4d moddvds mpbid
        syl5eq nnnn0d zndvds zringmulr rhmmul mpteq2dva offval2 eqtr4d mgpplusg
        gsummptfidmadd2 eqtrd cui csubmnd unitsubm elfzle2 clt cuz uz2m1nn 3syl
        wn prmuz2 2re 2pos lemuldiv2 syl112anc peano2zm fznn zndvds0 necon3abid
        fzm1ndvds simplbi drngunit gsumsubmcl dvrid gsumcl dvrcan3 3eqtr3rd ) A
        HBUBDUBUCUDZUEUFUDZUGUDZUEBUQZUHUDZIUIZUJZUKUDZUXEKULUIZUDZHBUWTUBUMFUN
        UDZEUHUDZIUIZUJZUKUDZUXEKUOUIZUDZUXEUXFUDZKUPUIZUXLAUXEUXNUXEUXFAUXEHUX
        KUXDUXMURUDZUKUDZUXNAUXEHUAUWTUEUAUQZUHUDZIUIZUJZJUSZUKUDZHBUWTUEUXHFUH
        UDZDUTUDZUEUFUDZUHUDZIUIZUJZUKUDUXRAUXEHUYBUKUDUYDUYBUXDHUKUABUWTUYAUXC
        UXSUXAVAUXTUXBIUXSUXAUEUHVKVBVCVDAUWTKVEUIZUWTUYBHJVFHVGUIZUYKKHSUYKVHZ
        VIZUYLVHZAKVJVLZHVMVLAKVNVLZUYPADVOVLZUYQADVOUEVPZLVQZDKRVRVSZUYQKVTVLZ
        UYPKWCZWAVSZKHSWBVSZAUBUWSWDZAUAUWTUYAUYKAWEUYKIWFZUXTWEVLZUYAUYKVLUXSU
        WTVLZAIWGKWHUDVLZVUGAKWIVLZVUJAUYPVUKVUDKWJVSZKITWKVSZWEUYKWGKIWLUYMWMV
        SZVUIUEWEVLUXSWEVLVUHWNUXSUBUWSWPUEUXSWOWQWEUYKUXTIWRWSWTAUAUWTUYBXAXAU
        YAUYLUYBVHVUFAVUIXEUXTIXBAHVGXBZXCABCDEFGJLMNOPQXDXFXGAUYCUYJHUKABUAUWT
        UWTUYGUYAUYIJUYBAUWTUWTJWFUYGUWTVLBUWTXHABDEFJLMNOPXIBUWTUWTUYGJPXPXJJB
        UWTUYGUJVAAPXKAUYBXLUXSUYGVAUXTUYHIUXSUYGUEUHVKVBUUAXMAUYJUXQHUKAUYJBUW
        TUXJUXCUXMUDZUJUXQABUWTUYIVUPAUXAUWTVLZXEZUYIUYFIUIZUXIUXBUHUDZIUIZVUPV
        URUYHUYFIVURUYFUEVURUYFVURUYEDVURUXHFVURFWEVLUXHWEVLVURFVURFEUXBUHUDZDU
        TUDZXNOVURVVBDVUREUXBVUREVOVLZEWEVLAVVDVUQAEVOUYSMVQXOEXQVSZVURUXBVURUE
        XRVLUXAXRVLZUXBXRVLZUUBVUQVVFAUXAUWSUUCXSZUEUXAUUDWQZUUEZXTZVURUYRDXRVL
        ZAUYRVUQUYTXOZDUUKZVSZYAUUFYBZFUUGVSZVVPXTZVVOYAZUUHVURUUIUEYCYDVURUUJX
        KUULVBVURVUSVVAVAZDUYFVUTUCUDYEYIZVURUYFDUTUDZVUTDUTUDZVAZVWAVURUYFUXHV
        VBUHUDZDUTUDVWBVWCVURUXHUXHFVVBDVVQVVQVVPVVKVURDVVOUUMZVURUXHDUTUDXLVUR
        FDUTUDVVCDUTUDZVVCFVVCDUTOUUNVURVVBYFVLDUUOVLZVWGVVCVAVURVVBVVKYGVWFVVB
        DYHYJUVAUUPVURUYEYFVLVWHVWBUYFVAVURUYEVVRYGVWFUYEDYHYJVURVUTVWEDUTVURUX
        HEUXBVURUXHVVQYKVUREVVEYKVURUXBVVJYKUUQYLUURVURVVLUYFWEVLZVUTWEVLZVWDVW
        AYMAVVLVUQAUYRVVLUYTVVNVSXOVURUYFVVSYBZVURUXIUXBVURUXHEVVQVVEXTZVVJXTZU
        YFVUTDUUSYNUUTVURDXNVLZVWIVWJVVTVWAYMVURDVVOUVBZVWKVWMUYFVUTIDKRTUVCYNY
        OVURVUJUXIWEVLUXBWEVLZVVAVUPVAAVUJVUQVUMXOVWLVVJUXIUXBWGKUHUXMIWEWLUVDU
        XMVHZUVEYNYPUVFABUWTUXJUXCUXMUXKUXDVFUYKUYKVUFVURWEUYKUXIIAVUGVUQVUNXOZ
        VWLYQZVURWEUYKUXBIVWRVVJYQZAUXKXLAUXDXLUVGUVHXMYPABUWTUYKUXJUXCUXMUXKHU
        XDUYNKUXMHSVWQUVIVUEVUFVWSVWTUXKVHZUXDVHZUVJUVKYLAVUKUXEKUVLUIZVLZUXGUX
        PVAVULAUWTVXCUXDHVFUYLUYOVUEVUFAVUKVXCHUVMUIVLVULKVXCHVXCVHZSUVNVSABUWT
        UXCVXCVURUXCVXCVLZUXCUYKVLZUXCKVGUIZYDZVWTVURVXIDUXBYEYIZUVTZVURVVLUXBU
        BUWRUGUDVLZVXKVVOVURVXLVVGUXBUWRYRYIZVVIVURVXMUXAUWSYRYIZVUQVXNAUXAUBUW
        SUVOXSVURUXAYFVLUWRYFVLUEYFVLZYCUEUVPYIZVXMVXNYMVURUXAVVHYTVURUWRVURUYR
        DUEUVQUIVLUWRXRVLVVMDUWADUVRUVSYTVXOVURUWBXKVXPVURUWCXKUXAUWRUEUWDUWEYO
        VURUWRWEVLZVXLVVGVXMXEYMVURDWEVLZVXQVURUYRVXRVVMDXQVSDUWFVSUXBUWRUWGVSY
        SDUXBUWJYJVURVXJUXCVXHVURVWNVWPUXCVXHVAVXJYMVWOVVJUXBIDKVXHRTVXHVHZUWHY
        JUWIYOVURVUBVXFVXGVXIXEYMAVUBVUQAUYQVUBVUAUYQVUBUYPVUCUWKVSXOUYKKVXCUXC
        VXHUYMVXEVXSUWLVSYSWTABUWTUXDXAXAUXCUYLVXBVUFVURUXBIXBVUOXCUWMZUXFKVXCU
        XPUXEVXEUXFVHZUXPVHUWNYJAVUKUXLUYKVLVXDUXOUXLVAVULAUWTUYKUXKHVFUYLUYNUY
        OVUEVUFABUWTUXJUYKVWSWTABUWTUXKXAXAUXJUYLVXAVUFVURUXIIXBVUOXCUWOVXTUYKU
        XFKUXMVXCUXLUXEUYMVXEVYAVWQUWPYNUWQ $.

      $( Lemma for ~ lgseisen .  The function ` M ` is an injection (and hence
         a bijection by the pigeonhole principle).  (Contributed by Mario
         Carneiro, 18-Jun-2015.)  (Proof shortened by AV, 15-Jun-2019.) $)
      lgseisenlem4 $p |- ( ph -> ( ( Q ^ ( ( P - 1 ) / 2 ) ) mod P ) =
        ( ( -u 1 ^ sum_ x e. ( 1 ... ( ( P - 1 ) / 2 ) )
          ( |_ ` ( ( Q / P ) x. ( 2 x. x ) ) ) ) mod P ) ) $=
        ( vk c1 cmin co c2 cdiv cexp cmo cneg cfz cv cmul cfl cfv csu cdvds wbr
        wceq cmpt cgsu zring cz cfn cc0 zringbas zring0 cabl wcel ccmn zringabl
        ablcmn mp1i cmnd ccrg cfield cprime csn eldifad znfld syl cdr isfld crg
        cmhm eqid m1expcl adantl ccnfld cress zringmpg cdif csubmnd wne neg1ne0
        cc neg1cn mp2an ax-mp wb zsubrg sylancr syl2anc gausslemma2dlem0a nnred
        fmpttd cr adantr nnmulcl cvv fvexd a1i fsuppmptdm oveq2 fveq2d ffvelrnd
        cn mgpbas cn0 prmz nnzd zmulcld zexpcl eqidd syl3anc caddc syl5eq nncnd
        zcnd oveq2d eqtrd 3eqtrd syl22anc 1exp oveq1d nnnn0d 3eqtr3d eqtr3d c0g
        wn cmg simprbi crngmgp cmnmnd fzfid ccom cbs crh crngring zrhrhm cofmpt
        rhmf rhmmhm expghm ghmmhm cnring cnfldbas cnfld0 cndrng drngui unitsubm
        wf cmgp cghm resmhm2 crn wss csubrg subrgsubm frnd resmhm2b mpbii mhmco
        eqeltrrd nndivred 2nn elfznn remulcld flcld c0ex gsummhm2 cur cmulr cof
        mgpplusg neg1z prmnn zmodcld eqeltrid gsummptfidmadd2 offval2 zringmulr
        wa rhmmul crp zred nnrpd modval nnne0d div23d pncan3d 2cnd mul12d nn0zd
        expaddz expmulz 1cnd eldifsni necomd neneqd cuz 2z uzid dvdsprm oexpneg
        mtbird negeqd syl2an 2nn0 expmuld neg1sqe1 mulassd mulid2d lgseisenlem3
        oveq1i mpteq2dva 3eqtr3rd gsumcl chash gsumconst oddprm hashfz1 mhmmulg
        ringridm submmulg cnfldexp subrgsubg subgsubm df-zring gsumsubm fsumzcl
        csubg gsumfsum zndvds mpbid moddvds mpbird ) AEDUBUCUDUEUFUDZUGUDZDUHUD
        UBUIZUBVUGUJUDZEDUFUDZUEBUKZULUDZULUDZUMUNZBUOZUGUDZDUHUDURZDVUHVUQUCUD
        UPUQZAVUHIUNZVUQIUNZURZVUSAHBVUJVUIVUOUGUDZIUNZUSZUTUDZVUIVABVUJVUOUSZU
        TUDZUGUDZIUNZVUTVVAAUAVUJVBVUIUAUKZUGUDZIUNZVVDBVVJVAHVCVUOVDVEVFVAVGVH
        VAVIVHAVJVAVKVLAHVIVHZHVMVHZAKVNVHZVVNAKVOVHZVVPADVPVHZVVQADVPUEVQZLVRZ
        DKRVSVTVVQKWAVHVVPKWBUUAVTZKHSUUBVTZHUUCVTZAUBVUGUUDZAIUAVBVVLUSZUUEZUA
        VBVVMUSVAHWDUDZAUAVBVVLVBKUUFUNZIAIVAKUUGUDVHZVBVWHIUVAZAKWCVHZVWIAVVPV
        WKVWAKUUHVTZKITUUIVTZVBVWHVAKIVEVWHWEZUUKVTZVVKVBVHVVLVBVHAVVKWFWGZUUJA
        IWHUVBUNZVBWIUDZHWDUDVHZVWEVAVWRWDUDVHZVWFVWGVHAVWIVWSVWMVAKIVWRHWJSUUL
        VTZAVWEVAVWQWDUDVHZVWTVWEVAVWQWOVDVQWKZWIUDZWDUDVHZVXCVWQWLUNZVHZVXBVWE
        VAVXDUVCUDVHZVXEVUIWOVHZVUIVDWMZVXHWPWNUAVUIVXDVWQVWQWEZVXDWEZUUMWQVAVX
        DVWEUUNWRWHWCVHVXGUUOWHVXCVWQWOWHVDUUPUUQUURUUSVXKUUTWRVAVWQVXDVWEVXCVX
        LUVDWQAVBVXFVHZVWEUVEVBUVFVXBVWTWSVBWHUVGUNVHZVXMWTVBWHVWQVXKUVHWRZAVBV
        BVWEAUAVBVVLVBVWPXEUVIVAVWQVWRVWEVBVWRWEZUVJXAUVKVAVWRHIVWEUVLXBUVMAVUL
        VUJVHZUWLZVUNVXRVUKVUMAVUKXFVHVXQAEDAEAEMXCZXDADLXCZUVNXGVXRVUMVXRUEXPV
        HVULXPVHZVUMXPVHUVOVXQVYAAVULVUGUVPZWGZUEVULXHXAZXDUVQUVRZABVUJVVGXIXIV
        UOVDVVGWEVWDVXRVUNUMXJVDXIVHAUVSXKXLVVKVUOURVVLVVCIVVKVUOVUIUGXMXNVVKVV
        HURVVLVVIIVVKVVHVUIUGXMXNUVTAVVFKUWAUNZKUWBUNZUDZHBVUJEIUNZUSZUTUDZVVFV
        UTAHVVEBVUJVUIFUGUDZEULUDZIUNZUSZVYGUWCUDZUTUDVVFHVYOUTUDZVYGUDVYKVYHAB
        VUJVWHVVDVYNVYGVVEHVYOVWHKHSVWNXQZKVYGHSVYGWEZUWDVWBVWDVXRVBVWHVVCIAVWJ
        VXQVWOXGZVXRVUOVBVHZVVCVBVHZVYEVUOWFVTZXOZVXRVBVWHVYMIVYTVXRVYLEVXRVUIV
        BVHFXRVHVYLVBVHUWEVXRFEVUMULUDZDUHUDZXROVXRWUEDVXREVUMVXREVPVHZEVBVHZAW
        UGVXQAEVPVVSMVRZXGEXSZVTZVXRVUMVYDXTYAZVXRVVRDXPVHZAVVRVXQVVTXGZDUWFVTZ
        UWGUWHZVUIFYBXAZWUKYAZXOZVVEWEZVYOWEUWIAVYPVYJHUTAVYPBVUJVVDVYNVYGUDZUS
        VYJABVUJVVDVYNVYGVVEVYOVCVWHVWHVWDWUDWUSAVVEYCAVYOYCUWJABVUJWVAVYIVXRVV
        CVYMULUDZIUNZWVAVYIVXRVWIWUBVYMVBVHWVCWVAURAVWIVXQVWMXGWUCWURVVCVYMVAKU
        LVYGIVBVEUWKVYSUWMYDVXRWVBEIVXRVVCVYLULUDZEULUDUBEULUDWVBEVXRWVDUBEULVX
        RVUIDVUOULUDZFYEUDZUGUDZVUIUEEVULULUDZULUDZUGUDZWVDUBVXRWVFWVIVUIUGVXRW
        VFWVEWUEWVEUCUDZYEUDWUEWVIVXRFWVKWVEYEVXRFWUEDWUEDUFUDZUMUNZULUDZUCUDZW
        VKVXRFWUFWVOOVXRWUEXFVHDUWNVHWUFWVOURVXRWUEWULUWOVXRDWUOUWPWUEDUWQXBYFV
        XRWVNWVEWUEUCVXRWVMVUODULVXRWVLVUNUMVXREVUMDVXREWUKYHZVXRVUMVYDYGVXRDWU
        OYGVXRDWUOUWRUWSXNYIYIYJYIVXRWVEWUEVXRWVEVXRDVUOVXRVVRDVBVHZWUNDXSVTZVY
        EYAZYHVXRWUEWULYHUWTVXREUEVULWVPVXRUXAVXRVULVYCYGUXBYKYIVXRWVGVUIWVEUGU
        DZVYLULUDZWVDVXRVXIVXJWVEVBVHFVBVHWVGWWAURVXIVXRWPXKZVXJVXRWNXKZWVSVXRF
        WUPUXCVUIWVEFUXDYLVXRWVTVVCVYLULVXRWVTVUIDUGUDZVUOUGUDZVVCVXRVXIVXJWVQW
        UAWVTWWEURWWBWWCWVRVYEVUIDVUOUXEYLVXRWWDVUIVUOUGVXRWWDUBDUGUDZUIZVUIVXR
        UBWOVHWUMUEDUPUQZYSWWDWWGURVXRUXFWUOVXRWWHUEDURZAWWIYSVXQAUEDADUEADVPVV
        SWKVHZDUEWMLDVPUEUXGVTUXHUXIXGVXRUEUEUXJUNVHZVVRWWHWWIWSUEVBVHWWKUXKUEU
        XLWRWUNDUEUXMXAUXOUBDUXNYDVXRWWFUBVXRWVQWWFUBURWVRDYMVTUXPYJYNYJYNYJVXR
        WVJVUIUEUGUDZWVHUGUDZUBVXRVUIUEWVHWWBVXRWVHAEXPVHVYAWVHXPVHVXQVXSVYBEVU
        LXHUXQZYOUEXRVHVXRUXRXKUXSVXRWWMUBWVHUGUDZUBWWLUBWVHUGUXTUYDVXRWVHVBVHW
        WOUBURVXRWVHWWNXTWVHYMVTYFYJYPYNVXRVVCVYLEVXRVVCWUCYHVXRVYLWUQYHWVPUYAV
        XREWVPUYBYPXNYQUYEYJYIAVYQVYFVVFVYGABCDEFGHIJKLMNOPQRSTUYCYIUYFAVWKVVFV
        WHVHVYHVVFURVWLAVUJVWHVVEHVCHYRUNZVYRWWPWEVWBVWDABVUJVVDVWHWUDXEABVUJVV
        EXIXIVVDWWPWUTVWDVXRVVCIXJAHYRXJXLUYGVWHKVYGVYFVVFVWNVYSVYFWEUYMXBAVYKV
        UJUYHUNZVYIHYTUNZUDZVUGVYIWWRUDZVUTAVVOVUJVCVHVYIVWHVHVYKWWSURVWCVWDAVB
        VWHEIVWOAWUGWUHWUIWUJVTZXOVUJVWHWWRBHVYIVYRWWRWEZUYIYDAWWQVUGVYIWWRAVUG
        XRVHZWWQVUGURAVUGAWWJVUGXPVHLDUYJVTYOZVUGUYKVTYNAVUGEVWRYTUNZUDZIUNZWWT
        VUTAVWSWXCWUHWXGWWTURVXAWXDWXAVBWXEWWRIVWRHVUGEVBVAVWRWJVEXQWXEWEZWXBUY
        LYDAWXFVUHIAVUGEVWQYTUNZUDZWXFVUHAVXMWXCWUHWXJWXFURVXMAVXOXKWXDWXAVBWXI
        WXEVWQVWRVUGEWXIWEVXPWXHUYNYDAEWOVHWXCWXJVUHURAEWXAYHWXDEVUGUYOXBYQXNYQ
        YKYPAVVIVUQIAVVHVUPVUIUGAWHVVGUTUDVVHVUPAVUJVBVVGWHVAVCVWDVBWHVUAUNVHZV
        BWHWLUNVHAVXNWXKWTVBWHUYPWRVBWHUYQVLABVUJVUOVBVYEXEUYRUYSAVUJVUOBVWDVXR
        VUOVYEYHVUBYQYIXNYPADXRVHVUHVBVHZVUQVBVHZVVBVUSWSADVXTYOAWUHWXCWXLWXAWX
        DEVUGYBXBZAVUPVBVHWXMAVUJVUOBVWDVYEUYTVUPWFVTZVUHVUQIDKRTVUCYDVUDAWUMWX
        LWXMVURVUSWSVXTWXNWXOVUHVUQDVUEYDVUF $.
    $}

    $( Eisenstein's lemma, an expression for ` ( P /L Q ) ` when ` P , Q ` are
       distinct odd primes.  (Contributed by Mario Carneiro, 18-Jun-2015.) $)
    lgseisen $p |- ( ph -> ( Q /L P ) =
        ( -u 1 ^ sum_ x e. ( 1 ... ( ( P - 1 ) / 2 ) )
          ( |_ ` ( ( Q / P ) x. ( 2 x. x ) ) ) ) ) $=
      ( co c1 c2 cexp cmo cmul cfv wcel cprime wceq cr cle wbr vy clgs cmin cfz
      cdiv caddc cneg cv cfl csu cz csn cdif eldifad prmz syl gausslemma2dlem0a
      lgsval3 syl2anc crp oddprm nnnn0d nnexpcld nnred neg1rr a1i cc0 wne fzfid
      cn neg1ne0 wa nndivred adantr 2re elfznn remulcl sylancr remulcld fsumzcl
      adantl flcld reexpclzd 1re nnrpd cmgp czrh cmpt eqid lgseisenlem4 modadd1
      czn syl221anc clt peano2re df-neg cabs cc neg1cn absexpz mp3an12i absnegi
      ax-1cn abs1 eqtri oveq1i 1exp syl5eq eqtrd 1le1 eqbrtrdi wb absle sylancl
      mpbid simpld eqbrtrrid 0red lesubaddd peano2rem simprd df-2 prmuz2 eluzle
      cuz eldifsni leneltd ltaddsubd lelttrd mpbird modid syl22anc oveq1d recnd
      3syl pncan ) ADCUBHZDCIUCHZJUEHZKHZIUFHCLHZIUCHZIUGZIYSUDHZDCUEHZJBUHZMHZ
      MHZUINZBUJZKHZADUKOZCPJULZUMOZYQUUBQADPOUULADPUUMFUNDUOUPEDCURUSAUUBUUKIU
      FHZIUCHZUUKAUUAUUOIUCAUUAUUOCLHZUUOAYTROUUKROZIROZCUTOZYTCLHUUKCLHQUUAUUQ
      QAYTADYSADFUQZAYSAUUNYSVJOECVAUPVBVCVDAUUCUUJUUCROAVEVFUUCVGVHZAVKVFAUUDU
      UIBAIYSVIAUUFUUDOZVLZUUHUVDUUEUUGAUUEROUVCADCADUVAVDACEUQZVMVNUVDJROZUUFR
      OUUGROVOUVDUUFUVCUUFVJOAUUFYSVPWAVDJUUFVQVRVSWBVTZWCZUUSAWDVFZACUVEWEZABU
      ACDDUUGMHCLHZDJUAUHMHMHCLHZCWLNZWFNZUVMWGNZBUUDUUCUVKKHUVKMHCLHJUEHWHZUVM
      EFGUVKWIUVPWIUVLWIUVMWIUVNWIUVOWIWJYTUUKICWKWMAUUOROZUUTVGUUOSTZUUOCWNTZU
      UQUUOQAUURUVQUVHUUKWOUPUVJAVGIUCHZUUKSTUVRAUVTUUCUUKSIWPAUUCUUKSTZUUKISTZ
      AUUKWQNZISTZUWAUWBVLZAUWCIISAUWCUUCWQNZUUJKHZIUUCWROUVBAUUJUKOZUWCUWGQWSV
      KUVGUUCUUJWTXAAUWGIUUJKHZIUWFIUUJKUWFIWQNIIXCXBXDXEXFAUWHUWIIQUVGUUJXGUPX
      HXIXJXKAUURUUSUWDUWEXLUVHWDUUKIXMXNXOZXPXQAVGIUUKAXRUVIUVHXSXOAUVSUUKYRWN
      TAUUKIYRUVHUVIACROYRROACUVEVDZCXTUPAUWAUWBUWJYAAIIUFHZCWNTIYRWNTAUWLJCWNY
      BAJCUVFAVOVFUWKACPOCJYENOJCSTACPUUMEUNCYCJCYDYOAUUNCJVHECPJYFUPYGXQAIICUV
      IUVIUWKYHXOYIAUUKICUVHUVIUWKYHYJUUOCYKYLXIYMAUUKWROIWROUUPUUKQAUUKUVHYNXC
      UUKIYPXNXIXI $.

    $d x M $.  $d y S $.
    lgsquad.4 $e |- M = ( ( P - 1 ) / 2 ) $.
    lgsquad.5 $e |- N = ( ( Q - 1 ) / 2 ) $.
    lgsquad.6 $e |- S = { <. x , y >. |
  ( ( x e. ( 1 ... M ) /\ y e. ( 1 ... N ) ) /\ ( y x. P ) < ( x x. Q ) ) } $.
    $( Lemma for ~ lgsquad .  Count the members of ` S ` with odd coordinates.
       (Contributed by Mario Carneiro, 19-Jun-2015.) $)
    lgsquadlem1 $p |- ( ph -> ( -u 1 ^
        sum_ u e. ( ( ( |_ ` ( M / 2 ) ) + 1 ) ... M )
          ( |_ ` ( ( Q / P ) x. ( 2 x. u ) ) ) ) =
        ( -u 1 ^ ( # ` { z e. S | -. 2 || ( 1st ` z ) } ) ) ) $=
      ( c2 co wbr wcel vv vn c1 cneg cdiv cfl cfv caddc cfz cmul csu cexp cdvds
      cv c1st wn crab chash cc neg1cn a1i cc0 wne fzfid wa cr gausslemma2dlem0a
      nnred adantr cz elfzelz adantl zmulcl sylancr zred remulcld flcld fsumzcl
      2z cn0 cfn wss cxp syl2anc clt ssfi sylancl ssrab2 hashcl syl wceq ax-1cn
      nn0zd oveq1i syl5eq oveq2d cmin wral elrab cn nncnd adantrr nncand oveq1d
      zcnd eqtrd 2cnd 2ne0 wrex cprime csn ad2antrr wb mtbird breq2d wi zsubcld
      cuz nnzd syl3anc simpr 3syl gausslemma2dlem0b rehalfcld peano2zd ad2antrl
      mpan2d eqeltrd elfzle2 zltp1le mpbird syl112anc mpbid recnd sub32d nngt0d
      cle 3eqtrd eqbrtrd fznn neg1ne0 nndivred expclzd xpfi copab eqsstri expcl
      opabssxp expne0d recidd 1div1e1 negeqi ax-1ne0 divneg2 mp3an exprecd ciun
      eqtr3i wdisj fveqeq2 simprbi ad2antll divcan3d ralrimivva invdisj hashiun
      iunrab cdif eldifsni necomd neneqd ax-mp eldifad dvdsprm adantlr dvdsmul1
      uzid npcand dvds2add mtod breq2 notbid syl5ibrcom rexlimdva xp1st odd2np1
      sselid simprl reflcl flle zre simprr 2re 2pos ltmuldiv2 2halvesd mvlraddd
      breqtrd ltsub13d lelttrd 2t0e0 2cn zcn mulcl pncan elfznn nnm1nn0 nn0ge0d
      eqeltrrd eqbrtrid 0red lemul2 subge02d elfzd prmnn peano2cn 1cnd subsub4d
      subdid oveq2i peano2zm divcan2d eqtr2d 3eqtr3rd oveq2 rspceeqv rexlimdvaa
      3eqtr3d sylbid impbid rabbidva fveq2d wrel relopabiv relss mp2 cop eleq2i
      relxp opabidw bitri anass mulcomd nnne0d divcan1d 3eqtr2d oveq12d subdird
      nnre lesub mul32d 3eqtr4d resubcld ltmul1 ltsub13 3bitr2d nnz zsubcl fllt
      syl2an 3bitrd peano2rem 3bitr4d anbi2d 2nn nnmulcl 2timesd mvrladdd ltm1d
      ltdiv1 div32d peano2re flltp1 elfzle1 ltletrd ltdivmul eqbrtrrid ledivmul
      ltled zlem1lt lemuldiv div23d flge subled pm4.71rd bitr4d pm5.32da syl5bb
      letrd breqtrdi lemuldiv2 posdifd sylanbrc oveq12i pncan2d eqtr3d ltsub23d
      letr mpbir2and biantrurd bitr3d anbi12d vex op1std eqeq1d biancomi opelxp
      elnnz velsn anbi1i 3bitr4g eqrelrdv cen xpsnen2g hasheni ltmul2 ltdivmul2
      eqbrtrrd zltlem1 breqtrrd eluz2 uznn0sub hashfz1 sumeq2dv fsumsub pncan3d
      syl3anbrc fsumconst nn0cnd zmulcld expmulz syl22anc neg1sqe1 1exp expaddz
      mul12d mulcan2ad ) AUCUDZIQUERZUFUGZUCUHRZIUIRZGFUERZQEUNZUJRZUJRZUFUGZEU
      KZULRZVYRQDUNZUOUGZUMSZUPZDHUQZURUGZULRZWUPAVYRWUHVYRUSTZAUTVAZVYRVBVCZAU
      UAVAZAWUBWUGEAWUAIVDZAWUDWUBTZVEZWUFWVCWUCWUEAWUCVFTWVBAGFAGAGLVGZVHZAFKV
      GZUUBVIZWVCWUEWVCQVJTZWUDVJTZWUEVJTZVSWVBWVIAWUDWUAIVKZVLZQWUDVMVNZVOZVPZ
      VQZVRZUUCAWUQWUOVTTZWUPUSTUTAWUNWATZWVRAHWATZWUNHWBWVSAUCIUIRZUCJUIRZWCZW
      ATZHWWCWBWVTAWWAWATWWBWATWWDAUCIVDAUCJVDWWAWWBUUDWDHBUNZWWATZCUNZWWBTZVEZ
      WWGFUJRZWWEGUJRZWESZVEZBCUUEZWWCPWWLBCWWAWWBUUHUUFZWWCHWFWGZWUMDHWHHWUNWF
      WGWUNWIWJZVYRWUOUUGVNZWWRAVYRWUOWURWUTAWUOWWQWMZUUIZAWUPWUPUJRZVYRWUHWUOU
      HRZULRZWUIWUPUJRZAWUPUCWUPUERZUJRUCWXAWXCAWUPWWRWWTUUJAWUPWXEWUPUJAWUPUCV
      YRUERZWUOULRWXEVYRWXFWUOULUCUCUERZUDZVYRWXFWXGUCUUKUULUCUSTZWXIUCVBVCWXHW
      XFWKWLWLUUMUCUCUUNUUOUURWNAVYRWUOWURWUTWWSUUPWOWPAWXCVYRQWUBURUGZJUJRZUJR
      ZULRZVYRQULRZWXKULRZUCAWXBWXLVYRULAWXBWUHWUBQJUJRZEUKZWUHWQRZUHRWXQWXLAWU
      OWXRWUHUHAWUBWXPWUGWQRZEUKZWUOWXRAEWUBWUKFWUEWQRZWKZDHUQZUUQZURUGWUBWYCUR
      UGZEUKWUOWXTAEWUBWYCWVAWVCWVTWYCHWBZWYCWATAWVTWVBWWPVIWYBDHWHZHWYCWFWGAFU
      AUNZUOUGZWQRZQUERZWUDWKZUAWYCWREWUBWREWUBWYCUUSAWYLEUAWUBWYCAWVBWYHWYCTZV
      EVEZWYKWUEQUERWUDWYNWYJWUEQUEWYNWYJFWYAWQRWUEWYNWYIWYAFWQWYMWYIWYAWKZAWVB
      WYMWYHHTWYOWYBWYODWYHHWUJWYHWYAUOUUTWSUVAUVBWPWYNFWUEAWVBFUSTWYMWVCFAFWTT
      ZWVBWVFVIZXAZXBAWVBWUEUSTWYMWVCWUEWVMXEZXBXCXFXDWYNWUDQAWVBWUDUSTWYMWVCWU
      DWVLXEXBWYNXGQVBVCZWYNXHVAUVCXFUVDEUAWUBWYCWYKUVEWJUVFAWYDWUNURAWYDWYBEWU
      BXIZDHUQWUNWYBEDWUBHUVGAXUAWUMDHAWUJHTZVEZXUAWUMXUCWYBWUMEWUBXUCWVBVEZWUM
      WYBQWYAUMSZUPXUDXUEQWYAWUEUHRZUMSZXUDXUGQFUMSZXUDXUHQFWKZAXUIUPXUBWVBAQFA
      FQAFXJQXKZUVHTFQVCKFXJQUVIWJUVJUVKXLXUDQQXRUGTZFXJTZXUHXUIXMWVHXUKVSQUVQU
      VLAXULXUBWVBAFXJXUJKUVMZXLFQUVNVNXNXUDXUFFQUMXUDFWUEXUDFAWYPXUBWVBWVFXLZX
      AXUDWUEAWVBWVJXUBWVMUVOZXEUVRXOXNXUDXUEQWUEUMSZXUGXUDWVHWVIXUPVSWVBWVIXUC
      WVKVLQWUDUVPVNXUDWVHWYAVJTZWVJXUEXUPVEXUGXPWVHXUDVSVAXUDFWUEXUDFXUNXSXUOX
      QXUOQWYAWUEUVSXTYGUVTWYBWULXUEWUKWYAQUMUWAUWBUWCUWDXUCWUMQUBUNZUJRZUCUHRZ
      WUKWKZUBVJXIZXUAXUCWUKWWATZWUKVJTWUMXVBXMXUCWUJWWCTXVCXUCHWWCWUJWWOAXUBYA
      UWGWUJWWAWWBUWEWJZWUKUCIVKUBWUKUWFYBXUCXVAXUAUBVJXUCXURVJTZXVAVEZVEZIXURW
      QRZWUBTWUKFQXVHUJRZWQRZWKXUAXVGXVHWUAIXVGVYTXVGVYSXVGIAIVFTZXUBXVFAIAFIKN
      YCZVHZXLZYDZVQZYEXVGIAIWTTZXUBXVFXVLXLXSZXVGIXURXVRXUCXVEXVAUWHZXQZXVGVYT
      XVHWESZWUAXVHYQSZXVGVYTVYSXVHXVGVYSVFTZVYTVFTZXVOVYSUWIZWJXVOXVGXVHXVTVOX
      VGXWCVYTVYSYQSXVOVYSUWJWJXVGXURIVYSXVEXURVFTZXUCXVAXURUWKYFZXVNXVOXVGXURV
      YSIVYSWQRWEXVGXUSIWESZXURVYSWESZXVGXWHXUTIYQSZXVGXUTWWATZXWJXVGXUTWUKWWAX
      UCXVEXVAUWLZXUCXVCXVFXVDVIYHZXUTUCIYIWJXVGXUSVJTZIVJTZXWHXWJXMXVGWVHXVEXW
      NVSXVSQXURVMVNXVRXUSIYJWDYKXVGXWFXVKQVFTZVBQWESZXWHXWIXMXWGXVNXWPXVGUWMVA
      ZXWQXVGUWNVAZXURIQUWOYLYMXVGVYSVYSIXVGVYSXVOYNZXWTXVGIAIUSTZXUBXVFAIXVLXA
      ZXLZUWPUWQUWRUWSUWTXVGVYTVJTXVHVJTXWAXWBXMXVPXVTVYTXVHYJWDYMXVGVBXURYQSZX
      VHIYQSXVGXXDQVBUJRZXUSYQSZXVGXXEVBXUSYQUXAXVGXUSXVGXUTUCWQRZXUSVTXVGXUSUS
      TZWXIXXGXUSWKXVGQUSTXURUSTZXXHUXBXVEXXIXUCXVAXURUXCYFZQXURUXDVNZWLXUSUCUX
      EWGXVGXWKXUTWTTXXGVTTXWMXUTIUXFXUTUXGYBUXIUXHUXJXVGVBVFTXWFXWPXWQXXDXXFXM
      XVGUXKXWGXWRXWSVBXURQUXLYLYKXVGIXURXVNXWGUXMYMUXNXVGFFXUTWQRZWQRXUTXVJWUK
      XVGFXUTXVGFXVGXULWYPAXULXUBXVFXUMXLFUXOWJXAZXVGXXHXUTUSTXXKXUSUXPWJXCXVGX
      XLXVIFWQXVGFXUSWQRUCWQRFUCWQRZXUSWQRZXXLXVIXVGFXUSUCXXMXXKXVGUXQZYOXVGFXU
      SUCXXMXXKXXPUXRXVGXVIQIUJRZXUSWQRXXOXVGQIXURXVGXGZXXCXXJUXSXVGXXQXXNXUSWQ
      XVGXXQQXXNQUERZUJRXXNIXXSQUJNUXTXVGXXNQXVGXXNXVGFVJTZXXNVJTZAXXTXUBXVFAFW
      VFXSZXLFUYAZWJXEXXRWYTXVGXHVAUYBWOXDUYCUYHWPXWLUYDEXVHWUBWYAXVJWUKWUDXVHW
      KWUEXVIFWQWUDXVHQUJUYEWPUYFWDUYGUYIUYJUYKWOUYLAWUBWYEWXSEWVCWYEWYAXKZUCWX
      SUIRZWCZURUGZXYEURUGZWXSWVCWYCXYFURWVCBCWYCXYFWYFHUYMWYCUYMWYGWWMBCHPUYNW
      YCHUYOUYPXYDXYEUYSWVCWWEWYAWKZWWEWWGUYQZHTZVEXYIWWGXYETZVEZXYJWYCTZXYJXYF
      TZWVCXYIXYKXYLXYKWWMWVCXYIVEZXYLXYKXYJWWNTWWMHWWNXYJPUYRWWMBCUYTVUAXYPWWG
      WTTZWWGJYQSZVEZWWJWYAGUJRZWESZVEZXYQWWGWXSYQSZVEZWWMXYLYUBXYQXYRYUAVEZVEZ
      XYPYUDXYQXYRYUAVUBWVCYUFYUDXMXYIWVCXYQYUEYUCWVCXYQVEZYUEXYRYUCVEYUCYUGYUA
      YUCXYRYUGWUGUCUHRZGWWGWQRZYQSZWWGGYUHWQRZYQSZYUAYUCYUGYUHVFTZGVFTZWWGVFTZ
      YUJYULXMWVCYUMXYQWVCYUHWVCWUGWVPYEVOVIAYUNWVBXYQWVEXLZXYQYUOWVCWWGVUIVLZY
      UHGWWGVUJXTYUGYUAWUFYUIWESZWUGYUIWESZYUJYUGYUAWWJGWUFWQRZFUJRZWESZWWGYUTW
      ESZYURYUGXYTYVAWWJWEWVCXYTYVAWKXYQWVCFGUJRZWUEGUJRZWQRGFUJRZWUFFUJRZWQRXY
      TYVAWVCYVDYVFYVEYVGWQWVCFGWYRWVCGAYUNWVBWVEVIZYNZVUCWVCYVEGWUEUJRZWUCFUJR
      ZWUEUJRYVGWVCWUEGWYSYVIVUCWVCYVKGWUEUJWVCGFYVIWYRWVCFWYQVUDZVUEXDWVCWUCFW
      UEWVCWUCWVGYNWYRWYSVUKVUFVUGWVCFWUEGWYRWYSYVIVUHWVCGWUFFYVIWVCWUFWVOYNWYR
      VUHVULVIXOYUGYUOYUTVFTFVFTZVBFWESZYVCYVBXMYUQYUGGWUFYUPWVCWUFVFTZXYQWVOVI
      ZVUMYUGFWVCWYPXYQWYQVIZVHYUGFYVQYPWWGYUTFVUNYLYUGYUOYUNYVOYVCYURXMYUQYUPY
      VPWWGGWUFVUOXTVUPYUGYVOYUIVJTZYURYUSXMYVPWVCGVJTZWWGVJTYVRXYQWVCGAGWTTWVB
      WVDVIZXSZWWGVUQGWWGVURVUTZWUFYUIVUSWDYUGWUGVJTZYVRYUSYUJXMWVCYWCXYQWVPVIY
      WBWUGYUIYJWDVVAYUGWXSYUKWWGYQWVCWXSYUKWKXYQWVCWXSGUCWQRZWUGWQRGWUGWQRUCWQ
      RYUKWVCWXPYWDWUGWQWVCWXPQYWDQUERZUJRYWDJYWEQUJOUXTWVCYWDQWVCYWDWVCYUNYWDV
      FTZYVHGVVBWJZYNWVCXGZWYTWVCXHVAZUYBWOZXDWVCGUCWUGYVIWVCUXQZWVCWUGWVPXEZYO
      WVCGWUGUCYVIYWLYWKUXRYRVIXOVVCVVDYUGYUCXYRYUGYUCWXSJYQSZXYRWVCYWMXYQWVCWX
      PJWUGWVCWXPAWXPWTTZWVBAQWTTJWTTZYWNVVEAGJLOYCZQJVVFVNZVIZVHWVCJAYWOWVBYWP
      VIVHZWVCWUGWVPVOWVCWXPJWQRJWUGYQWVCWXPJJAJUSTWVBAJYWPXAZVIZYXAWVCJYXAVVGV
      VHWVCJWUFYQSZJWUGYQSZWVCJGQUERZWUFYWSWVCGYVHYDZWVOWVCJYXDYWSYXEWVCJYWEYXD
      WEOWVCYWDGWESZYWEYXDWESZWVCGYVHVVIWVCYWFYUNXWPXWQYXFYXGXMYWGYVHXWPWVCUWMV
      AZXWQWVCUWNVAZYWDGQVVJYLYMUXJVVSWVCYXDYVJFUERZWUFYQWVCYXDFUJRZYVJYQSZYXDY
      XJYQSZWVCYXKGFQUERZUJRZYVJYQWVCGQFYVIYWHWYRYWIVVKWVCYXNWUEYQSZYXOYVJYQSZW
      VCYXPFQWUEUJRZYQSZWVCYXSXXNYXRWESZWVCXXSWUEWESZYXTWVCXXSIWUEWENWVCVYSWUDW
      ESZIWUEWESZWVCVYSWUAWUDWVCIAXVKWVBXVMVIZYDZWVCXWCXWDWUAVFTYYEXWEVYTVVLYBW
      VCWUDWVLVOZWVCXWCVYSWUAWESYYEVYSVVMWJWVBWUAWUDYQSAWUDWUAIVVNVLVVOWVCXVKWU
      DVFTZXWPXWQYYBYYCXMYYDYYFYXHYXIIWUDQVVPYLYMZVVQWVCXXNVFTZWUEVFTZXWPXWQYYA
      YXTXMWVCYVMYYIWVCFWYQVHZFVVBWJZWVNYXHYXIXXNWUEQVVPYLYMWVCXXTYXRVJTZYXSYXT
      XMAXXTWVBXYBVIZWVCWVHWVJYYMVSWVMQWUEVMVNFYXRVVTWDYKWVCYVMYYJXWPXWQYXPYXSX
      MYYKWVNYXHYXIFWUEQVVRYLYKWVCYXNVFTYYJYUNVBGWESZYXPYXQXMWVCFYYKYDWVNYVHWVC
      GYVTYPZYXNWUEGUXLYLYMYSWVCYXDVFTYVJVFTZYVMYVNYXLYXMXMYXEWVCGWUEYVHWVNVPZY
      YKWVCFWYQYPZYXDYVJFVWAYLYMWVCGWUEFYVIWYSWYRYVLVWBZUWRVWIWVCYVOJVJTZYXBYXC
      XMWVOAUUUAWVBAJYWPXSZVIWUFJVWCWDYMYSVWDVIYUGYUOWXSVFTJVFTYUCYWMVEXYRXPYUQ
      YUGWXSWVCWXSVJTZXYQWVCWXPWUGWVCWXPYWRXSZWVPXQZVIVOYUGJAYWOWVBXYQYWPXLVHWW
      GWXSJVWRXTYGVWEVWFVWGVIVWHXYPWWIXYSWWLYUAXYPWWHWWIXYSXYPWWFWWHXYPWWEWYAWW
      AWVCXYIYAZWVCWYAWWATZXYIWVCUUUGWYAWTTZWYAIYQSZWVCXUQVBWYAWESZUUUHWVCFWUEY
      YNWVMXQZWVCWUEFWESZUUUJWVCWUEXXNFWVNYYLYYKWVCWUEXXNYQSZWUDXXSYQSZWVCWUDIX
      XSYQWVBWUDIYQSAWUDWUAIYIVLNVWJWVCYYGYYIXWPXWQUUUMUUUNXMYYFYYLYXHYXIWUDXXN
      QVWKYLYKWVCFYYKVVIUWTZWVCWUEFWVNYYKVWLYMWYAVXHVWMWVCUUUIWYAUCWQRZIWESZWVC
      UUUPXXNWUEWQRIWEWVCFWUEUCWYRWYSYWKYOWVCXXNIWUEYYLYYDWVNWVCXXNIWQRZIWUEWEW
      VCIIUHRZIWQRUUURIWVCUUUSXXNIWQWVCUUUSXXSXXSUHRXXNIXXSIXXSUHNNVWNWVCXXNWVC
      XXNWVCXXTXYAWVCFWYQXSXYCWJXEUWPWOXDWVCIIAXXAWVBXXBVIZUUUTVWOVWPYYHYSVWQYS
      WVCXUQXWOUUUIUUUQXMUUUKWVCIAXVQWVBXVLVIXSZWYAIVVTWDYKWVCXWOUUUGUUUHUUUIVE
      XMUUVAWYAIYTWJVWSVIYHVWTXYPUUUAWWHXYSXMAUUUAWVBXYIUUUBXLWWGJYTWJVXAXYPWWK
      XYTWWJWEXYPWWEWYAGUJUUUFXDXOVXBXYPUUUCXYLYUDXMWVCUUUCXYIUUUEVIWWGWXSYTWJV
      VCVWHVWGXYNXYIXYKWYBXYIDXYJHWUJXYJWKWUKWWEWYAWWEWWGWUJBVXCCVXCVXDVXEWSVXF
      XYOWWEXYDTZXYLVEXYMWWEWWGXYDXYEVXGUUVBXYIXYLBWYAVXIVXJVUAVXKVXLUYLWVCXYFX
      YEVXMSZXYGXYHWKWVCXUQXYEWATUUVCUUUKWVCUCWXSVDWYAXYEVJWAVXNWDXYFXYEVXOWJWV
      CWXPWUGXRUGTZWXSVTTXYHWXSWKWVCYWCWXPVJTWUGWXPYQSUUVDWVPUUUDWVCWUGYWDWXPYQ
      WVCWUGGWESZWUGYWDYQSZWVCWUFGWESZUUVEWVCYXJWUFGWEYYTWVCYXJGWESZYVJYVFWESZW
      VCUUULUUVIUUUOWVCYYJYVMYUNYYOUUULUUVIXMWVNYYKYVHYYPWUEFGVXPYLYMWVCYYQYUNY
      VMYVNUUVHUUVIXMYYRYVHYYKYYSYVJGFVXQYLYKVXRWVCYVOYVSUUVGUUVEXMWVOYWAWUFGVU
      SWDYMWVCYWCYVSUUVEUUVFXMWVPYWAWUGGVXSWDYMYWJVXTWUGWXPVYAVYGWUGWXPVYBWXSVY
      CYBYRVYDUYDAWUBWXPWUGEWVAAWXPUSTZWVBAWXPYWQXAZVIYWLVYEVWPWPAWUHWXQAWUHWVQ
      XEAWXQAWUBWXPEWVAUUUDVRXEVYFAWXQWXJWXPUJRZWXLAWUBWATZUUVJWXQUUVLWKWVAUUVK
      WUBWXPEVYHWDAWXJQJAWXJAUUVMWXJVTTWVAWUBWIWJZVYIAXGYWTVYPXFYRWPAWUQWUSWVHW
      XKVJTZWXMWXOWKWURWUTWVHAVSVAAWXJJAWXJUUVNWMUUUBVYJZVYRQWXKVYKVYLAWXOUCWXK
      ULRZUCWXNUCWXKULVYMWNAUUVOUUVQUCWKUUVPWXKVYNWJWOYRVULAWUQWUSWUHVJTWUOVJTW
      XCWXDWKWURWUTWVQWWSVYRWUHWUOVYOVYLUYCVYQ $.

    $( Lemma for ~ lgsquad .  Count the members of ` S ` with even coordinates,
       and combine with ~ lgsquadlem1 to get the total count of lattice points
       in ` S ` (up to parity).  (Contributed by Mario Carneiro,
       18-Jun-2015.) $)
    lgsquadlem2 $p |- ( ph -> ( Q /L P ) = ( -u 1 ^ ( # ` S ) ) ) $=
      ( co c1 c2 clt wbr wcel vu vz vv cmin cdiv cfz cv cmul cfl cfv cexp caddc
      csu chash oveq2i cin wceq gausslemma2dlem0b nnred rehalfcld flcld syl cc0
      c0 wo cun cn0 cle cr nnrpd rpge0d flge0nn0 syl2anc rphalflt cz nnzd mpbid
      crp cuz eleqtrdi eqtrdi oveq1 0p1e1 oveq1d fzfid gausslemma2dlem0a adantr
      wb wa cn elfznn adantl sylancr remulcld oveq2d c1st cdvds wn cc sseqtrrid
      a1i sselda syldan fsumnn0cl expaddd cfn wss cxp sylancl ssrab2 hashcl csn
      crab ssfi wrel bitri wne ad2antrr elfzle2 flge mpbird syl112anc peano2rem
      2re 2pos eqbrtrid wi cprime eldifad prmz mtod syl3anc mpan2d simpr nngt0d
      nnmulcld nncnd breq2d wral wrex clgs cneg lgseisen sumeq1i zred rphalfcld
      ltp1d fzdisj nnnn0d fllt ltled elfz2nn0 syl3anbrc nn0uz elfzp12 un0 uncom
      eqtr3i oveq2 fz10 uneq12d eqtr4id fzsplit oveq1i eleq2s jaoi nndivred 2nn
      nnmulcl rpdivcld rpmulcld nn0cnd fsumsplit eqtr3id ssun2 ssun1 xpfi copab
      neg1cn opabssxp eqsstri ciun cen xpsnen2g hasheni relopabiv relss mp2 cop
      relxp eleq2i opabidw anass elfzelz lemuldiv2 ltdiv1 lelttrd ltnled dvdsle
      ltm1d lttrd prmrp coprmdvds nnz dvdsmul2 breq2 syl5ibrcom necon3bd ltlend
      cgcd mpbiran2d nnre lemuldiv nnne0d div23d 3bitrd ltmul2 2cnd 2ne0 divass
      mpd w3a div23 eqtr3d breqtrd lttr ltmul1 sylibrd recnd divsubdird eqtr4di
      ax-1cn nncan eqbrtrdi eqbrtrrd 1red ltsubadd2d peano2re nnleltp1 pm4.71rd
      halflt1 syld syl2an 3bitr3d pm5.32da syl5bb nnuz eqeltrd biantrurd bitr3d
      elfz5 fznn mulcomd sylan9eqr anbi12d vex op1std eqeq2d eqcom bitrdi elrab
      3bitr4d biancomi opelxp anbi1i 3bitr4g eqrelrdv hashfz1 3eqtr3rd sumeq2dv
      velsn eqcomd fveq2d wdisj fveq2 simprbi ad2antll adantrr divcan3d invdisj
      ralrimivva hashiun iunrab 2cn mulcom eqeq1d rexbidva anim1i simprr sselid
      zcn reximi2 xp1st eqbrtrd zre ad2antrl simprl 2t0e0 elnnz sylanbrc jca ex
      0red reximdv2 impbid2 2z elfzelzd divides rabbidva syl5eq 3eqtr2d oveq12d
      lgsquadlem1 eqtr4d inrab pm3.24 ralrimivw rabeq0 sylibr unrab exmid rgenw
      hashun rabid2 mpbir eqtr4i fveq2i eqtr3di 3eqtrd ) AEDUUAOPUUBZPDPUDOZQUE
      OZUFOZEDUEOZQUAUGZUHOZUHOZUIUJZUAUMZUKOVYJPGQUEOZUIUJZUFOZVYRUAUMZWUAPULO
      ZGUFOZVYRUAUMZULOZUKOZVYJFUNUJZUKOZAUADEIJKUUCAVYSWUGVYJUKAVYSPGUFOZVYRUA
      UMWUGWUKVYMVYRUAGVYLPUFLUOUUDAWUBWUEVYRWUKUAAWUAWUDRSWUBWUEUPVDUQAWUAAWUA
      AVYTAGAGADGILURZUSZUTZVAZUUEZUUGPWUAWUDGUUHVBAWUAVCUQZWUAVCPULOZGUFOZTZVE
      ZWUKWUBWUEVFZUQZAWUAVCGUFOTZWVAAWUAVGTZGVGTWUAGVHSWVDAVYTVITZVCVYTVHSWVEW
      UNAVYTAGAGWULVJZUUFVKVYTVLVMAGWULUUIZAWUAGWUPWUMAVYTGRSZWUAGRSZAGVRTWVIWV
      GGVNVBAWVFGVOTZWVIWVJWHWUNAGWULVPZVYTGUUJVMVQUUKWUAGUULUUMAGVCVSUJZTWVDWV
      AWHAGVGWVMWVHUUNVTWUAVCGUUOVBVQWUQWVCWUTWUQWUKVDWUKVFZWVBWUKVDVFWUKWVNWUK
      UUPWUKVDUUQUURWUQWUBVDWUEWUKWUQWUBPVCUFOVDWUAVCPUFUUSUUTWAWUQWUDPGUFWUQWU
      DWURPWUAVCPULWBWCWAWDUVAUVBWVCWUAWUKWUSWUAPGUVCWURPGUFWCUVDUVEUVFVBZAPGWE
      ZAVYOWUKTZWIZVYRWVRVYQVITZVCVYQVHSVYRVGTZWVRVYNVYPAVYNVITWVQAEDAEAEJWFZUS
      ADIWFZUVGWGWVRVYPWVRQWJTVYOWJTZVYPWJTZUVHWVQWWCAVYOGWKWLQVYOUVIWMZUSWNZWV
      RVYQWVRVYNVYPAVYNVRTWVQAEDAEWWAVJADWWBVJUVJWGWVRVYPWWEVJUVKVKVYQVLVMZUVLU
      VMUVNWOAWUHVYJWUCUKOZVYJWUFUKOZUHOZVYJQUBUGZWPUJZWQSZUBFXMZUNUJZWWMWRZUBF
      XMZUNUJZULOZUKOZWUJAVYJWUCWUFVYJWSTAUVSXAZAWUEVYRUAAWUDGWEAVYOWUETWVQWVTA
      WUEWUKVYOAWVBWUEWUKWUEWUBUVOWVOWTXBWWGXCXDAWUBVYRUAAPWUAWEZAVYOWUBTZWVQWV
      TAWUBWUKVYOAWVBWUBWUKWUBWUEUVPWVOWTXBZWWGXCZXDXEAWWTVYJWWOUKOZVYJWWRUKOZU
      HOWWJAVYJWWOWWRWXAAWWQXFTZWWRVGTAFXFTZWWQFXGWXHAWUKPHUFOZXHZXFTZFWXKXGWXI
      AWUKXFTWXJXFTWXLWVPAPHWEWUKWXJUVQVMFBUGZWUKTZCUGZWXJTZWIZWXODUHOZWXMEUHOZ
      RSZWIZBCUVRZWXKNWXTBCWUKWXJUVTUWAZWXKFXNXIZWWPUBFXJFWWQXNXIZWWQXKVBAWWNXF
      TZWWOVGTAWXIWWNFXGWYFWYDWWMUBFXJFWWNXNXIZWWNXKVBXEAWWHWXFWWIWXGUHAWUCWWOV
      YJUKAWUCWUBVYPWWLUQZUBFXMZUNUJZUAUMUAWUBWYIUWBZUNUJWWOAWUBVYRWYJUAAWXCWIZ
      VYPXLZPVYRUFOZXHZUNUJZWYNUNUJZWYJVYRWYLWYOWYNUWCSZWYPWYQUQWYLWWDWYNXFTWYR
      AWXCWVQWWDWXDWWEXCZWYLPVYRWEVYPWYNWJXFUWDVMWYOWYNUWEVBWYLWYOWYIUNWYLWYIWY
      OWYLBCWYIWYOWYIFXGZFXOWYIXOWYHUBFXJZWYABCFNUWFWYIFUWGUWHWYMWYNUWJWYLWXMVY
      PUQZWXMWXOUWIZFTZWIXUBWXOWYNTZWIZXUCWYITZXUCWYOTZWYLXUBXUDXUEXUDWYAWYLXUB
      WIZXUEXUDXUCWYBTWYAFWYBXUCNUWKWYABCUWLXPXUIWXOWJTZWXOHVHSZWIZWXREVYPUHOZR
      SZWIZXUJWXOVYRVHSZWIZWYAXUEWYLXUOXUQWHXUBXUOXUJXUKXUNWIZWIWYLXUQXUJXUKXUN
      UWMWYLXUJXURXUPWYLXUJWIZXUNWXOVYQVHSZXURXUPXUSXUNWXRXUMVHSZWXOXUMDUEOZVHS
      ZXUTXUSXUNXVAXUMWXRXQZXUSDXUMWQSZWRXVDXUSXVEDVYPWQSZXUSXVFDVYPVHSZXUSVYPD
      RSXVGWRXUSVYPDQUEOZDXUSVYPWYLWWDXUJWYSWGZUSZXUSDXUSDADWJTWXCXUJWWBXRZUSZU
      TZXVLXUSVYPGXVHXVJWYLGVITZXUJAXVNWXCWUMWGZWGXVMWYLVYPGVHSZXUJWYLXVPVYOVYT
      VHSZWYLXVQVYOWUAVHSZWXCXVRAVYOPWUAXSWLWYLWVFVYOVOTZXVQXVRWHZWYLGXVOUTWXCX
      VSAVYOPWUAUWNZWLVYTVYOXTZVMYAWYLVYOVITZXVNQVITZVCQRSZXVPXVQWHZWYLVYOWXCWW
      CAVYOWUAWKWLZUSXVOXWDWYLYDXAXWEWYLYEXAVYOGQUWOZYBYAZWGXUSGVYLXVHRLXUSVYKD
      RSZVYLXVHRSZXUSDXVLUWTXUSVYKVITZDVITZXWDXWEXWJXWKWHXUSXWMXWLXVLDYCVBXVLXW
      DXUSYDXAXWEXUSYEXAVYKDQUWPYBVQYFUWQZXUSDVRTXVHDRSXUSDXVKVJDVNVBUXAXUSVYPD
      XVJXVLUWRVQXUSDVOTZWWDXVFXVGYGXUSDYHTZXWOAXWPWXCXUJADYHQXLZIYIZXRDYJVBZXV
      IDVYPUWSVMYKXUSXVEDEUXJOPUQZXVFAXWTWXCXUJAXWTDEXQZKAXWPEYHTZXWTXXAWHXWRAE
      YHXWQJYIZDEUXBVMYAXRXUSXWOEVOTZVYPVOTXVEXWTWIXVFYGXWSXUSXXBXXDAXXBWXCXUJX
      XCXREYJVBXUSVYPXVIVPDEVYPUXCYLYMYKXUSXVEXUMWXRXUSXVEXUMWXRUQDWXRWQSZXUSWX
      OVOTZXWOXXEXUJXXFWYLWXOUXDZWLXWSWXODUXEVMXUMWXRDWQUXFUXGUXHUYAXUSWXRXUMXU
      SWXRXUSWXODWYLXUJYNZXVKYPUSZXUSXUMWYLXUMWJTXUJWYLEVYPAEWJTZWXCWWAWGZWYSYP
      WGUSZUXIUXKXUSWXOVITZXUMVITZXWMVCDRSZXVAXVCWHXUJXXMWYLWXOUXLWLZXXLXVLXUSD
      XVKYOZWXOXUMDUXMYBXUSXVBVYQWXOVHXUSEVYPDXUSEWYLXXJXUJXXKWGZYQZXUSVYPXVIYQ
      XUSDXVKYQZXUSDXVKUXNUXOYRUXPXUSXUNXUKXUSXUNWXOHPULOZRSZXUKXUSXUNWXOEQUEOZ
      RSZXYBXUSXUNWXRXYCDUHOZRSZXYDXUSXUNXUMXYERSZXYFXUSXUMEXVHUHOZXYERXUSVYPXV
      HRSZXUMXYHRSZXWNXUSVYPVITXVHVITEVITZVCERSXYIXYJWHXVJXVMXUSEXXRUSZXUSEXXRY
      OVYPXVHEUXQYBVQXUSEWSTZDWSTZQWSTZQVCXQZXYHXYEUQXXSXXTXUSUXRZXYPXUSUXSXAZX
      YMXYNXYOXYPWIUYBEDUHOQUEOXYHXYEEDQUXTEDQUYCUYDYBUYEXUSWXRVITXXNXYEVITXUNX
      YGWIXYFYGXXIXXLXUSXYCDXUSEXYLUTZXVLWNWXRXUMXYEUYFYLYMXUSXXMXYCVITZXWMXXOX
      YDXYFWHXXPXYSXVLXXQWXOXYCDUYGYBUYHXUSXYDXYCXYARSZXYBXUSXYCHUDOZPRSYUAXUSE
      EPUDOZUDOZQUEOZYUBPRXUSYUEXYCYUCQUEOZUDOYUBXUSEYUCQXXSXUSYUCXUSXYKYUCVITX
      YLEYCVBUYIXYQXYRUYJHYUFXYCUDMUOUYKXUSYUEPQUEOPRXUSYUDPQUEXUSXYMPWSTYUDPUQ
      XXSUYLEPUYMXIWDVUAUYNUYOXUSXYCHPXYSXUSHAHWJTZWXCXUJAEHJMURZXRZUSZXUSUYPUY
      QVQXUSXXMXYTXYAVITZXYDYUAWIXYBYGXXPXYSXUSHVITYUKYUJHUYRVBWXOXYCXYAUYFYLYM
      VUBXUSXUJYUGXUKXYBWHXXHYUIWXOHUYSVMUYHUYTWYLWVSXXFXUTXUPWHXUJAWXCWVQWVSWX
      DWWFXCZXXGVYQWXOXTVUCVUDVUEVUFWGXUIWXQXULWXTXUNXUIWXPWXQXULXUIWXNWXPXUIWX
      MVYPWUKWYLXUBYNWYLVYPWUKTZXUBWYLYUMXVPXWIWYLVYPPVSUJZTWVKYUMXVPWHWYLVYPWJ
      YUNWYSVUGVTAWVKWXCWVLWGVYPPGVUKVMYAWGVUHVUIXUIHVOTZWXPXULWHAYUOWXCXUBAHYU
      HVPXRWXOHVULVBVUJXUIWXSXUMWXRRXUBWYLWXSVYPEUHOXUMWXMVYPEUHWBWYLVYPEWYLVYP
      WYSYQWYLEXXKYQVUMVUNYRVUOWYLXUEXUQWHZXUBWYLVYRVOTYUPWYLVYQYULVAWXOVYRVULV
      BWGVVBVUFVUEXUGXUBXUDWYHXUBUBXUCFWWKXUCUQZWYHVYPWXMUQXUBYUQWWLWXMVYPWXMWX
      OWWKBVUPCVUPVUQVURVYPWXMVUSVUTVVAVVCXUHWXMWYMTZXUEWIXUFWXMWXOWYMWYNVVDYUR
      XUBXUEBVYPVVKVVEXPVVFVVGVVLVVMWYLWVTWYQVYRUQWXEVYRVVHVBVVIVVJAUAWUBWYIWXB
      WYLWXIWYTWYIXFTAWXIWXCWYDWGXUAFWYIXNXIAUCUGZWPUJZQUEOZVYOUQZUCWYIYSUAWUBY
      SUAWUBWYIVVNAYVBUAUCWUBWYIAWXCYUSWYITZWIWIZVYPQUEOYVAVYOYVDVYPYUTQUEYVCVY
      PYUTUQZAWXCYVCYUSFTYVEWYHYVEUBYUSFWWKYUSUQWWLYUTVYPWWKYUSWPVVOVURVVAVVPVV
      QWDYVDVYOQAWXCVYOWSTZYVCWYLVYOXWGYQVVRYVDUXRXYPYVDUXSXAVVSUYDVWAUAUCWUBWY
      IYVAVVTVBVWBAWYKWWNUNAWYKWYHUAWUBYTZUBFXMWWNWYHUAUBWUBFVWCAYVGWWMUBFAWWKF
      TZWIZWYHUAVOYTZVYOQUHOZWWLUQZUAVOYTZYVGWWMYVIWYHYVLUAVOYVIXVSWIZVYPYVKWWL
      YVNXYOYVFVYPYVKUQVWDXVSYVFYVIVYOVWKWLQVYOVWEWMVWFVWGYVIYVGYVJWYHWYHUAWUBV
      OWXCXVSWYHXWAVWHVWLYVIWYHWYHUAVOWUBYVIXVSWYHWIZWXCWYHWIYVIYVOWIZWXCWYHYVP
      WXCXVRYVPXVQXVRYVPXVPXVQYVPVYPWWLGVHYVIXVSWYHVWIZYVPWWLWUKTZWWLGVHSYVIYVR
      YVOYVIWWKWXKTYVRYVIFWXKWWKWYCAYVHYNVWJWWKWUKWXJVWMVBZWGZWWLPGXSVBVWNYVPXW
      CXVNXWDXWEXWFXVSXWCYVIWYHVYOVWOVWPZAXVNYVHYVOWUMXRXWDYVPYDXAZXWEYVPYEXAZX
      WHYBVQYVPWVFXVSXVTAWVFYVHYVOWUNXRYVIXVSWYHVWQZXWBVMVQYVPVYOYUNTWUAVOTZWXC
      XVRWHYVPVYOWJYUNYVPXVSVCVYORSZWWCYWDYVPYWFQVCUHOZVYPRSZYVPYWGVCVYPRVWRYVP
      VYPYVPVYPWWLWJYVQYVPYVRWWLWJTYVTWWLGWKVBVUHYOYFYVPVCVITXWCXWDXWEYWFYWHWHY
      VPVXCYWAYWBYWCVCVYOQUXQYBYAVYOVWSVWTVUGVTAYWEYVHYVOWUOXRVYOPWUAVUKVMYAYVQ
      VXAVXBVXDVXEYVIQVOTWWLVOTWWMYVMWHVXFYVIWWLPGYVSVXGUAQWWLVXHWMVVBVXIVXJVVM
      VXKWOABCUBUADEFGHIJKLMNVXMVXLVXNAWWSWUIVYJUKAWWNWWQVFZUNUJZWWSWUIAWYFWXHW
      WNWWQUPZVDUQYWJWWSUQWYGWYEAYWKWWMWWPWIZUBFXMZVDWWMWWPUBFVXOAYWLWRZUBFYSYW
      MVDUQAYWNUBFYWNAWWMVXPXAVXQYWLUBFVXRVXSVXJWWNWWQVYCYLYWIFUNYWIWWMWWPVEZUB
      FXMZFWWMWWPUBFVXTFYWPUQYWOUBFYSYWOUBFWWMVYAVYBYWOUBFVYDVYEVYFVYGVYHWOVXKV
      YI $.

    $( Lemma for ~ lgsquad .  (Contributed by Mario Carneiro, 18-Jun-2015.) $)
    lgsquadlem3 $p |- ( ph ->
      ( ( P /L Q ) x. ( Q /L P ) ) = ( -u 1 ^ ( M x. N ) ) ) $=
      ( co cmul c1 wcel wa syl vw vz clgs cneg cfz clt wbr copab chash cfv cexp
      cv caddc necomd weq wb bi2anan9 biancomd oveq1 breqan12d anbi12d cbvopabv
      eleq1w ancoms lgsquadlem2 cen wceq ccnv wrel cfn relopabv cxp wss syl2anc
      fzfid xpfi opabssxp sylancl cnven sylancr cnvopab breqtrdi hasheni oveq2d
      ssfi eqtr4d oveq12d cc neg1cn a1i cn0 eqsstri hashcl expaddd cun wo cdvds
      wne wn cn cprime c2 csn eldifad adantr prmnn cuz cz cle gausslemma2dlem0b
      cmin nnzd prmz peano2zm nnred zred cdiv crp prmuz2 uz2m1nn nnrpd ad2antll
      wi elfzelz syl3anc nncnd elfznn ad2antrl nnmulcld opabbii 3eqtr4i cin wex
      ex c0 cr sylib nexdv nnnn0d hashfz1 rphalflt ltled eluz2 syl3anbrc simprr
      eqbrtrid fzss2 sseldd fzm1ndvds cgcd mpbird coprmdvds mpan2d mtod mulcomd
      prmrp breq2d mtbid dvdsmul2 breq2 syl5ibcom necon3bd mpd lttri2d pm4.71rd
      mpbid ancom bitr2di unopab uneq2i andi df-xp 3eqtr4g fveq2d inopab ineq2i
      anandi ltnsym2 imnan opabn0 necon1bbii syl5eq hashun hashxp eqtrd 3eqtr3d
      opabbidv 3eqtr2d ) ADEUCOZEDUCOZPOQUDZBULZQGUEOZRZCULZQHUEOZRZSZUWLEPOZUW
      ODPOZUFUGZSZBCUHZUIUJZUKOZUWKFUIUJZUKOZPOUWKUXDUXFUMOZUKOUWKGHPOZUKOAUWIU
      XEUWJUXGPAUWIUWKUXBCBUHZUIUJZUKOUXEAUAUBEDUXJHGJIADEKUNZMLUXBUAULZUWPRZUB
      ULZUWMRZSZUXOEPOZUXMDPOZUFUGZSZCBUAUBBUBUOZCUAUOZUXBUYAUPUYBUYCSZUWRUXQUX
      AUXTUYDUWRUXNUXPUYBUWNUXPUYCUWQUXNBUBUWMVCCUAUWPVCUQURUYBUYCUWSUXRUWTUXSU
      FUWLUXOEPUSUWOUXMDPUSUTVAVDVBVEAUXDUXKUWKUKAUXCUXJVFUGUXDUXKVGAUXCUXCVHZU
      XJVFAUXCVIUXCVJRZUXCUYEVFUGUXBBCVKAUWMUWPVLZVJRZUXCUYGVMUYFAUWMVJRZUWPVJR
      ZUYHAQGVOZAQHVOZUWMUWPVPVNZUXABCUWMUWPVQUYGUXCWEVRZUXCVJVSVTUXBBCWAWBUXCU
      XJWCTWDWFABCDEFGHIJKLMNVEWGAUWKUXDUXFUWKWHRAWIWJAFVJRZUXFWKRAUYHFUYGVMUYO
      UYMFUWRUWTUWSUFUGZSZBCUHZUYGNUYPBCUWMUWPVQWLUYGFWEVRZFWMTAUYFUXDWKRUYNUXC
      WMTWNAUXHUXIUWKUKAUXCFWOZUIUJZUYGUIUJZUXHUXIAUYTUYGUIAUWRUXAUYPWPZSZBCUHZ
      UWRBCUHUYTUYGAVUDUWRBCAUWRVUCUWRSVUDAUWRVUCAUWRVUCAUWRSZUWSUWTWRZVUCVUFEU
      WTWQUGZWSVUGVUFEDUWOPOZWQUGZVUHVUFVUJEUWOWQUGZVUFEWTRZUWOQEQXKOZUEOZRVUKW
      SVUFEXARZVULAVUOUWRAEXAXBXCZJXDXEZEXFTZVUFUWPVUNUWOVUFVUMHXGUJRZUWPVUNVMV
      UFHXHRVUMXHRZHVUMXIUGVUSVUFHAHWTRUWRAEHJMXJZXEZXLVUFEXHRZVUTVUFVUOVVCVUQE
      XMTZEXNTZVUFHVUMVUFHVVBXOVUFVUMVVEXPVUFHVUMXBXQOZVUMUFMVUFVUMXRRVVFVUMUFU
      GVUFVUMVUFEXBXGUJRZVUMWTRVUFVUOVVGVUQEXSTEXTTYAVUMUUATUUFUUBHVUMUUCUUDHQV
      UMUUGTAUWNUWQUUEUUHEUWOUUIVNVUFVUJEDUUJOQVGZVUKVUFVVHEDWRZAVVIUWRUXLXEVUF
      VUODXARZVVHVVIUPVUQAVVJUWRADXAVUPIXDXEZEDUUPVNUUKVUFVVCDXHRZUWOXHRZVUJVVH
      SVUKYCVVDVUFVVJVVLVVKDXMTUWQVVMAUWNUWOQHYDYBEDUWOUULYEUUMUUNVUFVUIUWTEWQV
      UFDUWOVUFDVUFVVJDWTRVVKDXFTZYFVUFUWOUWQUWOWTRAUWNUWOHYGYBZYFUUOUUQUURVUFV
      UHUWSUWTVUFEUWSWQUGZUWSUWTVGVUHVUFUWLXHRZVVCVVPUWNVVQAUWQUWLQGYDYHVVDUWLE
      UUSVNUWSUWTEWQUUTUVAUVBUVCVUFUWSUWTVUFUWSVUFUWLEUWNUWLWTRAUWQUWLGYGYHVURY
      IXOZVUFUWTVUFUWODVVOVVNYIXOZUVDUVFYNUVEVUCUWRUVGUVHUWGUXCUYRWOUXBUYQWPZBC
      UHUYTVUEUXBUYQBCUVIFUYRUXCNUVJVUDVVTBCUWRUXAUYPUVKYJYKBCUWMUWPUVLUVMUVNAU
      YFUYOUXCFYLZYOVGVUAUXHVGUYNUYSAVWAUWRUXAUYPSZSZBCUHZYOUXCUYRYLUXBUYQSZBCU
      HVWAVWDUXBUYQBCUVOFUYRUXCNUVPVWCVWEBCUWRUXAUYPUVQYJYKAVWCCYMZBYMZWSVWDYOV
      GAVWFBAVWCCAUWRVWBWSZYCVWCWSAUWRVWHVUFUWSYPRUWTYPRVWHVVRVVSUWSUWTUVRVNYNU
      WRVWBUVSYQYRYRVWGVWDYOVWCBCUVTUWAYQUWBUXCFUWCYEAVUBUWMUIUJZUWPUIUJZPOZUXI
      AUYIUYJVUBVWKVGUYKUYLUWMUWPUWDVNAVWIGVWJHPAGWKRVWIGVGAGADGILXJYSGYTTAHWKR
      VWJHVGAHVVAYSHYTTWGUWEUWFWDUWH $.
  $}

  ${
    $d w x y z P $.  $d w x y z Q $.
    $( The Law of Quadratic Reciprocity, see also theorem 9.8 in [ApostolNT]
       p. 185.  If ` P ` and ` Q ` are distinct odd primes, then the product of
       the Legendre symbols ` ( P /L Q ) ` and ` ( Q /L P ) ` is the parity of
       ` ( ( P - 1 ) / 2 ) x. ( ( Q - 1 ) / 2 ) ` .  This uses Eisenstein's
       proof, which also has a nice geometric interpretation - see
       ~ https://en.wikipedia.org/wiki/Proofs_of_quadratic_reciprocity .  This
       is Metamath 100 proof #7.  (Contributed by Mario Carneiro,
       19-Jun-2015.) $)
    lgsquad $p |- ( ( P e. ( Prime \ { 2 } ) /\ Q e. ( Prime \ { 2 } )
      /\ P =/= Q ) -> ( ( P /L Q ) x. ( Q /L P ) ) =
        ( -u 1 ^ ( ( ( P - 1 ) / 2 ) x. ( ( Q - 1 ) / 2 ) ) ) ) $=
      ( vz vw vx vy c2 wcel cv c1 cmin co cdiv cfz wa cmul clt wbr eqid weq csn
      cprime cdif wne w3a copab simp1 simp2 simp3 eleq1w bi2anan9 oveq1 anbi12d
      breqan12rd cbvopabv lgsquadlem3 ) AUBGUAUCZHZBUQHZABUDZUECDABEIZJAJKLGMLZ
      NLZHZFIZJBJKLGMLZNLZHZOZVEAPLZVABPLZQRZOZEFUFVBVFURUSUTUGURUSUTUHURUSUTUI
      VBSVFSVMCIZVCHZDIZVGHZOZVPAPLZVNBPLZQRZOEFCDECTZFDTZOVIVRVLWAWBVDVOWCVHVQ
      ECVCUJFDVGUJUKWCWBVJVSVKVTQVEVPAPULVAVNBPULUNUMUOUP $.
  $}

  ${
    $d m M $.  $d m n x y N $.  $d m n x y ph $.
    lgsquad2.1 $e |- ( ph -> M e. NN ) $.
    lgsquad2.2 $e |- ( ph -> -. 2 || M ) $.
    lgsquad2.3 $e |- ( ph -> N e. NN ) $.
    lgsquad2.4 $e |- ( ph -> -. 2 || N ) $.
    lgsquad2.5 $e |- ( ph -> ( M gcd N ) = 1 ) $.
    ${
      lgsquad2lem1.a $e |- ( ph -> A e. NN ) $.
      lgsquad2lem1.b $e |- ( ph -> B e. NN ) $.
      lgsquad2lem1.m $e |- ( ph -> ( A x. B ) = M ) $.
      lgsquad2lem1.1 $e |- ( ph -> ( ( A /L N ) x. ( N /L A ) ) =
           ( -u 1 ^ ( ( ( A - 1 ) / 2 ) x. ( ( N - 1 ) / 2 ) ) ) ) $.
      lgsquad2lem1.2 $e |- ( ph -> ( ( B /L N ) x. ( N /L B ) ) =
           ( -u 1 ^ ( ( ( B - 1 ) / 2 ) x. ( ( N - 1 ) / 2 ) ) ) ) $.
      $( Lemma for ~ lgsquad2 .  (Contributed by Mario Carneiro,
         19-Jun-2015.) $)
      lgsquad2lem1 $p |- ( ph -> ( ( M /L N ) x. ( N /L M ) ) =
           ( -u 1 ^ ( ( ( M - 1 ) / 2 ) x. ( ( N - 1 ) / 2 ) ) ) ) $=
        ( c1 co c2 cmul wcel cneg cmin cdiv cexp caddc clgs cc wceq nnzd ax-1cn
        zcnd npcan sylancl oveq12d cz peano2zm syl muladdd 1t1e1 oveq2d mulid1d
        a1i eqtrd eqtr3d oveq1d mulcld addcl addcld addsubd 3eqtrd 2cnd cc0 wne
        pncan divdird divassd divcan2d cdvds wbr wn dvdsmul1 syl2anc breqtrd wa
        2ne0 wi dvdstr mp3an2i mpan2d mtod 1zzd cprime 2prm nprmdvds1 mp1i omoe
        2z syl22anc wb dvdsval2 dvdsmul2 mulassd 3eqtr2d zmulcld zaddcld neg1cn
        mpbid adddird neg1ne0 expaddz expmulz oveq1i 1exp syl5eq expclzd eqtr4d
        neg1sqe1 mulid2d lgscl mul4d nnne0d lgsdir syl32anc lgsdi 3eqtr2rd ) AP
        UAZDPUBQZRUCQZEPUBQZRUCQZSQZUDQZYFBPUBQZRUCQZYJSQZCPUBQZRUCQZYJSQZUEQZU
        DQZBEUFQZEBUFQZSQZCEUFQZECUFQZSQZSQZDEUFQZEDUFQZSQZAYLYFRYNYQSQZYJSQZSQ
        ZYNYQUEQZYJSQZUEQZUDQZPYFUUOUDQZSQZYTAYKUUPYFUDAYKRUUKSQZUUNUEQZYJSQUUT
        YJSQZUUOUEQUUPAYHUVAYJSAYHYMYPSQZYMYPUEQZUEQZRUCQUVCRUCQZUVDRUCQZUEQUVA
        AYGUVERUCAYGUVCPUEQZUVDUEQZPUBQUVHPUBQZUVDUEQUVEADUVIPUBABCSQZDUVIMAYMP
        UEQZYPPUEQZSQZUVKUVIAUVLBUVMCSABUGTPUGTZUVLBUHABABKUIZUKUJBPULUMACUGTUV
        OUVMCUHACACLUIZUKUJCPULUMUNAUVNUVCPPSQZUEQZYMPSQZYPPSQZUEQZUEQUVIAYMPYP
        PAYMABUOTZYMUOTZUVPBUPUQZUKZUVOAUJVBZAYPACUOTZYPUOTZUVQCUPUQZUKZUWGURAU
        VSUVHUWBUVDUEAUVRPUVCUEUVRPUHAUSVBUTAUVTYMUWAYPUEAYMUWFVAAYPUWKVAUNUNVC
        VDVDVEAUVHUVDPAUVCUGTZUVOUVHUGTAYMYPUWFUWKVFZUJUVCPVGUMAYMYPUWFUWKVHZUW
        GVIAUVJUVCUVDUEAUWLUVOUVJUVCUHUWMUJUVCPVNUMVEVJVEAUVCUVDRUWMUWNAVKZRVLV
        MZAWEVBZVOAUVFUUTUVGUUNUEAUVFYMYQSQRYNSQZYQSQUUTAYMYPRUWFUWKUWOUWQVPAUW
        RYMYQSAYMRUWFUWOUWQVQVEARYNYQUWOAYNARYMVRVSZYNUOTZAUWCRBVRVSZVTPUOTZRPV
        RVSVTZUWSUVPAUXARDVRVSZGAUXABDVRVSZUXDABUVKDVRAUWCUWHBUVKVRVSUVPUVQBCWA
        WBMWCRUOTZAUWCDUOTZUXAUXEWDUXDWFWQUVPADFUIZRBDWGWHWIWJAWKZRWLTUXCAWMRWN
        WOZBPWPWRUXFAUWPUWDUWSUWTWSWQUWQUWERYMWTWHXGZUKZAYQARYPVRVSZYQUOTZAUWHR
        CVRVSZVTUXBUXCUXMUVQAUXOUXDGAUXOCDVRVSZUXDACUVKDVRAUWCUWHCUVKVRVSUVPUVQ
        BCXAWBMWCUXFAUWHUXGUXOUXPWDUXDWFWQUVQUXHRCDWGWHWIWJUXIUXJCPWPWRUXFAUWPU
        WIUXMUXNWSWQUWQUWJRYPWTWHXGZUKZXBXCAYMYPRUWFUWKUWOUWQVOUNVJVEAUUTUUNYJA
        UUTARUUKUXFAWQVBZAYNYQUXKUXQXDZXDUKAUUNAYNYQUXKUXQXEZUKAYJARYIVRVSZYJUO
        TZAEUOTZREVRVSVTUXBUXCUYBAEHUIZIUXIUXJEPWPWRUXFAUWPYIUOTZUYBUYCWSWQUWQA
        UYDUYFUYEEUPUQRYIWTWHXGZUKZXHAUVBUUMUUOUEARUUKYJUWOAUUKUXTUKUYHXBVEVJUT
        AUUQYFUUMUDQZUURSQZUUSAYFUGTZYFVLVMZUUMUOTUUOUOTUUQUYJUHUYKAXFVBZUYLAXI
        VBZARUULUXSAUUKYJUXTUYGXDZXDAUUNYJUYAUYGXDZYFUUMUUOXJWRAUYIPUURSAUYIYFR
        UDQZUULUDQZPAUYKUYLUXFUULUOTZUYIUYRUHUYMUYNUXSUYOYFRUULXKWRAUYRPUULUDQZ
        PUYQPUULUDXQXLAUYSUYTPUHUYOUULXMUQXNVCVEVCAUUSUURYTAUURAYFUUOUYMUYNUYPX
        OXRAUUOYSYFUDAYNYQYJUXLUXRUYHXHUTVCVJAUUGYFYOUDQZYFYRUDQZSQZYTAUUCVUAUU
        FVUBSNOUNAUYKUYLYOUOTYRUOTYTVUCUHUYMUYNAYNYJUXKUYGXDAYQYJUXQUYGXDYFYOYR
        XJWRXPAUUAUUDSQZUUBUUESQZSQUUGUUJAUUAUUDUUBUUEAUUAAUWCUYDUUAUOTUVPUYEBE
        XSWBUKAUUDAUWHUYDUUDUOTUVQUYECEXSWBUKAUUBAUYDUWCUUBUOTUYEUVPEBXSWBUKAUU
        EAUYDUWHUUEUOTUYEUVQECXSWBUKXTAVUDUUHVUEUUISAUVKEUFQZVUDUUHAUWCUWHUYDBV
        LVMZCVLVMZVUFVUDUHUVPUVQUYEABKYAZACLYAZBCEYBYCAUVKDEUFMVEVDAEUVKUFQZVUE
        UUIAUYDUWCUWHVUGVUHVUKVUEUHUYEUVPUVQVUIVUJEBCYDYCAUVKDEUFMUTVDUNVDYE $.
    $}

    ${
      lgsquad2lem2.f $e |- ( ( ph /\
        ( m e. ( Prime \ { 2 } ) /\ ( m gcd N ) = 1 ) ) ->
        ( ( m /L N ) x. ( N /L m ) ) =
           ( -u 1 ^ ( ( ( m - 1 ) / 2 ) x. ( ( N - 1 ) / 2 ) ) ) ) $.
      lgsquad2lem2.s $e |- ( ps <->
        A. x e. ( 1 ... k ) ( ( x gcd ( 2 x. N ) ) = 1 ->
        ( ( x /L N ) x. ( N /L x ) ) =
          ( -u 1 ^ ( ( ( x - 1 ) / 2 ) x. ( ( N - 1 ) / 2 ) ) ) ) ) $.
      $( Lemma for ~ lgsquad2 .  (Contributed by Mario Carneiro,
         19-Jun-2015.) $)
      lgsquad2lem2 $p |- ( ph -> ( ( M /L N ) x. ( N /L M ) ) =
           ( -u 1 ^ ( ( ( M - 1 ) / 2 ) x. ( ( N - 1 ) / 2 ) ) ) ) $=
        ( c2 cmul co c1 wceq clgs vy cgcd cneg cmin cdiv cexp wcel 2nn a1i nnzd
        cn cz 2z gcdcom sylancl cdvds wbr wn cprime wb 2prm coprm sylancr mpbid
        eqtrd rpmulgcd syl31anc wi cv cc0 oveq1 oveq2 oveq12d eqtrdi oveq1d 2cn
        1m1e0 2ne0 div0i oveq2d eqeq12d imbi2d weq eqeq1d imbi12d 1t1e1 cc exp0
        neg1cn ax-mp eqtr4i sq1 oveq1i wne wa ax-1ne0 pm3.2i 1gcd lgssq mp3an2i
        1z syl eqtr3id oveq2i 1nn gcd1 lgssq2 syl3anc cn0 nnm1nn0 nn0cnd mul02d
        halfcld 3eqtr4a cdif simprl prmz ad2antrl adantr zmulcl simprr dvdsmul1
        a1d csn rpdvds syl32anc prmrp eldifsn sylanbrc prmnn eqtr3d jca eluz2nn
        exp32 ad2antrr eluzelz adantrr dvdsmul2 gcdcomd mpd syldan cuz cfv jcab
        simplrl simplrr nnmulcld n2dvds1 anim12i ad2antlr dvdsgcd mpan2d breq2d
        com12 simpr sylibd mtoi eqidd simpld simprrl simprrr lgsquad2lem1 com23
        simprd expcom a2d syl5bir prmind mpcom ) AFOGPQZUBQZRSZFGTQZGFTQZPQZRUC
        ZFRUDQZOUEQZGRUDQZOUEQZPQZUFQZSZAUVKFGUBQZRAFUKUGZOUKUGZGUKUGZFOUBQZRSU
        VKUWDSHUWFAUHUIJAUWHOFUBQZRAFULUGZOULUGZUWHUWISAFHUJZUMFOUNUOAOFUPUQURZ
        UWIRSZIAOUSUGZUWJUWMUWNUTVAUWLOFVBVCVDVEFOGVFVGLVEUWEAUVLUWCVHZHAEVIZUV
        JUBQZRSZUWQGTQZGUWQTQZPQZUVPUWQRUDQZOUEQZUVTPQZUFQZSZVHZVHAUWSRGTQZGRTQ
        ZPQZUVPVJUVTPQZUFQZSZVHZVHACVIZUVJUBQZRSZUXPGTQZGUXPTQZPQZUVPUXPRUDQZOU
        EQZUVTPQZUFQZSZVHZVHZAUAVIZUVJUBQZRSZUYIGTQZGUYITQZPQZUVPUYIRUDQZOUEQZU
        VTPQZUFQZSZVHZVHZAUXPUYIPQZUVJUBQZRSZVUBGTQZGVUBTQZPQZUVPVUBRUDQZOUEQZU
        VTPQZUFQZSZVHZVHZAUWPVHECUAFUWQRSZUXHUXOAVUOUXGUXNUWSVUOUXBUXKUXFUXMVUO
        UWTUXIUXAUXJPUWQRGTVKUWQRGTVLVMVUOUXEUXLUVPUFVUOUXDVJUVTPVUOUXDVJOUEQVJ
        VUOUXCVJOUEVUOUXCRRUDQVJUWQRRUDVKVQVNVOOVPVRVSVNVOVTWAWBWBECWCZUXHUYGAV
        UPUWSUXRUXGUYFVUPUWRUXQRUWQUXPUVJUBVKWDVUPUXBUYAUXFUYEVUPUWTUXSUXAUXTPU
        WQUXPGTVKUWQUXPGTVLVMVUPUXEUYDUVPUFVUPUXDUYCUVTPVUPUXCUYBOUEUWQUXPRUDVK
        VOVOVTWAWEWBEUAWCZUXHUYTAVUQUWSUYKUXGUYSVUQUWRUYJRUWQUYIUVJUBVKWDVUQUXB
        UYNUXFUYRVUQUWTUYLUXAUYMPUWQUYIGTVKUWQUYIGTVLVMVUQUXEUYQUVPUFVUQUXDUYPU
        VTPVUQUXCUYOOUEUWQUYIRUDVKVOVOVTWAWEWBUWQVUBSZUXHVUMAVURUWSVUDUXGVULVUR
        UWRVUCRUWQVUBUVJUBVKWDVURUXBVUGUXFVUKVURUWTVUEUXAVUFPUWQVUBGTVKUWQVUBGT
        VLVMVURUXEVUJUVPUFVURUXDVUIUVTPVURUXCVUHOUEUWQVUBRUDVKVOVOVTWAWEWBUWQFS
        ZUXHUWPAVUSUWSUVLUXGUWCVUSUWRUVKRUWQFUVJUBVKWDVUSUXBUVOUXFUWBVUSUWTUVMU
        XAUVNPUWQFGTVKUWQFGTVLVMVUSUXEUWAUVPUFVUSUXDUVRUVTPVUSUXCUVQOUEUWQFRUDV
        KVOVOVTWAWEWBAUXNUWSARRPQZUVPVJUFQZUXKUXMVUTRVVAWFUVPWGUGVVARSWIUVPWHWJ
        WKAUXIRUXJRPAUXIROUFQZGTQZRVVBRGTWLWMRULUGZRVJWNZWOAGULUGZRGUBQRSZVVCRS
        VVDVVEXAWPWQAGJUJZAVVFVVGVVHGWRXBRGWSWTXCAUXJGVVBTQZRVVBRGTWLXDAVVFRUKU
        GZGRUBQRSZVVIRSVVHVVJAXEUIAVVFVVKVVHGXFXBGRXGXHXCVMAUXLVJUVPUFAUVTAUVSA
        UVSAUWGUVSXIUGJGXJXBXKXMXLVTXNYCAUWQUSUGZUXHAVVLUWSUXGAVVLUWSWOZUWQUSOY
        DXOUGZUWQGUBQZRSZWOUXGAVVMWOZVVNVVPVVQVVLUWQOWNZVVNAVVLUWSXPZVVQUWQOUBQ
        RSZVVRVVQUWQULUGZUWKUVJULUGZUWSOUVJUPUQZVVTVVLVWAAUWSUWQXQXRUWKVVQUMUIV
        VQUWKVVFVWBUMVVQGAUWGVVMJXSZUJZOGXTZVCAVVLUWSYAZVVQUWKVVFVWCUMVWEOGYBZV
        CUWQOUVJYEYFZVVQVVLUWOVVTVVRUTVVSVAUWQOYGUOVDUWQUSOYHYIVVQUWRVVORVVQUWQ
        UKUGZUWFUWGVVTUWRVVOSVVLVWJAUWSUWQYJXRUWFVVQUHUIVWDVWIUWQOGVFVGVWGYKYLM
        UUAYNUUNUYHVUAWOAUYGUYTWOZVHUXPOUUBUUCZUGZUYIVWLUGZWOZVUNAUYGUYTUUDVWOA
        VWKVUMAVWOVWKVUMVHAVWOWOZVUDVWKVULVWPVUDVWKVULVWPVUDVWKWOZWOZUXPUYIVUBG
        VWRUXPUYIVWRVWMUXPUKUGAVWMVWNVWQUUEUXPYMXBZVWRVWNUYIUKUGAVWMVWNVWQUUFUY
        IYMXBZUUGVWPVUDOVUBUPUQZURVWKVWPVUDWOZVXAORUPUQZUUHVXBVXAOVUCUPUQZVXCVX
        BVXAVWCVXDVXBUWKVVFVWCUMAVVFVWOVUDVVHYOZVWHVCUWKVXBVUBULUGZVWBVXAVWCWOV
        XDVHUMVXBUXPULUGZUYIULUGZWOZVXFVWOVXIAVUDVWMVXGVWNVXHOUXPYPOUYIYPUUIUUJ
        ZUXPUYIXTXBZVXBUWKVVFVWBUMVXEVWFVCZOVUBUVJUUKWTUULVXBVUCROUPVWPVUDUUOZU
        UMUUPUUQYQAUWGVWOVWQJYOAOGUPUQURVWOVWQKYOVWPVUDVUBGUBQRSZVWKVXBVXFVVFVW
        BVUDGUVJUPUQZVXNVXKVXEVXLVXMVXBUWKVVFVXOUMVXEOGYRVCVUBGUVJYEYFYQVWSVWTV
        WRVUBUURVWRUXRUYFVWPVUDUXRVWKVXBUXQUVJUXPUBQZRVXBUXPUVJVXBVXGVXHVXJUUSZ
        VXLYSVXBVWBVXGVXFUVJVUBUBQZRSZUXPVUBUPUQZVXPRSVXLVXQVXKVXBVXRVUCRVXBUVJ
        VUBVXLVXKYSVXMVEZVXBVXIVXTVXJUXPUYIYBXBUVJUXPVUBYEYFVEYQVWPVUDUYGUYTUUT
        YTVWRUYKUYSVWPVUDUYKVWKVXBUYJUVJUYIUBQZRVXBUYIUVJVXBVXGVXHVXJUVDZVXLYSV
        XBVWBVXHVXFVXSUYIVUBUPUQZVYBRSVXLVYCVXKVYAVXBVXIVYDVXJUXPUYIYRXBUVJUYIV
        UBYEYFVEYQVWPVUDUYGUYTUVAYTUVBYNUVCUVEUVFUVGUVHUVIYT $.
    $}

    $( Extend ~ lgsquad to coprime odd integers (the domain of the Jacobi
       symbol).  (Contributed by Mario Carneiro, 19-Jun-2015.) $)
    lgsquad2 $p |- ( ph -> ( ( M /L N ) x. ( N /L M ) ) =
         ( -u 1 ^ ( ( ( M - 1 ) / 2 ) x. ( ( N - 1 ) / 2 ) ) ) ) $=
      ( vx c2 cmul co cgcd c1 wceq clgs cexp cprime wcel cc vy vm vn cv cneg wi
      cmin cdiv cfz wral csn cdif wa cn adantr cdvds wbr wn simprl eldifi prmnn
      syl wne eldifsni necomd neneqd cuz cfv wb cz 2z uzid ax-mp dvdsprm mtbird
      sylancr nnzd gcdcomd simprr eqtrd prmrp syl2anr impr lgsquad syl3anc biid
      biimpd lgsquad2lem2 lgscl syl2anc zcn mulcom syl2an nncnd sylancl halfcld
      ax-1cn subcl mulcomd oveq2d 3eqtr4d ) AIUDZJCKLMLNOXBCPLCXBPLKLNUEZXBNUGL
      JUHLZCNUGLZJUHLZKLQLOUFINUAUDUILZUJZIUAUBBCDEFGHAUBUDZRJUKZULZSZXICMLZNOZ
      UMZUMZCXIPLZXICPLZKLZXCXFXINUGLZJUHLZKLZQLXRXQKLZXCYAXFKLZQLXPXBJXIKLMLNO
      XBXIPLXIXBPLKLXCXDYAKLQLOUFIXGUJZIUAUCCXIACUNSXOFUOZAJCUPUQURXOGUOXPXIRSZ
      XIUNSXPXLYGAXLXNUSZXIRXJUTVBZXIVAVBZXPJXIUPUQZJXIOZXPJXIXPXIJXPXLXIJVCYHX
      IRJVDVBVEVFXPJJVGVHSZYGYKYLVIJVJSYMVKJVLVMYIXIJVNVPVOXPCXIMLXMNXPCXIXPCYF
      VQZXPXIYJVQZVRAXLXNVSVTXPUCUDZXKSZYPXIMLNOZUMZUMYQXLYPXIVCZYPXIPLXIYPPLKL
      XCYPNUGLJUHLYAKLQLOXPYQYRUSXPXLYSYHUOXPYQYRYTXPYQUMYRYTYQYPRSYGYRYTVIXPYP
      RXJUTYIYPXIWAWBWGWCYPXIWDWEYEWFWHXPXRVJSZXQVJSZYCXSOZXPXIVJSZCVJSZUUAYOYN
      XICWIWJXPUUEUUDUUBYNYOCXIWIWJUUAXRTSXQTSUUCUUBXRWKXQWKXRXQWLWMWJXPYDYBXCQ
      XPYAXFXPXTXPXITSNTSZXTTSXPXIYJWNWQXINWRWOWPXPXEXPCTSUUFXETSXPCYFWNWQCNWRW
      OWPWSWTXAXHWFWH $.
  $}

  $( Extend ~ lgsquad2 to integers which share a factor.  (Contributed by Mario
     Carneiro, 19-Jun-2015.) $)
  lgsquad3 $p |- ( ( ( M e. NN /\ -. 2 || M ) /\ ( N e. NN /\ -. 2 || N ) ) ->
       ( M /L N ) =
   ( ( -u 1 ^ ( ( ( M - 1 ) / 2 ) x. ( ( N - 1 ) / 2 ) ) ) x. ( N /L M ) ) ) $=
    ( cn wcel c2 cdvds wbr wn wa co c1 wceq cmul cexp cz syl syl2anc wb cc0 wne
    cgcd clgs cneg cmin cdiv cfv cr simplrl nnz ad3antrrr lgscl absresq gcdcomd
    cabs zred simpr lgsabs1 mpbird oveq1d sq1 eqtrdi zcnd sqvald 3eqtr3d oveq2d
    eqtrd mulassd eqtr4d mulid1d simplll simpllr simplrr lgsquad2 cc neg1cn a1i
    neg1ne0 1zzd cprime 2prm nprmdvds1 mp1i syl22anc peano2zm dvdsval2 mp3an12i
    omoe 2ne0 mpbid adantr ad2antlr zmulcld expclzd mul01d lgsne0 gcdcom eqeq1d
    2z bitrd syl2anr necon1bbid ad2ant2r biimpa syl2an 3eqtr4rd pm2.61dan ) ACD
    ZEAFGHZIZBCDZEBFGHZIZIZABUAJZKLZABUBJZKUCZAKUDJZEUEJZBKUDJZEUEJZMJZNJZBAUBJ
    ZMJZLXMXOIZXPKMJZXPYDMJZYDMJZXPYEYFYGXPYDYDMJZMJYIYFKYJXPMYFYDUNUFZENJZYDEN
    JZKYJYFYDUGDYLYMLYFYDYFBODZAODZYDODYFXJYNXIXJXKXOUHZBUIZPZXGYOXHXLXOAUIZUJZ
    BAUKQZUOYDULPYFYLKENJKYFYKKENYFYKKLZBAUAJZKLZYFUUCXNKYFBAYRYTUMXMXOUPZVFYFY
    NYOUUBUUDRYRYTBAUQQURUSUTVAYFYDYFYDUUAVBZVCVDVEYFXPYDYDYFXPYFYOYNXPODYTYRAB
    UKQVBZUUFUUFVGVHYFXPUUGVIYFYHYCYDMYFABXGXHXLXOVJXGXHXLXOVKYPXIXJXKXOVLUUEVM
    USVDXMXOHZIZYCSMJSYEXPUUIYCUUIXQYBXQVNDUUIVOVPXQSTUUIVQVPUUIXSYAUUIEXRFGZXS
    ODZUUIYOXHKODZEKFGHZUUJXGYOXHXLUUHYSUJZXGXHXLUUHVKUUIVRZEVSDUUMUUIVTEWAWBZA
    KWGWCEODZESTZUUIXRODZUUJUUKRWRWHUUIYOUUSUUNAWDPEXRWEWFWIUUIEXTFGZYAODZUUIYN
    XKUULUUMUUTXLYNXIUUHXJYNXKYQWJWKZXIXJXKUUHVLUUOUUPBKWGWCUUQUURUUIXTODZUUTUV
    ARWRWHUUIYNUVCUVBBWDPEXTWEWFWIWLWMWNUUIYDSYCMXMUUHYDSLZXGXJUUHUVDRXHXKXGXJI
    XOYDSXJYNYOYDSTZXORXGYQYSYNYOIZUVEUUDXOBAWOUVFUUCXNKBAWPWQWSWTXAXBXCVEXMUUH
    XPSLZXGXJUUHUVGRZXHXKXGYOYNUVHXJYSYQYOYNIXOXPSABWOXAXDXBXCXEXF $.

  $( The first supplement to the law of quadratic reciprocity.  Negative one is
     a square mod an odd prime ` P ` iff ` P == 1 ` (mod ` 4 ` ).  See first
     case of theorem 9.4 in [ApostolNT] p. 181.  (Contributed by Mario
     Carneiro, 19-Jun-2015.) $)
  m1lgs $p |- ( P e. ( Prime \ { 2 } ) ->
      ( ( -u 1 /L P ) = 1 <-> ( P mod 4 ) = 1 ) ) $=
    ( cprime c2 wcel c1 co wceq c4 cmo cmin cdiv caddc cdvds wbr cz syl cc0 a1i
    cexp wb csn cdif cneg clgs cn0 oddprm nnnn0d zexpcl sylancr peano2zd eldifi
    neg1z cn prmnn zmodcld nn0cnd 1cnd subaddd crp cle clt nnrpd 0le2 oddprmgt2
    cr 2re modid syl22anc df-2 eqtrdi eqeq1d wn wa eldifsni neneqd cuz cfv 2prm
    prmuz2 dvdsprm sylancl mtbird adantr simpr oexpneg syl3anc nnzd 1exp negeqd
    cc eqtrd oveq1d ax-1cn neg1cn 1pneg1e0 addcomli oveq2d subid1i breq2d con4d
    2cn ex 2z moddvds wne 4z 4ne0 nnm1nn0 nn0zd dvdsval2 mp3an12i cmul divdiv1d
    2t2e4 oveq2i eleq1d bitr4d 3imtr4d neg1ne0 biimpa expmulz divcan2d neg1sqe1
    2ne0 nncnd oveq1i syl5eq 3eqtr3d eqtr4id 3bitr2d lgsval3 mpan 4nn prmz 1zzd
    impbid 3bitr4d 1re nnrp ax-mp 0le1 1lt4 mp4an eqeq2i bitrdi ) ABCUAZUBDZEUC
    ZAUDFZEGZAHIFZEHIFZGZUUKEGUUGUUHAEJFZCKFZSFZELFZAIFZEJFZEGZHUUNMNZUUJUUMUUG
    UUTEELFZUURGCAIFZUURGZUVAUUGUUREEUUGUURUUGUUQAUUGUUPUUGUUHODZUUOUEDUUPODULU
    UGUUOAUFZUGUUHUUOUHUIUJZUUGABDZAUMDZABUUFUKZAUNPZUOUPUUGUQZUVLURUUGUVCUVBUU
    RUUGUVCCUVBUUGCVEDZAUSDQCUTNZCAVANUVCCGUVMUUGVFRUUGAUVKVBUVNUUGVCRAVDCAVGVH
    VIVJVKUUGUVDUVAUUGACUUQJFZMNZCUUOMNZUVDUVAUUGUVQUVPUUGUVQVLZUVPVLUUGUVRVMZU
    VPACMNZUUGUVTVLUVRUUGUVTACGZUUGACABCVNVOUUGACVPVQDZCBDUVTUWATUUGUVHUWBUVJAV
    SPVRCAVTWAWBWCUVSUVOCAMUVSUVOCQJFCUVSUUQQCJUVSUUQUUHELFQUVSUUPUUHELUVSUUPEU
    UOSFZUCZUUHUVSEWJDUUOUMDZUVRUUPUWDGUVSUQUUGUWEUVRUVFWCZUUGUVRWDEUUOWEWFUVSU
    WCEUVSUUOODZUWCEGUVSUUOUWFWGUUOWHPWIWKWLEUUHQWMWNWOWPVJWQCXAWRVJWSWBXBWTUUG
    UVICODZUUQODUVDUVPTUVKUWHUUGXCRUVGCUUQAXDWFUUGUVAUUOCKFZODZUVQUUGUVAUUNHKFZ
    ODZUWJHODHQXEUUGUUNODUVAUWLTXFXGUUGUUNUUGUVIUUNUEDUVKAXHPZXIHUUNXJXKUUGUWIU
    WKOUUGUWIUUNCCXLFZKFUWKUUGUUNCCUUGUUNUWMUPCWJDUUGXARZUWOCQXEZUUGYDRZUWQXMUW
    NHUUNKXNXOVJXPXQZUWHUWPUUGUWGUVQUWJTXCYDUUGUUOUVFWGCUUOXJXKXQXRUUGUVAUVDUUG
    UVAVMZCUUQAIUWSCUVBUUQVIUWSUUPEELUWSUUHCUWIXLFZSFZUUHCSFZUWISFZUUPEUWSUUHWJ
    DZUUHQXEZUWHUWJUXAUXCGUXDUWSWNRUXEUWSXSRUWHUWSXCRUUGUVAUWJUWRXTZUUHCUWIYAVH
    UWSUWTUUOUUHSUUGUWTUUOGUVAUUGUUOCUUGUUOUVFYEUWOUWQYBWCWQUWSUXCEUWISFZEUXBEU
    WISYCYFUWSUWJUXGEGUXFUWIWHPYGYHWLYIWLXBYPYJUUGUUIUUSEUVEUUGUUIUUSGULUUHAYKY
    LVKUUGHUMDZAODZEODUUMUVATUXHUUGYMRUUGUVHUXIUVJAYNPUUGYOAEHXDWFYQUULEUUKEVED
    HUSDZQEUTNEHVANUULEGYRUXHUXJYMHYSYTUUAUUBEHVGUUCUUDUUE $.

  ${
    $d P i $.
    $( Lemma 1 for ~ 2lgslem1a .  (Contributed by AV, 16-Jun-2021.) $)
    2lgslem1a1 $p |- ( ( P e. NN /\ -. 2 || P )
                     -> A. i e. ( 1 ... ( ( P - 1 ) / 2 ) )
                        ( i x. 2 ) = ( ( i x. 2 ) mod P ) ) $=
      ( cn wcel c2 wbr wa cmul co wceq c1 cr cc0 cle adantr cz 2re a1i syl wi
      cdvds cmo cmin cdiv cfz crp clt nnrp elfzelz zre remulcld anim12ci elfznn
      wn cv nnre nnnn0 nn0ge0d pm3.2i mulge0 syl21anc adantl w3a elfz2 3ad2ant3
      0le2 wb 3ad2ant2 2pos lemul1 syl3anc cc nncn peano2cnm 2cnd 2ne0 divcan1d
      wne breq2d id 2z zmulcld nnz zltlem1 syl2an biimprd sylbid ex com23 imp32
      a1d sylbi impcom modid syl12anc eqcomd ralrimiva ) ACDZEAUAFUNZGZBUOZEHIZ
      XBAUBIZJBKAKUCIZEUDIZUEIZWTXAXFDZGZXCXBXHXBLDZAUFDZGMXBNFZXBAUGFZXCXBJWTX
      JXGXIWRXJWSAUHOXGXAPDZXIXAKXEUIXMXAEXAUJZELDZXMQRUKSULXGXKWTXGXACDZXKXAXE
      UMXPXALDZMXANFXOMENFZGZXKXAUPXPXAXAUQURXSXPXOXRQVFUSRXAEUTVASVBXGWTXLXGKP
      DZXEPDZXMVCZKXANFZXAXENFZGGWTXLTZXAKXEVDYBYCYDYEYBYDYETYCYBYDXBXEEHIZNFZY
      EYBXQXELDZXOMEUGFZGZYDYGVGXMXTXQYAXNVEYAXTYHXMXEUJVHYJYBXOYIQVIUSRXAXEEVJ
      VKYBWTYGXLYBWTYGXLTYBWTGZYGXBXDNFZXLYKYFXDXBNWTYFXDJZYBWRYMWSWRXDEWRAVLDX
      DVLDAVMAVNSWRVOEMVRWRVPRVQOVBVSYKXLYLYBXBPDZAPDZXLYLVGWTXMXTYNYAXMXAEXMVT
      EPDXMWARWBVEWRYOWSAWCOXBAWDWEWFWGWHWIWGWKWJWLWMXBAWNWOWPWQ $.
  $}

  $( Lemma 2 for ~ 2lgslem1a .  (Contributed by AV, 18-Jun-2021.) $)
  2lgslem1a2 $p |- ( ( N e. ZZ /\ I e. ZZ )
                  -> ( ( |_ ` ( N / 4 ) ) < I <-> ( N / 2 ) < ( I x. 2 ) ) ) $=
    ( cz wcel wa c2 cdiv co cmul clt wbr c4 cr cc0 wb adantr a1i adantl syl3anc
    cc cfl cfv zre rehalfcld id 2z zmulcld zred 2re 2pos pm3.2i ltdiv1 wne wceq
    2cnne0 divdiv1 2t2e4 oveq2i eqtrdi 2cnd 2ne0 divcan4d breq12d 4ne0 redivcld
    zcn 4re fllt sylan 3bitrrd ) BCDZACDZEZBFGHZAFIHZJKZVNFGHZVOFGHZJKZBLGHZAJK
    ZVTUAUBAJKZVMVNMDZVOMDZFMDZNFJKZEZVPVSOVKWCVLVKBBUCZUDPVLWDVKVLVOVLAFVLUEFC
    DVLUFQUGUHRWGVMWEWFUIUJUKQVNVOFULSVMVQVTVRAJVMVQBFFIHZGHZVTVMBTDZFTDFNUMZEZ
    WMVQWJUNVKWKVLBVFPWMVMUOQZWNBFFUPSWILBGUQURUSVMAFVLATDVKAVFRVMUTWLVMVAQVBVC
    VKVTMDVLWAWBOVKBLWHLMDVKVGQLNUMVKVDQVEVTAVHVIVJ $.

  ${
    $d P i k x $.
    $( Lemma 1 for ~ 2lgslem1 .  (Contributed by AV, 18-Jun-2021.) $)
    2lgslem1a $p |- ( ( P e. Prime /\ -. 2 || P )
                      -> { x e. ZZ | E. i e. ( 1 ... ( ( P - 1 ) / 2 ) )
                                ( x = ( i x. 2 ) /\ ( P / 2 ) < ( x mod P ) ) }
                         = { x e. ZZ | E. i e. ( ( ( |_ ` ( P / 4 ) ) + 1 )
                                  ... ( ( P - 1 ) / 2 ) ) x = ( i x. 2 ) } ) $=
      ( vk wcel c2 wbr wa cv cmul co wceq cdiv cmo clt c1 wrex cz wb ad2antrr
      cprime cdvds wn cmin cfz c4 cfl cfv caddc cuz wss cn cn0 prmnn nnnn0d 4nn
      jctir fldivnn0 nn0p1nn 3syl sylib fzss1 rexss ancom cle syl nn0zd elfzelz
      elnnuz zltp1le syl2an bicomd anbi1d adantl peano2zd adantr oddm1d2 biimpa
      prmz elfz syl3anc elfzle2 biantrud 2lgslem1a2 bitrd wral 2lgslem1a1 sylan
      3bitr4d weq oveq1d eqeq12d rspccva breq2d eqcomd sylan9bb pm5.32da syl5bb
      oveq1 rexbidva rabbidva ) BUAEZFBUBGUCZHZAIZCIZFJKZLZBFMKZXEBNKZOGZHZCPBP
      UDKFMKZUEKZQZXHCBUFMKUGUHZPUIKZXMUEKZQZARXDXEREZHZXSXOYAXSXFXREZXHHZCXNQZ
      XOYAXQPUJUHEZXRXNUKXSYDSYAXQULEZYEYABUMEZUFULEZHZXPUMEZYFYAYGYHXBYGXCXTXB
      BBUNZUOZTUPUQBUFURZXPUSUTXQVIVAXQPXMVBXHCXRXNVCUTYAYCXLCXNYCXHYBHYAXFXNEZ
      HZXLYBXHVDYOXHYBXKYOYBXIXGBNKZOGZXHXKYOYBXIXGOGZYQYOYBXPXFOGZYRYOXQXFVEGZ
      XFXMVEGZHZYSUUAHYBYSYOYTYSUUAYOYSYTYAXPREZXFREZYSYTSYNXBUUCXCXTXBXPXBYIYJ
      XBYGYHYLUPUQYMVFVGZTXFPXMVHZXPXFVJVKVLVMYOUUDXQREZXMREZYBUUBSYNUUDYAUUFVN
      XDUUGXTYNXBUUGXCXBXPUUEVOVPTXDUUHXTYNXBXCUUHXBBREZXCUUHSBVSZBVQVFVRTXFXQX
      MVTWAYOUUAYSYNUUAYAXFPXMWBVNWCWIYAUUIUUDYSYRSYNXBUUIXCXTUUJTUUFXFBWDVKWEY
      OXGYPXIOYADIZFJKZUULBNKZLZDXNWFZYNXGYPLZXDUUOXTXBBULEXCUUOYKBDWGWHVPUUNUU
      PDXFXNDCWJZUULXGUUMYPUUKXFFJWSZUUQUULXGBNUURWKWLWMWHWNWEXHYPXJXIOXHXJYPXE
      XGBNWSWOWNWPWQWRWTWEVLXA $.
  $}

  ${
    $d F y z $.  $d I i j x y z $.
    2lgslem1b.i $e |- I = ( A ... B ) $.
    2lgslem1b.f $e |- F = ( j e. I |-> ( j x. 2 ) ) $.
    $( Lemma 2 for ~ 2lgslem1 .  (Contributed by AV, 18-Jun-2021.) $)
    2lgslem1b $p |- F : I -1-1-onto-> { x e. ZZ | E. i e. I x = ( i x. 2 ) } $=
      ( vy vz cv c2 cmul co wceq cz wcel elfzelz eleq2s wrex wf1 crn wf cfv weq
      crab wf1o wi wral eqeq1 rexbidv cfz 2z a1i zmulcld id oveq1 eqeq2d adantl
      wb eqidd rspcedvd elrabd fmpti cvv simpl ovexd fvmptd3 simpr eqeq12d zcnd
      wa cc adantr 2cnd cc0 wne mulcan2d biimpd sylbid rgen2 dff13 mpbir2an cab
      2ne0 cbvrexvw eleq1 syl5ibrcom rexlimiv pm4.71ri bitri abbii rnmpt df-rab
      3eqtr4i dff1o5 ) GALZDLZMNOZPZDGUAZAQUGZFUHGXCFUBZFUCZXCPXDGXCFUDJLZFUEZK
      LZFUEZPZJKUFZUIZKGUJJGUJEGXCELZMNOZFIXMGRZXBXNWTPZDGUAAXNQWRXNPZXAXPDGWRX
      NWTUKULXOXMMXMQRXMBCUMOZGXMBCSHTMQRZXOUNUOUPXOXPXNXNPZDXMGXOUQDEUFZXPXTVA
      XOYAWTXNXNWSXMMNURUSUTXOXNVBVCVDVEXLJKGGXFGRZXHGRZVMZXJXFMNOZXHMNOZPZXKYD
      XGYEXIYFYDEXFXNYEGFVFIXMXFMNURYBYCVGYDXFMNVHVIYDEXHXNYFGFVFIXMXHMNURYBYCV
      JYDXHMNVHVIVKYDYGXKYDXFXHMYBXFVNRYCYBXFXFQRXFXRGXFBCSHTVLVOYCXHVNRYBYCXHX
      HQRXHXRGXHBCSHTVLUTYDVPMVQVRYDWFUOVSVTWAWBJKGXCFWCWDXQEGUAZAWEWRQRZXBVMZA
      WEXEXCYHYJAYHXBYJXQXAEDGEDUFXNWTWRXMWSMNURUSWGXBYIXAYIDGWSGRYIXAWTQRZYKWS
      XRGWSXRRZWSMWSBCSXSYLUNUOUPHTWRWTQWHWIWJWKWLWMEAGXNFIWNXBAQWOWPGXCFWQWD
      $.
  $}

  ${
    $d P n $.
    $( Lemma 3 for ~ 2lgslem1 .  (Contributed by AV, 19-Jun-2021.) $)
    2lgslem1c $p |- ( ( P e. Prime /\ -. 2 || P )
                      -> ( |_ ` ( P / 4 ) ) <_ ( ( P - 1 ) / 2 ) ) $=
      ( vn wcel c2 cdvds wbr wn cdiv co c1 cmin cle wceq cn0 wa adantl ad2antlr
      cr syl a1i cprime c4 cfl cfv cv cmul caddc wrex cn prmnn nnnn0 oddnn02np1
      wb cif iftrue adantr 2nn nn0ledivnn mpan2 eqbrtrd iffalse nn0re peano2rem
      3syl rehalfcld lem1d cc0 clt 2re 2pos pm3.2i lediv1 mpbid letrd pm2.61ian
      syl3anc cz nn0z eqcom biimpi flodddiv4 syl2an oveq1 eqcoms 2nn0 nn0mulcld
      cc nn0cnd pncan1 eqtrd oveq1d nn0cn 2cnd 2ne0 divcan3d 3brtr4d rexlimdva2
      id wne sylbid imp ) AUACZDAEFGZAUBHIUCUDZAJKIZDHIZLFZXBXCDBUEZUFIZJUGIZAM
      ZBNUHZXGXBAUICANCXCXLUMAUJAUKBAULVDXBXKXGBNXBXHNCZOZXKOZDXHEFZXHDHIZXHJKI
      ZDHIZUNZXHXDXFLXMXTXHLFZXBXKXPXMYAXPXMOXTXQXHLXPXTXQMXMXPXQXSUOUPXMXQXHLF
      ZXPXMDUICYBUQXHDURUSZPUTXPGZXMOXTXSXHLYDXTXSMXMXPXQXSVAUPXMXSXHLFYDXMXSXQ
      XHXMXHRCZXSRCXHVBZYEXRXHVCZVESXMXHYFVEYFXMXRXHLFZXSXQLFZXMXHYFVFXMXRRCZYE
      DRCZVGDVHFZOZYHYIUMXMYEYJYFYGSYFYMXMYKYLVIVJVKTXRXHDVLVPVMYCVNPUTVOQXNXHV
      QCZAXJMZXDXTMXKXMYNXBXHVRPXKYOXJAVSVTXHAWAWBXOXFXIDHIZXHXOXEXIDHXOXEXJJKI
      ZXIXKXEYQMZXNYRAXJAXJJKWCWDPXMYQXIMZXBXKXMXIWGCYSXMXIXMDXHDNCXMWETXMWRWFW
      HXIWISQWJWKXMYPXHMXBXKXMXHDXHWLXMWMDVGWSXMWNTWOQWJWPWQWTXA $.
  $}

  ${
    $d P f i x y $.
    $( Lemma 1 for ~ 2lgs .  (Contributed by AV, 19-Jun-2021.) $)
    2lgslem1 $p |- ( ( P e. Prime /\ -. 2 || P )
                     -> ( # ` { x e. ZZ | E. i e. ( 1 ... ( ( P - 1 ) / 2 ) )
                              ( x = ( i x. 2 ) /\ ( P / 2 ) < ( x mod P ) ) } )
                        = ( ( ( P - 1 ) / 2 ) - ( |_ ` ( P / 4 ) ) ) ) $=
      ( vf vy wcel c2 wbr wa cv co wceq cdiv c1 cfz cz chash cfv c4 a1i wn cmul
      cprime cdvds cmo clt cmin wrex crab cfl caddc 2lgslem1a cvv wf1o wex ovex
      fveq2d cmpt mptex f1oeq1 eqid 2lgslem1b ceqsexv2d hasheqf1oi cuz cle prmz
      mpsyl zred cr 4re cc0 wne 4ne0 redivcld flcld adantr wb oddm1d2 2lgslem1c
      syl biimpa eluz2 syl3anbrc hashfzp1 3eqtr2d ) BUCFZGBUDHUAZIZAJZCJGUBKLZB
      GMKWJBUEKUFHICNBNUGKGMKZOKUHAPUIZQRWKCBSMKZUJRZNUKKZWLOKZUHAPUIZQRZWQQRZW
      LWOUGKZWIWMWRQABCULUQWQUMFWIWQWRDJZUNZDUOZWTWSLWPWLOUPZXDWIXCWQWREWQEJGUB
      KZURZUNDXGEWQXFXEUSWQWRXBXGUTAWPWLCEXGWQWQVAXGVAVBVCTWQWRDUMVDVHWIWLWOVER
      FZWTXALWIWOPFZWLPFZWOWLVFHXHWGXIWHWGWNWGBSWGBBVGZVISVJFWGVKTSVLVMWGVNTVOV
      PVQWGWHXJWGBPFWHXJVRXKBVSWAWBBVTWOWLWCWDWOWLWEWAWF $.
  $}

  ${
    2lgslem2.n $e |- N = ( ( ( P - 1 ) / 2 ) - ( |_ ` ( P / 4 ) ) ) $.
    $( Lemma 2 for ~ 2lgs .  (Contributed by AV, 20-Jun-2021.) $)
    2lgslem2 $p |- ( ( P e. Prime /\ -. 2 || P ) -> N e. ZZ ) $=
      ( cprime wcel c2 cdvds wbr wn wa c1 cmin co cdiv c4 cfl cfv cz csn a1i cr
      cdif simpl wceq elsng z2even breq2 mpbiri syl6bi con3dimp eldifd nnzd syl
      oddprm prmz zred 4re cc0 wne 4ne0 redivcld flcld adantr zsubcld eqeltrid
      ) ADEZFAGHZIZJZBAKLMFNMZAONMZPQZLMRCVIVJVLVIADFSZUBEZVJREVIADVMVFVHUCVFAV
      MEZVGVFVOAFUDZVGAFDUEVPVGFFGHUFAFFGUGUHUIUJUKVNVJAUNULUMVFVLREVHVFVKVFAOV
      FAAUOUPOUAEVFUQTOURUSVFUTTVAVBVCVDVE $.

    $( Lemma for ~ 2lgslem3a1 .  (Contributed by AV, 14-Jul-2021.) $)
    2lgslem3a $p |- ( ( K e. NN0 /\ P = ( ( 8 x. K ) + 1 ) )
                      -> N = ( 2 x. K ) ) $=
      ( c8 cmul co c1 wceq cn0 wcel cmin c2 cdiv c4 cfl oveq1d cc a1i eqtrd cfv
      caddc oveq1 fvoveq1 oveq12d syl5eq id nn0mulcld nn0cnd pncan1 syl 4cn 2cn
      8nn0 4t2e8 mulcomli eqcomi nn0cn mulassd 4nn0 cc0 2ne0 divcan3d 3eqtrd wa
      wne 1cnd pm3.2i divdir syl3anc 8cn div23 oveq1i divcan3i eqtri fveq2d clt
      4ne0 wbr 1lt4 cz cn wb 2nn0 nn0zd 4nn adddivflid mpbii 2txmxeqx sylan9eqr
      1nn0 2t2e4 ) AEBFGZHUBGZIZBJKZCWNHLGZMNGZWNONGZPUAZLGZMBFGZWOCAHLGZMNGZAO
      NGPUAZLGXADWOXDWRXEWTLWOXCWQMNAWNHLUCQAWNOPNUDUEUFWPXAOBFGZXBLGMXBFGZXBLG
      ZXBWPWRXFWTXBLWPWRWMMNGMXFFGZMNGXFWPWQWMMNWPWMRKZWQWMIWPWMWPEBEJKWPUNSWPU
      GZUHUIZWMUJUKQWPWMXIMNWPWMMOFGZBFGXIWPEXMBFEXMIWPXMEOMEULUMUOUPUQSQWPMOBM
      RKWPUMSZORKZWPULSBURZUSTQWPXFMWPXFWPOBOJKWPUTSXKUHUIXNMVAVFWPVBSVCVDWPWTX
      BHONGZUBGZPUAZXBWPWSXRPWPWSWMONGZXQUBGZXRWPXJHRKXOOVAVFZVEZWSYAIXLWPVGYCW
      PXOYBULVRVHSZWMHOVIVJWPXTXBXQUBWPXTEONGZBFGZXBWPERKZBRKYCXTYFIYGWPVKSXPYD
      EBOVLVJWPYEMBFYEMIWPYEOMFGZONGMEYHONYHEUOUQVMMOUMULVRVNVOSQTQTVPWPHOVQVSZ
      XSXBIZVTWPXBWAKHJKZOWBKZYIYJWCWPXBWPMBMJKWPWDSXKUHZWEYKWPWKSYLWPWFSXBHOWG
      VJWHTUEWPXFXGXBLWPXFMMFGZBFGXGWPOYNBFOYNIWPYNOWLUQSQWPMMBXNXNXPUSTQWPXBRK
      XHXBIWPXBYMUIXBWIUKVDWJ $.

    $( Lemma for ~ 2lgslem3b1 .  (Contributed by AV, 16-Jul-2021.) $)
    2lgslem3b $p |- ( ( K e. NN0 /\ P = ( ( 8 x. K ) + 3 ) )
                      -> N = ( ( 2 x. K ) + 1 ) ) $=
      ( c8 cmul co c3 caddc wceq wcel c1 cmin c2 cdiv c4 oveq1d a1i cc eqtrd id
      cn0 cfl cfv oveq1 fvoveq1 oveq12d syl5eq 8nn0 nn0mulcld nn0cnd addsubassd
      3cn 1cnd 4t2e8 eqcomi 4cn 2cn nn0cn mul32d cc0 wne wa 4nn0 mulcld crp 2rp
      3m1e2 rpcnne0d divdir syl3anc 2ne0 divcan4d 2div2e1 3eqtrd 4ne0 8cn div23
      pm3.2i oveq1i divcan3i eqtri fveq2d clt wbr 3lt4 cz cn wb 2nn0 nn0zd 3nn0
      4nn adddivflid mpbii addsubd 2t2e4 mulassd 2txmxeqx syl sylan9eqr ) AEBFG
      ZHIGZJZBUBKZCXCLMGZNOGZXCPOGZUCUDZMGZNBFGZLIGZXDCALMGZNOGZAPOGUCUDZMGXJDX
      DXNXGXOXIMXDXMXFNOAXCLMUEQAXCPUCOUFUGUHXEXJPBFGZLIGZXKMGXPXKMGZLIGXLXEXGX
      QXIXKMXEXGXPNFGZNIGZNOGZXSNOGZNNOGZIGZXQXEXFXTNOXEXFXBHLMGZIGXTXEXBHLXEXB
      XEEBEUBKXEUIRXEUAZUJUKZHSKZXEUMRZXEUNZULXEXBXSYENIXEXBPNFGZBFGXSXEEYKBFEY
      KJXEYKEUOUPZRQXEPNBPSKZXEUQRNSKZXEURRZBUSZUTTYENJXEVHRUGTQXEXSSKYNYNNVAVB
      ZVCYAYDJXEXPNXEXPXEPBPUBKXEVDRYFUJUKZYOVEYOXENNVFKXEVGRVIXSNNVJVKXEYBXPYC
      LIXEXPNYRYOYQXEVLRVMYCLJXEVNRUGVOXEXIXKHPOGZIGZUCUDZXKXEXHYTUCXEXHXBPOGZY
      SIGZYTXEXBSKYHYMPVAVBZVCZXHUUCJYGYIUUEXEYMUUDUQVPVSRZXBHPVJVKXEUUBXKYSIXE
      UUBEPOGZBFGZXKXEESKZBSKUUEUUBUUHJUUIXEVQRYPUUFEBPVRVKXEUUGNBFUUGNJXEUUGYK
      POGNEYKPOYLVTNPURUQVPWAWBRQTQTWCXEHPWDWEZUUAXKJZWFXEXKWGKHUBKZPWHKZUUJUUK
      WIXEXKXENBNUBKXEWJRYFUJZWKUULXEWLRUUMXEWMRXKHPWNVKWOTUGXEXPLXKYRYJXEXKUUN
      UKZWPXEXRXKLIXEXRNXKFGZXKMGZXKXEXPUUPXKMXEXPNNFGZBFGUUPXEPUURBFPUURJXEUUR
      PWQUPRQXENNBYOYOYPWRTQXEXKSKUUQXKJUUOXKWSWTTQVOXA $.

    $( Lemma for ~ 2lgslem3c1 .  (Contributed by AV, 16-Jul-2021.) $)
    2lgslem3c $p |- ( ( K e. NN0 /\ P = ( ( 8 x. K ) + 5 ) )
                      -> N = ( ( 2 x. K ) + 1 ) ) $=
      ( c8 cmul co c5 caddc wceq wcel c1 cmin c2 cdiv c4 cfl a1i cc eqtrd oveq1
      cn0 cfv oveq1d fvoveq1 oveq12d syl5eq 8nn0 id nn0mulcld nn0cnd addsubassd
      5cn 1cnd 4t2e8 eqcomi 4cn 2cn nn0cn mul32d cc0 wne wa 4nn0 mulcld crp 2rp
      5m1e4 rpcnne0d divdir syl3anc 2ne0 divcan4d 4d2e2 3eqtrd pm3.2i 8cn div23
      4ne0 oveq1i divcan3i eqtri fveq2d clt 1lt4 cz cn 2nn0 nn0zd peano2zd 1nn0
      wbr wb adddivflid reccld addassd df-5 ax-1cn divdiri dividi 3eqtri eqcomd
      4nn oveq2d fveqeq2d bitrd mpbii addsub4d 2t2e4 mulassd 2txmxeqx syl 2m1e1
      sylan9eqr ) AEBFGZHIGZJZBUBKZCXPLMGZNOGZXPPOGZQUCZMGZNBFGZLIGZXQCALMGZNOG
      ZAPOGQUCZMGYCDXQYGXTYHYBMXQYFXSNOAXPLMUAUDAXPPQOUEUFUGXRYCPBFGZNIGZYEMGYI
      YDMGZNLMGZIGYEXRXTYJYBYEMXRXTYINFGZPIGZNOGZYMNOGZPNOGZIGZYJXRXSYNNOXRXSXO
      HLMGZIGYNXRXOHLXRXOXREBEUBKXRUHRXRUIZUJUKZHSKZXRUMRZXRUNZULXRXOYMYSPIXRXO
      PNFGZBFGYMXREUUEBFEUUEJXRUUEEUOUPZRUDXRPNBPSKZXRUQRZNSKZXRURRZBUSZUTTYSPJ
      XRVHRUFTUDXRYMSKUUGUUINVAVBZVCYOYRJXRYINXRYIXRPBPUBKXRVDRYTUJUKZUUJVEUUHX
      RNNVFKXRVGRVIYMPNVJVKXRYPYIYQNIXRYINUUMUUJUULXRVLRVMYQNJXRVNRUFVOXRYBYDHP
      OGZIGZQUCZYEXRYAUUOQXRYAXOPOGZUUNIGZUUOXRXOSKUUBUUGPVAVBZVCZYAUURJUUAUUCU
      UTXRUUGUUSUQVSVPRZXOHPVJVKXRUUQYDUUNIXRUUQEPOGZBFGZYDXRESKZBSKUUTUUQUVCJU
      VDXRVQRUUKUVAEBPVRVKXRUVBNBFUVBNJXRUVBUUEPOGNEUUEPOUUFVTNPURUQVSWAWBRUDTU
      DTWCXRLPWDWLZUUPYEJZWEXRUVEYELPOGZIGZQUCYEJZUVFXRYEWFKLUBKZPWGKZUVEUVIWMX
      RYDXRYDXRNBNUBKXRWHRYTUJZWIWJUVJXRWKRUVKXRXCRYELPWNVKXRUVHUUOYEQXRUVHYDLU
      VGIGZIGUUOXRYDLUVGXRNBUUJUUKVEUUDXRPUUHUUSXRVSRWOWPXRUVMUUNYDIXRUUNUVMUUN
      UVMJXRUUNPLIGZPOGPPOGZUVGIGUVMHUVNPOWQVTPLPUQWRUQVSWSUVOLUVGIPUQVSWTVTXAR
      XBXDTXEXFXGTUFXRYINYDLUUMUUJXRYDUVLUKZUUDXHXRYKYDYLLIXRYKNYDFGZYDMGZYDXRY
      IUVQYDMXRYINNFGZBFGUVQXRPUVSBFPUVSJXRUVSPXIUPRUDXRNNBUUJUUJUUKXJTUDXRYDSK
      UVRYDJUVPYDXKXLTYLLJXRXMRUFVOXN $.

    $( Lemma for ~ 2lgslem3d1 .  (Contributed by AV, 16-Jul-2021.) $)
    2lgslem3d $p |- ( ( K e. NN0 /\ P = ( ( 8 x. K ) + 7 ) )
                      -> N = ( ( 2 x. K ) + 2 ) ) $=
      ( c8 cmul co c7 caddc wceq wcel c1 cmin c2 cdiv c4 c3 c6 a1i cc cn0 oveq1
      cfl cfv oveq1d fvoveq1 oveq12d syl5eq 8nn0 id nn0mulcld nn0cnd addsubassd
      7cn 1cnd 4t2e8 eqcomi 4cn 2cn nn0cn mul32d eqtrd 7m1e6 cc0 wa 4nn0 mulcld
      wne 6cn crp 2rp rpcnne0d divdir syl3anc 2ne0 divcan4d oveq1i 3cn divcan4i
      3t2e6 eqtri 3eqtrd 4ne0 pm3.2i 8cn div23 divcan3i fveq2d clt wbr cz cn wb
      3lt4 2nn0 nn0zd peano2zd 3nn0 4nn adddivflid divcld addassd 4p3e7 divdiri
      dividi 3eqtri eqcomd fveqeq2d bitrd mpbii addsub4d 2t2e4 mulassd 2txmxeqx
      oveq2d syl 3m1e2 sylan9eqr ) AEBFGZHIGZJZBUAKZCXTLMGZNOGZXTPOGZUCUDZMGZNB
      FGZNIGZYACALMGZNOGZAPOGUCUDZMGYGDYAYKYDYLYFMYAYJYCNOAXTLMUBUEAXTPUCOUFUGU
      HYBYGPBFGZQIGZYHLIGZMGYMYHMGZQLMGZIGYIYBYDYNYFYOMYBYDYMNFGZRIGZNOGZYRNOGZ
      RNOGZIGZYNYBYCYSNOYBYCXSHLMGZIGYSYBXSHLYBXSYBEBEUAKYBUISYBUJZUKULZHTKZYBU
      NSZYBUOZUMYBXSYRUUDRIYBXSPNFGZBFGYRYBEUUJBFEUUJJYBUUJEUPUQZSUEYBPNBPTKZYB
      URSZNTKZYBUSSZBUTZVAVBUUDRJYBVCSUGVBUEYBYRTKRTKZUUNNVDVHZVEYTUUCJYBYMNYBY
      MYBPBPUAKYBVFSUUEUKULZUUOVGUUQYBVISYBNNVJKYBVKSVLYRRNVMVNYBUUAYMUUBQIYBYM
      NUUSUUOUURYBVOSVPUUBQJYBUUBQNFGZNOGQRUUTNOUUTRVTUQVQQNVRUSVOVSWASUGWBYBYF
      YHHPOGZIGZUCUDZYOYBYEUVBUCYBYEXSPOGZUVAIGZUVBYBXSTKUUGUULPVDVHZVEZYEUVEJU
      UFUUHUVGYBUULUVFURWCWDSZXSHPVMVNYBUVDYHUVAIYBUVDEPOGZBFGZYHYBETKZBTKUVGUV
      DUVJJUVKYBWESUUPUVHEBPWFVNYBUVINBFUVINJYBUVIUUJPOGNEUUJPOUUKVQNPUSURWCWGW
      ASUEVBUEVBWHYBQPWIWJZUVCYOJZWNYBUVLYOQPOGZIGZUCUDYOJZUVMYBYOWKKQUAKZPWLKZ
      UVLUVPWMYBYHYBYHYBNBNUAKYBWOSUUEUKZWPWQUVQYBWRSUVRYBWSSYOQPWTVNYBUVOUVBYO
      UCYBUVOYHLUVNIGZIGUVBYBYHLUVNYBNBUUOUUPVGUUIYBQPQTKYBVRSZUUMUVFYBWCSXAXBY
      BUVTUVAYHIYBUVAUVTUVAUVTJYBUVAPQIGZPOGPPOGZUVNIGUVTHUWBPOUWBHXCUQVQPQPURV
      RURWCXDUWCLUVNIPURWCXEVQXFSXGXOVBXHXIXJVBUGYBYMQYHLUUSUWAYBYHUVSULZUUIXKY
      BYPYHYQNIYBYPNYHFGZYHMGZYHYBYMUWEYHMYBYMNNFGZBFGUWEYBPUWGBFPUWGJYBUWGPXLU
      QSUEYBNNBUUOUUOUUPXMVBUEYBYHTKUWFYHJUWDYHXNXPVBYQNJYBXQSUGWBXR $.

    $d N k $.  $d P k $.
    $( Lemma 1 for ~ 2lgslem3 .  (Contributed by AV, 15-Jul-2021.) $)
    2lgslem3a1 $p |- ( ( P e. NN /\ ( P mod 8 ) = 1 ) -> ( N mod 2 ) = 0 ) $=
      ( vk cn wcel c8 cmo co c1 wceq c2 cc0 cmul cn0 crp sylancl mulcomd oveq1d
      caddc cv wrex wi nnnn0 8nn nnrp ax-mp modmuladdnn0 wa simpr nn0cn 8cn a1i
      cc adantl eqeq2d biimpa 2lgslem3a syl2an2r oveq1 2cnd cz nn0z 2rp mulmod0
      eqtrd sylan9eqr rexlimdva2 syld imp ) AEFZAGHIJKZBLHIZMKZVKVLADUAZGNIZJTI
      ZKZDOUBZVNVKAOFGPFZVLVSUCAUDGEFVTUEGUFUGAJDGUHQVKVRVNDOVKVOOFZUIZWAVRBLVO
      NIZKZVNVKWAUJZWBWAVRAGVONIZJTIZKZWDWEWBVRWHWBVQWGAWBVPWFJTWAVPWFKVKWAVOGV
      OUKZGUNFWAULUMRUOSUPUQAVOBCURUSWDWAVMWCLHIZMBWCLHUTWAWJVOLNIZLHIZMWAWCWKL
      HWALVOWAVAWIRSWAVOVBFLPFWLMKVOVCVDVOLVEQVFVGUSVHVIVJ $.

    $( Lemma 2 for ~ 2lgslem3 .  (Contributed by AV, 16-Jul-2021.) $)
    2lgslem3b1 $p |- ( ( P e. NN /\ ( P mod 8 ) = 3 ) -> ( N mod 2 ) = 1 ) $=
      ( vk cn wcel c8 cmo co c3 wceq c2 c1 cv cmul caddc cn0 a1i syl2an2r cz wi
      wrex crp nnnn0 8nn nnrp ax-mp modmuladdnn0 sylancl wa simpr nn0cn mulcomd
      cc 8cn adantl oveq1d eqeq2d biimpa 2lgslem3b oveq1 cdvds wbr nn0z 2tp1odd
      wn eqidd syl2anc wb 2z peano2zd mod2eq1n2dvds mpbird sylan9eqr rexlimdva2
      zmulcld syl syld imp ) AEFZAGHIJKZBLHIZMKZVTWAADNZGOIZJPIZKZDQUBZWCVTAQFG
      UCFZWAWHUAAUDGEFWIUEGUFUGAJDGUHUIVTWGWCDQVTWDQFZUJZWJWGBLWDOIZMPIZKZWCVTW
      JUKZWKWJWGAGWDOIZJPIZKZWNWOWKWGWRWKWFWQAWKWEWPJPWJWEWPKVTWJWDGWDULGUNFWJU
      ORUMUPUQURUSAWDBCUTSWNWJWBWMLHIZMBWMLHVAWJWSMKZLWMVBVCVFZWJWDTFWMWMKXAWDV
      DZWJWMVGWDWMVEVHWJWMTFWTXAVIWJWLWJLWDLTFWJVJRXBVPVKWMVLVQVMVNSVOVRVS $.

    $( Lemma 3 for ~ 2lgslem3 .  (Contributed by AV, 16-Jul-2021.) $)
    2lgslem3c1 $p |- ( ( P e. NN /\ ( P mod 8 ) = 5 ) -> ( N mod 2 ) = 1 ) $=
      ( vk cn wcel c8 cmo co c5 wceq c2 c1 cv cmul caddc cn0 a1i syl2an2r cz wi
      wrex crp nnnn0 8nn nnrp ax-mp modmuladdnn0 sylancl wa simpr nn0cn mulcomd
      cc 8cn adantl oveq1d eqeq2d biimpa 2lgslem3c oveq1 cdvds wbr nn0z 2tp1odd
      wn eqidd syl2anc wb 2z peano2zd mod2eq1n2dvds mpbird sylan9eqr rexlimdva2
      zmulcld syl syld imp ) AEFZAGHIJKZBLHIZMKZVTWAADNZGOIZJPIZKZDQUBZWCVTAQFG
      UCFZWAWHUAAUDGEFWIUEGUFUGAJDGUHUIVTWGWCDQVTWDQFZUJZWJWGBLWDOIZMPIZKZWCVTW
      JUKZWKWJWGAGWDOIZJPIZKZWNWOWKWGWRWKWFWQAWKWEWPJPWJWEWPKVTWJWDGWDULGUNFWJU
      ORUMUPUQURUSAWDBCUTSWNWJWBWMLHIZMBWMLHVAWJWSMKZLWMVBVCVFZWJWDTFWMWMKXAWDV
      DZWJWMVGWDWMVEVHWJWMTFWTXAVIWJWLWJLWDLTFWJVJRXBVPVKWMVLVQVMVNSVOVRVS $.

    $( Lemma 4 for ~ 2lgslem3 .  (Contributed by AV, 15-Jul-2021.) $)
    2lgslem3d1 $p |- ( ( P e. NN /\ ( P mod 8 ) = 7 ) -> ( N mod 2 ) = 0 ) $=
      ( vk cn wcel c8 cmo co c7 wceq c2 cc0 cmul caddc cn0 crp sylancl cc c1 cv
      wrex wi nnnn0 8nn nnrp ax-mp modmuladdnn0 wa simpr 8cn a1i mulcomd adantl
      nn0cn oveq1d eqeq2d biimpa 2lgslem3d syl2an2r oveq1 2t1e2 eqcomi 2cnd w3a
      oveq2d 1cnd adddi eqcomd syl3anc addcld 3eqtrd cz peano2nn0 nn0zd mulmod0
      2rp eqtrd sylan9eqr rexlimdva2 syld imp ) AEFZAGHIJKZBLHIZMKZWCWDADUAZGNI
      ZJOIZKZDPUBZWFWCAPFGQFZWDWKUCAUDGEFWLUEGUFUGAJDGUHRWCWJWFDPWCWGPFZUIZWMWJ
      BLWGNIZLOIZKZWFWCWMUJZWNWMWJAGWGNIZJOIZKZWQWRWNWJXAWNWIWTAWNWHWSJOWMWHWSK
      WCWMWGGWGUOZGSFWMUKULUMUNUPUQURAWGBCUSUTWQWMWEWPLHIZMBWPLHVAWMXCWGTOIZLNI
      ZLHIZMWMWPXELHWMWPWOLTNIZOIZLXDNIZXEWMLXGWOOLXGKWMXGLVBVCULVFWMLSFZWGSFZT
      SFZXHXIKWMVDZXBWMVGZXJXKXLVEXIXHLWGTVHVIVJWMLXDXMWMWGTXBXNVKUMVLUPWMXDVMF
      LQFXFMKWMXDWGVNVOVQXDLVPRVRVSUTVTWAWB $.

    $( Lemma 3 for ~ 2lgs .  (Contributed by AV, 16-Jul-2021.) $)
    2lgslem3 $p |- ( ( P e. NN /\ -. 2 || P )
                  -> ( N mod 2 ) = if ( ( P mod 8 ) e. { 1 , 7 } , 0 , 1 ) ) $=
      ( cmo c1 c7 c3 c5 wcel wn wa cc0 wceq wo expcom jaoi ltneii eqeq1 notbid
      wi c8 co cpr cun cn c2 cdvds wbr cif nnz lgsdir2lem3 sylan elun ovex elpr
      cz 2lgslem3a1 a1d 2lgslem3d1 sylbi imp iftrue adantr eqtr4d ex 2lgslem3b1
      impd 2lgslem3c1 1re 1lt3 nesymi 3lt7 neii pm3.2i anbi12d mpbiri 1lt5 5lt7
      3re 5re ioran xchnxbir sylibr iffalsed expimpd mpcom ) AUADUBZEFUCZGHUCZU
      DIZAUEIZUFAUGUHJZKZBUFDUBZWGWHIZLEUIZMZWKAUPIWLWJAUJAUKULWJWOWGWIIZNWMWQT
      ZWGWHWIUMWOWSWRWOWMWQWOWMKWNLWPWOWMWNLMZWOWGEMZWGFMZNZWMWTTZWGEFAUADUNZUO
      ZXAXDXBXAWKWLWTWKXAWLWTTZWKXAKWTWLABCUQUROVGXBWKWLWTWKXBXGWKXBKWTWLABCUSU
      ROVGPUTVAWOWPLMWMWOLEVBVCVDVEWRWGGMZWGHMZNZWSWGGHXEUOXJWKWLWQXJWKKZWQWLXK
      WNEWPXJWKWNEMZXHWKXLTXIWKXHXLABCVFOWKXIXLABCVHOPVAXKWOLEXKXAJZXBJZKZWOJXJ
      XOWKXHXOXIXHXOGEMZJZGFMZJZKXQXSEGEGVIVJQVKGFGFVSVLQVMVNXHXMXQXNXSXHXAXPWG
      GERSXHXBXRWGGFRSVOVPXIXOHEMZJZHFMZJZKYAYCEHEHVIVQQVKHFHFVTVRQVMVNXIXMYAXN
      YCXIXAXTWGHERSXIXBYBWGHFRSVOVPPVCXCXOWOXAXBWAXFWBWCWDVDURWEUTPUTWF $.
  $}

  $( The Legendre symbol for ` 2 ` at ` 2 ` is ` 0 ` .  (Contributed by AV,
     20-Jun-2021.) $)
  2lgs2 $p |- ( 2 /L 2 ) = 0 $=
    ( c2 clgs co cdvds wbr cc0 c8 cmo c1 c7 cpr wcel cneg cz wceq 2z lgs2 ax-mp
    cif z2even iftruei eqtri ) AABCZAADEZFAGHCIJKLIIMSZSZFANLUCUFOPAQRUDFUETUAU
    B $.

  $( Lemma 4 for ~ 2lgs : special case of ~ 2lgs for ` P = 2 ` .  (Contributed
     by AV, 20-Jun-2021.) $)
  2lgslem4 $p |- ( ( 2 /L 2 ) = 1 <-> ( 2 mod 8 ) e. { 1 , 7 } ) $=
    ( c2 clgs co c1 wceq cc0 c7 wo c8 cmo cpr wcel eqeq1i 0ne1 neii 1ne2 nesymi
    2lgs2 2re wbr 2lt7 ltneii pm3.2ni 2false cr crp cle clt 8nn nnrp ax-mp 0le2
    cn 2lt8 modid mp4an eleq1i 2ex elpr bitr2i 3bitri ) AABCZDEFDEZADEZAGEZHZAI
    JCZDGKZLZVBFDRMVCVFFDNOVDVEDAPQAGAGSUAUBOUCUDVIAVHLVFVGAVHAUELIUFLZFAUGTAIU
    HTVGAESIUMLVJUIIUJUKULUNAIUOUPUQADGURUSUTVA $.

  ${
    $d P i x y $.
    $( The second supplement to the law of quadratic reciprocity (for the
       Legendre symbol extended to arbitrary primes as second argument).  Two
       is a square modulo a prime ` P ` iff ` P == +- 1 ` (mod ` 8 ` ), see
       first case of theorem 9.5 in [ApostolNT] p. 181.  This theorem justifies
       our definition of ` ( N /L 2 ) ` ( ~ lgs2 ) to some degree, by demanding
       that reciprocity extend to the case ` Q = 2 ` .  (Proposed by Mario
       Carneiro, 19-Jun-2015.)  (Contributed by AV, 16-Jul-2021.) $)
    2lgs $p |- ( P e. Prime -> ( ( 2 /L P ) = 1
                                 <-> ( P mod 8 ) e. { 1 , 7 } ) ) $=
      ( vx vi vy c2 wceq cdvds wbr wn cprime wcel clgs co c1 c8 cmo eqeq1d eqid
      wb cc0 wo c7 cpr prm2orodd wi 2lgslem4 a1i oveq2 oveq1 eleq1d 3bitr4d a1d
      wa cneg cmin cdiv c4 cfl cfv cexp cz cv cmul clt cfz wrex crab chash 2prm
      cn prmnn dvdsprime sylancr z2even breq2 mpbiri eleq1 1nprm pm2.21i syl6bi
      jaoi com12 sylbid con3dimp 2z jctil 2lgslem1 eqcomd w3a cif cmpt csn cdif
      nnoddn2prmb 3ad2ant1 gausslemma2d mpd3an23 2lgslem2 syl dvdsval3 2lgslem3
      biimpri m1exp1 2nn sylan ax-1 iffalse wne ax-1ne0 eqneqall pm2.61i iftrue
      mpi impbii 3bitrd expcom mpcom ) AEFZEAGHZIZUAAJKZEALMZNFZAOPMZNUBUCZKZSZ
      AUDXRYAYGUEXTXRYGYAXREELMZNFZEOPMZYEKZYCYFYIYKSXRUFUGXRYBYHNAEELUHQXRYDYJ
      YEAEOPUIUJUKULYAXTYGYAXTUMZYCNUNANUOMEUPMZAUQUPMURUSZUOMZUTMZNFZEYOGHZYFY
      LEVAKZAEGHZIZUMZYOBVBZCVBEVCMFAEUPMZUUCAPMVDHUMCNYMVEMZVFBVAVGVHUSZFZYCYQ
      SYLUUAYSYAYTXSYAYTXRANFZUAZXSYAEJKAVJKZYTUUISVIAVKZEAVLVMUUIYAXSXRYAXSUEU
      UHXRXSYAXRXSEEGHVNAEEGVOVPULUUHYANJKZXSANJVQUULXSVRVSVTWAWBWCWDWEWFYLUUFY
      OBACWGWHYLUUBUUGWIZYBYPNUUMDADUUEDVBEVCMZUUDVDHUUNAUUNUOMWJWKZYMYNYOYLUUB
      AJEWLWMKZUUGUUPYLAWNXBWOYMRUUORYNRYORZWPQWQYLYOVAKZYQYRSAYOUUQWRZYOXCWSYL
      YRYOEPMZTFZYFTNWJZTFZYFYLEVJKUURYRUVASXDUUSEYOWTVMYLUUTUVBTYAUUJXTUUTUVBF
      UUKAYOUUQXAXEQUVCYFSYLUVCYFYFUVCYFUEYFUVCXFYFIZUVCNTFZYFUVDUVBNTYFTNXGQUV
      ENTXHYFXIYFNTXJXMVTXKYFTNXLXNUGXOXOXPWAXQ $.
  $}

  $( Lemma 1 for ~ 2lgsoddprm .  (Contributed by AV, 19-Jul-2021.) $)
  2lgsoddprmlem1 $p |- ( ( A e. ZZ /\ B e. ZZ /\ N = ( ( 8 x. A ) + B ) )
            -> ( ( ( N ^ 2 ) - 1 ) / 8 ) = ( ( ( 8 x. ( A ^ 2 ) )
                                               + ( 2 x. ( A x. B ) ) )
                                             + ( ( ( B ^ 2 ) - 1 ) / 8 ) ) ) $=
    ( cz wcel c8 cmul co caddc wceq w3a c2 cexp c1 cmin cdiv oveq1d wa cc zcn
    oveq1 3ad2ant3 cc0 wne adantr adantl 1cnd 8cn 8pos gt0ne0ii mulsubdivbinom2
    8re pm3.2i a1i syl31anc 3adant3 eqtrd ) ADEZBDEZCFAGHBIHZJZKZCLMHZNOHZFPHUT
    LMHZNOHZFPHZFALMHGHLABGHGHIHBLMHNOHFPHIHZVBVDVFFPVBVCVENOVAURVCVEJUSCUTLMUA
    UBQQURUSVGVHJZVAURUSRZASEZBSEZNSEFSEZFUCUDZRZVIURVKUSATUEUSVLURBTUFVJUGVOVJ
    VMVNUHFULUIUJUMUNABFNUKUOUPUQ $.

  ${
    $d N k $.  $d R k $.
    $( Lemma 2 for ~ 2lgsoddprm .  (Contributed by AV, 19-Jul-2021.) $)
    2lgsoddprmlem2 $p |- ( ( N e. ZZ /\ -. 2 || N /\ R = ( N mod 8 ) )
                           -> ( 2 || ( ( ( N ^ 2 ) - 1 ) / 8 )
                                <-> 2 || ( ( ( R ^ 2 ) - 1 ) / 8 ) ) ) $=
      ( cz wcel c2 cdvds wbr c8 co wceq cmul caddc wb wa cc a1i adantr cr syl
      c4 vk wn cmo w3a cv wrex cexp c1 cmin cdiv crp wi cn 8nn nnrp ax-mp eqcom
      modmuladdim syl5bi mpan2 imp 3adant2 zcn 8cn mulcomd adantl oveq1d eqeq2d
      simpr zmodcld nn0zd 3ad2ant1 eleq1 3ad2ant3 mpbird 2lgsoddprmlem1 syl3anc
      id breq2d 2z simp1 nn0red resqcl peano2rem 8re cc0 8pos gt0ne0ii redivcld
      wne cn0 nn0z nnzi zsqcl zmulcld zmulcl ancoms zaddcld 4z jca dvdsmul1 4cn
      4t2e8 2cn mulcomi eqtr3i mulassd eqtrd adddid eqtr4d breqtrrd dvdsaddre2b
      zcnd ex mp3an2ani bitr4d sylbid rexlimdva mpd ) BCDZEBFGUBZABHUCIZJZUDZBU
      AUEZHKIZALIZJZUACUFZEBEUGIUHUIIHUJIZFGZEAEUGIZUHUIIZHUJIZFGZMZXTYCYIYAXTY
      CYIXTHUKDZYCYIULHUMDZYQUNHUOUPYCYBAJXTYQNYIAYBUQBAUAHURUSUTVAVBYDYHYPUACY
      DYECDZNZYHBHYEKIZALIZJZYPYTYGUUBBYTYFUUAALYSYFUUAJYDYSYEHYEVCHODYSVDPVEVF
      VGVHYTUUCYPYTUUCNZYKEHYEEUGIZKIZEYEAKIZKIZLIZYNLIZFGZYOUUDYJUUJEFUUDYSACD
      ZUUCYJUUJJYTYSUUCYDYSVIQYTUULUUCYDUULYSYDUULYBCDZXTYAUUMYCXTYBXTBHXTVRYRX
      TUNPVJVKVLYCXTUULUUMMYAAYBCVMVNVOQQYTUUCVIYEABVPVQVSECDZYTYNRDZUUCUUICDZE
      UUIFGZNZYOUUKMVTYDUUOYSYDARDZUUOYDUUSYBRDZYDYBYDBHXTYAYCWAYRYDUNPVJZWBYCX
      TUUSUUTMYAAYBRVMVNVOUUSYMHUUSYLRDYMRDAWCYLWDSHRDUUSWEPHWFWJUUSHWEWGWHPWIS
      QYTUURUUCYDYSUURYDAWKDZYSUURULZYDUVBYBWKDZUVAYCXTUVBUVDMYAAYBWKVMVNVOUVBU
      ULUVCAWLUULYSUURUULYSNZUUPUUQUVEUUFUUHUVEHUUEHCDUVEHUNWMPYSUUECDUULYEWNZV
      FZWOUVEEUUGUUNUVEVTPZYSUULUUGCDYEAWPZWQZWOWRUVEEETUUEKIZUUGLIZKIZUUIFUVEU
      UNUVLCDZNEUVMFGUVEUUNUVNUVHUVEUVKUUGUVETUUETCDUVEWSPUVGWOZUVJWRWTEUVLXASU
      VEUUIEUVKKIZUUHLIUVMUVEUUFUVPUUHLUVEUUFETKIZUUEKIUVPUVEHUVQUUEKHUVQJUVETE
      KIHUVQXCTEXBXDXEXFPVGUVEETUUEEODUVEXDPZTODUVEXBPYSUUEODUULYSUUEUVFXMVFXGX
      HVGUVEEUVKUUGUVRUVEUVKUVOXMYSUULUUGODYSUULNUUGUVIXMWQXIXJXKWTXNSSVAQEYNUU
      IXLXOXPXNXQXRXS $.
  $}

  $( Lemma 1 for ~ 2lgsoddprmlem3 .  (Contributed by AV, 20-Jul-2021.) $)
  2lgsoddprmlem3a $p |- ( ( ( 1 ^ 2 ) - 1 ) / 8 ) = 0 $=
    ( c1 c2 cexp co cmin c8 cdiv cc0 sq1 oveq1i 1m1e0 eqtri 8cn 0re 8pos gtneii
    div0i ) ABCDZAEDZFGDHFGDHSHFGSAAEDHRAAEIJKLJFMHFNOPQL $.

  $( Lemma 2 for ~ 2lgsoddprmlem3 .  (Contributed by AV, 20-Jul-2021.) $)
  2lgsoddprmlem3b $p |- ( ( ( 3 ^ 2 ) - 1 ) / 8 ) = 1 $=
    ( c3 c2 cexp co c1 cmin c8 cdiv c9 sq3 oveq1i 9m1e8 8cn cc0 0re 8pos gtneii
    eqtri dividi ) ABCDZEFDZGHDGGHDEUAGGHUAIEFDGTIEFJKLRKGMNGOPQSR $.

  $( Lemma 3 for ~ 2lgsoddprmlem3 .  (Contributed by AV, 20-Jul-2021.) $)
  2lgsoddprmlem3c $p |- ( ( ( 5 ^ 2 ) - 1 ) / 8 ) = 3 $=
    ( c5 c2 cexp co c1 cmin c8 cdiv c3 cmul caddc df-5 oveq1i 4cn eqtri 3cn 8cn
    c4 ax-1cn 2cn wcel wceq binom21 ax-mp mulcli sq4e2t8 4t2e8 mulid2i mulcomli
    eqtr4i oveq12i adddiri 2p1e3 3eqtr2i mvrraddi cc0 0re 8pos gtneii divcan4i
    cc ) ABCDZEFDZGHDIGJDZGHDIVCVDGHVCRBCDZBRJDZKDZEKDZEFDVDVBVHEFVBREKDZBCDZVH
    AVIBCLMRVAUAVJVHUBNRUCUDOMVHVDEIGPQUESVGVDEKVGBGJDZEGJDZKDBEKDZGJDVDVEVKVFV
    LKUFRBVLNTRBJDGVLUGGQUHUJUIUKBEGTSQULVMIGJUMMUNMUOOMIGPQUPGUQURUSUTO $.

  $( Lemma 4 for ~ 2lgsoddprmlem3 .  (Contributed by AV, 20-Jul-2021.) $)
  2lgsoddprmlem3d $p |- ( ( ( 7 ^ 2 ) - 1 ) / 8 ) = ( 2 x. 3 ) $=
    ( c6 c8 cmul co cdiv c7 c2 cexp c1 c3 6cn 8cn c4 caddc oveq1i 4cn 3cn eqtri
    c5 2cn cmin cc0 0re 8pos gtneii divcan4i mulcli ax-1cn 4p3e7 eqcomi binom2i
    sq4e2t8 4t2e8 mulcomli mulassi mulcomi 3eqtr3i oveq12i adddiri addcomli sq3
    3p2e5 3eqtr2i c9 df-9 5cn addassi df-6 cc wcel a1i adddirp1d ax-mp mvrraddi
    wceq id 3t2e6 3eqtr4i ) ABCDZBEDAFGHDZIUADZBEDGJCDABKLUBBUCUDUEUFWAVSBEVTVS
    IABKLUGUHVTMJNDZGHDZVSINDZFWBGHWBFUIUJOWCMGHDZGMJCDCDZNDZJGHDZNDZWDMJPQUKWI
    SBCDZBINDZNDWJBNDZINDWDWGWJWHWKNWGGBCDZJBCDZNDGJNDZBCDWJWEWMWFWNNULGMCDZJCD
    BJCDWFWNWPBJCMGBPTUMUNOGMJTPQUOBJLQUPUQURGJBTQLUSWOSBCJGSQTVBUTOVCWHVDWKVAV
    ERURWJBISBVFLUGLUHVGWLVSINVSWLVSSINDZBCDZWLAWQBCVHOBVIVJZWRWLVOLWSSBSVIVJWS
    VFVKWSVPVLVMRUJOVCRRVNOJGAQTVQUNVR $.

  $( Lemma 3 for ~ 2lgsoddprm .  (Contributed by AV, 20-Jul-2021.) $)
  2lgsoddprmlem3 $p |- ( ( N e. ZZ /\ -. 2 || N /\ R = ( N mod 8 ) )
                  -> ( 2 || ( ( ( R ^ 2 ) - 1 ) / 8 ) <-> R e. { 1 , 7 } ) ) $=
    ( cz wcel c2 cdvds wbr c8 co wceq cexp c1 cmin cdiv c7 c3 c5 oveq1 oveq1d
    wo wn cmo cpr wb wa cun lgsdir2lem3 eleq1 eqcoms elun elpri 2lgsoddprmlem3b
    wi eqtrdi breq2d n2dvds1 pm2.21i syl6bi 2lgsoddprmlem3c breq2i n2dvds3 jaoi
    bitrdi syl jao1i sylbi z0even 2lgsoddprmlem3a breqtrrid cmul 2z 3z dvdsmul1
    cc0 mp2an 2lgsoddprmlem3d impbid1 syl5com 3impia ) BCDZEBFGUAZABHUBIZJZEAEK
    IZLMIZHNIZFGZALOUCZDZUDZVTWAUEWBWHPQUCZUFZDZWCWJBUGWCWMAWLDZWJWMWNUDWBAWBAW
    LUHUIWNWGWIWNWIAWKDZTWGWIUMZAWHWKUJWIWOWGWOAPJZAQJZTWPAPQUKWQWPWRWQWGELFGZW
    IWQWFLEFWQWFPEKIZLMIZHNILWQWEXAHNWQWDWTLMAPEKRSSULUNUOWSWIUPUQURWRWGEPFGZWI
    WRWGEQEKIZLMIZHNIZFGXBWRWFXEEFWRWEXDHNWRWDXCLMAQEKRSSUOXEPEFUSUTVCXBWIVAUQU
    RVBVDVEVFWIALJZAOJZTWGALOUKXFWGXGXFEVNWFFVGXFWFLEKIZLMIZHNIVNXFWEXIHNXFWDXH
    LMALEKRSSVHUNVIXGEEPVJIZWFFECDPCDEXJFGVKVLEPVMVOXGWFOEKIZLMIZHNIXJXGWEXLHNX
    GWDXKLMAOEKRSSVPUNVIVBVDVQURVRVS $.

  $( Lemma 4 for ~ 2lgsoddprm .  (Contributed by AV, 20-Jul-2021.) $)
  2lgsoddprmlem4 $p |- ( ( N e. ZZ /\ -. 2 || N )
                         -> ( 2 || ( ( ( N ^ 2 ) - 1 ) / 8 )
                              <-> ( N mod 8 ) e. { 1 , 7 } ) ) $=
    ( cz wcel c2 cdvds wbr wn wa cexp co c1 cmin c8 cdiv cmo c7 wceq wb mpd3an3
    cpr eqidd 2lgsoddprmlem2 2lgsoddprmlem3 bitrd ) ABCZDAEFGZHZDADIJKLJMNJEFZD
    AMOJZDIJKLJMNJEFZUIKPTCZUEUFUIUIQZUHUJRUGUIUAZUIAUBSUEUFULUJUKRUMUIAUCSUD
    $.

  $( The second supplement to the law of quadratic reciprocity for odd primes
     (common representation, see theorem 9.5 in [ApostolNT] p. 181):  The
     Legendre symbol for ` 2 ` at an odd prime is minus one to the power of the
     square of the odd prime minus one divided by eight ( ` ( 2 /L P ) ` =
     -1^(((P^2)-1)/8) ).  (Contributed by AV, 20-Jul-2021.) $)
  2lgsoddprm $p |- ( P e. ( Prime \ { 2 } )
                     -> ( 2 /L P ) = ( -u 1 ^ ( ( ( P ^ 2 ) - 1 ) / 8 ) ) ) $=
    ( c2 clgs co c1 wceq c8 wcel wb cprime cexp syl wi wa simpl cc0 sylancr wne
    cz wn cmo c7 cpr csn cdif cneg cmin cdiv eldifi 2lgs cdvds wbr eqcom a1i cn
    nnoddn2prm anim1i sqoddm1div8z m1exp1 2lgsoddprmlem4 3bitrd biimparc adantl
    nnz eqtrd exp32 ctp 2z prmz lgscl1 ovex eltp notbid biimpar m1expo syl2an2r
    w3o eqcomd a1d cgcd eldifsn simpr necomd sylbi prmrp mpbird lgsne0 eqneqall
    2prm syl5 pm2.24 2a1d 3jaoi mpcom com13 bija ) BACDZEFZAGUADEUBUCHZIZAJBUDZ
    UEHZWQEUFZABKDEUGDGUHDZKDZFZXBAJHZWTAJXAUIZAUJLWRWSXBXFMWRWSXBXFWRWSXBNZNWQ
    EXEWRXIOXIEXEFZWRXBXJWSXBXJXEEFZBXDUKULZWSXJXKIXBEXEUMUNXBXDSHZXKXLIXBASHZB
    AUKULTZNZXMXBAUOHZXONXPAUPXQXNXOAVDUQLZAURLZXDUSLXBXPXLWSIXRAUTLZVAVBVCVEVF
    XBWSTZWRTZXFWQXCPEVGHZXBYAYBXFMZMZXBBSHZXNYCVHXBXGXNXHAVILZBAVJQYCWQXCFZWQP
    FZWRVQXBYEMZWQXCPEBACVKVLYHYJYIWRYHXBYAYDYHXBYANZNZXFYBYLWQXCXEYHYKOYKXCXEF
    YHYKXEXCXBXMYAXLTZXEXCFXSXBYMYAXBXLWSXTVMVNXDVOVPVRVCVEVSVFXBWQPRZYIYEXBYNB
    AVTDEFZXBYOBARZXBXGABRZNZYPAJBWAYRABXGYQWBWCWDXBBJHXGYOYPIWIXHBAWEQWFXBYFXN
    YNYOIVHYGBAWGQWFYEWQPWHWJWRYDXBYAWRXFWKWLWMWDWNWOWPWN $.

  $(
  @( The second supplement to the law of quadratic reciprocity for arbitrary
     odd positive integers (theorem 9.10(8) in [ApostolNT] p. 188: The
     (extended) Legendre symbol (i.e the Jacobi symbol) for ` 2 ` and an odd
     positive integer is minus one to the power of the square of the odd number
     minus one divided by eight (` ( 2 /L N ) ` = -1^(((N^2)-1)/8) ).
     (Contributed by AV, 20-Jul-2021.) @)
  2lgsoddnn @p |- ( N e. NN /\ -. 2 || N )
                     -> ( 2 /L N ) = ( -u 1 ^ ( ( ( N ^ 2 ) - 1 ) / 8 ) ) ) @=
      ? @.
  $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  All primes 4n+1 are the sum of two squares
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d a b n p q w x y z $.  $d a m x y z A $.  $d x C $.  $d p q u v x y ph $.
    $d a b m p x y B $.  $d a b p u v x y z M $.  $d a b m n p q u v x y z S $.
    $d x D $.  $d a p x y z E $.  $d p q u v x y z N $.  $d a b m n x y Y $.
    $d a p x y z F $.  $d n p q x y P $.
    2sq.1 $e |- S = ran ( w e. Z[i] |-> ( ( abs ` w ) ^ 2 ) ) $.
    $( Lemma for ~ 2sq .  (Contributed by Mario Carneiro, 19-Jun-2015.) $)
    2sqlem1 $p |- ( A e. S <-> E. x e. Z[i] A = ( ( abs ` x ) ^ 2 ) ) $=
      ( wcel cgz cv cabs cfv c2 cexp co cmpt crn wceq wrex eleq2i fveq2 oveq1d
      cbvmptv ovex elrnmpti bitri ) CDFCBGBHZIJZKLMZNZOZFCAHZIJZKLMZPAGQDUICERA
      GULCUHBAGUGULUEUJPUFUKKLUEUJISTUAUKKLUBUCUD $.

    $( Lemma for ~ 2sq .  (Contributed by Mario Carneiro, 19-Jun-2015.) $)
    2sqlem2 $p |- ( A e. S <-> E. x e. ZZ E. y e. ZZ
      A = ( ( x ^ 2 ) + ( y ^ 2 ) ) ) $=
      ( vz wcel cv c2 cexp co caddc wceq cz wrex cfv cgz cc oveq1d cabs 2sqlem1
      cre cim elgz simp2bi simp3bi gzcn absvalsq2d oveq1 eqeq2d rspc2ev syl3anc
      oveq2d eqeq1 2rexbidv syl5ibrcom rexlimiv sylbi wa cmul gzreim zcn ax-icn
      ci mulcl sylancr addcl syl2an zre crre crim oveq12d eqtr2d fveq2 rspceeqv
      cr syl2anc sylibr eleq1 rexlimivv impbii ) DEHZDAIZJKLZBIZJKLZMLZNZBOPAOP
      ZWCDGIZUAQZJKLZNZGRPWJGCDEFUBWNWJGRWKRHZWJWNWMWHNZBOPAOPZWOWKUCQZOHZWKUDQ
      ZOHZWMWRJKLZWTJKLZMLZNZWQWOWKSHZWSXAWKUEZUFWOXFWSXAXGUGWOWKWKUHUIWPXEWMXB
      WGMLZNABWRWTOOWDWRNZWHXHWMXIWEXBWGMWDWRJKUJTUKWFWTNZXHXDWMXJWGXCXBMWFWTJK
      UJUNUKULUMWNWIWPABOODWMWHUOUPUQURUSWIWCABOOWDOHZWFOHZUTZWCWIWHEHZXMWHWMNG
      RPZXNXMWDVEWFVALZMLZRHWHXQUAQZJKLZNXOWDWFVBXMXSXQUCQZJKLZXQUDQZJKLZMLWHXM
      XQXKWDSHXPSHZXQSHXLWDVCXLVESHWFSHYDVDWFVCVEWFVFVGWDXPVHVIUIXMYAWEYCWGMXMX
      TWDJKXKWDVQHZWFVQHZXTWDNXLWDVJZWFVJZWDWFVKVITXMYBWFJKXKYEYFYBWFNXLYGYHWDW
      FVLVITVMVNGXQRWMXSWHWKXQNWLXRJKWKXQUAVOTVPVRGCWHEFUBVSDWHEVTUQWAWB $.

    $( Fibonacci's identity (actually due to Diophantus).  The product of two
       sums of two squares is also a sum of two squares.  We can take advantage
       of Gaussian integers here to trivialize the proof.  (Contributed by
       Mario Carneiro, 19-Jun-2015.) $)
    mul2sq $p |- ( ( A e. S /\ B e. S ) -> ( A x. B ) e. S ) $=
      ( vx vy vz wcel cv cabs cfv c2 cexp co wceq cgz wrex cmul cc 2sqlem1 gzcn
      wa reeanv gzmulcl absmul syl2an oveq1d abscld recnd sqmul eqtr2d rspceeqv
      fveq2 syl2anc sylibr oveq12 eleq1d syl5ibrcom rexlimivv sylbir syl2anb )
      BDIBFJZKLZMNOZPZFQRZCGJZKLZMNOZPZGQRZBCSOZDIZCDIFABDEUAGACDEUAVGVLUCVFVKU
      CZGQRFQRVNVFVKFGQQUDVOVNFGQQVCQIZVHQIZUCZVNVOVEVJSOZDIZVRVSHJZKLZMNOZPHQR
      ZVTVRVCVHSOZQIVSWEKLZMNOZPWDVCVHUEVRWGVDVISOZMNOZVSVRWFWHMNVPVCTIVHTIWFWH
      PVQVCUBZVHUBZVCVHUFUGUHVPVDTIVITIWIVSPVQVPVDVPVCWJUIUJVQVIVQVHWKUIUJVDVIU
      KUGULHWEQWCWGVSWAWEPWBWFMNWAWEKUNUHUMUOHAVSDEUAUPVOVMVSDBVECVJSUQURUSUTVA
      VB $.

    ${
      2sqlem5.1 $e |- ( ph -> N e. NN ) $.
      2sqlem5.2 $e |- ( ph -> P e. Prime ) $.
      ${
        2sqlem4.3 $e |- ( ph -> A e. ZZ ) $.
        2sqlem4.4 $e |- ( ph -> B e. ZZ ) $.
        2sqlem4.5 $e |- ( ph -> C e. ZZ ) $.
        2sqlem4.6 $e |- ( ph -> D e. ZZ ) $.
        2sqlem4.7 $e |- ( ph -> ( N x. P ) = ( ( A ^ 2 ) + ( B ^ 2 ) ) ) $.
        2sqlem4.8 $e |- ( ph -> P = ( ( C ^ 2 ) + ( D ^ 2 ) ) ) $.
        ${
          2sqlem4.9 $e |- ( ph -> P || ( ( C x. B ) + ( A x. D ) ) ) $.
          $( Lemma for ~ 2sqlem5 .  (Contributed by Mario Carneiro,
             20-Jun-2015.) $)
          2sqlem3 $p |- ( ph -> N e. S ) $=
            ( co vx cv cabs cfv c2 cexp wceq cgz wrex wcel ci cmul caddc cc cre
            cdiv cz cim gzreim syl2anc gzmulcl syl cprime cn prmnn nncnd nnne0d
            gzcn divcld nnred redivd cdvds wbr prmz zsqcl nnzd zmulcld dvdsmul2
            sqvald breqtrrd dvdstrd abscld recnd sqmuld zred crred oveq1d crimd
            oveq12d absvalsq2d 3eqtr4d mulassd 3eqtrd absmuld elgz simp2bi zcnd
            oveq2d simp3bi addcomd breqtrd mulcld mulcomd immuld 2nn prmdvdsexp
            eqtrd a1i syl3anc mpbird dvdsadd2b syl112anc mpbid cc0 wne dvdsval2
            wb eqeltrd imdivd syl3anbrc absdivd nnnn0d nn0ge0d nnsqcld divcan4d
            absidd sqdivd 3eqtrrd fveq2 rspceeqv 2sqlem1 sylibr ) AIUAUBZUCUDZU
            EUFTZUGUAUHUIZIHUJACUKDULTUMTZEUKFULTUMTZULTZGUPTZUHUJZIYTUCUDZUEUF
            TZUGYPAYTUNUJYTUOUDZUQUJYTURUDZUQUJUUAAYSGAYSUHUJZYSUNUJZAYQUHUJZYR
            UHUJZUUFACUQUJDUQUJUUHMNCDUSUTZAEUQUJFUQUJUUIOPEFUSUTZYQYRVAUTZYSVH
            VBZAGAGVCUJZGVDUJLGVEVBZVFZAGUUOVGZVIAUUDYSUOUDZGUPTZUQAGYSAGUUOVJZ
            UUMUUQVKAGUURVLVMZUUSUQUJZAGUURUEUFTZVLVMZUVAAUVDGYSURUDZUEUFTZUVCU
            MTZVLVMZAGYSUCUDZUEUFTZUVGVLAGIGUEUFTZULTZUVJVLAGUVKUVLAUUNGUQUJZLG
            VNVBZAUVMUVKUQUJZUVNGVOVBZAIUVKAIKVPZUVPVQAGGGULTZUVKVLAUVMUVMGUVRV
            LVMUVNUVNGGVRUTAGUUPVSZVTAIUQUJUVOUVKUVLVLVMUVQUVPIUVKVRUTWAAYQUCUD
            ZYRUCUDZULTZUEUFTZIUVRULTZUVJUVLAUWCUVTUEUFTZUWAUEUFTZULTIGULTZGULT
            UWDAUVTUWAAUVTAYQAUUHYQUNUJUUJYQVHVBZWBWCAUWAAYRAUUIYRUNUJUUKYRVHVB
            ZWBWCWDAUWEUWGUWFGULAYQUOUDZUEUFTZYQURUDZUEUFTZUMTCUEUFTZDUEUFTZUMT
            UWEUWGAUWKUWNUWMUWOUMAUWJCUEUFACDACMWEZADNWEZWFZWGAUWLDUEUFACDUWPUW
            QWHZWGWIAYQUWHWJQWKAYRUOUDZUEUFTZYRURUDZUEUFTZUMTEUEUFTZFUEUFTZUMTU
            WFGAUXAUXDUXCUXEUMAUWTEUEUFAEFAEOWEZAFPWEZWFZWGAUXBFUEUFAEFUXFUXGWH
            ZWGWIAYRUWIWJRWKWIAIGGAIKVFZUUPUUPWLWMAUVIUWBUEUFAYQYRUWHUWIWNWGAUV
            KUVRIULUVSWRWKZVTAUVJUVCUVFUMTUVGAYSUUMWJAUVCUVFAUVCAUURUQUJZUVCUQU
            JZAUUFUXLUULUUFUUGUXLUVEUQUJZYSWOZWPVBZUURVOVBZWQAUVFAUXNUVFUQUJZAU
            UFUXNUULUUFUUGUXLUXNUXOWSVBZUVEVOVBZWQWTXGXAAUVMUXMUXRGUVFVLVMZUVDU
            VHXQUVNUXQUXTAUYAGUVEVLVMZAGCFULTZDEULTZUMTZUVEVLAGEDULTZUYCUMTZUYE
            VLSAUYGUYCUYFUMTUYEAUYFUYCAEDAEOWQZADNWQZXBACFACMWQAFPWQXBWTAUYFUYD
            UYCUMAEDUYHUYIXCWRXGXAAUVEUWJUXBULTZUWLUWTULTZUMTUYEAYQYRUWHUWIXDAU
            YJUYCUYKUYDUMAUWJCUXBFULUWRUXIWIAUWLDUWTEULUWSUXHWIWIXGVTZAUUNUXNUE
            VDUJZUYAUYBXQLUXSUYMAXEXHZUVEGUEXFXIXJGUVCUVFXKXLXJAUUNUXLUYMUVDUVA
            XQLUXPUYNUURGUEXFXIXMAUVMGXNXOZUXLUVAUVBXQUVNUUQUXPGUURXPXIXMXRAUUE
            UVEGUPTZUQAGYSUUTUUMUUQXSAUYBUYPUQUJZUYLAUVMUYOUXNUYBUYQXQUVNUUQUXS
            GUVEXPXIXMXRYTWOXTAUUCUVIGUPTZUEUFTUVJUVKUPTZIAUUBUYRUEUFAUUBUVIGUC
            UDZUPTUYRAYSGUUMUUPUUQYAAUYTGUVIUPAGUUTAGAGUUOYBYCYFWRXGWGAUVIGAUVI
            AYSUUMWBWCUUPUUQYGAUYSUVLUVKUPTIAUVJUVLUVKUPUXKWGAIUVKUXJAUVKAGUUOY
            DZVFAUVKVUAVGYEXGYHUAYTUHYOUUCIYMYTUGYNUUBUEUFYMYTUCYIWGYJUTUABIHJY
            KYL $.
        $}

        $( Lemma for ~ 2sqlem5 .  (Contributed by Mario Carneiro,
           20-Jun-2015.) $)
        2sqlem4 $p |- ( ph -> N e. S ) $=
          ( cmul co caddc cdvds wbr wcel cmin wa cn adantr cprime cz cexp simpr
          c2 wceq 2sqlem3 cneg znegcld cc zcnd sqneg syl oveq1d eqtr4d mulneg1d
          oveq2d zmulcld negsubd eqtrd breq2d biimpar wo zsqcl zsubcld dvdsmul1
          prmz syl2anc sqcld pnpcand sqmuld oveq12d adddid nncnd mulcomd eqtr3d
          mul12d adddird subdid subsq breqtrd wb zaddcld euclemma syl3anc mpbid
          nnzd mpjaodan ) AGEDSTZCFSTZUATZUBUCZIHUDGWQWRUETZUBUCZAWTUFBCDEFGHIJ
          AIUGUDZWTKUHAGUIUDZWTLUHACUJUDZWTMUHADUJUDZWTNUHAEUJUDZWTOUHAFUJUDZWT
          PUHAIGSTZCUMUKTZDUMUKTZUATZUNWTQUHAGEUMUKTZFUMUKTZUATZUNZWTRUHAWTULUO
          AXBUFBCUPZDEFGHIJAXCXBKUHAXDXBLUHAXQUJUDXBACMUQUHAXFXBNUHAXGXBOUHAXHX
          BPUHAXIXQUMUKTZXKUATZUNXBAXIXLXSQAXRXJXKUAACURUDXRXJUNACMUSZCUTVAVBVC
          UHAXPXBRUHAGWQXQFSTZUATZUBUCXBAYBXAGUBAYBWQWRUPZUATXAAYAYCWQUAACFXTAF
          PUSZVDVEAWQWRAWQAEDONVFZUSZAWRACFMPVFZUSZVGVHVIVJUOAGWSXASTZUBUCZWTXB
          VKZAGGXMISTZXJUETZSTZYIUBAGUJUDZYMUJUDGYNUBUCAXDYOLGVOVAZAYLXJAXMIAXG
          XMUJUDOEVLVAZAIKWOVFZAXEXJUJUDMCVLVAZVMGYMVNVPAWQUMUKTZWRUMUKTZUETZYN
          YIAECSTZUMUKTZYTUATZUUDUUAUATZUETZUUBYNAUUDYTUUAAUUCAUUCAECOMVFUSVQAW
          QYFVQAWRYHVQVRAUUGGYLSTZGXJSTZUETYNAUUEUUHUUFUUIUEAUUEXMXLSTZUUHAUUEX
          MXJSTZXMXKSTZUATUUJAUUDUUKYTUULUAAECAEOUSZXTVSZAEDUUMADNUSZVSVTAXMXJX
          KAEUUMVQZAXJYSUSZADUUOVQWAVCAUUJXMGISTZSTUUHAXLUURXMSAXIXLUURQAIGAIKW
          BZAGYPUSZWCWDVEAXMGIUUPUUTUUSWEVHVHAUUFXOXJSTZUUIAUUFUUKXNXJSTZUATUVA
          AUUDUUKUUAUVBUAUUNAUUAXJXNSTUVBACFXTYDVSAXJXNUUQAFYDVQZWCVHVTAXMXNXJA
          XMYQUSUVCUUQWFVCAGXOXJSRVBVCVTAGYLXJUUTAYLYRUSUUQWGVCWDAWQURUDWRURUDU
          UBYIUNYFYHWQWRWHVPWDWIAXDWSUJUDXAUJUDYJYKWJLAWQWRYEYGWKAWQWRYEYGVMGWS
          XAWLWMWNWP $.
      $}

      2sqlem5.3 $e |- ( ph -> ( N x. P ) e. S ) $.
      2sqlem5.4 $e |- ( ph -> P e. S ) $.
      $( Lemma for ~ 2sq .  If a number that is a sum of two squares is
         divisible by a prime that is a sum of two squares, then the quotient
         is a sum of two squares.  (Contributed by Mario Carneiro,
         20-Jun-2015.) $)
      2sqlem5 $p |- ( ph -> N e. S ) $=
        ( vp vq vx vy cv co cz wrex wcel wa cexp caddc wceq cmul 2sqlem2 reeanv
        c2 sylib cprime simplrr simprlr simplrl simprll simprrr simprrl 2sqlem4
        cn ad2antrr expr rexlimdvva syl5bir mp2and ) ACKOZUGUAPLOZUGUAPUBPUCZLQ
        RZKQRZECUDPZMOZUGUAPNOZUGUAPUBPUCZNQRZMQRZEDSZACDSVGJKLBCDFUEUHAVHDSVMI
        MNBVHDFUEUHVGVMTVFVLTZMQRKQRAVNVFVLKMQQUFAVOVNKMQQVOVEVKTZNQRLQRAVCQSZV
        IQSZTZTZVNVEVKLNQQUFVTVPVNLNQQVTVDQSZVJQSZTZVPVNVTWCVPTZTBVIVJVCVDCDEFA
        EUQSVSWDGURACUISVSWDHURAVQVRWDUJVTWAWBVPUKAVQVRWDULVTWAWBVPUMVTWCVEVKUN
        VTWCVEVKUOUPUSUTVAUTVAVB $.
    $}

    ${
      2sqlem6.1 $e |- ( ph -> A e. NN ) $.
      2sqlem6.2 $e |- ( ph -> B e. NN ) $.
      2sqlem6.3 $e |- ( ph -> A. p e. Prime ( p || B -> p e. S ) ) $.
      2sqlem6.4 $e |- ( ph -> ( A x. B ) e. S ) $.
      $( Lemma for ~ 2sq .  If a number that is a sum of two squares is
         divisible by a number whose prime divisors are all sums of two
         squares, then the quotient is a sum of two squares.  (Contributed by
         Mario Carneiro, 20-Jun-2015.) $)
      2sqlem6 $p |- ( ph -> A e. S ) $=
        ( vm cn wcel cmul wi wral cdvds cprime wa vx vy vz vn cv co wbr c1 wceq
        breq2 imbi1d ralbidv oveq2 eleq1d imbi12d nncn mulid1d biimpd a1i breq1
        rgen eleq1 rspcv cz prmz iddvds syl simprl simpll simprr simplr 2sqlem5
        expr ralrimiva ex embantd syld c2 cuz cfv anim12 wo wb eluzelz ad2antrr
        simpr ad2antlr euclemma syl3anc jaob bitrdi ralbidva r19.26 cbvralvw cc
        biimpa oveq1 adantl uzssz zsscn sstri sselid w3a mulass eqtr3d nnmulcld
        mul32 eluz2nn sylc sylbird imim1d ralimdva sylan2b expimpd com23 prmind
        syl5 syl3c ) ACMNLUEZDOUFZENZXSENZPZLMQZCDOUFZENZCENZHADMNFUEZDRUGZYHEN
        ZPZFSQZYDIJYHUAUEZRUGZYJPZFSQZXSYMOUFZENZYBPZLMQZPYHUHRUGZYJPZFSQZXSUHO
        UFZENZYBPZLMQZPYHUBUEZRUGZYJPZFSQZXSUUHOUFZENZYBPZLMQZPZYHUCUEZRUGZYJPZ
        FSQZXSUUQOUFZENZYBPZLMQZPZYHUUHUUQOUFZRUGZYJPZFSQZXSUVFOUFZENZYBPZLMQZP
        ZYLYDPUAUBUCDYMUHUIZYPUUCYTUUGUVOYOUUBFSUVOYNUUAYJYMUHYHRUJUKULUVOYSUUF
        LMUVOYRUUEYBUVOYQUUDEYMUHXSOUMUNUKULUOYMUUHUIZYPUUKYTUUOUVPYOUUJFSUVPYN
        UUIYJYMUUHYHRUJUKULUVPYSUUNLMUVPYRUUMYBUVPYQUULEYMUUHXSOUMUNUKULUOYMUUQ
        UIZYPUUTYTUVDUVQYOUUSFSUVQYNUURYJYMUUQYHRUJUKULUVQYSUVCLMUVQYRUVBYBUVQY
        QUVAEYMUUQXSOUMUNUKULUOYMUVFUIZYPUVIYTUVMUVRYOUVHFSUVRYNUVGYJYMUVFYHRUJ
        UKULUVRYSUVLLMUVRYRUVKYBUVRYQUVJEYMUVFXSOUMUNUKULUOYMDUIZYPYLYTYDUVSYOY
        KFSUVSYNYIYJYMDYHRUJUKULUVSYSYCLMUVSYRYAYBUVSYQXTEYMDXSOUMUNUKULUOUUGUU
        CUUFLMXSMNZUUEYBUVTUUDXSEUVTXSXSUPZUQUNURVAUSYMSNZYPYMYMRUGZYMENZPZYTYO
        UWEFYMSYHYMUIYNUWCYJUWDYHYMYMRUTYHYMEVBUOVCUWBUWCUWDYTUWBYMVDNUWCYMVEYM
        VFVGUWBUWDYTUWBUWDTZYSLMUWFUVTYRYBUWFUVTYRTZTBYMEXSGUWFUVTYRVHUWBUWDUWG
        VIUWFUVTYRVJUWBUWDUWGVKVLVMVNVOVPVQUUPUVETUUKUUTTZUUOUVDTZPZUUHVRVSVTZN
        ZUUQUWKNZTZUVNUUKUUOUUTUVDWAUWNUVIUWJUVMUWNUVIUWJUVMPUWNUVITZUWHUWIUVMU
        WNUVIUWHUWNUVIUUJUUSTZFSQUWHUWNUVHUWPFSUWNYHSNZTZUVHUUIUURWBZYJPUWPUWRU
        VGUWSYJUWRUWQUUHVDNZUUQVDNZUVGUWSWCUWNUWQWFUWLUWTUWMUWQVRUUHWDWEUWMUXAU
        WLUWQVRUUQWDWGYHUUHUUQWHWIUKUUIYJUURWJWKWLUUJUUSFSWMWKWPUWOUUOUVDUVMUUO
        UWOUDUEZUUHOUFZENZUXBENZPZUDMQZUVDUVMPUUNUXFLUDMXSUXBUIZUUMUXDYBUXEUXHU
        ULUXCEXSUXBUUHOWQUNXSUXBEVBUOWNUWOUXGTZUVCUVLLMUXIUVTTZUVKUVBYBUXJUVKUV
        AUUHOUFZENZUVBUXJUXKUVJEUXJXSWONZUUHWONZUUQWONZUXKUVJUIUVTUXMUXIUWAWRUX
        JUWKWOUUHUWKVDWOVRWSWTXAZUWOUWLUXGUVTUWLUWMUVIVIWEXBUXJUWKWOUUQUXPUWOUW
        MUXGUVTUWLUWMUVIVKWEZXBUXMUXNUXOXCUULUUQOUFUXKUVJXSUUHUUQXGXSUUHUUQXDXE
        WIUNUXJUVAMNUXGUXLUVBPZUXJXSUUQUXIUVTWFUXJUWMUUQMNUXQUUQXHVGXFUWOUXGUVT
        VKUXFUXRUDUVAMUXBUVAUIZUXDUXLUXEUVBUXSUXCUXKEUXBUVAUUHOWQUNUXBUVAEVBUOV
        CXIXJXKXLXMXNVPVOXOXQXPXIKYCYFYGPLCMXSCUIZYAYFYBYGUXTXTYEEXSCDOWQUNXSCE
        VBUOVCXR $.
    $}

    2sqlem7.2 $e |- Y = { z | E. x e. ZZ E. y e. ZZ ( ( x gcd y ) = 1 /\
      z = ( ( x ^ 2 ) + ( y ^ 2 ) ) ) } $.
    $( Lemma for ~ 2sq .  (Contributed by Mario Carneiro, 19-Jun-2015.) $)
    2sqlem7 $p |- Y C_ ( S i^i NN ) $=
      ( cv co c1 wceq wa cz wrex cn wcel cc0 wb cn0 cgcd c2 caddc cab cin simpr
      cexp reximi 2sqlem2 sylibr wn wne ax-1ne0 gcdeq0 adantr eqeq1d necon3bbid
      bitr3d mpbiri cr cle wbr zsqcl2 ad2antrr nn0red nn0ge0d ad2antlr syl22anc
      add20 cc zcn sqeq0 bi2anan9 syl2anc bitrd mtbird wo nn0addcl syl2an elnn0
      sylib ord mt3d eleq1 syl5ibrcom expimpd rexlimivv elind abssi eqsstri ) F
      AIZBIZUAJZKLZCIZWKUBUGJZWLUBUGJZUCJZLZMZBNOZANOZCUDEPUEZHXBCXCXBEPWOXBWSB
      NOZANOWOEQXAXDANWTWSBNWNWSUFUHUHABDWOEGUIUJWTWOPQZABNNWKNQZWLNQZMZWNWSXEX
      HWNMZXEWSWRPQZXIXJWRRLZXIXKWKRLZWLRLZMZXIXNUKKRULUMXIXNKRXIWMRLZXNKRLXHXO
      XNSWNWKWLUNUOXIWMKRXHWNUFUPURUQUSXIXKWPRLZWQRLZMZXNXIWPUTQRWPVAVBWQUTQRWQ
      VAVBXKXRSXIWPXFWPTQZXGWNWKVCZVDZVEXIWPYAVFXIWQXGWQTQZXFWNWLVCZVGZVEXIWQYD
      VFWPWQVIVHXIWKVJQZWLVJQZXRXNSXFYEXGWNWKVKVDXGYFXFWNWLVKVGYEXPXLYFXQXMWKVL
      WLVLVMVNVOVPXIXJXKXIWRTQZXJXKVQXHYGWNXFXSYBYGXGXTYCWPWQVRVSUOWRVTWAWBWCWO
      WRPWDWEWFWGWHWIWJ $.

    ${
      2sqlem9.5 $e |- ( ph -> A. b e. ( 1 ... ( M - 1 ) )
        A. a e. Y ( b || a -> b e. S ) ) $.
      2sqlem9.7 $e |- ( ph -> M || N ) $.
      ${
        2sqlem8.n $e |- ( ph -> N e. NN ) $.
        2sqlem8.m $e |- ( ph -> M e. ( ZZ>= ` 2 ) ) $.
        2sqlem8.1 $e |- ( ph -> A e. ZZ ) $.
        2sqlem8.2 $e |- ( ph -> B e. ZZ ) $.
        2sqlem8.3 $e |- ( ph -> ( A gcd B ) = 1 ) $.
        2sqlem8.4 $e |- ( ph -> N = ( ( A ^ 2 ) + ( B ^ 2 ) ) ) $.
        2sqlem8.c $e |- C = ( ( ( A + ( M / 2 ) ) mod M ) - ( M / 2 ) ) $.
        2sqlem8.d $e |- D = ( ( ( B + ( M / 2 ) ) mod M ) - ( M / 2 ) ) $.
        $( Lemma for ~ 2sqlem8 .  (Contributed by Mario Carneiro,
           4-Jun-2016.) $)
        2sqlem8a $p |- ( ph -> ( C gcd D ) e. NN ) $=
          ( cz wcel cc0 wceq wa wn cgcd co cn cmin cdiv c1 wne c2 cuz cfv sylib
          eluz2b3 simpld 4sqlem5 cexp simprd cle cdvds simpr 4sqlem9 ex eluzelz
          wbr wb syl dvdssq syl2anc sylibrd wi ax-1ne0 a1i eqnetrd neneqd mtbid
          gcdeq0 dvdslegcd syl31anc syl2and breq2d nnle1eq1 sylibd necon3ad mpd
          bitrd cc zcnd sqeq0 anbi12d gcdn0cl syl21anc ) AHUHUIZIUHUIZHUJUKZIUJ
          UKZULZUMHIUNUOUPUIAXDFHUQUOKURUOUHUIAFHKUBAKUPUIZKUSUTZAKVAVBVCUIZXIX
          JULUAKVEVDZVFZUFVGVFZAXEGIUQUOKURUOUHUIAGIKUCXMUGVGVFZAHVAVHUOUJUKZIV
          AVHUOUJUKZULZXHAXJXRUMAXIXJXLVIAXRKUSAXRKFGUNUOZVJVPZKUSUKZAXPKFVKVPZ
          XQKGVKVPZXTAXPKVAVHUOZFVAVHUOVKVPZYBAXPYEAXPFHKUBXMUFAXPVLVMVNAKUHUIZ
          FUHUIZYBYEVQAXKYFUAVAKVOVRZUBKFVSVTWAAXQYDGVAVHUOVKVPZYCAXQYIAXQGIKUC
          XMUGAXQVLVMVNAYFGUHUIZYCYIVQYHUCKGVSVTWAAYFYGYJFUJUKGUJUKULZUMYBYCULX
          TWBYHUBUCAXSUJUKZYKAXSUJAXSUSUJUDUSUJUTAWCWDWEWFAYGYJYLYKVQUBUCFGWHVT
          WGKFGWIWJWKAXTKUSVJVPZYAAXSUSKVJUDWLAXIYMYAVQXMKWMVRWQWNWOWPAXPXFXQXG
          AHWRUIXPXFVQAHXNWSHWTVRAIWRUIXQXGVQAIXOWSIWTVRXAWGHIXBXC $.

        2sqlem8.e $e |- E = ( C / ( C gcd D ) ) $.
        2sqlem8.f $e |- F = ( D / ( C gcd D ) ) $.
        $( Lemma for ~ 2sq .  (Contributed by Mario Carneiro, 20-Jun-2015.) $)
        2sqlem8 $p |- ( ph -> M e. S ) $=
          ( vp c2 cexp co caddc cdiv cn wcel c1 wne cuz wa eluz2b3 sylib simpld
          cfv cz cc0 clt wbr cdvds cgcd cmul wceq cmin syl nnzd 4sqlem5 zsubcld
          wb zsqcl 4sqlem8 oveq1d eqtrd breqtrrd dvdssub2 syl31anc mpbid zsqcl2
          zcnd cn0 nn0cnd gcddvds syl2anc nnne0d dvdsval2 syl3anc simprd sqmuld
          eqeltrid oveq2i syl5eq eqtr3d oveq12d cle gcdcld nn0zd dvdstrd mpbird
          divcan2d wn wi a1i mp2and breqtrd nn0red readdcld nnred sstri cv wrex
          mpd oveq1 eqeq1d eqeq2d anbi12d syl112anc sselid nngt0d wral ad2antrl
          cprime adantr zred cr rehalfcld nnsqcld 4sqlem7 letrd eluzelz zaddcld
          dvds2addd addsub4d adddid gcdcomd ax-1ne0 eqnetrd neneqd gcdeq0 mtbid
          2sqlem8a dvdslegcd simpr necon3ai gcdn0cl syl21anc nnle1eq1 nn0addcld
          2nn rplpwr coprmdvds cin 2sqlem7 inss2 1cnd mulid1d 3eqtr2rd mulcanad
          mulgcd eqidd oveq2 oveq2d rspc2ev eqeq1 anbi2d 2rexbidv elab2 divgt0d
          ovex sylibr elnnz sylanbrc cfz prmnn peano2zm simprr prmz dvdsle 1red
          nn0ge0d nnge1d lemul1ad mulid2d 3brtr3d le2addd 2halvesd crp rphalflt
          recnd nnrpd lelttrd sqvald ltdivmul fznn mpbir2and jca dvdsmul2 breq1
          zltlem1 eleq1w imbi12d breq2 imbi1d rspc2v syl3c expr ralrimiva inss1
          eqeltrd 2sqlem6 ) AEMKUMUNUOZLUMUNUOZUPUOZMUQUOZJULRAMURUSZMUTVAZAMUM
          VBVGUSZUYFUYGVCUCMVDVEVFZAUYEVHUSZVIUYEVJVKUYEURUSZAMUYDVLVKZUYJAMHIV
          MUOZUMUNUOZUYDVNUOZVLVKZMUYNVMUOZUTVOZUYLAMHUMUNUOZIUMUNUOZUPUOZUYOVL
          AMNVLVKZMVUAVLVKZUAAMVHUSZNVHUSVUAVHUSMNVUAVPUOZVLVKVUBVUCWAAUYHVUDUC
          UMMUUAVQZANUBVRAUYSUYTAHVHUSZUYSVHUSAVUGFHVPUOZMUQUOVHUSZAFHMUDUYIUHV
          SZVFZHWBVQZAIVHUSZUYTVHUSAVUMGIVPUOZMUQUOVHUSZAGIMUEUYIUIVSZVFZIWBVQZ
          UUBAMFUMUNUOZUYSVPUOZGUMUNUOZUYTVPUOZUPUOZVUEVLAMVUTVVBVUFAVUSUYSAFVH
          USZVUSVHUSUDFWBVQZVULVTAVVAUYTAGVHUSZVVAVHUSUEGWBVQZVURVTAFHMUDUYIUHW
          CAGIMUEUYIUIWCUUCAVUEVUSVVAUPUOZVUAVPUOVVCANVVHVUAVPUGWDAVUSVVAUYSUYT
          AVUSVVEWKAVVAVVGWKAUYSVULWKAUYTVURWKUUDWEWFMNVUAWGWHWIAUYOUYNUYBVNUOZ
          UYNUYCVNUOZUPUOVUAAUYNUYBUYCAUYNAUYMVHUSZUYNWLUSAUYMABCDEFGHIJMNOPQRS
          TUAUBUCUDUEUFUGUHUIUULZVRZUYMWJVQWMAUYBAKVHUSZUYBWLUSAKHUYMUQUOZVHUJA
          UYMHVLVKZVVOVHUSZAVVPUYMIVLVKZAVUGVUMVVPVVRVCVUKVUQHIWNWOZVFZAVVKUYMV
          IVAZVUGVVPVVQWAVVMAUYMVVLWPZVUKUYMHWQWRWIXAZKWJVQZWMAUYCALVHUSZUYCWLU
          SALIUYMUQUOZVHUKAVVRVWFVHUSZAVVPVVRVVSWSZAVVKVWAVUMVVRVWGWAVVMVWBVUQU
          YMIWQWRWIXAZLWJVQZWMUUEAVVIUYSVVJUYTUPAUYMKVNUOZUMUNUOVVIUYSAUYMKAUYM
          VVMWKZAKVWCWKWTAVWKHUMUNAVWKUYMVVOVNUOHKVVOUYMVNUJXBAHUYMAHVUKWKVWLVW
          BXKXCZWDXDAUYMLVNUOZUMUNUOVVJUYTAUYMLVWLALVWIWKWTAVWNIUMUNAVWNUYMVWFV
          NUOILVWFUYMVNUKXBAIUYMAIVUQWKVWLVWBXKXCZWDXDXEWEZWFAUYQUYNMVMUOZUTAMU
          YNVUFAVVKUYNVHUSZVVMUYMWBVQZUUFAUYMMVMUOZUTVOZVWQUTVOZAVWTUTXFVKZVXAA
          VWTFGVMUOZUTXFAVWTFVLVKZVWTGVLVKZVWTVXDXFVKZAVXEVWTHVLVKZAVWTUYMHAVWT
          AUYMMVVMVUFXGXHZVVMVUKAVWTUYMVLVKZVWTMVLVKZAVVKVUDVXJVXKVCVVMVUFUYMMW
          NWOZVFZVVTXIAVWTVHUSZVVDVUGVWTVUHVLVKVXEVXHWAVXIUDVUKAVWTMVUHVXIVUFAF
          HUDVUKVTZAVXJVXKVXLWSZAMVUHVLVKZVUIAVUGVUIVUJWSAVUDMVIVAZVUHVHUSVXQVU
          IWAVUFAMUYIWPZVXOMVUHWQWRXJXIVWTFHWGWHXJAVXFVWTIVLVKZAVWTUYMIVXIVVMVU
          QVXMVWHXIAVXNVVFVUMVWTVUNVLVKVXFVXTWAVXIUEVUQAVWTMVUNVXIVUFAGIUEVUQVT
          ZVXPAMVUNVLVKZVUOAVUMVUOVUPWSAVUDVXRVUNVHUSVYBVUOWAVUFVXSVYAMVUNWQWRX
          JXIVWTGIWGWHXJAVXNVVDVVFFVIVOGVIVOVCZXLVXEVXFVCVXGXMVXIUDUEAVXDVIVOZV
          YCAVXDVIAVXDUTVIUFUTVIVAAUUGXNUUHUUIAVVDVVFVYDVYCWAUDUEFGUUJWOUUKVWTF
          GUUMWHXOUFXPAVWTURUSZVXCVXAWAAVVKVUDUYMVIVOZMVIVOZVCZXLZVYEVVMVUFAVXR
          VYIVXSVYHMVIVYFVYGUUNUUOVQUYMMUUPUUQVWTUURVQWIAUYMURUSUYFUMURUSZVXAVX
          BXMVVLUYIVYJAUUTXNUYMMUMUVAWRYCWEAVUDVWRUYDVHUSZUYPUYRVCUYLXMVUFVWSAU
          YDAUYBUYCVWDVWJUUSZXHZMUYNUYDUVBWRXOAVUDVXRVYKUYLUYJWAVUFVXSVYMMUYDWQ
          WRWIZAUYDMAUYBUYCAUYBVWDXQAUYCVWJXQXRZAMUYIXSZAUYDAOURUYDOJURUVCZURBC
          DEJORSUVDZJURUVEXTABYAZCYAZVMUOZUTVOZUYDVYSUMUNUOZVYTUMUNUOZUPUOZVOZV
          CZCVHYBBVHYBZUYDOUSZAVVNVWEKLVMUOZUTVOZUYDUYDVOZWUHVWCVWIAWUJUTUYMAWU
          JAKLVWCVWIXGWMAUVFVWLVWBAUYMUTVNUOUYMVWKVWNVMUOZUYMWUJVNUOZAUYMVWLUVG
          AVWKHVWNIVMVWMVWOXEAUYMWLUSVVNVWEWUMWUNVOAHIVUKVUQXGVWCVWIUYMKLUVJWRU
          VHUVIAUYDUVKWUGWUKWULVCKVYTVMUOZUTVOZUYDUYBWUDUPUOZVOZVCBCKLVHVHVYSKV
          OZWUBWUPWUFWURWUSWUAWUOUTVYSKVYTVMYDYEWUSWUEWUQUYDWUSWUCUYBWUDUPVYSKU
          MUNYDWDYFYGVYTLVOZWUPWUKWURWULWUTWUOWUJUTVYTLKVMUVLYEWUTWUQUYDUYDWUTW
          UDUYCUYBUPVYTLUMUNYDUVMYFYGUVNYHWUBDYAZWUEVOZVCZCVHYBBVHYBWUHDUYDOUYB
          UYCUPUVTWVAUYDVOZWVCWUGBCVHVHWVDWVBWUFWUBWVAUYDWUEUVOUVPUVQSUVRUWAZYI
          YJAMUYIYJZUVSUYEUWBUWCZAULYAZUYEVLVKZWVHJUSZXMULYMAWVHYMUSZWVIWVJAWVK
          WVIVCZVCZWVHUTMUTVPUOZUWDUOZUSZWUIVCQYAZPYAZVLVKZWVQJUSZXMZPOYKQWVOYK
          ZWVHUYDVLVKZWVJWVMWVPWUIWVMWVPWVHURUSZWVHWVNXFVKZWVKWWDAWVIWVHUWEYLZW
          VMWVHUYEWVNWVMWVHWWFXSWVMUYEAUYJWVLVYNYNZYOAWVNYPUSWVLAWVNAVUDWVNVHUS
          ZVUFMUWFVQZYOYNWVMWVIWVHUYEXFVKZAWVKWVIUWGZWVMWVHVHUSZUYKWVIWWJXMWVKW
          WLAWVIWVHUWHYLZAUYKWVLWVGYNWVHUYEUWIWOYCAUYEWVNXFVKZWVLAUYEMVJVKZWWNA
          WWOUYDMMVNUOZVJVKZAUYDMUMUNUOZWWPVJAUYDWWRUMUQUOZWWRVYOAWWRAWWRAVUDWW
          RVHUSVUFMWBVQYOZYQZWWTAUYDVUAWWSVYOAUYSUYTAUYSVULYOZAUYTVURYOZXRWXAAU
          TUYDVNUOUYOUYDVUAXFAUTUYNUYDAUWJAUYNAUYMVVLYRZXSVYOAUYDVYLUWKAUYNWXDU
          WLUWMAUYDAUYDVYLWMZUWNVWPUWOAVUAWWSUMUQUOZWXFUPUOWWSXFAUYSUYTWXFWXFWX
          BWXCAWWSWXAYQZWXGAFHMUDUYIUHYSAGIMUEUYIUIYSUWPAWWSAWWSWXAUWTUWQXPYTAW
          WRUWRUSWWSWWRVJVKAWWRAMUYIYRUXAWWRUWSVQUXBAMAMVUFWKZUXCXPAUYDYPUSMYPU
          SZWXIVIMVJVKWWOWWQWAVYOVYPVYPWVFUYDMMUXDYHXJAUYJVUDWWOWWNWAVYNVUFUYEM
          UXJWOWIYNYTWVMWWHWVPWWDWWEVCWAAWWHWVLWWIYNWVHWVNUXEVQUXFAWUIWVLWVEYNU
          XGAWWBWVLTYNWVMWVHUYEUYDWWMWWGAVYKWVLVYMYNWWKAUYEUYDVLVKWVLAUYEMUYEVN
          UOZUYDVLAVUDUYJUYEWXJVLVKVUFVYNMUYEUXHWOAUYDMWXEWXHVXSXKZXPYNXIWWAWWC
          WVJXMWVHWVRVLVKZWVJXMQPWVHUYDWVOOWVQWVHVOWVSWXLWVTWVJWVQWVHWVRVLUXIQU
          LJUXKUXLWVRUYDVOWXLWWCWVJWVRUYDWVHVLUXMUXNUXOUXPUXQUXRAWXJUYDJWXKAOJU
          YDOVYQJVYRJURUXSXTWVEYIUXTUYA $.
      $}

      2sqlem9.6 $e |- ( ph -> M e. NN ) $.
      2sqlem9.4 $e |- ( ph -> N e. Y ) $.
      $( Lemma for ~ 2sq .  (Contributed by Mario Carneiro, 19-Jun-2015.) $)
      2sqlem9 $p |- ( ph -> M e. S ) $=
        ( co c1 cz vu vv cv cgcd wceq c2 cexp caddc wa wrex wcel eqeq1 2rexbidv
        anbi2d oveq1 eqeq1d oveq1d eqeq2d anbi12d oveq2 oveq2d cbvrex2vw bitrdi
        elab2g ibi syl simpr cabs cfv cgz 1z zgz ax-mp eqcomi fveq2 abs1 eqtrdi
        sq1 rspceeqv mp2an 2sqlem1 mpbir eqeltrdi wne cdiv cmo cmin wbr wi wral
        cdvds cfz ad2antrr cn cin 2sqlem7 inss2 sstri sselid cuz simprr eluz2b3
        sylanbrc simplrl simplrr simprll simprlr 2sqlem8 anassrs pm2.61dane mpd
        eqid ex rexlimdvva ) AUAUCZUBUCZUDRZSUEZHXOUFUGRZXPUFUGRZUHRZUEZUIZUBTU
        JUATUJZGFUKZAHIUKZYDQYFYDBUCZCUCZUDRZSUEZDUCZYGUFUGRZYHUFUGRZUHRZUEZUIZ
        CTUJBTUJZYDDHIIYKHUEZYQYJHYNUEZUIZCTUJBTUJYDYRYPYTBCTTYRYOYSYJYKHYNULUN
        UMYTYCXOYHUDRZSUEZHXSYMUHRZUEZUIBCUAUBTTYGXOUEZYJUUBYSUUDUUEYIUUASYGXOY
        HUDUOUPUUEYNUUCHUUEYLXSYMUHYGXOUFUGUOUQURUSYHXPUEZUUBXRUUDYBUUFUUAXQSYH
        XPXOUDUTUPUUFUUCYAHUUFYMXTXSUHYHXPUFUGUOVAURUSVBVCMVDVEVFAYCYEUAUBTTAXO
        TUKZXPTUKZUIZUIZYCYEUUJYCUIZYEGSUUKGSUEZUIGSFUUKUULVGSFUKSYGVHVIZUFUGRZ
        UEBVJUJZSVJUKZSSUFUGRZUEUUOSTUKUUPVKSVLVMUUQSVRVNBSVJUUNUUQSYGSUEZUUMSU
        FUGUURUUMSVHVISYGSVHVOVPVQUQVSVTBESFLWAWBWCUUJYCGSWDZYEUUJYCUUSUIZUIZBC
        DEXOXPXOGUFWERZUHRGWFRUVBWGRZXPUVBUHRGWFRUVBWGRZFUVCUVCUVDUDRZWERZUVDUV
        EWERZGHIJKLMAKUCZJUCWKWHUVHFUKWIJIWJKSGSWGRWLRWJUUIUUTNWMAGHWKWHUUIUUTO
        WMAHWNUKUUIUUTAIWNHIFWNWOWNBCDEFILMWPFWNWQWRQWSWMUVAGWNUKZUUSGUFWTVIUKA
        UVIUUIUUTPWMUUJYCUUSXAGXBXCAUUGUUHUUTXDAUUGUUHUUTXEUUJXRYBUUSXFUUJXRYBU
        USXGUVCXLUVDXLUVFXLUVGXLXHXIXJXMXNXK $.
    $}

    $( Lemma for ~ 2sq .  Every factor of a "proper" sum of two squares (where
       the summands are coprime) is a sum of two squares.  (Contributed by
       Mario Carneiro, 19-Jun-2015.) $)
    2sqlem10 $p |- ( ( A e. Y /\ B e. NN /\ B || A ) -> B e. S ) $=
      ( va vb wcel cdvds wral c1 cfz co wceq raleqdv vm vn cn cv wi breq1 eleq1
      wbr imbi12d ralbidv caddc oveq2 elfz1eq cabs cfv c2 cexp wrex cz 1z ax-mp
      cgz zgz sq1 eqcomi fveq2 abs1 eqtrdi oveq1d rspceeqv mp2an mpbir eqeltrdi
      2sqlem1 a1d ralrimivw rgen wa cmin simplr cc nncn ad2antrr ax-1cn sylancl
      csn pncan oveq2d mpbird simprr peano2nn simprl 2sqlem9 ralrimiva ex breq2
      expr imbi1d cbvralvw syl6ibr ovex ralsn ancld cun cuz elnnuz fzsuc ralunb
      sylbi bitrdi sylibrd nnind elfz1end biimpi rspcdva rspcv syl5 3imp ) EHMZ
      FUCMZFENUHZFGMZXTFKUDZNUHZYBUEZKHOZXSYAYBUEZXTLUDZYCNUHZYHGMZUEZKHOZYFLPF
      QRZFYHFSZYKYEKHYNYIYDYJYBYHFYCNUFYHFGUGUIUJYLLPUAUDZQRZOYLLPPQRZOYLLPUBUD
      ZQRZOZYLLPYRPUKRZQRZOZYLLYMOUAUBFYOPSYLLYPYQYOPPQULTYOYRSYLLYPYSYOYRPQULT
      YOUUASYLLYPUUBYOUUAPQULTYOFSYLLYPYMYOFPQULTYLLYQYHYQMZYKKHUUDYJYIUUDYHPGY
      HPUMPGMPAUDZUNUOZUPUQRZSAVBURZPVBMZPPUPUQRZSUUHPUSMUUIUTPVCVAUUJPVDVEAPVB
      UUGUUJPUUEPSZUUFPUPUQUUKUUFPUNUOPUUEPUNVFVGVHVIVJVKADPGIVNVLVMVOVPVQYRUCM
      ZYTYTYLLUUAWFZOZVRZUUCUULYTUUNUULYTUUAYCNUHZUUAGMZUEZKHOZUUNUULYTUUAYONUH
      ZUUQUEZUAHOZUUSUULYTUVBUULYTVRZUVAUAHUVCYOHMZUUTUUQUVCUVDUUTVRZVRZABCDGUU
      AYOHKLIJUVFYLLPUUAPVSRZQRZOYTUULYTUVEVTUVFYLLUVHYSUVFUVGYRPQUVFYRWAMZPWAM
      UVGYRSUULUVIYTUVEYRWBWCWDYRPWGWEWHTWIUVCUVDUUTWJUULUUAUCMYTUVEYRWKWCUVCUV
      DUUTWLWMWQWNWOUURUVAKUAHYCYOSUUPUUTUUQYCYOUUANWPWRWSWTYLUUSLUUAYRPUKXAYHU
      UASZYKUURKHUVJYIUUPYJUUQYHUUAYCNUFYHUUAGUGUIUJXBWTXCUULUUCYLLYSUUMXDZOUUO
      UULYLLUUBUVKUULYRPXEUOMUUBUVKSYRXFPYRXGXITYLLYSUUMXHXJXKXLXTFYMMFXMXNXOYE
      YGKEHYCESYDYAYBYCEFNWPWRXPXQXR $.

    $( Lemma for ~ 2sq .  (Contributed by Mario Carneiro, 19-Jun-2015.) $)
    2sqlem11 $p |- ( ( P e. Prime /\ ( P mod 4 ) = 1 ) -> P e. S ) $=
      ( wcel c4 co c1 wceq wa c2 cexp wbr cz caddc vn cprime cv cneg cmin cdvds
      cmo wn wrex clgs simpr csn cdif wb wne simpl 1ne2 necomi oveq1 cr crp cc0
      cle clt 2re 4re 4pos elrpii 0le2 modid mp4an eqtrdi neeq1d mpbiri necon2i
      2lt4 syl eldifsn sylanbrc m1lgs mpbird neg1z lgsqr sylancr simprd cn cgcd
      mpbid simprl 1zzd gcd1 ad2antrl eqidd eqeq1d oveq1d eqeq2d anbi12d oveq2d
      oveq2 sq1 rspc2ev syl112anc ovex eqeq1 anbi2d 2rexbidv elab2 sylibr prmnn
      ad2antrr simprr zcnd sqcld ax-1cn subneg sylancl breqtrd 2sqlem10 syl3anc
      cc rexlimddv ) EUBJZEKUGLZMNZOZEUAUCZPQLZMUDZUELZUFRZEFJZUASYEEYHUFRUHZYJ
      UASUIZYEYHEUJLMNZYLYMOZYEYNYDYBYDUKZYEEUBPULUMJZYNYDUNYEYBEPUOZYQYBYDUPYE
      YDYRYPEPYCMEPNZYCMUOPMUOMPUQURYSYCPMYSYCPKUGLZPEPKUGUSPUTJKVAJVBPVCRPKVDR
      YTPNVEKVFVGVHVIVPPKVJVKVLVMVNVOVQEUBPVRVSZEVTVQWAYEYHSJYQYNYOUNWBUUAUAYHE
      WCWDWHWEYEYFSJZYJOZOZYGMTLZGJZEWFJZEUUEUFRYKUUDAUCZBUCZWGLZMNZUUEUUHPQLZU
      UIPQLZTLZNZOZBSUIASUIZUUFUUDUUBMSJYFMWGLZMNZUUEUUENZUUQYEUUBYJWIZUUDWJUUB
      UUSYEYJYFWKWLUUDUUEWMUUPUUSUUTOYFUUIWGLZMNZUUEYGUUMTLZNZOABYFMSSUUHYFNZUU
      KUVCUUOUVEUVFUUJUVBMUUHYFUUIWGUSWNUVFUUNUVDUUEUVFUULYGUUMTUUHYFPQUSWOWPWQ
      UUIMNZUVCUUSUVEUUTUVGUVBUURMUUIMYFWGWSWNUVGUVDUUEUUEUVGUUMMYGTUVGUUMMPQLM
      UUIMPQUSWTVLWRWPWQXAXBUUKCUCZUUNNZOZBSUIASUIUUQCUUEGYGMTXCUVHUUENZUVJUUPA
      BSSUVKUVIUUOUUKUVHUUEUUNXDXEXFIXGXHYBUUGYDUUCEXIXJUUDEYIUUEUFYEUUBYJXKUUD
      YGXTJMXTJYIUUENUUDYFUUDYFUVAXLXMXNYGMXOXPXQABCDUUEEFGHIXRXSYA $.
  $}

  ${
    $d a b w x y z P $.
    $( All primes of the form ` 4 k + 1 ` are sums of two squares.  This is
       Metamath 100 proof #20.  (Contributed by Mario Carneiro,
       20-Jun-2015.) $)
    2sq $p |- ( ( P e. Prime /\ ( P mod 4 ) = 1 ) ->
        E. x e. ZZ E. y e. ZZ P = ( ( x ^ 2 ) + ( y ^ 2 ) ) ) $=
      ( vw vz va vb wcel co c1 wceq wa cv c2 cexp caddc cz wrex cgcd oveq1 cabs
      cprime c4 cmo cgz cfv cmpt crn cab eqid eqeq1d oveq1d eqeq2d oveq2 oveq2d
      anbi12d cbvrex2vw abbii 2sqlem11 2sqlem2 sylib ) CUBHCUCUDIJKLCDUEDMUAUFN
      OIUGUHZHCAMZNOIZBMZNOIZPIZKBQRAQRABEDCVBFMZGMZSIZJKZEMZVHNOIZVINOIZPIZKZL
      ZGQRFQRZEUIVBUJZVRVCVESIZJKZVLVGKZLZBQRAQREVQWCVCVISIZJKZVLVDVNPIZKZLFGAB
      QQVHVCKZVKWEVPWGWHVJWDJVHVCVISTUKWHVOWFVLWHVMVDVNPVHVCNOTULUMUPVIVEKZWEWA
      WGWBWIWDVTJVIVEVCSUNUKWIWFVGVLWIVNVFVDPVIVENOTUOUMUPUQURUSABDCVBVSUTVA $.
  $}

  ${
    $d x B $.  $d x P $.  $d x X $.
    2sqb.1 $e |- ( ph -> ( P e. Prime /\ P =/= 2 ) ) $.
    2sqb.2 $e |- ( ph -> ( X e. ZZ /\ Y e. ZZ ) ) $.
    2sqb.3 $e |- ( ph -> P = ( ( X ^ 2 ) + ( Y ^ 2 ) ) ) $.
    2sqb.4 $e |- ( ph -> A e. ZZ ) $.
    2sqb.5 $e |- ( ph -> B e. ZZ ) $.
    2sqb.6 $e |- ( ph -> ( P gcd Y ) = ( ( P x. A ) + ( Y x. B ) ) ) $.
    $( Lemma for ~ 2sqb .  (Contributed by Mario Carneiro, 20-Jun-2015.) $)
    2sqblem $p |- ( ph -> ( P mod 4 ) = 1 ) $=
      ( c1 co cdvds wbr c2 cz wcel syl vx cneg clgs wceq c4 cmo wn cv cexp cmin
      wrex cprime wne simpld nprmdvds1 wb prmz 1z dvdsnegb sylancl cmul zmulcld
      mtbid caddc dvdsmul1 syl2anc simprd peano2zm zcnd peano2zd addcomd ax-1cn
      zsqcl cc a1i ppncand adddird oveq1d sqmuld 3eqtr4rd 3eqtrd breqtrrd mpbid
      oveq12d negsubdi2 sylancr cgcd cabs cfv cle cr zred absresq resqcld prmnn
      clt cn nnred cn0 zsqcl2 nn0addge2 exp1d cuz prmuz2 eluz2gt1 1lt2 syl32anc
      2z ltexp2a lelttrd eqbrtrd abscld absge0d nnnn0d nn0ge0d lt2sqd mpbird wi
      eqbrtrrd ltnled cc0 sqnprm abs00ad eqeltrrd sq0i oveq2d syl5ibcom addid1d
      eleq1d sylibd sylbid mtod wo nn0abscl elnn0 sylib ord mt3d eqtr3d wa cdif
      dvdsle dvdsabsb mtbird coprm mvrraddd negeqd dvdsmultr2 syl3anc mpd subsq
      sq1 oveq2i eqtr3id dvdsadd2b syl112anc subneg oveq1 breq2d rspcev eldifsn
      csn neg1z sylibr lgsqr mpbir2and m1lgs ) AMUBZDUCNMUDZDUEUFNMUDZAUVIDUVHO
      PZUGZDUAUHZQUINZUVHUJNZOPZUARUKZADMOPZUVKADULSZUVRUGAUVSDQUMZGUNZDUOTADRS
      ZMRSZUVRUVKUPAUVSUWBUWADUQTZURDMUSUTVCAECVANZRSZDUWEQUINZUVHUJNZOPZUVQAEC
      AERSZFRSZHUNZKVBZADUWGMVDNZUWHOADUWNOPZDFCVANZQUINZMUJNZUWNVDNZOPZADDCQUI
      NZVANZUWSOAUWBUXARSZDUXBOPUWDACRSUXCKCVMTZDUXAVEVFAUWSUWNUWRVDNUWGUWQVDNZ
      UXBAUWRUWNAUWRAUWQRSZUWRRSZAUWPRSZUXFAFCAUWJUWKHVGZKVBZUWPVMTZUWQVHTZVIAU
      WNAUWGAUWFUWGRSUWMUWEVMTZVJZVIVKAUWGMUWQAUWGUXMVIZMVNSZAVLVOAUWQUXKVIVPAE
      QUINZFQUINZVDNZUXAVANUXQUXAVANZUXRUXAVANZVDNUXBUXEAUXQUXRUXAAUXQAUWJUXQRS
      UWLEVMTVIZAUXRAUWKUXRRSUXIFVMTVIAUXAUXDVIVQADUXSUXAVAIVRAUWGUXTUWQUYAVDAE
      CAEUWLVIACKVIZVSAFCAFUXIVIZUYCVSWDVTWAWBAUWBUWNRSUXGDUWROPUWOUWTUPUWDUXNU
      XLADUWPMVDNZUWPMUJNZVANZUWROADUYFOPZDUYGOPZADDBVANZUBZUYFOADUYJOPZDUYKOPZ
      AUWBBRSUYLUWDJDBVEVFAUWBUYJRSUYLUYMUPUWDADBUWDJVBZDUYJUSVFWCAMUWPUJNZUBZU
      YFUYKAUXPUWPVNSZUYPUYFUDVLAUWPUXJVIZMUWPWEWFAUYOUYJAMUYJUWPAUYJUYNVIUYRAD
      FWGNZMUYJUWPVDNADFOPZUGZUYSMUDZAUYTDFWHWIZOPZAVUDDVUCWJPZAVUCDWPPZVUEUGAV
      UFVUCQUINZDQUINZWPPAVUGUXRVUHWPAFWKSVUGUXRUDAFUXIWLZFWMTAUXRDVUHAFVUIWNZA
      DAUVSDWQSUWADWOTZWRZADVULWNAUXRUXSDWJAUXRWKSUXQWSSZUXRUXSWJPVUJAUWJVUMUWL
      EWTTUXRUXQXAVFIWBADMUINZDVUHWPADADUWDVIXBADWKSUWCQRSZMDWPPZMQWPPZVUNVUHWP
      PVULUWCAURVOVUOAXHVOADQXCWISZVUPAUVSVURUWADXDTDXETVUQAXFVODMQXIXGXSXJXKAV
      UCDAFUYDXLZVULAFUYDXMADADVUKXNXOXPXQAVUCDVUSADUWDWLXTWCAUWBVUCWQSZVUDVUEX
      RUWDAVUTVUCYAUDZAVVAUXQULSZAUWJVVBUGUWLEYBTAVVAFYAUDZVVBAFUYDYCAVVCUXQYAV
      DNZULSZVVBAUXSULSVVCVVEADUXSULIUWAYDVVCUXSVVDULVVCUXRYAUXQVDFYEYFYIYGAVVD
      UXQULAUXQUYBYHYIYJYKYLAVUTVVAAVUCWSSZVUTVVAYMAUWKVVFUXIFYNTVUCYOYPYQYRDVU
      CUUBVFYLAUWBUWKUYTVUDUPUWDUXIDFUUCVFUUDAUVSUWKVUAVUBUPUWAUXIDFUUEVFWCLYSU
      UFUUGYSWBAUWBUYERSUYFRSZUYHUYIXRUWDAUWPUXJVJAUXHVVGUXJUWPVHTDUYEUYFUUHUUI
      UUJAUWRUWQMQUINZUJNZUYGVVHMUWQUJUULUUMAUYQUXPVVIUYGUDUYRVLUWPMUUKUTUUNWBD
      UWNUWRUUOUUPXQAUWGVNSUXPUWHUWNUDUXOVLUWGMUUQUTWBUVPUWIUAUWERUVMUWEUDZUVOU
      WHDOVVJUVNUWGUVHUJUVMUWEQUIUURVRUUSUUTVFAUVHRSDULQUVBUUASZUVIUVLUVQYTUPUV
      CAUVSUVTYTVVKGDULQUVAUVDZUAUVHDUVEWFUVFAVVKUVIUVJUPVVLDUVGTWC $.
  $}

  ${
    $d a b x y P $.
    $( The converse to ~ 2sq .  (Contributed by Mario Carneiro,
       20-Jun-2015.) $)
    2sqb $p |- ( P e. Prime ->
      ( E. x e. ZZ E. y e. ZZ P = ( ( x ^ 2 ) + ( y ^ 2 ) ) <->
        ( P = 2 \/ ( P mod 4 ) = 1 ) ) ) $=
      ( va vb wcel cv c2 cexp co caddc wceq cz wrex c1 wa rexlimdvva 1z eqtrdi
      cmul cprime c4 cmo wo wn df-ne cgcd prmz ad3antrrr simplrr bezout syl2anc
      wne simplll simpllr simplr simprll simprlr simprr 2sqblem mpd ex impancom
      expr syl5bir orrd oveq1 oveq1d eqeq2d oveq2d 1p1e2 rspc2ev mp3an12 adantl
      sq1 2sq jaodan impbida ) CUAFZCAGZHIJZBGZHIJZKJZLZBMNAMNZCHLZCUBUCJOLZUDV
      SWFPZWGWHWGUECHUMZWIWHCHUFVSWJWFWHVSWJPZWEWHABMMWKVTMFZWBMFZPZPZWEWHWOWEP
      ZCWBUGJCDGZTJWBEGZTJKJLZEMNDMNZWHWPCMFZWMWTVSXAWJWNWECUHUIWKWLWMWEUJDECWB
      UKULWPWSWHDEMMWPWQMFZWRMFZPZWSWHWPXDWSPZPWQWRCVTWBWKWNWEXEUNWKWNWEXEUOWOW
      EXEUPWPXBXCWSUQWPXBXCWSURWPXDWSUSUTVDQVAVBQVCVEVFVSWGWFWHWGWFVSOMFZXFWGWF
      RRWEWGCOWCKJZLABOOMMVTOLZWDXGCXHWAOWCKXHWAOHIJZOVTOHIVGVOSVHVIWBOLZXGHCXJ
      XGOOKJHXJWCOOKXJWCXIOWBOHIVGVOSVJVKSVIVLVMVNABCVPVQVR $.
  $}

  $( ` 2 ` is the sum of squares of two nonnegative integers iff the two
     integers are ` 1 ` .  (Contributed by AV, 19-Jun-2023.) $)
  2sq2 $p |- ( ( A e. NN0 /\ B e. NN0 )
                      -> ( ( ( A ^ 2 ) + ( B ^ 2 ) ) = 2
                           <-> ( A = 1 /\ B = 1 ) ) ) $=
    ( cn0 wcel wa c2 cexp co caddc c1 cle wbr adantr wb cc0 wi eqeq1d cq sylbid
    wceq cr nn0sqcl nn0red anim12ci nn0addge2 breq2 adantl ad2antlr nn0le2is012
    syl w3o ex oveq2 nn0cnd addid1d csqrt cfv nn0re sqge0d 2nn0 a1i 0le2 sqrt11
    syl22anc nn0ge0 sqrtsqd wnel sqrt2irr wn df-nel id eqcoms eleq1d cz nn0z zq
    notbid pm2.24d com12 expd sylbi sylbird impancom cmin cc w3a 2cnd 1cnd 3jca
    ax-mp subadd2 bicomd sylan9bbr nn0sqeq1 2m1e1 eqcom bitrdi syl6 syld eqcomd
    com23 imp 2re bitrd 3jaod mpd oveq1 sq1 eqtrdi oveqan12d 1p1e2 impbid1 ) AC
    DZBCDZEZAFGHZBFGHZIHZFTZAJTZBJTZEZXOXSYBXOXSEZXQXRKLZYBYCXQUADZXPCDZEZYDXOY
    GXSXMYFXNYEAUBZXNXQBUBZUCZUDMXQXPUEUJYCYDXQFKLZYBXSYDYKNXOXRFXQKUFUGYCYKXQO
    TZXQJTZXQFTZUKZYBYCXQCDZYKYOPXNYPXMXSYIUHYPYKYOXQUIULUJYCYLYBYMYNXOYLXSYBXO
    YLEXSXPOIHZFTZYBYLXSYRNXOYLXRYQFXQOXPIUMQUGXOYRYBPYLXOYRXPFTZYBXOYQXPFXMYQX
    PTXNXMXPXMXPYHUNZUOMQXMYSYBPXNXMYSXPUPUQZFUPUQZTZYBXMXPUADOXPKLFUADZOFKLZUU
    CYSNXMXPYHUCXMAAURZUSXMFFCDXMUTVAUCUUEXMVBVAXPFVCVDXMUUCAUUBTZYBXMUUAAUUBXM
    AUUFAVEVFQUUBRVGZXMUUGYBPPZVHUUHUUBRDZVIZUUIUUBRVJZUUKXMUUGYBXMUUGEZUUKYBUU
    MUUKARDZVIZYBUUGUUKUUONXMUUGUUJUUNUUGUUBARUUBATZUUBAUUPVKVLVMVQUGXMUUOYBPUU
    GXMUUNYBXMAVNDUUNAVOAVPUJVRMSVSVTWAWJSWBMSMSWCXOYMXSYBXOYMEXSFJWDHZXPTZYBYM
    XSXPJIHZFTZXOUURYMXRUUSFXQJXPIUMQXOUURUUTXOFWEDZJWEDZXPWEDZWFZUURUUTNXMUVDX
    NXMUVAUVBUVCXMWGXMWHYTWIMFJXPWKUJWLWMXOYMUURYBPZXOYMYAUVEXNYMYAPXMXNYMYABWN
    ULUGXOUURYAYBXOUURXPJTZYAYBPZXOUURJXPTUVFXOUUQJXPUUQJTXOWOVAQJXPWPWQXOUVFXT
    UVGXMUVFXTPXNXMUVFXTAWNULMXTYAYBYBVKULWRSXAWSXBSWCXNYNYBPXMXSXNYNBUUBTZYBXN
    UVHXQUPUQZUUBTZYNXNBUVIUUBXNUVIBXNBBURZBVEVFWTQXNYEOXQKLUUDUUEUVJYNNYJXNBUV
    KUSUUDXNXCVAUUEXNVBVAXQFVCVDXDUUHXNUVHYBPPZVHUUHUUKUVLUULUUKXNUVHYBXNUVHEZU
    UKYBUVMUUKBRDZVIZYBUVMUUJUVNUVHUUJUVNNXNUVHUUBBRUUBBTZUUBBUVPVKVLVMUGVQXNUV
    OYBPUVHXNUVNYBXNBVNDUVNBVOBVPUJVRMSVSVTWAWJWBUHXEWSSXFULYBXRJJIHFXTYAXPJXQJ
    IXTXPJFGHZJAJFGXGXHXIYAXQUVQJBJFGXGXHXIXJXKXIXL $.

  ${
    2sqcoprm.1 $e |- ( ph -> P e. Prime ) $.
    2sqcoprm.2 $e |- ( ph -> A e. ZZ ) $.
    2sqcoprm.3 $e |- ( ph -> B e. ZZ ) $.
    2sqcoprm.4 $e |- ( ph -> ( ( A ^ 2 ) + ( B ^ 2 ) ) = P ) $.
    $( If the sum of two squares is prime, none of the original number is zero.
       (Contributed by Thierry Arnoux, 4-Feb-2020.) $)
    2sqn0 $p |- ( ph -> A =/= 0 ) $=
      ( cc0 wceq c2 cexp co caddc cprime wcel eqeltrd adantr wa sq0i zcnd sqcld
      oveq1d addid2d sylan9eqr wn cz sqnprm syl eqneltrd pm2.65da neqned ) ABIA
      BIJZBKLMZCKLMZNMZOPZAUQUMAUPDOHEQRAUMSUPUOOUMAUPIUONMUOUMUNIUONBTUCAUOACA
      CGUAUBUDUEAUOOPUFZUMACUGPURGCUHUIRUJUKUL $.

    $( If the sum of two squares is prime, the two original numbers are
       coprime.  (Contributed by Thierry Arnoux, 2-Feb-2020.) $)
    2sqcoprm $p |- ( ph -> ( A gcd B ) = 1 ) $=
      ( cc0 co c1 wceq wa wcel c2 adantr wn cz cdvds wbr cgcd 2sqn0 cexp gcdcld
      wne cn0 cn simpr neneqd intnanrd gcdn0cl syl21anc nnsqcld wi cprime nn0zd
      cuz cfv sqnprm syl caddc zsqcl gcddvds syl2anc simpld dvdssqim imp simprd
      dvds2addd breqtrd dvdsprm mpbid eqeltrd mtand eluz2b3 sylnib imnan sylibr
      wb mpd df-ne notnotrd nn0sqeq1 mpdan ) ABIUEZBCUAJZKLZABCDEFGHUBAWEMZWFUF
      NZWFOUCJZKLZWGAWIWEABCFGUDZPWHWKWHWJKUEZWKQWHWJUGNZWMQZWHWFWHBRNZCRNZBILZ
      CILZMQWFUGNAWPWEFPAWQWEGPWHWRWSWHBIAWEUHUIUJBCUKULUMAWNWOUNZWEAWNWMMZQWTA
      WJOUQURNZXAAXBWJUONZAWFRNZXCQAWFWLUPZWFUSUTAXBMZWJDUOXFWJDSTZWJDLZAXGXBAW
      JBOUCJZCOUCJZVAJDSAWJXIXJAXDWJRNXEWFVBUTAWPXIRNFBVBUTAWQXJRNGCVBUTAXDWPWF
      BSTZWJXISTZXEFAXKWFCSTZAWPWQXKXMMFGBCVCVDZVEXDWPMXKXLWFBVFVGULAXDWQXMWJXJ
      STZXEGAXKXMXNVHXDWQMXMXOWFCVFVGULVIHVJPXFXBDUONZXGXHVSAXBUHAXPXBEPZDWJVKV
      DVLXQVMVNWJVOVPWNWMVQVRPVTWJKWAVPWBWFWCVDWD $.
  $}

  ${
    2sqmod.1 $e |- ( ph -> P e. Prime ) $.
    2sqmod.2 $e |- ( ph -> A e. NN0 ) $.
    2sqmod.3 $e |- ( ph -> B e. NN0 ) $.
    2sqmod.4 $e |- ( ph -> C e. NN0 ) $.
    2sqmod.5 $e |- ( ph -> D e. NN0 ) $.
    2sqmod.6 $e |- ( ph -> A <_ B ) $.
    2sqmod.7 $e |- ( ph -> C <_ D ) $.
    2sqmod.8 $e |- ( ph -> ( ( A ^ 2 ) + ( B ^ 2 ) ) = P ) $.
    2sqmod.9 $e |- ( ph -> ( ( C ^ 2 ) + ( D ^ 2 ) ) = P ) $.
    $( Given two decompositions of a prime as a sum of two squares, show that
       they are equal.  (Contributed by Thierry Arnoux, 2-Feb-2020.) $)
    2sqmod $p |- ( ph -> ( A = C /\ B = D ) ) $=
      ( co wbr adantr wcel cc0 wceq cmul caddc cdvds cmin wa cle nn0red nn0ge0d
      cr c2 cexp cc nn0cnd sqcld eqtr4d subaddeqd cgcd c1 nn0zd dvdsmul1 mulcld
      cz syl2anc remulcld resubcld recnd sqge0d cn0 cn elnnne0 sylanbrc addcomd
      wne 2sqn0 eqtrd nnmulcld nnaddcld nnsqcld nnred addge02d mpbid bhmafibid1
      resqcld oveq12d syl22anc eqtr3d cprime prmz syl zcnd sqvald oveq2d oveq1d
      mulcomd 3eqtr4d breqtrrd wi zmulcld zaddcld dvdssqim zsqcl dvdsle syld wb
      imp zred letri3d mpbir2and eqtr2d subadd2d mpbird subidd subeq0d 2sqcoprm
      sqeq0d breqtrd coprmdvds syl3anc mp2and mpd nnrpd rprege0d le2sq syl12anc
      suble0d eqbrtrrd gcdcomd le2sqd sq11d wn wo pncan2d subdird 3eqtr3d simpr
      sqmuld zsubcld clt rpmulcld subge0d eqeltrrd 0red nnne0d neneqd subeqxfrd
      prmnn subdid subsq 3eqtr2d simpll neqned subne0d syl21anc rpaddcld 2z a1i
      rpexpcld ltaddrp2d bhmafibid2 ltnled condan subeq0bd addcld mul01d 3eqtrd
      znsqcld subcld mul0ord ord mulcan2ad euclemma mpjaodan jca ) ABDUAZCEUAAF
      BEUBPZDCUBPZUCPZUDQZUVOFUVPUVQUEPZUDQZAUVSUFZUVOBDUGQZDBUGQZUWBBCDUGABCUG
      QUVSLRUWBDCADUJSZUVSADJUHZRACUJSZUVSACIUHZRATDUGQUVSADJUIZRATCUGQZUVSACIU
      IZRUWBDUKULPZCUKULPZAUWLUMSUVSADADJUNZUOZRAUWMUMSZUVSACACIUNZUOZRUWBUWLUW
      MUEPZTUAZUWSTUGQZTUWSUGQZUWBBUKULPZEUKULPZUEPZUWSTUGAUXEUWSUAUVSAUXCUWMUW
      LUXDABABHUNZUOZUWRUWOAEAEKUNZUOZAUXCUWMUCPZFUWLUXDUCPZNOUPUQZRZUWBUXETUGQ
      ZUXCUXDUGQZUWBBEUGQZUXOUWBBEUDQZUXPUWBBCEUBPZUDQZBCURPZUSUAZUXQUWBBBDUBPZ
      UXRUDABUYBUDQZUVSABVCSZDVCSZUYCABHUTZADJUTZBDVAVDRUWBUYBUXRAUYBUMSUVSABDU
      XFUWNVBRAUXRUMSUVSACEUWQUXHVBRUWBUYBUXRUEPZAUYHUMSUVSAUYHAUYBUXRABDABHUHZ
      UWFVEACEUWHAEKUHZVEVFZVGRUWBUVRUKULPZUYLUEPZUYHUKULPZTUWBUYMUYNUAZUYNUYLU
      CPZUYLUAZUWBUYLFUKULPZUYPUWBUYLUYRUAZUYLUYRUGQZUYRUYLUGQZAUYTUVSAUYLUYPUY
      RUGATUYNUGQUYLUYPUGQAUYHUYKVHAUYLUYNAUYLAUVRAUVPUVQABEABVISBTVNBVJSHABCFG
      UYFACIUTZNVOBVKVLZAEVISETVNEVJSZKAEDFGAEKUTZUYGAUXDUWLUCPUXKFAUXDUWLUXIUW
      OVMOVPVOEVKVLZVQADCADVISDTVNDVJSZJADEFGUYGVUEOVODVKVLZACVISCTVNZCVJSIACBF
      GVUBUYFAUWMUXCUCPUXJFAUWMUXCUWRUXGVMNVPVOZCVKVLZVQVRVSZVTZAUYHUYKWDZWAWBA
      FFUBPZUYNUVPCDUBPZUCPZUKULPZUCPZUYRUYPAUXJUXKUBPZVUOVUSAUXJFUXKFUBNOWEZAB
      UJSZUWGUWEEUJSZVUTVUSUAUYIUWHUWFUYJBCDEWCWFWGAFAFAFWHSZFVCSZGFWIWJZWKZWLZ
      AUYLVURUYNUCAUVRVUQUKULAUVQVUPUVPUCADCUWNUWQWOZWMWNWMWPZWQRAUVSVUAAUVSUYR
      UYLUDQZVUAAVVEUVRVCSZUVSVVKWRVVFAUVPUVQABEUYFVUEWSZADCUYGVUBWSZWTZFUVRXAV
      DAUYRVCSZUYLVJSVVKVUAWRAVVEVVPVVFFXBWJZVULUYRUYLXCVDXDXFAUYSUYTVUAUFXEUVS
      AUYLUYRVUMAUYRVVQXGZXHRXIAUYRUYPUAUVSVVJRXJAUYOUYQXEUVSAUYLUYLUYNAUYLVUMV
      GZVVSAUYNVUNVGXKRXLAUYMTUAUVSAUYLVVSXMRWGXPXNZXQAUYAUVSABCFGUYFVUBNXOZRAU
      XSUYAUFUXQWRZUVSAUYDCVCSZEVCSZVWBUYFVUBVUEBCEXRXSRXTAUXQUXPWRZUVSAUYDVUDV
      WEUYFVUFBEXCVDRYAAUXPUXOXEZUVSAVVBTBUGQZUFVVCTEUGQZVWFABABVUCYBZYCUYJAEKU
      IZBEYDYERWBAUXNUXOXEUVSAUXCUXDAUXCABVUCVSVTZAUXDAVWDUXDVCSVUEEXBWJZXGZYFR
      XLZYGUWBUXBUWMUWLUGQZUWBCDUGQZVWOUWBCDUDQZVWPUWBCUYBUDQZCBURPZUSUAZVWQUWB
      CUXRUYBUDACUXRUDQZUVSAVWCVWDVXAVUBVUECEVAVDRVVTWQAVWTUVSAUXTVWSUSABCUYFVU
      BYHVWAWGRAVWRVWTUFVWQWRZUVSAVWCUYDUYEVXBVUBUYFUYGCBDXRXSRXTAVWQVWPWRZUVSA
      VWCVUGVXCVUBVUHCDXCVDRYAAVWPVWOXEUVSACDUWHUWFUWKUWIYIRWBAUXBVWOXEUVSAUWLU
      WMADUWFWDAUWMAVWCUWMVCSVUBCXBWJZXGUUARXLZAUWTUXAUXBUFXEUVSAUWSTAUXEUWSUJU
      XLAUXCUXDVWKVWMVFZUUBAUUCZXHRXIXNYJWQUWBDEBUGADEUGQUVSMRUWBBEAVVBUVSUYIRA
      VVCUVSUYJRAVWGUVSABHUIRAVWHUVSVWJRUWBUXCUXDAUXCUMSUVSUXGRAUXDUMSZUVSUXIRU
      WBUXETUAZUXNTUXEUGQZVWNUWBTUWSUXEUGVXEUXMWQAVXIUXNVXJUFXEUVSAUXETVXFVXGXH
      RXIXNYJWQAUVOUWCUWDUFXEUVSABDUYIUWFXHRXIAUWAUFZBDCABUMSUWAUXFRADUMSUWAUWN
      RACUMSUWAUWQRAVUIUWAVUJRVXKUVPBCUBPUVQVXKECBUBVXKECAVVCUWAUYJRAUWGUWAUWHR
      AVWHUWAVWJRAUWJUWAUWKRVXKUXDUWMAVXHUWAUXIRAUWPUWAUWRRVXKFTUAZYKZUXDUWMUEP
      ZTUAZAVXMUWAAFTAFAVVDFVJSGFUUGWJUUDUUERVXKVXLVXOVXKFVXNUBPZTUAZVXLVXOYLZV
      XKVXPUVRUVTUBPZUVRTUBPZTAVXPVXSUAUWAAVXPUXCUXDUBPZUWLUWMUBPZUEPZUVPUKULPZ
      UVQUKULPZUEPZVXSAVXPFUXDUBPZFUWMUBPZUEPVYCAFUXDUWMVVGUXIUWRUUHAVYGVYAVYHV
      YBAFUXDVVGUXIVBAUXCUXDUXGUXIVBAFUWMVVGUWRVBAUWLUWMUWOUWRVBAFUXCUEPZUXDUBP
      ZFUWLUEPZUWMUBPZVYGVYAUEPVYHVYBUEPAUWMUXDUBPUXDUWMUBPVYJVYLAUWMUXDUWRUXIW
      OAVYIUWMUXDUBAUXJUXCUEPVYIUWMAUXJFUXCUENWNAUXCUWMUXGUWRYMWGZWNAVYKUXDUWMU
      BAUXKUWLUEPVYKUXDAUXKFUWLUEOWNAUWLUXDUWOUXIYMWGZWNWPAFUXCUXDVVGUXGUXIYNAF
      UWLUWMVVGUWOUWRYNYOUUFVPAVYDVYAVYEVYBUEABEUXFUXHYQADCUWNUWQYQWEAUVPUMSZUV
      QUMSZVYFVXSUAABEUXFUXHVBZADCUWNUWQVBZUVPUVQUUIVDUUJZRVXKUVTTUVRUBVXKUVPUV
      QAVYOUWAVYQRVXKUVPUVQUAZUYRUVTUKULPZUGQZVXKVYTYKZUFZAUVPUVQVNZUYRWUAUDQZW
      UBAUWAWUCUUKZWUDUVPUVQVXKWUCYPUULVXKWUFWUCAUWAWUFAVVEUVTVCSZUWAWUFWRVVFAU
      VPUVQVVMVVNYRZFUVTXAVDXFRAWUEUFZWUFWUBWUJVVPWUAVJSWUFWUBWRAVVPWUEVVQRWUJU
      VTAWUHWUEWUIRWUJUVPUVQAVYOWUEVYQRAVYPWUEVYRRAWUEYPUUMUVGUYRWUAXCVDXFUUNWU
      DWUAUYRYSQZWUBYKZWUDAWUKWUGAWUAVUOUYRYSAWUAUYBUXRUCPZUKULPZWUAUCPZVUOYSAW
      UAWUNAUVTAUVPUVQABEUYIUYJVEADCUWFUWHVEVFWDZAWUMUKAUYBUXRABDVWIADVUHYBYTAC
      EACVUKYBAEVUFYBYTUUOUKVCSAUUPUUQUURUUSAVUOWUNUVPVUPUEPZUKULPZUCPZWUOAVUTV
      UOWUSVVAAVVBUWGUWEVVCVUTWUSUAUYIUWHUWFUYJBCDEUUTWFWGAWUAWURWUNUCAUVTWUQUK
      ULAUVQVUPUVPUEVVIWMWNWMUPWQVVHWQWJWUDAWUKWULXEWUGAWUAUYRWUPVVRUVAWJWBUVBZ
      UVCWMAVXTTUAUWAAUVRAUVPUVQVYQVYRUVDUVERUVFAVXQVXRXEUWAAFVXNVVGAUXDUWMUXIU
      WRUVHUVIRWBUVJYAXNYJWMWUTWGUVKAFVXSUDQZUVSUWAYLZAFVXPVXSUDAVVEVXNVCSFVXPU
      DQVVFAUXDUWMVWLVXDYRFVXNVAVDVYSXQAVVDVVLWUHWVAWVBXEGVVOWUIFUVRUVTUVLXSWBU
      VMZACEUWHUYJUWKVWJAVYIVYKUWMUXDAUXCUWLFUEABDUKULWVCWNWMVYMVYNYOYJUVN $.
  $}

  ${
    $d P a b c d $.
    $( There exists at most one decomposition of a prime as a sum of two
       squares.  See ~ 2sqb for the existence of such a decomposition.
       (Contributed by Thierry Arnoux, 2-Feb-2020.) $)
    2sqmo $p |- ( P e. Prime -> E* a e. NN0 E. b e. NN0 ( a <_ b
       /\ ( ( a ^ 2 ) + ( b ^ 2 ) ) = P ) ) $=
      ( vc vd wcel cv cle wbr c2 cexp co caddc wceq wa cn0 wrex wral nfv nfan
      cprime wi wrmo nfre1 simp-8l simp-8r simpllr simp-7r simp-6r simplr simpr
      simp-5r simp-4r 2sqmod simpld anasss adantl5r r19.29af r19.29an ralrimiva
      expl breq12 simpl oveq1d oveq12d eqeq1d anbi12d cbvrexdva rmo4 sylibr ) A
      UAFZBGZCGZHIZVLJKLZVMJKLZMLZANZOZCPQZDGZEGZHIZWAJKLZWBJKLZMLZANZOZEPQZOVL
      WANZUBZDPRZBPRVTBPUCVKWLBPVKVLPFZOZWKDPWNWAPFZOZVTWIWJWPVTOZWHWJEPWQWBPFZ
      OZWCWGWJWSWCOZWGOVSWJCPWTWGCWSWCCWQWRCWPVTCWPCSVSCPUDTWRCSTWCCSTWGCSTWPVT
      WRWCWGVMPFZVSWJWPWROZWCOZWGOZXAOZVNVRWJXEVNOZVROZWJVMWBNZXGVLVMWAWBAVKWMW
      OWRWCWGXAVNVRUEVKWMWOWRWCWGXAVNVRUFXDXAVNVRUGWNWOWRWCWGXAVNVRUHWPWRWCWGXA
      VNVRUIXEVNVRUJXBWCWGXAVNVRULXFVRUKXCWGXAVNVRUMUNUOUPUQWPVTWRWCWGUMURUPUSV
      AUTUTVTWIBDPWJVSWHCEPWJXHOZVNWCVRWGVLWAVMWBHVBXIVQWFAXIVOWDVPWEMXIVLWAJKW
      JXHVCVDXIVMWBJKWJXHUKVDVEVFVGVHVIVJ $.
  $}

  ${
    $d P a b x y $.
    $( All primes of the form ` 4 k + 1 ` are sums of squares of two
       nonnegative integers.  (Contributed by AV, 3-Jun-2023.) $)
    2sqnn0 $p |- ( ( P e. Prime /\ ( P mod 4 ) = 1 ) ->
        E. x e. NN0 E. y e. NN0 P = ( ( x ^ 2 ) + ( y ^ 2 ) ) ) $=
      ( va vb wcel co wceq wa c2 cexp caddc cz cn0 cc0 wbr wi imp adantr oveq1d
      cprime c4 cmo c1 cv wrex 2sq cle cneg cif elnn0z biimpri wn elznn0 nn0ge0
      cr wo pm2.24d a1i ax-1 sylbi ifclda adantl cn elznn0nn iftrued eqcomd clt
      jaod elnnz lt0neg1 id 0red ltnled biimpd sylbird com12 simplbiim iffalsed
      impcom recn sqneg syl eqtr2d jaoi oveqan12d eqeq2d oveq2d rspc2ev syl3anc
      cc oveq1 ex rexlimivv ) CUAFCUBUCGUDHICDUEZJKGZEUEZJKGZLGZHZEMUFDMUFCAUEZ
      JKGZBUEZJKGZLGZHZBNUFANUFZDECUGWTXGDEMMWOMFZWQMFZIZWTXGXJWTIOWOUHPZWOWOUI
      ZUJZNFZOWQUHPZWQWQUIZUJZNFZCXMJKGZXQJKGZLGZHZXGXJXNWTXHXNXIXHXKWOXLNWONFZ
      XHXKIWOUKULXHXKUMZXLNFZXHWOUPFZYCYEUQZIYDYEQZWOUNYFYGYHYFYCYHYEYCYHQYFYCX
      KYEWOUOZURUSYEYHQYFYEYDUTUSVIRVARVBSSXJXRWTXIXRXHXIXOWQXPNWQNFZXIXOIWQUKU
      LXIXOUMZXPNFZXIWQUPFZYJYLUQZIYKYLQZWQUNYMYNYOYMYJYOYLYJYOQYMYJXOYLWQUOZUR
      USYLYOQYMYLYKUTUSVIRVARVBVCSXJWTYBXJWTYBXJWSYACXHXIWPXSWRXTLXHYCYFXLVDFZI
      ZUQWPXSHZWOVEYCYSYRYCWOXMJKYCXMWOYCXKWOXLYIVFVGTYRXSXLJKGZWPYRXMXLJKYRXKW
      OXLYQYFYDYQXLMFOXLVHPZYFYDQXLVJYFUUAYDYFUUAWOOVHPZYDWOVKYFUUBYDYFWOOYFVLY
      FVMVNVOVPVQVRVTVSTYFYTWPHZYQYFWOWKFUUCWOWAWOWBWCSWDWEVAXIYJYMXPVDFZIZUQWR
      XTHZWQVEYJUUFUUEYJWQXQJKYJXQWQYJXOWQXPYPVFVGTUUEXTXPJKGZWRUUEXQXPJKUUEXOW
      QXPUUDYMYKUUDXPMFOXPVHPZYMYKQXPVJYMUUHYKYMUUHWQOVHPZYKWQVKYMUUIYKYMWQOYMV
      LYMVMVNVOVPVQVRVTVSTYMUUGWRHZUUDYMWQWKFUUJWQWAWQWBWCSWDWEVAWFWGVORXFYBCXS
      XDLGZHABXMXQNNXAXMHZXEUUKCUULXBXSXDLXAXMJKWLTWGXCXQHZUUKYACUUMXDXTXSLXCXQ
      JKWLWHWGWIWJWMWNWC $.

    $( All primes of the form ` 4 k + 1 ` are sums of squares of two positive
       integers.  (Contributed by AV, 11-Jun-2023.) $)
    2sqnn $p |- ( ( P e. Prime /\ ( P mod 4 ) = 1 )
                  -> E. x e. NN E. y e. NN P = ( ( x ^ 2 ) + ( y ^ 2 ) ) ) $=
      ( va vb cprime wcel co wceq wa c2 cexp caddc cn0 cc0 eqeq2d adantr adantl
      cn wi c4 cmo c1 cv 2sqnn0 wo elnn0 weq oveq1 oveq1d oveq2d rspc2ev 3expia
      wrex a1d expcom sq0i nncn sqcld addid2d eqtrd wb eleq1 nnz sqnprm pm2.21d
      cz wn syl sylbid com23 jaod addid1d oveqan12rd 00id eqtrdi pm2.21i syl6bi
      ex 0nprm jaoi sylbi com12 imp rexlimdvv mpd ) CFGZCUAUBHUCIZJZCDUDZKLHZEU
      DZKLHZMHZIZENUNDNUNCAUDZKLHZBUDZKLHZMHZIZBSUNASUNZDECUEWIWOXBDENNWGWJNGZW
      LNGZJZWOXBTZTWHXEWGXFXCXDWGXFTZXCWJSGZWJOIZUFZXDXGTWJUGXDXJXGXDWLSGZWLOIZ
      UFXJXGTZWLUGXKXMXLXKXHXGXIXHXKXGXHXKJXFWGXHXKWOXBXAWOCWKWSMHZIABWJWLSSADU
      HZWTXNCXOWQWKWSMWPWJKLUIUJPBEUHZXNWNCXPWSWMWKMWRWLKLUIUKPULUMUOUPXIXKXGXI
      XKJZWOWGXBXQWOCWMIZWGXBTZXQWNWMCXQWNOWMMHZWMXQWKOWMMXIWKOIXKWJUQZQUJXKXTW
      MIXIXKWMXKWLWLURUSUTRVAPXKXRXSTXIXKXRXSXKXRJWGWMFGZXBXRWGYBVBXKCWMFVCRXKY
      BXBTXRXKYBXBXKWLVGGYBVHWLVDWLVEVIVFQVJVSRVJVKUPVLXLXHXGXIXLXHXGXLXHJZWOWG
      XBYCWOCWKIZXSYCWNWKCYCWNWKOMHZWKYCWMOWKMXLWMOIXHWLUQZQUKXHYEWKIXLXHWKXHWJ
      WJURUSVMRVAPXHYDXSTXLXHYDXSXHYDJWGWKFGZXBYDWGYGVBXHCWKFVCRXHYGXBTYDXHYGXB
      XHWJVGGYGVHWJVDWJVEVIVFQVJVSRVJVKVSXLXIXGXLXIJZWOWGXBYHWOCOIZXSYHWNOCYHWN
      OOMHOXIXLWKOWMOMYAYFVNVOVPPYIWGOFGZXBCOFVCYJXBVTVQVRVRVKVSVLWAWBWCWBWDWCQ
      WEWF $.
  $}

  ${
    $d C a b c $.
    $( For each complex number ` C ` , there exists a unique complex number
       ` a ` added to the square of a unique another complex number ` b `
       resulting in the given complex number ` C ` .  The unique complex number
       ` a ` is ` C ` , and the unique another complex number ` b ` is ` 0 ` .

       Remark:  This, together with ~ addsqnreup , is an example showing that
       the pattern ` E! a e. A E! b e. B ph ` does not necessarily mean "There
       are unique sets ` a ` and ` b ` fulfilling ` ph ` ).  See also comments
       for ~ df-eu and ~ 2eu4 .  For more details see comment for
       ~ addsqnreup .  (Contributed by AV, 21-Jun-2023.) $)
    addsq2reu $p |- ( C e. CC
                      -> E! a e. CC E! b e. CC ( a + ( b ^ 2 ) ) = C ) $=
      ( vc cc wcel cv co caddc wceq wreu wi wral wa wb eqeq1d adantl cc0 adantr
      oveq1 c2 cexp weq wrex id reubidv eqeq1 imbi2d ralbidv anbi12d 0cnd reueq
      sylib subid simpl simpr sqcld subaddd eqcom sqeq0 syl5bb 3bitr3d reubidva
      cmin mpbird sqcl subcl reusq0 syl subeq0 biimpd sylbid ralrimiva rspcedvd
      addrsub jca reu8 sylibr ) AEFZBGZCGZUAUBHZIHZAJZCEKZDGZWBIHZAJZCEKZBDUCZL
      ZDEMZNZBEUDWEBEKVSWMAWBIHZAJZCEKZWIAWFJZLZDEMZNZBAEVSUEVTAJZWMWTOVSXAWEWP
      WLWSXAWDWOCEXAWCWNAVTAWBITPUFXAWKWRDEXAWJWQWIVTAWFUGUHUIUJQVSWPWSVSWPWARJ
      ZCEKZVSREFXCVSUKCERULUMVSWOXBCEVSWAEFZNZAAVDHZWBJRWBJZWOXBXEXFRWBVSXFRJXD
      AUNSPXEAAWBVSXDUOZXHXEWAVSXDUPUQURXDXGXBOVSXGWBRJXDXBRWBUSWAUTVAQVBVCVEVS
      WRDEVSWFEFZNZWIWBAWFVDHZJZCEKZWQXJWHXLCEXJXDNWFWBAXJXIXDVSXIUPSXDWBEFXJWA
      VFQXJVSXDVSXIUOSVOVCXJXMXKRJZWQXJXKEFXMXNOAWFVGCXKVHVIXJXNWQAWFVJVKVLVLVM
      VPVNWEWIBDEWJWDWHCEWJWCWGAVTWFWBITPUFVQVR $.

    $( For each complex number ` C ` , there does not exist a unique complex
       number ` b ` , squared and added to a unique another complex number
       ` a ` resulting in the given complex number ` C ` .  Actually, for each
       complex number ` b ` , ` a = ( C - ( b ^ 2 ) ) ` is unique.

       Remark:  This, together with ~ addsq2reu , shows that commutation of two
       unique quantifications need not be equivalent, and provides an evident
       justification of the fact that considering the pair of variables is
       necessary to obtain what we intuitively understand as "double unique
       existence".  (Proposed by GL, 23-Jun-2023.).  (Contributed by AV,
       23-Jun-2023.) $)
    addsqn2reu $p |- ( C e. CC
                      -> -. E! b e. CC E! a e. CC ( a + ( b ^ 2 ) ) = C ) $=
      ( c1 cc wcel cv c2 cexp co caddc wceq wreu 1cnd a1i oveq2d eqtrd reubidva
      wa eqeq1d cneg wne w3a wn ax-1cn neg1cn 1nn nnneneg ax-mp 3pm3.2i mpancom
      cn negeu sq1 addcomd adantl mpbird neg1sqe1 jca oveq1 reubidv 2nreu mpsyl
      id ) DEFZDUAZEFZDVFUBZUCAEFZBGZDHIJZKJZALZBEMZVJVFHIJZKJZALZBEMZSVJCGZHIJ
      ZKJZALZBEMZCEMUDVEVGVHUEUFDULFVHUGDUHUIUJVIVNVRVIVNDVJKJZALZBEMZVEVIWFVIN
      BDAUMUKZVIVMWEBEVIVJEFZSZVLWDAWIVLVJDKJZWDWIVKDVJKVKDLWIUNOPWHWJWDLVIWHVJ
      DWHVDWHNUOUPZQTRUQVIVRWFWGVIVQWEBEWIVPWDAWIVPWJWDWIVODVJKVODLWIUROPWKQTRU
      QUSWCVNVRCDVFEVSDLZWBVMBEWLWAVLAWLVTVKVJKVSDHIUTPTVAVSVFLZWBVQBEWMWAVPAWM
      VTVOVJKVSVFHIUTPTVAVBVC $.

    $( For each complex number, there exists a complex number to which the
       square of more than one (or no) other complex numbers can be added to
       result in the given complex number.

       Remark:  This theorem, together with ~ addsq2reu , shows that there are
       cases in which there is a set together with a not unique other set
       fulfilling a wff, although there is a unique set fulfilling the wff
       together with another unique set (see ~ addsq2reu ).  For more details
       see comment for ~ addsqnreup .  (Contributed by AV, 20-Jun-2023.) $)
    addsqrexnreu $p |- ( C e. CC -> E. a e. CC -. E! b e. CC
                                    ( a + ( b ^ 2 ) ) = C ) $=
      ( cc wcel cv c2 cexp co caddc wceq wreu wn c1 cmin oveq1 eqeq1d adantl wa
      eqcomi peano2cnm wb reubidv notbid cneg wne w3a ax-1cn neg1cn 1nn nnneneg
      cn ax-mp 3pm3.2i sq1 neg1sqe1 pm3.2i eqeq2d 2nreu mp2 adantr sqcl subaddd
      simpl id 1cnd nncand bitr3d reubidva mtbiri rspcedvd ) ADEZBFZCFZGHIZJIZA
      KZCDLZMZANOIZVOJIZAKZCDLZMZBVTDAUAZVMVTKZVSWDUBVLWFVRWCWFVQWBCDWFVPWAAVMV
      TVOJPQUCUDRVLWCNVOKZCDLZNDEZNUEZDEZNWJUFZUGNNGHIZKZNWJGHIZKZSWHMWIWKWLUHU
      INULEWLUJNUKUMUNWNWPWMNUOTWONUPTUQWGWNWPCNWJDVNNKVOWMNVNNGHPURVNWJKVOWONV
      NWJGHPURUSUTVLWBWGCDVLVNDEZSZAVTOIZVOKWBWGWRAVTVOVLWQVDVLVTDEWQWEVAWQVODE
      VLVNVBRVCWRWSNVOVLWSNKWQVLANVLVEVLVFVGVAQVHVIVJVK $.
  $}

  ${
    $d C p $.
    $( There is no unique decomposition of a complex number as a sum of a
       complex number and a square of a complex number.

       Remark:  This theorem, together with ~ addsq2reu , is a real life
       example (about a numerical property) showing that the pattern
       ` E! a e. A E! b e. B ph ` does not necessarily mean "There are unique
       sets ` a ` and ` b ` fulfilling ` ph ` ").  See also comments for
       ~ df-eu and ~ 2eu4 .

       In the case of decompositions of complex numbers as a sum of a complex
       number and a square of a complex number, the only/unique complex number
       to which the square of a unique complex number is added yields in the
       given complex number is the given number itself, and the unique complex
       number to be squared is ` 0 ` (see comment for ~ addsq2reu ).  There
       are, however, complex numbers to which the square of more than one other
       complex numbers can be added to yield the given complex number (see
       ~ addsqrexnreu ).  For example, ` <. 1 , ( sqrt `` ( C - 1 ) ) >. ` and
       ` <. 1 , -u ( sqrt `` ( C - 1 ) ) >. ` are two different decompositions
       of ` C ` (if ` C =/= 1 ` ).  Therefore, there is no unique decomposition
       of any complex number as a sum of a complex number and a square of a
       complex number, as generally proved by this theorem.

       As a consequence, a theorem must claim the existence of a unique pair of
       sets to express "There are unique ` a ` and ` b ` so that .."  (more
       formally ` E! p e. ( A X. B ) ph ` with ` p = <. a , b >. ` ), or by
       showing ` ( E! x e. A E. y e. B ph /\ E! y e. B E. x e. A ph ) ` (see
       ~ 2reu4 resp. ~ 2eu4 ).  These two representations are equivalent (see
       ~ opreu2reurex ).  An analogon of this theorem using the latter variant
       is given in ~ addsqn2reurex2 .  In some cases, however, the variant with
       (ordered!) pairs may be possible only for ordered sets (like ` RR ` or
       ` Prime ` ) and claiming that the first component is less than or equal
       to the second component (see, for example, ~ 2sqreunnltb and
       ~ 2sqreuopb ).  Alternatively, (proper) unordered pairs can be used:
       ` E! p e ~P A ( ( # `` p ) = 2 /\ ph ) ` , or, using the definition of
       proper pairs: ` E! p e. ( PrPairs `` A ) ph ` (see, for example,
       ~ inlinecirc02preu ).  (Contributed by AV, 21-Jun-2023.) $)
    addsqnreup $p |- ( C e. CC -> -. E! p e. ( CC X. CC )
                                 ( ( 1st ` p ) + ( ( 2nd ` p ) ^ 2 ) ) = C ) $=
      ( cc wcel c1st cfv c2nd c2 cexp co caddc wceq c1 cc0 c3 wne eqtri oveq12d
      c4 fveq2 cv cxp wreu wn wi cop w3a wa ax-1cn 0cn opelxpi mp2an 3cn negcli
      cneg 2cn wo 0ne2 olci 1ex opthne mpbir 3pm3.2i op1st op2nd oveq1i oveq12i
      c0ex sq0 1p0e1 negex 2ex sq2 cmin negsubi 3p1e4 subaddrii addcomli pm3.2i
      4cn oveq1d eqeq1d 2nreu mp2 eqeq2 reubidv mtbiri a1d csqrt id 0cnd adantr
      opelxpd 1cnd peano2cnm sqrtcld animorrl opthneg sylan2 mpbird 3jca op1stg
      wb mpdan op2ndg sq0id addid1 eqtrd syl2anc sqsqrtd pncan3d sylc pm2.61ine
      jca expcom ) ACDZBUAZEFZXQGFZHIJZKJZALZBCCUBZUCZUDZUEAMAMLZYEXPYFYDYAMLZB
      YCUCZMNUFZYCDZOUOZHUFZYCDZYIYLPZUGYIEFZYIGFZHIJZKJZMLZYLEFZYLGFZHIJZKJZML
      ZUHYHUDYJYMYNMCDZNCDZYJUIUJMNCCUKULYKCDHCDYMOUMUNZUPYKHCCUKULYNMYKPZNHPZU
      QUUIUUHURUSMNYKHUTVHVAVBVCYSUUDYRMNKJMYOMYQNKMNUTVHVDYQNHIJNYPNHIMNUTVHVE
      VFVIQVGVJQUUCYKSKJMYTYKUUBSKYKHOVKZVLVDUUBHHIJSUUAHHIYKHUUJVLVEVFVMQVGSYK
      MVTUUGSYKKJSOVNJMSOVTUMVOSOMVTUMUIVPVQQVRQVSYGYSUUDBYIYLYCXQYILZYAYRMUUKX
      RYOXTYQKXQYIETUUKXSYPHIXQYIGTWARWBXQYLLZYAUUCMUULXRYTXTUUBKXQYLETUULXSUUA
      HIXQYLGTWARWBWCWDYFYBYGBYCAMYAWEWFWGWHXPAMPZYEXPUUMUHZANUFZYCDZMAMVNJZWIF
      ZUFZYCDZUUOUUSPZUGUUOEFZUUOGFZHIJZKJZALZUUSEFZUUSGFZHIJZKJZALZUHZYEUUNUUP
      UUTUVAXPUUPUUMXPANCCXPWJZXPWKZWMWLXPUUTUUMXPMUURCCXPWNZXPUUQAWOZWPZWMWLUU
      NUVAUUMNUURPZUQZXPUUMUVRWQUUMXPUUFUVAUVSXCUUMWKANMUURCCWRWSWTXAXPUVLUUMXP
      UVFUVKXPUVEANKJAXPUVBAUVDNKXPUUFUVBALUVNANCCXBXDXPUVCXPUUFUVCNLUVNANCCXEX
      DXFRAXGXHXPUVJMUUQKJAXPUVGMUVIUUQKXPUUEUURCDZUVGMLUVOUVQMUURCCXBXIXPUVIUU
      RHIJUUQXPUVHUURHIXPUUEUVTUVHUURLUVOUVQMUURCCXEXIWAXPUUQUVPXJXHRXPMAUVOUVM
      XKXHXNWLYBUVFUVKBUUOUUSYCXQUUOLZYAUVEAUWAXRUVBXTUVDKXQUUOETUWAXSUVCHIXQUU
      OGTWARWBXQUUSLZYAUVJAUWBXRUVGXTUVIKXQUUSETUWBXSUVHHIXQUUSGTWARWBWCXLXOXM
      $.
  $}

  ${
    $d C a b $.
    $( For each complex number ` C ` , there is no unique complex number ` a `
       added to the square of another complex number ` b ` resulting in the
       given complex number ` C ` .  (Contributed by AV, 2-Jul-2023.) $)
    addsq2nreurex $p |- ( C e. CC
                      -> -. E! a e. CC E. b e. CC ( a + ( b ^ 2 ) ) = C ) $=
      ( cc wcel c1 cmin co c4 wne cv c2 cexp caddc wceq wrex a1i oveq1 eqeq1d
      wb wreu wn peano2cnm id 4cn subcld 1cnd 1re 1lt4 ltneii subneintrd oveq2d
      adantl sq1 oveq2i npcan1 syl5eq rspcedvd 2cnd 2cn sqcli subadd23d cc0 sq2
      subeq0bd subcli addid0 mpan2 mpbird eqtrd w3a rexbidv 2nreu imp syl32anc
      wa ) ADEZAFGHZDEZAIGHZDEZVRVTJZVRCKZLMHZNHZAOZCDPZVTWDNHZAOZCDPZBKZWDNHZA
      OZCDPZBDUAUBZAUCVQAIVQUDZIDEVQUEQZUFVQAFIWPVQUGZWQFIJVQFIUHUIUJQUKVQWFVRF
      LMHZNHZAOZCFDWRWCFOZWFXATVQXBWEWTAXBWDWSVRNWCFLMRULSUMVQWTVRFNHAWSFVRNUNU
      OAUPUQURVQWIVTLLMHZNHZAOZCLDVQUSWCLOZWIXETVQXFWHXDAXFWDXCVTNWCLLMRULSUMVQ
      XDAXCIGHZNHZAVQAIXCWPWQXCDEVQLUTVAZQZVBVQXHAOZXGVCOZVQXCIXJXCIOVQVDQVEVQX
      GDEXKXLTXCIXIUEVFAXGVGVHVIVJURVSWAWBVKWGWJVPWOWNWGWJBVRVTDWKVROZWMWFCDXMW
      LWEAWKVRWDNRSVLWKVTOZWMWICDXNWLWHAWKVTWDNRSVLVMVNVO $.

    $( For each complex number ` C ` , there does not uniquely exist two
       complex numbers ` a ` and ` b ` , with ` b ` squared and added to ` a `
       resulting in the given complex number ` C ` .

       Remark:  This, together with ~ addsq2reu , is an example showing that
       the pattern ` E! a e. A E! b e. B ph ` does not necessarily mean "There
       are unique sets ` a ` and ` b ` fulfilling ` ph ` ), as it is the case
       with the pattern
       ` ( E! a e. A E. b e. B ph /\ E! b e. B E. a e. A ph ` .  See also
       comments for ~ df-eu and ~ 2eu4 .  (Contributed by AV, 2-Jul-2023.) $)
    addsqn2reurex2 $p |- ( C e. CC
                     -> -. ( E! a e. CC E. b e. CC ( a + ( b ^ 2 ) ) = C
                          /\ E! b e. CC E. a e. CC ( a + ( b ^ 2 ) ) = C ) ) $=
      ( cc wcel cv c2 cexp co caddc wceq wrex wreu addsq2nreurex intnanrd ) ADE
      BFCFGHIJIAKZCDLBDMPBDLCDMABCNO $.
  $}

  ${
    $d P a b c x y $.
    $( Lemma 1 for ~ 2sqreu .  (Contributed by AV, 4-Jun-2023.) $)
    2sqreulem1 $p |- ( ( P e. Prime /\ ( P mod 4 ) = 1 )
                   -> E! a e. NN0 E! b e. NN0 ( a <_ b
                                        /\ ( ( a ^ 2 ) + ( b ^ 2 ) ) = P ) ) $=
      ( vx vy vc wcel co wceq wa cle wbr c2 cexp caddc cn0 wi adantl wb adantr
      cprime c4 cmo c1 cv wreu wrex 2sqnn0 simpll weq breq1 oveq1 oveq1d eqeq1d
      wrmo anbi12d reubidv wral simpr breq2 oveq2d equequ1 imbi2d ralbidv eqidd
      cr nn0re resqcld ad2antrr readdcan syl3anc ad4antlr ad2antlr nn0ge0 sq11d
      cc0 eqcomd ex sylbid adantld ralrimiva jca31 rspcedvd sylibr impcom eqeq2
      reu8 anbi2d mpbird wn clt ltnle syl2anr ltled sylbird imp cc recnd eqeq2d
      addcomd bitrd pm2.61ian rexlimdvva mpd a1i 2sqmo rmoim sylc reu5 sylanbrc
      reurex ) AUAGZAUBUCHUDIZJZBUEZCUEZKLZXOMNHZXPMNHZOHZAIZJZCPUFZBPUGZYCBPUO
      ZYCBPUFXNADUEZMNHZEUEZMNHZOHZIZEPUGDPUGYDDEAUHXNYKYDDEPPYFPGZYHPGZJZYKYDQ
      XNYNYKYDYFYHKLZYNYKJZYDYOYPJZYCYFXPKLZYGXSOHZAIZJZCPUFZBYFPYPYLYOYLYMYKUI
      RBDUJZYCUUBSYQUUCYBUUACPUUCXQYRYAYTXOYFXPKUKUUCXTYSAUUCXRYGXSOXOYFMNULUMU
      NUPUQRYQUUBYRYSYJIZJZCPUFZYPYOUUFYNYOUUFQYKYNYOUUFYNYOJZUUEYFFUEZKLZYGUUH
      MNHZOHZYJIZJZCFUJZQZFPURZJZCPUGUUFUUGUUQYOYJYJIZJZUUMEFUJZQZFPURZJZCYHPYN
      YMYOYLYMUSZTCEUJZUUQUVCSUUGUVEUUEUUSUUPUVBUVEYRYOUUDUURXPYHYFKUTUVEYSYJYJ
      UVEXSYIYGOXPYHMNULVAUNUPUVEUUOUVAFPUVEUUNUUTUUMCEFVBVCVDUPRUUGYOUURUVBYNY
      OUSUUGYJVEUUGUVAFPUUGUUHPGZJZUULUUTUUIUVGUULUUJYIIZUUTUVGUUJVFGZYIVFGZYGV
      FGZUULUVHSUVFUVIUUGUVFUUHUUHVGZVHZRYNUVJYOUVFYMUVJYLYMYHYHVGZVHZRZVIYNUVK
      YOUVFYLUVKYMYLYFYFVGZVHZTZVIUUJYIYGVJVKUVGUVHUUTUVGUVHJZYHUUHYMYHVFGZYLYO
      UVFUVHUVNVLUVFUUHVFGZUUGUVHUVLVMYMVPYHKLYLYOUVFUVHYHVNVLUVFVPUUHKLZUUGUVH
      UUHVNZVMUVTUUJYIUVGUVHUSVQVOVRVSVTWAWBWCUUEUUMCFPUUNYRUUIUUDUULXPUUHYFKUT
      UUNYSUUKYJUUNXSUUJYGOXPUUHMNULZVAUNUPWGWDVRTWEYPUUBUUFSZYOYKUWFYNYKUUAUUE
      CPYKYTUUDYRAYJYSWFWHUQRRWIWCYOWJZYPJZYCYHXPKLZYIXSOHZAIZJZCPUFZBYHPYPYMUW
      GYNYMYKUVDTRBEUJZYCUWMSUWHUWNYBUWLCPUWNXQUWIYAUWKXOYHXPKUKUWNXTUWJAUWNXRY
      IXSOXOYHMNULUMUNUPUQRUWHUWMUWIUWJYJIZJZCPUFZYPUWGUWQYNUWGUWQQYKYNUWGUWQYN
      UWGJZUWPYHUUHKLZYIUUJOHZYJIZJZUUNQZFPURZJZCPUGUWQUWRUXEYHYFKLZYIYGOHZYJIZ
      JZUXBDFUJZQZFPURZJZCYFPYLYMUWGUICDUJZUXEUXMSUWRUXNUWPUXIUXDUXLUXNUWIUXFUW
      OUXHXPYFYHKUTUXNUWJUXGYJUXNXSYGYIOXPYFMNULVAUNUPUXNUXCUXKFPUXNUUNUXJUXBCD
      FVBVCVDUPRUWRUXFUXHUXLYNUWGUXFYNUWGYHYFWKLZUXFYMUWAYFVFGZUXOUWGSYLUVNUVQY
      HYFWLWMYNUXOUXFYNUXOJYHYFYMUWAYLUXOUVNVMYLUXPYMUXOUVQVIYNUXOUSWNVRWOWPYNU
      XHUWGYNYIYGYMYIWQGZYLYMYIUVOWRRYLYGWQGZYMYLYGUVRWRTWTTYNUXLUWGYNUXKFPYNUV
      FJZUXAUXJUWSUXSUXAUUJYGIZUXJUXSUXAUWTUXGIZUXTUXSYJUXGUWTUXSYGYIYNUXRUVFYN
      YGUVSWRTYNUXQUVFYNYIUVPWRTWTWSUXSUVIUVKUVJUYAUXTSUVFUVIYNUVMRYLUVKYMUVFUV
      RVIYMUVJYLUVFUVOVMUUJYGYIVJVKXAUXSUXTUXJUXSUXTJZUUHYFUYBUUHYFUVFUWBYNUXTU
      VLVMYNUXPUVFUXTYLUXPYMUVQTVIUVFUWCYNUXTUWDVMYNVPYFKLZUVFUXTYLUYCYMYFVNTVI
      UXSUXTUSVOVQVRVSVTWATWBWCUWPUXBCFPUUNUWIUWSUWOUXAXPUUHYHKUTUUNUWJUWTYJUUN
      XSUUJYIOUWEVAUNUPWGWDVRTWEYPUWMUWQSZUWGYKUYDYNYKUWLUWPCPYKUWKUWOUWIAYJUWJ
      WFWHUQRRWIWCXBVRRXCXDXNYCYBCPUGZQZBPURUYEBPUOZYEXNUYFBPUYFXNXOPGJYBCPXKXE
      WAXLUYGXMABCXFTYCUYEBPXGXHYCBPXIXJ $.

    $( Lemma for ~ 2sqreult .  (Contributed by AV, 8-Jun-2023.)  (Proposed by
       GL, 8-Jun-2023.) $)
    2sqreultlem $p |- ( ( P e. Prime /\ ( P mod 4 ) = 1 )
                     -> E! a e. NN0 E! b e. NN0 ( a < b
                                        /\ ( ( a ^ 2 ) + ( b ^ 2 ) ) = P ) ) $=
      ( cprime wcel c4 cmo co c1 wceq wa wbr c2 cexp caddc cn0 wreu wb wi cmul
      cv cle clt 2sqreulem1 wne weq oveq1 oveq2d adantr nn0cn 2times eqcomd syl
      sqcld adantl ad2antrl eqtrd eqeq1d eleq1 anbi12d nn0z 2nn0 zexpcl sylancl
      cc cz 2mulprm oveq2 2t1e2 eqtrdi oveq1d cr crp cc0 2re cn nnrp ax-mp 0le2
      4nn 2lt4 modid mp4an 1ne2 eqcom eqneqall com12 syl5bi syl6bi impcomd expd
      com34 eqcoms com14 imp31 sylbid expimpd 2a1 pm2.61ine pm4.71d nn0re ltlen
      syl2an bibi2d mpbird ex pm5.32rd reubidva mpbid ) ADEZAFGHZIJZKZBUAZCUAZU
      BLZXNMNHZXOMNHZOHZAJZKZCPQZBPQXNXOUCLZXTKZCPQZBPQABCUDXMYBYEBPXMXNPEZKZYA
      YDCPYGXOPEZKZXTXPYCYIXTXPYCRZYIXTKZYJXPXPXOXNUEZKZRZYKXPYLYKXPYLSZSXOXNCB
      UFZYIXTYOYPYIKZXTMXQTHZAJZYOYQXSYRAYQXSXQXQOHZYRYPXSYTJYIYPXRXQXQOXOXNMNU
      GUHUIYGYTYRJZYPYHYFUUAXMYFXQVEEZUUAYFXNXNUJUNUUBYRYTXQUKULUMUOUPUQURYGYSY
      OSZYPYHXJXLYFUUCYSXLYFXJYOXLYFXJYOSSSAYRAYRJZXLXJYFYOUUDXLXJYFYOSZUUDXLXJ
      KYRFGHZIJZYRDEZKZUUEUUDXLUUGXJUUHUUDXKUUFIAYRFGUGURAYRDUSUTYFUUIYOYFUUHUU
      GYOYFUUHXQIJZUUGYOSYFXQVFEZUUHUUJRYFXNVFEMPEUUKXNVAVBXNMVCVDXQVGUMUUJUUGM
      IJZYOUUJUUFMIUUJUUFMFGHZMUUJYRMFGUUJYRMITHMXQIMTVHVIVJVKMVLEFVMEZVNMUBLMF
      UCLUUMMJVOFVPEUUNVTFVQVRVSWAMFWBWCVJURIMUEZUULYOSWDUULIMJZUUOYOMIWEUUPUUO
      YOYOIMWFWGWHVRWIWIWJWGWIWKWLWMWNWOUPWPWQYLYKXPWRWSWTYIYJYNRXTYIYCYMXPYGXN
      VLEZXOVLEYCYMRYHYFUUQXMXNXAUOXOXAXNXOXBXCXDUIXEXFXGXHXHXI $.

    $( Lemma for ~ 2sqreultb .  (Contributed by AV, 10-Jun-2023.)  The prime
       needs not be odd, as observed by WL. (Revised by AV, 18-Jun-2023.) $)
    2sqreultblem $p |- ( P e. Prime
                      -> ( ( P mod 4 ) = 1 <-> E! a e. NN0 E! b e. NN0
                              ( a < b /\ ( ( a ^ 2 ) + ( b ^ 2 ) ) = P ) ) ) $=
      ( cprime wcel co c1 wceq cv clt wbr c2 wa cn0 ex wi wrex adantl cz reximi
      c4 cmo cexp caddc wreu 2sqreultlem csn 2reu2rex elsni eqeq2 anbi2d breq12
      wb 1re ltnri pm2.21i syl6bi impcomd adantr sylbid com23 rexlimivv syl2imc
      2sq2 a1d wn cdif eldif eldifsnneq wo wss nn0ssz eqcomd ssrexv ax-mp mpsyl
      id 3syl eldifi 2sqb syl mpbid ord mpid sylbir expcom pm2.61i impbid ) ADE
      ZAUAUBFGHZBIZCIZJKZWKLUCFWLLUCFUDFZAHZMZCNUEBNUEZWIWJWQABCUFOALUGZEZWIWQW
      JPZPWSWTWIWQWPCNQZBNQZWSALHZWJWPBCNNUHZALUIWPXCWJPBCNNWKNEWLNEMZXCWPWJXEX
      CWPWJPXEXCMWPWMWNLHZMZWJXCWPXGUMXEXCWOXFWMALWNUJUKRXEXGWJPXCXEXFWMWJXEXFW
      KGHWLGHMZWMWJPWKWLVDXHWMGGJKZWJWKGWLGJULXIWJGUNUOUPUQUQURUSUTOVAVBVCVEWIW
      SVFZWTWIXJMADWRVGEZWTADWRVHXKWQXCVFZWJADLVIXKWQXLWJPXKWQMZXCWJXMAWNHZCSQZ
      BSQZXCWJVJZWQXPXKNSVKZWQXOBNQZXPVLWQXBXNCNQZBNQXSXDXAXTBNWPXNCNWOXNWMWOWN
      AWOVQVMRTTXTXOBNXRXTXOPVLXNCNSVNVOTVRXOBNSVNVPRXMWIXPXQUMXKWIWQADWRVSUSBC
      AVTWAWBWCOWDWEWFWGWH $.

    $( Lemma 1 for ~ 2sqreunn .  (Contributed by AV, 11-Jun-2023.) $)
    2sqreunnlem1 $p |- ( ( P e. Prime /\ ( P mod 4 ) = 1 )
                     -> E! a e. NN E! b e. NN ( a <_ b
                                        /\ ( ( a ^ 2 ) + ( b ^ 2 ) ) = P ) ) $=
      ( vc wcel co wceq wa cle wbr c2 cexp caddc cn wi adantl wb anbi12d adantr
      wrex vx vy cprime c4 cmo c1 cv wreu wrmo 2sqnn simpll breq1 oveq1d eqeq1d
      oveq1 reubidv wral simpr breq2 oveq2d equequ1 imbi2d ralbidv nnre resqcld
      eqidd cr ad2antrr readdcan syl3anc ad4antlr ad2antlr nnnn0 nn0ge0d eqcomd
      sq11d ex sylbid adantld ralrimiva jca31 rspcedvd reu8 sylibr impcom eqeq2
      cc0 anbi2d mpbird wn clt ltnle syl2anr ltled sylbird imp cc recnd addcomd
      eqeq2d bitrd pm2.61ian rexlimdvva mpd reurex a1i cn0 2sqmo nnssnn0 ssrmof
      wss nfcv ax-mp ssrexv rmoimi 3syl rmoim sylc reu5 sylanbrc ) AUCEZAUDUEFU
      FGZHZBUGZCUGZIJZYDKLFZYEKLFZMFZAGZHZCNUHZBNTZYLBNUIZYLBNUHYCAUAUGZKLFZUBU
      GZKLFZMFZGZUBNTUANTYMUAUBAUJYCYTYMUAUBNNYONEZYQNEZHZYTYMOYCUUCYTYMYOYQIJZ
      UUCYTHZYMUUDUUEHZYLYOYEIJZYPYHMFZAGZHZCNUHZBYONUUEUUAUUDUUAUUBYTUKPYDYOGZ
      YLUUKQUUFUULYKUUJCNUULYFUUGYJUUIYDYOYEIULUULYIUUHAUULYGYPYHMYDYOKLUOUMUNR
      UPPUUFUUKUUGUUHYSGZHZCNUHZUUEUUDUUOUUCUUDUUOOYTUUCUUDUUOUUCUUDHZUUNYODUGZ
      IJZYPUUQKLFZMFZYSGZHZYEUUQGZOZDNUQZHZCNTUUOUUPUVFUUDYSYSGZHZUVBYQUUQGZOZD
      NUQZHZCYQNUUCUUBUUDUUAUUBURZSYEYQGZUVFUVLQUUPUVNUUNUVHUVEUVKUVNUUGUUDUUMU
      VGYEYQYOIUSUVNUUHYSYSUVNYHYRYPMYEYQKLUOUTUNRUVNUVDUVJDNUVNUVCUVIUVBCUBDVA
      VBVCRPUUPUUDUVGUVKUUCUUDURUUPYSVFUUPUVJDNUUPUUQNEZHZUVAUVIUURUVPUVAUUSYRG
      ZUVIUVPUUSVGEZYRVGEZYPVGEZUVAUVQQUVOUVRUUPUVOUUQUUQVDZVEZPUUCUVSUUDUVOUUB
      UVSUUAUUBYQYQVDZVEZPZVHUUCUVTUUDUVOUUAUVTUUBUUAYOYOVDZVEZSZVHUUSYRYPVIVJU
      VPUVQUVIUVPUVQHZYQUUQUUBYQVGEZUUAUUDUVOUVQUWCVKUVOUUQVGEZUUPUVQUWAVLUUBWG
      YQIJUUAUUDUVOUVQUUBYQYQVMVNVKUVOWGUUQIJZUUPUVQUVOUUQUUQVMVNZVLUWIUUSYRUVP
      UVQURVOVPVQVRVSVTWAWBUUNUVBCDNUVCUUGUURUUMUVAYEUUQYOIUSUVCUUHUUTYSUVCYHUU
      SYPMYEUUQKLUOZUTUNRWCWDVQSWEUUEUUKUUOQZUUDYTUWOUUCYTUUJUUNCNYTUUIUUMUUGAY
      SUUHWFWHUPPPWIWBUUDWJZUUEHZYLYQYEIJZYRYHMFZAGZHZCNUHZBYQNUUEUUBUWPUUCUUBY
      TUVMSPYDYQGZYLUXBQUWQUXCYKUXACNUXCYFUWRYJUWTYDYQYEIULUXCYIUWSAUXCYGYRYHMY
      DYQKLUOUMUNRUPPUWQUXBUWRUWSYSGZHZCNUHZUUEUWPUXFUUCUWPUXFOYTUUCUWPUXFUUCUW
      PHZUXEYQUUQIJZYRUUSMFZYSGZHZUVCOZDNUQZHZCNTUXFUXGUXNYQYOIJZYRYPMFZYSGZHZU
      XKYOUUQGZOZDNUQZHZCYONUUAUUBUWPUKYEYOGZUXNUYBQUXGUYCUXEUXRUXMUYAUYCUWRUXO
      UXDUXQYEYOYQIUSUYCUWSUXPYSUYCYHYPYRMYEYOKLUOUTUNRUYCUXLUXTDNUYCUVCUXSUXKC
      UADVAVBVCRPUXGUXOUXQUYAUUCUWPUXOUUCUWPYQYOWKJZUXOUUBUWJYOVGEZUYDUWPQUUAUW
      CUWFYQYOWLWMUUCUYDUXOUUCUYDHYQYOUUBUWJUUAUYDUWCVLUUAUYEUUBUYDUWFVHUUCUYDU
      RWNVQWOWPUUCUXQUWPUUCYRYPUUBYRWQEZUUAUUBYRUWDWRPUUAYPWQEZUUBUUAYPUWGWRSWS
      SUUCUYAUWPUUCUXTDNUUCUVOHZUXJUXSUXHUYHUXJUUSYPGZUXSUYHUXJUXIUXPGZUYIUYHYS
      UXPUXIUYHYPYRUUCUYGUVOUUCYPUWHWRSUUCUYFUVOUUCYRUWEWRSWSWTUYHUVRUVTUVSUYJU
      YIQUVOUVRUUCUWBPUUAUVTUUBUVOUWGVHUUBUVSUUAUVOUWDVLUUSYPYRVIVJXAUYHUYIUXSU
      YHUYIHZUUQYOUYKUUQYOUVOUWKUUCUYIUWAVLUUCUYEUVOUYIUUAUYEUUBUWFSVHUVOUWLUUC
      UYIUWMVLUUCWGYOIJZUVOUYIUUAUYLUUBUUAYOYOVMVNSVHUYHUYIURVPVOVQVRVSVTSWAWBU
      XEUXKCDNUVCUWRUXHUXDUXJYEUUQYQIUSUVCUWSUXIYSUVCYHUUSYRMUWNUTUNRWCWDVQSWEU
      UEUXBUXFQZUWPYTUYMUUCYTUXAUXECNYTUWTUXDUWRAYSUWSWFWHUPPPWIWBXBVQPXCXDYCYL
      YKCNTZOZBNUQUYNBNUIZYNYCUYOBNUYOYCYDNEHYKCNXEXFVTYAUYPYBYAYKCXGTZBXGUIZUY
      QBNUIZUYPABCXHNXGXKZUYRUYSOXIUYQBNXGBNXLBXGXLXJXMUYNUYQBNUYTUYNUYQOXIYKCN
      XGXNXMXOXPSYLUYNBNXQXRYLBNXSXT $.
  $}

  ${
    $d P a b $.
    $( Lemma for ~ 2sqreunnlt .  (Contributed by AV, 4-Jun-2023.)
       Specialization to different integers, proposed by GL. (Revised by AV,
       11-Jun-2023.) $)
    2sqreunnltlem $p |- ( ( P e. Prime /\ ( P mod 4 ) = 1 )
                       -> E! a e. NN E! b e. NN ( a < b
                                        /\ ( ( a ^ 2 ) + ( b ^ 2 ) ) = P ) ) $=
      ( cprime wcel c4 cmo co c1 wceq wa wbr c2 cexp caddc cn wreu wb wi cmul
      cv cle clt 2sqreunnlem1 wne oveq1 oveq2d adantr cc nncn 2times eqcomd syl
      sqcld adantl ad2antrl eqtrd eqeq1d anbi12d cz cn0 nnz 2nn0 zexpcl sylancl
      eleq1 2mulprm oveq2 2t1e2 eqtrdi oveq1d cr crp cc0 2re 4nn nnrp 0le2 2lt4
      ax-mp modid mp4an eqcom eqneqall com12 syl5bi syl6bi impcomd com34 eqcoms
      1ne2 expd com14 imp31 sylbid expimpd pm2.61ine pm4.71d nnre syl2an bibi2d
      2a1 ltlen mpbird ex pm5.32rd reubidva mpbid ) ADEZAFGHZIJZKZBUAZCUAZUBLZX
      MMNHZXNMNHZOHZAJZKZCPQZBPQXMXNUCLZXSKZCPQZBPQABCUDXLYAYDBPXLXMPEZKZXTYCCP
      YFXNPEZKZXSXOYBYHXSXOYBRZYHXSKZYIXOXOXNXMUEZKZRZYJXOYKYJXOYKSZSXNXMXNXMJZ
      YHXSYNYOYHKZXSMXPTHZAJZYNYPXRYQAYPXRXPXPOHZYQYOXRYSJYHYOXQXPXPOXNXMMNUFUG
      UHYFYSYQJZYOYGYEYTXLYEXPUIEZYTYEXMXMUJUNUUAYQYSXPUKULUMUOUPUQURYFYRYNSZYO
      YGXIXKYEUUBYRXKYEXIYNXKYEXIYNSSSAYQAYQJZXKXIYEYNUUCXKXIYEYNSZUUCXKXIKYQFG
      HZIJZYQDEZKZUUDUUCXKUUFXIUUGUUCXJUUEIAYQFGUFURAYQDVFUSYEUUHYNYEUUGUUFYNYE
      UUGXPIJZUUFYNSYEXPUTEZUUGUUIRYEXMUTEMVAEUUJXMVBVCXMMVDVEXPVGUMUUIUUFMIJZY
      NUUIUUEMIUUIUUEMFGHZMUUIYQMFGUUIYQMITHMXPIMTVHVIVJVKMVLEFVMEZVNMUBLMFUCLU
      ULMJVOFPEUUMVPFVQVTVRVSMFWAWBVJURIMUEZUUKYNSWKUUKIMJZUUNYNMIWCUUOUUNYNYNI
      MWDWEWFVTWGWGWHWEWGWLWIWJWMWNUPWOWPYKYJXOXBWQWRYHYIYMRXSYHYBYLXOYFXMVLEZX
      NVLEYBYLRYGYEUUPXLXMWSUOXNWSXMXNXCWTXAUHXDXEXFXGXGXH $.

    $( Lemma for ~ 2sqreunnltb .  (Contributed by AV, 11-Jun-2023.)  The prime
       needs not be odd, as observed by WL. (Revised by AV, 18-Jun-2023.) $)
    2sqreunnltblem $p |- ( P e. Prime -> ( ( P mod 4 ) = 1
                                        <-> E! a e. NN E! b e. NN ( a < b
                                      /\ ( ( a ^ 2 ) + ( b ^ 2 ) ) = P ) ) ) $=
      ( wcel co c1 wceq cv clt wbr c2 cexp wa cn wi wrex wb adantl cz reximi c4
      cprime cmo caddc wreu 2sqreunnltlem ex 2reu2rex eqeq2 adantr nnnn0 syl2an
      cn0 2sq2 breq12 1re ltnri pm2.21i syl6bi sylbid impcomd rexlimdvva a1d wn
      syl5 wo wss nnssz id eqcomd ssrexv ax-mp 3syl mpsyl 2sqb mpbid ord expcom
      com13 pm2.61i impbid ) AUBDZAUAUCEFGZBHZCHZIJZWDKLEWEKLEUDEZAGZMZCNUEBNUE
      ZWBWCWJABCUFUGAKGZWBWJWCOZOWKWLWBWJWICNPZBNPZWKWCWIBCNNUHZWKWIWCBCNNWKWDN
      DZWENDZMZMZWHWFWCWSWHWGKGZWFWCOZWKWHWTQWRAKWGUIUJWRWTXAOWKWRWTWDFGWEFGMZX
      AWPWDUMDWEUMDWTXBQWQWDUKWEUKWDWEUNULXBWFFFIJZWCWDFWEFIUOXCWCFUPUQURUSUSRU
      TVAVBVEVCWJWBWKVDZWCWBWJXDWCOWBWJMZWKWCXEAWGGZCSPZBSPZWKWCVFZWJXHWBNSVGZW
      JXGBNPZXHVHWJWNXFCNPZBNPXKWOWMXLBNWIXFCNWHXFWFWHWGAWHVIVJRTTXLXGBNXJXLXGO
      VHXFCNSVKVLTVMXGBNSVKVNRWBXHXIQWJBCAVOUJVPVQVRVSVTWA $.
  $}

  $( Lemma 2 for ~ 2sqreu etc.  (Contributed by AV, 25-Jun-2023.) $)
  2sqreulem2 $p |- ( ( A e. NN0 /\ B e. NN0 /\ C e. NN0 )
                     -> ( ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( ( A ^ 2 ) + ( C ^ 2 ) )
                          -> B = C ) ) $=
    ( cn0 wcel w3a c2 cexp co caddc wceq nn0cn sqcld 3ad2ant1 3ad2ant2 3ad2ant3
    cc addcand wi wa nn0sq11 biimpd 3adant1 sylbid ) ADEZBDEZCDEZFZAGHIZBGHIZJI
    UICGHIZJIKUJUKKZBCKZUHUIUJUKUEUFUIQEUGUEAALMNUFUEUJQEUGUFBBLMOUGUEUKQEUFUGC
    CLMPRUFUGULUMSUEUFUGTULUMBCUAUBUCUD $.

  $( Lemma 3 for ~ 2sqreu etc.  (Contributed by AV, 25-Jun-2023.) $)
  2sqreulem3 $p |- ( ( A e. NN0 /\ ( B e. NN0 /\ C e. NN0 ) )
               -> ( ( ( ph /\ ( ( A ^ 2 ) + ( B ^ 2 ) ) = P )
                   /\ ( ps /\ ( ( A ^ 2 ) + ( C ^ 2 ) ) = P ) ) -> B = C ) ) $=
    ( cn0 wcel c2 cexp co caddc wceq wa wi w3a wb eqeq2 eqcoms adantld eqcom ex
    adantl 2sqreulem2 syl5bi adantr sylbid impd 3expb ) CGHZDGHZEGHZACIJKZDIJKL
    KZFMZNZBUMEIJKLKZFMZNZNDEMZOUJUKULPZUPUSUTVAUOUSUTOZAVAUOVBVAUONZURUTBVCURU
    QUNMZUTUOURVDQZVAVEFUNFUNUQRSUCVAVDUTOUOVDUNUQMVAUTUQUNUACDEUDUEUFUGTUBTUHU
    I $.

  ${
    $d P b c $.  $d a b c $.  $d ps c $.
    2sqreulem4.1 $e |- ( ph <-> ( ps /\ ( ( a ^ 2 ) + ( b ^ 2 ) ) = P ) ) $.
    $( Lemma 4 for ~ 2sqreu et.  (Contributed by AV, 25-Jun-2023.) $)
    2sqreulem4 $p |- A. a e. NN0 E* b e. NN0 ph $=
      ( vc cn0 wrmo cv wcel c2 cexp co caddc wceq wa wsbc wral nfcv weq nfsbc1v
      2sqreulem3 ralrimivva rmobii nfv nfan sbceq1a oveq1 oveq2d eqeq1d anbi12d
      wi rmo4f bitri sylibr rgen ) AEHIZDHDJZHKZBUSLMNZEJZLMNZONZCPZQZBEGJZRZVA
      VGLMNZONZCPZQZQEGUAZUMZGHSEHSZURUTVNEGHHBVHUSVBVGCUCUDURVFEHIVOAVFEHFUEVF
      VLEGHEHTGHTVHVKEBEVGUBVKEUFUGVMBVHVEVKBEVGUHVMVDVJCVMVCVIVAOVBVGLMUIUJUKU
      LUNUOUPUQ $.

    $( Lemma 2 for ~ 2sqreunn .  (Contributed by AV, 25-Jun-2023.) $)
    2sqreunnlem2 $p |- A. a e. NN E* b e. NN ph $=
      ( cn cn0 wss wrmo wral nnssnn0 2sqreulem4 nfcv ssrmof ralimdv mp2 ssralv
      ) GHIZAEGJZDHKZTDGKLSAEHJZDHKUALABCDEFMSUBTDHAEGHEGNEHNOPQTDGHRQ $.
  $}

  ${
    $d P a b $.
    2sqreu.1 $e |- ( ph <-> ( a <_ b /\ ( ( a ^ 2 ) + ( b ^ 2 ) ) = P ) ) $.
    $( There exists a unique decomposition of a prime of the form ` 4 k + 1 `
       as a sum of squares of two nonnegative integers.  See ~ 2sqnn0 for the
       existence of such a decomposition.  (Contributed by AV, 4-Jun-2023.)
       (Revised by AV, 25-Jun-2023.) $)
    2sqreu $p |- ( ( P e. Prime /\ ( P mod 4 ) = 1 )
           -> ( E! a e. NN0 E. b e. NN0 ph /\ E! b e. NN0 E. a e. NN0 ph ) ) $=
      ( cprime wcel c4 cmo co c1 wceq wa cv c2 cexp cn0 wreu wrex reubii bicomi
      cle wbr caddc 2sqreulem1 wrmo wral wb 2sqreulem4 2reu1 mp1i syl5bb mpbid
      ) BFGBHIJKLMZCNZDNZUBUCZUOOPJUPOPJUDJBLMZDQRZCQRZADQSCQRACQSDQRMZBCDUEUTA
      DQRZCQRZUNVAUSVBCQURADQAUREUATTADQUFCQUGVCVAUHUNAUQBCDEUIACDQQUJUKULUM $.

    $( There exists a unique decomposition of a prime of the form ` 4 k + 1 `
       as a sum of squares of two positive integers.  See ~ 2sqnn for the
       existence of such a decomposition.  (Contributed by AV, 11-Jun-2023.)
       (Revised by AV, 25-Jun-2023.) $)
    2sqreunn $p |- ( ( P e. Prime /\ ( P mod 4 ) = 1 )
               -> ( E! a e. NN E. b e. NN ph /\ E! b e. NN E. a e. NN ph ) ) $=
      ( cprime wcel c4 cmo co c1 wceq wa cv c2 cexp cn wreu wrex reubii cle wbr
      caddc 2sqreunnlem1 bicomi wrmo wral 2sqreunnlem2 2reu1 mp1i syl5bb mpbid
      wb ) BFGBHIJKLMZCNZDNZUAUBZUOOPJUPOPJUCJBLMZDQRZCQRZADQSCQRACQSDQRMZBCDUD
      UTADQRZCQRZUNVAUSVBCQURADQAUREUETTADQUFCQUGVCVAUMUNAUQBCDEUHACDQQUIUJUKUL
      $.
  $}

  ${
    $d P a b $.
    2sqreult.1 $e |- ( ph <-> ( a < b /\ ( ( a ^ 2 ) + ( b ^ 2 ) ) = P ) ) $.
    $( There exists a unique decomposition of a prime as a sum of squares of
       two different nonnegative integers.  (Contributed by AV, 8-Jun-2023.)
       (Proposed by GL, 8-Jun-2023.)  (Revised by AV, 25-Jun-2023.) $)
    2sqreult $p |- ( ( P e. Prime /\ ( P mod 4 ) = 1 )
           -> ( E! a e. NN0 E. b e. NN0 ph /\ E! b e. NN0 E. a e. NN0 ph ) ) $=
      ( cprime wcel c4 cmo co c1 wceq wa cv c2 cexp cn0 wreu wrex reubii bicomi
      clt wbr caddc 2sqreultlem wrmo wral wb 2sqreulem4 2reu1 mp1i syl5bb mpbid
      ) BFGBHIJKLMZCNZDNZUBUCZUOOPJUPOPJUDJBLMZDQRZCQRZADQSCQRACQSDQRMZBCDUEUTA
      DQRZCQRZUNVAUSVBCQURADQAUREUATTADQUFCQUGVCVAUHUNAUQBCDEUIACDQQUJUKULUM $.

    $( There exists a unique decomposition of a prime as a sum of squares of
       two different nonnegative integers iff ` P == 1 ` (mod 4).  (Contributed
       by AV, 10-Jun-2023.)  The prime needs not be odd, as observed by WL.
       (Revised by AV, 25-Jun-2023.) $)
    2sqreultb $p |- ( P e. Prime -> ( ( P mod 4 ) = 1
        <-> ( E! a e. NN0 E. b e. NN0 ph /\ E! b e. NN0 E. a e. NN0 ph ) ) ) $=
      ( cprime wcel c4 cmo co wceq cv c2 cexp wa cn0 wreu wrex wb reubii c1 clt
      wbr caddc 2sqreultblem bicomi a1i wrmo wral 2sqreulem4 2reu1 mp1i 3bitrd
      ) BFGZBHIJUAKCLZDLZUBUCZUOMNJUPMNJUDJBKOZDPQZCPQZADPQZCPQZADPRCPQACPRDPQO
      ZBCDUEUTVBSUNUSVACPURADPAUREUFTTUGADPUHCPUIVBVCSUNAUQBCDEUJACDPPUKULUM $.

    $( There exists a unique decomposition of a prime of the form ` 4 k + 1 `
       as a sum of squares of two different positive integers.  (Contributed by
       AV, 4-Jun-2023.)  Specialization to different integers, proposed by GL.
       (Revised by AV, 25-Jun-2023.) $)
    2sqreunnlt $p |- ( ( P e. Prime /\ ( P mod 4 ) = 1 )
               -> ( E! a e. NN E. b e. NN ph /\ E! b e. NN E. a e. NN ph ) ) $=
      ( cprime wcel c4 cmo co c1 wceq wa cv c2 cexp cn wreu wrex reubii clt wbr
      caddc 2sqreunnltlem bicomi wrmo wral 2sqreunnlem2 2reu1 mp1i syl5bb mpbid
      wb ) BFGBHIJKLMZCNZDNZUAUBZUOOPJUPOPJUCJBLMZDQRZCQRZADQSCQRACQSDQRMZBCDUD
      UTADQRZCQRZUNVAUSVBCQURADQAUREUETTADQUFCQUGVCVAUMUNAUQBCDEUHACDQQUIUJUKUL
      $.

    $( There exists a unique decomposition of a prime as a sum of squares of
       two different positive integers iff the prime is of the form
       ` 4 k + 1 ` .  (Contributed by AV, 11-Jun-2023.)  The prime needs not be
       odd, as observed by WL. (Revised by AV, 25-Jun-2023.) $)
    2sqreunnltb $p |- ( P e. Prime -> ( ( P mod 4 ) = 1
            <-> ( E! a e. NN E. b e. NN ph /\ E! b e. NN E. a e. NN ph ) ) ) $=
      ( cprime wcel c4 cmo co c1 wceq cv c2 cexp wa cn wreu wrex reubii clt wbr
      caddc 2sqreunnltblem bicomi wrmo wb 2sqreunnlem2 2reu1 ax-mp bitri bitrdi
      wral ) BFGBHIJKLCMZDMZUAUBZUNNOJUONOJUCJBLPZDQRZCQRZADQSCQRACQSDQRPZBCDUD
      USADQRZCQRZUTURVACQUQADQAUQEUETTADQUFCQUMVBUTUGAUPBCDEUHACDQQUIUJUKUL $.
  $}

  ${
    $d P a b p $.
    $( There exists a unique decomposition of a prime of the form ` 4 k + 1 `
       as a sum of squares of two nonnegative integers.  Ordered pair variant
       of ~ 2sqreu .  (Contributed by AV, 2-Jul-2023.) $)
    2sqreuop $p |- ( ( P e. Prime /\ ( P mod 4 ) = 1 )
                     -> E! p e. ( NN0 X. NN0 ) ( ( 1st ` p ) <_ ( 2nd ` p )
                    /\ ( ( ( 1st ` p ) ^ 2 ) + ( ( 2nd ` p ) ^ 2 ) ) = P ) ) $=
      ( va vb co wceq wa cv cle wbr c2 cexp caddc cn0 wrex wreu c1st c2nd fveq2
      cfv cprime wcel c4 cmo c1 cxp biid 2sqreu cop breq12d op1st op2nd breq12i
      bitrdi op1std oveq1d op2ndd oveq12d eqeq1d anbi12d opreu2reurex sylibr
      vex ) AUAUBAUCUDEUEFGCHZDHZIJZVDKLEZVEKLEZMEZAFZGZDNOCNPVKCNODNPGBHZQTZVL
      RTZIJZVMKLEZVNKLEZMEZAFZGZBNNUFPVKACDVKUGUHVTVKNNBCDVLVDVEUIZFZVOVFVSVJWB
      VOWAQTZWARTZIJVFWBVMWCVNWDIVLWAQSVLWARSUJWCVDWDVEIVDVECVCZDVCZUKVDVEWEWFU
      LUMUNWBVRVIAWBVPVGVQVHMWBVMVDKLVDVEVLWEWFUOUPWBVNVEKLVDVEVLWEWFUQUPURUSUT
      VAVB $.

    $( There exists a unique decomposition of a prime of the form ` 4 k + 1 `
       as a sum of squares of two positive integers.  Ordered pair variant of
       ~ 2sqreunn .  (Contributed by AV, 2-Jul-2023.) $)
    2sqreuopnn $p |- ( ( P e. Prime /\ ( P mod 4 ) = 1 )
                       -> E! p e. ( NN X. NN ) ( ( 1st ` p ) <_ ( 2nd ` p )
                    /\ ( ( ( 1st ` p ) ^ 2 ) + ( ( 2nd ` p ) ^ 2 ) ) = P ) ) $=
      ( va vb co wceq wa cv cle wbr c2 cexp caddc wrex wreu c1st cfv c2nd fveq2
      cn cprime wcel c4 cmo c1 cxp 2sqreunn cop breq12d vex op1st op2nd breq12i
      bitrdi op1std oveq1d op2ndd oveq12d eqeq1d anbi12d opreu2reurex sylibr
      biid ) AUAUBAUCUDEUEFGCHZDHZIJZVDKLEZVEKLEZMEZAFZGZDTNCTOVKCTNDTOGBHZPQZV
      LRQZIJZVMKLEZVNKLEZMEZAFZGZBTTUFOVKACDVKVCUGVTVKTTBCDVLVDVEUHZFZVOVFVSVJW
      BVOWAPQZWARQZIJVFWBVMWCVNWDIVLWAPSVLWARSUIWCVDWDVEIVDVECUJZDUJZUKVDVEWEWF
      ULUMUNWBVRVIAWBVPVGVQVHMWBVMVDKLVDVEVLWEWFUOUPWBVNVEKLVDVEVLWEWFUQUPURUSU
      TVAVB $.

    $( There exists a unique decomposition of a prime as a sum of squares of
       two different nonnegative integers.  Ordered pair variant of
       ~ 2sqreult .  (Contributed by AV, 2-Jul-2023.) $)
    2sqreuoplt $p |- ( ( P e. Prime /\ ( P mod 4 ) = 1 )
                       -> E! p e. ( NN0 X. NN0 ) ( ( 1st ` p ) < ( 2nd ` p )
                    /\ ( ( ( 1st ` p ) ^ 2 ) + ( ( 2nd ` p ) ^ 2 ) ) = P ) ) $=
      ( va vb co wceq wa cv clt wbr c2 cexp caddc cn0 wrex wreu c1st c2nd fveq2
      cfv cprime wcel c4 cmo c1 cxp biid 2sqreult cop breq12d vex op1st breq12i
      bitrdi op1std oveq1d op2ndd oveq12d eqeq1d anbi12d opreu2reurex sylibr
      op2nd ) AUAUBAUCUDEUEFGCHZDHZIJZVDKLEZVEKLEZMEZAFZGZDNOCNPVKCNODNPGBHZQTZ
      VLRTZIJZVMKLEZVNKLEZMEZAFZGZBNNUFPVKACDVKUGUHVTVKNNBCDVLVDVEUIZFZVOVFVSVJ
      WBVOWAQTZWARTZIJVFWBVMWCVNWDIVLWAQSVLWARSUJWCVDWDVEIVDVECUKZDUKZULVDVEWEW
      FVCUMUNWBVRVIAWBVPVGVQVHMWBVMVDKLVDVEVLWEWFUOUPWBVNVEKLVDVEVLWEWFUQUPURUS
      UTVAVB $.

    $( There exists a unique decomposition of a prime as a sum of squares of
       two different nonnegative integers iff ` P == 1 ` (mod 4).  Ordered pair
       variant of ~ 2sqreultb .  (Contributed by AV, 3-Jul-2023.) $)
    2sqreuopltb $p |- ( P e. Prime -> ( ( P mod 4 ) = 1
                        <-> E! p e. ( NN0 X. NN0 ) ( ( 1st ` p ) < ( 2nd ` p )
                  /\ ( ( ( 1st ` p ) ^ 2 ) + ( ( 2nd ` p ) ^ 2 ) ) = P ) ) ) $=
      ( va vb co wceq cv clt wbr c2 cexp caddc wa cn0 wrex wreu c1st c2nd fveq2
      cfv cprime wcel c4 cmo cxp biid 2sqreultb cop breq12d op1st op2nd breq12i
      c1 vex bitrdi op1std oveq1d op2ndd oveq12d anbi12d opreu2reurex bitr4di
      eqeq1d ) AUAUBAUCUDEUMFCGZDGZHIZVDJKEZVEJKEZLEZAFZMZDNOCNPVKCNODNPMBGZQTZ
      VLRTZHIZVMJKEZVNJKEZLEZAFZMZBNNUEPVKACDVKUFUGVTVKNNBCDVLVDVEUHZFZVOVFVSVJ
      WBVOWAQTZWARTZHIVFWBVMWCVNWDHVLWAQSVLWARSUIWCVDWDVEHVDVECUNZDUNZUJVDVEWEW
      FUKULUOWBVRVIAWBVPVGVQVHLWBVMVDJKVDVEVLWEWFUPUQWBVNVEJKVDVEVLWEWFURUQUSVC
      UTVAVB $.

    $( There exists a unique decomposition of a prime of the form ` 4 k + 1 `
       as a sum of squares of two different positive integers.  Ordered pair
       variant of ~ 2sqreunnlt .  (Contributed by AV, 3-Jul-2023.) $)
    2sqreuopnnlt $p |- ( ( P e. Prime /\ ( P mod 4 ) = 1 )
                         -> E! p e. ( NN X. NN ) ( ( 1st ` p ) < ( 2nd ` p )
                    /\ ( ( ( 1st ` p ) ^ 2 ) + ( ( 2nd ` p ) ^ 2 ) ) = P ) ) $=
      ( va vb co wceq wa cv clt wbr c2 cexp caddc wrex wreu c1st cfv c2nd fveq2
      cn cprime wcel c4 cmo cxp biid 2sqreunnlt cop breq12d op1st op2nd breq12i
      c1 bitrdi op1std oveq1d op2ndd oveq12d eqeq1d anbi12d opreu2reurex sylibr
      vex ) AUAUBAUCUDEUMFGCHZDHZIJZVDKLEZVEKLEZMEZAFZGZDTNCTOVKCTNDTOGBHZPQZVL
      RQZIJZVMKLEZVNKLEZMEZAFZGZBTTUEOVKACDVKUFUGVTVKTTBCDVLVDVEUHZFZVOVFVSVJWB
      VOWAPQZWARQZIJVFWBVMWCVNWDIVLWAPSVLWARSUIWCVDWDVEIVDVECVCZDVCZUJVDVEWEWFU
      KULUNWBVRVIAWBVPVGVQVHMWBVMVDKLVDVEVLWEWFUOUPWBVNVEKLVDVEVLWEWFUQUPURUSUT
      VAVB $.

    $( There exists a unique decomposition of a prime as a sum of squares of
       two different positive integers iff the prime is of the form
       ` 4 k + 1 ` .  Ordered pair variant of ~ 2sqreunnltb .  (Contributed by
       AV, 3-Jul-2023.) $)
    2sqreuopnnltb $p |- ( P e. Prime -> ( ( P mod 4 ) = 1
                          <-> E! p e. ( NN X. NN ) ( ( 1st ` p ) < ( 2nd ` p )
                  /\ ( ( ( 1st ` p ) ^ 2 ) + ( ( 2nd ` p ) ^ 2 ) ) = P ) ) ) $=
      ( va vb co wceq cv clt wbr c2 cexp caddc wa wrex wreu c1st cfv c2nd fveq2
      cn cprime wcel c4 cmo c1 cxp biid 2sqreunnltb cop breq12d vex op1st op2nd
      breq12i bitrdi op1std oveq1d op2ndd oveq12d anbi12d opreu2reurex bitr4di
      eqeq1d ) AUAUBAUCUDEUEFCGZDGZHIZVDJKEZVEJKEZLEZAFZMZDTNCTOVKCTNDTOMBGZPQZ
      VLRQZHIZVMJKEZVNJKEZLEZAFZMZBTTUFOVKACDVKUGUHVTVKTTBCDVLVDVEUIZFZVOVFVSVJ
      WBVOWAPQZWARQZHIVFWBVMWCVNWDHVLWAPSVLWARSUJWCVDWDVEHVDVECUKZDUKZULVDVEWEW
      FUMUNUOWBVRVIAWBVPVGVQVHLWBVMVDJKVDVEVLWEWFUPUQWBVNVEJKVDVEVLWEWFURUQUSVC
      UTVAVB $.

    $( There exists a unique decomposition of a prime as a sum of squares of
       two different positive integers iff the prime is of the form
       ` 4 k + 1 ` .  Alternate ordered pair variant of ~ 2sqreunnltb .
       (Contributed by AV, 3-Jul-2023.) $)
    2sqreuopb $p |- ( P e. Prime -> ( ( P mod 4 ) = 1
                      <-> E! p e. ( NN X. NN ) E. a E. b ( p = <. a , b >.
                         /\ ( a < b /\ ( ( a ^ 2 ) + ( b ^ 2 ) ) = P ) ) ) ) $=
      ( cprime wcel co wceq cv cfv clt wbr c2 cexp caddc wa cn wreu wex oveq1d
      c4 cmo c1st c2nd cxp cop 2sqreuopnnltb breq12 simpl simpr oveq12d anbi12d
      c1 eqeq1d opreuopreu bitrdi ) AEFAUAUBGUMHBIZUCJZUQUDJZKLZURMNGZUSMNGZOGZ
      AHZPZBQQUEZRUQCIZDIZUFHVGVHKLZVGMNGZVHMNGZOGZAHZPZPDSCSBVFRABUGVEVNQQBCDV
      GURHZVHUSHZPZVIUTVMVDVGURVHUSKUHVQVLVCAVQVJVAVKVBOVQVGURMNVOVPUITVQVHUSMN
      VOVPUJTUKUNULUOUP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Chebyshev's Weak Prime Number Theorem, Dirichlet's Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d k K $.  $d k N $.
    chebbnd1lem1.1 $e |- K = if ( ( 2 x. N ) <_ ( ( 2 x. N ) _C N ) ,
      ( 2 x. N ) , ( ( 2 x. N ) _C N ) ) $.
    $( Lemma for ~ chebbnd1 : show a lower bound on ` ppi ( x ) ` at even
       integers using similar techniques to those used to prove ~ bpos .  (Note
       that the expression ` K ` is actually equal to ` 2 x. N ` , but proving
       that is not necessary for the proof, and it's too much work.)  The key
       to the proof is ~ bposlem1 , which shows that each term in the expansion
       ` ( ( 2 x. N ) _C N ) = prod_ p e. Prime `
       ` ( p ^ ( p pCnt ( ( 2 x. N ) _C N ) ) ) ` is at most ` 2 x. N ` , so
       that the sum really only has nonzero elements up to ` 2 x. N ` , and
       since each term is at most ` 2 x. N ` , after taking logs we get the
       inequality ` ppi ( 2 x. N ) x. log ( 2 x. N ) <_ `
       ` log ( ( 2 x. N ) _C N ) ` , and ~ bclbnd finishes the proof.
       (Contributed by Mario Carneiro, 22-Sep-2014.)  (Revised by Mario
       Carneiro, 15-Apr-2016.) $)
    chebbnd1lem1 $p |- ( N e. ( ZZ>= ` 4 ) -> ( log ` ( ( 4 ^ N ) / N ) ) <
      ( ( ppi ` ( 2 x. N ) ) x. ( log ` ( 2 x. N ) ) ) ) $=
      ( vk c4 cfv wcel co clog c2 cmul cn syl cr wbr syl2anc cle c1 cprime wa
      cuz cexp cdiv cbc cppi cn0 4nn eluznn mpan nnexpcl sylancr nnrpd rpdivcld
      nnnn0d relogcld cc0 cfz fzctr bccl2 cz 2z eluzelz zmulcl ppicl nn0red 2nn
      zred nnmulcl remulcld clt bclbnd crp wb logltb mpbid ifcld eqeltrid nnred
      cif cin cpc csu cfn wss fzfid inss1 ssfi sylancl nnzd min2 eqbrtrid eluz2
      cv syl3anbrc fzss2 ssrind sselda simpr elin1d elfznn elin2d adantr syldan
      pccld nnexpcld ce elinel2 bposlem1 syl2an reeflogd 3brtr4d efle mpbird cc
      fsumle recnd cdif wn wceq eldifn adantl eldifad nncnd exp1d nnge1d simprr
      adantrr nnuz eleqtrdi leexp2ad eqbrtrrd letrd elfzle2 mpbir2and breqtrrdi
      lemin syl3anc 2re a1i ltletrd fznn elind expr mtod wo elnn0 sylib ord mpd
      oveq2d exp0d eqtrd fveq2d eqtrdi fsumss relogexp sumeq2dv pclogsum 3eqtrd
      log1 nn0zd chash fsumconst 2eluzge1 ppival2g oveq1d 3brtr3d min1 ppiwordi
      eqtr4d 1red 1lt2 2t1e2 eluzelre pm3.2i lemul2 eqbrtrrid rplogcld lemul1d
      2pos ) BEUAFGZEBUBHZBUCHZIFZJBKHZBUDHZIFZUWEUEFZUWEIFZKHZUWAUWCUWAUWBBUWA
      UWBUWAELGZBUFGZUWBLGUGUWABUWKUWABLGZUGBEUHUIZUNZEBUJUKULUWABUWNULUMZUOUWA
      UWFUWAUWFUWABUPUWEUQHGZUWFLGZUWAUWLUWQUWOBURMBUWEUSMZULZUOZUWAUWHUWIUWAUW
      HUWAUWENGZUWHUFGUWAUWEUWAJUTGBUTGUWEUTGVAEBVBJBVCUKVGZUWEVDMVEZUWAUWEUWAU
      WEUWAJLGUWMUWELGVFUWNJBVHUKZULZUOZVIZUWAUWCUWFVJOZUWDUWGVJOZBVKUWAUWCVLGU
      WFVLGUXIUXJVMUWPUWTUWCUWFVNPVOUWAUWGAUEFZUWIKHZUWJUXAUWAUXKUWIUWAUXKUWAAN
      GZUXKUFGUWAAUWAAUWEUWFQOZUWEUWFVSZLCUWAUXNUWEUWFLUXEUWSVPVQZVRZAVDMVEZUXG
      VIUXHUWARAUQHZSVTZDWMZUYAUWFWAHZUBHZIFZDWBZUXTUWIDWBZUWGUXLQUWAUXTUYDUWID
      UWAUXSWCGUXTUXSWDUXTWCGZUWARAWEUXSSWFUXSUXTWGWHZUWAUYAUXTGZUYARUWFUQHZSVT
      ZGZUYDNGZUWAUXTUYKUYAUWAUXSUYJSUWAUWFAUAFGZUXSUYJWDUWAAUTGZUWFUTGAUWFQOUY
      NUWAAUXPWIZUWAUWFUWSWIUWAAUXOUWFQCUWAUXBUWFNGZUXOUWFQOUXCUWAUWFUWSVRZUWEU
      WFWJPWKAUWFWLWNARUWFWOMWPZWQZUWAUYLTZUYCVUAUYCVUAUYAUYBVUAUYAUYJGZUYALGZV
      UAUYJSUYAUWAUYLWRZWSUYAUWFWTZMZVUAUYAUWFVUAUYJSUYAVUDXAUWAUWRUYLUWSXBXDZX
      EZULZUOZXCZUWAUWINGZUYIUXGXBZUWAUYITZUYDUWIQOZUYDXFFZUWIXFFZQOZVUNUYCUWEV
      UPVUQQUWAUWMUYASGZUYCUWEQOZUYIUWNUYAUXSSXGUYABXHZXIVUNUYCUWAUYIUYLUYCVLGU
      YTVUIXCXJVUNUWEUWAUWEVLGUYIUXFXBXJXKVUNUYMVULVUOVURVMVUKVUMUYDUWIXLPXMXOU
      WAUYEUYKUYDDWBUYKUYBUYAIFKHZDWBZUWGUWAUXTUYKUYDDUYSUWAUYIUYLUYDXNGUYTVUAU
      YDVUJXPXCUWAUYAUYKUXTXQGZTZUYDRIFUPVVEUYCRIVVEUYCUYAUPUBHRVVEUYBUPUYAUBVV
      EUYBLGZXRUYBUPXSZVVEVVFUYIVVDUYIXRUWAUYAUYKUXTXTYAUWAVVDVVFUYIUWAVVDVVFTZ
      TZUXSSUYAVVIUYAUXSGZVUCUYAAQOZUWAVVDVUCVVFVVEVUBVUCVVEUYJSUYAVVEUYAUYKUXT
      UWAVVDWRYBZWSZVUEMZYGZVVIUYAUXOAQVVIUYAUXOQOZUYAUWEQOZUYAUWFQOZVVIUYAUYCU
      WEVVIUYAVVOVRZUWAVVDUYCNGVVFVVEUYCUWAVVDUYLUYCLGVVLVUHXCVRYGUWAUXBVVHUXCX
      BZVVIUYARUBHUYAUYCQVVIUYAVVIUYAVVOYCYDVVIUYARUYBVVSVVIUYAVVOYEVVIUYBLRUAF
      ZUWAVVDVVFYFYHYIYJYKVVIUWMVUSVUTUWAUWMVVHUWNXBUWAVVDVUSVVFVVEUYJSUYAVVLXA
      YGZVVAPYLUWAVVDVVRVVFVVEVUBVVRVVMUYARUWFYMMYGVVIUYANGUXBUYQVVPVVQVVRTVMVV
      SVVTUWAUYQVVHUYRXBUYAUWEUWFYPYQYNCYOVVIUYOVVJVUCVVKTVMVVIAUWAALGVVHUXPXBW
      IUYAAUUAMYNVWBUUBUUCUUDVVEVVFVVGVVEUYBUFGZVVFVVGUUEUWAVVDUYLVWCVVLVUGXCUY
      BUUFUUGUUHUUIUUJVVEUYAVVEUYAVVNYCUUKUULUUMUUTUUNUWAUYJWCGUYKUYJWDUYKWCGUW
      ARUWFWEUYJSWFUYJUYKWGWHUUOUWAUYKUYDVVBDVUAUYAVLGUYBUTGUYDVVBXSVUAUYAVUFUL
      VUAUYBVUGUVAUYAUYBUUPPUUQUWAUWRVVCUWGXSUWSUWFDUURMUUSUWAUYFUXTUVBFZUWIKHZ
      UXLUWAUYGUWIXNGUYFVWEXSUYHUWAUWIUXGXPUXTUWIDUVCPUWAUXKVWDUWIKUWAUYOJVWAGU
      XKVWDXSUYPUVDARUVEWHUVFUVJUVGUWAUXKUWHQOZUXLUWJQOUWAUXMUXBAUWEQOVWFUXQUXC
      UWAAUXOUWEQCUWAUXBUYQUXOUWEQOUXCUYRUWEUWFUVHPWKAUWEUVIYQUWAUXKUWHUWIUXRUX
      DUWAUWEUXCUWARJUWEUWAUVKZJNGZUWAYRYSUXCRJVJOUWAUVLYSUWAJJRKHZUWEQUVMUWARB
      QOZVWIUWEQOZUWABUWNYEUWARNGBNGVWHUPJVJOZTZVWJVWKVMVWGEBUVNVWMUWAVWHVWLYRU
      VTUVOYSRBJUVPYQVOUVQYTUVRUVSVOYLYT $.
  $}

  ${
    chebbnd1lem2.1 $e |- M = ( |_ ` ( N / 2 ) ) $.
    $( Lemma for ~ chebbnd1 :  Show that ` log ( N ) / N ` does not change too
       much between ` N ` and ` M = |_ ( N / 2 ) ` .  (Contributed by Mario
       Carneiro, 22-Sep-2014.) $)
    chebbnd1lem2 $p |- ( ( N e. RR /\ 8 <_ N ) ->
      ( ( log ` ( 2 x. M ) ) / ( 2 x. M ) ) < ( 2 x. ( ( log ` N ) / N ) ) ) $=
      ( cr wcel c8 cle wbr c2 cmul co cfv cdiv crp c4 a1i cc0 clt wb ceu wa 2rp
      clog cn cuz 4nn cz 4z rehalfcl adantr flcld eqeltrid 4t2e8 simpr eqbrtrid
      cfl 4re simpl 2re 2pos lemuldiv syl112anc mpbid breqtrrdi eluz2 syl3anbrc
      flge sylancl eluznn sylancr nnrpd rpmulcl relogcld rerpdivcld 8re ltletrd
      0red 8pos elrpd rphalfcld remulcl c1 zred peano2re syl flltp1 oveq1i 1red
      caddc nnge1d leadd2dd recnd 2timesd breqtrrd c3 egt2lt3 simpri 3lt4 lttri
      ere mp2an ltled logdivlt syl22anc rphalflt logltb syl2anc ltdiv1dd rpne0d
      3re lttrd wne 2ne0 divdiv2d mulcomd oveq1d divassd 3eqtrd breqtrd ) BDEZF
      BGHZUAZIAJKZUCLZYCMKZBIMKZUCLZYFMKZIBUCLZBMKZJKZYBYDYCYBYCYBINEANEYCNEUBY
      BAYBOUDEAOUELEZAUDEUFYBOUGEZAUGEOAGHYLYMYBUHPYBAYFUPLZUGCYBYFXTYFDEZYABUI
      UJZUKULZYBOYNAGYBOYFGHZOYNGHZYBOIJKZBGHZYRYBYTFBGUMXTYAUNZUOYBODEZXTIDEZQ
      IRHZUUAYRSUUCYBUQPZXTYAURZUUDYBUSPZUUEYBUTPOBIVAVBVCZYBYOYMYRYSSYPUHYFOVG
      VHVCCVDOAVEVFAOVIVJZVKIAVLVJZVMUUKVNYBYGYFYBYFYBBYBBUUGYBQFBYBVQFDEYBVOPU
      UGQFRHYBVRPUUBVPVSZVTZVMZUUMVNYBUUDYJDEYKDEUSYBYIBYBBUULVMZUULVNIYJWAVJYB
      YFYCRHZYEYHRHZYBYFAWBWIKZYCYPYBADEZUURDEYBAYQWCZAWDWEYBUUDUUSYCDEZUSUUTIA
      WAVJZYBYFYNWBWIKZUURRYBYOYFUVCRHYPYFWFWEAYNWBWICWGVDYBUURAAWIKYCGYBWBAAYB
      WHUUTUUTYBAUUJWJWKYBAYBAUUTWLWMWNVPZYBYOTYFGHUVATYCGHUUPUUQSYPYBTYFTDEYBW
      TPZYPYBTOYFUVEUUFYPTORHZYBTWORHZWOORHUVFITRHUVGWPWQWRTWOOWTXJUQWSXAPUUIVP
      ZXBUVBYBTYCUVEUVBYBTYFYCUVEYPUVBUVHUVDXKXBYFYCXCXDVCYBYHYIYFMKZYKRYBYGYIY
      FUUNUUOUUMYBYFBRHZYGYIRHZYBBNEZUVJUULBXEWEYBYFNEUVLUVJUVKSUUMUULYFBXFXGVC
      XHYBUVIYIIJKZBMKIYIJKZBMKYKYBYIBIYBYIUUOWLZYBBUUGWLZYBIUUHWLZYBBUULXIZIQX
      LYBXMPXNYBUVMUVNBMYBYIIUVOUVQXOXPYBIYIBUVQUVOUVPUVRXQXRXSXK $.

    $( Lemma for ~ chebbnd1 : get a lower bound on
       ` ppi ( N ) / ( N / log ( N ) ) ` that is independent of ` N ` .
       (Contributed by Mario Carneiro, 21-Sep-2014.) $)
    chebbnd1lem3 $p |- ( ( N e. RR /\ 8 <_ N ) ->
      ( ( ( log ` 2 ) - ( 1 / ( 2 x. _e ) ) ) / 2 ) <
      ( ( ppi ` N ) x. ( ( log ` N ) / N ) ) ) $=
      ( cr wcel cle wbr c2 clog cfv c1 ceu cmul co cdiv a1i clt c4 cc0 wb c8 wa
      cmin cppi crp 2rp relogcl 1re 2re ere remulcli mulgt0ii gt0ne0ii redivcli
      ax-mp 2pos epos resubcli 2ne0 cn 8re simpl 2lt8 ltleii simpr letrd syldan
      ppinncl nnred cz rehalfcl adantr flcld eqeltrid zred remulcl sylancr 1lt2
      cfl 2t1e2 cuz 4nn 4z 4t2e8 eqbrtrid lemuldiv syl112anc mpbid flge sylancl
      breqtrrdi eluz2 syl3anbrc eluznn nnge1d lemul2 eqbrtrrid ltletrd rplogcld
      4re rpred 2nn nnmulcl nndivred remulcld syl 0red 8pos relogcld rerpdivcld
      elrpd syl2anc cexp elrpii rpexpcl nnrpd rpdivcld epr rerpdivcl c3 egt2lt3
      4pos simpri 3lt4 3re lttri mp2an ltled oveq1i nngt0d mpbird recnd breqtrd
      syl3anc cc recni rpcnd wceq wne lttrd leidi logdivlt loge breqtrdi pm3.2i
      mpanl12 jca lt2mul2div syl22anc mulid2d ltmuldiv ltsub2dd subdird mulcomd
      2z zmulcl relogexp 2cnd nnnn0d cn0 2nn0 expmuld sq2 eqtrdi fveq2d 3eqtr2d
      divrec2d divcan5d eqtr3d oveq12d eqtrd relogdivd 3brtr4d cbc chebbnd1lem1
      cif eqid ltmuldivd rpcnne0d divass flle lemuldiv2 ppiwordi lemul1d ltdiv1
      chebbnd1lem2 ltmul2 mul12d ltdivmul ) BDEZUABFGZUBZHIJZKHLMNZONZUCNZHONZB
      UDJZHAMNZIJZUWSONZMNZHONZUWRBIJZBONZMNZUWQDEUWLUWPHUWMUWOHUEEZUWMDEUFHUGU
      OZKUWNUHHLUIUJUKZUWNUXIHLUIUJUPUQULUMZUNZURZUIUSUNPUWLUXBDEZUXCDEUWLUWRUX
      AUWLUWRUWJUWKHBFGUWRUTEUWLHUABHDEZUWLUIPZUADEUWLVAPZUWJUWKVBZHUAFGUWLHUAU
      IVAVCVDPUWJUWKVEZVFBVHVGZVIZUWLUWTUWSUWLUWTUWLUWSUWLUXNADEZUWSDEZUIUWLAUW
      LABHONZVSJZVJCUWLUYCUWJUYCDEZUWKBVKVLZVMVNZVOZHAVPVQZUWLKHUWSKDEZUWLUHPZU
      XOUYIKHQGUWLVRPUWLHHKMNZUWSFVTUWLKAFGZUYLUWSFGZUWLAUWLRUTEARWAJEZAUTEZWBU
      WLRVJEZAVJEZRAFGUYOUYQUWLWCPUYGUWLRUYDAFUWLRUYCFGZRUYDFGZUWLRHMNZBFGZUYSU
      WLVUAUABFWDUXRWEUWLRDEZUWJUXNSHQGZVUBUYSTVUCUWLWTPZUXQUXOVUDUWLUPPZRBHWFW
      GWHUWLUYEUYQUYSUYTTUYFWCUYCRWIWJWHCWKZRAWLWMZARWNVQZWOUWLUYJUYAUXNVUDUYMU
      YNTUYKUYHUXOVUFKAHWPWGWHWQZWRWSZXAZUWLHUTEUYPUWSUTEXBVUIHAXCVQZXDZXEZUXBV
      KXFUWLUWRUXEUXTUWLUXDBUWLBUWLBUXQUWLSUABUWLXGUXPUXQSUAQGUWLXHPUXRWRXKZXIV
      UPXJZXEZUWLUWPUXBQGZUWQUXCQGZUWLUWPUWSUDJZUXAMNZUXBUWPDEZUWLUXLPZUWLVVAUX
      AUWLVVAUWLUYBHUWSFGVVAUTEUYIVUJUWSVHXLVIZVUNXEVUOUWLUWPVVAUWTMNZUWSONZVVB
      QUWLUWPUWSMNZVVFQGUWPVVGQGUWLVVHRAXMNZAONZIJZVVFUWLVVCUYBVVHDEUXLUYIUWPUW
      SVPVQUWLVVJUWLVVIAUWLRUEEUYRVVIUEERWTYBXNUYGRAXOVQZUWLAVUIXPZXQXIUWLVVAUW
      TVVEVULXEZUWLVVIIJZALONZUCNZVVOAIJZUCNVVHVVKQUWLVVRVVPVVOUWLAVVMXIZUWLUYA
      LUEEVVPDEUYHXRALXSWJUWLVVIVVLXIUWLVVRLMNZAQGZVVRVVPQGZUWLVVTKAMNZAQUWLVVT
      VWCQGZVVRAONZKLONZQGZUWLVWELIJZLONZVWFQUWLLAQGZVWEVWIQGZUWLLRALDEZUWLUJPZ
      VUEUYHLRQGZUWLLXTQGZXTRQGVWNHLQGVWOYAYCYDLXTRUJYEWTYFYGPVUGWRZUWLUYALAFGZ
      VWJVWKTZUYHUWLLAVWMUYHVWPYHVWLLLFGUYAVWQUBVWRUJLUJUUALAUUBUUFXLWHVWHKLOUU
      CYIUUDUWLVVRDEZVWLSLQGZUBZUYJUYASAQGZUBVWDVWGTVVSVXAUWLVWLVWTUJUQUUEPZUYK
      UWLUYAVXBUYHUWLAVUIYJUUGVVRLKAUUHUUIYKUWLAUWLAUYHYLZUUJYMUWLVWSUYAVXAVWAV
      WBTVVSUYHVXCVVRALUUKYNWHUULUWLVVHUWMUWSMNZUWOUWSMNZUCNVVQUWLUWMUWOUWSUWMY
      OEUWLUWMUXHYPPZUWOYOEUWLUWOUXKYPPUWLUWSUWLUWSVUMXPZYQZUUMUWLVXEVVOVXFVVPU
      CUWLVXEUWSUWMMNZHUWSXMNZIJZVVOUWLUWMUWSVXGVXIUUNUWLUXGUWSVJEZVXLVXJYRUFUW
      LHVJEUYRVXMUUOUYGHAUUPVQHUWSUUQVQUWLVXKVVIIUWLVXKHHXMNZAXMNVVIUWLHHAUWLUU
      RZUWLAVUIUUSHUUTEUWLUVAPUVBVXNRAXMUVCYIUVDUVEUVFUWLUWSUWNONVXFVVPUWLUWSUW
      NVXIUWNYOEUWLUWNUXIYPPUWNSYSUWLUXJPUVGUWLALHVXDLYOEUWLLUJYPPVXOLSYSUWLLUJ
      UQUMPHSYSUWLUSPUVHUVIUVJUVKUWLVVIAVVLVVMUVLUVMUWLUYOVVKVVFQGVUHUWSUWSAUVN
      NZFGUWSVXPUVPZAVXQUVQUVOXFYTUWLUWPVVFUWSVVDVVNVXHUVRWHUWLVVAYOEUWTYOEUWSY
      OEUWSSYSUBVVGVVBYRUWLVVAVVEYLUWLUWTVUKYQUWLUWSVXHUVSVVAUWTUWSUVTYNYMUWLVV
      AUWRFGZVVBUXBFGUWLUYBUWJUWSBFGZVXRUYIUXQUWLVXSAUYCFGZUWLAUYDUYCFCUWLUYEUY
      DUYCFGUYFUYCUWAXFWEUWLUYAUWJUXNVUDVXSVXTTUYHUXQUXOVUFABHUWBWGYKUWSBUWCYNU
      WLVVAUWRUXAVVEUXTUWLUWTUWSVUKVXHXQUWDWHWRUWLVVCUXMUXNVUDVUSVUTTVVDVUOUXOV
      UFUWPUXBHUWEWGWHUWLUXCUXFQGZUXBHUXFMNZQGZUWLUXBUWRHUXEMNZMNZVYBQUWLUXAVYD
      QGZUXBVYEQGZABCUWFUWLUXADEVYDDEZUWRDESUWRQGVYFVYGTVUNUWLUXNUXEDEVYHUIVUQH
      UXEVPVQUXTUWLUWRUXSYJUXAVYDUWRUWGWGWHUWLUWRHUXEUWLUWRUXTYLVXOUWLUXEVUQYLU
      WHYMUWLUXMUXFDEUXNVUDVYAVYCTVUOVURUXOVUFUXBUXFHUWIWGYKYT $.
  $}

  $( The Chebyshev bound:  The function ` ppi ( x ) ` is eventually lower
     bounded by a positive constant times ` x / log ( x ) ` .  Alternatively
     stated, the function ` ( x / log ( x ) ) / ppi ( x ) ` is eventually
     bounded.  (Contributed by Mario Carneiro, 22-Sep-2014.) $)
  chebbnd1 $p |- ( x e. ( 2 [,) +oo ) |->
    ( ( x / ( log ` x ) ) / ( ppi ` x ) ) ) e. O(1) $=
    ( c2 co clog cfv cdiv wcel wtru c1 ceu cmul cr 2re mp2an a1i wbr wa cc0 clt
    c4 cpnf cico cv cppi cmpt co1 c8 cmin wss cxr pnfxr icossre cc cle elicopnf
    wb ax-mp simplbi 0red 1re 0lt1 1lt2 simprbi ltletrd lttrd rplogcld rpdivcld
    elrpd cn ppinncl sylbi nnrpd rpcnd adantl 8re crp 2rp relogcl remulcli 2pos
    ere epos mulgt0ii gt0ne0ii rereccli resubcli 2t1e2 c3 egt2lt3 lttri ltmul2i
    simpli mpbi eqbrtrri ltrecii simpri 3lt4 3re 4re epr 4pos elrpii logltb sq2
    loge cexp fveq2i cz 2z relogexp eqtr3i 3brtr3i pm3.2i ltdivmul mp3an halfre
    wceq mpbir posdifi rerpdivcl cabs rpre rpge0 absidd syl adantr chebbnd1lem3
    cfl eqid sylan recni 2ne0 recdiv mp4an nncnd rpne0d nnne0d recdivd rpcnne0d
    wne divrecd syl2anc oveq2d 3eqtrd 3brtr4d elrp divgt0ii ltrec mpanr12 rpred
    mpbird wi ltle sylancl mpd eqbrtrd elo1d mptru ) ABUAUBCZAUCZUUTDEZFCZUUTUD
    EZFCZUEUFGHAUUSUVDUGBBDEZIBJKCZFCZUHCZFCZUUSLUIZHBLGZUAUJGUVJMUKBUAULNOUUTU
    USGZUVDUMGHUVLUVDUVLUVBUVCUVLUUTUVAUVLUUTUVLUUTLGZBUUTUNPZUVKUVLUVMUVNQZUPM
    BUUTUOUQZURZUVLRIUUTUVLUSILGZUVLUTOZUVQRISPUVLVAOUVLIBUUTUVSUVKUVLMOUVQIBSP
    ZUVLVBOUVLUVMUVNUVPVCVDZVEVHZUVLUUTUVQUWAVFZVGZUVLUVCUVLUVOUVCVIGUVPUUTVJVK
    ZVLVGZVMVNUGLGHVOOUVILGZHUVKUVHVPGUWGMUVHUVEUVGBVPGZUVELGZVQBVRUQZUVFBJMWAV
    SZUVFUWKBJMWAVTWBWCZWDWEZWFZUVGUVESPZRUVHSPUVGIBFCZSPZUWPUVESPZUWOBUVFSPUWQ
    BIKCZBUVFSWGIJSPZUWSUVFSPZUVTBJSPZUWTVBUXBJWHSPZWIWLIBJUTMWAWJNRBSPZUWTUXAU
    PVTIJBUTWAMWKUQWMWNBUVFMUWKVTUWLWOWMUWRIBUVEKCZSPZJDEZTDEZIUXESJTSPZUXGUXHS
    PZUXCWHTSPUXIUXBUXCWIWPWQJWHTWAWRWSWJNJVPGTVPGUXIUXJUPWTTWSXAXBJTXCNWMXEBBX
    FCZDEZUXHUXEUXKTDXDXGUWHBXHGUXLUXEXQVQXIBBXJNXKXLUVRUWIUVKUXDQUWRUXFUPUTUWJ
    UVKUXDMVTXMIUVEBXNXOXRUVGUWPUVEUWMXPUWJWJNUVGUVEUWMUWJXSWMZXBBUVHXTNZOUVLUG
    UUTUNPZQZUVDYAEZUVIUNPHUXPUXQUVDUVIUNUVLUXQUVDXQZUXOUVLUVDVPGZUXRUWFUXSUVDU
    VDYBUVDYCYDYEYFUXPUVDUVISPZUVDUVIUNPZUXPUXTIUVIFCZIUVDFCZSPZUXPUVHBFCZUVCUV
    AUUTFCZKCZUYBUYCSUVLUVMUXOUYEUYGSPUVQUUTBFCYHEZUUTUYHYIYGYJUYBUYEXQZUXPBUMG
    BRYTUVHUMGUVHRYTUYIBMYKYLUVHUWNYKUVHUWNUXMWDBUVHYMYNOUVLUYCUYGXQUXOUVLUYCUV
    CUVBFCUVCIUVBFCZKCUYGUVLUVBUVCUVLUVBUWDVMZUVLUVCUWEYOZUVLUVBUWDYPZUVLUVCUWE
    YQYRUVLUVCUVBUYLUYKUYMUUAUVLUYJUYFUVCKUVLUUTUMGUUTRYTQUVAUMGUVARYTQUYJUYFXQ
    UVLUUTUWBYSUVLUVAUWCYSUUTUVAYMUUBUUCUUDYFUUEUXPUXSUXTUYDUPZUVLUXSUXOUWFYFZU
    XSUVDLGZRUVDSPQZUYNUVDUUFUYQUWGRUVISPUYNUXNBUVHMUWNVTUXMUUGUVDUVIUUHUUIVKYE
    UUKUXPUYPUWGUXTUYAUULUXPUVDUYOUUJUXNUVDUVIUUMUUNUUOUUPVNUUQUUR $.

  ${
    $d p x z A $.  $d p N $.  $d p x z ph $.
    chtppilim.1 $e |- ( ph -> A e. RR+ ) $.
    chtppilim.2 $e |- ( ph -> A < 1 ) $.
    ${
      chtppilim.3 $e |- ( ph -> N e. ( 2 [,) +oo ) ) $.
      chtppilim.4 $e |- ( ph -> ( ( N ^c A ) / ( ppi ` N ) ) < ( 1 - A ) ) $.
      $( Lemma for ~ chtppilim .  (Contributed by Mario Carneiro,
         22-Sep-2014.) $)
      chtppilimlem1 $p |- ( ph ->
        ( ( A ^ 2 ) x. ( ( ppi ` N ) x. ( log ` N ) ) ) < ( theta ` N ) ) $=
        ( vp c2 co cfv cmul clt cr wcel cle wbr syl c1 cprime cexp rpred sqvald
        cppi clog ccht recnd oveq1d cpnf cico wa wb elicopnf ax-mp sylib simpld
        cn0 2re ppicl nn0red cc0 0red a1i 2pos simprd ltletrd elrpd mul4d eqtrd
        relogcld ccxp cmin remulcld rpcxpcld resubcld 1red rplogcld rpmulcld cn
        chtcl 1lt2 cdiv ppinncl nndivred ltsub13d wceq nnrpd rpcnne0d divsubdir
        cc wne syl3anc divid breqtrrd ltmuldivd mpbird ppiltx ltsub2dd ltmul1dd
        crp lttrd cfl caddc cfz cin csu cfn wss fzfid inss1 ssfi sylancl elin2d
        cv simpr prmnn fsumrecl chash fsumconst syl2anc ppifl oveq12d cuz ltled
        wi 1re mpd cxplead cxp1d breqtrd flword2 ppidif eqtr3d eqtr4d adantr ce
        ltle 3syl letrd rpge0d reflcl peano2re fllep1 elin1d rpne0d cxpefd efle
        elfzle1 eqcomd reeflogd 3brtr4d fsumle eqbrtrrd prmuz2 eluz2b2 flge0nn0
        nnred nn0p1nn nnuz eleqtrdi fzss1 ssrin fsumless cicc 2eluzge1 ppisval2
        chtval sumeq1d eqbrtrd ) ABIUAJZCUDKZCUEKZLJZLJZBUVKLJZBUVLLJZLJZCUFKZM
        AUVNBBLJZUVMLJUVQAUVJUVSUVMLABABABDUBZUGZUCUHABBUVKUVLUWAUWAAUVKAUVKACN
        OZUVKUQOAUWBICPQZACIUIUJJOZUWBUWCUKZFINOZUWDUWEULURICUMUNUOZUPZCUSRUTZU
        GZAUVLACACUWHAVAICAVBUWFAURVCZUWHVAIMQAVDVCAUWBUWCUWGVEZVFVGZVJZUGVHVIA
        UVQUVKCBVKJZUDKZVLJZUVPLJZUVRAUVOUVPABUVKUVTUWIVMZABUVLUVTUWNVMZVMAUWQU
        VPAUVKUWPUWIAUWPAUWONOZUWPUQOAUWOACBUWMUVTVNZUBZUWOUSRUTZVOZUWTVMZAUWBU
        VRNOUWHCVTRZAUVOUWQUVPUWSUXEABUVLDACUWHASICAVPZUWKUWHSIMQAWAVCUWLVFZVQV
        RAUVOUVKUWOVLJZUWQUWSAUVKUWOUWIUXCVOZUXEAUVOUXJMQBUXJUVKWBJZMQABSUWOUVK
        WBJZVLJZUXLMAUXMSBAUWOUVKUXCAUWEUVKVSOUWGCWCRZWDUXHUVTGWEAUXLUVKUVKWBJZ
        UXMVLJZUXNAUVKWJOZUWOWJOUXRUVKVAWKUKZUXLUXQWFUWJAUWOUXCUGAUVKAUVKUXOWGZ
        WHZUVKUWOUVKWIWLAUXPSUXMVLAUXSUXPSWFUYAUVKWMRUHVIWNABUXJUVKUVTUXKUXTWOW
        PAUWPUWOUVKUXDUXCUWIAUWOWTOUWPUWOMQUXBUWOWQRWRXAWSAUWRUWOXBKZSXCJZCXBKZ
        XDJZTXEZHXNZUEKZHXFZUVRUXFAUYFUYHHAUYEXGOUYFUYEXHUYFXGOZAUYCUYDXIUYETXJ
        UYEUYFXKXLZAUYGUYFOZUKZUYGUYMUYGTOZUYGWTOUYMUYETUYGAUYLXOZXMUYNUYGUYGXP
        WGRZVJZXQUXGAUYFUVPHXFZUWRUYIPAUYRUYFXRKZUVPLJZUWRAUYJUVPWJOUYRUYTWFUYK
        AUVPUWTUGUYFUVPHXSXTAUWQUYSUVPLAUYDUDKZUYBUDKZVLJZUWQUYSAVUAUVKVUBUWPVL
        AUWBVUAUVKWFUWHCYARAUXAVUBUWPWFUXCUWOYARYBAUYDUYBYCKOZVUCUYSWFAUXAUWBUW
        OCPQVUDUXCUWHAUWOCSVKJCPACBSUWHASCUXHUWHUXIYDUVTUXHABSMQZBSPQZEABNOSNOV
        UEVUFYEUVTYFBSYQXLYGYHACACUWHUGZYIYJUWOCYKWLUYBUYDYLRYMUHYNAUYFUVPUYHHU
        YKAUVPNOZUYLUWTYOZUYQUYMUVPUYHPQZUVPYPKZUYHYPKZPQZUYMUWOUYGVUKVULPUYMUW
        OUYCUYGAUXAUYLUXCYOAUYCNOZUYLAUXAUYBNOVUNUXCUWOUUAUYBUUBYRYOUYMUYGUYPUB
        AUWOUYCPQZUYLAUXAVUOUXCUWOUUCRYOUYMUYGUYEOUYCUYGPQUYMUYETUYGUYOUUDUYGUY
        CUYDUUHRYSAVUKUWOWFUYLAUWOVUKACBVUGACUWMUUEUWAUUFUUIYOUYMUYGUYPUUJUUKUY
        MVUHUYHNOVUJVUMULVUIUYQUVPUYHUUGXTWPUULUUMAUYISUYDXDJZTXEZUYHHXFZUVRPAV
        UQUYHUYFHAVUPXGOVUQVUPXHVUQXGOASUYDXIVUPTXJVUPVUQXKXLAUYGVUQOZUKZUYHVUT
        UYGVUTUYGVUTUYGVSOZSUYGMQZVUTUYGIYCKOZVVAVVBUKVUTUYNVVCVUTVUPTUYGAVUSXO
        XMUYGUUNRUYGUUOUOZUPUUQVUTVVAVVBVVDVEVQZUBVUTUYHVVEYTAUYCSYCKZOUYEVUPXH
        UYFVUQXHAUYCVSVVFAUYBUQOZUYCVSOAUXAVAUWOPQVVGUXCAUWOUXBYTUWOUUPXTUYBUUR
        RUUSUUTUYCSUYDUVAUYEVUPTUVBYRUVCAUVRVACUVDJTXEZUYHHXFZVURAUWBUVRVVIWFUW
        HCHUVGRAVVHVUQUYHHAUWBIVVFOVVHVUQWFUWHUVECSUVFXLUVHVIWNYSVFUVI $.
    $}

    $( Lemma for ~ chtppilim .  (Contributed by Mario Carneiro,
       22-Sep-2014.) $)
    chtppilimlem2 $p |- ( ph -> E. z e. RR A. x e. ( 2 [,) +oo ) ( z <_ x ->
      ( ( A ^ 2 ) x. ( ( ppi ` x ) x. ( log ` x ) ) ) < ( theta ` x ) ) ) $=
      ( wbr ccxp co cdiv cc0 c1 clt c2 cr cmul crp wcel wa cc cle cppi cfv cmin
      cv cabs wi cpnf cico wral wrex cexp clog ccht simpr wb 2re elicopnf ax-mp
      sylib simpld 0red 2pos simprd ltletrd elrpd rpred adantr rpcxpcld ppinncl
      a1i cn syl nnrpd rpdivcld ralrimiva 1re difrp sylancl mpbid cmpt cof crli
      cvv ovexd 1lt2 rplogcld eqidd offval2 wne wceq rpcnd rpcnne0d div23 recnd
      syl3anc dmdcan mulcomd ax-1cn cxpsub sylancr oveq2d eqtr3d oveq1d 3eqtr4d
      nncan cxp1d mpteq2dva eqtrd chebbnd1 ex ssrdv cxploglim rlimres2 eqbrtrrd
      o1rlimmul subid1d fveq2d rpge0d absidd breq1d simprl simprr chtppilimlem1
      co1 rlimi expr sylbid imim2d ralimdva reximdv mpd ) ACUEBUEZUAGZYMDHIZYMU
      BUCZJIZKUDIZUFUCZLDUDIZMGZUGZBNUHUIIZUJZCOUKYNDNULIYPYMUMUCZPIPIYMUNUCMGZ
      UGZBUUCUJZCOUKACBUUCYQKYTQAYQQRBUUCAYMUUCRZSZYOYPUUJYMDUUJYMUUJYMORZNYMUA
      GZUUJUUIUUKUULSZAUUIUONORZUUIUUMUPUQNYMURUSUTZVAZUUJKNYMUUJVBUUNUUJUQVKZU
      UPKNMGUUJVCVKUUJUUKUULUUOVDZVEVFZADORZUUIADEVGZVHZVIUUJYPUUJUUMYPVLRUUOYM
      VJVMVNZVOZVPADLMGZYTQRZFAUUTLORZUVEUVFUPUVAVQDLVRVSVTZABUUCYMUUEJIZYPJIZW
      AZBUUCUUEYMYTHIZJIZWAZPWBIZBUUCYQWAZKWCAUVOBUUCUVJUVMPIZWAUVPABUUCUVJUVMP
      UVKUVNWDQQANUHUIWEUUJUVIYPUUJYMUUEUUSUUJYMUUPUUJLNYMUVGUUJVQVKUUQUUPLNMGU
      UJWFVKUURVEWGZVOZUVCVOUUJUUEUVLUVRUUJYMYTUUSUUJYTAUVFUUIUVHVHZVGVIZVOZAUV
      KWHAUVNWHWIABUUCUVQYQUUJUVIUVMPIZYPJIZUVQYQUUJUVITRUVMTRYPTRYPKWJSUWDUVQW
      KUUJUVIUVSWLZUUJUVMUWBWLZUUJYPUVCWMUVIUVMYPWNWPUUJUWCYOYPJUUJUVMUVIPIZYMU
      VLJIZUWCYOUUJUUETRUUEKWJSUVLTRUVLKWJSYMTRZUWGUWHWKUUJUUEUVRWMUUJUVLUWAWMU
      UJYMUUPWOZUUEUVLYMWQWPUUJUVIUVMUWEUWFWRUUJYMLHIZUVLJIZYOUWHUUJYMLYTUDIZHI
      ZUWLYOUUJUWIYMKWJSLTRZYTTRUWNUWLWKUUJYMUUSWMUWOUUJWSVKUUJYTUVTWLYMLYTWTWP
      UUJUWMDYMHUUJUWODTRUWMDWKWSUUJDUVBWOLDXFXAXBXCUUJUWKYMUVLJUUJYMUWJXGXDXCX
      EXDXCXHXIAUVKYERUVNKWCGUVOKWCGBXJABUUCQUVMKABUUCQAUUIYMQRUUSXKXLAUVFBQUVM
      WAKWCGUVHYTBXMVMXNUVKUVNXPXAXOYFAUUDUUHCOAUUBUUGBUUCUUJUUAUUFYNUUJUUAYQYT
      MGZUUFUUJYSYQYTMUUJYSYQUFUCYQUUJYRYQUFUUJYQUUJYQUVDWLXQXRUUJYQUUJYQUVDVGU
      UJYQUVDXSXTXIYAAUUIUWPUUFAUUIUWPSZSDYMADQRUWQEVHAUVEUWQFVHAUUIUWPYBAUUIUW
      PYCYDYGYHYIYJYKYL $.
  $}

  ${
    $d x y z $.
    $( The ` theta ` function is asymptotic to ` ppi ( x ) log ( x ) ` , so it
       is sufficient to prove ` theta ( x ) / x ~~>r 1 ` to establish the PNT.
       (Contributed by Mario Carneiro, 22-Sep-2014.) $)
    chtppilim $p |- ( x e. ( 2 [,) +oo ) |->
      ( ( theta ` x ) / ( ( ppi ` x ) x. ( log ` x ) ) ) ) ~~>r 1 $=
      ( vz vy c2 co cfv cmul c1 wbr wtru cle clt cr crp wcel halfre 1re cc0 a1i
      adantl cpnf cico cv ccht cppi clog cdiv cmpt crli cmin cabs wral wrex cif
      wi csqrt cexp rpre resubcl sylancr ifcl 0red halfgt0 max2 sylancl ltletrd
      elrpd rpsqrtcld halflt1 ltsubrp mpan breq1 ifboth rpge0d 0le1 mpbid sqrt1
      sqrtltd breqtrdi chtppilimlem2 wa adantr max1 wb 2re elicopnf ax-mp chtcl
      simplbi syl ppinncl sylbi nnrpd 1lt2 simprbi rplogcld rpmulcld rerpdivcld
      cn lelttr syl3anc mpand wceq recnd sqsqrtd oveq1d rpregt0d ltmuldiv bitrd
      breq1d 2pos chtleppi mulid1d breqtrrd ledivmuld mpbird abssuble0d ltsub23
      rpcnd 3imtr4d imim2d ralimdva reximdv mpd rgen ralrimiva ssriv 1cnd rlim2
      cc wss mpbiri mptru ) ADUAUBEZAUCZUDFZYOUEFZYOUFFZGEZUGEZUHHUIIZJUUABUCYO
      KIZYTHUJEUKFZCUCZLIZUOZAYNULZBMUMZCNULUUHCNUUDNOZUUBHUUDUJEZHDUGEZKIZUUKU
      UJUNZUPFZDUQEZYSGEZYPLIZUOZAYNULZBMUMUUHUUIABUUNUUIUUMUUIUUMUUIUUKMOZUUJM
      OZUUMMOZPUUIHMOZUUDMOZUVAQUUDURZHUUDUSUTZUULUUKUUJMVAUTZUUIRUUKUUMUUIVBUU
      TUUIPSUVGRUUKLIUUIVCSUUIUVAUUTUUKUUMKIUVFPUUJUUKVDVEVFVGZVHUUIUUNHUPFZHLU
      UIUUMHLIZUUNUVILIUUIUUKHLIZUUJHLIZUVJVIUVCUUIUVLQHUUDVJVKUULUVKUVLUVJUUKU
      UJUUKUUMHLVLUUJUUMHLVLVMUTUUIUUMHUVGUUIUUMUVHVNUVCUUIQSRHKIUUIVOSVRVPVQVS
      VTUUIUUSUUGBMUUIUURUUFAYNUUIYOYNOZWAZUUQUUEUUBUVNUUMYTLIZUUJYTLIZUUQUUEUV
      NUUJUUMKIZUVOUVPUVNUVAUUTUVQUUIUVAUVMUVFWBZPUUJUUKWCVEUVNUVAUVBYTMOZUVQUV
      OWAUVPUOUVRUUIUVBUVMUVGWBZUVMUVSUUIUVMYPYSUVMYOMOZYPMOZUVMUWADYOKIZDMOZUV
      MUWAUWCWAZWDWEDYOWFWGZWIZYOWHWJZUVMYQYRUVMYQUVMUWEYQWSOUWFYOWKWLWMUVMYOUW
      GUVMHDYOUVCUVMQSZUWDUVMWESZUWGHDLIUVMWNSUVMUWAUWCUWFWOZVFWPWQZWRZTZUUJUUM
      YTWTXAXBUVNUUQUUMYSGEZYPLIZUVOUVNUUPUWOYPLUVNUUOUUMYSGUUIUUOUUMXCUVMUUIUU
      MUUIUUMUVGXDXEWBXFXJUVNUVBUWBYSMORYSLIWAZUWPUVOWDUVTUVMUWBUUIUWHTUVMUWQUU
      IUVMYSUWLXGTUUMYPYSXHXAXIUVNUUEHYTUJEZUUDLIZUVPUVMUUEUWSWDUUIUVMUUCUWRUUD
      LUVMYTHUWMUWIUVMYTHKIYPYSHGEZKIUVMYPYSUWTKUVMYONOYPYSKIUVMYOUWGUVMRDYOUVM
      VBUWJUWGRDLIUVMXKSUWKVFVGYOXLWJUVMYSUVMYSUWLXSXMXNUVMYPHYSUWHUWIUWLXOXPXQ
      XJTUVNUVCUVSUVDUWSUVPWDUVCUVNQSUWNUUIUVDUVMUVEWBHYTUUDXRXAXIXTYAYBYCYDYEJ
      CBAYNYTHJYTYJOZAYNUVMUXAJUVMYTUWMXDTYFYNMYKJAYNMUWGYGSJYHYIYLYM $.
  $}

  $( The ` theta ` function is upper bounded by a linear term.  Corollary of
     ~ chtub .  (Contributed by Mario Carneiro, 22-Sep-2014.) $)
  chto1ub $p |- ( x e. RR+ |-> ( ( theta ` x ) / x ) ) e. O(1) $=
    ( crp cfv co wcel wtru c3 c2 cmul cr a1i cc 3re 2re cle wbr cc0 clt adantr
    wa cv ccht cdiv cmpt co1 clog wss rpssre rpre chtcl rerpdivcl mpancom recnd
    syl adantl 2rp relogcl ax-mp remulcli chtge0 rpregt0 divge0 syl21anc absidd
    cabs wceq cmin remulcl sylancr resubcl sylancl 2lt3 simpr ltletrd chtub 3rp
    syl2anc ltsubrp wb c1 1lt2 rplogcl mp2an elrp mpbi ltmul2 mpbid lttrd recni
    syl3anc 2cnd mulassd breqtrrd ltdivmul2 mpbird ltled eqbrtrd elo1d mptru )
    ABAUAZUBCZWTUCDZUDUEEFABXBGHUFCZHIDZBJUGFUHKWTBEZXBLEFXEXBXAJEZXEXBJEZXEWTJ
    EZXFWTUIZWTUJUNZXAWTUKULZUMUOGJEZFMKXDJEZFXCHHBEXCJEZUPHUQURZNUSZKXEGWTOPZT
    ZXBVECZXDOPFXRXSXBXDOXEXSXBVFXQXEXBXKXEXFQXAOPZXHQWTRPTZQXBOPXJXEXHXTXIWTUT
    UNWTVAZXAWTVBVCVDSXRXBXDXEXGXQXKSXMXRXPKZXRXBXDRPZXAXDWTIDZRPZXRXAXCHWTIDZI
    DZYERXRXAXCYGGVGDZIDZYHXEXFXQXJSZXRXNYIJEZYJJEXOXRYGJEZXLYLXRHJEZXHYMNXEXHX
    QXISZHWTVHVIZMYGGVJVKZXCYIVHVIXRXNYMYHJEXOYPXCYGVHVIXRXHHWTRPXAYJRPYOXRHGWT
    YNXRNKXLXRMKYOHGRPXRVLKXEXQVMVNWTVOVQXRYIYGRPZYJYHRPZXRYMGBEYRYPVPYGGVRVKXR
    YLYMXNQXCRPTZYRYSVSYQYPYTXRXCBEZYTYNVTHRPUUANWAHWBWCXCWDWEKYIYGXCWFWJWGWHXR
    XCHWTXCLEXRXCXOWIKXRWKXEWTLEXQXEWTXIUMSWLWMXRXFXMYAYDYFVSYKYCXEYAXQYBSXAXDW
    TWNWJWOWPWQUOWRWS $.

  $( The Chebyshev bound, part 2:  The function ` ppi ( x ) ` is eventually
     upper bounded by a positive constant times ` x / log ( x ) ` .
     Alternatively stated, the function ` ppi ( x ) / ( x / log ( x ) ) ` is
     eventually bounded.  (Contributed by Mario Carneiro, 22-Sep-2014.) $)
  chebbnd2 $p |- ( x e. ( 2 [,) +oo ) |->
    ( ( ppi ` x ) / ( x / ( log ` x ) ) ) ) e. O(1) $=
    ( c2 cpnf co cfv cdiv cmpt co1 wcel wtru c1 cmul wa cc cc0 wne wbr rpcnne0d
    crp a1i cico cv cppi clog ccht cof cvv ovexd eqidd wceq cr cle simpr wb 2re
    elicopnf ax-mp sylib chtrpcl syl ppinncl nnrpd simpld 1red clt 1lt2 ltletrd
    cn simprd rplogcld rpmulcld syl2anc mpteq2dva offval2 0red 2pos elrpd rpcnd
    recdiv dmdcan syl3anc divdiv2 eqtr4d eqtrd ssrdv chto1ub o1res2 crli ax-1cn
    ex rpdivcld wss cxr pnfxr icossre mp2an rlimconst chtppilim ax-1ne0 rlimdiv
    rpne0d rlimo1 o1mul eqeltrrd mptru ) ABCUADZAUBZUCEZXGXGUDEZFDFDZGZHIJAXFXG
    UEEZXGFDZGZAXFKXLXHXILDZFDZFDZGZLUFDZXKHJXSAXFXMXOXLFDZLDZGXKJAXFXMXTLXNXRU
    GUGUGJBCUAUHJXGXFIZMZXLXGFUHYCXOXLFUHJXNUIJAXFXQXTYCXLNIXLOPMZXONIZXOOPMXQX
    TUJYCXLYCXGUKIZBXGULQZMZXLSIYCYBYHJYBUMBUKIZYBYHUNUOBXGUPUQURZXGUSUTZRZYCXO
    YCXHXIYCXHYCYHXHVHIYJXGVAUTVBZYCXGYCYFYGYJVCZYCKBXGYCVDYIYCUOTZYNKBVEQYCVFT
    YCYFYGYJVIZVGVJZVKZRXLXOVSVLVMVNJAXFYAXJYCYAXOXGFDZXJYCYDXGNIXGOPMZYEYAYSUJ
    YLYCXGYCXGYNYCOBXGYCVOYOYNOBVEQYCVPTYPVGVQZRZYCXOYRVRXLXGXOVTWAYCXHNIYTXINI
    XIOPMXJYSUJYCXHYMVRUUBYCXIYQRXHXGXIWBWAWCVMWDJXNHIXRHIZXSHIJAXFSXMJAXFSJYBX
    GSIUUAWJWEASXMGHIJAWFTWGJXRKKFDZWHQUUCJAXFKXPKKNKNIZYCWITYCXPYCXLXOYKYRWKZV
    RAXFKGKWHQZJXFUKWLZUUEUUGYICWMIUUHUOWNBCWOWPWIAXFKWQWPTAXFXPGKWHQJAWRTKOPJW
    STYCXPUUFXAWTUUDXRXBUTXNXRXCVLXDXE $.

  $( The ` theta ` function is lower bounded by a linear term.  Corollary of
     ~ chebbnd1 .  (Contributed by Mario Carneiro, 8-Apr-2016.) $)
  chto1lb $p |- ( x e. ( 2 [,) +oo ) |-> ( x / ( theta ` x ) ) ) e. O(1) $=
    ( c2 co cfv cdiv cmpt co1 wcel wtru c1 cmul cc wbr cc0 a1i crp rpcnd adantl
    cr rpne0d cpnf cico cv ccht clog cof cvv ovexd cle wa wb 2re elicopnf ax-mp
    cppi biimpi simpld 0red clt 2pos simprd ltletrd elrpd ppinncl syl 1red 1lt2
    nnrpd rplogcld rpmulcld rpdivcld chtrpcl wceq recnd divdiv1d mulcomd oveq2d
    mpteq2ia recdivd offval2 dmdcan2d eqtrdi chebbnd1 crli ax-1cn wss rlimconst
    eqtrd ssriv mp2an chtppilim wne ax-1ne0 rlimdiv rlimo1 o1mul eqeltrrd mptru
    sylancr ) ABUAUBCZAUCZXAUDDZECZFZGHIAWTXAXAUEDZECXAUODZECZFZAWTJXBXFXEKCZEC
    ZECZFZKUFCZXDGIXMAWTXAXIECZXIXBECZKCZFXDIAWTXNXOKXHXLUGLLIBUAUBUHXAWTHZXNLH
    IXQXNXQXAXIXQXAXQXASHZBXAUIMZXQXRXSUJZBSHZXQXTUKULBXAUMUNUPZUQZXQNBXAXQURYA
    XQULOZYCNBUSMXQUTOXQXRXSYBVAZVBVCXQXFXEXQXTXFPHYBXTXFXAVDVHVEZXQXAYCXQJBXAX
    QVFYDYCJBUSMXQVGOYEVBVIZVJZVKQRXQXOLHIXQXOXQXIXBYHXQXTXBPHYBXAVLVEZVKQRXHAW
    TXNFVMIAWTXGXNXQXGXAXEXFKCZECXNXQXAXEXFXQXAYCVNZXQXEYGQZXQXFYFQZXQXEYGTXQXF
    YFTVOXQYJXIXAEXQXEXFYLYMVPVQWHVROXLAWTXOFVMIAWTXKXOXQXBXIXQXBYIQZXQXIYHQZXQ
    XBYITZXQXIYHTZVSVROVTAWTXPXCXQXAXIXBYKYOYNYQYPWAVRWBIXHGHXLGHZXMGHAWCIXLJJE
    CZWDMYRIAWTJXJJJLJLHZIXQUJZWEOUUAXJXQXJPHIXQXBXIYIYHVKZRQAWTJFJWDMZIWTSWFYT
    UUCAWTSYCWIWEAWTJWGWJOAWTXJFJWDMIAWKOJNWLIWMOXQXJNWLIXQXJUUBTRWNYSXLWOVEXHX
    LWPWSWQWR $.

  $( The ` psi ` and ` theta ` functions are asymptotic to each other, so is
     sufficient to prove either ` theta ( x ) / x ~~>r 1 ` or
     ` psi ( x ) / x ~~>r 1 ` to establish the PNT. (Contributed by Mario
     Carneiro, 8-Apr-2016.) $)
  chpchtlim $p |- ( x e. ( 2 [,) +oo ) |->
      ( ( psi ` x ) / ( theta ` x ) ) ) ~~>r 1 $=
    ( c2 co cdiv cmpt c1 crli wbr wtru cmul caddc cc0 wcel cle crp a1i wceq syl
    cr cc cpnf cico cv cchp cfv ccht csqrt clog 1red wa wb 2re elicopnf simplbi
    ax-mp adantl 0red clt 2pos simprbi elrpd rpge0d resqrtcld relogcld remulcld
    ltletrd chtrpcl syl2anc rerpdivcld wss ssriv rlimconst sylancr ccxp cof cvv
    recnd ovexd cxpsqrt oveq2d wne rpsqrtcld rpcnne0d divcan5 syl3anc remsqsqrt
    eqidd 3eqtr2d mpteq2dva offval2 rpne0d syl211anc eqtrd co1 chto1lb rphalfcl
    dmdcan 1rp cxploglim rlimres2 o1rlimmul eqbrtrrd rlimadd 1p0e1 breqtrdi 1re
    readdcl chpcl chtcl readdcld letrd chpub lediv1dd rpcnd divdir divid oveq1d
    breqtrd adantrr mulid2d chtlepsi eqbrtrd lemuldivd mpbid rlimsqz2 mptru
    1le2 ) ABUAUBCZAUCZUDUEZYIUFUEZDCZEFGHIAYHFYIUGUEZYIUHUEZJCZYKDCZKCZYLFFIUI
    ZYRIAYHYQEFLKCFGIAYHFYPFLSIYIYHMZUJZUIZYTYOYKYTYMYNYTYIYSYISMZIYSUUBBYINHZB
    SMZYSUUBUUCUJUKULBYIUMUOZUNZUPZYTYIYSYIOMIYSYIUUFYSLBYIYSUQUUDYSULPUUFLBURH
    YSUSPYSUUBUUCUUEUTZVFVAZUPZVBZVCYTYIUUJVDZVEZYTUUBUUCYKOMUUGYSUUCIUUHUPZYIV
    GVHZVIZIYHSVJFTMAYHFEFGHAYHSUUFVKIFYRVQAYHFVLVMIAYHYIYKDCZEZAYHYNYIFBDCZVNC
    ZDCZEZJVOCZAYHYPEZLGIUVCAYHUUQYOYIDCZJCZEUVDIAYHUUQUVEJUURUVBVPSVPIBUAUBVRY
    TYIYKUUGUUOVIYTYOYIDVRIUURWGIAYHUVAUVEYTUVAYNYMDCZYOYMYMJCZDCZUVEYTUUTYMYND
    YTYITMZUUTYMQYTYIUUGVQZYIVSRVTYTYNTMYMTMYMLWAUJZUVLUVIUVGQYTYNUULVQYTYMYTYI
    UUJWBWCZUVMYNYMYMWDWEYTUVHYIYODYTUUBLYINHUVHYIQUUGUUKYIWFVHVTWHWIWJIAYHUVFY
    PYTUVJYILWAYKTMZYKLWAUJZYOTMZUVFYPQUVKYTYIUUJWKYTYKUUOWCZYTYOUUMVQZYIYKYOWQ
    WLWIWMIUURWNMUVBLGHUVCLGHAWOIAYHOUVALYHOVJIAYHOUUIVKPAOUVAELGHZIUUSOMZUVSFO
    MUVTWRFWPUOUUSAWSUOPWTUURUVBXAVMXBXCXDXEYTFSMYPSMYQSMXFUUPFYPXGVMYTYJYKYTUU
    BYJSMUUGYIXHRZUUOVIIYSYLYQNHFYINHZYTYLYKYOKCZYKDCZYQNYTYJUWCYKUWAYTYKYOYTUU
    BYKSMUUGYIXIRUUMXJUUOYTUUBUWBYJUWCNHUUGYTFBYIUUAUUDYTULPUUGFBNHYTYGPUUNXKYI
    XLVHXMYTUWDYKYKDCZYPKCZYQYTUVNUVPUVOUWDUWFQYTYKUUOXNZUVRUVQYKYOYKXOWEYTUWEF
    YPKYTUVOUWEFQUVQYKXPRXQWMXRXSIYSFYLNHZUWBYTFYKJCZYJNHUWHYTUWIYKYJNYTYKUWGXT
    YTUUBYKYJNHUUGYIYARYBYTFYJYKUUAUWAUUOYCYDXSYEYF $.

  $( The ` psi ` function is upper bounded by a linear term.  (Contributed by
     Mario Carneiro, 16-Apr-2016.) $)
  chpo1ub $p |- ( x e. RR+ |-> ( ( psi ` x ) / x ) ) e. O(1) $=
    ( crp cfv cdiv co cmpt co1 wcel wtru c2 cmul cc cc0 wa cr wbr 2re a1i ovexd
    cvv cv cchp cpnf cico cres ccht cof wne cle wb elicopnf ax-mp chtrpcl sylbi
    wceq rpcnne0d simplbi 0red clt 2pos simprbi ltletrd elrpd rpre chpcl dmdcan
    syl recnd syl3anc adantl mpteq2dva eqidd offval2 ssriv resmpt mp1i 3eqtr4rd
    wss chto1ub o1res2 c1 crli chpchtlim rlimo1 o1mul sylancl eqeltrd rerpdivcl
    mpancom fmpttd rpssre o1resb mpbird mptru ) ABAUAZUBCZWODEZFZGHZIWSWRJUCUDE
    ZUEZGHIXAAWTWOUFCZWODEZFZAWTWPXBDEZFZKUGEZGIAWTXCXEKEZFAWTWQFZXGXAIAWTXHWQW
    OWTHZXHWQUOZIXJXBLHXBMUHNWOLHWOMUHNWPLHZXKXJXBXJWOOHZJWOUIPZNZXBBHJOHZXJXOU
    JQJWOUKULZWOUMUNUPXJWOXJWOXJXMXNXQUQZXJMJWOXJURXPXJQRXRMJUSPXJUTRXJXMXNXQVA
    VBVCZUPXJWOBHZXLXSXTWPXTXMWPOHZWOVDWOVEVGZVHVGXBWOWPVFVIVJVKIAWTXCXEKXDXFTT
    TIJUCUDSIXJNZXBWODSYCWPXBDSIXDVLIXFVLVMWTBVRZXAXIUOIAWTBXSVNZABWTWQVOVPVQIX
    DGHXFGHZXGGHIAWTBXCYDIYERABXCFGHIAVSRVTXFWAWBPYFAWCWAXFWDULXDXFWEWFWGIBJWRI
    ABWQLXTWQLHIXTWQYAXTWQOHYBWPWOWHWIVHVJWJBOVRIWKRXPIQRWLWMWN $.

  ${
    $d c n x y $.
    $( The ` psi ` function is upper bounded by a linear term.  (Contributed by
       Mario Carneiro, 31-May-2016.) $)
    chpo1ubb $p |- E. c e. RR+ A. x e. RR+ ( psi ` x ) <_ ( c x. x ) $=
      ( vy cv cdiv co cle wbr crp wtru c2 cr a1i wcel wa simpr rpred syl adantr
      cc0 cchp cfv wral wrex cmul wss rpssre 1red chpcl rerpdivcld cmpt chpo1ub
      c1 co1 o1lo1d ad2antrl rehalfcld clt wceq wb chpeq0 biimpar oveq1d rpne0d
      rpcnd div0d ad2ant2r simprll chpge0 divge0d eqbrtrd ad2antrr simprr ltled
      2rp chpwordi syl3anc lediv12ad 2re ltlecasei lo1bddrp ledivmul2d ralbidva
      mptru simpl rexbiia mpbi ) ADZUAUBZWHEFZBDZGHZAIUCZBIUDZWIWKWHUEFGHZAIUCZ
      BIUDWNJACIWJUMBCDZUAUBZKEFZILUFJUGMJUHJWHINZOZWIWHXAWHLNZWILNZXAWHJWTPZQZ
      WHUIZRZXDUJZJAIWJXHAIWJUKUNNJAULMUOJWQLNZUMWQGHZOZOWRXIWRLNZJXJWQUIUPZUQX
      AXKWHWQURHZOZOZWJWSGHWHKXPWHKURHZOZWJTWHEFZWSGXRWITWHEXPWITUSZXQXPXBXTXQU
      TXAXBXOXESZWHVARVBVCXPXSWSGHXQXPXSTWSGXPWHXPWHXAWTXOXDSZVEXPWHYBVDVFXPWRK
      JXKXLWTXNXMVGZKINZXPVOMXPXITWRGHXAXIXJXNVHZWQVIRVJVKSVKXPKWHGHZOZWIWRKWHX
      AXCXOYFXGVLXPXLYFYCSYDYGVOMXPXBYFYASZYGXBTWIGHYHWHVIRYGXBXIWHWQGHZWIWRGHY
      HXPXIYFYESXPYIYFXPWHWQYAYEXAXKXNVMVNSWHWQVPVQXPYFPVRYAKLNXPVSMVTWAWDWMWPB
      IWKINZWLWOAIYJWTOZWIWKWHYKXBXCYKWHYJWTPZQXFRYKWKYJWTWEQYLWBWCWFWG $.

    $( The sum of the von Mangoldt function over ` n ` is asymptotic to
       ` log x + O(1) ` .  Equation 9.2.13 of [Shapiro], p. 331.  (Contributed
       by Mario Carneiro, 16-Apr-2016.) $)
    vmadivsum $p |- ( x e. RR+ |->
      ( sum_ n e. ( 1 ... ( |_ ` x ) ) ( ( Lam ` n ) / n ) -
        ( log ` x ) ) ) e. O(1) $=
      ( crp c1 cfv co cdiv csu cmin wtru wcel cr wa syl recnd cc0 cle wbr cmul
      cc cv cfl cfz cvma cfa clog cmpt cof co1 wceq cvv reex rpssre ssexi ovexd
      a1i eqidd offval2 mptru fzfid cn elfznn adantl vmacl nndivred relogcl cn0
      fsumrecl rprege0 flge0nn0 faccl nnrpd relogcld rerpdivcl mpancom nnncan2d
      3syl mpteq2ia eqtri cchp 1red chpo1ub rpre subcld adantr remulcld nndivre
      chpcl cabs syl2an reflcl resubcld vmage0 fracle1 lemul2ad subdid wne rpcn
      rpcnne0 w3a divass eqtr3d syl3anc oveq1d eqtr4d mulid1d 3brtr3d fsummulc1
      div23 fsumle logfac2 oveq12d fsumsub chpval 3brtr4d clt wb rpregt0 lediv1
      mpbid divsubdir rpne0 divcan4d eqtr2d fveq2d flle subge0d mulge0d breqtrd
      mpbird fsumge0 breqtrrd divge0 syl21anc absidd eqtrd chpge0 ad2antrl o1le
      crli logfacrlim rlimo1 ax-mp o1sub mp2an eqeltrri ) ACDAUAZUBEZUCFZBUAZUD
      EZUUJGFZBHZUUHUEEZUFEZUUGGFZIFZUGZACUUGUFEZUUPIFZUGZIUHFZACUUMUUSIFZUGZUI
      UVBACUUQUUTIFZUGZUVDUVBUVFUJJACUUQUUTIUURUVAUKUKUKCUKKJCLULUMUNUPJUUGCKZM
      ZUUMUUPIUOUVHUUSUUPIUOJUURUQJUVAUQURUSACUVEUVCUVGUUMUUSUUPUVGUUMUVGUUIUUL
      BUVGDUUHUTZUVGUUJUUIKZMZUUKUUJUVKUUJVAKZUUKLKUVJUVLUVGUUJUUHVBZVCZUUJVDNZ
      UVNVEZVHZOZUVGUUSUUGVFOUVGUUPUUOLKUVGUUPLKUVGUUNUVGUUNUVGUUGLKZPUUGQRMZUU
      HVGKUUNVAKUUGVIZUUGVJUUHVKVQVLVMZUUOUUGVNVOOZVPVRVSUURUIKZUVAUIKZUVBUIKUW
      DJACUUGVTEZUUGGFZUUQDTJWAACUWGUGUIKJAWBUPUVGUWGTKJUVGUWGUWFLKZUVGUWGLKUVG
      UVSUWHUUGWCZUUGWHNZUWFUUGVNVOZOVCUVGUUQTKJUVGUUMUUPUVRUWCWDVCUVGUUQWIEZUW
      GWIEZQRJDUUGQRUVGUUMUUGSFZUUOIFZUUGGFZUWGUWLUWMQUVGUWOUWFQRZUWPUWGQRZUVGU
      UIUULUUGSFZUUKUUGUUJGFZUBEZSFZIFZBHZUUIUUKBHZUWOUWFQUVGUUIUXCUUKBUVIUVKUW
      SUXBUVKUULUUGUVPUVGUVSUVJUWIWEWFZUVKUUKUXAUVOUVKUWTLKZUXALKUVGUVSUVLUXGUV
      JUWIUVMUUGUUJWGWJZUWTWKNZWFZWLZUVOUVKUUKUWTUXAIFZSFZUUKDSFUXCUUKQUVKUXLDU
      UKUVKUWTUXAUXHUXIWLZUVKWAUVOUVKUVLPUUKQRUVNUUJWMNZUVKUXGUXLDQRUXHUWTWNNWO
      UVKUXMUUKUWTSFZUXBIFUXCUVKUUKUWTUXAUVKUUKUVOOZUVKUWTUXHOUVKUXAUXIOWPUVKUW
      SUXPUXBIUVKUUKTKZUUGTKZUUJTKUUJPWQMZUWSUXPUJUXQUVGUXSUVJUUGWRZWEUVKUUJCKU
      XTUVKUUJUVNVLUUJWSNUXRUXSUXTWTUUKUUGSFUUJGFUWSUXPUUKUUGUUJXIUUKUUGUUJXAXB
      XCXDXEZUVKUUKUXQXFXGXJUVGUWOUUIUWSBHZUUIUXBBHZIFUXDUVGUWNUYCUUOUYDIUVGUUI
      UULUUGBUVIUYAUVKUULUVPOXHUVGUVTUUOUYDUJUWAUUGBXKNXLUVGUUIUWSUXBBUVIUVKUWS
      UXFOUVKUXBUXJOXMXEZUVGUVSUWFUXEUJUWIUUGBXNNXOUVGUWOLKZUWHUVSPUUGXPRMZUWQU
      WRXQUVGUWNUUOUVGUUMUUGUVQUWIWFZUWBWLZUWJUUGXRZUWOUWFUUGXSXCXTUVGUWLUWPWIE
      UWPUVGUUQUWPWIUVGUWPUWNUUGGFZUUPIFZUUQUVGUWNTKUUOTKUXSUUGPWQMUWPUYLUJUVGU
      WNUYHOUVGUUOUWBOUUGWSUWNUUOUUGYAXCUVGUYKUUMUUPIUVGUUMUUGUVRUYAUUGYBYCXDYD
      YEUVGUWPUYFUVGUWPLKUYIUWOUUGVNVOUVGUYFPUWOQRUYGPUWPQRUYIUVGPUXDUWOQUVGUUI
      UXCBUVIUXKUVKPUXMUXCQUVKUUKUXLUVOUXNUXOUVKPUXLQRUXAUWTQRZUVKUXGUYMUXHUWTY
      FNUVKUWTUXAUXHUXIYGYJYHUYBYIYKUYEYLUYJUWOUUGYMYNYOYPUVGUWGUWKUVGUWHPUWFQR
      ZUYGPUWGQRUWJUVGUVSUYNUWIUUGYQNUYJUWFUUGYMYNYOXOYRYSUSUVADYTRUWEAUUADUVAU
      UBUUCUURUVAUUDUUEUUF $.

    $( Give a total bound on the von Mangoldt sum.  (Contributed by Mario
       Carneiro, 30-May-2016.) $)
    vmadivsumb $p |- E. c e. RR+ A. x e. ( 1 [,) +oo ) ( abs `
      ( sum_ n e. ( 1 ... ( |_ ` x ) ) ( ( Lam ` n ) / n ) -
        ( log ` x ) ) ) <_ c $=
      ( c1 cv cfv co cle wbr crp wtru caddc cr wa a1i syl relogcld recnd adantr
      wcel vy cfl cfz cvma cdiv csu clog cmin cabs cpnf cico wral wrex elicopnf
      wb 1re mp1i simprbda 1rp simplbda rpgecld ex ssrdv rpssre sstrdi fzfid cn
      elfznn adantl nndivred fsumrecl resubcld cmpt co1 vmadivsum o1res2 simprl
      vmacl simprr readdcld clt abscld ad2ant2r abs2dif2d nnrpd divge0d fsumge0
      cc0 vmage0 absidd logge0d oveq12d breqtrd cuz wss simprll flword2 syl3anc
      ltled fzss2 fsumless logled mpbid le2addd letrd o1bddrp mptru ) DAEZUBFZU
      CGZBEZUDFZXKUEGZBUFZXHUGFZUHGZUIFZCEHIADUJUKGZULCJUMKAUAXRXPDCDUAEZUBFZUC
      GZXMBUFZXSUGFZLGZKXRJMKAXRJKXHXRTZXHJTZKYENZXHDKYEXHMTZDXHHIZDMTZYEYHYINU
      OKUPDXHUNUQZURZDJTZYGUSOKYEYHYIYKUTZVAZVBVCZVDVEYJKUPOYGXPYGXNXOYGXJXMBYG
      DXIVFZYGXKXJTZNZXLXKYSXKVGTZXLMTZYRYTYGXKXIVHVIZXKVRZPZUUBVJZVKZYGXHYOQZV
      LZRKAXRJXPYPAJXPVMVNTKABVOOVPKXSMTZDXSHIZNZNZYBYCUULYAXMBUULDXTVFUULXKYAT
      ZNZXLXKUUNYTUUAUUMYTUULXKXTVHZVIZUUCPUUPVJVKZUULXSUULXSDKUUIUUJVQYMUULUSO
      KUUIUUJVSVAZQVTZYGUUKXHXSWAIZNZNZXQXNXOLGZYDUVBXPUVBXPYGXPMTUVAUUHSRWBUVB
      XNXOYGXNMTUVAUUFSZUVBXHYGYFUVAYOSZQZVTKUUKYDMTYEUUTUUSWCUVBXQXNUIFZXOUIFZ
      LGUVCHUVBXNXOUVBXNUVDRUVBXOUVFRWDUVBUVGXNUVHXOLUVBXNUVDYGWHXNHIUVAYGXJXMB
      YQUUEYSXLXKUUDYSXKUUBWEYSYTWHXLHIZUUBXKWIZPWFWGSWJUVBXOYGXOMTUVAUUGSUVBXH
      YGYHUVAYLSZYGYIUVAYNSWKWJWLWMUVBXNXOYBYCUVDUVFKUUKYBMTYEUUTUUQWCUVBXSKUUK
      XSJTYEUUTUURWCQUVBYAXMXJBUVBDXTVFUVBUUMNZXLXKUVLYTUUAUUMYTUVBUUOVIZUUCPZU
      VMVJUVLXLXKUVNUVLXKUVMWEUVLYTUVIUVMUVJPWFUVBXTXIWNFTZXJYAWOUVBYHUUIXHXSHI
      ZUVOUVKYGUUIUUJUUTWPZUVBXHXSUVKUVQYGUUKUUTVSWSZXHXSWQWRXIDXTWTPXAUVBUVPXO
      YCHIUVRUVBXHXSUVEUVBXSXHUVQUVEUVRVAXBXCXDXEXFXG $.
  $}

  ${
    $d k n p A $.
    $( Lemma for ~ rplogsum .  (Contributed by Mario Carneiro, 2-May-2016.) $)
    rplogsumlem1 $p |- ( A e. NN -> sum_ n e. ( 2 ... A )
      ( ( log ` n ) / ( n x. ( n - 1 ) ) ) <_ 2 ) $=
      ( wcel c2 co cfv c1 cmin cmul cdiv csqrt cr crp 2re cle wbr cc cc0 oveq2d
      wceq vk cn cfz cv clog csu fzfid wa cuz elfzuz eluz2nn syl nnrpd relogcld
      adantl uz2m1nn nnmulcld nndivred fsumrecl rpsqrtcld rerpdivcl sylancr a1i
      resubcld rpred nnred peano2rem remulcld caddc nncnd ax-1cn sylancl fveq2d
      npcan rpge0d syl2anc eqbrtrrd readdcld remulcl lem1d sqrtled mpbid mpbird
      loglesqrt subge0d leadd2dd times2d breqtrrd lemul1ad cexp sqsqrtd oveq12d
      rpcnd subcl subsq nncan 3eqtr3d 2cn recnd mulassd 3brtr3d lemul1d mulid2d
      1red mul32d remsqsqrt mul4d eqtr3d wne rpcnne0d divsubdiv syl22anc subdid
      mulcomd eqtr4d mulcld rpmulcld rerpdivcld rpne0d divcan2d 3eqtrd letrd wb
      clt nngt0d ledivmul syl112anc fsumle fvoveq1 oveq1 2m1e1 eqtrdi sqrt1 nnz
      div1i eluzp1p1 nnuz eleq2s df-2 pncan eleqtrrdi telfsum sumeq2dv nncn 2rp
      fveq2i nnrp rpdivcl subge02 eqbrtrd ) AUBCZDAUCEZBUDZUEFZUUMUUMGHEZIEZJEZ
      BUFUULDUUOKFZJEZDUUMKFZJEZHEZBUFZDUUKUULUUQBUUKDAUGZUUKUUMUULCZUHZUUNUUPU
      VFUUMUVFUUMUVEUUMUBCZUUKUVEUUMDUIFZCZUVGUUMDAUJZUUMUKULUOZUMZUNZUVFUUMUUO
      UVKUVFUVIUUOUBCUVEUVIUUKUVJUOUUMUPULZUQZURZUSUUKUULUVBBUVDUVFUUSUVAUVFDLC
      ZUURMCUUSLCNUVFUUOUVFUUOUVNUMZUTZDUURVAVBUVFUVQUUTMCUVALCNUVFUUMUVLUTZDUU
      TVAVBVDZUSUVQUUKNVCUUKUULUUQUVBBUVDUVPUWAUVFUUQUVBOPZUUNUUPUVBIEZOPZUVFUU
      NUURUWCUVMUVFUURUVSVEZUVFUUPUVBUVFUUMUUOUVFUUMUVKVFZUVFUUMLCZUUOLCZUWFUUM
      VGULZVHZUWAVHUVFUUOGVIEZUEFZUUNUUROUVFUWKUUMUEUVFUUMQCZGQCZUWKUUMTUVFUUMU
      VKVJZVKUUMGVNVLVMUVFUWHRUUOOPZUWLUUROPUWIUVFUUOUVRVOZUUOWDVPVQUVFUURUUTUU
      RIEZDUUTUURHEZIEZIEZUWCOUVFGUURIEZUUTUWTIEZUURIEZUURUXAOUVFGUXCOPUXBUXDOP
      UVFUUTUURVIEZUWSIEZUUTDIEZUWSIEGUXCOUVFUXEUXGUWSUVFUUTUURUVFUUTUVTVEZUWEV
      RUVFUUTLCUVQUXGLCUXHNUUTDVSVLUVFUUTUURUXHUWEVDZUVFRUWSOPUURUUTOPZUVFUUOUU
      MOPUXJUVFUUMUWFVTUVFUUOUUMUWIUWQUWFUVFUUMUVLVOZWAWBZUVFUUTUURUXHUWEWEWCUV
      FUXEUUTUUTVIEUXGOUVFUURUUTUUTUWEUXHUXHUXLWFUVFUUTUVFUUTUVTWMZWGWHWIUVFUUT
      DWJEZUURDWJEZHEZUUMUUOHEZUXFGUVFUXNUUMUXOUUOHUVFUUMUWOWKUVFUUOUVFUWMUWNUU
      OQCUWOVKUUMGWNVLWKWLUVFUUTQCZUURQCZUXPUXFTUXMUVFUURUVSWMZUUTUURWOVPUVFUWM
      UWNUXQGTUWOVKUUMGWPVLWQUVFUUTDUWSUXMDQCZUVFWRVCZUVFUWSUXIWSWTXAUVFGUXCUUR
      UVFXDUVFUUTUWTUXHUVFUVQUWSLCUWTLCNUXIDUWSVSVBZVHUVSXBWBUVFUURUXTXCUVFUUTU
      WTUURUXMUVFUWTUYCWSZUXTXEXAUVFUWCUWRUWRIEZUWTUWRJEZIEUWRUWRUYFIEZIEUXAUVF
      UUPUYEUVBUYFIUVFUUTUUTIEZUURUURIEZIEUUPUYEUVFUYHUUMUYIUUOIUVFUWGRUUMOPUYH
      UUMTUWFUXKUUMXFVPUVFUWHUWPUYIUUOTUWIUWQUUOXFVPWLUVFUUTUUTUURUURUXMUXMUXTU
      XTXGXHUVFUVBDUUTIEDUURIEHEZUURUUTIEZJEZUYFUVFUYAUYAUXSUURRXIUHUXRUUTRXIUH
      UVBUYLTUYBUYBUVFUURUVSXJUVFUUTUVTXJDDUURUUTXKXLUVFUWTUYJUWRUYKJUVFDUUTUUR
      UYBUXMUXTXMUVFUUTUURUXMUXTXNWLXOWLUVFUWRUWRUYFUVFUUTUURUXMUXTXPZUYMUVFUYF
      UVFUWTUWRUYCUVFUUTUURUVTUVSXQZXRWSWTUVFUYGUWTUWRIUVFUWTUWRUYDUYMUVFUWRUYN
      XSXTSYAWHYBUVFUUNLCUVBLCUUPLCRUUPYDPUWBUWDYCUVMUWAUWJUVFUUPUVOYEUUNUVBUUP
      YFYGWCYHUUKUVCDDAKFZJEZHEZDOUUKUULUUSDUUMGVIEZGHEZKFZJEZHEZBUFDDAGVIEZGHE
      ZKFZJEZHEUVCUYQUUKDUAUDZGHEZKFZJEZUUSVUADBUAVUFDAVUGUUMTVUIUURDJVUGUUMGKH
      YISVUGUYRTVUIUYTDJVUGUYRGKHYISVUGDTZVUJDGJEDVUKVUIGDJVUKVUIGKFGVUKVUHGKVU
      KVUHDGHEGVUGDGHYJYKYLVMYMYLSDWRYOYLVUGVUCTVUIVUEDJVUGVUCGKHYISAYNUUKVUCGG
      VIEZUIFZUVHVUCVUMCAGUIFUBGAYPYQYRDVULUIYSUUFUUAUUKVUGDVUCUCECZUHZVUJVUOUV
      QVUIMCVUJLCNVUOVUHVUOVUHVUNVUHUBCZUUKVUNVUGUVHCVUPVUGDVUCUJVUGUPULUOUMUTD
      VUIVAVBWSUUBUUKUULVUBUVBBUVFVUAUVAUUSHUVFUYTUUTDJUVFUYSUUMKUVFUWMUWNUYSUU
      MTUWOVKUUMGYTVLVMSSUUCUUKVUFUYPDHUUKVUEUYODJUUKVUDAKUUKAQCUWNVUDATAUUDVKA
      GYTVLVMSSWQUUKRUYPOPZUYQDOPZUUKUYPUUKDMCUYOMCUYPMCUUEUUKAAUUGUTDUYOUUHVBZ
      VOUUKUVQUYPLCVUQVURYCNUUKUYPVUSVEDUYPUUIVBWBUUJYB $.

    $( Lemma for ~ rplogsum .  Equation 9.2.14 of [Shapiro], p. 331.
       (Contributed by Mario Carneiro, 2-May-2016.) $)
    rplogsumlem2 $p |- ( A e. ZZ -> sum_ n e. ( 1 ... A )
      ( ( ( Lam ` n ) - if ( n e. Prime , ( log ` n ) , 0 ) ) / n ) <_ 2 ) $=
      ( vp vk wcel c1 co cfv cprime cc0 cmin cdiv c2 cle wceq wa syl cmul wbr
      cr cz cfz cv cvma clog cif csu cicc cin cfl cexp flid sumeq1d fveq2 eleq1
      oveq2d ifbieq1d oveq12d id zre cn elfznn adantl vmacl nnrpd relogcld ifcl
      0re sylancl resubcld nndivred recnd simprr wn vmaprm prmnn nnred rplogcld
      crp prmgt1 eqeltrd rpne0d necon2bi ad2antll iffalsed eqtrdi oveq1d cc wne
      0m0e0 ad2antrl rpcnne0d div0 eqtrd fsumvma2 eqtr3d cabs caddc fzfid simpr
      elin2d adantr zcn abscld peano2re w3a elinel1 wb elicc2 sylancr letrd cuz
      cn0 syl2anc mpbird nnnn0d anassrs fsumrecl a1i elrpd clt rerpdivcld rpcnd
      mpbid eqbrtrd 1re fveq2d nncnd elfzuz eluz2nn eleq2s syl2an sylan2 rpge0d
      nnmulcld nnrecred syl3anc nnne0d divrecd eqtr4d syl5ib imp lep1d nn0abscl
      simp3d leabsd prmuz2 nn0p1nn nnzd elfz5 ssrdv ssfid simprl vmappw adantrr
      nnexpcl uz2m1nn 2re nngt0d ltletrd mulid2d logled lemuldivd nnuz eleqtrdi
      flge1nn oveq2 eleq1d fsum1p exp1d iftrued subidd 1p1e2 oveq1i nnq expnprm
      ex subid1d sumeq12dv nnnn0 addid2d 3eqtrd rpreccld flcld peano2zd resqcld
      rpexpcld peano2nnd reexpcld dmdcan divsubdir divid divdiv1 sqvald 3eqtr3d
      cq subge02d breqtrrd resubcl recgt1 posdif ledivmul syl112anc lemul2d nnz
      exprecd sumeq2dv expcl fsummulc2 cfzo fzval3 2nn0 eluzp1p1 df-2 eleqtrrdi
      ltned fveq2i geoserg 3eqtr2d 3brtr4d eluz2gt1 rpdivcld rpred rplogsumlem1
      fsumle fsumless ) AUAEZFAUBGZBUCZUDHZUYIIEZUYIUEHZJUFZKGZUYILGZBUGZJAUHGZ
      IUIZFAUEHZCUCZUEHZLGZUJHZUBGZUYTDUCZUKGZUDHZVUFIEZVUFUEHZJUFZKGZVUFLGZDUG
      ZCUGZMNUYGFAUJHZUBGZUYOBUGUYPVUNUYGVUPUYHUYOBUYGVUOAFUBAULUPUMUYGBAUYOVUL
      DCUYIVUFOZUYNVUKUYIVUFLVUQUYJVUGUYMVUJKUYIVUFUDUNVUQUYKVUHUYLVUIJUYIVUFIU
      OUYIVUFUEUNUQURVUQUSURAUTZUYGUYIVUPEZPZUYOVUTUYNUYIVUTUYJUYMVUTUYIVAEZUYJ
      TEVUSVVAUYGUYIVUOVBZVCZUYIVDQVUTUYLTEJTEZUYMTEVUTUYIVUTUYIVVCVEVFVHUYKUYL
      JTVGVIVJVVCVKVLUYGVUSUYJJOZPPZUYOJUYILGZJVVFUYNJUYILVVFUYNJJKGJVVFUYJJUYM
      JKUYGVUSVVEVMVVFUYKUYLJVVEUYKVNUYGVUSUYKUYJJUYKUYJUYKUYJUYLVSUYIVOUYKUYIU
      YKUYIUYIVPVQUYIVTVRWAWBWCWDWEURWJWFWGVVFUYIWHEUYIJWIPVVGJOVVFUYIVVFUYIVUS
      VVAUYGVVEVVBWKVEWLUYIWMQWNWOWPUYGVUNUYRVUAUYTUYTFKGZRGZLGZCUGZMUYGUYRVUMC
      UYGMAWQHZFWRGZUBGZUYRUYGMVVMWSZUYGCUYRVVNUYGUYTUYREZUYTVVNEZUYGVVPPZVVQUY
      TVVMNSZVVRUYTAVVMVVRUYTVVRUYTIEZUYTVAEZVVRUYQIUYTUYGVVPWTXAZUYTVPQZVQZUYG
      ATEZVVPVURXBZUYGVVMTEZVVPUYGVVLTEVWGUYGAAXCZXDVVLXEQXBZVVRUYTTEZJUYTNSZUY
      TANSZUYGVVPVWJVWKVWLXFZVVPUYTUYQEZUYGVWMUYTUYQIXGUYGVVDVWEVWNVWMXHVHVURJA
      UYTXIXJUUAUUBUUEZVVRAVVLVVMVWFVVRAUYGAWHEVVPVWHXBXDZVWIVVRAVWFUUFVVRVVLVW
      PUUCXKXKVVRUYTMXLHZEZVVMUAEZVVQVVSXHVVRVVTVWRVWBUYTUUGQZUYGVWSVVPUYGVVMUY
      GVVLXMEVVMVAEZAUUDVVLUUHQZUUIXBUYTMVVMUUJXNXOUVQUUKZUULZVVRVUDVULDVVRFVUC
      WSUYGVVPVUEVUDEZVULTEUYGVVPVXEPPZVUKVUFVXFVUGVUJVXFVUGVUATVXFVVTVUEVAEZVU
      GVUAOZVXFUYQIUYTUYGVVPVXEUUMXAVXEVXGUYGVVPVUEVUCVBWDZUYTVUEUUNZXNVXFUYTVX
      FUYTUYGVVPVWAVXEVWCUUOZVEVFWAVXFVUITEVVDVUJTEVXFVUFVXFVUFVXFVWAVUEXMEZVUF
      VAEZVXKVXFVUEVXIXPUYTVUEUUPZXNZVEVFVHVUHVUIJTVGVIVJVXOVKZXQXRZXRUYGUYRVVJ
      CVXDVVRVUAVVIVVRUYTVVRUYTVWCVEZVFZVVRUYTVVHVWCVVRVWRVVHVAEZVWTUYTUUQZQZYO
      ZVKZXRZMTEUYGUURXSZUYGUYRVUMVVJCVXDVXQVYDVVRVUMMVUCUBGZVUAVUFLGZDUGZVVJNV
      VRVUMUYTFUKGZUDHZVYJIEZVYJUEHZJUFZKGZVYJLGZFFWRGZVUCUBGZVULDUGZWRGJVYIWRG
      VYIVVRVULVYPDFVUCVVRVUCVAFXLHZVVRVUBTEFVUBNSZVUCVAEVVRUYSVUAVVRAVVRAVWFVV
      RJUYTAVVDVVRVHXSVWDVWFVVRUYTVWCUUSZVWOUUTXTZVFZVVRUYTVWDVVRVVTFUYTYASZVWB
      UYTVTQZVRZYBZVVRFVUARGZUYSNSWUAVVRWUIVUAUYSNVVRVUAVVRVUAWUGYCZUVAVVRVWLVU
      AUYSNSVWOVVRUYTAVXRWUCUVBYDYEVVRFUYSVUAFTEZVVRYFXSZWUDWUGUVCYDVUBUVFXNZUV
      DUVEZUYGVVPVXEVULWHEVXFVULVXPVLXQVUEFOZVUKVYOVUFVYJLWUOVUGVYKVUJVYNKWUOVU
      FVYJUDVUEFUYTUKUVGZYGWUOVUHVYLVUIVYMJWUOVUFVYJIWUPUVHWUOVUFVYJUEWUPYGUQUR
      WUPURUVIVVRVYPJVYSVYIWRVVRVYPJUYTLGZJVVRVYOJVYJUYTLVVRVYOVUAVUAKGJVVRVYKV
      UAVYNVUAKVVRVYKUYTUDHZVUAVVRVYJUYTUDVVRUYTVVRUYTVWCYHZUVJZYGVVRVVTWURVUAO
      VWBUYTVOQWNVVRVYNVYMVUAVVRVYLVYMJVVRVYJUYTIWUTVWBWAUVKVVRVYJUYTUEWUTYGWNU
      RVVRVUAWUJUVLWNWUTURVVRUYTWHEZUYTJWIPZWUQJOVVRUYTVXRWLZUYTWMQWNVVRVYRVYGV
      ULVYHDVYRVYGOVVRVYQMVUCUBUVMUVNZXSVVRVUEVYREZPZVUKVUAVUFLWVFVUKVUAJKGZVUA
      WVFVUGVUAVUJJKVVRVVTVXGVXHWVEVWBVXGVUEVYGVYRVUEVYGEZVUEVWQEZVXGVUEMVUCYIZ
      VUEYJQZWVDYKVXJYLWVFVUHVUIJWVFUYTUWPEZWVIVUHVNWVFVWAWVLVVRVWAWVEVWCXBUYTU
      VOQWVEWVIVVRWVIVUEVYGVYRWVJWVDYKVCUYTVUEUVPXNWEURVVRWVGVUAOWVEVVRVUAWUJUV
      RXBWNWGUVSURVVRVYIVVRVYIVVRVYGVYHDVVRMVUCWSZWVHVVRVXGVYHTEWVKVVRVXGPZVUAV
      UFVVRVUATEVXGVXSXBVVRVWAVXLVXMVXGVWCVUEUVTVXNYLZVKYMXRVLUWAUWBVVRVUAFUYTL
      GZMUKGZWVPVUCFWRGZUKGZKGZFWVPKGZLGZRGZVUAFVVILGZRGZVYIVVJNVVRWWBWWDNSZWWC
      WWENSVVRWWFWVTWWAWWDRGZNSZVVRWVTWVQWWGNVVRJWVSNSWVTWVQNSVVRWVSVVRWVPWVRVV
      RUYTVXRUWCZVVRVUCVVRVUBWUHUWDZUWEUWGYNVVRWVQWVSVVRWVPVVRUYTVWCYPZUWFZVVRW
      VPWVRWWKVVRWVRVVRVUCWUMUWHXPUWIZUWQYDVVRVVHUYTLGZWVPVVHLGZRGZWVPUYTLGZWWG
      WVQVVRVVHWHEVVHJWIPZWVBWVPWHEZWWPWWQOVVRVVHVVRVVHVYBVEWLZWVCVVRWVPWWIYCZV
      VHUYTWVPUWJYQVVRWWNWWAWWOWWDRVVRWWNUYTUYTLGZWVPKGZWWAVVRWVAFWHEZWVBWWNWXC
      OWUSVVRFWULVLZWVCUYTFUYTUWKYQVVRWXBFWVPKVVRWVBWXBFOWVCUYTUWLQWGWNVVRWXDWV
      BWWRWWOWWDOWXEWVCWWTFUYTVVHUWMYQURVVRWWQWVPWVPRGWVQVVRWVPUYTWXAWUSVVRUYTV
      WCYRYSVVRWVPWXAUWNYTUWOUWRVVRWVTTEWWDTEWWATEZJWWAYASZWWFWWHXHVVRWVQWVSWWL
      WWMVJZVVRVVIVYCYPZVVRWUKWVPTEZWXFYFWWKFWVPUWSXJZVVRWVPFYASZWXGVVRWUEWXLWU
      FVVRVWJJUYTYASWUEWXLXHVWDWUBUYTUWTXNYDZVVRWXJWUKWXLWXGXHWWKYFWVPFUXAVIYDZ
      WVTWWDWWAUXBUXCXOVVRWWBWWDVUAVVRWVTWWAWXHVVRWWAWXKWXNXTYBWXIWUGUXDYDVVRVY
      IVYGVUAWVPVUEUKGZRGZDUGVUAVYGWXODUGZRGWWCVVRVYGVYHWXPDWVHVVRVXGVYHWXPOWVK
      WVNVYHVUAFVUFLGZRGWXPWVNVUAVUFVVRVUAWHEVXGWUJXBWVNVUFWVOYHWVNVUFWVOYRYSWV
      NWXOWXRVUARWVNUYTVUEVVRWVAVXGWUSXBWVNUYTVVRVWAVXGVWCXBYRVXGVUEUAEVVRVUEUX
      EVCUXFUPYTYMUXGVVRVYGWXOVUADWVMWUJVVRWWSVXLWXOWHEWVHWXAWVHVUEWVKXPWVPVUEU
      XHYLUXIVVRWXQWWBVUARVVRWXQMWVRUXJGZWXODUGWWBVVRVYGWXSWXODVVRVUCUAEVYGWXSO
      WWJMVUCUXKQUMVVRWVPDMWVRWXAVVRWVPFWWKWXMUXPMXMEVVRUXLXSVVRWVRVYQXLHZVWQVV
      RVUCVYTEWVRWXTEWUNFVUCUXMQMVYQXLUXNUXQUXOUXRWNUPUXSVVRVUAVVIWUJVVRVVIVYCY
      HVVRVVIVYCYRYSUXTYEUYEUYGVVKVVNVVJCUGZMVYEUYGVVNVVJCVVOUYGVVQPZVVJWYBVUAV
      VIWYBUYTWYBUYTVVQVWAUYGVVQVWRVWAUYTMVVMYIZUYTYJQVCZVQWYBVWRWUEVVQVWRUYGWY
      CVCZUYTUYAQVRWYBVVIWYBUYTVVHWYDWYBVWRVXTWYEVYAQYOVEUYBZUYCZXRVYFUYGVVNVVJ
      UYRCVVOWYGWYBVVJWYFYNVXCUYFUYGVXAWYAMNSVXBVVMCUYDQXKXKYE $.
  $}

  $( Lemma for ~ dchrisum0lem1 .  (Contributed by Mario Carneiro,
     7-Jun-2016.) $)
  dchrisum0lem1a $p |- ( ( ( ph /\ X e. RR+ ) /\ D e. ( 1 ... ( |_ ` X ) ) )
    -> ( X <_ ( ( X ^ 2 ) / D ) /\
         ( |_ ` ( ( X ^ 2 ) / D ) ) e. ( ZZ>= ` ( |_ ` X ) ) ) ) $=
    ( crp wcel wa c1 cfl cfv cfz co c2 cexp cle wbr cmul adantl cr adantr rpred
    cdiv cuz cn elfznn nnred cc0 clt simpr rpregt0d simpld rpge0d wb fznnfl syl
    simplbda lemul2ad wceq cc rpcn sqvald breqtrrd cz rpexpcl sylancl lemuldivd
    2z nnrpd mpbid nndivre syl2an flword2 syl3anc jca ) ACDEZFZBGCHIZJKEZFZCCLM
    KZBUAKZNOZVTHIVPUBIEZVRCBPKZVSNOWAVRWCCCPKZVSNVRBCCVRBVQBUCEZVOBVPUDZQZUEVR
    CREZUFCUGOZVOWHWIFVQVOCAVNUHZUISUJZWKVRCVOVNVQWJSUKVOVQWEBCNOZVOWHVQWEWLFUL
    VOCWJTBCUMUNUOUPVOVSWDUQVQVOCVNCUREACUSQUTSVAVRCVSBWKVOVSREZVQVOVSVOVNLVBEV
    SDEWJVFCLVCVDTZSVRBWGVGVEVHZVRWHVTREZWAWBWKVOWMWEWPVQWNWFVSBVIVJWOCVTVKVLVM
    $.

  ${
    $( $n b m q v F $n a b q y ph $n n A $n x B $)
    $d k m n u w x y z $.  $d c f i j k m n p t x y z .1. $.  $d d m n x y C $.
    $d c d e i j k n p r t u x y z F $.  $d i k n u x z I $.  $d i k n u x J $.
    $d a b c d f i j k m p q t v x y z A $.  $d d m x y E $.  $d k m r y K $.
    $d f G $.  $d c f i j k m n p q r t u x y z N $.  $d b i k m n q v x y P $.
    $d c d e f i j k m n p r t u x z ph $.  $d d m ps $.  $d d m n p r x y T $.
    $d c d i k m n u x z R $.  $d c d k m n r t x y S $.  $d k m n p u x z U $.
    $d b c i j k m n q r v y z B $.  $d c f t x z W $.  $d f k m n p x y z Z $.
    $d c f i j k m n t x y z D $.  $d a b c d f i j k m n p r t u v x y z L $.
    $d c i j k m n r u x z M $.  $d a b c d i j k m n r t u v x y z X $.
    rpvmasum.z $e |- Z = ( Z/nZ ` N ) $.
    rpvmasum.l $e |- L = ( ZRHom ` Z ) $.
    rpvmasum.a $e |- ( ph -> N e. NN ) $.
    ${
      rpvmasum.g $e |- G = ( DChr ` N ) $.
      rpvmasum.d $e |- D = ( Base ` G ) $.
      rpvmasum.1 $e |- .1. = ( 0g ` G ) $.
      $( Lemma for ~ rpvmasum .  Calculate the "trivial case" estimate
         ` sum_ n <_ x ( .1. ( n ) Lam ( n ) / n ) = log x + O(1) ` , where
         ` .1. ( x ) ` is the principal Dirichlet character.  Equation 9.4.7 of
         [Shapiro], p. 376.  (Contributed by Mario Carneiro, 2-May-2016.) $)
      rpvmasumlem $p |- ( ph -> ( x e. RR+ |-> ( sum_ n e. ( 1 ... ( |_ ` x ) )
  ( ( .1. ` ( L ` n ) ) x. ( ( Lam ` n ) / n ) ) - ( log ` x ) ) ) e. O(1) ) $=
        ( c1 co wcel cle cc0 vq vp crp cfl cfv cfz cvma cdiv csu clog cmin cmpt
        vk cv cmul co1 cvv cc cr rpssre a1i wa fzfid cn elfznn adantl vmacl syl
        nndivred recnd fsumcl adantr 1re wf eqid cz cn0 nnnn0d elfzelz ffvelrnd
        resubcl sylancr remulcld eqidd wceq 1cnd oveq1d mulid2d sumeq2dv eqtr3d
        eqtrd cdvds wbr cprime crab wss 1red cfn nnrpd relogcld sylan2 fsumrecl
        cuz simpr 0re eqeltrdi wne ad3antrrr ad2antrr adantlr dchrn0 pm2.61dane
        biimpa dchr1 0le1 eqbrtrdi leidi wb mpbird vmage0 nnred nngt0d syl22anc
        clt divge0 sseli cexp oveq2d ad2antrl simprr nncnd nnne0d ad2antll nnzd
        oveq12d anassrs syl2anc mpbid syl3anc nnrecred cof ssexi relogcl subcld
        reex cbs dchr1re wfo znzrhfo 3syl ffvelrn syl2an offval2 sub32d fsumsub
        fof ax-1cn nncan 3eqtr3rd mpteq2dva vmadivsum prmdvdsfi elrabi prmnn c2
        subdird prmuz2 uz2m1nn cabs cui cabl cgrp dchrabl ablgrp grpidcl subge0
        4syl mulge0d fsumge0 absidd cicc inss2 rabss2 ssfid ssrab2 sstri 2fveq3
        cin mp1i fveq2 id rpre div0d ad2ant2r mul01d fsumvma2 nnexpcld wn breq1
        cdif notbid notrab elrab2 cgcd simplrr simplrl wi prmz rpexp1i adantlrr
        coprm mpd znunit 1m1e0 eqtrdi mul02d wo olcd sumz sylanr1 sylan2b ppifi
        fsumss caddc rpreccld eluz2gt1 rplogcld rerpdivcld flcld peano2zd rpred
        eqtr4d rpexpcld resubcld rpdivcld divrecd simprl vmappw eqcomd eqeltrrd
        exprecd breqtrrid subge02 lemul1ad breqtrd fsumle fsummulc2 cfzo fzval3
        reexpcld sumeq1d recgt1 1nn0 log1 1rp logleb eqbrtrrid divge0d flge0nn0
        ltned nn0p1nn nnuz eleqtrdi geoserg exp1d divsubdir divid eqtr2d 3eqtrd
        rpcnne0d rpge0d subge02d dmdcan breqtrrd lemul2d letrd eqbrtrd fsumless
        ledivmuld elo1d o1sub ) ABUCPBUNZUDUEZUFQZEUNZUGUEZVWEUHQZEUIZVWBUJUEZU
        KQZULZBUCVWDPVWEGUEZDUEZUKQZVWGUOQZEUIZULZUKUUAQZBUCVWDVWMVWGUOQZEUIZVW
        IUKQZULZUPAVWRBUCVWJVWPUKQZULVXBABUCVWJVWPUKVWKVWQUQURURUCUQRAUCUSUUEUT
        UUBVAAVWBUCRZVBZVWHVWIAVWHURRVXDAVWDVWGEAPVWCVCZAVWEVWDRZVBZVWGVXHVWFVW
        EVXHVWEVDRZVWFUSRZVXGVXIAVWEVWCVEZVFZVWEVGVHZVXLVIZVJZVKVLZVXEVWIVXDVWI
        USRAVWBUUCVFVJZUUDAVWPURRVXDAVWDVWOEVXFVXHVWOVXHVWNVWGVXHPUSRZVWMUSRZVW
        NUSRZVMVXHIUUFUEZUSVWLDAVYAUSDVNZVXGAVYADFHIMJOVYAVOZLUUGZVLAVPVYAGVNZV
        WEVPRVWLVYARZVXGAHVQRZVPVYAGUUHVYEAHLVRVYAGHIJVYCKUUIVPVYAGUUPUUJZVWEPV
        WCVSVPVYAVWEGUUKUULZVTZPVWMWAZWBZVXNWCVJZVKVLZAVWKWDAVWQWDUUMABUCVXCVXA
        VXEVXCVWHVWPUKQZVWIUKQZVXAVXEVWHVWIVWPVXPVXQVYNUUNAVYPVXAWEVXDAVYOVWTVW
        IUKAVWDVWGVWOUKQZEUIVYOVWTAVWDVWGVWOEVXFVXOVYMUUOAVWDVYQVWSEVXHPVWNUKQZ
        VWGUOQPVWGUOQZVWOUKQVWSVYQVXHPVWNVWGVXHWFVXHVWNVYLVJZVXOUVFVXHVYRVWMVWG
        UOVXHPURRZVWMURRVYRVWMWEUUQVXHVWMVYJVJPVWMUURWBWGVXHVYSVWGVWOUKVXHVWGVX
        OWHWGUUSWIWJWGVLWKUUTWKAVWKUPRVWQUPRVWRUPRBEUVAABUCVWPPUAUNZHWLWMZUAWNW
        OZUBUNZUJUEZWUEPUKQZUHQZUBUIZUCUSWPAUTVAVYNAWQAWUDWUHUBAHVDRZWUDWRRZLHU
        AUVBVHZWUEWUDRZAWUEWNRZWUHUSRZWUCUAWUEWNUVCZAWUNVBZWUFWUGWUQWUEWUQWUEWU
        NWUEVDRZAWUEUVDZVFWSWTZWUQWUEUVEXCUERZWUGVDRZWUNWVAAWUEUVGZVFWUEUVHZVHV
        IZXAZXBZAVXDPVWBSWMZVBZVBZVWPUVIUEVWPWUISWVJVWPWVJVWDVWOEWVJPVWCVCZWVJV
        XGVBZVWNVWGWVLVXRVXSVXTVMWVLVXSVWMTWVLVWMTWEZVBZVWMTUSWVLWVMXDZXEXFWVLV
        WMTXGZVBZVWMPUSWVQVWLIUVJUEZDFHIMJOWVRVOZAWUJWVIVXGWVPLXHWVLWVPVWLWVRRW
        VLVWLVYACWVRFHDIMJNVYCWVSADCRZWVIVXGAWUJFUVKRFUVLRWVTLFHMUVMFUVNCFDNOUV
        OUVQZXIAVXGVYFWVIVYIXJXKXMXNZVMXFXLZVYKWBZAVXGVWGUSRWVIVXNXJZWCZXBZWVJV
        WDVWOEWVKWWFWVLVWNVWGWWDWWEWVLTVWNSWMZVWMPSWMZWVLWWIVWMTWVNVWMTPSWVOXOX
        PWVQVWMPPSWWBPVMXQXPXLWVLVXRVXSWWHWWIXRVMWWCPVWMUVPWBXSWVLVXJTVWFSWMZVW
        EUSRTVWEYDWMTVWGSWMAVXGVXJWVIVXMXJWVLVXIWWJVXGVXIWVJVXKVFZVWEXTVHWVLVWE
        WWKYAWVLVWEWWKYBVWFVWEYEYCUVRUVSUVTWVJVWPWUCUATVWBUWAQZWNUWHZWOZWUHUBUI
        ZWUIWWGWVJWWNWUHUBWVJWUDWWNAWUKWVIWULVLZWWMWNWPWWNWUDWPWVJWWLWNUWBZWUCU
        AWWMWNUWCUWIZUWDZWUEWWNRZWVJWUNWUOWWNWNWUEWWNWWMWNWUCUAWWMUWEZWWQUWFYFZ
        AWUNWUOWVIWVEXJZXAZXBAWUIUSRWVIWVGVLWVJVWPWWNPVWIWUFUHQZUDUEZUFQZPWUEUM
        UNZYGQZGUEZDUEZUKQZWXIUGUEZWXIUHQZUOQZUMUIZUBUIZWWOSWVJVWPWWMWXPUBUIWXQ
        WVJEVWBVWOWXOUMUBVWEWXIWEZVWNWXLVWGWXNUOWXRVWMWXKPUKVWEWXIDGUWGYHWXRVWF
        WXMVWEWXIUHVWEWXIUGUWJWXRUWKYOYOVXDVWBUSRZAWVHVWBUWLYIZAVXGVWOURRWVIVYM
        XJWVJVXGVWFTWEZVBVBZVWOVWNTUOQTWYBVWGTVWNUOWYBVWGTVWEUHQTWYBVWFTVWEUHWV
        JVXGWYAYJWGWYBVWEWYBVWEVXGVXIWVJWYAVXKYIZYKWYBVWEWYCYLUWMWKYHWYBVWNAVXG
        VWNURRWVIWYAVYTUWNUWOWKUWPWVJWWNWWMWXPUBWWNWWMWPWVJWXAVAWWTWVJWUNWXPURR
        WXBWVJWUNVBZWXGWXOUMWYDPWXFVCZWYDWXHWXGRZVBWXOWVJWUNWYFWXOUSRWVJWUNWYFV
        BZVBZWXLWXNWYHVXRWXKUSRZWXLUSRVMWYHVYAUSWXJDAVYBWVIWYGVYDXIWYHVPVYAWXIG
        AVYEWVIWYGVYHXIWYHWXIWYHWUEWXHWUNWURWVJWYFWUSYIZWYHWXHWYFWXHVDRZWVJWUNW
        XHWXFVEZYMZVRZUWQZYNZVTZVTZPWXKWAWBZWYHWXMWXIWYHWXIVDRZWXMUSRZWYOWXIVGV
        HZWYOVIZWCYPZVJVKXAWUEWWMWWNUWTZRWVJWUEWWMRZWUEHWLWMZUWRZVBWXPTWEZWUCUW
        RXUHUAWUEWWMXUEWUBWUEWEWUCXUGWUBWUEHWLUWSUXAWUCUAWWMUXBUXCXUFWVJWUNXUHX
        UIWWMWNWUEWWQYFWVJWUNXUHVBZVBZWXPWXGTUMUIZTXUKWXGWXOTUMXUKWYFVBZWXOTWXN
        UOQTXUMWXLTWXNUOXUMWXLPPUKQTXUMWXKPPUKXUMWXJWVRDFHIMJOWVSAWUJWVIXUJWYFL
        XHZXUMWXJWVRRZWXIHUXDQPWEZXUMWUEHUXDQPWEZXUPXUMXUHXUQWVJWUNXUHWYFUXEXUM
        WUNHVPRZXUHXUQXRWVJWUNXUHWYFUXFZXUMHXUNYNZWUEHUXKYQYRXUMWUEVPRZXURWXHVQ
        RXUQXUPUXGXUMWUNXVAXUSWUEUXHVHXUTXUMWXHWYFWYKXUKWYLVFVRWUEHWXHUXIYSUXLX
        UMVYGWXIVPRZXUOXUPXRXUMHXUNVRWVJWUNWYFXVBXUHWVJWUNWYFXVBWYPYPUXJWXIWVRG
        HIJWVSKUXMYQXSXNYHUXNUXOWGXUMWXNWVJWUNWYFWXNURRZXUHWVJWUNWYFXVCWYHWXNXU
        CVJZYPUXJUXPWKWIXUKWXGPXCUEZWPZWXGWRRZUXQXULTWEXUKXVGXVFXUKPWXFVCUXRWXG
        UMPUXSVHWKUXTUYAWVJWXSWWMWRRWXTVWBUYBVHUYCUYLWVJWWNWXPWUHUBWWSWWTWVJWUN
        WXPUSRWXBWYDWXGWXOUMWYEXUDXBZXAWXDWWTWVJWUNWXPWUHSWMWXBWYDWXPWUFPWUEUHQ
        ZXVIWXFPUYDQZYGQZUKQZWUGWUEUHQZUHQZUOQZWUHXVHWYDWUFXVNAWUNWUFUSRWVIWUTX
        JZWYDXVLXVMWYDXVIXVKWYDWUEWUNWURWVJWUSVFZYTZWYDXVKWYDXVIXVJWYDWUEWYDWUE
        XVQWSZUYEWYDWXFWYDWXEWYDVWIWUFWYDVWBAVXDWVHWUNUXFWTZWYDWUEWYDWUEXVQYAZW
        YDWVAPWUEYDWMZWUNWVAWVJWVCVFZWUEUYFVHZUYGZUYHZUYIZUYJUYMZUYKZUYNZWYDWUG
        WUEWYDWUGWYDWVAWVBXWCWVDVHZWSZXVSUYOZUYHZWCWXCWYDWXPWXGWUFXVIWXHYGQZUOQ
        ZUMUIZXVOSWYDWXGWXOXWPUMWYEXUDWVJWUNWYFXWPUSRWYHWXNXWPUSWYHWXNWXMPWXIUH
        QZUOQXWPWYHWXMWXIWYHWXMXUBVJWYHWXIWYOYKWYHWXIWYOYLUYPWYHWXMWUFXWRXWOUOW
        YHWUNWYKWXMWUFWEWVJWUNWYFUYQWYMWUEWXHUYRYQWYHXWOXWRWYHWUEWXHWYHWUEWYJYK
        WYHWUEWYJYLWYFWXHVPRWVJWUNWXHPWXFVSYMVUAUYSYOWKZXUCUYTYPWVJWUNWYFWXOXWP
        SWMWYHWXOPWXNUOQZXWPSWYHWXLPWXNWYSWYHWQXUCWYHXUATWXMSWMZWXIUSRTWXIYDWMT
        WXNSWMXUBWYHWYTXXAWYOWXIXTVHWYHWXIWYOYAWYHWXIWYOYBWXMWXIYEYCWYHTWXKSWMZ
        WXLPSWMZWYHXXBWXKTWYHWXKTWEZVBTTWXKSTXEXQWYHXXDXDVUBWYHWXKTXGZVBZTPWXKS
        XOXXFWXJWVRDFHIMJOWVSAWUJWVIWYGXXELXHWYHXXEXUOWYHWXJVYACWVRFHDIMJNVYCWV
        SAWVTWVIWYGWWAXIWYQXKXMXNVUBXLWYHVXRWYIXXBXXCXRVMWYRPWXKVUCWBYRVUDWYHXW
        TWXNXWPWYHWXNXVDWHXWSWKVUEYPVUFWYDWUFWXGXWOUMUIZUOQXWQXVOWYDWXGXWOWUFUM
        WYEWYDWUFXVPVJZWVJWUNWYFXWOURRWYHXWOWYHXVIWXHWYHWUEWYJYTWYNVUJVJYPVUGWY
        DXXGXVNWUFUOWYDXXGPXVJVUHQZXWOUMUIXVIPYGQZXVKUKQZPXVIUKQZUHQXVNWYDWXGXX
        IXWOUMWYDWXFVPRWXGXXIWEXWGPWXFVUIVHVUKWYDXVIUMPXVJWYDXVIXVRVJZWYDXVIPXV
        RWYDXWBXVIPYDWMZXWDWYDWUEUSRTWUEYDWMXWBXXNXRXWAWYDWUEXVQYBWUEVULYQYRVUT
        PVQRWYDVUMVAWYDXVJVDXVEWYDWXFVQRZXVJVDRWYDWXEUSRTWXESWMXXOXWFWYDVWIWUFX
        VTXWEWVJTVWISWMWUNWVJTPUJUEZVWISVUNWVJWVHXXPVWISWMZAVXDWVHYJWVJPUCRVXDW
        VHXXQXRVUOAVXDWVHUYQPVWBVUPWBYRVUQVLVURWXEVUSYQWXFVVAVHVVBVVCVVDWYDXXKX
        VLXXLXVMUHWYDXXJXVIXVKUKWYDXVIXXMVVEWGWYDXVMWUEWUEUHQZXVIUKQZXXLWYDWUEU
        RRZWUAXXTWUETXGVBZXVMXXSWEWYDWUEXVQYKWYDWFZWYDWUEXVSVVJZWUEPWUEVVFYSWYD
        XXRPXVIUKWYDXYAXXRPWEXYCWUEVVGVHWGVVHYOVVIYHWJVUEWYDXVOWUFPWUGUHQZUOQZW
        UHSWYDXVNXYDSWMZXVOXYESWMWYDXYFXVLXVMXYDUOQZSWMWYDXVLXVIXYGSWYDTXVKSWMX
        VLXVISWMWYDXVKXWHVVKWYDXVIXVKXVRXWIVVLYRWYDWUGURRWUGTXGVBXYAWUAXYGXVIWE
        WYDWUGXWLVVJXYCXYBWUGWUEPVVMYSVVNWYDXVLXYDXVMXWJWYDWUGXWKYTZXWMVVSXSWYD
        XVNXYDWUFXWNXYHXWEVVOYRWYDWUFWUGXXHWYDWUGXWKYKWYDWUGXWKYLUYPVVNVVPXAVUF
        VVQWVJWUDWUHWWNUBWWPAWUMWUOWVIWVFXJWUMWVJWUNTWUHSWMWUPWYDWUHWYDWUFWUGXW
        EXWLUYOVVKXAWWRVVRVVPVVQVVTVWKVWQVWAWBUYT $.

      dchrisum.b $e |- ( ph -> X e. D ) $.
      dchrisum.n1 $e |- ( ph -> X =/= .1. ) $.
      ${
        $d m F $.
        dchrisum.2 $e |- ( n = x -> A = B ) $.
        dchrisum.3 $e |- ( ph -> M e. NN ) $.
        dchrisum.4 $e |- ( ( ph /\ n e. RR+ ) -> A e. RR ) $.
        dchrisum.5 $e |- ( ( ph /\ ( n e. RR+ /\ x e. RR+ ) /\
          ( M <_ n /\ n <_ x ) ) -> B <_ A ) $.
        dchrisum.6 $e |- ( ph -> ( n e. RR+ |-> A ) ~~>r 0 ) $.
        dchrisum.7 $e |- F = ( n e. NN |-> ( ( X ` ( L ` n ) ) x. A ) ) $.
        $( Lemma for ~ dchrisum .  Lemma 9.4.1 of [Shapiro], p. 377.
           (Contributed by Mario Carneiro, 2-May-2016.) $)
        dchrisumlema $p |- ( ph -> ( ( I e. RR+ -> [_ I / n ]_ A e. RR ) /\
          ( I e. ( M [,) +oo ) -> 0 <_ [_ I / n ]_ A ) ) ) $=
          ( vi crp wcel csb cr wi cpnf cico co cc0 cle wbr wral ralrimiva nfel1
          nfcsb1v cv wceq csbeq1a eleq1d rspc syl5com wa cmpt cfl cfv caddc cuz
          c1 csn cxp eqid wb nnred elicopnf syl simprbda flcld peano2zd cn nnuz
          cli 1zzd cdm nnrp ssriv dmmptd sseqtrrid rlimclim1 adantr cc 0red clt
          nngt0d simplbda ltletrd elrpd sylc recnd ssid fvex climconst2 syl2anc
          cz cn0 rpge0d flge0nn0 nn0p1nn eluznn sylan nnrpd ad2antrr weq fvmpts
          eqeltrd fvconst2g 3expia ralrimivva nfcv nfbr nfim nfralw breq2 breq1
          nfv anbi12d breq2d imbi12d ralbidv reflcl jca peano2re 3syl letrd cvv
          fllep1 eluzle adantl anbi2d equtr2 equcoms csbied eqcomd breq1d rspcv
          eqvisset syl3c 3brtr4d climle ex ) AJUKULZGJCUMZUNULZUOJLUPUQURULZUSU
          VAUTVAZUOACUNULZGUKVBZUUTUVBAUVEGUKUFVCZUVEUVBGJUKGUVAUNGJCVEZVDGVFZJ
          VGZCUVAUNGJCVHZVIVJZVKAUVCUVDAUVCVLZUSUVAUJGUKCVMZJVNVOZVRVPURZVQVOZU
          VAVSVTZUVPUVQUVQWAUVMUVOUVMJAUVCJUNULZLJUTVAZALUNULZUVCUVSUVTVLWBALUE
          WCZLJWDWEZWFZWGWHZAUVNUSWKVAUVCAUSUVNVRWIWJAWLUHAUKWIUVNWMUJWIUKUJVFZ
          WNWOAGUVNUKCUNUVNWAZUFWPWQWRWSUVMUVAWTULUVPXMULUVRUVAWKVAUVMUVAUVMUUT
          UVFUVBUVMJUWDUVMUSLJUVMXAAUWAUVCUWBWSUWDAUSLXBVAUVCALUEXCWSAUVCUVSUVT
          UWCXDZXEXFZAUVFUVCUVGWSUVLXGZXHUWEUVAUVPUVQUVQXIUVPVQXJXKXLUVMUWFUVQU
          LZVLZUWFUVNVOZGUWFCUMZUNUWLUWFUKULZUWNUNULZUWMUWNVGUWLUWFUVMUVPWIULZU
          WKUWFWIULUVMUVOXNULZUWQUVMUVSUSJUTVAUWRUWDUVMJUWIXOJXPXLUVOXQWEUWFUVP
          XRXSZXTZUWLUWOUVFUWPUWTAUVFUVCUWKUVGYAUVEUWPGUWFUKGUWNUNGUWFCVEVDGUJY
          BZCUWNUNGUWFCVHVIVJXGZGUWFCUKUVNUNUWGYCXLZUXBYDUWLUWFUVRVOZUVAUNUVMUV
          BUWKUXDUVAVGUWJUVQUVAUWFUNYEXSZUVMUVBUWKUWJWSYDUWLUWNUVAUWMUXDUTUWLUW
          OUVTJBVFZUTVAZVLZDUVAUTVAZUOZBUKVBZUVTJUWFUTVAZVLZUWNUVAUTVAZUWTUWLUU
          TLUVIUTVAZUVIUXFUTVAZVLZDCUTVAZUOZBUKVBZGUKVBZUXKUVMUUTUWKUWIWSAUYAUV
          CUWKAUXSGBUKUKAUVIUKULUXFUKULVLUXQUXRUGYFYGYAUXTUXKGJUKUXJGBUKGUKYHUX
          HUXIGUXHGYNGDUVAUTGDYHGUTYHUVHYIYJYKUVJUXSUXJBUKUVJUXQUXHUXRUXIUVJUXO
          UVTUXPUXGUVIJLUTYLUVIJUXFUTYMYOUVJCUVADUTUVKYPYQYRVJXGUWLUVTUXLUVMUVT
          UWKUWHWSUWLJUVPUWFUVMUVSUWKUWDWSZUWLUVSUVOUNULUVPUNULUYBJYSUVOUUAUUBU
          WLUWFUWSWCUVMJUVPUTVAZUWKUVMUVSUYCUWDJUUEWEWSUWKUVPUWFUTVAUVMUVPUWFUU
          FUUGUUCYTUXJUXMUXNUOBUWFUKBUJYBZUXHUXMUXIUXNUYDUXGUXLUVTUXFUWFJUTYLUU
          HUYDDUWNUVAUTUYDUWNDUYDGUWFCDUUDBUWFUUOUYDUXAVLBGYBCDVGZBGUJUUIUYEGBU
          DUUJWEUUKUULUUMYQUUNUUPUXCUXEUUQUURUUSYT $.

        ${
          dchrisum.9 $e |- ( ph -> R e. RR ) $.
          dchrisum.10 $e |- ( ph -> A. u e. ( 0 ..^ N )
            ( abs ` sum_ n e. ( 0 ..^ u ) ( X ` ( L ` n ) ) ) <_ R ) $.
          $( Lemma for ~ dchrisum .  Lemma 9.4.1 of [Shapiro], p. 377.
             (Contributed by Mario Carneiro, 2-May-2016.) $)
          dchrisumlem1 $p |- ( ( ph /\ U e. NN0 ) ->
            ( abs ` sum_ n e. ( 0 ..^ U ) ( X ` ( L ` n ) ) ) <_ R ) $=
            ( vk vm vi cn0 wcel wa cc0 cfzo co cv cfv csu cabs cmo cle cdiv cfl
            cmul caddc cin c0 wceq fzodisj a1i cfz cun wbr nnnn0d adantr adantl
            cr nn0re cn nndivred nnrpd nn0ge0 divge0d flge0nn0 nn0mulcld mpbird
            syl2anc syl wb fzosplit fzofi ad2antrr elfzoelz dchrzrhcl fsumsplit
            cfn cz wi c1 oveq2 oveq2d sumeq1d eqeq1d imbi2d nncnd eqtrdi syl2an
            nnzd 1cnd eqtrd eqeq12d cmin nn0z zaddcl 2fveq3 fzoval zcnd pncan2d
            nn0cn oveq1d oveq12d cdvds syl2anr fveq2d ralrimiva rspcdva cif wne
            cc ifnefalse eqid 3eqtrd wral reflcl lemuldiv2d fznn0 mpbir2and weq
            flle mul01d fzo0 sum0 oveq1 lep1d clt nnred nngt0d lemul2 syl112anc
            peano2re mpbid cuz nn0mulcl sylan nn0uz nn0p1nn nnmulcl elfz5 recnd
            eleqtrdi adddid mulid1d peano2zm ad3antrrr elfzelz fsumshftm subidd
            sub32d eqtr4d 3eqtr4d dvdsmul1 breqtrrd zndvds syl3anc sumeq2dv cbs
            nn0zd cbvsumv cres fveq2 nnne0d wf1o czrh reseq1i znf1o fvres dchrf
            eqeltrdi ffvelrnda fsumf1o cphi dchrsum 00id eqtr2di syl5ibr expcom
            3eqtr3rd a2d nn0ind impcom syldan crp modval nn0cnd pncan3d rspc2va
            eqtr2d zmodcl syl21anc fsumcl addid2d breq1d zmodfzo eqbrtrd ) AHUQ
            URZUSZUTHVAVBZJVCZMVDZPVDZJVEZVFVDUTHOVGVBZVAVBZUYGJVEZVFVDZGVHUYCU
            YHUYKVFUYCUYHUTOHOVIVBZVJVDZVKVBZVAVBZUYGJVEZUYOHVAVBZUYGJVEZVLVBUT
            UYKVLVBUYKUYCUYPUYRUYGUYDJUYPUYRVMVNVOUYCUTUYOHVPVQUYCUYOUTHVRVBURZ
            UYDUYPUYRVSVOUYCUYTUYOUQURZUYOHVHVTZUYCOUYNAOUQURZUYBAOTWAZWBUYCUYM
            WDURZUTUYMVHVTUYNUQURZUYCHOUYBHWDURZAHWEWCZAOWFURZUYBTWBZWGZUYCHOVU
            HUYCOVUJWHZUYBUTHVHVTAHWIWCWJUYMWKWNZWLZUYCVUBUYNUYMVHVTZUYCVUEVUOV
            UKUYMUUFWOUYCUYNHOUYCVUEUYNWDURVUKUYMUUAWOVUHVULUUBWMUYBUYTVUAVUBUS
            WPAUYOHUUCWCUUDUTHUYOWQWOUYDXCURUYCUTHWRVQUYCUYEUYDURZUSUYEFLMOPQUA
            RUBSAPFURZUYBVUPUDWSVUPUYEXDURZUYCUYEUTHWTWCXAXBUYCUYQUTUYSUYKVLAUY
            BVUFUYQUTVOZVUMVUFAVUSAUTOUNVCZVKVBZVAVBZUYGJVEZUTVOZXEAUTOUTVKVBZV
            AVBZUYGJVEZUTVOZXEAUTOUOVCZVKVBZVAVBZUYGJVEZUTVOZXEAUTOVVIXFVLVBZVK
            VBZVAVBZUYGJVEZUTVOZXEAVUSXEUNUOUYNVUTUTVOZVVDVVHAVVSVVCVVGUTVVSVVB
            VVFUYGJVVSVVAVVEUTVAVUTUTOVKXGXHXIXJXKUNUOUUEZVVDVVMAVVTVVCVVLUTVVT
            VVBVVKUYGJVVTVVAVVJUTVAVUTVVIOVKXGXHXIXJXKVUTVVNVOZVVDVVRAVWAVVCVVQ
            UTVWAVVBVVPUYGJVWAVVAVVOUTVAVUTVVNOVKXGXHXIXJXKVUTUYNVOZVVDVUSAVWBV
            VCUYQUTVWBVVBUYPUYGJVWBVVAUYOUTVAVUTUYNOVKXGXHXIXJXKAVVGVNUYGJVEUTA
            VVFVNUYGJAVVFUTUTVAVBVNAVVEUTUTVAAOAOTXLUUGXHUTUUHXMXIUYGJUUIXMVVIU
            QURZAVVMVVRAVWCVVMVVRXEVVMVVRAVWCUSZVVLVVJVVOVAVBZUYGJVEZVLVBZUTVWF
            VLVBZVOVVLUTVWFVLUUJVWDVVQVWGUTVWHVWDVVKVWEUYGVVPJVVKVWEVMVNVOVWDUT
            VVJVVOVPVQVWDVVJUTVVOVRVBURZVVPVVKVWEVSVOVWDVWIVVJVVOVHVTZVWDVVIVVN
            VHVTZVWJVWDVVIVWCVVIWDURZAVVIWEWCZUUKVWDVWLVVNWDURZOWDURUTOUULVTVWK
            VWJWPVWMVWDVWLVWNVWMVVIUUQWOVWDOAVUIVWCTWBZUUMVWDOVWOUUNVVIVVNOUUOU
            UPUURVWDVVJUTUUSVDZURVVOXDURVWIVWJWPVWDVVJUQVWPAVUCVWCVVJUQURVUDOVV
            IUUTUVAZUVBUVGVWDVVOAVUIVVNWFURVVOWFURVWCTVVIUVCOVVNUVDXNXOVVJUTVVO
            UVEWNWMUTVVOVVJWQWOVVPXCURVWDUTVVOWRVQVWDUYEVVPURZUSUYEFLMOPQUARUBS
            AVUQVWCVWRUDWSVWRVURVWDUYEUTVVOWTWCXAXBVWDVWHUTUTVLVBUTVWDVWFUTUTVL
            VWDVWFVVJVVJOVLVBZVAVBZUYGJVEZUTOVAVBZUYGJVEZUTVWDVWEVWTUYGJVWDVVOV
            WSVVJVAVWDVVOVVJOXFVKVBZVLVBVWSVWDOVVIXFVWDOVWOXLZVWDVVIVWMUVFVWDXP
            UVHVWDVXDOVVJVLVWDOVXEUVIXHXQXHXIVWDVVJVVJVUTVLVBZVAVBZUYGJVEZUTVUT
            VAVBZUYGJVEZVOZVXAVXCVOUNUQOVUTOVOZVXHVXAVXJVXCVXLVXGVWTUYGJVXLVXFV
            WSVVJVAVUTOVVJVLXGXHXIVXLVXIVXBUYGJVUTOUTVAXGXIXRVWDVXKUNUQVWDVUTUQ
            URZUSZVXHVXIUPVCZVVJVLVBZMVDZPVDZUPVEZVXJVXNVVJVXFXFXSVBZVRVBZUYGJV
            EVVJVVJXSVBZVXTVVJXSVBZVRVBZVXRUPVEVXHVXSVXNUYGVXRJUPVVJVVJVXTVWDVV
            JXDURZVXMVWDVVJVWQUWDZWBZVYGVXNVXFXDURZVXTXDURVWDVYEVUTXDURZVYHVXMV
            YFVUTXTZVVJVUTYAXNZVXFUVJWOVXNUYEVYAURZUSUYEFLMOPQUARUBSAVUQVWCVXMV
            YLUDUVKVYLVURVXNUYEVVJVXTUVLWCXAUYEVXPPMYBUVMVXNVXGVYAUYGJVXNVYHVXG
            VYAVOVYKVVJVXFYCWOXIVXNVXIVYDVXRUPVXNVXIUTVUTXFXSVBZVRVBZVYDVXNVYIV
            XIVYNVOVXMVYIVWDVYJWCUTVUTYCWOVXNVYBUTVYCVYMVRVXNVVJVXNVVJVYGYDZUVN
            VXNVYCVXFVVJXSVBZXFXSVBVYMVXNVXFXFVVJVXNVXFVYKYDVXNXPVYOUVOVXNVYPVU
            TXFXSVXNVVJVUTVYOVXMVUTYPURVWDVUTYFWCYEYGXQYHUVPXIUVQVXNVXSVXIVXOMV
            DZPVDZUPVEVXJVXNVXIVXRVYRUPVXNVXOVXIURZUSZVXQVYQPVYTVXQVYQVOZOVXPVX
            OXSVBZYIVTZVYTOVVJWUBYIVWDOVVJYIVTZVXMVYSAOXDURVVIXDURWUDVWCAOTXOVV
            IXTOVVIUVRXNWSVYTVXOVVJVYTVXOVYSVXOXDURZVXNVXOUTVUTWTZWCZYDVXNVVJYP
            URVYSVYOWBYEUVSVYTVUCVXPXDURZWUEWUAWUCWPVWDVUCVXMVYSVWDOVWOWAZWSVYS
            WUEVYEWUHVXNWUFVYGVXOVVJYAYJWUGVXPVXOMOQRSUVTUWAWMYKUWBVXIVYRUYGUPJ
            VXOUYEPMYBUWEXMXQYLZWUIYMAVXCUTVOVWCAQUWCVDZVUTPVDZUNVEZOUTVOXDVXBY
            NZUYGJVEUTVXCAWUKWULWUNUYGUNJMWUNUWFZUYFVUTUYFPUWGAWUNVXBXCAOUTYOWU
            NVXBVOAOTUWHOUTXDVXBYQWOZUTOWRUWOAVUCWUNWUKWUOUWIVUDWUKWUOOWUNQRWUK
            YRZMQUWJVDWUNSUWKWUNYRUWLWOUYEWUNURUYEWUOVDUYFVOAUYEWUNMUWMWCAWUKYP
            VUTPAWUKFLOPQUARUBWUQUDUWNUWPUWQAWUMPIVOOUWRVDZUTYNZUTAWUKFILOPQUNU
            ARUBUCUDWUQUWSAPIYOWUSUTVOUEPIWURUTYQWOXQAWUNVXBUYGJWUPXIUXDWBYSXHU
            WTUXAXRUXBUXCUXEUXFUXGUXHUYCUYSUYOUYOUYIVLVBZVAVBZUYGJVEZUYKUYCUYRW
            VAUYGJUYCHWUTUYOVAUYCWUTUYOHUYOXSVBZVLVBHUYCUYIWVCUYOVLUYCVUGOUXIUR
            UYIWVCVOVUHVULHOUXJWNXHUYCUYOHUYCUYOVUNUXKUYBHYPURAHYFWCUXLUXNXHXIU
            YCVUFUYIUQURZVXKUNUQYTZUOUQYTZWVBUYKVOZVUMUYBHXDURZVUIWVDAHXTZTHOUX
            OYJAWVFUYBAWVEUOUQWUJYLWBVXKWVGUYOUYOVUTVLVBZVAVBZUYGJVEZVXJVOUOUNU
            YNUYIUQUQVVIUYNVOZVXHWVLVXJWVMVXGWVKUYGJWVMVVJUYOVXFWVJVAVVIUYNOVKX
            GZWVMVVJUYOVUTVLWVNYGYHXIXJVUTUYIVOZWVLWVBVXJUYKWVOWVKWVAUYGJWVOWVJ
            WUTUYOVAVUTUYIUYOVLXGXHXIWVOVXIUYJUYGJVUTUYIUTVAXGXIXRUXMUXPXQYHUYC
            UYKUYCUYJUYGJUYJXCURUYCUTUYIWRVQUYCUYEUYJURZUSUYEFLMOPQUARUBSAVUQUY
            BWVPUDWSWVPVURUYCUYEUTUYIWTWCXAUXQUXRYSYKUYCUTCVCZVAVBZUYGJVEZVFVDZ
            GVHVTZUYLGVHVTCVXBUYIWVQUYIVOZWVTUYLGVHWWBWVSUYKVFWWBWVRUYJUYGJWVQU
            YIUTVAXGXIYKUXSAWWACVXBYTUYBUMWBUYBWVHVUIUYIVXBURAWVITHOUXTYJYMUYA
            $.

          ${
            dchrisumlem2.1 $e |- ( ph -> U e. RR+ ) $.
            dchrisumlem2.2 $e |- ( ph -> M <_ U ) $.
            dchrisumlem2.3 $e |- ( ph -> U <_ ( I + 1 ) ) $.
            dchrisumlem2.4 $e |- ( ph -> I e. NN ) $.
            dchrisumlem2.5 $e |- ( ph -> J e. ( ZZ>= ` I ) ) $.
            $( Lemma for ~ dchrisum .  Lemma 9.4.1 of [Shapiro], p. 377.
               (Contributed by Mario Carneiro, 2-May-2016.) $)
            dchrisumlem2 $p |- ( ph ->
            ( abs ` ( ( seq 1 ( + , F ) ` J ) - ( seq 1 ( + , F ) ` I ) ) ) <_
                ( ( 2 x. R ) x. [_ U / n ]_ A ) ) $=
              ( vi vk caddc c1 cfv cmin co cabs cfzo cv csb cmul csu c2 cle cfz
              wceq a1i wcel cuz cn peano2nnd nnuz eleqtrdi syl fzofi cc elfzouz
              cfn eleqtrrdi wa adantr adantl dchrzrhcl crp cc0 wbr dchrisumlema
              cz cr recnd mulcld sylan2 sumeq1d oveq1d nfcv nfcsb1v weq csbeq1a
              syl2anc uztrn eqtr3d fsumcl syldan abscld remulcld wral ralrimiva
              wi csbeq1 eleq1d rspcv sylc nnrpd mpd elfzoelz readdcld cn0 eqtrd
              rspc oveq2 jca eqbrtrd absmuld letrd nnnn0d dchrisumlem1 lemul2ad
              breq2 imbi12d cseq cin fzodisj eluzp1p1 elfzuzb sylanbrc fzosplit
              cun nnz cpnf cico simpld nnrp impel fsumsplit eluzelz fzval3 3syl
              nnzd 3eqtr4d elfznn simpr nfov 2fveq3 oveq12d fsumser fzfid ssun2
              c0 fvmptf sseqtrrid sselda pncan2d fveq2d 2re nfel1 subcld impcom
              peano2nn syl2an mulcomd nnnn0 nn0uz elfzelz adantlr eqtr2d oveq2d
              resubcld fzosump1 sumeq2dv elfzuz eluznn rspccva fsumparts eluzle
              syl2an2r telfsumo fsumrecl eqeltrrd eluzelre wb nnred elicopnf ex
              abs2dif2d mpbir2and ssrdv peano2zd syl3anbrc sseldd simprd absidd
              rpred eluz2 mpdan le2addd adddird breqtrrd fsumabs syl2anr 3expia
              sylan ralrimivva nfv nfbr nfim nfralw breq1 anbi12d ralbidv lep1d
              breq2d anbi2d cvv eqvisset eqtr3 equcoms csbied eqcomd abssuble0d
              breq1d syl3c subge0d mpbird fsumle fsummulc1 breqtrd 2timesd 2cnd
              ppncand addcomd 3eqtr2d mul32d 3eqtr3d 2nn0 mp1i absge0d mulge0d
              nn0ge0 0red ) ANVCKVDUUAZVEZMVVAVEZVFVGZVHVEMVDVCVGZNVDVCVGZVIVGZ
              VAVJZOVERVEZJVVHDVKZVLVGZVAVMZVHVEZVNGVLVGZJHDVKZVLVGZVOAVVDVVLVH
              AVDMVPVGZVVKVAVMZVVLVCVGZVVRVFVGVVDVVLAVVSVVBVVRVVCVFAVDNVPVGZVVK
              VAVMZVVSVVBAVDVVFVIVGZVVKVAVMVDVVEVIVGZVVKVAVMZVVLVCVGVWAVVSAVWCV
              VGVVKVWBVAVWCVVGUUBUVIVQAVDVVEVVFUUCVRAVVEVDVVFVPVGVSZVWBVWCVVGUU
              HZVQAVVEVDVTVEZVSVVFVVEVTVEZVSZVWEAVVEWAVWGAMUSWBZWCWDANMVTVEVSZV
              WIUTMNUUDWEZVVEVDVVFUUEUUFVDVVFVVEUUGWEZVWBWIVSAVDVVFWFVRVVHVWBVS
              ZAVVHWAVSZVVKWGVSZVWNVVHVWGWAVVHVDVVFWHWCWJZAVWOWKZVVIVVJVWRVVHFL
              OQRSUCTUDUAARFVSZVWOUFWLVWOVVHWSVSAVVHUUIWMWNZVWRVVJAVVHWOVSZVVJW
              TVSZVWOAVXAVXBXSVVHPUUJUUKVGZVSZWPVVJVOWQXSABDEFIJKLVVHOPQRSTUAUB
              UCUDUEUFUGUHUIUJUKULUMWRUULVVHUUMUUNZXAZXBZXCZUUOAVVTVWBVVKVAAVWK
              NWSVSVVTVWBVQUTMNUUPVDNUUQUURXDAVVRVWDVVLVCAVVQVWCVVKVAAMWSVSVVQV
              WCVQAMUSUUSZVDMUUQWEXDXEUUTAVVKVAKVDNVVHVVTVSZAVWOVVHKVEVVKVQZVVH
              NUVAZVWRVWOVWPVXKAVWOUVBVXGJVVHJVJZOVERVEZDVLVGVVKWAKWGJVVHXFJVVI
              VVJVLJVVIXFJVLXFJVVHDXGZUVCJVAXHZVXNVVIDVVJVLVXMVVHROUVDZJVVHDXIZ
              UVEUMUVJXJZXCAVWKMVWGVSNVWGVSUTAMWAVWGUSWCWDZMNVDXKXJZVXJAVWOVWPV
              XLVXGXCUVFXLAVVKVAKVDMVVHVVQVSZAVWOVXKVVHMUVAZVXSXCVXTVYBAVWOVWPV
              YCVXGXCZUVFUVEAVVRVVLAVVQVVKVAAVDMUVGVYDXMAVVGVVKVAVVGWIVSAVVEVVF
              WFVRZAVVHVVGVSZVWNVWPAVVGVWBVVHAVWFVVGVWBVVGVWCUVHVWMUVKUVLZVXHXN
              XMZUVMXLUVNAVVMVVNJVVEDVKZVLVGZVVPAVVLVYHXOZAVVNVYIAVNGVNWTVSAUVO
              VRZUNXPZAVVEWAVSZVXBVAWAXQVYIWTVSZVWJAVXBVAWAVXEXRVXBVYOVAVVEWAVV
              HVVEVQVVJVYIWTJVVHVVEDXTYAYBYCZXPZAVVNVVOVYMAHWOVSZDWTVSZJWOXQZVV
              OWTVSZUPAVYSJWOUJXRZVYSWUAJHWOJVVOWTJHDXGZUVPVXMHVQZDVVOWTJHDXIZY
              AYJYCZXPAVVMJVVFDVKZWPVVFVIVGZVXNJVMZVLVGZVYIWPVVEVIVGZVXNJVMZVLV
              GZVFVGZVHVEZVVGJVVHVDVCVGZDVKZVVJVFVGZWPWUPVIVGZVXNJVMZVLVGZVAVMZ
              VHVEZVCVGZVYJVYKAWUOWVCAWUNAWUJWUMAWUGWUIAWUGAVVFWOVSZWUGWTVSZAVV
              FANANVWGWAVYAWCWJWBZYDAWVEWVFXSZVVFVXCVSZWPWUGVOWQZXSZABDEFIJKLVV
              FOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMWRZUULYEZXAZAWUHVXNJWUHWIVSAWPVV
              FWFVRVXMWUHVSAVXMWSVSZVXNWGVSZVXMWPVVFYFAWVOWKVXMFLOQRSUCTUDUAAVW
              SWVOUFWLAWVOUVBWNZXCXMZXBZAVYIWULAVYIVYPXAZAWUKVXNJWUKWIVSAWPVVEW
              FVRVXMWUKVSAWVOWVPVXMWPVVEYFWVQXCXMZXBZUVQZXOZAWVBAVVGWVAVAVYEAVY
              FVWOWVAWGVSAVYFWKZVWNVWOVYGVWQWEZVWRWURWUTVWRWURVWRWUQVVJAVYTWUPW
              OVSZWUQWTVSZVWOWUBVWOWUPVVHUVSYDZWWGVYTWWHVYSWWHJWUPWOJWUQWTJWUPD
              XGUVPVXMWUPVQZDWUQWTJWUPDXIYAYJUVRUVTZVXEUWHXAZAWUTWGVSZVWOAWUSVX
              NJWUSWIVSAWPWUPWFVRVXMWUSVSAWVOWVPVXMWPWUPYFWVQXCXMZWLXBXNZXMZXOZ
              YGVYQAVVMWUNWVBVFVGZVHVEWVDVOAVVLWWRVHAVVLVVGVVJWUTWPVVHVIVGZVXNJ
              VMZVFVGZVLVGZVAVMWWRAVVGVVKWXBVAAVYFVWOVVKWXBVQWWFVWRVVKVVJVVIVLV
              GWXBVWRVVIVVJVWTVXFUWAVWRVVIWXAVVJVLVWRWXAWWTVVIVCVGZWWTVFVGVVIVW
              RWUTWXCWWTVFVWRVXNVVIJWPVVHVWRVVHYHWPVTVEVWOVVHYHVSAVVHUWBWMUWCWD
              VXMWPVVHVPVGVSVWRWVOWVPVXMWPVVHUWDAWVOWVPVWOWVQUWEZXCVXQUWIXEVWRW
              WTVVIVWRWWSVXNJWWSWIVSVWRWPVVHWFVRVXMWWSVSVWRWVOWVPVXMWPVVHYFWXDX
              CXMVWTUVMUWFUWGYIXNUWJAJVBVJZDVKZVVJWUQVYIVAVBWUGVVEVVFWPWXEVIVGZ
              VXNJVMZWWTWUTWULWUIVBVAXHZWXFVVJVQWXHWWTVQJWXEVVHDXTZWXIWXGWWSVXN
              JWXEVVHWPVIYKXDYLWXEWUPVQZWXFWUQVQWXHWUTVQJWXEWUPDXTZWXKWXGWUSVXN
              JWXEWUPWPVIYKXDYLWXEVVEVQZWXFVYIVQWXHWULVQJWXEVVEDXTZWXMWXGWUKVXN
              JWXEVVEWPVIYKXDYLWXEVVFVQZWXFWUGVQWXHWUIVQJWXEVVFDXTZWXOWXGWUHVXN
              JWXEVVFWPVIYKXDYLVWLAVVJWGVSZVAWAXQWXEVVEVVFVPVGVSZWXEWAVSZWXFWGV
              SZAWXQVAWAVXFXRAVYNWXEVWHVSWXSWXRVWJWXEVVEVVFUWKWXEVVEUWLUVTWXQWX
              TVAWXEWAVAVBXHVVJWXFWGJVVHWXEDXTYAUWMUWPZAWXHWGVSWXRAWXGVXNJWXGWI
              VSAWPWXEWFVRVXMWXGVSAWVOWVPVXMWPWXEYFWVQXCXMWLUWNYIUVNAWUNWVBWWCW
              WPUXEYMAWVDWUGVYIVCVGZGVLVGZVYIWUGVFVGZGVLVGZVCVGZVYJVOAWUOWVCWYC
              WYEWWDWWQAWYBGAWUGVYIWVMVYPYGZUNXPZAWYDGAVVGVVJWUQVFVGZVAVMZWYDWT
              AWXFVVJWUQVYIVAVBWUGVVEVVFWXJWXLWXNWXPVWLWYAUWQZAVVGWYIVAVYEWWEVV
              JWUQAVYFVWOVXBWWFVXEXNZAVYFVWOWWHWWFWWKXNZUWHZUWRUWSZUNXPZAWUOWUJ
              VHVEZWUMVHVEZVCVGZWYCWWDAWYQWYRAWUJWVSXOZAWUMWWBXOZYGWYHAWUJWUMWV
              SWWBUXEAWYSWUGGVLVGZVYIGVLVGZVCVGWYCVOAWYQWYRXUBXUCWYTXUAAWUGGWVM
              UNXPAVYIGVYPUNXPAWYQWUGWUIVHVEZVLVGZXUBVOAWYQWUGVHVEZXUDVLVGXUEAW
              UGWUIWVNWVRYNAXUFWUGXUDVLAWUGWVMAWVIWVJAPVTVEZVXCVVFAVAXUGVXCAVVH
              XUGVSZVXDAXUHWKZVXDVVHWTVSZPVVHVOWQZXUHXUJAPVVHUWTWMZXUHXUKAPVVHU
              WOWMZXUIPWTVSZVXDXUJXUKWKUXAAXUNXUHAPUIUXBZWLPVVHUXCWEUXFUXDUXGZA
              VWIVVEXUGVSZVVFXUGVSVWLAPWSVSVVEWSVSPVVEVOWQXUQAPUIUUSAMVXIUXHAPH
              VVEXUOAHUPUXMAVVEVWJUXBUQURYOPVVEUXNUXIZVVEVVFPXKXJUXJAWVHWVKWVLU
              XKYEZUXLXEYIAXUDGWUGAWUIWVRXOZUNWVMXUSAVVFYHVSXUDGVOWQAVVFWVGYPAB
              CDEFGVVFIJKLOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOYQUXOZYRYMAWYRVYI
              WULVHVEZVLVGZXUCVOAWYRVYIVHVEZXVBVLVGXVCAVYIWULWVTWWAYNAXVDVYIXVB
              VLAVYIVYPAVVEVXCVSZWPVYIVOWQZAXUGVXCVVEXUPXURUXJAVVEWOVSZVYOXSXVE
              XVFXSABDEFIJKLVVEOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMWRUXKYEZUXLXEYIA
              XVBGVYIAWULWWAXOUNVYPXVHAVVEYHVSXVBGVOWQAVVEVWJYPABCDEFGVVEIJKLOP
              QRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOYQUXOYRYMUXPAWUGVYIGWVNWVTAGUNX
              AZUXQUXRYOAWVCVVGWVAVHVEZVAVMZWYEWWQAVVGXVJVAVYEWWEWVAWWOXOZUWRWY
              PAVVGWVAVAVYEWWOUXSAXVKVVGWYIGVLVGZVAVMZWYEVOAVVGXVJXVMVAVYEXVLWW
              EWYIGWYNAGWTVSVYFUNWLZXPWWEXVJWYIWUTVHVEZVLVGZXVMVOWWEXVJWURVHVEZ
              XVPVLVGXVQWWEWURWUTAVYFVWOWURWGVSWWFWWLXNAWWMVYFWWNWLZYNWWEXVRWYI
              XVPVLWWEWUQVVJWYMWYLAVYFXUHWUQVVJVOWQZVYFVVHVWHVSXUQXUHAVVHVVEVVF
              WHXURVVEVVHPXKUXTXUIWWGXUKVVHBVJZVOWQZWKZEVVJVOWQZXSZBWOXQZXUKVVH
              WUPVOWQZWKZXVTXUIVWOWWGAPWAVSXUHVWOUIVVHPUWLUYBZWWIWEXUIVXAPVXMVO
              WQZVXMXWAVOWQZWKZEDVOWQZXSZBWOXQZJWOXQZXWFXUIVVHXWIYDAXWPXUHAXWNJ
              BWOWOAVXMWOVSXWAWOVSWKXWLXWMUKUYAUYCZWLXWOXWFJVVHWOXWEJBWOJWOXFZX
              WCXWDJXWCJUYDJEVVJVOJEXFZJVOXFZVXOUYEUYFUYGVXPXWNXWEBWOVXPXWLXWCX
              WMXWDVXPXWJXUKXWKXWBVXMVVHPVOYSVXMVVHXWAVOUYHUYIVXPDVVJEVOVXRUYLY
              TUYJYJYCXUIXUKXWGXUMXUIVVHXULUYKYLXWEXWHXVTXSBWUPWOXWAWUPVQZXWCXW
              HXWDXVTXXAXWBXWGXUKXWAWUPVVHVOYSUYMXXAEWUQVVJVOXXAWUQEXXAJWUPDEUY
              NBWUPUYOXXAWWJWKBJXHZDEVQZXWAVXMWUPUYPXXCJBUHUYQZWEUYRUYSVUAYTYBV
              UBXNZUYTXEYIWWEXVPGWYIWWEWUTXVSXOXVOWYNWWEWPWYIVOWQXVTXXEWWEVVJWU
              QWYLWYMVUCVUDAVYFWUPYHVSXVPGVOWQWWEWUPWWEVVHWWFWBYPABCDEFGWUPIJKL
              OPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOYQXNYRYMVUEAWYJGVLVGXVNWYEAVV
              GWYIGVAVYEXVIWWEWYIWYNXAVUFAWYJWYDGVLWYKXEXLVUGYOUXPAVNVYIVLVGZGV
              LVGWYBWYDVCVGZGVLVGVYJWYFAXXFXXGGVLAXXFVYIVYIVCVGVYIWUGVCVGZWYDVC
              VGXXGAVYIWVTVUHAVYIWUGVYIWVTWVNWVTVUJAXXHWYBWYDVCAVYIWUGWVTWVNVUK
              XEVULXEAVNVYIGAVUIWVTXVIVUMAWYBWYDGAWYBWYGXAAWYDWYOXAXVIUXQVUNUXR
              YOAVYIVVOVVNVYPWUFVYMAVNGVYLUNVNYHVSWPVNVOWQAVUOVNVUSVUPAWPXUDGAV
              UTXUTUNAWUIWVRVUQXVAYOVURAXVGPHVOWQZHXWAVOWQZWKZEVVOVOWQZXSZBWOXQ
              ZXXIHVVEVOWQZWKZVYIVVOVOWQZAVVEVWJYDAVYRXWPXXNUPXWQXWOXXNJHWOXXMJ
              BWOXWRXXKXXLJXXKJUYDJEVVOVOXWSXWTWUCUYEUYFUYGWUDXWNXXMBWOWUDXWLXX
              KXWMXXLWUDXWJXXIXWKXXJVXMHPVOYSVXMHXWAVOUYHUYIWUDDVVOEVOWUEUYLYTU
              YJYJYCAXXIXXOUQURYLXXMXXPXXQXSBVVEWOXWAVVEVQZXXKXXPXXLXXQXXRXXJXX
              OXXIXWAVVEHVOYSUYMXXREVYIVVOVOXXRVYIEXXRJVVEDEUYNBVVEUYOXXRVXMVVE
              VQWKXXBXXCXWAVXMVVEUYPXXDWEUYRUYSVUAYTYBVUBYRYOYM $.
          $}

          $( Lemma for ~ dchrisum .  Lemma 9.4.1 of [Shapiro], p. 377.
             (Contributed by Mario Carneiro, 2-May-2016.) $)
          dchrisumlem3 $p |- ( ph -> E. t E. c e. ( 0 [,) +oo )
          ( seq 1 ( + , F ) ~~> t /\ A. x e. ( M [,) +oo ) ( abs `
            ( ( seq 1 ( + , F ) ` ( |_ ` x ) ) - t ) ) <_ ( c x. B ) ) ) $=
            ( ve vj vk vi vm caddc c1 cv cli wbr wex cfl cfv cmin cabs cmul cle
            co cpnf cico wral wa cc0 wrex wcel cvv cn nnuz cc wceq simpr adantr
            csb cr crp ralrimiva nfcsb1v nfel1 weq csbeq1a rspc recnd nfcv nfov
            eleq1d 2fveq3 syl2anc eqeltrd clt cuz c2 2re cfzo csu eqtrdi breq1d
            wi sylc cmpt 0red sylan ltletrd elrpd adantlr fvoveq1d syl ad2antrr
            c0 sylancom fveq2d wb elicopnf ad4ant14 syl3an1 mpd remulcld lelttr
            eqtrd syl3anc ffvelrnd subcld fveq2 oveq2d a1i eqid nnex cdm impcom
            cseq 1zzd nnzd dchrzrhcl nnrp syl2an oveq12d serf ffvelrnda cdiv id
            mulcld fvmptf remulcl sylancr lbfzo0 sylibr oveq2 fzo0 sumeq1d sum0
            abs00bd rspcv 0le2 mulge0 mpanl12 ge0p1rpd rpdivcl syl2anr crli cif
            rlimi nnred ifcld nngt0d max1 nfv nffv nfbr nfim breq2 imbi12d max2
            subid1d mpbir2and simpll dchrisumlema simprd absidd rpre ltmuldiv2d
            ad2antlr bitr4d rpred lep1d lemul1ad mpand sylbid 1red nnge1d letrd
            wne flge1nn 3adant1r fllep1 dchrisumlem2 wf ad3antrrr eluznn abscld
            adantllr ralrimdva raleqbidv rspcev syl6an embantd rexlimdva caucvg
            syld seqex sylib elrege0 sylanbrc csn cxp cxr pnfxr icossre sylancl
            eldm sselda flcld simplr simplbda mptex ovex fvmpt3i climsubc2 fvex
            wss fvconst2 oveq1d eqtr4d climabs mpan9 syldan eqimss2i climconst2
            cz simplll reflcl peano2re 3syl flltp1 ltled abssubd 3brtr4d climle
            1z oveq1 breq2d ralbidv vex equequ2 biimpa breq12d cbvralvw bitr4di
            csbied r19.42v ex eximdv ) AUTKVAUUCZDVBZVCVDZDVEZVVQBVBZVFVGVVOVGZ
            VVPVHVLVIVGZRVBZFVJVLZVKVDZBNVMVNVLZVOZVPRVQVMVNVLZVRZDVEAVVOVCUUAV
            SVVRAUOUPUQVVOVAVTWAWBAWAWCUQVBZVVOAURKVAWAWBAUUDAURVBZWAVSZVPZVWJK
            VGZVWJMVGPVGZJVWJEWGZVJVLZWCVWLVWKVWPWCVSVWMVWPWDAVWKWEZVWLVWNVWOVW
            LVWJGLMOPQUBSUCTAPGVSZVWKUEWFVWLVWJVWQUUEUUFVWLVWOAEWHVSZJWIVOZVWJW
            IVSZVWOWHVSZVWKAVWSJWIUIWJZVWJUUGVXAVWTVXBVWSVXBJVWJWIJVWOWHJVWJEWK
            ZWLJURWMZEVWOWHJVWJEWNZWSWOUUBUUHWPUUNZJVWJJVBZMVGPVGZEVJVLVWPWAKWC
            JVWJWQJVWNVWOVJJVWNWQJVJWQVXDWRVXEVXIVWNEVWOVJVXHVWJPMWTVXFUUIULUUO
            XAVXGXBUUJZUUKAVWIVVOVGZUPVBZVVOVGZVHVLZVIVGZUOVBZXCVDZUQVXLXDVGZVO
            ZUPWAVRZUOWIAVXPWIVSZVPZUSVBZVXHVKVDZEVQVHVLVIVGZVXPXEHVJVLZVAUTVLZ
            UULVLZXCVDZXKZJWIVOZUSWHVRVXTVYBUSJWIEVQVYHWCAEWCVSZJWIVOVYAAVYLJWI
            AVXHWIVSZVPEUIWPWJWFVYAVYAVYGWIVSZVYHWIVSAVYAUUMAVYFAXEWHVSZHWHVSZV
            YFWHVSZXFUMXEHUUPUUQZAVYPVQHVKVDZVQVYFVKVDZUMAVQVQOXGVLZVSZVQCVBZXG
            VLZVXIJXHZVIVGZHVKVDZCWUAVOZVYSAOWAVSZWUBUAOUURUUSUNWUGVYSCVQWUAWUC
            VQWDZWUFVQHVKWUJWUEWUJWUEYBVXIJXHVQWUJWUDYBVXIJWUJWUDVQVQXGVLYBWUCV
            QVQXGUUTVQUVAXIUVBVXIJUVCXIUVDXJUVEXLVYOVQXEVKVDVYPVYSVPVYTXFUVFXEH
            UVGUVHXAZUVIZVXPVYGUVJUVKAJWIEXMVQUVLVDZVYAUKWFUVNVYBVYKVXTUSWHVYBV
            YCWHVSZVPZVYKVYCNVYCVKVDZVYCNUVMZVKVDZJWUQEWGZVQVHVLZVIVGZVYHXCVDZX
            KZVXTWUOWUQWIVSZVYKWVCXKAWUNWVDVYAAWUNVPZWUQWVEWUPVYCNWHAWUNWEANWHV
            SZWUNANUHUVOZWFZUVPZWVEVQNWUQWVEXNWVHWVIAVQNXCVDZWUNANUHUVQZWFAWVFW
            UNNWUQVKVDZWVGNVYCUVRZXOZXPXQZXRZVYJWVCJWUQWIWURWVBJWURJUVSJWVAVYHX
            CJWUTVIJVIWQJWUSVQVHJWUQEWKZJVHWQJVQWQWRUVTJXCWQJVYHWQUWAUWBVXHWUQW
            DZVYDWURVYIWVBVXHWUQVYCVKUWCWVRVYEWVAVYHXCWVREWUSVQVIVHJWUQEWNZXSXJ
            UWDWOXTWUOWURWVBVXTVYBWUNWVFWURAWVFVYAWUNWVGYAZNVYCUWEYCWUOWVBVYFWU
            SVJVLZVXPXCVDZVXTWUOWVBVYGWUSVJVLZVXPXCVDZWWBWUOWVBWUSVYHXCVDWWDWUO
            WVAWUSVYHXCWUOWVAWUSVIVGWUSWUOWUTWUSVIWUOWUSWUOWUSWUOWVDVWTWUSWHVSZ
            WVPAVWTVYAWUNVXCYAVWSWWEJWUQWIJWUSWHWVQWLWVREWUSWHWVSWSWOXLZWPUWFYD
            WUOWUSWWFWUOWUQVWEVSZVQWUSVKVDZWUOWWGWUQWHVSZWVLAWUNWWIVYAWVIXRVYBW
            UNWVFWVLWVTWVMYCWUOWVFWWGWWIWVLVPYEWVTNWUQYFXTUWGWUOWVDWWEXKWWGWWHX
            KWUOBEFGIJKLWUQMNOPQSTAWUIVYAWUNUAYAUBUCUDAVWRVYAWUNUEYAAPIUXDZVYAW
            UNUFYAUGANWAVSZVYAWUNUHYAAVYMVWSVYAWUNUIYGWUOAVYMVVSWIVSVPZNVXHVKVD
            VXHVVSVKVDVPZFEVKVDZAVYAWUNUWHUJYHAWUMVYAWUNUKYAULUWIUWJYIZUWKYLXJW
            UOWUSVXPVYGWWFVYAVXPWHVSZAWUNVXPUWLUWNZAVYNVYAWUNWULYAZUWMUWOWUOWWA
            WWCVKVDZWWDWWBWUOVYFVYGWUSAVYQVYAWUNVYRYAZWUOVYGWWRUWPZWWFWWOWUOVYF
            WWTUWQUWRWUOWWAWHVSZWWCWHVSWWPWWSWWDVPWWBXKWUOVYFWUSWWTWWFYJZWUOVYG
            WUSWXAWWFYJWWQWWAWWCVXPYKYMUWSUWTWUOWUQVFVGZWAVSZWWBVXKWXDVVOVGZVHV
            LZVIVGZVXPXCVDZUQWXDXDVGZVOZVXTAWUNWXEVYAWVEWWIVAWUQVKVDWXEWVIWVEVA
            NWUQWVEUXAWVHWVIWVENAWWKWUNUHWFUXBWVNUXCWUQUXEXAZXRZWUOWWBWXIUQWXJW
            UOVWIWXJVSZVPZWXHWWAVKVDZWWBWXIAWUNWXNWXPVYAWVEWXNVPZBCEFGHWUQIJKLW
            XDVWIMNOPQSTAWUIWUNWXNUAYAUBUCUDAVWRWUNWXNUEYAAWWJWUNWXNUFYAUGAWWKW
            UNWXNUHYAAVYMVWSWUNWXNUIYGWVEWWLWWMWWNWXNAWWLWWMWWNWUNUJUXFUXFAWUMW
            UNWXNUKYAULAVYPWUNWXNUMYAAWUHWUNWXNUNYAWVEWVDWXNWVOWFWVEWVLWXNWVNWF
            WXQWWIWUQWXDVAUTVLVKVDWVEWWIWXNWVIWFWUQUXGXTWVEWXEWXNWXLWFWVEWXNWEU
            XHUXMWXOWXHWHVSWXBWWPWXPWWBVPWXIXKWXOWXGWXOVXKWXFWXOWAWCVWIVVOAWAWC
            VVOUXIZVYAWUNWXNVXJUXJZWUOWXEWXNVWIWAVSWXMVWIWXDUXKXOYNWXOWAWCWXDVV
            OWXSWUOWXEWXNWXMWFYNYOUXLWUOWXBWXNWXCWFWUOWWPWXNWWQWFWXHWWAVXPYKYMU
            WSUXNVXSWXKUPWXDWAVXLWXDWDZVXQWXIUQVXRWXJVXLWXDXDYPWXTVXOWXHVXPXCWX
            TVXNWXGVIWXTVXMWXFVXKVHVXLWXDVVOYPYQYDXJUXOUXPUXQUYAUXRUYAUXSYIWJVV
            OVTVSAUTKVAUYBZYRUXTDVVOVCWYAUYLUYCAVVQVWHDAVVQVWHAVVQVPZVVQVWFRVWG
            VRZVWHAVVQWEWYBVYFVWGVSZVYCVFVGZVVOVGZVVPVHVLZVIVGZVYFJVYCEWGZVJVLZ
            VKVDZUSVWEVOZWYCAWYDVVQAVYQVYTWYDVYRWUKVYFUYDUYEWFWYBWYKUSVWEWYBVYC
            VWEVSZVPZWYHWYJURUQWAWYFVXKVHVLZVIVGZXMZWAWYJUYFUYGZWYEWYEXDVGZWYSY
            SZWYNVYCAWYMWUNVVQAVWEWHVYCAWVFVMUYHVSVWEWHVUBWVGUYINVMUYJUYKUYMZXR
            ZUYNZWYNWYGURUQWAWYOXMZWYQWYEVTWYSWYTWYNVVPWYFURVVOXUDWYEVTWYSWYTXU
            CAVVQWYMUYOWYNWAWCWYEVVOAWXRVVQWYMVXJYAZWYNWUNVAVYCVKVDWYEWAVSZXUBW
            YNVANVYCWYNUXAAWVFVVQWYMWVGYAXUBWYNNAWWKVVQWYMUHYAZUXBAWYMWUPVVQAWY
            MWUNWUPAWVFWYMWUNWUPVPYEWVGNVYCYFXTUYPZXRZUXCVYCUXEXAZYNZXUDVTVSWYN
            UQWAWYOYTUYQYRWYNVWJWYSVSZVPZWAWCVWJVVOWYNWXRXULXUEWFWYNXUFXULVWKXU
            JVWJWYEUXKXOZYNZXUMVWKVWJXUDVGZWYFVWJVVOVGZVHVLZWDXUNUQVWJWYOXURWAX
            UDUQURWMZVXKXUQWYFVHVWIVWJVVOYPYQZXUDYSWYFVXKVHUYRUYSXTZUYTWYQVTVSW
            YNUQWAWYPYTUYQYRXUCXUMXUPVWJWAWYFUYFUYGVGZXUQVHVLZWCXUMXUPXURXVCXVA
            XUMXVBWYFXUQVHXUMVWKXVBWYFWDXUNWAWYFVWJWYEVVOVUAVUCXTZVUDVUEXUMXVBX
            UQXUMXVBWYFWCXVDWYNWYFWCVSXULXUKWFZXBXUOYOXBXUMVWJWYQVGZXURVIVGZXUP
            VIVGXUMVWKXVFXVGWDXUNUQVWJWYPXVGWAWYQXUSWYOXURVIXUTYDWYQYSWYOVIVUAU
            YSXTZXUMXUPXURVIXVAYDVUEVUFWYNWYJWCVSVAVUKVSWYRWYJVCVDWYNWYJWYNVYFW
            YIAVYQVVQWYMVYRYAAWYMWYIWHVSZVVQAWYMVYCWIVSZXVIAWYMVPZVYCXUAXVKVQNV
            YCXVKXNAWVFWYMWVGWFXUAAWVJWYMWVKWFXUHXPXQZAVWTXVJXVIVXCVWSXVIJVYCWI
            JWYIWHJVYCEWKWLJUSWMZEWYIWHJVYCEWNWSWOVUGVUHXRYJZWPVVAWYJVAWAWAVAXD
            VGWBVUIYTVUJUYKXUMXVFXVGWHXVHXUMXURXUMWYFXUQXVEXUOYOUXLXBXUMVWJWYRV
            GZWYJWHXUMVWKXVOWYJWDXUNWAWYJVWJVYFWYIVJUYRVUCXTZWYNWYJWHVSXULXVNWF
            XBXUMXUQWYFVHVLVIVGZWYJXVFXVOVKXUMBCEFGHVYCIJKLWYEVWJMNOPQSTXUMAWUI
            AVVQWYMXULVULZUAXTUBUCUDXUMAVWRXVRUEXTXUMAWWJXVRUFXTUGWYNWWKXULXUGW
            FXUMAVYMVWSXVRUIXOXUMAWWLWWMWWNXVRUJYHXUMAWUMXVRUKXTULXUMAVYPXVRUMX
            TXUMAWUHXVRUNXTWYNXVJXULAWYMXVJVVQXVLXRWFWYNWUPXULXUIWFXUMVYCWYEVAU
            TVLZWYNWUNXULXUBWFZXUMWUNWYEWHVSXVSWHVSXVTVYCVUMWYEVUNVUOXUMWUNVYCX
            VSXCVDXVTVYCVUPXTVUQWYNXUFXULXUJWFWYNXULWEUXHXUMXVFXVGXVQXVHXUMWYFX
            UQXVEXUOVURYLXVPVUSVUTWJVWFWYLRVYFVWGVWBVYFWDZVWFVWAVYFFVJVLZVKVDZB
            VWEVOWYLXWAVWDXWCBVWEXWAVWCXWBVWAVKVWBVYFFVJVVBVVCVVDWYKXWCUSBVWEUS
            BWMZWYHVWAWYJXWBVKXWDWYFVVTVVPVIVHVYCVVSVVOVFWTXSXWDWYIFVYFVJXWDJVY
            CEFVTVYCVTVSXWDUSVVEYRXWDXVMVPJBWMZEFWDXWDXVMXWEUSBJVVFVVGUGXTVVKYQ
            VVHVVIVVJUXPXAVVQVWFRVWGVVLUYEVVMVVNYI $.
        $}

        $( If ` n e. [ M , +oo ) |-> A ( n ) ` is a positive decreasing
           function approaching zero, then the infinite sum
           ` sum_ n , X ( n ) A ( n ) ` is convergent, with the partial sum
           ` sum_ n <_ x , X ( n ) A ( n ) ` within ` O ( A ( M ) ) ` of the
           limit ` T ` .  Lemma 9.4.1 of [Shapiro], p. 377.  (Contributed by
           Mario Carneiro, 2-May-2016.) $)
        dchrisum $p |- ( ph -> E. t E. c e. ( 0 [,) +oo )
          ( seq 1 ( + , F ) ~~> t /\ A. x e. ( M [,) +oo ) ( abs `
            ( ( seq 1 ( + , F ) ` ( |_ ` x ) ) - t ) ) <_ ( c x. B ) ) ) $=
          ( vu vm vr vi cc0 cv cfzo co cfv csu cabs cle wbr wral caddc cseq cli
          c1 cfl cmin cmul cpnf cico wa wrex wex cr cfn wcel fzofi a1i elfzoelz
          adantr cz adantl dchrzrhcl fsumcl abscld ralrimivw sylancr cn wne crp
          fimaxre3 adantlr 3adant1r cmpt simprl simprr weq 2fveq3 cbvsumv oveq2
          sumeq1d syl5eq fveq2d breq1d cbvralvw sylib dchrisumlem3 rexlimddv
          crli ) AUOUKUPZUQURZULUPZKUSNUSZULUTZVAUSZUMUPZVBVCZUKUOMUQURZVDZVEIV
          HVFZCUPZVGVCBUPZVIUSYCUSYDVJURVAUSPUPEVKURVBVCBLVLVMURVDVNPUOVLVMURVO
          CVPUMVQAYAVRVSXRVQVSZUKYAVDYBUMVQVOUOMVTAYFUKYAAXQAXNXPULXNVRVSAUOXMV
          TWAAXOXNVSZVNXOFJKMNOTQUARANFVSZYGUCWCYGXOWDVSAXOUOXMWBWEWFWGWHWIUMUK
          YAXRWNWJAXSVQVSZYBVNZVNZBUNCDEFXSGHIJKLMNOPQRAMWKVSYJSWCTUAUBAYHYJUCW
          CANGWLYJUDWCUEALWKVSYJUFWCAHUPZWMVSZDVQVSYJUGWOAYMYEWMVSVNLYLVBVCYLYE
          VBVCVNEDVBVCYJUHWPAHWMDWQUOXLVCYJUIWCUJAYIYBWRYKYBUOUNUPZUQURZYLKUSNU
          SZHUTZVAUSZXSVBVCZUNYAVDAYIYBWSXTYSUKUNYAUKUNWTZXRYRXSVBYTXQYQVAYTXQX
          NYPHUTYQXNXPYPULHXOYLNKXAXBYTXNYOYPHXMYNUOUQXCXDXEXFXGXHXIXJXK $.
      $}

      ${
        $d m F $.
        dchrisumn0.f $e |- F = ( a e. NN |-> ( ( X ` ( L ` a ) ) / a ) ) $.
        $( Lemma for ~ dchrmusum and ~ dchrisumn0 .  Apply ~ dchrisum for the
           function ` 1 / y ` .  (Contributed by Mario Carneiro,
           4-May-2016.) $)
        dchrmusumlema $p |- ( ph -> E. t E. c e. ( 0 [,) +oo )
     ( seq 1 ( + , F ) ~~> t /\ A. y e. ( 1 [,) +oo ) ( abs `
        ( ( seq 1 ( + , F ) ` ( |_ ` y ) ) - t ) ) <_ ( c / y ) ) ) $=
          ( vx vn caddc c1 cseq cv cli wbr cfl cfv cmin cabs cdiv cle cpnf cico
          co wral wa cc0 wrex wex cn cmul cmpt oveq2 1nn a1i crp rpreccl adantl
          wcel rpred w3a simp3r wb clt rpregt0 lerec syl2an 3ad2ant2 mpbid crli
          cr cc ax-1cn divrcnv mp1i 2fveq3 oveq12d cbvmptv dchrisum wceq adantr
          weq cz nnz dchrzrhcl nncn wne nnne0 divrecd mpteq2dva 3eqtr4g seqeq3d
          eqtri breq1d fvoveq1d breq12d cbvralvw ad2antrr elrege0 simplbi recnd
          fveq1d ad2antlr elicopnf ax-mp 0red 1red 0lt1 simprbi ltletrd gt0ne0d
          id 1re ralbidva syl5bb anbi12d rexbidva exbidv mpbird ) AUEFUFUGZCUHZ
          UIUJZBUHZUKULYOULZYPUMUSUNULZMUHZYRUOUSZUPUJZBUFUQURUSZUTZVAZMVBUQURU
          SZVCZCVDUELVELUHZHULJULZUFUUIUOUSZVFUSZVGZUFUGZYPUIUJZUCUHZUKULZUUNUL
          ZYPUMUSUNULZUUAUFUUPUOUSZVFUSZUPUJZUCUUDUTZVAZMUUGVCZCVDAUCCUFUDUHZUO
          USZUUTDEUDUUMGHUFIJKMNOPQRSTUAUVFUUPUFUOVHUFVEVNAVIVJAUVFVKVNZVAUVGUV
          HUVGVKVNAUVFVLVMVOAUVHUUPVKVNZVAZUFUVFUPUJZUVFUUPUPUJZVAZVPUVLUUTUVGU
          PUJZAUVJUVKUVLVQUVJAUVLUVNVRZUVMUVHUVFWFVNVBUVFVSUJVAUUPWFVNZVBUUPVSU
          JVAUVOUVIUVFVTUUPVTUVFUUPWAWBWCWDUFWGVNUDVKUVGVGVBWEUJAWHUFUDWIWJLUDV
          EUULUVFHULJULZUVGVFUSZLUDWQZUUJUVQUUKUVGVFUUIUVFJHWKZUUIUVFUFUOVHWLWM
          ZWNAUUHUVECAUUFUVDMUUGAUUAUUGVNZVAZYQUUOUUEUVCUWCYOUUNYPUIUWCFUUMUEUF
          AFUUMWOUWBAUDVEUVQUVFUOUSZVGZUDVEUVRVGFUUMAUDVEUWDUVRAUVFVEVNZVAZUVQU
          VFUWGUVFDGHIJKQNROAJDVNUWFTWPUWFUVFWRVNAUVFWSVMWTUWFUVFWGVNAUVFXAVMUW
          FUVFVBXBAUVFXCVMXDXEFLVEUUJUUIUOUSZVGUWEUBLUDVEUWHUWDUVSUUJUVQUUIUVFU
          OUVTUVSYGWLWMXHUWAXFZWPXGXIUUEUUQYOULZYPUMUSUNULZUUAUUPUOUSZUPUJZUCUU
          DUTUWCUVCUUCUWMBUCUUDBUCWQZYTUWKUUBUWLUPUWNYSUWJYPUNUMYRUUPYOUKWKXJYR
          UUPUUAUOVHXKXLUWCUWMUVBUCUUDUWCUUPUUDVNZVAZUWKUUSUWLUVAUPAUWKUUSWOUWB
          UWOAUWJUURYPUNUMAUUQYOUUNAFUUMUEUFUWIXGXQXJXMUWPUUAUUPUWBUUAWGVNAUWOU
          WBUUAUWBUUAWFVNVBUUAUPUJUUAXNXOXPXRUWPUUPUWOUVPUWCUWOUVPUFUUPUPUJZUFW
          FVNUWOUVPUWQVAVRYHUFUUPXSXTZXOVMZXPUWPUUPUWPVBUFUUPUWPYAUWPYBUWSVBUFV
          SUJUWPYCVJUWOUWQUWCUWOUVPUWQUWRYDVMYEYFXDXKYIYJYKYLYMYN $.

        dchrisumn0.c $e |- ( ph -> C e. ( 0 [,) +oo ) ) $.
        dchrisumn0.t $e |- ( ph -> seq 1 ( + , F ) ~~> T ) $.
        dchrisumn0.1 $e |- ( ph -> A. y e. ( 1 [,) +oo )
          ( abs ` ( ( seq 1 ( + , F ) ` ( |_ ` y ) ) - T ) ) <_
            ( C / y ) ) $.
        $( The sum of the M&ouml;bius function multiplied by a non-principal
           Dirichlet character, divided by ` n ` , is bounded, provided that
           ` T =/= 0 ` .  Lemma 9.4.2 of [Shapiro], p. 380.  (Contributed by
           Mario Carneiro, 4-May-2016.) $)
        dchrmusum2 $p |- ( ph ->
          ( x e. RR+ |-> ( sum_ d e. ( 1 ... ( |_ ` x ) )
            ( ( X ` ( L ` d ) ) x. ( ( mmu ` d ) / d ) ) x. T ) ) e. O(1) ) $=
          ( vm vn crp c1 cmpt co1 wcel cv cfl cfv cfz co cmu cdiv csu cr wss cc
          cmul rpssre ax-1cn o1const mp2an a1i wa fzfid ad2antrr elfzelz adantl
          cz dchrzrhcl elfznn mucl zred nndivre mpancom syl recnd mulcld fsumcl
          cn caddc cseq cli wbr climcl adantr cmin subcl 1red cc0 cle cpnf cico
          cabs adantlrr wf nnuz wne divcld 2fveq3 id oveq12d rpred syl2an nncnd
          wceq mulid2d wb eqbrtrd flge1nn syl2anc sumeq2dv oveq1d nnne0d oveq2d
          mpbid zcnd 3eqtr2d eleqtrdi abscld remulcld rerpdivcld absge0d nnnn0d
          cn0 eqtrd lemul12ad absmuld 3brtr4d syl3anc breqtrd letrd simpld 1zzd
          sylancr elrege0 sylib nncn nnne0 cbvmptv eqtri fmptd ffvelrnda simprl
          nnz serf fznnfl simplbda nnrpd lemuldivd ffvelrnd fsumsub subdid crab
          ad3antrrr ad2antlr dchrzrhmul divmuldivd eqtr4d mulassd div12d simpll
          cdvds fsummulc2 ovex fvmpt cuz fsumser 3eqtr2rd elrabi fz1ssnn sselda
          ad2antll adantrr dvdsflsumcom simprr eluzfz1 musumsum dchrzrh1 eqtrdi
          1div1e1 eqtr2d fsummulc1 3eqtr4rd fveq2d subcld fsumrecl nnrecred cbs
          fsumabs reflcl eqid wfo znzrhfo fof ffvelrn dchrabs2 absdivd rprege0d
          3syl absid mule1 lediv1dd eqcomd fvoveq1d oveq2 breq12d wral elicopnf
          1re ax-mp sylanbrc rspcdva rpcnne0 ad2antrl divdiv2 divcan4d divrec2d
          syl112anc div23 eqtr3d fsumle chash hashfz1 cfn fsumconst divass flle
          3eqtr4d lemul1a syl31anc ledivmuld mpbird elo1d o1dif ) ABUJUKULUMUNZ
          BUJUKBUOZUPUQZURUSZOUOZJUQZLUQZVUHUTUQZVUHVAUSZVFUSZOVBZFVFUSZULUMUNV
          UDAUJVCVDZUKVEUNZVUDVGVHBUJUKVIVJVKABUJUKVUOVUQAVUEUJUNZVLZVHVKVUSVUN
          FVUSVUGVUMOVUSUKVUFVMVUSVUHVUGUNZVLZVUJVULVVAVUHEIJKLMSPTQALEUNZVURVU
          TUBVNVUTVUHVQUNZVUSVUHUKVUFVOZVPVRZVVAVULVVAVUHWHUNZVULVCUNZVUTVVFVUS
          VUHVUFVSZVPVUKVCUNVVFVVGVVFVUKVUHVTZWAVUKVUHWBWCWDWEZWFZWGAFVEUNZVURA
          WIHUKWJZFWKWLVVLUFFVVMWMWDZWNWFZABUJUKVUOWOUSZUKDVUPAVGVKVUSVUQVUOVEU
          NVVPVEUNVHVVOUKVUOWPUUCAWQADVCUNZWRDWSWLZADWRWTXAUSUNVVQVVRVLZUEDUUDU
          UEZUUAZAVURUKVUEWSWLZVLZVLZVVPXBUQVUGVUMVUEVUHVAUSZUPUQZVVMUQZFWOUSZV
          FUSZOVBZXBUQZDWSVWDVVPVWJXBVWDVUGVUMVWGVFUSZVUMFVFUSZWOUSZOVBVUGVWLOV
          BZVUGVWMOVBZWOUSVWJVVPVWDVUGVWLVWMOVWDUKVUFVMZVWDVUTVLZVUMVWGAVURVUTV
          UMVEUNVWBVVKXCZVWRWHVEVWFVVMAWHVEVVMXDVWCVUTAUHHUKWHXEAUUBAWHVEUHUOZH
          AUHWHVWTJUQLUQZVWTVAUSZVEHAVWTWHUNZVLZVXAVWTVXDVWTEIJKLMSPTQAVVBVXCUB
          WNVXCVWTVQUNZAVWTUUMVPVRVXCVWTVEUNAVWTUUFVPVXCVWTWRXFAVWTUUGVPXGZHNWH
          NUOZJUQLUQZVXGVAUSZULUHWHVXBULUDNUHWHVXIVXBVXGVWTXNZVXHVXAVXGVWTVAVXG
          VWTLJXHVXJXIXJZUUHUUIUUJUUKUUNVNVWRVWEVCUNZUKVWEWSWLZVWFWHUNVWDVUEVCU
          NZVVFVXLVUTVWDVUEAVURVWBUULZXKZVVHVUEVUHWBXLZVWRUKVUHVFUSZVUEWSWLVXMV
          WRVXRVUHVUEWSVWRVUHVWRVUHVUTVVFVWDVVHVPZXMZXOVWDVUTVVFVUHVUEWSWLZVWDV
          XNVUTVVFVYAVLXPVXPVUHVUEUUOWDUUPXQVWRUKVUEVUHVWRWQZVWDVXNVUTVXPWNVWRV
          UHVXSUUQZUURYDZVWEXRXSZUUSZWFVWRVUMFVWSAVVLVWCVUTVVNVNZWFUUTVWDVUGVWI
          VWNOVWRVUMVWGFVWSVYFVYGUVAXTVWDUKVWOVUOVWPWOVWDVWOUKJUQLUQZUKVAUSZUKV
          WDVWOVUGUKVWFURUSZVUKVUHVWTVFUSZJUQLUQZVYKVAUSZVFUSZUHVBZOVBVUGCUOZUI
          UOZUVKWLZCWHUVBZVUKVYQJUQLUQZVYQVAUSZVFUSZOVBUIVBVYIVWDVUGVWLVYOOVWRV
          YOVYJVUMVXBVFUSZUHVBVUMVYJVXBUHVBZVFUSVWLVWRVYJVYNWUCUHVWRVWTVYJUNZVL
          ZVYNVUKVUJVUHVAUSZVXBVFUSZVFUSVUKWUGVFUSZVXBVFUSWUCWUFVYMWUHVUKVFWUFV
          YMVUJVXAVFUSZVYKVAUSWUHWUFVYLWUJVYKVAWUFVUHVWTEIJKLMSPTQAVVBVWCVUTWUE
          UBUVCZVUTVVCVWDWUEVVDUVDWUEVXEVWRVWTUKVWFVOVPZUVEYAWUFVUJVUHVXAVWTVWR
          VUJVEUNZWUEAVURVUTWUMVWBVVEXCZWNZVWRVUHVEUNZWUEVXTWNZWUFVWTEIJKLMSPTQ
          WUKWULVRZWUFVWTWUEVXCVWRVWTVWFVSZVPZXMZVWRVUHWRXFZWUEVWRVUHVXSYBZWNZW
          UFVWTWUTYBZUVFUVGYCWUFVUKWUGVXBVWRVUKVEUNWUEVWRVUKVWRVVFVUKVQUNZVXSVV
          IWDYEZWNZWUFVUJVUHWUOWUQWVDXGWUFVXAVWTWURWVAWVEXGUVHWUFWUIVUMVXBVFWUF
          VUKVUJVUHWVHWUOWUQWVDUVIYAYFXTVWRVYJVXBVUMUHVWRUKVWFVMVWSVWRAVXCVXBVE
          UNWUEAVWCVUTUVJWUSVXFXLZUVLVWRWUDVWGVUMVFVWRVXBUHHUKVWFWUFVXCVWTHUQVX
          BXNWUTNVWTVXIVXBWHHVXKUDVXAVWTVAUVMUVNWDVWRVWFWHUKUVOUQZVYEXEYGWVIUVP
          YCUVQXTVWDCVUEWUBVYNUHUIOVYQVYKXNZWUAVYMVUKVFWVKVYTVYLVYQVYKVAVYQVYKL
          JXHWVKXIXJYCVXPVWDVYQVUGUNZVUHVYSUNZVLVLZVUKWUAWVNVUKWVNVVFWVFWVMVVFV
          WDWVLVYRCVUHWHUVRUWAVVIWDYEVWDWVLWUAVEUNWVMVWDWVLVLZVYTVYQWVOVYQEIJKL
          MSPTQAVVBVWCWVLUBVNWVLVYQVQUNVWDVYQUKVUFVOVPVRWVOVYQVWDVUGWHVYQVUGWHV
          DVWDVUFUVSVKZUVTZXMWVOVYQWVQYBXGZUWBWFUWCVWDVUGWUAVYIOUICVYQUKXNZVYTV
          YHVYQUKVAVYQUKLJXHWVSXIXJVWQWVPVWDVUFWVJUNUKVUGUNVWDVUFWHWVJVWDVXNVWB
          VUFWHUNVXPAVURVWBUWDVUEXRXSZXEYGUKVUFUWEWDWVRUWFYFVWDVYIUKUKVAUSUKVWD
          VYHUKUKVAAVYHUKXNVWCAEIJKLMSPTQUBUWGWNYAUWIUWHUWJVWDVUGVUMFOVWQAVVLVW
          CVVNWNVWSUWKXJUWLUWMVWDVWKVUGVWIXBUQZOVBZDVWDVWJVWDVUGVWIOVWQVWRVUMVW
          HVWSVWRVWGFVYFVYGUWNZWFZWGYHVWDVUGWWAOVWQVWRVWIWWDYHZUWOZAVVQVWCVWAWN
          ZVWDVUGVWIOVWQWWDUWRVWDWWBVUFDVFUSZVUEVAUSZDWWFVWDWWHVUEVWDVUFDVWDVXN
          VUFVCUNZVXPVUEUWSWDZWWGYIZVXOYJWWGVWDWWBVUGDVUEVAUSZOVBZWWIWSVWDVUGWW
          AWWMOVWQWWEVWDWWMVCUNVUTVWDDVUEWWGVXOYJZWNZVWRVUMXBUQZVWHXBUQZVFUSUKV
          UHVAUSZWWMVUHVFUSZVFUSZWWAWWMWSVWRWWQWWSWWRWWTVWRVUMVWSYHVWRVUHVXSUWP
          ZVWRVWHWWCYHVWRWWMVUHWWPVWRVUHVYCXKYIVWRVUMVWSYKVWRVWHWWCYKVWRVUJXBUQ
          ZVULXBUQZVFUSUKWWSVFUSZWWQWWSWSVWRWXCUKWXDWWSVWRVUJWUNYHVYBVWRVULAVUR
          VUTVULVEUNVWBVVJXCZYHWXBVWRVUJWUNYKVWRVULWXFYKVWRVUIMUWQUQZEIKLMSTPWX
          GUWTZAVVBVWCVUTUBVNVWDVQWXGJXDZVVCVUIWXGUNVUTAWXIVWCAKYMUNVQWXGJUXAWX
          IAKRYLWXGJKMPWXHQUXBVQWXGJUXCUXHWNVVDVQWXGVUHJUXDXLUXEVWRWXDVUKXBUQZV
          UHVAUSZWWSWSVWRWXDWXJVUHXBUQZVAUSWXKVWRVUKVUHWVGVXTWVCUXFVWRWXLVUHWXJ
          VAVWRVUHVCUNWRVUHWSWLVLWXLVUHXNVWRVUHVYCUXGVUHUXIWDYCYNVWRWXJUKVUHVWR
          VUKWVGYHVYBVYCVWRVVFWXJUKWSWLVXSVUHUXJWDUXKXQYOVWRVUJVULWUNWXFYPVWRWX
          EWWSVWRWWSVWRWWSWXBWEXOUXLYQVWRWWRDVWEVAUSZWWTWSVWRVYPUPUQVVMUQZFWOUS
          XBUQZDVYPVAUSZWSWLZWWRWXMWSWLCUKWTXAUSZVWEVYPVWEXNZWXOWWRWXPWXMWSWXSW
          XNVWGFXBWOVYPVWEVVMUPXHUXMVYPVWEDVAUXNUXOAWXQCWXRUXPVWCVUTUGVNVWRVXLV
          XMVWEWXRUNZVXQVYDUKVCUNWXTVXLVXMVLXPUXRUKVWEUXQUXSUXTUYAVWRWXMDVUHVFU
          SVUEVAUSZWWTVWRDVEUNZVUEVEUNVUEWRXFVLZWUPWVBWXMWYAXNVWDWYBVUTVWDDWWGW
          EZWNZVWDWYCVUTVURWYCAVWBVUEUYBUYCZWNZVXTWVCDVUEVUHUYDUYGVWRWYBWUPWYCW
          YAWWTXNWYEVXTWYGDVUHVUEUYHYRYNYSYOVWRVUMVWHVWSWWCYPVWRWWTVUHVAUSWWMWX
          AVWRWWMVUHVWDWWMVEUNZVUTVWDWWMWWOWEZWNZVXTWVCUYEVWRWWTVUHVWRWWMVUHWYJ
          VXTWFVXTWVCUYFUYIYQUYJVWDVUGUYKUQZWWMVFUSZVUFWWMVFUSZWWNWWIVWDWYKVUFW
          WMVFVWDVUFYMUNWYKVUFXNVWDVUFWVTYLVUFUYLWDYAVWDVUGUYMUNWYHWWNWYLXNVWQW
          YIVUGWWMOUYNXSVWDVUFVEUNWYBWYCWWIWYMXNVWDVUFWVTXMWYDWYFVUFDVUEUYOYRUY
          QYSVWDWWIDWSWLWWHVUEDVFUSWSWLZVWDWWJVXNVVSVUFVUEWSWLZWYNWWKVXPAVVSVWC
          VVTWNVWDVXNWYOVXPVUEUYPWDVUFVUEDUYRUYSVWDWWHDVUEWWLWWGVXOUYTVUAYTYTXQ
          VUBVUCYD $.
      $}

      ${
        $d n A $.
        dchrvmasum.a $e |- ( ph -> A e. RR+ ) $.
        $( An alternative expression for a Dirichlet-weighted von Mangoldt sum
           in terms of the M&ouml;bius function.  Equation 9.4.11 of [Shapiro],
           p. 377.  (Contributed by Mario Carneiro, 3-May-2016.) $)
        dchrvmasumlem1 $p |- ( ph -> sum_ n e. ( 1 ... ( |_ ` A ) )
            ( ( X ` ( L ` n ) ) x. ( ( Lam ` n ) / n ) ) =
          sum_ d e. ( 1 ... ( |_ ` A ) )
            ( ( ( X ` ( L ` d ) ) x. ( ( mmu ` d ) / d ) ) x.
            sum_ m e. ( 1 ... ( |_ ` ( A / d ) ) )
              ( ( X ` ( L ` m ) ) x. ( ( log ` m ) / m ) ) ) ) $=
          ( vx vi c1 cfl cfv cfz co cv cdvds wbr cn crab cmu cdiv clog cmul csu
          cvma wceq 2fveq3 oveq2 fvoveq1 oveq12d rpred wcel wa cc adantr adantl
          cz elfzelz dchrzrhcl adantrr elrabi ad2antll mucl syl elfznn ad2antrl
          zred nndivred recnd nnrpd rpdivcld relogcld mulcld dvdsflsumcom cr wf
          cmpt wss vmaf a1i ax-resscn fss sylancl vmasum eqcomd mpteq2dva muinv
          fveq1d cvv sumex fvmpt2 sylan9eq breq1 elrab simprbi nndivdvds syl2an
          eqid wb mpbid fveq2 fvex fvmpt oveq2d sumeq2dv eqtrd oveq1d dvdsssfz1
          fzfid ssfid nncnd anassrs nnne0d fsumdivc cc0 div23d 3eqtrd fsummulc2
          zcnd wne cle fznnfl simprbda ad2antrr mul4d rpcnne0d dchrzrhmul div23
          ad2antlr crp rpmulcld divmuldiv syl22anc rpcnd rpne0d divcan3d fveq2d
          syl3anc 3eqtr4rd eqtr4d 3eqtr4d ) AUDBUEUFZUGUHZUBUIZFUIZUJUKZUBULUMZ
          UUSHUFJUFZLUIZUNUFZUUSUOUHZUUSUVCUOUHZUPUFZUQUHZUQUHZLURZFURUUQUDBUVC
          UOUHUEUFZUGUHZUVCEUIZUQUHZHUFJUFZUVDUVNUOUHZUVNUVCUOUHZUPUFZUQUHZUQUH
          ZEURZLURUUQUVBUUSUSUFZUUSUOUHZUQUHZFURUUQUVCHUFJUFZUVDUVCUOUHZUQUHZUV
          LUVMHUFJUFZUVMUPUFZUVMUOUHZUQUHZEURUQUHZLURAUBBUVIUVTEFLUUSUVNUTZUVBU
          VOUVHUVSUQUUSUVNJHVAUWMUVEUVPUVGUVRUQUUSUVNUVDUOVBUUSUVNUVCUPUOVCVDVD
          ABUAVEZAUUSUUQVFZUVCUVAVFZVGVGZUVBUVHAUWOUVBVHVFUWPAUWOVGZUUSCGHIJKPM
          QNAJCVFZUWOSVIUWOUUSVKVFAUUSUDUUPVLVJVMZVNUWQUVEUVGUWQUVEUWQUVDUUSUWQ
          UVDUWQUVCULVFZUVDVKVFZUWPUXAAUWOUUTUBUVCULVOZVPZUVCVQZVRZWAUWOUUSULVF
          ZAUWPUUSUUPVSZVTZWBWCUWQUVGUWQUVFUWQUUSUVCUWQUUSUXIWDUWQUVCUXDWDWEWFW
          CZWGZWGWHAUUQUWDUVJFUWRUWDUVBUVAUVHLURZUQUHUVJUWRUWCUXLUVBUQUWRUWCUVA
          UVDUVGUQUHZLURZUUSUOUHUVAUXMUUSUOUHZLURUXLUWRUWBUXNUUSUOUWRUWBUVAUVDU
          VFEULUWIWKZUFZUQUHZLURZUXNAUWOUWBUUSFULUXSWKZUFZUXSAUUSUSUXTAUBLUCFEU
          SUXPAULWIUSWJZWIVHWLULVHUSWJUYBAWMWNWOULWIVHUSWPWQAEULUWIUURUVMUJUKUB
          ULUMUCUIUSUFUCURZAUVMULVFZVGUYCUWIUYDUYCUWIUTAUBUVMUCWRVJWSWTXAXBUWOU
          XGUXSXCVFUYAUXSUTUXHUVAUXRLXDFULUXSXCUXTUXTXLXEWQXFUWRUVAUXRUXMLUWRUW
          PVGZUXQUVGUVDUQUYEUVFULVFZUXQUVGUTUYEUVCUUSUJUKZUYFUWPUYGUWRUWPUXAUYG
          UUTUYGUBUVCULUURUVCUUSUJXGXHXIVJUWRUXGUXAUYGUYFXMUWPUWOUXGAUXHVJZUXCU
          USUVCXJXKXNEUVFUWIUVGULUXPUVMUVFUPXOUXPXLUVFUPXPXQVRXRXSXTYAUWRUVAUXM
          UUSLUWRUDUUSUGUHZUVAUWRUDUUSYCUWRUXGUVAUYIWLUYHUUSUBYBVRYDZUWRUUSUYHY
          EZUYEUVDUVGAUWOUWPUVDVHVFZUWQUVDUXFYMYFAUWOUWPUVGVHVFUXJYFZWGUWRUUSUY
          HYGZYHUWRUVAUXOUVHLUYEUVDUVGUUSUYEUVDUYEUXAUXBUWPUXAUWRUXCVJUXEVRYMUY
          MUWRUUSVHVFUWPUYKVIUWRUUSYIYNUWPUYNVIYJXSYKXRUWRUVAUVHUVBLUYJUWTAUWOU
          WPUVHVHVFUXKYFYLXTXSAUUQUWLUWALAUVCUUQVFZVGZUWLUVLUWGUWKUQUHZEURUWAUY
          PUVLUWKUWGEUYPUDUVKYCUYPUWEUWFUYPUVCCGHIJKPMQNAUWSUYOSVIUYOUVCVKVFZAU
          VCUDUUPVLZVJVMZUYPUWFUYPUVDUVCUYPUVDUYPUXAUXBAUYOUXAUVCBYOUKZABWIVFUY
          OUXAVUAVGXMUWNUVCBYPVRYQZUXEVRWAZVUBWBWCZWGUYPUVMUVLVFZVGZUWHUWJVUFUV
          MCGHIJKPMQNAUWSUYOVUESYRZVUEUVMVKVFUYPUVMUDUVKVLVJZVMZVUFUWJVUFUWIUVM
          VUFUVMVUFUVMVUEUYDUYPUVMUVKVSVJZWDZWFZVUJWBWCZWGYLUYPUVLUYQUVTEVUFUYQ
          UWEUWHUQUHZUWFUWJUQUHZUQUHUVTVUFUWEUWFUWHUWJUYPUWEVHVFVUEUYTVIUYPUWFV
          HVFVUEVUDVIVUIVUMYSVUFUVOVUNUVSVUOUQVUFUVCUVMCGHIJKPMQNVUGUYOUYRAVUEU
          YSUUCVUHUUAVUFUVDUWIUQUHUVNUOUHZUVPUWIUQUHZVUOUVSVUFUYLUWIVHVFZUVNVHV
          FUVNYIYNVGVUPVUQUTVUFUVDUYPUVDWIVFVUEVUCVIWCZVUFUWIVULWCZVUFUVNVUFUVC
          UVMUYPUVCUUDVFVUEUYPUVCVUBWDVIZVUKUUEYTUVDUWIUVNUUBUULVUFUYLVURUVCVHV
          FUVCYIYNVGUVMVHVFUVMYIYNVGVUOVUPUTVUSVUTVUFUVCVVAYTVUFUVMVUKYTUVDUWIU
          VCUVMUUFUUGVUFUVRUWIUVPUQVUFUVQUVMUPVUFUVMUVCVUFUVMVUJYEVUFUVCVVAUUHV
          UFUVCVVAUUIUUJUUKXRUUMVDUUNXSXTXSUUO $.

        dchrvmasum2.2 $e |- ( ph -> 1 <_ A ) $.
        $( Give an expression for ` log x ` remarkably similar to
           ` sum_ n <_ x ( X ( n ) Lam ( n ) / n ) ` given in
           ~ dchrvmasumlem1 .  Part of Lemma 9.4.3 of [Shapiro], p. 380.
           (Contributed by Mario Carneiro, 4-May-2016.) $)
        dchrvmasum2lem $p |- ( ph -> ( log ` A ) =
          sum_ d e. ( 1 ... ( |_ ` A ) )
            ( ( ( X ` ( L ` d ) ) x. ( ( mmu ` d ) / d ) ) x.
            sum_ m e. ( 1 ... ( |_ ` ( A / d ) ) )
            ( ( X ` ( L ` m ) ) x. ( ( log ` ( ( A / d ) / m ) ) / m ) ) ) ) $=
          ( vx vn c1 cfl cfv cfz co cv cdvds wbr cn crab cmu cdiv clog cmul csu
          wceq 2fveq3 id oveq12d oveq2 fveq2d oveq2d rpred wcel elrabi ad2antll
          wa cz mucl syl cc adantr elfzelz adantl dchrzrhcl elfznn nncnd nnne0d
          zcnd divcld nnrpd rpdivcl syl2an relogcld mulcld adantrr dvdsflsumcom
          crp recnd fzfid wss fz1ssnn a1i cuz cle flge1nn syl2anc nnuz eleqtrdi
          eluzfz1 musumsum dchrzrh1 oveq1d 1div1e1 eqtrdi rpcnd mulid2d 3eqtrrd
          cr div1d wb fznnfl simprbda zred nndivred ad2antrr fsummulc2 rpcnne0d
          cc0 wne syl3anc rpne0d mulassd ad2antlr dchrzrhmul divmuldiv syl22anc
          div12 mul4d eqtr4d divdiv1 eqcomd mulcomd eqtrd 3eqtr4d sumeq2dv ) AU
          DBUEUFZUGUHZUBUIUCUIZUJUKZUBULUMZKUIZUNUFZUUBGUFIUFZUUBUOUHZBUUBUOUHZ
          UPUFZUQUHZUQUHZKURUCURZUUAUDBUUEUOUHZUEUFZUGUHZUUFUUEEUIZUQUHZGUFIUFZ
          UURUOUHZBUURUOUHZUPUFZUQUHZUQUHZEURZKURBUPUFZUUAUUEGUFIUFZUUFUUEUOUHZ
          UQUHZUUPUUQGUFIUFZUUNUUQUOUHZUPUFZUUQUOUHZUQUHZEURUQUHZKURAUBBUULUVDE
          UCKUUBUURUSZUUKUVCUUFUQUVPUUHUUTUUJUVBUQUVPUUGUUSUUBUURUOUUBUURIGUTUV
          PVAVBUVPUUIUVAUPUUBUURBUOVCVDVBVEABTVFZAUUBUUAVGZUUEUUDVGZVJVJZUUFUUK
          UVTUUFUVTUUEULVGZUUFVKVGZUVSUWAAUVRUUCUBUUEULVHVIUUEVLZVMWBAUVRUUKVNV
          GUVSAUVRVJZUUHUUJUWDUUGUUBUWDUUBCFGHIJOLPMAICVGZUVRRVOUVRUUBVKVGAUUBU
          DYTVPVQVRUWDUUBUVRUUBULVGAUUBYTVSZVQZVTUWDUUBUWGWAWCUWDUUJUWDUUIABWKV
          GZUUBWKVGUUIWKVGUVRTUVRUUBUWFWDBUUBWEWFWGWLWHZWIWHWJAUUMUDGUFIUFZUDUO
          UHZBUDUOUHZUPUFZUQUHZUDUVFUQUHUVFAUUAUUKUWNKUCUBUUBUDUSZUUHUWKUUJUWMU
          QUWOUUGUWJUUBUDUOUUBUDIGUTUWOVAVBUWOUUIUWLUPUUBUDBUOVCVDVBAUDYTWMUUAU
          LWNAYTWOWPAYTUDWQUFZVGUDUUAVGAYTULUWPABXLVGZUDBWRUKYTULVGUVQUABWSWTXA
          XBUDYTXCVMUWIXDAUWKUDUWMUVFUQAUWKUDUDUOUHUDAUWJUDUDUOACFGHIJOLPMRXEXF
          XGXHAUWLBUPABABTXIZXMVDVBAUVFAUVFABTWGWLXJXKAUUAUVOUVEKAUUEUUAVGZVJZU
          VOUUPUVIUVNUQUHZEURUVEUWTUUPUVNUVIEUWTUDUUOWMUWTUVGUVHUWTUUECFGHIJOLP
          MAUWEUWSRVOUWSUUEVKVGZAUUEUDYTVPZVQVRZUWTUVHUWTUUFUUEUWTUUFUWTUWAUWBA
          UWSUWAUUEBWRUKZAUWQUWSUWAUXEVJXNUVQUUEBXOVMXPZUWCVMXQZUXFXRWLWHUWTUUQ
          UUPVGZVJZUVJUVMUXIUUQCFGHIJOLPMAUWEUWSUXHRXSZUXHUUQVKVGUWTUUQUDUUOVPV
          QZVRZUXIUVMUXIUVLUUQUXIUVKUWTUUNWKVGZUUQWKVGUVKWKVGUXHAUWHUUEWKVGZUXM
          UWSTUWSUUEUUEYTVSWDBUUEWEWFUXHUUQUUQUUOVSZWDUUNUUQWEWFWGZUXHUUQULVGUW
          TUXOVQZXRWLWHXTUWTUUPUXAUVDEUXIUXAUUFUVGUUEUOUHZUQUHZUVLUVJUUQUOUHZUQ
          UHZUQUHZUVDUXIUVIUXSUVNUYAUQUXIUVGVNVGZUUFVNVGUUEVNVGUUEYBYCVJZUVIUXS
          USUWTUYCUXHUXDVOZUXIUUFUWTUUFXLVGUXHUXGVOWLZUXIUUEUWTUXNUXHUWTUUEUXFW
          DVOZYAZUVGUUFUUEYKYDUXIUVJVNVGZUVLVNVGUUQVNVGUUQYBYCVJZUVNUYAUSUXLUXI
          UVLUXPWLZUXIUUQUXIUUQUXQWDYAZUVJUVLUUQYKYDVBUXIUUFUVLUQUHUXRUXTUQUHZU
          QUHUUFUVLUYMUQUHZUQUHUYBUVDUXIUUFUVLUYMUYFUYKUXIUXRUXTUXIUVGUUEUYEUXI
          UUEUYGXIUXIUUEUYGYEWCZUXIUVJUUQUXLUXIUUQUXQVTUXIUUQUXQWAWCZWHZYFUXIUU
          FUXRUVLUXTUYFUYOUYKUYPYLUXIUVCUYNUUFUQUXIUVCUYMUVLUQUHUYNUXIUUTUYMUVB
          UVLUQUXIUUTUVGUVJUQUHZUURUOUHZUYMUXIUUSUYRUURUOUXIUUEUUQCFGHIJOLPMUXJ
          UWSUXBAUXHUXCYGUXKYHXFUXIUYCUYIUYDUYJUYMUYSUSUYEUXLUYHUYLUVGUVJUUEUUQ
          YIYJYMUXIUVAUVKUPUXIUVKUVAUXIBVNVGZUYDUYJUVKUVAUSAUYTUWSUXHUWRXSUYHUY
          LBUUEUUQYNYDYOVDVBUXIUYMUVLUYQUYKYPYQVEYRYQYSYQYSYR $.

        $( Combine the results of ~ dchrvmasumlem1 and ~ dchrvmasum2lem inside
           a conditional.  (Contributed by Mario Carneiro, 4-May-2016.) $)
        dchrvmasum2if $p |- ( ph -> ( sum_ n e. ( 1 ... ( |_ ` A ) )
              ( ( X ` ( L ` n ) ) x. ( ( Lam ` n ) / n ) ) +
            if ( ps , ( log ` A ) , 0 ) ) =
          sum_ d e. ( 1 ... ( |_ ` A ) )
            ( ( ( X ` ( L ` d ) ) x. ( ( mmu ` d ) / d ) ) x.
            sum_ m e. ( 1 ... ( |_ ` ( A / d ) ) ) ( ( X ` ( L ` m ) ) x.
              ( ( log ` if ( ps , ( A / d ) , m ) ) / m ) ) ) ) $=
          ( c1 cfl cfv cfz co cv cvma cdiv cmul csu clog cc0 cif caddc cmu wceq
          wa fzfid wcel adantr cz elfzelz adantl dchrzrhcl cn cr elfznn nndivre
          mucl zred mpancom syl recnd mulcld nnrpd relogcld nndivred fsumcl crp
          rpdivcl syl2an fsumadd cmin relogdivd oveq2d cc pncan3d eqtr2d oveq1d
          rpdivcld nnne0d divdird adddid sumeq2dv dchrvmasumlem1 dchrvmasum2lem
          nncnd eqtrd oveq12d 3eqtr4rd iftrue fveq2d sumeq2sdv 3eqtr4d wn vmacl
          addid1d iffalse eqcomd sylan9eqr pm2.61dan ) ABUDCUEUFZUGUHZGUIZIUFKU
          FZXQUJUFZXQUKUHZULUHZGUMZBCUNUFZUOUPZUQUHZXPMUIZIUFKUFZYFURUFZYFUKUHZ
          ULUHZUDCYFUKUHZUEUFZUGUHZFUIZIUFKUFZBYKYNUPZUNUFZYNUKUHZULUHZFUMZULUH
          ZMUMZUSABUTYBYCUQUHZXPYJYMYOYKUNUFZYNUKUHZULUHZFUMZULUHZMUMZYEUUBAUUC
          UUIUSBAXPYJYMYOYNUNUFZYNUKUHZULUHZFUMZULUHZYJYMYOYKYNUKUHZUNUFZYNUKUH
          ZULUHZFUMZULUHZUQUHZMUMXPUUNMUMZXPUUTMUMZUQUHUUIUUCAXPUUNUUTMAUDXOVAZ
          AYFXPVBZUTZYJUUMUVFYGYIUVFYFDHIJKLQNROAKDVBZUVETVCZUVEYFVDVBAYFUDXOVE
          VFVGUVFYIUVFYFVHVBZYIVIVBZUVEUVIAYFXOVJZVFYHVIVBUVIUVJUVIYHYFVLVMYHYF
          VKVNVOVPVQZUVFYMUULFUVFUDYLVAZUVFYNYMVBZUTZYOUUKUVOYNDHIJKLQNROUVFUVG
          UVNUVHVCUVNYNVDVBUVFYNUDYLVEVFVGZUVOUUKUVOUUJYNUVOYNUVOYNUVNYNVHVBUVF
          YNYLVJVFZVRZVSZUVQVTVPZVQZWAZVQUVFYJUUSUVLUVFYMUURFUVMUVOYOUUQUVPUVOU
          UQUVOUUPYNUVOUUOUVOYKYNUVFYKWBVBZUVNACWBVBYFWBVBUWCUVEUBUVEYFUVKVRCYF
          WCWDZVCZUVRWMVSZUVQVTVPZVQZWAZVQWEAXPUUHUVAMUVFUUHYJUUMUUSUQUHZULUHUV
          AUVFUUGUWJYJULUVFUUGYMUULUURUQUHZFUMUWJUVFYMUUFUWKFUVOUUFYOUUKUUQUQUH
          ZULUHUWKUVOUUEUWLYOULUVOUUEUUJUUPUQUHZYNUKUHUWLUVOUUDUWMYNUKUVOUWMUUJ
          UUDUUJWFUHZUQUHUUDUVOUUPUWNUUJUQUVOYKYNUWEUVRWGWHUVOUUJUUDUVOUUJUVSVP
          ZUVFUUDWIVBUVNUVFUUDUVFYKUWDVSVPVCWJWKWLUVOUUJUUPYNUWOUVOUUPUWFVPUVOY
          NUVQWTUVOYNUVQWNWOXAWHUVOYOUUKUUQUVPUVTUWGWPXAWQUVFYMUULUURFUVMUWAUWH
          WEXAWHUVFYJUUMUUSUVLUWBUWIWPXAWQAYBUVBYCUVCUQACDEFGHIJKLMNOPQRSTUAUBW
          RZACDEFHIJKLMNOPQRSTUAUBUCWSXBXCVCBYEUUCUSABYDYCYBUQBYCUOXDWHVFBUUBUU
          IUSABXPUUAUUHMBYTUUGYJULBYMYSUUFFBYRUUEYOULBYQUUDYNUKBYPYKUNBYKYNXDXE
          WLWHXFWHXFVFXGABXHZUTZYBUOUQUHYBYEUUBUWRYBAYBWIVBUWQAXPYAGUVDAXQXPVBZ
          UTZXRXTUWTXQDHIJKLQNROAUVGUWSTVCUWSXQVDVBAXQUDXOVEVFVGUWTXQVHVBZXTWIV
          BUWSUXAAXQXOVJVFUXAXTXSVIVBUXAXTVIVBXQXIXSXQVKVNVPVOVQWAVCXJUWRYDUOYB
          UQUWQYDUOUSABYCUOXKVFWHUWQAUUBUVBYBUWQXPUUAUUNMUWQYTUUMYJULUWQYMYSUUL
          FUWQYRUUKYOULUWQYQUUJYNUKUWQYPYNUNBYKYNXKXEWLWHXFWHXFAYBUVBUWPXLXMXGX
          N $.
      $}

      ${
        dchrvmasum.f $e |- ( ( ph /\ m e. RR+ ) -> F e. CC ) $.
        dchrvmasum.g $e |- ( m = ( x / d ) -> F = K ) $.
        dchrvmasum.c $e |- ( ph -> C e. ( 0 [,) +oo ) ) $.
        dchrvmasum.t $e |- ( ph -> T e. CC ) $.
        dchrvmasum.1 $e |- ( ( ph /\ m e. ( 3 [,) +oo ) ) ->
          ( abs ` ( F - T ) ) <_ ( C x. ( ( log ` m ) / m ) ) ) $.
        dchrvmasum.r $e |- ( ph -> R e. RR ) $.
        dchrvmasum.2 $e |- ( ph ->
          A. m e. ( 1 [,) 3 ) ( abs ` ( F - T ) ) <_ R ) $.
        $( Lemma for ~ dchrvmasum .  (Contributed by Mario Carneiro,
           4-May-2016.) $)
        dchrvmasumlem2 $p |- ( ph -> ( x e. RR+ |->
    sum_ d e. ( 1 ... ( |_ ` x ) ) ( ( abs ` ( K - T ) ) / d ) ) e. O(1) ) $=
          ( crp c1 cv cfl cfv cfz co cdiv clog csu cmul c3 caddc cmin cabs 1red
          cr wcel cc0 cle wbr cpnf cico elrege0 sylib simpld adantr fzfid simpr
          elfznn nnrpd rpdivcl syl2an relogcld rerpdivcld fsumrecl remulcld 3nn
          wa nnrp relogcl mp2b 1re readdcli remulcl sylancl wss cmpt co1 rpssre
          cn o1const sylancr crli logfacrlim2 rlimo1 mp1i o1mul2 wceq ralrimiva
          cc wral ad2antrr rspcdva subcld abscld adantl absge0d 3re a1i cxr clt
          recnd rexri 0red w3a elico2 mp2an sylan2 letrd eqbrtrd ad2antlr mpbid
          wb syl oveq2d ad3antrrr wne syl3anc readdcld nndivred divge0d fsumge0
          o1add2 eleq1d absidd eqeltrd 1le3 1lt3 lbico1 simp1bi simp2bi ltletrd
          jctir mp3an 0lt1 elrpd r19.21bi biidd rspcv mpsyl jca log1 nncnd rpre
          mulid2d fznnfl simplbda lemuldivd 1rp logled eqbrtrrid rpregt0 divge0
          syl21anc mulge0 syl12anc fvoveq1d id oveq12d breq12d nndivre elicopnf
          absidm fveq2 sylanbrc rpcnne0 rpcnne0d divdiv2 mulassd eqtr4d breqtrd
          ax-mp breq1d syl3anbrc fsumharmonic fsummulc2 oveq1d breqtrrd adantrr
          div23 eqtrd leabsd o1le ) ABULCUMBUNZUOUPZUQURZUXFPUNZUSURZUTUPZUXFUS
          URZPVAZVBURZEVCUTUPZUMVDURZVBURZVDURZUXHKFVEURZVFUPZUXIUSURZPVAZUMVHA
          VGABULUXNUXQVHAUXFULVIZWJZCUXMACVHVIZUYCAUYEVJCVKVLZACVJVMVNURVIUYEUY
          FWJZUGCVOVPZVQZVRZUYDUXHUXLPUYDUMUXGVSZUYDUXIUXHVIZWJZUXKUXFUYMUXJUYD
          UYCUXIULVIUXJULVIUYLAUYCVTZUYLUXIUXIUXGWAZWBUXFUXIWCWDZWEZUYDUYCUYLUY
          NVRWFZWGZWHZAUXQVHVIZUYCAEVHVIZUXPVHVIVUAUJUXOUMVCXBVIVCULVIUXOVHVIWI
          VCWKVCWLWMWNWOEUXPWPWQZVRZABULCUXMVHUYJUYSAULVHWRZCXLVIZBULCWSWTVIXAA
          CUYIYDZBULCXCXDBULUXMWSZUMXEVLVUHWTVIABPXFUMVUHXGXHXIAVUEUXQXLVIBULUX
          QWSWTVIXAAUXQVUCYDBULUXQXCXDUUEUYDUXNUXQUYTVUDUUAZUYDUYBUYDUXHUYAPUYK
          UYMUXTUXIUYMUXSUYMKFUYMIXLVIZKXLVIHULUXJHUNZUXJXJZIKXLUFUUFAVUJHULXMU
          YCUYLAVUJHULUEXKXNUYPXOAFXLVIZUYCUYLUHXNXPZXQZUYLUXIXBVIZUYDUYOXRZUUB
          ZWGZYDAUYCUYBVFUPZUXRVFUPZVKVLUMUXFVKVLUYDVUTUXRVVAUYDVUTUYBVHUYDUYBV
          USUYDUXHUYAPUYKVURUYMUXTUXIVUOUYMUXIVUQWBZUYMUXSVUNXSUUCUUDUUGVUSUUHV
          UIUYDUXRUYDUXRVUIYDXQUYDVUTUXHCUXLVBURZPVAZUXQVDURUXRVKUYDUXFUXTVVCEV
          CPUYNUYDVCVHVIZUMVCVKVLVVEUYDXTYAUUIUUOUYDVUBVJEVKVLZAVUBUYCUJVRAVVFU
          YCUMUMVCVNURZVIZAVVFHVVGXMVVFUMYBVIVCYBVIZUMVCYCVLVVHUMWNYEVCXTYEZUUJ
          UMVCUUKUUPAVVFHVVGAVUKVVGVIZWJZVJIFVEURZVFUPZEVVLYFVVKAVUKULVIZVVNVHV
          IVVKVUKVVKVUKVHVIZUMVUKVKVLZVUKVCYCVLZUMVHVIZVVIVVKVVPVVQVVRYGYOWNVVJ
          UMVCVUKYHYIZUULZVVKVJUMVUKVVKYFVVKVGVWAVJUMYCVLVVKUUQYAVVKVVPVVQVVRVV
          TUUMUUNUURZAVVOWJZVVMVWCIFUEAVUMVVOUHVRXPZXQYJAVUBVVKUJVRVVKAVVOVJVVN
          VKVLVWBVWCVVMVWDXSYJAVVNEVKVLZHVVGUKUUSYKXKVVFVVFHUMVVGVUKUMXJVVFUUTU
          VAUVBVRUVCUYMUXTVUOYDUYMCUXLAUYEUYCUYLUYIXNUYRWHUYMUYGUXLVHVIVJUXLVKV
          LZVJVVCVKVLAUYGUYCUYLUYHXNUYRUYMUXKVHVIVJUXKVKVLUXFVHVIZVJUXFYCVLWJZV
          WFUYQUYMVJUMUTUPZUXKVKUVDUYMUMUXJVKVLZVWIUXKVKVLUYMUMUXIVBURZUXFVKVLV
          WJUYMVWKUXIUXFVKUYMUXIUYMUXIVUQUVEZUVGUYDUYLVUPUXIUXFVKVLZUYDVWGUYLVU
          PVWMWJYOUYCVWGAUXFUVFZXRZUXIUXFUVHYPUVIYLUYMUMUXFUXIUYMVGUYCVWGAUYLVW
          NYMVVBUVJYNZUYMUMUXJUMULVIUYMUVKYAUYPUVLYNUVMUYCVWHAUYLUXFUVNYMUXKUXF
          UVOUVPCUXLUVQUVRUYMVCUXJVKVLZWJZUXTVFUPZUXTVVCUXIVBURZVKUYMVWSUXTXJZV
          WQUYMUXSXLVIVXAVUNUXSUWEYPZVRVWRUXTCUXKUXJUSURZVBURZVWTVKVWRVVNCVUKUT
          UPZVUKUSURZVBURZVKVLZUXTVXDVKVLHVCVMVNURZUXJVULVVNUXTVXGVXDVKVULIKFVF
          VEUFUVSZVULVXFVXCCVBVULVXEUXKVUKUXJUSVUKUXJUTUWFVULUVTUWAYQUWBAVXHHVX
          IXMUYCUYLVWQAVXHHVXIUIXKYRVWRUXJVHVIZVWQUXJVXIVIZUYMVXKVWQUYDVWGVUPVX
          KUYLVWOUYOUXFUXIUWCWDZVRUYMVWQVTVVEVXLVXKVWQWJYOXTVCUXJUWDUWNUWGXOUYM
          VXDVWTXJVWQUYMVXDCUXLUXIVBURZVBURVWTUYMVXCVXNCVBUYMVXCUXKUXIVBURUXFUS
          URZVXNUYMUXKXLVIZUXFXLVIUXFVJYSWJZUXIXLVIZUXIVJYSWJVXCVXOXJUYMUXKUYQY
          DZUYCVXQAUYLUXFUWHYMZUYMUXIVVBUWIUXKUXFUXIUWJYTUYMVXPVXRVXQVXOVXNXJVX
          SVWLVXTUXKUXIUXFUXBYTUXCYQUYMCUXLUXIAVUFUYCUYLVUGXNUYMUXLUYRYDZVWLUWK
          UWLVRUWMYLUYMUXJVCYCVLZWJZVWSUXTEVKUYMVXAVYBVXBVRVYCVWEUXTEVKVLHVVGUX
          JVULVVNUXTEVKVXJUWOAVWEHVVGXMUYCUYLVYBUKYRVYCVXKVWJVYBUXJVVGVIZUYMVXK
          VYBVXMVRUYMVWJVYBVWPVRUYMVYBVTVVSVVIVYDVXKVWJVYBYGYOWNVVJUMVCUXJYHYIU
          WPXOYLUWQUYDUXNVVDUXQVDUYDUXHUXLCPUYKAVUFUYCVUGVRVYAUWRUWSUWTUYDUXRVU
          IUXDYKUXAUXE $.

        $( Lemma for ~ dchrvmasum .  (Contributed by Mario Carneiro,
           3-May-2016.) $)
        dchrvmasumlem3 $p |- ( ph -> ( x e. RR+ |->
          sum_ d e. ( 1 ... ( |_ ` x ) ) ( ( ( X ` ( L ` d ) ) x.
            ( ( mmu ` d ) / d ) ) x. ( K - T ) ) ) e. O(1) ) $=
          ( crp c1 cv cfl cfv cfz co cmin cabs cdiv csu cmu cmul dchrvmasumlem2
          cr 1red wcel wa fzfid wceq eleq1d wral ralrimiva ad2antrr simpr nnrpd
          cc elfznn rpdivcl syl2an subcld abscld cn adantl nndivred fsumrecl cz
          rspcdva elfzelz dchrzrhcl mucl syl zred mulcld fsumcl cle wbr fsumabs
          recnd nnrecred absge0d absmuld cbs eqid wf wfo cn0 nnnn0d znzrhfo fof
          ffvelrnd dchrabs2 nncnd nnne0d absdivd cc0 rprege0d absid eqtrd mule1
          oveq2d lediv1dd eqbrtrd mulid2d breqtrd lemul1ad 3brtr4d fsumle letrd
          lemul12ad divrec2d leabsd adantrr o1le ) ABULUMBUNZUOUPZUQURZKFUSURZU
          TUPZPUNZVAURZPVBZYRUUALUPZNUPZUUAVCUPZUUAVAURZVDURZYSVDURZPVBZUMVFAVG
          ABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKVEAYPULVHZVIZYRUUBPUULUMYQV
          JZUULUUAYRVHZVIZYTUUAUUOYSUUOKFUUOIVRVHZKVRVHHULYPUUAVAURZHUNUUQVKIKV
          RUFVLAUUPHULVMUUKUUNAUUPHULUEVNVOUULUUKUUAULVHUUQULVHUUNAUUKVPUUNUUAU
          UAYQVSZVQYPUUAVTWAWIAFVRVHUUKUUNUHVOWBZWCZUUNUUAWDVHZUULUURWEZWFZWGZU
          ULYRUUIPUUMUUOUUHYSUUOUUEUUGUUOUUADJLMNOTQUARANDVHUUKUUNUCVOZUUNUUAWH
          VHUULUUAUMYQWJWEZWKZUUOUUGUUOUUFUUAUUOUUFUUOUVAUUFWHVHUVBUUAWLWMWNZUV
          BWFWTZWOZUUSWOZWPZAUUKUUJUTUPZUUCUTUPZWQWRUMYPWQWRUULUVMUUCUVNUULUUJU
          VLWCZUVDUULUUCUULUUCUVDWTWCUULUVMYRUUIUTUPZPVBUUCUVOUULYRUVPPUUMUUOUU
          IUVKWCZWGUVDUULYRUUIPUUMUVKWSUULYRUVPUUBPUUMUVQUVCUUOUUHUTUPZYTVDURUM
          UUAVAURZYTVDURUVPUUBWQUUOUVRUVSYTUUOUUHUVJWCUUOUUAUVBXAZUUTUUOYSUUSXB
          UUOUVRUUEUTUPZUUGUTUPZVDURZUVSWQUUOUUEUUGUVGUVIXCUUOUWCUMUVSVDURUVSWQ
          UUOUWAUMUWBUVSUUOUUEUVGWCUUOVGZUUOUUGUVIWCUVTUUOUUEUVGXBUUOUUGUVIXBUU
          OUUDOXDUPZDJMNOTUAQUWEXEZUVEUUOWHUWEUUALAWHUWELXFZUUKUUNAWHUWELXGZUWG
          AMXHVHUWHAMSXIUWELMOQUWFRXJWMWHUWELXKWMVOUVFXLXMUUOUWBUUFUTUPZUUAVAUR
          ZUVSWQUUOUWBUWIUUAUTUPZVAURUWJUUOUUFUUAUUOUUFUVHWTZUUOUUAUVBXNZUUOUUA
          UVBXOZXPUUOUWKUUAUWIVAUUOUUAVFVHXQUUAWQWRVIUWKUUAVKUUOUUAUUOUUAUVBVQZ
          XRUUAXSWMYBXTUUOUWIUMUUAUUOUUFUWLWCUWDUWOUUOUVAUWIUMWQWRUVBUUAYAWMYCY
          DYKUUOUVSUUOUVSUVTWTYEYFYDYGUUOUUHYSUVJUUSXCUUOYTUUAUUOYTUUTWTUWMUWNY
          LYHYIYJUULUUCUVDYMYJYNYO $.
      $}

      ${
        dchrvmasumlema.f $e |- F = ( a e. NN |->
          ( ( X ` ( L ` a ) ) x. ( ( log ` a ) / a ) ) ) $.
        $( Lemma for ~ dchrvmasum and ~ dchrvmasumif .  Apply ~ dchrisum for
           the function ` log ( y ) / y ` , which is decreasing above ` _e `
           (or above 3, the nearest integer bound).  (Contributed by Mario
           Carneiro, 5-May-2016.) $)
        dchrvmasumlema $p |- ( ph -> E. t E. c e. ( 0 [,) +oo )
     ( seq 1 ( + , F ) ~~> t /\ A. y e. ( 3 [,) +oo ) ( abs `
        ( ( seq 1 ( + , F ) ` ( |_ ` y ) ) - t ) ) <_
          ( c x. ( ( log ` y ) / y ) ) ) ) $=
          ( vx vn caddc c1 cseq cv cli wbr cfl cfv cmin cabs clog cdiv cmul cle
          co c3 cpnf cico wral wa cc0 wrex wex weq fveq2 id oveq12d cn wcel 3nn
          a1i crp cr relogcl rerpdivcl mpancom adantl w3a simp3r ceu simp2l ere
          wb rpred 3re clt egt2lt3 simpri ltleii simp3l letrd logdivle syl22anc
          simp2r mpbid cmpt ccxp crli rpcn cxp1d oveq2d mpteq2ia cxploglim mp1i
          1rp eqbrtrrid 2fveq3 cbvmptv eqtri dchrisum fvoveq1d breq12d cbvralvw
          c2 anbi2i rexbii exbii sylib ) AUEFUFUGZCUHZUIUJZUCUHZUKULYCULZYDUMUS
          UNULZMUHZYFUOULZYFUPUSZUQUSZURUJZUCUTVAVBUSZVCZVDZMVEVAVBUSZVFZCVGYEB
          UHZUKULYCULZYDUMUSUNULZYIYSUOULZYSUPUSZUQUSZURUJZBYNVCZVDZMYQVFZCVGAU
          CCUDUHZUOULZUUIUPUSZYKDEUDFGHUTIJKMNOPQRSTUAUDUCVHZUUJYJUUIYFUPUUIYFU
          OVIUULVJVKUTVLVMAVNVOUUIVPVMZUUKVQVMZAUUJVQVMUUMUUNUUIVRUUJUUIVSVTWAA
          UUMYFVPVMZVDZUTUUIURUJZUUIYFURUJZVDZWBZUURYKUUKURUJZAUUPUUQUURWCZUUTU
          UIVQVMWDUUIURUJYFVQVMWDYFURUJUURUVAWGUUTUUIAUUMUUOUUSWEWHZUUTWDUTUUIW
          DVQVMUUTWFVOZUTVQVMUUTWIVOUVCWDUTURUJUUTWDUTWFWIXRWDWJUJWDUTWJUJWKWLW
          MVOAUUPUUQUURWNWOZUUTYFAUUMUUOUUSWRWHZUUTWDUUIYFUVDUVCUVFUVEUVBWOUUIY
          FWPWQWSAUDVPUUKWTUDVPUUJUUIUFXAUSZUPUSZWTZVEXBUDVPUVHUUKUUMUVGUUIUUJU
          PUUMUUIUUIXCXDXEXFUFVPVMUVIVEXBUJAXIUFUDXGXHXJFLVLLUHZHULJULZUVJUOULZ
          UVJUPUSZUQUSZWTUDVLUUIHULJULZUUKUQUSZWTUBLUDVLUVNUVPLUDVHZUVKUVOUVMUU
          KUQUVJUUIJHXKUVQUVLUUJUVJUUIUPUVJUUIUOVIUVQVJVKVKXLXMXNYRUUHCYPUUGMYQ
          YOUUFYEYMUUEUCBYNUCBVHZYHUUAYLUUDURUVRYGYTYDUNUMYFYSYCUKXKXOUVRYKUUCY
          IUQUVRYJUUBYFYSUPYFYSUOVIUVRVJVKXEXPXQXSXTYAYB $.
      $}

      $d m F $.
      dchrvmasumif.f $e |- F = ( a e. NN |->
        ( ( X ` ( L ` a ) ) / a ) ) $.
      dchrvmasumif.c $e |- ( ph -> C e. ( 0 [,) +oo ) ) $.
      dchrvmasumif.s $e |- ( ph -> seq 1 ( + , F ) ~~> S ) $.
      dchrvmasumif.1 $e |- ( ph -> A. y e. ( 1 [,) +oo )
        ( abs ` ( ( seq 1 ( + , F ) ` ( |_ ` y ) ) - S ) ) <_ ( C / y ) ) $.
      ${
        dchrvmasumif.g $e |- K = ( a e. NN |->
          ( ( X ` ( L ` a ) ) x. ( ( log ` a ) / a ) ) ) $.
        dchrvmasumif.e $e |- ( ph -> E e. ( 0 [,) +oo ) ) $.
        dchrvmasumif.t $e |- ( ph -> seq 1 ( + , K ) ~~> T ) $.
        dchrvmasumif.2 $e |- ( ph -> A. y e. ( 3 [,) +oo )
          ( abs ` ( ( seq 1 ( + , K ) ` ( |_ ` y ) ) - T ) ) <_
            ( E x. ( ( log ` y ) / y ) ) ) $.
        $( Lemma for ~ dchrvmasumif .  (Contributed by Mario Carneiro,
           5-May-2016.) $)
        dchrvmasumiflem1 $p |- ( ph -> ( x e. RR+ |->
          sum_ d e. ( 1 ... ( |_ ` x ) )
            ( ( ( X ` ( L ` d ) ) x. ( ( mmu ` d ) / d ) ) x.
            ( sum_ k e. ( 1 ... ( |_ ` ( x / d ) ) )
                ( ( X ` ( L ` k ) ) x.
                  ( ( log ` if ( S = 0 , ( x / d ) , k ) ) / k ) ) -
                if ( S = 0 , 0 , T ) ) ) ) e. O(1) ) $=
          ( vm cc0 wceq cif c1 c2 cfz co cv cfv cabs c3 clog cdiv csu caddc cfl
          cmul crp wcel wa fzfid cn simpl elfznn adantr adantl dchrzrhcl syl2an
          cc cz nnrpd relogcld nndivred recnd mulcld fveq2 oveq2d fveq2d oveq1d
          ifcl cpnf cico ifcld cseq wbr syl sylancr cmin cle cr nnuz wne divcld
          wf cmpt weq 2fveq3 oveq12d cbvmptv eqtri fmptd ffvelrn sylan ad2antrr
          id wb 3re elicopnf a1i letrd abscld clt jca sylan9eqr iftrue ad2antlr
          1red adantlr eqtrd ifnefalse fsumrecl readdcld sylancl mpbid nnz 1zzd
          simpr fsumcl ifeq1 sumeq12rdv 0cn cli climcl nncn nnne0 serf simprbda
          mp1i 1le3 simplbda flge1nn syl2anc ffvelrnd 0red 3pos ltletrd elrege0
          elrpd simplbi rerpdivcl logge0d oveq2 subid1d fvoveq1d wral 1re ax-mp
          breq12d sylanbrc rspcdva eqbrtrrd lemul2a relogcl nncnd nnne0d div12d
          syl31anc sumeq2dv ovex eqeltrrd fsummulc2 3eqtr4d cuz fsumser absmuld
          fvmpt absidd 3eqtrd rpcnne0 div12 syl3anc 3brtr4d rspccva eqcomd nnrp
          eleqtrdi pm2.61dane elfzelz 3rp nndivre remulcld cxr w3a rexri elico2
          mp2an simp1bi 0lt1 simp2bi subcld abs2dif2d fsumabs absge0d wss flcld
          2z simp3bi 3z fllt df-3 breqtrdi zleltp1 mpbird eluz2 syl3anbrc fzss2
          rpre fsumless log1 elfzle1 breq2 ifboth 1rp logleb eqbrtrrid rpregt0d
          divge0 syl21anc eqeltrd nnred 2re elfzle2 2lt3 lelttrd breq1 wi rpred
          ltle mpd lediv1d eqbrtrd fsumle leadd1d ralrimiva dchrvmasumlem3 ) AB
          FUQURZDJUSZEUTVAVBVCZIVDZNVEPVEZVFVEZVGVHVEZVVEVIVCZVMVCZIVJZVVBUQGUS
          ZVFVEZVKVCZVVLHUPUTUPVDZVLVEZVBVCZVVFVVBVVOVVEUSZVHVEZVVEVIVCZVMVCZIV
          JZLUTBVDSVDVIVCZVLVEZVBVCZVVFVVBVWCVVEUSZVHVEZVVEVIVCZVMVCZIVJNOPQSTU
          AUBUCUDUEUFUGAVVOVNVOZVPZVVQVWAIVWKUTVVPVQZVWKVVEVVQVOZVPZVVFVVTVWKAV
          VEVRVOZVVFWEVOZVWMAVWJVSVVEVVPVTZAVWOVPZVVEELNOPQUCTUDUAAPEVOZVWOUFWA
          VWOVVEWFVOZAVVEUUAWBWCZWDZVWNVVTVWNVVSVVEVWNVVRVWKVWJVVEVNVOZVVRVNVOZ
          VWMAVWJUUCZVWMVVEVWQWGVVBVVOVVEVNWPWDWHVWMVWOVWKVWQWBZWIWJWKZUUDZVVOV
          WCURZVVQVWEVWAVWIIVXIVVPVWDUTVBVVOVWCVLWLWMVXIVWAVWIURVVEVWEVOVXIVVTV
          WHVVFVMVXIVVSVWGVVEVIVXIVVRVWFVHVVBVVOVWCVVEUUEWNWOWMWAUUFAVVBDJUQWQW
          RVCZUIUMWSAUQWEVOGWEVOZVVLWEVOZUUGAVKMUTWTZGUUHXAVXKUNGVXMUUIXBVVBUQG
          WEWPXCZAVVOVGWQWRVCZVOZVPZVWBVVLXDVCZVFVEZVVCVVOVHVEZVVOVIVCZVMVCZXEX
          AFUQVXQVVBVPZVXTVVPVKKUTWTZVEZVFVEZVMVCZVXTDVVOVIVCZVMVCZVXSVYBXEVYCV
          YFXFVOVYHXFVOZVXTXFVOZUQVXTXEXAZVPZVYFVYHXEXAVYGVYIXEXAVYCVYEVYCVRWEV
          VPVYDAVRWEVYDXJZVXPVVBAIKUTVRXGAUUBAVRWEKXJZVWOVVEKVEZWEVOZAIVRVVFVVE
          VIVCZWEKVWRVVFVVEVXAVWOVVEWEVOAVVEUUJWBZVWOVVEUQXHAVVEUUKWBZXIZKRVRRV
          DZNVEPVEZWUBVIVCZXKIVRVYRXKUHRIVRWUDVYRRIXLZWUCVVFWUBVVEVIWUBVVEPNXMZ
          WUEYAZXNZXOXPXQZVRWEVVEKXRZXSUULZXTVXQVVPVRVOZVVBVXQVVOXFVOZUTVVOXEXA
          ZWULAVXPWUMVGVVOXEXAZVGXFVOZVXPWUMWUOVPYBAYCVGVVOYDUUNZUUMZVXQUTVGVVO
          VXQYMWUPVXQYCYEZWURUTVGXEXAVXQUUOYEAVXPWUMWUOWUQUUPZYFZVVOUUQUURZWAUU
          SZYGVXQVYJVVBVXQVWKVYJVXQAVWJAVXPVSZVXQVVOWURVXQUQVGVVOVXQUUTWUSWURUQ
          VGYHXAVXQUVAYEWUTUVBUVDZYIZADXFVOZVWJVYJADVXJVOZWVGUIWVHWVGUQDXEXADUV
          CUVEXBZDVVOUVFXSXBWAVXQVYMVVBVXQVYKVYLVXQVVOWVEWHZVXQVVOWURWVAUVGZYIW
          AVYCVYEFXDVCZVFVEZVYFVYHXEVYCWVLVYEVFVVBVXQWVLVYEUQXDVCVYEFUQVYEXDUVH
          VXQVYEVXQVRWEVVPVYDAVYNVXPWUKWAWVBUUSUVIYJWNVXQWVMVYHXEXAZVVBVXQCVDZV
          LVEZVYDVEZFXDVCVFVEZDWVOVIVCZXEXAZWVNCUTWQWRVCZVVOCUPXLZWVRWVMWVSVYHX
          EWWBWVQVYEFVFXDWVOVVOVYDVLXMUVJWVOVVODVIUVHUVNAWVTCWWAUVKVXPUKWAVXQWU
          MWUNVVOWWAVOZWURWVAUTXFVOZWWCWUMWUNVPYBUVLUTVVOYDUVMUVOUVPWAUVQVYFVYH
          VXTUVRUWCVYCVXSVXTVYEVMVCZVFVEVXTVFVEZVYFVMVCZVYGVYCVXRWWEVFVYCVXRVXT
          VVQVYRIVJZVMVCZWWEVXQVWKVVBVXRWWIURWVFVWKVVBVPZVWBVVQVXTVYRVMVCZIVJZV
          XRWWIWWJVVQVWAWWKIWWJVWMVPZVWAVVFVXTVVEVIVCZVMVCWWKWWMVVTWWNVVFVMVVBV
          VTWWNURVWKVWMVVBVVSVXTVVEVIVVBVVRVVOVHVVBVVOVVEYKWNWOYLWMWWMVVFVXTVVE
          VWKVWMVWPVVBVXBYNVWKVXTWEVOZVVBVWMVWKVXTVWJVYKAVVOUVSZWBWJZXTWWMVVEVW
          MVWOWWJVWQWBZUVTWWMVVEWWRUWAUWBYOUWDVVBVWKVXRVWBUQXDVCVWBVVBVVLUQVWBX
          DVVBUQGYKWMVWKVWBVXHUVIYJVWKWWIWWLURVVBVWKVVQVYRVXTIVWLWWQVWNVYPVYRWE
          VWNVWOVYPVYRURZVXFRVVEWUDVYRVRKWUHUHVVFVVEVIUWEUWLXBZVWKVYOVWOVYQVWMA
          VYOVWJWUIWAVWQWUJWDUWFUWGWAUWHXSVYCWWHVYEVXTVMVXQWWHVYEURVVBVXQVYRIKU
          TVVPVXQVWKVWMWWSWVFWWTXSVXQVVPVRUTUWIVEZWVBXGUXBZVXQAVWOVYRWEVOVWMWVD
          VWQWUAWDUWJWAWMYOWNVYCVXTVYEVXQVWKVVBWWOWVFWWJVXTVWJVYKAVVBWWPYLWJZXS
          WVCUWKVXQWWGVYGURVVBVXQWWFVXTVYFVMVXQVXTWVJWVKUWMWOWAUWNVXQVWKVVBVYBV
          YIURWVFWWJVYBDVYAVMVCZVYIWWJVVCDVYAVMVVBVVCDURVWKVVBDJYKWBWOWWJDWEVOZ
          WWOVVOWEVOVVOUQXHVPZWXDVYIURAWXEVWJVVBADWVIWJXTWXCVWJWXFAVVBVVOUWOYLD
          VXTVVOUWPUWQYOXSUWRVXQFUQXHZVPZVVPVXMVEZGXDVCZVFVEZJVYAVMVCZVXSVYBXEV
          XQWXKWXLXEXAZWXGAWVPVXMVEZGXDVCVFVEZJWVOVHVEZWVOVIVCZVMVCZXEXAZCVXOUV
          KVXPWXMUOWXSWXMCVVOVXOWWBWXOWXKWXRWXLXEWWBWXNWXIGVFXDWVOVVOVXMVLXMUVJ
          WWBWXQVYAJVMWWBWXPVXTWVOVVOVIWVOVVOVHWLWWBYAXNWMUVNUWSXSWAWXHVXRWXJVF
          WXHVWBWXIVVLGXDWXHVWAIMUTVVPVWMWXHVVEMVEZVVFVVEVHVEZVVEVIVCZVMVCZVWAV
          WMVWOWXTWYCURVWQRVVEWUCWUBVHVEZWUBVIVCZVMVCZWYCVRMWUEWUCVVFWYEWYBVMWU
          FWUEWYDWYAWUBVVEVIWUBVVEVHWLWUGXNXNZULVVFWYBVMUWEUWLXBWXHVWAWYCWXGVWA
          WYCURVXQWXGVVTWYBVVFVMWXGVVSWYAVVEVIWXGVVRVVEVHFUQVVOVVEYPWNWOWMWBUWT
          YJZVXQVVPWXAVOWXGWXBWAWXHVWMVPWXTVWAWEWYHWXHVRWEMXJZVWOWXTWEVOVWMAWYI
          VXPWXGAIVRWYCWEMVWRVVFWYBVXAVWRWYAVVEVWRWYAVWRVVEVWOVXCAVVEUXAWBWHWJV
          YSVYTXIWKMRVRWYFXKIVRWYCXKULRIVRWYFWYCWYGXOXPXQXTVWQVRWEVVEMXRWDUWFUW
          JWXGVVLGURVXQFUQUQGYPWBXNWNWXHVVCJVYAVMWXGVVCJURVXQFUQDJYPWBWOUWRUXCA
          VVKVVMAVVDVVJIAUTVAVQAVVEVVDVOZVPZVVGVVIWYKVVFWYKVVEELNOPQUCTUDUAAVWS
          WYJUFWAWYJVWTAVVEUTVAUXDWBWCZYGZWYKVVHXFVOZVWOVVIXFVOZVGVNVOZWYNUXEVG
          UVSUVMZWYJVWOAVVEVAVTZWBVVHVVEUXFXCZUXGZYQZAVVLVXNYGZYRAVXSVVNXEXAUPU
          TVGWRVCZAVVOXUCVOZVPZVXSVWBVFVEZVVMVKVCZVVNXUEVXRXUEVWKVXRWEVOXUEAVWJ
          AXUDVSXUEVVOXUDWUMAXUDWUMWUNVVOVGYHXAZWWDVGUXHVOXUDWUMWUNXUHUXIYBUVLV
          GYCUXJUTVGVVOUXKUXLZUXMWBZXUEUQUTVVOXUEUUTXUEYMXUJUQUTYHXAXUEUXNYEXUD
          WUNAXUDWUMWUNXUHXUIUXOWBZUVBUVDYIZVWKVWBVVLVXHAVXLVWJVXNWAZUXPXBYGXUE
          XUFVVMXUEVWBXUEVWKVWBWEVOXULVXHXBYGZAVVMXFVOXUDXUBWAZYRXUEVVKVVMAVVKX
          FVOZXUDXUAWAZXUOYRXUEVWKVXSXUGXEXAXULVWKVWBVVLVXHXUMUXQXBXUEXUFVVKXEX
          AZXUGVVNXEXAZXUEXUFVVQVWAVFVEZIVJZVVKXUNXUEVWKXVAXFVOXULVWKVVQXUTIVWL
          VWNVWAVXGYGYQXBZXUQXUEVWKXUFXVAXEXAXULVWKVVQVWAIVWLVXGUXRXBXUEXVAVVDX
          UTIVJZVVKXVBXUEVWKXVCXFVOXULVWKVVDXUTIVWKUTVAVQVWKWYJVPZVWAXVDVVFVVTA
          WYJVWPVWJWYLYNZXVDVVTXVDVVSVVEXVDVVRXVDVVBVVOVVEVNVWKVWJWYJVXEWAXVDVV
          EWYJVWOVWKWYRWBZWGZWSZWHZXVFWIZWJZWKZYGYQXBXUQXUEVVDXUTVVQIXUEUTVAVQZ
          XUEWYJVPZVWAXUEVWKWYJVWAWEVOXULXVLXSZYGZXVNVWAXVOUXSXUEVAVVPUWIVEVOZV
          VQVVDUXTXUEVVPWFVOZVAWFVOZVVPVAXEXAZXVQXUEVVOXUJUYAXVSXUEUYBYEXUEXVTV
          VPVAUTVKVCZYHXAZXUEVVPVGXWAYHXUEXUHVVPVGYHXAZXUDXUHAXUDWUMWUNXUHXUIUY
          CZWBXUEWUMVGWFVOXUHXWCYBXUJUYDVVOVGUYEYSYTUYFUYGXUEVWKXVTXWBYBZXULVWK
          XVRXVSXWEVWKVVOVWJWUMAVVOUYMWBUYAUYBVVPVAUYHYSXBUYIVVPVAUYJUYKVVPUTVA
          UYLXBUYNXUEVVDXUTVVJIXVMXVPAWYJVVJXFVOXUDWYTYNXVNXUTVVGVVTVFVEZVMVCZV
          VJXEXUEVWKWYJXUTXWGURXULXVDVVFVVTXVEXVKUWKXSXVNXWFXFVOWYOVVGXFVOZUQVV
          GXEXAZVPZXWFVVIXEXAXWGVVJXEXAXVNXWFVVTXFXVNVVTXUEVWKWYJVVTXFVOXULXVJX
          SZXVNVVSXFVOZUQVVSXEXAVVEXFVOUQVVEYHXAVPZUQVVTXEXAXUEVWKWYJXWLXULXVIX
          SXVNUQUTVHVEZVVSXEUYOXVNUTVVRXEXAZXWNVVSXEXAZXUEWUNUTVVEXEXAZXWOWYJXU
          KVVEUTVAUYPVVBWUNXWQXWOVVOVVEVVOVVRUTXEUYQVVEVVRUTXEUYQUYRWDXUEVWKWYJ
          XWOXWPYBZXULXVDUTVNVOVXDXWRUYSXVHUTVVRUYTXCXSYTVUAXUEVWKWYJXWMXULXVDV
          VEXVGVUBXSVVSVVEVUCVUDUWMZXWKVUEAWYJWYOXUDWYSYNXUEVWKWYJXWJXULXVDXWHX
          WIAWYJXWHVWJWYMYNXVDVVFXVEUXSYIXSXVNXWFVVTVVIXEXWSXVNVVSVVHXEXAZVVTVV
          IXEXAZXVNVVRVGXEXAZXWTXVNVVRVGYHXAZXXBXVNXUHVVEVGYHXAZXXCXUDXUHAWYJXW
          DYLXUEVWKWYJXXDXULXVDVVEVAVGXVDVVEXVFVUFVAXFVOXVDVUGYEWUPXVDYCYEWYJVV
          EVAXEXAVWKVVEUTVAVUHWBVAVGYHXAXVDVUIYEVUJXSVVBXUHXXDXXCVVOVVEVVOVVRVG
          YHVUKVVEVVRVGYHVUKUYRUURXUEVWKWYJXXCXXBVULZXULXVDVVRXFVOWUPXXEXVDVVRX
          VHVUMYCVVRVGVUNYSXSVUOXUEVWKWYJXXBXWTYBZXULXVDVXDWYPXXFXVHUXEVVRVGUYT
          YSXSYTXUEVWKWYJXWTXXAYBXULXVDVVSVVHVVEXVIWYNXVDWYQYEXVGVUPXSYTVUQXWFV
          VIVVGUVRUWCVUQVURYFYFXUEVWKXURXUSYBXULVWKXUFVVKVVMVWKVWBVXHYGAXUPVWJX
          UAWAVWKVVLXUMYGVUSXBYTYFVUTVVA $.

        $( Lemma for ~ dchrvmasum .  (Contributed by Mario Carneiro,
           5-May-2016.) $)
        dchrvmasumiflem2 $p |- ( ph -> ( x e. RR+ |->
          ( sum_ n e. ( 1 ... ( |_ ` x ) )
              ( ( X ` ( L ` n ) ) x. ( ( Lam ` n ) / n ) ) +
            if ( S = 0 , ( log ` x ) , 0 ) ) ) e. O(1) ) $=
          ( vd vk crp c1 cv cfl cfv cfz co cmu cdiv cmul cc0 wceq cif clog cvma
          csu caddc cc 1red cmpt co1 wcel wa fzfid ad2antrr cz adantl dchrzrhcl
          elfzelz cn elfznn mucl syl zred nndivred recnd mulcld fsumcl cseq cli
          wbr climcl adantr 0cnd wn wne df-ne divcld sylan2br ifclda dchrmusum2
          simpr wss rpssre o1const sylancr o1mul2 nnrpd rpdivcl syl2an relogcld
          cr ifcl cmin 0cn subdid sumeq2dv fsumsub ovif2 mul01d ifeq1d divcan2d
          mulassd ifeq2da eqtrd syl5eq oveq2d fsummulc1 3eqtrd dchrvmasumiflem1
          3eqtrrd mpteq2dva eqeltrrd cabs o1dif nndivre mpancom relogcl sylancl
          mpbird vmacl addcld abscld adantrr simprl simprr dchrvmasum2if fveq2d
          cle eqled o1le ) ABUQURBUSZUTVAZVBVCZUOUSZNVAPVAZUVAVDVAZUVAVEVCZVFVC
          ZURUURUVAVEVCZUTVAZVBVCZUPUSZNVAPVAZFVGVHZUVFUVIVIZVJVAZUVIVEVCZVFVCZ
          UPVLZVFVCZUOVLZUUTIUSZNVAPVAZUVSVKVAZUVSVEVCZVFVCZIVLZUVKUURVJVAZVGVI
          ZVMVCZURVNAVOABUQUVRVPVQVRBUQUUTUVEUOVLZFVFVCZUVKVGGFVEVCZVIZVFVCZVPV
          QVRABUQUWIUWKVNAUURUQVRZVSZUWHFUWNUUTUVEUOUWNURUUSVTZUWNUVAUUTVRZVSZU
          VBUVDUWQUVAELNOPQUBSUCTAPEVRZUWMUWPUEWAZUWPUVAWBVRUWNUVAURUUSWEWCWDUW
          QUVDUWQUVCUVAUWQUVCUWQUVAWFVRZUVCWBVRUWPUWTUWNUVAUUSWGZWCZUVAWHWIWJUX
          BWKWLWMZWNZAFVNVRZUWMAVMKURWOZFWPWQUXEUIFUXFWRWIZWSZWMZAUWKVNVRZUWMAU
          VKVGUWJVNAUVKVSWTUVKXAZAFVGXBZUWJVNVRFVGXCZAUXLVSZGFAGVNVRZUXLAVMMURW
          OZGWPWQUXOUMGUXPWRWIZWSZAUXEUXLUXGWSZAUXLXHZXDXEXFZWSZABCDEFHKLNOPQRU
          OSTUAUBUCUDUEUFUGUHUIUJXGAUQXRXIUXJBUQUWKVPVQVRXJUYABUQUWKXKXLXMABUQU
          VRUWLUWNUUTUVQUOUWOUWQUVEUVPUXCUWQUVHUVOUPUWQURUVGVTUWQUVIUVHVRZVSZUV
          JUVNUYDUVIELNOPQUBSUCTUWQUWRUYCUWSWSUYCUVIWBVRUWQUVIURUVGWEWCWDUYDUVN
          UYDUVMUVIUYDUVLUWQUVFUQVRZUVIUQVRUVLUQVRUYCUWNUWMUVAUQVRUYEUWPAUWMXHU
          WPUVAUXAXNUURUVAXOXPUYCUVIUVIUVGWGZXNUVKUVFUVIUQXSXPXQUYCUVIWFVRUWQUY
          FWCWKWLWMWNZWMZWNZUWNUWIUWKUXIUYBWMABUQUUTUVEUVPUVKVGGVIZXTVCVFVCZUOV
          LZVPBUQUVRUWLXTVCZVPVQABUQUYLUYMUWNUYLUUTUVQUVEUYJVFVCZXTVCZUOVLUVRUU
          TUYNUOVLZXTVCUYMUWNUUTUYKUYOUOUWQUVEUVPUYJUXCUYGUWQVGVNVRZUXOUYJVNVRZ
          YAAUXOUWMUWPUXQWAUVKVGGVNXSZXLZYBYCUWNUUTUVQUYNUOUWOUYHUWQUVEUYJUXCUY
          TWMYDUWNUYPUWLUVRXTUWNUWLUWHFUWKVFVCZVFVCUWHUYJVFVCUYPUWNUWHFUWKUXDUX
          HUYBYIUWNVUAUYJUWHVFAVUAUYJVHUWMAVUAUVKFVGVFVCZFUWJVFVCZVIZUYJUVKFVGU
          WJVFYEAVUDUVKVGVUCVIUYJAUVKVUBVGVUCAFUXGYFYGAUVKVUCGVGUXKAUXLVUCGVHUX
          MUXNGFUXRUXSUXTYHXEYJYKYLWSYMUWNUUTUVEUYJUOUWOAUYRUWMAUYQUXOUYRYAUXQU
          YSXLWSUXCYNYQYMYOYRABCDEFGHUPJKLMNOPQRUOSTUAUBUCUDUEUFUGUHUIUJUKULUMU
          NYPYSUUAUUFUYIUWNUWDUWFUWNUUTUWCIUWOUWNUVSUUTVRZVSZUVTUWBVUFUVSELNOPQ
          UBSUCTAUWRUWMVUEUEWAVUEUVSWBVRUWNUVSURUUSWEWCWDVUFUWBVUFUVSWFVRZUWBXR
          VRZVUEVUGUWNUVSUUSWGWCUWAXRVRVUGVUHUVSUUGUWAUVSUUBUUCWIWLWMWNUWNUWEVN
          VRUYQUWFVNVRUWNUWEUWMUWEXRVRAUURUUDWCWLYAUVKUWEVGVNXSUUEUUHZAUWMURUUR
          UUOWQZVSZVSZUWGYTVAZUVRYTVAAUWMVUMXRVRVUJUWNUWGVUIUUIUUJVULUWGUVRYTVU
          LUVKUUREHUPILNOPQUOSTAOWFVRVUKUAWSUBUCUDAUWRVUKUEWSAPHXBVUKUFWSAUWMVU
          JUUKAUWMVUJUULUUMUUNUUPUUQ $.
      $}

      $( An asymptotic approximation for the sum of ` X ( n ) Lam ( n ) / n `
         conditional on the value of the infinite sum ` S ` .  (We will later
         show that the case ` S = 0 ` is impossible, and hence establish
         ~ dchrvmasum .)  (Contributed by Mario Carneiro, 5-May-2016.) $)
      dchrvmasumif $p |- ( ph -> ( x e. RR+ |->
        ( sum_ n e. ( 1 ... ( |_ ` x ) )
            ( ( X ` ( L ` n ) ) x. ( ( Lam ` n ) / n ) ) +
          if ( S = 0 , ( log ` x ) , 0 ) ) ) e. O(1) ) $=
        ( vt vc caddc cn cv cfv clog cdiv co cmul cmpt c1 cseq cli wbr cfl cmin
        cabs cle cpnf cico wral cc0 wrex wex crp cfz cvma csu wceq cif co1 wcel
        c3 wa dchrvmasumlema adantr wne simprl simprrl simprrr dchrvmasumiflem2
        eqid rexlimdvaa exlimdv mpd ) AUJOUKOULZKUMMUMWNUNUMWNUOUPUQUPURZUSUTZU
        HULZVAVBZCULZVCUMZWPUMWQVDUPVEUMUIULZWSUNUMWSUOUPUQUPVFVBCWAVGVHUPVIZWB
        ZUIVJVGVHUPZVKZUHVLBVMUSBULZVCUMVNUPHULZKUMMUMXGVOUMXGUOUPUQUPHVPFVJVQX
        FUNUMVJVRUJUPURVSVTZACUHEGWOJKLMNOUIPQRSTUAUBUCWOWJZWCAXEXHUHAXCXHUIXDA
        XAXDVTZXCWBZWBBCDEFWQGHXAIJWOKLMNOPQALUKVTXKRWDSTUAAMEVTXKUBWDAMGWEXKUC
        WDUDADXDVTXKUEWDAUJIUSUTZFVAVBXKUFWDAWTXLUMFVDUPVEUMDWSUOUPVFVBCUSVGVHU
        PVIXKUGWDXIAXJXCWFAXJWRXBWGAXJWRXBWHWIWKWLWM $.

      dchrvmaeq0.w $e |- W = { y e. ( D \ { .1. } ) |
        sum_ m e. NN ( ( y ` ( L ` m ) ) / m ) = 0 } $.
      $( The set ` W ` is the collection of all non-principal Dirichlet
         characters such that the sum ` sum_ n e. NN , X ( n ) / n ` is equal
         to zero.  (Contributed by Mario Carneiro, 5-May-2016.) $)
      dchrvmaeq0 $p |- ( ph -> ( X e. W <-> S = 0 ) ) $=
        ( wcel cn cv cfv cdiv co csu cc0 wceq csn wb wne eldifsn sylanbrc fveq1
        cdif oveq1d sumeq2sdv eqeq1d elrab2 baib c1 nnuz 1zzd 2fveq3 id oveq12d
        syl ovex fvmpt adantl wa adantr cz nnz dchrzrhcl cc nncn nnne0 isumclim
        divcld bitrd ) AMLUIZUJGUKZJULZMULZWLUMUNZGUOZUPUQZEUPUQAMDFURVDZUIZWKW
        QUSAMDUIZMFUTWSUBUCMDFVAVBWKWSWQUJWMBUKZULZWLUMUNZGUOZUPUQWQBMWRLXAMUQZ
        XDWPUPXEUJXCWOGXEXBWNWLUMWMXAMVCVEVFVGUHVHVIVPAWPEUPAWOEGHVJUJVKAVLWLUJ
        UIZWLHULWOUQAOWLOUKZJULMULZXGUMUNWOUJHXGWLUQZXHWNXGWLUMXGWLMJVMXIVNVOUD
        WNWLUMVQVRVSAXFVTZWNWLXJWLDIJKMNSPTQAWTXFUBWAXFWLWBUIAWLWCVSWDXFWLWEUIA
        WLWFVSXFWLUPUTAWLWGVSWIUFWHVGWJ $.
    $}

    ${
      rpvmasum2.g $e |- G = ( DChr ` N ) $.
      rpvmasum2.d $e |- D = ( Base ` G ) $.
      rpvmasum2.1 $e |- .1. = ( 0g ` G ) $.
      ${
        dchrisum0f.f $e |- F = ( b e. NN |->
          sum_ v e. { q e. NN | q || b } ( X ` ( L ` v ) ) ) $.
        $( Value of the function ` F ` , the divisor sum of a Dirichlet
           character.  (Contributed by Mario Carneiro, 5-May-2016.) $)
        dchrisum0fval $p |- ( A e. NN -> ( F ` A ) =
          sum_ t e. { q e. NN | q || A } ( X ` ( L ` t ) ) ) $=
          ( cv cdvds wbr crab cfv csu wceq breq2 rabbidv sumeq1d 2fveq3 cbvsumv
          cn eqtrdi sumex fvmpt ) NDMUBZNUBZUCUDZMUNUEZBUBZIUFKUFZBUGZURDUCUDZM
          UNUEZCUBZIUFKUFZCUGZUNGUSDUHZVDVFVCBUGVIVJVAVFVCBVJUTVEMUNUSDURUCUIUJ
          UKVFVCVHBCVBVGKIULUMUOUAVFVHCUPUQ $.

        dchrisum0f.x $e |- ( ph -> X e. D ) $.
        ${
          dchrisum0fmul.a $e |- ( ph -> A e. NN ) $.
          dchrisum0fmul.b $e |- ( ph -> B e. NN ) $.
          dchrisum0fmul.m $e |- ( ph -> ( A gcd B ) = 1 ) $.
          $( The function ` F ` , the divisor sum of a Dirichlet character, is
             a multiplicative function (but not completely multiplicative).
             Equation 9.4.27 of [Shapiro], p. 382.  (Contributed by Mario
             Carneiro, 5-May-2016.) $)
          dchrisum0fmul $p |- ( ph ->
            ( F ` ( A x. B ) ) = ( ( F ` A ) x. ( F ` B ) ) ) $=
            ( vj vk vi cv cdvds wbr cn crab cfv csu cmul co eqid wcel wa adantr
            cz elrabi nnzd adantl dchrzrhcl anim12i simprl simprr eqcomd sylan2
            wceq dchrzrhmul fsumdvdsmul dchrisum0fval oveq12d nnmulcld 3eqtr4rd
            2fveq3 syl ) AMUIZCUJUKZMULUMZUFUIZIUNKUNZUFUOZWADUJUKZMULUMZUGUIZI
            UNKUNZUGUOZUPUQWACDUPUQZUJUKMULUMZUHUIZIUNKUNZUHUOZCGUNZDGUNZUPUQWL
            GUNZAMWEWJWOWDWIUPUQZIUNKUNZUHUFUGCDWCWHWMUCUDUEWCURWHURWMURAWDWCUS
            ZUTWDEHIJKLROSPAKEUSZXBUBVAXBWDVBUSZAXBWDWBMWDULVCVDZVEVFAWIWHUSZUT
            WIEHIJKLROSPAXCXFUBVAXFWIVBUSZAXFWIWGMWIULVCVDZVEVFXBXFUTAXDXGUTZWE
            WJUPUQZXAVLXBXDXFXGXEXHVGAXIUTZXAXJXKWDWIEHIJKLROSPAXCXIUBVAAXDXGVH
            AXDXGVIVMVJVKWNWTKIVSVNAWQWFWRWKUPACULUSWQWFVLUCABUFCEFGHIJKLMNOPQR
            STUAVOVTADULUSWRWKVLUDABUGDEFGHIJKLMNOPQRSTUAVOVTVPAWLULUSWSWPVLACD
            UCUDVQABUHWLEFGHIJKLMNOPQRSTUAVOVTVR $.
        $}

        dchrisum0flb.r $e |- ( ph -> X : ( Base ` Z ) --> RR ) $.
        $( The function ` F ` is a real function.  (Contributed by Mario
           Carneiro, 5-May-2016.) $)
        dchrisum0ff $p |- ( ph -> F : NN --> RR ) $=
          ( vn vm cn cv cdvds wbr crab cfv csu cr wcel wa c1 co fzfid dvdsssfz1
          cfz wss adantl ssfid cbs wf ad2antrr cn0 wfo nnnn0d eqid znzrhfo 3syl
          cz fof adantr elrabi nnzd ffvelrn syl2an ffvelrnd fsumrecl cmpt breq2
          weq rabbidv sumeq1d 2fveq3 cbvsumv eqtrdi cbvmptv eqtri fmptd ) AUBUD
          KUEZUBUEZUFUGZKUDUHZUCUEZGUIZIUIZUCUJZUKEAWLUDULZUMZWNWQUCWTUNWLURUOZ
          WNWTUNWLUPWSWNXAUSAWLKUQUTVAWTWOWNULZUMJVBUIZUKWPIAXCUKIVCWSXBUAVDWTV
          KXCGVCZWOVKULWPXCULXBAXDWSAHVEULVKXCGVFXDAHOVGXCGHJMXCVHNVIVKXCGVLVJV
          MXBWOWMKWOUDVNVOVKXCWOGVPVQVRVSELUDWKLUEZUFUGZKUDUHZBUEZGUIIUIZBUJZVT
          UBUDWRVTSLUBUDXJWRLUBWBZXJWNXIBUJWRXKXGWNXIBXKXFWMKUDXEWLWKUFWAWCWDWN
          XIWQBUCXHWOIGWEWFWGWHWIWJ $.

        ${
          dchrisum0flblem1.1 $e |- ( ph -> P e. Prime ) $.
          dchrisum0flblem1.2 $e |- ( ph -> A e. NN0 ) $.
          $( Lemma for ~ dchrisum0flb .  Base case, prime power.  (Contributed
             by Mario Carneiro, 5-May-2016.) $)
          dchrisum0flblem1 $p |- ( ph ->
            if ( ( sqrt ` ( P ^ A ) ) e. NN , 1 , 0 ) <_ ( F ` ( P ^ A ) ) ) $=
            ( vi vk cexp co csqrt cfv cn wcel c1 cc0 cif cfz cv csu cle wceq wa
            wbr cr 1red wn 0red ifclda fzfid cn0 cbs cz wfo nnnn0d eqid znzrhfo
            fof 3syl cprime syl ffvelrnd syl2an adantr breq1 a1i nn0uz eleqtrdi
            wf wne wb mpbird cmul simpr oveq1d sumeq2dv cc sylancl nncnd 3eqtrd
            1exp breqtrrd letrd cmin oveq1 breq1d 1re resubcl sylancr ad3antrrr
            cdiv recnd 3eqtr4d cneg neg1cn ad2antrr c2 cpc oveq2d nn0zd syl2anc
            adantl cabs mpd eqtr3d pm2.61dane abscld eqbrtrd clt mpbid cmgp cmg
            leabsd ccnfld zring syl3anc cnfldexp fveq2d cmhm mgpbas mhmmulg cuz
            prmz elfznn0 reexpcl fsumrecl 1le1 0le1 keephyp chash c0 sylibr cfn
            fzn0 hashnncl nnge1d elfzelz sylan9eq fsumconst mulid1d caddc leidd
            ax-1cn mulid2d nn0p1nn 0expd expp1 prmnn nnexpcld sqsqrtd nnq nnne0
            cq pcexp syl121anc pcid 3eqtr3rd pccld 2nn0 expmuld neg1sqe1 oveq1i
            syl5eq mulid2i eqtrdi eqtrd negnegd cui dchrn0 biimpa dchrabs eqeq1
            2z syl5ibcom necon3ad absord negeqd 3brtr4d mul02d reexpcld absexpd
            ord peano2nn0 dchrabs2 exple1 syl31anc subge0 ifbothda ifcli necomd
            absge0d leneltd posdif lemuldiv syl112anc cfzo sumeq1d 0nn0 geoserg
            0re fzval3 exp0d cdvds crab dchrisum0fval cmpt wf1o dvdsppwf1o ovex
            2fveq3 fvmpt3i elrabi nnzd ffvelrn fsumf1o csubmnd csubrg subrgsubm
            oveq2 zsubrg cress zringmpg eqcomi submmulg crg crh zncrng crngring
            mp1i ccrg zrhrhm rhmmhm zringbas dchrmhm sselid ) AECUHUIZUJUKZULUM
            ZUNUOUPZUOCUQUIZEIUKZKUKZUFURZUHUIZUFUSZVUOGUKZUTAVURVVDUTVCVVAUNAV
            VAUNVAZVBZVURUNVVDVVGVUQUNUOVDVVGVUQVBVEVVGVUQVFZVBVGVHVVGVEAVVDVDU
            MVVFAVUSVVCUFAUOCVIZAVVAVDUMZVVBVJUMZVVCVDUMVVBVUSUMZALVKUKZVDVUTKU
            CAVLVVMEIAJVJUMZVLVVMIVMVLVVMIWHZAJQVNZVVMIJLOVVMVOZPVPVLVVMIVQVRZA
            EVSUMZEVLUMZUDEUUBVTZWAZWAZVVBCUUCZVVAVVBUUDWBUUEWCVURUNUTVCZVVGVUQ
            UNUNUTVCUOUNUTVCVWEUNUOUNVURUNUTWDUOVURUNUTWDUUFUUGUUHWEVVGUNVUSUUI
            UKZVVDUTVVGVWFAVWFULUMZVVFAVWGVUSUUJWIZACUOUUAUKZUMVWHACVJVWIUEWFWG
            UOCUUMUUKAVUSUULUMZVWGVWHWJVVIVUSUUNVTWKWCZUUOVVGVVDVUSUNUFUSZVWFUN
            WLUIZVWFVVGVUSVVCUNUFVVGVVLVVCUNVVBUHUIZUNVVGVVAUNVVBUHAVVFWMWNVVLV
            VBVLUMVWNUNVAVVBUOCUUPVVBWTVTUUQWOVVGVWJUNWPUMVWLVWMVAVVGUOCVIUVBVU
            SUNUFUURWQVVGVWFVVGVWFVWKWRUUSWSXAXBAVVAUNWIZVBZVURUNVVACUNUUTUIZUH
            UIZXCUIZUNVVAXCUIZXJUIZVVDUTVWPVURVWTWLUIZVWSUTVCZVURVXAUTVCZVUQUNV
            WTWLUIZVWSUTVCUOVWTWLUIZVWSUTVCZVXCVWPUNUOUNVURVAVXEVXBVWSUTUNVURVW
            TWLXDXEUOVURVAVXFVXBVWSUTUOVURVWTWLXDXEVWPVUQVBZVWTVWTVXEVWSUTVXHVW
            TVWPVWTVDUMZVUQVWPUNVDUMZVVJVXIXFAVVJVWOVWCWCZUNVVAXGXHZWCUVAVXHVWT
            VWPVWTWPUMVUQVWPVWTVXLXKZWCUVCVXHVWRVVAUNXCVXHVWRVVAVAVVAUOVXHVVAUO
            VAZVBZUOVWQUHUIUOVWRVVAVXOVWQAVWQULUMZVWOVUQVXNACVJUMZVXPUECUVDVTXI
            UVEVXOVVAUOVWQUHVXHVXNWMZWNVXRXLVXHVVAUOWIZVBZUNXMZVWQUHUIZVYAVWRVV
            AVXHVYBVYAVAVXSVXHVYBVYACUHUIZVYAWLUIZVYAVXHVYAWPUMZVXQVYBVYDVAXNAV
            XQVWOVUQUEXOZVYACUVFXHVXHVYDUNVYAWLUIVYAVXHVYCUNVYAWLVXHVYCVYAXPEVU
            PXQUIZWLUIZUHUIVYAXPUHUIZVYGUHUIZUNVXHCVYHVYAUHVXHEVUPXPUHUIZXQUIZE
            VUOXQUIZVYHCVXHVYKVUOEXQVXHVUOAVUOWPUMVWOVUQAVUOAECAVVSEULUMUDEUVGV
            TZUEUVHZWRXOUVIXRVXHVVSVUPUVLUMZVUPUOWIZXPVLUMZVYLVYHVAAVVSVWOVUQUD
            XOZVUQVYPVWPVUPUVJYAVUQVYQVWPVUPUVKYAVYRVXHUWLWEVUPEXPUVMUVNVXHVVSC
            VLUMZVYMCVAVYSVXHCVYFXSCEUVOXTUVPXRVXHVYAXPVYGVYEVXHXNWEVXHEVUPVYSV
            WPVUQWMUVQZXPVJUMVXHUVRWEUVSVXHVYJUNVYGUHUIZUNVYIUNVYGUHUVTUWAVXHVY
            GVLUMWUBUNVAVXHVYGWUAXSVYGWTVTUWBWSWNVYAXNUWCUWDUWEWCVXTVVAVYAVWQUH
            VXTVVAXMZXMVVAVYAVXTVVAVWPVVAWPUMZVUQVXSAWUDVWOAVVAVWCXKZWCZXOUWFVX
            TWUCUNVXTVVAYBUKZWUCUNVXTWUGVVAVAZVFZWUGWUCVAZVXTVWOWUIVWPVWOVUQVXS
            AVWOWMZXOVXTWUHVVAUNVXTWUGUNVAWUHVVFVXTVUTDLUWGUKZHJKLRSAKDUMVWOVUQ
            VXSUBXIOWULVOZVXHVXSVUTWULUMZAVXSWUNWJVWOVUQAVUTVVMDWULHJKLROSVVQWU
            MUBVWBUWHXOUWIUWJZWUGVVAUNUWKUWMUWNYCVXTWUHWUJVXTVVAVWPVVJVUQVXSVXK
            XOUWOUXAYCWUOYDUWPYDZWNWUPXLYEXRUWQVWPVXGVVHVWPVXFUOVWSUTVWPVWTVXMU
            WRVWPUOVWSUTVCZVWRUNUTVCZVWPVWRVWRYBUKZUNAVWRVDUMZVWOAVVAVWQVWCAVXQ
            VWQVJUMZUECUXBVTZUWSWCZVWPVWRVWPVWRWVCXKYFVWPVEZVWPVWRWVCYLVWPWUSWU
            GVWQUHUIZUNUTVWPVVAVWQWUFAWVAVWOWVBWCZUWTVWPWUGVDUMUOWUGUTVCWUGUNUT
            VCZWVAWVEUNUTVCVWPVVAWUFYFZVWPVVAWUFUXJAWVGVWOAVUTVVMDHJKLRSOVVQUBV
            WBUXCWCZWVFWUGVWQUXDUXEYGXBVWPVXJWUTWUQWURWJXFWVCUNVWRUXFXHWKYGWCUX
            GVWPVURVDUMZVWSVDUMZVXIUOVWTYHVCZVXCVXDWJWVJVWPVUQUNUOVDXFUXSUXHWEV
            WPVXJWUTWVKXFWVCUNVWRXGXHVXLVWPVVAUNYHVCZWVLVWPVVAUNVXKWVDVWPVVAWUG
            UNVXKWVHWVDVWPVVAVXKYLWVIXBVWPVVAUNWUKUXIUXKVWPVVJVXJWVMWVLWJVXKXFV
            VAUNUXLWQYIVURVWSVWTUXMUXNYIVWPVVDUOVWQUXOUIZVVCUFUSVVAUOUHUIZVWRXC
            UIZVWTXJUIVXAVWPVUSWVNVVCUFAVUSWVNVAZVWOAVYTWVQACUEXSUOCUXTVTWCUXPV
            WPVVAUFUOVWQWUFWUKUOVJUMVWPUXQWEAVWQVWIUMVWOAVWQVJVWIWVBWFWGWCUXRVW
            PWVPVWSVWTXJVWPWVOUNVWRXCVWPVVAWUFUYAWNWNWSXAYEAVVEMURVUOUYBVCZMULU
            YCZUGURZIUKZKUKZUGUSZVUSEVVBUHUIZIUKZKUKZUFUSVVDAVUOULUMVVEWWCVAVYO
            ABUGVUODFGHIJKLMNOPQRSTUAUYDVTAWVSWWBVUSWWFUGUFNVUSENURZUHUIZUYEZWW
            DWVTWWDKIUYIVVIAVVSVXQVUSWVSWWIUYFUDUEMCENWWIWWIVOZUYGXTVVLVVBWWIUK
            WWDVAANVVBWWHWWDVUSWWIWWGVVBEUHUYRWWJEWWGUHUYHUYJYAAWVTWVSUMZVBZWWB
            WWLVVMVDWWAKAVVMVDKWHWWKUCWCAVVOWVTVLUMWWAVVMUMWWKVVRWWKWVTWVRMWVTU
            LUYKUYLVLVVMWVTIUYMWBWAXKUYNAVUSWWFVVCUFAVVLVBZWWFVVBVUTLYJUKZYKUKZ
            UIZKUKZVVBVVAYMYJUKZYKUKZUIZVVCWWMWWEWWPKWWMVVBEYNYJUKZYKUKZUIZIUKZ
            WWEWWPWWMWXCWWDIWWMVVBEWWSUIZWXCWWDWWMVLWWRUYOUKUMZVVKVVTWXEWXCVAVL
            YMUYPUKUMWXFWWMUYSVLYMWWRWWRVOUYQVUHVVLVVKAVWDYAZAVVTVVLVWAWCZVLWWS
            WXBWWRWXAVVBEWWSVOZWWRVLUYTUIWXAVUAVUBWXBVOZVUCYOAEWPUMVVKWXEWWDVAV
            VLAEVYNWRVWDEVVBYPWBYDYQWWMIWXAWWNYRUIUMZVVKVVTWXDWWPVAAWXKVVLALVUD
            UMZIYNLVUEUIUMWXKAVVNLVUIUMWXLVVPJLOVUFLVUGVRLIPVUJYNLIWXAWWNWXAVOZ
            WWNVOZVUKVRWCWXGWXHVLWXBWWOIWXAWWNVVBEVLYNWXAWXMVULYSWXJWWOVOZYTYOY
            DYQWWMKWWNWWRYRUIZUMZVVKVUTVVMUMZWWQWWTVAAWXQVVLADWXPKDHJLROSVUMUBV
            UNWCWXGAWXRVVLVWBWCVVMWWOWWSKWWNWWRVVBVUTVVMLWWNWXNVVQYSWXOWXIYTYOA
            WUDVVKWWTVVCVAVVLWUEVWDVVAVVBYPWBWSWOWSXA $.
        $}

        ${
          dchrisum0flb.1 $e |- ( ph -> A e. ( ZZ>= ` 2 ) ) $.
          dchrisum0flb.2 $e |- ( ph -> P e. Prime ) $.
          dchrisum0flb.3 $e |- ( ph -> P || A ) $.
          dchrisum0flb.4 $e |- ( ph -> A. y e. ( 1 ..^ A )
                            if ( ( sqrt ` y ) e. NN , 1 , 0 ) <_ ( F ` y ) ) $.
          $( Lemma for ~ dchrisum0flb .  Induction over relatively prime
             factors, with the prime power case handled in dchrisum0flblem1 .
             (Contributed by Mario Carneiro, 5-May-2016.)  Replace reference to
             OLD theorem.  (Revised by Wolf Lammen, 8-Sep-2020.) $)
          dchrisum0flblem2 $p
                 |- ( ph -> if ( ( sqrt ` A ) e. NN , 1 , 0 ) <_ ( F ` A ) ) $=
  ( csqrt cfv cn wcel c1 cc0 cif cpc co cexp cdiv cle wbr breq1 wa 1t1e1 cprime
  cmul c2 cq wne cz wceq adantr nnq adantl nnne0 2z a1i pcexp syl121anc eluz2nn
  cc cuz syl nncnd sqsqrtd oveq2d simpr pccld nn0cnd mulcomd 3eqtr3rd prmnn cn0
  2cnd 2nn0 expmuld eqtr3d fveq2d nnexpcld nnrpd rprege0d eqtrd eqeltrd iftrued
  cr sqrtsq dchrisum0flblem1 eqbrtrrd cdvds pcdvds syl2anc nndivdvds mpbid nnzd
  clt wb crp sqrtdiv nnz syl2an2 zsqrtelqelz sqrtgt0d elnnz fveq2 nnred syl3anc
  znq nngt0d wi 1re 0le1 ffvelrnd wn 0re ifcli breq2 0le0 keephyp letrd cgcd cv
  sylanbrc cfzo eleq1d breq12d nnuz eleqtrdi pcelnn mpbird prmuz2 eluz2gt1 3syl
  ifbid expgt1 1red 0lt1 ltdiv2 syl222anc div1d breqtrd elfzo2 syl3anbrc pm3.2i
  rspcdva dchrisum0ff lemul12a syl22anc mp2and eqbrtrrid 0red ifbothda divcan2d
  mulge0d nnne0d pcndvds2 coprm prmz rpexp1i mpd dchrisum0fmul breqtrrd ) ADUIU
  JZUKULZUMUNUOZFFDUPUQZURUQZHUJZDUWFUSUQZHUJZVFUQZDHUJZUTUWCUMUWJUTVAUNUWJUTVA
  ZUWDUWJUTVAAUMUNUMUWDUWJUTVBUNUWDUWJUTVBAUWCVCZUMUMUMVFUQZUWJUTVDUWMUMUWGUTVA
  ZUMUWIUTVAZUWNUWJUTVAZUWMUWFUIUJZUKULZUMUNUOZUMUWGUTUWMUWSUMUNUWMUWRFFUWBUPUQ
  ZURUQZUKUWMUWRUXBVGURUQZUIUJZUXBUWMUWFUXCUIUWMFUXAVGVFUQZURUQUWFUXCUWMUXEUWEF
  URUWMFUWBVGURUQZUPUQZVGUXAVFUQZUWEUXEUWMFVEULZUWBVHULZUWBUNVIZVGVJULZUXGUXHVK
  AUXIUWCUFVLZUWCUXJAUWBVMVNUWCUXKAUWBVOVNUXLUWMVPVQUWBFVGVRVSUWMUXFDFUPUWMDADW
  AULUWCADADVGWBUJZULDUKULZUEDVTWCZWDZVLWEWFUWMVGUXAUWMWNUWMUXAUWMFUWBUXMAUWCWG
  WHZWIWJWKWFUWMFUXAVGUWMFUWMUXIFUKULZUXMFWLZWCZWDVGWMULUWMWOVQUXRWPWQWRUWMUXBX
  EULUNUXBUTVAVCUXDUXBVKUWMUXBUWMUXBUWMFUXAUYAUXRWSZWTXAUXBXFWCXBUYBXCZXDAUWTUW
  GUTVAUWCACUWEEFGHIJKLMNOPQRSTUAUBUCUDUFAFDUFUXPWHZXGZVLXHUWMUWHUIUJZUKULZUMUN
  UOZUMUWIUTUWMUYGUMUNUWMUYFVJULZUNUYFXOVAUYGUWMUWHVJULZUYFVHULUYIAUYJUWCAUWHAU
  WFDXIVAZUWHUKULZAUXIUXOUYKUFUXPFDXJXKAUXOUWFUKULZUYKUYLXPUXPAFUWEAUXIUXSUFUXT
  WCZUYDWSZDUWFXLXKXMZXNZVLUWMUYFUWBUWRUSUQZVHUWMDXEULZUNDUTVAVCUWFXQULUYFUYRVK
  UWMDUWMDAUXOUWCUXPVLWTXAUWMUWFAUYMUWCUYOVLWTDUWFXRXKUWCUWBVJULAUWSUYRVHULUWBX
  SUYCUWBUWRYGXTXCUWHYAXKUWMUWHUWMUWHAUYLUWCUYPVLWTYBUYFYCUUBXDAUYHUWIUTVAZUWCA
  BUUAZUIUJZUKULZUMUNUOZVUAHUJZUTVAUYTBUMDUUCUQZUWHVUAUWHVKZVUDUYHVUEUWIUTVUGVU
  CUYGUMUNVUGVUBUYFUKVUAUWHUIYDUUDUUMVUAUWHHYDUUEUHAUWHUMWBUJZULDVJULUWHDXOVAUW
  HVUFULAUWHUKVUHUYPUUFUUGADUXPXNAUWHDUMUSUQZDXOAUMUWFXOVAZUWHVUIXOVAZAFXEULUWE
  UKULZUMFXOVAZVUJAFUYNYEAVULFDXIVAZUGAUXIUXOVULVUNXPUFUXPFDUUHXKUUIAUXIFUXNULV
  UMUFFUUJFUUKUULFUWEUUNYFAUMXEULZUNUMXOVAZUWFXEULUNUWFXOVAUYSUNDXOVAVUJVUKXPAU
  UOVUPAUUPVQAUWFUYOYEAUWFUYOYHADUXPYEADUXPYHUMUWFDUUQUURXMADUXQUUSUUTUWHUMDUVA
  UVBUVDZVLXHUWMVUOUNUMUTVAZVCZUWGXEULZVUSUWIXEULZUWOUWPVCUWQYIVUSUWMVUOVURYJYK
  UVCVQZAVUTUWCAUKXEUWFHACEGHIJKLMNOPQRSTUAUBUCUDUVEZUYOYLZVLVVBAVVAUWCAUKXEUWH
  HVVCUYPYLZVLUMUWGUMUWIUVFUVGUVHUVIAUWLUWCYMAUWGUWIVVDVVEAUNUWTUWGAUVJZUWTXEUL
  AUWSUMUNXEYJYNYOVQVVDUNUWTUTVAZAUWSVURUNUNUTVAZVVGUMUNUMUWTUNUTYPUNUWTUNUTYPY
  KYQYRVQUYEYSAUNUYHUWIVVFUYHXEULAUYGUMUNXEYJYNYOVQVVEUNUYHUTVAZAUYGVURVVHVVIUM
  UNUMUYHUNUTYPUNUYHUNUTYPYKYQYRVQVUQYSUVMVLUVKAUWFUWHVFUQZHUJUWKUWJAVVJDHADUWF
  UXQAUWFUYOWDAUWFUYOUVNUVLWRACUWFUWHEGHIJKLMNOPQRSTUAUBUCUYOUYPAFUWHYTUQUMVKZU
  WFUWHYTUQUMVKZAFUWHXIVAYMZVVKAUXIUXOVVMUFUXPFDUVOXKAUXIUYJVVMVVKXPUFUYQFUWHUV
  PXKXMAFVJULZUYJUWEWMULVVKVVLYIAUXIVVNUFFUVQWCUYQUYDFUWHUWEUVRYFUVSUVTWQUWA $.
        $}

        ${
          dchrisum0flb.a $e |- ( ph -> A e. NN ) $.
          $( The divisor sum of a real Dirichlet character, is lower bounded by
             zero everywhere and one at the squares.  Equation 9.4.29 of
             [Shapiro], p. 382.  (Contributed by Mario Carneiro,
             5-May-2016.) $)
          dchrisum0flb $p |- ( ph ->
            if ( ( sqrt ` A ) e. NN , 1 , 0 ) <_ ( F ` A ) ) $=
            ( vy vk vi vp cv csqrt cfv cn wcel c1 cc0 cif cle wbr co wceq fveq2
            cfz eleq1d ifbid breq12d wral wi caddc oveq2 raleqdv imbi2d c2 cexp
            cprime 2prm a1i cn0 dchrisum0flblem1 elfz1eq numexp0 eqtr4di fveq2d
            0nn0 2nn0 biimprcd ralrimiv syl wa csn cdvds cuz wrex nnuz eleqtrdi
            simpr adantrr eluzp1p1 fveq2i eleqtrrdi exprmfct ad2antrr cbs cr wf
            df-2 adantr simprl simprr cfzo simplrr cz simplrl nnzd fzval3 mpbid
            dchrisum0flblem2 rexlimddv ovex ralsn sylibr ancld cun fzsuc ralunb
            expr bitrdi sylibrd expcom a2d nnind mpcom eluzfz2 rspcdva ) AUDUHZ
            UIUJZUKULZUMUNUOZYMFUJZUPUQZCUIUJZUKULZUMUNUOZCFUJZUPUQUDUMCVAURZCY
            MCUSZYPUUAYQUUBUPUUDYOYTUMUNUUDYNYSUKYMCUIUTVBVCYMCFUTVDCUKULAYRUDU
            UCVEZUCAYRUDUMUEUHZVAURZVEZVFAYRUDUMUMVAURZVEZVFAYRUDUMUFUHZVAURZVE
            ZVFAYRUDUMUUKUMVGURZVAURZVEZVFAUUEVFUEUFCUUFUMUSZUUHUUJAUUQYRUDUUGU
            UIUUFUMUMVAVHVIVJUUFUUKUSZUUHUUMAUURYRUDUUGUULUUFUUKUMVAVHVIVJUUFUU
            NUSZUUHUUPAUUSYRUDUUGUUOUUFUUNUMVAVHVIVJUUFCUSZUUHUUEAUUTYRUDUUGUUC
            UUFCUMVAVHVIVJAVKUNVLURZUIUJZUKULZUMUNUOZUVAFUJZUPUQZUUJABUNDVKEFGH
            IJKLMNOPQRSTUAUBVKVMULAVNVOUNVPULAWBVOVQUVFYRUDUUIYMUUIULZYRUVFUVGY
            PUVDYQUVEUPUVGYOUVCUMUNUVGYNUVBUKUVGYMUVAUIUVGYMUMUVAYMUMVRVKWCVSVT
            ZWAVBVCUVGYMUVAFUVHWAVDWDWEWFUUKUKULZAUUMUUPAUVIUUMUUPVFAUVIWGZUUMU
            UMYRUDUUNWHZVEZWGZUUPUVJUUMUVLAUVIUUMUVLAUVIUUMWGZWGZUUNUIUJZUKULZU
            MUNUOZUUNFUJZUPUQZUVLUVOUGUHZUUNWIUQZUVTUGVMUVOUUNVKWJUJZULZUWBUGVM
            WKUVOUUNUMUMVGURZWJUJZUWCUVOUUKUMWJUJZULZUUNUWFULAUVIUWHUUMUVJUUKUK
            UWGAUVIWNWLWMZWOUMUUKWPWFVKUWEWJXDWQWRZUUNUGWSWFUVOUWAVMULZUWBWGZWG
            ZUDBUUNDUWAEFGHIJKLMNOAIUKULUVNUWLPWTQRSTAJDULUVNUWLUAWTAKXAUJXBJXC
            UVNUWLUBWTUVOUWDUWLUWJXEUVOUWKUWBXFUVOUWKUWBXGUWMUUMYRUDUMUUNXHURZV
            EAUVIUUMUWLXIUWMYRUDUULUWNUWMUUKXJULUULUWNUSUWMUUKAUVIUUMUWLXKXLUMU
            UKXMWFVIXNXOXPYRUVTUDUUNUUKUMVGXQYMUUNUSZYPUVRYQUVSUPUWOYOUVQUMUNUW
            OYNUVPUKYMUUNUIUTVBVCYMUUNFUTVDXRXSYDXTUVJUUPYRUDUULUVKYAZVEUVMUVJY
            RUDUUOUWPUVJUWHUUOUWPUSUWIUMUUKYBWFVIYRUDUULUVKYCYEYFYGYHYIYJACUWGU
            LCUUCULACUKUWGUCWLWMUMCYKWFYL $.
        $}

        dchrisum0fno1.a $e |- ( ph -> ( x e. RR+ |->
     sum_ k e. ( 1 ... ( |_ ` x ) ) ( ( F ` k ) / ( sqrt ` k ) ) ) e. O(1) ) $.
        $( The sum ` sum_ k <_ x , F ( x ) / sqrt k ` is divergent (i.e. not
           eventually bounded).  Equation 9.4.30 of [Shapiro], p. 383.
           (Contributed by Mario Carneiro, 5-May-2016.) $)
        dchrisum0fno1 $p |- -. ph $=
          ( vi vm crp cv clog cfv cmpt co1 wcel logno1 c2 cdiv co wa cr relogcl
          cmul adantl 2cnd cc0 wne 2ne0 a1i divcan2d mpteq2dva cc rehalfcld wss
          recnd rpssre 2cn o1const mp2an c1 cfl cfz csqrt csu cvv sumex cle wbr
          1red cabs adantrr clt ad2antrl log1 simprr wb 1rp simprl logleb mpbid
          sylancr eqbrtrrid 2pos divge0 syl22anc absidd fzfid cn wf dchrisum0ff
          adantr elfznn ffvelrn syl2an nnrpd rpsqrtcld rerpdivcld fsumrecl wceq
          2re syl eqbrtrrd rprege0d sqrtsq eqeltrd fveq2 oveq1d sumeq2dv oveq2d
          cexp rpred simplbda syl2anc sqsqrtd mpbir2and oveq1 eqeltrrd eqtrd wn
          fznnfl ad2antrr letrd nnrecred logsqrt rpsqrtcl harmoniclbnd cif wrex
          abscld crn eqid ovex elrnmpti eleq1d syl5ibrcom rexlimdva imp iftrued
          syl5bi wf1 wf1o nnsqcld le2sq breqtrd ex sq11 dom2lem f1f1orn fvmpt3i
          f1f frn 3syl sselda 1re 0re ifcli rerpdivcl syldan fsumf1o cdif eldif
          nncnd sqrtle elrnmpt1s expr con3d impr sylan2b iffalsed eldifi sylan2
          rpcnne0d div0 fsumss 3eqtr3d cbs dchrisum0flb lediv1dd fsumle eqbrtrd
          wi leabsd o1le o1mul2 mto ) ABUGBUHZUIUJZUKZULUMBUNABUGUOUXEUOUPUQZVA
          UQZUKUXFULABUGUXHUXEAUXDUGUMZURZUXEUOUXJUXEUXIUXEUSUMZAUXDUTZVBZVMUXJ
          VCZUOVDVEUXJVFVGVHVIABUGUOUXGVJUXNUXJUXGUXJUXEUXMVKZVMZBUGUOUKULUMZAU
          GUSVLUOVJUMUXQVNVOBUGUOVPVQVGABUGVRUXDVSUJZVTUQZFUHZGUJZUXTWAUJZUPUQZ
          FWBZUXGVRWCAWGUDUYDWCUMUXJUXSUYCFWDVGUXPAUXIVRUXDWEWFZURZURZUXGWHUJUX
          GUYDWHUJZWEUYGUXGAUXIUXGUSUMUYEUXOWIZUYGUXKVDUXEWEWFUOUSUMZVDUOWJWFZV
          DUXGWEWFUXIUXKAUYEUXLWKUYGVDVRUIUJZUXEWEWLUYGUYEUYLUXEWEWFZAUXIUYEWMU
          YGVRUGUMUXIUYEUYMWNWOAUXIUYEWPZVRUXDWQWSWRWTUYJUYGXRVGUYKUYGXAVGUXEUO
          XBXCXDUYGUXGUYDUYHUYIUYGUXSUYCFUYGVRUXRXEZUYGUXTUXSUMZURZUYAUYBUYGXFU
          SGXGZUXTXFUMZUYAUSUMUYPAUYRUYFACDEGHIJKLMNOPQRSTUAUBUCXHXIUXTUXRXJZXF
          USUXTGXKXLZUYQUXTUYQUXTUYPUYSUYGUYTVBZXMXNZXOZXPZUYGUYDUYGUYDVUEVMUUG
          UYGUXGVRUXDWAUJZVSUJZVTUQZVRUEUHZUPUQZUEWBZUYDUYIUYGVUHVUJUEUYGVRVUGX
          EZUYGVUIVUHUMZURZVUIVUMVUIXFUMUYGVUIVUGXJZVBZUUAXPVUEUYGVUFUIUJZUXGVU
          KWEUXIVUQUXGXQAUYEUXDUUBWKUYGVUFUGUMZVUQVUKWEWFUXIVURAUYEUXDUUCWKZVUF
          UEUUDXSXTUYGUXSUYBXFUMZVRVDUUEZUYBUPUQZFWBZVUKUYDWEUYGUFVUHUFUHZUOYHU
          QZUKZUUHZVVBFWBZVUHVRVUIUOYHUQZWAUJZUPUQZUEWBZVVCVUKUYGVVHVVGVRUYBUPU
          QZFWBVVLUYGVVGVVBVVMFUYGUXTVVGUMZURZVVAVRUYBUPVVOVUTVRVDUYGVVNVUTVVNU
          XTVVEXQZUFVUHUUFUYGVUTUFVUHVVEUXTVVFVVFUUIZVVDUOYHUUJZUUKUYGVVPVUTUFV
          UHUYGVVDVUHUMZURZVUTVVPVVEWAUJZXFUMVVTVWAVVDXFVVTVVDUSUMVDVVDWEWFURZV
          WAVVDXQVVTVVDVVTVVDVVSVVDXFUMZUYGVVDVUGXJZVBZXMYAZVVDYBXSVWEYCVVPUYBV
          WAXFUXTVVEWAYDUULUUMUUNUUQUUOUUPYEZYFUYGVVGVVMVUHVVKFUEVVFVVIUXTVVIXQ
          UYBVVJVRUPUXTVVIWAYDYGVULUYGVUHUXSVVFUURZVUHVVGVVFUUSUYGUFUEVUHUXSVVE
          VVIUYGVVSVVEUXSUMZVVTVWIVVEXFUMZVVEUXDWEWFZVVTVVDVWEUUTVVTVVEVUFUOYHU
          QZUXDWEVVTVVDVUFWEWFZVVEVWLWEWFZUYGVVSVWCVWMUYGVUFUSUMZVVSVWCVWMURWNU
          YGVUFVUSYIVVDVUFYRXSYJVVTVWBVWOVDVUFWEWFURVWMVWNWNVWFVVTVUFUYGVURVVSV
          USXIYAVVDVUFUVAYKWRVVTUXDVVTUXDUYGUXDUSUMZVVSUYGUXDUYNYIZXIZVMYLUVBVV
          TVWPVWIVWJVWKURWNVWRVVEUXDYRXSYMUVCVVSVUMURVVEVVIXQVVDVUIXQWNZUWSUYGV
          VSVWBVUIUSUMVDVUIWEWFURZVWSVUMVVSVVDVVSVVDVWDXMYAVUMVUIVUMVUIVUOXMYAV
          VDVUIUVDXLVGUVEZVUHUXSVVFUVFXSVUMVUIVVFUJVVIXQUYGUFVUIVVEVVIVUHVVFVVD
          VUIUOYHYNVVQVVRUVGVBVVOVVBVVMVJVWGUYGVVNUYPVVBVJUMUYGVVGUXSUXTUYGVWHV
          UHUXSVVFXGVVGUXSVLVXAVUHUXSVVFUVHVUHUXSVVFUVIUVJZUVKUYQVVBUYQVVAUSUMZ
          UYBUGUMZVVBUSUMVUTVRVDUSUVLUVMUVNZVUCVVAUYBUVOWSZVMUVPZYOUVQYPUYGVVGU
          XSVVBFVXBVXGUYGUXTUXSVVGUVRUMZURZVVBVDUYBUPUQZVDVXIVVAVDUYBUPVXIVUTVR
          VDVXHUYGUYPVVNYQZURVUTYQZUXTUXSVVGUVSUYGUYPVXKVXLUYQVUTVVNUYGUYPVUTVV
          NUYGUYPVUTURZURZUYBUOYHUQZUXTVVGVXNUXTVXNUXTUYPUYSUYGVUTUYTWKZUVTYLZV
          XNUYBVUHUMZVXOXFUMVXOVVGUMVXNVXRVUTUYBVUFWEWFZUYGUYPVUTWMVXNUXTUXDWEW
          FZVXSUYGUYPVXTVUTUYGUYPUYSVXTUYGVWPUYPUYSVXTURWNVWQUXTUXDYRXSYJWIVXNU
          XTUSUMVDUXTWEWFURVWPVDUXDWEWFURVXTVXSWNVXNUXTVXNUXTVXPXMYAVXNUXDUYGUX
          IVXMUYNXIYAUXTUXDUWAYKWRVXNVWOVXRVUTVXSURWNVXNVUFUYGVURVXMVUSXIYIUYBV
          UFYRXSYMVXNVXOUXTXFVXQVXPYCUFVUHVVEVXOUYBVVFXFVVQVVDUYBUOYHYNUWBYKYOU
          WCUWDUWEUWFUWGYEVXIUYBVJUMUYBVDVEURVXJVDXQVXIUYBVXHUYGUYPVXDUXTUXSVVG
          UWHVUCUWIUWJUYBUWKXSYPUYOUWLUYGVUHVVKVUJUEVUNVVJVUIVRUPVUNVWTVVJVUIXQ
          VUNVUIVUNVUIVUPXMYAVUIYBXSYGYFUWMUYGUXSVVBUYCFUYOVXFVUDUYQVVAUYAUYBVX
          CUYQVXEVGVUAVUCUYQCUXTDEGHIJKLMNOPAJXFUMUYFUYPQYSRSTUAAKDUMUYFUYPUBYS
          ALUWNUJUSKXGUYFUYPUCYSVUBUWOUWPUWQXTYTUYGUYDVUEUWTYTUWRUXAUXBYOUXC $.
      $}

      rpvmasum2.w $e |- W = { y e. ( D \ { .1. } ) |
        sum_ m e. NN ( ( y ` ( L ` m ) ) / m ) = 0 } $.
      ${
        $d n A $.
        rpvmasum2.u $e |- U = ( Unit ` Z ) $.
        rpvmasum2.b $e |- ( ph -> A e. U ) $.
        rpvmasum2.t $e |- T = ( `' L " { A } ) $.
        rpvmasum2.z1 $e |- ( ( ph /\ f e. W ) -> A = ( 1r ` Z ) ) $.
        $( A partial result along the lines of ~ rpvmasum .  The sum of the von
           Mangoldt function over those integers ` n == A ` (mod ` N ` ) is
           asymptotic to ` ( 1 - M ) ( log x / phi ( x ) ) + O(1) ` , where
           ` M ` is the number of non-principal Dirichlet characters with
           ` sum_ n e. NN , X ( n ) / n = 0 ` .  Our goal is to show this set
           is empty.  Equation 9.4.3 of [Shapiro], p. 375.  (Contributed by
           Mario Carneiro, 5-May-2016.) $)
        rpvmasum2 $p |- ( ph -> ( x e. RR+ |-> ( ( ( phi ` N ) x.
      sum_ n e. ( ( 1 ... ( |_ ` x ) ) i^i T ) ( ( Lam ` n ) / n ) ) -
            ( ( log ` x ) x. ( 1 - ( # ` W ) ) ) ) ) e. O(1) ) $=
          ( va vt vc crp cv cfv ccj c1 cfl cdiv cmul csu wceq wcel cneg cc0 cif
          co cmin cmpt cin co1 wa cn cfn adantr syl fzfid simpr sselid ffvelrnd
          cc cjcld adantlr wf ad4ant14 cz cn0 syl2an anasss adantl recnd mulcld
          eqid anass1rs fsumcl ax-1cn neg1cn 0cn ifcli sylancl subdid fsummulc2
          cr mulcl a1i ovif2 fveq1 ad2antrr sylan9eqr fveq2d eqtrdi oveq1d cmgp
          ccnfld ringidval eqtrd mul01d syl5eq oveq2d oveq12d sumeq2dv wss ssfi
          syldan wral wo olcd sumss2 syl21anc csn 3eqtr3d eqtr3d 3eqtrd mulid1d
          wb caddc eqeltrd negeq neg0 ifsb mpteq2dva an32s cvma clog cphi chash
          cfz dchrfi cbs unitss adantrl wfo nnnn0d znzrhfo 3syl elfzelz ffvelrn
          dchrf elfznn vmacl nndivred adantrr relogcl fsumsub mul12d dchr1 cjre
          fof 1re ax-mp 1t1e1 wn wne df-ne ad5ant15 cmhm dchrmhm cnfld1 mulid2i
          cur mhm0 ifeq2d sylan2br ifeq12da inss1 phicld nncnd sselda ralrimiva
          ifeq1da cuz elin baib ccnv cima eleq2i wfn ffnd fniniseg baibd syl5bb
          bitr2d mul02d ifbieq2d ovif fsummulc1 sum2dchr mulass syl3anc eqtr3id
          mul12 fsumcom cdif cabl cgrp dchrabl ablgrp grpidcl 4syl iftrue sumsn
          w3a syl2anc eldifsn ifnefalse ad2antll eqtr4di mulneg2 sylan2b ssrab3
          diffi fsumneg difss sstri fsumconst ralrimivw hashcl nn0cnd negeqd c0
          negsubd disjdif undif2 snssd ssequn1 sylib eqtr2id fsumsplit 3eqtr4rd
          cun 3eqtr4d rpssre subcld o1const sylancr sylan9eq rpvmasumlem mulcom
          sumeq2sdv mulm1d ifeq12d 3eqtr4g ifcl subnegd cseq cli cabs cpnf cico
          wbr cle wrex wex simplr dchrmusumlema simprrl simprrr dchrvmaeq0 ifbi
          simprl mpteq2dv dchrvmasumif rexlimdvaa exlimdv mpd pm2.61dane o1mul2
          fsumo1 eqeltrrd ) ABUKEDIULZUMZUNUMZUOBULZUPUMZUUEVEZKULZMUMZVWHUMZVW
          NUUAUMZVWNUQVEZURVEZKUSZVWKUUBUMZVWHHUTZUOVWHOVAZUOVBZVCVDZVDZURVEZVF
          VEZURVEZIUSZVGBUKNUUCUMZVWMFVHZVWRKUSURVEZVXAUOOUUDUMZVFVEURVEZVFVEZV
          GVIABUKVXJVXPAVWKUKVAZVJZEVWMVWJVWSURVEZKUSZVXGVFVEZIUSEVXTIUSZEVXGIU
          SZVFVEVXJVXPVXREVXTVXGIVXRNVKVAZEVLVAZAVYDVXQSVMZELNTUAUUFZVNZVXRVWHE
          VAZVJZVWMVXSKVYJUOVWLVOZVXRVWNVWMVAZVYIVXSVSVAVXRVYLVYIVJVJZVWJVWSVXR
          VYIVWJVSVAZVYLAVYIVYNVXQAVYIVJZVWIVYOPUUGUMZVSDVWHVYOVYPELNVWHPTQUAVY
          PWKZAVYIVPUUPZADVYPVAVYIAGVYPDVYPPGVYQUDUUHUEVQVMVRZVTZWAZUUIVYMVWPVW
          RVXRVYLVYIVWPVSVAZVXRVYLVJZVYIVJZVYPVSVWOVWHAVYIVYPVSVWHWBVXQVYLVYRWC
          WUCVWOVYPVAZVYIVXRWDVYPMWBZVWNWDVAZWUEVYLAWUFVXQANWEVAWDVYPMUUJWUFANS
          UUKVYPMNPQVYQRUULWDVYPMUVFUUMVMZVWNUOVWLUUNZWDVYPVWNMUUOWFZVMVRZWGVXR
          VYLVWRVSVAZVYIWUCVWRWUCVWQVWNWUCVWNVKVAZVWQXAVAVYLWUMVXRVWNVWLUUQWHZV
          WNUURVNWUNUUSWIZUUTWJZWJZWLWMVYJVXAVSVAZVXFVSVAZVXGVSVAVXRWURVYIVXRVX
          AVXQVXAXAVAAVWKUVAZWHWIZVMZVXBUOVXEVSWNVXCVXDVCVSWOWPWQWQZVXAVXFXBWRZ
          UVBVXREVXIVYAIVYJVXIVWJVWTURVEZVWJVXGURVEZVFVEVYAVYJVWJVWTVXGWUAVYJVW
          MVWSKVYKVXRVYLVYIVWSVSVAWUPWLZWMZWVDWSVYJWVEVXTWVFVXGVFVYJVWMVWSVWJKV
          YKWUAWVGWTVYJWVFVXAVWJVXFURVEZURVEVXGVYJVWJVXAVXFWUAWVBWUSVYJWVCXCUVC
          VYJWVIVXFVXAURVYJWVIVXBVWJUOURVEZVWJVXEURVEZVDVXFVXBVWJUOVXEURXDVYJVX
          BWVJWVKUOVXEVYJVXBVJZWVJUOUOURVEUOWVLVWJUOUOURWVLVWJUOUNUMZUOWVLVWIUO
          UNVXBVYJVWIDHUMUODVWHHXEVYJDGHLNPTQUBUDAVYDVXQVYISXFADGVAZVXQVYIUEXFU
          VDXGXHUOXAVAWVMUOUTUVGUOUVEUVHZXIXJUVIXIVXBUVJVYJVWHHUVKZWVKVXEUTVWHH
          UVLVYJWVPVJZWVKVXCVWJVXDURVEZVWJVCURVEZVDZVXEVXCVWJVXDVCURXDWVQWVTVXC
          VXDWVSVDVXEWVQVXCWVRVXDWVSWVQVXCVJZWVRUOVXDURVEVXDWWAVWJUOVXDURWWAVWJ
          WVMUOWWAVWIUOUNWWAVWIPUVRUMZVWHUMZUOAVXCVWIWWCUTVXQVYIWVPAVXCVJDWWBVW
          HUGXHUVMVYJWWCUOUTZWVPVXCVYJVWHPXKUMZXLXKUMZUVNVEZVAWWDVYJEWWGVWHELNP
          TQUAUVOVXRVYIVPVQWWEWWFVWHUOWWBPWWBWWEWWEWKWWBWKXMXLUOWWFWWFWKUVPXMUV
          SVNXFXNXHWVOXIXJVXDWOUVQXIUWHWVQVXCWVSVCVXDWVQVWJVYJVYNWVPWUAVMXOUVTX
          NXPUWAUWBXPXQXNXRXNXSVXRVXMVYBVXOVYCVFVXRVXMVWMEVXSIUSZKUSZVYBVXRVXMV
          XLVXKVWRURVEZKUSZVWMVWNVXLVAZWWJVCVDZKUSZWWIVXRVXLVWRVXKKVXRVWMVLVAZV
          XLVWMXTZVXLVLVAVXRUOVWLVOZVWMFUWCZVWMVXLYAWRVXRVXKVXRNVYFUWDUWEZVXRWW
          LVYLWULVXRVXLVWMVWNWWPVXRWWRXCZUWFZWUOYBWTVXRWWPWWJVSVAZKVXLYCVWMUOUW
          IUMZXTZWWOYDWWKWWNUTWWTVXRWXBKVXLVXRWWLVYLWXBWXAWUCVXKVWRVXRVXKVSVAVY
          LWWSVMWUOWJYBUWGVXRWWOWXDWWQYEVXLVWMWWJKUOYFYGVXRVWMWWMWWHKWUCVWODUTZ
          WWJVCVWRURVEZVDZWWMWWHWUCWXEWWLWXFVCWWJWUCWWLVWNFVAZWXEVYLWWLWXHYMVXR
          WWLVYLWXHVWNVWMFUWJUWKWHWXHVWNMUWLDYHUWMZVAZWUCWXEFWXIVWNUFUWNVXRMWDU
          WOZWUGWXJWXEYMVYLVXRWDVYPMWUHUWPWUIWXKWXJWUGWXEWDDVWNMUWQUWRWFUWSUWTW
          UCVWRWUOUXAUXBWUCWXGWXEVXKVCVDZVWRURVEZWWHWXEVXKVCVWRURUXCWUCEVWPVWJU
          RVEZIUSZVWRURVEEWXNVWRURVEZIUSWXMWWHWUCEWXNVWRIWUCVYDVYEAVYDVXQVYLSXF
          ZVYGVNWUOWUDVWPVWJWUKAVYIVYNVXQVYLVYTWCZWJUXDWUCWXOWXLVWRURWUCIVWOVYP
          DEGLNPTUAQVYQUDWXQWUJAWVNVXQVYLUEXFUXEXJWUCEWXPVXSIWUDWUBVYNWULWXPVXS
          UTWUKWXRWUCWULVYIWUOVMWUBVYNWULUXTWXPVWPVWJVWRURVEURVEVXSVWPVWJVWRUXF
          VWPVWJVWRUXIXNUXGXSYIUXHYJXSYKVXRVWMEVXSKIWWQVYHWUQUXJXNVXRHYHZVXGIUS
          ZEWXSUXKZVXGIUSZYNVEZVXAUOURVEZVXAVXNURVEZVFVEZVYCVXOVXRWYCWYDWYEVBZY
          NVEWYFVXRWXTWYDWYBWYGYNVXRHEVAZWYDVSVAWXTWYDUTVXRVYDLUXLVALUXMVAWYHVY
          FLNTUXNLUXOELHUAUBUXPUXQZVXRWYDVXAVSVXRVXAWVAYLWVAYOZVXGWYDIHEVXBVXFU
          OVXAURVXBUOVXEUXRXQZUXSUYAVXRWYBWYAVXAVXCUOVCVDZURVEZVBZIUSWYAWYMIUSZ
          VBWYGVXRWYAVXGWYNIVWHWYAVAZVXRVYIWVPVJZVXGWYNUTVWHEHUYBVXRWYQVJZVXGVX
          AWYLVBZURVEZWYNWYRVXFWYSVXAURWYRVXFVXEWYSWVPVXFVXEUTVXRVYIVWHHUOVXEUY
          CZUYDVXCUOVCWYSVXDVCWYLUOYPWYLVCUTWYSVCVBZVCWYLVCYPYQXIYRUYEXQWYRWURW
          YLVSVAZWYTWYNUTVXRWURWYQWVAVMVXCUOVCVSWNWPWQZVXAWYLUYFWRXNUYGXSVXRWYA
          WYMIVXRVYEWYAVLVAZVYHEWXSUYIVNZVXRWYPVJZWURXUCWYMVSVAVXRWURWYPWVAVMXU
          DVXAWYLXBWRUYJVXRWYOWYEVXRVXAWYAWYLIUSZURVEWYOWYEVXRWYAWYLVXAIXUFWVAX
          UCXUGXUDXCWTVXRXUHVXNVXAURVXROUOIUSZVXNUOURVEZXUHVXNVXROVLVAZUOVSVAZX
          UIXUJUTVXRVYEOEXTXUKVYHOWYAEVKJULZMUMCULZUMXUMUQVEJUSVCUTCWYAOUCUYHZE
          WXSUYKUYLEOYAWRZWNOUOIUYMWRVXROWYAXTZXULIOYCWYAWXCXTZXUEYDXUIXUHUTXUQ
          VXRXUOXCVXRXULIOXULVXRWNXCZUYNVXRXUEXURXUFYEOWYAUOIUOYFYGVXRVXNVXRVXN
          VXRXUKVXNWEVAXUPOUYOVNUYPZYLYIXQYJUYQYKXRVXRWYDWYEWYJVXRVXAVXNWVAXUTW
          JUYSXNVXRWXSWYAVXGEIWXSWYAVHUYRUTVXRWXSEUYTXCVXRWXSWYAVUHWXSEVUHZEWXS
          EVUAVXRWXSEXTXVAEUTVXRHEWYIVUBWXSEVUCVUDVUEVYHWVDVUFVXRVXAUOVXNWVAXUS
          XUTWSVUGXRVUIYSABUKEVXIIVSUKXAXTZAVUJXCAVYDVYESVYGVNAVXQVYIVXIVSVAVYJ
          VWJVXHVYJVWIAVYIVWIVSVAVXQVYSWAVTVYJVWTVXGWVHWVDVUKZWJWGVYOBUKVWJVXHV
          SVYOVYNVXQVYTVMAVXQVYIVXHVSVAXVCYTVYOXVBVYNBUKVWJVGVIVAVUJVYTBUKVWJVU
          LVUMVYOBUKVXHVGZVIVAVWHHVYOVXBVJZXVDBUKVWMVWOHUMZVWRURVEZKUSZVXAVFVEZ
          VGZVIXVEBUKVXHXVIXVEVXQVXHXVHWYDVFVEZXVIVXBVXHXVKUTVYOVXBVWTXVHVXGWYD
          VFVXBVWMVWSXVGKVXBVWPXVFVWRURVWOVWHHXEXJVUQWYKXRWHVXQWYDVXAXVHVFVXQVX
          AVXQVXAWUTWIYLXQVUNYSAXVJVIVAVYIVXBABEHKLMNPQRSTUAUBVUOXFYOVYOWVPVJZX
          VDBUKVWTVXCVXAVCVDZYNVEZVGZVIXVLBUKVXHXVNVYOVXQWVPVXHXVNUTWVPVYOVXQVJ
          ZVXHVWTVXAVXEURVEZVFVEZXVNWVPVXGXVQVWTVFWVPVXFVXEVXAURXUAXQXQXVPXVRVW
          TXVMVBZVFVEXVNXVPXVQXVSVWTVFXVPVXCVXAVXDURVEZVXAVCURVEZVDVXCVXAVBZVCV
          DXVQXVSXVPVXCXVTXWBXWAVCXVPXVTVXDVXAURVEZXWBXVPWURVXDVSVAXVTXWCUTAVXQ
          WURVYIWVAWAZWOVXAVXDVUPWRXVPVXAXWDVURXNXVPVXAXWDXOVUSVXCVXAVXDVCURXDV
          XCVXAVCXVSXWBVCXVMVXAYPXVMVCUTXVSXUBVCXVMVCYPYQXIYRVUTXQXVPVWTXVMAVXQ
          VYIVWTVSVAWVHYTXVPWURVCVSVAXVMVSVAXWDWPVXCVXAVCVSVVAWRVVBXNXGYTYSXVLY
          NUHVKUHULZMUMVWHUMXWEUQVEVGZUOVVCZUIULZVVDVVHZXUNUPUMXWGUMXWHVFVEVVEU
          MUJULZXUNUQVEVVIVVHCUOVVFVVGVEYCZVJZUJVCVVFVVGVEZVVJZUIVVKXVOVIVAZXVL
          CUIEHXWFLMNVWHPUHUJQRAVYDVYIWVPSXFTUAUBAVYIWVPVVLZVYOWVPVPXWFWKZVVMXV
          LXWNXWOUIXVLXWLXWOUJXWMXVLXWJXWMVAZXWLVJZVJZXVOBUKVWTXWHVCUTZVXAVCVDZ
          YNVEZVGZVIXWTVXCXXAYMZXVOXXDUTXWTCXWJEXWHHJXWFLMNOVWHPUHQRVYOVYDWVPXW
          SAVYDVYISVMXFZTUAUBXVLVYIXWSXWPVMZVYOWVPXWSVVLZXWQXVLXWRXWLVVRZXVLXWR
          XWIXWKVVNZXVLXWRXWIXWKVVOZUCVVPXXEBUKXVNXXCXXEXVMXXBVWTYNVXCXXAVXAVCV
          VQXQVVSVNXWTBCXWJEXWHHKXWFLMNVWHPUHQRXXFTUAUBXXGXXHXWQXXIXXJXXKVVTYOV
          WAVWBVWCYOVWDVWEVWFVWG $.
      $}

      dchrisum0.b $e |- ( ph -> X e. W ) $.
      $( Suppose ` X ` is a non-principal Dirichlet character with
         ` sum_ n e. NN , X ( n ) / n = 0 ` .  Then ` X ` is a real character.
         Part of Lemma 9.4.4 of [Shapiro], p. 382.  (Contributed by Mario
         Carneiro, 5-May-2016.) $)
      dchrisum0re $p |- ( ph -> X : ( Base ` Z ) --> RR ) $=
        ( wcel vx vn vf vk va vt vc cbs cfv wfn cv cr wral wf cc eqid cdif cdiv
        csn cn csu cc0 wceq ssrab3 sselid eldifad dchrf ffnd ffvelrnda ccj ccom
        co wa fvco3 sylan crp clog cmpt co1 wn wne cfl cfz cmul cmin cn0 nnnn0d
        c1 syl adantr nn0red cfn wss fzfid ssfi sylancl elfznn remulcld sylancr
        adantl resubcld recnd cle wbr caddc ad2ant2r c2 2re a1i ad2antrr simprl
        cabs wb mpbid syl2anc mpbird sylanbrc nnuz weq 2fveq3 id oveq12d fveq2d
        fvmpt oveq2d cz syl2an oveq1d cjcld divcld eqeltrd cseq cli cvv fsumser
        cpnf cico nnred letrd absidd cphi ccnv cur cima cin cvma chash 1red cui
        logno1 ccrg zncrng crngring 1unit eqidd rpvmasum2 phicld elinel1 sylan2
        crg inss1 vmacl nndivre mpancom fsumrecl relogcl 1re dchrfi difss sstri
        hashcl resubcl adantlr ad2antrl readdcld 0red log1 simprr 1rp eqbrtrrid
        logleb cminusg dchrinv cgrp dchrabl grpinvcl eqeltrrd eldifsni grpinv11
        cabl ablgrp grpidcl necon3bid grpinvid 3netr3d 1zzd fvex nnre cjred wfo
        eldifsn znzrhfo fof nnz ffvelrn ffvelrnd nncn nnne0 cjdivd 3eqtr4d wrex
        wex dchrmusumlema simprrl simprrr dchrvmaeq0 breqtrd rexlimdvaa exlimdv
        eqtrd mpd seqex ovex serf simpl fsumcj cuz eleqtrdi 3eqtr3rd climcj cj0
        simpr breqtrdi isumclim sumeq2sdv eqeq1d elrab2 simplr nehash2 lemul2ad
        suble0 df-2 oveq1i 1cnd addsubassd syl5eq adantrr adddid mulid1d 3eqtrd
        fveq1 mul01d 3brtr3d nn0ge0d clt vmage0 nngt0d syl22anc fsumge0 mulge0d
        divge0 leaddsub syl3anc 3brtr4d ex necon1bd mpi fveq1d eqtr3d ralrimiva
        o1le cjrebd ffnfv ) AJKUHUIZUJUAUKZJUIZULTZUAVVNUMVVNULJUNAVVNUOJAVVNCF
        HJKOLPVVNUPZAJCDUSZAICVVSUQZJUTEUKZGUIZBUKZUIZVWAURVLZEVAZVBVCZBVVTIRVD
        ZSVEZVFZVGZVHAVVQUAVVNAVVOVVNTZVMZVVPAVVNUOVVOJVWKVIVWMVVOVJJVKZUIZVVPV
        JUIZVVPAVVNUOJUNZVWLVWOVWPVCVWKVVNUOVVOVJJVNVOVWMVVOVWNJAVWNJVCZVWLAUAV
        PVVOVQUIZVRVSTZVTVWRUAUUJAVWTVWNJAVWNJWAZVWTAVXAVMZUAVPHUUAUIZWHVVOWBUI
        ZWCVLZGUUBKUUCUIZUSUUDZUUEZUBUKZUUFUIZVXIURVLZUBVAZWDVLZVWSWHIUUGUIZWEV
        LZWDVLZWEVLZVWSWHUOVXBUUHAUAVPVXQVRVSTVXAAUABVXFCVXGKUUIUIZDUCEUBFGHIKL
        MNOPQRVXRUPZAKUUTTZVXFVXRTAKUUKTZVXTAHWFTZVYAAHNWGZHKLUULWIKUUMWIKVXRVX
        FVXSVXFUPUUNWIVXGUPAUCUKITVMVXFUUOUUPWJAVVOVPTZVXQUOTVXAAVYDVMZVXQVYEVX
        MVXPVYEVXCVXLVYEVXCAVXCWFTZVYDAVXCAHNUUQZWGZWJWKVYEVXHVXKUBVYEVXEWLTVXH
        VXEWMVXHWLTVYEWHVXDWNVXEVXGUVAVXEVXHWOWPZVYEVXIVXHTZVMZVXIUTTZVXKULTZVY
        JVYEVXIVXETZVYLVXIVXEVXGUURVYNVYLVYEVXIVXDWQWTUUSZVXJULTZVYLVYMVXIUVBZV
        XJVXIUVCUVDWIZUVEZWRZVYEVWSVXOVYDVWSULTZAVVOUVFZWTAVXOULTZVYDAWHULTVXNU
        LTZWUCUVGAVXNAIWLTZVXNWFTACWLTZICWMWUEAHUTTZWUFNCFHOPUVHWIIVVTCVWHCVVSU
        VIUVJCIWOWPZIUVKWIWKZWHVXNUVLWSZWJWRZXAZXBUVMVXBVYDVMVWSVYDWUAVXBWUBWTX
        BZVXBVYDWHVVOXCXDZVMZVMZVWSVXQVWSXLUIVXQXLUIXCWUPVWSVXPXEVLZVXMXCXDZVWS
        VXQXCXDZWUPWUQVBVXMWUPVWSVXPVYDWUAVXBWUNWUBUVNZAVYDVXPULTZVXAWUNWUKXFZU
        VOWUPUVPZAVYDVXMULTZVXAWUNVYTXFZWUPVWSXGVXNWEVLZWDVLZVWSVBWDVLWUQVBXCWU
        PWVFVBVWSWUPXGVXNXGULTZWUPXHXIAWUDVXAWUOWUIXJZXAWVCWUTWUPVBWHVQUIZVWSXC
        UVQWUPWUNWVJVWSXCXDZVXBVYDWUNUVRWUPWHVPTVYDWUNWVKXMUVSVXBVYDWUNXKWHVVOU
        WAWSXNUVTZWUPWVFVBXCXDZXGVXNXCXDZWUPVWNJIWLAWUEVXAWUOWUHXJAVWNITZVXAWUO
        AVWNVVTTZUTVWBVWNUIZVWAURVLZEVAZVBVCZWVOAVWNCTVWNDWAWVPAJFUWBUIZUIZVWNC
        ACFWWAHJOPVWJWWAUPZUWCZAFUWDTZJCTZWWBCTAFUWJTZWWEAWUGWWGNFHOUWEWIFUWKWI
        ZVWJCFWWAJPWWCUWFXOUWGAWWBDWWAUIZVWNDAWWBWWIWAJDWAZAJVVTTWWJVWIJCDUWHWI
        ZAWWBWWIJDACFWWAJDPWWCWWHVWJAWWEDCTWWHCFDPQUWLWIUWIUWMXPWWDAWWEWWIDVCWW
        HFWWADQWWCUWNWIUWOVWNCDUXAXQAWVRVBEUBUTVXIGUIJUIZVXIURVLZVJUIZVRZWHUTXR
        AUWPZAVWAUTTZVMZVWAWWOUIZVWBJUIZVWAURVLZVJUIZWVRWWQWWSWXBVCZAUBVWAWWNWX
        BUTWWOUBEXSZWWMWXAVJWXDWWLWWTVXIVWAURVXIVWAJGXTWXDYAYBYCWWOUPWXAVJUWQYD
        WTZWWRWWTVJUIZVWAVJUIZURVLWXFVWAURVLZWXBWVRWWRWXGVWAWXFURWWRVWAWWQVWAUL
        TAVWAUWRWTUWSYEWWRWWTVWAWWRVVNUOVWBJAVWQWWQVWKWJZAYFVVNGUNZVWAYFTVWBVVN
        TZWWQAYFVVNGUWTZWXJAVYBWXLVYCVVNGHKLVVRMUXBWIYFVVNGUXCWIVWAUXDYFVVNVWAG
        UXEYGZUXFZWWQVWAUOTAVWAUXGWTZWWQVWAVBWAAVWAUXHWTZUXIWWRWVQWXFVWAURWWRVW
        QWXKWVQWXFVCWXIWXMVVNUOVWBVJJVNXOYHZUXJUXTWWRWVRWXHUOWXQWWRWXFVWAWWRWWT
        WXNYIWXOWXPYJYKAXEWWOWHYLZVBVJUIVBYMAVBUDXEUEUTUEUKZGUIJUIZWXSURVLZVRZW
        HYLZWXRWHYNUTXRAWYCUFUKZYMXDZVWCWBUIWYCUIWYDWEVLXLUIUGUKZVWCURVLXCXDBWH
        YPYQVLUMZVMZUGVBYPYQVLZUXKZUFUXLWYCVBYMXDZABUFCDWYBFGHJKUEUGLMNOPQVWJWW
        KWYBUPZUXMAWYJWYKUFAWYHWYKUGWYIAWYFWYITZWYHVMZVMZWYCWYDVBYMAWYMWYEWYGUX
        NZWYOJITZWYDVBVCAWYQWYNSWJWYOBWYFCWYDDEWYBFGHIJKUELMAWUGWYNNWJOPQAWWFWY
        NVWJWJAWWJWYNWWKWJWYLAWYMWYHXKWYPAWYMWYEWYGUXORUXPXNUXQUXRUXSUYAWXRYNTA
        XEWWOWHUYBXIWWPAUTUOUDUKZWYCAEWYBWHUTXRWWPWWRVWAWYBUIZWXAUOWWQWYSWXAVCZ
        AUEVWAWYAWXAUTWYBUEEXSZWXTWWTWXSVWAURWXSVWAJGXTXUAYAYBWYLWWTVWAURUYCYDW
        TZWWRWWTVWAWXNWXOWXPYJZYKUYDVIAWYRUTTZVMZWHWYRWCVLZWXAEVAZVJUIXUFWXBEVA
        WYRWYCUIZVJUIWYRWXRUIXUEXUFWXAEXUEWHWYRWNXUEAWWQWXAUOTVWAXUFTZAXUDUYEZV
        WAWYRWQZXUCYGZUYFXUEXUGXUHVJXUEWXAEWYBWHWYRXUEAWWQWYTXUIXUJXUKXUBYGXUEW
        YRUTWHUYGUIAXUDUYLXRUYHZXULYOYCXUEWXBEWWOWHWYRXUEAWWQWXCXUIXUJXUKWXEYGX
        UMXUEAWWQWXBUOTXUIXUJXUKWWRWXAXUCYIYGYOUYIUYJUYKUYMUYNVWGWVTBVWNVVTIVWC
        VWNVCZVWFWVSVBXUNUTVWEWVREXUNVWDWVQVWAURVWBVWCVWNVUKYHUYOUYPRUYQXQXJAWY
        QVXAWUOSXJAVXAWUOUYRUYSWUPWVHWUDWVMWVNXMXHWVIXGVXNVUAWSXPUYTWUPWVGVWSWH
        VXOXEVLZWDVLVWSWHWDVLZVXPXEVLWUQWUPWVFXUOVWSWDWUPWVFWHWHXEVLZVXNWEVLXUO
        XGXUQVXNWEVUBVUCWUPWHWHVXNWUPVUDZXURWUPVXNWVIXBVUEVUFYEWUPVWSWHVXOVXBVY
        DVWSUOTWUNWUMVUGZXURWUPVXOAWUCVXAWUOWUJXJXBVUHWUPXUPVWSVXPXEWUPVWSXUSVU
        IYHVUJWUPVWSXUSVULVUMWUPVXCVXLAVXCULTVXAWUOAVXCVYGYRXJAVYDVXLULTVXAWUNV
        YSXFWUPVXCAVYFVXAWUOVYHXJVUNAVYDVBVXLXCXDVXAWUNVYEVXHVXKUBVYIVYRVYKVYPV
        BVXJXCXDZVXIULTVBVXIVUOXDVBVXKXCXDVYKVYLVYPVYOVYQWIVYKVYLXUTVYOVXIVUPWI
        VYKVXIVYOYRVYKVXIVYOVUQVXJVXIVVAVURVUSXFVUTYSWUPWUAWVAWVDWURWUSXMWUTWVB
        WVEVWSVXPVXMVVBVVCXNZWUPVWSWUTWVLYTWUPVXQAVYDVXQULTVXAWUNWULXFZWUPVBVWS
        VXQWVCWUTXVBWVLXVAYSYTVVDVVKVVEVVFVVGWJVVHVVIVVLVVJUAVVNULJVVMXQ $.

      ${
        $d m F $.
        dchrisum0lem1.f $e |- F = ( a e. NN |->
          ( ( X ` ( L ` a ) ) / ( sqrt ` a ) ) ) $.
        $( Lemma for ~ dchrisum0 .  Apply ~ dchrisum for the function
           ` 1 / sqrt y ` .  (Contributed by Mario Carneiro, 10-May-2016.) $)
        dchrisum0lema $p |- ( ph -> E. t E. c e. ( 0 [,) +oo )
          ( seq 1 ( + , F ) ~~> t /\ A. y e. ( 1 [,) +oo ) ( abs `
            ( ( seq 1 ( + , F ) ` ( |_ ` y ) ) - t ) )
              <_ ( c / ( sqrt ` y ) ) ) ) $=
          ( vx vn caddc c1 cseq cv cli wbr cfl cfv cmin co cabs csqrt cdiv cpnf
          cle cico wral wa cc0 wrex wex cn cmul cmpt csn cdif csu ssrab3 sselid
          wceq eldifad wcel wne eldifsni syl weq oveq2d 1nn a1i rpsqrtcl adantl
          fveq2 crp rprecred simp3r cr wb simp2l rprege0d simp2r sqrtle syl2anc
          w3a mpbid rpsqrtcld lerecd crli sqrtlim 2fveq3 oveq12d cbvmptv adantr
          dchrisum cz nnz dchrzrhcl simpr nnrpd rpcnd divrecd mpteq2dva 3eqtr4g
          rpne0d eqtri seqeq3d breq1d fvoveq1d breq12d cbvralvw ad2antrr fveq1d
          elrege0 simplbi ad2antlr recnd 1re elicopnf 0red 1red simprbi ltletrd
          ax-mp clt 0lt1 elrpd ralbidva syl5bb anbi12d rexbidva exbidv mpbird )
          AUGGUHUIZCUJZUKULZBUJZUMUNUUHUNZUUIUOUPUQUNZOUJZUUKURUNZUSUPZVAULZBUH
          UTVBUPZVCZVDZOVEUTVBUPZVFZCVGUGNVHNUJZIUNLUNZUHUVCURUNZUSUPZVIUPZVJZU
          HUIZUUIUKULZUEUJZUMUNZUVIUNZUUIUOUPUQUNZUUNUHUVKURUNZUSUPZVIUPZVAULZU
          EUURVCZVDZOUVAVFZCVGAUECUHUFUJZURUNZUSUPZUVPDEUFUVHHIUHJLMOPQRSTUAALD
          EVKZAKDUWEVLZLVHFUJZIUNUUKUNUWGUSUPFVMVEVPBUWFKUBVNUCVOZVQZALUWFVRLEV
          SUWHLDEVTWAUFUEWBUWCUVOUHUSUWBUVKURWHWCUHVHVRAWDWEAUWBWIVRZVDUWCUWJUW
          CWIVRAUWBWFWGWJAUWJUVKWIVRZVDZUHUWBVAULZUWBUVKVAULZVDZWSZUWCUVOVAULZU
          VPUWDVAULUWPUWNUWQAUWLUWMUWNWKUWPUWBWLVRVEUWBVAULVDUVKWLVRZVEUVKVAULV
          DUWNUWQWMUWPUWBAUWJUWKUWOWNZWOUWPUVKAUWJUWKUWOWPZWOUWBUVKWQWRWTUWPUWC
          UVOUWPUWBUWSXAUWPUVKUWTXAXBWTUFWIUWDVJVEXCULAUFXDWENUFVHUVGUWBIUNLUNZ
          UWDVIUPZNUFWBZUVDUXAUVFUWDVIUVCUWBLIXEZUXCUVEUWCUHUSUVCUWBURWHZWCXFXG
          ZXIAUVBUWACAUUTUVTOUVAAUUNUVAVRZVDZUUJUVJUUSUVSAUUJUVJWMUXGAUUHUVIUUI
          UKAGUVHUGUHAUFVHUXAUWCUSUPZVJZUFVHUXBVJGUVHAUFVHUXIUXBAUWBVHVRZVDZUXA
          UWCUXLUWBDHIJLMSPTQALDVRUXKUWIXHUXKUWBXJVRAUWBXKWGXLUXLUWCUXLUWBUXLUW
          BAUXKXMXNXAZXOUXLUWCUXMXSXPXQGNVHUVDUVEUSUPZVJUXJUDNUFVHUXNUXIUXCUVDU
          XAUVEUWCUSUXDUXEXFXGXTUXFXRZYAYBXHUUSUVLUUHUNZUUIUOUPUQUNZUUNUVOUSUPZ
          VAULZUEUURVCUXHUVSUUQUXSBUEUURBUEWBZUUMUXQUUPUXRVAUXTUULUXPUUIUQUOUUK
          UVKUUHUMXEYCUXTUUOUVOUUNUSUUKUVKURWHWCYDYEUXHUXSUVRUEUURUXHUVKUURVRZV
          DZUXQUVNUXRUVQVAUYBUXPUVMUUIUQUOUYBUVLUUHUVIUYBGUVHUGUHAGUVHVPUXGUYAU
          XOYFYAYGYCUYBUUNUVOUYBUUNUXGUUNWLVRZAUYAUXGUYCVEUUNVAULUUNYHYIYJYKUYB
          UVOUYBUVKUYBUVKUYAUWRUXHUYAUWRUHUVKVAULZUHWLVRUYAUWRUYDVDWMYLUHUVKYMY
          RZYIWGZUYBVEUHUVKUYBYNUYBYOUYFVEUHYSULUYBYTWEUYAUYDUXHUYAUWRUYDUYEYPW
          GYQUUAXAZXOUYBUVOUYGXSXPYDUUBUUCUUDUUEUUFUUG $.

        dchrisum0.c $e |- ( ph -> C e. ( 0 [,) +oo ) ) $.
        dchrisum0.s $e |- ( ph -> seq 1 ( + , F ) ~~> S ) $.
        dchrisum0.1 $e |- ( ph -> A. y e. ( 1 [,) +oo )
          ( abs ` ( ( seq 1 ( + , F ) ` ( |_ ` y ) ) - S ) ) <_
            ( C / ( sqrt ` y ) ) ) $.
        $( Lemma for ~ dchrisum0lem1 .  (Contributed by Mario Carneiro,
           7-Jun-2016.) $)
        dchrisum0lem1b $p |- ( ( ( ph /\ x e. RR+ ) /\
          d e. ( 1 ... ( |_ ` x ) ) ) -> ( abs `
            sum_ m e. ( ( ( |_ ` x ) + 1 ) ... ( |_ ` ( ( x ^ 2 ) / d ) ) )
              ( ( X ` ( L ` m ) ) / ( sqrt ` m ) ) ) <_
            ( ( 2 x. C ) / ( sqrt ` x ) ) ) $=
          ( cv crp wcel wa c1 cfl cfv cfz co caddc c2 cexp cdiv csqrt cabs cseq
          csu cmin cmul fzfid cc cun ssun2 cuz wceq cn cn0 cr cc0 cle wbr simpr
          rprege0d flge0nn0 syl nn0p1nn adantr eleqtrdi dchrisum0lem1a fzsplit2
          nnuz simprd syl2anc sseqtrrid sselda csn cdif ssrab3 sselid ad3antrrr
          cz adantl dchrzrhcl elfznn nnrpd rpsqrtcld rpcnd rpne0d divcld syldan
          eldifad abscld cmpt weq 2fveq3 fveq2 oveq12d ad2antrr rpregt0d simpld
          wb rpred letrd ffvelrnd subcld cpnf rerpdivcld fsumser eqtr3d eqbrtrd
          clt fvoveq1d oveq2d breq12d 1re elicopnf ax-mp sylanbrc rspcdva recnd
          cico elfzelz fsumcl 1zzd nnrp cbvmptv eqtri fmptd ffvelrnda serf 1red
          wf nnz nnred nnge1d fznnfl simplbda flge1nn eluznn cli climcl elrege0
          readdcld 2re sylib remulcl sylancr ssun1 ovex fvmpt3i eqeltrd pncan2d
          cin c0 reflcl fzdisj fsumsplit fveq2d abs3difd simplr rpexpcl sylancl
          ltp1d 2z rpdivcld wral nndivre syl2an sqrtle lediv2a syl31anc abssubd
          mpbid le2addd wne 2cnd rpcnne0d divass syl3anc 2timesd eqtrd breqtrrd
          ) ABUJZUKULZUMZQUJZUNUXBUOUPZUQURZULZUMZUXFUNUSURZUXBUTVAURZUXEVBURZU
          OUPZUQURZHUJZKUPZNUPZUXOVCUPZVBURZHVFZVDUPZUXMUSIUNVEZUPZFVGURZVDUPZF
          UXFUYBUPZVGURZVDUPZUSURZUTDVHURZUXBVCUPZVBURZUXIUXTUXIUXNUXSHUXIUXJUX
          MVIUXIUXOUXNULUXOUNUXMUQURZULZUXSVJULZUXIUXNUYMUXOUXIUXGUXNVKZUXNUYMU
          XNUXGVLUXIUXJUNVMUPZULUXMUXFVMUPULZUYMUYPVNUXIUXJVOUYQUXDUXJVOULZUXHU
          XDUXFVPULZUYSUXDUXBVQULZVRUXBVSVTUMZUYTUXDUXBAUXCWAZWBUXBWCWDUXFWEWDW
          FWJWGUXIUXBUXLVSVTZUYRAUXEUXBWHZWKZUXFUNUXMWIWLZWMWNUXIUYNUMZUXQUXRVU
          HUXOEJKLNOUARUBSANEULZUXCUXHUYNANEGWOZAMEVUJWPZNVOUXPCUJZUPUXOVBURHVF
          VRVNCVUKMUDWQUEWRXJZWSUYNUXOWTULZUXIUXOUNUXMUUAXAXBVUHUXRVUHUXOVUHUXO
          UYNUXOVOULZUXIUXOUXMXCXAZXDXEZXFVUHUXRVUQXGXHZXIUUBZXKUXIUYEUYHUXIUYD
          UXIUYCFUXIVOVJUXMUYBAVOVJUYBUUKUXCUXHAHIUNVOWJAUUCAVOVJUXOIAHVOUXSVJI
          AVUOUMZUXQUXRVUTUXOEJKLNOUARUBSAVUIVUOVUMWFVUOVUNAUXOUULXAXBVUTUXRVUT
          UXOVUOUXOUKULAUXOUUDXAXEZXFVUTUXRVVAXGXHIPVOPUJZKUPNUPZVVBVCUPZVBURZX
          LHVOUXSXLUFPHVOVVEUXSPHXMVVCUXQVVDUXRVBVVBUXONKXNVVBUXOVCXOXPZUUEUUFU
          UGUUHUUIXQZUXIUXFVOULZUYRUXMVOULUXIVUAUNUXBVSVTZVVHUXIVUAVRUXBYJVTZUX
          DVUAVVJUMUXHUXDUXBVUCXRWFXSZUXIUNUXEUXBUXIUUJZUXIUXEUXHUXEVOULZUXDUXE
          UXFXCZXAZUUMVVKUXIUXEVVOUUNUXDUXHVVMUXEUXBVSVTZUXDVUAUXHVVMVVPUMXTUXD
          UXBVUCYAUXEUXBUUOWDUUPYBZUXBUUQWLZVUFUXMUXFUURWLZYCZAFVJULZUXCUXHAUYB
          FUUSVTVWAUHFUYBUUTWDXQZYDXKZUXIUYGUXIFUYFVWBUXIVOVJUXFUYBVVGVVRYCZYDX
          KZUVBUXDUYLVQULUXHUXDUYJUYKAUYJVQULZUXCAUTVQULDVQULZVWFUVCAVWGVRDVSVT
          ZADVRYEYTURULVWGVWHUMZUGDUVAUVDZXSZUTDUVEUVFWFUXDUXBVUCXEZYFWFUXIUYAU
          YCUYFVGURZVDUPUYIVSUXIUXTVWMVDUXIUXGUXSHVFZUXTUSURZVWNVGURUXTVWMUXIVW
          NUXTUXIVWNUYFVJUXIUXSHIUNUXFUXIUXOUXGULZUYNUXOIUPUXSVNZUXIUXGUYMUXOUX
          IUYPUXGUYMUXGUXNUVGVUGWMWNZVUHVUOVWQVUPPUXOVVEUXSVOIVVFUFVVCVVDVBUVHU
          VIWDZXIUXIUXFVOUYQVVRWJWGUXIVWPUYNUYOVWRVURXIYGZVWDUVJVUSUVKUXIVWOUYC
          VWNUYFVGUXIUYMUXSHVFVWOUYCUXIUXGUXNUXSUYMHUXIUXFUXJYJVTUXGUXNUVLUVMVN
          UXIUXFUXIVUAUXFVQULVVKUXBUVNWDUWBUNUXFUXJUXMUVOWDVUGUXIUNUXMVIVURUVPU
          XIUXSHIUNUXMVWSUXIUXMVOUYQVVSWJWGVURYGYHVWTXPYHUVQUXIUYCUYFFVVTVWDVWB
          UVRYIUXIUYIDUYKVBURZVXAUSURZUYLVSUXIUYEUYHVXAVXAVWCVWEUXIDUYKAVWGUXCU
          XHVWKXQZUXIUXBAUXCUXHUVSZXEZYFZVXFUXIUYEDUXLVCUPZVBURZVXAVWCUXIDVXGVX
          CUXIUXLUXIUXKUXEUXDUXKUKULZUXHUXDUXCUTWTULVXIVUCUWCUXBUTUVTUWAZWFUXIU
          XEVVOXDUWDZXEZYFVXFUXIVULUOUPUYBUPZFVGURVDUPZDVULVCUPZVBURZVSVTZUYEVX
          HVSVTCUNYEYTURZUXLVULUXLVNZVXNUYEVXPVXHVSVXSVXMUYCFVDVGVULUXLUYBUOXNY
          KVXSVXOVXGDVBVULUXLVCXOYLYMAVXQCVXRUWEUXCUXHUIXQZUXIUXLVQULZUNUXLVSVT
          ZUXLVXRULZUXDUXKVQULVVMVYAUXHUXDUXKVXJYAVVNUXKUXEUWFUWGZUXIUNUXBUXLVV
          LVVKVYDVVQUXIVUDUYRVUEXSZYBUNVQULZVYCVYAVYBUMXTYNUNUXLYOYPYQYRUXIUYKV
          QULVRUYKYJVTUMVXGVQULVRVXGYJVTUMVWIUYKVXGVSVTZVXHVXAVSVTUXIUYKVXEXRUX
          IVXGVXLXRAVWIUXCUXHVWJXQUXIVUDVYGVYEUXIVUBVYAVRUXLVSVTUMVUDVYGXTUXIUX
          BVXDWBUXIUXLVXKWBUXBUXLUWHWLUWLUYKVXGDUWIUWJYBUXIUYHUYFFVGURVDUPZVXAV
          SUXIFUYFVWBVWDUWKUXIVXQVYHVXAVSVTCVXRUXBCBXMZVXNVYHVXPVXAVSVYIVXMUYFF
          VDVGVULUXBUYBUOXNYKVYIVXOUYKDVBVULUXBVCXOYLYMVXTUXIVUAVVIUXBVXRULZVVK
          VVQVYFVYJVUAVVIUMXTYNUNUXBYOYPYQYRYIUWMUXIUYLUTVXAVHURZVXBUXIUTVJULDV
          JULZUYKVJULUYKVRUWNUMZUYLVYKVNUXIUWOUXDVYLUXHUXDDAVWGUXCVWKWFYSWFUXDV
          YMUXHUXDUYKVWLUWPWFUTDUYKUWQUWRUXIVXAUXIVXAVXFYSUWSUWTUXAYB $.

        $( Lemma for ~ dchrisum0 .  (Contributed by Mario Carneiro,
           12-May-2016.)  (Revised by Mario Carneiro, 7-Jun-2016.) $)
        dchrisum0lem1 $p |- ( ph -> ( x e. RR+ |->
          sum_ m e. ( ( ( |_ ` x ) + 1 ) ... ( |_ ` ( x ^ 2 ) ) )
            sum_ d e. ( 1 ... ( |_ ` ( ( x ^ 2 ) / m ) ) )
         ( ( ( X ` ( L ` m ) ) / ( sqrt ` m ) ) / ( sqrt ` d ) ) ) e. O(1) ) $=
          ( crp c1 cv cfl cfv cfz co caddc c2 cexp cdiv csqrt csu cmpt co1 wcel
          wa fzfid cn cuz wi elfznn elfzuz anim12i a1i anim12ci wb cle wbr cmul
          cz eluzelz ad2antll zred cr simpr rpexpcl sylancl rpred adantr simprl
          2z nnrpd cc0 rprege0d 3syl syl2anc wceq cc adantl letrd mpbid eqbrtrd
          syl ad2antrl letr syl3anc mpan2d pm4.71rd rpregt0d recnd fznnfl baibd
          clt 1re flcld elfz5 flge bitr4d anbi12d simprd rpsqrtcld rpcnd rpne0d
          divcld simpld syldan mpteq2dva sylancr rprecred remulcl oveq1d oveq2d
          fsumrecl 2re rpssre crli remulcld fsumcl cabs abscld flge0nn0 nn0p1nn
          lemuldivd simprr eluznn lemuldiv2d bitr3d rpcn sqvald simplr peano2re
          nnred cn0 reflcl fllep1 eluzle lemul1d ledivmuld mpbird nnre nndivred
          sylbid nnge1 pm3.2i lediv2 mp3an2i div1d breqtrd simpl nndivre syl2an
          0lt1 sylbird 3bitr3d 3bitr4d ex pm5.21ndd cun eleqtrdi dchrisum0lem1a
          ssun2 nnuz fzsplit2 sseqtrrid sselda csn cdif ssrab3 sselid ad3antrrr
          eldifad elfzelz dchrzrhcl wne rpcnne0d anasss fsumcom2 cmin 2cn mulcl
          subcld cpnf elrege0 sylib rerpdivcld adddird pncan3d mulassd divcan2d
          cico 2cnd 3eqtr3d mulcld wss o1const cdm eqid divsqrsum rlimdmo1 mp1i
          eqtrd divrecd rlimconst sqrtlim rlimmul rlimo1 o1mul2 eqeltrd fsumabs
          o1add2 dchrisum0lem1b lediv1dd absdivd fsumdivc fveq2d absid 3eqtr3rd
          divrec2d 3brtr3d fsumle fsummulc1 breqtrrd leabsd adantrr eqeltrrd
          o1le ) ABUJUKBULZUMUNZUOUPZVUHUKUQUPZVUGURUSUPZQULZUTUPZUMUNZUOUPZHUL
          ZKUNZNUNZVUPVAUNZUTUPZVULVAUNZUTUPZHVBZQVBZVCBUJVUJVUKUMUNZUOUPZUKVUK
          VUPUTUPZUMUNZUOUPZVVBQVBHVBZVCVDABUJVVDVVJAVUGUJVEZVFZVUIVUOVVFVVIQHV
          VBVVLUKVUHVGZVVLVUJVVEVGVVLVULVUIVEZVFZVUJVUNVGZVVLVULVHVEZVUPVUJVIUN
          VEZVFZVVNVUPVUOVEZVFZVUPVVFVEZVULVVIVEZVFZVWAVVSVJVVLVVNVVQVVTVVRVULV
          UHVKZVUPVUJVUNVLVMVNVWDVVSVJVVLVWBVVRVWCVVQVUPVUJVVEVLVULVVHVKVOVNVVL
          VVSVWAVWDVPVVLVVSVFZVULVUGVQVRZVUPVUMVQVRZVFZVUPVUKVQVRZVULVVGVQVRZVF
          ZVWAVWDVWFVWHVWKVWIVWLVWFVUPVULVSUPVUKVQVRVWHVWKVWFVUPVUKVULVWFVUPVVR
          VUPVTVEZVVLVVQVUJVUPWAWBZWCZVVLVUKWDVEZVVSVVLVUKVVLVVKURVTVEVUKUJVEZA
          VVKWEZWKVUGURWFWGZWHZWIZVWFVULVVLVVQVVRWJZWLZUUCVWFVULVUKVUPVWFVULVXB
          UULVXAVWFVUPVWFVUJVHVEZVVRVUPVHVEZVVLVXDVVSVVLVUGWDVEZWMVUGVQVRVFVUHU
          UMVEVXDVVLVUGVWRWNVUGUUAVUHUUBWOZWIVVLVVQVVRUUDZVUPVUJUUEWPZWLZUUFUUG
          ZVWFVWHVWGVWFVWHVWKVWGVXKVWFVWKVVGVUGVQVRZVWGVWFVXLVUKVUPVUGVSUPZVQVR
          VWFVUKVUGVUGVSUPZVXMVQVVLVUKVXNWQVVSVVLVUGVVKVUGWRVEAVUGUUHWSUUIWIVWF
          VUGVUPVQVRVXNVXMVQVRVWFVUGVUJVUPVWFVUGAVVKVVSUUJZWHZVWFVXFVUHWDVEVUJW
          DVEVXPVUGUUNVUHUUKWOVWOVWFVXFVUGVUJVQVRVXPVUGUUOXCVVRVUJVUPVQVRVVLVVQ
          VUJVUPUUPWBWTVWFVUGVUPVUGVXPVWOVXOUUQXAXBVWFVUKVUGVUPVXAVXPVXJUURUUSV
          WFVULWDVEZVVGWDVEZVXFVWKVXLVFVWGVJVVQVXQVVLVVRVULUUTXDVWFVUKVUPVXAVXI
          UVAZVXPVULVVGVUGXEXFXGUVBXHVWFVWKVWJVWFVWKVWHVWJVXKVWFVWHVUMVUKVQVRZV
          WJVWFVUMVUKUKUTUPZVUKVQVWFUKVULVQVRZVUMVYAVQVRZVVQVYBVVLVVRVULUVCXDUK
          WDVEZWMUKXMVRZVFVWFVXQWMVULXMVRVFVWPWMVUKXMVRVFVYBVYCVPVYDVYEXNUVLUVD
          VWFVULVXCXIVWFVUKVVLVWQVVSVWSWIXIUKVULVUKUVEUVFXAVWFVUKVWFVUKVXAXJUVG
          UVHVWFVUPWDVEVUMWDVEZVWPVWHVXTVFVWJVJVWOVVLVWPVVQVYFVVSVWTVVQVVRUVIVU
          KVULUVJUVKZVXAVUPVUMVUKXEXFXGUVMXHUVNVWFVVNVWGVVTVWHVWFVXFVVQVVNVWGVP
          VXPVXBVXFVVNVVQVWGVULVUGXKXLWPVWFVVTVUPVUNVQVRZVWHVWFVVRVUNVTVEVVTVYH
          VPVXHVWFVUMVYGXOVUPVUJVUNXPWPVWFVYFVWMVWHVYHVPVYGVWNVUMVUPXQWPXRXSVWF
          VWBVWJVWCVWKVWFVWBVUPVVEVQVRZVWJVWFVVRVVEVTVEVWBVYIVPVXHVWFVUKVXAXOVU
          PVUJVVEXPWPVWFVWPVWMVWJVYIVPVXAVWNVUKVUPXQWPXRVWFVXRVVQVWCVWKVPVXSVXB
          VXRVWCVVQVWKVULVVGXKXLWPXSUVOUVPUVQVVLVVNVVTVVBWRVEZVVOVVTVUPUKVUNUOU
          PZVEZVYJVVOVUOVYKVUPVVOVUIVUOUVRZVUOVYKVUOVUIUWAVVOVUJUKVIUNZVEVUNVUH
          VIUNVEZVYKVYMWQVVOVUJVHVYNVVLVXDVVNVXGWIUWBUVSVVOVUGVUMVQVRVYOAVULVUG
          UVTXTVUHUKVUNUWCWPUWDUWEZVVOVYLVFZVUTVVAVYQVURVUSVYQVUPEJKLNOUARUBSAN
          EVEVVKVVNVYLANEGUWFZAMEVYRUWGZNVHVUQCULUNVUPUTUPHVBWMWQCVYSMUDUWHUEUW
          IUWKUWJVYLVWMVVOVUPUKVUNUWLWSUWMVYQVUSVYQVUPVYQVUPVYLVXEVVOVUPVUNVKWS
          WLYAZYBVYQVUSVYTYCYDZVYQVVAWRVEZVVAWMUWNZVVOWUBWUCVFVYLVVOVVAVVOVULVV
          OVULVVNVVQVVLVWEWSWLYAZUWOWIZYEVYQWUBWUCWUEXTYDYFZUWPUWQYGABUJVUIUKVV
          AUTUPZQVBZURDVSUPZVUGVAUNZUTUPZVSUPZVVDUKWDVYDAXNVNABUJWULVCBUJURWUIV
          SUPZWUHURWUJVSUPZUWRUPZWUKVSUPZUQUPZVCVDABUJWULWUQVVLWUNWUOUQUPZWUKVS
          UPWUNWUKVSUPZWUPUQUPWULWUQVVLWUNWUOWUKVVLURWRVEWUJWRVEWUNWRVEUWSVVLWU
          JVVLVUGVWRYAZYBZURWUJUWTYHZVVLWUHWUNVVLWUHVVLVUIWUGQVVMVVOVVAWUDYIZYM
          ZXJZWVBUXAZVVLWUKVVLWUIWUJAWUIWDVEZVVKAURWDVEZDWDVEZWVGYNAWVIWMDVQVRZ
          ADWMUXBUXJUPVEWVIWVJVFUGDUXCUXDYEURDYJYHZWIZWUTUXEZXJZUXFVVLWURWUHWUK
          VSVVLWUNWUHWVBWVEUXGYKVVLWUSWUMWUPUQVVLWUSURWUJWUKVSUPZVSUPWUMVVLURWU
          JWUKVVLUXKWVAWVNUXHVVLWVOWUIURVSVVLWUIWUJVVLWUIWVLXJZWVAVVLWUJWUTYCZU
          XIYLUYAYKUXLYGABUJWUMWUPWRAWUMWRVEZVVKAWUMAWVHWVGWUMWDVEYNWVKURWUIYJY
          HXJZWIVVLWUOWUKWVFWVNUXMAUJWDUXNZWVRBUJWUMVCVDVEYOWVSBUJWUMUXOYHABUJW
          UOWUKWRWVFWVNBUJWUOVCZYPUXPVEWWAVDVEABQWWAWWAUXQUXRWWAUXSUXTABUJWUKVC
          ZWUIWMVSUPZYPVRWWBVDVEAWWBBUJWUIUKWUJUTUPZVSUPZVCWWCYPABUJWUKWWEVVLWU
          IWUJWVPWVAWVQUYBYGABUJWUIWWDWUIWMWDWVLVVLWUJWUTYIAWVTWUIWRVEBUJWUIVCW
          UIYPVRYOAWUIWVKXJBUJWUIUYCYHBUJWWDVCWMYPVRABUYDVNUYEXBWWCWWBUYFXCUYGU
          YJUYHVVLWUHWUKWVDWVMYQZVVLVUIVVCQVVMVVOVUOVVBHVVPWUFYRZYRZAVVKVVDYSUN
          ZWULYSUNZVQVRUKVUGVQVRVVLWWIWULWWJVVLVVDWWHYTZWWFVVLWULVVLWULWWFXJYTV
          VLWWIVUIVVCYSUNZQVBZWULWWKVVLVUIWWLQVVMVVOVVCWWGYTZYMWWFVVLVUIVVCQVVM
          WWGUYIVVLWWMVUIWUGWUKVSUPZQVBWULVQVVLVUIWWLWWOQVVMWWNVVOWUGWUKWVCVVLW
          UKWDVEVVNWVMWIZYQVVOVUOVUTHVBZYSUNZVVAUTUPZWUKVVAUTUPWWLWWOVQVVOWWRWU
          KVVAVVOWWQVVOVUOVUTHVVPVVOVVTVYLVUTWRVEVYPWUAYFZYRZYTWWPWUDABCDEFGHIJ
          KLMNOPQRSTUAUBUCUDUEUFUGUHUIUYKUYLVVOWWQVVAUTUPZYSUNWWRVVAYSUNZUTUPWW
          LWWSVVOWWQVVAWXAVVOVVAWUDYBZVVOVVAWUDYCZUYMVVOWXBVVCYSVVOVUOVUTVVAHVV
          PWXDWWTWXEUYNUYOVVOWXCVVAWWRUTVVOVVAWDVEWMVVAVQVRVFWXCVVAWQVVOVVAWUDW
          NVVAUYPXCYLUYQVVOWUKVVAVVLWUKWRVEVVNWVNWIWXDWXEUYRUYSUYTVVLVUIWUGWUKQ
          VVMWVNVVOWUGWVCXJVUAVUBWTVVLWULWWFVUCWTVUDVUFVUE $.

        ${
          dchrisum0lem2.h $e |- H = ( y e. RR+ |->
            ( sum_ d e. ( 1 ... ( |_ ` y ) ) ( 1 / ( sqrt ` d ) ) -
              ( 2 x. ( sqrt ` y ) ) ) ) $.
          dchrisum0lem2.u $e |- ( ph -> H ~~>r U ) $.
          $( Lemma for ~ dchrisum0 .  (Contributed by Mario Carneiro,
             12-May-2016.) $)
          dchrisum0lem2a $p |- ( ph -> ( x e. RR+ |->
            sum_ m e. ( 1 ... ( |_ ` x ) )
              ( ( ( X ` ( L ` m ) ) / ( sqrt ` m ) ) x.
                ( H ` ( ( x ^ 2 ) / m ) ) ) ) e. O(1) ) $=
            ( vz vw crp c1 cv cfl cfv cfz co csqrt cdiv cexp cmul csu cmpt wcel
            c2 co1 cc wa fzfid cn simpl elfznn csn cdif cc0 wceq ssrab3 eldifad
            sselid adantr cz nnz adantl dchrzrhcl rpsqrtcld rpcnd rpne0d divcld
            nnrp syl2an fsumcl crli wbr rlimcl syl cpnf cico cres wss clt ax-mp
            cioo cle fveq2 sylanl2 cr wb nnuz mpteq2dva rpssre ffvelrnda mpbird
            1red recnd mulcld cmin ad2antrr oveq2d 3eqtr4d cabs abscld rprecred
            simpld absge0d rprege0d eqtrd cn0 3syl ad2antlr wne syl2anc breqtrd
            oveq1d syl3anc letrd caddc cseq cxr 0xr 0lt1 df-ioo df-ico xrltletr
            ixxss1 mp2an ioorp sseqtri resmpt sseli 2fveq3 oveq12d ovex fvmpt3i
            cuz 1re elicopnf flge1nn sylbi eleqtrdi fsumser syl5eq a1i 1zzd cli
            sstrid cbvmptv eqtri serf feqmptd eqbrtrrd simprbi climrlim2 rlimo1
            fmptd eqeltrd fmpttd o1resb o1const sylancr o1mul2 simpr 2z rpexpcl
            sylancl nnrpd rpdivcl divsqrsumf ffvelrni subdid sumeq2dv fsummulc1
            fsumsub subcld fsumrecl fsumabs rprege0 rerpdivcld rpdivcld absdivd
            reflcl simplr absid cbs eqid wfo nnnn0d znzrhfo fof elfzelz ffvelrn
            dchrabs2 lediv1dd eqbrtrd divsqrtsum2 mpdan sqrtdiv sqrtsq rpcnne0d
            rpcnne0 recdiv lemul12ad absmuld 1cnd dmdcan mulcomd eqtr3d 3brtr4d
            wf reccl fsumle chash flge0nn0 hashfz1 cfn fsumconst simprd divrecd
            rpreccld flle mulid1d breqtrrd rpregt0 ledivmul adantrr elo1d o1dif
            eqeltrrd ) ABUPUQBURZUSUTZVAVBZIURZMUTZPUTZVUPVCUTZVDVBZVUMVJVEVBZV
            UPVDVBZLUTZVFVBZIVGZVHVKVIBUPVUOVUTIVGZGVFVBZVHVKVIABUPVVFGVLAVUMUP
            VIZVMZVUOVUTIVVIUQVUNVNZVVIAVUPVOVIZVUTVLVIZVUPVUOVIZAVVHVPZVUPVUNV
            QZAVVKVMZVURVUSVVPVUPEKMNPQUCTUDUAAPEVIZVVKAPEHVRZAOEVVRVSZPVOVUQCU
            RUTVUPVDVBIVGVTWACVVSOUFWBUGWDWCZWEVVKVUPWFVIZAVUPWGWHWIZVVPVUSVVPV
            UPVVKVUPUPVIZAVUPWNWHWJZWKVVPVUSVWDWLWMZWOZWPZAGVLVIZVVHALGWQWRZVWH
            UMGLWSZWTZWEZABUPVVFVHZVKVIVWMUQXAXBVBZXCZVKVIAVWOBVWNVUNUUAJUQUUBZ
            UTZVHZVKAVWOBVWNVVFVHZVWRVWNUPXDVWOVWSWAVWNVTXAXGVBZUPVTUUCVIVTUQXE
            WRVWNVWTXDUUDUUEBCUNUOVTUQXAXBXEXEXHXGXEBCUNUUFBCUNUUGVTUQUOURUUHUU
            IUUJUUKUULZBUPVWNVVFUUMXFABVWNVVFVWQAVUMVWNVIZVMZVUTIJUQVUNVXBAVVHV
            VMVUPJUTVUTWAZVWNUPVUMVXAUUNZVVIVVMVMZVVKVXDVVMVVKVVIVVOWHRVUPRURZM
            UTPUTZVXGVCUTZVDVBZVUTVOJVXGVUPWAVXHVURVXIVUSVDVXGVUPPMUUOVXGVUPVCX
            IUUPZUHVXHVXIVDUUQUURWTXJVXCVUNVOUQUUSUTVXBVUNVOVIZAVXBVUMXKVIZUQVU
            MXHWRZVMZVXLUQXKVIZVXBVXOXLUUTUQVUMUVAXFZVUMUVBUVCWHXMUVDVXBAVVHVVM
            VVLVXEVWFXJUVEXNUVFAVWRFWQWRVWRVKVIABVWNVUPVWPUTZVWQFIUQVOXMVUPVUNV
            WPXIAVWNUPXKVXAUPXKXDZAXOUVGZUVJAUVHZAVWPIVOVXRVHFUVIAIVOVLVWPAIJUQ
            VOXMVYAAVOVLVUPJAIVOVUTVLJVWEJRVOVXJVHIVOVUTVHUHRIVOVXJVUTVXKUVKUVL
            UVSXPUVMZUVNUJUVOAVOVLVUPVWPVYBXPVXBVXNAVXBVXMVXNVXQUVPWHUVQFVWRUVR
            WTUVTAUPUQVWMABUPVVFVLVWGUWAVXTAXRZUWBXQAVXSVWHBUPGVHVKVIXOVWKBUPGU
            WCUWDUWEABUPVVEVVGVVIVUOVVDIVVJVXFVUTVVCVWFVXFVVCVXFVVBUPVIZVVCXKVI
            VVIVVAUPVIZVWCVYDVVMVVIVVHVJWFVIVYEAVVHUWFZUWGVUMVJUWHUWIZVVMVUPVVO
            UWJZVVAVUPUWKWOZUPXKVVBLCSLULUWLUWMWTXSZXTZWPVVIVVFGVWGVWLXTABUPVUO
            VUTVVCGYAVBZVFVBZIVGZVHBUPVVEVVGYAVBZVHVKABUPVYNVYOVVIVUOVVDVUTGVFV
            BZYAVBZIVGVVEVUOVYPIVGZYAVBVYNVYOVVIVUOVVDVYPIVVJVYKVXFVUTGVWFVXFVW
            IVWHAVWIVVHVVMUMYBZVWJWTZXTUWQVVIVUOVYMVYQIVXFVUTVVCGVWFVYJVYTUWNUW
            OVVIVVGVYRVVEYAVVIVUOVUTGIVVJVWLVWFUWPYCYDXNABUPVYNUQUQVXTVVIVUOVYM
            IVVJVXFVUTVYLVWFVXFVVCGVYJVYTUWRZXTZWPZVYCVYCAVVHVYNYEUTZUQXHWRVXNV
            VIWUDVUOVYMYEUTZIVGZUQVVIVYNWUCYFVVIVUOWUEIVVJVXFVYMWUBYFZUWSZVVIXR
            ZVVIVUOVYMIVVJWUBUWTVVIWUFVUNVUMVDVBZUQWUHVVIVUNVUMVVIVXMVUNXKVIZVV
            IVXMVTVUMXHWRZVVHVXMWULVMZAVUMUXAZWHZYHZVUMUXEWTZVYFUXBWUIVVIWUFVUO
            UQVUMVDVBZIVGZWUJXHVVIVUOWUEWURIVVJWUGVXFVUMAVVHVVMUXFZYGVXFVUTYEUT
            ZVYLYEUTZVFVBUQVUSVDVBZVUSVUMVDVBZVFVBZWUEWURXHVXFWVAWVCWVBWVDVXFVU
            TVWFYFVXFVUSVVMVUSUPVIVVIVVMVUPVYHWJWHZYGVXFVYLWUAYFVXFUPXKWVDXOVXF
            VUSVUMWVFWUTUXCZWDVXFVUTVWFYIVXFVYLWUAYIVXFWVAVURYEUTZVUSVDVBZWVCXH
            VXFWVAWVHVUSYEUTZVDVBWVIVXFVURVUSVVIAVVKVURVLVIVVMVVNVVOVWBWOZVXFVU
            SWVFWKVXFVUSWVFWLUXDVXFWVJVUSWVHVDVXFVUSXKVIVTVUSXHWRVMWVJVUSWAVXFV
            USWVFYJVUSUXGWTYCYKVXFWVHUQVUSVXFVURWVKYFVXFXRWVFVXFVUQQUXHUTZEKNPQ
            UCUDTWVLUXIZAVVQVVHVVMVVTYBVVIWFWVLMUYMZVWAVUQWVLVIVVMAWVNVVHANYLVI
            WFWVLMUXJWVNANUBUXKWVLMNQTWVMUAUXLWFWVLMUXMYMWEVUPUQVUNUXNWFWVLVUPM
            UXOWOUXPUXQUXRVXFWVBUQVVBVCUTZVDVBZWVDXHVXFVYDWVBWVPXHWRVYIVXFCVVBS
            LGULVYSUXSUXTVXFWVPUQVUMVUSVDVBZVDVBZWVDVXFWVOWVQUQVDVXFWVOVVAVCUTZ
            VUSVDVBZWVQVVIVVAXKVIVTVVAXHWRVMVWCWVOWVTWAVVMVVIVVAVYGYJVYHVVAVUPU
            YAWOVXFWVSVUMVUSVDVXFWUMWVSVUMWAVVHWUMAVVMWUNYNVUMUYBWTYRYKYCVXFVUM
            VLVIZVUMVTYOZVMZVUSVLVIVUSVTYOVMZWVRWVDWAVVHWWCAVVMVUMUYDZYNZVXFVUS
            WVFUYCZVUMVUSUYEYPYKYQUYFVXFVUTVYLVWFWUAUYGVXFWVDWVCVFVBZWURWVEVXFW
            WDWWCUQVLVIWWHWURWAWWGWWFVXFUYHVUSVUMUQUYIYSVXFWVDWVCVXFWVDWVGWKVXF
            WWDWVCVLVIWWGVUSUYNWTUYJUYKUYLUYOVVIVUOUYPUTZWURVFVBZVUNWURVFVBWUSW
            UJVVIWWIVUNWURVFVVIWUMVUNYLVIWWIVUNWAWUOVUMUYQVUNUYRYMYRVVIVUOUYSVI
            WURVLVIWUSWWJWAVVJVVIWURVVIVUMVYFVUCWKVUOWURIUYTYPVVIVUNVUMVVIVUNWU
            QXSVVIWWAWWBVVHWWCAWWEWHZYHVVIWWAWWBWWKVUAVUBYDYQVVIWUJUQXHWRZVUNVU
            MUQVFVBZXHWRZVVIVUNVUMWWMXHVVIVXMVUNVUMXHWRWUPVUMVUDWTVVIVUMVVIVUMW
            UPXSVUEVUFVVIWUKVXPVXMVTVUMXEWRVMZWWLWWNXLWUQWUIVVHWWOAVUMVUGWHVUNU
            QVUMVUHYSXQYTYTVUIVUJVULVUKXQ $.

          dchrisum0lem2.k $e |- K = ( a e. NN |->
            ( ( X ` ( L ` a ) ) / a ) ) $.
          dchrisum0lem2.e $e |- ( ph -> E e. ( 0 [,) +oo ) ) $.
          dchrisum0lem2.t $e |- ( ph -> seq 1 ( + , K ) ~~> T ) $.
          dchrisum0lem2.3 $e |- ( ph -> A. y e. ( 1 [,) +oo )
           ( abs ` ( ( seq 1 ( + , K ) ` ( |_ ` y ) ) - T ) ) <_ ( E / y ) ) $.
          $( Lemma for ~ dchrisum0 .  (Contributed by Mario Carneiro,
             12-May-2016.) $)
          dchrisum0lem2 $p |- ( ph -> ( x e. RR+ |->
            sum_ m e. ( 1 ... ( |_ ` x ) )
              sum_ d e. ( 1 ... ( |_ ` ( ( x ^ 2 ) / m ) ) )
         ( ( ( X ` ( L ` m ) ) / ( sqrt ` m ) ) / ( sqrt ` d ) ) ) e. O(1) ) $=
            ( crp c1 cv cfl cfv cfz co c2 cexp cdiv csqrt csu cmpt wcel cmul cc
            co1 wa 2cnd rpcn adantl fzfid csn cdif cn cc0 ssrab3 sselid eldifad
            wceq ad2antrr cz elfzelz dchrzrhcl elfznn nnrpd rpcnd rpne0d divcld
            fsumcl mulcld wss rpssre 2cn a1i cpnf cico cle wbr syl oveq1d eqtrd
            cr cabs adantrr cmin weq 2fveq3 oveq12d ovex fvmpt3i syl2anc adantr
            adantlrr wb eqbrtrd syl3anc mpbird rpsqrtcld mulcl sylancr rpcnne0d
            wne fveq2 oveq2d sumeq2dv fsummulc2 eqtr4d 3eqtr4d rprege0d o1const
            mp2an 1red elrege0 simplbi absmuld rprege0 absid caddc cseq subid1d
            id cuz rpregt0 ad2antrl simpld simprr flge1nn nnuz eleqtrdi fsumser
            clt eldifsni dchrvmaeq0 mpbid eqcomd eqtr3d fveq2d fvoveq1d breq12d
            oveq2 wral 1re elicopnf ax-mp rspcdva abscld lemuldiv2 elo1d o1mul2
            sylanbrc 2re simpr 2z rpexpcl sylancl rpdivcl rpred remulcl fsumsub
            syl2an recnd reccl subdid sumeq1d divrecd mulassd divdiv1 remsqsqrt
            div12d eqtr2d sqrtdiv ad2antlr sqrtsq divass 3eqtr3d dchrisum0lem2a
            mpteq2dva eqeltrrd o1dif ) ABVAVBBVCZVDVEZVFVGZVBUXKVHVIVGZJVCZVJVG
            ZVDVEZVFVGZUXOPVEZSVEZUXOVKVEZVJVGZUBVCZVKVEZVJVGZUBVLZJVLZVMVQVNBV
            AVHUXKUXMUXTUXOVJVGZJVLZVOVGZVOVGZVMVQVNABVAVHUYJVPAUXKVAVNZVRZVSZU
            YMUXKUYIUYLUXKVPVNZAUXKVTWAZUYMUXMUYHJUYMVBUXLWBZUYMUXOUXMVNZVRZUXT
            UXOUYSUXOEMPQSTUFUCUGUDASEVNUYLUYRASEIWCZAREUYTWDZSWEUXSCVCZVEUXOVJ
            VGJVLWFWJCVUARUIWGUJWHZWIZWKUYRUXOWLVNUYMUXOVBUXLWMWAWNZUYSUXOUYRUX
            OVAVNZUYMUYRUXOUXOUXLWOZWPZWAZWQUYSUXOVUIWRWSZWTZXAZBVAVHVMVQVNZAVA
            XMXBZVHVPVNZVUMXCXDBVAVHUUAUUBXEABVAUYJVBKVUNAXCXEVULAUUCAKWFXFXGVG
            VNZKXMVNZURVUPVUQWFKXHXIKUUDUUEXJZAUYLVBUXKXHXIZVRZVRZUYJXNVEZUXKUY
            IXNVEZVOVGZKXHAUYLVVBVVDWJVUSUYMVVBUXKXNVEZVVCVOVGVVDUYMUXKUYIUYPVU
            KUUFUYMVVEUXKVVCVOUYMUXKXMVNZWFUXKXHXIVRZVVEUXKWJUYLVVGAUXKUUGZWAUX
            KUUHXJXKXLXOVVAVVDKXHXIZVVCKUXKVJVGZXHXIZVVAVVCUXLUUIOVBUUJZVEZGXPV
            GZXNVEZVVJXHVVAUYIVVNXNVVAUYIWFXPVGUYIVVNVVAUYIAUYLUYIVPVNVUSVUKXOZ
            UUKVVAUYIVVMWFGXPVVAUYHJOVBUXLAUYLUYRUXOOVEUYHWJZVUSUYSUXOWEVNZVVQU
            YRVVRUYMVUGWAUAUXOUAVCZPVESVEZVVSVJVGUYHWEOUAJXQZVVTUXTVVSUXOVJVVSU
            XOSPXRVWAUULXSUQVVTVVSVJXTYAXJYDVVAUXLWEVBUUMVEVVAVVFVUSUXLWEVNVVAV
            VFWFUXKUVBXIZUYLVVFVWBVRZAVUSUXKUUNUUOZUUPZAUYLVUSUUQZUXKUURYBUUSUU
            TAUYLUYRUYHVPVNVUSVUJYDUVAVVAGWFAGWFWJZVUTASRVNVWGUJACKEGIJOMPQRSTU
            AUCUDUEUFUGUHVUDASVUAVNSIYMVUCSEIUVCXJUQURUSUTUIUVDUVEYCUVFXSUVGUVH
            VVAVUBVDVEZVVLVEZGXPVGXNVEZKVUBVJVGZXHXIZVVOVVJXHXICVBXFXGVGZUXKCBX
            QZVWJVVOVWKVVJXHVWNVWIVVMGXNXPVUBUXKVVLVDXRUVIVUBUXKKVJUVKUVJAVWLCV
            WMUVLVUTUTYCVVAVVFVUSUXKVWMVNZVWEVWFVBXMVNVWOVVFVUSVRYEUVMVBUXKUVNU
            VOUWAUVPYFVVAVVCXMVNVUQVWCVVIVVKYEVVAUYIVVPUVQAVUQVUTVURYCVWDVVCKUX
            KUVRYGYHYFUVSUVTABVAUYGUYKUYMUXMUYFJUYQUYSUXRUYEUBUYSVBUXQWBZUYSUYC
            UXRVNZVRZUYBUYDUYSUYBVPVNVWQUYSUXTUYAVUEUYSUYAUYSUXOVUIYIZWQZUYSUYA
            VWSWRZWSZYCZVWRUYDVWRUYCVWRUYCVWQUYCWEVNUYSUYCUXQWOWAWPYIZWQZVWRUYD
            VXDWRZWSWTZWTUYMVUOUYJVPVNUYKVPVNXDVULVHUYJYJYKABVAUXMUYBUXPNVEZVOV
            GZJVLZVMBVAUYGUYKXPVGZVMVQABVAVXJVXKUYMUXMUYFUYBVHUXPVKVEZVOVGZVOVG
            ZXPVGZJVLUYGUXMVXNJVLZXPVGVXJVXKUYMUXMUYFVXNJUYQVXGUYSUYBVXMVXBUYSV
            XMUYSVHXMVNVXLXMVNVXMXMVNUWBUYSVXLUYSUXPUYMUXNVAVNZVUFUXPVAVNZUYRUY
            MUYLVHWLVNVXQAUYLUWCUWDUXKVHUWEUWFZVUHUXNUXOUWGUWKZYIUWHVHVXLUWIYKU
            WLZXAUWJUYMUXMVXIVXOJUYSUYBUXRVBUYDVJVGZUBVLZVXMXPVGZVOVGUYBVYCVOVG
            ZVXNXPVGVXIVXOUYSUYBVYCVXMVXBUYSUXRVYBUBVWPVWRUYDVPVNUYDWFYMVRVYBVP
            VNVWRUYDVXDYLUYDUWMXJZWTVYAUWNUYSVXHVYDUYBVOUYSVXRVXHVYDWJVXTCUXPVB
            VWHVFVGZVYBUBVLZVHVUBVKVEZVOVGZXPVGVYDVANVUBUXPWJZVYHVYCVYJVXMXPVYK
            VYGUXRVYBUBVYKVWHUXQVBVFVUBUXPVDYNYOUWOVYKVYIVXLVHVOVUBUXPVKYNYOXSU
            OVYHVYJXPXTYAXJYOUYSUYFVYEVXNXPUYSUYFUXRUYBVYBVOVGZUBVLVYEUYSUXRUYE
            VYLUBVWRUYBUYDVXCVXEVXFUWPYPUYSUXRVYBUYBUBVWPVXBVYFYQYRXKYSYPUYMUYK
            VXPUYGXPUYMVHUXKVOVGZUYIVOVGUXMVYMUYHVOVGZJVLUYKVXPUYMUXMUYHVYMJUYQ
            UYMVUOUYOVYMVPVNZXDUYPVHUXKYJYKZVUJYQUYMVHUXKUYIUYNUYPVUKUWQUYMUXMV
            YNVXNJUYSVYMUYBUYAVJVGZVOVGUYBVYMUYAVJVGZVOVGVYNVXNUYSVYMUYBUYAUYMV
            YOUYRVYPYCVXBVWTVXAUWTUYSUYHVYQVYMVOUYSVYQUXTUYAUYAVOVGZVJVGZUYHUYS
            UXTVPVNUYAVPVNUYAWFYMVRZWUAVYQVYTWJVUEUYSUYAVWSYLZWUBUXTUYAUYAUWRYG
            UYSVYSUXOUXTVJUYSUXOXMVNWFUXOXHXIVRVYSUXOWJUYSUXOVUIYTUXOUWSXJYOUXA
            YOUYSVXMVYRUYBVOUYSVXMVHUXKUYAVJVGZVOVGZVYRUYSVXLWUCVHVOUYSVXLUXNVK
            VEZUYAVJVGZWUCUYSUXNXMVNWFUXNXHXIVRVUFVXLWUFWJUYSUXNUYMVXQUYRVXSYCY
            TVUIUXNUXOUXBYBUYSWUEUXKUYAVJUYSVVGWUEUXKWJUYLVVGAUYRVVHUXCUXKUXDXJ
            XKXLYOUYSVUOUYOWUAVYRWUDWJUYSVSUYMUYOUYRUYPYCWUBVHUXKUYAUXEYGYRYOYS
            YPUXFYOYSUXHABCDEFHIJLMNPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUXGUXI
            UXJYH $.
        $}

        $( Lemma for ~ dchrisum0 .  (Contributed by Mario Carneiro,
           12-May-2016.) $)
        dchrisum0lem3 $p |- ( ph -> ( x e. RR+ |->
          sum_ m e. ( 1 ... ( |_ ` ( x ^ 2 ) ) )
            sum_ d e. ( 1 ... ( |_ ` ( ( x ^ 2 ) / m ) ) )
              ( ( X ` ( L ` m ) ) / ( sqrt ` ( m x. d ) ) ) ) e. O(1) ) $=
          ( vt vc crp c1 cv cfl cfv cfz co c2 cexp cdiv csqrt csu cmul cvv 1red
          caddc wcel wa sumex a1i cn cmpt cseq cli wbr cmin cabs cpnf cico wral
          cle cc0 wrex wex co1 csn cdif wceq ssrab3 difss sstri sselid eldifsni
          wne syl eqid dchrmusumlema crli adantr cdm divsqrsum cc wf divsqrsumf
          cr wss ax-resscn fss mp2an cxr csup rpsup rlimdm mpbii simprl simprrl
          clt simprrr dchrisum0lem2 rexlimdvaa exlimdv mpd dchrisum0lem1 o1add2
          fzfid adantl elfznn nnrpd rpsqrtcld adantrr rprege0d syl2anc rpcnne0d
          cz fsumcl syl3anc sumeq2dv rpred cuz ovexd ad2antrr elfzelz dchrzrhcl
          rpmulcl syl2an rpne0d divcld abscld sqrtmul oveq2d divdiv1 eqtr4d cin
          rpcnd c0 simpr reflcl ltp1d fzdisj cun cn0 flge0nn0 nn0p1nn 3syl nnuz
          eleqtrdi rpexpcl sylancl recnd mulid1d simprr rpregt0 ad2antrl lemul2
          2z mpbid eqbrtrrd sqvald breqtrrd flword2 fzsplit2 eqeltrrd fsumsplit
          wb adantlrr eqtrd fveq2d eqled o1le ) ABULUMBUNZUOUPZUQURZUMUWKUSUTUR
          ZHUNZVAURUOUPZUQURZUWOKUPZNUPZUWOVBUPZVAURQUNZVBUPZVAURZQVCZHVCZUWLUM
          VGURZUWNUOUPZUQURZUXDHVCZVGURZUMUXGUQURZUWQUWSUWOUXAVDURZVBUPZVAURZQV
          CZHVCZUMVEAVFABULUXEUXIVEUXEVEVHAUWKULVHZVIZUWMUXDHVJVKUXIVEVHUXRUXHU
          XDHVJVKAVGPVLPUNZKUPNUPUXSVAURVMZUMVNZUJUNZVOVPZCUNZUOUPZUYAUPUYBVQUR
          VRUPUKUNZUYDVAURWBVPCUMVSVTURZWAZVIZUKWCVSVTURZWDZUJWEBULUXEVMWFVHZAC
          UJEGUXTJKLNOPUKRSTUAUBUCAMENMEGWGZWHZEVLUWRUYDUPUWOVAURHVCWCWICUYNMUD
          WJZEUYMWKWLUEWMZANUYNVHNGWOAMUYNNUYOUEWMNEGWNWPUXTWQZWRAUYKUYLUJAUYIU
          YLUKUYJAUYFUYJVHZUYIVIZVIBCDEFUYBCULUMUYEUQURUMUXBVAURQVCUSUYDVBUPZVD
          URVQURVMZWSUPZGHUYFIJVUAUXTKLMNOPQRSALVLVHUYSTWTUAUBUCUDANMVHUYSUEWTU
          FADUYJVHUYSUGWTAVGIUMVNZFVOVPUYSUHWTAUYEVUCUPFVQURVRUPDUYTVAURWBVPCUY
          GWAUYSUIWTVUAWQZAVUAVUBWSVPZUYSAVUAWSXAVHVUECQVUAVUDXBAULVUAULXCVUAXD
          ZAULXFVUAXDXFXCXGVUFCQVUAVUDXEXHULXFXCVUAXIXJVKULXKXRXLVSWIAXMVKXNXOW
          TUYQAUYRUYIXPAUYRUYCUYHXQAUYRUYCUYHXSXTYAYBYCABCDEFGHIJKLMNOPQRSTUAUB
          UCUDUEUFUGUHUIYDYEUXRUXEUXIVGUUAUXRUXKUXOHUXRUMUXGYFUXRUWOUXKVHZVIZUW
          QUXNQVUHUMUWPYFVUHUXAUWQVHZVIZUWSUXMVUHUWSXCVHZVUIVUHUWOEJKLNOUARUBSA
          NEVHUXQVUGUYPUUBVUGUWOYOVHUXRUWOUMUXGUUCYGUUDWTZVUJUXMVUJUXLVUHUWOULV
          HUXAULVHUXLULVHVUIVUHUWOVUGUWOVLVHZUXRUWOUXGYHYGZYIVUIUXAUXAUWPYHZYIU
          WOUXAUUEUUFYJZUUOVUJUXMVUPUUGUUHYPZYPZAUXQUMUWKWBVPZVIVIZUXPVRUPZUXJV
          RUPAUXQVVAXFVHVUSUXRUXPVURUUIYKVUTUXPUXJVRVUTUXPUXKUXDHVCZUXJAUXQUXPV
          VBWIVUSUXRUXKUXOUXDHVUHUWQUXNUXCQVUJUXNUWSUWTUXBVDURZVAURZUXCVUJUXMVV
          CUWSVAVUJUWOXFVHWCUWOWBVPVIUXAXFVHWCUXAWBVPVIUXMVVCWIVUJUWOVUJUWOVUHV
          UMVUIVUNWTYIZYLVUJUXAVUJUXAVUIUXAVLVHVUHVUOYGYIZYLUWOUXAUUJYMUUKVUJVU
          KUWTXCVHUWTWCWOVIUXBXCVHUXBWCWOVIUXCVVDWIVULVUJUWTVUJUWOVVEYJYNVUJUXB
          VUJUXAVVFYJYNUWSUWTUXBUULYQUUMYRZYRYKVUTUWMUXHUXDUXKHAUXQUWMUXHUUNUUP
          WIZVUSUXRUWLUXFXRVPVVHUXRUWLUXRUWKXFVHZUWLXFVHUXRUWKAUXQUUQZYSZUWKUUR
          WPUUSUMUWLUXFUXGUUTWPYKVUTUXFUMYTUPZVHZUXGUWLYTUPVHZUXKUWMUXHUVAWIAUX
          QVVMVUSUXRUXFVLVVLUXRVVIWCUWKWBVPVIUWLUVBVHUXFVLVHUXRUWKVVJYLUWKUVCUW
          LUVDUVEUVFUVGYKVUTVVIUWNXFVHUWKUWNWBVPVVNAUXQVVIVUSVVKYKZVUTUWNAUXQUW
          NULVHZVUSUXRUXQUSYOVHVVPVVJUVPUWKUSUVHUVIYKYSVUTUWKUWKUWKVDURZUWNWBVU
          TUWKUMVDURZUWKVVQWBVUTUWKVUTUWKVVOUVJZUVKVUTVUSVVRVVQWBVPZAUXQVUSUVLV
          UTUMXFVHVVIVVIWCUWKXRVPVIZVUSVVTUWEVUTVFVVOUXQVWAAVUSUWKUVMUVNUMUWKUW
          KUVOYQUVQUVRVUTUWKVVSUVSUVTUWKUWNUWAYQUWLUMUXGUWBYMVUTUMUXGYFAUXQVUGU
          XDXCVHVUSVUHUXOUXDXCVVGVUQUWCUWFUWDUWGUWHUWIUWJ $.
      $}

      $( The sum ` sum_ n e. NN , X ( n ) / n ` is nonzero for all
         non-principal Dirichlet characters (i.e. the assumption ` X e. W ` is
         contradictory).  This is the key result that allows us to eliminate
         the conditionals from ~ dchrmusum2 and ~ dchrvmasumif .  Lemma 9.4.4
         of [Shapiro], p. 382.  (Contributed by Mario Carneiro,
         12-May-2016.) $)
      dchrisum0 $p |- -. ph $=
        ( co vx vk vb vi vz vd vc vt va cn cdvds wbr crab cfv csu cmpt eqid csn
        cv cdif cdiv cc0 wceq ssrab3 difss sstri sselid dchrisum0re crp cfl cfz
        c1 csqrt c2 cexp cmul ccom co1 wcel wa fveq2 oveq2d cr adantl ad3antrrr
        rpre cc elrabi dchrzrhcl elfznn nnrpd rpsqrtcld rpcnd adantr wne rpne0d
        cz nnzd divcld anasss dvdsflsumcom dchrisum0fval oveq1d fzfid dvdsssfz1
        syl wss ssfid fsumdivc eqtrd sumeq2dv rprege0 resqrtth fvoveq1d sumeq1d
        cle fveq2d sumeq12dv 3eqtr4d mpteq2dva rpsqrtcl eqidd fmptco eqtr4d cdm
        oveq1 wf caddc cseq cli cmin cabs cpnf cico wral wrex wex wi 0red simpr
        dchrisum0lema simprl simprrl simprrr dchrisum0lem3 rexlimdvaa mpd sumex
        exlimdv o1f dmmpti feq2i rpssre resqcl simplr simplrr ad2antrl breqtrrd
        sylib rpred ad2ant2r sqrtge0 le2sqd mpbird letrd lecasei expr ralrimiva
        a1i breq1 rspceaimv syl2an2 o1compt eqeltrd dchrisum0fno1 ) AUABCDUBUCU
        JUDUSZUCUSUKULUDUJUMBUSZGUNJUNBUOUPZFGHJKUDUCLMNOPQUVRUQZAICJICDURZUTZC
        UJEUSZGUNZUVQUNUWBVATEUOVBVCBUWAIRVDCUVTVEVFSVGZABCDEFGHIJKLMNOPQRSVHAU
        AVIVLUAUSZVJUNZVKTZUBUSZUVRUNZUWHVMUNZVATZUBUOZUPZUEVIVLUEUSZVNVOTZVJUN
        ZVKTZVLUWOUWBVATVJUNZVKTZUWCJUNZUWBUFUSVPTZVMUNZVATZUFUOZEUOZUPZUAVIUWE
        VMUNZUPZVQZVRAUWMUAVIVLUXGVNVOTZVJUNZVKTZVLUXJUWBVATVJUNZVKTZUXCUFUOZEU
        OZUPUXIAUAVIUWLUXPAUWEVIVSZVTZUWGUVPUWHUKULZUDUJUMZUWTUWJVATZEUOZUBUOUW
        GVLUWEUWBVATVJUNZVKTZUXCUFUOZEUOUWLUXPUXRUDUWEUYAUXCUFUBEUWHUXAVCUWJUXB
        UWTVAUWHUXAVMWAWBUXQUWEWCVSZAUWEWFWDUXRUWHUWGVSZUWBUXTVSZUYAWGVSUXRUYGV
        TZUYHVTZUWTUWJUYJUWBCFGHJKOLPMAJCVSUXQUYGUYHUWDWEUYHUWBWQVSUYIUYHUWBUXS
        UDUWBUJWHWRWDWIZUYIUWJWGVSUYHUYIUWJUYIUWHUYIUWHUYGUWHUJVSZUXRUWHUWFWJWD
        ZWKWLZWMZWNUYIUWJVBWOUYHUYIUWJUYNWPZWNWSWTXAUXRUWGUWKUYBUBUYIUWKUXTUWTE
        UOZUWJVATUYBUYIUWIUYQUWJVAUYIUYLUWIUYQVCUYMABEUWHCDUVRFGHJKUDUCLMNOPQUV
        SXBXFXCUYIUXTUWTUWJEUYIVLUWHVKTZUXTUYIVLUWHXDUYIUYLUXTUYRXGUYMUWHUDXEXF
        XHUYOUYKUYPXIXJXKUXRUXLUWGUXOUYEEUXRUXKUWFVLVKUXRUXJUWEVJUXRUYFVBUWEXPU
        LVTZUXJUWEVCZUXQUYSAUWEXLZWDUWEXMZXFZXQWBUXRUXOUYEVCUWBUXLVSUXRUXNUYDUX
        CUFUXRUXMUYCVLVKUXRUXJUWEUWBVJVAVUCXNWBXOWNXRXSXTAUAUEVIVIUXGUXEUXPUXHU
        XFUXQUXGVIVSAUWEYAWDZAUXHYBAUXFYBUWNUXGVCZUWQUXLUXDUXOEVUEUWPUXKVLVKVUE
        UWOUXJVJUWNUXGVNVOYFZXQWBVUEUXDUXOVCUWBUWQVSVUEUWSUXNUXCUFVUEUWRUXMVLVK
        VUEUWOUXJUWBVJVAVUFXNWBXOWNXRYCYDAUGUAVIVIUXGUHUXFAUXFYEZWGUXFYGZVIWGUX
        FYGAUXFVRVSZVUHAYHUIUJUIUSZGUNJUNVUJVMUNVATUPZVLYIZUHUSZYJULZUVQVJUNVUL
        UNVUMYKTYLUNUGUSZUVQVMUNVATXPULBVLYMYNTYOZVTZUGVBYMYNTZYPZUHYQVUIABUHCD
        EVUKFGHIJKUIUGLMNOPQRSVUKUQZUUAAVUSVUIUHAVUQVUIUGVURAVUOVURVSZVUQVTZVTU
        EBVUOCVUMDEVUKFGHIJKUIUFLMAHUJVSVVBNWNOPQRAJIVSVVBSWNVUTAVVAVUQUUBAVVAV
        UNVUPUUCAVVAVUNVUPUUDUUEUUFUUIUUGZUXFUUJXFVUGVIWGUXFUEVIUXEUXFUWQUXDEUU
        HUXFUQUUKUULUUSVVCVUDVIWCXGAUUMUVIVUMWCVSZVUMVNVOTZWCVSAVVEUWEXPULZVUMU
        XGXPULZYRZUAVIYOVUOUWEXPULZVVGYRUAVIYOUGWCYPVUMUUNAVVDVTZVVHUAVIVVJUXQV
        VFVVGVVJUXQVVFVTZVTZVVGVBVUMVVLYSAVVDVVKUUOZVVLVBVUMXPULZVTZVVGVVEUXJXP
        ULVVOVVEUWEUXJXPVVJUXQVVFVVNUUPVVOUYSUYTVVLUYSVVNUXQUYSVVJVVFVUAUUQZWNV
        UBXFUURVVOVUMUXGVVLVVDVVNVVMWNVVLUXGWCVSZVVNAUXQVVQVVDVVFUXRUXGVUDUUTUV
        AZWNVVLVVNYTVVLVBUXGXPULZVVNVVLUYSVVSVVPUWEUVBXFZWNUVCUVDVVLVUMVBXPULZV
        TZVUMVBUXGVVLVVDVWAVVMWNVWBYSVVLVVQVWAVVRWNVVLVWAYTVVLVVSVWAVVTWNUVEUVF
        UVGUVHVVIVVFVVGUGUAVVEWCVIVUOVVEUWEXPUVJUVKUVLUVMUVNUVO $.
    $}

    ${
      dchrmusum.g $e |- G = ( DChr ` N ) $.
      dchrmusum.d $e |- D = ( Base ` G ) $.
      dchrmusum.1 $e |- .1. = ( 0g ` G ) $.
      dchrmusum.b $e |- ( ph -> X e. D ) $.
      dchrmusum.n1 $e |- ( ph -> X =/= .1. ) $.
      ${
        $d m F $.
        dchrmusum.f $e |- F = ( a e. NN |->
          ( ( X ` ( L ` a ) ) / a ) ) $.
        dchrmusum.c $e |- ( ph -> C e. ( 0 [,) +oo ) ) $.
        dchrmusum.t $e |- ( ph -> seq 1 ( + , F ) ~~> T ) $.
        dchrmusum.2 $e |- ( ph -> A. y e. ( 1 [,) +oo )
          ( abs ` ( ( seq 1 ( + , F ) ` ( |_ ` y ) ) - T ) ) <_ ( C / y ) ) $.
        $( The sum ` sum_ n e. NN , X ( n ) / n ` is nonzero for all
           non-principal Dirichlet characters (i.e. the assumption ` X e. W `
           is contradictory).  This is the key result that allows us to
           eliminate the conditionals from ~ dchrmusum2 and ~ dchrvmasumif .
           Lemma 9.4.4 of [Shapiro], p. 382.  (Contributed by Mario Carneiro,
           12-May-2016.) $)
        dchrisumn0 $p |- ( ph -> T =/= 0 ) $=
          ( vm cc0 wceq wa cn cv cfv cdiv co csu csn cdif crab wcel adantr eqid
          dchrvmaeq0 biimpar dchrisum0 imnani neqned ) AEUGAEUGUHZAVGUIBDFUFHIJ
          UJUFUKZIULBUKULVHUMUNUFUOUGUHBDFUPUQURZKLNOAJUJUSVGPUTQRSVIVAZAKVIUSV
          GABCDEFUFGHIJVIKLMNOPQRSTUAUBUCUDUEVJVBVCVDVEVF $.

        $( The sum of the M&ouml;bius function multiplied by a non-principal
           Dirichlet character, divided by ` n ` , is bounded.  Equation 9.4.16
           of [Shapiro], p. 379.  (Contributed by Mario Carneiro,
           12-May-2016.) $)
        dchrmusumlem $p |- ( ph -> ( x e. RR+ |->
          sum_ n e. ( 1 ... ( |_ ` x ) )
            ( ( X ` ( L ` n ) ) x. ( ( mmu ` n ) / n ) ) ) e. O(1) ) $=
          ( crp c1 cv cfl cfv cfz co cmu cdiv cmul csu cmpt wcel fzfid ad2antrr
          co1 wa cz elfzelz adantl dchrzrhcl cn elfznn mucl zred nndivred recnd
          syl mulcld fsumcl caddc cseq cli wbr climcl adantr cc0 wne dchrisumn0
          cc divrecd divcan4d eqtr3d mpteq2dva reccld dchrmusum2 cr wss o1const
          rpssre sylancr o1mul2 eqeltrrd ) ABUHUIBUJZUKULZUMUNZHUJZKULMULZXDUOU
          LZXDUPUNZUQUNZHURZFUQUNZUIFUPUNZUQUNZUSBUHXIUSVCABUHXLXIAXAUHUTZVDZXJ
          FUPUNXLXIXNXJFXNXIFXNXCXHHXNUIXBVAXNXDXCUTZVDZXEXGXPXDEJKLMNSPTQAMEUT
          XMXOUBVBXOXDVEUTXNXDUIXBVFVGVHXPXGXPXFXDXPXFXPXDVIUTZXFVEUTXOXQXNXDXB
          VJVGZXDVKVOVLXRVMVNVPVQZAFWGUTZXMAVRIUIVSZFVTWAXTUFFYAWBVOZWCZVPZYCAF
          WDWEXMACDEFGIJKLMNOPQRSTUAUBUCUDUEUFUGWFZWCZWHXNXIFXSYCYFWIWJWKABUHXJ
          XKWGYDAXKWGUTZXMAFYBYEWLZWCABCDEFGIJKLMNOHPQRSTUAUBUCUDUEUFUGWMAUHWNW
          OYGBUHXKUSVCUTWQYHBUHXKWPWRWSWT $.

        $( The sum of the M&ouml;bius function multiplied by a non-principal
           Dirichlet character, divided by ` n ` , is bounded.  Equation 9.4.16
           of [Shapiro], p. 379.  (Contributed by Mario Carneiro,
           12-May-2016.) $)
        dchrvmasumlem $p |- ( ph -> ( x e. RR+ |->
          sum_ n e. ( 1 ... ( |_ ` x ) )
            ( ( X ` ( L ` n ) ) x. ( ( Lam ` n ) / n ) ) ) e. O(1) ) $=
          ( crp c1 cv cfl cfv cfz co cvma cdiv cmul csu cc0 wceq clog cif caddc
          cmpt co1 wa wne dchrisumn0 adantr ifnefalse syl oveq2d fzfid ad2antrr
          cz elfzelz adantl dchrzrhcl cn cr elfznn vmacl nndivre mpancom mulcld
          wcel recnd fsumcl addid1d eqtrd mpteq2dva dchrvmasumif eqeltrrd ) ABU
          HUIBUJZUKULZUMUNZHUJZKULMULZWQUOULZWQUPUNZUQUNZHURZFUSUTWNVAULZUSVBZV
          CUNZVDBUHXBVDVEABUHXEXBAWNUHWFZVFZXEXBUSVCUNXBXGXDUSXBVCXGFUSVGZXDUSU
          TAXHXFACDEFGIJKLMNOPQRSTUAUBUCUDUEUFUGVHVIFUSXCUSVJVKVLXGXBXGWPXAHXGU
          IWOVMXGWQWPWFZVFZWRWTXJWQEJKLMNSPTQAMEWFXFXIUBVNXIWQVOWFXGWQUIWOVPVQV
          RXJWTXJWQVSWFZWTVTWFZXIXKXGWQWOWAVQWSVTWFXKXLWQWBWSWQWCWDVKWGWEWHWIWJ
          WKABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGWLWM $.
      $}

      $( The sum of the M&ouml;bius function multiplied by a non-principal
         Dirichlet character, divided by ` n ` , is bounded.  Equation 9.4.16
         of [Shapiro], p. 379.  (Contributed by Mario Carneiro,
         12-May-2016.) $)
      dchrmusum $p |- ( ph -> ( x e. RR+ |-> sum_ n e. ( 1 ... ( |_ ` x ) )
        ( ( X ` ( L ` n ) ) x. ( ( mmu ` n ) / n ) ) ) e. O(1) ) $=
        ( cfv co va vt vy vc caddc cn cv cdiv cmpt c1 cseq cli wbr cfl cmin cle
        cabs cpnf cico wral cc0 wrex wex crp cfz cmu cmul csu co1 dchrmusumlema
        wa wcel eqid adantr wne simprrl simprrr dchrmusumlem rexlimdvaa exlimdv
        simprl mpd ) AUEUAUFUAUGZGSISWCUHTUIZUJUKZUBUGZULUMZUCUGZUNSWESWFUOTUQS
        UDUGZWHUHTUPUMUCUJURUSTUTZVKZUDVAURUSTZVBZUBVCBVDUJBUGUNSVETEUGZGSISWNV
        FSWNUHTVGTEVHUIVIVLZAUCUBCDWDFGHIJUAUDKLMNOPQRWDVMZVJAWMWOUBAWKWOUDWLAW
        IWLVLZWKVKZVKBUCWICWFDEWDFGHIJUAKLAHUFVLWRMVNNOPAICVLWRQVNAIDVOWRRVNWPA
        WQWKWAAWQWGWJVPAWQWGWJVQVRVSVTWB $.

      $( The sum of the von Mangoldt function multiplied by a non-principal
         Dirichlet character, divided by ` n ` , is bounded.  Equation 9.4.8 of
         [Shapiro], p. 376.  (Contributed by Mario Carneiro, 12-May-2016.) $)
      dchrvmasum $p |- ( ph -> ( x e. RR+ |-> sum_ n e. ( 1 ... ( |_ ` x ) )
        ( ( X ` ( L ` n ) ) x. ( ( Lam ` n ) / n ) ) ) e. O(1) ) $=
        ( cfv co va vt vy vc caddc cn cv cdiv cmpt c1 cseq cli wbr cfl cmin cle
        cabs cpnf cico wral wa cc0 wrex wex crp cfz cvma cmul csu co1 wcel eqid
        dchrmusumlema adantr wne simprl simprrl simprrr rexlimdvaa exlimdv mpd
        dchrvmasumlem ) AUEUAUFUAUGZGSISWCUHTUIZUJUKZUBUGZULUMZUCUGZUNSWESWFUOT
        UQSUDUGZWHUHTUPUMUCUJURUSTUTZVAZUDVBURUSTZVCZUBVDBVEUJBUGUNSVFTEUGZGSIS
        WNVGSWNUHTVHTEVIUIVJVKZAUCUBCDWDFGHIJUAUDKLMNOPQRWDVLZVMAWMWOUBAWKWOUDW
        LAWIWLVKZWKVAZVABUCWICWFDEWDFGHIJUAKLAHUFVKWRMVNNOPAICVKWRQVNAIDVOWRRVN
        WPAWQWKVPAWQWGWJVQAWQWGWJVRWBVSVTWA $.
    $}

    $d n A $.
    rpvmasum.u $e |- U = ( Unit ` Z ) $.
    rpvmasum.b $e |- ( ph -> A e. U ) $.
    rpvmasum.t $e |- T = ( `' L " { A } ) $.
    $( The sum of the von Mangoldt function over those integers ` n == A ` (mod
       ` N ` ) is asymptotic to ` log x / phi ( x ) + O(1) ` .  Equation 9.4.3
       of [Shapiro], p. 375.  (Contributed by Mario Carneiro, 2-May-2016.)
       (Proof shortened by Mario Carneiro, 26-May-2016.) $)
    rpvmasum $p |- ( ph -> ( x e. RR+ |-> ( ( ( phi ` N ) x.
  sum_ n e. ( ( 1 ... ( |_ ` x ) ) i^i T ) ( ( Lam ` n ) / n ) ) -
        ( log ` x ) ) ) e. O(1) ) $=
      ( cfv c1 co cc0 cmin vm vy vf crp cphi cv cfl cfz cin cvma cdiv cmul clog
      csu cn wceq cdchr cbs c0g csn cdif crab chash cmpt wcel wa c0 adantr eqid
      co1 2fveq3 id oveq12d cbvsumv eqeq1i rabbii simpr dchrisum0 imnani eq0rdv
      fveq2d hash0 eqtrdi oveq2d 1m0e1 cr relogcl recnd mulid1d eqtrd mpteq2dva
      adantl cur pm2.21i rpvmasum2 eqeltrrd ) ABUDHUEPQBUFZUGPUHRDUIFUFZUJPWRUK
      RFUNULRZWQUMPZQUOUAUFZGPUBUFZPZXAUKRZUAUNZSUPZUBHUQPZURPZXGUSPZUTVAZVBZVC
      PZTRZULRZTRZVDBUDWSWTTRZVDVJABUDXOXPAWQUDVEZVFZXNWTWSTXRXNWTQULRWTXRXMQWT
      ULAXMQUPXQAXMQSTRQAXLSQTAXLVGVCPSAXKVGVCAUCXKAUCUFZXKVEZAXTVFZUBXHXIFXGGH
      XKXSIJKAHUOVEXTLVHXGVIZXHVIZXIVIZXFUOWRGPXBPZWRUKRZFUNZSUPUBXJXEYGSUOXDYF
      UAFXAWRUPZXCYEXAWRUKXAWRXBGVKYHVLVMVNVOVPAXTVQVRZVSVTWAWBWCWDWEWCVHWDXRWT
      XRWTXQWTWFVEAWQWGWLWHWIWJWDWKABUBCXHDEXIUCUAFXGGHXKIJKLYBYCYDXKVIMNOYACIW
      MPUPYIWNWOWP $.

    $( The sum of ` log p / p ` over the primes ` p == A ` (mod ` N ` ) is
       asymptotic to ` log x / phi ( x ) + O(1) ` .  Equation 9.4.3 of
       [Shapiro], p. 375.  (Contributed by Mario Carneiro, 16-Apr-2016.) $)
    rplogsum $p |- ( ph -> ( x e. RR+ |-> ( ( ( phi ` N ) x.
 sum_ p e. ( ( 1 ... ( |_ ` x ) ) i^i ( Prime i^i T ) ) ( ( log ` p ) / p ) ) -
        ( log ` x ) ) ) e. O(1) ) $=
      ( crp co wcel syl cc0 cphi cfv c1 cv cfl cfz cin cvma cdiv cmul clog cmin
      csu cmpt co1 cprime rpvmasum wa cn phicld adantr nncnd cfn wss fzfid ssfi
      inss1 sylancl cr simpr elin1d elfznn vmacl nndivre mpancom fsumrecl recnd
      mulcld relogcl adantl subcld nnrp relogcld rerpdivcld cif subdid wceq wne
      cc ifcl rpcnne0d divsubdir syl3anc sumeq2dv fsumsub inss2 sslin mp1i cdif
      wn eldif incom ineq2i inass eqtr4i elin2 simplbi2 con3dimp sylbi iffalsed
      oveq1d eldifi sylan2 div0 eqtrd fsumss sstri sselid iftrued eqtr3d oveq2d
      0re 3eqtrd nnncan2d 3eqtr4d mpteq2dva resubcld rpssre o1const sylancr a1i
      c2 1red 2re cabs cle wbr breq1 vmaprm eqcomd eqled vmage0 ifbothda mpbird
      subge0d divge0d fsumge0 absidd fsumless sselda flcld rplogsumlem2 eqbrtrd
      cz letrd adantrr elo1d o1mul2 eqeltrrd o1dif mpbid ) ABPGUAUBZUCBUDZUEUBZ
      UFQZDUGZIUDZUHUBZUVGUIQZIUMZUJQZUVCUKUBZULQZUNUORBPUVBUVEUPDUGZUGZUVGUKUB
      ZUVGUIQZIUMZUJQZUVLULQZUNUORABCDEIFGHJKLMNOUQABPUVMUVTAUVCPRZURZUVKUVLUWB
      UVBUVJUWBUVBAUVBUSRUWAAGLUTZVAVBZUWBUVJUWBUVFUVIIUWBUVEVCRZUVFUVEVDZUVFVC
      RUWBUCUVDVEZUVEDVGZUVEUVFVFVHZUWBUVGUVFRZURZUVGUSRZUVIVIRZUWKUVGUVERZUWLU
      WKUVEDUVGUWBUWJVJVKUVGUVDVLZSZUVHVIRUWLUWMUVGVMZUVHUVGVNVOZSVPVQZVRZUWBUV
      LUWAUVLVIRAUVCVSVTVQZWAUWBUVSUVLUWBUVBUVRUWDUWBUVRUWBUVOUVQIUWBUWEUVOUVEV
      DUVOVCRUWGUVEUVNVGUVEUVOVFVHUWBUVGUVORZURZUWLUVQVIRUXCUWNUWLUXCUVEUVNUVGU
      WBUXBVJZVKUWOSZUWLUVPUVGUWLUVGUVGWBZWCZUXFWDSVPVQZVRZUXAWAABPUVBUVFUVHUVG
      UPRZUVPTWEZULQZUVGUIQZIUMZUJQZUNBPUVMUVTULQZUNUOABPUXOUXPUWBUVBUVJUVRULQZ
      UJQUVKUVSULQUXOUXPUWBUVBUVJUVRUWDUWSUXHWFUWBUXNUXQUVBUJUWBUXNUVFUVIUXKUVG
      UIQZULQZIUMUVJUVFUXRIUMZULQUXQUWBUVFUXMUXSIUWKUWLUXMUXSWGZUWPUWLUVHWIRUXK
      WIRUVGWIRUVGTWHURZUYAUWLUVHUWQVQUWLUXKUWLUVPVIRZTVIRUXKVIRUXGYBUXJUVPTVIW
      JVHZVQUWLUVGUXFWKZUVHUXKUVGWLWMSWNUWBUVFUVIUXRIUWIUWKUWLUVIWIRUWPUWLUVIUW
      RVQSUWKUWLUXRWIRZUWPUWLUXRUWLUXKUVGUYDUXFWDVQZSWOUWBUXTUVRUVJULUWBUVOUXRI
      UMUXTUVRUWBUVOUVFUXRIUVNDVDUVOUVFVDUWBUPDWPUVNDUVEWQWRUXCUWLUYFUXEUYGSUWB
      UVGUVFUVOWSRZURZUXRTUVGUIQZTUYIUXKTUVGUIUYIUXJUVPTUYHUXJWTZUWBUYHUWJUXBWT
      URUYKUVGUVFUVOXAUWJUXJUXBUXBUWJUXJUVGUVFUPUVOUVOUVEDUPUGZUGUVFUPUGUVNUYLU
      VEUPDXBXCUVEDUPXDXEXFXGXHXIVTXJXKUYIUWLUYJTWGZUYHUWBUWJUWLUVGUVFUVOXLUWPX
      MUWLUYBUYMUYEUVGXNSSXOUWIXPUWBUVOUXRUVQIUXCUXKUVPUVGUIUXCUXJUVPTUXCUVOUPU
      VGUVOUVNUPUVEUVNWPUPDVGXQUXDXRXSXKWNXTYAYCYAUWBUVKUVSUVLUWTUXIUXAYDYEYFAB
      PUVBUXNWIUWDUWBUXNUWBUVFUXMIUWIUWKUWLUXMVIRZUWPUWLUXLUVGUWLUVHUXKUWQUYDYG
      ZUXFWDZSZVPZVQZAPVIVDZUVBWIRBPUVBUNUORYHAUVBUWCVBBPUVBYIYJABPUXNUCYLUYTAY
      HYKZUYSAYMYLVIRZAYNYKAUWAUXNYOUBZYLYPYQUCUVCYPYQUWBVUCUXNYLYPUWBUXNUYRUWB
      UVFUXMIUWIUYQUWKUWLTUXMYPYQZUWPUWLUXLUVGUYOUXFUWLTUXLYPYQUXKUVHYPYQZUXJUV
      PUVHYPYQTUVHYPYQZVUEUWLUVPTUVPUXKUVHYPYRTUXKUVHYPYRUWLUXJURZUVPUVHUWLUYCU
      XJUXGVAVUGUVHUVPUXJUVHUVPWGUWLUVGYSVTYTUUAUWLVUFUYKUVGUUBVAUUCUWLUVHUXKUW
      QUYDUUEUUDUUFZSUUGUUHUWBUXNUVEUXMIUMZYLUYRUWBUVEUXMIUWGUWBUWNURZUWLUYNUWN
      UWLUWBUWOVTZUYPSZVPVUBUWBYNYKUWBUVEUXMUVFIUWGVULVUJUWLVUDVUKVUHSUWFUWBUWH
      YKUUIUWBUVDUUNRVUIYLYPYQUWBUVCAPVIUVCVUAUUJUUKUVDIUULSUUOUUMUUPUUQUURUUSU
      UTUVA $.

    $( Dirichlet's theorem: there are infinitely many primes in any arithmetic
       progression coprime to ` N ` .  Theorem 9.4.1 of [Shapiro], p. 375.
       (Contributed by Mario Carneiro, 30-Apr-2016.)  (Proof shortened by Mario
       Carneiro, 26-May-2016.) $)
    dirith2 $p |- ( ph -> ( Prime i^i T ) ~~ NN ) $=
      ( vx vn cn wbr wcel crp c1 cprime cin cdom csdm wn cen cvv wss nnex inss1
      prmssnn sstri ssdomg mp2 a1i cfn cv clog cfv cmpt co1 logno1 cphi cfl cfz
      wa co cdiv cmul cr adantr phicld nnred simpr inss2 sylancl elinel2 sselid
      csu ssfi nnrpd relogcl nndivred sylan2 fsumrecl cc rpssre o1const sylancr
      syl recnd clo1 1red cle cc0 log1 nnge1d wb logleb mpbid eqbrtrrid divge0d
      1rp fsumless ello1d fsumge0 o1lo12 mpbird o1mul2 remulcld adantl rplogsum
      0red cmin o1dif ex mtoi com nnenom sdomentr mpan2 isfinite2 nsyl sylanbrc
      bren2 ) AUACUBZPUCQZYFPUDQZUEYFPUFQYGAPUGRYFPUHYGUIYFUAPUACUJUKULZYFPUGUM
      UNUOAYFUPRZYHAYJNSNUQZURUSZUTVARZNVBAYJYMAYJVFZNSFVCUSZTYKVDUSVEVGZYFUBZO
      UQZURUSZYRVHVGZOVSZVIVGZUTVARYMYNNSYOUUAVJYNYOVJRYKSRZYNYOYNFAFPRYJJVKVLV
      MZVKYNUUAVJRUUCYNYQYTOYNYJYQYFUHZYQUPRAYJVNZYPYFVOZYFYQVTVPZYRYQRZYNYRYFR
      ZYTVJRYRYPYFVQZYNUUJVFZYSYRUULYRSRZYSVJRUULYRUULYFPYRYIYNUUJVNVRZWAZYRWBW
      JZUUNWCZWDZWEZVKZYNSVJUHZYOWFRNSYOUTVARWGYNYOUUDWKNSYOWHWIYNNSUUAUTZVARUV
      BWLRYNNSUUATYFYTOVSZUVAYNWGUOUUTYNWMYNYFYTOUUFUUQWEYNUUAUVCWNQUUCTYKWNQVF
      YNYFYTYQOUUFUUQUULYSYRUUPUUOUULWOTURUSZYSWNWPUULTYRWNQZUVDYSWNQZUULYRUUNW
      QUULTSRUUMUVEUVFWRXCUUOTYRWSWIWTXAXBZUUEYNUUGUOXDVKXEYNNSUUAWOUUTYNXMYNWO
      UUAWNQUUCYNYQYTOUUHUURUUIYNUUJWOYTWNQUUKUVGWDXFVKXGXHXIYNNSUUBYLYNUUBWFRU
      UCYNUUBYNYOUUAUUDUUSXJWKVKYNUUCVFYLUUCYLVJRYNYKWBXKWKANSUUBYLXNVGUTVARYJA
      NBCDEFGOHIJKLMXLVKXOWTXPXQYHYFXRUDQZYJYHPXRUFQUVHXSYFPXRXTYAYFYBWJYCYFPYE
      YD $.
  $}

  ${
    $d p A $.  $d p N $.
    $( Dirichlet's theorem: there are infinitely many primes in any arithmetic
       progression coprime to ` N ` .  Theorem 9.4.1 of [Shapiro], p. 375.  See
       ~ https://metamath-blog.blogspot.com/2016/05/dirichlets-theorem.html for
       an informal exposition.  This is Metamath 100 proof #48.  (Contributed
       by Mario Carneiro, 12-May-2016.) $)
    dirith $p |- ( ( N e. NN /\ A e. ZZ /\ ( A gcd N ) = 1 ) ->
      { p e. Prime | N || ( p - A ) } ~~ NN ) $=
      ( cn wcel cz cgcd co c1 wceq w3a cprime czn cfv czrh ccnv wb eqid syl2anc
      adantr csn cima cin cv cmin cdvds wbr cen wa wfn cn0 cbs wfo simp1 nnnn0d
      crab znzrhfo fofn 3syl prmz adantl fniniseg baibd simp2 syl3anc rabbi2dva
      zndvds bitrd cui simp3 znunit mpbird dirith2 eqbrtrrd ) BDEZAFEZABGHIJZKZ
      LBMNZONZPAVTNZUAUBZUCBCUDZAUEHUFUGZCLUPDUHVRWDCLWBVRWCLEZUIZWCWBEZWCVTNWA
      JZWDWFVTFUJZWCFEZWGWHQWFBUKEZFVSULNZVTUMWIVRWKWEVRBVOVPVQUNZUOZTZWLVTBVSV
      SRZWLRVTRZUQFWLVTURUSWEWJVRWCUTVAZWIWGWJWHFWAWCVTVBVCSWFWKWJVPWHWDQWOWRVR
      VPWEVOVPVQVDZTWCAVTBVSWPWQVGVEVHVFVRWAWBVSVINZVTBVSWPWQWMWTRZVRWAWTEZVQVO
      VPVQVJVRWKVPXBVQQWNWSAWTVTBVSWPXAWQVKSVLWBRVMVN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The Prime Number Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d k m n x y $.
    $( Asymptotic formula for ` sum_ n <_ x , mmu ( n ) / n = O(1) ` .
       Equation 10.2.1 of [Shapiro], p. 405.  (Contributed by Mario Carneiro,
       14-May-2016.) $)
    mudivsum $p |- ( x e. RR+ |-> sum_ n e. ( 1 ... ( |_ ` x ) )
        ( ( mmu ` n ) / n ) ) e. O(1) $=
      ( crp c1 cfv co cdiv csu wcel wtru cmul caddc cc wa syl cle wbr cabs wceq
      cn vy vk vm cv cfl cfz cmu cmpt co1 cmin cvv 1red cof cr rpssre ssexi a1i
      reex fzfid rpre elfznn nndivre syl2an reflcl subcld cz adantl mucl mulcld
      recnd zcnd fsumcl rpne0 divcld ovexd eqidd offval2 wss adantr cc0 absdivd
      rpcn wne rprege0 absid oveq2d eqtrd abscld adantlr fsumabs fz1ssnn sselda
      fsumrecl absmuld absge0d simpl nnrpd rpdivcl sselid flle abssubge0d mule1
      fracle1 eqbrtrd lemul12ad 1t1e1 breqtrdi chash cfn 1cnd fsumconst syl2anc
      fsumle flge1nn sylan nnnn0d hashfz1 oveq1d mulid1d breqtrd letrd breqtrrd
      3eqtrd ledivmuld mpbird elo1d crli ax-1cn divrcnv ax-mp rlimo1 mp1i o1add
      cn0 rpcnne0 w3a eqtr3d syl3anc 3eqtr3d sumeq2dv eqeltrrd nndivred fsumadd
      zred fsummulc2 npcand adddird div23 divass cdvds crab ssrab2 dvdsflsumcom
      3impb 2sumeq2dv cuz nnuz eleqtrdi eluzfz1 musumsum flge0nn0 4syl 3eqtr3rd
      simprr divcan3d divdir fveq2d eqled o1le mptru ) ACDAUDZUEEZUFFZBUDZUGEZU
      VNGFZBHZUHUIIJACUVMUVKUVNGFZUVRUEEZUJFZUVOKFZBHZUVKGFZDUVKGFZLFZUVQDUKJUL
      ZJACUWCUHZACUWDUHZLUMFZACUWEUHUIJACUWCUWDLUWGUWHUKMUKCUKIJCUNURUOUPUQUVKC
      IZUWCMIJUWJUWBUVKUWJUVMUWABUWJDUVLUSZUWJUVNUVMIZNZUVTUVOUWMUVRUVSUWMUVRUW
      JUVKUNIZUVNTIZUVRUNIZUWLUVKUTZUVNUVLVAZUVKUVNVBVCZVJZUWMUVSUWMUWPUVSUNIZU
      WSUVRVDZOVJZVEZUWMUVOUWMUWOUVOVFIZUWLUWOUWJUWRVGZUVNVHZOZVKZVIZVLZUVKWBZU
      VKVMZVNVGZJUWJNZDUVKGVOJUWGVPJUWHVPVQJUWGUIIUWHUIIZUWIUIIJACUWCDDCUNVRJUO
      UQUXNUWFUWFUWJDUVKPQZNZUWCREZDPQJUXRUXSUWBREZUVKGFZDPUXRUXSUXTUVKREZGFUYA
      UXRUWBUVKUWJUWBMIZUXQUXKVSZUWJUVKMIZUXQUXLVSZUWJUVKVTWCZUXQUXMVSZWAUXRUYB
      UVKUXTGUWJUYBUVKSZUXQUWJUWNVTUVKPQNUYIUVKWDUVKWEOVSWFWGUXRUYADPQUXTUVKDKF
      ZPQUXRUXTUVKUYJPUXRUXTUVMUWAREZBHZUVKUXRUWBUYDWHZUXRUVMUYKBUXRDUVLUSZUXRU
      WLNZUWAUWJUWLUWAMIUXQUXJWIZWHZWMZUWJUWNUXQUWQVSZUXRUVMUWABUYNUYPWJUXRUYLU
      VLUVKUYRUXRUWNUVLUNIUYSUVKVDOZUYSUXRUYLUVMDBHZUVLPUXRUVMUYKDBUYNUYQUYOULZ
      UYOUYKUVTREZUVOREZKFZDPUYOUVTUVOUWJUWLUVTMIUXQUXDWIZUYOUVOUYOUWOUXEUXRUVM
      TUVNUVMTVRUXRUVLWKUQZWLZUXGOVKZWNUYOVUEDDKFDPUYOVUCDVUDDUYOUVTVUFWHVUBUYO
      UVOVUIWHVUBUYOUVTVUFWOUYOUVOVUIWOUYOVUCUVTDPUYOUVSUVRUYOUWPUXAUYOCUNUVRUO
      UXRUWJUVNCIZUVRCIZUWLUWJUXQWPZUWLUVNUWRWQUVKUVNWRVCZWSZUXBOVUNUYOUWPUVSUV
      RPQVUNUVRWTOXAUYOUWPUVTDPQVUNUVRXCOXDUYOUWOVUDDPQVUHUVNXBOXEXFXGXDXMUXRVU
      AUVMXHEZDKFZUVLDKFUVLUXRUVMXIIDMIZVUAVUPSUYNUXRXJZUVMDBXKXLUXRVUOUVLDKUXR
      UVLYNIVUOUVLSUXRUVLUWJUWNUXQUVLTIUWQUVKXNXOZXPUVLXQOXRUXRUVLUXRUVLUYTVJXS
      YCXTUXRUWNUVLUVKPQUYSUVKWTOYAYAUXRUVKUYFXSYBUXRUXTDUVKUYMUXRULVULYDYEXDVG
      YFUWHVTYGQZUXPJVUQVUTYHDAYIYJVTUWHYKYLUWGUWHYMXLUUAUXOUWCUWDLVOUWJUVQMIZJ
      UWJUVMUVPBUWKUWMUVPUWMUVOUVNUWMUVOUXHUUDUXFUUBVJZVLZVGUXRUVQREZUWEREZPQJU
      XRVVDVVEUXRUVQUWJVVAUXQVVCVSZWHUXRUVQUWERUXRUVKUVQKFZUVKGFUWBDLFZUVKGFZUV
      QUWEUXRVVGVVHUVKGUXRVVGUVMUVKUVPKFZBHZVVHUXRUVMUVPUVKBUYNUYFUWJUWLUVPMIUX
      QVVBWIUUEUXRUVMUWAUVSUVOKFZLFZBHUWBUVMVVLBHZLFVVKVVHUXRUVMUWAVVLBUYNUYPUW
      JUWLVVLMIUXQUWMUVSUVOUXCUXIVIWIUUCUXRUVMVVMVVJBUYOUVTUVSLFZUVOKFUVRUVOKFZ
      VVMVVJUYOVVOUVRUVOKUYOUVRUVSUWJUWLUVRMIUXQUWTWIUWJUWLUVSMIUXQUXCWIZUUFXRU
      YOUVTUVSUVOVUFVVQVUIUUGUYOUYEUVOMIZUVNMIUVNVTWCNZVVPVVJSUXRUYEUWLUYFVSVUI
      UYOVUJVVSUYOUVNVUHWQUVNYOOUYEVVRVVSYPUVKUVOKFUVNGFVVPVVJUVKUVOUVNUUHUVKUV
      OUVNUUIYQYRYSYTUXRVVNDUWBLUXRUVMUAUDUBUDZUUJQZUATUUKZUVOBHUBHZUVMDUVSUFFZ
      UVOUCHZBHDVVNUXRUAUVKUVOUVOUCUBBVVTUVNUCUDKFSUVOVPUYSUXRVVTUVMIZUVNVWBIZN
      NZUVOVWHUWOUXEVWHVWBTUVNVWAUATUULUXRVWFVWGUVDWSUXGOVKZUUMUXRUVMVWBUVODKFZ
      BHUBHVWCDUXRUVMVWBVWJUVOUBBUXRVWFVWGYPUVOUXRVWFVWGVVRVWIUUNXSUUOUXRUVMDDB
      UBUAVVTDSDVPUYNVUGUXRUVLDUUPEZIDUVMIUXRUVLTVWKVUSUUQUURDUVLUUSOUXRVWFNXJU
      UTYQUXRUVMVWEVVLBUYOVWEVWDXHEZUVOKFZVVLUYOVWDXIIVVRVWEVWMSUYODUVSUSVUIVWD
      UVOUCXKXLUYOVWLUVSUVOKUYOVUKUWPVTUVRPQNUVSYNIVWLUVSSVUMUVRWDUVRUVAUVSXQUV
      BXRWGYTUVCWFYSWGXRUXRUVQUVKVVFUYFUYHUVEUXRUYCVUQUYEUYGNZVVIUWESUYDVURUWJV
      WNUXQUVKYOVSUWBDUVKUVFYRYSUVGUVHVGUVIUVJ $.

    $( Lemma for ~ mulogsum .  (Contributed by Mario Carneiro, 14-May-2016.) $)
    mulogsumlem $p |- ( x e. RR+ |-> sum_ n e. ( 1 ... ( |_ ` x ) )
      ( ( ( mmu ` n ) / n ) x.
        ( sum_ m e. ( 1 ... ( |_ ` ( x / n ) ) ) ( 1 / m ) -
          ( log ` ( x / n ) ) ) ) ) e. O(1) $=
      ( crp c1 cfv co cdiv csu cmin cmul cmpt wcel wtru cem cc wa syl cle wbr
      cv cfl cfz cmu clog co1 fzfid cn elfznn adantl mucl nndivred recnd fsumcl
      cz zred emre recni a1i mudivsum cr rpssre o1const mp2an nnrecred fsumrecl
      wss o1mul2 nnrpd rpdivcl relogcld resubcld remulcld mulcl sylancl nnrecre
      sylan2 caddc subcld mulcld fsumsub subsub4d oveq2d subdid eqtr3d sumeq2dv
      fsummulc1 3eqtr4d mpteq2ia addcld abscld fsumabs cc0 cn0 rprege0 flge0nn0
      1red cabs nn0red rerpdivcl mpancom rpreccl rpred id syl2anr absge0d nncnd
      adantr nnne0d absdivd absid eqtrd mule1 lediv1dd eqbrtrd harmonicbnd4 wne
      wceq rpcnne0 recdiv syl2anc breqtrd lemul12ad absmuld 1cnd dmdcan syl3anc
      rpcnd mulcomd 3brtr4d fsumle chash hashfz1 oveq1d fsumconst nn0cnd mpbird
      cfn rpcn letrd rpne0 divrecd rpre flle mulid1d breqtrrd wb reflcl rpregt0
      clt ledivmul ad2antrl elo1d eqeltrrid o1dif mptru ) ADEAUAZUBFZUCGZCUAZUD
      FZUUTHGZEUUQUUTHGZUBFZUCGZEBUAZHGZBIZUVCUEFZJGZKGZCIZLUFMZNUVMADUUSUVBCIZ
      OKGZLUFMNADUVNOPUUQDMZUVNPMZNUVPUUSUVBCUVPEUURUGZUVPUUTUUSMZQZUVBUVTUVAUU
      TUVTUVAUVTUUTUHMZUVAUOMUVSUWAUVPUUTUURUIZUJZUUTUKRUPZUWCULZUMZUNZUJOPMZNU
      VPQOUQURZUSADUVNLUFMNACUTUSADOLUFMZNDVAVGZUWHUWJVBUWIADOVCVDUSVHNADUVLUVO
      UVPUVLPMNUVPUVLUVPUUSUVKCUVRUVTUVBUVJUWEUVTUVHUVIUVTUVEUVGBUVTEUVDUGZUVTU
      VFUVEMZQZUVFUWMUVFUHMZUVTUVFUVDUIUJZVEVFUVTUVCUVSUVPUUTDMZUVCDMZUVSUUTUWB
      VIZUUQUUTVJVQZVKZVLVMVFUMUJUVPUVOPMZNUVPUVQUWHUXBUWGUWIUVNOVNVOUJNADUVLUV
      OJGZLADUUSUVBUVHUVIOVRGZJGZKGZCIZLUFADUXGUXCUVPUUSUVKUVBOKGZJGZCIUVLUUSUX
      HCIZJGUXGUXCUVPUUSUVKUXHCUVRUVTUVBUVJUWFUVTUVHUVIUVTUVEUVGBUWLUWNUWOUVGPM
      UWPUWOUVGUVFVPUMRUNZUVTUVIUXAUMZVSZVTUVTUVBPMUWHUXHPMUWFUWIUVBOVNVOWAUVPU
      USUXFUXICUVTUVBUVJOJGZKGUXFUXIUVTUXNUXEUVBKUVTUVHUVIOUXKUXLUWHUVTUWIUSZWB
      WCUVTUVBUVJOUWFUXMUXOWDWEWFUVPUVOUXJUVLJUVPUUSUVBOCUVRUWHUVPUWIUSUWFWGWCW
      HWINADUXGEEUWKNVBUSUVPUXGPMNUVPUUSUXFCUVRUVTUVBUXEUWFUVTUVHUXDUXKUVTUVIOU
      XLUXOWJVSZVTZUNZUJNWQZUXSUVPUXGWRFZESTNEUUQSTUVPUXTUUSUXFWRFZCIZEUVPUXGUX
      RWKUVPUUSUYACUVRUVTUXFUXQWKZVFZUVPWQZUVPUUSUXFCUVRUXQWLUVPUYBUURUUQHGZEUY
      DUURVAMZUVPUYFVAMUVPUURUVPUUQVAMZWMUUQSTQUURWNMZUUQWOUUQWPRZWSUURUUQWTXAU
      YEUVPUYBUUSEUUQHGZCIZUYFSUVPUUSUYAUYKCUVRUYCUVTUYKUVPUYKDMUVSUUQXBZXHXCUV
      TUVBWRFZUXEWRFZKGEUUTHGZUUTUUQHGZKGZUYAUYKSUVTUYNUYPUYOUYQUVTUVBUWFWKUVTU
      UTUWCVEZUVTUXEUXPWKUVTUYQUVSUWQUVPUYQDMUVPUWSUVPXDUUTUUQVJXEZXCUVTUVBUWFX
      FUVTUXEUXPXFUVTUYNUVAWRFZUUTHGZUYPSUVTUYNVUAUUTWRFZHGVUBUVTUVAUUTUVTUVAUW
      DUMZUVTUUTUWCXGUVTUUTUWCXIXJUVTVUCUUTVUAHUVTUUTVAMWMUUTSTQZVUCUUTXRUVTUWQ
      VUEUVTUUTUWCVIZUUTWORUUTXKRWCXLUVTVUAEUUTUVTUVAVUDWKUVTWQVUFUVTUWAVUAESTU
      WCUUTXMRXNXOUVTUYOEUVCHGZUYQSUVTUWRUYOVUGSTUWTUVCBXPRUVTUUQPMUUQWMXQQZUUT
      PMUUTWMXQQZVUGUYQXRUVPVUHUVSUUQXSXHZUVTUWQVUIVUFUUTXSRZUUQUUTXTYAYBYCUVTU
      VBUXEUWFUXPYDUVTUYQUYPKGZUYKUYRUVTVUIVUHEPMVULUYKXRVUKVUJUVTYEUUTUUQEYFYG
      UVTUYQUYPUVTUYQUYTYHUVTUYPUYSUMYIWEYJYKUVPUUSYLFZUYKKGZUURUYKKGUYLUYFUVPV
      UMUURUYKKUVPUYIVUMUURXRUYJUURYMRYNUVPUUSYRMUYKPMUYLVUNXRUVRUVPUYKUYMYHUUS
      UYKCYOYAUVPUURUUQUVPUURUYJYPUUQYSZUUQUUAUUBWHYBUVPUYFESTZUURUUQEKGZSTZUVP
      UURUUQVUQSUVPUYHUURUUQSTUUQUUCZUUQUUDRUVPUUQVUOUUEUUFUVPUYGEVAMUYHWMUUQUU
      JTQVUPVURUUGUVPUYHUYGVUSUUQUUHRUYEUUQUUIUUREUUQUUKYGYQYTYTUULUUMUUNUUOYQU
      UP $.

    $( Asymptotic formula for
       ` sum_ n <_ x , ( mmu ( n ) / n ) log ( x / n ) = O(1) ` .  Equation
       10.2.6 of [Shapiro], p. 406.  (Contributed by Mario Carneiro,
       14-May-2016.) $)
    mulogsum $p |- ( x e. RR+ |-> sum_ n e. ( 1 ... ( |_ ` x ) )
        ( ( ( mmu ` n ) / n ) x. ( log ` ( x / n ) ) ) ) e. O(1) $=
      ( vm vy crp c1 cv cfv co cdiv cmul csu wcel wtru cc wa cn adantl syl cmin
      vk cfl cfz cmu clog cmpt co1 cr rpssre ax-1cn o1const mp2an 1cnd fzfid cz
      wss elfznn mucl zred nndivred nnrpd sylan2 relogcld remulcld recnd fsumcl
      rpdivcl mulogsumlem cvv sumex a1i o1mptrcl subcld 1red cle fz1ssnn sselda
      wbr wceq cc0 rpcnne0d reccl syl2an subdid sumeq2dv mulcld adantlr fsumsub
      wne simpl cdvds crab oveq2 oveq2d rpre adantr ssrab2 simprr zcnd nnrecred
      sselid adantrr dvdsflsumcom 1div1e1 eqtrdi cuz flge1nn sylan nnuz eluzfz1
      eleqtrdi musumsum divdiv1 syl3anc nncnd nnne0d divrecd 3eqtr3rd fsummulc2
      nnmulcl eqtr4d oveq1d 3eqtrd o1eq mpbii o1dif mptru ) AEFAGZUBHZUCIZBGZUD
      HZYKJIZYHYKJIZUEHZKIZBLZUFUGMZNAEFUFUGMZYREUHUPFOMYSUIUJAEFUKULNAEFYQNYHE
      MZPZUMZYTYQOMNYTYJYPBYTFYIUNYTYKYJMZPZYPUUDYMYOUUDYLYKUUDYLUUDYKQMZYLUOMZ
      UUCUUEYTYKYIUQZRZYKURZSUSUUHUTUUDYNUUCYTYKEMZYNEMZUUCYKUUGVAZYHYKVGZVBVCV
      DVEZVFRZNAEYJYMFYNUBHZUCIZFCGZJIZCLZYOTIKIZBLZUFUGMZAEFYQTIZUFUGMACBVHZNA
      EUVBUVDFNAEUVBVIUVBVIMUUAYJUVABVJVKUVCNUVEVKVLUUAFYQUUBUUOVMNVNYTFYHVOVRZ
      PZUVBUVDVSNUVGUVBYJYMUUTKIZYPTIZBLYJUVHBLZYQTIUVDUVGYJUVAUVIBUVGUUCPZYMUU
      TYOUVKYMUVKYLYKUVKYLUVKUUEUUFUVGYJQYKYJQUPUVGYIVPVKZVQZUUISZUSUVMUTVEZUVK
      UUQUUSCUVKFUUPUNZUVKUURUUQMZPZUUROMUURVTWIPZUUSOMUVRUURUVRUURUVQUURQMZUVK
      UURUUPUQZRZVAWAZUURWBSZVFZUVKYOUVKYNUVGYTUUJUUKUUCYTUVFWJUULUUMWCVCVEWDWE
      UVGYJUVHYPBUVGFYIUNZUVKYMUUTUVOUWEWFYTUUCYPOMUVFUUNWGWHUVGUVJFYQTUVGYJDGU
      AGZWKVRZDQWLZYLFUWGJIZKIZBLUALYJUUQYLFYKUURKIZJIZKIZCLZBLFUVJUVGDYHUWKUWN
      CUABUWGUWLVSUWJUWMYLKUWGUWLFJWMWNYTYHUHMZUVFYHWOZWPUVGUWGYJMZYKUWIMZPPZYL
      UWJUWTYLUWTUUEUUFUWTUWIQYKUWHDQWQUVGUWRUWSWRXAUUISWSUVGUWRUWJOMUWSUVGUWRP
      ZUWJUXAUWGUWRUWGQMUVGUWGYIUQRWTVEZXBWFXCUVGYJUWJFBUADUWGFVSUWJFFJIFUWGFFJ
      WMXDXEUWFUVLUVGYIFXFHZMFYJMUVGYIQUXCYTUWPUVFYIQMUWQYHXGXHXIXKFYIXJSUXBXLU
      VGYJUWOUVHBUVKUWOUUQYMUUSKIZCLUVHUVKUUQUWNUXDCUVRYMUURJIZYLUWLJIZUXDUWNUV
      RYLOMZYKOMYKVTWIPUVSUXEUXFVSUVKUXGUVQUVKYLUVNWSWPZUVRYKUVRYKUVKUUEUVQUVMW
      PVAWAUWCYLYKUURXMXNUVRYMUURUVKYMOMUVQUVOWPUVRUURUWBXOUVRUURUWBXPXQUVRYLUW
      LUXHUVRUWLUVKUUEUVTUWLQMUVQUVMUWAYKUURXTWCZXOUVRUWLUXIXPXQXRWEUVKUUQUUSYM
      CUVPUVOUWDXSYAWEXRYBYCRYDYEYFYEYG $.
  $}

  ${
    $d i k m n x y A $.  $d x F $.  $d n x L $.  $d k m n x ph $.  $d n x R $.
    logdivsum.1 $e |- F = ( y e. RR+ |->
      ( sum_ i e. ( 1 ... ( |_ ` y ) ) ( ( log ` i ) / i ) -
        ( ( ( log ` y ) ^ 2 ) / 2 ) ) ) $.
    $( Asymptotic analysis of
       ` sum_ n <_ x , log n / n = ( log x ) ^ 2 / 2 + L + O ( log x / x ) ` .
       (Contributed by Mario Carneiro, 18-May-2016.) $)
    logdivsum $p |- ( F : RR+ --> RR /\ F e. dom ~~>r /\
      ( ( F ~~>r L /\ A e. RR+ /\ _e <_ A ) ->
        ( abs ` ( ( F ` A ) - L ) ) <_ ( ( log ` A ) / A ) ) ) $=
      ( vx crp cr wcel wbr ceu co cdiv wtru c2 cc0 c1 cmpt cc crli cdm cle cmin
      wf w3a cfv cabs clog wi cv cexp cn cpnf cioo ioorp eqcomi nnuz 1zzd caddc
      ere a1i 0re epos ltleii wb 1re addge02 mp2an sylib relogcl adantl resqcld
      wa rehalfcld rerpdivcl mpancom nnrp sylan2 cdv cmul reelprrecn cnelprrecn
      cvv cpr recnd ovexd sqcl halfcld simpr cres wf1o relogf1o f1of mp1i fvres
      feqmptd mpteq2ia eqtrdi oveq2d dvrelog eqtr3di wceq 2nn dvexp oveq2i exp1
      2m1e1 syl5eq mpteq2dva eqtrd 2cnd wne dvmptdivc 2cn divcan3 mp3an23 oveq1
      2ne0 oveq1d dvmptco rpcn rpne0 divrecd eqtr4d fveq2 oveq12d simp3r simp2l
      id rpred simp3l simp2r letrd logdivle syl22anc mpbid ccxp cxp1d 1rp mptru
      cxploglim eqbrtrrid dvfsumrlim3 ) HIDUEDUAUBJDEUAKBHJLBUCKUFBDUGEUDMUHUGB
      UIUGZBNMZUCKUJUFOAAUKZUIUGZPULMZPNMZUUHUUGNMZCUKZUIUGZUULNMZLHQCUUFDERIBU
      MQUNUOMHUPUQUROUSLIJZOVAVBOQLUCKZRLRUTMUCKZUUPOQLVCVAVDVEVBRIJUUOUUPUUQVF
      VGVARLVHVIVJQIJOVCVBOUUGHJZVNZUUIUUSUUHUURUUHIJZOUUGVKZVLZVMVOUURUUKIJZOU
      UTUURUVCUVAUUHUUGVPVQVLZUUGUMJOUURUVCUUGVRUVDVSOIAHUUJSVTMAHUUHRUUGNMZWAM
      ZSAHUUKSZOAGUUHUVEGUKZPULMZPNMZUVHITUUJUUHWDTHTIITWEZJOWBVBTUVKJOWCVBZUUS
      UUHUVBWFZUUSRUUGNWGOUVHTJZVNZUVIUVNUVITJOUVHWHVLZWIOUVNWJOIUIHWKZVTMIAHUU
      HSZVTMAHUVESOUVQUVRIVTOUVQAHUUGUVQUGZSUVROAHIUVQHIUVQWLHIUVQUEOWMHIUVQWNW
      OWQAHUVSUUHUUGHUIWPWRWSWTAXAXBOTGTUVJSVTMGTPUVHWAMZPNMZSGTUVHSOGUVIUVTPTW
      DTUVLUVPUVOPUVHWAWGOTGTUVISVTMZGTPUVHPRUDMZULMZWAMZSZGTUVTSPUMJUWBUWFXCOX
      DGPXEWOOGTUWEUVTUVOUWDUVHPWAUVOUWDUVHRULMZUVHUWCRUVHULXHXFUVNUWGUVHXCOUVH
      XGVLXIWTXJXKOXLPQXMZOXSVBXNOGTUWAUVHUVNUWAUVHXCZOUVNPTJUWHUWIXOXSUVHPXPXQ
      VLXJXKUVHUUHXCZUVIUUIPNUVHUUHPULXRXTUWJYJYAOAHUUKUVFUUSUUHUUGUVMUURUUGTJO
      UUGYBZVLUURUUGQXMOUUGYCVLYDXJYEUUGUULXCZUUHUUMUUGUULNUUGUULUIYFUWLYJYGOUU
      RUULHJZVNZLUUGUCKZUUGUULUCKZVNZUFZUWPUUNUUKUCKZOUWNUWOUWPYHZUWRUUGIJUWOUU
      LIJLUULUCKUWPUWSVFUWRUUGOUURUWMUWQYIYKZOUWNUWOUWPYLZUWRUULOUURUWMUWQYMYKZ
      UWRLUUGUULUUOUWRVAVBUXAUXCUXBUWTYNUUGUULYOYPYQFOUVGAHUUHUUGRYRMZNMZSZQUAA
      HUXEUUKUURUXDUUGUUHNUURUUGUWKYSWTWRRHJUXFQUAKOYTRAUUBWOUUCUUGBXCZUUHUUEUU
      GBNUUGBUIYFUXGYJYGUUDUUA $.

    mulog2sumlem.1 $e |- ( ph -> F ~~>r L ) $.
    ${
      mulog2sumlem1.2 $e |- ( ph -> A e. RR+ ) $.
      mulog2sumlem1.3 $e |- ( ph -> _e <_ A ) $.
      $( Asymptotic formula for
         ` sum_ n <_ x , log ( x / n ) / n = ( 1 / 2 ) log ^ 2 ( x ) + `
         ` gamma x. log x - L + O ( log x / x ) ` , with explicit constants.
         Equation 10.2.7 of [Shapiro], p. 407.  (Contributed by Mario Carneiro,
         18-May-2016.) $)
      mulog2sumlem1 $p |- ( ph ->
       ( abs ` ( sum_ m e. ( 1 ... ( |_ ` A ) ) ( ( log ` ( A / m ) ) / m ) -
         ( ( ( ( log ` A ) ^ 2 ) / 2 ) + ( ( gamma x. ( log ` A ) ) - L ) ) ) )
         <_ ( 2 x. ( ( log ` A ) / A ) ) ) $=
        ( cfv co cdiv cmul cmin caddc wcel cr recnd vx c1 cfl cfz clog csu cexp
        cv c2 cem cabs fzfid wa crp elfznn nnrpd rpdivcl syl2an relogcld adantl
        nndivred fsumrecl resqcld rehalfcld emre remulcl sylancr csup cpnf wceq
        cn cxr clt rpsup a1i cmpt crli wf cdm wbr ceu cle w3a logdivsum feqmptd
        wi simp1i eqbrtrrd ffvelrni rlimrecl resubcld readdcld abscld rerpdivcl
        fsumcl readdcl sylancl mulcld subcld addcld 2re rerpdivcld relogdiv cc0
        oveq1d cc wne adantr rpcnne0d divsubdir syl3anc sumeq2dv fsumsub pncand
        eqtrd recni adddid 2halvesd sqvald add32d 3eqtr2d mulcom oveq2d eqeltrd
        3eqtr4rd addsubassd subsub4d 3eqtr3d oveq12d sub4d fveq2d abs2dif2d syl
        wb mpbid rpcnd rpne0d divrecd eqtr4d fveq2 nnrecred 0red 1red 0lt1 loge
        eqbrtrd harmonicbnd4 rprecred logleb eqbrtrrid ltletrd lemul2 syl112anc
        fsummulc2 subdid absmuld ltled absidd 3eqtrd 3brtr4d id cbvsumv sumeq1d
        epr syl5eq ovex fvmpt simp3i le2addd 2timesd breqtrrd letrd ) AUBCUCLZU
        DMZCEUHZNMZUELZUVONMZEUFZCUELZUIUGMZUINMZUJUVTOMZGPMZQMZPMZUKLZUVNUVTUV
        ONMZEUFZUVTUVTUJQMZOMZPMZUKLZUVNUVOUELZUVONMZEUFZUWBGQMZPMZUKLZQMZUIUVT
        CNMZOMZAUWFAUWFAUVSUWEAUVNUVREAUBUVMULZAUVOUVNRZUMZUVQUVOUXEUVPACUNRZUV
        OUNRZUVPUNRUXDJUXDUVOUVOUVMUOZUPZCUVOUQURUSUXDUVOVKRAUXHUTZVAVBAUWBUWDA
        UWAAUVTACJUSZVCZVDZAUWCGAUJSRZUVTSRZUWCSRVEUXKUJUVTVFVGAUAUNUAUHZFLZGUN
        VLVMVHVIVJAVNVOAFUAUNUXQVPGVQAUAUNSFUNSFVRZAUXRFVQVSRZFGVQVTZUXFWACWBVT
        ZWCCFLZGPMZUKLZUXAWBVTZWFZBCDFGHWDZWGZVOWEIWHUXPUNRUXQSRAUNSUXPFUYHWIUT
        WJZWKWLWKTWMAUWMUWSAUWLAUWIUWKAUVNUWHEUXCUXEUWHAUXOUXGUWHSRUXDUXKUXIUVT
        UVOWNURTZWOZAUVTUWJAUVTUXKTZAUWJAUXOUXNUWJSRUXKVEUVTUJWPWQZTZWRZWSZWMZA
        UWRAUWPUWQAUVNUWOEUXCUXEUWOUXEUWNUVOUXEUVOUXEUVOUXJUPZUSZUXJVATZWOZAUWB
        GAUWBUXMTZAGUYITZWTZWSZWMZWLAUISRUXASRUXBSRXAAUVTCUXKJXBZUIUXAVFVGAUWGU
        WLUWRPMZUKLUWTWBAUWFVUHUKAUWFUWIUWPPMZUWKUWQPMZPMVUHAUVSVUIUWEVUJPAUVSU
        VNUWHUWOPMZEUFVUIAUVNUVRVUKEUXEUVRUVTUWNPMZUVONMZVUKUXEUVQVULUVONAUXFUX
        GUVQVULVJUXDJUXICUVOXCURXEUXEUVTXFRZUWNXFRUVOXFRUVOXDXGUMVUMVUKVJAVUNUX
        DUYLXHZUXEUWNUYSTUXEUVOUYRXIUVTUWNUVOXJXKXOXLAUVNUWHUWOEUXCUYJUYTXMXOAU
        WBUWCQMZGPMUWKUWBPMZGPMUWEVUJAVUPVUQGPAUWBUVTUJOMZQMZUWBQMZUWBPMVUSVUQV
        UPAVUSUWBAVUSAUWBVURUXMAUXOUXNVURSRUXKVEUVTUJVFWQZWLTVUBXNAUWKVUTUWBPAU
        WKUVTUVTOMZVURQMUWBUWBQMZVURQMVUTAUVTUVTUJUYLUYLUJXFRZAUJVEXPZVOXQAVVCV
        VBVURQAVVCUWAVVBAUWAAUWAUXLTXRAUVTUYLXSXOXEAUWBUWBVURVUBVUBAVURVVATZXTY
        AXEAUWCVURUWBQAVVDVUNUWCVURVJVVEUYLUJUVTYBVGZYCYEXEAUWBUWCGVUBAUWCVURXF
        VVGVVFYDVUCYFAUWKUWBGUYOVUBVUCYGYHYIAUWIUWPUWKUWQUYKVUAUYOVUDYJXOYKAUWL
        UWRUYPVUEYLUUFAUWTUXAUXAQMUXBWBAUWMUWSUXAUXAUYQVUFVUGVUGAUVTUVNUBUVONMZ
        EUFZUWJPMZUKLZOMZUVTUBCNMZOMZUWMUXAWBAVVKVVMWBVTZVVLVVNWBVTZAUXFVVOJCEU
        UGYMAVVKSRVVMSRUXOXDUVTVMVTVVOVVPYNAVVJAVVJAVVIUWJAUVNVVHEUXCUXEUVOUXJU
        UAZVBUYMWKTWMACJUUHUXKAXDUBUVTAUUBZAUUCUXKXDUBVMVTAUUDVOAUBWAUELZUVTWBU
        UEAUYAVVSUVTWBVTZKAWAUNRUXFUYAVVTYNUVDJWACUUIVGYOUUJUUKZVVKVVMUVTUULUUM
        YOAUWMUVTVVJOMZUKLUVTUKLZVVKOMVVLAUWLVWBUKAUWLUVTVVIOMZUWKPMVWBAUWIVWDU
        WKPAUWIUVNUVTVVHOMZEUFVWDAUVNUWHVWEEUXEUVTUVOVUOUXEUVOUYRYPUXEUVOUYRYQY
        RXLAUVNVVHUVTEUXCUYLUXEVVHVVQTZUUNYSXEAUVTVVIUWJUYLAUVNVVHEUXCVWFWOZUYN
        UUOYSYKAUVTVVJUYLAVVIUWJVWGUYNWSUUPAVWCUVTVVKOAUVTUXKAXDUVTVVRUXKVWAUUQ
        UURXEUUSAUVTCUYLACJYPACJYQYRUUTAUYDUWSUXAWBAUYCUWRUKAUYCUWPUWBPMZGPMUWR
        AUYBVWHGPAUXFUYBVWHVJJBCUBBUHZUCLZUDMZDUHZUELZVWLNMZDUFZVWIUELZUIUGMZUI
        NMZPMVWHUNFVWICVJZVWOUWPVWRUWBPVWSVWOVWKUWOEUFUWPVWKVWNUWODEVWLUVOVJZVW
        MUWNVWLUVONVWLUVOUEYTVWTUVAYIUVBVWSVWKUVNUWOEVWSVWJUVMUBUDVWICUCYTYCUVC
        UVEVWSVWQUWAUINVWSVWPUVTUIUGVWICUEYTXEXEYIHUWPUWBPUVFUVGYMXEAUWPUWBGVUA
        VUBVUCYGXOYKAUXTUXFUYAUYEIJKUXRUXSUYFUYGUVHXKWHUVIAUXAAUXAVUGTUVJUVKUVL
        $.
    $}

    ${
      mulog2sumlem2.t $e |- T = ( ( ( ( log ` ( x / n ) ) ^ 2 ) / 2 ) +
        ( ( gamma x. ( log ` ( x / n ) ) ) - L ) ) $.
      mulog2sumlem2.r $e |- R = ( ( ( 1 / 2 ) + ( gamma + ( abs ` L ) ) ) +
        sum_ m e. ( 1 ... 2 ) ( ( log ` ( _e / m ) ) / m ) ) $.
      $( Lemma for ~ mulog2sum .  (Contributed by Mario Carneiro,
         19-May-2016.) $)
      mulog2sumlem2 $p |- ( ph -> ( x e. RR+ |->
        ( sum_ n e. ( 1 ... ( |_ ` x ) ) ( ( ( mmu ` n ) / n ) x. T )
          - ( log ` x ) ) ) e. O(1) ) $=
        ( c2 c1 co wcel wbr cle vk crp cv cfl cfv cfz cdiv clog cmul caddc cmin
        csu cr wa 2re fzfid simpr elfznn nnrpd rpdivcl syl2an relogcld fsumrecl
        1red remulcl sylancr cem cabs ceu halfre emre cc syl abscld readdcl epr
        crli cn adantl nndivred readdcld eqeltrid sylancl adantr a1i wss rpssre
        cmpt co1 2cnd o1const mp1i recnd zred cexp subcld mulcld fsumcl adantrr
        cz wceq sylan2 nncnd eqtrd sumeq2dv fsummulc2 cc0 wne jca div23 syl3anc
        rpcnne0 divdiv1 fveq2d oveq12d oveq2d oveq2 rpred ere clt c3 ltleii 1rp
        addge0d mulid2d letrd eqbrtrd mpbid wb logleb eqbrtrrid divge0 syl21anc
        log1 ad3antrrr absidd breqtrdi lediv1 ad5ant15 adantlr logfacrlim2 mucl
        cmu simplr rerpdivcld rlimcl rlimo1 o1mul2 o1add2 sqcld ad2antrr addcld
        halfcld relogcl zcnd nnrp nnne0d div23d subdid fsumsub cdvds w3a divass
        crab eqtr3d mulcomd ssrab2 simprr sselid ad2antrl remulcld dvdsflsumcom
        rpre id eqtr4d fz1ssnn cuz flge1nn syl2anc nnuz eleqtrdi eluzfz1 sselda
        adantlrr musumsum rpcnd div1d oveq1d 3eqtrd 1re 1lt2 simpli lttri mp2an
        egt2lt3 jctir ax-mp rpge0 0re absge0d elfzle2 lemuldivd divge0d fsumge0
        rphalfcl emgt0 breqtrrdi 0le2 simplbda rpregt0 ad2antlr mulge0d absmuld
        fznnfl mule1 breqtrd mulog2sumlem1 abssubd oveq2i fveq2i eqtrdi mulassd
        lemul1ad divdiv2 3brtr4d abs2dif2d eqeltrrid abstrid sqge0d 2pos pm3.2i
        resqcld rehalfcld wi ltle imp loge 0le1 le2sqd sq1 lemul2 recni mulid1i
        leadd1dd le2addd eqbrtrid rpregt0d lemuldiv flcld 3re simpri lttrd fllt
        2z 3z df-3 zleltp1 mpbird eluz2 syl3anbrc syldan logled fsumle fsumless
        fzss2 fsumharmonic df-2 oveq1i eqtr4i breqtrrd eqbrtrrd leabsd o1le ) A
        BUBOPBUCZUDUEZUFQZVVNHUCZUGQZUHUEZVVNUGQZHULZUIQZDOUIQZUJQZVVPVVQUUCUEZ
        VVQUGQZEUIQZHULZVVNUHUEZUKQZPUMAVDABUBVWBVWCUMAVVNUBRZUNZOUMRZVWAUMRVWB
        UMRUOVWLVVPVVTHVWLPVVOUPZVWLVVQVVPRZUNZVVSVVNVWPVVRVWLVWKVVQUBRVVRUBRZV
        WOAVWKUQZVWOVVQVVQVVOURZUSVVNVVQUTVAZVBZAVWKVWOUUDUUEZVCZOVWAVEVFZAVWCU
        MRZVWKADUMRZVWMVXEADPOUGQZVGJVHUEZUJQZUJQZPOUFQZVIGUCZUGQZUHUEZVXLUGQZG
        ULZUJQZUMNAVXJVXPAVXGUMRZVXIUMRZVXJUMRZVJAVGUMRZVXHUMRVXSVKAJAIJVQSZJVL
        RZLJIUUFVMZVNZVGVXHVOVFZVXGVXIVOVFZAVXKVXOGAPOUPZAVXLVXKRZUNZVXNVXLVYJV
        XMVYJVIUBRZVXLUBRZVXMUBRZVPVYJVXLVYIVXLVRRZAVXLOURZVSZUSZVIVXLUTVFZVBZV
        YPVTZVCZWAWBZUODOVEWCZWDZABUBOVWAUMVWMVWLUOWEVXCAUBUMWFZOVLRBUBOWHWIRWG
        AWJBUBOWKVFBUBVWAWHZPVQSWUFWIRABHUUAPWUFUUGWLUUHAWUEVWCVLRBUBVWCWHWIRWG
        AVWCWUCWMBUBVWCWKVFUUIVWLVWBVWCVXDWUDWAZVWLVWHVWIVWLVVPVWGHVWNVWPVWFEVW
        PVWFVWPVWEVVQVWPVWEVWPVVQVRRZVWEWTRZVWOWUHVWLVWSVSZVVQUUBZVMZWNWUJVTWMZ
        VWPEVVSOWOQZOUGQZVGVVSUIQZJUKQZUJQZVLMVWPWUOWUQVWPWUNVWPVVSVWPVVSVXAWMZ
        UUJUUMZVWPWUPJVWPWUPVWPVYAVVSUMRZWUPUMRZVKVXAVGVVSVEVFZWMZAVYCVWKVWOVYD
        UUKZWPZUULWBZWQZWRVWLVWIVWKVWIUMRAVVNUUNVSWMZWPZAVWKPVVNTSZUNUNZVWJVHUE
        ZVWDVWDVHUEZAVWKWVMUMRWVKVWLVWJWVJVNWSAVWKVWDUMRWVKWUGWSAVWKWVNUMRWVKVW
        LVWDVWLVWDWUGWMVNWSWVLVVPVWEEPVVRUDUEZUFQZVVRVXLUGQZUHUEZVXLUGQZGULZUKQ
        ZUIQZVVQUGQZHULZVHUEZWVMVWDTWVLWWDVWJVHWVLWWDVWHVVPVWFWVTUIQZHULZUKQZVW
        JAVWKWWDWWHXAWVKVWLWWDVVPVWGWWFUKQZHULWWHVWLVVPWWCWWIHVWPWWCVWFWWAUIQWW
        IVWPVWEWWAVVQVWPVWEWULUUOZVWPEWVTWVGVWPWVPWVSGVWPPWVOUPZVXLWVPRZVWPVYNW
        VSVLRZVXLWVOURZVWPVYNUNZWVSWWOWVRVXLWWOWVQVWPVWQVYLWVQUBRZVYNVWTVXLUUPV
        VRVXLUTVAZVBZVWPVYNUQZVTZWMZXBZWRZWPZVWPVVQWUJXCZVWPVVQWUJUUQZUURVWPVWF
        EWVTWUMWVGWXCUUSXDXEVWLVVPVWGWWFHVWNWVHVWPVWFWVTWUMWXCWQUUTXDWSWVLWWGVW
        IVWHUKWVLWWGVVPCUCUAUCZUVASZCVRUVDZVWEVVNWXGUGQZUHUEZWXGUGQZUIQZHULUAUL
        ZVVNPUGQZUHUEZPUGQZVWIAVWKWWGWXNXAWVKVWLWWGVVPWVPVWEVVNVVQVXLUIQZUGQZUH
        UEZWXRUGQZUIQZGULZHULWXNVWLVVPWWFWYCHVWPWWFWVPVWFWVSUIQZGULWYCVWPWVPWVS
        VWFGWWKWUMWXBXFVWPWVPWYDWYBGWWLVWPVYNWYDWYBXAWWNWWOWYDVWEWVSVVQUGQZUIQZ
        WYBWWOVWEVLRZWWMVVQVLRZVVQXGXHZUNZWYDWYFXAVWPWYGVYNWWJWDWXAVWPWYJVYNVWP
        WYHWYIWXEWXFXIZWDZWYGWWMWYJUVBVWEWVSUIQVVQUGQWYDWYFVWEWVSVVQXJVWEWVSVVQ
        UVCUVEXKWWOWYEWYAVWEUIWWOWYEWVRVXLVVQUIQZUGQZWYAWWOWVRVLRVXLVLRZVXLXGXH
        UNZWYJWYEWYNXAWWOWVRWWRWMWWOVYLWYPWWOVXLWWSUSZVXLXLVMZWYLWVRVXLVVQXMXKW
        WOWVRWXTWYMWXRUGWWOWVQWXSUHWWOVVNVLRZWYJWYPWVQWXSXAVWPWYSVYNVWPVVNVWLVV
        NUMRZVWOVWKWYTAVVNUVMVSZWDZWMWDWYLWYRVVNVVQVXLXMXKXNWWOVXLVVQWWOVXLWWSX
        CZVWPWYHVYNWXEWDUVFXOXDXPXDXBXEXDXEVWLCVVNWXMWYBGUAHWXGWXRXAZWXLWYAVWEU
        IXUDWXKWXTWXGWXRUGXUDWXJWXSUHWXGWXRVVNUGXQXNXUDUVNXOXPVWLVVNVWRXRVWLWXG
        VVPRZVVQWXIRZUNZUNZWXMXUHVWEWXLXUHVWEXUHWUHWUIXUHWXIVRVVQWXHCVRUVGVWLXU
        EXUFUVHUVIWUKVMWNXUHWXKWXGXUHWXJVWLVWKWXGUBRZWXJUBRZXUGVWRXUGWXGXUEWXGV
        RRZXUFWXGVVOURZWDUSVVNWXGUTZVAVBXUEXUKVWLXUFXULUVJVTUVKWMUVLUVOWSWVLVVP
        WXLWXQHUACWXGPXAZWXKWXPWXGPUGXUNWXJWXOUHWXGPVVNUGXQXNXUNUVNXOWVLPVVOUPV
        VPVRWFZWVLVVOUVPZWEWVLVVOPUVQUEZRPVVPRWVLVVOVRXUQWVLWYTWVKVVOVRRAVWKWYT
        WVKXUAWSAVWKWVKUVHVVNUVRUVSUVTUWAPVVOUWBVMAVWKXUEWXLVLRWVKVWLXUEUNZWXLX
        URWXKWXGXURWXJVWLVWKXUIXUJXUEVWRXUEWXGXULUSXUMVAVBVWLVVPVRWXGXUOVWLXUPW
        EUWCVTWMUWDUWEAVWKWXQVWIXAWVKVWLWXQVWIPUGQVWIVWLWXPVWIPUGVWLWXOVVNUHVWL
        VVNVWLVVNVWRUWFUWGXNUWHVWLVWIWVIUWGXDWSUWIXPXDXNAVWKWWEVWDTSWVKVWLWWEVV
        POVVTUIQZHULZDVIUHUEZPUJQZUIQZUJQVWDTVWLVVNWWBXUSDVIHVWRVWLVIUMRZPVITSX
        VDVWLXSWEPVIUWJXSPOXTSOVIXTSZPVIXTSUWKXVEVIYAXTSZUWOUWLZPOVIUWJUOXSUWMU
        WNYBUWPVWLVXFXGDTSZAVXFVWKWUBWDAXVHVWKAXGVXQDTAVXJVXPVYGWUAAVXGVXIVXRAV
        JWEVYFVXGUBRZXGVXGTSAPUBRZXVIYCPUXEUWQVXGUWRWLAVGVXHVYAAVKWEVYEXGVGTSZA
        XGVGUWSVKUXFYBZWEAJVYDUWTYDYDAVXKVXOGVYHVYTVYJVXNVXLVYSVYQVYJXGPUHUEZVX
        NTYNVYJPVXMTSZXVMVXNTSZVYJPVXLUIQZVITSXVNVYJXVPVXLVITVYJVXLVYJVXLVYPXCY
        EVYJVXLOVIVYJVXLVYQXRVWMVYJUOWEXVDVYJXSWEZVYIVXLOTSAVXLPOUXAVSOVITSVYJO
        VIUOXSXVGYBWEYFYGVYJPVIVXLVYJVDXVQVYQUXBYHVYJXVJVYMXVNXVOYIYCVYRPVXMYJV
        FYHYKUXCZUXDYDNUXGWDXIVWPVWEWWAWWJWXDWQZVWPVWMVVTUMRXUSUMRUOVXBOVVTVEVF
        ZVWPOVVTVWMVWPUOWEVXBXGOTSVWPUXHWEVWPWVAXGVVSTSWYTXGVVNXTSUNZXGVVTTSVXA
        VWPXGXVMVVSTYNVWPPVVRTSZXVMVVSTSZVWPPVVQUIQZVVNTSXWBVWPXWDVVQVVNTVWPVVQ
        WXEYEVWLVWOWUHVVQVVNTSZVWLWYTVWOWUHXWEUNYIXUAVVQVVNUXNVMUXIYGVWPPVVNVVQ
        VWPVDZXUBVWPVVQWUJUSZUXBYHVWPXVJVWQXWBXWCYIYCVWTPVVRYJVFYHYKZVWKXWAAVWO
        VVNUXJUXKVVSVVNYLYMUXLVWPVIVVRTSZUNZWWBVHUEZWWAVHUEZXUSVVQUIQZVWPXWKUMR
        ZXWIVWPWWBXVSVNZWDXWJWWAVWPWWAVLRXWIWXDWDVNVWPXWMUMRXWIVWPXUSVVQXVTVWPV
        VQXWGXRUVKWDVWPXWKXWLTSZXWIVWPXWKVWEVHUEZXWLUIQZXWLTVWPVWEWWAWWJWXDUXMV
        WPXWRPXWLUIQXWLTVWPXWQPXWLVWPVWEWWJVNXWFVWPWWAWXDVNZVWPWWAWXDUWTVWPWUHX
        WQPTSWUJVVQUXOVMUYCVWPXWLVWPXWLXWSWMYEUXPYGZWDXWJWVTWURUKQZVHUEZOVVSVVR
        UGQZUIQZXWLXWMTXWJCVVRFGIJKAVYBVWKVWOXWILYOVWPVWQXWIVWTWDVWPXWIUQUXQXWJ
        XWLWVTEUKQZVHUEZXXBVWPXWLXXFXAXWIVWPEWVTWVGWXCUXRWDXXEXXAVHEWURWVTUKMUX
        SUXTUYAVWPXWMXXDXAXWIVWPXWMOVVTVVQUIQZUIQXXDVWPOVVTVVQVWPWJVWPVVTVXBWMZ
        WXEUYBVWPXXCXXGOUIVWPXXCVVSVVQUIQVVNUGQZXXGVWPVVSVLRZWYSVVNXGXHUNZWYJXX
        CXXIXAWUSVWKXXKAVWOVVNXLUXKZWYKVVSVVNVVQUYDXKVWPXXJWYHXXKXXIXXGXAWUSWXE
        XXLVVSVVQVVNXJXKXDXPUVOWDUYEYFVWPVVRVIXTSZUNZXWKXWLDVWPXWNXXMXWOWDVWPXW
        LUMRXXMXWSWDZAVXFVWKVWOXXMWUBYOZVWPXWPXXMXWTWDXXNXWLEVHUEZWVTVHUEZUJQZD
        XXOXXNXXQXXRXXNEVWPEVLRXXMWVGWDZVNZXXNWVTVWPWVTVLRXXMWXCWDZVNZWAXXPXXNE
        WVTXXTXYBUYFXXNXXSVXQDTXXNXXQXXRVXJVXPXYAXYCAVXTVWKVWOXXMVYGYOZAVXPUMRV
        WKVWOXXMWUAYOZXXNXXQWURVHUEZVXJTEWURVHMUXTZXXNXYFWUOVHUEZWUQVHUEZUJQVXJ
        XXNXYFXXQUMXYGXYAUYGXXNXYHXYIXXNWUOVWPWUOVLRXXMWUTWDZVNZXXNWUQVWPWUQVLR
        XXMWVFWDZVNZWAXYDXXNWUOWUQXYJXYLUYHXXNXYHXYIVXGVXIXYKXYMVXRXXNVJWEAVXSV
        WKVWOXXMVYFYOZXXNXYHWUOVXGTVWPXYHWUOXAXXMVWPWUOVWPWUNVWPVVSVXAUYLZUYMVW
        PWUNUMRZXGWUNTSVWMXGOXTSZUNZXGWUOTSXYOVWPVVSVXAUYIXYRVWPVWMXYQUOUYJUYKZ
        WEWUNOYLYMYPWDXXNWUNPTSZWUOVXGTSZXXNWUNPOWOQZPTXXNVVSPTSZWUNYUBTSZXXNVV
        SXVAPTXXNVVRVITSZVVSXVATSZVWPXXMYUEVWPVVRUMRZXVDXXMYUEUYNVWPVVRVWTXRZXS
        VVRVIUYOWCUYPZXXNVWQVYKYUEYUFYIVWPVWQXXMVWTWDVPVVRVIYJWCYHUYQYQZVWPYUCY
        UDYIXXMVWPVVSPVXAXWFXWHXGPTSVWPUYRWEUYSWDYHUYTYQXXNXYPPUMRZXYRXYTYUAYIV
        WPXYPXXMXYOWDXXNVDZXYRXXNXYSWEWUNPOYRXKYHYGXXNXYIWUPVXHUJQZVXIXYMVWPYUM
        UMRXXMVWPWUPVXHWVCVWPJWVEVNWAWDXYNXXNXYIWUPVHUEZVXHUJQYUMTXXNWUPJVWPWUP
        VLRXXMWVDWDAVYCVWKVWOXXMVYDYOZUYFXXNYUNWUPVXHUJVWPYUNWUPXAXXMVWPWUPWVCV
        WPVGVVSVYAVWPVKWEVXAXVKVWPXVLWEXWHUXLYPWDUWHUXPXXNWUPVGVXHVWPWVBXXMWVCW
        DVYAXXNVKWEZXXNJYUOVNXXNWUPVGPUIQZVGTXXNYUCWUPYUQTSZYUJXXNWVAYUKVYAXGVG
        XTSZUNYUCYURYIVWPWVAXXMVXAWDYULXXNVYAYUSYUPUXFUWPVVSPVGVUAXKYHVGVGVKVUB
        VUCYQVUDYFVUEYFVUFXXNXXRWVTVXPTXXNWVTVWPWVTUMRXXMVWPWVPWVSGWWKWWLVWPVYN
        WVSUMRZWWNWWTXBZVCWDZVWPXGWVTTSXXMVWPWVPWVSGWWKYVAVWPWWLUNZWVRUMRZXGWVR
        TSVXLUMRXGVXLXTSUNZXGWVSTSWWLVWPVYNYVDWWNWWRXBYVCXGXVMWVRTYNYVCPWVQTSZX
        VMWVRTSZYVCXVPVVRTSZYVFYVCXVPVXLVVRTYVCVXLWWLVWPVYNWYOWWNXUCXBYEVWPWWLV
        YNVXLVVRTSZVWPYUGWWLVYNYVIUNYIYUHVXLVVRUXNVMUXIYGYVCYUKYUGYVEYVHYVFYIYV
        CVDVWPYUGWWLYUHWDWWLVWPVYNYVEWWNWWOVXLWYQVUGXBZPVVRVXLVUHXKYHYVCXVJWWPY
        VFYVGYIYCWWLVWPVYNWWPWWNWWQXBPWVQYJVFYHYKYVJWVRVXLYLYMUXDWDYPXXNWVTWVPV
        XOGULVXPYVBXXNWVPVXOGXXNPWVOUPZXXNWWLVYIVXOUMRZXXNWVPVXKVXLXXNOWVOUVQUE
        RZWVPVXKWFXXNWVOWTRZOWTRZWVOOTSZYVMVWPYVNXXMVWPVVRYUHVUIWDZYVOXXNVUNWEX
        XNYVPWVOOPUJQZXTSZXXNWVOYAYVRXTXXNVVRYAXTSZWVOYAXTSZXXNVVRVIYAVWPYUGXXM
        YUHWDZXVDXXNXSWEYAUMRXXNVUJWEVWPXXMUQXVFXXNXVEXVFUWOVUKWEVULXXNYUGYAWTR
        YVTYWAYIYWBVUOVVRYAVUMWCYHVUPYQXXNYVNYVOYVPYVSYIYVQVUNWVOOVUQWCVURWVOOV
        USVUTWVOPOVVEVMZUWCZAVYIYVLVWKVWOXXMVYTYSZVVAZVCXYEXXNWVPWVSVXOGYVKWWLX
        XNVYNYUTWWNVWPVYNYUTXXMWWTYTXBYWFXXNWWLVYIWVSVXOTSZYWDXXNVYIUNZWVRVXNTS
        ZYWGYWHWVQVXMTSZYWIYWHYUEYWJXXNYUEVYIYUIWDYWHYUGXVDYVEYUEYWJYIXXNYUGVYI
        YWBWDXVDYWHXSWEAVYIYVEVWKVWOXXMVYJVXLVYQVUGYSZVVRVIVXLYRXKYHYWHWVQVXMVY
        IXXNVYNWWPVYOVWPVYNWWPXXMWWQYTXBAVYIVYMVWKVWOXXMVYRYSVVBYHYWHYVDVXNUMRZ
        YVEYWIYWGYIVYIXXNVYNYVDVYOVWPVYNYVDXXMWWRYTXBAVYIYWLVWKVWOXXMVYSYSYWKWV
        RVXNVXLYRXKYHVVAVVCXXNVXKVXOWVPGXXNPOUPYWEAVYIXGVXOTSVWKVWOXXMXVRYSYWCV
        VDYFYGVUENUXGYFYFVVFVWLVWBXUTVWCXVCUJVWLVVPVVTOHVWNVWLWJXXHXFVWLOXVBDUI
        OXVBXAVWLOPPUJQXVBVVGXVAPPUJUYQVVHVVIWEXPXOVVJWSVVKAVWKVWDWVNTSWVKVWLVW
        DWUGVVLWSYFVVM $.
    $}

    $( Lemma for ~ mulog2sum .  (Contributed by Mario Carneiro,
       13-May-2016.) $)
    mulog2sumlem3 $p |- ( ph -> ( x e. RR+ |-> ( sum_ n e. ( 1 ... ( |_ ` x ) )
        ( ( ( mmu ` n ) / n ) x. ( ( log ` ( x / n ) ) ^ 2 ) )
          - ( 2 x. ( log ` x ) ) ) ) e. O(1) ) $=
      ( crp c2 co cmul csu cmin cmpt wcel cc a1i cem vm c1 cfl cfv cfz cmu cdiv
      cv clog cexp co1 wa 2cn fzfid cn cz elfznn adantl mucl syl nndivred recnd
      zred simpr nnrpd rpdivcl syl2an relogcld halfcld mulcld fsumcl cr relogcl
      sqcld subdid fsummulc2 mul12d cc0 wne 2ne0 divcan2d oveq2d eqtrd sumeq2dv
      oveq1d mpteq2dva subcld wss rpssre o1const mp2an caddc emre recni sylancr
      mulcl crli wbr rlimcl ad2antrr addcld sub32d fsumsub pncand cabs ceu eqid
      eqtr3d mulog2sumlem2 adantr oveq12d eqtr4d 3eqtr2d mulogsum o1mul2 o1sub2
      fsummulc1 mudivsum eqeltrrd ) ABJKUBBUHZUCUDZUELZEUHZUFUDZYCUGLZXTYCUGLZU
      IUDZKUJLZKUGLZMLZENZXTUIUDZOLZMLZPBJYBYEYHMLZENZKYLMLZOLZPUKABJYNYRAXTJQZ
      ULZYNKYKMLZYQOLYRYTKYKYLKRQZYTUMSZYTYBYJEYTUBYAUNZYTYCYBQZULZYEYIUUFYEUUF
      YDYCUUFYDUUFYCUOQZYDUPQUUEUUGYTYCYAUQZURZYCUSUTVCUUIVAVBZUUFYHUUFYGUUFYGU
      UFYFYTYSYCJQYFJQUUEAYSVDUUEYCUUHVEXTYCVFVGVHVBZVNZVIZVJZVKZYTYLYSYLVLQAXT
      VMURVBZVOYTUUAYPYQOYTUUAYBKYJMLZENYPYTYBYJKEUUDUUCUUNVPYTYBUUQYOEUUFUUQYE
      KYIMLZMLYOUUFKYEYIUUBUUFUMSZUUJUUMVQUUFUURYHYEMUUFYHKUULUUSKVRVSUUFVTSWAW
      BWCWDWCWEWCWFABJKYMRUUCYTYKYLUUOUUPWGBJKPUKQZAJVLWHZUUBUUTWIUMBJKWJWKSABJ
      YBYEYITYGMLZGOLZWLLZMLZENZYLOLZYBYEUVCMLZENZOLZPBJYMPUKABJUVJYMYTUVJUVFUV
      IOLZYLOLYMYTUVFYLUVIYTYBUVEEUUDUUFYEUVDUUJUUFYIUVCUUMUUFUVBGUUFTRQZYGRQUV
      BRQTWMWNZUUKTYGWPWOZAGRQZYSUUEAFGWQWRUVOIGFWSUTZWTZWGZXAZVJZVKZUUPYTYBUVH
      EUUDUUFYEUVCUUJUVRVJZVKZXBYTUVKYKYLOYTYBUVEUVHOLZENUVKYKYTYBUVEUVHEUUDUVT
      UWBXCYTYBUWDYJEUUFYEUVDUVCOLZMLUWDYJUUFYEUVDUVCUUJUVSUVRVOUUFUWEYIYEMUUFY
      IUVCUUMUVRXDWBXHWDXHWEWCWFABJUVGUVIRYTUVFYLUWAUUPWGUWCABCUBKUGLTGXEUDWLLW
      LLUBKUELXFUAUHZUGLUIUDUWFUGLUANWLLZUVDDUAEFGHIUVDXGUWGXGXIABJTYBYEYGMLZEN
      ZMLZYBYEENZGMLZOLZPBJUVIPUKABJUWMUVIYTUWMYBTUWHMLZENZYBYEGMLZENZOLYBUWNUW
      POLZENUVIYTUWJUWOUWLUWQOYTYBUWHTEUUDUVLYTUVMSZUUFYEYGUUJUUKVJZVPYTYBYEGEU
      UDAUVOYSUVPXJZUUJXQXKYTYBUWNUWPEUUDUUFUVLUWHRQUWNRQUVMUWTTUWHWPWOUUFYEGUU
      JUVQVJXCYTYBUWRUVHEUUFUWRYEUVBMLZUWPOLUVHUUFUWNUXBUWPOUUFTYEYGUVLUUFUVMSU
      UJUUKVQWEUUFYEUVBGUUJUVNUVQVOXLWDXMWFABJUWJUWLRYTUVLUWIRQUWJRQUVMYTYBUWHE
      UUDUWTVKZTUWIWPWOYTUWKGYTYBYEEUUDUUJVKZUXAVJABJTUWIRUWSUXCAUVAUVLBJTPUKQW
      IUVLAUVMSBJTWJWOBJUWIPUKQABEXNSXOABJUWKGRUXDUXABJUWKPUKQABEXRSAUVAUVOBJGP
      UKQWIUVPBJGWJWOXOXPXSXPXSXOXS $.
  $}

  ${
    $d k m n x y z $.
    $( TODO - see if alternative derivation (10.2.9) using ~ vmadivsum is
       simpler $)
    $( Asymptotic formula for
       ` sum_ n <_ x , ( mmu ( n ) / n ) log ^ 2 ( x / n ) `
       ` = 2 log x + O(1) ` .  Equation 10.2.8 of [Shapiro], p. 407.
       (Contributed by Mario Carneiro, 19-May-2016.) $)
    mulog2sum $p |- ( x e. RR+ |-> ( sum_ n e. ( 1 ... ( |_ ` x ) )
        ( ( ( mmu ` n ) / n ) x. ( ( log ` ( x / n ) ) ^ 2 ) )
          - ( 2 x. ( log ` x ) ) ) ) e. O(1) $=
      ( vy vm vz crp c1 cv cfl cfv cfz co clog cdiv csu c2 cmin crli wcel wbr
      cexp cmpt cdm wex cmu cmul co1 cr wf ceu cle w3a cabs wi logdivsum simp2i
      eqid eldmg ibi id mulog2sumlem3 exlimiv mp2b ) CFGCHZIJKLDHZMJVENLDOVDMJP
      UALPNLQLUBZRUCZSZVFEHZRTZEUDZAFGAHZIJKLBHZUEJVMNLVLVMNLMJPUALUFLBOPVLMJUF
      LQLUBUGSZFUHVFUIVHVFGRTGFSUJGUKTULGVFJGQLUMJGMJGNLUKTUNCGDVFGVFUQZUOUPVHV
      KEVFRVGURUSVJVNEVJACDBVFVIVOVJUTVAVBVC $.

    $( The sum ` sum_ n <_ x , Lam ( n ) log ( x / n ) / n ` is asymptotic to
       ` log ^ 2 ( x ) / 2 + O ( log x ) ` .  Exercise 9.1.7 of [Shapiro],
       p. 336.  (Contributed by Mario Carneiro, 30-May-2016.) $)
    vmalogdivsum2 $p |- ( x e. ( 1 (,) +oo ) |->
      ( ( sum_ n e. ( 1 ... ( |_ ` x ) )
          ( ( ( Lam ` n ) / n ) x. ( log ` ( x / n ) ) ) / ( log ` x ) )
        - ( ( log ` x ) / 2 ) ) ) e. O(1) $=
      ( vm c1 co cfv cdiv cmul csu cmin cmpt co1 wcel wtru wa recnd crp wbr cle
      cr vk vy cpnf cioo cv cfl cfz cvma clog c2 cexp fzfid elfznn adantl nnrpd
      relogcld nndivred fsumrecl elioore 1rp a1i 1red clt eliooord simpld ltled
      rpgecld resqcld rehalfcld rplogcld rpne0d divsubdird resubcld divrecd cc0
      2cnd wne divdiv32d sqvald oveq1d divcan3d eqtrd oveq2d 3eqtr3rd mpteq2dva
      cn 2ne0 rprecred ex ssrdv crli cdm wf ceu cabs wi eqid logdivsum rlimdmo1
      simp2i mp1i o1res2 divlogrlim rlimo1 o1mul2 eqeltrd divcld halfcld subcld
      w3a vmacl adantr rpdivcld remulcld rpcnd nnncan2d nnmulcld fsumsub nnne0d
      nncnd nnrecred subdid cc divdiv1d eqtr3d sumeq2dv reccld fsummulc2 eqtr4d
      syl cdvds crab wceq vmasum wss rerpdivcld o1dif mpbird divge0d mpbid clo1
      dvdsssfz1 ssfid ssrab2 simprr sselid fsumdivc oveq2 ad2antrl dvdsflsumcom
      anassrs 3eqtr4rd 3eqtr2d ioossre ax-1cn o1const mp2an dividd o1lo1d caddc
      vmadivsum vmage0 rpred mulid2d wb simplbda eqbrtrd lemuldivd harmonicubnd
      fznnfl syl2anc lesubadd2d lemul2ad mulid1d breqtrd lediv1dd adantrr lo1le
      fsumle 0red harmoniclbnd subge0d mulge0d fsumge0 o1lo12 mptru ) ADUCUDEZD
      AUEZUFFZUGEZBUEZUHFZUWKGEZUWHUWKGEZUIFZHEZBIZUWHUIFZGEZUWRUJGEZJEZKLMZNAU
      WGUWJUAUEZUIFZUXCGEZUAIZUWRGEZUWTJEZKZLMUXBNUXIAUWGUXFUWRUJUKEZUJGEZJEZDU
      WRGEZHEZKLNAUWGUXHUXNNUWHUWGMZOZUXLUWRGEUXGUXKUWRGEZJEUXNUXHUXPUXFUXKUWRU
      XPUXFUXPUWJUXEUAUXPDUWIULZUXPUXCUWJMZOZUXDUXCUXTUXCUXTUXCUXSUXCWFMZUXPUXC
      UWIUMZUNZUOUPUYCUQURZPZUXPUXKUXPUXJUXPUWRUXPUWHUXPUWHDUXOUWHTMZNUWHDUCUSU
      NZDQMZUXPUTVAZUXPDUWHUXPVBUYGUXPDUWHVCRZUWHUCVCRZUXOUYJUYKONUWHDUCVDUNVEZ
      VFVGZUPZVHZVIZPUXPUWRUYNPZUXPUWRUXPUWHUYGUYLVJZVKZVLUXPUXLUWRUXPUXLUXPUXF
      UXKUYDUYPVMZPUYQUYSVNUXPUXQUWTUXGJUXPUXQUXJUWRGEZUJGEUWTUXPUXJUJUWRUXPUXJ
      UYOPUXPVPUYQUJVOVQUXPWGVAUYSVRUXPVUAUWRUJGUXPVUAUWRUWRHEZUWRGEUWRUXPUXJVU
      BUWRGUXPUWRUYQVSVTUXPUWRUWRUYQUYQUYSWAWBVTWBWCWDWENAUWGUXLUXMTUYTUXPUWRUY
      RWHZNAUWGQUXLNAUWGQNUXOUWHQMZUYMWIWJZAQUXLKZWKWLMZVUFLMNQTVUFWMVUGVUFDWKR
      UYHWNDSRXJDVUFFDJEWOFDUIFDGESRWPADUAVUFDVUFWQWRWTVUFWSXAXBAUWGUXMKZVOWKRV
      UHLMNAXCVOVUHXDXAZXEXFNAUWGUXHUXAUXPUXGUWTUXPUXFUWRUYEUYQUYSXGZUXPUWRUYQX
      HZXIUXPUWSUWTUXPUWQUWRUXPUWQUXPUWJUWPBUXRUXPUWKUWJMZOZUWMUWOVUMUWLUWKVUMU
      WKWFMZUWLTMZVULVUNUXPUWKUWIUMUNZUWKXKZYJZVUPUQZVUMUWNVUMUWHUWKUXPVUDVULUY
      MXLVUMUWKVUPUOZXMZUPZXNZURPZUXPUWRUYRXOZUYSXGZUXPUWRVVEXHXINAUWGUXHUXAJEZ
      KAUWGUWJUWMDUWNUFFZUGEZDCUEZGEZCIZUWOJEZHEZBIZUWRGEZKZLNAUWGVVGVVPUXPVVGU
      XGUWSJEUXFUWQJEZUWRGEVVPUXPUXGUWSUWTVUJVVFVUKXPUXPUXFUWQUWRUYEVVDUYQUYSVL
      UXPVVRVVOUWRGUXPUWJVVIUWLUWKVVJHEZGEZCIZUWPJEZBIUWJVWABIZUWQJEVVOVVRUXPUW
      JVWAUWPBUXRVUMVWAVUMVVIVVTCVUMDVVHULZVUMVVJVVIMZOZUWLVVSVUMVUOVWEVURXLVWF
      UWKVVJVUMVUNVWEVUPXLVWEVVJWFMVUMVVJVVHUMUNZXQUQURPVUMUWPVVCPXRUXPUWJVVNVW
      BBVUMVVNUWMVVLHEZUWPJEVWBVUMUWMVVLUWOVUMUWLUWKVUMUWLVURPZVUMUWKVUPXTZVUMU
      WKVUPXSZXGZVUMVVLVUMVVIVVKCVWDVWFVVJVWGYAURZPVUMUWOVVBPYBVUMVWAVWHUWPJVUM
      VWAVVIUWMVVKHEZCIVWHVUMVVIVVTVWNCVWFUWMVVJGEVVTVWNVWFUWLUWKVVJVUMUWLYCMZV
      WEVWIXLZVUMUWKYCMVWEVWJXLZVWFVVJVWGXTZVUMUWKVOVQVWEVWKXLZVWFVVJVWGXSZYDVW
      FUWMVVJVWFUWLUWKVWPVWQVWSXGVWRVWTVNYEYFVUMVVIVVKUWMCVWDVWLVWFVVJVWRVWTYGY
      HYIVTYIYFUXPUXFVWCUWQJUXPUXFUWJUBUEUXCYKRZUBWFYLZUWLUXCGEZBIZUAIVWCUXPUWJ
      UXEVXDUAUXTVXBUWLBIZUXCGEUXEVXDUXTVXEUXDUXCGUXTUYAVXEUXDYMUYCUBUXCBYNYJVT
      UXTVXBUWLUXCBUXTDUXCUGEZVXBUXTDUXCULUXTUYAVXBVXFYOUYCUXCUBUUBYJUUCUXTUXCU
      YCXTUXPUXSUWKVXBMZVWOUXPUXSVXGOOZUWLVXHVUNVUOVXHVXBWFUWKVXAUBWFUUDUXPUXSV
      XGUUEUUFVUQYJPZUUKUXTUXCUYCXSUUGYEYFUXPUBUWHVXCVVTCUABUXCVVSUWLGUUHUYGVXH
      UWLUXCVXIVXHUXCUXSUYAUXPVXGUYBUUIZXTVXHUXCVXJXSXGUUJWBVTUULVTUUMWENVVQLMV
      VQUUAMNAUWGUWJUWMBIZUWRGEZVVPDTNVBNAUWGVXLUXPVXKUWRUXPUWJUWMBUXRVUSURZUYR
      YPZNAUWGVXLKLMAUWGDKLMZVXONUWGTYODYCMVXODUCUUNUUOAUWGDUUPUUQVANAUWGVXLDUX
      PVXLVXNPUXPDUYIXONAUWGVXLDJEZKAUWGVXKUWRJEZUXMHEZKLNAUWGVXPVXRUXPVXQUWRGE
      VXLUWRUWRGEZJEVXRVXPUXPVXKUWRUWRUXPVXKVXMPZUYQUYQUYSVLUXPVXQUWRUXPVXKUWRV
      XTUYQXIUYQUYSVNUXPVXSDVXLJUXPUWRUYQUYSUURWCWDWENAUWGVXQUXMTUXPVXKUWRVXMUY
      NVMVUCNAUWGQVXQVUEAQVXQKLMNABUVAVAXBVUIXEXFYQYRUUSVXNUXPVVOUWRUXPUWJVVNBU
      XRVUMUWMVVMVUSVUMVVLUWOVWMVVBVMZXNZURZUYRYPZNUXOVVPVXLSRDUWHSRUXPVVOVXKUW
      RVYCVXMUYRUXPUWJVVNUWMBUXRVYBVUSVUMVVNUWMDHEUWMSVUMVVMDUWMVYAVUMVBZVUSVUM
      UWLUWKVURVUTVUMVUNVOUWLSRVUPUWKUVBYJYSZVUMVVMDSRVVLUWODUUTESRZVUMUWNTMDUW
      NSRZVYGVUMUWNVVAUVCVUMDUWKHEZUWHSRVYHVUMVYIUWKUWHSVUMUWKVWJUVDUXPVULVUNUW
      KUWHSRZUXPUYFVULVUNVYJOUVEUYGUWKUWHUVJYJUVFUVGVUMDUWHUWKVYEUXPUYFVULUYGXL
      VUTUVHYTUWNCUVIUVKVUMVVLUWODVWMVVBVYEUVLYRUVMVUMUWMVWLUVNUVOUVSUVPUVQUVRN
      AUWGVVPVOVYDNUVTUXPVVOUWRVYCUYRUXPUWJVVNBUXRVYBVUMUWMVVMVUSVYAVYFVUMVOVVM
      SRUWOVVLSRZVUMUWNQMVYKVVAUWNCUWAYJVUMVVLUWOVWMVVBUWBYRUWCUWDYSUWEYRXFYQYT
      UWF $.

    $( The sum ` sum_ n <_ x , Lam ( n ) log n / n ` is asymptotic to
       ` log ^ 2 ( x ) / 2 + O ( log x ) ` .  Exercise 9.1.7 of [Shapiro],
       p. 336.  (Contributed by Mario Carneiro, 30-May-2016.) $)
    vmalogdivsum $p |- ( x e. ( 1 (,) +oo ) |->
      ( ( sum_ n e. ( 1 ... ( |_ ` x ) )
          ( ( ( Lam ` n ) / n ) x. ( log ` n ) ) / ( log ` x ) )
        - ( ( log ` x ) / 2 ) ) ) e. O(1) $=
      ( c1 cpnf co cfv cdiv clog cmul csu cmin cmpt co1 wcel wtru crp wa adantl
      recnd oveq1d cioo cv cfl cfz cvma c2 cr elioore 1rp a1i 1red clt eliooord
      wbr simpld ltled rpgecld ex ssrdv vmadivsum o1res2 fzfid elfznn vmacl syl
      cn nndivred fsumcl relogcld subcld remulcld fsumrecl rerpdivcld rehalfcld
      rplogcld resubcld nnncan2d subsub4d 2halvesd oveq2d sub32d adantr fsumsub
      nnrpd caddc eqtrd relogdivd subdid sumeq2dv nncnd nnne0d divcld fsummulc1
      3eqtr4d mulcld rpne0d divsubdird divcan4d 3eqtrd eqtr4d 3eqtr3d mpteq2dva
      cc vmalogdivsum2 eqeltrdi o1dif mpbid mptru ) ACDUAEZCAUBZUCFZUDEZBUBZUEF
      ZXMGEZXMHFZIEZBJZXJHFZGEZXSUFGEZKEZLMNZOAXIXLXOBJZXSKEZLMNYCOAXIPYEOAXIPO
      XJXINZXJPNZOYFQZXJCYFXJUGNOXJCDUHRZCPNYHUIUJYHCXJYHUKYIYHCXJULUNZXJDULUNZ
      YFYJYKQOXJCDUMRUOZUPUQZURUSAPYELMNOABUTUJVAOAXIYEYBYHYDXSYHXLXOBYHCXKVBZY
      HXMXLNZQZXOYPXNXMYPXMVFNZXNUGNYOYQYHXMXKVCRZXMVDVEZYRVGZSZVHZYHXSYHXJYMVI
      ZSZVJYHYBYHXTYAYHXRXSYHXLXQBYNYPXOXPYTYPXMYPXMYRWDZVIZVKZVLZYHXJYIYLVOZVM
      ZYHXSUUCVNZVPSOAXIYEYBKEZLAXIXLXOXJXMGEHFZIEZBJZXSGEZYAKEZLMOAXIUULUUQYHY
      DYAKEZYAKEZYBKEUURXTKEZUULUUQYHUURXTYAYHYDYAUUBYHYAUUKSZVJYHXTUUJSZUVAVQY
      HUUSYEYBKYHUUSYDYAYAWEEZKEYEYHYDYAYAUUBUVAUVAVRYHUVCXSYDKYHXSUUDVSVTWFTYH
      UUTYDXTKEZYAKEUUQYHYDYAXTUUBUVAUVBWAYHUUPUVDYAKYHUUPYDXSIEZXRKEZXSGEUVEXS
      GEZXTKEUVDYHUUOUVFXSGYHXLXOXSIEZXQKEZBJXLUVHBJZXRKEUUOUVFYHXLUVHXQBYNYPUV
      HYPXOXSYTYPXJYHYGYOYMWBZVIVKSYPXQUUGSWCYHXLUUNUVIBYPUUNXOXSXPKEZIEUVIYPUU
      MUVLXOIYPXJXMUVKUUEWGVTYPXOXSXPUUAYHXSXCNYOUUDWBYPXPUUFSWHWFWIYHUVEUVJXRK
      YHXLXOXSBYNUUDYPXNXMYPXNYSSYPXMYRWJYPXMYRWKWLWMTWNTYHUVEXRXSYHYDXSUUBUUDW
      OYHXRUUHSUUDYHXSUUIWPZWQYHUVGYDXTKYHYDXSUUBUUDUVMWRTWSTWTXAXBABXDXEXFXGXH
      $.
  $}

  ${
    $d i m n x y A $.  $d m n x ph $.
    2vmadivsum.1 $e |- ( ph -> A e. RR+ ) $.
    2vmadivsum.2 $e |- ( ph -> A. y e. ( 1 [,) +oo ) ( abs `
      ( sum_ i e. ( 1 ... ( |_ ` y ) ) ( ( Lam ` i ) / i ) -
        ( log ` y ) ) ) <_ A ) $.
    $( Lemma for ~ 2vmadivsum .  (Contributed by Mario Carneiro,
       30-May-2016.) $)
    2vmadivsumlem $p |- ( ph -> ( x e. ( 1 (,) +oo ) |->
      ( ( sum_ n e. ( 1 ... ( |_ ` x ) )
          ( ( ( Lam ` n ) / n ) x. sum_ m e. ( 1 ... ( |_ ` ( x / n ) ) )
              ( ( Lam ` m ) / m ) ) / ( log ` x ) )
        - ( ( log ` x ) / 2 ) ) ) e. O(1) ) $=
      ( c1 co cfv cdiv cmul cmin cmpt wcel wbr recnd cle cpnf cioo cfl cfz cvma
      cv csu clog c2 co1 vmalogdivsum2 a1i wa fzfid cn cr elfznn vmacl nndivred
      adantl syl fsumrecl remulcld elioore clt eliooord rplogcld rerpdivcld crp
      simpld 1rp 1red ltled rpgecld relogcld rehalfcld resubcld adantr rpdivcld
      nnrpd rpne0d divsubdird subdid sumeq2dv fsumsub oveq1d nnncan2d mpteq2dva
      eqtrd 3eqtr4d rpred cc ioossre 1cnd o1const sylancr subcld divrecd dividd
      wss oveq2d 3eqtr3d ssrdv vmadivsum o1res2 cc0 crli divlogrlim rlimo1 mp1i
      ex o1mul2 eqeltrrd o1dif mpbird divcld cabs abscld fsumabs absmuld vmage0
      divge0d absidd cico fveq2 id oveq12d cbvsumv sumeq1d syl5eq fveq2d breq1d
      wceq wral ad2antrr nncnd mulid2d wb eqbrtrd rpge0d fznnfl lemuldivd mpbid
      simplbda 1re elicopnf sylanbrc rspcdva lemul2ad fsumle fsummulc1 breqtrrd
      ax-mp lediv1dd absdivd fsumge0 mulge0d div23d eqtr4d 3brtr4d adantrr o1le
      letrd ) ABJUAUBKZJBUFZUCLZUDKZGUFZUELZUVHMKZJUVEUVHMKZUCLZUDKZFUFZUELZUVN
      MKZFUGZNKZGUGZUVEUHLZMKZUVTUIMKZOKZPUJQBUVDUVGUVJUVKUHLZNKZGUGZUVTMKZUWBO
      KZPUJQZUWIABGUKULABUVDUWCUWHAUVEUVDQZUMZUWCUWKUWAUWBUWKUVSUVTUWKUVGUVRGUW
      KJUVFUNZUWKUVHUVGQZUMZUVJUVQUWNUVIUVHUWNUVHUOQZUVIUPQUWMUWOUWKUVHUVFUQUTZ
      UVHURVAZUWPUSZUWNUVMUVPFUWNJUVLUNUWNUVNUVMQZUMZUVOUVNUWTUVNUOQZUVOUPQUWSU
      XAUWNUVNUVLUQUTZUVNURVAUXBUSVBZVCZVBZUWKUVEUWJUVEUPQZAUVEJUAVDUTZUWKJUVEV
      ERZUVEUAVERZUWJUXHUXIUMAUVEJUAVFUTVJZVGZVHZUWKUVTUWKUVEUWKUVEJUXGJVIQUWKV
      KULUWKJUVEUWKVLZUXGUXJVMVNZVOZVPZVQSUWKUWHUWKUWGUWBUWKUWFUVTUWKUVGUWEGUWL
      UWNUVJUWDUWRUWNUVKUWNUVEUVHUWKUVEVIQZUWMUXNVRUWNUVHUWPVTZVSZVOZVCZVBZUXKV
      HZUXPVQSABUVDUVGUVJUVQUWDOKZNKZGUGZUVTMKZPBUVDUWCUWHOKZPUJABUVDUYGUYHUWKU
      VSUWFOKZUVTMKUWAUWGOKUYGUYHUWKUVSUWFUVTUWKUVSUXESUWKUWFUYBSUWKUVTUXOSZUWK
      UVTUXKWAZWBUWKUYFUYIUVTMUWKUYFUVGUVRUWEOKZGUGUYIUWKUVGUYEUYLGUWNUVJUVQUWD
      UWNUVJUWRSZUWNUVQUXCSUWNUWDUXTSWCWDUWKUVGUVRUWEGUWLUWNUVRUXDSUWNUWEUYASWE
      WIWFUWKUWAUWGUWBUWKUWAUXLSUWKUWGUYCSUWKUWBUXPSWGWJWHABUVDUVGUVJGUGZUVTMKZ
      DNKZUYGJUPAVLABUVDUYODUPUWKUYNUVTUWKUVGUVJGUWLUWRVBZUXKVHZADUPQZUWJADHWKZ
      VRZABUVDUYOPUJQBUVDJPUJQZAUVDUPWTZJWLQVUBJUAWMZAWNBUVDJWOWPABUVDUYOJUWKUY
      OUYRSUWKWNABUVDUYNUVTOKZJUVTMKZNKZPBUVDUYOJOKZPUJABUVDVUGVUHUWKVUEUVTMKUY
      OUVTUVTMKZOKVUGVUHUWKUYNUVTUVTUWKUYNUYQSZUYJUYJUYKWBUWKVUEUVTUWKUYNUVTVUJ
      UYJWQUYJUYKWRUWKVUIJUYOOUWKUVTUYJUYKWSXAXBWHABUVDVUEVUFUPUWKUYNUVTUYQUXOV
      QUWKJUVTUXMUXKVHABUVDVIVUEABUVDVIAUWJUXQUXNXKXCBVIVUEPUJQABGXDULXEBUVDVUF
      PZXFXGRVUKUJQABXHXFVUKXIXJXLXMXNXOAVUCDWLQZBUVDDPUJQVUDADUYTSZBUVDDWOWPXL
      UWKUYODUYRVUAVCZUWKUYFUVTUWKUYFUWKUVGUYEGUWLUWNUVJUYDUWRUWNUVQUWDUXCUXTVQ
      ZVCZVBSZUYJUYKXPAUWJUYGXQLZUYPXQLZTRJUVETRUWKUYFXQLZUVTMKZUYNDNKZUVTMKZVU
      RVUSTUWKVUTVVBUVTUWKUYFVUQXRZUWKUYNDUYQVUAVCZUXKUWKVUTUVGUYEXQLZGUGZVVBVV
      DUWKUVGVVFGUWLUWNUYEUWNUYEVUPSZXRZVBVVEUWKUVGUYEGUWLVVHXSUWKVVGUVGUVJDNKZ
      GUGVVBTUWKUVGVVFVVJGUWLVVIUWNUVJDUWRUWKUYSUWMVUAVRZVCUWNVVFUVJUYDXQLZNKZV
      VJTUWNVVFUVJXQLZVVLNKVVMUWNUVJUYDUYMUWNUYDVUOSZXTUWNVVNUVJVVLNUWNUVJUWRUW
      NUVIUVHUWQUXRUWNUWOXFUVITRUWPUVHYAVAYBZYCWFWIUWNVVLDUVJUWNUYDVVOXRVVKUWRV
      VPUWNJCUFZUCLZUDKZEUFZUELZVVTMKZEUGZVVQUHLZOKZXQLZDTRZVVLDTRCJUAYDKZUVKVV
      QUVKYMZVWFVVLDTVWIVWEUYDXQVWIVWCUVQVWDUWDOVWIVWCVVSUVPFUGUVQVVSVWBUVPEFVV
      TUVNYMZVWAUVOVVTUVNMVVTUVNUEYEVWJYFYGYHVWIVVSUVMUVPFVWIVVRUVLJUDVVQUVKUCY
      EXAYIYJVVQUVKUHYEYGYKYLAVWGCVWHYNUWJUWMIYOUWNUVKUPQZJUVKTRZUVKVWHQZUWNUVK
      UXSWKUWNJUVHNKZUVETRVWLUWNVWNUVHUVETUWNUVHUWNUVHUWPYPYQUWKUWMUWOUVHUVETRZ
      UWKUXFUWMUWOVWOUMYRUXGUVHUVEUUAVAUUDYSUWNJUVEUVHUWNVLUWKUXFUWMUXGVRUXRUUB
      UUCJUPQVWMVWKVWLUMYRUUEJUVKUUFUUMUUGUUHUUIYSUUJUWKUVGUVJDGUWLAVULUWJVUMVR
      ZUYMUUKUULUVCUUNUWKVURVUTUVTXQLZMKVVAUWKUYFUVTVUQUYJUYKUUOUWKVWQUVTVUTMUW
      KUVTUXOUWKUVTUXKYTYCXAWIUWKVUSUYPVVCUWKUYPVUNUWKUYODUYRVUAUWKUYNUVTUYQUXK
      UWKUVGUVJGUWLUWRVVPUUPYBUWKDADVIQUWJHVRYTUUQYCUWKUYNDUVTVUJVWPUYJUYKUURUU
      SUUTUVAUVBXMXNXO $.
  $}

  ${
    $d c d i j k m n u x y N $.
    $( The sum ` sum_ m n <_ x , Lam ( m ) Lam ( n ) / m n ` is asymptotic to
       ` log ^ 2 ( x ) / 2 + O ( log x ) ` .  (Contributed by Mario Carneiro,
       30-May-2016.) $)
    2vmadivsum $p |- ( x e. ( 1 (,) +oo ) |->
      ( ( sum_ n e. ( 1 ... ( |_ ` x ) )
          ( ( ( Lam ` n ) / n ) x. sum_ m e. ( 1 ... ( |_ ` ( x / n ) ) )
              ( ( Lam ` m ) / m ) ) / ( log ` x ) )
        - ( ( log ` x ) / 2 ) ) ) e. O(1) $=
      ( vy vi vc c1 cv cfl cfv cfz co cvma cdiv csu clog cmin cpnf crp wcel cle
      cabs wbr cico wral wrex cioo cmul c2 cmpt co1 vmadivsumb wa 2vmadivsumlem
      simpl simpr rexlimiva ax-mp ) GDHZIJKLEHZMJUTNLEOUSPJQLUBJFHZUAUCDGRUDLUE
      ZFSUFAGRUGLGAHZIJKLCHZMJVDNLGVCVDNLIJKLBHZMJVENLBOUHLCOVCPJZNLVFUINLQLUJU
      KTZDEFULVBVGFSVASTZVBUMADVAEBCVHVBUOVHVBUPUNUQUR $.

    $( A formula for ` log ^ 2 ( N ) ` in terms of the primes.  Equation 10.4.6
       of [Shapiro], p. 418.  (Contributed by Mario Carneiro, 13-May-2016.) $)
    logsqvma $p |- ( N e. NN -> sum_ d e. { x e. NN | x || N }
      ( sum_ u e. { x e. NN | x || d } ( ( Lam ` u ) x. ( Lam ` ( d / u ) ) ) +
        ( ( Lam ` d ) x. ( log ` d ) ) ) = ( ( log ` N ) ^ 2 ) ) $=
      ( vk cn wcel cv cdvds cvma cfv co cmul csu clog cmin c1 wa syl recnd crab
      wbr cdiv caddc c2 cfz fzfid dvdsssfz1 ssfid wss elrabi adantl cc ad2antll
      cr vmacl breq1 elrab simprbi wb ad2antrl nndivdvds syl2anc mpbid remulcld
      cexp anassrs fsumcl nnrpd relogcld fsumadd wceq oveq2d fsumdvdscom ssrab2
      fvoveq1 simpr sselid nncnd adantr cc0 wne nnne0d divcan3d fveq2d sumeq2dv
      id dvdsdivcl vmasum crp relogdivd 3eqtrd eqeltrd fsummulc2 relogcl subdid
      nnrp 3eqtr3d mulcld fsumsub sqvald oveq1d fsummulc1 fveq2 oveq12d cbvsumv
      3eqtr2rd a1i eqtrd sqcld npcand ) CFGZAHZCIUBZAFUAZXMDHZIUBZAFUAZBHZJKZXP
      XSUCLZJKZMLZBNZXPJKZXPOKZMLZUDLDNXOYDDNZXOYGDNZUDLCOKZUEVFLZYIPLZYIUDLYKX
      LXOYDYGDXLQCUFLXOXLQCUGCAUHUIZXLXPXOGZRZXRYCBYOQXPUFLZXRYOQXPUGYOXPFGZXRY
      PUJYNYQXLXNAXPFUKZULZXPAUHSUIXLYNXSXRGZYCUMGXLYNYTRRZYCUUAXTYBUUAXSFGZXTU
      OGZYTUUBXLYNXQAXSFUKUNZXSUPZSUUAYAFGZYBUOGUUAXSXPIUBZUUFYTUUGXLYNYTUUBUUG
      XQUUGAXSFXMXSXPIUQURUSUNUUAYQUUBUUGUUFUTYNYQXLYTYRVAUUDXPXSVBVCVDYAUPSVET
      ZVGVHYOYGYOYEYFYOYQYEUOGYSXPUPSYOXPYOXPYSVIVJVETZVKXLYHYLYIUDXLYHXOXMCXSU
      CLZIUBZAFUAZXTXSEHZMLZXSUCLZJKZMLZENZBNXOXTYJMLZXTXSOKZMLZPLZBNZYLXLAYCUU
      QDBECXLWGXPUUNVLYBUUPXTMXPUUNXSJUCVPVMUUHVNXLXOUURUVBBXLXSXOGZRZXTUULUUPE
      NZMLXTYJUUTPLZMLUURUVBUVEUVFUVGXTMUVEUVFUULUUMJKZENZUUJOKZUVGUVEUULUUPUVH
      EUVEUUMUULGZRZUUOUUMJUVLUUMXSUVLUUMUVLUULFUUMUUKAFVOUVEUVKVQVRZVSUVEXSUMG
      UVKUVEXSUVEXOFXSXNAFVOZXLUVDVQVRZVSVTUVEXSWAWBUVKUVEXSUVOWCVTWDWEZWFUVEUU
      JFGZUVIUVJVLUVEXOFUUJUVNAXSCWHVRZAUUJEWISUVECXSXLCWJGZUVDCWQZVTZUVEXSUVOV
      IZWKWLVMUVEUULUUPXTEUVEQUUJUFLZUULUVEQUUJUGUVEUVQUULUWCUJUVRUUJAUHSUIUVEX
      TUVEUUBUUCUVOUUESTZUVLUUPUVHUMUVPUVLUVHUVLUUMFGUVHUOGUVMUUMUPSTWMWNUVEXTY
      JUUTUWDUVEUVSYJUMGZUWAUVSYJCWOTZSZUVEUUTUVEXSUWBVJTZWPWRWFXLUVCXOUUSBNZXO
      UVABNZPLYLXLXOUUSUVABYMUVEXTYJUWDUWGWSUVEXTUUTUWDUWHWSWTXLUWIYKUWJYIPXLYK
      YJYJMLXOXTBNZYJMLUWIXLYJXLUVSUWEUVTUWFSZXAXLUWKYJYJMACBWIXBXLXOXTYJBYMUWL
      UWDXCXGUWJYIVLXLXOUVAYGBDXSXPVLXTYEUUTYFMXSXPJXDXSXPOXDXEXFXHXEXIWLXBXLYK
      YIXLYJUWLXJXLXOYGDYMUUIVHXKWL $.

    $( The M&ouml;bius inverse of ~ logsqvma .  Equation 10.4.8 of [Shapiro],
       p. 418.  (Contributed by Mario Carneiro, 13-May-2016.) $)
    logsqvma2 $p |- ( N e. NN -> sum_ d e. { x e. NN | x || N }
        ( ( mmu ` d ) x. ( ( log ` ( N / d ) ) ^ 2 ) ) =
      ( sum_ d e. { x e. NN | x || N } ( ( Lam ` d ) x. ( Lam ` ( N / d ) ) ) +
        ( ( Lam ` N ) x. ( log ` N ) ) ) ) $=
      ( vj vm cn wcel cv cdvds cvma cfv cdiv co cmul csu clog caddc cexp wceq
      c2 vk vi vn wbr crab cmpt cmu cc c1 cfz fzfid dvdsssfz1 ssfid wa cr simpr
      ssrab2 vmacl syl dvdsdivcl remulcld fsumrecl nnrp relogcld readdcld recnd
      sselid adantl fmpttd breq2 rabbidv fvoveq1 oveq2d sumeq12dv fveq2 oveq12d
      adantr eqid fvmpt3i sumeq2dv logsqvma eqtr2d mpteq2dva muinv fveq1d oveq2
      ovex fveq2d oveq1d cbvsumv syl5eq mpteq2ia sumex 3eqtr3rd ) BFGZBUAFAHZUA
      HZIUDZAFUEZCHZJKZWQWTLMZJKZNMZCOZWQJKZWQPKZNMZQMZUFZKBUBFWPUBHZIUDZAFUEZD
      HZUGKZXKXNLMZUCFUCHZPKZTRMZUFZKZNMZDOZUFZKWPBIUDZAFUEZXABWTLMZJKZNMZCOZBJ
      KZBPKZNMZQMZYFWTUGKZYGPKZTRMZNMZCOZWOBXJYDWOADEUBUCXJXTWOUAFXIUHWQFGZXIUH
      GWOYTXIYTXEXHYTWSXDCYTUIWQUJMWSYTUIWQUKWQAULUMYTWTWSGZUNZXAXCUUBWTFGXAUOG
      UUBWSFWTWRAFUQZYTUUAUPVGWTURUSUUBXBFGXCUOGUUBWSFXBUUCAWTWQUTVGXBURUSVAVBY
      TXFXGWQURYTWQWQVCVDVAVEVFVHVIWOUCFXSWPXQIUDZAFUEZEHZXJKZEOZWOXQFGZUNZUUHU
      UEWPUUFIUDZAFUEZXAUUFWTLMJKZNMZCOZUUFJKZUUFPKZNMZQMZEOZXSUUJUUEUUGUUSEUUJ
      UUFUUEGZUNZUUFFGUUGUUSSUVBUUEFUUFUUDAFUQUUJUVAUPVGUAUUFXIUUSFXJWQUUFSZXEU
      UOXHUURQUVCWSUULXDUUNCUVCWRUUKAFWQUUFWPIVJVKUVCXDUUNSUUAUVCXCUUMXANWQUUFW
      TJLVLVMVQVNUVCXFUUPXGUUQNWQUUFJVOWQUUFPVOVPVPXJVRZXEXHQWGZVSUSVTUUIUUTXSS
      WOACXQEWAVHWBWCWDWEUABXIYNFXJWQBSZXEYJXHYMQUVFWSYFXDYICUVFWRYEAFWQBWPIVJV
      KUVFXDYISUUAUVFXCYHXANWQBWTJLVLVMVQVNUVFXFYKXGYLNWQBJVOWQBPVOVPVPUVDUVEVS
      UBBXMXOXPPKZTRMZNMZDOZYSFYDXKBSZUVJXMYOXKWTLMZPKZTRMZNMZCOYSXMUVIUVODCXNW
      TSZXOYOUVHUVNNXNWTUGVOUVPUVGUVMTRUVPXPUVLPXNWTXKLWFWHWIVPWJUVKXMYFUVOYRCU
      VKXLYEAFXKBWPIVJVKUVKUVOYRSWTXMGUVKUVNYQYONUVKUVMYPTRXKBWTPLVLWIVMVQVNWKU
      BFYCUVJXKFGZXMYBUVIDUVQXNXMGUNZYAUVHXONUVRXPFGYAUVHSUVRXMFXPXLAFUQAXNXKUT
      VGUCXPXSUVHFXTXQXPSXRUVGTRXQXPPVOWIXTVRXRTRWGVSUSVMVTWLXMUVIDWMVSWN $.
  $}

  ${
    $d n x y A $.
    $( Bound on the difference between ` sum_ n <_ A , log ^ 2 ( n ) ` and the
       equivalent integral.  (Contributed by Mario Carneiro, 20-May-2016.) $)
    log2sumbnd $p |- ( ( A e. RR+ /\ 1 <_ A ) ->
      ( abs ` ( sum_ n e. ( 1 ... ( |_ ` A ) ) ( ( log ` n ) ^ 2 ) -
          ( A x. ( ( ( log ` A ) ^ 2 ) + ( 2 - ( 2 x. ( log ` A ) ) ) ) ) ) )
        <_ ( ( ( log ` A ) ^ 2 ) + 2 ) ) $=
      ( vx crp wcel c1 cle wbr cfv co clog c2 cexp cmul cmin caddc cr cc0 cmpt
      cc vy wa cfl cfz cv csu cabs cneg fzfid cn elfznn adantl relogcld resqcld
      nnrpd fsumrecl rpre relogcl 2re remulcl sylancr resubcl readdcld remulcld
      adantr resubcld recnd abscld sylancl negcli subcl absnegi wceq 0le2 absid
      2cn mp2an eqtri oveq2i abs2dif eqbrtrrid oveq2d sumeq1d id oveq1d oveq12d
      fveq2 eqid ovex fvmpt3i 1rp cz 1z flid ax-mp eqtrdi 0cn sq0id fsum1 2t0e0
      log1 subid1i addid2i mulid2i df-neg eqtr4di mp1i fveq2d cpnf ioorp eqcomi
      cioo nnuz a1i 1red cxr pnfxr 1re 1nn0 nn0addge1i 0red simpr nnrp cdv cdiv
      sylan2 cpr reelprrecn crn ctg dvmptres mulcl mpteq2ia mpteq2dva eqtrd w3a
      2cnd mpbid rpred letrd ccnfld ctopn recn dvmptid rpssre iooretop eqeltrri
      wss tgioo2 rerpdivcld cvv rpreccld rpcnd mulcld cnelprrecn sqcl cres wf1o
      wf relogf1o f1of feqmptd fvres dvrelog eqtr3di 2nn dvexp 2m1e1 exp1 oveq1
      syl5eq oveq2 dvmptco ovexd dvmptc dvmptcmul dvmptsub dvmptadd subdird wne
      rpne0 divrecd negsubd eqtr3id 3eqtr4rd dvmptmul mulid2d subsub2d divcan1d
      eqtr4d npcand simp32 simp2l simp2r logled simp31 wb logleb logge0d le2sqd
      ad2antrl sqge0d simpl 1le1 rexrd pnfge syl dvfsum2 eqbrtrrd lesubaddd ) A
      DEZFAGHZUBZFAUCIZUDJZBUEZKIZLMJZBUFZAAKIZLMJZLLUXTNJZOJZPJZNJZOJZUGIZLOJZ
      UYAGHUYGUYALPJGHUXMUYHUYFLUHZOJZUGIZUYAUXMUYGQELQEZUYHQEUXMUYFUXMUYFUXMUX
      SUYEUXMUXOUXRBUXMFUXNUIUXMUXPUXOEZUBZUXQUYNUXPUYNUXPUYMUXPUJEUXMUXPUXNUKU
      LUOUMUNUPUXMAUYDUXKAQEUXLAUQVEZUXMUYAUYCUXMUXTUXKUXTQEZUXLAURVEZUNZUXMUYL
      UYBQEZUYCQEUSUXMUYLUYPUYSUSUYQLUXTUTVALUYBVBVAVCVDVFVGZVHZUSUYGLVBVIUXMUY
      JUXMUYFTEZUYITEZUYJTEUYTLVPVJZUYFUYIVKVIVHUYRUXMUYHUYGUYIUGIZOJZUYKGVUELU
      YGOVUELUGIZLLVPVLUYLRLGHVUGLVMUSVNLVOVQVRVSUXMVUBVUCVUFUYKGHUYTVUDUYFUYIV
      TVIWAUXMACDFCUEZUCIZUDJZUXRBUFZVUHVUHKIZLMJZLLVULNJZOJZPJZNJZOJZSZIZFVUSI
      ZOJZUGIUYKUYAGUXMVVBUYJUGUXMVUTUYFVVAUYIOUXKVUTUYFVMUXLCAVURUYFDVUSVUHAVM
      ZVUKUXSVUQUYEOVVCVUJUXOUXRBVVCVUIUXNFUDVUHAUCWGWBWCVVCVUHAVUPUYDNVVCWDVVC
      VUMUYAVUOUYCPVVCVULUXTLMVUHAKWGZWEZVVCVUNUYBLOVVCVULUXTLNVVDWBWBWFWFWFVUS
      WHZVUKVUQOWIZWJVEFDEZVVAUYIVMUXMWKCFVURUYIDVUSVUHFVMZVURRLOJUYIVVIVUKRVUQ
      LOVVIVUKFFUDJZUXRBUFZRVVIVUJVVJUXRBVVIVUIFFUDVVIVUIFUCIZFVUHFUCWGFWLEZVVL
      FVMWMFWNWOWPWBWCVVMRTEVVKRVMWMWQUXRRBFUXPFVMZUXQVVNUXQFKIZRUXPFKWGXAWPWRW
      SVQWPVVIVUQFLNJLVVIVUHFVUPLNVVIWDVVIVUPRLPJLVVIVUMRVUOLPVVIVULVVIVULVVORV
      UHFKWGXAWPZWRVVIVUOLROJLVVIVUNRLOVVIVUNLRNJRVVIVULRLNVVPWBWTWPWBLVPXBWPWF
      LVPXCWPWFLVPXDWPWFLXEXFVVFVVGWJXGWFXHUXMCVUQVUMUXRFDRXIBUYAVUSFQFAUJRXIXL
      JZDXJXKXMVVMUXMWMXNUXMXOXIXPEUXMXQXNFFFPJGHUXMFFXRXSXTXNUXMYAUXMVUHDEZUBZ
      VUHVUPVVRVUHQEZUXMVUHUQULZVVSVUMVUOVVSVULVVSVUHUXMVVRYBZUMZUNZVVSUYLVUNQE
      ZVUOQEUSVVSUYLVULQEZVWEUSVWCLVULUTVAZLVUNVBVAZVCZVDVWDVUHUJEUXMVVRVUMQEVU
      HYCVWDYFUXMQCDVUQSYDJCDFVUPNJZVUNLOJZVUHYEJZVUHNJZPJZSCDVUMSUXMCVUHFVUPVW
      LQQQDQQTYGZEUXMYHXNZVVSVUHVWAVGZVVSXOUXMCVUHFQXLYIYJIZUUAUUBIZQQDVWPVVTVU
      HTEUXMVUHUUCULUXMVVTUBZXOUXMCQVWPUUDDQUUHUXMUUEXNZVWSVWSWHZUUIZVXBDVWREUX
      MVVQDVWRXJRXIUUFUUGXNZYKVVSVUPVWIVGZVVSVWKVUHVVSVWEUYLVWKQEVWGUSVUNLVBVIZ
      VWBUUJUXMQCDVUPSYDJCDVUNFVUHYEJZNJZRLVXGNJZOJZPJZSCDVWLSUXMCVUMVXHVUOVXJQ
      TUUKDVWPVVSVUMVWDVGZVVSVUNVXGVVSVUNVWGVGZVVSVXGVVSVUHVWBUULZUUMZUUNZUXMCU
      AVULVXGUAUEZLMJZLVXQNJZQTVUMVUNDTDTVWPTVWOEUXMUUOXNVVSVULVWCVGZVXNVXQTEZV
      XRTEUXMVXQUUPULUXMVYAUBLTEZVYAVXSTEVPUXMVYAYBLVXQYLVAUXMQKDUUQZYDJQCDVULS
      ZYDJCDVXGSUXMVYCVYDQYDUXMVYCCDVUHVYCIZSVYDUXMCDQVYCDQVYCUURDQVYCUUSUXMUUT
      DQVYCUVAXGUVBCDVYEVULVUHDKUVCYMWPWBCUVDUVEZUXMTUATVXRSYDJZUATLVXQLFOJZMJZ
      NJZSZUATVXSSLUJEVYGVYKVMUXMUVFUALUVGXGUATVYJVXSVYAVYIVXQLNVYAVYIVXQFMJVXQ
      VYHFVXQMUVHVSVXQUVIUVKWBYMWPVXQVULLMUVJVXQVULLNUVLUVMVVSVUOVWHVGVVSRVXIOU
      VNUXMCLRVUNVXIQQTDVWPVVSYQZVVSYAUXMCLRQVWRVWSQQDVWPVWTYQVWTYAUXMCLQVWPUXM
      YQZUVOVXAVXCVXBVXDYKVXMVVSVYBVXGTEVXITEVPVXOLVXGYLVAZUXMCVULVXGLQDDVWPVXT
      VXNVYFVYMUVPUVQUVRUXMCDVXKVWLVVSVWKVXGNJVXHVXIOJZVWLVXKVVSVUNLVXGVXMVYLVX
      OUVSVVSVWKVUHVVSVWKVXFVGZVWQVVRVUHRUVTUXMVUHUWAULZUWBVVSVXKVXHVXIUHZPJVYO
      VYRVXJVXHPVXIXEVSVVSVXHVXIVXPVYNUWCUWDUWEYNYOUWFUXMCDVWNVUMVVSVWNVUMVWKOJ
      ZVWKPJVUMVVSVWJVYSVWMVWKPVVSVWJVUPVYSVVSVUPVXEUWGVVSVUMVUNLVXLVXMVYLUWHUW
      JVVSVWKVUHVYPVWQVYQUWIWFVVSVUMVWKVXLVYPUWKYOYNYOVUHUXPVMVULUXQLMVUHUXPKWG
      WEUXMVVRUXPDEZUBZFVUHGHZVUHUXPGHZUXPXIGHZYPZYPZVULUXQGHZVUMUXRGHWUFWUCWUG
      UXMWUAWUBWUCWUDUWLZWUFVUHUXPUXMVVRVYTWUEUWMZUXMVVRVYTWUEUWNZUWOYRWUFVULUX
      QWUFVUHWUIUMWUFUXPWUJUMWUFRVVOVULGXAWUFWUBVVOVULGHZUXMWUAWUBWUCWUDUWPZWUF
      VVHVVRWUBWUKUWQWKWUIFVUHUWRVAYRWAWUFUXPWUFUXPWUJYSZWUFFVUHUXPWUFXOWUFVUHW
      UIYSWUMWULWUHYTUWSUWTYRVVFUXMVVRWUBUBUBVULVVRVWFUXMWUBVUHURUXAUXBVVHUXMWK
      XNUXKUXLUXCFFGHUXMUXDXNUXKUXLYBUXMAXPEAXIGHUXMAUYOUXEAUXFUXGVVEUXHUXIYTUX
      MUYGLUYAVUAUYLUXMUSXNUYRUXJYR $.
  $}

  ${
    $d m n x $.
    selberglem1.t $e |- T = ( ( ( ( log ` ( x / n ) ) ^ 2 ) +
      ( 2 - ( 2 x. ( log ` ( x / n ) ) ) ) ) / n ) $.
    $( Lemma for ~ selberg .  Estimation of the asymptotic part of
       ~ selberglem3 .  (Contributed by Mario Carneiro, 20-May-2016.) $)
    selberglem1 $p |- ( x e. RR+ |->
      ( sum_ n e. ( 1 ... ( |_ ` x ) ) ( ( mmu ` n ) x. T )
        - ( 2 x. ( log ` x ) ) ) ) e. O(1) $=
      ( crp cfv co cmul csu c2 cmin cmpt cdiv caddc co1 wcel cc a1i wtru cvv c1
      cv cfl cfz cmu clog cexp fzfid wa cn elfznn adantl mucl syl zred nndivred
      cz recnd cr nnrpd rpdivcl sylan2 relogcl sqcld mulcld fsumcl subcld mulcl
      2cn sylancr addsubd oveq2i cc0 wne wceq zcnd addcld rpcnne0d divass div23
      w3a eqtr3d syl3anc adddid eqtrd syl5eq sumeq2dv fsumadd fsummulc2 fsumsub
      oveq1d oveq2d mulcomd mul12d oveq12d subdid 3eqtr4d 3eqtr3d mulog2sum 2ex
      mpteq2ia ovexd wss rpssre o1const mp2an reex ssexi sumex offval2 mudivsum
      cof eqidd mulogsum o1sub eqeltrrdi o1mul2 o1add2 mptru eqeltri ) AEUAAUBZ
      UCFZUDGZCUBZUEFZBHGZCIZJYAUFFZHGZKGZLAEYCYEYDMGZYAYDMGZUFFZJUGGZHGZCIZYIK
      GZJYCYKCIZYCYKYMHGZCIZKGZHGZNGZLZOAEYJUUCYAEPZYPYCYKJJYMHGZKGZHGZCIZNGZYI
      KGYQUUINGYJUUCUUEYPUUIYIUUEYCYOCUUEUAYBUHZUUEYDYCPZUIZYKYNUUMYKUUMYEYDUUM
      YEUUMYDUJPZYEUQPUULUUNUUEYDYBUKZULZYDUMUNZUOUUPUPURZUUMYMUUMYMUUMYLEPZYMU
      SPUULUUEYDEPUUSUULYDUUOUTYAYDVAVBYLVCUNURZVDZVEZVFUUEYCUUHCUUKUUMYKUUGUUR
      UUMJUUFJQPZUUMVIRZUUMJYMUVDUUTVEZVGZVEZVFUUEUVCYHQPYIQPVIUUEYHYAVCURJYHVH
      VJVKUUEYGUUJYIKUUEYGYCYOUUHNGZCIUUJUUEYCYFUVHCUUMYFYEYNUUGNGZYDMGZHGZUVHB
      UVJYEHDVLUUMUVKYKUVIHGZUVHUUMYEQPZUVIQPZYDQPYDVMVNUIZUVKUVLVOUUMYEUUQVPUU
      MYNUUGUVAUVFVQUUMYDUUMYDUUPUTVRUVMUVNUVOWAYEUVIHGYDMGUVKUVLYEUVIYDVSYEUVI
      YDVTWBWCUUMYKYNUUGUURUVAUVFWDWEWFWGUUEYCYOUUHCUUKUVBUVGWHWEWKUUEUUBUUIYQN
      UUEJYCYKYSKGZCIZHGYCJUVPHGZCIUUBUUIUUEYCUVPJCUUKUVCUUEVIRUUMYKYSUURUUMYKY
      MUURUUTVEZVGWIUUEUVQUUAJHUUEYCYKYSCUUKUURUVSWJWLUUEYCUVRUUHCUUMJYKHGZJYSH
      GZKGYKJHGZYKUUFHGZKGUVRUUHUUMUVTUWBUWAUWCKUUMJYKUVDUURWMUUMJYKYMUVDUURUUT
      WNWOUUMJYKYSUVDUURUVSWPUUMYKJUUFUURUVDUVEWPWQWGWRWLWQXAUUDOPSAEYQUUBTSUUE
      UIZYPYIKXBUWDJUUAHXBAEYQLOPSACWSRSAEJUUATJTPUWDWTRUWDYRYTKXBAEJLOPZSEUSXC
      UVCUWEXDVIAEJXEXFRSAEUUALAEYRLZAEYTLZKXLGZOSAEYRYTKUWFUWGTTTETPSEUSXGXDXH
      RYRTPUWDYCYKCXIRYTTPUWDYCYSCXIRSUWFXMSUWGXMXJUWFOPUWGOPUWHOPACXKACXNUWFUW
      GXOXFXPXQXRXSXT $.

    $( Lemma for ~ selberg .  (Contributed by Mario Carneiro, 23-May-2016.) $)
    selberglem2 $p |- ( x e. RR+ |->
      ( ( sum_ n e. ( 1 ... ( |_ ` x ) ) sum_ m e. ( 1 ... ( |_ ` ( x / n ) ) )
        ( ( mmu ` n ) x. ( ( log ` m ) ^ 2 ) ) / x ) -
        ( 2 x. ( log ` x ) ) ) ) e. O(1) $=
      ( crp c1 cfv co cdiv c2 cmul wcel wtru caddc cc cr recnd wbr cle cfl clog
      cv cfz cmu cexp csu cmin cmpt co1 cof cvv rpssre ssexi a1i wa fzfid cn cz
      reex elfznn adantl mucl syl zred nnrpd relogcld resqcld simplr rerpdivcld
      fsumrecl simpr rpdivcl remulcl sylancr resubcl readdcld nndivred eqeltrid
      syl2an 2re subcld mulcld 2cn relogcl mulcl offval2 addsubassd cc0 rpcnne0
      fsumcl eqidd simpld adantr remulcld simprd fsumdivc wceq divass fsummulc2
      wne syl3anc oveq1d npcand oveq2d adddid eqtr3d 3eqtr3d sumeq2dv mpteq2dva
      fsumadd 3eqtrrd 1red cfa crli 2cnd cn0 2nn0 logexprlim mp1i wss rlimconst
      eqtrd rlimadd rlimo1 readdcl sylancl abscld fsumabs absmuld absge0d mule1
      cabs lemul1ad mulid2d eqbrtrd 3syl wb mpbid letrd breqtrd subdid divcan2d
      w3a oveq2i eqtr4di div23 oveq12d fveq2d rprege0 absid nncnd rpre simplbda
      fznnfl rpred lemuldivd log2sumbnd syl2anc eqbrtrrd fsumle chash fsumconst
      lemuldiv2d cfn flge0nn0 hashfz1 reflcl flle 2pos pm3.2i leadd2dd lediv1dd
      clt lemul1 divdir divcan3d 3brtr3d leabsd o1le selberglem1 o1add eqeltrrd
      adantrr mptru ) AFGAUCZUAHZUDIZGUWFDUCZJIZUAHZUDIZUWIUEHZCUCZUBHZKUFIZLIZ
      CUGZDUGUWFJIZKUWFUBHZLIZUHIZUIZUJMNAFUWHUWMUWLUWPCUGZUWFJIZBUHIZLIZDUGZUI
      ZAFUWHUWMBLIZDUGZUXAUHIZUIZOUKIZUXCUJNUXNAFUXHUXLOIZUIUXCNAFUXHUXLOUXIUXM
      ULPPFULMNFQUTUMUNUONUWFFMZUPZUWHUXGDUXQGUWGUQZUXQUWIUWHMZUPZUWMUXFUXTUWMU
      XTUWMUXTUWIURMZUWMUSMUXSUYAUXQUWIUWGVAZVBZUWIVCVDVEZRZUXTUXEBUXTUXEUXTUXD
      UWFUXTUWLUWPCUXTGUWKUQZUXTUWNUWLMZUPZUWOUYHUWNUYHUWNUYGUWNURMUXTUWNUWKVAV
      BVFVGVHZVKNUXPUXSVIZVJRZUXTBUXTBUWJUBHZKUFIZKKUYLLIZUHIZOIZUWIJIZQEUXTUYP
      UWIUXTUYMUYOUXTUYLUXTUWJUXQUXPUWIFMZUWJFMZUXSNUXPVLZUXSUWIUYBVFUWFUWIVMVT
      ZVGZVHZUXTKQMZUYNQMZUYOQMWAUXTVUDUYLQMVUEWAVUBKUYLVNVOKUYNVPVOVQZUYCVRVSR
      ZWBZWCZWKZUXQUXKUXAUXQUWHUXJDUXRUXTUWMBUYEVUGWCZWKZUXQKPMZUWTPMUXAPMWDUXQ
      UWTUXPUWTQMNUWFWEVBRKUWTWFVOZWBNUXIWLNUXMWLWGNAFUXOUXBUXQUXHUXKOIZUXAUHIU
      XOUXBUXQUXHUXKUXAVUJVULVUNWHUXQVUOUWSUXAUHUXQUWSUWHUWRUWFJIZDUGUWHUXGUXJO
      IZDUGVUOUXQUWHUWRUWFDUXRUXQUWFPMZUWFWIXAZUXPVURVUSUPZNUWFWJVBZWMZUXTUWRUX
      TUWLUWQCUYFUYHUWMUWPUXTUWMQMUYGUYDWNUYIWOVKRUXQVURVUSVVAWPZWQUXQUWHVUPVUQ
      DUXTUWMUXDLIZUWFJIZUWMUXELIZVUPVUQUXTUWMPMUXDPMVUTVVEVVFWRUYEUXTUWLUWPCUY
      FUYHUWPUYIRZWKZUXQVUTUXSVVAWNZUWMUXDUWFWSXBUXTVVDUWRUWFJUXTUWLUWPUWMCUYFU
      YEVVGWTXCUXTUWMUXFBOIZLIVVFVUQUXTVVJUXEUWMLUXTUXEBUYKVUGXDXEUXTUWMUXFBUYE
      VUHVUGXFXGXHXIUXQUWHUXGUXJDUXRVUIVUKXKXLXCXGXJYCNUXIUJMUXMUJMUXNUJMNAFUWH
      UYMDUGZUWFJIZKOIZUXHGQNXMNAFVVMUIZKXNHZKOIZXOSVVNUJMNAFVVLKVVOKPUXQVVLUXQ
      VVKUWFUXQUWHUYMDUXRVUCVKZUYTVJZRUXQXPZKXQMAFVVLUIVVOXOSNXRADKXSXTNFQYAVUM
      AFKUIKXOSUMNXPAFKYBVOYDVVPVVNYEVDUXQVVLQMVUDVVMQMVVRWAVVLKYFYGZVUJNUXPUXH
      YMHZVVMYMHZTSGUWFTSUXQVWAVVMVWBUXQUXHVUJYHZVVTUXQVVMUXQVVMVVTRYHUXQVWAUWH
      UXGYMHZDUGZVVMVWCUXQUWHVWDDUXRUXTUXGVUIYHZVKZVVTUXQUWHUXGDUXRVUIYIUXQVWEU
      WHUYMKOIZUWFJIZDUGZVVMVWGUXQUWHVWIDUXRUXTVWHUWFUXTUYMQMVUDVWHQMVUCWAUYMKY
      FYGZUYJVJZVKVVTUXQUWHVWDVWIDUXRVWFVWLUXTVWDUXFYMHZVWIVWFUXTUXFVUHYHZVWLUX
      TVWDUWMYMHZVWMLIZVWMTUXTUWMUXFUYEVUHYJUXTVWPGVWMLIVWMTUXTVWOGVWMUXTUWMUYE
      YHUXTXMZVWNUXTUXFVUHYKUXTUYAVWOGTSUYCUWIYLVDYNUXTVWMUXTVWMVWNRYOUUAYPUXTU
      WFVWMLIZVWHTSVWMVWITSUXTUXDUWJUYPLIZUHIZYMHZVWRVWHTUXTUWFUXFLIZYMHUWFYMHZ
      VWMLIVXAVWRUXTUWFUXFUXTVURVUSVVIWMZVUHYJUXTVXBVWTYMUXTVXBUWFUXELIZUWFBLIZ
      UHIVWTUXTUWFUXEBVXDUYKVUGUUBUXTVXEUXDVXFVWSUHUXTUXDUWFVVHVXDUXTVURVUSVVIW
      PUUCUXTVURUYPPMZUWIPMUWIWIXAUPZVXFVWSWRVXDUXTUYPVUFRUXTUYRVXHUXTUWIUYCVFZ
      UWIWJVDVURVXGVXHUUDZUWFUYPLIUWIJIZVXFVWSVXJVXKUWFUYQLIVXFUWFUYPUWIWSBUYQU
      WFLEUUEUUFUWFUYPUWIUUGXGXBUUHYCUUIUXTVXCUWFVWMLUXTUXPUWFQMZWIUWFTSUPZVXCU
      WFWRUYJUWFUUJZUWFUUKYQXCXHUXTUYSGUWJTSZVXAVWHTSVUAUXTGUWILIZUWFTSVXOUXTVX
      PUWIUWFTUXTUWIUXTUWIUYCUULYOUXQUXSUYAUWIUWFTSZUXQVXLUXSUYAVXQUPYRUXPVXLNU
      WFUUMVBZUWIUWFUUOVDUUNYPUXTGUWFUWIVWQUXTUWFUYJUUPVXIUUQYSUWJCUURUUSUUTUXT
      VWMVWHUWFVWNVWKUYJUVDYSYTUVAUXQUWHVWHDUGZUWFJIVVKUWFKLIZOIZUWFJIZVWJVVMTU
      XQVXSVYAUWFUXQUWHVWHDUXRVWKVKUXQVVKVXTVVQUXQVXLVUDVXTQMVXRWAUWFKVNYGZVQUY
      TUXQVXSVVKUWGKLIZOIZVYATUXQVXSVVKUWHKDUGZOIVYEUXQUWHUYMKDUXRUXTUYMVUCRUXT
      XPXKUXQVYFVYDVVKOUXQVYFUWHUVBHZKLIZVYDUXQUWHUVEMVUMVYFVYHWRUXRWDUWHKDUVCY
      GUXQVYGUWGKLUXQVXMUWGXQMVYGUWGWRUXPVXMNVXNVBUWFUVFUWGUVGYQXCYCXEYCUXQVYDV
      XTVVKUXQUWGKUXQVXLUWGQMZVXRUWFUVHVDZVUDUXQWAUOWOVYCVVQUXQUWGUWFTSZVYDVXTT
      SZUXQVXLVYKVXRUWFUVIVDUXQVYIVXLVUDWIKUVNSZUPZVYKVYLYRVYJVXRVYNUXQVUDVYMWA
      UVJUVKUOUWGUWFKUVOXBYSUVLYPUVMUXQUWHVWHUWFDUXRVVBUXTVWHVWKRVVCWQUXQVYBVVL
      VXTUWFJIZOIZVVMUXQVVKPMVXTPMVUTVYBVYPWRUXQVVKVVQRUXQUWFKVVBVVSWCVVAVVKVXT
      UWFUVPXBUXQVYOKVVLOUXQKUWFVVSVVBVVCUVQXEYCUVRYTYTUXQVVMVVTUVSYTUWDUVTABDE
      UWAUXIUXMUWBYGUWCUWE $.
  $}

  ${
    $d c d m n x y $.
    $( Lemma for ~ selberg .  Estimation of the left-hand side of ~ logsqvma2 .
       (Contributed by Mario Carneiro, 23-May-2016.) $)
    selberglem3 $p |- ( x e. RR+ |->
      ( ( sum_ n e. ( 1 ... ( |_ ` x ) ) sum_ d e. { y e. NN | y || n }
        ( ( mmu ` d ) x. ( ( log ` ( n / d ) ) ^ 2 ) ) / x ) -
        ( 2 x. ( log ` x ) ) ) ) e. O(1) $=
      ( vm crp cv cfv co cn cdiv clog c2 cexp cmul csu cmin wcel oveq1d elfznn
      c1 cfl cfz cdvds wbr crab cmu cmpt co1 wceq fvoveq1 oveq2d rpre wa ssrab2
      cz simprr sselid mucl zcnd cc nnrpd ad2antrl rpdivcld relogcl recnd sqcld
      syl mulcld dvdsflsumcom 3ad2ant3 nncnd 3ad2ant2 nnne0d divcan3d 2sumeq2dv
      w3a fveq2d eqtrd mpteq2ia caddc eqid selberglem2 eqeltri ) AFUAAGZUBHZUCI
      ZBGCGZUDUEZBJUFZDGZUGHZWHWKKIZLHZMNIZOIZDPCPZWEKIZMWELHOIZQIZUHAFWGUAWEWK
      KIZUBHZUCIZWLEGZLHZMNIZOIZEPDPZWEKIZWSQIZUHUIAFWTXJWEFRZWRXIWSQXKWQXHWEKX
      KWQWGXCWLWKXDOIZWKKIZLHZMNIZOIZEPDPXHXKBWEWPXPECDWHXLUJZWOXOWLOXQWNXNMNWH
      XLWKLKUKSULWEUMXKWHWGRZWKWJRZUNUNZWLWOXTWLXTWKJRZWLUPRXTWJJWKWIBJUOXKXRXS
      UQURZWKUSVHUTXTWNXTWMFRZWNVARXTWHWKXRWHFRXKXSXRWHWHWFTVBVCXTWKYBVBVDYCWNW
      MVEVFVHVGVIVJXKWGXCXPXGDEXKWKWGRZXDXCRZVQZXOXFWLOYFXNXEMNYFXMXDLYFXDWKYFX
      DYEXKXDJRYDXDXBTVKVLYFWKYDXKYAYEWKWFTVMZVLYFWKYGVNVOVRSULVPVSSSVTAXALHZMN
      IMMYHOIQIWAIWKKIZEDYIWBWCWD $.

    $( Selberg's symmetry formula.  The statement has many forms, and this one
       is equivalent to the statement that ` sum_ n <_ x , Lam ( n ) log n + `
       ` sum_ m x. n <_ x , Lam ( m ) Lam ( n ) = 2 x log x + O ( x ) ` .
       Equation 10.4.10 of [Shapiro], p. 419.  (Contributed by Mario Carneiro,
       23-May-2016.) $)
    selberg $p |- ( x e. RR+ |-> ( ( sum_ n e. ( 1 ... ( |_ ` x ) )
        ( ( Lam ` n ) x. ( ( log ` n ) + ( psi ` ( x / n ) ) ) ) / x )
      - ( 2 x. ( log ` x ) ) ) ) e. O(1) $=
      ( vd vm vy crp cfv co cvma clog cdiv caddc cmul csu c2 wcel cn syl recnd
      cr c1 cfl cfz cchp cmin cmpt cmu cexp co1 cdvds wbr crab wceq fveq2 oveq2
      cv fveq2d oveq12d cbvsumv wa fzfid elfznn adantl fsummulc2 rpdivcl sylan2
      vmacl nnrpd rpred chpval oveq2d ad2antlr nnne0d divcan3d sumeq2dv 3eqtr4d
      nncnd syl5eq fvoveq1 rpre cc ssrab2 simprr sselid anassrs dvdsdivcl sylan
      remulcld anasss dvdsflsumcom eqtr4d oveq1d chpcl mulcld relogcl dvdsssfz1
      fsumadd wss ssfid fsumrecl addcomd adddid logsqvma2 cz mucl zcnd ad2antrl
      eqtrd rpdivcld sqcld 3eqtrd mpteq2ia eqid selberglem2 eqeltri ) AFUAAUPZU
      BGZUCHZBUPZIGZXSJGZXPXSKHZUDGZLHZMHZBNZXPKHZOXPJGMHZUEHZUFAFXRUAXPCUPZKHZ
      UBGZUCHZYJUGGZDUPZJGZOUHHZMHZDNZCNZXPKHZYHUEHZUFUIAFYIUUBXPFPZYGUUAYHUEUU
      CYFYTXPKUUCYFXREUPXSUJUKZEQULZYNXSYJKHZJGZOUHHZMHZCNZBNZXRYMYNYJYOMHZYJKH
      ZJGZOUHHZMHZDNZCNYTUUCXRXTYCMHZXTYAMHZLHZBNZXRUUEYJIGZUUFIGZMHZCNZUUSLHZB
      NZYFUUKUUCXRUURBNZXRUUSBNZLHXRUVEBNZUVILHUVAUVGUUCUVHUVJUVILUUCUVHXRYMUVB
      UUMIGZMHZDNZCNZUVJUUCUVHXRUVBYKUDGZMHZCNUVNXRUURUVPBCXSYJUMZXTUVBYCUVOMXS
      YJIUNUVQYBYKUDXSYJXPKUOUQURUSUUCXRUVPUVMCUUCYJXRPZUTZUVBYMYOIGZDNZMHYMUVB
      UVTMHZDNUVPUVMUVSYMUVTUVBDUVSUAYLVAUVSUVBUVSYJQPZUVBTPZUVRUWCUUCYJXQVBZVC
      YJVGZRSUVSYOYMPZUTZUVTUWHYOQPZUVTTPUWGUWIUVSYOYLVBVCZYOVGRSVDUVSUVOUWAUVB
      MUVSYKTPUVOUWAUMUVSYKUVRUUCYJFPYKFPUVRYJUWEVHXPYJVEVFVIYKDVJRVKUVSYMUVLUW
      BDUWHUVKUVTUVBMUWHUUMYOIUWHYOYJUWHYOUWJVQUWHYJUVRUWCUUCUWGUWEVLZVQUWHYJUW
      KVMVNZUQVKVOVPVOVRUUCEXPUVDUVLDBCXSUULUMZUVCUVKUVBMXSUULYJIKVSVKXPVTZUUCX
      SXRPZYJUUEPZUVDWAPUUCUWOUTZUWPUTZUVDUWRUVBUVCUWRUWCUWDUUCUWOUWPUWCUUCUWOU
      WPUTUTZUUEQYJUUDEQWBZUUCUWOUWPWCWDZWEUWFRUWRUUFQPUVCTPUWRUUEQUUFUWTUWQXSQ
      PZUWPUUFUUEPUWOUXBUUCXSXQVBZVCZEYJXSWFWGWDUUFVGRWHZSWIWJWKWLUUCXRUURUUSBU
      UCUAXQVAZUWQXTYCUWQXTUWQUXBXTTPUXDXSVGRSZUWQYCUWQYBTPYCTPUWQYBUWOUUCXSFPZ
      YBFPUWOXSUXCVHZXPXSVEVFVIYBWMRSZWNUWQXTYAUXGUWQYAUWQUXHYATPUWQXSUXDVHXSWO
      RSZWNZWQUUCXRUVEUUSBUXFUWQUVEUWQUUEUVDCUWQUAXSUCHZUUEUWQUAXSVAUWQUXBUUEUX
      MWRUXDXSEWPRWSUXEWTSUXLWQVPUUCXRYEUUTBUWQYEXTYCYALHZMHUUTUWQYDUXNXTMUWQYA
      YCUXKUXJXAVKUWQXTYCYAUXGUXJUXKXBXHVOUUCXRUUJUVFBUWQUXBUUJUVFUMUXDEXSCXCRV
      OVPUUCEXPUUIUUPDBCUWMUUHUUOYNMUWMUUGUUNOUHXSUULYJJKVSWLVKUWNUWSYNUUHUWSYN
      UWSUWCYNXDPUXAYJXERXFUWSUUGUWSUUFFPZUUGWAPUWSXSYJUWOUXHUUCUWPUXIXGUWSYJUX
      AVHXIUXOUUGUUFWOSRXJWNWJUUCXRUUQYSCUVSYMUUPYRDUWHUUOYQYNMUWHUUNYPOUHUWHUU
      MYOJUWLUQWLVKVOVOXKWLWLXLAYKJGZOUHHOOUXPMHUEHLHYJKHZDCUXQXMXNXO $.

    $( Convert eventual boundedness in ~ selberg to boundedness on
       ` [ 1 , +oo ) ` .  (We have to bound away from zero because the log
       terms diverge at zero.)  (Contributed by Mario Carneiro,
       30-May-2016.) $)
    selbergb $p |- E. c e. RR+ A. x e. ( 1 [,) +oo )
      ( abs ` ( ( sum_ n e. ( 1 ... ( |_ ` x ) )
        ( ( Lam ` n ) x. ( ( log ` n ) + ( psi ` ( x / n ) ) ) ) / x )
      - ( 2 x. ( log ` x ) ) ) ) <_ c $=
      ( c1 cfv co c2 cle wbr crp wtru cr wcel wa a1i relogcld readdcld remulcld
      syl adantr vy cv cfl cfz cvma clog cdiv cchp cmul csu cmin cabs cpnf cico
      caddc wral wrex wb elicopnf mp1i simprbda ex ssrdv fzfid cn elfznn adantl
      1re vmacl nnrpd nndivred chpcl fsumrecl 1rp simplbda rpgecld 2re resubcld
      rerpdivcld recnd cmpt co1 selberg o1res2 simprl simprr clt abscld simprll
      ltled abs2dif2d cc0 vmage0 nnge1d logge0d addge0d mulge0d fsumge0 divge0d
      nnred chpge0 2rp rpge0 oveq12d breqtrd cuz flword2 syl3anc fzss2 fsumless
      absidd wss lediv1dd chpwordi leadd2dd fsumle letrd lediv12ad div1d logled
      lemul2ad mpbid le2addd o1bddrp mptru ) DAUBZUCEZUDFZBUBZUEEZYIUFEZYFYIUGF
      ZUHEZUOFZUIFZBUJZYFUGFZGYFUFEZUIFZUKFZULEZCUBHIADUMUNFZUPCJUQKAUAUUBYTDCD
      UAUBZUCEZUDFZYJYKUUCYIUGFZUHEZUOFZUIFZBUJZGUUCUFEZUIFZUOFZKAUUBLKYFUUBMZY
      FLMZKUUNUUODYFHIZDLMZUUNUUOUUPNURKVHDYFUSUTZVAZVBVCUUQKVHOKUUNNZYTUUTYQYS
      UUTYPYFUUTYHYOBUUTDYGVDZUUTYIYHMZNZYJYNUVCYIVEMZYJLMZUVBUVDUUTYIYGVFVGZYI
      VIZSZUVCYKYMUVCYIUVCYIUVFVJPZUVCYLLMZYMLMZUVCYFYIUUTUUOUVBUUSTUVFVKZYLVLZ
      SZQZRZVMZUUTYFDUUSDJMZUUTVNOKUUNUUOUUPUURVOZVPZVSZUUTGYRGLMZUUTVQOUUTYFUV
      TPRZVRZVTKAUUBJYTKAUUBJKUUNYFJMZUVTVBVCAJYTWAWBMKABWCOWDKUUCLMZDUUCHIZNZN
      ZUUJUULUWIUUEUUIBUWIDUUDVDUWIYIUUEMZNZYJUUHUWKUVDUVEUWJUVDUWIYIUUDVFZVGZU
      VGSUWKYKUUGUWKYIUWKYIUWMVJPUWKUUFLMZUUGLMZUWKUUCYIUWIUWFUWJKUWFUWGWEZTUWM
      VKUUFVLZSQRVMUWIGUUKUWBUWIVQOUWIUUCUWIUUCDUWPUVRUWIVNOKUWFUWGWFVPPRQUUTUW
      HYFUUCWGIZNZNZUUAYQYSUOFZUUMUWTYTUWTYTUUTYTLMUWSUWDTVTWHUWTYQYSUUTYQLMUWS
      UWATZUUTYSLMUWSUWCTZQUWTUUJUULUWTUUEUUIBUWTDUUDVDZUWTUWJNZYJUUHUXEUVDUVEU
      WJUVDUWTUWLVGZUVGSZUXEYKUUGUXEYIUXEYIUXFVJZPZUXEUWNUWOUXEUUCYIUWTUWFUWJUU
      TUWFUWGUWRWIZTZUXFVKZUWQSZQZRZVMZUWTGUUKUWBUWTVQOZUWTUUCUWTUUCYFUXJUUTUWE
      UWSUVTTZUWTYFUUCUUTUUOUWSUUSTZUXJUUTUWHUWRWFWJZVPZPZRZQUWTUUAYQULEZYSULEZ
      UOFUXAHUWTYQYSUWTYQUXBVTUWTYSUXCVTWKUWTUYDYQUYEYSUOUWTYQUXBUWTYPYFUUTYPLM
      UWSUVQTZUXRUUTWLYPHIUWSUUTYHYOBUVAUVPUVCYJYNUVHUVOUVCUVDWLYJHIZUVFYIWMZSU
      VCYKYMUVIUVNUVCYIUVCYIUVFWTUVCYIUVFWNWOUVCUVJWLYMHIZUVLYLXAZSWPWQWRTZWSXK
      UWTYSUXCUWTGYRUXQUWTYFUXRPZGJMWLGHIUWTXBGXCUTZUWTYFUXSUUTUUPUWSUVSTZWOWQX
      KXDXEUWTYQYSUUJUULUXBUXCUXPUYCUWTYQUUJDUGFUUJHUWTYPUUJDYFUYFUXPUVRUWTVNOU
      XSUYKUWTYPUUEYOBUJUUJUYFUWTUUEYOBUXDUXEYJYNUXGUXEYKYMUXIUXEUVJUVKUXEYFYIU
      WTUUOUWJUXSTZUXFVKZUVMSZQZRZVMUXPUWTUUEYOYHBUXDUYSUXEYJYNUXGUYRUXEUVDUYGU
      XFUYHSZUXEYKYMUXIUYQUXEYIUXEYIUXFWTUXEYIUXFWNWOUXEUVJUYIUYPUYJSWPWQUWTUUD
      YGXFEMZYHUUEXLUWTUUOUWFYFUUCHIZVUAUXSUXJUXTYFUUCXGXHYGDUUDXISXJUWTUUEYOUU
      IBUXDUYSUXOUXEYNUUHYJUYRUXNUXGUYTUXEYMUUGYKUYQUXMUXIUXEUVJUWNYLUUFHIYMUUG
      HIUYPUXLUXEYFUUCYIUYOUXKUXHUWTVUBUWJUXTTXMYLUUFXNXHXOYAXPXQUYNXRUWTUUJUWT
      UUJUXPVTXSXEUWTYRUUKGUYLUYBUXQUYMUWTVUBYRUUKHIUXTUWTYFUUCUXRUYAXTYBYAYCXQ
      YDYE $.

    $( Lemma for ~ selberg2 .  Equation 10.4.12 of [Shapiro], p. 420.
       (Contributed by Mario Carneiro, 23-May-2016.) $)
    selberg2lem $p |- ( x e. RR+ |->
      ( ( sum_ n e. ( 1 ... ( |_ ` x ) ) ( ( Lam ` n ) x. ( log ` n ) )
        - ( ( psi ` x ) x. ( log ` x ) ) ) / x ) ) e. O(1) $=
      ( crp c1 cfv co clog cmul cchp cmin cdiv wcel wtru cc cc0 wceq cr syl cle
      wbr vm cv cfl cfz cvma csu cmpt co1 caddc wne wa rpre chpcl recnd rprege0
      cn0 cn flge0nn0 nn0p1nn nnrpd relogcld relogcl subcld mulcld fzfid elfznn
      adantl 1rp rpaddcl mpan2 resubcld fsumcl rpcnne0 divsubdir syl3anc sub32d
      remulcld subdid oveq1d cfzo fveq2 fvoveq1 jca log1 eqtrdi oveq1 fveq2d c2
      1m1e0 clt 2pos wb 0re chpeq0 ax-mp mpbir cuz eleqtrdi peano2rem fsumparts
      nnuz nnred cz nn0zd fzval3 eqcomd nnm1nn0 nn0red vmacl nncnd ax-1cn pncan
      sylancl npcan eqtr4d chpp1 oveq2d 3eqtrd mulcomd sumeq12rdv eqtrd oveq12d
      a1i cvv ovexd eqidd chpo1ub crli 1red rpreccl rpred mpbid ad2antrl logleb
      logdifbnd mpdan subge0d mpbird cabs absidd mvrladdd nn0cnd mul01i subid1d
      chpfl 0cn 3eqtr3d 3eqtr4d div23 3eqtr3rd mpteq2ia cof reex rpssre offval2
      ssexi 0red divrcnv mp1i flle leadd1dd logled lesub1dd letrd fllep1 rlimo1
      rlimsqz2 o1mul sylancr eqeltrrd wss ssriv sselda rerpdivcl mpancom chpge0
      nnrp lemul1ad lep1d mulge0d rpregt0 divge0 syl21anc rpcn divrec2d 3brtr4d
      rpne0 o1le o1res2 o1fsum o1sub2 eqeltrrid mptru ) ACDAUBZUCEZUDFZBUBZUEEZ
      UWQGEZHFZBUFZUWNIEZUWNGEZHFZJFZUWNKFZUGZUHLMUXGACUXBUWNKFZUWODUIFZGEZUXCJ
      FZHFZUWPUWQDUIFZGEZUWSJFZUWQIEZHFZBUFZUWNKFZJFZUGUHACUXTUXFUWNCLZUXBUXKHF
      ZUXRJFZUWNKFZUYBUWNKFZUXSJFZUXFUXTUYAUYBNLUXRNLUWNNLUWNOUJUKZUYDUYFPUYAUX
      BUXKUYAUXBUYAUWNQLZUXBQLUWNULZUWNUMRUNZUYAUXJUXCUYAUXJUYAUXIUYAUXIUYAUWOU
      PLZUXIUQLUYAUYHOUWNSTUKUYKUWNUOUWNURRZUWOUSRZUTZVAZUNZUYAUXCUWNVBZUNZVCZV
      DUYAUWPUXQBUYADUWOVEUYAUWQUWPLZUKZUWQCLZUXQNLZVUAUWQUYTUWQUQLZUYAUWQUWOVF
      VGZUTZVUBUXQVUBUXOUXPVUBUXNUWSVUBUXMVUBDCLZUXMCLZVHUWQDVIVJZVAZUWQVBZVKZV
      UBUWQQLZUXPQLZUWQULZUWQUMRZVQZUNZRVLZUWNVMZUYBUXRUWNVNVOUYAUYCUXEUWNKUYAU
      XBUXJHFZUXDJFZUXRJFVVAUXRJFZUXDJFUYCUXEUYAVVAUXDUXRUYAUXBUXJUYJUYPVDZUYAU
      XBUXCUYJUYRVDVUSVPUYAUYBVVBUXRJUYAUXBUXJUXCUYJUYPUYRVRVSUYAUXAVVCUXDJUYAD
      UXIVTFZUWSUXMDJFZIEZUWQDJFZIEZJFZHFZBUFUXJUXIDJFZIEZHFZOOHFZJFZVVEUXOVVGH
      FZBUFZJFUXAVVCUYAUAUBZGEZUWSUXNOBUAUXJDUXIVVSDJFZIEZVVIVVGOVVMVVSUWQPVVTU
      WSPVWBVVIPVVSUWQGWAVVSUWQDIJWBWCVVSUXMPVVTUXNPVWBVVGPVVSUXMGWAVVSUXMDIJWB
      WCVVSDPZVVTOPVWBOPVWCVVTDGEOVVSDGWAWDWEVWCVWBOIEZOVWCVWAOIVWCVWADDJFOVVSD
      DJWFWIWEWGVWDOPZOWHWJTZWKOQLVWEVWFWLWMOWNWOWPWEWCVVSUXIPVVTUXJPVWBVVMPVVS
      UXIGWAVVSUXIDIJWBWCUYAUXIUQDWQEUYMXAWRUYAVVSDUXIUDFLZUKZVVTVWHVVSVWHVVSVW
      GVVSUQLUYAVVSUXIVFVGZUTVAUNVWHVWBVWHVWAQLZVWBQLVWHVVSQLVWJVWHVVSVWIXBVVSW
      SRVWAUMRUNWTUYAVVEUWPVVKUWTBUYAUWPVVEUYAUWOXCLUWPVVEPUYAUWOUYLXDDUWOXERXF
      ZVUAVVKUWSUWRHFUWTVUAVVJUWRUWSHVUAVVGVVIUWRVUAVVIVUAVVHQLVVIQLVUAVVHVUAVU
      DVVHUPLZVUEUWQXGRZXHVVHUMRUNVUAUWRVUAVUDUWRQLVUEUWQXIRUNZVUAVVGVVHDUIFZIE
      ZVVIVWOUEEZUIFZVVIUWRUIFVUAVVFVWOIVUAVVFUWQVWOVUAUWQNLZDNLZVVFUWQPVUAUWQV
      UEXJZXKUWQDXLXMZVUAVWSVWTVWOUWQPVXAXKUWQDXNXMZXOWGVUAVWLVWPVWRPVWMVVHXPRV
      UAVWQUWRVVIUIVUAVWOUWQUEVXCWGXQXRUUAXQVUAUWRUWSVWNVUAUWSVUAUWQVUFVAUNXSXO
      XTUYAVVPVVAVVRUXRJUYAVVPVVAOJFVVAUYAVVNVVAVVOOJUYAVVNUXJUXBHFVVAUYAVVMUXB
      UXJHUYAVVMUWOIEZUXBUYAVVLUWOIUYAUWONLVWTVVLUWOPUYAUWOUYLUUBXKUWODXLXMWGUY
      AUYHVXDUXBPUYIUWNUUERYAXQUYAUXJUXBUYPUYJXSYAVVOOPUYAOUUFUUCYCYBUYAVVAVVDU
      UDYAUYAVVEUWPVVQUXQBVWKVUAVVGUXPUXOHVUAVVFUWQIVXBWGXQXTYBUUGVSUUHVSUYAUYE
      UXLUXSJUYAUXBNLUXKNLZUYGUYEUXLPUYJUYSVUTUXBUXKUWNUUIVOVSUUJUUKMACUXLUXSYD
      MUYAUKZUXHUXKHYEVXFUXRUWNKYEMACUXHUGZACUXKUGZHUULFZACUXLUGUHMACUXHUXKHVXG
      VXHYDYDNCYDLMCQUUMUUNUUPYCVXFUXBUWNKYEUYAVXEMUYSVGMVXGYFMVXHYFUUOMVXGUHLV
      XHUHLZVXIUHLAYGMVXHOYHTVXJMACDUWNKFZUXKODMUUQMYIZVWTACVXKUGOYHTMXKDAUURUU
      SUYAVXKQLMUYAVXKUWNYJYKZVGUYAUXKQLMUYAUXJUXCUYOUYQVKZVGUYAUXKVXKSTMDUWNST
      ZUYAUXKUWNDUIFZGEZUXCJFVXKVXNUYAVXQUXCUYAVXPUYAVUGVXPCLVHUWNDVIVJZVAZUYQV
      KVXMUYAUXJVXQUXCUYOVXSUYQUYAUXIVXPSTUXJVXQSTUYAUWOUWNDUYAUWOUYLXHUYIUYAYI
      UYAUYHUWOUWNSTUYIUWNUUTRUVAUYAUXIVXPUYNVXRUVBYLUVCUWNYOUVDYMUYAOUXKSTZMVX
      OUYAVXTUXCUXJSTZUYAUWNUXISTZVYAUYAUYHVYBUYIUWNUVERUYAUXICLVYBVYAWLUYNUWNU
      XIYNYPYLUYAUXJUXCUYOUYQYQYRYMUVGOVXHUVFRVXGVXHUVHUVIUVJMAUXQBNMVUDUKVUBVU
      CMUQCUWQUQCUVKMUAUQCVVSUVQUVLYCZUVMVURRMBUQCUXQVYCMBCUXPUWQKFZUXQDQVXLBCV
      YDUGUHLMBYGYCVUBVYDQLZMVUNVUBVYEVUPUXPUWQUVNUVOZVGVUBVUCMVURVGVUBUXQYSEZV
      YDYSEZSTMDUWQSTVUBUXQDUWQKFZUXPHFZVYGVYHSVUBUXOVYIUXPVULVUBVYIUWQYJYKVUPV
      UBVUMOUXPSTZVUOUWQUVPRZUWQYOUVRVUBUXQVUQVUBUXOUXPVULVUPVUBOUXOSTUWSUXNSTZ
      VUBUWQUXMSTZVYMVUBUWQVUOUVSVUBVUHVYNVYMWLVUIUWQUXMYNYPYLVUBUXNUWSVUJVUKYQ
      YRVYLUVTYTVUBVYHVYDVYJVUBVYDVYFVUBVUNVYKVUMOUWQWJTUKOVYDSTVUPVYLUWQUWAUXP
      UWQUWBUWCYTVUBUXPUWQVUBUXPVUPUNUWQUWDUWQUWGUWEYAUWFYMUWHUWIUWJUWKUWLUWM
      $.

    $( Selberg's symmetry formula, using the second Chebyshev function.
       Equation 10.4.14 of [Shapiro], p. 420.  (Contributed by Mario Carneiro,
       23-May-2016.) $)
    selberg2 $p |- ( x e. RR+ |->
      ( ( ( ( ( psi ` x ) x. ( log ` x ) ) +
      sum_ n e. ( 1 ... ( |_ ` x ) ) ( ( Lam ` n ) x. ( psi ` ( x / n ) ) ) )
        / x ) - ( 2 x. ( log ` x ) ) ) ) e. O(1) $=
      ( crp cfv co cdiv caddc cmul csu cmin cmpt co1 wtru cvv wcel cr syl recnd
      mulcld cc c1 cv cfl cfz cvma clog cchp c2 cof wceq rpssre ssexi a1i ovexd
      wa eqidd offval2 mptru fzfid cn elfznn adantl vmacl nnrpd relogcl nndivre
      reex rpre syl2an chpcl addcld fsumcl rpcn rpne0 divcld 2cn sylancr subcld
      mulcl sub32d cc0 rpcnne0 divsubdir syl3anc adddid sumeq2dv fsumadd oveq1d
      wne eqtrd pnncand addcomd 3eqtrd mpteq2ia eqtri selberg selberg2lem o1sub
      eqtr3d mp2an eqeltrri ) ACUAAUBZUCDZUDEZBUBZUEDZXEUFDZXBXEFEZUGDZGEZHEZBI
      ZXBFEZUHXBUFDZHEZJEZKZACXDXFXGHEZBIZXBUGDZXNHEZJEZXBFEZKZJUIEZACYAXDXFXIH
      EZBIZGEZXBFEZXOJEZKZLYEACXPYCJEZKZYKYEYMUJMACXPYCJXQYDNNNCNOMCPVGUKULUMMX
      BCOZUOZXMXOJUNYOYBXBFUNMXQUPMYDUPUQURACYLYJYNYLXMYCJEZXOJEYJYNXMXOYCYNXLX
      BYNXDXKBYNUAXCUSZYNXEXDOZUOZXFXJYSXFYSXEUTOZXFPOYRYTYNXEXCVAZVBZXEVCQRZYS
      XGXIYSXGYSXECOXGPOYSXEUUBVDXEVEQRZYSXIYSXHPOZXIPOYNXBPOZYTUUEYRXBVHZUUAXB
      XEVFVIXHVJQRZVKSVLZXBVMZXBVNZVOYNUHTOXNTOXOTOVPYNXNXBVERZUHXNVSVQYNYBXBYN
      XSYAYNXDXRBYQYSXFXGUUCUUDSZVLZYNXTXNYNXTYNUUFXTPOUUGXBVJQRUULSZVRZUUJUUKV
      OVTYNYPYIXOJYNXLYBJEZXBFEZYPYIYNXLTOYBTOXBTOXBWAWIUOUURYPUJUUIUUPXBWBXLYB
      XBWCWDYNUUQYHXBFYNUUQXSYGGEZYBJEYGYAGEYHYNXLUUSYBJYNXLXDXRYFGEZBIUUSYNXDX
      KUUTBYSXFXGXIUUCUUDUUHWEWFYNXDXRYFBYQUUMYSXFXIUUCUUHSZWGWJWHYNXSYGYAUUNYN
      XDYFBYQUVAVLZUUOWKYNYGYAUVBUUOWLWMWHWSWHWJWNWOXQLOYDLOYELOABWPABWQXQYDWRW
      TXA $.

    $( Convert eventual boundedness in ~ selberg2 to boundedness on any
       interval ` [ A , +oo ) ` .  (We have to bound away from zero because the
       log terms diverge at zero.)  (Contributed by Mario Carneiro,
       25-May-2016.) $)
    selberg2b $p |- E. c e. RR+ A. x e. ( 1 [,) +oo )
      ( abs ` ( ( ( ( ( psi ` x ) x. ( log ` x ) ) +
      sum_ n e. ( 1 ... ( |_ ` x ) ) ( ( Lam ` n ) x. ( psi ` ( x / n ) ) ) )
        / x ) - ( 2 x. ( log ` x ) ) ) ) <_ c $=
      ( cfv cmul co c1 c2 cle wbr crp wtru cr wcel wa a1i syl remulcld readdcld
      adantr vy cchp clog cfl cfz cvma cdiv caddc cmin cabs cpnf cico wral wrex
      cv csu wb 1re elicopnf mp1i simprbda ex ssrdv chpcl 1rp simplbda relogcld
      rpgecld fzfid cn elfznn vmacl nndivred fsumrecl rerpdivcld resubcld recnd
      adantl 2re co1 selberg2 o1res2 ad2antrl simprl simprr clt abscld ad2ant2r
      abs2dif2d simprll ltled cc0 chpge0 logge0d mulge0d vmage0 fsumge0 addge0d
      cmpt divge0d absidd chpwordi syl3anc logled mpbid lemul12ad cuz wss fzss2
      flword2 fsumless nnrpd lediv1dd lemul2ad fsumle le2addd lediv12ad breqtrd
      letrd div1d eqbrtrd 2rp rpge0 o1bddrp mptru ) AUOZUBDZYFUCDZEFZGYFUDDZUEF
      ZBUOZUFDZYFYLUGFZUBDZEFZBUPZUHFZYFUGFZHYHEFZUIFZUJDZCUOIJAGUKULFZUMCKUNLA
      UAUUCUUAGCUAUOZUBDZUUDUCDZEFZGUUDUDDZUEFZYMUUDYLUGFZUBDZEFZBUPZUHFZHUUFEF
      ZUHFZLAUUCMLYFUUCNZYFMNZLUUQUURGYFIJZGMNZUUQUURUUSOUQLURGYFUSUTZVAZVBVCUU
      TLURPLUUQOZUUAUVCYSYTUVCYRYFUVCYIYQUVCYGYHUVCUURYGMNZUVBYFVDZQUVCYFUVCYFG
      UVBGKNZUVCVEPLUUQUURUUSUVAVFZVHZVGZRUVCYKYPBUVCGYJVIZUVCYLYKNZOZYMYOUVLYL
      VJNZYMMNZUVKUVMUVCYLYJVKVRZYLVLZQZUVLYNMNZYOMNZUVLYFYLUVCUURUVKUVBTUVOVMZ
      YNVDZQZRZVNZSUVHVOZUVCHYHHMNZUVCVSPUVIRZVPZVQLAUUCKUUALAUUCKLUUQYFKNZUVHV
      BVCAKUUAWSVTNLABWAPWBLUUDMNZGUUDIJZOZOZUUNUUOUWMUUGUUMUWMUUEUUFUWJUUEMNZL
      UWKUUDVDZWCUWMUUDUWMUUDGLUWJUWKWDZUVFUWMVEPLUWJUWKWEVHVGZRUWMUUIUULBUWMGU
      UHVIUWMYLUUINZOZYMUUKUWSUVMUVNUWRUVMUWMYLUUHVKZVRZUVPQUWSUUJMNZUUKMNZUWSU
      UDYLUWMUWJUWRUWPTUXAVMUUJVDZQRVNZSUWMHUUFUWFUWMVSPUWQRSZUVCUWLYFUUDWFJZOZ
      OZUUBYSUJDZYTUJDZUHFUUPUXIUUAUXIUUAUVCUUAMNUXHUWHTVQWGUXIUXJUXKUXIYSUXIYS
      UVCYSMNUXHUWETZVQZWGZUXIYTUXIYTUVCYTMNUXHUWGTZVQZWGZSLUWLUUPMNUUQUXGUXFWH
      UXIYSYTUXMUXPWIUXIUXJUXKUUNUUOUXNUXQUXIUUGUUMUXIUUEUUFUXIUWJUWNUVCUWJUWKU
      XGWJZUWOQZUXIUUDUXIUUDYFUXRUVCUWIUXHUVHTZUXIYFUUDUVCUURUXHUVBTZUXRUVCUWLU
      XGWEWKZVHZVGZRZLUWLUUMMNUUQUXGUXEWHZSZUXIHUUFUWFUXIVSPZUYDRUXIUXJYSUUNIUX
      IYSUXLUXIYRYFUXIYIYQUXIYGYHUXIUURUVDUYAUVEQZUXIYFUXTVGZRZUVCYQMNUXHUWDTZS
      ZUXTUXIYIYQUYKUYLUXIYGYHUYIUYJUXIUURWLYGIJUYAYFWMQZUXIYFUYAUVCUUSUXHUVGTZ
      WNZWOUVCWLYQIJUXHUVCYKYPBUVJUWCUVLYMYOUVQUWBUVLUVMWLYMIJZUVOYLWPZQUVLUVRW
      LYOIJZUVTYNWMZQWOWQTWRZWTXAUXIYSUUNGUGFUUNIUXIYRUUNGYFUYMUYGUVFUXIVEPUYAV
      UAUXIYIYQUUGUUMUYKUYLUYEUYFUXIYGUUEYHUUFUYIUXSUYJUYDUYNUYPUXIUURUWJYFUUDI
      JZYGUUEIJUYAUXRUYBYFUUDXBXCUXIVUBYHUUFIJUYBUXIYFUUDUXTUYCXDXEZXFUXIYQUUIY
      PBUPUUMUYLUXIUUIYPBUXIGUUHVIZUXIUWROZYMYOVUEUVMUVNUWRUVMUXIUWTVRZUVPQZVUE
      UVRUVSVUEYFYLUXIUURUWRUYATZVUFVMZUWAQZRZVNUYFUXIUUIYPYKBVUDVUKVUEYMYOVUGV
      UJVUEUVMUYQVUFUYRQZVUEUVRUYSVUIUYTQWOUXIUUHYJXGDNZYKUUIXHUXIUURUWJVUBVUMU
      YAUXRUYBYFUUDXJXCYJGUUHXIQXKUXIUUIYPUULBVUDVUKVUEYMUUKVUGVUEUXBUXCVUEUUDY
      LUXIUWJUWRUXRTZVUFVMZUXDQZRVUEYOUUKYMVUJVUPVUGVULVUEUVRUXBYNUUJIJYOUUKIJV
      UIVUOVUEYFUUDYLVUHVUNVUEYLVUFXLUXIVUBUWRUYBTXMYNUUJXBXCXNXOXSXPUYOXQUXIUU
      NUXIUUNUYGVQXTXRYAUXIUXKYTUUOIUXIYTUXOUXIHYHUYHUYJHKNWLHIJUXIYBHYCUTZUYPW
      OXAUXIYHUUFHUYJUYDUYHVUQVUCXNYAXPXSYDYE $.
  $}

  ${
    $d c m n x y z C $.  $d n x y ph $.  $d n z X $.  $d n z Y $.  $d c A $.
    $d z B $.
    chpdifbnd.a $e |- ( ph -> A e. RR+ ) $.
    chpdifbnd.1 $e |- ( ph -> 1 <_ A ) $.
    chpdifbnd.b $e |- ( ph -> B e. RR+ ) $.
    chpdifbnd.2 $e |- ( ph -> A. z e. ( 1 [,) +oo )
      ( abs ` ( ( ( ( ( psi ` z ) x. ( log ` z ) ) +
      sum_ m e. ( 1 ... ( |_ ` z ) ) ( ( Lam ` m ) x. ( psi ` ( z / m ) ) ) )
        / z ) - ( 2 x. ( log ` z ) ) ) ) <_ B ) $.
    chpdifbnd.c $e |- C = ( ( B x. ( A + 1 ) ) +
      ( ( 2 x. A ) x. ( log ` A ) ) ) $.
    ${
      chpdifbnd.x $e |- ( ph -> X e. ( 1 (,) +oo ) ) $.
      chpdifbnd.y $e |- ( ph -> Y e. ( X [,] ( A x. X ) ) ) $.
      $( Lemma for ~ chpdifbnd .  (Contributed by Mario Carneiro,
         25-May-2016.) $)
      chpdifbndlem1 $p |- ( ph -> ( ( psi ` Y ) - ( psi ` X ) ) <_
          ( ( 2 x. ( Y - X ) ) + ( C x. ( X / ( log ` X ) ) ) ) ) $=
        ( co cmul caddc cle wcel vn cchp cfv cmin c2 clog cdiv wbr cr w3a wb c1
        cicc cpnf cioo ioossre sselid rpred remulcld elicc2 syl2anc mpbid chpcl
        simp1d syl resubcld cc0 0red 1re a1i clt wa eliooord simpld lttrd elrpd
        0lt1 relogcld 2re remulcl sylancr readdcld peano2re eqeltrid cfl cfz cv
        cvma csu fzfid cuz simp2d flword2 syl3anc fzss2 sselda cn elfznn adantl
        wss nndivre syl2an fsumrecl chpge0 logled lemul2ad mulge0d adantr letrd
        le2addd rerpdivcld cabs recnd wceq fveq2 oveq12d fveq2d oveq2d fvoveq1d
        simpl sumeq12rdv syl5eq breq1d elicopnf ax-mp sylanbrc rspcdva leadd2dd
        id mpbird subdird eqtr4d adddid oveq1d adddird 3eqtr4d breqtrrd mulassd
        eqtrd crp vmacl syldan rpmulcld vmage0 fsumless nnrpd lediv1dd chpwordi
        ltletrd fsumle abscld leabsd cico oveq2 cbvsumv lesubaddd simp3d pm3.2i
        2pos lemul2 ledivmul2d absdifled lemuldivd le2subd pnpcan2d cneg negcld
        addsub4d relogmuld comraddd add12d negsubd mul32d subdid add32d subnegd
        ltled 2cnd 3brtr3d leadd1dd adddirp1d lemul2d 0le2 1rp logleb eqbrtrrid
        log1 mul4d oveq1i rplogcld rpne0d divcan1d lemul1d ) AHUBUCZGUBUCZUDPZU
        EHGUDPZQPZEGGUFUCZUGPZQPZRPZSUHUWPUWSQPZUXBUWSQPZSUHAUXCUWRUWSQPZEGQPZR
        PZUXDSAUXCUXEDHGRPZQPZUECUFUCZQPZHQPZRPZRPZUXGAUWPUWSAUWNUWOAHUITZUWNUI
        TAUXOGHSUHZHCGQPZSUHZAHGUXQUMPTZUXOUXPUXRUJZOAGUITZUXQUITUXSUXTUKAULUNU
        OPZUIGULUNUPNUQZACGACIURZUYCUSZGUXQHUTVAVBZVDZHVCVEZAUYAUWOUITUYCGVCVEZ
        VFZAGAGUYCAVGULGAVHZULUITZAVIVJZUYCVGULVKUHAVQVJAULGVKUHZGUNVKUHZAGUYBT
        UYNUYOVLNGULUNVMVEVNZVOZVPZVRZUSAUXEUXMAUWRUWSAUEUITZUWQUITUWRUITVSAHGU
        YGUYCVFZUEUWQVTWAZUYSUSZAUXIUXLADUXHADKURZAHGUYGUYCWBZUSZAUXKHAUYTUXJUI
        TUXKUITVSACIVRZUEUXJVTWAZUYGUSZWBZWBAUXEUXFVUCAEGAEDCULRPZQPZUECQPZUXJQ
        PZRPZUIMAVULVUNADVUKVUDACUITZVUKUITUYDCWCVEZUSZAVUMUXJAUYTVUPVUMUITVSUY
        DUECVTWAZVUGUSZWBWDZUYCUSZWBAUWNUWSQPZULGWEUCZWFPZUAWGZWHUCZGVVFUGPZUBU
        CZQPZUAWIZRPZUWOUWSQPZVVKRPZUDPZDUEUXQUFUCZQPZRPZHQPZUEUWSQPZDUDPZGQPZU
        DPZUXCUXNSAVVLVWBVVSVVNAVVCVVKAUWNUWSUYHUYSUSZAVVEVVJUAAULVVDWJAVVFVVET
        ZVVFULHWEUCZWFPZTZVVJUITAVVEVWGVVFAVWFVVDWKUCTZVVEVWGWTAUYAUXOUXPVWIUYC
        UYGAUXOUXPUXRUYFWLZGHWMWNVVDULVWFWOVEZWPAVWHVLZVVGVVIVWLVVFWQTZVVGUITVW
        HVWMAVVFVWFWRZWSZVVFUUAVEZVWLVVHUITZVVIUITAUYAVWMVWQVWHUYCVWNGVVFXAXBZV
        VHVCVEZUSZUUBXCZWBZAVWAGAVVTDAUYTUWSUITVVTUITVSUYSUEUWSVTWAZVUDVFZUYCUS
        AVVRHADVVQVUDAUYTVVPUITZVVQUITVSAUXQACGIUYRUUCZVRZUEVVPVTWAZWBZUYGUSZAV
        VMVVKAUWOUWSUYIUYSUSZVXAWBZAVVLUWNHUFUCZQPZVWGVVGHVVFUGPZUBUCZQPZUAWIZR
        PZVVSVXBAVXNVXRAUWNVXMUYHAHAHUYGAVGGHUYKUYCUYGUYQVWJUUIVPZVRZUSZAVWGVXQ
        UAAULVWFWJZVWLVVGVXPVWPVWLVXOUITZVXPUITAUXOVWMVYDVWHUYGVWNHVVFXAXBZVXOV
        CVEZUSZXCZWBZVXJAVVCVVKVXNVXRVWDVXAVYBVYHAUWSVXMUWNUYSVYAUYHAUXOVGUWNSU
        HUYGHXDVEAUXPUWSVXMSUHVWJAGHUYRVXTXEVBXFAVVKVWGVVJUAWIVXRVXAAVWGVVJUAVY
        CVWTXCVYHAVWGVVJVVEUAVYCVWTVWLVVGVVIVWPVWSVWLVWMVGVVGSUHVWOVVFUUDVEZVWL
        VWQVGVVISUHVWRVVHXDVEXGVWKUUEAVWGVVJVXQUAVYCVWTVYGVWLVVIVXPVVGVWSVYFVWP
        VYJVWLVWQVYDVVHVXOSUHVVIVXPSUHVWRVYEVWLGHVVFAUYAVWHUYCXHAUXOVWHUYGXHVWL
        VVFVWOUUFAUXPVWHVWJXHUUGVVHVXOUUHWNXFUUJXIXJAVXSHUGPZVVRSUHVXSVVSSUHAVY
        KDUEVXMQPZRPZVVRAVXSHVYIVXTXKZADVYLVUDAUYTVXMUITZVYLUITVSVYAUEVXMVTWAZW
        BVXIAVYKVYLUDPZDSUHVYKVYMSUHAVYQVYQXLUCZDAVYKVYLVYNVYPVFZAVYQAVYQVYSXMU
        UKVUDAVYQVYSUULABWGZUBUCZVYTUFUCZQPZULVYTWEUCZWFPZFWGZWHUCZVYTWUFUGPZUB
        UCZQPZFWIZRPZVYTUGPZUEWUBQPZUDPZXLUCZDSUHZVYRDSUHBULUNUUMPZHVYTHXNZWUPV
        YRDSWUSWUOVYQXLWUSWUMVYKWUNVYLUDWUSWULVXSVYTHUGWUSWUCVXNWUKVXRRWUSWUAUW
        NWUBVXMQVYTHUBXOVYTHUFXOZXPWUSWUKWUEVVGVYTVVFUGPZUBUCZQPZUAWIZVXRWUEWUJ
        WVCFUAWUFVVFXNZWUGVVGWUIWVBQWUFVVFWHXOWVEWUHWVAUBWUFVVFVYTUGUUNXQXPUUOZ
        WUSWUEVWGWVCVXQUAWUSWUDVWFULWFVYTHWEXOXRWUSVWHVLZWVBVXPVVGQWVGVYTHVVFUB
        UGWUSVWHXTXSXRYAYBXPWUSYIXPWUSWUBVXMUEQWUTXRXPXQYCLAUXOULHSUHZHWURTZUYG
        AULGHUYMUYCUYGAULGUYMUYCUYPUVQZVWJXIUYLWVIUXOWVHVLUKVIULHYDYEYFYGXIAVYK
        VYLDVYNVYPVUDUUPVBAVYLVVQDVYPVXHVUDAVXMVVPSUHZVYLVVQSUHZAUXRWVKAUXOUXPU
        XRUYFUUQZAHUXQVXTVXFXEVBAVYOVXEUYTVGUEVKUHZVLZWVKWVLUKVYAVXGWVOAUYTWVNV
        SUUSUURVJVXMVVPUEUUTWNVBYHXIAVXSVVRHVYIVXIVXTUVAVBXIAVWBVVNSUHVWAVVNGUG
        PZSUHZAWVQWVPVVTDRPSUHZAWVPVVTUDPZXLUCZDSUHZWVQWVRVLAWUQWWABWURGVYTGXNZ
        WUPWVTDSWWBWUOWVSXLWWBWUMWVPWUNVVTUDWWBWULVVNVYTGUGWWBWUCVVMWUKVVKRWWBW
        UAUWOWUBUWSQVYTGUBXOVYTGUFXOZXPWWBWUKWVDVVKWVFWWBWUEVVEWVCVVJUAWWBWUDVV
        DULWFVYTGWEXOXRWWBVWEVLZWVBVVIVVGQWWDVYTGVVFUBUGWWBVWEXTXSXRYAYBXPWWBYI
        XPWWBWUBUWSUEQWWCXRXPXQYCLAUYAULGSUHZGWURTZUYCWVJUYLWWFUYAWWEVLUKVIULGY
        DYEYFYGAWVPVVTDAVVNGVXLUYRXKVXCVUDUVBVBVNAVWAVVNGVXDVXLUYRUVCYJUVDAVVOV
        VCVVMUDPUXCAVVCVVMVVKAVVCVWDXMAVVMVXKXMAVVKVXAXMUVEAUWNUWOUWSAUWNUYHXMA
        UWOUYIXMAUWSUYSXMZYKYLAVVTHQPZDUXKRPZHQPZRPZVVTGQPZDGQPZUVFZRPZUDPWWHWW
        LUDPZWWJWWNUDPZRPVWCUXNAWWHWWJWWLWWNAWWHAVVTHVXCUYGUSXMAWWJAWWIHADUXKVU
        DVUHWBZUYGUSXMZAWWLAVVTGVXCUYCUSXMZAWWMAWWMADGVUDUYCUSXMZUVGUVHAVVSWWKV
        WBWWOUDAVVSVVTWWIRPZHQPWWKAVVRWXBHQAVVRDVVTUXKRPZRPWXBAVVQWXCDRAVVQUEUW
        SUXJRPZQPWXCAVVPWXDUEQAVVPUXJUWSAUXJVUGXMZWWGACGIUYRUVIUVJXRAUEUWSUXJAU
        VRZWWGWXEYMYSXRADVVTUXKADVUDXMZAVVTVXCXMZAUXKVUHXMZUVKYSYNAVVTWWIHWXHAW
        WIWWRXMAHUYGXMZYOYSAVWBWWLWWMUDPWWOAVVTDGWXHWXGAGUYCXMZYKAWWLWWMWWTWXAU
        VLYLXPAUXEWWPUXMWWQRAUXEVVTUWQQPWWPAUEUWQUWSWXFAUWQVUAXMWWGUVMAVVTHGWXH
        WXJWXKUVNYSAUXMWWJWWMRPZWWQADHQPZWWMRPZUXLRPWXMUXLRPZWWMRPUXMWXLAWXMWWM
        UXLAWXMADHVUDUYGUSXMWXAAUXLVUIXMUVOAUXIWXNUXLRADHGWXGWXJWXKYMYNAWWJWXOW
        WMRADUXKHWXGWXIWXJYOYNYPAWWJWWMWWSWXAUVPYLXPYPUVSAUXMUXFUXEVUJVVBVUCAUX
        MVULGQPZVUNGQPZRPZUXFSAUXIUXLWXPWXQVUFVUIAVULGVURUYCUSAVUNGVUTUYCUSAUXI
        DVUKGQPZQPZWXPSAUXHWXSSUHUXIWXTSUHAUXHUXQGRPWXSSAHUXQGUYGUYEUYCWVMUVTAC
        GACUYDXMZWXKUWAYQAUXHWXSDVUEAVUKGVUQUYCUSKUWBVBADVUKGWXGAVUKVUQXMWXKYRY
        QAUXLUXKUXQQPZWXQSAHUXQUXKUYGUYEVUHAUEUXJUYTAVSVJVUGVGUESUHAUWCVJAVGULU
        FUCZUXJSUWGAULCSUHZWYCUXJSUHZJAULYTTCYTTWYDWYEUKUWDIULCUWEWAVBUWFXGWVMX
        FAWXQVUMUXJGQPQPWYBAVUMUXJGAVUMVUSXMWXEWXKYRAUECUXJGWXFWYAWXEWXKUWHYSYQ
        XJAUXFVUOGQPWXREVUOGQMUWIAVULVUNGAVULVURXMAVUNVUTXMWXKYOYBYQYHXIAUXDUXE
        UXAUWSQPZRPUXGAUWRUXAUWSAUWRVUBXMAUXAAEUWTVVAAGUWSUYCAGUYCUYPUWJZXKZUSZ
        XMWWGYOAWYFUXFUXERAWYFEUWTUWSQPZQPUXFAEUWTUWSAEVVAXMAUWTWYHXMWWGYRAWYJG
        EQAGUWSWXKWWGAUWSWYGUWKUWLXRYSXRYSYQAUWPUXBUWSUYJAUWRUXAVUBWYIWBWYGUWMY
        J $.
    $}

    $( Lemma for ~ chpdifbnd .  (Contributed by Mario Carneiro,
       25-May-2016.) $)
    chpdifbndlem2 $p |- ( ph ->
      E. c e. RR+ A. x e. ( 1 (,) +oo ) A. y e. ( x [,] ( A x. x ) )
          ( ( psi ` y ) - ( psi ` x ) ) <_
        ( ( 2 x. ( y - x ) ) + ( c x. ( x / ( log ` x ) ) ) ) ) $=
      ( crp wcel cfv co cmul cle cv cchp cmin c2 clog cdiv caddc cicc wral cpnf
      wbr cioo wrex 1rp rpaddcl sylancl rpmulcld rpred rpmulcl sylancr relogcld
      c1 2rp remulcld readdcld rpgt0d cr cc0 wa rprege0d logleb mpbid eqbrtrrid
      log1 wb mulge0 syl12anc addgtge0d elrpd eqeltrid adantr cfl cfz cvma cabs
      csu cico simprl simprr chpdifbndlem1 ralrimivva wceq oveq2d breq2d rspcev
      oveq1 2ralbidv syl2anc ) AGOPCUAZUBQBUAZUBQUCRZUDWSWTUCRSRZGWTWTUEQUFRZSR
      ZUGRZTUKZCWTEWTSRUHRZUIBVBUJULRZUIZXAXBIUAZXCSRZUGRZTUKZCXGUIBXHUIZIOUMAG
      FEVBUGRZSRZUDESRZEUEQZSRZUGRZONAXTAXPXSAXPAFXOLAEOPZVBOPZXOOPJUNEVBUOUPUQ
      ZURZAXQXRAXQAUDOPYAXQOPVCJUDEUSUTZURAEJVAZVDZVEAXPXSYDYGAXPYCVFAXQVGPVHXQ
      TUKVIXRVGPVHXRTUKVHXSTUKAXQYEVJYFAVHVBUEQZXRTVNAVBETUKZYHXRTUKZKAYBYAYIYJ
      VOUNJVBEVKUTVLVMXQXRVPVQVRVSVTAXFBCXHXGAWTXHPZWSXGPZVIZVIDEFGHWTWSAYAYMJW
      AAYIYMKWAAFOPYMLWAADUAZUBQYNUEQZSRVBYNWBQWCRHUAZWDQYNYPUFRUBQSRHWFUGRYNUF
      RUDYOSRUCRWEQFTUKDVBUJWGRUIYMMWANAYKYLWHAYKYLWIWJWKXNXIIGOXJGWLZXMXFBCXHX
      GYQXLXEXATYQXKXDXBUGXJGXCSWPWMWNWQWOWR $.
  $}

  ${
    $d b c n x y z A $.
    $( A bound on the difference of nearby ` psi ` values.  Theorem 10.5.2 of
       [Shapiro], p. 427.  (Contributed by Mario Carneiro, 25-May-2016.) $)
    chpdifbnd $p |- ( ( A e. RR /\ 1 <_ A ) ->
      E. c e. RR+ A. x e. ( 1 (,) +oo ) A. y e. ( x [,] ( A x. x ) )
          ( ( psi ` y ) - ( psi ` x ) ) <_
        ( ( 2 x. ( y - x ) ) + ( c x. ( x / ( log ` x ) ) ) ) ) $=
      ( vz vn vb wcel c1 cle wbr wa cv cchp cfv clog cmul co caddc crp cfl cvma
      cr cfz cdiv csu c2 cmin cabs cpnf cico wral wrex cicc selberg2b simpl cc0
      cioo 0red 1red clt 0lt1 a1i simpr ltletrd elrpd adantr simplr simprl eqid
      simprr chpdifbndlem2 rexlimdvaa mpi ) CUCHZICJKZLZEMZNOVRPOZQRIVRUAOUDRFM
      ZUBOVRVTUERNOQRFUFSRVRUERUGVSQRUHRUIOGMZJKEIUJUKRULZGTUMBMZNOAMZNOUHRUGWC
      WDUHRQRDMWDWDPOUERQRSRJKBWDCWDQRUNRULAIUJURRULDTUMZEFGUOVQWBWEGTVQWATHZWB
      LZLABECWAWACISRQRUGCQRCPOQRSRZFDVQCTHWGVQCVOVPUPZVQUQICVQUSVQUTWIUQIVAKVQ
      VBVCVOVPVDVEVFVGVOVPWGVHVQWFWBVIVQWFWBVKWHVJVLVMVN $.
  $}

  ${
    $d i m n N $.
    $( A bound on a sum of logs, used in ~ pntlemk .  This is not as precise as
       ~ logdivsum in its asymptotic behavior, but it is valid for all ` N `
       and does not require a limit value.  (Contributed by Mario Carneiro,
       13-Apr-2016.) $)
    logdivbnd $p |- ( N e. NN -> sum_ n e. ( 1 ... N ) ( ( log ` n ) / n ) <_
      ( ( ( ( log ` N ) + 1 ) ^ 2 ) / 2 ) ) $=
      ( vi wcel c2 c1 cfz co cfv cdiv csu cmul cle wbr cr recnd cmin cc0 oveq2d
      wceq vm cn cv clog caddc cexp 2re fzfid cuz elfzuz adantl eleqtrrdi nnrpd
      nnuz relogcld nndivred fsumrecl remulcl sylancr nnrecred resqcld peano2re
      wa elfznn nnrp syl 2timesd cem cicc nncnd ax-1cn npcan sylancl fveq2d cn0
      nnm1nn0 harmonicbnd3 3syl eqeltrrd 0re emre elicc2i simp2bi subge0d mpbid
      cc lediv1dd rpreccld rpge0d wss cz elfzelz peano2zm nnred lem1d syl3anbrc
      eluz2 fzss2 fsumless wb nngt0d lediv1 syl112anc letrd fsumle le2addd cfzo
      clt oveq1 sumeq1d jca c0 eqtrdi fz10 sum0 peano2nn eleqtrdi fsumparts nnz
      1m1e0 fzval3 eqcomd pncan oveq2 fsumm1 mvrladdd nnne0d divrecd sumeq12rdv
      eqtrd eqtr4d nncn oveq12d sqvald 0cn mul01i a1i sqcld subid1d crp subaddd
      divrec2d 3eqtr3rd breqtrd eqbrtrd flid nnre harmonicubnd syl2anc eqbrtrrd
      cfl nnge1 fsumge0 log1 1rp logleb eqbrtrrid lep1d le2sqd 2pos lemuldiv2 )
      BUBDZEFBGHZAUCZUDIZUVDJHZAKZLHZBUDIZFUEHZEUFHZMNZUVGUVKEJHMNZUVBUVHUVCFCU
      CZJHZCKZEUFHZUVKUVBEODZUVGODZUVHODUGUVBUVCUVFAUVBFBUHZUVBUVDUVCDZVCZUVEUV
      DUWBUVDUWBUVDUWBUVDFUIIZUBUWAUVDUWCDUVBUVDFBUJUKZUNULZUMZUOZUWEUPZUQZEUVG
      URUSUVBUVPUVBUVCUVOCUVTUVBUVNUVCDZVCZUVNUWJUVNUBDZUVBUVNBVDUKZUTZUQZVAUVB
      UVJUVBUVIODUVJODUVBBBVEZUOZUVIVBVFZVAZUVBUVHUVGUVGUEHZUVQMUVBUVGUVBUVGUWI
      PVGUVBUWTUVCFUVDGHZUVOCKZUVDJHZAKZUVCFUVDFQHZGHZUVOCKZUVDJHZAKZUEHZUVQMUV
      BUVGUVGUXDUXIUWIUWIUVBUVCUXCAUVTUWBUXBUVDUWBUXAUVOCUWBFUVDUHZUWBUVNUXADZV
      CZUVNUXLUWLUWBUVNUVDVDUKZUTZUQZUWEUPZUQZUVBUVCUXHAUVTUWBUXGUVDUWBUXFUVOCU
      WBFUXEUHUWBUVNUXFDZVCUVNUXSUWLUWBUVNUXEVDUKUTUQZUWEUPZUQZUVBUVCUVFUXCAUVT
      UWHUXQUWBUVFUXHUXCUWHUYAUXQUWBUVEUXGUVDUWGUXTUWFUWBRUXGUVEQHZMNZUVEUXGMNU
      WBUYCRVHVIHZDZUYDUWBUXGUXEFUEHZUDIZQHZUYCUYEUWBUYHUVEUXGQUWBUYGUVDUDUWBUV
      DWFDZFWFDZUYGUVDTUWBUVDUWEVJZVKUVDFVLVMVNSUWBUVDUBDUXEVODUYIUYEDUWEUVDVPC
      UXEVQVRVSUYFUYCODUYDUYCVHMNRVHUYCVTWAWBWCVFUWBUXGUVEUXTUWGWDWEWGZUWBUXGUX
      BMNZUXHUXCMNZUWBUXAUVOUXFCUXKUXOUXMUVOUXMUVNUXMUVNUXNUMWHWIUWBUVDUXEUIIDZ
      UXFUXAWJUWBUXEWKDZUVDWKDZUXEUVDMNUYPUWBUYRUYQUWAUYRUVBUVDFBWLUKZUVDWMVFUY
      SUWBUVDUWBUVDUWEWNZWOUXEUVDWQWPUXEFUVDWRVFWSUWBUXGODUXBODUVDODRUVDXHNUYNU
      YOWTUXTUXPUYTUWBUVDUWEXAUXGUXBUVDXBXCWEXDXEUVBUVCUVFUXHAUVTUWHUYAUYMXEXFU
      VBUVQUXDQHZUXITUXJUVQTUVBFBFUEHZXGHZUXGFUVDFUEHZFQHZGHZUVOCKZUXGQHZLHZAKF
      VUBFQHZGHZUVOCKZVULLHZRRLHZQHZVUCVUHVUGLHZAKZQHUXIVUAUVBFUAUCZFQHZGHZUVOC
      KZUXGVUGRAUAVULFVUBVVAUXGVUGRVULVURUVDTZVVAUXGTZVVCVVBVUTUXFUVOCVVBVUSUXE
      FGVURUVDFQXISXJZVVDXKVURVUDTZVVAVUGTZVVFVVEVUTVUFUVOCVVEVUSVUEFGVURVUDFQX
      ISXJZVVGXKVURFTZVVARTZVVIVVHVVAXLUVOCKRVVHVUTXLUVOCVVHVUTFRGHXLVVHVUSRFGV
      VHVUSFFQHRVURFFQXIXTXMSXNXMXJUVOCXOXMZVVJXKVURVUBTZVVAVULTZVVLVVKVUTVUKUV
      OCVVKVUSVUJFGVURVUBFQXISXJZVVMXKUVBVUBUBUWCBXPUNXQUVBVURFVUBGHDVCZVVAVVNV
      UTUVOCVVNFVUSUHVVNUVNVUTDZVCUVNVVOUWLVVNUVNVUSVDUKUTUQPZVVPXRUVBVUCUVCVUI
      UXHAUVBUVCVUCUVBBWKDZUVCVUCTBXSZFBYAVFYBZUWBVUIUXGFUVDJHZLHUXHUWBVUHVVTUX
      GLUWBVUGUXGVVTUWBUXGUXTPZUWBVVTUWBUVDUWEUTPUWBVUGUXBUXGVVTUEHUWBVUFUXAUVO
      CUWBVUEUVDFGUWBUYJUYKVUEUVDTUYLVKUVDFYCVMSXJZUWBUVOVVTCFUVDUWDUXMUVOUXOPU
      VNUVDFJYDYEYJYFZSUWBUXGUVDVWAUYLUWBUVDUWEYGZYHYKYIUVBVUOUVQVUQUXDQUVBVUOU
      VQRQHUVQUVBVUMUVQVUNRQUVBVUMUVPUVPLHUVQUVBVULUVPVULUVPLUVBVUKUVCUVOCUVBVU
      JBFGUVBBWFDUYKVUJBTBYLVKBFYCVMSXJZVWEYMUVBUVPUVBUVPUWOPZYNYKVUNRTUVBRYOYP
      YQYMUVBUVQUVBUVPVWFYRZYSYJUVBVUCUVCVUPUXCAVVSUWBVUPVVTUXBLHUXCUWBVUHVVTVU
      GUXBLVWCVWBYMUWBUXBUVDUWBUXBUXPPUYLVWDUUBYKYIYMUUCUVBUVQUXDUXIVWGUVBUXDUX
      RPUVBUXIUYBPUUAWEUUDUUEUVBUVPUVJMNUVQUVKMNUVBFBUUKIZGHZUVOCKZUVPUVJMUVBVW
      IUVCUVOCUVBVWHBFGUVBVVQVWHBTVVRBUUFVFSXJUVBBODFBMNZVWJUVJMNBUUGBUULZBCUUH
      UUIUUJUVBUVPUVJUWOUWRUVBUVCUVOCUVTUWNUWKUVOUWKUVNUWKUVNUWMUMWHWIUUMUVBRUV
      IUVJRODUVBVTYQUWQUWRUVBRFUDIZUVIMUUNUVBVWKVWMUVIMNZVWLUVBFYTDBYTDVWKVWNWT
      UUOUWPFBUUPUSWEUUQUVBUVIUWQUURXDUUSWEXDUVBUVSUVKODUVRREXHNZUVLUVMWTUWIUWS
      UVRUVBUGYQVWOUVBUUTYQUVGUVKEUVAXCWE $.
  $}

  ${
    $d k m n x y A $.  $d m n x ph $.
    selberg3lem1.1 $e |- ( ph -> A e. RR+ ) $.
    selberg3lem1.2 $e |- ( ph -> A. y e. ( 1 [,) +oo )
      ( abs ` ( ( sum_ k e. ( 1 ... ( |_ ` y ) ) ( ( Lam ` k ) x. ( log ` k ) )
        - ( ( psi ` y ) x. ( log ` y ) ) ) / y ) ) <_ A ) $.
    $( Introduce a log weighting on the summands of
       ` sum_ m x. n <_ x , Lam ( m ) Lam ( n ) ` , the core of ~ selberg2
       (written here as ` sum_ n <_ x , Lam ( n ) psi ( x / n ) ` ).  Equation
       10.4.21 of [Shapiro], p. 422.  (Contributed by Mario Carneiro,
       30-May-2016.) $)
    selberg3lem1 $p |- ( ph -> ( x e. ( 1 (,) +oo ) |->
    ( ( ( ( 2 / ( log ` x ) ) x. sum_ n e. ( 1 ... ( |_ ` x ) )
        ( ( ( Lam ` n ) x. ( psi ` ( x / n ) ) ) x. ( log ` n ) ) )
      - sum_ n e. ( 1 ... ( |_ ` x ) )
        ( ( Lam ` n ) x. ( psi ` ( x / n ) ) ) ) / x ) ) e. O(1) ) $=
      ( c1 co cfv cdiv csu cmul cmin cr wcel wbr recnd cle vm cpnf cioo cfl cfz
      cv cvma clog c2 cchp 1red cmpt co1 cc ioossre rpcnd o1const sylancr fzfid
      wss wa elfznn adantl vmacl syl nndivred fsumrecl crp elioore clt eliooord
      cn simpld rplogcld rpdivcl syl2an remulcld adantr subdird rpne0d divcan2d
      rpred oveq2d eqtrd mpteq2dva resubcld cc0 0red 0lt1 a1i lttrd elrpd ssrdv
      ex vmadivsum o1res2 ceu ere cabs wceq adantrr rprege0d absid simprr mpbid
      loge rpregt0d eqbrtrd mpbird chpcl nnrpd relogcld abscld ad2antrr absdivd
      mulcld rpge0d absidd weq oveq12d cbvsumv syl5eq fveq2d ledivmul2d divassd
      wb fveq2 breqtrrd oveq1d 3brtr4d fsummulc1 letrd mulassd 3eqtr4d sumeq2dv
      caddc subdid 3eqtrd eqtr4d divdiv1d epr logleb eqbrtrrid 1rp rpregt0 mp1i
      lediv2 syl3anc div1d elo1d o1mul2 eqeltrrd o1dif 2re rerpdivcl rerpdivcld
      breqtrd nndivre 2cnd subcld gt0ne0d fsumcl fsumabs vmage0 cico sumeq1d id
      redivcld breq1d wral nncnd mulid2d fznnfl simplbda lemuldivd 1re elicopnf
      ax-mp sylanbrc rspcdva nnne0d absmuld div32d fsumle divcld addcld fsumsub
      eqbrtrrd lemul2ad relogdivd subsub3d oveq2 anasss fsumfldivdiag fsummulc2
      mul32d mulcomd chpval 2timesd fsumadd adddid 3eqtr4rd lediv1dd divsubdird
      divdiv32d div23d divcan4d 3eqtr3d rpmulcld 3brtr3d leabsd o1le ) ABIUBUCJ
      ZIBUFZUDKZUEJZFUFZUGKZUXQLJZFMZDUXNUHKZLJZNJZUIUYALJZUXPUXRUXNUXQLJZUJKZN
      JZUXQUHKZNJZFMZNJZUXPUYGFMZOJZUXNLJZIPAUKABUXMUYCULUMQBUXMDULUMQZAUXMPUTZ
      DUNQZUYOIUBUOZADGUPZBUXMDUQURABUXMUYCDAUXNUXMQZVAZUYCVUAUXTUYBVUAUXPUXSFV
      UAIUXOUSZVUAUXQUXPQZVAZUXRUXQVUDUXQVLQZUXRPQZVUCVUEVUAUXQUXOVBZVCZUXQVDZV
      EZVUHVFZVGZVUAUYBADVHQZUYAVHQZUYBVHQZUYTGUYTUXNUXNIUBVIZUYTIUXNVJRZUXNUBV
      JRUXNIUBVKVMZVNZDUYAVOVPZWBZVQZSZAUYQUYTUYSVRZABUXMUXTUYAOJZUYBNJZULBUXMU
      YCDOJZULUMABUXMVVFVVGVUAVVFUYCUYAUYBNJZOJVVGVUAUXTUYAUYBVUAUXTVULSZVUAUYA
      UYTVUNAVUSVCZUPZVUAUYBVUTUPZVSVUAVVHDUYCOVUADUYAVVDVVKVUAUYAVVJVTZWAWCWDW
      EABUXMVVEUYBPVUAUXTUYAVULVUAUYAVVJWBWFVVAABUXMVHVVEABUXMVHAUYTUXNVHQZVUAU
      XNUYTUXNPQZAVUPVCZVUAWGIUXNVUAWHVUAUKVVPWGIVJRZVUAWIWJUYTVUQAVURVCWKZWLZW
      NWMBVHVVEULUMQABFWOWJWPABUXMUYBWQDUYPAUYRWJVVLWQPQAWRWJADGWBZAUYTWQUXNTRZ
      VAZVAZUYBWSKZUYBDTVWCUYBPQWGUYBTRVAVWDUYBWTVWCUYBAUYTVUOVWAVUTXAXBUYBXCVE
      VWCUYBDILJZDTVWCIUYATRZUYBVWETRZVWCIWQUHKZUYATXFVWCVWAVWHUYATRZAUYTVWAXDV
      WCWQVHQVVNVWAVWIYFUUAAUYTVVNVWAVVSXAWQUXNUUBURXEUUCVWCIPQZVVQVAZUYAPQWGUY
      AVJRVADPQZWGDVJRVAVWFVWGYFIVHQVWKVWCUUDIUUEUUFVWCUYAAUYTVUNVWAVVJXAXGVWCD
      AVUMVWBGVRXGIUYADUUGUUHXEVWCDAUYQVWBUYSVRUUIUUQXHUUJUUKUULUUMXIVVBVUAUYNV
      UAUYMUXNVUAUYKUYLVUAUYDUYJVUAUIPQVUNUYDPQUUNVVJUIUYAUUOURVUAUXPUYIFVUBVUD
      UYGUYHVUDUXRUYFVUJVUDUYEPQZUYFPQVUAVVOVUEVWMVUCVVPVUGUXNUXQUURVPZUYEXJVEZ
      VQZVUDUXQVUDUXQVUHXKZXLZVQVGZVQVUAUXPUYGFVUBVWPVGZWFVVSUUPSZAUYTUYNWSKZUY
      CWSKZTRIUXNTRVUAVXBUYCVXCVUAUYNVXAXMVVBVUAUYCVVCXMVUAUIUYJNJZUYLUYANJZOJZ
      WSKZUXNLJZUYALJZUXTDNJZUYALJVXBUYCTVUAVXHVXJUYAVUAVXGUXNVUAVXFVUAVXDVXEVU
      AUIUYJVUAUUSZVUAUYJVWSSZXPZVUAUYLUYAVUAUYLVWTSZVVKXPZUUTZXMZVVPVUAUXNVVRU
      VAZUVHVUAUXTDVULAVWLUYTVVTVRZVQZVVJVUAVXHVXJTRVXGVXJUXNNJZTRVUAUXPUXRIUYE
      UDKZUEJZUAUFZUGKZVYDUHKZNJZUAMZUYFUYEUHKZNJZOJZNJZFMZWSKZUXTDUXNNJZNJZVXG
      VYATVUAVYNUXPVYLWSKZFMZVYPVUAVYMVUAUXPVYLFVUBVUDUXRVYKVUDUXRVUJSZVUDVYKVU
      DVYHVYJVUDVYCVYGUAVUDIVYBUSZVUDVYDVYCQZVAZVYEVYFWUBVYDVLQZVYEPQZWUAWUCVUD
      VYDVYBVBVCZVYDVDZVEWUBVYDWUBVYDWUEXKXLVQZVGZVUDUYFVYIVWOVUDUYEVUAVVNUXQVH
      QUYEVHQVUCVVSVUCUXQVUGXKUXNUXQVOVPZXLVQWFSZXPZUVBXMVUAUXPVYQFVUBVUDVYLWUK
      XMZVGVUAUXTVYOVULVUADUXNVXSVVPVQVQVUAUXPVYLFVUBWUKUVCVUAVYRUXPUXSVYONJZFM
      VYPTVUAUXPVYQWUMFVUBWULVUDUXSVYOVUKVUDDUXNAVWLUYTVUCVVTXNZVUAVVOVUCVVPVRZ
      VQZVQVUDUXRVYKWSKZNJZUXRVYOUXQLJZNJVYQWUMTVUDWUQWUSUXRVUDVYKWUJXMZVUDVYOU
      XQWUPVUHVFVUJVUDVUEWGUXRTRVUHUXQUVDVEZVUDWUQDUYENJZWUSTVUDWUQUYELJZDTRWUQ
      WVBTRVUDVYKUYELJZWSKZWVCDTVUDWVEWUQUYEWSKZLJWVCVUDVYKUYEWUJVUDUYEVWNSVUDU
      YEWUIVTXOVUDWVFUYEWUQLVUDUYEVWNVUDUYEWUIXQXRWCWDVUDICUFZUDKZUEJZEUFZUGKZW
      VJUHKZNJZEMZWVGUJKZWVGUHKZNJZOJZWVGLJZWSKZDTRZWVEDTRCIUBUVEJZUYEWVGUYEWTZ
      WVTWVEDTWWCWVSWVDWSWWCWVRVYKWVGUYELWWCWVNVYHWVQVYJOWWCWVNWVIVYGUAMVYHWVIW
      VMVYGEUAEUAXSWVKVYEWVLVYFNWVJVYDUGYGWVJVYDUHYGXTYAWWCWVIVYCVYGUAWWCWVHVYB
      IUEWVGUYEUDYGWCUVFYBWWCWVOUYFWVPVYINWVGUYEUJYGWVGUYEUHYGXTXTWWCUVGXTYCUVI
      AWWACWWBUVJUYTVUCHXNVUDVWMIUYETRZUYEWWBQZVWNVUDIUXQNJZUXNTRWWDVUDWWFUXQUX
      NTVUDUXQVUDUXQVUHUVKZUVLVUAVUCVUEUXQUXNTRZVUAVVOVUCVUEWWHVAYFVVPUXQUXNUVM
      VEUVNXHVUDIUXNUXQVUDUKWUOVWQUVOXEVWJWWEVWMWWDVAYFUVPIUYEUVQUVRUVSUVTUWHVU
      DWUQDUYEWUTWUNWUIYDXEVUDDUXNUXQVUAUYQVUCVVDVRVUDUXNWUOSWWGVUDUXQVUHUWAZYE
      YHUWIVUDVYQUXRWSKZWUQNJWURVUDUXRVYKVYSWUJUWBVUDWWJUXRWUQNVUDUXRVUJWVAXRYI
      WDVUDUXRUXQVYOVYSWWGVUDVYOWUPSWWIUWCYJUWDVUAUXPUXSVYOFVUBVUADUXNVVDVUAUXN
      VVPSZXPVUDUXRUXQVYSWWGWWIUWEYKYHYLVUAVXFVYMWSVUAUXPUXRVYHUYFUYHNJZYPJZNJZ
      UYGUYANJZOJZFMUXPWWNFMZUXPWWOFMZOJVYMVXFVUAUXPWWNWWOFVUBVUDUXRWWMVYSVUDVY
      HWWLVUDVYHWUHSZVUDUYFUYHVUDUYFVWOSZVUDUYHVWRSZXPZUWFZXPVUDUYGUYAVUDUXRUYF
      VYSWWTXPVUAUYAUNQVUCVVKVRZXPUWGVUAUXPVYLWWPFVUDUXRWWMUYFUYANJZOJZNJWWNUXR
      WXENJZOJVYLWWPVUDUXRWWMWXEVYSWXCVUDUYFUYAWWTWXDXPZYQVUDVYKWXFUXRNVUDVYKVY
      HWXEWWLOJZOJWXFVUDVYJWXIVYHOVUDVYJUYFUYAUYHOJZNJWXIVUDVYIWXJUYFNVUDUXNUXQ
      VUAVVNVUCVVSVRVWQUWJWCVUDUYFUYAUYHWWTWXDWXAYQWDWCVUDVYHWXEWWLWWSWXHWXBUWK
      WDWCVUDWWOWXGWWNOVUDUXRUYFUYAVYSWWTWXDYMWCYNYOVUAVXDWWQVXEWWROVUAVXDUXPUX
      RVYHNJZUXRWWLNJZYPJZFMZWWQVUAUYJUYJYPJUXPWXKFMZUXPWXLFMZYPJVXDWXNVUAUYJWX
      OUYJWXPYPVUAUYJUXPVYEUXNVYDLJZUJKZNJZVYFNJZUAMZWXOUXPUYIWXTFUAFUAXSZUYGWX
      SUYHVYFNWYBUXRVYEUYFWXRNUXQVYDUGYGWYBUYEWXQUJUXQVYDUXNLUWLYCXTUXQVYDUHYGX
      TYAVUAUXPIWXQUDKZUEJZUXRVYGNJZFMZUAMUXPVYCWYEUAMZFMWYAWXOVUAUXNWYEFUAVVPV
      UAVYDUXPQZUXQWYDQZVAVAUXRVYGVUAWYHWYIUXRUNQVUAWYHVAZWYIVAZUXRWYKVUEVUFWYI
      VUEWYJUXQWYCVBVCVUIVESZUWMVUAWYHVYGUNQWYIWYJVYEVYFWYJVYEWYJWUCWUDWYHWUCVU
      AVYDUXOVBVCZWUFVEZSZWYJVYFWYJVYDWYJVYDWYMXKXLZSZXPXAXPUWNVUAUXPWXTWYFUAWY
      JWXTVYGWXRNJWXRVYGNJZWYFWYJVYEWXRVYFWYOWYJWXRWYJWXQPQZWXRPQWYJUXNVYDVUAVV
      OWYHVVPVRWYMVFZWXQXJVESZWYQUWPWYJVYGWXRWYJVYGWYJVYEVYFWYNWYPVQSZXUAUWQWYJ
      WYRWYDUXRFMZVYGNJWYFWYJWXRXUCVYGNWYJWYSWXRXUCWTWYTWXQFUWRVEYIWYJWYDUXRVYG
      FWYJIWYCUSXUBWYLYKWDYRYOVUAUXPWXKWYGFVUDVYCVYGUXRUAVYTVYSWUBVYGWUGSUWOYOY
      NYBVUAUXPUYIWXLFVUDUXRUYFUYHVYSWWTWXAYMYOXTVUAUYJVXLUWSVUAUXPWXKWXLFVUBVU
      DUXRVYHVYSWWSXPVUDUXRWWLVYSWXBXPUWTYNVUAUXPWWNWXMFVUDUXRVYHWWLVYSWWSWXBUX
      AYOYSVUAUXPUYGUYAFVUBVVKVUDUYGVWPSYKXTUXBYCVUAUXTDUXNVVIVVDWWKYMYJVUAVXGV
      XJUXNVXQVXTVVSYDXIUXCVUAVXIVXGUXNUYANJZLJZVXBVUAVXGUXNUYAVUAVXGVXQSWWKVVK
      VXRVVMYTVUAVXBVXFXUDLJZWSKVXGXUDWSKZLJXUEVUAUYNXUFWSVUAVXFUYALJZUXNLJVXFU
      XNLJUYALJUYNXUFVUAVXFUYAUXNVXPVVKWWKVVMVXRUXEVUAXUHUYMUXNLVUAXUHVXDUYALJZ
      VXEUYALJZOJUYMVUAVXDVXEUYAVXMVXOVVKVVMUXDVUAXUIUYKXUJUYLOVUAUIUYJUYAVXKVX
      LVVKVVMUXFVUAUYLUYAVXNVVKVVMUXGXTWDYIVUAVXFUXNUYAVXPWWKVVKVXRVVMYTUXHYCVU
      AVXFXUDVXPVUAXUDVUAUXNUYAVVSVVJUXIZUPVUAXUDXUKVTXOVUAXUGXUDVXGLVUAXUDVUAX
      UDXUKWBVUAXUDXUKXQXRWCYRYSVUAUXTDUYAVVIVVDVVKVVMYEUXJVUAUYCVVBUXKYLXAUXL
      $.
  $}

  ${
    $d c m n x y $.
    $( Lemma for ~ selberg3 .  Equation 10.4.21 of [Shapiro], p. 422.
       (Contributed by Mario Carneiro, 30-May-2016.) $)
    selberg3lem2 $p |- ( x e. ( 1 (,) +oo ) |->
    ( ( ( ( 2 / ( log ` x ) ) x. sum_ n e. ( 1 ... ( |_ ` x ) )
        ( ( ( Lam ` n ) x. ( psi ` ( x / n ) ) ) x. ( log ` n ) ) )
      - sum_ n e. ( 1 ... ( |_ ` x ) )
        ( ( Lam ` n ) x. ( psi ` ( x / n ) ) ) ) / x ) ) e. O(1) $=
      ( vy vm c1 cfv co cmul cdiv cle wbr crp wcel wtru cr wa relogcld remulcld
      syl adantr vc cv cfl cfz cvma clog csu cchp cmin cabs cpnf cico wral wrex
      cioo c2 cmpt co1 caddc wss wb 1re elicopnf ax-mp simplbi ssriv a1i elfznn
      fzfid cn adantl vmacl nnrpd fsumrecl chpcl 1rp simprbi rpgecld rerpdivcld
      resubcld recnd ex ssrdv selberg2lem o1res2 ad2antrl simprl readdcld rpcnd
      simprr clt rpne0d absdivd rpge0d absidd oveq2d eqtrd abscld simprll ltled
      ad2ant2r absge0d lediv2ad div1d breqtrd abs2dif2d cc0 vmage0 nnred nnge1d
      logge0d mulge0d fsumge0 chpge0 oveq12d cuz flword2 syl3anc fzss2 fsumless
      chpwordi logled mpbid lemul12ad le2addd letrd eqbrtrd o1bddrp mptru simpl
      simpr selberg3lem1 rexlimiva ) ECUBZUCFZUDGZDUBZUEFZYQUFFZHGZDUGZYNUHFZYN
      UFFZHGZUIGZYNIGZUJFZUAUBZJKCEUKULGZUMZUALUNZAEUKUOGUPAUBZUFFZIGEUULUCFZUD
      GZBUBZUEFUULUUPIGUHFHGZUUPUFFHGBUGHGUUOUUQBUGUIGUULIGUQURMZUUKNCAUUIUUFEU
      AUUOYTDUGZUULUHFZUUMHGZUSGZUUIOUTNCUUIOYNUUIMZYNOMZEYNJKZEOMZUVCUVDUVEPVA
      VBEYNVCVDZVEZVFVGUVFNVBVGNUVCPZUUFUVIUUEYNUVIUUAUUDUVIYPYTDUVIEYOVIZUVIYQ
      YPMZPZYRYSUVLYQVJMZYROMZUVKUVMUVIYQYOVHVKZYQVLZSZUVLYQUVLYQUVOVMQZRZVNZUV
      IUUBUUCUVIUVDUUBOMZUVCUVDNUVHVKZYNVOZSUVIYNUVIYNEUWBELMZUVIVPVGUVCUVENUVC
      UVDUVEUVGVQVKZVRZQRZVTZUWFVSWANCUUILUUFNCUUILNUVCYNLMZUWFWBWCCLUUFUQURMNC
      DWDVGWENUULOMZEUULJKZPZPZUUSUVAUWMUUOYTDUWMEUUNVIUWMYQUUOMZPZYRYSUWOUVMUV
      NUWNUVMUWMYQUUNVHZVKZUVPSUWOYQUWOYQUWQVMQRVNZUWMUUTUUMUWJUUTOMZNUWKUULVOZ
      WFUWMUULUWMUULENUWJUWKWGUWDUWMVPVGNUWJUWKWJVRQRWHUVIUWLYNUULWKKZPZPZUUGUU
      EUJFZYNIGZUVBJUXCUUGUXDYNUJFZIGUXEUXCUUEYNUXCUUEUVIUUEOMUXBUWHTWAZUXCYNUV
      IUWIUXBUWFTZWIUXCYNUXHWLWMUXCUXFYNUXDIUXCYNUVIUVDUXBUWBTZUXCYNUXHWNWOWPWQ
      UXCUXEUXDUVBUXCUXDYNUXCUUEUXGWRZUXHVSUXJUXCUUSUVANUWLUUSOMUVCUXAUWRXAZUXC
      UUTUUMUXCUWJUWSUVIUWJUWKUXAWSZUWTSZUXCUULUXCUULYNUXLUXHUXCYNUULUXIUXLUVIU
      WLUXAWJWTZVRZQZRZWHZUXCUXEUXDEIGUXDJUXCEYNUXDUWDUXCVPVGUXHUXJUXCUUEUXGXBU
      VIUVEUXBUWETZXCUXCUXDUXCUXDUXJWAXDXEUXCUXDUUAUUDUSGZUVBUXJUXCUUAUUDUVIUUA
      OMUXBUVTTZUXCUUBUUCUXCUVDUWAUXIUWCSZUXCYNUXHQZRZWHUXRUXCUXDUUAUJFZUUDUJFZ
      USGUXTJUXCUUAUUDUXCUUAUYAWAUXCUUDUVIUUDOMUXBUWGTZWAXFUXCUYEUUAUYFUUDUSUXC
      UUAUYAUVIXGUUAJKUXBUVIYPYTDUVJUVSUVLYRYSUVQUVRUVLUVMXGYRJKZUVOYQXHZSUVLYQ
      UVLYQUVOXIUVLYQUVOXJXKXLXMTWOUXCUUDUYGUXCUUBUUCUYBUYCUXCUVDXGUUBJKUXIYNXN
      SZUXCYNUXIUXSXKZXLWOXOXEUXCUUAUUDUUSUVAUYAUYDUXKUXQUXCUUOYTYPDUXCEUUNVIUX
      CUWNPZYRYSUYLUVMUVNUWNUVMUXCUWPVKZUVPSZUYLYQUYLYQUYMVMQZRUYLYRYSUYNUYOUYL
      UVMUYHUYMUYISUYLYQUYLYQUYMXIUYLYQUYMXJXKXLUXCUUNYOXPFMZYPUUOUTUXCUVDUWJYN
      UULJKZUYPUXIUXLUXNYNUULXQXRYOEUUNXSSXTUXCUUBUUTUUCUUMUYBUXMUYCUXPUYJUYKUX
      CUVDUWJUYQUUBUUTJKUXIUXLUXNYNUULYAXRUXCUYQUUCUUMJKUXNUXCYNUULUXHUXOYBYCYD
      YEYFYFYGYHYIUUJUURUALUUHLMZUUJPACUUHDBUYRUUJYJUYRUUJYKYLYMVD $.

    $( Introduce a log weighting on the summands of
       ` sum_ m x. n <_ x , Lam ( m ) Lam ( n ) ` , the core of ~ selberg2
       (written here as ` sum_ n <_ x , Lam ( n ) psi ( x / n ) ` ).  Equation
       10.6.7 of [Shapiro], p. 422.  (Contributed by Mario Carneiro,
       30-May-2016.) $)
    selberg3 $p |- ( x e. ( 1 (,) +oo ) |->
      ( ( ( ( ( psi ` x ) x. ( log ` x ) ) +
      ( ( 2 / ( log ` x ) ) x. sum_ n e. ( 1 ... ( |_ ` x ) )
        ( ( ( Lam ` n ) x. ( psi ` ( x / n ) ) ) x. ( log ` n ) ) ) )
        / x ) - ( 2 x. ( log ` x ) ) ) ) e. O(1) $=
      ( c1 cpnf co cfv cmul cdiv caddc cmin cmpt co1 wcel wtru crp a1i remulcld
      c2 cr recnd cioo cv cchp clog cfl cfz csu wa elioore adantl chpcl syl 1rp
      cvma clt wbr eliooord simpld ltled rpgecld relogcld fzfid cn elfznn vmacl
      1red adantr nndivred fsumrecl 2re rplogcld rerpdivcld nnrpd resubcld 2cnd
      addassd rpne0d divcld mulcld pncan3d oveq2d eqtr2d readdcld divdird eqtrd
      oveq1d addsubd mpteq2dva ssrdv selberg2 o1res2 selberg3lem2 eqeltrd mptru
      ex o1add2 ) ACDUAEZAUBZUCFZWRUDFZGEZRWTHEZCWRUEFZUFEZBUBZUNFZWRXEHEZUCFZG
      EZXEUDFZGEZBUGZGEZIEZWRHEZRWTGEZJEZKZLMNXRAWQXAXDXIBUGZIEZWRHEZXPJEZXMXSJ
      EZWRHEZIEZKLNAWQXQYENWRWQMZUHZXQYAYDIEZXPJEYEYGXOYHXPJYGXOXTYCIEZWRHEYHYG
      XNYIWRHYGYIXAXSYCIEZIEXNYGXAXSYCYGXAYGWSWTYGWRSMZWSSMYFYKNWRCDUIUJZWRUKUL
      YGWRYGWRCYLCOMYGUMPYGCWRYGVFYLYGCWRUOUPZWRDUOUPZYFYMYNUHNWRCDUQUJURZUSUTZ
      VAZQZTYGXSYGXDXIBYGCXCVBZYGXEXDMZUHZXFXHUUAXEVCMZXFSMYTUUBYGXEXCVDUJZXEVE
      ULUUAXGSMXHSMUUAWRXEYGYKYTYLVGUUCVHXGUKULQZVIZTZYGYCYGXMXSYGXBXLYGRWTRSMY
      GVJPZYGWRYLYOVKZVLYGXDXKBYSUUAXIXJUUDUUAXEUUAXEUUCVMVAQVIZQUUEVNZTZVPYGYJ
      XMXAIYGXSXMUUFYGXBXLYGRWTYGVOYGWTYQTYGWTUUHVQVRYGXLUUITVSVTWAWBWFYGXTYCWR
      YGXTYGXAXSYRUUEWCZTUUKYGWRYLTYGWRYPVQWDWEWFYGYAYDXPYGYAYGXTWRUULYPVLZTYGY
      DYGYCWRUUJYPVLZTYGXPYGRWTUUGYQQZTWGWEWHNAWQYBYDSYGYAXPUUMUUOVNUUNNAWQOYBN
      AWQONYFWROMYPWOWIAOYBKLMNABWJPWKAWQYDKLMNABWLPWPWMWN $.
  $}

  ${
    $d i m n x y A $.  $d m n x ph $.
    selberg4lem1.1 $e |- ( ph -> A e. RR+ ) $.
    selberg4lem1.2 $e |- ( ph -> A. y e. ( 1 [,) +oo )
      ( abs ` ( ( sum_ i e. ( 1 ... ( |_ ` y ) )
        ( ( Lam ` i ) x. ( ( log ` i ) + ( psi ` ( y / i ) ) ) ) / y )
      - ( 2 x. ( log ` y ) ) ) ) <_ A ) $.
    $( Lemma for ~ selberg4 .  Equation 10.4.20 of [Shapiro], p. 422.
       (Contributed by Mario Carneiro, 30-May-2016.) $)
    selberg4lem1 $p |- ( ph -> ( x e. ( 1 (,) +oo ) |->
      ( ( sum_ n e. ( 1 ... ( |_ ` x ) )
          ( ( Lam ` n ) x. sum_ m e. ( 1 ... ( |_ ` ( x / n ) ) )
          ( ( Lam ` m ) x. ( ( log ` m ) + ( psi ` ( ( x / n ) / m ) ) ) ) )
          / ( x x. ( log ` x ) ) ) - ( log ` x ) ) ) e. O(1) ) $=
      ( c1 co cfv cdiv cmul cmin cmpt wcel c2 recnd cle cpnf cioo cfl cvma clog
      cv cfz cchp caddc csu co1 wa fzfid cn cr elfznn adantl vmacl syl nndivred
      2cnd crp elioore 1rp a1i 1red clt wbr eliooord simpld ltled rpgecld nnrpd
      adantr rpdivcld relogcld remulcld fsumrecl rplogcld rerpdivcld subdid cc0
      rehalfcld wne divcan2d oveq2d eqtrd mpteq2dva 2re resubcld wss cc ioossre
      2ne0 o1const mp2an vmalogdivsum2 o1mul2 eqeltrrd readdcld rpmulcld rpne0d
      2cn chpcl divcld mulcld subcld nnncan2d divdiv1d divassd oveq12d redivcld
      divsubdird fsumsub nnne0d div32d mul12d eqtr4d sumeq2dv fsummulc2 sylancr
      nncnd oveq1d 1cnd o1dif mpbird cabs abscld fveq2d absmuld rpge0d ad2antrr
      absidd wceq fveq2 wb lemuldivd mpbid 3brtr4d divge0d eqtr3d 3eqtr2d rpred
      fsumdivc 3eqtr4rd rpcnd divrecd dividd 3eqtr3d ssrdv vmadivsum divlogrlim
      ex o1res2 crli rlimo1 mp1i fsumabs vmage0 divdiv2d div23d divcan1d eqtr2d
      mulassd subdird nnred 3eqtrd cico cbvsumv fvoveq1 sumeq12dv syl5eq breq1d
      oveq2 id wral mulid2d fznnfl simplbda eqbrtrd 1re elicopnf ax-mp sylanbrc
      rspcdva eqbrtrrd lemul2ad div12d fsumle breqtrrd lediv1dd breqtrd absdivd
      letrd fsumge0 mulge0d adantrr o1le eqeltrd ) ABJUAUBKZJBUFZUCLZUGKZGUFZUD
      LZJUXAUXDMKZUCLZUGKZFUFZUDLZUXIUELZUXFUXIMKZUHLZUIKZNKZFUJZNKZGUJZUXAUXAU
      ELZNKZMKZUXSOKZPUKQBUWTRUXCUXEUXDMKZUXFUELZNKZGUJZUXSMKZNKZUXSOKZPZUKQABU
      WTRUYGUXSRMKZOKZNKZPUYJUKABUWTUYMUYIAUXAUWTQZULZUYMUYHRUYKNKZOKUYIUYORUYG
      UYKUYOVAZUYOUYGUYOUYFUXSUYOUXCUYEGUYOJUXBUMZUYOUXDUXCQZULZUYCUYDUYTUXEUXD
      UYTUXDUNQZUXEUOQUYSVUAUYOUXDUXBUPUQZUXDURUSZVUBUTZUYTUXFUYTUXAUXDUYOUXAVB
      QZUYSUYOUXAJUYNUXAUOQZAUXAJUAVCUQZJVBQUYOVDVEUYOJUXAUYOVFZVUGUYOJUXAVGVHZ
      UXAUAVGVHZUYNVUIVUJULAUXAJUAVIUQVJZVKVLZVNUYTUXDVUBVMZVOVPZVQZVRZUYOUXAVU
      GVUKVSZVTZSUYOUYKUYOUXSUYOUXAVULVPZWCZSWAUYOUYPUXSUYHOUYOUXSRUYOUXSVUSSZU
      YQRWBWDUYOWNVEWEWFWGWHABUWTRUYLUORUOQZUYOWIVEUYOUYGUYKVURVUTWJBUWTRPUKQZA
      UWTUOWKZRWLQVVCJUAWMZXCBUWTRWOWPVEBUWTUYLPUKQABGWQVEWRWSABUWTUYBUYIUYOUYB
      UYOUYAUXSUYOUXRUXTUYOUXCUXQGUYRUYTUXEUXPVUCUYTUXHUXOFUYTJUXGUMUYTUXIUXHQZ
      ULZUXJUXNVVGUXIUNQZUXJUOQVVFVVHUYTUXIUXGUPUQZUXIURUSVVGUXKUXMVVGUXIVVGUXI
      VVIVMVPVVGUXLUOQUXMUOQVVGUXFUXIUYTUXFUOQZVVFUYTUXAUXDUYOVUFUYSVUGVNZVUBUT
      ZVNVVIUTUXLXDUSWTVQVRZVQZVRZUYOUXAUXSVULVUQXAVTZVUSWJSUYOUYHUXSUYORUYGUYQ
      UYOUYFUXSUYOUYFVUPSZVVAUYOUXSVUQXBZXEXFZVVAXGABUWTUYBUYIOKZPBUWTUXCUXEUXP
      UXAMKZRUYDUXDMKZNKZOKZNKZGUJZUXSMKZPUKABUWTVVTVWGUYOVVTUYAUYHOKUXRUXAMKZU
      XSMKZRUYFNKZUXSMKZOKZVWGUYOUYAUYHUXSUYOUYAVVPSVVSVVAXHUYOVWIUYAVWKUYHOUYO
      UXRUXAUXSUYOUXRVVOSUYOUXAVUGSZVVAUYOUXAVULXBZVVRXIUYORUYFUXSUYQVVQVVAVVRX
      JXKUYOVWHVWJOKZUXSMKVWLVWGUYOVWHVWJUXSUYOVWHUYOUXRUXAVVOVULVTSUYORUYFUYQV
      VQXFVVAVVRXMUYOVWOVWFUXSMUYOUXCUXQUXAMKZRUYENKZOKZGUJUXCVWPGUJZUXCVWQGUJZ
      OKVWFVWOUYOUXCVWPVWQGUYRUYTVWPUYTUXQUXAVVNVVKUYOUXAWBWDUYSVWNVNZXLSUYTVWQ
      UYTRUYEVVBUYTWIVEZVUOVQSXNUYOUXCVWEVWRGUYTVWEUXEVWANKZUXEVWCNKZOKVWRUYTUX
      EVWAVWCUYTUXEVUCSZUYTVWAUYTUXPUXAVVMVVKVXAXLZSZUYTRVWBUYTVAZUYTUYDUXDUYTU
      YDVUNSZUYTUXDVUBYBZUYTUXDVUBXOZXEZXFZWAUYTVWPVXCVWQVXDOUYTUXEUXPUXAVXEUYT
      UXPVVMSZUYOUXAWLQUYSVWMVNZVXAXJUYTVWQRUXEVWBNKZNKVXDUYTUYEVXPRNUYTUXEUXDU
      YDVXEVXJVXIVXKXPWFUYTRUXEVWBVXHVXEVXLXQWGXKXRXSUYOVWHVWSVWJVWTOUYOUXCUXQU
      XAGUYRVWMUYTUXQVVNSVWNUUDUYOUXCUYERGUYRUYQUYTUYEVUOSXTXKUUEYCUUAUUBWHABUW
      TDUXCUYCGUJZUXSMKZNKZVWGJUOAVFABUWTDVXRUOUYODADVBQUYNHVNZUUCZUYOVXQUXSUYO
      UXCUYCGUYRVUDVRZVUQVTZAVVDDWLQZBUWTDPUKQVVEADHUUFZBUWTDWOYAABUWTVXRPUKQBU
      WTJPUKQZAVVDJWLQVYFVVEAYDBUWTJWOYAABUWTVXRJUYOVXRVYCSUYOYDABUWTVXQUXSOKZJ
      UXSMKZNKZPBUWTVXRJOKZPUKABUWTVYIVYJUYOVYGUXSMKVXRUXSUXSMKZOKVYIVYJUYOVXQU
      XSUXSUYOVXQVYBSZVVAVVAVVRXMUYOVYGUXSUYOVXQUXSVYLVVAXGVVAVVRUUGUYOVYKJVXRO
      UYOUXSVVAVVRUUHWFUUIWHABUWTVYGVYHUOUYOVXQUXSVYBVUSWJUYOJUXSVUHVUQVTABUWTV
      BVYGABUWTVBAUYNVUEVULUUMUUJBVBVYGPUKQABGUUKVEUUNBUWTVYHPZWBUUOVHVYMUKQABU
      ULWBVYMUUPUUQWRWSYEYFWRUYODVXRVYAVYCVQZUYOVWGUYOVWFUXSUYOUXCVWEGUYRUYTUXE
      VWDVUCUYTVWAVWCVXFUYTRVWBVXBUYTUYDUXDVUNVUBUTVQWJVQZVRZVUQVTSAUYNVWGYGLZV
      XSYGLZTVHJUXATVHUYOVWFYGLZUXSMKZVXSVYQVYRTUYOVYTDVXQNKZUXSMKVXSTUYOVYSWUA
      UXSUYOVWFUYOVWFVYPSZYHZUYODVXQVYAVYBVQZVUQUYOVYSUXCVWEYGLZGUJZWUAWUCUYOUX
      CWUEGUYRUYTVWEUYTUXEVWDVXEUYTVWAVWCVXGVXMXGZXFYHZVRWUDUYOUXCVWEGUYRUYTVWE
      VYOSUURUYOWUFUXCDUYCNKZGUJWUATUYOUXCWUEWUIGUYRWUHUYTDUYCUYODUOQUYSVYAVNZV
      UDVQUYTUXEVWDYGLZNKZUXEDUXDMKZNKWUEWUITUYTWUKWUMUXEUYTVWDWUGYHZUYTDUXDWUJ
      VUBUTVUCUYTVUAWBUXETVHVUBUXDUUSUSZUYTWUKUXDNKZDTVHWUKWUMTVHUYTUXPUXFMKZRU
      YDNKZOKZYGLZWUPDTUYTWUTVWDUXDNKZYGLWUKUXDYGLZNKWUPUYTWUSWVAYGUYTWUSVWAUXD
      NKZVWCUXDNKZOKWVAUYTWUQWVCWURWVDOUYTWUQUXPUXDNKUXAMKWVCUYTUXPUXAUXDVXNVXO
      VXJVXAVXKUUTUYTUXPUXDUXAVXNVXJVXOVXAUVAWGUYTWVDRVWBUXDNKZNKWURUYTRVWBUXDV
      XHVXLVXJUVDUYTWVEUYDRNUYTUYDUXDVXIVXJVXKUVBWFUVCXKUYTVWAVWCUXDVXGVXMVXJUV
      EXRYIUYTVWDUXDWUGVXJYJUYTWVBUXDWUKNUYTUXDUYTUXDVUBUVFUYTUXDVUMYKYMWFUVGUY
      TJCUFZUCLZUGKZEUFZUDLZWVIUELZWVFWVIMKZUHLZUIKZNKZEUJZWVFMKZRWVFUELZNKZOKZ
      YGLZDTVHZWUTDTVHCJUAUVHKZUXFWVFUXFYNZWWAWUTDTWWDWVTWUSYGWWDWVQWUQWVSWUROW
      WDWVPUXPWVFUXFMWWDWVPWVHUXJUXKWVFUXIMKZUHLZUIKZNKZFUJUXPWVHWVOWWHEFWVIUXI
      YNZWVJUXJWVNWWGNWVIUXIUDYOWWIWVKUXKWVMWWFUIWVIUXIUEYOWWIWVLWWEUHWVIUXIWVF
      MUVNYIXKXKUVIWWDWVHUXHWWHUXOFWWDWVGUXGJUGWVFUXFUCYOWFWWDWWHUXOYNUXIWVHQWW
      DWWGUXNUXJNWWDWWFUXMUXKUIWVFUXFUXIUHMUVJWFWFVNUVKUVLWWDUVOXKWWDWVRUYDRNWV
      FUXFUEYOWFXKYIUVMAWWBCWWCUVPUYNUYSIYLUYTVVJJUXFTVHZUXFWWCQZVVLUYTJUXDNKZU
      XATVHWWJUYTWWLUXDUXATUYTUXDVXJUVQUYOUYSVUAUXDUXATVHZUYOVUFUYSVUAWWMULYPVU
      GUXDUXAUVRUSUVSUVTUYTJUXAUXDUYTVFVVKVUMYQYRJUOQWWKVVJWWJULYPUWAJUXFUWBUWC
      UWDUWEUWFUYTWUKDUXDWUNWUJVUMYQYRUWGUYTWUEUXEYGLZWUKNKWULUYTUXEVWDVXEWUGYJ
      UYTWWNUXEWUKNUYTUXEVUCWUOYMYCWGUYTDUXEUXDAVYDUYNUYSVYEYLVXEVXJVXKUWHYSUWI
      UYOUXCUYCDGUYRAVYDUYNVYEVNZUYTUYCVUDSXTUWJUWNUWKUYODVXQUXSWWOVYLVVAVVRXJU
      WLUYOVYQVYSUXSYGLZMKVYTUYOVWFUXSWUBVVAVVRUWMUYOWWPUXSVYSMUYOUXSVUSUYOUXSV
      UQYKYMWFWGUYOVXSVYNUYODVXRVYAVYCUYODVXTYKUYOVXQUXSVYBVUQUYOUXCUYCGUYRVUDU
      YTUXEUXDVUCVUMWUOYTUWOYTUWPYMYSUWQUWRUWSYEYF $.
  $}

  ${
    $d c i m n x y $.
    $( The Selberg symmetry formula for products of three primes, instead of
       two.  The sum here can also be written in the symmetric form
       ` sum_ i j k <_ x , Lam ( i ) Lam ( j ) Lam ( k ) ` ; we eliminate one
       of the nested sums by using the definition of
       ` psi ( x ) = sum_ k <_ x , Lam ( k ) ` .  This statement can thus
       equivalently be written ` psi ( x ) log ^ 2 ( x ) = `
       ` 2 sum_ i j k <_ x , Lam ( i ) Lam ( j ) Lam ( k ) + O ( x log x ) ` .
       Equation 10.4.23 of [Shapiro], p. 422.  (Contributed by Mario Carneiro,
       30-May-2016.) $)
    selberg4 $p |- ( x e. ( 1 (,) +oo ) |->
      ( ( ( ( psi ` x ) x. ( log ` x ) ) -
      ( ( 2 / ( log ` x ) ) x. sum_ n e. ( 1 ... ( |_ ` x ) )
          ( ( Lam ` n ) x. sum_ m e. ( 1 ... ( |_ ` ( x / n ) ) )
            ( ( Lam ` m ) x. ( psi ` ( ( x / n ) / m ) ) ) ) ) )
        / x ) ) e. O(1) $=
      ( c1 co cfv cmul c2 cdiv csu cmin cmpt wcel wtru caddc wa cr remulcld crp
      recnd vy vi vc cpnf cioo cv cchp clog cfl cfz cvma co1 2re elioore adantl
      a1i clt wbr eliooord simpld rplogcld rerpdivcld fzfid cn elfznn vmacl syl
      adantr nndivred chpcl nnrpd relogcld fsumrecl resubcld 1red ltled rpgecld
      readdcld addsubassd rpne0d divdird nppcan3d ad2antll fsumfldivdiag mul32d
      1rp adantrr mulcld mulcomd chpval oveq1d anassrs fsummulc1 eqtrd sumeq2dv
      3eqtrd fsummulc2 3eqtr4d oveq2d eqtr3d mpteq2dva selberg3lem2 ex selberg2
      wceq ssrdv o1res2 o1add2 pnncand addcomd adddid fsumadd subcld divsubdird
      eqeltrrd divdiv1d div23d rpmulcld rpcnd divassd 3eqtr3d sub32d subdid wss
      2cnd ioossre o1const sylancr cabs cle cico wral wrex selbergb simpl simpr
      cc selberg4lem1 rexlimiva mp1i o1mul2 eqeltrd o1dif mpbid mptru ) ADUDUEE
      ZAUFZUGFZUUGUHFZGEZHUUIIEZDUUGUIFZUJEZCUFZUKFZDUUGUUNIEZUIFZUJEZBUFZUKFZU
      UPUUSIEZUGFZGEZBJZGEZCJZGEZKEZUUGIEZLULMZNAUUFUUKUUMUUOUURUUTUUSUHFZGEZBJ
      ZGEZCJZGEZUUJOEZUUGIEZHUUIGEZKEZLZULMUVJNAUUFUUKUUMUUTUUGUUSIEZUGFZGEZUVK
      GEZBJZGEZUUMUWDBJZKEZUUGIEZUUJUWHOEZUUGIEZUVSKEZOEZLUWAULNAUUFUWNUVTNUUGU
      UFMZPZUWJUWLOEZUVSKEUWNUVTUWPUWJUWLUVSUWPUWJUWPUWIUUGUWPUWGUWHUWPUUKUWFUW
      PHUUIHQMUWPUMUPZUWPUUGUWOUUGQMZNUUGDUDUNUOZUWPDUUGUQURZUUGUDUQURZUWOUXAUX
      BPNUUGDUDUSUOUTZVAZVBZUWPUUMUWEBUWPDUULVCZUWPUUSUUMMZPZUWDUVKUXHUUTUWCUXH
      UUSVDMZUUTQMZUXGUXIUWPUUSUULVEUOZUUSVFZVGZUXHUWBQMZUWCQMUXHUUGUUSUWPUWSUX
      GUWTVHUXKVIZUWBVJVGZRZUXHUUSUXHUUSUXKVKZVLZRVMRZUWPUUMUWDBUXFUXQVMZVNZUWP
      UUGDUWTDSMUWPWFUPUWPDUUGUWPVOUWTUXCVPVQZVBZTUWPUWLUWPUWKUUGUWPUUJUWHUWPUU
      HUUIUWPUWSUUHQMUWTUUGVJVGUWPUUGUYCVLZRZUYAVRZUYCVBZTUWPUVSUWPHUUIUWRUYERZ
      TZVSUWPUWQUVRUVSKUWPUWIUWKOEZUUGIEUWQUVRUWPUWIUWKUUGUWPUWIUYBTUWPUWKUYGTU
      WPUUGUWTTZUWPUUGUYCVTZWAUWPUYKUVQUUGIUWPUYKUWGUUJOEUVQUWPUWGUWHUUJUWPUWGU
      XTTUWPUWHUYATUWPUUJUYFTZWBUWPUWGUVPUUJOUWPUWFUVOUUKGUWPUUMDUWBUIFZUJEZUUO
      UVLGEZCJZBJUUMUURUYQBJZCJUWFUVOUWPUUGUYQCBUWTUWPUXGUUNUYPMZPPZUYQVUAUUOUV
      LVUAUUNVDMZUUOQMZUYTVUBUWPUXGUUNUYOVEWCUUNVFZVGZVUAUUTUVKUWPUXGUXJUYTUXMW
      GVUAUUSUWPUXGUUSSMUYTUXRWGVLRRTWDUWPUUMUWEUYRBUXHUWEUVLUWCGEUWCUVLGEZUYRU
      XHUUTUWCUVKUXHUUTUXMTZUXHUWCUXPTZUXHUVKUXSTZWEUXHUVLUWCUXHUUTUVKVUGVUIWHZ
      VUHWIUXHVUFUYPUUOCJZUVLGEUYRUXHUWCVUKUVLGUXHUXNUWCVUKXEUXOUWBCWJVGWKUXHUY
      PUUOUVLCUXHDUYOVCVUJUXHUYTPUUOUWPUXGUYTVUCVUEWLTWMWNWPWOUWPUUMUVNUYSCUWPU
      UNUUMMZPZUURUVLUUOBVUMDUUQVCZVUMUUOVUMVUBVUCVULVUBUWPUUNUULVEUOZVUDVGZTZV
      UMUUSUURMZPZUVLVUSUUTUVKVUSUXIUXJVURUXIVUMUUSUUQVEUOZUXLVGZVUSUUSVUSUUSVU
      TVKVLZRZTZWQWOWRWSWKWNWKWTWKWTXANAUUFUWJUWMQUYDUWPUWLUVSUYHUYIVNAUUFUWJLU
      LMNABXBUPNAUUFSUWMNAUUFSNUWOUUGSMUYCXCXFASUWMLULMNABXDUPXGXHXONAUUFUVTUVI
      UWPUVTUWPUVRUVSUWPUVQUUGUWPUVPUUJUWPUUKUVOUXEUWPUUMUVNCUXFVUMUUOUVMVUPVUM
      UURUVLBVUNVVCVMZRZVMZRZUYFVRZUYCVBZUYIVNTUWPUVIUWPUVHUUGUWPUUJUVGUYFUWPUU
      KUVFUXEUWPUUMUVECUXFVUMUUOUVDVUPVUMUURUVCBVUNVUSUUTUVBVVAVUSUVAQMUVBQMVUS
      UUPUUSVUMUUPQMVURVUMUUGUUNUWPUWSVULUWTVHVUOVIVHVUTVIUVAVJVGZRZVMZRZVMZRZV
      NUYCVBTZNAUUFUVTUVIKEZLAUUFHUUMUUOUURUUTUVKUVBOEZGEZBJZGEZCJZUUGUUIGEZIEZ
      UUIKEZGEZLULNAUUFVVRVWGUWPUVRUVIKEZUVSKEHVWEGEZUVSKEVVRVWGUWPVWHVWIUVSKUW
      PUVQUVHKEZUUGIEUUKVWCGEZUUGIEZVWHVWIUWPVWJVWKUUGIUWPUUJUVPOEZUVHKEUVPUVGO
      EZVWJVWKUWPUUJUVPUVGUYNUWPUVPVVHTZUWPUVGVVPTZXIUWPUVQVWMUVHKUWPUVPUUJVWOU
      YNXJWKUWPVWKUUKUVOUVFOEZGEVWNUWPVWCVWQUUKGUWPVWCUUMUVNUVEOEZCJVWQUWPUUMVW
      BVWRCVUMVWBUUOUVMUVDOEZGEVWRVUMVWAVWSUUOGVUMVWAUURUVLUVCOEZBJVWSVUMUURVVT
      VWTBVUSUUTUVKUVBVUSUUTVVATVUSUVKVVBTVUSUVBVVKTXKWOVUMUURUVLUVCBVUNVVDVUSU
      VCVVLTXLWNWSVUMUUOUVMUVDVUQVUMUVMVVETVUMUVDVVMTXKWNWOUWPUUMUVNUVECUXFVUMU
      VNVVFTVUMUVEVVNTXLWNWSUWPUUKUVOUVFUWPUUKUXETUWPUVOVVGTUWPUVFVVOTXKWNWRWKU
      WPUVQUVHUUGUWPUVQVVITUWPUUJUVGUYNVWPXMUYLUYMXNUWPHVWCGEZUUIIEZUUGIEZVXAVW
      DIEZVWLVWIUWPVXCVXAUUIUUGGEZIEVXDUWPVXAUUIUUGUWPHVWCUWPYEZUWPVWCUWPUUMVWB
      CUXFVUMUUOVWAVUPVUMUURVVTBVUNVUSUUTVVSVVAVUSUVKUVBVVBVVKVRRVMRVMZTZWHUWPU
      UIUYETZUYLUWPUUIUXDVTZUYMXPUWPVXEVWDVXAIUWPUUIUUGVXIUYLWIWSWNUWPVXBVWKUUG
      IUWPHVWCUUIVXFVXHVXIVXJXQWKUWPHVWCVWDVXFVXHUWPVWDUWPUUGUUIUYCUXDXRZXSUWPV
      WDVXKVTXTYAYAWKUWPUVRUVSUVIUWPUVRVVJTUYJVVQYBUWPHVWEUUIVXFUWPVWEUWPVWCVWD
      VXGVXKVBZTVXIYCWRXANAUUFHVWFQUWRUWPVWEUUIVXLUYEVNNUUFQYDHYQMAUUFHLULMDUDY
      FNYEAUUFHYGYHDUAUFZUIFUJEUBUFZUKFVXNUHFVXMVXNIEUGFOEGEUBJVXMIEHVXMUHFGEKE
      YIFUCUFZYJURUADUDYKEYLZUCSYMAUUFVWFLULMZNUAUBUCYNVXPVXQUCSVXOSMZVXPPAUAVX
      OUBBCVXRVXPYOVXRVXPYPYRYSYTUUAUUBUUCUUDUUE $.
  $}

  ${
    $d a d k m n x A $.  $d b c d k m n x y R $.
    pntrval.r $e |- R = ( a e. RR+ |-> ( ( psi ` a ) - a ) ) $.
    $( Define the residual of the second Chebyshev function.  The goal is to
       have ` R ( x ) e. o ( x ) ` , or ` R ( x ) / x ~~>r 0 ` .  (Contributed
       by Mario Carneiro, 8-Apr-2016.) $)
    pntrval $p |- ( A e. RR+ -> ( R ` A ) = ( ( psi ` A ) - A ) ) $=
      ( cv cchp cfv cmin co crp wceq fveq2 id oveq12d ovex fvmpt ) CACEZFGZQHIA
      FGZAHIJBQAKZRSQAHQAFLTMNDSAHOP $.

    $( Functionality of the residual.  Lemma for ~ pnt .  (Contributed by Mario
       Carneiro, 8-Apr-2016.) $)
    pntrf $p |- R : RR+ --> RR $=
      ( crp cr cv cchp cfv cmin co wcel rpre chpcl syl resubcld fmpti ) BDEBFZG
      HZQIJACQDKZRQSQEKREKQLZQMNTOP $.

    $( There is a bound on the residual valid for all ` x ` .  (Contributed by
       Mario Carneiro, 9-Apr-2016.) $)
    pntrmax $p |- E. c e. RR+ A. x e. RR+ ( abs ` ( ( R ` x ) / x ) ) <_ c $=
      ( cdiv co cle wbr crp wtru c1 caddc cr a1i wcel wa cc0 c2 adantr cfv cabs
      vy cv wral wrex cchp wss rpssre 1red cmin pntrval rpre chpcl syl resubcld
      cc eqeltrd rerpdivcl mpancom recnd adantl cmpt co1 oveq1d rpcn divsubdird
      rpne0 dividd oveq2d 3eqtrd mpteq2ia chpo1ub ax-1cn o1const mp2an eqeltrid
      o1sub2 peano2re ad2antrl clt w3a wceq 3ad2ant1 fveq2d 1re resubcl sylancr
      3ad2ant2 0red chpge0 wb addge02 mpbid suble0 mpbird divge0 syl21anc letrd
      rpregt0 2re readdcl sylancl simpr 1lt2 lelttrd chpeq0 simp1 rpcnne0d div0
      wne eqbrtrd wi 0lt1 lediv2a syl212anc imp div1d breqtrd simp2 ltle 3impia
      ex sylan chpwordi syl3anc lecasei cn0 2nn0 nn0addge1 oveq2i add12d syl5eq
      df-2 absdifled mpbir2and 3expb adantrlr adantll o1bddrp mptru ) AUDZBUAZU
      UBFGZUBUAZDUDHIAJUEDJUFKAUCJUUDLDUCUDZUGUAZLMGZJNUHZKUIOKUJUUBJPZUUDUQPKU
      UJUUDUUCNPUUJUUDNPUUJUUCUUBUGUAZUUBUKGZNUUBBCEULZUUJUUKUUBUUJUUBNPZUUKNPZ
      UUBUMZUUBUNUOZUUPUPURUUCUUBUSUTVAVBKAJUUDVCAJUUKUUBFGZLUKGZVCVDAJUUDUUSUU
      JUUDUULUUBFGUURUUBUUBFGZUKGUUSUUJUUCUULUUBFUUMVEUUJUUKUUBUUBUUJUUKUUQVAUU
      BVFZUVAUUBVHZVGUUJUUTLUURUKUUJUUBUVAUVBVIVJVKZVLKAJUURLNUUJUURNPZKUUOUUJU
      VDUUQUUKUUBUSUTZVBKUUJQUJAJUURVCVDPKAVMOAJLVCVDPZKUUILUQPZUVFUIVNAJLVOVPO
      VRVQUUFNPZUUHNPZKLUUFHIZUVHUUGNPZUVIUUFUNZUUGVSUOZVTUUJUVHUVJQUUBUUFWAIZQ
      UUEUUHHIZKUUJUVHUVNUVOUVJUUJUVHUVNUVOUUJUVHUVNWBZUUEUUSUBUAZUUHHUVPUUDUUS
      UBUUJUVHUUDUUSWCUVNUVCWDWEUVPUVQUUHHILUUHUKGZUURHIUURLUUHMGZHIUVPUVRRUURU
      VPLNPZUVIUVRNPWFUVHUUJUVIUVNUVMWIZLUUHWGWHUVPWJUUJUVHUVDUVNUVEWDZUVPUVRRH
      IZLUUHHIZUVPRUUGHIZUWDUVHUUJUWEUVNUUFWKWIZUVPUVTUVKUWEUWDWLWFUVHUUJUVKUVN
      UVLWIZLUUGWMWHWNUVPUVTUVIUWCUWDWLWFUWALUUHWOWHWPUVPUUORUUKHIZUUNRUUBWAIQZ
      RUURHIUUJUVHUUOUVNUUQWDZUVPUUNUWHUUJUVHUUNUVNUUPWDZUUBWKUOZUUJUVHUWIUVNUU
      BWTWDZUUKUUBWQWRWSUVPUURUUGSMGZUVSHUVPUURUUGUWNUWBUWGUVPUVKSNPZUWNNPUWGXA
      UUGSXBXCUVPUURUUGHIUUBLUWKUVPUJZUVPUUBLHIZQZUURRUUBFGZUUGHUWRUUKRUUBFUWRU
      UKRWCZUUBSWAIZUWRUUBLSUVPUUNUWQUWKTZUWRUJUWOUWRXAOUVPUWQXDLSWAIUWRXEOXFUW
      RUUNUWTUXAWLUXBUUBXGUOWPVEUVPUWSUUGHIUWQUVPUWSRUUGHUVPUUBUQPUUBRXKQUWSRWC
      UVPUUBUUJUVHUVNXHXIUUBXJUOUWFXLTXLUVPLUUBHIZQZUURUUKUUGUVPUVDUXCUWBTUVPUU
      OUXCUWJTZUVPUVKUXCUWGTUXDUURUUKLFGZUUKHUVPUXCUURUXFHIZUVPUVTRLWAIZUWIUUOU
      WHUXCUXGXMUWPUXHUVPXNOUWMUWJUWLUVTUXHQUWIUUOUWHQWBUXCUXGLUUBUUKXOYCXPXQUX
      DUUKUXDUUKUXEVAXRXSUVPUUKUUGHIZUXCUVPUUNUVHUUBUUFHIZUXIUWKUUJUVHUVNXTUUJU
      VHUVNUXJUUJUUNUVHUVNUXJXMUUPUUBUUFYAYDYBUUBUUFYEYFTWSYGUVPUVKSYHPUUGUWNHI
      UWGYIUUGSYJXCWSUVPUWNUUGLLMGZMGUVSSUXKUUGMYNYKUVPUUGLLUVPUUGUWGVAUVGUVPVN
      OZUXLYLYMXSUVPUURLUUHUWBUWPUWAYOYPXLYQYRYSYTUUA $.

    $( A bound on a sum over ` R ` .  Equation 10.1.16 of [Shapiro], p. 403.
       (Contributed by Mario Carneiro, 25-May-2016.) $)
    pntrsumo1 $p |- ( x e. RR |-> sum_ n e. ( 1 ... ( |_ ` x ) )
        ( ( R ` n ) / ( n x. ( n + 1 ) ) ) ) e. O(1) $=
      ( cr c1 cfv co cmul cdiv wcel wtru crp wbr cc0 cmin syl recnd wceq vm cfl
      cv cfz caddc csu cmpt co1 cpnf cico cres wss cle wa wb 1re elicopnf ax-mp
      simplbi 0red 1red clt 0lt1 a1i simprbi ltletrd elrpd ssriv rpssre resmptd
      sstrdi cvma cchp cc chpcl peano2re cn0 rprege0d flge0nn0 nn0p1nn nndivred
      cn ax-1cn sylancl fzfid elfznn adantl fsumrecl cneg oveq2 fvoveq1 oveq12d
      oveq1 eqtrdi fveq2d nnrecred nnred peano2rem resubcld nncnd pncan eqeltrd
      eqcomd 1cnd subcld eqtr4d oveq2d 3eqtr3d mvrladdd peano2cn nnncan2d eqtrd
      nnne0d divrec2d sumeq12rdv oveq1d mulcld divsubdird mulid1d eqtr3d negeqd
      jca divcan5d nnrpd cof cvv eqidd offval2 mpteq2dva adantrr syl2anc mpbird
      cabs eqbrtrd sylancr eqeltrrd syl3anc rerpdivcld rpregt0d o1sub2 ffvelrni
      subcl nnrp pntrf peano2nn nnmulcl mpdan cfzo 1div1e1 1m1e0 c2 2pos chpeq0
      0re mpbir 0m0e0 cuz nnuz eleqtrdi fsumparts cz flcld fzval3 sub4d nnm1nn0
      vmacl chpp1 pncan2 nn0cnd subsub3d subdid recid2d 3eqtrd subid1d mulneg1d
      mul01i mulcomd negsubdi2d eqtr2d pntrval 3eqtr4d fsumneg subnegd mpteq2ia
      npcan chpfl rpre rprege0 clog reex ssexi fsumcl relogcl sumeq2dv 3eqtr4rd
      vmadivsum harmoniclbnd abssubge0d ad2antrl simprr harmonicubnd lesubadd2d
      fsumsub elo1d o1sub wne rpcnne0 divdir simpr rpreccl chpo1ub crli divrcnv
      rlimo1 mp1i o1add chpge0 divge0 absidd abscld fllep1 rpregt0 lediv2 mpbid
      ge0p1rpd leabsd letrd o1le o1const mp2an o1res2 eqeltrrid wf fmpti o1resb
      eqid ssidd mptru ) AFGAUCZUBHZUDIZCUCZBHZVUBVUBGUEIZJIZKIZCUFZUGZUHLZMVUI
      VUHGUIUJIZUKZUHLMVUKAVUJVUGUGZUHMAFVUJVUGMVUJNFVUJNULMAVUJNUYSVUJLZUYSVUM
      UYSFLZGUYSUMOZGFLVUMVUNVUOUNUOUPGUYSUQURZUSZVUMPGUYSVUMUTVUMVAVUQPGVBOVUM
      VCVDVUMVUNVUOVUPVEVFVGZVHVDZVIVKVJMVULAVUJVUAVUBVLHZGQIZVUBKIZCUFZUYSVMHZ
      GUEIZUYTGUEIZKIZGQIZQIZUGUHAVUJVVIVUGVUMVVCVVHVUGVUMVVGVNLGVNLZVVHVNLVUMV
      VGVUMVVEVVFVUMVVDFLZVVEFLZVUMVUNVVKVUQUYSVOZRZVVDVPZRVUMUYTVQLZVVFWBLZVUM
      VUNPUYSUMOUNZVVPVUMUYSVURVRUYSVSZRZUYTVTZRZWASWCVVGGUUBWDZVUMVUNVUGVNLVUQ
      VUNVUGVUNVUAVUFCVUNGUYTWEVUNVUBVUALZUNVUBWBLZVUFFLZVWDVWEVUNVUBUYTWFZWGVW
      EVUCVUEVWEVUBNLVUCFLZVUBUUCNFVUBBBDEUUDUUARZVWEVUDWBLZVUEWBLZVUBUUEZVUBVU
      DUUFUUGZWAZRWHSZRZVUMVVCVVHVUGWIZQIZVVHVUGUEIVUMGVVFUUHIZGVUBKIZVUDGQIZVM
      HZVXAQIZVUBGQIZVMHZVXDQIZQIZJIZCUFGVVFKIZVVFGQIZVMHZVXJQIZJIZGPJIZQIZVWSG
      VUDKIZVWTQIZVXCJIZCUFZQIVVCVWRVUMGUAUCZKIZVWTVXPGCUAVXIGVVFVXTGQIZVMHZVYB
      QIZVXFVXCPVXLVXTVUBTZVYAVWTTVYDVXFTVXTVUBGKWJVYEVYCVXEVYBVXDQVXTVUBGVMQWK
      VXTVUBGQWMWLYBVXTVUDTZVYAVXPTVYDVXCTVXTVUDGKWJVYFVYCVXBVYBVXAQVXTVUDGVMQW
      KVXTVUDGQWMWLYBVXTGTZVYAGTVYDPTVYGVYAGGKIGVXTGGKWJUUIWNVYGVYDPPQIPVYGVYCP
      VYBPQVYGVYCPVMHZPVYGVYBPVMVYGVYBGGQIPVXTGGQWMUUJWNZWOVYHPTZPUUKVBOZUULPFL
      VYJVYKUOUUNPUUMURUUOWNVYIWLUUPWNYBVXTVVFTZVYAVXITVYDVXLTVXTVVFGKWJVYLVYCV
      XKVYBVXJQVXTVVFGVMQWKVXTVVFGQWMWLYBVUMVVFWBGUUQHVWBUURUUSVUMVXTGVVFUDILZU
      NZVYAVYNVXTVYMVXTWBLVUMVXTVVFWFWGZWPSVYNVYDVYNVYCVYBVYNVYBFLZVYCFLVYNVXTF
      LVYPVYNVXTVYOWQVXTWRRZVYBVORVYQWSSUUTVUMVWSVUAVXHVVBCVUMVUAVWSVUMUYTUVALV
      UAVWSTVUMUYSVUQUVBGUYTUVCRXCZVUMVWDUNZVXHVWTVVAJIVVBVYSVXGVVAVWTJVYSVXGVX
      BVXEQIZVXAVXDQIZQIVVAVYSVXBVXAVXEVXDVYSVXBVYSVXAFLVXBFLVYSVXAVUBFVYSVUBVN
      LZVVJVXAVUBTVYSVUBVWDVWEVUMVWGWGZWTZWCVUBGXAWDZVYSVUBWUCWQZXBZVXAVORSVYSV
      XAWUGSVYSVXEVYSVXDFLZVXEFLVYSVUBFLWUHWUFVUBWRRVXDVORSZVYSVUBGWUDVYSXDZXEU
      VDVYSVYTVUTWUAGQVYSVXBVXEVUTWUIVYSVUTVYSVWEVUTFLZWUCVUBUVFZRZSVYSVXDGUEIZ
      VMHZVXEWUNVLHZUEIZVXBVXEVUTUEIVYSVXDVQLZWUOWUQTVYSVWEWURWUCVUBUVERVXDUVGR
      VYSWUNVXAVMVYSWUNVUBVXAVYSWUBVVJWUNVUBTWUDWCVUBGUWEWDZWUEXFWOVYSWUPVUTVXE
      UEVYSWUNVUBVLWUSWOXGXHXIVYSWUAVUDVUBQIZGVYSVUDVUBGVYSWUBVUDVNLWUDVUBXJRZW
      UDWUJXKVYSWUBVVJWUTGTWUDWCVUBGUVHWDZXLWLXLXGVYSVVAVUBVYSVVAVYSWUKVVAFLZWU
      MVUTWRZRSWUDVYSVUBWUCXMZXNXFXOVUMVXOVVHVXSVWQQVUMVXOVVHPQIVVHVUMVXMVVHVXN
      PQVUMVXMVXIVVEVVFQIZJIVXIVVEJIZVXIVVFJIZQIVVHVUMVXLWVFVXIJVUMVXLVVDVXJQIW
      VFVUMVXKVVDVXJQVUMVXKUYTVMHZVVDVUMVXJUYTVMVUMUYTVNLVVJVXJUYTTVUMUYTVVTUVI
      WCUYTGXAWDWOVUMVUNWVIVVDTVUQUYSUWFRXLXPVUMVVDVVFGVUMVVDVVNSZVUMVVFVWBWTZV
      UMXDUVJXLXGVUMVXIVVEVVFVUMVXIVUMVVFVWBWPSVUMVVDVNLZVVEVNLWVJVVDXJRZWVKUVK
      VUMWVGVVGWVHGQVUMVVGWVGVUMVVEVVFWVMWVKVUMVVFVWBXMZXNXCVUMVVFWVKWVNUVLWLUV
      MVXNPTVUMGWCUVPVDWLVUMVVHVWCUVNXLVUMVXSVUAVUFWIZCUFVWQVUMVWSVUAVXRWVOCVYR
      VYSGVUEKIZWIZVUCJIWVPVUCJIZWIVXRWVOVYSWVPVUCVYSWVPVYSVUEVYSVWEVWKWUCVWMRZ
      WPSVYSVUCVYSVWEVWHWUCVWIRSZUVOVYSVXQWVQVXCVUCJVYSWVQVWTVXPQIZWIVXQVYSWVPW
      WAVYSVUDVUBGJIZQIZVUEKIVUDVUEKIZWWBVUEKIZQIWVPWWAVYSVUDWWBVUEWVAVYSVUBGWU
      DWUJXQVYSVUBVUDWUDWVAXQZVYSVUEWVSXMZXRVYSWWCGVUEKVYSWWCWUTGVYSWWBVUBVUDQV
      YSVUBWUDXSXGWVBXLXPVYSWWDVWTWWEVXPQVYSVUDGJIZVUDVUBJIZKIWWDVWTVYSWWHVUDWW
      IVUEKVYSVUDWVAXSVYSVUDVUBWVAWUDUVQWLVYSGVUBVUDWUJWUDWVAWVEVYSVUDVYSVWEVWJ
      WUCVWLRZXMZYCXTVYSGVUDVUBWUJWVAWUDWWKWVEYCWLXHYAVYSVWTVXPVYSVWTVYSVUBWUCW
      PSVYSVXPVYSVUDWWJWPSUVRUVSVYSVXABHZVXCVUCVYSVXANLWWLVXCTVYSVXAVUBNWUEVYSV
      UBWUCYDXBVXABDEUVTRVYSVXAVUBBWUEWOXTWLVYSVUFWVRVYSVUCVUEWVTWWFWWGXNYAUWAX
      OVUMVUAVUFCVUMGUYTWEVYSVUFVYSVWEVWFWUCVWNRSUWBXLWLXHVUMVVHVUGVWCVWPUWCXLX
      IUWDMAVUJNVVIVUSMANVVCVVHFMUYSNLZUNZVUAVVBCWWNGUYTWEZWWNVWDUNZVVAVUBWWPWU
      KWVCWWPVWEWUKVWDVWEWWNVWGWGZWULRZWVDRWWQWAWHWWNVVGFLVVHFLWWNVVEVVFWWNVVKV
      VLWWNVUNVVKWWMVUNMUYSUWGZWGZVVMRZVVORZWWNVVPVVQWWMVVPMWWMVVRVVPUYSUWHVVSR
      WGVWARZWAZVVGWRRMANVUAVUTVUBKIZCUFZUYSUWIHZQIZUGZANVUAVWTCUFZWXGQIZUGZQYE
      IZANVVCUGZUHMWXMANWXHWXKQIZUGWXNMANWXHWXKQWXIWXLYFVNFNYFLMNFUWJVIUWKVDZWW
      NWXFWXGWWNVUAWXECWWOWWPWXEWWPVUTVUBWWRWWQWASZUWLZWWNWXGWWMWXGFLMUYSUWMWGZ
      SZXEWWNWXJWXGWWNVUAVWTCWWOWWPVUBWWQWPZWHZWXSWSZMWXIYGMWXLYGYHMANWXOVVCWWN
      VUAWXEVWTQIZCUFWXFWXJQIVVCWXOWWNVUAWXEVWTCWWOWXQWWPVWTWYASUXCWWNVUAVVBWYD
      CWWPVUTGVUBWWPVUTWWRSWWPXDWWPVUBWWQWTWWPVUBWWQXMXRUWNWWNWXFWXJWXGWXRWWNWX
      JWYBSWXTXKUWOYIXLMWXIUHLWXLUHLWXMUHLACUWPMANWXKGGNFULZMVIVDWWNWXKWYCSMVAZ
      WYFMWWMVUOUNUNZWXKYMHZWXKGUMMWWMWYHWXKTVUOWWNWXGWXJWXSWYBWWMWXGWXJUMOMUYS
      CUWQWGUWRYJWYGWXKGUMOZWXJWXGGUEIUMOZWYGVUNVUOWYJWWMVUNMVUOWWSUWSMWWMVUOUW
      TUYSCUXAYKMWWMWYIWYJUOVUOWWNWXJWXGGWYBWXSWWNVAUXBYJYLYNUXDWXIWXLUXEYOYPMA
      NVVGGVNWWNVVGWXDSZWWNXDZMANVVEUYSKIZVVGGFWYFMANWYMUGANVVDUYSKIZGUYSKIZUEI
      ZUGZUHMANWYMWYPWWNWVLVVJUYSVNLUYSPUXFUNZWYMWYPTWWNVVDWXASWYLWWMWYRMUYSUXG
      WGVVDGUYSUXHYQYIMANWYNUGZANWYOUGZUEYEIZWYQUHMANWYNWYOUEWYSWYTYFFNWXPWWNVV
      DUYSWXAMWWMUXIZYRWWMWYONLMUYSUXJWGMWYSYGMWYTYGYHMWYSUHLWYTUHLZXUAUHLAUXKW
      YTPUXLOZXUCMVVJXUDWCGAUXMURPWYTUXNUXOWYSWYTUXPYOYPXBWWNVVEUYSWXBXUBYRZWYK
      MWWMVVGYMHZWYMYMHZUMOVUOWWNXUFVVGXUGUMWWNVVGWXDWWNVVLPVVEUMOUNVVFFLPVVFVB
      OUNZPVVGUMOWWNVVEWWNVVDWXAWWNVUNPVVDUMOWWTUYSUXQRUYEZVRWWNVVFWWNVVFWXCYDY
      SZVVEVVFUXRYKUXSWWNVVGWYMXUGWXDXUEWWNWYMWWNWYMXUESUXTWWNUYSVVFUMOZVVGWYMU
      MOZWWNVUNXUKWWTUYSUYARWWNVUNPUYSVBOUNZXUHVVLPVVEVBOUNXUKXULUOWWMXUMMUYSUY
      BWGXUJWWNVVEXUIYSUYSVVFVVEUYCYQUYDWWNWYMXUEUYFUYGYNYJUYHANGUGUHLZMWYEVVJX
      UNVIWCANGUYIUYJVDYTYTUYKUYLXBMFGVUHFVNVUHUYMMAFVNVUGVUHVUHUYPVWOUYNVDMFUY
      QWYFUYOYLUYR $.

    $( A bound on a sum over ` R ` .  Equation 10.1.16 of [Shapiro], p. 403.
       (Contributed by Mario Carneiro, 25-May-2016.) $)
    pntrsumbnd $p |- E. c e. RR+ A. m e. ZZ ( abs ` sum_ n e. ( 1 ... m )
        ( ( R ` n ) / ( n x. ( n + 1 ) ) ) ) <_ c $=
      ( c1 cv cfv cfz co csu cle wbr cr crp wtru wcel wa syl vx caddc cmul cdiv
      cfl cabs wral wrex cz ssidd 1red fzfid cn cc elfznn adantl pntrf ffvelrni
      nnrp peano2nn nnmulcl mpdan nndivred fsumcl cmpt co1 pntrsumo1 a1i abscld
      recnd fsumrecl clt adantr adantlr ad2ant2r fsumabs absge0d cuz wss simplr
      simprll simprr ltled flword2 syl3anc fzss2 fsumless letrd mptru wi imim1i
      o1bddrp zre flid oveq2d sumeq1d fveq2d breq1d mpbidi ralimi2 reximi ax-mp
      ) GBHZUEIZJKZCHZAIZXFXFGUBKZUCKZUDKZCLZUFIZEHZMNZBOUGZEPUHZGXCJKZXJCLZUFI
      ZXMMNZBUIUGZEPUHXPQBUAOXKGEGUAHZUEIZJKZXJUFIZCLZQOUJQUKQXCORZSZXEXJCYHGXD
      ULYHXFXERZSXFUMRZXJUNRZYIYJYHXFXDUOUPYJXJYJXGXIYJXFPRXGORXFUSPOXFAADFUQUR
      TYJXHUMRXIUMRXFUTXFXHVAVBVCVJZTZVDZBOXKVEVFRQBACDFVGVHQYBORZGYBMNZSZSZYDY
      ECYRGYCULYRXFYDRZSZXJYTYJYKYSYJYRXFYCUOZUPYLTVIVKZYHYQXCYBVLNZSZSZXLXEYEC
      LYFUUEXKYHXKUNRUUDYNVMVIUUEXEYECUUEGXDULZUUEYISXJYHYIYKUUDYMVNZVIVKQYQYFO
      RYGUUCUUBVOUUEXEXJCUUFUUGVPUUEYDYEXECUUEGYCULUUEYSSZXJUUHYJYKYSYJUUEUUAUP
      YLTZVIUUHXJUUIVQUUEYCXDVRIRZXEYDVSUUEYGYOXCYBMNUUJQYGUUDVTZYHYOYPUUCWAZUU
      EXCYBUUKUULYHYQUUCWBWCXCYBWDWEXDGYCWFTWGWHWLWIXOYAEPXNXTBOUIXCUIRZXNXTYGX
      NWJUUMYGXNXCWMWKUUMXLXSXMMUUMXKXRUFUUMXEXQXJCUUMXDXCGJXCWNWOWPWQWRWSWTXAX
      B $.

    $( A bound on a sum over ` R ` .  Equation 10.1.16 of [Shapiro], p. 403.
       (Contributed by Mario Carneiro, 14-Apr-2016.) $)
    pntrsumbnd2 $p |- E. c e. RR+ A. k e. NN A. m e. ZZ
     ( abs ` sum_ n e. ( k ... m ) ( ( R ` n ) / ( n x. ( n + 1 ) ) ) ) <_ c $=
      ( c1 cfz co cfv cabs cle wbr cz crp cn wcel wa cr vb caddc cmul cdiv wral
      cv csu wrex pntrsumbnd c2 2rp rpmulcl mpan cmin wceq oveq2 sumeq1d fveq2d
      breq1d simplr nnz adantl peano2zm syl rspcdva wi cc0 ad2antrr rpge0d sum0
      sumeq1 eqtrdi abs00bd syl5ibrcom imp a1d wne cuz fzfid elfznn simpr nnrpd
      c0 fzn0 pntrf ffvelrni peano2nnd nnmulcld nndivred sylan2 fsumrecl abscld
      recnd simplll le2add syl22anc 2timesd breq2d simpllr elfzuz eluznn syl2an
      rpred syldan clt cin nnred ltm1d fzdisj cun cc nncnd ax-1cn npcan sylancl
      eqeltrd nnuz eleqtrdi nnzd eleq2d biimpar peano2uzr syl2anc oveq1d uneq2d
      fzsplit2 fsumsplit mvrladdd abs2dif2d eqbrtrrd readdcld 2re remulcld letr
      eqtrd a1i syl3anc mpand sylbird syld ancomsd sylan2b pm2.61dane an4s expr
      ralimdva impancom an32s ralrimiva breq2 2ralbidv syl2an2r rexlimiva ax-mp
      mpd rspcev ) HCUFZIJZDUFZAKZUUSUUSHUBJZUCJZUDJZDUGZLKZUAUFZMNZCOUEZUAPUHB
      UFZUUQIJZUVCDUGZLKZFUFZMNZCOUEBQUEZFPUHZACDEUAGUIUVHUVPUAPUVFPRZUJUVFUCJZ
      PRZUVHUVLUVRMNZCOUEZBQUEZUVPUJPRUVQUVSUKUJUVFULUMZUVQUVHSZUWABQUWDUVIQRZS
      ZHUVIHUNJZIJZUVCDUGZLKZUVFMNZUWAUWFUVGUWKCOUWGUUQUWGUOZUVEUWJUVFMUWLUVDUW
      ILUWLUURUWHUVCDUUQUWGHIUPUQURUSUVQUVHUWEUTUWFUVIORZUWGORZUWEUWMUWDUVIVAVB
      UVIVCZVDVEUVQUWEUVHUWKUWAVFUVQUWESZUWKUVHUWAUWPUWKSZUVGUVTCOUWQUUQORZUVGU
      VTUWPUWRUWKUVGUVTUWPUWRSZUWKUVGSZUVTUWSUWTUVTVFZUVJWCUWSUVJWCUOZSUVTUWTUW
      SUXBUVTUWSUVTUXBVGUVRMNUWSUVRUVQUVSUWEUWRUWCVHVIUXBUVLVGUVRMUXBUVKUXBUVKW
      CUVCDUGVGUVJWCUVCDVKUVCDVJVLVMUSVNVOVPUVJWCVQUWSUUQUVIVRKZRZUXAUVIUUQWDUW
      SUXDSZUVGUWKUVTUXEUVGUWKSZUVEUWJUBJZUVFUVFUBJZMNZUVTUXEUVETRUWJTRUVFTRZUX
      JUXFUXIVFUXEUVDUXEUVDUXEUURUVCDUXEHUUQVSZUUSUURRZUXEUUSQRZUVCTRZUUSUUQVTU
      XEUXMSZUUTUVBUXOUUSPRUUTTRUXOUUSUXEUXMWAZWBPTUUSAAEGWEWFVDUXOUUSUVAUXPUXO
      UUSUXPWGWHWIZWJZWKWMZWLZUXEUWIUXEUWIUXEUWHUVCDUXEHUWGVSUUSUWHRUXEUXMUXNUU
      SUWGVTUXQWJWKWMZWLZUXEUVFUVQUWEUWRUXDWNXCZUYCUVEUWJUVFUVFWOWPUXEUXIUXGUVR
      MNZUVTUXEUVRUXHUXGMUXEUVFUXEUVFUYCWMWQWRUXEUVLUXGMNZUYDUVTUXEUVDUWIUNJZLK
      UVLUXGMUXEUYFUVKLUXEUVDUWIUVKUYAUXEUVKUXEUVJUVCDUXEUVIUUQVSUXEUUSUVJRZUXM
      UXNUXEUWEUUSUXCRUXMUYGUVQUWEUWRUXDWSZUUSUVIUUQWTUUSUVIXAXBUXQXDWKWMZUXEUW
      HUVJUVCUURDUXEUWGUVIXENUWHUVJXFWCUOUXEUVIUXEUVIUYHXGXHHUWGUVIUUQXIVDUXEUU
      RUWHUWGHUBJZUUQIJZXJZUWHUVJXJUXEUYJHVRKZRUUQUWGVRKRZUURUYLUOUXEUYJQUYMUXE
      UYJUVIQUXEUVIXKRZHXKRZUYJUVIUOZUXEUVIUYHXLXMUVIHXNZXOZUYHXPXQXRUXEUWNUUQU
      YJVRKZRZUYNUXEUWMUWNUXEUVIUYHXSUWOVDUWSVUAUXDUWSUYTUXCUUQUWSUYJUVIVRUWSUY
      OUYPUYQUWSUVIUVQUWEUWRUTXLXMUYRXOURXTYAUWGUUQYBYCUWGHUUQYFYCUXEUYKUVJUWHU
      XEUYJUVIUUQIUYSYDYEYOUXKUXEUXLSUVCUXRWMYGYHURUXEUVDUWIUXSUYAYIYJUXEUVLTRU
      XGTRUVRTRUYEUYDSUVTVFUXEUVKUYIWLUXEUVEUWJUXTUYBYKUXEUJUVFUJTRUXEYLYPUYCYM
      UVLUXGUVRYNYQYRYSYTUUAUUBUUCVOUUDUUEUUFUUGUUHUUOUUIUVOUWBFUVRPUVMUVRUOUVN
      UVTBCQOUVMUVRUVLMUUJUUKUUPUULUUMUUN $.

    $( Selberg's symmetry formula, using the residual of the second Chebyshev
       function.  Equation 10.6.2 of [Shapiro], p. 428.  (Contributed by Mario
       Carneiro, 16-Apr-2016.) $)
    selbergr $p |- ( x e. RR+ |-> ( ( ( ( R ` x ) x. ( log ` x ) ) +
      sum_ d e. ( 1 ... ( |_ ` x ) ) ( ( Lam ` d ) x. ( R ` ( x / d ) ) ) )
        / x ) ) e. O(1) $=
      ( crp cfv cmul co cdiv csu caddc cmin wcel cr recnd mulcld oveq1d oveq2d
      cc cv cchp clog c1 cfl cfz cvma c2 cmpt cof co1 wceq wtru cvv reex rpssre
      ssexi wa ovexd eqidd offval2 mptru pntrf ffvelrni relogcl fzfid cn elfznn
      a1i adantl vmacl syl rpre nndivre syl2an chpcl fsumcl addcld rpne0 divcld
      rpcn nndivred nnncan2d subsub4d pntrval subdird eqtrd addsubd cc0 rpcnne0
      eqtr4d divsubdir syl3anc 3eqtrd 2timesd 3eqtr4d addsubassd adantr fsumsub
      wne divcan3d subdid nnrpd rpdivcl sylan2 div12 sumeq2dv 3eqtr4rd 3eqtr3rd
      fsummulc2 3eqtr3d mpteq2ia eqtri selberg2 vmadivsum o1sub mp2an eqeltrri
      ) AFAUAZUBGZXSUCGZHIZUDXSUEGZUFIZDUAZUGGZXSYEJIZUBGZHIZDKZLIZXSJIZUHYAHIZ
      MIZUIZAFYDYFYEJIZDKZYAMIZUIZMUJIZAFXSBGZYAHIZYDYFYGBGZHIZDKZLIZXSJIZUIZUK
      YTAFYNYRMIZUIZUUHYTUUJULUMAFYNYRMYOYSUNUNUNFUNNUMFOUOUPUQVIUMXSFNZURZYLYM
      MUSUULYQYAMUSUMYOUTUMYSUTVAVBAFUUIUUGUUKUUBYJLIZXSJIZYAMIZYRMIUUNYQMIZUUI
      UUGUUKUUNYQYAUUKUUMXSUUKUUBYJUUKUUAYAUUKUUAFOXSBBCEVCVDPUUKYAXSVEPZQZUUKY
      DYIDUUKUDYCVFZUUKYEYDNZURZYFYHUVAYFUVAYEVGNZYFONUUTUVBUUKYEYCVHZVJZYEVKVL
      ZPZUVAYHUVAYGONZYHONUUKXSONZUVBUVGUUTXSVMZUVCXSYEVNVOZYGVPVLPZQZVQZVRZXSW
      AZXSVSZVTUUKYDYPDUUSUVAYPUVAYFYEUVEUVDWBPZVQZUUQWCUUKUUOYNYRMUUKYLYAMIZYA
      MIYLYAYALIZMIUUOYNUUKYLYAYAUUKYKXSUUKYBYJUUKXTYAUUKXTUUKUVHXTONUVIXSVPVLP
      ZUUQQZUVMVRZUVOUVPVTUUQUUQWDUUKUUNUVSYAMUUKUUNYKXSYAHIZMIZXSJIZYLUWDXSJIZ
      MIZUVSUUKUUMUWEXSJUUKUUMYBUWDMIZYJLIUWEUUKUUBUWIYJLUUKUUBXTXSMIZYAHIUWIUU
      KUUAUWJYAHXSBCEWERUUKXTXSYAUWAUVOUUQWFWGRUUKYBYJUWDUWBUVMUUKXSYAUVOUUQQZW
      HWKRUUKYKTNUWDTNXSTNZXSWIWTURZUWFUWHULUWCUWKXSWJZYKUWDXSWLWMUUKUWGYAYLMUU
      KYAXSUUQUVOUVPXASWNRUUKYMUVTYLMUUKYAUUQWOSWPRUUKUUMXSYQHIZMIZXSJIZUUNUWOX
      SJIZMIZUUGUUPUUKUUMTNUWOTNUWMUWQUWSULUVNUUKXSYQUVOUVRQZUWNUUMUWOXSWLWMUUK
      UWPUUFXSJUUKUWPUUBYJUWOMIZLIUUFUUKUUBYJUWOUURUVMUWTWQUUKUXAUUEUUBLUUKYDYI
      XSYPHIZMIZDKYJYDUXBDKZMIUUEUXAUUKYDYIUXBDUUSUVLUVAXSYPUUKUWLUUTUVOWRZUVQQ
      WSUUKYDUUDUXCDUVAYFYHYGMIZHIYIYFYGHIZMIUUDUXCUVAYFYHYGUVFUVKUVAYGUVJPXBUV
      AUUCUXFYFHUVAYGFNZUUCUXFULUUTUUKYEFNZUXHUUTYEUVCXCXSYEXDXEYGBCEWEVLSUVAUX
      BUXGYIMUVAUWLYFTNYETNYEWIWTURZUXBUXGULUXEUVFUVAUXIUXJUVAYEUVDXCYEWJVLXSYF
      YEXFWMSWPXGUUKUWOUXDYJMUUKYDYPXSDUUSUVOUVQXJSXHSWGRUUKUWRYQUUNMUUKYQXSUVR
      UVOUVPXASXIXKXLXMYOUKNYSUKNYTUKNADXNADXOYOYSXPXQXR $.

    $( Selberg's symmetry formula, using the residual of the second Chebyshev
       function.  Equation 10.6.8 of [Shapiro], p. 429.  (Contributed by Mario
       Carneiro, 30-May-2016.) $)
    selberg3r $p |- ( x e. ( 1 (,) +oo ) |-> ( ( ( ( R ` x ) x. ( log ` x ) ) +
      ( ( 2 / ( log ` x ) ) x. sum_ n e. ( 1 ... ( |_ ` x ) )
        ( ( ( Lam ` n ) x. ( R ` ( x / n ) ) ) x. ( log ` n ) ) ) )
          / x ) ) e. O(1) $=
      ( c1 co cfv cmul c2 cdiv caddc cmpt wcel wtru cmin cr a1i recnd oveq2d cv
      cpnf cioo clog cfl cfz cvma csu co1 cchp elioore adantl crp 1red eliooord
      1rp clt wbr simpld ltled rpgecld relogcld 2timesd chpcl remulcld rplogcld
      wa syl rerpdivcld fzfid cn elfznn vmacl adantr nndivred fsumrecl readdcld
      2re nnrpd subsub4d eqtr4d oveq1d subcld 2cn rpne0d divcld mulcld nnncan2d
      pntrf ffvelrni addcld divsubdird addsubassd subdid fsummulc2 mul32d nncnd
      fsumsub nnne0d div23d div12d oveq12d wceq rpdivcld pntrval eqtrd sumeq2dv
      eqtr3d mul12d 3eqtr3rd subdird addsubd divcan3d 3eqtrrd resubcld selberg3
      cc mpteq2dva rehalfcld div32d eqcomd cc0 wne divcan2d wss ioossre o1const
      2ne0 mp2an vmalogdivsum o1mul2 eqeltrrd o1sub2 eqeltrd mptru ) AFUBUCGZAU
      AZBHZYQUDHZIGZJYSKGZFYQUEHZUFGZCUAZUGHZYQUUDKGZBHZIGUUDUDHZIGZCUHZIGZLGZY
      QKGZMZUINOUUNAYPYQUJHZYSIGZUUAUUCUUEUUFUJHZIGZUUHIGZCUHZIGZLGZYQKGZJYSIGZ
      PGZUUAUUCUUEUUDKGZUUHIGZCUHZIGZYSPGZPGZMUIOAYPUUMUVKOYQYPNZVGZUVKUVCYSPGZ
      YSPGZUVJPGUVNUVIPGZUUMUVMUVEUVOUVJPUVMUVEUVCYSYSLGZPGUVOUVMUVDUVQUVCPUVMY
      SUVMYSUVMYQUVMYQFUVLYQQNZOYQFUBUKULZFUMNUVMUPRUVMFYQUVMUNUVSUVMFYQUQURZYQ
      UBUQURZUVLUVTUWAVGOYQFUBUOULUSZUTVAZVBZSZVCTUVMUVCYSYSUVMUVCUVMUVBYQUVMUU
      PUVAUVMUUOYSUVMUVRUUOQNUVSYQVDVHZUWDVEZUVMUUAUUTUVMJYSJQNUVMVRRZUVMYQUVSU
      WBVFZVIZUVMUUCUUSCUVMFUUBVJZUVMUUDUUCNZVGZUURUUHUWMUUEUUQUWMUUDVKNZUUEQNU
      WLUWNUVMUUDUUBVLULZUUDVMVHZUWMUUFQNUUQQNUWMYQUUDUVMUVRUWLUVSVNUWOVOZUUFVD
      VHZVEUWMUUDUWMUUDUWOVSZVBZVEZVPZVEZVQZUWCVIZSZUWEUWEVTWAWBUVMUVNUVIYSUVMU
      VCYSUXFUWEWCUVMUUAUVHUVMJYSJXQNZUVMWDRUWEUVMYSUWIWEZWFZUVMUVHUVMUUCUVGCUW
      KUWMUVFUUHUWMUUEUUDUWPUWOVOUWTVEZVPZSZWGZUWEWHUVMYTUVALGZYQUVIIGZPGZYQKGU
      XNYQKGZUXOYQKGZPGUUMUVPUVMUXNUXOYQUVMYTUVAUVMYRYSUVMYRUVMYQUMNZYRQNUWCUMQ
      YQBBDEWIZWJVHSUWEWGZUVMUVAUXCSZWKUVMYQUVIUVMYQUVSSZUXMWGZUYCUVMYQUWCWEZWL
      UVMUXPUULYQKUVMUXPYTUVAUXOPGZLGUULUVMYTUVAUXOUYAUYBUYDWMUVMUYFUUKYTLUVMUU
      AUUTYQUVHIGZPGZIGUVAUUAUYGIGZPGUUKUYFUVMUUAUUTUYGUXIUVMUUTUXBSUVMYQUVHUYC
      UXLWGWNUVMUYHUUJUUAIUVMUYHUUCUUSYQUVGIGZPGZCUHZUUJUVMUYHUUTUUCUYJCUHZPGUY
      LUVMUYGUYMUUTPUVMUUCUVGYQCUWKUYCUWMUVGUXJSZWOTUVMUUCUUSUYJCUWKUWMUUSUXASU
      WMYQUVGUVMYQXQNUWLUYCVNZUYNWGWRWAUVMUUCUYKUUICUWMUYKUUEUUHIGZUUGIGZUUIUWM
      UYKUYPUUQIGZUYPUUFIGZPGZUYQUWMUUSUYRUYJUYSPUWMUUEUUQUUHUWMUUEUWPSZUWMUUQU
      WRSZUWMUUHUWTSZWPUWMYQUYPUUDKGZIGUYJUYSUWMVUDUVGYQIUWMUUEUUHUUDVUAVUCUWMU
      UDUWOWQZUWMUUDUWOWSZWTTUWMYQUYPUUDUYOUWMUUEUUHVUAVUCWGZVUEVUFXAXHXBUWMUYQ
      UYPUUQUUFPGZIGUYTUWMUUGVUHUYPIUWMUUFUMNZUUGVUHXCUWMYQUUDUVMUXSUWLUWCVNUWS
      XDZUUFBDEXEVHTUWMUYPUUQUUFVUGVUBUWMUUFUWQSWNXFWAUWMUUEUUGUUHVUAUWMUUGUWMV
      UIUUGQNVUJUMQUUFBUXTWJVHSVUCWPWAXGXFTUVMUYIUXOUVAPUVMUUAYQUVHUXIUYCUXLXIT
      XJTXFWBUVMUXQUVNUXRUVIPUVMUXQUVBYQYSIGZPGZYQKGZUVNUVMUXNVULYQKUVMUXNUUPVU
      KPGZUVALGVULUVMYTVUNUVALUVMYTUUOYQPGZYSIGVUNUVMYRVUOYSIUVMUXSYRVUOXCUWCYQ
      BDEXEVHWBUVMUUOYQYSUVMUUOUWFSUYCUWEXKXFWBUVMUUPUVAVUKUVMUUPUWGSUYBUVMYQYS
      UYCUWEWGZXLWAWBUVMVUMUVCVUKYQKGZPGUVNUVMUVBVUKYQUVMUVBUXDSVUPUYCUYEWLUVMV
      UQYSUVCPUVMYSYQUWEUYCUYEXMTXFXFUVMUVIYQUXMUYCUYEXMXBXJXNXROAYPUVEUVJQUVMU
      VCUVDUXEUVMJYSUWHUWDVEXOUVMUVIYSUVMUUAUVHUWJUXKVEUWDXOAYPUVEMUINOACXPROAY
      PJUVHYSKGZYSJKGZPGZIGZMAYPUVJMUIOAYPVVAUVJUVMVVAJVURIGZJVUSIGZPGUVJUVMJVU
      RVUSUVMJUWHSZUVMVURUVMUVHYSUXKUWIVIZSUVMVUSUVMYSUWDXSZSWNUVMVVBUVIVVCYSPU
      VMUVIVVBUVMJYSUVHVVDUWEUXLUXHXTYAUVMYSJUWEVVDJYBYCUVMYHRYDXBXFXROAYPJVUTQ
      UWHUVMVURVUSVVEVVFXOAYPJMUINZOYPQYEUXGVVGFUBYFWDAYPJYGYIRAYPVUTMUINOACYJR
      YKYLYMYNYO $.

    $( Selberg's symmetry formula, using the residual of the second Chebyshev
       function.  Equation 10.6.11 of [Shapiro], p. 430.  (Contributed by Mario
       Carneiro, 30-May-2016.) $)
    selberg4r $p |- ( x e. ( 1 (,) +oo ) |-> ( ( ( ( R ` x ) x. ( log ` x ) ) -
      ( ( 2 / ( log ` x ) ) x. sum_ n e. ( 1 ... ( |_ ` x ) )
          ( ( Lam ` n ) x. sum_ m e. ( 1 ... ( |_ ` ( x / n ) ) )
            ( ( Lam ` m ) x. ( R ` ( ( x / n ) / m ) ) ) ) ) )
        / x ) ) e. O(1) $=
      ( c1 co cmul c2 cdiv csu cmin wcel wtru cr recnd eqtrd adantr remulcld cv
      cpnf cioo cfv clog cfl cfz cvma cmpt co1 cchp caddc wa crp elioore adantl
      wceq 1rp a1i 1red clt wbr eliooord simpld ltled rpgecld pntrval syl chpcl
      oveq1d relogcld subdird ad2antrr cn elfznn nnrpd rpdivcld oveq2d nndivred
      vmacl subdid sumeq2dv fzfid mulcld fsumsub fsumrecl fsumcl 2re rerpdivcld
      rplogcld oveq12d sub4d resubcld rpne0d divsubdird divcan3d fsumdivc nncnd
      divassd nnne0d div12d cc cc0 wne div32d eqtr3d 3eqtr4d subsub2d mpteq2dva
      divcld selberg4 2cnd rehalfcld eqcomd divcan2d ioossre o1const 2vmadivsum
      2ne0 wss sylancr o1mul2 eqeltrrd o1add2 eqeltrd mptru ) AGUBUCHZAUAZBUDZY
      HUEUDZIHZJYJKHZGYHUFUDZUGHZDUAZUHUDZGYHYOKHZUFUDZUGHZCUAZUHUDZYQYTKHZBUDZ
      IHZCLZIHZDLZIHZMHZYHKHZUIZUJNOUUKAYGYHUKUDZYJIHZYLYNYPYSUUAUUBUKUDZIHZCLZ
      IHZDLZIHZMHZYHKHZYLYNYPYOKHZYSUUAYTKHZCLZIHZDLZIHZYJMHZULHZUIUJOAYGUUJUVI
      OYHYGNZUMZUUJUUTYHYJIHZYLYNYPYSUUAUUBIHZCLZIHZDLZIHZMHZMHZYHKHZUVIUVKUUIU
      VSYHKUVKUUIUUMUVLMHZUUSUVQMHZMHUVSUVKYKUWAUUHUWBMUVKYKUULYHMHZYJIHUWAUVKY
      IUWCYJIUVKYHUNNZYIUWCUQUVKYHGUVJYHPNZOYHGUBUOUPZGUNNUVKURUSUVKGYHUVKUTUWF
      UVKGYHVAVBZYHUBVAVBZUVJUWGUWHUMOYHGUBVCUPVDZVEVFZYHBEFVGVHVJUVKUULYHYJUVK
      UULUVKUWEUULPNUWFYHVIVHZQUVKYHUWFQZUVKYJUVKYHUWJVKZQZVLRUVKUUHYLUURUVPMHZ
      IHUWBUVKUUGUWOYLIUVKUUGYNUUQUVOMHZDLUWOUVKYNUUFUWPDUVKYOYNNZUMZUUFYPUUPUV
      NMHZIHUWPUWRUUEUWSYPIUWRUUEYSUUOUVMMHZCLUWSUWRYSUUDUWTCUWRYTYSNZUMZUUDUUA
      UUNUUBMHZIHUWTUXBUUCUXCUUAIUXBUUBUNNUUCUXCUQUXBYQYTUXBYHYOUVKUWDUWQUXAUWJ
      VMUWRYOUNNUXAUWRYOUWQYOVNNZUVKYOYMVOUPZVPSVQUXBYTUXAYTVNNZUWRYTYRVOUPZVPV
      QUUBBEFVGVHVRUXBUUAUUNUUBUXBUUAUXBUXFUUAPNUXGYTVTVHZQZUXBUUNUXBUUBPNUUNPN
      UXBYQYTUWRYQPNUXAUWRYHYOUVKUWEUWQUWFSUXEVSSZUXGVSZUUBVIVHZQUXBUUBUXKQZWAR
      WBUWRYSUUOUVMCUWRGYRWCZUXBUUOUXBUUAUUNUXHUXLTZQUXBUUAUUBUXIUXMWDZWERVRUWR
      YPUUPUVNUWRYPUWRUXDYPPNUXEYOVTVHZQZUWRUUPUWRYSUUOCUXNUXOWFZQUWRYSUVMCUXNU
      XPWGZWARWBUVKYNUUQUVODUVKGYMWCZUWRUUQUWRYPUUPUXQUXSTZQUWRYPUVNUXRUXTWDZWE
      RVRUVKYLUURUVPUVKYLUVKJYJJPNUVKWHUSZUVKYHUWFUWIWJZWIZQZUVKUURUVKYNUUQDUYA
      UYBWFZQUVKYNUVODUYAUYCWGZWARWKUVKUUMUVLUUSUVQUVKUUMUVKUULYJUWKUWMTZQUVKYH
      YJUWLUWNWDUVKUUSUVKYLUURUYFUYHTZQUVKYLUVPUYGUYIWDWLRVJUVKUVTUVAUVRYHKHZMH
      ZUVIUVKUUTUVRYHUVKUUTUVKUUMUUSUYJUYKWMZQZUVKUVRUVKUVLUVQUVKYHYJUWFUWMTZUV
      KYLUVPUYFUVKYNUVODUYAUWRYPUVNUXQUWRYSUVMCUXNUXBUUAUUBUXHUXKTZWFZTZWFZTWMQ
      UWLUVKYHUWJWNZWOUVKUYMUVAYJUVGMHZMHUVIUVKUYLVUBUVAMUVKUYLUVLYHKHZUVQYHKHZ
      MHVUBUVKUVLUVQYHUVKUVLUYPQUVKYLUVPUYGUVKUVPUYTQZWDUWLVUAWOUVKVUCYJVUDUVGM
      UVKYJYHUWNUWLVUAWPUVKVUDYLUVPYHKHZIHUVGUVKYLUVPYHUYGVUEUWLVUAWSUVKVUFUVFY
      LIUVKVUFYNUVOYHKHZDLUVFUVKYNUVOYHDUYAUWLUWRUVOUYSQVUAWQUVKYNVUGUVEDUWRYPU
      VNYHKHZIHYPUVDYOKHZIHVUGUVEUWRVUHVUIYPIUWRYSUVMYHKHZCLYSUVCYOKHZCLVUHVUIU
      WRYSVUJVUKCUXBVUJYHVUKIHZYHKHVUKUXBUVMVULYHKUXBYQUVCIHUVMVULUXBYQUUAYTUXB
      YQUXJQUXIUXBYTUXGWRUXBYTUXGWTXAUXBYHYOUVCUWRYHXBNZUXAUVKVUMUWQUWLSZSZUWRY
      OXBNUXAUWRYOUXEWRZSUXBUVCUXBUUAYTUXHUXGVSZQZUWRYOXCXDUXAUWRYOUXEWTZSXEXFV
      JUXBVUKYHUXBVUKUXBUVCYOVUQUWRUXDUXAUXESVSQVUOUWRYHXCXDZUXAUVKVUTUWQVUASZS
      WPRWBUWRYSUVMYHCUXNVUNUXBUVMUYQQVVAWQUWRYSUVCYOCUXNVUPVURVUSWQXGVRUWRYPUV
      NYHUXRUWRUVNUYRQVUNVVAWSUWRYPYOUVDUXRVUPUWRUVDUWRYSUVCCUXNVUQWFZQVUSXEXGW
      BRVRRWKRVRUVKUVAYJUVGUVKUUTYHUYOUWLVUAXJUWNUVKUVGUVKYLUVFUYFUVKYNUVEDUYAU
      WRUVBUVDUWRYPYOUXQUXEVSVVBTWFZTZQXHRRRXIOAYGUVAUVHPUVKUUTYHUYNUWJWIUVKUVG
      YJVVDUWMWMAYGUVAUIUJNOACDXKUSOAYGJUVFYJKHZYJJKHZMHZIHZUIAYGUVHUIUJOAYGVVH
      UVHUVKVVHJVVEIHZJVVFIHZMHUVHUVKJVVEVVFUVKXLZUVKVVEUVKUVFYJVVCUYEWIZQUVKVV
      FUVKYJUWMXMZQWAUVKVVIUVGVVJYJMUVKUVGVVIUVKJYJUVFVVKUWNUVKUVFVVCQUVKYJUYEW
      NXEXNUVKYJJUWNVVKJXCXDUVKXSUSXOWKRXIOAYGJVVGPUYDUVKVVEVVFVVLVVMWMOYGPXTJX
      BNAYGJUIUJNGUBXPOXLAYGJXQYAAYGVVGUIUJNOACDXRUSYBYCYDYEYF $.

    $( The sum of ~ selberg3r and ~ selberg4r .  (Contributed by Mario
       Carneiro, 31-May-2016.) $)
    selberg34r $p |- ( x e. ( 1 (,) +oo ) |-> ( ( ( ( R ` x ) x. ( log ` x ) )
      - ( sum_ n e. ( 1 ... ( |_ ` x ) )
          ( ( R ` ( x / n ) ) x. ( sum_ m e. { y e. NN | y || n }
            ( ( Lam ` m ) x. ( Lam ` ( n / m ) ) ) -
          ( ( Lam ` n ) x. ( log ` n ) ) ) ) / ( log ` x ) ) )
        / x ) ) e. O(1) $=
      ( c1 co cfv cmul cdiv csu cmin wcel wtru c2 cr remulcld recnd vk cpnf cfl
      cioo cv clog cfz cdvds wbr cn crab cvma co1 wa 2re a1i crp elioore adantl
      cmpt 1rp 1red clt eliooord ltled rpgecld pntrf ffvelrni relogcld rplogcld
      simpld syl rerpdivcld fzfid adantr elfznn nnrpd rpdivcld dvdsssfz1 ssrab2
      ssfid simpr sselid vmacl dvdsdivcl fsumrecl resubcld mulcld subcld rpne0d
      wss sylan 2cnd cc0 wne divdiv32d divcld divrecd divsubdird divcan3d rpcnd
      2ne0 div32d oveq1d eqtrd oveq12d 3eqtr3d mpteq2dva rehalfcld caddc subdid
      mul12d mulassd eqtr4d oveq2d sumeq2dv fsumsub fsummulc2 wceq oveq2 fveq2d
      fvoveq1 adantrr anasss dvdsflsumcom ad2antrr nncnd nnne0d divdiv1d eqcomd
      cc mulcomd 3eqtrd subsub3d 2timesd readdcld addsubassd divdird selberg3r
      add32d selberg4r o1add2 eqeltrd ioossre 1cnd halfcld o1const o1mul2 mptru
      sylancr eqeltrrd ) AHUBUDIZAUEZCJZUUMUFJZKIZHUUMUCJZUGIZUUMEUEZLIZCJZBUEU
      USUHUIZBUJUKZDUEZULJZUUSUVDLIZULJZKIZDMZUUSULJZUUSUFJZKIZNIZKIZEMZUUOLIZN
      IZUUMLIZUTZUMOPAUULQUUPKIZQUUOLIZUVOKIZNIZUUMLIZHQLIZKIZUTUVSUMPAUULUWFUV
      RPUUMUULOZUNZUWDQLIUWCQLIZUUMLIUWFUVRUWHUWCUUMQUWHUVTUWBUWHUVTUWHQUUPQROU
      WHUOUPZUWHUUNUUOUWHUUMUQOZUUNROUWHUUMHUWGUUMROPUUMHUBURUSZHUQOUWHVAUPUWHH
      UUMUWHVBZUWLUWHHUUMVCUIZUUMUBVCUIZUWGUWNUWOUNPUUMHUBVDUSVKZVEVFZUQRUUMCCF
      GVGZVHVLUWHUUMUWQVISZSZTZUWHUWAUVOUWHUWAUWHQUUOUWJUWHUUMUWLUWPVJZVMZTZUWH
      UVOUWHUURUVNEUWHHUUQVNZUWHUUSUUROZUNZUVAUVMUXGUUTUQOUVAROZUXGUUMUUSUWHUWK
      UXFUWQVOUXGUUSUXFUUSUJOZUWHUUSUUQVPUSZVQZVRUQRUUTCUWRVHVLZUXGUVIUVLUXGUVC
      UVHDUXGHUUSUGIZUVCUXGHUUSVNUXGUXIUVCUXMWKUXJUUSBVSVLWAZUXGUVDUVCOZUNZUVEU
      VGUXPUVDUJOZUVEROZUXPUVCUJUVDUVBBUJVTZUXGUXOWBWCUVDWDZVLZUXPUVFUJOUVGROZU
      XPUVCUJUVFUXSUXGUXIUXOUVFUVCOUXJBUVDUUSWEWLWCUVFWDVLZSZWFZUXGUVJUVKUXGUXI
      UVJROUXJUUSWDVLZUXGUUSUXKVIZSWGSWFZTZWHZWIZUWHUUMUWLTZUWHWMZUWHUUMUWQWJZQ
      WNWOUWHXBUPZWPUWHUWDQUWHUWCUUMUYKUYLUYNWQUYMUYOWRUWHUWIUVQUUMLUWHUWIUVTQL
      IZUWBQLIZNIUVQUWHUVTUWBQUXAUYJUYMUYOWSUWHUYPUUPUYQUVPNUWHUUPQUWHUUPUWSTZU
      YMUYOWTUWHUYQQUVPKIZQLIUVPUWHUWBUYSQLUWHQUUOUVOUYMUWHUUOUXBXAUYIUWHUUOUXB
      WJXCXDUWHUVPQUWHUVPUWHUVOUUOUYHUXBVMTUYMUYOWTXEXFXEXDXGXHPAUULUWDUWERUWHU
      WCUUMUWHUVTUWBUWTUWHUWAUVOUXCUYHSWGUWQVMUWHHUWMXIPAUULUWDUTAUULUUPUWAUURU
      VJUVAKIZUVKKIZEMZKIZXJIZUUMLIZUUPUWAUURUVEHUUMUVDLIZUCJZUGIZUAUEZULJZVUFV
      UILIZCJZKIZUAMZKIZDMZKIZNIZUUMLIZXJIZUTUMPAUULUWDVUTUWHUWDVUDVURXJIZUUMLI
      VUTUWHUWCVVAUUMLUWHUWCUVTVUCXJIZVUQNIZVUDUUPXJIZVUQNIVVAUWHUWCUVTVUQVUCNI
      ZNIVVCUWHUWBVVEUVTNUWHUWBUWAVUPVUBNIZKIVVEUWHUVOVVFUWAKUWHUVOUURUVAUVIKIZ
      VUANIZEMUURVVGEMZVUBNIVVFUWHUURUVNVVHEUXGUVNVVGUVAUVLKIZNIVVHUXGUVAUVIUVL
      UXGUVAUXLTZUXGUVIUYETZUXGUVJUVKUXGUVJUYFTZUXGUVKUYGTZWHXKUXGVVJVUAVVGNUXG
      VVJUVJUVAUVKKIKIVUAUXGUVAUVJUVKVVKVVMVVNXLUXGUVJUVAUVKVVMVVKVVNXMXNXOXEXP
      UWHUURVVGVUAEUXEUXGUVAUVIVVKVVLWHUXGUYTUVKUXGUVJUVAVVMVVKWHVVNWHXQUWHVVIV
      UPVUBNUWHVVIUURUVCUVAUVHKIZDMZEMUURVUHUUMUVDVUIKIZLIZCJZUVEVVQUVDLIZULJZK
      IZKIZUAMZDMVUPUWHUURVVGVVPEUXGUVCUVHUVADUXNVVKUXPUVHUYDTXRXPUWHBUUMVVOVWC
      UAEDUUSVVQXSZUVAVVSUVHVWBKVWEUUTVVRCUUSVVQUUMLXTYAVWEUVGVWAUVEKUUSVVQUVDU
      LLYBXOXFUWLUWHUXFUXOUNUNZVVOVWFUVAUVHUWHUXFUXHUXOUXLYCVWFUVEUVGUWHUXFUXOU
      XRUYAYDUWHUXFUXOUYBUYCYDSSTYEUWHUURVWDVUODUWHUVDUUROZUNZVWDVUHUVEVUMKIZUA
      MVUOVWHVUHVWCVWIUAVWHVUIVUHOZUNZVWCVULUVEVUJKIZKIVWLVULKIVWIVWKVVSVULVWBV
      WLKVWKVVRVUKCVWKVUKVVRVWKUUMUVDVUIUWHUUMYKOVWGVWJUYLYFVWKUVDVWHUVDUQOVWJV
      WHUVDVWGUXQUWHUVDUUQVPUSZVQVOZXAZVWKVUIVWJVUIUJOZVWHVUIVUGVPUSZYGZVWKUVDV
      WNWJZVWKVUIVWQYHYIYJYAVWKVWAVUJUVEKVWKVVTVUIULVWKVUIUVDVWRVWOVWSWTYAXOXFV
      WKVULVWLVWKVULVWKVUKUQOVULROVWKVUFVUIVWKUUMUVDUWHUWKVWGVWJUWQYFVWNVRVWKVU
      IVWQVQVRUQRVUKCUWRVHVLZTZVWKUVEVUJVWHUVEYKOVWJVWHUVEVWHUXQUXRVWMUXTVLZTZV
      OZVWKVUJVWKVWPVUJROVWQVUIWDVLZTZWHYLVWKUVEVUJVULVXDVXFVXAXMYMXPVWHVUHVUMU
      VEUAVWHHVUGVNZVXCVWKVUMVWKVUJVULVXEVWTSZTXRXNXPYMXDYMXOUWHUWAVUPVUBUXDUWH
      VUPUWHUURVUODUXEVWHUVEVUNVXBVWHVUHVUMUAVXGVXHWFSWFZTZUWHVUBUWHUURVUAEUXEU
      XGUYTUVKUXGUVJUVAUYFUXLSUYGSWFZTXKXEXOUWHUVTVUQVUCUXAUWHUWAVUPUXDVXJWHZUW
      HVUCUWHUWAVUBUXCVXKSZTZYNXEUWHVVBVVDVUQNUWHVVBUUPUUPXJIZVUCXJIVVDUWHUVTVX
      OVUCXJUWHUUPUYRYOXDUWHUUPVUCUUPUYRVXNUYRYTXNXDUWHVUDUUPVUQUWHVUDUWHUUPVUC
      UWSVXMYPZTZUYRVXLYQYMXDUWHVUDVURUUMVXQUWHUUPVUQUYRVXLWIUYLUYNYRXEXHPAUULV
      UEVUSRUWHVUDUUMVXPUWQVMUWHVURUUMUWHUUPVUQUWSUWHUWAVUPUXCVXISWGUWQVMAUULVU
      EUTUMOPACEFGYSUPAUULVUSUTUMOPACUADFGUUAUPUUBUUCPUULRWKUWEYKOAUULUWEUTUMOH
      UBUUDPHPUUEUUFAUULUWEUUGUUJUUHUUKUUI $.
  $}

  ${
    $d a c i k m n x y A $.  $d n x y B $.  $d m n x ph $.  $d c k m n x y S $.
    $d c m n x y R $.  $d m n T $.
    pntsval.1 $e |- S = ( a e. RR |-> sum_ i e. ( 1 ... ( |_ ` a ) )
      ( ( Lam ` i ) x. ( ( log ` i ) + ( psi ` ( a / i ) ) ) ) ) $.
    $( Define the "Selberg function", whose asymptotic behavior is the content
       of ~ selberg .  (Contributed by Mario Carneiro, 31-May-2016.) $)
    pntsval $p |- ( A e. RR -> ( S ` A ) = sum_ n e. ( 1 ... ( |_ ` A ) )
      ( ( Lam ` n ) x. ( ( log ` n ) + ( psi ` ( A / n ) ) ) ) ) $=
      ( c1 cv cfl cfv cfz co cvma clog cdiv cchp caddc cmul csu wceq cr oveq12d
      fveq2 oveq2 fveq2d cbvsumv oveq2d wcel fvoveq1 adantr syl5eq sumex fvmpt
      sumeq12dv ) EAGEHZIJZKLZCHZMJZURNJZUOUROLZPJZQLZRLZCSZGAIJZKLZDHZMJZVHNJZ
      AVHOLPJZQLZRLZDSZUABUOATZVEUQVIVJUOVHOLZPJZQLZRLZDSVNUQVDVSCDURVHTZUSVIVC
      VRRURVHMUCVTUTVJVBVQQURVHNUCVTVAVPPURVHUOOUDUEUBUBUFVOUQVGVSVMDVOUPVFGKUO
      AIUCUGVOVSVMTVHUQUHVOVRVLVIRVOVQVKVJQUOAVHPOUIUGUGUJUNUKFVGVMDULUM $.

    $( Functionality of the Selberg function.  (Contributed by Mario Carneiro,
       31-May-2016.) $)
    pntsf $p |- S : RR --> RR $=
      ( cr c1 cv cfl cfv cfz co cvma clog cdiv cchp caddc cmul csu wcel syl wa
      fzfid cn elfznn adantl vmacl nnrpd relogcld simpl nndivred chpcl readdcld
      remulcld fsumrecl fmpti ) CEEFCGZHIZJKZBGZLIZUSMIZUPUSNKZOIZPKZQKZBRADUPE
      SZURVEBVFFUQUBVFUSURSZUAZUTVDVHUSUCSZUTESVGVIVFUSUQUDUEZUSUFTVHVAVCVHUSVH
      USVJUGUHVHVBESVCESVHUPUSVFVGUIVJUJVBUKTULUMUNUO $.

    $( Selberg's symmetry formula, using the definition of the Selberg
       function.  (Contributed by Mario Carneiro, 31-May-2016.) $)
    selbergs $p |- ( x e. RR+ |->
      ( ( ( S ` x ) / x ) - ( 2 x. ( log ` x ) ) ) ) e. O(1) $=
      ( vn crp cv cfv cdiv co c2 clog cmul cmin cmpt c1 cfl wcel oveq1d cfz csu
      cvma cchp caddc co1 cr wceq rpre pntsval syl mpteq2ia selberg eqeltri ) A
      GAHZBIZUOJKZLUOMINKZOKZPAGQUORIUAKFHZUCIUTMIUOUTJKUDIUEKNKFUBZUOJKZUROKZP
      UFAGUSVCUOGSZUQVBUROVDUPVAUOJVDUOUGSUPVAUHUOUIUOBCFDEUJUKTTULAFUMUN $.

    $( Selberg's symmetry formula, using the definition of the Selberg
       function.  (Contributed by Mario Carneiro, 31-May-2016.) $)
    selbergsb $p |- E. c e. RR+ A. x e. ( 1 [,) +oo )
      ( abs ` ( ( ( S ` x ) / x ) - ( 2 x. ( log ` x ) ) ) ) <_ c $=
      ( vn cv cfv cdiv co clog cmul cmin cabs cle wbr c1 crp wcel cpnf cico cfl
      c2 wral wrex cfz cvma cchp caddc csu selbergb cr wa wb 1re elicopnf ax-mp
      wceq simplbi pntsval syl oveq1d fvoveq1d breq1d ralbiia rexbii mpbir ) AH
      ZBIZVIJKZUDVILIMKZNKOIZEHZPQZARUAUBKZUEZESUFRVIUCIUGKGHZUHIVRLIVIVRJKUIIU
      JKMKGUKZVIJKZVLNKOIZVNPQZAVPUEZESUFAGEULVQWCESVOWBAVPVIVPTZVMWAVNPWDVKVTV
      LONWDVJVSVIJWDVIUMTZVJVSUSWDWERVIPQZRUMTWDWEWFUNUOUPRVIUQURUTVIBCGDFVAVBV
      CVDVEVFVGVH $.

    $( The Selberg function can be expressed using the convolution product of
       the von Mangoldt function with itself.  (Contributed by Mario Carneiro,
       31-May-2016.) $)
    pntsval2 $p |- ( A e. RR -> ( S ` A ) = sum_ n e. ( 1 ... ( |_ ` A ) )
      ( ( ( Lam ` n ) x. ( log ` n ) ) + sum_ m e. { y e. NN | y || n }
        ( ( Lam ` m ) x. ( Lam ` ( n / m ) ) ) ) ) $=
      ( vk cr wcel cfv c1 co cvma cmul csu cn syl recnd cfl cfz clog cdiv caddc
      cv cchp cdvds crab pntsval wa elfznn adantl vmacl nnrpd relogcld nndivred
      simpl chpcl adddid sumeq2dv wceq fveq2 oveq2 fveq2d oveq12d cbvsumv fzfid
      fsummulc2 chpval oveq2d nncnd ad2antlr nnne0d divcan3d 3eqtr4d fvoveq1 id
      wbr ssrab2 simpr sselid dvdsdivcl sylan anasss dvdsflsumcom eqtr4d syl5eq
      cc remulcld mulcld fsumadd wss dvdsssfz1 ssfid fsumrecl 3eqtrd ) BJKZBCLM
      BUALZUBNZFUFZOLZXAUCLZBXAUDNZUGLZUENPNZFQWTXBXCPNZXBXEPNZUENZFQZWTXGAUFXA
      UHVSZARUIZEUFZOLZXAXMUDNZOLZPNZEQZUENFQZBCDFGHUJWRWTXFXIFWRXAWTKZUKZXBXCX
      EYAXBYAXARKZXBJKXTYBWRXAWSULUMZXAUNSTZYAXCYAXAYAXAYCUOUPTZYAXEYAXDJKXEJKY
      ABXAWRXTURYCUQXDUSSTZUTVAWRWTXGFQZWTXHFQZUENYGWTXRFQZUENXJXSWRYHYIYGUEWRY
      HWTXNBXMUDNZUGLZPNZEQZYIWTXHYLFEXAXMVBZXBXNXEYKPXAXMOVCYNXDYJUGXAXMBUDVDV
      EVFVGWRYMWTMYJUALZUBNZXNXMIUFZPNZXMUDNZOLZPNZIQZEQYIWRWTYLUUBEWRXMWTKZUKZ
      XNYPYQOLZIQZPNYPXNUUEPNZIQYLUUBUUDYPUUEXNIUUDMYOVHUUDXNUUDXMRKZXNJKZUUCUU
      HWRXMWSULZUMZXMUNZSTUUDYQYPKZUKZUUEUUNYQRKZUUEJKUUMUUOUUDYQYOULUMZYQUNSTV
      IUUDYKUUFXNPUUDYJJKYKUUFVBUUDBXMWRUUCURUUKUQYJIVJSVKUUDYPUUAUUGIUUNYTUUEX
      NPUUNYSYQOUUNYQXMUUNYQUUPVLUUNXMUUCUUHWRUUMUUJVMZVLUUNXMUUQVNVOVEVKVAVPVA
      WRABXQUUAIFEXAYRVBXPYTXNPXAYRXMOUDVQVKWRVRWRXTXMXLKZXQWIKYAUURUKZXQUUSXNX
      PUUSUUHUUIUUSXLRXMXKARVTZYAUURWAWBUULSUUSXORKXPJKUUSXLRXOUUTYAYBUURXOXLKY
      CAXMXAWCWDWBXOUNSWJZTWEWFWGWHVKWRWTXGXHFWRMWSVHZYAXBXCYDYEWKZYAXBXEYDYFWK
      WLWRWTXGXRFUVBUVCYAXRYAXLXQEYAMXAUBNZXLYAMXAVHYAYBXLUVDWMYCXAAWNSWOUVAWPT
      WLVPWQ $.

    pntrlog2bnd.r $e |- R = ( a e. RR+ |-> ( ( psi ` a ) - a ) ) $.
    $( The sum of ~ selberg3r and ~ selberg4r .  (Contributed by Mario
       Carneiro, 31-May-2016.) $)
    pntrlog2bndlem1 $p |- ( x e. ( 1 (,) +oo ) |->
      ( ( ( ( abs ` ( R ` x ) ) x. ( log ` x ) ) -
        ( sum_ n e. ( 1 ... ( |_ ` x ) ) ( ( abs ` ( R ` ( x / n ) ) ) x.
      ( ( S ` n ) - ( S ` ( n - 1 ) ) ) ) / ( log ` x ) ) )
      / x ) ) e. <_O(1) $=
      ( vy c1 co cfv cabs cmul cdiv wcel cn cr syl recnd vm vk cpnf cioo cv cfl
      clog cfz cmin csu cmpt clo1 wtru wbr crab cvma 1red co1 selberg34r wa crp
      cdvds elioore adantl 1rp a1i eliooord simpld ltled rpgecld pntrf ffvelrni
      clt relogcld remulcld fzfid adantr elfznn nnrpd rpdivcld dvdsssfz1 ssrab2
      wss ssfid simpr sselid vmacl dvdsdivcl sylan fsumrecl resubcld rerpdivcld
      rplogcld lo1o12 mpbii abscld nnred pntsf cle mulcld rpne0d divcld fsumabs
      subcld absmuld absge0d caddc abs2dif2d addcld pncan2d cuz elfzuz readdcld
      wceq fveq2 oveq12d rabbidv fvoveq1 oveq2d sumeq12rdv fsumm1 pntsval2 nnzd
      breq2 cz flid sumeq1d eqtrd zsubcld 3eqtr4d vmage0 mulge0d absidd logge0d
      1zzd cc0 breqtrrd letrd lediv1dd absdivd addcomd fsumge0 lemul2ad eqbrtrd
      oveq1d nnge1d fsumle lesub2dd abs2difd eqbrtrrd rpge0d adantrr lo1le
      mptru ) AJUCUDKZAUEZBLZMLZUUPUGLZNKZJUUPUFLZUHKZUUPEUEZOKZBLZMLZUVCCLZUVC
      JUIKZCLZUIKZNKZEUJZUUSOKZUIKZUUPOKZUKULPUMAUUOUUQUUSNKZUVBUVEIUEZUVCVBUNZ
      IQUOZUAUEZUPLZUVCUVTOKZUPLZNKZUAUJZUVCUPLZUVCUGLZNKZUIKZNKZEUJZUUSOKZUIKZ
      UUPOKZMLZUVOJRUMUQUMAUUOUWNUKURPAUUOUWOUKULPAIBUAEFHUSUMAUUOUWNUMUUPUUOPZ
      UTZUWNUWQUWMUUPUWQUVPUWLUWQUUQUUSUWQUUPVAPZUUQRPUWQUUPJUWPUUPRPUMUUPJUCVC
      VDZJVAPUWQVEVFUWQJUUPUWQUQUWSUWQJUUPVMUNZUUPUCVMUNZUWPUWTUXAUTUMUUPJUCVGV
      DVHZVIZVJZVARUUPBBFHVKZVLSZUWQUUPUXDVNZVOUWQUWKUUSUWQUVBUWJEUWQJUVAVPZUWQ
      UVCUVBPZUTZUVEUWIUXJUVDVAPUVERPUXJUUPUVCUWQUWRUXIUXDVQUXJUVCUXIUVCQPZUWQU
      VCUVAVRVDZVSZVTVARUVDBUXEVLSZUXJUWEUWHUXJUVSUWDUAUXJJUVCUHKZUVSUXJJUVCVPU
      XJUXKUVSUXOWCUXLUVCIWASWDZUXJUVTUVSPZUTZUWAUWCUXRUVTQPZUWARPZUXRUVSQUVTUV
      RIQWBZUXJUXQWEWFZUVTWGZSZUXRUWBQPZUWCRPUXRUVSQUWBUYAUXJUXKUXQUWBUVSPUXLIU
      VTUVCWHWIWFZUWBWGSZVOZWJZUXJUWFUWGUXJUXKUWFRPUXLUVCWGSZUXJUVCUXMVNZVOZWKZ
      VOZWJZUWQUUPUWSUXBWMZWLWKZUXDWLTZWNWOUWQUWNUYRWPUWQUVNUUPUWQUUTUVMUWQUURU
      USUWQUUQUWQUUQUXFTZWPUXGVOZUWQUVLUUSUWQUVBUVKEUXHUXJUVFUVJUXJUVEUXJUVEUXN
      TZWPZUXJUVGUVIUXJUVCRPZUVGRPUXJUVCUXLWQZRRUVCCCDFGWRZVLSUXJUVHRPZUVIRPUXJ
      UVCJVUDUXJUQWKZRRUVHCVUEVLSZWKZVOZWJZUYPWLZWKZUXDWLUMUWPUVOUWOWSUNJUUPWSU
      NUWQUVOUWMMLZUUPOKZUWOWSUWQUVNVUNUUPVUMUWQUWMUWQUVPUWLUWQUUQUUSUYSUWQUUSU
      XGTZWTZUWQUWKUUSUWQUWKUYOTZVUPUWQUUSUYPXAZXBZXDWPZUXDUWQUVNUUTUWKMLZUUSOK
      ZUIKZVUNVUMUWQUUTVVCUYTUWQVVBUUSUWQUWKVURWPZUYPWLZWKVVAUWQVVCUVMUUTVVFVUL
      UYTUWQVVBUVLUUSVVEVUKUYPUWQVVBUVBUWJMLZEUJUVLVVEUWQUVBVVGEUXHUXJUWJUXJUWJ
      UYNTZWPZWJVUKUWQUVBUWJEUXHVVHXCUWQUVBVVGUVKEUXHVVIVUJUXJVVGUVFUWIMLZNKUVK
      WSUXJUVEUWIVUAUXJUWIUYMTZXEUXJVVJUVJUVFUXJUWIVVKWPVUIVUBUXJUVEVUAXFUXJVVJ
      UWEMLZUWHMLZXGKZUVJWSUXJUWEUWHUXJUWEUYITZUXJUWHUYLTZXHUXJUVIUWEUWHXGKZXGK
      ZUVIUIKVVQUVJVVNUXJUVIVVQUXJUVIVUHTUXJUWEUWHVVOVVPXIXJUXJUVGVVRUVIUIUXJUX
      OUBUEZUPLZVVSUGLZNKZUVQVVSVBUNZIQUOZUWAVVSUVTOKZUPLZNKZUAUJZXGKZUBUJZJUVH
      UHKZVWIUBUJZUWHUWEXGKZXGKUVGVVRUXJVWIVWMUBJUVCUXIUVCJXKLPUWQUVCJUVAXLVDUX
      JVVSUXOPZUTZVWIVWOVWBVWHVWOVVTVWAVWOVVSQPZVVTRPVWNVWPUXJVVSUVCVRVDZVVSWGS
      VWOVVSVWOVVSVWQVSVNVOVWOVWDVWGUAVWOJVVSUHKZVWDVWOJVVSVPVWOVWPVWDVWRWCVWQV
      VSIWASWDVWOUVTVWDPZUTZUWAVWFVWTUXSUXTVWTVWDQUVTVWCIQWBZVWOVWSWEWFUYCSVWTV
      WEQPVWFRPVWTVWDQVWEVXAVWOVWPVWSVWEVWDPVWQIUVTVVSWHWIWFVWEWGSVOWJXMTVVSUVC
      XNZVWBUWHVWHUWEXGVXBVVTUWFVWAUWGNVVSUVCUPXOVVSUVCUGXOXPVXBVWDUVSVWGUWDUAV
      XBVWCUVRIQVVSUVCUVQVBYDXQVXBVWGUWDXNUXQVXBVWFUWCUWANVVSUVCUVTUPOXRXSVQXTX
      PYAUXJUVGJUVCUFLZUHKZVWIUBUJZVWJUXJVUCUVGVXEXNVUDIUVCCDUAUBFGYBSUXJVXDUXO
      VWIUBUXJVXCUVCJUHUXJUVCYEPVXCUVCXNUXJUVCUXLYCZUVCYFSXSYGYHUXJUVIVWLVVQVWM
      XGUXJUVIJUVHUFLZUHKZVWIUBUJZVWLUXJVUFUVIVXIXNVUGIUVHCDUAUBFGYBSUXJVXHVWKV
      WIUBUXJVXGUVHJUHUXJUVHYEPVXGUVHXNUXJUVCJVXFUXJYOYIUVHYFSXSYGYHUXJUWEUWHVV
      OVVPUUAXPYJUUEUXJVVLUWEVVMUWHXGUXJUWEUYIUXJUVSUWDUAUXPUYHUXRUWAUWCUYDUYGU
      XRUXSYPUWAWSUNUYBUVTYKSUXRUYEYPUWCWSUNUYFUWBYKSYLUUBYMUXJUWHUYLUXJUWFUWGU
      YJUYKUXJUXKYPUWFWSUNUXLUVCYKSUXJUVCVUDUXJUVCUXLUUFYNYLYMXPYJYQUUCUUDUUGYR
      YSUUHUWQUVPMLZUWLMLZUIKVVDVUNWSUWQVXJUUTVXKVVCUIUWQVXJUURUUSMLZNKUUTUWQUU
      QUUSUYSVUPXEUWQVXLUUSUURNUWQUUSUXGUWQUUPUWSUXCYNYMZXSYHUWQVXKVVBVXLOKVVCU
      WQUWKUUSVURVUPVUSYTUWQVXLUUSVVBOVXMXSYHXPUWQUVPUWLVUQVUTUUIUUJYRYSUWQUWOV
      UNUUPMLZOKVUOUWQUWMUUPUWQUWMUYQTUWQUUPUWSTUWQUUPUXDXAYTUWQVXNUUPVUNOUWQUU
      PUWSUWQUUPUXDUUKYMXSYHYQUULUUMUUN $.

    ${
      pntrlog2bndlem2.1 $e |- ( ph -> A e. RR+ ) $.
      pntrlog2bndlem2.2 $e |- ( ph ->
        A. y e. RR+ ( psi ` y ) <_ ( A x. y ) ) $.
      $( Lemma for ~ pntrlog2bnd .  Bound on the difference between the Selberg
         function and its approximation, inside a sum.  (Contributed by Mario
         Carneiro, 31-May-2016.) $)
      pntrlog2bndlem2 $p |- ( ph -> ( x e. ( 1 (,) +oo ) |->
        ( sum_ n e. ( 1 ... ( |_ ` x ) ) ( n x. ( abs `
          ( ( R ` ( x / ( n + 1 ) ) ) - ( R ` ( x / n ) ) ) ) )
        / ( x x. ( log ` x ) ) ) ) e. O(1) ) $=
        ( c1 co caddc cdiv cmul wcel cle vm cpnf cioo cchp cfv cfl cfz csu clog
        cv cmin cabs cr 1red co1 wa elioore adantl chpcl syl recnd fzfid adantr
        cmpt cn elfznn peano2nnd nndivred readdcld fsumrecl clt eliooord mulcld
        wbr crp 1rp rpne0d divdird mpteq2dva rerpdivcld divdiv1d divrecd eqtr3d
        a1i o1mul2 eqeltrd cc o1const sylancr 1cnd o1add2 remulcld nnrpd rpge0d
        cc0 divge0d addge0d fsumge0 absidd abscld ad2antrr oveq2 rpdivcld nncnd
        wceq addcld nnne0d divassd divcld mulid2d oveq2d breqtrrd mulge0d letrd
        lediv2ad breqtrd fsumle lemul2ad mpbird lediv1dd oveq1d eqbrtrd adantrr
        eqtr2d eqtr4d leabsd o1le ffvelrni subcld pntrval eqtrd abssuble0d cneg
        oveq12d fveq2d c2 negsubdi2d 3eqtr2d sumeq12rdv ancli rplogcld rpmulcld
        simpld rpcnd ltled rpgecld mulne0d rprecred ex ssrdv chpo1ub divlogrlim
        o1res2 crli rlimo1 mp1i rpred ioossre chpge0 rpaddcld relogcld nnrecred
        wss fveq2 breq12d rspcdva leadd1dd adddird 3eqtrd nnred lep1d fsummulc2
        wral reccld harmonicubnd syl2anc mul32d ledivmul2d dividd 3brtr3d pntrf
        absge0d resubcld sub4d abs2dif2d chpwordi syl3anc addsub4d cfzo negdi2d
        fsumcl cn0 rprege0d flge0nn0 nn0p1nn 3syl flltp1 mulid1d ltdivmuld 1lt2
        2re lttrd wb chpeq0 divcan2d div1d pncand negeqd cz flcld fzval3 eqcomd
        addid2d pncan2d cuz nnuz eleqtrdi fsumparts mulneg2d fsumneg neg11d ) A
        BNUBUCOZBUJZUDUEZNUYCUFUEZUGOZUYCHUJZNPOZQOZUDUEZUYIPOZHUHZPOZUYCUYCUIU
        EZROZQOZUYFUYGUYIEUEZUYCUYGQOZEUEZUKOZULUEZROZHUHZUYOQOZNUMAUNZABUYBUYP
        VDBUYBUYDUYOQOZUYLUYOQOZPOZVDUOABUYBUYPVUHAUYCUYBSZUPZUYDUYLUYOVUJUYDVU
        JUYCUMSZUYDUMSVUIVUKAUYCNUBUQURZUYCUSUTZVAZVUJUYLVUJUYFUYKHVUJNUYEVBZVU
        JUYGUYFSZUPZUYJUYIVUQUYIUMSZUYJUMSVUQUYCUYHVUJVUKVUPVULVCZVUQUYGVUPUYGV
        ESVUJUYGUYEVFURZVGZVHZUYIUSUTZVVBVIZVJZVAZVUJUYCUYNVUJUYCVULVAZVUJUYNVU
        JUYCVULVUJNUYCVKVNZUYCUBVKVNZVUIVVHVVIUPAUYCNUBVLURUUCZUUAZUUDZVMZVUJUY
        CUYNVVGVVLVUJUYCVUJUYCNVULNVOSZVUJVPWDZVUJNUYCVUJUNZVULVVJUUEZUUFZVQZVU
        JUYNVVKVQZUUGZVRVSABUYBVUFVUGUMVUJUYDUYOVUMVUJUYCUYNVVRVVKUUBZVTVUJUYLU
        YOVVEVWBVTZABUYBVUFVDBUYBUYDUYCQOZNUYNQOZROZVDUOABUYBVUFVWFVUJVWDUYNQOV
        UFVWFVUJUYDUYCUYNVUNVVGVVLVVSVVTWAVUJVWDUYNVUJVWDVUJUYDUYCVUMVVRVTZVAVV
        LVVTWBWCVSABUYBVWDVWEUMVWGVUJUYNVVKUUHZABUYBVOVWDABUYBVOAVUIUYCVOSZVVRU
        UIUUJBVOVWDVDUOSABUUKWDUUMBUYBVWEVDZWOUUNVNVWJUOSABUULWOVWJUUOUUPZWEWFA
        BUYBDNPOZNVWEPOZROZVUGNUMVUEABUYBVWLVWMUMAVWLUMSVUIADNADLUUQZVUEVIZVCZV
        UJNVWEVVPVWHVIZAUYBUMUVCZVWLWGSZBUYBVWLVDUOSNUBUURZAVWLVWPVAZBUYBVWLWHW
        IABUYBNVWEUMVVPVWHAVWSNWGSBUYBNVDUOSVXAAWJBUYBNWHWIVWKWKWEVUJVWLVWMVWQV
        WRWLZVUJVUGVWCVAAVUIVUGULUEZVWNULUEZTVNNUYCTVNZVUJVXDVUGVXETVUJVUGVWCVU
        JUYLUYOVVEVWBVUJUYFUYKHVUOVVDVUQUYJUYIVVCVVBVUQVURWOUYJTVNVVBUYIUUSUTVU
        QUYCUYHVUSVUQUYGNVUQUYGVUTWMZVVNVUQVPWDUUTZVUQUYCVUJVWIVUPVVRVCZWNZWPWQ
        WRWPWSVUJVUGVWNVXEVWCVXCVUJVWNVUJVWNVXCVAWTVUJUYLUYCQOZUYNQOVWLUYNNPOZR
        OZUYNQOZVUGVWNTVUJVXKVXMUYNVUJUYLUYCVVEVVRVTVUJVWLVXLVWQVUJUYNNVUJUYCVV
        RUVAVVPVIZWLZVVKVUJVXKVXMTVNUYLVXMUYCROZTVNVUJUYLVWLUYCROZVXLROZVXQTVUJ
        UYLVXRUYFNUYGQOZHUHZROZVXSVVEVUJVXRVYAVUJVWLUYCVWQVULWLZVUJUYFVXTHVUOVU
        QUYGVUTUVBZVJZWLVUJVXRVXLVYCVXOWLVUJUYLUYFVXRVXTROZHUHVYBTVUJUYFUYKVYFH
        VUOVVDVUQVXRVXTVUQVWLUYCVUQDNADUMSZVUIVUPVWOXAZVUQUNVIVUSWLZVYDWLVUQUYK
        VXRUYGQOZVYFTVUQUYKVXRUYHQOZVYJVVDVUQVXRUYHVYIVVAVHVUQVXRUYGVYIVUTVHVUQ
        UYKDUYIROZUYIPOZVYKTVUQUYJVYLUYIVVCVUQDUYIVYHVVBWLVVBVUQCUJZUDUEZDVYNRO
        ZTVNZUYJVYLTVNCVOUYIVYNUYIXEVYOUYJVYPVYLTVYNUYIUDUVDVYNUYIDRXBUVEAVYQCV
        OUVMVUIVUPMXAVUQUYCUYHVXIVXHXCZUVFUVGVUQVYKVWLUYIROVYLNUYIROZPOVYMVUQVW
        LUYCUYHAVWTVUIVUPVXBXAVUJUYCWGSVUPVVGVCZVUQUYGNVUQUYGVUTXDZVUQWJZXFZVUQ
        UYHVVAXGZXHVUQDNUYIVUQDVYHVAWUBVUQUYCUYHVYTWUCWUDXIZUVHVUQVYSUYIVYLPVUQ
        UYIWUEXJXKUVIXLVUQUYGUYHVXRVXGVXHVYIVUJWOVXRTVNVUPVUJVWLUYCVWQVULVUJDNA
        VYGVUIVWOVCVVPVUJDADVOSVUILVCWNVUJNVVOWNWQVUJUYCVVRWNXMZVCVUQUYGVUQUYGV
        UTUVJZUVKZXOXNVUQVXRUYGVUQVXRVYIVAWUAVUQUYGVUTXGZWBXPXQVUJUYFVXTVXRHVUO
        VUJVXRVYCVAVUQUYGWUAWUIUVNUVLXLVUJVYAVXLVXRVYEVXOVYCWUFVUJVUKVXFVYAVXLT
        VNVULVVQUYCHUVOUVPXRXNVUJVWLUYCVXLAVWTVUIVXBVCZVVGVUJVXLVXOVAUVQXPVUJUY
        LVXMUYCVVEVXPVVRUVRXSXTVUJUYLUYCUYNVVFVVGVVLVVSVVTWAVUJVXNVWLVXLUYNQOZR
        OVWNVUJVWLVXLUYNWUJVUJUYNNVVLVUJWJZXFVVLVVTXHVUJVWMWUKVWLRVUJWUKUYNUYNQ
        OZVWEPOVWMVUJUYNNUYNVVLWULVVLVVTVRVUJWUMNVWEPVUJUYNVVLVVTUVSYAYDXKYEUVT
        VUJVWNVXCYFXNYBYCYGWKWFVUJUYMUYOVUJUYDUYLVUMVVEVIZVWBVTZVUJVUDVUJVUCUYO
        VUJUYFVUBHVUOVUQUYGVUAWUGVUQUYTVUQUYQUYSVUQUYQVUQUYIVOSZUYQUMSVYRVOUMUY
        IEEIKUWAZYHUTVAVUQUYSVUQUYRVOSZUYSUMSVUQUYCUYGVXIVXGXCZVOUMUYREWUQYHUTV
        AYIZWTZWLZVJZVWBVTZVAAVUIVUDULUEZUYPULUEZTVNVXFVUJWVEVUDWVFTVUJVUDWVDVU
        JVUCUYOWVCVWBVUJUYFVUBHVUOWVBVUQUYGVUAWUGWVAVUQUYGVXGWNZVUQUYTWUTUWBXMW
        RWPWSVUJVUDUYPWVFWVDWUOVUJUYPVUJUYMUYOVUJUYDUYLVUNVVFXFZVVMVWAXIWTVUJVU
        CUYMUYOWVCWUNVWBVUJVUCUYFUYGUYRUDUEZUYRPOZUYKUKOZROZHUHZUYMTVUJUYFVUBWV
        LHVUOWVBVUQUYGWVKWUGVUQWVJUYKVUQWVIUYRVUQUYRUMSZWVIUMSVUQUYCUYGVUSVUTVH
        ZUYRUSUTZWVOVIVVDUWCZWLVUQVUAWVKUYGWVAWVQWUGWVGVUQVUAUYJWVIUKOZULUEZUYI
        UYRUKOZULUEZPOZWVKTVUQVUAWVRWVTUKOZULUEWWBTVUQUYTWWCULVUQUYTUYJUYIUKOZW
        VIUYRUKOZUKOWWCVUQUYQWWDUYSWWEUKVUQWUPUYQWWDXEVYRUYIEIKYJUTVUQWURUYSWWE
        XEWUSUYREIKYJUTYNVUQUYJUYIWVIUYRVUQUYJVVCVAZWUEVUQWVIWVPVAZVUQUYCUYGVYT
        WUAWUIXIZUWDYKYOVUQWVRWVTVUQUYJWVIWWFWWGYIVUQUYIUYRWUEWWHYIUWEYBVUQWWBW
        VIUYJUKOZUYRUYIUKOZPOWVKVUQWVSWWIWWAWWJPVUQUYJWVIVVCWVPVUQVURWVNUYIUYRT
        VNUYJWVITVNVVBWVOVUQUYGUYHUYCVXGVXHVUSVXJWUHXOZUYIUYRUWFUWGYLVUQUYIUYRV
        VBWVOWWKYLYNVUQWVIUYRUYJUYIWWGWWHWWFWUEUWHYEXPXRXQVUJWVMUYMVUJUYFWVLHVU
        OVUQUYGWVKWUAVUQWVKWVQVAZVMZUWKWVHVUJUYMYMZUYFWVLYMZHUHZWVMYMVUJWWNUYDY
        MZUYLUKOUYENPOZUYCWWRQOZUDUEZWWSPOZROZNUYCNQOZUDUEZWXCPOZROZUKOZNWWRUWI
        OZUYHUYGUKOZUYKROZHUHZUKOZWWPVUJUYDUYLVUNVVFUWJVUJWXGWWQWXKUYLUKVUJWXGU
        YCUYDUYCPOZUKOWXMUYCUKOZYMWWQVUJWXBUYCWXFWXMUKVUJWXBWWRWWSROUYCVUJWXAWW
        SWWRRVUJWXAWOWWSPOWWSVUJWWTWOWWSPVUJWWTWOXEZWWSYPVKVNZVUJWWSNYPVUJUYCWW
        RVULVUJVUKWOUYCTVNUPUYEUWLSWWRVESVUJUYCVVRUWMUYCUWNUYEUWOUWPZVHZVVPYPUM
        SVUJUXAWDVUJWWSNVKVNUYCWWRNROZVKVNVUJUYCWWRWXSVKVUJVUKUYCWWRVKVNVULUYCU
        WQUTVUJWWRVUJWWRWXQXDZUWRXLVUJUYCNWWRVULVVPVUJWWRWXQWMUWSXSNYPVKVNVUJUW
        TWDUXBVUJWWSUMSWXOWXPUXCWXRWWSUXDUTXSYAVUJWWSVUJWWSWXRVAUXMYKXKVUJUYCWW
        RVVGWXTVUJWWRWXQXGUXEYKVUJWXFNWXMROWXMVUJWXEWXMNRVUJWXDUYDWXCUYCPVUJWXC
        UYCUDVUJUYCVVGUXFZYOWYAYNXKVUJWXMVUJWXMVUJUYDUYCVUMVULVIVAZXJYKYNVUJWXM
        UYCWYBVVGYQVUJWXNUYDVUJUYDUYCVUNVVGUXGUXHYRVUJWXHUYFWXJUYKHVUJUYFWXHVUJ
        UYEUXISUYFWXHXEVUJUYCVULUXJNUYEUXKUTUXLZVUQWXJNUYKROUYKVUQWXINUYKRVUQUY
        GNWUAWUBUXNYAVUQUYKVUQUYKVVDVAXJYKYSYNVUJWXHUYGUYKWVJUKOZROZHUHWXLWWPVU
        JUAUJZUYGUYHNHUAWWRNWWRUYCWYFQOZUDUEZWYGPOZWVJUYKWXEWXAWYFUYGXEZWYIWVJX
        EWYJWYHWVIWYGUYRPWYJWYGUYRUDWYFUYGUYCQXBZYOWYKYNYTWYFUYHXEZWYIUYKXEWYLW
        YHUYJWYGUYIPWYLWYGUYIUDWYFUYHUYCQXBZYOWYMYNYTWYFNXEZWYIWXEXEWYNWYHWXDWY
        GWXCPWYNWYGWXCUDWYFNUYCQXBZYOWYOYNYTWYFWWRXEZWYIWXAXEWYPWYHWWTWYGWWSPWY
        PWYGWWSUDWYFWWRUYCQXBZYOWYQYNYTVUJWWRVENUXOUEWXQUXPUXQVUJWYFNWWRUGOSZUP
        ZWYFWYRWYFVESVUJWYFWWRVFURZXDWYSWYIWYSWYHWYGWYSWYGUMSWYHUMSWYSUYCWYFVUJ
        VUKWYRVULVCWYTVHZWYGUSUTXUAVIVAUXRVUJWXHUYFWYEWWOHWYCVUQUYGWVKYMZROWYEW
        WOVUQXUBWYDUYGRVUQWVJUYKVUQWVIUYRWWGWWHXFVUQUYJUYIWWFWUEXFYQXKVUQUYGWVK
        WUAWWLUXSWCYSWCYRVUJUYFWVLHVUOWWMUXTYDUYAXPXTVUJUYPWUOYFXNYBYCYG $.
    $}

    ${
      pntrlog2bndlem3.1 $e |- ( ph -> A e. RR+ ) $.
      pntrlog2bndlem3.2 $e |- ( ph -> A. y e. ( 1 [,) +oo )
      ( abs ` ( ( ( S ` y ) / y ) - ( 2 x. ( log ` y ) ) ) ) <_ A ) $.
      $( Lemma for ~ pntrlog2bnd .  Bound on the difference between the Selberg
         function and its approximation, inside a sum.  (Contributed by Mario
         Carneiro, 31-May-2016.) $)
      pntrlog2bndlem3 $p |- ( ph -> ( x e. ( 1 (,) +oo ) |->
        ( sum_ n e. ( 1 ... ( |_ ` x ) ) ( ( ( abs ` ( R ` ( x / n ) ) ) -
            ( abs ` ( R ` ( x / ( n + 1 ) ) ) ) ) x.
              ( ( S ` n ) - ( 2 x. ( n x. ( log ` n ) ) ) ) )
        / ( x x. ( log ` x ) ) ) ) e. O(1) ) $=
        ( c1 co cfv cabs cmul cr wcel vc cpnf cioo cfl cfz caddc cdiv cmin clog
        cv csu c2 1red rpred adantr wa fzfid cn elfznn adantl nnred crp elioore
        1rp a1i clt eliooord simpld ltled rpgecld nnrpd rpaddcld rpdivcld pntrf
        wbr ffvelrni syl recnd subcld remulcld fsumrecl rplogcld rerpdivcld wss
        abscld rpmulcld cc cmpt co1 ioossre rpcnd o1const sylancr cchp cle wral
        wrex chpo1ubb simpl simpr pntrlog2bndlem2 rexlimiva mp1i resubcld pntsf
        o1mul2 relogcld fsumabs absge0d abs2difabsd abssubd breqtrd nnne0d 2cnd
        2re divcld mulcld absmuld subdird divcan1d mul32d mulassd oveq12d eqtrd
        eqtr3d fveq2d rpge0d absidd oveq2d 3eqtr3d weq fveq2 id breq1d ad2antrr
        cico nnge1d wb 1re letrd elicopnf ax-mp rspcdva eqbrtrd mulcomd 3brtr4d
        sylanbrc lemul1ad lemul12ad fsummulc2 breqtrrd lediv1dd absdivd divassd
        fsumle rpne0d eqtr2d 3brtr3d leabsd adantrr o1le ) ABNUBUCOZDNBUJZUDPZU
        EOZHUJZUVCUVFNUFOZUGOZEPZUVCUVFUGOZEPZUHOZQPZROZHUKZUVCUVCUIPZROZUGOZRO
        ZUVEUVKQPZUVIQPZUHOZUVFFPZULUVFUVFUIPZROZROZUHOZROZHUKZUVQUGOZNSAUMABUV
        BDUVRSADSTZUVCUVBTZADLUNUOZAUWLUPZUVOUVQUWNUVEUVNHUWNNUVDUQZUWNUVFUVETZ
        UPZUVFUVMUWQUVFUWPUVFURTUWNUVFUVDUSUTZVAZUWQUVLUWQUVIUVKUWQUVIUWQUVHVBT
        UVISTUWQUVCUVGUWNUVCVBTUWPUWNUVCNUWLUVCSTAUVCNUBVCUTZNVBTZUWNVDVEUWNNUV
        CUWNUMUWTUWNNUVCVFVOZUVCUBVFVOZUWLUXBUXCUPAUVCNUBVGUTVHZVIVJZUOZUWQUVFN
        UWQUVFUWRVKZUXAUWQVDVEVLVMVBSUVHEEIKVNZVPVQVRZUWQUVKUWQUVJVBTUVKSTUWQUV
        CUVFUXFUXGVMVBSUVJEUXHVPVQVRZVSWEZVTZWAZUWNUVCUVPUXEUWNUVCUWTUXDWBWFZWC
        ZAUVBSWDDWGTZBUVBDWHWITNUBWJADLWKZBUVBDWLWMCUJZWNPUAUJZUXRROWOVOCVBWPZU
        AVBWQBUVBUVRWHWITZACUAWRUXTUYAUAVBUXSVBTZUXTUPBCUXSEFGHIJKUYBUXTWSUYBUX
        TWTXAXBXCXFUWNDUVRUWMUXOVTZUWNUWJUWNUWIUVQUWNUVEUWHHUWOUWQUWBUWGUWQUVTU
        WAUWQUVKUXJWEUWQUVIUXIWEXDZUWQUWCUWFUWQUVFSTZUWCSTUWSSSUVFFFGIJXEVPVQZU
        WQULUWEULSTUWQXOVEUWQUVFUWDUWSUWQUVFUXGXGZVTVTXDZVTZWAZUXNWCVRZAUWLUWJQ
        PZUVSQPZWOVONUVCWOVOUWNUYLUVSUYMUWNUWJUYKWEUYCUWNUVSUWNUVSUYCVRWEUWNUWI
        QPZUVQUGOZDUVOROZUVQUGOUYLUVSWOUWNUYNUYPUVQUWNUWIUWNUWIUYJVRZWEZUWNDUVO
        UWMUXMVTZUXNUWNUYNUVEUWHQPZHUKZUYPUYRUWNUVEUYTHUWOUWQUWHUWQUWHUYIVRZWEZ
        WAUYSUWNUVEUWHHUWOVUBXHUWNVUAUVEDUVNROZHUKUYPWOUWNUVEUYTVUDHUWOVUCUWQDU
        VNUWNUWKUWPUWMUOZUXLVTUWQUWBQPZUWGQPZROUVMDUVFROZROZUYTVUDWOUWQVUFUVMVU
        GVUHUWQUWBUWQUWBUYDVRZWEUXKUWQUWGUWQUWGUYHVRZWEUWQDUVFVUEUWSVTUWQUWBVUJ
        XIUWQUWGVUKXIUWQVUFUVKUVIUHOQPUVMWOUWQUVKUVIUXJUXIXJUWQUVKUVIUXJUXIXKXL
        UWQVUGUWCUVFUGOZULUWDROZUHOZQPZUVFROZVUHWOUWQVUNUVFROZQPVUOUVFQPZROVUGV
        UPUWQVUNUVFUWQVULVUMUWQUWCUVFUWQUWCUYFVRZUWQUVFUWSVRZUWQUVFUWRXMZXPZUWQ
        ULUWDUWQXNZUWQUWDUYGVRZXQZVSZVUTXRUWQVUQUWGQUWQVUQVULUVFROZVUMUVFROZUHO
        UWGUWQVULVUMUVFVVBVVEVUTXSUWQVVGUWCVVHUWFUHUWQUWCUVFVUSVUTVVAXTUWQULUVF
        ROUWDROVVHUWFUWQULUVFUWDVVCVUTVVDYAUWQULUVFUWDVVCVUTVVDYBYEYCYDYFUWQVUR
        UVFVUORUWQUVFUWSUWQUVFUXGYGZYHYIYJUWQVUODUVFUWQVUNVVFWEVUEUWSVVIUWQUXRF
        PZUXRUGOZULUXRUIPZROZUHOZQPZDWOVOZVUODWOVOCNUBYPOZUVFCHYKZVVOVUODWOVVRV
        VNVUNQVVRVVKVULVVMVUMUHVVRVVJUWCUXRUVFUGUXRUVFFYLVVRYMYCVVRVVLUWDULRUXR
        UVFUIYLYIYCYFYNAVVPCVVQWPUWLUWPMYOUWQUYENUVFWOVOZUVFVVQTZUWSUWQUVFUWRYQ
        NSTVVTUYEVVSUPYRYSNUVFUUAUUBUUGUUCUUHUUDUUIUWQUWBUWGVUJVUKXRUWQVUHUVMRO
        VUDVUIUWQDUVFUVMAUXPUWLUWPUXQYOZVUTUWQUVMUXKVRZYBUWQVUHUVMUWQDUVFVWAVUT
        XQVWBUUEYEUUFUUOUWNUVEUVNDHUWOAUXPUWLUXQUOZUWQUVNUXLVRUUJUUKYTUULUWNUYL
        UYNUVQQPZUGOUYOUWNUWIUVQUYQUWNUVQUXNWKZUWNUVQUXNUUPZUUMUWNVWDUVQUYNUGUW
        NUVQUWNUVQUXNUNUWNUVQUXNYGYHYIUUQUWNDUVOUVQVWCUWNUVOUXMVRVWEVWFUUNUURUW
        NUVSUYCUUSYTUUTUVA $.
    $}

    pntrlog2bnd.t $e |- T = ( a e. RR |->
      if ( a e. RR+ , ( a x. ( log ` a ) ) , 0 ) ) $.
    $( Lemma for ~ pntrlog2bnd .  Bound on the difference between the Selberg
       function and its approximation, inside a sum.  (Contributed by Mario
       Carneiro, 31-May-2016.) $)
    pntrlog2bndlem4 $p |- ( x e. ( 1 (,) +oo ) |->
    ( ( ( ( abs ` ( R ` x ) ) x. ( log ` x ) ) -
      ( ( 2 / ( log ` x ) ) x. sum_ n e. ( 1 ... ( |_ ` x ) )
        ( ( abs ` ( R ` ( x / n ) ) ) x.
          ( ( T ` n ) - ( T ` ( n - 1 ) ) ) ) ) ) / x ) ) e. <_O(1) $=
      ( c1 co cfv cmul c2 cmin wcel wtru cc0 cr vy vm vc cpnf cv cabs clog cdiv
      cfl cfz csu cmpt clo1 caddc wa cneg cchp crp wceq adantl 1rp a1i 1red clt
      wbr ltled cn cle nnrpd rpdivcld nncnd breqtrrd mpbird oveq1d eqtrd fveq2d
      syl 2re 0red rpge0d recnd subid1d cvma pntsval2 1cnd pncand oveq2d eqtr4d
      sumeq1d 3eqtr4d oveq12d ffvelrni eqeltrd abscld remulcld cz eqcomd adantr
      cif resubcld elfznn rpre weq eleq1 id fveq2 ifbieq1d ovex c0ex ifex fvmpt
      iftrue nnred relogcld sumeq12rdv oveq2 fvoveq1 jca eqtrdi c0 ax-mp subdid
      0re eqtr3d 3eqtr3rd fsumrecl rpne0d divdiv1d rerpdivcld mulcld divsubdird
      2cnd divdird 3eqtr3d mpteq2dva adantrr ello1d co1 mp1i mulge0d simpld cn0
      elioore eliooord rpgecld rprege0d flge0nn0 nn0p1nn pntrval flltp1 mulid1d
      cioo cfzo nndivred ltdivmuld 1lt2 lttrd wb chpeq0 abssuble0d 3eqtrd cdvds
      crab nn0red nn0cnd flidm div1d pntrf mul01d relogcl remulcl sylan2 ifclda
      pntsf fmpti flcld fzval3 rpaddcld negsubdi2d mulneg1d fzfid fsumneg oveq1
      wn 1m1e0 flid fz10 sum0 rpne0 necon2bi iffalsed 2t0e0 0m0e0 nnuz eleqtrdi
      cuz fsumparts sub4d fsumcl subnegd mulcomd rplogcld divcld subsubd subcld
      fsummulc2 nncand mul12d sumeq2dv fsumsub 3eqtr2rd div23d 3eqtr2d readdcld
      0z rpmulcld pntrlog2bndlem1 rpcnd divassd ioossre o1const sylancr divrecd
      wss cc divcan4d ssrdv selbergs o1res2 crli divlogrlim rlimo1 o1mul2 o1dif
      ex 2rp flge1nn syl2anc nn0ge0d nnge1d logge0d flle logled mpbid lemul12ad
      eqbrtrd lemul2ad ledivmul2d divge0d o1lo12 o1sub2 o1lo1d lo1mul cico wral
      selbergsb simpl simpr pntrlog2bndlem3 rexlimiva lo1add eqeltrrd mptru
      wrex ) AKUDUULLZAUEZBMZUFMZVVFUGMZNLZOVVIUHLKVVFUIMZUJLZVVFFUEZUHLZBMZUFM
      ZVVMDMZVVMKPLZDMZPLZNLZFUKZNLZPLZVVFUHLZULZUMQRAVVEVVJVVLVVPVVMCMZVVRCMZP
      LZNLZFUKZVVIUHLZPLZVVFUHLZVVFVVKKUNLZUHLZVVFCMZOVVKDMZNLZPLZNLZVVLVVPVVFV
      VMKUNLZUHLZBMZUFMZPLZVWGOVVMVVMUGMZNLZNLZPLZNLZFUKZUNLZVVFVVINLZUHLZUNLZU
      LVWFUMRAVVEVXPVWERVVFVVEQZUOZVXPVWNVVLVVPVWIOVVTNLZPLZNLZFUKZVVIUHLZVVFUH
      LZUNLVWMVYCUNLZVVFUHLVWEVXRVXOVYDVWNUNVXRVXOVYBVVIVVFNLZUHLVYDVXRVXMVYBVX
      NVYFUHVXRVWPBMZUFMZVWOKPLZCMZOVYIDMZNLZPLZNLZVVFKUHLZBMZUFMZSNLZPLZKVWOUU
      MLZVXEVVPPLZVXBKPLZCMZOWUBDMZNLZPLZNLZFUKZPLZVXAVXLUPZPLVYBVXMVXRVYSVXAWU
      HWUJPVXRVYSVXASPLVXAVXRVYNVXAVYRSPVXRVYHVWPVYMVWTNVXRVYHSVWPPLZUFMVWPSPLV
      WPVXRVYGWUKUFVXRVYGVWPUQMZVWPPLZWUKVXRVWPURQVYGWUMUSVXRVVFVWOVXRVVFKVXQVV
      FTQZRVVFKUDUUCUTZKURQZVXRVAVBVXRKVVFVXRVCZWUOVXRKVVFVDVEZVVFUDVDVEZVXQWUR
      WUSUORVVFKUDUUDUTUUAZVFZUUEZVXRVWOVXRVVKUUBQZVWOVGQVXRWUNSVVFVHVEUOWVCVXR
      VVFWVBUUFVVFUUGVQZVVKUUHVQZVIZVJZVWPBGIUUIVQVXRWULSVWPPVXRWULSUSZVWPOVDVE
      ZVXRVWPKOVXRVVFVWOWUOWVEUUNZWUQOTQZVXRVRVBZVXRVWPKVDVEVVFVWOKNLZVDVEVXRVV
      FVWOWVMVDVXRWUNVVFVWOVDVEWUOVVFUUJVQVXRVWOVXRVWOWVEVKUUKVLVXRVVFKVWOWUOWU
      QWVFUUOVMZKOVDVEVXRUUPVBUUQVXRVWPTQWVHWVIUURWVJVWPUUSVQVMVNVOVPVXRSVWPVXR
      VSWVJVXRVWPWVGVTZUUTVXRVWPVXRVWPWVJWAZWBUVAVXRVYJVWQVYLVWSPVXRVVKCMZKVVKU
      IMZUJLZVVMWCMVXGNLUAUEZVVMUVBVEUAVGUVCUBUEZWCMVVMWWAUHLWCMNLUBUKUNLZFUKZV
      YJVWQVXRVVKTQZWVQWWCUSVXRVVKWVDUVDZUAVVKCEUBFGHWDVQVXRVYIVVKCVXRVVKKVXRVV
      KWVDUVEVXRWEWFZVPVXRVWQVVLWWBFUKZWWCVXRWUNVWQWWGUSWUOUAVVFCEUBFGHWDVQVXRW
      VSVVLWWBFVXRWVRVVKKUJVXRWUNWVRVVKUSWUOVVFUVFVQWGWIWHWJVXRVYKVWRONVXRVYIVV
      KDWWFVPWGWKWKVXRVYQVXRVYQVXRVYPVXRVYPVXRVYPVVGTVXRVYOVVFBVXRVVFVXRVVFWUOW
      AZUVGVPVXRVVFURQZVVGTQWVBURTVVFBBGIUVHZWLVQZWMWAWNWAUVIWKVXRVXAVXRVXAVXRV
      WPVWTWVJVXRVWQVWSVXRWUNVWQTQWUOTTVVFCCEGHUVNZWLVQZVXROVWRWVLVXRWWDVWRTQWW
      ETTVVKDGTTGUEZURQZWWNWWNUGMZNLZSWSZDJWWNTQZWWOWWQSTWWOWWSWWPTQWWQTQWWNUVJ
      WWNWWPUVKUVLWWSWWOUWDUOVSUVMUVOZWLVQZWOZWTZWOZWAZWBVOVXRWUHVVLVXKUPZFUKWU
      JVXRVYTVVLWUGWXFFVXRVVLVYTVXRVVKWPQVVLVYTUSVXRVVFWUOUVPKVVKUVQVQWQZVXRVVM
      VVLQZUOZWUGVXFUPZVXJNLWXFWXIWUAWXJWUFVXJNWXIWXJWUAWXIVVPVXEWXIVVPWXIVVOWX
      IVVOWXIVVNURQVVOTQWXIVVFVVMVXRWWIWXHWVBWRZWXIVVMWXHVVMVGQVXRVVMVVKXAUTZVI
      ZVJURTVVNBWWJWLVQWAWNZWAZWXIVXEWXIVXDWXIVXDWXIVXCURQVXDTQWXIVVFVXBWXKWXIV
      VMKWXMWUPWXIVAVBUVRVJURTVXCBWWJWLVQWAWNZWAUVSWQWXIWUCVWGWUEVXIPWXIWUBVVMC
      WXIVVMKWXIVVMWXLVKWXIWEWFZVPZWXIWUDVXHONWXIWUDVVQVXHWXIWUBVVMDWXQVPZWXIVV
      MURQZVVQVXHUSWXMWXTVVQWXTVXHSWSZVXHWXTVVMTQZVVQWYAUSVVMXBGVVMWWRWYATDGFXC
      ZWWOWXTWWQVXHSWWNVVMURXDWYCWWNVVMWWPVXGNWYCXEWWNVVMUGXFWKXGJWXTVXHSVVMVXG
      NXHXIXJXKVQWXTVXHSXLVOVQVOWGWKWKWXIVXFVXJWXIVXFWXIVVPVXEWXNWXPWTZWAWXIVXJ
      WXIVWGVXIWXIWYBVWGTQWXIVVMWXLXMZTTVVMCWWLWLVQZWXIOVXHWVKWXIVRVBZWXIVVMVXG
      WYEWXIVVMWXMXNWOWOWTZWAUVTVOXOVXRVVLVXKFVXRKVVKUWAZWXIVXKWXIVXFVXJWYDWYHW
      OZWAZUWBVOWKVXRVYTVVPWUFVWHOVVSNLZPLZPLZNLZFUKWUIVYBVXRVVFWWAUHLZBMZUFMZV
      VPVXEVYQFUBVYHKVWOWWAKPLZCMZOWYSDMZNLZPLZWYMWUFSVYMUBFXCZWYRVVPUSXUCWYMUS
      XUDWYQVVOUFXUDWYPVVNBWWAVVMVVFUHXPVPVPXUDWYTVWHXUBWYLPWWAVVMKCPXQXUDXUAVV
      SONWWAVVMKDPXQWGWKXRWWAVXBUSZWYRVXEUSXUCWUFUSXUEWYQVXDUFXUEWYPVXCBWWAVXBV
      VFUHXPVPVPXUEWYTWUCXUBWUEPWWAVXBKCPXQXUEXUAWUDONWWAVXBKDPXQWGWKXRWWAKUSZW
      YRVYQUSXUCSUSXUFWYQVYPUFXUFWYPVYOBWWAKVVFUHXPVPVPXUFXUCSSPLSXUFWYTSXUBSPX
      UFWYTSCMZSXUFWYSSCXUFWYSKKPLSWWAKKPUWCUWEXSZVPSTQZXUGSUSYCGSKWWNUIMZUJLZE
      UEZWCMXULUGMWWNXULUHLUQMUNLNLZEUKZSTCWWNSUSZXUNXTXUMEUKSXUOXUKXTXUMEXUOXU
      KKSUJLXTXUOXUJSKUJXUOXUJSUIMZSWWNSUIXFSWPQXUPSUSUXOSUWFYAXSWGUWGXSWIXUMEU
      WHXSHXIXKYAXSXUFXUBOSNLSXUFXUASONXUFXUASDMZSXUFWYSSDXUHVPXUIXUQSUSYCGSWWR
      STDXUOWWOWWQSWWOWWNSWWNUWIUWJUWKJXIXKYAXSWGUWLXSWKUWMXSXRWWAVWOUSZWYRVYHU
      SXUCVYMUSXURWYQVYGUFXURWYPVWPBWWAVWOVVFUHXPVPVPXURWYTVYJXUBVYLPWWAVWOKCPX
      QXURXUAVYKONWWAVWOKDPXQWGWKXRVXRVWOVGKUWPMWVEUWNUWOVXRWWAKVWOUJLQZUOZWYRX
      UTWYQXUTWYQXUTWYPURQWYQTQXUTVVFWWAVXRWWIXUSWVBWRXUTWWAXUSWWAVGQVXRWWAVWOX
      AUTZVIVJURTWYPBWWJWLVQWAWNWAXUTXUCXUTWYTXUBXUTWYSTQZWYTTQXUTWWAKXUTWWAXVA
      XMXUTVCWTZTTWYSCWWLWLVQXUTOXUAWVKXUTVRVBXUTXVBXUATQXVCTTWYSDWWTWLVQWOWTWA
      UWQVXRVYTVVLWYOVYAFWXGWXIWYNVXTVVPNWXIVWGOVVQNLZPLZWYMPLVWIXVDWYLPLZPLWYN
      VXTWXIVWGXVDVWHWYLWXIVWGWYFWAWXIXVDWXIOVVQWYGWXIWYBVVQTQWYETTVVMDWWTWLVQZ
      WOWAWXIVWHWXIVVRTQZVWHTQWXIVVMKWYEWXIVCWTZTTVVRCWWLWLVQZWAWXIWYLWXIOVVSWY
      GWXIXVHVVSTQXVITTVVRDWWTWLVQZWOWAUWRWXIWUFXVEWYMPWXIWUCVWGWUEXVDPWXRWXIWU
      DVVQONWXSWGWKVNWXIVXSXVFVWIPWXIOVVQVVSWXIYLZWXIVVQXVGWAZWXIVVSXVKWAZYBWGW
      JWGXOYDVXRVXAVXLWXEVXRVVLVXKFWYIWYKUWSZUWTYEVXRVVFVVIWWHVXRVVIVXRVVFWVBXN
      ZWAZUXAWKVXRVYBVVIVVFVXRVYBVXRVVLVYAFWYIWXIVVPVXTWXNWXIVWIVXSWXIVWGVWHWYF
      XVJWTZWXIOVVTWYGWXIVVQVVSXVGXVKWTZWOWTZWOZYFWAZXVQWWHVXRVVIVXRVVFWUOWUTUX
      BZYGZVXRVVFWVBYGZYHWHWGVXRVWMVYCVVFVXRVWMVXRVVJVWLVXRVVHVVIVXRVVGVXRVVGWW
      KWAWNXVPWOZVXRVWKVVIVXRVVLVWJFWYIWXIVVPVWIWXNXVRWOZYFZXWCYIZWTZWAVXRVYBVV
      IXWBXVQXWDUXCZWWHXWEYMVXRVYEVWDVVFUHVXRVVJVWLVYCPLZPLVYEVWDVXRVVJVWLVYCVX
      RVVJXWFWAVXRVWLXWIWAXWKUXDVXRXWLVWCVVJPVXRVWKVYBPLZVVIUHLOVWBNLZVVIUHLXWL
      VWCVXRXWMXWNVVIUHVXRXWNVVLOVWANLZFUKVVLVWJVYAPLZFUKXWMVXRVVLVWAOFWYIVXRYL
      ZWXIVVPVVTWXOWXIVVQVVSXVMXVNUXEZYJUXFVXRVVLXWPXWOFWXIVVPVWIVXTPLZNLVVPVXS
      NLXWPXWOWXIXWSVXSVVPNWXIVWIVXSWXIVWIXVRWAZWXIOVVTXVLXWRYJUXGWGWXIVVPVWIVX
      TWXOXWTWXIVXTXVTWAYBWXIVVPOVVTWXOXVLXWRUXHYNUXIVXRVVLVWJVYAFWYIWXIVWJXWGW
      AWXIVYAXWAWAUXJUXKVNVXRVWKVYBVVIVXRVWKXWHWAXWBXVQXWDYKVXROVWBVVIXWQVXRVWB
      VXRVVLVWAFWYIWXIVVPVVTWXNXVSWOYFWAXVQXWDUXLYNWGYDVNUXMYORAVVEVWNVXOTVXRVW
      MVVFXWJWVBYIVXRVXMVXNVXRVXAVXLWXDVXRVVLVXKFWYIWYJYFZUXNVXRVVFVVIWVBXWCUXP
      ZYIAVVEVWNULUMQRABCEFGHIUXQVBRAVVEVXOULAVVEVWPVWTVXNUHLZNLZVXLVXNUHLZUNLZ
      ULUMRAVVEVXOXXFVXRVXOVXAVXNUHLZXXEUNLXXFVXRVXAVXLVXNWXEXVOVXRVXNXXBUXRZVX
      RVXNXXBYGZYMVXRXXGXXDXXEUNVXRVWPVWTVXNWVPVXRVWTWXCWAXXHXXIUXSVNVOYORAVVEX
      XDXXETVXRVWPXXCWVJVXRVWTVXNWXCXXBYIZWOVXRVXLVXNXXAXXBYIZRAVVEVWPXXCTWVJXX
      JRAVVEVWPKKVVETUYDZRKUDUXTZVBZWVJRVCZXXORVXQVWPKVHVEKVVFVHVEZVXRVWPKWVJWU
      QWVNVFYPYQRAVVEXXCXXJRAVVEXXCULAVVEVWQVXNUHLZVWSVXNUHLZPLZULYRRAVVEXXCXXS
      VXRVWQVWSVXNVXRVWQWWMWAZVXRVWSWXBWAXXHXXIYKYORAVVEXXQXXRTVXRVWQVXNWWMXXBY
      IZVXRVWSVXNWXBXXBYIZRAVVEXXQULYRQAVVEOULYRQZRXXLOUYEQXYCXXMRYLAVVEOUYAUYB
      RAVVEXXQOVXRXXQXYAWAXWQRAVVEXXQOPLZULAVVEVWQVVFUHLZOVVINLZPLZKVVIUHLZNLZU
      LYRRAVVEXYDXYIVXRXYGVVIUHLXYEVVIUHLZXYFVVIUHLZPLXYIXYDVXRXYEXYFVVIVXRXYEV
      XRVWQVVFWWMWVBYIZWAVXROVVIXWQXVQYJXVQXWDYKVXRXYGVVIVXRXYGVXRXYEXYFXYLVXRO
      VVIWVLXVPWOWTZWAXVQXWDUYCVXRXYJXXQXYKOPVXRVWQVVFVVIXXTWWHXVQXWEXWDYHVXROV
      VIXWQXVQXWDUYFWKYEYORAVVEXYGXYHTXYMVXRKVVIWUQXWCYIRAVVEURXYGRAVVEURRVXQWW
      IWVBUYOUYGAURXYGULYRQRACEGHUYHVBUYIAVVEXYHULZSUYJVEXYNYRQRAUYKSXYNUYLYSUY
      MWMUYNVMRAVVEXXRULZYRQXYOUMQRAVVEXXRKOXXNXYBXXOWVKRVRVBRVXQXXROVHVEZXXPVX
      RXYPVWSOVXNNLVHVEVXRVWRVXNOWXAVXRVVFVVIWUOXVPWOWVLVXROOURQVXRUYPVBVTZVXRV
      WRVVKVVKUGMZNLZVXNVHVXRVVKURQZVWRXYSUSVXRVVKVXRWUNXXPVVKVGQWUOWVAVVFUYQUY
      RZVIZXYTVWRXYTXYSSWSZXYSXYTWWDVWRYUCUSVVKXBGVVKWWRYUCTDWWNVVKUSZWWOXYTWWQ
      XYSSWWNVVKURXDYUDWWNVVKWWPXYRNYUDXEWWNVVKUGXFWKXGJXYTXYSSVVKXYRNXHXIXJXKV
      QXYTXYSSXLVOVQZVXRVVKVVFXYRVVIWWEWUOVXRVVKYUBXNZXVPVXRVVKWVDUYSZVXRVVKWWE
      VXRVVKYUAUYTVUAZVXRWUNVVKVVFVHVEZWUOVVFVUBVQZVXRYUIXYRVVIVHVEYUJVXRVVKVVF
      YUBWVBVUCVUDVUEVUFVUGVXRVWSOVXNWXBWVLXXBVUHVMYPYQRAVVEXXRSXYBRVSVXRVWSVXN
      WXBXXBVXROVWRWVLWXAXYQVXRSXYSVWRVHVXRVVKXYRWWEYUFYUGYUHYTYUEVLYTVUIVUJVMV
      UKWMVULWVOVUMRAVVEXXEXXKWVTCMWVTUHLOWVTUGMNLPLUFMUCUEZVHVEUAKUDVUNLVUOZUC
      URVVDAVVEXXEULYRQZRUACEGUCHVUPYULYUMUCURYUKURQZYULUOAUAYUKBCEFGHIYUNYULVU
      QYUNYULVURVUSVUTYSVULVVAWMVVAVVBVVC $.

    pntrlog2bndlem5.1 $e |- ( ph -> B e. RR+ ) $.
    pntrlog2bndlem5.2 $e |- ( ph ->
      A. y e. RR+ ( abs ` ( ( R ` y ) / y ) ) <_ B ) $.
    $( Lemma for ~ pntrlog2bnd .  Bound on the difference between the Selberg
       function and its approximation, inside a sum.  (Contributed by Mario
       Carneiro, 31-May-2016.) $)
    pntrlog2bndlem5 $p |- ( ph -> ( x e. ( 1 (,) +oo ) |->
    ( ( ( ( abs ` ( R ` x ) ) x. ( log ` x ) ) -
      ( ( 2 / ( log ` x ) ) x. sum_ n e. ( 1 ... ( |_ ` x ) )
      ( ( abs ` ( R ` ( x / n ) ) ) x. ( log ` n ) ) ) ) / x ) ) e. <_O(1) ) $=
      ( c1 co cmul cr cc0 cpnf cioo cv cfv cabs clog c2 cdiv cfl cfz caddc cmin
      csu cmpt clo1 wcel wa crp elioore adantl 1rp a1i 1red clt eliooord simpld
      wbr ltled rpgecld pntrf ffvelrni syl abscld relogcld mulcld 2cnd rplogcld
      recnd rpne0d divcld fzfid adantr cn elfznn nnrpd rpdivcld readdcld fsumcl
      remulcld divdird subdid oveq2d eqtr3d oveq1d rerpdivcld fsumrecl resubcld
      subsubd 1cnd cif simpr 0red cle 2rp rpge0d wceq rpcnd rpred sylancr mpbid
      cc rpre eleq1 id fveq2 oveq12d ifbieq1d ovex c0ex ifex fvmpt iftrue eqtrd
      1re subdird mulid2d 3eqtrd fveq2d eqbrtrrd eqbrtrd eqtrdi lemul2ad fsumle
      ax-mp letrd adantrr lo1le lo1const lo1add 3brtr4d subcld fsumsub 3eqtr3rd
      pncand sumeq2dv mpteq2dva 2re pntrlog2bndlem4 nnred simpl wn ifclda fmpti
      mulid1d divge0d absge0d wb difrp 3eqtr4d subsub3d npcand logdifbnd mpbird
      lemuldiv2d lesubadd2d eqeltrdi iftrued log1 ax-1cn mul01i oveq1 1m1e0 0re
      rpne0 necon2bi iffalsed 0m0e0 eqcoms nnge1d logge0d lep1d leloed mpjaodan
      elfzle1 lesub2dd lediv1dd rpmulcld wss ioossre crli co1 divlogrlim rlimo1
      wo mp1i o1lo1d lo1mul nnrecred nndivred absidd wne nnne0d divdiv2d div23d
      absdivd breq1d wral ad2antrr rspcdva lemuldivd divrec2d breqtrd fsummulc1
      fsumdivc harmonicubnd syl2anc lemul1ad mul32d dividd eqtr2d addcld div32d
      divassd eqtr4d mulassd eqeltrrd ) ABPUAUBQZBUCZEUDZUEUDZUYHUFUDZRQZUGUYKU
      HQZPUYHUIUDZUJQZUYHIUCZUHQZEUDZUEUDZUYPUFUDZPUKQZRQZIUMZRQZULQZUYHUHQZUYM
      UYOUYSIUMZRQZUYHUHQZUKQZUNBUYGUYLUYMUYOUYSUYTRQZIUMZRQZULQZUYHUHQZUNUOABU
      YGVUJVUOAUYHUYGUPZUQZVUEVUHUKQZUYHUHQVUJVUOVUQVUEVUHUYHVUQUYLVUDVUQUYJUYK
      VUQUYJVUQUYIVUQUYIVUQUYHURUPZUYISUPVUQUYHPVUPUYHSUPZAUYHPUAUSUTZPURUPVUQV
      AVBVUQPUYHVUQVCZVVAVUQPUYHVDVGZUYHUAVDVGZVUPVVCVVDUQAUYHPUAVEUTVFZVHZVIZU
      RSUYHEEJLVJZVKVLVRVMZVRVUQUYKVUQUYHVVGVNZVRZVOVUQUYMVUCVUQUGUYKVUQVPZVVKV
      UQUYKVUQUYHVVAVVEVQZVSZVTZVUQUYOVUBIVUQPUYNWAZVUQUYPUYOUPZUQZVUBVVRUYSVUA
      VVRUYRVVRUYRVVRUYQURUPUYRSUPVVRUYHUYPVUQVUSVVQVVGWBZVVRUYPVVQUYPWCUPVUQUY
      PUYNWDUTZWEZWFZURSUYQEVVHVKVLVRZVMZVVRUYTPVVRUYPVWAVNZVVRVCZWGZWIZVRZWHZV
      OZUUAVUQUYMVUGVVOVUQUYOUYSIVVPVVRUYSVWDVRZWHZVOZVUQUYHVVAVRZVUQUYHVVGVSZW
      JVUQVURVUNUYHUHVUQUYLVUDVUHULQZULQVURVUNVUQUYLVUDVUHVUQUYLVUQUYJUYKVVIVVJ
      WIZVRVWKVWNWRVUQVWQVUMUYLULVUQUYMVUCVUGULQZRQVWQVUMVUQUYMVUCVUGVVOVWJVWMW
      KVUQVWSVULUYMRVUQUYOVUBUYSULQZIUMVWSVULVUQUYOVUBUYSIVVPVWIVWLUUBVUQUYOVWT
      VUKIVVRUYSVUAPULQZRQVUBUYSPRQZULQVUKVWTVVRUYSVUAPVWLVVRVUAVWGVRVVRWSZWKVV
      RVXAUYTUYSRVVRUYTPVVRUYTVWEVRZVXCUUDWLVVRVXBUYSVUBULVVRUYSVWLUUNWLUUCUUEW
      MWLWMWLWMWNWMUUFABUYGVUFVUISVUQVUEUYHVUQUYLVUDVWRVUQUYMVUCVUQUGUYKUGSUPVU
      QUUGVBZVVMWOZVUQUYOVUBIVVPVWHWPZWIZWQZVVGWOZVUQVUHUYHVUQUYMVUGVXFVUQUYOUY
      SIVVPVWDWPZWIVVGWOZABUYGUYLUYMUYOUYSUYPGUDZUYPPULQZGUDZULQZRQZIUMZRQZULQZ
      UYHUHQZVUFPSAVCZBUYGVYAUNUOUPABEFGHIJKLMUUHVBVUQVXTUYHVUQUYLVXSVWRVUQUYMV
      XRVXFVUQUYOVXQIVVPVVRUYSVXPVWDVVRVXMVXOVVRUYPSUPZVXMSUPVVRUYPVVTUUIZSSUYP
      GJSSJUCZURUPZVYEVYEUFUDZRQZTWTZGMVYESUPZVYFVYHTSVYJVYFUQZVYEVYGVYJVYFUUJV
      YKVYEVYJVYFXAVNWIVYJVYFUUKUQXBUULUUMZVKVLVVRVXNSUPZVXOSUPVVRUYPPVYDVWFWQS
      SVXNGVYLVKVLWQZWIZWPZWIZWQZVVGWOVXJAVUPVUFVYAXCVGPUYHXCVGZVUQVUEVXTUYHVXI
      VYRVVGVUQVXSVUDUYLVYQVXHVWRVUQVXRVUCUYMVYPVXGVXFVUQUGUYKVXEVVMVUQUGUGURUP
      ZVUQXDVBXEUUOZVUQUYOVXQVUBIVVPVYOVWHVVRVXPVUAUYSVYNVWGVWDVVRUYRVWCUUPVVRP
      UYPVDVGZVXPVUAXCVGPUYPXFZVVRWUBUQZVXPUYPUYTVXNUFUDZULQZRQZWUEUKQZVUAXCWUD
      UYPUYTRQZUYPWUERQZWUEULQZULQWUIWUJULQZWUEUKQVXPWUHWUDWUIWUJWUEWUDUYPUYTWU
      DUYPVVRUYPURUPZWUBVWAWBZXGZVVRUYTXKUPWUBVXDWBZVOWUDUYPWUEWUOWUDWUEWUDVXNW
      UDWUBVXNURUPZVVRWUBXAWUDPSUPZVYCWUBWUQUUQYDWUDUYPWUNXHZPUYPUURXIXJZVNZVRZ
      VOWVBWRWUDVXMWUIVXOWUKULWUDWUMVXMWUIXFWUNWUMVXMWUMWUITWTZWUIWUMVYCVXMWVCX
      FUYPXLJUYPVYIWVCSGVYEUYPXFZVYFWUMVYHWUITVYEUYPURXMWVDVYEUYPVYGUYTRWVDXNVY
      EUYPUFXOXPXQMWUMWUITUYPUYTRXRXSXTYAVLWUMWUITYBYCVLWUDVXOVXNWUERQZWUJPWUER
      QZULQWUKWUDWUQVXOWVEXFWUTWUQVXOWUQWVETWTZWVEWUQVYMVXOWVGXFVXNXLJVXNVYIWVG
      SGVYEVXNXFZVYFWUQVYHWVETVYEVXNURXMWVHVYEVXNVYGWUERWVHXNVYEVXNUFXOXPXQMWUQ
      WVETVXNWUERXRXSXTYAVLWUQWVETYBYCVLWUDUYPPWUEWUOWUDWSZWVBYEWUDWVFWUEWUJULW
      UDWUEWVBYFWLYGXPWUDWUGWULWUEUKWUDUYPUYTWUEWUOWUPWVBWKWNUUSWUDWUHUYTULQZPX
      CVGWUHVUAXCVGWUDVXNWUFRQZWVJPXCWUDWVKWUGPWUFRQZULQWUGWUFULQWVJWUDUYPPWUFW
      UOWVIWUDWUFWUDUYTWUEWUDUYPWUNVNZWVAWQZVRZYEWUDWVLWUFWUGULWUDWUFWVOYFWLWUD
      WUGUYTWUEWUDWUGWUDUYPWUFWUSWVNWIZVRWUPWVBUUTYGWUDWVKPXCVGWUFPVXNUHQZXCVGW
      UDVXNPUKQZUFUDZWUEULQZWUFWVQXCWUDWVSUYTWUEULWUDWVRUYPUFWUDUYPPWUOWVIUVAYH
      WNWUDWUQWVTWVQXCVGWUTVXNUVBVLYIWUDWUFPVXNWVNWUDVCZWUTUVDUVCYIWUDWUHUYTPWU
      DWUGWUEWVPWVAWGWVMWWAUVEXJYJVVRWUCUQVXPTVUAXCWUCVXPTXFZVVRWWBUYPPUYPPXFZV
      XPTTULQTWWCVXMTVXOTULWWCVXMPGUDZTUYPPGXOWURWWDTXFYDJPVYITSGVYEPXFZVYIVYHT
      WWEVYFVYHTWWEVYEPURWWEXNZVAUVFUVGWWEVYHPTRQTWWEVYEPVYGTRWWFWWEVYGPUFUDTVY
      EPUFXOUVHYKXPPUVIUVJYKYCMXSYAYNYKWWCVXOTGUDZTWWCVXNTGWWCVXNPPULQTUYPPPULU
      VKUVLYKYHTSUPWWGTXFUVMJTVYITSGVYETXFVYFVYHTVYFVYETVYEUVNUVOUVPMXSYAYNYKXP
      UVQYKUVRUTVVRTVUAXCVGWUCVVRTUYTVUAVVRXBVWEVWGVVRUYPVYDVVRUYPVVTUVSUVTVVRU
      YTVWEUWAYOWBYJVVRPUYPXCVGZWUBWUCUWNVVQWWHVUQUYPPUYNUWDUTVVRPUYPVWFVYDUWBX
      JUWCYLYMYLUWEUWFYPYQABUYGUGDRQZPPUYKUHQZUKQZRQZVUIPSVYBABUYGWWIWWKSAWWISU
      PZVUPAWWIAUGDVYTAXDVBNUWGZXHZWBZVUQPWWJVVBVUQPUYKVVBVVMWOZWGZAUYGSUWHZWWM
      BUYGWWIUNUOUPPUAUWIZWWOBUYGWWIYRXIABUYGPWWJSVVBWWQAWWSWURBUYGPUNUOUPWWTVY
      BBUYGPYRXIABUYGWWJWWQBUYGWWJUNZTUWJVGWXAUWKUPABUWLTWXAUWMUWOUWPYSVUQWWIAW
      WIURUPVUPWWNWBXEUWQVUQWWIWWKWWPWWRWIVXLAVUPVUIWWLXCVGVYSVUQUYMVUGUYHUHQZR
      QUYMUYKPUKQZDRQZRQZVUIWWLXCVUQWXBWXDUYMVUQVUGUYHVXKVVGWOZVUQWXCDVUQUYKPVV
      JVVBWGZVUQDADURUPVUPNWBZXHZWIZVXFWUAVUQWXBUYOPUYPUHQZIUMZDRQZWXDWXFVUQWXL
      DVUQUYOWXKIVVPVVRUYPVVTUWRZWPZWXIWIWXJVUQUYOUYSUYHUHQZIUMUYOWXKDRQZIUMWXB
      WXMXCVUQUYOWXPWXQIVVPVVRUYSUYHVWDVVSWOZVVRWXKDWXNVUQDSUPVVQWXIWBZWIVVRWXP
      DUYPUHQZWXQXCVVRWXPUYPRQZDXCVGWXPWXTXCVGVVRUYRUYQUHQZUEUDZWYADXCVVRWYCUYS
      UYQUHQZUYSUYPRQUYHUHQWYAVVRWYCUYSUYQUEUDZUHQWYDVVRUYRUYQVWCVVRUYQVWBXGVVR
      UYQVWBVSUXEVVRWYEUYQUYSUHVVRUYQVVRUYHUYPVUQVUTVVQVVAWBVVTUWSVVRUYQVWBXEUW
      TWLYCVVRUYSUYHUYPVWLVUQUYHXKUPVVQVWOWBZVVRUYPVYDVRZVUQUYHTUXAVVQVWPWBZVVR
      UYPVVTUXBZUXCVVRUYSUYPUYHVWLWYGWYFWYHUXDYGVVRCUCZEUDZWYJUHQZUEUDZDXCVGZWY
      CDXCVGCURUYQWYJUYQXFZWYMWYCDXCWYOWYLWYBUEWYOWYKUYRWYJUYQUHWYJUYQEXOWYOXNX
      PYHUXFAWYNCURUXGVUPVVQOUXHVWBUXIYIVVRWXPDUYPWXRWXSVWAUXJXJVVRDUYPVVRDWXSV
      RWYGWYIUXKUXLYMVUQUYOUYSUYHIVVPVWOVWLVWPUXNVUQUYOWXKDIVVPVUQDWXHXGZVVRWXK
      WXNVRUXMYTVUQWXLWXCDWXOWXGWXIVUQDWXHXEVUQVUTVYSWXLWXCXCVGVVAVVFUYHIUXOUXP
      UXQYOYLVUQUYMVUGUYHVVOVWMVWOVWPUYCVUQWWLUGWWKRQZDRQUYMWXCRQZDRQWXEVUQUGDW
      WKVVLWYPVUQWWKWWRVRUXRVUQWYQWYRDRVUQWYQUGWXCUYKUHQZRQWYRVUQWWKWYSUGRVUQWY
      SUYKUYKUHQZWWJUKQWWKVUQUYKPUYKVVKVUQWSZVVKVVNWJVUQWYTPWWJUKVUQUYKVVKVVNUX
      SWNUXTWLVUQUGUYKWXCVVLVVKVUQUYKPVVKXUAUYAZVVNUYBUYDWNVUQUYMWXCDVVOXUBWYPU
      YEYGYTYPYQYSUYF $.

    pntrlog2bndlem6.1 $e |- ( ph -> A e. RR ) $.
    pntrlog2bndlem6.2 $e |- ( ph -> 1 <_ A ) $.
    $( Lemma for ~ pntrlog2bndlem6 .  (Contributed by Mario Carneiro,
       7-Jun-2016.) $)
    pntrlog2bndlem6a $p |- ( ( ph /\ x e. ( 1 (,) +oo ) ) ->
      ( 1 ... ( |_ ` x ) ) = ( ( 1 ... ( |_ ` ( x / A ) ) ) u.
        ( ( ( |_ ` ( x / A ) ) + 1 ) ... ( |_ ` x ) ) ) ) $=
      ( c1 co wcel cv cpnf cioo wa cdiv cfl cfv caddc cuz cfz cun cn cr cc0 cle
      wceq wbr cn0 elioore adantl crp 1rp a1i rpred clt eliooord simpld rpgecld
      ltled adantr rpdivcld rprege0d flge0nn0 nn0p1nn 3syl nnuz eleqtrdi rpge0d
      lediv2ad recnd div1d breqtrd flword2 syl3anc fzsplit2 syl2anc ) ABUAZRUBU
      CSTZUDZWGDUESZUFUGZRUHSZRUIUGZTWGUFUGZWKUIUGTZRWNUJSRWKUJSWLWNUJSUKUPWIWL
      ULWMWIWJUMTZUNWJUOUQUDWKURTWLULTWIWJWIWGDWIWGRWHWGUMTZAWGRUBUSUTZRVATZWIV
      BVCZWIRWGWIRWTVDWRWIRWGVEUQZWGUBVEUQZWHXAXBUDAWGRUBVFUTVGVIVHZADVATWHADRP
      WSAVBVCQVHVJZVKZVLWJVMWKVNVOVPVQWIWPWQWJWGUOUQWOWIWJXEVDWRWIWJWGRUESWGUOW
      IRDWGWTXDWRWIWGXCVRARDUOUQWHQVJVSWIWGWIWGWRVTWAWBWJWGWCWDWKRWNWEWF $.

    $( Lemma for ~ pntrlog2bnd .  Bound on the difference between the Selberg
       function and its approximation, inside a sum.  (Contributed by Mario
       Carneiro, 31-May-2016.) $)
    pntrlog2bndlem6 $p |- ( ph -> ( x e. ( 1 (,) +oo ) |->
    ( ( ( ( abs ` ( R ` x ) ) x. ( log ` x ) ) -
      ( ( 2 / ( log ` x ) ) x. sum_ n e. ( 1 ... ( |_ ` ( x / A ) ) )
      ( ( abs ` ( R ` ( x / n ) ) ) x. ( log ` n ) ) ) ) / x ) ) e. <_O(1) ) $=
      ( co wcel c1 cpnf cioo cv cfv cabs clog cmul cdiv cfl cfz cmin caddc cmpt
      c2 csu clo1 wa crp cr elioore adantl 1rp a1i 1red clt wbr eliooord simpld
      ltled rpgecld pntrf ffvelrni abscld relogcld remulcld rplogcld rerpdivcld
      syl recnd 2re fzfid adantr cn elfznn nnrpd rpdivcld fsumrecl resubcld cun
      ssun2 pntrlog2bndlem6a sseqtrrid sselda syldan rpne0d divdird subsubd cin
      subdid ssun1 c0 wceq reflcl ltp1d fzdisj fsumsplit mvrraddd oveq2d eqtr3d
      oveq1d mpteq2dva pntrlog2bndlem5 wss ioossre readdcld cle rpge0d nnrecred
      rpred 2rp nndivred cc absge0d elfzle2 cz mpbird mpbid lemul2ad ledivmul2d
      syl2anc eqtrd eqbrtrrd letrd nncnd nnne0d mulcld breqtrd 3brtr4d mul12d
      wb nnzd flge logled absdivd divge0d absidd fveq2 id oveq12d fveq2d breq1d
      cc0 wral ad2antrr rspcdva divassd divrecd fsumdivc fsummulc2 harmonicubnd
      fsumle mulge0d harmoniclbnd le2subd reccld mvrladdd 1cnd pnncand comraddd
      relogdivd 3brtr3d mulassd div32d addcld ledivmuld adantrr ello1d eqeltrrd
      2cnd lo1add ) ABUAUBUCSZBUDZFUEZUFUEZUWCUGUEZUHSZUOUWFUISZUAUWCUJUEZUKSZU
      WCJUDZUISZFUEZUFUEZUWKUGUEZUHSZJUPZUHSZULSZUWCUISZUWHUWCDUISZUJUEZUAUMSZU
      WIUKSZUWPJUPZUHSZUWCUISZUMSZUNBUWBUWGUWHUAUXBUKSZUWPJUPZUHSZULSZUWCUISZUN
      UQABUWBUXHUXMAUWCUWBTZURZUWSUXFUMSZUWCUISUXHUXMUXOUWSUXFUWCUXOUWSUXOUWGUW
      RUXOUWEUWFUXOUWDUXOUWDUXOUWCUSTZUWDUTTUXOUWCUAUXNUWCUTTZAUWCUAUBVAVBZUAUS
      TZUXOVCVDUXOUAUWCUXOVEZUXSUXOUAUWCVFVGZUWCUBVFVGZUXNUYBUYCURAUWCUAUBVHVBV
      IZVJZVKZUSUTUWCFFKMVLZVMVSVTVNUXOUWCUYFVOZVPZUXOUWHUWQUXOUOUWFUOUTTZUXOWA
      VDZUXOUWCUXSUYDVQZVRZUXOUWJUWPJUXOUAUWIWBZUXOUWKUWJTZURZUWNUWOUYPUWMUYPUW
      MUYPUWLUSTZUWMUTTUYPUWCUWKUXOUXQUYOUYFWCUYPUWKUYOUWKWDTZUXOUWKUWIWEZVBZWF
      ZWGZUSUTUWLFUYGVMVSVTZVNZUYPUWKVUAVOVPZWHZVPZWIZVTUXOUXFUXOUWHUXEUYMUXOUX
      DUWPJUXOUXCUWIWBZUXOUWKUXDTZUYOUWPUTTZUXOUXDUWJUWKUXOUXIUXDWJZUXDUWJUXDUX
      IWKABCDEFGHIKLMNOPQRWLZWMWNZVUEWOZWHZVPZVTZUXOUWCUXSVTZUXOUWCUYFWPWQUXOUX
      PUXLUWCUIUXOUWGUWRUXFULSZULSUXPUXLUXOUWGUWRUXFUXOUWGUYIVTUXOUWRVUGVTVURWR
      UXOVUTUXKUWGULUXOUWHUWQUXEULSZUHSVUTUXKUXOUWHUWQUXEUXOUWHUYMVTUXOUWQVUFVT
      UXOUXEVUPVTZWTUXOVVAUXJUWHUHUXOUWQUXJUXEUXOUXJUXOUXIUWPJUXOUAUXBWBZUXOUWK
      UXITZUYOVUKUXOUXIUWJUWKUXOVULUXIUWJUXIUXDXAVUMWMWNZVUEWOWHVTVVBUXOUXIUXDU
      WPUWJJUXOUXBUXCVFVGUXIUXDWSXBXCUXOUXBUXOUXAUTTUXBUTTUXOUWCDUXSADUSTUXNADU
      AQUXTAVCVDRVKZWCZVRUXAXDVSXEUAUXBUXCUWIXFVSZVUMUYNUYPUWPVUEVTZXGXHXIXJXIX
      JXKXJXLABUWBUWTUXGUTUXOUWSUWCVUHUYFVRUXOUXFUWCVUQUYFVRZABCEFGHIJKLMNOPXMA
      BUWBUXGUAUOEDUGUEZUAUMSZUHSZUHSZUWBUTXNAUAUBXOVDVVJAVEZAUOVVMUYJAWAVDAEVV
      LAEOXTZAVVKUAADVVFVOVVOXPVPVPZAUXNUXGVVNXQVGZUAUWCXQVGZUXOVVRUXFUWCVVNUHS
      ZXQVGUXOUOUXEUWFUISZUHSUOUWCVVMUHSZUHSUXFVVTXQUXOVWAVWBUOUXOUXEUWFVUPUYLV
      RZUXOUWCVVMUXSUXOEVVLAEUTTZUXNVVPWCZUXOVVKUAUXODVVGVOZUYAXPZVPVPZUYKUXOUO
      UOUSTUXOYAVDXRUXOVWAEUWCUHSZUXDUAUWKUISZJUPZUHSZVWBVWCUXOVWIVWKUXOEUWCVWE
      UXSVPZUXOUXDVWJJVUIUXOVUJURZUWKVWNUYOUYRVUNUYSVSZXSZWHZVPVWHUXOUXDUWPUWFU
      ISZJUPUXDVWIVWJUHSZJUPVWAVWLXQUXOUXDVWRVWSJVUIVWNUWPUWFVUOUXOUWFUSTVUJUYL
      WCZVRZVWNVWIVWJVWNEUWCUXOVWDVUJVWEWCZUXOUXRVUJUXSWCZVPVWPVPVWNVWREUWLUHSZ
      VWSXQVWNVWRUWNVXDVXAUXOVUJUYOUWNUTTVUNVUDWOZVWNEUWLVXBVWNUWCUWKVXCVWOYBZV
      PVWNVWRUWNXQVGUWPUWNUWFUHSXQVGVWNUWOUWFUWNVWNUWKUXOVUJUYOUWKUSTVUNVUAWOZV
      OVWNUWCUXOUXQVUJUYFWCZVOVXEVWNUWMUXOVUJUYOUWMYCTVUNVUCWOZYDVWNUWKUWCXQVGZ
      UWOUWFXQVGVWNVXJUWKUWIXQVGZVUJVXKUXOUWKUXCUWIYEVBVWNUXRUWKYFTVXJVXKUUAVXC
      VWNUWKVWOUUBUWCUWKUUCYKYGVWNUWKUWCVXGVXHUUDYHYIVWNUWPUWNUWFVUOVXEVWTYJYGV
      WNUWNUWLUISZEXQVGUWNVXDXQVGVWNUWMUWLUISZUFUEZVXLEXQVWNVXNUWNUWLUFUEZUISVX
      LVWNUWMUWLVXIVWNUWLVXFVTVWNUWLUXOVUJUYOUYQVUNVUBWOZWPUUEVWNVXOUWLUWNUIVWN
      UWLVXFVWNUWCUWKVXCVXGUXOUUMUWCXQVGVUJUXOUWCUYFXRZWCUUFUUGXIYLVWNCUDZFUEZV
      XRUISZUFUEZEXQVGZVXNEXQVGCUSUWLVXRUWLXCZVYAVXNEXQVYCVXTVXMUFVYCVXSUWMVXRU
      WLUIVXRUWLFUUHVYCUUIUUJUUKUULAVYBCUSUUNUXNVUJPUUOVXPUUPYMVWNUWNEUWLVXEVXB
      VXPYJYHYNVWNVWIUWKUISVXDVWSVWNEUWCUWKVWNEVXBVTZUXOUWCYCTVUJVUSWCZVWNUWKVW
      OYOZVWNUWKVWOYPZUUQVWNVWIUWKVWNEUWCVYDVYEYQVYFVYGUURXJYRUVBUXOUXDUWPUWFJV
      UIUXOUWFUYHVTZUXOVUJUYOUWPYCTVUNVVIWOUXOUWFUYLWPZUUSUXOUXDVWJVWIJVUIUXOEU
      WCUXOEVWEVTZVUSYQVWNVWJVWPVTUUTYSUXOVWLVWIVVLUHSZVWBXQUXOVWKVVLVWIVWQVWGV
      WMUXOEUWCVWEUXSUXOEAEUSTUXNOWCXRVXQUVCUXOUWJVWJJUPZUXIVWJJUPZULSUWFUAUMSZ
      UWFVVKULSZULSZVWKVVLXQUXOVYLVYOVYNVYMUXOUWJVWJJUYNUYPUWKUYTXSZWHUXOUWFVVK
      UYHVWFWIUXOUWFUAUYHUYAXPUXOUXIVWJJVVCUXOVVDUYOVWJUTTVVEVYQWOWHUXOUXRVVSVY
      LVYNXQVGUXSUYEUWCJUVAYKUXOUXAUGUEZVYOVYMXQUXOUWCDUYFVVGUVKUXOUXAUSTVYRVYM
      XQVGUXOUWCDUYFVVGWGUXAJUVDVSYMUVEUXOVYLVYMVWKUXOVYMUXOUXIVWJJVVCUXOVVDURZ
      UWKVYSUYOUYRVVEUYSVSXSWHVTUXOVWKVWQVTUXOUXIUXDVWJUWJJVVHVUMUYNUYPUWKUYPUW
      KUYTYOUYPUWKUYTYPUVFXGUVGUXOVYPUAVVKUXOUVHZUXOVVKVWFVTZUXOUWFUAVVKVYHVYTW
      UAUVIUVJUVLYIUXOVYKEUWCVVLUHSUHSVWBUXOEUWCVVLVYJVUSUXOVVLVWGVTZUVMUXOEUWC
      VVLVYJVUSWUBYTYLYRYNYIUXOUOUWFUXEUXOUVTZVYHVVBVYIUVNUXOUWCUOVVMVUSWUCUXOE
      VVLVYJUXOVVKUAWUAVYTUVOYQYTYSUXOUXFVVNUWCVUQAVVNUTTUXNVVQWCUYFUVPYGUVQUVR
      UWAUVS $.
  $}

  ${
    $d i j k m n x y K $.  $d a N $.  $d k m n x ph $.  $d c i j m n x y R $.
    $d a c i j m n x y A $.  $d n y E $.  $d i j k m n x y Y $.
    pntpbnd.r $e |- R = ( a e. RR+ |-> ( ( psi ` a ) - a ) ) $.
    $( A bound on ` R ( x ) log ^ 2 ( x ) ` .  Equation 10.6.15 of [Shapiro],
       p. 431.  (Contributed by Mario Carneiro, 1-Jun-2016.) $)
    pntrlog2bnd $p |- ( ( A e. RR /\ 1 <_ A ) ->
      E. c e. RR+ A. x e. ( 1 (,) +oo )
        ( ( ( ( abs ` ( R ` x ) ) x. ( log ` x ) ) -
        ( ( 2 / ( log ` x ) ) x. sum_ n e. ( 1 ... ( |_ ` ( x / A ) ) )
             ( ( abs ` ( R ` ( x / n ) ) ) x. ( log ` n ) ) ) ) / x ) <_ c ) $=
      ( cr wcel c1 cle wbr wa co cfv cabs cdiv crp recnd adantr vy vi cpnf cioo
      cv clog cmul c2 cfl cfz csu cmin cchp wss ioossre a1i 1red sselda 1rp clt
      caddc eliooord adantl simpld ltled rpgecld pntrf ffvelrni abscld relogcld
      syl remulcld 2re rplogcld rerpdivcld fzfid elfznn nnrpd rpdivcld fsumrecl
      cn resubcld wral wrex cmpt clo1 pntrmax cvma cc0 cif simprl simprr simpll
      simplr pntrlog2bndlem6 rexlimdvaa mpi chpcl readdcld ad2ant2r simprll 2rp
      eqid rpge0d divge0d adantlr absge0d rpred nnge1d logge0d mulge0d subge02d
      fsumge0 mpbid wceq pntrval fveq2d abs2dif2d chpge0 absidd oveq12d breqtrd
      cc eqbrtrd chpwordi syl3anc le2addd letrd logled lediv1dd addge0d simprlr
      lemul12ad lediv2ad addcld mulcld div1d lo1bddrp ) BHIZJBKLZMZAUAJUCUDNZAU
      EZCOZPOZUUCUFOZUGNZUHUUFQNZJUUCBQNUIOZUJNZUUCDUEZQNZCOZPOZUUKUFOZUGNZDUKZ
      UGNZULNZUUCQNZJFUAUEZUMOZUVAVANZUVAUFOZUGNZUUBHUNUUAJUCUOUPZUUAUQUUAUUCUU
      BIZMZUUSUUCUVHUUGUURUVHUUEUUFUVHUUDUVHUUDUVHUUCRIZUUDHIZUVHUUCJUUAUUBHUUC
      UVFURZJRIZUVHUSUPUVHJUUCUVHUQUVKUVHJUUCUTLZUUCUCUTLZUVGUVMUVNMUUAUUCJUCVB
      VCVDZVEZVFZRHUUCCCEGVGZVHVKZSVIUVHUUCUVQVJVLUVHUUHUUQUVHUHUUFUHHIZUVHVMUP
      UVHUUCUVKUVOVNVOZUVHUUJUUPDUVHJUUIVPUVHUUKUUJIZMZUUNUUOUWCUUMUWCUUMUWCUUL
      RIUUMHIUWCUUCUUKUVHUVIUWBUVQTUWCUUKUWBUUKWAIZUVHUUKUUIVQZVCVRZVSRHUULCUVR
      VHVKSZVIUWCUUKUWFVJVLZVTZVLWBUVQVOZUUAUVACOUVAQNPOFUEZKLUARWCZFRWDAUUBUUT
      WEWFIZUACEFGWGUUAUWLUWMFRUUAUWKRIZUWLMZMAUABUWKCEHJEUEZUIOUJNUBUEZWHOUWQU
      FOUWPUWQQNUMOVANUGNUBUKWEZEHUWPRIUWPUWPUFOUGNWIWJWEZUBDEUWRXCGUWSXCUUAUWN
      UWLWKUUAUWNUWLWLYSYTUWOWMYSYTUWOWNWOWPWQUUAUVAHIZJUVAKLZMZMZUVCUVDUXCUVBU
      VAUXCUWTUVBHIZUUAUWTUXAWKZUVAWRVKZUXEWSUXCUVAUXCUVAJUXEUVLUXCUSUPUUAUWTUX
      AWLVFZVJVLUVHUXBUUCUVAUTLZMZMZUUTUVEUUCQNZUVEUVHUUTHIUXIUWJTUXJUVEUUCUXJU
      VCUVDUXJUVBUVAUUAUXBUXDUVGUXHUXFWTZUVHUWTUXAUXHXAZWSZUXJUVAUUAUXBUVARIUVG
      UXHUXGWTZVJZVLZUVHUVIUXIUVQTZVOUXQUXJUUSUVEUUCUXJUUGUURUXJUUEUUFUXJUUDUXJ
      UUDUVHUVJUXIUVSTSZVIZUXJUUCUXRVJZVLZUXJUUHUUQUVHUUHHIUXIUWATZUVHUUQHIUXIU
      WITZVLZWBZUXQUXRUXJUUSUUGUVEUYFUYBUXQUXJWIUURKLUUSUUGKLUXJUUHUUQUYCUYDUXJ
      UHUUFUVTUXJVMUPUXJUUCUVHUUCHIZUXIUVKTZUVHUVMUXIUVOTVNZUXJUHUHRIUXJXBUPXDX
      EUXJUUJUUPDUXJJUUIVPUVHUWBUUPHIUXIUWHXFUXJUWBMZUUNUUOUYJUUMUVHUWBUUMYCIUX
      IUWGXFZVIUYJUUKUVHUWBUUKRIUXIUWFXFZVJUYJUUMUYKXGUYJUUKUYJUUKUYLXHUYJUUKUW
      BUWDUXJUWEVCXIXJXKXMXKUXJUUGUURUYBUYEXLXNUXJUUEUVCUUFUVDUXTUXNUYAUXPUXJUU
      DUXSXGUXJUUFUYIXDUXJUUEUUCUMOZUUCVANZUVCUXTUXJUYMUUCUXJUYGUYMHIUYHUUCWRVK
      ZUYHWSUXNUXJUUEUYMUUCULNZPOZUYNKUXJUUDUYPPUXJUVIUUDUYPXOUXRUUCCEGXPVKXQUX
      JUYQUYMPOZUUCPOZVANUYNKUXJUYMUUCUXJUYMUYOSUXJUUCUYHSXRUXJUYRUYMUYSUUCVAUX
      JUYMUYOUXJUYGWIUYMKLUYHUUCXSVKXTUXJUUCUYHUXJUUCUXRXDXTYAYBYDUXJUYMUUCUVBU
      VAUYOUYHUXLUXMUXJUYGUWTUUCUVAKLZUYMUVBKLUYHUXMUXJUUCUVAUYHUXMUVHUXBUXHWLV
      EZUUCUVAYEYFVUAYGYHUXJUYTUUFUVDKLVUAUXJUUCUVAUXRUXOYIXNYMYHYJUXJUXKUVEJQN
      UVEKUXJJUUCUVEUVLUXJUSUPUXRUXQUXJUVCUVDUXNUXPUXJUVBUVAUXLUXMUXJUWTWIUVBKL
      UXMUVAXSVKUXJUVAUXOXDYKUXJUVAUXMUVHUWTUXAUXHYLXJXKUVHJUUCKLUXIUVPTYNUXJUV
      EUXJUVCUVDUXJUVBUVAUXJUVBUXLSUXJUVAUXMSYOUXJUVDUXPSYPYQYBYHYR $.

    pntpbnd1.e $e |- ( ph -> E e. ( 0 (,) 1 ) ) $.
    pntpbnd1.x $e |- X = ( exp ` ( 2 / E ) ) $.
    pntpbnd1.y $e |- ( ph -> Y e. ( X (,) +oo ) ) $.
    ${
      pntpbnd1a.1 $e |- ( ph -> N e. NN ) $.
      pntpbnd1a.2 $e |- ( ph -> ( Y < N /\ N <_ ( K x. Y ) ) ) $.
      pntpbnd1a.3 $e |- ( ph -> ( abs ` ( R ` N ) ) <_
        ( abs ` ( ( R ` ( N + 1 ) ) - ( R ` N ) ) ) ) $.
      $( Lemma for ~ pntpbnd .  (Contributed by Mario Carneiro, 11-Apr-2016.)
         Replace reference to OLD theorem.  (Revised by Wolf Lammen,
         8-Sep-2020.) $)
      pntpbnd1a $p |- ( ph -> ( abs ` ( ( R ` N ) / N ) ) <_ E ) $=
        ( co wcel c1 wbr c2 cfv cdiv cabs clog crp cr nnrpd ffvelrni rerpdivcld
        pntrf syl recnd abscld relogcld cc0 ioossre sselid nnred nnne0d absdivd
        cioo nnnn0d nn0ge0d absidd oveq2d eqtrd caddc cvma cmin peano2nnd vmacl
        cle cn peano2rem cchp pntrval oveq12d peano2re chpcl sub4d cn0 mvrladdd
        wceq chpp1 cc ax-1cn pncan2 sylancl 3eqtrd fveq2d breqtrd 1red resubcld
        0red 2re clt eliooord simpld elrpd rerpdivcl sylancr a1i 1lt2 2cn div1i
        wa simprd wb 0lt1 2pos syl222anc mpbid eqbrtrrid lttrd rpefcld eqeltrid
        ltdiv2 ce rpred cpnf rpxrd elioopnf cmul reeflogd breqtrrd eflt syl2anc
        cxr mpbird ltled 1re letrd ceu epr ere loge eqbrtrd oveq1d rpcnd wne c3
        suble0 vmage0 readdcl vmalelog remulcld rpmulcl nnge1d leadd2dd 2timesd
        egt2lt3 simpli ltleii nngt0d lemul1 syl112anc logled relogmul absdifled
        oveq1i eqtrdi mpbir2and lediv1dd efle eqbrtrid logleb logdivlt syl22anc
        df-e 3brtr4g fveq2i relogefd syl5eq cexp 2rp sqvald 2cnd rpcnne0d div12
        rpdivcl syl3anc rpdivcld 2ne0 divcan3d rehalfcld 1rp readdcld ltaddrp2d
        resqcld rpaddcl efgt1p2 breqtrrdi eqbrtrrd ltdiv23d ) AEBUAZEUBPZUCUAZE
        UDUAZEUBPZCAUWPAUWPAUWOEAEUEQZUWOUFQAEMUGZUEUFEBBHIUJUHUKZUXAUIULUMAUWR
        EAEUXAUNZUXAUIZAUORVAPZUFCUORUPJUQZAUWQUWOUCUAZEUBPZUWSVLAUWQUXGEUCUAZU
        BPUXHAUWOEAUWOUXBULZAEAEMURZULZAEMUSUTAUXIEUXGUBAEUXKAEAEMVBZVCVDVEVFAU
        XGUWREAUWOUXJUMZUXCUXAAUXGERVGPZVHUAZRVIPZUCUAZUWRUXNAUXQAUXQAUXPUFQZUX
        QUFQAUXOVMQZUXSAEMVJZUXOVKUKZUXPVNUKULUMUXCAUXGUXOBUAZUWOVIPZUCUAUXRVLO
        AUYDUXQUCAUYDUXOVOUAZUXOVIPZEVOUAZEVIPZVIPUYEUYGVIPZUXOEVIPZVIPUXQAUYCU
        YFUWOUYHVIAUXOUEQUYCUYFWCAUXOUYAUGZUXOBHIVPUKAUWTUWOUYHWCUXAEBHIVPUKVQA
        UYEUXOUYGEAUYEAUXOUFQZUYEUFQAEUFQZUYLUXKEVRUKZUXOVSUKULAUXOUYNULAUYGAUY
        MUYGUFQUXKEVSUKULZUXLVTAUYIUXPUYJRVIAUYEUYGUXPUYOAUXPUYBULAEWAQUYEUYGUX
        PVGPWCUXMEWDUKWBAEWEQRWEQUYJRWCUXLWFERWGWHVQWIWJWKAUXRUWRVLSRUWRVIPZUXP
        VLSUXPRUWRVGPZVLSAUYPUOUXPARUWRAWLZUXCWMAWNUYBAUYPUOVLSZRUWRVLSZARUWRUY
        RUXCARTCUBPZUWRUYRATUFQZCUEQZVUAUFQZWOACUXFAUOCWPSZCRWPSZACUXEQVUEVUFXF
        JCUORWQUKZWRZWSZTCWTXAZUXCARTVUAUYRVUBAWOXBZVUJRTWPSAXCXBATTRUBPZVUAWPT
        XDXEAVUFVULVUAWPSZAVUEVUFVUGXGACUFQVUERUFQZUORWPSZVUBUOTWPSZVUFVUMXHUXF
        VUHUYRVUOAXIXBVUKVUPAXJXBCRTXQXKXLXMXNZAVUAUWRWPSZVUAXRUAZUWRXRUAZWPSZA
        VUSEVUTWPAVUSFEWPKAFGEAFAFVUSUEKAVUAVUJXOXPZXSZAGUFQZFGWPSZAGFXTVAPQZVV
        DVVEXFZLAFYHQVVFVVGXHAFVVBYAFGYBUKXLZWRUXKAVVDVVEVVHXGAGEWPSEDGYCPVLSNW
        RXNZXMAEUXAYDYEAVUDUWRUFQZVURVVAXHVUJUXCVUAUWRYFYGYIXNYJZAVUNVVJUYSUYTX
        HYKUXCRUWRUUBXAYIAUXTUOUXPVLSUYAUXOUUCUKYLAUXPUXOUDUAZUYQUYBAUXOUYKUNAV
        UNVVJUYQUFQYKUXCRUWRUUDXAAUXTUXPVVLVLSUYAUXOUUEUKAVVLYMEYCPZUDUAZUYQVLA
        UXOVVMVLSVVLVVNVLSAUXOTEYCPZVVMUYNATEVUKUXKUUFAVVMAYMUEQZUWTVVMUEQYNUXA
        YMEUUGXAZXSAUXOEEVGPVVOVLAREEUYRUXKUXKAEMUUHUUIAEUXLUUJYEATYMVLSZVVOVVM
        VLSZVVRATYMWOYOTYMWPSYMUUAWPSUUKUULUUMXBAVUBYMUFQZUYMUOEWPSVVRVVSXHVUKV
        VTAYOXBUXKAEMUUNTYMEUUOUUPXLYLAUXOVVMUYKVVQUUQXLAVVNYMUDUAZUWRVGPZUYQAV
        VPUWTVVNVWBWCYNUXAYMEUURXAVWARUWRVGYPUUTUVAWKYLAUXPRUWRUYBUYRUXCUUSUVBY
        LUVCYQAUWSCUXDUXFAUWSFUDUAZFUBPZCUXDAVWCFAFVVBUNVVBUIUXFAFEWPSZUWSVWDWP
        SZVVIAFUFQYMFVLSUYMYMEVLSZVWEVWFXHVVCARXRUAZVUSYMFVLARVUAVLSZVWHVUSVLSZ
        ARVUAUYRVUJVUQYJAVUNVUDVWIVWJXHYKVUJRVUAUVDXAXLUVIKUVJUXKAVWGVWAUWRVLSZ
        AVWARUWRVLYPVVKUVEAVVPUWTVWGVWKXHYNUXAYMEUVFXAYIFEUVGUVHXLAVWDVUAFUBPCW
        PAVWCVUAFUBAVWCVUSUDUAVUAFVUSUDKUVKAVUAVUJUVLUVMYRAVUACFVUJVUIVVBAVUATU
        VNPZTUBPZVUACUBPZFWPAVWMTVWNYCPZTUBPVWNAVWLVWOTUBAVWLVUAVUAYCPZVWOAVUAA
        VUAATUEQVUCVUAUEQZUVOVUITCUVTXAZYSZUVPAVUAWEQTWEQCWEQCUOYTXFVWPVWOWCVWS
        AUVQZACVUIUVRVUATCUVSUWAVFYRAVWNTAVWNAVUACVWRVUIUWBYSVWTTUOYTAUWCXBUWDV
        FAVWMRVUAVGPZVWMVGPZFAVWLAVUAVUJUWIUWEZAVXAVWMAVXAARUEQVWQVXAUEQUWFVWRR
        VUAUWJXAZXSVXCUWGVVCAVWMVXAVXCVXDUWHAVXBVUSFWPAVWQVXBVUSWPSVWRVUAUWKUKK
        UWLXNUWMUWNYQXNYJYL $.
    $}

    pntpbnd1.1 $e |- ( ph -> A e. RR+ ) $.
    pntpbnd1.2 $e |- ( ph -> A. i e. NN A. j e. ZZ
   ( abs ` sum_ y e. ( i ... j ) ( ( R ` y ) / ( y x. ( y + 1 ) ) ) ) <_ A ) $.
    pntpbnd1.c $e |- C = ( A + 2 ) $.
    pntpbnd1.k $e |- ( ph -> K e. ( ( exp ` ( C / E ) ) [,) +oo ) ) $.
    pntpbnd1.3 $e |- ( ph -> -. E. y e. NN ( ( Y < y /\ y <_ ( K x. Y ) ) /\
        ( abs ` ( ( R ` y ) / y ) ) <_ E ) ) $.
    $( Lemma for ~ pntpbnd .  (Contributed by Mario Carneiro, 11-Apr-2016.) $)
    pntpbnd1 $p |- ( ph ->
      sum_ n e. ( ( ( |_ ` Y ) + 1 ) ... ( |_ ` ( K x. Y ) ) )
        ( abs ` ( ( R ` n ) / ( n x. ( n + 1 ) ) ) ) <_ A ) $=
      ( vx vm cfl cfv c1 caddc co cmul cfz cv cdiv csu cabs cle cc0 wbr wral wa
      wceq fzfid wcel cr crp cn cuz cpnf cioo ioossre sselid c2 ce clt eliooord
      0red syl simpld sylancr reefcld eqeltrid ltled elfzuz eluznn syl2an nnrpd
      ffvelrni peano2nnd adantlr fsumrecl weq fveq2 breq2d rspccva nnred nngt0d
      adantll divge0 syl22anc fsumge0 absidd sumeq2dv cneg recnd renegcld mpbid
      breq1d le0neg1d mpbird absnidd breqtrd wo sylancl wb eqbrtrrd cz flcld wi
      oveq2 raleqdv orbi12d imbi2d wn imp adantr oveq1 ovex ralsn bitrdi adantl
      csn rspcv cmin ad2antrr anbi12d id oveq12d fveq2d adantrl simprl flge0nn0
      cn0 2re elrpd rerpdivcl efgt0 breqtrrdi syl2anc nn0p1nn nnmulcld nndivred
      lttrd pntrf eqtr4d fsumneg nncnd nnne0d divnegd breqtrrd 3eqtr4rd cxr wss
      cico 2rp rpaddcl rpdivcld rpred pnfxr icossre remulcld mulid2d 1red efgt1
      sseldd elicopnf simplbda ltletrd ltmul1 syl112anc flword2 syl3anc elfzuzb
      mpdan uzid sylanbrc elfzle3 zred ltp1d peano2re ltnled pm2.21dd rgen olci
      elfzel2 2a1i cfzo elfzofz elfzp12 syl5ib letrid oveq2d peano2zd sylan9eqr
      fzsn a1d eluzfz2 wrex elfzle1 elfzelz zltp1le fllt elfzle2 flge jca simpr
      pntpbnd1a breq2 breq1 rspcev syl12anc mtand subid1d letric lesub2dd letrd
      0re ord abssuble0d 3brtr4d expr mt3d syld syl6ibr ancld cun fzsuc sylibrd
      ralunb con1d addge02d negsubd abssubge0d orim12d jaodan syldan expcom a2d
      ex fzind2 mpcom mpjaodan cbvsumv sumeq1d syl5eq rspc2va syl21anc ) ALUEUF
      ZUGUHUIZJLUJUIZUEUFZUKUIZHULZEUFZVVBVVBUGUHUIZUJUIZUMUIZHUNZUOUFZVVAVVFUO
      UFZHUNZCUPAUQFULZEUFZUPURZFVVAUSZVVHVVJVAVVLUQUPURZFVVAUSZAVVNUTZVVHVVGVV
      JVVQVVGVVQVVAVVFHVVQVURVUTVBZAVVBVVAVCZVVFVDVCZVVNAVVSUTZVVCVVEVWAVVBVEVC
      VVCVDVCZVWAVVBAVURVFVCZVVBVURVGUFZVCVVBVFVCVVSAVUQUUBVCZVWCALVDVCZUQLUPUR
      VWEAKVHVIUIZVDLKVHVJQVKZAUQLAVPZVWHAUQKLVWIAKVLIUMUIZVMUFZVDPAVWJAVLVDVCI
      VEVCVWJVDVCZUUCAIAUQUGVIUIZVDIUQUGVJOVKAUQIVNURZIUGVNURZAIVWMVCZVWNVWOUTO
      IUQUGVOVQVRUUDZVLIUUEVSZVTWAVWHAUQVWKKVNAVWLUQVWKVNURVWRVWJUUFVQPUUGAKLVN
      URZLVHVNURZALVWGVCZVWSVWTUTQLKVHVOVQVRUULZWBLUUAUUHVUQUUIVQZVVBVURVUTWCVV
      BVURWDWEZWFVEVDVVBEEMNUUMZWGVQZVWAVVBVVDVXDVWAVVBVXDWHUUJZUUKZWIZWJVVQVVA
      VVFHVVRVXIVVQVVSUTZVWBUQVVCUPURZVVEVDVCZUQVVEVNURZUQVVFUPURAVVSVWBVVNVXFW
      IVVNVVSVXKAVVMVXKFVVBVVAFHWKZVVLVVCUQUPVVKVVBEWLZWMWNWQVXJVVEAVVSVVEVFVCZ
      VVNVXGWIZWOVXJVVEVXQWPVVCVVEWRWSZWTXAVVQVVAVVIVVFHVXJVVFVXIVXRXAXBUUNAVVP
      UTZVVAVVFXCZHUNZVVGXCZVVJVVHVXSVVAVVFHVXSVURVUTVBZVXSVVSUTZVVFAVVSVVTVVPV
      XHWIZXDUUOZVXSVVAVVIVXTHVYDVVFVYEVYDVVFUQUPURUQVXTUPURVYDUQVVCXCZVVEUMUIZ
      VXTUPVYDVYGVDVCUQVYGUPURZVXLVXMUQVYHUPURVYDVVCAVVSVWBVVPVXFWIZXEVYDVVCUQU
      PURZVYIVVPVVSVYKAVVOVYKFVVBVVAVXNVVLVVCUQUPVXOXGWNWQVYDVVCVYJXHXFVYDVVEAV
      VSVXPVVPVXGWIZWOVYDVVEVYLWPVYGVVEWRWSAVVSVXTVYHVAVVPVWAVVCVVEVWAVVCVXFXDV
      WAVVEVXGUUPVWAVVEVXGUUQUURWIUUSZVYDVVFVYEXHXIXJXBVXSVVGVXSVVAVVFHVYCVYEWJ
      ZVXSVVGUQUPURUQVYBUPURVXSUQVYAVYBUPVXSVVAVXTHVYCVYDVVFVYEXEVYMWTVYFXKVXSV
      VGVYNXHXIXJUUTVUTVUQVUTUKUIZVCZAVVNVVPXLZAVUTVUQVGUFVCZVUTVUTVGUFVCZVYPAV
      WFVUSVDVCZLVUSUPURVYRVWHAJLADIUMUIZVMUFZVHUVCUIZVDJAWUBVDVCZVHUVAVCWUCVDU
      VBAWUAAWUAADIADCVLUHUIZVETACVEVCVLVEVCWUEVEVCRUVDCVLUVEXMWAVWQUVFZUVGVTZU
      VHWUBVHUVIXMUAUVNZVWHUVJZALVUSVWHWUIAUGLUJUIZLVUSVNALALVWHXDUVKAUGJVNURZW
      UJVUSVNURZAUGWUBJAUVLZWUGWUHAWUAVEVCUGWUBVNURWUFWUAUVMVQAJWUCVCZWUBJUPURZ
      UAAWUNJVDVCZWUOAWUDWUNWUPWUOUTXNWUGWUBJUVOVQUVPUWCUVQAUGVDVCWUPVWFUQLVNUR
      WUKWULXNWUMWUHVWHVXBUGJLUVRUVSXFXOWBLVUSUVTUWAZAVUTXPVCZVYSAVUSWUIXQZVUTU
      WDVQVUTVUQVUTUWBUWEAVVMFVURUCULZUKUIZUSZVVOFWVAUSZXLZXRAVVMFVURVUQUKUIZUS
      ZVVOFWVEUSZXLZXRAVVMFVURUDULZUKUIZUSZVVOFWVJUSZXLZXRAVVMFVURWVIUGUHUIZUKU
      IZUSZVVOFWVOUSZXLZXRAVYQXRUCUDVUTVUQVUTWUTVUQVAZWVDWVHAWVSWVBWVFWVCWVGWVS
      VVMFWVAWVEWUTVUQVURUKXSZXTWVSVVOFWVAWVEWVTXTYAYBUCUDWKZWVDWVMAWWAWVBWVKWV
      CWVLWWAVVMFWVAWVJWUTWVIVURUKXSZXTWWAVVOFWVAWVJWWBXTYAYBWUTWVNVAZWVDWVRAWW
      CWVBWVPWVCWVQWWCVVMFWVAWVOWUTWVNVURUKXSZXTWWCVVOFWVAWVOWWDXTYAYBWUTVUTVAZ
      WVDVYQAWWEWVBVVNWVCVVPWWEVVMFWVAVVAWUTVUTVURUKXSZXTWWEVVOFWVAVVAWWFXTYAYB
      WVHVYRAWVGWVFVVOFWVEVVKWVEVCZVURVUQUPURZVVOVVKVURVUQUWFWWGVUQVURVNURWWHYC
      WWGVUQWWGVUQVVKVURVUQUWNUWGZUWHWWGVUQVURWWIWWGVUQVDVCVURVDVCWWIVUQUWIVQUW
      JXFUWKUWLUWMUWOWVIVUQVUTUWPUIVCZAWVMWVRAWWJWVMWVRXRZAWWJWVIVUQVAZWVIVVAVC
      ZXLZWWKAWWJWWNWWJWVIVYOVCZAWWNWVIVUQVUTUWQAVYRWWOWWNXNWUQWVIVUQVUTUWRVQUW
      SYDAWWLWWKWWMAWWLUTZWVRWVMWWPWVRUQVUREUFZUPURZWWQUQUPURZXLZAWWTWWLAUQWWQV
      WIAVURVEVCWWQVDVCAVURVXCWFVEVDVUREVXEWGVQUWTYEWWPWVPWWRWVQWWSWWPWVPVVMFVU
      RYKZUSWWRWWPVVMFWVOWXAWWLAWVOVURVURUKUIZWXAWWLWVNVURVURUKWVIVUQUGUHYFUXAA
      VURXPVCWXBWXAVAAVUQALVWHXQZUXBVURUXDVQUXCZXTVVMWWRFVURVUQUGUHYGZVVKVURVAZ
      VVLWWQUQUPVVKVUREWLZWMYHYIWWPWVQVVOFWXAUSWWSWWPVVOFWVOWXAWXDXTVVOWWSFVURW
      XEWXFVVLWWQUQUPWXGXGYHYIYAXIUXEAWWMUTZWVKWVPWVLWVQWXHWVKWVKVVMFWVNYKZUSZU
      TZWVPWXHWVKWXJWXHWVKUQWVNEUFZUPURZWXJWXHWVKUQWVIEUFZUPURZWXMWXHWVIWVJVCZW
      VKWXOXRWXHWVIVWDVCZWXPWWMWXQAWVIVURVUTWCZYJZVURWVIUXFVQZVVMWXOFWVIWVJFUDW
      KZVVLWXNUQUPVVKWVIEWLZWMYLVQWXHWXOWXMWXHWXOUTWXMWXNUOUFZWXLWXNYMUIZUOUFZU
      PURZWXHWYFYCZWXOWXHWYFLBULZVNURZWYHVUSUPURZUTZWYHEUFZWYHUMUIZUOUFZIUPURZU
      TZBVFUXGZAWYQYCWWMUBYEWXHWYFUTZWVIVFVCZLWVIVNURZWVIVUSUPURZUTZWXNWVIUMUIZ
      UOUFZIUPURZWYQWXHWYSWYFAVWCWXQWYSWWMVXCWXRWVIVURWDWEZYEZWXHXUBWYFWXHWYTXU
      AWXHWYTVUQWVIVNURZWXHXUHVURWVIUPURZWWMXUIAWVIVURVUTUXHYJAVUQXPVCWVIXPVCZX
      UHXUIXNWWMWXCWVIVURVUTUXIZVUQWVIUXJWEXIAVWFXUJWYTXUHXNWWMVWHXUKLWVIUXKWEX
      IWXHXUAWVIVUTUPURZWWMXULAWVIVURVUTUXLYJAVYTXUJXUAXULXNWWMWUIXUKVUSWVIUXMW
      EXIUXNYEZWYREIJWVIKLMNAVWPWWMWYFOYNPAVXAWWMWYFQYNXUGXUMWXHWYFUXOUXPWYPXUB
      XUEUTBWVIVFBUDWKZWYKXUBWYOXUEXUNWYIWYTWYJXUAWYHWVILVNUXQWYHWVIVUSUPUXRYOX
      UNWYNXUDIUPXUNWYMXUCUOXUNWYLWXNWYHWVIUMWYHWVIEWLXUNYPYQYRXGYOUXSUXTUYAZYE
      WXHWXOWXMYCZWYFWXHWXOXUPUTZUTZWXNWXNWXLYMUIZWYCWYEUPXURWXNUQYMUIWXNXUSUPX
      URWXNXURWXNWXHWXNVDVCZXUQWXHWVIVEVCXUTWXHWVIXUFWFVEVDWVIEVXEWGVQZYEZXDUYB
      XURWXLUQWXNWXHWXLVDVCZXUQWXHWVNVEVCXVCWXHWVNWXHWVIXUFWHWFVEVDWVNEVXEWGVQZ
      YEZXURVPZXVBWXHXUPWXLUQUPURZWXOWXHXUPXVGWXHWXMXVGWXHUQVDVCXVCWXMXVGXLUYFX
      VDUQWXLUYCVSUYGZYDYSZUYDXOXURWXNXVBWXHWXOXUPYTZXAXURWXLWXNXVEXVBXURWXLUQW
      XNXVEXVFXVBXVIXVJUYEUYHUYIUYJUYKVUHUYLVVMWXMFWVNWVIUGUHYGZVVKWVNVAZVVLWXL
      UQUPVVKWVNEWLZWMYHUYMUYNWXHWVPVVMFWVJWXIUYOZUSWXKWXHVVMFWVOXVNWXHWXQWVOXV
      NVAWXSVURWVIUYPVQZXTVVMFWVJWXIUYRYIUYQWXHWVLWVLVVOFWXIUSZUTZWVQWXHWVLXVPW
      XHWVLXVGXVPWXHWVLWXNUQUPURZXVGWXHWXPWVLXVRXRWXTVVOXVRFWVIWVJWYAVVLWXNUQUP
      WYBXGYLVQWXHXVRXVGWXHXVRUTXVGWYFWXHWYGXVRXUOYEWXHXVRXVGYCZWYFWXHXVRXVSUTZ
      UTZWXNXCZWYDWYCWYEUPXWAXWBWXLXWBUHUIZWYDUPXWAWXMXWBXWCUPURWXHXVSWXMXVRWXH
      XVSWXMWXHWXMXVGXVHUYSYDYSZXWAXWBWXLXWAWXNWXHXUTXVTXVAYEZXEWXHXVCXVTXVDYEZ
      UYTXFXWAWXLWXNXWAWXLXWFXDXWAWXNXWEXDVUAXKXWAWXNXWEWXHXVRXVSYTZXJXWAWXNWXL
      XWEXWFXWAWXNUQWXLXWEXWAVPXWFXWGXWDUYEVUBUYIUYJUYKVUHUYLVVOXVGFWVNXVKXVLVV
      LWXLUQUPXVMXGYHUYMUYNWXHWVQVVOFXVNUSXVQWXHVVOFWVOXVNXVOXTVVOFWVJWXIUYRYIU
      YQVUCVUDVUEVUFVUGVUIVUJVUKAVWCWURVVKGULZUKUIZWYLWYHWYHUGUHUIZUJUIZUMUIZBU
      NZUOUFZCUPURZGXPUSFVFUSVVHCUPURZVXCWUSSXWOXWPVURXWHUKUIZVVFHUNZUOUFZCUPUR
      FGVURVUTVFXPWXFXWNXWSCUPWXFXWMXWRUOWXFXWMXWIVVFHUNXWRXWIXWLVVFBHBHWKZWYLV
      VCXWKVVEUMWYHVVBEWLXWTWYHVVBXWJVVDUJXWTYPWYHVVBUGUHYFYQYQVULWXFXWIXWQVVFH
      VVKVURXWHUKYFVUMVUNYRXGXWHVUTVAZXWSVVHCUPXXAXWRVVGUOXXAXWQVVAVVFHXWHVUTVU
      RUKXSVUMYRXGVUOVUPXO $.

    $( Lemma for ~ pntpbnd .  (Contributed by Mario Carneiro, 11-Apr-2016.) $)
    pntpbnd2 $p |- -. ph $=
      ( vn vk c1 cle wbr c2 cdiv co cr wcel 2re a1i cc0 cioo ioossre sselid clt
      wa syl simpld elrpd crp 2rp cmin caddc oveq1i wceq rpcnd sylancl eqeltrid
      cc syl5eq recnd rpdivcld rpred clog cfv resubcl ce cpnf reefcld mpbid 1re
      wb efgt1 simprd lttrd relogcld breqtrrd syl2anc mpbird cfl cmul cfz fzfid
      cv csu cn cn0 sylancr breqtrrdi ltled flge0nn0 nnrecred fsumrecl readdcld
      nn0p1nn eqeltrd elfznn0 adantl readdcl remulcld lemul1 syl112anc eqbrtrrd
      letrd nnrpd flcld peano2zd elfznn fsumshftm ax-1cn oveq12d sumeq1d logled
      pncan cem emre ltleii harmonicbnd elicc2i breqtrd ceu epr ere cabs adantr
      nndivred wn 2div2e1 2cn pncan2 oveq1d rpne0d divsubdird eqtr3d rerpdivcld
      eliooord rpaddcl cico elicopnf 0red 0lt1 reeflogd efle lesub1dd rerpdivcl
      ltletrd efgt0 rexrd elioopnf elfzuz eluznn syl2an peano2nnd 2cnd pnpcan2d
      cuz cxr relogmuld mulid2d 1zzd nnrecre oveq2 1m1e0 zcnd cin reflcl fzdisj
      c0 cun flwordi syl3anc elfz2nn0 syl3anbrc fzsplit fsumsplit 3eqtrd fllep1
      ltp1d rpmulcld resubcld 0re emgt0 simp2bi subge0d eqtrd simp3bi lesubaddd
      cicc peano2re rpmulcl flle le2addd 2timesd egt2lt3 simpli relogmul eqtrdi
      c3 loge leadd2dd df-2 addassd leadd1dd lesubadd2d fsummulc2 nncnd divrecd
      nnne0d eqeltrrd pntrf ffvelrni nnmulcld abscld wrex wi elfzle1 cz zltp1le
      nnzd fllt elfzle2 breq2 breq1 anbi12d fveq2 fveq2d breq1d rspcev syl12anc
      flge id expr mtod letrid ord mpd lediv1dd absdivd divdiv1d rprege0d absid
      oveq2d 3eqtr3rd 3brtr3d fsumle pntpbnd1 eqbrtrd subled lediv23d eqbrtrrid
      lemuldiv2d ltnle pm2.65i ) AUDHUEUFZAUDUGUGUHUIHUEUUAAUGHUGUGUJUKZAULUMZA
      HAUNUDUOUIZUJHUNUDUPNUQZAUNHURUFZHUDURUFZAHVVJUKVVLVVMUSNHUNUDUUIUTZVAVBZ
      UGVCUKZAVDUMZAUGHUHUIZDHUHUIZCHUHUIZVEUIZUGUEADCVEUIZHUHUIVVRVWAAVWBUGHUH
      AVWBCUGVFUIZCVEUIZUGDVWCCVESVGACVLUKUGVLUKVWDUGVHACQVIZUUBCUGUUCVJVMUUDAD
      CHADADVWCVCSACVCUKVVPVWCVCUKQVDCUGUUJVJVKZVIVWEAHVVKVNZAHVVOUUEUUFUUGAVVS
      UGVVTAVVSADHVWFVVOVOZVPZVVIACHACQVPZVVOUUHZAVVSUGVEUIZIVQVRZUGVEUIZVVTAVV
      SUJUKZVVHVWLUJUKVWIULVVSUGVSVJAVWMUJUKZVVHVWNUJUKAIAIAIUJUKZVVSVTVRZIUEUF
      ZAIVWRWAUUKUIUKZVWQVWSUSZTAVWRUJUKVWTVXAWEAVVSVWIWBZVWRIUULUTWCZVAZAUNUDI
      AUUMZUDUJUKZAWDUMZVXDUNUDURUFAUUNUMAUDVWRIVXGVXBVXDAVVSVCUKUDVWRURUFVWHVV
      SWFUTAVWQVWSVXCWGZUUSZWHVBZWIZULVWMUGVSVJZVWKAVVSVWMUGVWIVXKVVIAVVSVWMUEU
      FZVWRVWMVTVRZUEUFZAVWRIVXNUEVXHAIVXJUUOWJAVWOVWPVXMVXOWEVWIVXKVVSVWMUUPWK
      WLUUQAVWNKWMVRZUDVFUIZIKWNUIZWMVRZWOUIZUDUBWQZUDVFUIZUHUIZUBWRZVVTVXLAVXT
      VYCUBAVXQVXSWPZAVYAVXTUKZUSZVYBVYGVYAAVXQWSUKZVYAVXQUVIVRUKVYAWSUKZVYFAVX
      PWTUKZVYHAKUJUKZUNKUEUFVYJAJWAUOUIZUJKJWAUPPUQZAUNKVXEVYMAUNJKVXEAJVVRVTV
      RZUJOAVVRAVVHHVCUKVVRUJUKZULVVOUGHUURXAZWBVKZVYMAUNVYNJURAVYOUNVYNURUFVYP
      VVRUUTUTOXBAVYKJKURUFZAKVYLUKZVYKVYRUSZPAJUVJUKVYSVYTWEAJVYQUVAJKUVBUTWCW
      GZWHZXCZKXDWKZVXPXHUTZVYAVXQVXSUVCVYAVXQUVDUVEZUVFZXEZXFZVWKAVWMKVQVRZVFU
      IZUGWUJVFUIZVEUIZVWNVYDUEAVWMUGWUJAVWMVXKVNAUVGAWUJAKAKVYMWUBVBZWIZVNZUVH
      AWUMVYDUEUFWUKWULVYDVFUIZUEUFAVXRVQVRZWUKWUQUEAIKVXJWUNUVKZAWURUNVXPWOUIZ
      VYCUBWRZVYDVFUIZWUQAWURWUKUJWUSAVWMWUJVXKWUOXGZXIZAWVAVYDAWUTVYCUBAUNVXPW
      PAVYAWUTUKZUSZVYBWVFVYAWTUKZVYBWSUKZWVEWVGAVYAVXPXJXKVYAXHZUTXEXFZWUIXGZA
      WULVYDAVVHWUJUJUKZWULUJUKULWUOUGWUJXLXAZWUIXGAWURUDVXSUDVFUIZWOUIZUDUCWQZ
      UHUIZUCWRZWVBUEAWURWVNVQVRZWVRWVDAWVNAWVNAVXSWTUKZWVNWSUKZAVXRUJUKZUNVXRU
      EUFWVTAIKVXDVYMXMZAUNKVXRVXEVYMWWCWUCAUDKWNUIZKVXRUEAKAKVYMVNZUVLAUDIUEUF
      ZWWDVXRUEUFZAUDIVXGVXDVXIXCAVXFVWQVYKUNKURUFZWWFWWGWEVXGVXDVYMWUBUDIKXNXO
      WCXPZXQVXRXDWKZVXSXHUTZXRZWIZAWVRWVBUJAWVRUDUDVEUIZWVNUDVEUIZWOUIZVYCUBWR
      UNVXSWOUIZVYCUBWRWVBAWVQVYCUCUBUDUDWVNAUVMZWWRAVXSAVXRWWCXSZXTAWVPWVOUKZU
      SWVPWSUKZWVQVLUKZWWTWXAAWVPWVNYAXKWXAWVQWVPUVNVNZUTWVPVYBUDUHUVOZYBAWWPWW
      QVYCUBAWWNUNWWOVXSWOWWNUNVHAUVPUMZAVXSVLUKUDVLUKZWWOVXSVHAVXSWWSUVQYCVXSU
      DYGVJYDYEAWUTVXTVYCWWQUBAVXPVXQURUFWUTVXTUVRUWAVHAVXPAVYKVXPUJUKZVYMKUVSU
      TZUWKUNVXPVXQVXSUVTUTAVXPWWQUKZWWQWUTVXTUWBVHAVYJWVTVXPVXSUEUFZWXIWUDWWJA
      VYKWWBKVXRUEUFWXJVYMWWCWWIKVXRUWCUWDVXPVXSUWEUWFVXPUNVXSUWGUTAUNVXSWPAVYA
      WWQUKZUSZVYCWXLVYBWXLWVGWVHWXKWVGAVYAVXSXJXKWVIUTXEVNUWHUWIZWVKXIZAVXRWVN
      UEUFZWURWVSUEUFAWWBWXOWWCVXRUWJUTAVXRWVNAIKVXJWUNUWLWWLYFWCAUNWVRWVSVEUIZ
      UEUFWVSWVRUEUFAUNYHWXPVXEYHUJUKAYIUMAWVRWVSWXNWWMUWMUNYHUEUFAUNYHUWNYIUWO
      YJUMAWXPYHUDUXAUIZUKZYHWXPUEUFZAWWAWXRWWKUCWVNYKUTWXRWXPUJUKWXSWXPUDUEUFY
      HUDWXPYIWDYLUWPUTXQAWVRWVSWXNWWMUWQWCXQWXMYMAWVAWULVYDWVJWVMWUIAUDVXQWOUI
      ZWVQUCWRZWVAWULUEAWYAWWNVXQUDVEUIZWOUIZVYCUBWRWVAAWVQVYCUCUBUDUDVXQWWRWWR
      AVXPAKVYMXSXTAWVPWXTUKZUSWXAWXBWYDWXAAWVPVXQYAXKWXCUTWXDYBAWYCWUTVYCUBAWW
      NUNWYBVXPWOWXEAVXPVLUKWXFWYBVXPVHAVXPWXHVNYCVXPUDYGVJYDYEUWRZAWYAUDVXQVQV
      RZVFUIZWULAWYAWVAUJWYEWVJXIZAVXFWYFUJUKWYGUJUKWDAVXQAVXQWUEXRZWIZUDWYFXLX
      AWVMAWYAWYFVEUIZUDUEUFZWYAWYGUEUFAWYKWXQUKZWYLAVYHWYMWUEUCVXQYKUTWYMWYKUJ
      UKYHWYKUEUFWYLYHUDWYKYIWDYLUWSUTAWYAWYFUDWYHWYJVXGUWTWCAWYGUDUDWUJVFUIZVF
      UIZWULUEAWYFWYNUDWYJAVXFWVLWYNUJUKWDWUOUDWUJXLXAVXGAWYFYNKWNUIZVQVRZWYNUE
      AVXQWYPUEUFWYFWYQUEUFAVXQUGKWNUIZWYPAWXGVXQUJUKWXHVXPUXBUTAUGKVVIVYMXMAWY
      PAYNVCUKZKVCUKZWYPVCUKYOWUNYNKUXCXAZVPAVXQKKVFUIWYRUEAVXPUDKKWXHVXGVYMVYM
      AVYKVXPKUEUFVYMKUXDUTAUDKVXGVYMAUDJKVXGVYQVYMAUDVYNJURAVVRVCUKUDVYNURUFAU
      GHVVQVVOVOVVRWFUTOXBWUAWHXCUXEAKWWEUXFWJAUGYNUEUFZWYRWYPUEUFZXUBAUGYNULYP
      UGYNURUFYNUXKURUFUXGUXHYJUMAVVHYNUJUKZVYKWWHXUBXUCWEVVIXUDAYPUMVYMWUBUGYN
      KXNXOWCXQAVXQWYPWYIXUAYFWCAWYQYNVQVRZWUJVFUIZWYNAWYSWYTWYQXUFVHYOWUNYNKUX
      IXAXUEUDWUJVFUXLVGUXJYMUXMAWULUDUDVFUIZWUJVFUIWYOUGXUGWUJVFUXNVGAUDUDWUJW
      XFAYCUMZXUHWUPUXOVMWJXQXPUXPXQXPAWUKWULVYDWVCWVMWUIUXQWLXPAHVYDWNUIZCUEUF
      VYDVVTUEUFAXUIVXTHVYCWNUIZUBWRZCUEAVXTVYCHUBVYEVWGVYGVYCWUHVNUXRAXUKVXTVY
      AEVRZVYAVYBWNUIZUHUIZYQVRZUBWRCAVXTXUJUBVYEVYGHVYBUHUIZXUJUJVYGHVYBVYGHAH
      UJUKZVYFVVKYRZVNVYGVYBWUGUXSZVYGVYBWUGUYAZUXTZVYGHVYBXURWUGYSUYBZXFAVXTXU
      OUBVYEVYGXUNVYGXUNVYGXULXUMVYGVYAVCUKXULUJUKVYGVYAWUFXRVCUJVYAEELMUYCUYDU
      TZVYGVYAVYBWUFWUGUYEYSVNUYFZXFVWJAVXTXUJXUOUBVYEXVBXVDVYGXUPXULVYAUHUIZYQ
      VRZVYBUHUIZXUJXUOUEVYGHXVFVYBXURVYGXVEVYGXVEVYGXULVYAXVCWUFYSVNZUYFZVYGVY
      BWUGXRZVYGXVFHUEUFZYTHXVFUEUFZVYGXVKKBWQZURUFZXVMVXRUEUFZUSZXVMEVRZXVMUHU
      IZYQVRZHUEUFZUSZBWSUYGZAXWBYTVYFUAYRVYGVYIKVYAURUFZVYAVXRUEUFZXVKXWBUYHWU
      FVYGXWCVXPVYAURUFZVYGXWEVXQVYAUEUFZVYFXWFAVYAVXQVXSUYIXKVYGVXPUYJUKVYAUYJ
      UKZXWEXWFWEVYGKAVYKVYFVYMYRZXSVYGVYAWUFUYLZVXPVYAUYKWKWLVYGVYKXWGXWCXWEWE
      XWHXWIKVYAUYMWKWLVYGXWDVYAVXSUEUFZVYFXWJAVYAVXQVXSUYNXKVYGWWBXWGXWDXWJWEA
      WWBVYFWWCYRXWIVXRVYAVUCWKWLVYIXWCXWDUSZXVKXWBXWAXWKXVKUSBVYAWSXVMVYAVHZXV
      PXWKXVTXVKXWLXVNXWCXVOXWDXVMVYAKURUYOXVMVYAVXRUEUYPUYQXWLXVSXVFHUEXWLXVRX
      VEYQXWLXVQXULXVMVYAUHXVMVYAEUYRXWLVUDYDUYSUYTUYQVUAVUEVUBVUFVYGXVKXVLVYGX
      VFHXVIXURVUGVUHVUIVUJXVAVYGXVEVYBUHUIZYQVRXVFVYBYQVRZUHUIXUOXVGVYGXVEVYBX
      VHXUSXUTVUKVYGXWMXUNYQVYGXULVYAVYBVYGXULXVCVNVYGVYAWUFUXSXUSVYGVYAWUFUYAX
      UTVULUYSVYGXWNVYBXVFUHVYGVYBUJUKUNVYBUEUFUSXWNVYBVHVYGVYBXVJVUMVYBVUNUTVU
      OVUPVUQVURABCDEFGUBHIJKLMNOPQRSTUAVUSXQVUTAVYDCHWUIVWJVVOVVDWCXQXQVVAVUTV
      VBVVCAVVMVVGYTZAVVLVVMVVNWGAXUQVXFVVMXWOWEVVKWDHUDVVEVJWCVVF $.
  $}

  ${
    $d a d i j k m n t u v w x y z E $.  $d n t u v x z L $.  $d a u x y z N $.
    $d u v x A $.  $d n t u v w x y C $.  $d c d e i j k m n t u v w x y z R $.
    $d m K $.  $d z M $.  $d x y T $.  $d z Y $.  $d k m n u v w x y Z $.
    $d k n t u w ph $.
    pntibnd.r $e |- R = ( a e. RR+ |-> ( ( psi ` a ) - a ) ) $.
    $( Lemma for ~ pnt .  Establish smallness of ` R ` at a point.  Lemma
       10.6.1 in [Shapiro], p. 436.  (Contributed by Mario Carneiro,
       10-Apr-2016.) $)
    pntpbnd $p |- E. c e. RR+ A. e e. ( 0 (,) 1 ) E. x e. RR+
      A. k e. ( ( exp ` ( c / e ) ) [,) +oo )
      A. y e. ( x (,) +oo ) E. n e. NN ( ( y < n /\ n <_ ( k x. y ) ) /\
        ( abs ` ( ( R ` n ) / n ) ) <_ e ) $=
      ( cv co cfv cdiv wbr wral crp wa cpnf wcel c2 vi vj vd cfz caddc cmul csu
      c1 cabs cle cz cn wrex clt cioo ce cico cc0 pntrsumbnd2 simpl 2rp rpaddcl
      sylancl cr elioore adantl eliooord simpld elrpd rerpdivcl sylancr rpefcld
      wi simpllr eqid simplrr simp-4l simp-4r simplrl simpr pntpbnd2 iman mpbir
      wn ralrimivva wceq oveq1 raleqdv ralbidv rspcev syl2anc ralrimiva fvoveq1
      2re oveq1d rexbidv rexlimiva ax-mp ) UAJUBJUDKFJZCLZWSWSUHUEKUFKMKFUGUILU
      CJZUJNUBUKOUAULOZUCPUMBJZWSUNNWSEJZXCUFKUJNQWTWSMKUILDJZUJNQFULUMZBAJZRUO
      KZOZEHJZXEMKUPLZRUQKZOZAPUMZDURUHUOKZOZHPUMZCUAUBFGUCIUSXBXQUCPXAPSZXBQZX
      ATUEKZPSZXIEXTXEMKUPLZRUQKZOZAPUMZDXOOZXQXSXRTPSYAXRXBUTVAXATVBVCXSYEDXOX
      SXEXOSZQZTXEMKZUPLZPSXFBYJRUOKZOZEYCOZYEYHYIYHTVDSXEPSYIVDSWNYHXEYGXEVDSX
      SXEURUHVEVFYHURXEUNNZXEUHUNNZYGYNYOQXSXEURUHVGVFVHVITXEVJVKVLYHXFEBYCYKYH
      XDYCSZXCYKSZQZQZXFVMYSXFWDZQZWDUUAFXAXTCUAUBXEXDYJXCGIXSYGYRYTVNYJVOYHYPY
      QYTVPXRXBYGYRYTVQXRXBYGYRYTVRXTVOYHYPYQYTVSYSYTVTWAYSXFWBWCWEYDYMAYJPXGYJ
      WFZXIYLEYCUUBXFBXHYKXGYJRUOWGWHWIWJWKWLXPYFHXTPXJXTWFZXNYEDXOUUCXMYDAPUUC
      XIEXLYCUUCXKYBRUQXJXTXEUPMWMWOWHWPWIWJWKWQWR $.

    pntibndlem1.1 $e |- ( ph -> A e. RR+ ) $.
    pntibndlem1.l $e |- L = ( ( 1 / 4 ) / ( A + 3 ) ) $.
    $( Lemma for ~ pntibnd .  (Contributed by Mario Carneiro, 10-Apr-2016.) $)
    pntibndlem1 $p |- ( ph -> L e. ( 0 (,) 1 ) ) $=
      ( cr wcel cc0 clt wbr c1 co c4 cdiv c3 crp a1i cioo caddc cn nnrp rpreccl
      4nn mp2b rpaddcl sylancl rpdivcl sylancr eqeltrid rpred rpgt0d rpcn ax-mp
      3rp cc div1i rpre mp1i 3re 1lt4 4re 4pos recgt1 mp2an mpbi 1lt3 1re lttri
      wb ltaddrp wceq rpcnd addcom breqtrd lttrd eqbrtrid 0lt1 rpregt0d ltdiv23
      3cn wa syl121anc mpbid cxr w3a 0xr 1xr elioo2 syl3anbrc ) ADIJZKDLMZDNLMZ
      DKNUAOJZADADNPQOZBRUBOZQOZSHAWQSJZWRSJZWSSJPUCJPSJWTUFPUDPUEUGZABSJZRSJXA
      GUQBRUHUIZWQWRUJUKULZUMADXEUNADWSNLHAWQNQOZWRLMZWSNLMZAXFWQWRLWQWTWQURJXB
      WQUOUPUSAWQRWRWTWQIJZAXBWQUTZVAZRIJZAVBTAWRXDUMWQRLMZAWQNLMZNRLMXMNPLMZXN
      VCPIJKPLMXOXNVLVDVEPVFVGVHVIWQNRWTXIXBXJUPVJVBVKVGTARRBUBOZWRLAXLXCRXPLMV
      BGRBVMUKARURJBURJXPWRVNWCABGVORBVPUKVQVRVSAXINIJZKNLMZWRIJKWRLMWDXGXHVLXK
      XQAVJTXRAVTTAWRXDWAWQNWRWBWEWFVSKWGJNWGJWPWMWNWOWHVLWIWJKNDWKVGWL $.

    pntibndlem3.2 $e |- ( ph ->
      A. x e. RR+ ( abs ` ( ( R ` x ) / x ) ) <_ A ) $.
    pntibndlem3.3 $e |- ( ph -> B e. RR+ ) $.
    pntibndlem3.k $e |- K = ( exp ` ( B / ( E / 2 ) ) ) $.
    pntibndlem3.c $e |- C = ( ( 2 x. B ) + ( log ` 2 ) ) $.
    pntibndlem3.4 $e |- ( ph -> E e. ( 0 (,) 1 ) ) $.
    pntibndlem3.6 $e |- ( ph -> Z e. RR+ ) $.
    ${
      pntibndlem2.10 $e |- ( ph -> N e. NN ) $.
      $( Lemma for ~ pntibndlem2 .  (Contributed by Mario Carneiro,
         7-Jun-2016.) $)
      pntibndlem2a $p |- ( ( ph /\ u e. ( N [,] ( ( 1 + ( L x. E ) ) x. N ) ) )
        -> ( u e. RR /\ N <_ u /\ u <_ ( ( 1 + ( L x. E ) ) x. N ) ) ) $=
        ( cv c1 cmul co caddc cicc wcel cr cle wbr w3a wb 1red cc0 cioo ioossre
        nnred pntibndlem1 sselid remulcld readdcld elicc2 syl2anc biimpa ) ACUD
        ZKUEJHUFUGZUHUGZKUFUGZUIUGUJZVHUKUJKVHULUMVHVKULUMUNZAKUKUJVKUKUJVLVMUO
        AKUCUTZAVJKAUEVIAUPAJHAUQUEURUGZUKJUQUEUSZADGJMNOPVAVBAVOUKHVPUAVBVCVDV
        NVCKVKVHVEVFVG $.

      pntibndlem2.5 $e |- ( ph -> T e. RR+ ) $.
      pntibndlem2.6 $e |- ( ph -> A. x e. ( 1 (,) +oo )
        A. y e. ( x [,] ( 2 x. x ) ) ( ( psi ` y ) - ( psi ` x ) ) <_
          ( ( 2 x. ( y - x ) ) + ( T x. ( x / ( log ` x ) ) ) ) ) $.
      pntibndlem2.7 $e |- X = ( ( exp ` ( T / ( E / 4 ) ) ) + Z ) $.
      pntibndlem2.8 $e |- ( ph -> M e. ( ( exp ` ( C / E ) ) [,) +oo ) ) $.
      pntibndlem2.9 $e |- ( ph -> Y e. ( X (,) +oo ) ) $.
      pntibndlem2.11 $e |- ( ph -> ( ( Y < N /\ N <_ ( ( M / 2 ) x. Y ) ) /\
          ( abs ` ( ( R ` N ) / N ) ) <_ ( E / 2 ) ) ) $.
      $( Lemma for ~ pntibnd .  The main work, after eliminating all the
         quantifiers.  (Contributed by Mario Carneiro, 10-Apr-2016.) $)
      pntibndlem2 $p |- ( ph -> E. z e. RR+ ( ( Y < z /\
          ( ( 1 + ( L x. E ) ) x. z ) < ( M x. Y ) ) /\
          A. u e. ( z [,] ( ( 1 + ( L x. E ) ) x. z ) )
            ( abs ` ( ( R ` u ) / u ) ) <_ E ) ) $=
        ( crp wcel clt wbr c1 cmul co caddc wa cv cfv cdiv cabs cle cicc simpld
        wral 1red cc0 cioo ioossre sselid remulcld readdcld 2re remulcl sylancr
        c2 cr ce cpnf cxr clog rpred 2rp a1i eqeltrid eliooord elrpd rerpdivcld
        syl reefcld sylancl rpge0d simprd breqtrrdi wne wceq recnd mp1i syl3anc
        breqtrrd mpbird adantr ffvelrni abscld subcld lesubaddd mpbid rehalfcld
        cc cmin c3 resubcld c4 rpdivcld lttrd cchp rpne0d oveq2d eqtrd rpcnne0d
        oveq1d oveq12d fveq2d addassd letrd fveq2 oveq2 rspcdva syl2anc breqtrd
        id wb rpcnd wrex nnrpd pntibndlem1 nnred cico wss relogcld pnfxr sseldd
        icossre ltmul12ad 1t1e1 breqtrdi ltadd2dd df-2 rpcnne0 div23 lemuldiv2d
        ltmul1dd ltletrd pntibndlem2a simp1d simp2d pntrf nndivred abs2difd 3re
        rpgecld cn 4nn nnrp efgt1 ltaddrpd rplogcld peano2re chpcl cneg abstrid
        renegcld divsubdird dividd 1cnd subdird dmdcan 3eqtrd negeqd negsubdi2d
        mulid2d npncand absnegd absmuld subge0d divge0d absidd absdivd rprege0d
        absid 3brtr3d pntrval subadd4 addsub4 an42s 3eqtr3d syl22anc abssubge0d
        sub4 eqtr2d chpwordi comraddd lediv1dd leadd2dd mulid1d divdird 3eqtr4d
        abssuble0d adddid weq oveq1 breq12d raleqbidv 1xr elioopnf ax-mp simp3d
        sylanbrc wi ltle mpd lemul1d elicc2 mpbir3and divdir 2cnd divassd div12
        w3a divcan3d mulcom 1p2e3 oveq2i eqtrdi eqtr3d ledivmul2d ax-1cn addcom
        2cn 3eqtr2d eqbrtrd leadd1dd jca 3rp rpaddcl lemul12b divcan1d divrec2d
        breq1d mp2and 4cn 4ne0 reccli div23d oveq1i eqtr4di 2ne0 divdiv1d 2t2e4
        reeflogd eflt ltled lediv23d le2addd 2halvesd ralrimiva anbi12d raleqdv
        jca31 breq2 rspcev ) AOUPUQZQOURUSZUTMKVAVBZVCVBZOVAVBZNQVAVBZURUSZVDZE
        VEZIVFZVWGVGVBZVHVFZKVIUSZEOVWCVJVBZVLZVDZQDVEZURUSZVWBVWOVAVBZVWDURUSZ
        VDZVWKEVWOVWQVJVBZVLZVDZDUPUUAAOUIUUBZAVVTVWEVWMAVVTONWCVGVBQVAVBZVIUSZ
        AVVTVXEVDZOIVFZOVGVBZVHVFZKWCVGVBZVIUSZUOVKZVKZAVWCWCOVAVBZVWDAVWBOAUTV
        WAAVMZAMKAVNUTVOVBZWDMVNUTVPZAFIMSTUAUBUUCZVQZAVXPWDKVXQUGVQZVRZVSZAOUI
        UUDZVRZAWCWDUQZOWDUQZVXNWDUQZVTVYCWCOWAWBZANQAHKVGVBZWEVFZWFUUEVBZWDNAV
        YJWDUQWFWGUQVYKWDUUFAVYIAHKAHWCGVAVBZWCWHVFZVCVBWDUFAVYLVYMAVYEGWDUQVYL
        WDUQVTAGUDWIWCGWAWBAWCWCUPUQZAWJWKZUUGVSWLAKVXTAVNKURUSZKUTURUSZAKVXPUQ
        VYPVYQVDUGKVNUTWMWPZVKWNZWOWQUUHVYJWFUUJWRUMUUIZAPWFVOVBZWDQPWFVPUNVQZV
        RZAVWBWCOVYBVYEAVTWKVXCAVWBUTUTVCVBWCURAVWAUTUTVYAVXOVXOAVWAUTUTVAVBUTU
        RAMUTKUTVXSVXOVXTVXOAMAMVXSAVNMURUSZMUTURUSZAMVXPUQWUDWUEVDVXRMVNUTWMWP
        ZVKWNWSAWUDWUEWUFWTAKVYSWSAVYPVYQVYRWTUUKUULUUMUUNUUOXAZUUSAVXNVWDVIUSO
        VWDWCVGVBZVIUSAOVXDWUHVIAVVTVXEVXLWTANXPUQQXPUQWCXPUQZWCVNXBZVDZWUHVXDX
        CANVYTXDAQWUBXDVYNWUKAWJWCUUPXENQWCUUQXFXGAOVWDWCVYCWUCVYOUURXHUUTAVWKE
        VWLAVWGVWLUQZVDZVWJVWIVXHXQVBZVHVFZVXIVCVBZKWUMVWIWUMVWIWUMVWHVWGWUMVWG
        UPUQZVWHWDUQWUMVWGOWUMVWGWDUQZOVWGVIUSZVWGVWCVIUSZABEFGHIKLMOFSTUAUBUCU
        DUEUFUGUAUIUVAZUVBZAVVSWULVXCXIZWUMWURWUSWUTWVAUVCZUVHZUPWDVWGIISTUVDZX
        JWPZWVEWOZXDZXKZWUMWUOVXIWUMWUNWUMVWIVXHWVIWUMVXHAVXHWDUQWULAVXGOAVVSVX
        GWDUQZVXCUPWDOIWVFXJWPZUIUVEXIXDZXLXKZWUMVXHWVMXKZVSAKWDUQWULVXTXIZWUMV
        WJVXIXQVBWUOVIUSVWJWUPVIUSWUMVWIVXHWVIWVMUVFWUMVWJVXIWUOWVJWVOWVNXMXNWU
        MWUPVXJVXJVCVBKVIWUMWUOVXIVXJVXJWVNWVOWUMKWVPXOZWVQWUMWUOVWGOXQVBZOVGVB
        ZVWJXRVCVBZVAVBZJOWHVFZVGVBZVCVBZVXJWVNWUMWWAWWCWUMWVSWVTWUMWVROWUMVWGO
        WVBAVYFWULVYCXIZXSZWVCWOZWUMVWJXRWVJXRWDUQWUMUVGWKZVSZVRZWUMJWWBAJWDUQW
        ULAJUJWIXIZWUMOWWEWUMUTJKXTVGVBZVGVBZWEVFZOWUMVMZAWWNWDUQWULAWWMAWWMAJW
        WLUJAKXTVYSXTUVIUQZXTUPUQZAUVJXTUVKZXEYAYAZWIZWQZXIWWEAUTWWNURUSZWULAWW
        MUPUQWXBWWSWWMUVLWPXIAWWNOURUSWULAWWNQOWXAWUBVYCAWWNPQWXAAPWWNRVCVBZWDU
        LAWWNRWXAARUHWIVSWLWUBAWWNWXCPURAWWNRWXAUHUVMULXAAPQURUSZQWFURUSZAQWUAU
        QWXDWXEVDUNQPWFWMWPVKYBVXMYBXIZYBZUVNZWOZVSZWVQWUMWUOWVSVWJUTVCVBZVAVBZ
        VWGYCVFZOYCVFZXQVBZOVGVBZVCVBZWWDWVNWUMWXLWXPWUMWVSWXKWWGWUMVWJWDUQWXKW
        DUQWVJVWJUVOWPZVRZWUMWXOOWUMWXMWXNWUMWURWXMWDUQWVBVWGUVPWPZWUMVYFWXNWDU
        QWWEOUVPWPZXSZWVCWOZVSZWXJWUMWUOWVSVWJVAVBZVWHVXGXQVBZVHVFZOVGVBZVCVBZW
        XQWVNWUMWYEWYHWUMWVSVWJWWGWVJVRZWUMWYGOWUMWYFWUMWYFWUMVWHVXGWVGAWVKWULW
        VLXIZXSZXDZXKZWVCWOZVSWYDWUMWVSVWIVAVBZUVQZWYFOVGVBZVCVBZVHVFWYQVHVFZWY
        RVHVFZVCVBWUOWYIVIWUMWYQWYRWUMWYQWUMWYPWUMWVSVWIWWGWVHVRZUVSXDWUMWYRWUM
        WYFOWYLWVCWOXDUVRWUMWYSWUNVHWUMWYSVWIVWHOVGVBZXQVBZXUCVXHXQVBZVCVBWUNWU
        MWYQXUDWYRXUEVCWUMWYQXUCVWIXQVBZUVQXUDWUMWYPXUFWUMWYPVWGOVGVBZUTXQVBZVW
        IVAVBXUGVWIVAVBZUTVWIVAVBZXQVBXUFWUMWVSXUHVWIVAWUMWVSXUGOOVGVBZXQVBXUHW
        UMVWGOOWUMVWGWVBXDZWUMOWWEXDZXUMWUMOWVCYDZUVTWUMXUKUTXUGXQWUMOXUMXUNUWA
        YEYFZYHWUMXUGUTVWIWUMXUGWUMVWGOWVBWVCWOZXDWUMUWBZWVIUWCWUMXUIXUCXUJVWIX
        QWUMVWGXPUQZVWGVNXBVDOXPUQZOVNXBVDZVWHXPUQXUIXUCXCWUMVWGWVEYGWUMOWVCYGZ
        WUMVWHWVGXDZVWGOVWHUWDXFWUMVWIWVIUWHYIUWEUWFWUMXUCVWIWUMXUCWUMVWHOWVGWV
        CWOXDZWVIUWGYFWUMVWHVXGOXVBWUMVXGWYKXDXUMXUNUVTYIWUMVWIXUCVXHWVIXVCWVMU
        WIYFYJWUMWYTWYEXUAWYHVCWUMWYTWYPVHVFWVSVHVFZVWJVAVBWYEWUMWYPWUMWYPXUBXD
        UWJWUMWVSVWIWUMWVSWWGXDZWVIUWKWUMXVDWVSVWJVAWUMWVSWWGWUMWVROWWFWVCWUMVN
        WVRVIUSWUSWVDWUMVWGOWVBWWEUWLXHUWMZUWNYHUWEWUMXUAWYGOVHVFZVGVBWYHWUMWYF
        OWYMXUMXUNUWOWUMXVGOWYGVGWUMVYFVNOVIUSVDXVGOXCWUMOWVCUWPOUWQWPYEYFYIUWR
        WUMWYIWYEWVRWXOVCVBZOVGVBZVCVBZWXQVIWUMWYHXVIWYEWYOWUMXVHOWUMWVRWXOWWFW
        YBVSZWVCWOWYJWUMWYGXVHOWYNXVKWVCWUMWXOOVWGXQVBZVCVBZVHVFWXOVHVFZXVLVHVF
        ZVCVBZWYGXVHVIWUMWXOXVLWUMWXOWYBXDZWUMOVWGXUMXULXLUVRWUMXVMWYFVHWUMWYFW
        XMVWGXQVBZWXNOXQVBZXQVBZXVMWUMVWHXVRVXGXVSXQWUMWUQVWHXVRXCWVEVWGISTUWSW
        PWUMVVSVXGXVSXCWVCOISTUWSWPYIWUMWXMXPUQZWXNXPUQZXURXUSXVTXVMXCWUMWXMWXT
        XDWUMWXNWYAXDXULXUMXWAXWBVDXURXUSVDVDWXOWVRXQVBWXMOVCVBWXNVWGVCVBXQVBZX
        VTXVMWXMWXNVWGOUWTWXMWXNVWGOUXFXWAXUSXWBXURXWCXVMXCWXMOWXNVWGUXAUXBUXCU
        XDUXGYJWUMXVPWXOWVRXVQWUMWVRWWFXDZWUMXVNWXOXVOWVRVCWUMWXNWXMWYAWXTWUMVY
        FWURWUSWXNWXMVIUSWWEWVBWVDOVWGUXHXFUXEWUMOVWGWWEWVBWVDUXOYIUXIUWRUXJUXK
        WUMWYEWVSVCVBZWXPVCVBWYEWVSWXPVCVBZVCVBWXQXVJWUMWYEWVSWXPWUMWYEWYJXDXVE
        WUMWXPWYCXDYKWUMWXLXWEWXPVCWUMWXLWYEWVSUTVAVBZVCVBXWEWUMWVSVWJUTXVEWUMV
        WJWVJXDZXUQUXPWUMXWGWVSWYEVCWUMWVSXVEUXLYEYFYHWUMXVIXWFWYEVCWUMWVRWXOOX
        WDXVQXUMXUNUXMYEUXNXGYLWUMWXQWXLWCWVSVAVBZWWCVCVBZVCVBZWWDVIWUMWXPXWJWX
        LWYCWUMXWIWWCWUMVYEWVSWDUQZXWIWDUQVTWWGWCWVSWAWBZWXIVSWXSWUMWXPWCWVRVAV
        BZJOWWBVGVBZVAVBZVCVBZOVGVBZXWJVIWUMWXOXWQOWYBWUMXWNXWPWUMVYEWVRWDUQXWN
        WDUQVTWWFWCWVRWAWBZWUMJXWOWWKWUMOWWBWWEWXHWOZVRVSWVCWUMCVEZYCVFZWXNXQVB
        ZWCXXAOXQVBZVAVBZXWPVCVBZVIUSZWXOXWQVIUSCOVXNVJVBZVWGCEUXQZXXCWXOXXFXWQ
        VIXXIXXBWXMWXNXQXXAVWGYCYMYHXXIXXEXWNXWPVCXXIXXDWVRWCVAXXAVWGOXQUXRYEYH
        UXSWUMXXBBVEZYCVFZXQVBZWCXXAXXJXQVBZVAVBZJXXJXXJWHVFZVGVBZVAVBZVCVBZVIU
        SZCXXJWCXXJVAVBZVJVBZVLZXXGCXXHVLBUTWFVOVBZOXXJOXCZXXSXXGCXYAXXHXYDXXJO
        XXTVXNVJXYDYRZXXJOWCVAYNYIXYDXXLXXCXXRXXFVIXYDXXKWXNXXBXQXXJOYCYMYEXYDX
        XNXXEXXQXWPVCXYDXXMXXDWCVAXXJOXXAXQYNYEXYDXXPXWOJVAXYDXXJOXXOWWBVGXYEXX
        JOWHYMYIYEYIUXSUXTAXYBBXYCVLWULUKXIWUMVYFUTOURUSZOXYCUQZWWEWXGUTWGUQXYG
        VYFXYFVDYSUYAUTOUYBUYCUYEYOWUMVWGXXHUQZWURWUSVWGVXNVIUSZWVBWVDWUMVWGVWC
        VXNWVBAVWCWDUQWULVYDXIAVYGWULVYHXIZWUMWURWUSWUTWVAUYDZWUMVWBWCVIUSZVWCV
        XNVIUSAXYLWULAVWBWCURUSZXYLWUGAVWBWDUQZVYEXYMXYLUYFVYBVTVWBWCUYGWRUYHXI
        WUMVWBWCOAXYNWULVYBXIZVYEWUMVTWKWVCUYIXNYLWUMVYFVYGXYHWURWUSXYIUYPYSWWE
        XYJOVXNVWGUYJYPUYKYOUXJWUMXWRXWNOVGVBZXWPOVGVBZVCVBZXWJWUMXWNXPUQXWPXPU
        QXUTXWRXYRXCWUMXWNXWSXDWUMXWPWUMJXWOWUMJAJUPUQWULUJXIZWIXWTVRXDXVAXWNXW
        POUYLXFWUMXYPXWIXYQWWCVCWUMWCWVROWUMUYMZXWDXUMXUNUYNWUMXYQOWWCVAVBZOVGV
        BWWCWUMXWPYUAOVGWUMJXPUQXUSWWBXPUQWWBVNXBVDXWPYUAXCWUMJWWKXDXUMWUMWWBWX
        HYGJOWWBUYOXFYHWUMWWCOWUMWWCWUMJWWBXYSWXHYAYTXUMXUNUYQYFYIYFYQUXKWUMWXL
        XWIVCVBZWWCVCVBXWKWWDWUMWXLXWIWWCWUMWXLWXSXDWUMXWIXWMXDWUMWWCWXIXDYKWUM
        YUBWWAWWCVCWUMYUBWXLWVSWCVAVBZVCVBWVSWXKWCVCVBZVAVBWWAWUMXWIYUCWXLVCWUM
        WUIWVSXPUQXWIYUCXCVUFXVEWCWVSUYRWBYEWUMWVSWXKWCXVEWUMWXKWXRXDXYTUXPWUMY
        UDWVTWVSVAWUMYUDVWJUTWCVCVBZVCVBWVTWUMVWJUTWCXWHXUQXYTYKYUEXRVWJVCUYSUY
        TVUAYEVUGYHVUBYQYLWUMWWDVXJWCVGVBZYUFVCVBVXJVIWUMWWAWWCYUFYUFWWJWXIWUMV
        XJWVQXOZYUGWUMWWAVWAFXRVCVBZVAVBZYUFVIWUMWVSVWAVIUSZWVTYUHVIUSZWWAYUIVI
        USZWUMWVSXUHVWAVIXUOWUMXUHVWAVIUSXUGVWAUTVCVBZVIUSWUMXUGVWBYUMVIWUMXUGV
        WBVIUSWUTXYKWUMVWGVWBOWVBXYOWVCVUCXHWUMUTXPUQVWAXPUQVWBYUMXCVUDWUMVWAAV
        WAWDUQZWULVYAXIZXDUTVWAVUEWBYQWUMXUGUTVWAXUPWWOYUOXMXHVUHWUMVWJFXRWVJWU
        MFAFUPUQZWULUAXIZWIWWHWUMXXJIVFZXXJVGVBZVHVFZFVIUSZVWJFVIUSBUPVWGBEUXQZ
        YUTVWJFVIYVBYUSVWIVHYVBYURVWHXXJVWGVGXXJVWGIYMYVBYRYIYJVUPAYVABUPVLWULU
        CXIWVEYOVUIWUMXWLVNWVSVIUSZVDYUNWVTWDUQYUHWDUQVNYUHVIUSVDYUJYUKVDYULUYF
        WUMXWLYVCWWGXVFVUJYUOWWIWUMYUHWUMYUPXRUPUQYUHUPUQYUQVUKFXRVULWRZUWPWVSV
        WAWVTYUHVUMUXDVUQWUMWWLYUHVGVBZYUHVAVBWWLYUIYUFWUMWWLYUHWUMWWLWUMKXTAKU
        PUQWULVYSXIWWPWWQWUMUVJWWRXEZYAZYTWUMYUHYVDYTZWUMYUHYVDYDZVUNWUMVWAYVEY
        UHVAWUMYVEUTXTVGVBZKVAVBZYUHVGVBZVWAWUMWWLYVKYUHVGWUMKXTAKXPUQWULAKVXTX
        DXIZWUMXTYVFYTWUMXTYVFYDVUOYHWUMYVLYVJYUHVGVBZKVAVBVWAWUMYVJKYUHYVJXPUQ
        WUMXTVURVUSVUTWKYVMYVHYVIVVAMYVNKVAUBVVBVVCUXGYHWUMYUFKWCWCVAVBZVGVBWWL
        WUMKWCWCYVMXYTXYTWUJWUMVVDWKZYVPVVEYVOXTKVGVVFUYTVUAZUXNYQWUMWWCWWLYUFV
        IWUMJWWLWWBWWKYVGWXHWUMWWMWWBAWWMWDUQZWULWWTXIZWUMWWBWXHWIZWUMWWMWWBURU
        SZWWNWWBWEVFZURUSZWUMWWNOYWBURWXFWUMOWVCVVGXGWUMYVRWWBWDUQYWAYWCYSYVSYV
        TWWMWWBVVHYPXHVVIVVJYVQXGVVKWUMVXJWUMVXJWVQXDVVLYQYLAVXKWULAVXFVXKUOWTX
        IVVKWUMKYVMVVLYQYLVVMVVPVXBVWNDOUPVWOOXCZVWSVWFVXAVWMYWDVWPVVTVWRVWEVWO
        OQURVVQYWDVWQVWCVWDURVWOOVWBVAYNZVUPVVNYWDVWKEVWTVWLYWDVWOOVWQVWCVJYWDY
        RYWEYIVVOVVNVVRYP $.
    $}

    $d y ph $.
    pntibndlem3.5 $e |- ( ph -> A. m e. ( K [,) +oo )
      A. v e. ( Z (,) +oo ) E. i e. NN ( ( v < i /\ i <_ ( m x. v ) ) /\
        ( abs ` ( ( R ` i ) / i ) ) <_ ( E / 2 ) ) ) $.
    $( Lemma for ~ pntibnd .  Package up ~ pntibndlem2 in quantifiers.
       (Contributed by Mario Carneiro, 10-Apr-2016.) $)
    pntibndlem3 $p |- ( ph -> E. x e. RR+
      A. k e. ( ( exp ` ( C / E ) ) [,) +oo )
      A. y e. ( x (,) +oo ) E. z e. RR+ ( ( y < z /\
        ( ( 1 + ( L x. E ) ) x. z ) < ( k x. y ) ) /\
        A. u e. ( z [,] ( ( 1 + ( L x. E ) ) x. z ) )
          ( abs ` ( ( R ` u ) / u ) ) <_ E ) ) $=
      ( vw vt vn cv cchp cfv cmin co c2 cmul clog cdiv caddc cle cicc wral cpnf
      wbr c1 cioo crp wrex clt wa cabs ce cico cr wcel 2re 1le2 chpdifbnd mp2an
      c4 simpr cc0 ioossre sselid eliooord syl simpld elrpd adantr cn 4nn ax-mp
      rpdivcl sylancl rpdivcld rpred adantrr weq breq1 anbi12d fveq2 id oveq12d
      nnrp fveq2d breq1d breq2d anbi1d rexbidv wceq ralbidv ad2antrr wb remulcl
      oveq1 sylancr readdcl eqeltrid rerpdivcld reefcld elicopnf cc recnd recni
      2rp a1i rpregt0 mp1i syl3anc mpbid wne rpcnne0 syl2anc mpbir2and adantlrr
      oveq1d rspcdva ad2antll rpefcld rpaddcld cbvrexvw syl5bb relogcl simprbda
      breq2 oveq2 anbi2d rehalfcld rphalfcld efadd reeflog oveq2i eqtrdi simprd
      rerpdivcl div1i wi 1re ltle mpd rpregt0d 1rp 1lt2 rplogcl lediv2 leadd2dd
      eqbrtrrid oveq1i divdir syl5eq mulcom eqtr4d eqtrd breqtrrd efle eqbrtrrd
      divdiv2 simplbda letrd lemuldiv eqbrtrid elioore readdcld ltaddrp2d lttrd
      cxr rexrd elioopnf cbvralvw sylib simprrl simplrl simplrr simprll simprlr
      eqid simprrr pntibndlem2 anassrs ralrimivva raleqdv rspcev rexlimdvaa mpi
      rexlimddv ) AUIULZUMUNEULZUMUNUOUPUQUXHUXIUOUPURUPUJULZUXIUXIUSUNUTUPURUP
      VAUPVBVFUIUXIUQUXIURUPVCUPVDEVGVEVHUPVDZUJVIVJZCULZDULZVKVFVGPNURUPVAUPUX
      NURUPZLULZUXMURUPVKVFVLFULZJUNUXQUTUPVMUNNVBVFFUXNUXOVCUPVDVLDVIVJZCBULZV
      EVHUPZVDZLINUTUPZVNUNZVEVOUPZVDZBVIVJZUQVPVQZVGUQVBVFUXLVRVSEUIUQUJVTWAAU
      XKUYFUJVIAUXJVIVQZUXKVLZVLZUXJNWBUTUPZUTUPZVNUNZQVAUPZVIVQZUXRCUYNVEVHUPZ
      VDZLUYDVDZUYFAUYHUYOUXKAUYHVLZUYMQUYSUYLUYSUYLUYSUXJUYKAUYHWCUYSNVIVQZWBV
      IVQZUYKVIVQAUYTUYHANAWDVGVHUPZVPNWDVGWEUFWFZAWDNVKVFZNVGVKVFZANVUBVQZVUDV
      UEVLUFNWDVGWGWHZWIWJWKZWBWLVQVUAWMWBXFWNNWBWOWPWQWRZUUAZAQVIVQZUYHUGWKZUU
      BWSUYJUXRLCUYDUYPUYJUXPUYDVQZUXMUYPVQZVLZVLZUXMUKULZVKVFZVUQUXPUQUTUPZUXM
      URUPZVBVFZVLZVUQJUNZVUQUTUPZVMUNZNUQUTUPZVBVFZVLZUXRUKWLVUPUXIKULZVKVFZVV
      IVUSUXIURUPZVBVFZVLZVVIJUNZVVIUTUPZVMUNZVVFVBVFZVLZKWLVJZVVHUKWLVJZEQVEVH
      UPZUXMVVSUXIVUQVKVFZVUQVVKVBVFZVLZVVGVLZUKWLVJECWTZVVTVVRVWEKUKWLKUKWTZVV
      MVWDVVQVVGVWGVVJVWBVVLVWCVVIVUQUXIVKUUGVVIVUQVVKVBXAXBVWGVVPVVEVVFVBVWGVV
      OVVDVMVWGVVNVVCVVIVUQUTVVIVUQJXCVWGXDXEXGXHXBUUCVWFVWEVVHUKWLVWFVWDVVBVVG
      VWFVWBVURVWCVVAUXIUXMVUQVKXAVWFVVKVUTVUQVBUXIUXMVUSURUUHXIXBXJXKUUDVUPVVJ
      VVIMULZUXIURUPZVBVFZVLZVVQVLZKWLVJZEVWAVDZVVSEVWAVDMOVEVOUPZVUSVWHVUSXLZV
      WMVVSEVWAVWPVWLVVRKWLVWPVWKVVMVVQVWPVWJVVLVVJVWPVWIVVKVVIVBVWHVUSUXIURXQX
      IUUIXJXKXMAVWNMVWOVDUYIVUOUHXNAUYHVUOVUSVWOVQZUXKUYSVUMVWQVUNUYSVUMVLZVWQ
      VUSVPVQZOVUSVBVFZVWRUXPUYSVUMUXPVPVQZUYCUXPVBVFZUYSUYCVPVQZVUMVXAVXBVLXOU
      YSUYBUYSINUYSIUQHURUPZUQUSUNZVAUPZVPUEUYSVXDVPVQZVXEVPVQZVXFVPVQUYSUYGHVP
      VQVXGVRUYSHAHVIVQZUYHUCWKWRZUQHXPXRZUQVIVQZVXHYGUQUUEWNZVXDVXEXSWPXTVUHYA
      ZYBZUYCUXPYCWHZUUFZUUJVWROHVVFUTUPZVNUNZVUSVBUDVWRVXSUQURUPZUXPVBVFZVXSVU
      SVBVFZVWRVXTUYCUXPUYSVXTVPVQZVUMUYSVXSVPVQZUYGVYCUYSVXRUYSHVVFVXJUYSNVUHU
      UKYAZYBZVRVXSUQXPWPWKUYSVXCVUMVXOWKVXQUYSVXTUYCVBVFVUMUYSVXRVXEVAUPZVNUNZ
      VXTUYCVBUYSVYHVXSVXEVNUNZURUPZVXTUYSVXRYDVQVXEYDVQZVYHVYJXLUYSVXRVYEYEVXE
      VXMYFZVXRVXEUULWPVYIUQVXSURVXLVYIUQXLYGUQUUMWNUUNUUOUYSVYGUYBVBVFZVYHUYCV
      BVFZUYSVYGVXRVXENUTUPZVAUPZUYBVBUYSVXEVYOVXRVXHUYSVXMYHUYSVXHUYTVYOVPVQVX
      MVUHVXENUUQXRVYEUYSVXEVXEVGUTUPZVYOVBVXEVYLUURUYSNVGVBVFZVYQVYOVBVFZUYSVU
      EVYRAVUEUYHAVUDVUEVUGUUPWKUYSNVPVQZVGVPVQZVUEVYRUUSAVYTUYHVUCWKUUTNVGUVAW
      PUVBUYSVYTVUDVLWUAWDVGVKVFVLZVXHWDVXEVKVFVLZVYRVYSXOUYSNVUHUVCVGVIVQWUBUY
      SUVDVGYIYJVXEVIVQZWUCUYSUYGVGUQVKVFWUDVRUVEUQUVFWAVXEYIYJNVGVXEUVGYKYLUVI
      UVHUYSUYBVXDNUTUPZVYOVAUPZVYPUYSUYBVXFNUTUPZWUFIVXFNUTUEUVJUYSVXDYDVQVYKN
      YDVQNWDYMVLZWUGWUFXLUYSVXDVXKYEVYKUYSVYLYHUYSUYTWUHVUHNYNWHZVXDVXENUVKYKU
      VLUYSWUEVXRVYOVAUYSWUEHUQURUPZNUTUPZVXRUYSVXDWUJNUTUYSUQYDVQZHYDVQZVXDWUJ
      XLUQVRYFUYSHVXJYEZUQHUVMXRYRUYSWUMWUHWULUQWDYMVLZVXRWUKXLWUNWUIVXLWUOUYSY
      GUQYNYJHNUQUVSYKUVNYRUVOUVPUYSVYGVPVQZUYBVPVQVYMVYNXOUYSVXRVPVQVXHWUPVYEV
      XMVXRVXEXSWPVXNVYGUYBUVQYOYLUVRWKUYSVUMVXAVXBVXPUVTUWAVWRVYDVXAUYGWDUQVKV
      FVLZVYAVYBXOUYSVYDVUMVYFWKZVXQVXLWUQVWRYGUQYIYJVXSUXPUQUWBYKYLUWCVWROVPVQ
      VWQVWSVWTVLXOVWROVXSVPUDWURXTOVUSYCWHYPWSYQYSAUYHVUOUXMVWAVQZUXKUYSVUOVLZ
      WUSUXMVPVQZQUXMVKVFZVUNWVAUYSVUMUXMUYNVEUWDYTZWUTQUYNUXMUYSQVPVQVUOUYSQVU
      LWRZWKZUYSUYNVPVQVUOUYSUYMQUYSUYLVUIYBWVDUWEWKWVCUYSQUYNVKVFVUOUYSQUYMWVD
      VUJUWFWKVUNUYNUXMVKVFZUYSVUMVUNWVFUXMVEVKVFUXMUYNVEWGWIYTUWGWUTQUWHVQWUSW
      VAWVBVLXOWUTQWVEUWIQUXMUWJWHYPYQYSUYJVUOVUQWLVQZVVHVLZUXRUYJVUOWVHVLZVLEU
      IDFGHIJUXJNOPUXPVUQUYNUXMQRSAGVIVQUYIWVITXNUAAUXIJUNZUXIUTUPZVMUNZGVBVFZE
      VIVDZUYIWVIAUXSJUNZUXSUTUPZVMUNZGVBVFZBVIVDWVNUBWVRWVMBEVIBEWTZWVQWVLGVBW
      VSWVPWVKVMWVSWVOWVJUXSUXIUTUXSUXIJXCWVSXDXEXGXHUWKUWLXNAVXIUYIWVIUCXNUDUE
      AVUFUYIWVIUFXNAVUKUYIWVIUGXNUYJVUOWVGVVHUWMAUYHUXKWVIUWNAUYHUXKWVIUWOUYNU
      WRUYJVUMVUNWVHUWPUYJVUMVUNWVHUWQUYJVUOWVGVVHUWSUWTUXAUXGUXBUYEUYRBUYNVIUX
      SUYNXLZUYAUYQLUYDWVTUXRCUXTUYPUXSUYNVEVHXQUXCXMUXDYOUXEUXF $.
  $}

  ${
    $d x z C $.  $d w F $.  $d n I $.  $d n x y z J $.  $d j k m n u x y z L $.
    $d j k m n x y z K $.  $d j m n x z M $.  $d n x z O $.  $d j m n v x ph $.
    $d j m n x z N $.  $d b c d e f g i j k l m n u v w x y z R $.  $d n u V $.
    $d j m n w x z U $.  $d n v w z W $.  $d k n y z X $.  $d i j m n x z Y $.
    $d a e g j k m n u v x y z E $.  $d j m n u x z Z $.
    pntlem1.r $e |- R = ( a e. RR+ |-> ( ( psi ` a ) - a ) ) $.
    $( Lemma for ~ pnt .  Establish smallness of ` R ` on an interval.  Lemma
       10.6.2 in [Shapiro], p. 436.  (Contributed by Mario Carneiro,
       10-Apr-2016.) $)
    pntibnd $p |- E. c e. RR+ E. l e. ( 0 (,) 1 ) A. e e. ( 0 (,) 1 )
      E. x e. RR+ A. k e. ( ( exp ` ( c / e ) ) [,) +oo )
      A. y e. ( x (,) +oo ) E. z e. RR+ ( ( y < z /\
        ( ( 1 + ( l x. e ) ) x. z ) < ( k x. y ) ) /\
        A. u e. ( z [,] ( ( 1 + ( l x. e ) ) x. z ) )
          ( abs ` ( ( R ` u ) / u ) ) <_ e ) $=
      ( cv co wbr crp wral wrex wa c1 wcel vd vv vn vm vf cfv cdiv cabs cle clt
      vg vb cmul cn cpnf cioo ce cico caddc cicc pntrmax pntpbnd reeanv c2 clog
      cc0 c4 c3 2rp rpmulcl mpan cr 1lt2 rplogcl mp2an rpaddcl sylancl ad2antlr
      2re id eqid pntibndlem1 ad2antrr wi eliooord simpld elrpd rphalfcld rpred
      elioore rpgt0d 1red rphalflt syl simprd lttrd cxr w3a wb elioo2 syl3anbrc
      0xr 1xr adantl oveq2 fveq2d oveq1d breq2 anbi2d rexbidv ralbidv raleqbidv
      wceq rspcv simp-4l simpllr simplr simprl pntibndlem3 rexlimdvaa ralrimdva
      simprr syld impr fvoveq1 raleqdv oveq2d breq1d anbi12d rexralbidv rspc2ev
      oveq1 syl3anc ex rexlimivv sylbir ) ALZEUFYQUGMUHUFUALZUINAOPZUAOQZUBLZUC
      LZUJNUUBUDLUUAUMMUINRZUUBEUFUUBUGMUHUFZUELZUINZRZUCUNQZUBUKLZUOUPMZPZUDUL
      LZUUEUGMZUQUFZUOURMZPZUKOQZUEVFSUPMZPZULOQZBLZCLZUJNZSJLZFLZUMMZUSMZUVBUM
      MZGLUVAUMMZUJNZRZDLZEUFUVLUGMUHUFUVEUINZDUVBUVHUTMZPZRZCOQZBYQUOUPMZPZGIL
      ZUVEUGMUQUFZUOURMZPZAOQZFUURPZJUURQIOQZAEHUAKVAUKUBEUEUDUCHULKVBYTUUTRYSU
      USRZULOQUAOQUWFYSUUSUAULOOVCUWGUWFUAULOOYROTZUULOTZRZUWGUWFUWJUWGRVDUULUM
      MZVDVEUFZUSMZOTZSVGUGMYRVHUSMUGMZUURTZUVCSUWOUVEUMMZUSMZUVBUMMZUVIUJNZRZU
      VMDUVBUWSUTMZPZRZCOQZBUVRPZGUWMUVEUGMUQUFZUOURMZPAOQZFUURPZUWFUWIUWNUWHUW
      GUWIUWKOTZUWLOTZUWNVDOTUWIUXKVIVDUULVJVKVDVLTSVDUJNUXLVSVMVDVNVOUWKUWLVPV
      QVRUWHUWPUWIUWGUWHYREUWOHKUWHVTUWOWAZWBWCUWJYSUUSUXJUWJYSRZUUSUXIFUURUXNU
      VEUURTZRZUUSUUCUUDUVEVDUGMZUINZRZUCUNQZUBUUJPZUDUULUXQUGMZUQUFZUOURMZPZUK
      OQZUXIUXPUXQUURTZUUSUYFWDUXOUYGUXNUXOUXQVLTZVFUXQUJNZUXQSUJNZUYGUXOUXQUXO
      UVEUXOUVEUVEVFSWJZUXOVFUVEUJNZUVESUJNZUVEVFSWEZWFWGZWHZWIZUXOUXQUYPWKUXOU
      XQUVESUYQUYKUXOWLUXOUVEOTUXQUVEUJNUYOUVEWMWNUXOUYLUYMUYNWOWPVFWQTSWQTUYGU
      YHUYIUYJWRWSXBXCVFSUXQWTVOXAXDUUQUYFUEUXQUURUUEUXQXMZUUPUYEUKOUYRUUKUYAUD
      UUOUYDUYRUUNUYCUOURUYRUUMUYBUQUUEUXQUULUGXEXFXGUYRUUHUXTUBUUJUYRUUGUXSUCU
      NUYRUUFUXRUUCUUEUXQUUDUIXHXIXJXKXLXJXNWNUXPUYEUXIUKOUXPUUIOTZUYERZRABCUBD
      YRUULUWMEUCGUDUVEUYCUWOUUIHKUWHUWIYSUXOUYTXOUXMUWJYSUXOUYTXPUXNUWIUXOUYTU
      WHUWIYSXQWCUYCWAUWMWAUXNUXOUYTXQUXPUYSUYEXRUXPUYSUYEYBXSXTYCYAYDUWEUXJUVS
      GUXHPZAOQZFUURPIJUWMUWOOUURUVTUWMXMZUWDVUBFUURVUCUWCVUAAOVUCUVSGUWBUXHVUC
      UWAUXGUOURUVTUWMUVEUQUGYEXGYFXJXKUVDUWOXMZVUBUXIFUURVUDUVSUXFAGOUXHVUDUVQ
      UXEBUVRVUDUVPUXDCOVUDUVKUXAUVOUXCVUDUVJUWTUVCVUDUVHUWSUVIUJVUDUVGUWRUVBUM
      VUDUVFUWQSUSUVDUWOUVEUMYLYGXGZYHXIVUDUVMDUVNUXBVUDUVHUWSUVBUTVUEYGYFYIXJX
      KYJXKYKYMYNYOYPVO $.

    pntlem1.a $e |- ( ph -> A e. RR+ ) $.
    pntlem1.b $e |- ( ph -> B e. RR+ ) $.
    pntlem1.l $e |- ( ph -> L e. ( 0 (,) 1 ) ) $.
    pntlem1.d $e |- D = ( A + 1 ) $.
    pntlem1.f $e |- F = ( ( 1 - ( 1 / D ) ) x.
      ( ( L / ( ; 3 2 x. B ) ) / ( D ^ 2 ) ) ) $.
    $( Lemma for ~ pnt .  Closure for the constants used in the proof.  For
       comparison with Equation 10.6.27 of [Shapiro], p. 434, ` A ` is C^*,
       ` B ` is c_1, ` L ` is &lambda;, ` D ` is c_2, and ` F ` is c_3.
       (Contributed by Mario Carneiro, 13-Apr-2016.) $)
    pntlemd $p |- ( ph -> ( L e. RR+ /\ D e. RR+ /\ F e. RR+ ) ) $=
      ( crp wcel c1 co clt wbr cc0 cioo cr ioossre sselid wa eliooord syl elrpd
      simpld caddc 1rp rpaddcl sylancl eqeltrid cdiv cmin cdc cmul cexp ltaddrp
      c3 c2 1re sylancr cc rpcnd ax-1cn addcom syl5eq breqtrrd recgt1d mpbid wb
      wceq rprecred difrp cn 3nn0 2nn decnncl nnrp ax-mp rpmulcl rpdivcld cz 2z
      rpexpcl rpmulcld 3jca ) AGOPDOPZFOPAGAUAQUBRZUCGUAQUDLUEAUAGSTZGQSTZAGWLP
      WMWNUFLGUAQUGUHUJUIZADBQUKRZOMABOPZQOPWPOPJULBQUMUNUOZAFQQDUPRZUQRZGVBVCU
      RZCUSRZUPRZDVCUTRZUPRZUSRONAWTXEAWSQSTZWTOPZAQDSTXFAQQBUKRZDSAQUCPZWQQXHS
      TVDJQBVAVEADWPXHMABVFPQVFPWPXHVOABJVGVHBQVIUNVJVKADWRVLVMAWSUCPXIXFXGVNAD
      WRVPVDWSQVQUNVMAXCXDAGXBWOAXAOPZCOPXBOPXAVRPXJVBVCVSVTWAXAWBWCKXACWDVEWEA
      WKVCWFPXDOPWRWGDVCWHUNWEWIUOWJ $.

    pntlem1.u $e |- ( ph -> U e. RR+ ) $.
    pntlem1.u2 $e |- ( ph -> U <_ A ) $.
    pntlem1.e $e |- E = ( U / D ) $.
    pntlem1.k $e |- K = ( exp ` ( B / E ) ) $.
    $( Lemma for ~ pnt .  Closure for the constants used in the proof.  For
       comparison with Equation 10.6.27 of [Shapiro], p. 434, ` U ` is &alpha;,
       ` E ` is &epsilon;, and ` K ` is _K_.  (Contributed by Mario Carneiro,
       13-Apr-2016.) $)
    pntlemc $p |- ( ph -> ( E e. RR+ /\ K e. RR+ /\
      ( E e. ( 0 (,) 1 ) /\ 1 < K /\ ( U - E ) e. RR+ ) ) ) $=
      ( crp wcel cc0 c1 cioo co clt wbr cmin w3a cdiv pntlemd rpdivcld eqeltrid
      simp2d ce cfv rpred rpefcld cr rpgt0d caddc ltp1d breqtrrdi lelttrd rpcnd
      cmul mulid1d breqtrrd 1red ltdivmuld mpbird eqbrtrid cxr wb 0xr 1xr mp2an
      elioo2 syl3anbrc efgt1 syl 1re ltaddrp sylancr cc wne wceq rpcnne0d divid
      wa ax-1cn addcom sylancl syl5eq 3brtr4d ltdiv23d difrp syl2anc mpbid 3jca
      ) AGUBUCIUBUCGUDUEUFUGUCZUEIUHUIZFGUJUGUBUCZUKAGFDULUGZUBTAFDRAJUBUCDUBUC
      HUBUCABCDEHJKLMNOPQUMUPZUNUOZAICGULUGZUQURZUBUAAXIAXIACGNXHUNZUSUTUOAXCXD
      XEAGVAUCZUDGUHUIZGUEUHUIZXCAGXHUSZAGXHVBAGXFUEUHTAXFUEUHUIFDUEVHUGZUHUIAF
      DXPUHAFBDAFRUSZABMUSZADXGUSSABBUEVCUGZDUHABXRVDPVEVFADADXGVGVIVJAFUEDXQAV
      KXGVLVMVNUDVOUCUEVOUCXCXLXMXNUKVPVQVRUDUEGVTVSWAAUEXJIUHAXIUBUCUEXJUHUIXK
      XIWBWCUAVEAGFUHUIZXEAGXFFUHTAFFDXQRXGAUEUEBVCUGZFFULUGZDUHAUEVAUCBUBUCUEY
      AUHUIWDMUEBWEWFAFWGUCFUDWHWLYBUEWIAFRWJFWKWCADXSYAPABWGUCUEWGUCXSYAWIABMV
      GWMBUEWNWOWPWQWRVNAXLFVAUCXTXEVPXOXQGFWSWTXAXBXB $.

    pntlem1.y $e |- ( ph -> ( Y e. RR+ /\ 1 <_ Y ) ) $.
    pntlem1.x $e |- ( ph -> ( X e. RR+ /\ Y < X ) ) $.
    pntlem1.c $e |- ( ph -> C e. RR+ ) $.
    pntlem1.w $e |- W = ( ( ( Y + ( 4 / ( L x. E ) ) ) ^ 2 ) +
      ( ( ( X x. ( K ^ 2 ) ) ^ 4 ) + ( exp ` ( ( ( ; 3 2 x. B ) /
     ( ( U - E ) x. ( L x. ( E ^ 2 ) ) ) ) x. ( ( U x. 3 ) + C ) ) ) ) ) $.
    $( Lemma for ~ pnt .  Closure for the constants used in the proof.  The
       mammoth expression ` W ` is a number large enough to satisfy all the
       lower bounds needed for ` Z ` .  For comparison with Equation 10.6.27 of
       [Shapiro], p. 434, ` Y ` is x_2, ` X ` is x_1, ` C ` is the big-O
       constant in Equation 10.6.29 of [Shapiro], p. 435, and ` W ` is the
       unnamed lower bound of "for sufficiently large x" in Equation 10.6.34 of
       [Shapiro], p. 436.  (Contributed by Mario Carneiro, 13-Apr-2016.) $)
    pntlema $p |- ( ph -> W e. RR+ ) $=
      ( c4 cmul co cdiv caddc c2 cexp c3 cdc cmin ce cfv crp wcel cz c1 cle wbr
      simpld cn 4nn nnrp ax-mp pntlemd simp1d cc0 cioo clt w3a pntlemc rpmulcld
      rpdivcl sylancr rpaddcld 2z rpexpcl sylancl simp2d 4z 2nn decnncl rpmulcl
      3nn0 simp3d rpdivcld 3rp rpred rpefcld eqeltrid ) ALNUJKHUKULZUMULZUNULZU
      OUPULZMJUOUPULZUKULZUJUPULZUQUOURZCUKULZGHUSULZKHUOUPULZUKULZUKULZUMULZGU
      QUKULZDUNULZUKULZUTVAZUNULZUNULVBUIAXBXQAXAVBVCUOVDVCZXBVBVCANWTANVBVCVEN
      VFVGUFVHAUJVBVCZWSVBVCWTVBVCUJVIVCXSVJUJVKVLAKHAKVBVCEVBVCIVBVCABCEFIKOPQ
      RSTUAVMVNZAHVBVCZJVBVCZHVOVEVPULVCZVEJVQVGZXHVBVCZVRZABCEFGHIJKOPQRSTUAUB
      UCUDUEVSZVNZVTUJWSWAWBWCWDXAUOWEWFAXEXPAXDVBVCUJVDVCXEVBVCAMXCAMVBVCNMVQV
      GUGVHAYBXRXCVBVCAYAYBYFYGWGWDJUOWEWFVTWHXDUJWEWFAXOAXOAXLXNAXGXKAXFVBVCZC
      VBVCXGVBVCXFVIVCYIUQUOWLWIWJXFVKVLRXFCWKWBAXHXJAYCYDYEAYAYBYFYGWMWMAKXIXT
      AYAXRXIVBVCYHWDHUOWEWFVTVTWNAXMDAGVBVCUQVBVCXMVBVCUBWOGUQWKWFUHWCVTWPWQWC
      WCWR $.

    ${
      pntlem1.z $e |- ( ph -> Z e. ( W [,) +oo ) ) $.
      $( Lemma for ~ pnt .  Unpack all the lower bounds contained in ` W ` , in
         the form they will be used.  For comparison with Equation 10.6.27 of
         [Shapiro], p. 434, ` Z ` is x.  (Contributed by Mario Carneiro,
         13-Apr-2016.) $)
      pntlemb $p |- ( ph -> ( Z e. RR+ /\ ( 1 < Z /\ _e <_ ( sqrt ` Z ) /\
      ( sqrt ` Z ) <_ ( Z / Y ) ) /\ ( ( 4 / ( L x. E ) ) <_ ( sqrt ` Z ) /\
        ( ( ( log ` X ) / ( log ` K ) ) + 2 ) <_
        ( ( ( log ` Z ) / ( log ` K ) ) / 4 ) /\
        ( ( U x. 3 ) + C ) <_ ( ( ( U - E ) x.
        ( ( L x. ( E ^ 2 ) ) / ( ; 3 2 x. B ) ) ) x. ( log ` Z ) ) ) ) ) $=
        ( crp wcel c1 clt wbr ceu csqrt cfv cle cdiv co w3a c4 cmul c2 caddc c3
        clog cmin cexp cdc cr cpnf cico cxr pntlema rpred sylancl simp1d simp2d
        wb mpbid 1re a1i ere egt2lt3 2re lttri mp2an 4re cn nnrp ax-mp rpmulcld
        4nn cc0 sylancr wa eliooord simprd rpcnd breqtrd simp3d lttrd ltmuldivd
        syl syl3anc simpld rpaddcld ltaddrp2d ce cz 2z rpexpcl rpmulcl rpdivcld
        4z ltaddrpd ltletrd wceq rprege0d breqtrrd lt2sq syl2anc mpbird 3brtr3d
        ltled rerpdivcld 3jca relogcld nndivre relogexp recnd oveq2d oveq1d wne
        cc rpcnne0d 3eqtrd elico2 rpgecld rpsqrtcld 1lt2 simpli simpri 3lt4 3re
        pnfxr pntlemd cioo pntlemc rpdivcl ltmul1dd mulid2d 4pos ltmul2 mulid1i
        jctir 4cn breqtrdi resqcld 3nn0 2nn decnncl 3rp breqtrrdi resqrtth 0le1
        rpefcld syl21anc sq1 ltmul2dd remsqsqrt rplogcld readdcl addcomd syl5eq
        logltb eqbrtrrd ltmuldiv2 ltdiv1dd relogmuld eqtrd 2cnd mulcld divcan4d
        divdir rpcnne0 divdiv32 remulcld divdiv2 mulcomd div23 reefcld reeflogd
        mp1i eflt eqbrtrd ltdivmuld divass ) AOULUMZUNOUOUPZUQOURUSZUTUPZUXDONV
        AVBZUTUPZVCVDKHVEVBZVAVBZUXDUTUPZMVIUSZJVIUSZVAVBZVFVGVBZOVIUSZUXLVAVBZ
        VDVAVBZUTUPZGVHVEVBZDVGVBZGHVJVBZKHVFVKVBZVEVBZVHVFVLZCVEVBZVAVBVEVBZUX
        OVEVBZUTUPZVCAOLAOVMUMZLOUTUPZOVNUOUPZAOLVNVOVBUMZUYIUYJUYKVCZUKALVMUMV
        NVPUMUYLUYMWBALABCDEFGHIJKLMNPQRSTUAUBUCUDUEUFUGUHUIUJVQZVRZUUILVNOUUAV
        SWCZVTZUYNAUYIUYJUYKUYPWAZUUBZAUXCUXEUXGAUNVFVKVBZUXDVFVKVBZUNOUOAUNUXD
        UOUPZUYTVUAUOUPZAUNUQUXDUNVMUMZAWDWEZUQVMUMAWFWEZAUXDAOUYSUUCZVRZUNUQUO
        UPZAUNVFUOUPVFUQUOUPZVUIUUDVUJUQVHUOUPZWGUUEUNVFUQWDWHWFWIWJWEAUQVDUXDV
        UFVDVMUMZAWKWEZVUHUQVDUOUPZAVUKVHVDUOUPVUNVUJVUKWGUUFUUGUQVHVDWFUUHWKWI
        WJWEAVDUXIUXDVUMAUXIAVDULUMZUXHULUMUXIULUMVDWLUMZVUOWPVDWMWNZAKHAKULUME
        ULUMIULUMABCEFIKPQRSTUAUBUUJVTZAHULUMZJULUMZHWQUNUUKVBZUMZUNJUOUPZUYAUL
        UMZVCZABCEFGHIJKPQRSTUAUBUCUDUEUFUULZVTZWOZVDUXHUUMWRZVRZVUHAVDUXHVEVBZ
        VDUOUPVDUXIUOUPAVVKVDUNVEVBZVDUOAUXHUNUOUPZVVKVVLUOUPZAUXHHUNAUXHVVHVRZ
        AHVVGVRVUEAUXHUNHVEVBHUOAKUNHAKVURVRVUEVVGAWQKUOUPZKUNUOUPZAKVVAUMVVPVV
        QWSTKWQUNWTXGXAUUNAHAHVVGXBUUOXCAWQHUOUPZHUNUOUPZAVVBVVRVVSWSAVVBVVCVVD
        AVUSVUTVVEVVFXDZVTHWQUNWTXGXAXEAUXHVMUMVUDVULWQVDUOUPZWSZVVMVVNWBVVOVUE
        AVULVWAVUMUUPUUSZUXHUNVDUUQXHWCVDUUTUURUVAAVDVDUXHVUMVUMVVHXFWCAUXINUXI
        VGVBZUXDVVJAVWDANUXIANULUMUNNUTUPUGXIZVVIXJZVRZVUHAUXINVVJVWEXKAVWDUXDU
        OUPZVWDVFVKVBZVUAUOUPZAVWIOVUAUOAVWILOAVWDVWGUVBZUYOUYQAVWIVWIMJVFVKVBZ
        VEVBZVDVKVBZUYEUYAUYCVEVBZVAVBZUXTVEVBZXLUSZVGVBZVGVBZLUOAVWIVWSVWKAVWN
        VWRAVWMULUMZVDXMUMZVWNULUMZAMVWLAMULUMNMUOUPUHXIZAVUTVFXMUMZVWLULUMAVUS
        VUTVVEVVFWAZXNJVFXOVSZWOZXRVWMVDXOVSZAVWQAVWQAVWPUXTAUYEVWOAUYDULUMZCUL
        UMUYEULUMUYDWLUMVXJVHVFUVCUVDUVEUYDWMWNSUYDCXPWRZAUYAUYCAVVBVVCVVDVVTXD
        ZAKUYBVURAVUSVXEUYBULUMVVGXNHVFXOVSWOZWOZXQAUXSDAGULUMVHULUMUXSULUMUCUV
        FGVHXPVSUIXJZWOVRZUVJZXJZXSUJUVGUYRXTAUYIWQOUTUPWSZVUAOYAAOUYSYBZOUVHXG
        ZYCAVWDVMUMWQVWDUTUPWSUXDVMUMWQUXDUTUPWSZVWHVWJWBAVWDVWFYBAUXDVUGYBZVWD
        UXDYDYEYFZXEZXEXEZXEAVUDWQUNUTUPZVYBVUBVUCWBVUEVYGAUVIWEVYCUNUXDYDUVKWC
        UYTUNYAAUVLWEVYAYGAUQUXDVUFVUHVYFYHAUXDUXFVUHAONUYQVWEYIAUXDNVEVBZOUOUP
        UXDUXFUOUPAVYHUXDUXDVEVBZOUOANUXDUXDANVWEVRZVUHVUGANVWDUXDVYJVWGVUHANUX
        IVYJVVIXSVYDXEUVMAVXSVYIOYAVXTOUVNXGXCAUXDONVUHUYQVWEXFWCYHYJAUXJUXRUYH
        AUXIUXDVVJVUHVYEYHAUXNUXQAUXMVMUMVFVMUMUXNVMUMAUXKUXLAMVXDYKZAJAJVXFVRA
        VVBVVCVVDVVTWAUVOZYIWHUXMVFUVPVSAUXPVMUMVUPUXQVMUMAUXOUXLAOUYSYKZVYLYIW
        PUXPVDYLVSAVWMVIUSZUXLVAVBZUXOVDVAVBZUXLVAVBZUXNUXQUOAVYNVYPUXLAVWMVXHY
        KZAUXOVMUMZVUPVYPVMUMVYMWPUXOVDYLVSVYLAVDVYNVEVBZUXOUOUPZVYNVYPUOUPZAVW
        NVIUSZVYTUXOUOAVXAVXBWUCVYTYAVXHXRVWMVDYMVSAVWNOUOUPZWUCUXOUOUPZAVWNVWS
        OAVWNVXIVRZAVWSVXRVRZUYQAVWNVWRWUFVXQXSAVWSLOWUGUYOUYQAVWSVWSVWIVGVBZLU
        OAVWSVWIWUGAVWDULUMVXEVWIULUMVWFXNVWDVFXOVSXSALVWTWUHUJAVWIVWSAVWIVWKYN
        AVWSVXRXBUVQUVRYCUYRXTZXEAVXCUXBWUDWUEWBVXIUYSVWNOUVSYEWCUVTAVYNVMUMVYS
        VWBWUAWUBWBVYRVYMVWCVYNUXOVDUWAXHWCUWBAVYOUXKVFUXLVEVBZVGVBZUXLVAVBZUXM
        WUJUXLVAVBZVGVBZUXNAVYNWUKUXLVAAVYNUXKVWLVIUSZVGVBWUKAMVWLVXDVXGUWCAWUO
        WUJUXKVGAVUTVXEWUOWUJYAVXFXNJVFYMVSYOUWDYPAUXKYRUMWUJYRUMUXLYRUMZUXLWQY
        QZWSZWULWUNYAAUXKVYKYNAVFUXLAUWEZAUXLVYLXBZUWFAUXLVYLYSZUXKWUJUXLUWHXHA
        WUMVFUXMVGAVFUXLWUSWUTAWUPWUQWVAXAUWGYOYTAUXOYRUMVDYRUMVDWQYQWSZWURVYQU
        XQYAAUXOVYMYNVUOWVBAVUQVDUWIUWQWVAUXOVDUXLUWJXHYGYHAUXTVWOUYEVAVBZUXOVE
        VBZUYGUTAUXTWVDAUXTVXOVRZAWVCUXOAWVCAVWOUYEVXNVXKXQZVRVYMUWKAUXTWVCVAVB
        ZUXOUOUPUXTWVDUOUPAWVGVWQUXOUOAWVGUXTUYEVEVBZVWOVAVBZUYEUXTVEVBZVWOVAVB
        ZVWQAUXTYRUMZVWOYRUMVWOWQYQWSZUYEYRUMZUYEWQYQWSZWVGWVIYAAUXTVXOXBZAVWOV
        XNYSZAUYEVXKYSZUXTVWOUYEUWLXHAWVHWVJVWOVAAUXTUYEWVPAUYEVXKXBZUWMYPAWVNW
        VLWVMWVKVWQYAWVSWVPWVQUYEUXTVWOUWNXHYTAVWQUXOUOUPZVWRUXOXLUSZUOUPZAVWRO
        WWAUOAVWRVWSOAVWQVXPUWOZWUGUYQAVWRVWNWWCVXIXKWUIXEAOUYSUWPYCAVWQVMUMVYS
        WVTWWBWBVXPVYMVWQUXOUWRYEYFUWSAUXTUXOWVCWVEVYMWVFUWTWCYHAWVCUYFUXOVEAUY
        AYRUMUYCYRUMWVOWVCUYFYAAUYAVXLXBAUYCVXMXBWVRUYAUYCUYEUXAXHYPXCYJYJ $.

      pntlem1.m $e |- M =
        ( ( |_ ` ( ( log ` X ) / ( log ` K ) ) ) + 1 ) $.
      pntlem1.n $e |- N =
        ( |_ ` ( ( ( log ` Z ) / ( log ` K ) ) / 2 ) ) $.
      $( Lemma for ~ pnt .  Closure for the constants used in the proof.  For
         comparison with Equation 10.6.27 of [Shapiro], p. 434, ` M ` is j^*
         and ` N ` is &#309;.  (Contributed by Mario Carneiro, 13-Apr-2016.) $)
      pntlemg $p |- ( ph -> ( M e. NN /\ N e. ( ZZ>= ` M ) /\
        ( ( ( log ` Z ) / ( log ` K ) ) / 4 ) <_ ( N - M ) ) ) $=
        ( cn wcel cuz cfv clog cdiv co c4 cmin cle wbr cfl c1 caddc cc0 cn0 crp
        cr wa clt simpld rpred 1red simprd lelttrd rplogcld cioo pntlemc simp2d
        w3a simp3d rpdivcld rprege0d flge0nn0 nn0p1nn 3syl eqeltrid cz nnzd ceu
        c2 csqrt cmul c3 cdc pntlemb simp1d relogcld rerpdivcld rehalfcld flcld
        cexp 0red 4nn nndivre sylancl zred nnred resubcld elrpii rpdivcl rpge0d
        4re 4pos recnd 1cnd addassd readdcld peano2re syl 2re a1i reflcl oveq1i
        nncnd df-2 oveq2i 3eqtr4g flle leadd1dd eqbrtrd letrd leadd2dd mpbid
        2cnd wne divdiv1d 2t2e4 eqtrdi oveq2d divcan2d 2timesd 3eqtr3d breqtrrd
        2ne0 fllep1 breqtrrdi leadd1d mpbird leaddsub syl3anc subge0d syl3anbrc
        wb eluz2 3jca ) ALUPUQMLURUSUQZQUTUSZJUTUSZVAVBZVCVAVBZMLVDVBZVEVFZALOU
        TUSZUVDVAVBZVGUSZVHVIVBZUPUNAUVJVMUQZVJUVJVEVFVNUVKVKUQUVLUPUQAUVJAUVIU
        VDAOAOAOVLUQZPOVOVFZUJVPVQZAVHPOAVRZAPAPVLUQZVHPVEVFZUIVPVQUVPAUVRUVSUI
        VSAUVNUVOUJVSVTWAAJAJAHVLUQZJVLUQZHVJVHWBVBUQZVHJVOVFZGHVDVBZVLUQZWEZAB
        CEFGHIJKRSTUAUBUCUDUEUFUGUHWCZWDVQAUWBUWCUWEAUVTUWAUWFUWGWFWDWAZWGZWHUV
        JWIUVKWJWKWLZALWMUQMWMUQLMVEVFZUVBALUWJWNAMUVEWPVAVBZVGUSZWMUOAUWLAUVEA
        UVCUVDAQAQVLUQZVHQVOVFZWOQWQUSZVEVFZUWPQPVAVBVEVFZWEZVCKHWRVBVAVBUWPVEV
        FZUVJWPVIVBZUVFVEVFZGWSWRVBDVIVBUWDKHWPXGVBWRVBWSWPWTCWRVBVAVBWRVBUVCWR
        VBVEVFZWEZABCDEFGHIJKNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMXAZXBZXCUWHXDZXEZ
        XFWLZAVJUVGVEVFUWKAVJUVFUVGAXHAUVEVMUQVCUPUQUVFVMUQZUXGXIUVEVCXJXKZAMLA
        MUXIXLZALUWJXMZXNAUVFAUVEVLUQVCVLUQUVFVLUQAUVCUVDAQAQUXFVQAUWOUWQUWRAUW
        NUWSUXDUXEWDXBWAUWHWGVCXRXSXOUVEVCXPXKXQAUVFLVIVBZMVEVFZUVHAUXOUXNVHVIV
        BZMVHVIVBZVEVFAUXPUVFLVHVIVBZVIVBZUXQVEAUVFLVHAUVFUXKXTZALUWJYJAYAZYBAU
        XSUWLUXQAUVFUXRUXKALVHUXMUVQYCZYCUXHAMVMUQZUXQVMUQUXLMYDYEAUXSUVFUVFVIV
        BZUWLVEAUXRUVFUVFUYBUXKUXKAUXRUXAUVFUYBAUVJWPAUVJUWIVQZWPVMUQAYFYGZYCUX
        KAUXRUVKWPVIVBZUXAVEAUVLVHVIVBUVKVHVHVIVBZVIVBUXRUYGAUVKVHVHAUVKAUVMUVK
        VMUQUYEUVJYHYEZXTUYAUYAYBLUVLVHVIUNYIWPUYHUVKVIYKYLYMAUVKUVJWPUYIUYEUYF
        AUVMUVKUVJVEVFUYEUVJYNYEYOYPAUWTUXBUXCAUWNUWSUXDUXEWFWDYQYRAWPUWLWPVAVB
        ZWRVBWPUVFWRVBUWLUYDAUYJUVFWPWRAUYJUVEWPWPWRVBZVAVBUVFAUVEWPWPAUVEUXGXT
        AYTZUYLWPVJUUAAUUJYGZUYMUUBUYKVCUVEVAUUCYLUUDUUEAUWLWPAUWLUXHXTUYLUYMUU
        FAUVFUXTUUGUUHUUIAUWLUWMVHVIVBZUXQVEAUWLVMUQUWLUYNVEVFUXHUWLUUKYEMUWMVH
        VIUOYIUULYQYPAUXNMVHAUVFLUXKUXMYCUXLUVQUUMUUNAUXJLVMUQUYCUXOUVHUUSUXKUX
        MUXLUVFLMUUOUUPYSZYQAMLUXLUXMUUQYSLMUUTUURUYOUVA $.

      $( Lemma for ~ pnt .  Bounds on the subintervals in the induction.
         (Contributed by Mario Carneiro, 13-Apr-2016.) $)
      pntlemh $p |- ( ( ph /\ J e. ( M ... N ) ) ->
        ( X < ( K ^ J ) /\ ( K ^ J ) <_ ( sqrt ` Z ) ) ) $=
        ( cfz co wcel wa cexp clt wbr csqrt cfv cle clog cmul crp simpld adantr
        cdiv relogcld cc0 c1 cioo cmin w3a pntlemc simp2d rpred simp3d rplogcld
        rerpdivcld cn cuz c4 pntlemg simp1d nnred elfzuz eluznn syl2an caddc cr
        cfl flltp1 breqtrrdi elfzle1 adantl ltletrd ltdivmul2d mpbid cz elfzelz
        syl wceq relogexp syl2anc breqtrrd wb rpexpcld logltb mpbird c2 sylancl
        oveq2d 2z 2cnd recnd mulassd 3eqtr4d elfzle2 breqtrdi ceu cdc rehalfcld
        pntlemb flge 2re a1i 2pos lemuldiv2 syl112anc remulcl sylancr lemuldivd
        c3 eqbrtrd rprege0d rpexpcl logled resqrtth rpsqrtcld le2sq jca ) AJMNU
        QURUSZUTZPKJVAURZVBVCZUUIRVDVEZVFVCZUUHUUJPVGVEZUUIVGVEZVBVCZUUHUUMJKVG
        VEZVHURZUUNVBUUHUUMUUPVLURZJVBVCUUMUUQVBVCUUHUURMJUUHUUMUUPUUHPAPVIUSZU
        UGAUUSQPVBVCUKVJVKZVMZAUUPVIUSUUGAKAKAHVIUSZKVIUSZHVNVOVPURUSZVOKVBVCZG
        HVQURZVIUSZVRZABCEFGHIKLSTUAUBUCUDUEUFUGUHUIVSZVTZWAAUVDUVEUVGAUVBUVCUV
        HUVIWBVTWCVKZWDZUUHMAMWEUSZUUGAUVMNMWFVEZUSRVGVEZUUPVLURZWGVLURZNMVQURV
        FVCABCDEFGHIKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPWHWIZVKWJUUHJAUVM
        JUVNUSJWEUSUUGUVRJMNWKJMWLWMWJZUUHUURUURWPVEVOWNURZMVBUUHUURWOUSUURUVTV
        BVCUVLUURWQXFUOWRUUGMJVFVCAJMNWSWTXAUUHUUMJUUPUVAUVSUVKXBXCUUHUVCJXDUSZ
        UUNUUQXGAUVCUUGUVJVKZUUGUWAAJMNXEWTZKJXHXIZXJUUHUUSUUIVIUSZUUJUUOXKUUTU
        UHKJUWBUWCXLZPUUIXMXIXNUUHUULUUIXOVAURZUUKXOVAURZVFVCZUUHUWGRUWHVFUUHUW
        GRVFVCUWGVGVEZUVOVFVCUUHUWJXOJVHURZUUPVHURZUVOVFUUHXOUUNVHURZXOUUQVHURU
        WJUWLUUHUUNUUQXOVHUWDXQUUHUWEXOXDUSZUWJUWMXGUWFXRUUIXOXHXPUUHXOJUUPUUHX
        SUUHJUVSXTUUHUUPUUHKUWBVMXTYAYBUUHUWLUVOVFVCUWKUVPVFVCZUUHUWOJUVPXOVLUR
        ZVFVCZUUHUWQJUWPWPVEZVFVCZUUHJNUWRVFUUGJNVFVCAJMNYCWTUPYDUUHUWPWOUSUWAU
        WQUWSXKUUHUVPUUHUVOUUPUUHRARVIUSZUUGAUWTVORVBVCYEUUKVFVCUUKRQVLURVFVCVR
        WGLHVHURVLURUUKVFVCUURXOWNURUVQVFVCGYRVHURDWNURUVFLHXOVAURVHURYRXOYFCVH
        URVLURVHURUVOVHURVFVCVRABCDEFGHIKLOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNYHW
        IVKZVMZUVKWDZYGUWCUWPJYIXIXNUUHJWOUSZUVPWOUSXOWOUSZVNXOVBVCZUWOUWQXKUVS
        UXCUXEUUHYJYKUXFUUHYLYKJUVPXOYMYNXNUUHUWKUVOUUPUUHUXEUXDUWKWOUSYJUVSXOJ
        YOYPUXBUVKYQXNYSUUHUWGRUUHUWEUWNUWGVIUSUWFXRUUIXOUUAXPUXAUUBXNUUHRWOUSV
        NRVFVCUTUWHRXGUUHRUXAYTRUUCXFXJUUHUUIWOUSVNUUIVFVCUTUUKWOUSVNUUKVFVCUTU
        ULUWIXKUUHUUIUWFYTUUHUUKUUHRUXAUUDYTUUIUUKUUEXIXNUUF $.

      pntlem1.U $e |- ( ph -> A. z e. ( Y [,) +oo )
        ( abs ` ( ( R ` z ) / z ) ) <_ U ) $.
      $( Lemma for ~ pnt .  The "naive" base bound, which we will slightly
         improve.  (Contributed by Mario Carneiro, 13-Apr-2016.) $)
      pntlemn $p |- ( ( ph /\ ( J e. NN /\ J <_ ( Z / Y ) ) ) ->
        0 <_ ( ( ( U / J ) - ( abs ` ( ( R ` ( Z / J ) ) / Z ) ) )
          x. ( log ` J ) ) ) $=
        ( cn wcel cdiv co cle wbr wa cfv cabs cmin clog crp adantr rpred simprl
        nndivred cr c1 clt ceu csqrt w3a c4 cmul c2 caddc c3 cdc pntlemb simp1d
        cexp nnrpd rpdivcld pntrf ffvelrni syl rerpdivcld recnd abscld resubcld
        relogcld cc0 wne wceq rpcnne0d divdiv2 syl3anc nncnd div23 eqtrd fveq2d
        cc absmuld rprege0d absid oveq2d 3eqtrd cv cpnf fveq2 id oveq12d breq1d
        cico simprr simpld lemuldiv2d mpbird lemuldivd mpbid elicopnf mpbir2and
        wral wb rspcdva eqbrtrrd subge0d log1 nnge1 ad2antrl 1rp logleb sylancr
        eqbrtrrid mulge0d ) AKUSUTZKSRVAVBZVCVDZVEZVEZHKVAVBZSKVAVBZGVFZSVAVBZV
        GVFZVHVBZKVIVFZUUHUUIUUMUUHHKUUHHAHVJUTUUGUGVKVLZAUUDUUFVMZVNZUUHUULUUH
        UULUUHUUKSUUHUUJVJUTUUKVOUTUUHSKASVJUTZUUGAUUSVPSVQVDVRSVSVFZVCVDUUTUUE
        VCVDVTWAMIWBVBVAVBUUTVCVDQVIVFLVIVFZVAVBWCWDVBSVIVFZUVAVAVBWAVAVBVCVDHW
        EWBVBEWDVBHIVHVBMIWCWIVBWBVBWEWCWFDWBVBVAVBWBVBUVBWBVBVCVDVTACDEFGHIJLM
        PQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOWGWHVKZUUHKUUQWJZWKZVJVOUUJGGTUAWLWM
        WNZUVCWOWPZWQZWRUUHKUVDWSUUHWTUUNVCVDUUMUUIVCVDZUUHUUMKWBVBZHVCVDUVIUUH
        UUKUUJVAVBZVGVFZUVJHVCUUHUVLUULKWBVBZVGVFUUMKVGVFZWBVBUVJUUHUVKUVMVGUUH
        UVKUUKKWBVBSVAVBZUVMUUHUUKXJUTZSXJUTSWTXAVEZKXJUTZKWTXAVEUVKUVOXBUUHUUK
        UVFWPZUUHSUVCXCZUUHKUVDXCUUKSKXDXEUUHUVPUVRUVQUVOUVMXBUVSUUHKUUQXFZUVTU
        UKKSXGXEXHXIUUHUULKUVGUWAXKUUHUVNKUUMWBUUHKVOUTWTKVCVDVEUVNKXBUUHKUVDXL
        KXMWNXNXOUUHBXPZGVFZUWBVAVBZVGVFZHVCVDZUVLHVCVDBRXQYBVBZUUJUWBUUJXBZUWE
        UVLHVCUWHUWDUVKVGUWHUWCUUKUWBUUJVAUWBUUJGXRUWHXSXTXIYAAUWFBUWGYKUUGURVK
        UUHUUJUWGUTZUUJVOUTZRUUJVCVDZUUHUUJUVEVLUUHRKWBVBSVCVDZUWKUUHUWLUUFAUUD
        UUFYCUUHKSRUUHKUVDVLUUHSUVCVLZARVJUTZUUGAUWNVPRVCVDUKYDVKZYEYFUUHRSKUUH
        RUWOVLZUWMUVDYGYHUUHRVOUTUWIUWJUWKVEYLUWPRUUJYIWNYJYMYNUUHUUMHKUVHUUPUV
        DYGYHUUHUUIUUMUURUVHYOYFUUHWTVPVIVFZUUOVCYPUUHVPKVCVDZUWQUUOVCVDZUUDUWR
        AUUFKYQYRUUHVPVJUTKVJUTUWRUWSYLYSUVDVPKYTUUAYHUUBUUC $.

      pntlem1.K $e |- ( ph -> A. y e. ( X (,) +oo ) E. z e. RR+
      ( ( y < z /\ ( ( 1 + ( L x. E ) ) x. z ) < ( K x. y ) ) /\
        A. u e. ( z [,] ( ( 1 + ( L x. E ) ) x. z ) )
          ( abs ` ( ( R ` u ) / u ) ) <_ E ) ) $.
      ${
        pntlem1.o $e |- O =
          ( ( ( |_ ` ( Z / ( K ^ ( J + 1 ) ) ) ) + 1 ) ...
             ( |_ ` ( Z / ( K ^ J ) ) ) ) $.
        ${
          pntlem1.v $e |- ( ph -> V e. RR+ ) $.
          pntlem1.V $e |- ( ph -> ( ( ( K ^ J ) < V /\
            ( ( 1 + ( L x. E ) ) x. V ) < ( K x. ( K ^ J ) ) ) /\
            A. u e. ( V [,] ( ( 1 + ( L x. E ) ) x. V ) )
              ( abs ` ( ( R ` u ) / u ) ) <_ E ) ) $.
          pntlem1.j $e |- ( ph -> J e. ( M ..^ N ) ) $.
          pntlem1.i $e |- I =
            ( ( ( |_ ` ( Z / ( ( 1 + ( L x. E ) ) x. V ) ) ) + 1 )
              ... ( |_ ` ( Z / V ) ) ) $.
          $( Lemma for ~ pntlemj .  (Contributed by Mario Carneiro,
             7-Jun-2016.) $)
          pntlemq $p |- ( ph -> I C_ O ) $=
            ( c1 cmul co caddc cdiv cfl cfv cfz cexp cuz wss cz cle wbr crp clt
            wcel ceu csqrt w3a c4 clog cmin cdc pntlemb simp1d cc0 cioo pntlemc
            c2 c3 simp2d cfzo elfzoelz syl peano2zd rpexpcld rpdivcld rpred 1rp
            flcld pntlemd rpmulcld rpaddcl sylancr cabs cicc wral simpld simprd
            cr wa cv rpcnd mulcomd pntlemg elfzouz eluznn syl2anc nnnn0d expp1d
            eqtr4d breqtrd ltled lediv2d mpbid flwordi syl3anc eluz2 syl3anbrc
            cn eluzp1p1 fzss1 3syl fzss2 sstrd 3sstr4g ) AUDVJPKVKVLZVMVLZTVKVL
            ZVNVLZVOVPZVJVMVLZUDTVNVLZVOVPZVQVLZUDONVJVMVLZVRVLZVNVLZVOVPZVJVMV
            LZUDONVRVLZVNVLZVOVPZVQVLZMSAUUOUUTUUNVQVLZUVDAUUKUUSVSVPWFZUULUUTV
            SVPWFUUOUVEVTAUUSWAWFUUKWAWFUUSUUKWBWCZUVFAUURAUURAUDUUQAUDWDWFVJUD
            WEWCWGUDWHVPZWBWCUVHUDUCVNVLWBWCWIWJUUGVNVLUVHWBWCUBWKVPOWKVPZVNVLW
            SVMVLUDWKVPZUVIVNVLWJVNVLZWBWCJWTVKVLGVMVLJKWLVLZPKWSVRVLVKVLWTWSWM
            FVKVLVNVLVKVLUVJVKVLWBWCWIAEFGHIJKLOPUAUBUCUDUEUFUGUHUIUJUKULUMUNUO
            UPUQURUSUTWNWOZAOUUPAKWDWFZOWDWFZKWPVJWQVLWFVJOWEWCUVLWDWFWIZAEFHIJ
            KLOPUEUFUGUHUIUJUKULUMUNUOWRZXAZANANQRXBVLWFZNWAWFVHNQRXCXDZXEXFZXG
            XHZXJAUUJAUUJAUDUUIUVMAUUHTAVJWDWFUUGWDWFUUHWDWFXIAPKAPWDWFHWDWFLWD
            WFAEFHILPUEUFUGUHUIUJUKXKWOAUVNUVOUVPUVQWOXLVJUUGXMXNVFXLZXGXHZXJAU
            URXTWFUUJXTWFUURUUJWBWCZUVGUWBUWDAUUIUUQWBWCUWEAUUIUUQAUUIUWCXHAUUQ
            UWAXHAUUIOUVAVKVLZUUQWEAUVATWEWCZUUIUWFWEWCZAUWGUWHYADYBZIVPUWIVNVL
            XOVPKWBWCDTUUIXPVLXQVGXRZXSAUWFUVAOVKVLUUQAOUVAAOUVRYCZAUVAAONUVRUV
            TXFZYCYDAONUWKANAQYTWFZNQVSVPZWFZNYTWFAUWMRUWNWFUVKRQWLVLWBWCAEFGHI
            JKLOPQRUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBYEWOAUVSUWOVHNQR
            YFXDNQYGYHYIYJYKYLYMAUUIUUQUDUWCUWAUVMYNYOUURUUJYPYQUUSUUKYRYSUUSUU
            KUUAUULUUTUUNUUBUUCAUVCUUNVSVPWFZUVEUVDVTAUUNWAWFUVCWAWFUUNUVCWBWCZ
            UWPAUUMAUUMAUDTUVMVFXGXHZXJAUVBAUVBAUDUVAUVMUWLXGXHZXJAUUMXTWFUVBXT
            WFUUMUVBWBWCZUWQUWRUWSAUVATWBWCUWTAUVATAUVAUWLXHATVFXHAUWGUWHUWJXRY
            MAUVATUDUWLVFUVMYNYOUUMUVBYPYQUUNUVCYRYSUUNUUTUVCUUDXDUUEVIVEUUF $.

          $( Lemma for ~ pntlemj .  (Contributed by Mario Carneiro,
             7-Jun-2016.) $)
          pntlemr $p |- ( ph ->
            ( ( U - E ) x. ( ( ( L x. E ) / 8 ) x. ( log ` Z ) ) ) <_
     ( ( # ` I ) x. ( ( U - E ) x. ( ( log ` ( Z / V ) ) / ( Z / V ) ) ) ) ) $=
            ( cmin co cmul c8 cdiv clog cfv chash cle wbr c4 c2 crp wcel simp1d
            cc0 clt rpmulcld rpdivcl sylancl rpred caddc cexp rpdivcld remulcld
            c1 w3a c3 cfn cfl cfz syl recnd cr sylancr reflcl peano2re readdcld
            rphalfcld simp3d simp2d cz rpcnd cn syl2anc breqtrd ltled wa simprd
            cuz letrd lemul2d wceq rprege0d lemuldivd mulid2d ltmul1dd breqtrrd
            mpbid wne rpcnne0d rpcnne0 mp1i oveq2d syl3anc oveq1d eqtr3d mpbird
            cc wb 2z pntlemd cioo pntlemc 4re 4pos elrpii ceu csqrt cdc pntlemb
            cn0 fzfid eqeltrid hashcl nn0red rpaddcl 1cnd add32d rpsqrtcld cfzo
            1rp elfzoelz peano2zd rpexpcld cv cabs cicc simplrd mulcomd pntlemg
            elfzouz eluznn nnnn0d expp1d eqtr4d fzofzp1 pntlemh mpdan remsqsqrt
            wral 1red 1re ltaddrp eqbrtrrd ltdiv2d leadd2dd 2timesd 2re remulcl
            adddid divcan6 eqtrd 2cnd mulassd 2rp divdiv1 2t2e4 eqtr2di halfcld
            divcan1d 3brtr3d flle le2addd rprecred eliooord lttrd ltadd2dd df-2
            oveq2i breqtrrdi rpregt0d a1i 2pos ltdiv2 syl121anc divsubdir divid
            ax-1cn pncan2 3eqtr3d reccl adddird rpne0d divrec2d 3eqtr2d lelttrd
            ltaddsubd fllep1 ltletrd eqbrtrd ltadd1d flcld fzval3 syl5eq fveq2d
            flword2 eluzp1p1 hashfzo 3eqtrd le2sq rpexpcl sqvald resqcld sqdivd
            pnpcan2d resqrtth relogexp relogcld ledivmul wi rerpdivcld rplogcld
            logled syl112anc lemul12a syl22anc mp2and 8nn ax-mp div23 divmuldiv
            nnrp 4t2e8 divass 3brtr4d mul12d ) AJKVJVKZPKVLVKZVMVNVKZUDVOVPZVLV
            KZVLVKZVVGMVQVPZUDTVNVKZVOVPZVVNVNVKZVLVKZVLVKZVVMVVGVVPVLVKVLVKVRA
            VVKVVQVRVSVVLVVRVRVSAVVHVTVNVKZVVJWAVNVKZVLVKZVVMVVNVNVKZVVOVLVKZVV
            KVVQVRAVVSVWBVRVSZVVTVVOVRVSZVWAVWCVRVSZAVVSVVNVLVKZVVMVRVSVWDAVWGV
            VMAVVSVVNAVVSAVVHWBWCZVTWBWCZVVSWBWCAPKAPWBWCHWBWCLWBWCAEFHILPUEUFU
            GUHUIUJUKUUAWDZAKWBWCZOWBWCZKWEWOUUBVKZWCZWOOWFVSZVVGWBWCZWPZAEFHIJ
            KLOPUEUFUGUHUIUJUKULUMUNUOUUCZWDZWGZVTUUDUUEUUFZVVHVTWHWIZWJZAVVNAU
            DTAUDWBWCZWOUDWFVSZUUGUDUUHVPZVRVSZVXFUDUCVNVKVRVSZWPZVTVVHVNVKZVXF
            VRVSZUBVOVPOVOVPZVNVKWAWKVKVVJVXLVNVKVTVNVKZVRVSZJWQVLVKGWKVKVVGPKW
            AWLVKVLVKWQWAUUIFVLVKVNVKVLVKVVJVLVKVRVSZWPZAEFGHIJKLOPUAUBUCUDUEUF
            UGUHUIUJUKULUMUNUOUPUQURUSUTUUJZWDZVFWMZWJZWNZAVVMAMWRWCVVMUUKWCAMU
            DWOVVHWKVKZTVLVKZVNVKZWSVPZWOWKVKZVVNWSVPZWTVKZWRVIAVYFVYGUULUUMMUU
            NXAUUOZAVWGVYGVYEVJVKZVVMWFAVWGVYEWKVKZVYGWFVSZVWGVYJWFVSAVYLVYKWOW
            KVKZVYGWOWKVKZWFVSAVYMVWGWOWKVKZVYEWKVKZVYNWFAVWGVYEWOAVWGVYAXBAVYE
            AVYDXCWCZVYEXCWCAVYDAUDVYCVXRAVYBTAWOWBWCVWHVYBWBWCUVAVWTWOVVHUUPXD
            ZVFWGZWMWJZVYDXEXAZXBZAUUQZUURAVYPVVNVYNAVYOVYEAVWGXCWCVYOXCWCVYAVW
            GXFXAZWUAXGZVXTAVYGXCWCZVYNXCWCAVVNXCWCZWUFVXTVVNXEXAZVYGXFXAAVYPVV
            HWAVNVKZVVNVLVKZVYDWKVKZVVNWUEAWUJVYDAWUJAWUIVVNAVVHVWTXHZVXSWGWJZV
            YTXGVXTAVYOVYEWUJVYDWUDWUAWUMVYTAVVSVVNVXJWKVKZVLVKZVVSWAVVNVLVKZVL
            VKZVYOWUJVRAWUNWUPVRVSWUOWUQVRVSAWUNVVNVVNWKVKWUPVRAVXJVVNVVNAVXJAV
            WIVWHVXJWBWCVXAVWTVTVVHWHXDZWJZVXTVXTAVXJVXFVVNWUSAVXFAUDVXRUUSZWJZ
            VXTAVXKVXNVXOAVXDVXIVXPVXQXIWDAVXFVYDVVNWVAVYTVXTAVXFVYCVLVKZUDVRVS
            VXFVYDVRVSAWVBVXFVXFVLVKZUDVRAVYCVXFVRVSWVBWVCVRVSAVYCONWOWKVKZWLVK
            ZVXFAVYCVYSWJZAWVEAOWVDAVWKVWLVWQVWRXJZANANQRUUTVKWCZNXKWCVHNQRUVBX
            AZUVCUVDWJZWVAAVYCWVEWVFWVJAVYCOONWLVKZVLVKZWVEWFAWVKTWFVSVYCWVLWFV
            SDUVEZIVPWVMVNVKUVFVPKVRVSDTVYCUVGVKUVTVGUVHAWVLWVKOVLVKWVEAOWVKAOW
            VGXLZAWVKAONWVGWVIUVDXLUVIAONWVNANAQXMWCZNQXSVPZWCZNXMWCAWVORWVPWCV
            XMRQVJVKVRVSAEFGHIJKLOPQRUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVA
            VBUVJWDAWVHWVQVHNQRUVKXANQUVLXNUVMUVNUVOXOZXPAUBWVEWFVSZWVEVXFVRVSZ
            AWVDQRWTVKWCZWVSWVTXQAWVHWWAVHQRNUVPXAAEFGHIJKLWVDOPQRUAUBUCUDUEUFU
            GUHUIUJUKULUMUNUOUPUQURUSUTVAVBUVQUVRXRZXTAVYCVXFVXFWVFWVAWUTYAYHAU
            DXCWCWEUDVRVSXQZWVCUDYBAUDVXRYCZUDUVSXAXOAVXFUDVYCWVAAUDVXRWJZVYSYD
            YHAVYDVVNVYTVXTATVYCWFVSVYDVVNWFVSAWOTVLVKTVYCWFATATVFXLZYEAWOVYBTA
            UWAZAVYBVYRWJVFAWOXCWCVWHWOVYBWFVSUWBVWTWOVVHUWCXDYFUWDZATVYCUDVFVY
            SVXRUWEYHXPZXTXTUWFAVVNAVVNVXSXLZUWGYGAWUNWUPVVSAVVNVXJVXTWUSXGAWAX
            CWCZWUGWUPXCWCUWHVXTWAVVNUWIXDVXBYAYHAWUOVWGVVSVXJVLVKZWKVKVYOAVVSV
            VNVXJAVVSVXBXLZWWJAVXJWURXLUWJAWWLWOVWGWKAVVHYRWCZVVHWEYIXQVTYRWCVT
            WEYIXQZWWLWOYBAVVHVWTYJVWIWWOAVXAVTYKYLZVVHVTUWKXNYMUWLAVVSWAVLVKZV
            VNVLVKWUQWUJAVVSWAVVNWWMAUWMZWWJUWNAWWQWUIVVNVLAWWQWUIWAVNVKZWAVLVK
            WUIAVVSWWSWAVLAWWSVVHWAWAVLVKZVNVKZVVSAWWNWAYRWCZWAWEYIZXQZWXDWWSWX
            AYBAVVHVWTXLZWAWBWCWXDAUWOWAYKYLZWXFVVHWAWAUWPYNWWTVTVVHVNUWQUXIUWR
            YOAWUIWAAVVHWXEUWSZWWRAWXBWXCWXFXRUWTUWLYOYPUXAAVYQVYEVYDVRVSVYTVYD
            UXBXAUXCAWUIWOVYBVNVKZWKVKZVVNVLVKZWOVVNVLVKWUKVVNWFAWXIWOVVNAWUIWX
            HAWUIWULWJZAVYBVYRUXDZXGWWGVXSAWXIWOWFVSWUIWOWXHVJVKZWFVSAWUIVVHVYB
            VNVKZWXMWFAVYBWAWFVSZWUIWXNWFVSZAVYBWOWOWKVKWAWFAVVHWOWOAVVHVWTWJZW
            WGWWGAVVHKWOWXQAKVWSWJWWGAVVHWOKVLVKKWFAPWOKAPVWJWJWWGVWSAWEPWFVSZP
            WOWFVSZAPVWMWCWXRWXSXQUIPWEWOUXEXAXRYFAKAKVWSXLYEXOAWEKWFVSZKWOWFVS
            ZAVWNWXTWYAXQAVWNVWOVWPAVWKVWLVWQVWRXIZWDKWEWOUXEXAXRUXFUXGUXHUXJAV
            YBXCWCWEVYBWFVSXQWWKWEWAWFVSZVVHXCWCWEVVHWFVSXQWXOWXPYSAVYBVYRUXKWW
            KAUWHUXLZWYCAUXMUXLZAVVHVWTUXKVYBWAVVHUXNUXOYHAVYBWOVJVKZVYBVNVKZVY
            BVYBVNVKZWXHVJVKZWXNWXMAVYBYRWCZWOYRWCZWYJVYBWEYIXQZWYGWYIYBAVYBVYR
            XLZWUCAVYBVYRYJZVYBWOVYBUXPYNAWYFVVHVYBVNAWYKWWNWYFVVHYBUXRWXEWOVVH
            UXSXDYOAWYHWOWXHVJAWYLWYHWOYBWYNVYBUXQXAYOUXTXOAWUIWXHWOWXKWXLWWGUY
            GYQYFAWXJWUJWXHVVNVLVKZWKVKWUKAWUIWXHVVNWXGAWYLWXHYRWCWYNVYBUYAXAWW
            JUYBAVYDWYOWUJWKAVYDUDTVYBVLVKZVNVKZVVNVYBVNVKZWYOAVYCWYPUDVNAVYBTW
            YMWWFUVIYMAUDYRWCTYRWCTWEYIXQWYLWYRWYQYBAUDVXRXLZATVFYJWYNUDTVYBUWP
            YNAVVNVYBWWJWYMAVYBVYRUYCUYDUYEYMUVOAVVNWWJYEUXAUYFAWUGVVNVYNVRVSVX
            TVVNUYHXAUYIUYJAVYKVYGWOAVWGVYEVYAWUAXGWUHWWGUYKYQAVWGVYEVYGVYAWUAW
            UHUYGYHAVVMVYFVYNUUTVKZVQVPZVYNVYFVJVKZVYJAMWYTVQAMVYHWYTVIAVYGXKWC
            VYHWYTYBAVVNVXTUYLVYFVYGUYMXAUYNUYOAVYNVYFXSVPWCZXUAXUBYBAVYGVYEXSV
            PWCZXUCAVYQWUGVYDVVNVRVSXUDVYTVXTWWIVYDVVNUYPYNVYEVYGUYQXAVYFVYNUYR
            XAAVYGVYEWOAVYGWUHXBWUBWUCVUEUYSYGXPAVVSVVMVVNVXCVYIVXSYDYHAVWEVVJW
            AVVOVLVKZVRVSZAVVJVVNWAWLVKZVOVPZXUEVRAUDXUGVRVSVVJXUHVRVSAUDUDWAWL
            VKZTWAWLVKZVNVKZXUGVRAUDXUJVLVKZXUIVRVSUDXUKVRVSAXULUDUDVLVKZXUIVRA
            XUJUDVRVSXULXUMVRVSAXUJVXFWAWLVKZUDVRATVXFVRVSZXUJXUNVRVSZATVXFATVF
            WJZWVAATVYCVXFXUQWVFWVAWWHAVYCWVEVXFWVFWVJWVAWVRWWBUYIUXFXPATXCWCWE
            TVRVSXQVXFXCWCWEVXFVRVSXQXUOXUPYSATVFYCAVXFWUTYCTVXFUYTXNYHAWWCXUNU
            DYBWWDUDVUFXAXOAXUJUDUDAXUJATWBWCWAXKWCZXUJWBWCVFYTTWAVUAWIZWJWWEVX
            RYAYHAUDWYSVUBYGAUDXUIXUJWWEAUDWWEVUCXUSYDYHAUDTWYSWWFATVFUYCVUDYGA
            UDXUGVXRAVVNWBWCZXURXUGWBWCVXSYTVVNWAVUAWIVUMYHAXUTXURXUHXUEYBVXSYT
            VVNWAVUGWIXOAVVJXCWCVVOXCWCZWWKWYCVWEXUFYSAUDVXRVUHAVVNVXSVUHZWYDWY
            EVVJVVOWAVUIVUNYQAVVSXCWCWEVVSVRVSXQVWBXCWCVVTXCWCWEVVTVRVSXQXVAVWD
            VWEXQVWFVUJAVVSVXBYCAVVMVVNVYIVXSVUKAVVTAVVJAUDWWEAVXEVXGVXHAVXDVXI
            VXPVXQXJWDVULZXHYCXVBVVSVWBVVTVVOVUOVUPVUQAVVHVVJVLVKZVMVNVKZVVKVWA
            AWWNVVJYRWCZVMYRWCVMWEYIXQZXVEVVKYBWXEAVVJXVCXLZVMWBWCZXVGAVMXMWCXV
            IVURVMVVBVUSZVMYKYLVVHVVJVMVUTYNAVWAXVDVTWAVLVKZVNVKZXVEAWWNXVFWWOW
            XDVWAXVLYBWXEXVHWWPWXFVVHVVJVTWAVVAVUPXVKVMXVDVNVVCUXIUWRYPAVVMYRWC
            ZVVOYRWCZVVNYRWCVVNWEYIXQZVVQVWCYBAVVMVYIXBZAVVOXVBXBAVVNVXSYJXVMXV
            NXVOWPVVMVVOVLVKVVNVNVKVVQVWCVVMVVOVVNVVDVVMVVOVVNVUTYPYNVVEAVVKVVQ
            VVGAVVKAVVIVVJAVWHXVIVVIWBWCVWTXVJVVHVMWHWIXVCWGWJAVVMVVPVYIAVVOVVN
            XVBVXSVUKZWNAVWNVWOVWPWYBXIZYAYHAVVGVVMVVPAVVGXVRXLXVPAVVPXVQXBVVFX
            O $.

          $( Lemma for ~ pnt .  The induction step.  Using ~ pntibnd , we find
             an interval in ` K ^ J ... K ^ ( J + 1 ) ` which is sufficiently
             large and has a much smaller value, ` R ( z ) / z <_ E ` (instead
             of our original bound ` R ( z ) / z <_ U ` ).  (Contributed by
             Mario Carneiro, 13-Apr-2016.) $)
          pntlemj $p |- ( ph ->
    ( ( U - E ) x. ( ( ( L x. E ) / 8 ) x. ( log ` Z ) ) ) <_ sum_ n e. O
    ( ( ( U / n ) - ( abs ` ( ( R ` ( Z / n ) ) / Z ) ) ) x. ( log ` n ) ) ) $=
            ( cmin co cmul c8 cdiv clog cfv cv cabs csu cc0 c1 wcel clt wbr crp
            w3a simp3d simp1d rpmulcld cn ceu cle c4 c2 caddc cexp rpred simp2d
            c3 cfn cn0 cfl fzfid eqeltrid rpdivcld relogcld rerpdivcld remulcld
            cfz syl wa cr adantr cuz cz rpexpcld rprege0d flge0nn0 nn0p1nn 3syl
            elfzuz eluznn nndivred recnd cc wceq syl2anc rpregt0d simpld syldan
            wb mpbird simprd rpcnd ltled letrd mpbid lemuldivd syl3anc cioo 8nn
            chash pntlemc pntlemd nnrp ax-mp rpdivcl sylancl csqrt cdc rplogcld
            pntlemb hashcl nn0red cfzo elfzoelz peano2zd eleq2s syl2an ffvelrni
            nnrpd pntrf abscld resubcld fsumrecl pntlemr cif fsumconst wss wral
            wo pntlemq ralrimivw olcd sumss2 syl21anc eqtr3d adantlr 0red breq1
            wn ifclda 1rp rpaddcl sylancr sselda eleqtrdi elfzle2 elfzelzd flge
            simpr nnred ere a1i rpsqrtcld mulcomd pntlemg elfzouz nnnn0d expp1d
            cicc eqtr4d breqtrd fzofzp1 pntlemh mpdan remsqsqrt reflcl peano2re
            lemul2d fllep1 elfzle1 logdivle syl22anc lemul2 wne rpcnne0d divass
            div23 log1 nnge1d logleb eqbrtrrid divsubdir divdiv2 fveq2d absmuld
            eqtrd absid oveq2d 3eqtrd fveq2 id oveq12d breq1d lemuldiv2 lediv23
            elicc2 mpbir3and rspcdva eqbrtrrd lesub2dd eqbrtrd lemul1ad elfzofz
            nnzd lediv2d jca pntlemn ifbothda fsumle ) AJLVKVLZQLVMVLZVNVOVLZUE
            VPVQZVMVLZVMVLZNUUCVQZVUMUEUAVOVLZVPVQZVUTVOVLZVMVLZVMVLZTJKVRZVOVL
            ZUEVVEVOVLZIVQZUEVOVLZVSVQZVKVLZVVEVPVQZVMVLZKVTZAVURAVUMVUQALWAWBU
            UAVLWCZWBPWDWEZVUMWFWCZALWFWCZPWFWCZVVOVVPVVQWGZAEFHIJLMPQUFUGUHUIU
            JUKULUMUNUOUPUUDZWHWHZAVUOVUPAVUNWFWCZVNWFWCZVUOWFWCAQLAQWFWCHWFWCM
            WFWCAEFHIMQUFUGUHUIUJUKULUUEWIAVVRVVSVVTVWAWIZWJZVNWKWCVWDUUBVNUUFU
            UGVUNVNUUHUUIAUEAUEAUEWFWCZWBUEWDWEZWLUEUUJVQZWMWEZVWIUEUDVOVLZWMWE
            ZWGZWNVUNVOVLVWIWMWEUCVPVQPVPVQZVOVLWOWPVLVUPVWNVOVLWNVOVLZWMWEJWTV
            MVLGWPVLVUMQLWOWQVLVMVLWTWOUUKFVMVLVOVLVMVLVUPVMVLWMWEWGZAEFGHIJLMP
            QUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAUUMZWIZWRZAVWHVWJVWLAVWGVW
            MVWPVWQWSZWIUULWJWJWRAVUSVVCAVUSANXAWCZVUSXBWCANUEWBVUNWPVLZUAVMVLZ
            VOVLZXCVQZWBWPVLZVUTXCVQZXJVLZXAVJAVXFVXGXDXEZNUUNXKUUOAVUMVVBAVUMV
            WBWRZAVVAVUTAVUTAUEUAVWRVGXFZXGVXKXHZXIZXIATVVMKATUEPOWBWPVLZWQVLZV
            OVLZXCVQZWBWPVLZUEPOWQVLZVOVLZXCVQZXJVLZXAVFAVXRVYAXDXEZAVVETWCZXLZ
            VVKVVLVYEVVFVVJVYEJVVEAJXMWCVYDAJUMWRXNAVXRWKWCZVVEVXRXOVQWCZVVEWKW
            CZVYDAVXPXMWCWAVXPWMWEXLVXQXBWCVYFAVXPAUEVXOVWRAPVXNAVVRVVSVVTVWAWS
            ZAOAORSUUPVLWCZOXPWCVIORSUUQXKZUURXQZXFXRVXPXSVXQXTYAVYGVVEVYBTVVEV
            XRVYAYBVFUUSVVEVXRYCUUTZYDZVYEVVIVYEVVIVYEVVHUEVYEVVGWFWCVVHXMWCZVY
            EUEVVEAVWGVYDVWRXNZVYEVVEVYMUVBZXFWFXMVVGIIUFUGUVCUVAXKZVYPXHYEZUVD
            ZUVEZVYEVVEVYQXGXIZUVFABCDEFGHIJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUM
            UNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJUVGAVVDTVVENWCZVVCWAUVHZKVTZVVNWM
            ANVVCKVTZVVDWUEAVXAVVCYFWCZWUFVVDYGVXIAVVCVXMYEZNVVCKUVIYHANTUVJWUG
            KNUVKTWBXOVQUVJZTXAWCZUVLWUFWUEYGABCDEFGHIJLMNOPQRSTUAUBUCUDUEUFUGU
            HUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJUVMZAWUGKNWUHUVNAWUJWU
            IVYCUVONTVVCKWBUVPUVQUVRATWUDVVMKVYCVYEWUCVVCWAXMAWUCVVCXMWCZVYDAWU
            LWUCVXMXNZUVSVYEWUCUWBZXLUVTUWCWUBWUCVVCVVMWMWEZWAVVMWMWEZWUDVVMWMW
            EVYEVVCWAVVCWUDVVMWMUWAWAWUDVVMWMUWAAWUCWUOVYDAWUCXLZVVCVUMVVLVVEVO
            VLZVMVLZVVMWUMWUQVUMWURWUQVUMXMWCZWAVUMWDWEZAWUTWVAXLZWUCAVUMVWBYIX
            NZYJWUQVVLVVEWUQVVEWUQVVEAVXFWKWCZVVEVXFXOVQWCZVYHWUCAVXDXMWCZWAVXD
            WMWEXLVXEXBWCWVDAVXDAUEVXCVWRAVXBUAAWBWFWCZVWCVXBWFWCUWDVWFWBVUNUWE
            UWFVGWJZXFZXRVXDXSVXEXTYAWVEVVEVXHNVVEVXFVXGYBVJUUSVVEVXFYCUUTZUVBZ
            XGZWVJYDZXIAWUCVYDVVMXMWCANTVVEWUKUWGZWUBYKWUQVVBWURWMWEZVVCWUSWMWE
            ZWUQVVEVUTWMWEZWVOWUQWVQVVEVXGWMWEZWUQVVEVXHWCZWVRWUQVVENVXHAWUCUWL
            VJUWHZVVEVXFVXGUWIXKWUQVUTXMWCZVVEXPWCZWVQWVRYLAWWAWUCAVUTVXKWRXNZW
            UQVVEVXFVXGWVTUWJVUTVVEUWKYHYMZWUQVVEXMWCZWLVVEWMWEWWAWLVUTWMWEWVQW
            VOYLWUQVVEWVJUWMZWUQWLVXDVVEWLXMWCZWUQUWNUWOZAWVFWUCAVXDWVIWRZXNZWW
            FAWLVXDWMWEWUCAWLVWIVXDWWGAUWNUWOAVWIAUEVWRUWPZWRZWWIAVWHVWJVWLVWTW
            SAVWIVXCVMVLZUEWMWEVWIVXDWMWEAWWMVWIVWIVMVLZUEWMAVXCVWIWMWEWWMWWNWM
            WEAVXCVXOVWIAVXCWVHWRZAVXOVYLWRZWWLAVXCVXOWWOWWPAVXCPVXSVMVLZVXOWDA
            VXSUAWDWEZVXCWWQWDWEZAWWRWWSXLZDVRZIVQZWXAVOVLZVSVQZLWMWEZDUAVXCUXB
            VLZUVKZVHYJYNAWWQVXSPVMVLVXOAPVXSAPVYIYOZAVXSAPOVYIVYKXQZYOUWQAPOWX
            HAOARWKWCZORXOVQZWCZOWKWCAWXJSWXKWCVWOSRVKVLWMWEAEFGHIJLMPQRSUBUCUD
            UEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCUWRWIAVYJWXLVIORSUWSXKORYCYHU
            WTUXAUXCUXDYPAUCVXOWDWEZVXOVWIWMWEZAVXNRSXJVLZWCZWXMWXNXLAVYJWXPVIR
            SOUXEXKAEFGHIJLMVXNPQRSUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVC
            UXFUXGYNYQAVXCVWIVWIWWOWWLWWKUXKYRAUEXMWCZWAUEWMWEXLWWNUEYGAUEVWRXR
            UEUXHXKUXDAVWIUEVXCWWLVWSWVHYSYRYQXNWUQVXDVXFVVEWWJAVXFXMWCZWUCAWVF
            VXEXMWCWXRWWIVXDUXIVXEUXJYAXNWWFWUQWVFVXDVXFWMWEWWJVXDUXLXKWUQWVSVX
            FVVEWMWEWVTVVEVXFVXGUXMXKYQZYQZWWCWUQWLVVEVUTWWHWWFWWCWXTWWDYQVVEVU
            TUXNUXOYRWUQVVBXMWCZWURXMWCWVBWVOWVPYLAWYAWUCVXLXNWVMWVCVVBWURVUMUX
            PYTYRWUQVUMVVEVOVLZVVLVMVLZWUSVVMWMWUQVUMVVLVMVLVVEVOVLZWYCWUSWUQVU
            MYFWCZVVLYFWCZVVEYFWCZVVEWAUXQXLZWYDWYCYGAWYEWUCAVUMVWBYOXNZWUQVVLW
            VLYEZWUQVVEWVKUXRZVUMVVLVVEUXTYTWUQWYEWYFWYHWYDWUSYGWYIWYJWYKVUMVVL
            VVEUXSYTUVRWUQWYBVVKVVLWUQVUMVVEAWUTWUCVXJXNWVJYDAWUCVYDVVKXMWCWVNW
            UAYKWVLWUQWAWBVPVQZVVLWMUYAWUQWBVVEWMWEZWYLVVLWMWEZWUQVVEWVJUYBWUQW
            VGVVEWFWCWYMWYNYLUWDWVKWBVVEUYCUWFYRUYDWUQWYBVVFLVVEVOVLZVKVLZVVKWM
            WUQJYFWCZLYFWCWYHWYBWYPYGAWYQWUCAJUMYOXNWUQLALXMWCWUCALVWEWRXNZYEWY
            KJLVVEUYEYTWUQVVJWYOVVFAWUCVYDVVJXMWCWVNVYTYKZWUQLVVEWYRWVJYDAWUCVY
            DVVFXMWCWVNVYNYKWUQVVJVVEVMVLZLWMWEVVJWYOWMWEWUQVVHVVGVOVLZVSVQZWYT
            LWMWUQXUBVVIVVEVMVLZVSVQVVJVVEVSVQZVMVLWYTWUQXUAXUCVSWUQXUAVVHVVEVM
            VLUEVOVLZXUCWUQVVHYFWCZUEYFWCUEWAUXQXLZWYHXUAXUEYGWUQVVHAWUCVYDVYOW
            VNVYRYKYEZWUQUEAVWGWUCVWRXNUXRZWYKVVHUEVVEUYFYTWUQXUFWYGXUGXUEXUCYG
            XUHWUQVVEWVKYOZXUIVVHVVEUEUXTYTUYIUYGWUQVVIVVEAWUCVYDVVIYFWCWVNVYSY
            KXUJUYHWUQXUDVVEVVJVMWUQWWEWAVVEWMWEXLXUDVVEYGWUQVVEWVKXRVVEUYJXKUY
            KUYLWUQWXEXUBLWMWEDWXFVVGWXAVVGYGZWXDXUBLWMXUKWXCXUAVSXUKWXBVVHWXAV
            VGVOWXAVVGIUYMXUKUYNUYOUYGUYPAWXGWUCAWWTWXGVHYNXNWUQVVGWXFWCZVVGXMW
            CZUAVVGWMWEZVVGVXCWMWEZWUQUEVVEAWXQWUCVWSXNZWVJYDWUQUAVVEVMVLUEWMWE
            ZXUNWUQXUQWVQWWDWUQWWEWXQUAXMWCZWAUAWDWEZXLZXUQWVQYLWWFXUPAXUTWUCAU
            AVGYIXNZVVEUEUAUYQYTYMWUQUAUEVVEWUQXURXUSXVAYJXUPWVKYSYRWUQVXDVVEWM
            WEZXUOWXSWUQWXQVXCXMWCZWAVXCWDWEXLZWWEWAVVEWDWEXLXVBXUOYLXUPAXVDWUC
            AVXCWVHYIXNWUQVVEWVKYIUEVXCVVEUYRYTYRWUQXURXVCXULXUMXUNXUOWGYLAXURW
            UCAUAVGWRXNAXVCWUCWWOXNUAVXCVVGUYSYHUYTVUAVUBWUQVVJLVVEWYSWYRWVKYSY
            RVUCVUDVUEVUBYQUVSVYEWUPWUNAVYDVYHVVEVWKWMWEZXLWUPVYEVYHXVEVYMVYEVV
            EVXTVWKVYEVVEVYMUWMAVXTXMWCZVYDAVXTAUEVXSVWRWXIXFWRXNZAVWKXMWCVYDAV
            WKAUEUDVWRAUDWFWCWBUDWMWEUQYJZXFWRXNVYEVVEVXTWMWEZVVEVYAWMWEZVYEVVE
            VYBWCXVJVYEVVETVYBAVYDUWLVFUWHVVEVXRVYAUWIXKVYEXVFWWBXVIXVJYLXVGVYE
            VVEVYMVUGVXTVVEUWKYHYMAVXTVWKWMWEZVYDAUDVXSWMWEXVKAUDUCVXSAUDXVHWRZ
            AUCAUCWFWCZUDUCWDWEZURYJWRZAVXSWXIWRZAUDUCXVLXVOAXVMXVNURYNYPAUCVXS
            XVOXVPAUCVXSWDWEZVXSVWIWMWEZAOWXOWCZXVQXVRXLAVYJXVSVIORSVUFXKAEFGHI
            JLMOPQRSUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCUXFUXGYJYPYQAUD
            VXSUEXVHWXIVWRVUHYRXNYQVUIACEFGHIJLMVVEPQRSUBUCUDUEUFUGUHUIUJUKULUM
            UNUOUPUQURUSUTVAVBVCVDVUJYKXNVUKVULVUDYQ $.
        $}

        $( Lemma for ~ pnt .  Eliminate some assumptions from ~ pntlemj .
           (Contributed by Mario Carneiro, 13-Apr-2016.) $)
        pntlemi $p |- ( ( ph /\ J e. ( M ..^ N ) ) ->
    ( ( U - E ) x. ( ( ( L x. E ) / 8 ) x. ( log ` Z ) ) ) <_ sum_ n e. O
    ( ( ( U / n ) - ( abs ` ( ( R ` ( Z / n ) ) / Z ) ) ) x. ( log ` n ) ) ) $=
          ( vx cfzo co wcel wa cexp cv clt wbr c1 cmul caddc cfv cdiv cabs cicc
          cle wral cmin c8 clog csu crp wrex cpnf cioo wceq breq2 oveq2 anbi12d
          breq1d id oveq12d raleqdv cbvrexvw breq1 breq2d anbi1d rexbidv syl5bb
          adantr cr cz cc0 w3a pntlemc simp2d elfzoelz rpexpcl syl2an rpred cfz
          csqrt elfzofz pntlemh sylan2 simpld cxr wb rpxr elioopnf 3syl rspcdva
          mpbir2and ad2antrr cico simprl simprr simplr eqid pntlemj rexlimddv
          cfl ) ANQRVFVGVHZVIZONVJVGZVEVKZVLVMZVNPLVOVGZVPVGZUUAVOVGZOYTVOVGZVL
          VMZVIZDVKZIVQUUIVRVGVSVQLWAVMZDUUAUUEVTVGZWBZVIZJLWCVGZUUCWDVRVGUCWEV
          QVOVGVOVGSJKVKZVRVGUCUUOVRVGIVQUCVRVGVSVQWCVGUUOWEVQVOVGKWFWAVMVEWGYS
          BVKZCVKZVLVMZUUDUUQVOVGZOUUPVOVGZVLVMZVIZUUJDUUQUUSVTVGZWBZVIZCWGWHZU
          UMVEWGWHZBUAWIWJVGZYTUVFUUPUUAVLVMZUUEUUTVLVMZVIZUULVIZVEWGWHUUPYTWKZ
          UVGUVEUVLCVEWGUUQUUAWKZUVBUVKUVDUULUVNUURUVIUVAUVJUUQUUAUUPVLWLUVNUUS
          UUEUUTVLUUQUUAUUDVOWMZWOWNUVNUUJDUVCUUKUVNUUQUUAUUSUUEVTUVNWPUVOWQWRW
          NWSUVMUVLUUMVEWGUVMUVKUUHUULUVMUVIUUBUVJUUGUUPYTUUAVLWTUVMUUTUUFUUEVL
          UUPYTOVOWMXAWNXBXCXDAUVFBUVHWBZYRVCXEYSYTUVHVHZYTXFVHZUAYTVLVMZYSYTAO
          WGVHZNXGVHYTWGVHYRALWGVHUVTLXHVNWJVGZVHVNOVLVMUUNWGVHXIAEFHIJLMOPUDUE
          UFUGUHUIUJUKULUMUNXJXKNQRXLONXMXNXOYSUVSYTUCXQVQWAVMZYRANQRXPVGVHUVSU
          WBVINQRXRAEFGHIJLMNOPQRTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAXSX
          TYAYSUAWGVHZUAYBVHUVQUVRUVSVIYCAUWCYRAUWCUBUAVLVMZUPYAXEUAYDUAYTYEYFY
          HYGYSUUAWGVHZUUMVIZVIBCDEFGHIJKLMUCUUEVRVGYQVQVNVPVGUCUUAVRVGYQVQXPVG
          ZNOPQRSUUATUAUBUCUDUEAEWGVHYRUWFUFYIAFWGVHYRUWFUGYIAPUWAVHYRUWFUHYIUI
          UJAJWGVHYRUWFUKYIAJEWAVMYRUWFULYIUMUNAUBWGVHVNUBWAVMVIYRUWFUOYIAUWCUW
          DVIYRUWFUPYIAGWGVHYRUWFUQYIURAUCTWIYJVGVHYRUWFUSYIUTVAAUUQIVQUUQVRVGV
          SVQJWAVMCUBWIYJVGWBYRUWFVBYIAUVPYRUWFVCYIVDYSUWEUUMYKYSUWEUUMYLAYRUWF
          YMUWGYNYOYP $.
      $}

      $( Lemma for ~ pnt .  Add up the pieces in ~ pntlemi to get an estimate
         slightly better than the naive lower bound ` 0 ` .  (Contributed by
         Mario Carneiro, 13-Apr-2016.) $)
      pntlemf $p |- ( ph -> ( ( U - E ) x.
      ( ( ( L x. ( E ^ 2 ) ) / ( ; 3 2 x. B ) ) x. ( ( log ` Z ) ^ 2 ) ) )
      <_ sum_ n e. ( 1 ... ( |_ ` ( Z / Y ) ) )
    ( ( ( U / n ) - ( abs ` ( ( R ` ( Z / n ) ) / Z ) ) ) x. ( log ` n ) ) ) $=
        ( cmin co c2 cexp cmul c3 cdiv clog cfv c8 cfl cfz csu cc0 wcel clt wbr
        c1 cv crp w3a simp3d simp1d cz sylancl rpmulcld cn sylancr rpdivcld cle
        c4 caddc rpred simp2d nnred resubcld remulcld fzfid wa cr adantr adantl
        cuz syl rerpdivcld recnd fsumrecl cc wne wceq rpcnd rpcnne0 mp1i oveq2d
        rpcnne0d syl3anc 3eqtr2d oveq1d mpbid wss cn0 rpexpcld rprege0d nn0p1nn
        flge0nn0 3syl nnuz eleqtrdi fzss1 sselda syldan wi oveq1 fveq2d sumeq1d
        oveq2 breq12d imbi2d simpld vm vj cdc cabs cioo pntlemc pntlemd rpexpcl
        3nn0 2nn decnncl nnrp ax-mp rpmulcl ceu csqrt pntlemb rplogcld 8re 8pos
        elrpii rpdivcl pntlemg eluznn syl2anc elfznn nndivre syl2an nnrpd pntrf
        2z ffvelrni abscld relogcld 4re 4pos divmuldiv syl22anc fveq2i relogefd
        syl5eq divdiv2 eqtrd mulcld divass mul4d sqvald sqcld mul32d 8t4e32 a1i
        ce oveq12d divdiv1 nncni mulcom div23 3eqtrd 4nn mulassd eqtr4d 3eqtr4d
        lemul2d eqbrtrrd breqtrrd nnzd eluzfz2 subidd mul01d elfzle2 wb elfzelz
        flge mpbird jca pntlemn fsumge0 eqbrtrd cfzo eqid pntlemi elfzoelz zred
        nncnd cun ssun1 peano2zd 1re ltle mpd peano2uz leexp2ad lediv2d flword2
        uzid eluzp1p1 flcld simprd elfzofz pntlemh sylan2 lttrd ltled syl3anbrc
        flwordi eluz2 fzsplit2 sseqtrrid sstrd adantlr ssun2 le2add 1cnd subcld
        mpand adddid addcomd addsubd mulid1d 3eqtr3d cin c0 reflcl ltp1d fzdisj
        zcnd fsumsplit sylibrd expcom a2d fzind2 mpcom fsumless letrd ) AJLVBVC
        ZOLVDVEVCZVFVCZVGVDUUCZFVFVCZVHVCZUAVIVJZVDVEVCZVFVCZVFVCZVVOOLVFVCZVKV
        HVCZVWAVFVCZVFVCZQPVBVCZVFVCZVSUATVHVCZVLVJZVMVCZJKVTZVHVCZUAVWNVHVCZIV
        JZUAVHVCZUUDVJZVBVCZVWNVIVJZVFVCZKVNZAVWDAVVOVWCALVOVSUUEVCVPZVSNVQVRZV
        VOWAVPZALWAVPZNWAVPZVXDVXEVXFWBZAEFHIJLMNOUBUCUDUEUFUGUHUIUJUKULUUFZWCZ
        WCZAVVTVWBAVVQVVSAOVVPAOWAVPHWAVPMWAVPAEFHIMOUBUCUDUEUFUGUHUUGWDZAVXGVD
        WEVPZVVPWAVPAVXGVXHVXIVXJWDZUVKLVDUUHWFWGZAVVRWAVPZFWAVPVVSWAVPVVRWHVPV
        XQVGVDUUIUUJUUKZVVRUULUUMZUEVVRFUUNWIZWJZAVWAWAVPVXNVWBWAVPAUAAUAAUAWAV
        PZVSUAVQVRZUUOUAUUPVJZWKVRZVYDVWKWKVRZWBZWLVWEVHVCVYDWKVRSVIVJNVIVJZVHV
        CVDWMVCVWAVYHVHVCZWLVHVCZWKVRJVGVFVCGWMVCVVOVVTVFVCVWAVFVCWKVRWBZAEFGHI
        JLMNORSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQUUQZWDZWNZAVYCVYEVYFAVYBVYGVY
        KVYLWOWDUURZUVKVWAVDUUHWFWGZWGWNAVWHVWIAVWHAVVOVWGVXLAVWFVWAAVWEWAVPVKW
        AVPZVWFWAVPAOLVXMVXOWGZVKUUSUUTUVAZVWEVKUVBWFZVYOWGZWGZWNAQPAQAPWHVPZQP
        XDVJVPZQWHVPAWUCWUDVYJVWIWKVRZAEFGHIJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULU
        MUNUOUPUQURUSUVCZWDZAWUCWUDWUEWUFWOZQPUVDUVEZWPAPWUGWPWQZWRZAVWMVXBKAVS
        VWLWSZAVWNVWMVPZWTZVWTVXAWUNVWOVWSAJXAVPVWNWHVPZVWOXAVPWUMAJUIWNVWNVWLU
        VFZJVWNUVGUVHWUNVWRWUNVWRWUNVWQUAWUNVWPWAVPVWQXAVPWUNUAVWNAVYBWUMVYMXBZ
        WUNVWNWUMWUOAWUPXCZUVIZWJWAXAVWPIIUBUCUVJUVLXEWUQXFXGUVMWQWUNVWNWUSUVNW
        RZXHZAVWDVVOVWGVWIVFVCZVFVCZVWJWKAVWCWVBWKVRVWDWVCWKVRAVWGVYJVFVCZVWCWV
        BWKAVWFVYJVFVCZVWAVFVCVVTVWAVFVCZVWAVFVCZWVDVWCAWVEWVFVWAVFAWVEVWEVYIVF
        VCZVKWLVFVCZVHVCZVVQVWAVFVCZFVHVCZVVRVHVCZWVFAVWEXIVPZVYIXIVPVKXIVPVKVO
        XJWTZWLXIVPWLVOXJWTZWVEWVJXKAVWEVYRXLZAVYIAVWAVYHVYOANANAVXGVXHVXIVXJWO
        ZWNZAVXDVXEVXFVXKWOZUURWJZXLVYQWVOAVYSVKXMXNWLWAVPWVPAWLUVOUVPUVAWLXMXN
        VWEVYIVKWLUVQUVRAWVHWVLWVIVVRVHAWVHVWEVWALVFVCZFVHVCZVFVCZVWEWWBVFVCZFV
        HVCZWVLAVYIWWCVWEVFAVYIVWAFLVHVCZVHVCZWWCAVYHWWGVWAVHAVYHWWGUWLVJZVIVJW
        WGNWWIVIULUVSAWWGAWWGAFLUEVXOWJWNUVTUWAXOAVWAXIVPZFXIVPZFVOXJWTZLXIVPLV
        OXJWTWWHWWCXKAVWAVYOXLZAFUEXPZALVXOXPVWAFLUWBXQUWCXOAWVNWWBXIVPWWLWWFWW
        DXKWVQAVWALWWMALVXOXLZUWDWWNVWEWWBFUWEXQAWWEWVKFVHAWWEOVWAVFVCZLLVFVCZV
        FVCWWPVVPVFVCWVKAOLVWALAOVXMXLZWWOWWMWWOUWFAVVPWWQWWPVFALWWOUWGXOAOVWAV
        VPWWRWWMALWWOUWHUWIXRXSXRWVIVVRXKAUWJUWKUWMAWVMWVKFVVRVFVCZVHVCZWVKVVSV
        HVCZWVFAWVKXIVPWWLVVRXIVPZVVRVOXJWTZWVMWWTXKAVVQVWAAVVQVXPXLZWWMUWDWWNV
        XQWXCAVXSVVRXMXNWVKFVVRUWNXQAVVSWWSWVKVHAWXBWWKVVSWWSXKVVRVXRUWOAFUEXLV
        VRFUWPWIXOAVVQXIVPWWJVVSXIVPVVSVOXJWTWXAWVFXKWXDWWMAVVSVXTXPVVQVWAVVSUW
        QXQXRUWRXSAVWFVWAVYJAVWFVYTXLWWMAVYJAVYIXAVPWLWHVPVYJXAVPAVYIWWAWNUWSVY
        IWLUVGWFZXGUWIAVWCVVTVWAVWAVFVCZVFVCWVGAVWBWXFVVTVFAVWAWWMUWGXOAVVTVWAV
        WAAVVTVYAXLWWMWWMUWTUXAUXBAWUEWVDWVBWKVRAWUCWUDWUEWUFWCAVYJVWIVWGWXEWUJ
        WUAUXCXTUXDAVWCWVBVVOAVWCVYPWNAVWGVWIAVWGWUAWNWUJWRVXLUXCXTAVVOVWGVWIAV
        VOVXLXLAVWGWUAXLAVWIWUJXGUWTUXEAVWJUANQVEVCZVHVCZVLVJZVSWMVCZVWLVMVCZVX
        BKVNZVXCWUKAWXKVXBKAWXJVWLWSAVWNWXKVPWUMVXBXAVPZAWXKVWMVWNAWXJVSXDVJZVP
        WXKVWMYAAWXJWHWXNAWXHXAVPVOWXHWKVRWTWXIYBVPWXJWHVPAWXHAUAWXGVYMANQWVRAQ
        WUIUXFYCWJYDWXHYFWXIYEYGYHYIWXJVSVWLYJXEZYKWUTYLXHWVAQPQVMVCZVPZAVWJWXL
        WKVRZAWUDWXQWUHPQUXGXEAVWHUUAVTZPVBVCZVFVCZUANWXSVEVCZVHVCZVLVJZVSWMVCZ
        VWLVMVCZVXBKVNZWKVRZYMAVWHPPVBVCZVFVCZUANPVEVCZVHVCZVLVJZVSWMVCZVWLVMVC
        ZVXBKVNZWKVRZYMZAVWHUUBVTZPVBVCZVFVCZUANWYSVEVCZVHVCZVLVJZVSWMVCZVWLVMV
        CZVXBKVNZWKVRZYMAVWHWYSVSWMVCZPVBVCZVFVCZUANXUIVEVCZVHVCZVLVJZVSWMVCZVW
        LVMVCZVXBKVNZWKVRZYMAWXRYMUUAUUBQPQWXSPXKZWYHWYQAXUSWYAWYJWYGWYPWKXUSWX
        TWYIVWHVFWXSPPVBYNXOXUSWYFWYOVXBKXUSWYEWYNVWLVMXUSWYDWYMVSWMXUSWYCWYLVL
        XUSWYBWYKUAVHWXSPNVEYQXOYOXSXSYPYRYSWXSWYSXKZWYHXUHAXUTWYAXUAWYGXUGWKXU
        TWXTWYTVWHVFWXSWYSPVBYNXOXUTWYFXUFVXBKXUTWYEXUEVWLVMXUTWYDXUDVSWMXUTWYC
        XUCVLXUTWYBXUBUAVHWXSWYSNVEYQXOYOXSXSYPYRYSWXSXUIXKZWYHXURAXVAWYAXUKWYG
        XUQWKXVAWXTXUJVWHVFWXSXUIPVBYNXOXVAWYFXUPVXBKXVAWYEXUOVWLVMXVAWYDXUNVSW
        MXVAWYCXUMVLXVAWYBXULUAVHWXSXUINVEYQXOYOXSXSYPYRYSWXSQXKZWYHWXRAXVBWYAV
        WJWYGWXLWKXVBWXTVWIVWHVFWXSQPVBYNXOXVBWYFWXKVXBKXVBWYEWXJVWLVMXVBWYDWXI
        VSWMXVBWYCWXHVLXVBWYBWXGUAVHWXSQNVEYQXOYOXSXSYPYRYSWYRWUDAWYJVOWYPWKAWY
        JVWHVOVFVCVOAWYIVOVWHVFAPAPWUGUYDZUXHXOAVWHAVWHWUBXLZUXIUWCAWYOVXBKAWYN
        VWLWSAVWNWYOVPZWUMWXMAWYOVWMVWNAWYNWXNVPWYOVWMYAAWYNWHWXNAWYLXAVPVOWYLW
        KVRWTWYMYBVPWYNWHVPAWYLAUAWYKVYMANPWVRAPWUGUXFYCWJYDWYLYFWYMYEYGYHYIWYN
        VSVWLYJXEYKZWUTYLAXVEWUMVOVXBWKVRZXVFAWUMWUOVWNVWKWKVRZWTXVGWUNWUOXVHWU
        RWUNXVHVWNVWLWKVRZWUMXVIAVWNVSVWLUXJXCAVWKXAVPZVWNWEVPXVHXVIUXKWUMAVWKA
        UATVYMATWAVPZVSTWKVRUMYTZWJZWNVWNVSVWLUXLVWKVWNUXMUVHUXNUXOACEFGHIJLMVW
        NNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTUXPYLZYLUXQUXRUWKWYSPQU
        XSVCVPZAXUHXURAXVOXUHXURYMAXVOWTZXUHVWHXUAWMVCZXUOXUDVMVCZVXBKVNZXUGWMV
        CZWKVRZXURXVPVWHXVSWKVRZXUHXWAABCDEFGHIJKLMWYSNOPQXVRRSTUAUBUCUDUEUFUGU
        HUIUJUKULUMUNUOUPUQURUSUTVAXVRUXTUYAXVPVWHXAVPXUAXAVPXVSXAVPXUGXAVPXWBX
        UHWTXWAYMXVPVWHAVWHWAVPXVOWUBXBWNZXVPVWHWYTXWCXVPWYSPXVPWYSXVOWYSWEVPZA
        WYSPQUYBXCZUYCXVPPAWUCXVOWUGXBWPWQWRXVPXVRVXBKXVPXUOXUDWSXVPVWNXVRVPWUM
        WXMXVPXVRVWMVWNXVPXVRXUPVWMXVPXVRXUFUYEZXVRXUPXVRXUFUYFXVPXUEXUOXDVJVPZ
        VWLXUDXDVJVPZXUPXWFXKXVPXUDXUNXDVJVPZXWGXVPXUMXAVPZXUCXAVPZXUMXUCWKVRZX
        WIXVPUAXULAUAXAVPXVOVYNXBZXVPNXUIAVXHXVOWVRXBZXVPWYSXWEUYGYCZXFXVPUAXUB
        XWMXVPNWYSXWNXWEYCZXFZXVPXUBXULWKVRXWLXVPNWYSXUIANXAVPZXVOWVSXBAVSNWKVR
        ZXVOAVXEXWSWVTAVSXAVPXWRVXEXWSYMUYHWVSVSNUYIWIUYJXBXVPXWDWYSWYSXDVJZVPX
        UIXWTVPXWEWYSUYOWYSWYSUYKYGUYLXVPXUBXULUAXWPXWOAVYBXVOVYMXBZUYMXTXUMXUC
        UYNXQXUNXUDUYPXEXVPXUDWEVPVWLWEVPXUDVWLWKVRZXWHXVPXUCXWQUYQXVPVWKXVPVWK
        AVWKWAVPXVOXVMXBWNZUYQXVPXWKXVJXUCVWKWKVRZXXBXWQXXCXVPTXUBWKVRXXDXVPTXU
        BXVPTAXVKXVOXVLXBZWNZXVPXUBXWPWNZXVPTSXUBXXFASXAVPXVOASASWAVPZTSVQVRZUN
        YTWNXBXXGAXXIXVOAXXHXXIUNUYRXBXVPSXUBVQVRZXUBVYDWKVRZXVOAWYSWXPVPXXJXXK
        WTWYSPQUYSAEFGHIJLMWYSNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUYTV
        UAYTVUBVUCXVPTXUBUAXXEXWPXXAUYMXTXUCVWKVUEXQXUDVWLVUFVUDXUDXUOVWLVUGUVE
        ZVUHXVPXUOWXNVPXUPVWMYAXVPXUOWHWXNXVPXWJVOXUMWKVRWTXUNYBVPXUOWHVPXVPXUM
        XVPUAXULXXAXWOWJYDXUMYFXUNYEYGYHYIXUOVSVWLYJXEZVUIYKAWUMWXMXVOWUTVUJZYL
        XHXVPXUFVXBKXVPXUEVWLWSXVPVWNXUFVPWUMWXMXVPXUFVWMVWNXVPXUFXUPVWMXVPXWFX
        UFXUPXUFXVRVUKXXLVUHXXMVUIYKXXNYLXHVWHXUAXVSXUGVULUVRVUOXVPXUKXVQXUQXVT
        WKXVPVWHVSWYTWMVCZVFVCVWHVSVFVCZXUAWMVCXUKXVQXVPVWHVSWYTAVWHXIVPXVOXVDX
        BZXVPVUMZXVPWYSPXVPWYSXWEVVFZAPXIVPXVOXVCXBZVUNZVUPXVPXXOXUJVWHVFXVPXXO
        WYTVSWMVCXUJXVPVSWYTXXRXYAVUQXVPWYSVSPXXSXXRXXTVURUXAXOXVPXXPVWHXUAWMXV
        PVWHXXQVUSXSVUTXVPXVRXUFVXBXUPKXVPXUDXUEVQVRXVRXUFVVAVVBXKXVPXUDXVPXWKX
        UDXAVPXWQXUCVVCXEVVDXUOXUDXUEVWLVVEXEXXLXVPXUOVWLWSXVPVWNXUPVPZWTVXBXVP
        XYBWUMWXMXVPXUPVWMVWNXXMYKXXNYLXGVVGYRVVHVVIVVJVVKVVLAVWMVXBWXKKWULWUTX
        VNWXOVVMVVNVVN $.

      $( Lemma for ~ pnt .  Evaluate the naive part of the estimate.
         (Contributed by Mario Carneiro, 14-Apr-2016.) $)
      pntlemk $p |- ( ph -> ( 2 x. sum_ n e. ( 1 ... ( |_ ` ( Z / Y ) ) )
          ( ( U / n ) x. ( log ` n ) ) ) <_
      ( ( U x. ( ( log ` Z ) + 3 ) ) x. ( log ` Z ) ) ) $=
        ( c2 c1 cdiv co cfl cfv cfz cv clog csu cmul c3 caddc cle wbr cexp wcel
        cr fzfid wa cn elfznn adantl relogcld nndivred fsumrecl remulcl sylancr
        2re nnrpd crp clt ceu csqrt w3a c4 cmin cdc pntlemb simp1d peano2re syl
        resqcld readdcl sylancl remulcld rpred simpld rerpdivcld 1red rpsqrtcld
        3re ere a1i 1lt2 egt2lt3 simpli lttri mp2an ltleii simp2d letrd flge1nn
        1re simp3d readdcld cc0 wb mpbid recnd breqtrd logleb eqbrtrrid wceq cc
        1rp adddird oveq2d 3brtr4d syl2anc logdivbnd lemuldiv2 syl112anc mpbird
        2pos reflcl flle simprd lediv2d div1d logled leadd1dd 0red nnge1d lep1d
        log1 le2sqd loge rpge0d lemulge12d rprege0d epr leadd2dd binom21 sqvald
        remsqsqrt df-3 oveq1i 2cnd 1cnd syl5eq mulid2d eqtr2d oveq12d sqcld 2cn
        mulcl addassd 3cn 3eqtr4rd lemul2d adantr rpcnne0d div23 divass syl3anc
        wne eqtr3d sumeq2dv fsummulc2 eqtr4d mul12d eqtrd mulassd ) AJVBVCUATVD
        VEZVFVGZVHVEZKVIZVJVGZUWSVDVEZKVKZVLVEZVLVEZJUAVJVGZVMVNVEZUXEVLVEZVLVE
        ZVBUWRJUWSVDVEUWTVLVEZKVKZVLVEZJUXFVLVEUXEVLVEVOAUXCUXGVOVPUXDUXHVOVPAU
        XCUXEVCVNVEZVBVQVEZUXGAVBVSVRZUXBVSVRZUXCVSVRWJAUWRUXAKAVCUWQVTZAUWSUWR
        VRZWAZUWTUWSUXRUWSUXRUWSUXQUWSWBVRAUWSUWQWCWDZWKZWEZUXSWFZWGZVBUXBWHWIZ
        AUXLAUXEVSVRZUXLVSVRAUAAUAWLVRZVCUAWMVPZWNUAWOVGZVOVPZUYHUWPVOVPZWPZWQO
        LVLVEVDVEUYHVOVPSVJVGNVJVGZVDVEVBVNVEUXEUYLVDVEWQVDVEVOVPJVMVLVEGVNVEJL
        WRVEOLVBVQVEVLVEVMVBWSFVLVEVDVEVLVEUXEVLVEVOVPWPZAEFGHIJLMNORSTUAUBUCUD
        UEUFUGUHUIUJUKULUMUNUOUPUQWTZXAZWEZUXEXBXCZXDZAUXFUXEAUYEVMVSVRUXFVSVRU
        YPXMUXEVMXEXFZUYPXGZAUXCUWQVJVGZVCVNVEZVBVQVEZUXMUYDAVUBAVUAVCAUWQAUWQA
        UWPVSVRZVCUWPVOVPUWQWBVRZAUATAUAUYOXHZATWLVRZVCTVOVPZUMXIZXJZAVCUYHUWPA
        XKZAUYHAUAUYOXLZXHZVUJAVCWNUYHVUKWNVSVRAXNXOZVUMVCWNVOVPAVCWNYEXNVCVBWM
        VPVBWNWMVPZVCWNWMVPXPVUOWNVMWMVPXQXRVCVBWNYEWJXNXSXTYAXOAUYGUYIUYJAUYFU
        YKUYMUYNYBZYBZYCZAUYGUYIUYJVUPYFYCUWPYDUUAZWKZWEZVUKYGZXDZUYRAUXCVUCVOV
        PZUXBVUCVBVDVEVOVPZAVUEVVEVUSKUWQUUBXCAUXOVUCVSVRUXNYHVBWMVPZVVDVVEYIUY
        CVVCUXNAWJXOZVVFAUUFXOUXBVUCVBUUCUUDUUEAVUBUXLVOVPVUCUXMVOVPAVUAUXEVCVV
        AUYPVUKAUWQUAVOVPVUAUXEVOVPAUWQUWPUAAVUDUWQVSVRVUJUWPUUGXCVUJVUFAVUDUWQ
        UWPVOVPVUJUWPUUHXCAUWPUAVCVDVEZUAVOAVUHUWPVVHVOVPAVUGVUHUMUUIAVCTUAVCWL
        VRZAYQXOVUIUYOUUJYJAUAAUAVUFYKUUKYLYCAUWQUAVUTUYOUULYJUUMZAVUBUXLVVBUYQ
        AYHVUAVUBAUUNZVVAVVBAYHVCVJVGZVUAVOUUQAVCUWQVOVPZVVLVUAVOVPZAUWQVUSUUOA
        VVIUWQWLVRVVMVVNYIYQVUTVCUWQYMWIYJYNAVUAVVAUUPYCZAYHVUBUXLVVKVVBUYQVVOV
        VJYCUURYJYCAUXEVBVQVEZVBUXEVLVEZVNVEZVCVNVEZVVRUXEVNVEZUXMUXGVOAVCUXEVV
        RVUKUYPAVVPVVQAUXEUYPXDAVBUXEVVGUYPXGYGAVCWNVJVGZUXEVOUUSAWNUAVOVPZVWAU
        XEVOVPZAWNUYHUAVUNVUMVUFVUQAUYHUYHUYHVLVEZUAVOAUYHUYHVUMVUMAUYHVULUUTVU
        RUVAAUAVSVRYHUAVOVPWAVWDUAYOAUAUYOUVBUAUVGXCYLYCAWNWLVRUYFVWBVWCYIUVCUY
        OWNUAYMWIYJYNUVDAUXEYPVRZUXMVVSYOAUXEUYPYKZUXEUVEXCAVVPVVQUXEVNVEZVNVEU
        XEUXEVLVEZVMUXEVLVEZVNVEVVTUXGAVVPVWHVWGVWIVNAUXEVWFUVFAVWIVVQVCUXEVLVE
        ZVNVEZVWGAVWIVBVCVNVEZUXEVLVEVWKVMVWLUXEVLUVHUVIAVBVCUXEAUVJZAUVKVWFYRU
        VLAVWJUXEVVQVNAUXEVWFUVMYSUVNUVOAVVPVVQUXEAUXEVWFUVPAVBYPVRVWEVVQYPVRUV
        QVWFVBUXEUVRWIVWFUVSAUXEVMUXEVWFVMYPVRAUVTXOVWFYRUWAYTYCAUXCUXGJUYDUYTU
        IUWBYJAUXKVBJUXBVLVEZVLVEUXDAUXJVWNVBVLAUXJUWRJUXAVLVEZKVKVWNAUWRUXIVWO
        KUXRJYPVRZUWTYPVRZUWSYPVRUWSYHUWHWAZUXIVWOYOUXRJAJVSVRUXQAJUIXHZUWCYKUX
        RUWTUYAYKUXRUWSUXTUWDVWPVWQVWRWPJUWTVLVEUWSVDVEUXIVWOJUWTUWSUWEJUWTUWSU
        WFUWIUWGUWJAUWRUXAJKUXPAJVWSYKZUXRUXAUYBYKUWKUWLYSAVBJUXBVWMVWTAUXBUYCY
        KUWMUWNAJUXFUXEVWTAUXFUYSYKVWFUWOYT $.

      pntlem1.C $e |- ( ph -> A. z e. ( 1 (,) +oo )
      ( ( ( ( abs ` ( R ` z ) ) x. ( log ` z ) ) -
        ( ( 2 / ( log ` z ) ) x. sum_ i e. ( 1 ... ( |_ ` ( z / Y ) ) )
             ( ( abs ` ( R ` ( z / i ) ) ) x. ( log ` i ) ) ) ) / z ) <_ C ) $.
      $( Lemma for ~ pnt .  Combine all the estimates to establish a smaller
         eventual bound on ` R ( Z ) / Z ` .  (Contributed by Mario Carneiro,
         14-Apr-2016.) $)
      pntlemo $p |- ( ph ->
        ( abs ` ( ( R ` Z ) / Z ) ) <_ ( U - ( F x. ( U ^ 3 ) ) ) ) $=
        ( vn cfv cdiv co cabs c3 cexp cmul cmin cle wbr clog caddc c2 crp cr c1
        wcel clt w3a c4 simp1d ffvelrni syl rerpdivcld abscld relogcld remulcld
        recnd rpred 3re a1i readdcld 2re cc0 cioo simp3d cz 2z rpexpcl rpmulcld
        sylancl cn sylancr rpdivcld resubcld rpcnd subdird cc wne wceq rpcnne0d
        div23 syl3anc oveq1i simp2d rpne0d syl5eq oveq2d eqtr3d mulassd oveq12d
        wa eqtrd oveq1d eqtr4d 3eqtr2d cfl cfz cv adantr fsumrecl mulcld fveq2d
        csu remulcl letrd mpbird cdc ceu csqrt pntlemb pntlemc pntlemd 3nn0 2nn
        pntrf decnncl nnrp ax-mp rpmulcl sqdivd sqcld divass 3eqtrd df-3 oveq2i
        2nn0 expp1 mulcomd 1cnd rpreccld mulid2d divrec2d eqtr2id eqtr2d subcld
        cn0 mul32d eqeltrrd fzfid elfznn adantl nnrpd divsubdird div23d absdivd
        rplogcld rprege0d divassd sumeq2dv fsumdivc cpnf 2fveq3 cbvsumv fvoveq1
        absid fveq2 oveq2 simpl fvoveq1d sumeq12rdv id breq1d cxr rexr elioopnf
        1re mp2b sylanbrc rspcdva eqbrtrrd lesubadd2d mpbid 2cnd fsumcl resqcld
        nndivred pntlemf 2pos lemul2 syl112anc fsumsub pntlemk lesub1dd eqbrtrd
        wb subdid lesubd breqtrrd ledivmul2d leadd1dd leadd2dd addassd nppcan3d
        sqvald adddid 2timesd 3brtr4d lesubaddd addsubd 3brtr3d 3z lemul1d ) AU
        AIVDZUAVEVFZVGVDZJMJVHVIVFZVJVFZVKVFZVLVMUYSUAVNVDZVJVFZVUBVUCVJVFZVLVM
        AVUDJVUCVHVOVFZVJVFZVPJLVKVFZOLVPVIVFZVJVFZVHVPUUAZFVJVFZVEVFZVJVFZVUCV
        JVFZVJVFZVKVFZGVOVFZVUEAUYSVUCAUYRAUYRAUYQUAAUAVQVTZUYQVRVTAVUSVSUAWAVM
        ZUUBUAUUCVDZVLVMZVVAUATVEVFZVLVMZWBZWCOLVJVFVEVFVVAVLVMZSVNVDNVNVDZVEVF
        VPVOVFVUCVVGVEVFWCVEVFVLVMZJVHVJVFZGVOVFZVUOVLVMZWBZAEFGHIJLMNORSTUAUBU
        CUDUEUFUGUHUIUJUKULUMUNUOUPUQUUDZWDZVQVRUAIIUBUCUUIZWEWFZVVNWGWKWHZAUAV
        VNWIZWJZAVUQGAVUGVUPAJVUFAJUIWLZAVUCVHVVRVHVRVTZAWMWNZWOWJZAVPVUOVPVRVT
        ZAWPWNZAVUNVUCAVUHVUMAVUHALWQVSWRVFVTZVSNWAVMZVUHVQVTZALVQVTZNVQVTZVWFV
        WGVWHWBZAEFHIJLMNOUBUCUDUEUFUGUHUIUJUKULUUEZWSWSZWLZAVUMAVUJVULAOVUIAOV
        QVTZHVQVTZMVQVTZAEFHIMOUBUCUDUEUFUGUHUUFZWDZAVWIVPWTVTZVUIVQVTAVWIVWJVW
        KVWLWDXALVPXBXDZXCAVUKVQVTZFVQVTVULVQVTVUKXEVTVXBVHVPUUGUUHUUJVUKUUKUUL
        UEVUKFUUMXFZXGZWLZWJZVVRWJZWJZXHZAGUOWLZWOZAJVUCVJVFZVUOVKVFZVUEVRAJVUN
        VKVFZVUCVJVFVXMVUEAJVUNVUCAJUIXIZAVUNVXFWKZAVUCVVRWKZXJAVXNVUBVUCVJAVUN
        VUAJVKAVUNVUHOVULVEVFZHVPVIVFZVEVFZJVPVIVFZVJVFZVJVFZVUAAVUMVYBVUHVJAVU
        MVXRVUIVJVFZVXRVYAVXSVEVFZVJVFZVYBAOXKVTVUIXKVTVULXKVTVULWQXLYEVUMVYDXM
        AOVWSXIAVUIVXAXIAVULVXCXNOVUIVULXOXPAVUIVYEVXRVJAVUIJHVEVFZVPVIVFVYELVY
        GVPVIUKXQAJHVXOAHAVWOVWPVWQVWRXRZXIZAHVYHXSZUUNXTYAAVXRXKVTZVYAXKVTZVXS
        XKVTVXSWQXLYEZVYFVYBXMAVXRAOVULVWSVXCXGZXIAJVXOUUOZAVXSAVWPVWTVXSVQVTVY
        HXAHVPXBXDZXNVYKVYLVYMWBVXRVYAVJVFVXSVEVFVYFVYBVXRVYAVXSUUPVXRVYAVXSXOY
        BXPUUQYAAVUAMJVYAVJVFZVJVFMJVJVFZVYAVJVFZVYCAUYTVYQMVJAUYTVYAJVJVFZVYQA
        UYTJVPVSVOVFZVIVFZVYTVHWUAJVIUURUUSAJXKVTVPUVJVTWUBVYTXMVXOUUTJVPUVAXDX
        TAVYAJVYOVXOUVBYFYAAMJVYAAMAVWOVWPVWQVWRWSZXIVXOVYOYCAVUHVXTVJVFZVYAVJV
        FVYSVYCAWUDVYRVYAVJAWUDVSVSHVEVFZVKVFZJVJVFZVXTVJVFZVYRAVUHWUGVXTVJAWUG
        VSJVJVFZWUEJVJVFZVKVFVUHAVSWUEJAUVCZAWUEAHVYHUVDXIZVXOXJAWUIJWUJLVKAJVX
        OUVEALVYGWUJUKAJHVXOVYIVYJUVFUVGYDUVHYGAVYRWUFVXTVJVFZJVJVFWUHMWUMJVJUH
        XQAWUFVXTJAVSWUEWUKWULUVIAVXTAVXRVXSVYNVYPXGXIZVXOUVKXTYHYGAVUHVXTVYAAV
        UHVWMXIZWUNVYOYCYBYIYHYAYGYBZAVXLVUOAJVUCVVTVVRWJZVXGXHZUVLAVUDVPVUCVEV
        FZVSVVCYJVDZYKVFZUAVCYLZVEVFZIVDZUAVEVFZVGVDZWVBVNVDZVJVFZVCYQZVJVFZGVO
        VFZVURVVSAWVJGAWUSWVIAVPVUCVWEAUAAUAVVNWLZAVUTVVBVVDAVUSVVEVVLVVMXRWDZU
        VTZWGZAWVAWVHVCAVSWUTUVMZAWVBWVAVTZYEZWVFWVGWVRWVEWVRWVEWVRWVDUAWVRWVCV
        QVTWVDVRVTWVRUAWVBAVUSWVQVVNYMZWVRWVBWVQWVBXEVTAWVBWUTUVNUVOZUVPZXGVQVR
        WVCIVVOWEWFZWVSWGWKWHZWVRWVBWWAWIZWJYNZWJZVXJWOVXKAVUDWVJVKVFZGVLVMVUDW
        VKVLVMAUYQVGVDZVUCVJVFZWUSWVAWVDVGVDZWVGVJVFZVCYQZVJVFZVKVFZUAVEVFZWWGG
        VLAWWOWWIUAVEVFZWWMUAVEVFZVKVFWWGAWWIWWMUAAWWHVUCAWWHAUYQAUYQVVPWKZWHWK
        ZVXQYOAWUSWWLAWUSWVOWKZAWWLAWVAWWKVCWVPWVRWWJWVGWVRWVDWVRWVDWWBWKZWHZWW
        DWJZYNWKZYOAUAVVNXIZAUAVVNXSZUVQAWWPVUDWWQWVJVKAWWPWWHUAVEVFZVUCVJVFVUD
        AWWHVUCUAWWSVXQWXEWXFUVRAUYSWXGVUCVJAUYSWWHUAVGVDZVEVFWXGAUYQUAWWRWXEWX
        FUVSAWXHUAWWHVEAUAVRVTZWQUAVLVMYEWXHUAXMZAUAVVNUWAUAUWIWFZYAYFYGYHAWWQW
        USWWLUAVEVFZVJVFWVJAWUSWWLUAWWTWXDWXEWXFUWBAWVIWXLWUSVJAWVIWVAWWKUAVEVF
        ZVCYQWXLAWVAWVHWXMVCWVRWVHWWJUAVEVFZWVGVJVFZWXMWVRWVFWXNWVGVJWVRWVFWWJW
        XHVEVFWXNWVRWVDUAWXAAUAXKVTZWVQWXEYMAUAWQXLZWVQWXFYMUVSWVRWXHUAWWJVEAWX
        JWVQWXKYMYAYFYGWVRWWJXKVTWVGXKVTWXPWXQYEZWXMWXOXMWVRWWJWXBWKWVRWVGWWDWK
        ZAWXRWVQAUAVVNXNYMWWJWVGUAXOXPYHUWCAWVAWWKUAVCWVPWXEWVRWWKWXCWKWXFUWDYH
        YAYHYDYFACYLZIVDVGVDZWXTVNVDZVJVFZVPWYBVEVFZVSWXTTVEVFYJVDZYKVFZWXTKYLZ
        VEVFZIVDZVGVDZWYGVNVDZVJVFZKYQZVJVFZVKVFZWXTVEVFZGVLVMWWOGVLVMCVSUWEWRV
        FZUAWXTUAXMZWYPWWOGVLWYRWYOWWNWXTUAVEWYRWYCWWIWYNWWMVKWYRWYAWWHWYBVUCVJ
        WXTUAVGIUWFWXTUAVNUWJZYDWYRWYDWUSWYMWWLVJWYRWYBVUCVPVEWYSYAWYRWYMWYFWXT
        WVBVEVFZIVDZVGVDZWVGVJVFZVCYQWWLWYFWYLXUCKVCWYGWVBXMZWYJXUBWYKWVGVJXUDW
        YIXUAVGXUDWYHWYTIWYGWVBWXTVEUWKYPYPWYGWVBVNUWJYDUWGWYRWYFWVAXUCWWKVCWYR
        WYEWUTVSYKWXTUATYJVEUWHYAWYRWVQYEZXUBWWJWVGVJXUEXUAWVDVGXUEWXTUAWVBIVEW
        YRWVQUWLUWMYPYGUWNXTYDYDWYRUWOYDUWPVBAWXIVUTUAWYQVTZWVLWVMVSVRVTVSUWQVT
        XUFWXIVUTYEUXSUWTVSUWRVSUAUWSUXAUXBUXCUXDAVUDWVJGVVSWWFVXJUXEUXFAWVJVUQ
        GWWFVXIVXJAVPWVIVJVFZVUCVEVFZWVJVUQVLAVPWVIVUCAUXGZAWVAWVHVCWVPWVRWVFWV
        GWVRWVFWWCWKZWXSYOZUXHZVXQAVUCWVNXSUVRAXUHVUQVLVMXUGVUQVUCVJVFZVLVMAXUG
        VUGVUCVJVFZVPVUHVUMVUCVPVIVFZVJVFZVJVFZVJVFZVKVFZXUMVLAXURXUNXUGAVWDXUQ
        VRVTZXURVRVTWPAVUHXUPVWNAVUMXUOVXEAVUCVVRUXIZWJWJZVPXUQYRXFZAVUGVUCVWCV
        VRWJZAVWDWVIVRVTXUGVRVTWPWWEVPWVIYRXFZAXURVPWVAJWVBVEVFZWVFVKVFZWVGVJVF
        ZVCYQZVJVFZXUNXUGVKVFZXVCAVPXVIVWEAWVAXVHVCWVPWVRXVGWVGWVRXVFWVFWVRJWVB
        AJVRVTZWVQVVTYMWVTUXJZWWCXHWWDWJYNZWJAXUNXUGXVDXVEXHAXUQXVIVLVMZXURXVJV
        LVMZABCDEFGHIJVCLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAUXKA
        XUTXVIVRVTVWDWQVPWAVMZXVOXVPUXSXVBXVNVWEXVQAUXLWNXUQXVIVPUXMUXNUXFAXVJV
        PWVAXVFWVGVJVFZVCYQZVJVFZXUGVKVFZXVKVLAXVJVPXVSWVIVKVFZVJVFXWAAXVIXWBVP
        VJAXVIWVAXVRWVHVKVFZVCYQXWBAWVAXVHXWCVCWVRXVFWVFWVGWVRXVFXVMWKXUJWXSXJU
        WCAWVAXVRWVHVCWVPWVRXVRWVRXVFWVGXVMWWDWJZWKXUKUXOYFYAAVPXVSWVIXUIAXVSAW
        VAXVRVCWVPXWDYNZWKXULUXTYFAXVTXUNXUGAVWDXVSVRVTXVTVRVTWPXWEVPXVSYRXFXVD
        XVEABCDEFGHIJVCLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAUXPUX
        QUXRYSUYAAXUMXUNVUPVUCVJVFZVKVFXUSAVUGVUPVUCAVUGVWCWKZAVUPVXHWKZVXQXJAX
        WFXURXUNVKAXWFVPVUOVUCVJVFZVJVFXURAVPVUOVUCXUIAVUOVXGWKZVXQYCAXWIXUQVPV
        JAXWIVUNVUCVUCVJVFZVJVFVUNXUOVJVFXUQAVUNVUCVUCVXPVXQVXQYCAXUOXWKVUNVJAV
        UCVXQUYHYAAVUHVUMXUOWUOAVUMVXDXIAXUOXVAWKYCYIYAYFYAYFUYBAXUGVUQVUCXVEVX
        IWVNUYCYTUXDUYDYSAVUGGVOVFZVUPVKVFZVXMVURVUEVLAXWMVXMVLVMXWLVXMVUPVOVFZ
        VLVMAVXLVVJVOVFZVXLVUOVOVFZXWLXWNVLAVVJVUOVXLAVVIGAXVLVWAVVIVRVTVVTWMJV
        HYRXDVXJWOVXGWUQAVVFVVHVVKAVUSVVEVVLVVMWSWSUYEAXWLVXLVVIVOVFZGVOVFXWOAV
        UGXWQGVOAJVUCVHVXOVXQAVHVWBWKZUYIYGAVXLVVIGAVXLWUQWKZAJVHVXOXWRYOAGUOXI
        ZUYFYFAXWNVXMVUOVUOVOVFZVOVFXWPAVUPXXAVXMVOAVUOXWJUYJYAAVXLVUOVUOXWSXWJ
        XWJUYGYFUYKAXWLVUPVXMAVUGGVWCVXJWOVXHWURUYLYTAVUGGVUPXWGXWTXWHUYMWUPUYN
        YSAUYSVUBVUCVVQAJVUAVVTAVUAAMUYTWUCAJVQVTVHWTVTUYTVQVTUIUYOJVHXBXDXCWLX
        HWVNUYPYT $.
    $}

    pntleme.U $e |- ( ph -> A. z e. ( Y [,) +oo )
      ( abs ` ( ( R ` z ) / z ) ) <_ U ) $.
    pntleme.K $e |- ( ph -> A. k e. ( K [,) +oo ) A. y e. ( X (,) +oo )
    E. z e. RR+ ( ( y < z /\ ( ( 1 + ( L x. E ) ) x. z ) < ( k x. y ) ) /\
        A. u e. ( z [,] ( ( 1 + ( L x. E ) ) x. z ) )
          ( abs ` ( ( R ` u ) / u ) ) <_ E ) ) $.
    pntleme.C $e |- ( ph -> A. z e. ( 1 (,) +oo )
  ( ( ( ( abs ` ( R ` z ) ) x. ( log ` z ) ) -
      ( ( 2 / ( log ` z ) ) x. sum_ i e. ( 1 ... ( |_ ` ( z / Y ) ) )
           ( ( abs ` ( R ` ( z / i ) ) ) x. ( log ` i ) ) ) ) / z ) <_ C ) $.
    $( Lemma for ~ pnt .  Package up ~ pntlemo in quantifiers.  (Contributed by
       Mario Carneiro, 14-Apr-2016.) $)
    pntleme $p |- ( ph -> E. w e. RR+ A. v e. ( w [,) +oo )
      ( abs ` ( ( R ` v ) / v ) ) <_ ( U - ( F x. ( U ^ 3 ) ) ) ) $=
      ( crp wcel cv cfv cdiv co cabs cexp cmul cmin cle wbr cpnf cico wral wrex
      c3 pntlema wa clog cfl c1 caddc adantr cc0 cioo clt simpr eqid cicc oveq1
      c2 wceq breq2d anbi2d anbi1d rexbidv ralbidv cxr w3a pntlemc simp2d rpxrd
      pnfxr a1i ltpnfd lbico1 syl3anc rspcdva cfz csu pntlemo ralrimiva raleqdv
      rpred rspcev syl2anc ) ASUTVAEVBZKVCXQVDVEVFVCLPLVPVGVEVHVEVIVEVJVKZESVLV
      MVEZVNZXREDVBZVLVMVEZVNZDUTVOAGHIJKLOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOU
      PVQAXREXSAXQXSVAZVRBCFGHIJKLMOPQRTVSVCQVSVCZVDVEVTVCWAWBVEZXQVSVCYEVDVEWK
      VDVEVTVCZSTUAXQUBUCAGUTVAYDUDWCAHUTVAYDUEWCARWDWAWEVEZVAYDUFWCUGUHALUTVAY
      DUIWCALGVJVKYDUJWCUKULAUAUTVAWAUAVJVKVRYDUMWCATUTVAUATWFVKVRYDUNWCAIUTVAY
      DUOWCUPAYDWGYFWHYGWHACVBZKVCZYIVDVEVFVCLVJVKCUAVLVMVEVNYDUQWCABVBZYIWFVKZ
      WAROVHVEWBVEYIVHVEZQYKVHVEZWFVKZVRZFVBZKVCYQVDVEVFVCOVJVKFYIYMWIVEVNZVRZC
      UTVOZBTVLWEVEZVNZYDAYLYMNVBZYKVHVEZWFVKZVRZYRVRZCUTVOZBUUAVNUUBNQVLVMVEZQ
      UUCQWLZUUHYTBUUAUUJUUGYSCUTUUJUUFYPYRUUJUUEYOYLUUJUUDYNYMWFUUCQYKVHWJWMWN
      WOWPWQURAQWRVAVLWRVAZQVLWFVKQUUIVAAQAOUTVAQUTVAOYHVAWAQWFVKLOVIVEUTVAWSAG
      HJKLOPQRUBUCUDUEUFUGUHUIUJUKULWTXAZXBUUKAXCXDAQAQUULXNXEQVLXFXGXHWCAYJVFV
      CYIVSVCZVHVEWKUUMVDVEWAYIUAVDVEVTVCXIVEYIMVBZVDVEKVCVFVCUUNVSVCVHVEMXJVHV
      EVIVEYIVDVEIVJVKCWAVLWEVEVNYDUSWCXKXLYCXTDSUTYASWLXREYBXSYASVLVMWJXMXOXP
      $.
  $}

  ${
    $d r s t v w x y z A $.  $d a e k u v w x y z D $.  $d c r s t v w y z F $.
    $d p s u C $.  $d c e k t v w x y z K $.  $d c e k n r s t u v w x y z R $.
    $d a c e k t u v w x y z E $.  $d p s u w x T $.  $d a c k n t v w y z Y $.
    $d a r s $.  $d c e k t u v w x y z L $.  $d c p r s t v w x y ph $.
    $d e k v w x y z B $.  $d c t v w z U $.
    pntlem3.r $e |- R = ( a e. RR+ |-> ( ( psi ` a ) - a ) ) $.
    pntlem3.a $e |- ( ph -> A e. RR+ ) $.
    pntlem3.A $e |- ( ph -> A. x e. RR+ ( abs ` ( ( R ` x ) / x ) ) <_ A ) $.
    ${
      $d u z ph $.
      pntlem3.1 $e |- T = { t e. ( 0 [,] A ) | E. y e. RR+
        A. z e. ( y [,) +oo ) ( abs ` ( ( R ` z ) / z ) ) <_ t } $.
      pntlem3.2 $e |- ( ph -> C e. RR+ ) $.
      pntlem3.3 $e |- ( ( ph /\ u e. T ) ->
        ( u - ( C x. ( u ^ 3 ) ) ) e. T ) $.
      $( Lemma for ~ pnt .  Equation 10.6.35 in [Shapiro], p. 436.
         (Contributed by Mario Carneiro, 8-Apr-2016.)  (Proof shortened by AV,
         27-Sep-2020.) $)
      pntlem3 $p |- ( ph -> ( x e. RR+ |-> ( ( psi ` x ) / x ) ) ~~>r 1 ) $=
        ( co wbr wcel vs vp vw crp cv cchp cfv cdiv cmpt crli cle cmin cabs clt
        c1 wi wral cr wrex wss wa rpssre cpnf cico wn cicc cinf cc c3 cexp cmul
        cc0 ccncf ccnfld ctopn eqid ctx ccn subcn ssid cncfmptid adantr syl3anc
        a1i mp2an 3nn0 mp1i wne 0re rpred sylancr cxr mp3an2i weq fveq2 oveq12d
        id fveq2d breq1d 1re elicopnf ltletrd ralrimiva wceq oveq1 rspcev breq2
        wb raleqi ralrab2 bitri sylibr recnd sylancl ad2antrr adantl ltnled syl
        caddc ad3antrrr resubcld infrelb absdifltd mpand ad2antlr abscld mpan2d
        rpre syld oveq2d ovex fvmpt remulcld sylbid infregelb syl31anc ad2antll
        sylbird mtod mpbird rpcnd cn0 expcn cncfcn1 eleqtrrdi mulcncf cncfmpt2f
        cncfmptc c0 ssrab3 iccssre sstrid 0xr rpxrd rpge0d ubicc2 simprbda 0red
        1rp 0lt1 simplbda elrpd rspcdva raleqdv rexralbidv elrab2 sylanbrc ne0d
        w3a elicc2 biimpa simp2d a1d crab breq1 ralbidv infrecl cz elrp biimpri
        sylan 3z rpexpcl rpmulcld cncfi c2 rphalfcl ltaddrpd readdcld ax-resscn
        mpbid sstrdi ssralv sselda ltsubrpd simpr biimprd rphalflt lttr reexpcl
        con1d reexpcld npcand ad4ant14 lensymd pm2.21d adantld ralimdva sylibrd
        breq2d jad nrexdv pm2.65da bitrdi rpgt0 ltletr rexanali cbvralvw simprl
        simplr pntrval oveq1d chpcl rpcn rpne0 divsubdird dividd 3eqtrrd simprr
        mpbir2and simplrl sseldd simp-4r rerpdivcl mpancom resubcl lelttr exp32
        embantd ralimdv2 syl5bi reximdva anassrs impancom expimpd rexlimdva mpd
        com24 ssrexv mpsyl rgen 1cnd rlim2 ) ABUDBUEZUFUGZVUNUHRZUIUOUJSCUEZVUN
        UKSZVUPUOULRZUMUGZUAUEZUNSZUPZBUDUQZCURUSZUAUDUQAVVEUAUDUDURUTZAVVAUDTZ
        VAZVVDCUDUSZVVEVBVVHDUEZIUGZVVJUHRZUMUGZFUEZUKSZDVUQVCVDRZUQZCUDUSZVVAV
        VNUKSZVEZVAZFVLGVFRZUSZVVIVVHVVRVVSUPFVWBUQZVEVWCVVHVWDVLJURUNVGZUNSZAV
        WFVEVVGAVWFEUEZVWEULRZUMUGZVVAUNSZVWGUBVHUBUEZHVWKVIVJRZVKRZULRZUIZUGZV
        WEVWOUGZULRZUMUGZHVWEVIVJRZVKRZUNSZUPZEVHUQZUAUDUSZAVWFVAZVWOVHVHVMRZTV
        WEVHTZVXAUDTVXEVXFUBVWKVWMULVNVOUGZVHVXIVPZULVXIVXIVQRVXIVRRTVXFVXIVXJV
        SWDUBVHVWKUIVXGTZVXFVHVHUTZVXLVXKVHVTZVXMUBVHVHWAWEWDVXFUBHVWLVHVXFHVHT
        VXLVXLUBVHHUIVXGTVXFHAHUDTVWFPWBZUUAVXLVXFVXMWDZVXOUBHVHVHUUHWCVXFUBVHV
        WLUIZVXIVXIVRRZVXGVIUUBTZVXPVXQTVXFWFUBVXIVIVXJUUCWGVXIVXJUUDUUEUUFUUGA
        VXHVWFAVWEAJURUTZJUUIWHZVUNUCUEZUKSZUCJUQZBURUSZVWEURTZAJVWBURVVRFVWBJO
        UUJAVLURTZGURTZVWBURUTZWIAGMWJZVLGUUKWKZUULZAJGAGVWBTZVVMGUKSZDVVPUQZCU
        DUSZGJTVLWLTAGWLTVLGUKSVYLUUMAGMUUNAGMUUOVLGUUPWMAUOUDTVYMDUOVCVDRZUQZV
        YOUUSAVYMDVYPAVVJVYPTZVAZVUNIUGZVUNUHRZUMUGZGUKSZVYMBUDVVJBDWNZWUBVVMGU
        KWUDWUAVVLUMWUDVYTVVKVUNVVJUHVUNVVJIWOWUDWQWPWRWSAWUCBUDUQVYRNWBVYSVVJA
        VYRVVJURTZUOVVJUKSZUOURTZVYRWUEWUFVAXHAWTUOVVJXAWGZUUQZVYSVLUOVVJVYSUUR
        WUGVYSWTWDWUIVLUOUNSVYSUUTWDAVYRWUEWUFWUHUVAXBUVBUVCXCVYNVYQCUOUDVUQUOX
        DVYMDVVPVYPVUQUOVCVDXEUVDXFWKVVRVYOFGVWBJVVNGXDVVOVYMCDUDVVPVVNGVVMUKXG
        UVEOUVFUVGUVHZAVYFVLVYAUKSZUCJUQZVYDWIAVVRVLVVNUKSZUPZFVWBUQZWULAWUNFVW
        BAVVNVWBTZVAZWUMVVRWUQVVNURTZWUMVVNGUKSZAWUPWURWUMWUSUVIZAVYFVYGWUPWUTX
        HWIVYIVLGVVNUVJWKUVKUVLUVMXCWULWUKUCVVRFVWBUVNZUQWUOWUKUCJWVAOXIVVRWUKW
        UMUCFVWBVYAVVNVLUKXGXJXKXLVYCWULBVLURVUNVLXDVYBWUKUCJVUNVLVYAUKUVOUVPXF
        WKZBUCJUVQWCZXMWBZVXFHVWTVXNVXFVWEUDTZVIUVRTVWTUDTAVYEVWFWVEWVCWVEVYEVW
        FVAVWEUVSUVTUWAUWBVWEVIUWCXNUWDUAEVHVHVWEVXAVWOUWEWCVXFVXDUAUDVXFVVGVAZ
        VXDVWEVVAUWFUHRZXSRZVWEUKSZWVFVWEWVHUNSWVIVEWVFVWEWVGAVYEVWFVVGWVCXOZVV
        GWVGUDTVXFVVAUWGXPZUWHWVFVWEWVHWVJWVFVWEWVGWVJWVFWVGWVKWJZUWIZXQUWKWVFV
        XDVXCEJUQZWVIWVFJVHUTZVXDWVNUPAWVOVWFVVGAJURVHVYKUWJUWLXOVXCEJVHUWMXRWV
        FWVNWVHVWGUKSZEJUQZWVIWVFVXCWVPEJWVFVWGJTZVAZVWJVXBWVPWVSWVPVWJWVSWVPVE
        VWGWVHUNSZVWJWVSVWGWVHWVFJURVWGAVXSVWFVVGVYKXOZUWNZWVFWVHURTZWVRWVMWBXQ
        WVSWVTVWIWVGUNSZVWJWVSVWEWVGULRZVWGUNSZWVTWWDWVSWWEVWEVWGWVSVWEWVGAVYEV
        WFVVGWVRWVCXTZWVFWVGURTZWVRWVLWBZYAWWGWWBWVFWWEVWEUNSWVRWVFVWEWVGWVJWVK
        UWOWBWVSVXSVYDWVRVWEVWGUKSAVXSVWFVVGWVRVYKXTZAVYDVWFVVGWVRWVBXTZWVFWVRU
        WPBUCVWGJYBWCXBWVSWWDWWFWVTVAWVSVWGVWEWVGWWBWWGWWIYCUWQYDWVSWWDWVGVVAUN
        SZVWJVVGWWLVXFWVRVVAUWRYEWVSVWIURTWWHVVAURTZWWDWWLVAVWJUPWVSVWHWVSVWHWV
        SVWGVWEWWBWWGYAXMYFWWIVVGWWMVXFWVRVVAYHZYEVWIWVGVVAUWSWCYGYIYRUXAWVSVXB
        VWGHVWGVIVJRZVKRZULRZVWEVXAULRZULRZUMUGZVXAUNSZWVPWVSVWSWWTVXAUNWVSVWRW
        WSUMWVSVWPWWQVWQWWRULWVSVWGVHTVWPWWQXDWVSVWGWWBXMUBVWGVWNWWQVHVWOUBEWNZ
        VWKVWGVWMWWPULWXBWQWXBVWLWWOHVKVWKVWGVIVJXEYJWPVWOVPZVWGWWPULYKYLXRWVSV
        XHVWQWWRXDVXFVXHVVGWVRWVDXOZUBVWEVWNWWRVHVWOVWKVWEXDZVWKVWEVWMVXAULWXEW
        QWXEVWLVWTHVKVWKVWEVIVJXEYJWPWXCVWEVXAULYKYLXRWPWRWSWVSWXAWWRVXAULRWWQU
        NSZWWQWWRVXAXSRZUNSZVAWVPWVSWWQWWRVXAWVSVWGWWPWWBWVSHWWOAHURTVWFVVGWVRA
        HPWJXTZWVSVWGURTVXRWWOURTWWBWFVWGVIUWTXNYMYAZWVSVWEVXAWWGWVSHVWTWXIWVSV
        WEVIWWGVXRWVSWFWDUXBYMZYAWXKYCWVSWXHWVPWXFWVSWXHWWQVWEUNSZWVPWVSWXGVWEW
        WQUNWVSVWEVXAWXDWVSVXAWXKXMUXCUXJWVSWXLWVPWVSVWEWWQWWGWXJWVSVXSVYDWWQJT
        ZVWEWWQUKSWWJWWKAWVRWXMVWFVVGQUXDBUCWWQJYBWCUXEUXFYNUXGYNYNUXKUXHWVFVXS
        VXTVYDWWCWVIWVQXHWWAAVXTVWFVVGWUJXOAVYDVWFVVGWVBXOWVMBUCEJWVHYOYPUXIYIY
        SUXLUXMWBVVHVWDVVAVWEUKSZVWFVVHWXNVVAVYAUKSZUCJUQZVWDVVHVXSVXTVYDWWMWXN
        WXPXHAVXSVVGVYKWBAVXTVVGWUJWBAVYDVVGWVBWBVVGWWMAWWNXPZBUCUCJVVAYOYPWXPW
        XOUCWVAUQVWDWXOUCJWVAOXIVVRWXOVVSUCFVWBVYAVVNVVAUKXGXJXKUXNVVHVLVVAUNSZ
        WXNVWFVVGWXRAVVAUXOXPVYFVVHWWMVYEWXRWXNVAVWFUPWIWXQAVYEVVGWVCWBVLVVAVWE
        UXPWMYDYRYSVVRVVSFVWBUXQXLVVHVWAVVIFVWBVVHWUPVAZVVRVVTVVIWXSVVTVVRVVIVV
        HWUPVVTVVRVVIUPVVHWUPVVTVAZVAZVVQVVDCUDVVQWUBVVNUKSZBVVPUQWYAVUQUDTZVAZ
        VVDVVOWYBDBVVPDBWNZVVMWUBVVNUKWYEVVLWUAUMWYEVVKVYTVVJVUNUHVVJVUNIWOWYEW
        QWPWRWSUXRWYDWYBVVCBVVPUDWYDVURVUNUDTZVUNVVPTZWYBUPZVVBWYDVURWYFWYHVVBU
        PWYDVURWYFVAZVAZWYGWYBVVBWYJWYGVUNURTZVURWYFWYKWYDVURVUNYHZYQZWYDVURWYF
        UXSWYJVUQURTWYGWYKVURVAXHWYJVUQWYAWYCWYIUXTWJVUQVUNXAXRUYJWYJWYBVUTVVNU
        KSZVVBWYJVUTWUBVVNUKWYJVUSWUAUMWYJWUAVUOVUNULRZVUNUHRVUPVUNVUNUHRZULRVU
        SWYJVYTWYOVUNUHWYFVYTWYOXDWYDVURVUNIKLUYAYQUYBWYJVUOVUNVUNWYJVUOWYJWYKV
        UOURTZWYMVUNUYCZXRXMWYFVUNVHTWYDVURVUNUYDYQZWYSWYFVUNVLWHWYDVURVUNUYEYQ
        ZUYFWYJWYPUOVUPULWYJVUNWYSWYTUYGYJUYHWRWSWYJWYNVVNVVAUNSZVVBWYJXUAVVTWY
        AVVTWYCWYIVVHWUPVVTUYIXOWYJVVNVVAWYJVWBURVVNWYAVYHWYCWYIAVYHVVGWXTVYJXO
        XOWYDWUPWYIVVHWUPVVTWYCUYKWBUYLZWYJVVAAVVGWXTWYCWYIUYMWJZXQYTWYJVUTURTW
        URWWMWYNXUAVAVVBUPWYJVUSWYJVUSWYJVUPURTZWUGVUSURTWYFXUDWYDVURWYQWYFXUDW
        YFWYKWYQWYLWYRXRVUOVUNUYNUYOZYQWTVUPUOUYPXNXMYFXUBXUCVUTVVNVVAUYQWCYGYR
        UYSUYRVUHUYTVUAVUBVUCVUDVUEVUFVUGVVDCUDURVUIVUJXCAUACBUDVUPUOVUPVHTZBUD
        UQAXUFBUDWYFVUPXUEXMVUKWDVVFAVBWDAVULVUMYT $.
    $}

    pntlemp.b $e |- ( ph -> B e. RR+ ) $.
    pntlemp.l $e |- ( ph -> L e. ( 0 (,) 1 ) ) $.
    pntlemp.d $e |- D = ( A + 1 ) $.
    pntlemp.f $e |- F = ( ( 1 - ( 1 / D ) ) x.
      ( ( L / ( ; 3 2 x. B ) ) / ( D ^ 2 ) ) ) $.
    pntlemp.K $e |- ( ph -> A. e e. ( 0 (,) 1 ) E. x e. RR+
    A. k e. ( ( exp ` ( B / e ) ) [,) +oo ) A. y e. ( x (,) +oo )
    E. z e. RR+ ( ( y < z /\ ( ( 1 + ( L x. e ) ) x. z ) < ( k x. y ) ) /\
        A. u e. ( z [,] ( ( 1 + ( L x. e ) ) x. z ) )
          ( abs ` ( ( R ` u ) / u ) ) <_ e ) ) $.
    ${
      pntlemp.u $e |- ( ph -> U e. RR+ ) $.
      pntlemp.u2 $e |- ( ph -> U <_ A ) $.
      pntlemp.e $e |- E = ( U / D ) $.
      pntlemp.k $e |- K = ( exp ` ( B / E ) ) $.
      pntlemp.y $e |- ( ph -> ( Y e. RR+ /\ 1 <_ Y ) ) $.
      pntlemp.U $e |- ( ph -> A. z e. ( Y [,) +oo )
        ( abs ` ( ( R ` z ) / z ) ) <_ U ) $.
      $( Lemma for ~ pnt .  Wrapping up more quantifiers.  (Contributed by
         Mario Carneiro, 14-Apr-2016.) $)
      pntlemp $p |- ( ph -> E. w e. RR+ A. v e. ( w [,) +oo )
        ( abs ` ( ( R ` v ) / v ) ) <_ ( U - ( F x. ( U ^ 3 ) ) ) ) $=
        ( vt vn vc cv clt wbr c1 cmul co caddc cfv cdiv cabs cle cicc wral wrex
        wa crp cpnf cioo cico clog c2 cfl cfz csu cmin c3 cexp cc0 oveq2 fveq2d
        ce eqtr4di oveq1d oveq2d breq1d breq2 raleqbidv anbi12d rexbidv ralbidv
        wceq anbi2d oveq1 raleqdv cbvrexvw bitrdi pntlemc simp3d simp1d rspcdva
        wcel w3a cr simpld rpred simprd pntrlog2bnd syl2anc reeanv c4 cdc simpl
        adantr rpaddcl syl2an ltaddrp jca adantrr simprlr eqid wss cxr ad2antrl
        rpxr rpre ltaddrp2d ltled iooss1 simprrl ssralv ralimdv sylc simprrr
        pntleme expr rexlimdvva syl5bir mp2and ) ACURZDURZUSUTZVAROVBVCZVDVCZUU
        GVBVCZNURUUFVBVCZUSUTZVLZGURZKVEUUOVFVCVGVEZOVHUTZGUUGUUKVIVCZVJZVLZDVM
        VKZCUOURZVNVOVCZVJZNQVNVPVCZVJZUOVMVKZUUGKVEZVGVEUUGVQVEZVBVCVRUVIVFVCV
        AUUGSVFVCVSVEVTVCUUGUPURZVFVCKVEVGVEUVJVQVEVBVCUPWAVBVCWBVCUUGVFVCUQURZ
        VHUTDVAVNVOVCVJZUQVMVKZFURZKVEUVNVFVCVGVELPLWCWDVCVBVCWBVCVHUTFEURVNVPV
        CVJEVMVKZAUUHVARMURZVBVCZVDVCZUUGVBVCZUULUSUTZVLZUUPUVPVHUTZGUUGUVSVIVC
        ZVJZVLZDVMVKZCBURZVNVOVCZVJZNIUVPVFVCZWHVEZVNVPVCZVJZBVMVKZUVGMWEVAVOVC
        ZOUVPOWRZUWNUVACUWHVJZNUVEVJZBVMVKUVGUWPUWMUWRBVMUWPUWIUWQNUWLUVEUWPUWK
        QVNVPUWPUWKIOVFVCZWHVEQUWPUWJUWSWHUVPOIVFWFWGULWIWJUWPUWFUVACUWHUWPUWEU
        UTDVMUWPUWAUUNUWDUUSUWPUVTUUMUUHUWPUVSUUKUULUSUWPUVRUUJUUGVBUWPUVQUUIVA
        VDUVPORVBWFWKWJZWLWSUWPUWBUUQGUWCUURUWPUVSUUKUUGVIUWTWKUVPOUUPVHWMWNWOW
        PWQWNWPUWRUVFBUOVMUWGUVBWRZUWQUVDNUVEUXAUVACUWHUVCUWGUVBVNVOWTXAWQXBXCU
        HAOUWOXHZVAQUSUTZLOWBVCZVMXHZAOVMXHQVMXHUXBUXCUXEXIAHIJKLOPQRTUAUBUDUEU
        FUGUIUJUKULXDXEXFXGASXJXHZVASVHUTZUVMASASVMXHZUXGUMXKZXLZAUXHUXGUMXMDSK
        UPTUQUAXNXOUVGUVMVLUVFUVLVLZUQVMVKUOVMVKAUVOUVFUVLUOUQVMVMXPAUXKUVOUOUQ
        VMVMAUVBVMXHZUVKVMXHZVLZUXKUVOAUXNUXKVLZVLZCDEFGHIUVKJKLUPNOPQRSXQUUIVF
        VCVDVCVRWDVCSUVBVDVCZQVRWDVCVBVCXQWDVCWCVRXRIVBVCUXDROVRWDVCVBVCVBVCVFV
        CLWCVBVCUVKVDVCVBVCWHVEVDVCVDVCZUXQSTUAAHVMXHUXOUBXTAIVMXHUXOUDXTARUWOX
        HUXOUEXTUFUGALVMXHUXOUIXTALHVHUTUXOUJXTUKULAUXHUXGVLUXOUMXTAUXNUXQVMXHZ
        SUXQUSUTZVLUXKAUXNVLZUXSUXTAUXHUXLUXSUXNUXIUXLUXMXSZSUVBYAYBZAUXFUXLUXT
        UXNUXJUYBSUVBYCYBYDYEAUXLUXMUXKYFUXRYGAUVHUUGVFVCVGVELVHUTDSVNVPVCVJUXO
        UNXTUXPUXQVNVOVCZUVCYHZUVFUVACUYDVJZNUVEVJAUXNUYEUXKUYAUVBYIXHZUVBUXQVH
        UTUYEUXLUYGAUXMUVBYKYJUYAUVBUXQUXLUVBXJXHAUXMUVBYLYJZUYAUXQUYCXLUYAUVBS
        UYHAUXHUXNUXIXTYMYNUVBUXQVNYOXOYEAUXNUVFUVLYPUYEUVDUYFNUVEUVACUYDUVCYQY
        RYSAUXNUVFUVLYTUUAUUBUUCUUDUUE $.
    $}

    $d z ph $.
    $( Lemma for ~ pnt .  Equation 10.6.35 in [Shapiro], p. 436.  (Contributed
       by Mario Carneiro, 14-Apr-2016.) $)
    pntleml $p |- ( ph -> ( x e. RR+ |-> ( ( psi ` x ) / x ) ) ~~>r 1 ) $=
      ( vr vt vv vw vs cv cfv cdiv co cabs cle wbr cpnf cico wral crp wrex cicc
      cc0 crab eqid wcel pntlemd simp3d wa c3 cexp cmul cmin 0m0e0 simpr oveq1d
      wceq cn 3nn 0exp ax-mp eqtrdi oveq2d rpcnd ad2antrr eqtrd oveq12d 3eqtr4a
      mul01d simplr eqeltrd wne wi weq oveq1 raleqdv cbvrexvw cr w3a simplrr wb
      rpred elicc2 sylancr mpbid simp1d cz simp2d simplrl ne0gt0d elrpd rpexpcl
      0re 3z sylancl rpmulcld resubcld ce c1 cioo clt simprl 1rp rpaddcl rpge0d
      caddc 1re addge02 jca wss rpxrd lep1d adantl fveq2 id fveq2d breq1d breq2
      cxr syl rexralbidv elrab df-ico xrletr ixxss1 syl2anc simprr sylc pntlemp
      ssralv rpre leidd elicopnf mpbir2and rspcv pntrf ffvelrni rerpdivcl recnd
      mpancom absge0d abscld adantr letr mp3an2i mpand syld rexlimdva mpd letrd
      subge02d mpbir3and syl5bi anassrs expimpd cbvralvw syl5bb bitr4di 3imtr4g
      rexlimdvaa imp an32s pm2.61dane pntlem3 ) ABCDUCUDFLIDUHZIUIZUWCUJUKZULUI
      ZUDUHZUMUNZDCUHZUOUPUKZUQCURUSZUDVAFUTUKZVBZNOPQUWMVCAMURVDHURVDLURVDZAFG
      HILMNOPRSTUAVEVFZAUCUHZUWMVDZVGZUWPLUWPVHVIUKZVJUKZVKUKZUWMVDZUWPVAUWRUWP
      VAVOZVGZUXAUWPUWMUXDVAVAVKUKVAUXAUWPVLUXDUWPVAUWTVAVKUWRUXCVMZUXDUWTLVAVJ
      UKZVAUXDUWSVALVJUXDUWSVAVHVIUKZVAUXDUWPVAVHVIUXEVNVHVPVDUXGVAVOVQVHVRVSVT
      WAAUXFVAVOUWQUXCALALUWOWBWGWCWDWEUXEWFAUWQUXCWHWIAUWPVAWJZUWQUXBAUXHVGZUW
      QUXBUXIUWPUWLVDZUWFUWPUMUNZDUWJUQZCURUSZVGUXAUWLVDZUEUHZIUIZUXOUJUKZULUIZ
      UXAUMUNZUEUFUHZUOUPUKZUQZUFURUSZVGZUWQUXBUXIUXJUXMUYDAUXHUXJUXMUYDWKUXMUX
      KDUGUHZUOUPUKZUQZUGURUSAUXHUXJVGZVGZUYDUXLUYGCUGURCUGWLUXKDUWJUYFUWIUYEUO
      UPWMWNWOUYIUYGUYDUGURUYIUYEURVDZUYGVGZVGZUXNUYCUYLUXNUXAWPVDZVAUXAUMUNZUX
      AFUMUNZUYLUWPUWTUYLUWPWPVDZVAUWPUMUNZUWPFUMUNZUYLUXJUYPUYQUYRWQZAUXHUXJUY
      KWRUYLVAWPVDZFWPVDZUXJUYSWSXKUYLFAFURVDUYHUYKPWCZWTZVAFUWPXAXBXCZXDZUYLUW
      TUYLLUWSAUWNUYHUYKUWOWCUYLUWPURVDVHXEVDUWSURVDUYLUWPVUEUYLUWPVUEUYLUYPUYQ
      UYRVUDXFAUXHUXJUYKXGXHXIZXLUWPVHXJXMXNZWTZXOZUYLUYCUYNUYLBCDUFUEEFGHIUWPJ
      KUWPHUJUKZLGVUJUJUKXPUIZMUYEXQYDUKZNOVUBABUHZIUIVUMUJUKULUIFUMUNBURUQUYHU
      YKQWCAGURVDUYHUYKRWCAMVAXQXRUKZVDUYHUYKSWCTUAAUWIUWCXSUNXQMJUHZVJUKYDUKUW
      CVJUKZKUHUWIVJUKXSUNVGEUHZIUIVUQUJUKULUIVUOUMUNEUWCVUPUTUKUQVGDURUSCVUMUO
      XRUKUQKGVUOUJUKXPUIUOUPUKUQBURUSJVUNUQUYHUYKUBWCVUFUYLUYPUYQUYRVUDVFZVUJV
      CVUKVCUYLVULURVDZXQVULUMUNZUYLUYJXQURVDVUSUYIUYJUYGXTZYAUYEXQYBXMUYLVAUYE
      UMUNZVUTUYLUYEVVAYCUYLXQWPVDUYEWPVDVVBVUTWSYEUYLUYEVVAWTZXQUYEYFXBXCYGUYL
      VULUOUPUKZUYFYHZUYGUXKDVVDUQUYLUYEYQVDUYEVULUMUNVVEUYLUYEVVAYIUYLUYEVVCYJ
      UDUCUFUEUYEVULUOUPUMXSUMUPUMUDUCUFUUAZVVFUYEVULUXOUUBUUCUUDUYIUYJUYGUUEUX
      KDVVDUYFUUHUUFUUGZUYLUYBUYNUFURUYLUXTURVDZVGZUYBUXTIUIZUXTUJUKZULUIZUXAUM
      UNZUYNVVIUXTUYAVDZUYBVVMWKVVIVVNUXTWPVDZUXTUXTUMUNZVVHVVOUYLUXTUUIYKZVVIU
      XTVVQUUJVVIVVOVVNVVOVVPVGWSVVQUXTUXTUUKYRUULUXSVVMUEUXTUYAUEUFWLZUXRVVLUX
      AUMVVRUXQVVKULVVRUXPVVJUXOUXTUJUXOUXTIYLVVRYMWEYNYOUUMYRVVIVAVVLUMUNZVVMU
      YNVVIVVKVVIVVKVVHVVKWPVDZUYLVVJWPVDVVHVVTURWPUXTIINOUUNUUOVVJUXTUUPUURYKU
      UQZUUSUYTVVIVVLWPVDUYMVVSVVMVGUYNWKXKVVIVVKVWAUUTUYLUYMVVHVUIUVAVAVVLUXAU
      VBUVCUVDUVEUVFUVGUYLUXAUWPFVUIVUEVUCUYLVAUWTUMUNUXAUWPUMUNUYLUWTVUGYCUYLU
      WPUWTVUEVUHUVIXCVURUVHUYLUYTVUAUXNUYMUYNUYOWQWSXKVUCVAFUXAXAXBUVJVVGYGUVR
      UVKUVLUVMUWKUXMUDUWPUWLUDUCWLUWHUXKCDURUWJUWGUWPUWFUMYPYSYTUWKUYCUDUXAUWL
      UWGUXAVOZUWKUWFUXAUMUNZDUWJUQZCURUSUYCVWBUWHVWCCDURUWJUWGUXAUWFUMYPYSUYBV
      WDUFCURUYBVWCDUYAUQUFCWLZVWDUXSVWCUEDUYAUEDWLZUXRUWFUXAUMVWFUXQUWEULVWFUX
      PUWDUXOUWCUJUXOUWCIYLVWFYMWEYNYOUVNVWEVWCDUYAUWJUXTUWIUOUPWMWNUVOWOUVPYTU
      VQUVSUVTUWAUWB $.
  $}

  ${
    $d a b c e f g k l r u w x y z $.
    $( The Prime Number Theorem, version 3: the second Chebyshev function tends
       asymptotically to ` x ` .  (Contributed by Mario Carneiro,
       1-Jun-2016.) $)
    pnt3 $p |- ( x e. RR+ |-> ( ( psi ` x ) / x ) ) ~~>r 1 $=
      ( vr va ve vk vu vf vg cv crp cfv co cdiv wbr wral wrex c1 wa clt cmul vb
      vy vz vl vc cchp cmin cmpt cabs cle crli eqid pntrmax wcel cicc cpnf cioo
      caddc ce cico cc0 pntibnd c3 c2 cdc cexp simpll simplr weq oveq12d fveq2d
      fveq2 id breq1d cbvralvw sylib simprll simprlr simprr breq2 oveq2 anbi12d
      raleqdv cbvrexvw breq1 breq2d anbi1d rexbidv syl5bb oveq1 ralbidv pntleml
      ralbii expr rexlimdvva mpi rexlimiva ax-mp ) BIZCJCIZUFKWTUGLUHZKZWSMLZUI
      KZUAIZUJNZBJOZUAJPAJAIZUFKXHMLUHQUKNZBXACUAXAULZUMXGXIUAJXEJUNZXGRZUBIZUC
      IZSNZQUDIZDIZTLURLZXNTLZEIZXMTLZSNZRZFIZXAKYDMLUIKXQUJNZFXNXSUOLZOZRZUCJP
      ZUBWSUPUQLZOZEUEIZXQMLUSKUPUTLZOZBJPZDVAQUQLZOZUDYPPUEJPXIBUBUCFXADECUEUD
      XJVBXLYQXIUEUDJYPXLYLJUNZXPYPUNZRZYQXIXLYTYQRZRZAGHFXEYLXEQURLZXADEQQUUCM
      LUGLXPVCVDVEYLTLMLUUCVDVFLMLTLZXPCXJXKXGUUAVGUUBXGXHXAKZXHMLZUIKZXEUJNZAJ
      OXKXGUUAVHXFUUHBAJBAVIZXDUUGXEUJUUIXCUUFUIUUIXBUUEWSXHMWSXHXAVLUUIVMVJVKV
      NVOVPXLYRYSYQVQXLYRYSYQVRUUCULUUDULUUBYQGIZHIZSNZXRUUKTLZXTUUJTLZSNZRZYEF
      UUKUUMUOLZOZRZHJPZGXHUPUQLZOZEYMOZAJPZDYPOXLYTYQVSYOUVDDYPYNUVCBAJUUIYKUV
      BEYMYKUUTGYJOUUIUVBYIUUTUBGYJYIXMUUKSNZUUMYASNZRZUURRZHJPUBGVIZUUTYHUVHUC
      HJUCHVIZYCUVGYGUURUVJXOUVEYBUVFXNUUKXMSVTUVJXSUUMYASXNUUKXRTWAZVNWBUVJYEF
      YFUUQUVJXNUUKXSUUMUOUVJVMUVKVJWCWBWDUVIUVHUUSHJUVIUVGUUPUURUVIUVEUULUVFUU
      OXMUUJUUKSWEUVIYAUUNUUMSXMUUJXTTWAWFWBWGWHWIVOUUIUUTGYJUVAWSXHUPUQWJWCWIW
      KWDWMVPWLWNWOWPWQWR $.

    $( The Prime Number Theorem, version 2: the first Chebyshev function tends
       asymptotically to ` x ` .  (Contributed by Mario Carneiro,
       1-Jun-2016.) $)
    pnt2 $p |- ( x e. RR+ |-> ( ( theta ` x ) / x ) ) ~~>r 1 $=
      ( crp cdiv co cmpt c1 crli wbr wtru c2 cr wa 2re cc0 a1i wne cc syl recnd
      wcel cv ccht cfv cpnf cico cres cchp elicopnf ax-mp chprpcl sylbi simplbi
      cle 0red clt 2pos simprbi ltletrd elrpd rpdivcld adantl chtrpcl wss ssriv
      wb pnt3 rlimres2 chpchtlim ax-1ne0 rpne0d rlimdiv cmul wceq rpre rpcnne0d
      chpcl divdivdiv mulcomd oveq2d chtcl divcan5 syl3anc 3eqtrd resmpt eqtr4i
      syl22anc mpteq2ia 1div1e1 3brtr3g rerpdivcl fmpttd rpssre rlimresb mpbird
      mpancom mptru ) ABAUAZUBUCZWQCDZEZFGHZIXAWTJUDUEDZUFZFGHIAXBWQUGUCZWQCDZX
      DWRCDZCDZEZFFCDXCFGIAXBXEXFFFBWQXBTZXEBTIXIXDWQXIWQKTZJWQUMHZLZXDBTJKTZXI
      XLVEMJWQUHUIZWQUJUKZXIWQXIXJXKXNULZXINJWQXIUNXMXIMOXPNJUOHXIUPOXIXJXKXNUQ
      URUSZUTVAXIXFBTIXIXDWRXOXIXLWRBTXNWQVBUKZUTVAZIAXBBXEFXBBVCZIAXBBXQVDZOAB
      XEEFGHIAVFOVGAXBXFEFGHIAVHOFNPIVIOIXILXFXSVJVKXHAXBWSEZXCAXBXGWSXIXGXDWRV
      LDZWQXDVLDZCDZYCXDWQVLDZCDZWSXIXDQTZWQQTWQNPLZYHXDNPLZWRQTZWRNPLXGYEVMXIW
      QBTZYHXQYLXDYLXJXDKTWQVNZWQVPRSRZXIWQXQVOZXIXDXOVOZXIWRXRVOXDWQXDWRVQWFXI
      YDYFYCCXIWQXDXIWQXPSYNVRVSXIYKYIYJYGWSVMXIYLYKXQYLWRYLXJWRKTZYMWQVTRZSRYO
      YPWRWQXDWAWBWCWGXTXCYBVMYAABXBWSWDUIWEWHWIIBJFWTIABWSQIYLLWSYLWSKTZIYQYLY
      SYRWRWQWJWOVASWKBKVCIWLOXMIMOWMWNWP $.

    $( The Prime Number Theorem: the number of prime numbers less than ` x `
       tends asymptotically to ` x / log ( x ) ` as ` x ` goes to infinity.
       This is Metamath 100 proof #5.  (Contributed by Mario Carneiro,
       1-Jun-2016.) $)
    pnt $p |- ( x e. ( 1 (,) +oo ) |->
      ( ( ppi ` x ) / ( x / ( log ` x ) ) ) ) ~~>r 1 $=
      ( c1 cpnf co cdiv cmpt crli wbr wtru wcel clt cmul crp syl cc0 a1i adantl
      c2 cr rpne0d vy vz cioo cppi cfv clog cico cres wss wceq cxr 1xr 1lt2 cle
      vw df-ioo df-ico xrltletr ixxss1 mp2an resmpt mp1i ccht sseli ioossre w3a
      cv wb pnfxr elico2 simp2bi chtrpcl syl2anc 0red 1red 0lt1 eliooord simpld
      2re lttrd elrpd rpdivcld ppinncl nnrpd rplogcld rpmulcld ssriv ax-mp pnt2
      cn rlimres eqbrtrrid chtppilim wne ax-1ne0 rlimdiv recnd cc chtcl mulcomd
      rpcnd divcan5d eqtrd divdivdivd divdiv2d 3eqtr4d mpteq2ia 1div1e1 3brtr3g
      oveq2d nncnd eqbrtrd ppicl nn0red rerpdivcld fmpttd rlimresb mpbird mptru
      cn0 ) ABCUCDZAVGZUDUEZYBYBUFUEZEDZEDZFZBGHZIYHYGRCUGDZUHZBGHIYJAYIYFFZBGY
      IYAUIZYJYKUJIBUKJBRKHYLULUMAUAUBUOBRCUGKKUNUCKAUAUBUPAUAUBUQBRUOVGURUSUTZ
      AYAYIYFVAVBIAYIYBVCUEZYBEDZYNYCYDLDZEDZEDZFBBEDYKBGIAYIYOYQBBMYBYIJZYOMJI
      YSYNYBYSYBSJZRYBUNHZYNMJYSYBYAJZYTYIYAYBYMVDZYASYBBCVEZVDZNZYSYTUUAYBCKHZ
      RSJZCUKJYSYTUUAUUGVFVHVSVIRCYBVJUTVKZYBVLVMZYSUUBYBMJUUCUUBYBUUEUUBOBYBUU
      BVNUUBVOUUEOBKHUUBVPPUUBBYBKHUUGYBBCVQVRZVTWAZNZWBQYSYQMJIYSYNYPUUJYSYCYD
      YSYCYSYTUUAYCWJJUUFUUIYBWCVMZWDYSUUBYDMJUUCUUBYBUUEUUKWEZNZWFZWBZQIAYIYOF
      ZAMYOFZYIUHZBGYIMUIUVAUUSUJAYIMUUMWGAMYIYOVAWHUUTBGHUVABGHIAWIBYIUUTWKVBW
      LAYIYQFBGHIAWMPBOWNIWOPYSYQOWNIYSYQUURTQWPAYIYRYFYSYNYPLDZYBYNLDZEDZYPYBE
      DZYRYFYSUVDUVBYNYBLDZEDUVEYSUVCUVFUVBEYSYBYNYSYBUUFWQZYSUUBYNWRJUUCUUBYNU
      UBYTYNSJUUEYBWSNWQNZWTXJYSYPYBYNYSYPUUQXAZUVGUVHYSYBUUMTZYSYNUUJTZXBXCYSY
      NYBYNYPUVHUVGUVHUVIUVJYSYPUUQTUVKXDYSYCYBYDYSYCUUNXKUVGYSYDUUPXAUVJYSYDUU
      PTXEXFXGXHXIXLIYARBYGIAYAYFWRUUBYFWRJIUUBYFUUBYCYEUUBYCUUBYTYCXTJUUEYBXMN
      XNUUBYBYDUULUUOWBXOWQQXPYASUIIUUDPUUHIVSPXQXRXS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ostrowski's theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z A $.  $d x y z B $.  $d x y z F $.  $d x y z R $.  $d x y z S $.
    $d y z G $.
    abvcxp.a $e |- A = ( AbsVal ` R ) $.
    abvcxp.b $e |- B = ( Base ` R ) $.
    abvcxp.f $e |- G = ( x e. B |-> ( ( F ` x ) ^c S ) ) $.
    $( Raising an absolute value to a power less than one yields another
       absolute value.  (Contributed by Mario Carneiro, 8-Sep-2014.) $)
    abvcxp $p |- ( ( F e. A /\ S e. ( 0 (,] 1 ) ) -> G e. A ) $=
      ( wcel cc0 co cfv wceq ccxp cr cle wbr syl vy vz c1 cioc cplusg cmulr c0g
      wa cabv a1i cbs eqidd crg abvrcl adantr cv abvcl adantlr abvge0 clt simpr
      w3a cxr wb 0xr 1re elioc2 mp2an sylib simp1d recxpcld fmptd ring0cl fveq2
      eqid oveq1d ovex fvmpt abv0 recnd simp2d gt0ne0d 0cxpd eqtrd simp1l simp2
      wne syl2anc abvgt0 3adant1r 3ad2ant1 rpcxpcld rpgt0d breqtrrd cmul simp2l
      elrpd simp3l abvmul syl3anc cc mulcxpd oveq12d 3eqtr4d caddc cgrp ringgrp
      ringcl grpcl readdcld addge0d abvtri cxple2d mpbid cxpaddle letrd 3brtr4d
      simp3d isabvd ) FBKZELUCUDMKZUHZUAUBBCDUENZDDUFNZGDUGNZBDUINOYBHUJCDUKNOY
      BIUJYBYCULYBYDULYBYEULXTDUMKZYABDFHUNUOZYBACAUPZFNZEPMZQGYBYHCKZUHYIEXTYK
      YIQKYABCDFYHHIUQURXTYKLYIRSYABCDFYHHIUSURYBEQKZYKYBYLLEUTSZEUCRSZYBYAYLYM
      YNVBZXTYAVALVCKUCQKYAYOVDVEVFLUCEVGVHVIZVJZUOVKJVLYBYEGNZYEFNZEPMZLYBYECK
      ZYRYTOYBYFUUAYGCDYEIYEVOZVMTAYEYJYTCGYHYEOYIYSEPYHYEFVNVPJYSEPVQVRTYBYTLE
      PMLYBYSLEPXTYSLOYABDFYEHUUBVSUOVPYBEYBEYQVTZYBEYBYLYMYNYPWAWBWCWDWDYBUAUP
      ZCKZUUDYEWGZVBZLUUDFNZEPMZUUDGNZUTUUGUUIUUGUUHEUUGUUHUUGXTUUEUUHQKZXTYAUU
      EUUFWEYBUUEUUFWFZBCDFUUDHIUQZWHXTUUEUUFLUUHUTSYABCDFUUDYEHIUUBWIWJWQYBUUE
      YLUUFYQWKWLWMUUGUUEUUJUUIOZUULAUUDYJUUICGYHUUDOYIUUHEPYHUUDFVNVPJUUHEPVQV
      RZTWNYBUUEUUFUHZUBUPZCKZUUQYEWGZUHZVBZUUDUUQYDMZFNZEPMZUUIUUQFNZEPMZWOMZU
      VBGNZUUJUUQGNZWOMUVAUVDUUHUVEWOMZEPMUVGUVAUVCUVJEPUVAXTUUEUURUVCUVJOXTYAU
      UPUUTWEZYBUUEUUFUUTWPZYBUUPUURUUSWRZBCDYDFUUDUUQHIYDVOZWSWTVPUVAUUHUVEEUV
      AXTUUEUUKUVKUVLUUMWHZUVAXTUUELUUHRSUVKUVLBCDFUUDHIUSWHZUVAXTUURUVEQKUVKUV
      MBCDFUUQHIUQWHZUVAXTUURLUVERSUVKUVMBCDFUUQHIUSWHZYBUUPEXAKUUTUUCWKXBWDUVA
      UVBCKZUVHUVDOUVAYFUUEUURUVSYBUUPYFUUTYGWKZUVLUVMCDYDUUDUUQIUVNXHWTAUVBYJU
      VDCGYHUVBOYIUVCEPYHUVBFVNVPJUVCEPVQVRTUVAUUJUUIUVIUVFWOUVAUUEUUNUVLUUOTZU
      VAUURUVIUVFOUVMAUUQYJUVFCGYHUUQOYIUVEEPYHUUQFVNVPJUVEEPVQVRTZXCXDUVAUUDUU
      QYCMZFNZEPMZUUIUVFXEMZUWCGNZUUJUVIXEMRUVAUWEUUHUVEXEMZEPMZUWFUVAUWDEUVAXT
      UWCCKZUWDQKUVKUVADXFKZUUEUURUWJUVAYFUWKUVTDXGTUVLUVMCYCDUUDUUQIYCVOZXIWTZ
      BCDFUWCHIUQWHZUVAXTUWJLUWDRSUVKUWMBCDFUWCHIUSWHZUVAYLYMYNYBUUPYOUUTYPWKZV
      JZVKUVAUWHEUVAUUHUVEUVOUVQXJZUVAUUHUVEUVOUVQUVPUVRXKZUWQVKUVAUUIUVFUVAUUH
      EUVOUVPUWQVKUVAUVEEUVQUVRUWQVKXJUVAUWDUWHRSZUWEUWIRSUVAXTUUEUURUWTUVKUVLU
      VMBCYCDFUUDUUQHIUWLXLWTUVAUWDUWHEUWNUWOUWRUWSUVAEUWQUVAYLYMYNUWPWAWQZXMXN
      UVAUUHUVEEUVOUVPUVQUVRUXAUVAYLYMYNUWPXRXOXPUVAUWJUWGUWEOUWMAUWCYJUWECGYHU
      WCOYIUWDEPYHUWCFVNVPJUWDEPVQVRTUVAUUJUUIUVIUVFXEUWAUWBXCXQXS $.
  $}

  ${
    $d q x P $.  $d x X $.
    padicval.j $e |- J = ( q e. Prime |-> ( x e. QQ |->
      if ( x = 0 , 0 , ( q ^ -u ( q pCnt x ) ) ) ) ) $.
    $( Value of the p-adic absolute value.  (Contributed by Mario Carneiro,
       8-Sep-2014.) $)
    padicfval $p |- ( P e. Prime -> ( J ` P ) = ( x e. QQ |->
      if ( x = 0 , 0 , ( P ^ -u ( P pCnt x ) ) ) ) ) $=
      ( cq cv cc0 wceq cpc co cneg cexp cif cmpt cprime id oveq1 negeqd oveq12d
      ifeq2d mpteq2dv qex mptex fvmpt ) DBAFAGZHIZHDGZUHUFJKZLZMKZNZOAFUGHBBUFJ
      KZLZMKZNZOPCUHBIZAFULUPUQUGUKUOHUQUHBUJUNMUQQUQUIUMUHBUFJRSTUAUBEAFUPUCUD
      UE $.

    $( Value of the p-adic absolute value.  (Contributed by Mario Carneiro,
       8-Sep-2014.) $)
    padicval $p |- ( ( P e. Prime /\ X e. QQ ) -> ( ( J ` P ) ` X ) =
      if ( X = 0 , 0 , ( P ^ -u ( P pCnt X ) ) ) ) $=
      ( cprime wcel cq cfv cv cc0 wceq cpc co cneg cexp cif cmpt padicfval eqid
      fveq1d eqeq1 oveq2 negeqd oveq2d ifbieq2d c0ex ovex ifex fvmpt sylan9eq )
      BGHZDIHDBCJZJDAIAKZLMZLBBUONOZPZQOZRZSZJDLMZLBBDNOZPZQOZRZUMDUNVAABCEFTUB
      ADUTVFIVAUODMZUPVBUSVELUODLUCVGURVDBQVGUQVCUODBNUDUEUFUGVAUAVBLVEUHBVDQUI
      UJUKUL $.
  $}

  ${
    $d k n A $.  $d k n B $.  $d k n ph $.
    ostth2lem1.1 $e |- ( ph -> A e. RR ) $.
    ostth2lem1.2 $e |- ( ph -> B e. RR ) $.
    ostth2lem1.3 $e |- ( ( ph /\ n e. NN ) -> ( A ^ n ) <_ ( n x. B ) ) $.
    $( Lemma for ~ ostth2 , although it is just a simple statement about
       exponentials which does not involve any specifics of ~ ostth2 .  If a
       power is upper bounded by a linear term, the exponent must be less than
       one.  Or in big-O notation, ` n e. o ( A ^ n ) ` for any ` 1 < A ` .
       (Contributed by Mario Carneiro, 10-Sep-2014.) $)
    ostth2lem1 $p |- ( ph -> A <_ 1 ) $=
      ( c1 cle wbr clt c2 cmul co cexp cn cr wcel adantr cc0 vk wn cmin cdiv cv
      wrex wa 2re remulcl sylancr crp simpr wb difrp rerpdivcld expnbnd syl3anc
      1re mpbid cn0 nnnn0 reexpcl syl2an rpred adantl remulcld ad2antrr nnmulcl
      nnre 2nn nnnn0d reexpcld nnred cz 0red a1i 0lt1 lttrd elrpd rpexpcl caddc
      nnz peano2re ltp1d rpge0d bernneq2 ltletrd ltmul1dd recnd 2timesd expaddd
      syl oveq2d eqtrd breqtrrd wceq oveq2 oveq1 breq12d wral ralrimiva rspcdva
      mul32d 2cnd 3brtr4d nngt0 ltmul1 syl112anc mpbird rpgt0d ltmuldiv2 nrexdv
      ltnsymd pm2.65da lenlt sylancl ) ABHIJZHBKJZUBZAXRLCMNZBHUCNZUDNZBUAUEZON
      ZKJZUAPUFZAXRUGZYBQRZBQRZXRYFYGXTYAYGLQRCQRZXTQRZUHAYJXRFSLCUIUJZYGXRYAUK
      RZAXRULZYGHQRZYIXRYMUMURAYIXRESZHBUNUJUSZUOZYPYNYBBUAUPUQYGYEUAPYGYCPRZUG
      ZYDYBYGYIYCUTRZYDQRZYSYPYCVAZBYCVBVCZYGYHYSYRSYTYAYDMNZXTKJZYDYBKJZYTUUFU
      UEYCMNZXTYCMNZKJZYTYAYCMNZYDMNZLYCMNZCMNZUUHUUIKYTUULBUUMONZUUNYTUUKYDYTY
      AYCYGYAQRZYSYGYAYQVDSZYSYCQRZYGYCVIVEZVFZUUDVFYTBUUMAYIXRYSEVGZYTUUMYTLPR
      YSUUMPRVJYGYSULLYCVHUJZVKVLYTUUMCYTUUMUVBVMAYJXRYSFVGZVFYTUULYDYDMNZUUOKY
      TUUKYDYDUUTUUDYGBUKRZYCVNRYDUKRYSYGBYPYGTHBYGVOYOYGURVPYPTHKJYGVQVPYNVRVS
      ZYCWBBYCVTVCYTUUKUUKHWANZYDUUTYTUUKQRUVGQRUUTUUKWCWLUUDYTUUKUUTWDYTYIUUAT
      BIJUVGYDIJUVAYSUUAYGUUCVEZYTBYGUVEYSUVFSWEBYCWFUQWGWHYTUUOBYCYCWANZONUVDY
      TUUMUVIBOYTYCYTYCUUSWIZWJWMYTBYCYCYTBUVAWIUVHUVHWKWNWOYTBDUEZONZUVKCMNZIJ
      ZUUOUUNIJDPUUMUVKUUMWPUVLUUOUVMUUNIUVKUUMBOWQUVKUUMCMWRWSAUVNDPWTXRYSAUVN
      DPGXAVGUVBXBWGYTYAYDYCYTYAUUQWIYTYDUUDWIUVJXCYTLCYCYTXDYTCUVCWIUVJXCXEYTU
      UEQRYKUURTYCKJZUUFUUJUMYTYAYDUUQUUDVFYGYKYSYLSZUUSYSUVOYGYCXFVEUUEXTYCXGX
      HXIYTUUBYKUUPTYAKJZUUFUUGUMUUDUVPUUQYGUVQYSYGYAYQXJSYDXTYAXKXHUSXMXLXNAYI
      YOXQXSUMEURBHXOXPXI $.
  $}

  ${
    $d k n p y z G $.  $d k n K $.  $d j k n x M $.  $d a b k n p q x y z ph $.
    $d a g p y z J $.  $d a b k S $.  $d j k n x T $.  $d n x U $.  $d k x X $.
    $d a k n p q x y z A $.  $d k n x y z N $.  $d k n x y z Q $.  $d k Y $.
    $d a b g j k n p q y z F $.  $d a b k p q x y z P $.  $d a p q y z R $.
    qrng.q $e |- Q = ( CCfld |`s QQ ) $.
    $( The base set of the field of rationals.  (Contributed by Mario Carneiro,
       8-Sep-2014.) $)
    qrngbas $p |- QQ = ( Base ` Q ) $=
      ( cq cc wss cbs cfv wceq qsscn ccnfld cnfldbas ressbas2 ax-mp ) CDECAFGHI
      CDAJBKLM $.

    $( The rationals form a division ring.  (Contributed by Mario Carneiro,
       8-Sep-2014.) $)
    qdrng $p |- Q e. DivRing $=
      ( ccnfld cq cress co cdr csubrg cfv wcel qsubdrg simpri eqeltri ) ACDEFZG
      BDCHIJNGJKLM $.

    $( The zero element of the field of rationals.  (Contributed by Mario
       Carneiro, 8-Sep-2014.) $)
    qrng0 $p |- 0 = ( 0g ` Q ) $=
      ( cq ccnfld csubrg cfv wcel csubg cc0 c0g wceq cress co qsubdrg subrgsubg
      cdr simpli cnfld0 subg0 mp2b ) CDEFGZCDHFGIAJFKUADCLMPGNQCDOCDAIBRST $.

    $( The unit element of the field of rationals.  (Contributed by Mario
       Carneiro, 8-Sep-2014.) $)
    qrng1 $p |- 1 = ( 1r ` Q ) $=
      ( cq ccnfld csubrg cfv wcel c1 cur wceq cress co cdr simpli cnfld1 subrg1
      qsubdrg ax-mp ) CDEFGZHAIFJSDCKLMGQNCDAHBOPR $.

    $( The additive inverse in the field of rationals.  (Contributed by Mario
       Carneiro, 8-Sep-2014.) $)
    qrngneg $p |- ( X e. QQ -> ( ( invg ` Q ) ` X ) = -u X ) $=
      ( wcel ccnfld cminusg cfv cneg csubg wceq csubrg cress cdr qsubdrg simpli
      cq co subrgsubg ax-mp eqid subginv mpan cc qcn cnfldneg syl eqtr3d ) BPDZ
      BEFGZGZBAFGZGZBHZPEIGDZUHUJULJPEKGDZUNUOEPLQMDNOPERSPEAUIUKBCUITUKTUAUBUH
      BUCDUJUMJBUDBUEUFUG $.

    $( The division operation in the field of rationals.  (Contributed by Mario
       Carneiro, 8-Sep-2014.) $)
    qrngdiv $p |- ( ( X e. QQ /\ Y e. QQ /\ Y =/= 0 ) ->
                    ( X ( /r ` Q ) Y ) = ( X / Y ) ) $=
      ( cq wcel cc0 wne w3a cdiv cdvr cfv ccnfld csubrg csn cdif wceq cress cdr
      co qsubdrg simpli simp1 3simpc eldifsn sylibr cnflddiv qrng0 qdrng drngui
      wa qrngbas eqid subrgdv mp3an2i eqcomd ) BEFZCEFZCGHZIZBCJTZBCAKLZTZEMNLF
      ZUTUQCEGOPZFZVAVCQVDMERTSFUAUBUQURUSUCUTURUSUKVFUQURUSUDCEGUEUFEJMAVEVBBC
      DUGEAGADULADUHADUIUJVBUMUNUOUP $.

    qabsabv.a $e |- A = ( AbsVal ` Q ) $.
    $( By using induction on ` N ` , we show a long-range inequality coming
       from the triangle inequality.  (Contributed by Mario Carneiro,
       10-Sep-2014.) $)
    qabvle $p |- ( ( F e. A /\ N e. NN0 ) -> ( F ` N ) <_ N ) $=
      ( wcel cfv cle wbr wi cc0 c1 caddc wceq fveq2 id breq12d cq cr cn0 imbi2d
      vk vn cv co qrng0 abv0 0le0 eqbrtrdi wa cn nn0p1nn ad2antrl nnq syl abvcl
      qrngbas syldan cz nn0z zq peano2re zred simpl 1z mp1i cvv cplusg cnfldadd
      qex ccnfld ressplusg ax-mp abvtri syl3anc wne ax-1ne0 qrng1 adantr oveq2d
      abv1z mpan2 breqtrd 1red simprr leadd1dd letrd expr expcom nn0ind impcom
      a2d ) DUAGCAGZDCHZDIJZWNUCUEZCHZWQIJZKWNLCHZLIJZKWNUDUEZCHZXBIJZKWNXBMNUF
      ZCHZXEIJZKWNWPKUCUDDWQLOZWSXAWNXHWRWTWQLIWQLCPXHQRUBWQXBOZWSXDWNXIWRXCWQX
      BIWQXBCPXIQRUBWQXEOZWSXGWNXJWRXFWQXEIWQXECPXJQRUBWQDOZWSWPWNXKWRWOWQDIWQD
      CPXKQRUBWNWTLLIABCLFBEUGZUHUIUJXBUAGZWNXDXGWNXMXDXGKWNXMXDXGWNXMXDUKZUKZX
      FXCMNUFZXEWNXNXESGZXFTGXOXEULGZXQXMXRWNXDXBUMUNXEUOUPASBCXEFBEURZUQUSXOXC
      TGZXPTGWNXNXBSGZXTXOXBUTGZYAXMYBWNXDXBVAUNZXBVBUPZASBCXBFXSUQUSZXCVCUPXOX
      BTGXETGXOXBYCVDZXBVCUPXOXFXCMCHZNUFZXPIXOWNYAMSGZXFYHIJWNXNVEYDMUTGYIXOVF
      MVBVGASNBCXBMFXSSVHGNBVIHOVKSNVLBVHEVJVMVNVOVPXOYGMXCNWNYGMOZXNWNMLVQYJVR
      ABMCLFBEVSXLWBWCVTWAWDXOXCXBMYEYFXOWEWNXMXDWFWGWHWIWJWMWKWL $.

    $( Induct the product rule ~ abvmul to find the absolute value of a power.
       (Contributed by Mario Carneiro, 10-Sep-2014.) $)
    qabvexp $p |- ( ( F e. A /\ M e. QQ /\ N e. NN0 ) ->
      ( F ` ( M ^ N ) ) = ( ( F ` M ) ^ N ) ) $=
      ( wcel cq cexp co cfv wceq wi cc0 c1 oveq2 fveq2d eqeq12d cmul cn0 imbi2d
      vk vn wa cv caddc wne ax-1ne0 qrng1 qrng0 abv1z mpan2 adantr cc qcn exp0d
      adantl qrngbas abvcl recnd 3eqtr4d oveq1 expp1 sylan simpll qexpcl simplr
      adantll cvv cmulr qex ccnfld cnfldmul ressmulr ax-mp abvmul syl3anc eqtrd
      syl5ibr expcom a2d nn0ind com12 3impia ) CAHZDIHZEUAHZDEJKZCLZDCLZEJKZMZW
      HWFWGUEZWMWNDUCUFZJKZCLZWKWOJKZMZNWNDOJKZCLZWKOJKZMZNWNDUDUFZJKZCLZWKXDJK
      ZMZNWNDXDPUGKZJKZCLZWKXIJKZMZNWNWMNUCUDEWOOMZWSXCWNXNWQXAWRXBXNWPWTCWOODJ
      QRWOOWKJQSUBWOXDMZWSXHWNXOWQXFWRXGXOWPXECWOXDDJQRWOXDWKJQSUBWOXIMZWSXMWNX
      PWQXKWRXLXPWPXJCWOXIDJQRWOXIWKJQSUBWOEMZWSWMWNXQWQWJWRWLXQWPWICWOEDJQRWOE
      WKJQSUBWNPCLZPXAXBWFXRPMZWGWFPOUHXSUIABPCOGBFUJBFUKULUMUNWNWTPCWNDWGDUOHZ
      WFDUPURZUQRWNWKWNWKAIBCDGBFUSZUTVAZUQVBXDUAHZWNXHXMWNYDXHXMNXHXMWNYDUEZXF
      WKTKZXGWKTKZMXFXGWKTVCYEXKYFXLYGYEXKXEDTKZCLZYFYEXJYHCWNXTYDXJYHMYADXDVDV
      ERYEWFXEIHZWGYIYFMWFWGYDVFWGYDYJWFDXDVGVIWFWGYDVHAIBTCXEDGYBIVJHTBVKLMVLI
      VMBTVJFVNVOVPVQVRVSWNWKUOHYDXLYGMYCWKXDVDVESVTWAWBWCWDWE $.

    ${
      ostthlem1.1 $e |- ( ph -> F e. A ) $.
      ostthlem1.2 $e |- ( ph -> G e. A ) $.
      ${
        ostthlem1.3 $e |- ( ( ph /\ n e. ( ZZ>= ` 2 ) ) ->
          ( F ` n ) = ( G ` n ) ) $.
        $( Lemma for ~ ostth .  If two absolute values agree on the positive
           integers greater than one, then they agree for all rational numbers
           and thus are equal as functions.  (Contributed by Mario Carneiro,
           9-Sep-2014.) $)
        ostthlem1 $p |- ( ph -> F = G ) $=
          ( cq wcel cr cfv wceq cn cc0 fveq2 c1 vy vk wfn qrngbas abvf ffn 3syl
          wf cv cdiv co wrex cz elq wa cdr wne qdrng a1i adantr zq ad2antrl nnq
          cdvr ad2antll nnne0 qrng0 eqid abvdiv syl23anc cneg wi eqtr4d eqeq12d
          abv0 syl syl5ibrcom imp wral c2 wo elnn1uz2 qrng1 abv1 sylancr jaodan
          cuz sylan2b ralrimiva rspccva cminusg ad2antrr adantl qrngneg biimpar
          sylan eleq1d rspcdva abvneg syl2anc 3eqtr3d w3o elz simprbi mpjao3dan
          ad2antlr adantrr adantrl oveq12d qrngdiv syl3anc rexlimdvva eqfnfvd
          fveq2d syl5bi ) AUALEFAEBMZLNEUHELUCIBLCEHCGUDZUELNEUFUGAFBMZLNFUHFLU
          CJBLCFHXQUELNFUFUGAUAUIZLMZXSEOZXSFOZPZXTXSUBUIZDUIZUJUKZPZDQULUBUMUL
          AYCUBDXSUNAYGYCUBDUMQAYDUMMZYEQMZUOZUOZYCYGYFEOZYFFOZPYKYDYECVDOZUKZE
          OZYOFOZYLYMYKYPYDEOZYEEOZUJUKZYQYKCUPMZXPYDLMZYELMZYERUQZYPYTPUUAYKCG
          URZUSZAXPYJIUTYHUUBAYIYDVAZVBZYIUUCAYHYEVCVEZYIUUDAYHYEVFVEZBLYNCEYDY
          ERHXQCGVGZYNVHZVIVJYKYQYDFOZYEFOZUJUKZYTYKUUAXRUUBUUCUUDYQUUOPUUFAXRY
          JJUTUUHUUIUUJBLYNCFYDYERHXQUUKUULVIVJYKYRUUMYSUUNUJAYHYRUUMPZYIAYHUOZ
          YDRPZUUPYDQMZYDVKZQMZUUQUURUUPAUURUUPVLYHAUUPUURREOZRFOZPAUVBRUVCAXPU
          VBRPIBCERHUUKVOVPAXRUVCRPJBCFRHUUKVOVPVMUURYRUVBUUMUVCYDRESYDRFSVNVQU
          TVRUUQYSUUNPZDQVSZUUSUUPAUVEYHAUVDDQYIAYETPZYEVTWGOMZWAUVDYEWBAUVFUVD
          UVGAUVFUVDAUVDUVFTEOZTFOZPAUVHTUVIAUUAXPUVHTPUUEIBCTEHCGWCZWDWEAUUAXR
          UVITPUUEJBCTFHUVJWDWEVMUVFYSUVHUUNUVIYETESYETFSVNVQVRKWFWHZWIZUTUVDUU
          PDYDQYEYDPYSYRUUNUUMYEYDESYEYDFSVNWJWPUUQUVAUOZYDCWKOZOZEOZUVOFOZYRUU
          MUVMUVDUVPUVQPDQUVOYEUVOPYSUVPUUNUVQYEUVOESYEUVOFSVNAUVEYHUVAUVLWLUUQ
          UVOQMUVAUUQUVOUUTQUUQUUBUVOUUTPYHUUBAUUGWMCYDGWNVPWQWOWRUVMXPUUBUVPYR
          PAXPYHUVAIWLYHUUBAUVAUUGXFZBLCEUVNYDHXQUVNVHZWSWTUVMXRUUBUVQUUMPAXRYH
          UVAJWLUVRBLCFUVNYDHXQUVSWSWTXAYHUURUUSUVAXBZAYHYDNMUVTYDXCXDWMXEXGAYI
          UVDYHUVKXHXIVMVMYKYOYFEYKUUBUUCUUDYOYFPUUHUUIUUJCYDYEGXJXKZXNYKYOYFFU
          WAXNXAYGYAYLYBYMXSYFESXSYFFSVNVQXLXOVRXM $.
      $}

      ${
        ostthlem2.3 $e |- ( ( ph /\ p e. Prime ) ->
          ( F ` p ) = ( G ` p ) ) $.
        $( Lemma for ~ ostth .  Refine ~ ostthlem1 so that it is sufficient to
           only show equality on the primes.  (Contributed by Mario Carneiro,
           9-Sep-2014.)  (Revised by Mario Carneiro, 20-Jun-2015.) $)
        ostthlem2 $p |- ( ph -> F = G ) $=
          ( cfv wcel wceq wi c1 cmul fveq2 eqeq12d cq vn vy vz cv c2 cn eluz2nn
          cuz co imbi2d cc0 wne ax-1ne0 qrng1 qrng0 abv1z sylancl eqtr4d cprime
          expcom wa jcab oveq12 adantr cz eluzelz ad2antrl syl ad2antll qrngbas
          cvv cmulr qex ccnfld cnfldmul ressmulr abvmul syl3anc syl5ibr syl5bir
          zq ax-mp a2d prmind impcom sylan2 ostthlem1 ) ABCUADEGHIJUAUDZUEUHLZM
          AWHUFMZWHDLZWHELZNZWHUGWJAWMAFUDZDLZWNELZNZOAPDLZPELZNZOAUBUDZDLZXAEL
          ZNZOZAUCUDZDLZXFELZNZOZAXAXFQUIZDLZXKELZNZOZAWMOFUBUCWHWNPNZWQWTAXPWO
          WRWPWSWNPDRWNPERSUJWNXANZWQXDAXQWOXBWPXCWNXADRWNXAERSUJWNXFNZWQXIAXRW
          OXGWPXHWNXFDRWNXFERSUJWNXKNZWQXNAXSWOXLWPXMWNXKDRWNXKERSUJWNWHNZWQWMA
          XTWOWKWPWLWNWHDRWNWHERSUJAWRPWSADBMZPUKULZWRPNIUMBCPDUKHCGUNZCGUOZUPU
          QAEBMZYBWSPNJUMBCPEUKHYCYDUPUQURAWNUSMWQKUTXEXJVAAXDXIVAZOXAWIMZXFWIM
          ZVAZXOAXDXIVBYIAYFXNAYIYFXNOYFXNAYIVAZXBXGQUIZXCXHQUIZNXBXCXGXHQVCYJX
          LYKXMYLYJYAXATMZXFTMZXLYKNAYAYIIVDYJXAVEMZYMYGYOAYHUEXAVFVGXAWAVHZYJX
          FVEMZYNYHYQAYGUEXFVFVIXFWAVHZBTCQDXAXFHCGVJZTVKMQCVLLNVMTVNCQVKGVOVPW
          BZVQVRYJYEYMYNXMYLNAYEYIJVDYPYRBTCQEXAXFHYSYTVQVRSVSUTWCVTWDWEWFWG $.
      $}
    $}

    $( The regular absolute value function on the rationals is in fact an
       absolute value under our definition.  (Contributed by Mario Carneiro,
       9-Sep-2014.) $)
    qabsabv $p |- ( abs |` QQ ) e. A $=
      ( cabs ccnfld cabv cfv wcel cq csubrg cres absabv cress co qsubdrg simpli
      cdr eqid abvres mp2an ) EFGHZIJFKHIZEJLAIMUCFJNORIPQUBAJFBEUBSCDTUA $.

    ${
      padic.f $e |- F = ( x e. QQ |->
        if ( x = 0 , 0 , ( N ^ ( P pCnt x ) ) ) ) $.
      $( The p-adic absolute value (with arbitrary base) is an absolute value.
         (Contributed by Mario Carneiro, 9-Sep-2014.) $)
      padicabv $p |- ( ( P e. Prime /\ N e. ( 0 (,) 1 ) ) -> F e. A ) $=
        ( wcel cc0 co wa cq wceq cpc cexp wbr cle adantr vy vz cprime cioo cmul
        caddc cabv cfv a1i cbs qrngbas cvv cplusg qex ccnfld cnfldadd ressplusg
        c1 mp1i cmulr cnfldmul ressmulr c0g qrng0 cdr crg qdrng drngring cv cif
        cr 0red wn ioossre simpr sselid ad2antrr wne clt eliooord adantl simpld
        elrpd rpne0d cz df-ne pcqcl adantlr anassrs sylan2br reexpclzd fmptd 0z
        ifclda zq ax-mp iftrue c0ex fvmpt w3a 3ad2ant1 3impb expgt0 eqeq1 oveq2
        oveq2d ifbieq2d ovex ifex 3ad2ant2 simp3 neneqd iffalsed eqtrd breqtrrd
        syl3anc pcqmul 3adant1r cc recnd 3adant3 simp1l syl2anc syl qcn oveq12d
        syl12anc zred crp ltexp2rd notbid lenltd 3bitr4d biimpa syldan rpexpcld
        pcadd rpge0d mpbid letrd simp3l simp3r expaddz syl22anc mulne0d 3eqtr4d
        simp2l qmulcl simp2r 3expb breq1d qaddcl simpl1 readdcld simprd addcomd
        ifnefalse addge01d addge02d lecasei eqbrtrd rpaddcld pm2.61ne 3brtr4d
        isabvd ) CUCJZFKURUDLZJZMZUAUBBNUFDUEEKBDUGUHOUVIHUINDUJUHOUVIDGUKUINUL
        JZUFDUMUHOUVIUNNUFUODULGUPUQUSUVJUEDUTUHOUVIUNNUODUEULGVAVBUSKDVCUHOUVI
        DGVDUIDVEJDVFJUVIDGVGDVHUSUVIANAVIZKOZKFCUVKPLZQLZVJZVKEUVIUVKNJZMZUVLK
        UVNVKUVQUVLMVLUVQUVLVMZMFUVMUVIFVKJZUVPUVRUVIUVGVKFKURVNUVFUVHVOVPZVQUV
        IFKVRZUVPUVRUVIFUVIFUVTUVIKFVSRZFURVSRZUVHUWBUWCMUVFFKURVTWAZWBZWCZWDZV
        QUVRUVQUVKKVRZUVMWEJZUVKKWFUVIUVPUWHUWIUVFUVPUWHMUWIUVHCUVKWGWHWIWJWKWN
        IWLKNJZKEUHKOUVIKWEJUWJWMKWOWPAKUVOKNEUVLKUVNWQIWRWSUSUVIUAVIZNJZUWKKVR
        ZWTZKFCUWKPLZQLZUWKEUHZVSUWNUVSUWOWEJZUWBKUWPVSRUVIUWLUVSUWMUVTXAUVIUWL
        UWMUWRUVFUWLUWMMZUWRUVHCUWKWGWHZXBUVIUWLUWBUWMUWEXAFUWOXCXPUWNUWQUWKKOZ
        KUWPVJZUWPUWLUVIUWQUXBOUWMAUWKUVOUXBNEUVKUWKOZUVLUXAUVNUWPKUVKUWKKXDUXC
        UVMUWOFQUVKUWKCPXEXFXGIUXAKUWPWRFUWOQXHXIWSXJUWNUXAKUWPUWNUWKKUVIUWLUWM
        XKXLXMXNZXOUVIUWSUBVIZNJZUXEKVRZMZWTZFCUWKUXEUELZPLZQLZUWPFCUXEPLZQLZUE
        LZUXJEUHZUWQUXEEUHZUELUXIUXLFUWOUXMUFLZQLZUXOUXIUXKUXRFQUVFUWSUXHUXKUXR
        OUVHUWKUXECXQXRXFUXIFXSJZUWAUWRUXMWEJZUXSUXOOUVIUWSUXTUXHUVIFUVTXTXAUVI
        UWSUWAUXHUWGXAZUVIUWSUWRUXHUWTYAZUXIUVFUXFUXGUYAUVFUVHUWSUXHYBZUVIUWSUX
        FUXGUUAZUVIUWSUXFUXGUUBZCUXEWGYGZFUWOUXMUUCUUDXNUXIUXPUXJKOZKUXLVJZUXLU
        XIUXJNJZUXPUYIOUXIUWLUXFUYJUVIUWLUWMUXHUUGZUYEUWKUXEUUHYCAUXJUVOUYINEUV
        KUXJOZUVLUYHUVNUXLKUVKUXJKXDUYLUVMUXKFQUVKUXJCPXEXFXGIUYHKUXLWRFUXKQXHX
        IWSYDUXIUYHKUXLUXIUXJKUXIUWKUXEUXIUWLUWKXSJUYKUWKYEYDZUXIUXFUXEXSJUYEUX
        EYEYDZUVIUWLUWMUXHUUIUYFUUEXLXMXNUXIUWQUWPUXQUXNUEUVIUWSUWQUWPOZUXHUVIU
        WLUWMUYOUXDUUJYAZUXIUXQUXEKOZKUXNVJZUXNUXIUXFUXQUYROUYEAUXEUVOUYRNEUVKU
        XEOZUVLUYQUVNUXNKUVKUXEKXDUYSUVMUXMFQUVKUXECPXEXFXGIUYQKUXNWRFUXMQXHXIW
        SYDUXIUYQKUXNUXIUXEKUYFXLXMXNZYFUUFUXIUWKUXEUFLZKOZKFCVUAPLZQLZVJZUWPUX
        NUFLZVUAEUHZUWQUXQUFLSUXIVUEVUFSRKVUFSRVUAKVUBVUEKVUFSVUBKVUDWQUUKUXIVU
        AKVRZMZVUEVUDVUFSVUHVUEVUDOUXIVUAKKVUDUUQWAVUIVUDVUFSRUWOUXMVUIUWOUXIUW
        RVUHUYCTZYHZVUIUXMUXIUYAVUHUYGTZYHZVUIUWOUXMSRZMZVUDUWPVUFVUOFVUCUXIUVS
        VUHVUNUVIUWSUVSUXHUVTXAVQZUXIUWAVUHVUNUYBVQZVUIVUCWEJZVUNVUIUVFVUANJZVU
        HVURUXIUVFVUHUYDTZUXIVUSVUHUXIUWLUXFVUSUYKUYEUWKUXEUULYCZTUXIVUHVOCVUAW
        GYGZTWKVUOFUWOVUPVUQVUIUWRVUNVUJTWKVUIVUFVKJZVUNVUIUWPUXNVUIFUWOVUIUVIU
        VSUVIUWSUXHVUHUUMZUVTYDZVUIUVIUWAVVDUWGYDZVUJWKZVUIFUXMVVEVVFVULWKZUUNZ
        TVUIVUNUWOVUCSRZVUDUWPSRZVUOUWKUXECVUIUVFVUNVUTTUXIUWLVUHVUNUYKVQUXIUXF
        VUHVUNUYEVQVUIVUNVOYQVUIVVJVVKVUIVUCUWOVSRZVMUWPVUDVSRZVMVVJVVKVUIVVLVV
        MVUIFVUCUWOVUIUVIFYIJZVVDUWFYDZVUJVVBVUIUVIUWCVVDUVIUWBUWCUWDUUOYDZYJYK
        VUIUWOVUCVUKVUIVUCVVBYHZYLVUIVUDUWPVUIFVUCVVEVVFVVBWKZVVGYLYMYNYOVUIUWP
        VUFSRZVUNVUIKUXNSRVVSVUIUXNUXIUXNYIJVUHUXIFUXMUVIUWSVVNUXHUWFXAZUYGYPZT
        YRVUIUWPUXNVVGVVHUURYSTYTVUIUXMUWOSRZMZVUDUXNVUFVUIVUDVKJVWBVVRTVUIUXNV
        KJVWBVVHTVUIVVCVWBVVITVUIVWBUXMVUCSRZVUDUXNSRZVWCUXMCUXEUWKUFLZPLZVUCSV
        WCUXEUWKCVUIUVFVWBVUTTUXIUXFVUHVWBUYEVQUXIUWLVUHVWBUYKVQVUIVWBVOYQUXIVU
        CVWGOVUHVWBUXIVUAVWFCPUXIUWKUXEUYMUYNUUPXFVQXOVUIVWDVWEVUIVUCUXMVSRZVMU
        XNVUDVSRZVMVWDVWEVUIVWHVWIVUIFVUCUXMVVOVULVVBVVPYJYKVUIUXMVUCVUMVVQYLVU
        IVUDUXNVVRVVHYLYMYNYOVUIUXNVUFSRZVWBVUIKUWPSRVWJVUIUWPUXIUWPYIJVUHUXIFU
        WOVVTUYCYPZTYRVUIUXNUWPVVHVVGUUSYSTYTUUTUVAUXIVUFUXIUWPUXNVWKVWAUVBYRUV
        CUXIVUSVUGVUEOVVAAVUAUVOVUENEUVKVUAOZUVLVUBUVNVUDKUVKVUAKXDVWLUVMVUCFQU
        VKVUACPXEXFXGIVUBKVUDWRFVUCQXHXIWSYDUXIUWQUWPUXQUXNUFUYPUYTYFUVDUVE $.
    $}

    padic.j $e |- J = ( q e. Prime |-> ( x e. QQ |->
      if ( x = 0 , 0 , ( q ^ -u ( q pCnt x ) ) ) ) ) $.
    $( The p-adic absolute value is an absolute value.  (Contributed by Mario
       Carneiro, 9-Sep-2014.) $)
    padicabvf $p |- J : Prime --> A $=
      ( vp cprime cv wcel cq cc0 co cexp cif cmpt c1 wa wf wfn cfv wral cpc qex
      wceq cneg mptex fnmpti padicfval wn cn prmnn ad2antrr nncnd nnne0d wne cz
      cdiv df-ne pcqcl anassrs sylan2br expnegd exprecd ifeq2da mpteq2dva eqtrd
      eqtr4d cr clt wbr nnrecred nnred prmgt1 recgt1i syl2anc simpld simprd cxr
      cioo w3a 0xr 1xr elioo2 mp2an syl3anbrc eqid padicabv mpdan eqeltrd ffnfv
      wb rgen mpbir2an ) JBDUADJUBIKZDUCZBLZIJUDEJAMAKZNUGZNEKZXBWTUEOUHPOQZRDA
      MXCUFUIHUJWSIJWQJLZWRAMXANSWQUTOZWQWTUEOZPOZQZRZBXDWRAMXANWQXFUHPOZQZRXIA
      WQDEHUKXDAMXKXHXDWTMLZTZXAXJXGNXMXAULZTZXJSWQXFPOUTOXGXOWQXFXOWQXDWQUMLXL
      XNWQUNZUOZUPZXOWQXQUQZXNXMWTNURZXFUSLZWTNVAXDXLXTYAWQWTVBVCVDZVEXOWQXFXRX
      SYBVFVJVGVHVIXDXENSWBOLZXIBLXDXEVKLZNXEVLVMZXESVLVMZYCXDWQXPVNXDYEYFXDWQV
      KLSWQVLVMYEYFTXDWQXPVOWQVPWQVQVRZVSXDYEYFYGVTNWALSWALYCYDYEYFWCWNWDWENSXE
      WFWGWHABWQCXIXEFGXIWIWJWKWLWOIJBDWMWP $.

    $( All positive powers of the p-adic absolute value are absolute values.
       (Contributed by Mario Carneiro, 9-Sep-2014.) $)
    padicabvcxp $p |- ( ( P e. Prime /\ R e. RR+ ) ->
      ( y e. QQ |-> ( ( ( J ` P ) ` y ) ^c R ) ) e. A ) $=
      ( wcel wa ccxp co cc0 adantr c1 clt wbr cprime crp cfv cmpt wceq cneg cpc
      cq cv cexp cif padicval adantlr oveq1d ovif rpre adantl recnd rpne0 0cxpd
      cr wne ifeq1d syl5eq wn df-ne cmul cc pcqcl zcnd mulneg12 syl2anc mulcomd
      cz negcld eqtrd oveq2d cn c2 cuz prmuz2 eluz2b2 sylib simpld znegcld zred
      nnrpd cxpmuld renegcld 3eqtr3d nnred nnne0d cxpexpzd rpcnd rpne0d anassrs
      rpcxpcld sylan2br ifeq2da 3eqtrd mpteq2dva cioo syl rpgt0 lt0neg2d simprd
      mpbid 0red cxpltd cxp0d breqtrd cxr w3a wb 0xr 1xr elioo2 mp2an syl3anbrc
      eqid padicabv syldan eqeltrd ) DUALZFUBLZMZBUHBUIZDGUCUCZFNOZUDBUHYGPUEZP
      DFUFZNOZDYGUGOZUJOZUKZUDZCYFBUHYIYOYFYGUHLZMZYIYJPDYMUFZUJOZUKZFNOZYJPYTF
      NOZUKZYOYRYHUUAFNYDYQYHUUAUEYEADGYGHKULUMUNYRUUBYJPFNOZUUCUKUUDYJPYTFNUOY
      RYJUUEPUUCYFUUEPUEYQYFFYFFYEFVALYDFUPUQZURZYEFPVBYDFUSUQUTQVCVDYRYJUUCYNP
      YJVEYRYGPVBZUUCYNUEZYGPVFYFYQUUHUUIYFYQUUHMZMZDYSNOZFNOZYLYMNOZUUCYNUUKDY
      SFVGOZNODYKYMVGOZNOUUMUUNUUKUUOUUPDNUUKUUOYMYKVGOZUUPUUKYMVHLFVHLZUUOUUQU
      EUUKYMYDUUJYMVNLYEDYGVIUMZVJZYFUURUUJUUGQZYMFVKVLUUKYMYKUUTUUKFUVAVOVMVPV
      QUUKDYSFYFDUBLUUJYFDYFDVRLZRDSTZYFDVSVTUCLZUVBUVCMYDUVDYEDWAQDWBWCZWDZWGZ
      QZUUKYSUUKYMUUSWEZWFUVAWHUUKDYKYMUVHYFYKVALUUJYFFUUFWIZQUUTWHWJUUKUULYTFN
      UUKDYSYFDVHLUUJYFDYFDUVFWKZURZQYFDPVBUUJYFDUVFWLQUVIWMUNUUKYLYMUUKYLYFYLU
      BLZUUJYFDYKUVGUVJWQZQZWNUUKYLUVOWOUUSWMWJWPWRWSWTXAYDYEYLPRXBOLZYPCLYFYLV
      ALZPYLSTZYLRSTZUVPYFUVMUVQUVNYLUPXCYFUVMUVRUVNYLXDXCYFYLDPNOZRSYFYKPSTZYL
      UVTSTYFPFSTZUWAYEUWBYDFXDUQYFFUUFXEXGYFDYKPUVKYFUVBUVCUVEXFUVJYFXHXIXGYFD
      UVLXJXKPXLLRXLLUVPUVQUVRUVSXMXNXOXPPRYLXQXRXSBCDEYPYLIJYPXTYAYBYC $.

    ostth.k $e |- K = ( x e. QQ |-> if ( x = 0 , 0 , 1 ) ) $.
    $d x F $.
    ${
      ostth.1 $e |- ( ph -> F e. A ) $.
      ${
        ostth1.2 $e |- ( ph -> A. n e. NN -. 1 < ( F ` n ) ) $.
        ostth1.3 $e |- ( ph -> A. n e. Prime -. ( F ` n ) < 1 ) $.
        $( - Lemma for ~ ostth : trivial case.  (Not that the proof is trivial,
           but that we are proving that the function is trivial.)  If ` F ` is
           equal to ` 1 ` on the primes, then by complete induction and the
           multiplicative property ~ abvmul of the absolute value, ` F ` is
           equal to ` 1 ` on all the integers, and ~ ostthlem1 extends this to
           the other rational numbers.  (Contributed by Mario Carneiro,
           10-Sep-2014.) $)
        ostth1 $p |- ( ph -> F = K ) $=
          ( wcel cc0 c1 wceq cdr qdrng cq qrngbas qrng0 abvtriv mp1i cprime cfv
          cv wa clt wbr wn r19.21bi cn prmnn sylan2 cr nnq syl abvcl syl2an 1re
          lttri3 sylancl mpbir2and adantl cif eqeq1 ifbid c0ex ifex fvmpt nnne0
          wb 1ex neneqd iffalsed eqtrd eqtr4d ostthlem2 ) ACDFHEJKNDUAQHCQADJUB
          BCUCDHRKDJUDZDJUEMUFUGAEUJZUHQZUKZWDFUIZSWDHUIZWFWGSTZWGSULUMUNZSWGUL
          UMUNZAWJEUHPUOWEAWDUPQZWKWDUQZAWKEUPOUOURWFWGUSQZSUSQWIWJWKUKVPAFCQWD
          UCQZWNWENWEWLWOWMWDUTZVACUCDFWDKWCVBVCVDWGSVEVFVGWFWLWHSTWEWLAWMVHWLW
          HWDRTZRSVIZSWLWOWHWRTWPBWDBUJZRTZRSVIWRUCHWSWDTWTWQRSWSWDRVJVKMWQRSVL
          VQVMVNVAWLWQRSWLWDRWDVOVRVSVTVAWAWB $.
      $}

      ${
        ostth2.2 $e |- ( ph -> N e. ( ZZ>= ` 2 ) ) $.
        ostth2.3 $e |- ( ph -> 1 < ( F ` N ) ) $.
        ostth2.4 $e |- R = ( ( log ` ( F ` N ) ) / ( log ` N ) ) $.
        ${
          ostth2.5 $e |- ( ph -> M e. ( ZZ>= ` 2 ) ) $.
          ostth2.6 $e |- S = ( ( log ` ( F ` M ) ) / ( log ` M ) ) $.
          ostth2.7 $e |- T = if ( ( F ` M ) <_ 1 , 1 , ( F ` M ) ) $.
          $( Lemma for ~ ostth2 .  (Contributed by Mario Carneiro,
             10-Sep-2014.) $)
          ostth2lem2 $p |- ( ( ph /\ X e. NN0 /\
            Y e. ( 0 ... ( ( M ^ X ) - 1 ) ) ) ->
              ( F ` Y ) <_ ( ( M x. X ) x. ( T ^ X ) ) ) $=
            ( vk vn vj cn0 wcel cc0 cexp co c1 cmin cfz cfv cmul cle wa cv wral
            wbr wi caddc wceq oveq1d oveq2d oveq12d breq2d raleqbidv imbi2d weq
            oveq2 c2 cuz eluz2nn syl nncnd exp0d 1m1e0 eqtrdi eleq2d 0le0 qrng0
            cn a1i abv0 mul01d cc cif cr 1re qrngbas abvcl syl2anc ifcl sylancr
            nnq eqeltrid recnd 0nn0 expcl sylancl mul02d 3brtr4d elfz1eq fveq2d
            cq eqtrd breq1d sylbid ralrimiv fveq2 cbvralvw ad2antrr cz ad2antrl
            syl5ibrcom zq nnexpcld reexpcld zred remulcld nnred ad2antlr ccnfld
            cvv qex ax-mp syl3anc clt nngt0d wb mpbid syl112anc letrd breqtrrdi
            nnzd cmo cfl elfzelz simplr zmodcld nn0zd nndivred readdcld nn0p1nn
            cdiv flcld peano2nn0 qmulcl cplusg cnfldadd ressplusg abvtri modval
            crp nnrpd qcn npcand cmulr cnfldmul ressmulr abvmul qabvexp 3brtr3d
            nn0re simprr zmodfz rspcdva mulcomd abvge0 expge0d elfzle1 syl22anc
            divge0 flge0nn0 qabvle w3a simprl 0z elfzm11 simp3d expp1d ltdivmul
            breqtrd mpbird fllt ltled lemul1ad eqbrtrd nn0ge0d leexp1a syl32anc
            nnnn0d max1 lemul2ad le2addd adddid mulid1d mulcld adddird breqtrrd
            nn0cn 1cnd max2 nn0z uzid peano2uz leexp2ad nnmulcld expr ralrimdva
            lemul2 syl5bi expcom a2d nn0ind impcom rspccv 3impia ) AMUJUKZNULKM
            UMUNZUOUPUNZUQUNZUKZNHURZKMUSUNZGMUMUNZUSUNZUTVDZAUYDVAUGVBZHURZUYL
            UTVDZUGUYGVCZUYHUYMVEUYDAUYQAUYOKBVBZUSUNZGUYRUMUNZUSUNZUTVDZUGULKU
            YRUMUNZUOUPUNZUQUNZVCZVEAUYOKULUSUNZGULUMUNZUSUNZUTVDZUGULKULUMUNZU
            OUPUNZUQUNZVCZVEAUYOKUHVBZUSUNZGVUOUMUNZUSUNZUTVDZUGULKVUOUMUNZUOUP
            UNZUQUNZVCZVEAUYOKVUOUOVFUNZUSUNZGVVDUMUNZUSUNZUTVDZUGULKVVDUMUNZUO
            UPUNZUQUNZVCZVEAUYQVEBUHMUYRULVGZVUFVUNAVVMVUBVUJUGVUEVUMVVMVUDVULU
            LUQVVMVUCVUKUOUPUYRULKUMVOVHVIVVMVUAVUIUYOUTVVMUYSVUGUYTVUHUSUYRULK
            USVOUYRULGUMVOVJVKVLVMBUHVNZVUFVVCAVVNVUBVUSUGVUEVVBVVNVUDVVAULUQVV
            NVUCVUTUOUPUYRVUOKUMVOVHVIVVNVUAVURUYOUTVVNUYSVUPUYTVUQUSUYRVUOKUSV
            OUYRVUOGUMVOVJVKVLVMUYRVVDVGZVUFVVLAVVOVUBVVHUGVUEVVKVVOVUDVVJULUQV
            VOVUCVVIUOUPUYRVVDKUMVOVHVIVVOVUAVVGUYOUTVVOUYSVVEUYTVVFUSUYRVVDKUS
            VOUYRVVDGUMVOVJVKVLVMUYRMVGZVUFUYQAVVPVUBUYPUGVUEUYGVVPVUDUYFULUQVV
            PVUCUYEUOUPUYRMKUMVOVHVIVVPVUAUYLUYOUTVVPUYSUYJUYTUYKUSUYRMKUSVOUYR
            MGUMVOVJVKVLVMAVUJUGVUMAUYNVUMUKUYNULULUQUNZUKZVUJAVUMVVQUYNAVULULU
            LUQAVULUOUOUPUNULAVUKUOUOUPAKAKAKVPVQURUKKWGUKZUDKVRVSZVTZWAVHWBWCV
            IWDAVUJVVRULHURZVUIUTVDAULULVWBVUIUTULULUTVDAWEWHAHCUKZVWBULVGTCDHU
            LQDPWFWIVSAVUIULVUHUSUNULAVUGULVUHUSAKVWAWJVHAVUHAGWKUKULUJUKVUHWKU
            KAGAGKHURZUOUTVDZUOVWDWLZWMUFAUOWMUKZVWDWMUKZVWFWMUKWNAVWCKXJUKZVWH
            TAVVSVWIVVTKWTZVSCXJDHKQDPWOZWPZWQVWEUOVWDWMWRWSXAZXBXCGULXDXEXFXKX
            GVVRUYOVWBVUIUTVVRUYNULHUYNULXHXIXLXTXMXNVUOUJUKZAVVCVVLAVWNVVCVVLV
            EVVCUIVBZHURZVURUTVDZUIVVBVCZAVWNVAZVVLVUSVWQUGUIVVBUGUIVNUYOVWPVUR
            UTUYNVWOHXOXLXPVWSVWRVVHUGVVKVWSUYNVVKUKZVWRVVHVWSVWTVWRVAZVAZUYOUY
            NVUTUUAUNZHURZVWDVUOUMUNZUYNVUTUUJUNZUUBURZHURZUSUNZVFUNZVVGVXBVWCU
            YNXJUKZUYOWMUKAVWCVWNVXATXQZVXBUYNXRUKZVXKVWTVXMVWSVWRUYNULVVJUUCXS
            ZUYNYAVSCXJDHUYNQVWKWPWQVXBVXDVXIVXBVWCVXCXJUKZVXDWMUKVXLVXBVXCXRUK
            VXOVXBVXCVXBUYNVUTVXNVXBKVUOAVVSVWNVXAVVTXQZAVWNVXAUUDZYBZUUEUUFVXC
            YAVSZCXJDHVXCQVWKWPWQZVXBVXEVXHVXBVWDVUOVXBVWCVWIVWHVXLVXBVVSVWIVXP
            VWJVSZVWLWQZVXQYCZVXBVWCVXGXJUKZVXHWMUKVXLVXBVXGXRUKVYDVXBVXFVXBUYN
            VUTVXBUYNVXNYDZVXRUUGZUUKZVXGYAVSZCXJDHVXGQVWKWPWQZYEZUUHZVXBVVEVVF
            VXBKVVDVXBKVXPYFZVXBVVDVWNVVDWGUKAVXAVUOUUIYGZYFYEZVXBGVVDAGWMUKZVW
            NVXAVWMXQZVWNVVDUJUKAVXAVUOUULYGZYCZYEZVXBVXCVUTVXGUSUNZVFUNZHURZVX
            DVYTHURZVFUNZUYOVXJUTVXBVWCVXOVYTXJUKZWUBWUDUTVDVXLVXSVXBVUTXJUKZVY
            DWUEVXBVUTWGUKZWUFVXRVUTWTVSZVYHVUTVXGUUMWQZCXJVFDHVXCVYTQVWKXJYIUK
            ZVFDUUNURVGYJXJVFYHDYIPUUOUUPYKUUQYLVXBWUAUYNHVXBWUAUYNVYTUPUNZVYTV
            FUNUYNVXBVXCWUKVYTVFVXBUYNWMUKZVUTUUSUKVXCWUKVGVYEVXBVUTVXRUUTUYNVU
            TUURWQVHVXBUYNVYTVXBUYNVYEXBVXBWUEVYTWKUKWUIVYTUVAVSUVBXKXIVXBWUCVX
            IVXDVFVXBWUCVUTHURZVXHUSUNZVXIVXBVWCWUFVYDWUCWUNVGVXLWUHVYHCXJDUSHV
            UTVXGQVWKWUJUSDUVCURVGYJXJYHDUSYIPUVDUVEYKUVFYLVXBWUMVXEVXHUSVXBVWC
            VWIVWNWUMVXEVGVXLVYAVXQCDHKVUOPQUVGYLVHXKVIUVHVXBVXJVVEVUQUSUNZVVGV
            YKVXBVVEVUQVYNVXBGVUOVYPVXQYCZYEVYSVXBVXJVURKVUQUSUNZVFUNZWUOUTVXBV
            XDVXIVURWUQVXTVYJVXBVUPVUQVXBKVUOVYLVWNVUOWMUKAVXAVUOUVIYGYEWUPYEVX
            BKVUQVYLWUPYEZVXBVWQVXDVURUTVDUIVVBVXCVWOVXCVGVWPVXDVURUTVWOVXCHXOX
            LVWSVWTVWRUVJVXBVXMWUGVXCVVBUKVXNVXRUYNVUTUVKWQUVLVXBVXIKVXEUSUNZWU
            QVYJVXBKVXEVYLVYCYEWUSVXBVXIVXHVXEUSUNWUTUTVXBVXEVXHVXBVXEVYCXBVXBV
            XHVYIXBUVMVXBVXHKVXEVYIVYLVYCVXBVWDVUOVYBVXQVXBVWCVWIULVWDUTVDZVXLV
            YACXJDHKQVWKUVNWQZUVOVXBVXHVXGKVYIVXBVXGVYGYDZVYLVXBVWCVXGUJUKZVXHV
            XGUTVDVXLVXBVXFWMUKZULVXFUTVDZWVDVYFVXBWULULUYNUTVDZVUTWMUKZULVUTYM
            VDZWVFVYEVWTWVGVWSVWRUYNULVVJUVPXSVXBVUTVXRYFZVXBVUTVXRYNZUYNVUTUVR
            UVQVXFUVSWQCDHVXGPQUVTWQVXBVXGKWVCVYLVXBVXFKYMVDZVXGKYMVDZVXBWVLUYN
            VUTKUSUNZYMVDZVXBUYNVVIWVNYMVXBVXMWVGUYNVVIYMVDZVXBVWTVXMWVGWVPUWAZ
            VWSVWTVWRUWBVXBULXRUKVVIXRUKVWTWVQYOUWCVXBVVIVXBKVVDVXPVYQYBYTUYNUL
            VVIUWDWSYPUWEVXBKVUOVXBKVXPVTZVXQUWFUWHVXBWULKWMUKWVHWVIWVLWVOYOVYE
            VYLWVJWVKUYNKVUTUWGYQUWIVXBWVEKXRUKWVLWVMYOVYFVXBKVXPYTVXFKUWJWQYPU
            WKYRUWLUWMVXBVXEVUQKVYCWUPVYLVXBKVXBKVXPUWQUWNVXBVWHVYOVWNWVAVWDGUT
            VDVXEVUQUTVDVYBVYPVXQWVBVXBVWDVWFGUTVXBVWHVWGVWDVWFUTVDVYBWNVWDUOUW
            RXEUFYSVWDGVUOUWOUWPUWSYRUWTVXBWUOVUPKVFUNZVUQUSUNWURVXBVVEWVSVUQUS
            VXBVVEVUPKUOUSUNZVFUNWVSVXBKVUOUOWVRVWNVUOWKUKAVXAVUOUXFYGZVXBUXGUX
            AVXBWVTKVUPVFVXBKWVRUXBVIXKVHVXBVUPKVUQVXBKVUOWVRWWAUXCWVRVXBVUQWUP
            XBUXDXKUXEVXBVUQVVFUTVDZWUOVVGUTVDZVXBGVUOVVDVYPVXBUOVWFGUTVXBVWHVW
            GUOVWFUTVDVYBWNVWDUOUXHXEUFYSVXBVUOVUOVQURZUKZVVDWWDUKVXBVUOXRUKZWW
            EVWNWWFAVXAVUOUXIYGVUOUXJVSVUOVUOUXKVSUXLVXBVUQWMUKVVFWMUKVVEWMUKUL
            VVEYMVDWWBWWCYOWUPVYRVYNVXBVVEVXBKVVDVXPVYMUXMYNVUQVVFVVEUXPYQYPYRY
            RUXNUXOUXQUXRUXSUXTUYAUYPUYMUGNUYGUYNNVGUYOUYIUYLUTUYNNHXOXLUYBVSUY
            C $.

          ostth2.8 $e |- U = ( ( log ` N ) / ( log ` M ) ) $.
          $( Lemma for ~ ostth2 .  (Contributed by Mario Carneiro,
             10-Sep-2014.) $)
          ostth2lem3 $p |- ( ( ph /\ X e. NN ) ->
            ( ( ( F ` N ) / ( T ^c U ) ) ^ X ) <_
            ( X x. ( ( M x. T ) x. ( U + 1 ) ) ) ) $=
            ( cn wcel wa cfv ccxp co cdiv cexp cmul c1 caddc cle cr clt wbr cuz
            cq c2 eluz2b2 sylib simpld nnq syl qrngbas abvcl syl2anc adantr cif
            recnd 1re ifcl sylancr eqeltrid cc0 0red 1red 0lt1 a1i max2 ltletrd
            breqtrrdi elrpd rpge0d clog nnred simprd rplogcld rpdivcld recxpcld
            crp rpred rpcxpcld rpne0d cn0 nnnn0 adantl expdivd cfl reexpcl nnre
            syl2an remulcld nn0ge0d flge0nn0 peano2nn0 nn0red reexpcld peano2re
            mulge0d wceq qabvexp syl2an3an ce cc mulcld eqbrtrrd wb mpbid nnrpd
            cmin cz reexplog mpbird oveq2d eqtrd letrd lemul2 syl112anc breqtrd
            cxpexp eqbrtrd mulgt0d mul12d divassd oveq2i oveq1d divcan1d eqtr3d
            cfz eqtr4di flltp1 ltmul1dd eflt nnz nn0zd 3brtr4d nnexpcl nnexpcld
            nnltlem1 nnnn0d nn0uz eleqtrdi nnzd peano2zm elfz5 wi 3expia syldan
            ostth2lem2 mpd flle leadd1dd nnge1 leadd2dd adddid mulid1d breqtrrd
            nngt0d expgt0 syl3anc lemul1 expp1d remulcl mulcomd cxplead cxpmuld
            3brtr3d lemul1d nngt0 rpgt0d ltp1d lttrd mul32d rpexpcld ledivmuld
            ) ANUHUIZUJZMIUKZGHULUMZUNUMNUOUMUWONUOUMZUWPNUOUMZUNUMZNLGUPUMZHUQ
            URUMZUPUMZUPUMZUSUWNUWOUWPNUWNUWOAUWOUTUIZUWMAICUIZMVDUIZUXDTAMUHUI
            ZUXFAUXGUQMVAVBZAMVEVCUKZUIUXGUXHUJUAMVFVGZVHZMVIVJZCVDDIMQDPVKZVLV
            MZVNVPUWNUWPUWNGHAGUTUIZUWMAGLIUKZUQUSVBZUQUXPVOZUTUFAUQUTUIZUXPUTU
            IZUXRUTUIVQAUXELVDUIZUXTTALUHUIZUYAAUYBUQLVAVBZALUXIUIUYBUYCUJUDLVF
            VGZVHZLVIVJCVDDILQUXMVLVMZUXQUQUXPUTVRVSVTZVNZUWNGUWNGUYHAWAGVAVBZU
            WMAWAUQGAWBAWCZUYGWAUQVAVBAWDWEAUQUXRGUSAUXTUXSUQUXRUSVBUYFUYJUXPUQ
            WFVMUFWHZWGVNZWIZWJAHUTUIZUWMAHAHMWKUKZLWKUKZUNUMZWQUGAUYOUYPAMAMUX
            KWLAUXGUXHUXJWMWNZALALUYEWLAUYBUYCUYDWMWNZWOVTZWRZVNZWPZVPZUWNUWPUW
            NGHUYMVUBWSZWTUWMNXAUIZANXBZXCZXDUWNUWSUXCUSVBUWQUWRUXCUPUMZUSVBUWN
            UWQLNUXAUPUMZUPUMZUWRGUPUMZUPUMZVUIUSUWNUWQLNHUPUMZXEUKZUQURUMZUPUM
            ZGVUPUOUMZUPUMZVUMAUXDVUFUWQUTUIUWMUXNVUGUWONXFXHZUWNVUQVURUWNLVUPU
            WNLAUYBUWMUYEVNZWLZUWNVUPUWNVUOXAUIZVUPXAUIZUWNVUNUTUIZWAVUNUSVBVVC
            UWNNHUWMNUTUIZANXGZXCZVUBXIZUWNNHVVHVUBUWNNVUHXJAWAHUSVBUWMAHUYTWJV
            NXPVUNXKVMZVUOXLVJZXMZXIZUWNGVUPUYHVVKXNZXIZUWNVUKVULUWNLVUJVVBUWNN
            UXAVVHUWNUYNUXAUTUIVUBHXOVJZXIZXIZUWNUWRGUWNUWPNVUCVUHXNZUYHXIZXIZU
            WNMNUOUMZIUKZUWQVUSUSAUXEUXFUWMVUFVWCUWQXQTUXLVUGCDIMNPQXRXSUWNVWBW
            ALVUPUOUMZUQYGUMZUUFUMUIZVWCVUSUSVBZUWNVWFVWBVWEUSVBZUWNVWBVWDVAVBZ
            VWHUWNNUYOUPUMZXTUKZVUPUYPUPUMZXTUKZVWBVWDVAUWNVWJVWLVAVBZVWKVWMVAV
            BZUWNVUNUYPUPUMZVWJVWLVAUWNVWJUYPUNUMZUYPUPUMVWPVWJUWNVWQVUNUYPUPUW
            NVWQNUYQUPUMVUNUWNNUYOUYPUWNNVVHVPZAUYOYAUIUWMAUYOAUYOUYRWRZVPVNZAU
            YPYAUIUWMAUYPAUYPUYSWRZVPVNZUWNUYPAUYPWQUIUWMUYSVNZWTZUUAHUYQNUPUGU
            UBUUGUUCUWNVWJUYPUWNNUYOVWRVWTYBVXBVXDUUDUUEUWNVUNVUPUYPVVIVVLVXCUW
            NVVEVUNVUPVAVBVVIVUNUUHVJUUIYCUWNVWJUTUIVWLUTUIVWNVWOYDUWNNUYOVVHAU
            YOUTUIUWMVWSVNXIUWNVUPUYPVVLAUYPUTUIUWMVXAVNXIVWJVWLUUJVMYEAMWQUINY
            HUIZVWBVWKXQUWMAMUXKYFNUUKZMNYIXHUWNLWQUIVUPYHUIZVWDVWMXQUWNLVVAYFU
            WNVUPVVKUULZLVUPYIVMUUMUWNVWBUHUIZVWDUHUIVWIVWHYDAUXGVUFVXIUWMUXKVU
            GMNUUNXHZUWNLVUPVVAVVKUUOZVWBVWDUUPVMYEUWNVWBWAVCUKZUIVWEYHUIZVWFVW
            HYDUWNVWBXAVXLUWNVWBVXJUUQUURUUSUWNVWDYHUIVXMUWNVWDVXKUUTVWDUVAVJVW
            BWAVWEUVBVMYJAUWMVVDVWFVWGUVCVVKAVVDVWFVWGABCDEFGIJKLMVUPVWBOPQRSTU
            AUBUCUDUEUFUVFUVDUVEUVGYCUWNVUSVUKVURUPUMZVUMVVOUWNVUKVURVVRVVNXIVW
            AUWNVUQVUKUSVBZVUSVXNUSVBZUWNVUPVUJUSVBZVXOUWNVUPVUNUQURUMZVUJVVLUW
            NVVEVXRUTUIVVIVUNXOVJVVQUWNVUOVUNUQUWNVUOVVJXMZVVIUWNWCZUWNVVEVUOVU
            NUSVBVVIVUNUVHVJZUVIUWNVXRVUNNURUMZVUJUSUWNUQNVUNVXTVVHVVIUWMUQNUSV
            BANUVJXCUVKUWNVUJVUNNUQUPUMZURUMVYBUWNNHUQVWRUWNHVUBVPZUWNUQVXTVPUV
            LUWNVYCNVUNURUWNNVWRUVMYKYLUVNYMUWNVUPUTUIVUJUTUILUTUIWALVAVBVXQVXO
            YDVVLVVQVVBUWNLVVAUVOZVUPVUJLYNYOYEUWNVUQUTUIVUKUTUIZVURUTUIZWAVURV
            AVBZVXOVXPYDVVMVVRVVNUWNUXOVXGUYIVYHUYHVXHUYLGVUPUVPUVQVUQVUKVURUVR
            YOYEUWNVURVULUSVBZVXNVUMUSVBZUWNVURGVUOUOUMZGUPUMZVULUSUWNGVUOUWNGU
            YHVPZVVJUVSUWNVYKUWRUSVBVYLVULUSVBUWNGVUOULUMZGHNUPUMZULUMZVYKUWRUS
            UWNGVUOVYOUYHAUQGUSVBUWMUYKVNVXSAUYNVVFVYOUTUIUWMVUAVVGHNUVTXHUWNVU
            OVUNVYOUSVYAUWNNHVWRVYDUWAYPUWBUWNGYAUIVVCVYNVYKXQVYMVVJGVUOYQVMUWN
            VYPUWPNULUMZUWRUWNGHNUYMVUBVWRUWCUWNUWPYAUIVUFVYQUWRXQVUDVUHUWPNYQV
            MYLUWDUWNVYKUWRGUWNGVUOUYHVVJXNVVSUYMUWEYEYRUWNVYGVULUTUIVYFWAVUKVA
            VBVYIVYJYDVVNVVTVVRUWNLVUJVVBVVQVYEUWNNUXAVVHVVPUWMWANVAVBANUWFXCUW
            NWAHUXAUWNWBVUBVVPUWNHAHWQUIUWMUYTVNUWGUWNHVUBUWHUWIYSYSVURVULVUKYN
            YOYEYMYMUWNVUMUWRVUKGUPUMZUPUMVUIUWNVUKUWRGUWNVUKVVRVPUWNUWRVVSVPVY
            MYTUWNVYRUXCUWRUPUWNVYRUWTVUJUPUMUXCUWNLVUJGUWNLVVBVPZUWNVUJVVQVPVY
            MUWJUWNUWTNUXAUWNLGVYSVYMYBVWRUWNUXAVVPVPYTYLYKYLYPUWNUWQUXCUWRVUTU
            WNNUXBVVHUWNUWTUXAUWNLGVVBUYHXIVVPXIXIUWNUWPNVUEUWMVXEAVXFXCUWKUWLY
            JYR $.

          $( Lemma for ~ ostth2 .  (Contributed by Mario Carneiro,
             10-Sep-2014.) $)
          ostth2lem4 $p |- ( ph -> ( 1 < ( F ` M ) /\ R <_ S ) ) $=
            ( vn c1 cfv clt wbr cle wn cr wcel wb 1re cq cn c2 wa eluz2b2 sylib
            cuz simpld nnq syl qrngbas abvcl syl2anc ltnle sylancr ccxp co cmul
            mpbid cdiv caddc cif ifcl eqeltrid cc0 0red a1i 0lt1 max2 breqtrrdi
            sylancl ltletrd elrpd clog nnrpd relogcld nnred rplogcld rerpdivcld
            rpcxpcld remulcld peano2re cv ostth2lem3 ostth2lem1 ledivmuld rpcnd
            simprd mulid1d breqtrd adantr iftrue syl5eq oveq1d sylan9eqr mpbird
            recnd 1cxpd mtand lttrd reeflogd wceq iffalse rpne0d cxpefd 3brtr4d
            ce eqtr2d efle div12d oveq2i eqtr4di mulcomd eqtrd breqtrrd 3brtr4g
            jca ) AUHLIUIZUJUKZEFULUKAYPYOUHULUKZUMZAYQMIUIZUHULUKZAUHYSUJUKZYT
            UMZUAAUHUNUOZYSUNUOZUUAUUBUPUQAICUOZMURUOZUUDSAMUSUOZUUFAUUGUHMUJUK
            ZAMUTVDUIZUOUUGUUHVATMVBVCZVEZMVFVGCURDIMPDOVHZVIVJZUHYSVKVLVPAYQVA
            YSGHVMVNZUHULAYSUUNULUKYQAYSUUNUHVOVNZUUNULAYSUUNVQVNZUHULUKYSUUOUL
            UKAUUPLGVOVNZHUHVRVNZVOVNUGAYSUUNUUMAGHAGAGYQUHYOVSZUNUEAUUCYOUNUOZ
            UUSUNUOUQAUUELURUOZUUTSALUSUOZUVAAUVBUHLUJUKZALUUIUOUVBUVCVAUCLVBVC
            ZVEZLVFVGCURDILPUULVIVJZYQUHYOUNVTVLWAZAWBUHGAWCZUUCAUQWDZUVGWBUHUJ
            UKAWEWDZAUHUUSGULAUUTUUCUHUUSULUKUVFUQYOUHWFWHUEWGWIWJAHMWKUIZLWKUI
            ZVQVNZUNUFAUVKUVLAMAMUUKWLWMZALALUVEWNZAUVBUVCUVDXEWOZWPWAZWQZWPAUU
            QUURALGUVOUVGWRAHUNUOUURUNUOUVQHWSVGWRABCDEFGHIJKLMUGWTNOPQRSTUAUBU
            CUDUEUFXAXBAYSUHUUNUUMUVIUVRXCVPAUUNAUUNUVRXDXFXGZXHYQAUUNUHHVMVNUH
            YQGUHHVMYQGUUSUHUEYQUHYOXIXJXKAHAHUVQXNZXOXLXGXPZAUUCUUTYPYRUPUQUVF
            UHYOVKVLXMZAYSWKUIZUVKVQVNZYOWKUIZUVLVQVNZEFULAUWDUWFULUKUWCUVKUWFV
            OVNZULUKAUWCHUWEVOVNZUWGULAUWCUWHULUKZUWCYDUIZUWHYDUIZULUKZAYSUUNUW
            JUWKULUVSAYSAYSUUMAWBUHYSUVHUVIUUMUVJUAXQWJZXRAUUNYOHVMVNUWKAGYOHVM
            AYRGYOXSUWAYRGUUSYOUEYQUHYOXTXJVGXKAYOHAYOUVFXNAYOAYOUVFAWBUHYOUVHU
            VIUVFUVJUWBXQWJZYAUVTYBYEYCAUWCUNUOUWHUNUOUWIUWLUPAYSUWMWMZAHUWEUVQ
            AYOUWNWMZWRUWCUWHYFVJXMAUWGUWEHVOVNZUWHAUWGUWEUVMVOVNUWQAUVKUWEUVLA
            UVKUVNXNAUWEUWPXNZAUVLUVPXDAUVLUVPYAYGHUVMUWEVOUFYHYIAUWEHUWRUVTYJY
            KYLAUWCUWFUVKUWOAUWEUVLUWPUVPWPAMAMUUKWNAUUGUUHUUJXEWOXCXMUBUDYMYN
            $.
        $}

        $( - Lemma for ~ ostth : regular case.  (Contributed by Mario Carneiro,
           10-Sep-2014.) $)
        ostth2 $p |- ( ph -> E. a e. ( 0 (,] 1 )
          F = ( y e. QQ |-> ( ( abs ` y ) ^c a ) ) ) $=
          ( vz cc0 c1 cioc co wcel cq cv cabs cfv ccxp cmpt wceq cr clt wbr cle
          wrex clog crp cn c2 cuz wa eluz2b2 sylib simpld nnq syl qrngbas abvcl
          cdiv syl2anc rplogcld nnred simprd rpdivcld eqeltrid rpred rpgt0d cn0
          ce nnnn0d qabvle wne nnne0d qrng0 abvgt0 syl3anc elrpd reeflogd nnrpd
          cmul 3brtr4d wb relogcld efle mpbird rpcnd mulid1d breqtrrd ledivmuld
          1red eqbrtrid cxr w3a 0xr elioc2 mp2an syl3anbrc qabsabv fvres oveq1d
          1re cres mpteq2ia eqcomi abvcxp sylancr cz eluzelz zq fveq2 eqid ovex
          fvmpt 3syl adantl simpr nn0ge0d absidd recnd adantr cxpefd ostth2lem4
          cc cif ef0 0re eflt gt0ne0d redivcld letri3d mpbir2and divcan1d eqtrd
          fveq2d 3eqtrd 3eqtrrd ostthlem1 oveq2 mpteq2dv rspceeqv ) AFUBUCUDUEZ
          UFZGCUGCUHZUIUJZFUKUEZULZUMGCUGUUQLUHZUKUEZULZUMLUUNURAFUNUFZUBFUOUPZ
          FUCUQUPZUUOAFAFJGUJZUSUJZJUSUJZVLUEZUTTAUVGUVHAUVFAGDUFZJUGUFZUVFUNUF
          QAJVAUFZUVKAUVLUCJUOUPZAJVBVCUJZUFZUVLUVMVDRJVEVFZVGZJVHVIZDUGEGJNEMV
          JZVKVMZSVNZAJAJUVQVOAUVLUVMUVPVPVNZVQVRZVSZAFUWCVTAFUVIUCUQTAUVIUCUQU
          PUVGUVHUCWMUEZUQUPAUVGUVHUWEUQAUVGUVHUQUPZUVGWBUJZUVHWBUJZUQUPZAUVFJU
          WGUWHUQAUVJJWAUFUVFJUQUPQAJUVQWCDEGJMNWDVMAUVFAUVFUVTAUVJUVKJUBWEUBUV
          FUOUPQUVRAJUVQWFDUGEGJUBNUVSEMWGZWHWIWJWKAJAJUVQWLZWKWNAUVGUNUFUVHUNU
          FUWFUWIWOAUVGUWAVSZAJUWKWPUVGUVHWQVMWRAUVHAUVHUWBWSWTXAAUVGUCUVHUWLAX
          CUWBXBWRXDUBXEUFUCUNUFUUOUVCUVDUVEXFWOXGXNUBUCFXHXIXJZADEUAGUUSMNQAUI
          UGXOZDUFUUOUUSDUFDEMNXKUWMCDUGEFUWNUUSNUVSCUGUUPUWNUJZFUKUEZULUUSCUGU
          WPUURUUPUGUFUWOUUQFUKUUPUGUIXLXMXPXQXRXSAUAUHZUVNUFZVDZUWQUUSUJZUWQUI
          UJZFUKUEZUWQFUKUEZUWQGUJZUWRUWTUXBUMZAUWRUWQXTUFZUWQUGUFZUXEVBUWQYAZU
          WQYBZCUWQUURUXBUGUUSUUPUWQUMUUQUXAFUKUUPUWQUIYCXMUUSYDUXAFUKYEYFYGYHU
          WSUXAUWQFUKUWSUWQUWSUWQUWSUWQVAUFZUCUWQUOUPZUWSUWRUXJUXKVDAUWRYIZUWQV
          EVFZVGZVOZUWSUWQUWSUWQUXNWCYJYKXMUWSUXCFUWQUSUJZWMUEZWBUJUXDUSUJZWBUJ
          UXDUWSUWQFUWSUWQUXOYLUWSUWQUXNWFZAFYPUFUWRAFUWCWSYMYNUWSUXQUXRWBUWSUX
          QUXRUXPVLUEZUXPWMUEUXRUWSFUXTUXPWMUWSFUXTUMFUXTUQUPZUXTFUQUPZUWSUCUXD
          UOUPZUYAUWSBDEFUXTUXDUCUQUPUCUXDYQZUVHUXPVLUEZGHIUWQJKMNOPAUVJUWRQYMZ
          AUVOUWRRYMZAUCUVFUOUPZUWRSYMTUXLUXTYDZUYDYDUYEYDYOZVPUWSUYHUYBUWSBDEU
          XTFUVFUCUQUPUCUVFYQZUXPUVHVLUEZGHIJUWQKMNOPUYFUXLUWSUYCUYAUYJVGUYIUYG
          TUYKYDUYLYDYOVPUWSFUXTAUVCUWRUWDYMUWSUXRUXPUWSUXDUWSUXDUWSUVJUXGUXDUN
          UFUYFUWSUXFUXGUWRUXFAUXHYHUXIVIZDUGEGUWQNUVSVKVMUWSUVJUXGUWQUBWEUBUXD
          UOUPUYFUYMUXSDUGEGUWQUBNUVSUWJWHWIWJZWPZUWSUWQUWSUWQUXNWLZWPZUWSUXPUW
          SUBUXPUOUPZUBWBUJZUXPWBUJZUOUPZUWSUYSUCUYTUOYRUWSUCUWQUYTUOUWSUXJUXKU
          XMVPUWSUWQUYPWKXAXDUWSUBUNUFUXPUNUFUYRVUAWOYSUYQUBUXPYTXSWRUUAZUUBUUC
          UUDXMUWSUXRUXPUWSUXRUYOYLUWSUXPUYQYLVUBUUEUUFUUGUWSUXDUYNWKUUHUUIUUJL
          FUUNUVBUUSGUUTFUMCUGUVAUURUUTFUUQUKUUKUULUUMVM $.
      $}

      ${
        ostth3.2 $e |- ( ph -> A. n e. NN -. 1 < ( F ` n ) ) $.
        ostth3.3 $e |- ( ph -> P e. Prime ) $.
        ostth3.4 $e |- ( ph -> ( F ` P ) < 1 ) $.
        ostth3.5 $e |- R = -u ( ( log ` ( F ` P ) ) / ( log ` P ) ) $.
        ostth3.6 $e |- S =
          if ( ( F ` P ) <_ ( F ` p ) , ( F ` p ) , ( F ` P ) ) $.
        $( - Lemma for ~ ostth : p-adic case.  (Contributed by Mario Carneiro,
           10-Sep-2014.) $)
        ostth3 $p |- ( ph -> E. a e. RR+
          F = ( y e. QQ |-> ( ( ( J ` P ) ` y ) ^c a ) ) ) $=
          ( vk vb crp wcel cq cv ccxp co cmpt wceq wrex clog cdiv cneg cr cn c1
          cfv clt wbr c2 wa cprime syl nnq abvcl syl2anc cc0 wne nnne0d syl3anc
          abvgt0 elrpd eqeltrid cmul wb sylancl mpbid breqtrrd mpbird breqtrrdi
          rpcnd wi fveq2 oveq1d eqid ovex cpc cexp cif padicval neneqd iffalsed
          fvmpt oveq2d negeqd a1i 3eqtrd recnd eqtrd rpne0d adantr ad2antlr weq
          cz ce cc ad2antrr wn syl2an 2re adantrr simprr breq1 adantl ad3antrrr
          cle cgcd caddc nnexpcl nnzd mpd zq qmulcl rpred cvv qex ad2antrl wral
          ccnfld breq1d 1re rspcdva letrd eqbrtrd prmuz2 eluz2b2 simpld qrngbas
          sylib qrng0 relogcld nnred simprd rplogcld rerpdivcld renegcld logltb
          cuz 1rp log1 breqtrdi 0red ltdivmuld lt0neg1d padicabvcxp nncnd exp1d
          mul01d pcid eqtr3d neg1z cxpexpzd eqtr4d mulm1d negeqi negnegd syl5eq
          nnrpd neg1rr cxpmuld cxpefd divcan1d reeflogd 3eqtr3d 3eqtrrd eqeq12d
          1z syl5ibcom prmnn 1cxpd cdvds pceq0 dvdsprm sylan necon3bbid biimpar
          fveq2d bitrd neg0 eqtrdi exp0d ifcld rprecred ifboth eqbrtrid reclt1d
          expnbnd nnz exprecd ax-1ne0 qrng1 abv1z cn0 nnnn0 bezout simprl prmrp
          simplr eqeq1d simprrl simprrr qaddcl readdcld rpexpcl remulcl sylancr
          simpr rppwr cplusg cnfldadd ressplusg abvtri cnfldmul ressmulr abvmul
          ax-mp cmulr qabvexp reexpcld remulcld w3o elz simprbi abv0 syl5ibrcom
          0le1 eqbrtrdi ralbidva rspccv cminusg abvneg qrngneg eqeltrd eqbrtrrd
          lenlt expr ralrimiva rsp sylc expgt0 lemul2 syl112anc mulid1d breqtrd
          3jaod rpge0d max1 leexp1a syl32anc le2addd 2timesd anassrs rexlimdvva
          max2 sylbid rpregt0d ledivmul2 mp3an12i reexpcl pm2.21d breq2d notbid
          rexlimdva pm2.01d lttri3 mpbir2and 3eqtr4d eqtr2d pm2.61dne ostthlem2
          ex oveq2 mpteq2dv rspceeqv ) AGUHUIZJCUJCUKZEKVCZVCZGULUMZUNZUOJCUJVW
          NOUKZULUMZUNZUOOUHUPAGAGEJVCZUQVCZEUQVCZURUMZUSZUTUDAVXCAVXAVXBAVWTAV
          WTAJDUIZEUJUIZVWTUTUIZTAEVAUIZVXFAVXHVBEVDVEZAEVFUUNVCUIZVXHVXIVGAEVH
          UIZVXJUBEUUAVIZEUUBUUEZUUCZEVJVIZDUJFJEQFPUUDZVKZVLAVXEVXFEVMVNVMVWTV
          DVEZTVXOAEVXNVOZDUJFJEVMQVXPFPUUFZVQVPZVRZUUGZAEAEVXNUUHAVXHVXIVXMUUI
          UUJZUUKZUULVSZAVMVXDGVDAVXCVMVDVEZVMVXDVDVEAVYGVXAVXBVMVTUMZVDVEAVXAV
          MVYHVDAVXAVBUQVCZVMVDAVWTVBVDVEZVXAVYIVDVEZUCAVWTUHUIZVBUHUIVYJVYKWAV
          YBUUOVWTVBUUMWBWCUUPUUQAVXBAVXBVYDWGZUVDWDAVXAVMVXBVYCAUURVYDUUSWEAVX
          CVYEUUTWCUDWFVRZADFJVWPNPQTAVXKVWKVWPDUIUBVYNBCDEFGKMPQRUVAVLANUKZVHU
          IZVGZVYOJVCZVYOVWPVCZUOZEVYOAEVYOUOZVYTWHVYPAVWTEVWPVCZUOWUAVYTAWUBEV
          WMVCZGULUMZEVBUSZULUMZGULUMZVWTAVXFWUBWUDUOVXOCEVWOWUDUJVWPVWLEUOVWNW
          UCGULVWLEVWMWIWJVWPWKZWUCGULWLWSVIAWUCWUFGULAWUCEVMUOZVMEEEWMUMZUSZWN
          UMZWOZWULWUFAVXKVXFWUCWUMUOUBVXOBEKEMRWPVLAWUIVMWULAEVMVXSWQWRAWULEWU
          EWNUMWUFAWUKWUEEWNAWUJVBAEEVBWNUMZWMUMZWUJVBAWUNEEWMAEAEVXNUVBZUVCWTA
          VXKVBXJUIWUOVBUOUBUWCVBEUVEWBUVFXAWTAEWUEWUPVXSWUEXJUIAUVGXBUVHUVIXCW
          JAEWUEGVTUMZULUMEVXCULUMZWUGVWTAWUQVXCEULAWUQGUSZVXCAGAGVYFXDZUVJAWUS
          VXDUSVXCGVXDUDUVKAVXCAVXCVYEXDZUVLUVMXEWTAEWUEGAEVXNUVNWUEUTUIAUVOXBW
          UTUVPAWURVXCVXBVTUMZXKVCVXAXKVCVWTAEVXCWUPVXSWVAUVQAWVBVXAXKAVXAVXBAV
          XAVYCXDVYMAVXBVYDXFUVRUWMAVWTVYBUVSXCUVTUWAWUAVWTVYRWUBVYSEVYOJWIEVYO
          VWPWIUWBUWDXGVYQEVYOVNZVYTVYQWVCVGZVYSVYOVWMVCZGULUMZVYRWVDVYOUJUIZVY
          SWVFUOWVDVYOVAUIZWVGVYPWVHAWVCVYOUWEZXHZVYOVJZVIZCVYOVWOWVFUJVWPCNXIV
          WNWVEGULVWLVYOVWMWIWJWUHWVEGULWLWSVIWVDVBGULUMVBWVFVYRWVDGAGXLUIVYPWV
          CWUTXMUWFWVDWVEVBGULWVDWVEVYOVMUOZVMEEVYOWMUMZUSZWNUMZWOZWVPVBWVDVXKW
          VGWVEWVQUOAVXKVYPWVCUBXMWVLBEKVYOMRWPVLWVDWVMVMWVPWVDVYOVMWVDVYOWVJVO
          ZWQWRWVDWVPEVMWNUMVBWVDWVOVMEWNWVDWVOVMUSVMWVDWVNVMVYQWVNVMUOZWVCVYQW
          VSEVYOUWGVEZXNZWVCAVXKWVHWVSWWAWAVYPUBWVIEVYOUWHXOVYQWVTEVYOAVXJVYPWV
          TWUAWAVXLVYOEUWIUWJUWKUWNUWLXAUWOUWPWTWVDEAEXLUIVYPWVCWUPXMUWQXEXCWJW
          VDVYRVBUOZVYRVBVDVEZXNZVBVYRVDVEZXNZWVDWWCVYQWVCWWCWWDVYQWVCWWCVGZVGZ
          VFVBHURUMZUFUKZWNUMZVDVEZUFVAUPZWWDWWHVFUTUIZWWIUTUIZVBWWIVDVEZWWMWWN
          WWHXPXBWWHHWWHHVWTVYRYBVEZVYRVWTWOZUHUEWWHWWQVYRVWTUHVYQWVCVYRUHUIZWW
          CWVDVYRWVDVXEWVGVYRUTUIZAVXEVYPWVCTXMZWVLDUJFJVYOQVXPVKZVLZWVDVXEWVGV
          YOVMVNZVMVYRVDVEZWXAWVLWVRDUJFJVYOVMQVXPVXTVQZVPVRXQZAVYLVYPWWGVYBXMZ
          UWRVSZUWSZWWHHVBVDVEWWPWWHHWWRVBVDUEWWHWWCVYJWWRVBVDVEZVYQWVCWWCXRAVY
          JVYPWWGUCXMWWQWWCVYJWXKVYRVWTVYRWWRVBVDXSVWTWWRVBVDXSUWTVLUXAWWHHWXIU
          XBWCVFWWIUFUXCVPWWHWWLWWDUFVAWWHWWJVAUIZVGZWWLWWDWXMWWKVFYBVEZWWLXNZW
          XMWWKVBHWWJWNUMZURUMZVFYBWXMHWWJWWHHXLUIWXLWWHHWXIWGXGWWHHVMVNWXLWWHH
          WXIXFXGWXLWWJXJUIZWWHWWJUXDZXTUXEWXMWXQVFYBVEZVBVFWXPVTUMZYBVEZWXMVBJ
          VCZVBWYAYBWXMVXEVBVMVNWYCVBUOAVXEVYPWWGWXLTYAUXFDFVBJVMQFPUXGVXTUXHWB
          WXMEWWJWNUMZVYOWWJWNUMZYCUMZWYDVWQVTUMZWYEUGUKZVTUMZYDUMZUOZUGXJUPOXJ
          UPZWYCWYAYBVEZWXMWYDXJUIWYEXJUIWYLWXMWYDWWHVXHWWJUXIUIZWYDVAUIZWXLAVX
          HVYPWWGVXNXMZWWJUXJZEWWJYEXOZYFWXMWYEWWHWVHWYNWYEVAUIZWXLVYPWVHAWWGWV
          IXHZWYQVYOWWJYEXOZYFOUGWYDWYEUXKVLWXMWYKWYMOUGXJXJWWHWXLVWQXJUIZWYHXJ
          UIZVGZWYKWYMWHWWHWXLXUDVGZVGZWYKVBWYJUOZWYMXUFWYFVBWYJWWHWXLWYFVBUOZX
          UDWXMEVYOYCUMVBUOZXUHWWHXUIWXLWWHXUIWVCVYQWVCWWCUXLWWHVXKVYPXUIWVCWAA
          VXKVYPWWGUBXMAVYPWWGUXNEVYOUXMVLWEXGWXMVXHWVHWXLXUIXUHWHWWHVXHWXLWYPX
          GWWHWVHWXLWYTXGWWHWXLUYCEVYOWWJUYDVPYGXQUXOXUFWYMXUGWYJJVCZWYAYBVEXUF
          XUJWYGJVCZWYIJVCZYDUMZWYAXUFVXEWYJUJUIZXUJUTUIAVXEVYPWWGXUETYAZXUFWYG
          UJUIZWYIUJUIZXUNXUFWYDUJUIZVWQUJUIZXUPXUFWYOXURWWHWXLWYOXUDWYRXQWYDVJ
          VIZXUFXUBXUSWWHWXLXUBXUCUXPZVWQYHZVIZWYDVWQYIVLZXUFWYEUJUIZWYHUJUIZXU
          QXUFWYSXVEWWHWXLWYSXUDXUAXQWYEVJVIZXUFXUCXVFWWHWXLXUBXUCUXQZWYHYHVIZW
          YEWYHYIVLZWYGWYIUXRVLDUJFJWYJQVXPVKVLXUFXUKXULXUFVXEXUPXUKUTUIXUOXVDD
          UJFJWYGQVXPVKVLZXUFVXEXUQXULUTUIXUOXVJDUJFJWYIQVXPVKVLZUXSXUFWWNWXPUT
          UIZWYAUTUIXPWWHWXLXVMXUDWXMWXPWWHHUHUIWXRWXPUHUIWXLWXIWXSHWWJUXTXOZYJ
          XQZVFWXPUYAUYBXUFVXEXUPXUQXUJXUMYBVEXUOXVDXVJDUJYDFJWYGWYIQVXPUJYKUIZ
          YDFUYEVCUOYLUJYDYOFYKPUYFUYGUYLUYHVPXUFXUMWXPWXPYDUMZWYAYBXUFXUKXULWX
          PWXPXVKXVLXVOXVOXUFXUKVWTWWJWNUMZVWQJVCZVTUMZWXPYBXUFXUKWYDJVCZXVSVTU
          MZXVTXUFVXEXURXUSXUKXWBUOXUOXUTXVCDUJFVTJWYDVWQQVXPXVPVTFUYMVCUOYLUJY
          OFVTYKPUYIUYJUYLZUYKVPXUFXWAXVRXVSVTXUFVXEVXFWYNXWAXVRUOXUOAVXFVYPWWG
          XUEVXOYAZWXLWYNWWHXUDWYQYMZDFJEWWJPQUYNVPWJXEXUFXVTXVRWXPXUFXVRXVSXUF
          VWTWWJXUFVXEVXFVXGXUOXWDVXQVLZXWEUYOZXUFVXEXUSXVSUTUIZXUOXVCDUJFJVWQQ
          VXPVKVLZUYPXWGXVOXUFXVTXVRVBVTUMZXVRYBXUFXVSVBYBVEZXVTXWJYBVEZXUFXWKO
          XJYNZXUBXWKAXWMVYPWWGXUEAXWKOXJAXUBVGZVWQVMUOZVWQVAUIZVWQUSZVAUIZUYQZ
          XWKXUBXWSAXUBVWQUTUIXWSVWQUYRUYSXTXWNXWOXWKXWPXWRXWNXWKXWOVMJVCZVBYBV
          EZAXXAXUBAXWTVMVBYBAVXEXWTVMUOTDFJVMQVXTUYTVIVUBVUCXGXWOXVSXWTVBYBVWQ
          VMJWIYPVUAAXWPXWKWHZXUBAIUKZJVCZVBYBVEZIVAYNZXXBAXXFVBXXDVDVEZXNZIVAY
          NZUAAXXEXXHIVAAXXCVAUIZVGXXDUTUIZVBUTUIZXXEXXHWAAVXEXXCUJUIXXKXXJTXXC
          VJDUJFJXXCQVXPVKXOYQXXDVBVUKWBVUDWEZXXEXWKIVWQVAIOXIXXDXVSVBYBXXCVWQJ
          WIYPVUEVIXGAXUBXWRXWKAXUBXWRVGZVGZVWQFVUFVCZVCZJVCZXVSVBYBXXOVXEXUSXX
          RXVSUOAVXEXXNTXGXUBXUSAXWRXVBYMZDUJFJXXPVWQQVXPXXPWKVUGVLXXOXXEXXRVBY
          BVEIVAXXQXXCXXQUOXXDXXRVBYBXXCXXQJWIYPAXXFXXNXXMXGXXOXXQXWQVAXXOXUSXX
          QXWQUOXXSFVWQPVUHVIAXUBXWRXRVUIYRVUJVULVVAYGVUMYAZXVAXWKOXJVUNVUOXUFX
          WHXXLXVRUTUIVMXVRVDVEZXWKXWLWAXWIXXLXUFYQXBZXWGXUFVXGWXRVXRXYAXWFWXLW
          XRWWHXUDWXSYMZAVXRVYPWWGXUEVYAYAVWTWWJVUPVPXVSVBXVRVUQVURWCXUFXVRXUFX
          VRXWGXDVUSVUTXUFVXGHUTUIZWYNVMVWTYBVEVWTHYBVEXVRWXPYBVEXWFWWHXYDXUEWW
          HHWXIYJXGZXWEXUFVWTWWHVYLXUEWXHXGVVBXUFVWTWWRHYBXUFVXGWWTVWTWWRYBVEXW
          FXUFVXEWVGWWTXUOXUFWVHWVGWWHWVHXUEWYTXGZWVKVIZWXBVLZVWTVYRVVCVLUEWFVW
          THWWJVVDVVEYSYTXUFXULVYRWWJWNUMZWYHJVCZVTUMZWXPYBXUFXULWYEJVCZXYJVTUM
          ZXYKXUFVXEXVEXVFXULXYMUOXUOXVGXVIDUJFVTJWYEWYHQVXPXWCUYKVPXUFXYLXYIXY
          JVTXUFVXEWVGWYNXYLXYIUOXUOXYGXWEDFJVYOWWJPQUYNVPWJXEXUFXYKXYIWXPXUFXY
          IXYJXUFVYRWWJXYHXWEUYOZXUFVXEXVFXYJUTUIZXUOXVIDUJFJWYHQVXPVKVLZUYPXYN
          XVOXUFXYKXYIVBVTUMZXYIYBXUFXYJVBYBVEZXYKXYQYBVEZXUFXWKXYROXJWYHOUGXIX
          VSXYJVBYBVWQWYHJWIYPXXTXVHYRXUFXYOXXLXYIUTUIVMXYIVDVEZXYRXYSWAXYPXYBX
          YNXUFWWTWXRWXEXYTXYHXYCXUFVXEWVGWXDWXEXUOXYGXUFVYOXYFVOWXFVPVYRWWJVUP
          VPXYJVBXYIVUQVURWCXUFXYIXUFXYIXYNXDVUSVUTXUFWWTXYDWYNVMVYRYBVEVYRHYBV
          EXYIWXPYBVEXYHXYEXWEXUFVYRWWHWWSXUEWXGXGVVBXUFVYRWWRHYBXUFVXGWWTVYRWW
          RYBVEXWFXYHVWTVYRVVJVLUEWFVYRHWWJVVDVVEYSYTVVFWWHWXLWYAXVQUOXUDWXMWXP
          WXMWXPXVNWGVVGXQWDYSXUGWYCXUJWYAYBVBWYJJWIYPVUAVVKVVHVVIYGVUJXXLWWNWX
          MXVMVMWXPVDVEVGWXTWYBWAYQXPWXMWXPXVNVVLVBVFWXPVVMVVNWEYTWXMWWKUTUIZWW
          NWXNWXOWAWWHWWOWYNYUAWXLWXJWYQWWIWWJVVOXOXPWWKVFVUKWBWCVVPVVSYGVULVVT
          WVDXXHWWFIVAVYOINXIZXXGWWEYUBXXDVYRVBVDXXCVYOJWIVVQVVRAXXIVYPWVCUAXMW
          VJYRWVDWWTXXLWWBWWDWWFVGWAWXCYQVYRVBVWAWBVWBVWCVWDVWGVWEVWFOGUHVWSVWP
          JVWQGUOCUJVWRVWOVWQGVWNULVWHVWIVWJVL $.
      $}
    $}

    $( Ostrowski's theorem, which classifies all absolute values on ` QQ ` .
       Any such absolute value must either be the trivial absolute value
       ` K ` , a constant exponent ` 0 < a <_ 1 ` times the regular absolute
       value, or a positive exponent times the p-adic absolute value.
       (Contributed by Mario Carneiro, 10-Sep-2014.) $)
    ostth $p |- ( F e. A <-> ( F = K \/
      E. a e. ( 0 (,] 1 ) F = ( y e. QQ |-> ( ( abs ` y ) ^c a ) ) \/
      E. a e. RR+ E. g e. ran J F = ( y e. QQ |-> ( ( g ` y ) ^c a ) ) ) ) $=
      ( vp wcel cq cfv c1 cprime vn vz vk wceq cabs ccxp cmpt cc0 cioc wrex crn
      cv co crp w3o clt wbr cn wa clog cdiv simpl wn c2 cuz 1re ltnri wne qrng1
      qrng0 abv1z mpan2 breq2d mtbiri adantr simprr fveq2 syl5ibcom mtod simprl
      ax-1ne0 wo elnn1uz2 sylib ord mpd eqid ostth2 rexlimdvaa syl6 wral ralnex
      3mix2 cneg cle cif simpll simplr weq notbid cbvralvw ostth3 expr reximdva
      wf wfn wb padicabvf fveq1 oveq1d mpteq2dv eqeq2d rexrn mp2b rexbii rexcom
      ffn bitri 3mix3 sylbir breq1d ostth1 3mix1d syl5bir pm2.61d ex id qrngbas
      cdr qdrng abvtriv ax-mp eqeltrdi cres qabsabv fvres mpteq2ia eqcomi eleq1
      syl5ibrcom abvcxp mpan rexlimiv padicabvcxp ancoms rexlimivv sylbi impbii
      3jaoi ) FCPZFHUDZFBQBULZUERZJULZUFUMZUGZUDZJUHSUIUMZUJZFBQUULEULZRZUUNUFU
      MZUGZUDZEGUKUJZJUNUJZUOZUUJSUAULZFRZUPUQZUAURUJZUVGUUJUVKUUSUVGUUJUVJUUSU
      AURUUJUVHURPZUVJUSZUSZABCDUVIUTRUVHUTRVAUMZFGHUVHIJKLMNUUJUVMVBUVNUVHSUDZ
      VCUVHVDVERPZUVNUVPSSFRZUPUQZUUJUVSVCUVMUUJUVSSSUPUQSVFVGUUJUVRSSUPUUJSUHV
      HUVRSUDWACDSFUHLDKVIDKVJZVKVLVMVNVOUVNUVJUVPUVSUUJUVLUVJVPZUVPUVIUVRSUPUV
      HSFVQVMVRVSUVNUVPUVQUVNUVLUVPUVQWBUUJUVLUVJVTUVHWCWDWEWFUWAUVOWGWHWIUUSUU
      KUVFWMWJUVKVCUVJVCZUAURWKZUUJUVGUVJUAURWLUUJUWCUVGUUJUWCUSZOULZFRZSUPUQZO
      TUJZUVGUWDUWHFBQUULUWEGRZRZUUNUFUMZUGZUDZJUNUJZOTUJZUVGUWDUWGUWNOTUWDUWET
      PZUWGUWNUWDUWPUWGUSZUSZABCUWEDUWFUTRUWEUTRVAUMWNZUWFUBULFRZWOUQUWTUWFWPZU
      CFGHIUBJKLMNUUJUWCUWQWQUWRUWCSUCULZFRZUPUQZVCZUCURWKZUUJUWCUWQWRUWBUXEUAU
      CURUAUCWSZUVJUXDUXGUVIUXCSUPUVHUXBFVQVMWTXAZWDUWDUWPUWGVTUWDUWPUWGVPUWSWG
      UXAWGXBXCXDUWOUVFUVGUVFUWMOTUJZJUNUJZUWOUVEUXIJUNTCGXEGTXFUVEUXIXGACDGIKL
      MXHTCGXQUVDUWMEOTGUUTUWIUDZUVCUWLFUXKBQUVBUWKUXKUVAUWJUUNUFUULUUTUWIXIXJX
      KXLXMXNXOZUWMJOUNTXPXRUVFUUKUUSXSXTWJUWHVCUWGVCZOTWKZUWDUVGUWGOTWLUUJUWCU
      XNUVGUUJUWCUXNUSZUSZUUKUUSUVFUXPACDUCFGHIKLMNUUJUXOVBUXPUWCUXFUUJUWCUXNVT
      UXHWDUXPUXNUXCSUPUQZVCZUCTWKUUJUWCUXNVPUXMUXROUCTOUCWSZUWGUXQUXSUWFUXCSUP
      UWEUXBFVQYAWTXAWDYBYCXCYDYEYFYDYEUUKUUJUUSUVFUUKFHCUUKYGDYIPHCPDKYJACQDHU
      HLDKYHZUVTNYKYLYMUUQUUJJUURUUNUURPZUUJUUQUUPCPZUEQYNZCPUYAUYBCDKLYOBCQDUU
      NUYCUUPLUXTBQUULUYCRZUUNUFUMZUGUUPBQUYEUUOUULQPUYDUUMUUNUFUULQUEYPXJYQYRU
      UAUUBFUUPCYSYTUUCUVFUXJUUJUXLUWMUUJJOUNTUUNUNPZUWPUSUUJUWMUWLCPZUWPUYFUYG
      ABCUWEDUUNGIKLMUUDUUEFUWLCYSYTUUFUUGUUIUUH $.
  $}


$(
$@
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Fermat's Last Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$@

  flt @p |- ( ( N e. ( ZZ>= ` 3 ) /\ ( X e. NN /\ Y e. NN /\ Z e. NN ) )
    -> ( ( X ^ N ) + ( Y ^ N ) ) =/= ( Z ^ N ) ) @=
    ? @.
$)
$( End $[ set-numfunc.mm $] $)


$( Begin $[ set-tarskigeom.mm $] $)
$(
###############################################################################
  ELEMENTARY GEOMETRY
###############################################################################

  This part develops elementary geometry based on Tarski's axioms, following
  [Schwabhauser].  Tarski's geometry is a first-order theory with one sort, the
  "points".  It has two primitive notions, the ternary predicate of
  "betweenness" and the quaternary predicate of "congruence".  To adapt this
  theory to the framework of set.mm, and to be able to talk of *a* Tarski
  structure as a space satisfying the given axioms, we use the following
  definition, stated informally:

  A Tarski structure ` f ` is a set (of points) ` ( Base `` f ) ` together with
  functions ` ( Itv `` f ) ` and ` ( dist `` f ) ` on
  ` ( ( Base `` f ) X. ( Base `` f ) ) ` satisfying certain axioms (given in
  Definitions ~ df-trkg _et sequentes_).  This allows us to treat a Tarski
  structure as a special kind of extensible structure (see ~ df-struct ).

  The translation to and from Tarski's treatment is as follows (given, again,
  informally).

  Suppose that one is given an extensible structure ` f ` .  One defines a
  betweenness ternary predicate Btw by positing that, for any
  ` x , y , z e. ( Base `` f ) ` , one has "Btw ` x y z ` " if and only if
  ` y e. x ( Itv `` f ) z ` , and a congruence quaternary predicate Congr by
  positing that, for any ` x , y , z , t e. ( Base `` f ) ` , one has
  "Congr ` x y z t ` " if and only if
  ` x ( dist `` f ) y = z ( dist `` f ) t ` .
  It is easy to check that if ` f ` satisfies our Tarski axioms, then Btw and
  Congr satisfy Tarski's Tarski axioms when ` ( Base `` f ) ` is interpreted as
  the universe of discourse.

  Conversely, suppose that one is given a set ` a ` , a ternary predicate Btw,
  and a quaternary predicate Congr.  One defines the extensible structure ` f `
  such that ` ( Base `` f ) ` is ` a ` , and ` ( Itv `` f ) ` is the function
  which associates with each ` <. x , y >. e. ( a X. a ) ` the set of points
  ` z e. a ` such that "Btw ` x z y ` ", and ` ( dist `` f ) ` is the function
  which associates with each ` <. x , y >. e. ( a X. a ) ` the set of ordered
  pairs ` <. z , t >. e. ( a X. a ) ` such that "Congr ` x y z t ` ".  It is
  easy to check that if Btw and Congr satisfy Tarski's Tarski axioms when ` a `
  is interpreted as the universe of discourse, then ` f ` satisfies our Tarski
  axioms.

  We intentionally choose to represent congruence (without loss of generality)
  as ` x ( dist `` f ) y = z ( dist `` f ) t ` instead of "Congr ` x y z t ` ",
  as it is more convenient.  It is always possible to define ` dist ` for any
  particular geometry to produce equal results when conguence is desired, and
  in many cases there is an obvious interpretation of "distance" between
  two points that can be useful in other situations. Encoding congruence as
  an equality of distances makes it easier to use these theorems in cases where
  there is a preferred distance function.  We prove that representing a
  congruence relationship using a distance in the form
  ` x ( dist `` f ) y = z ( dist `` f ) t ` causes no loss of generality in
  ~ tgjustc1 and ~ tgjustc2 , which in turn are supported by
  ~ tgjustf and ~ tgjustr .

  A similar representation of congruence (using a "distance" function)
  is used in Axiom A1 of [Beeson2016] p. 5, which discusses how a large number
  of formalized proofs were found in Tarskian Geometry using OTTER.  Their
  detailed proofs in Tarski Geometry, along with other information, are
  available at ~ https://www.michaelbeeson.com/research/FormalTarski/ .

  Most theorems are in deduction form, as this is a very general, simple, and
  convenient format to use in Metamath.  An assertion in deduction form can be
  easily converted into an assertion in inference form (removing the
  antecedents ` ph -> ` ) by insert a ` T. -> ` in each hypothesis, using
  ~ a1i , then using ~ mptru to remove the final ` T. -> ` prefix.  In some
  cases we represent, without loss of generality, an implication antecedent in
  [Schwabhauser] as a hypothesis.  The implication can be retrieved from the
  by using ~ simpr , the theorem as stated, and ~ ex .

  For descriptions of individual axioms, we refer to the specific definitions
  below.  A particular feature of Tarski's axioms is modularity, so by using
  various subsets of the set of axioms, we can define the classes of "absolute
  dimensionless Tarski structures" ( ~ df-trkg ), of "Euclidean dimensionless
  Tarski structures" ( ~ df-trkge ) and of "Tarski structures of dimension no
  less than N" ( ~ df-trkgld ).

  In this system, angles are not a primitive notion, but instead a derived
  notion (see ~ df-cgra and ~ iscgra ). To maintain its simplicity, in this
  system congruence between shapes (a finite sequence of points) is the case
  where corresponding segments between all corresponding points are congruent.
  This includes triangles (a shape of 3 distinct points). Note that this
  definition has no direct regard for angles. For more details and rationale,
  see ~ df-cgrg .

  The first section is devoted to the definitions of these various structures.
  The second section ("Tarskian geometry") develops the synthetic treatment of
  geometry.  The remaining sections prove that real Euclidean spaces and
  complex Hilbert spaces, with intended interpretations, are Euclidean Tarski
  structures.

  Most of the work in this part is due to Thierry Arnoux, with earlier work by
  Mario Carneiro and Scott Fenton.  See also the credits in the comment of each
  statement.

$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Definition and Tarski's Axioms of Geometry
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $c TarskiG Itv LineG $.
  $c TarskiGC TarskiGB TarskiGCB TarskiGE TarskiGDim>= $.

  $( Extends class notation with the class of Tarski geometries. $)
  cstrkg $a class TarskiG $.
  $( Extends class notation with the class of geometries fulfilling the
     congruence axioms. $)
  cstrkgc $a class TarskiGC $.
  $( Extends class notation with the class of geometries fulfilling the
     betweenness axioms. $)
  cstrkgb $a class TarskiGB $.
  $( Extends class notation with the class of geometries fulfilling the
     congruence and betweenness axioms. $)
  cstrkgcb $a class TarskiGCB $.
  $( Extends class notation with the relation for geometries fulfilling the
     lower dimension axioms. $)
  cstrkgld $a class TarskiGDim>= $.
  $( Extends class notation with the class of geometries fulfilling Euclid's
     axiom. $)
  cstrkge $a class TarskiGE $.

  $( Declare the syntax for the Interval (segment) index extractor. $)
  citv $a class Itv $.

  $( Declare the syntax for the Line function. $)
  clng $a class LineG $.

  $( Define the Interval (segment) index extractor for Tarski geometries.
     (Contributed by Thierry Arnoux, 24-Aug-2017.)  Use its index-independent
     form ~ itvid instead.  (New usage is discouraged.) $)
  df-itv $a |- Itv = Slot ; 1 6 $.

  $( Define the line index extractor for geometries.  (Contributed by Thierry
     Arnoux, 27-Mar-2019.)  Use its index-independent form ~ lngid instead.
     (New usage is discouraged.) $)
  df-lng $a |- LineG = Slot ; 1 7 $.

  $( Index value of the Interval (segment) slot.  Use ~ ndxarg .  (Contributed
     by Thierry Arnoux, 24-Aug-2017.) $)
  itvndx $p |- ( Itv ` ndx ) = ; 1 6 $=
    ( citv c1 c6 cdc df-itv 1nn0 6nn decnncl ndxarg ) ABCDEBCFGHI $.

  $( Index value of the "line" slot.  Use ~ ndxarg .  (Contributed by Thierry
     Arnoux, 27-Mar-2019.) $)
  lngndx $p |- ( LineG ` ndx ) = ; 1 7 $=
    ( clng c1 c7 cdc df-lng 1nn0 7nn decnncl ndxarg ) ABCDEBCFGHI $.

  $( Utility theorem: index-independent form of ~ df-itv .  (Contributed by
     Thierry Arnoux, 24-Aug-2017.) $)
  itvid $p |- Itv = Slot ( Itv ` ndx ) $=
    ( citv c1 c6 cdc df-itv 1nn0 6nn decnncl ndxid ) ABCDEBCFGHI $.

  $( Utility theorem: index-independent form of ~ df-lng .  (Contributed by
     Thierry Arnoux, 27-Mar-2019.) $)
  lngid $p |- LineG = Slot ( LineG ` ndx ) $=
    ( clng c1 c7 cdc df-lng 1nn0 7nn decnncl ndxid ) ABCDEBCFGHI $.

  $( The slots ` Base ` , ` +g ` , ` .s ` and ` dist ` are different from the
     slot ` Itv ` .  Formerly part of ~ ttglem and proofs using it.
     (Contributed by AV, 29-Oct-2024.) $)
  slotsinbpsd $p |- ( ( ( Itv ` ndx ) =/= ( Base ` ndx )
                     /\ ( Itv ` ndx ) =/= ( +g ` ndx ) )
                   /\ ( ( Itv ` ndx ) =/= ( .s ` ndx )
                     /\ ( Itv ` ndx ) =/= ( dist ` ndx ) ) ) $=
    ( cnx citv cfv cbs wne wa c1 c6 cdc itvndx 6nn0 1nn0 declti gtneii neeqtrri
    1nn eqnetri c2 2nn0 pm3.2i cplusg cvsca cds 1re 1lt10 basendx 2re 2lt10 6re
    plusgndx 6lt10 vscandx 2nn decnncl nnrei 6nn 2lt6 declt dsndx ) ABCZADCZEZU
    TAUACZEZFUTAUBCZEZUTAUCCZEZFVBVDUTGHIZVAJVIGVAGVIUDGHGPKLUEMNUFOQUTVIVCJVIR
    VCRVIUGGHRPKSUHMNUJOQTVFVHUTVIVEJVIHVEHVIUIGHHPKKUKMNULOQUTVIVGJVIGRIZVGVJV
    IVJGRLUMUNUOGRHLSUPUQURNUSOQTT $.

  $( The slots ` Base ` , ` +g ` , ` .s ` and ` dist ` are different from the
     slot ` LineG ` .  Formerly part of ~ ttglem and proofs using it.
     (Contributed by AV, 29-Oct-2024.) $)
  slotslnbpsd $p |- ( ( ( LineG ` ndx ) =/= ( Base ` ndx )
                     /\ ( LineG ` ndx ) =/= ( +g ` ndx ) )
                   /\ ( ( LineG ` ndx ) =/= ( .s ` ndx )
                     /\ ( LineG ` ndx ) =/= ( dist ` ndx ) ) ) $=
    ( cnx clng cfv wne wa c1 c7 cdc lngndx 1nn 7nn0 1nn0 declti gtneii neeqtrri
    eqnetri c2 2nn0 pm3.2i c6 cbs cplusg cvsca cds 1lt10 basendx 2lt10 plusgndx
    1re 2re 6re 6nn0 6lt10 vscandx 2nn decnncl nnrei 7nn 2lt7 declt dsndx ) ABC
    ZAUACZDZVBAUBCZDZEVBAUCCZDZVBAUDCZDZEVDVFVBFGHZVCIVKFVCFVKUIFGFJKLUEMNUFOPV
    BVKVEIVKQVEQVKUJFGQJKRUGMNUHOPSVHVJVBVKVGIVKTVGTVKUKFGTJKULUMMNUNOPVBVKVIIV
    KFQHZVIVLVKVLFQLUOUPUQFQGLRURUSUTNVAOPSS $.

  ${
    trkgstr.w $e |- W = { <. ( Base ` ndx ) , U >. ,
       <. ( dist ` ndx ) , D >. , <. ( Itv ` ndx ) , I >. } $.
    $( Functionality of a Tarski geometry.  (Contributed by Thierry Arnoux,
       24-Aug-2017.) $)
    trkgstr $p |- W Struct <. 1 , ; 1 6 >. $=
      ( cnx cbs cfv cop cds citv c1 c6 cdc c2 1nn 2nn0 1nn0 decnncl 6nn basendx
      ctp cstr 1lt10 declti 2nn dsndx 2lt6 declt itvndx strle3 eqbrtri ) DFGHZB
      IFJHZAIFKHZCIUBLLMNZIUCEUMUNUOLLONUPBACPUALOLPQRUDUELORUFSUGLOMRQTUHUILMR
      TSUJUKUL $.

    $( The base set of a Tarski geometry.  (Contributed by Thierry Arnoux,
       24-Aug-2017.) $)
    trkgbas $p |- ( U e. V -> U = ( Base ` W ) ) $=
      ( cbs c1 c6 cdc cop trkgstr baseid cnx cfv csn cds citv ctp snsstp1 strfv
      sseqtrri ) BEGDHHIJKABCEFLMNGOBKZPUCNQOAKZNROCKZSEUCUDUETFUBUA $.

    $( The measure of a distance in a Tarski geometry.  (Contributed by Thierry
       Arnoux, 24-Aug-2017.) $)
    trkgdist $p |- ( D e. V -> D = ( dist ` W ) ) $=
      ( cds c1 c6 cdc cop trkgstr dsid cnx cfv csn cbs citv ctp snsstp2 strfv
      sseqtrri ) AEGDHHIJKABCEFLMNGOAKZPNQOBKZUCNROCKZSEUDUCUETFUBUA $.

    $( The congruence relation in a Tarski geometry.  (Contributed by Thierry
       Arnoux, 24-Aug-2017.) $)
    trkgitv $p |- ( I e. V -> I = ( Itv ` W ) ) $=
      ( citv c1 c6 cdc cop trkgstr itvid cnx cfv csn cbs cds ctp snsstp3 strfv
      sseqtrri ) CEGDHHIJKABCEFLMNGOCKZPNQOBKZNROAKZUCSEUDUEUCTFUBUA $.
  $}

  ${
    $d a b c d f g n p i j s t u v x y z $.
    $( Define the class of geometries fulfilling the congruence axioms of
       reflexivity, identity and transitivity.  These are axioms A1 to A3 of
       [Schwabhauser] p. 10.  With our distance based notation for congruence,
       transitivity of congruence boils down to transitivity of equality and is
       already given by ~ eqtr , so it is not listed in this definition.
       (Contributed by Thierry Arnoux, 24-Aug-2017.) $)
    df-trkgc $a |- TarskiGC = { f | [. ( Base ` f ) / p ].
          [. ( dist ` f ) / d ].
      ( A. x e. p A. y e. p ( x d y ) = ( y d x )
     /\ A. x e. p A. y e. p A. z e. p ( ( x d y ) = ( z d z ) -> x = y ) ) } $.

    $( Define the class of geometries fulfilling the 3 betweenness axioms in
       Tarski's Axiomatization of Geometry: identity, Axiom A6 of
       [Schwabhauser] p. 11, axiom of Pasch, Axiom A7 of [Schwabhauser] p. 12,
       and continuity, Axiom A11 of [Schwabhauser] p. 13.  (Contributed by
       Thierry Arnoux, 24-Aug-2017.) $)
    df-trkgb $a |- TarskiGB = { f | [. ( Base ` f ) / p ].
          [. ( Itv ` f ) / i ].
          ( A. x e. p A. y e. p ( y e. ( x i x ) -> x = y )
       /\ A. x e. p A. y e. p A. z e. p A. u e. p A. v e. p
           ( ( u e. ( x i z ) /\ v e. ( y i z ) )
           -> E. a e. p ( a e. ( u i y ) /\ a e. ( v i x ) ) )
       /\ A. s e. ~P p A. t e. ~P p
            ( E. a e. p A. x e. s A. y e. t x e. ( a i y )
           -> E. b e. p A. x e. s A. y e. t b e. ( x i y ) ) )
      } $.

    $( Define the class of geometries fulfilling the five segment axiom, Axiom
       A5 of [Schwabhauser] p. 11, and segment construction axiom, Axiom A4 of
       [Schwabhauser] p. 11.  (Contributed by Thierry Arnoux, 14-Mar-2019.) $)
    df-trkgcb $a |- TarskiGCB = { f | [. ( Base ` f ) / p ].
          [. ( dist ` f ) / d ]. [. ( Itv ` f ) / i ].
          ( A. x e. p A. y e. p A. z e. p A. u e. p
            A. a e. p A. b e. p A. c e. p A. v e. p
            ( ( ( x =/= y /\ y e. ( x i z ) /\ b e. ( a i c ) )
         /\ ( ( ( x d y ) = ( a d b ) /\ ( y d z ) = ( b d c ) )
         /\ ( ( x d u ) = ( a d v ) /\ ( y d u ) = ( b d v ) ) ) )
             -> ( z d u ) = ( c d v ) )
       /\ A. x e. p A. y e. p A. a e. p A. b e. p E. z e. p
             ( y e. ( x i z ) /\ ( y d z ) = ( a d b ) ) )
      } $.

    $( Define the class of geometries fulfilling Euclid's axiom, Axiom A10 of
       [Schwabhauser] p. 13.  (Contributed by Thierry Arnoux, 14-Mar-2019.) $)
    df-trkge $a |- TarskiGE = { f | [. ( Base ` f ) / p ].
          [. ( Itv ` f ) / i ].
          A. x e. p A. y e. p A. z e. p A. u e. p A. v e. p
            ( ( u e. ( x i v ) /\ u e. ( y i z ) /\ x =/= u ) -> E. a e. p
            E. b e. p ( y e. ( x i a ) /\ z e. ( x i b ) /\ v e. ( a i b ) ) )
      } $.

    $( Define the class of geometries fulfilling the lower dimension axiom for
       dimension ` n ` .  For such geometries, there are three non-colinear
       points that are equidistant from ` n - 1 ` distinct points.  Derived
       from remarks in _Tarski's System of Geometry_, Alfred Tarski and Steven
       Givant, Bulletin of Symbolic Logic, Volume 5, Number 2 (1999), 175-214.
       (Contributed by Scott Fenton, 22-Apr-2013.)  (Revised by Thierry Arnoux,
       23-Nov-2019.) $)
    df-trkgld $a |- TarskiGDim>= = { <. g , n >. |
          [. ( Base ` g ) / p ]. [. ( dist ` g ) / d ]. [. ( Itv ` g ) / i ].
          E. f ( f : ( 1 ..^ n ) -1-1-> p /\ E. x e. p E. y e. p E. z e. p
            ( A. j e. ( 2 ..^ n ) ( ( ( f ` 1 ) d x ) = ( ( f ` j ) d x ) /\
                                    ( ( f ` 1 ) d y ) = ( ( f ` j ) d y ) /\
                                    ( ( f ` 1 ) d z ) = ( ( f ` j ) d z ) )
               /\ -. ( z e. ( x i y ) \/ x e. ( z i y ) \/ y e. ( x i z ) ) ) )
      } $.

    $( Define the class of Tarski geometries.  A Tarski geometry is a set of
       points, equipped with a betweenness relation (denoting that a point lies
       on a line segment between two other points) and a congruence relation
       (denoting equality of line segment lengths).

       <HTML>Here, we are using the following:<UL>
       <LI> for congruence, ` ( x .- y ) = ( z .- w ) ` where
       ` .- = ( dist `` W ) `
       <LI> for betweenness, ` y e. ( x I z ) ` , where ` I = ( Itv `` W ) `
       </UL>
       With this definition, the axiom A2 is actually equivalent to the
       transitivity of equality, ~ eqtrd .<P>

       Tarski originally had more axioms, but later reduced his list to 11:<UL>
       <LI> A1 A kind of reflexivity for the congruence relation
       ( ` TarskiGC ` )
       <LI> A2 Transitivity for the congruence relation ( ` TarskiGC ` )
       <LI> A3 Identity for the congruence relation ( ` TarskiGC ` )
       <LI> A4 Axiom of segment construction ( ` TarskiGCB ` )
       <LI> A5 5-segment axiom ( ` TarskiGCB ` )
       <LI> A6 Identity for the betweenness relation ( ` TarskiGB ` )
       <LI> A7 Axiom of Pasch ( ` TarskiGB ` )
       <LI> A8 Lower dimension axiom ` ( ``' TarskiGDim>= " { 2 } ) `
       <LI> A9 Upper dimension axiom ` ( _V \ ( ``' TarskiGDim>= " { 3 } ) ) `
       <LI> A10 Euclid's axiom ( ` TarskiGE ` )
       <LI> A11 Axiom of continuity ( ` TarskiGB ` )
       </UL>

       Our definition is split into 5 parts:<UL>
       <LI> congruence axioms ` TarskiGC ` (which metric spaces fulfill)
       <LI> betweenness axioms ` TarskiGB `
       <LI> congruence and betweenness axioms ` TarskiGCB `
       <LI> upper and lower dimension axioms ` TarskiGDim>= `
       <LI> axiom of Euclid / parallel postulate ` TarskiGE `
       </UL></HTML>

       So our definition of a Tarskian Geometry includes the 3 axioms for the
       quaternary congruence relation (A1, A2, A3), the 3 axioms for the
       ternary betweenness relation (A6, A7, A11), and the 2 axioms of
       compatibility of the congruence and the betweenness relations (A4,A5).

       It does not include Euclid's axiom A10, nor the 2-dimensional axioms A8
       (Lower dimension axiom) and A9 (Upper dimension axiom) so the number
       of dimensions of the geometry it formalizes is not constrained.

       Considering A2 as one of the 3 axioms for the quaternary congruence
       relation is somewhat conventional, because the transitivity of the
       congruence relation is automatically given by our choice to take the
       distance as this congruence relation in our definition of Tarski
       geometries.
       (Contributed by Thierry Arnoux, 24-Aug-2017.)  (Revised by Thierry
       Arnoux, 27-Apr-2019.) $)
    df-trkg $a |- TarskiG = ( ( TarskiGC i^i TarskiGB )
      i^i ( TarskiGCB i^i { f | [. ( Base ` f ) / p ]. [. ( Itv ` f ) / i ].
        ( LineG ` f ) = ( x e. p , y e. ( p \ { x } ) |-> { z e. p |
        ( z e. ( x i y ) \/ x e. ( z i y ) \/ y e. ( x i z ) ) } ) } ) ) $.
  $}

  ${
    $d d f g i n p G $.  $d a b c d f g i j n p s t u v x y z I $.
    $d a b c d f g i j n p s t u v x y z P $.
    $d a b c d f g i j n p u v x y z .- $.
    istrkg.p $e |- P = ( Base ` G ) $.
    istrkg.d $e |- .- = ( dist ` G ) $.
    istrkg.i $e |- I = ( Itv ` G ) $.
    $( Property of being a Tarski geometry - congruence part.  (Contributed by
       Thierry Arnoux, 14-Mar-2019.) $)
    istrkgc $p |- ( G e. TarskiGC <-> ( G e. _V /\
      ( A. x e. P A. y e. P ( x .- y ) = ( y .- x ) /\ A. x e. P
       A. y e. P A. z e. P ( ( x .- y ) = ( z .- z ) -> x = y ) ) ) ) $=
      ( vd vp vf cv co wceq wral wa wcel raleqbidva wi cds cfv wsbc cbs cstrkgc
      simpl eqcomd adantr simpllr oveqd eqeq12d oveqdr anbi12d sbcie2s df-trkgc
      imbi1d elab4g ) ANZBNZKNZOZUTUSVAOZPZBLNZQZAVEQZVBCNZVHVAOZPZUSUTPZUAZCVE
      QZBVEQZAVEQZRZKMNZUBUCUDLVQUEUCUDUSUTGOZUTUSGOZPZBDQZADQZVRVHVHGOZPZVKUAZ
      CDQZBDQZADQZRZMEUFWIVPMDGUEUBELKHIVEDPZVAGPZRZWBVGWHVOWLWAVFADVEWLVEDWJWK
      UGUHZWLUSDSZRZVTVDBDVEWLDVEPZWNWMUIZWOUTDSZRZVRVBVSVCWSGVAUSUTWSVAGWJWKWN
      WRUJUHZUKWSGVAUTUSWTUKULTTWLWGVNADVEWMWOWFVMBDVEWQWSWEVLCDVEWOWPWRWQUIWSV
      HDSZRZWDVJVKXBVRVBWCVIWSXAABGVAWTUMWSXACCGVAWTUMULUQTTTUNUOABCMLKUPUR $.

    $( Property of being a Tarski geometry - betweenness part.  (Contributed by
       Thierry Arnoux, 14-Mar-2019.) $)
    istrkgb $p |- ( G e. TarskiGB <-> ( G e. _V /\
        ( A. x e. P A. y e. P ( y e. ( x I x ) -> x = y )
       /\ A. x e. P A. y e. P A. z e. P A. u e. P A. v e. P
           ( ( u e. ( x I z ) /\ v e. ( y I z ) )
           -> E. a e. P ( a e. ( u I y ) /\ a e. ( v I x ) ) )
       /\ A. s e. ~P P A. t e. ~P P
            ( E. a e. P A. x e. s A. y e. t x e. ( a I y )
           -> E. b e. P A. x e. s A. y e. t b e. ( x I y ) ) ) ) ) $=
      ( co wcel wral wa vi vp vf cv wceq wrex cpw w3a citv cfv wsbc cbs cstrkgb
      simpl eqcomd adantr simpllr oveqd eleq2d imbi1d raleqbidva simp-6r oveqdr
      wi anbi12d rexeqbidva imbi12d ad2antrr simp-4r 2ralbidv 3anbi123d sbcie2s
      pweqd df-trkgb elab4g ) BUDZAUDZVQUAUDZQZRZVQVPUEZVDZBUBUDZSZAWCSZEUDZVQC
      UDZVRQZRZDUDZVPWGVRQZRZTZLUDZWFVPVRQZRZWNWJVQVRQZRZTZLWCUFZVDZDWCSZEWCSZC
      WCSZBWCSZAWCSZVQWNVPVRQZRZBFUDZSAKUDZSZLWCUFZMUDZVQVPVRQZRZBXISAXJSZMWCUF
      ZVDZFWCUGZSZKXSSZUHZUAUCUDZUIUJUKUBYCULUJUKVPVQVQIQZRZWAVDZBGSZAGSZWFVQWG
      IQZRZWJVPWGIQZRZTZWNWFVPIQZRZWNWJVQIQZRZTZLGUFZVDZDGSZEGSZCGSZBGSZAGSZVQW
      NVPIQZRZBXISAXJSZLGUFZXMVQVPIQZRZBXISAXJSZMGUFZVDZFGUGZSZKUUOSZUHZUCHUMUU
      RYBUCGIULUIHUBUANPWCGUEZVRIUEZTZYHWEUUEXFUUQYAUVAYGWDAGWCUVAWCGUUSUUTUNUO
      ZUVAVQGRZTZYFWBBGWCUVAGWCUEZUVCUVBUPZUVDVPGRZTZYEVTWAUVHYDVSVPUVHIVRVQVQU
      VHVRIUUSUUTUVCUVGUQUOURUSUTVAVAUVAUUDXEAGWCUVBUVDUUCXDBGWCUVFUVHUUBXCCGWC
      UVDUVEUVGUVFUPZUVHWGGRZTZUUAXBEGWCUVHUVEUVJUVIUPZUVKWFGRZTZYTXADGWCUVKUVE
      UVMUVLUPZUVNWJGRZTZYMWMYSWTUVQYJWIYLWLUVQYIWHWFUVQIVRVQWGUVQVRIUUSUUTUVCU
      VGUVJUVMUVPVBUOZURUSUVQYKWKWJUVQIVRVPWGUVRURUSVEUVQYRWSLGWCUVNUVEUVPUVOUP
      UVQWNGRZTZYOWPYQWRUVTYNWOWNUVQUVSEBIVRUVRVCUSUVTYPWQWNUVQUVSDAIVRUVRVCUSV
      EVFVGVAVAVAVAVAUVAUUPXTKUUOXSUVAGWCUVBVMZUVAXJUUORZTZUUNXRFUUOXSUVAUUOXSU
      EUWBUWAUPUWCXIUUORZTZUUIXLUUMXQUWEUUHXKLGWCUVAUVEUWBUWDUVBVHZUWEUVSTZUUGX
      HABXJXIUWGUUFXGVQUWGIVRWNVPUWGVRIUUSUUTUWBUWDUVSVIUOURUSVJVFUWEUULXPMGWCU
      WFUWEXMGRZTZUUKXOABXJXIUWIUUJXNXMUWIIVRVQVPUWIVRIUUSUUTUWBUWDUWHVIUOURUSV
      JVFVGVAVAVKVLABCDEFUCUAKUBLMVNVO $.

    $( Property of being a Tarski geometry - congruence and betweenness part.
       (Contributed by Thierry Arnoux, 14-Mar-2019.) $)
    istrkgcb $p |- ( G e. TarskiGCB <-> ( G e. _V /\
          ( A. x e. P A. y e. P A. z e. P A. u e. P
            A. a e. P A. b e. P A. c e. P A. v e. P
            ( ( ( x =/= y /\ y e. ( x I z ) /\ b e. ( a I c ) )
         /\ ( ( ( x .- y ) = ( a .- b ) /\ ( y .- z ) = ( b .- c ) )
         /\ ( ( x .- u ) = ( a .- v ) /\ ( y .- u ) = ( b .- v ) ) ) )
             -> ( z .- u ) = ( c .- v ) )
       /\ A. x e. P A. y e. P A. a e. P A. b e. P E. z e. P
             ( y e. ( x I z ) /\ ( y .- z ) = ( a .- b ) ) ) ) ) $=
      ( co wceq wa wral oveqd vi vd vp vf cv wne wcel w3a wi wrex citv cfv wsbc
      cds cstrkgcb simp1 eqcomd adantr ad6antr simpll3 3anbi23d simpll2 eqeq12d
      cbs eleq2d anbi12d imbi12d raleqbidva ad3antrrr rexeqbidva sbcie3s elab4g
      df-trkgcb ) AUEZBUEZUFZVOVNCUEZUAUEZPZUGZKUEZJUEZLUEZVRPZUGZUHZVNVOUBUEZP
      ZWBWAWGPZQZVOVQWGPZWAWCWGPZQZRZVNEUEZWGPZWBDUEZWGPZQZVOWOWGPZWAWQWGPZQZRZ
      RZRZVQWOWGPZWCWQWGPZQZUIZDUCUEZSZLXJSZKXJSZJXJSZEXJSZCXJSZBXJSZAXJSZVTWKW
      IQZRZCXJUJZKXJSZJXJSZBXJSZAXJSZRZUAUDUEZUKULUMUBYGUNULUMUCYGVDULUMVPVOVNV
      QHPZUGZWAWBWCHPZUGZUHZVNVOIPZWBWAIPZQZVOVQIPZWAWCIPZQZRZVNWOIPZWBWQIPZQZV
      OWOIPZWAWQIPZQZRZRZRZVQWOIPZWCWQIPZQZUIZDFSZLFSZKFSZJFSZEFSZCFSZBFSZAFSZY
      IYPYNQZRZCFUJZKFSZJFSZBFSZAFSZRZUDGUOUVHYFUDFIHVDUNUKGUCUBUAMNOXJFQZWGIQZ
      VRHQZUHZUUTXRUVGYEUVLUUSXQAFXJUVLXJFUVIUVJUVKUPUQZUVLVNFUGZRZUURXPBFXJUVL
      FXJQZUVNUVMURZUVOVOFUGZRZUUQXOCFXJUVOUVPUVRUVQURZUVSVQFUGZRZUUPXNEFXJUVSU
      VPUWAUVTURZUWBWOFUGZRZUUOXMJFXJUWBUVPUWDUWCURZUWEWBFUGZRZUUNXLKFXJUWEUVPU
      WGUWFURUWHWAFUGZRZUUMXKLFXJUVLUVPUVNUVRUWAUWDUWGUWIUVMUSUWJWCFUGZRZUULXID
      FXJUVOUVPUVRUWAUWDUWGUWIUWKUVQUSUWLWQFUGZRZUUHXEUUKXHUWNYLWFUUGXDUWNYIVTY
      KWEVPUWNYHVSVOUWNHVRVNVQUWNVRHUVSUVKUWAUWDUWGUWIUWKUWMUVIUVJUVKUVNUVRUTZU
      SUQZTVEUWNYJWDWAUWNHVRWBWCUWPTVEVAUWNYSWNUUFXCUWNYOWJYRWMUWNYMWHYNWIUWNIW
      GVNVOUWNWGIUVSUVJUWAUWDUWGUWIUWKUWMUVIUVJUVKUVNUVRVBZUSUQZTUWNIWGWBWAUWRT
      VCUWNYPWKYQWLUWNIWGVOVQUWRTUWNIWGWAWCUWRTVCVFUWNUUBWSUUEXBUWNYTWPUUAWRUWN
      IWGVNWOUWRTUWNIWGWBWQUWRTVCUWNUUCWTUUDXAUWNIWGVOWOUWRTUWNIWGWAWQUWRTVCVFV
      FVFUWNUUIXFUUJXGUWNIWGVQWOUWRTUWNIWGWCWQUWRTVCVGVHVHVHVHVHVHVHVHUVLUVFYDA
      FXJUVMUVOUVEYCBFXJUVQUVSUVDYBJFXJUVTUVSUWGRZUVCYAKFXJUVSUVPUWGUVTURZUWSUW
      IRZUVBXTCFXJUWSUVPUWIUWTURUXAUWARZYIVTUVAXSUXBYHVSVOUXBHVRVNVQUXBVRHUVSUV
      KUWGUWIUWAUWOVIUQTVEUXBYPWKYNWIUXBIWGVOVQUXBWGIUVSUVJUWGUWIUWAUWQVIUQZTUX
      BIWGWBWAUXCTVCVFVJVHVHVHVHVFVKABCDEUDUAUCJKLUBVMVL $.

    $( Property of fulfilling Euclid's axiom.  (Contributed by Thierry Arnoux,
       14-Mar-2019.) $)
    istrkge $p |- ( G e. TarskiGE <-> ( G e. _V /\
      A. x e. P A. y e. P A. z e. P A. u e. P A. v e. P
        ( ( u e. ( x I v ) /\ u e. ( y I z ) /\ x =/= u ) -> E. a e. P
      E. b e. P ( y e. ( x I a ) /\ z e. ( x I b ) /\ v e. ( a I b ) ) ) ) ) $=
      ( cv co wcel wral wa adantr vi vp vf wne w3a wrex wi citv cfv cbs cstrkge
      wsbc wceq simpl eqcomd simp-6r oveqd eleq2d 3anbi12d 3anbi123d rexeqbidva
      ad2antrr imbi12d raleqbidva sbcie2s df-trkge elab4g ) EOZAOZDOZUAOZPZQZVH
      BOZCOZVKPZQZVIVHUDZUEZVNVIJOZVKPZQZVOVIKOZVKPZQZVJVTWCVKPZQZUEZKUBOZUFZJW
      IUFZUGZDWIRZEWIRZCWIRZBWIRZAWIRZUAUCOZUHUIULUBWRUJUIULVHVIVJHPZQZVHVNVOHP
      ZQZVRUEZVNVIVTHPZQZVOVIWCHPZQZVJVTWCHPZQZUEZKFUFZJFUFZUGZDFRZEFRZCFRZBFRZ
      AFRZUCGUKXRWQUCFHUJUHGUBUALNWIFUMZVKHUMZSZXQWPAFWIYAWIFXSXTUNUOZYAVIFQZSZ
      XPWOBFWIYAFWIUMZYCYBTZYDVNFQZSZXOWNCFWIYDYEYGYFTZYHVOFQZSZXNWMEFWIYHYEYJY
      ITZYKVHFQZSZXMWLDFWIYKYEYMYLTZYNVJFQZSZXCVSXLWKYQWTVMXBVQVRYQWSVLVHYQHVKV
      IVJYQVKHXSXTYCYGYJYMYPUPZUOZUQURYQXAVPVHYQHVKVNVOYSUQURUSYQXKWJJFWIYNYEYP
      YOTZYQVTFQZSZXJWHKFWIYQYEUUAYTTUUBWCFQZSZXEWBXGWEXIWGUUDXDWAVNUUDHVKVIVTU
      UDVKHYQXTUUAUUCYRVBUOZUQURUUDXFWDVOUUDHVKVIWCUUEUQURUUDXHWFVJUUDHVKVTWCUU
      EUQURUTVAVAVCVDVDVDVDVDVEABCDEUCUAUBJKVFVG $.

    $( Building lines from the segment property.  (Contributed by Thierry
       Arnoux, 14-Mar-2019.) $)
    istrkgl $p |- ( G e. { f | [. ( Base ` f ) / p ]. [. ( Itv ` f ) / i ].
      ( LineG ` f ) = ( x e. p , y e. ( p \ { x } ) |-> { z e. p |
      ( z e. ( x i y ) \/ x e. ( z i y ) \/ y e. ( x i z ) ) } ) } <->
      ( G e. _V /\ ( LineG ` G ) = ( x e. P , y e. ( P \ { x } ) |-> { z e. P |
      ( z e. ( x I y ) \/ x e. ( z I y ) \/ y e. ( x I z ) ) } ) ) ) $=
      ( cv clng cfv co wcel wceq wa csn cdif w3o crab cmpo citv wsbc cbs eqcomd
      cab simpl adantr difeq1d simpr oveqd eleq2d 3orbi123d mpoeq123dva sbcie2s
      rabeqbidv eqeq2d fveqeq2 bitrd eqid elab4g ) ENZOPZABJNZVHANZUAZUBZCNZVIB
      NZFNZQZRZVIVLVMVNQZRZVMVIVLVNQZRZUCZCVHUDZUEZSZFVFUFPUGJVFUHPUGZGOPABDDVJ
      UBZVLVIVMHQZRZVIVLVMHQZRZVMVIVLHQZRZUCZCDUDZUEZSZEGWEEUJZVFGSWEVGWOSZWPWR
      WDEDHUHUFGJFKMVHDSZVNHSZTZWOWCVGXAABDWFWNVHVKWBXAVHDWSWTUKUIZXAVIDRZTDVHV
      JXADVHSXCXBULUMXAWNWBSXCVMWFRTXAWMWACDVHXBXAWHVPWJVRWLVTXAWGVOVLXAHVNVIVM
      XAVNHWSWTUNUIZUOUPXAWIVQVIXAHVNVLVMXDUOUPXAWKVSVMXAHVNVIVLXDUOUPUQUTULURV
      AUSVFGWOOVBVCWQVDVE $.

    $d f g j n p x y z N $.
    $( Property of fulfilling the lower dimension ` N ` axiom.  (Contributed by
       Thierry Arnoux, 20-Nov-2019.) $)
    istrkgld $p |- ( ( G e. V /\ N e. ( ZZ>= ` 2 ) ) -> ( G TarskiGDim>= N <->
            E. f ( f : ( 1 ..^ N ) -1-1-> P /\ E. x e. P E. y e. P E. z e. P
            ( A. j e. ( 2 ..^ N ) ( ( ( f ` 1 ) .- x ) = ( ( f ` j ) .- x ) /\
                                    ( ( f ` 1 ) .- y ) = ( ( f ` j ) .- y ) /\
                                    ( ( f ` 1 ) .- z ) = ( ( f ` j ) .- z ) )
               /\ -. ( z e. ( x I y ) \/ x e. ( z I y ) \/ y e. ( x I z ) ) ) )
      ) ) $=
      ( cv cfzo co wceq wrex oveqd vn vp vd vi vg c1 wf1 cfv w3a c2 wral w3o wn
      wcel wex citv wsbc cds cbs cuz cstrkgld eqidd simp1 eqcomd f1eq123d simp2
      eqeq12d 3anbi123d ralbidv simp3 eleq2d 3orbi123d notbid anbi12d rexeqbidv
      wa exbidv sbcie3s oveq2 raleqdv anbi1d rexbidv 2rexbidv df-trkgld brabg )
      UFUAOZPQZUBOZEOZUGZUFWIUHZAOZUCOZQZFOWIUHZWLWMQZRZWKBOZWMQZWOWRWMQZRZWKCO
      ZWMQZWOXBWMQZRZUIZFUJWFPQZUKZXBWLWRUDOZQZUNZWLXBWRXIQZUNZWRWLXBXIQZUNZULZ
      UMZVPZCWHSZBWHSZAWHSZVPZEUOZUDUEOZUPUHUQUCYDURUHUQUBYDUSUHUQWGDWIUGZWKWLI
      QZWOWLIQZRZWKWRIQZWOWRIQZRZWKXBIQZWOXBIQZRZUIZFXGUKZXBWLWRHQZUNZWLXBWRHQZ
      UNZWRWLXBHQZUNZULZUMZVPZCDSZBDSZADSZVPZEUOZUFJPQZDWIUGZYOFUJJPQZUKZUUDVPZ
      CDSZBDSADSZVPZEUOUEUAGJKUJUTUHVAUUJYCUEDIHUSURUPGUBUCUDLMNWHDRZWMIRZXIHRZ
      UIZUUIYBEUVBYEWJUUHYAUVBWGWGDWHWIWIUVBWIVBUVBWGVBUVBWHDUUSUUTUVAVCVDZVEUV
      BUUGXTADWHUVCUVBUUFXSBDWHUVCUVBUUEXRCDWHUVCUVBYPXHUUDXQUVBYOXFFXGUVBYHWQY
      KXAYNXEUVBYFWNYGWPUVBIWMWKWLUVBWMIUUSUUTUVAVFVDZTUVBIWMWOWLUVDTVGUVBYIWSY
      JWTUVBIWMWKWRUVDTUVBIWMWOWRUVDTVGUVBYLXCYMXDUVBIWMWKXBUVDTUVBIWMWOXBUVDTV
      GVHVIUVBUUCXPUVBYRXKYTXMUUBXOUVBYQXJXBUVBHXIWLWRUVBXIHUUSUUTUVAVJVDZTVKUV
      BYSXLWLUVBHXIXBWRUVETVKUVBUUAXNWRUVBHXIWLXBUVETVKVLVMVNVOVOVOVNVQVRWFJRZU
      UIUUREUVFYEUULUUHUUQUVFWGUUKDDWIWIUVFWIVBWFJUFPVSUVFDVBVEUVFUUFUUPABDDUVF
      UUEUUOCDUVFYPUUNUUDUVFYOFXGUUMWFJUJPVSVTWAWBWCVNVQABCEUEUDFUAUBUCWDWE $.

    $( Property of fulfilling the lower dimension 2 axiom.  (Contributed by
       Thierry Arnoux, 20-Nov-2019.) $)
    istrkg2ld $p |- ( G e. V
      -> ( G TarskiGDim>= 2 <-> E. x e. P E. y e. P E. z e. P
        -. ( z e. ( x I y ) \/ x e. ( z I y ) \/ y e. ( x I z ) ) ) ) $=
      ( vf vj wcel c2 c1 co wceq wa wrex cstrkgld wbr cfzo wf1 cfv w3a wral w3o
      cv wn wex cuz wb cz 2z ax-mp istrkgld mpan2 r19.41v ancom rexbii 3bitr3ri
      uzid exbii rexcom4 simpr reximi adantl exlimiv cmpt csn cop wss 1ex f1osn
      wf1o vex f1of1 mp1i snssi f1ss syl2anc wtru fzo12sn mpteq1i fmptsn eqtr4i
      cvv mp2an eqidd f1eq123d mptru sylibr c0 ral0 fzo0 raleqi mpbir jctl ovex
      a1i mptex f1eq1 nfmpt1 nfeq2 nfan simpll fveq1d eqeq12d 3anbi123d ralbida
      nfv oveq1d anbi1d 2rexbidva anbi12d syl2an impbida rexbiia 3bitr2i bitrdi
      spcev ) EHNZEOUAUBZPOUCQZDLUIZUDZPYFUEZAUIZGQZMUIZYFUEZYIGQZRZYHBUIZGQZYL
      YOGQZRZYHCUIZGQZYLYSGQZRZUFZMOOUCQZUGZYSYIYOFQNYIYSYOFQNYOYIYSFQNUHUJZSZC
      DTZBDTZADTZSZLUKZUUFCDTZBDTZADTZYCOOULUENZYDUULUMOUNNUUPUOOVCUPABCDLMEFGO
      HIJKUQURUULYGUUISZADTZLUKUUQLUKZADTUUOUUKUURLUUIYGSZADTUUJYGSUURUUKUUIYGA
      DUSUUTUUQADUUIYGUTVAUUJYGUTVBVDUUQALDVEUUSUUNADYIDNZUUSUUNUUSUUNUVAUUQUUN
      LUUIUUNYGUUHUUMBDUUGUUFCDUUEUUFVFVGVGVHVIVHUVAYEDMYEYIVJZUDZPUVBUEZYIGQZY
      KUVBUEZYIGQZRZUVDYOGQZUVFYOGQZRZUVDYSGQZUVFYSGQZRZUFZMUUDUGZUUFSZCDTZBDTZ
      UUSUUNUVAPVKZDPYIVLVKZUDZUVCUVAUVTYIVKZUWAUDZUWCDVMUWBUVTUWCUWAVPUWDUVAPY
      IVNAVQZVOUVTUWCUWAVRVSYIDVTUVTUWCDUWAWAWBUVCUWBUMWCYEUVTDDUVBUWAUVBUWARWC
      UVBMUVTYIVJZUWAMYEUVTYIWDWEPWHNYIWHNUWAUWFRVNUWEMPYIWHWHWFWIWGXAYEUVTRWCW
      DXAWCDWJWKWLWMUUMUVRBDUUFUVQCDUUFUVPUVPUVOMWNUGUVOMWOUVOMUUDWNOWPWQWRWSVG
      VGUUQUVCUVSSLUVBMYEYIPOUCWTXBYFUVBRZYGUVCUUIUVSYEDYFUVBXCUWGUUGUVQBCDDUWG
      YODNYSDNSZSZUUEUVPUUFUWIUUCUVOMUUDUWGUWHMMYFUVBMYEYIXDXEUWHMXLXFUWIYKUUDN
      ZSZYNUVHYRUVKUUBUVNUWKYJUVEYMUVGUWKYHUVDYIGUWKPYFUVBUWGUWHUWJXGZXHZXMUWKY
      LUVFYIGUWKYKYFUVBUWLXHZXMXIUWKYPUVIYQUVJUWKYHUVDYOGUWMXMUWKYLUVFYOGUWNXMX
      IUWKYTUVLUUAUVMUWKYHUVDYSGUWMXMUWKYLUVFYSGUWNXMXIXJXKXNXOXPYBXQXRXSXTYA
      $.

    $( Property of fulfilling the lower dimension 3 axiom.  (Contributed by
       Thierry Arnoux, 12-Jul-2020.) $)
    istrkg3ld $p |- ( G e. V
      -> ( G TarskiGDim>= 3 <-> E. u e. P E. v e. P ( u =/= v
        /\ E. x e. P E. y e. P E. z e. P ( ( ( u .- x ) = ( v .- x )
            /\ ( u .- y ) = ( v .- y ) /\ ( u .- z ) = ( v .- z ) )
        /\ -. ( z e. ( x I y ) \/ x e. ( z I y ) \/ y e. ( x I z ) ) ) ) ) ) $=
      ( wcel c3 c1 co wceq c2 wrex vf vj cstrkgld wbr cfzo wf1 cfv w3a wral w3o
      cv wn wa wex cpr wne cuz wb cz cle 3z 2re 3re 2lt3 ltleii eluz1i mpbir2an
      2z istrkgld mpan2 fzo13pr f1eq2 ax-mp anbi1i exbii a1i 1z oveq1 3anbi123d
      eqeq1d anbi1d rexbidv 2rexbidv eqeq2d csn caddc 2p1e3 oveq2i fzosn eqtr3i
      1ne2 raleqi fveq2 oveq1d ralsng bitri bitr4di f1prex mp3an 3bitrd ) GJNZG
      OUCUDZPOUEQZFUAUKZUFZPXDUGZAUKZIQZUBUKZXDUGZXGIQZRZXFBUKZIQZXJXMIQZRZXFCU
      KZIQZXJXQIQZRZUHZUBSOUEQZUIZXQXGXMHQNXGXQXMHQNXMXGXQHQNUJULZUMZCFTZBFTAFT
      ZUMZUAUNZPSUOZFXDUFZYGUMZUAUNZEUKZDUKZUPYNXGIQZYOXGIQZRZYNXMIQZYOXMIQZRZY
      NXQIQZYOXQIQZRZUHZYDUMZCFTZBFTAFTZUMDFTEFTZXAOSUQUGNZXBYIURUUJOUSNSOUTUDV
      ASOVBVCVDVESOVHVFVGABCFUAUBGHIOJKLMVIVJYIYMURXAYHYLUAXEYKYGXCYJRXEYKURVKX
      CYJFXDVLVMVNVOVPYMUUIURZXAPUSNSUSNZPSUPUUKVQVHWKYGUUHXHYQRZXNYTRZXRUUCRZU
      HZYDUMZCFTZBFTAFTEDPSFUAUSUSYNXFRZUUGUURABFFUUSUUFUUQCFUUSUUEUUPYDUUSYRUU
      MUUAUUNUUDUUOUUSYPXHYQYNXFXGIVRVTUUSYSXNYTYNXFXMIVRVTUUSUUBXRUUCYNXFXQIVR
      VTVSWAWBWCYOSXDUGZRZUURYFABFFUVAUUQYECFUVAUUPYCYDUVAUUPXHUUTXGIQZRZXNUUTX
      MIQZRZXRUUTXQIQZRZUHZYCUVAUUMUVCUUNUVEUUOUVGUVAYQUVBXHYOUUTXGIVRWDUVAYTUV
      DXNYOUUTXMIVRWDUVAUUCUVFXRYOUUTXQIVRWDVSYCYAUBSWEZUIZUVHYAUBYBUVISSPWFQZU
      EQZYBUVIUVKOSUEWGWHUULUVLUVIRVHSWIVMWJWLUULUVJUVHURVHYAUVHUBSUSXISRZXLUVC
      XPUVEXTUVGUVMXKUVBXHUVMXJUUTXGIXISXDWMZWNWDUVMXOUVDXNUVMXJUUTXMIUVNWNWDUV
      MXSUVFXRUVMXJUUTXQIUVNWNWDVSWOVMWPWQWAWBWCWRWSVPWT $.
  $}

  ${
    $d f i p x y z $.  $d a b c v z A $.  $d b c v z B $.  $d c v C $.
    $d a b c s t u v x y z I $.  $d a b c s t u v x y z P $.  $d a b s t x S $.
    $d a b t x y T $.  $d a b c u v U $.  $d a b c u v x y z X $.
    $d a b c u v y z Y $.  $d a b c u v z Z $.  $d a b v V $.
    $d a b c u v x y z .- $.
    axtrkg.p $e |- P = ( Base ` G ) $.
    axtrkg.d $e |- .- = ( dist ` G ) $.
    axtrkg.i $e |- I = ( Itv ` G ) $.
    axtrkg.g $e |- ( ph -> G e. TarskiG ) $.
    ${
      axtgcgrrflx.1 $e |- ( ph -> X e. P ) $.
      axtgcgrrflx.2 $e |- ( ph -> Y e. P ) $.
      $( Axiom of reflexivity of congruence, Axiom A1 of [Schwabhauser] p. 10.
         (Contributed by Thierry Arnoux, 14-Mar-2019.) $)
      axtgcgrrflx $p |- ( ph -> ( X .- Y ) = ( Y .- X ) ) $=
        ( vx vy cv co wceq cstrkgc wcel vf vp vz vi cstrkg cstrkgb cin cstrkgcb
        wral clng cfv csn cdif w3o crab cmpo citv cbs cab df-trkg inss1 eqsstri
        wsbc sstri sselid wi cvv istrkgc simprbi simpld syl oveq1 oveq2 eqeq12d
        wa rspc2v syl2anc mpd ) ANPZOPZEQZVTVSEQZRZOBUINBUIZFGEQZGFEQZRZACSTZWD
        AUESCUESUFUGZUHUAPZUJUKNOUBPZWKVSULUMUCPZVSVTUDPZQTVSWLVTWMQTVTVSWLWMQT
        UNUCWKUOUPRUDWJUQUKVCUBWJURUKVCUAUSUGZUGZSNOUCUAUDUBUTWOWISWIWNVASUFVAV
        DVBKVEWHWDWAWLWLEQRVSVTRVFUCBUIOBUINBUIZWHCVGTWDWPVONOUCBCDEHIJVHVIVJVK
        AFBTGBTWDWGVFLMWCWGFVTEQZVTFEQZRNOFGBBVSFRWAWQWBWRVSFVTEVLVSFVTEVMVNVTG
        RWQWEWRWFVTGFEVMVTGFEVLVNVPVQVR $.
    $}

    ${
      axtgcgrid.1 $e |- ( ph -> X e. P ) $.
      axtgcgrid.2 $e |- ( ph -> Y e. P ) $.
      axtgcgrid.3 $e |- ( ph -> Z e. P ) $.
      axtgcgrid.4 $e |- ( ph -> ( X .- Y ) = ( Z .- Z ) ) $.
      $( Axiom of identity of congruence, Axiom A3 of [Schwabhauser] p. 10.
         (Contributed by Thierry Arnoux, 14-Mar-2019.) $)
      axtgcgrid $p |- ( ph -> X = Y ) $=
        ( vx co wceq wcel vy vz vf vp vi cv wi wral cstrkgc cstrkg cin cstrkgcb
        cstrkgb clng cfv csn cdif w3o crab cmpo citv wsbc cbs cab df-trkg inss1
        sstri eqsstri sselid cvv wa istrkgc simprbi simprd oveq1 eqeq1d imbi12d
        syl eqeq1 oveq2 eqeq2 id oveq12d eqeq2d imbi1d rspc3v syl3anc mp2d ) AQ
        UFZUAUFZERZUBUFZWLERZSZWIWJSZUGZUBBUHUABUHQBUHZFGERZHHERZSZFGSZACUITZWQ
        AUJUICUJUIUMUKZULUCUFZUNUOQUAUDUFZXEWIUPUQWLWIWJUEUFZRTWIWLWJXFRTWJWIWL
        XFRTURUBXEUSUTSUEXDVAUOVBUDXDVCUOVBUCVDUKZUKZUIQUAUBUCUEUDVEXHXCUIXCXGV
        FUIUMVFVGVHLVIXBWKWJWIERSUABUHQBUHZWQXBCVJTXIWQVKQUAUBBCDEIJKVLVMVNVRPA
        FBTGBTHBTWQWTXAUGZUGMNOWPXJFWJERZWMSZFWJSZUGWRWMSZXAUGQUAUBFGHBBBWIFSZW
        NXLWOXMXOWKXKWMWIFWJEVOVPWIFWJVSVQWJGSZXLXNXMXAXPXKWRWMWJGFEVTVPWJGFWAV
        QWLHSZXNWTXAXQWMWSWRXQWLHWLHEXQWBZXRWCWDWEWFWGWH $.
    $}

    ${
      axtgsegcon.1 $e |- ( ph -> X e. P ) $.
      axtgsegcon.2 $e |- ( ph -> Y e. P ) $.
      axtgsegcon.3 $e |- ( ph -> A e. P ) $.
      axtgsegcon.4 $e |- ( ph -> B e. P ) $.
      $( Axiom of segment construction, Axiom A4 of [Schwabhauser] p. 11.  As
         discussed in Axiom 4 of [Tarski1999] p. 178, "The intuitive content
         [is that] given any line segment ` A B ` , one can construct a line
         segment congruent to it, starting at any point ` Y ` and going in the
         direction of any ray containing ` Y ` .  The ray is determined by the
         point ` Y ` and a second point ` X ` , the endpoint of the ray.  The
         other endpoint of the line segment to be constructed is just the point
         ` z ` whose existence is asserted."  (Contributed by Thierry Arnoux,
         15-Mar-2019.) $)
      axtgsegcon $p |- ( ph
        -> E. z e. P ( Y e. ( X I z ) /\ ( Y .- z ) = ( A .- B ) ) ) $=
        ( co wral va vb vy vx vf vp vi vc vu vv cv wcel wceq wa cstrkgcb cstrkg
        wrex cstrkgc cstrkgb cin clng cfv csn cdif w3o crab cmpo citv cbs inss2
        wsbc cab df-trkg inss1 sstri eqsstri sselid wne w3a wi istrkgcb simprbi
        cvv simprd syl oveq1 eleq2d anbi1d rexbidv 2ralbidv eleq1 eqeq1d rspc2v
        anbi12d syl2anc mpd eqeq2d anbi2d oveq2 ) AJIBUKZGSZULZJWTHSZUAUKZUBUKZ
        HSZUMZUNZBEUQZUBETUAETZXBXCCDHSZUMZUNZBEUQZAUCUKZUDUKZWTGSZULZXOWTHSZXF
        UMZUNZBEUQZUBETUAETZUCETUDETZXJAFUOULZYDAUPUOFUPURUSUTZUOUEUKZVAVBUDUCU
        FUKZYHXPVCVDWTXPXOUGUKZSULXPWTXOYISULXOXPWTYISULVEBYHVFVGUMUGYGVHVBVKUF
        YGVIVBVKUEVLZUTZUTZUOUDUCBUEUGUFVMYLYKUOYFYKVJUOYJVNVOVPNVQYEXPXOVRXRXE
        XDUHUKZGSULVSXPXOHSXFUMXSXEYMHSUMUNXPUIUKZHSXDUJUKZHSUMXOYNHSXEYOHSUMUN
        UNUNWTYNHSYMYOHSUMVTUJETUHETUBETUAETUIETBETUCETUDETZYDYEFWCULYPYDUNUDUC
        BUJUIEFGHUAUBUHKLMWAWBWDWEAIEULJEULYDXJVTOPYCXJXOXAULZXTUNZBEUQZUBETUAE
        TUDUCIJEEXPIUMZYBYSUAUBEEYTYAYRBEYTXRYQXTYTXQXAXOXPIWTGWFWGWHWIWJXOJUMZ
        YSXIUAUBEEUUAYRXHBEUUAYQXBXTXGXOJXAWKUUAXSXCXFXOJWTHWFWLWNWIWJWMWOWPACE
        ULDEULXJXNVTQRXIXNXBXCCXEHSZUMZUNZBEUQUAUBCDEEXDCUMZXHUUDBEUUEXGUUCXBUU
        EXFUUBXCXDCXEHWFWQWRWIXEDUMZUUDXMBEUUFUUCXLXBUUFUUBXKXCXEDCHWSWQWRWIWMW
        OWP $.
    $}

    ${
      axtg5seg.1 $e |- ( ph -> X e. P ) $.
      axtg5seg.2 $e |- ( ph -> Y e. P ) $.
      axtg5seg.3 $e |- ( ph -> Z e. P ) $.
      axtg5seg.4 $e |- ( ph -> A e. P ) $.
      axtg5seg.5 $e |- ( ph -> B e. P ) $.
      axtg5seg.6 $e |- ( ph -> C e. P ) $.
      axtg5seg.7 $e |- ( ph -> U e. P ) $.
      axtg5seg.8 $e |- ( ph -> V e. P ) $.
      axtg5seg.9 $e |- ( ph -> X =/= Y ) $.
      axtg5seg.10 $e |- ( ph -> Y e. ( X I Z ) ) $.
      axtg5seg.11 $e |- ( ph -> B e. ( A I C ) ) $.
      axtg5seg.12 $e |- ( ph -> ( X .- Y ) = ( A .- B ) ) $.
      axtg5seg.13 $e |- ( ph -> ( Y .- Z ) = ( B .- C ) ) $.
      axtg5seg.14 $e |- ( ph -> ( X .- U ) = ( A .- V ) ) $.
      axtg5seg.15 $e |- ( ph -> ( Y .- U ) = ( B .- V ) ) $.
      $( Five segments axiom, Axiom A5 of [Schwabhauser] p. 11.  Take two
         triangles ` X Z U ` and ` A C V ` , a point ` Y ` on ` X Z ` , and a
         point ` B ` on ` A C ` .  If all corresponding line segments except
         for ` Z U ` and ` C V ` are congruent ( i.e., ` X Y .~ A B ` ,
         ` Y Z .~ B C ` , ` X U .~ A V ` , and ` Y U .~ B V ` ), then ` Z U `
         and ` C V ` are also congruent.  As noted in Axiom 5 of [Tarski1999]
         p. 178, "this axiom is similar in character to the well-known theorems
         of Euclidean geometry that allow one to conclude, from hypotheses
         about the congruence of certain corresponding sides and angles in two
         triangles, the congruence of other corresponding sides and angles."
         (Contributed by Thierry Arnoux, 14-Mar-2019.) $)
      axtg5seg $p |- ( ph -> ( Z .- U ) = ( C .- V ) ) $=
        ( vc vv vb va vu vx vy vz vf vp vi wne co wcel cv wceq wa wral cstrkgcb
        w3a wi cstrkg cstrkgc cstrkgb cin clng cfv csn cdif crab cmpo citv wsbc
        w3o cbs cab df-trkg inss2 inss1 sstri eqsstri wrex cvv istrkgcb simprbi
        sselid simpld neeq1 oveq1 eleq2d 3anbi12d eqeq1d anbi1d anbi12d ralbidv
        imbi1d 2ralbidv neeq2 eleq1 oveq2 anbi2d 3anbi2d imbi12d rspc3v syl3anc
        syl mpd 3anbi3d eqeq2d 3jca jca jca32 rspc2v syl2anc mp2d ) AKLVDZLKMHV
        EZVFZCBUMVGZHVEZVFZVLZKLIVEZBCIVEZVHZLMIVEZCYKIVEZVHZVIZKFIVEZBUNVGZIVE
        ZVHZLFIVEZCUUCIVEZVHZVIZVIZVIZMFIVEZYKUUCIVEZVHZVMZUNEVJUMEVJZYHYJCBDHV
        EZVFZVLZYQYRCDIVEZVHZVIZUUBBJIVEZVHZUUFCJIVEZVHZVIZVIZVIZUULDJIVEZVHZAY
        HYJUOVGZUPVGZYKHVEZVFZVLZYOUVMUVLIVEZVHZYRUVLYKIVEZVHZVIZKUQVGZIVEZUVMU
        UCIVEZVHZLUWBIVEZUVLUUCIVEZVHZVIZVIZVIZMUWBIVEZUUMVHZVMZUNEVJZUMEVJZUOE
        VJZUPEVJUQEVJZUUPAURVGZUSVGZVDZUWTUWSUTVGZHVEZVFZUVOVLZUWSUWTIVEZUVQVHZ
        UWTUXBIVEZUVSVHZVIZUWSUWBIVEZUWDVHZUWTUWBIVEZUWGVHZVIZVIZVIZUXBUWBIVEZU
        UMVHZVMZUNEVJZUMEVJUOEVJZUPEVJUQEVJZUTEVJUSEVJUREVJZUWRAGVKVFZUYDAVNVKG
        VNVOVPVQZVKVAVGZVRVSURUSVBVGZUYHUWSVTWAUXBUWSUWTVCVGZVEVFUWSUXBUWTUYIVE
        VFUWTUWSUXBUYIVEVFWFUTUYHWBWCVHVCUYGWDVSWEVBUYGWGVSWEVAWHZVQZVQZVKURUSU
        TVAVCVBWIUYLUYKVKUYFUYKWJVKUYJWKWLWMQWRUYEUYDUXDUXHUVQVHVIUTEWNUOEVJUPE
        VJUSEVJUREVJZUYEGWOVFUYDUYMVIURUSUTUNUQEGHIUPUOUMNOPWPWQWSXRAKEVFLEVFME
        VFUYDUWRVMRSTUYCUWRKUWTVDZUWTKUXBHVEZVFZUVOVLZKUWTIVEZUVQVHZUXIVIZUWEUX
        NVIZVIZVIZUXSVMZUNEVJZUMEVJUOEVJZUPEVJUQEVJYHLUYOVFZUVOVLZUVRLUXBIVEZUV
        SVHZVIZUWIVIZVIZUXSVMZUNEVJZUMEVJUOEVJZUPEVJUQEVJURUSUTKLMEEEUWSKVHZUYB
        VUFUQUPEEVUQUYAVUEUOUMEEVUQUXTVUDUNEVUQUXQVUCUXSVUQUXEUYQUXPVUBVUQUXAUY
        NUXDUYPUVOUWSKUWTWTVUQUXCUYOUWTUWSKUXBHXAXBXCVUQUXJUYTUXOVUAVUQUXGUYSUX
        IVUQUXFUYRUVQUWSKUWTIXAXDXEVUQUXLUWEUXNVUQUXKUWCUWDUWSKUWBIXAXDXEXFXFXH
        XGXIXIUWTLVHZVUFVUPUQUPEEVURVUEVUOUOUMEEVURVUDVUNUNEVURVUCVUMUXSVURUYQV
        UHVUBVULVURUYNYHUYPVUGUVOUWTLKXJUWTLUYOXKXCVURUYTVUKVUAUWIVURUYSUVRUXIV
        UJVURUYRYOUVQUWTLKIXLXDVURUXHVUIUVSUWTLUXBIXAXDXFVURUXNUWHUWEVURUXMUWFU
        WGUWTLUWBIXAXDXMXFXFXHXGXIXIUXBMVHZVUPUWQUQUPEEVUSVUOUWOUOUMEEVUSVUNUWN
        UNEVUSVUMUWKUXSUWMVUSVUHUVPVULUWJVUSVUGYJYHUVOVUSUYOYILUXBMKHXLXBXNVUSV
        UKUWAUWIVUSVUJUVTUVRVUSVUIYRUVSUXBMLIXLXDXMXEXFVUSUXRUWLUUMUXBMUWBIXAXD
        XOXGXIXIXPXQXSAFEVFBEVFCEVFUWRUUPVMUDUAUBUWPUUPUVPUWAUUBUWDVHZUUFUWGVHZ
        VIZVIZVIZUUNVMZUNEVJUMEVJYHYJUVLYLVFZVLZYOBUVLIVEZVHZUVTVIZUUEVVAVIZVIZ
        VIZUUNVMZUNEVJUMEVJUQUPUOFBCEEEUWBFVHZUWNVVEUMUNEEVVOUWKVVDUWMUUNVVOUWJ
        VVCUVPVVOUWIVVBUWAVVOUWEVUTUWHVVAVVOUWCUUBUWDUWBFKIXLXDVVOUWFUUFUWGUWBF
        LIXLXDXFXMXMVVOUWLUULUUMUWBFMIXLXDXOXIUVMBVHZVVEVVNUMUNEEVVPVVDVVMUUNVV
        PUVPVVGVVCVVLVVPUVOVVFYHYJVVPUVNYLUVLUVMBYKHXAXBXTVVPUWAVVJVVBVVKVVPUVR
        VVIUVTVVPUVQVVHYOUVMBUVLIXAYAXEVVPVUTUUEVVAVVPUWDUUDUUBUVMBUUCIXAYAXEXF
        XFXHXIUVLCVHZVVNUUOUMUNEEVVQVVMUUKUUNVVQVVGYNVVLUUJVVQVVFYMYHYJUVLCYLXK
        XTVVQVVJUUAVVKUUIVVQVVIYQUVTYTVVQVVHYPYOUVLCBIXLYAVVQUVSYSYRUVLCYKIXAYA
        XFVVQVVAUUHUUEVVQUWGUUGUUFUVLCUUCIXAYAXMXFXFXHXIXPXQXSAUUSUVBUVGAYHYJUU
        RUFUGUHYBAYQUVAUIUJYCAUVDUVFUKULYCYDADEVFJEVFUUPUVIUVKVMZVMUCUEUUOVVRUU
        SUVBUUIVIZVIZUULDUUCIVEZVHZVMUMUNDJEEYKDVHZUUKVVTUUNVWBVWCYNUUSUUJVVSVW
        CYMUURYHYJVWCYLUUQCYKDBHXLXBXTVWCUUAUVBUUIVWCYTUVAYQVWCYSUUTYRYKDCIXLYA
        XMXEXFVWCUUMVWAUULYKDUUCIXAYAXOUUCJVHZVVTUVIVWBUVKVWDVVSUVHUUSVWDUUIUVG
        UVBVWDUUEUVDUUHUVFVWDUUDUVCUUBUUCJBIXLYAVWDUUGUVEUUFUUCJCIXLYAXFXMXMVWD
        VWAUVJUULUUCJDIXLYAXOYEYFYG $.
    $}

    ${
      axtgbtwnid.1 $e |- ( ph -> X e. P ) $.
      axtgbtwnid.2 $e |- ( ph -> Y e. P ) $.
      axtgbtwnid.3 $e |- ( ph -> Y e. ( X I X ) ) $.
      $( Identity of Betweenness.  Axiom A6 of [Schwabhauser] p. 11.
         (Contributed by Thierry Arnoux, 15-Mar-2019.) $)
      axtgbtwnid $p |- ( ph -> X = Y ) $=
        ( vy vx cv co wcel wral vf vp vz vi vu vv va vt vs vb wi cstrkgb cstrkg
        wceq cstrkgc cin cstrkgcb clng cfv csn cdif w3o crab cmpo citv wsbc cbs
        cab df-trkg inss1 inss2 sstri eqsstri sselid wa cpw cvv istrkgb simprbi
        wrex w3a simp1d syl id oveq12d eleq2d eqeq1 imbi12d eleq1 eqeq2 syl2anc
        rspc2v mp2d ) AOQZPQZWODRZSZWOWNUNZUKZOBTPBTZGFFDRZSZFGUNZACULSZWTAUMUL
        CUMUOULUPZUQUAQZURUSPOUBQZXGWOUTVAUCQZWOWNUDQZRSWOXHWNXIRSWNWOXHXIRSVBU
        CXGVCVDUNUDXFVEUSVFUBXFVGUSVFUAVHUPZUPZULPOUCUAUDUBVIXKXEULXEXJVJUOULVK
        VLVMKVNXDWTUEQZWOXHDRSUFQZWNXHDRSVOUGQZXLWNDRSXNXMWODRSVOUGBVTUKUFBTUEB
        TUCBTOBTPBTZWOXNWNDRSOUHQZTPUIQZTUGBVTUJQWOWNDRSOXPTPXQTUJBVTUKUHBVPZTU
        IXRTZXDCVQSWTXOXSWAPOUCUFUEUHBCDEUIUGUJHIJVRVSWBWCNAFBSGBSWTXBXCUKZUKLM
        WSXTWNXASZFWNUNZUKPOFGBBWOFUNZWQYAWRYBYCWPXAWNYCWOFWOFDYCWDZYDWEWFWOFWN
        WGWHWNGUNYAXBYBXCWNGXAWIWNGFWJWHWLWKWM $.
    $}

    ${
      axtgpasch.1 $e |- ( ph -> X e. P ) $.
      axtgpasch.2 $e |- ( ph -> Y e. P ) $.
      axtgpasch.3 $e |- ( ph -> Z e. P ) $.
      axtgpasch.4 $e |- ( ph -> U e. P ) $.
      axtgpasch.5 $e |- ( ph -> V e. P ) $.
      axtgpasch.6 $e |- ( ph -> U e. ( X I Z ) ) $.
      axtgpasch.7 $e |- ( ph -> V e. ( Y I Z ) ) $.
      $( Axiom of (Inner) Pasch, Axiom A7 of [Schwabhauser] p. 12.  Given
         triangle ` X Y Z ` , point ` U ` in segment ` X Z ` , and point ` V `
         in segment ` Y Z ` , there exists a point ` a ` on both the segment
         ` U Y ` and the segment ` V X ` .  This axiom is essentially a subset
         of the general Pasch axiom.  The general Pasch axiom asserts that on a
         plane "a line intersecting a triangle in one of its sides, and not
         intersecting any of the vertices, must intersect one of the other two
         sides" (per the discussion about Axiom 7 of [Tarski1999] p. 179).  The
         (general) Pasch axiom was used implicitly by Euclid, but never stated;
         Moritz Pasch discovered its omission in 1882.  As noted in the
         Metamath book, this means that the omission of Pasch's axiom from
         Euclid went unnoticed for 2000 years.  Only the inner Pasch algorithm
         is included as an axiom; the "outer" form of the Pasch axiom can be
         proved using the inner form (see theorem 9.6 of [Schwabhauser] p. 69
         and the brief discussion in axiom 7.1 of [Tarski1999] p. 180).
         (Contributed by Thierry Arnoux, 15-Mar-2019.) $)
      axtgpasch $p |- ( ph
        -> E. a e. P ( a e. ( U I Y ) /\ a e. ( V I X ) ) ) $=
        ( vu vv vx vz vy vf vp vi vt vs vb co wcel cv wa wrex wi cstrkgb cstrkg
        wral cstrkgc cin cstrkgcb clng cfv csn cdif w3o crab cmpo wceq citv cbs
        wsbc cab df-trkg inss1 inss2 eqsstri sselid cpw cvv w3a istrkgb simprbi
        sstri simp2d oveq1 eleq2d anbi1d oveq2 rexbidv imbi12d 2ralbidv anbi12d
        syl anbi2d imbi1d rspc3v syl3anc mpd eleq1 rspc2v syl2anc mp2and ) ACHJ
        EUNZUOZGIJEUNZUOZKUPZCIEUNZUOZXLGHEUNZUOZUQZKBURZUAUBAUCUPZXHUOZUDUPZXJ
        UOZUQZXLXSIEUNZUOZXLYAHEUNZUOZUQZKBURZUSZUDBVBUCBVBZXIXKUQZXRUSZAXSUEUP
        ZUFUPZEUNZUOZYAUGUPZYOEUNZUOZUQZXLXSYREUNZUOZXLYAYNEUNZUOZUQZKBURZUSZUD
        BVBUCBVBZUFBVBUGBVBUEBVBZYKADUTUOZUUJAVAUTDVAVCUTVDZVEUHUPZVFVGUEUGUIUP
        ZUUNYNVHVIYOYNYRUJUPZUNUOYNYOYRUUOUNUOYRYNYOUUOUNUOVJUFUUNVKVLVMUJUUMVN
        VGVPUIUUMVOVGVPUHVQVDZVDZUTUEUGUFUHUJUIVRUUQUULUTUULUUPVSVCUTVTWHWAOWBU
        UKYRYNYNEUNUOYNYRVMUSUGBVBUEBVBZUUJYNXLYREUNUOUGUKUPZVBUEULUPZVBKBURUMU
        PYNYREUNUOUGUUSVBUEUUTVBUMBURUSUKBWCZVBULUVAVBZUUKDWDUOUURUUJUVBWEUEUGU
        FUDUCUKBDEFULKUMLMNWFWGWIWRAHBUOIBUOJBUOUUJYKUSPQRUUIYKXSHYOEUNZUOZYTUQ
        ZUUCYGUQZKBURZUSZUDBVBUCBVBUVDYAIYOEUNZUOZUQZYIUSZUDBVBUCBVBUEUGUFHIJBB
        BYNHVMZUUHUVHUCUDBBUVMUUAUVEUUGUVGUVMYQUVDYTUVMYPUVCXSYNHYOEWJWKWLUVMUU
        FUVFKBUVMUUEYGUUCUVMUUDYFXLYNHYAEWMWKWSWNWOWPYRIVMZUVHUVLUCUDBBUVNUVEUV
        KUVGYIUVNYTUVJUVDUVNYSUVIYAYRIYOEWJWKWSUVNUVFYHKBUVNUUCYEYGUVNUUBYDXLYR
        IXSEWMWKWLWNWOWPYOJVMZUVLYJUCUDBBUVOUVKYCYIUVOUVDXTUVJYBUVOUVCXHXSYOJHE
        WMWKUVOUVIXJYAYOJIEWMWKWQWTWPXAXBXCACBUOGBUOYKYMUSSTYJYMXIYBUQZXNYGUQZK
        BURZUSUCUDCGBBXSCVMZYCUVPYIUVRUVSXTXIYBXSCXHXDWLUVSYHUVQKBUVSYEXNYGUVSY
        DXMXLXSCIEWJWKWLWNWOYAGVMZUVPYLUVRXRUVTYBXKXIYAGXJXDWSUVTUVQXQKBUVTYGXP
        XNUVTYFXOXLYAGHEWJWKWSWNWOXEXFXCXG $.
    $}

    ${
      axtgcont.1 $e |- ( ph -> S C_ P ) $.
      axtgcont.2 $e |- ( ph -> T C_ P ) $.
      $( Axiom of Continuity.  Axiom A11 of [Schwabhauser] p. 13.  This axiom
         (scheme) asserts that any two sets ` S ` and ` T ` (of points) such
         that the elements of ` S ` precede the elements of ` T ` with respect
         to some point ` a ` (that is, ` x ` is between ` a ` and ` y `
         whenever ` x ` is in ` X ` and ` y ` is in ` Y ` ) are separated by
         some point ` b ` ; this is explained in Axiom 11 of [Tarski1999]
         p. 185.  (Contributed by Thierry Arnoux, 16-Mar-2019.) $)
      axtgcont1 $p |- ( ph ->
            ( E. a e. P A. x e. S A. y e. T x e. ( a I y )
           -> E. b e. P A. x e. S A. y e. T b e. ( x I y ) ) ) $=
        ( cv wcel wral vt vs vf vp vz vi vu vv co wi cpw cstrkgb cstrkg cstrkgc
        wrex cin cstrkgcb clng cfv csn cdif w3o crab cmpo wceq citv cbs df-trkg
        wsbc cab inss1 inss2 sstri eqsstri sselid wa cvv istrkgb simprbi simp3d
        w3a syl wss wb fvexi ssex elpwg mpbird raleq rexbidv imbi12d rexralbidv
        3syl rspc2v syl2anc mpd ) ABRZJRZCRZHUISZCUARZTZBUBRZTZJDUOZKRWQWSHUISZ
        CXATZBXCTZKDUOZUJZUADUKZTUBXKTZWTCFTZBETJDUOZXFCFTZBETKDUOZUJZAGULSZXLA
        UMULGUMUNULUPZUQUCRZURUSBCUDRZYAWQUTVAUERZWQWSUFRZUISWQYBWSYCUISWSWQYBY
        CUISVBUEYAVCVDVEUFXTVFUSVIUDXTVGUSVIUCVJUPZUPZULBCUEUCUFUDVHYEXSULXSYDV
        KUNULVLVMVNOVOXRWSWQWQHUISWQWSVEUJCDTBDTZUGRZWQYBHUISUHRZWSYBHUISVPWRYG
        WSHUISWRYHWQHUISVPJDUOUJUHDTUGDTUEDTCDTBDTZXLXRGVQSYFYIXLWABCUEUHUGUADG
        HIUBJKLMNVRVSVTWBAEXKSZFXKSZXLXQUJAYJEDWCZPAYLEVQSYJYLWDPEDDGVGLWEZWFED
        VQWGWMWHAYKFDWCZQAYNFVQSYKYNWDQFDYMWFFDVQWGWMWHXJXQXBBETZJDUOZXGBETZKDU
        OZUJUBUAEFXKXKXCEVEZXEYPXIYRYSXDYOJDXBBXCEWIWJYSXHYQKDXGBXCEWIWJWKXAFVE
        ZYPXNYRXPYTXBXMJBDEWTCXAFWIWLYTXGXOKBDEXFCXAFWIWLWKWNWOWP $.

      $d u v ph $.  $d u v S $.  $d u v T $.  $d u v x y A $.
      axtgcont.3 $e |- ( ph -> A e. P ) $.
      axtgcont.4 $e |- ( ( ph /\ u e. S /\ v e. T ) -> u e. ( A I v ) ) $.
      $( Axiom of Continuity.  Axiom A11 of [Schwabhauser] p. 13.  For more
         information see ~ axtgcont1 .  (Contributed by Thierry Arnoux,
         16-Mar-2019.) $)
      axtgcont $p |- ( ph -> E. b e. P A. x e. S A. y e. T b e. ( x I y ) ) $=
        ( va cv co wcel wral wrex 3expb ralrimivva wceq weq simplr simpll simpr
        wa oveq12d eleq12d cbvraldva rspcev syl2anc axtgcont1 mpd ) ABUCZUBUCZC
        UCZKUDZUEZCIUFZBHUFZUBGUGZMUCVCVEKUDUECIUFBHUFMGUGAFGUEEUCZFDUCZKUDZUEZ
        DIUFZEHUFZVJTAVNEDHIAVKHUEVLIUEVNUAUHUIVIVPUBFGVDFUJZVHVOBEHVQBEUKZUOZV
        GVNCDIVSCDUKZUOZVCVKVFVMVQVRVTULWAVDFVEVLKVQVRVTUMVSVTUNUPUQURURUSUTABC
        GHIJKLUBMNOPQRSVAVB $.
    $}
  $}

  ${
    $d u v x y z .- $.  $d u v x y z I $.  $d u v x y z P $.
    axtrkge.p $e |- P = ( Base ` G ) $.
    axtrkge.d $e |- .- = ( dist ` G ) $.
    axtrkge.i $e |- I = ( Itv ` G ) $.
    ${
      axtglowdim2.v $e |- ( ph -> G e. V ) $.
      axtglowdim2.g $e |- ( ph -> G TarskiGDim>= 2 ) $.
      $( Lower dimension axiom for dimension 2, Axiom A8 of [Schwabhauser]
         p. 13.  There exist 3 non-colinear points.  (Contributed by Thierry
         Arnoux, 20-Nov-2019.) $)
      axtglowdim2 $p |- ( ph -> E. x e. P E. y e. P E. z e. P
            -. ( z e. ( x I y ) \/ x e. ( z I y ) \/ y e. ( x I z ) ) ) $=
        ( c2 cstrkgld cv co wcel wrex wbr w3o wn wb istrkg2ld syl mpbid ) AFOPU
        AZDQZBQZCQZGRSUJUIUKGRSUKUJUIGRSUBUCDETCETBETZNAFISUHULUDMBCDEFGHIJKLUE
        UFUG $.
    $}

    ${
      $d u v x y z .- $.  $d u v x y z I $.  $d u v x y z P $.  $d u v z Z $.
      $d u v x y z X $.  $d u v y z Y $.  $d u v x y z U $.  $d v x y z V $.
      axtgupdim2.x $e |- ( ph -> X e. P ) $.
      axtgupdim2.y $e |- ( ph -> Y e. P ) $.
      axtgupdim2.z $e |- ( ph -> Z e. P ) $.
      axtgupdim2.u $e |- ( ph -> U e. P ) $.
      axtgupdim2.v $e |- ( ph -> V e. P ) $.
      axtgupdim2.0 $e |- ( ph -> U =/= V ) $.
      axtgupdim2.1 $e |- ( ph -> ( U .- X ) = ( V .- X ) ) $.
      axtgupdim2.2 $e |- ( ph -> ( U .- Y ) = ( V .- Y ) ) $.
      axtgupdim2.3 $e |- ( ph -> ( U .- Z ) = ( V .- Z ) ) $.
      axtgupdim2.w $e |- ( ph -> G e. V ) $.
      axtgupdim2.g $e |- ( ph -> -. G TarskiGDim>= 3 ) $.
      $( Upper dimension axiom for dimension 2, Axiom A9 of [Schwabhauser]
         p. 13.  Three points ` X ` , ` Y ` and ` Z ` equidistant to two given
         two points ` U ` and ` V ` must be colinear.  (Contributed by Thierry
         Arnoux, 29-May-2019.)  (Revised by Thierry Arnoux, 11-Jul-2020.) $)
      axtgupdim2 $p |- ( ph ->
        ( Z e. ( X I Y ) \/ X e. ( Z I Y ) \/ Y e. ( X I Z ) ) ) $=
        ( vx vy vz vu vv co wcel w3o wceq wn w3a wa wi cv wral wrex c3 cstrkgld
        wne wbr istrkg3ld syl mtbid ralnex2 sylibr neeq1 oveq1 eqeq1d 3anbi123d
        wb anbi1d rexbidv 2rexbidv anbi12d notbid neeq2 eqeq2d rspc2v mpd imnan
        syl2anc ralnex3 eqeq12d 3anbi1d eleq2d 3orbi123d 3anbi2d 3anbi3d rspc3v
        oveq2 eleq1 syl3anc mp3and notnotrd ) AJHIEUJZUKZHJIEUJZUKZIHJEUJZUKZUL
        ZACHFUJZGHFUJZUMZCIFUJZGIFUJZUMZCJFUJZGJFUJZUMZXEUNZUNZTUAUBAXHXKXNUOZX
        OUPZUNZXQXPUQACUEURZFUJZGXTFUJZUMZCUFURZFUJZGYDFUJZUMZCUGURZFUJZGYHFUJZ
        UMZUOZYHXTYDEUJZUKZXTYHYDEUJZUKZYDXTYHEUJZUKZULZUNZUPZUNZUGBUSUFBUSUEBU
        SZXSAUUAUGBUTZUFBUTUEBUTZUNZUUCACGVCZUUFSAUUGUUEUPZUNZUUGUUFUQAUHURZUIU
        RZVCZUUJXTFUJZUUKXTFUJZUMZUUJYDFUJZUUKYDFUJZUMZUUJYHFUJZUUKYHFUJZUMZUOZ
        YTUPZUGBUTZUFBUTUEBUTZUPZUNZUIBUSUHBUSZUUIAUVFUIBUTUHBUTZUNUVHADVAVBVDZ
        UVIUDADGUKUVJUVIVNUCUEUFUGUIUHBDEFGKLMVEVFVGUVFUHUIBBVHVIACBUKGBUKUVHUU
        IUQQRUVGUUICUUKVCZYAUUNUMZYEUUQUMZYIUUTUMZUOZYTUPZUGBUTZUFBUTUEBUTZUPZU
        NUHUICGBBUUJCUMZUVFUVSUVTUULUVKUVEUVRUUJCUUKVJUVTUVDUVQUEUFBBUVTUVCUVPU
        GBUVTUVBUVOYTUVTUUOUVLUURUVMUVAUVNUVTUUMYAUUNUUJCXTFVKVLUVTUUPYEUUQUUJC
        YDFVKVLUVTUUSYIUUTUUJCYHFVKVLVMVOVPVQVRVSUUKGUMZUVSUUHUWAUVKUUGUVRUUEUU
        KGCVTUWAUVQUUDUEUFBBUWAUVPUUAUGBUWAUVOYLYTUWAUVLYCUVMYGUVNYKUWAUUNYBYAU
        UKGXTFVKWAUWAUUQYFYEUUKGYDFVKWAUWAUUTYJYIUUKGYHFVKWAVMVOVPVQVRVSWBWEWCU
        UGUUEWDVIWCUUAUEUFUGBBBWFVIAHBUKIBUKJBUKUUCXSUQNOPUUBXSXHYGYKUOZYHHYDEU
        JZUKZHYOUKZYDHYHEUJZUKZULZUNZUPZUNXHXKYKUOZYHWSUKZHYHIEUJZUKZIUWFUKZULZ
        UNZUPZUNUEUFUGHIJBBBXTHUMZUUAUWJUWSYLUWBYTUWIUWSYCXHYGYKUWSYAXFYBXGXTHC
        FWNXTHGFWNWGWHUWSYSUWHUWSYNUWDYPUWEYRUWGUWSYMUWCYHXTHYDEVKWIXTHYOWOUWSY
        QUWFYDXTHYHEVKWIWJVSVRVSYDIUMZUWJUWRUWTUWBUWKUWIUWQUWTYGXKXHYKUWTYEXIYF
        XJYDICFWNYDIGFWNWGWKUWTUWHUWPUWTUWDUWLUWEUWNUWGUWOUWTUWCWSYHYDIHEWNWIUW
        TYOUWMHYDIYHEWNWIYDIUWFWOWJVSVRVSYHJUMZUWRXRUXAUWKXQUWQXOUXAYKXNXHXKUXA
        YIXLYJXMYHJCFWNYHJGFWNWGWLUXAUWPXEUXAUWLWTUWNXBUWOXDYHJWSWOUXAUWMXAHYHJ
        IEVKWIUXAUWFXCIYHJHEWNWIWJVSVRVSWMWPWCXQXOWDVIWQWR $.
    $}

    ${
      $d a b u v x y z I $.  $d a b u v x y z P $.  $d a b v V $.
      $d a b u v U $.  $d a b u v x y z X $.  $d a b u v y z Y $.
      $d a b u v z Z $.  $d a b u v x y z .- $.
      axtgeucl.g $e |- ( ph -> G e. TarskiGE ) $.
      axtgeucl.1 $e |- ( ph -> X e. P ) $.
      axtgeucl.2 $e |- ( ph -> Y e. P ) $.
      axtgeucl.3 $e |- ( ph -> Z e. P ) $.
      axtgeucl.4 $e |- ( ph -> U e. P ) $.
      axtgeucl.5 $e |- ( ph -> V e. P ) $.
      axtgeucl.6 $e |- ( ph -> U e. ( X I V ) ) $.
      axtgeucl.7 $e |- ( ph -> U e. ( Y I Z ) ) $.
      axtgeucl.8 $e |- ( ph -> X =/= U ) $.
      $( Euclid's Axiom.  Axiom A10 of [Schwabhauser] p. 13.  This is
         equivalent to Euclid's parallel postulate when combined with other
         axioms.  (Contributed by Thierry Arnoux, 16-Mar-2019.) $)
      axtgeucl $p |- ( ph -> E. a e. P E. b e. P
        ( Y e. ( X I a ) /\ Z e. ( X I b ) /\ V e. ( a I b ) ) ) $=
        ( vu vv vx vy vz co wcel wne cv w3a wrex wi wral cvv cstrkge wa istrkge
        sylib simprd wceq oveq1 eleq2d neeq1 3anbi13d 3anbi12d 2rexbidv imbi12d
        2ralbidv 3anbi2d eleq1 3anbi1d oveq2 rspc3v syl3anc mpd neeq2 3anbi123d
        imbi1d 3anbi3d rspc2v syl2anc mp3and ) ACHGEUJZUKZCIJEUJZUKZHCULZIHKUMZ
        EUJZUKZJHLUMZEUJZUKZGWLWOEUJZUKZUNZLBUOKBUOZUBUCUDAUEUMZHUFUMZEUJZUKZXB
        WIUKZHXBULZUNZWNWQXCWRUKZUNZLBUOKBUOZUPZUFBUQUEBUQZWHWJWKUNZXAUPZAXBUGU
        MZXCEUJZUKZXBUHUMZUIUMZEUJZUKZXPXBULZUNZXSXPWLEUJZUKZXTXPWOEUJZUKZXIUNZ
        LBUOKBUOZUPZUFBUQUEBUQZUIBUQUHBUQUGBUQZXMADURUKZYMADUSUKYNYMUTPUGUHUIUF
        UEBDEFKLMNOVAVBVCAHBUKIBUKJBUKYMXMUPQRSYLXMXEYBXGUNZXSWMUKZXTWPUKZXIUNZ
        LBUOKBUOZUPZUFBUQUEBUQXEXBIXTEUJZUKZXGUNZWNYQXIUNZLBUOKBUOZUPZUFBUQUEBU
        QUGUHUIHIJBBBXPHVDZYKYTUEUFBBUUGYDYOYJYSUUGXRXEYCXGYBUUGXQXDXBXPHXCEVEV
        FXPHXBVGVHUUGYIYRKLBBUUGYFYPYHYQXIUUGYEWMXSXPHWLEVEVFUUGYGWPXTXPHWOEVEV
        FVIVJVKVLXSIVDZYTUUFUEUFBBUUHYOUUCYSUUEUUHYBUUBXEXGUUHYAUUAXBXSIXTEVEVF
        VMUUHYRUUDKLBBUUHYPWNYQXIXSIWMVNVOVJVKVLXTJVDZUUFXLUEUFBBUUIUUCXHUUEXKU
        UIUUBXFXEXGUUIUUAWIXBXTJIEVPVFVMUUIUUDXJKLBBUUIYQWQWNXIXTJWPVNVMVJVKVLV
        QVRVSACBUKGBUKXMXOUPTUAXLXOCXDUKZWJWKUNZXKUPUEUFCGBBXBCVDZXHUUKXKUULXEU
        UJXFWJXGWKXBCXDVNXBCWIVNXBCHVTWAWBXCGVDZUUKXNXKXAUUMUUJWHWJWKUUMXDWGCXC
        GHEVPVFVOUUMXJWTKLBBUUMXIWSWNWQXCGWRVNWCVJVKWDWEVSWF $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Justification for the congruence notation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A r u v x y z $.  $d F r u v x y z $.  $d V u v $.
    $( Given any function ` F ` , equality of the image by ` F ` is an
       equivalence relation.  (Contributed by Thierry Arnoux, 25-Jan-2023.) $)
    tgjustf $p |- ( A e. V -> E. r ( r Er A
      /\ A. x e. A A. y e. A ( x r y <-> ( F ` x ) = ( F ` y ) ) ) ) $=
      ( vu vv wcel cv wa cfv wceq wbr weq simpl fveq2d simpr eqeq12d brab2a wer
      vz copab wb wral relopabv ancom eqcom anbi12i eqid 3bitr4i biimpi simplll
      simprlr simplr simprr eqtrd jca31 3imtr4i biantru pm4.24 iseri baib rgen2
      wex cvv wi id simprll opabex2 ereq1 breqd bibi1d 2ralbidva anbi12d spcegv
      syl mp2ani ) CEIZCGJZCIZHJZCIZKVTDLZWBDLZMZKZGHUCZUAZAJZBJZWHNZWJDLZWKDLZ
      MZUDZBCUEACUEZCFJZUAZWJWKWRNZWOUDZBCUEACUEZKZFVEZABUBCWHWGGHUFWLWKWJWHNZW
      JCIZWKCIZKZWOKZXGXFKZWNWMMZKWLXEXHXJWOXKXFXGUGWMWNUHUIWFWOGHWJWKCCWHGAOZH
      BOZKZWDWMWEWNXNVTWJDXLXMPQXNWBWKDXLXMRQSWHUJZTZWFXKGHWKWJCCWHGBOZHAOZKZWD
      WNWEWMXSVTWKDXQXRPQXSWBWJDXQXRRQSXOTUKULXIXGUBJZCIZKZWNXTDLZMZKZKZXFYAKWM
      YCMZKWLWKXTWHNZKWJXTWHNYFXFYAYGXFXGWOYEUMXIXGYAYDUNYFWMWNYCXHWOYEUOXIYBYD
      UPUQURWLXIYHYEXPWFYDGHWKXTCCWHXQHUBOZKZWDWNWEYCYJVTWKDXQYIPQYJWBXTDXQYIRQ
      SXOTUIWFYGGHWJXTCCWHXLYIKZWDWMWEYCYKVTWJDXLYIPQYKWBXTDXLYIRQSXOTUSXFXFKZY
      LWMWMMZKXFWJWJWHNYMYLWMUJUTXFVAWFYMGHWJWJCCWHXLXRKZWDWMWEWMYNVTWJDXLXRPQY
      NWBWJDXLXRRQSXOTUKVBWPABCCWLXHWOXPVCVDVSWHVFIWIWQKZXDVGVSWGGHCCEEVSVHZYPV
      SWAWCWFVIVSWAWCWFUNVJXCYOFWHVFWRWHMZWSWIXBWQCWRWHVKYQXAWPABCCYQXHKZWTWLWO
      YRWRWHWJWKYQXHPVLVMVNVOVPVQVR $.
  $}

  ${
    $d A f u x y $.  $d R f u x y $.  $d V u x y $.
    $( Given any equivalence relation ` R ` , one can define a function ` f `
       such that all elements of an equivalence classe of ` R ` have the same
       image by ` f ` .  (Contributed by Thierry Arnoux, 25-Jan-2023.) $)
    tgjustr $p |- ( ( A e. V /\ R Er A ) -> E. f ( f Fn A
      /\ A. x e. A A. y e. A ( x R y <-> ( f ` x ) = ( f ` y ) ) ) ) $=
      ( vu wcel wa cv cec wfn cfv wceq wb wral cvv syl adantr ralrimiva wer wbr
      cmpt wex erex ecexg eqid fnmpt simpllr simpr erth cqs eceq1 ecelqsg sylan
      impcom fvmptd3 adantlr eqeq12d bitr4d wi mptexg fneq1 simpl fveq1d bibi2d
      2ralbidva anbi12d spcegv mp2and ) CFHZCDUAZIZGCGJZDKZUCZCLZAJZBJZDUBZVRVP
      MZVSVPMZNZOZBCPZACPZEJZCLZVTVRWGMZVSWGMZNZOZBCPACPZIZEUDZVMVOQHZGCPVQVMWP
      GCVMWPVNCHVMDQHZWPVLVKWQCDFUEUPZVNQDUFRSTGCVOVPQVPUGZUHRVMWEACVMVRCHZIZWD
      BCXAVSCHZIZVTVRDKZVSDKZNWCXCVRVSDCVKVLWTXBUIXAWTXBVMWTUJZSUKXCWAXDWBXEXAW
      AXDNXBXAGVRVOXDCVPCDULZWSVNVRDUMXFVMWQWTXDXGHWRCVRDQUNUOUQSVMXBWBXENWTVMX
      BIGVSVOXECVPXGWSVNVSDUMVMXBUJVMWQXBXEXGHWRCVSDQUNUOUQURUSUTTTVMVPQHZVQWFI
      ZWOVAVKXHVLGCVOFVBSWNXIEVPQWGVPNZWHVQWMWFCWGVPVCXJWLWDABCCXJWTXBIZIZWKWCV
      TXLWIWAWJWBXLVRWGVPXJXKVDZVEXLVSWGVPXMVEUSVFVGVHVIRVJ $.
  $}

  ${
    $d .- r u v w x y z $.  $d P r u v w x y z $.
    tgjustc1.p $e |- P = ( Base ` G ) $.
    tgjustc1.d $e |- .- = ( dist ` G ) $.
    $( A justification for using distance equality instead of the textbook
       relation on pairs of points for congruence.  (Contributed by Thierry
       Arnoux, 29-Jan-2023.) $)
    tgjustc1 $p |- E. r ( r Er ( P X. P )
      /\ A. w e. P A. x e. P A. y e. P A. z e. P
      ( <. w , x >. r <. y , z >. <-> ( w .- x ) = ( y .- z ) ) ) $=
      ( vu vv cv wbr cfv wceq wb wral wa wcel cxp wer cop co cvv wex fvexi xpex
      cbs tgjustf ax-mp simplrl simplrr opelxpd simprl simprr breq1 fveq2 df-ov
      simpll eqtr4di eqeq1d bibi12d breq2 eqeq2d rspc2va syl21anc anim2i eximii
      ralrimivva ) EEUAZHMZUBZKMZLMZVLNZVNGOZVOGOZPZQZLVKRKVKRZSZVMDMZAMZUCZBMZ
      CMZUCZVLNZWCWDGUDZWFWGGUDZPZQZCERBERZAERDERZSHVKUETWBHUFEEEFUIIUGZWPUHKLV
      KGUEHUJUKWAWOVMWAWNDAEEWAWCETZWDETZSZSZWMBCEEWTWFETZWGETZSZSZWEVKTWHVKTWA
      WMXDWCWDEEWAWQWRXCULWAWQWRXCUMUNXDWFWGEEWTXAXBUOWTXAXBUPUNWAWSXCUTVTWMWEV
      OVLNZWJVRPZQKLWEWHVKVKVNWEPZVPXEVSXFVNWEVOVLUQXGVQWJVRXGVQWEGOWJVNWEGURWC
      WDGUSVAVBVCVOWHPZXEWIXFWLVOWHWEVLVDXHVRWKWJXHVRWHGOWKVOWHGURWFWGGUSVAVEVC
      VFVGVJVJVHVI $.
  $}

  ${
    $d P d u v w x y z $.  $d R d u v w x y z $.
    tgjustc2.p $e |- P = ( Base ` G ) $.
    tgjustc2.d $e |- R Er ( P X. P ) $.
    $( A justification for using distance equality instead of the textbook
       relation on pairs of points for congruence.  (Contributed by Thierry
       Arnoux, 29-Jan-2023.) $)
    tgjustc2 $p |- E. d ( d Fn ( P X. P )
      /\ A. w e. P A. x e. P A. y e. P A. z e. P
      ( <. w , x >. R <. y , z >. <-> ( w d x ) = ( y d z ) ) ) $=
      ( vu vv cv wbr cfv wceq wb wral wa wcel cxp wfn cop cvv wer wex cbs fvexi
      co tgjustr mp2an simplrl simplrr opelxpd simprl simprr simpll breq1 fveq2
      xpex df-ov eqtr4di eqeq1d bibi12d breq2 eqeq2d syl21anc ralrimivva anim2i
      rspc2va eximii ) HMZEEUAZUBZKMZLMZFNZVOVLOZVPVLOZPZQZLVMRKVMRZSZVNDMZAMZU
      CZBMZCMZUCZFNZWDWEVLUIZWGWHVLUIZPZQZCERBERZAERDERZSHVMUDTVMFUEWCHUFEEEGUG
      IUHZWQUTJKLVMFHUDUJUKWBWPVNWBWODAEEWBWDETZWEETZSZSZWNBCEEXAWGETZWHETZSZSZ
      WFVMTWIVMTWBWNXEWDWEEEWBWRWSXDULWBWRWSXDUMUNXEWGWHEEXAXBXCUOXAXBXCUPUNWBW
      TXDUQWAWNWFVPFNZWKVSPZQKLWFWIVMVMVOWFPZVQXFVTXGVOWFVPFURXHVRWKVSXHVRWFVLO
      WKVOWFVLUSWDWEVLVAVBVCVDVPWIPZXFWJXGWMVPWIWFFVEXIVSWLWKXIVSWIVLOWLVPWIVLU
      SWGWHVLVAVBVFVDVJVGVHVHVIVK $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Tarskian Geometry
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Congruence
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    tkgeom.p $e |- P = ( Base ` G ) $.
    tkgeom.d $e |- .- = ( dist ` G ) $.
    tkgeom.i $e |- I = ( Itv ` G ) $.
    tkgeom.g $e |- ( ph -> G e. TarskiG ) $.

    ${
      tgcgrcomimp.a $e |- ( ph -> A e. P ) $.
      tgcgrcomimp.b $e |- ( ph -> B e. P ) $.
      tgcgrcomimp.c $e |- ( ph -> C e. P ) $.
      tgcgrcomimp.d $e |- ( ph -> D e. P ) $.
      $( Congruence commutes on the RHS. Theorem 2.5 of [Schwabhauser] p. 27.
         (Contributed by David A. Wheeler, 29-Jun-2020.) $)
      tgcgrcomimp $p |- ( ph ->
        ( ( A .- B ) = ( C .- D ) -> ( A .- B ) = ( D .- C ) ) ) $=
        ( co wceq axtgcgrrflx eqeq2d biimpd ) ABCIRZDEIRZSUCEDIRZSAUDUEUCAFGHID
        EJKLMPQTUAUB $.
    $}

    ${
      tgcgrcomr.a $e |- ( ph -> A e. P ) $.
      tgcgrcomr.b $e |- ( ph -> B e. P ) $.
      tgcgrcomr.c $e |- ( ph -> C e. P ) $.
      tgcgrcomr.d $e |- ( ph -> D e. P ) $.
      tgcgrcomr.6 $e |- ( ph -> ( A .- B ) = ( C .- D ) ) $.
      $( Congruence commutes on the RHS. Variant of Theorem 2.5 of
         [Schwabhauser] p. 27, but in a convenient form for a common case.
         (Contributed by David A. Wheeler, 29-Jun-2020.) $)
      tgcgrcomr $p |- ( ph -> ( A .- B ) = ( D .- C ) ) $=
        ( co axtgcgrrflx eqtrd ) ABCISDEISEDISRAFGHIDEJKLMPQTUA $.

      $( Congruence commutes on the LHS. Variant of Theorem 2.5 of
         [Schwabhauser] p. 27, but in a convenient form for a common case.
         (Contributed by David A. Wheeler, 29-Jun-2020.) $)
      tgcgrcoml $p |- ( ph -> ( B .- A ) = ( C .- D ) ) $=
        ( co axtgcgrrflx eqtr3d ) ABCISCBISDEISAFGHIBCJKLMNOTRUA $.
    $}

    ${
      tgcgrcomlr.a $e |- ( ph -> A e. P ) $.
      tgcgrcomlr.b $e |- ( ph -> B e. P ) $.
      tgcgrcomlr.c $e |- ( ph -> C e. P ) $.
      tgcgrcomlr.d $e |- ( ph -> D e. P ) $.
      tgcgrcomlr.6 $e |- ( ph -> ( A .- B ) = ( C .- D ) ) $.
      $( Congruence commutes on both sides.  (Contributed by Thierry Arnoux,
         23-Mar-2019.) $)
      tgcgrcomlr $p |- ( ph -> ( B .- A ) = ( D .- C ) ) $=
        ( co axtgcgrrflx 3eqtr3d ) ABCISDEISCBISEDISRAFGHIBCJKLMNOTAFGHIDEJKLMP
        QTUA $.

      $( Congruence and equality.  (Contributed by Thierry Arnoux,
         27-Aug-2019.) $)
      tgcgreqb $p |- ( ph -> ( A = B <-> C = D ) ) $=
        ( wcel adantr wa cstrkg co simpr oveq1d eqtr3d axtgcgrid eqtrd impbida
        wceq ) ABCUJZDEUJZAUKUAZFGHIDECJKLAGUBSZUKMTADFSUKPTAEFSZUKQTACFSZUKOTU
        MBCIUCZDEIUCZCCIUCAUQURUJZUKRTUMBCCIAUKUDUEUFUGAULUAZFGHIBCEJKLAUNULMTA
        BFSULNTAUPULOTAUOULQTUTUQUREEIUCAUSULRTUTDEEIAULUDUEUHUGUI $.

      ${
        tgcgreq.1 $e |- ( ph -> A = B ) $.
        $( Congruence and equality.  (Contributed by Thierry Arnoux,
           27-Aug-2019.) $)
        tgcgreq $p |- ( ph -> C = D ) $=
          ( wceq tgcgreqb mpbid ) ABCTDETSABCDEFGHIJKLMNOPQRUAUB $.
      $}

      ${
        tgcgrneq.1 $e |- ( ph -> A =/= B ) $.
        $( Congruence and equality.  (Contributed by Thierry Arnoux,
           27-Aug-2019.) $)
        tgcgrneq $p |- ( ph -> C =/= D ) $=
          ( wne tgcgreqb necon3bid mpbid ) ABCTDETSABCDEABCDEFGHIJKLMNOPQRUAUBU
          C $.
      $}
    $}

    ${
      $d x .- $.  $d x A $.  $d x B $.  $d x I $.  $d x P $.  $d x ph $.
      tgcgrtriv.1 $e |- ( ph -> A e. P ) $.
      tgcgrtriv.2 $e |- ( ph -> B e. P ) $.
      $( Degenerate segments are congruent.  Theorem 2.8 of [Schwabhauser]
         p. 28.  (Contributed by Thierry Arnoux, 23-Mar-2019.) $)
      tgcgrtriv $p |- ( ph -> ( A .- A ) = ( B .- B ) ) $=
        ( vx cv co wcel wceq wa ad2antrr cstrkg simplr simprr oveq2d axtgsegcon
        axtgcgrid eqtrd r19.29a ) ABCNOZFPQZBUIGPZCCGPZRZSZBBGPZULRNDAUIDQZSZUN
        SZUOUKULURBUIBGURDEFGBUICHIJAEUAQUPUNKTABDQUPUNLTAUPUNUBACDQUPUNMTUQUJU
        MUCZUFUDUSUGANCCDEFGCBHIJKMLMMUEUH $.
    $}

    ${
      tgcgrextend.a $e |- ( ph -> A e. P ) $.
      tgcgrextend.b $e |- ( ph -> B e. P ) $.
      tgcgrextend.c $e |- ( ph -> C e. P ) $.
      tgcgrextend.d $e |- ( ph -> D e. P ) $.
      tgcgrextend.e $e |- ( ph -> E e. P ) $.
      tgcgrextend.f $e |- ( ph -> F e. P ) $.
      ${
        tgcgrextend.1 $e |- ( ph -> B e. ( A I C ) ) $.
        tgcgrextend.2 $e |- ( ph -> E e. ( D I F ) ) $.
        tgcgrextend.3 $e |- ( ph -> ( A .- B ) = ( D .- E ) ) $.
        tgcgrextend.4 $e |- ( ph -> ( B .- C ) = ( E .- F ) ) $.
        $( Link congruence over a pair of line segments.  Theorem 2.11 of
           [Schwabhauser] p. 29.  (Contributed by Thierry Arnoux, 23-Mar-2019.)
           (Shortened by David A. Wheeler and Thierry Arnoux, 22-Apr-2020.) $)
        tgcgrextend $p |- ( ph -> ( A .- C ) = ( D .- F ) ) $=
          ( co wceq wa adantr simpr oveq1d cstrkg tgcgreq 3eqtr4d wne tgcgrtriv
          wcel tgcgrcomlr axtg5seg pm2.61dane ) ABDKUFZEHKUFZUGBCABCUGZUHZCDKUF
          ZGHKUFZVAVBAVEVFUGZVCUEUIVDBCDKAVCUJZUKVDEGHKVDBCEGFIJKLMNAIULUQZVCOU
          IABFUQZVCPUIACFUQZVCQUIAEFUQZVCSUIAGFUQZVCTUIABCKUFEGKUFUGZVCUDUIVHUM
          UKUNABCUOZUHZDBHEFIJKLMNAVIVOOUIZADFUQVORUIZAVJVOPUIZAHFUQVOUAUIZAVLV
          OSUIZVPEGHFBIJKEBCDLMNVQVSAVKVOQUIZVRWAAVMVOTUIZVTVSWAAVOUJACBDJUFUQV
          OUBUIAGEHJUFUQVOUCUIAVNVOUDUIZAVGVOUEUIVPBEFIJKLMNVQVSWAUPVPBCEGFIJKL
          MNVQVSWBWAWCWDURUSURUT $.
      $}

      ${
        tgsegconeq.1 $e |- ( ph -> D =/= A ) $.
        tgsegconeq.2 $e |- ( ph -> A e. ( D I E ) ) $.
        tgsegconeq.3 $e |- ( ph -> A e. ( D I F ) ) $.
        tgsegconeq.4 $e |- ( ph -> ( A .- E ) = ( B .- C ) ) $.
        tgsegconeq.5 $e |- ( ph -> ( A .- F ) = ( B .- C ) ) $.
        $( Two points that satisfy the conclusion of ~ axtgsegcon are
           identical.  Uniqueness portion of Theorem 2.12 of [Schwabhauser]
           p. 29.  (Contributed by Thierry Arnoux, 23-Mar-2019.) $)
        tgsegconeq $p |- ( ph -> E = F ) $=
          ( co eqidd eqtr4d tgcgrextend axtg5seg eqcomd axtgcgrid ) AFIJKGHGLMN
          OTUATAGGKUGGHKUGAEBGFGIJKHEBGLMNOSPTSPTTUAUBUCUCAEBKUGUHZABGKUGZUHAEB
          GEFBHIJKLMNOSPTSPUAUCUDUNAUOCDKUGBHKUGUEUFUIZUJUPUKULUM $.
      $}
    $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Betweenness
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

    $d x .- $.  $d x A $.  $d x B $.  $d x C $.  $d x D $.  $d x I $.
    $d x P $.  $d x ph $.
    ${
      tgbtwntriv2.1 $e |- ( ph -> A e. P ) $.
      tgbtwntriv2.2 $e |- ( ph -> B e. P ) $.
      $( Betweenness always holds for the second endpoint.  Theorem 3.1 of
         [Schwabhauser] p. 30.  (Contributed by Thierry Arnoux,
         15-Mar-2019.) $)
      tgbtwntriv2 $p |- ( ph -> B e. ( A I B ) ) $=
        ( vx cv co wcel wceq wa ad2antrr simprl cstrkg simplr axtgcgrid adantrl
        simpr oveq2d eleqtrrd axtgsegcon r19.29a ) ACBNOZFPZQZCUKGPCCGPRZSZCBCF
        PZQNDAUKDQZSZUOSZCULUPURUMUNUAUSCUKBFURUNCUKRUMURUNSDEFGCUKCHIJAEUBQUQU
        NKTACDQUQUNMTZAUQUNUCUTURUNUFUDUEUGUHANCCDEFGBCHIJKLMMMUIUJ $.

      ${
        tgbtwncom.3 $e |- ( ph -> C e. P ) $.
        tgbtwncom.4 $e |- ( ph -> B e. ( A I C ) ) $.
        $( Betweenness commutes.  Theorem 3.2 of [Schwabhauser] p. 30.
           (Contributed by Thierry Arnoux, 15-Mar-2019.) $)
        tgbtwncom $p |- ( ph -> B e. ( C I A ) ) $=
          ( vx co wcel wa cv cstrkg simplr simprl axtgbtwnid simprr tgbtwntriv2
          ad2antrr eqeltrd axtgpasch r19.29a ) AQUAZCCGRSZULDBGRZSZTZCUNSQEAULE
          SZTZUPTZCULUNUSEFGHCULIJKAFUBSUQUPLUHACESUQUPNUHAUQUPUCURUMUOUDUEURUM
          UOUFUIAECFGHDBCDQIJKLMNONOPACDEFGHIJKLNOUGUJUK $.
      $}

      ${
        tgbtwncomb.3 $e |- ( ph -> C e. P ) $.
        $( Betweenness commutes, biconditional version.  (Contributed by
           Thierry Arnoux, 3-Apr-2019.) $)
        tgbtwncomb $p |- ( ph -> ( B e. ( A I C ) <-> B e. ( C I A ) ) ) $=
          ( co wcel wa adantr simpr cstrkg tgbtwncom impbida ) ACBDGPQZCDBGPQZA
          UDRBCDEFGHIJKAFUAQZUDLSABEQZUDMSACEQZUDNSADEQZUDOSAUDTUBAUERDCBEFGHIJ
          KAUFUELSAUIUEOSAUHUENSAUGUEMSAUETUBUC $.

        ${
          tgbtwnne.1 $e |- ( ph -> B e. ( A I C ) ) $.
          tgbtwnne.2 $e |- ( ph -> B =/= A ) $.
          $( Betweenness and inequality.  (Contributed by Thierry Arnoux,
             1-Dec-2019.) $)
          tgbtwnne $p |- ( ph -> A =/= C ) $=
            ( wceq wcel adantr wa cstrkg co simpr oveq2d eleqtrrd eqcomd neneqd
            axtgbtwnid wne pm2.65da neqned ) ABDABDRZCBRAUMUAZBCUNEFGHBCIJKAFUB
            SUMLTABESUMMTACESUMNTUNCBDGUCZBBGUCACUOSUMPTUNBDBGAUMUDUEUFUIUGUNCB
            ACBUJUMQTUHUKUL $.
        $}
      $}

      $( Betweenness always holds for the first endpoint.  Theorem 3.3 of
         [Schwabhauser] p. 30.  (Contributed by Thierry Arnoux,
         15-Mar-2019.) $)
      tgbtwntriv1 $p |- ( ph -> A e. ( A I B ) ) $=
        ( tgbtwntriv2 tgbtwncom ) ACBBDEFGHIJKMLLACBDEFGHIJKMLNO $.
    $}

    ${
      tgbtwnswapid.1 $e |- ( ph -> A e. P ) $.
      tgbtwnswapid.2 $e |- ( ph -> B e. P ) $.
      tgbtwnswapid.3 $e |- ( ph -> C e. P ) $.
      tgbtwnswapid.4 $e |- ( ph -> A e. ( B I C ) ) $.
      tgbtwnswapid.5 $e |- ( ph -> B e. ( A I C ) ) $.
      $( If you can swap the first two arguments of a betweenness statement,
         then those arguments are identical.  Theorem 3.4 of [Schwabhauser]
         p. 30.  (Contributed by Thierry Arnoux, 16-Mar-2019.) $)
      tgbtwnswapid $p |- ( ph -> A = B ) $=
        ( vx wcel wa cv co wceq cstrkg ad2antrr simplr simprl axtgbtwnid simprr
        eqtr4d axtgpasch r19.29a ) ARUAZBBGUBSZUMCCGUBSZTZBCUCREAUMESZTZUPTZBUM
        CUSEFGHBUMIJKAFUDSUQUPLUEZABESUQUPMUEAUQUPUFZURUNUOUGUHUSEFGHCUMIJKUTAC
        ESUQUPNUEVAURUNUOUIUHUJAEBFGHCCBDRIJKLNMOMNPQUKUL $.
    $}

    tgbtwnintr.1 $e |- ( ph -> A e. P ) $.
    tgbtwnintr.2 $e |- ( ph -> B e. P ) $.
    tgbtwnintr.3 $e |- ( ph -> C e. P ) $.
    tgbtwnintr.4 $e |- ( ph -> D e. P ) $.
    ${
      tgbtwnintr.5 $e |- ( ph -> A e. ( B I D ) ) $.
      tgbtwnintr.6 $e |- ( ph -> B e. ( C I D ) ) $.
      $( Inner transitivity law for betweenness.  Left-hand side of Theorem 3.5
         of [Schwabhauser] p. 30.  (Contributed by Thierry Arnoux,
         18-Mar-2019.) $)
      tgbtwnintr $p |- ( ph -> B e. ( A I C ) ) $=
        ( wcel vx cv co cstrkg ad2antrr simplr simprr axtgbtwnid simprl eqeltrd
        wa axtgpasch r19.29a ) AUAUBZBDHUCZTZUNCCHUCTZUKZCUOTUAFAUNFTZUKZURUKZC
        UNUOVAFGHICUNJKLAGUDTUSURMUEACFTUSUROUEAUSURUFUTUPUQUGUHUTUPUQUIUJAFBGH
        ICCDEUAJKLMOPQNORSULUM $.
    $}

    ${
      tgbtwnexch3.5 $e |- ( ph -> B e. ( A I C ) ) $.
      tgbtwnexch3.6 $e |- ( ph -> C e. ( A I D ) ) $.
      $( Exchange the first endpoint in betweenness.  Left-hand side of Theorem
         3.6 of [Schwabhauser] p. 30.  (Contributed by Thierry Arnoux,
         18-Mar-2019.) $)
      tgbtwnexch3 $p |- ( ph -> C e. ( B I D ) ) $=
        ( tgbtwncom tgbtwnintr ) ACDEBFGHIJKLMOPQNABCDFGHIJKLMNOPRTABDEFGHIJKLM
        NPQSTUA $.
    $}

    ${
      tgbtwnouttr2.1 $e |- ( ph -> B =/= C ) $.
      tgbtwnouttr2.2 $e |- ( ph -> B e. ( A I C ) ) $.
      tgbtwnouttr2.3 $e |- ( ph -> C e. ( B I D ) ) $.
      $( Outer transitivity law for betweenness.  Left-hand side of Theorem 3.7
         of [Schwabhauser] p. 30.  (Contributed by Thierry Arnoux,
         18-Mar-2019.) $)
      tgbtwnouttr2 $p |- ( ph -> C e. ( A I D ) ) $=
        ( vx cv co wcel wa simprl cstrkg ad2antrr simplr wne tgbtwnexch3 simprr
        wceq eqidd tgsegconeq oveq2d eleqtrd axtgsegcon r19.29a ) ADBUAUBZHUCZU
        DZDUTIUCDEIUCZUMZUEZDBEHUCZUDUAFAUTFUDZUEZVEUEZDVAVFVHVBVDUFZVIUTEBHVID
        DECFUTEGHIJKLAGUGUDVGVEMUHZADFUDVGVEPUHZVLAEFUDVGVEQUHZACFUDVGVEOUHZAVG
        VEUIZVMACDUJVGVERUHVIBCDUTFGHIJKLVKABFUDVGVENUHVNVLVOACBDHUCUDVGVESUHVJ
        UKADCEHUCUDVGVETUHVHVBVDULVIVCUNUOUPUQAUADEFGHIBDJKLMNPPQURUS $.
    $}

    ${
      tgbtwnexch2.1 $e |- ( ph -> B e. ( A I D ) ) $.
      tgbtwnexch2.2 $e |- ( ph -> C e. ( B I D ) ) $.
      $( Exchange the outer point of two betweenness statements.  Right-hand
         side of Theorem 3.5 of [Schwabhauser] p. 30.  (Contributed by Thierry
         Arnoux, 23-Mar-2019.) $)
      tgbtwnexch2 $p |- ( ph -> C e. ( A I D ) ) $=
        ( wcel co wceq wa simpr adantr eqeltrrd wne cstrkg tgbtwnintr tgbtwncom
        tgbtwnouttr2 pm2.61dane ) ADBEHUAZTCDACDUBZUCCDUMAUNUDACUMTZUNRUEUFACDU
        GZUCZBCDEFGHIJKLAGUHTUPMUEZABFTUPNUEZACFTUPOUEZADFTUPPUEZAEFTUPQUEZAUPU
        DUQDCBFGHIJKLURVAUTUSUQDCBEFGHIJKLURVAUTUSVBADCEHUATUPSUEZAUOUPRUEUIUJV
        CUKUL $.
    $}

    ${
      tgbtwnouttr.1 $e |- ( ph -> B =/= C ) $.
      tgbtwnouttr.2 $e |- ( ph -> B e. ( A I C ) ) $.
      tgbtwnouttr.3 $e |- ( ph -> C e. ( B I D ) ) $.
      $( Outer transitivity law for betweenness.  Right-hand side of Theorem
         3.7 of [Schwabhauser] p. 30.  (Contributed by Thierry Arnoux,
         23-Mar-2019.) $)
      tgbtwnouttr $p |- ( ph -> B e. ( A I D ) ) $=
        ( necomd tgbtwncom tgbtwnouttr2 ) AECBFGHIJKLMQONAEDCBFGHIJKLMQPONACDRU
        AACDEFGHIJKLMOPQTUBABCDFGHIJKLMNOPSUBUCUB $.
    $}

    ${
      tgbtwnexch.1 $e |- ( ph -> B e. ( A I C ) ) $.
      tgbtwnexch.2 $e |- ( ph -> C e. ( A I D ) ) $.
      $( Outer transitivity law for betweenness.  Right-hand side of Theorem
         3.6 of [Schwabhauser] p. 30.  (Contributed by Thierry Arnoux,
         23-Mar-2019.) $)
      tgbtwnexch $p |- ( ph -> B e. ( A I D ) ) $=
        ( tgbtwncom tgbtwnexch2 ) AECBFGHIJKLMQONAEDCBFGHIJKLMQPONABDEFGHIJKLMN
        PQSTABCDFGHIJKLMNOPRTUAT $.
    $}

    ${
      $d q r .- $.  $d q r A $.  $d q r B $.  $d q r C $.  $d q r D $.
      $d q r E $.  $d q r F $.  $d q r I $.  $d q r P $.  $d q r ph $.
      tgtrisegint.e $e |- ( ph -> E e. P ) $.
      tgtrisegint.p $e |- ( ph -> F e. P ) $.
      tgtrisegint.1 $e |- ( ph -> B e. ( A I C ) ) $.
      tgtrisegint.2 $e |- ( ph -> E e. ( D I C ) ) $.
      tgtrisegint.3 $e |- ( ph -> F e. ( A I D ) ) $.
      $( A line segment between two sides of a triange intersects a segment
         crossing from the remaining side to the opposite vertex.  Theorem 3.17
         of [Schwabhauser] p. 33.  (Contributed by Thierry Arnoux,
         23-Mar-2019.) $)
      tgtrisegint $p |- ( ph
        -> E. q e. P ( q e. ( F I C ) /\ q e. ( B I E ) ) ) $=
        ( vr cv co wcel wa wrex cstrkg simplr simprl tgbtwncom axtgpasch simprr
        ad2antrr simpr tgbtwnexch2 ex anim1d reximdva mpd r19.29a ) AUFUGZGBJUH
        UIZVFHDJUHZUIZUJZLUGZVHUIZVKCGJUHUIZUJZLFUKZUFFAVFFUIZUJZVJUJZVKVFDJUHU
        IZVMUJZLFUKVOVRFVFIJKCGDBLMNOAIULUIZVPVJPURZAGFUIVPVJUAURADFUIZVPVJSURZ
        ABFUIVPVJQURZAVPVJUMZACFUIVPVJRURZVQVGVIUNVRBCDFIJKMNOWBWEWGWDACBDJUHUI
        VPVJUCURUOUPVRVTVNLFVRVKFUIZUJZVSVLVMWIVSVLWIVSUJHVFVKDFIJKMNOVRWAWHVSW
        BURVRHFUIZWHVSAWJVPVJUBURURVRVPWHVSWFURVRWHVSUMVRWCWHVSWDURVRVIWHVSVQVG
        VIUQURWIVSUSUTVAVBVCVDAFGIJKHDBEUFMNOPSQTUAUBAEGDFIJKMNOPTUASUDUOUEUPVE
        $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Dimension
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y P $.
    tglowdim1.p $e |- P = ( Base ` G ) $.
    tglowdim1.d $e |- .- = ( dist ` G ) $.
    tglowdim1.i $e |- I = ( Itv ` G ) $.
    tglowdim1.g $e |- ( ph -> G e. TarskiG ) $.
    tglowdim1.1 $e |- ( ph -> 2 <_ ( # ` P ) ) $.
    $( Lower dimension axiom for one dimension.  In dimension at least 1, there
       are at least two distinct points.  The condition "the space is of
       dimension 1 or more" is written here as ` 2 <_ ( # `` P ) ` to avoid a
       new definition, but a different convention could be chosen.
       (Contributed by Thierry Arnoux, 23-Mar-2019.) $)
    tglowdim1 $p |- ( ph -> E. x e. P E. y e. P x =/= y ) $=
      ( cvv wcel c2 chash cfv cle cv wrex wbr wne fvexi hashge2el2dif sylancr
      cbs ) ADMNODPQRUABSCSUBCDTBDTDEUFHUCLBCDMUDUE $.

    $d a b y P $.  $d a b y X $.  $d a b ph $.
    tglowdim1i.1 $e |- ( ph -> X e. P ) $.
    $( Lower dimension axiom for one dimension.  (Contributed by Thierry
       Arnoux, 28-May-2019.) $)
    tglowdim1i $p |- ( ph -> E. y e. P X =/= y ) $=
      ( va vb cv wceq wn wrex wa wne wral cstrkg wcel adantr c2 chash tglowdim1
      cfv cle wbr eqeq2 simpllr simplr rspcdva rspccva eqtr3d nne sylibr nrexdv
      ad4ant24 pm2.65da rexnal df-ne rexbii ) AGBPZQZRZBCSZGVFUAZBCSAVGBCUBZRVI
      AVKNPZOPZUAZOCSZNCSAVKTZNOCDEFHIJADUCUDVKKUEAUFCUGUIUJUKVKLUEUHVPVONCVPVL
      CUDZTZVNOCVRVMCUDZTZVLVMQVNRVTGVLVMVTVGGVLQBCVLVFVLGULAVKVQVSUMVPVQVSUNUO
      VKVSGVMQZAVQVGWABVMCVFVMGULUPVAUQVLVMURUSUTUTVBVGBCVCUSVJVHBCGVFVDVEUS $.
  $}

  ${
    tgldimor.p $e |- P = ( E ` F ) $.
    tgldimor.a $e |- ( ph -> A e. P ) $.
    $( Excluded-middle like statement allowing to treat dimension zero as a
       special case.  (Contributed by Thierry Arnoux, 11-Apr-2019.) $)
    tgldimor $p |- ( ph -> ( ( # ` P ) = 1 \/ 2 <_ ( # ` P ) ) ) $=
      ( c1 wceq c2 cle wbr wo cvv wcel ax-mp cpnf cz wb c0 chash cfv hashv01gt1
      cc0 clt w3o fvexi 3orass cn0 wa caddc co 1p1e2 1z zltp1le sylancr biimpac
      mpbi nn0z eqbrtrrid cxr 2re rexri pnfge mpbiri adantl hashnn0pnf mpjaodan
      breq2 mp1i orim2i wne ne0i hasheq0 biimpi necon3ai 3syl biorf syl mpbird
      wn ) ACUAUBZHIZJWBKLZMZWBUDIZWEMZWFWCHWBUELZMZMZWGAWFWCWHUFZWJCNOZWKCEDFU
      GZCNUCPWFWCWHUHURWIWEWFWHWDWCWHWBUIOZWDWBQIZWHWNUJJHHUKULZWBKUMWNWHWPWBKL
      ZWNHROWBROWHWQSUNWBUSHWBUOUPUQUTWOWDWHWOWDJQKLZJVAOWRJVBVCJVDPWBQJKVIVEVF
      WLWNWOMWHWMCNVGVJVHVKVKVJAWFWAZWEWGSABCOCTVLWSGCBVMWFCTWFCTIZWLWFWTSWMCNV
      NPVOVPVQWFWEVRVSVT $.
  $}

  ${
    $d x A $.  $d x B $.  $d x P $.  $d x ph $.
    tgldim0.g $e |- P = ( E ` F ) $.
    tgldim0.p $e |- ( ph -> ( # ` P ) = 1 ) $.
    tgldim0.a $e |- ( ph -> A e. P ) $.
    tgldim0.b $e |- ( ph -> B e. P ) $.
    $( In dimension zero, any two points are equal.  (Contributed by Thierry
       Arnoux, 11-Apr-2019.) $)
    tgldim0eq $p |- ( ph -> A = B ) $=
      ( vx cv csn wceq cvv wcel adantr eleqtrd elsni syl chash cfv c1 wex fvexi
      wb hash1snb ax-mp sylib wa simpr eqtr4d exlimddv ) ADKLZMZNZBCNKADUAUBUCN
      ZUPKUDZHDOPUQURUFDFEGUEDOKUGUHUIAUPUJZBUNCUSBUOPBUNNUSBDUOABDPUPIQAUPUKZR
      BUNSTUSCUOPCUNNUSCDUOACDPUPJQUTRCUNSTULUM $.
  $}

  ${
    tgbtwndiff.p $e |- P = ( Base ` G ) $.
    tgbtwndiff.d $e |- .- = ( dist ` G ) $.
    tgbtwndiff.i $e |- I = ( Itv ` G ) $.
    tgbtwndiff.g $e |- ( ph -> G e. TarskiG ) $.
    tgbtwndiff.a $e |- ( ph -> A e. P ) $.
    tgbtwndiff.b $e |- ( ph -> B e. P ) $.
    ${
      tgldim0itv.c $e |- ( ph -> C e. P ) $.
      tgldim0itv.p $e |- ( ph -> ( # ` P ) = 1 ) $.
      $( In dimension zero, any two points are equal.  (Contributed by Thierry
         Arnoux, 12-Apr-2019.) $)
      tgldim0itv $p |- ( ph -> A e. ( B I C ) ) $=
        ( co cbs tgldim0eq tgbtwntriv1 eqeltrd ) ABCCDGQABCERFIPMNSACDEFGHIJKLN
        OTUA $.

      tgldim0itv.d $e |- ( ph -> D e. P ) $.
      $( In dimension zero, any two pairs of points are congruent.
         (Contributed by Thierry Arnoux, 12-Apr-2019.) $)
      tgldim0cgr $p |- ( ph -> ( A .- B ) = ( C .- D ) ) $=
        ( cbs tgldim0eq oveq12d ) ABDCEIABDFSGJQNPTACEFSGJQORTUA $.
    $}

    $d c u v .- $.  $d c u v A $.  $d c u v B $.  $d c u v I $.  $d c u v P $.
    $d c u v ph $.
    tgbtwndiff.l $e |- ( ph -> 2 <_ ( # ` P ) ) $.
    $( There is always a ` c ` distinct from ` B ` such that ` B ` lies between
       ` A ` and ` c ` .  Theorem 3.14 of [Schwabhauser] p. 32.  The condition
       "the space is of dimension 1 or more" is written here as
       ` 2 <_ ( # `` P ) ` for simplicity.  (Contributed by Thierry Arnoux,
       23-Mar-2019.) $)
    tgbtwndiff $p |- ( ph -> E. c e. P ( B e. ( A I c ) /\ B =/= c ) ) $=
      ( vu co wcel wa ad3antrrr vv cv wne wrex cstrkg simpllr simplr axtgsegcon
      wceq simpr oveq2d eqtr2d axtgcgrid neneqd pm2.65da neqned anim2d reximdva
      simp-4r ex mpd tglowdim1 r19.29vva ) APUBZUAUBZUCZCBHUBZFQRZCVGUCZSZHDUDZ
      PUADDAVDDRZSZVEDRZSZVFSZVHCVGGQZVDVEGQZUIZSZHDUDVKVPHVDVEDEFGBCIJKAEUERZV
      LVNVFLTZABDRVLVNVFMTACDRZVLVNVFNTZAVLVNVFUFZVMVNVFUGZUHVPVTVJHDVPVGDRZSZV
      SVIVHWHVSVIWHVSSZCVGWICVGUIZVDVEUIWIWJSZDEFGVDVECIJKVPWAWGVSWJWBTVPVLWGVS
      WJWETVPVNWGVSWJWFTVPWCWGVSWJWDTWKCCGQVQVRWKCVGCGWIWJUJUKWHVSWJUGULUMWKVDV
      EVOVFWGVSWJUSUNUOUPUTUQURVAAPUADEFGIJKLOVBVC $.
  $}

  ${
    $d G x y z $.  $d I x y z $.  $d P x y z $.  $d X x y z $.  $d Y y z $.
    $d Z z $.
    tgdim01.p $e |- P = ( Base ` G ) $.
    tgdim01.i $e |- I = ( Itv ` G ) $.
    tgdim01.g $e |- ( ph -> G e. V ) $.
    tgdim01.1 $e |- ( ph -> -. G TarskiGDim>= 2 ) $.
    tgdim01.x $e |- ( ph -> X e. P ) $.
    tgdim01.y $e |- ( ph -> Y e. P ) $.
    tgdim01.z $e |- ( ph -> Z e. P ) $.
    $( In geometries of dimension less than 2, all points are colinear.
       (Contributed by Thierry Arnoux, 27-Aug-2019.) $)
    tgdim01 $p |- ( ph
                 -> ( Z e. ( X I Y ) \/ X e. ( Z I Y ) \/ Y e. ( X I Z ) ) ) $=
      ( vz vx vy wcel co cv w3o wral wn wrex c2 cstrkgld wbr cds eqid istrkg2ld
      wb cfv syl mtbid rexnal3 con2bii sylibr wceq oveq1 eleq2d eleq1 3orbi123d
      w3a oveq2 rspc3v imp syl31anc ) AFBSZGBSZHBSZPUAZQUAZRUAZDTZSZVMVLVNDTZSZ
      VNVMVLDTZSZUBZPBUCRBUCQBUCZHFGDTZSZFHGDTZSZGFHDTZSZUBZMNOAWAUDPBUERBUEQBU
      EZUDWBACUFUGUHZWJLACESWKWJULKQRPBCDCUIUMZEIWLUJJUKUNUOWJWBWAQRPBBBUPUQURV
      IVJVKVDWBWIWAWIVLFVNDTZSZFVQSZVNFVLDTZSZUBVLWCSZFVLGDTZSZGWPSZUBQRPFGHBBB
      VMFUSZVPWNVRWOVTWQXBVOWMVLVMFVNDUTVAVMFVQVBXBVSWPVNVMFVLDUTVAVCVNGUSZWNWR
      WOWTWQXAXCWMWCVLVNGFDVEVAXCVQWSFVNGVLDVEVAVNGWPVBVCVLHUSZWRWDWTWFXAWHVLHW
      CVBXDWSWEFVLHGDUTVAXDWPWGGVLHFDVEVAVCVFVGVH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Betweenness and Congruence
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    tgbtwncgr.p $e |- P = ( Base ` G ) $.
    tgbtwncgr.m $e |- .- = ( dist ` G ) $.
    tgbtwncgr.i $e |- I = ( Itv ` G ) $.
    tgbtwncgr.g $e |- ( ph -> G e. TarskiG ) $.
    tgbtwncgr.a $e |- ( ph -> A e. P ) $.
    tgbtwncgr.b $e |- ( ph -> B e. P ) $.
    tgbtwncgr.c $e |- ( ph -> C e. P ) $.
    tgbtwncgr.d $e |- ( ph -> D e. P ) $.
    ${
      $d e f .- $.  $d e f A $.  $d e f B $.  $d e f C $.  $d e f D $.
      $d f E $.  $d e f F $.  $d f K $.  $d e f H $.  $d e f I $.  $d e f P $.
      $d e f ph $.
      tgifscgr.e $e |- ( ph -> E e. P ) $.
      tgifscgr.f $e |- ( ph -> F e. P ) $.
      tgifscgr.g $e |- ( ph -> K e. P ) $.
      tgifscgr.h $e |- ( ph -> H e. P ) $.
      tgifscgr.1 $e |- ( ph -> B e. ( A I C ) ) $.
      tgifscgr.2 $e |- ( ph -> F e. ( E I K ) ) $.
      tgifscgr.3 $e |- ( ph -> ( A .- C ) = ( E .- K ) ) $.
      tgifscgr.4 $e |- ( ph -> ( B .- C ) = ( F .- K ) ) $.
      tgifscgr.5 $e |- ( ph -> ( A .- D ) = ( E .- H ) ) $.
      tgifscgr.6 $e |- ( ph -> ( C .- D ) = ( K .- H ) ) $.
      $( Inner five segment congruence.  Take two triangles, ` A D C ` and
         ` E H K ` , with ` B ` between ` A ` and ` C ` and ` F ` between ` E `
         and ` K ` .  If the other components of the triangles are congruent,
         then so are ` B D ` and ` F H ` .  Theorem 4.2 of [Schwabhauser]
         p. 34.  (Contributed by Thierry Arnoux, 24-Mar-2019.) $)
      tgifscgr $p |- ( ph -> ( B .- D ) = ( F .- H ) ) $=
        ( ve vf chash cfv c1 wceq co c2 cle wbr wa cstrkg wcel simpr tgldim0cgr
        adantr oveq1d eleqtrd axtgbtwnid oveq2d eqtr2d axtgcgrid 3eqtr3d wne cv
        simp-4r ad6antr simplr ad4antr simpllr simprd necomd simpld tgbtwnexch3
        ad2antrr tgbtwncom simprl simprr tgcgrcomlr simp-5r axtg5seg axtgsegcon
        eqcomd r19.29a tgbtwndiff pm2.61dane cbs tgldimor mpjaodan ) AFUNUOZUPU
        QZCEMURZHJMURZUQZUSXAUTVAZAXBVBCEHJFIKMNOPAIVCVDZXBQVGACFVDZXBSVGAEFVDZ
        XBUAVGAHFVDZXBUCVGAXBVEAJFVDZXBUEVGVFAXFVBZXEBDXLBDUQZVBZDEMURZLJMURZXC
        XDAXOXPUQZXFXMUKWFXNDCEMXNFIKMDCNOPAXGXFXMQWFZADFVDZXFXMTWFAXHXFXMSWFXN
        CBDKURZDDKURACXTVDZXFXMUFWFXNBDDKXLXMVEZVHVIVJVHXNLHJMXNFIKMLHNOPXRALFV
        DZXFXMUDWFZAXJXFXMUCWFXNHGLKURZLLKURAHYEVDZXFXMUGWFXNGLLKXNFIKMGLBNOPXR
        AGFVDZXFXMUBWFYDABFVDZXFXMRWFXNBBMURBDMURZGLMURZXNBDBMYBVKAYIYJUQZXFXMU
        HWFVLVMVHVIVJVHVNXLBDVOZVBZDBULVPZKURVDZDYNVOZVBZXEULFYMYNFVDZVBZYQVBZL
        GUMVPZKURVDZLUUAMURZDYNMURZUQZVBZXEUMFYTUUAFVDZVBZUUFVBZUUALHFEIKMJYNDC
        NOPYTXGUUGUUFYMXGYRYQAXGXFYLQWFZWFZWFZYMYRYQUUGUUFVQZYTXSUUGUUFYMXSYRYQ
        AXSXFYLTWFZWFZWFZAXHXFYLYRYQUUGUUFSVRZYTUUGUUFVSZYTYCUUGUUFAYCXFYLYRYQU
        DVTZWFZAXJXFYLYRYQUUGUUFUCVRZAXIXFYLYRYQUUGUUFUAVRZAXKXFYLYRYQUUGUUFUEV
        RZUUIDYNUUIYOYPYSYQUUGUUFWAZWBWCUUICDYNFIKMNOPUULUUQUUPUUMUUIBCDYNFIKMN
        OPUULYMYHYRYQUUGUUFAYHXFYLRWFZVTZUUQUUPUUMAYAXFYLYRYQUUGUUFUFVRUUIYOYPU
        VDWDZWEWGUUIHLUUAFIKMNOPUULUVAUUTUURUUIGHLUUAFIKMNOPUULAYGXFYLYRYQUUGUU
        FUBVRZUVAUUTUURAYFXFYLYRYQUUGUUFUGVRUUHUUBUUEWHZWEWGUUIDYNLUUAFIKMNOPUU
        LUUPUUMUUTUURUUIUUCUUDUUHUUBUUEWIWNZWJUUICDHLFIKMNOPUULUUQUUPUVAUUTACDM
        URHLMURUQXFYLYRYQUUGUUFUIVRWJUUIGLUUAFEIKMJBDYNNOPUULUVFUUPUUMUVHUUTUUR
        UVBUVCXLYLYRYQUUGUUFWKUVGUVIAYKXFYLYRYQUUGUUFUHVRUVJABEMURGJMURUQXFYLYR
        YQUUGUUFUJVRAXQXFYLYRYQUUGUUFUKVRZWLUVKWLYTUMDYNFIKMGLNOPUUKAYGXFYLYRYQ
        UBVTUUSUUOYMYRYQVSWMWOYMBDFIKMULNOPUUJUVEUUNAXFYLVSWPWOWQABFWRINRWSWT
        $.
    $}

    ${
      tgcgrsub.e $e |- ( ph -> E e. P ) $.
      tgcgrsub.f $e |- ( ph -> F e. P ) $.
      tgcgrsub.1 $e |- ( ph -> B e. ( A I C ) ) $.
      tgcgrsub.2 $e |- ( ph -> E e. ( D I F ) ) $.
      tgcgrsub.3 $e |- ( ph -> ( A .- C ) = ( D .- F ) ) $.
      tgcgrsub.4 $e |- ( ph -> ( B .- C ) = ( E .- F ) ) $.
      $( Removing identical parts from the end of a line segment preserves
         congruence.  Theorem 4.3 of [Schwabhauser] p. 35.  (Contributed by
         Thierry Arnoux, 3-Apr-2019.) $)
      tgcgrsub $p |- ( ph -> ( A .- B ) = ( D .- E ) ) $=
        ( tgcgrtriv tgcgrcomlr tgifscgr ) ACBGEFIJKLMNOQPTSABCDBFEGIEJHKLMNOPQR
        PSTUASUBUCUDUEABEFIJKLMNOPSUFABDEHFIJKLMNOPRSUAUDUGUHUG $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Congruence of a series of points
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c cgrG $.

  $( Declare the constant for the congruence between shapes relation. $)
  ccgrg $a class cgrG $.

  ${
    $d a b g i j $.
    $( Define the relation of congruence between shapes.  Definition 4.4 of
       [Schwabhauser] p. 35.  A "shape" is a finite sequence of points, and a
       triangle can be represented as a shape with three points.  Two shapes
       are congruent if all corresponding segments between all corresponding
       points are congruent.

       Many systems of geometry define triangle congruence as requiring both
       segment congruence and angle congruence.  Such systems, such as
       Hilbert's axiomatic system, typically have a primitive notion of angle
       congruence in addition to segment congruence.  Here, angle congruence is
       instead a derived notion, defined later in ~ df-cgra and expanded in
       ~ iscgra .  This does not mean our system is weaker; ~ dfcgrg2 proves
       that these two definitions are equivalent, and using the Tarski
       definition instead (given in [Schwabhauser] p. 35) is simpler.  Once two
       triangles are proven congruent as defined here, you can use various
       theorems to prove that corresponding parts of congruent triangles are
       congruent (CPCTC).  For example, see ~ cgr3simp1 , ~ cgr3simp2 ,
       ~ cgr3simp3 , ~ cgrcgra , and permutation laws such as ~ cgr3swap12 and
       ~ dfcgrg2 .

       Ideally, we would define this for functions of any set, but we will use
       words (see ~ df-word ) in most cases.

       (Contributed by Thierry Arnoux, 3-Apr-2019.) $)
    df-cgrg $a |- cgrG = ( g e. _V |-> { <. a , b >. |
      ( ( a e. ( ( Base ` g ) ^pm RR ) /\ b e. ( ( Base ` g ) ^pm RR ) )
        /\ ( dom a = dom b /\ A. i e. dom a A. j e. dom a
          ( ( a ` i ) ( dist ` g ) ( a ` j ) )
            = ( ( b ` i ) ( dist ` g ) ( b ` j ) ) )
      ) } ) $.
  $}

  ${
    $d a b g i j G $.  $d a b g .- $.  $d a b i j A $.  $d a b i j B $.
    $d a b g P $.
    iscgrg.p $e |- P = ( Base ` G ) $.
    iscgrg.m $e |- .- = ( dist ` G ) $.
    iscgrg.e $e |- .~ = ( cgrG ` G ) $.
    $( The congruence property for sequences of points.  (Contributed by
       Thierry Arnoux, 3-Apr-2019.) $)
    iscgrg $p |- ( G e. V -> ( A .~ B <-> ( (
      A e. ( P ^pm RR ) /\ B e. ( P ^pm RR ) ) /\ ( dom A = dom B /\
      A. i e. dom A A. j e. dom A
      ( ( A ` i ) .- ( A ` j ) ) = ( ( B ` i ) .- ( B ` j ) ) ) ) ) ) $=
      ( va vb wcel co wa wceq cfv wral vg wbr cv cr cpm cdm copab ccgrg cvv cbs
      elex fveq2 eqtr4di oveq1d eleq2d anbi12d eqeq12d 2ralbidv anbi2d opabbidv
      cds oveqd df-cgrg cxp df-xp ovex xpex eqeltrri simpl ssopab2i ssexi fvmpt
      syl syl5eq breqd dmeq eqeq1d adantr simpll fveq1d raleqbidva eqeq2d fveq1
      oveq12d sylan9bb eqid brab2a bitrdi ) GIOZABDUBABMUCZCUDUEPZOZNUCZWKOZQZW
      JUFZWMUFZRZEUCZWJSZFUCZWJSZHPZWSWMSZXAWMSZHPZRZFWPTZEWPTZQZQZMNUGZUBAWKOB
      WKOQAUFZBUFZRZWSASZXAASZHPZWSBSZXABSZHPZRZFXMTEXMTZQZQWIDXLABWIDGUHSZXLLW
      IGUIOYEXLRGIUKUAGWJUAUCZUJSZUDUEPZOZWMYHOZQZWRWTXBYFVASZPZXDXEYLPZRZFWPTE
      WPTZQZQZMNUGXLUIUHYFGRZYRXKMNYSYKWOYQXJYSYIWLYJWNYSYHWKWJYSYGCUDUEYSYGGUJ
      SCYFGUJULJUMUNZUOYSYHWKWMYTUOUPYSYPXIWRYSYOXGEFWPWPYSYMXCYNXFYSYLHWTXBYSY
      LGVASHYFGVAULKUMZVBYSYLHXDXEUUAVBUQURUSUPUTUAEFMNVCXLWOMNUGZWKWKVDUUBUIMN
      WKWKVEWKWKCUDUEVFZUUCVGVHXKWOMNWOXJVIVJVKVLVMVNVOXJYDMNABWKWKXLWJARZXJXMW
      QRZXRXFRZFXMTZEXMTZQWMBRZYDUUDWRUUEXIUUHUUDWPXMWQWJAVPZVQUUDXHUUGEWPXMUUJ
      UUDWSWPOZQZXGUUFFWPXMUUDWPXMRUUKUUJVRUULXAWPOZQZXCXRXFUUNWTXPXBXQHUUNWSWJ
      AUUDUUKUUMVSZVTUUNXAWJAUUOVTWDVQWAWAUPUUIUUEXOUUHYCUUIWQXNXMWMBVPWBUUIUUF
      YBEFXMXMUUIXFYAXRUUIXDXSXEXTHWSWMBWCXAWMBWCWDWBURUPWEXLWFWGWH $.

    iscgrgd.g $e |- ( ph -> G e. V ) $.
    iscgrgd.d $e |- ( ph -> D C_ RR ) $.
    iscgrgd.a $e |- ( ph -> A : D --> P ) $.
    iscgrgd.b $e |- ( ph -> B : D --> P ) $.
    $( TODO: change dom A into D here $)
    $( The property for two sequences ` A ` and ` B ` of points to be
       congruent.  (Contributed by Thierry Arnoux, 3-Apr-2019.) $)
    iscgrgd $p |- ( ph -> ( A .~ B <-> A. i e. dom A A. j e. dom A
      ( ( A ` i ) .- ( A ` j ) ) = ( ( B ` i ) .- ( B ` j ) ) ) ) $=
      ( wa cvv cdm wceq cv cfv co wral cr cpm wcel wbr wf wss fvexi reex elpm2r
      cbs mpanl12 syl2anc jca biantrurd fdmd eqtr4d wb iscgrg syl 3bitr4rd ) AB
      UAZCUAZUBZGUCZBUDHUCZBUDJUEVJCUDVKCUDJUEUBHVGUFGVGUFZSZBEUGUHUEZUIZCVNUIZ
      SZVMSZVLBCFUJZAVQVMAVOVPADEBUKZDUGULZVOQPETUIZUGTUIZVTWASVOEIUPLUMZUNEUGD
      BTTUOUQURADECUKZWAVPRPWBWCWEWASVPWDUNEUGDCTTUOUQURUSUTAVIVLAVGDVHADEBQVAA
      DECRVAVBUTAIKUIVSVRVCOBCEFGHIJKLMNVDVEVF $.
  $}

  ${
    trgcgrg.p $e |- P = ( Base ` G ) $.
    trgcgrg.m $e |- .- = ( dist ` G ) $.
    trgcgrg.r $e |- .~ = ( cgrG ` G ) $.
    trgcgrg.g $e |- ( ph -> G e. TarskiG ) $.
    ${
      $d .- i j k l $.  $d A i j k l $.  $d B i j k l $.  $d G i j $.
      $d i j k l ph $.
      iscgrglt.d $e |- ( ph -> D C_ RR ) $.
      iscgrglt.a $e |- ( ph -> A : D --> P ) $.
      iscgrglt.b $e |- ( ph -> B : D --> P ) $.
      $( The property for two sequences ` A ` and ` B ` of points to be
         congruent, where the congruence is only required for indices verifying
         a less-than relation.  (Contributed by Thierry Arnoux, 7-Oct-2020.) $)
      iscgrglt $p |- ( ph -> ( A .~ B <-> A. i e. dom A A. j e. dom A ( i < j
        -> ( ( A ` i ) .- ( A ` j ) ) = ( ( B ` i ) .- ( B ` j ) ) ) ) ) $=
        ( cfv co wa vk vl wbr cv wceq cdm wral clt wi cstrkg iscgrgd wcel simp2
        ralimdvva weq breq1 fveq2 oveq1d eqeq12d imbi12d breq2 oveq2d cbvral2vw
        3exp simpllr simplr simp-4r jca31 simpr rspc2va sylc citv eqid ad2antrr
        ad3antrrr fdmd eleqtrd ffvelrnd adantr tgcgrtriv fveq2d 3eqtr3d ad4antr
        wf tgcgrcomlr cr wss eqsstrd sseldd lttri4d mpjao3dan anasss ralrimivva
        adantl3r ex syl5bir impbid bitrd ) ABCFUCGUDZBRZHUDZBRZJSZWSCRZXACRZJSZ
        UEZHBUFZUGGXHUGZWSXAUHUCZXGUIZHXHUGGXHUGZABCDEFGHIJUJKLMNOPQUKAXIXLAXGX
        KGHXHXHAWSXHULZXAXHULZTZTZXGXJXGXPXGXJUMVDUNXLUAUDZUBUDZUHUCZXQBRZXRBRZ
        JSZXQCRZXRCRZJSZUEZUIZUBXHUGUAXHUGZAXIYGXKWSXRUHUCZWTYAJSZXDYDJSZUEZUIZ
        UAUBGHXHXHUAGUOZXSYIYFYLXQWSXRUHUPYNYBYJYEYKYNXTWTYAJXQWSBUQURYNYCXDYDJ
        XQWSCUQURUSUTZUBHUOZYIXJYLXGXRXAWSUHVAYPYJXCYKXFYPYAXBWTJXRXABUQVBYPYDX
        EXDJXRXACUQVBUSUTZVCAYHXIAYHTZXGGHXHXHYRXMXNXGYRXMTZXNTZXJXGGHUOZXAWSUH
        UCZYTXJTZXOYHTXJXGUUCXMXNYHYRXMXNXJVEYSXNXJVFAYHXMXNXJVGVHYTXJVIYGXKYMU
        AUBWSXAXHXHYOYQVJVKAXMXNUUAXGYHAXMTZXNTZUUATZWTWTJSXDXDJSXCXFUUFWTXDEII
        VLRZJKLUUGVMZAIUJULZXMXNUUANVOUUEWTEULZUUAUUEDEWSBADEBWDXMXNPVNZUUEWSXH
        DAXMXNVFUUEDEBUUKVPZVQZVRZVSUUEXDEULZUUAUUEDEWSCADECWDXMXNQVNZUUMVRZVSV
        TUUFWTXBWTJUUFWSXABUUEUUAVIZWAVBUUFXDXEXDJUUFWSXACUURWAVBWBWNYTUUBTZXBW
        TXEXDEIUUGJKLUUHAUUIYHXMXNUUBNWCAXMXNUUBXBEULZYHUUEUUTUUBUUEDEXABUUKUUE
        XAXHDUUDXNVIUULVQZVRVSWNAXMXNUUBUUJYHUUEUUJUUBUUNVSWNAXMXNUUBXEEULZYHUU
        EUVBUUBUUEDEXACUUPUVAVRVSWNAXMXNUUBUUOYHUUEUUOUUBUUQVSWNUUSXNXMTYHTUUBX
        BWTJSZXEXDJSZUEZUUSXNXMYHYSXNUUBVFYRXMXNUUBVEAYHXMXNUUBVGVHYTUUBVIYGUUB
        UVEUIXAXRUHUCZXBYAJSZXEYDJSZUEZUIUAUBXAWSXHXHUAHUOZXSUVFYFUVIXQXAXRUHUP
        UVJYBUVGYEUVHUVJXTXBYAJXQXABUQURUVJYCXEYDJXQXACUQURUSUTUBGUOZUVFUUBUVIU
        VEXRWSXAUHVAUVKUVGUVCUVHUVDUVKYAWTXBJXRWSBUQVBUVKYDXDXEJXRWSCUQVBUSUTVJ
        VKWEYTWSXAYTXHWFWSAXHWFWGYHXMXNAXHDWFADEBPVPOWHVOZYRXMXNVFWIYTXHWFXAUVL
        YSXNVIWIWJWKWLWMWOWPWQWR $.
    $}

    $d i j A $.  $d i j B $.  $d i j C $.  $d i j D $.  $d i j E $.
    $d i j F $.  $d i j G $.  $d i j .- $.  $d i j ph $.
    trgcgrg.a $e |- ( ph -> A e. P ) $.
    trgcgrg.b $e |- ( ph -> B e. P ) $.
    trgcgrg.c $e |- ( ph -> C e. P ) $.
    trgcgrg.d $e |- ( ph -> D e. P ) $.
    trgcgrg.e $e |- ( ph -> E e. P ) $.
    trgcgrg.f $e |- ( ph -> F e. P ) $.
    $( The property for two triangles to be congruent to each other.
       (Contributed by Thierry Arnoux, 3-Apr-2019.) $)
    trgcgrg $p |- ( ph -> ( <" A B C "> .~ <" D E F "> <->
      ( ( A .- B ) = ( D .- E ) /\ ( B .- C ) = ( E .- F )
        /\ ( C .- A ) = ( F .- D ) ) ) ) $=
      ( vi vj cv cs3 cfv co wceq cdm wral cc0 c1 c2 ctp wbr chash cfzo wf cword
      w3a wcel s3cld wrdf syl c3 s3len fzo0to3tp eqtri feq2i sylib fdmd raleqdv
      oveq2i raleqbidv cstrkg cr wss 0re 1re 2re tpssi mp3an a1i wa fveq2 s3fv0
      iscgrgd wb sylan9eqr oveq2d eqeq12d s3fv1 s3fv2 0red raltpd adantr adantl
      1red eqtr2d oveq1d 3anbi123d an33rean citv eqid tgcgrtriv biantrurd simpr
      bitr4d 3jca simprl tgcgrcomlr impbida simprr bitr3d syl5bb bitr2d 3bitr4d
      jca ) AUBUDZBCDUEZUFZUCUDZXTUFZKUGZXSEHIUEZUFZYBYEUFZKUGZUHZUCXTUIZUJZUBY
      JUJYIUCUKULUMUNZUJZUBYLUJZXTYEGUOBCKUGZEHKUGZUHZCDKUGZHIKUGZUHZDBKUGZIEKU
      GZUHZUTZAYKYMUBYJYLAYLFXTAUKXTUPUFZUQUGZFXTURZYLFXTURAXTFUSZVAUUGABCDFPQR
      VBFXTVCVDUUFYLFXTUUFUKVEUQUGZYLUUEVEUKUQBCDVFVMVGVHVIVJZVKZAYIUCYJYLUUKVL
      VNAXTYEYLFGUBUCJKVOLMNOYLVPVQZAUKVPVAULVPVAUMVPVAZUULVRVSVTUKULUMVPWAWBWC
      UUJAUKYEUPUFZUQUGZFYEURZYLFYEURAYEUUHVAUUPAEHIFSTUAVBFYEVCVDUUOYLFYEUUOUU
      IYLUUNVEUKUQEHIVFVMVGVHVIVJWGAYNBBKUGZEEKUGZUHZYQBDKUGZEIKUGZUHZUTZCBKUGZ
      HEKUGZUHZCCKUGZHHKUGZUHZYTUTZUUCDCKUGZIHKUGZUHZDDKUGZIIKUGZUHZUTZUTZUUDAY
      MUVCUVJUVQUBUKULUMVPVPVPAXSUKUHZWDZYMYABKUGZYFEKUGZUHZYACKUGZYFHKUGZUHZYA
      DKUGZYFIKUGZUHZUTZUVCAYMUWJWHZUVSAYIUWCUWFUWIUCUKULUMVPVPVPAYBUKUHZWDZYDU
      WAYHUWBUWMYCBYAKUWLAYCUKXTUFZBYBUKXTWEABFVAZUWNBUHZPBCDFWFVDZWIWJUWMYGEYF
      KUWLAYGUKYEUFZEYBUKYEWEAEFVAZUWREUHZSEHIFWFVDZWIWJWKAYBULUHZWDZYDUWDYHUWE
      UXCYCCYAKUXBAYCULXTUFZCYBULXTWEACFVAZUXDCUHZQBCDFWLVDZWIWJUXCYGHYFKUXBAYG
      ULYEUFZHYBULYEWEAHFVAZUXHHUHZTEHIFWLVDZWIWJWKAYBUMUHZWDZYDUWGYHUWHUXMYCDY
      AKUXLAYCUMXTUFZDYBUMXTWEADFVAZUXNDUHZRBCDFWMVDZWIWJUXMYGIYFKUXLAYGUMYEUFZ
      IYBUMYEWEAIFVAZUXRIUHZUAEHIFWMVDZWIWJWKAWNZAWRZUUMAVTWCZWOZWPUVTUUSUWCYQU
      WFUVBUWIUVTUUQUWAUURUWBUVTBYABKUVTYAUWNBUVSYAUWNUHAXSUKXTWEWQAUWPUVSUWQWP
      WSZWTUVTEYFEKUVTYFUWREUVSYFUWRUHAXSUKYEWEWQAUWTUVSUXAWPWSZWTWKUVTYOUWDYPU
      WEUVTBYACKUYFWTUVTEYFHKUYGWTWKUVTUUTUWGUVAUWHUVTBYADKUYFWTUVTEYFIKUYGWTWK
      XAXHAXSULUHZWDZYMUWJUVJAUWKUYHUYEWPUYIUVFUWCUVIUWFYTUWIUYIUVDUWAUVEUWBUYI
      CYABKUYIYAUXDCUYHYAUXDUHAXSULXTWEWQAUXFUYHUXGWPWSZWTUYIHYFEKUYIYFUXHHUYHY
      FUXHUHAXSULYEWEWQAUXJUYHUXKWPWSZWTWKUYIUVGUWDUVHUWEUYICYACKUYJWTUYIHYFHKU
      YKWTWKUYIYRUWGYSUWHUYICYADKUYJWTUYIHYFIKUYKWTWKXAXHAXSUMUHZWDZYMUWJUVQAUW
      KUYLUYEWPUYMUUCUWCUVMUWFUVPUWIUYMUUAUWAUUBUWBUYMDYABKUYMYAUXNDUYLYAUXNUHA
      XSUMXTWEWQAUXPUYLUXQWPWSZWTUYMIYFEKUYMYFUXRIUYLYFUXRUHAXSUMYEWEWQAUXTUYLU
      YAWPWSZWTWKUYMUVKUWDUVLUWEUYMDYACKUYNWTUYMIYFHKUYOWTWKUYMUVNUWGUVOUWHUYMD
      YADKUYNWTUYMIYFIKUYOWTWKXAXHUYBUYCUYDWOUVRUUSUVIUVPUTZYQUVFWDZYTUVMWDZUVB
      UUCWDZUTZWDZAUUDUUSYQUVBUVFUVIYTUUCUVMUVPXBAUYTVUAUUDAUYPUYTAUUSUVIUVPABE
      FJJXCUFZKLMVUBXDZOPSXEACHFJVUBKLMVUCOQTXEADIFJVUBKLMVUCORUAXEXIXFAUYQYQUY
      RYTUYSUUCAUYQYQAYQUVFXJAYQWDZYQUVFAYQXGZVUDBCEHFJVUBKLMVUCAJVOVAZYQOWPAUW
      OYQPWPAUXEYQQWPAUWSYQSWPAUXIYQTWPVUEXKXRXLAUYRYTAYTUVMXJAYTWDZYTUVMAYTXGZ
      VUGCDHIFJVUBKLMVUCAVUFYTOWPAUXEYTQWPAUXOYTRWPAUXIYTTWPAUXSYTUAWPVUHXKXRXL
      AUYSUUCAUVBUUCXMAUUCWDZUVBUUCVUIDBIEFJVUBKLMVUCAVUFUUCOWPAUXOUUCRWPAUWOUU
      CPWPAUXSUUCUAWPAUWSUUCSWPAUUCXGZXKVUJXRXLXAXNXOXPXQ $.

    trgcgr.1 $e |- ( ph -> ( A .- B ) = ( D .- E ) ) $.
    trgcgr.2 $e |- ( ph -> ( B .- C ) = ( E .- F ) ) $.
    trgcgr.3 $e |- ( ph -> ( C .- A ) = ( F .- D ) ) $.
    $( Triangle congruence.  (Contributed by Thierry Arnoux, 27-Apr-2019.) $)
    trgcgr $p |- ( ph -> <" A B C "> .~ <" D E F "> ) $=
      ( cs3 wbr co wceq trgcgrg mpbir3and ) ABCDUEEHIUEGUFBCKUGEHKUGUHCDKUGHIKU
      GUHDBKUGIEKUGUHUBUCUDABCDEFGHIJKLMNOPQRSTUAUIUJ $.
  $}

  ${
    $d a b g i j $.  $d i j x y z G $.  $d x P $.
    ercgrg.p $e |- P = ( Base ` G ) $.
    $( The shape congruence relation is an equivalence relation.  Statement 4.4
       of [Schwabhauser] p. 35.  (Contributed by Thierry Arnoux,
       9-Apr-2019.) $)
    ercgrg $p |- ( G e. TarskiG -> ( cgrG ` G ) Er ( P ^pm RR ) ) $=
      ( vi vj cstrkg wcel co cfv cv wa cdm wceq wbr iscgrg simpld simprd adantr
      wral r19.21bi vx vy vz va vg vb cpm ccgrg wrel cbs cds df-cgrg relmptopab
      cvv a1i eqid biimpa ancomd eqcomd simpl simprl eleqtrrd simprr ralrimivva
      cr syl21anc wb mpbir2and adantrr adantrl eqtrd anasss eleqtrd eqidd rgen2
      jca pm4.24 pm3.2i biantru bitri bitr4id iserd ) BFGZUAUBUCAVEUGHZBUHIZWEU
      IWCUDJZUEJZUJIVEUGHZGUFJZWHGKWFLZWILMDJZWFIEJZWFIWGUKIZHWKWIIWLWIIWMHMEWJ
      SDWJSKKUEUDUFUNBUHUEDEUDUFULUMUOWCUAJZUBJZWENZKZWOWNWENZWOWDGZWNWDGZKZWOL
      ZWNLZMZWKWOIWLWOIBUKIZHZWKWNIWLWNIXEHZMZEXBSDXBSZKZWQWTWSWQWTWSKZXCXBMZXG
      XFMZEXCSZDXCSZKZWCWPXKXPKZWNWOAWEDEBXEFCXEUPZWEUPZOUQZPZURWQXDXIWQXCXBWQX
      LXOWQXKXPXTQZPZUSWQXHDEXBXBWQWKXBGZWLXBGZKZKZXGXFYGWQWKXCGZWLXCGZXMWQYFUT
      YGWKXBXCWQYDYEVAWQXLYFYCRZVBYGWLXBXCWQYDYEVCYJVBWQYHKXMEXCWQXNDXCWQXLXOYB
      QTTVFUSVDVPWCWRXAXJKVGWPWOWNAWEDEBXEFCXRXSORVHWCWPWOUCJZWENZKZKZWNYKWENZW
      TYKWDGZKZXCYKLZMZXGWKYKIWLYKIXEHZMZEXCSDXCSZKZYNWTYPWCWPWTYLWQWTWSYAPVIYN
      WSYPYNWSYPKZXBYRMZXFYTMZEXBSZDXBSZKZWCYLUUDUUIKZWPWCYLUUJWOYKAWEDEBXEFCXR
      XSOUQVJZPQVPYNYSUUBYNXCXBYRYNXLXOYNXKXPWCWPXQYLXTVIQZPZYNUUEUUHYNUUDUUIUU
      KQZPVKYNUUADEXCXCYNYHYIKZKZXGXFYTYNYHYIXMYNYHKXMEXCYNXNDXCYNXLXOUULQTTVLU
      UPYNYDYEUUFYNUUOUTUUPWKXCXBYNYHYIVAYNXLUUOUUMRZVMUUPWLXCXBYNYHYIVCUUQVMYN
      YDKUUFEXBYNUUGDXBYNUUEUUHUUNQTTVFVKVDVPWCYOYQUUCKVGYMWNYKAWEDEBXEFCXRXSOR
      VHWCWTWTWTKZXCXCMZXGXGMZEXCSDXCSZKZKZWNWNWENWTUURUVCWTVQUVBUURUUSUVAXCUPU
      UTDEXCXCUUOXGVNVOVRVSVTWNWNAWEDEBXEFCXRXSOWAWB $.
  $}

  ${
    $d A e f g $.  $d B e f g $.  $d C e f g $.  $d D e f g $.  $d F e f g $.
    $d I e f g $.  $d P e f g $.  $d e f g .- $.  $d e f g .~ $.
    $d e f g ph $.
    tgcgrxfr.p $e |- P = ( Base ` G ) $.
    tgcgrxfr.m $e |- .- = ( dist ` G ) $.
    tgcgrxfr.i $e |- I = ( Itv ` G ) $.
    tgcgrxfr.r $e |- .~ = ( cgrG ` G ) $.
    tgcgrxfr.g $e |- ( ph -> G e. TarskiG ) $.
    ${
      tgcgrxfr.a $e |- ( ph -> A e. P ) $.
      tgcgrxfr.b $e |- ( ph -> B e. P ) $.
      tgcgrxfr.c $e |- ( ph -> C e. P ) $.
      tgcgrxfr.d $e |- ( ph -> D e. P ) $.
      tgcgrxfr.f $e |- ( ph -> F e. P ) $.
      tgcgrxfr.1 $e |- ( ph -> B e. ( A I C ) ) $.
      tgcgrxfr.2 $e |- ( ph -> ( A .- C ) = ( D .- F ) ) $.
      $( A line segment can be divided at the same place as a congruent line
         segment is divided.  Theorem 4.5 of [Schwabhauser] p. 35.
         (Contributed by Thierry Arnoux, 9-Apr-2019.) $)
      tgcgrxfr $p |- ( ph -> E. e e. P ( e e. ( D I F ) /\
        <" A B C "> .~ <" D e F "> ) ) $=
        ( vg vf chash cfv c1 wceq cv co wcel cs3 wa wrex c2 adantr cstrkg simpr
        wbr cle tgldim0itv tgldim0cgr trgcgr eleq1 s3eq2 breq2d rspcev syl12anc
        anbi12d wne ad3antrrr simplr axtgsegcon ad7antr ad2antrr simpllr simpld
        simprl tgbtwnexch3 simprd necomd tgbtwnexch tgbtwncom simprr tgsegconeq
        simp-5r tgcgrextend eqcomd oveq2d eleqtrd eqtr3d tgcgrcomlr jca ad5antr
        r19.29a ex reximdva mpd tgbtwndiff cbs tgldimor mpjaodan ) AFUGUHZUIUJZ
        HUKZEIKULZUMZBCDUNZEXGIUNZGVAZUOZHFUPZUQXEVBVAZAXFUOZBFUMZBXHUMZXJEBIUN
        ZGVAZXNAXQXFRURZXPBEIFJKLMNOAJUSUMZXFQURZYAAEFUMZXFUAURZAIFUMZXFUBURZAX
        FUTZVCXPBCDEFGBIJLMNPYCYAACFUMZXFSURZADFUMZXFTURZYEYAYGXPBCEBFJKLMNOYCY
        AYJYEYHYAVDXPCDBIFJKLMNOYCYJYLYAYHYGVDXPDBIEFJKLMNOYCYLYAYGYHYEVDVEXMXR
        XTUOHBFXGBUJZXIXRXLXTXGBXHVFYMXKXSXJGEXGIBVGVHVKVIVJAXOUOZEIUEUKZKULUMZ
        EYOVLZUOZXNUEFYNYOFUMZUOZYRUOZEYOXGKULUMZEXGLULZBCLULZUJZUOZHFUPXNUUAHB
        CFJKLYOEMNOAYBXOYSYRQVMZYNYSYRVNZAYDXOYSYRUAVMAXQXOYSYRRVMAYIXOYSYRSVMZ
        VOUUAUUFXMHFUUAXGFUMZUOZUUFXMUUKUUFUOZXGYOUFUKZKULUMZXGUUMLULZCDLULZUJZ
        UOZXMUFFUULUUMFUMZUOZUURUOZXIXLUVAXGEUUMKULXHUVAYOEXGUUMFJKLMNOAYBXOYSY
        RUUJUUFUUSUURQVPZUULYSUUSUURUUAYSUUJUUFUUHVQZVQZAYDXOYSYRUUJUUFUUSUURUA
        VPZUULUUJUUSUURUUAUUJUUFVNZVQZUULUUSUURVNZUVAUUBUUEUUKUUFUUSUURVRZVSZUU
        TUUNUUQVTZWAZUVAUUMIEKUVAEBDYOFUUMIJKLMNOUVBUVEAXQXOYSYRUUJUUFUUSUURRVP
        ZAYKXOYSYRUUJUUFUUSUURTVPZUVDUVHAYFXOYSYRUUJUUFUUSUURUBVPZUVAEYOUVAYPYQ
        YTYRUUJUUFUUSUURWHZWBWCUVAYOEXGUUMFJKLMNOUVBUVDUVEUVGUVHUVJUVKWDUVAIEYO
        FJKLMNOUVBUVOUVEUVDUVAYPYQUVPVSWEUVAEXGUUMBFCDJKLMNOUVBUVEUVGUVHUVMAYIX
        OYSYRUUJUUFUUSUURSVPZUVNUVLACBDKULUMXOYSYRUUJUUFUUSUURUCVPUVAUUBUUEUVIW
        BZUUTUUNUUQWFZWIUVABDLULZEILULZAUVTUWAUJXOYSYRUUJUUFUUSUURUDVPWJWGZWKWL
        UVABCDEFGXGIJLMNPUVBUVMUVQUVNUVEUVGUVOUVAUUCUUDUVRWJUVAUUOUUPXGILULUVSU
        VAUUMIXGLUWBWKWMADBLULIELULUJXOYSYRUUJUUFUUSUURABDEIFJKLMNOQRTUAUBUDWNV
        PVEWOUULUFCDFJKLYOXGMNOUUAYBUUJUUFUUGVQUVCUVFUUAYIUUJUUFUUIVQAYKXOYSYRU
        UJUUFTWPVOWQWRWSWTYNIEFJKLUEMNOAYBXOQURAYFXOUBURAYDXOUAURAXOUTXAWQABFXB
        JMRXCXD $.
    $}

    ${
      tgbtwnxfr.a $e |- ( ph -> A e. P ) $.
      tgbtwnxfr.b $e |- ( ph -> B e. P ) $.
      tgbtwnxfr.c $e |- ( ph -> C e. P ) $.
      $( Reflexivity law for three-place congruence.  (Contributed by Thierry
         Arnoux, 28-Apr-2019.) $)
      cgr3id $p |- ( ph -> <" A B C "> .~ <" A B C "> ) $=
        ( co eqidd trgcgr ) ABCDBEFCDGIJKMNOPQOPQABCIRSACDIRSADBIRST $.

      tgbtwnxfr.d $e |- ( ph -> D e. P ) $.
      tgbtwnxfr.e $e |- ( ph -> E e. P ) $.
      tgbtwnxfr.f $e |- ( ph -> F e. P ) $.
      tgbtwnxfr.2 $e |- ( ph -> <" A B C "> .~ <" D E F "> ) $.
      $( Deduce segment congruence from a triangle congruence.  This is a
         portion of the theorem that corresponding parts of congruent triangles
         are congruent (CPCTC), focusing on a specific segment.  (Contributed
         by Thierry Arnoux, 27-Apr-2019.) $)
      cgr3simp1 $p |- ( ph -> ( A .- B ) = ( D .- E ) ) $=
        ( co wceq cs3 wbr w3a trgcgrg mpbid simp1d ) ABCLUEEHLUEUFZCDLUEHILUEUF
        ZDBLUEIELUEUFZABCDUGEHIUGGUHUMUNUOUIUDABCDEFGHIJLMNPQRSTUAUBUCUJUKUL $.

      $( Deduce segment congruence from a triangle congruence.  This is a
         portion of CPCTC, focusing on a specific segment.  (Contributed by
         Thierry Arnoux, 27-Apr-2019.) $)
      cgr3simp2 $p |- ( ph -> ( B .- C ) = ( E .- F ) ) $=
        ( co wceq cs3 wbr w3a trgcgrg mpbid simp2d ) ABCLUEEHLUEUFZCDLUEHILUEUF
        ZDBLUEIELUEUFZABCDUGEHIUGGUHUMUNUOUIUDABCDEFGHIJLMNPQRSTUAUBUCUJUKUL $.

      $( Deduce segment congruence from a triangle congruence.  This is a
         portion of CPCTC, focusing on a specific segment.  (Contributed by
         Thierry Arnoux, 27-Apr-2019.) $)
      cgr3simp3 $p |- ( ph -> ( C .- A ) = ( F .- D ) ) $=
        ( co wceq cs3 wbr w3a trgcgrg mpbid simp3d ) ABCLUEEHLUEUFZCDLUEHILUEUF
        ZDBLUEIELUEUFZABCDUGEHIUGGUHUMUNUOUIUDABCDEFGHIJLMNPQRSTUAUBUCUJUKUL $.

      $( Permutation law for three-place congruence.  (Contributed by Thierry
         Arnoux, 27-Apr-2019.) $)
      cgr3swap12 $p |- ( ph -> <" B A C "> .~ <" E D F "> ) $=
        ( cgr3simp1 tgcgrcomlr cgr3simp3 cgr3simp2 trgcgr ) ACBDHFGEIJLMNPQSRTU
        BUAUCABCEHFJKLMNOQRSUAUBABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFADBIEFJKLMNOQTR
        UCUAABCDEFGHIJKLMNOPQRSTUAUBUCUDUGUFACDHIFJKLMNOQSTUBUCABCDEFGHIJKLMNOP
        QRSTUAUBUCUDUHUFUI $.

      $( Permutation law for three-place congruence.  (Contributed by Thierry
         Arnoux, 27-Apr-2019.) $)
      cgr3swap23 $p |- ( ph -> <" A C B "> .~ <" D F E "> ) $=
        ( cgr3simp3 tgcgrcomlr cgr3simp2 cgr3simp1 trgcgr ) ABDCEFGIHJLMNPQRTSU
        AUCUBADBIEFJKLMNOQTRUCUAABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFACDHIFJKLMNOQST
        UBUCABCDEFGHIJKLMNOPQRSTUAUBUCUDUGUFABCEHFJKLMNOQRSUAUBABCDEFGHIJKLMNOP
        QRSTUAUBUCUDUHUFUI $.

      $( Permutation law for three-place congruence.  (Contributed by Thierry
         Arnoux, 3-Oct-2020.) $)
      cgr3swap13 $p |- ( ph -> <" C B A "> .~ <" F E D "> ) $=
        ( cgr3swap12 cgr3swap23 ) ACDBHFGIEJKLMNOPQSTRUBUCUAACBDHFGEIJKLMNOPQSR
        TUBUAUCABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUE $.

      $( Permutation law for three-place congruence.  (Contributed by Thierry
         Arnoux, 1-Aug-2020.) $)
      cgr3rotr $p |- ( ph -> <" C A B "> .~ <" F D E "> ) $=
        ( cgr3swap23 cgr3swap12 ) ABDCEFGIHJKLMNOPQRTSUAUCUBABCDEFGHIJKLMNOPQRS
        TUAUBUCUDUEUF $.

      $( Permutation law for three-place congruence.  (Contributed by Thierry
         Arnoux, 1-Aug-2020.) $)
      cgr3rotl $p |- ( ph -> <" B C A "> .~ <" E F D "> ) $=
        ( cgr3swap12 cgr3swap23 ) ACBDHFGEIJKLMNOPQSRTUBUAUCABCDEFGHIJKLMNOPQRS
        TUAUBUCUDUEUF $.

      $( Commutative law for three-place congruence.  (Contributed by Thierry
         Arnoux, 27-Apr-2019.) $)
      trgcgrcom $p |- ( ph -> <" D E F "> .~ <" A B C "> ) $=
        ( co cgr3simp1 eqcomd cgr3simp2 cgr3simp3 trgcgr ) AEHIBFGCDJLMNPQUAUBU
        CRSTABCLUEEHLUEABCDEFGHIJKLMNOPQRSTUAUBUCUDUFUGACDLUEHILUEABCDEFGHIJKLM
        NOPQRSTUAUBUCUDUHUGADBLUEIELUEABCDEFGHIJKLMNOPQRSTUAUBUCUDUIUGUJ $.

      ${
        cgr3tr.j $e |- ( ph -> J e. P ) $.
        cgr3tr.k $e |- ( ph -> K e. P ) $.
        cgr3tr.l $e |- ( ph -> L e. P ) $.
        cgr3tr.1 $e |- ( ph -> <" D E F "> .~ <" J K L "> ) $.
        $( Transitivity law for three-place congruence.  (Contributed by
           Thierry Arnoux, 27-Apr-2019.) $)
        cgr3tr $p |- ( ph -> <" A B C "> .~ <" J K L "> ) $=
          ( co cgr3simp1 eqtrd cgr3simp2 cgr3simp3 trgcgr ) ABCDLFGMNJOPQSTUAUB
          UCUHUIUJABCOULEHOULLMOULABCDEFGHIJKOPQRSTUAUBUCUDUEUFUGUMAEHILFGMNJKO
          PQRSTUDUEUFUHUIUJUKUMUNACDOULHIOULMNOULABCDEFGHIJKOPQRSTUAUBUCUDUEUFU
          GUOAEHILFGMNJKOPQRSTUDUEUFUHUIUJUKUOUNADBOULIEOULNLOULABCDEFGHIJKOPQR
          STUAUBUCUDUEUFUGUPAEHILFGMNJKOPQRSTUDUEUFUHUIUJUKUPUNUQ $.
      $}

      $d e E $.
      tgbtwnxfr.1 $e |- ( ph -> B e. ( A I C ) ) $.
      $( A condition for extending betweenness to a new set of points based on
         congruence with another set of points.  Theorem 4.6 of [Schwabhauser]
         p. 36.  (Contributed by Thierry Arnoux, 27-Apr-2019.) $)
      tgbtwnxfr $p |- ( ph -> E e. ( D I F ) ) $=
        ( ve cv co cs3 wbr cstrkg ad2antrr simplr simprl eqidd simprr trgcgrcom
        wcel cgr3tr cgr3simp1 cgr3simp2 tgcgrcomlr tgifscgr axtgcgrid cgr3simp3
        wa eqeltrrd tgcgrxfr r19.29a ) AUFUGZEIKUHZURZBCDUIZEVJIUIGUJZVFZHVKURU
        FFAVJFURZVFZVOVFZVJHVKVRFJKLVJHVJMNOAJUKURVPVOQULZAVPVOUMZAHFURVPVOUBUL
        ZVTVREVJIHFEVJJVJKILMNOVSAEFURVPVOUAULZVTAIFURVPVOUCULZWAWBVTWCVTVQVLVN
        UNZWDVREILUHUOVRVJILUHUOVREHIEFGVJIJKLMNOPVSWBWAWCWBVTWCVREVJIEFGHIJKLM
        NOPVSWBVTWCWBWAWCVREVJIBFGCDJKEHILMNOPVSWBVTWCABFURVPVORULZACFURVPVOSUL
        ZADFURVPVOTULZVRBCDEFGVJIJKLMNOPVSWEWFWGWBVTWCVQVLVNUPUQWBWAWCAVMEHIUIG
        UJVPVOUDULUSUQZUTVRHIVJIFJKLMNOVSWAWCVTWCVREHIEFGVJIJKLMNOPVSWBWAWCWBVT
        WCWHVAVBVCVDWDVGABCDEFGUFIJKLMNOPQRSTUAUCUEADBIEFJKLMNOQTRUCUAABCDEFGHI
        JKLMNOPQRSTUAUBUCUDVEVBVHVI $.
    $}

    ${
      $d .- i j $.  $d A i j $.  $d B i j $.  $d C i j $.  $d D i j $.
      $d G i j $.  $d W i j $.  $d X i j $.  $d Y i j $.  $d Z i j $.
      $d i j ph $.
      tgcgr4.a $e |- ( ph -> A e. P ) $.
      tgcgr4.b $e |- ( ph -> B e. P ) $.
      tgcgr4.c $e |- ( ph -> C e. P ) $.
      tgcgr4.d $e |- ( ph -> D e. P ) $.
      tgcgr4.w $e |- ( ph -> W e. P ) $.
      tgcgr4.x $e |- ( ph -> X e. P ) $.
      tgcgr4.y $e |- ( ph -> Y e. P ) $.
      tgcgr4.z $e |- ( ph -> Z e. P ) $.
      $( Two quadrilaterals to be congruent to each other if one triangle
         formed by their vertices is, and the additional points are equidistant
         too.  (Contributed by Thierry Arnoux, 8-Oct-2020.) $)
      tgcgr4 $p |- ( ph -> ( <" A B C D "> .~ <" W X Y Z "> <->
        ( <" A B C "> .~ <" W X Y "> /\ ( ( A .- D ) = ( W .- Z )
          /\ ( B .- D ) = ( X .- Z ) /\ ( C .- D ) = ( Y .- Z ) ) ) ) ) $=
        ( vi vj cs4 wbr cv clt cfv co wceq wi cdm wral cc0 c3 cfzo wa cs3 c4 cr
        w3a wss cn0 fzo0ssnn0 nn0ssre sstri a1i chash cword wcel s4cld wrdf syl
        wf s4len oveq2i feq2i sylib iscgrglt csn cun fdmd caddc 3p1e4 cuz nn0uz
        c1 eleqtri fzosplitsn ax-mp eqtr3i eqtrdi raleqdv wb breq2 fveq2 oveq2d
        3nn0 eqeq12d imbi12d ralunsn bitrdi ralbidv wtru simpr sselid simpl 3re
        adantl wfal breq1 anbi12d s3cld s3len cconcat df-s4 fveq1i adantr s1cld
        cs1 eleqtrrdi ccatval1 syl3anc syl5eq oveq12d c2 mpbiri s4fv0 sylan9eqr
        s4fv3 bitr3d s4fv1 s4fv2 syl5bb eqeltrdi elfzolt2 ltnsymd pm2.21d tbtru
        breqtrrd ralbidva c0 wne cn 3nn lbfzo0 mpbir ne0ii r19.3rzv ltnri bifal
        bitr4di imbi1d falim bitru anidm ancom truan 3bitri bitrd r19.26 simprl
        raleqbidv simprr imbi2d 2ralbidva 3bitr4rd ctp fzo0to3tp 3pos 1lt3 2lt3
        raleqi biimt 0red 1red 2re raltpd 3bitrd ) ABCDEUJZKLMNUJZGUKUHULZUIULZ
        UMUKZUWHUWFUNZUWIUWFUNZJUOZUWHUWGUNZUWIUWGUNZJUOZUPZUQZUIUWFURZUSZUHUWS
        USZUWRUIUTVAVBUOZUSZUWHVAUMUKZUWKVAUWFUNZJUOZUWNVAUWGUNZJUOZUPZUQZVCZUH
        UXBUSZBCDVDZKLMVDZGUKZBEJUOZKNJUOZUPZCEJUOZLNJUOZUPZDEJUOZMNJUOZUPZVGZV
        CZAUWFUWGUTVEVBUOZFGUHUIHJOPRSUYGVFVHAUYGVIVFVEVJVKVLVMAUTUWFVNUNZVBUOZ
        FUWFVTZUYGFUWFVTAUWFFVOZVPUYJABCDEFTUAUBUCVQFUWFVRVSUYIUYGFUWFUYHVEUTVB
        BCDEWAWBWCWDZAUTUWGVNUNZVBUOZFUWGVTZUYGFUWGVTAUWGUYKVPUYOAKLMNFUDUEUFUG
        VQFUWGVRVSUYNUYGFUWGUYMVEUTVBKLMNWAWBWCWDWEAUXAUXKUHUWSUSZUXLAUWTUXKUHU
        WSAUWTUWRUIUXBVAWFWGZUSZUXKAUWRUIUWSUYQAUWSUYGUYQAUYGFUWFUYLWHUTVAWMWIU
        OZVBUOZUYGUYQUYSVEUTVBWJWBVAUTWKUNZVPUYTUYQUPVAVIVUAXDWLWNUTVAWOWPWQWRZ
        WSVAVIVPZUYRUXKWTXDUWRUXJUIUXBVAVIUWIVAUPZUWJUXDUWQUXIUWIVAUWHUMXAVUDUW
        MUXFUWPUXHVUDUWLUXEUWKJUWIVAUWFXBXCVUDUWOUXGUWNJUWIVAUWGXBXCXEXFXGWPXHX
        IAUYPUXKUHUYQUSZUXLAUXKUHUWSUYQVUBWSVUEUXLXJVCZXJUXLVCUXLVUCVUEVUFWTXDU
        XKXJUHUXBVAVIUWHVAUPZUXKXJXJVCXJVUGUXCXJUXJXJVUGUXCXJUIUXBUSZXJVUGUWRXJ
        UIUXBVUGUWIUXBVPZVCZUWRUWRXJWTVUJUWJUWQVUJUWIUWHVUJUXBVFUWIUXBVIVFVAVJV
        KVLZVUGVUIXKXLVUJUWHVAVFVUGVUIXMZXNUUAVUJUWIVAUWHUMVUIUWIVAUMUKVUGUWIUT
        VAUUBXOVULUUFUUCUUDUWRUUEWDUUGUXBUUHUUIXJVUHWTUTUXBUTUXBVPVAUUJVPUUKVAU
        ULUUMUUNXJUIUXBUUOWPUURVUGUXJXPUXIUQZXJVUGUXDXPUXIVUGUXDVAVAUMUKZXPUWHV
        AVAUMXQVUNVAXNUUPUUQXHUUSVUMUXIUUTUVAXHXRXJUVBXHXGWPUXLXJUVCUXLUVDUVEXH
        UVFUXLUXCUHUXBUSZUXJUHUXBUSZVCAUYFUXCUXJUHUXBUVGAVUOUXOVUPUYEAUWJUWHUXM
        UNZUWIUXMUNZJUOZUWHUXNUNZUWIUXNUNZJUOZUPZUQZUIUXMURZUSZUHVVEUSVVDUIUXBU
        SZUHUXBUSUXOVUOAVVFVVGUHVVEUXBAUXBFUXMAUTUXMVNUNZVBUOZFUXMVTZUXBFUXMVTA
        UXMUYKVPZVVJABCDFTUAUBXSFUXMVRVSVVIUXBFUXMVVHVAUTVBBCDXTWBZWCWDZWHZAVVD
        UIVVEUXBVVNWSUVIAUXMUXNUXBFGUHUIHJOPRSUXBVFVHAVUKVMVVMAUTUXNVNUNZVBUOZF
        UXNVTZUXBFUXNVTAUXNUYKVPZVVQAKLMFUDUEUFXSFUXNVRVSVVPUXBFUXNVVOVAUTVBKLM
        XTWBZWCWDWEAUWRVVDUHUIUXBUXBAUWHUXBVPZVUIVCZVCZUWQVVCUWJVWBUWMVUSUWPVVB
        VWBUWKVUQUWLVURJVWBUWKUWHUXMEYFZYAUOZUNZVUQUWHUWFVWDBCDEYBZYCVWBVVKVWCU
        YKVPZUWHVVIVPVWEVUQUPVWBBCDFABFVPZVWATYDACFVPZVWAUAYDADFVPZVWAUBYDXSZVW
        BEFAEFVPZVWAUCYDYEZVWBUWHUXBVVIAVVTVUIUVHZVVLYGFFUXMVWCUWHYHYIYJVWBUWLU
        WIVWDUNZVURUWIUWFVWDVWFYCVWBVVKVWGUWIVVIVPVWOVURUPVWKVWMVWBUWIUXBVVIAVV
        TVUIUVJZVVLYGFFUXMVWCUWIYHYIYJYKVWBUWNVUTUWOVVAJVWBUWNUWHUXNNYFZYAUOZUN
        ZVUTUWHUWGVWRKLMNYBZYCVWBVVRVWQUYKVPZUWHVVPVPVWSVUTUPVWBKLMFAKFVPZVWAUD
        YDALFVPZVWAUEYDAMFVPZVWAUFYDXSZVWBNFANFVPZVWAUGYDYEZVWBUWHUXBVVPVWNVVSY
        GFFUXNVWQUWHYHYIYJVWBUWOUWIVWRUNZVVAUWIUWGVWRVWTYCVWBVVRVXAUWIVVPVPVXHV
        VAUPVXEVXGVWBUWIUXBVVPVWPVVSYGFFUXNVWQUWIYHYIYJYKXEUVKUVLUVMVUPUXJUHUTW
        MYLUVNZUSAUYEUXJUHUXBVXIUVOUVSAUXJUXRUYAUYDUHUTWMYLVFVFVFAUWHUTUPZVCZUX
        IUXJUXRVXKUXDUXIUXJWTZVXJUXDAVXJUXDUTVAUMUKUVPUWHUTVAUMXQYMXOUXDUXIUVTZ
        VSVXKUXFUXPUXHUXQVXKUWKBUXEEJVXJAUWKUTUWFUNZBUWHUTUWFXBAVWHVXNBUPTBCDEF
        YNVSYOAUXEEUPZVXJAVWLVXOUCBCDEFYPVSZYDYKVXKUWNKUXGNJVXJAUWNUTUWGUNZKUWH
        UTUWGXBAVXBVXQKUPUDKLMNFYNVSYOAUXGNUPZVXJAVXFVXRUGKLMNFYPVSZYDYKXEYQAUW
        HWMUPZVCZUXIUXJUYAVYAUXDVXLVXTUXDAVXTUXDWMVAUMUKUVQUWHWMVAUMXQYMXOVXMVS
        VYAUXFUXSUXHUXTVYAUWKCUXEEJVXTAUWKWMUWFUNZCUWHWMUWFXBAVWIVYBCUPUABCDEFY
        RVSYOAVXOVXTVXPYDYKVYAUWNLUXGNJVXTAUWNWMUWGUNZLUWHWMUWGXBAVXCVYCLUPUEKL
        MNFYRVSYOAVXRVXTVXSYDYKXEYQAUWHYLUPZVCZUXIUXJUYDVYEUXDVXLVYDUXDAVYDUXDY
        LVAUMUKUVRUWHYLVAUMXQYMXOVXMVSVYEUXFUYBUXHUYCVYEUWKDUXEEJVYDAUWKYLUWFUN
        ZDUWHYLUWFXBAVWJVYFDUPUBBCDEFYSVSYOAVXOVYDVXPYDYKVYEUWNMUXGNJVYDAUWNYLU
        WGUNZMUWHYLUWGXBAVXDVYGMUPUFKLMNFYSVSYOAVXRVYDVXSYDYKXEYQAUWAAUWBYLVFVP
        AUWCVMUWDYTXRYTUWE $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Motions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Ismt $.

  $( Note - the first part of this section, until ~ motgrp , is not specific to
     geometry and might be moved further up in set.mm $)
  $( Declare the constant for the isometry builder. $)
  cismt $a class Ismt $.

  ${
    $d a b f g h $.
    $( Define the set of isometries between two structures.  Definition 4.8 of
       [Schwabhauser] p. 36.  See ~ isismt .  (Contributed by Thierry Arnoux,
       13-Dec-2019.) $)
    df-ismt $a |- Ismt = ( g e. _V , h e. _V |-> { f |
      ( f : ( Base ` g ) -1-1-onto-> ( Base ` h )
      /\ A. a e. ( Base ` g ) A. b e. ( Base ` g )
        ( ( f ` a ) ( dist ` h ) ( f ` b ) ) = ( a ( dist ` g ) b ) ) } ) $.
  $}

  ${
    $d .- f g h $.  $d B a b f g h $.  $d D f g h $.  $d F a b f $.
    $d G a b f g h $.  $d H a b f g h $.  $d P f g h $.
    isismt.b $e |- B = ( Base ` G ) $.
    isismt.p $e |- P = ( Base ` H ) $.
    isismt.d $e |- D = ( dist ` G ) $.
    isismt.m $e |- .- = ( dist ` H ) $.
    $( Property of being an isometry.  Compare with ~ isismty .  (Contributed
       by Thierry Arnoux, 13-Dec-2019.) $)
    isismt $p |- ( ( G e. V /\ H e. W ) -> ( F e. ( G Ismt H ) <->
      ( F : B -1-1-onto-> P /\ A. a e. B A. b e. B
        ( ( F ` a ) .- ( F ` b ) ) = ( a D b ) ) ) ) $=
      ( vf wcel cfv wceq wral vg vh wa cismt co wf1o cab cvv elex cbs cds fveq2
      cv eqtr4di f1oeq2d oveqd eqeq2d raleqbidv anbi12d abbidv f1oeq3d 2ralbidv
      eqeq1d df-ismt cmap ovex f1of fvexi elmap sylibr adantr abssi ssexi ovmpo
      wf syl2an eleq2d fex sylancl f1oeq1 fveq1 oveq12d elab3 bitrdi ) EHQZFIQZ
      UCZDEFUDUEZQDACPUMZUFZJUMZWIRZKUMZWIRZGUEZWKWMBUEZSZKATJATZUCZPUGZQACDUFZ
      WKDRZWMDRZGUEZWPSZKATJATZUCZWGWHWTDWEEUHQFUHQWHWTSWFEHUIFIUIUAUBEFUHUHUAU
      MZUJRZUBUMZUJRZWIUFZWLWNXJUKRZUEZWKWMXHUKRZUEZSZKXITZJXITZUCZPUGWTUDAXKWI
      UFZXNWPSZKATZJATZUCZPUGXHESZXTYEPYFXLYAXSYDYFXIAXKWIYFXIEUJRAXHEUJULLUNZU
      OYFXRYCJXIAYGYFXQYBKXIAYGYFXPWPXNYFXOBWKWMYFXOEUKRBXHEUKULNUNUPUQURURUSUT
      XJFSZYEWSPYHYAWJYDWRYHXKCAWIYHXKFUJRCXJFUJULMUNVAYHYBWQJKAAYHXNWOWPYHXMGW
      LWNYHXMFUKRGXJFUKULOUNUPVCVBUSUTPUAUBJKVDWTCAVEUEZCAVEVFWSPYIWJWIYIQZWRWJ
      ACWIVOYJACWIVGCAWICFUJMVHAEUJLVHZVIVJVKVLVMVNVPVQWSXGPDUHXADUHQZXFXAACDVO
      AUHQYLACDVGYKACUHDVRVSVKWIDSZWJXAWRXFACWIDVTYMWQXEJKAAYMWOXDWPYMWLXBWNXCG
      WKWIDWAWMWIDWAWBVCVBUSWCWD $.
  $}

  ${
    $d F a b $.  $d G a b $.  $d P a b $.
    ismot.p $e |- P = ( Base ` G ) $.
    ismot.m $e |- .- = ( dist ` G ) $.
    $( Property of being an isometry mapping to the same space.  In geometry,
       this is also called a motion.  (Contributed by Thierry Arnoux,
       15-Dec-2019.) $)
    ismot $p |- ( G e. V -> ( F e. ( G Ismt G ) <-> ( F : P -1-1-onto-> P
      /\ A. a e. P A. b e. P ( ( F ` a ) .- ( F ` b ) ) = ( a .- b ) ) ) ) $=
      ( wcel cismt co wf1o cv cfv wceq wral wa wb isismt anidms ) CEJBCCKLJAABM
      FNZBOGNZBODLUBUCDLPGAQFAQRSADABCCDEEFGHHIITUA $.

    $d G a b f g $.  $d H a b $.  $d a b ph $.
    motgrp.1 $e |- ( ph -> G e. V ) $.
    ${
      $d A a b $.  $d B a b $.  $d .- a b $.
      motcgr.a $e |- ( ph -> A e. P ) $.
      motcgr.b $e |- ( ph -> B e. P ) $.
      motcgr.f $e |- ( ph -> F e. ( G Ismt G ) ) $.
      $( Property of a motion: distances are preserved.  (Contributed by
         Thierry Arnoux, 15-Dec-2019.) $)
      motcgr $p |- ( ph -> ( ( F ` A ) .- ( F ` B ) ) = ( A .- B ) ) $=
        ( va vb wcel cfv co wceq cv wral wf1o cismt wa wb ismot syl mpbid fveq2
        simprd oveq1d oveq1 eqeq12d oveq2d oveq2 rspc2va syl21anc ) ABDQCDQOUAZ
        ERZPUAZERZGSZUSVAGSZTZPDUBODUBZBERZCERZGSZBCGSZTZLMADDEUCZVFAEFFUDSQZVL
        VFUEZNAFHQVMVNUFKDEFGHOPIJUGUHUIUKVEVKVGVBGSZBVAGSZTOPBCDDUSBTZVCVOVDVP
        VQUTVGVBGUSBEUJULUSBVAGUMUNVACTZVOVIVPVJVRVBVHVGGVACEUJUOVACBGUPUNUQUR
        $.
    $}

    $( The identity is a motion.  (Contributed by Thierry Arnoux,
       15-Dec-2019.) $)
    idmot $p |- ( ph -> ( _I |` P ) e. ( G Ismt G ) ) $=
      ( va vb wcel cid cres cv cfv co wceq wral wa fvresi a1i ad2antrl ad2antll
      wf1o cismt f1oi oveq12d ralrimivva ismot biimpar syl12anc ) ACEKZBBLBMZUD
      ZINZUMOZJNZUMOZDPUOUQDPQZJBRIBRZUMCCUEPKZHUNABUFUAAUSIJBBAUOBKZUQBKZSSUPU
      OURUQDVBUPUOQAVCBUOTUBVCURUQQAVBBUQTUCUGUHULVAUNUTSBUMCDEIJFGUIUJUK $.

    ${
      motco.2 $e |- ( ph -> F e. ( G Ismt G ) ) $.
      $( Motions are bijections.  (Contributed by Thierry Arnoux,
         15-Dec-2019.) $)
      motf1o $p |- ( ph -> F : P -1-1-onto-> P ) $=
        ( va vb wf1o cv cfv co wceq wral cismt wcel wa ismot syl mpbid simpld
        wb ) ABBCMZKNZCOLNZCOEPUHUIEPQLBRKBRZACDDSPTZUGUJUAZJADFTUKULUFIBCDEFKL
        GHUBUCUDUE $.

      ${
        motcl.a $e |- ( ph -> A e. P ) $.
        $( Closure of motions.  (Contributed by Thierry Arnoux,
           15-Dec-2019.) $)
        motcl $p |- ( ph -> ( F ` A ) e. P ) $=
          ( wf1o wf motf1o f1of syl ffvelrnd ) ACCBDACCDMCCDNACDEFGHIJKOCCDPQLR
          $.
      $}

      ${
        motco.3 $e |- ( ph -> H e. ( G Ismt G ) ) $.
        $( The composition of two motions is a motion.  (Contributed by Thierry
           Arnoux, 15-Dec-2019.) $)
        motco $p |- ( ph -> ( F o. H ) e. ( G Ismt G ) ) $=
          ( va vb co wcel wf1o cfv wceq adantr ccom cismt cv wral f1oco syl2anc
          motf1o wa f1of syl simprl fvco3 simprr oveq12d ffvelrnd motcgr 3eqtrd
          wf ralrimivva wb ismot mpbir2and ) ACEUAZDDUBOZPZBBVCQZMUCZVCRZNUCZVC
          RZFOZVGVIFOZSZNBUDMBUDZABBCQBBEQZVFABCDFGHIJKUGABEDFGHIJLUGZBBBCEUEUF
          AVMMNBBAVGBPZVIBPZUHZUHZVKVGERZCRZVIERZCRZFOWAWCFOVLVTVHWBVJWDFVTBBEU
          RZVQVHWBSAWEVSAVOWEVPBBEUIUJTZAVQVRUKZBBVGCEULUFVTWEVRVJWDSWFAVQVRUMZ
          BBVICEULUFUNVTWAWCBCDFGHIADGPZVSJTZVTBBVGEWFWGUOVTBBVIEWFWHUOACVDPVSK
          TUPVTVGVIBEDFGHIWJWGWHAEVDPVSLTUPUQUSAWIVEVFVNUHUTJBVCDFGMNHIVAUJVB
          $.
      $}

      $( The converse of a motion is a motion.  (Contributed by Thierry Arnoux,
         15-Dec-2019.) $)
      cnvmot $p |- ( ph -> `' F e. ( G Ismt G ) ) $=
        ( va vb co wcel wf1o cfv wceq syl wa adantr ccnv cismt cv motf1o f1ocnv
        wral wf simprl ffvelrnd simprr motcgr f1ocnvfv2 syl2an2r oveq12d eqtr3d
        f1of ralrimivva wb ismot mpbir2and ) ACUAZDDUBMZNZBBVAOZKUCZVAPZLUCZVAP
        ZEMZVEVGEMZQZLBUFKBUFZABBCOZVDABCDEFGHIJUDZBBCUERZAVKKLBBAVEBNZVGBNZSZS
        ZVFCPZVHCPZEMVIVJVSVFVHBCDEFGHADFNZVRITVSBBVEVAABBVAUGZVRAVDWCVOBBVAUPR
        TZAVPVQUHZUIVSBBVGVAWDAVPVQUJZUIACVBNVRJTUKVSVTVEWAVGEAVMVRVPVTVEQVNWEB
        BVECULUMAVMVRVQWAVGQVNWFBBVGCULUMUNUOUQAWBVCVDVLSURIBVADEFKLGHUSRUT $.
    $}

    motgrp.i $e |- I = { <. ( Base ` ndx ) , ( G Ismt G ) >. , <. ( +g ` ndx )
      , ( f e. ( G Ismt G ) , g e. ( G Ismt G ) |-> ( f o. g ) ) >. } $.
    ${
      $d f g a b $.
      motplusg.1 $e |- ( ph -> F e. ( G Ismt G ) ) $.
      motplusg.2 $e |- ( ph -> H e. ( G Ismt G ) ) $.
      $( The operation for motions is their composition.  (Contributed by
         Thierry Arnoux, 15-Dec-2019.) $)
      motplusg $p |- ( ph -> ( F ( +g ` I ) H ) = ( F o. H ) ) $=
        ( va vb wcel ccom cismt co cvv cplusg wceq coexg syl2anc cv coeq1 coeq2
        cfv cmpo ovex mpoex grpplusg ax-mp cbvmpov eqtr3i ovmpog syl3anc ) AEFF
        UAUBZSZGVASZEGTZUCSZEGHUDUKZUBVDUEOPAVBVCVEOPEGVAVAUFUGQREGVAVAQUHZRUHZ
        TZVDVFEVHTUCVGEVHUIVHGEUJCDVAVACUHZDUHZTZULZVFQRVAVAVIULVMUCSVMVFUECDVA
        VAVLFFUAUMZVNUNVAVMHUCNUOUPCDQRVAVAVLVIVGVKTVJVGVKUIVKVHVGUJUQURUSUT $.
    $}

    $d G f g h $.  $d I f g h $.  $d P f g h $.  $d f a b g h ph $.
    $( The motions of a geometry form a group with respect to function
       composition, called the Isometry group.  (Contributed by Thierry Arnoux,
       15-Dec-2019.) $)
    motgrp $p |- ( ph -> I e. Grp ) $=
      ( co cfv cv wcel wceq ccom motplusg eqtrd vh va vb cismt cplusg ccnv cres
      cid cvv cbs ovex cmpo grpbase mp1i eqidd w3a 3ad2ant1 simp2 simp3 eqeltrd
      motco wa coass 3adant3r3 oveq1d adantr simpr3 simpr2 oveq2d 3eqtr4a idmot
      simpr1 simpr wf1o wf wral ismot simprbda sylan f1of 3syl cnvmot f1ococnv1
      fcoi2 syl isgrpd ) ACDUAEEUDMZFUENZFCOZUFZUHBUGZWGUIPWGFUJNQAEEUDUKWGCDWG
      WGWIDOZRZULFUILUMUNAWHUOAWIWGPZWLWGPZUPZWIWLWHMZWMWGWPBCDWIEWLFGHIJAWNEHP
      ZWOKUQZLAWNWOURZAWNWOUSZSZWPBWIEWLGHIJWSWTXAVAZUTAWNWOUAOZWGPZUPZVBZWMXDR
      ZWIWLXDRZRZWQXDWHMZWIWLXDWHMZWHMZWIWLXDVCXGXKWMXDWHMXHXGWQWMXDWHAWNWOWQWM
      QXEXBVDVEXGBCDWMEXDFGHIJAWRXFKVFZLAWNWOWMWGPXEXCVDAWNWOXEVGZSTXGXMWIXIWHM
      XJXGXLXIWIWHXGBCDWLEXDFGHIJXNLAWNWOXEVHZXOSVIXGBCDWIEXIFGHIJXNLAWNWOXEVLX
      GBWLEXDGHIJXNXPXOVASTVJABEGHIJKVKZAWNVBZWKWIWHMWKWIRZWIXRBCDWKEWIFGHIJAWR
      WNKVFZLAWKWGPWNXQVFAWNVMZSXRBBWIVNZBBWIVOXSWIQAWRWNYBKWRWNYBUBOZWINUCOZWI
      NGMYCYDGMQUCBVPUBBVPBWIEGHUBUCIJVQVRVSZBBWIVTBBWIWDWATXRBWIEGHIJXTYAWBZXR
      WJWIWHMWJWIRZWKXRBCDWJEWIFGHIJXTLYFYASXRYBYGWKQYEBBWIWCWETWF $.

    ${
      $d .~ n $.  $d F a b n $.  $d P a b n $.  $d T a b n $.  $d n ph $.
      motcgrg.r $e |- .~ = ( cgrG ` G ) $.
      motcgrg.t $e |- ( ph -> T e. Word P ) $.
      motcgrg.f $e |- ( ph -> F e. ( G Ismt G ) ) $.
      $( Property of a motion: distances are preserved.  (Contributed by
         Thierry Arnoux, 15-Dec-2019.) $)
      motcgrg $p |- ( ph -> ( F o. T ) .~ T ) $=
        ( wcel cfv vn va vb cc0 cv cfzo co wf ccom wbr cn0 wceq cdm wral adantr
        wa simpr simprl wf1o motf1o f1of syl ad2antrr fco syl2anc eleqtrd fvco3
        fdmd simprr oveq12d ffvelrnd cismt ad3antrrr motcgr eqtrd ralrimivva cr
        wss fzo0ssnn0 nn0ssre sstri a1i iscgrgd mpbird cword wrex iswrd r19.29a
        sylib ) AUDUAUEZUFUGZBDUHZGDUIZDCUJZUAUKAWJUKSZUPZWLUPZWNUBUEZWMTZUCUEZ
        WMTZJUGZWRDTZWTDTZJUGZULZUCWMUMZUNUBXGUNWQXFUBUCXGXGWQWRXGSZWTXGSZUPZUP
        ZXBXCGTZXDGTZJUGXEXKWSXLXAXMJXKWLWRWKSWSXLULWQWLXJWPWLUQZUOZXKWRXGWKWQX
        HXIURXKWKBWMWQWKBWMUHZXJWQBBGUHZWLXPAXQWOWLABBGUSXQABGHJKLMNRUTBBGVAVBV
        CXNWKBBGDVDVEZUOVHZVFZWKBWRGDVGVEXKWLWTWKSXAXMULXOXKWTXGWKWQXHXIVIXSVFZ
        WKBWTGDVGVEVJXKXCXDBGHJKLMWQHKSZXJAYBWOWLNVCZUOXKWKBWRDXOXTVKXKWKBWTDXO
        YAVKAGHHVLUGSWOWLXJRVMVNVOVPWQWMDWKBCUBUCHJKLMPYCWKVQVRWQWKUKVQWJVSVTWA
        WBXRXNWCWDADBWESWLUAUKWFQBDUAWGWIWH $.
    $}
  $}

  ${
    motcgr3.p $e |- P = ( Base ` G ) $.
    motcgr3.m $e |- .- = ( dist ` G ) $.
    motcgr3.r $e |- .~ = ( cgrG ` G ) $.
    motcgr3.g $e |- ( ph -> G e. TarskiG ) $.
    motcgr3.a $e |- ( ph -> A e. P ) $.
    motcgr3.b $e |- ( ph -> B e. P ) $.
    motcgr3.c $e |- ( ph -> C e. P ) $.
    motcgr3.d $e |- ( ph -> D = ( H ` A ) ) $.
    motcgr3.e $e |- ( ph -> E = ( H ` B ) ) $.
    motcgr3.f $e |- ( ph -> F = ( H ` C ) ) $.
    motcgr3.h $e |- ( ph -> H e. ( G Ismt G ) ) $.
    $( Property of a motion: distances are preserved, special case of
       triangles.  (Contributed by Thierry Arnoux, 15-Dec-2019.) $)
    motcgr3 $p |- ( ph -> <" A B C "> .~ <" D E F "> ) $=
      ( cfv cstrkg motcl eqeltrd co oveq12d motcgr eqtr2d trgcgr ) ABCDEFGHIJLM
      NOPQRSAEBKUDZFTABFKJLUEMNPUCQUFUGAHCKUDZFUAACFKJLUEMNPUCRUFUGAIDKUDZFUBAD
      FKJLUEMNPUCSUFUGAEHLUHUMUNLUHBCLUHAEUMHUNLTUAUIABCFKJLUEMNPQRUCUJUKAHILUH
      UNUOLUHCDLUHAHUNIUOLUAUBUIACDFKJLUEMNPRSUCUJUKAIELUHUOUMLUHDBLUHAIUOEUMLU
      BTUIADBFKJLUEMNPSQUCUJUKUL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Colinearity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d f i p x y z G $.  $d f i p x y z I $.  $d f i p x y z P $.
    tglng.p $e |- P = ( Base ` G ) $.
    tglng.l $e |- L = ( LineG ` G ) $.
    tglng.i $e |- I = ( Itv ` G ) $.
    $( Lines of a Tarski Geometry.  This relates to both Definition 4.10 of
       [Schwabhauser] p. 36. and Definition 6.14 of [Schwabhauser] p. 45.
       (Contributed by Thierry Arnoux, 28-Mar-2019.) $)
    tglng $p |- ( G e. TarskiG -> L = ( x e. P , y e. ( P \ { x } ) |->
     { z e. P | ( z e. ( x I y ) \/ x e. ( z I y ) \/ y e. ( x I z ) ) } ) ) $=
      ( vf vp vi cstrkg wcel cv cfv co wceq cin clng csn cdif w3o crab cmpo cbs
      citv wsbc cstrkgc cstrkgb cstrkgcb df-trkg inss2 sstri eqsstri sseli eqid
      cab cvv cds istrkgl simprbi syl5eq syl ) ENOEKPZUAQABLPZVGAPZUBZUCCPZVHBP
      ZMPZROVHVJVKVLROVKVHVJVLROUDCVGUEUFSMVFUHQUILVFUGQUIKUSZOZGABDDVIUCVJVHVK
      FROVHVJVKFROVKVHVJFROUDCDUEUFZSNVMENUJUKTZULVMTZTZVMABCKMLUMVRVQVMVPVQUNU
      LVMUNUOUPUQVNGEUAQZVOIVNEUTOVSVOSABCDKMEFEVAQZLHVTURJVBVCVDVE $.

    $( Lines as functions.  (Contributed by Thierry Arnoux, 25-May-2019.) $)
    tglnfn $p |- ( G e. TarskiG -> L Fn ( ( P X. P ) \ _I ) ) $=
      ( vx vy vz cstrkg wcel cxp cdif wfn cv co cvv wral mpbi cid csn crab cmpo
      w3o ciun cbs fvexi rabex rgen2w eqid fmpox ffn ax-mp xpdifid fneq2i tglng
      wf fneq1d mpbiri ) BKLZDAAMUANZOHIAAHPZUBZNZJPZVCIPZCQLVCVFVGCQLVGVCVFCQL
      UEZJAUCZUDZVBOZVJHAVDVEMUFZOZVKVLRVJURZVMVIRLZIVESHASVNVOHIAVEVHJAABUGEUH
      UIUJHIAVEVIRVJVJUKULTVLRVJUMUNVLVBVJHAAUOUPTVAVBDVJHIJABCDEFGUQUSUT $.

    $d L p $.
    $( Lines are sets of points.  (Contributed by Thierry Arnoux,
       25-May-2019.) $)
    tglnunirn $p |- ( G e. TarskiG -> U. ran L C_ P ) $=
      ( vp vx vy vz cstrkg wcel cv wss crn wral co wrex rexlimivw cuni csn cdif
      w3o crab cmpo tglng rneqd eleq2d biimpa wceq eqid cbs fvexi rabex elrnmpo
      wa ssrab2 sseq1 mpbiri sylbi syl ralrimiva unissb sylibr ) BLMZHNZAOZHDPZ
      QVIUAAOVFVHHVIVFVGVIMZUQVGIJAAINZUBUCZKNZVKJNZCRMVKVMVNCRMVNVKVMCRMUDZKAU
      EZUFZPZMZVHVFVJVSVFVIVRVGVFDVQIJKABCDEFGUGUHUIUJVSVGVPUKZJVLSZIASVHIJAVLV
      PVGVQVQULVOKAABUMEUNUOUPWAVHIAVTVHJVLVTVHVPAOVOKAURVGVPAUSUTTTVAVBVCHVIAV
      DVE $.

    ${
      tglnpt.g $e |- ( ph -> G e. TarskiG ) $.
      tglnpt.a $e |- ( ph -> A e. ran L ) $.
      tglnpt.x $e |- ( ph -> X e. A ) $.
      $( Lines are sets of points.  (Contributed by Thierry Arnoux,
         17-Oct-2019.) $)
      tglnpt $p |- ( ph -> X e. P ) $=
        ( crn cuni cstrkg wcel wss syl sseldd tglnunirn elssuni ) AFNZOZCGADPQU
        DCRKCDEFHIJUASABUDGABUCQBUDRLBUCUBSMTT $.
    $}
  $}

  ${
    $d x y z G $.  $d x y z I $.  $d x y z P $.  $d x y z X $.  $d x y z Y $.
    $d x y z ph $.
    tglngval.p $e |- P = ( Base ` G ) $.
    tglngval.l $e |- L = ( LineG ` G ) $.
    tglngval.i $e |- I = ( Itv ` G ) $.
    tglngval.g $e |- ( ph -> G e. TarskiG ) $.
    tglngval.x $e |- ( ph -> X e. P ) $.
    tglngval.y $e |- ( ph -> Y e. P ) $.
    ${
      tglngne.1 $e |- ( ph -> Z e. ( X L Y ) ) $.
      $( It takes two different points to form a line.  (Contributed by Thierry
         Arnoux, 6-Aug-2019.) $)
      tglngne $p |- ( ph -> X =/= Y ) $=
        ( cop cid wcel syl wceq wn wne cxp cdm cfv df-ov eleqtrdi elfvdm cstrkg
        cdif co wfn tglnfn fndm 3syl eleqtrd eldifbd wbr df-br wb ideqg bitr3id
        necon3bbid mpbid ) AFGPZQRZUAFGUBAVEBBUCZQAVEEUDZVGQUJZAHVEEUEZRVEVHRAH
        FGEUKVJOFGEUFUGHVEEUHSACUIREVIULVHVITLBCDEIJKUMVIEUNUOUPUQAVFFGVFFGQURZ
        AFGTZFGQUSAGBRVKVLUTNFGBVASVBVCVD $.
    $}

    ${
      tglngval.z $e |- ( ph -> X =/= Y ) $.
      $( The line going through points ` X ` and ` Y ` .  (Contributed by
         Thierry Arnoux, 28-Mar-2019.) $)
      tglngval $p |- ( ph -> ( X L Y ) = { z e. P |
        ( z e. ( X I Y ) \/ X e. ( z I Y ) \/ Y e. ( X I z ) ) } ) $=
        ( vx vy co wcel wceq cv csn cdif w3o crab cmpo cstrkg tglng syl cvv wne
        oveqd necomd eldifsn sylanbrc cbs fvexi rabex a1i wa oveq12 simpl simpr
        eleq2d oveq2d eleq12d oveq1d 3orbi123d rabbidv sneq difeq2d eqid ovmpox
        syl3anc eqtrd ) AGHFRGHPQCCPUAZUBZUCZBUAZVPQUAZERZSZVPVSVTERZSZVTVPVSER
        ZSZUDZBCUEZUFZRZVSGHERZSZGVSHERZSZHGVSERZSZUDZBCUEZAFWIGHADUGSFWITLPQBC
        DEFIJKUHUIULAGCSHCGUBZUCZSZWRUJSZWJWRTMAHCSHGUKXANAGHOUMHCGUNUOXBAWQBCC
        DUPIUQURUSPQGHCVRWHWRWIUJWTVPGTZVTHTZUTZWGWQBCXEWBWLWDWNWFWPXEWAWKVSVPG
        VTHEVAVDXEVPGWCWMXCXDVBZXEVTHVSEXCXDVCZVEVFXEVTHWEWOXGXEVPGVSEXFVGVFVHV
        IXCVQWSCVPGVJVKWIVLVMVNVO $.

      $( Lines are subset of the geometry base set.  That is, lines are sets of
         points.  (Contributed by Thierry Arnoux, 17-May-2019.) $)
      tglnssp $p |- ( ph -> ( X L Y ) C_ P ) $=
        ( vz co cv wcel w3o crab tglngval ssrab2 eqsstrdi ) AFGEPOQZFGDPRFUDGDP
        RGFUDDPRSZOBTBAOBCDEFGHIJKLMNUAUEOBUBUC $.

      $d z Z $.
      tgellng.z $e |- ( ph -> Z e. P ) $.
      $( Property of lying on the line going through points ` X ` and ` Y ` .
         Definition 4.10 of [Schwabhauser] p. 36.  We choose the notation
         ` Z e. ( X ( LineG `` G ) Y ) ` instead of "colinear" because
         ` LineG ` is a common structure slot for other axiomatizations of
         geometry.  (Contributed by Thierry Arnoux, 28-Mar-2019.) $)
      tgellng $p |- ( ph -> ( Z e. ( X L Y )
        <-> ( Z e. ( X I Y ) \/ X e. ( Z I Y ) \/ Y e. ( X I Z ) ) ) ) $=
        ( vz co wcel eleq2d w3o cv crab wa tglngval eleq1 oveq1 oveq2 3orbi123d
        wceq elrab bitrdi mpbirand ) AHFGERZSZHBSZHFGDRZSZFHGDRZSZGFHDRZSZUAZPA
        UOHQUBZUQSZFVDGDRZSZGFVDDRZSZUAZQBUCZSUPVCUDAUNVKHAQBCDEFGIJKLMNOUETVJV
        CQHBVDHUJZVEURVGUTVIVBVDHUQUFVLVFUSFVDHGDUGTVLVHVAGVDHFDUHTUIUKULUM $.
    $}

    tgcolg.z $e |- ( ph -> Z e. P ) $.
    $( We choose the notation ` ( Z e. ( X L Y ) \/ X = Y ) ` instead of
       "colinear" in order to avoid defining an additional symbol for
       colinearity because ` LineG ` is a common structure slot for other
       axiomatizations of geometry.  (Contributed by Thierry Arnoux,
       25-May-2019.) $)
    tgcolg $p |- ( ph -> ( ( Z e. ( X L Y ) \/ X = Y )
      <-> ( Z e. ( X I Y ) \/ X e. ( Z I Y ) \/ Y e. ( X I Z ) ) ) ) $=
      ( co wcel wo wb adantr wceq w3o wa animorr cds cfv eqid tgbtwntriv2 simpr
      cstrkg oveq2d eleqtrd 3mix2d wne wn neneqd biorf syl orcom bitrdi tgellng
      2thd bitr3d pm2.61dane ) AHFGEPQZFGUAZRZHFGDPQZFHGDPZQZGFHDPQZUBZSFGAVFUC
      ZVGVLAVFVEUDVMVJVHVKVMFHFDPVIVMHFBCDCUEUFZIVNUGKACUJQZVFLTAHBQZVFOTAFBQZV
      FMTUHVMFGHDAVFUIUKULUMVBAFGUNZUCZVEVGVLVSVEVFVERZVGVSVFUOVEVTSVSFGAVRUIZU
      PVFVEUQURVFVEUSUTVSBCDEFGHIJKAVOVRLTAVQVRMTAGBQVRNTWAAVPVROTVAVCVD $.

    ${
      btwncolg1.z $e |- ( ph -> Z e. ( X I Y ) ) $.
      $( Betweenness implies colinearity.  (Contributed by Thierry Arnoux,
         28-Mar-2019.) $)
      btwncolg1 $p |- ( ph -> ( Z e. ( X L Y ) \/ X = Y ) ) $=
        ( co wcel wceq wo w3o 3mix1d tgcolg mpbird ) AHFGEQRFGSTHFGDQRZFHGDQRZG
        FHDQRZUAAUEUFUGPUBABCDEFGHIJKLMNOUCUD $.
    $}

    ${
      btwncolg2.z $e |- ( ph -> X e. ( Z I Y ) ) $.
      $( Betweenness implies colinearity.  (Contributed by Thierry Arnoux,
         28-Mar-2019.) $)
      btwncolg2 $p |- ( ph -> ( Z e. ( X L Y ) \/ X = Y ) ) $=
        ( co wcel wceq wo w3o 3mix2d tgcolg mpbird ) AHFGEQRFGSTHFGDQRZFHGDQRZG
        FHDQRZUAAUFUEUGPUBABCDEFGHIJKLMNOUCUD $.
    $}

    ${
      btwncolg3.z $e |- ( ph -> Y e. ( X I Z ) ) $.
      $( Betweenness implies colinearity.  (Contributed by Thierry Arnoux,
         28-Mar-2019.) $)
      btwncolg3 $p |- ( ph -> ( Z e. ( X L Y ) \/ X = Y ) ) $=
        ( co wcel wceq wo w3o 3mix3d tgcolg mpbird ) AHFGEQRFGSTHFGDQRZFHGDQRZG
        FHDQRZUAAUGUEUFPUBABCDEFGHIJKLMNOUCUD $.
    $}

    ${
      colrot $e |- ( ph -> ( Z e. ( X L Y ) \/ X = Y ) ) $.
      $( Swapping the points defining a line keeps it unchanged.  Part of
         Theorem 4.11 of [Schwabhauser] p. 34.  (Contributed by Thierry Arnoux,
         3-Apr-2019.) $)
      colcom $p |- ( ph -> ( Z e. ( Y L X ) \/ Y = X ) ) $=
        ( co wcel w3o tgbtwncomb wceq wo 3orcomb cds cfv eqid 3orbi123d 3bitr4d
        syl5bb tgcolg mpbid ) AHFGEQRFGUAUBZHGFEQRGFUAUBZPAHFGDQRZFHGDQRZGFHDQR
        ZSZHGFDQRZGHFDQRZFGHDQRZSZULUMUQUNUPUOSAVAUNUOUPUCAUNURUPUSUOUTAFHGBCDC
        UDUEZIVBUFZKLMONTAFGHBCDVBIVCKLMNOTAHFGBCDVBIVCKLOMNTUGUIABCDEFGHIJKLMN
        OUJABCDEGFHIJKLNMOUJUHUK $.

      $( Rotating the points defining a line.  Part of Theorem 4.11 of
         [Schwabhauser] p. 34.  (Contributed by Thierry Arnoux, 3-Apr-2019.) $)
      colrot1 $p |- ( ph -> ( X e. ( Y L Z ) \/ Y = Z ) ) $=
        ( co wcel wceq w3o wo 3orrot cds eqid tgbtwncomb biidd 3orbi123d syl5bb
        cfv tgcolg 3bitr4d mpbid ) AHFGEQRFGSUAZFGHEQRGHSUAZPAHFGDQRZFHGDQRZGFH
        DQRZTZFGHDQRZUQHGFDQRZTZUMUNURUPUQUOTAVAUOUPUQUBAUPUSUQUQUOUTAHFGBCDCUC
        UIZIVBUDZKLOMNUEAUQUFAFHGBCDVBIVCKLMONUEUGUHABCDEFGHIJKLMNOUJABCDEGHFIJ
        KLNOMUJUKUL $.

      $( Rotating the points defining a line.  Part of Theorem 4.11 of
         [Schwabhauser] p. 34.  (Contributed by Thierry Arnoux, 3-Apr-2019.) $)
      colrot2 $p |- ( ph -> ( Y e. ( Z L X ) \/ Z = X ) ) $=
        ( colrot1 ) ABCDEGHFIJKLNOMABCDEFGHIJKLMNOPQQ $.
    $}

    ${
      ncolrot $e |- ( ph -> -. ( Z e. ( X L Y ) \/ X = Y ) ) $.
      $( Swapping non-colinear points.  (Contributed by Thierry Arnoux,
         19-Oct-2019.) $)
      ncolcom $p |- ( ph -> -. ( Z e. ( Y L X ) \/ Y = X ) ) $=
        ( co wcel wceq adantr wo wa cstrkg simpr colcom mtand ) AHGFEQRGFSUAZHF
        GEQRFGSUAPAUGUBBCDEGFHIJKACUCRUGLTAGBRUGNTAFBRUGMTAHBRUGOTAUGUDUEUF $.

      $( Rotating non-colinear points.  (Contributed by Thierry Arnoux,
         19-Oct-2019.) $)
      ncolrot1 $p |- ( ph -> -. ( X e. ( Y L Z ) \/ Y = Z ) ) $=
        ( co wcel wceq adantr wo wa cstrkg simpr colrot2 mtand ) AFGHEQRGHSUAZH
        FGEQRFGSUAPAUGUBBCDEGHFIJKACUCRUGLTAGBRUGNTAHBRUGOTAFBRUGMTAUGUDUEUF $.

      $( Rotating non-colinear points.  (Contributed by Thierry Arnoux,
         19-Oct-2019.) $)
      ncolrot2 $p |- ( ph -> -. ( Y e. ( Z L X ) \/ Z = X ) ) $=
        ( co wcel wceq adantr wo wa cstrkg simpr colrot1 mtand ) AGHFEQRHFSUAZH
        FGEQRFGSUAPAUGUBBCDEHFGIJKACUCRUGLTAHBRUGOTAFBRUGMTAGBRUGNTAUGUDUEUF $.
    $}

    ${
      tgdim01ln.1 $e |- ( ph -> -. G TarskiGDim>= 2 ) $.
      $( In geometries of dimension less than two, then any three points are
         colinear.  (Contributed by Thierry Arnoux, 27-Aug-2019.) $)
      tgdim01ln $p |- ( ph -> ( Z e. ( X L Y ) \/ X = Y ) ) $=
        ( co wcel wa adantr wceq wo simpr btwncolg1 btwncolg2 btwncolg3 tgdim01
        cstrkg mpjao3dan ) AHFGDQRZHFGEQRFGUAUBFHGDQRZGFHDQRZAUJSBCDEFGHIJKACUH
        RZUJLTAFBRZUJMTAGBRZUJNTAHBRZUJOTAUJUCUDAUKSBCDEFGHIJKAUMUKLTAUNUKMTAUO
        UKNTAUPUKOTAUKUCUEAULSBCDEFGHIJKAUMULLTAUNULMTAUOULNTAUPULOTAULUCUFABCD
        UHFGHIKLPMNOUGUI $.
    $}

    ${
      ncoltgdim2.1 $e |- ( ph -> -. ( Z e. ( X L Y ) \/ X = Y ) ) $.
      $( If there are three non-colinear points, then the dimension is at least
         two.  Converse of ~ tglowdim2l .  (Contributed by Thierry Arnoux,
         23-Feb-2020.) $)
      ncoltgdim2 $p |- ( ph -> G TarskiGDim>= 2 ) $=
        ( c2 cstrkgld wcel adantr wn co wceq wo wa cstrkg simpr tgdim01ln mtand
        wbr notnotrd ) ACQRUJZAULUAZHFGEUBSFGUCUDPAUMUEBCDEFGHIJKACUFSUMLTAFBSU
        MMTAGBSUMNTAHBSUMOTAUMUGUHUIUK $.
    $}

    lnxfr.r $e |- .~ = ( cgrG ` G ) $.
    lnxfr.a $e |- ( ph -> A e. P ) $.
    lnxfr.b $e |- ( ph -> B e. P ) $.
    ${
      lnxfr.c $e |- ( ph -> C e. P ) $.
      lnxfr.1 $e |- ( ph -> ( Y e. ( X L Z ) \/ X = Z ) ) $.
      lnxfr.2 $e |- ( ph -> <" X Y Z "> .~ <" A B C "> ) $.
      $( Transfer law for colinearity.  Theorem 4.13 of [Schwabhauser] p. 37.
         (Contributed by Thierry Arnoux, 27-Apr-2019.) $)
      lnxfr $p |- ( ph -> ( B e. ( A L C ) \/ A = C ) ) $=
        ( co wcel wceq wo wa cstrkg adantr cds cfv eqid cs3 wbr simpr tgbtwnxfr
        btwncolg1 cgr3swap12 btwncolg2 cgr3swap23 btwncolg3 w3o mpbid mpjao3dan
        tgcolg ) AKJLHUFUGZCBDIUFUGBDUHUIJKLHUFUGZLJKHUFUGZAVIUJZEGHIBDCMNOAGUK
        UGZVIPULZABEUGZVIUAULZADEUGZVIUCULZACEUGZVIUBULZVLJKLBEFCDGHGUMUNZMWAUO
        ZOTVNAJEUGZVIQULAKEUGZVIRULALEUGZVISULVPVTVRAJKLUPBCDUPFUQZVIUEULAVIURU
        SUTAVJUJZEGHIBDCMNOAVMVJPULZAVOVJUAULZAVQVJUCULZAVSVJUBULZWGKJLCEFBDGHW
        AMWBOTWHAWDVJRULZAWCVJQULZAWEVJSULZWKWIWJWGJKLBEFCDGHWAMWBOTWHWMWLWNWIW
        KWJAWFVJUEULVAAVJURUSVBAVKUJZEGHIBDCMNOAVMVKPULZAVOVKUAULZAVQVKUCULZAVS
        VKUBULZWOJLKBEFDCGHWAMWBOTWPAWCVKQULZAWEVKSULZAWDVKRULZWQWRWSWOJKLBEFCD
        GHWAMWBOTWPWTXBXAWQWSWRAWFVKUEULVCAVKURUSVDAKJLIUFUGJLUHUIVIVJVKVEUDAEG
        HIJLKMNOPQSRVHVFVG $.
    $}

    lnxfr.d $e |- .- = ( dist ` G ) $.
    ${
      $d c .- $.  $d c .~ $.  $d c A $.  $d c B $.  $d c I $.  $d c P $.
      $d c X $.  $d c Y $.  $d c Z $.  $d c ph $.
      lnext.1 $e |- ( ph -> ( Y e. ( X L Z ) \/ X = Z ) ) $.
      lnext.2 $e |- ( ph -> ( X .- Y ) = ( A .- B ) ) $.
      $( Extend a line with a missing point.  Theorem 4.14 of [Schwabhauser]
         p. 37.  (Contributed by Thierry Arnoux, 27-Apr-2019.) $)
      lnext $p |- ( ph -> E. c e. P <" X Y Z "> .~ <" A B c "> ) $=
        ( co wcel cs3 cv wrex wa wceq axtgsegcon adantr cstrkg ad3antrrr simplr
        wbr simprr eqcomd simpllr simprl tgcgrextend tgcgrcomlr trgcgr reximdva
        ex mpd simpr tgcgrxfr cgr3swap23 wo w3o tgcolg mpbid mpjao3dan ) AKJLGU
        GUHZJKLUIBCMUJZUIEUSZMDUKZJKLGUGUHZLJKGUGUHZAVRULZCBVSGUGUHZCVSIUGZKLIU
        GZUMZULZMDUKZWAAWJVRAMKLDFGIBCNUDPQUBUCSTUNUOWDWIVTMDWDVSDUHZULZWIVTWLW
        IULZJKLBDECVSFINUDUAAFUPUHZVRWKWIQUQZAJDUHZVRWKWIRUQZAKDUHZVRWKWISUQZAL
        DUHZVRWKWITUQZABDUHZVRWKWIUBUQZACDUHZVRWKWIUCUQZWDWKWIURZAJKIUGBCIUGUMZ
        VRWKWIUFUQZWMWFWGWLWEWHUTVAZWMJLBVSDFGINUDPWOWQXAXCXFWMJKLBDCVSFGINUDPW
        OWQWSXAXCXEXFAVRWKWIVBWLWEWHVCXHXIVDVEVFVHVGVIAWBULZBCVSGUGUHZBVSIUGZJL
        IUGZUMZULZMDUKZWAAXPWBAMJLDFGICBNUDPQUCUBRTUNUOXJXOVTMDXJWKULZXOVTXQXOU
        LZJKLBDECVSFINUDUAAWNWBWKXOQUQZAWPWBWKXORUQZAWRWBWKXOSUQZAWTWBWKXOTUQZA
        XBWBWKXOUBUQZAXDWBWKXOUCUQZXJWKXOURZAXGWBWKXOUFUQZXRKJLCDBVSFGINUDPXSYA
        XTYBYDYCYEAWBWKXOVBXQXKXNVCXRJKBCDFGINUDPXSXTYAYCYDYFVEXRXLXMXQXKXNUTVA
        ZVDXRJLBVSDFGINUDPXSXTYBYCYEYGVEVFVHVGVIAWCULZVSBCGUGUHZJLKUIBVSCUIEUSZ
        ULZMDUKWAYHJLKBDEMCFGINUDPUAAWNWCQUOAWPWCRUOAWTWCTUOAWRWCSUOAXBWCUBUOAX
        DWCUCUOAWCVJAXGWCUFUOVKYHYKVTMDYHWKULZYKVTYLYKULJLKBDEVSCFGINUDPUAAWNWC
        WKYKQUQAWPWCWKYKRUQAWTWCWKYKTUQAWRWCWKYKSUQAXBWCWKYKUBUQYHWKYKURAXDWCWK
        YKUCUQYLYIYJUTVLVHVGVIAKJLHUGUHJLUMVMVRWBWCVNUEADFGHJLKNOPQRTSVOVPVQ $.
    $}

    ${
      tgfscgr.t $e |- ( ph -> T e. P ) $.
      tgfscgr.c $e |- ( ph -> C e. P ) $.
      tgfscgr.d $e |- ( ph -> D e. P ) $.
      tgfscgr.1 $e |- ( ph -> ( Y e. ( X L Z ) \/ X = Z ) ) $.
      tgfscgr.2 $e |- ( ph -> <" X Y Z "> .~ <" A B C "> ) $.
      tgfscgr.3 $e |- ( ph -> ( X .- T ) = ( A .- D ) ) $.
      tgfscgr.4 $e |- ( ph -> ( Y .- T ) = ( B .- D ) ) $.
      tgfscgr.5 $e |- ( ph -> X =/= Y ) $.
      $( Congruence law for the general five segment configuration.  Theorem
         4.16 of [Schwabhauser] p. 37.  (Contributed by Thierry Arnoux,
         27-Apr-2019.) $)
      tgfscgr $p |- ( ph -> ( Z .- T ) = ( C .- D ) ) $=
        ( co wcel wceq wa cstrkg adantr wne simpr tgbtwnxfr cgr3simp1 cgr3simp2
        cs3 wbr axtg5seg necomd cgr3swap12 cgr3swap23 tgifscgr w3o tgcolg mpbid
        wo mpjao3dan ) ANMOJUOUPZOHLUODELUOUQMNOJUOUPZOMNJUOUPZAVRURZBCDFHIJLEM
        NOPUFRAIUSUPZVRSUTZAMFUPZVRTUTZANFUPZVRUAUTZAOFUPZVRUBUTZABFUPZVRUDUTZA
        CFUPZVRUEUTZADFUPZVRUHUTZAHFUPZVRUGUTAEFUPZVRUIUTAMNVAVRUNUTAVRVBZWAMNO
        BFGCDIJLPUFRUCWCWEWGWIWKWMWOAMNOVFBCDVFGVGZVRUKUTZWRVCWAMNOBFGCDIJLPUFR
        UCWCWEWGWIWKWMWOWTVDWAMNOBFGCDIJLPUFRUCWCWEWGWIWKWMWOWTVEAMHLUOBELUOUQZ
        VRULUTANHLUOCELUOUQZVRUMUTVHAVSURZCBDFHIJLENMOPUFRAWBVSSUTZAWFVSUAUTZAW
        DVSTUTZAWHVSUBUTZAWLVSUEUTZAWJVSUDUTZAWNVSUHUTZAWPVSUGUTAWQVSUIUTANMVAV
        SAMNUNVIUTAVSVBZXCNMOCFGBDIJLPUFRUCXDXEXFXGXHXIXJXCMNOBFGCDIJLPUFRUCXDX
        FXEXGXIXHXJAWSVSUKUTVJZXKVCXCNMOCFGBDIJLPUFRUCXDXEXFXGXHXIXJXLVDXCNMOCF
        GBDIJLPUFRUCXDXEXFXGXHXIXJXLVEAXBVSUMUTAXAVSULUTVHAVTURZMONHFBDIEJCLPUF
        RAWBVTSUTZAWDVTTUTZAWHVTUBUTZAWFVTUAUTZAWPVTUGUTAWJVTUDUTZAWNVTUHUTZAWL
        VTUEUTZAWQVTUIUTAVTVBZXMMONBFGDCIJLPUFRUCXNXOXPXQXRXSXTXMMNOBFGCDIJLPUF
        RUCXNXOXQXPXRXTXSAWSVTUKUTZVKZYAVCXMMNOBFGCDIJLPUFRUCXNXOXQXPXRXTXSYBVD
        XMMONBFGDCIJLPUFRUCXNXOXPXQXRXSXTYCVEAXAVTULUTAXBVTUMUTVLANMOKUOUPMOUQV
        PVRVSVTVMUJAFIJKMONPQRSTUBUAVNVOVQ $.
    $}

    ${
      lncgr.1 $e |- ( ph -> X =/= Y ) $.
      lncgr.2 $e |- ( ph -> ( Y e. ( X L Z ) \/ X = Z ) ) $.
      lncgr.3 $e |- ( ph -> ( X .- A ) = ( X .- B ) ) $.
      lncgr.4 $e |- ( ph -> ( Y .- A ) = ( Y .- B ) ) $.
      $( Congruence rule for lines.  Theorem 4.17 of [Schwabhauser] p. 37.
         (Contributed by Thierry Arnoux, 28-Apr-2019.) $)
      lncgr $p |- ( ph -> ( Z .- A ) = ( Z .- B ) ) $=
        ( cgr3id tgfscgr ) AJKLCDEBFGHIJKLMNOPQRSTQRUCUASUBUEAJKLDEFGIMUCOTPQRS
        UHUFUGUDUI $.
    $}

    ${
      lnid.1 $e |- ( ph -> X =/= Y ) $.
      lnid.2 $e |- ( ph -> ( Y e. ( X L Z ) \/ X = Z ) ) $.
      lnid.3 $e |- ( ph -> ( X .- Z ) = ( X .- A ) ) $.
      lnid.4 $e |- ( ph -> ( Y .- Z ) = ( Y .- A ) ) $.
      $( Identity law for points on lines.  Theorem 4.18 of [Schwabhauser]
         p. 38.  (Contributed by Thierry Arnoux, 28-Apr-2019.) $)
      lnid $p |- ( ph -> Z = A ) $=
        ( co lncgr eqcomd axtgcgrid ) ADFGILBLMUCOPSUASALLIUHLBIUHALBDEFGHIJKLM
        NOPQRSTSUAUCUDUEUFUGUIUJUK $.
    $}

    ${
      tgidinside.1 $e |- ( ph -> Z e. ( X I Y ) ) $.
      tgidinside.2 $e |- ( ph -> ( X .- Z ) = ( X .- A ) ) $.
      tgidinside.3 $e |- ( ph -> ( Y .- Z ) = ( Y .- A ) ) $.
      $( Law for finding a point inside a segment.  Theorem 4.19 of
         [Schwabhauser] p. 38.  (Contributed by Thierry Arnoux,
         28-Apr-2019.) $)
      tgidinside $p |- ( ph -> Z = A ) $=
        ( wceq wa cstrkg wcel adantr co simpr oveq2d eleqtrrd axtgbtwnid eqtr3d
        tgcgreq wne wo btwncolg3 lnid pm2.61dane ) ALBUGJKAJKUGZUHZJLBVEDFGIJLM
        UCOAFUIUJZVDPUKZAJDUJZVDQUKZALDUJZVDSUKZVELJKGULZJJGULALVLUJVDUDUKVEJKJ
        GAVDUMUNUOUPZVEJLJBDFGIMUCOVGVIVKVIABDUJZVDUAUKAJLIULJBIULUGZVDUEUKVMUR
        UQAJKUSZUHBCDEFGHIJKLMNOAVFVPPUKAVHVPQUKAKDUJVPRUKAVJVPSUKTAVNVPUAUKACD
        UJVPUBUKUCAVPUMAKJLHULUJJLUGUTVPADFGHJLKMNOPQSRUDVAUKAVOVPUEUKAKLIULKBI
        ULUGVPUFUKVBVC $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Connectivity of betweenness
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    tgbtwnconn1.p $e |- P = ( Base ` G ) $.
    tgbtwnconn1.i $e |- I = ( Itv ` G ) $.
    tgbtwnconn1.g $e |- ( ph -> G e. TarskiG ) $.
    tgbtwnconn1.a $e |- ( ph -> A e. P ) $.
    tgbtwnconn1.b $e |- ( ph -> B e. P ) $.
    tgbtwnconn1.c $e |- ( ph -> C e. P ) $.
    tgbtwnconn1.d $e |- ( ph -> D e. P ) $.
    tgbtwnconn1.1 $e |- ( ph -> A =/= B ) $.
    tgbtwnconn1.2 $e |- ( ph -> B e. ( A I C ) ) $.
    tgbtwnconn1.3 $e |- ( ph -> B e. ( A I D ) ) $.

    ${
      tgbtwnconn1.m $e |- .- = ( dist ` G ) $.
      tgbtwnconn1.e $e |- ( ph -> E e. P ) $.
      tgbtwnconn1.f $e |- ( ph -> F e. P ) $.
      tgbtwnconn1.h $e |- ( ph -> H e. P ) $.
      tgbtwnconn1.j $e |- ( ph -> J e. P ) $.
      tgbtwnconn1.4 $e |- ( ph -> D e. ( A I E ) ) $.
      tgbtwnconn1.5 $e |- ( ph -> C e. ( A I F ) ) $.
      tgbtwnconn1.6 $e |- ( ph -> E e. ( A I H ) ) $.
      tgbtwnconn1.7 $e |- ( ph -> F e. ( A I J ) ) $.
      tgbtwnconn1.8 $e |- ( ph -> ( E .- D ) = ( C .- D ) ) $.
      tgbtwnconn1.9 $e |- ( ph -> ( C .- F ) = ( C .- D ) ) $.
      tgbtwnconn1.10 $e |- ( ph -> ( E .- H ) = ( B .- C ) ) $.
      tgbtwnconn1.11 $e |- ( ph -> ( F .- J ) = ( B .- D ) ) $.
      $( Lemma for ~ tgbtwnconn1 .  (Contributed by Thierry Arnoux,
         30-Apr-2019.) $)
      tgbtwnconn1lem1 $p |- ( ph -> H = J ) $=
        ( tgbtwnexch tgbtwnexch3 tgbtwncom axtgcgrrflx eqtr2d eqtr4d tgcgrcomlr
        co tgcgrextend tgcgrcomr tgsegconeq ) ACLCBFJLIKMNUDOPRUHRQUGUHUAABCGJF
        IKMNUDOPQRUEUGABCEGFIKMNUDOPQRTUEUCUIUQZUKUQABCHLFIKMNUDOPQRUFUHABCDHFI
        KMNUDOPQRSUFUBUJUQULUQACGJLFDCIKMNUDOPRUEUGUHSRABCGJFIKMNUDOPQRUEUGVHUK
        URACDLFIKMNUDOPRSUHABCDLFIKMNUDOPQRSUHUBABDHLFIKMNUDOPQSUFUHUJULUQURUSA
        CEGLFHDIKMNUDOPRTUEUHUFSABCEGFIKMNUDOPQRTUEUCUIURADHLFIKMNUDOPSUFUHABDH
        LFIKMNUDOPQSUFUHUJULURUSALHMVDHLMVDCEMVDAFIKMLHNUDOPUHUFUTUPVAAGEDHFIKM
        NUDOPUETSUFAGEMVDDEMVDDHMVDUMUNVBVCVEAGJCDFIKMNUDOPUEUGRSUOVFVEAFIKMCLN
        UDOPRUHUTVG $.

      $( Lemma for ~ tgbtwnconn1 .  (Contributed by Thierry Arnoux,
         30-Apr-2019.) $)
      tgbtwnconn1lem2 $p |- ( ph -> ( E .- F ) = ( C .- D ) ) $=
        ( co wceq wa axtgcgrrflx adantr cstrkg wcel simpr eqtrd tgbtwnconn1lem1
        oveq1d axtgcgrid oveq2d 3eqtrd wne tgbtwnexch3 eleqtrd tgbtwncom eqtr4d
        3eqtr3d eqtr2d tgcgrcomlr eqcomd tgcgrextend axtg5seg pm2.61dane ) AGHM
        UQZDEMUQZURCDACDURZUSZWCHGMUQZWDAWCWGURWEAFIKMGHNUDOPUEUFUTVAWFWGHLMUQZ
        CEMUQZWDWFGLHMWFGJLWFFIKMGJDNUDOAIVBVCZWEPVAAGFVCZWEUEVAAJFVCWEUGVAADFV
        CZWESVAWFGJMUQZCDMUQZDDMUQAWMWNURZWEUOVAWFCDDMAWEVDZVGVEVHAJLURZWEABCDE
        FGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPVFZVAVEVIAWHWIURWEUPVAWF
        CDEMWPVGVJVEACDVKZUSZHGEDFIKMNUDOAWJWSPVAZAHFVCWSUFVAZAWKWSUEVAZAEFVCWS
        TVAZAWLWSSVAZWTLGEFGIKMDCDHNUDOXAACFVCWSRVAZXEXBALFVCWSUHVAZXCXDXCXEAWS
        VDADCHKUQVCWSABCDHFIKMNUDOPQRSUFUBUJVLVAAGLEKUQVCWSAEGLFIKMNUDOPTUEUHAB
        EGLFIKMNUDOPQTUEUHUIAGBJKUQBLKUQUKAJLBKWRVIVMVLVNVAWTWMGLMUQWNLGMUQWTJL
        GMAWQWSWRVAVIAWOWSUOVAWTFIKMGLNUDOXAXCXGUTVPADHMUQZGEMUQZURWSAXHWDXIUNU
        MVOZVAWTCEGLFHDIKMNUDOXAXFXDXCXGXBXEAECGKUQVCWSABCEGFIKMNUDOPQRTUEUCUIV
        LVAAHLDKUQVCWSADHLFIKMNUDOPSUFUHABDHLFIKMNUDOPQSUFUHUJULVLVNVAAWILHMUQZ
        URWSAXKWHWIAFIKMLHNUDOPUHUFUTUPVQVAWTHDMUQZEGMUQZAXLXMURWSADHGEFIKMNUDO
        PSUFUETXJVRVAVSVTWTFIKMDGNUDOXAXEXCUTWAVRWB $.

      $d p q r C $.  $d p q r D $.  $d p q r E $.  $d p q r F $.  $d p q r I $.
      $d p q r P $.  $d p q r ph $.  $d p q r .- $.  $d q r X $.
      tgbtwnconn1.x $e |- ( ph -> X e. P ) $.
      tgbtwnconn1.12 $e |- ( ph -> X e. ( C I E ) ) $.
      tgbtwnconn1.13 $e |- ( ph -> X e. ( D I F ) ) $.
      tgbtwnconn1.14 $e |- ( ph -> C =/= E ) $.
      $( Lemma for ~ tgbtwnconn1 .  (Contributed by Thierry Arnoux,
         30-Apr-2019.) $)
      tgbtwnconn1lem3 $p |- ( ph -> D = F ) $=
        ( vp vr vq cv co wcel wa cstrkg ad6antr simplr adantr simpllr tgcgrtriv
        wceq simpr eqidd eqcomd tgbtwnconn1lem2 eqtr4d tgifscgr eqtrd axtgcgrid
        oveq2d oveq1d simp-4r ad2antrr wne neneqd pm2.65da neqned necomd simpld
        tgcgreq tgbtwncom simp-5r tgbtwnexch3 simprd tgcgrcomlr axtg5seg simprr
        axtgcgrrflx 3eqtr4d ad7antr simplrl 3eqtr4rd tgcgrextend pm2.61dane cfv
        ccgrg clng eqid btwncolg2 3eqtr3d 3eqtrd tgbtwnexch eleqtrd tgbtwnexch2
        axtgbtwnid wn tgbtwnconn1lem1 btwncolg3 tgbtwnintr lncgr btwncolg1 lnid
        eqtr3d axtgsegcon r19.29a ) ADGVBVEZKVFVGZDYJMVFZDHMVFZVOZVHZEHVOZVBFAY
        JFVGZVHZYOVHZDHVCVEZKVFVGZDYTMVFZDNMVFZVOZVHZYPVCFYSYTFVGZVHZUUEVHZYTYJ
        VDVEZKVFVGZYTUUIMVFZYTYJMVFZVOZVHZYPVDFUUHUUIFVGZVHZUUNVHZHEUUQFIKMHEUU
        IOUEPAIVIVGZYQYOUUFUUEUUOUUNQVJZAHFVGZYQYOUUFUUEUUOUUNUGVJZAEFVGZYQYOUU
        FUUEUUOUUNUAVJZUUHUUOUUNVKZUUQHEMVFZYJUUIMVFZUUIUUIMVFZUUQUVEUVFVOHNUUQ
        HNVOZVHZEEMVFUVGUVEUVFUVIEUUIFIKMOUEPUUQUURUVHUUSVLZUUQUVBUVHUVCVLZUUHU
        UOUUNUVHVMZVNUVIHEEMUVIHNEUUQUVHVPZUVIFIKMNENOUEPUVJUUQNFVGZUVHAUVNYQYO
        UUFUUEUUOUUNURVJZVLZUVKUVPUVINEMVFZNHMVFZNNMVFZUUQUVQUVRVOZUVHAUVTYQYOU
        UFUUEUUOUUNADNGEFDNIHKGMOUEPQTURUFUATURUFUGUSUSADGMVFVQANGMVFZVQAYMDEMV
        FZUOVRAGEMVFZUWBGHMVFZUNABCDEFGHIJKLMOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUN
        UOUPUQVSZVTWAVJZVLUVIHNNMUVMWDWBWCWBZWEUVIYJUUIUUIMUVIYJYTUUIUVIHNYJYTF
        IKMOUEPUVJUUQUUTUVHUVAVLUVPUUQYQUVHUUHYQUUOUUNAYQYOUUFUUEWFZWGZVLUUQUUF
        UVHYSUUFUUEUUOUUNWFZVLZUUQHNMVFYJYTMVFVOZUVHUUQNHYTYJFIKMOUEPUUSUVOUVAU
        WJUWIUUQUULUVRUUQYJDNFYJIKMHHDYTOUEPUUSUVAADFVGZYQYOUUFUUEUUOUUNTVJZUWJ
        UWIUWNUVOUWIUVAAHDWHYQYOUUFUUEUUOUUNADHADHADHVOZDGVOZAUWOVHZDHGAUWOVPZU
        WQDHGHFIKMOUEPAUURUWOQVLAUWMUWOTVLAUUTUWOUGVLZAGFVGZUWOUFVLUWSAYMUWDVOU
        WOAYMUWBUWDUOUWEVTZVLUWRWNVTUWQDGADGWHZUWOVAVLWIWJZWKZWLVJUUQUUAUUDUUGU
        UEUUOUUNVMZWMZUUQNDYJFIKMOUEPUUSUVOUWNUWIUUQGNDYJFIKMOUEPUUSAUWTYQYOUUF
        UUEUUOUUNUFVJZUVOUWNUWIANGDKVFVGYQYOUUFUUEUUOUUNADNGFIKMOUEPQTURUFUSWOV
        JUUQYKYNYRYOUUFUUEUUOUUNWPZWMZWQWOUUQDHDYJFIKMOUEPUUSUWNUVAUWNUWIUUQYLY
        MUUQYKYNUXHWRZVRWSZUUQUUAUUDUXEWRZUUQFIKMHYJOUEPUUSUVAUWIXBUXJWTZVRWSZV
        LUVMWNZUVIFIKMYTUUIYTOUEPUVJUWKUVLUWKUVIUUKUULYTYTMVFUUQUUMUVHUUPUUJUUM
        XAZVLUVIYJYTYTMUXOWDWBWCWBZWEXCUUQHNWHZVHZHNEYJFYTUUIIKMOUEPUUQUURUXRUU
        SVLZUUQUUTUXRUVAVLZUUQUVNUXRUVOVLZUUQUVBUXRUVCVLZUUQYQUXRUWIVLZUUQUUFUX
        RUWJVLZUUHUUOUUNUXRVMZANHEKVFVGYQYOUUFUUEUUOUUNUXRAENHFIKMOUEPQUAURUGUT
        WOXDZUUPUUJUUMUXRXEZUUQUWLUXRUXNVLZUUQUVQUUKVOUXRUUQUULUVRUUKUVQUXMUXPU
        WFXFVLZXGXHUUQYJUUIUUIMUUQUUIDFIXJXIZIKIXKXIZMDGYJOUYLXLZPUUSUWNUXGUWIU
        YKXLZUVDUWNUEAUXBYQYOUUFUUEUUOUUNVAVJUUQFIKUYLDYJGOUYMPUUSUWNUWIUXGUXIX
        MUUQYLYMUWBDUUIMVFUXJAYMUWBVOYQYOUUFUUEUUOUUNUOVJUUQEDUUIDFIKMOUEPUUSUV
        CUWNUVDUWNUUQEDMVFZUUIDMVFZVOHNUVIHDMVFZYJDMVFZUYOUYPUUQUYQUYRVOZUVHUXK
        VLUVIHEDMUWGWEUVIYJUUIDMUXQWEXNUXSYJYTUUIFDIKMDHNEOUEPUXTUYAUYBUYCUYDUY
        EUYFUUQUWMUXRUWNVLZUYTUUQUXRVPUYGUYHUYIUYJUUQUYSUXRUXKVLUUQNDMVFZYTDMVF
        VOUXRUUQDNDYTFIKMOUEPUUSUWNUVOUWNUWJUUQUUBUUCUXLVRWSVLWTXHWSXOZUUQYJUUI
        FUYKIKUYLMCLGOUYMPUUSACFVGYQYOUUFUUEUUOUUNSVJZALFVGZYQYOUUFUUEUUOUUNUIV
        JZUXGUYNUWIUVDUEUUQCLUUQCLVOZUWOUUQVUFVHZLDHVUGFIKMLDOUEPUUQUURVUFUUSVL
        ZUUQVUDVUFVUEVLZUUQUWMVUFUWNVLVUGDCLKVFZLLKVFZADVUJVGYQYOUUFUUEUUOUUNVU
        FABCDLFIKMOUEPQRSTUIUCABDHLFIKMOUEPQRTUGUIUKUMXPWQZXDVUGCLLKUUQVUFVPWEZ
        XQXSVUGFIKMLHOUEPVUHVUIUUQUUTVUFUVAVLVUGHVUJVUKAHVUJVGYQYOUUFUUEUUOUUNV
        UFACDHLFIKMOUEPQSTUGUIVULABDHLFIKMOUEPQRTUGUIUKUMWQZXRXDVUMXQXSYGAUWOXT
        YQYOUUFUUEUUOUUNVUFUXCXDWJWKUUQFIKUYLCGLOUYMPUUSVUCUXGVUEAGVUJVGYQYOUUF
        UUEUUOUUNABCGLFIKMOUEPQRSUFUIABCEGFIKMOUEPQRSUAUFUDUJXPAGBJKVFBLKVFULAJ
        LBKABCDEFGHIJKLMOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQYAWDXQWQVJYBUUQ
        YJUUIFUYKIKUYLMDHCOUYMPUUSUWNUVAVUCUYNUWIUVDUEADHWHYQYOUUFUUEUUOUUNUXDV
        JZUUQFIKUYLDCHOUYMPUUSUWNVUCUVAADHCKVFVGYQYOUUFUUEUUOUUNAHDCLFIKMOUEPQU
        GTSUIVUNVULYCVJXMVUBUUQYJUUIFUYKIKUYLMDYTHOUYMPUUSUWNUWJUVAUYNUWIUVDUEU
        UQDYTUUQDYTVOZUWPUUQVUPVHZDNGVUQDYTDNFIKMOUEPUUQUURVUPUUSVLZUUQUWMVUPUW
        NVLZUUQUUFVUPUWJVLVUSUUQUVNVUPUVOVLZUUQUUDVUPUXLVLUUQVUPVPWNZVUQFIKMNGN
        OUEPVURVUTUUQUWTVUPUXGVLVUTVUQVUAUWAUVSAVUAUWAVOYQYOUUFUUEUUOUUNVUPAENH
        DFENIGKHMOUEPQUAURUGTUAURUGUFUTUTAEHMVFVQAUVRVQADEGEFIKMOUEPQTUAUFUAAUW
        CUWBUNVRWSADHGHFIKMOUEPQTUGUFUGUXAWSWAXDVUQDNNMVVAWDYGWCWBAUWPXTYQYOUUF
        UUEUUOUUNVUPADGVAWIXDWJWKUUQFIKUYLDHYTOUYMPUUSUWNUVAUWJUUQHDYTFIKMOUEPU
        USUVAUWNUWJUXFWOXMVUBUUQUUKUULUXPVRYDZYDUUQYJUUIFUYKIKUYLMDHLOUYMPUUSUW
        NUVAVUEUYNUWIUVDUEVUOUUQFIKUYLDLHOUYMPUUSUWNVUEUVAAHDLKVFVGYQYOUUFUUEUU
        OUUNVUNVJYEVUBVVBYDYDYFWEWBWCVRUUHVDYTYJFIKMYJYTOUEPYSUURUUFUUEAUURYQYO
        QWGZWGUWHYSUUFUUEVKZVVDUWHYHYIYSVCDNFIKMHDOUEPVVCAUUTYQYOUGWGAUWMYQYOTW
        GZVVEAUVNYQYOURWGYHYIAVBDHFIKMGDOUEPQUFTTUGYHYI $.
    $}

    $d e f h j x A $.  $d h j x B $.  $d e f h j x C $.  $d e f h j x D $.
    $d e f h j x G $.  $d e f h j x I $.  $d e f h j x P $.  $d e f h j x ph $.
    $( Connectivity law for betweenness.  Theorem 5.1 of [Schwabhauser]
       p. 39-41.  In earlier presentations of Tarski's axioms, this theorem
       appeared as an additional axiom.  It was derived from the other axioms
       by Gupta, 1965.  (Contributed by Thierry Arnoux, 30-Apr-2019.) $)
    tgbtwnconn1 $p |- ( ph -> ( C e. ( A I D ) \/ D e. ( A I C ) ) ) $=
      ( wcel wa ve vf vh vj vx cv co cds cfv wceq wo simpld adantr simpr oveq2d
      simpllr eleqtrrd olcd simprl wn wne df-ne cstrkg ad4antr ad7antr simp-11l
      orcd eqid simp-4r simplr simp-6r simp-5r simprd tgcgrcomlr simprr simp-7r
      syl tgbtwnconn1lem3 wrex tgbtwncom axtgpasch ad5antr axtgsegcon ad3antrrr
      r19.29a ex syl5bir orrd mpjaodan ad2antrr ) AEBUAUFZHUGZSZEWKGUHUIZUGEDWN
      UGUJZTZDBEHUGZSZEBDHUGZSZUKZUAFAWKFSZTZWPTZDBUBUFZHUGZSZDXEWNUGDEWNUGUJZT
      ZXAUBFXDXEFSZTZXITZDWKUJZXAEXEUJZXLXMTZWTWRXOEWLWSXLWMXMXLWMWOXCWPXJXIUPZ
      ULZUMXODWKBHXLXMUNUOUQURXLXNTZWRWTXRDXFWQXLXGXNXKXGXHUSZUMXREXEBHXLXNUNUO
      UQVGXLXMXNXMUTDWKVAZXLXNDWKVBXLXTXNXLXTTZWKBUCUFZHUGSZWKYBWNUGCDWNUGUJZTZ
      XNUCFYAYBFSZTZYETZXEBUDUFZHUGSZXEYIWNUGCEWNUGUJZTZXNUDFYHYIFSZTZYLTZUEUFZ
      DWKHUGSZYPEXEHUGSZTZXNUEFYOYPFSZTZYSTZBCDEFWKXEGYBHYIWNYPIJXLGVCSZXTYFYEY
      MYLYTYSAUUCXBWPXJXIKVDZVEZXLBFSZXTYFYEYMYLYTYSAUUFXBWPXJXILVDZVEXLCFSZXTY
      FYEYMYLYTYSAUUHXBWPXJXIMVDZVEXLDFSZXTYFYEYMYLYTYSAUUJXBWPXJXINVDZVEZXLEFS
      ZXTYFYEYMYLYTYSAUUMXBWPXJXIOVDZVEZUUBABCVAAXBWPXJXIXTYFYEYMYLYTYSVFZPVQUU
      BACWSSUUPQVQUUBACWQSUUPRVQWNVHZXLXBXTYFYEYMYLYTYSAXBWPXJXIVIZVEZXLXJXTYFY
      EYMYLYTYSXDXJXIVJZVEYAYFYEYMYLYTYSVKYHYMYLYTYSVIXLWMXTYFYEYMYLYTYSXQVEXLX
      GXTYFYEYMYLYTYSXSVEUUBYCYDYGYEYMYLYTYSVLZULUUBYJYKYNYLYTYSUPZULUUBEWKEDFG
      HWNIUUQJUUEUUOUUSUUOUULXLWOXTYFYEYMYLYTYSXLWMWOXPVMVEVNXLXHXTYFYEYMYLYTYS
      XKXGXHVOVEUUBYCYDUVAVMUUBYJYKUVBVMYOYTYSVJUUAYQYRUSUUAYQYRVOXLXTYFYEYMYLY
      TYSVPVRXLYSUEFVSXTYFYEYMYLXLFDGHWNEXEWKBUEIUUQJUUDUUTUURUUGUUKUUNXLBDXEFG
      HWNIUUQJUUDUUGUUKUUTXSVTXLBEWKFGHWNIUUQJUUDUUGUUNUURXQVTWAWBWEXLYLUDFVSXT
      YFYEXLUDCEFGHWNBXEIUUQJUUDUUGUUTUUIUUNWCWDWEXLYEUCFVSXTXLUCCDFGHWNBWKIUUQ
      JUUDUUGUURUUIUUKWCUMWEWFWGWHWIAXIUBFVSXBWPAUBDEFGHWNBDIUUQJKLNNOWCWJWEAUA
      EDFGHWNBEIUUQJKLOONWCWE $.
  $}

  ${
    tgbtwnconn.p $e |- P = ( Base ` G ) $.
    tgbtwnconn.i $e |- I = ( Itv ` G ) $.
    tgbtwnconn.g $e |- ( ph -> G e. TarskiG ) $.
    tgbtwnconn.a $e |- ( ph -> A e. P ) $.
    tgbtwnconn.b $e |- ( ph -> B e. P ) $.
    tgbtwnconn.c $e |- ( ph -> C e. P ) $.
    tgbtwnconn.d $e |- ( ph -> D e. P ) $.
    ${
      tgbtwnconn2.1 $e |- ( ph -> A =/= B ) $.
      tgbtwnconn2.2 $e |- ( ph -> B e. ( A I C ) ) $.
      tgbtwnconn2.3 $e |- ( ph -> B e. ( A I D ) ) $.
      $( Another connectivity law for betweenness.  Theorem 5.2 of
         [Schwabhauser] p. 41.  (Contributed by Thierry Arnoux,
         17-May-2019.) $)
      tgbtwnconn2 $p |- ( ph -> ( C e. ( B I D ) \/ D e. ( B I C ) ) ) $=
        ( wcel adantr co wo wa cds cfv eqid cstrkg tgbtwnexch3 orcd tgbtwnconn1
        simpr olcd mpjaodan ) ADBEHUAZSZDCEHUASZECDHUASZUBEBDHUAZSZAUOUCZUPUQUT
        BCDEFGHGUDUEZIVAUFZJAGUGSZUOKTABFSZUOLTACFSZUOMTADFSZUONTAEFSZUOOTACURS
        UOQTAUOUKUHUIAUSUCZUQUPVHBCEDFGHVAIVBJAVCUSKTAVDUSLTAVEUSMTAVGUSOTAVFUS
        NTACUNSUSRTAUSUKUHULABCDEFGHIJKLMNOPQRUJUM $.
    $}

    ${
      $d p A $.  $d p B $.  $d p C $.  $d p D $.  $d p G $.  $d p I $.
      $d p P $.  $d p ph $.
      tgbtwnconn3.1 $e |- ( ph -> B e. ( A I D ) ) $.
      tgbtwnconn3.2 $e |- ( ph -> C e. ( A I D ) ) $.
      $( Inner connectivity law for betweenness.  Theorem 5.3 of [Schwabhauser]
         p. 41.  (Contributed by Thierry Arnoux, 17-May-2019.) $)
      tgbtwnconn3 $p |- ( ph -> ( B e. ( A I C ) \/ C e. ( A I B ) ) ) $=
        ( wcel adantr ad3antrrr vp chash cfv c1 wceq co wo c2 cle wbr wa cstrkg
        cds eqid simpr tgldim0itv orcd cv simplr simprr necomd simprl tgbtwncom
        tgbtwnintr tgbtwnexch3 tgbtwnconn2 tgbtwndiff r19.29a tgldimor mpjaodan
        wne cbs ) AFUBUCZUDUEZCBDHUFRZDBCHUFRZUGZUHVMUIUJZAVNUKZVOVPVSCBDFGHGUM
        UCZIVTUNZJAGULRZVNKSACFRZVNMSABFRZVNLSADFRZVNNSAVNUOUPUQAVRUKZBEUAURZHU
        FRZBWGVKZUKZVQUAFWFWGFRZUKZWJUKZWGBCDFGHIJAWBVRWKWJKTZWFWKWJUSZAWDVRWKW
        JLTZAWCVRWKWJMTZAWEVRWKWJNTZWMBWGWLWHWIUTVAWMCBWGFGHVTIWAJWNWQWPWOWMCBW
        GEFGHVTIWAJWNWQWPWOAEFRZVRWKWJOTZACBEHUFZRVRWKWJPTWMEBWGFGHVTIWAJWNWTWP
        WOWLWHWIVBZVCVDVCWMDBWGFGHVTIWAJWNWRWPWOWMEDBWGFGHVTIWAJWNWTWRWPWOWMBDE
        FGHVTIWAJWNWPWRWTADXARVRWKWJQTVCXBVEVCVFWFEBFGHVTUAIWAJAWBVRKSAWSVROSAW
        DVRLSAVRUOVGVHABFVLGILVIVJ $.

      tgbtwnconnln3.l $e |- L = ( LineG ` G ) $.
      $( Derive colinearity from betweenness.  (Contributed by Thierry Arnoux,
         17-May-2019.) $)
      tgbtwnconnln3 $p |- ( ph -> ( B e. ( A L C ) \/ A = C ) ) $=
        ( adantr co wcel wceq wo wa cstrkg simpr btwncolg1 tgbtwnconn3 mpjaodan
        btwncolg3 ) ACBDHUAUBZCBDIUAUBBDUCUDDBCHUAUBZAULUEFGHIBDCJSKAGUFUBZULLT
        ABFUBZULMTADFUBZULOTACFUBZULNTAULUGUHAUMUEFGHIBDCJSKAUNUMLTAUOUMMTAUPUM
        OTAUQUMNTAUMUGUKABCDEFGHJKLMNOPQRUIUJ $.
    $}

    ${
      tgbtwnconn22.e $e |- ( ph -> E e. P ) $.
      tgbtwnconn22.1 $e |- ( ph -> A =/= B ) $.
      tgbtwnconn22.2 $e |- ( ph -> C =/= B ) $.
      tgbtwnconn22.3 $e |- ( ph -> B e. ( A I C ) ) $.
      tgbtwnconn22.4 $e |- ( ph -> B e. ( A I D ) ) $.
      tgbtwnconn22.5 $e |- ( ph -> B e. ( C I E ) ) $.
      $( Double connectivity law for betweenness.  (Contributed by Thierry
         Arnoux, 1-Dec-2019.) $)
      tgbtwnconn22 $p |- ( ph -> B e. ( D I E ) ) $=
        ( wcel cds cfv eqid cstrkg adantr wne tgbtwncom tgbtwnouttr2 tgbtwnintr
        co wa simpr tgbtwnconn2 mpjaodan ) ADCEIUMUCZCEGIUMUCECDIUMUCZAURUNZEDC
        GFHIHUDUEZJVAUFZKAHUGUCZURLUHZAEFUCZURPUHZADFUCZUROUHZACFUCZURNUHZAGFUC
        ZURQUHADCUIURSUHUTCDEFHIVAJVBKVDVJVHVFAURUOUJACDGIUMUCZURUBUHUKAUSUNZEC
        GDFHIVAJVBKAVCUSLUHZAVEUSPUHAVIUSNUHZAVKUSQUHZAVGUSOUHZAUSUOVMDCGFHIVAJ
        VBKVNVQVOVPAVLUSUBUHUJULABCDEFHIJKLMNOPRTUAUPUQ $.
    $}

    ${
      tgbtwnconnln1.l $e |- L = ( LineG ` G ) $.
      tgbtwnconnln1.1 $e |- ( ph -> A =/= B ) $.
      tgbtwnconnln1.2 $e |- ( ph -> B e. ( A I C ) ) $.
      tgbtwnconnln1.3 $e |- ( ph -> B e. ( A I D ) ) $.
      $( Derive colinearity from betweenness.  (Contributed by Thierry Arnoux,
         17-May-2019.) $)
      tgbtwnconnln1 $p |- ( ph -> ( A e. ( C L D ) \/ C = D ) ) $=
        ( co wcel wceq wo cstrkg adantr simpr btwncolg2 cds tgbtwncom btwncolg3
        wa cfv eqid tgbtwnconn1 mpjaodan ) ADBEHUAUBZBDEIUAUBDEUCUDEBDHUAUBZAUQ
        ULFGHIDEBJQKAGUEUBZUQLUFADFUBZUQOUFAEFUBZUQPUFABFUBZUQMUFAUQUGUHAURULZF
        GHIDEBJQKAUSURLUFZAUTUROUFZAVAURPUFZAVBURMUFZVCBEDFGHGUIUMZJVHUNKVDVGVF
        VEAURUGUJUKABCDEFGHJKLMNOPRSTUOUP $.

      $( Derive colinearity from betweenness.  (Contributed by Thierry Arnoux,
         17-May-2019.) $)
      tgbtwnconnln2 $p |- ( ph -> ( B e. ( C L D ) \/ C = D ) ) $=
        ( co wcel wceq wo cstrkg adantr simpr btwncolg2 cds tgbtwncom btwncolg3
        wa cfv eqid tgbtwnconn2 mpjaodan ) ADCEHUAUBZCDEIUAUBDEUCUDECDHUAUBZAUQ
        ULFGHIDECJQKAGUEUBZUQLUFADFUBZUQOUFAEFUBZUQPUFACFUBZUQNUFAUQUGUHAURULZF
        GHIDECJQKAUSURLUFZAUTUROUFZAVAURPUFZAVBURNUFZVCCEDFGHGUIUMZJVHUNKVDVGVF
        VEAURUGUJUKABCDEFGHJKLMNOPRSTUOUP $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Less-than relation in geometric congruences
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c leG $.

  $( Less-than relation for geometric congruences. $)
  cleg $a class leG $.

  ${
    $d d e f g i p x y z $.
    $( Define the less-than relationship between geometric distance congruence
       classes.  See ~ legval .  (Contributed by Thierry Arnoux,
       21-Jun-2019.) $)
    df-leg $a |- leG = ( g e. _V |-> { <. e , f >. |
      [. ( Base ` g ) / p ]. [. ( dist ` g ) / d ]. [. ( Itv ` g ) / i ].
      E. x e. p E. y e. p ( f = ( x d y )
          /\ E. z e. p ( z e. ( x i y ) /\ e = ( x d z ) ) ) } ) $.
  $}

  ${
    legval.p $e |- P = ( Base ` G ) $.
    legval.d $e |- .- = ( dist ` G ) $.
    legval.i $e |- I = ( Itv ` G ) $.
    legval.l $e |- .<_ = ( leG ` G ) $.
    legval.g $e |- ( ph -> G e. TarskiG ) $.
    ${
      $d d e f g i p G $.  $d d g i p x y z I $.  $d d e f g i p x y z P $.
      $d d e f g i p x y z .- $.
      $( Value of the less-than relationship.  (Contributed by Thierry Arnoux,
         21-Jun-2019.) $)
      legval $p |- ( ph -> .<_ = { <. e , f >. |
        E. x e. P E. y e. P ( f = ( x .- y )
          /\ E. z e. P ( z e. ( x I y ) /\ e = ( x .- z ) ) ) } ) $=
        ( cv wceq wcel wa vg vd vi vp cleg cfv wrex copab cstrkg elex citv wsbc
        co cvv cds cbs w3a simp1 eqcomd simp2 oveqd eqeq2d simp3 eleq2d anbi12d
        rexeqbidv sbcie3s opabbidv df-leg wtru cxp cima c0 csn fvexi imaex p0ex
        cun unex simprr ovima0 ad5ant14 eqeltrd simpllr simpld ad3antrrr eleq1w
        a1i jca oveq2 cbvrexvw sylib r19.29a ex rexlimivv adantl simprd opabex2
        mptru fvmpt 3syl syl5eq ) AJHUEUFZGQZBQZCQZKUMZRZDQZXEXFIUMZSZFQZXEXIKU
        MZRZTZDEUGZTZCEUGZBEUGZFGUHZOAHUISHUNSXCXTRPHUIUJUAHXDXEXFUBQZUMZRZXIXE
        XFUCQZUMZSZXLXEXIYAUMZRZTZDUDQZUGZTZCYJUGZBYJUGZUCUAQZUKUFULUBYOUOUFULU
        DYOUPUFULZFGUHXTUNUEYOHRYPXSFGXSYNUAEKIUPUOUKHUDUBUCLMNYJERZYAKRZYDIRZU
        QZXRYMBEYJYTYJEYQYRYSURUSZYTXQYLCEYJUUAYTXHYCXPYKYTXGYBXDYTKYAXEXFYTYAK
        YQYRYSUTUSZVAVBYTXOYIDEYJUUAYTXKYFXNYHYTXJYEXIYTIYDXEXFYTYDIYQYRYSVCUSV
        AVDYTXMYGXLYTKYAXEXIUUBVAVBVEVFVEVFVFVGVHBCDFGUAUCUDUBVIXTUNSVJXSFGKEEV
        KZVLZVMVNZVRZUUFUNUNUUFUNSVJUUDUUEKUUCKHUOMVOVPVQVSWHZUUGVJXSTZXLUUFSZX
        DUUFSZXSUUIUUJTZVJXQUUKBCEEXEESZXFESZTZXQUUKUUNXQTZYAXJSZXLXEYAKUMZRZTZ
        UUKUBEUUOYAESZTZUUSTZUUIUUJUVBXLUUQUUFUVAUUPUURVTUULUUTUUQUUFSUUMXQUUSE
        EKXEYAWAWBWCUVBXDXGUUFUVBXHXPUUNXQUUTUUSWDWEUUNXGUUFSXQUUTUUSEEKXEXFWAW
        FWCWIUUOXPUUSUBEUGUUNXHXPVTXOUUSDUBEXIYARZXKUUPXNUURDUBXJWGUVCXMUUQXLXI
        YAXEKWJVBVEWKWLWMWNWOWPZWEUUHUUIUUJUVDWQWRWSWTXAXB $.
    $}

    ${
      $d c d e f x y z .- $.  $d c d e f x y z A $.  $d c d e f x y z B $.
      $d c d e f x y z C $.  $d c d e f x y z D $.  $d c d e f x y z I $.
      $d c d e f x y z P $.  $d e f x y z G $.  $d c d x y z ph $.
      legov.a $e |- ( ph -> A e. P ) $.
      legov.b $e |- ( ph -> B e. P ) $.
      legov.c $e |- ( ph -> C e. P ) $.
      legov.d $e |- ( ph -> D e. P ) $.
      $( Value of the less-than relationship.  Definition 5.4 of [Schwabhauser]
         p. 41.  (Contributed by Thierry Arnoux, 21-Jun-2019.) $)
      legov $p |- ( ph -> ( ( A .- B ) .<_ ( C .- D ) <->
        E. z e. P ( z e. ( C I D ) /\ ( A .- B ) = ( C .- z ) ) ) ) $=
        ( vx vy vf ve vc vd co wbr cv wceq wcel wa wrex copab legval breqd ovex
        simpr eqeq1d simpl anbi2d rexbidv anbi12d 2rexbidv eqid braba anass cs3
        bitrdi anbi1i ccgrg cstrkg ad5antr adantr simp-5r simpllr simprl simprr
        cfv simp-4r cgr3swap23 tgbtwnxfr simplrr cgr3simp1 eqtrd clng btwncolg3
        jca simplr eqcomd lnext reximddv adantllr sylanbr eleq1w oveq2 cbvrexvw
        weq eqeq2d sylibr r19.29a oveq1 eleq2d anbi1d cbvrex2vw r19.29vva eqidd
        adantl3r rspc2ev syl112anc impbida bitrd ) ACDKUGZEFKUGZJUHZXNUAUIZUBUI
        ZKUGZUJZBUIZXPXQIUGZUKZXMXPXTKUGZUJZULZBGUMZULZUBGUMUAGUMZXTEFIUGZUKZXM
        EXTKUGZUJZULZBGUMZAXOXMXNUCUIZXRUJZYBUDUIZYCUJZULZBGUMZULZUBGUMUAGUMZUD
        UCUNZUHYHAJUUCXMXNAUAUBBGUDUCHIJKLMNOPUOUPUUBYHUDUCXMXNUUCCDKUQEFKUQYQX
        MUJZYOXNUJZULZUUAYGUAUBGGUUFYPXSYTYFUUFYOXNXRUUDUUEURUSUUFYSYEBGUUFYRYD
        YBUUFYQXMYCUUDUUEUTUSVAVBVCVDUUCVEVFVIAYHYNAYHULZXNUEUIZUFUIZKUGZUJZXTU
        UHUUIIUGZUKZXMUUHXTKUGZUJZULZBGUMZULZYNUEUFGGAUUHGUKZUUIGUKZUURYNYHAUUS
        ULZUUTULZUURULZXPUULUKZXMUUHXPKUGZUJZULZYNUAGUVCXPGUKZULUVBUUKULZUUQULZ
        UVHULUVGYNUVJUVCUVHUVBUUKUUQVGVJUVIUVHUVGYNUUQUVIUVHULZUVGULZUUHUUIXPVH
        EFXTVHHVKVSZUHZYMBGUVLXTGUKZUVNULZULZYJYLUVQUUHXPUUIEGUVMXTFHIKLMNUVMVE
        ZUVLHVLUKZUVPAUVSUUSUUTUUKUVHUVGPVMZVNZUVLUUSUVPAUUSUUTUUKUVHUVGVOZVNZU
        VIUVHUVGUVPVPZUVLUUTUVPUVAUUTUUKUVHUVGVTZVNZUVLEGUKZUVPAUWGUUSUUTUUKUVH
        UVGSVMZVNZUVLUVOUVNVQZUVLFGUKZUVPAUWKUUSUUTUUKUVHUVGTVMZVNZUVQUUHUUIXPE
        GUVMFXTHIKLMNUVRUWAUWCUWFUWDUWIUWMUWJUVLUVOUVNVRWAZUVLUVDUVPUVKUVDUVFVQ
        ZVNWBUVQXMUVEYKUVKUVDUVFUVPWCUVQUUHXPUUIEGUVMXTFHIKLMNUVRUWAUWCUWDUWFUW
        IUWJUWMUWNWDWEWHUVLEFGUVMHIHWFVSZKUUHUUIXPBLUWPVEZNUVTUWBUWEUVIUVHUVGWI
        ZUVRUWHUWLMUVLGHIUWPUUHXPUUILUWQNUVTUWBUWRUWEUWOWGUVLXNUUJUVBUUKUVHUVGV
        PWJWKWLWMWNUVCUUQUVGUAGUMUVBUUKUUQVRUVGUUPUABGUABWRZUVDUUMUVFUUOUABUULW
        OUWSUVEUUNXMXPXTUUHKWPWSVCWQWTXAXHUUGYHUURUFGUMUEGUMAYHURUURYGXNXPUUIKU
        GZUJZXTXPUUIIUGZUKZYDULZBGUMZULUEUFUAUBGGUEUAWRZUUKUXAUUQUXEUXFUUJUWTXN
        UUHXPUUIKXBWSUXFUUPUXDBGUXFUUMUXCUUOYDUXFUULUXBXTUUHXPUUIIXBXCUXFUUNYCX
        MUUHXPXTKXBWSVCVBVCUFUBWRZUXAXSUXEYFUXGUWTXRXNUUIXQXPKWPWSUXGUXDYEBGUXG
        UXCYBYDUXGUXBYAXTUUIXQXPIWPXCXDVBVCXEWTXFAYNULZUWGUWKXNXNUJZYNYHAUWGYNS
        VNAUWKYNTVNUXHXNXGAYNURYGUXIYNULXNEXQKUGZUJZXTEXQIUGZUKZYLULZBGUMZULUAU
        BEFGGXPEUJZXSUXKYFUXOUXPXRUXJXNXPEXQKXBWSUXPYEUXNBGUXPYBUXMYDYLUXPYAUXL
        XTXPEXQIXBXCUXPYCYKXMXPEXTKXBWSVCVBVCXQFUJZUXKUXIUXOYNUXQUXJXNXNXQFEKWP
        WSUXQUXNYMBGUXQUXMYJYLUXQUXLYIXTXQFEIWPXCXDVBVCXIXJXKXL $.

      $( An equivalent definition of the less-than relationship.  Definition
         5.5 of [Schwabhauser] p. 41.  (Contributed by Thierry Arnoux,
         21-Jun-2019.) $)
      legov2 $p |- ( ph -> ( ( A .- B ) .<_ ( C .- D ) <->
        E. x e. P ( B e. ( A I x ) /\ ( A .- x ) = ( C .- D ) ) ) ) $=
        ( vy vz co wbr cv wcel wceq wrex legov cs3 ccgrg cfv clng eqid ad2antrr
        cstrkg simplr simprl btwncolg1 simprr eqcomd lnext simpr simpllr simpld
        wa tgbtwnxfr trgcgrcom cgr3simp3 tgcgrcomlr jca reximdva adantllr eleq1
        ex mpd oveq2 eqeq2d anbi12d cbvrexvw sylib r19.29a btwncolg3 cgr3swap23
        eleq2d eqeq1d impbida bitrd ) ACDKUCZEFKUCZJUDUAUEZEFIUCZUFZWIEWKKUCZUG
        ZVFZUAGUHZDCBUEZIUCZUFZCWRKUCZWJUGZVFZBGUHZAUACDEFGHIJKLMNOPQRSTUIAWQXD
        AWQVFZUBUEZWLUFZWIEXFKUCZUGZVFZXDUBGAXFGUFZXJXDWQAXKVFZXJVFZEXFFUJCDWRU
        JHUKULZUDZBGUHXDXMCDGXNHIHUMULZKEXFFBLXPUNZNAHUPUFZXKXJPUOZAEGUFZXKXJSU
        OZAXKXJUQZAFGUFZXKXJTUOZXNUNZACGUFZXKXJQUOZADGUFZXKXJRUOZMXMGHIXPEFXFLX
        QNXSYAYDYBXLXGXIURUSXMWIXHXLXGXIUTVAVBXMXOXCBGXMWRGUFZVFZXOXCYKXOVFZWTX
        BYLEXFFCGXNDWRHIKLMNYEXMXRYJXOXSUOZXMXTYJXOYAUOZXMXKYJXOYBUOZXMYCYJXOYD
        UOZXMYFYJXOYGUOZXMYHYJXOYIUOZXMYJXOUQZYKXOVCZYLXGXIXLXJYJXOVDVEVGYLWRCF
        EGHIKLMNYMYSYQYPYNYLCDWREGXNXFFHIKLMNYEYMYQYRYSYNYOYPYLEXFFCGXNDWRHIKLM
        NYEYMYNYOYPYQYRYSYTVHVIVJVKVOVLVPVMXEWQXJUBGUHAWQVCWPXJUAUBGWKXFUGZWMXG
        WOXIWKXFWLVNUUAWNXHWIWKXFEKVQVRVSVTWAWBAXDVFZDCXFIUCZUFZCXFKUCZWJUGZVFZ
        WQUBGAXKUUGWQXDXLUUGVFZCXFDUJEFWKUJXNUDZUAGUHWQUUHEFGXNHIXPKCXFDUALXQNA
        XRXKUUGPUOZAYFXKUUGQUOZAXKUUGUQZAYHXKUUGRUOZYEAXTXKUUGSUOZAYCXKUUGTUOZM
        UUHGHIXPCDXFLXQNUUJUUKUUMUULXLUUDUUFURWCXLUUDUUFUTVBUUHUUIWPUAGUUHWKGUF
        ZVFZUUIWPUUQUUIVFZWMWOUURCDXFEGXNWKFHIKLMNYEUUHXRUUPUUIUUJUOZUUHYFUUPUU
        IUUKUOZUUHYHUUPUUIUUMUOZUUHXKUUPUUIUULUOZUUHXTUUPUUIUUNUOZUUHUUPUUIUQZU
        UHYCUUPUUIUUOUOZUURCXFDEGXNFWKHIKLMNYEUUSUUTUVBUVAUVCUVEUVDUUQUUIVCZWDU
        URUUDUUFXLUUGUUPUUIVDVEVGUURDCWKEGHIKLMNUUSUVAUUTUVDUVCUURCXFDEGXNFWKHI
        KLMNYEUUSUUTUVBUVAUVCUVEUVDUVFVIVJVKVOVLVPVMUUBXDUUGUBGUHAXDVCXCUUGBUBG
        WRXFUGZWTUUDXBUUFUVGWSUUCDWRXFCIVQWEUVGXAUUEWJWRXFCKVQWFVSVTWAWBWGWH $.
    $}

    ${
      $d x y z .- $.  $d x y z A $.  $d x y z B $.  $d x y z C $.
      $d x y z D $.  $d x y z E $.  $d x y z F $.  $d x y z G $.  $d x y z I $.
      $d x y z P $.  $d x y z ph $.
      legid.a $e |- ( ph -> A e. P ) $.
      legid.b $e |- ( ph -> B e. P ) $.
      $( Reflexivity of the less-than relationship.  Proposition 5.7 of
         [Schwabhauser] p. 42.  (Contributed by Thierry Arnoux,
         27-Jun-2019.) $)
      legid $p |- ( ph -> ( A .- B ) .<_ ( A .- B ) ) $=
        ( vx co wcel wceq wa wbr cv wrex tgbtwntriv2 eqidd eleq1 eqeq2d anbi12d
        oveq2 rspcev syl12anc legov mpbird ) ABCHQZUNGUAPUBZBCFQZRZUNBUOHQZSZTZ
        PDUCZACDRCUPRZUNUNSZVAOABCDEFHIJKMNOUDAUNUEUTVBVCTPCDUOCSZUQVBUSVCUOCUP
        UFVDURUNUNUOCBHUIUGUHUJUKAPBCBCDEFGHIJKLMNONOULUM $.

      legtrd.c $e |- ( ph -> C e. P ) $.
      ${
        btwnleg.1 $e |- ( ph -> B e. ( A I C ) ) $.
        $( Betweenness implies less-than relation.  (Contributed by Thierry
           Arnoux, 3-Jul-2019.) $)
        btwnleg $p |- ( ph -> ( A .- B ) .<_ ( A .- C ) ) $=
          ( vx co wbr cv wcel wceq wrex eqidd eleq1 oveq2 eqeq2d anbi12d rspcev
          wa syl12anc legov mpbird ) ABCITZBDITHUASUBZBDGTZUCZUPBUQITZUDZULZSEU
          EZACEUCCURUCZUPUPUDZVCPRAUPUFVBVDVEULSCEUQCUDZUSVDVAVEUQCURUGVFUTUPUP
          UQCBIUHUIUJUKUMASBCBDEFGHIJKLMNOPOQUNUO $.
      $}

      legtrd.d $e |- ( ph -> D e. P ) $.
      ${
        legtrd.e $e |- ( ph -> E e. P ) $.
        legtrd.f $e |- ( ph -> F e. P ) $.
        legtrd.1 $e |- ( ph -> ( A .- B ) .<_ ( C .- D ) ) $.
        legtrd.2 $e |- ( ph -> ( C .- D ) .<_ ( E .- F ) ) $.
        $( Transitivity of the less-than relationship.  Proposition 5.8 of
           [Schwabhauser] p. 42.  (Contributed by Thierry Arnoux,
           27-Jun-2019.) $)
        legtrd $p |- ( ph -> ( A .- B ) .<_ ( E .- F ) ) $=
          ( vz vx vy co wbr cv wcel wceq wa wrex cs3 ccgrg cfv clng eqid cstrkg
          ad4antr simp-4r simplr simpllr simpld btwncolg3 simprr lnext ad2antrr
          ad6antr simpr cgr3swap23 tgbtwnxfr tgbtwnexch simp-5r cgr3simp1 eqtrd
          simprd jca ex reximdva mpd legov mpbid r19.29a mpbird ) ABCLUIZGHLUIZ
          KUJUFUKZGHJUIZULZWHGWJLUIZUMZUNZUFFUOZAUGUKZDEJUIULZWHDWQLUIZUMZUNZWP
          UGFAWQFULZUNZXAUNZUHUKZWKULZDELUIZGXELUIUMZUNZWPUHFXDXEFULZUNZXIUNZDE
          WQUPGXEWJUPIUQURZUJZUFFUOWPXLGXEFXMIJIUSURZLDEWQUFMXOUTZOAIVAULZXBXAX
          JXIQVBZADFULZXBXAXJXITVBZAEFULZXBXAXJXIUAVBZAXBXAXJXIVCZXMUTZAGFULZXB
          XAXJXIUBVBZXDXJXIVDNXLFIJXODWQEMXPOXRXTYCYBXLWRWTXCXAXJXIVEVFZVGXKXFX
          HVHVIXLXNWOUFFXLWJFULZUNZXNWOYIXNUNZWLWNYJGWJXEHFIJLMNOXLXQYHXNXRVJZX
          LYEYHXNYFVJZXLYHXNVDZXDXJXIYHXNVCZAHFULXBXAXJXIYHXNUCVKYJDWQEGFXMWJXE
          IJLMNOYDYKXLXSYHXNXTVJZXLXBYHXNYCVJZXLYAYHXNYBVJZYLYMYNYJDEWQGFXMXEWJ
          IJLMNOYDYKYOYQYPYLYNYMYIXNVLVMZXLWRYHXNYGVJVNYJXFXHXKXIYHXNVEVFVOYJWH
          WSWMYJWRWTXCXAXJXIYHXNVPVSYJDWQEGFXMWJXEIJLMNOYDYKYOYPYQYLYMYNYRVQVRV
          TWAWBWCAXIUHFUOZXBXAAXGWIKUJYSUEAUHDEGHFIJKLMNOPQTUAUBUCWDWEVJWFAWHXG
          KUJXAUGFUOUDAUGBCDEFIJKLMNOPQRSTUAWDWEWFAUFBCGHFIJKLMNOPQRSUBUCWDWG
          $.
      $}

      ${
        legtri3.1 $e |- ( ph -> ( A .- B ) .<_ ( C .- D ) ) $.
        legtri3.2 $e |- ( ph -> ( C .- D ) .<_ ( A .- B ) ) $.
        $( Equality from the less-than relationship.  Proposition 5.9 of
           [Schwabhauser] p. 42.  (Contributed by Thierry Arnoux,
           27-Jun-2019.) $)
        legtri3 $p |- ( ph -> ( A .- B ) = ( C .- D ) ) $=
          ( vx vy cv co wcel wa simpllr simprd cstrkg ad4antr simp-4r tgbtwncom
          wceq simpld simplr tgbtwnexch2 tgbtwntriv1 tgcgrcomlr eqcomd tgcgrsub
          simpr axtgcgrid oveq2d eleqtrd tgbtwnswapid eqtrd wbr legov2 ad2antrr
          wrex mpbid r19.29a legov ) AUBUDZDEHUEUFZBCJUEZDVOJUEZUNZUGZVQDEJUEZU
          NZUBFAVOFUFZUGZVTUGZEDUCUDZHUEZUFZDWFJUEVQUNZUGZWBUCFWEWFFUFZUGZWJUGZ
          VQVRWAWMVPVSWDVTWKWJUHZUIZWMVOEDJWMVOEDFGHJKLMAGUJUFWCVTWKWJOUKZAWCVT
          WKWJULZAEFUFWCVTWKWJSUKZADFUFWCVTWKWJRUKZWMDVOEFGHJKLMWPWSWQWRWMVPVSW
          NUOUMZWMDEVOFGHJKLMWPWSWRWQWMEWGDVOHUEWMWHWIWLWJVBZUOZWMWFVODHWMFGHJW
          FVOCKLMWPWEWKWJUPZWQACFUFWCVTWKWJQUKZWMWFVODCFCBGHJKLMWPXCWQWSXDXDABF
          UFWCVTWKWJPUKZWMWFEVODFGHJKLMWPXCWRWQWSWMDEWFFGHJKLMWPWSWRXCXBUMWTUQW
          MCBFGHJKLMWPXDXEURWMDWFBCFGHJKLMWPWSXCXEXDWMWHWIXAUIUSWMDVOBCFGHJKLMW
          PWSWQXEXDWMVQVRWOUTUSVAVCVDVEUMVFVDVGAWJUCFVKZWCVTAWAVQIVHXFUAAUCDEBC
          FGHIJKLMNORSPQVIVLVJVMAVQWAIVHVTUBFVKTAUBBCDEFGHIJKLMNOPQRSVNVLVM $.
      $}

      $( Trichotomy law for the less-than relationship.  Proposition 5.10 of
         [Schwabhauser] p. 42.  (Contributed by Thierry Arnoux,
         27-Jun-2019.) $)
      legtrid $p |- ( ph
        -> ( ( A .- B ) .<_ ( C .- D ) \/ ( C .- D ) .<_ ( A .- B ) ) ) $=
        ( wa vy vx chash cfv c1 wceq co wbr wo c2 cle cstrkg adantr legid simpr
        wcel tgldim0cgr breqtrd orcd cv wrex wne ad3antrrr simplr simprl necomd
        simplrr simplrl tgbtwncom simprrl tgbtwnconn2 simprrr ad2antrr reximddv
        axtgsegcon adantllr tgbtwndiff r19.29a andir eqcom anbi2i orbi2i rexbii
        jca bitri r19.43 sylib wb legov2 legov orbi12d mpbird tgldimor mpjaodan
        cbs ) AFUCUDZUEUFZBCJUGZDEJUGZIUHZWSWRIUHZUIZUJWPUKUHZAWQTZWTXAXDWRWRWS
        IXDBCFGHIJKLMNAGULUPZWQOUMZABFUPZWQPUMZACFUPZWQQUMZUNXDBCDEFGHJKLMXFXHX
        JADFUPZWQRUMAWQUOAEFUPZWQSUMUQURUSAXCTZXBCBUAUTZHUGUPZBXNJUGZWSUFZTZUAF
        VAZXNBCHUGUPZWSXPUFZTZUAFVAZUIZXMXOXTUIZXQTZUAFVAZYDXMBCUBUTZHUGUPZBYHV
        BZTZYGUBFAYHFUPZYKYGXCAYLTZYKTZBYHXNHUGUPZXQTZYFUAFYNXNFUPZYPTZTZYEXQYS
        YHBCXNFGHKMAXEYLYKYROVCZYNYLYRAYLYKVDZUMZAXGYLYKYRPVCZAXIYLYKYRQVCZYNYQ
        YPVEYSBYHYMYIYJYRVGVFYSCBYHFGHJKLMYTUUDUUCUUBYMYIYJYRVHVIYNYQYOXQVJVKYN
        YQYOXQVLWDYNUADEFGHJYHBKLMAXEYLYKOVMUUAAXGYLYKPVMAXKYLYKRVMAXLYLYKSVMVO
        VNVPXMCBFGHJUBKLMAXEXCOUMAXIXCQUMAXGXCPUMAXCUOVQVRYGXRYBUIZUAFVAYDYFUUE
        UAFYFXRXTXQTZUIUUEXOXTXQVSUUFYBXRXQYAXTXPWSVTWAWBWEWCXRYBUAFWFWEWGAXBYD
        WHXCAWTXSXAYCAUABCDEFGHIJKLMNOPQRSWIAUADEBCFGHIJKLMNORSPQWJWKUMWLABFWOG
        KPWMWN $.

      $( Degenerated (zero-length) segments are minimal.  Proposition 5.11 of
         [Schwabhauser] p. 42.  (Contributed by Thierry Arnoux,
         27-Jun-2019.) $)
      leg0 $p |- ( ph -> ( A .- A ) .<_ ( C .- D ) ) $=
        ( co vx wbr cv wcel wceq wrex tgbtwntriv1 tgcgrtriv eleq1 oveq2 anbi12d
        wa eqeq2d rspcev syl12anc legov mpbird ) ABBJTZDEJTIUBUAUCZDEHTZUDZURDU
        SJTZUEZULZUAFUFZADFUDDUTUDZURDDJTZUEZVERADEFGHJKLMORSUGABDFGHJKLMOPRUHV
        DVFVHULUADFUSDUEZVAVFVCVHUSDUTUIVIVBVGURUSDDJUJUMUKUNUOAUABBDEFGHIJKLMN
        OPPRSUPUQ $.

      ${
        legeq.1 $e |- ( ph -> ( A .- B ) .<_ ( C .- C ) ) $.
        $( Deduce equality from "less than" null segments.  (Contributed by
           Thierry Arnoux, 12-Aug-2019.) $)
        legeq $p |- ( ph -> A = B ) $=
          ( leg0 legtri3 axtgcgrid ) AFGHJBCDKLMOPQRABCDDFGHIJKLMNOPQRRTADBBCFG
          HIJKLMNORPPQUAUBUC $.
      $}

      ${
        legbtwn.1 $e |- ( ph -> ( A e. ( C I B ) \/ B e. ( C I A ) ) ) $.
        legbtwn.2 $e |- ( ph -> ( C .- A ) .<_ ( C .- B ) ) $.
        $( Deduce betweenness from "less than" relation.  Corresponds loosely
           to Proposition 6.13 of [Schwabhauser] p. 45.  (Contributed by
           Thierry Arnoux, 25-Aug-2019.) $)
        legbtwn $p |- ( ph -> A e. ( C I B ) ) $=
          ( co simpr wa cstrkg adantr tgbtwncom tgbtwntriv1 wbr btwnleg legtri3
          tgcgrcomlr eqidd tgcgrsub axtgcgrid eqeltrd oveq2d eleqtrd mpjaodan
          wcel ) ABDCHUBZUTZVBCDBHUBZUTZAVBUCAVDUDZBVCVAVEBCVCVEFGHJBCCKLMAGUEU
          TVDOUFZABFUTVDPUFZACFUTVDQUFZVHVEBCDCFCDGHJKLMVFVGVHADFUTVDRUFZVHVHVI
          VEDCBFGHJKLMVFVIVHVGAVDUCZUGVECDFGHJKLMVFVHVIUHVEDBDCFGHJKLMVFVIVGVIV
          HVEDBDCFGHIJKLMNVFVIVGVIVHADBJUBDCJUBIUIVDUAUFVEDCBFGHIJKLMNVFVIVHVGV
          JUJUKULVECDJUBUMUNUOZVJUPVEBCDHVKUQURTUS $.
      $}

      ${
        tgcgrsub2.d $e |- ( ph -> D e. P ) $.
        tgcgrsub2.e $e |- ( ph -> E e. P ) $.
        tgcgrsub2.f $e |- ( ph -> F e. P ) $.
        tgcgrsub2.1 $e |- ( ph -> ( B e. ( A I C ) \/ C e. ( A I B ) ) ) $.
        tgcgrsub2.2 $e |- ( ph -> ( E e. ( D I F ) \/ F e. ( D I E ) ) ) $.
        tgcgrsub2.3 $e |- ( ph -> ( A .- B ) = ( D .- E ) ) $.
        tgcgrsub2.4 $e |- ( ph -> ( A .- C ) = ( D .- F ) ) $.
        $( Removing identical parts from the end of a line segment preserves
           congruence.  In this version the order of points is not known.
           (Contributed by Thierry Arnoux, 3-Apr-2019.) $)
        tgcgrsub2 $p |- ( ph -> ( B .- C ) = ( E .- F ) ) $=
          ( co wcel wa cstrkg adantr simpr tgbtwncom wo btwnleg 3brtr3d legbtwn
          wceq tgcgrcomlr tgcgrsub orcomd mpjaodan ) ACBDJUIUJZCDLUIGHLUIUTDBCJ
          UIUJZAVEUKZDCHGFIJLMNOAIULUJZVEQUMZADFUJZVETUMZACFUJZVESUMZAHFUJZVEUD
          UMZAGFUJZVEUCUMZVGDCBHFGEIJLMNOVIVKVMABFUJZVERUMZVOVQAEFUJZVEUAUMZVGB
          CDFIJLMNOVIVSVMVKAVEUNZUOVGEGHFIJLMNOVIWAVQVOVGGHEEFIJKLMNOPVIVQVOWAW
          AAGEHJUIUJZHEGJUIUJZUPVEUFUMVGBCLUIZBDLUIZEGLUIZEHLUIZKVGBCDFIJKLMNOP
          VIVSVMVKWBUQAWEWGUTZVEUGUMAWFWHUTZVEUHUMURUSUOADBLUIHELUIUTZVEABDEHFI
          JLMNOQRTUAUDUHVAZUMACBLUIGELUIUTZVEABCEGFIJLMNOQRSUAUCUGVAZUMVBVAAVFU
          KZCDBGFHEIJLMNOAVHVFQUMZAVLVFSUMZAVJVFTUMZAVRVFRUMZAVPVFUCUMZAVNVFUDU
          MZAVTVFUAUMZWOBDCFIJLMNOWPWSWRWQAVFUNZUOWOEHGFIJLMNOWPXBXAWTWOHGEEFIJ
          KLMNOPWPXAWTXBXBAWDWCUPVFAWCWDUFVCUMWOWFWEWHWGKWOBDCFIJKLMNOPWPWSWRWQ
          XCUQAWJVFUHUMAWIVFUGUMURUSUOAWMVFWNUMAWKVFWLUMVBUEVD $.
      $}
    $}

    ${
      $d .- a x y $.  $d A a x y $.  $d P a x y $.  $d a ph x y $.
      legso.a $e |- E = ( .- " ( P X. P ) ) $.
      legso.f $e |- ( ph -> Fun .- ) $.
      ${
        ltgseg.p $e |- ( ph -> A e. E ) $.
        $( The set ` E ` denotes the possible values of the congruence.
           (Contributed by Thierry Arnoux, 15-Dec-2019.) $)
        ltgseg $p |- ( ph -> E. x e. P E. y e. P A = ( x .- y ) ) $=
          ( wrex wa va cv cfv wceq co cxp cop simp-4r simpr fveq2d eqtr3d df-ov
          wcel eqtr4di elxp2 sylib reximddv2 wfun cima eleqtrdi fvelima syl2anc
          simplr r19.29a ) AUAUBZJUCZDUDZDBUBZCUBZJUEZUDZCESBESUAEEUFZAVEVLUMZT
          ZVGTZVEVHVIUGZUDZVKBCEEVOVHEUMZTVIEUMZTZVQTZDVPJUCZVJWAVFDWBVNVGVRVSV
          QUHWAVEVPJVTVQUIUJUKVHVIJULUNVOVMVQCESBESAVMVGVCBCVEEEUOUPUQAJURDJVLU
          SZUMVGUAVLSQADFWCRPUTUADVLJVAVBVD $.
      $}

      legso.l $e |- .< = ( ( .<_ |` E ) \ _I ) $.
      legso.d $e |- ( ph -> ( P X. P ) C_ dom .- ) $.
      ${
        ltgov.a $e |- ( ph -> A e. P ) $.
        ltgov.b $e |- ( ph -> B e. P ) $.
        $( Strict "shorter than" geometric relation between segments.
           (Contributed by Thierry Arnoux, 15-Dec-2019.) $)
        ltgov $p |- ( ph -> ( ( A .- B ) .< ( C .- D )
          <-> ( ( A .- B ) .<_ ( C .- D ) /\ ( A .- B ) =/= ( C .- D ) ) ) ) $=
          ( co wbr wcel cid wn wa wne cres cdif breqi brdif bitri brresi anbi1i
          ovex an21 3bitri cima elovimad eleqtrrdi biantrurd necon3bbii bitr3di
          cxp ideq anbi2d syl5bb ) BCLUDZDELUDZGUEZVKVLKUEZVKHUFZVKVLUGUEZUHZUI
          ZUIZAVNVKVLUJZUIVMVKVLKHUKZUEZVQUIZVOVNUIZVQUIVSVMVKVLWAUGULZUEWCVKVL
          GWETUMVKVLWAUGUNUOWBWDVQHVKVLKDELURZUPUQVOVNVQUSUTAVRVTVNAVQVRVTAVOVQ
          AVKLFFVGVAHABCFFLUBUCSUAVBRVCVDVPVKVLVKVLWFVHVEVFVIVJ $.

        $( An equivalent definition of the less-than relationship, from the
           strict relation.  (Contributed by Thierry Arnoux, 15-Dec-2019.) $)
        legov3 $p |- ( ph -> ( ( A .- B ) .<_ ( C .- D )
          <-> ( ( A .- B ) .< ( C .- D ) \/ ( A .- B ) = ( C .- D ) ) ) ) $=
          ( co wbr wceq wo wne ltgov orbi1d simprl legid adantr breqtrd adantlr
          wa simpr mpjaodan wn simplr neqned jca ex orrd orcomd impbida bitr2d
          ) ABCLUDZDELUDZGUEZVHVIUFZUGVHVIKUEZVHVIUHZUPZVKUGZVLAVJVNVKABCDEFGHI
          JKLMNOPQRSTUAUBUCUIUJAVOVLAVOUPZVNVLVKVPVLVMUKAVKVLVOAVKUPVHVHVIKAVHV
          HKUEVKABCFIJKLMNOPQUBUCULUMAVKUQUNUOAVOUQURAVLUPZVKVNVQVKVNVQVKUSZVNV
          QVRUPZVLVMAVLVRUTVSVHVIVQVRUQVAVBVCVDVEVFVG $.
      $}

      $d .- a t u v x y z $.  $d .< a b c t u v x y z $.
      $d E a b c t u v x y z $.  $d P a t u v x y z $.
      $d a b c ph t u v x y z $.
      $( The "shorter than" relation induces an order on pairs.  Remark 5.13 of
         [Schwabhauser] p. 42.  (Contributed by Thierry Arnoux,
         27-Jun-2019.) $)
      legso $p |- ( ph -> .< Or E ) $=
        ( wa wbr adantr va vb vc vx vy vz vt vu vv cv wcel co wceq wn wne neirr
        intnan cstrkg ad3antrrr cxp cdm wss ad4antr simpllr simplr ltgov mtbiri
        wfun simpr breq12d mtbird r19.29vva w3a ad8antr simp-9r simp-8r simp-6r
        ltgseg simp-5r simp-10r simpld simp-7r simp-4r 3brtr3d breqtrrd legtri3
        simprd legtrd neneqd pm2.65da neqned mpbir2and 3brtr4d ad5antr ad2antrr
        mpbid simp3d simp2d simplr1 ex ispod w3o wo legtrid legov3 eqcom orbi2i
        orbi12d df-3or 3orcomb orordir 3bitr3ri bitr3i eqeq12d 3orbi123d mpbird
        sylib wrex anasss issod ) AUAUBDCAUAUBUCDCAUAUJZDUKZRZYAUDUJZUEUJZHULZU
        MZYAYACSZUNUDUEBBYCYDBUKZRZYEBUKZRZYGRZYHYFYFCSZYMYNYFYFGSZYFYFUOZRYPYO
        YFUPUQYMYDYEYDYEBCDEFGHIJKLYCEURUKZYIYKYGAYQYBMTZUSNYCHVHZYIYKYGAYSYBOT
        ZUSPABBUTHVAVBZYBYIYKYGQVCYCYIYKYGVDYJYKYGVEVFVGYMYAYFYAYFCYLYGVIZUUBVJ
        VKYCUDUEYABDEFGHIJKLYRNYTAYBVIVRZVLAYBUBUJZDUKZUCUJZDUKZVMZRZYAUUDCSZUU
        DUUFCSZRZYAUUFCSZUUIUULRZYGUUMUDUEBBUUNYIRZYKRZYGRZUUDUFUJZUGUJZHULZUMZ
        UUMUFUGBBUUQUURBUKZRZUUSBUKZRZUVARZUUFUHUJZUIUJZHULZUMZUUMUHUIBBUVFUVGB
        UKZRZUVHBUKZRZUVJRZYFUVIYAUUFCUVOYFUVICSYFUVIGSYFUVIUOUVOYDYEUURUUSBUVG
        UVHEFGHIJKLUVFYQUVKUVMUVJAYQUUHUULYIYKYGUVBUVDUVAMVNZUSZUUNYIYKYGUVBUVD
        UVAUVKUVMUVJVOZUUOYKYGUVBUVDUVAUVKUVMUVJVPZUUQUVBUVDUVAUVKUVMUVJVQZUVCU
        VDUVAUVKUVMUVJVSZUVFUVKUVMUVJVDUVLUVMUVJVEUVOYFUUTGSZYFUUTUOZUVOYFUUTCS
        ZUWBUWCRUVOYAUUDYFUUTCUVOUUJUUKUUIUULYIYKYGUVBUVDUVAUVKUVMUVJVTZWAUUPYG
        UVBUVDUVAUVKUVMUVJWBZUVEUVAUVKUVMUVJWCZWDUVOYDYEUURUUSBCDEFGHIJKLUVQNUV
        FYSUVKUVMUVJAYSUUHUULYIYKYGUVBUVDUVAOVNZUSZPUVFUUAUVKUVMUVJAUUAUUHUULYI
        YKYGUVBUVDUVAQVNUSZUVRUVSVFWPZWAZUVOUUTUVIGSZUUTUVIUOZUVOUUTUVICSUWMUWN
        RUVOUUDUUFUUTUVICUVOUUJUUKUWEWGUWGUVNUVJVIZWDUVOUURUUSUVGUVHBCDEFGHIJKL
        UVQNUWIPUWJUVTUWAVFWPWAZWHUVOYFUVIUVOYFUVIUMZYFUUTUMZUVOUWQRZYDYEUURUUS
        BEFGHIJKLUVOYQUWQUVQTUVOYIUWQUVRTUVOYKUWQUVSTUVOUVBUWQUVTTUVOUVDUWQUWAT
        UVOUWBUWQUWLTUWSUUTUVIYFGUVOUWMUWQUWPTUVOUWQVIWEWFUWSYFUUTUVOUWCUWQUVOU
        WBUWCUWKWGTWIWJWKUVOYDYEUVGUVHBCDEFGHIJKLUVQNUWIPUWJUVRUVSVFWLUWFUWOWMU
        VFUHUIUUFBDEFGHIJKLUVPNUWHUUQUUGUVBUVDUVAUUQYBUUEUUGAUUHUULYIYKYGVSZWQU
        SVRVLUUQUFUGUUDBDEFGHIJKLAYQUUHUULYIYKYGMWNNAYSUUHUULYIYKYGOWNUUQYBUUEU
        UGUWTWRVRVLUUNUDUEYABDEFGHIJKLAYQUUHUULMWONAYSUUHUULOWOYBUUEUUGAUULWSVR
        VLWTXAAYBUUEUUJYAUUDUMZUUDYACSZXBZYCUUERZYGUXCUDUEBBUXDYIRZYKRZYGRZUVAU
        XCUFUGBBUXGUVBRZUVDRZUVARZUXCUWDUWRUUTYFCSZXBZUXJUWDUWRXCZUXKUUTYFUMZXC
        ZXCZUXLUXJUWBUUTYFGSZXCUXPUXJYDYEUURUUSBEFGHIJKLAYQYBUUEYIYKYGUVBUVDUVA
        MVNZUXDYIYKYGUVBUVDUVAVQZUXEYKYGUVBUVDUVAVSZUXGUVBUVDUVAVDZUXHUVDUVAVEZ
        XDUXJUWBUXMUXQUXOUXJYDYEUURUUSBCDEFGHIJKLUXRNAYSYBUUEYIYKYGUVBUVDUVAOVN
        ZPAUUAYBUUEYIYKYGUVBUVDUVAQVNZUXSUXTXEUXJUURUUSYDYEBCDEFGHIJKLUXRNUYCPU
        YDUYAUYBXEXHWPUXPUXMUXKUWRXCZXCZUXLUYEUXOUXMUWRUXNUXKYFUUTXFXGXGUWDUXKU
        WRXBUWDUXKXCUWRXCUXLUYFUWDUXKUWRXIUWDUXKUWRXJUWDUXKUWRXKXLXMXQUXJUUJUWD
        UXAUWRUXBUXKUXJYAYFUUDUUTCUXFYGUVBUVDUVAWCZUXIUVAVIZVJUXJYAYFUUDUUTUYGU
        YHXNUXJUUDUUTYAYFCUYHUYGVJXOXPUXDUVAUGBXRUFBXRYIYKYGUXDUFUGUUDBDEFGHIJK
        LAYQYBUUEMWONAYSYBUUEOWOYCUUEVIVRUSVLYCYGUEBXRUDBXRUUEUUCTVLXSXT $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Rays
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c hlG $.

  $( Function producing the relation "belong to the same half-line". $)
  chlg $a class hlG $.

  ${
    $d a b c g $.
    $( Define the function producting the relation "belong to the same
       half-line".  (Contributed by Thierry Arnoux, 15-Aug-2020.) $)
    df-hlg $a |- hlG = ( g e. _V |-> ( c e. ( Base ` g ) |-> { <. a , b >. |
      ( ( a e. ( Base ` g ) /\ b e. ( Base ` g ) ) /\ ( a =/= c /\ b =/= c
      /\ ( a e. ( c ( Itv ` g ) b ) \/ b e. ( c ( Itv ` g ) a ) ) ) ) } ) ) $.
  $}

  ${
    ishlg.p $e |- P = ( Base ` G ) $.
    ishlg.i $e |- I = ( Itv ` G ) $.
    ishlg.k $e |- K = ( hlG ` G ) $.
    ishlg.a $e |- ( ph -> A e. P ) $.
    ishlg.b $e |- ( ph -> B e. P ) $.
    ishlg.c $e |- ( ph -> C e. P ) $.
    ${
      ishlg.g $e |- ( ph -> G e. V ) $.
      $d A a b $.  $d B a b $.  $d C a b c $.  $d G a b c g $.  $d I a b c g $.
      $d P a b c g $.  $d ph c $.
      $( Rays :  Definition 6.1 of [Schwabhauser] p. 43.  With this definition,
         ` A ( K `` C ) B ` means that ` A ` and ` B ` are on the same ray with
         initial point ` C ` .  This follows the same notation as Schwabhauser
         where rays are first defined as a relation.  It is possible to recover
         the ray itself using e.g., ` ( ( K `` C ) " { A } ) ` .  (Contributed
         by Thierry Arnoux, 21-Dec-2019.) $)
      ishlg $p |- ( ph -> ( A ( K ` C ) B <-> ( A =/= C /\ B =/= C
        /\ ( A e. ( C I B ) \/ B e. ( C I A ) ) ) ) ) $=
        ( va vb wcel wa vc vg cv wne co wo w3a copab wbr cfv simpl neeq1d simpr
        wb wceq oveq2d eleq12d orbi12d 3anbi123d eqid brab2a a1i chlg cmpt elex
        cvv cbs citv fveq2 eqtr4di eleq2d anbi12d oveqd 3anbi3d opabbidv df-hlg
        mpteq12dv mptfvmpt 3syl syl5eq neeq2 oveq1 anbi2d adantl cxp fvexi xpex
        opabssxp ssexi fvmptd breqd jca biantrurd 3bitr4d ) ABCQUCZESZRUCZESZTZ
        WODUDZWQDUDZWODWQGUEZSZWQDWOGUEZSZUFZUGZTZQRUHZUIZBESZCESZTZBDUDZCDUDZB
        DCGUEZSZCDBGUEZSZUFZUGZTZBCDHUJZUIYAXJYBUNAXGYAQRBCEEXIWOBUOZWQCUOZTZWT
        XNXAXOXFXTYFWOBDYDYEUKZULYFWQCDYDYEUMZULYFXCXQXEXSYFWOBXBXPYGYFWQCDGYHU
        PUQYFWQCXDXRYHYFWOBDGYGUPUQURUSXIUTVAVBAYCXIBCAUADWSWOUAUCZUDZWQYIUDZWO
        YIWQGUEZSZWQYIWOGUEZSZUFZUGZTZQRUHZXIEHVFAHFVCUJZUAEYSVDZLAFISFVFSYTUUA
        UOPFIVEUAUBYSVGVCUAUBUCZVGUJZWOUUCSZWQUUCSZTZYJYKWOYIWQUUBVHUJZUEZSZWQY
        IWOUUGUEZSZUFZUGZTZQRUHZVDEVFFFUUBFUOZUAUUCUUOEYSUUPUUCFVGUJEUUBFVGVIJV
        JZUUPUUNYRQRUUPUUFWSUUMYQUUPUUDWPUUEWRUUPUUCEWOUUQVKUUPUUCEWQUUQVKVLUUP
        UULYPYJYKUUPUUIYMUUKYOUUPUUHYLWOUUPUUGGYIWQUUPUUGFVHUJGUUBFVHVIKVJZVMVK
        UUPUUJYNWQUUPUUGGYIWOUURVMVKURVNVLVOVQUBQRUAVPJVRVSVTYIDUOZYSXIUOAUUSYR
        XHQRUUSYQXGWSUUSYJWTYKXAYPXFYIDWOWAYIDWQWAUUSYMXCYOXEUUSYLXBWOYIDWQGWBV
        KUUSYNXDWQYIDWOGWBVKURUSWCVOWDOXIVFSAXIEEWEEEEFVGJWFZUUTWGXGQREEWHWIVBW
        JWKAXMYAAXKXLMNWLWMWN $.

      $( The half-line relation commutes.  Theorem 6.6 of [Schwabhauser] p. 44.
         (Contributed by Thierry Arnoux, 21-Feb-2020.) $)
      hlcomb $p |- ( ph -> ( A ( K ` C ) B <-> B ( K ` C ) A ) ) $=
        ( wne co wcel w3a wo cfv wbr 3ancoma wb orcom a1i 3anbi3d ishlg 3bitr4d
        syl5bb ) ABDQZCDQZBDCGRSZCDBGRSZUAZTZUMULUOUNUAZTZBCDHUBZUCCBUTUCUQUMUL
        UPTAUSULUMUPUDAUPURUMULUPURUEAUNUOUFUGUHUKABCDEFGHIJKLMNOPUIACBDEFGHIJK
        LNMOPUIUJ $.

      hlcomd.1 $e |- ( ph -> A ( K ` C ) B ) $.
      $( The half-line relation commutes.  Theorem 6.6 of [Schwabhauser] p. 44.
         (Contributed by Thierry Arnoux, 21-Feb-2020.) $)
      hlcomd $p |- ( ph -> B ( K ` C ) A ) $=
        ( cfv wbr hlcomb mpbid ) ABCDHRZSCBUBSQABCDEFGHIJKLMNOPTUA $.

      $( The half-line relation implies inequality.  (Contributed by Thierry
         Arnoux, 22-Feb-2020.) $)
      hlne1 $p |- ( ph -> A =/= C ) $=
        ( wne co wcel wo cfv wbr w3a ishlg mpbid simp1d ) ABDRZCDRZBDCGSTCDBGST
        UAZABCDHUBUCUHUIUJUDQABCDEFGHIJKLMNOPUEUFUG $.

      $( The half-line relation implies inequality.  (Contributed by Thierry
         Arnoux, 22-Feb-2020.) $)
      hlne2 $p |- ( ph -> B =/= C ) $=
        ( wne co wcel wo cfv wbr w3a ishlg mpbid simp2d ) ABDRZCDRZBDCGSTCDBGST
        UAZABCDHUBUCUHUIUJUDQABCDEFGHIJKLMNOPUEUFUG $.
    $}

    hlln.1 $e |- ( ph -> G e. TarskiG ) $.
    ${
      hlln.l $e |- L = ( LineG ` G ) $.
      hlln.2 $e |- ( ph -> A ( K ` C ) B ) $.
      $( The half-line relation implies colinearity, part of Theorem 6.4 of
         [Schwabhauser] p. 44.  (Contributed by Thierry Arnoux,
         22-Feb-2020.) $)
      hlln $p |- ( ph -> A e. ( B L C ) ) $=
        ( wcel adantr co w3o wa cds cfv eqid cstrkg tgbtwncom 3mix1d 3mix2d wne
        simpr wo wbr w3a ishlg mpbid simp3d mpjaodan simp2d tgellng mpbird ) AB
        CDIUASBCDGUASZCBDGUASZDCBGUASZUBZABDCGUASZVFCDBGUASZAVGUCZVCVDVEVIDBCEF
        GFUDUEZJVJUFZKAFUGSZVGPTADESZVGOTABESZVGMTACESZVGNTAVGULUHUIAVHUCZVDVCV
        EVPDCBEFGVJJVKKAVLVHPTAVMVHOTAVOVHNTAVNVHMTAVHULUHUJABDUKZCDUKZVGVHUMZA
        BCDHUEUNVQVRVSUORABCDEFGHUGJKLMNOPUPUQZURUSAEFGICDBJQKPNOAVQVRVSVTUTMVA
        VB $.
    $}

    $( The endpoint does not belong to the half-line.  (Contributed by Thierry
       Arnoux, 3-Mar-2020.) $)
    hleqnid $p |- ( ph -> -. A ( K ` A ) B ) $=
      ( cfv wbr cstrkg wcel adantr wne wn neirr a1i wa simpr hlne1 mtand ) ABCB
      HPQZBBUAZUJUBABUCUDAUIUEBCBEFGHRIJKABESUILTZACESUIMTUKAFRSUIOTAUIUFUGUH
      $.

    ${
      hlid.1 $e |- ( ph -> A =/= C ) $.
      $( The half-line relation is reflexive.  Theorem 6.5 of [Schwabhauser]
         p. 44.  (Contributed by Thierry Arnoux, 21-Feb-2020.) $)
      hlid $p |- ( ph -> A ( K ` C ) A ) $=
        ( cfv wbr wne co wcel cds eqid tgbtwntriv2 olcd cstrkg ishlg mpbir3and
        wo ) ABBDHQRBDSZUJBDBGTUAZUKUIPPAUKUKADBEFGFUBQZIULUCJONLUDUEABBDEFGHUF
        IJKLLNOUGUH $.
    $}

    hltr.d $e |- ( ph -> D e. P ) $.
    ${
      hltr.1 $e |- ( ph -> A ( K ` D ) B ) $.
      hltr.2 $e |- ( ph -> B ( K ` D ) C ) $.
      $( The half-line relation is transitive.  Theorem 6.7 of [Schwabhauser]
         p. 44.  (Contributed by Thierry Arnoux, 23-Feb-2020.) $)
      hltr $p |- ( ph -> A ( K ` D ) C ) $=
        ( ad2antrr cfv wbr wne co wcel wo cstrkg hlne1 hlne2 wa cds eqid simplr
        simpr tgbtwnexch orcd tgbtwnconn3 w3a ishlg simp3d adantr simp1d necomd
        mpbid mpjaodan tgbtwnconn1 olcd mpbir3and ) ABDEIUAZUBBEUCZDEUCZBEDHUDZ
        UEZDEBHUDZUEZUFZABCEFGHIUGJKLMNQPRUHACDEFGHIUGJKLNOQPSUIABECHUDZUEZVPCV
        NUEZAVRUJZCVLUEZVPDVQUEZVTWAUJZVMVOWCEBCDFGHGUKUAZJWDULZKAGUGUEZVRWAPTA
        EFUEZVRWAQTABFUEZVRWAMTACFUEZVRWANTADFUEZVRWAOTAVRWAUMVTWAUNUOUPVTWBUJE
        BDCFGHJKAWFVRWBPTAWGVRWBQTAWHVRWBMTAWJVRWBOTAWIVRWBNTAVRWBUMVTWBUNUQAWA
        WBUFZVRACEUCZVKWKACDVIUBWLVKWKURSACDEFGHIUGJKLNOQPUSVDZUTZVAVEAVSUJZWAV
        PWBWOWAUJECBDFGHJKAWFVSWAPTAWGVSWAQTAWIVSWANTAWHVSWAMTAWJVSWAOTAECUCVSW
        AACEAWLVKWKWMVBVCTAVSWAUMWOWAUNVFWOWBUJZVOVMWPEDCBFGHWDJWEKAWFVSWBPTAWG
        VSWBQTAWJVSWBOTAWIVSWBNTAWHVSWBMTWOWBUNAVSWBUMUOVGAWKVSWNVAVEAVJWLVRVSU
        FZABCVIUBVJWLWQURRABCEFGHIUGJKLMNQPUSVDUTVEABDEFGHIUGJKLMOQPUSVH $.
    $}

    ${
      hlbtwn.1 $e |- ( ph -> D e. ( C I B ) ) $.
      hlbtwn.2 $e |- ( ph -> B =/= C ) $.
      hlbtwn.3 $e |- ( ph -> D =/= C ) $.
      $( Betweenness is a sufficient condition to swap half-lines.
         (Contributed by Thierry Arnoux, 21-Feb-2020.) $)
      hlbtwn $p |- ( ph -> ( A ( K ` C ) B <-> A ( K ` C ) D ) ) $=
        ( wne co wcel wo w3a cfv wbr 2thd wa cstrkg adantr tgbtwnconn3 cds eqid
        tgbtwnexch olcd jaodan orcd necomd tgbtwnconn1 impbida 3anbi23d 3bitr4d
        simpr ishlg ) ABDUAZCDUAZBDCHUBZUCZCDBHUBZUCZUDZUEVFEDUAZBDEHUBUCZEVJUC
        ZUDZUEBCDIUFZUGBEVQUGAVGVMVLVPVFAVGVMSTUHAVLVPAVIVPVKAVIUIDBECFGHJKAGUJ
        UCZVIPUKADFUCZVIOUKABFUCZVIMUKAEFUCZVIQUKACFUCZVINUKAVIVDAEVHUCZVIRUKUL
        AVKUIZVOVNWDDECBFGHGUMUFZJWEUNZKAVRVKPUKAVSVKOUKAWAVKQUKAWBVKNUKAVTVKMU
        KAWCVKRUKAVKVDUOUPUQAVNVLVOAVNUIZVIVKWGDBECFGHWEJWFKAVRVNPUKAVSVNOUKAVT
        VNMUKAWAVNQUKAWBVNNUKAVNVDAWCVNRUKUOURAVOUIDEBCFGHJKAVRVOPUKAVSVOOUKAWA
        VOQUKAVTVOMUKAWBVONUKADEUAVOAEDTUSUKAVOVDAWCVORUKUTUQVAVBABCDFGHIUJJKLM
        NOPVEABEDFGHIUJJKLMQOPVEVC $.
    $}

    ${
      btwnhl1.1 $e |- ( ph -> C e. ( A I B ) ) $.
      btwnhl1.2 $e |- ( ph -> A =/= B ) $.
      ${
        btwnhl1.3 $e |- ( ph -> C =/= A ) $.
        $( Deduce half-line from betweenness.  (Contributed by Thierry Arnoux,
           4-Mar-2020.) $)
        btwnhl1 $p |- ( ph -> C ( K ` A ) B ) $=
          ( cfv wbr wne co wcel wo necomd orcd cstrkg ishlg mpbir3and ) ADCBIUA
          UBDBUCCBUCDBCHUDUEZCBDHUDUEZUFTABCSUGAULUMRUHADCBFGHIUIJKLONMPUJUK $.
      $}

      btwnhl2.3 $e |- ( ph -> C =/= B ) $.
      $( Deduce half-line from betweenness.  (Contributed by Thierry Arnoux,
         4-Mar-2020.) $)
      btwnhl2 $p |- ( ph -> C ( K ` B ) A ) $=
        ( cfv wbr wne co wcel wo cds eqid tgbtwncom orcd cstrkg ishlg mpbir3and
        ) ADBCIUAUBDCUCBCUCDCBHUDUEZBCDHUDUEZUFTSAUNUOABDCFGHGUGUAZJUPUHKPMONRU
        IUJADBCFGHIUKJKLOMNPULUM $.
    $}

    ${
      btwnhl.1 $e |- ( ph -> A ( K ` D ) B ) $.
      btwnhl.3 $e |- ( ph -> D e. ( A I C ) ) $.
      $( Swap betweenness for a half-line.  (Contributed by Thierry Arnoux,
         2-Mar-2020.) $)
      btwnhl $p |- ( ph -> D e. ( B I C ) ) $=
        ( adantr co wcel wa cds cfv eqid cstrkg wne wbr w3a ishlg simp1d necomd
        wo mpbid tgbtwncom simpr tgbtwnouttr tgbtwnexch3 simp3d mpjaodan ) ABEC
        HUAUBZECDHUAUBCEBHUAUBZAVBUCZDECFGHGUDUEZJVEUFZKAGUGUBZVBPTZADFUBZVBOTZ
        AEFUBZVBQTZACFUBZVBNTZVDDEBCFGHVEJVFKVHVJVLABFUBZVBMTZVNAEBUHVBABEABEUH
        ZCEUHZVBVCUNZABCEIUEUIVQVRVSUJRABCEFGHIUGJKLMNQPUKUOZULUMTVDBEDFGHVEJVF
        KVHVPVLVJAEBDHUAUBZVBSTUPAVBUQURUPAVCUCZBCEDFGHVEJVFKAVGVCPTZAVOVCMTZAV
        MVCNTZAVKVCQTZAVIVCOTWBECBFGHVEJVFKWCWFWEWDAVCUQUPAWAVCSTUSAVQVRVSVTUTV
        A $.
    $}

    ${
      lnhl.l $e |- L = ( LineG ` G ) $.
      lnhl.1 $e |- ( ph -> C e. ( A L B ) ) $.
      $( Either a point ` C ` on the line AB is on the same side as ` A ` or on
         the opposite side.  (Contributed by Thierry Arnoux, 21-Sep-2020.) $)
      lnhl $p |- ( ph -> ( C ( K ` B ) A \/ B e. ( A I C ) ) ) $=
        ( cfv wbr co wcel wo wceq wa simpr cds eqid tgbtwntriv2 adantr eqeltrrd
        olcd wne w3o tglngne tgellng mpbid df-3or sylib w3a cstrkg ishlg df-3an
        wb bitrdi anim1ci biantrurd tgbtwncomb orbi12d orbi1d mpbird pm2.61dane
        3bitr2d ) ADBCIUAUBZCBDHUCZUDZUEZDCADCUFZUGZVRVPWADCVQAVTUHADVQUDVTABDF
        GHGUIUAZKWBUJZLQNPUKULUMUNADCUOZUGZVSDBCHUCUDZBDCHUCUDZUEZVRUEZAWIWDAWF
        WGVRUPZWIADBCJUCUDWJTAFGHJBCDKSLQNOAFGHJBCDKSLQNOTUQZPURUSWFWGVRUTVAULW
        EVPWHVRWEVPWDBCUOZUGZDCBHUCUDZBCDHUCUDZUEZUGZWPWHWEVPWDWLWPVBZWQAVPWRVF
        WDADBCFGHIVCKLMPNOQVDULWDWLWPVEVGWEWMWPAWLWDWKVHVIWEWNWFWOWGWECDBFGHWBK
        WCLAGVCUDWDQULZACFUDWDOULZADFUDWDPULZABFUDWDNULZVJWECBDFGHWBKWCLWSWTXBX
        AVJVKVOVLVMVN $.
    $}

    ${
      $d .- x y $.  $d A x y $.  $d B x y $.  $d C x y $.  $d D x y $.
      $d K x y $.  $d I x y $.  $d P x y $.  $d ph x y $.
      hlcgrex.m $e |- .- = ( dist ` G ) $.
      hlcgrex.1 $e |- ( ph -> D =/= A ) $.
      hlcgrex.2 $e |- ( ph -> B =/= C ) $.
      $( Construct a point on a half-line, at a given distance of its origin.
         (Contributed by Thierry Arnoux, 1-Aug-2020.) $)
      hlcgrex $p |- ( ph
        -> E. x e. P ( x ( K ` A ) D /\ ( A .- x ) = ( B .- C ) ) ) $=
        ( vy cv co wcel wne cfv wbr wceq wrex cstrkg ad2antrr simplr axtgsegcon
        wa simprr tgcgrcoml eqcomd ad4antr tgcgrneq simprd necomd simprl simpld
        wo simpllr tgbtwncom tgbtwnconn2 ishlg mpbir3and jca reximdva mpd fvexi
        ex cvv cbs a1i nehash2 tgbtwndiff r19.29a ) ACFUCUDZIUEUFZCWCUGZUPZBUDZ
        FCJUHUIZCWGKUEDEKUEZUJZUPZBGUKZUCGAWCGUFZUPZWFUPZCWCWGIUEUFZWJUPZBGUKWL
        WOBDEGHIKWCCLTMAHULUFZWMWFRUMZAWMWFUNZACGUFZWMWFOUMZADGUFZWMWFPUMZAEGUF
        ZWMWFQUMZUOWOWQWKBGWOWGGUFZUPZWQWKXHWQUPZWHWJXIWHWGCUGFCUGZWGCFIUEUFFCW
        GIUEUFVFXIDEWGCGHIKLTMWOWRXGWQWSUMZWOXCXGWQXDUMZWOXEXGWQXFUMZWOXGWQUNZW
        OXAXGWQXBUMZXIWGCKUEWIXICWGDEGHIKLTMXKXOXNXLXMXHWPWJUQZURUSADEUGWMWFXGW
        QUBUTVAAXJWMWFXGWQUAUTXIWCCWGFGHILMXKWOWMXGWQWTUMZXOXNAFGUFWMWFXGWQSUTZ
        XICWCXIWDWEWNWFXGWQVGZVBVCXHWPWJVDXIFCWCGHIKLTMXKXRXOXQXIWDWEXSVEVHVIXI
        WGFCGHIJULLMNXNXRXOXKVJVKXPVLVPVMVNAFCGHIKUCLTMRSOADEGVQGVQUFAGHVRLVOVS
        PQUBVTWAWB $.

      ${
        $d X y $.  $d Y y $.
        hlcgreulem.x $e |- ( ph -> X e. P ) $.
        hlcgreulem.y $e |- ( ph -> Y e. P ) $.
        hlcgreulem.1 $e |- ( ph -> X ( K ` A ) D ) $.
        hlcgreulem.2 $e |- ( ph -> Y ( K ` A ) D ) $.
        hlcgreulem.3 $e |- ( ph -> ( A .- X ) = ( B .- C ) ) $.
        hlcgreulem.4 $e |- ( ph -> ( A .- Y ) = ( B .- C ) ) $.
        $( Lemma for ~ hlcgreu .  (Contributed by Thierry Arnoux,
           9-Aug-2020.) $)
        hlcgreulem $p |- ( ph -> X = Y ) $=
          ( vy cv co wcel wne wceq cstrkg ad2antrr simplr simprr necomd cfv wbr
          wa hlcomd simprl btwnhl tgbtwncom tgsegconeq cvv cbs fvexi tgbtwndiff
          a1i nehash2 r19.29a ) ABEUJUKZHULUMZBVPUNZVCZKLUOUJFAVPFUMZVCZVSVCZBC
          DVPFKLGHJMUANAGUPUMVTVSSUQZABFUMVTVSPUQZACFUMVTVSQUQADFUMVTVSRUQAVTVS
          URZAKFUMVTVSUDUQZALFUMVTVSUEUQZWBBVPWAVQVRUSUTWBKBVPFGHJMUANWCWFWDWEW
          BEKVPBFGHIMNOAEFUMVTVSTUQZWFWEWCWDAEKBIVAZVBVTVSAKEBFGHIUPMNOUDTPSUFV
          DUQWAVQVRVEZVFVGWBLBVPFGHJMUANWCWGWDWEWBELVPBFGHIMNOWHWGWEWCWDAELWIVB
          VTVSALEBFGHIUPMNOUETPSUGVDUQWJVFVGABKJULCDJULZUOVTVSUHUQABLJULWKUOVTV
          SUIUQVHAEBFGHJUJMUANSTPACDFVIFVIUMAFGVJMVKVMQRUCVNVLVO $.
      $}

      $( The point constructed in ~ hlcgrex is unique.  Theorem 6.11 of
         [Schwabhauser] p. 44.  (Contributed by Thierry Arnoux, 9-Aug-2020.) $)
      hlcgreu $p |- ( ph
        -> E! x e. P ( x ( K ` A ) D /\ ( A .- x ) = ( B .- C ) ) ) $=
        ( vy cv cfv wbr co wceq wa wrex wral wreu hlcgrex wcel ad3antrrr cstrkg
        wne simpllr simplr simprll simprrl simprlr simprrr hlcgreulem ralrimiva
        wi ex breq1 oveq2 eqeq1d anbi12d reu4 sylanbrc ) ABUDZFCJUEZUFZCVNKUGZD
        EKUGZUHZUIZBGUJVTUCUDZFVOUFZCWAKUGZVRUHZUIZUIZVNWAUHZVFZUCGUKZBGUKVTBGU
        LABCDEFGHIJKLMNOPQRSTUAUBUMAWIBGAVNGUNZUIZWHUCGWKWAGUNZUIZWFWGWMWFUICDE
        FGHIJKVNWALMNACGUNWJWLWFOUOADGUNWJWLWFPUOAEGUNWJWLWFQUOAHUPUNWJWLWFRUOA
        FGUNWJWLWFSUOTAFCUQWJWLWFUAUOADEUQWJWLWFUBUOAWJWLWFURWKWLWFUSWMVPVSWEUT
        WMVTWBWDVAWMVPVSWEVBWMVTWBWDVCVDVGVEVEVTWEBUCGWGVPWBVSWDVNWAFVOVHWGVQWC
        VRVNWACKVIVJVKVLVM $.
    $}
  $}

  $( Once we have proven that ` ( K `` A ) `  is an equivalence relation, we
     may define rays from the point ` A ` as its equivalence classes, however
     it does not seem necessary at this point to add a new definition. $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Lines
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    btwnlng1.p $e |- P = ( Base ` G ) $.
    btwnlng1.i $e |- I = ( Itv ` G ) $.
    btwnlng1.l $e |- L = ( LineG ` G ) $.
    btwnlng1.g $e |- ( ph -> G e. TarskiG ) $.
    btwnlng1.x $e |- ( ph -> X e. P ) $.
    btwnlng1.y $e |- ( ph -> Y e. P ) $.
    btwnlng1.z $e |- ( ph -> Z e. P ) $.
    btwnlng1.d $e |- ( ph -> X =/= Y ) $.
    ${
      btwnlng1.1 $e |- ( ph -> Z e. ( X I Y ) ) $.
      $( Betweenness implies colinearity.  (Contributed by Thierry Arnoux,
         28-Mar-2019.) $)
      btwnlng1 $p |- ( ph -> Z e. ( X L Y ) ) $=
        ( co wcel w3o 3mix1d tgellng mpbird ) AHFGERSHFGDRSZFHGDRSZGFHDRSZTAUDU
        EUFQUAABCDEFGHIKJLMNPOUBUC $.
    $}

    ${
      btwnlng2.1 $e |- ( ph -> X e. ( Z I Y ) ) $.
      $( Betweenness implies colinearity.  (Contributed by Thierry Arnoux,
         28-Mar-2019.) $)
      btwnlng2 $p |- ( ph -> Z e. ( X L Y ) ) $=
        ( co wcel w3o 3mix2d tgellng mpbird ) AHFGERSHFGDRSZFHGDRSZGFHDRSZTAUEU
        DUFQUAABCDEFGHIKJLMNPOUBUC $.
    $}

    ${
      btwnlng3.1 $e |- ( ph -> Y e. ( X I Z ) ) $.
      $( Betweenness implies colinearity.  (Contributed by Thierry Arnoux,
         28-Mar-2019.) $)
      btwnlng3 $p |- ( ph -> Z e. ( X L Y ) ) $=
        ( co wcel w3o 3mix3d tgellng mpbird ) AHFGERSHFGDRSZFHGDRSZGFHDRSZTAUFU
        DUEQUAABCDEFGHIKJLMNPOUBUC $.
    $}

    ${
      lncom.1 $e |- ( ph -> Z e. ( Y L X ) ) $.
      $( Swapping the points defining a line keeps it unchanged.  Part of
         Theorem 4.11 of [Schwabhauser] p. 34.  (Contributed by Thierry Arnoux,
         3-Apr-2019.) $)
      lncom $p |- ( ph -> Z e. ( X L Y ) ) $=
        ( co wcel w3o 3orcomb cds cfv eqid tgbtwncomb 3orbi123d tgellng 3bitr4d
        syl5bb necomd mpbird ) AHFGERSZHGFERSZQAHFGDRSZFHGDRSZGFHDRSZTZHGFDRSZG
        HFDRSZFGHDRSZTZULUMUQUNUPUOTAVAUNUOUPUAAUNURUPUSUOUTAFHGBCDCUBUCZIVBUDZ
        JLMONUEAFGHBCDVBIVCJLMNOUEAHFGBCDVBIVCJLOMNUEUFUIABCDEFGHIKJLMNPOUGABCD
        EGFHIKJLNMAFGPUJOUGUHUK $.
    $}

    ${
      lnrot1.1 $e |- ( ph -> Y e. ( Z L X ) ) $.
      lnrot1.2 $e |- ( ph -> Z =/= X ) $.
      $( Rotating the points defining a line.  Part of Theorem 4.11 of
         [Schwabhauser] p. 34.  (Contributed by Thierry Arnoux, 3-Apr-2019.) $)
      lnrot1 $p |- ( ph -> Z e. ( X L Y ) ) $=
        ( co wcel w3o cds cfv eqid tgbtwncomb biidd 3orbi123d wb 3orrot tgellng
        a1i 3bitr4rd bitr4d mpbird ) AHFGESTZGHFESTZQAUOGHFDSTZHGFDSTZFHGDSTZUA
        ZUPAURUSUQUAZHFGDSTZUSGFHDSTZUAUTUOAURVBUSUSUQVCAGHFBCDCUBUCZIVDUDZJLNO
        MUEAUSUFAHGFBCDVDIVEJLONMUEUGUTVAUHAUQURUSUIUKABCDEFGHIKJLMNPOUJULABCDE
        HFGIKJLOMRNUJUMUN $.
    $}

    ${
      lnrot2.1 $e |- ( ph -> X e. ( Y L Z ) ) $.
      lnrot2.2 $e |- ( ph -> Y =/= Z ) $.
      $( Rotating the points defining a line.  Part of Theorem 4.11 of
         [Schwabhauser] p. 34.  (Contributed by Thierry Arnoux, 3-Apr-2019.) $)
      lnrot2 $p |- ( ph -> Z e. ( X L Y ) ) $=
        ( co wcel w3o cds cfv tgbtwncomb biidd 3orbi123d 3orrot bitr4di tgellng
        eqid 3bitr4d mpbid ) AFGHESTZHFGESTZQAFGHDSTZGFHDSTZHGFDSTZUAZHFGDSTZFH
        GDSTZUPUAZUMUNAURUTUPUSUAVAAUOUTUPUPUQUSAGFHBCDCUBUCZIVBUJZJLNMOUDAUPUE
        AGHFBCDVBIVCJLNOMUDUFUSUTUPUGUHABCDEGHFIKJLNORMUIABCDEFGHIKJLMNPOUIUKUL
        $.
    $}
  $}

  ${
    tglineelsb2.p $e |- B = ( Base ` G ) $.
    tglineelsb2.i $e |- I = ( Itv ` G ) $.
    tglineelsb2.l $e |- L = ( LineG ` G ) $.
    tglineelsb2.g $e |- ( ph -> G e. TarskiG ) $.
    ${
      ncolne.x $e |- ( ph -> X e. B ) $.
      ncolne.y $e |- ( ph -> Y e. B ) $.
      ncolne.z $e |- ( ph -> Z e. B ) $.
      ncolne.2 $e |- ( ph -> -. ( X e. ( Y L Z ) \/ Y = Z ) ) $.
      $( Non-colinear points are different.  (Contributed by Thierry Arnoux,
         8-Aug-2019.) $)
      ncolne1 $p |- ( ph -> X =/= Y ) $=
        ( wceq co wcel adantr wo cstrkg cds cfv eqid tgbtwntriv1 oveq1d eleqtrd
        wa simpr btwncolg1 mtand neqned ) AFGAFGQZFGHERSGHQUAPAUNUIZBCDEGHFIKJA
        CUBSUNLTZAGBSUNNTAHBSUNOTZAFBSUNMTZUOFFHDRGHDRUOFHBCDCUCUDZIUSUEJUPURUQ
        UFUOFGHDAUNUJUGUHUKULUM $.

      $( Non-colinear points are different.  (Contributed by Thierry Arnoux,
         8-Aug-2019.)  TODO (NM): maybe ~ ncolne2 could be simplified out and
         deleted, replaced by ~ ncolcom . $)
      ncolne2 $p |- ( ph -> X =/= Z ) $=
        ( ncolcom ncolne1 ) ABCDEFHGIJKLMONABCDEGHFIKJLNOMPQR $.
    $}

    ${
      $d A x y $.  $d B x y z $.  $d G x y z $.  $d I x y z $.  $d ph x y z $.
      tgisline.1 $e |- ( ph -> A e. ran L ) $.
      $( The property of being a proper line, generated by two distinct points.
         (Contributed by Thierry Arnoux, 25-May-2019.) $)
      tgisline $p |- ( ph ->
        E. x e. B E. y e. B ( A = ( x L y ) /\ x =/= y ) ) $=
        ( vz cv co wcel wceq wa wrex w3o crab wne csn cdif cstrkg adantr simprl
        simprr eldifad eldifsn sylib simprd necomd tglngval jca ralrimivva cmpo
        crn tglng syl rneqd eleqtrd wb elrnmpog mpbid r19.29d2r wss difss simpr
        eqid simpll eqtr4d simplr reximi ssrexv mpsyl ) ABOZCOZHPZNOZVRVSGPQVRW
        AVSGPQVSVRWAGPQUANEUBZRZVRVSUCZSZDWBRZSZCEVRUDZUEZTZBETDVTRZWDSZCETZBET
        AWEWFBCEWIAWEBCEWIAVREQZVSWIQZSZSZWCWDWQNEFGHVRVSIKJAFUFQZWPLUGAWNWOUHW
        QVSEWHAWNWOUIZUJWQVSVRWQVSEQZVSVRUCZWQWOWTXASWSVSEVRUKULUMUNZUOXBUPUQAD
        BCEWIWBURZUSZQZWFCWITBETZADHUSZXDMAHXCAWRHXCRLBCNEFGHIKJUTVAVBVCADXGQXE
        XFVDMBCEWIWBDXCXGXCVKVEVAVFVGWJWMBEWIEVHWJWLCWITWMEWHVIWGWLCWIWGWKWDWGD
        WBVTWEWFVJWCWDWFVLVMWCWDWFVNUPVOWLCWIEVPVQVOVA $.
    $}

    ${
      $d B x y $.  $d G x y $.  $d I x y $.  $d L x y $.  $d X x y $.
      $d Y x y $.  $d ph x y $.
      tglnne.x $e |- ( ph -> X e. B ) $.
      tglnne.y $e |- ( ph -> Y e. B ) $.
      tglnne.1 $e |- ( ph -> ( X L Y ) e. ran L ) $.
      $( It takes two different points to form a line.  (Contributed by Thierry
         Arnoux, 27-Nov-2019.) $)
      tglnne $p |- ( ph -> X =/= Y ) $=
        ( vx vy co wa wcel ad3antrrr wceq wne cstrkg simpllr simplr simprr eqid
        cds cfv tgbtwntriv1 btwnlng1 simprl eleqtrrd tglngne tgisline r19.29vva
        cv ) AFGEQZOUQZPUQZEQZUAZUSUTUBZRZFGUBOPBBAUSBSZRZUTBSZRZVDRZBCDEFGUSHJ
        IACUCSVEVGVDKTZAFBSVEVGVDLTAGBSVEVGVDMTVIUSVAURVIBCDEUSUTUSHIJVJAVEVGVD
        UDZVFVGVDUEZVKVHVBVCUFVIUSUTBCDCUHUIZHVMUGIVJVKVLUJUKVHVBVCULUMUNAOPURB
        CDEHIJKNUOUP $.
    $}

    ${
      $d A x y $.  $d B x y $.  $d G x y $.  $d I x y $.  $d L x y $.
      $d ph x y $.
      tglndim0.d $e |- ( ph -> ( # ` B ) = 1 ) $.
      $( There are no lines in dimension 0.  (Contributed by Thierry Arnoux,
         18-Oct-2019.) $)
      tglndim0 $p |- ( ph -> -. A e. ran L ) $=
        ( vx vy crn wcel wa cv co wceq wfal wne cbs chash cfv c1 ad4antr simplr
        simpllr tgldim0eq simprr pm2.21ddne cstrkg adantr simpr r19.29vva inegd
        tgisline ) ABFNOZAURPZBLQZMQZFRSZUTVAUAZPZTLMCCUSUTCOZPZVACOZPZVDPZTUTV
        AVIUTVACUBDGACUCUDUESURVEVGVDKUFUSVEVGVDUHVFVGVDUGUIVHVBVCUJUKUSLMBCDEF
        GHIADULOURJUMAURUNUQUOUP $.
    $}

    ${
      tgelrnln.x $e |- ( ph -> X e. B ) $.
      tgelrnln.y $e |- ( ph -> Y e. B ) $.
      tgelrnln.d $e |- ( ph -> X =/= Y ) $.
      $( The property of being a proper line, generated by two distinct points.
         (Contributed by Thierry Arnoux, 25-May-2019.) $)
      tgelrnln $p |- ( ph -> ( X L Y ) e. ran L ) $=
        ( co cop cfv cid wcel syl2anc crn df-ov cxp cdif wfn cstrkg syl opelxpd
        tglnfn wne wn wbr wceq df-br bitr3id necon3bbid biimpar eldifd fnfvelrn
        ideqg eqeltrid ) AFGEOFGPZEQZEUAZFGEUBAEBBUCZRUDZUEZVBVFSVCVDSACUFSVGKB
        CDEHJIUIUGAVBVERAFGBBLMUHAGBSZFGUJZVBRSZUKZMNVHVKVIVHVJFGVJFGRULVHFGUMF
        GRUNFGBUTUOUPUQTURVFVBEUSTVA $.
    $}

    tglineelsb2.1 $e |- ( ph -> P e. B ) $.
    tglineelsb2.2 $e |- ( ph -> Q e. B ) $.
    tglineelsb2.4 $e |- ( ph -> P =/= Q ) $.
    ${
      tglineelsb2.3 $e |- ( ph -> S e. B ) $.
      tglineelsb2.5 $e |- ( ph -> S =/= P ) $.
      tglineelsb2.6 $e |- ( ph -> S e. ( P L Q ) ) $.
      ${
        tglineeltr.7 $e |- ( ph -> R e. B ) $.
        tglineeltr.8 $e |- ( ph -> R e. ( P L S ) ) $.
        $( Transitivity law for lines, one half of ~ tglineelsb2 .
           (Contributed by Thierry Arnoux, 25-May-2019.) $)
        tglineeltr $p |- ( ph -> R e. ( P L Q ) ) $=
          ( co wcel wceq wo wn wa cstrkg ad3antrrr simpllr cds cfv simplr simpr
          eqid tgbtwnexch btwncolg1 tgbtwncom tgbtwnexch3 tgbtwnconnln3 tgellng
          btwncolg2 w3o mpbid ad2antrr mpjao3dan an32s mpidan wne tgbtwnconnln2
          necomd colrot2 tgbtwnintr btwncolg3 colcom tgbtwnconnln1 tgbtwnouttr2
          tgbtwnouttr id adantr biimpa syl21anc neneqd pm5.61 simplbi syl2anc )
          AECDIUBZUCZCDUDZUEZWIUFZWHAECFHUBZUCZWJCEFHUBUCZFCEHUBUCZAWMEBUCZWJTA
          WPWMWJAWPUGZWMUGZFCDHUBUCZWJCFDHUBUCZDWLUCZWRWSUGZBGHICDEJLKAGUHUCZWP
          WMWSMUIZACBUCZWPWMWSNUIZADBUCZWPWMWSOUIZAWPWMWSUJZXBCEFDBGHGUKULZJXJU
          OZKXDXFXIAFBUCZWPWMWSQUIXHWQWMWSUMWRWSUNUPUQWRWTUGZBGHICDEJLKAXCWPWMW
          TMUIZAXEWPWMWTNUIZAXGWPWMWTOUIZAWPWMWTUJZXMFECDBGHXJJXKKXNAXLWPWMWTQU
          IZXQXOXPXMCEFBGHXJJXKKXNXOXQXRWQWMWTUMURWRWTUNUSVBWRXAUGCEDFBGHIJKAXC
          WPWMXAMUIAXEWPWMXANUIAWPWMXAUJAXGWPWMXAOUIAXLWPWMXAQUIWQWMXAUMWRXAUNL
          UTAWSWTXAVCZWPWMAFWGUCXSSABGHICDFJLKMNOPQVAVDZVEVFVGVHAWNWPWJTAWPWNWJ
          WQWNUGZWSWJWTXAYAWSUGZBGHICDEJLKAXCWPWNWSMUIZAXEWPWNWSNUIZAXGWPWNWSOU
          IZAWPWNWSUJZYBECFDBGHXJJXKKYCYFYDAXLWPWNWSQUIYEACFVIZWPWNWSAFCRVKZUIW
          QWNWSUMYAWSUNVRVBYAWTUGZBGHIDECJLKAXCWPWNWTMUIZAXGWPWNWTOUIZAWPWNWTUJ
          ZAXEWPWNWTNUIZYIFCDEBGHIJKYJAXLWPWNWTQUIZYMYKYLLAFCVIZWPWNWTRUIYAWTUN
          YIECFBGHXJJXKKYJYLYMYNWQWNWTUMURVJVLYAXAUGZBGHIDCEJLKAXCWPWNXAMUIZAXG
          WPWNXAOUIZAXEWPWNXANUIZAWPWNXAUJZYPBGHIDCEJLKYQYRYSYTYPDCEFBGHXJJXKKY
          QYRYSYTAXLWPWNXAQUIYAXAUNWQWNXAUMVMVNVOAXSWPWNXTVEVFVGVHAWOWPWJTAWPWO
          WJWQWOUGZWSWJWTXAUUAWSUGZBGHIDECJLKAXCWPWOWSMUIZAXGWPWOWSOUIZAWPWOWSU
          JZAXEWPWOWSNUIZUUBCFDEBGHIJKUUCUUFAXLWPWOWSQUIUUDUUELAYGWPWOWSYHUIUUA
          WSUNWQWOWSUMVPVLUUAWTUGZBGHICDEJLKAXCWPWOWTMUIZAXEWPWOWTNUIZAXGWPWOWT
          OUIZAWPWOWTUJZUUGEFCDBGHXJJXKKUUHUUKAXLWPWOWTQUIZUUIUUJAYOWPWOWTRUIUU
          GCFEBGHXJJXKKUUHUUIUULUUKWQWOWTUMURUUAWTUNVQVBUUAXAUGZBGHICDEJLKAXCWP
          WOXAMUIZAXEWPWOXANUIZAXGWPWOXAOUIZAWPWOXAUJZUUMCDFEBGHXJJXKKUUNUUOUUP
          AXLWPWOXAQUIUUQUUAXAUNWQWOXAUMUPVNAXSWPWOXTVEVFVGVHAAWPECFIUBUCZWMWNW
          OVCZAVSTUAWQUURUUSWQBGHICFEJLKAXCWPMVTAXEWPNVTAXLWPQVTAYGWPYHVTAWPUNV
          AWAWBVFACDPWCWJWKUGWHWKWHWIWDWEWF $.
      $}

      $d x L $.  $d x P $.  $d x Q $.  $d x S $.  $d x ph $.
      $( If ` S ` lies on PQ , then PQ = PS .  Theorem 6.16 of [Schwabhauser]
         p. 45.  (Contributed by Thierry Arnoux, 17-May-2019.) $)
      tglineelsb2 $p |- ( ph -> ( P L Q ) = ( P L S ) ) $=
        ( wcel adantr vx co cv wa cstrkg wne necomd lncom lnrot1 tglnssp sselda
        simpr tglineeltr impbida eqrdv ) AUACDHUBZCEHUBZAUAUCZUPSZURUQSZAUSUDZB
        CEURDFGHIJKAFUESZUSLTZACBSZUSMTZAEBSZUSPTZACEUFUSAECQUGZTZADBSZUSNTZADC
        UFUSACDOUGTZVABFGHCEDIJKVCVEVGVKVIVABFGHDCEIJKVCVKVEVGVLAEUPSZUSRTUHVLU
        IAUPBURABFGHCDIKJLMNOUJUKAUSULUMAUTUDBCDUREFGHIJKAVBUTLTAVDUTMTAVJUTNTA
        CDUFUTOTAVFUTPTAECUFUTQTAVMUTRTAUQBURABFGHCEIKJLMPVHUJUKAUTULUMUNUO $.
    $}

    $( Reflexivity law for line membership.  Part of theorem 6.17 of
       [Schwabhauser] p. 45.  (Contributed by Thierry Arnoux, 17-May-2019.) $)
    tglinerflx1 $p |- ( ph -> P e. ( P L Q ) ) $=
      ( cds cfv eqid tgbtwntriv1 btwnlng1 ) ABEFGCDCHIJKLMLNACDBEFEOPZHTQIKLMRS
      $.

    $( Reflexivity law for line membership.  Part of theorem 6.17 of
       [Schwabhauser] p. 45.  (Contributed by Thierry Arnoux, 17-May-2019.) $)
    tglinerflx2 $p |- ( ph -> Q e. ( P L Q ) ) $=
      ( cds cfv eqid tgbtwntriv2 btwnlng1 ) ABEFGCDDHIJKLMMNACDBEFEOPZHTQIKLMRS
      $.

    ${
      $d x L $.  $d x P $.  $d x Q $.  $d x ph $.
      $( Commutativity law for lines.  Part of theorem 6.17 of [Schwabhauser]
         p. 45.  (Contributed by Thierry Arnoux, 17-May-2019.) $)
      tglinecom $p |- ( ph -> ( P L Q ) = ( Q L P ) ) $=
        ( vx co wcel wa adantr tglnssp cv cstrkg sselda wne simpr lncom impbida
        necomd eqrdv ) AOCDGPZDCGPZAOUAZUJQZULUKQZAUMRBEFGDCULHIJAEUBQZUMKSADBQ
        ZUMMSACBQZUMLSAUJBULABEFGCDHJIKLMNTUCADCUDUMACDNUHZSAUMUEUFAUNRBEFGCDUL
        HIJAUOUNKSAUQUNLSAUPUNMSAUKBULABEFGDCHJIKMLURTUCACDUDUNNSAUNUEUFUGUI $.

      $d A x y $.  $d B x y $.  $d G y x $.  $d I x y $.  $d L x y $.
      $d P x y $.  $d Q x y $.  $d ph x y $.
      tglinethru.0 $e |- ( ph -> P =/= Q ) $.
      tglinethru.1 $e |- ( ph -> A e. ran L ) $.
      tglinethru.2 $e |- ( ph -> P e. A ) $.
      tglinethru.3 $e |- ( ph -> Q e. A ) $.
      $( If ` A ` is a line containing two distinct points ` P ` and ` Q ` ,
         then ` A ` is the line through ` P ` and ` Q ` .  Theorem 6.18 of
         [Schwabhauser] p. 45.  (Contributed by Thierry Arnoux,
         25-May-2019.) $)
      tglinethru $p |- ( ph -> A = ( P L Q ) ) $=
        ( ad4antr vx vy cv co wceq wne wa cstrkg simp-4r simpllr simplrr necomd
        wcel simpr neeqtrd simplrl eleqtrd tglineelsb2 oveq1d 3eqtr4d tglinecom
        3eqtrd eqtrd pm2.61dane tgisline r19.29vva ) ABUAUCZUBUCZHUDZUEZVGVHUFZ
        UGZBDEHUDZUEZUAUBCCAVGCUMZUGZVHCUMZUGZVLUGZVNDVGVSDVGUEZUGZVIVGEHUDBVMW
        ACVGVHEFGHIJKAFUHUMZVOVQVLVTLTAVOVQVLVTUIVPVQVLVTUJVRVJVKVTUKAECUMZVOVQ
        VLVTNTWAEDVGWADEADEUFZVOVQVLVTPTULVSVTUNZUOWAEBVIAEBUMZVOVQVLVTSTVRVJVK
        VTUPZUQURWGWADVGEHWEUSUTVSDVGUFZUGZBDVGHUDZVMWIBVIVGDHUDWJVRVJVKWHUPZWI
        CVGVHDFGHIJKAWBVOVQVLWHLTZAVOVQVLWHUIZVPVQVLWHUJVRVJVKWHUKADCUMVOVQVLWH
        MTZVSWHUNZWIDBVIADBUMVOVQVLWHRTWKUQURWICVGDFGHIJKWLWMWNWIDVGWOULVAVBZWI
        CDVGEFGHIJKWLWNWMWOAWCVOVQVLWHNTWIDEAWDVOVQVLWHPTULWIEBWJAWFVOVQVLWHSTW
        PUQURVCVDAUAUBBCFGHIJKLQVEVF $.
    $}

    ${
      $d B x y $.  $d G x y $.  $d I x y $.  $d L x y $.  $d P x y $.
      $d Q x y $.  $d ph x y $.
      $( There is a line through any two distinct points.  Hilbert's axiom I.1
         for geometry.  (Contributed by Thierry Arnoux, 25-May-2019.) $)
      tghilberti1 $p |- ( ph -> E. x e. ran L ( P e. x /\ Q e. x ) ) $=
        ( co crn wcel wa eleq2 cv wrex tgelrnln tglinerflx1 tglinerflx2 anbi12d
        wceq rspcev syl12anc ) ADEHPZHQZRDUJRZEUJRZDBUAZRZEUNRZSZBUKUBACFGHDEIJ
        KLMNOUCACDEFGHIJKLMNOUDACDEFGHIJKLMNOUEUQULUMSBUJUKUNUJUGUOULUPUMUNUJDT
        UNUJETUFUHUI $.

      $( There is at most one line through any two distinct points.  Hilbert's
         axiom I.2 for geometry.  (Contributed by Thierry Arnoux,
         25-May-2019.) $)
      tghilberti2 $p |- ( ph -> E* x e. ran L ( P e. x /\ Q e. x ) ) $=
        ( vy cv wcel wa 3ad2ant1 weq wi crn wral wrmo w3a co cstrkg wne simp3ll
        simp2l simp3lr tglinethru simp2r simp3rl simp3rr eqtr4d ralrimivva rmo4
        3expia eleq2w anbi12d sylibr ) ADBQZRZEVDRZSZDPQZRZEVHRZSZSZBPUAZUBZPHU
        CZUDBVOUDVGBVOUEAVNBPVOVOAVDVORZVHVORZSZVLVMAVRVLUFZVDDEHUGVHVSVDCDEFGH
        IJKAVRFUHRVLLTZAVRDCRVLMTZAVRECRVLNTZAVRDEUIVLOTZWCAVPVQVLUKVEVFVKAVRUJ
        VEVFVKAVRULUMVSVHCDEFGHIJKVTWAWBWCWCAVPVQVLUNVIVJVGAVRUOVIVJVGAVRUPUMUQ
        UTURVGVKBPVOVMVEVIVFVJBPDVABPEVAVBUSVC $.

      $( There is a unique line going through any two distinct points.  Theorem
         6.19 of [Schwabhauser] p. 46.  (Contributed by Thierry Arnoux,
         25-May-2019.) $)
      tglinethrueu $p |- ( ph -> E! x e. ran L ( P e. x /\ Q e. x ) ) $=
        ( cv wcel wa crn wrex wrmo wreu tghilberti1 tghilberti2 reu5 sylanbrc )
        ADBPZQEUGQRZBHSZTUHBUIUAUHBUIUBABCDEFGHIJKLMNOUCABCDEFGHIJKLMNOUDUHBUIU
        EUF $.
    $}
  $}

  ${
    $d A x y $.  $d G x y $.  $d ph x y $.
    tglnne0.l $e |- L = ( LineG ` G ) $.
    tglnne0.g $e |- ( ph -> G e. TarskiG ) $.
    tglnne0.1 $e |- ( ph -> A e. ran L ) $.
    $( A line ` A ` has at least one point.  (Contributed by Thierry Arnoux,
       4-Mar-2020.) $)
    tglnne0 $p |- ( ph -> A =/= (/) ) $=
      ( vx vy cv co wceq wne wa c0 cbs cfv wcel citv eqid cstrkg simpllr simplr
      ad3antrrr simprr tglinerflx1 simprl eleqtrrd ne0d tgisline r19.29vva ) AB
      HJZIJZDKZLZULUMMZNZBOMHICPQZURAULURRZNZUMURRZNZUQNZBULVCULUNBVCURULUMCCSQ
      ZDURTZVDTZEACUARUSVAUQFUDAUSVAUQUBUTVAUQUCVBUOUPUEUFVBUOUPUGUHUIAHIBURCVD
      DVEVFEFGUJUK $.
  $}

  ${
    $d x y z A $.  $d x z G $.  $d x z I $.  $d x z P $.  $d x y z X $.
    $d x z ph $.
    tglnpt2.p $e |- P = ( Base ` G ) $.
    tglnpt2.i $e |- I = ( Itv ` G ) $.
    tglnpt2.l $e |- L = ( LineG ` G ) $.
    tglnpt2.g $e |- ( ph -> G e. TarskiG ) $.
    tglnpt2.a $e |- ( ph -> A e. ran L ) $.
    tglnpt2.x $e |- ( ph -> X e. A ) $.
    $( Find a second point on a line.  (Contributed by Thierry Arnoux,
       18-Oct-2019.) $)
    tglnpt2 $p |- ( ph -> E. y e. A X =/= y ) $=
      ( vx vz cv wne wa wcel co wceq cstrkg ad4antr simp-4r simpllr tglinerflx2
      wrex simplrr simplrl eleqtrrd simpr eqnetrd rspcev tglinerflx1 pm2.61dane
      neeq2 syl2anc tgisline r19.29vva ) ACOQZPQZGUAZUBZVAVBRZSZHBQZRZBCUHZOPDD
      AVADTZSZVBDTZSZVFSZVIHVAVNHVAUBZSZVBCTHVBRZVIVPVBVCCVPDVAVBEFGIJKAEUCTZVJ
      VLVFVOLUDAVJVLVFVOUEVKVLVFVOUFVMVDVEVOUIZUGVMVDVEVOUJUKVPHVAVBVNVOULVSUMV
      HVQBVBCVGVBHUQUNURVNHVARZSZVACTVTVIWAVAVCCWADVAVBEFGIJKAVRVJVLVFVTLUDAVJV
      LVFVTUEVKVLVFVTUFVMVDVEVTUIUOVMVDVEVTUJUKVNVTULVHVTBVACVGVAHUQUNURUPAOPCD
      EFGIJKLMUSUT $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d ph x y $.
    tglineintmo.p $e |- P = ( Base ` G ) $.
    tglineintmo.i $e |- I = ( Itv ` G ) $.
    tglineintmo.l $e |- L = ( LineG ` G ) $.
    tglineintmo.g $e |- ( ph -> G e. TarskiG ) $.
    ${
      tglineintmo.a $e |- ( ph -> A e. ran L ) $.
      tglineintmo.b $e |- ( ph -> B e. ran L ) $.
      tglineintmo.c $e |- ( ph -> A =/= B ) $.
      $( Two distinct lines intersect in at most one point.  Theorem 6.21 of
         [Schwabhauser] p. 46.  (Contributed by Thierry Arnoux,
         25-May-2019.) $)
      tglineintmo $p |- ( ph -> E* x ( x e. A /\ x e. B ) ) $=
        ( vy wcel wa ad2antrr wss cv wceq wi wal wmo wne wn cstrkg cuni elssuni
        crn syl tglnunirn sstrd simplrl simpld sseldd simplrr tglinethru simprd
        co simpr eqtr4d neneqd pm2.65da sylib ex alrimivv eleq1w anbi12d sylibr
        nne mo4 ) ABUAZCQZVNDQZRZPUAZCQZVRDQZRZRZVNVRUBZUCZPUDBUDVQBUEAWDBPAWBW
        CAWBRZVNVRUFZUGWCWEWFCDUBWEWFRZCVNVRHVADWGCEVNVRFGHIJKAFUHQZWBWFLSZWGCE
        VNACETWBWFACHUKZUIZEACWJQZCWKTMCWJUJULAWHWKETLEFGHIKJUMULUNSZWGVOVPAVQW
        AWFUOZUPZUQZWGCEVRWMWGVSVTAVQWAWFURZUPZUQZWEWFVBZWTAWLWBWFMSWOWRUSWGDEV
        NVRFGHIJKWIWPWSWTWTADWJQWBWFNSWGVOVPWNUTWGVSVTWQUTUSVCWGCDACDUFWBWFOSVD
        VEVNVRVLVFVGVHVQWABPWCVOVSVPVTBPCVIBPDVIVJVMVK $.

      $d x X $.  $d x Y $.
      tglineineq.x $e |- ( ph -> X e. ( A i^i B ) ) $.
      tglineineq.y $e |- ( ph -> Y e. ( A i^i B ) ) $.
      $( Two distinct lines intersect in at most one point, variation.  Theorem
         6.21 of [Schwabhauser] p. 46.  (Contributed by Thierry Arnoux,
         6-Aug-2019.) $)
      tglineineq $p |- ( ph -> X = Y ) $=
        ( vx wcel cin cv wa wceq tglineintmo elin sylib eleq1 anbi12d syl212anc
        wmo moi ) AHBCUAZTZIUMTZSUBZBTZUPCTZUCZSUKHBTZHCTZUCZIBTZICTZUCZHIUDQRA
        SBCDEFGJKLMNOPUEAUNVBQHBCUFUGAUOVERIBCUFUGUSVBVESHIUMUMUPHUDUQUTURVAUPH
        BUHUPHCUHUIUPIUDUQVCURVDUPIBUHUPICUHUIULUJ $.
    $}

    ${
      $d x C $.  $d x D $.  $d x L $.  $d x X $.  $d x Y $.
      tglineinteq.a $e |- ( ph -> A e. P ) $.
      tglineinteq.b $e |- ( ph -> B e. P ) $.
      tglineinteq.c $e |- ( ph -> C e. P ) $.
      tglineinteq.d $e |- ( ph -> D e. P ) $.
      tglineinteq.e $e |- ( ph -> -. ( A e. ( B L C ) \/ B = C ) ) $.
      $( Given three non-colinear points, build two different lines.
         (Contributed by Thierry Arnoux, 6-Aug-2019.) $)
      tglineneq $p |- ( ph -> ( A L B ) =/= ( C L D ) ) $=
        ( wcel ad2antrr co wne wceq wn ncolne1 tglinerflx1 simplr cstrkg adantr
        simpr tglngne adantlr neneqd pm2.65da nelne1 syl2an2r pm2.46 syl neqned
        wa wo eleqtrrd lnrot1 orcd pm2.61dane ) ABCIUAZDEIUAZUBZDEABVFSDEUCZBVG
        SZUDVHAFBCGHIJKLMNOAFGHIBCDJKLMNOPRUEUFAVIUTZVJVIAVIVJUGVKVJUTDEAVJDEUB
        ZVIAVJUTFGHIDEBJLKAGUHSZVJMUIADFSZVJPUIAEFSZVJQUIAVJUJUKULUMUNBVFVGUOUP
        AVLUTZVFVGVPVFVGUCZBCDIUASZCDUCZVAZVPVQUTZVRVSWAFGHICDBJKLAVMVLVQMTZACF
        SVLVQOTZAVNVLVQPTZABFSVLVQNTZACDUBVLVQACDAVTUDZVSUDRVRVSUQURUSTWADVGVFW
        AFDEGHIJKLWBWDAVOVLVQQTAVLVQUGUFVPVQUJVBZWAFGHIBCDJLKWBWEWCWGUKVCVDAWFV
        LVQRTUNUSVE $.

      ${
        tglineinteq.1 $e |- ( ph -> X e. ( A L B ) ) $.
        tglineinteq.2 $e |- ( ph -> Y e. ( A L B ) ) $.
        tglineinteq.3 $e |- ( ph -> X e. ( C L D ) ) $.
        tglineinteq.4 $e |- ( ph -> Y e. ( C L D ) ) $.
        $( Two distinct lines intersect in at most one point.  Theorem 6.21 of
           [Schwabhauser] p. 46.  (Contributed by Thierry Arnoux,
           6-Aug-2019.) $)
        tglineinteq $p |- ( ph -> X = Y ) $=
          ( vx co wcel cv wmo wceq tglngne tgelrnln tglineneq tglineintmo eleq1
          wa jca anbi12d moi syl212anc ) AJBCIUFZUGZKVAUGZUEUHZVAUGZVDDEIUFZUGZ
          UPZUEUIVBJVFUGZUPZVCKVFUGZUPZJKUJUAUBAUEVAVFFGHILMNOAFGHIBCLMNOPQAFGH
          IBCJLNMOPQUAUKULAFGHIDELMNORSAFGHIDEJLNMORSUCUKULABCDEFGHILMNOPQRSTUM
          UNAVBVIUAUCUQAVCVKUBUDUQVHVJVLUEJKVAVAVDJUJVEVBVGVIVDJVAUOVDJVFUOURVD
          KUJVEVCVGVKVDKVAUOVDKVFUOURUSUT $.
      $}

      ${
        ncolncol.1 $e |- ( ph -> D e. ( A L B ) ) $.
        ncolncol.2 $e |- ( ph -> D =/= B ) $.
        $( Deduce non-colinearity from non-colinearity and colinearity.
           (Contributed by Thierry Arnoux, 27-Aug-2019.) $)
        ncolncol $p |- ( ph -> -. ( D e. ( B L C ) \/ B = C ) ) $=
          ( co wcel wo wa cstrkg adantr ad2antrr wne tglngne necomd simpr lncom
          wceq tglineelsb2 eleqtrrd pm2.21ddne colrot2 mpjaodan colrot1 mtand
          orcd ) AECDIUAZUBCDUMZUCZBVBUBVCUCRAVDUDZFGHIBCDJLKAGUEUBZVDMUFZABFUB
          ZVDNUFACFUBZVDOUFZADFUBZVDPUFZVEDECIUAUBZDBCIUAUBZBCUMZUCZECUMZVEVMUD
          ZVNVOVRFGHIBCDJKLAVFVDVMMUGZAVHVDVMNUGAVIVDVMOUGZAVKVDVMPUGZABCUHVDVM
          AFGHIBCEJLKMNOSUIZUGVRDCEIUAZCBIUAZVRFGHICEDJKLVSVTAEFUBZVDVMQUGWAACE
          UHVDVMAECTUJUGVEVMUKULAWDWCUMVDVMAFCBEGHIJKLMONABCWBUJZQTAFGHICBEJKLM
          ONQWFSULUNUGUOULVAVEVQUDVPECVEVQUKAECUHVDVQTUGUPVEFGHICDEJLKVGVJVLAWE
          VDQUFAVDUKUQURUSUT $.
      $}
    $}

    ${
      coltr.a $e |- ( ph -> A e. P ) $.
      coltr.b $e |- ( ph -> B e. P ) $.
      coltr.c $e |- ( ph -> C e. P ) $.
      coltr.d $e |- ( ph -> D e. P ) $.
      coltr.1 $e |- ( ph -> A e. ( B L C ) ) $.
      ${
        coltr.2 $e |- ( ph -> ( B e. ( C L D ) \/ C = D ) ) $.
        $( A transitivity law for colinearity.  (Contributed by Thierry Arnoux,
           27-Nov-2019.) $)
        coltr $p |- ( ph -> ( A e. ( C L D ) \/ C = D ) ) $=
          ( wcel co wceq wo wa cstrkg adantr simpr tglinerflx1 ex necon1bd orrd
          wne simplr eqeltrd orim1d mpd wn ad2antrr tglngne necomd lncom lnrot2
          ncolncol condan pm2.61dane ) ABDEIUAZTZDEUBZUCZBDABDUBZUDZDVFTZVHUCZV
          IAVMVJAVLVHAVLDEADEULZVLAVNUDFDEGHIJKLAGUETZVNMUFADFTZVNPUFAEFTZVNQUF
          AVNUGUHUIUJUKUFVKVLVGVHVKVLVGVKVLUDBDVFAVJVLUMVKVLUGUNUIUOUPABDULZUDZ
          VICVFTVHUCZAVTVRVIUQZSURVSWAUDBDECFGHIJKLAVOVRWAMURABFTZVRWANURAVPVRW
          APURAVQVRWAQURACFTZVRWAOURVSWAUGVSCBDIUATWAVSFGHIBDCJKLAVOVRMUFZAWBVR
          NUFZAVPVRPUFZAWCVROUFZAVRUGVSFGHIDCBJKLWDWFWGWEVSCDVSFGHICDBJLKWDWGWF
          ABCDIUATVRRUFZUSUTZWHVAWIVBUFACDULVRWAAFGHICDBJLKMOPRUSURVCVDVE $.
      $}

      ${
        coltr3.2 $e |- ( ph -> D e. ( A I C ) ) $.
        $( A transitivity law for colinearity.  (Contributed by Thierry Arnoux,
           27-Nov-2019.) $)
        coltr3 $p |- ( ph -> D e. ( B L C ) ) $=
          ( adantr co wcel wceq cds cfv cstrkg simpr oveq2d eleqtrrd axtgbtwnid
          wa eqid eqeltrrd btwnlng1 necomd tglngne lnrot1 tglineelsb2 tglinecom
          wne 3eqtr4d eleqtrd pm2.61dane ) AECDIUAZUBBDABDUCZUKZBEVDVFFGHGUDUEZ
          BEJVGULKAGUFUBZVEMTABFUBZVENTAEFUBZVEQTVFEBDHUAZBBHUAAEVKUBZVESTVFBDB
          HAVEUGUHUIUJABVDUBZVERTUMABDUTZUKZEBDIUAZVDVOFGHIBDEJKLAVHVNMTZAVIVNN
          TZADFUBVNPTZAVJVNQTAVNUGZAVLVNSTUNVODBIUADCIUAZVPVDVOFDBCGHIJKLVQVSVR
          VOBDVTUOZACFUBVNOTZACDUTVNAFGHICDBJLKMOPRUPZTZVOFGHIDBCJKLVQVSVRWCWBA
          VMVNRTWEUQURVOFBDGHIJKLVQVRVSVTUSAVDWAUCVNAFCDGHIJKLMOPWDUSTVAVBVC $.
      $}
    $}

    ${
      $d a x L $.  $d x P $.  $d a x X $.  $d a x Y $.  $d a x Z $.  $d a ph $.
      colline.1 $e |- ( ph -> X e. P ) $.
      colline.2 $e |- ( ph -> Y e. P ) $.
      colline.3 $e |- ( ph -> Z e. P ) $.
      colline.4 $e |- ( ph -> 2 <_ ( # ` P ) ) $.
      $( Three points are colinear iff there is a line through all three of
         them.  Theorem 6.23 of [Schwabhauser] p. 46.  (Contributed by Thierry
         Arnoux, 28-May-2019.) $)
      colline $p |- ( ph -> ( ( X e. ( Y L Z ) \/ Y = Z ) <->
        E. a e. ran L ( X e. a /\ Y e. a /\ Z e. a ) ) ) $=
        ( wcel wa eleq2 vx co wceq wo cv w3a crn wrex wne cstrkg ad4antr simplr
        tgelrnln tglinerflx1 simp-4r simpllr eqeltrrd 3anbi123d rspcev syl13anc
        eqeltrd cds cfv eqid tglowdim1i ad2antrr r19.29a tglinerflx2 pm2.61dane
        simpr adantlr simpll neneqd orel2 sylc syl21anc df-ne simplr1 ad3antrrr
        simplr2 simplr3 tglinethru eleqtrd syl5bir orrd orcomd r19.29an impbida
        wn ex ) AFGHEUBZRZGHUCZUDZFIUEZRZGWORZHWORZUFZIEUGZUHZAWNSZXAGHAWMXAWNA
        WMSZXAFHXCFHUCZSZFUAUEZUIZXAUABXEXFBRZSZXGSZFXFEUBZWTRFXKRZGXKRZHXKRZXA
        XJBCDEFXFJKLACUJRZWMXDXHXGMUKZAFBRZWMXDXHXGNUKZXEXHXGULZXIXGVJZUMXJBFXF
        CDEJKLXPXRXSXTUNZXJGHXKAWMXDXHXGUOXJFHXKXCXDXHXGUPYAUQZVAYBWSXLXMXNUFIX
        KWTWOXKUCWPXLWQXMWRXNWOXKFTWOXKGTWOXKHTURUSUTAXGUABUHWMXDAUABCDCVBVCZFJ
        YCVDKMQNVEVFVGXCFHUIZSZFHEUBZWTRFYFRZGYFRZHYFRZXAYEBCDEFHJKLAXOWMYDMVFZ
        AXQWMYDNVFZAHBRZWMYDPVFZXCYDVJZUMYEBFHCDEJKLYJYKYMYNUNYEGHYFAWMYDULYEBF
        HCDEJKLYJYKYMYNVHZVAYOWSYGYHYIUFIYFWTWOYFUCWPYGWQYHWRYIWOYFFTWOYFGTWOYF
        HTURUSUTVIVKXBGHUIZSZWKWTRZWLGWKRZHWKRZXAYQAWLYPYRAWNYPVLZYQWMWIZWNWLYQ
        GHXBYPVJZVMAWNYPULWMWLVNVOZUUCAWLSZYPSZBCDEGHJKLAXOWLYPMVFZAGBRZWLYPOVF
        ZAYLWLYPPVFZUUEYPVJZUMVPUUDYQAWLYPYSUUAUUDUUCUUFBGHCDEJKLUUGUUIUUJUUKUN
        VPYQAWLYPYTUUAUUDUUCUUFBGHCDEJKLUUGUUIUUJUUKVHVPWSWLYSYTUFIWKWTWOWKUCWP
        WLWQYSWRYTWOWKFTWOWKGTWOWKHTURUSUTVIAWSWNIWTAWOWTRZSZWSSZWMWLUUNWMWLUUB
        YPUUNWLGHVQUUNYPWLUUNYPSZFWOWKWPWQWRUUMYPVRUUOWOBGHCDEJKLAXOUULWSYPMVSA
        UUHUULWSYPOVSAYLUULWSYPPVSUUNYPVJZUUPAUULWSYPUPWPWQWRUUMYPVTWPWQWRUUMYP
        WAWBWCWJWDWEWFWGWH $.
    $}

    ${
      $d a b c z G $.  $d a b c z I $.  $d a b c z P $.  $d a b c z ph $.
      tglowdim2l.1 $e |- ( ph -> G TarskiGDim>= 2 ) $.
      $( Reformulation of the lower dimension axiom for dimension two.  There
         exist three non-colinear points.  Theorem 6.24 of [Schwabhauser]
         p. 46.  (Contributed by Thierry Arnoux, 30-May-2019.) $)
      tglowdim2l $p |- ( ph ->
        E. a e. P E. b e. P E. c e. P -. ( c e. ( a L b ) \/ a = b ) ) $=
        ( cv co wcel wn wrex wa rexbidva weq wo w3o cds cstrkg eqid axtglowdim2
        cfv ad3antrrr simpllr simplr simpr tgcolg notbid mpbird ) AHNZFNZGNZEOP
        FGUAUBZQZHBRZGBRZFBRUPUQURDOPUQUPURDOPURUQUPDOPUCZQZHBRZGBRZFBRAFGHBCDC
        UDUHZUEIVGUFJLMUGAVBVFFBAUQBPZSZVAVEGBVIURBPZSZUTVDHBVKUPBPZSZUSVCVMBCD
        EUQURUPIKJACUEPVHVJVLLUIAVHVJVLUJVIVJVLUKVKVLULUMUNTTTUO $.

      $d a b c z A $.  $d a b c z B $.  $d a b c z L $.
      tglowdim2ln.a $e |- ( ph -> A e. P ) $.
      tglowdim2ln.b $e |- ( ph -> B e. P ) $.
      tglowdim2ln.1 $e |- ( ph -> A =/= B ) $.
      $( There is always one point outside of any line.  Theorem 6.25 of
         [Schwabhauser] p. 46.  (Contributed by Thierry Arnoux,
         16-Nov-2019.) $)
      tglowdim2ln $p |- ( ph -> E. c e. P -. c e. ( A L B ) ) $=
        ( vz va vb wcel cv co wral wn wrex weq wo tglowdim2l adantr w3a simpllr
        wa eleq1w simplr3 rspcdva cstrkg ad3antrrr simplr1 simplr2 simpr neqned
        wne tgelrnln tglinethru eleqtrd orcomd ralrimivvva dfral2 ralbii ralnex
        ex orrd bitri sylib pm2.65da rexnal sylibr ) AHUABCGUBZTZHDUCZUDVSUDHDU
        EAVTQUAZRUAZSUAZGUBZTZRSUFZUGZUDQDUEZSDUEZRDUEZAWJVTADEFGRSQIJKLMUHUIAV
        TULZWGQDUCZSDUCZRDUCZWJUDZWKWGRSQDDDWKWBDTZWCDTZWADTZUJZULZWFWEWTWFWEWT
        WFUDZWEWTXAULZWAVRWDXBVSWAVRTHDWAHQVRUMAVTWSXAUKZWPWQWRWKXAUNUOXBVRDWBW
        CEFGIJKAEUPTVTWSXALUQZWPWQWRWKXAURZWPWQWRWKXAUSZXBWBWCWTXAUTVAZXGXBDEFG
        BCIJKXDABDTVTWSXANUQACDTVTWSXAOUQABCVBVTWSXAPUQVCXBVSWBVRTHDWBHRVRUMXCX
        EUOXBVSWCVRTHDWCHSVRUMXCXFUOVDVEVKVLVFVGWNWIUDZRDUCWOWMXHRDWMWHUDZSDUCX
        HWLXISDWGQDVHVIWHSDVJVMVIWIRDVJVMVNVOVSHDVPVQ $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Point inversions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c pInvG $.

  $( Declare the constant for the point inversion function. $)
  cmir $a class pInvG $.

  ${
    $d a b g m $.
    $( Define the point inversion ("mirror") function.  Definition 7.5 of
       [Schwabhauser] p. 49.  See ~ mirval and ~ ismir .  (Contributed by
       Thierry Arnoux, 30-May-2019.) $)
    df-mir $a |- pInvG = ( g e. _V |-> ( m e. ( Base ` g ) |->
      ( a e. ( Base ` g ) |-> ( iota_ b e. ( Base ` g )
      ( ( m ( dist ` g ) b ) = ( m ( dist ` g ) a )
      /\ m e. ( b ( Itv ` g ) a ) ) ) ) ) ) $.
  $}

  ${
    $d b c .- $.  $d b c A $.  $d b c I $.  $d b c M $.  $d b c P $.
    $d b c ph $.
    mirreu.p $e |- P = ( Base ` G ) $.
    mirreu.d $e |- .- = ( dist ` G ) $.
    mirreu.i $e |- I = ( Itv ` G ) $.
    mirreu.g $e |- ( ph -> G e. TarskiG ) $.
    mirreu.a $e |- ( ph -> A e. P ) $.
    mirreu.m $e |- ( ph -> M e. P ) $.
    $( Existential uniqueness of the mirror point.  Theorem 7.8 of
       [Schwabhauser] p. 49.  (Contributed by Thierry Arnoux, 30-May-2019.) $)
    mirreu3 $p |- ( ph
      -> E! b e. P ( ( M .- b ) = ( M .- A ) /\ M e. ( b I A ) ) ) $=
      ( vc co wceq wcel wa adantr cv wrex wi wral wreu eqidd cstrkg tgbtwntriv2
      simpr eqeltrrd oveq2 eqeq1d oveq1 eleq2d anbi12d rspcev ad3antrrr simplrl
      syl12anc simprll simpllr oveq2d eqtrd axtgcgrid simplrr simprrl eqtr3d ex
      ralrimivva jca wne axtgsegcon wb ancom tgbtwncomb anbi2d rexbidva simprlr
      syl5bb mpbid tgbtwncom simprrr tgsegconeq pm2.61dane reu4 sylibr ) AFHUAZ
      GPZFBGPZQZFWGBEPZRZSZHCUBZWMFOUAZGPZWIQZFWOBEPZRZSZSZWGWOQZUCZOCUDHCUDZSZ
      WMHCUEAXEBFABFQZSZWNXDXGBCRZWIWIQZFBBEPZRZWNAXHXFMTZXGWIUFXGBFXJAXFUIXGBB
      CDEGIJKADUGRZXFLTXLXLUHUJWMXIXKSHBCWGBQZWJXIWLXKXNWHWIWIWGBFGUKULXNWKXJFW
      GBBEUMUNUOUPUSXGXCHOCCXGWGCRZWOCRZSZSZXAXBXRXASZFWGWOXSCDEGFWGFIJKAXMXFXQ
      XALUQZAFCRZXFXQXANUQZXGXOXPXAURYBXSWHWIFFGPZXRWJWLWTUTXSBFFGAXFXQXAVAVBZV
      CVDXSCDEGFWOFIJKXTYBXGXOXPXAVEYBXSWPWIYCXRWMWQWSVFYDVCVDVGVHVIVJABFVKZSZW
      NXDYFFBWGEPRZWJSZHCUBZWNYFHFBCDEGBFIJKAXMYELTAXHYEMTZAYAYENTZYKYJVLAYIWNV
      MYEAYHWMHCYHWJYGSAXOSZWMYGWJVNYLYGWLWJYLBFWGCDEGIJKAXMXOLTAXHXOMTAYAXONTA
      XOUIVOVPVSVQTVTYFXCHOCCYFXQSZXAXBYMXASZFFBBCWGWODEGIJKAXMYEXQXALUQZAYAYEX
      QXANUQZYPAXHYEXQXAMUQZYQYFXOXPXAURZYFXOXPXAVEZAYEXQXAVAYNWGFBCDEGIJKYOYRY
      PYQYMWJWLWTVRWAYNWOFBCDEGIJKYOYSYPYQYMWMWQWSWBWAYMWJWLWTUTYMWMWQWSVFWCVHV
      IVJWDWMWTHOCXBWJWQWLWSXBWHWPWIWGWOFGUKULXBWKWRFWGWOBEUMUNUOWEWF $.
  $}

  ${
    mirval.p $e |- P = ( Base ` G ) $.
    mirval.d $e |- .- = ( dist ` G ) $.
    mirval.i $e |- I = ( Itv ` G ) $.
    mirval.l $e |- L = ( LineG ` G ) $.
    mirval.s $e |- S = ( pInvG ` G ) $.
    mirval.g $e |- ( ph -> G e. TarskiG ) $.
    ${
      $d x y z A $.  $d y z B $.  $d x y z C $.  $d g x y z G $.  $d x y z M $.
      $d g x y z I $.  $d g x y z P $.  $d g x y z ph $.  $d g x y z .- $.
      mirval.a $e |- ( ph -> A e. P ) $.
      $( Value of the point inversion function ` S ` .  Definition 7.5 of
         [Schwabhauser] p. 49.  (Contributed by Thierry Arnoux,
         30-May-2019.) $)
      mirval $p |- ( ph -> ( S ` A ) = ( y e. P |->
        ( iota_ z e. P ( ( A .- z ) = ( A .- y ) /\ A e. ( z I y ) ) ) ) ) $=
        ( vx co wcel vg cv wceq wa crio cmpt cvv cmir cfv cbs citv df-mir fveq2
        eqtr4di oveqd eqeq12d eleq2d anbi12d riotaeqbidv mpteq12dv cstrkg elexd
        cds fvexi mptex syl5eq simpll oveq1d eleq1d riotabidva mpteq2dva adantl
        a1i fvmptd3 fvmptd ) ARDBERUBZCUBZJSZVPBUBZJSZUCZVPVQVSHSZTZUDZCEUEZUFZ
        BEDVQJSZDVSJSZUCZDWBTZUDZCEUEZUFZEFUGAFGUHUIREWFUFZOAUAGRUAUBZUJUIZBWPV
        PVQWOVCUIZSZVPVSWQSZUCZVPVQVSWOUKUIZSZTZUDZCWPUEZUFZUFWNUGUHUGUARBCULWO
        GUCZRWPXFEWFXGWPGUJUIEWOGUJUMKUNZXGBWPXEEWEXHXGXDWDCWPEXHXGWTWAXCWCXGWR
        VRWSVTXGWQJVPVQXGWQGVCUIJWOGVCUMLUNZUOXGWQJVPVSXIUOUPXGXBWBVPXGXAHVQVSX
        GXAGUKUIHWOGUKUMMUNUOUQURUSUTUTAGVAPVBWNUGTAREWFEGUJKVDZVEVMVNVFVPDUCZW
        FWMUCAXKBEWEWLXKVSETZUDZWDWKCEXMVQETZUDZWAWIWCWJXOVRWGVTWHXOVPDVQJXKXLX
        NVGZVHXOVPDVSJXPVHUPXOVPDWBXPVIURVJVKVLQWMUGTABEWLXJVEVMVO $.

      mirfv.m $e |- M = ( S ` A ) $.
      ${
        mirfv.b $e |- ( ph -> B e. P ) $.
        $( Value of the point inversion function ` M ` .  Definition 7.5 of
           [Schwabhauser] p. 49.  (Contributed by Thierry Arnoux,
           30-May-2019.) $)
        mirfv $p |- ( ph -> ( M ` B ) =
          ( iota_ z e. P ( ( A .- z ) = ( A .- B ) /\ A e. ( z I B ) ) ) ) $=
          ( vy cv co wceq wcel wa crio cvv cfv cmpt mirval syl5eq simplr oveq2d
          eqeq2d eleq2d anbi12d riotabidva riotaex a1i fvmptd ) AUADCBUBZKUCZCU
          AUBZKUCZUDZCVBVDHUCZUEZUFZBEUGZVCCDKUCZUDZCVBDHUCZUEZUFZBEUGZEJUHAJCF
          UIUAEVJUJSAUABCEFGHIKLMNOPQRUKULAVDDUDZUFZVIVOBEVRVBEUEZUFZVFVLVHVNVT
          VEVKVCVTVDDCKAVQVSUMZUNUOVTVGVMCVTVDDVBHWAUNUPUQURTVPUHUEAVOBEUSUTVA
          $.

        $( Property of the image by the point inversion function.  Definition
           7.5 of [Schwabhauser] p. 49.  (Contributed by Thierry Arnoux,
           3-Jun-2019.) $)
        mircgr $p |- ( ph -> ( A .- ( M ` B ) ) = ( A .- B ) ) $=
          ( vz cfv wcel co wceq cv wa crab crio mirfv wreu mirreu3 riotacl2 syl
          eqeltrd oveq2 eqeq1d oveq1 eleq2d anbi12d elrab sylib simprld ) ACIUA
          ZDUBZBVCJUCZBCJUCZUDZBVCCGUCZUBZAVCBTUEZJUCZVFUDZBVJCGUCZUBZUFZTDUGZU
          BVDVGVIUFZUFAVCVOTDUHZVPATBCDEFGHIJKLMNOPQRSUIAVOTDUJVRVPUBACDFGBJTKL
          MPSQUKVOTDULUMUNVOVQTVCDVJVCUDZVLVGVNVIVSVKVEVFVJVCBJUOUPVSVMVHBVJVCC
          GUQURUSUTVAVB $.

        $( Property of the image by the point inversion function.  Definition
           7.5 of [Schwabhauser] p. 49.  (Contributed by Thierry Arnoux,
           3-Jun-2019.) $)
        mirbtwn $p |- ( ph -> A e. ( ( M ` B ) I B ) ) $=
          ( vz cfv wcel co wceq cv wa crab crio mirfv wreu mirreu3 riotacl2 syl
          eqeltrd oveq2 eqeq1d oveq1 eleq2d anbi12d elrab sylib simprrd ) ACIUA
          ZDUBZBVCJUCZBCJUCZUDZBVCCGUCZUBZAVCBTUEZJUCZVFUDZBVJCGUCZUBZUFZTDUGZU
          BVDVGVIUFZUFAVCVOTDUHZVPATBCDEFGHIJKLMNOPQRSUIAVOTDUJVRVPUBACDFGBJTKL
          MPSQUKVOTDULUMUNVOVQTVCDVJVCUDZVLVGVNVIVSVKVEVFVJVCBJUOUPVSVMVHBVJVCC
          GUQURUSUTVAVB $.

        ${
          ismir.1 $e |- ( ph -> C e. P ) $.
          ismir.2 $e |- ( ph -> ( A .- C ) = ( A .- B ) ) $.
          ismir.3 $e |- ( ph -> A e. ( C I B ) ) $.
          $( Property of the image by the point inversion function.  Definition
             7.5 of [Schwabhauser] p. 49.  (Contributed by Thierry Arnoux,
             3-Jun-2019.) $)
          ismir $p |- ( ph -> C = ( M ` B ) ) $=
            ( vz cfv cv co wceq wcel wa crio mirfv wreu wb mirreu3 oveq2 eqeq1d
            oveq1 eleq2d anbi12d riota2 syl2anc mpbi2and eqtr2d ) ACJUEBUDUFZKU
            GZBCKUGZUHZBVECHUGZUIZUJZUDEUKZDAUDBCEFGHIJKLMNOPQRSTULABDKUGZVGUHZ
            BDCHUGZUIZVLDUHZUBUCADEUIVKUDEUMVNVPUJZVQUNUAACEGHBKUDLMNQTRUOVKVRU
            DEDVEDUHZVHVNVJVPVSVFVMVGVEDBKUPUQVSVIVOBVEDCHURUSUTVAVBVCVD $.
        $}
      $}

      $d x B $.  $d x ph $.
      $( Point inversion as function.  (Contributed by Thierry Arnoux,
         30-May-2019.) $)
      mirf $p |- ( ph -> M : P --> P ) $=
        ( vz co wcel vy vx cv wceq wa crio cvv riotaex a1i mirval syl5eq cstrkg
        cfv cmpt adantr simpr mirfv wreu mirreu3 riotacl syl eqeltrd fmpt2d ) A
        UAUBCBRUCZISZBUAUCZISUDBVDVFFSTUEZRCUFZCHUGVHUGTAVFCTUEVGRCUHUIAHBDUMUA
        CVHUNQAUARBCDEFGIJKLMNOPUJUKAUBUCZCTZUEZVIHUMVEBVIISUDBVDVIFSTUEZRCUFZC
        VKRBVICDEFGHIJKLMNAEULTVJOUOZABCTVJPUOZQAVJUPZUQVKVLRCURVMCTVKVICEFBIRJ
        KLVNVPVOUSVLRCUTVAVBVC $.

      ${
        mircl.x $e |- ( ph -> X e. P ) $.
        $( Closure of the point inversion function.  (Contributed by Thierry
           Arnoux, 20-Oct-2019.) $)
        mircl $p |- ( ph -> ( M ` X ) e. P ) $=
          ( mirf ffvelrnd ) ACCJHABCDEFGHIKLMNOPQRTSUA $.
      $}

      ${
        mirmir.b $e |- ( ph -> B e. P ) $.
        $( The point inversion function is an involution.  Theorem 7.7 of
           [Schwabhauser] p. 49.  (Contributed by Thierry Arnoux,
           3-Jun-2019.) $)
        mirmir $p |- ( ph -> ( M ` ( M ` B ) ) = B ) $=
          ( cfv mircl co mircgr eqcomd mirbtwn tgbtwncom ismir ) ACCITZITABUHCD
          EFGHIJKLMNOPQRABDEFGHIJCKLMNOPQRSUAZSABUHJUBBCJUBABCDEFGHIJKLMNOPQRSU
          CUDAUHBCDFGJKLMPUIQSABCDEFGHIJKLMNOPQRSUEUFUGUD $.

        ${
          mircom.1 $e |- ( ph -> ( M ` B ) = C ) $.
          $( Variation on ~ mirmir .  (Contributed by Thierry Arnoux,
             10-Nov-2019.) $)
          mircom $p |- ( ph -> ( M ` C ) = B ) $=
            ( cfv fveq2d mirmir eqtr3d ) ACJUBZJUBDJUBCAUFDJUAUCABCEFGHIJKLMNOP
            QRSTUDUE $.
        $}

        $d a z $.  $d a B $.  $d a M $.  $d a P $.  $d a ph $.
        $( Any point has a unique antecedent through point inversion.  Theorem
           7.8 of [Schwabhauser] p. 50.  (Contributed by Thierry Arnoux,
           3-Jun-2019.) $)
        mirreu $p |- ( ph -> E! a e. P ( M ` a ) = B ) $=
          ( cfv wcel wceq cv wi wral wreu mircl mirmir wa cstrkg ad2antrr simpr
          simplr fveq2d eqtr3d ex ralrimiva fveqeq2 eqreu syl3anc ) ACIUAZDUBVB
          IUACUCZKUDZIUAZCUCZVDVBUCZUEZKDUFVFKDUGABDEFGHIJCLMNOPQRSTUHABCDEFGHI
          JLMNOPQRSTUIAVHKDAVDDUBZUJZVFVGVJVFUJZVEIUAVDVBVKBVDDEFGHIJLMNOPAFUKU
          BVIVFQULABDUBVIVFRULSAVIVFUNUIVKVECIVJVFUMUOUPUQURVFVCKDVBVDVBCIUSUTV
          A $.

        mireq.c $e |- ( ph -> C e. P ) $.
        mireq.d $e |- ( ph -> ( M ` B ) = ( M ` C ) ) $.
        $( Equality deduction for point inversion.  Theorem 7.9 of
           [Schwabhauser] p. 50.  (Contributed by Thierry Arnoux,
           30-May-2019.) $)
        mireq $p |- ( ph -> B = C ) $=
          ( vz mircl co wceq wcel wa cv crio mirfv eqtr3d wreu wb mirreu3 oveq2
          cfv eqeq1d oveq1 eleq2d anbi12d riota2 mpbird simpld eqcomd tgbtwncom
          syl2anc simprd ismir mirmir eqtrd ) ACDJUQZJUQDABVLCEFGHIJKLMNOPQRSAB
          EFGHIJKDLMNOPQRSUAUDZTABVLKUEZBCKUEZAVNVOUFZBVLCHUEZUGZAVPVRUHZBUCUIZ
          KUEZVOUFZBVTCHUEZUGZUHZUCEUJZVLUFZACJUQWFVLAUCBCEFGHIJKLMNOPQRSTUKUBU
          LAVLEUGWEUCEUMVSWGUNVMACEGHBKUCLMNQTRUOWEVSUCEVLVTVLUFZWBVPWDVRWHWAVN
          VOVTVLBKUPURWHWCVQBVTVLCHUSUTVAVBVGVCZVDVEAVLBCEGHKLMNQVMRTAVPVRWIVHV
          FVIABDEFGHIJKLMNOPQRSUAVJVK $.
      $}

      ${
        mirinv.b $e |- ( ph -> B e. P ) $.
        $( The only invariant point of a point inversion Theorem 7.3 of
           [Schwabhauser] p. 49, Theorem 7.10 of [Schwabhauser] p. 50.
           (Contributed by Thierry Arnoux, 30-Jul-2019.) $)
        mirinv $p |- ( ph -> ( ( M ` B ) = B <-> A = B ) ) $=
          ( adantr cfv wceq wa cstrkg wcel co mirbtwn oveq1d eleqtrd axtgbtwnid
          simpr eqcomd eqidd tgbtwntriv1 eqeltrd ismir impbida ) ACIUAZCUBZBCUB
          ZAUSUCZCBVADFGJCBKLMAFUDUEZUSPTZACDUEZUSSTZABDUEZUSQTZVABURCGUFCCGUFZ
          VABCDEFGHIJKLMNOVCVGRVEUGVAURCCGAUSUKUHUIUJULAUTUCZCURVIBCCDEFGHIJKLM
          NOAVBUTPTZAVFUTQTRAVDUTSTZVKVIBCJUFUMVIBCVHAUTUKVICCDFGJKLMVJVKVKUNUO
          UPULUQ $.

        mirne.1 $e |- ( ph -> B =/= A ) $.
        $( Mirror of non-center point cannot be the center point.  (Contributed
           by Thierry Arnoux, 27-Sep-2020.) $)
        mirne $p |- ( ph -> ( M ` B ) =/= A ) $=
          ( cfv wceq wa simpr fveq2d mirmir adantr mirinv mpbiri 3eqtr3d neneqd
          eqid wne pm2.65da neqned ) ACIUAZBAUPBUBZCBUBAUQUCZUPIUAZBIUAZCBURUPB
          IAUQUDUEAUSCUBUQABCDEFGHIJKLMNOPQRSUFUGAUTBUBZUQAVABBUBBULABBDEFGHIJK
          LMNOPQRQUHUIUGUJURCBACBUMUQTUGUKUNUO $.
      $}

      $( The center point is invariant of a point inversion.  (Contributed by
         Thierry Arnoux, 25-Aug-2019.) $)
      mircinv $p |- ( ph -> ( M ` A ) = A ) $=
        ( cfv wceq eqid mirinv mpbiri ) ABHRBSBBSBTABBCDEFGHIJKLMNOPQPUAUB $.

      $d a M $.  $d a P $.  $d a x y z ph $.
      $( The point inversion function ` M ` is a bijection.  Theorem 7.11 of
         [Schwabhauser] p. 50.  (Contributed by Thierry Arnoux, 6-Jun-2019.) $)
      mirf1o $p |- ( ph -> M : P -1-1-onto-> P ) $=
        ( va wceq wcel wfn ccnv wf1o mirf ffnd wf cv cfv wa cstrkg adantr simpr
        wral mirmir ralrimiva nvocnv syl2anc nvof1o ) AHCUAHUBHSZCCHUCACCHABCDE
        FGHIJKLMNOPQUDZUEACCHUFRUGZHUHHUHVASZRCUMUSUTAVBRCAVACTZUIBVACDEFGHIJKL
        MNAEUJTVCOUKABCTVCPUKQAVCULUNUORCHUPUQCHURUQ $.

      miriso.1 $e |- ( ph -> X e. P ) $.
      miriso.2 $e |- ( ph -> Y e. P ) $.
      ${
        $d t x y z .- $.  $d t x y z A $.  $d t x y z I $.  $d t x y z M $.
        $d t x y z P $.  $d t x y z ph $.  $d t x y z X $.  $d t x y z Y $.
        $( The point inversion function is an isometry, i.e. it is conserves
           congruence.  Because it is also a bijection, it is also a motion.
           Theorem 7.13 of [Schwabhauser] p. 50.  (Contributed by Thierry
           Arnoux, 6-Jun-2019.) $)
        miriso $p |- ( ph -> ( ( M ` X ) .- ( M ` Y ) ) = ( X .- Y ) ) $=
          ( vx vy vz vt cfv co wceq wa simpr oveq1d cstrkg adantr mircgr eqcomd
          wcel oveq2d tgbtwntriv1 ismir 3eqtr2rd wne cv ad2antrr ad6antr simplr
          ad8antr simp-4r mircl mirbtwn simp-7r tgbtwnexch3 tgbtwnexch2 simpllr
          simpld tgbtwncom simp-5r simprd eqtr4d tgcgrextend eqtr2d axtgcgrrflx
          tgcgrcomlr 3eqtrd simp-9r neneqd eleqtrd axtgbtwnid neqned tgbtwnexch
          axtg5seg tgifscgr wrex simp-6l axtgsegcon syl21anc r19.29a pm2.61dane
          eqtrd mtand ) AJHUFZKHUFZIUGZJKIUGZUHZJBAJBUHZUIZXCBKIUGZBXAIUGZXBXFJ
          BKIAXEUJZUKXFBKCDEFGHILMNOPAEULUPZXEQUMZABCUPZXERUMZSAKCUPZXEUAUMUNXF
          BWTXAIXFBJBCDEFGHILMNOPXKXMSAJCUPZXETUMZXMXFBJBIXFJBXIUOUQXFBJCEFILMN
          XKXMXPURUSUKUTAJBVAZUIZJWTUBVBZFUGUPZJXSIUGZKBIUGZUHZUIZXDUBCXRXSCUPZ
          UIZYDUIZKXAUCVBZFUGUPZKYHIUGJBIUGZUHZUIZXDUCCYGYHCUPZUIZYLUIZWTXSUDVB
          ZFUGUPZWTYPIUGYBUHZUIZXDUDCYOYPCUPZUIZYSUIZXAYHUEVBZFUGUPZXAUUCIUGZYJ
          UHZUIZXDUECUUBUUCCUPZUIZUUGUIZXCXBUUJXSJBKCYPWTEXAFBILMNYGXJYMYLYTYSU
          UHUUGXRXJYEYDAXJXQQUMZVCZVDZYGYEYMYLYTYSUUHUUGXRYEYDVEZVDZXRXOYEYDYMY
          LYTYSUUHUUGAXOXQTUMZVFZYGXLYMYLYTYSUUHUUGXRXLYEYDAXLXQRUMZVCZVDZYGXNY
          MYLYTYSUUHUUGXRXNYEYDAXNXQUAUMZVCZVDZYOYTYSUUHUUGVGZYGWTCUPZYMYLYTYSU
          UHUUGXRUVEYEYDXRBCDEFGHIJLMNOPUUKUURSUUPVHZVCZVDZUUTXRXACUPZYEYDYMYLY
          TYSUUHUUGXRBCDEFGHIKLMNOPUUKUURSUVAVHZVFZUUJBJXSCEFILMNUUMUUTUUQUUOUU
          JWTBJXSCEFILMNUUMUVHUUTUUQUUOUUJBJCDEFGHILMNOPUUMUUTSUUQVIZUUJXTYCYFY
          DYMYLYTYSUUHUUGVJZVNZVKZVOZUUJBWTYPCEFILMNUUMUUTUVHUVDUUJXSBWTYPCEFIL
          MNUUMUUOUUTUVHUVDUUJXSJBWTCEFILMNUUMUUOUUQUUTUVHUUJWTJXSCEFILMNUUMUVH
          UUQUUOUVNVOUUJWTBJCEFILMNUUMUVHUUTUUQUVLVOVLZUUJYQYRUUAYSUUHUUGVMZVNZ
          VKZVOUUJBXSBYPCEFILMNUUMUUTUUOUUTUVDUUJBYPIUGZYHBIUGZBXSIUGZUUJBWTYPY
          HCKBEFILMNUUMUUTUVHUVDUUBYMUUHUUGYGYMYLYTYSVGZVCZUVCUUTUVTUUJBKYHCEFI
          LMNUUMUUTUVCUWEUUJXABKYHCEFILMNUUMUVKUUTUVCUWEUUJBKCDEFGHILMNOPUUMUUT
          SUVCVIZUUJYIYKYNYLYTYSUUHUUGVPZVNZVKVOZUUJBWTIUGZBJIUGZYHKIUGUUJBJCDE
          FGHILMNOPUUMUUTSUUQUNZUUJKYHJBCEFILMNUUMUVCUWEUUQUUTUUJYIYKUWGVQWBZVR
          UUJYQYRUVRVQVSZUUJYHKBBCJXSEFILMNUUMUWEUVCUUTUUTUUQUUOUWIUVOUWMUUJYAY
          BUUJXTYCUVMVQZUOVSZVTZWBUUJBJBWTCEFILMNUUMUUTUUQUUTUVHUUJUWJUWKUWLUOW
          BUUJKXSXAYPCEFILMNUUMUVCUUOUVKUVDUUJYHKBXSCUUCXAEYPFBILMNUUMUWEUVCUUT
          UUOUUBUUHUUGVEZUVKUUTUVDUWIUUJBXAUUCCEFILMNUUMUUTUVKUWRUUJYHBXAUUCCEF
          ILMNUUMUWEUUTUVKUWRUUJYHKBXACEFILMNUUMUWEUVCUUTUVKUUJXAKYHCEFILMNUUMU
          VKUVCUWEUWHVOUUJXABKCEFILMNUUMUVKUUTUVCUWFVOVLZUUJUUDUUFUUIUUGUJZVNZV
          KZVOUUJUWBUWCBUUCIUGZUUCBIUGZUWPUUJXSBUUCBCEFILMNUUMUUOUUTUWRUUTUUJXS
          BIUGUXCUXDUUJXSJBBCXAUUCEFILMNUUMUUOUUQUUTUUTUVKUWRUVPUXBUUJXSJIUGXGX
          HUUJJXSKBCEFILMNUUMUUQUUOUVCUUTUWOWBUUJBKCDEFGHILMNOPUUMUUTSUVCUNZVRU
          UJUUEYJUUJUUDUUFUWTVQUOVSUUJCEFIBUUCLMNUUMUUTUWRWAZWRZWBZUXFWCUUJXABI
          UGYBUUJBXABKCEFILMNUUMUUTUVKUUTUVCUXEWBUOUUJUUCYPIUGYPUUCIUGYHXSIUGUU
          JCEFIUUCYPLMNUUMUWRUVDWAUUJUUCBYHCUUCEFIXSXSBYPLMNUUMUUOUUTUVDUWRUUTU
          WEUWRUUOUUJXSBUUJXSBUHZXEUUJJBAXQYEYDYMYLYTYSUUHUUGWDWEUUJUXIUIZBJUXJ
          CEFIBJLMNUUJXJUXIUUMUMUUJXLUXIUUTUMUUJXOUXIUUQUMUXJJBXSFUGZBBFUGUUJJU
          XKUPUXIUVOUMUXJXSBBFUUJUXIUJUQWFWGUOWSWHUUJXSBWTYPCEFILMNUUMUUOUUTUVH
          UVDUVQUVSWIUUJYHBUUCCEFILMNUUMUWEUUTUWRUUJYHBXAUUCCEFILMNUUMUWEUUTUVK
          UWRUWSUXAWIVOUXGUUJUWAUWBBYHIUGUWNUUJCEFIYHBLMNUUMUWEUUTWAWRUUJCEFIXS
          UUCLMNUUMUUOUWRWAUUJUWCUXCUXHUOWJVTUWQWKWBUUJXHXGUXEUOWKUOUUBXRYMYLUU
          GUECWLXRYEYDYMYLYTYSWMUWDYNYLYTYSVMXRYMUIYLUIUEJBCEFIYHXALMNXRXJYMYLU
          UKVCXRYMYLVEXRUVIYMYLUVJVCXRXOYMYLUUPVCXRXLYMYLUURVCWNWOWPYGYSUDCWLYM
          YLYGUDKBCEFIXSWTLMNUULUUNUVGUVBUUSWNVCWPXRYLUCCWLYEYDXRUCJBCEFIXAKLMN
          UUKUVJUVAUUPUURWNVCWPXRUBKBCEFIWTJLMNUUKUVFUUPUVAUURWNWPWQ $.
      $}

      ${
        mirbtwni.z $e |- ( ph -> Z e. P ) $.
        mirbtwni.b $e |- ( ph -> Y e. ( X I Z ) ) $.
        $( Point inversion preserves betweenness, first half of Theorem 7.15 of
           [Schwabhauser] p. 51.  (Contributed by Thierry Arnoux,
           9-Jun-2019.) $)
        mirbtwni $p |- ( ph -> ( M ` Y ) e. ( ( M ` X ) I ( M ` Z ) ) ) $=
          ( cfv ccgrg eqid mirf ffvelrnd co miriso eqcomd trgcgr tgbtwnxfr ) AJ
          KLJHUEZCEUFUEZKHUEZLHUEZEFIMNOUPUGZRUAUBUCACCJHABCDEFGHIMNOPQRSTUHZUA
          UIZACCKHUTUBUIZACCLHUTUCUIZAJKLUOCUPUQUREIMNUSRUAUBUCVAVBVCAUOUQIUJJK
          IUJABCDEFGHIJKMNOPQRSTUAUBUKULAUQURIUJKLIUJABCDEFGHIKLMNOPQRSTUBUCUKU
          LAURUOIUJLJIUJABCDEFGHILJMNOPQRSTUCUAUKULUMUDUN $.
      $}

      ${
        mirbtwnb.z $e |- ( ph -> Z e. P ) $.
        $( Point inversion preserves betweenness.  Theorem 7.15 of
           [Schwabhauser] p. 51.  (Contributed by Thierry Arnoux,
           9-Jun-2019.) $)
        mirbtwnb $p |- ( ph ->
          ( Y e. ( X I Z ) <-> ( M ` Y ) e. ( ( M ` X ) I ( M ` Z ) ) ) ) $=
          ( co wcel cfv wa cstrkg adantr simpr mirbtwni mirf ffvelrnd wb mirmir
          oveq12d eleq12d mpbid impbida ) AKJLFUDZUEZKHUFZJHUFZLHUFZFUDUEZAVAUG
          BCDEFGHIJKLMNOPQAEUHUEZVARUIABCUEZVASUITAJCUEZVAUAUIAKCUEZVAUBUIALCUE
          ZVAUCUIAVAUJUKAVEUGZVBHUFZVCHUFZVDHUFZFUDZUEZVAVKBCDEFGHIVCVBVDMNOPQA
          VFVERUIZAVGVESUIZTVKCCJHVKBCDEFGHIMNOPQVQVRTULZAVHVEUAUIUMVKCCKHVSAVI
          VEUBUIUMVKCCLHVSAVJVEUCUIUMAVEUJUKAVPVAUNVEAVLKVOUTABKCDEFGHIMNOPQRST
          UBUOAVMJVNLFABJCDEFGHIMNOPQRSTUAUOABLCDEFGHIMNOPQRSTUCUOUPUQUIURUS $.
      $}

      ${
        mircgrs.z $e |- ( ph -> Z e. P ) $.
        mircgrs.t $e |- ( ph -> T e. P ) $.
        mircgrs.e $e |- ( ph -> ( X .- Y ) = ( Z .- T ) ) $.
        $( Point inversion preserves congruence.  Theorem 7.16 of
           [Schwabhauser] p. 51.  (Contributed by Thierry Arnoux,
           30-Jul-2019.) $)
        mircgrs $p |- ( ph ->
          ( ( M ` X ) .- ( M ` Y ) ) = ( ( M ` Z ) .- ( M ` T ) ) ) $=
          ( co cfv miriso 3eqtr4d ) AKLJUGMEJUGKIUHLIUHJUGMIUHEIUHJUGUFABCDFGHI
          JKLNOPQRSTUAUBUCUIABCDFGHIJMENOPQRSTUAUDUEUIUJ $.
      $}

      $( Point inversion of a point inversion through another point.
         (Contributed by Thierry Arnoux, 3-Nov-2019.) $)
      mirmir2 $p |- ( ph -> ( M ` ( ( S ` Y ) ` X ) )
        = ( ( S ` ( M ` Y ) ) ` ( M ` X ) ) ) $=
        ( cfv mircl eqid mircgr mircgrs mirbtwn mirbtwni ismir ) AKHUBZJHUBJKDU
        BZUBZHUBCDEFGUJDUBZILMNOPQABCDEFGHIKLMNOPQRSUAUCUMUDABCDEFGHIJLMNOPQRST
        UCABCDEFGHIULLMNOPQRSAKCDEFGUKIJLMNOPQUAUKUDZTUCZUCABCDJEFGHIKULKLMNOPQ
        RSUAUOUATAKJCDEFGUKILMNOPQUAUNTUEUFABCDEFGHIULKJLMNOPQRSUOUATAKJCDEFGUK
        ILMNOPQUAUNTUGUHUI $.
    $}

    ${
      $d G a b $.  $d M a b $.  $d P a b $.  $d a b ph $.
      mirmot.m $e |- M = ( S ` A ) $.
      mirmot.a $e |- ( ph -> A e. P ) $.
      $( Point investion is a motion of the geometric space.  Theorem 7.14 of
         [Schwabhauser] p. 51.  (Contributed by Thierry Arnoux,
         15-Dec-2019.) $)
      mirmot $p |- ( ph -> M e. ( G Ismt G ) ) $=
        ( va vb wcel cismt co wf1o cv cfv wceq wral mirf1o cstrkg adantr simprl
        wa simprr miriso ralrimivva wb ismot syl mpbir2and ) AHEEUAUBTZCCHUCZRU
        DZHUESUDZHUEIUBVBVCIUBUFZSCUGRCUGZABCDEFGHIJKLMNOQPUHAVDRSCCAVBCTZVCCTZ
        ULZULBCDEFGHIVBVCJKLMNAEUITZVHOUJABCTVHQUJPAVFVGUKAVFVGUMUNUOAVIUTVAVEU
        LUPOCHEIUIRSJKUQURUS $.
    $}

    ${
      mirln.m $e |- M = ( S ` A ) $.
      mirln.1 $e |- ( ph -> D e. ran L ) $.
      mirln.a $e |- ( ph -> A e. D ) $.
      mirln.b $e |- ( ph -> B e. D ) $.
      $( If two points are on the same line, so is the mirror point of one
         through the other.  (Contributed by Thierry Arnoux, 21-Dec-2019.) $)
      mirln $p |- ( ph -> ( M ` B ) e. D ) $=
        ( wcel wceq wa simpr fveq2d cstrkg adantr tglnpt mircinv eqtr3d eqeltrd
        cfv wne co mircl mirbtwn btwnlng2 crn tglinethru eleqtrrd pm2.61dane )
        ACJUMZDUBBCABCUCZUDZVCBDVEBJUMVCBVEBCJAVDUEUFVEBEFGHIJKLMNOPAGUGUBZVDQU
        HABEUBZVDADEGHIBLONQSTUIZUHRUJUKABDUBZVDTUHULABCUNZUDZVCBCIUODVKEGHIBCV
        CLNOAVFVJQUHZAVGVJVHUHZACEUBVJADEGHICLONQSUAUIZUHZVKBEFGHIJKCLMNOPVLVMR
        VOUPAVJUEZABVCCHUOUBVJABCEFGHIJKLMNOPQVHRVNUQUHURVKDEBCGHILNOVLVMVOVPVP
        ADIUSUBVJSUHAVIVJTUHACDUBVJUAUHUTVAVB $.
    $}

    ${
      mirln2.m $e |- M = ( S ` A ) $.
      mirln2.d $e |- ( ph -> D e. ran L ) $.
      mirln2.a $e |- ( ph -> A e. P ) $.
      mirln2.1 $e |- ( ph -> B e. D ) $.
      mirln2.2 $e |- ( ph -> ( M ` B ) e. D ) $.
      $( If a point and its mirror point are both on the same line, so is the
         center of the point inversion.  (Contributed by Thierry Arnoux,
         3-Mar-2020.) $)
      mirln2 $p |- ( ph -> A e. D ) $=
        ( wcel cfv wceq wa tglnpt mirinv biimpa adantr eqeltrd wne cstrkg simpr
        co mirbtwn btwnlng1 crn tglinethru eleqtrrd pm2.61dane ) ABDUCCJUDZCAVB
        CUEZUFBCDAVCBCUEABCEFGHIJKLMNOPQTRADEGHICLONQSUAUGZUHUIACDUCZVCUAUJUKAV
        BCULZUFZBVBCIUODVGEGHIVBCBLNOAGUMUCVFQUJZAVBEUCVFADEGHIVBLONQSUBUGUJZAC
        EUCVFVDUJZABEUCVFTUJZAVFUNZVGBCEFGHIJKLMNOPVHVKRVJUPUQVGDEVBCGHILNOVHVI
        VJVLVLADIURUCVFSUJAVBDUCVFUBUJAVEVFUAUJUSUTVA $.
    $}

    ${
      mirconn.m $e |- M = ( S ` A ) $.
      mirconn.a $e |- ( ph -> A e. P ) $.
      mirconn.x $e |- ( ph -> X e. P ) $.
      mirconn.y $e |- ( ph -> Y e. P ) $.
      mirconn.1 $e |- ( ph -> ( X e. ( A I Y ) \/ Y e. ( A I X ) ) ) $.
      $( Point inversion of connectedness.  (Contributed by Thierry Arnoux,
         2-Mar-2020.) $)
      mirconn $p |- ( ph -> A e. ( X I ( M ` Y ) ) ) $=
        ( co wcel cfv wa cstrkg mircl simpr mirbtwn tgbtwnintr wceq tgbtwntriv2
        adantr fveq2d mircinv eqtrd oveq2d eleqtrrd adantlr wne ad2antrr simplr
        tgbtwncom tgbtwnouttr2 pm2.61dane mpjaodan ) AJBKFUCUDZBJKHUEZFUCZUDZKB
        JFUCUDZAVHUFJBVIKCEFILMNAEUGUDZVHQUNAJCUDZVHTUNABCUDZVHSUNAVICUDZVHABCD
        EFGHIKLMNOPQSRUAUHZUNAKCUDZVHUAUNAVHUIABVIKFUCUDVHABKCDEFGHILMNOPQSRUAU
        JZUNUKAVLUFZVKKBAKBULZVKVLAWAUFZBJBFUCZVJABWCUDWAAJBCEFILMNQTSUMUNWBVIB
        JFWBVIBHUEZBWBKBHAWAUIUOAWDBULWAABCDEFGHILMNOPQSRUPUNUQURUSUTVTKBVAZUFZ
        JKBVICEFILMNAVMVLWEQVBZAVNVLWETVBZAVRVLWEUAVBZAVOVLWESVBZAVPVLWEVQVBVTW
        EUIWFBKJCEFILMNWGWJWIWHAVLWEVCVDABKVIFUCUDVLWEAVIBKCEFILMNQVQSUAVSVDVBV
        EVFUBVG $.
    $}

    ${
      mirhl.m $e |- M = ( S ` A ) $.
      mirhl.k $e |- K = ( hlG ` G ) $.
      mirhl.a $e |- ( ph -> A e. P ) $.
      mirhl.x $e |- ( ph -> X e. P ) $.
      mirhl.y $e |- ( ph -> Y e. P ) $.
      mirhl.z $e |- ( ph -> Z e. P ) $.
      ${
        mirhl.1 $e |- ( ph -> X ( K ` Z ) Y ) $.
        $( If two points ` X ` and ` Y ` are on the same half-line from ` Z ` ,
           the same applies to the mirror points.  (Contributed by Thierry
           Arnoux, 21-Feb-2020.) $)
        mirhl $p |- ( ph -> ( M ` X ) ( K ` ( M ` Z ) ) ( M ` Y ) ) $=
          ( cfv wbr wne co wcel wo wa cstrkg adantr simpr mireq w3a ishlg mpbid
          wceq simp1d neneqd pm2.65da neqned simp2d simp3d mirbtwni orim12d mpd
          ex mircl mpbir3and ) AKIUGZLIUGZMIUGZGUGUHVNVPUIVOVPUIVNVPVOFUJUKZVOV
          PVNFUJUKZULZAVNVPAVNVPVAZKMVAAVTUMZBKMCDEFHIJNOPQRAEUNUKZVTSUOABCUKZV
          TUBUOTAKCUKZVTUCUOAMCUKZVTUEUOAVTUPUQWAKMAKMUIZVTAWFLMUIZKMLFUJUKZLMK
          FUJUKZULZAKLMGUGUHWFWGWJURUFAKLMCEFGUNNPUAUCUDUESUSUTZVBUOVCVDVEAVOVP
          AVOVPVAZLMVAAWLUMZBLMCDEFHIJNOPQRAWBWLSUOAWCWLUBUOTALCUKZWLUDUOAWEWLU
          EUOAWLUPUQWMLMAWGWLAWFWGWJWKVFUOVCVDVEAWJVSAWFWGWJWKVGAWHVQWIVRAWHVQA
          WHUMBCDEFHIJMKLNOPQRAWBWHSUOAWCWHUBUOTAWEWHUEUOAWDWHUCUOAWNWHUDUOAWHU
          PVHVKAWIVRAWIUMBCDEFHIJMLKNOPQRAWBWISUOAWCWIUBUOTAWEWIUEUOAWNWIUDUOAW
          DWIUCUOAWIUPVHVKVIVJAVNVOVPCEFGUNNPUAABCDEFHIJKNOPQRSUBTUCVLABCDEFHIJ
          LNOPQRSUBTUDVLABCDEFHIJMNOPQRSUBTUEVLSUSVM $.
      $}

      ${
        mirbtwnhl.1 $e |- ( ph -> X =/= A ) $.
        mirbtwnhl.2 $e |- ( ph -> Y =/= A ) $.
        mirbtwnhl.3 $e |- ( ph -> A e. ( X I Y ) ) $.
        $( If the center of the point inversion ` A ` is between two points
           ` X ` and ` Y ` , then the half lines are mirrored.  (Contributed by
           Thierry Arnoux, 3-Mar-2020.) $)
        mirbtwnhl $p |- ( ph -> ( Z ( K ` A ) X <-> ( M ` Z ) ( K ` A ) Y ) )
          $=
          ( cfv wbr wb wa simpr wn hleqnid adantr eqnbrtrd fveq2d mircinv eqtrd
          wceq 2falsed wne co simplr neneqd cstrkg ad3antrrr eqtr4d mireq mtand
          wcel neqned ad2antrr mircl w3a ishlg biimpa simp3d orcomd tgbtwnconn2
          wo mirconn mpbir3and tgbtwncom eqeltrd mirbtwnb impbida pm2.61dane
          mpbird ) AMKBGUIZUJZMIUIZLWKUJZUKMBAMBVAZULZWLWNWPMBKWKAWOUMZABKWKUJU
          NWOABKBCEFGNPUAUBUCUBSUOUPUQWPWMBLWKWPWMBIUIZBWPMBIWQURAWRBVAZWOABCDE
          FHIJNOPQRSUBTUSZUPUTABLWKUJUNWOABLBCEFGNPUAUBUDUBSUOUPUQVBAMBVCZULZWL
          WNXBWLULZWNWMBVCZLBVCZWMBLFVDVLLBWMFVDVLWBZXCWMBXCWMBVAZWOXCMBAXAWLVE
          VFXCXGULZBMBCDEFHIJNOPQRAEVGVLZXAWLXGSVHABCVLZXAWLXGUBVHZTAMCVLZXAWLX
          GUEVHXKXHWMBWRXCXGUMAWSXAWLXGWTVHVIVJVKVMAXEXAWLUGVNXCKBWMLCEFNPAXIXA
          WLSVNZAKCVLZXAWLUCVNZAXJXAWLUBVNZAWMCVLZXAWLABCDEFHIJMNOPQRSUBTUEVOZV
          NALCVLZXAWLUDVNAKBVCZXAWLUFVNXCBCDEFHIJKMNOPQRXMTXPXOAXLXAWLUEVNXCMBK
          FVDVLZKBMFVDVLZXCXAXTYAYBWBZXBWLXAXTYCVPZAWLYDUKZXAAMKBCEFGVGNPUAUEUC
          UBSVQUPZVRVSVTWCABKLFVDVLXAWLUHVNWAXBWNXDXEXFVPZUKZWLAYHXAAWMLBCEFGVG
          NPUAXRUDUBSVQUPZUPWDXBWNULZWLXAXTYCAXAWNVEAXTXAWNUFVNYJLBMKCEFNPAXIXA
          WNSVNZAXSXAWNUDVNZAXJXAWNUBVNZAXLXAWNUEVNZAXNXAWNUCVNAXEXAWNUGVNYJBLM
          FVDVLWRLIUIZWMFVDZVLYJWRBYPAWSXAWNWTVNYJWMBYOCEFJNOPYKAXQXAWNXRVNZYMY
          JBCDEFHIJLNOPQRYKYMTYLVOYJBCDEFHIJWMLNOPQRYKTYMYQYLYJXDXEXFXBWNYGYIVR
          VSWCWEWFYJBCDEFHIJLBMNOPQRYKYMTYLYMYNWGWJABLKFVDVLXAWNAKBLCEFJNOPSUCU
          BUDUHWEVNWAXBYEWNYFUPWDWHWI $.
      $}

      ${
        mirhl2.1 $e |- ( ph -> X =/= A ) $.
        mirhl2.2 $e |- ( ph -> Y =/= A ) $.
        mirhl2.3 $e |- ( ph -> A e. ( X I ( M ` Y ) ) ) $.
        $( Deduce half-line relation from mirror point.  (Contributed by
           Thierry Arnoux, 8-Aug-2020.) $)
        mirhl2 $p |- ( ph -> X ( K ` A ) Y ) $=
          ( cfv wbr co wcel wo mircl mirne tgbtwncom mirbtwn tgbtwnconn2 cstrkg
          wne ishlg mpbir3and ) AKLBGUIUJKBUTLBUTKBLFUKULLBKFUKULUMUFUGALIUIZBK
          LCEFNPSABCDEFHIJLNOPQRSUBTUDUNZUBUCUDABLCDEFHIJNOPQRSUBTUDUGUOAKBVCCE
          FJNOPSUCUBVDUHUPABLCDEFHIJNOPQRSUBTUDUQURAKLBCEFGUSNPUAUCUDUBSVAVB $.
      $}
    $}

    ${
      mirtrcgr.e $e |- .~ = ( cgrG ` G ) $.
      mirtrcgr.m $e |- M = ( S ` B ) $.
      mirtrcgr.n $e |- N = ( S ` Y ) $.
      mirtrcgr.a $e |- ( ph -> A e. P ) $.
      mirtrcgr.b $e |- ( ph -> B e. P ) $.
      mirtrcgr.x $e |- ( ph -> X e. P ) $.
      mirtrcgr.y $e |- ( ph -> Y e. P ) $.
      ${
        mircgrextend.1 $e |- ( ph -> ( A .- B ) = ( X .- Y ) ) $.
        $( Link congruence over a pair of mirror points. cf ~ tgcgrextend .
           (Contributed by Thierry Arnoux, 4-Oct-2020.) $)
        mircgrextend $p |- ( ph -> ( A .- ( M ` A ) ) = ( X .- ( N ` X ) ) ) $=
          ( cfv mircl mirbtwn tgbtwncom tgcgrcomlr mircgr 3eqtr4d tgcgrextend
          co ) ABCBJUIZMDNMLUIZGHKOPQTUDUEACDFGHIJKBOPQRSTUEUBUDUJZUFUGANDFGHIL
          KMOPQRSTUGUCUFUJZAURCBDGHKOPQTUTUEUDACBDFGHIJKOPQRSTUEUBUDUKULAUSNMDG
          HKOPQTVAUGUFANMDFGHILKOPQRSTUGUCUFUKULUHACBKUQNMKUQCURKUQNUSKUQABCMND
          GHKOPQTUDUEUFUGUHUMACBDFGHIJKOPQRSTUEUBUDUNANMDFGHILKOPQRSTUGUCUFUNUO
          UP $.
      $}

      mirtrcgr.c $e |- ( ph -> C e. P ) $.
      mirtrcgr.z $e |- ( ph -> Z e. P ) $.
      mirtrcgr.1 $e |- ( ph -> A =/= B ) $.
      mirtrcgr.2 $e |- ( ph -> <" A B C "> .~ <" X Y Z "> ) $.
      $( Point inversion of one point of a triangle around another point
         preserves triangle congruence.  (Contributed by Thierry Arnoux,
         4-Oct-2020.) $)
      mirtrcgr $p |- ( ph -> <" ( M ` A ) B C "> .~ <" ( N ` X ) Y Z "> ) $=
        ( cfv mircl co cgr3simp1 tgcgrcomlr 3eqtr4d cgr3simp2 mirbtwn btwncolg1
        mircgr colcom mircgrextend trgcgr cgr3simp3 tgfscgr ) ABKUNZCDNMUNZEFOP
        HLQRUCUBACEGHIJKLBQRSTUAUBUGUDUFUOZUGUJAOEGHIJMLNQRSTUAUBUIUEUHUOZUIUKA
        CVIOVJEHILQRSUBUGVKUIVLACBLUPONLUPCVILUPOVJLUPABCNOEHILQRSUBUFUGUHUIABC
        DNEFOPHILQRSUCUBUFUGUJUHUIUKUMUQZURACBEGHIJKLQRSTUAUBUGUDUFVCAONEGHIJML
        QRSTUAUBUIUEUHVCUSZURABCDNEFOPHILQRSUCUBUFUGUJUHUIUKUMUTZAVIDVJPEHILQRS
        UBVKUJVLUKANOVJPEFDHIJLBCVIQTSUBUFUGVKUCUHUIRUJVLUKAEHIJVIBCQTSUBVKUFUG
        AEHIJVIBCQTSUBVKUFUGACBEGHIJKLQRSTUAUBUGUDUFVAVBVDABCVINEFOVJHLQRUCUBUF
        UGVKUHUIVLVMVNABVINVJEHILQRSUBUFVKUHVLABCEFGHIJKLMNOQRSTUAUBUCUDUEUFUGU
        HUIVMVEURVFADBPNEHILQRSUBUJUFUKUHABCDNEFOPHILQRSUCUBUFUGUJUHUIUKUMVGURV
        OULVHURVF $.
    $}

    ${
      mirauto.m $e |- M = ( S ` T ) $.
      mirauto.x $e |- X = ( M ` A ) $.
      mirauto.y $e |- Y = ( M ` B ) $.
      mirauto.z $e |- Z = ( M ` C ) $.
      mirauto.0 $e |- ( ph -> T e. P ) $.
      mirauto.1 $e |- ( ph -> A e. P ) $.
      mirauto.2 $e |- ( ph -> B e. P ) $.
      mirauto.3 $e |- ( ph -> C e. P ) $.
      mirauto.4 $e |- ( ph -> ( ( S ` A ) ` B ) = C ) $.
      $( Point inversion preserves point inversion.  (Contributed by Thierry
         Arnoux, 30-Jul-2019.) $)
      mirauto $p |- ( ph -> ( ( S ` X ) ` Y ) = Z ) $=
        ( cfv mirf ffvelrnd eqeltrid eqid co eqeltrd mircgr mircgrs wceq fveq2d
        eqtr4id oveq12d oveq12i 3eqtr4d mirbtwn oveq1d eleqtrd mirbtwni 3eltr4g
        a1i ismir eqcomd ) AONMFUKZUKAMNOEFHIJVNLPQRSTUAAMBKUKZEUCAEEBKAGEFHIJK
        LPQRSTUAUFUBULZUGUMUNVNUOANCKUKZEUDAEECKVPUHUMUNAODKUKZEUEAEEDKVPUIUMUN
        AVOCBFUKZUKZKUKZLUPVOVQLUPZMOLUPMNLUPZAGEFCHIJKLBVTBPQRSTUAUFUBUGAVTDEU
        JUIUQUGUHABCEFHIJVSLPQRSTUAUGVSUOZUHURUSAMVOOWALMVOUTAUCVKAOVRWAUEAVTDK
        UJVAVBVCWCWBUTAMVONVQLUCUDVDVKVEAVOVRVQIUPMONIUPAGEFHIJKLDBCPQRSTUAUFUB
        UIUGUHABVTCIUPDCIUPABCEFHIJVSLPQRSTUAUGWDUHVFAVTDCIUJVGVHVIUCOVRNVQIUEU
        DVDVJVLVM $.
    $}

    ${
      miduniq.a $e |- ( ph -> A e. P ) $.
      miduniq.b $e |- ( ph -> B e. P ) $.
      miduniq.x $e |- ( ph -> X e. P ) $.
      miduniq.y $e |- ( ph -> Y e. P ) $.
      miduniq.e $e |- ( ph -> ( ( S ` A ) ` X ) = Y ) $.
      miduniq.f $e |- ( ph -> ( ( S ` B ) ` X ) = Y ) $.
      $( Uniqueness of the middle point, expressed with point inversion.
         Theorem 7.17 of [Schwabhauser] p. 51.  (Contributed by Thierry Arnoux,
         30-Jul-2019.) $)
      miduniq $p |- ( ph -> A = B ) $=
        ( cfv wceq ccgrg eqid co mirbtwn oveq1d eleqtrd tgbtwncom miriso mircom
        mircl mircgr oveq2d eqtr3d eqcomd tgcgrcomlr 3eqtr3rd tgidinside mirinv
        mpbid ) ACBEUDZUDZCUEBCUEACVFAVFBDFUFUDZFGHIJKCLONQTUASVGUGABDEFGHVEICL
        MNOPQRVEUGZSUORMAKCJDFGILMNQUASTACJCEUDZUDZJGUHKJGUHACJDEFGHVIILMNOPQSV
        IUGZTUIAVJKJGUCUJUKULAKVEUDZVFIUHKCIUHZJVFIUHJCIUHZABDEFGHVEIKCLMNOPQRV
        HUASUMAVLJVFIABJKDEFGHVEILMNOPQRVHTUBUNUJACKCJDFGILMNQSUASTACJIUHZCKIUH
        ZACVJIUHVOVPACJDEFGHVIILMNOPQSVKTUPAVJKCIUCUQURZUSUTVAAJVEUDZVFIUHVNKVF
        IUHVMABDEFGHVEIJCLMNOPQRVHTSUMAVRKVFIUBUJACJCKDFGILMNQSTSUAVQUTVAVBUSAB
        CDEFGHVEILMNOPQRVHSVCVD $.
    $}

    ${
      miduniq1.a $e |- ( ph -> A e. P ) $.
      miduniq1.b $e |- ( ph -> B e. P ) $.
      miduniq1.x $e |- ( ph -> X e. P ) $.
      miduniq1.e $e |- ( ph -> ( ( S ` A ) ` X ) = ( ( S ` B ) ` X ) ) $.
      $( Uniqueness of the middle point, expressed with point inversion.
         Theorem 7.18 of [Schwabhauser] p. 52.  (Contributed by Thierry Arnoux,
         30-Jul-2019.) $)
      miduniq1 $p |- ( ph -> A = B ) $=
        ( cfv eqid mircl eqidd eqcomd miduniq ) ABCDEFGHIJJBEUAZUAZKLMNOPQRSABD
        EFGHUGIJKLMNOPQUGUBSUCAUHUDAUHJCEUAUATUEUF $.
    $}

    ${
      miduniq2.a $e |- ( ph -> A e. P ) $.
      miduniq2.b $e |- ( ph -> B e. P ) $.
      miduniq2.x $e |- ( ph -> X e. P ) $.
      miduniq2.e $e |- ( ph -> ( ( S ` A ) ` ( ( S ` B ) ` X ) )
                                       = ( ( S ` B ) ` ( ( S ` A ) ` X ) ) ) $.
      $( If two point inversions commute, they are identical.  Theorem 7.19 of
         [Schwabhauser] p. 52.  (Contributed by Thierry Arnoux,
         30-Jul-2019.) $)
      miduniq2 $p |- ( ph -> A = B ) $=
        ( wceq eqid mirf ffvelrnd mirauto mirmir fveq2d 3eqtr3d miduniq1 mirinv
        cfv mircl mpbid eqcomd ) ACBABCEUKZUKZBUACBUAAUPBDEFGHIJKLMNOPADDBUOACD
        EFGHUOIKLMNOPRUOUBZUCZQUDQSAJUOUKZUOUKZUPEUKZUKJBEUKZUKZUOUKZUOUKZJVAUK
        VCABUSVDDECFGHUOIUPUTVEKLMNOPUQUPUBUTUBVEUBRQADDJUOURSUDADDVCUOURABDEFG
        HVBIJKLMNOPQVBUBSULZUDTUEAUTJVAACJDEFGHUOIKLMNOPRUQSUFUGACVCDEFGHUOIKLM
        NOPRUQVFUFUHUIACBDEFGHUOIKLMNOPRUQQUJUMUN $.
    $}

    ${
      colmid.m $e |- M = ( S ` X ) $.
      colmid.a $e |- ( ph -> A e. P ) $.
      colmid.b $e |- ( ph -> B e. P ) $.
      colmid.x $e |- ( ph -> X e. P ) $.
      colmid.c $e |- ( ph -> ( X e. ( A L B ) \/ A = B ) ) $.
      colmid.d $e |- ( ph -> ( X .- A ) = ( X .- B ) ) $.
      $( Colinearity and equidistance implies midpoint.  Theorem 7.20 of
         [Schwabhauser] p. 52.  (Contributed by Thierry Arnoux,
         30-Jul-2019.) $)
      colmid $p |- ( ph -> ( B = ( M ` A ) \/ A = B ) ) $=
        ( cfv wceq wo animorr wa co wcel cstrkg ad2antrr eqcomd simpr tgbtwncom
        wne ismir orcd adantr tgbtwntriv1 tgcgrcomlr tgcgrsub axtgcgrid adantlr
        eqidd olcd w3o wn df-ne orcomd orcanai sylan2b tgellng mpbid pm2.61dane
        mpjao3dan ) ACBIUDUEZBCUEZUFZBCAVRVQUGABCUPZUHZKBCGUIUJZVSBKCGUIUJZCBKG
        UIUJZWAWBUHZVQVRWEKBCDEFGHIJLMNOPAFUKUJZVTWBQULZAKDUJZVTWBUAULZRABDUJZV
        TWBSULZACDUJZVTWBTULZWEKBJUIZKCJUIZAWNWOUEVTWBUCULUMWEBKCDFGJLMNWGWKWIW
        MWAWBUNUOUQURWAWCUHVRVQAWCVRVTAWCUHZCBWPDFGJCBBLMNAWFWCQUSZAWLWCTUSZAWJ
        WCSUSZWSWPCBKBDBKFGJLMNWQWRWSAWHWCUAUSZWSWSWTWPKBCDFGJLMNWQWTWSWRAWCUNU
        OWPBKDFGJLMNWQWSWTUTWPBKJUIZCKJUIZAXAXBUEZWCAKBKCDFGJLMNQUASUATUCVAZUSU
        MWPXAVEVBVCUMVDVFWAWDUHVRVQAWDVRVTAWDUHZDFGJBCCLMNAWFWDQUSZAWJWDSUSZAWL
        WDTUSZXHXEBCKCDCKFGJLMNXFXGXHAWHWDUAUSZXHXHXIAWDUNXECKDFGJLMNXFXHXIUTAX
        CWDXDUSXEXBVEVBVCVDVFWAKBCHUIUJZWBWCWDVGVTAVRVHXJBCVIAVRXJAXJVRUBVJVKVL
        WADFGHBCKLONAWFVTQUSAWJVTSUSAWLVTTUSAVTUNAWHVTUAUSVMVNVPVO $.
    $}

    ${
      $d x .- $.  $d x A $.  $d x B $.  $d x C $.  $d x D $.  $d x G $.
      $d x I $.  $d x M $.  $d x P $.  $d x X $.  $d x ph $.
      symquadlem.m $e |- M = ( S ` X ) $.
      symquadlem.a $e |- ( ph -> A e. P ) $.
      symquadlem.b $e |- ( ph -> B e. P ) $.
      symquadlem.c $e |- ( ph -> C e. P ) $.
      symquadlem.d $e |- ( ph -> D e. P ) $.
      symquadlem.x $e |- ( ph -> X e. P ) $.
      symquadlem.1 $e |- ( ph -> -. ( A e. ( B L C ) \/ B = C ) ) $.
      symquadlem.2 $e |- ( ph -> B =/= D ) $.
      symquadlem.3 $e |- ( ph -> ( A .- B ) = ( C .- D ) ) $.
      symquadlem.4 $e |- ( ph -> ( B .- C ) = ( D .- A ) ) $.
      symquadlem.5 $e |- ( ph -> ( X e. ( A L C ) \/ A = C ) ) $.
      symquadlem.6 $e |- ( ph -> ( X e. ( B L D ) \/ B = D ) ) $.
      $( Lemma of the symetrial quadrilateral.  The diagonals of quadrilaterals
         with congruent opposing sides intersect at their middle point.  In
         Euclidean geometry, such quadrilaterals are called parallelograms, as
         opposing sides are parallel.  However, this is not necessarily true in
         the case of absolute geometry.  Lemma 7.21 of [Schwabhauser] p. 52.
         (Contributed by Thierry Arnoux, 6-Aug-2019.) $)
      symquadlem $p |- ( ph -> A = ( M ` C ) ) $=
        ( vx cs3 cv ccgrg cfv wbr wceq wcel wa wne tgbtwntriv2 btwncolg1 adantr
        wn co wo simpr oveq2d eleq2d eqeq2d orbi12d mpbid mtand neqned ad2antrr
        necomd neneqd cstrkg colcom eqid colrot2 tgcgrcomlr tgfscgr ncolcom ord
        simplr eqcomd orcomd axtgcgrrflx trgcgr lnxfr tglineinteq oveq1d eqtr4d
        mpd cgr3swap23 colmid lnext r19.29a ) ACEMUMECULUNZUMHUOUPZUQZBDKUPURZU
        LFAXAFUSZUTZXCUTZDBURZVEXDXGDBXGBDABDVAXEXCABDABDURZBCDJVFZUSZCDURZVGZU
        FAXIUTZBCBJVFZUSZCBURZVGZXMAXRXIAFHIJCBBNQPSUBUAUAACBFHILNOPSUBUAVBVCVD
        XNXPXKXQXLXNXOXJBXNBDCJAXIVHZVIVJXNBDCXSVKVLVMVNZVOVPVQVRXGXHXDXGXDXHXG
        DBFGHIJKLMNOPQRAHVSUSXEXCSVPZTADFUSXEXCUCVPZABFUSXEXCUAVPZAMFUSXEXCUEVP
        ZXGFHIJBDMNQPYAYCYBYDAMBDJVFZUSZXIVGXEXCUJVPZVTXGMDLVFXABLVFMBLVFXGECXA
        BFXBDHIJLCEMNQPYAACFUSXEXCUBVPZAEFUSXEXCUDVPZYDXBWAZYIYHOYBAXEXCWGZYCAE
        CMJVFUSCMURVGXEXCAFHIJMCENQPSUEUBUDAFHIJCEMNQPSUBUDUEUKWBVTZVPZXFXCVHZA
        CDLVFZEBLVFZURXEXCUIVPZXGCBLVFZEDLVFZAYRYSURXEXCABCDEFHILNOPSUAUBUCUDUH
        WCVPZWHACEVAXEXCUGVPZWDZXGMXABLXGBDCEFHIJMXANPQYAYCYBYHYIABDCJVFUSDCURV
        GVEXEXCAFHIJCDBNQPSUBUCUAUFWEVPAYFXEXCAXIVEZYFXTAXIYFAYFXIUJWIWFWPVPXGU
        UCXAYEUSZAUUCXEXCXTVPXGXIUUDXGUUDXIXGFHIJDBXANQPYAYBYCYKXGDXABFXBHIJBMD
        NQPYAYCYDYBYJYBYKYCYGXGBMDDFXBXABHLNOYJYAYCYDYBYBYKYCXGMBXADFHILNOPYAYD
        YCYKYBXGECXADFXBBHIJLCEMNQPYAYHYIYDYJYIYHOYCYKYBYMYNYTXGYOYPYQWHUUAWDWC
        UUBXGFHILDBNOPYAYBYCWJWKWLVTWIWFWPAMCEJVFZUSZXEXCACEURZVEZUUFACEUGVRZAU
        UGUUFAUUFUUGUKWIWFWPVPXGUUHXAUUEUSZAUUHXEXCUUIVPXGUUGUUJXGUUJUUGXGFHIJE
        CXANQPYAYIYHYKXGEXACFXBHIJCMENQPYAYHYDYIYJYIYKYHAUUFUUGVGXEXCUKVPXGCEME
        FXBCXAHILNOPYJYAYHYIYDYIYHYKYNWQWLVTWIWFWPWMWNWOWRWIWFWPAECFXBHIJLCEMUL
        NQPSUBUDUEYJUDUBOYLAFHILCENOPSUBUDWJWSWT $.
    $}

    ${
      krippen.m $e |- M = ( S ` X ) $.
      krippen.n $e |- N = ( S ` Y ) $.
      krippen.a $e |- ( ph -> A e. P ) $.
      krippen.b $e |- ( ph -> B e. P ) $.
      krippen.c $e |- ( ph -> C e. P ) $.
      krippen.e $e |- ( ph -> E e. P ) $.
      krippen.f $e |- ( ph -> F e. P ) $.
      krippen.x $e |- ( ph -> X e. P ) $.
      krippen.y $e |- ( ph -> Y e. P ) $.
      krippen.1 $e |- ( ph -> C e. ( A I E ) ) $.
      krippen.2 $e |- ( ph -> C e. ( B I F ) ) $.
      krippen.3 $e |- ( ph -> ( C .- A ) = ( C .- B ) ) $.
      krippen.4 $e |- ( ph -> ( C .- E ) = ( C .- F ) ) $.
      krippen.5 $e |- ( ph -> B = ( M ` A ) ) $.
      krippen.6 $e |- ( ph -> F = ( N ` E ) ) $.
      ${
        $d .- q $.  $d A q $.  $d B q $.  $d C q $.  $d E q $.  $d F q $.
        $d I q $.  $d P q $.  $d S q $.  $d X q $.  $d Y q $.  $d ph q $.
        krippen.l $e |- .<_ = ( leG ` G ) $.
        krippen.7 $e |- ( ph -> ( C .- A ) .<_ ( C .- E ) ) $.
        $( Lemma for ~ krippen .  We can assume krippen.7 "without loss of
           generality".  (Contributed by Thierry Arnoux, 12-Aug-2019.) $)
        krippenlem $p |- ( ph -> C e. ( X I Y ) ) $=
          ( vq co wcel wceq wa adantr cfv cstrkg wbr simpr oveq2d breqtrd legeq
          tgcgreq 3eqtr3rd mirinv eqtr3d axtgcgrid 3eqtrrd oveq12d eleqtrrd wne
          mpbid ad2antrr eqid mirf ffvelrnd simplr simprl ad3antrrr tgbtwnexch3
          cv mirbtwn tgbtwntriv1 eleqtrd tgbtwncom tgbtwnconn2 breqtrrd legbtwn
          oveq1d mircgr pm2.61dane eqtrd eqcomd adantlr neneqd pm2.65da 3brtr3d
          neqned 3eqtr4d tgcgrcomlr eqtr2di mirauto tgifscgr axtgbtwnid 3eqtr3d
          fveq1i eqidd ccgrg btwncolg3 lncgr ismir miduniq mirbtwni tgtrisegint
          simprr r19.29a ) ADPQJVBZVCZGDAGDVDZVEZDBGJVBZYHADYLVCYJUMVFYKPBQGJYK
          BMVGZBVDPBVDYKDCBYMYKDBDCEIJNRSTAIVHVCZYJUCVFZADEVCZYJUHVFZABEVCZYJUF
          VFZYQACEVCZYJUGVFZADBNVBZDCNVBZVDZYJUOVFYKDBDCEIJLNRSTUSYOYQYSYQUUAYK
          UUBDGNVBZDDNVBZLAUUBUUELVIZYJUTVFYKGDDNAYJVJZVKZVLVMZVNUUJACYMVDZYJUQ
          VFVOYKPBEFIJKMNRSTUAUBYOAPEVCZYJUKVFUDYSVPWCYKGOVGZGVDQGVDYKGDHUUMUUH
          YKEIJNDHDRSTYOYQAHEVCZYJUJVFYQYKUUEDHNVBZUUFAUUEUUOVDZYJUPVFUUIVQVRAH
          UUMVDZYJURVFVSYKQGEFIJKONRSTUAUBYOAQEVCZYJULVFUEAGEVCZYJUIVFVPWCVTWAA
          GDWBZVEZVAWLZQDFVGZVGZDJVBZVCZUVBBCJVBVCZVEZYIVAEUVAUVBEVCZVEZUVHVEZD
          UVBQJVBYHUVKUVDUVBDQEIJNRSTUVAYNUVIUVHAYNUUTUCVFZWDZUVAUVDEVCZUVIUVHU
          VAEEQUVCUVADEFIJKUVCNRSTUAUBUVLAYPUUTUHVFZUVCWEZWFZAUURUUTULVFZWGZWDZ
          UVAUVIUVHWHZUVAYPUVIUVHUVOWDUVAUURUVIUVHUVRWDUVJUVFUVGWIZADUVDQJVBVCU
          UTUVIUVHADQEFIJKUVCNRSTUAUBUCUHUVPULWMWJWKUVKUVBPQJUVKUVBPEFIJKNBCRST
          UAUBUVMUWAAUULUUTUVIUVHUKWJUVAYRUVIUVHAYRUUTUFVFZWDZUVAYTUVIUVHAYTUUT
          UGVFZWDZUVKCBUVBFVGZVGUVKUVBBCEFIJKUWGNRSTUAUBUVMUWAUWGWEUWDUWFUVKUVB
          BNVBZUVBCNVBZUVKUWHUWIVDUVDDUVKUVDDVDZVEZUVDBNVBZUVDCNVBZUWHUWIUVAUWL
          UWMVDZUVIUVHUWJUVABUVDCUVDEIJNRSTUVLUWCUVSUWEUVSUVAGUVCVGZBDUVDEHUVCV
          GZCIUVDJDNRSTUVLUVAEEGUVCUVQAUUSUUTUIVFZWGZUWCUVOUVSUVAEEHUVCUVQAUUNU
          UTUJVFZWGZUWEUVOUVSUVADBUWOEIJNRSTUVLUVOUWCUWRUVABDUWOJVBZVCBDUVABDVD
          ZVEZBBUWOJVBUXAUXCBUWOEIJNRSTAYNUUTUXBUCWDAYRUUTUXBUFWDUVAUWOEVCZUXBU
          WRVFWNUXCBDUWOJUVAUXBVJWTWOUVABDWBZVEZBUWODBEIJLNRSTUSAYNUUTUXEUCWDZA
          YRUUTUXEUFWDZUVAUXDUXEUWRVFZAYPUUTUXEUHWDZUXHUXFGDBUWOEIJRTUXGAUUSUUT
          UXEUIWDZUXJUXHUXIAUUTUXEWHADGBJVBVCUUTUXEABDGEIJNRSTUCUFUHUIUMWPWDUXF
          UWODGEIJNRSTUXGUXIUXJUXKUXFDGEFIJKUVCNRSTUAUBUXGUXJUVPUXKWMWPWQUVAUUB
          DUWONVBZLVIUXEUVAUUBUUEUXLLAUUGUUTUTVFUVADGEFIJKUVCNRSTUAUBUVLUVOUVPU
          WQXAZWRVFWSXBWPZUVADCUWPEIJNRSTUVLUVOUWEUWTUVACDUWPJVBZVCCDUVACDVDZVE
          ZCCUWPJVBUXOUXQCUWPEIJNRSTAYNUUTUXPUCWDAYTUUTUXPUGWDUVAUWPEVCZUXPUWTV
          FWNUXQCDUWPJUVAUXPVJWTWOUVACDWBZVEZCUWPDCEIJLNRSTUSAYNUUTUXSUCWDZAYTU
          UTUXSUGWDZUVAUXRUXSUWTVFZAYPUUTUXSUHWDZUYBUXTHDCUWPEIJRTUYAAUUNUUTUXS
          UJWDZUYDUYBUYCUVAHDWBUXSUVAHDUVAHDVDZYJAUYFYJUUTAUYFVEZDGUYGEIJNDGDRS
          TAYNUYFUCVFAYPUYFUHVFZAUUSUYFUIVFUYHUYGUUEUUOUUFAUUPUYFUPVFUYGHDDNAUY
          FVJVKXCVRXDXEUVAUYFVEGDAUUTUYFWHXFXGXIVFADHCJVBVCUUTUXSACDHEIJNRSTUCU
          GUHUJUNWPWDUXTUWPDHEIJNRSTUYAUYCUYDUYEUXTDHEFIJKUVCNRSTUAUBUYAUYDUVPU
          YEWMWPWQUVAUUCDUWPNVBZLVIUXSUVAUUCUUOUYILAUUCUUOLVIUUTAUUBUUEUUCUUOLU
          TUOUPXHVFUVADHEFIJKUVCNRSTUAUBUVLUVOUVPUWSXAZWRVFWSXBWPZUVADUWODUWPEI
          JNRSTUVLUVOUWRUVOUWTUVAUUEUUOUXLUYIAUUPUUTUPVFUXMUYJXJXKUVADBDCEIJNRS
          TUVLUVOUWCUVOUWEAUUDUUTUOVFZXKUVAUVDUWOUVDUWPEIJNRSTUVLUVSUWRUVSUWTUV
          AUVDUWOUVDFVGZVGZNVBUVDUWONVBUVDUWPNVBUVAUVDUWOEFIJKUYMNRSTUAUBUVLUVS
          UYMWEUWRXAUVAUYNUWPUVDNUVAQGHEFDIJKUVCNUVDUWOUWPRSTUAUBUVLUVPUVDWEUWO
          WEUWPWEUVOUVRUWQUWSUVAHUUMGQFVGZVGAUUQUUTURVFZGOUYOUEXQXLXMVKVQXKUVAD
          UVDNVBXRXNXKZWJUWKUVDUVBBNUWKEIJNUVDUVBRSTUVKYNUWJUVMVFUVKUVNUWJUVTVF
          UVKUVIUWJUWAVFUWKUVBUVEUVDUVDJVBUVKUVFUWJUWBVFUWKUVDDUVDJUVKUWJVJVKWA
          XOZWTUWKUVDUVBCNUYRWTXPUVKUVDDWBZVEZBCEIXSVGZIJKNUVDDUVBRUATUVAYNUVIU
          VHUYSUVLWJZUVAUVNUVIUVHUYSUVSWJUVAYPUVIUVHUYSUVOWJZUVKUVIUYSUWAVFZVUA
          WEUVAYRUVIUVHUYSUWCWJUVAYTUVIUVHUYSUWEWJSUVKUYSVJUYTEIJKUVDUVBDRUATVU
          BUVKUVNUYSUVTVFVUDVUCUVKUVFUYSUWBVFXTUVAUWNUVIUVHUYSUYQWJUVAUUDUVIUVH
          UYSUYLWJYAXBXDUVKBUVBCEIJNRSTUVMUWDUWAUWFUVJUVFUVGYFWPYBXDUVKCYMBPFVG
          ZVGAUUKUUTUVIUVHUQWJBMVUEUDXQXLYCWTWOUVAUWOBDUWPECUVDIJNVARSTUVLUWRUW
          CUVOUWTUWEUVSUXNUYKUVADEFIJKUVCNGQHRSTUAUBUVLUVOUVPUWQUVRUWSUVAHQGEIJ
          NRSTUVLUWSUVRUWQUVAQUUMGJVBHGJVBUVAQGEFIJKONRSTUAUBUVLUVRUEUWQWMUVAHU
          UMGJUYPWTWAWPYDYEYGXB $.
      $}

      $( Krippenlemma (German for crib's lemma) Lemma 7.22 of [Schwabhauser]
         p. 53. proven by Gupta 1965 as Theorem 3.45.  (Contributed by Thierry
         Arnoux, 12-Aug-2019.) $)
      krippen $p |- ( ph -> C e. ( X I Y ) ) $=
        ( co cleg cfv wbr wcel wa cstrkg adantr wceq simpr krippenlem tgbtwncom
        eqid legtrid mpjaodan ) ADBMURZDGMURZIUSUTZVAZDOPJURVBVNVMVOVAZAVPVCBCD
        EFGHIJKVOLMNOPQRSTUAAIVDVBZVPUBVEUCUDABEVBZVPUEVEACEVBZVPUFVEADEVBZVPUG
        VEAGEVBZVPUHVEAHEVBZVPUIVEAOEVBZVPUJVEAPEVBZVPUKVEADBGJURVBZVPULVEADCHJ
        URVBZVPUMVEAVMDCMURVFZVPUNVEAVNDHMURVFZVPUOVEACBLUTVFZVPUPVEAHGNUTVFZVP
        UQVEVOVJZAVPVGVHAVQVCZPDOEIJMQRSAVRVQUBVEZAWEVQUKVEZAWAVQUGVEZAWDVQUJVE
        ZWMGHDEFBCIJKVONMLPOQRSTUAWNUDUCAWBVQUHVEZAWCVQUIVEZWPAVSVQUEVEZAVTVQUF
        VEZWOWQWMBDGEIJMQRSWNWTWPWRAWFVQULVEVIWMCDHEIJMQRSWNXAWPWSAWGVQUMVEVIAW
        IVQUOVEAWHVQUNVEAWKVQUQVEAWJVQUPVEWLAVQVGVHVIADBDGEIJVOMQRSWLUBUGUEUGUH
        VKVL $.
    $}

    ${
      $d .- p q r s x $.  $d A p q r s x $.  $d B p q r s x $.  $d M p q r $.
      $d C p q r s x $.  $d G s $.  $d I p q r s x $.  $d L p q r s x $.
      $d P p q r s x $.  $d S x $.  $d p ph q r s x $.
      midexlem.m $e |- M = ( S ` x ) $.
      midexlem.a $e |- ( ph -> A e. P ) $.
      midexlem.b $e |- ( ph -> B e. P ) $.
      midexlem.c $e |- ( ph -> C e. P ) $.
      midexlem.1 $e |- ( ph -> ( C .- A ) = ( C .- B ) ) $.
      $( Lemma for the existence of a middle point.  Lemma 7.25 of
         [Schwabhauser] p. 55.  This proof of the existence of a midpoint
         requires the existence of a third point ` C ` equidistant to ` A ` and
         ` B ` This condition will be removed later.  Because the operation
         notation ` ( A ( midG `` G ) B ) ` for a midpoint implies its
         uniqueness, it cannot be used until uniqueness is proven, and until
         then, an equivalent mirror point notation ` B = ( M `` A ) ` has to be
         used.  See ~ mideu for the existence and uniqueness of the midpoint.
         (Contributed by Thierry Arnoux, 25-Aug-2019.) $)
      midexlem $p |- ( ph -> E. x e. P B = ( M ` A ) ) $=
        ( vp vq vr vs co wcel wceq wo cfv wa fveq2 syl5eq fveq1d rspceeqv sylan
        wrex cv adantlr eqid mircinv adantr simpr eqtr2d syl2an2r cstrkg colmid
        mpjaodan wn wne ad2antrr simprl ad3antrrr cs3 ccgrg wbr simpllr ncolne1
        ad7antr necomd eqnetrd simplr ad9antr ncolrot2 stoic1a btwnlng3 eleqtrd
        colcom lncom oveq2d axtgbtwnid neneqd pm2.65da ncolncol ncolcom simp-4r
        neqned simprd eqcomd ad5antr tgcgrneq ncolne2 simpld btwnlng1 btwncolg3
        tgcgrcomlr pm2.61dane ad8antr axtg5seg simprr tgifscgr simp-10l colrot1
        axtgcgrrflx cgr3simp2 btwncolg1 tgbtwncom cgr3simp1 trgcgr lnxfr orcomd
        syl21anc tgcgrextend ord mpd tglineinteq lncgr tgcgrxfr r19.29a simprrl
        oveq1d ismir axtgpasch reximddv axtgsegcon cvv cbs fvexi a1i tgbtwndiff
        nehash2 pm2.61dan ) AECDJUHZUICDUJZUKZDCKULZUJZBFUSZAUUGUMZDCEGULZULZUJ
        ZUUJUUFAUUNUUJUUGAEFUIZUUNUUJUBBEFUUHUUMDBUTZEUJZCKUULUUQKUUPGULZUULSUU
        PEGUNUOUPUQURVAAUUFUUJUUGACFUIZUUFDCCGULZULZUJUUJTAUUFUMUVACDAUVACUJUUF
        ACFGHIJUUTLMNOPQRTUUTVBVCVDAUUFVEVFBCFUUHUVADUUPCUJZCKUUTUVBKUURUUTSUUP
        CGUNUOUPUQVGVAUUKCDFGHIJUULLEMNOPQAHVHUIZUUGRVDUULVBAUUSUUGTVDADFUIZUUG
        UAVDAUUOUUGUBVDAUUGVEAECLUHZEDLUHZUJZUUGUCVDVIVJAUUGVKZUMZCEUDUTZIUHUIZ
        CUVJVLZUMZUUJUDFUVIUVJFUIZUMZUVMUMZDEUEUTZIUHZUIZDUVQLUHZCUVJLUHZUJZUMZ
        UUJUEFUVPUVQFUIZUMZUWCUMZUFUTZCUVQIUHZUIZUWGDUVJIUHUIZUMZUUJUFFUWFUWGFU
        IZUMZUWKUMZUUPCDIUHUIZUUPUWGEIUHUIZUMZUUIBFUWNUUPFUIZUWQUMZUMZUUPCDFGHI
        JKLMNOPQUWNUVCUWSUWFUVCUWLUWKUVPUVCUWDUWCUVIUVCUVNUVMAUVCUVHRVDZVMZVMZV
        MZVDZUWNUWRUWQVNZSUWNUUSUWSUWFUUSUWLUWKUVPUUSUWDUWCUVIUUSUVNUVMAUUSUVHT
        VDZVMZVMZVMZVDZUWNUVDUWSUWFUVDUWLUWKUVPUVDUWDUWCAUVDUVHUVNUVMUAVOZVMZVM
        ZVDZUWTUGUTZUWHUIZDUWGUVJVPCUXPUVQVPHVQULZVRZUMZUUPDLUHUUPCLUHUJUGFUWTU
        XPFUIZUMZUXTUMZDCFUXRHIJLUWGEUUPMPOUWTUVCUYAUXTUXEVMZUWTUWLUYAUXTUWFUWL
        UWKUWSVSZVMZUWTUUOUYAUXTUWNUUOUWSUWFUUOUWLUWKUVPUUOUWDUWCUVIUUOUVNUVMAU
        UOUVHUBVDZVMZVMZVMZVDZVMZUWTUWRUYAUXTUXFVMZUXRVBZUWTUVDUYAUXTUXOVMZUWTU
        USUYAUXTUXKVMZNUYCUWGEVLUWGCUYCUWGCUJZUMZUWGCEUYCUYQVEUYRECUYCECVLZUYQU
        WTUYSUYAUXTUVIUYSUVNUVMUWDUWCUWLUWKUWSUVIFHIJECDMOPUXAUYGUXGAUVDUVHUAVD
        AUVHVEZVTZWAZVMZVDWBWCUYCUWGCVLZUMZFHIJUWGCEMOPUYCUVCVUDUYDVDZUYCUWLVUD
        UYFVDZUYCUUSVUDUYPVDZUYCUUOVUDUYLVDZVUEUVQCEUWGFHIJMOPVUFUYCUWDVUDUWTUW
        DUYAUXTUWFUWDUWLUWKUWSUVPUWDUWCWDZVOZVMZVDVUHVUIVUGUYCUVQCEJUHUICEUJUKV
        KVUDUYCFHIJECUVQMPOUYDUYLUYPVULUYCDECUVQFHIJMOPUYDUYOUYLUYPVULUYCFHIJCD
        EMPOUYDUYPUYOUYLUVIUVHUVNUVMUWDUWCUWLUWKUWSUYAUXTUYTWEZWFUYCFHIJDEUVQMO
        PUYDUYOUYLVULUYCEDUYCFHIJEDCMOPUYDUYLUYOUYPUVIEDCJUHUIDCUJUKZVKUVNUVMUW
        DUWCUWLUWKUWSUYAUXTAVUNUUGAVUNUMFHIJDCEMPOAUVCVUNRVDAUVDVUNUAVDAUUSVUNT
        VDAUUOVUNUBVDAVUNVEWJWGWEZVTZWBUYCFHIJEDUVQMOPUYDUYLUYOVULVUPUWTUVSUYAU
        XTUWFUVSUWLUWKUWSUWEUVSUWBVNZVOZVMZWHZWKUYCUVQEUYCUVQEUJZEDUJUYCVVAUMZF
        HILEDMNOUYCUVCVVAUYDVDUYCUUOVVAUYLVDUYCUVDVVAUYOVDVVBDUVREEIUHUYCUVSVVA
        VUSVDVVBUVQEEIUYCVVAVEWLWIWMVVBEDUYCEDVLVVAVUPVDWNWOWSWPWQVDUYCUWGUVQCJ
        UHUIVUDUYCFHIJUVQCUWGMOPUYDVULUYPUYFUYCFHIJUVQDCMOPUYDVULUYOUYPUYCEDCUV
        QFHIJMOPUYDUYLUYOUYPVULVUOVUTUYCUVJCUVQDFHILMNOUYDUWTUVNUYAUXTUWNUVNUWS
        UWFUVNUWLUWKUVIUVNUVMUWDUWCWRZVMZVDZVMZUYPVULUYOUYCCUVJDUVQFHILMNOUYDUY
        PVVFUYOVULUWTUWAUVTUJUYAUXTUWTUVTUWAUWTUVSUWBUWEUWCUWLUWKUWSWRWTZXAZVMX
        HZUYCCUVJUYCUVKUVLUWFUVMUWLUWKUWSUYAUXTUVOUVMUWDUWCVSZXBZWTWBZXCWPXDZUY
        CFHIJCUVQUWGMOPUYDUYPVULUYFUYCUVQCVVMWBZUYCUWIUWJUWMUWKUWSUYAUXTWRXEZXF
        ZWKVDUYCVUDVEWPXDXIUYCFHIJUWGUUPEMPOUYDUYFUYMUYLUYCUWOUWPUYCUWRUWQUWNUW
        SUYAUXTVSWTWTXGUYCUWGCLUHUXPDLUHUWGDLUHUYCDUWGUVJCFCUXPHDIUVQLMNOUYDUYO
        UYFVVFUYPUYPUWTUYAUXTWDZVULUYOUWTUWJUYAUXTUWTUWIUWJUWMUWKUWSWDWTZVMZUYB
        UXQUXSVNZUWTDUVJLUHCUVQLUHUJUYAUXTUWTUVJDUVQCFHILMNOUXEVVEUXOVUKUXKUWTE
        DUVQFDHILCECUVJMNOUXEUYKUXKVVEUYKUXOVUKUXOUXKVUBUWNUVKUWSUWFUVKUWLUWKUW
        FUVKUVLVVJXEZVMZVDVURAUVGUVHUVNUVMUWDUWCUWLUWKUWSUCXJZVVHUWTUVEUVFVWCXA
        ZUWTFHILCDMNOUXEUXKUXOXPXKXHZVMZUYCDUWGUVJCFUXRUXPUVQHILMNOUYNUYDUYOUYF
        VVFUYPVVQVULUYBUXQUXSXLZXQZUYCFHILDCMNOUYDUYOUYPXPVVIXMZUYCUXPUWGDLUYCD
        UVJCUVQFHIJUXPUWGMOPUYDUYOVVFUYPVULUYCAUVNUVJUUEUIUUFUKZVKDUVJCJUHUIUVJ
        CUJUKZVKAUVHUVNUVMUWDUWCUWLUWKUWSUYAUXTXNVVFUYCECDUVJFHIJMOPUYDUYLUYPUY
        OVVFVUMUYCFHIJECUVJMOPUYDUYLUYPVVFVUCUYCUVKUVLVVKXEWHVVLWPZAUVNUMZVWKVW
        JVWMVWKUMFHIJUVJCDMPOAUVCUVNVWKRVMAUVNVWKWDAUUSUVNVWKTVMAUVDUVNVWKUAVMV
        WMVWKVEXOWGYDUYCDUVJUJZVKUXPDUVJJUHUIZUYCDUVJUYCUVJDUYCFHIJUVJCDMOPUYDV
        VFUYPUYOVWLXDWBZWNUYCVWNVWOUYCVWOVWNUYCDUXPUVJFUXRHIJCUWGUVQMPOUYDUYPUY
        FVULUYNUYOVVQVVFUYCFHIJCUVQUWGMPOUYDUYPVULUYFVVOXRUYCCUWGUVQDFUXRUXPUVJ
        HLMNUYNUYDUYPUYFVULUYOVVQVVFUYCUWGCUXPDFHILMNOUYDUYFUYPVVQUYOVWIXHUYCDU
        WGUVJUVQFCUXPHUVJIUVQLMNOUYDUYOUYFVVFVULUYPVVQVULVVFVVSVVTVWFVWHUWTUWBU
        YAUXTVVGVMUYCFHILUVJUVQMNOUYDVVFVULXPXMUYCUVQUXPCUVJFUWGDHILMNOUYDVULVV
        QUYPVVFUYFUYOUYCCUXPUVQFHILMNOUYDUYPVVQVULVVTXSUWTUWGUVJDIUHUIUYAUXTUWT
        DUWGUVJFHILMNOUXEUXOUYEVVEVVRXSVMUYCUXPUVQUWGUVJFHILMNOUYDVVQVULUYFVVFU
        YCUWGUVJLUHUXPUVQLUHVWHXAXHUYCCUXPDUWGFHILMNOUYDUYPVVQUYOUYFUYCDUWGLUHC
        UXPLUHUYCDUWGUVJCFUXRUXPUVQHILMNOUYNUYDUYOUYFVVFUYPVVQVULVWGXTXAXHYEYAY
        BYCYFYGUYCFHIJDUVJUWGMOPUYDUYOVVFUYFVWPVVSXFUYCFHIJCUVQUXPMOPUYDUYPVULV
        VQVVNVVTXFVVPYHYMVFUWTUVFUVEUJUYAUXTVWDVMYIUWTDUWGUVJCFUXRUGUVQHILMNOUY
        NUXEUXOUYEVVEUXKVUKVVRVWEYJYKUWTCUUPDFHILMNOUXEUXKUXFUXOUWNUWRUWOUWPYLX
        SYNUWNFCHILUWGEDUVJBMNOUXDUYJUXNVVDUXJUWFUWLUWKWDVWBUWMUWIUWJXLYOYPUWFF
        CHILDUVJUVQEUFMNOUXCVVCVUJUYIUXIUXMUWFECUVJFHILMNOUXCUYIUXIVVCVWAXSUWFE
        DUVQFHILMNOUXCUYIUXMVUJVUQXSYOYKUVPUECUVJFHILEDMNOUXBUYHUXLUXHUVIUVNUVM
        WDYQYKUVIECFHILUDMNOUXAUYGUXGUVIECFYRFYRUIUVIFHYSMYTUUAUYGUXGVUAUUCUUBY
        KUUD $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Right angles
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c raG $.

  $( Declare the constant for the class of right angles. $)
  crag $a class raG $.

  ${
    $d w g $.
    $( Define the class of right angles.  Definition 8.1 of [Schwabhauser]
       p. 57.  See ~ israg .  (Contributed by Thierry Arnoux, 25-Aug-2019.) $)
    df-rag $a |- raG = ( g e. _V |-> { w e. Word ( Base ` g ) | ( ( # ` w ) = 3
      /\ ( ( w ` 0 ) ( dist ` g ) ( w ` 2 ) ) = ( ( w ` 0 ) ( dist ` g )
      ( ( ( pInvG ` g ) ` ( w ` 1 ) ) ` ( w ` 2 ) ) ) ) } ) $.
  $}

  $c perpG $.

  $( Declare the constant for the perpendicular relation. $)
  cperpg $a class perpG $.

  ${
    $d a b u v x g $.
    $( Define the "perpendicular" relation.  Definition 8.11 of [Schwabhauser]
       p. 59.  See ~ isperp .  (Contributed by Thierry Arnoux, 8-Sep-2019.) $)
    df-perpg $a |- perpG = ( g e. _V |-> { <. a , b >. | ( ( a e. ran ( LineG `
      g ) /\ b e. ran ( LineG ` g ) ) /\ E. x e. ( a i^i b )
      A. u e. a A. v e. b <" u x v "> e. ( raG ` g ) ) } ) $.
  $}

  ${
    $d .- g w $.  $d A w $.  $d B w $.  $d C w $.  $d G g w $.  $d P g w $.
    $d S g w $.  $d g ph w $.
    israg.p $e |- P = ( Base ` G ) $.
    israg.d $e |- .- = ( dist ` G ) $.
    israg.i $e |- I = ( Itv ` G ) $.
    israg.l $e |- L = ( LineG ` G ) $.
    israg.s $e |- S = ( pInvG ` G ) $.
    israg.g $e |- ( ph -> G e. TarskiG ) $.
    israg.a $e |- ( ph -> A e. P ) $.
    israg.b $e |- ( ph -> B e. P ) $.
    israg.c $e |- ( ph -> C e. P ) $.
    $( Property for 3 points A, B, C to form a right angle.  Definition 8.1 of
       [Schwabhauser] p. 57.  (Contributed by Thierry Arnoux, 25-Aug-2019.) $)
    israg $p |- ( ph -> ( <" A B C "> e. ( raG ` G ) <->
      ( A .- C ) = ( A .- ( ( S ` B ) ` C ) ) ) ) $=
      ( cfv vw vg cs3 cv chash c3 wceq cc0 c2 co c1 wa cword crab wcel wb s3cld
      crag fveqeq2 fveq1 oveq12d fveq2d fveq12d eqeq12d anbi12d elrab3 syl cmir
      cds cbs cvv df-rag simpr eqtr4di wrdeq oveqd eqidd fveq1d oveq123d anbi2d
      rabeqbidv cstrkg elexd fvexi wrdexi rabex a1i fvmptd2 eleq2d s3fv0 eqcomd
      s3fv2 s3fv1 s3len biantrurd bitrd 3bitr4d ) ABCDUCZUAUDZUETUFUGZUHWSTZUIW
      STZJUJZXAXBUKWSTZFTZTZJUJZUGZULZUAEUMZUNZUOZWRUETUFUGZUHWRTZUIWRTZJUJZXNX
      OUKWRTZFTZTZJUJZUGZULZWRGURTZUOBDJUJZBDCFTZTZJUJZUGZAWRXJUOXLYBUPABCDEQRS
      UQXIYBUAWRXJWSWRUGZWTXMXHYAWSWRUFUEUSYIXCXPXGXTYIXAXNXBXOJUHWSWRUTZUIWSWR
      UTZVAYIXAXNXFXSJYJYIXBXOXEXRYIXDXQFUKWSWRUTVBYKVCVAVDVEVFVGAYCXKWRAUBGWTX
      AXBUBUDZVITZUJZXAXBXDYLVHTZTZTZYMUJZUGZULZUAYLVJTZUMZUNXKVKURVKUAUBVLAYLG
      UGZULZYTXIUAUUBXJUUDUUAEUGUUBXJUGUUDUUAGVJTEUUDYLGVJAUUCVMZVBKVNUUAEVOVGU
      UDYSXHWTUUDYNXCYRXGUUDYMJXAXBUUDYMGVITJUUDYLGVIUUEVBLVNZVPUUDXAXAYQXFYMJU
      UFUUDXAVQUUDXBYPXEUUDXDYOFUUDYOGVHTFUUDYLGVHUUEVBOVNVRVRVSVDVTWAAGWBPWCXK
      VKUOAXIUAXJEEGVJKWDWEWFWGWHWIAYHYAYBAYDXPYGXTABXNDXOJAXNBABEUOXNBUGQBCDEW
      JVGWKZAXODADEUOXODUGSBCDEWLVGWKZVAABXNYFXSJUUGADXOYEXRACXQFAXQCACEUOXQCUG
      RBCDEWMVGWKVBUUHVCVAVDAXMYAXMABCDWNWGWOWPWQ $.

    ${
      ragcom.1 $e |- ( ph -> <" A B C "> e. ( raG ` G ) ) $.
      $( Commutative rule for right angles.  Theorem 8.2 of [Schwabhauser]
         p. 57.  (Contributed by Thierry Arnoux, 25-Aug-2019.) $)
      ragcom $p |- ( ph -> <" C B A "> e. ( raG ` G ) ) $=
        ( cs3 crag wcel co wceq eqid mircl israg mpbid tgcgrcomlr miriso mirmir
        cfv oveq1d 3eqtr2d mpbird ) ADCBUAGUBUMZUCDBJUDZDBCFUMZUMZJUDZUEAURDUSU
        MZBJUDVBUSUMZUTJUDVAABDBVBEGHJKLMPQSQACEFGHIUSJDKLMNOPRUSUFZSUGZABCDUAU
        QUCBDJUDBVBJUDUETABCDEFGHIJKLMNOPQRSUHUIUJACEFGHIUSJVBBKLMNOPRVDVEQUKAV
        CDUTJACDEFGHIUSJKLMNOPRVDSULUNUOADCBEFGHIJKLMNOPSRQUHUP $.
    $}

    ${
      ragcol.d $e |- ( ph -> D e. P ) $.
      ragcol.1 $e |- ( ph -> <" A B C "> e. ( raG ` G ) ) $.
      ragcol.2 $e |- ( ph -> A =/= B ) $.
      ragcol.3 $e |- ( ph -> ( A e. ( B L D ) \/ B = D ) ) $.
      $( The right angle property is independent of the choice of point on one
         side.  Theorem 8.3 of [Schwabhauser] p. 58.  (Contributed by Thierry
         Arnoux, 25-Aug-2019.) $)
      ragcol $p |- ( ph -> <" D B C "> e. ( raG ` G ) ) $=
        ( cs3 crag cfv wcel co wceq ccgrg eqid mircl necomd mircgr eqcomd israg
        mpbid lncgr mpbird ) AECDUEHUFUGZUHEDKUIEDCGUGZUGZKUIUJADVCFHUKUGZHIJKC
        BELONQSRUAVDULTACFGHIJVBKDLMNOPQSVBULZTUMMABCUCUNUDACVCKUICDKUIACDFGHIJ
        VBKLMNOPQSVETUOUPABCDUEVAUHBDKUIBVCKUIUJUBABCDFGHIJKLMNOPQRSTUQURUSAECD
        FGHIJKLMNOPQUASTUQUT $.
    $}

    ${
      ragmir.1 $e |- ( ph -> <" A B C "> e. ( raG ` G ) ) $.
      $( Right angle property is preserved by point inversion.  Theorem 8.4 of
         [Schwabhauser] p. 58.  (Contributed by Thierry Arnoux,
         25-Aug-2019.) $)
      ragmir $p |- ( ph -> <" A B ( ( S ` B ) ` C ) "> e. ( raG ` G ) ) $=
        ( cfv cs3 crag wcel co wceq eqid mirmir oveq2d israg mpbid eqtr2d mircl
        mpbird ) ABCDCFUAZUAZUBGUCUAZUDBUPJUEZBUPUOUAZJUEZUFAUTBDJUEZURAUSDBJAC
        DEFGHIUOJKLMNOPRUOUGZSUHUIABCDUBUQUDVAURUFTABCDEFGHIJKLMNOPQRSUJUKULABC
        UPEFGHIJKLMNOPQRACEFGHIUOJDKLMNOPRVBSUMUJUN $.

      mirrag.m $e |- M = ( S ` D ) $.
      mirrag.d $e |- ( ph -> D e. P ) $.
      $( Right angle is conserved by point inversion.  (Contributed by Thierry
         Arnoux, 3-Nov-2019.) $)
      mirrag $p |- ( ph
        -> <" ( M ` A ) ( M ` B ) ( M ` C ) "> e. ( raG ` G ) ) $=
        ( cfv cs3 crag wcel co wceq eqid mircl israg mpbid mircgrs oveq2d eqtrd
        mirmir2 mpbird ) ABKUEZCKUEZDKUEZUFHUGUEZUHUTVBLUIZUTVBVAGUEUEZLUIZUJAV
        DUTDCGUEZUEZKUEZLUIVFAEFGVHHIJKLBDBMNOPQRUDUCSUASACFGHIJVGLDMNOPQRTVGUK
        UAULABCDUFVCUHBDLUIBVHLUIUJUBABCDFGHIJLMNOPQRSTUAUMUNUOAVIVEUTLAEFGHIJK
        LDCMNOPQRUDUCUATURUPUQAUTVAVBFGHIJLMNOPQRAEFGHIJKLBMNOPQRUDUCSULAEFGHIJ
        KLCMNOPQRUDUCTULAEFGHIJKLDMNOPQRUDUCUAULUMUS $.
    $}

    $( Trivial right angle.  Theorem 8.5 of [Schwabhauser] p. 58.  (Contributed
       by Thierry Arnoux, 25-Aug-2019.) $)
    ragtrivb $p |- ( ph -> <" A B B "> e. ( raG ` G ) ) $=
      ( cfv cs3 crag wcel co wceq eqid mircinv oveq2d eqcomd israg mpbird ) ABC
      CUAGUBTUCBCJUDZBCCFTZTZJUDZUEAUOULAUNCBJACEFGHIUMJKLMNOPRUMUFUGUHUIABCCEF
      GHIJKLMNOPQRRUJUK $.

    ${
      ragflat2.d $e |- ( ph -> D e. P ) $.
      ragflat2.1 $e |- ( ph -> <" A B C "> e. ( raG ` G ) ) $.
      ragflat2.2 $e |- ( ph -> <" D B C "> e. ( raG ` G ) ) $.
      ragflat2.3 $e |- ( ph -> C e. ( A I D ) ) $.
      $( Deduce equality from two right angles.  Theorem 8.6 of [Schwabhauser]
         p. 58.  (Contributed by Thierry Arnoux, 3-Sep-2019.) $)
      ragflat2 $p |- ( ph -> B = C ) $=
        ( cfv wceq ccgrg eqid mircl cs3 crag wcel israg mpbid tgidinside eqcomd
        co mirinv ) ADCGUEZUEZDUFCDUFADUTAUTBFHUGUEZHIJKBEDLONQRUATVAUHACFGHIJU
        SKDLMNOPQSUSUHZTUIRMUDABCDUJHUKUEZULBDKUQBUTKUQUFUBABCDFGHIJKLMNOPQRSTU
        MUNAECDUJVCULEDKUQEUTKUQUFUCAECDFGHIJKLMNOPQUASTUMUNUOUPACDFGHIJUSKLMNO
        PQSVBTURUN $.
    $}

    ${
      ragflat.1 $e |- ( ph -> <" A B C "> e. ( raG ` G ) ) $.
      ragflat.2 $e |- ( ph -> <" A C B "> e. ( raG ` G ) ) $.
      $( Deduce equality from two right angles.  Theorem 8.7 of [Schwabhauser]
         p. 58.  (Contributed by Thierry Arnoux, 3-Sep-2019.) $)
      ragflat $p |- ( ph -> B = C ) $=
        ( wceq simpr wne wa cfv cstrkg wcel adantr eqid mircl cs3 co tgcgrcomlr
        crag mircgr israg mpbid ragcom tgbtwncom btwncolg1 ragcol 3eqtrd mpbird
        mirbtwn ragflat2 pm2.61dane ) ACDUBZCDAVHUCACDUDZUEZBCDBDFUFZUFZEFGHIJK
        LMNOAGUGUHVIPUIZABEUHVIQUIZACEUHVIRUIZADEUHVISUIZVJDEFGHIVKJBKLMNOVMVPV
        KUJZVNUKZABCDULGUOUFZUHZVITUIZVJVLCDULVSUHVLDJUMZVLDCFUFZUFZJUMZUBVJWBB
        DJUMZBWDJUMZWEVJDVLDBEGHJKLMVMVPVRVPVNVJDBEFGHIVKJKLMNOVMVPVQVNUPUNVJVT
        WFWGUBWAVJBCDEFGHIJKLMNOVMVNVOVPUQURVJWDBWDVLEGHJKLMVMVJCEFGHIWCJDKLMNO
        VMVOWCUJZVPUKZVNWIVRVJWDDBULVSUHWDBJUMWDVLJUMUBVJCDBWDEFGHIJKLMNOVMVOVP
        VNWIVJBDCEFGHIJKLMNOVMVNVPVOABDCULVSUHVIUAUIUSAVIUCVJEGHIDWDCKNMVMVPWIV
        OVJWDCDEGHJKLMVMWIVOVPVJCDEFGHIWCJKLMNOVMVOWHVPVEUTVAVBVJWDDBEFGHIJKLMN
        OVMWIVPVNUQURUNVCVJVLCDEFGHIJKLMNOVMVRVOVPUQVDVJVLDBEGHJKLMVMVRVPVNVJDB
        EFGHIVKJKLMNOVMVPVQVNVEUTVFVG $.
    $}

    ${
      ragtriva.1 $e |- ( ph -> <" A B A "> e. ( raG ` G ) ) $.
      $( Trivial right angle.  Theorem 8.8 of [Schwabhauser] p. 58.
         (Contributed by Thierry Arnoux, 3-Sep-2019.) $)
      ragtriva $p |- ( ph -> A = B ) $=
        ( ragtrivb ragcom ragflat ) ABBCEFGHIJKLMNOPQQRACBBEFGHIJKLMNOPRQQACBDE
        FGHIJKLMNOPRQSUAUBTUC $.
    $}

    ${
      ragflat3.1 $e |- ( ph -> <" A B C "> e. ( raG ` G ) ) $.
      ragflat3.2 $e |- ( ph -> ( C e. ( A L B ) \/ A = B ) ) $.
      $( Right angle and colinearity.  Theorem 8.9 of [Schwabhauser] p. 58.
         (Contributed by Thierry Arnoux, 4-Sep-2019.) $)
      ragflat3 $p |- ( ph -> ( A = B \/ C = B ) ) $=
        ( wceq wn wa cstrkg wcel adantr cs3 crag cfv simpr neqned co wo colrot1
        ragcol ragtriva ex orrd ) ABCUBZDCUBZAUTUCZVAAVBUDZDCBEFGHIJKLMNOAGUEUF
        VBPUGZADEUFVBSUGZACEUFVBRUGZABEUFVBQUGZVCBCDDEFGHIJKLMNOVDVGVFVEVEABCDU
        HGUIUJUFVBTUGVCBCAVBUKULVCEGHIBCDKNMVDVGVFVEADBCIUMUFUTUNVBUAUGUOUPUQUR
        US $.
    $}

    ${
      ragcgr.c $e |- .~ = ( cgrG ` G ) $.
      ragcgr.d $e |- ( ph -> D e. P ) $.
      ragcgr.e $e |- ( ph -> E e. P ) $.
      ragcgr.f $e |- ( ph -> F e. P ) $.
      ragcgr.1 $e |- ( ph -> <" A B C "> e. ( raG ` G ) ) $.
      ragcgr.2 $e |- ( ph -> <" A B C "> .~ <" D E F "> ) $.
      $( Right angle and colinearity.  Theorem 8.10 of [Schwabhauser] p. 58.
         (Contributed by Thierry Arnoux, 4-Sep-2019.) $)
      ragcgr $p |- ( ph -> <" D E F "> e. ( raG ` G ) ) $=
        ( cs3 crag cfv wcel wceq wa eqidd cstrkg adantr cgr3simp2 simpr tgcgreq
        wbr s3eqd ragtrivb eqeltrd wne co israg mpbid cgr3simp3 tgcgrcomlr eqid
        mircl necomd mirbtwn tgbtwncom mircgr 3eqtr4d cgr3simp1 axtg5seg mpbird
        3eqtr3d pm2.61dane ) AEIJUJZKUKULZUMZCDACDUNZUOZWDEJJUJWEWHEIJJEJWHEUPW
        HCDIJFKLNOPQAKUQUMZWGTURZACFUMZWGUBURZADFUMZWGUCURZAIFUMZWGUFURZAJFUMZW
        GUGURZWHBCDEFGIJKLNOPQUDWJABFUMZWGUAURWLWNAEFUMZWGUEURZWPWRABCDUJZWDGVB
        ZWGUIURUSAWGUTVAWHJUPVCWHEJIFHKLMNOPQRSWJXAWRWPVDVEACDVFZUOZWFEJNVGZEJI
        HULZULZNVGZUNXEBDNVGZBDCHULZULZNVGZXFXIXEXBWEUMZXJXMUNAXNXDUHURXEBCDFHK
        LMNOPQRSAWIXDTURZAWSXDUAURZAWKXDUBURZAWMXDUCURZVHVIXEDBJEFKLNOPQXOXRXPA
        WQXDUGURZAWTXDUEURZXEBCDEFGIJKLNOPQUDXOXPXQXRXTAWOXDUFURZXSAXCXDUIURZVJ
        ZVKXEXLBXHEFKLNOPQXOXECFHKLMXKNDOPQRSXOXQXKVLZXRVMZXPXEIFHKLMXGNJOPQRSX
        OYAXGVLZXSVMZXTXEJIXHFBKLNEDCXLOPQXOXRXQYEXSYAYGXPXTXECDAXDUTVNXEXLCDFK
        LNOPQXOYEXQXRXECDFHKLMXKNOPQRSXOXQYDXRVOVPXEXHIJFKLNOPQXOYGYAXSXEIJFHKL
        MXGNOPQRSXOYAYFXSVOVPXECDIJFKLNOPQXOXQXRYAXSXEBCDEFGIJKLNOPQUDXOXPXQXRX
        TYAXSYBUSZVKXECDNVGIJNVGCXLNVGIXHNVGYHXECDFHKLMXKNOPQRSXOXQYDXRVQXEIJFH
        KLMXGNOPQRSXOYAYFXSVQVRYCXEBCEIFKLNOPQXOXPXQXTYAXEBCDEFGIJKLNOPQUDXOXPX
        QXRXTYAXSYBVSVKVTVKWBXEEIJFHKLMNOPQRSXOXTYAXSVHWAWC $.
    $}

    ${
      motrag.f $e |- ( ph -> F e. ( G Ismt G ) ) $.
      motrag.1 $e |- ( ph -> <" A B C "> e. ( raG ` G ) ) $.
      $( Right angles are preserved by motions.  (Contributed by Thierry
         Arnoux, 16-Dec-2019.) $)
      motrag $p |- ( ph ->
        <" ( F ` A ) ( F ` B ) ( F ` C ) "> e. ( raG ` G ) ) $=
        ( cfv ccgrg eqid cstrkg motcl eqidd motcgr3 ragcgr ) ABCDBGUCZEHUDUCZFC
        GUCZDGUCZHIJKLMNOPQRSTULUEZABEGHKUFLMQUARUGACEGHKUFLMQUASUGADEGHKUFLMQU
        ATUGUBABCDUKEULUMUNHGKLMUOQRSTAUKUHAUMUHAUNUHUAUIUJ $.
    $}

    ${
      ragncol.1 $e |- ( ph -> <" A B C "> e. ( raG ` G ) ) $.
      ragncol.2 $e |- ( ph -> A =/= B ) $.
      ragncol.3 $e |- ( ph -> C =/= B ) $.
      $( Right angle implies non-colinearity.  A consequence of theorem 8.9 of
         [Schwabhauser] p. 58.  (Contributed by Thierry Arnoux, 1-Dec-2019.) $)
      ragncol $p |- ( ph -> -. ( C e. ( A L B ) \/ A = B ) ) $=
        ( co wcel wceq wo wn neneqd ioran sylanbrc cstrkg adantr cs3 crag simpr
        wa cfv ragflat3 mtand ) ADBCIUCUDBCUEZUFZUTDCUEZUFZAUTUGVBUGVCUGABCUAUH
        ADCUBUHUTVBUIUJAVAUPBCDEFGHIJKLMNOAGUKUDVAPULABEUDVAQULACEUDVARULADEUDV
        ASULABCDUMGUNUQUDVATULAVAUOURUS $.
    $}

$(
    @{
      rag2col.d @e |- ( ph -> D e. P ) @.
      rag2col.1 @e |- ( ph -> <" A B C "> e. ( raG ` G ) ) @.
      rag2col.2 @e |- ( ph -> <" A B D "> e. ( raG ` G ) ) @.
      @( Two right angles imply colinearity.  (Contributed by Thierry Arnoux,
         3-Mar-2020.) @)
      rag2col @p |- ( ph -> ( B e. ( C L D ) \/ C = D ) ) @=
        ? @.
    @}
$)
  $}

  ${
    $d G a b g u v x $.  $d L a b g $.  $d a b g ph u v x $.
    perpln.l $e |- L = ( LineG ` G ) $.
    perpln.1 $e |- ( ph -> G e. TarskiG ) $.
    perpln.2 $e |- ( ph -> A ( perpG ` G ) B ) $.
    $( Derive a line from perpendicularity.  (Contributed by Thierry Arnoux,
       27-Nov-2019.) $)
    perpln1 $p |- ( ph -> A e. ran L ) $=
      ( va vb vu vx vv cfv cv wcel wral wa clng cvv cperpg cdm crn cs3 crag cin
      vg wrex copab df-perpg wceq simpr fveq2d eqtr4di rneqd anbi12d rexralbidv
      eleq2d ralbidv opabbidv elexd cxp fvexi rnexg mp1i xpexd wss opabssxp a1i
      cstrkg ssexd fvmptd2 anass opabbii eqtrdi dmopabss eqsstrdi wrel relopabv
      wbr releqd mpbiri brrelex12 syl2anc simpld simprd breldmg syl3anc sseldd
      dmeqd ) ADUANZUBZEUCZBAWLIOZWMPZJOZWMPZKOLOMOUDZDUENZPZMWPQZKWNQLWNWPUFZU
      HZRZRZIJUIZUBWMAWKXFAWKWOWQRZXCRZIJUIZXFAUGDWNUGOZSNZUCZPZWPXLPZRZWRXJUEN
      ZPZMWPQZKWNQLXBUHZRZIJUIXITUATLMKUGIJUJAXJDUKZRZXTXHIJYBXOXGXSXCYBXMWOXNW
      QYBXLWMWNYBXKEYBXKDSNEYBXJDSAYAULZUMFUNUOZURYBXLWMWPYDURUPYBXRXALKXBWNYBX
      QWTMWPYBXPWSWRYBXJDUEYCUMURUSUQUPUTADVJGVAAXIWMWMVBZTAWMWMTTETPWMTPAEDSFV
      CETVDVEZYFVFXIYEVGAXCIJWMWMVHVIVKVLZXHXEIJWOWQXCVMVNVOWJXDIJWMVPVQABTPZCT
      PZBCWKVTZBWLPAYHYIAWKVRZYJYHYIRAYKXIVRXHIJVSAWKXIYGWAWBHBCWKWCWDZWEAYHYIY
      LWFHBCTTWKWGWHWI $.

    $( Derive a line from perpendicularity.  (Contributed by Thierry Arnoux,
       27-Nov-2019.) $)
    perpln2 $p |- ( ph -> B e. ran L ) $=
      ( va vb vu vx vv cfv crn cv wcel wa wral cvv cperpg cxp cs3 crag cin wrex
      vg copab clng df-perpg wceq simpr fveq2d eqtr4di rneqd anbi12d rexralbidv
      eleq2d ralbidv opabbidv cstrkg elexd fvexi rnexg xpexd wss opabssxp ssexd
      mp1i a1i fvmptd2 rnssi eqsstrdi rnxpss sstrdi wrel relopabv releqd mpbiri
      wbr brrelex12 syl2anc simpld simprd brelrng syl3anc sseldd ) ADUANZOZEOZC
      AWIWJWJUBZOZWJAWIIPZWJQZJPZWJQZRZKPLPMPUCZDUDNZQZMWOSZKWMSLWMWOUEZUFZRZIJ
      UHZOWLAWHXEAUGDWMUGPZUINZOZQZWOXHQZRZWRXFUDNZQZMWOSZKWMSLXBUFZRZIJUHXETUA
      TLMKUGIJUJAXFDUKZRZXPXDIJXRXKWQXOXCXRXIWNXJWPXRXHWJWMXRXGEXRXGDUINEXRXFDU
      IAXQULZUMFUNUOZURXRXHWJWOXTURUPXRXNXALKXBWMXRXMWTMWOXRXLWSWRXRXFDUDXSUMUR
      USUQUPUTADVAGVBAXEWKTAWJWJTTETQWJTQAEDUIFVCETVDVIZYAVEXEWKVFAXCIJWJWJVGZV
      JVHVKZUOXEWKYBVLVMWJWJVNVOABTQZCTQZBCWHVTZCWIQAYDYEAWHVPZYFYDYERAYGXEVPXD
      IJVQAWHXEYCVRVSHBCWHWAWBZWCAYDYEYHWDHBCWHTTWEWFWG $.
  $}

  ${
    $d a b u v x A $.  $d a b u v x B $.  $d a b g u v x G $.  $d a b g L $.
    $d a b g u v x ph $.
    isperp.p $e |- P = ( Base ` G ) $.
    isperp.d $e |- .- = ( dist ` G ) $.
    isperp.i $e |- I = ( Itv ` G ) $.
    isperp.l $e |- L = ( LineG ` G ) $.
    isperp.g $e |- ( ph -> G e. TarskiG ) $.
    isperp.a $e |- ( ph -> A e. ran L ) $.
    ${
      isperp.b $e |- ( ph -> B e. ran L ) $.
      $( Property for 2 lines A, B to be perpendicular.  Item (ii) of
         definition 8.11 of [Schwabhauser] p. 59.  (Contributed by Thierry
         Arnoux, 16-Oct-2019.) $)
      isperp $p |- ( ph -> ( A ( perpG ` G ) B <-> E. x e. ( A i^i B )
        A. u e. A A. v e. B <" u x v "> e. ( raG ` G ) ) ) $=
        ( wcel wa va vb vg cperpg cfv wbr cop crn cs3 crag wral cin copab df-br
        wrex clng cvv df-perpg wceq simpr fveq2d eqtr4di eleq2d anbi12d ralbidv
        cv rneqd rexralbidv opabbidv cstrkg elexd cxp fvexi rnexg mp1i opabssxp
        xpexd wss a1i ssexd fvmptd2 syl5bb wb ineq12 simpllr raleqdv raleqbidva
        simpll rexeqbidva opelopab2a syl2anc bitrd ) AEFHUDUEZUFZEFUGZUAVFZJUHZ
        SZUBVFZWQSZTZDVFZBVFZCVFUIZHUJUEZSZCWSUKZDWPUKZBWPWSULZUOZTZUAUBUMZSZXF
        CFUKZDEUKZBEFULZUOZWNWOWMSAXMEFWMUNAWMXLWOAUCHWPUCVFZUPUEZUHZSZWSXTSZTZ
        XDXRUJUEZSZCWSUKZDWPUKBXIUOZTZUAUBUMXLUQUDUQBCDUCUAUBURAXRHUSZTZYHXKUAU
        BYJYCXAYGXJYJYAWRYBWTYJXTWQWPYJXSJYJXSHUPUEJYJXRHUPAYIUTZVAOVBVGZVCYJXT
        WQWSYLVCVDYJYFXGBDXIWPYJYEXFCWSYJYDXEXDYJXRHUJYKVAVCVEVHVDVIAHVJPVKAXLW
        QWQVLZUQAWQWQUQUQJUQSWQUQSAJHUPOVMJUQVNVOZYNVQXLYMVRAXJUAUBWQWQVPVSVTWA
        VCWBAEWQSFWQSXMXQWCQRXJXQUAUBEFWQWQWPEUSZWSFUSZTZXHXOBXIXPWPEWSFWDYQXCX
        ISZTZXGXNDWPEYOYPYRWHYSXBWPSZTXFCWSFYOYPYRYTWEWFWGWIWJWKWL $.

      perpcom.1 $e |- ( ph -> A ( perpG ` G ) B ) $.
      $( The "perpendicular" relation commutes.  Theorem 8.12 of [Schwabhauser]
         p. 59.  (Contributed by Thierry Arnoux, 16-Oct-2019.) $)
      perpcom $p |- ( ph -> B ( perpG ` G ) A ) $=
        ( vu vx vv wcel cperpg cfv wbr cv cs3 crag wral cin wrex wceq incom a1i
        wa ralcom cmir eqid cstrkg ad3antrrr crn simplrr tglnpt simpllr simplrl
        elin1d simpr ragcom impbida 2ralbidva syl5bb rexeqbidva isperp 3bitr4d
        mpbid ) ABCEUAUBZUCZCBVNUCZPAQUDZRUDZSUDZUEEUFUBZTZSCUGQBUGZRBCUHZUIVSV
        RVQUEVTTZQBUGSCUGZRCBUHZUIVOVPAWBWERWCWFWCWFUJABCUKULWBWAQBUGSCUGAVRWCT
        ZUMZWEWAQSBCUNWHWAWDSQCBWHVSCTZVQBTZUMZUMZWAWDWLWAUMZVQVRVSDEUOUBZEFGHI
        JKLWNUPZAEUQTZWGWKWAMURZWMBDEFGVQILKWQABGUSZTZWGWKWANURZWHWIWJWAUTVAWMB
        DEFGVRILKWQWTWMBCVRAWGWKWAVBVDVAWMCDEFGVSILKWQACWRTZWGWKWAOURWHWIWJWAVC
        VAWLWAVEVFWLWDUMZVSVRVQDWNEFGHIJKLWOAWPWGWKWDMURZXBCDEFGVSILKXCAXAWGWKW
        DOURWHWIWJWDVCVAXBBDEFGVRILKXCAWSWGWKWDNURZXBBCVRAWGWKWDVBVDVAXBBDEFGVQ
        ILKXCXDWHWIWJWDUTVAWLWDVEVFVGVHVIVJARSQBCDEFGHIJKLMNOVKARQSCBDEFGHIJKLM
        ONVKVLVM $.

      $d u v x y z A $.  $d y z B $.  $d y z G $.  $d y z ph $.
      $( Two perpendicular lines are different.  Theorem 8.14 of [Schwabhauser]
         p. 59.  (Contributed by Thierry Arnoux, 18-Oct-2019.) $)
      perpneq $p |- ( ph -> A =/= B ) $=
        ( cv wcel wa adantl4r vy vx vz vu vv cs3 crag cfv wne cin cstrkg adantr
        wral co ad5antr simpr elin1d ad4antr tglnpt simplr simp-4r cmir simp-5r
        eqid wceq id eqidd s3eqd eleq1d rspc2va syl21anc simpllr necomd ragncol
        crn ncolrot2 tglineneq tglinethru 3netr4d wrex tglnpt2 ad5ant12 r19.29a
        elin2d cperpg wbr isperp mpbid ) AUAQZUBQZUCQZUFZEUGUHZRZUCCUMUABUMZBCU
        IZUBBCUJZAWJWQRZSZWOSZWJUDQZUIZWPUDBWTXABRZSXBSZWJUEQZUIZWPUECXDXECRZSX
        FSZXAWJGUNZWJXEGUNZBCXHXJXIXHWJXEXAWJDEFGIKLWSEUKRZWOXCXBXGXFAXKWRMULZU
        OZWSWOXCXBXGXFWJDRWSXCSZXBSZXGSZXFSZBDEFGWJILKAXKWRXCXBXGXFMUOZABGVOZRZ
        WRXCXBXGXFNUOZWSWJBRXCXBXGXFWSBCWJAWRUPZUQZURZUSZTZWSWOXCXBXGXFXEDRXQCD
        EFGXEILKXRACXSRZWRXCXBXGXFOUOZXOXGXFUTZUSZTZWSWOXCXBXGXFXADRXQBDEFGXAIL
        KXRYAWSXCXBXGXFVAZUSZTZYFXHDEFGXAWJXEILKXMYNYFYKXHXAWJXEDEVBUHZEFGHIJKL
        YOVDXMYNYFYKXHXCXGWOXAWJXEUFZWMRZWTXCXBXGXFVAXDXGXFUTWSWOXCXBXGXFVCWNYQ
        XAWJWKUFZWMRUAUCXAXEBCWIXAVEZWLYRWMYSWIWJWKWKXAWJYSVFYSWJVGYSWKVGVHVIWK
        XEVEZYRYPWMYTXAWJWKXEXAWJYTXAVGYTWJVGYTVFVHVIVJVKWSWOXCXBXGXFXAWJUIXQWJ
        XAXNXBXGXFVLVMZTWSWOXCXBXGXFXEWJUIXQWJXEXPXFUPZVMTVNVPVQVMWSWOXCXBXGXFB
        XIVEXQBDXAWJEFGIKLXRYMYEUUAUUAYAYLYDVRTWSWOXCXBXGXFCXJVEXQCDWJXEEFGIKLX
        RYEYJUUBUUBYHWSWJCRXCXBXGXFWSBCWJYBWDZURYIVRTVSAWRXFUECVTWOXCXBWSUECDEF
        GWJIKLXLAYGWROULUUCWAWBWCWSXBUDBVTWOWSUDBDEFGWJIKLXLAXTWRNULYCWAULWCABC
        EWEUHWFWOUBWQVTPAUBUCUABCDEFGHIJKLMNOWGWHWC $.
    $}

    ${
      $d u v x X $.
      isperp2.b $e |- ( ph -> B e. ran L ) $.
      isperp2.x $e |- ( ph -> X e. ( A i^i B ) ) $.
      $( Property for 2 lines A, B, intersecting at a point X to be
         perpendicular.  Item (i) of definition 8.13 of [Schwabhauser] p. 59.
         (Contributed by Thierry Arnoux, 16-Oct-2019.) $)
      isperp2 $p |- ( ph -> ( A ( perpG ` G ) B <-> A. u e. A A. v e. B
        <" u X v "> e. ( raG ` G ) ) ) $=
        ( wcel vx cperpg cfv wbr cv cs3 crag wral wa cin cstrkg ad4antr simp-4r
        eqidd crn perpneq simpllr tglineineq eleq1d biimpd ralimdva wrex isperp
        s3eqd imp biimpa r19.29a wceq s3eq2 2ralbidv rspcev sylan adantr mpbird
        wb impbida ) ADEGUBUCUDZCUEZKBUEZUFZGUGUCZTZBEUHZCDUHZAVQUIZVRUAUEZVSUF
        ZWATZBEUHZCDUHZWDUADEUJZWEWFWKTZUIZWJWDWMWIWCCDWMVRDTZUIZWHWBBEWOVSETZU
        IZWHWBWQWGVTWAWQVRWFVSVSVRKWQVRUNWQDEFGHIWFKLNOAGUKTVQWLWNWPPULZADIUOZT
        VQWLWNWPQULZAEWSTVQWLWNWPRULZWQDEFGHIJLMNOWRWTXAAVQWLWNWPUMUPWEWLWNWPUQ
        AKWKTZVQWLWNWPSULURWQVSUNVDUSUTVAVAVEAVQWJUAWKVBZAUABCDEFGHIJLMNOPQRVCZ
        VFVGAWDUIVQXCAXBWDXCSWJWDUAKWKWFKVHZWHWBCBDEXEWGVTWAVRWFVSKVIUSVJVKVLAV
        QXCVOWDXDVMVNVP $.

      ${
        $d U u v $.  $d V v $.
        isperp2d.u $e |- ( ph -> U e. A ) $.
        isperp2d.v $e |- ( ph -> V e. B ) $.
        isperp2d.p $e |- ( ph -> A ( perpG ` G ) B ) $.
        $( One direction of ~ isperp2 .  (Contributed by Thierry Arnoux,
           10-Nov-2019.) $)
        isperp2d $p |- ( ph -> <" U X V "> e. ( raG ` G ) ) $=
          ( vu vv cv cs3 crag cfv wcel wral cperpg wbr isperp2 mpbid wi wceq id
          eqidd s3eqd eleq1d rspc2v syl2anc mpd ) AUCUEZKUDUEZUFZFUGUHZUIZUDCUJ
          UCBUJZEKJUFZVGUIZABCFUKUHULVIUBAUDUCBCDFGHIKLMNOPQRSUMUNAEBUIJCUIVIVK
          UOTUAVHVKEKVEUFZVGUIUCUDEJBCVDEUPZVFVLVGVMVDKVEVEEKVMUQVMKURVMVEURUSU
          TVEJUPZVLVJVGVNEKVEJEKVNEURVNKURVNUQUSUTVAVBVC $.
      $}
    $}

    ${
      $d X u v $.
      ragperp.b $e |- ( ph -> B e. ran L ) $.
      ragperp.x $e |- ( ph -> X e. ( A i^i B ) ) $.
      ragperp.u $e |- ( ph -> U e. A ) $.
      ragperp.v $e |- ( ph -> V e. B ) $.
      ragperp.1 $e |- ( ph -> U =/= X ) $.
      ragperp.2 $e |- ( ph -> V =/= X ) $.
      ragperp.r $e |- ( ph -> <" U X V "> e. ( raG ` G ) ) $.
      $( Deduce that two lines are perpendicular from a right angle statement.
         One direction of theorem 8.13 of [Schwabhauser] p. 59.  (Contributed
         by Thierry Arnoux, 20-Oct-2019.) $)
      ragperp $p |- ( ph -> A ( perpG ` G ) B ) $=
        ( vu vv cperpg cfv wbr cv cs3 crag wcel wral wa cmir eqid cstrkg adantr
        crn simprr tglnpt elin1d simprl wne co ad2antrr simpr neqned tglinethru
        wceq eleqtrd orrd orcomd ragcol ragcom elin2d ralrimivva isperp2 mpbird
        wn ex ) ABCFUGUHUIUEUJZKUFUJZUKFULUHZUMZUFCUNUEBUNAWFUEUFBCAWCBUMZWDCUM
        ZUOZUOZWDKWCDFUPUHZFGHILMNOWKUQZAFURUMZWIPUSZWJCDFGHWDLONWNACHUTZUMZWIR
        USZAWGWHVAZVBZWJBDFGHKLONWNABWOUMZWIQUSZAKBUMZWIABCKSVCZUSVBZWJBDFGHWCL
        ONWNXAAWGWHVDZVBZWJJKWCWDDWKFGHILMNOWLWNWJCDFGHJLONWNWQAJCUMZWIUAUSVBZX
        DXFWSWJWCKJDWKFGHILMNOWLWNXFXDXHWJEKJWCDWKFGHILMNOWLWNWJBDFGHELONWNXAAE
        BUMZWITUSVBXDXHXFAEKJUKWEUMWIUDUSAEKVEWIUBUSWJKWCVKZEKWCHVFZUMZWJXJXLWJ
        XJWAZXLWJXMUOZEBXKAXIWIXMTVGXNBDKWCFGHLNOAWMWIXMPVGWJKDUMZXMXDUSWJWCDUM
        XMXFUSXNKWCWJXMVHVIZXPAWTWIXMQVGAXBWIXMXCVGWJWGXMXEUSVJVLWBVMVNVOVPAJKV
        EWIUCUSWJKWDVKZJKWDHVFZUMZWJXQXSWJXQWAZXSWJXTUOZJCXRAXGWIXTUAVGYACDKWDF
        GHLNOAWMWIXTPVGWJXOXTXDUSWJWDDUMXTWSUSYAKWDWJXTVHVIZYBAWPWIXTRVGAKCUMWI
        XTABCKSVQVGWJWHXTWRUSVJVLWBVMVNVOVPVRAUFUEBCDFGHIKLMNOPQRSVSVT $.
    $}

    ${
      $d A a b d p q u v x y z $.  $d C a b d p q u v x y z $.
      $d G a b d p q x y z $.  $d I a b d p q x y z $.  $d .- d p q x y z $.
      $d L a b d p q u v x y z $.  $d P a b d p q x y z $.
      $d a b d p ph q x y z $.
      foot.x $e |- ( ph -> C e. P ) $.
      foot.y $e |- ( ph -> -. C e. A ) $.
      $( Alternative version of ~ footex which minimization requires a notably
         long time.  (Contributed by Thierry Arnoux, 19-Oct-2019.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      footexALT $p |- ( ph -> E. x e. A ( C L x ) ( perpG ` G ) A ) $=
        ( co wcel adantr va vb vy vp vz vq vd wceq wne cperpg cfv wbr wrex cmir
        cv eqid cstrkg ad3antrrr ad2antrr ad6antr simplr simprr eqcomd midexlem
        simp-4r simp-6r simprl ad4antr simp-5r simprd simp-7r ad10antr simp-11r
        wa simpllr necomd simp-9r simpld btwnlng3 lncom eleqtrrd nelne2 syl2anc
        wn eqnetrrd mirinv necon3bid mpbid tgcgrneq mirbtwn oveq1d tgbtwnouttr2
        mircl tgbtwncom simplrl crag ccgrg oveq2d eqtrd israg mpbird tgcgrcomlr
        cs3 eqtr2d tglinerflx1 axtgcgrrflx axtg5seg trgcgr ragcgr eqidd krippen
        ragcom crn ad5antr ad9antr tglinethru tgelrnln tglinerflx2 elind mircgr
        simpr neeqtrd eleqtrd orcd ragcol eqeltrd wo btwncolg3 ragflat pm2.65da
        neneqd neqned ragperp reximssdv axtgsegcon r19.29a tgisline r19.29vva
        s3eqd ) ACUAUOZUBUOZHRZUHZYTUUAUIZVNZDBUOZHRZCFUJUKULZBCUMZUAUBEEAYTESZ
        VNZUUAESZVNZUUEVNZYTUUAUCUOZGRSZYTUUOIRZYTDIRZUHZVNZUUIUCEUUNUUOESZVNZU
        UTVNZDUUOUDUOZFUNUKZUKZUKZUHZUUIUDEUVCUVDESZVNZUVHVNZUUOYTUEUOZGRSZUUOU
        VLIRZUUOUVDIRZUHZVNZUUIUEEUVKUVLESZVNZUVQVNZUUOUVDUFUOZGRSZUUOUWAIRZUUO
        YTIRZUHZVNZUUIUFEUVTUWAESZVNZUWFVNZUUOUWAUVLUVEUKZUKZUGUOZGRSZUUOUWLIRZ
        UUODIRZUHZVNZUUIUGEUWIUWLESZVNZUWQVNZUWLDUUFUVEUKZUKZUHZUUHBCEUWTBDUWLU
        UOEUVEFGHUXAIJKLMUVEUPZUWIFUQSZUWRUWQUVTUXEUWGUWFUVKUXEUVRUVQUVCUXEUVIU
        VHUUNUXEUVAUUTAUXEUUJUULUUENURZUSZUSZUSZUSZUSZUXAUPZUWIDESZUWRUWQUVCUXM
        UVIUVHUVRUVQUWGUWFUUNUXMUVAUUTAUXMUUJUULUUEPURZUSZUTZUSZUWIUWRUWQVAUWIU
        VAUWRUWQUVTUVAUWGUWFUVKUVAUVRUVQUUNUVAUUTUVIUVHVEZUSZUSZUSZUWTUWNUWOUWS
        UWMUWPVBVCZVDUWTUUFESZUXCVNZVNZUUFUUOUVLHRCUYEEFGHUUOUVLUUFJLMUWTUXEUYD
        UXKTZUWTUVAUYDUYATZUWTUVRUYDUVKUVRUVQUWGUWFUWRUWQVFZTZUWTUYCUXCVGZUYEUU
        OUVDUUOUVLEFGIJKLUYFUYGUWTUVIUYDUVTUVIUWGUWFUWRUWQUVCUVIUVHUVRUVQVEZVHZ
        TZUYGUYIUWTUVOUVNUHUYDUWTUVNUVOUWTUVMUVPUVSUVQUWGUWFUWRUWQVIZVJVCZTUYEU
        VDUUOUYEUVGUUOUIUVDUUOUIUYEDUVGUUOUWTUVHUYDUVJUVHUVRUVQUWGUWFUWRUWQVKZT
        ZUYEUUODUYEUUOCSZDCSWDZUUODUIUWTUYRUYDUWTUUOUUBCUWTEFGHYTUUAUUOJLMUXKUV
        TUUJUWGUWFUWRUWQUVKUUJUVRUVQUVCUUJUVIUVHUUNUUJUVAUUTAUUJUULUUEVOZUSZUSZ
        USZVHZUUNUULUVAUUTUVIUVHUVRUVQUWGUWFUWRUWQUUKUULUUEVAZVLZUYAUWTUUCUUDUU
        MUUEUVAUUTUVIUVHUVRUVQUWGUWFUWRUWQVMZVJZUWTEFGHUUAYTUUOJLMUXKVUFVUDUYAU
        WTYTUUAVUHVPUWTUUPUUSUVBUUTUVIUVHUVRUVQUWGUWFUWRUWQVQZVRVSVTUWTUUCUUDVU
        GVRZWATZUWTUYSUYDUUNUYSUVAUUTUVIUVHUVRUVQUWGUWFUWRUWQAUYSUUJUULUUEQURVL
        ZTZUUODCWBWCVPZWEUYEUVGUUOUVDUUOUYEUVDUUOEUVEFGHUVFIJKLMUXDUYFUYMUVFUPZ
        UYGWFWGWHZVPZWIZUYEEFGHUVLUUOUUFJLMUYFUYIUYGUYJUYEUUOUVLVURVPZUYEUWAUWK
        UUOEUVEDUWLFGHUWJIUXAUVLUUFJKLMUXDUYFUWJUPZUXLUWTUWGUYDUVTUWGUWFUWRUWQV
        EZTZUWIUWKESUWRUWQUYDUWIUVLEUVEFGHUWJIUWAJKLMUXDUXJUVKUVRUVQUWGUWFVEVUT
        UVTUWGUWFVAWMZURZUYGUWTUXMUYDUXQTZUWIUWRUWQUYDVOZUYIUYJUYEDUUOUWAEFGIJK
        LUYFVVEUYGVVBUYEDUVDUUOUWAEFGIJKLUYFVVEUYMUYGVVBVUPUYEUVDUVGUUOGRDUUOGR
        UYEUVDUUOEUVEFGHUVFIJKLMUXDUYFUYMVUOUYGWJUYEDUVGUUOGUYQWKWAZUWTUWBUYDUW
        TUWBUWEUWHUWFUWRUWQVOZVRZTWLWNZUWSUWMUWPUYDWOZUWTUWCUUOUWKIRUHZUYDUWTUU
        OUVLUWAXCFWPUKZSVVLUWTUWAUVLUUOEUVEFGHIJKLMUXDUXKVVAUYHUYAUWTYTUVDUUOUW
        AEFWQUKZUVEUVLUUOFGHIJKLMUXDUXKVUDUYLUYAVVNUPZVVAUYHUYAUWTYTUVDUUOXCVVM
        SZUUQYTUVGIRZUHUWTUUQUURVVQUWTUUPUUSVUIVJZUWTDUVGYTIUYPWRWSUWTYTUVDUUOE
        UVEFGHIJKLMUXDUXKVUDUYLUYAWTXAZUWTYTUVDUUOUWAEVVNUVLUUOFIJKVVOUXKVUDUYL
        UYAVVAUYHUYAUWTUVDYTUVLUWAEFGIJKLUXKUYLVUDUYHVVAUWTYTUUOUVLEYTFGIUWAUWA
        UUOUVDJKLUXKVVAUYAUYLVUDUYAUYHVUDVVAUWTUUOUWAUWTDYTUUOUWAEFGIJKLUXKUXQV
        UDUYAVVAUWTUWCUWDDYTIRUWTUWBUWEVVHVJZUWTYTUUOYTDEFGIJKLUXKVUDUYAVUDUXQV
        VRXBXDUWTYTDUWTYTCSZUYSYTDUIZUWTYTUUBCUWTEYTUUAFGHJLMUXKVUDVUFVUHXEVUJW
        AZVULYTDCWBWCZVPWIVPZUWTUVDUUOUWAEFGIJKLUXKUYLUYAVVAVVIWNUWTUVMUVPUYNVR
        ZUWTUUOUWAUUOYTEFGIJKLUXKUYAVVAUYAVUDVVTXBUYOUWTEFGIUWAYTJKLUXKVVAVUDXF
        UWTUWCUWDVVTVCZXGXBUWTUUOUVDUUOUVLEFGIJKLUXKUYAUYLUYAUYHUYOXBVWGXHXIXLU
        WTUUOUVLUWAEUVEFGHIJKLMUXDUXKUYAUYHVVAWTWHTZUWTUWOUWNUHUYDUYBTZUYEUWKXJ
        UWTUYCUXCVBZXKVSVTUYECEUUOUVLFGHJLMUYFUYGUYIVURVURUVCCHXMSZUVIUVHUVRUVQ
        UWGUWFUWRUWQUYDAVWKUUJUULUUEUVAUUTOXNXOZVUKUYEUVLYTUUOHRZCUYEEFGHYTUUOU
        VLJLMUYFUWTUUJUYDVUDTZUYGUYIUYEYTDYTUUOEFGIJKLUYFVWNVVEVWNUYGUYEUUQUURU
        WTUUSUYDVVRTVCZUWTVWBUYDVWDTZWIZUWTUVMUYDVWFTVSZUYECEYTUUOFGHJLMUYFVWNU
        YGVWQVWQVWLUWTVWAUYDVWCTVUKXPWAXPWAZUYEUUGCEDFGHIUUOUUFJKLMUYFUYEEFGHDU
        UFJLMUYFVVEUYJUYEUUFDUYEUUFCSUYSUUFDUIVWSVUMUUFDCWBWCVPZXQVWLUYEUUGCUUF
        UYEEDUUFFGHJLMUYFVVEUYJVWTXRVWSXSUYEEDUUFFGHJLMUYFVVEUYJVWTXEVUKVWTUYEU
        UOUUFUYEUUOUUFUHZUUOUVDUHZUYEVXAVNZYTUUOUVDEUVEFGHIJKLMUXDUYEUXEVXAUYFT
        ZUYEUUJVXAVWNTZUYEUVAVXAUYGTZUYEUVIVXAUYMTZVXCUVDUUOYTEUVEFGHIJKLMUXDVX
        DVXGVXFVXEVXCDUUOYTUVDEUVEFGHIJKLMUXDVXDUYEUXMVXAVVETZVXFVXEVXGVXCDUUOY
        TXCDUUFYTXCVVMVXCDUUOYTYTDUUFVXCDXJUYEVXAYAZVXCYTXJYSVXCYTUUFDEUVEFGHIJ
        KLMUXDVXDVXEUYEUYCVXAUYJTZVXHVXCUVLUUFDYTEUVEFGHIJKLMUXDVXDUYEUVRVXAUYI
        TZVXJVXHVXEUYEUVLUUFDXCVVMSZVXAUYEVXLUVLDIRZUVLUXBIRZUHUYEVXMUVLUWLIRVX
        NUYEDUVLUWLUVLEFGIJKLUYFVVEUYIVVFUYIUYEUWKUUOUWLEUVLFGIUVLUWAUUODJKLUYF
        VVBUYGVVEVVDUYGVVFUYIUYIUWTUWAUUOUIUYDVWETVVJVVKUYEUUOUWAUUOUWKEFGIJKLU
        YFUYGVVBUYGVVDVWHXBVWIUYEUVLUWAUVLUWKEFGIJKLUYFUYIVVBUYIVVDUYEUVLUWKIRU
        VLUWAIRUYEUVLUWAEUVEFGHUWJIJKLMUXDUYFUYIVUTVVBXTVCXBUYEUVNXJXGXBUYEUWLU
        XBUVLIVWJWRWSUYEUVLUUFDEUVEFGHIJKLMUXDUYFUYIUYJVVEWTXATVXCUVLUUOUUFUYEU
        VLUUOUIVXAVUSTVXIYBVXCUVLUUFYTHRZSUUFYTUHVXCUVLUUOYTHRVXOVXCEFGHUUOYTUV
        LJLMVXDVXFVXEVXKVXCYTUUOVXCYTDYTUUOEFGIJKLVXDVXEVXHVXEVXFUYEUURUUQUHVXA
        VWOTUYEVWBVXAVWPTWIVPUYEUVLVWMSVXAVWRTVTVXCUUOUUFYTHVXIWKYCYDYEXLYFUYED
        UUOUIVXAVUNTUYEDUUOUVDHRSVXBYGVXAUYEEFGHUUOUVDDJMLUYFUYGUYMVVEUYEDUVDUU
        OEFGIJKLUYFVVEUYMUYGVVGWNYHTYEXLUWTVVPUYDVXAVVSUSYIVXCUUOUVDUYEUUOUVDUI
        VXAVUQTYKYJYLUYEUUOUUFDEUVEFGHIJKLMUXDUYFUYGUYJVVEUYEUUOUUFDXCVVMSUWOUU
        OUXBIRZUHUYEUWOUWNVXPVWIUYEUWLUXBUUOIVWJWRWSUYEUUOUUFDEUVEFGHIJKLMUXDUY
        FUYGUYJVVEWTXAXLYMYNUWIUGUUODEFGIUWKUUOJKLUXJVVCUXTUXTUXPYOYPUVTUFUUOYT
        EFGIUVDUUOJKLUXIUYKUXSUXSVUCYOYPUVKUEUUOUVDEFGIYTUUOJKLUXHVUBUXRUXRUVCU
        VIUVHVAYOYPUVCUDUUODYTEUVEFGHUVFIJKLMUXDUXGVUOUUNUVAUUTVAUXOVUAUVBUUPUU
        SVBVDYPUUNUCYTDEFGIUUAYTJKLUXFVUEUYTUYTUXNYOYPAUAUBCEFGHJLMNOYQYR $.

      ${
        footexlem.e $e |- ( ph -> E e. P ) $.
        footexlem.f $e |- ( ph -> F e. P ) $.
        footexlem.r $e |- ( ph -> R e. P ) $.
        footexlem.x $e |- ( ph -> X e. P ) $.
        footexlem.y $e |- ( ph -> Y e. P ) $.
        footexlem.z $e |- ( ph -> Z e. P ) $.
        footexlem.d $e |- ( ph -> D e. P ) $.
        footexlem.1 $e |- ( ph -> A = ( E L F ) ) $.
        footexlem.2 $e |- ( ph -> E =/= F ) $.
        footexlem.3 $e |- ( ph -> E e. ( F I Y ) ) $.
        footexlem.4 $e |- ( ph -> ( E .- Y ) = ( E .- C ) ) $.
        footexlem.5 $e |- ( ph -> C = ( ( ( pInvG ` G ) ` R ) ` Y ) ) $.
        footexlem.6 $e |- ( ph -> Y e. ( E I Z ) ) $.
        footexlem.7 $e |- ( ph -> ( Y .- Z ) = ( Y .- R ) ) $.
        footexlem.q $e |- ( ph -> Q e. P ) $.
        footexlem.8 $e |- ( ph -> Y e. ( R I Q ) ) $.
        footexlem.9 $e |- ( ph -> ( Y .- Q ) = ( Y .- E ) ) $.
        footexlem.10 $e |- ( ph -> Y e. ( ( ( ( pInvG ` G ) ` Z ) ` Q ) I D ) )
          $.
        footexlem.11 $e |- ( ph -> ( Y .- D ) = ( Y .- C ) ) $.
        footexlem.12 $e |- ( ph -> D = ( ( ( pInvG ` G ) ` X ) ` C ) ) $.
        $( Lemma for ~ footex .  (Contributed by Thierry Arnoux, 19-Oct-2019.)
           (Revised by Thierry Arnoux, 1-Jul-2023.) $)
        footexlem1 $p |- ( ph -> X e. A ) $=
          ( co eqcomd cmir cfv wne wcel wn necomd btwnlng3 lncom nelne2 syl2anc
          eleqtrrd eqnetrrd eqid mirinv necon3bid mpbid tgcgrneq mirbtwn oveq1d
          mircl tgbtwnouttr2 tgbtwncom cs3 crag ccgrg oveq2d eqtrd israg mpbird
          wceq tgcgrcomlr eqtr2d tglinerflx1 axtgcgrrflx axtg5seg trgcgr ragcgr
          ragcom eqidd krippen tglinethru ) ANOPLVEBAEJKLOPNQSTUAUIUJUHAOGOPEJK
          MQRSUAUIUGUIUJAOPMVEOGMVEURVFZAGOAOGJVGVHZVHZVHZOVIGOVIACXKOUPAOCAOBV
          JCBVJVKZOCVIAOHILVEZBAEJKLHIOQSTUAUEUFUIUMAEJKLIHOQSTUAUFUEUIAHIUMVLU
          NVMVNULVQZUDOCBVOVPVLVRAXKOGOAGOEXIJKLXJMQRSTXIVSZUAUGXJVSZUIVTWAWBZV
          LWCZAEJKLPONQSTUAUJUIUHAOPXRVLAFFPXIVHZVHZOEXICDJKLXSMNXIVHZPNQRSTXOU
          AXSVSZYAVSUSAPEXIJKLXSMFQRSTXOUAUJYBUSWFUIUCUKUJUHACOFEJKMQRSUAUCUIUS
          ACGOFEJKMQRSUAUCUGUIUSXQAGXKOKVECOKVEAGOEXIJKLXJMQRSTXOUAUGXPUIWDACXK
          OKUPWEVQUTWGWHVBAOPFWIJWJVHZVJOFMVEZOXTMVEWPAFPOEXIJKLMQRSTXOUAUSUJUI
          AHGOFEJWKVHZXIPOJKLMQRSTXOUAUEUGUIYEVSZUSUJUIAHGOWIYCVJHOMVEZHXKMVEZW
          PAYGHCMVEZYHUOACXKHMUPWLWMAHGOEXIJKLMQRSTXOUAUEUGUIWNWOAHGOFEYEPOJMQR
          YFUAUEUGUIUSUJUIAGHPFEJKMQRSUAUGUEUJUSAHOPEHJKMFFOGQRSUAUSUIUGUEUIUJU
          EUSAOFACHOFEJKMQRSUAUCUEUIUSAYDOHMVEZCHMVEVAAHOHCEJKMQRSUAUEUIUEUCUOW
          QWRAHCAHBVJXLHCVIAHXMBAEHIJKLQSTUAUEUFUMWSULVQZUDHCBVOVPZVLWCVLAGOFEJ
          KMQRSUAUGUIUSUTWHUQAOFOHEJKMQRSUAUIUSUIUEVAWQXHAEJKMFHQRSUAUSUEWTAYDY
          JVAVFZXAWQAOGOPEJKMQRSUAUIUGUIUJXHWQYMXBXCXDAOPFEXIJKLMQRSTXOUAUIUJUS
          WNWBAODMVEOCMVEVCVFAXTXEVDXFVMVNABEOPJKLQSTUAUIUJXRXRUBXNAPHOLVEBAEJK
          LHOPQSTUAUEUIUJAHCHOEJKMQRSUAUEUCUEUIAYGYIUOVFYLWCZUQVMABEHOJKLQSTUAU
          EUIYNYNUBYKXNXGVQXGVQ $.

        $( Lemma for ~ footex .  (Contributed by Thierry Arnoux, 19-Oct-2019.)
           (Revised by Thierry Arnoux, 1-Jul-2023.) $)
        footexlem2 $p |- ( ph -> ( C L X ) ( perpG ` G ) A ) $=
          ( co wcel wn wne footexlem1 nelne2 syl2anc tgelrnln tglinerflx2 elind
          necomd tglinerflx1 btwnlng3 lncom eleqtrrd wceq wa cmir cstrkg adantr
          eqid crag eqidd simpr s3eqd mircl tgcgrcomlr eqtr2d tgcgrneq eqnetrrd
          cfv cs3 mirinv necon3bid mirbtwn oveq1d tgbtwnouttr2 tgbtwncom oveq2d
          mpbid ccgrg eqtrd mpbird eqcomd axtg5seg trgcgr ragcgr ragcom neeqtrd
          israg axtgcgrrflx mircgr eleqtrd orcd ragcol eqeltrd btwncolg3 neneqd
          wo ragflat pm2.65da neqned ragperp ) ACNLVEZBECJKLMONQRSTUAAEJKLCNQST
          UAUCUHANCANBVFCBVFVGZNCVHABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUL
          UMUNUOUPUQURUSUTVAVBVCVDVIZUDNCBVJVKVOZVLUBAYHBNAECNJKLQSTUAUCUHYKVMY
          JVNAECNJKLQSTUAUCUHYKVPAOHILVEZBAEJKLHIOQSTUAUEUFUIUMAEJKLIHOQSTUAUFU
          EUIAHIUMVOUNVQVRULVSZYKAONAONVTZOGVTZAYNWAZHOGEJWBWOZJKLMQRSTYQWEZAJW
          CVFYNUAWDZAHEVFYNUEWDZAOEVFYNUIWDZAGEVFYNUGWDZYPGOHEYQJKLMQRSTYRYSUUB
          UUAYTYPCOHGEYQJKLMQRSTYRYSACEVFYNUCWDZUUAYTUUBYPCOHWPCNHWPJWFWOZYPCOH
          HCNYPCWGAYNWHZYPHWGWIYPHNCEYQJKLMQRSTYRYSYTANEVFYNUHWDZUUCYPPNCHEYQJK
          LMQRSTYRYSAPEVFYNUJWDZUUFUUCYTAPNCWPUUDVFZYNAUUHPCMVEZPCNYQWOWOZMVEZV
          TAUUIPDMVEUUKACPDPEJKMQRSUAUCUJUKUJAFPYQWOZWOZODEPJKMPFOCQRSUAUSUIUCA
          PEYQJKLUULMFQRSTYRUAUJUULWEZUSWJZUIUKUJUJAOFACHOFEJKMQRSUAUCUEUIUSAOF
          MVEZOHMVEZCHMVEVAAHOHCEJKMQRSUAUEUIUEUCUOWKWLAHCAHBVFYIHCVHZAHYLBAEHI
          JKLQSTUAUEUFUMVPULVSUDHCBVJVKZVOWMVOZACOFEJKMQRSUAUCUIUSACGOFEJKMQRSU
          AUCUGUIUSAOGYQWOZWOZOVHGOVHACUVBOUPAOCAOBVFYIOCVHYMUDOCBVJVKVOZWNAUVB
          OGOAGOEYQJKLUVAMQRSTYRUAUGUVAWEZUIWQWRXDZAGUVBOKVECOKVEAGOEYQJKLUVAMQ
          RSTYRUAUGUVDUIWSACUVBOKUPWTVSZUTXAXBVBAOFOUUMEJKMQRSUAUIUSUIUUOAOPFWP
          UUDVFUUPOUUMMVEVTAFPOEYQJKLMQRSTYRUAUSUJUIAHGOFEJXEWOZYQPOJKLMQRSTYRU
          AUEUGUIUVGWEZUSUJUIAHGOWPUUDVFZHOMVEZHUVBMVEZVTAUVJHCMVEZUVKUOACUVBHM
          UPXCXFAHGOEYQJKLMQRSTYRUAUEUGUIXNXGZAHGOFEUVGPOJMQRUVHUAUEUGUIUSUJUIA
          GHPFEJKMQRSUAUGUEUJUSAHOPEHJKMFFOGQRSUAUSUIUGUEUIUJUEUSUUTAGOFEJKMQRS
          UAUGUIUSUTXBUQAOFOHEJKMQRSUAUIUSUIUEVAWKAOPMVEZOGMVEURXHZAEJKMFHQRSUA
          USUEXOAUUPUUQVAXHZXIWKAOGOPEJKMQRSUAUIUGUIUJUVOWKUVPXJXKXLAOPFEYQJKLM
          QRSTYRUAUIUJUSXNXDWKAODMVEZOCMVEZVCXHZAPFPUUMEJKMQRSUAUJUSUJUUOAPUUMM
          VEPFMVEAPFEYQJKLUULMQRSTYRUAUJUUNUSXPXHWKAUVNWGXIWKADUUJPMVDXCXFAPNCE
          YQJKLMQRSTYRUAUJUHUCXNXGWDYPPONAPOVHYNAOPAOGOPEJKMQRSUAUIUGUIUJUVOAGO
          UVEVOZWMVOWDUUEXMYPPNHLVEZVFNHVTYPPOHLVEUWAYPEJKLOHPQSTYSUUAYTUUGYPHO
          YPHCHOEJKMQRSYSYTUUCYTUUAAUVLUVJVTYNAUVJUVLUOXHZWDAUURYNUUSWDWMVOAPHO
          LVEVFYNAEJKLHOPQSTUAUEUIUJAHCHOEJKMQRSUAUEUCUEUIUWBUUSWMUQVQWDVRYPONH
          LUUEWTXQXRXSXLXTACOVHYNUVCWDACOGLVEVFYOYCYNAEJKLOGCQTSUAUIUGUCACGOEJK
          MQRSUAUCUGUIUVFXBYAWDXSXLAUVIYNUVMWDYDYPOGAOGVHYNUVTWDYBYEYFAONCEYQJK
          LMQRSTYRUAUIUHUCAONCWPUUDVFUVROUUJMVEZVTAUVRUVQUWCUVSADUUJOMVDXCXFAON
          CEYQJKLMQRSTYRUAUIUHUCXNXGXLYG $.
      $}

      $( From a point ` C ` outside of a line ` A ` , there exists a point
         ` x ` on ` A ` such that ` ( C L x ) ` is perpendicular to ` A ` .
         This point is unique, see ~ foot .  (Contributed by Thierry Arnoux,
         19-Oct-2019.)  (Revised by Thierry Arnoux, 1-Jul-2023.) $)
      footex $p |- ( ph -> E. x e. A ( C L x ) ( perpG ` G ) A ) $=
        ( co wa wcel va vb vy vp vz vq vd cv wceq wne cperpg cfv wrex cmir eqid
        wbr cstrkg ad5antr ad2antrr ad6antr simplr simp-4r midexlem crn ad9antr
        simprr eqcomd adantr ad3antrrr ad10antr simp-7r simprl simpllr simp-11r
        wn simpld simp-9r simp-5r simplrl footexlem1 footexlem2 reximssdv mircl
        simprd axtgsegcon r19.29a tgisline r19.29vva ) ACUAUHZUBUHZHRUIZWIWJUJZ
        SZDBUHZHRCFUKULUPZBCUMZUAUBEEAWIETZSZWJETZSZWMSZWIWJUCUHZGRTZWIXBIRWIDI
        RUIZSZWPUCEXAXBETZSZXESZDXBUDUHZFUNULZULZULUIZWPUDEXHXIETZSZXLSZXBWIUEU
        HZGRTZXBXPIRXBXIIRUIZSZWPUEEXOXPETZSZXSSZXBXIUFUHZGRTZXBYCIRXBWIIRUIZSZ
        WPUFEYBYCETZSZYFSZXBYCXPXJULZULZUGUHZGRTZXBYLIRZXBDIRZUIZSZWPUGEYIYLETZ
        SZYQSZYLDWNXJULZULUIZWOBCEYTBDYLXBEXJFGHUUAIJKLMXJUOZYIFUQTZYRYQYBUUDYG
        YFXOUUDXTXSXHUUDXMXLAUUDWQWSWMXFXENURZUSZUSZUSZUSUUAUOYIDETZYRYQXHUUIXM
        XLXTXSYGYFAUUIWQWSWMXFXEPURZUTZUSZYIYRYQVAYIXFYRYQYBXFYGYFXOXFXTXSXAXFX
        EXMXLVBZUSZUSZUSYTYNYOYSYMYPVFZVGVCYTWNETZUUBSZSZCDYLEYCXIWIWJFGHIWNXBX
        PJKLMYBUUDYGYFYRYQUURUUGURZXHCHVDTZXMXLXTXSYGYFYRYQUURAUVAWQWSWMXFXEOUR
        VEZYTUUIUURUULVHZYTDCTVOZUURXAUVDXFXEXMXLXTXSYGYFYRYQAUVDWQWSWMQVIVJVHZ
        YBWQYGYFYRYQUURXOWQXTXSAWQWSWMXFXEXMXLVKZUSZURZYTWSUURXAWSXFXEXMXLXTXSY
        GYFYRYQWRWSWMVAZVJVHZYBXMYGYFYRYQUURXHXMXLXTXSVBZURZYTUUQUUBVLZYBXFYGYF
        YRYQUURUUNURZXOXTXSYGYFYRYQUURVKZYIYRYQUURVMZYTWKUURYTWKWLWTWMXFXEXMXLX
        TXSYGYFYRYQVNZVPVHZYTWLUURYTWKWLUVQWDVHZYTXCUURYTXCXDXGXEXMXLXTXSYGYFYR
        YQVQZVPVHZYTXDUURYTXCXDUVTWDVHZYTXLUURXNXLXTXSYGYFYRYQVKVHZYTXQUURYTXQX
        RYAXSYGYFYRYQVRZVPVHZYTXRUURYTXQXRUWDWDVHZYBYGYFYRYQUURVRZYTYDUURYTYDYE
        YHYFYRYQVMZVPVHZYTYEUURYTYDYEUWHWDVHZYSYMYPUURVSZYTYPUURUUPVHZYTUUQUUBV
        FZVTUUSCDYLEYCXIWIWJFGHIWNXBXPJKLMUUTUVBUVCUVEUVHUVJUVLUVMUVNUVOUVPUVRU
        VSUWAUWBUWCUWEUWFUWGUWIUWJUWKUWLUWMWAWBYIUGXBDEFGIYKXBJKLUUHYIXPEXJFGHY
        JIYCJKLMUUCUUHXOXTXSYGYFVBYJUOYBYGYFVAWCUUOUUOUUKWEWFYBUFXBWIEFGIXIXBJK
        LUUGUVKUUNUUNUVGWEWFXOUEXBXIEFGIWIXBJKLUUFUVFUUMUUMXHXMXLVAWEWFXHUDXBDW
        IEXJFGHXKIJKLMUUCUUEXKUOXAXFXEVAUUJAWQWSWMXFXEVRXGXCXDVFVCWFXAUCWIDEFGI
        WJWIJKLAUUDWQWSWMNVIUVIAWQWSWMVMZUWNAUUIWQWSWMPVIWEWFAUAUBCEFGHJLMNOWGW
        H $.

      $( From a point ` C ` outside of a line ` A ` , there exists a unique
         point ` x ` on ` A ` such that ` ( C L x ) ` is perpendicular to
         ` A ` .  That point is called the foot from ` C ` on ` A ` .  Theorem
         8.18 of [Schwabhauser] p. 60.  (Contributed by Thierry Arnoux,
         19-Oct-2019.) $)
      foot $p |- ( ph -> E! x e. A ( C L x ) ( perpG ` G ) A ) $=
        ( vu wcel adantr vz vv cv co cperpg cfv wbr wrex wrmo wreu footex wa wi
        wceq wral cmir eqid cstrkg ad2antrr crn simprl tglnpt simprr cs3 wne wn
        nelne2 syl2anc necomd tglinerflx1 wb tgelrnln tglinerflx2 elind isperp2
        crag mpbid id eqidd s3eqd eleq1d rspc2va syl21anc ragflat ex ralrimivva
        oveq2 breq1d rmo4 sylibr reu5 sylanbrc ) ADBUCZHUDZCFUEUFZUGZBCUHWPBCUI
        ZWPBCUJABCDEFGHIJKLMNOPQUKAWPDUAUCZHUDZCWOUGZULZWMWRUNZUMZUACUOBCUOWQAX
        CBUACCAWMCSZWRCSZULZULZXAXBXGXAULZDWMWREFUPUFZFGHIJKLMXIUQAFURSZXFXANUS
        ZADESZXFXAPUSZXGWMESXAXGCEFGHWMJMLAXJXFNTZACHUTSXFOTZAXDXEVAZVBZTZXGWRE
        SXAXGCEFGHWRJMLXNXOAXDXEVCZVBZTZXHDWNSXERUCZWMUBUCZVDZFVPUFZSZUBCUORWNU
        OZDWMWRVDZYESZXHEDWMFGHJLMXKXMXRXGDWMVEXAXGWMDXGXDDCSVFZWMDVEXPAYJXFQTZ
        WMDCVGVHVIZTVJXGXEXAXSTXHWPYGXGWPWTVAXGWPYGVKXAXGUBRWNCEFGHIWMJKLMXNXGE
        FGHDWMJLMXNAXLXFPTZXQYLVLXOXGWNCWMXGEDWMFGHJLMXNYMXQYLVMXPVNVOTVQYFYIDW
        MYCVDZYESRUBDWRWNCYBDUNZYDYNYEYOYBWMYCYCDWMYOVRZYOWMVSYOYCVSZVTWAYCWRUN
        ZYNYHYEYRDWMYCWRDWMYRDVSYRWMVSYRVRVTWAWBWCXHDWSSXDYBWRYCVDZYESZUBCUORWS
        UOZDWRWMVDZYESZXHEDWRFGHJLMXKXMYAXGDWRVEXAXGWRDXGXEYJWRDVEXSYKWRDCVGVHV
        IZTVJXGXDXAXPTXHWTUUAXGWPWTVCXGWTUUAVKXAXGUBRWSCEFGHIWRJKLMXNXGEFGHDWRJ
        LMXNYMXTUUDVLXOXGWSCWRXGEDWRFGHJLMXNYMXTUUDVMXSVNVOTVQYTUUCDWRYCVDZYESR
        UBDWMWSCYOYSUUEYEYOYBWRYCYCDWRYPYOWRVSYQVTWAYCWMUNZUUEUUBYEUUFDWRYCWMDW
        RUUFDVSUUFWRVSUUFVRVTWAWBWCWDWEWFWPWTBUACXBWNWSCWOWMWRDHWGWHWIWJWPBCWKW
        L $.
    $}

    ${
      footne.x $e |- ( ph -> X e. A ) $.
      footne.y $e |- ( ph -> Y e. P ) $.
      footne.1 $e |- ( ph -> ( X L Y ) ( perpG ` G ) A ) $.
      $( Uniqueness of the foot point.  (Contributed by Thierry Arnoux,
         28-Feb-2020.) $)
      footne $p |- ( ph -> -. Y e. A ) $=
        ( wcel adantr wa wn cstrkg crn perpln1 wne perpneq necomd tglnpt tglnne
        co tglinerflx1 elind simpr tglinerflx2 tglineineq pm2.21ddne pm2.01da )
        AIBSZAUSUAZUSUBHIUTBHIFUKZCDEFHIJLMADUCSUSNTABFUDZSUSOTAVAVBSUSAVABDFMN
        RUEZTABVAUFUSAVABAVABCDEFGJKLMNVCORUGUHTUTBVAHAHBSUSPTAHVASUSACHIDEFJLM
        NABCDEFHJMLNOPUIZQACDEFHIJLMNVDQVCUJZULTUMUTBVAIAUSUNAIVASUSACHIDEFJLMN
        VDQVEUOTUMUPAHIUFUSVETUQUR $.
    $}

    ${
      $d .- x $.  $d I x $.  $d L x $.  $d P x $.  $d X x $.  $d Y x $.
      $d Z x $.
      footeq.x $e |- ( ph -> X e. A ) $.
      footeq.y $e |- ( ph -> Y e. A ) $.
      footeq.z $e |- ( ph -> Z e. P ) $.
      footeq.1 $e |- ( ph -> ( X L Z ) ( perpG ` G ) A ) $.
      footeq.2 $e |- ( ph -> ( Y L Z ) ( perpG ` G ) A ) $.
      $( Uniqueness of the foot point.  (Contributed by Thierry Arnoux,
         1-Mar-2020.) $)
      footeq $p |- ( ph -> X = Y ) $=
        ( vx cv co cperpg cfv wbr wceq breq1d footne foot tglnpt perpln1 tglnne
        oveq2 tglinecom eqbrtrrd reu2eqd ) AJUBUCZFUDZBDUEUFZUGJHFUDZBVAUGJIFUD
        ZBVAUGUBBHIUSHUHUTVBBVAUSHJFUOUIUSIUHUTVCBVAUSIJFUOUIAUBBJCDEFGKLMNOPSA
        BCDEFGHJKLMNOPQSTUJUKQRAHJFUDZVBBVAACHJDEFKMNOABCDEFHKNMOPQULZSACDEFHJK
        MNOVESAVDBDFNOTUMUNUPTUQAIJFUDZVCBVAACIJDEFKMNOABCDEFIKNMOPRULZSACDEFIJ
        KMNOVGSAVFBDFNOUAUMUNUPUAUQUR $.
    $}
  $}

  ${
    colperpex.p $e |- P = ( Base ` G ) $.
    colperpex.d $e |- .- = ( dist ` G ) $.
    colperpex.i $e |- I = ( Itv ` G ) $.
    colperpex.l $e |- L = ( LineG ` G ) $.
    colperpex.g $e |- ( ph -> G e. TarskiG ) $.
    ${
      hlperpnel.a $e |- ( ph -> A e. ran L ) $.
      hlperpnel.k $e |- K = ( hlG ` G ) $.
      hlperpnel.1 $e |- ( ph -> U e. A ) $.
      hlperpnel.2 $e |- ( ph -> V e. P ) $.
      hlperpnel.3 $e |- ( ph -> W e. P ) $.
      hlperpnel.4 $e |- ( ph -> A ( perpG ` G ) ( U L V ) ) $.
      hlperpnel.5 $e |- ( ph -> V ( K ` U ) W ) $.
      $( A point on a half-line which is perpendicular to a line cannot be on
         that line.  (Contributed by Thierry Arnoux, 1-Mar-2020.) $)
      hlperpnel $p |- ( ph -> -. W e. A ) $=
        ( cperpg cfv tglnpt perpln2 tglnne cstrkg hlne2 hlln lnrot1 tglineelsb2
        co perpcom eqbrtrrd footne ) ABCEFHIDKLMNOPQSUAADJHUNZDKHUNBEUDUEACDJKE
        FHLNOPABCEFHDLONPQSUFZTACEFHDJLNOPUSTABUREHOPUBUGZUHZUAAJKDCEFGUILNRTUA
        USPUCUJZACEFHDJKLNOPUSTUAVAAJKDCEFGHLNRTUAUSPOUCUKVBULUMABURCEFHILMNOPQ
        UTUBUOUPUQ $.
    $}

    ${
      perprag.1 $e |- ( ph -> A e. P ) $.
      perprag.2 $e |- ( ph -> B e. P ) $.
      perprag.3 $e |- ( ph -> C e. ( A L B ) ) $.
      perprag.4 $e |- ( ph -> D e. P ) $.
      perprag.5 $e |- ( ph -> ( A L B ) ( perpG ` G ) ( C L D ) ) $.
      $( Deduce a right angle from perpendicular lines.  (Contributed by
         Thierry Arnoux, 10-Nov-2019.) $)
      perprag $p |- ( ph -> <" A C D "> e. ( raG ` G ) ) $=
        ( cs3 crag cfv wcel wceq wa eqidd simpr s3eqd cmir eqid ragtrivb adantr
        eqeltrd wne co cstrkg crn tgelrnln tglnpt tglinerflx1 elind tglinerflx2
        tglngne cperpg wbr isperp2d pm2.61dane ) ABDEUAZGUBUCZUDDEADEUEZUFZVIBE
        EUAZVJVLBDEEBEVLBUGAVKUHVLEUGUIAVMVJUDVKABEEFGUJUCZGHIJKLMNVNUKOPSSULUM
        UNADEUOZUFZBCIUPZDEIUPZFBGHIJEDKLMNAGUQUDVOOUMZAVQIURUDVOAFGHIBCKMNOPQA
        FGHIBCDKNMOPQRVDZUSZUMVPFGHIDEKMNVSADFUDVOAVQFGHIDKNMOWARUTUMZAEFUDVOSU
        MZAVOUHZUSVPVQVRDADVQUDVORUMVPFDEGHIKMNVSWBWCWDVAVBABVQUDVOAFBCGHIKMNOP
        QVTVAUMVPFDEGHIKMNVSWBWCWDVCAVQVRGVEUCVFVOTUMVGVH $.
    $}

    ${
      perpdrag.1 $e |- ( ph -> A e. D ) $.
      perpdrag.2 $e |- ( ph -> B e. D ) $.
      perpdrag.3 $e |- ( ph -> C e. P ) $.
      perpdrag.4 $e |- ( ph -> D ( perpG ` G ) ( B L C ) ) $.
      $( Deduce a right angle from perpendicular lines.  (Contributed by
         Thierry Arnoux, 12-Dec-2019.)  (New usage is discouraged.)
         (Proof modification is discouraged.) $)
      perpdragALT $p |- ( ph -> <" A B C "> e. ( raG ` G ) ) $=
        ( wcel cs3 crag wceq wa eqidd simpr s3eqd cmir eqid co perpln1 ragtrivb
        cfv tglnpt ragcom adantr eqeltrrd wne cstrkg crn tglinethru eleqtrd wbr
        cperpg eqbrtrrd perprag pm2.61dane ) ABCDUAZGUBUMZTBCABCUCZUDZBBDUAZVHV
        IVKBBDDBCVKBUEAVJUFVKDUEUGAVLVITVJADBBFGUHUMZGHIJKLMNVMUIZORAEFGHIBKNMO
        AECDIUJZGINOSUKZPUNZVQADBDFVMGHIJKLMNVNORVQRULUOUPUQABCURZUDZBCCDFGHIJK
        LMNAGUSTVROUPZABFTVRVQUPZACFTVRAEFGHICKNMOVPQUNUPZVSCEBCIUJZACETVRQUPZV
        SEFBCGHIKMNVTWAWBAVRUFZWEAEIUTTVRVPUPABETVRPUPWDVAZVBADFTVRRUPVSEWCVOGV
        DUMZWFAEVOWGVCVRSUPVEVFVG $.

      $d A x $.  $d B x $.  $d C x $.  $d D x $.  $d G x $.  $d ph x $.
      $( Deduce a right angle from perpendicular lines.  (Contributed by
         Thierry Arnoux, 12-Dec-2019.) $)
      perpdrag $p |- ( ph -> <" A B C "> e. ( raG ` G ) ) $=
        ( wcel vx cv wne cs3 crag cfv cstrkg ad2antrr cperpg wbr perpln1 tglnpt
        wa co simplr simpr tglinethru eleqtrd eqbrtrrd perprag tglnpt2 r19.29a
        ) ABUAUBZUCZBCDUDGUEUFTUAEAVCETZUMZVDUMZBVCCDFGHIJKLMNAGUGTVEVDOUHZVGEF
        GHIBKNMVHVGECDIUNZGINVHAEVIGUIUFZUJVEVDSUHZUKZABETVEVDPUHZULZVGEFGHIVCK
        NMVHVLAVEVDUOZULZVGCEBVCIUNZACETVEVDQUHVGEFBVCGHIKMNVHVNVPVFVDUPZVRVLVM
        VOUQZURADFTVEVDRUHVGEVQVIVJVSVKUSUTAUAEFGHIBKMNOAEVIGINOSUKPVAVB $.
    $}

    ${
      colperp.a $e |- ( ph -> A e. P ) $.
      colperp.b $e |- ( ph -> B e. P ) $.
      colperp.c $e |- ( ph -> C e. P ) $.
      colperp.1 $e |- ( ph -> ( A L B ) ( perpG ` G ) D ) $.
      colperp.2 $e |- ( ph -> ( C e. ( A L B ) \/ A = B ) ) $.
      colperp.3 $e |- ( ph -> A =/= C ) $.
      $( Deduce a perpendicularity from perpendicularity and colinearity.
         (Contributed by Thierry Arnoux, 8-Dec-2019.) $)
      colperp $p |- ( ph -> ( A L C ) ( perpG ` G ) D ) $=
        ( cperpg cfv perpln1 tglnne tglinerflx1 wceq wcel neneqd orcomd ord mpd
        co wn tglinethru eqbrtrrd ) ABCIUMZBDIUMEGUBUCAUQFBDGHIKMNOPRUAUAAUQEGI
        NOSUDZAFBCGHIKMNOPQAFGHIBCKMNOPQURUEZUFABCUGZUNDUQUHZABCUSUIAUTVAAVAUTT
        UJUKULUOSUP $.
    $}

    ${
      colperpexlem.s $e |- S = ( pInvG ` G ) $.
      colperpexlem.m $e |- M = ( S ` A ) $.
      colperpexlem.n $e |- N = ( S ` B ) $.
      colperpexlem.k $e |- K = ( S ` Q ) $.
      colperpexlem.a $e |- ( ph -> A e. P ) $.
      colperpexlem.b $e |- ( ph -> B e. P ) $.
      colperpexlem.c $e |- ( ph -> C e. P ) $.
      colperpexlem.q $e |- ( ph -> Q e. P ) $.
      colperpexlem.1 $e |- ( ph -> <" A B C "> e. ( raG ` G ) ) $.
      colperpexlem.2 $e |- ( ph -> ( K ` ( M ` C ) ) = ( N ` C ) ) $.
      $( Lemma for ~ colperp .  First part of lemma 8.20 of [Schwabhauser]
         p. 62.  (Contributed by Thierry Arnoux, 27-Oct-2019.) $)
      colperpexlem1 $p |- ( ph -> <" B A Q "> e. ( raG ` G ) ) $=
        ( cs3 crag cfv wcel co wceq mircl eqid eqeltrd mirbtwn tgbtwncom fveq1i
        eqtrdi oveq2d eleqtrd mirbtwni mirmir axtgcgrrflx miriso 3eqtr2d mircgr
        eqtr3d eqidd s3eqd wa fveq2d cstrkg adantr mircinv wne btwncolg1 colcom
        simpr ragcol pm2.61dane mirrag eqeltrrd israg mirmir2 eqtr4d tgcgrcomlr
        mpbid tgifscgr oveq2i mpbird ) ACBFUJHUKULZUMCFMUNZCFBGULZULZMUNZUOAWPC
        FLULZMUNWSAFCWTCEHIMOPQSUGUEABEGHIKLMFOPQRTSUDUAUGUPZUEADLULZFDCGULZULZ
        CEXDLULZWTHCIDMOPQSABEGHIKLMDOPQRTSUDUAUFUPZUGACEGHIKXCMDOPQRTSUEXCUQZU
        FUPZUEABEGHIKLMXDOPQRTSUDUAXHUPZXAUFUEAFXBXBJULZIUNXBXDIUNAXJFXBEHIMOPQ
        SAXJDNULZEUIACEGHIKNMDOPQRTSUEUBUFUPURUGXFAFXBEGHIKJMOPQRTSUGUCXFUSUTAX
        JXDXBIAXJXKXDUIDNXCUBVAVBZVCVDZAWTXEXBLULZIUNXEDIUNABEGHIKLMXDFXBOPQRTS
        UDUAXHUGXFAXBFXDEHIMOPQSXFUGXHXMUTVEAXNDXEIABDEGHIKLMOPQRTSUDUAUFVFZVCV
        DAXBXDMUNXDXBMUNXEXNMUNXEDMUNAEHIMXBXDOPQSXFXHVGABEGHIKLMXDXBOPQRTSUDUA
        XHXFVHAXNDXEMXOVCVIAFXDMUNZFXBMUNZWTXNMUNWTDMUNAFXJMUNXPXQAXJXDFMXLVCAF
        XBEGHIKJMOPQRTSUGUCXFVJVKABEGHIKLMFXBOPQRTSUDUAUGXFVHAXNDWTMXOVCVIACXBC
        XEEHIMOPQSUEXFUEXIACXBMUNZCXBCLULZGULULZMUNZCXEMUNACXSXBUJZWOUMXRYAUOAX
        SLULZXSXBUJYBWOAYCXSXBXBCXSABCEGHIKLMOPQRTSUDUAUEVFAXSVLAXBVLVMAXSCDBEG
        HIKLMOPQRTSABEGHIKLMCOPQRTSUDUAUEUPZUEUFAXSCDUJZWOUMBCABCUOZVNZYEBCDUJZ
        WOYGXSCDDBCYGBLULXSBYGBCLAYFWBVOYGBEGHIKLMOPQRTAHVPUMZYFSVQABEUMZYFUDVQ
        UAVRVKYGCVLYGDVLVMAYHWOUMZYFUHVQURABCVSZVNZBCDXSEGHIKMOPQRTAYIYLSVQZAYJ
        YLUDVQZACEUMYLUEVQZADEUMYLUFVQYMBEGHIKLMCOPQRTYNYOUAYPUPZAYKYLUHVQAYLWB
        YMEHIKXSCBORQYNYQYPYOYMEHIKXSCBORQYNYQYPYOYMBCEGHIKLMOPQRTYNYOUAYPUSVTW
        AWCWDUAUDWEWFACXSXBEGHIKMOPQRTSUEYDXFWGWKAXEXTCMABEGHIKLMDCOPQRTSUDUAUF
        UEWHVCWIWJACXDCDEHIMOPQSUEXHUEUFACDEGHIKXCMOPQRTSUEXGUFVJWJWLWJWTWRCMFL
        WQUAVAWMVBACBFEGHIKMOPQRTSUEUDUGWGWN $.

      colperpexlem2.e $e |- ( ph -> B =/= C ) $.
      $( Lemma for ~ colperpex .  Second part of lemma 8.20 of [Schwabhauser]
         p. 62.  (Contributed by Thierry Arnoux, 10-Nov-2019.) $)
      colperpexlem2 $p |- ( ph -> A =/= Q ) $=
        ( wne wceq wn wa cfv simpr fveq2d 3eqtr4g fveq1d mirmir adantr 3eqtr3rd
        wb mirinv mpbid ex necon3ad mpd neqned ) ABFACDUKBFULZUMUJAVJCDAVJCDULZ
        AVJUNZDNUOZDULZVKVLDLUOZLUOZVOJUOZDVMVLVOLJVLBGUOFGUOLJVLBFGAVJUPUQUAUC
        URUSAVPDULVJABDEGHIKLMOPQRTSUDUAUFUTVAAVQVMULVJUIVAVBAVNVKVCVJACDEGHIKN
        MOPQRTSUEUBUFVDVAVEVFVGVHVI $.
    $}

    ${
      $d .- p s t x $.  $d A d p s t x $.  $d B d p s t x $.  $d C d p s t x $.
      $d G d p s t x $.  $d I d p s t x $.  $d L d p s t x $.
      $d P d p s t x $.  $d d p s t x ph $.
      colperpex.1 $e |- ( ph -> A e. P ) $.
      colperpex.2 $e |- ( ph -> B e. P ) $.
      colperpex.3 $e |- ( ph -> C e. P ) $.
      colperpex.4 $e |- ( ph -> A =/= B ) $.
      ${
        colperpexlem3.1 $e |- ( ph -> -. C e. ( A L B ) ) $.
        $( Lemma for ~ colperpex .  Case 1 of theorem 8.21 of [Schwabhauser]
           p. 63.  (Contributed by Thierry Arnoux, 20-Nov-2019.) $)
        colperpexlem3 $p |- ( ph
          -> E. p e. P ( ( A L p ) ( perpG ` G ) ( A L B )
          /\ E. t e. P ( ( t e. ( A L B ) \/ A = B ) /\ t e. ( C I p ) ) ) ) $=
          ( vx cv co cperpg cfv wbr wcel wceq wo wrex cmir eqid cstrkg ad2antrr
          wa crn tgelrnln simplr tglnpt mircl mircgr cs3 crag wn nelne2 syl2anc
          tglinecom simpr eqbrtrd perpcom perprag israg eqtr2d midexlem mirbtwn
          wne mpbid eqcomd oveq1d eleqtrd tgtrisegint ad3antrrr simpllr simplrr
          oveq2d axtgbtwnid fveq2d fveq1d eqtr4d mirinv eleqtrrd oveq12d mircom
          colperpexlem2 eqnetrd adantr mireq neneqd pm2.65da neqned tglineelsb2
          mircinv btwnlng2 necomd ad5antr 3eqtr4d tglinerflx1 elind tglinerflx2
          eqtr3d colperpexlem1 ragcom ragperp pm2.61dane orcd tglineeltr simprl
          eqeltrd btwnlng1 tgbtwncom jca32 ex reximdva mpd r19.42v sylib footex
          r19.29a ) AEUBUCZIUDZCDIUDZGUEUFZUGZCKUCZIUDZYLYMUGZBUCZYLUHZCDUIZUJZ
          YREYOHUDUHZUPZBFUKUPZKFUKZUBYLAYJYLUHZUPZYNUPZECGULUFZUFZUFZEYJUUIUFZ
          UFZYOUUIUFZUFZUIZKFUKUUEUUHKUUMUUKCFUUIGHIUUNJLMNOUUIUMZAGUNUHZUUFYNP
          UOZUUNUMZUUHYJFUUIGHIUULJELMNOUUQUUSUUHYLFGHIYJLONUUSAYLIUQUHZUUFYNAF
          GHICDLNOPQRTURZUOZAUUFYNUSZUTZUULUMZAEFUHZUUFYNSUOZVAZUUHCFUUIGHIUUJJ
          ELMNOUUQUUSACFUHZUUFYNQUOZUUJUMZUVHVAZUVKUUHCUUKJUDCEJUDZCUUMJUDZUUHC
          EFUUIGHIUUJJLMNOUUQUUSUVKUVLUVHVBUUHCYJEVCGVDUFZUHZUVNUVOUIUUHCDYJEFG
          HIJLMNOUUSUVKADFUHZUUFYNRUOZUVDUVHUUHYJEIUDZYLFGHIJLMNOUUSUUHFGHIYJEL
          NOUUSUVEUVHUUHUUFEYLUHVEZYJEVQZUVDAUWAUUFYNUAUOYJEYLVFVGZURUVCUUHUVTY
          KYLYMUUHFYJEGHILNOUUSUVEUVHUWCVHUUGYNVIZVJVKVLZUUHCYJEFUUIGHIJLMNOUUQ
          UUSUVKUVEUVHVMVRVNVOUUHUUPUUDKFUUHYOFUHZUPZUUPUUDUWGUUPUPZYQUUCUPZBFU
          KZUUDUWHYRYOEHUDUHZYRCYJHUDZUHZUPZBFUKUWJUWHUUKCEUUMFYJYOGHJBLMNUUHUU
          RUWFUUPUUSUOZUUHUUKFUHUWFUUPUVMUOUUHUVJUWFUUPUVKUOZUUHUVGUWFUUPUVHUOZ
          UUHUUMFUHZUWFUUPUVIUOZUUHYJFUHZUWFUUPUVEUOZUUHUWFUUPUSZUWHCEFUUIGHIUU
          JJLMNOUUQUWOUWPUVLUWQVPUWHYJEFUUIGHIUULJLMNOUUQUWOUXAUVFUWQVPZUWHYOUU
          OUUMHUDUUKUUMHUDUWHYOUUMFUUIGHIUUNJLMNOUUQUWOUXBUUTUWSVPUWHUUOUUKUUMH
          UWHUUKUUOUWGUUPVIVSZVTWAWBUWHUWNUWIBFUWHYRFUHZUPZUWNUWIUXFUWNUPZYQUUA
          UUBUXGYQYJCUXGYJCUIZUPZYPYKYLYMUXIYRYOIUDZYPYKUXIYRCYOIUXICYRUXIFGHJC
          YRLMNUWHUURUXEUWNUXHUWOWCZUWHUVJUXEUWNUXHUWPWCUWHUXEUWNUXHWDZUXIYRUWL
          CCHUDUXFUWKUWMUXHWEZUXIYJCCHUXGUXHVIZWFWAWGVSZVTUXIYOYRIUDUUMYJIUDZUX
          JYKUXIYOUUMYRYJIUXIUUOUUMUIYOUUMUIUXIUUOUUKUUMUWHUUOUUKUIUXEUWNUXHUXD
          WCUXIEUULUUJUXIYJCUUIUXNWHWIWJUXIYOUUMFUUIGHIUUNJLMNOUUQUXKUWHUWFUXEU
          WNUXHUXBWCZUUTUWHUWRUXEUWNUXHUWSWCZWKVRUXIYJYRUXIFGHJYJYRLMNUXKUWHUWT
          UXEUWNUXHUXAWCZUXLUXIYRUWLYJYJHUDUXMUXIYJCYJHUXNVTWLWGVSWMUXIFYRYOGHI
          LNOUXKUXLUXQUXIYRCYOUXOUWHCYOVQZUXEUWNUXHUWHCYJEFYOUUIGHUUNIUUJJUULLM
          NOUWOUUQUVLUVFUUTUWPUXAUWQUXBUUHUVQUWFUUPUWEUOZUWHYOUUMUUKFUUIGHIUUNJ
          LMNOUUQUWOUXBUUTUWSUXDWNZUUHUWBUWFUUPUWCUOZWOZWCWPVHUXIUVTYJUUMIUDYKU
          XPUXIFYJEUUMGHILNOUXKUXSUWHUVGUXEUWNUXHUWQWCZUWHUWBUXEUWNUXHUYCWCZUXR
          UXIUUMYJUXIUUMYJUIZYJEUIUXIUYGUPZYJYJEFUUIGHIUULJLMNOUUQUXIUURUYGUXKW
          QZUXIUWTUYGUXSWQZUVFUYJUXIUVGUYGUYEWQUYHYJUULUFYJUUMUYHYJFUUIGHIUULJL
          MNOUUQUYIUYJUVFXCUXIUYGVIWJWRUYHYJEUXIUWBUYGUYFWQWSWTXAZUXIFGHIYJEUUM
          LNOUXKUXSUYEUXRUYFUWHYJUUMEHUDUHUXEUWNUXHUXCWCXDXBUXIFEYJGHILNOUXKUYE
          UXSUUHEYJVQUWFUUPUXEUWNUXHUUHYJEUWCXEXFVHUXIFUUMYJGHILNOUXKUXRUXSUYKV
          HXGXGXKUUHYNUWFUUPUXEUWNUXHUWDXFVJUXGYJCVQZUPZYPYLFYOGHIJYJCLMNOUWHUU
          RUXEUWNUYLUWOWCZUYMFGHICYOLNOUYNUWHUVJUXEUWNUYLUWPWCZUWHUWFUXEUWNUYLU
          XBWCZUWHUXTUXEUWNUYLUYDWCZURUUHUVAUWFUUPUXEUWNUYLUVCXFUYMYPYLCUYMFCYO
          GHILNOUYNUYOUYPUYQXHUUHCYLUHZUWFUUPUXEUWNUYLUUHFCDGHILNOUUSUVKUVSACDV
          QZUUFYNTUOZXHZXFXIUYMFCYOGHILNOUYNUYOUYPUYQXJUUHUUFUWFUUPUXEUWNUYLUVD
          XFZUYMCYOUYQXEUXGUYLVIZUYMYJCYOFUUIGHIJLMNOUUQUYNUWHUWTUXEUWNUYLUXAWC
          ZUYOUYPUWHYJCYOVCUVPUHUXEUWNUYLUWHCYJEFYOUUIGHUUNIUUJJUULLMNOUWOUUQUV
          LUVFUUTUWPUXAUWQUXBUYAUYBXLWCXMXNXOUXGUUAYJCUXIYSYTUXIYRCYLUXOUUHUYRU
          WFUUPUXEUWNUXHVUAXFXSXPUYMYSYTUYMFCDYRYJGHILNOUYNUYOUUHUVRUWFUUPUXEUW
          NUYLUVSXFUUHUYSUWFUUPUXEUWNUYLUYTXFVUDVUCVUBUWHUXEUWNUYLWDZUYMFGHICYJ
          YRLNOUYNUYOVUDVUEUYMYJCVUCXEUXFUWKUWMUYLWEXTXQXPXOUXGYOYREFGHJLMNUWHU
          URUXEUWNUWOUOUWHUWFUXEUWNUXBUOUWHUXEUWNUSUWHUVGUXEUWNUWQUOUXFUWKUWMXR
          YAYBYCYDYEYQUUCBFYFYGYCYDYEAUBYLEFGHIJLMNOPUVBSUAYHYI $.
      $}

      colperpex.5 $e |- ( ph -> G TarskiGDim>= 2 ) $.
      $( In dimension 2 and above, on a line ` ( A L B ) ` there is always a
         perpendicular ` P ` from ` A ` on a given plane (here given by ` C ` ,
         in case ` C ` does not lie on the line).  Theorem 8.21 of
         [Schwabhauser] p. 63.  (Contributed by Thierry Arnoux,
         20-Nov-2019.) $)
      colperpex $p |- ( ph -> E. p e. P ( ( A L p ) ( perpG ` G ) ( A L B )
        /\ E. t e. P ( ( t e. ( A L B ) \/ A = B ) /\ t e. ( C I p ) ) ) ) $=
        ( vd vs co wcel cv cperpg cfv wbr wceq wo wa wn cstrkg ad3antrrr simplr
        wrex simpr colperpexlem3 simprl ad5antr simp-5r orcd tgbtwntriv1 orbi1d
        wne eleq1 anbi12d rspcev syl12anc jca ex reximdva adantr c2 tglowdim2ln
        mpd cstrkgld r19.29a pm2.61dan ) AECDIUDZUEZCKUFZIUDWAGUGUHUIZBUFZWAUEZ
        CDUJZUKZWEEWCHUDZUEZULZBFUQZULZKFUQZAWBULZUBUFZWAUEUMZWNUBFWOWPFUEZULZW
        QULZWDUCUFZWAUEWGUKXAWPWCHUDUEULUCFUQZULZKFUQWNWTUCCDWPFGHIJKLMNOAGUNUE
        ZWBWRWQPUOACFUEZWBWRWQQUOADFUEZWBWRWQRUOWOWRWQUPACDVFZWBWRWQTUOWSWQURUS
        WTXCWMKFWTWCFUEZULZXCWMXIXCULZWDWLXIWDXBUTXJEFUEZWBWGUKZEWIUEZWLAXKWBWR
        WQXHXCSVAZXJWBWGAWBWRWQXHXCVBVCXJEWCFGHJLMNAXDWBWRWQXHXCPVAXNWTXHXCUPVD
        WKXLXMULBEFWEEUJZWHXLWJXMXOWFWBWGWEEWAVGVEWEEWIVGVHVIVJVKVLVMVQWOCDFGHI
        UBLNOAXDWBPVNAGVOVRUIWBUAVNAXEWBQVNAXFWBRVNAXGWBTVNVPVSAWBUMZULBCDEFGHI
        JKLMNOAXDXPPVNAXEXPQVNAXFXPRVNAXKXPSVNAXGXPTVNAXPURUSVT $.
    $}

    ${
      mideu.s $e |- S = ( pInvG ` G ) $.
      mideu.1 $e |- ( ph -> A e. P ) $.
      mideu.2 $e |- ( ph -> B e. P ) $.
      ${
        $d .- m r s x y $.  $d A m r s x y $.  $d B m r s x y $.  $d G r y $.
        $d I m r s x y $.  $d L m s y $.  $d O m r s x y $.  $d P m r s x y $.
        $d Q m r s x y $.  $d R m s x y $.  $d S m r s y $.  $d T m s x y $.
        $d ph m r s x y $.
        mideulem.1 $e |- ( ph -> A =/= B ) $.
        mideulem.2 $e |- ( ph -> Q e. P ) $.
        mideulem.3 $e |- ( ph -> O e. P ) $.
        mideulem.4 $e |- ( ph -> T e. P ) $.
        mideulem.5 $e |- ( ph -> ( A L B ) ( perpG ` G ) ( Q L B ) ) $.
        mideulem.6 $e |- ( ph -> ( A L B ) ( perpG ` G ) ( A L O ) ) $.
        mideulem.7 $e |- ( ph -> T e. ( A L B ) ) $.
        mideulem.8 $e |- ( ph -> T e. ( Q I O ) ) $.
        ${
          opphllem.1 $e |- ( ph -> R e. P ) $.
          opphllem.2 $e |- ( ph -> R e. ( B I Q ) ) $.
          opphllem.3 $e |- ( ph -> ( A .- O ) = ( B .- R ) ) $.
          ${
            $d M y $.
            mideulem2.1 $e |- ( ph -> X e. P ) $.
            mideulem2.2 $e |- ( ph -> X e. ( T I B ) ) $.
            mideulem2.3 $e |- ( ph -> X e. ( R I O ) ) $.
            mideulem2.4 $e |- ( ph -> Z e. P ) $.
            mideulem2.5 $e |- ( ph -> X e. ( ( ( S ` A ) ` O ) I Z ) ) $.
            mideulem2.6 $e |- ( ph -> ( X .- Z ) = ( X .- R ) ) $.
            mideulem2.7 $e |- ( ph -> M e. P ) $.
            mideulem2.8 $e |- ( ph -> R = ( ( S ` M ) ` Z ) ) $.
            $( Lemma for ~ opphllem , which is itself used for ~ mideu .
               (Contributed by Thierry Arnoux, 19-Feb-2020.) $)
            mideulem2 $p |- ( ph -> B = M ) $=
              ( vy cv co cperpg cfv wbr wceq oveq2 breq1d tgelrnln wn wa adantr
              wcel wne neneqd perpln2 tglnne tgcgrneq necomd jca wo cstrkg crag
              cs3 tglinerflx2 perpcom tglinecom breqtrd btwncolg3 ragcol ragcom
              perprag animorrl ragflat3 oran sylib foot wreu tglinerflx1 pm4.56
              pm2.65da ncolne1 simpr tgbtwncom coltr3 eqbrtrrd neleqtrrd nelne2
              eqnetrd syl2anc tgbtwnne btwnlng1 lnrot2 oveq1d tglineelsb2 eqtrd
              eleqtrd eqbrtrd crn elind ragperp reu2eqd mtand neqned eqid mircl
              colcom colrot1 israg mpbid eqcomd eqidd mircom oveq2d eqeltrd
              orcd krippen btwnlng3 tglineeltr 3eqtr4rd mircgr mirbtwn eleqtrrd
              tgcgrcomlr tgbtwnconn22 ismir miduniq1 eqtr3d eqtr2d mpbird ) AFV
              DVEZKVFZBCKVFZIVGVHZVIZFCKVFZUUQUURVIZFLKVFZUUQUURVIVDUUQCLUUOCVJ
              UUPUUTUUQUURUUOCFKVKVLZUUOLVJUUPUVBUUQUURUUOLFKVKVLAVDUUQFDIJKMQR
              STUAADIJKBCQSTUAUCUDUEVMZUMAFUUQVQZBCVJZVNZFCVJZVNZVOZAUVEVOZUVGU
              VIUVKBCABCVRUVEUEVPVSUVKFCUVKCFACFVRUVEABNCFDIJMQRSUAUCUGUDUMUOAD
              IJKBNQSTUAUCUGAUUQBNKVFZIKTUAUJVTZWAZWBZVPWCVSWDUVKUVFUVHWEUVJVNU
              VKBCFDGIJKMQRSTUBAIWFVQZUVEUAVPABDVQZUVEUCVPACDVQZUVEUDVPAFDVQZUV
              EUMVPABCFWHIWGVHZVQUVEAFCBDGIJKMQRSTUBUAUMUDUCAECBFDGIJKMQRSTUBUA
              UFUDUCUMAECCBDIJKMQRSTUAUFUDADECIJKQSTUAUFUDADIJKECQSTUAUFUDAUUQE
              CKVFZIKTUAUIVTZWAZWIUCAUWAUUQCBKVFZUURAUUQUWADIJKMQRSTUAUVDUWBUIW
              JADBCIJKQSTUAUCUDUEWKZWLWPUWCADIJKCFEQTSUAUDUMUFUNWMWNWOZVPAUVEUV
              FWQWRUVFUVHWSWTXEZXAZADBCIJKQSTUAUCUDUEWIZADBCLOIJKQSTUAUCUDUEUPA
              OBAOBVJZUVFABCUEVSZAUWJVOZUUSFBKVFZUUQUURVIUVAVDUUQBCUUOBVJUUPUWM
              UUQUURUUOBFKVKVLUVCAUUSVDUUQXBUWJUWHVPABUUQVQUWJADBCIJKQSTUAUCUDU
              EXCZVPACUUQVQUWJUWIVPUWLUWMUVLUUQUURUWLUWMBFKVFZUVLUWLDFBIJKQSTAU
              VPUWJUAVPZAUVSUWJUMVPZAUVQUWJUCVPZAFBVRUWJADIJKFBCQSTUAUMUCUDAUVE
              VNZUVGVOUVEUVFWEVNAUWSUVGUWGUWKWDUVEUVFXDWTXFVPZWKUWLDBFNIJKQSTUW
              PUWRUWQUWLFBUWTWCZANDVQZUWJUGVPZANBVRUWJABNUVNWCZVPUWLNOFKVFUWOUW
              LDIJKOFNQSTUWPAODVQUWJUPVPZUWQUXCUWLOBFAUWJXGZUXAXMUWLDIJKFNOQSTU
              WPUWQUXCUXEUWLNFANFVRUWJANOFDIJMQRSUAUGUPUMAFONDIJMQRSUAUMUPUGURX
              HZAOUUQVQZNUUQVQVNONVRAHBCODIJKQSTUAUHUCUDUPUKUQXIZAUUQUWDNANUWDV
              QZCBVJZVNZNBVJZVNZVOZAUXJVOZUXLUXNAUXLUXJACBABCUEWCZVSVPAUXNUXJAN
              BUXDVSVPWDUXPUXKUXMWEUXOVNUXPCBNDGIJKMQRSTUBAUVPUXJUAVPAUVRUXJUDV
              PAUVQUXJUCVPAUXBUXJUGVPACBNWHUVTVQUXJACBBNDIJKMQRSTUAUDUCADCBIJKQ
              STUAUDUCUXQWIUGAUUQUWDUVLUURUWEUJXJWPZVPAUXJUXKWQWRUXKUXMWSWTXEUW
              EXKONUUQXLXNXOVPWCZAOFNJVFZVQZUWJURVPXPUXSXQUWLOBFKUXFXRYAXSXTAUV
              LUUQUURVIUWJAUUQUVLDIJKMQRSTUAUVDUVMUJWJVPYBUWLUUQUUTDIJKMQRSTUWP
              AUUQKYCZVQUWJUVDVPAUUTUYBVQUWJADIJKFCQSTUAUMUDACFUVOWCZVMZVPAUUQU
              UTUURVIUWJAUUQUUTDBIJKMFCQRSTUAUVDUYDAUUQUUTCUWIADFCIJKQSTUAUMUDU
              YCWIYDUWNADFCIJKQSTUAUMUDUYCXCUEUYCUWFYEZVPWJYFYGZYHZUXIVBADIJKBO
              LQSTUAUCUPVBAOBUYGWCANNBGVHZVHZODGFPIJKUYHMLGVHZBLQRSTUBUAUYHYIZU
              YJYIZUGABDGIJKUYHMNQRSTUBUAUCUYKUGYJZUPUMUSUCVBUXGUTAOBNWHUVTVQON
              MVFZOUYIMVFZVJZACBNODGIJKMQRSTUBUAUDUCUGUPUXRUXQADIJKCBOQTSUAUDUC
              UPADIJKBCOQTSUAUCUDUPAUXHUVFUXIYTYKYLWNAOBNDGIJKMQRSTUBUAUPUCUGYM
              YNZAOPMVFZOFMVFZVAYOAUYIYPAFUYJVHZPALPFDGIJKUYJMQRSTUBUAVBUYLUSAF
              PUYJVHZVCYOYQZYOUUAUUBUUCZAUUQUUTDIJKMQRSTUAUVDUYDUYEWJAUUQUVBDIJ
              KMQRSTUAUVDADIJKFLQSTUAUMVBALFALUUQVQZUWSLFVRZVUCUWGLFUUQXLZXNWCZ
              VMZAUUQUVBDOIJKMFLQRSTUAUVDVUHAUUQUVBLVUCADFLIJKQSTUAUMVBVUGWIYDU
              XIADFLIJKQSTUAUMVBVUGXCALOALOALOVJZUWJUYFAVUIVOZLOBAVUIXGZVUJLBDG
              IJKMNQRSTUBAUVPVUIUAVPZALDVQVUIVBVPZAUVQVUIUCVPAUXBVUIUGVPZVUJUYI
              NUYJVHVUJLNUYIDGIJKUYJMQRSTUBVULVUMUYLVUNAUYIDVQVUIUYMVPZVUJUYNUY
              OLNMVFLUYIMVFAUYPVUIUYQVPVUJLONMVUKXRVUJLOUYIMVUKXRUUDVUJPLFUYIDN
              IJQSVULAPDVQVUIUSVPZVUMAUVSVUIUMVPZVUOVUNVUJFLPLDIJMQRSVULVUQVUMV
              UPVUMVUJLFLPDIJMQRSVULVUMVUQVUMVUPVUJLFMVFLVUAMVFLPMVFVUJFVUALMAF
              VUAVJVUIVCVPYRVUJLPDGIJKUYJMQRSTUBVULVUMUYLVUPUUEXTUUHVUJLFVUJVUD
              UWSVUEVUJLOUUQVUKAUXHVUIUXIVPYSAUWSVUIUWGVPVUFXNWCZWBVURVUJFLPDIJ
              MQRSVULVUQVUMVUPALFPJVFZVQVUIALVUAPJVFVUSALPDGIJKUYJMQRSTUBUAVBUY
              LUSUUFAFVUAPJVCXRUUGVPXHVUJUYILPDIJMQRSVULVUOVUMVUPVUJLOUYIPJVFZV
              UKAOVUTVQVUIUTVPYSXHVUJLOUXTVUKAUYAVUIURVPYSUUIUUJYOUUKUULYGYHWCV
              UGAOLFWHUVTVQUYSOUYTMVFZVJAVVAUYRUYSAUYTPOMVUBYRVAUUMAOLFDGIJKMQR
              STUBUAUPVBUMYMUUNYEWJYF $.
          $}

          $( Lemma 8.24 of [Schwabhauser] p. 66.  This is used later for
             ~ mideulem and later for ~ opphl .  (Contributed by Thierry
             Arnoux, 21-Dec-2019.) $)
          opphllem $p |- ( ph
           -> E. x e. P ( B = ( ( S ` x ) ` A ) /\ O = ( ( S ` x ) ` R ) ) ) $=
            ( vs vm cv co wcel cfv wceq cstrkg adantr eqid simprl necomd neneqd
            wa wn wo perpln2 tglnne jca cs3 crag tglinerflx2 tglinecom eqbrtrrd
            cperpg simpr orcd ragflat3 oran sylib pm2.65da neleqtrrd wne pm4.56
            perprag simprrr tgbtwncom simprrl coltr3 nelne2 syl2anc israg mpbid
            ncolrot2 tgbtwnne ad3antrrr ad2antrr simplr mirbtwn ad4antr ad5antr
            mircl wbr simp-5r simprd simpld simpllr simprr eqcomd fveq2d fveq1d
            mideulem2 midexlem r19.29a oveq1d eleqtrrd mircgr tgcgrcomlr oveq2d
            eqtrd 3eqtrd tgcgrextend axtgcgrrflx colcom colrot1 ragcol tgifscgr
            eqtr4d axtgsegcon btwncolg1 symquadlem ismir axtgpasch reximddv ) A
            BUPZIDKUQURZYRGNKUQURZVGZDCYRHUSZUSZUTZNGUUBUSUTZVGBEAYREURZUUAVGZV
            GZUUDUUEUUHDNCGEHJKLUUBMYROPQRTAJVAURZUUGSVBZUUBVCZADEURZUUGUBVBZAN
            EURZUUGUEVBZACEURZUUGUAVBZAGEURZUUGUKVBZAUUFUUAVDZUUHEJKLCDNORQUUJU
            UQUUMUUOUUHNCDLUQZURZVHZCDUTZVHZVGUVBUVDVIVHUUHUVCUVEUUHUVADCLUQZNA
            NUVFURZVHUUGAUVGDCUTZVHZNCUTZVHZVGZAUVGVGZUVIUVKAUVIUVGADCACDUCVEZV
            FVBAUVKUVGANCACNAEJKLCNOQRSUAUEAUVACNLUQZJLRSUHVJVKVEVFVBVLUVMUVHUV
            JVIUVLVHUVMDCNEHJKLMOPQRTAUUIUVGSVBAUULUVGUBVBAUUPUVGUAVBAUUNUVGUEV
            BADCNVMJVNUSZURZUVGADCCNEJKLMOPQRSUBUAAEDCJKLOQRSUBUAUVNVOUEAUVAUVF
            UVOJVRUSZAECDJKLOQRSUAUBUCVPZUHVQWHZVBUVMUVGUVHAUVGVSVTWAUVHUVJWBWC
            WDZVBAUVAUVFUTUUGUVSVBWEUUHCDACDWFZUUGUCVBZVFVLUVBUVDWGWCWQUUHNYRGE
            JKMOPQUUJUUOUUTUUSUUHGYRNEJKMOPQUUJUUSUUTUUOAUUFYSYTWIZWJZUUHYRUVAU
            RZUVCYRNWFUUHICDYREJKLOQRUUJAIEURZUUGUFVBZUUQUUMUUTAIUVAURZUUGUIVBZ
            AUUFYSYTWKWLZAUVCUUGAUVAUVFNUWAUVSWEVBYRNUVAWMWNWRUUHYRNCHUSZUSZUNU
            PZKUQURZYRUWNMUQYRGMUQUTZVGZDNMUQZCGMUQZUTUNEUUHUWNEURZVGZUWQVGZUWR
            DUWMMUQZUWSAUWRUXCUTZUUGUWTUWQAUVQUXDUVTADCNEHJKLMOPQRTSUBUAUEWOWPW
            SUXBUWMCNGEGDJUWMKUWNMOPQAUUIUUGUWTUWQSWSZUUHUWMEURUWTUWQUUHCEHJKLU
            WLMNOPQRTUUJUUQUWLVCZUUOXEZWTZAUUPUUGUWTUWQUAWSZAUUNUUGUWTUWQUEWSZA
            UURUUGUWTUWQUKWSZUXKAUULUUGUWTUWQUBWSZUUHUWTUWQXAZUXHUXBCNEHJKLUWLM
            OPQRTUXEUXIUXFUXJXBZUXBDUWNDHUSZUSZUWNKUQGUWNKUQUXBDUWNEHJKLUXOMOPQ
            RTUXEUXLUXOVCZUXMXBUXBGUXPUWNKUXBGUWNUOUPZHUSZUSZUTZGUXPUTUOEUXBUXR
            EURZVGZUYAVGZGUXTUXPUYCUYAVSZUYDUWNUXSUXOUYDUXRDHUYDDUXRUYDCDEFGHIJ
            KLUXRMNYRUWNOPQRUXBUUIUYBUYAUXEWTTUXBUUPUYBUYAUXIWTUXBUULUYBUYAUXLW
            TUUHUWBUWTUWQUYBUYAUWCXCAFEURUUGUWTUWQUYBUYAUDXDUXBUUNUYBUYAUXJWTUU
            HUWGUWTUWQUYBUYAUWHXCAUVAFDLUQUVRXFUUGUWTUWQUYBUYAUGXDAUVAUVOUVRXFU
            UGUWTUWQUYBUYAUHXDUUHUWIUWTUWQUYBUYAUWJXCAIFNKUQURUUGUWTUWQUYBUYAUJ
            XDUXBUURUYBUYAUXKWTAGDFKUQURUUGUWTUWQUYBUYAULXDACNMUQZDGMUQZUTZUUGU
            WTUWQUYBUYAUMXDUXBUUFUYBUYAUUHUUFUWTUWQUUTWTZWTUYDYSYTUYDUUFUUAAUUG
            UWTUWQUYBUYAXGXHZXIUYDYSYTUYJXHUXBUWTUYBUYAUXMWTUYDUWOUWPUXAUWQUYBU
            YAXJXIUXBUWPUYBUYAUXAUWOUWPXKZWTUXBUYBUYAXAUYEXOXLXMXNYCUXBUOUWNGYR
            EHJKLUXSMOPQRTUXEUXSVCUXMUXKUYIUYKXPXQZXRXSZUXBUWMCNGEDUWNJKMOPQUXE
            UXHUXIUXJUXKUXLUXMUXNUYMUXBCUWMDGEJKMOPQUXEUXIUXHUXLUXKUXBCUWMMUQUY
            FUYGUXBCNEHJKLUWLMOPQRTUXEUXIUXFUXJXTAUYHUUGUWTUWQUMWSZYCYAUXBUYFUY
            GDUXPMUQDUWNMUQUYNUXBGUXPDMUYLYBUXBDUWNEHJKLUXOMOPQRTUXEUXLUXQUXMXT
            YDZYEUYOUXBEJKMUWMGOPQUXEUXHUXKYFUXBNGMUQGNMUQUWNUWMMUQUXBEJKMNGOPQ
            UXEUXJUXKYFUXBGYRNUWNEYRUWMJKMOPQUXEUXKUYIUXJUXMUYIUXHUUHYTUWTUWQUW
            DWTUXBUWMYRUWNEJKMOPQUXEUXHUYIUXMUXAUWOUWPVDWJUXBUWNYRMUQGYRMUQUXBY
            RUWNYRGEJKMOPQUXEUYIUXMUYIUXKUYKYAXLUXBYRCNVMUVPURYRNMUQYRUWMMUQUTU
            XBDCNYREHJKLMOPQRTUXEUXLUXIUXJUYIAUVQUUGUWTUWQUVTWSUUHDCWFUWTUWQUUH
            CDUWCVEWTUXBEJKLDCYRORQUXEUXLUXIUYIUXBEJKLCDYRORQUXEUXIUXLUYIUXBUWF
            UVDUUHUWFUWTUWQUWKWTVTYGZYHYIUXBYRCNEHJKLMOPQRTUXEUYIUXIUXJWOWPYEYC
            YJYKUUHUNYRGEJKMUWMYROPQUUJUXGUUTUUTUUSYLZXQZUUHCNDGEJKMOPQUUJUUQUU
            OUUMUUSAUYHUUGUMVBZYAUUHUWQYRUVFURUVHVIUNEUYPUYQXQUUHEJKLNGYRORQUUJ
            UUOUUSUUTUWEYMYNZUUHYRGNEHJKLUUBMOPQRTUUJUUTUUKUUSUUOUUHCYRDNEDYRJG
            KCMOPQUUJUUQUUTUUMUUOUUMUUTUUQUUSUUHDYRCEJKMOPQUUJUUMUUTUUQUUHYRUUC
            CKUQDCKUQUUHYRCEHJKLUUBMOPQRTUUJUUTUUKUUQXBUUHDUUCCKUYTXRXSZWJVUAUU
            HEJKMCDOPQUUJUUQUUMYFUUHYRDMUQYRUUCMUQYRCMUQUUHDUUCYRMUYTYBUUHYRCEH
            JKLUUBMOPQRTUUJUUTUUKUUQXTYCUYSUYRYJUWEYOVLAEIJKMGNDFBOPQSUEUBUDUFU
            KAFINEJKMOPQSUDUFUEUJWJULYPYQ $.
        $}

        ${
          mideulem.9 $e |- ( ph -> ( A .- O ) ( leG ` G ) ( B .- Q ) ) $.
          $( Lemma for ~ mideu .  We can assume mideulem.9 "without loss of
             generality".  (Contributed by Thierry Arnoux, 25-Nov-2019.) $)
          mideulem $p |- ( ph -> E. x e. P B = ( ( S ` x ) ` A ) ) $=
            ( vr cv co wcel wceq wa cfv wrex simprrl cstrkg ad2antrr wne cperpg
            wbr simplr simprl simprr opphllem reximddv cleg legov mpbid r19.29a
            eqid ) AUKULZDFJUMUNZCMLUMZDVOLUMUOZUPZDCBULZGUQZUQUOZBEURUKEAVOEUN
            ZUPZVSUPZWBMVOWAUQUOZUPWBBEWEVTEUNWBWFUSWEBCDEFVOGHIJKLMNOPQAIUTUNW
            CVSRVASACEUNWCVSTVAADEUNWCVSUAVAACDVBWCVSUBVAAFEUNWCVSUCVAAMEUNWCVS
            UDVAAHEUNWCVSUEVAACDKUMZFDKUMIVCUQZVDWCVSUFVAAWGCMKUMWHVDWCVSUGVAAH
            WGUNWCVSUHVAAHFMJUMUNWCVSUIVAAWCVSVEWDVPVRVFWDVPVRVGVHVIAVQDFLUMIVJ
            UQZVDVSUKEURUJAUKCMDFEIJWILNOPWIVNRTUDUAUCVKVLVM $.
        $}
      $}

      $d .- p q s t x $.  $d A p q s t x y $.  $d B p q s t x y $.
      $d G p q s t x $.  $d I p q s t x $.  $d L p q s t x $.
      $d P p q s t x y $.  $d S p q t x y $.  $d ph p q s t x y $.
      mideu.3 $e |- ( ph -> G TarskiGDim>= 2 ) $.
      $( Existence of the midpoint, part Theorem 8.22 of [Schwabhauser] p. 64.
         Note that this proof requires a construction in 2 dimensions or more,
         i.e. it does not prove the existence of a midpoint in dimension 1, for
         a geometry restricted to a line.  (Contributed by Thierry Arnoux,
         25-Nov-2019.) $)
      midex $p |- ( ph -> E. x e. P B = ( ( S ` x ) ` A ) ) $=
        ( wa vq vp vt vs cv cfv wceq wrex wcel cstrkg adantr eqid mircinv simpr
        eqtr2d fveq2 fveq1d rspceeqv syl2an2r wne co cperpg wbr wo cleg ad4antr
        ad3antrrr simpllr simplr simp-4r simp-5r perpln1 perpcom tglnne breqtrd
        tgelrnln tglinecom simpld wn neneqd simprd orcomd ord mpd simprl simprr
        mideulem eqcomd mircom necomd eqeltrrd 3brtr3d eleqtrd reximddv legtrid
        tgbtwncom mpjaodan c2 cstrkgld colperpex r19.42v rexbii sylibr breqtrrd
        crn r19.29vva ex reximdv r19.29a pm2.61dane ) ADCBUEZFUFZUFZUGZBEUHZCDA
        CEUIZCDUGZDCCFUFZUFZUGXOQAXQTZXSCDXTCEFGHIXRJKLMNPAGUJUIZXQOUKAXPXQQUKX
        RULUMAXQUNUOBCEXMXSDXKCUGCXLXRXKCFUPUQURUSACDUTZTZDUAUEZIVAZCDIVAZGVBUF
        ZVCZXOUAEYCYDEUIZTZYHTZCUBUEZIVAZYFYGVCZUCUEZYFUIZXQVDZYOYDYLHVAUIZTZTZ
        XOUBUCEEYKYLEUIZTZYOEUIZTZYTTZCYLJVAZDYDJVAZGVEUFZVCZXOUUGUUFUUHVCZUUEU
        UITZBCDEYDFYOGHIJYLKLMNYKYAUUAUUCYTUUIAYAYBYIYHOVGZVFZPYKXPUUAUUCYTUUIA
        XPYBYIYHQVGZVFZYKDEUIZUUAUUCYTUUIAUUPYBYIYHRVGZVFZYKYBUUAUUCYTUUIAYBYIY
        HVHZVFZYKYIUUAUUCYTUUIYCYIYHVIZVFZYKUUAUUCYTUUIVJUUBUUCYTUUIVHUUKYFYEYD
        DIVAYGUUKYEYFEGHIJKLMNUUMUUKYEYFGINUUMYJYHUUAUUCYTUUIVKZVLZUUKEGHICDKMN
        UUMUUOUURUUTVPZUVCVMUUKEDYDGHIKMNUUMUURUVBUUKEGHIDYDKMNUUMUURUVBUVDVNVQ
        VOUUKYMYFEGHIJKLMNUUMUUKYMYFGINUUMUUKYNYSUUDYTUUIVIZVRZVLUVEUVGVMUUKXQV
        SZYPUUKCDUUTVTUUKXQYPUUKYPXQUUKYQYRUUKYNYSUVFWAZVRWBWCWDUUKYQYRUVIWAUUE
        UUIUNWGUUEUUJTZCDXLUFZUGZXNBEUVJXKEUIZUVLTZTZXMDUVOXKDCEFGHIXLJKLMNPUVJ
        YAUVNYKYAUUAUUCYTUUJUULVFZUKUVJUVMUVLWEXLULUVJUUPUVNYKUUPUUAUUCYTUUJUUQ
        VFZUKUVOCUVKUVJUVMUVLWFWHWIWHUVJBDCEYLFYOGHIJYDKLMNUVPPUVQYKXPUUAUUCYTU
        UJUUNVFZUVJCDYKYBUUAUUCYTUUJUUSVFZWJZYKUUAUUCYTUUJVJZYKYIUUAUUCYTUUJUVA
        VFZUUBUUCYTUUJVHZUVJYLCIVAZDCIVAZEGHIJKLMNUVPUVJYMUWDIXEUVJECYLGHIKMNUV
        PUVRUWAUVJEGHICYLKMNUVPUVRUWAUVJYMYFGINUVPUVJYNYSUUDYTUUJVIZVRZVLZVNVQZ
        UWHWKUVJEGHIDCKMNUVPUVQUVRUVTVPZUVJYMYFUWDUWEYGUWGUWIUVJECDGHIKMNUVPUVR
        UVQUVSVQZWLVMUVJYEUWEEGHIJKLMNUVPUVJYEYFGINUVPYJYHUUAUUCYTUUJVKZVLUWJUV
        JYEYFUWEYGUWLUWKVOVMUVJYOYFUWEUVJUVHYPUVJCDUVSVTUVJXQYPUVJYPXQUVJYQYRUV
        JYNYSUWFWAZVRWBWCWDUWKWMUVJYDYOYLEGHJKLMUVPUWBUWCUWAUVJYQYRUWMWAWPUUEUU
        JUNWGWNUUECYLDYDEGHUUHJKLMUUHULYKYAUUAUUCYTUULVGYKXPUUAUUCYTUUNVGYKUUAU
        UCYTVHYKUUPUUAUUCYTUUQVGYCYIYHUUAUUCYTVKWOWQYKYNYSUCEUHTZUBEUHYTUCEUHZU
        BEUHYKUCCDYDEGHIJUBKLMNUULUUNUUQUVAUUSAGWRWSVCZYBYIYHSVGWTUWOUWNUBEYNYS
        UCEXAXBXCXFYCYEUWEYGVCZUDUEZUWEUIDCUGVDUWRCYDHVAUITUDEUHZTZUAEUHYHUAEUH
        YCUDDCCEGHIJUAKLMNAYAYBOUKZAUUPYBRUKZAXPYBQUKZUXCYCCDAYBUNZWJAUWPYBSUKW
        TYCUWTYHUAEYCUWTYHYCUWTTYEUWEYFYGYCUWQUWSWEYCYFUWEUGUWTYCECDGHIKMNUXAUX
        CUXBUXDVQUKXDXGXHWDXIXJ $.

      $( Existence and uniqueness of the midpoint, Theorem 8.22 of
         [Schwabhauser] p. 64.  (Contributed by Thierry Arnoux,
         25-Nov-2019.) $)
      mideu $p |- ( ph -> E! x e. P B = ( ( S ` x ) ` A ) ) $=
        ( wcel vy cv cfv wceq wrex wrmo wreu midex wral cstrkg ad2antrr simplrl
        wa wi simplrr simprl eqcomd simprr miduniq ralrimivva fveq2 fveq1d rmo4
        ex eqeq2d sylibr reu5 sylanbrc ) ADCBUBZFUCZUCZUDZBEUEVLBEUFZVLBEUGABCD
        EFGHIJKLMNOPQRSUHAVLDCUAUBZFUCZUCZUDZUMZVIVNUDZUNZUAEUIBEUIVMAVTBUAEEAV
        IETZVNETZUMZUMZVRVSWDVRUMZVIVNEFGHIJCDKLMNPAGUJTWCVROUKAWAWBVRULAWAWBVR
        UOACETWCVRQUKADETWCVRRUKWEDVKWDVLVQUPUQWEDVPWDVLVQURUQUSVDUTVLVQBUAEVSV
        KVPDVSCVJVOVIVNFVAVBVEVCVFVLBEVGVH $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Half-planes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d D a b $.  $d I a b $.  $d P a b $.
    hpg.p $e |- P = ( Base ` G ) $.
    hpg.d $e |- .- = ( dist ` G ) $.
    hpg.i $e |- I = ( Itv ` G ) $.
    hpg.o $e |- O = { <. a , b >. | ( ( a e. ( P \ D ) /\ b e. ( P \ D ) )
      /\ E. t e. D t e. ( a I b ) ) } $.
    ${
      $d A t u v $.  $d B t u v $.  $d D u v $.  $d I u v $.  $d P u v $.
      $d a b t u v $.
      islnopp.a $e |- ( ph -> A e. P ) $.
      islnopp.b $e |- ( ph -> B e. P ) $.
      $( The property for two points ` A ` and ` B ` to lie on the opposite
         sides of a set ` D ` Definition 9.1 of [Schwabhauser] p. 67.
         (Contributed by Thierry Arnoux, 19-Dec-2019.) $)
      islnopp $p |- ( ph -> ( A O B <-> ( ( -. A e. D /\ -. B e. D )
        /\ E. t e. D t e. ( A I B ) ) ) ) $=
        ( wcel wa vu vv wbr cdif cv co wrex wn wceq eleq1 anbi1d eleq2d rexbidv
        oveq1 anbi2d oveq2 copab simpl eleq1d simpr oveq12 cbvopabv eqtri brabg
        wb anbi12d syl2anc biantrurd eldif bitr4di bitr4d ) ACDJUCZCFEUDZSZDVMS
        ZTZBUEZCDHUFZSZBEUGZTZCESUHZDESUHZTZVTTACFSZDFSZVLWAVEQRUAUEZVMSZUBUEZV
        MSZTZVQWGWIHUFZSZBEUGZTZVNWJTZVQCWIHUFZSZBEUGZTWAUAUBCDFFJWGCUIZWKWPWNW
        SWTWHVNWJWGCVMUJUKWTWMWRBEWTWLWQVQWGCWIHUNULUMVFWIDUIZWPVPWSVTXAWJVOVNW
        IDVMUJUOXAWRVSBEXAWQVRVQWIDCHUPULUMVFJKUEZVMSZLUEZVMSZTZVQXBXDHUFZSZBEU
        GZTZKLUQWOUAUBUQPXJWOKLUAUBXBWGUIZXDWIUIZTZXFWKXIWNXMXCWHXEWJXMXBWGVMXK
        XLURUSXMXDWIVMXKXLUTUSVFXMXHWMBEXMXGWLVQXBWGXDWIHVAULUMVFVBVCVDVGAWDVPV
        TAWBVNWCVOAWBWEWBTVNAWEWBQVHCFEVIVJAWCWFWCTVOAWFWCRVHDFEVIVJVFUKVK $.
    $}

    ${
      $d A t $.  $d B t $.  $d C t $.  $d D a b t $.  $d I a b t $.
      $d P a b $.  $d ph t $.
      islnoppd.a $e |- ( ph -> A e. P ) $.
      islnoppd.b $e |- ( ph -> B e. P ) $.
      islnoppd.c $e |- ( ph -> C e. D ) $.
      islnoppd.1 $e |- ( ph -> -. A e. D ) $.
      islnoppd.2 $e |- ( ph -> -. B e. D ) $.
      islnoppd.3 $e |- ( ph -> C e. ( A I B ) ) $.
      $( Deduce that ` A ` and ` B ` lie on opposite sides of line ` L ` .
         (Contributed by Thierry Arnoux, 16-Aug-2020.) $)
      islnoppd $p |- ( ph -> A O B ) $=
        ( wcel wn wa cv co wrex wceq simpr eleq1d rspcedvd jca31 islnopp mpbird
        wbr ) ACDKUQCFUDUEZDFUDUEZUFBUGZCDIUHZUDZBFUIZUFAURUSVCUAUBAVBEVAUDBEFT
        AUTEUJZUFUTEVAAVDUKULUCUMUNABCDFGHIJKLMNOPQRSUOUP $.
    $}

    $d A m p t x y z $.  $d B m t x y z $.  $d D m p t x y z $.  $d R m p t $.
    $d C m p t x y z $.  $d G m p t x y z $.  $d L m t x y z $.  $d U m p t $.
    $d I m p t x y z $.  $d K p t $.  $d M t $.  $d O m t x y z $.
    $d N m p t $.  $d P m p t x y z $.  $d S m p t $.  $d V m t $.
    $d ph m p t x y z $.  $d .- m p t x y z $.  $d t a b $.
    opphl.l $e |- L = ( LineG ` G ) $.
    opphl.d $e |- ( ph -> D e. ran L ) $.
    opphl.g $e |- ( ph -> G e. TarskiG ) $.
    ${
      oppcom.a $e |- ( ph -> A e. P ) $.
      oppcom.b $e |- ( ph -> B e. P ) $.
      oppcom.o $e |- ( ph -> A O B ) $.
      $( Points lying on opposite sides of a line cannot be on the line.
         (Contributed by Thierry Arnoux, 3-Mar-2020.) $)
      oppne1 $p |- ( ph -> -. A e. D ) $=
        ( wcel wn cv co wrex wbr wa islnopp mpbid simplld ) ACEUDUEZDEUDUEZBUFC
        DHUGUDBEUHZACDKUIUNUOUJUPUJUCABCDEFGHJKLMNOPQUAUBUKULUM $.

      $( Points lying on opposite sides of a line cannot be on the line.
         (Contributed by Thierry Arnoux, 3-Mar-2020.) $)
      oppne2 $p |- ( ph -> -. B e. D ) $=
        ( wcel wn cv co wrex wbr wa islnopp mpbid simplrd ) ACEUDUEZDEUDUEZBUFC
        DHUGUDBEUHZACDKUIUNUOUJUPUJUCABCDEFGHJKLMNOPQUAUBUKULUM $.

      $( Points lying on opposite sides of a line cannot be equal.
         (Contributed by Thierry Arnoux, 3-Aug-2020.) $)
      oppne3 $p |- ( ph -> A =/= B ) $=
        ( wceq oppne1 wa cv co cstrkg ad3antrrr crn simplr tglnpt simpr simpllr
        wcel oveq2d eleqtrrd axtgbtwnid eqeltrd wrex wn wbr mpbid simprd adantr
        islnopp r19.29a mtand neqned ) ACDACDUDZCEUPZABCDEFGHIJKLMNOPQRSTUAUBUC
        UEAVKUFZBUGZCDHUHZUPZVLBEVMVNEUPZUFZVPUFZCVNEVSFGHJCVNNOPAGUIUPVKVQVPTU
        JZACFUPVKVQVPUAUJVSEFGHIVNNRPVTAEIUKUPVKVQVPSUJVMVQVPULZUMVSVNVOCCHUHVR
        VPUNVSCDCHAVKVQVPUOUQURUSWAUTAVPBEVAZVKAVLVBDEUPVBUFZWBACDKVCWCWBUFUCAB
        CDEFGHJKLMNOPQUAUBVGVDVEVFVHVIVJ $.

      $( Commutativity rule for "opposite" Theorem 9.2 of [Schwabhauser] p. 67.
         (Contributed by Thierry Arnoux, 19-Dec-2019.) $)
      oppcom $p |- ( ph -> B O A ) $=
        ( wbr wcel wn wa cv co wrex islnopp mpbid simpld simprd cstrkg ad2antrr
        adantr crn simpr tglnpt tgbtwncom impbida rexbidva jca31 mpbird ) ADCKU
        DDEUEUFZCEUEUFZUGBUHZDCHUIUEZBEUJZUGAVFVGVJAVGVFAVGVFUGZVHCDHUIUEZBEUJZ
        ACDKUDVKVMUGUCABCDEFGHJKLMNOPQUAUBUKULZUMZUNAVGVFVOUMAVMVJAVKVMVNUNAVLV
        IBEAVHEUEZUGZVLVIVQVLUGCVHDFGHJNOPAGUOUEZVPVLTUPACFUEZVPVLUAUPVQVHFUEZV
        LVQEFGHIVHNRPAVRVPTUQAEIURUEVPSUQAVPUSUTZUQADFUEZVPVLUBUPVQVLUSVAVQVIUG
        DVHCFGHJNOPAVRVPVITUPAWBVPVIUBUPVQVTVIWAUQAVSVPVIUAUPVQVIUSVAVBVCULVDAB
        DCEFGHJKLMNOPQUBUAUKVE $.

      $d x y ph $.  $d x y D $.  $d x y G $.  $d x y I $.  $d x y P $.
      $( If two points opposite to a line exist, dimension must be 2 or more.
         (Contributed by Thierry Arnoux, 3-Mar-2020.) $)
      opptgdim2 $p |- ( ph -> G TarskiGDim>= 2 ) $=
        ( vx vy cv co wceq wne wa c2 cstrkgld wbr wcel cstrkg ad3antrrr simpllr
        simplr wn wo oppne1 simprl neleqtrd simprr sylanbrc ncoltgdim2 tgisline
        neneqd ioran r19.29vva ) AEUDUFZUEUFZIUGZUHZVKVLUIZUJZGUKULUMUDUEFFAVKF
        UNZUJZVLFUNZUJZVPUJZFGHIVKVLCNRPAGUOUNVQVSVPTUPAVQVSVPUQVRVSVPURACFUNVQ
        VSVPUAUPWACVMUNZUSVKVLUHZUSWBWCUTUSWAEVMCACEUNUSVQVSVPABCDEFGHIJKLMNOPQ
        RSTUAUBUCVAUPVTVNVOVBVCWAVKVLVTVNVOVDVHWBWCVIVEVFAUDUEEFGHINPRTSVGVJ $.
    $}

    ${
      oppnid.1 $e |- ( ph -> A e. P ) $.
      $( The "opposite to a line" relation is irreflexive.  (Contributed by
         Thierry Arnoux, 4-Mar-2020.) $)
      oppnid $p |- ( ph -> -. A O A ) $=
        ( wbr wcel wa cv co cstrkg ad3antrrr crn simplr tglnpt simpr axtgbtwnid
        eqeltrd wn wrex islnopp simplbda r19.29a simprbda simpld pm2.65da ) ACC
        JUAZCDUBZAVBUCZBUDZCCGUEUBZVCBDVDVEDUBZUCZVFUCZCVEDVIEFGICVEMNOAFUFUBVB
        VGVFSUGZACEUBVBVGVFTUGVIDEFGHVEMQOVJADHUHUBVBVGVFRUGVDVGVFUIZUJVHVFUKUL
        VKUMAVBVCUNZVLUCZVFBDUOZABCCDEFGIJKLMNOPTTUPZUQURVDVLVLAVBVMVNVOUSUTVA
        $.
    $}

    ${
      opphllem1.s $e |- S = ( ( pInvG ` G ) ` M ) $.
      opphllem1.a $e |- ( ph -> A e. P ) $.
      opphllem1.b $e |- ( ph -> B e. P ) $.
      opphllem1.c $e |- ( ph -> C e. P ) $.
      opphllem1.r $e |- ( ph -> R e. D ) $.
      opphllem1.o $e |- ( ph -> A O C ) $.
      opphllem1.m $e |- ( ph -> M e. D ) $.
      opphllem1.n $e |- ( ph -> A = ( S ` C ) ) $.
      opphllem1.x $e |- ( ph -> A =/= R ) $.
      opphllem1.y $e |- ( ph -> B =/= R ) $.
      ${
        opphllem1.z $e |- ( ph -> B e. ( R I A ) ) $.
        $( Lemma for ~ opphl .  (Contributed by Thierry Arnoux,
           20-Dec-2019.) $)
        opphllem1 $p |- ( ph -> B O C ) $=
          ( wbr wcel wn wa cv co wrex oppne1 wceq simpr simplr eqeltrd ad2antrr
          wne cstrkg tglnpt necomd btwnlng3 lncom crn tglinethru eleqtrrd mtand
          pm2.61dane oppne2 cmir mirbtwn eqcomd mircom oveq1d eleqtrd axtgpasch
          cfv eqid simplrl simplrr axtgbtwnid eqeltrrd btwnlng1 adantlr simprrl
          simprd adantr reximssdv jca31 islnopp mpbird ) ADEOUPDFUQZURZEFUQURZU
          SBUTZDEKVAUQZBFVBZUSAXDXEXHAXCCFUQZABCEFGJKLNOPQRSTUAUBUCUDUFUHUJVCAX
          CUSZXICDXJCDVDZUSCDFXJXKVEAXCXKVFVGXJCDVIZUSZCDHLVAFXMGJKLDHCRTUBAJVJ
          UQZXCXLUDVHZADGUQXCXLUGVHZAHGUQZXCXLAFGJKLHRUBTUDUCUIVKZVHZACGUQXCXLU
          FVHZADHVIXCXLUNVHZXMGJKLHDCRTUBXOXSXPXTXMDHYAVLADHCKVAUQXCXLUOVHVMVNX
          MFGDHJKLRTUBXOXPXSYAYAAFLVOUQZXCXLUCVHAXCXLVFAHFUQZXCXLUIVHVPVQVSVRAB
          CEFGJKLNOPQRSTUAUBUCUDUFUHUJVTAXGXFMHKVAZUQZUSZXGBFGAGDJKNMHECBRSTUDX
          RUHUFUGAFGJKLMRUBTUDUCUKVKZUOAMCIWHZCKVAECKVAAMCGJWAWHZJKLINRSTUBYIWI
          ZUDYGUEUFWBAYHECKAMECGYIJKLINRSTUBYJUDYGUEUHACEIWHULWCWDWEWFWGAXFGUQZ
          YFUSZUSZXFFUQMHYMMHVDZUSZHXFFYOGJKNHXFRSTAXNYLYNUDVHAXQYLYNXRVHAYKYFY
          NWJYOXFYDHHKVAYOXGYEAYKYFYNWKWQYOMHHKYMYNVEWEWFWLAYCYLYNUIVHWMYMMHVIZ
          USZXFMHLVAZFYQGJKLMHXFRTUBAXNYLYPUDVHAMGUQZYLYPYGVHAXQYLYPXRVHAYKYFYP
          WJYMYPVEYQXGYEAYKYFYPWKWQWNAYPFYRVDYLAYPUSFGMHJKLRTUBAXNYPUDWRAYSYPYG
          WRAXQYPXRWRAYPVEZYTAYBYPUCWRAMFUQYPUKWRAYCYPUIWRVPWOVQVSAYKXGYEWPWSWT
          ABDEFGJKNOPQRSTUAUGUHXAXB $.
      $}

      opphllem2.z $e |- ( ph -> ( A e. ( R I B ) \/ B e. ( R I A ) ) ) $.
      $( Lemma for ~ opphl .  Lemma 9.3 of [Schwabhauser] p. 68.  (Contributed
         by Thierry Arnoux, 21-Dec-2019.) $)
      opphllem2 $p |- ( ph -> B O C ) $=
        ( co wcel wbr wa crn adantr cstrkg cfv cmir eqid mircl mirln wceq simpr
        tglnpt simplr eqeltrd wne ad3antrrr necomd btwnlng1 tglinethru eleqtrrd
        simpllr lncom pm2.61dane oppne1 ad2antrr pm2.65da mirmir eqeltrrd mtand
        wn mirbtwn islnoppd eqidd nelne2 syl2anc oppne2 eqcomd mircom opphllem1
        mirbtwni oppcom mpjaodan ) ACHDKUPUQZDEOURDHCKUPUQZAXAUSZBEDFGJKLNOPQRS
        TUAUBAFLUTUQZXAUCVAZAJVBUQZXAUDVAZAEGUQZXAUHVAZADGUQZXAUGVAZXCBDIVCZEDF
        GHIVCZIJKLMNOPQRSTUAUBXEXGUEXCMGJVDVCZJKLINDRSTUBXNVEZXGAMGUQZXAAFGJKLM
        RUBTUDUCUKVJZVAZUEXKVFZXIXKXCMHFGXNJKLINRSTUBXOXGUEXEAMFUQZXAUKVAZAHFUQ
        ZXAUIVAVGZXCBXLDMFGJKNOPQRSTUAXSXKYAXCXLFUQZDFUQZXCYECFUQZXCYEUSZYFCDYG
        CDVHZUSCDFYGYHVIXCYEYHVKVLYGCDVMZUSZCDHLUPFYJGJKLDHCRTUBAXFXAYEYIUDVNZA
        XJXAYEYIUGVNZAHGUQZXAYEYIAFGJKLHRUBTUDUCUIVJZVNZACGUQZXAYEYIUFVNZADHVMZ
        XAYEYIUNVNZYJGJKLHDCRTUBYKYOYLYQYJDHYSVOAXAYEYIVSVPVTYJFGDHJKLRTUBYKYLY
        OYSYSAXDXAYEYIUCVNXCYEYIVKAYBXAYEYIUIVNVQVRWAAYFWHXAYEABCEFGJKLNOPQRSTU
        AUBUCUDUFUHUJWBWCWDZXCYDUSZXLIVCDFUUAMDGXNJKLINRSTUBXOXCXFYDXGVAZXCXPYD
        XRVAUEXCXJYDXKVAWEUUAMXLFGXNJKLINRSTUBXOUUBUEXCXDYDXEVAXCXTYDYAVAXCYDVI
        VGWFWGZYTXCMDGXNJKLINRSTUBXOXGXRUEXKWIWJYAXCXLWKXCXMXLXCXMFUQZYDWHXMXLV
        MYCUUCXMXLFWLWMVOXCXMEXCUUDEFUQWHZXMEVMYCAUUEXAABCEFGJKLNOPQRSTUAUBUCUD
        UFUHUJWNVAXMEFWLWMVOXCCIVCZEXMXLKUPAUUFEVHXAAMECGXNJKLINRSTUBXOUDXQUEUH
        ACEIVCZULWOWPVAXCMGXNJKLINHCDRSTUBXOXGXRUEAYMXAYNVAAYPXAUFVAXKAXAVIWRWF
        WQWSAXBUSBCDEFGHIJKLMNOPQRSTUAUBAXDXBUCVAAXFXBUDVAUEAYPXBUFVAAXJXBUGVAA
        XHXBUHVAAYBXBUIVAACEOURXBUJVAAXTXBUKVAACUUGVHXBULVAACHVMXBUMVAAYRXBUNVA
        AXBVIWQUOWT $.
    $}

    opphl.k $e |- K = ( hlG ` G ) $.
    ${
      opphllem5.n $e |- N = ( ( pInvG ` G ) ` M ) $.
      opphllem5.a $e |- ( ph -> A e. P ) $.
      opphllem5.c $e |- ( ph -> C e. P ) $.
      opphllem5.r $e |- ( ph -> R e. D ) $.
      opphllem5.s $e |- ( ph -> S e. D ) $.
      opphllem5.m $e |- ( ph -> M e. P ) $.
      opphllem5.o $e |- ( ph -> A O C ) $.
      opphllem5.p $e |- ( ph -> D ( perpG ` G ) ( A L R ) ) $.
      opphllem5.q $e |- ( ph -> D ( perpG ` G ) ( C L S ) ) $.
      ${
        opphllem3.t $e |- ( ph -> R =/= S ) $.
        opphllem3.l $e |- ( ph -> ( S .- C ) ( leG ` G ) ( R .- A ) ) $.
        opphllem3.u $e |- ( ph -> U e. P ) $.
        ${
          opphllem3.v $e |- ( ph -> ( N ` R ) = S ) $.
          $( Lemma for ~ opphl :  We assume opphllem3.l "without loss of
             generality".  (Contributed by Thierry Arnoux, 21-Feb-2020.) $)
          opphllem3 $p |- ( ph -> ( U ( K ` R ) A <-> ( N ` U ) ( K ` S ) C ) )
            $=
            ( vp vm cv co wcel cfv wbr wceq ad4antr tglnpt cstrkg simplr simprl
            wb wne perpln2 tglnne simprr tgcgrcomlr cperpg tgcgrneq hlbtwn cmir
            wa adantr ad5antr simpllr simpr mirhl eqidd fveq2d ad2antrr ad6antr
            eqid eqcomd fveq1i mircom eqtr3id miduniq eqtr4di fveq1d eqtr2d crn
            necomd simp-4r tglinethru eqbrtrrd 3brtr3d eleqtrd opphllem r19.29a
            tglinecom breq123d mpbid mircl mirmir impbida bitrd wrex cleg legov
            wn islnopp simprd ) ABVCZCDKVDVEZICGLVFZVGZIPVFZDHLVFZVGZVNZBEAYEEV
            EZWDZYFWDZVAVCZGCKVDVEZHDOVDZGYPOVDVHZWDZYLVAFYOYPFVEZWDZYTWDZYHIYP
            YGVGZYKUUCICGYPFJKLTUBUGAIFVEZYMYFUUAYTUSVIZACFVEYMYFUUAYTUIVIZAGFV
            EZYMYFUUAYTAEFJKMGTUDUBUFUEUKVJZVIZAJVKVEZYMYFUUAYTUFVIZYOUUAYTVLZU
            UBYQYSVMZACGVOYMYFUUAYTAFJKMCGTUBUDUFUIUUIAECGMVDZJMUDUFUOVPVQVIUUC
            DHYPGFJKOTUAUBUULADFVEZYMYFUUAYTUJVIZAHFVEZYMYFUUAYTAEFJKMHTUDUBUFU
            EULVJZVIZUUMUUJUUCHDGYPFJKOTUAUBUULUUTUUQUUJUUMUUBYQYSVRZVSUUCFJKMD
            HTUBUDUULUUQUUTUUCEDHMVDZJMUDUULAEUVBJVTVFZVGYMYFUUAYTUPVIZVPVQZWAW
            BUUCUUDYKUUCUUDWDZYIYPPVFZGPVFZLVFZVGYKUVFNFJWCVFZJKLMPOIYPGTUAUBUD
            UVJWNZUUCUUKUUDUULWEUHUGANFVEZYMYFUUAYTUUDUMWFUUCUUEUUDUUFWEYOUUAYT
            UUDWGUUCUUHUUDUUJWEUUCUUDWHWIUVFYIYIUVGDUVIYJUVFYIWJUVFUVHHLAUVHHVH
            ZYMYFUUAYTUUDUTWFWKUUCUVGDVHZUUDUUCGHVBVCZUVJVFZVFZVHZDYPUVPVFZVHZW
            DZUVNVBFUUCUVOFVEZWDZUWAWDZDUVSUVGUWCUVRUVTVRUWDYPUVPPUWDUVPNUVJVFZ
            PUWDUVONUVJUWDUVONFUVJJKMOHGTUAUBUDUVKUUCUUKUWBUWAUULWLUUCUWBUWAVLA
            UVLYMYFUUAYTUWBUWAUMWMUUCUURUWBUWAUUTWLUUCUUHUWBUWAUUJWLUWDGUVQUWCU
            VRUVTVMWOAHUWEVFZGVHYMYFUUAYTUWBUWAAUWFHPVFZGHPUWEUHWPANGHFUVJJKMPO
            TUAUBUDUVKUFUMUHUUIUTWQWRWMWSWKUHWTXAXBUUCVBHGFCYPUVJYEJKMODTUAUBUD
            UULUVKUUTUUJUUCGHAGHVOYMYFUUAYTUQVIXDZUUGUUQUUCEFJKMYETUDUBUULAEMXC
            VEYMYFUUAYTUEVIZAYMYFUUAYTXEZVJUUCEHGMVDZUUOUVCUUCEFHGJKMTUBUDUULUU
            TUUJUWHUWHUWIAHEVEYMYFUUAYTULVIAGEVEYMYFUUAYTUKVIXFZAEUUOUVCVGYMYFU
            UAYTUOVIXGUUCEUVBUWKHDMVDUVCUVDUWLUUCFDHJKMTUBUDUULUUQUUTUVEXLXHUUC
            YEEUWKUWJUWLXIYNYFUUAYTWGUUMUUNUVAXJXKZWEXMXNUUCYKWDZYIPVFZDPVFZUWG
            LVFZVGUUDUWNNFUVJJKLMPOYIDHTUAUBUDUVKUUCUUKYKUULWEZUHUGAUVLYMYFUUAY
            TYKUMWFZAYIFVEYMYFUUAYTYKANFUVJJKMPOITUAUBUDUVKUFUMUHUSXOWFUUCUUPYK
            UUQWEUUCUURYKUUTWEUUCYKWHWIUWNUWOIUWPYPUWQYGUWNNIFUVJJKMPOTUAUBUDUV
            KUWRUWSUHUUCUUEYKUUFWEXPUWNUWGGLUWNNGHFUVJJKMPOTUAUBUDUVKUWRUWSUHUU
            CUUHYKUUJWEAUVMYMYFUUAYTYKUTWFWQWKUWNNYPDFUVJJKMPOTUAUBUDUVKUWRUWSU
            HYOUUAYTYKWGUUCUVNYKUWMWEWQXMXNXQXRAYTVAFXSZYMYFAYRGCOVDJXTVFZVGUWT
            URAVAHDGCFJKUXAOTUAUBUXAWNUFUUSUJUUIUIYAXNWLXKACEVEYBDEVEYBWDZYFBEX
            SZACDQVGUXBUXCWDUNABCDEFJKOQRSTUAUBUCUIUJYCXNYDXK $.

          opphllem4.u $e |- ( ph -> V e. P ) $.
          opphllem4.1 $e |- ( ph -> U ( K ` R ) A ) $.
          opphllem4.2 $e |- ( ph -> V ( K ` S ) C ) $.
          $( Lemma for ~ opphl .  (Contributed by Thierry Arnoux,
             22-Feb-2020.) $)
          opphllem4 $p |- ( ph -> U O V ) $=
            ( cfv cmir eqid mircl tglnpt necomd mirbtwn oveq1d eleqtrd btwnlng1
            co tglinethru eleqtrrd wcel oppne1 cstrkg hlne1 hlne2 lnrot1 adantr
            wa hlln wne crn simpr mtand mirmir mirln eqeltrrd islnoppd eqidd wo
            wbr w3a opphllem3 mpbid hlcomd ishlg simp1d simp3d opphllem2 oppcom
            hltr ) ABRIEFJKMOQSTUAUBUCUDUEUFUGVBUTABIPVEZRIEFHPJKMNOQSTUAUBUCUD
            UEUFUGUIANFJVFVEZJKMPOIUAUBUCUEXIVGZUGUNUIUTVHZVBUTUMABXHINEFJKOQST
            UAUBUCUDXKUTANHGMVOEAFJKMHGNUAUCUEUGAEFJKMHUAUEUCUGUFUMVIZAEFJKMGUA
            UEUCUGUFULVIZUNAGHURVJZANGPVEZGKVOHGKVOANGFXIJKMPOUAUBUCUEXJUGUNUIX
            MVKAXOHGKVAVLVMVNAEFHGJKMUAUCUEUGXLXMXNXNUFUMULVPVQZAXHEVRZIEVRZAXR
            CEVRABCDEFJKMOQSTUAUBUCUDUEUFUGUJUKUOVSAXRWEZCGIMVOZEACXTVRXRAFJKMG
            ICUAUCUEUGXMUTUJAIGAICGFJKLVTUAUCUHUTUJXMUGVCWAVJZAICGFJKLMUAUCUHUT
            UJXMUGUEVCWFAICGFJKLVTUAUCUHUTUJXMUGVCWBWCWDXSEFGIJKMUAUCUEAJVTVRZX
            RUGWDAGFVRXRXMWDAIFVRZXRUTWDAGIWGXRYAWDZYDAEMWHVRZXRUFWDAGEVRXRULWD
            AXRWIVPVQWJZAXQWEZXHPVEIEYGNIFXIJKMPOUAUBUCUEXJAYBXQUGWDZANFVRXQUNW
            DUIAYCXQUTWDWKYGNXHEFXIJKMPOUAUBUCUEXJYHUIAYEXQUFWDANEVRXQXPWDAXQWI
            WLWMWJYFANIFXIJKMPOUAUBUCUEXJUGUNUIUTVKWNXPAXHWOAXHHWGZRHWGZXHHRKVO
            VRRHXHKVOVRWPZAXHRHLVEZWQYIYJYKWRAXHDRHFJKLUAUCUHXKUKVBUGXLAICGLVEW
            QXHDYLWQVCABCDEFGHIJKLMNOPQSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUS
            UTVAWSWTARDHFJKLVTUAUCUHVBUKXLUGVDXAZXGAXHRHFJKLVTUAUCUHXKVBXLUGXBW
            TZXCADRHFJKLVTUAUCUHUKVBXLUGYMWBAYIYJYKYNXDXEXF $.
        $}
      $}

      opphllem5.u $e |- ( ph -> U e. P ) $.
      ${
        opphllem5.v $e |- ( ph -> V e. P ) $.
        opphllem5.1 $e |- ( ph -> U ( K ` R ) A ) $.
        opphllem5.2 $e |- ( ph -> V ( K ` S ) C ) $.
        $( Second part of Lemma 9.4 of [Schwabhauser] p. 68.  (Contributed by
           Thierry Arnoux, 2-Mar-2020.) $)
        opphllem5 $p |- ( ph -> U O V ) $=
          ( vm wbr wceq wa cv co wcel wn wrex cperpg cfv tglnpt hlne2 tglinecom
          cstrkg breqtrd hlcomd hlperpnel ad3antrrr simpr wne cmir eqid ad4antr
          simplr crn adantr simpllr tglinerflx2 eqeltrd perpln2 perpcom perprag
          tglinethru tgbtwncom ragflat2 pm2.61dane fveq2d breqd mpbird eqeltrrd
          btwnhl rspe syl2anc jca31 wb islnopp mpbid simprd r19.29a cleg eqcomd
          opphllem4 oppcom necomd mircom wo legtrid mpjaodan cstrkgld opptgdim2
          c2 midex ) AIRQVCZGHAGHVDZVEZBVFZCDKVGZVHZYEBEYGYHEVHZVEZYJVEZYEIEVHV
          IZREVHVIZVEYHIRKVGZVHZBEVJZVEZYMYNYOYRAYNYFYKYJAEFGJKLMOCIUAUBUCUEUGU
          FUHULUJURAECGMVGZGCMVGJVKVLZUPAFCGJKMUAUCUEUGUJAEFJKMGUAUEUCUGUFULVMZ
          AICGFJKLVPUAUCUHURUJUUBUGUTVNZVOVQAICGFJKLVPUAUCUHURUJUUBUGUTVRZVSVTA
          YOYFYKYJAEFHJKLMODRUAUBUCUEUGUFUHUMUKUSAEDHMVGZHDMVGUUAUQAFDHJKMUAUCU
          EUGUKAEFJKMHUAUEUCUGUFUMVMZARDHFJKLVPUAUCUHUSUKUUFUGVAVNZVOVQARDHFJKL
          VPUAUCUHUSUKUUFUGVAVRVSVTYMYKYQYRYGYKYJWFZYMGYHYPYMGYHVDZGYHYMUUIWAYM
          GYHWBZVEZDGYHCFJWCVLZJKMOUAUBUCUEUULWDZAJVPVHZYFYKYJUUJUGWEZADFVHZYFY
          KYJUUJUKWEZAGFVHZYFYKYJUUJUUBWEZYMYHFVHUUJYMEFJKMYHUAUEUCAUUNYFYKYJUG
          VTZAEMWGVHZYFYKYJUFVTUUHVMWHZACFVHZYFYKYJUUJUJWEZUUKDHGYHFJKMOUAUBUCU
          EUUOUUQAHFVHZYFYKYJUUJUUFWEYMGUUEVHUUJYMGHUUEAYFYKYJWIZAHUUEVHYFYKYJA
          FDHJKMUAUCUEUGUKUUFUUGWJVTWKWHUVBUUKUUEEGYHMVGZUUAAUUEEUUAVCYFYKYJUUJ
          AEUUEFJKMOUAUBUCUEUGUFAEUUEJMUEUGUQWLUQWMWEUUKEFGYHJKMUAUCUEUUOUUSUVB
          YMUUJWAZUVHAUVAYFYKYJUUJUFWEAGEVHZYFYKYJUUJULWEYGYKYJUUJWIWOZVQWNUUKC
          GGYHFJKMOUAUBUCUEUUOUVDUUSAGYTVHYFYKYJUUJAFCGJKMUAUCUEUGUJUUBUUCWJWEU
          VBUUKYTEUVGUUAAYTEUUAVCYFYKYJUUJAEYTFJKMOUAUBUCUEUGUFAEYTJMUEUGUPWLUP
          WMWEUVJVQWNUUKCYHDFJKOUAUBUCUUOUVDUVBUUQYLYJUUJWFWPWQWRZYMCIRGFJKLUAU
          CUHAUVCYFYKYJUJVTZAIFVHZYFYKYJURVTARFVHZYFYKYJUSVTZUUTAUURYFYKYJUUBVT
          ZACIGLVLZVCYFYKYJUUDVTYMRGCFJKOUAUBUCUUTUVOUVPUVLYMDRCGFJKLUAUCUHAUUP
          YFYKYJUKVTZUVOUVLUUTUVPYMRDGFJKLVPUAUCUHUVOUVRUVPUUTYMRDUVQVCRDHLVLZV
          CZAUVTYFYKYJVAVTYMUVQUVSRDYMGHLUVFWSWTXAVRYMCGDFJKOUAUBUCUUTUVLUVPUVR
          YMGYHYIUVKYLYJWAWKWPXCWPXCXBYQBEXDXEXFAYEYSXGYFYKYJABIREFJKOQSTUAUBUC
          UDURUSXHVTXAAYJBEVJZYFACEVHVIDEVHVIVEZUWAACDQVCZUWBUWAVEUOABCDEFJKOQS
          TUAUBUCUDUJUKXHXIXJWHXKAGHWBZVEZHGVBVFZUULVLZVLZVDZYEVBFUWEUWFFVHZVEZ
          UWIVEZHDOVGZGCOVGZJXLVLZVCZYEUWNUWMUWOVCZUWLUWPVEZBCDEFGHIJKLMUWFOUWG
          QRSTUAUBUCUDUEAUVAUWDUWJUWIUWPUFWEAUUNUWDUWJUWIUWPUGWEUHUWGWDZAUVCUWD
          UWJUWIUWPUJWEAUUPUWDUWJUWIUWPUKWEAUVIUWDUWJUWIUWPULWEAHEVHZUWDUWJUWIU
          WPUMWEUWEUWJUWIUWPWIAUWCUWDUWJUWIUWPUOWEAEYTUUAVCZUWDUWJUWIUWPUPWEAEU
          UEUUAVCZUWDUWJUWIUWPUQWEUWEUWDUWJUWIUWPAUWDWAZVTUWLUWPWAAUVMUWDUWJUWI
          UWPURWEUWRHUWHUWKUWIUWPWFXMAUVNUWDUWJUWIUWPUSWEAICUVQVCZUWDUWJUWIUWPU
          TWEAUVTUWDUWJUWIUWPVAWEXNUWLUWQVEZBRIEFJKMOQSTUAUBUCUDUEAUVAUWDUWJUWI
          UWQUFWEZAUUNUWDUWJUWIUWQUGWEZAUVNUWDUWJUWIUWQUSWEZAUVMUWDUWJUWIUWQURW
          EZUXEBDCEFHGRJKLMUWFOUWGQISTUAUBUCUDUEUXFUXGUHUWSAUUPUWDUWJUWIUWQUKWE
          ZAUVCUWDUWJUWIUWQUJWEZAUWTUWDUWJUWIUWQUMWEAUVIUWDUWJUWIUWQULWEUWEUWJU
          WIUWQWIZUXEBCDEFJKMOQSTUAUBUCUDUEUXFUXGUXKUXJAUWCUWDUWJUWIUWQUOWEXOAU
          XBUWDUWJUWIUWQUQWEAUXAUWDUWJUWIUWQUPWEUWEHGWBUWJUWIUWQUWEGHUXCXPVTUWL
          UWQWAUXHUXEUWFGHFUULJKMUWGOUAUBUCUEUUMUXGUXLUWSAUURUWDUWJUWIUWQUUBWEU
          XEHUWHUWKUWIUWQWFXMXQUXIAUVTUWDUWJUWIUWQVAWEAUXDUWDUWJUWIUWQUTWEXNXOA
          UWPUWQXRUWDUWJUWIAHDGCFJKUWOOUAUBUCUWOWDUGUUFUKUUBUJXSVTXTUWEVBGHFUUL
          JKMOUAUBUCUEAUUNUWDUGWHUUMAUURUWDUUBWHAUVEUWDUUFWHAJYCYAVCUWDABCDEFJK
          MOQSTUAUBUCUDUEUFUGUJUKUOYBWHYDXKWR $.
      $}

      opphllem6.v $e |- ( ph -> ( N ` R ) = S ) $.
      $( First part of Lemma 9.4 of [Schwabhauser] p. 68.  (Contributed by
         Thierry Arnoux, 3-Mar-2020.) $)
      opphllem6 $p |- ( ph -> ( U ( K ` R ) A <-> ( N ` U ) ( K ` S ) C ) ) $=
        ( cfv wbr wb wceq wa cmir eqid cstrkg wcel adantr wne tglnpt co perpln2
        tglnne simpr eqtr4d mirinv mpbid neeqtrrd eqtrd cv ad3antrrr crn simplr
        ad4antr simpllr tglinerflx2 eqeltrd cperpg perpcom tglinethru tgbtwncom
        breqtrd perprag ragflat2 pm2.61dane wn islnopp simprd r19.29a mirbtwnhl
        wrex fveq2d breqd 3bitr3d ad2antrr opphllem3 oppcom necomd mircl mircom
        cleg mirmir breq1d bitr2d wo legtrid mpjaodan ) AICGLUSZUTZIPUSZDHLUSZU
        TZVAZGHAGHVBZVCZICNLUSZUTXTDYFUTXSYBYENFJVDUSZJKLMPOCDITUAUBUDYGVEZAJVF
        VGZYDUFVHUHUGANFVGZYDUMVHACFVGZYDUIVHADFVGZYDUJVHAIFVGZYDUQVHYECGNACGVI
        YDAFJKMCGTUBUDUFUIAEFJKMGTUDUBUFUEUKVJZAECGMVKZJMUDUFUOVLZVMZVHYEGPUSZG
        VBZNGVBZYEYRHGAYRHVBZYDURVHAYDVNZVOAYSYTVAYDANGFYGJKMPOTUAUBUDYHUFUMUHY
        NVPVHVQZVRYEDHNADHVIYDAFJKMDHTUBUDUFUJAEFJKMHTUDUBUFUEULVJZAEDHMVKZJMUD
        UFUPVLZVMZVHYENGHUUCUUBVSZVRYENGCDKVKZUUCYEBVTZUUIVGZGUUIVGBEYEUUJEVGZV
        CZUUKVCZGUUJUUIUUNGUUJVBZGUUJUUNUUOVNUUNGUUJVIZVCZDGUUJCFYGJKMOTUAUBUDY
        HAYIYDUULUUKUUPUFWDZAYLYDUULUUKUUPUJWDZAGFVGZYDUULUUKUUPYNWDZUUNUUJFVGU
        UPUUNEFJKMUUJTUDUBAYIYDUULUUKUFWAAEMWBVGZYDUULUUKUEWAYEUULUUKWCVJVHZAYK
        YDUULUUKUUPUIWDZUUQDHGUUJFJKMOTUAUBUDUURUUSAHFVGYDUULUUKUUPUUDWDUUNGUUE
        VGUUPUUNGHUUEAYDUULUUKWEAHUUEVGYDUULUUKAFDHJKMTUBUDUFUJUUDUUGWFWAWGVHUV
        CUUQUUEEGUUJMVKZJWHUSZAUUEEUVFUTYDUULUUKUUPAEUUEFJKMOTUAUBUDUFUEUUFUPWI
        WDUUQEFGUUJJKMTUBUDUURUVAUVCUUNUUPVNZUVGAUVBYDUULUUKUUPUEWDAGEVGZYDUULU
        UKUUPUKWDYEUULUUKUUPWEWJZWLWMUUQCGGUUJFJKMOTUAUBUDUURUVDUVAAGYOVGYDUULU
        UKUUPAFCGJKMTUBUDUFUIYNYQWFWDUVCUUQYOEUVEUVFAYOEUVFUTYDUULUUKUUPAEYOFJK
        MOTUAUBUDUFUEYPUOWIWDUVIWLWMUUQCUUJDFJKOTUAUBUURUVDUVCUUSUUMUUKUUPWCWKW
        NWOUUMUUKVNWGAUUKBEXAZYDACEVGWPDEVGWPVCZUVJACDQUTZUVKUVJVCUNABCDEFJKOQR
        STUAUBUCUIUJWQVQWRVHWSWGWTYEYFXRICYENGLUUCXBXCYEYFYAXTDYENHLUUHXBXCXDAG
        HVIZVCZHDOVKZGCOVKZJXKUSZUTZYCUVPUVOUVQUTZUVNUVRVCBCDEFGHIJKLMNOPQRSTUA
        UBUCUDAUVBUVMUVRUEXEAYIUVMUVRUFXEUGUHAYKUVMUVRUIXEAYLUVMUVRUJXEAUVHUVMU
        VRUKXEAHEVGZUVMUVRULXEAYJUVMUVRUMXEAUVLUVMUVRUNXEAEYOUVFUTZUVMUVRUOXEAE
        UUEUVFUTZUVMUVRUPXEAUVMUVRWCUVNUVRVNAYMUVMUVRUQXEAUUAUVMUVRURXEXFUVNUVS
        VCZYBXTPUSZCXRUTXSUWCBDCEFHGXTJKLMNOPQRSTUAUBUCUDAUVBUVMUVSUEXEZAYIUVMU
        VSUFXEZUGUHAYLUVMUVSUJXEZAYKUVMUVSUIXEZAUVTUVMUVSULXEAUVHUVMUVSUKXEAYJU
        VMUVSUMXEZUWCBCDEFJKMOQRSTUAUBUCUDUWEUWFUWHUWGAUVLUVMUVSUNXEXGAUWBUVMUV
        SUPXEAUWAUVMUVSUOXEUVNHGVIUVSUVNGHAUVMVNXHVHUVNUVSVNUWCNFYGJKMPOITUAUBU
        DYHUWFUWIUHAYMUVMUVSUQXEZXIUWCNGHFYGJKMPOTUAUBUDYHUWFUWIUHAUUTUVMUVSYNX
        EAUUAUVMUVSURXEXJXFUWCUWDICXRUWCNIFYGJKMPOTUAUBUDYHUWFUWIUHUWJXLXMXNAUV
        RUVSXOUVMAHDGCFJKUVQOTUAUBUVQVEUFUUDUJYNUIXPVHXQWO $.
    $}

    ${
      $d L p $.
      oppperpex.1 $e |- ( ph -> A e. D ) $.
      oppperpex.2 $e |- ( ph -> C e. P ) $.
      oppperpex.3 $e |- ( ph -> -. C e. D ) $.
      oppperpex.4 $e |- ( ph -> G TarskiGDim>= 2 ) $.
      $( Restating ~ colperpex using the "opposite side of a line" relation.
         (Contributed by Thierry Arnoux, 2-Aug-2020.) $)
      oppperpex $p |- ( ph -> E. p e. P ( ( A L p ) ( perpG ` G ) D
        /\ C O p ) ) $=
        ( vx cv wne co cperpg cfv wbr wa wrex wcel wceq simprrl cstrkg ad2antrr
        wo crn tglnpt simplr tglinethru adantr breqtrrd ad3antrrr simprl footne
        simpr wn neneqd orcomd ord mpd eleqtrrd simprrr ex reximdv2 impr anasss
        jca jca31 wb islnopp adantrr mpbird cstrkgld colperpex reximddv tglnpt2
        c2 r19.29a ) ACUHUIZUJZCMUIZJUKZEGULUMZUNZDWRLUNZUOZMFUPUHEAWPEUQZUOZWQ
        UOZWSCWPJUKZWTUNZBUIZXGUQZCWPURZVBZXIDWRHUKUQZUOZBFUPZUOZXCMFXFWRFUQZXP
        UOZUOZXAXBXSWSXGEWTXFXQXHXOUSXFEXGURZXRXFEFCWPGHJPRTAGUTUQZXDWQUBVAZXFE
        FGHJCPTRYBAEJVCUQZXDWQUAVAZACEUQZXDWQUDVAZVDZXFEFGHJWPPTRYBYDAXDWQVEZVD
        ZXEWQVLZYJYDYFYHVFZVGVHZXSXBDEUQVMZWREUQVMZUOXMBEUPZUOZXSYMYNYOAYMXDWQX
        RUFVIXSEFGHJKCWRPQRTXFYAXRYBVGXFYCXRYDVGXFYEXRYFVGXFXQXPVJYLVKXFXQXPYOX
        FXQUOZXHXOYOYQXHUOZXNXMBFEYRXIFUQZXNUOZXIEUQZXMUOYRYTUOZUUAXMUUBXIXGEUU
        BXKVMXJUUBCWPXFWQXQXHYTYJVIVNUUBXKXJUUBXJXKYRYSXLXMUSVOVPVQXFXTXQXHYTYK
        VIVRYRYSXLXMVSWDVTWAWBWCWEXFXQXPXBYPWFZYQXHUUCXOYRBDWREFGHKLNOPQRSXFDFU
        QZXQXHAUUDXDWQUEVAZVAXFXQXHVEWGWHWCWIWDXFBCWPDFGHJKMPQRTYBYGYIUUEYJAGWN
        WJUNXDWQUGVAWKWLAUHEFGHJCPRTUBUAUDWMWO $.
    $}

    ${
      $d .- x y z $.
      opphl.a $e |- ( ph -> A e. P ) $.
      opphl.b $e |- ( ph -> B e. P ) $.
      opphl.c $e |- ( ph -> C e. P ) $.
      opphl.1 $e |- ( ph -> A O C ) $.
      opphl.2 $e |- ( ph -> R e. D ) $.
      opphl.3 $e |- ( ph -> A ( K ` R ) B ) $.
      $( If two points ` A ` and ` C ` lie on opposite sides of a line ` D ` ,
         then any point of the half line ( ` R A ` ) also lies opposite to
         ` C ` .  Theorem 9.5 of [Schwabhauser] p. 69.  (Contributed by Thierry
         Arnoux, 3-Mar-2019.) $)
      opphl $p |- ( ph -> B O C ) $=
        ( vx vz vm vy cv co cperpg cfv wbr wcel wa cmir wceq crn ad8antr cstrkg
        eqid simp-4r mircl simplr simp-6r simp-8r simp-7r perpln1 tglnpt tglnne
        perpcom simp-5r simpllr eqcomd opphllem6 mpbid opphllem5 eqeltrd mirln2
        hlid mirmir wne hlne1 hlne2 wo ishlg simp3d opphllem2 simpr tglinerflx2
        hlln tglinethru breqtrd hlcomd wrex oppne1 adantr eleqtrrd mtand footex
        w3a ad6antr r19.29a ad4antr c2 cstrkgld opptgdim2 midex oppne2 ad2antrr
        ) ACUKUOZLUPZFIUQURZUSZDENUSZUKFAXQFUTZVAZXTVAZEULUOZLUPZFXSUSZYAULFYDY
        EFUTZVAZYGVAZYEXQUMUOZIVBURZURZURZVCZYAUMGYJYKGUTZVAZYOVAZDUNUOZLUPZFXS
        USZYAUNFYRYSFUTZVAZUUAVAZBDCYMURZFGYSYEDIJKLYKMYMNEOPQRSTUAAFLVDUTZYBXT
        YHYGYPYOUUBUUAUBVEZAIVFUTZYBXTYHYGYPYOUUBUUAUCVEZUDYMVGZADGUTZYBXTYHYGY
        PYOUUBUUAUFVEZUUDYKGYLIJLYMMCQRSUAYLVGZUUIYJYPYOUUBUUAVHZUUJACGUTYBXTYH
        YGYPYOUUBUUAUEVEZVIZYRUUBUUAVJZYDYHYGYPYOUUBUUAVKZUUNUUDBCDUUEFGHYMIJLY
        KMNOPQRSTUAUUGUUIUUJUUOUULUUPAHFUTZYBXTYHYGYPYOUUBUUAUIVEUUDBCEFGXQYECI
        JKLYKMYMNUUEOPQRSTUAUUGUUIUDUUJUUOAEGUTYBXTYHYGYPYOUUBUUAUGVEZAYBXTYHYG
        YPYOUUBUUAVLZUURUUNACENUSYBXTYHYGYPYOUUBUUAUHVEZUUDXRFGIJLMQRSUAUUIUUDX
        RFILUAUUIYCXTYHYGYPYOUUBUUAVMZVNZUUGUVCVQZUUDYFFGIJLMQRSUAUUIUUDYFFILUA
        UUIYIYGYPYOUUBUUAVRZVNZUUGUVFVQZUUOUUPUUDCCXQGIJKQSUDUUOUUOUUDFGIJLXQQU
        ASUUIUUGUVAVOZUUIUUDGIJLCXQQSUAUUIUUOUVIUVDVPWFZUUDCCXQKURUSUUEEYEKURUS
        UVJUUDBCEFGXQYECIJKLYKMYMNOPQRSTUAUUGUUIUDUUJUUOUUTUVAUURUUNUVBUVEUVHUU
        OUUDYEYNYQYOUUBUUAVSVTZWAWBZWCUUDYKXQFGYLIJLYMMQRSUAUUMUUIUUJUUGUUNUVAU
        UDYNYEFUVKUURWDWEUUDUUEYMURCUUDYKCGYLIJLYMMQRSUAUUMUUIUUNUUJUUOWGVTACHW
        HZYBXTYHYGYPYOUUBUUAACDHGIJKVFQSUDUEUFAFGIJLHQUASUCUBUIVOZUCUJWIVEADHWH
        ZYBXTYHYGYPYOUUBUUAACDHGIJKVFQSUDUEUFUVNUCUJWJZVEACHDJUPUTDHCJUPUTWKZYB
        XTYHYGYPYOUUBUUAAUVMUVOUVQACDHKURUSUVMUVOUVQXGUJACDHGIJKVFQSUDUEUFUVNUC
        WLWBWMVEWNUUDYTFGIJLMQRSUAUUIUUDYTFILUAUUIUUCUUAWOZVNZUUGUVRVQUUDFYFUUE
        YELUPXSUVHUUDYFGUUEYEIJLQSUAUUIUUPUUDFGIJLYEQUASUUIUUGUURVOZUUDUUEEYEGI
        JKVFQSUDUUPUUTUVTUUIUVLWIZUWAUVGUUDUUEEYEGIJKLQSUDUUPUUTUVTUUIUAUVLWQUU
        DGEYEIJLQSUAUUIUUTUVTUUDGIJLEYEQSUAUUIUUTUVTUVGVPWPWRWSUULUUTUUDDCYSGIJ
        KQSUDUULUUOUUDFGIJLYSQUASUUIUUGUUQVOZUUIUUDGIJLDYSQSUAUUIUULUWBUVSVPWFU
        UDUUEEYEGIJKVFQSUDUUPUUTUVTUUIUVLWTWCAUUAUNFXAYBXTYHYGYPYOAUNFDGIJLMQRS
        UAUCUBUFADFUTZCFUTABCEFGIJLMNOPQRSTUAUBUCUEUGUHXBZAUWCVAZCDHLUPZFACUWFU
        TUWCACDHGIJKLQSUDUEUFUVNUCUAUJWQXCUWEFGDHIJLQSUAAUUHUWCUCXCAUUKUWCUFXCA
        HGUTUWCUVNXCAUVOUWCUVPXCZUWGAUUFUWCUBXCAUWCWOAUUSUWCUIXCWRXDXEXFXHXIYJU
        MXQYEGYLIJLMQRSUAAUUHYBXTYHYGUCXJZUUMYJFGIJLXQQUASUWHAUUFYBXTYHYGUBXJZA
        YBXTYHYGVHVOYJFGIJLYEQUASUWHUWIYDYHYGVJVOAIXKXLUSYBXTYHYGABCEFGIJLMNOPQ
        RSTUAUBUCUEUGUHXMXJXNXIAYGULFXAYBXTAULFEGIJLMQRSUAUCUBUGABCEFGIJLMNOPQR
        STUAUBUCUEUGUHXOXFXPXIAUKFCGIJLMQRSUAUCUBUEUWDXFXI $.
    $}
  $}

  ${
    $d A t x $.  $d B t x $.  $d C t x $.  $d G t x $.  $d I a b t x $.
    $d L a b t x $.  $d P a b t x $.  $d Q a b t x $.  $d R a b t x $.
    $d ph t x $.
    outpasch.p $e |- P = ( Base ` G ) $.
    outpasch.i $e |- I = ( Itv ` G ) $.
    outpasch.l $e |- L = ( LineG ` G ) $.
    outpasch.g $e |- ( ph -> G e. TarskiG ) $.
    outpasch.a $e |- ( ph -> A e. P ) $.
    outpasch.b $e |- ( ph -> B e. P ) $.
    outpasch.c $e |- ( ph -> C e. P ) $.
    outpasch.r $e |- ( ph -> R e. P ) $.
    outpasch.q $e |- ( ph -> Q e. P ) $.
    outpasch.1 $e |- ( ph -> C e. ( A I R ) ) $.
    outpasch.2 $e |- ( ph -> Q e. ( B I C ) ) $.
    $( Axiom of Pasch, outer form.  This was proven by Gupta from other axioms
       and is therefore presented as Theorem 9.6 in [Schwabhauser] p. 70.
       (Contributed by Thierry Arnoux, 16-Aug-2020.) $)
    outpasch $p |- ( ph -> E. x e. P ( x e. ( A I B ) /\ Q e. ( R I x ) ) ) $=
      ( va vb vt co wcel wceq wo cv wa wrex adantr eleq1d oveq2d eleq2d anbi12d
      cds cfv eqid tgbtwntriv1 cstrkg tgbtwncom tgbtwnexch jca rspcedvd adantlr
      simpr wn ad2antrr wb eleq1 oveq2 adantl tgbtwntriv2 ad3antrrr tgbtwnexch3
      ad4antr eqeltrd simpllr pm2.65da neqned tgbtwnouttr tgcolg biimpa 3orcoma
      3orass bitr3i sylib orcanai mpjaodan pm2.61dan simplr ncolne1 tglinerflx2
      w3o wne ncolcom ncolrot1 btwnlng3 tglineinteq eqeltrrd copab wbr cbvrexvw
      anbi2i opabbii tgelrnln ncolrot2 pm2.45 syl islnoppd tglinerflx1 tgbtwnne
      cdif chlg btwnhl1 opphl islnopp mpbid simprd tglnpt ad5antr necomd simprl
      crn lncom coltr3 btwnlng2 simprr axtgpasch r19.29a jca32 expl reximdv2
      mpd ) AHGEKUFZUGGEUHZUIZBUJZCDJUFZUGZGHYTJUFZUGZUKZBFULZAYSUKZGHEJUFZUGZU
      UFAUUIUUFYSAUUIUKZUUECUUAUGZGHCJUFZUGZUKBCFACFUGZUUIPUMZUUJYTCUHZUKZUUBUU
      KUUDUUMUUQYTCUUAUUJUUPVHZUNUUQUUCUULGUUQYTCHJUURUOUPUQUUJUUKUUMAUUKUUIACD
      FIJIURUSZLUUSUTZMOPQVAUMUUJHGECFIJUUSLUUTMAIVBUGZUUIOUMAHFUGZUUISUMAGFUGZ
      UUITUMAEFUGZUUIRUMUUOAUUIVHAEUULUGZUUIACEHFIJUUSLUUTMOPRSUAVCZUMVDVEVFVGU
      UGUUIVIZUKZUUEDUUAUGZGHDJUFZUGZUKZBDFADFUGZYSUVGQVJYTDUHZUUEUVLVKZUVHUVNU
      UBUVIUUDUVKYTDUUAVLUVNUUCUVJGYTDHJVMUPUQZVNUVHUVIUVKAUVIYSUVGACDFIJUUSLUU
      TMOPQVOZVJUVHHGEJUFUGZUVKEGHJUFUGZUVHUVRUKZEHGDFIJUUSLUUTMAUVAYSUVGUVROVP
      ZAUVDYSUVGUVRRVPZAUVBYSUVGUVRSVPZAUVCYSUVGUVRTVPZAUVMYSUVGUVRQVPUVTGHEFIJ
      UUSLUUTMUWAUWDUWCUWBUVHUVRVHVCAGEDJUFZUGZYSUVGUVRADGEFIJUUSLUUTMOQTRUBVCZ
      VPVQUVHUVSUKZDGHFIJUUSLUUTMAUVAYSUVGUVSOVPZAUVMYSUVGUVSQVPZAUVCYSUVGUVSTV
      PZAUVBYSUVGUVSSVPZUWHDGEHFIJUUSLUUTMUWIUWJUWKAUVDYSUVGUVSRVPUWLUWHGEUWHYR
      UUIUWHYRUKGEUUHUWHYRVHAEUUHUGYSUVGUVSYRAHEFIJUUSLUUTMOSRVOVRVSUUGUVGUVSYR
      VTWAWBAGDEJUFUGZYSUVGUVSUBVPUVHUVSVHWCVCUUGUUIUVRUVSUIZUUGUVRUUIUVSWPZUUI
      UWNUIZAYSUWOAFIJKGEHLNMOTRSWDWEUWOUUIUVRUVSWPUWPUUIUVRUVSWFUUIUVRUVSWGWHW
      IWJWKVEVFWLAYSVIZUKZDHGKUFZUGZUUFUWRUWTUKZUUEUVLBDFAUVMUWQUWTQVJZUVNUVOUX
      AUVPVNUXAUVIUVKAUVIUWQUWTUVQVJUXADGUVJUXAHGEGFIJKDGLMNAUVAUWQUWTOVJZAUVBU
      WQUWTSVJAUVCUWQUWTTVJZAUVDUWQUWTRVJZUXDAUWQUWTWMUWRUWTVHUWRGUWSUGZUWTUWRF
      HGIJKLMNAUVAUWQOUMZAUVBUWQSUMZAUVCUWQTUMZUWRFIJKHGELMNUXGUXHUXIAUVDUWQRUM
      ZAUWQVHZWNZWOZUMUXAFIJKEGDLMNUXCUXEUXDUXBUWREGWQZUWTUWRFIJKEGHLMNUXGUXJUX
      IUXHUWRFIJKEGHLNMUXGUXJUXIUXHUWRFIJKGEHLNMUXGUXIUXJUXHUXKWRWSWNZUMZAUWFUW
      QUWTUWGVJWTUXAFEGIJKLMNUXCUXEUXDUXPWOXAADUVJUGUWQUWTAHDFIJUUSLUUTMOSQVOVJ
      XBVEVFUWRUWTVIZUKZUUBBUWSULZUUFUXRCUWSUGVIUXQUKZUXSUXRCDUCUJZFUWSXOZUGUDU
      JZUYBUGUKZUEUJZUYAUYCJUFZUGZUEUWSULZUKZUCUDXCZXDUXTUXSUKUXRBECDUWSFHIJIXP
      USZKUUSUYJUCUDLUUTMUYIUYDYTUYFUGZBUWSULZUKUCUDUYHUYMUYDUYGUYLUEBUWSUYEYTU
      YFVLXEXFXGZNUXRFIJKHGLMNAUVAUWQUXQOVJZAUVBUWQUXQSVJZAUVCUWQUXQTVJUWRHGWQZ
      UXQUXLUMZXHZUYOUYKUTZAUVDUWQUXQRVJZAUUNUWQUXQPVJZAUVMUWQUXQQVJZUXRBEDGUWS
      FIJUUSUYJUCUDLUUTMUYNVUAVUCUWRUXFUXQUXMUMUWREUWSUGZVIZUXQUWRVUDHGUHZUIVIV
      UEUWRFIJKGEHLNMUXGUXIUXJUXHUXKXIZVUDVUFXJXKUMUWRUXQVHAUWFUWQUXQUWGVJXLUWR
      HUWSUGUXQUWRFHGIJKLMNUXGUXHUXIUXLXMUMUXRHCECFIJUYKLMUYTUYPVUBVUAUYOVUBAUV
      EUWQUXQUVFVJZUXRHECFIJUUSLUUTMUYOUYPVUAVUBVUHUWREHWQUXQUWRFIJKEHGLMNUXGUX
      JUXHUXIVUGWNUMZXNVUIXQXRUXRBCDUWSFIJUUSUYJUCUDLUUTMUYNVUBVUCXSXTYAUXRUUBU
      UEBUWSFUXRYTUWSUGZUUBYTFUGZUUEUKUXRVUJUKZUUBUKZVUKUUBUUDVUMUWSFIJKYTLNMUX
      RUVAVUJUUBUYOVJZUXRUWSKYFUGVUJUUBUYSVJUXRVUJUUBWMZYBZVULUUBVHZVUMUYEYTHJU
      FUGZUYEUWEUGZUKZUUDUEFVUMUYEFUGZUKZVUTUKZUYEGUUCVVCHGEGFIJKUYEGLMNVUMUVAV
      VAVUTVUNVJZVUMUVBVVAVUTUWRUVBUXQVUJUUBUXHVPZVJZUWRUVCUXQVUJUUBVVAVUTUXIYC
      ZVUMUVDVVAVUTUXRUVDVUJUUBVUAVJZVJZVVGUWRUWQUXQVUJUUBVVAVUTUXKYCVVCFIJKHGU
      YELMNVVDVVFVVGVUMVVAVUTWMZUXRUYQVUJUUBVVAVUTUYRVRVVCYTGHUYEFIJKLMNVVDVUMV
      UKVVAVUTVUPVJZVVGVVFVVJVVCFIJKGHYTLMNVVDVVGVVFVVKUWRGHWQUXQVUJUUBVVAVUTUW
      RHGUXLYDYCVUMVUJVVAVUTVUOVJYGVVBVURVUSYEZYHYGUWRUXFUXQVUJUUBVVAVUTUXMYCVV
      CFIJKEGUYELMNVVDVVIVVGVVJUWRUXNUXQVUJUUBVVAVUTUXOYCVVCDGEUYEFIJKLMNVVDVUM
      UVMVVAVUTUXRUVMVUJUUBVUCVJZVJZVVGVVIVVJUWRDYQUGUXQVUJUUBVVAVUTUWRFIJKGEDL
      MNUXGUXIUXJAUVMUWQQUMUWREGUXOYDAUWMUWQUBUMYIYCVVCEUYEDFIJUUSLUUTMVVDVVIVV
      JVVNVVBVURVUSYJVCYHYGUWRGEGKUFUGUXQVUJUUBVVAVUTUWRFEGIJKLMNUXGUXJUXIUXOWO
      YCXAVVCYTUYEHFIJUUSLUUTMVVDVVKVVJVVFVVLVCXBVUMFYTIJUUSEDHCUELUUTMVUNVVMVV
      EUXRUUNVUJUUBVUBVJZVUPVVHVUMCYTDFIJUUSLUUTMVUNVVOVUPVVMVUQVCAUVEUWQUXQVUJ
      UUBUVFVRYKYLYMYNYOYPWLWL $.
  $}

  ${
    $d A e $.  $d B e $.  $d C e $.  $d D e $.  $d G e $.  $d I e $.  $d K e $.
    $d P e $.  $d X e $.  $d e ph $.
    hlpasch.p $e |- P = ( Base ` G ) $.
    hlpasch.i $e |- I = ( Itv ` G ) $.
    hlpasch.k $e |- K = ( hlG ` G ) $.
    hlpasch.g $e |- ( ph -> G e. TarskiG ) $.
    hlpasch.1 $e |- ( ph -> A e. P ) $.
    hlpasch.2 $e |- ( ph -> B e. P ) $.
    hlpasch.3 $e |- ( ph -> C e. P ) $.
    hlpasch.4 $e |- ( ph -> X e. P ) $.
    hlpasch.5 $e |- ( ph -> D e. P ) $.
    hlpasch.6 $e |- ( ph -> A =/= B ) $.
    hlpasch.7 $e |- ( ph -> C ( K ` B ) D ) $.
    hlpasch.8 $e |- ( ph -> A e. ( X I C ) ) $.
    $( An application of the axiom of Pasch for half-lines.  (Contributed by
       Thierry Arnoux, 15-Sep-2020.) $)
    hlpasch $p |- ( ph -> E. e e. P ( A ( K ` B ) e /\ e e. ( X I D ) ) ) $=
      ( co wcel cv cfv wa wrex clng eqid cstrkg adantr simpr tgbtwncom outpasch
      wbr cds simplr ad2antrr simprr wceq simplrr oveq2d eleqtrd axtgbtwnid wne
      eqcomd ad3antrrr neneqd pm2.65da neqned btwnhl2 simprl ex reximdva breq2d
      jca eleq1d anbi12d hlcomd oveq1d wo ishlg mpbid simp1d hlbtwn tgbtwntriv2
      mpd rspcedvd ad4ant14 tgbtwntriv1 ad4antr tgbtwnexch3 simp-4r tgbtwnconn3
      w3a wb hlne2 mpbir3and eleqtrrd olcd necomd lncom hlln orcd coltr colrot1
      wn orcomd ord btwncolg3 pm2.61dane colrot2 colcom lnhl mpjaodan axtgpasch
      ad5antr ioran sylanbrc ncolrot2 btwnlng1 eqeltrrd tglinerflx1 tglinerflx2
      ncolne1 tglineinteq btwnhl1 adantrl pm2.61dan simp3d ) ADCEIUDZUEZBGUFZCJ
      UGZUQZYOKEIUDZUEZUHZGFUIZECDIUDZUEZAYNUHZYOEKIUDUEZBCYOIUDZUEZUHZGFUIUUAU
      UDGEKDFBCHIHUJUGZLMUUIUKZAHULUEZYNOUMZAEFUEZYNTUMZAKFUEZYNSUMZADFUEZYNRUM
      ZACFUEZYNQUMZABFUEZYNPUMZUUDCDEFHIHURUGZLUVCUKZMUULUUTUURUUNAYNUNUOABKDIU
      DZUEZYNUCUMUPUUDUUHYTGFUUDYOFUEZUHZUUHYTUVHUUHUHZYQYSUVIYOCBBFHIJLMNUUDUV
      GUUHUSZUUDUUSUVGUUHUUTUTZUUDUVAUVGUUHUVBUTZUUDUUKUVGUUHUULUTZUVLUVICBYOFH
      IUVCLUVDMUVMUVKUVLUVJUVHUUEUUGVAUOUVIYOCUVIYOCVBZBCVBUVIUVNUHZCBUVOFHIUVC
      CBLUVDMUVIUUKUVNUVMUMUVIUUSUVNUVKUMUVIUVAUVNUVLUMUVOBUUFCCIUDUVHUUEUUGUVN
      VCUVOYOCCIUVIUVNUNVDVEVFVHUVOBCUVIBCVGZUVNAUVPYNUVGUUHUAVIZUMVJVKVLUVQVMU
      VIEYOKFHIUVCLUVDMUVMUUDUUMUVGUUHUUNUTUVJUUDUUOUVGUUHUUPUTUVHUUEUUGVNUOVRV
      OVPWIAUUCUHZKCEUUIUDUEZUUAUVRUVSUHZUUAKCUVTKCVBZUHZYTBEYPUQZEYRUEZUHZGEFU
      VTUUMUWAAUUMUUCUVSTUTZUMZUWBYOEVBZUHZYQUWCYSUWDUWIYOEBYPUWBUWHUNZVQUWIYOE
      YRUWJVSVTUWBUWCUWDUWBEBCFHIJULLMNUWGUVTUVAUWAAUVAUUCUVSPUTZUMZUVTUUSUWAAU
      USUUCUVSQUTZUMZUVTUUKUWAAUUKUUCUVSOUTZUMZUWBEDYPUQZEBYPUQAUWQUUCUVSUWAADE
      CFHIJULLMNRTQOUBWAZVIUWBEDCBFHIJLMNUWGUVRUUQUVSUWAAUUQUUCRUMZUTUWNUWPUWLU
      WBBUVEUUBUVRUVFUVSUWAAUVFUUCUCUMZUTUWBKCDIUVTUWAUNWBVEADCVGZUUCUVSUWAAUXA
      ECVGZYNUUCWCZADEYPUQUXAUXBUXCWQUBADECFHIJULLMNRTQOWDWEZWFZVIUVTUVPUWAAUVP
      UUCUVSUAUTZUMWGWEWAUWBKEFHIUVCLUVDMUWPUVTUUOUWAAUUOUUCUVSSUTZUMUWGWHVRWJU
      VTKCVGZUHZBKYPUQZUUACKBIUDUEZUXIUXJUHZYTUXJKYRUEZUHZGKFUVTUUOUXHUXJUXGUTU
      VTYOKVBZYTUXNWRUXHUXJUVTUXOUHZYQUXJYSUXMUXPYOKBYPUVTUXOUNZVQUXPYOKYRUXQVS
      VTWKUXLUXJUXMUXIUXJUNUVTUXMUXHUXJUVTKEFHIUVCLUVDMUWOUXGUWFWLUTVRWJUXIUXKU
      HZYTUWEGEFUVTUUMUXHUXKUWFUTZUXRUWHUHZYQUWCYSUWDUXTYOEBYPUXRUWHUNZVQUXTYOE
      YRUYAVSVTUXRUWCUWDUXRUWCUVPUXBBYMUEECBIUDUEWCZUVTUVPUXHUXKUXFUTAUXBUUCUVS
      UXHUXKADECFHIJULLMNRTQOUBWSZWMUXRCBEDFHILMUVTUUKUXHUXKUWOUTZUVTUUSUXHUXKU
      WMUTZUVTUVAUXHUXKUWKUTZUXSUXIUUQUXKUVRUUQUVSUXHUWSUTZUMZUXRKCBDFHIUVCLUVD
      MUYDUVTUUOUXHUXKUXGUTZUYEUYFUYHUXIUXKUNUXIUVFUXKUVRUVFUVSUXHUWTUTZUMWNAUU
      CUVSUXHUXKWOWPAUWCUVPUXBUYBWQWRUUCUVSUXHUXKABECFHIJULLMNPTQOWDWMWTUXRKEFH
      IUVCLUVDMUYDUYIUXSWHVRWJUXIKCBBFHIJUUILMNAUUOUUCUVSUXHSVIZAUUSUUCUVSUXHQV
      IZAUVAUUCUVSUXHPVIZAUUKUUCUVSUXHOVIUYMUUJUXIUWAXIBKCUUIUDUEZUXIKCUVTUXHUN
      VJUXIUWAUYNUXIUYNUWAUXIFHIUUICKBLUUJMUVTUUKUXHUWOUMZUYLUYKUYMUXIFHIUUIKBC
      LUUJMUYOUYKUYMUYLUXICKBUUIUDZUEZKBVBZWCKDUXIKDVBZUHZUYRUYQUYTFHIUVCKBLUVD
      MUXIUUKUYSUYOUMUXIUUOUYSUYKUMUXIUVAUYSUYMUMUYTBUVEKKIUDUXIUVFUYSUYJUMUYTK
      DKIUXIUYSUNVDXAVFXBUXIKDVGZUHZCDKBFHIUUILMUUJUXIUUKVUAUYOUMUXIUUSVUAUYLUM
      UXIUUQVUAUYGUMUXIUUOVUAUYKUMUXIUVAVUAUYMUMVUBDKVBZXICDKUUIUDUEZVUBDKVUBKD
      UXIVUAUNXCVJVUBVUCVUDUXIVUCVUDWCVUAUXIVUDVUCUXIFHIUUICDKLUUJMUYOUYLUYGUYK
      UXIKECDFHIUUILMUUJUYOUYKUVTUUMUXHUWFUMZUYLUYGUXIFHIUUIECKLMUUJUYOVUEUYLUY
      KAUXBUUCUVSUXHUYCVIUVRUVSUXHUSXDUXIECDUUIUDUECDVBUXIFHIUUICDELMUUJUYOUYLU
      YGVUEACDVGUUCUVSUXHADCUXEXCVIUXIEDCFHIJUUILMNVUEUYGUYLUYOUUJAUWQUUCUVSUXH
      UWRVIXEXDXFXGXHXJUMXKWIUXIDUYPUEUYRWCVUAUXIFHIUUIKBDLUUJMUYOUYKUYMUYGUYJX
      LUMXGXMXNXOXJXKWIXPXQXMUVRUVSXIZUHZYOBCIUDUEZUUEUHZGFUIZUUAUVRVUJVUFUVRFB
      HIUVCEKCDGLUVDMAUUKUUCOUMZAUUOUUCSUMZAUUSUUCQUMZUWSAUVAUUCPUMZAUUMUUCTUMZ
      UWTAUUCUNXRUMVUGVUIYTGFVUGUVGUHZVUIYTVUPVUIUHZYQYSVUQYOBCFHIJULLMNVUGUVGV
      UIUSZUVRUVAVUFUVGVUIVUNVIZUVRUUSVUFUVGVUIVUMVIZUVRUUKVUFUVGVUIVUKVIZVUQCB
      YOBFHIJLMNVUTVUSVURVVAVUSVUQBYOCFHIUVCLUVDMVVAVUSVURVUTVUPVUHUUEVNUOACBVG
      UUCVUFUVGVUIABCUAXCWMVUQYOCVUQUVNCEVBZVUQUVNUHZEKCEFHIUUICELMUUJVUQUUKUVN
      VVAUMZAUUMUUCVUFUVGVUIUVNTXSZAUUOUUCVUFUVGVUIUVNSXSZVUQUUSUVNVUTUMZVVEVVC
      FHIUUICEKLUUJMVVDVVGVVEVVFVVCVUFVVBXIUVSVVBWCXIUVRVUFUVGVUIUVNWOVVCCEACEV
      GUUCVUFUVGVUIUVNAECUYCXCXSVJZUVSVVBXTYAYBZVVCYOCEKUUIUDVUQUVNUNVVCFHIUUIE
      KYOLMUUJVVDVVEVVFVUQUVGUVNVURUMVVCFHIUUIEKCLMUUJVVDVVEVVFVVGVVIYGZVUPVUHU
      UEUVNVCYCYDVVCFEKHIUUILMUUJVVDVVEVVFVVJYEVVCFCEHIUUILMUUJVVDVVGVVEVVCECAU
      XBUUCVUFUVGVUIUVNUYCXSXCZYEVVCFCEHIUUILMUUJVVDVVGVVEVVKYFYHVVHVKVLYIWAVUP
      UUEYSVUHVUPUUEUHEYOKFHIUVCLUVDMUVRUUKVUFUVGUUEVUKVIUVRUUMVUFUVGUUEVUOVIVU
      GUVGUUEUSUVRUUOVUFUVGUUEVULVIVUPUUEUNUOYJVRVOVPWIYKAUXAUXBUXCUXDYLXQ $.
  $}

  $c hpG $.

  $( "Belong to the same open half-plane" relation for points in a geometry. $)
  chpg $a class hpG $.

  ${
    $d a b c d g i p t $.
    $( Define the open half plane relation for a geometry ` G ` .  Definition
       9.7 of [Schwabhauser] p. 71.  See ~ hpgbr to find the same formulation.
       (Contributed by Thierry Arnoux, 4-Mar-2020.) $)
    df-hpg $a |- hpG = ( g e. _V |-> ( d e. ran ( LineG ` g ) |->
      { <. a , b >. | [. ( Base ` g ) / p ]. [. ( Itv ` g ) / i ]. E. c e. p (
        ( ( a e. ( p \ d ) /\ c e. ( p \ d ) ) /\ E. t e. d t e. ( a i c ) )
     /\ ( ( b e. ( p \ d ) /\ c e. ( p \ d ) ) /\ E. t e. d t e. ( b i c ) ) )
      } ) ) $.
  $}

  ${
    ishpg.p $e |- P = ( Base ` G ) $.
    ishpg.i $e |- I = ( Itv ` G ) $.
    ishpg.l $e |- L = ( LineG ` G ) $.
    ishpg.o $e |- O = { <. a , b >. | ( ( a e. ( P \ D ) /\ b e. ( P \ D ) )
      /\ E. t e. D t e. ( a I b ) ) } $.
    ishpg.g $e |- ( ph -> G e. TarskiG ) $.
    ishpg.d $e |- ( ph -> D e. ran L ) $.
    ${
      $d D a b c d t $.  $d D a b c e f t $.  $d G a b d g i p $.  $d d ph $.
      $d I a b c d e f g i p t $.  $d L d g $.  $d P a b c d e f g i p t $.
      $( Value of the half-plane relation for a given line ` D ` .
         (Contributed by Thierry Arnoux, 4-Mar-2020.) $)
      ishpg $p |- ( ph -> ( ( hpG ` G ) ` D ) =
        { <. a , b >. | E. c e. P ( a O c /\ b O c ) } ) $=
        ( wcel wa anbi12d vd vg vp vi ve vf chpg cfv cv cdif wrex copab wbr crn
        cvv cstrkg cmpt wceq elex clng citv wsbc cbs fveq2 eqtr4di rneqd eqcomd
        co simpl difeq1d eleq2d simpr oveqd rexbidv rexeqbidv sbcie2s mpteq12dv
        opabbidv df-hpg fvexi rnex mptex fvmpt 3syl difeq2 rexeq cxp df-xp xpex
        adantl eqeltrri eldifi anim12i ad2ant2r rexlimivw ssopab2i ssexi fvmptd
        a1i vex weq eleq1w anbi1d oveq1 anbi2d oveq2 eleq1d cbvopabv eqtri brab
        oveq12 anbi12i rexbii opabbii ) ACEUGUHZUHIUIZDCUJZRZKUIZXQRZSZBUIZXPXS
        FVHZRZBCUKZSZJUIZXQRZXTSZYBYGXSFVHZRZBCUKZSZSZKDUKZIJULZXPXSHUMZYGXSHUM
        ZSZKDUKZIJULAUACXPDUAUIZUJZRZXSUUBRZSZYDBUUAUKZSZYGUUBRZUUDSZYKBUUAUKZS
        ZSZKDUKZIJULZYPGUNZXOUOAEUPREUORXOUAUUOUUNUQZURPEUPUSUBEUAUBUIZUTUHZUNZ
        XPUCUIZUUAUJZRZXSUVARZSZYBXPXSUDUIZVHZRZBUUAUKZSZYGUVARZUVCSZYBYGXSUVEV
        HZRZBUUAUKZSZSZKUUTUKZUDUUQVAUHVBUCUUQVCUHVBZIJULZUQUUPUOUGUUQEURZUAUUS
        UVSUUOUUNUVTUURGUVTUUREUTUHGUUQEUTVDNVEVFUVTUVRUUMIJUUMUVQUBDFVCVAEUCUD
        LMUUTDURZUVEFURZSZUULUVPKDUUTUWCUUTDUWAUWBVIVGZUWCUUGUVIUUKUVOUWCUUEUVD
        UUFUVHUWCUUCUVBUUDUVCUWCUUBUVAXPUWCDUUTUUAUWDVJZVKUWCUUBUVAXSUWEVKZTUWC
        YDUVGBUUAUWCYCUVFYBUWCFUVEXPXSUWCUVEFUWAUWBVLVGZVMVKVNTUWCUUIUVKUUJUVNU
        WCUUHUVJUUDUVCUWCUUBUVAYGUWEVKUWFTUWCYKUVMBUUAUWCYJUVLYBUWCFUVEYGXSUWGV
        MVKVNTTVOVPVRVQBUBUDUCIJKUAVSUAUUOUUNGGEUTNVTWAWBWCWDUUACURZUUNYPURAUWH
        UUMYOIJUWHUULYNKDUWHUUGYFUUKYMUWHUUEYAUUFYEUWHUUCXRUUDXTUWHUUBXQXPUUACD
        WEZVKUWHUUBXQXSUWIVKZTYDBUUACWFTUWHUUIYIUUJYLUWHUUHYHUUDXTUWHUUBXQYGUWI
        VKUWJTYKBUUACWFTTVNVRWJQYPUORAYPXPDRZYGDRZSZIJULZDDWGUWNUOIJDDWHDDDEVCL
        VTZUWOWIWKYOUWMIJYNUWMKDYAYIUWMYEYLXRYHUWMXTXTXRUWKYHUWLXPDCWLYGDCWLWMW
        NWNWOWPWQWSWRYTYOIJYSYNKDYQYFYRYMUEUIZXQRZUFUIZXQRZSZYBUWPUWRFVHZRZBCUK
        ZSZXRUWSSZYBXPUWRFVHZRZBCUKZSYFUEUFXPXSHIWTKWTZUEIXAZUWTUXEUXCUXHUXJUWQ
        XRUWSUEIXQXBXCUXJUXBUXGBCUXJUXAUXFYBUWPXPUWRFXDVKVNTUFKXAZUXEYAUXHYEUXK
        UWSXTXRUFKXQXBZXEUXKUXGYDBCUXKUXFYCYBUWRXSXPFXFVKVNTHXRYHSZYBXPYGFVHZRZ
        BCUKZSZIJULUXDUEUFULOUXQUXDIJUEUFIUEXAZJUFXAZSZUXMUWTUXPUXCUXTXRUWQYHUW
        SUXTXPUWPXQUXRUXSVIXGUXTYGUWRXQUXRUXSVLXGTUXTUXOUXBBCUXTUXNUXAYBXPUWPYG
        UWRFXKVKVNTXHXIZXJUXDYHUWSSZYBYGUWRFVHZRZBCUKZSYMUEUFYGXSHJWTUXIUEJXAZU
        WTUYBUXCUYEUYFUWQYHUWSUEJXQXBXCUYFUXBUYDBCUYFUXAUYCYBUWPYGUWRFXDVKVNTUX
        KUYBYIUYEYLUXKUWSXTYHUXLXEUXKUYDYKBCUXKUYCYJYBUWRXSYGFXFVKVNTUYAXJXLXMX
        NVE $.
    $}

    hpgbr.a $e |- ( ph -> A e. P ) $.
    hpgbr.b $e |- ( ph -> B e. P ) $.
    ${
      $d A c u v $.  $d B c u v $.  $d D a b c t $.  $d G a b $.
      $d I a b c t $.  $d O a b u v $.  $d P a b c t u v $.
      $( Half-planes : property for points ` A ` and ` B ` to belong to the
         same open half plane delimited by line ` D ` .  Definition 9.7 of
         [Schwabhauser] p. 71.  (Contributed by Thierry Arnoux, 4-Mar-2020.) $)
      hpgbr $p |- ( ph -> ( A ( ( hpG ` G ) ` D ) B
        <-> E. c e. P ( A O c /\ B O c ) ) ) $=
        ( vu vv chpg cfv cv wa wrex copab ishpg wceq simpl breq1d simpr anbi12d
        wbr rexbidv cbvopabv eqtrdi breqd wcel wb eqid brabga syl2anc bitrd ) A
        CDEGUDUEUEZUPCDUBUFZMUFZJUPZUCUFZVIJUPZUGZMFUHZUBUCUIZUPZCVIJUPZDVIJUPZ
        UGZMFUHZAVGVOCDAVGKUFZVIJUPZLUFZVIJUPZUGZMFUHZKLUIVOABEFGHIJKLMNOPQRSUJ
        WFVNKLUBUCWAVHUKZWCVKUKZUGZWEVMMFWIWBVJWDVLWIWAVHVIJWGWHULUMWIWCVKVIJWG
        WHUNUMUOUQURUSUTACFVADFVAVPVTVBTUAVNVTUBUCCDVOFFVHCUKZVKDUKZUGZVMVSMFWL
        VJVQVLVRWLVHCVIJWJWKULUMWLVKDVIJWJWKUNUMUOUQVOVCVDVEVF $.
    $}

    ${
      $d A c t $.  $d B c t $.  $d D a b c t $.  $d G a b t $.  $d I a b c t $.
      $d L t $.  $d O a b t $.  $d P a b c t $.  $d ph c t $.
      hpgne1.1 $e |- ( ph -> A ( ( hpG ` G ) ` D ) B ) $.
      $( Points on the open half plane cannot lie on its border.  (Contributed
         by Thierry Arnoux, 4-Mar-2020.) $)
      hpgne1 $p |- ( ph -> -. A e. D ) $=
        ( vc cv wbr wa wcel wn cds cfv crn ad2antrr cstrkg simplr simprl oppne1
        eqid chpg wrex hpgbr mpbid r19.29a ) ACUBUCZJUDZDVBJUDZUEZCEUFUGUBFAVBF
        UFZUEZVEUEBCVBEFGHIGUHUIZJKLMVHUPNPOAEIUJUFVFVERUKAGULUFVFVEQUKACFUFVFV
        ESUKAVFVEUMVGVCVDUNUOACDEGUQUIUIUDVEUBFURUAABCDEFGHIJKLUBMNOPQRSTUSUTVA
        $.

      $( Points on the open half plane cannot lie on its border.  (Contributed
         by Thierry Arnoux, 4-Mar-2020.) $)
      hpgne2 $p |- ( ph -> -. B e. D ) $=
        ( vc cv wbr wa wcel wn cds cfv crn ad2antrr cstrkg simplr simprr oppne1
        eqid chpg wrex hpgbr mpbid r19.29a ) ACUBUCZJUDZDVBJUDZUEZDEUFUGUBFAVBF
        UFZUEZVEUEBDVBEFGHIGUHUIZJKLMVHUPNPOAEIUJUFVFVERUKAGULUFVFVEQUKADFUFVFV
        ETUKAVFVEUMVGVCVDUNUOACDEGUQUIUIUDVEUBFURUAABCDEFGHIJKLUBMNOPQRSTUSUTVA
        $.
    $}

    ${
      $d A d t x y z $.  $d B d t x y z $.  $d C a b d t x y z $.
      $d D a b d t x y z $.  $d G a b d t x y z $.  $d I a b d t x y z $.
      $d L a b d t $.  $d O a b d t x y z $.  $d P a b d t x y z $.
      $d ph d t x y z $.
      lnopp2hpgb.c $e |- ( ph -> C e. P ) $.
      lnopp2hpgb.1 $e |- ( ph -> A O C ) $.
      $( Theorem 9.8 of [Schwabhauser] p. 71.  (Contributed by Thierry Arnoux,
         4-Mar-2020.) $)
      lnopp2hpgb $p |- ( ph -> ( B O C <-> A ( ( hpG ` G ) ` D ) B ) ) $=
        ( vd vx vy vz wbr chpg cfv wa wrex wcel adantr simpr wceq breq2 anbi12d
        cv rspcev syl12anc wb hpgbr mpbird co chlg cds ad7antr ad3antrrr cstrkg
        eqid crn ad4antr ad10antr wne wo simplr tglnpt wn simp-5r oppne1 nelne2
        syl2anc tgelrnln tglinerflx2 nelne1 necomd simpllr btwnlng1 tglinerflx1
        simplrr tglineineq eqnetrd simp-4r simp-7r simprr simplrl simprl oppne2
        elind tgbtwncom eqeltrd tgbtwnconn2 ishlg opphl tgbtwnne btwnhl1 hlcomd
        mpbir3and pm2.61dan axtgpasch r19.29a islnopp mpbid simprd eleq1w sylib
        cbvrexvw ad2antrr biimpa impbida ) ADEKUHZCDFHUIUJUJUHZAYBUKZYCCUDUSZKU
        HZDYEKUHZUKZUDGULZYDEGUMZCEKUHZYBYIAYJYBUBUNAYKYBUCUNAYBUOYHYKYBUKUDEGY
        EEUPYFYKYGYBYEECKUQYEEDKUQURUTVAAYCYIVBYBABCDFGHIJKLMUDNOPQRSTUAVCZUNVD
        AYCUKZYHYBUDGYMYEGUMZUKZYHUKZUEUSZCYEIVEZUMZYBUEFYPYQFUMZUKZYSUKZUFUSZD
        YEIVEZUMZYBUFFUUBUUCFUMZUKZUUEUKZUGUSZYQDIVEUMZUUIUUCCIVEUMZUKZYBUGGUUH
        UUIGUMZUKZUULUKZUUIFUMZYBUUOUUPUKZBCDEFGUUIHIHVFUJZJHVGUJZKLMNUUSVKZOQP
        UUHFJVLUMZUUMUULUUPAUVAYCYNYHYTYSUUFUUESVHZVIZUUHHVJUMZUUMUULUUPAUVDYCY
        NYHYTYSUUFUUERVHZVIZUURVKZUUHCGUMZUUMUULUUPYPUVHYTYSUUFUUEAUVHYCYNYHTVI
        ZVMZVIZUUHDGUMZUUMUULUUPYPUVLYTYSUUFUUEAUVLYCYNYHUAVIZVMZVIZAYJYCYNYHYT
        YSUUFUUEUUMUULUUPUBVNZAYKYCYNYHYTYSUUFUUEUUMUULUUPUCVNZUUOUUPUOZUUQCDUU
        IUURUJUHCUUIVODUUIVOCUUIDIVEUMDUUICIVEUMVPUUQUUICUUQUUIUUCCUUQFUUCCJVEZ
        GHIJUUIUUCNOPUVFUVCUUQGHIJUUCCNOPUVFUUHUUCGUMZUUMUULUUPUUHFGHIJUUCNPOUV
        EUVBUUBUUFUUEVQVRZVIZUVKUUQUUFCFUMVSZUUCCVOUUBUUFUUEUUMUULUUPVTZUUQBCEF
        GHIJUUSKLMNUUTOQPUVCUVFUVKUVPUVQWAZUUCCFWBWCZWDUUQUVSFUUQCUVSUMUWCUVSFV
        OUUQGUUCCHIJNOPUVFUWBUVKUWFWEUWECUVSFWFWCWGUUQFUVSUUIUVRUUQGHIJUUCCUUIN
        OPUVFUWBUVKUUHUUMUULUUPWHZUWFUUNUUJUUKUUPWKWIWTUUQFUVSUUCUWDUUQGUUCCHIJ
        NOPUVFUWBUVKUWFWJWTWLZUWFWMWGUUQUUIDUUQUUIYQDUUQFYQDJVEZGHIJUUIYQNOPUVF
        UVCUUQGHIJYQDNOPUVFUUHYQGUMZUUMUULUUPUUHFGHIJYQNPOUVEUVBYPYTYSUUFUUEWNZ
        VRZVIZUVOUUQYTDFUMVSZYQDVOYPYTYSUUFUUEUUMUULUUPWOZUUQBDYEFGHIJUUSKLMNUU
        TOQPUVCUVFUVOUUHYNUUMUULUUPYPYNYTYSUUFUUEYMYNYHVQZVMZVIZYPYGYTYSUUFUUEU
        UMUULUUPYOYFYGWPZVHWAZYQDFWBWCZWDUUQUWIFUUQDUWIUMUWNUWIFVOUUQGYQDHIJNOP
        UVFUWMUVOUXAWEUWTDUWIFWFWCWGUUQFUWIUUIUVRUUQGHIJYQDUUINOPUVFUWMUVOUWGUX
        AUUNUUJUUKUUPWQWIWTUUQFUWIYQUWOUUQGYQDHIJNOPUVFUWMUVOUXAWJWTWLZUXAWMWGU
        UQYEUUICDGHINOUVFUWRUWGUVKUVOUUQUUIYEUUQUUPYEFUMVSZUUIYEVOUVRUUQBCYEFGH
        IJUUSKLMNUUTOQPUVCUVFUVKUWRYPYFYTYSUUFUUEUUMUULUUPYOYFYGWRZVHWSUUIYEFWB
        WCWGUUQUUIYQYECIVEUXBUUQCYQYEGHIUUSNUUTOUVFUVKUWMUWRUUHYSUUMUULUUPUUAYS
        UUFUUEWHZVIXAXBUUQUUIUUCYEDIVEUWHUUQDUUCYEGHIUUSNUUTOUVFUVOUWBUWRUUGUUE
        UUMUULUUPWNXAXBXCUUQCDUUIGHIUURVJNOUVGUVKUVOUWGUVFXDXIXEUUOUUPVSZUKZBUU
        IDEFGYQHIUURJUUSKLMNUUTOQPUUHUVAUUMUULUXFUVBVIZUUHUVDUUMUULUXFUVEVIZUVG
        UUHUUMUULUXFWHZUUHUVLUUMUULUXFUVNVIZAYJYCYNYHYTYSUUFUUEUUMUULUXFUBVNZUX
        GBCUUIEFGUUCHIUURJUUSKLMNUUTOQPUXHUXIUVGUUHUVHUUMUULUXFUVJVIZUXJUXLAYKY
        CYNYHYTYSUUFUUEUUMUULUXFUCVNUUBUUFUUEUUMUULUXFVTZUXGUUICUUCGHIUURVJNOUV
        GUXJUXMUUHUVTUUMUULUXFUWAVIZUXIUXGUUCCUUICGHIUURNOUVGUXOUXMUXJUXIUXMUUN
        UUJUUKUXFWKZUXGUUCUUICGHIUUSNUUTOUXIUXOUXJUXMUXPUXGUUCUUIUXGUUFUXFUUCUU
        IVOUXNUUOUXFUOZUUCUUIFWBWCWGZXFUXRXGXHXEUUHYTUUMUULUXFUWKVIZUXGYQDUUICG
        HIUURNOUVGUUHUWJUUMUULUXFUWLVIZUXKUXJUXIUXMUUNUUJUUKUXFWQZUXGYQUUIDGHIU
        USNUUTOUXIUXTUXJUXKUYAUXGYQUUIUXGYTUXFYQUUIVOUXSUXQYQUUIFWBWCWGZXFUYBXG
        XEXJUUHGYQHIUUSUUCCDYEUGNUUTOUVEUVJUVNUWQUWLUWAUXEUUGUUEUOXKXLYPUUEUFFU
        LZYTYSYPBUSZUUDUMZBFULZUYCYPUWNUXCUKZUYFYPYGUYGUYFUKUWSYPBDYEFGHIUUSKLM
        NUUTOQUVMUWPXMXNXOUYEUUEBUFFBUFUUDXPXRXQXSXLYPUYDYRUMZBFULZYSUEFULYPUWC
        UXCUKZUYIYPYFUYJUYIUKUXDYPBCYEFGHIUUSKLMNUUTOQUVIUWPXMXNXOUYHYSBUEFBUEY
        RXPXRXQXLAYCYIYLXTXLYA $.
    $}

    $d A t $.  $d B a b t $.  $d D a b t $.  $d G a b t $.  $d I a b t $.
    $d L a b t $.  $d O a b t $.  $d P a b t $.  $d ph t $.
    lnoppnhpg.1 $e |- ( ph -> A O B ) $.
    $( If two points lie on the opposite side of a line ` D ` , they are not on
       the same half-plane.  Theorem 9.9 of [Schwabhauser] p. 72.  (Contributed
       by Thierry Arnoux, 4-Mar-2020.) $)
    lnoppnhpg $p |- ( ph -> -. A ( ( hpG ` G ) ` D ) B ) $=
      ( wbr chpg cfv cds eqid oppnid lnopp2hpgb mtbid ) ADDJUBCDEGUCUDUDUBABDEF
      GHIGUEUDZJKLMUJUFNPORQTUGABCDDEFGHIJKLMNOPQRSTTUAUHUI $.
  $}

  ${
    $d A c t x $.  $d B c t $.  $d D a b c t x $.  $d G a b c t $.
    $d I a b c t $.  $d O a b t x $.  $d P a b c t x $.  $d ph c t x $.
    hpgid.p $e |- P = ( Base ` G ) $.
    hpgid.i $e |- I = ( Itv ` G ) $.
    hpgid.l $e |- L = ( LineG ` G ) $.
    hpgid.g $e |- ( ph -> G e. TarskiG ) $.
    hpgid.d $e |- ( ph -> D e. ran L ) $.
    hpgid.a $e |- ( ph -> A e. P ) $.
    hpgid.o $e |- O = { <. a , b >. | ( ( a e. ( P \ D ) /\ b e. ( P \ D ) )
      /\ E. t e. D t e. ( a I b ) ) } $.
    ${
      hpgid.1 $e |- ( ph -> -. A e. D ) $.
      $( Lemma for the proof that the half-plane relation is an equivalence
         relation.  Lemma 9.10 of [Schwabhauser] p. 72.  (Contributed by
         Thierry Arnoux, 4-Mar-2020.) $)
      hpgerlem $p |- ( ph -> E. c e. P A O c ) $=
        ( vx cv wcel wbr wrex c0 wne wex tglnne0 n0 sylib wa co cds eqid cstrkg
        cfv adantr crn simpr tglnpt c2 chash c1 wceq tglndim0 pm2.65da tgldimor
        cle cbs ord mpd tgbtwndiff ad4antr ad3antrrr simplr btwnlng2 tglinethru
        wn eleqtrrd mtand eleq1w rspcev ad5ant24 jca31 anasss wb islnopp mpbird
        ex reximdva exlimddv ) AUAUBZDUCZCLUBZIUDZLEUEZUAADUFUGWNUAUHADFHOPQUIU
        ADUJUKAWNULZWMCWOGUMZUCZWMWOUGZULZLEUEWQWRCWMEFGFUNUQZLMXCUOZNAFUPUCZWN
        PURZACEUCZWNRURZWRDEFGHWMMONXFADHUSUCZWNQURZAWNUTZVAZAVBEVCUQZVIUDZWNAX
        MVDVEZVSXNAXOXIAXIXOQURAXOULDEFGHMNOAXEXOPURAXOUTVFVGAXOXNACEVJFMRVHVKV
        LURVMWRXBWPLEWRWOEUCZULZXBWPXQXBULWPCDUCZVSZWODUCZVSZULBUBWSUCZBDUEZULZ
        XQWTXAYDXQWTULZXAULZXSYAYCAXSWNXPWTXATVNZYFXTXRYGYFXTULZCWMWOHUMDYHEFGH
        WMWOCMNOWRXEXPWTXAXTXFVNZWRWMEUCXPWTXAXTXLVNZXQXPWTXAXTWRXPUTZVOZWRXGXP
        WTXAXTXHVNYEXAXTVPZYFWTXTXQWTXAVPURVQYHDEWMWOFGHMNOYIYJYLYMYMWRXIXPWTXA
        XTXJVNWRWNXPWTXAXTXKVNYFXTUTVRVTWAWNWTYCAXPXAYBWTBWMDBUAWSWBWCWDWEWFXQW
        PYDWGXBXQBCWODEFGXCIJKMXDNSWRXGXPXHURYKWHURWIWJWKVLWL $.

      $( The half-plane relation is reflexive.  Theorem 9.11 of [Schwabhauser]
         p. 72.  (Contributed by Thierry Arnoux, 4-Mar-2020.) $)
      hpgid $p |- ( ph -> A ( ( hpG ` G ) ` D ) A ) $=
        ( vc chpg cfv wbr cv wa wrex wcel simprr hpgerlem reximddv hpgbr mpbird
        jca ) ACCDFUAUBUBUCCTUDZIUCZUOUEZTEUFAUOUPTEAUNEUGZUOUEUEUOUOAUQUOUHZUR
        UMABCDEFGHIJKTLMNOPQRSUIUJABCCDEFGHIJKTLMNROPQQUKUL $.
    $}

    ${
      hpgcom.b $e |- ( ph -> B e. P ) $.
      hpgcom.1 $e |- ( ph -> A ( ( hpG ` G ) ` D ) B ) $.
      $( The half-plane relation commutes.  Theorem 9.12 of [Schwabhauser]
         p. 72.  (Contributed by Thierry Arnoux, 4-Mar-2020.) $)
      hpgcom $p |- ( ph -> B ( ( hpG ` G ) ` D ) A ) $=
        ( vc chpg cfv wbr cv wa wrex wb ancom a1i rexbidv hpgbr 3bitr4d mpbid )
        ACDEGUCUDUDZUEZDCUPUEZUAACUBUFZJUEZDUSJUEZUGZUBFUHVAUTUGZUBFUHUQURAVBVC
        UBFVBVCUIAUTVAUJUKULABCDEFGHIJKLUBMNOSPQRTUMABDCEFGHIJKLUBMNOSPQTRUMUNU
        O $.

      $d C a b c t $.  $d L a b t $.
      hpgtr.c $e |- ( ph -> C e. P ) $.
      hpgtr.1 $e |- ( ph -> B ( ( hpG ` G ) ` D ) C ) $.
      $( The half-plane relation is transitive.  Theorem 9.13 of [Schwabhauser]
         p. 72.  (Contributed by Thierry Arnoux, 4-Mar-2020.) $)
      hpgtr $p |- ( ph -> A ( ( hpG ` G ) ` D ) C ) $=
        ( vc chpg cfv cv wa wrex hpgbr mpbid wcel simprl ad2antrr cstrkg simplr
        wbr crn simprr lnopp2hpgb mpbird jca ex reximdva mpd ) ACEFHUFUGUGZURCU
        EUHZKURZEVHKURZUIZUEGUJZAVIDVHKURZUIZUEGUJZVLACDVGURVOUBABCDFGHIJKLMUEN
        OPTQRSUAUKULAVNVKUEGAVHGUMZUIZVNVKVQVNUIZVIVJVQVIVMUNVRVJDEVGURZAVSVPVN
        UDUOVRBDEVHFGHIJKLMNOPTAHUPUMVPVNQUOAFJUSUMVPVNRUOADGUMVPVNUAUOAEGUMVPV
        NUCUOAVPVNUQVQVIVMUTVAVBVCVDVEVFABCEFGHIJKLMUENOPTQRSUCUKVB $.
    $}

    ${
      $d A y $.  $d B y $.  $d C t y $.  $d D y $.  $d G y $.  $d I y $.
      $d L a b t y $.  $d ph y $.
      colopp.b $e |- ( ph -> B e. P ) $.
      colopp.p $e |- ( ph -> C e. D ) $.
      colopp.1 $e |- ( ph -> ( C e. ( A L B ) \/ A = B ) ) $.
      $( Opposite sides of a line for colinear points.  Theorem 9.18 of
         [Schwabhauser] p. 73.  (Contributed by Thierry Arnoux, 3-Aug-2020.) $)
      colopp $p |- ( ph
        -> ( A O B <-> ( C e. ( A I B ) /\ -. A e. D /\ -. B e. D ) ) ) $=
        ( vy wcel wn wa cv co wrex wbr w3a cstrkg ad3antrrr cds cfv crn simpllr
        eqid simplr wceq eleq1w adantl simpr rspcedvd mpbir2and oppne3 tgelrnln
        wb islnopp wne tglinerflx1 simpld nelne1 syl2anc neneqd wi orcomd elind
        ord tglnpt btwnlng1 tglineineq eqeltrd adantllr cbvrexvw r19.29a adantr
        mpd sylib eleq1d adantlr impbida pm5.32da 3anrot df-3an bitri 3bitr4d
        a1i ) ACFUEUFZDFUEUFZUGZBUHZCDIUIZUEZBFUJZUGZXBEXDUEZUGZCDKUKZXHWTXAULZ
        AXBXFXHAXBUGZXFXHXLXFUGZUDUHZXDUEZXHUDFXLXNFUEZXOXHXFXLXPUGZXOUGZEXNXDX
        RCDJUIZFGHIJEXNNOPAHUMUEXBXPXOQUNZXRGHIJCDNOPXTACGUEXBXPXOSUNZADGUEXBXP
        XOUAUNZXRBCDFGHIJHUOUPZKLMNYCUSZOTPAFJUQUEXBXPXORUNZXTYAYBXRXJXBXFAXBXP
        XOURZXRXEXOBXNFXLXPXOUTZXCXNVAXEXOVIXRBUDXDVBZVCXQXOVDZVEAXJXGVIXBXPXOA
        BCDFGHIYCKLMNYDOTSUAVJZUNVFVGZVHYEXRCXSUEWTXSFVKXRGCDHIJNOPXTYAYBYKVLXR
        WTXAYFVMCXSFVNVOXRXSFEXRCDVAZUFZEXSUEZXRCDYKVPAYMYNVQXBXPXOAYLYNAYNYLUC
        VRVTUNWIAEFUEZXBXPXOUBUNVSXRXSFXNXRGHIJCDXNNOPXTYAYBXRFGHIJXNNPOXTYEYGW
        AYKYIWBYGVSWCYIWDWEXMXFXOUDFUJXLXFVDXEXOBUDFYHWFWJWGAXHXFXBAXHUGZXEXHBE
        FAYOXHUBWHYPXCEVAZUGXCEXDYPYQVDWKAXHVDVEWLWMWNYJXKXIVIAXKWTXAXHULXIXHWT
        XAWOWTXAXHWPWQWSWR $.

      $d A a b $.  $d C a b $.  $d ph t $.
      colhp.k $e |- K = ( hlG ` G ) $.
      $( Half-plane relation for colinear points.  Theorem 9.19 of
         [Schwabhauser] p. 73.  (Contributed by Thierry Arnoux, 3-Aug-2020.) $)
      colhp $p |- ( ph
        -> ( A ( ( hpG ` G ) ` D ) B <-> ( A ( K ` C ) B /\ -. A e. D ) ) ) $=
        ( cfv wbr wcel wn wa chpg ancom a1i cmir w3a cstrkg adantr crn cds eqid
        wb tglnpt mircl wne nelne2 sylan necomd mirbtwn tgbtwncom btwnlng3 wceq
        co wo colrot1 colcom coltr colopp cv wrex simpr mirmir eqeltrrd stoic1a
        mirln eleq1d rspcedvd islnopp mpbird lnopp2hpgb ad2antrr simprr syl2anc
        simprl mirhl2 hlcomd 3adantr3 btwnhl hlln ad3antrrr tglinethru eleqtrrd
        jca31 hlne2 pm2.65da 3jca impbida 3bitr3d pm5.32da hpgne1 jca 3bitr2rd
        ) ACDEJUFUGZCFUHZUIZUJZXNXLUJZXNCDFHUKUFUFUGZUJZXQXOXPVAAXLXNULUMAXNXQX
        LAXNUJZDCEHUNUFZUFZUFZLUGEDYBIVLUHZDFUHZUIZYBFUHZUIZUOZXQXLXSBDYBEFGHIK
        LMNOPQAHUPUHZXNRUQZAFKURUHZXNSUQZADGUHZXNUBUQZUAAYBGUHZXNAEGXTHIKYAHUSU
        FZCOYPUTZPQXTUTZRAFGHIKEOQPRSUCVBZYAUTZTVCZUQZAEFUHZXNUCUQXSGHIKEDYBOQP
        YJAEGUHZXNYSUQZYNUUBXSYBCEDGHIKOPQYJUUBACGUHZXNTUQZUUEYNXSGHIKCEYBOPQYJ
        UUGUUEUUBXSECAUUCXNECVDUCECFVEVFVGZAECYBIVLZUHZXNAYBECGHIYPOYQPRUUAYSTA
        ECGXTHIKYAYPOYQPQYRRYSYTTVHVIZUQVJACEDKVLUHEDVKVMXNAGHIKDECOQPRUBYSTAGH
        IKCDEOQPRTUBYSUDVNVOUQVPVNVQXSBCDYBFGHIKLMNOPQUAYJYLUUGYNUUBXSCYBLUGXNY
        GUJBVRZUUIUHZBFVSZUJXSXNYGUUNAXNVTZAYFXMAYFUJZYBYAUFZCFAUUQCVKYFAECGXTH
        IKYAYPOYQPQYRRYSYTTWAUQUUPEYBFGXTHIKYAYPOYQPQYRAYIYFRUQYTAYKYFSUQAUUCYF
        UCUQAYFVTWDWBWCZAUUNXNAUUMUUJBEFUCAUULEVKZUJUULEUUIAUUSVTWEUUKWFUQXBXSB
        CYBFGHIYPLMNOYQPUAUUGUUBWGWHWIXSYHXLXSYCYEXLYGXSYCYEUJZUJZDCEGHIJUPOPUE
        AYMXNUUTUBWJZAUUFXNUUTTWJZAUUDXNUUTYSWJZAYIXNUUTRWJZUVAEGXTHIJKYAYPDCCO
        YQPQYRUVEYTUEUVDUVBUVCUVCUVAUUCYEDEVDAUUCXNUUTUCWJXSYCYEWKUUCYEUJEDEDFV
        EVGWLXSCEVDUUTUUHUQXSYCYEWMWNWOWPXSXLUJZYCYEYGUVFCDYBEGHIJOPUEAUUFXNXLT
        WJZAYMXNXLUBWJZAYOXNXLUUAWJAYIXNXLRWJZAUUDXNXLYSWJZXSXLVTZAUUJXNXLUUKWJ
        WQUVFYDXMUVFYDUJZCDEKVLZFUVFCUVMUHYDUVFCDEGHIJKOPUEUVGUVHUVJUVIQUVKWRUQ
        UVLFGDEHIKOPQXSYIXLYDYJWJZXSYMXLYDYNWJZUVFUUDYDUVJUQZUVLCDEGHIJUPOPUEXS
        UUFXLYDUUGWJUVOUVPUVNUVFXLYDUVKUQXCZUVQXSYKXLYDYLWJUVFYDVTAUUCXNXLYDUCW
        SWTXAXSXNXLYDUUOWJXDXSYGXLUURUQXEXFXGXHAXRXQAXNXQWKAXQUJZXNXQUVRBCDFGHI
        KLMNOPQUAAYIXQRUQAYKXQSUQAUUFXQTUQAYMXQUBUQAXQVTZXIUVSXJXFXK $.
    $}

    ${
      $d A a b $.  $d B a b $.  $d C a b t $.  $d L a b t $.  $d ph t $.
      hphl.k $e |- K = ( hlG ` G ) $.
      hphl.a $e |- ( ph -> A e. D ) $.
      hphl.b $e |- ( ph -> B e. P ) $.
      hphl.c $e |- ( ph -> C e. P ) $.
      hphl.1 $e |- ( ph -> -. B e. D ) $.
      hphl.2 $e |- ( ph -> B ( K ` A ) C ) $.
      $( If two points are on the same half-line with endpoint on a line, they
         are on the same half-plane defined by this line.  (Contributed by
         Thierry Arnoux, 9-Aug-2020.) $)
      hphl $p |- ( ph -> B ( ( hpG ` G ) ` D ) C ) $=
        ( chpg cfv wbr wcel wn co wceq hlln orcd colrot2 colhp mpbir2and ) ADEF
        HUHUIUIUJDECJUIUJDFUKULUGUFABDECFGHIJKLMNOPQRSUDUAUEUCAGHIKECDOQPRUETUD
        ADECKUMUKECUNADECGHIJKOPUBUDUETRQUGUOUPUQUBURUS $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Midpoints and Line Mirroring
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c midG lInvG $.

  $( Declare the constant for the midpoint operation. $)
  cmid $a class midG $.

  $( Declare the constant for the line mirroring function. $)
  clmi $a class lInvG $.

  ${
    $d a b g m $.
    $( Define the midpoint operation.  Definition 10.1 of [Schwabhauser] p. 88.
       See ~ ismidb , ~ midbtwn , and ~ midcgr .  (Contributed by Thierry
       Arnoux, 9-Jun-2019.) $)
    df-mid $a |- midG = ( g e. _V |-> ( a e. ( Base ` g ) , b e. ( Base ` g )
      |-> ( iota_ m e. ( Base ` g ) b = ( ( ( pInvG ` g ) ` m ) ` a ) ) ) ) $.

    $( Define the line mirroring function.  Definition 10.3 of [Schwabhauser]
       p. 89.  See ~ islmib .  (Contributed by Thierry Arnoux, 1-Dec-2019.) $)
    df-lmi $a |- lInvG = ( g e. _V |-> ( m e. ran ( LineG ` g ) |->
      ( a e. ( Base ` g ) |-> ( iota_ b e. ( Base ` g ) (
           ( a ( midG ` g ) b ) e. m
        /\ ( m ( perpG ` g ) ( a ( LineG ` g ) b ) \/ a = b )
      ) ) ) ) ) $.
  $}

  ${
    $d .- m $.  $d G a b g m $.  $d I m $.  $d L m $.  $d P a b g m $.
    $d a b g m ph $.
    ismid.p $e |- P = ( Base ` G ) $.
    ismid.d $e |- .- = ( dist ` G ) $.
    ismid.i $e |- I = ( Itv ` G ) $.
    ismid.g $e |- ( ph -> G e. TarskiG ) $.
    ismid.1 $e |- ( ph -> G TarskiGDim>= 2 ) $.
    $( Midpoint as a function.  (Contributed by Thierry Arnoux, 1-Dec-2019.) $)
    midf $p |- ( ph -> ( midG ` G ) : ( P X. P ) --> P ) $=
      ( va vb vm vg cfv cv cmir wcel wral cbs cxp cmid wceq crio cmpo wreu clng
      wf wa eqid cstrkg adantr simprl simprr c2 cstrkgld wbr ralrimivva riotacl
      mideu 2ralimi syl fmpo sylib cvv df-mid eqtr4di fveq1d eqeq2d riotaeqbidv
      fveq2 mpoeq123dv elexd fvexi mpoex a1i fvmptd3 feq1d mpbird ) ABBUAZBCUBO
      ZUHVTBKLBBLPZKPZMPZCQOZOZOZUCZMBUDZUEZUHZAWIBRZLBSKBSZWKAWHMBUFZLBSKBSWMA
      WNKLBBAWCBRZWBBRZUIZUIMWCWBBWECDCUGOZEFGHWRUJACUKRWQIULWEUJAWOWPUMAWOWPUN
      ACUOUPUQWQJULUTURWNWLKLBBWHMBUSVAVBKLBBWIBWJWJUJVCVDAVTBWAWJANCKLNPZTOZWT
      WBWCWDWSQOZOZOZUCZMWTUDZUEWJVEUBVENMKLVFWSCUCZKLWTWTXEBBWIXFWTCTOBWSCTVKF
      VGZXGXFXDWHMWTBXGXFXCWGWBXFWCXBWFXFWDXAWEWSCQVKVHVHVIVJVLACUKIVMWJVERAKLB
      BWIBCTFVNZXHVOVPVQVRVS $.

    ${
      midcl.1 $e |- ( ph -> A e. P ) $.
      midcl.2 $e |- ( ph -> B e. P ) $.
      $( Closure of the midpoint.  (Contributed by Thierry Arnoux,
         1-Dec-2019.) $)
      midcl $p |- ( ph -> ( A ( midG ` G ) B ) e. P ) $=
        ( cmid cfv midf fovrnd ) ABCDDDEOPADEFGHIJKLQMNR $.

      ${
        $d A a b m $.  $d B a b m $.  $d M m $.  $d S a b g m $.
        ismidb.s $e |- S = ( pInvG ` G ) $.
        ismidb.m $e |- ( ph -> M e. P ) $.
        $( Property of the midpoint.  (Contributed by Thierry Arnoux,
           1-Dec-2019.) $)
        ismidb $p |- ( ph ->
          ( B = ( ( S ` M ) ` A ) <-> ( A ( midG ` G ) B ) = M ) ) $=
          ( vm cfv va vb vg wceq cv crio cmid co wcel wreu wb clng mideu fveq1d
          eqid fveq2 eqeq2d riota2 syl2anc cbs cmir cmpo cvv df-mid riotaeqbidv
          eqtr4di mpoeq123dv cstrkg elexd fvexi mpoex a1i fvmptd3 simprr simprl
          wa fveq2d eqeq12d riotabidv riotacl syl ovmpod eqeq1d bitr4d ) ACBHET
          ZTZUDZCBSUEZETZTZUDZSDUFZHUDZBCFUGTZUHZHUDAHDUIWKSDUJZWGWMUKRASBCDEFG
          FULTZIJKLWQUOMQOPNUMZWKWGSDHWHHUDZWJWFCWSBWIWEWHHEUPUNUQURUSAWOWLHAUA
          UBBCDDUBUEZUAUEZWITZUDZSDUFZWLWNDAUCFUAUBUCUEZUTTZXFWTXAWHXEVATZTZTZU
          DZSXFUFZVBUAUBDDXDVBZVCUGVCUCSUAUBVDXEFUDZUAUBXFXFXKDDXDXMXFFUTTDXEFU
          TUPJVFZXNXMXJXCSXFDXNXMXIXBWTXMXAXHWIXMWHXGEXMXGFVATEXEFVAUPQVFUNUNUQ
          VEVGAFVHMVIXLVCUIAUAUBDDXDDFUTJVJZXOVKVLVMAXABUDZWTCUDZVPVPZXCWKSDXRW
          TCXBWJAXPXQVNXRXABWIAXPXQVOVQVRVSOPAWPWLDUIWRWKSDVTWAWBWCWD $.
      $}

      $( Betweenness of midpoint.  (Contributed by Thierry Arnoux,
         7-Dec-2019.) $)
      midbtwn $p |- ( ph -> ( A ( midG ` G ) B ) e. ( A I B ) ) $=
        ( cmid cfv co midcl eqid wceq cmir mirbtwn eqidd ismidb mpbird eleqtrrd
        clng oveq1d tgbtwncom ) ACBCEOPQZBDEFGHIJKNABCDEFGHIJKLMNRZMAUJBUJEUAPZ
        PZPZBFQCBFQAUJBDULEFEUGPZUMGHIJUOSULSZKUKUMSMUBACUNBFACUNTUJUJTAUJUCABC
        DULEFUJGHIJKLMNUPUKUDUEUHUFUI $.

      ${
        midcgr.1 $e |- ( ph -> ( A ( midG ` G ) B ) = C ) $.
        $( Congruence of midpoint.  (Contributed by Thierry Arnoux,
           7-Dec-2019.) $)
        midcgr $p |- ( ph -> ( C .- A ) = ( C .- B ) ) $=
          ( co cfv wceq eqid cmir cmid midcl eqeltrrd ismidb mpbird oveq2d clng
          mircgr eqtr2d ) ADCHQDBDFUARZRZRZHQDBHQACUMDHACUMSBCFUBRQZDSPABCEUKFG
          DHIJKLMNOUKTZAUNDEPABCEFGHIJKLMNOUCUDZUEUFUGADBEUKFGFUHRZULHIJKUQTUOL
          UPULTNUIUJ $.
      $}

      $( Midpoint of a null segment.  (Contributed by Thierry Arnoux,
         7-Dec-2019.) $)
      midid $p |- ( ph -> ( A ( midG ` G ) A ) = A ) $=
        ( cmid cfv co midcl midbtwn axtgbtwnid eqcomd ) ABBBEOPQZADEFGBUBHIJKMA
        BBDEFGHIJKLMMRABBDEFGHIJKLMMSTUA $.

      $( Commutativity rule for the midpoint.  (Contributed by Thierry Arnoux,
         2-Dec-2019.) $)
      midcom $p |- ( ph -> ( A ( midG ` G ) B ) = ( B ( midG ` G ) A ) ) $=
        ( cmid cfv co cmir wceq eqid clng midcl eqidd midcgr ismir ismidb mpbid
        midbtwn ) ACBCBEOPZQZERPZPZPSBCUIQUJSAUJBCDUKEFEUAPZULGHIJUMTUKTZKACBDE
        FGHIJKLNMUBZULTMNACBUJDEFGHIJKLNMAUJUCUDACBDEFGHIJKLNMUHUEABCDUKEFUJGHI
        JKLMNUNUOUFUG $.

      ${
        mirmid.s $e |- S = ( ( pInvG ` G ) ` M ) $.
        mirmid.x $e |- ( ph -> M e. P ) $.
        $( Point inversion preserves midpoints.  (Contributed by Thierry
           Arnoux, 12-Dec-2019.) $)
        mirmid $p |- ( ph -> ( ( S ` A ) ( midG ` G ) ( S ` B ) )
          = ( S ` ( A ( midG ` G ) B ) ) ) $=
          ( cfv wceq cmid co cmir eqidd eqid midcl ismidb mpbird fveq2d mirmir2
          clng eqtrd mircl mpbid ) ACESZBESZBCFUASZUBZESZFUCSZSSZTUPUOUQUBUSTAU
          OBURUTSSZESVAACVBEACVBTURURTAURUDABCDUTFGURIJKLMNOPUTUEZABCDFGIJKLMNO
          PUFZUGUHUIAHDUTFGFUKSZEIBURJKLVEUEZVCMRQOVDUJULAUPUODUTFGUSIJKLMNAHDU
          TFGVEEIBJKLVFVCMRQOUMAHDUTFGVEEICJKLVFVCMRQPUMVCAHDUTFGVEEIURJKLVFVCM
          RQVDUMUGUN $.
      $}
    $}

    ${
      $d .- x $.  $d A b x $.  $d D b x $.  $d G b x $.  $d I x $.  $d L b x $.
      $d P b x $.  $d b x ph $.
      lmieu.l $e |- L = ( LineG ` G ) $.
      lmieu.1 $e |- ( ph -> D e. ran L ) $.
      lmieu.a $e |- ( ph -> A e. P ) $.
      $( Uniqueness of the line mirror point.  Theorem 10.2 of [Schwabhauser]
         p. 88.  (Contributed by Thierry Arnoux, 1-Dec-2019.) $)
      lmieu $p |- ( ph -> E! b e. P ( ( A ( midG ` G ) b ) e. D
        /\ ( D ( perpG ` G ) ( A L b ) \/ A = b ) ) ) $=
        ( wa adantr ad2antrr vx wcel cv cmid cfv co cperpg wceq wo wreu wb wral
        wbr wne simpr cmir eqidd cstrkg ad4antr cstrkgld ad3antrrr simpllr eqid
        wn c2 midcl ismidb mpbird crn neqned tgelrnln simp-4r tglinerflx1 elind
        midbtwn btwnlng1 tglineineq fveq2d mircinv 3eqtr2rd mtand ad5antr sylib
        fveq1d nne eqeltrrd perpneq ex con4d idd jaod eqcomd oveq2d midid eqtrd
        impr eqeltrd olcd jca impbida ralrimiva reu6i simplr tglnpt mircl oveq2
        syl2anc breq1d simprl wrmo foot reurmo nelne2 tglineelsb2 neneqd simprr
        syl tgbtwnne orcomd ord mpd perpcom eqbrtrrd rmoi2 mpbid perpln1 tglnne
        necomd mirbtwn oveq1d eleqtrrd lnrot1 breqtrd necon1bd footex pm2.61dan
        orrd r19.29a ) ABCUBZBIUCZEUDUEZUFZCUBZCBYTGUFZEUGUEZUMZBYTUHZUIZRZIDUJ
        ZAYSRZBDUBZUUIYTBUHZUKZIDULUUJAUULYSQSZUUKUUNIDUUKYTDUBZRZUUIUUMUUQUUIR
        BYTUUQUUCUUHUUGUUQUUCRZUUFUUGUUGUURUUGUUFUURUUGVDZUUFVDUURUUSRZUUFCUUDU
        NZUUTUVAUUGUURUUSUOZUUTUVARZYTBUUBEUPUEZUEZUEZBBUVDUEZUEBUUTYTUVFUHZUVA
        UUTUVHUUBUUBUHUUTUUBUQUUTBYTDUVDEFUUBHJKLAEURUBZYSUUPUUCUUSMUSZAEVEUTUM
        ZYSUUPUUCUUSNUSZUUKUULUUPUUCUUSUUOVAZUUKUUPUUCUUSVBZUVDVCZUUTBYTDEFHJKL
        UVJUVLUVMUVNVFZVGVHSUVCBUVGUVEUVCBUUBUVDUVCCUUDDEFGBUUBJLOUUTUVIUVAUVJS
        ZUUTCGVIZUBZUVAAUVSYSUUPUUCUUSPUSSUVCDEFGBYTJLOUVQUUTUULUVAUVMSZUUTUUPU
        VAUVNSZUUTBYTUNZUVAUUTBYTUVBVJZSZVKUUTUVAUOUVCCUUDBUUTYSUVAAYSUUPUUCUUS
        VLSUVCDBYTEFGJLOUVQUVTUWAUWDVMVNUVCCUUDUUBUUQUUCUUSUVAVBUUTUUBUUDUBUVAU
        UTDEFGBYTUUBJLOUVJUVMUVNUVPUWCUUTBYTDEFHJKLUVJUVLUVMUVNVOVPSVNVQVRWDUVC
        BDUVDEFGUVGHJKLOUVOUVQUVTUVGVCVSVTWAZUUTUUFRZCUUDDEFGHJKLOAUVIYSUUPUUCU
        USUUFMWBAUVSYSUUPUUCUUSUUFPWBZUWFCUUDUVRUUTCUUDUHZUUFUUTUVAVDUWHUWECUUD
        WEWCSUWGWFUUTUUFUOWGWAWHWIUURUUGWJWKWPWLUUQUUMRZUUCUUHUWIUUBBCUWIUUBBBU
        UAUFZBUWIYTBBUUAUUQUUMUOZWMAUWJBUHYSUUPUUMABBDEFHJKLMNQQWNVAWOAYSUUPUUM
        VBWQUWIUUGUUFUWIYTBUWKWLWRWSWTXAUUIIDBXBXGAYSVDZRZBUAUCZGUFZCUUEUMZUUJU
        ACUWMUWNCUBZRZUWPRZBUWNUVDUEZUEZDUBUUIYTUXAUHZUKZIDULUUJUWSUWNDUVDEFGUW
        THBJKLOUVOUWMUVIUWQUWPAUVIUWLMSZTZUWSCDEFGUWNJOLUXEUWMUVSUWQUWPAUVSUWLP
        SZTZUWMUWQUWPXCZXDZUWTVCZUWMUULUWQUWPAUULUWLQSZTZXEUWSUXCIDUWSUUPRZUUIU
        XBUXMUUIRZUXBUUBUWNUHZUXNUWNUUBUXNUWPBUUBGUFZCUUEUMUACUUBUWNUUBUHUWOUXP
        CUUEUWNUUBBGXFXHUXMUUCUUHXIZUWMUWPUACXJZUWQUWPUUPUUIUWMUWPUACUJUXRUWMUA
        CBDEFGHJKLOUXDUXFUXKAUWLUOZXKUWPUACXLXQUSUWSUWQUUPUUIUXHTUWRUWPUUPUUIVB
        UXNUUDUXPCUUEUXNDBYTUUBEFGJLOUWSUVIUUPUUIUXETZUWSUULUUPUUIUXLTZUWSUUPUU
        IXCZUXNBUUBYTDEFHJKLUXTUYAUXNBYTDEFHJKLUXTAUVKUWLUWQUWPUUPUUINWBZUYAUYB
        VFZUYBUXNBYTDEFHJKLUXTUYCUYAUYBVOZUXNUUCUWLUUBBUNUXQUWMUWLUWQUWPUUPUUIU
        XSUSUUBBCXMXGZXRZUYDUYFUXNDEFGBYTUUBJLOUXTUYAUYBUYDUYGUYEVPXNUXNCUUDDEF
        GHJKLOUXTUWSUVSUUPUUIUXGTUXNDEFGBYTJLOUXTUYAUYBUYGVKUXNUUSUUFUXNBYTUYGX
        OUXNUUGUUFUXNUUFUUGUXMUUCUUHXPXSXTYAYBYCYDWLUXNBYTDUVDEFUWNHJKLUXTUYCUY
        AUYBUVOUWSUWNDUBZUUPUUIUXITVGVHUXMUXBRZUUCUUHUYIUUBUWNCUYIUXBUXOUXMUXBU
        OUYIBYTDUVDEFUWNHJKLUWSUVIUUPUXBUXETZAUVKUWLUWQUWPUUPUXBNWBUWSUULUUPUXB
        UXLTZUWSUUPUXBXCUVOUWSUYHUUPUXBUXITZVGYEUWSUWQUUPUXBUXHTWQUYIUUFUUGUYIU
        UFBYTUYIUWBUUFUYIUWBRZCUWOUUDUUEUYMUWOCDEFGHJKLOUYIUVIUWBUYJSZUYMUWOCEG
        OUYNUWRUWPUUPUXBUWBVLZYFZUWSUVSUUPUXBUWBUXGVAUYOYBUYMDBUWNYTEFGJLOUYNUY
        IUULUWBUYKSZUYIUYHUWBUYLSZUYMDEFGBUWNJLOUYNUYQUYRUYPYGZUWSUUPUXBUWBVBZU
        YMBYTUYIUWBUOYHZUYMDEFGBUWNYTJLOUYNUYQUYRUYTUYSUYMDEFGYTBUWNJLOUYNUYTUY
        QUYRVUAUYMUWNUXABFUFYTBFUFUYMUWNBDUVDEFGUWTHJKLOUVOUYNUYRUXJUYQYIUYMYTU
        XABFUXMUXBUWBXCYJYKVPVUAYLXNYMWHYNYQWSWTXAUUIIDUXAXBXGUWMUACBDEFGHJKLOU
        XDUXFUXKUXSYOYRYP $.
    $}

    $d D a b d $.  $d G a b d g $.  $d L a b d g $.  $d P a b d g $.
    $d a b d g ph $.
    lmif.m $e |- M = ( ( lInvG ` G ) ` D ) $.
    lmif.l $e |- L = ( LineG ` G ) $.
    lmif.d $e |- ( ph -> D e. ran L ) $.
    $( Line mirror as a function.  (Contributed by Thierry Arnoux,
       11-Dec-2019.) $)
    lmif $p |- ( ph -> M : P --> P ) $=
      ( va vb cfv wcel vd vg cv cmid co cperpg wbr wceq wo wa crio clmi crn cvv
      cmpt clng df-lmi fveq2 eqtr4di rneqd oveqd eleq1d breq123d orbi1d anbi12d
      cbs eqidd riotaeqbidv mpteq12dv cstrkg elexd fvexi rnexg mp2b a1i fvmptd3
      mptexg eleq2 breq1 riotabidv mpteq2dv adantl fvmptd syl5eq wreu adantr c2
      mptex cstrkgld simpr lmieu riotacl syl fmpt3d ) AQCQUCZRUCZDUDSZUEZBTZBWO
      WPFUEZDUFSZUGZWOWPUHZUIZUJZRCUKZCGAGBDULSZSQCXFUOZNAUABQCWRUAUCZTZXIWTXAU
      GZXCUIZUJZRCUKZUOZXHFUMZXGUNAUBDUAUBUCZUPSZUMZQXQVFSZWOWPXQUDSZUEZXITZXIW
      OWPXRUEZXQUFSZUGZXCUIZUJZRXTUKZUOZUOUAXPXOUOZUNULUNUBUAQRUQXQDUHZUAXSYJXP
      XOYLXRFYLXRDUPSFXQDUPUROUSZUTYLQXTYICXNYLXTDVFSCXQDVFURIUSZYLYHXMRXTCYNYL
      YCXJYGXLYLYBWRXIYLYAWQWOWPXQDUDURVAVBYLYFXKXCYLXIXIYDWTYEXAYLXIVGXQDUFURY
      LXRFWOWPYMVAVCVDVEVHVIVIADVJLVKYKUNTZAFUNTXPUNTYOFDUPOVLFUNVMUAXPXOUNVQVN
      VOVPXIBUHZXOXHUHAYPQCXNXFYPXMXERCYPXJWSXLXDXIBWRVRYPXKXBXCXIBWTXAVSVDVEVT
      WAWBPXHUNTAQCXFCDVFIVLWHVOWCWDAWOCTZUJZXERCWEXFCTYRWOBCDEFHRIJKADVJTYQLWF
      ADWGWIUGYQMWFOABXPTYQPWFAYQWJWKXERCWLWMWN $.

    ${
      lmicl.1 $e |- ( ph -> A e. P ) $.
      $( Closure of the line mirror.  (Contributed by Thierry Arnoux,
         11-Dec-2019.) $)
      lmicl $p |- ( ph -> ( M ` A ) e. P ) $=
        ( lmif ffvelrnd ) ADDBHACDEFGHIJKLMNOPQSRT $.

      ${
        $d A a b $.  $d B b $.
        islmib.b $e |- ( ph -> B e. P ) $.
        $( Property of the line mirror.  (Contributed by Thierry Arnoux,
           11-Dec-2019.) $)
        islmib $p |- ( ph -> ( B = ( M ` A ) <-> ( ( A ( midG ` G ) B ) e. D
            /\ ( D ( perpG ` G ) ( A L B ) \/ A = B ) ) ) ) $=
          ( vb va vd vg cfv wceq cv cmid co wcel cperpg wbr wo wa crio clmi crn
          cmpt cvv clng df-lmi fveq2 eqtr4di rneqd oveqd eleq1d breq123d orbi1d
          cbs eqidd anbi12d riotaeqbidv mpteq12dv cstrkg elexd fvexi rnexg mp2b
          mptexg a1i fvmptd3 eleq2 breq1 riotabidv mpteq2dv adantl mptex fvmptd
          syl5eq oveq1 breq2d eqeq1 orbi12d wreu lmieu riotacl syl eqeq2d oveq2
          wb eqeq2 riota2 syl2anc eqcom bitr4di bitr4d ) ACBIUEZUFCBUAUGZFUHUEZ
          UIZDUJZDBXHHUIZFUKUEZULZBXHUFZUMZUNZUAEUOZUFZBCXIUIZDUJZDBCHUIZXMULZB
          CUFZUMZUNZAXGXRCAUBBUBUGZXHXIUIZDUJZDYGXHHUIZXMULZYGXHUFZUMZUNZUAEUOZ
          XREIEAIDFUPUEZUEUBEYOURZPAUCDUBEYHUCUGZUJZYRYJXMULZYLUMZUNZUAEUOZURZY
          QHUQZYPUSAUDFUCUDUGZUTUEZUQZUBUUFVIUEZYGXHUUFUHUEZUIZYRUJZYRYGXHUUGUI
          ZUUFUKUEZULZYLUMZUNZUAUUIUOZURZURUCUUEUUDURZUSUPUSUDUCUBUAVAUUFFUFZUC
          UUHUUSUUEUUDUVAUUGHUVAUUGFUTUEHUUFFUTVBQVCZVDUVAUBUUIUUREUUCUVAUUIFVI
          UEEUUFFVIVBKVCZUVAUUQUUBUAUUIEUVCUVAUULYSUUPUUAUVAUUKYHYRUVAUUJXIYGXH
          UUFFUHVBVEVFUVAUUOYTYLUVAYRYRUUMYJUUNXMUVAYRVJUUFFUKVBUVAUUGHYGXHUVBV
          EVGVHVKVLVMVMAFVNNVOUUTUSUJZAHUSUJUUEUSUJUVDHFUTQVPHUSVQUCUUEUUDUSVSV
          RVTWAYRDUFZUUDYQUFAUVEUBEUUCYOUVEUUBYNUAEUVEYSYIUUAYMYRDYHWBUVEYTYKYL
          YRDYJXMWCVHVKWDWEWFRYQUSUJAUBEYOEFVIKVPWGVTWHWIYGBUFZYOXRUFAUVFYNXQUA
          EUVFYIXKYMXPUVFYHXJDYGBXHXIWJVFUVFYKXNYLXOUVFYJXLDXMYGBXHHWJWKYGBXHWL
          WMVKWDWFSAXQUAEWNZXREUJABDEFGHJUAKLMNOQRSWOZXQUAEWPWQWHWRAYFXRCUFZXSA
          CEUJUVGYFUVIWTTUVHXQYFUAECXHCUFZXKYAXPYEUVJXJXTDXHCBXIWSVFUVJXNYCXOYD
          UVJXLYBDXMXHCBHWSWKXHCBXAWMVKXBXCCXRXDXEXF $.

        ${
          lmicom.1 $e |- ( ph -> ( M ` A ) = B ) $.
          $( The line mirroring function is an involution.  Theorem 10.4 of
             [Schwabhauser] p. 89.  (Contributed by Thierry Arnoux,
             11-Dec-2019.) $)
          lmicom $p |- ( ph -> ( M ` B ) = A ) $=
            ( cfv wceq cmid co wcel cperpg wbr wo midcom wa eqcomd islmib mpbid
            simpld eqeltrrd wn simprd orcomd ord cstrkg adantr neqned tglinecom
            wi simpr breq2d pm5.74da orrd eqcom orbi2i sylib mpbir2and ) ABCIUB
            ZABVNUCCBFUDUBZUEZDUFDCBHUEZFUGUBZUHZCBUCZUIZABCVOUEZVPDABCEFGJKLMN
            OSTUJAWBDUFZDBCHUEZVRUHZBCUCZUIZACBIUBZUCWCWGUKAWHCUAULABCDEFGHIJKL
            MNOPQRSTUMUNZUOUPAVSWFUIWAAWFVSAWFVSAWFUQZWEVEWJVSVEAWFWEAWEWFAWCWG
            WIURUSUTAWJWEVSAWJUKZWDVQDVRWKEBCFGHKMQAFVAUFWJNVBABEUFWJSVBACEUFWJ
            TVBWKBCAWJVFVCVDVGVHUNVIUSWFVTVSBCVJVKVLACBDEFGHIJKLMNOPQRTSUMVMUL
            $.
        $}
      $}

      $( Line mirroring is an involution.  Theorem 10.5 of [Schwabhauser]
         p. 89.  (Contributed by Thierry Arnoux, 11-Dec-2019.) $)
      lmilmi $p |- ( ph -> ( M ` ( M ` A ) ) = A ) $=
        ( cfv lmicl eqidd lmicom ) ABBHSZCDEFGHIJKLMNOPQRABCDEFGHIJKLMNOPQRTAUC
        UAUB $.

      $d A b $.  $d M b $.
      $( Any point has a unique antecedent through line mirroring.  Theorem
         10.6 of [Schwabhauser] p. 89.  (Contributed by Thierry Arnoux,
         11-Dec-2019.) $)
      lmireu $p |- ( ph -> E! b e. P ( M ` b ) = A ) $=
        ( cfv wcel wceq cv wi wral lmicl lmilmi wa cstrkg ad2antrr cstrkgld wbr
        wreu c2 crn simplr simpr fveq2d eqtr3d ralrimiva fveqeq2 eqreu syl3anc
        ex ) ABHTZDUAVEHTBUBZJUCZHTZBUBZVGVEUBZUDZJDUEVIJDUMABCDEFGHIKLMNOPQRSU
        FABCDEFGHIKLMNOPQRSUGAVKJDAVGDUAZUHZVIVJVMVIUHZVHHTVGVEVNVGCDEFGHIKLMAE
        UIUAVLVINUJAEUNUKULVLVIOUJPQACGUOUAVLVIRUJAVLVIUPUGVNVHBHVMVIUQURUSVDUT
        VIVFJDVEVGVEBHVAVBVC $.

      ${
        $d B b $.
        lmieq.c $e |- ( ph -> B e. P ) $.
        lmieq.d $e |- ( ph -> ( M ` A ) = ( M ` B ) ) $.
        $( Equality deduction for line mirroring.  Theorem 10.7 of
           [Schwabhauser] p. 89.  (Contributed by Thierry Arnoux,
           11-Dec-2019.) $)
        lmieq $p |- ( ph -> A = B ) $=
          ( vb cv cfv wceq fveqeq2 lmicl lmireu eqidd reu2eqd ) AUBUCZIUDCIUDZU
          EBIUDULUEULULUEUBEBCUKBULIUFUKCULIUFAULDEFGHIJUBKLMNOPQRACDEFGHIJKLMN
          OPQRTUGUHSTUAAULUIUJ $.
      $}

      $( The invariants of the line mirroring lie on the mirror line.  Theorem
         10.8 of [Schwabhauser] p. 89.  (Contributed by Thierry Arnoux,
         11-Dec-2019.) $)
      lmiinv $p |- ( ph -> ( ( M ` A ) = A <-> A e. D ) ) $=
        ( cfv wceq cmid co wcel cperpg wbr wo wa islmib wb eqcom a1i eqidd olcd
        biantrud midid eleq1d bitr3d 3bitr3d ) ABBHSZTZBBEUASUBZCUCZCBBGUBEUDSU
        EZBBTZUFZUGZUSBTZBCUCZABBCDEFGHIJKLMNOPQRRUHUTVGUIABUSUJUKAVBVFVHAVEVBA
        VDVCABULUMUNAVABCABBDEFIJKLMNRRUOUPUQUR $.

      ${
        lmicinv.1 $e |- ( ph -> A e. D ) $.
        $( The mirroring line is an invariant.  (Contributed by Thierry Arnoux,
           8-Aug-2020.) $)
        lmicinv $p |- ( ph -> ( M ` A ) = A ) $=
          ( cfv wceq wcel lmiinv mpbird ) ABHTBUABCUBSABCDEFGHIJKLMNOPQRUCUD $.
      $}

      ${
        lmimid.s $e |- S = ( ( pInvG ` G ) ` B ) $.
        lmimid.r $e |- ( ph -> <" A B C "> e. ( raG ` G ) ) $.
        lmimid.a $e |- ( ph -> A e. D ) $.
        lmimid.b $e |- ( ph -> B e. D ) $.
        lmimid.c $e |- ( ph -> C e. P ) $.
        lmimid.d $e |- ( ph -> A =/= B ) $.
        $( If we have a right angle, then the mirror point is the point
           inversion.  (Contributed by Thierry Arnoux, 15-Dec-2019.) $)
        lmimid $p |- ( ph -> ( M ` C ) = ( S ` C ) ) $=
          ( cfv wceq cmid co wcel cperpg wbr cmir a1i fveq1d eqid tglnpt ismidb
          wo mircl mpbid eqeltrd wn wne df-ne wa cstrkg adantr tgelrnln midbtwn
          simpr eqeltrrd btwnlng1 elind tglinerflx1 mirinv eqcom bitrdi biimpar
          crn eqcomd ex necon3d imp cs3 crag ragperp syl5bir orrd orcomd islmib
          mpbir2and ) ADGUHZDKUHZAWOWPUIDWOHUJUHUKZEULEDWOJUKZHUMUHUNZDWOUIZVAA
          WQCEAWODCHUOUHZUHZUHUIWQCUIADGXBGXBUIAUBUPUQADWOFXAHICLMNOPQUFACFXAHI
          JGLDMNOSXAURZPAEFHIJCMSOPTUEUSZUBUFVBZXCXDUTVCZUEVDAWTWSAWTWSWTVEDWOV
          FZAWSDWOVGAXGWSAXGVHZEWRFBHIJLDCMNOSAHVIULXGPVJZAEJWBULXGTVJXHFHIJDWO
          MOSXIADFULXGUFVJZAWOFULXGXEVJZAXGVMZVKXHEWRCACEULXGUEVJXHFHIJDWOCMOSX
          IXJXKACFULXGXDVJXLACDWOIUKZULXGAWQCXMXFADWOFHILMNOPQUFXEVLVNVJVOVPABE
          ULXGUDVJXHFDWOHIJMOSXIXJXKXLVQABCVFXGUGVJAXGDCVFADCDWOADCUIZWTAXNVHWO
          DAWODUIZXNAXOCDUIXNACDFXAHIJGLMNOSXCPXDUBUFVRCDVSVTWAWCWDWEWFABCDWGHW
          HUHULXGUCVJWIWDWJWKWLADWOEFHIJKLMNOPQRSTUFXEWMWNWC $.
      $}
    $}

    $d b M $.
    $( The line mirroring function ` M ` is a bijection.  Theorem 10.9 of
       [Schwabhauser] p. 89.  (Contributed by Thierry Arnoux, 11-Dec-2019.) $)
    lmif1o $p |- ( ph -> M : P -1-1-onto-> P ) $=
      ( vb wceq wcel adantr wfn ccnv wf1o lmif ffnd wf cv cfv wral wa cstrkg c2
      cstrkgld wbr crn simpr lmilmi ralrimiva nvocnv syl2anc nvof1o ) AGCUAGUBG
      RZCCGUCACCGABCDEFGHIJKLMNOPUDZUEACCGUFQUGZGUHGUHVDRZQCUIVBVCAVEQCAVDCSZUJ
      VDBCDEFGHIJKADUKSVFLTADULUMUNVFMTNOABFUOSVFPTAVFUPUQURQCGUSUTCGVAUT $.

    ${
      lmiiso.1 $e |- ( ph -> A e. P ) $.
      lmiiso.2 $e |- ( ph -> B e. P ) $.
      ${
        $( TODO this can be shortened as the first part of the proof is
          symmetrical for A and B $)
        lmiisolem.s $e |- S = ( ( pInvG ` G ) ` Z ) $.
        lmiisolem.z $e |- Z = ( ( A ( midG ` G ) ( M ` A ) )
           ( midG ` G ) ( B ( midG ` G ) ( M ` B ) ) ) $.
        $( Lemma for ~ lmiiso .  (Contributed by Thierry Arnoux,
           14-Dec-2019.) $)
        lmiisolem $p |- ( ph -> ( ( M ` A ) .- ( M ` B ) ) = ( A .- B ) ) $=
          ( cfv co wceq wcel cstrkg adantr cmid lmicl midcl eqeltrid cmir mircl
          wa eqid mircgr simpr eqcomd tgcgreq oveq2d eqtr4id cstrkgld wbr midid
          c2 eqtrd cperpg wo eqidd islmib mpbid simpld eqeltrd midbtwn btwnlng1
          wne crn tglinethru eleqtrrd pm2.61dane eqeltrrd lmiinv biimpar syldan
          eqtr4d oveq1d cs3 crag axtgbtwnid s3eqd ragtrivb df-ne simprd orcanai
          wn orcomd sylan2b midcgr axtgcgrid ex necon3d imp tglineelsb2 breqtrd
          tglinecom perpdrag israg ismidb mpbird 3eqtr2d mirbtwn 3eqtr4d fveq1i
          tgcgrcomlr mirmid eqcomi mpbiri 3eqtr4a oveq12d miriso axtg5seg
          eqtr2d ) ABJUEZCJUEZKUFZBCKUFZUGBFUEZLAYJLUGZUQZYHLYGKUFZLCKUFZYIYLYF
          LYGKYLYFBLAYKBDUHZYFBUGZYLLBDYLLYJLBEGHKMNOAGUIUHZYKPUJZALEUHZYKALBYF
          GUKUEZUFZCYGYTUFZYTUFZEUDAUUAUUBEGHKMNOPQABYFEGHKMNOPQUAABDEGHIJKMNOP
          QRSTUAULZUMZACYGEGHKMNOPQUBACDEGHIJKMNOPQRSTUBULZUMZUMUNZUJZAYJEUHZYK
          ALEGUOUEZGHIFKBMNOSUUKURZPUUHUCUAUPZUJUUIABEUHZYKUAUJZYLLBEUUKGHIFKMN
          OSUULYRUUIUCUUOUSYLYJLAYKUTVAVBZALDUHZYKAUUQUUAUUBAUUAUUBUGZUQZLUUADU
          USLUUAUUAYTUFZUUAUUSLUUCUUTUDUUSUUAUUBUUAYTAUURUTVCVDUUSUUAUUAEGHKMNO
          AYQUURPUJAGVHVEVFZUURQUJAUUAEUHZUURUUEUJZUVCVGVIAUUADUHZUURAUVDDBYFIU
          FZGVJUEZVFZBYFUGZVKZAYFYFUGUVDUVIUQAYFVLABYFDEGHIJKMNOPQRSTUAUUDVMVNZ
          VOZUJVPAUUAUUBVSZUQZLUUAUUBIUFDUVMEGHIUUAUUBLMOSAYQUVLPUJZAUVBUVLUUEU
          JZAUUBEUHZUVLUUGUJZAYSUVLUUHUJAUVLUTZALUUAUUBHUFZUHUVLALUUCUVSUDAUUAU
          UBEGHKMNOPQUUEUUGVQUNUJVRUVMDEUUAUUBGHIMOSUVNUVOUVQUVRUVRADIVTUHUVLTU
          JAUVDUVLUVKUJAUUBDUHZUVLAUVTDCYGIUFZUVFVFZCYGUGZVKZAYGYGUGUVTUWDUQAYG
          VLACYGDEGHIJKMNOPQRSTUBUUFVMVNZVOZUJWAWBWCZUJWDAYPYOABDEGHIJKMNOPQRST
          UAWEWFWGUUPWHWIAYNYMUGZYKAYNLCUUBUUKUEZUEZKUFZYMALUUBCWJZGWKUEZUHZYNU
          WKUGAUWNCYGAUWCUQZLCCWJZUWLUWMUWOLCCCLUUBUWOLVLUWOEGHKCUUBMNOAYQUWCPU
          JACEUHZUWCUBUJAUVPUWCUUGUJUWOUUBCYGHUFZCCHUFAUUBUWRUHZUWCACYGEGHKMNOP
          QUBUUFVQZUJUWOCYGCHAUWCUTVCWBWLUWOCVLWMAUWPUWMUHUWCALCCEUUKGHIKMNOSUU
          LPUUHUBUBWNUJWDACYGVSZUQZLUUBCDEGHIKMNOSAYQUXAPUJZAUUQUXAUWGUJAUVTUXA
          UWFUJAUWQUXAUBUJZUXBDUWAUUBCIUFZUVFUXAAUWCWRUWBCYGWOAUWCUWBAUWBUWCAUV
          TUWDUWEWPWSWQWTUXBUWACUUBIUFUXEUXBECYGUUBGHIMOSUXCUXDAYGEUHZUXAUUFUJZ
          AUXAUTZAUVPUXAUUGUJZAUXAUUBCVSAUUBCCYGAUUBCUGZUWCAUXJUQZEGHKCYGCMNOAY
          QUXJPUJZAUWQUXJUBUJZAUXFUXJUUFUJZUXMUXKCCKUFCYGKUFUXKCYGCEGHKMNOUXLAU
          VAUXJQUJUXMUXNAUXJUTXAVAXBXCXDXEZUXBEGHICYGUUBMOSUXCUXDUXGUXIUXHAUWSU
          XAUWTUJVRXFUXBEUUBCGHIMOSUXCUXIUXDUXOXHWHXGXIWCALUUBCEUUKGHIKMNOSUULP
          UUHUUGUBXJVNAYGUWJLKAYGUWJUGUUBUUBUGAUUBVLACYGEUUKGHUUBKMNOPQUBUUFUUL
          UUGXKXLZVCWHZUJYLLBCKUUPWIXMAYJLVSZUQZYIYHUXSYFFUEZLYFECGHKYGYJLBMNOA
          YQUXRPUJZAUUJUXRUUMUJZAYSUXRUUHUJZAUUNUXRUAUJZAUXTEUHUXRALEUUKGHIFKYF
          MNOSUULPUUHUCUUDUPZUJZUYCAYFEUHZUXRUUDUJZAUWQUXRUBUJZAUXFUXRUUFUJZAUX
          RUTUXSLBEUUKGHIFKMNOSUULUYAUYCUCUYDXNUXSLYFEUUKGHIFKMNOSUULUYAUYCUCUY
          HXNUXSLYJLUXTEGHKMNOUYAUYCUYBUYCUYFALYJKUFZLUXTKUFZUGUXRALBKUFZLYFKUF
          ZUYKUYLAUYMLBUUAUUKUEUEZKUFZUYNALUUABWJZUWMUHZUYMUYPUGAUYRBYFAUVHUQZL
          BBWJZUYQUWMUYSLBBBLUUAUYSLVLUYSEGHKBUUAMNOAYQUVHPUJAUUNUVHUAUJAUVBUVH
          UUEUJUYSUUABYFHUFZBBHUFAUUAVUAUHZUVHABYFEGHKMNOPQUAUUDVQZUJUYSBYFBHAU
          VHUTVCWBWLUYSBVLWMAUYTUWMUHUVHALBBEUUKGHIKMNOSUULPUUHUAUAWNUJWDABYFVS
          ZUQZLUUABDEGHIKMNOSAYQVUDPUJZAUUQVUDUWGUJAUVDVUDUVKUJAUUNVUDUAUJZVUED
          UVEUUABIUFZUVFVUDAUVHWRUVGBYFWOAUVHUVGAUVGUVHAUVDUVIUVJWPWSWQWTVUEUVE
          BUUAIUFVUHVUEEBYFUUAGHIMOSVUFVUGAUYGVUDUUDUJZAVUDUTZAUVBVUDUUEUJZAVUD
          UUABVSAUUABBYFAUUABUGZUVHAVULUQZEGHKBYFBMNOAYQVULPUJZAUUNVULUAUJZAUYG
          VULUUDUJZVUOVUMBBKUFBYFKUFVUMBYFBEGHKMNOVUNAUVAVULQUJVUOVUPAVULUTXAVA
          XBXCXDXEZVUEEGHIBYFUUAMOSVUFVUGVUIVUKVUJAVUBVUDVUCUJVRXFVUEEUUABGHIMO
          SVUFVUKVUGVUQXHWHXGXIWCALUUABEUUKGHIKMNOSUULPUUHUUEUAXJVNAYFUYOLKAYFU
          YOUGUUAUUAUGAUUAVLABYFEUUKGHUUAKMNOPQUAUUDUULUUEXKXLVCWHZALBEUUKGHIFK
          MNOSUULPUUHUCUAUSALYFEUUKGHIFKMNOSUULPUUHUCUUDUSXOUJXQAUYMUYNUGUXRVUR
          UJUXSCYJYGUXTEGHKMNOUYAUYIUYBUYJUYFACYJKUFZYGUXTKUFZUGUXRAVUTUWJYJUWI
          UEZKUFVUSAYGUWJUXTVVAKUXPAUXTVVAUGYJUXTYTUFZUUBUGAUUAFUEUUALUUKUEZUEZ
          VVBUUBUUAFVVCUCXPABYFEFGHLKMNOPQUAUUDUCUUHXRAUUBVVDUGUUCLUGLUUCUDXSAU
          UAUUBEUUKGHLKMNOPQUUEUUGUULUUHXKXTYAAYJUXTEUUKGHUUBKMNOPQUUMUYEUULUUG
          XKXLYBAUUBEUUKGHIUWIKCYJMNOSUULPUUGUWIURUBUUMYCYEUJXQAUWHUXRUXQUJYDVA
          WC $.
      $}

      $( The line mirroring function is an isometry, i.e. it is conserves
         congruence.  Because it is also a bijection, it is also a motion.
         Theorem 10.10 of [Schwabhauser] p. 89.  (Contributed by Thierry
         Arnoux, 11-Dec-2019.) $)
      lmiiso $p |- ( ph -> ( ( M ` A ) .- ( M ` B ) ) = ( A .- B ) ) $=
        ( cfv cmid co cmir eqid lmiisolem ) ABCDEBBIUAFUBUAZUCCCIUAUGUCUGUCZFUD
        UAUAZFGHIJUHKLMNOPQRSTUIUEUHUEUF $.
    $}

    $d a b M $.
    $( Line mirroring is a motion of the geometric space.  Theorem 10.11 of
       [Schwabhauser] p. 90.  (Contributed by Thierry Arnoux, 15-Dec-2019.) $)
    lmimot $p |- ( ph -> M e. ( G Ismt G ) ) $=
      ( va vb co wcel cismt wf1o cv cfv wceq wral lmif1o cstrkg adantr cstrkgld
      wa c2 wbr crn simprl simprr lmiiso ralrimivva wb ismot syl mpbir2and ) AG
      DDUASTZCCGUBZQUCZGUDRUCZGUDHSVEVFHSUEZRCUFQCUFZABCDEFGHIJKLMNOPUGAVGQRCCA
      VECTZVFCTZUKZUKVEVFBCDEFGHIJKADUHTZVKLUIADULUJUMVKMUINOABFUNTVKPUIAVIVJUO
      AVIVJUPUQURAVLVCVDVHUKUSLCGDHUHQRIJUTVAVB $.
  $}

  ${
    hypcgr.p $e |- P = ( Base ` G ) $.
    hypcgr.m $e |- .- = ( dist ` G ) $.
    hypcgr.i $e |- I = ( Itv ` G ) $.
    hypcgr.g $e |- ( ph -> G e. TarskiG ) $.
    hypcgr.h $e |- ( ph -> G TarskiGDim>= 2 ) $.
    hypcgr.a $e |- ( ph -> A e. P ) $.
    hypcgr.b $e |- ( ph -> B e. P ) $.
    hypcgr.c $e |- ( ph -> C e. P ) $.
    hypcgr.d $e |- ( ph -> D e. P ) $.
    hypcgr.e $e |- ( ph -> E e. P ) $.
    hypcgr.f $e |- ( ph -> F e. P ) $.
    hypcgr.1 $e |- ( ph -> <" A B C "> e. ( raG ` G ) ) $.
    hypcgr.2 $e |- ( ph -> <" D E F "> e. ( raG ` G ) ) $.
    hypcgr.3 $e |- ( ph -> ( A .- B ) = ( D .- E ) ) $.
    hypcgr.4 $e |- ( ph -> ( B .- C ) = ( E .- F ) ) $.
    ${
      hypcgrlem2.b $e |- ( ph -> B = E ) $.
      ${
        hypcgrlem1.s $e |- S
          = ( ( lInvG ` G ) ` ( ( A ( midG ` G ) D ) ( LineG ` G ) B ) ) $.
        hypcgrlem1.a $e |- ( ph -> C = F ) $.
        $( Lemma for ~ hypcgr , case where triangles share a cathetus.
           (Contributed by Thierry Arnoux, 15-Dec-2019.) $)
        hypcgrlem1 $p |- ( ph -> ( A .- C ) = ( D .- F ) ) $=
          ( co wceq cmid cfv cstrkg wcel adantr cmir cs3 crag clng ragcom israg
          wa mpbid eqcomd ismidb biimpar oveq12d eqtr4d tgcgrcomlr wne ad2antrr
          eqid simpr cstrkgld wbr midcl simplr tgelrnln ccgrg midbtwn btwncolg3
          mircl eqidd s3eqd eqeltrd lncgr mpbird tglinerflx1 tglinerflx2 lmimid
          c2 oveq2d cperpg wo midcom necomd tgbtwncom btwnlng1 midcgr axtgcgrid
          elind necon3d imp oveq1d eqtrd ragperp islmib mpbir2and lmiiso 3eqtrd
          ex orcd pm2.61dane ) ABDLUKZEILUKZULZBEJUMUNZUKZCAXTCULZVDZDBIEFJKLMN
          OAJUOUPZYAPUQADFUPZYATUQABFUPZYARUQAIFUPYAUCUQAEFUPZYAUAUQYBDBLUKZDBC
          JURUNZUNZUNZLUKZIELUKAYGYKULZYAADCBUSJUTUNZUPYLABCDFYHJKJVAUNZLMNOYNV
          NZYHVNZPRSTUDVBADCBFYHJKYNLMNOYOYPPTSRVCVEUQYBIDEYJLAIDULYAADIUJVFUQA
          EYJULYAABEFYHJKCLMNOPQRUAYPSVGVHVIVJVKAXTCVLZVDZXRBEYRBEULZVDBEDILYRY
          SVOADIULYQYSUJVMVIYRBEVLZVDZXPBDGUNZLUKZXQUUAXPBDYIUNZLUKZUUCUUABCDUS
          YMUPZXPUUEULAUUFYQYTUDVMUUABCDFYHJKYNLMNOYOYPAYCYQYTPVMZAYEYQYTRVMZAC
          FUPYQYTSVMZAYDYQYTTVMZVCVEZUUAUUBUUDBLUUAXTCDXTCYNUKZFYIJKYNGLMNOUUGA
          JWMVPVQZYQYTQVMZUIYOUUAFJKYNXTCMOYOUUGUUABEFJKLMNOUUGUUNUUHAYFYQYTUAV
          MZVRZUUIAYQYTVSZVTZUUPYIVNZUUAXTCDUSYMUPXTDLUKXTUUDLUKULUUADUUDFJWAUN
          ZJKYNLBEXTMYOOUUGUUHUUOUUPUUTVNUUJUUACFYHJKYNYILDMNOYOYPUUGUUIUUSUUJW
          DNYRYTVOZUUAFJKYNBXTEMYOOUUGUUHUUPUUOUUABEFJKLMNOUUGUUNUUHUUOWBZWCUUK
          UUAECDUSZYMUPEDLUKZEUUDLUKULUUAUVCEHIUSZYMAUVCUVEULYQYTAECDIEHAEWEUHU
          JWFVMAUVEYMUPYQYTUEVMWGUUAECDFYHJKYNLMNOYOYPUUGUUOUUIUUJVCVEWHUUAXTCD
          FYHJKYNLMNOYOYPUUGUUPUUIUUJVCWIUUAFXTCJKYNMOYOUUGUUPUUIUUQWJZUUAFXTCJ
          KYNMOYOUUGUUPUUIUUQWKZUUJUUQWLWNVJUUAUUCEGUNZUUBLUKUVDXQUUABUVHUUBLUU
          ABUVHULEBXSUKZUULUPUULEBYNUKZJWOUNVQZEBULZWPUUAUVIXTUULUUAEBFJKLMNOUU
          GUUNUUOUUHWQUVFWGUUAUVKUVLUUAUULUVJFCJKYNLBXTMNOYOUUGUURUUAFJKYNEBMOY
          OUUGUUOUUHUUABEUVAWRZVTUUAUULUVJXTUVFUUAFJKYNEBXTMOYOUUGUUOUUHUUPUVMU
          UABXTEFJKLMNOUUGUUHUUPUUOUVBWSWTXCUVGUUAFEBJKYNMOYOUUGUUOUUHUVMWKUUAX
          TCUUQWRYRYTBXTVLYRBXTBEYRBXTULZYSYRUVNVDZFJKLBEBMNOAYCYQUVNPVMZAYEYQU
          VNRVMZAYFYQUVNUAVMZUVQUVOBBLUKBELUKUVOBEBFJKLMNOUVPAUUMYQUVNQVMUVQUVR
          UVOBXTYRUVNVOVFXAVFXBXMXDXEUUACXTBUSYMUPCBLUKZCBXTYHUNUNZLUKZULUUAUVS
          CELUKZUWAAUVSUWBULYQYTAUVSHELUKUWBABCEHFJKLMNOPRSUAUBUFVKACHELUHXFVJV
          MUUAEUVTCLUUAEUVTULXTXTULUUAXTWEUUABEFYHJKXTLMNOUUGUUNUUHUUOYPUUPVGWI
          WNXGUUACXTBFYHJKYNLMNOYOYPUUGUUIUUPUUHVCWIXHXNUUAEBUULFJKYNGLMNOUUGUU
          NUIYOUURUUOUUHXIXJXFUUAEDUULFJKYNGLMNOUUGUUNUIYOUURUUOUUJXKAUVDXQULYQ
          YTADIELUJWNVMXLXGXOXO $.
      $}

      hypcgrlem2.s $e |- S
        = ( ( lInvG ` G ) ` ( ( C ( midG ` G ) F ) ( LineG ` G ) B ) ) $.
      $( Lemma for ~ hypcgr , case where triangles share one vertex ` B ` .
         (Contributed by Thierry Arnoux, 16-Dec-2019.) $)
      hypcgrlem2 $p |- ( ph -> ( A .- C ) = ( D .- F ) ) $=
        ( co wceq cmid cfv wa cmir clng clmi cstrkg wcel adantr c2 cstrkgld wbr
        eqid mircl eqidd mirinv mpbird eqcomd midcom simpr eqtr3d ismidb mirrag
        cs3 crag s3eqd eqeltrd miriso oveq2d 3eqtr2d oveq1d hypcgrlem1 ad2antrr
        3eqtrd wne midcl simplr tgelrnln lmicl lmimot motrag lmiiso tglinerflx2
        eqtr4d lmicinv fveq2d cperpg wo tglinerflx1 eqeltrrd tgbtwncom btwnlng1
        necomd midbtwn elind midcgr axtgcgrid necon3d imp oveq12d eqtrd ragperp
        ex israg orcd islmib mpbir2and pm2.61dane ) ABDLUJZEILUJZUKZDIJULUMZUJZ
        CAYDCUKZUNZXTECJUOUMZUMZUMZDLUJYIIYHUMZLUJYAYFBCDYIFBYIYCUJCJUPUMZUJJUQ
        UMZUMZHDJKLMNOAJURUSZYEPUTZAJVAVBVCZYEQUTZABFUSZYERUTACFUSZYESUTZADFUSZ
        YETUTZYFCFYGJKYKYHLEMNOYKVDZYGVDZYOYTYHVDZAEFUSZYEUAUTZVEAHFUSZYEUBUTZU
        UBABCDVOJVPUMZUSZYEUDUTYFYIHDVOYIHYHUMZYJVOUUJYFYIHDYJYIUULYFYIVFYFUULH
        YFUULHUKCHUKZAUUMYEUHUTZYFCHFYGJKYKYHLMNOUUCUUDYOYTUUEUUIVGVHZVIYFDYJUK
        IDYCUJZCUKYFYDUUPCYFDIFJKLMNOYOYQUUBAIFUSZYEUCUTZVJAYEVKVLYFIDFYGJKCLMN
        OYOYQUURUUBUUDYTVMVHZVQYFEHICFYGJKYKYHLMNOUUCUUDYOUUGUUIUURAEHIVOUUJUSZ
        YEUEUTUUEYTVNVRYFBCLUJZEHLUJZYIUULLUJYIHLUJAUVAUVBUKZYEUFUTYFCFYGJKYKYH
        LEHMNOUUCUUDYOYTUUEUUGUUIVSYFUULHYILUUOVTWAYFCHDLUUNWBUUNYMVDYFDVFWCYFD
        YJYILUUSVTYFCFYGJKYKYHLEIMNOUUCUUDYOYTUUEUUGUURVSWEAYDCWFZUNZYBDIUVEDIU
        KZUNBCDEFBEYCUJCYKUJYLUMZHIJKLMNOAYNUVDUVFPWDAYPUVDUVFQWDAYRUVDUVFRWDAY
        SUVDUVFSWDAUUAUVDUVFTWDAUUFUVDUVFUAWDAUUHUVDUVFUBWDAUUQUVDUVFUCWDAUUKUV
        DUVFUDWDAUUTUVDUVFUEWDAUVCUVDUVFUFWDACDLUJZHILUJZUKZUVDUVFUGWDAUUMUVDUV
        FUHWDUVGVDUVEUVFVKWCUVEDIWFZUNZXTEGUMZIGUMZLUJYAUVLBCDUVMFBUVMYCUJCYKUJ
        YLUMZHGUMZUVNJKLMNOAYNUVDUVKPWDZAYPUVDUVKQWDZAYRUVDUVKRWDAYSUVDUVKSWDZA
        UUAUVDUVKTWDZUVLEYDCYKUJZFJKYKGLMNOUVQUVRUIUUCUVLFJKYKYDCMOUUCUVQUVLDIF
        JKLMNOUVQUVRUVTAUUQUVDUVKUCWDZWGZUVSAUVDUVKWHZWIZAUUFUVDUVKUAWDZWJUVLHU
        WAFJKYKGLMNOUVQUVRUIUUCUWEAUUHUVDUVKUBWDZWJUVLIUWAFJKYKGLMNOUVQUVRUIUUC
        UWEUWBWJAUUKUVDUVKUDWDUVLEHIFYGGJKYKLMNOUUCUUDUVQUWFUWGUWBUVLUWAFJKYKGL
        MNOUVQUVRUIUUCUWEWKAUUTUVDUVKUEWDWLUVLUVAUVBUVMUVPLUJAUVCUVDUVKUFWDUVLE
        HUWAFJKYKGLMNOUVQUVRUIUUCUWEUWFUWGWMWOUVLUVHUVIUVPUVNLUJAUVJUVDUVKUGWDZ
        UVLHIUWAFJKYKGLMNOUVQUVRUIUUCUWEUWGUWBWMWOUVLCGUMCUVPUVLCUWAFJKYKGLMNOU
        VQUVRUIUUCUWEUVSUVLFYDCJKYKMOUUCUVQUWCUVSUWDWNZWPUVLCHGAUUMUVDUVKUHWDZW
        QVLUVOVDUVLDUVNUKUUPUWAUSUWAIDYKUJZJWRUMVCZIDUKZWSUVLYDUUPUWAUVLDIFJKLM
        NOUVQUVRUVTUWBVJUVLFYDCJKYKMOUUCUVQUWCUVSUWDWTZXAUVLUWLUWMUVLUWAUWKFCJK
        YKLDYDMNOUUCUVQUWEUVLFJKYKIDMOUUCUVQUWBUVTUVLDIUVEUVKVKXDZWIUVLUWAUWKYD
        UWNUVLFJKYKIDYDMOUUCUVQUWBUVTUWCUWOUVLDYDIFJKLMNOUVQUVTUWCUWBUVLDIFJKLM
        NOUVQUVRUVTUWBXEXBXCXFUWIUVLFIDJKYKMOUUCUVQUWBUVTUWOWNUVLYDCUWDXDUVEUVK
        DYDWFUVEDYDDIUVEDYDUKZUVFUVEUWPUNZFJKLDIDMNOAYNUVDUWPPWDZAUUAUVDUWPTWDZ
        AUUQUVDUWPUCWDZUWSUWQDDLUJDILUJUWQDIDFJKLMNOUWRAYPUVDUWPQWDUWSUWTUWQDYD
        UVEUWPVKVIXGVIXHXNXIXJUVLCYDDVOUUJUSUVHCDYDYGUMUMZLUJZUKUVLUVHUVIUXBUWH
        UVLHCIUXALUVLCHUWJVIUVLIUXAUKYDYDUKUVLYDVFUVLDIFYGJKYDLMNOUVQUVRUVTUWBU
        UDUWCVMVHXKXLUVLCYDDFYGJKYKLMNOUUCUUDUVQUVSUWCUVTXOVHXMXPUVLIDUWAFJKYKG
        LMNOUVQUVRUIUUCUWEUWBUVTXQXRWCUVLEIUWAFJKYKGLMNOUVQUVRUIUUCUWEUWFUWBWMX
        LXSXS $.
    $}

    $( If the catheti of two right-angled triangles are congruent, so is their
       hypothenuse.  Theorem 10.12 of [Schwabhauser] p. 91.  (Contributed by
       Thierry Arnoux, 16-Dec-2019.) $)
    hypcgr $p |- ( ph -> ( A .- C ) = ( D .- F ) ) $=
      ( co cmid cfv cmir clng clmi eqid midcl mircl mirrag miriso eqtr4d midcom
      wceq ismidb mpbird hypcgrlem2 eqtrd ) ABDKUGECGIUHUIZUGZIUJUIZUIZUIZHVHUI
      ZKUGEHKUGABCDVIFDVJVEUGCIUKUIZUGIULUIUIZGVHUIZVJIJKLMNOPQRSAVFFVGIJVKVHKE
      LMNVKUMZVGUMZOACGFIJKLMNOPRUAUNZVHUMZTUOAVFFVGIJVKVHKGLMNVNVOOVPVQUAUOAVF
      FVGIJVKVHKHLMNVNVOOVPVQUBUOUCAEGHVFFVGIJVKVHKLMNVNVOOTUAUBUDVQVPUPABCKUGE
      GKUGVIVMKUGUEAVFFVGIJVKVHKEGLMNVNVOOVPVQTUAUQURACDKUGGHKUGVMVJKUGUFAVFFVG
      IJVKVHKGHLMNVNVOOVPVQUAUBUQURACVMUTGCVEUGVFUTAGCFIJKLMNOPUARUSAGCFVGIJVFK
      LMNOPUARVOVPVAVBVLUMVCAVFFVGIJVKVHKEHLMNVNVOOVPVQTUBUQVD $.
  $}

  ${
    lmiopp.p $e |- P = ( Base ` G ) $.
    lmiopp.m $e |- .- = ( dist ` G ) $.
    lmiopp.i $e |- I = ( Itv ` G ) $.
    lmiopp.l $e |- L = ( LineG ` G ) $.
    lmiopp.g $e |- ( ph -> G e. TarskiG ) $.
    lmiopp.h $e |- ( ph -> G TarskiGDim>= 2 ) $.
    lmiopp.d $e |- ( ph -> D e. ran L ) $.
    lmiopp.o $e |- O = { <. a , b >. | ( ( a e. ( P \ D ) /\ b e. ( P \ D ) )
      /\ E. t e. D t e. ( a I b ) ) } $.
    ${
      $d .- a b t $.  $d A a b t $.  $d D a b t $.  $d G a b t $.
      $d I a b t $.  $d M a b t $.  $d O t $.  $d P a b t $.  $d a b ph t $.
      lmiopp.n $e |- M = ( ( lInvG ` G ) ` D ) $.
      lmiopp.a $e |- ( ph -> A e. P ) $.
      lmiopp.1 $e |- ( ph -> -. A e. D ) $.
      $( Line mirroring produces points on the opposite side of the mirroring
         line.  Theorem 10.14 of [Schwabhauser] p. 92.  (Contributed by Thierry
         Arnoux, 2-Aug-2020.) $)
      lmiopp $p |- ( ph -> A O ( M ` A ) ) $=
        ( cfv cmid co lmicl wcel cperpg wbr wo eqidd islmib mpbid simpld lmilmi
        wceq wa eqeq1d lmiinv eqcom a1i 3bitr3d bitrd mtbird midbtwn islnoppd
        wb ) ABCCIUEZCVJFUFUEUGZDEFGJKLMNOPUAUCACDEFGHIJNOPRSUBQTUCUHZAVKDUIZDC
        VJHUGFUJUEUKCVJURZULZAVJVJURVMVOUSAVJUMACVJDEFGHIJNOPRSUBQTUCVLUNUOUPUD
        AVJDUIZCDUIZUDAVPVJCURZVQAVJIUEZVJURVNVPVRAVSCVJACDEFGHIJNOPRSUBQTUCUQU
        TAVJDEFGHIJNOPRSUBQTVLVAVNVRVIACVJVBVCVDACDEFGHIJNOPRSUBQTUCVAVEVFACVJE
        FGJNOPRSUCVLVGVH $.
    $}

    ${
      $d .- a b p t $.  $d A a b c d p t $.  $d D a b c d p t $.
      $d G a b c d p t $.  $d I a b c p t $.  $d L a b c d p t $.
      $d O a b p t $.  $d P a b c d p t $.  $d Q a b c d p t $.
      $d ph a b c d p t $.
      lnperpex.a $e |- ( ph -> A e. D ) $.
      lnperpex.q $e |- ( ph -> Q e. P ) $.
      lnperpex.1 $e |- ( ph -> -. Q e. D ) $.
      $( Existence of a perpendicular to a line ` L ` at a given point ` A ` .
         Theorem 10.15 of [Schwabhauser] p. 92.  (Contributed by Thierry
         Arnoux, 2-Aug-2020.) $)
      lnperpex $p |- ( ph -> E. p e. P ( D ( perpG ` G ) ( p L A )
        /\ p ( ( hpG ` G ) ` D ) Q ) ) $=
        ( vd vc cv wne co cperpg cfv wbr chpg wa wrex wcel cstrkg adantr simprl
        ad4antr tglnpt ad2antrr ad3antrrr simprrl tglnne tgelrnln crn tglinecom
        perpln1 necomd eqbrtrd perpcom simplr simprrr lnopp2hpgb mpbid jca chlg
        oppcom eqid simpr oppne2 c2 cstrkgld oppperpex reximddv r19.29a tglnpt2
        hpgerlem ) ACUFUHZUIZDLUHZCIUJZGUKULZUMZWMFDGUNULULUMZUOZLEUPZUFDAWKDUQ
        ZUOWLUOZFUGUHZKUMZWSUGEXAXBEUQZUOZXCUOZCWMIUJZDWOUMZXBWMKUMZUOZWRLEXFWM
        EUQZXJUOZUOZWPWQXMWNDEGHIJOPQRXFGURUQZXLAXNWTWLXDXCSVAZUSZXMEGHIWMCOQRX
        PXFXKXJUTZXACEUQZXDXCXLAXRWTWLADEGHICORQSUAUCVBVCVDZXMCWMXMEGHICWMOQRXP
        XSXQXMXGDGIRXPXFXKXHXIVEZVJVFVKZVGXFDIVHUQZXLAYBWTWLXDXCUAVAZUSZXMWNXGD
        WOXMEWMCGHIOQRXPXQXSYAVIXTVLVMXMXCWQXEXCXLVNXMBWMFXBDEGHIKMNOQRUBXPYDXQ
        XFFEUQZXLAYEWTWLXDXCUDVAZUSXFXDXLXAXDXCVNZUSZXMBXBWMDEGHIJKMNOPQUBRYDXP
        YHXQXFXKXHXIVOVTVPVQVRXFBCXBDEGHGVSULZIJKLMNOPQUBRYCXOYIWAACDUQWTWLXDXC
        UCVAYGXFBFXBDEGHIJKMNOPQUBRYCXOYFYGXEXCWBWCAGWDWEUMWTWLXDXCTVAWFWGAXCUG
        EUPWTWLABFDEGHIKMNUGOQRSUAUDUBUEWJVCWHAUFDEGHICOQRSUAUCWIWH $.
    $}
  $}

  ${
    $d .- a b f j k l q t v w x y z $.  $d A a b f j k l q t v w x y z $.
    $d B a b f j k l q t v w x y z $.  $d C a b f j k l q t v w x y z $.
    $d D a b f j k l q t v w x y z $.  $d E a b f j k l q t v w x y z $.
    $d F a b f j k l q t v w x y z $.  $d G a b f j k l q t v w x y z $.
    $d I a b f j k l q t v w x y z $.  $d L a b f j k l q t v w x y z $.
    $d P a b f j k l q t v w x y z $.  $d ph a b f j k l q t v w x y z $.
    $d K a f j k l $.
    trgcopy.p $e |- P = ( Base ` G ) $.
    trgcopy.m $e |- .- = ( dist ` G ) $.
    trgcopy.i $e |- I = ( Itv ` G ) $.
    trgcopy.l $e |- L = ( LineG ` G ) $.
    trgcopy.k $e |- K = ( hlG ` G ) $.
    trgcopy.g $e |- ( ph -> G e. TarskiG ) $.
    trgcopy.a $e |- ( ph -> A e. P ) $.
    trgcopy.b $e |- ( ph -> B e. P ) $.
    trgcopy.c $e |- ( ph -> C e. P ) $.
    trgcopy.d $e |- ( ph -> D e. P ) $.
    trgcopy.e $e |- ( ph -> E e. P ) $.
    trgcopy.f $e |- ( ph -> F e. P ) $.
    trgcopy.1 $e |- ( ph -> -. ( A e. ( B L C ) \/ B = C ) ) $.
    trgcopy.2 $e |- ( ph -> -. ( D e. ( E L F ) \/ E = F ) ) $.
    trgcopy.3 $e |- ( ph -> ( A .- B ) = ( D .- E ) ) $.
    $( Triangle construction: a copy of a given triangle can always be
       constructed in such a way that one side is lying on a half-line, and the
       third vertex is on a given half-plane: existence part.  First part of
       Theorem 10.16 of [Schwabhauser] p. 92.  (Contributed by Thierry Arnoux,
       4-Aug-2020.) $)
    trgcopy $p |- ( ph -> E. f e. P ( <" A B C "> ( cgrG ` G ) <" D E f ">
      /\ f ( ( hpG ` G ) ` ( D L E ) ) F ) ) $=
      ( vx vy vq vj vw vv vz vk vl cv co cperpg cfv wbr ccgrg chpg wa wrex wcel
      cs3 wceq cstrkg ad2antrr adantr ad3antrrr ad6antr simprl ad5antr cstrkgld
      eqid c2 ncoltgdim2 ad4antr crn ncolne1 tgelrnln simplr tglnpt wne ad7antr
      tglinecom eleqtrd simp-6r perpln1 perpcom wn ncolrot2 ioran simpld nelne2
      wo sylib syl2anc necomd 3brtr3d perprag neneqd colrot2 colcom simpr lnxfr
      orcd orcomd ord mpd lncom simprrr eqcomd tgcgrneq simpllr perpln2 3brtr4d
      tglnne simprrl hlln colperp cgr3simp2 hypcgr cmir eqbrtrd ragcom eqbrtrrd
      weq tgcgrcomlr cgr3simp3 trgcgr eleq1d anbi12d ad8antr colrot1 r19.29a
      cdif copab simpl simpll oveq12d eleq12d cbvrexdva cbvopabv trgcgrcom hphl
      pm2.65da simplrr hpgtr jca hlcgrex reximddv lnperpex lnext footex ) ADUJU
      SZMUTZBCMUTZJVAVBZVCZBCDVIEHGUSZVIJVDVBZVCZUVEIEHMUTZJVEVBVBZVCZVFZGFVGZU
      JUVBAUUTUVBVHZVFZUVDVFZBCUUTVIEHUKUSZVIUVFVCZUVLUKFUVOUVPFVHZVFZUVQVFZUVH
      ULUSZUVPMUTZUVCVCZUWAIUVIVCZVFZUVLULFUVTUWAFVHZVFZUWEVFZUVEUWAUVPLVBVCZUV
      PUVENUTZUUTDNUTZVJZVFZUVKGFUWHUVEFVHZUWMVFZVFZUVGUVJUWPBCDEFUVFHUVEJNOPUV
      FVSZUWHJVKVHZUWOUVTUWRUWFUWEUVOUWRUVRUVQAUWRUVMUVDTVLZVLZVLZVMZUVTBFVHZUW
      FUWEUWOUVOUXCUVRUVQAUXCUVMUVDUAVLZVLZVNZUVTCFVHZUWFUWEUWOUVOUXGUVRUVQAUXG
      UVMUVDUBVLZVLZVNZUWHDFVHZUWOAUXKUVMUVDUVRUVQUWFUWEUCVOZVMZUVTEFVHZUWFUWEU
      WOUVOUXNUVRUVQAUXNUVMUVDUDVLZVLZVNZUVTHFVHZUWFUWEUWOUVOUXRUVRUVQAUXRUVMUV
      DUEVLZVLZVNZUWHUWNUWMVPZUVOBCNUTEHNUTVJZUVRUVQUWFUWEUWOAUYCUVMUVDUIVLZVQU
      WPCUUTDHFUVPUVEJKNOPQUXBUVTJVTVRVCZUWFUWEUWOAUYEUVMUVDUVRUVQAFJKMCDBORQTU
      BUCUAUGWAWBZVNZUXJUWHUUTFVHZUWOUVTUYHUWFUWEUVOUYHUVRUVQUVOUVBFJKMUUTORQUW
      SAUVBMWCZVHZUVMUVDAFJKMBCOQRTUAUBAFJKMBCDOQRTUAUBUCUGWDZWEZVLZAUVMUVDWFZW
      GZVLZVLZVMZUXMUYAUWHUVRUWOUVTUVRUWFUWEUVOUVRUVQWFZVLZVMZUYBUWPCBUUTDFJKMN
      OPQRUXBUXJUXFUWPUUTUVBCBMUTZUVOUVMUVRUVQUWFUWEUWOUYNVQZUWPFBCJKMOQRUXBUXF
      UXJABCWHUVMUVDUVRUVQUWFUWEUWOUYKWIWJZWKUXMUWPUVBUVAVUBUUTDMUTZUVCUWPUVAUV
      BFJKMNOPQRUXBUWPUVAUVBJMRUXBUVNUVDUVRUVQUWFUWEUWOWLZWMUVOUYJUVRUVQUWFUWEU
      WOUYMVQVUFWNVUDUWPFDUUTJKMOQRUXBUXMUYRUWPUUTDUWHUUTDWHZUWOUVOVUGUVRUVQUWF
      UWEUVOUVMDUVBVHZWOZVUGUYNAVUIUVMUVDAVUIBCVJZWOZAVUHVUJWTWOVUIVUKVFAFJKMCD
      BORQTUBUCUAUGWPVUHVUJWQXAWRZVLUUTDUVBWSXBWBZVMZXCWJXDZXEUWPHEUVPUVEFJKMNO
      PQRUXBUYAUXQUWPFJKMHEUVPOQRUXBUYAUXQVUAAHEWHZUVMUVDUVRUVQUWFUWEUWOAEHAFJK
      MEHIOQRTUDUEUFUHWDZXCZWIZUVTUVPUVHVHZUWFUWEUWOUVTEHVJZWOZVUTUVTEHAEHWHUVM
      UVDUVRUVQVUQWBXFUVTVVAVUTUVTVUTVVAUVTFJKMHEUVPORQUWTUXTUXPUYSUVTFJKMEUVPH
      ORQUWTUXPUYSUXTUVTEHUVPFUVFJKMBCUUTORQUWTUXEUXIUYPUWQUXPUXTUYSUVOCBUUTMUT
      VHBUUTVJWTUVRUVQUVOFJKMUUTBCORQUWSUYOUXDUXHUVOFJKMBCUUTORQUWSUXDUXHUYOUVO
      UVMVUJUYNXKXGXHZVLUVSUVQXIZXJXGXHXLXMXNZVNZXOUYBUWPUVPUVEMUTZHEMUTZFJKMNO
      PQRUXBUWPFJKMUVPUVEOQRUXBVUAUYBUWPUUTDUVPUVEFJKNOPQUXBUYRUXMVUAUYBUWPUWJU
      WKUWHUWNUWIUWLXPXQZVUNXRZWEUWPFJKMHEOQRUXBUYAUXQVUSWEZUWPUVPUWAUVEVVHFJKM
      NOPQRUXBVUAUVTUWFUWEUWOXSZUYBUWPVVHUVPUWAMUTZFJKMNOPQRUXBVVKUWPFJKMUVPUWA
      OQRUXBVUAVVLUWPUWAUVPUWHUWAUVPWHUWOUWHFJKMUWAUVPOQRUXAUVTUWFUWEWFZUYTUWHU
      VHUWBJMRUXAUWGUWCUWDVPZXTYBZVMXCZWEUWPUVHUWBVVHVVMUVCUWHUWCUWOVVOVMUWPFHE
      JKMOQRUXBUYAUXQVUSWJZUWPFUVPUWAJKMOQRUXBVUAVVLVVQWJYAWNUWPUVEVVMVHUKULYLU
      WPFJKMUVPUWAUVEOQRUXBVUAVVLUYBVVQUWPUVEUWAUVPFJKLMOQSUYBVVLVUAUXBRUWHUWNU
      WIUWLYCZYDXOXKVVJYEWNZXEUWPBCUUTEFUVFHUVPJKNOPQUWQUXBUXFUXJUYRUXQUYAVUAUV
      TUVQUWFUWEUWOVVDVNZYFVVIYGUWPDUUTBUVEFUVPEJKNOPQUXBUYGUXMUYRUXFUYBVUAUXQU
      WPBUUTDFJYHVBZJKMNOPQRVWBVSZUXBUXFUYRUXMUWPBCUUTDFJKMNOPQRUXBUXFUXJVUCUXM
      UWPUVBVUBVUEUVCVUDVUOYIXEYJUWPEUVPUVEFVWBJKMNOPQRVWCUXBUXQVUAUYBUWPEHUVPU
      VEFJKMNOPQRUXBUXQUYAVVFUYBUWPVVHUVHVVGUVCVVRVVTYKXEYJUWPUUTDUVPUVEFJKNOPQ
      UXBUYRUXMVUAUYBVVIYMUWPBCUUTEFUVFHUVPJKNOPQUWQUXBUXFUXJUYRUXQUYAVUAVWAYNY
      GYOZUWPUMUVEUWAIUVHFJKMUNUSZFUVHUUAZVHZUOUSZVWFVHZVFZUPUSZVWEVWHKUTZVHZUP
      UVHVGZVFZUNUOUUBZUQUROQRUXBUVTUVHUYIVHZUWFUWEUWOAVWQUVMUVDUVRUVQAFJKMEHOQ
      RTUDUEVUQWEWBZVNZUYBVWOUQUSZVWFVHZURUSZVWFVHZVFZUMUSZVWTVXBKUTZVHZUMUVHVG
      ZVFUNUOUQURUNUQYLZUOURYLZVFZVWJVXDVWNVXHVXKVWGVXAVWIVXCVXKVWEVWTVWFVXIVXJ
      UUCYPVXKVWHVXBVWFVXIVXJXIYPYQVXKVWMVXGUPUMUVHVXKUPUMYLZVFZVWKVXEVWLVXFVXK
      VXLXIVXMVWEVWTVWHVXBKVXIVXJVXLUUDVXIVXJVXLWFUUEUUFUUGYQUUHZVVLUWPUMUVPUVE
      UWAUVHFJKLMVWPUQUROQRUXBVWSVUAVXNSVVFUYBVVLUWPUVEUVHVHZBCDMUTVHCDVJWTZUWP
      VXOVFZFJKMDCBORQUWPUWRVXOUXBVMZUWPUXKVXOUXMVMZUWPUXGVXOUXJVMZUWPUXCVXOUXF
      VMZVXQFJKMBDCORQVXRVYAVXSVXTVXQBCDFUVFJKMEHUVEORQVXRUWPUXNVXOUXQVMZUWPUXR
      VXOUYAVMZUWPUWNVXOUYBVMZUWQVYAVXTVXSVXQFJKMHEUVEORQVXRVYCVYBVYDVXQUVEVVHV
      HHEVJVXQFJKMHEUVEOQRVXRVYCVYBVYDAVUPUVMUVDUVRUVQUWFUWEUWOVXOVURYRUWPVXOXI
      XOXKYSVXQBCDEFUVFHUVEJKNOPQUWQVXRVYAVXTVXSVYBVYCVYDUWPUVGVXOVWDVMUUIXJYSX
      HAVXPWOUVMUVDUVRUVQUWFUWEUWOVXOUGYRUUKVVSUUJUWHIFVHZUWOUVTVYEUWFUWEAVYEUV
      MUVDUVRUVQUFWBZVLVMUWGUWCUWDUWOUULUUMUUNUWHGUVPUUTDUWAFJKLNOQSUYTUYQUXLUX
      AVVNPVVPVUMUUOUUPUVTUMUVPUVHFIJKMNVWPULUQUROPQRUWTUYFVWRVXNVVEVYFAIUVHVHZ
      WOZUVMUVDUVRUVQAVYHVVBAVYGVVAWTWOVYHVVBVFAFJKMHIEORQTUEUFUDUHWPVYGVVAWQXA
      WRWBUUQYTUVOEHFUVFJKMNBCUUTUKORQUWSUXDUXHUYOUWQUXOUXSPVVCUYDUURYTAUJUVBDF
      JKMNOPQRTUYLUCVULUUSYT $.

    ${
      $d O a b t $.  $d X a b t $.  $d Y a b t $.
      trgcopyeulem.o $e |- O = { <. a , b >. | ( ( a e. ( P \ ( D L E ) )
        /\ b e. ( P \ ( D L E ) ) ) /\ E. t e. ( D L E ) t e. ( a I b ) ) } $.
      trgcopyeulem.x $e |- ( ph -> X e. P ) $.
      trgcopyeulem.y $e |- ( ph -> Y e. P ) $.
      trgcopyeulem.1 $e |- ( ph -> <" A B C "> ( cgrG ` G ) <" D E X "> ) $.
      trgcopyeulem.2 $e |- ( ph -> <" A B C "> ( cgrG ` G ) <" D E Y "> ) $.
      trgcopyeulem.3 $e |- ( ph -> X ( ( hpG ` G ) ` ( D L E ) ) F ) $.
      trgcopyeulem.4 $e |- ( ph -> Y ( ( hpG ` G ) ` ( D L E ) ) F ) $.
      $( Lemma for ~ trgcopyeu .  (Contributed by Thierry Arnoux,
         8-Aug-2020.) $)
      trgcopyeulem $p |- ( ph -> X = Y ) $=
        ( co clmi cfv ncoltgdim2 eqid ncolne1 tgelrnln wceq cmid wcel cperpg wo
        wbr cv wa cmir cstrkg ad2antrr crn simplr tglnpt lmicl ccgrg wne necomd
        lncom orcd colrot1 tgcgrcomlr eqtr3d lmiiso tglinerflx1 lmicinv 3eqtr2d
        cgr3simp3 oveq1d cgr3simp2 tglinerflx2 lncgr simpr eqcomd mircom ismidb
        ismir c2 cstrkgld mpbid eqeltrd wn wrex chpg hpgcom hpgtr hpgne1 lmiopp
        lnopp2hpgb mpbird islnopp simprd adantr oppne3 btwnlng1 elind ad3antrrr
        r19.29a cin simplld nelne2 syl2anc cs3 crag oveq2d eqtrd ragperp neneor
        israg syl mpjaodan islmib mpbir2and lmieq ) APQFHMVBZGJKMUUCJVCVDVDZNTU
        AUBUEAGJKMDECTUCUBUEUGUHUFULVEZUUDVFZUCAGJKMFHTUBUCUEUIUJAGJKMFHITUBUCU
        EUIUJUKUMVGZVHZUPUQAQUUDVDZPUUDVDZAUUIUUJVIPUUIJVJVDVBZUUCVKZUUCPUUIMVB
        ZJVLVDVNZPUUIVIZVMZABVOZPUUIKVBVKZUULBUUCAUUQUUCVKZVPZUURVPZUUKUUQUUCUV
        AUUIPUUQJVQVDZVDZVDZVIUUKUUQVIUVAUVDUUIUVAUUQUUIPGUVBJKMUVCNTUAUBUCUVBV
        FZAJVRVKZUUSUURUEVSZUVAUUCGJKMUUQTUCUBUVGAUUCMVTZVKZUUSUURUUHVSZAUUSUUR
        WAZWBZUVCVFZAUUIGVKUUSUURAQUUCGJKMUUDNTUAUBUEUUEUUFUCUUHUQWCZVSZUVAPUUI
        UVCVDUVAUUQUUIPGUVBJKMUVCNTUAUBUCUVEUVGUVLUVMUVOAPGVKZUUSUURUPVSZUVAPUU
        IGJWDVDZJKMNFHUUQTUCUBUVGAFGVKZUUSUURUIVSZAHGVKZUUSUURUJVSZUVLUVRVFZUVQ
        UVOUAAFHWEUUSUURUUGVSZUVAGJKMHFUUQTUCUBUVGUWBUVTUVLUVAUUQHFMVBVKHFVIUVA
        GJKMHFUUQTUBUCUVGUWBUVTUVLUVAFHUWDWFZUVKWGWHWIAFPNVBZFUUINVBZVIUUSUURAU
        WFFQNVBZFUUDVDZUUINVBUWGACENVBUWFUWHAECPFGJKNTUAUBUEUHUFUPUIACDEFGUVRHP
        JKNTUAUBUWCUEUFUGUHUIUJUPURWPWJAECQFGJKNTUAUBUEUHUFUQUIACDEFGUVRHQJKNTU
        AUBUWCUEUFUGUHUIUJUQUSWPWJWKAFQUUCGJKMUUDNTUAUBUEUUEUUFUCUUHUIUQWLAUWIF
        UUINAFUUCGJKMUUDNTUAUBUEUUEUUFUCUUHUIAGFHJKMTUBUCUEUIUJUUGWMZWNWQWOVSZA
        HPNVBZHUUINVBZVIUUSUURAUWLHQNVBZHUUDVDZUUINVBUWMADENVBUWLUWNACDEFGUVRHP
        JKNTUAUBUWCUEUFUGUHUIUJUPURWRACDEFGUVRHQJKNTUAUBUWCUEUFUGUHUIUJUQUSWRWK
        AHQUUCGJKMUUDNTUAUBUEUUEUUFUCUUHUJUQWLAUWOHUUINAHUUCGJKMUUDNTUAUBUEUUEU
        UFUCUUHUJAGFHJKMTUBUCUEUIUJUUGWSZWNWQWOVSZWTUUTUURXAZXEXBXCXBZUVAPUUIGU
        VBJKUUQNTUAUBUVGAJXFXGVNUUSUURUUEVSUVQUVOUVEUVLXDXHUVKXIAPUUCVKXJZUUIUU
        CVKXJZVPZUURBUUCXKZAPUUIOVNZUXBUXCVPAUXDQPUUCJXLVDVDVNABQIPUUCGJKMORSTU
        BUCUEUUHUQUOUKVAUPABPIUUCGJKMORSTUBUCUEUUHUPUOUKUTXMXNABQPUUIUUCGJKMORS
        TUBUCUOUEUUHUQUPUVNABQUUCGJKMUUDNORSTUAUBUCUEUUEUUHUOUUFUQABQIUUCGJKMOR
        STUBUCUOUEUUHUQUKVAXOXPXQXRZABPUUIUUCGJKNORSTUAUBUOUPUVNXSXHZXTZYFAUURU
        UPBUUCUVAUUNUUOUVAHUUQWEZUUNFUUQWEZUVAUXHVPZUUCUUMGHJKMNPUUQTUAUBUCUVAU
        VFUXHUVGYAZUVAUVIUXHUVJYAUVAUUMUVHVKZUXHAUXLUUSUURAGJKMPUUITUBUCUEUPUVN
        ABPUUIUUCGJKMNORSTUAUBUOUCUUHUEUPUVNUXEYBZVHVSZYAUVAUUQUUCUUMYGVKZUXHUV
        AUUCUUMUUQUVKUVAGJKMPUUIUUQTUBUCUVGUVQUVOUVLAPUUIWEUUSUURUXMVSUWRYCYDZY
        AAHUUCVKUUSUURUXHUWPYEAPUUMVKZUUSUURUXHAGPUUIJKMTUBUCUEUPUVNUXMWMZYEUVA
        UXHXAUVAPUUQWEZUXHUVAUUQPUVAUUSUWTUUQPWEUVKAUWTUUSUURAUWTUXAUXCUXFYHVSU
        UQPUUCYIYJWFZYAUXJHUUQPYKJYLVDZVKUWLHUVDNVBZVIZUVAUYCUXHUVAUWLUWMUYBUWQ
        UVAUUIUVDHNUWSYMYNYAUXJHUUQPGUVBJKMNTUAUBUCUVEUXKUVAUWAUXHUWBYAUVAUUQGV
        KZUXHUVLYAUVAUVPUXHUVQYAYQXRYOUVAUXIVPZUUCUUMGFJKMNPUUQTUAUBUCUVAUVFUXI
        UVGYAZUVAUVIUXIUVJYAUVAUXLUXIUXNYAUVAUXOUXIUXPYAAFUUCVKUUSUURUXIUWJYEAU
        XQUUSUURUXIUXRYEUVAUXIXAUVAUXSUXIUXTYAUYEFUUQPYKUYAVKUWFFUVDNVBZVIZUVAU
        YHUXIUVAUWFUWGUYGUWKUVAUUIUVDFNUWSYMYNYAUYEFUUQPGUVBJKMNTUAUBUCUVEUYFUV
        AUVSUXIUVTYAUVAUYDUXIUVLYAUVAUVPUXIUVQYAYQXRYOUVAHFWEUXHUXIVMUWEHFUUQYP
        YRYSWHUXGYFAPUUIUUCGJKMUUDNTUAUBUEUUEUUFUCUUHUPUVNYTUUAXBUUB $.
    $}

    $( Triangle construction: a copy of a given triangle can always be
       constructed in such a way that one side is lying on a half-line, and the
       third vertex is on a given half-plane: uniqueness part.  Second part of
       Theorem 10.16 of [Schwabhauser] p. 92.  (Contributed by Thierry Arnoux,
       8-Aug-2020.) $)
    trgcopyeu $p |- ( ph -> E! f e. P ( <" A B C "> ( cgrG ` G ) <" D E f ">
      /\ f ( ( hpG ` G ) ` ( D L E ) ) F ) ) $=
      ( vk vt vx vy vz va vb cs3 cv ccgrg cfv co chpg wa wrex wceq wi wral wreu
      wbr trgcopy wcel cdif copab cstrkg ad5antr wo simpl eleq1d anbi12d simpll
      wn simpr simplr oveq12d eleq12d cbvrexdva cbvopabv simp-5r simp-4r simpld
      simpllr simprd trgcopyeulem anasss ralrimivva eqidd id s3eqd breq2d breq1
      expl reu4 sylanbrc ) ABCDUQZEHGURZUQZJUSUTZVIZXEIEHMVAZJVBUTUTZVIZVCZGFVD
      XLXDEHUJURZUQZXGVIZXMIXJVIZVCZVCXEXMVEZVFZUJFVGGFVGXLGFVHABCDEFGHIJKLMNOP
      QRSTUAUBUCUDUEUFUGUHUIVJAXSGUJFFAXEFVKZXMFVKZXSAXTVCZYAVCZXLXQXRYCXLVCZXO
      XPXRYDXOVCZXPVCZUKBCDEFHIJKLMNULURZFXIVLZVKZUMURZYHVKZVCZUNURZYGYJKVAZVKZ
      UNXIVDZVCZULUMVMXEXMUOUPOPQRSAJVNVKXTYAXLXOXPTVOABFVKXTYAXLXOXPUAVOACFVKX
      TYAXLXOXPUBVOADFVKXTYAXLXOXPUCVOAEFVKXTYAXLXOXPUDVOAHFVKXTYAXLXOXPUEVOAIF
      VKXTYAXLXOXPUFVOABCDMVAVKCDVEVPWAXTYAXLXOXPUGVOAEHIMVAVKHIVEVPWAXTYAXLXOX
      PUHVOABCNVAEHNVAVEXTYAXLXOXPUIVOYQUOURZYHVKZUPURZYHVKZVCZUKURZYRYTKVAZVKZ
      UKXIVDZVCULUMUOUPYGYRVEZYJYTVEZVCZYLUUBYPUUFUUIYIYSYKUUAUUIYGYRYHUUGUUHVQ
      VRUUIYJYTYHUUGUUHWBVRVSUUIYOUUEUNUKXIUUIYMUUCVEZVCZYMUUCYNUUDUUIUUJWBUUKY
      GYRYJYTKUUGUUHUUJVTUUGUUHUUJWCWDWEWFVSWGAXTYAXLXOXPWHYBYAXLXOXPWIYFXHXKYC
      XLXOXPWKZWJYDXOXPWCYFXHXKUULWLYEXPWBWMWNXAWNWOXLXQGUJFXRXHXOXKXPXRXFXNXDX
      GXREHXEXMEHXREWPXRHWPXRWQWRWSXEXMIXJWTVSXBXC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Congruence of angles
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c cgrA $.

  $( Declare the constant for the congruence between angles relation. $)
  ccgra $a class cgrA $.

  ${
    $d a b g k p x y $.
    $( Define the congruence relation between angles.  As for triangles we use
       "words of points".  See ~ iscgra for a more human readable version.
       (Contributed by Thierry Arnoux, 30-Jul-2020.) $)
    df-cgra $a |- cgrA = ( g e. _V |->
      { <. a , b >. | [. ( Base ` g ) / p ]. [. ( hlG ` g ) / k ].
      ( ( a e. ( p ^m ( 0 ..^ 3 ) ) /\ b e. ( p ^m ( 0 ..^ 3 ) ) )
       /\ E. x e. p E. y e. p ( a ( cgrG ` g ) <" x ( b ` 1 ) y "> /\
      x ( k ` ( b ` 1 ) ) ( b ` 0 ) /\ y ( k ` ( b ` 1 ) ) ( b ` 2 ) ) ) } ) $.
  $}

  ${
    $d A a b x y $.  $d B a b x y $.  $d C a b x y $.  $d D a b x y $.
    $d E a b x y $.  $d F a b x y $.  $d K a b g k p x y $.  $d ph x y $.
    $d G a b g k p x y $.  $d I a b g k p x y $.  $d P a b g k p x y $.
    iscgra.p $e |- P = ( Base ` G ) $.
    iscgra.i $e |- I = ( Itv ` G ) $.
    iscgra.k $e |- K = ( hlG ` G ) $.
    iscgra.g $e |- ( ph -> G e. TarskiG ) $.
    iscgra.a $e |- ( ph -> A e. P ) $.
    iscgra.b $e |- ( ph -> B e. P ) $.
    iscgra.c $e |- ( ph -> C e. P ) $.
    iscgra.d $e |- ( ph -> D e. P ) $.
    iscgra.e $e |- ( ph -> E e. P ) $.
    iscgra.f $e |- ( ph -> F e. P ) $.
    $( Property for two angles ABC and DEF to be congruent.  This is a modified
       version of the definition 11.3 of [Schwabhauser] p. 95. where the number
       of constructed points has been reduced to two.  We chose this version
       rather than the textbook version because it is shorter and therefore
       simpler to work with.  Theorem ~ dfcgra2 shows that those definitions
       are indeed equivalent.  (Contributed by Thierry Arnoux, 31-Jul-2020.) $)
    iscgra $p |- ( ph -> ( <" A B C "> ( cgrA ` G ) <" D E F ">
      <-> E. x e. P E. y e. P ( <" A B C "> ( cgrG ` G ) <" x E y ">
          /\ x ( K ` E ) D /\ y ( K ` E ) F ) ) ) $=
      ( va vb vg vp vk cs3 cv cc0 c3 cfzo co cmap wcel wa c1 cfv ccgrg wbr wrex
      c2 w3a copab ccgra simpl eqidd simpr fveq1d s3eqd breq12d fveq2d breq123d
      wceq 3anbi123d 2rexbidv brab2a s3fv1 syl adantr breq2d s3fv0 s3fv2 anbi2d
      eqid 2rexbidva syl5bb cstrkg cvv elex chlg wsbc cbs eqcomd oveq1d anbi12d
      eleq2d breqd 3anbi23d bicomd sbcie2s opabbidv fveq2 3anbi1d eqtrd df-cgra
      rexeqbidv cxp ovex xpex opabssxp ssexi fvmpt 3syl cword chash s3cld s3len
      cn0 wb fvexi 3nn0 wrdmap mp2an sylanblc jca biantrurd 3bitr4d ) ADEFUIZGI
      JUIZUDUJZHUKULUMUNZUOUNZUPZUEUJZYNUPZUQZYLBUJZURYPUSZCUJZUIZKUTUSZVAZYSUK
      YPUSZYTMUSZVAZUUAVCYPUSZUUFVAZVDZCHVBBHVBZUQZUDUEVEZVAZYJYNUPZYKYNUPZUQZY
      JYSIUUAUIZUUCVAZYSGIMUSZVAZUUAJUUTVAZVDZCHVBBHVBZUQZYJYKKVFUSZVAUVDUUNUUQ
      YJYSURYKUSZUUAUIZUUCVAZYSUKYKUSZUVGMUSZVAZUUAVCYKUSZUVKVAZVDZCHVBBHVBZUQA
      UVEUUKUVPUDUEYJYKYNYNUUMYLYJVOZYPYKVOZUQZUUJUVOBCHHUVSUUDUVIUUGUVLUUIUVNU
      VSYLYJUUBUVHUUCUVQUVRVGUVSYSYTUUAUUAYSUVGUVSYSVHZUVSURYPYKUVQUVRVIZVJZUVS
      UUAVHZVKVLUVSYSYSUUEUVJUUFUVKUVTUVSYTUVGMUWBVMZUVSUKYPYKUWAVJVNUVSUUAUUAU
      UHUVMUUFUVKUWCUWDUVSVCYPYKUWAVJVNVPVQUUMWFVRAUVPUVDUUQAUVOUVCBCHHAYSHUPUU
      AHUPUQZUQZUVIUUSUVLUVAUVNUVBUWFUVHUURYJUUCUWFYSUVGUUAUUAYSIUWFYSVHZAUVGIV
      OZUWEAIHUPUWHUBGIJHVSVTWAZUWFUUAVHZVKWBUWFYSYSUVJGUVKUUTUWGUWFUVGIMUWIVMZ
      AUVJGVOZUWEAGHUPUWLUAGIJHWCVTWAVNUWFUUAUUAUVMJUVKUUTUWJUWKAUVMJVOZUWEAJHU
      PUWMUCGIJHWDVTWAVNVPWGWEWHAUVFUUMYJYKAKWIUPKWJUPUVFUUMVOQKWIWKUFKYLUGUJZY
      MUOUNZUPZYPUWOUPZUQZYLUUBUFUJZUTUSZVAZYSUUEYTUHUJZUSZVAZUUAUUHUXCVAZVDZCU
      WNVBZBUWNVBZUQZUHUWSWLUSWMUGUWSWNUSWMZUDUEVEZUUMWJVFUWSKVOZUXKYRUXAUUGUUI
      VDZCHVBZBHVBZUQZUDUEVEUUMUXLUXJUXPUDUEUXPUXIUFHMWNWLKUGUHNPUWNHVOZUXBMVOZ
      UQZYRUWRUXOUXHUXSYOUWPYQUWQUXSYNUWOYLUXSHUWNYMUOUXSUWNHUXQUXRVGWOZWPZWRUX
      SYNUWOYPUYAWRWQUXSUXNUXGBHUWNUXTUXSUXMUXFCHUWNUXTUXSUXFUXMUXSUXDUUGUXEUUI
      UXAUXSUXCUUFYSUUEUXSYTUXBMUXQUXRVIVJZWSUXSUXCUUFUUAUUHUYBWSWTXAXHXHWQXBXC
      UXLUXPUULUDUEUXLUXOUUKYRUXLUXMUUJBCHHUXLUXAUUDUUGUUIUXLUWTUUCYLUUBUWSKUTX
      DWSXEVQWEXCXFBCUFUHUGUDUEXGUUMYNYNXIYNYNHYMUOXJZUYCXKUUKUDUEYNYNXLXMXNXOW
      SAUUQUVDAUUOUUPAYJHXPZUPZYJXQUSULVOZUUOADEFHRSTXRDEFXSHWJUPZULXTUPZUYEUYF
      UQUUOYAHKWNNYBZYCULHYJWJYDYEYFAYKUYDUPZYKXQUSULVOZUUPAGIJHUAUBUCXRGIJXSUY
      GUYHUYJUYKUQUUPYAUYIYCULHYKWJYDYEYFYGYHYI $.

    ${
      $d K y $.
      iscgra1.m $e |- .- = ( dist ` G ) $.
      iscgra1.1 $e |- ( ph -> A =/= B ) $.
      iscgra1.2 $e |- ( ph -> ( A .- B ) = ( D .- E ) ) $.
      $( A special version of ~ iscgra where one distance is known to be equal.
         In this case, angle congruence can be written with only one
         quantifier.  (Contributed by Thierry Arnoux, 9-Aug-2020.) $)
      iscgra1 $p |- ( ph -> ( <" A B C "> ( cgrA ` G ) <" D E F ">
        <-> E. x e. P ( <" A B C "> ( cgrG ` G ) <" D E x ">
            /\ x ( K ` E ) F ) ) ) $=
        ( vy cs3 ccgra cfv wbr ccgrg w3a wrex wceq iscgra wcel ad3antrrr cstrkg
        cv wa simpllr simpr2 hlne2 wne necomd hlid eqid simplr simpr1 cgr3simp1
        co eqcomd tgcgrcomlr hlcgreulem simpr3 simprrl tgcgrneq eqbrtrd simprrr
        jca32 simprl 3jca impbida rexbidva r19.42v bitrdi wb eqidd s3eqd breq2d
        id anbi1d rexbidv ceqsrexv syl 3bitrd ) ACDEUHZFHIUHJUIUJUKWRUGUTZHBUTZ
        UHZJULUJZUKZWSFHLUJZUKZWTIXDUKZUMZBGUNZUGGUNWSFUOZXCXFVAZBGUNZVAZUGGUNZ
        WRFHWTUHZXBUKZXFVAZBGUNZAUGBCDEFGHIJKLNOPQRSTUAUBUCUPAXHXLUGGAWSGUQZVAZ
        XHXIXJVAZBGUNXLXSXGXTBGXSWTGUQZVAZXGXTYBXGVAZXIXCXFYCHDCFGJKLMWSFNOPAHG
        UQZXRYAXGUBURZADGUQXRYAXGSURZACGUQXRYAXGRURZAJUSUQZXRYAXGQURZAFGUQZXRYA
        XGUAURZUDYCWSFHGJKLUSNOPAXRYAXGVBZYKYEYIYBXCXEXFVCZVDZYCCDACDVEXRYAXGUE
        URVFYLYKYMYCFHHGJKLNOPYKYEYEYIYNVGYCWSHCDGJKMNUDOYIYLYEYGYFYCCDMVLZWSHM
        VLYCCDEWSGXBHWTJKMNUDOXBVHYIYGYFAEGUQXRYAXGTURYLYEXSYAXGVIYBXCXEXFVJZVK
        VMVNYCFHCDGJKMNUDOYIYKYEYGYFYCYOFHMVLZAYOYQUOXRYAXGUFURVMVNVOYPYBXCXEXF
        VPWAYBXTVAZXCXEXFYBXIXCXFVQYRWSFFXDYBXIXJWBYRFFHGJKLNOPAYJXRYAXTUAURZYS
        AYDXRYAXTUBURAYHXRYAXTQURAFHVEXRYAXTACDFHGJKMNUDOQRSUAUBUFUEVRURVGVSYBX
        IXCXFVTWCWDWEXIXJBGWFWGWEAYJXMXQWHUAXKXQUGFGXIXJXPBGXIXCXOXFXIXAXNWRXBX
        IWSHWTWTFHXIWLXIHWIXIWTWIWJWKWMWNWOWPWQ $.
    $}

    ${
      $d K x y $.  $d X x y $.  $d Y y $.
      iscgrad.x $e |- ( ph -> X e. P ) $.
      iscgrad.y $e |- ( ph -> Y e. P ) $.
      iscgrad.1 $e |- ( ph -> <" A B C "> ( cgrG ` G ) <" X E Y "> ) $.
      iscgrad.2 $e |- ( ph -> X ( K ` E ) D ) $.
      iscgrad.3 $e |- ( ph -> Y ( K ` E ) F ) $.
      $( Sufficient conditions for angle congruence, deduction version.
         (Contributed by Thierry Arnoux, 1-Aug-2020.) $)
      iscgrad $p |- ( ph -> <" A B C "> ( cgrA ` G ) <" D E F "> ) $=
        ( vx vy cs3 ccgra cfv wbr cv ccgrg wrex wcel wceq id eqidd s3eqd breq2d
        w3a breq1 3anbi12d 3anbi13d rspc2ev syl113anc iscgra mpbird ) ABCDUKZEG
        HUKIULUMUNVLUIUOZGUJUOZUKZIUPUMZUNZVMEGKUMZUNZVNHVRUNZVDZUJFUQUIFUQZALF
        URMFURVLLGMUKZVPUNZLEVRUNZMHVRUNZWBUDUEUFUGUHWAWDWEWFVDVLLGVNUKZVPUNZWE
        VTVDUIUJLMFFVMLUSZVQWHVSWEVTWIVOWGVLVPWIVMGVNVNLGWIUTWIGVAWIVNVAVBVCVML
        EVRVEVFVNMUSZWHWDVTWFWEWJWGWCVLVPWJLGVNMLGWJLVAWJGVAWJUTVBVCVNMHVRVEVGV
        HVIAUIUJBCDEFGHIJKNOPQRSTUAUBUCVJVK $.
    $}

    cgrahl1.2 $e |- ( ph -> <" A B C "> ( cgrA ` G ) <" D E F "> ) $.
    $( Angles imply inequality.  (Contributed by Thierry Arnoux,
       1-Aug-2020.) $)
    cgrane1 $p |- ( ph -> A =/= B ) $=
      ( vx vy cs3 cv ccgrg cfv wbr w3a wne wcel wa cds cstrkg ad3antrrr simpllr
      eqid co simplr simpr1 cgr3simp1 eqcomd simpr2 hlne1 tgcgrneq ccgra iscgra
      wrex mpbid r19.29vva ) ABCDUEZUCUFZGUDUFZUEIUGUHZUIZVMEGKUHZUIZVNHVQUIZUJ
      ZBCUKUCUDFFAVMFULZUMZVNFULZUMZVTUMZVMGBCFIJIUNUHZLWFURZMAIUOULWAWCVTOUPZA
      WAWCVTUQZAGFULWAWCVTTUPZABFULWAWCVTPUPZACFULWAWCVTQUPZWEBCWFUSVMGWFUSWEBC
      DVMFVOGVNIJWFLWGMVOURWHWKWLADFULWAWCVTRUPWIWJWBWCVTUTWDVPVRVSVAVBVCWEVMEG
      FIJKUOLMNWIAEFULWAWCVTSUPWJWHWDVPVRVSVDVEVFAVLEGHUEIVGUHUIVTUDFVIUCFVIUBA
      UCUDBCDEFGHIJKLMNOPQRSTUAVHVJVK $.

    $( Angles imply inequality.  (Contributed by Thierry Arnoux,
       1-Aug-2020.) $)
    cgrane2 $p |- ( ph -> B =/= C ) $=
      ( vx vy cs3 cv ccgrg cfv wbr w3a wne wcel wa eqid cstrkg ad3antrrr simplr
      cds co simpllr simpr1 cgr3simp2 eqcomd simpr3 hlne1 necomd tgcgrneq ccgra
      wrex iscgra mpbid r19.29vva ) ABCDUEZUCUFZGUDUFZUEIUGUHZUIZVNEGKUHZUIZVOH
      VRUIZUJZCDUKUCUDFFAVNFULZUMZVOFULZUMZWAUMZGVOCDFIJIURUHZLWGUNZMAIUOULWBWD
      WAOUPZAGFULWBWDWATUPZWCWDWAUQZACFULWBWDWAQUPZADFULWBWDWARUPZWFCDWGUSGVOWG
      USWFBCDVNFVPGVOIJWGLWHMVPUNWIABFULWBWDWAPUPWLWMAWBWDWAUTWJWKWEVQVSVTVAVBV
      CWFVOGWFVOHGFIJKUOLMNWKAHFULWBWDWAUAUPWJWIWEVQVSVTVDVEVFVGAVMEGHUEIVHUHUI
      WAUDFVIUCFVIUBAUCUDBCDEFGHIJKLMNOPQRSTUAVJVKVL $.

    $( Angles imply inequality.  (Contributed by Thierry Arnoux,
       1-Aug-2020.) $)
    cgrane3 $p |- ( ph -> E =/= D ) $=
      ( vx vy cs3 cv ccgrg cfv wbr w3a wne wcel cstrkg simpllr ad3antrrr simpr2
      wa hlne2 necomd ccgra wrex iscgra mpbid r19.29vva ) ABCDUEZUCUFZGUDUFZUEI
      UGUHUIZVFEGKUHZUIZVGHVIUIZUJZGEUKUCUDFFAVFFULZUQVGFULZUQZVLUQZEGVPVFEGFIJ
      KUMLMNAVMVNVLUNAEFULVMVNVLSUOAGFULVMVNVLTUOAIUMULVMVNVLOUOVOVHVJVKUPURUSA
      VEEGHUEIUTUHUIVLUDFVAUCFVAUBAUCUDBCDEFGHIJKLMNOPQRSTUAVBVCVD $.

    $( Angles imply inequality.  (Contributed by Thierry Arnoux,
       1-Aug-2020.) $)
    cgrane4 $p |- ( ph -> E =/= F ) $=
      ( vx vy cs3 cv ccgrg cfv wbr w3a wne cstrkg simplr ad3antrrr simpr3 hlne2
      wcel wa necomd ccgra wrex iscgra mpbid r19.29vva ) ABCDUEZUCUFZGUDUFZUEIU
      GUHUIZVFEGKUHZUIZVGHVIUIZUJZGHUKUCUDFFAVFFUQZURZVGFUQZURZVLURZHGVQVGHGFIJ
      KULLMNVNVOVLUMAHFUQVMVOVLUAUNAGFUQVMVOVLTUNAIULUQVMVOVLOUNVPVHVJVKUOUPUSA
      VEEGHUEIUTUHUIVLUDFVAUCFVAUBAUCUDBCDEFGHIJKLMNOPQRSTUAVBVCVD $.

    $d X x y $.
    cgrahl1.x $e |- ( ph -> X e. P ) $.
    ${
      cgrahl1.1 $e |- ( ph -> X ( K ` E ) D ) $.
      $( Angle congruence is independent of the choice of points on the rays.
         Proposition 11.10 of [Schwabhauser] p. 95.  (Contributed by Thierry
         Arnoux, 1-Aug-2020.) $)
      cgrahl1 $p |- ( ph -> <" A B C "> ( cgrA ` G ) <" X E F "> ) $=
        ( vx vy cs3 cv ccgrg cfv wbr w3a ccgra wcel wa cstrkg ad3antrrr simpllr
        simplr simpr1 simpr2 hlcomd hltr simpr3 iscgrad iscgra mpbid r19.29vva
        wrex ) ABCDUHZUFUIZGUGUIZUHIUJUKULZVLEGKUKZULZVMHVOULZUMZVKLGHUHIUNUKZU
        LUFUGFFAVLFUOZUPZVMFUOZUPZVRUPZBCDLFGHIJKVLVMMNOAIUQUOVTWBVRPURZABFUOVT
        WBVRQURACFUOVTWBVRRURADFUOVTWBVRSURALFUOVTWBVRUDURZAGFUOVTWBVRUAURZAHFU
        OVTWBVRUBURAVTWBVRUSZWAWBVRUTWCVNVPVQVAWDVLELGFIJKMNOWHAEFUOVTWBVRTURZW
        FWEWGWCVNVPVQVBWDLEGFIJKUQMNOWFWIWGWEALEVOULVTWBVRUEURVCVDWCVNVPVQVEVFA
        VKEGHUHVSULVRUGFVJUFFVJUCAUFUGBCDEFGHIJKMNOPQRSTUAUBVGVHVI $.
    $}

    ${
      cgrahl2.1 $e |- ( ph -> X ( K ` E ) F ) $.
      $( Angle congruence is independent of the choice of points on the rays.
         Proposition 11.10 of [Schwabhauser] p. 95.  (Contributed by Thierry
         Arnoux, 1-Aug-2020.) $)
      cgrahl2 $p |- ( ph -> <" A B C "> ( cgrA ` G ) <" D E X "> ) $=
        ( vx vy cs3 cv ccgrg cfv wbr w3a ccgra wcel wa cstrkg ad3antrrr simpllr
        simplr simpr1 simpr2 simpr3 hlcomd hltr iscgrad iscgra mpbid r19.29vva
        wrex ) ABCDUHZUFUIZGUGUIZUHIUJUKULZVLEGKUKZULZVMHVOULZUMZVKEGLUHIUNUKZU
        LUFUGFFAVLFUOZUPZVMFUOZUPZVRUPZBCDEFGLIJKVLVMMNOAIUQUOVTWBVRPURZABFUOVT
        WBVRQURACFUOVTWBVRRURADFUOVTWBVRSURAEFUOVTWBVRTURAGFUOVTWBVRUAURZALFUOV
        TWBVRUDURZAVTWBVRUSWAWBVRUTZWCVNVPVQVAWCVNVPVQVBWDVMHLGFIJKMNOWHAHFUOVT
        WBVRUBURZWGWEWFWCVNVPVQVCWDLHGFIJKUQMNOWGWIWFWEALHVOULVTWBVRUEURVDVEVFA
        VKEGHUHVSULVRUGFVJUFFVJUCAUFUGBCDEFGHIJKMNOPQRSTUAUBVGVHVI $.
    $}

    $d Y x y $.  $d .- x y $.
    cgracgr.m $e |- .- = ( dist ` G ) $.
    cgracgr.y $e |- ( ph -> Y e. P ) $.
    cgracgr.1 $e |- ( ph -> X ( K ` B ) A ) $.
    cgracgr.2 $e |- ( ph -> Y ( K ` B ) C ) $.
    cgracgr.3 $e |- ( ph -> ( B .- X ) = ( E .- D ) ) $.
    cgracgr.4 $e |- ( ph -> ( B .- Y ) = ( E .- F ) ) $.
    $( First direction of proposition 11.4 of [Schwabhauser] p. 95.  Again,
       this is "half" of the proposition, i.e. only two additional points are
       used, while Schwabhauser has four.  (Contributed by Thierry Arnoux,
       31-Jul-2020.) $)
    cgracgr $p |- ( ph -> ( X .- Y ) = ( D .- F ) ) $=
      ( vx vy cs3 cv ccgrg cfv wbr w3a co wceq wcel wa clng eqid cstrkg simpllr
      ad3antrrr wo hlne2 necomd hlln lncom orcd colrot1 simplr simpr1 cgr3simp1
      cleg wne simpr2 ishlg simp3d orcomd eqcomd tgcgrcomlr tgcgrsub2 cgr3simp2
      mpbid trgcgr simpr3 cgr3simp3 cgrane2 tgfscgr ccgra wrex iscgra r19.29vva
      ) ABCDUOZUMUPZGUNUPZUOIUQURZUSZXAEGKURZUSZXBHXEUSZUTZMNLVAEHLVAVBUMUNFFAX
      AFVCZVDZXBFVCZVDZXHVDZXAGEHFXCNIJIVEURZLBCMOXNVFZPAIVGVCXIXKXHRVIZABFVCXI
      XKXHSVIZACFVCXIXKXHTVIZAMFVCXIXKXHUFVIZXCVFZAXIXKXHVHZAGFVCXIXKXHUCVIZUGA
      NFVCXIXKXHUHVIZAEFVCXIXKXHUBVIZAHFVCXIXKXHUDVIZACBMXNVAVCBMVBVJXIXKXHAFIJ
      XNCBMOXOPRTSUFAMCBXNVAVCCBVBAFIJXNCBMOPXORTSUFABCAMBCFIJKVGOPQUFSTRUIVKZV
      LAMBCFIJKXNOPQUFSTRXOUIVMVNVOVPVIXMBCMXAFXCGEILOUGXTXPXQXRXSYAYBYDXMBCDXA
      FXCGXBIJLOUGPXTXPXQXRADFVCXIXKXHUAVIZYAYBXJXKXHVQZXLXDXFXGVRZVSZACMLVAZGE
      LVAZVBXIXKXHUKVIZXMBMXAEFIJLOUGPXPXQXSYAYDXMXAELVABMLVAXMGXAECFBMIJIVTURZ
      LOUGPYNVFZXPYBYAYDXRXRXQXSXMXAGWAZEGWAZXAGEJVAVCEGXAJVAVCVJZXMXFYPYQYRUTX
      LXDXFXGWBXMXAEGFIJKVGOPQYAYDYBXPWCWJWDABCMJVAVCZMCBJVAVCZVJXIXKXHAYTYSAMC
      WAZBCWAZYTYSVJZAMBCKURZUSUUAUUBUUCUTUIAMBCFIJKVGOPQUFSTRWCWJWDWEVIXMXAGBC
      FIJLOUGPXPYAYBXQXRXMBCLVAXAGLVAYJWFWGZXMYKYLYMWFWHWFWGWKXMNBHXAFIJLOUGPXP
      YCXQYEYAXMGXBHXAFXCBIJXNLCDNOXOPXPXRYGYCXTYBYHUGXQYEYAADCNXNVAVCCNVBVJXIX
      KXHAFIJXNDCNOXOPRUATUHANDCXNVAVCDCVBANDCFIJKXNOPQUHUATRXOUJVMVOVPVIXMCDNG
      FXCXBHILOUGXTXPXRYGYCYBYHYEXMBCDXAFXCGXBIJLOUGPXTXPXQXRYGYAYBYHYIWIZXMCDN
      GFXBHIJYNLOUGPYOXPXRYGYCYBYBYHYEADCNJVAVCZNCDJVAVCZVJXIXKXHAUUHUUGANCWAZD
      CWAZUUHUUGVJZANDUUDUSUUIUUJUUKUTUJANDCFIJKVGOPQUHUATRWCWJWDWEVIXMXBGWAZHG
      WAZXBGHJVAVCHGXBJVAVCVJZXMXGUULUUMUUNUTXLXDXFXGWLXMXBHGFIJKVGOPQYHYEYBXPW
      CWJWDUUFACNLVAGHLVAVBXIXKXHULVIZWHXMCNGHFIJLOUGPXPXRYCYBYEUUOWGWKXMGXALVA
      CBLVAUUEWFXMBCDXAFXCGXBIJLOUGPXTXPXQXRYGYAYBYHYIWMACDWAXIXKXHABCDEFGHIJKO
      PQRSTUAUBUCUDUEWNVIWOWGUUOAUUBXIXKXHYFVIWOAWTEGHUOIWPURUSXHUNFWQUMFWQUEAU
      MUNBCDEFGHIJKOPQRSTUAUBUCUDWRWJWS $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.  $d G x y $.  $d I x y $.
    $d K x y $.  $d P x y $.  $d ph x y $.
    cgraid.p $e |- P = ( Base ` G ) $.
    cgraid.i $e |- I = ( Itv ` G ) $.
    cgraid.g $e |- ( ph -> G e. TarskiG ) $.
    cgraid.k $e |- K = ( hlG ` G ) $.
    cgraid.a $e |- ( ph -> A e. P ) $.
    cgraid.b $e |- ( ph -> B e. P ) $.
    cgraid.c $e |- ( ph -> C e. P ) $.
    ${
      cgraid.1 $e |- ( ph -> A =/= B ) $.
      cgraid.2 $e |- ( ph -> B =/= C ) $.
      $( Angle congruence is reflexive.  Theorem 11.6 of [Schwabhauser] p. 96.
         (Contributed by Thierry Arnoux, 31-Jul-2020.) $)
      cgraid $p |- ( ph -> <" A B C "> ( cgrA ` G ) <" A B C "> ) $=
        ( cfv eqid hlid ccgrg cds cgr3id necomd iscgrad ) ABCDBECDFGHBDIJLKMNOM
        NOMOABCDEFUARZFGFUBRZIUGSJUFSKMNOUCABBCEFGHIJLMMNKPTADBCEFGHIJLOMNKACDQ
        UDTUE $.

      $( Swap rays in a congruence relation.  Theorem 11.9 of [Schwabhauser]
         p. 96.  (Contributed by Thierry Arnoux, 5-Mar-2020.) $)
      cgraswap $p |- ( ph -> <" A B C "> ( cgrA ` G ) <" C B A "> ) $=
        ( vx co wcel vy cs3 ccgra cfv wbr cv ccgrg w3a wrex wceq wa eqid cstrkg
        ad3antrrr simpllr simplr simprlr tgcgrcomlr eqcomd simprrr clng simprll
        cds hlln orcd colrot1 cleg wne wo ishlg simp3d orcomd simprrl tgcgrsub2
        mpbid trgcgr axtgcgrrflx tgfscgr 3jca necomd hlcgrex sylanbrc reximddv2
        reeanv iscgra mpbird ) ABCDUBZDCBUBFUCUDUEWGRUFZCUAUFZUBFUGUDZUEZWHDCHU
        DZUEZWIBWLUEZUHZUAEUIREUIAWMCWHFVCUDZSCBWPSUJZUKZWNCWIWPSZCDWPSZUJZUKZU
        KZWORUAEEAWHETZUKZWIETZUKZXCUKZWKWMWNXHBCDWHEWJCWIFWPIWPULZWJULZAFUMTXD
        XFXCKUNZABETXDXFXCMUNZACETXDXFXCNUNZADETXDXFXCOUNZAXDXFXCUOZXMXEXFXCUPZ
        XHWHCWPSBCWPSXHCWHCBEFGWPIXIJXKXMXOXMXLXGWMWQXBUQZURZUSXHWSWTXGWRWNXAUT
        ZUSZXHWIWHWPSDBWPSXHWHWIBDEFGWPIXIJXKXOXPXLXNXHCWIBDEWJWIFGFVAUDZWPCDWH
        IYAULZJXKXMXNXOXJXMXPXIXPXLXNXHEFGYADCWHIYBJXKXNXMXOXHWHDCYASTDCUJXHWHD
        CEFGHYAIJLXOXNXMXKYBXGWMWQXBVBZVDVEVFXHCDWHCEWJWIBFWPIXIXJXKXMXNXOXMXPX
        LXTXHCDWHCEWIBFGFVGUDZWPIXIJYDULXKXMXNXOXMXMXPXLXHWHCDGSTZDCWHGSTZXHWHC
        VHZDCVHZYEYFVIZXHWMYGYHYIUHYCXHWHDCEFGHUMIJLXOXNXMXKVJVOVKVLXHWICVHZBCV
        HZWICBGSTBCWIGSTVIZXHWNYJYKYLUHXGWRWNXAVMZXHWIBCEFGHUMIJLXPXLXMXKVJVOVK
        XTXQVNXRVPXSXHEFGWPDWIIXIJXKXNXPVQACDVHXDXFXCQUNVRURUSVPYCYMVSAWRREUIXB
        UAEUIXCUAEUIREUIARCCBDEFGHWPIJLNNMKOXIACDQVTABCPVTWAAUACCDBEFGHWPIJLNNO
        KMXIPQWAWRXBRUAEEWDWBWCARUABCDDECBFGHIJLKMNOONMWEWF $.
    $}

    $d D x y $.  $d E x y $.  $d F x y $.
    cgracom.d $e |- ( ph -> D e. P ) $.
    cgracom.e $e |- ( ph -> E e. P ) $.
    cgracom.f $e |- ( ph -> F e. P ) $.
    ${
      cgrcgra.1 $e |- ( ph -> A =/= B ) $.
      cgrcgra.2 $e |- ( ph -> B =/= C ) $.
      cgrcgra.3 $e |- ( ph -> <" A B C "> ( cgrG ` G ) <" D E F "> ) $.
      $( Triangle congruence implies angle congruence.  This is a portion of
         CPCTC, focusing on a specific angle.  (Contributed by Arnoux,
         2-Aug-2020.) $)
      cgrcgra $p |- ( ph -> <" A B C "> ( cgrA ` G ) <" D E F "> ) $=
        ( cds eqid ccgrg cgr3simp1 tgcgrneq cgr3simp2 tgcgrcomlr necomd iscgrad
        cfv hlid ) ABCDEFGHIJKEHLMONPQRSTUASUAUDAEBGFIJKLMOSPTNABCEGFIJIUEUNZLU
        PUFZMNPQSTABCDEFIUGUNZGHIJUPLUQMURUFZNPQRSTUAUDUHUBUIUOAHBGFIJKLMOUAPTN
        ADCHGFIJUPLUQMNRQUATACDGHFIJUPLUQMNQRTUAABCDEFURGHIJUPLUQMUSNPQRSTUAUDU
        JUKACDUCULUIUOUM $.
    $}

    cgracom.1 $e |- ( ph -> <" A B C "> ( cgrA ` G ) <" D E F "> ) $.
    $( Angle congruence commutes.  Theorem 11.7 of [Schwabhauser] p. 97.
       (Contributed by Thierry Arnoux, 5-Mar-2020.) $)
    cgracom $p |- ( ph -> <" D E F "> ( cgrA ` G ) <" A B C "> ) $=
      ( vx vy cs3 ccgra cfv wbr cv ccgrg w3a wrex cds co wceq wa wcel ad3antrrr
      eqid cstrkg simpllr simplr simprlr eqcomd simprrr simprll simprrl cgracgr
      tgcgrcomlr trgcgr cgrane1 cgrane3 hlcgrex cgrane2 necomd cgrane4 sylanbrc
      3jca reeanv reximddv2 iscgra mpbird ) AEGHUEZBCDUEZIUFUGZUHWCUCUIZCUDUIZU
      EIUJUGZUHZWFBCKUGZUHZWGDWJUHZUKZUDFULUCFULAWKCWFIUMUGZUNZGEWNUNZUOZUPZWLC
      WGWNUNZGHWNUNZUOZUPZUPZWMUCUDFFAWFFUQZUPZWGFUQZUPZXCUPZWIWKWLXHEGHWFFWHCW
      GIWNLWNUSZWHUSAIUTUQXDXFXCNURZAEFUQXDXFXCSURZAGFUQXDXFXCTURZAHFUQXDXFXCUA
      URZAXDXFXCVAZACFUQXDXFXCQURZXEXFXCVBZXHGECWFFIJWNLXIMXJXLXKXOXNXHWOWPXGWK
      WQXBVCZVDVIXHWSWTXGWRWLXAVEZVDXHEHWFWGFIJWNLXIMXJXKXMXNXPXHWFWGWNUNEHWNUN
      XHBCDEFGHIJKWNWFWGLMOXJABFUQXDXFXCPURXOADFUQXDXFXCRURXKXLXMAWDWCWEUHXDXFX
      CUBURXNXIXPXGWKWQXBVFZXGWRWLXAVGZXQXRVHVDVIVJXSXTVRAWRUCFULXBUDFULXCUDFUL
      UCFULAUCCGEBFIJKWNLMOQTSNPXIABCDEFGHIJKLMONPQRSTUAUBVKABCDEFGHIJKLMONPQRS
      TUAUBVLVMAUDCGHDFIJKWNLMOQTUANRXIACDABCDEFGHIJKLMONPQRSTUAUBVNVOABCDEFGHI
      JKLMONPQRSTUAUBVPVMWRXBUCUDFFVSVQVTAUCUDEGHBFCDIJKLMONSTUAPQRWAWB $.

    $d A u v $.  $d B u v $.  $d C u v $.  $d D u v $.  $d E u v $.
    $d F u v $.  $d G u v $.  $d H u v x y $.  $d U u v x y $.  $d I u v $.
    $d J u v x y $.  $d K u v $.  $d P u v $.  $d ph u v $.
    cgratr.h $e |- ( ph -> H e. P ) $.
    cgratr.i $e |- ( ph -> U e. P ) $.
    cgratr.j $e |- ( ph -> J e. P ) $.
    cgratr.1 $e |- ( ph -> <" D E F "> ( cgrA ` G ) <" H U J "> ) $.
    $( Angle congruence is transitive.  Theorem 11.8 of [Schwabhauser] p. 97.
       (Contributed by Thierry Arnoux, 5-Mar-2020.) $)
    cgratr $p |- ( ph -> <" A B C "> ( cgrA ` G ) <" H U J "> ) $=
      ( vx vy vu vv cs3 ccgra cfv wbr cv ccgrg w3a wrex cds co wceq wcel cstrkg
      wa eqid ad3antrrr simpllr simplr simprlr eqcomd tgcgrcomlr simprrr simpr1
      ad6antr cgr3simp3 simprll cgrahl1 simprrl cgrahl2 simpr2 simpr3 cgr3simp1
      eqtrd cgr3simp2 eqtr3d cgracgr iscgra mpbid r19.29vva trgcgr 3jca cgrane3
      necomd cgrane1 hlcgrex cgrane4 cgrane2 reeanv sylanbrc reximddv2 mpbird )
      ABCDUNZKGMUNZJUOUPZUQXEUJURZGUKURZUNJUSUPZUQZXHKGNUPZUQZXIMXLUQZUTZUKFVAU
      JFVAAXMGXHJVBUPZVCZCBXPVCZVDZVGZXNGXIXPVCZCDXPVCZVDZVGZVGZXOUJUKFFAXHFVEZ
      VGZXIFVEZVGZYEVGZXKXMXNYJBCDXHFXJGXIJXPOXPVHZXJVHZAJVFVEZYFYHYEQVIZABFVEZ
      YFYHYESVIZACFVEZYFYHYETVIZADFVEZYFYHYEUAVIZAYFYHYEVJZAGFVEZYFYHYEUGVIZYGY
      HYEVKZYJCBGXHFJLXPOYKPYNYRYPUUCUUAYJXQXRYIXMXSYDVLVMZVNYJYAYBYIXTXNYCVOVM
      ZYJXEULURZHUMURZUNXJUQZUUGEHNUPZUQZUUHIUUJUQZUTZDBXPVCZXIXHXPVCZVDULUMFFY
      JUUGFVEZVGZUUHFVEZVGZUUMVGZUUNUUHUUGXPVCUUOUUTBCDUUGFXJHUUHJLXPOYKPYLYJYM
      UUPUURUUMYNVIZYJYOUUPUURUUMYPVIZYJYQUUPUURUUMYRVIZYJYSUUPUURUUMYTVIZYJUUP
      UURUUMVJZAHFVEYFYHYEUUPUURUUMUCVQZUUQUURUUMVKZUUSUUIUUKUULVPZVRUUTUUGUUHX
      HXIFJLXPOYKPUVAUVEUVGYJYFUUPUURUUMUUAVIZYJYHUUPUURUUMUUDVIZUUTEHIXHFGXIJL
      NXPUUGUUHOPRUVAAEFVEYFYHYEUUPUURUUMUBVQZUVFAIFVEYFYHYEUUPUURUUMUDVQZUVIYJ
      UUBUUPUURUUMUUCVIZUVJUUTEHIXHFGMJLNXIOPRUVAUVKUVFUVLUVIUVMAMFVEYFYHYEUUPU
      URUUMUHVQZUUTEHIKFGMJLNXHOPRUVAUVKUVFUVLAKFVEYFYHYEUUPUURUUMUFVQUVMUVNAEH
      IUNZXFXGUQYFYHYEUUPUURUUMUIVQUVIYJXMUUPUURUUMYIXMXSYDVSZVIVTUVJYJXNUUPUUR
      UUMYIXTXNYCWAZVIWBUVEYKUVGUUSUUIUUKUULWCUUSUUIUUKUULWDUUTHUUGXPVCXRXQUUTU
      UGHBCFJLXPOYKPUVAUVEUVFUVBUVCUUTBCXPVCUUGHXPVCUUTBCDUUGFXJHUUHJLXPOYKPYLU
      VAUVBUVCUVDUVEUVFUVGUVHWEVMVNYJXRXQVDUUPUURUUMUUEVIWFUUTYBHUUHXPVCYAUUTBC
      DUUGFXJHUUHJLXPOYKPYLUVAUVBUVCUVDUVEUVFUVGUVHWGYJYBYAVDUUPUURUUMUUFVIWHWI
      VNWFAUUMUMFVAULFVAZYFYHYEAXEUVOXGUQUVRUEAULUMBCDEFHIJLNOPRQSTUAUBUCUDWJWK
      VIWLWMUVPUVQWNAXTUJFVAYDUKFVAYEUKFVAUJFVAAUJGCBKFJLNXPOPRUGTSQUFYKAGKAEHI
      KFGMJLNOPRQUBUCUDUFUGUHUIWOWPABCABCDEFHIJLNOPRQSTUAUBUCUDUEWQWPWRAUKGCDMF
      JLNXPOPRUGTUAQUHYKAGMAEHIKFGMJLNOPRQUBUCUDUFUGUHUIWSWPABCDEFHIJLNOPRQSTUA
      UBUCUDUEWTWRXTYDUJUKFFXAXBXCAUJUKBCDKFGMJLNOPRQSTUAUFUGUHWJXD $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.  $d D x y $.  $d E x y $.
    $d F x y $.  $d G x y $.  $d I x y $.  $d P x y $.  $d ph x y $.
    cgracol.p $e |- P = ( Base ` G ) $.
    cgracol.i $e |- I = ( Itv ` G ) $.
    cgracol.m $e |- .- = ( dist ` G ) $.
    cgracol.g $e |- ( ph -> G e. TarskiG ) $.
    cgracol.a $e |- ( ph -> A e. P ) $.
    cgracol.b $e |- ( ph -> B e. P ) $.
    cgracol.c $e |- ( ph -> C e. P ) $.
    cgracol.d $e |- ( ph -> D e. P ) $.
    cgracol.e $e |- ( ph -> E e. P ) $.
    cgracol.f $e |- ( ph -> F e. P ) $.
    ${
      $d .- x y $.
      flatcgra.1 $e |- ( ph -> B e. ( A I C ) ) $.
      flatcgra.2 $e |- ( ph -> E e. ( D I F ) ) $.
      flatcgra.3 $e |- ( ph -> A =/= B ) $.
      flatcgra.4 $e |- ( ph -> C =/= B ) $.
      flatcgra.5 $e |- ( ph -> D =/= E ) $.
      flatcgra.6 $e |- ( ph -> F =/= E ) $.
      $( Flat angles are congruent.  (Contributed by Thierry Arnoux,
         13-Feb-2023.) $)
      flatcgra $p |- ( ph -> <" A B C "> ( cgrA ` G ) <" D E F "> ) $=
        ( vx vy cs3 ccgra cfv wbr cv ccgrg chlg w3a wrex co wcel wceq wa cstrkg
        eqid ad3antrrr simpllr simplr simprlr tgcgrcomlr eqcomd simprrr simprll
        tgbtwncom simprrl tgbtwnconn22 tgcgrextend trgcgr wo necomd tgbtwnconn2
        tgcgrneq 3jca ishlg mpbird axtgsegcon reeanv sylanbrc reximddv2 iscgra
        wne ) ABCDUJZEGHUJIUKULUMWKUHUNZGUIUNZUJIUOULZUMZWLEGIUPULZULZUMZWMHWQU
        MZUQZUIFURUHFURAGHWLJUSUTZGWLKUSZCBKUSZVAZVBZGEWMJUSUTZGWMKUSZCDKUSZVAZ
        VBZVBZWTUHUIFFAWLFUTZVBZWMFUTZVBZXKVBZWOWRWSXPBCDWLFWNGWMIKLNWNVDAIVCUT
        XLXNXKOVEZABFUTXLXNXKPVEZACFUTXLXNXKQVEZADFUTXLXNXKRVEZAXLXNXKVFZAGFUTX
        LXNXKTVEZXMXNXKVGZXPWLGKUSBCKUSXPGWLCBFIJKLNMXQYBYAXSXRXOXAXDXJVHZVIZVJ
        XPXGXHXOXEXFXIVKZVJZXPBDWLWMFIJKLNMXQXRXTYAYCXPWLWMKUSBDKUSXPWLGWMBFCDI
        JKLNMXQYAYBYCXRXSXTXPHGEWLFWMIJLMXQAHFUTXLXNXKUAVEZYBAEFUTXLXNXKSVEZYAY
        CAHGWJZXLXNXKUGVEZAEGWJZXLXNXKUFVEZAGHEJUSUTXLXNXKAEGHFIJKLNMOSTUAUCVMV
        EZXOXAXDXJVLZXOXEXFXIVNZVOACBDJUSUTXLXNXKUBVEYEYFVPVJVIVQXPWRWLGWJZYLWL
        GEJUSUTEGWLJUSUTVRZUQXPYQYLYRXPGWLXPCBGWLFIJKLNMXQXSXRYBYAXPXBXCYDVJACB
        WJXLXNXKABCUDVSVEWAVSYMXPHGWLEFIJLMXQYHYBYAYIYKYOYNVTWBXPWLEGFIJWPVCLMW
        PVDZYAYIYBXQWCWDXPWSWMGWJZYJWMGHJUSUTHGWMJUSUTVRZUQXPYTYJUUAXPGWMXPCDGW
        MFIJKLNMXQXSXTYBYCYGACDWJXLXNXKADCUEVSVEWAVSYKXPEGWMHFIJLMXQYIYBYCYHYMY
        PAGEHJUSUTXLXNXKUCVEVTWBXPWMHGFIJWPVCLMYSYCYHYBXQWCWDWBAXEUHFURXJUIFURX
        KUIFURUHFURAUHCBFIJKHGLNMOUATQPWEAUICDFIJKEGLNMOSTQRWEXEXJUHUIFFWFWGWHA
        UHUIBCDEFGHIJWPLMYSOPQRSTUAWIWD $.
    $}

    cgracol.1 $e |- ( ph -> <" A B C "> ( cgrA ` G ) <" D E F "> ) $.
    $( Swap both side of angle congruence.  (Contributed by Thierry Arnoux,
       5-Oct-2020.) $)
    cgraswaplr $p |- ( ph -> <" C B A "> ( cgrA ` G ) <" F E D "> ) $=
      ( chlg cfv eqid cgrane2 necomd cgrane1 cgraswap cgratr cgrane3 cgrane4 )
      ADCBEFGGHIHJEIUCUDZLMOUMUEZRQPSTUAADCBBFGCDIEJHUMLMOUNRQPPQRADCBFIJUMLMOU
      NRQPACDABCDEFGHIJUMLMUNOPQRSTUAUBUFUGABCABCDEFGHIJUMLMUNOPQRSTUAUBUHUGUIS
      TUAUBUJUATSAEGHFIJUMLMOUNSTUAAGEABCDEFGHIJUMLMUNOPQRSTUAUBUKUGABCDEFGHIJU
      MLMUNOPQRSTUAUBULUIUJ $.

    ${
      cgrabtwn.2 $e |- ( ph -> B e. ( A I C ) ) $.
      $( Angle congruence preserves flat angles.  Part of Theorem 11.21 of
         [Schwabhauser] p. 97.  (Contributed by Thierry Arnoux, 9-Aug-2020.) $)
      cgrabtwn $p |- ( ph -> E e. ( D I F ) ) $=
        ( vx vy cs3 cv ccgrg cfv wbr chlg w3a co wcel wa eqid simpllr ad3antrrr
        cstrkg simpr2 simplr simpr3 simpr1 tgbtwnxfr tgbtwncom ccgra wrex mpbid
        btwnhl iscgra r19.29vva ) ABCDUFZUDUGZGUEUGZUFIUHUIZUJZVMEGIUKUIZUIZUJZ
        VNHVRUJZULZGEHJUMUNUDUEFFAVMFUNZUOZVNFUNZUOZWAUOZVMEHGFIJVQLMVQUPZAWBWD
        WAUQZAEFUNWBWDWASURAHFUNWBWDWAUAURZAIUSUNWBWDWAOURZAGFUNWBWDWATURZWEVPV
        SVTUTWFHGVMFIJKLNMWJWIWKWHWFVNHVMGFIJVQLMWGWCWDWAVAZWIWHWJWKWEVPVSVTVBW
        FVMGVNFIJKLNMWJWHWKWLWFBCDVMFVOGVNIJKLNMVOUPWJABFUNWBWDWAPURACFUNWBWDWA
        QURADFUNWBWDWARURWHWKWLWEVPVSVTVCACBDJUMUNWBWDWAUCURVDVEVIVEVIAVLEGHUFI
        VFUIUJWAUEFVGUDFVGUBAUDUEBCDEFGHIJVQLMWGOPQRSTUAVJVHVK $.
    $}

    ${
      $d K x y $.
      cgrahl.k $e |- K = ( hlG ` G ) $.
      cgrahl.2 $e |- ( ph -> A ( K ` B ) C ) $.
      $( Angle congruence preserves null angles.  Part of Theorem 11.21 of
         [Schwabhauser] p. 97.  (Contributed by Thierry Arnoux, 9-Aug-2020.) $)
      cgrahl $p |- ( ph -> D ( K ` E ) F ) $=
        ( vx vy cs3 cv ccgrg cfv wbr w3a wcel wa ad3antrrr simplr cstrkg simpr2
        simpllr hlcomd wne co wo hlne1 simpr3 adantr ad4antr simplr1 cgr3swap12
        eqid simpr tgbtwnxfr orcd cgr3rotl olcd ishlg simp3d mpjaodan mpbir3and
        mpbid hltr ccgra wrex iscgra r19.29vva ) ABCDUHZUFUIZGUGUIZUHIUJUKZULZW
        HEGKUKZULZWIHWLULZUMZEHWLULUFUGFFAWHFUNZUOZWIFUNZUOZWOUOZEWIHGFIJKMNUDA
        EFUNWPWRWOTUPZWQWRWOUQZAHFUNWPWRWOUBUPZAIURUNZWPWRWOPUPZAGFUNZWPWRWOUAU
        PZWTEWHWIGFIJKMNUDXAAWPWRWOUTZXBXEXGWTWHEGFIJKURMNUDXHXAXGXEWSWKWMWNUSZ
        VAWTWHWIWLULWHGVBWIGVBWHGWIJVCUNZWIGWHJVCUNZVDZWTWHEGFIJKURMNUDXHXAXGXE
        XIVEWTWIHGFIJKURMNUDXBXCXGXEWSWKWMWNVFZVEWTBCDJVCUNZXLDCBJVCUNZWTXNUOZX
        JXKXPCBDGFWJWHWIIJLMONWJVKZWTXDXNXEVGZACFUNZWPWRWOXNRVHZABFUNZWPWRWOXNQ
        VHZADFUNZWPWRWOXNSVHZWTXFXNXGVGZWTWPXNXHVGZWQWRWOXNUTZXPBCDWHFWJGWIIJLM
        ONXQXRYBXTYDYFYEYGWKWMWNWSXNVIVJWTXNVLVMVNWTXOUOZXKXJYHCDBGFWJWIWHIJLMO
        NXQAXDWPWRWOXOPVHZAXSWPWRWOXORVHZAYCWPWRWOXOSVHZAYAWPWRWOXOQVHZAXFWPWRW
        OXOUAVHZWQWRWOXOUTZWTWPXOXHVGZYHBCDWHFWJGWIIJLMONXQYIYLYJYKYOYMYNWKWMWN
        WSXOVIVOWTXOVLVMVPAXNXOVDZWPWRWOABCVBZDCVBZYPABDCKUKULYQYRYPUMUEABDCFIJ
        KURMNUDQSRPVQWAVRUPVSWTWHWIGFIJKURMNUDXHXBXGXEVQVTWBXMWBAWGEGHUHIWCUKUL
        WOUGFWDUFFWDUCAUFUGBCDEFGHIJKMNUDPQRSTUAUBWEWAWF $.
    $}

    ${
      cgracol.l $e |- L = ( LineG ` G ) $.
      cgracol.2 $e |- ( ph -> ( C e. ( A L B ) \/ A = B ) ) $.
      $( Angle congruence preserves colinearity.  (Contributed by Thierry
         Arnoux, 9-Aug-2020.) $)
      cgracol $p |- ( ph -> ( F e. ( D L E ) \/ D = E ) ) $=
        ( co wcel wo wceq w3o wne chlg cfv wbr w3a cstrkg adantr cs3 ccgra eqid
        wa cgrane2 necomd cgrane1 simpr tgbtwncom orcd 3jca jaodan ishlg mpbird
        olcd wb hlcomd cgrahl mpbid simp3d syldan df-3or sylibr cgracom tgellng
        cgrabtwn btwncolg3 wn neneqd orcomd ord mpd sylib mpjaodan ) ADBCJUFUGZ
        BDCJUFUGZUHZHEGKUFUGZEGUIZUHCBDJUFUGZAWNVAZWOWPWRWOHEGJUFUGZEHGJUFUGZGE
        HJUFUGZUJZWRWSWTUHZXAUHXBWRXCXAAWNEGHJUFUGZHGEJUFUGZUHZXCWREGUKZHGUKZXF
        WREHGIULUMZUMUNXGXHXFUOWRBCDEFGHIJXILMNOAIUPUGZWNPUQZABFUGZWNQUQZACFUGZ
        WNRUQZADFUGZWNSUQZAEFUGZWNTUQZAGFUGZWNUAUQZAHFUGZWNUBUQZABCDUREGHURIUSU
        MUNZWNUCUQXIUTZWRDBCFIJXIUPMNYEXQXMXOXKWRDBCXIUMUNZDCUKZBCUKZDCBJUFUGZB
        CDJUFUGZUHZUOZAWLYLWMAWLVAZYGYHYKAYGWLACDABCDEFGHIJXIMNYEPQRSTUAUBUCVBV
        CZUQAYHWLABCDEFGHIJXIMNYEPQRSTUAUBUCVDZUQYMYIYJYMBDCFIJLMONAXJWLPUQAXLW
        LQUQAXPWLSUQAXNWLRUQAWLVEVFVGVHAWMVAZYGYHYKAYGWMYNUQAYHWMYOUQYPYJYIYPDB
        CFIJLMONAXJWMPUQAXPWMSUQAXLWMQUQAXNWMRUQAWMVEVFVLVHVIAYFYLVMWNADBCFIJXI
        UPMNYESQRPVJUQVKVNVOWREHGFIJXIUPMNYEXSYCYAXKVJVPVQAXDXCXEAXDVAZWTWSYQGE
        HFIJLMONAXJXDPUQAXTXDUAUQAXRXDTUQAYBXDUBUQAXDVEVFVLAXEVAZWSWTYRGHEFIJLM
        ONAXJXEPUQAXTXEUAUQAYBXEUBUQAXRXETUQAXEVEVFVGVIVRVGWSWTXAVSVTAWOXBVMWNA
        FIJKEGHMUDNPTUAAEGHBFCDIJXIMNYEPTUAUBQRSABCDEFGHIJXIMNPYEQRSTUAUBUCWAVD
        UBWBUQVKVGAWQVAZFIJKEGHMUDNAXJWQPUQZAXRWQTUQZAXTWQUAUQZAYBWQUBUQZYSBCDE
        FGHIJLMNOYTAXLWQQUQAXNWQRUQAXPWQSUQUUAUUBUUCAYDWQUCUQAWQVEWCWDAWLWMWQUJ
        ZWNWQUHADBCKUFUGZUUDABCUIZWEUUEABCYOWFAUUFUUEAUUEUUFUEWGWHWIAFIJKBCDMUD
        NPQRYOSWBVPWLWMWQVSWJWK $.
    $}

    ${
      cgrancol.l $e |- L = ( LineG ` G ) $.
      cgrancol.2 $e |- ( ph -> -. ( C e. ( A L B ) \/ A = B ) ) $.
      $( Angle congruence preserves non-colinearity.  (Contributed by Thierry
         Arnoux, 9-Aug-2020.) $)
      cgrancol $p |- ( ph -> -. ( F e. ( D L E ) \/ D = E ) ) $=
        ( co wcel wceq wo wa cstrkg adantr chlg cfv cs3 ccgra wbr cgracom simpr
        eqid cgracol mtand ) AHEGKUFUGEGUHUIZDBCKUFUGBCUHUIUEAVCUJZEGHBFCDIJKLM
        NOAIUKUGVCPULZAEFUGVCTULZAGFUGVCUAULZAHFUGVCUBULZABFUGVCQULZACFUGVCRULZ
        ADFUGVCSULZVDBCDEFGHIJIUMUNZMNVEVLUTVIVJVKVFVGVHABCDUOEGHUOIUPUNUQVCUCU
        LURUDAVCUSVAVB $.
    $}
  $}

  ${
    $d .- a c d f t x y z $.  $d A a c d f t x y z $.  $d B a c d f t x y z $.
    $d C a c d f t x y z $.  $d D a c d f t x y z $.  $d E a c d f t x y z $.
    $d F a c d f t x y z $.  $d G a c d f t x y z $.  $d I a c d f t x y z $.
    $d P a c d f t x y z $.  $d L d f $.  $d ph a c d f t x y z $.
    dfcgra2.p $e |- P = ( Base ` G ) $.
    dfcgra2.i $e |- I = ( Itv ` G ) $.
    dfcgra2.m $e |- .- = ( dist ` G ) $.
    dfcgra2.g $e |- ( ph -> G e. TarskiG ) $.
    dfcgra2.a $e |- ( ph -> A e. P ) $.
    dfcgra2.b $e |- ( ph -> B e. P ) $.
    dfcgra2.c $e |- ( ph -> C e. P ) $.
    dfcgra2.d $e |- ( ph -> D e. P ) $.
    dfcgra2.e $e |- ( ph -> E e. P ) $.
    dfcgra2.f $e |- ( ph -> F e. P ) $.
    $( This is the full statement of definition 11.2 of [Schwabhauser] p. 95.
       This proof serves to confirm that the definition we have chosen,
       ~ df-cgra is indeed equivalent to the textbook's definition.
       (Contributed by Thierry Arnoux, 2-Aug-2020.) $)
    dfcgra2 $p |- ( ph -> ( <" A B C "> ( cgrA ` G ) <" D E F "> <->
      ( ( A =/= B /\ C =/= B ) /\ ( D =/= E /\ F =/= E )
      /\ E. a e. P E. c e. P E. d e. P E. f e. P (
         ( ( A e. ( B I a ) /\ ( A .- a ) = ( E .- D ) )
        /\ ( C e. ( B I c ) /\ ( C .- c ) = ( E .- F ) ) )
      /\ ( ( D e. ( E I d ) /\ ( D .- d ) = ( B .- A ) )
        /\ ( F e. ( E I f ) /\ ( F .- f ) = ( B .- C ) ) )
      /\ ( a .- c ) = ( d .- f ) ) ) ) ) $=
      ( vx vy vz vt cs3 ccgra cfv wbr wne wa cv co wcel wceq w3a wrex chlg eqid
      cstrkg adantr simpr cgrane1 cgrane2 necomd cgrane3 cgrane4 simprl ad6antr
      jca simprr simp-5r simp-4r simpllr simplr simp-6r cgracom simplld ad5antr
      tgbtwnne btwnhl1 cgrahl1 simprld cgrahl2 hlid tgbtwncom simplrd tgcgrcoml
      hlcomd eqcomd tgcgrextend simprrd cgracgr 3jca ex reximdva imp axtgsegcon
      reeanv sylanbrc ancom 2rexbii 3bitr3i bitr2i sylib reximddv2 df-3an ccgrg
      r19.41vv simpr1 simpr2 tgcgrcomr simpr3 tgcgrcomlr iscgrad adantl3r oveq2
      trgcgr weq eleq2d eqeq1d anbi1d oveq1 eqeq2d 3anbi23d cbvrex2vw r19.29vva
      anbi12d anbi2d 3anbi13d 2rexbidv anasss sylan2b impbida ) ABCDUJEHIUJJUKU
      LUMZBCUNZDCUNZUOZEHUNZIHUNZUOZBCMUPZKUQZURZBUUFLUQZHELUQZUSZUOZDCNUPZKUQZ
      URZDUUMLUQZHILUQZUSZUOZUOZEHOUPZKUQZURZEUVALUQZCBLUQZUSZUOZIHGUPZKUQZURZI
      UVHLUQZCDLUQZUSZUOZUOZUUFUUMLUQZUVAUVHLUQZUSZUTZGFVAZOFVAZNFVAMFVAZUTZAYS
      UOZUUBUUEUWBUWDYTUUAUWDBCDEFHIJKJVBULZPQUWEVCZAJVDURZYSSVEZABFURZYSTVEZAC
      FURZYSUAVEZADFURZYSUBVEZAEFURZYSUCVEZAHFURZYSUDVEZAIFURZYSUEVEZAYSVFZVGZU
      WDCDUWDBCDEFHIJKUWEPQUWFUWHUWJUWLUWNUWPUWRUWTUXAVHVIZVNUWDUUCUUDUWDHEUWDB
      CDEFHIJKUWEPQUWFUWHUWJUWLUWNUWPUWRUWTUXAVJVIZUWDHIUWDBCDEFHIJKUWEPQUWFUWH
      UWJUWLUWNUWPUWRUWTUXAVKVIZVNUWDUUTUVOUOZGFVAZOFVAZUWAMNFFUWDUUFFURZUOZUUM
      FURZUOZUXHUWAUXLUXGUVTOFUXLUVAFURZUOZUXFUVSGFUXNUVHFURZUOZUXFUVSUXPUXFUOZ
      UUTUVOUVRUXPUUTUVOVLZUXPUUTUVOVOZUXQUUFCUUMUVAFHUVHJKUWELUUFUUMPQUWFAUWGY
      SUXIUXKUXMUXOUXFSVMZUWDUXIUXKUXMUXOUXFVPZAUWKYSUXIUXKUXMUXOUXFUAVMZUXJUXK
      UXMUXOUXFVQZUXLUXMUXOUXFVRZAUWQYSUXIUXKUXMUXOUXFUDVMZUXNUXOUXFVSZUXQUUFCU
      UMUVAFHIJKUWEUVHPQUWFUXTUYAUYBUYCUYDUYEAUWSYSUXIUXKUXMUXOUXFUEVMZUXQUUFCU
      UMEFHIJKUWEUVAPQUWFUXTUYAUYBUYCAUWOYSUXIUXKUXMUXOUXFUCVMZUYEUYGUXQEHIUUFF
      CUUMJKUWEPQUXTUWFUYHUYEUYGUYAUYBUYCUXQEHIUUFFCDJKUWEUUMPQUWFUXTUYHUYEUYGU
      YAUYBAUWMYSUXIUXKUXMUXOUXFUBVMZUXQEHIBFCDJKUWEUUFPQUWFUXTUYHUYEUYGAUWIYSU
      XIUXKUXMUXOUXFTVMZUYBUYIUXQBCDEFHIJKUWEPQUXTUWFUYJUYBUYIUYHUYEUYGAYSUXIUX
      KUXMUXOUXFVTWAUYAUXQBUUFCFJKUWEVDPQUWFUYJUYAUYBUXTUXQCUUFBBFJKUWEPQUWFUYB
      UYAUYJUXTUYJUXQUUHUUKUUSUXRWBZUXQCBUUFFJKLPRQUXTUYBUYJUYAUYKUWDYTUXIUXKUX
      MUXOUXFUXBWCZWDZUYLWEWMWFUYCUXQDUUMCFJKUWEVDPQUWFUYIUYCUYBUXTUXQCUUMDBFJK
      UWEPQUWFUYBUYCUYIUXTUYJUXQUULUUOUURUXRWGZUXQCDUUMFJKLPRQUXTUYBUYIUYCUYNUW
      DUUAUXIUXKUXMUXOUXFUXCWCZWDZUYOWEWMWHWAUYDUXQEUVAHFJKUWEVDPQUWFUYHUYDUYEU
      XTUXQHUVAEBFJKUWEPQUWFUYEUYDUYHUXTUYJUXQUVCUVFUVNUXSWBZUXQHEUVAFJKLPRQUXT
      UYEUYHUYDUYQUWDUUCUXIUXKUXMUXOUXFUXDWCZWDUYRWEWMWFUYFUXQIUVHHFJKUWEVDPQUW
      FUYGUYFUYEUXTUXQHUVHIBFJKUWEPQUWFUYEUYFUYGUXTUYJUXQUVGUVJUVMUXSWGZUXQHIUV
      HFJKLPRQUXTUYEUYGUYFUYSUWDUUDUXIUXKUXMUXOUXFUXEWCZWDUYTWEWMWHUYARUYCUXQUU
      FBCFJKUWEPQUWFUYAUYJUYBUXTUXQCUUFUYMVIWIUXQUUMBCFJKUWEPQUWFUYCUYJUYBUXTUX
      QCUUMUYPVIWIUXQUUFCHUVAFJKLPRQUXTUYAUYBUYEUYDUXQUUFBCHFEUVAJKLPRQUXTUYAUY
      JUYBUYEUYHUYDUXQCBUUFFJKLPRQUXTUYBUYJUYAUYKWJUYQUXQBUUFHEFJKLPRQUXTUYJUYA
      UYEUYHUXQUUHUUKUUSUXRWKWLUXQCBEUVAFJKLPRQUXTUYBUYJUYHUYDUXQUVDUVEUXQUVCUV
      FUVNUXSWKWNWLWOWLUXQUUMCHUVHFJKLPRQUXTUYCUYBUYEUYFUXQUUMDCHFIUVHJKLPRQUXT
      UYCUYIUYBUYEUYGUYFUXQCDUUMFJKLPRQUXTUYBUYIUYCUYNWJUYSUXQDUUMHIFJKLPRQUXTU
      YIUYCUYEUYGUXQUULUUOUURUXRWPWLUXQCDIUVHFJKLPRQUXTUYBUYIUYGUYFUXQUVKUVLUXQ
      UVGUVJUVMUXSWPWNWLWOWLWQWRWSWTWTXAAUXHNFVAMFVAZYSAUUTNFVAMFVAZUVOGFVAOFVA
      ZUOZVUAAVUBVUCAUULMFVAUUSNFVAVUBAMHEFJKLCBPRQSUATUDUCXBANHIFJKLCDPRQSUAUB
      UDUEXBUULUUSMNFFXCXDAUVGOFVAUVNGFVAVUCAOCBFJKLHEPRQSUDUCUATXBAGCDFJKLHIPR
      QSUDUEUAUBXBUVGUVNOGFFXCXDVNVUAUUTVUCUOZNFVAMFVAVUDUXHVUEMNFFUVOUUTUOZGFV
      AOFVAVUCUUTUOUXHVUEUVOUUTOGFFXMVUFUXFOGFFUVOUUTXEXFVUCUUTXEXGXFUUTVUCMNFF
      XMXHXIVEXJWRUWCAUUBUUEUOZUWBUOYSUUBUUEUWBXKAVUGUWBYSAVUGUOZUWBUOZBCUFUPZK
      UQZURZBVUJLUQZUUJUSZUOZDCUGUPZKUQZURZDVUPLUQZUUQUSZUOZUOZUVOVUJVUPLUQZUVQ
      USZUTZGFVAOFVAZYSUFUGFFVUHVUJFURZVUPFURZVVFYSUWBVUHVVGUOZVVHUOZVVFUOZVVBE
      HUHUPZKUQZURZEVVLLUQZUVEUSZUOZIHUIUPZKUQZURZIVVRLUQZUVLUSZUOZUOZVVCVVLVVR
      LUQZUSZUTZYSUHUIFFVVJVVLFURZVVRFURZVWGYSVVFVVJVWHUOZVWIUOZVWGUOZEHIBFCDJK
      UWEPQAUWGVUGVVGVVHVWHVWIVWGSVMZUWFAUWOVUGVVGVVHVWHVWIVWGUCVMZAUWQVUGVVGVV
      HVWHVWIVWGUDVMZAUWSVUGVVGVVHVWHVWIVWGUEVMZAUWIVUGVVGVVHVWHVWIVWGTVMZAUWKV
      UGVVGVVHVWHVWIVWGUAVMZAUWMVUGVVGVVHVWHVWIVWGUBVMZVWLEHIBFCVUPJKUWEDPQUWFV
      WMVWNVWOVWPVWQVWRVVIVVHVWHVWIVWGVQZVWLEHIVUJFCVUPJKUWEBPQUWFVWMVWNVWOVWPV
      UHVVGVVHVWHVWIVWGVPZVWRVWTVWLVUJCVUPEFHIJKUWEPQVWMUWFVXAVWRVWTVWNVWOVWPVW
      LVUJCVUPEFHIJKUWEVVLVVRPQUWFVWMVXAVWRVWTVWNVWOVWPVVJVWHVWIVWGVRZVWJVWIVWG
      VSZVWLVUJCVUPVVLFJXLULZHVVRJLPRVXDVCVWMVXAVWRVWTVXBVWOVXCVWLCVUJVVLHFJKLP
      RQVWMVWRVXAVXBVWOVWLCBVUJVVLFEHJKLPRQVWMVWRVWQVXAVXBVWNVWOVWLVULVUNVVAVWK
      VVBVWDVWFXNZWBZVWLHEVVLFJKLPRQVWMVWOVWNVXBVWLVVNVVPVWCVWKVVBVWDVWFXOZWBZW
      JVWLCBEVVLFJKLPRQVWMVWRVWQVWNVXBVWLVVOUVEVWLVVNVVPVWCVXGWKWNXPVWLBVUJHEFJ
      KLPRQVWMVWQVXAVWOVWNVWLVULVUNVVAVXEWKXPWOWLVWLVUPCHVVRFJKLPRQVWMVWTVWRVWO
      VXCVWLVUPDCHFIVVRJKLPRQVWMVWTVWSVWRVWOVWPVXCVWLCDVUPFJKLPRQVWMVWRVWSVWTVW
      LVUOVURVUTVXEWGZWJVWLVVQVVTVWBVXGWGZVWLDVUPHIFJKLPRQVWMVWSVWTVWOVWPVWLVUO
      VURVUTVXEWPWLVWLCDIVVRFJKLPRQVWMVWRVWSVWPVXCVWLVWAUVLVWLVVQVVTVWBVXGWPWNW
      LWOWLVWLVUJVUPVVLVVRFJKLPRQVWMVXAVWTVXBVXCVWKVVBVWDVWFXQXRYBVWLEVVLHFJKUW
      EVDPQUWFVWNVXBVWOVWMVWLHVVLECFJKUWEPQUWFVWOVXBVWNVWMVWRVXHVWLHEVVLFJKLPRQ
      VWMVWOVWNVXBVXHVWLUUBUUCUUDAVUGVVGVVHVWHVWIVWGVTZWGZWDVXLWEWMVWLIVVRHFJKU
      WEVDPQUWFVWPVXCVWOVWMVWLHVVRICFJKUWEPQUWFVWOVXCVWPVWMVWRVXJVWLHIVVRFJKLPR
      QVWMVWOVWPVXCVXJVWLUUBUUCUUDVXKWPZWDVXMWEWMXSWAVWQVWLCVUJBBFJKUWEPQUWFVWR
      VXAVWQVWMVWQVXFVWLCBVUJFJKLPRQVWMVWRVWQVXAVXFVWLYTUUAUUEVXKWBZWDVXNWEWFVW
      SVWLCVUPDBFJKUWEPQUWFVWRVWTVWSVWMVWQVXIVWLCDVUPFJKLPRQVWMVWRVWSVWTVXIVWLY
      TUUAUUEVXKWKZWDVXOWEWHWAXTVVKVVFVWGUIFVAUHFVAVVJVVFVFVVEVWGVVBVVQUVNUOZVV
      CVVLUVHLUQZUSZUTOGUHUIFFOUHYCZUVOVXPVVDVXRVVBVXSUVGVVQUVNVXSUVCVVNUVFVVPV
      XSUVBVVMEUVAVVLHKYAYDVXSUVDVVOUVEUVAVVLELYAYEYLYFVXSUVQVXQVVCUVAVVLUVHLYG
      YHYIGUIYCZVXPVWDVXRVWFVVBVXTUVNVWCVVQVXTUVJVVTUVMVWBVXTUVIVVSIUVHVVRHKYAY
      DVXTUVKVWAUVLUVHVVRILYAYEYLYMVXTVXQVWEVVCUVHVVRVVLLYAYHYIYJXIYKXTVUIUWBVV
      FUGFVAUFFVAVUHUWBVFUWAVVFVUOUUSUOZUVOVUJUUMLUQZUVQUSZUTZGFVAOFVAMNUFUGFFM
      UFYCZUVSVYDOGFFVYEUUTVYAUVRVYCUVOVYEUULVUOUUSVYEUUHVULUUKVUNVYEUUGVUKBUUF
      VUJCKYAYDVYEUUIVUMUUJUUFVUJBLYAYEYLYFVYEUVPVYBUVQUUFVUJUUMLYGYEYNYONUGYCZ
      VYDVVEOGFFVYFVYAVVBVYCVVDUVOVYFUUSVVAVUOVYFUUOVURUURVUTVYFUUNVUQDUUMVUPCK
      YAYDVYFUUPVUSUUQUUMVUPDLYAYEYLYMVYFVYBVVCUVQUUMVUPVUJLYAYEYNYOYJXIYKYPYQY
      R $.

    ${
      $d X x y $.  $d Y x y $.
      sacgr.x $e |- ( ph -> X e. P ) $.
      sacgr.y $e |- ( ph -> Y e. P ) $.
      sacgr.1 $e |- ( ph -> <" A B C "> ( cgrA ` G ) <" D E F "> ) $.
      sacgr.2 $e |- ( ph -> B e. ( A I X ) ) $.
      sacgr.3 $e |- ( ph -> E e. ( D I Y ) ) $.
      sacgr.4 $e |- ( ph -> B =/= X ) $.
      sacgr.5 $e |- ( ph -> E =/= Y ) $.
      $( Supplementary angles of congruent angles are themselves congruent.
         Theorem 11.13 of [Schwabhauser] p. 98.  (Contributed by Thierry
         Arnoux, 30-Sep-2020.)  (Proof shortened by Igor Ieskov,
         16-Feb-2023.) $)
      sacgr $p |- ( ph -> <" X B C "> ( cgrA ` G ) <" Y E F "> ) $=
        ( vx vy cmir cfv cs3 cv ccgrg wbr chlg w3a ccgra wcel wa eqid ad3antrrr
        cstrkg clng simpllr mircl simplr mirmir eqidd s3eqd necomd mirne simpr1
        wceq mirtrcgr eqbrtrrd simpr2 hlne1 co hlcomd btwnhl tgbtwncom eleqtrrd
        oveq2d mirhl2 simpr3 iscgrad wrex cgrane2 cgraid cgrane1 cgrahl1 cgratr
        wne iscgra mpbid r19.29vva ) ALCIUMUNZUNZUNZCDUOZUKUPZGULUPZUOIUQUNZURZ
        XEEGIUSUNZUNZURZXFHXJURZUTZLCDUOZMGHUOIVAUNZURUKULFFAXEFVBZVCZXFFVBZVCZ
        XMVCZLCDMFGHIJXIXEGXAUNZUNZXFNOXIVDZAIVFVBXPXRXMQVEZALFVBXPXRXMUDVEACFV
        BXPXRXMSVEZADFVBXPXRXMTVEZAMFVBXPXRXMUEVEZAGFVBXPXRXMUBVEZAHFVBXPXRXMUC
        VEXTGFXAIJIVGUNZYAKXENPOYIVDZXAVDZYDYHYAVDZAXPXRXMVHZVIZXQXRXMVJZXTXCXB
        UNZCDUOZXNYBGXFUOXGAYQXNVQXPXRXMAYPCDDLCACLFXAIJYIXBKNPOYJYKQSXBVDZUDVK
        ZACVLADVLVMVEXTXCCDFXGXAIJYIXBKYAXEGXFNPOYJYKYDXGVDYRYLAXCFVBXPXRXMACFX
        AIJYIXBKLNPOYJYKQSYRUDVIZVEYEYMYHYFYOAXCCWQXPXRXMACLFXAIJYIXBKNPOYJYKQS
        YRUDACLUIVNVOZVEXSXHXKXLVPVRVSXTMYBGFIJXIVFNOYCYGYNYHYDXTGFXAIJXIYIYAKM
        YBGNPOYJYKYDYLYCYHYGYNYHXTGMAGMWQXPXRXMUJVEVNXTGXEFXAIJYIYAKNPOYJYKYDYH
        YLYMXTXEEGFIJXIVFNOYCYMAEFVBXPXRXMUAVEZYHYDXSXHXKXLVTZWAVOXTGMXEJWBMYBY
        AUNZJWBXTXEGMFIJKNPOYDYMYHYGXTEXEMGFIJXINOYCUUBYMYGYDYHXTXEEGFIJXIVFNOY
        CYMUUBYHYDUUCWCAGEMJWBVBXPXRXMUHVEWDWEXTUUDXEMJXTGXEFXAIJYIYAKNPOYJYKYD
        YHYLYMVKWGWFWHWCXSXHXKXLWIWJAXDEGHUOXOURXMULFWKUKFWKAXCCDBFGCDIEJHXINOQ
        YCYTSTRSTAXCCDXCFCDIJXIBNOYCQYTSTYTSTAXCCDFIJXINOQYCYTSTUUAABCDEFGHIJXI
        NOYCQRSTUAUBUCUFWLWMRACFXAIJXIYIXBKBXCBNPOYJYKQYRYCSRYTRABCDEFGHIJXINOY
        CQRSTUAUBUCUFWNUUAACBLJWBBYPJWBUGAYPLBJYSWGWFWHWOUAUBUCUFWPAUKULXCCDEFG
        HIJXINOYCQYTSTUAUBUCWRWSWT $.
    $}

    ${
      oacgr.1 $e |- ( ph -> B e. ( A I D ) ) $.
      oacgr.2 $e |- ( ph -> B e. ( C I F ) ) $.
      oacgr.3 $e |- ( ph -> B =/= A ) $.
      oacgr.4 $e |- ( ph -> B =/= C ) $.
      oacgr.5 $e |- ( ph -> B =/= D ) $.
      oacgr.6 $e |- ( ph -> B =/= F ) $.
      $( Vertical angle theorem.  Vertical, or opposite angles are the facing
         pair of angles formed when two lines intersect.  Eudemus of Rhodes
         attributed the proof to Thales of Miletus.  The proposition showed
         that since both of a pair of vertical angles are supplementary to both
         of the adjacent angles, the vertical angles are equal in measure.  We
         follow the same path.  Theorem 11.14 of [Schwabhauser] p. 98.
         (Contributed by Thierry Arnoux, 27-Sep-2020.) $)
      oacgr $p |- ( ph -> <" A B C "> ( cgrA ` G ) <" D B F "> ) $=
        ( chlg cfv eqid necomd cgraswap tgbtwncom sacgr cgratr ) ABCDDFCCBIEJHI
        UHUIZLMOUPUJZPQRRQPABCDFIJUPLMOUQPQRACBUDUKUEULSQUAAHCBBFCHIJKDELMNOUAQ
        PPQUARSAHCBFIJUPLMOUQUAQPACHUGUKUDULADCHFIJKLNMORQUAUCUMUBUEUFUNUO $.
    $}

    ${
      acopy.l $e |- L = ( LineG ` G ) $.
      acopy.1 $e |- ( ph -> -. ( A e. ( B L C ) \/ B = C ) ) $.
      acopy.2 $e |- ( ph -> -. ( D e. ( E L F ) \/ E = F ) ) $.
      $( Angle construction.  Theorem 11.15 of [Schwabhauser] p. 98.  This is
         Hilbert's axiom III.4 for geometry.  (Contributed by Thierry Arnoux,
         9-Aug-2020.) $)
      acopy $p |- ( ph -> E. f e. P ( <" A B C "> ( cgrA ` G ) <" D E f ">
        /\ f ( ( hpG ` G ) ` ( D L E ) ) F ) ) $=
        ( vd cv chlg cfv wbr co wceq cs3 ccgra chpg wrex wcel ccgrg eqid cstrkg
        wa ad2antrr simplr wo wn simprl hlne1 ncolncol simprr eqcomd tgcgrcomlr
        hlln trgcopy wne ncolne1 ad4antr ncolrot1 cgrcgra hlcomd cgrahl1 ex crn
        simpr tgelrnln tglinerflx2 tglinethru fveq2d breqd anim12d reximdva mpd
        mpbird necomd hlcgrex r19.29a ) AUGUHZEHJUIUJZUJUKZHWQMULZCBMULZUMZVBZB
        CDUNZEHGUHZUNJUOUJUKZXEIEHLULZJUPUJZUJZUKZVBZGFUQZUGFAWQFURZVBZXCVBZXDW
        QHXEUNJUSUJUKZXEIWQHLULZXHUJZUKZVBZGFUQXLXOBCDWQFGHIJKWRLMNPOUDWRUTZAJV
        AURZXMXCQVCZABFURZXMXCRVCZACFURZXMXCSVCZADFURZXMXCTVCZAXMXCVDZAHFURZXMX
        CUBVCZAIFURXMXCUCVCZABCDLULURCDUMVEVFXMXCUEVCXOEHIWQFJKLNOUDYCAEFURZXMX
        CUAVCZYLYMYJAEHILULURHIUMVEVFXMXCUFVCXOWQEHFJKWRLNOYAYJYOYLYCUDXNWSXBVG
        ZVMZXOWQEHFJKWRVANOYAYJYOYLYCYPVHZVIXOCBHWQFJKMNPOYCYGYEYLYJXOWTXAXNWSX
        BVJVKVLVNXOXTXKGFXOXEFURZVBZXPXFXSXJYTXPXFYTXPVBZBCDWQFHXEJKWRENOYAXOYB
        YSXPYCVCZXOYDYSXPYEVCZXOYFYSXPYGVCZXOYHYSXPYIVCZXOXMYSXPYJVCZXOYKYSXPYL
        VCZXOYSXPVDZUUABCDWQFHXEJKWRNOUUBYAUUCUUDUUEUUFUUGUUHABCVOXMXCYSXPAFJKL
        BCDNOUDQRSTUEVPZVQACDVOXMXCYSXPAFJKLCDBNOUDQSTRAFJKLCDBNUDOQSTRUEVRVPVQ
        YTXPWDVSXOYNYSXPYOVCZUUAWQEHFJKWRVANOYAUUFUUJUUGUUBXOWSYSXPYPVCVTWAWBYT
        XSXJYTXSVBZXJXSYTXSWDUUKXIXRXEIUUKXGXQXHUUKXGFWQHJKLNOUDXOYBYSXSYCVCXOX
        MYSXSYJVCXOYKYSXSYLVCXOWQHVOYSXSYRVCZUULAXGLWCURXMXCYSXSAFJKLEHNOUDQUAU
        BAFJKLEHINOUDQUAUBUCUFVPZWEVQXOWQXGURYSXSYQVCAHXGURXMXCYSXSAFEHJKLNOUDQ
        UAUBUUMWFVQWGWHWIWMWBWJWKWLAUGHCBEFJKWRMNOYAUBSRQUAPUUMABCUUIWNWOWP $.

      $d .- a b d t u v w x y $.  $d A b t w $.  $d B b t w $.  $d C b t w $.
      $d D b t w $.  $d E b t u v w $.  $d F b t u v w $.  $d G b t u v w $.
      $d I b t u v w $.  $d K a b d t w x y $.  $d L a b t u v w $.
      $d P b t u v w $.  $d X a b d t w x y $.  $d Y a b d t w x y $.
      $d ph b t w $.
      acopyeu.x $e |- ( ph -> X e. P ) $.
      acopyeu.y $e |- ( ph -> Y e. P ) $.
      acopyeu.k $e |- K = ( hlG ` G ) $.
      acopyeu.1 $e |- ( ph -> <" A B C "> ( cgrA ` G ) <" D E X "> ) $.
      acopyeu.2 $e |- ( ph -> <" A B C "> ( cgrA ` G ) <" D E Y "> ) $.
      acopyeu.3 $e |- ( ph -> X ( ( hpG ` G ) ` ( D L E ) ) F ) $.
      acopyeu.4 $e |- ( ph -> Y ( ( hpG ` G ) ` ( D L E ) ) F ) $.
      $( Angle construction.  Theorem 11.15 of [Schwabhauser] p. 98.  This is
         Hilbert's axiom III.4 for geometry.  Akin to a uniqueness theorem,
         this states that if two points ` X ` and ` Y ` both fulfill the
         conditions, then they are on the same half-line.  (Contributed by
         Thierry Arnoux, 9-Aug-2020.) $)
      acopyeu $p |- ( ph -> X ( K ` E ) Y ) $=
        ( vd vx vy vt vu vv vw va vb cv cfv wbr co wceq wcel cs3 ccgrg ad2antrr
        wa ad3antrrr simplr cstrkg cdif wrex copab wo wn simprl ncolncol simprr
        hlln hlne1 tgcgrcomlr eqcomd simpl eleq1d simpr anbi12d oveq12d eleq12d
        simpll cbvrexdva cbvopabv simpllr simprll simprrl crn tgelrnln ncolrot2
        tglinerflx2 cgrancol ncolcom ad5antr simprlr pm2.45 tglinethru neleqtrd
        syl ncolne1 hphl chpg fveq2d breqdi hpgtr simprrr trgcopyeulem eqbrtrrd
        hlcomd ccgra cgrahl1 wne iscgra1 mpbid reeanv sylanbrc r19.29vva necomd
        hltr hlcgrex r19.29a ) AUPVEZEGKVFZVGZGYPMVHCBMVHVIZVNZNOYQVGZUPFAYPFVJ
        ZVNZYTVNZBCDVKZYPGUQVEZVKIVLVFZVGZUUFNYQVGZVNZUUEYPGURVEZVKUUGVGZUUKOYQ
        VGZVNZVNZUUAUQURFFUUDUUFFVJZVNZUUKFVJZVNZUUOVNZNUUKOGFIJKPQUKUUDNFVJZUU
        PUURUUOAUVAUUBYTUIVMZVOZUUQUURUUOVPZUUDOFVJZUUPUURUUOAUVEUUBYTUJVMZVOZU
        UDIVQVJZUUPUURUUOAUVHUUBYTSVMZVOZUUDGFVJZUUPUURUUOAUVKUUBYTUDVMZVOZUUTU
        UKNGFIJKVQPQUKUVDUVCUVMUVJUUTUUFUUKNYQUUTUSBCDYPFGHIJKLMUTVEZFYPGLVHZVR
        ZVJZVAVEZUVPVJZVNZVBVEZUVNUVRJVHZVJZVBUVOVSZVNZUTVAVTZUUFUUKVCVDPRQUFUK
        UVJUUDBFVJZUUPUURUUOAUWGUUBYTTVMZVOUUDCFVJZUUPUURUUOAUWIUUBYTUAVMZVOUUD
        DFVJZUUPUURUUOAUWKUUBYTUBVMZVOUUDUUBUUPUURUUOAUUBYTVPZVOUVMUUDHFVJZUUPU
        URUUOAUWNUUBYTUEVMZVOZUUDBCDLVHVJCDVIWAWBZUUPUURUUOAUWQUUBYTUGVMVOUUDYP
        GHLVHZVJGHVIZWAWBUUPUURUUOUUDEGHYPFIJLPQUFUVIAEFVJZUUBYTUCVMZUVLUWOUWMA
        EUWRVJUWSWAWBUUBYTUHVMUUDYPEGFIJKLPQUKUWMUXAUVLUVIUFUUCYRYSWCZWFZUUDYPE
        GFIJKVQPQUKUWMUXAUVLUVIUXBWGZWDVOUUDBCMVHZYPGMVHZVIUUPUURUUOUUDUXFUXEUU
        DGYPCBFIJMPRQUVIUVLUWMUWJUWHUUCYRYSWEWHWIZVOUWEVCVEZUVPVJZVDVEZUVPVJZVN
        ZUSVEZUXHUXJJVHZVJZUSUVOVSZVNUTVAVCVDUVNUXHVIZUVRUXJVIZVNZUVTUXLUWDUXPU
        XSUVQUXIUVSUXKUXSUVNUXHUVPUXQUXRWJWKUXSUVRUXJUVPUXQUXRWLWKWMUXSUWCUXOVB
        USUVOUXSUWAUXMVIZVNZUWAUXMUWBUXNUXSUXTWLUYAUVNUXHUVRUXJJUXQUXRUXTWPUXQU
        XRUXTVPWNWOWQWMWRZUUDUUPUURUUOWSZUVDUUSUUHUUIUUNWTUUSUUJUULUUMXAUUTUSUU
        FNHUVOFIJLUWFVCVDPQUFUVJUUDUVOLXBZVJUUPUURUUOUUDFIJLYPGPQUFUVIUWMUVLUXD
        XCVOZUYCUYBUVCUUTUSGUUFNUVOFIJKLUWFVCVDPQUFUVJUYEUVMUYBUKUUDGUVOVJUUPUU
        RUUOUUDFYPGIJLPQUFUVIUWMUVLUXDXEVOZUYCUVCUUTEGLVHZUVOUUFUUTUUFUYGVJZEGV
        IZWAWBUYHWBUUTFIJLGEUUFPUFQUVJUVMUUDUWTUUPUURUUOUXAVOZUYCUUTNGEUUFFIJLP
        QUFUVJUVCUVMUYJUYCANGELVHZVJGEVIZWAWBUUBYTUUPUURUUOAFIJLEGNPUFQSUCUDUIA
        BCDEFGNIJLMPQRSTUAUBUCUDUIULUFAFIJLCDBPUFQSUAUBTUGXDZXFXGXHUUTUUFNGFIJK
        LPQUKUYCUVCUVMUVJUFUUSUUHUUIUUNXIZWFUUTUUFNGFIJKVQPQUKUYCUVCUVMUVJUYNWG
        WDXGUYHUYIXJXMUUDUYGUVOVIUUPUURUUOUUDUYGFYPGIJLPQUFUVIUWMUVLUXDUXDAUYGU
        YDVJUUBYTAFIJLEGPQUFSUCUDAFIJLEGHPQUFSUCUDUEUHXNZXCVMUXCAGUYGVJUUBYTAFE
        GIJLPQUFSUCUDUYOXEVMXKZVOZXLUYNXOUWPUUTUYGIXPVFZVFZUVOUYRVFZNHUUDUYSUYT
        VIUUPUURUUOUUDUYGUVOUYRUYPXQVOZANHUYSVGUUBYTUUPUURUUOUNXHXRXSUUTUSUUKOH
        UVOFIJLUWFVCVDPQUFUVJUYEUVDUYBUVGUUTUSGUUKOUVOFIJKLUWFVCVDPQUFUVJUYEUVM
        UYBUKUYFUVDUVGUUTUYGUVOUUKUUTUUKUYGVJZUYIWAWBVUBWBUUTFIJLGEUUKPUFQUVJUV
        MUYJUVDUUTOGEUUKFIJLPQUFUVJUVGUVMUYJUVDAOUYKVJUYLWAWBUUBYTUUPUURUUOAFIJ
        LEGOPUFQSUCUDUJABCDEFGOIJLMPQRSTUAUBUCUDUJUMUFUYMXFXGXHUUTUUKOGFIJKLPQU
        KUVDUVGUVMUVJUFUUSUUJUULUUMXTZWFUUTUUKOGFIJKVQPQUKUVDUVGUVMUVJVUCWGWDXG
        VUBUYIXJXMUYQXLVUCXOUWPUUTUYSUYTOHVUAAOHUYSVGUUBYTUUPUURUUOUOXHXRXSYAUY
        NYBYCVUCYMUUDUUJUQFVSZUUNURFVSZUUOURFVSUQFVSUUDUUEYPGNVKIYDVFZVGVUDUUDB
        CDEFGNIJKYPPQUKUVIUWHUWJUWLUXAUVLUVBAUUEEGNVKVUFVGUUBYTULVMUWMUXBYEUUDU
        QBCDYPFGNIJKMPQUKUVIUWHUWJUWLUWMUVLUVBRABCYFUUBYTAFIJLBCDPQUFSTUAUBUGXN
        ZVMZUXGYGYHUUDUUEYPGOVKVUFVGVUEUUDBCDEFGOIJKYPPQUKUVIUWHUWJUWLUXAUVLUVF
        AUUEEGOVKVUFVGUUBYTUMVMUWMUXBYEUUDURBCDYPFGOIJKMPQUKUVIUWHUWJUWLUWMUVLU
        VFRVUHUXGYGYHUUJUUNUQURFFYIYJYKAUPGCBEFIJKMPQUKUDUATSUCRUYOABCVUGYLYNYO
        $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Angle Comparisons
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c inA leA $.

  $( Extend class relation with the geometrical "point in angle" relation. $)
  cinag $a class inA $.

  $( Extend class relation with the "angle less than" relation. $)
  cleag $a class leA $.

  ${
    $d g p t x $.
    $( Definition of the geometrical "in angle" relation.  (Contributed by
       Thierry Arnoux, 15-Aug-2020.) $)
    df-inag $a |- inA = ( g e. _V |-> { <. p , t >. | ( ( p e. ( Base ` g )
     /\ t e. ( ( Base ` g ) ^m ( 0 ..^ 3 ) ) ) /\ ( ( ( t ` 0 ) =/= ( t ` 1 )
       /\ ( t ` 2 ) =/= ( t ` 1 ) /\ p =/= ( t ` 1 ) )
     /\ E. x e. ( Base ` g ) ( x e. ( ( t ` 0 ) ( Itv ` g ) ( t ` 2 ) )
       /\ ( x = ( t ` 1 ) \/ x ( ( hlG ` g ) ` ( t ` 1 ) ) p ) ) ) ) } ) $.
  $}

  ${
    $d A p t x $.  $d B p t x $.  $d C p t x $.  $d G g p t x $.  $d I g p t $.
    $d K g p t $.  $d P g p t x $.  $d X p t x $.  $d ph x $.
    isinag.p $e |- P = ( Base ` G ) $.
    isinag.i $e |- I = ( Itv ` G ) $.
    isinag.k $e |- K = ( hlG ` G ) $.
    isinag.x $e |- ( ph -> X e. P ) $.
    isinag.a $e |- ( ph -> A e. P ) $.
    isinag.b $e |- ( ph -> B e. P ) $.
    isinag.c $e |- ( ph -> C e. P ) $.
    ${
      isinag.g $e |- ( ph -> G e. V ) $.
      $( Property for point ` X ` to lie in the angle ` <" A B C "> ` .
         Definition 11.23 of [Schwabhauser] p. 101.  (Contributed by Thierry
         Arnoux, 15-Aug-2020.) $)
      isinag $p |- ( ph -> ( X ( inA ` G ) <" A B C ">
       <-> ( ( A =/= B /\ C =/= B /\ X =/= B )
         /\ E. x e. P ( x e. ( A I C ) /\ ( x = B \/ x ( K ` B ) X ) ) ) ) ) $=
        ( wcel vp vt vg cs3 cv cc0 c3 cfzo co cmap wa cfv c1 wne c2 w3a wceq wo
        wbr wrex copab cinag simpr fveq1d neeq12d simpl 3anbi123d eleq2d eqeq2d
        oveq12d eqidd fveq2d breq123d orbi12d anbi12d rexbidv eqid brab2a s3fv0
        syl s3fv1 s3fv2 neeq2d breqd anbi2d syl5bb cvv elex cbs citv chlg fveq2
        eqtr4di oveq1d oveqd rexeqbidv opabbidv df-inag cxp fvexi ovex opabssxp
        orbi2d xpex ssexi fvmpt 3syl cword chash s3cld s3len cn0 wb 3nn0 wrdmap
        mp2an sylanblc jca biantrurd 3bitr4d ) AKCDEUDZUAUEZFTZUBUEZFUFUGUHUIZU
        JUIZTZUKZUFYDULZUMYDULZUNZUOYDULZYJUNZYBYJUNZUPZBUEZYIYLHUIZTZYPYJUQZYP
        YBYJIULZUSZURZUKZBFUTZUKZUKZUAUBVAZUSZKFTZYAYFTZUKZCDUNZEDUNZKDUNZUPZYP
        CEHUIZTZYPDUQZYPKDIULZUSZURZUKZBFUTZUKZUKZKYAGVBULZUSUVDUUHUUKUFYAULZUM
        YAULZUNZUOYAULZUVHUNZKUVHUNZUPZYPUVGUVJHUIZTZYPUVHUQZYPKUVHIULZUSZURZUK
        ZBFUTZUKZUKAUVEUUEUWBUAUBKYAFYFUUGYBKUQZYDYAUQZUKZYOUVMUUDUWAUWEYKUVIYM
        UVKYNUVLUWEYIUVGYJUVHUWEUFYDYAUWCUWDVCZVDZUWEUMYDYAUWFVDZVEUWEYLUVJYJUV
        HUWEUOYDYAUWFVDZUWHVEUWEYBKYJUVHUWCUWDVFZUWHVEVGUWEUUCUVTBFUWEYRUVOUUBU
        VSUWEYQUVNYPUWEYIUVGYLUVJHUWGUWIVJVHUWEYSUVPUUAUVRUWEYJUVHYPUWHVIUWEYPY
        PYBKYTUVQUWEYPVKUWEYJUVHIUWHVLUWJVMVNVOVPVOUUGVQVRAUWBUVDUUKAUVMUUOUWAU
        VCAUVIUULUVKUUMUVLUUNAUVGCUVHDACFTUVGCUQPCDEFVSVTZADFTUVHDUQQCDEFWAVTZV
        EAUVJEUVHDAEFTUVJEUQRCDEFWBVTZUWLVEAUVHDKUWLWCVGAUVTUVBBFAUVOUUQUVSUVAA
        UVNUUPYPAUVGCUVJEHUWKUWMVJVHAUVPUURUVRUUTAUVHDYPUWLVIAUVQUUSYPKAUVHDIUW
        LVLWDVNVOVPVOWEWFAUVFUUGKYAAGJTGWGTUVFUUGUQSGJWHUCGYBUCUEZWIULZTZYDUWOY
        EUJUIZTZUKZYOYPYIYLUWNWJULZUIZTZYSYPYBYJUWNWKULZULZUSZURZUKZBUWOUTZUKZU
        KZUAUBVAUUGWGVBUWNGUQZUXJUUFUAUBUXKUWSYHUXIUUEUXKUWPYCUWRYGUXKUWOFYBUXK
        UWOGWIULFUWNGWIWLLWMZVHUXKUWQYFYDUXKUWOFYEUJUXLWNVHVOUXKUXHUUDYOUXKUXGU
        UCBUWOFUXLUXKUXBYRUXFUUBUXKUXAYQYPUXKUWTHYIYLUXKUWTGWJULHUWNGWJWLMWMWOV
        HUXKUXEUUAYSUXKUXDYTYPYBUXKYJUXCIUXKUXCGWKULIUWNGWKWLNWMVDWDXCVOWPWEVOW
        QBUBUCUAWRUUGFYFWSFYFFGWILWTZFYEUJXAXDUUEUAUBFYFXBXEXFXGWDAUUKUVDAUUIUU
        JOAYAFXHTZYAXIULUGUQZUUJACDEFPQRXJCDEXKFWGTUGXLTUXNUXOUKUUJXMUXMXNUGFYA
        WGXOXPXQXRXSXT $.
    $}

    ${
      $d I x $.  $d K x $.  $d Y x $.
      isinagd.g $e |- ( ph -> G e. V ) $.
      isinagd.y $e |- ( ph -> Y e. P ) $.
      isinagd.1 $e |- ( ph -> A =/= B ) $.
      isinagd.2 $e |- ( ph -> C =/= B ) $.
      isinagd.3 $e |- ( ph -> X =/= B ) $.
      isinagd.4 $e |- ( ph -> Y e. ( A I C ) ) $.
      isinagd.5 $e |- ( ph -> ( Y = B \/ Y ( K ` B ) X ) ) $.
      $( Sufficient conditions for in-angle relation, deduction version.
         (Contributed by Thierry Arnoux, 20-Oct-2020.) $)
      isinagd $p |- ( ph -> X ( inA ` G ) <" A B C "> ) $=
        ( vx cs3 cinag cfv wbr wne w3a cv co wcel wceq wo wrex 3jca simpr eqidd
        wa eleq12d eqeq12d breq1d orbi12d anbi12d jca rspcedvd isinag mpbird )
        AJBCDUGFUHUIUJBCUKZDCUKZJCUKZULZUFUMZBDGUNZUOZVPCUPZVPJCHUIZUJZUQZVBZUF
        EURZVBAVOWDAVLVMVNUAUBUCUSAWCKVQUOZKCUPZKJVTUJZUQZVBUFKETAVPKUPZVBZVRWE
        WBWHWJVPKVQVQAWIUTZWJVQVAVCWJVSWFWAWGWJVPKCCWKWJCVAVDWJVPKJVTWKVEVFVGAW
        EWHUDUEVHVIVHAUFBCDEFGHIJLMNOPQRSVJVK $.
    $}

    inagflat.g $e |- ( ph -> G e. TarskiG ) $.
    ${
      inagflat.x $e |- ( ph -> X e. P ) $.
      inagflat.1 $e |- ( ph -> A =/= B ) $.
      inagflat.2 $e |- ( ph -> C =/= B ) $.
      inagflat.3 $e |- ( ph -> X =/= B ) $.
      inagflat.4 $e |- ( ph -> B e. ( A I C ) ) $.
      $( Any point lies in a flat angle.  (Contributed by Thierry Arnoux,
         13-Feb-2023.) $)
      inagflat $p |- ( ph -> X ( inA ` G ) <" A B C "> ) $=
        ( cstrkg wceq cfv wbr eqidd orcd isinagd ) ABCDEFGHUCICJKLMNOPQOSTUAUBA
        CCUDCICHUEUFACUGUHUI $.
    $}

    inagswap.1 $e |- ( ph -> X ( inA ` G ) <" A B C "> ) $.
    $( Swap the order of the half lines delimiting the angle.  Theorem 11.24 of
       [Schwabhauser] p. 101.  (Contributed by Thierry Arnoux, 15-Aug-2020.) $)
    inagswap $p |- ( ph -> X ( inA ` G ) <" C B A "> ) $=
      ( vx wcel cs3 cinag cfv wbr wne cv co wceq wo wa wrex cstrkg isinag mpbid
      w3a simpld simp2d simp1d simp3d 3jca simprd cds eqid 3ad2ant1 simp2 simp3
      tgbtwncom 3expia anim1d reximdva mpd mpbir2and ) AIDCBUAFUBUCZUDDCUEZBCUE
      ZICUEZUOSUFZDBGUGTZVQCUHVQICHUCUDUIZUJZSEUKZAVNVOVPAVOVNVPAVOVNVPUOZVQBDG
      UGTZVSUJZSEUKZAIBCDUAVMUDWBWEUJRASBCDEFGHULIJKLMNOPQUMUNZUPZUQAVOVNVPWGUR
      AVOVNVPWGUSUTAWEWAAWBWEWFVAAWDVTSEAVQETZUJWCVRVSAWHWCVRAWHWCUOBVQDEFGFVBU
      CZJWIVCKAWHFULTWCQVDAWHBETWCNVDAWHWCVEAWHDETWCPVDAWHWCVFVGVHVIVJVKASDCBEF
      GHULIJKLMPONQUMVL $.

    $( Deduce inequality from the in-angle relation.  (Contributed by Thierry
       Arnoux, 29-Oct-2021.) $)
    inagne1 $p |- ( ph -> A =/= B ) $=
      ( vx wne w3a cv co wcel wceq cfv wbr wo wa wrex cinag cstrkg isinag mpbid
      cs3 simpld simp1d ) ABCTZDCTZICTZAURUSUTUAZSUBZBDGUCUDVBCUEVBICHUFUGUHUIS
      EUJZAIBCDUOFUKUFUGVAVCUIRASBCDEFGHULIJKLMNOPQUMUNUPUQ $.

    $( Deduce inequality from the in-angle relation.  (Contributed by Thierry
       Arnoux, 29-Oct-2021.) $)
    inagne2 $p |- ( ph -> C =/= B ) $=
      ( vx wne w3a cv co wcel wceq cfv wbr wo wa wrex cinag cstrkg isinag mpbid
      cs3 simpld simp2d ) ABCTZDCTZICTZAURUSUTUAZSUBZBDGUCUDVBCUEVBICHUFUGUHUIS
      EUJZAIBCDUOFUKUFUGVAVCUIRASBCDEFGHULIJKLMNOPQUMUNUPUQ $.

    $( Deduce inequality from the in-angle relation.  (Contributed by Thierry
       Arnoux, 29-Oct-2021.) $)
    inagne3 $p |- ( ph -> X =/= B ) $=
      ( vx wne w3a cv co wcel wceq cfv wbr wo wa wrex cinag cstrkg isinag mpbid
      cs3 simpld simp3d ) ABCTZDCTZICTZAURUSUTUAZSUBZBDGUCUDVBCUEVBICHUFUGUHUIS
      EUJZAIBCDUOFUKUFUGVAVCUIRASBCDEFGHULIJKLMNOPQUMUNUPUQ $.

    ${
      $d x y z $.  $d A y z $.  $d B y z $.  $d C y z $.  $d D x y z $.
      $d F x y z $.  $d G y z $.  $d I x y z $.  $d K x y z $.  $d P x y z $.
      $d X y z $.  $d Y x y z $.  $d ph y z $.
      inaghl.d $e |- ( ph -> D e. P ) $.
      inaghl.f $e |- ( ph -> F e. P ) $.
      inaghl.y $e |- ( ph -> Y e. P ) $.
      inaghl.1 $e |- ( ph -> D ( K ` B ) A ) $.
      inaghl.2 $e |- ( ph -> F ( K ` B ) C ) $.
      inaghl.3 $e |- ( ph -> Y ( K ` B ) X ) $.
      $( The "point lie in angle" relation is independent of the points chosen
         on the half lines starting from ` B ` .  Theorem 11.25 of
         [Schwabhauser] p. 101.  (Contributed by Thierry Arnoux,
         27-Sep-2020.) $)
      inaghl $p |- ( ph -> Y ( inA ` G ) <" D B F "> ) $=
        ( vy vx vz cs3 cinag cfv wbr wne w3a cv co wcel wceq wo wa cstrkg hlne1
        wrex 3jca adantr wb eleq1 eqeq1 breq1 orbi12d anbi12d adantl hlcomd cds
        eqid simpr tgbtwncom btwnhl eqidd jca rspcedvd wn simpllr eleq1d eqeq1d
        orcd breq1d ad4antr simplr eqeltrrd eqeltrd ad6antr simprl hlne2 simprr
        ad2antrr hlpasch ad8antr simp-5r hltr simpld ex reximdva r19.29a jaodan
        olcd mpd anasss isinag mpbid simprd pm2.61dan mpbir2and ) ALECGUKHULUMZ
        UNECUOZGCUOZLCUOZUPUHUQZEGIURZUSZXTCUTZXTLCJUMZUNZVAZVBZUHFVEZAXQXRXSAE
        BCFHIJVCMNOUBQRTUEVDAGDCFHIJVCMNOUCSRTUFVDALKCFHIJVCMNOUDPRTUGVDVFACBDI
        URZUSZYHAYJVBZYGCYAUSZCCUTZCLYDUNZVAZVBZUHCFACFUSZYJRVGZYCYGYPVHYKYCYBY
        LYFYOXTCYAVIYCYCYMYEYNXTCCVJXTCLYDVKVLVMVNYKYLYOYKBEGCFHIJMNOABFUSZYJQV
        GZAEFUSZYJUBVGAGFUSZYJUCVGZAHVCUSZYJTVGZYRABEYDUNZYJAEBCFHIJVCMNOUBQRTU
        EVOZVGYKGCBFHIHVPUMZMUUHVQZNUUEUUCYRYTYKDGBCFHIJMNOADFUSZYJSVGZUUCYTUUE
        YRADGYDUNZYJAGDCFHIJVCMNOUCSRTUFVOZVGYKBCDFHIUUHMUUINUUEYTYRUUKAYJVRVSV
        TVSVTYKYMYNYKCWAWHWBWCAYJWDZVBZUIUQZYIUSZUUPCUTZUUPKYDUNZVAZVBZYHUIFUUO
        UUPFUSZVBZUUQUUTYHUVCUUQVBZUURYHUUSUVDUURVBZYGUUPYAUSZUURUUPLYDUNZVAZVB
        UHUUPFUUOUVBUUQUURWEZUVEXTUUPUTZVBZYBUVFYFUVHUVKXTUUPYAUVEUVJVRZWFUVKYC
        UURYEUVGUVKXTUUPCUVLWGUVKXTUUPLYDUVLWIVLVMUVEUVFUVHUVEUUPCYAUVDUURVRZUV
        EBEGCFHIJMNOAYSUUNUVBUUQUURQWJZAUUAUUNUVBUUQUURUBWJAUUBUUNUVBUUQUURUCWJ
        ZAUUDUUNUVBUUQUURTWJZAYQUUNUVBUUQUURRWJZAUUFUUNUVBUUQUURUUGWJUVEGCBFHIU
        UHMUUINUVPUVOUVQUVNUVEDGBCFHIJMNOAUUJUUNUVBUUQUURSWJZUVOUVNUVPUVQAUULUU
        NUVBUUQUURUUMWJUVEUUPCDBIURUVMUVEBUUPDFHIUUHMUUINUVPUVNUVIUVRUVCUUQUURW
        KVSWLVTVSVTWMUVEUURUVGUVMWHWBWCUVDUUSVBZUUPUJUQZYDUNZUVTDEIURUSZVBZYHUJ
        FUVSUVTFUSZVBZUWCVBZUVTXTYDUNZYBVBZUHFVEYHUWFUVTCDGFUHHIJEMNOUVSUUDUWDU
        WCAUUDUUNUVBUUQUUSTWJZWRZUVSUWDUWCWKZUVSYQUWDUWCAYQUUNUVBUUQUUSRWJZWRZU
        VSUUJUWDUWCAUUJUUNUVBUUQUUSSWJZWRZUVSUUAUWDUWCAUUAUUNUVBUUQUUSUBWJZWRZA
        UUBUUNUVBUUQUUSUWDUWCUCWNUWFUUPUVTCFHIJVCMNOUVSUVBUWDUWCUUOUVBUUQUUSWEZ
        WRUWKUWMUWJUWEUWAUWBWOWPAUULUUNUVBUUQUUSUWDUWCUUMWNUWFDUVTEFHIUUHMUUINU
        WJUWOUWKUWQUWEUWAUWBWQVSWSUWFUWHYGUHFUWFXTFUSZVBZUWHYGUWTUWHVBZYBYFUWTU
        WGYBWQUXAYEYCUXAXTUVTLCFHIJMNOUWFUWSUWHWKZUWFUWDUWSUWHUWKWRZALFUSUUNUVB
        UUQUUSUWDUWCUWSUWHUDWTZUWFUUDUWSUWHUWJWRZUWFYQUWSUWHUWMWRZUXAUVTXTCFHIJ
        VCMNOUXCUXBUXFUXEUWTUWGYBWOVOUXALUVTCFHIJVCMNOUXDUXCUXFUXEUXALUUPUVTCFH
        IJMNOUXDUVSUVBUWDUWCUWSUWHUWRWJZUXCUXEUXFUXALKUUPCFHIJMNOUXDAKFUSZUUNUV
        BUUQUUSUWDUWCUWSUWHPWTZUXGUXEUXFALKYDUNUUNUVBUUQUUSUWDUWCUWSUWHUGWTUXAU
        UPKCFHIJVCMNOUXGUXIUXFUXEUVDUUSUWDUWCUWSUWHXAVOXBUXAUWAUWBUWEUWCUWSUWHW
        EXCXBVOXBXHWBXDXEXIUVSUUPCBEFUJHIJDMNOUWIUWRUWLAYSUUNUVBUUQUUSQWJZUWNUW
        PUVSUUPKCFHIJVCMNOUWRAUXHUUNUVBUUQUUSPWJUWLUWIUVDUUSVRVDAUUFUUNUVBUUQUU
        SUUGWJUVSBUUPDFHIUUHMUUINUWIUXJUWRUWNUVCUUQUUSWKVSWSXFXGXJAUVAUIFVEZUUN
        ABCUODCUOKCUOUPZUXKAKBCDUKXPUNUXLUXKVBUAAUIBCDFHIJVCKMNOPQRSTXKXLXMVGXF
        XNAUHECGFHIJVCLMNOUDUBRUCTXKXO $.
    $}
  $}

  ${
    $d a b g x $.
    $( Definition of the geometrical "angle less than" relation.  Definition
       11.27 of [Schwabhauser] p. 102.  (Contributed by Thierry Arnoux,
       7-Oct-2020.) $)
    df-leag $a |- leA = ( g e. _V |-> { <. a , b >. | ( ( a e. ( ( Base ` g )
      ^m ( 0 ..^ 3 ) ) /\ b e. ( ( Base ` g ) ^m ( 0 ..^ 3 ) ) ) /\ E. x e. (
      Base ` g ) ( x ( inA ` g ) <" ( b ` 0 ) ( b ` 1 ) ( b ` 2 ) "> /\ <" ( a
      ` 0 ) ( a ` 1 ) ( a ` 2 ) "> ( cgrA ` g ) <" ( b ` 0 ) ( b ` 1 ) x "> ) )
      } ) $.
  $}

  ${
    $d A a b x $.  $d B a b x $.  $d C a b x $.  $d D a b x $.  $d E a b x $.
    $d F a b x $.  $d G a b g x $.  $d P a b g x $.  $d ph x $.
    isleag.p $e |- P = ( Base ` G ) $.
    isleag.g $e |- ( ph -> G e. TarskiG ) $.
    isleag.a $e |- ( ph -> A e. P ) $.
    isleag.b $e |- ( ph -> B e. P ) $.
    isleag.c $e |- ( ph -> C e. P ) $.
    isleag.d $e |- ( ph -> D e. P ) $.
    isleag.e $e |- ( ph -> E e. P ) $.
    isleag.f $e |- ( ph -> F e. P ) $.
    $( Geometrical "less than" property for angles.  Definition 11.27 of
       [Schwabhauser] p. 102.  (Contributed by Thierry Arnoux, 7-Oct-2020.) $)
    isleag $p |- ( ph -> ( <" A B C "> ( leA ` G ) <" D E F ">
      <-> E. x e. P ( x ( inA ` G ) <" D E F ">
        /\ <" A B C "> ( cgrA ` G ) <" D E x "> ) ) ) $=
      ( cfv wcel va vb vg cs3 cleag wbr cc0 c3 cfzo co cmap wa cinag ccgra wrex
      cv cword chash wceq s3cld s3len cvv cn0 wb cbs fvexi 3nn0 wrdmap sylanblc
      mp2an jca c1 c2 copab cstrkg elex eqtr4di oveq1d eleq2d anbi12d rexeqbidv
      fveq2 breqd opabbidv cxp ovex xpex opabssxp ssexi fvmpt 3syl simpr fveq1d
      df-leag s3eqd breq2d simpl eqidd breq12d rexbidv eqid a1i s3fv0 syl s3fv1
      brab2a s3fv2 anbi2d 3bitrd mpbirand ) ACDEUDZFHIUDZJUESZUFZXKGUGUHUIUJZUK
      UJZTZXLXPTZULZBUPZXLJUMSZUFZXKFHXTUDZJUNSZUFZULZBGUOZAXQXRAXKGUQZTZXKURSU
      HUSZXQACDEGMNOUTCDEVAGVBTZUHVCTZYIYJULXQVDGJVEKVFZVGUHGXKVBVHVJVIAXLYHTZX
      LURSUHUSZXRAFHIGPQRUTFHIVAYKYLYNYOULXRVDYMVGUHGXLVBVHVJVIVKAXNXKXLUAUPZXP
      TZUBUPZXPTZULZXTUGYRSZVLYRSZVMYRSZUDZYAUFZUGYPSZVLYPSZVMYPSZUDZUUAUUBXTUD
      ZYDUFZULZBGUOZULZUAUBVNZUFZXSXTUGXLSZVLXLSZVMXLSZUDZYAUFZUGXKSZVLXKSZVMXK
      SZUDZUUQUURXTUDZYDUFZULZBGUOZULZXSYGULAXMUUOXKXLAJVOTJVBTXMUUOUSLJVOVPUCJ
      YPUCUPZVESZXOUKUJZTZYRUVMTZULZXTUUDUVKUMSZUFZUUIUUJUVKUNSZUFZULZBUVLUOZUL
      ZUAUBVNUUOVBUEUVKJUSZUWCUUNUAUBUWDUVPYTUWBUUMUWDUVNYQUVOYSUWDUVMXPYPUWDUV
      LGXOUKUWDUVLJVESGUVKJVEWBKVQZVRZVSUWDUVMXPYRUWFVSVTUWDUWAUULBUVLGUWEUWDUV
      RUUEUVTUUKUWDUVQYAXTUUDUVKJUMWBWCUWDUVSYDUUIUUJUVKJUNWBWCVTWAVTWDBUCUAUBW
      NUUOXPXPWEXPXPGXOUKWFZUWGWGUUMUAUBXPXPWHWIWJWKWCUUPUVJVDAUUMUVIUAUBXKXLXP
      XPUUOYPXKUSZYRXLUSZULZUULUVHBGUWJUUEUVAUUKUVGUWJUUDUUTXTYAUWJUUAUUBUUCUUS
      UUQUURUWJUGYRXLUWHUWIWLZWMZUWJVLYRXLUWKWMZUWJVMYRXLUWKWMWOWPUWJUUIUVEUUJU
      VFYDUWJUUFUUGUUHUVDUVBUVCUWJUGYPXKUWHUWIWQZWMUWJVLYPXKUWNWMUWJVMYPXKUWNWM
      WOUWJUUAUUBXTXTUUQUURUWLUWMUWJXTWRWOWSVTWTUUOXAXFXBAUVIYGXSAUVHYFBGAUVAYB
      UVGYEAUUTXLXTYAAUUQUURUUSIFHAFGTUUQFUSPFHIGXCXDZAHGTUURHUSQFHIGXEXDZAIGTU
      USIUSRFHIGXGXDWOWPAUVEXKUVFYCYDAUVBUVCUVDECDACGTUVBCUSMCDEGXCXDADGTUVCDUS
      NCDEGXEXDAEGTUVDEUSOCDEGXGXDWOAUUQUURXTXTFHUWOUWPAXTWRWOWSVTWTXHXIXJ $.

    ${
      $d X x $.
      isleagd.s $e |- .<_ = ( leA ` G ) $.
      isleagd.x $e |- ( ph -> X e. P ) $.
      isleagd.1 $e |- ( ph -> X ( inA ` G ) <" D E F "> ) $.
      isleagd.2 $e |- ( ph -> <" A B C "> ( cgrA ` G ) <" D E X "> ) $.
      $( Sufficient condition for "less than" angle relation, deduction version
         (Contributed by Thierry Arnoux, 12-Oct-2020.) $)
      isleagd $p |- ( ph -> <" A B C "> .<_ <" D E F "> ) $=
        ( vx cleag cfv cs3 wceq eqcomi a1i wbr cv cinag ccgra wrex simpr breq1d
        wa eqidd s3eqd breq2d anbi12d jca rspcedvd isleag mpbird breqdi ) AIUEU
        FZJBCDUGZEGHUGZVHJUHAJVHTUIUJAVIVJVHUKUDULZVJIUMUFZUKZVIEGVKUGZIUNUFZUK
        ZURZUDFUOAVQKVJVLUKZVIEGKUGZVOUKZURUDKFUAAVKKUHZURZVMVRVPVTWBVKKVJVLAWA
        UPZUQWBVNVSVIVOWBEGVKKEGWBEUSWBGUSWCUTVAVBAVRVTUBUCVCVDAUDBCDEFGHILMNOP
        QRSVEVFVG $.
    $}

    ${
      leagne.1 $e |- ( ph -> <" A B C "> ( leA ` G ) <" D E F "> ) $.
      $( Deduce inequality from the less-than angle relation.  (Contributed by
         Thierry Arnoux, 25-Feb-2023.) $)
      leagne1 $p |- ( ph -> A =/= B ) $=
        ( wcel ad2antrr vx cv cs3 cinag cfv wbr ccgra wne citv chlg eqid cstrkg
        wa simplr simprr cgrane1 cleag wrex isleag mpbid r19.29a ) AUAUBZEGHUCZ
        IUDUEUFZBCDUCZEGVBUCIUGUEUFZUMZBCUHUAFAVBFSZUMZVGUMBCDEFGVBIIUIUEZIUJUE
        ZJVJUKVKUKAIULSVHVGKTABFSVHVGLTACFSVHVGMTADFSVHVGNTAEFSVHVGOTAGFSVHVGPT
        AVHVGUNVIVDVFUOUPAVEVCIUQUEUFVGUAFURRAUABCDEFGHIJKLMNOPQUSUTVA $.

      $( Deduce inequality from the less-than angle relation.  (Contributed by
         Thierry Arnoux, 25-Feb-2023.) $)
      leagne2 $p |- ( ph -> C =/= B ) $=
        ( wcel ad2antrr vx cv cs3 cinag cfv wbr ccgra wne citv chlg eqid cstrkg
        wa simplr simprr cgrane2 necomd cleag wrex isleag mpbid r19.29a ) AUAUB
        ZEGHUCZIUDUEUFZBCDUCZEGVCUCIUGUEUFZUMZDCUHUAFAVCFSZUMZVHUMZCDVKBCDEFGVC
        IIUIUEZIUJUEZJVLUKVMUKAIULSVIVHKTABFSVIVHLTACFSVIVHMTADFSVIVHNTAEFSVIVH
        OTAGFSVIVHPTAVIVHUNVJVEVGUOUPUQAVFVDIURUEUFVHUAFUSRAUABCDEFGHIJKLMNOPQU
        TVAVB $.

      $( Deduce inequality from the less-than angle relation.  (Contributed by
         Thierry Arnoux, 25-Feb-2023.) $)
      leagne3 $p |- ( ph -> D =/= E ) $=
        ( wcel ad2antrr vx cv cs3 cinag cfv wbr ccgra wne citv chlg eqid cstrkg
        wa simplr simprr cgrane3 necomd cleag wrex isleag mpbid r19.29a ) AUAUB
        ZEGHUCZIUDUEUFZBCDUCZEGVCUCIUGUEUFZUMZEGUHUAFAVCFSZUMZVHUMZGEVKBCDEFGVC
        IIUIUEZIUJUEZJVLUKVMUKAIULSVIVHKTABFSVIVHLTACFSVIVHMTADFSVIVHNTAEFSVIVH
        OTAGFSVIVHPTAVIVHUNVJVEVGUOUPUQAVFVDIURUEUFVHUAFUSRAUABCDEFGHIJKLMNOPQU
        TVAVB $.

      $( Deduce inequality from the less-than angle relation.  (Contributed by
         Thierry Arnoux, 25-Feb-2023.) $)
      leagne4 $p |- ( ph -> F =/= E ) $=
        ( cfv wcel vx cv cs3 cinag wbr ccgra wne citv chlg eqid simplr ad2antrr
        wa cstrkg simprl inagne2 cleag wrex isleag mpbid r19.29a ) AUAUBZEGHUCZ
        IUDSUEZBCDUCZEGVBUCIUFSUEZUMZHGUGUAFAVBFTZUMZVGUMEGHFIIUHSZIUISZVBJVJUJ
        VKUJAVHVGUKAEFTVHVGOULAGFTVHVGPULAHFTVHVGQULAIUNTVHVGKULVIVDVFUOUPAVEVC
        IUQSUEVGUAFURRAUABCDEFGHIJKLMNOPQUSUTVA $.
    $}

    ${
      $d x y $.  $d A y $.  $d B y $.  $d C y $.  $d D y $.  $d E y $.
      $d F y $.  $d G y $.  $d L x y $.  $d P y $.  $d X x y $.  $d ph y $.
      cgrg3col4.l $e |- L = ( LineG ` G ) $.
      cgrg3col4.x $e |- ( ph -> X e. P ) $.
      cgrg3col4.1 $e |- ( ph -> <" A B C "> ( cgrG ` G ) <" D E F "> ) $.
      cgrg3col4.2 $e |- ( ph -> ( X e. ( A L C ) \/ A = C ) ) $.
      $( Lemma 11.28 of [Schwabhauser] p. 102.  Extend a congruence of three
         points with a fourth colinear point.  (Contributed by Thierry Arnoux,
         8-Oct-2020.) $)
      cgrg3col4 $p |-
        ( ph -> E. y e. P <" A B C X "> ( cgrG ` G ) <" D E F y "> ) $=
        ( vx cs4 cv ccgrg cfv wbr wrex wceq wa co wcel cs3 citv cds eqid cstrkg
        wo ad2antrr simpr cgr3simp1 lnext simplr cgr3simp3 tgcgrcomlr cgr3simp2
        w3a ad4antr ad3antrrr oveq2d adantr tgcgreq 3eqtr3d tgcgr4 mpbir2and ex
        3jca reximdva mpd wn chpg chlg simpllr wne necomd tgcgrneq neneqd ioran
        ncolne1 sylanbrc ncolcom trgcopy ad6antr ad5antr ncoltgdim2 tglowdim2ln
        ncolrot1 simp-6r adantrd r19.29a pm2.61dan colrot1 tgfscgr pm2.61dane
        colcom ) ACDELUFFHIBUGZUFJUHUIZUJZBGUKZCEACEULZUMZDCLKUNZUOCLULZVAZXLXN
        XQUMZCDLUPFHXIUPXJUJZBGUKXLXRFHGXJJJUQUIZKJURUIZCDLBMUAXTUSZAJUTUOZXMXQ
        NVBZACGUOZXMXQOVBZADGUOZXMXQPVBZALGUOZXMXQUBVBZXJUSZAFGUOZXMXQRVBZAHGUO
        ZXMXQSVBZYAUSZXNXQVCACDYAUNFHYAUNULZXMXQACDEFGXJHIJXTYAMYPYBYKNOPQRSTUC
        VDZVBVEXRXSXKBGXRXIGUOZUMZXSXKYTXSUMZXKCDEUPFHIUPXJUJZCLYAUNFXIYAUNULZD
        LYAUNHXIYAUNULZELYAUNIXIYAUNULZVJZAUUBXMXQYSXSUCVKUUAUUCUUDUUEUUALCXIFG
        JXTYAMYPYBXRYCYSXSYDVBZXRYIYSXSYJVBZXRYEYSXSYFVBZXRYSXSVFZXRYLYSXSYMVBZ
        UUACDLFGXJHXIJXTYAMYPYBYKUUGUUIXRYGYSXSYHVBZUUHUUKXRYNYSXSYOVBZUUJYTXSV
        CZVGZVHUUACDLFGXJHXIJXTYAMYPYBYKUUGUUIUULUUHUUKUUMUUJUUNVIUUALEXIIGJXTY
        AMYPYBUUGUUHAEGUOZXMXQYSXSQVKZUUJAIGUOZXMXQYSXSTVKZUUALCYAUNZXIFYAUNZLE
        YAUNZXIIYAUNZUUOUUACELYAXNXMXQYSXSAXMVCZVLVMUUAFIXIYAXNFIULZXQYSXSXNCEF
        IGJXTYAMYPYBAYCXMNVNAYEXMOVNAUUPXMQVNZAYLXMRVNAUURXMTVNZACEYAUNFIYAUNUL
        XMAECIFGJXTYAMYPYBNQOTRACDEFGXJHIJXTYAMYPYBYKNOPQRSTUCVGVHZVNUVDVOZVLVM
        VPVHVTUUACDELGXJJXTYAFHIXIMYPYBYKUUGUUIUULUUQUUHUUKUUMUUSUUJVQVRVSWAWBX
        NXQWCZUMZUEUGZFHKUNUOZWCZXLUEGUVKUVLGUOZUMZUVNUMZDCLUPHFXIUPXJUJZXIUVLH
        FKUNJWDUIUIUJZUMZBGUKXLUVQDCLHGBFUVLJXTJWEUIZKYAMYPYBUAUWAUSUVKYCUVOUVN
        AYCXMUVJNVBZVBZUVKYGUVOUVNAYGXMUVJPVBZVBZUVKYEUVOUVNAYEXMUVJOVBZVBZUVKY
        IUVOUVNAYIXMUVJUBVBZVBZUVKYNUVOUVNAYNXMUVJSVBZVBZUVKYLUVOUVNAYLXMUVJRVB
        ZVBZUVKUVOUVNVFZXNUVJUVOUVNWFUVQGJXTKHFUVLMUAYBUWCUWKUWMUWNUVQGJXTKFHUV
        LMUAYBUWCUWMUWKUWNUVQUVNFHULZWCUVMUWOVAWCUVPUVNVCUVQFHUVKFHWGUVOUVNUVKC
        DFHGJXTYAMYPYBUWBUWFUWDUWLUWJAYQXMUVJYRVBUVKDCUVKGJXTKDCLMYBUAUWBUWDUWF
        UWHXNUVJVCZWLWHWIZVBWJUVMUWOWKWMWNWTADCYAUNHFYAUNULXMUVJUVOUVNACDFHGJXT
        YAMYPYBNOPRSYRVHVKWOUVQUVTXKBGUVQYSUMZUVRXKUVSUWRUVRXKUWRUVRUMZXKUUBUUF
        AUUBXMUVJUVOUVNYSUVRUCWPUWSUUCUUDUUEUWSDCLHGXJFXIJXTYAMYPYBYKUVQYCYSUVR
        UWCVBZUVQYGYSUVRUWEVBZUVQYEYSUVRUWGVBZUVQYIYSUVRUWIVBZUVQYNYSUVRUWKVBZU
        VQYLYSUVRUWMVBZUVQYSUVRVFZUWRUVRVCZVIZUWSLDXIHGJXTYAMYPYBUWTUXCUXAUXFUX
        DUWSDCLHGXJFXIJXTYAMYPYBYKUWTUXAUXBUXCUXDUXEUXFUXGVGVHUWSLEXIIGJXTYAMYP
        YBUWTUXCXNUUPUVJUVOUVNYSUVRUVFWQZUXFXNUURUVJUVOUVNYSUVRUVGWQZUWSUUTUVAU
        VBUVCUWSCLFXIGJXTYAMYPYBUWTUXBUXCUXEUXFUXHVHUWSCELYAAXMUVJUVOUVNYSUVRXA
        VMUWSFIXIYAXNUVEUVJUVOUVNYSUVRUVIWQVMVPVHVTUWSCDELGXJJXTYAFHIXIMYPYBYKU
        WTUXBUXAUXIUXCUXEUXDUXJUXFVQVRVSXBWAWBUVKFHGJXTKUEMYBUAUWBUVKGJXTKCLDMU
        AYBUWBUWFUWHUWDUWPWRUWLUWJUWQWSXCXDACEWGZUMZCELUPFIXIUPXJUJZBGUKZXLAUXN
        UXKAFIGXJJXTKYACELBMUAYBNOQUBYKRTYPAGJXTKECLMUAYBNQOUBAGJXTKCELMUAYBNOQ
        UBUDXHXEZUVHVEVNUXLUXMXKBGUXLYSUMZUXMXKUXPUXMUMZXKUUBUUFAUUBUXKYSUXMUCV
        LUXQUUCUUDUUEUXQLCXIFGJXTYAMYPYBAYCUXKYSUXMNVLZAYIUXKYSUXMUBVLZAYEUXKYS
        UXMOVLZUXLYSUXMVFZAYLUXKYSUXMRVLZUXQCELFGXJIXIJXTYAMYPYBYKUXRUXTAUUPUXK
        YSUXMQVLZUXSUYBAUURUXKYSUXMTVLZUYAUXPUXMVCZVGVHUXQLDXIHGJXTYAMYPYBUXRUX
        SAYGUXKYSUXMPVLZUYAAYNUXKYSUXMSVLZUXQFIXIHGXJDJXTKYACELMUAYBUXRUXTUYCUX
        SYKUYBUYDYPUYFUYAUYGAEXOUOXPVAUXKYSUXMUXOVLUYEAYQUXKYSUXMYRVLAEDYAUNIHY
        AUNULUXKYSUXMADEHIGJXTYAMYPYBNPQSTACDEFGXJHIJXTYAMYPYBYKNOPQRSTUCVIVHVL
        AUXKYSUXMWFXFVHUXQCELFGXJIXIJXTYAMYPYBYKUXRUXTUYCUXSUYBUYDUYAUYEVIVTUXQ
        CDELGXJJXTYAFHIXIMYPYBYKUXRUXTUYFUYCUXSUYBUYGUYDUYAVQVRVSWAWBXG $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Congruence Theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    tgsas.p $e |- P = ( Base ` G ) $.
    tgsas.m $e |- .- = ( dist ` G ) $.
    tgsas.i $e |- I = ( Itv ` G ) $.
    tgsas.g $e |- ( ph -> G e. TarskiG ) $.
    tgsas.a $e |- ( ph -> A e. P ) $.
    tgsas.b $e |- ( ph -> B e. P ) $.
    tgsas.c $e |- ( ph -> C e. P ) $.
    tgsas.d $e |- ( ph -> D e. P ) $.
    tgsas.e $e |- ( ph -> E e. P ) $.
    tgsas.f $e |- ( ph -> F e. P ) $.
    ${
      tgsas.1 $e |- ( ph -> ( A .- B ) = ( D .- E ) ) $.
      tgsas.2 $e |- ( ph -> <" A B C "> ( cgrA ` G ) <" D E F "> ) $.
      tgsas.3 $e |- ( ph -> ( B .- C ) = ( E .- F ) ) $.
      $( First congruence theorem:  SAS (Side-Angle-Side):  If two pairs of
         sides of two triangles are equal in length, and the included angles
         are equal in measurement, then third sides are equal in length.
         Theorem 11.49 of [Schwabhauser] p. 107.  (Contributed by Thierry
         Arnoux, 1-Aug-2020.) $)
      tgsas1 $p |- ( ph -> ( C .- A ) = ( F .- D ) ) $=
        ( chlg cfv eqid cgrane1 hlid cgrane2 necomd tgcgrcomlr cgracgr ) ABDEHF
        IJKLMNOPRSUAABCDEFGHIJIUEUFZKBDLNUNUGZOPQRSTUAUCPMRABBCFIJUNLNUOPPQOABC
        DEFGHIJUNLNUOOPQRSTUAUCUHUIADBCFIJUNLNUORPQOACDABCDEFGHIJUNLNUOOPQRSTUA
        UCUJUKUIABCEGFIJKLMNOPQSTUBULUDUMUL $.

      $( First congruence theorem:  SAS (Side-Angle-Side):  If two pairs of
         sides of two triangles are equal in length, and the included angles
         are equal in measurement, then the triangles are congruent.  Theorem
         11.49 of [Schwabhauser] p. 107.  (Contributed by Thierry Arnoux,
         1-Aug-2020.) $)
      tgsas $p |- ( ph -> <" A B C "> ( cgrG ` G ) <" D E F "> ) $=
        ( ccgrg cfv eqid tgsas1 trgcgr ) ABCDEFIUEUFZGHIKLMUJUGOPQRSTUAUBUDABCD
        EFGHIJKLMNOPQRSTUAUBUCUDUHUI $.

      tgsas2.4 $e |- ( ph -> A =/= C ) $.
      $( First congruence theorem:  SAS. Theorem 11.49 of [Schwabhauser]
         p. 107.  (Contributed by Thierry Arnoux, 1-Aug-2020.) $)
      tgsas2 $p |- ( ph -> <" C A B "> ( cgrA ` G ) <" F D E "> ) $=
        ( chlg eqid ccgrg tgsas cgr3rotr tgsas1 necomd tgcgrneq cgrane3 iscgrad
        cfv hlid ) ADBCHFEGIJIUFUPZHGLNURUGZORPQUASTUATABCDEFIUHUPZGHIJKLMNUTUG
        OPQRSTUAABCDEFGHIJKLMNOPQRSTUAUBUCUDUIUJAHBEFIJURLNUSUAPSOADBHEFIJKLMNO
        RPUASABCDEFGHIJKLMNOPQRSTUAUBUCUDUKABDUEULUMUQAGBEFIJURLNUSTPSOABCDEFGH
        IJURLNUSOPQRSTUAUCUNUQUO $.

      $( First congruence theorem:  SAS. Theorem 11.49 of [Schwabhauser]
         p. 107.  (Contributed by Thierry Arnoux, 1-Aug-2020.) $)
      tgsas3 $p |- ( ph -> <" B C A "> ( cgrA ` G ) <" E F D "> ) $=
        ( chlg cfv eqid ccgrg tgsas cgr3rotl cgrane4 tgsas1 tgcgrcomlr tgcgrneq
        hlid iscgrad ) ACDBGFHEIJIUFUGZGELNURUHZOQRPTUASTSABCDEFIUIUGZGHIJKLMNU
        TUHOPQRSTUAABCDEFGHIJKLMNOPQRSTUAUBUCUDUJUKAGBHFIJURLNUSTPUAOABCDEFGHIJ
        URLNUSOPQRSTUAUCULUPAEBHFIJURLNUSSPUAOABDEHFIJKLMNOPRSUAADBHEFIJKLMNORP
        UASABCDEFGHIJKLMNOPQRSTUAUBUCUDUMUNUEUOUPUQ $.
    $}

    ${
      $d .- a b f w $.  $d A a b $.  $d B a b f w $.  $d C a b f w $.
      $d D a b t u v w $.  $d E a b f t u v w $.  $d F a b f u v w $.
      $d G a b f u v w $.  $d I a b f t u v w $.  $d L a b t u v w $.
      $d P a b f u v w $.  $d ph a b f w $.
      tgasa.l $e |- L = ( LineG ` G ) $.
      tgasa.1 $e |- ( ph -> -. ( C e. ( A L B ) \/ A = B ) ) $.
      tgasa.2 $e |- ( ph -> ( A .- B ) = ( D .- E ) ) $.
      tgasa.3 $e |- ( ph -> <" A B C "> ( cgrA ` G ) <" D E F "> ) $.
      tgasa.4 $e |- ( ph -> <" C A B "> ( cgrA ` G ) <" F D E "> ) $.
      $( Second congruence theorem:  ASA. (Angle-Side-Angle):  If two pairs of
         angles of two triangles are equal in measurement, and the included
         sides are equal in length, then the triangles are congruent.  Theorem
         11.50 of [Schwabhauser] p. 108.  (Contributed by Thierry Arnoux,
         15-Aug-2020.) $)
      tgasa1 $p |- ( ph -> ( B .- C ) = ( E .- F ) ) $=
        ( vf vw va vb vt vu vv cv chlg cfv wbr wceq wcel simprr cstrkg ad2antrr
        co wa wo cgrancol eqid simplr ad3antrrr cs3 ccgra cgracom simpr colrot1
        wn colcom cgracol pm2.65da ccgrg simprl cgrahl2 cgrane1 hlid tgcgrcomlr
        cgrane2 necomd eqcomd cgracgr ncolne1 tgcgrneq cgrane4 iscgrad cgraswap
        trgcgr wne cgratr cgrane3 cdif wrex copab tgelrnln simpl eleq1d anbi12d
        crn simpll oveq12d eleq12d cbvrexdva cbvopabv tglinerflx1 pm2.45 hlcomd
        ncolcom syl hphl hpgcom chpg hpgid acopyeu hlln tglinerflx2 tglineinteq
        lncom oveq2d eqtr3d hlcgrex r19.29a ) AUHUOZHGIUPUQZUQURZGYJLVDZCDLVDZU
        SZVEZYNGHLVDZUSUHFAYJFUTZVEZYPVEZYMYNYQYSYLYOVAZYTYJHGLYTHEGHFIJKYJHMOU
        CAIVBUTZYRYPPVCZAHFUTZYRYPUBVCZAEFUTZYRYPTVCZAGFUTZYRYPUAVCZUUEAHEGKVDU
        TEGUSVFVPYRYPABCDEFGHIJKLMONPQRSTUAUBUFUCUDVGZVCYTYJHEFIJYKKMOYKVHZAYRY
        PVIZUUEUUGUUCUCYTDBCGFEHIJYKKLYJHMONUUCADFUTZYRYPSVCZABFUTZYRYPQVCZACFU
        TZYRYPRVCZUUIUUGUUEUCADBCKVDUTBCUSVFZVPZYRYPUDVCYTGEHKVDUTEHUSVFZUUSYTU
        VAVEZEGHBFCDIJKLMONAUUBYRYPUVAPVJZAUUFYRYPUVATVJZAUUHYRYPUVAUAVJZAUUDYR
        YPUVAUBVJZAUUOYRYPUVAQVJAUUQYRYPUVARVJAUUMYRYPUVASVJAEGHVKZBCDVKZIVLUQZ
        URYRYPUVAABCDEFGHIJYKMOPUUKQRSTUAUBUFVMVJUCUVBFIJKHEGMUCOUVCUVFUVDUVEUV
        BFIJKEHGMUCOUVCUVDUVFUVEYTUVAVNVQVOVRAUUTYRYPUVAUDVJVSUULUUEUUKYTDBCYJF
        EEGIGJYJYKMOUUCUUKUUNUUPUURUULUUGUUIYTDBCYJFEGIJYKYJGMOUUKUUCUUNUUPUURU
        ULUUGUUIUULUUIYTDBCYJFIVTUQZEGILMNUVJVHUUCUUNUUPUURUULUUGUUIYTBDEYJFIJL
        MNOUUCUUPUUNUUGUULYTBCDEFGYJIJYKLBDMOUUKUUCUUPUURUUNUUGUUIUULYTBCDEFGHI
        JYKYJMOUUKUUCUUPUURUUNUUGUUIUUEAUVHUVGUVIURYRYPUFVCUULYSYLYOWAZWBUUPNUU
        NABBCYKUQZURYRYPABBCFIJYKMOUUKQQRPABCDEFGHIJYKMOUUKPQRSTUAUBUFWCWDVCADD
        UVLURYRYPADBCFIJYKMOUUKSQRPACDABCDEFGHIJYKMOUUKPQRSTUAUBUFWFZWGWDVCACBL
        VDGELVDUSYRYPABCEGFIJLMNOPQRTUAUEWEVCYTYMYNUUAWHZWIWEZABCLVDEGLVDUSYRYP
        UEVCUVNWOYTYJHEFIJYKMOUUKUULUUEUUGUUCYTDBYJEFIJLMNOUUCUUNUUPUULUUGUVOAD
        BWPYRYPAFIJKDBCMOUCPSQRUDWJVCWKZWDAGGEYKUQURYRYPAGBEFIJYKMOUUKUAQTPAEGA
        DBCHFEGIJYKMOUUKPSQRUBTUAUGWLZWGZWDVCWMUUIUUGUULYTYJEGFIJYKMOUUCUUKUULU
        UGUUIUVPAEGWPYRYPUVQVCWNWQADBCVKGEHVKUVIURYRYPADBCHFEEGIGJHYKMOPUUKSQRU
        BTUAUGUATUBAHEGFIJYKMOPUUKUBTUAAEHADBCHFEGIJYKMOUUKPSQRUBTUAUGWRWGZUVQW
        NWQVCYTUIHYJGEKVDZFIJKUJUOZFUVTWSZUTZUKUOZUWBUTZVEZULUOZUWAUWDJVDZUTZUL
        UVTWTZVEZUJUKXAZUMUNMOUCUUCAUVTKXFUTYRYPAFIJKGEMOUCPUATUVRXBZVCZUUEUWKU
        MUOZUWBUTZUNUOZUWBUTZVEZUIUOZUWOUWQJVDZUTZUIUVTWTZVEUJUKUMUNUWAUWOUSZUW
        DUWQUSZVEZUWFUWSUWJUXCUXFUWCUWPUWEUWRUXFUWAUWOUWBUXDUXEXCXDUXFUWDUWQUWB
        UXDUXEVNXDXEUXFUWIUXBULUIUVTUXFUWGUWTUSZVEZUWGUWTUWHUXAUXFUXGVNUXHUWAUW
        OUWDUWQJUXDUXEUXGXGUXDUXEUXGVIXHXIXJXEXKZUULYTUIGHYJUVTFIJYKKUWLUMUNMOU
        CUUCUWNUUIUXIUUKAGUVTUTYRYPAFGEIJKMOUCPUATUVRXLVCUUEUULAHUVTUTZVPZYRYPA
        UXJGEUSZVFVPUXKAFIJKEGHMUCOPTUAUBUUJXOUXJUXLXMXPZVCYTYJHGFIJYKVBMOUUKUU
        LUUEUUIUUCUVKXNXQXRAHHUVTIXSUQUQURYRYPAUIHUVTFIJKUWLUMUNMOUCPUWMUBUXIUX
        MXTVCYAYBAHHEKVDUTYRYPAFHEIJKMOUCPUBTUVSXLVCYTFIJKGHYJMOUCUUCUUIUUEUULA
        GHWPYRYPABCDEFGHIJYKMOUUKPQRSTUAUBUFWLZVCZYTYJHGFIJYKKMOUUKUULUUEUUIUUC
        UCUVKYBYEYTFGHIJKMOUCUUCUUIUUEUXOYCYDYFYGAUHGCDHFIJYKLMOUUKUARSPUBNAGHU
        XNWGUVMYHYI $.

      $( Second congruence theorem:  ASA. (Angle-Side-Angle):  If two pairs of
         angles of two triangles are equal in measurement, and the included
         sides are equal in length, then the triangles are congruent.  Theorem
         11.50 of [Schwabhauser] p. 108.  (Contributed by Thierry Arnoux,
         15-Aug-2020.) $)
      tgasa $p |- ( ph -> <" A B C "> ( cgrG ` G ) <" D E F "> ) $=
        ( tgasa1 tgsas ) ABCDEFGHIJLMNOPQRSTUAUBUEUFABCDEFGHIJKLMNOPQRSTUAUBUCU
        DUEUFUGUHUI $.
    $}

    ${
      $( Second congruence theorem: AAS (Angle-Angle-Side): If two pairs of
         angles of two triangles are equal in measurement, and a pair of
         corresponding non-included sides are equal in length, then the
         triangles are congruent. . Theorem 11.50 of [Schwabhauser] p. 108.
         (Contributed by Thierry Arnoux, 10-Aug-2020.) $)
    $}

    ${
      tgsss.1 $e |- ( ph -> ( A .- B ) = ( D .- E ) ) $.
      tgsss.2 $e |- ( ph -> ( B .- C ) = ( E .- F ) ) $.
      tgsss.3 $e |- ( ph -> ( C .- A ) = ( F .- D ) ) $.
      tgsss.4 $e |- ( ph -> A =/= B ) $.
      tgsss.5 $e |- ( ph -> B =/= C ) $.
      tgsss.6 $e |- ( ph -> C =/= A ) $.
      $( Third congruence theorem:  SSS (Side-Side-Side):  If the three pairs
         of sides of two triangles are equal in length, then the triangles are
         congruent.  Theorem 11.51 of [Schwabhauser] p. 109.  (Contributed by
         Thierry Arnoux, 1-Aug-2020.) $)
      tgsss1 $p |- ( ph -> <" A B C "> ( cgrA ` G ) <" D E F "> ) $=
        ( chlg cfv eqid ccgrg trgcgr cgrcgra ) ABCDEFGHIJIUHUIZLNOUNUJPQRSTUAUE
        UFABCDEFIUKUIZGHIKLMUOUJOPQRSTUAUBUCUDULUM $.

      $( Third congruence theorem:  SSS. Theorem 11.51 of [Schwabhauser]
         p. 109.  (Contributed by Thierry Arnoux, 1-Aug-2020.) $)
      tgsss2 $p |- ( ph -> <" C A B "> ( cgrA ` G ) <" F D E "> ) $=
        ( tgsss1 ) ADBCHFEGIJKLMNORPQUASTUDUBUCUGUEUFUH $.

      $( Third congruence theorem:  SSS. Theorem 11.51 of [Schwabhauser]
         p. 109.  (Contributed by Thierry Arnoux, 1-Aug-2020.) $)
      tgsss3 $p |- ( ph -> <" B C A "> ( cgrA ` G ) <" E F D "> ) $=
        ( tgsss1 ) ACDBGFHEIJKLMNOQRPTUASUCUDUBUFUGUEUH $.
    $}

    $( Fourth congruence theorem: ASS. Theorem 11.52 of [Schwabhauser] p. 109.
       $)
  $}

  ${
    dfcgrg2.p $e |- P = ( Base ` G ) $.
    dfcgrg2.m $e |- .- = ( dist ` G ) $.
    dfcgrg2.g $e |- ( ph -> G e. TarskiG ) $.
    dfcgrg2.a $e |- ( ph -> A e. P ) $.
    dfcgrg2.b $e |- ( ph -> B e. P ) $.
    dfcgrg2.c $e |- ( ph -> C e. P ) $.
    dfcgrg2.d $e |- ( ph -> D e. P ) $.
    dfcgrg2.e $e |- ( ph -> E e. P ) $.
    dfcgrg2.f $e |- ( ph -> F e. P ) $.
    dfcgrg2.1 $e |- ( ph -> A =/= B ) $.
    dfcgrg2.2 $e |- ( ph -> B =/= C ) $.
    dfcgrg2.3 $e |- ( ph -> C =/= A ) $.
    $( Congruence for two triangles can also be defined as congruence of sides
       and angles (6 parts).  This is often the actual textbook definition of
       triangle congruence, see for example
~ https://en.wikipedia.org/wiki/Congruence_(geometry)#Congruence_of_triangles .
       With this definition, the "SSS" congruence theorem has an additional
       part, namely, that triangle congruence implies congruence of the sides
       (which means equality of the lengths).  Because our development of
       elementary geometry strives to closely follow Schwabhaeuser's, our
       original definition of shape congruence, ~ df-cgrg , already covers that
       part: see ~ trgcgr .  This theorem is also named "CPCTC", which stands
       for "Corresponding Parts of Congruent Triangles are Congruent", see
       ~ https://en.wikipedia.org/wiki/Congruence_(geometry)#CPCTC .
       (Contributed by Thierry Arnoux, 18-Jan-2023.) $)
    dfcgrg2 $p |- ( ph -> ( <" A B C "> ( cgrG ` G ) <" D E F ">
      <-> ( ( ( A .- B ) = ( D .- E ) /\ ( B .- C ) = ( E .- F )
        /\ ( C .- A ) = ( F .- D ) ) /\ ( <" A B C "> ( cgrA ` G ) <" D E F ">
        /\ <" C A B "> ( cgrA ` G ) <" F D E ">
        /\ <" B C A "> ( cgrA ` G ) <" E F D "> ) ) ) ) $=
      ( cs3 ccgrg cfv wbr ccgra wa co wceq citv eqid cstrkg wcel adantr trgcgrg
      w3a biimpa simp1d simp2d simp3d wne tgsss1 3jca ex pm4.71d anbi1d bitrd )
      ABCDUCZEGHUCZIUDUEZUFZVLVIVJIUGUEZUFZDBCUCHEGUCVMUFZCDBUCGHEUCVMUFZUQZUHB
      CJUIEGJUIUJZCDJUIGHJUIUJZDBJUIHEJUIUJZUQZVQUHAVLVQAVLVQAVLUHZVNVOVPWBBCDE
      FGHIIUKUEZJKLWCULZAIUMUNVLMUOZABFUNVLNUOZACFUNVLOUOZADFUNVLPUOZAEFUNVLQUO
      ZAGFUNVLRUOZAHFUNVLSUOZWBVRVSVTAVLWAABCDEFVKGHIJKLVKULMNOPQRSUPZURZUSZWBV
      RVSVTWMUTZWBVRVSVTWMVAZABCVBVLTUOZACDVBVLUAUOZADBVBVLUBUOZVCWBDBCHFEGIWCJ
      KLWDWEWHWFWGWKWIWJWPWNWOWSWQWRVCWBCDBGFHEIWCJKLWDWEWGWHWFWJWKWIWOWPWNWRWS
      WQVCVDVEVFAVLWAVQWLVGVH $.
  $}

  ${
    isoas.p $e |- P = ( Base ` G ) $.
    isoas.m $e |- .- = ( dist ` G ) $.
    isoas.i $e |- I = ( Itv ` G ) $.
    isoas.l $e |- L = ( LineG ` G ) $.
    isoas.g $e |- ( ph -> G e. TarskiG ) $.
    isoas.a $e |- ( ph -> A e. P ) $.
    isoas.b $e |- ( ph -> B e. P ) $.
    isoas.c $e |- ( ph -> C e. P ) $.
    isoas.1 $e |- ( ph -> -. ( C e. ( A L B ) \/ A = B ) ) $.
    isoas.2 $e |- ( ph -> <" A B C "> ( cgrA ` G ) <" A C B "> ) $.
    $( Congruence theorem for isocele triangles: if two angles of a triangle
       are congruent, then the corresponding sides also are.  (Contributed by
       Thierry Arnoux, 5-Oct-2020.) $)
    isoas $p |- ( ph -> ( A .- B ) = ( A .- C ) ) $=
      ( cfv ccgrg eqid ncolrot1 axtgcgrrflx cgracom cgraswaplr tgasa cgr3simp3
      chlg ) ACDBDEFUATZCBFGIJKLUJUBNPQOQPOACDBDECBFGHIJKLNPQOQPOMAEFGHBCDJMLNO
      PQRUCAEFGICDJKLNPQUDABDCBECDFGIJLKNOQPOPQABCDBEDCFGFUITZJLNUKUBOPQOQPSUEU
      FSUGUH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Equilateral triangles
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c eqltrG $.

  $( Declare the class of equilateral triangles. $)
  ceqlg $a class eqltrG $.

  ${
    $d g x $.
    $( Define the class of equilateral triangles.  (Contributed by Thierry
       Arnoux, 27-Nov-2019.) $)
    df-eqlg $a |- eqltrG = ( g e. _V |-> { x e. ( ( Base ` g ) ^m ( 0 ..^ 3 ) )
      | x ( cgrG ` g ) <" ( x ` 1 ) ( x ` 2 ) ( x ` 0 ) "> } ) $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d G g x $.  $d P g x $.
    iseqlg.p $e |- P = ( Base ` G ) $.
    iseqlg.m $e |- .- = ( dist ` G ) $.
    iseqlg.i $e |- I = ( Itv ` G ) $.
    iseqlg.l $e |- L = ( LineG ` G ) $.
    iseqlg.g $e |- ( ph -> G e. TarskiG ) $.
    iseqlg.a $e |- ( ph -> A e. P ) $.
    iseqlg.b $e |- ( ph -> B e. P ) $.
    iseqlg.c $e |- ( ph -> C e. P ) $.
    $( Property of a triangle being equilateral.  (Contributed by Thierry
       Arnoux, 5-Oct-2020.) $)
    iseqlg $p |- ( ph -> ( <" A B C "> e. ( eqltrG ` G ) <->
        <" A B C "> ( cgrG ` G ) <" B C A "> ) ) $=
      ( vx cfv wcel vg cs3 ceqlg cv c1 c2 cc0 ccgrg wbr c3 cfzo co cmap crab wa
      cstrkg cvv wceq elex cbs fveq2 eqtr4di breqd rabeqbidv df-eqlg ovex rabex
      oveq1d fvmpt eleq2d wb id fveq1 s3eqd breq12d elrab a1i cword chash s3cld
      3syl s3len cn0 fvexi 3nn0 wrdmap mp2an sylanblc biantrurd s3fv1 syl s3fv2
      s3fv0 breq2d bitr3d 3bitrd ) ABCDUBZFUCSZTWQRUDZUEWSSZUFWSSZUGWSSZUBZFUHS
      ZUIZREUGUJUKULZUMULZUNZTZWQXGTZWQUEWQSZUFWQSZUGWQSZUBZXDUIZUOZWQCDBUBZXDU
      IZAWRXHWQAFUPTFUQTWRXHURNFUPUSUAFWSXCUAUDZUHSZUIZRXSUTSZXFUMULZUNXHUQUCXS
      FURZYAXERYCXGYDYBEXFUMYDYBFUTSEXSFUTVAJVBVHYDXTXDWSXCXSFUHVAVCVDRUAVEXERX
      GEXFUMVFVGVIWAVJXIXPVKAXEXORWQXGWSWQURZWSWQXCXNXDYEVLYEWTXAXBXMXKXLUEWSWQ
      VMUFWSWQVMUGWSWQVMVNVOVPVQAXOXPXRAXJXOAWQEVRTZWQVSSUJURZXJABCDEOPQVTBCDWB
      EUQTUJWCTYFYGUOXJVKEFUTJWDWEUJEWQUQWFWGWHWIAXNXQWQXDAXKXLXMBCDACETXKCURPB
      CDEWJWKADETXLDURQBCDEWLWKABETXMBUROBCDEWMWKVNWNWOWP $.

    ${
      iseqlgd.1 $e |- ( ph -> ( A .- B ) = ( B .- C ) ) $.
      iseqlgd.2 $e |- ( ph -> ( B .- C ) = ( C .- A ) ) $.
      iseqlgd.3 $e |- ( ph -> ( C .- A ) = ( A .- B ) ) $.
      $( Condition for a triangle to be equilateral.  (Contributed by Thierry
         Arnoux, 5-Oct-2020.) $)
      iseqlgd $p |- ( ph -> <" A B C "> e. ( eqltrG ` G ) ) $=
        ( cs3 ceqlg cfv wcel ccgrg wbr eqid trgcgr iseqlg mpbird ) ABCDUAZFUBUC
        UDUKCDBUAFUEUCZUFABCDCEULDBFIJKULUGNOPQPQORSTUHABCDEFGHIJKLMNOPQUIUJ $.
    $}
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Properties of geometries
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Isomorphisms between geometries
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    f1otrkg.p $e |- P = ( Base ` G ) $.
    f1otrkg.d $e |- D = ( dist ` G ) $.
    f1otrkg.i $e |- I = ( Itv ` G ) $.
    f1otrkg.b $e |- B = ( Base ` H ) $.
    f1otrkg.e $e |- E = ( dist ` H ) $.
    f1otrkg.j $e |- J = ( Itv ` H ) $.
    f1otrkg.f $e |- ( ph -> F : B -1-1-onto-> P ) $.
    f1otrkg.1 $e |- ( ( ph /\ ( e e. B /\ f e. B ) )
       -> ( e E f ) = ( ( F ` e ) D ( F ` f ) ) ) $.
    f1otrkg.2 $e |- ( ( ph /\ ( e e. B /\ f e. B /\ g e. B ) )
       -> ( g e. ( e J f ) <-> ( F ` g ) e. ( ( F ` e ) I ( F ` f ) ) ) ) $.

    ${
      $d e f g B $.  $d e f D $.  $d e f E $.  $d e f g F $.  $d e f g I $.
      $d e f g J $.  $d e f g X $.  $d e f g ph $.  $d f g Y $.  $d g Z $.
      f1otrgitv.x $e |- ( ph -> X e. B ) $.
      f1otrgitv.y $e |- ( ph -> Y e. B ) $.
      $( Convenient lemma for ~ f1otrg .  (Contributed by Thierry Arnoux,
         19-Mar-2019.) $)
      f1otrgds $p |- ( ph
        -> ( X E Y ) = ( ( F ` X ) D ( F ` Y ) ) ) $=
        ( cv co cfv wceq wral ralrimivva wcel oveq1 fveq2 oveq1d eqeq12d oveq2d
        wi oveq2 rspc2v syl2anc mpd ) AEUGZFUGZHUHZVDIUIZVEIUIZCUHZUJZFBUKEBUKZ
        NOHUHZNIUIZOIUIZCUHZUJZAVJEFBBUCULANBUMOBUMVKVPUSUEUFVJVPNVEHUHZVMVHCUH
        ZUJEFNOBBVDNUJZVFVQVIVRVDNVEHUNVSVGVMVHCVDNIUOUPUQVEOUJZVQVLVRVOVEONHUT
        VTVHVNVMCVEOIUOURUQVAVBVC $.

      f1otrgitv.z $e |- ( ph -> Z e. B ) $.
      $( Convenient lemma for ~ f1otrg .  (Contributed by Thierry Arnoux,
         19-Mar-2019.) $)
      f1otrgitv $p |- ( ph
        -> ( Z e. ( X J Y ) <-> ( F ` Z ) e. ( ( F ` X ) I ( F ` Y ) ) ) ) $=
        ( cv co wcel cfv wb wral ralrimivvva wi wceq oveq1 eleq2d fveq2 bibi12d
        oveq1d oveq2 oveq2d eleq1 eleq1d rspc3v syl3anc mpd ) AGUIZEUIZFUIZMUJZ
        UKZVJIULZVKIULZVLIULZLUJZUKZUMZGBUNFBUNEBUNZPNOMUJZUKZPIULZNIULZOIULZLU
        JZUKZUMZAVTEFGBBBUEUOANBUKOBUKPBUKWAWIUPUFUGUHVTWIVJNVLMUJZUKZVOWEVQLUJ
        ZUKZUMVJWBUKZVOWGUKZUMEFGNOPBBBVKNUQZVNWKVSWMWPVMWJVJVKNVLMURUSWPVRWLVO
        WPVPWEVQLVKNIUTVBUSVAVLOUQZWKWNWMWOWQWJWBVJVLONMVCUSWQWLWGVOWQVQWFWELVL
        OIUTVDUSVAVJPUQZWNWCWOWHVJPWBVEWRVOWDWGVJPIUTVFVAVGVHVI $.
    $}

    $d a b c d e f g i p s t u v w x y z B $.  $d c d e f g u v w D $.
    $d a b c e f g i p u v w x y z E $.  $d a b c d e f g u v w x y z F $.
    $d a c d e f g u v w x y I $.  $d a b c d e f g i p s t u v w x y z J $.
    $d a b c d e f g u v w x y z P $.  $d a b c d e f g s t u v w x y z ph $.
    $d H f i p $.
    f1otrg.h $e |- ( ph -> H e. V ) $.
    ${
      f1otrg.g $e |- ( ph -> G e. TarskiG ) $.
      f1otrg.l $e |- ( ph -> ( LineG ` H ) = ( x e. B , y e. ( B \ { x } ) |->
     { z e. B | ( z e. ( x J y ) \/ x e. ( z J y ) \/ y e. ( x J z ) ) } ) ) $.
      $( A bijection between bases which conserves distances and intervals
         conserves also geometries.  (Contributed by Thierry Arnoux,
         23-Mar-2019.) $)
      f1otrg $p |- ( ph -> H e. TarskiG ) $=
        ( vp vi vu vv va vt vs vb vc cstrkgc cstrkgb cin cstrkgcb clng cfv cdif
        vw cv co wcel crab cmpo wceq wsbc cstrkg wral wi wa adantr wf wf1o f1of
        w3o syl simprl ffvelrnd simprr adantlr w3a wb f1otrgds 3eqtr4d 3ad2ant1
        ralrimivva simp3 3ad2antl1 3eqtr3d syl21anc 3expia ralrimivvva sylanbrc
        jca imp wrex 3adant3 f1otrgitv mpbid 3syl ad5antr simplr eleq1d anbi12d
        simpr ad2antrr f1ocnvfv2 syl2anc mpbird ad4ant14 r19.29a ex wel simpllr
        cima wfn wss simp-4r simpld elpwid fnfvima syl3anc simprd oveq2 ad4antr
        eleq2d sylancom sseldd ad3antrrr oveq2d elind ad9antr ralrimiva csn cbs
        citv cab cvv elexd axtgcgrrflx wf1 f1of1 simp21 simp22 simp23 axtgcgrid
        f1veqaeq istrkgc simp2 axtgbtwnid ccnv simplr2 simplr3 rspcedvd simplr1
        cpw axtgpasch ffn oveq1 rspc2va eqeltrd simp-5l adantllr eleq1 2ralbidv
        f1ocnv adantl rspcedv mpd crn imassrn f1ofo forn sseqtrid 4syl f1imacnv
        simp-5r eleqtrd simp-6l f1ocnvdm 3eltr3d 3impa axtgcont rexlimdva2 3jca
        wfo istrkgb wne simp-9r simp-8r simp-7r simp-6r simprl1 dff1o6 r19.21bi
        simp3bi necon3d simprl2 simprl3 axtg5seg simp-4l sylan ffvelrnda 3eqtrd
        eleqtrrd eqtr4d eqeq1d syl22anc axtgsegcon jca32 sylibr istrkgl df-trkg
        istrkgcb eleqtrrdi ) ANUSUTVAZVBIVGZVCVDBCUJVGZUYEBVGZUUAZVEDVGZUYFCVGZ
        UKVGZVHVIUYFUYHUYIUYJVHVIUYIUYFUYHUYJVHVIWBDUYEVJVKVLUKUYDUUCVDVMUJUYDU
        UBVDVMIUUDZVAZVAVNAUYCUYLNAUSUTNANUUEVIZUYFUYIKVHZUYIUYFKVHZVLZCEVOBEVO
        ZUYNUYHUYHKVHZVLZUYFUYIVLZVPZDEVOCEVOBEVOZVQNUSVIANQUGUUFZAUYQVUBAUYPBC
        EEAUYFEVIZUYIEVIZVQZVQZUYFLVDZUYILVDZFVHZVUIVUHFVHUYNUYOVUGGMOFVUHVUIRS
        TAMVNVIZVUFUHVRZVUGEGUYFLAEGLVSZVUFAEGLVTZVUMUDEGLWAZWCZVRZAVUDVUEWDZWE
        ZVUGEGUYILVUQAVUDVUEWFZWEZUUGVUGEFGHIJKLMNOPUYFUYIRSTUAUBUCAVUNVUFUDVRZ
        AHVGZEVIZUYDEVIZVQZVVCUYDKVHVVCLVDZUYDLVDZFVHVLZVUFUEWGZAVVDVVEJVGZEVIW
        HZVVKVVCUYDPVHVIVVKLVDVVGVVHOVHVIWIZVUFUFWGZVURVUTWJVUGEFGHIJKLMNOPUYIU
        YFRSTUAUBUCVVBVVJVVNVUTVURWJWKWMAVUABCDEEEAVUDVUEUYHEVIZWHZUYSUYTAVVPUY
        SWHZEGLUUHZVUFVUHVUIVLZUYTAVVPVVRUYSAVUNVVRUDEGLUUIZWCWLVVQVUDVUEAVUDVU
        EVVOUYSUUJZAVUDVUEVVOUYSUUKZXAVVQGMOFVUHVUIUYHLVDZRSTAVVPVUKUYSUHWLVVQE
        GUYFLAVVPVUMUYSVUPWLZVWAWEVVQEGUYILVWDVWBWEVVQEGUYHLVWDAVUDVUEVVOUYSUUL
        ZWEVVQUYNUYRVUJVWCVWCFVHAVVPUYSWNVVQEFGHIJKLMNOPUYFUYIRSTUAUBUCAVVPVUNU
        YSUDWLZAVVPVVFVVIUYSUEWOZAVVPVVLVVMUYSUFWOZVWAVWBWJVVQEFGHIJKLMNOPUYHUY
        HRSTUAUBUCVWFVWGVWHVWEVWEWJWPUUMVVRVUFVQVVSUYTEGUYFUYILUUNXBZWQWRWSXABC
        DENPKUAUBUCUUOWTAUYMUYIUYFUYFPVHVIZUYTVPZCEVOBEVOZULVGZUYFUYHPVHZVIZUMV
        GZUYIUYHPVHVIZVQZUNVGZVWMUYIPVHZVIZVWSVWPUYFPVHZVIZVQZUNEXCZVPZUMEVOULE
        VODEVOZCEVOBEVOZUYFVWSUYIPVHZVIZCUOVGZVOBUPVGZVOZUNEXCUQVGZUYFUYIPVHZVI
        ZCVXKVOBVXLVOZUQEXCZVPZUOEUVCZVOUPVXTVOZWHNUTVIVUCAVWLVXHVYAAVWKBCEEAVU
        FVWJUYTAVUFVWJWHZVVRVUFVVSUYTVYBVUNVVRAVUFVUNVWJUDWLZVVTWCAVUFVWJUUPVYB
        GMOFVUHVUIRSTAVUFVUKVWJUHWLAVUFVUHGVIZVWJVUSXDAVUFVUIGVIZVWJVVAXDVYBVWJ
        VUIVUHVUHOVHVIAVUFVWJWNVYBEFGHIJKLMNOPUYFUYFUYIRSTUAUBUCVYCAVUFVVFVVIVW
        JUEWOAVUFVVLVVMVWJUFWOAVUFVUDVWJVURXDZVYFAVUFVUEVWJVUTXDXEXFUUQVWIWQWRW
        MAVXGBCEEVUGVXFDULUMEEEVUGVVOVWMEVIZVWPEVIZWHZVQZVWRVXEVYJVWRVQZURVGZVW
        MLVDZVUIOVHZVIZVYLVWPLVDZVUHOVHZVIZVQZVXEURGVYKVYLGVIZVQZVYSVQZVXDVYLLU
        URZVDZVWTVIZWUDVXBVIZVQUNWUDEWUBGEVYLWUCAGEWUCVSZVUFVYIVWRVYTVYSAVUNGEW
        UCVTZWUGUDEGLUVMZGEWUCWAZXGZXHVYKVYTVYSXIZWEZWUBVWSWUDVLZVQZVXAWUEVXCWU
        FWUOVWSWUDVWTWUBWUNXLZXJWUOVWSWUDVXBWUPXJXKWUBWUEWUFWUBWUEWUDLVDZVYNVIZ
        WUBWURVYOWUAVYOVYRWDWUBVUNVYTWURVYOWIVYKVUNVYTVYSVUGVUNVYIVWRVVBXMZXMZW
        ULVUNVYTVQZWUQVYLVYNEGVYLLXNZXJXOXPWUBEFGHIJKLMNOPVWMUYIWUDRSTUAUBUCWUT
        VYKVVFVVIVYTVYSVUGVVFVVIVYIVWRVVJXQZXQZVYKVVLVVMVYTVYSVUGVVLVVMVYIVWRVV
        NXQZXQZVYKVYGVYTVYSVVOVYGVYHVUGVWRUUSZXMVYKVUEVYTVYSVUGVUEVYIVWRVUTXMZX
        MWUMXEXPWUBWUFWUQVYQVIZWUBWVIVYRWUAVYOVYRWFWUBVUNVYTWVIVYRWIWUTWULWVAWU
        QVYLVYQWVBXJXOXPWUBEFGHIJKLMNOPVWPUYFWUDRSTUAUBUCWUTWVDWVFVYKVYHVYTVYSV
        VOVYGVYHVUGVWRUUTZXMVYKVUDVYTVYSVUGVUDVYIVWRVURXMZXMWUMXEXPXAUVAVYKGVYM
        MOFVYPVUHVUIVWCURRSTVUGVUKVYIVWRVULXMVYKEGUYFLVUGVUMVYIVWRVUQXMZWVKWEVY
        KEGUYILWVLWVHWEVYKEGUYHLWVLVVOVYGVYHVUGVWRUVBZWEVYKEGVWMLWVLWVGWEVYKEGV
        WPLWVLWVJWEVYKVWOVYMVUHVWCOVHZVIVYJVWOVWQWDVYKEFGHIJKLMNOPUYFUYHVWMRSTU
        AUBUCWUSWVCWVEWVKWVMWVGXEXFVYKVWQVYPVUIVWCOVHVIVYJVWOVWQWFVYKEFGHIJKLMN
        OPUYIUYHVWPRSTUAUBUCWUSWVCWVEWVHWVMWVJXEXFUVDXRXSWSWMAVXSUPUOVXTVXTAVXL
        VXTVIZVXKVXTVIZVQZVQZVXMVXRUNEWVRVWSEVIZVQZVXMVQZVYLVVCUYDOVHZVIZILVXKY
        BZVOHLVXLYBZVOZVXRURGWWAVYTVQZWWFVQWUDVXOVIZCVXKVOBVXLVOZVXRWVTVYTWWFWW
        IVXMWVTVYTVQZWWFVQZWWHBCVXLVXKWWKBUPXTZCUOXTZVQZVQZWWHWUQVUHVUIOVHZVIZW
        WOWUQVYLWWPWWOVUNVYTWUQVYLVLAVUNWVQWVSVYTWWFWWNUDXHZWVTVYTWWFWWNYAWVBXO
        WWOVUHWWEVIZVUIWWDVIZWWFVYLWWPVIZWWOLEYCZVXLEYDZWWLWWSWWOVUNVUMWXBWWRVU
        OEGLUVEXGZWWJWWNWXCWWFWWJWWNVQZVXLEWXEWVOWVPAWVQWVSVYTWWNYEZYFYGZWGWWKW
        WLWWMWDEVXLLUYFYHYIWWOWXBVXKEYDZWWMWWTWXDWWJWWNWXHWWFWXEVXKEWXEWVOWVPWX
        FYJYGZWGWWKWWLWWMWFEVXKLUYIYHYIWWJWWFWWNXIWWCWXAVYLVUHUYDOVHZVIHIVUHVUI
        WWEWWDVVCVUHVLWWBWXJVYLVVCVUHUYDOUVFYMUYDVUIVLWXJWWPVYLUYDVUIVUHOYKYMUV
        GWQUVHWWJWWNWWHWWQWIWWFWXEEFGHIJKLMNOPUYFUYIWUDRSTUAUBUCAVUNWVQWVSVYTWW
        NUDYLWXEVVFAVVIAWVQWVSVYTWWNVVFUVIUEYNWXEVVLAVVMAWVQWVSVYTWWNVVLUVIUFYN
        WXEVXLEUYFWXGWWJWWLWWMWDYOWXEVXKEUYIWXIWWJWWLWWMWFYOWXEGEVYLWUCAWUGWVQW
        VSVYTWWNWUKYLWVTVYTWWNXIWEXEWGXPWMUVJWWGWWIVXRVPWWFWWGVXQWWIUQWUDEWWGGE
        VYLWUCAWUGWVQWVSVXMVYTWUKYLWWAVYTXLWEVXNWUDVLZVXQWWIWIWWGWXKVXPWWHBCVXL
        VXKVXNWUDVXOUVKUVLUVNUVOVRUVPWWAHIUMULVWSLVDZGWWEWWDMOFURRSTAVUKWVQWVSV
        XMUHYPWWALUVQZWWEGLVXLUVRAWXMGVLZWVQWVSVXMAVUNEGLUWMWXNUDEGLUVSEGLUVTXG
        YPZUWAZWWAWXMWWDGLVXKUVRWXOUWAZWWAEGVWSLAVUMWVQWVSVXMVUPYPWVRWVSVXMXIWE
        WWAVWMWWEVIZVWPWWDVIZVWMWXLVWPOVHZVIWWAWXRVQZWXSVQZVWMWUCVDZLVDZWXLVWPW
        UCVDZLVDZOVHZVWMWXTWYBWYCVWSWYEPVHZVIZWYDWYGVIWYBWYCVXLVIWYEVXKVIVXMWYI
        WYBWYCWUCWWEYBZVXLWYBWUCGYCZWWEGYDZWXRWYCWYJVIWYBVUNWUHWUGWYKAVUNWVQWVS
        VXMWXRWXSUDXHZWUIWUJGEWUCUVEUWBZWWAWYLWXRWXSWXPXMZWWAWXRWXSXIZGWWEWUCVW
        MYHYIWYBVVRWXCWYJVXLVLWYBVUNVVRWYMVVTWCZWYBVXLEWYBWVOWVPAWVQWVSVXMWXRWX
        SUWDZYFYGEGVXLLUWCXOUWEWYBWYEWUCWWDYBZVXKWYBWYKWWDGYDZWXSWYEWYSVIWYNWWA
        WYTWXRWXSWXQXMZWYAWXSXLZGWWDWUCVWPYHYIWYBVVRWXHWYSVXKVLWYQWYBVXKEWYBWVO
        WVPWYRYJYGEGVXKLUWCXOUWEWVTVXMWXRWXSYAVXJWYIWYCVXIVIBCWYCWYEVXLVXKUYFWY
        CVXIUVKUYIWYEVLVXIWYHWYCUYIWYEVWSPYKYMUVGWQWYBEFGHIJKLMNOPVWSWYEWYCRSTU
        AUBUCWYMWYBVVFAVVIAWVQWVSVXMWXRWXSVVFUWFUEYNWYBVVLAVVMAWVQWVSVXMWXRWXSV
        VLUWFUFYNWVRWVSVXMWXRWXSYEWYBVUNVWPGVIZWYEEVIWYMWYBWWDGVWPXUAXUBYOZEGVW
        PLUWGXOWYBVUNVWMGVIZWYCEVIWYMWYBWWEGVWMWYOWYPYOZEGVWMLUWGXOXEXFWYBVUNXU
        EWYDVWMVLWYMXUFEGVWMLXNXOWYBWYFVWPWXLOWYBVUNXUCWYFVWPVLWYMXUDEGVWPLXNXO
        YQUWHUWIUWJXRUWKWMUWLBCDUMULUOENPKUPUNUQUAUBUCUWNWTYRAVBUYKNAUYMUYFUYIU
        WOZUYIVWNVIZVXNVWSVYLPVHVIZWHZUYNVWSVXNKVHZVLZUYIUYHKVHZVXNVYLKVHZVLZVQ
        ZUYFVWMKVHZVWSVWPKVHZVLZUYIVWMKVHZVXNVWPKVHZVLZVQZVQZVQZUYHVWMKVHZVYLVW
        PKVHZVLZVPZUMEVOZUREVOZUQEVOZUNEVOZULEVOZDEVOZCEVOZBEVOZXUHXUMXUKVLZVQZ
        DEXCZUQEVOUNEVOZCEVOBEVOZVQVQNVBVIAUYMXVQXWBVUCAXVPBEAVUDVQZXVOCEXWCVUE
        VQZXVNDEXWDVVOVQZXVMULEXWEVYGVQZXVLUNEXWFWVSVQZXVKUQEXWGVXNEVIZVQZXVJUR
        EXWIVYLEVIZVQZXVIUMEXWKVYHVQZXVEXVHXWLXVEVQZVWCVYMFVHVYLLVDZVYPFVHXVFXV
        GXWMWXLVXNLVDZXWNGVYMMOFVYPVUHVUIVWCRSTAVUKVUDVUEVVOVYGWVSXWHXWJVYHXVEU
        HYSXWMEGUYFLAVUMVUDVUEVVOVYGWVSXWHXWJVYHXVEVUPYSZAVUDVUEVVOVYGWVSXWHXWJ
        VYHXVEUWPZWEXWMEGUYILXWPXWCVUEVVOVYGWVSXWHXWJVYHXVEUWQZWEXWMEGUYHLXWPXW
        DVVOVYGWVSXWHXWJVYHXVEUWRZWEXWMEGVWSLXWPXWFWVSXWHXWJVYHXVEUWDZWEXWMEGVX
        NLXWPXWGXWHXWJVYHXVEYEZWEXWMEGVYLLXWPXWIXWJVYHXVEYAZWEXWMEGVWMLXWPXWEVY
        GWVSXWHXWJVYHXVEUWSZWEXWMEGVWPLXWPXWKVYHXVEXIZWEXWMVUNVUDVQZVUEXUGVUHVU
        IUWOZXWMVUNVUDAVUNVUDVUEVVOVYGWVSXWHXWJVYHXVEUDYSZXWQXAXWRXUGXUHXUIXVDX
        WLUWTXXEVUEVQZXUGXXFXXHVUHVUIUYFUYIXXEVVSUYTVPZCEVUNXXICEVOZBEVUNWXBWXN
        XXJBEVOBCEGLUXAUXCUXBUXBUXDXBWQXWMXUHVUIWVNVIXUGXUHXUIXVDXWLUXEXWMEFGHI
        JKLMNOPUYFUYHUYIRSTUAUBUCXXGXWMVVFVVIAVVFVVIVPVUDVUEVVOVYGWVSXWHXWJVYHX
        VEAVVFVVIUEXSYSXBZXWMVVLVVMAVVLVVMVPVUDVUEVVOVYGWVSXWHXWJVYHXVEAVVLVVMU
        FXSYSXBZXWQXWSXWRXEXFXWMXUIXWOWXLXWNOVHVIXUGXUHXUIXVDXWLUXFXWMEFGHIJKLM
        NOPVWSVYLVXNRSTUAUBUCXXGXXKXXLXWTXXBXXAXEXFXWMUYNXUKVUJWXLXWOFVHZXWMXUL
        XUOXWMXUPXVCXWLXUJXVDWFZYFZYFXWMEFGHIJKLMNOPUYFUYIRSTUAUBUCXXGXXKXXLXWQ
        XWRWJXWMEFGHIJKLMNOPVWSVXNRSTUAUBUCXXGXXKXXLXWTXXAWJWPXWMXUMXUNVUIVWCFV
        HXWOXWNFVHXWMXULXUOXXOYJXWMEFGHIJKLMNOPUYIUYHRSTUAUBUCXXGXXKXXLXWRXWSWJ
        XWMEFGHIJKLMNOPVXNVYLRSTUAUBUCXXGXXKXXLXXAXXBWJWPXWMXUQXURVUHVYMFVHWXLV
        YPFVHXWMXUSXVBXWMXUPXVCXXNYJZYFXWMEFGHIJKLMNOPUYFVWMRSTUAUBUCXXGXXKXXLX
        WQXXCWJXWMEFGHIJKLMNOPVWSVWPRSTUAUBUCXXGXXKXXLXWTXXDWJWPXWMXUTXVAVUIVYM
        FVHXWOVYPFVHXWMXUSXVBXXPYJXWMEFGHIJKLMNOPUYIVWMRSTUAUBUCXXGXXKXXLXWRXXC
        WJXWMEFGHIJKLMNOPVXNVWPRSTUAUBUCXXGXXKXXLXXAXXDWJWPUXGXWMEFGHIJKLMNOPUY
        HVWMRSTUAUBUCXXGXXKXXLXWSXXCWJXWMEFGHIJKLMNOPVYLVWPRSTUAUBUCXXGXXKXXLXX
        BXXDWJWKXSYTYTYTYTYTYTYTYTAXWABCEEVUGXVTUNUQEEVUGWVSXWHVQZVQZVUIVUHVFVG
        ZOVHZVIZVUIXXSFVHZXXMVLZVQZXVTVFGXXRXXSGVIZVQZXYDVQZAXYEUYIUYFXXSWUCVDZ
        PVHZVIZUYIXYHKVHZXUKVLZXVTAVUFXXQXYEXYDUXHZXXRXYEXYDXIZXYGXYJVUIVUHXYHL
        VDZOVHZVIXYGVUIXXTXYPXYFXYAXYCWDXYGXYOXXSVUHOXYGVUNXYEXYOXXSVLXYGAVUNXY
        MUDWCZXYNEGXXSLXNXOZYQUXLXYGEFGHIJKLMNOPUYFXYHUYIRSTUAUBUCXYQXYGAVVFVVI
        XYMUEUXIZXYGAVVLVVMXYMUFUXIZVUGVUDXXQXYEXYDVURYPXYGAXYEXYHEVIXYMXYNAGEX
        XSWUCWUKUXJZXOZVUGVUEXXQXYEXYDVUTYPZXEXPXYGXYKXXMXUKXYGXYKVUIXYOFVHXYBX
        XMXYGEFGHIJKLMNOPUYIXYHRSTUAUBUCXYQXYSXYTYUCYUBWJXYGXYOXXSVUIFXYRYQXYFX
        YAXYCWFUXKXYGEFGHIJKLMNOPVWSVXNRSTUAUBUCXYQXYSXYTXXRWVSXYEXYDVUGWVSXWHW
        DZXMXXRXWHXYEXYDVUGWVSXWHWFZXMWJUXMAXYEVQZXYJXYLVQZXVTYUFXVSYUGDXYHEYUA
        UYHXYHVLZXVSYUGWIYUFYUHXUHXYJXVRXYLYUHVWNXYIUYIUYHXYHUYFPYKYMYUHXUMXYKX
        UKUYHXYHUYIKYKUXNXKUVNUVOXBUXOXXRVFWXLXWOGMOFVUHVUIRSTVUGVUKXXQVULVRVUG
        VYDXXQVUSVRVUGVYEXXQVVAVRXXREGVWSLVUGVUMXXQVUQVRZYUDWEXXREGVXNLYUIYUEWE
        UXPXRWMWMUXQBCDUMULENPKUNUQURUAUBUCUYAUXRAUYMNVCVDBCEEUYGVEUYHVXOVIUYFU
        YHUYIPVHVIXUHWBDEVJVKVLNUYKVIVUCUIBCDEIUKNPKUJUAUBUCUXSWTYRYRBCDIUKUJUX
        TUYB $.
    $}

    ${
      f1otrge.g $e |- ( ph -> G e. TarskiGE ) $.
      $( A bijection between bases which conserves distances and intervals
         conserves also the property of being a Euclidean geometry.
         (Contributed by Thierry Arnoux, 23-Mar-2019.) $)
      f1otrge $p |- ( ph -> H e. TarskiGE ) $=
        ( vu vx vv vy vz va vb vc vd cvv wcel cv co wne wrex wral cstrkge elexd
        w3a wi wa ccnv wf wf1o f1ocnv f1of 3syl ad6antr simpllr ffvelrnd simplr
        cfv simpr1 wceq ad3antrrr f1ocnvfv2 syl2anc oveq2d eleqtrrd ad5ant15 wb
        simprl simprr mpbird simpr2 simplr1 simpr3 oveq12d simplr3 oveq2 eleq2d
        ad2antrr f1otrgitv oveq1 3anbi13d 3anbi23d rspc2ev syl113anc syl adantr
        simplr2 wfn crn dff1o6 simp3bi r19.21bi necon3d imp syl1111anc axtgeucl
        mpbid r19.29vva ex ralrimivvva ralrimivva istrkge sylanbrc ) AKUOUPUFUQ
        ZUGUQZUHUQZMURUPZYCUIUQZUJUQZMURUPZYDYCUSZVDZYGYDUKUQZMURZUPZYHYDULUQZM
        URZUPZYEYLYOMURZUPZVDZULBUTUKBUTZVEZUHBVAUFBVAUJBVAZUIBVAUGBVAKVBUPAKNU
        DVCAUUCUGUIBBAYDBUPZYGBUPZVFZVFZUUBUJUFUHBBBUUGYHBUPZYCBUPZYEBUPZVDZVFZ
        YKUUAUULYKVFZYGIVQZYDIVQZUMUQZLURZUPZYHIVQZUUOUNUQZLURZUPZYEIVQZUUPUUTL
        URZUPZVDZUUAUMUNDDUUMUUPDUPZVFZUUTDUPZVFZUVFVFZUUPIVGZVQZBUPUUTUVLVQZBU
        PYGYDUVMMURZUPZYHYDUVNMURZUPZYEUVMUVNMURZUPZUUAUVKDBUUPUVLADBUVLVHZUUFU
        UKYKUVGUVIUVFABDIVIZDBUVLVIUWAUABDIVJDBUVLVKVLVMZUUMUVGUVIUVFVNZVOZUVKD
        BUUTUVLUWCUVHUVIUVFVPZVOZUVKUVPUUNUUOUVMIVQZLURZUPUVKUUNUUQUWIUVJUURUVB
        UVEVRUVKUWHUUPUUOLUVKUWBUVGUWHUUPVSUUMUWBUVGUVIUVFAUWBUUFUUKYKUAVTZVTZU
        WDBDUUPIWAWBZWCWDUVKBCDEFGHIJKLMYDUVMYGOPQRSTUWKUUMEUQZBUPZFUQZBUPZVFZU
        WMUWOHURUWMIVQZUWOIVQZCURVSZUVGUVIUVFAUWQUWTUUFUUKYKUBWEZWEZUUMUWNUWPGU
        QZBUPVDZUXCUWMUWOMURUPUXCIVQUWRUWSLURUPWFZUVGUVIUVFAUXDUXEUUFUUKYKUCWEZ
        WEZUUMUUDUVGUVIUVFUUGUUDUUKYKAUUDUUEWGZWQZVTZUWEUUMUUEUVGUVIUVFUUGUUEUU
        KYKAUUDUUEWHZWQZVTWRWIUVKUVRUUSUUOUVNIVQZLURZUPUVKUUSUVAUXNUVJUURUVBUVE
        WJUVKUXMUUTUUOLUVKUWBUVIUXMUUTVSUWKUWFBDUUTIWAWBZWCWDUVKBCDEFGHIJKLMYDU
        VNYHOPQRSTUWKUXBUXGUXJUWGUUMUUHUVGUVIUVFUUHUUIUUJUUGYKWKZVTWRWIUVKUVTUV
        CUWHUXMLURZUPUVKUVCUVDUXQUVJUURUVBUVEWLUVKUWHUUPUXMUUTLUWLUXOWMWDUVKBCD
        EFGHIJKLMUVMUVNYEOPQRSTUWKUXBUXGUWEUWGUUMUUJUVGUVIUVFUUHUUIUUJUUGYKWNZV
        TWRWIYTUVPUVRUVTVDUVPYQYEUVMYOMURZUPZVDUKULUVMUVNBBYLUVMVSZYNUVPYSUXTYQ
        UYAYMUVOYGYLUVMYDMWOWPUYAYRUXSYEYLUVMYOMWSWPWTYOUVNVSZYQUVRUXTUVTUVPUYB
        YPUVQYHYOUVNYDMWOWPUYBUXSUVSYEYOUVNUVMMWOWPXAXBXCUUMDYCIVQZJLCUVCUUOUUN
        UUSUMUNOPQAJVBUPUUFUUKYKUEVTUUGUUODUPUUKYKUUGBDYDIABDIVHZUUFAUWBUYDUABD
        IVKXDZXEZUXHVOWQUUGUUNDUPUUKYKUUGBDYGIUYFUXKVOWQUUMBDYHIAUYDUUFUUKYKUYE
        VTZUXPVOUUMBDYCIUYGUUHUUIUUJUUGYKXFZVOUUMBDYEIUYGUXRVOUUMYFUYCUUOUVCLUR
        UPUULYFYIYJVRUUMBCDEFGHIJKLMYDYEYCOPQRSTUWJUXAUXFUXIUXRUYHWRXPUUMYIUYCU
        UNUUSLURUPUULYFYIYJWJUUMBCDEFGHIJKLMYGYHYCOPQRSTUWJUXAUXFUXLUXPUYHWRXPU
        UMUWBUUDUUIYJUUOUYCUSZUWJUXIUYHUULYFYIYJWLUWBUUDVFZUUIVFZYJUYIUYKUUOUYC
        YDYCUYJUUOUYCVSYDYCVSVEZUFBUWBUYLUFBVAZUGBUWBIBXGIXHDVSUYMUGBVAUGUFBDIX
        IXJXKXKXLXMXNXOXQXRXSXTUGUIUJUHUFBKMHUKULRSTYAYB $.
    $}

$(
    @{
      f1otrg2d.g @e |- ( ph -> G e. TarskiG2D ) @.
      @( A bijection between bases which conserves distances and intervals
         conserves also planar geometries.  @)
      f1otrg2d @p |- ( ph -> H e. TarskiG2D ) @=
        ? @.
    @}
$)
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Geometry in Hilbert spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $c toTG $.

  $( Function to convert an algebraic structure to a Tarski geometry. $)
  cttg $a class toTG $.

  ${
    $d i k w x y z $.
    $( Define a function converting a subcomplex Hilbert space to a Tarski
       Geometry.  It does so by equipping the structure with a betweenness
       operation.  Note that because the scalar product is applied over the
       interval ` ( 0 [,] 1 ) ` , only spaces whose scalar field is a superset
       of that interval can be considered.  (Contributed by Thierry Arnoux,
       24-Mar-2019.) $)
    df-ttg $a |- toTG = ( w e. _V |-> [_ ( x e. ( Base ` w ) , y e. ( Base ` w
        ) |-> { z e. ( Base ` w ) | E. k e. ( 0 [,] 1 ) ( z ( -g ` w ) x ) =
        ( k ( .s ` w ) ( y ( -g ` w ) x ) ) } ) / i ]_
        ( ( w sSet <. ( Itv ` ndx ) , i >. )
      sSet <. ( LineG ` ndx ) , ( x e. ( Base ` w ) , y e. ( Base ` w )
        |-> { z e. ( Base ` w ) |
          ( z e. ( x i y ) \/ x e. ( z i y ) \/ y e. ( x i z ) ) } ) >. ) ) $.
  $}

  ${
    ttgval.n $e |- G = ( toTG ` H ) $.
    ${
      $d a b c k x y z $.  $d a b c i w x y z B $.  $d i k w x y z H $.
      $d i x y z V $.  $d a b c i w x y z .- $.  $d a b c i w x y z .x. $.
      ttgval.b $e |- B = ( Base ` H ) $.
      ttgval.m $e |- .- = ( -g ` H ) $.
      ttgval.s $e |- .x. = ( .s ` H ) $.
      ttgval.i $e |- I = ( Itv ` G ) $.
      $( Define a function to augment a subcomplex Hilbert space with
         betweenness and a line definition.  (Contributed by Thierry Arnoux,
         25-Mar-2019.) $)
      ttgval $p |- ( H e. V -> ( G = ( ( H sSet <. ( Itv ` ndx ) ,
           ( x e. B , y e. B |-> { z e. B |
           E. k e. ( 0 [,] 1 ) ( z .- x ) = ( k .x. ( y .- x ) ) } ) >. )
        sSet <. ( LineG ` ndx ) , ( x e. B , y e. B |-> { z e. B |
           ( z e. ( x I y ) \/ x e. ( z I y ) \/ y e. ( x I z ) ) } ) >. )
        /\ I = ( x e. B , y e. B |-> { z e. B |
           E. k e. ( 0 [,] 1 ) ( z .- x ) = ( k .x. ( y .- x ) ) } ) ) ) $=
        ( wcel co wceq csts vi vw va vb vc cnx citv cfv cc0 cicc wrex crab cmpo
        cv cop clng w3o cttg csb a1i cvv elex cbs csg cvsca fveq2 eqtr4di oveqd
        c1 oveq123d eqeq12d rexbidv rabeqbidv mpoeq123dv csbeq1d rabeqdv opeq2d
        eqidd oveq1 oveq12d csbeq2dv eqtrd df-ttg ovex csbex fvmpt syl fvexi wa
        mpoex simpr oveq2 oveq2d rabbidv eqeq2d eqeq1d cbvrabv eqtrdi 3orbi123d
        cbvmpov eleq2d mpoeq3dv syldan csbied 3eqtrd fveq2d itvid wne c6 cdc c7
        1nn0 6nn decnncl nnrei 6nn0 7nn 6lt7 declt ltneii itvndx lngndx neeq12i
        mpbir setsnid setsid mpan2 3eqtr4d eqtr4d jca ) HKQZGHUFUGUHZABDDCUNZAU
        NZJRZFUNZBUNZYNJRZERZSZFUIVIUJRZUKZCDULZUMZUOZTRZUFUPUHZABDDYMYNYQIRZQZ
        YNYMYQIRZQZYQYNYMIRZQZUQZCDULZUMZUOZTRZSIUUDSYKGUUFUUGABDDYMYNYQUUDRZQZ
        YNYMYQUUDRZQZYQYNYMUUDRZQZUQZCDULZUMZUOZTRZUURYKGHURUHZUAUUDHYLUAUNZUOZ
        TRZUUGABDDYMYNYQUVKRZQZYNYMYQUVKRZQZYQYNYMUVKRZQZUQZCDULZUMZUOZTRZUSZUV
        IGUVJSYKLUTYKHVAQUVJUWESHKVBUBHUAABUBUNZVCUHZUWGYMYNUWFVDUHZRZYPYQYNUWH
        RZUWFVEUHZRZSZFUUAUKZCUWGULZUMZUWFUVLTRZUUGABUWGUWGUVTCUWGULZUMZUOZTRZU
        SZUWEVAURUWFHSZUXBUAUUDUXAUSUWEUXCUAUWPUUDUXAUXCABUWGUWGUWODDUUCUXCUWGH
        VCUHDUWFHVCVFMVGZUXDUXCUWNUUBCUWGDUXDUXCUWMYTFUUAUXCUWIYOUWLYSUXCUWHJYM
        YNUXCUWHHVDUHJUWFHVDVFNVGZVHUXCYPYPUWJYRUWKEUXCUWKHVEUHEUWFHVEVFOVGUXCY
        PVRUXCUWHJYQYNUXEVHVJVKVLVMVNVOUXCUAUUDUXAUWDUXCUWQUVMUWTUWCTUWFHUVLTVS
        UXCUWSUWBUUGUXCABUWGUWGUWRDDUWAUXDUXDUXCUVTCUWGDUXDVPVNVQVTWAWBABCUBUAF
        WCUAUUDUWDUVMUWCTWDWEWFWGYKUAUUDUWDUVIVAUUDVAQZYKABDDUUCDHVCMWHZUXGWJZU
        TYKUVKUUDSZUVKUCUDDDUEUNZUCUNZJRZYPUDUNZUXKJRZERZSZFUUAUKZUEDULZUMZSZUW
        DUVISYKUXIWIUVKUUDUXSYKUXIWKUCUDABDDUXRUUCUXJYNJRZYPUXMYNJRZERZSZFUUAUK
        ZUEDULZUXKYNSZUXQUYEUEDUYGUXPUYDFUUAUYGUXLUYAUXOUYCUXKYNUXJJWLUYGUXNUYB
        YPEUXKYNUXMJWLWMVKVLWNUXMYQSZUYFUYAYSSZFUUAUKZUEDULUUCUYHUYEUYJUEDUYHUY
        DUYIFUUAUYHUYCYSUYAUYHUYBYRYPEUXMYQYNJVSWMWOVLWNUYJUUBUECDUXJYMSZUYIYTF
        UUAUYKUYAYOYSUXJYMYNJVSWPVLWQWRWTZVGYKUXTWIZUVMUUFUWCUVHTUYMUVLUUEHTUYM
        UVKUUDYLUYMUVKUXSUUDYKUXTWKUYLWRZVQWMUYMUWBUVGUUGUYMABDDUWAUVFUYMUVTUVE
        CDUYMUVOUUTUVQUVBUVSUVDUYMUVNUUSYMUYMUVKUUDYNYQUYNVHXAUYMUVPUVAYNUYMUVK
        UUDYMYQUYNVHXAUYMUVRUVCYQUYMUVKUUDYNYMUYNVHXAWSWNXBVQVTXCXDXEZYKUUQUVHU
        UFTYKUUPUVGUUGYKABDDUUOUVFYKUUNUVECDYKUUIUUTUUKUVBUUMUVDYKUUHUUSYMYKIUU
        DYNYQYKGUGUHZUUFUGUHZIUUDYKUYPUVIUGUHUYQYKGUVIUGUYOXFUVGUUGUGUUFXGYLUUG
        XHVIXIXJZVIXKXJZXHUYRUYSUYRVIXIXLXMXNXOVIXIXKXLXPXQXRXSXTYLUYRUUGUYSYAY
        BYCYDYEVGIUYPSYKPUTYKUXFUUDUYQSUXHKUUDUGVAHXGYFYGYHZVHXAYKUUJUVAYNYKIUU
        DYMYQUYTVHXAYKUULUVCYQYKIUUDYNYMUYTVHXAWSWNXBVQWMYIUYTYJ $.
    $}

    ${
      $d H k x y z $.
      ttglem.e $e |- E = Slot ( E ` ndx ) $.
      ttglem.l $e |- ( E ` ndx ) =/= ( LineG ` ndx ) $.
      ttglem.i $e |- ( E ` ndx ) =/= ( Itv ` ndx ) $.
      $( Lemma for ~ ttgbas , ~ ttgvsca etc.  (Contributed by Thierry Arnoux,
         15-Apr-2019.)  (Revised by AV, 29-Oct-2024.) $)
      ttglem $p |- ( E ` H ) = ( E ` G ) $=
        ( vx vy vz vk cvv wcel cfv wceq cnx citv cv co eqid cbs csg cc0 c1 cicc
        cvsca wrex crab cmpo cop csts clng setsnid ttgval simpld fveq2d eqtr4id
        w3o eqtri cttg c0 str0 eqcomi fveqprc pm2.61i ) CLMZCANZBANZOVFVGCPQNZH
        ICUANZVJJRZHRZCUBNZSKRIRZVLVMSCUFNZSOKUCUDUESUGJVJUHUIZUJUKSZPULNZHIVJV
        JVKVLVNBQNZSMVLVKVNVSSMVNVLVKVSSMURJVJUHUIZUJUKSZANZVHVGVQANWBVPVIACEGU
        MVTVRAVQEFUMUSVFBWAAVFBWAOVSVPOHIJVJVOKBCVSVMLDVJTVMTVOTVSTUNUOUPUQAUTC
        BVAVAANAPANEVBVCDVDVE $.
    $}

    ${
      $d H k x y z $.
      ttglemOLD.2 $e |- E = Slot N $.
      ttglemOLD.3 $e |- N e. NN $.
      ttglemOLD.4 $e |- N < ; 1 6 $.
      $( Obsolete version of ~ ttglem as of 29-Oct-2024.  Lemma for ~ ttgbas
         and ~ ttgvsca .  (Contributed by Thierry Arnoux, 15-Apr-2019.)
         (Proof modification is discouraged.)  (New usage is discouraged.) $)
      ttglemOLD $p |- ( E ` H ) = ( E ` G ) $=
        ( vx vy vz wcel cfv wceq cv co c1 wne eqid c0 vk cvv cnx citv cbs cvsca
        csg cc0 cicc wrex crab cmpo cop csts clng w3o ndxid c6 cdc nnrei ltneii
        ndxarg itvndx neeq12i mpbir setsnid c7 clt wbr 1nn0 6nn0 7nn 6lt7 declt
        6nn decnncl lttri mp2an lngndx eqtri ttgval simpld fveq2d eqtr4id fvprc
        wn str0 cttg syl5eq 3eqtr4a pm2.61i ) CUBLZCAMZBAMZNWLWMCUCUDMZIJCUEMZW
        PKOZIOZCUGMZPUAOJOZWRWSPCUFMZPNUAUHQUIPUJKWPUKULZUMUNPZUCUOMZIJWPWPWQWR
        WTBUDMZPLWRWQWTXEPLWTWRWQXEPLUPKWPUKULZUMUNPZAMZWNWMXCAMXHXBWOACADFGUQZ
        UCAMZWORDQURUSZRDXKDGUTZHVAXJDWOXKADFGVBZVCVDVEVFXFXDAXCXIXJXDRDQVGUSZR
        DXNXLDXKVHVIXKXNVHVIDXNVHVIHQURVGVJVKVLVMVNDXKXNXLXKQURVJVOVPUTXNQVGVJV
        LVPUTVQVRVAXJDXDXNXMVSVDVEVFVTWLBXGAWLBXGNXEXBNIJKWPXAUABCXEWSUBEWPSWSS
        XASXESWAWBWCWDWLWFZTTAMWMWNADFWGCAWEXOBTAXOBCWHMTECWHWEWIWCWJWK $.
    $}

    ${
      ttgbas.1 $e |- B = ( Base ` H ) $.
      $( The base set of a subcomplex Hilbert space augmented with betweenness.
         (Contributed by Thierry Arnoux, 25-Mar-2019.)  (Revised by AV,
         29-Oct-2024.) $)
      ttgbas $p |- B = ( Base ` G ) $=
        ( cbs cfv baseid cnx clng wne cplusg cvsca cds slotslnbpsd simpll ax-mp
        wa necomi citv slotsinbpsd ttglem eqtri ) ACFGBFGEFBCDHIJGZIFGZUDUEKZUD
        ILGZKZRUDIMGZKUDINGZKRZRUFOUFUHUKPQSITGZUEULUEKZULUGKZRULUIKULUJKRZRUMU
        AUMUNUOPQSUBUC $.

      $( Obsolete proof of ~ ttgbas as of 29-Oct-2024.  The base set of a
         subcomplex Hilbert space augmented with betweenness.  (Contributed by
         Thierry Arnoux, 25-Mar-2019.)  (Proof modification is discouraged.)
         (New usage is discouraged.) $)
      ttgbasOLD $p |- B = ( Base ` G ) $=
        ( cbs cfv c1 df-base 1nn c6 6nn0 1nn0 1lt10 declti ttglemOLD eqtri ) AC
        FGBFGEFBCHDIJHKHJLMNOPQ $.
    $}

    ${
      ttgplusg.1 $e |- .+ = ( +g ` H ) $.
      $( The addition operation of a subcomplex Hilbert space augmented with
         betweenness.  (Contributed by Thierry Arnoux, 25-Mar-2019.)  (Revised
         by AV, 29-Oct-2024.) $)
      ttgplusg $p |- .+ = ( +g ` G ) $=
        ( cplusg cfv plusgid cnx clng cbs wne wa cvsca slotslnbpsd simplr ax-mp
        cds necomi citv slotsinbpsd ttglem eqtri ) ACFGBFGEFBCDHIJGZIFGZUDIKGZL
        ZUDUELZMUDINGZLUDIRGZLMZMUHOUGUHUKPQSITGZUEULUFLZULUELZMULUILULUJLMZMUN
        UAUMUNUOPQSUBUC $.


      $( Obsolete proof of ~ ttgplusg as of 29-Oct-2024.  The addition
         operation of a subcomplex Hilbert space augmented with betweenness.
         (Contributed by Thierry Arnoux, 25-Mar-2019.)
         (Proof modification is discouraged.)  (New usage is discouraged.) $)
      ttgplusgOLD $p |- .+ = ( +g ` G ) $=
        ( cplusg cfv c2 df-plusg 2nn c1 c6 1nn 6nn0 2nn0 2lt10 declti ttglemOLD
        eqtri ) ACFGBFGEFBCHDIJKLHMNOPQRS $.
    $}

    ${
      ttgsub.1 $e |- .- = ( -g ` H ) $.
      $( The subtraction operation of a subcomplex Hilbert space augmented with
         betweenness.  (Contributed by Thierry Arnoux, 25-Mar-2019.) $)
      ttgsub $p |- .- = ( -g ` G ) $=
        ( csg cfv wceq wtru eqid ttgbas cplusg ttgplusg grpsubpropd mptru eqtri
        cbs a1i ) CBFGZAFGZESTHIBABQGZAQGHIUAABDUAJKRBLGZALGHIUBABDUBJMRNOP $.
    $}

    ${
      ttgvsca.1 $e |- .x. = ( .s ` H ) $.
      $( The scalar product of a subcomplex Hilbert space augmented with
         betweenness.  (Contributed by Thierry Arnoux, 25-Mar-2019.)  (Revised
         by AV, 29-Oct-2024.) $)
      ttgvsca $p |- .x. = ( .s ` G ) $=
        ( cvsca cfv vscaid cnx clng cbs wne cplusg cds slotslnbpsd simprl ax-mp
        wa necomi citv slotsinbpsd ttglem eqtri ) ACFGBFGEFBCDHIJGZIFGZUDIKGZLU
        DIMGZLRZUDUELZUDINGZLZRRUIOUHUIUKPQSITGZUEULUFLULUGLRZULUELZULUJLZRRUNU
        AUMUNUOPQSUBUC $.

      $( Obsolete proof of ~ ttgvsca as of 29-Oct-2024.  The scalar product of
         a subcomplex Hilbert space augmented with betweenness.  (Contributed
         by Thierry Arnoux, 25-Mar-2019.)  (Proof modification is discouraged.)
         (New usage is discouraged.) $)
      ttgvscaOLD $p |- .x. = ( .s ` G ) $=
        ( cvsca cfv c6 df-vsca 6nn c1 1nn 6nn0 6lt10 declti ttglemOLD eqtri ) A
        CFGBFGEFBCHDIJKHHLMMNOPQ $.
    $}

    ${
      ttgds.1 $e |- D = ( dist ` H ) $.
      $( The metric of a subcomplex Hilbert space augmented with betweenness.
         (Contributed by Thierry Arnoux, 25-Mar-2019.)  (Revised by AV,
         29-Oct-2024.) $)
      ttgds $p |- D = ( dist ` G ) $=
        ( cds cfv dsid cnx cbs wne cplusg cvsca slotslnbpsd simprr ax-mp necomi
        clng wa citv slotsinbpsd ttglem eqtri ) ACFGBFGEFBCDHIRGZIFGZUDIJGZKUDI
        LGZKSZUDIMGZKZUDUEKZSSUKNUHUJUKOPQITGZUEULUFKULUGKSZULUIKZULUEKZSSUOUAU
        MUNUOOPQUBUC $.

      $( Obsolete proof of ~ ttgds as of 29-Oct-2024.  The metric of a
         subcomplex Hilbert space augmented with betweenness.  (Contributed by
         Thierry Arnoux, 25-Mar-2019.)  (Proof modification is discouraged.)
         (New usage is discouraged.) $)
      ttgdsOLD $p |- D = ( dist ` G ) $=
        ( cds cfv c1 c2 cdc df-ds 1nn0 2nn decnncl c6 2nn0 2lt6 declt ttglemOLD
        6nn eqtri ) ACFGBFGEFBCHIJDKHILMNHIOLPTQRSUA $.
    $}

    $d k x y z .- $.  $d x y z .x. $.  $d k x y z H $.  $d k x y z P $.
    $d k x y z V $.  $d k x y z X $.  $d k x y z Y $.  $d k z Z $.
    ttgitvval.i $e |- I = ( Itv ` G ) $.
    ttgitvval.b $e |- P = ( Base ` H ) $.
    ttgitvval.m $e |- .- = ( -g ` H ) $.
    ttgitvval.s $e |- .x. = ( .s ` H ) $.
    $( Betweenness for a subcomplex Hilbert space augmented with betweenness.
       (Contributed by Thierry Arnoux, 25-Mar-2019.) $)
    ttgitvval $p |- ( ( H e. V /\ X e. P /\ Y e. P ) -> ( X I Y ) = { z e. P
      | E. k e. ( 0 [,] 1 ) ( z .- X ) = ( k .x. ( Y .- X ) ) } ) $=
      ( vx wcel co wceq vy w3a cv cc0 cicc wrex crab cvv cmpo cnx citv cfv csts
      c1 cop w3o ttgval simprd 3ad2ant1 wa simprl oveq2d simprr oveq12d eqeq12d
      clng rexbidv rabbidv simp2 simp3 cbs fvexi rabex a1i ovmpod ) FIRZJBRZKBR
      ZUBZQUAJKBBAUCZQUCZHSZDUCZUAUCZWAHSZCSZTZDUDUNUESZUFZABUGZVTJHSZWCKJHSZCS
      ZTZDWHUFZABUGZGUHVPVQGQUABBWJUIZTZVRVPEFUJUKULWQUOUMSUJVFULQUABBVTWAWDGSR
      WAVTWDGSRWDWAVTGSRUPABUGUIUOUMSTWRQUAABCDEFGHILNOPMUQURUSVSWAJTZWDKTZUTUT
      ZWIWOABXAWGWNDWHXAWBWKWFWMXAWAJVTHVSWSWTVAZVBXAWEWLWCCXAWDKWAJHVSWSWTVCXB
      VDVBVEVGVHVPVQVRVIVPVQVRVJWPUHRVSWOABBFVKNVLVMVNVO $.

    ttgelitv.x $e |- ( ph -> X e. P ) $.
    ttgelitv.y $e |- ( ph -> Y e. P ) $.
    ${
      ttgelitv.h $e |- ( ph -> H e. V ) $.
      ttgelitv.z $e |- ( ph -> Z e. P ) $.
      $( Betweenness for a subcomplex Hilbert space augmented with betweenness.
         (Contributed by Thierry Arnoux, 25-Mar-2019.) $)
      ttgelitv $p |- ( ph -> ( Z e. ( X I Y )
        <-> E. k e. ( 0 [,] 1 ) ( Z .- X ) = ( k .x. ( Y .- X ) ) ) ) $=
        ( vz co wcel cv wceq cc0 c1 cicc wrex wa ttgitvval syl3anc eleq2d oveq1
        crab eqeq1d rexbidv elrab bitrdi mpbirand ) ALJKGUCZUDZLBUDZLJHUCZDUEKJ
        HUCCUCZUFZDUGUHUIUCZUJZUAAVCLUBUEZJHUCZVFUFZDVHUJZUBBUPZUDVDVIUKAVBVNLA
        FIUDJBUDKBUDVBVNUFTRSUBBCDEFGHIJKMNOPQULUMUNVMVIUBLBVJLUFZVLVGDVHVOVKVE
        VFVJLJHUOUQURUSUTVA $.
    $}

    ttgbtwnid.r $e |- R = ( Base ` ( Scalar ` H ) ) $.
    ttgbtwnid.2 $e |- ( ph -> ( 0 [,] 1 ) C_ R ) $.
    ${
      $d k X $.  $d k Y $.  $d k ph $.
      ttgbtwnid.1 $e |- ( ph -> H e. CMod ) $.
      ttgbtwnid.y $e |- ( ph -> Y e. ( X I X ) ) $.
      $( Any subcomplex module equipped with the betweenness operation fulfills
         the identity of betweenness (Axiom A6).  (Contributed by Thierry
         Arnoux, 26-Mar-2019.) $)
      ttgbtwnid $p |- ( ph -> X = Y ) $=
        ( vk co cv wceq cc0 c1 cicc wcel wa c0g simpll simpr clmod cclm clmlmod
        cfv syl eqid lmodsubid syl2anc ad2antrr oveq2d wss simplr sseldd 3eqtrd
        csca lmodvs0 wb lmodsubeq0 syl3anc biimpa eqcomd ttgelitv mpbid r19.29a
        wrex ) AJIHUCZUBUDZIIHUCZDUCZUEZIJUEUBUFUGUHUCZAVTWDUIZUJZWCUJZJIWGAVSF
        UKUQZUEZJIUEZAWEWCULWGVSWBVTWHDUCZWHWFWCUMWGWAWHVTDAWAWHUEZWEWCAFUNUIZI
        BUIZWLAFUOUIWMTFUPURZPIHBFWHMWHUSZNUTVAVBVCWGWMVTCUIWKWHUEAWMWEWCWOVBWG
        WDCVTAWDCVDWEWCSVBAWEWCVEVFDFVHUQZCFVTWHWQUSORWPVIVAVGAWIWJAWMJBUIWNWIW
        JVJWOQPJIHBFWHMWPNVKVLVMVAVNAJIIGUCUIWCUBWDVRUAABDUBEFGHUOIIJKLMNOPPTQV
        OVPVQ $.
    $}

    ttgitvval.p $e |- .+ = ( +g ` H ) $.
    ${
      $d B k $.  $d K k $.  $d L k $.  $d M k $.  $d .x. k $.
      ttgcontlem1.h $e |- ( ph -> H e. CVec ) $.
      ttgcontlem1.a $e |- ( ph -> A e. P ) $.
      ttgcontlem1.n $e |- ( ph -> N e. P ) $.
      ttgcontlem1.o $e |- ( ph -> M =/= 0 ) $.
      ttgcontlem1.p $e |- ( ph -> K =/= 0 ) $.
      ttgcontlem1.q $e |- ( ph -> K =/= 1 ) $.
      ttgcontlem1.r $e |- ( ph -> L =/= M ) $.
      ttgcontlem1.s $e |- ( ph -> L <_ ( M / K ) ) $.
      ttgcontlem1.l $e |- ( ph -> L e. ( 0 [,] 1 ) ) $.
      ttgcontlem1.k $e |- ( ph -> K e. ( 0 [,] 1 ) ) $.
      ttgcontlem1.m $e |- ( ph -> M e. ( 0 [,] L ) ) $.
      ttgcontlem1.y $e |- ( ph -> ( X .- A ) = ( K .x. ( Y .- A ) ) ) $.
      ttgcontlem1.x $e |- ( ph -> ( X .- A ) = ( M .x. ( N .- A ) ) ) $.
      ttgcontlem1.b $e |- ( ph -> B = ( A .+ ( L .x. ( N .- A ) ) ) ) $.
      $( Lemma for % ttgcont .  (Contributed by Thierry Arnoux,
         24-May-2019.) $)
      ttgcontlem1 $p |- ( ph -> B e. ( X I Y ) ) $=
        ( vk co wcel cv wceq cc0 c1 cicc wrex cmul cmin cdiv cr unitssre sselid
        cle wbr remulcld wss 0re iccssre sseldd resubcld 1red recnd 1cnd subdid
        sylancr subcld necomd subne0d mulne0d eqnetrrd redivcld crp cxr iccgelb
        0xr rexrd mp3an2i ne0gt0d elrpd clt iccleub leneltd difrp syl2anc mpbid
        rpmulcld mpbird mulid1d breqtrrd mulcld ccvs wne eqid clmsubcl cvsdivcl
        cfv syl3anc syl13anc syl grpsubcl clmvsass oveq12d eqtrd oveq1d mulcomd
        wb oveq2d 3eqtr3d lmodsubdir grpnnncan2 3eqtr2rd cvsmuleqdivd cvsdiveqd
        clmsub 3eqtr4d eqeltrd eqeltrrd subge0d mulge0d subdird breqtrd divge0d
        lemuldivd lesub1dd ledivmuld elicc01 syl3anbrc cclm cvsclm iccss2 sstrd
        0elunit csca 1elunit a1i cgrp clmgrp divmuldivd csg clmod clmvs1 eqcomd
        clmlmod lmodvscl grpcl lmodabl ablpncan2 eqtr4d 3eqtr3rd oveq1 rspceeqv
        cabl ttgelitv ) ACPQJVCVDCPNVCZVBVEZQPNVCZGVCZVFVBVGVHVIVCZVJZALKVKVCZM
        KVKVCZVLVCZMVHVKVCZUWEVLVCZVMVCZUWBVDZUVRUWIUVTGVCZVFUWCAUWIVNVDVGUWIVQ
        VRUWIVHVQVRZUWJAUWFUWHAUWDUWEALKAUWBVNLVOUPVPZAUWBVNKVOUQVPZVSZAMKAVGLV
        IVCZVNMAVGVNVDLVNVDUWPVNVTWAUWMVGLWBWIURWCZUWNVSZWDZAUWGUWEAMVHUWQAWEZV
        SZUWRWDAMVHKVLVCZVKVCZUWHVGAMVHKAMUWQWFZAWGZAKUWNWFZWHZAMUXBUXDAVHKUXEU
        XFWJZUKAVHKUXEUXFAKVHUMWKZWLZWMWNWOAUWFUWHUWSAUXCUWHWPUXGAMUXBAMUWQAMUW
        QVGWQVDZALWQVDZMUWPVDZVGMVQVRWSALUWMWTZURVGLMWRXAUKXBXCAKVHXDVRZUXBWPVD
        ZAKVHUWNUWTUXKAVHWQVDZKUWBVDZKVHVQVRWSAVHUWTWTZUQVGVHKXEXAUXIXFAKVNVDVH
        VNVDUXOUXPYJUWNUWTKVHXGXHXIXJUUAZAVGLMVLVCZKVKVCZUWFVQAUYAKALMUWMUWQWDZ
        UWNAVGUYAVQVRMLVQVRZUXKAUXLUXMUYDWSUXNURVGLMXEXAALMUWMUWQUUBXKUXKAUXQUX
        RVGKVQVRWSUXSUQVGVHKWRXAZUUCALMKALUWMWFZUXDUXFUUDZUUEUUFAUWLUWFUWHVHVKV
        CZVQVRAUWFUWHUYHVQAUWDUWGUWEUWOUXAUWRAUWDMUWGVQAUWDMVQVRLMKVMVCVQVRUOAL
        MKUWMUWQAKUWNAKUWNUYEULXBXCUUGXKAMUXDXLXMUUHAUWHAUWGUWEAMVHUXDUXEXNAMKU
        XDUXFXNWJXLXMAUWFVHUWHUWSUWTUXTUUIXKUWIUUJUUKAUYAMVMVCZKUXBVMVCZVKVCZUV
        TGVCZUYIUYJUVTGVCZGVCZUWKUVRAIUULVDZUYIFVDZUYJFVDZUVTDVDZUYLUYNVFAIUHUU
        MZAIXOVDZUYAFVDZMFVDZMVGXPUYPUHAUYOLFVDZVUBVUAUYSAUWBFLUFUPWCZAUWPFMAUW
        PUWBFAVGUWBVDLUWBVDUWPUWBVTUUPUPVGVHVGLUUNWIUFUUOURWCZIUUQXTZFILMVUFXQZ
        UEXRYAZVUEUKUYAMVUFFIVUGUEXSYBAUYTKFVDZUXBFVDZUXBVGXPUYQUHAUWBFKUFUQWCZ
        AUYOVHFVDZVUIVUJUYSAUWBFVHUFVHUWBVDAUURUUSWCZVUKVUFFIVHKVUGUEXRYAZUXJKU
        XBVUFFIVUGUEXSYBAIUUTVDZQDVDZPDVDZUYRAUYOVUOUYSIUVAYCZUDUCDINQPTUAYDYAZ
        UYIUYJGVUFFDIUVTTVUGUBUEYEYBAUYKUWIUVTGAUYKUYBUXCVMVCUWIAUYAMKUXBAUYAUY
        CWFZUXDUXFUXHUKUXJUVBAUYBUWFUXCUWHVMUYGUXGYFYGYHAMUYAGVUFFDIUYMUVRTUBVU
        GUEUHVUEVUHAUYMPBNVCZDAUXBKGVUFFDIUVTVVATUBVUGUEUHVUNVUKVUSAVUOVUQBDVDZ
        VVADVDVURUCUIDINPBTUAYDYAZUXJULAKUXBGVUFFDIUVTVVATUBVUGUEUHVUKVUNVUSVVC
        ULAUXBVVAGVCUXBKQBNVCZGVCZGVCZKUXBVVDGVCZGVCZKUVTGVCAVVAVVEUXBGUSYKAKUX
        BVKVCZVVDGVCZUXBKVKVCZVVDGVCZVVHVVFAVVIVVKVVDGAKUXBUXFUXHYIYHAUYOVUIVUJ
        VVDDVDZVVJVVHVFUYSVUKVUNAVUOVUPVVBVVMVURUDUIDINQBTUAYDYAZKUXBGVUFFDIVVD
        TVUGUBUEYEYBAUYOVUJVUIVVMVVLVVFVFUYSVUNVUKVVNUXBKGVUFFDIVVDTVUGUBUEYEYB
        YLAVVGUVTKGAVVGVVDVVANVCZUVTAVHKVUFUVCXTZVCZVVDGVCVHVVDGVCZVVENVCVVGVVO
        AVHKVVPGVUFFNDIVVDTUBVUGUEUAVVPXQZAUYOIUVDVDZUYSIUVGYCZVUMVUKVVNYMAUXBV
        VQVVDGAUYOVULVUIUXBVVQVFUYSVUMVUKVHKVUFFIVUGUEYRYAYHAVVDVVRVVAVVENAVVRV
        VDAUYOVVMVVRVVDVFUYSVVNGDIVVDTUBUVEXHUVFUSYFYSAVUOVUPVUQVVBVVOUVTVFVURU
        DUCUIDINQPBTUAYNYBYGYKYOYPYQZVVCYTAVUOCDVDZVUQUVRDVDVURACBLOBNVCZGVCZEV
        CZDVAAVUOVVBVWEDVDZVWFDVDVURUIAVVTVUCVWDDVDZVWGVWAVUDAVUOODVDVVBVWHVURU
        JUIDINOBTUAYDYAZLGVUFFDIVWDTVUGUBUEUVHYAZDEIBVWETUGUVIYAYTZUCDINCPTUAYD
        YAZUKALMUYFUXDUNWLZAUYMVVAMUYAVMVCUVRGVCVWBAUYAMGVUFFDIUVRVVATUBVUGUEUH
        VUHVUEVWLVVCVWMUKAMUYAGVUFFDIUVRVVATUBVUGUEUHVUEVUHVWLVVCUKAUYAVVAGVCUY
        AMVWDGVCZGVCZMUYAVWDGVCZGVCZMUVRGVCAVVAVWNUYAGUTYKAMUYAVKVCZVWDGVCZUYAM
        VKVCZVWDGVCZVWQVWOAVWRVWTVWDGAMUYAUXDVUTYIYHAUYOVUBVUAVWHVWSVWQVFUYSVUE
        VUHVWIMUYAGVUFFDIVWDTVUGUBUEYEYBAUYOVUAVUBVWHVXAVWOVFUYSVUHVUEVWIUYAMGV
        UFFDIVWDTVUGUBUEYEYBYLAVWPUVRMGAVWPCBNVCZVVANVCZUVRALMVVPVCZVWDGVCVWEVW
        NNVCVWPVXCALMVVPGVUFFNDIVWDTUBVUGUEUAVVSVWAVUDVUEVWIYMAUYAVXDVWDGAUYOVU
        CVUBUYAVXDVFUYSVUDVUELMVUFFIVUGUEYRYAYHAVXBVWEVVAVWNNAVXBVWFBNVCZVWEACV
        WFBNVAYHAIUVPVDZVVBVWGVXEVWEVFAVVTVXFVWAIUVJYCUIVWJDEINBVWETUGUAUVKYAYG
        UTYFYSAVUOVWCVUQVVBVXCUVRVFVURVWKUCUIDINCPBTUAYNYBYGYKYOYPYQUVLYQUVMVBU
        WIUWBUWAUWKUVRUVSUWIUVTGUVNUVOXHADGVBHIJNXOPQCRSTUAUBUCUDUHVWKUVQXK $.
    $}

$(
    @{
      @d .+ b j k l x y @.  @d .- b i j k l m x y @.  @d .x. b i j k l m x y @.
      @d A b i j k l m n u v x y @.  @d H j k l x y @.  @d P b j k l n x y @.
      @d I b j k l m n u v x y @.  @d L b j k l x y @.
      @d S b i j k l m n u v x y @.  @d T b j l m n u v x y @.
      @d ph j l m n u v x y @.
      ttgcont.h @e |- ( ph -> H e. CVec ) @.
      ttgcont.1 @e |- ( ph -> S C_ P ) @.
      ttgcont.2 @e |- ( ph -> T C_ P ) @.
      ttgcont.3 @e |- ( ph -> A e. P ) @.
      ttgcont.4 @e |- ( ( ph /\ u e. S /\ v e. T ) -> u e. ( A I v ) ) @.
      ttgcont.5 @e |- L = sup ( { k e. ( 0 [,] 1 ) |
        E. m e. S ( m .- A ) = ( k .x. ( n .- A ) ) } , RR , < ) @.
      @( Any subcomplex module equipped with the betweenness operation fulfills
         the Axiom of Continuity (Axiom A11).  This proof indirectly refers to
         ~ sup3 , the completeness axiom for the real, which itself refers to
         ~ axsup which can be replaced by ~ dedekind , so this proof indeed
         relates to the continuity of the real line.  (Contributed by Thierry
         Arnoux, 16-May-2019.) @)
      ttgcont @p |- ( ph -> E. b e. P A. x e. S A. y e. T b e. ( x I y ) ) @=
        ( vj vl cv co wcel wral wrex c0 wceq adantr rzal adantl ralrimivw eleq1
        wa ralbidv rspcev syl2anc wne wtru adantlr cgrp cclm clmgrp syl clmlmod
        clmod cc0 c1 cicc wss ad2antrr crab clt csup 0red 1red ssrab2 a1i nfre1
        cr nfv nfcv nfrab simpr 3expb ralrimivva oveq2 eleq2d cbvral2v r19.21bi
        nfne sylib an32s sselda ttgelitv rspe rexcom sylibr reximdva0 r19.29af2
        mpbid rabn0 trud supicc sseldd syl3anc ad4antr cle wbr unitssre sselid
        cxr rexrd jca oveq1 syl21anc r19.29a pm2.61dane eqeltrid grpsubcl grpcl
        csca cfv eqid lmodvscl simprl simprr ad6antr simpl ne0i simp-4r iccgelb
        simplr 1re eqeq1d eqeq2d rexbidv supiccub breqtrrdi w3a elicc2 syl23anc
        elrab biimpar simpllr eqidd ttgcontlem1 simpld simprd ) AUDVDZBVDZCVDZR
        VEZVFZCKVGZBJVGZUDGVHZKVIAKVIVJZVPZFGVFZFUVOVFZCKVGZBJVGZUVSAUWBUVTUSVK
        UWAUWDBJUVTUWDAUWCCKVLVMVNUVRUWEUDFGUVLFVJZUVQUWDBJUWFUVPUWCCKUVLFUVOVO
        VQVQVRZVSAKVIVTZVPZWAUVSOKUWIOVDZKVFZVPUVSWAAUWKUVSUWHAUWKVPZUVSJVIAJVI
        VJZUVSUWKAUWMVPUWBUWEUVSAUWBUWMUSVKUWMUWEAUWDBJVLVMUWGVSWBUWLJVIVTZVPZF
        SUWJFTVEZLVEZHVEZGVFZUWRUVOVFZCKVGZBJVGZUVSUWOQWCVFZUWBUWQGVFZUWSUWLUXC
        UWNUWLQWDVFZUXCAUXEUWKUNVKZQWEWFVKZUWLUWBUWNAUWBUWKUSVKZVKZUWOQWHVFZSIV
        FUWPGVFZUXDUWLUXJUWNUWLUXEUXJUXFQWGWFZVKUWOWIWJWKVEZISAUXMIWLZUWKUWNUOW
        MUWOSNVDZFTVEZMVDZUWPLVEZVJZNJVHZMUXMWNZXBWOWPZUXMVAUWOUYAWIWJUWOWQZUWO
        WRUYAUXMWLZUWOUXTMUXMWSZWTUWOWAUYAVIVTZNJUWONXCNUYAVIUXTNMUXMUXSNJXANUX
        MXDXENVIXDXMUWOUXOJVFZVPUYFWAUWLUYGUYFUWNUWLUYGVPZUXTMUXMVHZUYFUYHUXSMU
        XMVHZNJVHZUYIUYHUYGUYJUYKUWLUYGXFUYHUXOFUWJRVEZVFZUYJAUYGUWKUYMAUYGVPUY
        MOKAUYMOKVGZNJAEVDZFDVDZRVEZVFZDKVGEJVGZUYNNJVGAUYREDJKAUYOJVFUYPKVFUYR
        UTXGXHZUYRUYMUXOUYQVFEDNOJKUYOUXOUYQVOUYPUWJVJZUYQUYLUXOUYPUWJFRXIZXJXK
        XNXLXLXOUYHGLMPQRTWHFUWJUXOUEUFUGUHUIUWLUXJUYGUXLVKUWLUWBUYGUXHVKUWLUWJ
        GVFZUYGAKGUWJURXPZVKUWLJGUXOAJGWLZUWKUQVKZXPXQYCUYJNJXRVSUXSMNUXMJXSXTU
        XTMUXMYDXTWBVKUWLWANJUYHYEYAYBZYFUUAZYGUWOUXCVUCUWBUXKUXGUWLVUCUWNVUDVK
        UXIGQTUWJFUGUHUUBYHSLQUUDUUEZIGQUWPUGVUIUUFUIUMUUGYHGHQFUWQUGUPUUCYHUWL
        UXBUWNUWLUWTBCJKUWLUVMJVFZUVNKVFZVPZVPZUVMFTVEZVBVDZUVNFTVELVEVJZUWTVBU
        XMVUMVUOUXMVFZVPZVUPVPZVUNVCVDZUWPLVEZVJZUWTVCUXMVUSVUTUXMVFZVPZVVBVPZF
        UWRGHILPQRVUOSVUTTUWJWDUVMUVNUEUFUGUHUIVUMUXEVUQVUPVVCVVBUWLUXEVULUXFVK
        ZYIZVUMUVMGVFVUQVUPVVCVVBVUMJGUVMUWLVUEVULVUFVKUWLVUJVUKUUHZYGZYIVUMUVN
        GVFVUQVUPVVCVVBVUMKGUVNAKGWLUWKVULURWMUWLVUJVUKUUIZYGZYIUMVVGAUXNUWKVUL
        VUQVUPVVCVVBUOUUJUPVVEUWLUWBVUMUWLVUQVUPVVCVVBUWLVULUUKZYIZUXHWFVUMVUCV
        UQVUPVVCVVBVUMUWLVUCVVLVUDWFZYIVVEUWLUWNSUXMVFVVMVUMUWNVUQVUPVVCVVBVUMV
        UJUWNVVHJUVMUULWFYIZVUHVSZVUMVUQVUPVVCVVBUUMVVEWIXBVFZSXBVFZVUTXBVFZWIV
        UTYJYKZVUTSYJYKZVUTWISWKVEVFZVVEUWLUWNVVQVVMVVOUYCVSZVVEUXMXBSYLVVPYMVV
        EUXMXBVUTYLVUSVVCVVBUUOZYMVVEWIYNVFWJYNVFVVCVVTVVEWIVWCYOVVEWJWJXBVFVVE
        UUPWTZYOVWDWIWJVUTUUNYHVVEVUTUYBSYJVVEUYAWIWJVUTVWCVWEUYDVVEUYEWTVVEUWL
        UWNUYFVVMVVOVUGVSVVEVVCUXPVVAVJZNJVHZVPVUTUYAVFVVEVVCVWGVWDVVEVUJVVBVPV
        WGVVEVUJVVBVUMVUJVUQVUPVVCVVBVVHYIVVDVVBXFZYPVWFVVBNUVMJUXOUVMVJUXPVUNV
        VAUXOUVMFTYQUUQVRWFYPUXTVWGMVUTUXMUXQVUTVJZUXSVWFNJVWIUXRVVAUXPUXQVUTUW
        PLYQUURUUSUVEXTUUTVAUVAVVQVVRVPVWBVVSVVTVWAUVBWISVUTUVCUVFUVDVURVUPVVCV
        VBUVGVWHVVEUWRUVHUVIVUMVVBVCUXMVHZVUQVUPVUMUVMUYLVFZVWJVUMAVUJUWKVWKVUM
        AUWKVVLUVJZVVHVUMAUWKVVLUVKAVUJVPZVWKOKAVWKOKVGZBJAUYSVWNBJVGUYTUYRVWKU
        VMUYQVFZEDBOJKUYOUVMUYQVOZVUAUYQUYLUVMVUBXJXKXNXLXLYRVUMGLVCPQRTWDFUWJU
        VMUEUFUGUHUIVVFVUMUWLUWBVVLUXHWFZVVNVVIXQYCWMYSVUMUVMFUVNRVEZVFZVUPVBUX
        MVHVUMAVUJVUKVWSVWLVVHVVJVWMVWSCKAVWSCKVGZBJAUYSVWTBJVGUYTUYRVWSVWOEDBC
        JKVWPUYPUVNVJUYQVWRUVMUYPUVNFRXIXJXKXNXLXLYRVUMGLVBPQRTWDFUVNUVMUEUFUGU
        HUIVVFVWQVVKVVIXQYCYSXHVKUVRUXBUDUWRGUVLUWRVJZUVQUXABJVXAUVPUWTCKUVLUWR
        UVOVOVQVQVRVSYTWBVKAWAOKUWLYEYAYSYT @.
    @}

    ttgelitv2.r @e |- R = ( Base ` ( Scalar ` H ) ) @.
    ttgelitv2.1 @e |- ( ph -> H e. CMod ) @.
    ttgelitv2.2 @e |- ( ph -> ( 0 [,] 1 ) C_ R ) @.
    ttgelitv2.3 @e |- ( ph -> 1 = ( 1r ` ( Scalar ` H ) ) ) @.
    @{
      ttgelitv2.z @e |- ( ph -> Z e. P ) @.
      @( Betweenness for a subcomplex Hilbert space augmented with betweenness.
         (Contributed by Thierry Arnoux, 25-Mar-2019.) @)
      ttgelitv2 @p |- ( ph -> ( Z e. ( X I Y )
        <-> E. k e. ( 0 [,] 1 ) ( Y .- Z ) = ( k .x. ( Y .- X ) ) ) ) @=
        ? @.
    @}

    @{
      ttgpasch.3 @e |- ( ph -> Z e. P ) @.
      ttgpasch.4 @e |- ( ph -> U e. P ) @.
      ttgpasch.5 @e |- ( ph -> V e. P ) @.
      ttgpasch.6 @e |- ( ph -> U e. ( X I Z ) ) @.
      ttgpasch.7 @e |- ( ph -> V e. ( Y I Z ) ) @.
      ttgpasch.8 @e |- E = ( ( k - ( k x. l ) ) / ( 1 - ( k x. l ) ) ) @.
      ttgpasch.9 @e |- F = ( ( l - ( k x. l ) ) / ( 1 - ( k x. l ) ) ) @.
      @( Any subcomplex vector space equipped with the betweenness operation
         fulfills the axiom of Pasch, Axiom A7 of [Schwabhauser] p. 12.
         (Contributed by Thierry Arnoux, 26-Mar-2019.) @)
      ttgpasch @p |- ( ph
        -> E. a e. P ( a e. ( U I Y ) /\ a e. ( V I X ) ) ) @=
        ? @.
    @}

    @{
      ttgsegcon.1 @e |- ( ph -> X e. P ) @.
      ttgsegcon.2 @e |- ( ph -> Y e. P ) @.
      ttgsegcon.3 @e |- ( ph -> A e. P ) @.
      ttgsegcon.4 @e |- ( ph -> B e. P ) @.
      @( Any subcomplex module equipped with the betweenness operation fulfills
         the axiom of segment construction, Axiom A4 of [Schwabhauser] p. 11.
         (Contributed by Thierry Arnoux, 26-Mar-2019.) @)
      ttgsegcon @p |- ( ph
        -> E. z e. P ( Y e. ( X I z ) /\ ( Y .- z ) = ( A .- B ) ) ) @=
        ? @.
    @}
  $)
  $}

  ${
    $d x y z G $.
    $( Any metric space fulfills Tarski's geometry axioms of congruence.
       (Contributed by Thierry Arnoux, 13-Mar-2019.) $)
    xmstrkgc $p |- ( G e. *MetSp -> G e. TarskiGC ) $=
      ( vx vy vz cxms wcel cvv cv cds cfv co wceq cbs wral wi wa w3a cc0 xmseq0
      eqid cstrkgc xmssym 3expb ralrimivva simpl simpr3 equid mpbiri syl3anc wb
      elex eqeq2d 3adant3r3 bitrd biimpd ralrimivvva jca citv istrkgc sylanbrc
      ) AEFZAGFBHZCHZAIJZKZVCVBVDKLZCAMJZNBVGNZVEDHZVIVDKZLZVBVCLZOZDVGNCVGNBVG
      NZPAUAFAEUKVAVHVNVAVFBCVGVGVAVBVGFZVCVGFZVFVBVCVDAVGVGTZVDTZUBUCUDVAVMBCD
      VGVGVGVAVOVPVIVGFZQZPZVKVLWAVKVERLZVLWAVJRVEWAVAVSVSVJRLZVAVTUEVAVOVPVSUF
      ZWDVAVSVSQWCVIVILDUGVIVIVDAVGVQVRSUHUIULVAVOVPWBVLUJVSVBVCVDAVGVQVRSUMUNU
      OUPUQBCDVGAAURJZVDVQVRWETUSUT $.
  $}

$(
  @{
    cmodtrkgb.g @e |- G = ( toTG ` W ) @.
    cmodtrkgb.f @e |- R = ( Base ` ( Scalar ` H ) ) @.
    @( Any subcomplex vector space equipped with the betweenness operation
       fulfills Tarski's geometry axioms for betweenness. @)
    cmodtrkgb @p |- ( ( W e. CVec /\ ( 0 [,] 1 ) C_ R ) -> G e. TarskiGB ) @=
      ? @.
  @}
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Geometry in the complex plane
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$(
  @{
    @d x y B @.  @d x y K @.  @d x y L @.  @d x y ph @.
    nlmpropd.1 @e |- ( ph -> B = ( Base ` K ) ) @.
    nlmpropd.2 @e |- ( ph -> B = ( Base ` L ) ) @.
    nlmpropd.3 @e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) @.
    nlmpropd.4 @e |- ( ph -> F = ( Scalar ` K ) ) @.
    nlmpropd.5 @e |- ( ph -> F = ( Scalar ` L ) ) @.
    nlmpropd.6 @e |- P = ( Base ` F ) @.
    nlmpropd.7 @e |- ( ( ph /\ ( x e. P /\ y e. B ) ) ->
      ( x ( .s ` K ) y ) = ( x ( .s ` L ) y ) ) @.
    nlmpropd.8 @e |- ( ph ->
      ( ( dist ` K ) |` ( B X. B ) ) = ( ( dist ` L ) |` ( B X. B ) ) ) @.
    nlmpropd.9 @e |- ( ph -> ( TopOpen ` K ) = ( TopOpen ` L ) ) @.
    @( Property deduction for a normed group.  (Contributed by Mario Carneiro,
       4-Oct-2015.) @)
    nlmpropd @p |- ( ph -> ( K e. NrmMod <-> L e. NrmMod ) ) @=
      ? @.
  @}
$)

  ${
    cchhl.c $e |- C = ( ( ( subringAlg ` CCfld ) ` RR ) sSet <. ( .i ` ndx ) ,
      ( x e. CC , y e. CC |-> ( x x. ( * ` y ) ) ) >. ) $.
    ${
      $d x y $.
      cchhllem.1 $e |- E = Slot ( E ` ndx ) $.
      cchhllem.2 $e |- ( Scalar ` ndx ) =/= ( E ` ndx ) $.
      cchhllem.3 $e |- ( .s ` ndx ) =/= ( E ` ndx ) $.
      cchhllem.4 $e |- ( .i ` ndx ) =/= ( E ` ndx ) $.
      $( Lemma for chlbas and chlvsca .  (Contributed by Thierry Arnoux,
         15-Apr-2019.)  (Revised by AV, 29-Oct-2024.) $)
      cchhllem $p |- ( E ` CCfld ) = ( E ` C ) $=
        ( cr ccnfld csra cfv cnx cip cc cv ccj co wtru cmul cmpo necomi setsnid
        cop csts wceq eqidd cbs wss ax-resscn cnfldbas sseqtri a1i sralem mptru
        fveq2i 3eqtr4i ) JKLMMZDMZUSNOMZABPPAQBQRMUASUBZUEUFSZDMKDMZCDMVBVADUSF
        VANDMIUCUDVDUTUGTUSJDKTUSUHJKUIMZUJTJPVEUKULUMUNFGHIUOUPCVCDEUQUR $.
    $}

    ${
      $d x y $.
      cchhllemOLD.2 $e |- E = Slot N $.
      cchhllemOLD.3 $e |- N e. NN $.
      cchhllemOLD.4 $e |- ( N < 5 \/ 8 < N ) $.
      $( Obsolete version of ~ cchhllem as of 29-Oct-2024.  Lemma for chlbas
         and chlvsca .  (Contributed by Thierry Arnoux, 15-Apr-2019.)
         (Proof modification is discouraged.)  (New usage is discouraged.) $)
      cchhllemOLD $p |- ( E ` CCfld ) = ( E ` C ) $=
        ( cr ccnfld cfv cc wne c8 c5 clt wbr 8re wtru csra cnx cip cv cmul cmpo
        ccj co cop csts ndxid 5lt8 nnrei 5re lttri mpan2 ltnei syl necomd ax-mp
        wo jaoi ndxarg ipndx neeq12i mpbir setsnid wceq eqidd cbs wss ax-resscn
        cnfldbas sseqtri a1i sralemOLD mptru fveq2i 3eqtr4i ) JKUALLZDLZVTUBUCL
        ZABMMAUDBUDUGLUEUHUFZUIUJUHZDLKDLZCDLWCWBDVTDEGHUKUBDLZWBNEONZEPQRZOEQR
        ZVAWGIWHWGWIWHOEWHEOQRZOENWHPOQRWJULEPOEHUMZUNSUOUPEOWKSUQURUSOESWKUQVB
        UTWFEWBODEGHVCVDVEVFVGWEWAVHTVTJDEKTVTVIJKVJLZVKTJMWLVLVMVNVOGHIVPVQCWD
        DFVRVS $.
    $}

$(
    @( The base of the complex plane equipped with an inner product @)
    cchhlbas @p |- CC = ( Base ` C ) @=
      ? @.

    @( The scalar field of the complex plane equipped with an inner product @)
    cchhlsca @p |- ( CCfld |`s RR ) = ( Scalar ` C ) @=
      ? @.

    @( The scalar field of the complex plane equipped with an inner product @)
    cchhlds @p |- ( CCfld |`s RR ) = ( Scalar ` C ) @=
      ? @.

    @( Define the complex plane as a Hilbert space.  This is done by taking the
       field of complex numbers seen as a subring algebra over the real numbers
       ` RR ` , and augmenting it with the canonical inner product operation.
       (Contributed by Thierry Arnoux, 24-Mar-2019.) @)
    cchhl @p |- C e. CHil @=
      ? @.

    ccg.e @p |- G = ( toTG ` C ) @.

    @( The geometry structure for ` CC ` is a Tarski geometry @)
    ccgtrkg @p |- G e. TarskiG @=
      ? @.

    @( The geometry structure for ` CC ` is Euclidean @)
    ccgtrkge @p |- G e. TarskiGE @=
      ? @.

    @( The geometry structure for ` CC ` is a geometry of dimension 2 @)
    ccg2dg @p |- G e. TarskiG2D @=
      ? @.
$)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Geometry in Euclidean spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Definition of the Euclidean space
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c EE Btwn Cgr $.

  $( Declare the syntax for the Euclidean space generator. $)
  cee $a class EE $.

  $( Declare the syntax for the Euclidean betweenness predicate. $)
  cbtwn $a class Btwn $.

  $( Declare the syntax for the Euclidean congruence predicate. $)
  ccgr $a class Cgr $.

  $( Define the Euclidean space generator.  For details, see ~ elee .
     (Contributed by Scott Fenton, 3-Jun-2013.) $)
  df-ee $a |- EE = ( n e. NN |-> ( RR ^m ( 1 ... n ) ) ) $.

  ${
    $d n x y z t i $.
    $( Define the Euclidean betweenness predicate.  For details, see ~ brbtwn .
       (Contributed by Scott Fenton, 3-Jun-2013.) $)
    df-btwn $a |- Btwn =
      `' { <. <. x , z >. , y >. |
         E. n e. NN (
           ( x e. ( EE ` n ) /\ z e. ( EE ` n ) /\ y e. ( EE ` n ) ) /\
           E. t e. ( 0 [,] 1 ) A. i e. ( 1 ... n )
             ( y ` i ) = ( ( ( 1 - t ) x. ( x ` i ) ) + ( t x. ( z ` i ) ) ) )
         } $.
  $}

  ${
    $d n x y i $.
    $( Define the Euclidean congruence predicate.  For details, see ~ brcgr .
       (Contributed by Scott Fenton, 3-Jun-2013.) $)
    df-cgr $a |- Cgr =
       { <. x , y >. |
         E. n e. NN
           ( ( x e. ( ( EE ` n ) X. ( EE ` n ) ) /\
             y e. ( ( EE ` n ) X. ( EE ` n ) ) ) /\
           sum_ i e. ( 1 ... n )
             ( ( ( ( 1st ` x ) ` i ) - ( ( 2nd ` x ) ` i ) ) ^ 2 ) =
           sum_ i e. ( 1 ... n )
             ( ( ( ( 1st ` y ) ` i ) - ( ( 2nd ` y ) ` i ) ) ^ 2 ) ) } $.
  $}

  ${
    $d N n $.
    $( Membership in a Euclidean space.  We define Euclidean space here using
       Cartesian coordinates over ` N ` space.  We later abstract away from
       this using Tarski's geometry axioms, so this exact definition is
       unimportant.  (Contributed by Scott Fenton, 3-Jun-2013.) $)
    elee $p |- ( N e. NN -> ( A e. ( EE ` N ) <-> A : ( 1 ... N ) --> RR ) ) $=
      ( vn cn wcel cee cfv cr c1 cfz co cmap wf cv wceq oveq2 oveq2d df-ee ovex
      fvmpt eleq2d reex elmap bitrdi ) BDEZABFGZEAHIBJKZLKZEUGHAMUEUFUHACBHICNZ
      JKZLKUHDFUIBOUJUGHLUIBIJPQCRHUGLSTUAHUGAUBIBJSUCUD $.
  $}

  ${
    $d N a k $.  $d A a $.  $d B a $.  $d F a $.
    $( A condition for a mapping to be an element of a Euclidean space.
       (Contributed by Scott Fenton, 7-Jun-2013.) $)
    mptelee $p |- ( N e. NN ->
      ( ( k e. ( 1 ... N ) |-> ( A F B ) ) e. ( EE ` N ) <->
        A. k e. ( 1 ... N ) ( A F B ) e. RR ) ) $=
      ( va cn wcel c1 cfz co cr wral wss cv wi wal rsp sylbir bitri cmpt cee wf
      cfv elee crn wfn ovex eqid fnmpti df-f mpbiran wceq wrex cab rnmpt sseq1i
      abss nfre1 nfv nfim nfal r19.23v albii ralcom4 clel2 syl6ibr nfra1 eleq1a
      ralrimi syl6 rexlimd alrimiv impbii bitrdi ) EGHCIEJKZABDKZUAZEUBUDHVPLVR
      UCZVQLHZCVPMZVREUEVSVRUFZLNZWAVSVRVPUGWCCVPVQVRABDUHZVRUIZUJVPLVRUKULWCFO
      ZVQUMZCVPUNZFUOZLNZWAWBWILCFVPVQVRWEUPUQWJWHWFLHZPZFQZWAWHFLURWMWAWMVTCVP
      WLCFWHWKCWGCVPUSWKCUTZVAVBWMWGWKPZCVPMZFQZCOVPHZVTPZWPWLFWGWKCVPVCVDWQWOF
      QZCVPMZWSWOCFVPVEXAWRWTVTWTCVPRFVQLWDVFVGSSVJWAWLFWAWGWKCVPVTCVPVHWNWAWRV
      TWOVTCVPRVQLWFVIVKVLVMVNTTTVO $.
  $}

  $( If ` A ` is in ` ( EE `` N ) ` , then ` N ` is a natural.  (Contributed by
     Scott Fenton, 1-Jul-2013.) $)
  eleenn $p |- ( A e. ( EE ` N ) -> N e. NN ) $=
    ( vn cn cr c1 cv cfz co cmap cee df-ee mptrcl ) CDEFCGHIJIKABCLM $.

  $( The forward direction of ~ elee .  (Contributed by Scott Fenton,
     1-Jul-2013.) $)
  eleei $p |- ( A e. ( EE ` N ) -> A : ( 1 ... N ) --> RR ) $=
    ( cee cfv wcel c1 cfz co cr wf cn wb eleenn elee syl ibi ) ABCDEZFBGHIAJZQB
    KEQRLABMABNOP $.

  $( A point belongs to at most one Euclidean space.  (Contributed by Scott
     Fenton, 1-Jul-2013.) $)
  eedimeq $p |- ( ( A e. ( EE ` N ) /\ A e. ( EE ` M ) ) -> N = M ) $=
    ( cee cfv wcel wa c1 wceq cfz co cr wf eleei cdm fdm sylan9req syl2an cuz
    wb cn eleenn nnuz eleqtrdi adantr fzopth syl mpbid simprd ) ACDEFZABDEFZGZH
    HIZCBIZULHCJKZHBJKZIZUMUNGZUJUOLAMZUPLAMZUQUKACNABNUSUTUOAOUPUOLAPUPLAPQRUL
    CHSEZFZUQURTUJVBUKUJCUAVAACUBUCUDUEHBHCUFUGUHUI $.

  ${
    $d N x y z i t n $.  $d A x y z i t n $.  $d B x y z i t n $.
    $d C x y z i t n $.
    $( The binary relation form of the betweenness predicate.  The statement
       ` A Btwn <. B , C >. ` should be informally read as " ` A ` lies on a
       line segment between ` B ` and ` C ` .  This exact definition is
       abstracted away by Tarski's geometry axioms later on.  (Contributed by
       Scott Fenton, 3-Jun-2013.) $)
    brbtwn $p |- (
      ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ->
      ( A Btwn <. B , C >. <->
        E. t e. ( 0 [,] 1 ) A. i e. ( 1 ... N )
           ( A ` i ) =
           ( ( ( 1 - t ) x. ( B ` i ) ) + ( t x. ( C ` i ) ) ) ) ) $=
      ( vn cv cfv wcel w3a c1 co cmul caddc wceq wral wrex wa cn vy vz vx cbtwn
      cop wbr cee cmin cfz cc0 cicc coprab ccnv df-btwn breqi wb cvv opex mpan2
      brcnvg 3ad2ant1 df-br eleq1 3anbi1d fveq1 oveq2d oveq1d eqeq2d rexralbidv
      anbi12d rexbidv 3anbi2d 3anbi3d eqeq1d eloprabg simp1 eedimeq syl2anr syl
      oveq2 raleqdv biimpd rexlimdvw eleenn fveq2 eleq2d 3anbi123d rspcev exp32
      expimpd wi mpcom impbid bitrd 3comr syl5bb ) BCDUEZUDUFBWQUAHZGHZUGIZJZUB
      HZWTJZUCHZWTJZKZEHZXDIZLAHZUHMZXGWRIZNMZXIXGXBIZNMZOMZPZELWSUIMZQAUJLUKMZ
      RZSZGTRZUAUBUCULZUMZUFZBFUGIZJZCYEJZDYEJZKZXGBIZXJXGCIZNMZXIXGDIZNMZOMZPZ
      ELFUIMZQZAXRRZBWQUDYCUAUCUBAEGUNUOYIYDWQBYBUFZYSYFYGYDYTUPZYHYFWQUQJUUACD
      URBWQYEUQYBUTUSVAYTWQBUEYBJZYIYSWQBYBVBYGYHYFUUBYSUPYGYHYFKZUUBCWTJZDWTJZ
      BWTJZKZYPEXQQZAXRRZSZGTRZYSYAUUDXCXEKZXHYLXNOMZPZEXQQAXRRZSZGTRUUDUUEXEKZ
      XHYOPZEXQQAXRRZSZGTRUUKUAUBUCCDBYEYEYEWRCPZXTUUPGTUVAXFUULXSUUOUVAXAUUDXC
      XEWRCWTVCVDUVAXPUUNAEXRXQUVAXOUUMXHUVAXLYLXNOUVAXKYKXJNXGWRCVEVFVGVHVIVJV
      KXBDPZUUPUUTGTUVBUULUUQUUOUUSUVBXCUUEUUDXEXBDWTVCVLUVBUUNUURAEXRXQUVBUUMY
      OXHUVBXNYNYLOUVBXMYMXINXGXBDVEVFVFVHVIVJVKXDBPZUUTUUJGTUVCUUQUUGUUSUUIUVC
      XEUUFUUDUUEXDBWTVCVMUVCUURYPAEXRXQUVCXHYJYOXGXDBVEVNVIVJVKVOUUCUUKYSUUCUU
      JYSGTUUCUUGUUIYSUUCUUGSZUUIYSUVDWSFPZUUIYSUPUUGUUDYGUVEUUCUUDUUEUUFVPYGYH
      YFVPCFWSVQVRUVEUUHYRAXRUVEYPEXQYQWSFLUIVTWAVKZVSWBWJWCFTJZUUCYSUUKWKYGYHU
      VGYFCFWDVAUVGUUCYSUUKUUJUUCYSSGFTUVEUUGUUCUUIYSUVEUUDYGUUEYHUUFYFUVEWTYEC
      WSFUGWEZWFUVEWTYEDUVHWFUVEWTYEBUVHWFWGUVFVJWHWIWLWMWNWOWPWNWP $.
  $}

  ${
    $d N n i x y $.  $d A n i x y $.  $d B n i x y $.  $d C n i x y $.
    $d D n i x y $.
    $( The binary relation form of the congruence predicate.  The statement
       ` <. A , B >. Cgr <. C , D >. ` should be read informally as "the ` N `
       dimensional point ` A ` is as far from ` B ` as ` C ` is from ` D ` , or
       "the line segment ` A B ` is congruent to the line segment ` C D ` .
       This particular definition is encapsulated by Tarski's axioms later on.
       (Contributed by Scott Fenton, 3-Jun-2013.) $)
    brcgr $p |- ( ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
                    ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
      ( <. A , B >. Cgr <. C , D >. <->
        sum_ i e. ( 1 ... N ) ( ( ( A ` i ) - ( B ` i ) ) ^ 2 ) =
        sum_ i e. ( 1 ... N ) ( ( ( C ` i ) - ( D ` i ) ) ^ 2 ) ) ) $=
      ( vn cfv wcel wa co c1st c2nd cmin c2 cexp csu wceq cn fveq1d vx cop ccgr
      vy wbr cv cee cxp c1 cfz wrex eleq1 anbi1d fveq2 oveq12d oveq1d sumeq2sdv
      opex eqeq1d anbi12d rexbidv anbi2d eqeq2d df-cgr brab wb opelxp2 ad2antll
      simplrr eedimeq syl2anc adantlr oveq2 sumeq1d syl op1stg op2ndg eqeqan12d
      eqeq12d ad2antrr bitrd biimpd expimpd rexlimdva wi eleenn opelxpi anim12i
      adantr biimpar jca sqxpeqd eleq2d rspcev sylan2 exp32 mpcom impbid syl5bb
      ) ABUBZCDUBZUCUEWTGUFZUGHZXCUHZIZXAXDIZJZUIXBUJKZEUFZWTLHZHZXIWTMHZHZNKZO
      PKZEQZXHXIXALHZHZXIXAMHZHZNKZOPKZEQZRZJZGSUKZAFUGHZIBYGIJZCYGIZDYGIZJZJZU
      IFUJKZXIAHZXIBHZNKZOPKZEQZYMXICHZXIDHZNKZOPKZEQZRZUAUFZXDIZUDUFZXDIZJZXHX
      IUUELHZHZXIUUEMHZHZNKZOPKZEQZXHXIUUGLHZHZXIUUGMHZHZNKZOPKZEQZRZJZGSUKXEUU
      HJZXPUVCRZJZGSUKYFUAUDWTXAUCABURCDURUUEWTRZUVEUVHGSUVIUUIUVFUVDUVGUVIUUFX
      EUUHUUEWTXDULUMUVIUUPXPUVCUVIXHUUOXOEUVIUUNXNOPUVIUUKXKUUMXMNUVIXIUUJXJUU
      EWTLUNTUVIXIUULXLUUEWTMUNTUOUPUQUSUTVAUUGXARZUVHYEGSUVJUVFXGUVGYDUVJUUHXF
      XEUUGXAXDULVBUVJUVCYCXPUVJXHUVBYBEUVJUVAYAOPUVJUURXRUUTXTNUVJXIUUQXQUUGXA
      LUNTUVJXIUUSXSUUGXAMUNTUOUPUQVCUTVAUAUDEGVDVEYLYFUUDYLYEUUDGSYLXBSIZJZXGY
      DUUDUVLXGJZYDUUDUVMYDYMXOEQZYMYBEQZRZUUDUVMXBFRZYDUVPVFYLXGUVQUVKYLXGJDXC
      IZYJUVQXFUVRYLXECDXCXCVGVHYHYIYJXGVIDFXBVJVKVLUVQXPUVNYCUVOUVQXHYMXOEXBFU
      IUJVMZVNUVQXHYMYBEUVSVNVSZVOYLUVPUUDVFUVKXGYHYKUVNYRUVOUUCYHYMXOYQEYHXNYP
      OPYHXKYNXMYONYHXIXJAABYGYGVPTYHXIXLBABYGYGVQTUOUPUQYKYMYBUUBEYKYAUUAOPYKX
      RYSXTYTNYKXIXQCCDYGYGVPTYKXIXSDCDYGYGVQTUOUPUQVRZVTWAWBWCWDFSIZYLUUDYFWEY
      JUWBYHYIDFWFVHUWBYLUUDYFYLUUDJZUWBWTYGYGUHZIZXAUWDIZJZUVPJZYFUWCUWGUVPYLU
      WGUUDYHUWEYKUWFABYGYGWGCDYGYGWGWHWIYLUVPUUDUWAWJWKYEUWHGFSUVQXGUWGYDUVPUV
      QXEUWEXFUWFUVQXDUWDWTUVQXCYGXBFUGUNWLZWMUVQXDUWDXAUWIWMUTUVTUTWNWOWPWQWRW
      S $.
  $}

  $( The function value of a point is a real.  (Contributed by Scott Fenton,
     10-Jun-2013.) $)
  fveere $p |- ( ( A e. ( EE ` N ) /\ I e. ( 1 ... N ) ) ->
         ( A ` I ) e. RR ) $=
    ( cee cfv wcel c1 cfz co cr eleei ffvelrnda ) ACDEFGCHIJBAACKL $.

  $( The function value of a point is a complex.  (Contributed by Scott Fenton,
     10-Jun-2013.) $)
  fveecn $p |- ( ( A e. ( EE ` N ) /\ I e. ( 1 ... N ) ) ->
         ( A ` I ) e. CC ) $=
    ( cee cfv wcel c1 cfz co wa fveere recnd ) ACDEFBGCHIFJBAEABCKL $.

  ${
    $d A i $.  $d B i $.  $d N i $.
    $( Two points are equal iff they agree in all dimensions.  (Contributed by
       Scott Fenton, 10-Jun-2013.) $)
    eqeefv $p |- ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
       ( A = B <-> A. i e. ( 1 ... N ) ( A ` i ) = ( B ` i ) ) ) $=
      ( cee cfv wcel c1 cfz co wfn wceq cv wral wb cr eleei ffnd eqfnfv syl2an
      ) ADEFZGZAHDIJZKBUCKABLCMZAFUDBFLCUCNOBUAGZUBUCPAADQRUEUCPBBDQRCUCABST $.
  $}

  ${
    $d N i $.  $d A i $.  $d B i $.
    $( Two points are equal iff the square of the distance between them is
       zero.  (Contributed by Scott Fenton, 10-Jun-2013.)  (Revised by Mario
       Carneiro, 22-May-2014.) $)
    eqeelen $p |- ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
        ( A = B <->
          sum_ i e. ( 1 ... N ) ( ( ( A ` i ) - ( B ` i ) ) ^ 2 ) = 0 ) ) $=
      ( cee cfv wcel wa cv cmin co c2 cexp cc0 wceq c1 wral cr fveere recnd cfz
      csu cc adantlr adantll resubcld sqeq0 syl subeq0ad bitrd ralbidva resqcld
      wb fzfid sqge0d fsum00 eqeefv 3bitr4rd ) ADEFZGZBUSGZHZCIZAFZVCBFZJKZLMKZ
      NOZCPDUAKZQVDVEOZCVIQVIVGCUBNOABOVBVHVJCVIVBVCVIGZHZVHVFNOZVJVLVFUCGVHVMU
      MVLVFVLVDVEUTVKVDRGVAAVCDSUDZVAVKVERGUTBVCDSUEZUFZTVFUGUHVLVDVEVLVDVNTVLV
      EVOTUIUJUKVBVIVGCVBPDUNVLVFVPULVLVFVPUOUPABCDUQUR $.
  $}

  ${
    $d N i j k p t $.  $d A i j k p t $.  $d B i j k p t $.  $d C i j k p t $.
    $( Alternate characterization of betweenness, with no existential
       quantifiers.  (Contributed by Scott Fenton, 24-Jun-2013.) $)
    brbtwn2 $p |-
        ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ->
          ( A Btwn <. B , C >. <->
            ( A. i e. ( 1 ... N )
            ( ( ( B ` i ) - ( A ` i ) ) x. ( ( C ` i ) - ( A ` i ) ) ) <_ 0 /\
              A. i e. ( 1 ... N ) A. j e. ( 1 ... N )
            ( ( ( B ` i ) - ( A ` i ) ) x. ( ( C ` j ) - ( A ` j ) ) ) =
            ( ( ( B ` j ) - ( A ` j ) ) x. ( ( C ` i ) - ( A ` i ) ) ) ) ) ) $=
      ( wcel wbr c1 cmin co cmul caddc wceq cc0 cle wa cc oveq1d wb vk vt vp cv
      cfv wral wrex wi cr fveere 3ad2antl2 3ad2antl3 cneg resubcl 3adant3 recnd
      w3a oveq2d 3ad2ant3 1re mul4d recn 3ad2ant1 3ad2ant2 subdid ax-1cn subdir
      sylancr mp3an2i mulid2d 3eqtr3d remulcld subsub4d 3eqtrd mulneg1d oveq12d
      simp1 eqtrd mpbird mulge0d mpbid eqbrtrd 3expa sylan an32s fveecn anim12i
      ralrimiva anandirs subcl ancoms mulcomd simp2r simp2l syl22anc simp3 mpan
      mulcld sub32d 3eqtr3rd 3eqtr2d syl2an weq eqeq12d rspccva breq1d ralbidva
      fveq2 oveqan12d anbi12d syl2anc wo 3ad2antl1 syl3anc anbi1d simpl2 eqeefv
      oveq2 adantlr fveq1 orbi12d bitrd ex adantr 3adant1 eqeq2d ralbidv rspcev
      oveq1 wne cdiv breq12d simprr simprl clt resubcld subge0d necomd subcld
      wn cee cop cbtwn cfz cicc brbtwn jca c2 cexp sqvald elicc01 simp1bi nncan
      negcld simp2 subsub3d negeqd readdcld negsubdi2d 3eqtr2rd resqcld simp2bi
      mulneg2d simp3bi subge0 sqge0d le0neg2d anim12dan 3adantl1 simp1l mulsub2
      ralrimivva syl oveqan12rd anandis 2ralbidva biimprcd rexlimdva mulsuble0b
      simp1r simpl1 letri3d pm4.25 breq2d anbi2d syl5bb biimprd adantrd 0elunit
      ad2antlr 3jca mulid2 mul02 addid1 ad2antll eqtr2d 1m0e1 eqtrdi necon3abid
      exp32 syldd df-ne rexbii rexnal bitri bitr4di rspcv ad2antrl lesub1d letr
      simpl simplrr ltlend mpbir2and posdifd divelunit div2subd lesub2d eqeltrd
      jaodan rspc2v simp11 simp12 simp13 simpl23 simpl21 simpl12 simpl22 simpl3
      imp simpl13 subne0d divdird npncan2 adddird mul02d simpl11 add32d addid2d
      syld addsubd subdird eqtr3d addsubassd eqtr4d 3eqtr4d simpr adddid npcand
      nnncan2d addcld divmuld div23d divsubdird dividd syl331anc com23 ralrimdv
      3expia anim12d syl6 rexlimdvaa sylbid pm2.61dne impbid ) AFUUAUEZGZBVVFGZ
      CVVFGZUQZABCUUBUUCHUAUDZAUEZIUBUDZJKZVVKBUEZLKZVVMVVKCUEZLKZMKZNZUAIFUUDK
      ZUFZUBOIUUEKZUGZDUDZBUEZVWEAUEZJKZVWECUEZVWGJKZLKZOPHZDVWAUFZVWHEUDZCUEZV
      WNAUEZJKZLKZVWNBUEZVWPJKZVWJLKZNZEVWAUFDVWAUFZQZUBABCUAFUUFVVJVWDVXDVVJVW
      BVXDUBVWCVVJVVMVWCGZQZVWFVVNVWFLKZVVMVWILKZMKZJKZVWIVXIJKZLKZOPHZDVWAUFZV
      XJVWOVVNVWSLKZVVMVWOLKZMKZJKZLKZVWSVXQJKZVXKLKZNZEVWAUFDVWAUFZVWBVXDUHVXF
      VXMDVWAVVJVWEVWAGZVXEVXMVVJVYDQZVWFUIGZVWIUIGZQVXEVXMVYEVYFVYGVVHVVGVYDVY
      FVVIBVWEFUJUKZVVIVVGVYDVYGVVHCVWEFUJULZUUGVYFVYGVXEVXMVYFVYGVXEUQZVXLVVMV
      VNUMZLKZVWFVWIJKZUUHUUIKZLKZOPVYJVYOVYLVYMVYMLKZLKVVMVYMLKZVYKVYMLKZLKVXL
      VYJVYNVYPVYLLVYJVYMVYJVYMVYFVYGVYMUIGVXEVWFVWIUNUOZUPZUUJURVYJVVMVYMVYKVY
      MVXEVYFVVMRGZVYGVXEVVMVXEVVMUIGZOVVMPHZVVMIPHZVVMUUKZUULZUPZUSZVYTVYJVVNV
      YJVVNVXEVYFVVNUIGZVYGVXEIUIGZWUBWUIUTWUFIVVMUNVHZUSZUPZUUNVYTVAVYJVYQVXJV
      YRVXKLVYJVYQVVMVWFLKZVXHJKZVWFVXGJKZVXHJKZVXJVYJVVMVWFVWIWUHVYFVYGVWFRGZV
      XEVWFVBVCZVYGVYFVWIRGZVXEVWIVBVDZVEVYJWUNWUPVXHJVYJIVVNJKZVWFLKZIVWFLKZVX
      GJKZWUNWUPIRGZVYJVVNRGZWURWVCWVENZVFWUMWUSIVVNVWFVGZVIVYJWVBVVMVWFLVYJWVF
      WUAWVBVVMNZVFWUHIVVMUUMZVHSVYJWVDVWFVXGJVYJVWFWUSVJSVKSVYJVWFVXGVXHWUSVYJ
      VXGVYJVVNVWFWULVYFVYGVXEVQVLZUPZVYJVXHVYJVVMVWIVXEVYFWUBVYGWUFUSZVYFVYGVX
      EUUOVLZUPZVMVNVYJVYRVVNVYMLKZUMVXIVWIJKZUMVXKVYJVVNVYMWUMVYTVOVYJWVQWVRVY
      JWVQVXGVVNVWILKZJKVXGVWIVXHJKZJKWVRVYJVVNVWFVWIWUMWUSWVAVEVYJWVSWVTVXGJVY
      JWVSIVWILKZVXHJKZWVTWVFVYJWUAWUTWVSWWBNZVFWUHWVAIVVMVWIVGZVIVYJWWAVWIVXHJ
      VYJVWIWVAVJSVRURVYJVXGVWIVXHWVMWVAWVPUUPVNUUQVYJVXIVWIVYJVXIVYJVXGVXHWVLW
      VOUURUPWVAUUSVNVPUUTVYJVYOVVMVVNLKZVYNLKZUMZOPVYJVYOWWEUMZVYNLKWWGVYJVYLW
      WHVYNLVYJVVMVVNWUHWUMUVCSVYJWWEVYNVYJWWEVYJVVMVVNWVNWULVLZUPVYJVYNVYJVYMV
      YSUVAZUPVOVRVYJOWWFPHWWGOPHVYJWWEVYNWWIWWJVXEVYFOWWEPHVYGVXEVVMVVNWUFWUKV
      XEWUBWUCWUDWUEUVBVXEOVVNPHZWUDVXEWUBWUCWUDWUEUVDVXEWUJWUBWWKWUDTUTWUFIVVM
      UVEVHVSVTUSVYJVYMVYSUVFVTVYJWWFVYJWWEVYNWWIWWJVLUVGWAWBWBWCWDWEWHVXFVYBDE
      VWAVWAVVJVYDVWNVWAGZQZVXEVYBVVJWWMQWURWUTQZVWSRGZVWORGZQZQZWUAVYBVXEVVHVV
      IWWMWWRVVGVVHVVIQVYDWWNWWLWWQVVHVVIVYDWWNVVHVYDQWURVVIVYDQWUTBVWEFWFCVWEF
      WFWGWIVVHVVIWWLWWQVVHWWLQWWOVVIWWLQWWPBVWNFWFCVWNFWFWGWIUVHUVIWUGWWNWWQWU
      AVYBWWNWWQWUAUQZWWEVYMVWOVWSJKZLKZLKZWWEVWSVWOJKZVWIVWFJKZLKZLKZVXSVYAWWS
      WXAWXEWWELWWSWXAWWTVYMLKZWXEWWSVYMWWTWWNWWQVYMRGWUAVWFVWIWJVCZWWQWWNWWTRG
      ZWUAWWPWWOWXIVWOVWSWJWKVDZWLWWSWWPWWOWURWUTWXGWXENWWNWWOWWPWUAWMZWWNWWOWW
      PWUAWNZWURWUTWWQWUAUVJZWURWUTWWQWUAUVTZVWOVWSVWFVWIUVKWOVRURWWSWXBVYQVVNW
      WTLKZLKVXSWWSVVMVVNVYMWWTWWNWWQWUAWPZWUAWWNWVGWWQWVFWUAWVGVFIVVMWJWQUSZWX
      HWXJVAWWSVYQVXJWXOVXRLWWSVYQWUOWUQVXJWWSVVMVWFVWIWXPWXMWXNVEWWSWUNWUPVXHJ
      WWSWVCWVEWUNWUPWVFWWSWVGWURWVHVFWXQWXMWVIVIWWSWVBVVMVWFLWUAWWNWVJWWQWVFWU
      AWVJVFWVKWQUSZSWWSWVDVWFVXGJWWSVWFWXMVJSVKSWWSVWFVXGVXHWXMWWSVVNVWFWXQWXM
      WRZWWSVVMVWIWXPWXNWRZVMVNWWSWXOVWOVXPJKZVXOJKZVWOVXOJKVXPJKVXRWWSWXOVVNVW
      OLKZVXOJKWYBWWSVVNVWOVWSWXQWXKWXLVEWWSWYCWYAVXOJWWSWYCIVWOLKZVXPJKZWYAWVF
      WWSWUAWWPWYCWYENVFWXPWXKIVVMVWOVGVIWWSWYDVWOVXPJWWSVWOWXKVJSVRSVRWWSVWOVX
      PVXOWXKWWSVVMVWOWXPWXKWRZWWSVVNVWSWXQWXLWRZWSWWSVWOVXOVXPWXKWYGWYFVMVNVPV
      RWWSWXFVVMWXCLKZVVNWXDLKZLKVYAWWSVVMVVNWXCWXDWXPWXQWWQWWNWXCRGWUAVWSVWOWJ
      VDWWNWWQWXDRGZWUAWUTWURWYJVWIVWFWJWKVCVAWWSWYHVXTWYIVXKLWWSWYHVVMVWSLKZVX
      PJKVWSVXOJKZVXPJKVXTWWSVVMVWSVWOWXPWXLWXKVEWWSWYLWYKVXPJWWSWVBVWSLKZIVWSL
      KZVXOJKZWYKWYLWVFWWSWVGWWOWYMWYONVFWXQWXLIVVNVWSVGVIWWSWVBVVMVWSLWXRSWWSW
      YNVWSVXOJWWSVWSWXLVJSWTSWWSVWSVXOVXPWXLWYGWYFVMXAWWSWYIWVSVXGJKWVTVXGJKZV
      XKWWSVVNVWIVWFWXQWXNWXMVEWWSWVSWVTVXGJWWSWVSWWBWVTWVFWWSWUAWUTWWCVFWXPWXN
      WWDVIWWSWWAVWIVXHJWWSVWIWXNVJSVRSWWSWYPVWIVXGJKVXHJKVXKWWSVWIVXHVXGWXNWXT
      WXSWSWWSVWIVXGVXHWXNWXSWXTVMVRVNVPVRVKWCXBWEUVLVWBVXDVXNVYCQVWBVWMVXNVXCV
      YCVWBVWLVXMDVWAVWBVYDQZVWGVXINZVWLVXMTVVTWYRUAVWEVWAUADXCZVVLVWGVVSVXIVVK
      VWEAXHWYSVVPVXGVVRVXHMWYSVVOVWFVVNLVVKVWEBXHURWYSVVQVWIVVMLVVKVWECXHURVPX
      DXEZWYRVWKVXLOPWYRVWHVXJVWJVXKLVWGVXIVWFJXRZVWGVXIVWIJXRZVPXFUVMXGVWBVXBV
      YBDEVWAVWAVWBVYDWWLVXBVYBTZWYQWYRVWPVXQNZXUCVWBWWLQWYTVVTXUDUAVWNVWAUAEXC
      ZVVLVWPVVSVXQVVKVWNAXHXUEVVPVXOVVRVXPMXUEVVOVWSVVNLVVKVWNBXHURXUEVVQVWOVV
      MLVVKVWNCXHURVPXDXEWYRXUDQVWRVXSVXAVYAWYRXUDVWHVXJVWQVXRLXUAVWPVXQVWOJXRX
      IXUDWYRVWTVXTVWJVXKLVWPVXQVWSJXRXUBUVNXDXBUVOUVPXJUVQXKUVRVVJVXDVWFVWGPHZ
      VWGVWIPHZQZVWIVWGPHZVWGVWFPHZQZXLZDVWAUFZVXCQZVWDVVJVWMXUMVXCVVJVWLXULDVW
      AVYEVYFVWGUIGZVYGVWLXULTVYHVVGVVHVYDXUOVVIAVWEFUJXMZVYIVWFVWGVWIUVSXNXGXO
      VVJXUNVWDUHZBCVVJBCNZXUNBANZVWDVVJXURXUNXUSUHVVJXURQZXUMXUSVXCXUTXUSXUMXU
      TXUSVWFVWGNZDVWAUFZXUMXUTVVHVVGXUSXVBTVVGVVHVVIXURXPVVGVVHVVIXURUWABADFXQ
      XKXUTXVAXULDVWAXUTVYDQZXVAXUFXUJQZXULXVCVWFVWGVVJVYDVYFXURVYHXSVVJVYDXUOX
      URXUPXSUWBXVDXVDXVDXLZXVCXULXVDUWCXURXVEXULTVVJVYDXURXVDXUHXVDXUKXURXUJXU
      GXUFXURVWFVWIVWGPVWEBCXTZUWDUWEXURXUFXUIXUJXURVWFVWIVWGPXVFXFXOYAUWJUWFYB
      XGYBUWGUWHYCVVJXURXUSVWDVVJXURXUSQZQZOVWCGVVLIVVOLKZOVVQLKZMKZNZUAVWAUFZV
      WDUWIXVHXVLUAVWAVVJVVKVWAGZXVGXVLVVJXVNQZVVLRGZVVORGZVVQRGZUQZXVGXVLXVOXV
      PXVQXVRVVGVVHXVNXVPVVIAVVKFWFZXMVVHVVGXVNXVQVVIBVVKFWFZUKVVIVVGXVNXVRVVHC
      VVKFWFZULUWKXVSXVGQXVKVVOVVLXVSXVKVVONZXVGXVQXVRXWCXVPXVQXVRQXVKVVOOMKZVV
      OXVQXVRXVIVVOXVJOMVVOUWLVVQUWMXIXVQXWDVVONXVRVVOUWNYDVRYEYDXUSVVOVVLNXVSX
      URVVKBAXTUWOUWPWDWEWHVWBXVMUBOVWCVVMONZVVTXVLUAVWAXWEVVSXVKVVLXWEVVPXVIVV
      RXVJMXWEVVNIVVOLXWEVVNIOJKIVVMOIJXRUWQUWRSVVMOVVQLYIVPYFYGYHVHUWTUXAVVJBC
      YJZUCUDZBUEZXWGCUEZYJZUCVWAUGZXUQVVJXWFXWHXWINZUCVWAUFZYTZXWKVVJXWMBCVVHV
      VIXURXWMTVVGBCUCFXQYEUWSXWKXWLYTZUCVWAUGXWNXWJXWOUCVWAXWHXWIUXBUXCXWLUCVW
      AUXDUXEUXFVVJXWJXUQUCVWAVVJXWGVWAGZXWJQZQZXUNXWGAUEZXWHJKZXWIXWHJKZYKKZVW
      CGZVVLIXXBJKZVVOLKZXXBVVQLKZMKZNZUAVWAUFZQVWDXWRXUMXXCVXCXXIXWRXUMXWHXWSP
      HZXWSXWIPHZQZXWIXWSPHZXWSXWHPHZQZXLZXXCXWPXUMXXPUHVVJXWJXULXXPDXWGVWADUCX
      CZXUHXXLXUKXXOXXQXUFXXJXUGXXKXXQVWFXWHVWGXWSPVWEXWGBXHZVWEXWGAXHZYLXXQVWG
      XWSVWIXWIPXXSVWEXWGCXHZYLXJXXQXUIXXMXUJXXNXXQVWIXWIVWGXWSPXXTXXSYLXXQVWGX
      WSVWFXWHPXXSXXRYLXJYAUXGUXHXWRXXPXXCXWRXXLXXCXXOXWRXXLQZXXCXWTXXAPHZXYAXX
      KXYBXWRXXJXXKYMXWRXXKXYBTXXLXWRXWSXWIXWHVVJVVGXWPXWSUIGZXWQVVGVVHVVIVQXWP
      XWJUXKZAXWGFUJXBZVVJVVIXWPXWIUIGZXWQVVGVVHVVIWPXYDCXWGFUJXBZXWRVVHXWPXWHU
      IGZVVGVVHVVIXWQXPVVJXWPXWJYNBXWGFUJXKZUXIYDWAXYAXWTUIGZOXWTPHZXXAUIGZOXXA
      YOHZXXCXYBTXWRXYJXXLXWRXWSXWHXYEXYIYPYDXYAXYKXXJXWRXXJXXKYNXWRXYKXXJTXXLX
      WRXWSXWHXYEXYIYQYDVSXWRXYLXXLXWRXWIXWHXYGXYIYPYDXYAXWHXWIYOHZXYMXYAXYNXWH
      XWIPHZXWIXWHYJZXWRXXLXYOXWRXYHXYCXYFXXLXYOUHXYIXYEXYGXWHXWSXWIUXJXNUYJXYA
      XWHXWIVVJXWPXWJXXLUXLYRXWRXYNXYOXYPQTXXLXWRXWHXWIXYIXYGUXMYDUXNXWRXYNXYMT
      XXLXWRXWHXWIXYIXYGUXOYDWAXWTXXAUXPWOVSXWRXXOQZXXBXWHXWSJKZXWHXWIJKZYKKZVW
      CXWRXXBXYTNXXOXWRXWSXWHXWIXWHXWRXWSXYEUPZXWRXWHXYIUPZXWRXWIXYGUPZYUBXWRXW
      HXWIVVJXWPXWJYMYRUXQYDXYQXYTVWCGZXYRXYSPHZXYQXXMYUEXWRXXMXXNYNXWRXXMYUETX
      XOXWRXWIXWSXWHXYGXYEXYIUXRYDWAXYQXYRUIGZOXYRPHZXYSUIGZOXYSYOHZYUDYUETXWRY
      UFXXOXWRXWHXWSXYIXYEYPYDXYQYUGXXNXWRXXMXXNYMXWRYUGXXNTXXOXWRXWHXWSXYIXYEY
      QYDVSXWRYUHXXOXWRXWHXWIXYIXYGYPYDXYQXWIXWHYOHZYUIXYQYUJXWIXWHPHZXWJXWRXXO
      YUKXWRXYFXYCXYHXXOYUKUHXYGXYEXYIXWIXWSXWHUXJXNUYJVVJXWPXWJXXOUXLXWRYUJYUK
      XWJQTXXOXWRXWIXWHXYGXYIUXMYDUXNXWRYUJYUITXXOXWRXWIXWHXYGXYIUXOYDWAXYRXYSU
      XPWOVSUXSUXTYCUYTXWRVXCXXHUAVWAXWRXVNVXCXXHVVJXWQXVNVXCXXHUHVVJXWQXVNUQZV
      XCXYRVVQVVLJKZLKZVVOVVLJKZXWIXWSJKZLKZNZXXHYULXWPXVNVXCYURUHVVJXWPXWJXVNW
      NVVJXWQXVNWPZVXBYURXYRVWQLKZVWTYUPLKZNDEXWGVVKVWAVWAXXQVWRYUTVXAYVAXXQVWH
      XYRVWQLXXQVWFXWHVWGXWSJXXRXXSVPSXXQVWJYUPVWTLXXQVWIXWIVWGXWSJXXTXXSVPURXD
      EUAXCZYUTYUNYVAYUQYVBVWQYUMXYRLYVBVWOVVQVWPVVLJVWNVVKCXHVWNVVKAXHZVPURYVB
      VWTYUOYUPLYVBVWSVVOVWPVVLJVWNVVKBXHYVCVPSXDUYAXKYULXVPXVQXVRXWSRGZXWHRGZX
      WIRGZXYPYURXXHUHYULVVGXVNXVPVVGVVHVVIXWQXVNUYBYUSXVTXKYULVVHXVNXVQVVGVVHV
      VIXWQXVNUYCYUSXWAXKYULVVIXVNXVRVVGVVHVVIXWQXVNUYDYUSXWBXKVVJXWQYVDXVNYUAU
      OVVJXWQYVEXVNYUBUOVVJXWQYVFXVNYUCUOYULXWHXWIVVJXWPXWJXVNWMYRXVSYVDYVEYVFU
      QZXYPUQZYURXXHYVHYURQZYUPVVOLKZXWTVVQLKZMKZXXAYKKZYVJXXAYKKZYVKXXAYKKZMKV
      VLXXGYVIYVJYVKXXAYVIYUPVVOYVIXWIXWSYVDYVEYVFXVSXYPYURUYEZYVDYVEYVFXVSXYPY
      URUYFZYSZXVPXVQXVRYVGXYPYURUYGZWRZYVIXWTVVQYVIXWSXWHYVQYVDYVEYVFXVSXYPYUR
      UYHZYSZXVPXVQXVRYVGXYPYURUYKZWRZYVIXWIXWHYVPYWAYSZYVIXWIXWHYVPYWAXVSYVGXY
      PYURUYIUYLZUYMYVIYVMVVLNXXAVVLLKZYVLNYVIYWGYUNYUPVVLLKZMKZYVKMKZYUQYWHMKZ
      YVKMKYVLYVIYWGXYRVVQLKZYWGMKZYVKMKZYWJYVIYWLYVKMKZYWGMKOYWGMKYWNYWGYVIYWO
      OYWGMYVIXYRXWTMKZVVQLKXVJYWOOYVIYWPOVVQLYVIYVEYVDYWPONYWAYVQXWHXWSUYNXKSY
      VIXYRXWTVVQYVIXWHXWSYWAYVQYSZYWBYWCUYOYVIVVQYWCUYPVKSYVIYWLYVKYWGYVIXYRVV
      QYWQYWCWRZYWDYVIXXAVVLYWEXVPXVQXVRYVGXYPYURUYQZWRZUYRYVIYWGYWTUYSWTYVIYWM
      YWIYVKMYVIYWLYWHMKXYRVVLLKZJKZYWLYXAJKZYWHMKYWMYWIYVIYWLYWHYXAYWRYVIYUPVV
      LYVRYWSWRZYVIXYRVVLYWQYWSWRZVUAYVIYWMYWLYWHYXAJKZMKYXBYVIYWGYXFYWLMYVIYUP
      XYRJKZVVLLKYWGYXFYVIYXGXXAVVLLYVIXWIXWHXWSYVPYWAYVQVUJSYVIYUPXYRVVLYVRYWQ
      YWSVUBVUCURYVIYWLYWHYXAYWRYXDYXEVUDVUEYVIYUNYXCYWHMYVIXYRVVQVVLYWQYWCYWSV
      ESVUFSVRYVIYWIYWKYVKMYVIYUNYUQYWHMYVHYURVUGSSYVIYWKYVJYVKMYVIYWKYUPYUOLKZ
      YWHMKYUPYUOVVLMKZLKYVJYVIYUQYXHYWHMYVIYUOYUPYVIVVOVVLYVSYWSYSZYVRWLSYVIYU
      PYUOVVLYVRYXJYWSVUHYVIYXIVVOYUPLYVIVVOVVLYVSYWSVUIURXASVNYVIYVLXXAVVLYVIY
      VJYVKYVTYWDVUKYWEYWSYWFVULVSYVIYVNXXEYVOXXFMYVIYVNYUPXXAYKKZVVOLKXXEYVIYU
      PVVOXXAYVRYVSYWEYWFVUMYVIYXKXXDVVOLYVIXXAXWTJKZXXAYKKXXAXXAYKKZXXBJKYXKXX
      DYVIXXAXWTXXAYWEYWBYWEYWFVUNYVIYXLYUPXXAYKYVIXWIXWSXWHYVPYVQYWAVUJSYVIYXM
      IXXBJYVIXXAYWEYWFVUOSVKSVRYVIXWTVVQXXAYWBYWCYWEYWFVUMVPVKYCVUPUYTVUSVUQVU
      RVUTVWBXXIUBXXBVWCVVMXXBNZVVTXXHUAVWAYXNVVSXXGVVLYXNVVPXXEVVRXXFMYXNVVNXX
      DVVOLVVMXXBIJXRSVVMXXBVVQLYIVPYFYGYHVVAVVBVVCVVDVVCVVEYB $.
  $}

  $( Lemma for ~ colinearalg .  Expand out a multiplication.  (Contributed by
     Scott Fenton, 24-Jun-2013.) $)
  colinearalglem1 $p |- (
    ( ( A e. CC /\ B e. CC /\ C e. CC ) /\
      ( D e. CC /\ E e. CC /\ F e. CC ) ) ->
    ( ( ( B - A ) x. ( F - D ) ) = ( ( E - D ) x. ( C - A ) ) <->
      ( ( B x. F ) - ( ( A x. F ) + ( B x. D ) ) ) =
      ( ( C x. E ) - ( ( A x. E ) + ( C x. D ) ) ) ) ) $=
    ( cc wcel w3a cmin co cmul caddc subcld subdid subdird oveq12d mulcl syl2an
    wceq simpl2 simpl1 simpr3 simpr1 simp2 simp3 simp1 subsub3d addsubd 3eqtrrd
    subsub4d oveq1d 3eqtr2d simpr2 simpl3 mulcomd eqtr3d 3eqtrd addcld addcan2d
    wa eqeq12d bitrd ) AGHZBGHZCGHZIZDGHZEGHZFGHZIZVAZBAJKZFDJKLKZEDJKZCAJKZLKZ
    TBFLKZAFLKZBDLKZMKZJKZADLKZMKZCELKZAELKZCDLKZMKZJKZWCMKZTWBWITVLVNWDVQWJVLV
    NVMFLKZVMDLKZJKZVRVSJKZVTJKZWCMKZWDVLVMFDVLBAVDVEVFVKUAZVDVEVFVKUBZNVGVHVIV
    JUCZVGVHVIVJUDZOVLWMWNVTWCJKZJKWNWCMKVTJKWPVLWKWNWLXAJVLBAFWQWRWSPVLBADWQWR
    WTPQVLWNVTWCVLVRVSVGVEVJVRGHVKVDVEVFUEZVHVIVJUFZBFRSZVGVDVJVSGHVKVDVEVFUGZX
    CAFRSZNZVGVEVHVTGHVKXBVHVIVJUGZBDRSZVGVDVHWCGHVKXEXHADRSZUHVLWNWCVTXGXJXIUI
    UJVLWOWBWCMVLVRVSVTXDXFXIUKULUMVLVQVPVOLKVPELKZVPDLKZJKZWJVLVOVPVLEDVGVHVIV
    JUNZWTNVLCAVDVEVFVKUOZWRNZUPVLVPEDXPXNWTOVLWEWFJKZWGJKZWCMKZXMWJVLXMXQWGWCJ
    KZJKXQWCMKWGJKXSVLXKXQXLXTJVLCAEXOWRXNPVLCADXOWRWTPQVLXQWGWCVLWEWFVGVFVIWEG
    HVKVDVEVFUFZVHVIVJUEZCERSZVGVDVIWFGHVKXEYBAERSZNZVGVFVHWGGHVKYAXHCDRSZXJUHV
    LXQWCWGYEXJYFUIUJVLXRWIWCMVLWEWFWGYCYDYFUKULUQURVBVLWBWIWCVLVRWAXDVLVSVTXFX
    IUSNVLWEWHYCVLWFWGYDYFUSNXJUTVC $.

  ${
    $d A i j $.  $d B i j $.  $d C i j $.  $d N i j $.
    $( Lemma for ~ colinearalg .  Translate between two forms of the
       colinearity condition.  (Contributed by Scott Fenton, 24-Jun-2013.) $)
    colinearalglem2 $p |- (
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ->
       ( A. i e. ( 1 ... N ) A. j e. ( 1 ... N )
         ( ( ( B ` i ) - ( A ` i ) ) x. ( ( C ` j ) - ( A ` j ) ) ) =
         ( ( ( B ` j ) - ( A ` j ) ) x. ( ( C ` i ) - ( A ` i ) ) )
         <->
         A. i e. ( 1 ... N ) A. j e. ( 1 ... N )
         ( ( ( C ` i ) - ( B ` i ) ) x. ( ( A ` j ) - ( B ` j ) ) ) =
         ( ( ( C ` j ) - ( B ` j ) ) x. ( ( A ` i ) - ( B ` i ) ) ) ) ) $=
      ( cfv wcel w3a cmin co cmul wceq wa cc fveecn syl2an caddc mulcl subcld
      cee cv c1 cfz simp1 simpl simp2 simp3 simpr addcld subadd2d eqcom addsubd
      bitrdi addcomd oveq1d eqtr3d eqeq2d bitrd subsub4d subsub3d eqcomd oveq2d
      subsubd eqtrd 3eqtr2d addsub12d 3eqtrd subeqrev syl22anc 3bitr3rd addrsub
      eqeq1d sub32d colinearalglem1 3anrot syl2anb 3bitr4d syl33anc 2ralbidva
      wb ) AFUAGZHZBWBHZCWBHZIZDUBZBGZWGAGZJKEUBZCGZWJAGZJKLKWJBGZWLJKWGCGZWIJK
      LKMZWNWHJKWLWMJKLKWKWMJKWIWHJKLKMZDEUCFUDKZWQWFWGWQHZWJWQHZNZNWIOHZWHOHZW
      NOHZWLOHZWMOHZWKOHZWOWPWAWFWCWRXAWTWCWDWEUEZWRWSUFZAWGFPQWFWDWRXBWTWCWDWE
      UGZXHBWGFPQWFWEWRXCWTWCWDWEUHZXHCWGFPQWFWCWSXDWTXGWRWSUIZAWJFPQWFWDWSXEWT
      XIXKBWJFPQWFWEWSXFWTXJXKCWJFPQXAXBXCIZXDXEXFIZNZWHWKLKZWIWKLKZWHWLLKZRKZJ
      KWNWMLKZWIWMLKZWNWLLKZRKZJKMZYAXQXSRKJKZXPXOXTRKZJKZMZWOWPXNYCXQYFRKZYAXS
      JKZMZYGXNXRXOJKZXTJKZYIMZYKYBXSJKZMZYJYCXNYMYKYIXTRKZMZYOXNYMYPYKMYQXNYKX
      TYIXNXRXOXNXPXQXLXAXFXPOHXMXAXBXCUEZXDXEXFUHZWIWKSQZXLXBXDXQOHXMXAXBXCUGZ
      XDXEXFUEZWHWLSQZUJZXLXBXFXOOHZXMUUAYSWHWKSQZTXLXAXEXTOHXMYRXDXEXFUGZWIWMS
      QZXNYAXSXLXCXDYAOHXMXAXBXCUHZUUBWNWLSQZXLXCXEXSOHZXMUUIUUGWNWMSQZTZUKYPYK
      ULUNXNYPYNYKXNYAXTRKZXSJKYPYNXNYAXTXSUUJUUHUULUMXNUUNYBXSJXNYAXTUUJUUHUOU
      PUQURUSXNYLYHYIXNYLXPXOJKZXQXTJKZRKZXQUUOXTJKZRKYHXNYLXRYEJKXPYEXQJKZJKZU
      UQXNXRXOXTUUDUUFUUHUTXNXPYEXQYTXNXOXTUUFUUHUJZUUCVAXNUUTXPXOUUPJKZJKUUQXN
      UUSUVBXPJXNUVBUUSXNXOXQXTUUFUUCUUHVAVBVCXNXPXOUUPYTUUFXNXQXTUUCUUHTVDVEVF
      XNUUOXQXTXNXPXOYTUUFTUUCUUHVGXNUURYFXQRXNXPXOXTYTUUFUUHUTVCVHVMXNXROHUUEY
      BOHUUKYOYCWAUUDUUFXNXTYAUUHUUJUJUULXRXOYBXSVIVJVKXNYJYFYDMZYGXNYJYFYIXQJK
      ZMUVCXNXQYFYIUUCXNXPYEYTUVATUUMVLXNUVDYDYFXNUVDYAXQJKXSJKYDXNYAXSXQUUJUUL
      UUCVNXNYAXQXSUUJUUCUULUTVEURUSYFYDULUNUSWIWHWNWLWMWKVOXLXBXCXAIXEXFXDIWPY
      GWAXMXAXBXCVPXDXEXFVPWHWNWIWMWKWLVOVQVRVSVT $.

    $( Lemma for ~ colinearalg .  Translate between two forms of the
       colinearity condition.  (Contributed by Scott Fenton, 24-Jun-2013.) $)
    colinearalglem3 $p |- (
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ->
       ( A. i e. ( 1 ... N ) A. j e. ( 1 ... N )
         ( ( ( B ` i ) - ( A ` i ) ) x. ( ( C ` j ) - ( A ` j ) ) ) =
         ( ( ( B ` j ) - ( A ` j ) ) x. ( ( C ` i ) - ( A ` i ) ) )
         <->
         A. i e. ( 1 ... N ) A. j e. ( 1 ... N )
         ( ( ( A ` i ) - ( C ` i ) ) x. ( ( B ` j ) - ( C ` j ) ) ) =
         ( ( ( A ` j ) - ( C ` j ) ) x. ( ( B ` i ) - ( C ` i ) ) ) ) ) $=
      ( cee cfv wcel w3a cv cmin co cmul wceq c1 cfz wral colinearalglem2 wb
      3comr bitrd ) AFGHZIZBUCIZCUCIZJDKZBHZUGAHZLMEKZCHZUJAHZLMNMUJBHZULLMUGCH
      ZUILMNMOEPFQMZRDUORUNUHLMULUMLMNMUKUMLMUIUHLMNMOEUORDUORZUIUNLMUMUKLMNMUL
      UKLMUHUNLMNMOEUORDUORZABCDEFSUEUFUDUPUQTBCADEFSUAUB $.
  $}

  ${
    $d A i $.  $d C i $.  $d K i $.  $d N i $.
    $( Lemma for ~ colinearalg .  Prove a disjunction that will be needed in
       the final proof.  (Contributed by Scott Fenton, 27-Jun-2013.) $)
    colinearalglem4 $p |- (
       ( ( A e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\ K e. RR ) ->
       ( A. i e. ( 1 ... N ) ( ( ( ( K x. ( ( C ` i ) - ( A ` i ) ) ) +
         ( A ` i ) ) - ( A ` i ) ) x. ( ( C ` i ) - ( A ` i ) ) ) <_ 0 \/
         A. i e. ( 1 ... N ) ( ( ( C ` i ) - ( ( K x. ( ( C ` i ) -
         ( A ` i ) ) ) + ( A ` i ) ) ) x. ( ( A ` i ) -
         ( ( K x. ( ( C ` i ) - ( A ` i ) ) ) + ( A ` i ) ) ) ) <_ 0 \/
         A. i e. ( 1 ... N ) ( ( ( A ` i ) - ( C ` i ) ) x. ( ( ( K x.
         ( ( C ` i ) - ( A ` i ) ) ) + ( A ` i ) ) - ( C ` i ) ) ) <_ 0 ) ) $=
      ( wcel wa cr cc0 cle wbr c1 cmin co cmul recnd remulcld cc oveq2d cneg cv
      cee cfv w3o caddc cfz wral relin01 adantl fveere adantlr adantll jca cexp
      c2 simprl resubcl ancoms adantr mulassd recn pncand oveq1d sqvald 3eqtr4d
      ad2antrr wo simprr sqge0d wb resqcld mulle0b syl2anc mpbird eqbrtrd sylan
      orcd an32s ralrimiva ad2antlr sub32d ax-1cn subdir mp3an2i mulid2d eqtr2d
      expr wceq subsub4d 3eqtr3rd subidd eqtr4di oveq12d mpan ad2antrl mulneg2d
      df-neg mul4d negeqd 3eqtrd sylancr subge0 biimpar adantrl mulge0d breqtrd
      1re simpl le0neg2d mpbid negsubdi2d simplr simpll peano2rem mul12d eqtr4d
      mulneg1d eqtrd mp3an2 subsub3d mpan2 3orim123d mpd ) AEUBUCZFZBYDFZGZDHFZ
      GZDIJKZIDJKZDLJKZGZLDJKZUDZDCUAZBUCZYPAUCZMNZONZYRUENZYRMNZYSONZIJKZCLEUF
      NZUGZYQUUAMNZYRUUAMNZONZIJKZCUUEUGZYRYQMNZUUAYQMNZONZIJKZCUUEUGZUDYHYOYGD
      UHUIYIYJUUFYMUUKYNUUPYGYHYJUUFYGYHYJGZGUUDCUUEYGYPUUEFZUUQUUDYGUURGZYRHFZ
      YQHFZGZUUQUUDUUSUUTUVAYEUURUUTYFAYPEUJUKYFUURUVAYEBYPEUJULUMZUVBUUQGZUUCD
      YSUOUNNZONZIJUVDYTYSONDYSYSONZONUUCUVFUVDDYSYSUVDDUVBYHYJUPZPUVDYSUVBYSHF
      ZUUQUVAUUTUVIYQYRUQZURZUSZPZUVMUTUVDUUBYTYSOUVDYTYRUVDYTUVDDYSUVHUVLQPUUT
      YRRFZUVAUUQYRVAZVFVBVCUVDUVEUVGDOUVDYSUVMVDSVEUVDUVFIJKZYJIUVEJKZGZYKUVEI
      JKGZVGZUVDUVRUVSUVDYJUVQUVBYHYJVHUVDYSUVLVIUMVQUVDYHUVEHFUVPUVTVJUVHUVDYS
      UVLVKDUVEVLVMVNVOVPVRVSWGYGYHYMUUKYGYHYMGZGUUJCUUEYGUURUWAUUJUUSUVBUWAUUJ
      UVCUVBUWAGZUUILDMNZDONZUVGONZTZIJUWBUUIUWCYSONZYTTZONUWGYTONZTUWFUWBUUGUW
      GUUHUWHOUWBYSYTMNZYQYTMNYRMNUWGUUGUWBYQYRYTUVAYQRFZUUTUWAYQVAZVTZUUTUVNUV
      AUWAUVOVFZUWBYTUWBDYSUVBYHYMUPZUVBUVIUWAUVKUSZQPZWAUWBUWGLYSONZYTMNZUWJLR
      FZUWBDRFZYSRFZUWGUWSWHWBUWBDUWOPZUWBYSUWPPZLDYSWCWDUWBUWRYSYTMUWBYSUXDWEV
      CWFUWBYQYTYRUWMUWQUWNWIWJUWBYRYRMNZYTMNZYRYTMNYRMNUWHUUHUWBYRYRYTUWNUWNUW
      QWAUWBUXFIYTMNUWHUWBUXEIYTMUWBYRUWNWKVCYTWQWLUWBYRYTYRUWNUWQUWNWIWJWMUWBU
      WGYTUWBUWGUWBUWCYSYHUWCHFZUVBYMLHFZYHUXGXGLDUQZWNWOZUWPQPUWQWPUWBUWIUWEUW
      BUWCYSDYSUWBUWCUXJPUXDUXCUXDWRWSWTUWBIUWEJKUWFIJKUWBIUWDUVEONUWEJUWBUWDUV
      EUWBUWCDUXJUWOQZUWBYSUWPVKUWAIUWDJKUVBUWAUWCDUWAUXHYHUXGXGYHYMXHZUXIXAUXL
      YHYLIUWCJKZYKYHUXMYLUXHYHUXMYLVJXGLDXBWNXCXDYHYKYLUPXEUIUWBYSUWPVIXEUWBUV
      EUVGUWDOUWBYSUXDVDSXFUWBUWEUWBUWDUVGUXKUWBYSYSUWPUWPQQXIXJVOVPVRVSWGYGYHY
      NUUPYGYHYNGZGUUOCUUEYGUURUXNUUOUUSUVBUXNUUOUVCUVBUXNGZUUNDLMNZUVEONZTZIJU
      XOYSTZUXPYSONZONZUULUXTONUXRUUNUXOUXSUULUXTOUXOYQYRUVAUWKUUTUXNUWLVTZUUTU
      VNUVAUXNUVOVFZXKVCUXOUYAYSUXTONZTUXRUXOYSUXTUXOYSUXOUVAUUTUVIUUTUVAUXNXLU
      UTUVAUXNXMUVJVMZPZUXOUXTUXOUXPYSYHUXPHFUVBYNDXNWOZUYEQPXQUXOUYDUXQUXOUYDU
      XPUVGONUXQUXOYSUXPYSUYFUXOUXPUYGPUYFXOUXOUVEUVGUXPOUXOYSUYFVDSXPWSXRUXOUX
      TUUMUULOUXOUXTYTUWRMNZYTYSMNUUMUXOUXAUXBUXTUYHWHZUXODUVBYHYNUPZPUYFUXAUWT
      UXBUYIWBDLYSWCXSVMUXOUWRYSYTMUXOYSUYFWESUXOYTYQYRUXOYTUXODYSUYJUYEQPUYBUY
      CXTWTSWJUXOIUXQJKUXRIJKUXOUXPUVEUYGUXOYSUYEVKZUXOIUXPJKZYNUVBYHYNVHYHUYLY
      NVJZUVBYNYHUXHUYMXGDLXBYAWOVNUXOYSUYEVIXEUXOUXQUXOUXPUVEUYGUYKQXIXJVOVPVR
      VSWGYBYC $.
  $}

  ${
    $d N i j p $.  $d A i j p $.  $d B i j p $.  $d C i j p $.
    $( An algebraic characterization of colinearity.  Note the similarity to
       ~ brbtwn2 .  (Contributed by Scott Fenton, 24-Jun-2013.) $)
    colinearalg $p |-
        (
          ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ->
          ( ( A Btwn <. B , C >. \/ B Btwn <. C , A >. \/
              C Btwn <. A , B >. ) <->
            A. i e. ( 1 ... N ) A. j e. ( 1 ... N )
            ( ( ( B ` i ) - ( A ` i ) ) x. ( ( C ` j ) - ( A ` j ) ) ) =
            ( ( ( B ` j ) - ( A ` j ) ) x. ( ( C ` i ) - ( A ` i ) ) ) ) ) $=
      ( vp cfv wcel w3a wbr cmin co cmul cc0 cle wral wceq wa wb cee cop w3o cv
      cbtwn c1 brbtwn2 3comr colinearalglem3 anbi2d bitrd colinearalglem2 3coml
      3orbi123d wi cc fveecn subid oveq2d adantl subcl mul01d eqtrd syl2an 0le0
      anandirs eqbrtrdi ralrimiva 3adant1 fveq1 oveq12d ralbidv syl5ibcom 3mix1
      cfz breq1d syl6 a1dd wne wrex simp3 simp1 eqeefv syl2anc necon3abid df-ne
      wn rexbii rexnal bitr2i bitrdi ralcom fveq2 oveq1d eqeq12d rspcv ad2antrl
      weq cr fveere 3ad2antl1 3ad2antl2 3ad2antl3 3jca anim1i anasss cdiv caddc
      adantlr recn 3anim123i adantr ad2antlr simplrr eqcom simp12 simp11 simp22
      simp21 subcld simp23 simpr3 simpr1 subeq0ad biimp3ar divcld simp13 mulcld
      necon3bid syl3anc syl5bb resubcld oveq1 ralimi ralbi syl oveq2 wo df-3or
      andir subadd2 bicomd div23d eqeq2d divmuld mulcomd eqeq1d ralbidva 3simpb
      3bitr2d simpl2 simpl1 simpl3 3ad2ant1 redivcld colinearalglem4 syl5ibrcom
      recnd biimpar sylbird syldan syld syl5bi sylbid pm2.61dne pm4.71rd orbi1i
      rexlimdvaa anbi1i bitri 3bitr4i bitr2di ) AFUAHZIZBUVMIZCUVMIZJZABCUBUEKZ
      BCAUBUEKZCABUBUEKZUCDUDZBHZUWAAHZLMZUWACHZUWCLMZNMZOPKZDUFFVOMZQZUWDEUDZC
      HZUWKAHZLMZNMZUWKBHZUWMLMZUWFNMZRZEUWIQDUWIQZSZUWEUWBLMZUWCUWBLMZNMZOPKZD
      UWIQZUWTSZUWCUWELMZUWBUWELMZNMZOPKZDUWIQZUWTSZUCZUWTUVQUVRUXAUVSUXGUVTUXM
      ABCDEFUGUVQUVSUXFUXBUWMUWPLMNMUWLUWPLMUXCNMREUWIQDUWIQZSZUXGUVOUVPUVNUVSU
      XPTBCADEFUGUHUVQUXOUWTUXFUVOUVPUVNUXOUWTTBCADEFUIUHUJUKUVPUVNUVOUVTUXMTUV
      PUVNUVOJZUVTUXLUXHUWPUWLLMNMUWMUWLLMUXINMREUWIQDUWIQZSUXMCABDEFUGUXQUXRUW
      TUXLCABDEFULUJUKUMUNUVQUWTUWJUXFUXLUCZUWTSZUXNUVQUWTUXSUVQUWTUXSUOZCAUVQC
      ARZUXSUWTUVQUYBUWJUXSUVQUXIUWEUWELMZNMZOPKZDUWIQZUYBUWJUVOUVPUYFUVNUVOUVP
      SZUYEDUWIUYGUWAUWIIZSUYDOOPUVOUVPUYHUYDORZUVOUYHSUWBUPIZUWEUPIZUYIUVPUYHS
      BUWAFUQZCUWAFUQZUYJUYKSZUYDUXIONMZOUYKUYDUYORUYJUYKUYCOUXINUWEURUSUTUYNUX
      IUWBUWEVAVBVCVDVFVEVGVHVIUYBUYEUWHDUWIUYBUYDUWGOPUYBUXIUWDUYCUWFNUYBUWEUW
      CUWBLUWACAVJZUSUYBUWEUWCUWELUYPUSVKVPVLVMUWJUXFUXLVNVQVRUVQCAVSZGUDZCHZUY
      RAHZVSZGUWIVTZUYAUVQUYQUYSUYTRZGUWIQZWGZVUBUVQVUDCAUVQUVPUVNUYBVUDTUVNUVO
      UVPWAUVNUVOUVPWBCAGFWCWDWEVUBVUCWGZGUWIVTVUEVUAVUFGUWIUYSUYTWFWHVUCGUWIWI
      WJWKUVQVUAUYAGUWIUWTUWSDUWIQZEUWIQZUVQUYRUWIIZVUASZSZUXSUWSDEUWIUWIWLVUKV
      UHUWDUYSUYTLMZNMZUYRBHZUYTLMZUWFNMZRZDUWIQZUXSVUIVUHVURUOUVQVUAVUGVUREUYR
      UWIEGWRZUWSVUQDUWIVUSUWOVUMUWRVUPVUSUWNVULUWDNVUSUWLUYSUWMUYTLUWKUYRCWMUW
      KUYRAWMZVKUSVUSUWQVUOUWFNVUSUWPVUNUWMUYTLUWKUYRBWMVUTVKWNWOVLWPWQUVQVUJUY
      TWSIZVUNWSIZUYSWSIZJZVUASZVURUXSUOUVQVUIVUAVVEUVQVUISZVVDVUAVVFVVAVVBVVCU
      VNUVOVUIVVAUVPAUYRFWTXAUVOUVNVUIVVBUVPBUYRFWTXBUVPUVNVUIVVCUVOCUYRFWTXCXD
      XEXFUVQVVESZVURUWBVUOVULXGMZUWFNMZUWCXHMZRZDUWIQZUXSVVGVVKVUQDUWIVVGUYHSU
      WCUPIZUYJUYKJZUYTUPIZVUNUPIZUYSUPIZJZVUAVVKVUQTUVQUYHVVNVVEUVQUYHSVVMUYJU
      YKUVNUVOUYHVVMUVPAUWAFUQXAUVOUVNUYHUYJUVPUYLXBUVPUVNUYHUYKUVOUYMXCXDXIVVE
      VVRUVQUYHVVDVVRVUAVVAVVOVVBVVPVVCVVQUYTXJZVUNXJUYSXJXKXLXMUVQVVDVUAUYHXNV
      VKVVJUWBRZVVNVVRVUAJZVUQUWBVVJXOVWAVVTUWDVVIRZUWDVUPVULXGMZRZVUQVWAUYJVVM
      VVIUPIZVVTVWBTVVMUYJUYKVVRVUAXPZVVMUYJUYKVVRVUAXQZVWAVVHUWFVWAVUOVULVWAVU
      NUYTVVNVVOVVPVVQVUAXRVVNVVOVVPVVQVUAXSZXTZVWAUYSUYTVVNVVOVVPVVQVUAYAVWHXT
      ZVVNVVRVULOVSZVUAVVNVVRSZVULOUYSUYTVWLUYSUYTVVNVVOVVPVVQYBVVNVVOVVPVVQYCY
      DYIYEZYFVWAUWEUWCVVMUYJUYKVVRVUAYGVWGXTZYHUYJVVMVWEJVWBVVTUWBUWCVVIUUAUUB
      YJVWAVWCVVIUWDVWAVUOUWFVULVWIVWNVWJVWMUUCUUDVWDVWCUWDRZVWAVUQUWDVWCXOVWAV
      WOVULUWDNMZVUPRVUQVWAVUPVULUWDVWAVUOUWFVWIVWNYHVWJVWAUWBUWCVWFVWGXTZVWMUU
      EVWAVWPVUMVUPVWAVULUWDVWJVWQUUFUUGUKYKUUJYKYJUUHUVQUVNUVPSZVVHWSIZVVLUXSU
      OVVEUVNUVOUVPUUIVVEVUOVULVVEVUNUYTVVAVVBVVCVUAUUKVVAVVBVVCVUAUULZYLVVEUYS
      UYTVVAVVBVVCVUAUUMVWTYLVVDVWKVUAVVDVULOUYSUYTVVDUYSUYTVVDUYSVVAVVBVVCWAUU
      RVVAVVBVVOVVCVVSUUNYDYIUUSUUOVWRVWSSUXSVVLVVJUWCLMZUWFNMZOPKZDUWIQZUWEVVJ
      LMZUWCVVJLMZNMZOPKZDUWIQZUXHVVJUWELMZNMZOPKZDUWIQZUCACDVVHFUUPVVLUWJVXDUX
      FVXIUXLVXMVVLUWHVXCTZDUWIQUWJVXDTVVKVXNDUWIVVKUWGVXBOPVVKUWDVXAUWFNUWBVVJ
      UWCLYMWNVPYNUWHVXCDUWIYOYPVVLUXEVXHTZDUWIQUXFVXITVVKVXODUWIVVKUXDVXGOPVVK
      UXBVXEUXCVXFNUWBVVJUWELYQUWBVVJUWCLYQVKVPYNUXEVXHDUWIYOYPVVLUXKVXLTZDUWIQ
      UXLVXMTVVKVXPDUWIVVKUXJVXKOPVVKUXIVXJUXHNUWBVVJUWELYMUSVPYNUXKVXLDUWIYOYP
      UNUUQVDUUTUVAUVBUVCUVHUVDUVEUVFUWJUXFYRZUWTSZUXMYRZUXAUXGYRZUXMYRUXTUXNVX
      RVXTUXMUWJUXFUWTYTUVGUXTVXQUXLYRZUWTSVXSUXSVYAUWTUWJUXFUXLYSUVIVXQUXLUWTY
      TUVJUXAUXGUXMYSUVKUVLUK $.
  $}

  ${
    $d N i $.  $d A i $.  $d B i $.
    eleesub.1 $e |- C = ( i e. ( 1 ... N ) |-> ( ( A ` i ) - ( B ` i ) ) ) $.
    $( Membership of a subtraction mapping in a Euclidean space.  (Contributed
       by Scott Fenton, 17-Jul-2013.) $)
    eleesub $p |- ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
             C e. ( EE ` N ) ) $=
      ( cee cfv wcel wa c1 cfz co cv cmin cmpt cr wral fveere resubcl ralrimiva
      syl2an anandirs wb cn eleenn mptelee syl adantr mpbird eqeltrid ) AEGHZIZ
      BULIZJZCDKELMZDNZAHZUQBHZOMZPZULFUOVAULIZUTQIZDUPRZUOVCDUPUMUNUQUPIZVCUMV
      EJURQIUSQIVCUNVEJAUQESBUQESURUSTUBUCUAUMVBVDUDZUNUMEUEIVFAEUFURUSDOEUGUHU
      IUJUK $.
  $}

  ${
    $d N i $.  $d A i $.  $d B i $.
    eleesubd.1 $e |- ( ph ->
       C = ( i e. ( 1 ... N ) |-> ( ( A ` i ) - ( B ` i ) ) ) ) $.
    $( Membership of a subtraction mapping in a Euclidean space.  Deduction
       form of ~ eleesub .  (Contributed by Scott Fenton, 17-Jul-2013.) $)
    eleesubd $p |- ( ( ph /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
             C e. ( EE ` N ) ) $=
      ( cee cfv wcel w3a c1 cfz co cv cmin cmpt wa cr fveere wceq 3ad2ant1 wral
      resubcl syl2an anandirs ralrimiva wb cn eleenn mptelee syl adantr 3adant1
      mpbird eqeltrd ) ABFHIZJZCUQJZKDELFMNZEOZBIZVACIZPNZQZUQAURDVEUAUSGUBURUS
      VEUQJZAURUSRZVFVDSJZEUTUCZVGVHEUTURUSVAUTJZVHURVJRVBSJVCSJVHUSVJRBVAFTCVA
      FTVBVCUDUEUFUGURVFVIUHZUSURFUIJVKBFUJVBVCEPFUKULUMUOUNUP $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Tarski's axioms for geometry for the Euclidean space
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The unique dimension axiom.  If a point is in ` N ` dimensional space and
     in ` M ` dimensional space, then ` N = M ` .  This axiom is not
     traditionally presented with Tarski's axioms, but we require it here as we
     are considering spaces in arbitrary dimensions.  (Contributed by Scott
     Fenton, 24-Sep-2013.) $)
  axdimuniq $p |- ( ( ( N e. NN /\ A e. ( EE ` N ) ) /\
   ( M e. NN /\ A e. ( EE ` M ) ) ) -> N = M ) $=
    ( cee cfv wcel wceq cn eedimeq ad2ant2l ) ACDEFABDEFCBGCHFBHFABCIJ $.

  ${
    $d N i $.  $d A i $.  $d B i $.
    $( ` A ` is as far from ` B ` as ` B ` is from ` A ` .  Axiom A1 of
       [Schwabhauser] p. 10.  (Contributed by Scott Fenton, 3-Jun-2013.) $)
    axcgrrflx $p |- ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
       <. A , B >. Cgr <. B , A >. ) $=
      ( vi cee cfv wcel cop ccgr wbr cn wa co cmin c2 cexp csu wceq cc fveecn
      c1 cv sqsubswap syl2an anandirs sumeq2dv wb id simpr simpl brcgr syl12anc
      cfz mpbird 3adant1 ) ACEFZGZBUPGZABHBAHIJZCKGUQURLZUSUACUMMZDUBZAFZVBBFZN
      MOPMZDQVAVDVCNMOPMZDQRZUTVAVEVFDUQURVBVAGZVEVFRZUQVHLVCSGVDSGVIURVHLAVBCT
      BVBCTVCVDUCUDUEUFUTUTURUQUSVGUGUTUHUQURUIUQURUJABBADCUKULUNUO $.
  $}

  ${
    $d N i $.  $d A i $.  $d B i $.  $d C i $.  $d D i $.  $d E i $.  $d F i $.
    $( Congruence is transitive.  Axiom A2 of [Schwabhauser] p. 10.
       (Contributed by Scott Fenton, 3-Jun-2013.) $)
    axcgrtr $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) ->
       ( ( <. A , B >. Cgr <. C , D >. /\
           <. A , B >. Cgr <. E , F >. ) ->
         <. C , D >. Cgr <. E , F >. ) ) $=
      ( vi cfv wcel cop ccgr wbr wa co cmin c2 cexp csu wceq cee wi cn c1 eqtr2
      w3a cfz cv wb simpl1 simpl2 simpl3 simpr1 syl22anc simpr2 anbi12d imbi12d
      brcgr simpr3 mpbiri 3adant1 ) AGUAIZJZBVBJZCVBJZUFZDVBJZEVBJZFVBJZUFZABKZ
      CDKZLMZVKEFKZLMZNZVLVNLMZUBZGUCJVFVJNZVRUDGUGOZHUHZAIWABIPOQROHSZVTWACIWA
      DIPOQROHSZTZWBVTWAEIWAFIPOQROHSZTZNZWCWETZUBWBWCWEUEVSVPWGVQWHVSVMWDVOWFV
      SVCVDVEVGVMWDUIVCVDVEVJUJZVCVDVEVJUKZVCVDVEVJULZVFVGVHVIUMZABCDHGURUNVSVC
      VDVHVIVOWFUIWIWJVFVGVHVIUOZVFVGVHVIUSZABEFHGURUNUPVSVEVGVHVIVQWHUIWKWLWMW
      NCDEFHGURUNUQUTVA $.
  $}

  ${
    $d N i $.  $d A i $.  $d B i $.  $d C i $.
    $( If there is no distance between ` A ` and ` B ` , then ` A = B ` .
       Axiom A3 of [Schwabhauser] p. 10.  (Contributed by Scott Fenton,
       3-Jun-2013.) $)
    axcgrid $p |- ( ( N e. NN /\
      ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
      ( <. A , B >. Cgr <. C , C >. -> A = B ) ) $=
      ( vi cfv wcel cop wceq c1 co cmin csu cc0 wa cc fveecn syl wb bitrd wi cn
      cee w3a ccgr wbr cfz cv cexp wral subid sq0id sumeq2dv cfn fzfid cuz sumz
      c2 wss olcs eqtrd 3ad2ant3 eqeq2d fveere adantlr adantll resubcld resqcld
      cr sqge0d fsum00 subcl sqeq0 subeq0 anandirs ralbidva 3adant3 simp1 simp2
      syl2an simp3 brcgr syl22anc eqeefv 3bitr4d biimpd adantl ) ADUCFZGZBWHGZC
      WHGZUDZABHCCHUEUFZABIZUADUBGWLWMWNWLJDUGKZEUHZAFZWPBFZLKZURUIKZEMZWOWPCFZ
      XBLKZURUIKZEMZIZWQWRIZEWOUJZWMWNWLXFXANIZXHWLXENXAWKWIXENIWJWKXEWONEMZNWK
      WOXDNEWKWPWOGZOXBPGZXDNICWPDQXLXCXBUKULRUMWKWOUNGZXJNIZWKJDUOWOJUPFUSXMXN
      WOEJUQUTRVAVBVCWIWJXIXHSWKWIWJOZXIWTNIZEWOUJXHXOWOWTEXOJDUOXOXKOZWSXQWQWR
      WIXKWQVIGWJAWPDVDVEWJXKWRVIGWIBWPDVDVFVGZVHXQWSXRVJVKXOXPXGEWOWIWJXKXPXGS
      ZWIXKOWQPGZWRPGZXSWJXKOAWPDQBWPDQXTYAOZXPWSNIZXGYBWSPGXPYCSWQWRVLWSVMRWQW
      RVNTVTVOVPTVQTWLWIWJWKWKWMXFSWIWJWKVRWIWJWKVSWIWJWKWAZYDABCCEDWBWCWIWJWNX
      HSWKABEDWDVQWEWFWG $.
  $}

  ${
    $d N t i k x $.  $d A t i k x $.  $d B t i k x $.  $d C t i k x $.
    $d D t i k x $.
    $( Lemma for ~ axsegcon .  Handle the degenerate case.  (Contributed by
       Scott Fenton, 7-Jun-2013.) $)
    axsegconlem1 $p |- ( ( A = B /\
     ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
       ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ) ->
      E. x e. ( EE ` N ) E. t e. ( 0 [,] 1 ) (
       A. i e. ( 1 ... N ) ( B ` i ) =
         ( ( ( 1 - t ) x. ( A ` i ) ) + ( t x. ( x ` i ) ) ) /\
       sum_ i e. ( 1 ... N ) ( ( ( B ` i ) - ( x ` i ) ) ^ 2 ) =
       sum_ i e. ( 1 ... N ) ( ( ( C ` i ) - ( D ` i ) ) ^ 2 ) ) ) $=
      ( vk wceq cfv wcel wa c1 cmin co cmul caddc wral cc0 cee cv cfz cexp cicc
      csu wrex w3a cmpt fveere 3ad2antl1 3ad2antl2 3ad2antl3 resubcld ralrimiva
      c2 cr wb cn eleenn mptelee syl 3ad2ant1 mpbird fveecn 1m0e1 oveq1i mulid2
      cc syl5eq subcl sylan2 mul02d oveq12d addid1 eqtr2d syl3anc subcld nncand
      3impb oveq1d sumeq2dv 0elunit fveq1 fveq2 eqid ovex fvmpt sylan9eq oveq2d
      eqeq2d ralbidva eqeq1d anbi12d oveq2 oveq1 ralbidv anbi1d mp3an2 syl12anc
      weq rspc2ev 3expb adantll 2rexbidv syl5ibr imp ) CDJZCHUAKZLZDXILZMEXILZF
      XILZMZMZGUBZDKZNBUBZOPZXPCKZQPZXRXPAUBZKZQPZRPZJZGNHUCPZSZYGXQYCOPZUPUDPZ
      GUFZYGXPEKZXPFKZOPZUPUDPZGUFZJZMZBTNUEPZUGAXIUGZXOYTXHXQXSXQQPZYDRPZJZGYG
      SZYQMZBYSUGAXIUGZXKXNUUFXJXKXLXMUUFXKXLXMUHZIYGIUBZDKZUUHEKZUUHFKZOPZOPZU
      IZXILZXQNTOPZXQQPZTXQYNOPZQPZRPZJZGYGSZYGXQUUROPZUPUDPZGUFZYPJZUUFUUGUUOU
      UMUQLZIYGSZUUGUVGIYGUUGUUHYGLZMZUUIUULXKXLUVIUUIUQLXMDUUHHUJUKUVJUUJUUKXL
      XKUVIUUJUQLXMEUUHHUJULXMXKUVIUUKUQLXLFUUHHUJUMUNUNUOXKXLUUOUVHURZXMXKHUSL
      UVKDHUTUUIUULIOHVAVBVCVDUUGUVAGYGUUGXPYGLZMZXQVILZYLVILZYMVILZUVAXKXLUVLU
      VNXMDXPHVEUKZXLXKUVLUVOXMEXPHVEULZXMXKUVLUVPXLFXPHVEUMZUVNUVOUVPUHZUUTXQT
      RPZXQUVTUUQXQUUSTRUVTUUQNXQQPZXQUUPNXQQVFVGUVNUVOUWBXQJUVPXQVHVCVJUVTUURU
      VNUVOUVPUURVILZUVOUVPMUVNYNVILUWCYLYMVKXQYNVKVLVTVMVNUVNUVOUWAXQJUVPXQVOV
      CVPVQUOUUGYGUVDYOGUVMUVCYNUPUDUVMXQYNUVQUVMYLYMUVRUVSVRVSWAWBUUOTYSLUVBUV
      FMZUUFWCUUEUWDXQUUAXRUURQPZRPZJZGYGSZUVFMABUUNTXIYSYBUUNJZUUDUWHYQUVFUWIU
      UCUWGGYGUWIUVLMZUUBUWFXQUWJYDUWEUUARUWJYCUURXRQUWIUVLYCXPUUNKUURXPYBUUNWD
      IXPUUMUURYGUUNIGXAZUUIXQUULYNOUUHXPDWEUWKUUJYLUUKYMOUUHXPEWEUUHXPFWEVNVNU
      UNWFXQYNOWGWHWIZWJWJWKWLUWIYKUVEYPUWIYGYJUVDGUWJYIUVCUPUDUWJYCUURXQOUWLWJ
      WAWBWMWNXRTJZUWHUVBUVFUWMUWGUVAGYGUWMUWFUUTXQUWMUUAUUQUWEUUSRUWMXSUUPXQQX
      RTNOWOWAXRTUURQWPVNWKWQWRXBWSWTXCXDXHYRUUEABXIYSXHYHUUDYQXHYFUUCGYGXHYEUU
      BXQXHYAUUAYDRXHXTXQXSQXPCDWDWJWAWKWQWRXEXFXG $.
  $}

  ${
    $d A p $.  $d B p $.  $d C p $.  $d D p $.  $d N p $.
    axsegconlem2.1 $e |- S =
       sum_ p e. ( 1 ... N ) ( ( ( A ` p ) - ( B ` p ) ) ^ 2 ) $.
    $( Lemma for ~ axsegcon .  Show that the square of the distance between two
       points is a real number.  (Contributed by Scott Fenton, 17-Sep-2013.) $)
    axsegconlem2 $p |- ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) -> S e. RR ) $=
      ( cee cfv wcel wa c1 cfz co cv cmin c2 cexp csu cr fveere resubcl resqcld
      fzfid syl2an anandirs fsumrecl eqeltrid ) ADGHZIZBUHIZJZCKDLMZENZAHZUMBHZ
      OMZPQMZERSFUKULUQEUKKDUCUIUJUMULIZUQSIZUIURJUNSIZUOSIZUSUJURJAUMDTBUMDTUT
      VAJUPUNUOUAUBUDUEUFUG $.

    $( Lemma for ~ axsegcon .  Show that the square of the distance between two
       points is nonnegative.  (Contributed by Scott Fenton, 17-Sep-2013.) $)
    axsegconlem3 $p |- ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) -> 0 <_ S ) $=
      ( cee cfv wcel wa cc0 c1 cfz co cv cmin c2 cexp cr fveere csu cle adantlr
      fzfid adantll resubcld resqcld sqge0d fsumge0 breqtrrdi ) ADGHZIZBUKIZJZK
      LDMNZEOZAHZUPBHZPNZQRNZEUACUBUNUOUTEUNLDUDUNUPUOIZJZUSVBUQURULVAUQSIUMAUP
      DTUCUMVAURSIULBUPDTUEUFZUGVBUSVCUHUIFUJ $.

    $( Lemma for ~ axsegcon .  Show that the distance between two points is a
       real number.  (Contributed by Scott Fenton, 17-Sep-2013.) $)
    axsegconlem4 $p |- ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
                  ( sqrt ` S ) e. RR ) $=
      ( cee cfv wcel wa axsegconlem2 axsegconlem3 resqrtcld ) ADGHZIBNIJCABCDEF
      KABCDEFLM $.

    $( Lemma for ~ axsegcon .  Show that the distance between two points is
       nonnegative.  (Contributed by Scott Fenton, 17-Sep-2013.) $)
    axsegconlem5 $p |- ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
                  0 <_ ( sqrt ` S ) ) $=
      ( cee cfv wcel wa axsegconlem2 axsegconlem3 sqrtge0d ) ADGHZIBNIJCABCDEFK
      ABCDEFLM $.

    $( Lemma for ~ axsegcon .  Show that the distance between two distinct
       points is positive.  (Contributed by Scott Fenton, 17-Sep-2013.) $)
    axsegconlem6 $p |- ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ A =/= B ) ->
                   0 < ( sqrt ` S ) ) $=
      ( cee cfv wcel wne w3a csqrt cr axsegconlem4 3adant3 cc0 cle wbr wceq co
      axsegconlem5 wa c1 cfz cv cmin c2 csu eqeelen eqeq1i bitr4di axsegconlem2
      cexp wb axsegconlem3 sqrt00 syl2anc bitr4d necon3bid biimp3a ne0gt0d ) AD
      GHZIZBVBIZABJZKCLHZVCVDVFMIVEABCDEFNOVCVDPVFQRVEABCDEFUAOVCVDVEVFPJVCVDUB
      ZABVFPVGABSZCPSZVFPSZVGVHUCDUDTEUEZAHVKBHUFTUGUMTEUHZPSVIABEDUICVLPFUJUKV
      GCMIPCQRVJVIUNABCDEFULABCDEFUOCUPUQURUSUTVA $.

    ${
      axsegconlem7.2 $e |- T = sum_ p e. ( 1 ... N )
                         ( ( ( C ` p ) - ( D ` p ) ) ^ 2 ) $.
      $( Lemma for ~ axsegcon .  Show that a particular ratio of distances is
         in the closed unit interval.  (Contributed by Scott Fenton,
         18-Sep-2013.) $)
      axsegconlem7 $p |- ( (
        ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ A =/= B ) /\
        ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
        ( ( sqrt ` S ) / ( ( sqrt ` S ) + ( sqrt ` T ) ) ) e. ( 0 [,] 1 ) ) $=
        ( cfv wcel wa csqrt co cc0 cle wbr cr adantr cee wne caddc cdiv c1 cicc
        w3a axsegconlem5 adantl axsegconlem4 3adant3 addge01 syl2an clt readdcl
        wb mpbid 0red axsegconlem6 ltletrd divelunit syl22anc mpbird ) AGUAKZLZ
        BVDLZABUBZUGZCVDLDVDLMZMZENKZVKFNKZUCOZUDOPUEUFOLZVKVMQRZVJPVLQRZVOVIVP
        VHCDFGHJUHUIVHVKSLZVLSLZVPVOUPVIVEVFVQVGABEGHIUJUKZCDFGHJUJZVKVLULUMUQZ
        VJVQPVKQRZVMSLZPVMUNRVNVOUPVHVQVIVSTZVHWBVIVEVFWBVGABEGHIUHUKTVHVQVRWCV
        IVSVTVKVLUOUMZVJPVKVMVJURWDWEVHPVKUNRVIABEGHIUSTWAUTVKVMVAVBVC $.

      ${
        $d A i k $.  $d B i k $.  $d C i k $.  $d D i k $.  $d N i k $.
        $d S i k $.  $d T i k $.  $d i p $.
        axsegconlem8.3 $e |- F = ( k e. ( 1 ... N ) |->
              ( ( ( ( ( sqrt ` S ) + ( sqrt ` T ) ) x. ( B ` k ) ) -
                  ( ( sqrt ` T ) x. ( A ` k ) ) ) /
                ( sqrt ` S ) ) ) $.
        $( Lemma for ~ axsegcon .  Show that a particular mapping generates a
           point.  (Contributed by Scott Fenton, 18-Sep-2013.) $)
        axsegconlem8 $p |- ( ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ A =/=
              B
            ) /\
     ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) -> F e. ( EE ` N ) ) $=
          ( cfv wcel wne wa co csqrt cr cee w3a c1 caddc cv cmul cmin cdiv cmpt
          cfz wral axsegconlem4 3adant3 ad2antrr ad2antlr readdcld simpl2 sylan
          fveere remulcld simpl1 resubcld cc0 axsegconlem6 gt0ne0d ralrimiva cn
          redivcld wb eleenn ad2antll mptelee syl mpbird eqeltrid ) AIUANZOZBVP
          OZABPZUBZCVPOZDVPOZQZQZHGUCIUJRZESNZFSNZUDRZGUEZBNZUFRZWGWIANZUFRZUGR
          ZWFUHRZUIZVPMWDWPVPOZWOTOZGWEUKZWDWRGWEWDWIWEOZQZWNWFXAWKWMXAWHWJXAWF
          WGVTWFTOZWCWTVQVRXBVSABEIJKULUMUNZWCWGTOVTWTCDFIJLULUOZUPWDVRWTWJTOVQ
          VRVSWCUQBWIIUSURUTXAWGWLXDWDVQWTWLTOVQVRVSWCVAAWIIUSURUTVBXCVTWFVCPWC
          WTVTWFABEIJKVDVEUNVHVFWDIVGOZWQWSVIWBXEVTWADIVJVKWNWFGUHIVLVMVNVO $.

        $( Lemma for ~ axsegcon .  Show that ` B F ` is congruent to ` C D ` .
           (Contributed by Scott Fenton, 19-Sep-2013.) $)
        axsegconlem9 $p |- ( ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ A =/=
              B
            ) /\
  ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
            sum_ i e. ( 1 ... N ) ( ( ( B ` i ) - ( F ` i ) ) ^ 2 ) =
            sum_ i e. ( 1 ... N ) ( ( ( C ` i ) - ( D ` i ) ) ^ 2 ) ) $=
          ( cfv wcel co cmin cmul recnd cee wne w3a wa c1 cfz cv cexp csu csqrt
          c2 cdiv caddc wceq weq fveq2 oveq2d oveq12d oveq1d fvmpt axsegconlem4
          ovex adantl cr 3adant3 ad2antrr simpl2 fveere remulcld readdcl syl2an
          sylan adantr ad2antlr simpl1 resubcld axsegconlem6 gt0ne0d divsubdird
          subsubd cneg renegcld adddid addcomd negsubd eqtrd negsubdi2d pncan2d
          cc0 negeqd eqtr3d subdird cc mulneg12 3eqtr3rd divcan3d sqdivd sqmuld
          syl2anc cle axsegconlem2 axsegconlem3 resqrtth sumeq2dv fzfid resqcld
          wbr 3eqtrd fsummulc2 cbvsumv eqtri eqtr4i oveq12i wb sqrt00 necon3bid
          eqid mpbid divmul3d mpbiri fsumdivc ) AJUAOZPZBYBPZABUBZUCZCYBPDYBPUD
          ZUDZUEJUFQZGUGZBOZYJIOZRQZUKUHQZGUIYIFYJAOZYKRQZUKUHQZSQZEULQZGUIZYIY
          JCOZYJDOZRQZUKUHQZGUIZYHYIYNYSGYHYJYIPZUDZYNFUJOZYPSQZEUJOZULQZUKUHQU
          UIUKUHQZUUJUKUHQZULQYSUUGYMUUKUKUHUUGYMYKUUJUUHUMQZYKSQZUUHYOSQZRQZUU
          JULQZRQZUUKUUGYLUURYKRUUFYLUURUNYHHYJUUNHUGZBOZSQZUUHUUTAOZSQZRQZUUJU
          LQUURYIIHGUOZUVEUUQUUJULUVFUVBUUOUVDUUPRUVFUVAYKUUNSUUTYJBUPUQUVFUVCY
          OUUHSUUTYJAUPUQURUSNUUQUUJULVBUTVCUQUUGUUJYKSQZUUQRQZUUJULQUVGUUJULQZ
          UURRQUUKUUSUUGUVGUUQUUJUUGUVGUUGUUJYKYFUUJVDPZYGUUFYCYDUVJYEABEJKLVAV
          EZVFZYHYDUUFYKVDPYCYDYEYGVGBYJJVHVLZVITZUUGUUQUUGUUOUUPUUGUUNYKYHUUNV
          DPZUUFYFUVJUUHVDPZUVOYGUVKCDFJKMVAZUUJUUHVJVKVMZUVMVIZUUGUUHYOYGUVPYF
          UUFUVQVNZYHYCUUFYOVDPYCYDYEYGVOAYJJVHVLZVIZVPTUUGUUJUVLTZYFUUJWIUBZYG
          UUFYFUUJABEJKLVQVRZVFZVSUUGUVHUUIUUJULUUGUVHUVGUUORQZUUPUMQZUUIUUGUVG
          UUOUUPUVNUUGUUOUVSTUUGUUPUWBTVTUUGUUHYKWAZYOUMQZSQUUHUWISQZUUPUMQUUIU
          WHUUGUUHUWIYOUUGUUHUVTTZUUGUWIUUGYKUVMWBTZUUGYOUWATZWCUUGUWJYPUUHSUUG
          UWJYOUWIUMQYPUUGUWIYOUWMUWNWDUUGYOYKUWNUUGYKUVMTZWEWFUQUUGUWKUWGUUPUM
          UUGUUJUUNRQZYKSQUUHWAZYKSQZUWGUWKUUGUWPUWQYKSUUGUUNUUJRQZWAUWPUWQUUGU
          UNUUJUUGUUNUVRTZUWCWGUUGUWSUUHUUGUUJUUHUWCUWLWHWJWKUSUUGUUJUUNYKUWCUW
          TUWOWLUUGUUHWMPYKWMPUWRUWKUNUWLUWOUUHYKWNWSWOUSWOWFUSUUGUVIYKUURRUUGY
          KUUJUWOUWCUWFWPUSWOWFUSUUGUUIUUJUUGUUIUUGUUHYPUVTUUGYOYKUWAUVMVPZVITU
          WCUWFWQUUGUULYRUUMEULUUGUULUUHUKUHQZYQSQYRUUGUUHYPUWLUUGYPUXATWRUUGUX
          BFYQSUUGFVDPZWIFWTXGZUXBFUNYGUXCYFUUFCDFJKMXAZVNZYGUXDYFUUFCDFJKMXBVN
          FXCWSUSWFYFUUMEUNZYGUUFYCYDUXGYEYCYDUDEVDPZWIEWTXGZUXGABEJKLXAZABEJKL
          XBZEXCWSVEVFURXHXDYHFYIYQGUIZSQZEULQZYIYRGUIZEULQUUEYTYHUXMUXOEULYHYI
          YQFGYHUEJXEZYHFYGUXCYFUXEVCZTUUGYQUUGYPUXAXFZTXIUSYHUXNUUEUNUXMUUEESQ
          UNFUUEUXLESFYIKUGZCOZUXSDOZRQZUKUHQZKUIUUEMYIUYCUUDKGKGUOZUYBUUCUKUHU
          YDUXTUUAUYAUUBRUXSYJCUPUXSYJDUPURUSXJXKUXLYIUXSAOZUXSBOZRQZUKUHQZKUIE
          YIYQUYHGKGKUOZYPUYGUKUHUYIYOUYEYKUYFRYJUXSAUPYJUXSBUPURUSXJLXLXMYHUXM
          UUEEYHUXMYHFUXLUXQYFUXLVDPZYGYCYDUYJYEABUXLJGUXLXQXAVEVMVITYHUUEYGUUE
          VDPYFCDUUEJGUUEXQXAVCTYHEYFUXHYGYCYDUXHYEUXJVEZVMTZYFEWIUBZYGYFUWDUYM
          UWEYFUXHUXIUWDUYMXNUYKYCYDUXIYEUXKVEUXHUXIUDUUJWIEWIEXOXPWSXRVMZXSXTY
          HYIYREGUXPUYLUUGYRUUGFYQUXFUXRVITUYNYAWOWF $.

        $( Lemma for ~ axsegcon .  Show that the scaling constant from
           ~ axsegconlem7 produces the betweenness condition for ` A ` , ` B `
           and ` F ` .  (Contributed by Scott Fenton, 21-Sep-2013.) $)
        axsegconlem10 $p |- ( ( ( A e. ( EE ` N ) /\ B e. ( EE ` N )
          /\ A =/= B ) /\ ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
  A. i e. ( 1 ... N ) ( B ` i ) =
  ( ( ( 1 - ( ( sqrt ` S ) / ( ( sqrt ` S ) + ( sqrt ` T ) ) ) ) x. ( A ` i ) )
  + ( ( ( sqrt ` S ) / ( ( sqrt ` S ) + ( sqrt ` T ) ) ) x. ( F ` i ) ) ) ) $=
          ( cfv wcel co cdiv cmul recnd cee wne w3a wa cv csqrt caddc cmin wceq
          c1 cfz cr axsegconlem4 ad2antlr simpl1 fveere sylan remulcld ad2antrr
          3adant3 axsegconlem8 readdcl syl2an cc0 0red clt wbr axsegconlem6 cle
          adantr axsegconlem5 adantl wb addge01 mpbid ltletrd gt0ne0d weq fveq2
          divdird oveq2d oveq12d oveq1d fvmpt simpl2 resubcld divcan2d readdcld
          ovex eqtrd pncan3d divmul2d mpbird cc div23d divsubdird pncan2 dividd
          3eqtr3d ralrimiva ) AJUAOZPZBXAPZABUBZUCZCXAPDXAPUDZUDZGUEZBOZUJEUFOZ
          XJFUFOZUGQZRQZUHQZXHAOZSQZXMXHIOZSQZUGQZUIGUJJUKQZXGXHXTPZUDZXKXOSQZX
          JXQSQZUGQZXLRQZYCXLRQZYDXLRQZUGQXIXSYBYCYDXLYBYCYBXKXOXFXKULPZXEYACDF
          JKMUMZUNXGXBYAXOULPXBXCXDXFUOAXHJUPUQZURZTZYBYDYBXJXQXEXJULPZXFYAXBXC
          YNXDABEJKLUMUTZUSZXGIXAPYAXQULPABCDEFHIJKLMNVAIXHJUPUQZURZTYBXLXGXLUL
          PZYAXEYNYIYSXFYOYJXJXKVBVCZVJZTZXGXLVDUBYAXGXLXGVDXJXLXGVEXEYNXFYOVJY
          TXEVDXJVFVGXFABEJKLVHZVJXGVDXKVIVGZXJXLVIVGZXFUUDXECDFJKMVKVLXEYNYIUU
          DUUEVMXFYOYJXJXKVNVCVOVPVQVJZVTYBYFXIUIYEXLXISQZUIYBYEYCUUGYCUHQZUGQU
          UGYBYDUUHYCUGYBYDXJUUHXJRQZSQUUHYBXQUUIXJSYAXQUUIUIXGHXHXLHUEZBOZSQZX
          KUUJAOZSQZUHQZXJRQUUIXTIHGVRZUUOUUHXJRUUPUULUUGUUNYCUHUUPUUKXIXLSUUJX
          HBVSWAUUPUUMXOXKSUUJXHAVSWAWBWCNUUHXJRWIWDVLWAYBUUHXJYBUUHYBUUGYCYBXL
          XIUUAXGXCYAXIULPXBXCXDXFWEBXHJUPUQZURZYLWFTYBXJYPTZXEXJVDUBXFYAXEXJUU
          CVQUSWGWJWAYBYCUUGYMYBUUGUURTWKWJYBYEXIXLYBYEYBYCYDYLYRWHTYBXIUUQTUUB
          UUFWLWMYBYGXPYHXRUGYBYGXKXLRQZXOSQXPYBXKXOXLXFXKWNPZXEYAXFXKYJTZUNYBX
          OYKTUUBUUFWOYBUUTXNXOSYBXLXJUHQZXLRQXLXLRQZXMUHQUUTXNYBXLXJXLUUBUUSUU
          BUUFWPYBUVCXKXLRXGUVCXKUIZYAXEXJWNPUVAUVEXFXEXJYOTUVBXJXKWQVCVJWCYBUV
          DUJXMUHYBXLUUBUUFWRWCWSWCWJYBXJXQXLUUSYBXQYQTUUBUUFWOWBWSWT $.
      $}
    $}
  $}

  ${
    $d N k p t i x $.  $d A k p t i x $.  $d B k p t i x $.  $d C k p t i x $.
    $d D k p t i x $.
    $( Any segment ` A B ` can be extended to a point ` x ` such that ` B x `
       is congruent to ` C D ` .  Axiom A4 of [Schwabhauser] p. 11.
       (Contributed by Scott Fenton, 4-Jun-2013.) $)
    axsegcon $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
       ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
       E. x e. ( EE ` N ) ( B Btwn <. A , x >. /\
                            <. B , x >. Cgr <. C , D >. ) ) $=
      ( vi vt vk vp cfv wcel wa cmin co cmul caddc wceq c2 cexp cee cv cop ccgr
      cbtwn wbr wrex cn c1 cfz wral csu cc0 cicc wi axsegconlem1 ex wne simprll
      simprlr simpl w3a csqrt cdiv cmpt axsegconlem8 axsegconlem7 axsegconlem10
      simprr axsegconlem9 oveq2d eqeq2d ralbidv oveq1d sumeq2sdv eqeq1d anbi12d
      eqid fveq1 oveq2 oveq1 oveq12d anbi1d rspc2ev syl112anc pm2.61ine simpllr
      syl31anc wb simplll simpr brbtwn syl3anc simplrl simplrr syl22anc r19.41v
      brcgr bitr4di rexbidva mpbird 3adant1 ) BFUAKZLZCXCLZMZDXCLZEXCLZMZCBAUBZ
      UCUEUFZCXJUCDEUCUDUFZMZAXCUGZFUHLXFXIMZXNGUBZCKZUIHUBZNOZXPBKZPOZXRXPXJKZ
      POZQOZRZGUIFUJOZUKZYFXQYBNOZSTOZGULZYFXPDKXPEKNOSTOGULZRZMZHUMUIUNOZUGZAX
      CUGZXOYPUOBCBCRXOYPAHBCDEGFUPUQBCURZXOYPYQXOMXDXEYQXIYPYQXDXEXIUSYQXDXEXI
      UTYQXOVAYQXFXIVIXDXEYQVBXIMIYFYFJUBZBKYRCKNOSTOJULZVCKZYFYRDKYREKNOSTOJUL
      ZVCKZQOZIUBZCKPOUUBUUDBKPONOYTVDOVEZXCLYTUUCVDOZYNLXQUIUUFNOZXTPOZUUFXPUU
      EKZPOZQOZRZGYFUKZYFXQUUINOZSTOZGULZYKRZYPBCDEYSUUAIUUEFJYSVRZUUAVRZUUEVRZ
      VFBCDEYSUUAFJUURUUSVGBCDEYSUUAGIUUEFJUURUUSUUTVHBCDEYSUUAGIUUEFJUURUUSUUT
      VJYMUUMUUQMXQYAXRUUIPOZQOZRZGYFUKZUUQMAHUUEUUFXCYNXJUUERZYGUVDYLUUQUVEYEU
      VCGYFUVEYDUVBXQUVEYCUVAYAQUVEYBUUIXRPXPXJUUEVSZVKVKVLVMUVEYJUUPYKUVEYFYIU
      UOGUVEYHUUNSTUVEYBUUIXQNUVFVKVNVOVPVQXRUUFRZUVDUUMUUQUVGUVCUULGYFUVGUVBUU
      KXQUVGYAUUHUVAUUJQUVGXSUUGXTPXRUUFUINVTVNXRUUFUUIPWAWBVLVMWCWDWEWHUQWFXOX
      MYOAXCXOXJXCLZMZXMYGHYNUGZYLMYOUVIXKUVJXLYLUVIXEXDUVHXKUVJWIXDXEXIUVHWGZX
      DXEXIUVHWJXOUVHWKZHCBXJGFWLWMUVIXEUVHXGXHXLYLWIUVKUVLXFXGXHUVHWNXFXGXHUVH
      WOCXJDEGFWRWPVQYGYLHYNWQWSWTXAXB $.
  $}

  ${
    $d A i j $.  $d B i j $.  $d C i j $.  $d N i j $.  $d T i j $.
    $( Lemma for ~ ax5seg .  Rexpress a one congruence sum given betweenness.
       (Contributed by Scott Fenton, 11-Jun-2013.) $)
    ax5seglem1 $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( T e. ( 0 [,] 1 ) /\
         A. i e. ( 1 ... N ) ( B ` i ) =
          ( ( ( 1 - T ) x. ( A ` i ) ) + ( T x. ( C ` i ) ) ) ) ) ->
       sum_ j e. ( 1 ... N ) ( ( ( A ` j ) - ( B ` j ) ) ^ 2 ) =
       ( ( T ^ 2 ) x.
         sum_ j e. ( 1 ... N ) ( ( ( A ` j ) - ( C ` j ) ) ^ 2 ) ) ) $=
      ( wcel cfv wa c1 co cmin cmul wceq c2 cexp cc adantr oveq1d cn cee cc0 cv
      cicc caddc cfz w3a csu simpl2l fveecn sylancom simpl2r cr cle wbr elicc01
      wral simp1bi recnd fveq2 oveq2d oveq12d eqeq12d rspccva adantll 3ad2antl3
      3ad2ant3 oveq2 subdi 3coml ax-1cn subcl adantl simpl subdir mp3an2i nncan
      mpan mulid2 3eqtr3rd 3adant2 simp1 mulcl ancoms 3adant1 subsub4d 3eqtr2rd
      sylan simp3 3adant3 sqmuld eqtrd syl31anc sumeq2dv fzfid resqcld 3adant2r
      sylan9eqr 3adant2l subcld sqcld 3expa 3adantl3 fsummulc2 eqtr4d ) GUAHZAG
      UBIZHZCXHHZJZDUCKUELHZEUDZBIZKDMLZXMAIZNLZDXMCIZNLZUFLZOZEKGUGLZURZJZUHZY
      BFUDZAIZYFBIZMLZPQLZFUIYBDPQLZYGYFCIZMLZPQLZNLZFUIYKYBYNFUINLYEYBYJYOFYEY
      FYBHZJYGRHZYLRHZDRHZYHXOYGNLZDYLNLZUFLZOZYJYOOYEYPXIYQXIXJXGYDYPUJAYFGUKZ
      ULYEYPXJYRXIXJXGYDYPUMCYFGUKZULYEYSYPYEDYDXGDUNHZXKXLUUFYCXLUUFUCDUOUPDKU
      OUPDUQUSZSVHUTSYDXGYPUUCXKYCYPUUCXLYAUUCEYFYBXMYFOZXNYHXTUUBXMYFBVAUUHXQY
      TXSUUAUFUUHXPYGXONXMYFAVAVBUUHXRYLDNXMYFCVAVBVCVDVEVFVGUUCYQYRYSUHZYJYGUU
      BMLZPQLZYOUUCYIUUJPQYHUUBYGMVITUUIUUKDYMNLZPQLYOUUIUUJUULPQUUIUULDYGNLZUU
      AMLZYGYTMLZUUAMLZUUJYSYQYRUULUUNODYGYLVJVKYQYSUUPUUNOYRYQYSJZUUOUUMUUAMUU
      QKXOMLZYGNLZKYGNLZYTMLZUUMUUOKRHZUUQXORHZYQUUSUVAOVLYSUVCYQUVBYSUVCVLKDVM
      VSZVNYQYSVOKXOYGVPVQYSUUSUUMOYQYSUURDYGNUVBYSUURDOVLKDVRVSTVNYQUVAUUOOYSY
      QUUTYGYTMYGVTTSWATWBUUIYGYTUUAYQYRYSWCYQYSYTRHZYRYSYQUVEYSUVCYQUVEUVDXOYG
      WDWIWEWBYRYSUUARHZYQYSYRUVFDYLWDWEWFWGWHTUUIDYMYQYRYSWJYQYRYMRHYSYGYLVMWK
      WLWMWSWNWOYEYBYNYKFYEKGWPYDXGYKRHZXKXLUVGYCXLYKXLDUUGWQUTSVHXGXKYPYNRHZYD
      XGXKYPUVHXGXKYPUHZYMUVIYGYLXGXIYPYQXJXIYPYQXGUUDWFWRXGXJYPYRXIXJYPYRXGUUE
      WFWTXAXBXCXDXEXF $.

    $( Lemma for ~ ax5seg .  Rexpress another congruence sum given betweenness.
       (Contributed by Scott Fenton, 11-Jun-2013.) $)
    ax5seglem2 $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( T e. ( 0 [,] 1 ) /\
         A. i e. ( 1 ... N ) ( B ` i ) =
          ( ( ( 1 - T ) x. ( A ` i ) ) + ( T x. ( C ` i ) ) ) ) ) ->
       sum_ j e. ( 1 ... N ) ( ( ( B ` j ) - ( C ` j ) ) ^ 2 ) =
       ( ( ( 1 - T ) ^ 2 ) x.
         sum_ j e. ( 1 ... N ) ( ( ( A ` j ) - ( C ` j ) ) ^ 2 ) ) ) $=
      ( wcel cfv wa c1 co cmin cmul caddc wceq w3a c2 cexp cc cn cee cc0 cv cfz
      cicc csu simpl2l fveecn sylancom simpl2r cr cle wbr elicc01 simp1bi recnd
      wral adantr 3ad2ant3 fveq2 oveq2d oveq12d eqeq12d rspccva 3ad2antl3 oveq1
      adantll oveq1d ax-1cn subcl mpan simp1 simp3 simp2 addsubassd subdi 3coml
      mulcld syl3an1 subdir mp3an1 ancoms mulid2 3ad2ant2 eqtrd subsub2d 3eqtrd
      3adant1 eqtr4d 3adant3 sqmuld sylan9eqr syl31anc sumeq2dv resubcl sylancr
      fzfid 1re resqcld 3adant2r 3adant2l subcld sqcld 3expa 3adantl3 fsummulc2
      ) GUAHZAGUBIZHZCXIHZJZDUCKUFLHZEUDZBIZKDMLZXNAIZNLZDXNCIZNLZOLZPZEKGUELZU
      RZJZQZYCFUDZBIZYGCIZMLZRSLZFUGYCXPRSLZYGAIZYIMLZRSLZNLZFUGYLYCYOFUGNLYFYC
      YKYPFYFYGYCHZJYMTHZYITHZDTHZYHXPYMNLZDYINLZOLZPZYKYPPYFYQXJYRXJXKXHYEYQUH
      AYGGUIZUJYFYQXKYSXJXKXHYEYQUKCYGGUIZUJYFYTYQYEXHYTXLXMYTYDXMDXMDULHZUCDUM
      UNDKUMUNDUOUPZUQUSUTUSYEXHYQUUDXLYDYQUUDXMYBUUDEYGYCXNYGPZXOYHYAUUCXNYGBV
      AUUIXRUUAXTUUBOUUIXQYMXPNXNYGAVAVBUUIXSYIDNXNYGCVAVBVCVDVEVHVFUUDYRYSYTQZ
      YKUUCYIMLZRSLZYPUUDYJUUKRSYHUUCYIMVGVIUUJUULXPYNNLZRSLYPUUJUUKUUMRSUUJUUK
      UUAUUBYIMLOLZUUMUUJUUAUUBYIUUJXPYMYTYRXPTHZYSKTHZYTUUOVJKDVKVLZUTZYRYSYTV
      MVSZUUJDYIYRYSYTVNYRYSYTVOZVSZUUTVPUUJUUMUUAXPYINLZMLZUUAYIUUBMLZMLUUNYTY
      RYSUUMUVCPZYTUUOYRYSUVEUUQXPYMYIVQVTVRUUJUVBUVDUUAMUUJUVBKYINLZUUBMLZUVDY
      SYTUVBUVGPZYRYTYSUVHUUPYTYSUVHVJKDYIWAWBWCWIYSYRUVGUVDPYTYSUVFYIUUBMYIWDV
      IWEWFVBUUJUUAYIUUBUUSUUTUVAWGWHWJVIUUJXPYNUURYRYSYNTHYTYMYIVKWKWLWFWMWNWO
      YFYCYOYLFYFKGWRYEXHYLTHZXLXMUVIYDXMYLXMXPXMKULHUUGXPULHWSUUHKDWPWQWTUQUSU
      TXHXLYQYOTHZYEXHXLYQUVJXHXLYQQZYNUVKYMYIXHXJYQYRXKXJYQYRXHUUEWIXAXHXKYQYS
      XJXKYQYSXHUUFWIXBXCXDXEXFXGWJ $.
  $}

  $( Lemma for ~ ax5seg .  (Contributed by Scott Fenton, 7-May-2015.) $)
  ax5seglem3a $p |- ( ( ( N e. NN /\
    ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
    ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) /\
      j e. ( 1 ... N ) ) ->
      ( ( ( A ` j ) - ( C ` j ) ) e. RR /\
        ( ( D ` j ) - ( F ` j ) ) e. RR ) ) $=
    ( cn wcel cee cfv w3a cv co cmin cr fveere sylancom resubcld c1 cfz simpl21
    wa simpl23 simpl31 simpl33 jca ) HIJZAHKLZJZBUJJZCUJJZMZDUJJZFUJJZGUJJZMZMZ
    ENZUAHUBOJZUDZUTALZUTCLZPOQJUTDLZUTGLZPOQJVBVCVDUSVAUKVCQJUKULUMUIURVAUCAUT
    HRSUSVAUMVDQJUKULUMUIURVAUECUTHRSTVBVEVFUSVAUOVEQJUOUPUQUIUNVAUFDUTHRSUSVAU
    QVFQJUOUPUQUIUNVAUGGUTHRSTUH $.

  ${
    $d A i j $.  $d B i j $.  $d C i j $.  $d D i j $.  $d E i j $.
    $d F i j $.  $d N i j $.  $d S i j $.  $d T i j $.
    $( Lemma for ~ ax5seg .  Combine congruences for points on a line.
       (Contributed by Scott Fenton, 11-Jun-2013.) $)
    ax5seglem3 $p |-
        ( ( ( N e. NN /\
            ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
            ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) /\
            ( ( T e. ( 0 [,] 1 ) /\ S e. ( 0 [,] 1 ) ) /\
              ( A. i e. ( 1 ... N )
                ( B ` i ) =
                ( ( ( 1 - T ) x. ( A ` i ) ) + ( T x. ( C ` i ) ) ) /\
                A. i e. ( 1 ... N )
                ( E ` i ) =
                ( ( ( 1 - S ) x. ( D ` i ) ) + ( S x. ( F ` i ) ) ) ) ) /\
            ( <. A , B >. Cgr <. D , E >. /\
              <. B , C >. Cgr <. E , F >. ) ) ->
         sum_ j e. ( 1 ... N ) ( ( ( A ` j ) - ( C ` j ) ) ^ 2 ) =
         sum_ j e. ( 1 ... N ) ( ( ( D ` j ) - ( F ` j ) ) ^ 2 ) ) $=
      ( wcel cfv c1 co cmul wceq wbr c2 cexp cn cee w3a cc0 cicc wa cv cmin cfz
      caddc wral cop ccgr csu csqrt cr 1re cle elicc01 simp1bi resubcl ad2antrr
      sylancr 3ad2ant2 fzfid ax5seglem3a simpld resqcld fsumrecl sqge0d fsumge0
      resqrtcld 3ad2ant1 remulcld ad2antlr simprd simp3bi subge0 mpbird mulge0d
      wb sqrtge0d resqrtth syl2anc oveq2d cc ax-1cn recnd sqmuld simp3r simp122
      subcl simp123 simp132 simp133 brcgr syl22anc mpbid simp11 simp121 simp2ll
      simp2rl ax5seglem2 syl122anc simp131 simp2lr simp2rr 3eqtr3d sq11d simp3l
      3eqtr4d simp2bi oveq12d adddird npcan adantr oveq1d mulid2d eqtrd sqrt11
      ax5seglem1 ) KUALZAKUBMZLZBYCLZCYCLZUCZDYCLZIYCLZJYCLZUCZUCZFUDNUEOZLZEYM
      LZUFZGUGZBMNFUHOZYQAMPOFYQCMPOUJOQGNKUIOZUKZYQIMNEUHOZYQDMPOEYQJMPOUJOQGY
      SUKZUFZUFZABULDIULUMRZBCULIJULUMRZUFZUCZYSHUGZAMZUUICMZUHOZSTOZHUNZUOMZYS
      UUIDMZUUIJMZUHOZSTOZHUNZUOMZQZUUNUUTQZUUHYRFUJOZUUOPOZUUAEUJOZUVAPOZUUOUV
      AUUHYRUUOPOZFUUOPOZUJOUUAUVAPOZEUVAPOZUJOUVEUVGUUHUVHUVJUVIUVKUJUUHUVHUVJ
      UUHYRUUOUUDYLYRUPLZUUGYNUVLYOUUCYNNUPLZFUPLZUVLUQYNUVNUDFURRZFNURRZFUSZUT
      ZNFVAVCVBVDZYLUUDUUOUPLUUGYLUUNYLYSUUMHYLNKVEZYLUUIYSLUFZUULUWAUULUPLZUUR
      UPLZABCDHIJKVFZVGZVHZVIZYLYSUUMHUVTUWFUWAUULUWEVJVKZVLZVMZVNUUHUUAUVAUUDY
      LUUAUPLZUUGYOUWKYNUUCYOUVMEUPLZUWKUQYOUWLUDEURRZENURRZEUSZUTZNEVAVCVOVDZY
      LUUDUVAUPLUUGYLUUTYLYSUUSHUVTUWAUURUWAUWBUWCUWDVPZVHZVIZYLYSUUSHUVTUWSUWA
      UURUWRVJVKZVLZVMZVNUUHYRUUOUVSUWJUUDYLUDYRURRZUUGYNUXDYOUUCYNUXDUVPYNUVNU
      VOUVPUVQVQYNUVMUVNUXDUVPWAUQUVRNFVRVCVSVBVDYLUUDUDUUOURRUUGYLUUNUWGUWHWBV
      MZVTUUHUUAUVAUWQUXCUUDYLUDUUAURRZUUGYOUXFYNUUCYOUXFUWNYOUWLUWMUWNUWOVQYOU
      VMUWLUXFUWNWAUQUWPNEVRVCVSVOVDYLUUDUDUVAURRUUGYLUUTUWTUXAWBVMZVTUUHYRSTOZ
      UUOSTOZPOUXHUUNPOZUVHSTOUVJSTOZUUHUXIUUNUXHPYLUUDUXIUUNQZUUGYLUUNUPLZUDUU
      NURRZUXLUWGUWHUUNWCWDZVMWEUUHYRUUOUUHNWFLZFWFLZYRWFLWGUUDYLUXQUUGYNUXQYOU
      UCYNFUVRWHZVBVDZNFWLVCZYLUUDUUOWFLUUGYLUUOUWIWHZVMZWIUUHUUASTOZUVASTOZPOU
      YCUUTPOZUXKUXJUUHUYDUUTUYCPYLUUDUYDUUTQZUUGYLUUTUPLZUDUUTURRZUYFUWTUXAUUT
      WCWDVMZWEUUHUUAUVAUUHUXPEWFLZUUAWFLWGUUDYLUYJUUGYOUYJYNUUCYOEUWPWHZVOVDZN
      EWLVCZYLUUDUVAWFLUUGYLUVAUXBWHZVMZWIUUHYSUUIBMZUUKUHOSTOHUNZYSUUIIMZUUQUH
      OSTOHUNZUXJUYEUUHUUFUYQUYSQZYLUUDUUEUUFWJUUHYEYFYIYJUUFUYTWAYDYEYFYBYKUUD
      UUGWKZYDYEYFYBYKUUDUUGWMZYHYIYJYBYGUUDUUGWNZYHYIYJYBYGUUDUUGWOZBCIJHKWPWQ
      WRUUHYBYDYFYNYTUYQUXJQYBYGYKUUDUUGWSZYDYEYFYBYKUUDUUGWTZVUBYNYOUUCYLUUGXA
      ZYTUUBYPYLUUGXBZABCFGHKXCXDUUHYBYHYJYOUUBUYSUYEQVUEYHYIYJYBYGUUDUUGXEZVUD
      YNYOUUCYLUUGXFZYTUUBYPYLUUGXGZDIJEGHKXCXDXHXKXKXIUUHUVIUVKUUHFUUOUUDYLUVN
      UUGYNUVNYOUUCUVRVBVDZUWJVNUUHEUVAUUDYLUWLUUGYOUWLYNUUCUWPVOVDZUXCVNUUHFUU
      OVULUWJUUDYLUVOUUGYNUVOYOUUCYNUVNUVOUVPUVQXLVBVDUXEVTUUHEUVAVUMUXCUUDYLUW
      MUUGYOUWMYNUUCYOUWLUWMUWNUWOXLVOVDUXGVTUUHFSTOZUXIPOZVUNUUNPOZUVISTOUVKST
      OZYLUUDVUOVUPQUUGYLUXIUUNVUNPUXOWEVMUUHFUUOUXSUYBWIUUHESTOZUYDPOVURUUTPOZ
      VUQVUPUUHUYDUUTVURPUYIWEUUHEUVAUYLUYOWIUUHYSUUJUYPUHOSTOHUNZYSUUPUYRUHOST
      OHUNZVUPVUSUUHUUEVUTVVAQZYLUUDUUEUUFXJUUHYDYEYHYIUUEVVBWAVUFVUAVUIVUCABDI
      HKWPWQWRUUHYBYDYFYNYTVUTVUPQVUEVUFVUBVUGVUHABCFGHKYAXDUUHYBYHYJYOUUBVVAVU
      SQVUEVUIVUDVUJVUKDIJEGHKYAXDXHXKXKXIXMUUHYRFUUOUXTUXSUYBXNUUHUUAEUVAUYMUY
      LUYOXNXKUUHUVENUUOPOZUUOUUDYLUVEVVCQZUUGYPVVDUUCYPUVDNUUOPYNUVDNQZYOYNUXP
      UXQVVEWGUXRNFXOVCXPXQXPVDYLUUDVVCUUOQUUGYLUUOUYAXRVMXSUUHUVGNUVAPOZUVAUUD
      YLUVGVVFQZUUGYOVVGYNUUCYOUVFNUVAPYOUXPUYJUVFNQWGUYKNEXOVCXQVOVDYLUUDVVFUV
      AQUUGYLUVAUYNXRVMXSXHYLUUDUVBUVCWAZUUGYLUXMUXNUYGUYHVVHUWGUWHUWTUXAUUNUUT
      XTWQVMWR $.
  $}

  ${
    $d A i $.  $d B i $.  $d C i $.  $d N i $.  $d T i $.
    $( Lemma for ~ ax5seg .  Given two distinct points, the scaling constant in
       a betweenness statement is nonzero.  (Contributed by Scott Fenton,
       11-Jun-2013.) $)
    ax5seglem4 $p |-
       ( ( ( N e. NN /\
           ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) /\
           A. i e. ( 1 ... N )
               ( B ` i ) =
               ( ( ( 1 - T ) x. ( A ` i ) ) + ( T x. ( C ` i ) ) ) /\
            A =/= B ) -> T =/= 0 ) $=
      ( wcel cfv wa c1 cmin co cmul caddc wceq wral wne cc0 cc fveecn cn cee cv
      w3a cfz oveq2 1m0e1 eqtrdi oveq1d oveq1 oveq12d eqeq2d ralbidv biimpac wb
      eqeefv 3adant1 3adant3r3 simplr1 sylancom simplr3 mulid2 oveqan12d addid1
      mul02 adantr eqtrd syl2anc eqcom bitr3di ralbidva syl5ibr expdimp necon3d
      eqeq1d bitrd 3impia ) FUAGZAFUBHZGZBVSGZCVSGZUDIZEUCZBHZJDKLZWDAHZMLZDWDC
      HZMLZNLZOZEJFUELZPZABQDRQWCWNIDRABWCWNDROZABOZWNWOIWPWCWEJWGMLZRWIMLZNLZO
      ZEWMPZWOWNXAWOWLWTEWMWOWKWSWEWOWHWQWJWRNWOWFJWGMWOWFJRKLJDRJKUFUGUHUIDRWI
      MUJUKULUMUNWCWPWGWEOZEWMPZXAVRVTWAWPXCUOZWBVTWAXDVRABEFUPUQURWCXBWTEWMWCW
      DWMGZIZWSWEOXBWTXFWSWGWEXFWGSGZWISGZWSWGOWCXEVTXGVTWAWBVRXEUSAWDFTUTWCXEW
      BXHVTWAWBVRXEVACWDFTUTXGXHIWSWGRNLZWGXGXHWQWGWRRNWGVBWIVEVCXGXIWGOXHWGVDV
      FVGVHVOWSWEVIVJVKVPVLVMVNVQ $.
  $}

  ${
    $d A i j $.  $d B i j $.  $d C i j $.  $d T i $.  $d N i j $.
    $( Lemma for ~ ax5seg .  If ` B ` is between ` A ` and ` C ` , and ` A ` is
       distinct from ` B ` , then ` A ` is distinct from ` C ` .  (Contributed
       by Scott Fenton, 11-Jun-2013.) $)
    ax5seglem5 $p |-
        ( ( ( N e. NN /\
            ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) /\
            ( A =/= B /\ T e. ( 0 [,] 1 ) /\
              A. i e. ( 1 ... N )
                ( B ` i ) =
                ( ( ( 1 - T ) x. ( A ` i ) ) + ( T x. ( C ` i ) ) ) ) ) ->
         sum_ j e. ( 1 ... N ) ( ( ( A ` j ) - ( C ` j ) ) ^ 2 ) =/= 0 ) $=
      ( wcel cfv wa wne cc0 c1 co cmul caddc wceq wral wb cc cn cee w3a cicc cv
      cmin cfz c2 cexp csu fveq1 oveq2d eqeq2d ralbidv biimparc simplr1 simplr2
      wi eqeefv syl2anc fveecn sylan cr cle wbr elicc01 simp1bi ad2antlr ax-1cn
      recnd npcan mpan oveq1d mulid2 sylan9eqr subcl adantl simpr simpl adddird
      eqtr3d eqeq1d eqcom bitrdi ralbidva bitrd syl5ibr expd impr necon3d com23
      ex exp4a 3imp2 simplr3 eqeelen necon3bid mpbid ) GUAHZAGUBIZHZBWTHZCWTHZU
      CJZABKZDLMUDNHZEUEZBIZMDUFNZXGAIZONZDXGCIZONZPNZQZEMGUGNZRZUCZJZACKZXPFUE
      ZAIYACIUFNUHUINFUJZLKXDXEXFXQXTXDXEXFXQXTXDXFXQJZXEXTXDYCXEXTURXDYCJACABX
      DXFXQACQZABQZURXDXFJZXQYDYEXQYDJYEYFXHXKDXJONZPNZQZEXPRZYDYJXQYDYIXOEXPYD
      YHXNXHYDYGXMXKPYDXJXLDOXGACUKULULUMUNUOYFYEXJXHQZEXPRZYJYFXAXBYEYLSXAXBXC
      WSXFUPZXAXBXCWSXFUQABEGUSUTYFYKYIEXPYFXGXPHZJZYKYHXHQZYIYOXJTHZDTHZYKYPSY
      FXAYNYQYMAXGGVAVBXFYRXDYNXFDXFDVCHLDVDVEDMVDVEDVFVGVJVHYQYRJZXJYHXHYSXIDP
      NZXJONZXJYHYRYQUUAMXJONXJYRYTMXJOMTHZYRYTMQVIMDVKVLVMXJVNVOYSXIDXJYRXITHZ
      YQUUBYRUUCVIMDVPVLVQYQYRVRYQYRVSVTWAWBUTYHXHWCWDWEWFWGWHWIWJWLWKWMWNXSACY
      BLXSXAXCYDYBLQSXAXBXCWSXRUPXAXBXCWSXRWOACFGWPUTWQWR $.
  $}

  ${
    $d A i j $.  $d B i j $.  $d C i j $.  $d D i j $.  $d E i j $.
    $d F i j $.  $d N i j $.  $d S i j $.  $d T i j $.
    $( Lemma for ~ ax5seg .  Given two line segments that are divided into
       pieces, if the pieces are congruent, then the scaling constant is the
       same.  (Contributed by Scott Fenton, 12-Jun-2013.) $)
    ax5seglem6 $p |-
        ( ( ( N e. NN /\
            ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
              ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) ) /\
            ( A =/= B /\ ( T e. ( 0 [,] 1 ) /\ S e. ( 0 [,] 1 ) ) /\
              ( A. i e. ( 1 ... N )
                ( B ` i ) =
                ( ( ( 1 - T ) x. ( A ` i ) ) + ( T x. ( C ` i ) ) ) /\
                A. i e. ( 1 ... N )
                ( E ` i ) =
                ( ( ( 1 - S ) x. ( D ` i ) ) + ( S x. ( F ` i ) ) ) ) ) /\
            ( <. A , B >. Cgr <. D , E >. /\
              <. B , C >. Cgr <. E , F >. ) ) -> T = S ) $=
      ( vj wcel cfv wa c1 co cmin cmul wceq wbr cn cee w3a wne cc0 cv caddc cfz
      cicc wral cop ccgr c2 cexp csu cr cc simp22l elicc01 simp1bi resqcl recnd
      cle 3syl simp22r fzfid simprl1 3ad2ant1 fveecn sylan simprl3 subcld sqcld
      fsumcl simp1l simp1rl simp21 simp23l ax5seglem5 simp3l wb simprl2 simprr1
      syl23anc simprr2 brcgr mpbid ax5seglem1 syl122anc simprr3 simp23r 3eqtr3d
      simp1rr simp22 simp23 simp3r ax5seglem3 syl322anc oveq2d eqtr4d mulcan2ad
      syl22anc simp2bi jca syl sq11 syl2anc ) JUALZAJUBMZLZBXILZCXILZUCZDXILZHX
      ILZIXILZUCZNZNZABUDZFUEOUIPZLZEYALZNZGUFZBMOFQPYEAMRPFYECMRPUGPSGOJUHPZUJ
      ZYEHMOEQPYEDMRPEYEIMRPUGPSGYFUJZNZUCZABUKDHUKULTZBCUKHIUKULTZNZUCZFUMUNPZ
      EUMUNPZSZFESZYNYOYPYFKUFZAMZYSCMZQPZUMUNPZKUOZYNYBFUPLZYOUQLYBYCXTYIXSYMU
      RZYBUUEUEFVCTZFOVCTZFUSZUTZUUEYOFVAVBVDYNYCEUPLZYPUQLYBYCXTYIXSYMVEZYCUUK
      UEEVCTZEOVCTZEUSZUTZUUKYPEVAVBVDYNYFUUCKYNOJVFYNYSYFLZNZUUBUURYTUUAYNXJUU
      QYTUQLXSYJXJYMXJXKXLXQXHVGZVHZAYSJVIVJYNXLUUQUUAUQLXSYJXLYMXJXKXLXQXHVKVH
      ZCYSJVIVJVLVMVNYNXHXMXTYBYGUUDUEUDXHXRYJYMVOZXMXQXHYJYMVPZXSXTYDYIYMVQUUF
      YGYHXTYDXSYMVRZABCFGKJVSWDYNYOUUDRPZYPYFYSDMZYSIMQPUMUNPKUOZRPZYPUUDRPYNY
      FYTYSBMQPUMUNPKUOZYFUVFYSHMQPUMUNPKUOZUVEUVHYNYKUVIUVJSZXSYJYKYLVTZXSYJYK
      UVKWAZYMXSXJXKXNXOUVMUUSXJXKXLXQXHWBXNXOXPXMXHWCZXNXOXPXMXHWEABDHKJWFXBVH
      WGYNXHXJXLYBYGUVIUVESUVBUUTUVAUUFUVDABCFGKJWHWIYNXHXNXPYCYHUVJUVHSUVBXSYJ
      XNYMUVNVHXSYJXPYMXNXOXPXMXHWJVHUULYGYHXTYDXSYMWKDHIEGKJWHWIWLYNUUDUVGYPRY
      NXHXMXQYDYIYKYLUUDUVGSUVBUVCXMXQXHYJYMWMXSXTYDYIYMWNXSXTYDYIYMWOUVLXSYJYK
      YLWPABCDEFGKHIJWQWRWSWTXAYNUUEUUGNZUUKUUMNZYQYRWAYNYBUVOUUFYBUUEUUGUUJYBU
      UEUUGUUHUUIXCXDXEYNYCUVPUULYCUUKUUMUUPYCUUKUUMUUNUUOXCXDXEFEXFXGWG $.
  $}

  ${
    ax5seglem7.1 $e |- A e. CC $.
    ax5seglem7.2 $e |- T e. CC $.
    ax5seglem7.3 $e |- C e. CC $.
    ax5seglem7.4 $e |- D e. CC $.
    $( Lemma for ~ ax5seg .  An algebraic calculation needed further down the
       line.  (Contributed by Scott Fenton, 12-Jun-2013.) $)
    ax5seglem7 $p |- ( T x. ( ( C - D ) ^ 2 ) ) =
       ( ( ( ( ( ( 1 - T ) x. A ) + ( T x. C ) ) - D ) ^ 2 ) +
         ( ( 1 - T ) x.
           ( ( T x. ( ( A - C ) ^ 2 ) ) - ( ( A - D ) ^ 2 ) ) ) ) $=
      ( cmin co c2 cexp cmul caddc oveq2i 2cn mulcli subcli cc wcel adddii wceq
      c1 binom2subi sqcli subdii oveq1i 3eqtri cc0 ax-1cn addcli subadd23 mp3an
      binom2i addsubassi addsubi 3eqtr4i eqtri oveq12i addsub4i subdiri mulid2i
      eqtr4i subsub3 subsub4 3eqtr2i addassi add32i subsub2 cneg addcomi sqmuli
      addsub12 sqvali mulassi mul12i mulcomi eqtr3i eqeltrri 3eqtrri negsubdi2i
      sub32 subsub mulneg2i negsubi subeq0i mpbir addid2i ) DBCIJKLJZMJZDBKLJZM
      JZDKBCMJZMJZMJZIJZDCKLJZMJZNJZUCDIJZAMJZDBMJZNJCIJZKLJZWTDABIJKLJZMJZACIJ
      KLJZIJZMJZNJZWJDWKWNIJZWQNJZMJDXKMJZWRNJWSWIXLDMBCGHUDODXKWQFWKWNBGUEZKWM
      PBCGHQZQZRCHUEZUAXMWPWRNDWKWNFXNXPUFUGUHXJXAKLJZKXAXBCIJZMJZMJZNJZXBKLJZW
      QNJZNJZWTDAKLJZKABMJZMJZIJZMJZYFKACMJZMJZIJZIJZMJZWQDWLMJZNJZIJZNJZWLWRNJ
      ZKXBCMJZMJZIJZNJZUIWSNJWSYEUUBIJZYTNJZYRNJZYEUUCNJZYRNJXJUUDUUFUUHYRNYEST
      ZUUBSTYTSTZUUFUUHUBYBYDXRYAXAWTAUCDUJFRZEQZUEKXTPXAXSUULXBCDBFGQZHRZQQUKZ
      YCWQXBUUMUEZXQUKZUKZKUUAPXBCUUMHQQZWLWRDWKFXNQZDWQFXQQZUKZYEUUBYTULUMUGXJ
      UUEYTYRNJZNJUUGXDUUEXIUVCNXAXSNJZKLJYBXSKLJZNJZXDUUEXAXSUULUUNUNXCUVDKLXA
      XBCUULUUMHUOUGUUEYBYDUUBIJZNJUVFYBYDUUBUUOUUQUUSUOUVEUVGYBNUVEYCUUBIJWQNJ
      UVGXBCUUMHUDYCWQUUBUUPXQUUSUPVCOVCUQXIWTYNWLWQIJZNJZMJYOWTUVHMJZNJZUVCXHU
      VIWTMXHYJWLNJZYMWQNJZIJUVIXFUVLXGUVMIXFDYIWKNJZMJUVLXEUVNDMABEGUDODYIWKFY
      FYHAEUEZKYGPABEGQQZRZXNUAURACEHUDUSYJWLYMWQDYIFUVQQZUUTYFYLUVOKYKPACEHQQZ
      RZXQUTUROWTYNUVHUUKYJYMUVRUVTRZWLWQUUTXQRZUAUVKYOYTYQIJZNJZUVCUVJUWCYONUV
      JUCUVHMJZDUVHMJZIJUVHYPWRIJZIJZUWCUCDUVHUJFUWBVAUWEUVHUWFUWGIUVHUWBVBDWLW
      QFUUTXQUFUSUWHUVHWRNJZYPIJZYTWQIJZYPIJZUWCUVHSTYPSTZWRSTUWHUWJUBUWBDWLFUU
      TQZUVAUVHYPWRVDUMUWKUWIYPIWLWRWQUUTUVAXQUPUGUUJWQSTUWMUWLUWCUBUVBXQUWNYTW
      QYPVEUMVFUHOYOSTZUUJYQSTZUWDUVCUBWTYNUUKUWAQZUVBWQYPXQUWNUKZYOYTYQVMUMURU
      HUSUUEYTYRYEUUBUURUUSRUVBYOYQUWQUWRRZVGVCYEYRUUCUURUWSYTUUBUVBUUSRVHUQYSU
      IUUCWSNYEYQYOIJZIJZYSUIUUIUWPUWOUXAYSUBUURUWRUWQYEYQYOVIUMUXAUIUBYEUWTUBY
      BYCNJZWQNJZYEUWTYBYCWQUUOUUPXQVGWQUXBNJWQYPYOIJZNJUXCUWTUXBUXDWQNUXBYCYBN
      JYPYOVJZNJUXDYBYCUUOUUPVKYCYPYBUXENYCDKLJZWKMJDDMJZWKMJYPDBFGVLUXFUXGWKMD
      FVNUGDDWKFFXNVOUHYBWTYMYJIJZMJZWTYNVJZMJUXEYBWTYFDYFMJZIJZMJZWTDYHMJZYLIJ
      ZMJZNJWTUXLUXONJZMJUXIXRUXMYAUXPNXRWTKLJZYFMJWTWTMJZYFMJZUXMWTAUUKEVLUXRU
      XSYFMWTUUKVNUGUXTWTWTYFMJZMJUXMWTWTYFUUKUUKUVOVOUYAUXLWTMUYAUCYFMJZUXKIJU
      XLUCDYFUJFUVOVAUYBYFUXKIYFUVOVBUGUROURUHYAXAKXSMJZMJWTAUYCMJZMJUXPKXAXSPU
      ULUUNVPWTAUYCUUKEKXSPUUNQVOUYDUXOWTMKAMJZXSMJZUYDUXOAKMJZXSMJUYFUYDUYGUYE
      XSMAKEPVQUGAKXSEPUUNVOVRUYFUYEXBMJZUYECMJZIJUXOUYEXBCKAPEQZUUMHUFUYHUXNUY
      IYLIUYHDUYEBMJZMJUXNUYEDBUYJFGVPUYKYHDMKABPEGVOOURKACPEHVOUSURVROUHUSWTUX
      LUXOUUKYFUXKUVODYFFUVOQZRZUXNYLDYHFUVPQZUVSRUAUXQUXHWTMUXHYFUXKUXNIJZIJZY
      LIJZUXLUXNNJZYLIJUXQUXHYMUYOIJZUYQYJUYOYMIDYFYHFUVOUVPUFZOYFSTZUYOSTYLSTU
      YQUYSUBUVOYJUYOSUYTUVRVSUVSYFUYOYLWBUMVCUYPUYRYLIVUAUXKSTUXNSTUYPUYRUBUVO
      UYLUYNYFUXKUXNWCUMUGUXLUXNYLUYMUYNUVSUOVTOVFUXJUXHWTMYJYMUVRUVTWAOWTYNUUK
      UWAWDVFUSYPYOUWNUWQWEUHOUXBWQYBYCUUOUUPUKXQVKWQYPYOXQUWNUWQUOUQVRYEUWTUUR
      YQYOUWRUWQRWFWGVRUUCYTWOIJWSUUBWOYTIUUBKDWMMJZMJWOUUAVUBKMDBCFGHVOOKDWMPF
      XOVPUROWLWRWOUUTUVADWNFXPQZUPURUSWSWPWRWLWOUUTVUCRUVAUKWHUHVC $.
  $}

  $( Lemma for ~ ax5seg .  Use the weak deduction theorem to eliminate the
     hypotheses from ~ ax5seglem7 .  (Contributed by Scott Fenton,
     11-Jun-2013.) $)
  ax5seglem8 $p |- ( ( ( A e. CC /\ T e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
       ( T x. ( ( C - D ) ^ 2 ) ) =
       ( ( ( ( ( ( 1 - T ) x. A ) + ( T x. C ) ) - D ) ^ 2 ) +
         ( ( 1 - T ) x.
           ( ( T x. ( ( A - C ) ^ 2 ) ) - ( ( A - D ) ^ 2 ) ) ) ) ) $=
    ( cc wcel cmin co c2 cexp cmul caddc wceq cc0 cif oveq2 oveq1d oveq1 oveq2d
    oveq12d c1 eqeq2d eqeq12d 0cn elimel ax5seglem7 dedth4h ) AEFZDEFZBEFZCEFZD
    BCGHZIJHZKHZUADGHZAKHZDBKHZLHZCGHZIJHZUODABGHZIJHZKHZACGHZIJHZGHZKHZLHZMUNU
    OUHANOZKHZUQLHZCGHZIJHZUODVIBGHZIJHZKHZVICGHZIJHZGHZKHZLHZMUIDNOZUMKHZUAWBG
    HZVIKHZWBBKHZLHZCGHZIJHZWDWBVOKHZVRGHZKHZLHZMWBUJBNOZCGHZIJHZKHZWEWBWNKHZLH
    ZCGHZIJHZWDWBVIWNGHZIJHZKHZVRGHZKHZLHZMWBWNUKCNOZGHZIJHZKHZWSXHGHZIJHZWDXDV
    IXHGHZIJHZGHZKHZLHZMADBCNNNNAVIMZVHWAUNXSUTVMVGVTLXSUSVLIJXSURVKCGXSUPVJUQL
    AVIUOKPQQQXSVFVSUOKXSVCVPVEVRGXSVBVODKXSVAVNIJAVIBGRQSXSVDVQIJAVICGRQTSTUBD
    WBMZUNWCWAWMDWBUMKRXTVMWIVTWLLXTVLWHIJXTVKWGCGXTVJWEUQWFLXTUOWDVIKDWBUAGPZQ
    DWBBKRTQQXTUOWDVSWKKYAXTVPWJVRGDWBVOKRQTTUCBWNMZWCWQWMXGYBUMWPWBKYBULWOIJBW
    NCGRQSYBWIXAWLXFLYBWHWTIJYBWGWSCGYBWFWRWELBWNWBKPSQQYBWKXEWDKYBWJXDVRGYBVOX
    CWBKYBVNXBIJBWNVIGPQSQSTUCCXHMZWQXKXGXRYCWPXJWBKYCWOXIIJCXHWNGPQSYCXAXMXFXQ
    LYCWTXLIJCXHWSGPQYCXEXPWDKYCVRXOXDGYCVQXNIJCXHVIGPQSSTUCVIWNXHWBANEUDUEDNEU
    DUEBNEUDUECNEUDUEUFUG $.

  ${
    $d A i j $.  $d B i j $.  $d C i j $.  $d D i j $.  $d N i j $.
    $d T i j $.
    $( Lemma for ~ ax5seg .  Take the calculation in ~ ax5seglem8 and turn it
       into a series of measurements.  (Contributed by Scott Fenton,
       12-Jun-2013.)  (Revised by Mario Carneiro, 22-May-2014.) $)
    ax5seglem9 $p |- ( ( ( N e. NN /\
            ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
              ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ) /\
            ( T e. ( 0 [,] 1 ) /\
              A. i e. ( 1 ... N )
                ( B ` i ) =
                ( ( ( 1 - T ) x. ( A ` i ) ) + ( T x. ( C ` i ) ) ) ) ) ->
         ( T x. sum_ j e. ( 1 ... N ) ( ( ( C ` j ) - ( D ` j ) ) ^ 2 ) ) =
         ( sum_ j e. ( 1 ... N ) ( ( ( B ` j ) - ( D ` j ) ) ^ 2 ) +
           ( ( 1 - T ) x.
             ( ( T x. sum_ j e. ( 1 ... N ) ( ( ( A ` j ) - ( C ` j ) ) ^ 2 ) )
               -
             sum_ j e. ( 1 ... N ) ( ( ( A ` j ) - ( D ` j ) ) ^ 2 ) ) ) ) ) $=
      ( wcel cfv wa c1 co cmin cmul caddc c2 cexp csu cc cn cee cc0 cicc cv cfz
      wceq simprll ad2antrr fveecn sylancom cr cle wbr elicc01 simp1bi ad2antrl
      recnd adantr simprrl simprrr fveq2 oveq2d oveq12d eqeq12d rspccva adantll
      wral ax5seglem8 oveq1 oveq1d eqcomd sylan9eq 3impa syl221anc fzfid subcld
      sumeq2dv sqcld fsummulc2 mulcld fsumsub eqtr4d ax-1cn subcl sylancr eqtrd
      simprlr fsumadd 3eqtr4d ) HUAIZAHUBJZIZBWLIZKZCWLIZDWLIZKZKKZEUCLUDMIZFUE
      ZBJZLENMZXAAJZOMZEXACJZOMZPMZUGZFLHUFMZVHZKZKZXJEGUEZCJZXNDJZNMZQRMZOMZGS
      XJXNBJZXPNMZQRMZXCEXNAJZXONMZQRMZOMZYCXPNMZQRMZNMZOMZPMZGSZEXJXRGSOMXJYBG
      SZXCEXJYEGSOMZXJYHGSZNMZOMZPMZXMXJXSYKGXMXNXJIZKZYCTIZETIZXOTIZXPTIZXTXCY
      COMZEXOOMZPMZUGZXSYKUGZXMYSWMUUAWSWMXLYSWKWMWNWRUHUIAXNHUJUKZXMUUBYSWTUUB
      WSXKWTEWTEULIUCEUMUNELUMUNEUOUPURUQZUSZXMYSWPUUCWSWPXLYSWKWOWPWQUTUICXNHU
      JUKZXMYSWQUUDWSWQXLYSWKWOWPWQVAUIDXNHUJUKZXLYSUUHWSXKYSUUHWTXIUUHFXNXJXAX
      NUGZXBXTXHUUGXAXNBVBUUOXEUUEXGUUFPUUOXDYCXCOXAXNAVBVCUUOXFXOEOXAXNCVBVCVD
      VEVFVGVGUUAUUBKZUUCUUDKZUUHUUIUUPUUQKUUHXSUUGXPNMZQRMZYJPMZYKYCXOXPEVIUUH
      YKUUTUUHYBUUSYJPUUHYAUURQRXTUUGXPNVJVKVKVLVMVNVOVRXMXJXREGXMLHVPZUUKYTXQY
      TXOXPUUMUUNVQVSVTXMYRYMXJYJGSZPMYLXMYQUVBYMPXMYQXCXJYIGSZOMUVBXMYPUVCXCOX
      MYPXJYFGSZYONMUVCXMYNUVDYONXMXJYEEGUVAUUKYTYDYTYCXOUUJUUMVQVSZVTVKXMXJYFY
      HGUVAYTEYEUULUVEWAZYTYGYTYCXPUUJUUNVQVSZWBWCVCXMXJYIXCGUVAXMLTIZUUBXCTIZW
      DUUKLEWEZWFYTYFYHUVFUVGVQZVTWGVCXMXJYBYJGUVAYTYAYTXTXPXMYSWNXTTIWSWNXLYSW
      KWMWNWRWHUIBXNHUJUKUUNVQVSYTXCYIYTUVHUUBUVIWDUULUVJWFUVKWAWIWCWJ $.
  $}

  ${
    $d A i j t s $.  $d B i j t s $.  $d C i j t s $.  $d D i j t s $.
    $d E i j t s $.  $d F i j t s $.  $d G i j t s $.  $d H i j t s $.
    $d N i j t s $.
    $( The five segment axiom.  Take two triangles ` A D C ` and ` E H G ` , a
       point ` B ` on ` A C ` , and a point ` F ` on ` E G ` .  If all
       corresponding line segments except for ` C D ` and ` G H ` are
       congruent, then so are ` C D ` and ` G H ` .  Axiom A5 of [Schwabhauser]
       p. 11.  (Contributed by Scott Fenton, 12-Jun-2013.) $)
    ax5seg $p |-
    ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
        ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ E e. ( EE ` N ) ) /\
        ( F e. ( EE ` N ) /\ G e. ( EE ` N ) /\ H e. ( EE ` N ) ) ) ->
    ( ( ( A =/= B /\ B Btwn <. A , C >. /\
                     F Btwn <. E , G >. ) /\
        ( <. A , B >. Cgr <. E , F >. /\
          <. B , C >. Cgr <. F , G >. ) /\
        ( <. A , D >. Cgr <. E , H >. /\
          <. B , D >. Cgr <. F , H >. ) ) ->
       <. C , D >. Cgr <. G , H >. ) ) $=
      ( vi vt vj wcel cfv w3a cmin co cmul wa cop vs cn cee wne cv c1 caddc cfz
      wceq wral cc0 cicc wrex ccgr wbr c2 cexp csu cbtwn wi cc fzfid cr simpl21
      fveere sylancom simpl22 resubcld resqcld recnd adantr simpl32 simpl33 cle
      fsumrecl elicc01 simp1bi adantl simpl11 simp12 simp13 simp21 3jca simprrl
      ad2antrr 3ad2ant1 simp1rl ax5seglem4 syl211anc simpr3r wb simpl13 simpl31
      brcgr syl22anc mpbid simp23 simp31 simp32 simpr1l simprrr simpr2l simpr2r
      jca ax5seglem6 syl232anc oveq2d syl322anc oveq12d simpr3l simpl12 simpl23
      ax5seglem3 simp22 jca32 simp1ll ax5seglem9 3ad2ant3 jca31 simp1lr 3eqtr4d
      3simpc oveq1d eqtr4d mulcanad 3exp2 expd rexlimdvv brbtwn syl3anc anbi12d
      3impd reeanv bitr4di anbi2d 3anass r19.42v rexbii bitri 3bitr4g 3anbi1d
      simp33 3imtr4d ) IUBMZAIUCNZMZBUUEMZOZCUUEMZDUUEMZEUUEMZOZFUUEMZGUUEMZHUU
      EMZOZOZABUDZJUEZBNUFKUEZPQZUUSANRQUUTUUSCNRQUGQUIJUFIUHQZUJZUUSFNUFUAUEZP
      QZUUSENRQUVDUUSGNRQUGQUIJUVBUJZSZSZUAUKUFULQZUMZKUVIUMZABTEFTUNUOZBCTFGTU
      NUOZSZADTEHTUNUOZBDTFHTUNUOZSZOUVBLUEZCNZUVRDNZPQZUPUQQZLURZUVBUVRGNZUVRH
      NZPQZUPUQQZLURZUIZUURBACTUSUOZFEGTUSUOZOZUVNUVQOCDTGHTUNUOZUUQUVKUVNUVQUW
      IUUQUVHUVNUVQUWIUTUTZKUAUVIUVIUUQUUTUVIMZUVDUVIMZSZUVHUWNUUQUWQUVHSZUVNUV
      QUWIUUQUWRUVNUVQOZSZUWCUWHUUTUUQUWCVAMUWSUUQUWCUUQUVBUWBLUUQUFIVBZUUQUVRU
      VBMZSZUWAUXCUVSUVTUUQUXBUUIUVSVCMUUIUUJUUKUUHUUPUXBVDCUVRIVEVFUUQUXBUUJUV
      TVCMUUIUUJUUKUUHUUPUXBVGDUVRIVEVFVHVIVOVJVKUUQUWHVAMUWSUUQUWHUUQUVBUWGLUX
      AUXCUWFUXCUWDUWEUUQUXBUUNUWDVCMUUMUUNUUOUUHUULUXBVLGUVRIVEVFUUQUXBUUOUWEV
      CMUUMUUNUUOUUHUULUXBVMHUVRIVEVFVHVIVOVJVKUWSUUTVAMZUUQUWRUVNUXDUVQUWOUXDU
      WPUVHUWOUUTUWOUUTVCMUKUUTVNUOUUTUFVNUOUUTVPVQVJWEWFVRUWTUUDUUFUUGUUIOZUVC
      UURUUTUKUDUUDUUFUUGUULUUPUWSVSZUUQUXEUWSUUQUUFUUGUUIUUDUUFUUGUULUUPVTZUUD
      UUFUUGUULUUPWAZUUHUUIUUJUUKUUPWBZWCZVKZUWSUVCUUQUWRUVNUVCUVQUWQUURUVCUVFW
      DWFVRZUWSUURUUQUURUVGUWQUVNUVQWGVRZABCUUTJIWHWIUWTUUTUWCRQZUVDUWHRQZUUTUW
      HRQUWTUVBUVRBNUVTPQUPUQQLURZUVAUUTUVBUVRANZUVSPQUPUQQLURZRQZUVBUXQUVTPQUP
      UQQLURZPQZRQZUGQZUVBUVRFNUWEPQUPUQQLURZUVEUVDUVBUVRENZUWDPQUPUQQLURZRQZUV
      BUYEUWEPQUPUQQLURZPQZRQZUGQZUXNUXOUWTUXPUYDUYBUYJUGUWTUVPUXPUYDUIZUVOUVPU
      WRUVNUUQWJUWTUUGUUJUUMUUOUVPUYLWKUUDUUFUUGUULUUPUWSWLUUIUUJUUKUUHUUPUWSVG
      ZUUMUUNUUOUUHUULUWSWMUUMUUNUUOUUHUULUWSVMZBDFHLIWNWOWPUWTUVAUVEUYAUYIRUWT
      UUTUVDUFPUWTUUDUXEUUKUUMUUNOZSZUURUWQUVGUVLUVMUUTUVDUIUXFUUQUYPUWSUUQUXEU
      YOUXJUUQUUKUUMUUNUUHUUIUUJUUKUUPWQZUUHUULUUMUUNUUOWRZUUHUULUUMUUNUUOWSZWC
      ZXDVKUXMUWQUVHUVNUVQUUQWTZUWTUVCUVFUXLUWSUVFUUQUWRUVNUVFUVQUWQUURUVCUVFXA
      WFVRZXDZUVLUVMUWRUVQUUQXBZUVLUVMUWRUVQUUQXCZABCEUVDUUTJFGIXEXFZXGUWTUXSUY
      GUXTUYHPUWTUUTUVDUXRUYFRVUFUWTUUDUXEUYOUWQUVGUVLUVMUXRUYFUIUXFUXKUUQUYOUW
      SUYTVKVUAVUCVUDVUEABCEUVDUUTJLFGIXMXHXIUWTUVOUXTUYHUIZUVOUVPUWRUVNUUQXJUW
      TUUFUUJUUKUUOUVOVUGWKUUDUUFUUGUULUUPUWSXKUYMUUIUUJUUKUUHUUPUWSXLUYNADEHLI
      WNWOWPXIXIXIUWTUUDUUFUUGSZUUIUUJSSZUWOUVCUXNUYCUIUXFUUQVUIUWSUUQVUHUUIUUJ
      UUQUUFUUGUXGUXHXDUXIUUHUUIUUJUUKUUPXNZXOVKUWSUWOUUQUWOUWPUVHUVNUVQXPVRUXL
      ABCDUUTJLIXQWOUWTUUDUUKUUMSUUNUUOSZSZUWPUVFUXOUYKUIUXFUUQVULUWSUUQUUKUUMV
      UKUYQUYRUUPUUHVUKUULUUMUUNUUOYBXRXSVKUWSUWPUUQUWOUWPUVHUVNUVQXTVRVUBEFGHU
      VDJLIXQWOYAUWTUUTUVDUWHRVUFYCYDYEYFYGYHYLUUQUWLUVKUVNUVQUUQUURUWJUWKSZSUU
      RUVGUAUVIUMZKUVIUMZSZUWLUVKUUQVUMVUOUURUUQVUMUVCKUVIUMZUVFUAUVIUMZSVUOUUQ
      UWJVUQUWKVURUUQUUGUUFUUIUWJVUQWKUXHUXGUXIKBACJIYIYJUUQUUMUUKUUNUWKVURWKUY
      RUYQUYSUAFEGJIYIYJYKUVCUVFKUAUVIUVIYMYNYOUURUWJUWKYPUVKUURVUNSZKUVIUMVUPU
      VJVUSKUVIUURUVGUAUVIYQYRUURVUNKUVIYQYSYTUUAUUQUUIUUJUUNUUOUWMUWIWKUXIVUJU
      YSUUHUULUUMUUNUUOUUBCDGHLIWNWOUUC $.
  $}

  ${
    $d N t i $.  $d A t i $.  $d B t i $.
    $( Points are indivisible.  That is, if ` A ` lies between ` B ` and
       ` B ` , then ` A = B ` .  Axiom A6 of [Schwabhauser] p. 11.
       (Contributed by Scott Fenton, 3-Jun-2013.) $)
    axbtwnid $p |- ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
     ( A Btwn <. B , B >. -> A = B ) ) $=
      ( vi vt wcel cfv wbr cv c1 co cmul caddc wceq wral cc0 wb cc cle wa cbtwn
      cee w3a cop cmin cfz cicc wrex simp2 simp3 brbtwn syl3anc elicc01 simp1bi
      cn wi recnd eqeefv 3adant1 adantr ax-1cn npcan mpan ad2antlr oveq1d subcl
      cr simplr simpll3 fveecn sylancom adddird mulid2d 3eqtr3rd ralbidva bitrd
      eqeq2d biimprd sylan2 rexlimdva sylbid ) CUOFZACUBGZFZBWCFZUCZABBUDUAHZDI
      ZAGZJEIZUEKZWHBGZLKWJWLLKMKZNZDJCUFKZOZEPJUGKZUHZABNZWFWDWEWEWGWRQWBWDWEU
      IWBWDWEUJZWTEABBDCUKULWFWPWSEWQWJWQFZWFWJRFZWPWSUPXAWJXAWJVGFPWJSHWJJSHWJ
      UMUNUQWFXBTZWSWPXCWSWIWLNZDWOOZWPWFWSXEQZXBWDWEXFWBABDCURUSUTXCXDWNDWOXCW
      HWOFZTZWLWMWIXHWKWJMKZWLLKJWLLKWMWLXHXIJWLLXBXIJNZWFXGJRFZXBXJVAJWJVBVCVD
      VEXHWKWJWLXBWKRFZWFXGXKXBXLVAJWJVFVCVDWFXBXGVHXCXGWEWLRFWBWDWEXBXGVIBWHCV
      JVKZVLXHWLXMVMVNVQVOVPVRVSVTWA $.
  $}

  ${
    $d T p r $.  $d S p r $.
    $( Lemma for ~ axpasch .  Set up coefficents used in the proof.
       (Contributed by Scott Fenton, 5-Jun-2013.) $)
    axpaschlem $p |- ( ( T e. ( 0 [,] 1 ) /\ S e. ( 0 [,] 1 ) ) ->
       E. r e. ( 0 [,] 1 ) E. p e. ( 0 [,] 1 )
       ( p = ( ( 1 - r ) x. ( 1 - T ) ) /\
         r = ( ( 1 - p ) x. ( 1 - S ) ) /\
         ( ( 1 - r ) x. T ) = ( ( 1 - p ) x. S ) ) ) $=
      ( cc0 c1 co wcel cmin cmul wceq cr cle wbr recnd oveq2 oveq1d eqeq2d cdiv
      eqtrd cicc wa cv w3a wrex wi 1re elicc01 simp1bi ad2antrl resubcl sylancr
      mul02d eqcomd ad2antll mulid2d adantr eqtrdi eqtr2d ax-1cn mul01i 1elunit
      1m0e1 eqtr4d 0elunit 1m1e0 eqeq1 eqeq1d 3anbi123d rspc2ev mp3an12 syl3anc
      ex wne caddc remulcld resubcld readdcld clt 1red simp2bi simp3bi lemul1ad
      breqtrd simpl ne0gt0d ltaddpos2d lelttrd posdifd gt0ne0d redivcld subge0d
      mpbid mpbird divge0 syl22anc ltled lesub1dd ledivmul2 syl112anc syl3anbrc
      breqtrrd wb lemul2ad mulid1d addge01d div23d cc mp3an2 syl2anc divsubdird
      subdi nnncan2d pncand 3eqtr3d mulcomd oveq12d pncan2d syl113anc pm2.61ine
      dividd ) BEFUAGZHZAYBHZUBZDUCZFCUCZIGZFBIGZJGZKZYGFYFIGZFAIGZJGZKZYHBJGZY
      LAJGZKZUDZDYBUECYBUEZUFAEAEKZYEYTUUAYEUBZEEYIJGZKZFFYMJGZKZEBJGZFAJGZKZYT
      UUBUUCEUUBYIUUBYIUUBFLHZBLHZYILHZUGYCUUKUUAYDYCUUKEBMNZBFMNZBUHZUIZUJZFBU
      KZULOUMUNUUBUUEYMFUUBYMUUBYMUUBUUJALHZYMLHZUGYDUUSUUAYCYDUUSEAMNZAFMNZAUH
      ZUIZUOFAUKZULOUPUUBYMFEIGZFUUAYMUVFKYEAEFIPUQVCURUSUUBUUGEUUHUUBBUUBBUUQO
      UMUUBUUHFEJGZEUUAUUHUVGKYEAEFJPUQFUTVAURVDFYBHEYBHUUDUUFUUIUDZYTVBVEYSUVH
      YFUUCKZFYNKZUUGYQKZUDCDFEYBYBYGFKZYKUVIYOUVJYRUVKUVLYJUUCYFUVLYHEYIJUVLYH
      FFIGEYGFFIPVFURZQRYGFYNVGUVLYPUUGYQUVLYHEBJUVMQVHVIYFEKZUVIUUDUVJUUFUVKUU
      IYFEUUCVGUVNYNUUEFUVNYLFYMJUVNYLUVFFYFEFIPVCURZQRUVNYQUUHUUGUVNYLFAJUVOQR
      VIVJVKVLVMAEVNZYEYTUVPYEUBZBABJGZIGZABVOGZUVRIGZSGZYBHZAUVRIGZUWASGZYBHZU
      WEFUWBIGZYIJGZKZUWBFUWEIGZYMJGZKZUWGBJGZUWJAJGZKZYTUVQUWBLHEUWBMNZUWBFMNZ
      UWCUVQUVSUWAUVQBUVRYCUUKUVPYDUUPUJZUVQABYDUUSUVPYCUVDUOZUWRVPZVQZUVQUVTUV
      RUVQABUWSUWRVRZUWTVQZUVQUWAUVQUVRUVTVSNEUWAVSNZUVQUVRBUVTUWTUWRUXBUVQUVRF
      BJGBMUVQAFBUWSUVQVTZUWRYCUUMUVPYDYCUUKUUMUUNUUOWAUJZYDUVBUVPYCYDUUSUVAUVB
      UVCWBUOWCUVQBUVQBUWROZUPWDZUVQEAVSNBUVTVSNUVQAUWSYDUVAUVPYCYDUUSUVAUVBUVC
      WAUOZUVPYEWEWFUVQABUWSUWRWGWMZWHUVQUVRUVTUWTUXBWIWMZWJZWKUVQUVSLHZEUVSMNZ
      UWALHZUXDUWPUXAUVQUXNUVRBMNUXHUVQBUVRUWRUWTWLWNUXCUXKUVSUWAWOWPUVQUWQUVSF
      UWAJGZMNZUVQUVSUWAUXPMUVQBUVTUVRUWRUXBUWTUVQBUVTUWRUXBUXJWQWRUVQUWAUVQUWA
      UXCOZUPZXBUVQUXMUUJUXOUXDUWQUXQXCUXAUXEUXCUXKUVSFUWAWSWTWNUWBUHXAUVQUWELH
      EUWEMNZUWEFMNZUWFUVQUWDUWAUVQAUVRUWSUWTVQZUXCUXLWKUVQUWDLHZEUWDMNZUXOUXDU
      XTUYBUVQUYDUVRAMNUVQUVRAFJGZAMUVQBFAUWRUXEUWSUXIYCUUNUVPYDYCUUKUUMUUNUUOW
      BUJXDUVQAUVQAUWSOZXEZWDUVQAUVRUWSUWTWLWNUXCUXKUWDUWAWOWPUVQUYAUWDUXPMNZUV
      QUWDUWAUXPMUVQAUVTUVRUWSUXBUWTUVQUUMAUVTMNUXFUVQABUWSUWRXFWMWRUXSXBUVQUYC
      UUJUXOUXDUYAUYHXCUYBUXEUXCUXKUWDFUWAWSWTWNUWEUHXAUVQAYIJGZUWASGAUWASGZYIJ
      GUWEUWHUVQAYIUWAUYFUVQYIUVQUUJUUKUULUGUWRUURULOUXRUXLXGUVQUYIUWDUWASUVQUY
      IUYEUVRIGZUWDUVQAXHHZBXHHZUYIUYKKZUYFUXGUYLFXHHZUYMUYNUTAFBXLXIXJUVQUYEAU
      VRIUYGQTQUVQUYJUWGYIJUVQUWAUVSIGZUWASGUWAUWASGZUWBIGUYJUWGUVQUWAUVSUWAUXR
      UVQUVSUXAOUXRUXLXKUVQUYPAUWASUVQUYPUVTBIGAUVQUVTBUVRUVQUVTUXBOZUXGUVQUVRU
      WTOZXMUVQABUYFUXGXNTQUVQUYQFUWBIUVQUWAUXRUXLYAZQXOZQXOUVQBYMJGZUWASGBUWAS
      GZYMJGUWBUWKUVQBYMUWAUXGUVQYMUVQUUJUUSUUTUGUWSUVEULOUXRUXLXGUVQVUBUVSUWAS
      UVQVUBBFJGZBAJGZIGZUVSUVQUYMUYLVUBVUFKZUXGUYFUYMUYOUYLVUGUTBFAXLXIXJUVQVU
      DBVUEUVRIUVQBUXGXEUVQBAUXGUYFXPXQTQUVQVUCUWJYMJUVQUWAUWDIGZUWASGUYQUWEIGV
      UCUWJUVQUWAUWDUWAUXRUVQUWDUYBOUXRUXLXKUVQVUHBUWASUVQVUHUVTAIGBUVQUVTAUVRU
      YRUYFUYSXMUVQABUYFUXGXRTQUVQUYQFUWEIUYTQXOZQXOUVQUVRUWASGZVUEUWASGZUWMUWN
      UVQUVRVUEUWASUVQABUYFUXGXPQUVQVUJUYJBJGUWMUVQABUWAUYFUXGUXRUXLXGUVQUYJUWG
      BJVUAQTUVQVUKVUCAJGUWNUVQBAUWAUXGUYFUXRUXLXGUVQVUCUWJAJVUIQTXOYSUWIUWLUWO
      UDYFUWHKZUWBYNKZUWMYQKZUDCDUWBUWEYBYBYGUWBKZYKVULYOVUMYRVUNVUOYJUWHYFVUOY
      HUWGYIJYGUWBFIPZQRYGUWBYNVGVUOYPUWMYQVUOYHUWGBJVUPQVHVIYFUWEKZVULUWIVUMUW
      LVUNUWOYFUWEUWHVGVUQYNUWKUWBVUQYLUWJYMJYFUWEFIPZQRVUQYQUWNUWMVUQYLUWJAJVU
      RQRVIVJXSVMXT $.
  $}

  ${
    $d A i $.  $d A q $.  $d A r $.  $d B i $.  $d B q $.  $d B r $.  $d C i $.
    $d C q $.  $d C r $.  $d i q $.  $d i r $.  $d i s $.  $d i t $.  $d N i $.
    $d N q $.  $d N r $.  $d q r $.  $d q s $.  $d q t $.  $d r s $.  $d r t $.
    $d A s $.  $d A t $.  $d A x $.  $d B s $.  $d B t $.  $d B x $.  $d C s $.
    $d C t $.  $d C x $.  $d D i $.  $d D q $.  $d D r $.  $d D s $.  $d D t $.
    $d D x $.  $d E i $.  $d E q $.  $d E r $.  $d E s $.  $d E t $.  $d E x $.
    $d i x $.  $d N s $.  $d N t $.  $d N x $.  $d q x $.  $d r x $.  $d s t $.
    $d s x $.  $d t x $.  $d A k $.  $d B k $.  $d C k $.  $d i k $.  $d k q $.
    $d k r $.  $d k s $.  $d k t $.  $d k x $.  $d N k $.  $d D k $.  $d E k $.

    $( The inner Pasch axiom.  Take a triangle ` A C E ` , a point ` D ` on
       ` A C ` , and a point ` B ` extending ` C E ` .  Then ` A E ` and
       ` D B ` intersect at some point ` x ` .  Axiom A7 of [Schwabhauser]
       p. 12.  (Contributed by Scott Fenton, 3-Jun-2013.) $)
    axpasch $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( D e. ( EE ` N ) /\ E e. ( EE ` N ) ) ) ->
       ( ( D Btwn <. A , C >. /\ E Btwn <. B , C >. ) ->
         E. x e. ( EE ` N ) ( x Btwn <. D , B >. /\
                              x Btwn <. E , A >. ) ) ) $=
      ( vi vr vq wcel wa c1 co cmul caddc wrex cr recnd remulcld vt cee cfv w3a
      vs vk cn cv cmin wceq cfz wral cc0 cicc cop cbtwn wbr axpaschlem 3ad2ant3
      wi simp1 oveq1d eqcomd simp2 oveq12d simp3 adantr 1re simpl2l cle elicc01
      simp1bi syl resubcl sylancr simp13l simp121 fveere simp123 adddid mulassd
      sylan fveecn eqtr4d simp122 add32d eqtrd simpl2r simp13r comraddd 3eqtr4d
      cc oveq2d ralrimiva 3expia reximdvva cmpt simplrl simpl3l simpl21 simpl23
      mpd readdcld simpl22 anassrs simpll1 mptelee mpbird fveq1 fveq2 eqid ovex
      wb fvmpt sylan9eq eqeq1d anbi12d biantrur ralbidva rspcev reximdva rexcom
      bitr4di ex rexbii bitri sylib oveq2 eqeq2d bi2anan9 ralimi ralbi 2rexbidv
      rexbidv syl5ibrcom brbtwn syl3anc r19.26 2rexbii reeanv rexlimdvv 3adant3
      simp3l simp21 simp23 simp3r simp22 simpr simpl3r rexbidva 3imtr4d ) GUGKZ
      BGUBUCZKZCUUMKZDUUMKZUDZEUUMKZFUUMKZLZUDZHUHZEUCZMUAUHZUINZUVBBUCZONZUVDU
      VBDUCZONZPNZUJZUVBFUCZMUEUHZUINZUVBCUCZONZUVMUVHONZPNZUJZLZHMGUKNZULZUEUM
      MUNNZQUAUWCQZUVBAUHZUCZMIUHZUINZUVCONZUWGUVOONZPNZUJZUWFMJUHZUINZUVLONZUW
      MUVFONZPNZUJZLZHUWAULZJUWCQZIUWCQZAUUMQZEBDUOUPUQZFCDUOUPUQZLZUWEECUOUPUQ
      ZUWEFBUOUPUQZLZAUUMQUULUUQUWDUXCUTUUTUULUUQLUWBUXCUAUEUWCUWCUULUUQUVDUWCK
      ZUVMUWCKZLZUWBUXCUTUULUUQUXLUDZUXCUWBUWFUWHUVJONZUWJPNZUJZUWFUWNUVRONZUWP
      PNZUJZLZHUWAULZJUWCQZIUWCQAUUMQZUXMUYAAUUMQZJUWCQZIUWCQZUYCUXMUXOUXRUJZHU
      WAULZJUWCQZIUWCQZUYFUXMUWMUWHUVEONZUJZUWGUWNUVNONZUJZUWHUVDONZUWNUVMONZUJ
      ZUDZJUWCQIUWCQZUYJUXLUULUYSUUQUVMUVDIJURUSUXMUYRUYHIJUWCUWCUXMUWGUWCKZUWM
      UWCKZLZUYRUYHUXMVUBUYRUDZUYGHUWAVUCUVBUWAKZLZUYKUVFONZUWJPNZUYOUVHONZPNZU
      WPUYMUVOONZPNZUYPUVHONZPNZUXOUXRVUCVUIVUMUJZVUDUYRUXMVUNVUBUYRVUGVUKVUHVU
      LPUYRVUFUWPUWJVUJPUYRUWPVUFUYRUWMUYKUVFOUYLUYNUYQVAVBVCUYRUWGUYMUVOOUYLUY
      NUYQVDVBVEUYRUYOUYPUVHOUYLUYNUYQVFVBVEUSVGVUEUXOVUFVUHPNZUWJPNVUIVUEUXNVU
      OUWJPVUEUXNUWHUVGONZUWHUVIONZPNVUOVUEUWHUVGUVIVUEUWHVUEMRKZUWGRKZUWHRKZVH
      VUEUYTVUSUYTVUAUXMUYRVUDVIUYTVUSUMUWGVJUQUWGMVJUQUWGVKVLZVMZMUWGVNZVOZSZV
      UEUVGVUEUVEUVFVUEVURUVDRKZUVERKZVHVUEUXJVVFVUCUXJVUDUXJUXKUULUUQVUBUYRVPV
      GUXJVVFUMUVDVJUQUVDMVJUQUVDVKVLZVMZMUVDVNZVOZVUCUUNVUDUVFRKUUNUUOUUPUULUX
      LVUBUYRVQBUVBGVRWBZTSVUEUVIVUEUVDUVHVVIVUCUUPVUDUVHRKUUNUUOUUPUULUXLVUBUY
      RVSZDUVBGVRWBZTSVTVUEVUFVUPVUHVUQPVUEUWHUVEUVFVVEVUEUVEVVKSVUEUVFVVLSWAVU
      EUWHUVDUVHVVEVUEUVDVVISVUCUUPVUDUVHWLKVVMDUVBGWCWBZWAVEWDVBVUEVUFVUHUWJVU
      EVUFVUEUYKUVFVUEUWHUVEVVDVVKTVVLTSVUEVUHVUEUYOUVHVUEUWHUVDVVDVVITVVNTSVUE
      UWJVUEUWGUVOVVBVUCUUOVUDUVORKUUNUUOUUPUULUXLVUBUYRWECUVBGVRWBZTSWFWGVUEUW
      NUVPONZUWNUVQONZPNZUWPPNVVQUWPPNZVVRPNUXRVUMVUEVVQVVRUWPVUEVVQVUEUWNUVPVU
      EVURUWMRKZUWNRKVHVUEVUAVWAUYTVUAUXMUYRVUDWHVUAVWAUMUWMVJUQUWMMVJUQUWMVKVL
      VMZMUWMVNVOZVUEUVNUVOVUEVURUVMRKZUVNRKVHVUEUXKVWDVUCUXKVUDUXJUXKUULUUQVUB
      UYRWIVGUXKVWDUMUVMVJUQUVMMVJUQUVMVKVLVMZMUVMVNVOZVVPTZTSZVUEVVRVUEUWNUVQV
      WCVUEUVMUVHVWEVVNTZTSVUEUWPVUEUWMUVFVWBVVLTSZWFVUEUXQVVSUWPPVUEUWNUVPUVQV
      UEUWNVWCSZVUEUVPVWGSVUEUVQVWISVTVBVUEVUKVVTVULVVRPVUEVUKUWPVVQVWJVWHVUEVU
      JVVQUWPPVUEUWNUVNUVOVWKVUEUVNVWFSVUEUVOVVPSWAWMWJVUEUWNUVMUVHVWKVUEUVMVWE
      SVVOWAVEWKWKWNWOWPXBUXMUYIUYEIUWCUXMUYTLZUYHUYDJUWCVWLVUALZUFUWAUWHUVEUFU
      HZBUCZONZUVDVWNDUCZONZPNZONZUWGVWNCUCZONZPNZWQZUUMKZUYHUYDUTVWMVXEVXCRKZU
      FUWAULZUXMUYTVUAVXGUXMVUBLZVXFUFUWAVXHVWNUWAKZLZVWTVXBVXJUWHVWSVXJVURVUSV
      UTVHVXJUYTVUSUXMUYTVUAVXIWRVVAVMZVVCVOVXJVWPVWRVXJUVEVWOVXJVURVVFVVGVHVXJ
      UXJVVFVXHUXJVXIUXJUXKUULUUQVUBWSVGVVHVMZVVJVOVXHUUNVXIVWORKUUNUUOUUPUULUX
      LVUBWTBVWNGVRWBTVXJUVDVWQVXLVXHUUPVXIVWQRKUUNUUOUUPUULUXLVUBXADVWNGVRWBTX
      CTVXJUWGVXAVXKVXHUUOVXIVXARKUUNUUOUUPUULUXLVUBXDCVWNGVRWBTXCWNXEVWMUULVXE
      VXGXMUULUUQUXLUYTVUAXFVWTVXBUFPGXGVMXHVXEUYHUYDUYAUYHAVXDUUMUWEVXDUJZUXTU
      YGHUWAVXMVUDLZUXTUXOUXOUJZUYGLUYGVXNUXPVXOUXSUYGVXNUWFUXOUXOVXMVUDUWFUVBV
      XDUCUXOUVBUWEVXDXIUFUVBVXCUXOUWAVXDVWNUVBUJZVWTUXNVXBUWJPVXPVWSUVJUWHOVXP
      VWPUVGVWRUVIPVXPVWOUVFUVEOVWNUVBBXJWMVXPVWQUVHUVDOVWNUVBDXJWMVEWMVXPVXAUV
      OUWGOVWNUVBCXJWMVEVXDXKUXNUWJPXLXNXOZXPVXNUWFUXOUXRVXQXPXQVXOUYGUXOXKXRYC
      XSXTYDVMYAYAXBUYFUYBAUUMQZIUWCQUYCUYEVXRIUWCUYAJAUWCUUMYBYEUYBIAUWCUUMYBY
      FYGUWBUXAUYBAIUUMUWCUWBUWTUYAJUWCUWBUWSUXTXMZHUWAULUWTUYAXMUVTVXSHUWAUVKU
      WLUXPUVSUWRUXSUVKUWKUXOUWFUVKUWIUXNUWJPUVCUVJUWHOYHVBYIUVSUWQUXRUWFUVSUWO
      UXQUWPPUVLUVRUWNOYHVBYIYJYKUWSUXTHUWAYLVMYNYMYOWOUUAUUBUVAUXFUVKHUWAULZUA
      UWCQZUVSHUWAULZUEUWCQZLZUWDUVAUXDVYAUXEVYCUVAUURUUNUUPUXDVYAXMUULUUQUURUU
      SUUCUULUUNUUOUUPUUTUUDUULUUNUUOUUPUUTUUEZUAEBDHGYPYQUVAUUSUUOUUPUXEVYCXMU
      ULUUQUURUUSUUFUULUUNUUOUUPUUTUUGVYEUEFCDHGYPYQXQUWDVXTVYBLZUEUWCQUAUWCQVY
      DUWBVYFUAUEUWCUWCUVKUVSHUWAYRYSVXTVYBUAUEUWCUWCYTYFYCUVAUXIUXBAUUMUVAUWEU
      UMKZLZUXIUWLHUWAULZIUWCQZUWRHUWAULZJUWCQZLZUXBVYHUXGVYJUXHVYLVYHVYGUURUUO
      UXGVYJXMUVAVYGUUHZUURUUSUULUUQVYGWSUUNUUOUUPUULUUTVYGXDIUWEECHGYPYQVYHVYG
      UUSUUNUXHVYLXMVYNUURUUSUULUUQVYGUUIUUNUUOUUPUULUUTVYGWTJUWEFBHGYPYQXQUXBV
      YIVYKLZJUWCQIUWCQVYMUWTVYOIJUWCUWCUWLUWRHUWAYRYSVYIVYKIJUWCUWCYTYFYCUUJUU
      K $.
  $}

  $( Lemma for ~ axlowdim .  Establish a particular constant function as a
     function.  (Contributed by Scott Fenton, 29-Jun-2013.) $)
  axlowdimlem1 $p |- ( ( 3 ... N ) X. { 0 } ) : ( 3 ... N ) --> RR $=
    ( c3 cfz co cc0 cr 0re fconst6 ) BACDEFGH $.

  $( Lemma for ~ axlowdim .  Show that two sets are disjoint.  (Contributed by
     Scott Fenton, 29-Jun-2013.) $)
  axlowdimlem2 $p |- ( ( 1 ... 2 ) i^i ( 3 ... N ) ) = (/) $=
    ( c2 c3 clt wbr c1 cfz co cin c0 wceq 2lt3 fzdisj ax-mp ) BCDEFBGHCAGHIJKLF
    BCAMN $.

  $( Lemma for ~ axlowdim .  Set up a union property for an interval of
     integers.  (Contributed by Scott Fenton, 29-Jun-2013.) $)
  axlowdimlem3 $p |- ( N e. ( ZZ>= ` 2 ) ->
    ( 1 ... N ) = ( ( 1 ... 2 ) u. ( 3 ... N ) ) ) $=
    ( c2 cuz cfv wcel c1 cfz co caddc cun c3 wceq cle wbr 1le2 a1i eluzle cz wa
    wb 2z 1z eluzelz elfz mp3an12i mpbir2and fzsplit df-3 oveq1i uneq2i eqtr4di
    syl ) ABCDEZFAGHZFBGHZBFIHZAGHZJZUOKAGHZJUMBUNEZUNURLUMUTFBMNZBAMNZVAUMOPBA
    QBREFREUMAREUTVAVBSTUAUBBAUCBFAUDUEUFBFAUGULUSUQUOKUPAGUHUIUJUK $.

  ${
    axlowdimlem4.1 $e |- A e. RR $.
    axlowdimlem4.2 $e |- B e. RR $.
    $( Lemma for ~ axlowdim .  Set up a particular constant function.
       (Contributed by Scott Fenton, 17-Apr-2013.) $)
    axlowdimlem4 $p |- { <. 1 , A >. , <. 2 , B >. } :
                  ( 1 ... 2 ) --> RR $=
      ( c1 c2 cfz co cpr cop wf cr wss wne 1ne2 1ex 2ex elexi fpr wcel ax-mp wa
      fz12pr feq2i mpbir pm3.2i prss mpbi fss mp2an ) EFGHZABIZEAJFBJIZKZULLMZU
      KLUMKUNEFIZULUMKZEFNUQOEFABPQALCRZBLDRZSUAUKUPULUMUCUDUEALTZBLTZUBUOUTVAC
      DUFABLURUSUGUHUKULLUMUIUJ $.

    $( Lemma for ~ axlowdim .  Show that a particular union is a point in
       Euclidean space.  (Contributed by Scott Fenton, 29-Jun-2013.) $)
    axlowdimlem5 $p |- ( N e. ( ZZ>= ` 2 ) ->
       ( { <. 1 , A >. , <. 2 , B >. } u.
         ( ( 3 ... N ) X. { 0 } ) ) e. ( EE ` N ) ) $=
      ( c2 cuz cfv wcel c1 cop cpr c3 cfz co cc0 csn cun cr wf cxp cee cin wceq
      wa axlowdimlem4 axlowdimlem1 pm3.2i axlowdimlem2 mp2an axlowdimlem3 feq2d
      c0 fun2 mpbiri cn wb eluz2nn elee syl mpbird ) CFGHIZJAKFBKLZMCNOZPQUAZRZ
      CUBHIZJCNOZSVFTZVBVIJFNOZVDRZSVFTZVJSVCTZVDSVETZUEVJVDUCUMUDVLVMVNABDEUFC
      UGUHCUIVJVDSVCVEUNUJVBVHVKSVFCUKULUOVBCUPIVGVIUQCURVFCUSUTVA $.
  $}

  ${
    $d N i j $.
    axlowdimlem6.1 $e |- A =
    ( { <. 1 , 0 >. , <. 2 , 0 >. } u. ( ( 3 ... N ) X. { 0 } ) ) $.
    axlowdimlem6.2 $e |- B =
    ( { <. 1 , 1 >. , <. 2 , 0 >. } u. ( ( 3 ... N ) X. { 0 } ) ) $.
    axlowdimlem6.3 $e |- C =
    ( { <. 1 , 0 >. , <. 2 , 1 >. } u. ( ( 3 ... N ) X. { 0 } ) ) $.
    $( Lemma for ~ axlowdim .  Show that three points are non-colinear.
       (Contributed by Scott Fenton, 29-Jun-2013.) $)
    axlowdimlem6 $p |- ( N e. ( ZZ>= ` 2 ) ->
    -. ( A Btwn <. B , C >. \/ B Btwn <. C , A >. \/
         C Btwn <. A , B >. ) ) $=
      ( c2 cfv wcel c1 cc0 cop co wbr cmin cmul wceq ax-mp eqtrdi vi vj cuz cpr
      c3 cfz csn cxp cun cbtwn w3o cv wral wne wrex wn cz cle wa eluzelz cn wss
      1zzd 2nn uznnssnn sseqtri sseli eluzle syl 1re leidi jctil elfz4 syl31anc
      nnuz eluzel2 1le2 ax-1ne0 1t1e1 0cn mul01i neeq12i mpbir fveq2 wfn cin c0
      cr wf 0re axlowdimlem4 ffn axlowdimlem1 axlowdimlem2 1z 2z 3pm3.2i pm3.2i
      w3a mp2an fvun1 mp3an fvpr1 eqtri elexi oveq12d 1m0e1 oveq1d 0m0e0 oveq2d
      1ne2 1ex neeq12d 2re fvpr2 rspc2ev mp3an3 df-ne rexbii rexnal bitri sylib
      syl2anc cee wb axlowdimlem5 colinearalg syl3anc opeq12i breq12i 3orbi123i
      mtbird sylnibr ) DHUCIZJZKLMZHLMZUDZUEDUFNZLUGUHZUIZKKMYQUDZYTUIZYPHKMUDZ
      YTUIZMZUJOZUUCUUEUUAMZUJOZUUEUUAUUCMZUJOZUKZABCMZUJOZBCAMZUJOZCABMZUJOZUK
      YOUULUAULZUUCIZUUSUUAIZPNZUBULZUUEIZUVCUUAIZPNZQNZUVCUUCIZUVEPNZUUSUUEIZU
      VAPNZQNZRZUBKDUFNZUMZUAUVNUMZYOUVGUVLUNZUBUVNUOZUAUVNUOZUVPUPZYOKUVNJZHUV
      NJZUVSYOKUQJZDUQJZUWCKKUROZKDUROZUSUWAYOVCZHDUTZUWGYOUWFUWEYODKUCIZJUWFYN
      UWIDYNVAUWIHVAJYNVAVBVDHVESVOVFVGKDVHVIKVJVKZVLKKDVMVNYOUWCUWDHUQJZKHUROZ
      HDUROZUSUWBUWGUWHHDVPYOUWMUWLHDVHVQVLHKDVMVNUWAUWBKKQNZLLQNZUNZUVSUWPKLUN
      VRUWNKUWOLVSLVTWAWBWCUVQUWPKUVFQNZUVILQNZUNUAUBKHUVNUVNUUSKRZUVGUWQUVLUWR
      UWSUVBKUVFQUWSUVBKLPNZKUWSUUTKUVALPUWSUUTKUUCIZKUUSKUUCWDUXAKUUBIZKUUBKHU
      FNZWEZYTYSWEZUXCYSWFWGRZKUXCJZUSZUXAUXBRUXCWHUUBWIUXDKLVJWJWKUXCWHUUBWLSZ
      YSWHYTWIUXEDWMYSWHYTWLSZUXFUXGDWNZUWCUWKUWCWSUWEUWLUSUXGUWCUWKUWCWOWPWOWQ
      UWEUWLUWJVQWRKKHVMWTWRZUXCYSUUBYTKXAXBKHUNZUXBKRXKKHKLXLXLXCSXDTUWSUVAKUU
      AIZLUUSKUUAWDUXNKYRIZLYRUXCWEZUXEUXHUXNUXORUXCWHYRWIUXPLLWJWJWKUXCWHYRWLS
      ZUXJUXLUXCYSYRYTKXAXBUXMUXOLRXKKHLLXLLWHWJXEZXCSXDTZXFXGTXHUWSUVKLUVIQUWS
      UVKLLPNZLUWSUVJLUVALPUWSUVJKUUEIZLUUSKUUEWDUYAKUUDIZLUUDUXCWEZUXEUXHUYAUY
      BRUXCWHUUDWIUYCLKWJVJWKUXCWHUUDWLSZUXJUXLUXCYSUUDYTKXAXBUXMUYBLRXKKHLKXLU
      XRXCSXDTUXSXFXITXJXMUVCHRZUWQUWNUWRUWOUYEUVFKKQUYEUVFUWTKUYEUVDKUVELPUYEU
      VDHUUEIZKUVCHUUEWDUYFHUUDIZKUYCUXEUXFHUXCJZUSZUYFUYGRUYDUXJUXFUYHUXKUWCUW
      KUWKWSUWLHHUROZUSUYHUWCUWKUWKWOWPWPWQUWLUYJVQHXNVKWRHKHVMWTWRZUXCYSUUDYTH
      XAXBUXMUYGKRXKKHLKHUQWPXEZXLXOSXDTUYEUVEHUUAIZLUVCHUUAWDUYMHYRIZLUXPUXEUY
      IUYMUYNRUXQUXJUYKUXCYSYRYTHXAXBUXMUYNLRXKKHLLUYLUXRXOSXDTZXFXGTXJUYEUVILL
      QUYEUVIUXTLUYEUVHLUVELPUYEUVHHUUCIZLUVCHUUCWDUYPHUUBIZLUXDUXEUYIUYPUYQRUX
      IUXJUYKUXCYSUUBYTHXAXBUXMUYQLRXKKHKLUYLUXRXOSXDTUYOXFXITXHXMXPXQYCUVSUVOU
      PZUAUVNUOUVTUVRUYRUAUVNUVRUVMUPZUBUVNUOUYRUVQUYSUBUVNUVGUVLXRXSUVMUBUVNXT
      YAXSUVOUAUVNXTYAYBYOUUADYDIZJUUCUYTJUUEUYTJUULUVPYELLDWJWJYFKLDVJWJYFLKDW
      JVJYFUUAUUCUUEUAUBDYGYHYLUUNUUGUUPUUIUURUUKAUUAUUMUUFUJEBUUCCUUEFGYIYJBUU
      CUUOUUHUJFCUUEAUUAGEYIYJCUUEUUQUUJUJGAUUABUUCEFYIYJYKYM $.
  $}

  ${
    axlowdimlem7.1 $e |- P = ( { <. 3 , -u 1 >. } u.
                 ( ( ( 1 ... N ) \ { 3 } ) X. { 0 } ) ) $.
    $( Lemma for ~ axlowdim .  Set up a point in Euclidean space.  (Contributed
       by Scott Fenton, 29-Jun-2013.) $)
    axlowdimlem7 $p |- ( N e. ( ZZ>= ` 3 ) -> P e. ( EE ` N ) ) $=
      ( c3 cfv wcel c1 csn cc0 cun cr wf wa wceq wss mp2an cle wbr cz wb cuz co
      cneg cop cfz cdif cxp cee cin eqid 3ex negex fsn mpbir neg1rr snssi ax-mp
      c0 fss 0re fconst6 pm3.2i disjdif fun2 eluzle 1le3 jctil eluzelz mp3an12i
      3z 1z elfz mpbird snssd undif sylib feq2d mpbii cn eluzge3nn syl eqeltrid
      elee ) BDUAEFZADGUCZUDHZGBUEUBZDHZUFZIHUGZJZBUHEZCWDWKWLFZWGKWKLZWDWHWIJZ
      KWKLZWNWHKWFLZWIKWJLZMWHWIUIURNWPWQWRWHWEHZWFLZWSKOZWQWTWFWFNWFUJDWEWFUKG
      ULUMUNWEKFXAUOWEKUPUQWHWSKWFUSPWIIKUTVAVBWHWGVCWHWIKWFWJVDPWDWOWGKWKWDWHW
      GOWOWGNWDDWGWDDWGFZGDQRZDBQRZMZWDXDXCDBVEVFVGDSFGSFWDBSFXBXETVJVKDBVHDGBV
      LVIVMVNWHWGVOVPVQVRWDBVSFWMWNTBVTWKBWCWAVMWB $.

    $( Lemma for ~ axlowdim .  Calculate the value of ` P ` at three.
       (Contributed by Scott Fenton, 21-Apr-2013.) $)
    axlowdimlem8 $p |- ( P ` 3 ) = -u 1 $=
      ( c3 cfv c1 cneg cop csn cfz co cdif cc0 cxp cun fveq1i wfn cin wceq 3ex
      c0 wcel wa negex fnsn wf c0ex fconst ffn ax-mp disjdif pm3.2i fvun1 mp3an
      snid fvsn 3eqtri ) DAEDDFGZHIZFBJKZDIZLZMIZNZOZEZDUSEZURDAVECPUSVAQVDVBQZ
      VAVBRUASZDVAUBZUCVFVGSDURTFUDZUEVBVCVDUFVHVBMUGUHVBVCVDUIUJVIVJVAUTUKDTUO
      ULVAVBUSVDDUMUNDURTVKUPUQ $.

    $( Lemma for ~ axlowdim .  Calculate the value of ` P ` away from three.
       (Contributed by Scott Fenton, 21-Apr-2013.) $)
    axlowdimlem9 $p |- ( ( K e. ( 1 ... N ) /\ K =/= 3 ) -> ( P ` K ) = 0 ) $=
      ( c1 cfz co wcel c3 wne wa cfv cneg cop csn cdif cc0 wceq wfn c0ex fveq1i
      cxp cun eldifsn cin c0 disjdif 3ex negex fnsn wf fconst ffn ax-mp mp3an12
      fvun2 mpan fvconst2 eqtrd sylbir syl5eq ) BECFGZHBIJKZBALBIEMZNOZVBIOZPZQ
      OZUBZUCZLZQBAVJDUAVCBVGHZVKQRBVBIUDVLVKBVILZQVFVGUEUFRZVLVKVMRZVFVBUGVEVF
      SVIVGSZVNVLKVOIVDUHEUIUJVGVHVIUKVPVGQTULVGVHVIUMUNVFVGVEVIBUPUOUQVGQBTURU
      SUTVA $.
  $}

  ${
    axlowdimlem10.1 $e |- Q = ( { <. ( I + 1 ) , 1 >. } u.
                    ( ( ( 1 ... N ) \ { ( I + 1 ) } ) X. { 0 } ) ) $.
    $( Lemma for ~ axlowdim .  Set up a family of points in Euclidean space.
       (Contributed by Scott Fenton, 21-Apr-2013.) $)
    axlowdimlem10 $p |- ( ( N e. NN /\ I e. ( 1 ... ( N - 1 ) ) ) ->
                Q e. ( EE ` N ) ) $=
      ( wcel c1 co cfz wa cr wf caddc csn cun cc0 wss wceq ax-mp mp2an snssi cn
      cmin cee cfv cdif cop cxp cin wf1o ovex 1ex f1osn f1of c0ex fconst pm3.2i
      c0 disjdif fun feq1i mpbir 1re 0re unssi fznatpl1 snssd undif sylib feq2d
      fss mpbii wb elee adantr mpbird ) CUAEZBFCFUBGHGEZIZACUCUDEZFCHGZJAKZVRBF
      LGZMZVTWCUEZNZJAKZWAWEFMZOMZNZAKZWIJPWFWJWEWIWBFUFMZWDWHUGZNZKZWCWGWKKZWD
      WHWLKZIWCWDUHUQQWNWOWPWCWGWKUIWOWBFBFLUJUKULWCWGWKUMRWDOUNUOUPWCVTURWCWDW
      GWHWKWLUSSWEWIAWMDUTVAWGWHJFJEWGJPVBFJTROJEWHJPVCOJTRVDWEWIJAVJSVRWEVTJAV
      RWCVTPWEVTQVRWBVTBCVEVFWCVTVGVHVIVKVPVSWAVLVQACVMVNVO $.

    $( Lemma for ~ axlowdim .  Calculate the value of ` Q ` at its
       distinguished point.  (Contributed by Scott Fenton, 21-Apr-2013.) $)
    axlowdimlem11 $p |- ( Q ` ( I + 1 ) ) = 1 $=
      ( c1 caddc co cfv cop csn cfz cdif cc0 cxp cun fveq1i wfn cin wceq 1ex c0
      wcel wa ovex fnsn wf c0ex fconst ffn ax-mp disjdif snid pm3.2i fvun1 fvsn
      mp3an 3eqtri ) BEFGZAHURUREIJZECKGZURJZLZMJZNZOZHZURUSHZEURAVEDPUSVAQVDVB
      QZVAVBRUASZURVAUBZUCVFVGSUREBEFUDZTUEVBVCVDUFVHVBMUGUHVBVCVDUIUJVIVJVAUTU
      KURVKULUMVAVBUSVDURUNUPUREVKTUOUQ $.

    $( Lemma for ~ axlowdim .  Calculate the value of ` Q ` away from its
       distinguished point.  (Contributed by Scott Fenton, 21-Apr-2013.) $)
    axlowdimlem12 $p |- ( ( K e. ( 1 ... N ) /\ K =/= ( I + 1 ) ) ->
                ( Q ` K ) = 0 ) $=
      ( c1 cfz co wcel caddc wne wa cfv cop csn cdif cc0 wceq wfn c0ex cxp ovex
      cun fveq1i eldifsn cin c0 disjdif 1ex fnsn fconst ffn ax-mp fvun2 mp3an12
      wf mpan fvconst2 eqtrd sylbir syl5eq ) CFDGHZICBFJHZKLZCAMCVCFNOZVBVCOZPZ
      QOZUAZUCZMZQCAVJEUDVDCVGIZVKQRCVBVCUEVLVKCVIMZQVFVGUFUGRZVLVKVMRZVFVBUHVE
      VFSVIVGSZVNVLLVOVCFBFJUBUIUJVGVHVIUPVPVGQTUKVGVHVIULUMVFVGVEVICUNUOUQVGQC
      TURUSUTVA $.
  $}

  ${
    axlowdimlem13.1 $e |- P = ( { <. 3 , -u 1 >. } u.
                 ( ( ( 1 ... N ) \ { 3 } ) X. { 0 } ) ) $.
    axlowdimlem13.2 $e |- Q = ( { <. ( I + 1 ) , 1 >. } u.
                    ( ( ( 1 ... N ) \ { ( I + 1 ) } ) X. { 0 } ) ) $.
    $( Lemma for ~ axlowdim .  Establish that ` P ` and ` Q ` are different
       points.  (Contributed by Scott Fenton, 21-Apr-2013.) $)
    axlowdimlem13 $p |- ( ( N e. NN /\ I e. ( 1 ... ( N - 1 ) ) ) ->
                  P =/= Q ) $=
      ( wcel c1 co cfz c3 csn cc0 cun caddc wceq wne crn c2 ax-1cn cn cmin cneg
      wa cop cdif cxp wn wo 2ne0 neii eqcom 1pneg1e0 eqcomi df-2 eqeq12i neg1cn
      addcani 3bitri mtbi intnanr ax-1ne0 cc wb negeq0 ax-mp pm3.2ni negex c0ex
      cpr 1ex preq12b mtbir 3ex rnsnop a1i c0 cuz cfv elnnuz eluzfz1 sylbi df-3
      1e0p1 2cn 0cn addcan2i bitri necon3bii mpbir necomi sylanblrc adantr ne0i
      eldifsn rnxp 3syl uneq12d rnun df-pr 3eqtr4g cz wss nnz fzssp1 zcn npcan1
      ovex oveq2d sseqtrid sselda cr elfzelz zred id ltp1 ltned adantl sylanbrc
      syl eqeq12d mtbiri rneq nsyl necon3abii sylibr ) DUAGZCHDHUBIZJIZGZUDZKHU
      CZUELZHDJIZKLUFZMLZUGZNZCHOIZHUELZYNYSLUFZYPUGZNZPZUHABQYKYRRZUUCRZPZUUDY
      KUUGYLMVJZHMVJZPZUUJYLHPZMMPZUDZYLMPZMHPZUDZUIUUMUUPUUKUULSMPZUUKSMUJUKUU
      QMSPHYLOIZHHOIZPUUKSMULMUURSUUSUURMUMUNUOUPHYLHTUQTURUSUTVAUUNUUOHMPZUUNH
      MVBUKHVCGUUTUUNVDTHVEVFUTVAVGYLMHMHVHVIVKVIVLVMYKUUEUUHUUFUUIYKYMRZYQRZNY
      LLZYPNUUEUUHYKUVAUVCUVBYPUVAUVCPYKKYLVNVOVPYKHYOGZYOVQQUVBYPPYGUVDYJYGHYN
      GZHKQUVDYGDHVRVSGUVEDVTHDWAWBKHKHQSMQUJKHSMKHPSHOIZMHOIZPUUQKUVFHUVGWCWDU
      PSMHWEWFTWGWHWIWJWKHYNKWOWLWMYOHWNYOYPWPWQWRYMYQWSYLMWTXAYKYTRZUUBRZNHLZY
      PNUUFUUIYKUVHUVJUVIYPUVHUVJPYKYSHCHOXHVOVPYKCUUAGZUUAVQQUVIYPPYKCYNGCYSQZ
      UVKYGYIYNCYGDXBGZYIYNXCDXDUVMHYHHOIZJIZYIYNHYHXEUVMDVCGZUVOYNPDXFUVPUVNDH
      JDXGXIXTXJXTXKYJUVLYGYJCXLGZUVLYJCCHYHXMXNUVQCYSUVQXOCXPXQXTXRCYNYSWOXSUU
      ACWNUUAYPWPWQWRYTUUBWSHMWTXAYAYBYRUUCYCYDUUDABAYRBUUCEFUPYEYF $.
  $}

  ${
    $d I i $.  $d N i $.  $d Q i $.  $d R i $.
    axlowdimlem14.1 $e |- Q = ( { <. ( I + 1 ) , 1 >. } u.
                    ( ( ( 1 ... N ) \ { ( I + 1 ) } ) X. { 0 } ) ) $.
    axlowdimlem14.2 $e |- R = ( { <. ( J + 1 ) , 1 >. } u.
                    ( ( ( 1 ... N ) \ { ( J + 1 ) } ) X. { 0 } ) ) $.
    $( Lemma for ~ axlowdim .  Take two possible ` Q ` from ~ axlowdimlem10 .
       They are the same iff their distinguished values are the same.
       (Contributed by Scott Fenton, 21-Apr-2013.) $)
    axlowdimlem14 $p |- ( ( N e. NN /\ I e. ( 1 ... ( N - 1 ) ) /\
                            J e. ( 1 ... ( N - 1 ) ) ) ->
       ( Q = R -> I = J ) ) $=
      ( vi wcel c1 co wceq cfv wb wa cr wne wn cc0 cc cmin cfz w3a wral wfn cee
      cn cv wf axlowdimlem10 elee adantr mpbid ffnd eqfnfv syl2an wrex fznatpl1
      3impdi caddc 3adant3 ax-1ne0 a1i axlowdimlem11 elfzelz zcnd ax-1cn mp3an3
      addcan2 3adant1 biimpar axlowdimlem12 3netr4d df-ne fveq2 neeq12d bitr3id
      necon3bid syl2an2r rspcev ex rexnal 3imtr3g con4d sylbid ) EUGIZCJEJUAKZU
      BKZIZDWHIZUCZABLZHUHZAMZWMBMZLZHJEUBKZUDZCDLZWFWIWJWLWRNZWFWIOZAWQUEBWQUE
      WTWFWJOZXAWQPAXAAEUFMZIZWQPAUIZACEFUJWFXDXENWIAEUKULUMUNXBWQPBXBBXCIZWQPB
      UIZBDEGUJWFXFXGNWJBEUKULUMUNHWQABUOUPUSWKWSWRWKCDQZWPRZHWQUQZWSRWRRWKXHXJ
      WKCJUTKZWQIZXHXKAMZXKBMZQZXJWFWIXLWJCEURVAZWKXHOZJSXMXNJSQXQVBVCXMJLXQACE
      FVDVCWKXLXHXKDJUTKZQZXNSLXPWKXSXHWKXKXRCDWIWJXKXRLWSNZWFWICTIZDTIZXTWJWIC
      CJWGVEVFWJDDJWGVEVFYAYBJTIXTVGCDJVIVHUPVJVRVKBDXKEGVLVSVMXIXOHXKWQXIWNWOQ
      WMXKLZXOWNWOVNYCWNXMWOXNWMXKAVOWMXKBVOVPVQVTVSWACDVNWPHWQWBWCWDWE $.
  $}

  ${
    $d F j k $.  $d N i j k $.
    axlowdimlem15.1 $e |- F =
      ( i e. ( 1 ... ( N - 1 ) ) |-> if ( i = 1 ,
         ( { <. 3 , -u 1 >. } u. ( ( ( 1 ... N ) \ { 3 } ) X. { 0 } ) ) ,
         ( { <. ( i + 1 ) , 1 >. } u.
           ( ( ( 1 ... N ) \ { ( i + 1 ) } ) X. { 0 } ) ) ) ) $.
    $( Lemma for ~ axlowdim .  Set up a one-to-one function of points.
       (Contributed by Scott Fenton, 21-Apr-2013.) $)
    axlowdimlem15 $p |- ( N e. ( ZZ>= ` 3 ) ->
                   F : ( 1 ... ( N - 1 ) ) -1-1-> ( EE ` N ) ) $=
      ( vj vk cfv wcel c1 co wceq wi cop csn cdif cxp cun caddc wa eqid c3 cmin
      cuz cfz cee wf cv weq wral wf1 cneg cc0 cif axlowdimlem7 adantr eluzge3nn
      cn axlowdimlem10 sylan ifcld fmptd wb eqeq1 opeq1d difeq2d xpeq1d uneq12d
      oveq1 sneqd ifbieq2d snex ovex difexi xpex unex ifex fvmpt eqeqan12d 2a1d
      adantl axlowdimlem13 neneqd pm2.21d adantrl iftrue iffalse imbi1d syl5ibr
      eqtr3 necomd adantrr axlowdimlem14 3expb 4cases ralrimivva dff13 sylanbrc
      wn sylbid ) CUAUCGHZICIUBJUDJZCUEGZBUFEUGZBGZFUGZBGZKZEFUHZLZFXAUIEXAUIXA
      XBBUJWTAXAAUGZIKZUAIUKMZNZICUDJZUANZOZULNZPZQZXJIRJZIMZNZXNXTNZOZXQPZQZUM
      ZXBBWTXJXAHZSXKXSYFXBWTXSXBHYHXSCXSTZUNUOWTCUQHZYHYFXBHCUPZYFXJCYFTURUSUT
      DVAWTXIEFXAXAWTXCXAHZXEXAHZSZSZXGXCIKZXSXCIRJZIMZNZXNYQNZOZXQPZQZUMZXEIKZ
      XSXEIRJZIMZNZXNUUFNZOZXQPZQZUMZKZXHYNXGUUNVBWTYLYMXDUUDXFUUMAXCYGUUDXABAE
      UHZXKYPYFUUCXSXJXCIVCUUOYBYSYEUUBUUOYAYRUUOXTYQIXJXCIRVHZVDVIUUOYDUUAXQUU
      OYCYTXNUUOXTYQUUPVIVEVFVGVJDYPXSUUCXMXRXLVKXPXQXNXOICUDVLZVMULVKZVNVOZYSU
      UBYRVKUUAXQXNYTUUQVMUURVNVOVPVQAXEYGUUMXABAFUHZXKUUEYFUULXSXJXEIVCUUTYBUU
      HYEUUKUUTYAUUGUUTXTUUFIXJXEIRVHZVDVIUUTYDUUJXQUUTYCUUIXNUUTXTUUFUVAVIVEVF
      VGVJDUUEXSUULUUSUUHUUKUUGVKUUJXQXNUUIUUQVMUURVNVOVPVQVRVTYPUUEYOUUNXHLZLY
      PUUESXHYOUUNXCXEIWIVSYOUVBYPUUEWRZSZXSUULKZXHLZWTYJYNUVFYKYJYMUVFYLYJYMSZ
      UVEXHUVGXSUULXSUULXECYIUULTZWAWBWCWDUSUVDUUNUVEXHYPUVCUUDXSUUMUULYPXSUUCW
      EUUEXSUULWFZVRWGWHYOUVBYPWRZUUESZUUCXSKZXHLZWTYLUVMYMWTYJYLUVMYKYJYLSZUVL
      XHUVNUUCXSUVNXSUUCXSUUCXCCYIUUCTZWAWJWBWCUSWKUVKUUNUVLXHUVJUUEUUDUUCUUMXS
      YPXSUUCWFZUUEXSUULWEVRWGWHYOUVBUVJUVCSZUUCUULKZXHLZWTYJYNUVSYKYJYLYMUVSUU
      CUULXCXECUVOUVHWLWMUSUVQUUNUVRXHUVJUVCUUDUUCUUMUULUVPUVIVRWGWHWNWSWOEFXAX
      BBWPWQ $.
  $}

  ${
    $d P i $.  $d I i $.  $d N i $.  $d Q i $.
    axlowdimlem16.1 $e |- P = ( { <. 3 , -u 1 >. } u.
                 ( ( ( 1 ... N ) \ { 3 } ) X. { 0 } ) ) $.
    axlowdimlem16.2 $e |- Q = ( { <. ( I + 1 ) , 1 >. } u.
                    ( ( ( 1 ... N ) \ { ( I + 1 ) } ) X. { 0 } ) ) $.
    $( Lemma for ~ axlowdim .  Set up a summation that will help establish
       distance.  (Contributed by Scott Fenton, 21-Apr-2013.) $)
    axlowdimlem16 $p |- ( ( N e. ( ZZ>= ` 3 ) /\ I e. ( 2 ... ( N - 1 ) ) )
          ->
      sum_ i e. ( 3 ... N ) ( ( P ` i ) ^ 2 ) =
      sum_ i e. ( 3 ... N ) ( ( Q ` i ) ^ 2 ) ) $=
      ( c3 wcel c2 c1 co cfz wa csu wceq eqtrdi caddc wbr cc0 cuz cfv cmin cexp
      cv wi elfz1eq cz cc 3z ax-1cn sqcli fveq2 axlowdimlem8 oveq1d sqneg ax-mp
      cneg fsum1 mp2an df-3 oveq1 eqtr4id oveq12d sumeq1d eqtr4di axlowdimlem11
      eqeltrdi sylancl eqtrd syl a1i 3m1e2 oveq2d eleq2d oveq2 wne adantl simpl
      clt cle cr wb sylancr 3ad2ant1 elfzelz zred ltp1d fzfid cn 2eluzge1 fzss1
      3re wss sseli syl2an fveecn sqcld 3adantl2 3ad2ant3 elfzle2 ltm1d lelttrd
      eluz syl2anc mpbird adantr peano2re axlowdimlem12 sq0id sumeq2dv cfn fzfi
      wo olci sumz sq1 1le2 elfzle1 syl2an2 peano2nnd nnuz sselda oveq1i fsum1p
      2re eleqtrdi 1p0e1 ex pm2.61ine 2lt3 ltleii imp elfz mp3an12i 3adant3 1re
      2z 1z wn eqeq12d 3imtr4d adantld simprl eluzle eluzelre mpbir2and adantrr
      ltlen simprr w3a c0 fzssp1 simp3 sselid eluzelz zcnd npcan eleqtrd fzdisj
      cin fzsplit eluzge3nn axlowdimlem10 fsumsplit peano2rem ltled fzss2 sseld
      cun cee impel ltned peano2zd eqeq1d syl5ib letrd elnnz1 sylanbrc nnltp1le
      mpbid simpr1 simpr3 eqtri ltletrd gtned 0p1e1 simp1 eluz1i mpbir2an uztrn
      1red lttr mp3an12 mpani ltle mpan sylc ltne necomd sumeq1i oveq2i eleqtri
      jctil 3nn fsumcl addid2d 3eqtrrd axlowdimlem7 ad2antrr neg1sqe1 zrei 1lt3
      zaddcl ltp1i lttri mpbir ltnlei mpbi intnanr mtbiri eleq1 notbid necon2ad
      syl5ibrcom axlowdimlem9 3eqtr4rd syl3anc ) EHUAUBIZDJEKUCLZMLZIZNZHEMLZCU
      EZAUBZJUDLZCOZUYNUYOBUBZJUDLZCOZPZUFEHEHPZUYLVUBUYIVUCDJJMLZIZHHMLZUYQCOZ
      VUFUYTCOZPZUYLVUBVUEVUIUFVUCVUEDJPZVUIDJUGVUJVUGKJUDLZVUHHUHIZVUKUIIZVUGV
      UKPUJKUKULZUYQVUKCHUYOHPZUYQKURZJUDLZVUKVUOUYPVUPJUDVUOUYPHAUBVUPUYOHAUMA
      EFUNQUOZKUIIZVUQVUKPUKKUPUQQUSUTVUJVUHDKRLZVUTMLZUYTCOZVUKVUJVUFVVAUYTCVU
      JHVUTHVUTMVUJHJKRLZVUTVADJKRVBZVCZVVEVDVEVUJVUTUHIZVUMVVBVUKPVUJVUTHUHVUJ
      VUTVVCHVVDVAVFUJVHVUNUYTVUKCVUTUYOVUTPZUYSKJUDVVGUYSVUTBUBZKUYOVUTBUMZBDE
      GVGZQUOZUSVIVJVCVKVLVUCUYKVUDDVUCUYJJJMVUCUYJHKUCLJEHKUCVBVMQVNVOVUCUYRVU
      GVUAVUHVUCUYNVUFUYQCEHHMVPZVEVUCUYNVUFUYTCVVLVEUUAUUBUUCEHVQZUYMVUBVVMUYM
      NUYIHEVTSZUYLVUBVVMUYIUYLUUDVVMUYIVVNUYLVVMUYINZVVNHEWASZVVMUYIVVPVVMHEUU
      EVRVVMUYIVSVVOHWBIZEWBIZVVNVVPVVMNWCWMUYIVVRVVMHEUUFZVRHEUUIWDUUGUUHVVMUY
      IUYLUUJUYIVVNUYLUUKZJEMLZUYTCOZKVUAUYRVVTVWBJDMLZUYTCOZVUTEMLZUYTCOZRLZKV
      VTVWCVWEUYTVWACVVTDVUTVTSVWCVWEUVAUULPVVTDVVTDVVTDVWAIZDUHIZVVTDJUYJKRLZM
      LZVWAVVTUYKVWKDJUYJUUMUYIVVNUYLUUNUUOVVTVWJEJMVVTEUIIVUSVWJEPVVTEUYIVVNEU
      HIZUYLHEUUPZWEZUUQUKEKUURVIVNUUSZDJEWFVKWGWHJDVUTEUUTVKVVTVWHVWAVWCVWEUVJ
      PVWODJEUVBVKVVTJEWIUYIUYLUYOVWAIZUYTUIIZVVNUYMVWPNUYSUYMBEUVKUBZIZUYOKEML
      ZIZUYSUIIZVWPUYIEWJIZDKUYJMLZIVWSUYLEUVCZUYKVXDDJKUAUBZIZUYKVXDWNWKJKUYJW
      LUQWOBDEGUVDWPZVWAVWTUYOVXGVWAVWTWNWKJKEWLUQWOBUYOEWQZWPWRWSZUVEVVTVWGTKR
      LKVVTVWDTVWFKRVVTVWDVWCTCOZTVVTVWCUYTTCVVTUYOVWCIZNZUYSVXMVXAUYOVUTVQZUYS
      TPZVVTUYOKDMLZIVXAVXLVVTVXPVWTUYOVVTEDUAUBIZVXPVWTWNVVTVXQDEWASZVVTDEUYLU
      YIDWBIZVVNUYLDDJUYJWFZWGZWTZUYIVVNVVRUYLVVSWEZVVTDUYJEVYBVVTVVRUYJWBIZVYC
      EUVFZVKVYCUYLUYIDUYJWASZVVNDJUYJXAWTZVVTEVYCXBXCUVGVVTVWIVWLVXQVXRWCUYLUY
      IVWIVVNVXTWTZVWNDEXDXEXFDKEUVHVKUVIVWCVXPUYOVXGVWCVXPWNWKJKDWLUQWOUVLVXMU
      YOVUTVXLUYOWBIZVVTVXLUYOUYOJDWFWGVRZVXMUYODVUTVYJVVTVXSVXLVYBXGZVVTVUTWBI
      ZVXLUYLUYIVYLVVNUYLVXSVYLVYADXHZVKZWTXGVXLUYODWASVVTUYOJDXAVRVXMDVYKWHXCU
      VMBDUYOEGXIZXEXJXKVWCVXFWNZVWCXLIZXNVXKTPVYQVYPJDXMXOVWCCKXPUQQVVTVWFKPZU
      FVUTEVVTVVBKPZVUTEPZVYRVVTVVFVUSVYSVVTDVYHUVNZUKUYTKCVUTVVGUYTVUKKVVKXQQU
      SVIVYTVVBVWFKVYTVVAVWEUYTCVUTEVUTMVPVEUVOUVPVUTEVQZVVTVYRWUBVVTNZVWFKVUTK
      RLZEMLZUYTCOZRLZKWUCUYTKCVUTEWUCEVUTUAUBIZVUTEWASZWUCDEVTSZWUIWUCDUYJEWUC
      DVVTVWIWUBVYHVRZWGZWUCVVRVYDWUCEVVTVWLWUBVWNVRZWGZVYEVKWUNVVTVYFWUBVYGVRW
      UCEWUNXBXCWUCDWJIZVXCWUJWUIWCWUCVWIKDWASZWUOWUKVVTWUPWUBUYLUYIWUPVVNUYLKJ
      DUYLUWLJWBIZUYLYFVLZVYAKJWASZUYLXRVLDJUYJXSZUVQWTVRDUVRUVSZVVTVXCWUBUYIVV
      NVXCUYLVXEWEVRDEUVTXEUWAVVTVVFWUBVWLWUHWUIWCWUAWUMVUTEXDXTXFWUCUYOVWEIZNZ
      UYSWVCVWSVXAVXBWUCVWSWVBWUCUYIUYLVWSWUBUYIVVNUYLUWBWUBUYIVVNUYLUWCVXHXEXG
      WUCVWEVWTUYOWUCVUTVXFIVWEVWTWNWUCVUTWJVXFWUCDWVAYAZYBYGVUTKEWLVKYCVXIXEWR
      VVGUYTVVHJUDLZKVVGUYSVVHJUDVVIUOWVEVUKKVVHKJUDVVJYDXQUWDQYEWUCWUGKTRLZKWU
      CWUFTKRWUCWUFWUETCOZTWUCWUEUYTTCWUCUYOWUEIZNZUYSWVIVXAVXNVXOWUCWUEVWTUYOW
      UCWUDVXFIWUEVWTWNWUCWUDWJVXFWUCVUTWVDYAYBYGWUDKEWLVKYCWVIVUTUYOWUCVYLWVHW
      UCVXSVYLWULVYMVKXGZWVIVUTWUDUYOWVJWVIVYLWUDWBIWVJVUTXHVKWVHVYIWUCWVHUYOUY
      OWUDEWFWGVRWVIVUTWVJWHWVHWUDUYOWASWUCUYOWUDEXSVRUWEUWFVYOXEXJXKWUEVXFWNZW
      UEXLIZXNWVGTPWVLWVKWUDEXMXOWUECKXPUQQVNYHQVJYIYJVDUWGQVJVVTVWBJBUBZJUDLZV
      VCEMLZUYTCOZRLZTVUARLZVUAVVTUYTWVNCJEVVTUYIHJUAUBZIZEWVSIUYIVVNUYLUWHWVTV
      ULJHWASUJJHYFWMYKYLJHYRUWIUWJHEJUWKVIVXJUYOJPUYSWVMJUDUYOJBUMUOYEVVTWVQTW
      VPRLWVRVVTWVNTWVPRVVTWVMVVTJVWTIZJVUTVQWVMTPUYIVVNWWAUYLUYIVVNNZWWAWUSJEW
      ASZNZWWBWWCWUSWWBVVRJEVTSZWWCWWBEUYIVWLVVNVWMXGZWGUYIVVNWWEUYIVVRVVNWWEUF
      VVSVVRJHVTSZVVNWWEYKWUQVVQVVRWWGVVNNWWEUFYFWMJHEUWMUWNUWOVKYMWUQVVRWWEWWC
      UFYFJEUWPUWQUWRXRUXDJUHIKUHIZWWBVWLWWAWWDWCYRYSWWFJKEYNYOXFYPVVTVUTJVVTWU
      QJVUTVTSZVUTJVQYFUYLUYIWWIVVNUYLJDVUTWURVYAVYNWUTUYLDVYAWHXCWTJVUTUWSWDUW
      TBDJEGXIXEXJUOVUAWVPTRUYNWVOUYTCHVVCEMVAYDUXAUXBVFVVTVUAVVTUYNUYTCVVTHEWI
      UYIUYLUYOUYNIZVWQVVNUYMWWJNUYSUYMVWSVXAVXBWWJVXHUYNVWTUYOHVXFIUYNVWTWNHWJ
      VXFUXEYBUXCHKEWLUQWOZVXIWPWRWSUXFUXGUXHUYIVVNUYRKPUYLWWBUYRWVFKWWBUYRKHKR
      LZEMLZUYQCOZRLWVFWWBUYQKCHEUYIVVNVSWWBWWJNZUYPWWOAVWRIZVXAUYPUIIUYIWWPVVN
      WWJAEFUXIUXJWWJVXAWWBWWKVRAUYOEWQXEWRVUOUYQVUQKVURUXKQYEWWBWWNTKRWWBWWNWW
      MTCOZTWWBWWMUYQTCWWBUYOWWMIZNUYPWWRVXAWWBUYOHVQZUYPTPWWMVWTUYOWWLVXFIZWWM
      VWTWNWWTKWWLWASZKWWLYQWWLVULWWHWWLUHIZUJYSHKUXNUTZUXLZKHVTSHWWLVTSZKWWLVT
      SUXMHWMUXOZKHWWLYQWMWXDUXPUTYLWWHWXBWWTWXAWCYSWXCKWWLXDUTUXQWWLKEWLUQWOWW
      BWWRWWSWWBWWRUYOHWWBWWRYTVUOHWWMIZYTWWBWXGWWLHWASZVVPNZWXHVVPWXEWXHYTWXFH
      WWLWMWXDUXRUXSUXTVULWXBWWBVWLWXGWXIWCUJWXCWWFHWWLEYNYOUYAVUOWWRWXGUYOHWWM
      UYBUYCUYEUYDYMAUYOEFUYFXTXJXKWWMVXFWNZWWMXLIZXNWWQTPWXKWXJWWLEXMXOWWMCKXP
      UQQVNVJYHQYPUYGUYHYIYJ $.

    ${
      $d A i $.  $d X i $.  $d Y i $.
      axlowdimlem17.3 $e |- A =
          ( { <. 1 , X >. , <. 2 , Y >. } u. ( ( 3 ... N ) X. { 0 } ) ) $.
      axlowdimlem17.4 $e |- X e. RR $.
      axlowdimlem17.5 $e |- Y e. RR $.
      $( Lemma for ~ axlowdim .  Establish a congruence result.  (Contributed
         by Scott Fenton, 22-Apr-2013.)  (Proof shortened by Mario Carneiro,
         22-May-2014.) $)
      axlowdimlem17 $p |- ( ( N e. ( ZZ>= ` 3 ) /\
               I e. ( 2 ... ( N - 1 ) ) ) ->
           <. P , A >. Cgr <. Q , A >. ) $=
        ( vi c3 cfv wcel c2 c1 co cc0 cuz cmin cfz wa cop ccgr wbr cv cexp wceq
        csu caddc wne wss uzuzle23 ad2antrr fzss2 syl simpr sseldd fznuz adantl
        wn cz uzid ax-mp df-3 fveq2i eleqtri eleq1 mpbiri necon3bi axlowdimlem9
        3z syl2anc elfzuz ad2antlr eluzp1p1 ssneldd eluzelz syl5ibrcom necon3bd
        uzss mpd axlowdimlem12 eqtr4d oveq1d sumeq2dv axlowdimlem16 csn cxp cpr
        cun fveq1i cin c0 axlowdimlem2 wfn cr axlowdimlem4 axlowdimlem1 mp3an12
        wf ffn fvun2 mpan syl5eq c0ex fvconst2 eqtrd oveq2d cee cc axlowdimlem7
        cn 3nn nnuz fzss1 sseli fveecn subid1d eluzge3nn 2eluzge1 axlowdimlem10
        syl2an 3eqtr4d oveq12d a1i cle eluzelre eluzle 2re 3re adantr wb mpbird
        sylancom subcld sqcld fsumsplit 2lt3 ltleii wi letr mpani sylc jctil 2z
        1le2 1z fzsplit oveq1i uneq2i eqtr4di fzfid axlowdimlem5 eqeltrid sylan
        elfz brcgr syl22anc ) ENUAOZPZDQERUBSZUCSZPZUDZBAUECAUEUFUGZREUCSZMUHZB
        OZUVJAOZUBSZQUISZMUKZUVIUVJCOZUVLUBSZQUISZMUKZUJZUVGRQUCSZUVNMUKZNEUCSZ
        UVNMUKZULSUWAUVRMUKZUWCUVRMUKZULSUVOUVSUVGUWBUWEUWDUWFULUVGUWAUVNUVRMUV
        GUVJUWAPZUDZUVMUVQQUIUWHUVKUVPUVLUBUWHUVKTUVPUWHUVJUVIPZUVJNUMZUVKTUJUW
        HUWAUVIUVJUWHEQUAOZPZUWAUVIUNUVCUWLUVFUWGEUOZUPQREUQURUVGUWGUSUTZUWHUVJ
        QRULSZUAOZPZVCZUWJUWGUWRUVGUVJRQVAVBZUWQUVJNUVJNUJUWQNUWPPNUVBUWPNVDPNU
        VBPVNNVEVFNUWOUAVGVHVIUVJNUWPVJVKVLURBUVJEHVMVOUWHUWIUVJDRULSZUMZUVPTUJ
        UWNUWHUVJUWTUAOZPZVCUXAUWHUXBUWPUVJUWHUWTUWPPZUXBUWPUNUWHDUWKPZUXDUVFUX
        EUVCUWGDQUVDVPVQQDVRURZUWOUWTWCURUWSVSUWHUXCUVJUWTUWHUXCUVJUWTUJUWTUXBP
        ZUWHUWTVDPZUXGUWHUXDUXHUXFUWOUWTVTURUWTVEURUVJUWTUXBVJWAWBWDCDUVJEIWEVO
        WFWGWGWHUVGUWCUVKQUISZMUKUWCUVPQUISZMUKUWDUWFBCMDEHIWIUVGUWCUVNUXIMUVGU
        VJUWCPZUDZUVMUVKQUIUXLUVMUVKTUBSUVKUXLUVLTUVKUBUXKUVLTUJUVGUXKUVLUVJUWC
        TWJWKZOZTUXKUVLUVJRFUEQGUEWLZUXMWMZOZUXNUVJAUXPJWNUWAUWCWOWPUJZUXKUXQUX
        NUJZEWQZUXOUWAWRZUXMUWCWRZUXRUXKUDUXSUWAWSUXOXCUYAFGKLWTUWAWSUXOXDVFUWC
        WSUXMXCUYBEXAUWCWSUXMXDVFUWAUWCUXOUXMUVJXEXBXFXGUWCTUVJXHXIXJVBZXKUXLUV
        KUXLBEXLOZPZUWIUVKXMPZUVCUYEUVFUXKBEHXNZUPUXKUWIUVGUWCUVIUVJNRUAOZPUWCU
        VIUNNXOUYHXPXQVINREXRVFXSZVBBUVJEXTZVOYAXJWGWHUVGUWCUVRUXJMUXLUVQUVPQUI
        UXLUVQUVPTUBSUVPUXLUVLTUVPUBUYCXKUXLUVPUVGCUYDPZUWIUVPXMPZUXKUVCEXOPDRU
        VDUCSZPUYKUVFEYBUVEUYMDQUYHPUVEUYMUNYCQRUVDXRVFXSCDEIYDYEZUYICUVJEXTZYE
        YAXJWGWHYFYGUVGUWAUWCUVNUVIMUXRUVGUXTYHZUVGUVIUWAUWOEUCSZWMZUWAUWCWMUVG
        QUVIPZUVIUYRUJUVGUYSRQYIUGZQEYIUGZUDZUVCVUBUVFUVCVUAUYTUVCEWSPZNEYIUGZV
        UANEYJNEYKVUCQNYIUGZVUDVUAQNYLYMUUAUUBQWSPNWSPVUCVUEVUDUDVUAUUCYLYMQNEU
        UDXBUUEUUFUUIUUGYNUVGEVDPZUYSVUBYOZUVCVUFUVFNEVTYNQVDPRVDPVUFVUGUUHUUJQ
        REUUSXBURYPQREUUKURUWCUYQUWANUWOEUCVGUULUUMUUNZUVGREUUOZUVGUWIUDZUVMVUJ
        UVKUVLUVGUWIUYEUYFUVCUYEUVFUWIUYGUPUYJYQUVGUWIAUYDPZUVLXMPUVCVUKUVFUWIU
        VCUWLVUKUWMUWLAUXPUYDJFGEKLUUPUUQURZUPAUVJEXTYQZYRYSYTUVGUWAUWCUVRUVIMU
        YPVUHVUIVUJUVQVUJUVPUVLUVGUYKUWIUYLUYNUYOUURVUMYRYSYTYFUVGUYEVUKUYKVUKU
        VHUVTYOUVCUYEUVFUYGYNUVCVUKUVFVULYNZUYNVUNBACAMEUUTUVAYP $.
    $}
  $}

  ${
    $d N x y $.
    $( The lower dimension axiom for one dimension.  In any dimension, there
       are at least two distinct points.  Theorem 3.13 of [Schwabhauser] p. 32,
       where it is derived from ~ axlowdim2 .  (Contributed by Scott Fenton,
       22-Apr-2013.) $)
    axlowdim1 $p |- ( N e. NN ->
               E. x e. ( EE ` N ) E. y e. ( EE ` N ) x =/= y ) $=
      ( wcel c1 csn cxp cfv cc0 wne cv wrex cr wf fconst6 elee mpbiri wceq rnxp
      crn cn cfz co cee 1re 0re ax-1ne0 neii 1ex sneqr mto c0 cuz eluzfz1 sylbi
      elnnuz ne0d eqeq12d mtbiri rneq nsyl neqned neeq1 neeq2 rspc2ev syl3anc
      syl ) CUADZECUBUCZEFZGZCUDHZDZVIIFZGZVLDZVKVOJZAKZBKZJZBVLLAVLLVHVMVIMVKN
      VIEMUEOVKCPQVHVPVIMVONVIIMUFOVOCPQVHVKVOVHVKTZVOTZRZVKVORVHWCVJVNRZWDEIRE
      IUGUHEIUIUJUKVHWAVJWBVNVHVIULJZWAVJRVHVIEVHCEUMHDEVIDCUPECUNUOUQZVIVJSVGV
      HWEWBVNRWFVIVNSVGURUSVKVOUTVAVBVTVQVKVSJABVKVOVLVLVRVKVSVCVSVOVKVDVEVF $.
  $}

  ${
    $d N x y z $.
    $( The lower two-dimensional axiom.  In any space where the dimension is
       greater than one, there are three non-colinear points.  Axiom A8 of
       [Schwabhauser] p. 12.  (Contributed by Scott Fenton, 15-Apr-2013.) $)
    axlowdim2 $p |- ( N e. ( ZZ>= ` 2 ) ->
       E. x e. ( EE ` N ) E. y e. ( EE ` N ) E. z e. ( EE ` N )
        -. ( x Btwn <. y , z >. \/ y Btwn <. z , x >. \/
             z Btwn <. x , y >. ) ) $=
      ( c2 wcel c1 cc0 cop cpr cun cv cbtwn wbr w3o wn wrex axlowdimlem5 breq2d
      0re cuz cfv c3 cfz co csn cxp cee 1re eqid axlowdimlem6 opeq2 opeq1 breq1
      wceq 3orbi123d notbid rspcev syl2anc rexbidv rspc2ev syl3anc ) DEUAUBFZGH
      IZEHIZJUCDUDUEHUFUGZKZDUHUBZFGGIVEJVFKZVHFVGVICLZIZMNZVIVJVGIZMNZVJVGVIIZ
      MNZOZPZCVHQZALZBLZVJIZMNZWAVJVTIZMNZVJVTWAIZMNZOZPZCVHQZBVHQAVHQHHDTTRGHD
      UITRVCVDEGIJVFKZVHFVGVIWKIZMNZVIWKVGIZMNZWKVOMNZOZPZVSHGDTUIRVGVIWKDVGUJV
      IUJWKUJUKVRWRCWKVHVJWKUOZVQWQWSVLWMVNWOVPWPWSVKWLVGMVJWKVIULSWSVMWNVIMVJW
      KVGUMSVJWKVOMUNUPUQURUSWJVSVGWBMNZWAVMMNZVJVGWAIZMNZOZPZCVHQABVGVIVHVHVTV
      GUOZWIXECVHXFWHXDXFWCWTWEXAWGXCVTVGWBMUNXFWDVMWAMVTVGVJULSXFWFXBVJMVTVGWA
      UMSUPUQUTWAVIUOZXEVRCVHXGXDVQXGWTVLXAVNXCVPXGWBVKVGMWAVIVJUMSWAVIVMMUNXGX
      BVOVJMWAVIVGULSUPUQUTVAVB $.
  $}

  ${
    $d N i k p x y z $.
    $( The general lower dimension axiom.  Take a dimension ` N ` greater than
       or equal to three.  Then, there are three non-colinear points in ` N `
       dimensional space that are equidistant from ` N - 1 ` distinct points.
       Derived from remarks in _Tarski's System of Geometry_, Alfred Tarski and
       Steven Givant, Bulletin of Symbolic Logic, Volume 5, Number 2 (1999),
       175-214.  (Contributed by Scott Fenton, 22-Apr-2013.) $)
    axlowdim $p |- ( N e. ( ZZ>= ` 3 ) ->
       E. p E. x e. ( EE ` N ) E. y e. ( EE ` N ) E. z e. ( EE ` N )
         ( p : ( 1 ... ( N - 1 ) ) -1-1-> ( EE ` N ) /\
           A. i e. ( 2 ... ( N - 1 ) ) (
            <. ( p ` 1 ) , x >. Cgr <. ( p ` i ) , x >. /\
            <. ( p ` 1 ) , y >. Cgr <. ( p ` i ) , y >. /\
            <. ( p ` 1 ) , z >. Cgr <. ( p ` i ) , z >. ) /\
        -. ( x Btwn <. y , z >. \/ y Btwn <. z , x >. \/
             z Btwn <. x , y >. ) ) ) $=
      ( c3 wcel c1 co wceq cop cc0 ccgr wbr w3a c2 cbtwn syl opeq1d vk cuz cmin
      cfv cfz cee cv cneg csn cdif cxp cun caddc cif cmpt wf1 wral w3o wrex wex
      wn cpr uzuzle23 0re axlowdimlem5 1re eqid axlowdimlem15 axlowdimlem17 cle
      wa cz 1zzd peano2zm 3ad2ant2 2m1e1 2re 3re 2lt3 ltleii cr wi zre mp3an12i
      letr mpani 3adant1 wb lesub1 mp3an13 mpbid eqbrtrrid 3jca 3imtr4i eluzfz1
      imp eluz2 adantr eqeq1 oveq1 sneqd difeq2d xpeq1d uneq12d ifbieq2d difexi
      snex ovex xpex unex ifex fvmpt iftruei eqtrdi 2eluzge1 fzss1 ax-mp adantl
      wss sseli 1lt2 ltnlei mpbi intnanr 1z 2z eluzelz notbid breq12d 3anbi123d
      clt elfz opeq2 ralbidv breq1 breq2d opeq1 3orbi123d 3anbi23d fveq1 mtbiri
      eleq1 syl5ibrcom con2d iffalsed eqtrd mpbir3and ralrimiva 3anbi1d 3anbi2d
      axlowdimlem6 3anbi3d rspc3ev syl33anc mptex f1eq1 3anbi12d 2rexbidv spcev
      rexbidv ) EGUBUDHZIEIUCJZUEJZEUFUDZUAUVCUAUGZIKZGIUHLZUIZIEUEJZGUIZUJZMUI
      ZUKZULZUVEIUMJZILZUIZUVIUVOUIZUJZUVLUKZULZUNZUOZUPZIUWCUDZAUGZLZDUGZUWCUD
      ZUWFLZNOZUWEBUGZLZUWIUWLLZNOZUWECUGZLZUWIUWPLZNOZPZDQUVBUEJZUQZUWFUWLUWPL
      ZROZUWLUWPUWFLZROZUWPUWFUWLLZROZURZVAZPZCUVDUSZBUVDUSAUVDUSZUVCUVDFUGZUPZ
      IUXNUDZUWFLZUWHUXNUDZUWFLZNOZUXPUWLLZUXRUWLLZNOZUXPUWPLZUXRUWPLZNOZPZDUXA
      UQZUXJPZCUVDUSZBUVDUSAUVDUSZFUTUVAIMLZQMLZVBGEUEJUVLUKZULZUVDHZIILUYMVBUY
      NULZUVDHZUYLQILVBUYNULZUVDHZUWDUWEUYOLZUWIUYOLZNOZUWEUYQLZUWIUYQLZNOZUWEU
      YSLZUWIUYSLZNOZPZDUXAUQZUYOUYQUYSLZROZUYQUYSUYOLZROZUYSUYOUYQLZROZURZVAZU
      XMUVAEQUBUDHZUYPEVCZMMEVDVDVESUVAVUTUYRVVAIMEVFVDVESUVAVUTUYTVVAMIEVDVFVE
      SUAUWCEUWCVGZVHUVAVUJDUXAUVAUWHUXAHZVKZVUJUVNUYOLZUWHIUMJZILZUIZUVIVVFUIZ
      UJZUVLUKZULZUYOLZNOZUVNUYQLZVVLUYQLZNOZUVNUYSLZVVLUYSLZNOZUYOUVNVVLUWHEMM
      UVNVGZVVLVGZUYOVGZVDVDVIUYQUVNVVLUWHEIMVWAVWBUYQVGZVFVDVIUYSUVNVVLUWHEMIV
      WAVWBUYSVGZVDVFVIVVDVUCVVNVUFVVQVUIVVTVVDVUAVVEVUBVVMNVVDUWEUVNUYOVVDUWEI
      IKZUVNIIUMJZILZUIZUVIVWGUIZUJZUVLUKZULZUNZUVNVVDIUVCHZUWEVWNKZUVAVWOVVCUV
      AUVBIUBUDZHZVWOGVLHZEVLHZGEVJOZPZIVLHZUVBVLHZIUVBVJOZPUVAVWRVXBVXCVXDVXEV
      XBVMVWTVWSVXDVXAEVNZVOVXBIQIUCJZUVBVJVPVXBQEVJOZVXGUVBVJOZVWTVXAVXHVWSVWT
      VXAVXHVWTQGVJOZVXAVXHQGVQVRVSVTQWAHZGWAHVWTEWAHZVXJVXAVKVXHWBVQVREWCZQGEW
      EWDWFWPWGVXBVXLVXHVXIWHZVWTVWSVXLVXAVXMVOVXKVXLIWAHVXNVQVFQEIWIWJSWKWLWMG
      EWQIUVBWQWNIUVBWOSZWRUAIUWBVWNUVCUWCUVFUVFVWFUWAVWMUVNUVEIIWSUVFUVQVWIUVT
      VWLUVFUVPVWHUVFUVOVWGIUVEIIUMWTZTXAUVFUVSVWKUVLUVFUVRVWJUVIUVFUVOVWGVXPXA
      XBXCXDXEVVBVWFUVNVWMUVHUVMUVGXGUVKUVLUVIUVJIEUEXHZXFMXGZXIXJZVWIVWLVWHXGV
      WKUVLUVIVWJVXQXFVXRXIXJXKXLZSVWFUVNVWMIVGXMZXNZTVVDUWIVVLUYOVVDUWIUWHIKZU
      VNVVLUNZVVLVVDUWHUVCHZUWIVYDKVVCVYEUVAUXAUVCUWHQVWQHUXAUVCXSXOQIUVBXPXQXT
      XRUAUWHUWBVYDUVCUWCUVEUWHKZUVFVYCUWAVVLUVNUVEUWHIWSVYFUVQVVHUVTVVKVYFUVPV
      VGVYFUVOVVFIUVEUWHIUMWTZTXAVYFUVSVVJUVLVYFUVRVVIUVIVYFUVOVVFVYGXAXBXCXDXE
      VVBVYCUVNVVLVXSVVHVVKVVGXGVVJUVLUVIVVIVXQXFVXRXIXJXKXLSVVDVYCUVNVVLUVAVVC
      VYCVAUVAVYCVVCUVAVVCVAVYCIUXAHZVAUVAVYHQIVJOZVXEVKZVYIVXEIQYKOVYIVAYAIQVF
      VQYBYCYDVXCQVLHUVAVXDVYHVYJWHYEYFUVAVWTVXDGEYGVXFSIQUVBYLWDUUAVYCVVCVYHUW
      HIUXAUUBYHUUCUUDWPUUEUUFZTYIVVDVUDVVOVUEVVPNVVDUWEUVNUYQVYBTVVDUWIVVLUYQV
      YKTYIVVDVUGVVRVUHVVSNUVAVUGVVRKVVCUVAUWEUVNUYSUVAUWEVWNUVNUVAVWOVWPVXOVXT
      SVYAXNTWRVVDUWIVVLUYSVYKTYIYJUUGUUHUVAVUTVUSVVAUYOUYQUYSEVWCVWDVWEUUKSUXK
      UWDVUKVUSPUWDVUCUWOUWSPZDUXAUQZUYOUXCROZUWLUWPUYOLZROZUWPUYOUWLLZROZURZVA
      ZPUWDVUCVUFUWSPZDUXAUQZUYOUYQUWPLZROZUYQVYOROZUWPVUPROZURZVAZPABCUYOUYQUY
      SUVDUVDUVDUWFUYOKZUXBVYMUXJVYTUWDWUIUWTVYLDUXAWUIUWKVUCUWOUWSWUIUWGVUAUWJ
      VUBNUWFUYOUWEYMUWFUYOUWIYMYIUUIYNWUIUXIVYSWUIUXDVYNUXFVYPUXHVYRUWFUYOUXCR
      YOWUIUXEVYOUWLRUWFUYOUWPYMYPWUIUXGVYQUWPRUWFUYOUWLYQYPYRYHYSUWLUYQKZVYMWU
      BVYTWUHUWDWUJVYLWUADUXAWUJUWOVUFVUCUWSWUJUWMVUDUWNVUENUWLUYQUWEYMUWLUYQUW
      IYMYIUUJYNWUJVYSWUGWUJVYNWUDVYPWUEVYRWUFWUJUXCWUCUYORUWLUYQUWPYQYPUWLUYQV
      YORYOWUJVYQVUPUWPRUWLUYQUYOYMYPYRYHYSUWPUYSKZWUBVUKWUHVUSUWDWUKWUAVUJDUXA
      WUKUWSVUIVUCVUFWUKUWQVUGUWRVUHNUWPUYSUWEYMUWPUYSUWIYMYIUULYNWUKWUGVURWUKW
      UDVUMWUEVUOWUFVUQWUKWUCVULUYORUWPUYSUYQYMYPWUKVYOVUNUYQRUWPUYSUYOYQYPUWPU
      YSVUPRYOYRYHYSUUMUUNUYKUXMFUWCUAUVCUWBIUVBUEXHUUOUXNUWCKZUYJUXLABUVDUVDWU
      LUYIUXKCUVDWULUXOUWDUYHUXBUXJUVCUVDUXNUWCUUPWULUYGUWTDUXAWULUXTUWKUYCUWOU
      YFUWSWULUXQUWGUXSUWJNWULUXPUWEUWFIUXNUWCYTZTWULUXRUWIUWFUWHUXNUWCYTZTYIWU
      LUYAUWMUYBUWNNWULUXPUWEUWLWUMTWULUXRUWIUWLWUNTYIWULUYDUWQUYEUWRNWULUXPUWE
      UWPWUMTWULUXRUWIUWPWUNTYIYJYNUUQUUTUURUUSS $.
  $}

  $(
  @{
    @d A i @.  @d P i @.  @d Q i @.  @d N i @.
    @( Lemma for ~ axupdim .  A condition for two points to be equidistant from
       a third. @)
    axupdimlem1 @p |- ( ( P e. ( EE ` N ) /\ Q e. ( EE ` N ) /\
       A e. ( EE ` N ) ) ->
       ( <. P , A >. Cgr <. Q , A >. <->
         sum_ i e. ( 1 ... N ) ( ( ( P ` i ) - ( Q ` i ) ) x. ( A ` i ) ) =
         ( sum_ i e. ( 1 ... N ) ( ( ( P ` i ) ^ 2 ) - ( ( Q ` i ) ^ 2 ) )
           / 2 ) ) ) @=
       ( cee cfv wcel w3a cop ccgr wbr c1 cfz co cv cmin c2 cexp csu wceq cmul
       cdiv wb brcgr 3impdir cc0 wa cc fveecn 3ad2antl1 3ad2antl2 3ad2antl3
       caddc binom2sub 3adant2 3adant1 oveq12d sqcl 3ad2ant1 2cn mulcl
       mulcl sylancr 3ad2ant2 sub4 syl22anc subcl syl2anc 3ad2ant3 pnpcan2
       syl3anc subdir oveq2d subdi mp3an1 eqtrd 3eqtr4d sumeq2dv eqeq1d cuz
       wral cn eleenn nnuz eleqtrdi syl jca ralrimiva fsumsub fsumcl subeq0
       bitrd fsummulc1 mp3an2 eqeq2d 3bitr4d eqcom bitrdi wne 2ne0 pm3.2i
       divmul mp3an3 bitr4d 3bitr3d ) BEFGZHZCXGHZAXGHZIZBAJCAJKLZMENOZDPZBGZXN
       AGZQOZRSOZDTZXMXNCGZXPQOZRSOZDTZUAZXMXOXTQOZXPUBOZDTZXMXORSOZXTRSOZQOZDT
       ZRUCOZUAZXHXJXIXLYDUDBACADEUEUFXKXMXRYBQOZDTZUGUAZXMYJRYFUBOZQOZDTZUGUAZ
       YDYMXKYOYSUGXKXMYNYRDXKXNXMHZUHZXOUIHZXTUIHZXPUIHZYNYRUAXHXIUUAUUCXJBXNE
       UJUKZXIXHUUAUUDXJCXNEUJULZXJXHUUAUUEXIAXNEUJUMZUUCUUDUUEIZYNYHRXOXPUBOZU
       BOZQOZXPRSOZUNOZYIRXTXPUBOZUBOZQOZUUMUNOZQOZYRUUIXRUUNYBUURQUUCUUEXRUUNU
       AUUDXOXPUOUPUUDUUEYBUURUAUUCXTXPUOUQURUUIUULUUQQOZYJUUKUUPQOZQOZUUSYRUUI
       YHUIHZUUKUIHZYIUIHZUUPUIHZUUTUVBUAUUCUUDUVCUUEXOUSZUTZUUIRUIHZUUJUIHZUVD
       VAUUCUUEUVJUUDXOXPVBUPZRUUJVCVDZUUDUUCUVEUUEXTUSZVEZUUIUVIUUOUIHZUVFVAUU
       DUUEUVOUUCXTXPVBUQZRUUOVCVDZYHUUKYIUUPVFVGUUIUULUIHZUUQUIHZUUMUIHZUUSUUT
       UAUUIUVCUVDUVRUVHUVLYHUUKVHVIUUIUVEUVFUVSUVNUVQYIUUPVHVIUUEUUCUVTUUDXPUS
       VJUULUUQUUMVKVLUUIYQUVAYJQUUIYQRUUJUUOQOZUBOZUVAUUIYFUWARUBXOXTXPVMVNUUI
       UVJUVOUWBUVAUAZUVKUVPUVIUVJUVOUWCVARUUJUUOVOVPVIVQVNVRVQVLVSVTXKYPXSYCQO
       ZUGUAZYDXKYOUWDUGXKEMWAGZHZXRUIHZYBUIHZUHZDXMWBYOUWDUAXKEWCUWFXHXIEWCHXJ
       BEWDUTWEWFZXKUWJDXMUUBUWHUWIUUBXQUIHZUWHUUBUUCUUEUWLUUFUUHXOXPVHVIXQUSWG
       ZUUBYAUIHZUWIUUBUUDUUEUWNUUGUUHXTXPVHVIYAUSWGZWHWIXRYBDMEWJVIVTXKXSUIHZY
       CUIHZUWEYDUDXKUWGUWHDXMWBUWPUWKXKUWHDXMUWMWIXRDMEWKVIXKUWGUWIDXMWBUWQUWK
       XKUWIDXMUWOWIYBDMEWKVIXSYCWLVIWMXKYTYLYGUAZYMXKYTRYGUBOZYKUAZUWRXKYTYKUW
       SUAZUWTXKYKXMYQDTZQOZUGUAZYKUXBUAZYTUXAXKYKUIHZUXBUIHZUXDUXEUDXKUWGYJUIH
       ZDXMWBUXFUWKXKUXHDXMUUBUVCUVEUXHUUBUUCUVCUUFUVGWGUUBUUDUVEUUGUVMWGYHYIVH
       VIZWIYJDMEWKVIZXKUWGYQUIHZDXMWBUXGUWKXKUXKDXMUUBUVIYFUIHZUXKVAUUBYEUIHZU
       UEUXLUUBUUCUUDUXMUUFUUGXOXTVHVIUUHYEXPVCVIZRYFVCVDZWIYQDMEWKVIYKUXBWLVIX
       KYSUXCUGXKUWGUXHUXKUHZDXMWBYSUXCUAUWKXKUXPDXMUUBUXHUXKUXIUXOWHWIYJYQDMEW
       JVIVTXKUWSUXBYKXKUWGUXLDXMWBZUWSUXBUAZUWKXKUXLDXMUXNWIZUWGUVIUXQUXRVAYFR
       DMEWNWOVIWPWQYKUWSWRWSXKUXFYGUIHZUWRUWTUDZUXJXKUWGUXQUXTUWKUXSYFDMEWKVIU
       XFUXTUVIRUGWTZUHUYAUVIUYBVAXAXBYKYGRXCXDVIXEYLYGWRWSXFWM @.
       @( [19-Apr-2014] @) @( [8-Jul-2013] @)
  @}

  @{
    @d J j @.  @d K j k @.  @d N j k @.  @d P j k @.
    axupdimlem2.1 @e |- Q = ( k e. ( 1 ... ( N - 1 ) ) |->
       ( j e. ( 1 ... N ) |->
         ( ( ( P ` 1 ) ` j ) - ( ( P ` ( k + 1 ) ) ` j ) ) ) ) @.
    @( Lemma for ~ axupdim .  Calculate the value of a mapping used from here
       on out. @)
    axupdimlem2 @p |- ( ( K e. ( 1 ... ( N - 1 ) ) /\ J e. ( 1 ... N ) ) ->
       ( ( Q ` K ) ` J ) =
         ( ( ( P ` 1 ) ` J ) - ( ( P ` ( K + 1 ) ) ` J ) ) ) @=
       ( c1 cmin co cfz wcel cfv cv caddc cmpt wceq eqidd oveq1 fveq2d fveq1d
       oveq2d mpteq12dv cvv ovex mptexg ax-mp fvmpt fveq2 oveq12d eqid
       sylan9eq ) FIGIJKLKZMZEIGLKZMEFBNZNECUPCOZIANZNZURFIPKZANZNZJKZQZNEUSNZE
       VBNZJKZUOEUQVEDFCUPUTURDOZIPKZANZNZJKZQVEUNBVIFRZCUPVMUPVDVNUPSVNVLVCUTJ
       VNURVKVBVNVJVAAVIFIPTUAUBUCUDHUPUEMVEUEMIGLUFCUPVDUEUGUHUIUBCEVDVHUPVEUR
       ERUTVFVCVGJUREUSUJUREVBUJUKVEULVFVGJUFUIUM @.
       @( [19-Apr-2014] @) @( [17-Jul-2013] @)
  @}

  @{
    @d N i j @.  @d N k p q @.  @d P i j @.  @d P k j p q @.  @d Q i p q @.
    axupdimlem3.1 @e |- Q = ( k e. ( 1 ... ( N - 1 ) ) |->
       ( j e. ( 1 ... N ) |->
         ( ( ( P ` 1 ) ` j ) - ( ( P ` ( k + 1 ) ) ` j ) ) ) ) @.
    @( Lemma for ~ axupdim .  Show that the translation of the ` P ` points
       results in a one-to-one function into points. @)
    axupdimlem3 @p |- ( ( N e. NN /\ P : ( 1 ... N ) -1-1-> ( EE ` N ) ) ->
       Q : ( 1 ... ( N - 1 ) ) -1-1-> ( EE ` N ) ) @=
       ( vp vq vi cn wcel c1 cfz co cee cfv wf1 wa cmin wf cv wceq wi wral
       caddc cmpt f1f adantl cuz elnnuz eluzfz1 sylbi adantr ffvelrn syl2anc
       simplr syl fznatpl1 adantlr eqid eleesub ex fmptd simprl axupdimlem2
       sylan simprr eqeq12d cc wb syl2an ancoms fveecn simpl simpr subcan
       syl3anc bitrd ralbidva eqidd oveq1 fveq2d fveq1d oveq2d mpteq12dv
       cvv ovex mptexg ax-mp fvmpt eleesubd eqeefv 3bitr4d f1fveq syl12anc cz
       elfzelz zcn ax-1cn addcan2 mp3an3 biimpd ralrimivva jca dff13 sylibr )
       EJKZLEMNZEOPZAQZRZLELSNZMNZXIBTZGUAZBPZHUAZBPZUBZXOXQUBZUCZHXMUDGXMUDZRX
       MXIBQXKXNYBXKDXMCXHCUAZLAPZPZYCDUAZLUENZAPZPZSNZUFZXIBXKYFXMKZYKXIKZXKYL
       RZYDXIKZYHXIKZYMXKYOYLXKXHXIATZLXHKZYOXJYQXGXHXIAUGZUHXGYRXJXGELUIPKYREU
       JLEUKULZUMXHXILAUNZUOUMYNYQYGXHKZYPYNXJYQXGXJYLUPYSUQXGYLUUBXJYFEURUSXHX
       IYGAUNUOYDYHYKCEYKUTVAUOVBFVCXKYAGHXMXMXKXOXMKZXQXMKZRZRZXSXTUUFXSXOLUEN
       ZXQLUENZUBZXTUUFXSUUGAPZUUHAPZUBZUUIUUFIUAZXPPZUUMXRPZUBZIXHUDZUUMUUJPZU
       UMUUKPZUBZIXHUDZXSUULUUFUUPUUTIXHUUFUUMXHKZRZUUPUUMYDPZUURSNZUVDUUSSNZUB
       ZUUTUVCUUNUVEUUOUVFUUFUUCUVBUUNUVEUBXKUUCUUDVDZABCDUUMXOEFVEVFUUFUUDUVBU
       UOUVFUBXKUUCUUDVGZABCDUUMXQEFVEVFVHUVCUVDVIKZUURVIKZUUSVIKZUVGUUTVJUUFYO
       UVBUVJXKYOUUEXJXGYOXJYQYRYOXGYSYTUUAVKVLUMZYDUUMEVMVFUUFUUJXIKZUVBUVKUUF
       YQUUGXHKZUVNUUFXJYQXGXJUUEUPZYSUQZXKXGUUCUVOUUEXGXJVNZUUCUUDVNXOEURVKZXH
       XIUUGAUNUOZUUJUUMEVMVFUUFUUKXIKZUVBUVLUUFYQUUHXHKZUWAUVQXKXGUUDUWBUUEUVR
       UUCUUDVOXQEURVKZXHXIUUHAUNUOZUUKUUMEVMVFUVDUURUUSVPVQVRVSUUFXPXIKZXRXIKZ
       XSUUQVJUUFUUCYOUVNUWEUVHUVMUVTUUCYDUUJXPCEDXOYKCXHYEYCUUJPZSNZUFZXMBYFXO
       UBZCXHYJXHUWHUWJXHVTUWJYIUWGYESUWJYCYHUUJUWJYGUUGAYFXOLUEWAWBWCWDWEFXHWF
       KZUWIWFKLEMWGZCXHUWHWFWHWIWJWKVQUUFUUDYOUWAUWFUVIUVMUWDUUDYDUUKXRCEDXQYK
       CXHYEYCUUKPZSNZUFZXMBYFXQUBZCXHYJXHUWNUWPXHVTUWPYIUWMYESUWPYCYHUUKUWPYGU
       UHAYFXQLUEWAWBWCWDWEFUWKUWOWFKUWLCXHUWNWFWHWIWJWKVQXPXRIEWLUOUUFUVNUWAUU
       LUVAVJUVTUWDUUJUUKIEWLUOWMUUFXJUVOUWBUULUUIVJUVPUVSUWCXHXIUUGUUHAWNWOVRU
       UFXOVIKZXQVIKZUUIXTVJZUUEUWQXKUUCUWQUUDUUCXOWPKUWQXOLXLWQXOWRUQUMUHUUEUW
       RXKUUDUWRUUCUUDXQWPKUWRXQLXLWQXQWRUQUHUHUWQUWRLVIKUWSWSXOXQLWTXAUOVRXBXC
       XDGHXMXIBXEXF @.
       @( [19-Apr-2014] @) @( [17-Jul-2013] @)
  @}

  @{
    @d I a j k @.  @d N a j k @.  @d P a j k @.
    axupdimlem4.1 @e |- Q = ( k e. ( 1 ... ( N - 1 ) ) |->
       ( j e. ( 1 ... N ) |->
         ( ( ( P ` 1 ) ` j ) - ( ( P ` ( k + 1 ) ) ` j ) ) ) ) @.
    @( Lemma for ~ axupdim .  For all values of ` Q ` , there is some nonzero
       value of it. @)
    axupdimlem4 @p |- ( ( N e. NN /\ P : ( 1 ... N ) -1-1-> ( EE ` N ) /\
       I e. ( 1 ... ( N - 1 ) ) ) ->
       E. a e. ( 1 ... N ) ( ( Q ` I ) ` a ) =/= 0 ) @=
       ( cn wcel c1 cfz co cee cfv wf1 cmin w3a cv cc0 wne wrex caddc wceq
       wral wn cr clt wbr cz elfzelz peano2zd zre syl 3ad2ant3 1re a1i
       peano2re ltp1 cle elfzle1 wb leadd1 mp3an13 mpbid ltletrd ltneOLD mp3an1
       syl2anc simp2 fznatpl1 3adant2 cuz elnnuz eluzfz1 sylbi 3ad2ant1
       f1fveq syl12anc necon3bid mpbird necomd df-ne sylib wf f1f ffvelrn
       syl2an ancoms 3adant3 3ad2ant2 eqeefv mtbid rexbii rexnal bitri sylibr
       wa axupdimlem2 3ad2antl3 eqeq1d cc fveecn sylan subeq0 bitrd rexbidva )
       FIJZKFLMZFNOZAPZEKFKQMZLMJZRZGSZEBOOZTUAZGXIUBXOKAOZOZXOEKUCMZAOZOZUAZGX
       IUBZXNXSYBUDZGXIUEZUFZYDXNXRYAUDZYFXNXRYAUAYHUFXNYAXRXNYAXRUAXTKUAZXNXTU
       GJZKXTUHUIZYIXMXHYJXKXMXTUJJYJXMEEKXLUKZULXTUMUNUOZXNKKKUCMZXTKUGJZXNUPU
       QZXNYOYNUGJYPKURUNYMXNYOKYNUHUIYPKUSUNXNKEUTUIZYNXTUTUIZXMXHYQXKEKXLVAUO
       XNEUGJZYQYRVBZXMXHYSXKXMEUJJYSYLEUMUNUOYOYSYOYTUPUPKEKVCVDUNVEVFYOYJYKYI
       UPKXTVGVHVIXNYAXRXTKXNXKXTXIJZKXIJZYAXRUDXTKUDVBXHXKXMVJXHXMUUAXKEFVKVLZ
       XHXKUUBXMXHFKVMOJUUBFVNKFVOVPZVQXIXJXTKAVRVSVTWAWBXRYAWCWDXNXRXJJZYAXJJZ
       YHYFVBXHXKUUEXMXKXHUUEXKXIXJAWEZUUBUUEXHXIXJAWFZUUDXIXJKAWGWHWIWJZXNUUGU
       UAUUFXKXHUUGXMUUHWKUUCXIXJXTAWGVIZXRYAGFWLVIWMYDYEUFZGXIUBYGYCUUKGXIXSYB
       WCWNYEGXIWOWPWQXNXQYCGXIXNXOXIJZWRZXPTXSYBUUMXPTUDXSYBQMZTUDZYEUUMXPUUNT
       XMXHUULXPUUNUDXKABCDXOEFHWSWTXAUUMXSXBJZYBXBJZUUOYEVBXNUUEUULUUPUUIXRXOF
       XCXDXNUUFUULUUQUUJYAXOFXCXDXSYBXEVIXFVTXGWA @.
       @( [19-Apr-2014] @) @( [17-Jul-2013] @)
  @}

  @{
    @d A p x y @.  @d B p x y @.  @d N p x y @.
    axupdimlem5.1 @e |- T = ( x e. ( EE ` N ) , y e. ( EE ` N ) |->
        sum_ p e. ( 1 ... N ) ( ( x ` p ) x. ( y ` p ) ) ) @.
    @( Lemma for ~ axupdim .  Calculate the value of a dot product of two
       points. @)
    axupdimlem5 @p |- ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
      ( A T B ) = sum_ p e. ( 1 ... N ) ( ( A ` p ) x. ( B ` p ) ) ) @=
       ( cee cfv c1 cfz co cv cmul csu wceq fveq1 oveq1d sumeq2sdv oveq2d
       sumex ovmpo ) ABCDFIJZUDKFLMZGNZANZJZUFBNZJZOMZGPUEUFCJZUFDJZOMZGPEUEUL
       UJOMZGPUGCQZUEUKUOGUPUHULUJOUFUGCRSTUIDQZUEUOUNGUQUJUMULOUFUIDRUATHUEUNG
       UBUC @.
       @( [19-Apr-2014] @) @( [8-Aug-2013] @)

    @{
      @d A i @.  @d N i @.  @d p i @.
      @( Lemma for ~ axupdim .  The dot product of a point with itself is zero
         iff all coordinates of the points are zero. @)
      axupdimlem6 @p |- ( A e. ( EE ` N ) ->
       ( ( A T A ) = 0 <-> A. i e. ( 1 ... N ) ( A ` i ) = 0 ) ) @=
       ( cee cfv wcel co cc0 wceq c1 cfz cv cmul csu wral axupdimlem5 anidms
       eqeq1d cuz cr cle wbr wa wb cn eleenn nnuz eleqtrdi fveere remulcl
       msqge0 jca syl ralrimiva fsum00 syl2anc cc fveecn c2 cexp sqval sqeq0
       bitr3d ralbidva fveq2 cbvralv bitrdi bitrd ) CFIJKZCCDLZMNOFPLZGQZCJZVRR
       LZGSZMNZEQZCJZMNZEVPTZVNVOVTMVNVOVTNABCCDFGHUAUBUCVNWAVSMNZGVPTZWEVNFOUD
       JZKVSUEKZMVSUFUGZUHZGVPTWAWGUIVNFUJWHCFUKULUMVNWKGVPVNVQVPKUHZVRUEKZWKCV
       QFUNWMWIWJWMWIVRVRUOUBVRUPUQURUSVSGOFUTVAVNWGVRMNZGVPTWEVNWFWNGVPWLVRVBK
       ZWFWNUICVQFVCWOVRVDVELZMNWFWNWOWPVSMVRVFUCVRVGVHURVIWNWDGEVPVQWBNVRWCMVQ
       WBCVJUCVKVLVMVM @.
       @( [19-Apr-2014] @) @( [8-Aug-2013] @)
    @}

    @( Lemma for ~ axupdim .  The dot product of two points is a real. @)
    axupdimlem7 @p |- ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
       ( A T B ) e. RR ) @=
       ( cee cfv wcel wa co c1 cfz cv cmul csu cr axupdimlem5 cuz wral cn
       eleenn nnuz eleqtrdi adantr fveere remulcl syl2an anandirs ralrimiva
       fsumrecl syl2anc eqeltrd ) CFIJZKZDUPKZLZCDEMNFOMZGPZCJZVADJZQMZGRZSABC
       DEFGHTUSFNUAJZKZVDSKZGUTUBVESKUQVGURUQFUCVFCFUDUEUFUGUSVHGUTUQURVAUTKZVH
       UQVILVBSKVCSKVHURVILCVAFUHDVAFUHVBVCUIUJUKULVDGNFUMUNUO @.
       @( [19-Apr-2014] @) @( [8-Aug-2013] @)
  @}

  @{
    @d A i p @.  @d A k @.  @d B i @.  @d B k p @.  @d D p y @.  @d I i @.
    @d I j k p @.  @d I x y @.  @d N i @.  @d N j k p @.  @d N x y @.
    @d P i @.  @d P j k p @.  @d Q p x y @.  @d D x @.
    axupdimlem8.1 @e |- Q = ( k e. ( 1 ... ( N - 1 ) ) |->
       ( j e. ( 1 ... N ) |->
         ( ( ( P ` 1 ) ` j ) - ( ( P ` ( k + 1 ) ) ` j ) ) ) ) @.
    axupdimlem8.2 @e |- D = ( k e. ( 1 ... N ) |->
       ( ( B ` k ) - ( A ` k ) ) ) @.
    axupdimlem8.3 @e |- T = ( x e. ( EE ` N ) , y e. ( EE ` N ) |->
        sum_ p e. ( 1 ... N ) ( ( x ` p ) x. ( y ` p ) ) ) @.
    @( Lemma for ~ axupdim .  The dot product of a ` Q ` and ` D ` is zero. @)
    axupdimlem8 @p |- ( ( ( ( N e. NN /\ P : ( 1 ... N ) -1-1-> ( EE ` N ) )
       /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ) /\
       A. i e. ( 2 ... N ) ( <. ( P ` 1 ) , A >. Cgr <. ( P ` i ) , A >. /\
           <. ( P ` 1 ) , B >. Cgr <. ( P ` i ) , B >. ) /\
       I e. ( 1 ... ( N - 1 ) ) ) -> ( ( Q ` I ) T D ) = 0 ) @=
       ( cn wcel c1 cfz co cee cfv wf1 wa cop cv ccgr wbr c2 wral cmin w3a
       cmul csu cc0 wceq caddc simp3 wf simp1lr f1f syl simp1ll cuz elnnuz
       eluzfz1 sylbi ffvelrn syl2anc fznatpl1 cmpt eqidd oveq1 fveq2d fveq1d
       oveq2d mpteq12dv cvv ovex mptexg ax-mp fvmpt eleesubd syl3anc
       simp1rr simp1rl eleesub axupdimlem5 cexp cdiv axupdimlem2 sylan fveq2
       oveq12d adantl cc fveecn subcl subdi eqtrd sumeq2dv sylib mulcl jca
       ralrimiva fsumsub cle df-2 elfzle1 cr wb cz elfzelz zre 1re leadd1
       mp3an13 mpbid 3ad2ant3 eqbrtrid elfzle2 peano2z nnz 2z elfz mp3an2
       mpbird simp2 opeq1d breq2d anbi12d rspcv sylc simprd axupdimlem1
       simpld sqcl fsumcl halfcl subid 3eqtrd ) MRSZTMUAUBZMUCUDZFUEZUFZCUUFSZD
       UUFSZUFZUFZTFUDZCUGZIUHZFUDZCUGZUIUJZUUMDUGZUUPDUGZUIUJZUFZIUKMUAUBZULZL
       TMTUMUBZUAUBZSZUNZLGUDZEHUBZUUENUHZUVIUDZUVKEUDZUOUBZNUPZUQUVHUVIUUFSZEU
       UFSZUVJUVOURUVHUVGUUMUUFSZLTUSUBZFUDZUUFSZUVPUULUVDUVGUTZUVHUUEUUFFVAZTU
       UESZUVRUVHUUGUWCUUDUUGUUKUVDUVGVBUUEUUFFVCVDZUVHUUDUWDUUDUUGUUKUVDUVGVEZ
       UUDMTVFUDSZUWDMVGZTMVHVIVDUUEUUFTFVJVKZUVHUWCUVSUUESZUWAUWEUVHUUDUVGUWJU
       WFUWBLMVLVKZUUEUUFUVSFVJVKZUVGUUMUVTUVIJMKLJUUEJUHZUUMUDZUWMKUHZTUSUBZFU
       DZUDZUMUBZVMJUUEUWNUWMUVTUDZUMUBZVMZUVFGUWOLURZJUUEUWSUUEUXAUXCUUEVNUXCU
       WRUWTUWNUMUXCUWMUWQUVTUXCUWPUVSFUWOLTUSVOVPVQVRVSOUUEVTSUXBVTSTMUAWAJUUE
       UXAVTWBWCWDWEWFUVHUUJUUIUVQUUIUUJUUHUVDUVGWGZUUIUUJUUHUVDUVGWHZDCEKMPWIV
       KABUVIEHMNQWJVKUVHUVOUUEUVKUUMUDZUVKUVTUDZUMUBZUVKDUDZUOUBZNUPZUUEUXHUVK
       CUDZUOUBZNUPZUMUBZUUEUXFUKWKUBZUXGUKWKUBZUMUBZNUPZUKWLUBZUXTUMUBZUQUVHUV
       OUUEUXJUXMUMUBZNUPZUXOUVHUUEUVNUYBNUVHUVKUUESZUFZUVNUXHUXIUXLUMUBZUOUBZU
       YBUYEUVLUXHUVMUYFUOUVHUVGUYDUVLUXHURUWBFGJKUVKLMOWMWNUYDUVMUYFURUVHKUVKU
       WODUDZUWOCUDZUMUBUYFUUEEUWOUVKURUYHUXIUYIUXLUMUWOUVKDWOUWOUVKCWOWPPUXIUX
       LUMWAWDWQWPUYEUXHWRSZUXIWRSZUXLWRSZUYGUYBURUYEUXFWRSZUXGWRSZUYJUVHUVRUYD
       UYMUWIUUMUVKMWSWNZUVHUWAUYDUYNUWLUVTUVKMWSWNZUXFUXGWTVKZUVHUUJUYDUYKUXDD
       UVKMWSWNZUVHUUIUYDUYLUXECUVKMWSWNZUXHUXIUXLXAWFXBXCUVHUWGUXJWRSZUXMWRSZU
       FZNUUEULUYCUXOURUVHUUDUWGUWFUWHXDZUVHVUBNUUEUYEUYTVUAUYEUYJUYKUYTUYQUYRU
       XHUXIXEVKUYEUYJUYLVUAUYQUYSUXHUXLXEVKXFXGUXJUXMNTMXHVKXBUVHUXKUXTUXNUXTU
       MUVHUUSUVTDUGZUIUJZUXKUXTURZUVHUUNUVTCUGZUIUJZVUEUVHUVSUVCSZUVDVUHVUEUFZ
       UVHVUIUKUVSXIUJZUVSMXIUJZUFZUVHVUKVULUVHUKTTUSUBZUVSXIXJUVGUULVUNUVSXIUJ
       ZUVDUVGTLXIUJZVUOLTUVEXKUVGLXLSZVUPVUOXMZUVGLXNSZVUQLTUVEXOZLXPVDTXLSZVU
       QVVAVURXQXQTLTXRXSVDXTYAYBUVHUWJVULUWKUVSTMYCVDXFUVHUVSXNSZMXNSZVUIVUMXM
       ZUVGUULVVBUVDUVGVUSVVBVUTLYDVDYAUVHUUDVVCUWFMYEVDVVBUKXNSVVCVVDYFUVSUKMY
       GYHVKYIUULUVDUVGYJUVBVUJIUVSUVCUUOUVSURZUURVUHUVAVUEVVEUUQVUGUUNUIVVEUUP
       UVTCUUOUVSFWOZYKYLVVEUUTVUDUUSUIVVEUUPUVTDVVFYKYLYMYNYOZYPUVHUVRUWAUUJVU
       EVUFXMUWIUWLUXDDUUMUVTNMYQWFXTUVHVUHUXNUXTURZUVHVUHVUEVVGYRUVHUVRUWAUUIV
       UHVVHXMUWIUWLUXECUUMUVTNMYQWFXTWPUVHUXTWRSZUYAUQURUVHUXSWRSZVVIUVHUWGUXR
       WRSZNUUEULVVJVUCUVHVVKNUUEUYEUXPWRSZUXQWRSZVVKUYEUYMVVLUYOUXFYSVDUYEUYNV
       VMUYPUXGYSVDUXPUXQWTVKXGUXRNTMYTVKUXSUUAVDUXTUUBVDUUCXB @.
       @( [19-Apr-2014] @) @( [17-Jul-2013] @)
  @}

  @{
    @d A i @.  @d A k @.  @d B i @.  @d B k @.  @d D i @.  @d D p @.  @d D x @.
    @d D y @.  @d i k @.  @d i p @.  @d N i @.  @d N k @.  @d N p @.  @d N x @.
    @d N y @.  @d p x @.  @d p y @.  @d x y @.
    axupdimlem9.1 @e |- D = ( k e. ( 1 ... N ) |->
       ( ( B ` k ) - ( A ` k ) ) ) @.
    axupdimlem9.2 @e |- T = ( x e. ( EE ` N ) , y e. ( EE ` N ) |->
        sum_ p e. ( 1 ... N ) ( ( x ` p ) x. ( y ` p ) ) ) @.
    @( Lemma for ~ axupdim .  The dot product of ` D ` with itself is nonzero
       iff ` A ` and ` B ` are distinct. @)
    axupdimlem9 @p |- ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
       ( ( D T D ) = 0 <-> A = B ) ) @=
       ( vi cee cfv wcel wa cv cc0 wceq c1 cfz co wral cmin wb fveq2 oveq12d
       ovex fvmpt eqeq1d adantl cc fveecn subeq0 syl2an ancoms anandirs eqcom
       bitrdi bitrd ralbidva eleesub axupdimlem6 syl eqeefv 3bitr4d ) CHMNZOZDV
       GOZPZLQZENZRSZLTHUAUBZUCZVKCNZVKDNZSZLVNUCEEFUBRSZCDSVJVMVRLVNVJVKVNOZPZ
       VMVQVPUDUBZRSZVRVTVMWCUEVJVTVLWBRGVKGQZDNZWDCNZUDUBWBVNEWDVKSWEVQWFVPUDW
       DVKDUFWDVKCUFUGJVQVPUDUHUIUJUKWAWCVQVPSZVRVHVIVTWCWGUEZVIVTPZVHVTPZWHWIV
       QULOVPULOWHWJDVKHUMCVKHUMVQVPUNUOUPUQVQVPURUSUTVAVJEVGOZVSVOUEVIVHWKDCEG
       HJVBUPABEFLHIKVCVDCDLHVEVF @.
       @( [19-Apr-2014] @) @( [11-Aug-2013] @)
  @}

  @{
    @d a p @.  @d I a j k @.  @d I p @.  @d I x y @.  @d N a j k @.  @d N p @.
    @d N x y @.  @d P a j k @.  @d p x y @.  @d Q a p @.  @d Q x y @.
    axupdimlem10.1 @e |- Q = ( k e. ( 1 ... ( N - 1 ) ) |->
       ( j e. ( 1 ... N ) |->
         ( ( ( P ` 1 ) ` j ) - ( ( P ` ( k + 1 ) ) ` j ) ) ) ) @.
    axupdimlem10.2 @e |- T = ( x e. ( EE ` N ) , y e. ( EE ` N ) |->
        sum_ p e. ( 1 ... N ) ( ( x ` p ) x. ( y ` p ) ) ) @.
    @( Lemma for ~ axupdim .  The dot product of a ` Q ` with itself is
       nonzero. @)
    axupdimlem10 @p |- ( ( N e. NN /\ P : ( 1 ... N ) -1-1-> ( EE ` N ) /\
       I e. ( 1 ... ( N - 1 ) ) ) -> ( ( Q ` I ) T ( Q ` I ) ) =/= 0 ) @=
       ( va cn wcel c1 cfz co cee cfv wf1 cmin w3a cc0 wceq wn wne cv wral
       wrex axupdimlem4 df-ne rexbii rexnal bitri sylib wb wa wf axupdimlem3
       f1f syl ffvelrn sylan 3impa axupdimlem6 mtbird sylibr ) INOZPIQRZISTZCUA
       ZHPIPUBRQRZOZUCZHDTZVPERZUDUEZUFVQUDUGVOVRMUHVPTZUDUEZMVJUIZVOVSUDUGZMVJ
       UJZWAUFZCDFGHIMKUKWCVTUFZMVJUJWDWBWEMVJVSUDULUMVTMVJUNUOUPVOVPVKOZVRWAUQ
       VIVLVNWFVIVLURZVMVKDUSZVNWFWGVMVKDUAWHCDFGIKUTVMVKDVAVBVMVKHDVCVDVEABVPE
       MIJLVFVBVGVQUDULVH @.
       @( [19-Apr-2014] @) @( [12-Aug-2013] @)
  @}

  @{
    @d A i j @.  @d B i j @.  @d C i j @.
    @( The upper dimension axiom for one-dimensional geometry.  In a
       one-dimensional space, all points are colinear.  Derived from remarks in
       _Tarski's System of Geometry_, Alfred Tarski and Steven Givant,
       Bulletin of Symbolic Logic, Volume 5, Number 2 (1999), 175-214.  Note
       the similarity to ~ axlowdim2 .  (Contributed by Scott Fenton,
       3-Jul-2013). @)
    axupdim1 @p |- ( ( A e. ( EE ` 1 ) /\ B e. ( EE ` 1 ) /\ C e. ( EE ` 1 ) )
       -> ( A Btwn <. B , C >. \/ B Btwn <. C , A >. \/
            C Btwn <. A , B >. ) ) @=
       ( vi vj c1 cee cfv wcel w3a cop cbtwn wbr w3o cv cmin co cmul wceq cfz
       wral csn cz 1z fzsn ax-mp eleq2i velsn bitri wa fveq2 oveq12d
       oveqan12d oveqan12rd eqtr4d syl2anb rgen2a colinearalg mpbiri ) AFGHZI
       BUTICUTIJABCKLMBCAKLMCABKLMNDOZBHZVAAHZPQZEOZCHZVEAHZPQZRQZVEBHZVGPQZVAC
       HZVCPQZRQZSZEFFTQZUADVPUAVODEVPVAVPIZVAFSZVEFSZVOVEVPIZVQVAFUBZIVRVPWAVA
       FUCIVPWASUDFUEUFZUGDFUHUIVTVEWAIVSVPWAVEWBUGEFUHUIVRVSUJVIFBHZFAHZPQZFCH
       ZWDPQZRQVNVRVSVDWEVHWGRVRVBWCVCWDPVAFBUKVAFAUKZULVSVFWFVGWDPVEFCUKVEFAUK
       ZULUMVSVRVKWEVMWGRVSVJWCVGWDPVEFBUKWIULVRVLWFVCWDPVAFCUKWHULUNUOUPUQABCD
       EFURUS @.
       @( [19-Apr-2014] @) @( [3-Jul-2013] @)
  @}

  @{
    @d N a b c p i @.  @d A a b c p i @.  @d B a b c p i @.  @d C a b c p i @.
    @d P i p @.
    @( The general upper dimension axiom for Euclidean geometry.  Given ` N `
       distinct points, the locus of all points equidistant from them forms a
       line in ` N ` dimensional geometry.  Derived from remarks in _Tarski's
       System of Geometry_, Alfred Tarski and Steven Givant, Bulletin of
       Symbolic Logic, Volume 5, Number 2 (1999), 175-214.  Note the similarity
       to ~ axlowdim . @)
    axupdim @p |- ( ( N e. ( ZZ>= ` 2 ) /\
      ( P : ( 1 ... N ) -1-1-> ( EE ` N ) /\ A e. ( EE ` N ) ) /\
      ( B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
      ( A. i e. ( 2 ... N ) ( <. ( P ` 1 ) , A >. Cgr <. ( P ` i ) , A >. /\
           <. ( P ` 1 ) , B >. Cgr <. ( P ` i ) , B >. /\
           <. ( P ` 1 ) , C >. Cgr <. ( P ` i ) , C >. ) ->
        ( A Btwn <. B , C >. \/ B Btwn <. C , A >. \/
          C Btwn <. A , B >. ) ) ) @= ? @.
      @( [19-Apr-2014] @) @( [12-Jul-2013] @)
  @}
  $)

  ${
    $d A i k r s u x y $.  $d B i k r s u x y $.  $d C i k r s u x y $.
    $d N i k r s u x y $.  $d P i k r s u x y $.  $d Q i k r s u x y $.
    $d T i k r s u x y $.
    $( Lemma for ~ axeuclid .  Handle the algebraic aspects of the theorem.
       (Contributed by Scott Fenton, 9-Sep-2013.) $)
    axeuclidlem $p |- (
      ( ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
          ( C e. ( EE ` N ) /\ T e. ( EE ` N ) ) ) /\
        ( P e. ( 0 [,] 1 ) /\ Q e. ( 0 [,] 1 ) /\ P =/= 0 ) /\
        A. i e. ( 1 ... N )
         ( ( ( 1 - P ) x. ( A ` i ) ) + ( P x. ( T ` i ) ) ) =
         ( ( ( 1 - Q ) x. ( B ` i ) ) + ( Q x. ( C ` i ) ) ) ) ->
      E. x e. ( EE ` N ) E. y e. ( EE ` N )
      E. r e. ( 0 [,] 1 ) E. s e. ( 0 [,] 1 ) E. u e. ( 0 [,] 1 )
      A. i e. ( 1 ... N )
       ( ( B ` i ) =
         ( ( ( 1 - r ) x. ( A ` i ) ) + ( r x. ( x ` i ) ) ) /\
         ( C ` i ) =
         ( ( ( 1 - s ) x. ( A ` i ) ) + ( s x. ( y ` i ) ) ) /\
         ( T ` i ) = (
         ( ( 1 - u ) x. ( x ` i ) ) + ( u x. ( y ` i ) ) ) ) ) $=
      ( wcel c1 co cmul caddc wceq wrex vk cee cfv wa cc0 cicc wne w3a cmin cfz
      cv wral simp21 simp22 cdiv cr fveere expcom anim12d impcom unitssre sseli
      cmpt 3ad2ant1 adantl peano2rem simplll remulcld simpllr readdcld redivcld
      syl simpr3 sylan an32s ralrimiva eleenn ad3antrrr mptelee 3adant3 simplrl
      cn wb mpbird wi cc fveecn eqcom ax-1cn simpr2 recnd subcl sylancr sylancl
      simpr1 mulcld addcld simplrr divmuld syl5bb cneg negsubdi2 mulneg1d npcan
      oveq1d adddird mulid2d 3eqtr3d oveq2d negsubd addcomd eqeq1d bitrdi add4d
      3eqtr3rd bitr4d adddid oveq12d eqtr4d divdird divassd 3eqtrd eqeq2d fveq1
      addassd addid2d divcan2d fveq2 eqid fvmpt sylan9eq oveq2 ralbidva ralbidv
      ovex oveq1 2rexbidv rexcom rexbii bitri subaddd 3bitr3rd biimpd mul02 jca
      npncan2 jctild df-3an syl6ibr ralimdva 3impia weq rspc2ev syl3anc 3anbi1d
      3anbi13d 3anbi23d 3anbi2d 3anbi3d rspc3ev syl31anc 3bitri sylib ) DKUBUCZ
      NZEUVDNZUDZFUVDNZIUVDNZUDZUDZGUEOUFPZNZHUVLNZGUEUGZUHZOGUIPZJUKZDUCZQPZGU
      VRIUCZQPZRPOHUIPZUVREUCZQPZHUVRFUCZQPZRPZSZJOKUJPZULZUHZUWDOMUKZUIPZUVSQP
      ZUWMUVRAUKZUCZQPZRPZSZUWFOLUKZUIPZUVSQPZUXAUVRBUKZUCZQPZRPZSZUWAOCUKZUIPZ
      UWQQPZUXIUXEQPZRPZSZUHZJUWJULZBUVDTZAUVDTZCUVLTZLUVLTZMUVLTZUXPCUVLTZLUVL
      TZMUVLTBUVDTZAUVDTZUWLUVMUVMUVNUWDUVTGUWQQPZRPZSZUWFUVTGUXEQPZRPZSZUWAUWC
      UWQQPZHUXEQPZRPZSZUHZJUWJULZBUVDTAUVDTZUYAUVKUVMUVNUVOUWKUMZUYSUVKUVMUVNU
      VOUWKUNUWLUAUWJGOUIPZUAUKZDUCZQPZVUAEUCZRPZGUOPZVCZUVDNZUAUWJVUCVUAFUCZRP
      ZGUOPZVCZUVDNZUWDUVTGUYTUVSQPZUWDRPZGUOPZQPZRPZSZUWFUVTGVUNUWFRPZGUOPZQPZ
      RPZSZUWAUWCVUPQPZHVVAQPZRPZSZUHZJUWJULZUYRUVKUVPVUHUWKUVKUVPUDZVUHVUFUPNZ
      UAUWJULZVVKVVLUAUWJUVKVUAUWJNZUVPVVLUVKVVNUDZVUBUPNZVUDUPNZUDZVUIUPNZVUAI
      UCUPNZUDZUDZUVPVVLVVNUVKVWBVVNUVGVVRUVJVWAVVNUVEVVPUVFVVQUVEVVNVVPDVUAKUQ
      URUVFVVNVVQEVUAKUQURUSVVNUVHVVSUVIVVTUVHVVNVVSFVUAKUQURUVIVVNVVTIVUAKUQUR
      USUSUTZVWBUVPUDZVUEGVWDVUCVUDVWDUYTVUBVWDGUPNZUYTUPNUVPVWEVWBUVMUVNVWEUVO
      UVLUPGVAVBZVDVEZGVFVLVVPVVQVWAUVPVGVHZVVPVVQVWAUVPVIVJVWGVWBUVMUVNUVOVMZV
      KVNVOVPVVKKWBNZVUHVVMWCUVEVWJUVFUVJUVPDKVQVRZVUEGUAUOKVSVLWDVTUVKUVPVUMUW
      KVVKVUMVUKUPNZUAUWJULZVVKVWLUAUWJUVKVVNUVPVWLVVOVWBUVPVWLVWCVWDVUJGVWDVUC
      VUIVWHVVRVVSVVTUVPWAVJVWGVWIVKVNVOVPVVKVWJVUMVWMWCVWKVUJGUAUOKVSVLWDVTUVK
      UVPUWKVVJVVKUWIVVIJUWJUVKUVRUWJNZUVPUWIVVIWEZUVKVWNUDUVSWFNZUWDWFNZUDZUWF
      WFNZUWAWFNZUDZUDZUVPVWOVWNUVKVXBVWNUVGVWRUVJVXAVWNUVEVWPUVFVWQUVEVWNVWPDU
      VRKWGURUVFVWNVWQEUVRKWGURUSVWNUVHVWSUVIVWTUVHVWNVWSFUVRKWGURUVIVWNVWTIUVR
      KWGURUSUSUTVXBUVPUDZUWIVUSVVDUDZVVHUDVVIVXCUWIVVHVXDVXCUWIVVHVXCUWAUWCVUN
      QPZHVUNQPZRPZUWHRPZGUOPZSZUWHUVTUIPZUWBSZVVHUWIVXCVXJUWBVXHSZVXLVXJVXIUWA
      SVXCVXMUWAVXIWHVXCVXHGUWAVXCVXGUWHVXCVXEVXFVXCUWCVUNVXCOWFNZHWFNZUWCWFNWI
      VXCUVNVXOVXBUVMUVNUVOWJUVNHUVLUPHVAVBWKVLZOHWLWMZVXCUYTUVSVXCGWFNZVXNUYTW
      FNVXCUVMVXRVXBUVMUVNUVOWOUVMGVWFWKVLZWIGOWLWNZVWPVWQVXAUVPVGZWPZWPZVXCHVU
      NVXPVYBWPZWQZVXCUWEUWGVXCUWCUWDVXQVWPVWQVXAUVPVIZWPZVXCHUWFVXPVWRVWSVWTUV
      PWAZWPZWQZWQVXSVWRVWSVWTUVPWRZVXBUVMUVNUVOVMZWSWTVXCVXLVXHUWBSVXMVXCVXKVX
      HUWBVXCUWHUVTXAZRPUWHVXGRPVXKVXHVXCVYMVXGUWHRVXCUVQXAZUVSQPVUNVYMVXGVXCVY
      NUYTUVSQVXCVXNVXRVYNUYTSWIVXSOGXBWMXEVXCUVQUVSVXCVXNVXRUVQWFNWIVXSOGWLWMZ
      VYAXCVXCUWCHRPZVUNQPOVUNQPVXGVUNVXCVYPOVUNQVXCVXNVXOVYPOSWIVXPOHXDWMXEVXC
      UWCHVUNVXQVXPVYBXFVXCVUNVYBXGXOXHXIVXCUWHUVTVYJVXCUVQUVSVYOVYAWPZXJVXCUWH
      VXGVYJVYEXKXHXLVXHUWBWHXMXPVXCVXIVVGUWAVXCVXIUWCVUOQPZHVUTQPZRPZGUOPVYRGU
      OPZVYSGUOPZRPVVGVXCVXHVYTGUOVXCVXHVXEUWERPZVXFUWGRPZRPVYTVXCVXEVXFUWEUWGV
      YCVYDVYGVYIXNVXCVYRWUCVYSWUDRVXCUWCVUNUWDVXQVYBVYFXQVXCHVUNUWFVXPVYBVYHXQ
      XRXSXEVXCVYRVYSGVXCUWCVUOVXQVXCVUNUWDVYBVYFWQZWPVXCHVUTVXPVXCVUNUWFVYBVYH
      WQZWPVXSVYLXTVXCWUAVVEWUBVVFRVXCUWCVUOGVXQWUEVXSVYLYAVXCHVUTGVXPWUFVXSVYL
      YAXRYBYCVXCUWHUVTUWBVYJVYQVXCGUWAVXSVYKWPUUAUUBUUCVXCVUSVVDVXCUWDUVTVUORP
      ZVURVXCUVTVUNRPZUWDRPUEUWDRPWUGUWDVXCWUHUEUWDRVXCUVQUYTRPZUVSQPUEUVSQPZWU
      HUEVXCWUIUEUVSQVXCVXNVXRWUIUESWIVXSOGUUFWMXEVXCUVQUYTUVSVYOVXTVYAXFVWPWUJ
      UESVWQVXAUVPUVSUUDVRXHZXEVXCUVTVUNUWDVYQVYBVYFYEVXCUWDVYFYFXOVXCVUQVUOUVT
      RVXCVUOGWUEVXSVYLYGXIXSVXCUWFUVTVUTRPZVVCVXCWUHUWFRPUEUWFRPWULUWFVXCWUHUE
      UWFRWUKXEVXCUVTVUNUWFVYQVYBVYHYEVXCUWFVYHYFXOVXCVVBVUTUVTRVXCVUTGWUFVXSVY
      LYGXIXSUUEUUGVUSVVDVVHUUHUUIVNVOUUJUUKUYQVVJVUSUYKUWAVVEUYMRPZSZUHZJUWJUL
      ABVUGVULUVDUVDUWPVUGSZUYPWUOJUWJWUPVWNUDUWQVUPSZUYPWUOWCWUPVWNUWQUVRVUGUC
      VUPUVRUWPVUGYDUAUVRVUFVUPUWJVUGUAJUULZVUEVUOGUOWURVUCVUNVUDUWDRWURVUBUVSU
      YTQVUAUVRDYHXIZVUAUVREYHXRXEVUGYIVUOGUOYOYJYKWUQUYHVUSUYOWUNUYKWUQUYGVURU
      WDWUQUYFVUQUVTRUWQVUPGQYLXIYCWUQUYNWUMUWAWUQUYLVVEUYMRUWQVUPUWCQYLXEYCUUP
      VLYMUXDVULSZWUOVVIJUWJWUTVWNUDUXEVVASZWUOVVIWCWUTVWNUXEUVRVULUCVVAUVRUXDV
      ULYDUAUVRVUKVVAUWJVULWURVUJVUTGUOWURVUCVUNVUIUWFRWUSVUAUVRFYHXRXEVULYIVUT
      GUOYOYJYKWVAUYKVVDWUNVVHVUSWVAUYJVVCUWFWVAUYIVVBUVTRUXEVVAGQYLXIYCWVAWUMV
      VGUWAWVAUYMVVFVVERUXEVVAHQYLXIYCUUQVLYMUUMUUNUXRUYRUYHUXHUXNUHZJUWJULZBUV
      DTAUVDTUYHUYKUXNUHZJUWJULZBUVDTAUVDTMLCGGHUVLUVLUVLUWMGSZUXPWVCABUVDUVDWV
      FUXOWVBJUWJWVFUWTUYHUXHUXNWVFUWSUYGUWDWVFUWOUVTUWRUYFRWVFUWNUVQUVSQUWMGOU
      IYLXEUWMGUWQQYPXRYCUUOYNYQUXAGSZWVCWVEABUVDUVDWVGWVBWVDJUWJWVGUXHUYKUYHUX
      NWVGUXGUYJUWFWVGUXCUVTUXFUYIRWVGUXBUVQUVSQUXAGOUIYLXEUXAGUXEQYPXRYCUURYNY
      QUXIHSZWVEUYQABUVDUVDWVHWVDUYPJUWJWVHUXNUYOUYHUYKWVHUXMUYNUWAWVHUXKUYLUXL
      UYMRWVHUXJUWCUWQQUXIHOUIYLXEUXIHUXEQYPXRYCUUSYNYQUUTUVAUYAUXQCUVLTZLUVLTZ
      AUVDTZMUVLTWVJMUVLTZAUVDTUYEUXTWVKMUVLUXTWVIAUVDTZLUVLTWVKUXSWVMLUVLUXQCA
      UVLUVDYRYSWVILAUVLUVDYRYTYSWVJMAUVLUVDYRWVLUYDAUVDWVLUYCBUVDTZMUVLTUYDWVJ
      WVNMUVLWVJUYBBUVDTZLUVLTWVNWVIWVOLUVLUXPCBUVLUVDYRYSUYBLBUVLUVDYRYTYSUYCM
      BUVLUVDYRYTYSUVBUVC $.
  $}

  ${
    $d A i p q r s u x y $.  $d B i p q r s u x y $.  $d C i p q r s u x y $.
    $d D i p q x y $.  $d N i p q r s u x y $.  $d T i p q r s u x y $.
    $( Euclid's axiom.  Take an angle ` B A C ` and a point ` D ` between ` B `
       and ` C ` .  Now, if you extend the segment ` A D ` to a point ` T ` ,
       then ` T ` lies between two points ` x ` and ` y ` that lie on the
       angle.  Axiom A10 of [Schwabhauser] p. 13.  (Contributed by Scott
       Fenton, 9-Sep-2013.) $)
    axeuclid $p |- ( ( N e. NN /\
                       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\
                         C e. ( EE ` N ) ) /\
                       ( D e. ( EE ` N ) /\ T e. ( EE ` N ) ) ) ->
     ( ( D Btwn <. A , T >. /\ D Btwn <. B , C >. /\ A =/= D ) ->
       E. x e. ( EE ` N ) E. y e. ( EE ` N )
         ( B Btwn <. A , x >. /\ C Btwn <. A , y >. /\
           T Btwn <. x , y >. ) ) ) $=
      ( vi vp vq wcel wa c1 co cmul caddc wceq cc0 wrex vr vs vu cn cee cfv w3a
      cv cmin cfz wral wne cicc cop wbr simpl21 simpl22 simpl23 simpl3r simprll
      cbtwn jca simprlr cc simp21 ad2antrr fveecn sylan simp3r mulid2 oveqan12d
      mul02 addid1 adantr eqtrd syl2anc oveq2 1m0e1 eqtrdi oveq1d oveq1 oveq12d
      eqeq1d ad2antlr mpbird eqeq2d eqcom bitrdi biimpd adantrd ralimdva simp3l
      wb impancom eqeefv sylibrd necon3d impr anasss eqtr2 ad2antll axeuclidlem
      ralimi syl231anc exp32 brbtwn syl3anc simp22 simp23 r19.26 2rexbii reeanv
      rexlimdvv 3anbi12d bitri anbi1i r19.41vv df-3an 3bitr4i bitr4di 3anbi123d
      simprl simprr r19.26-3 rexbii 3reeanv 2rexbidva 3imtr4d ) HUDLZCHUEUFZLZD
      YJLZEYJLZUGZFYJLZGYJLZMZUGZIUHZFUFZNJUHZUIOZYSCUFZPOZUUAYSGUFZPOZQOZRZYTN
      KUHZUIOYSDUFZPOUUIYSEUFZPOQOZRZMZINHUJOZUKZCFULZMZKSNUMOZTJUUSTZUUJNUAUHZ
      UIOUUCPOUVAYSAUHZUFZPOQORZUUKNUBUHZUIOUUCPOUVEYSBUHZUFZPOQORZUUENUCUHZUIO
      UVCPOUVIUVGPOQORZUGIUUOUKZUCUUSTZUBUUSTUAUUSTZBYJTAYJTZFCGUNVAUOZFDEUNVAU
      OZUUQUGZDCUVBUNVAUOZECUVFUNVAUOZGUVBUVFUNVAUOZUGZBYJTAYJTYRUURUVNJKUUSUUS
      YRUUAUUSLZUUIUUSLZMZUURUVNYRUWDUURMZMZYKYLMYMYPMUWBUWCUUASULZUUGUULRZIUUO
      UKZUVNUWFYKYLYKYLYMYIYQUWEUPYKYLYMYIYQUWEUQVBUWFYMYPYKYLYMYIYQUWEURYOYPYI
      YNUWEUSVBYRUWBUWCUURUTYRUWBUWCUURVCYRUWDUURUWGYRUWDMZUUPUUQUWGUWJUUPMZUUA
      SCFUWKUUASRZUUCYTRZIUUOUKZCFRZUWJUWLUUPUWNUWJUWLMZUUNUWMIUUOUWPYSUUOLZMZU
      UHUWMUUMUWRUUHUWMUWRUUHYTUUCRUWMUWRUUGUUCYTUWRUUGUUCRZNUUCPOZSUUEPOZQOZUU
      CRZUWRUUCVDLZUUEVDLZUXCUWPYKUWQUXDYRYKUWDUWLYIYKYLYMYQVEZVFCYSHVGVHUWPYPU
      WQUXEYRYPUWDUWLYIYNYOYPVIZVFGYSHVGVHUXDUXEMUXBUUCSQOZUUCUXDUXEUWTUUCUXASQ
      UUCVJUUEVLVKUXDUXHUUCRUXEUUCVMVNVOVPUWLUWSUXCWMUWJUWQUWLUUGUXBUUCUWLUUDUW
      TUUFUXAQUWLUUBNUUCPUWLUUBNSUIONUUASNUIVQVRVSVTUUASUUEPWAWBWCWDWEWFYTUUCWG
      WHWIWJWKWNUWKYKYOUWOUWNWMYRYKUWDUUPUXFVFYRYOUWDUUPYIYNYOYPWLZVFCFIHWOVPWP
      WQWRWSUURUWIYRUWDUUPUWIUUQUUNUWHIUUOYTUUGUULWTXCVNXAABUCCDEUUAUUIGIHUBUAX
      BXDXEXMYRUVQUUHIUUOUKZJUUSTZUUMIUUOUKZKUUSTZUUQUGZUUTYRUVOUXKUVPUXMUUQYRY
      OYKYPUVOUXKWMUXIUXFUXGJFCGIHXFXGYRYOYLYMUVPUXMWMUXIYIYKYLYMYQXHYIYKYLYMYQ
      XIKFDEIHXFXGXNUUPKUUSTJUUSTZUUQMUXKUXMMZUUQMUUTUXNUXOUXPUUQUXOUXJUXLMZKUU
      STJUUSTUXPUUPUXQJKUUSUUSUUHUUMIUUOXJXKUXJUXLJKUUSUUSXLXOXPUUPUUQJKUUSUUSX
      QUXKUXMUUQXRXSXTYRUWAUVMABYJYJYRUVBYJLZUVFYJLZMZMZUWAUVDIUUOUKZUAUUSTZUVH
      IUUOUKZUBUUSTZUVJIUUOUKZUCUUSTZUGZUVMUYAUVRUYCUVSUYEUVTUYGUYAYLYKUXRUVRUY
      CWMYKYLYMYIYQUXTUQYKYLYMYIYQUXTUPZYRUXRUXSYBZUADCUVBIHXFXGUYAYMYKUXSUVSUY
      EWMYKYLYMYIYQUXTURUYIYRUXRUXSYCZUBECUVFIHXFXGUYAYPUXRUXSUVTUYGWMYOYPYIYNU
      XTUSUYJUYKUCGUVBUVFIHXFXGYAUVMUYBUYDUYFUGZUCUUSTZUBUUSTUAUUSTUYHUVLUYMUAU
      BUUSUUSUVKUYLUCUUSUVDUVHUVJIUUOYDYEXKUYBUYDUYFUAUBUCUUSUUSUUSYFXOXTYGYH
      $.
  $}

  ${
    $d D s t x y $.  $d i j s t x y N $.  $d U i j s t x y $.
    $d i Z j s t x y $.
    axcontlem1.1 $e |- F = { <. x , t >. |
        ( x e. D /\ ( t e. ( 0 [,) +oo ) /\
           A. i e. ( 1 ... N )
            ( x ` i ) = ( ( ( 1 - t ) x. ( Z ` i ) ) +
                          ( t x. ( U ` i ) ) ) ) ) } $.
    $( Lemma for ~ axcont .  Change bound variables for later use.
       (Contributed by Scott Fenton, 20-Jun-2013.) $)
    axcontlem1 $p |- F = { <. y , s >. |
        ( y e. D /\ ( s e. ( 0 [,) +oo ) /\
           A. j e. ( 1 ... N )
            ( y ` j ) = ( ( ( 1 - s ) x. ( Z ` j ) ) +
                          ( s x. ( U ` j ) ) ) ) ) } $=
      ( cv wcel co cfv c1 cmul caddc wa cc0 cpnf cico cmin wceq cfz wral weq wb
      copab eleq1w adantr adantl fveq1 oveq2 oveq1d oveq1 oveq12d ralbidv fveq2
      eqeqan12d oveq2d eqeq12d cbvralvw bitrdi anbi12d cbvopabv eqtri ) HAMZDNZ
      CMZUAUBUCOZNZFMZVIPZQVKUDOZVNJPZROZVKVNEPZROZSOZUEZFQIUFOZUGZTZTZACUJBMZD
      NZKMZVLNZGMZWGPZQWIUDOZWKJPZROZWIWKEPZROZSOZUEZGWCUGZTZTZBKUJLWFXBACBKABU
      HZCKUHZTZVJWHWEXAXCVJWHUIXDABDUKULXEVMWJWDWTXDVMWJUIXCCKVLUKUMXEWDVNWGPZW
      MVQROZWIVSROZSOZUEZFWCUGWTXEWBXJFWCXCXDVOXFWAXIVNVIWGUNXDVRXGVTXHSXDVPWMV
      QRVKWIQUDUOUPVKWIVSRUQURVAUSXJWSFGWCFGUHZXFWLXIWRVNWKWGUTXKXGWOXHWQSXKVQW
      NWMRVNWKJUTVBXKVSWPWIRVNWKEUTVBURVCVDVEVFVFVGVH $.
  $}

  ${
    $d Z k p x y t s i $.  $d U k p x y t s i $.  $d N k p x y s t i $.
    $d D k x y t $.
    axcontlem2.1 $e |- D = { p e. ( EE ` N ) |
       ( U Btwn <. Z , p >. \/ p Btwn <. Z , U >. ) } $.
    axcontlem2.2 $e |- F = { <. x , t >. |
        ( x e. D /\ ( t e. ( 0 [,) +oo ) /\
           A. i e. ( 1 ... N )
            ( x ` i ) = ( ( ( 1 - t ) x. ( Z ` i ) ) +
                          ( t x. ( U ` i ) ) ) ) ) } $.
    $( Lemma for ~ axcont .  The idea here is to set up a mapping ` F ` that
       will allow us to transfer ~ dedekind to two sets of points.  Here, we
       set up ` F ` and show its domain and range.  (Contributed by Scott
       Fenton, 17-Jun-2013.) $)
    axcontlem2 $p |-
       ( ( ( N e. NN /\ Z e. ( EE ` N ) /\ U e. ( EE ` N ) ) /\ Z =/= U ) ->
         F : D -1-1-onto-> ( 0 [,) +oo ) ) $=
      ( wcel wa cc0 co c1 cmul caddc wceq wral vs vy vk cfv w3a wne wfn ccnv cv
      cmin weu wreu wrex weq wi cop cbtwn wbr opeq2 breq2d breq1 orbi12d elrab2
      wo simpll3 simpll2 simpr brbtwn syl3anc biimpa oveq2 oveq1d oveq1 oveq12d
      wb eqeq2d ralbidv adantr eqeefv syl2anc cc ad2antrr fveecn sylancom mul02
      mulid2 eqtrd ralbidva syl5ibr mpd cdiv cle elicc01 sylan clt 0le1 mpanl12
      1re elrege0 sylanbrc adantll ad3antlr recnd simplr ad3antrrr ax-1cn reccl
      subcl sylancr mpan mulcld simprr adddird simpl subdi mp3an2 oveq2d recid2
      mulid1d mulassd 3eqtr3rd simpll simprl eqtr3d mulcl syl2an addassd adddid
      cr ad2antll addid2 ralrimiva rspcev ralimi syl simplbi adantl sylib copab
      mpbird cn cee cpnf cico wf1o cfz cicc simp-4r 1m0e1 eqtrdi eqcom ad4ant24
      biimpac oveqan12d addid1 expdimp necon3d simp1bi rereccl simp2bi ad5ant25
      bitr4d syl5bb ne0gt0d divge0 addsubass subeq0bd 3eqtr2d sylan9eq ad2ant2r
      mp3an3 addcld npcan eqtr4d ad2antrl syl22anc syl5ibrcom impancom r19.29an
      ralbi rexbidv syldan wss 3simpa 3imtr4i ssriv ssrexv mpsyl jaodan sylan2b
      anasss r19.26 sylbir anim12i simpl2 ad2ant2rl ad2ant2l addsubeq4d nnncan1
      eqtr2 simpl3 mp3an1 ad2antlr subdird eqeq12d mulcan1g 3bitr2d syl12anc wn
      ancoms r19.32v neneqd mtbid orel2 subeq0 sylibd syl5bi sylbid sylan2 syl5
      ralrimivva df-reu fnopabg fveere resubcl remulcl 3adant3 3adant2 readdcld
      reu4 cmpt simpll1 mptelee letric 0red 1red 0lt1 ltletrd divelunit gt0ne0d
      a1i 3eqtr3d eqeltrd npncan2 3eqtr2rd fveq2 eqid ovex fvmpt ralbiia bitrdi
      ex 3jca anbi1i rgen sylancl orim12d fveq1 eqeq1d ssrab3 sseli bitr3i an12
      eqtr3 opabbii eqtri cnveqi cnvopab dff1o4 ) GUUALZHGUUBUDZLZDVVKLZUEZHDUF
      ZMZFCUGZFUHZNUUCUUDOZUGZCVVSFUUEVVPBUIZVVSLZEUIZAUIZUDZPVWAUJOZVWCHUDZQOZ
      VWAVWCDUDZQOZROZSZEPGUUFOZTZMZBUKZACTVVQVVPVWPACVVPVWDCLZMZVWNBVVSULZVWPV
      WRVWNBVVSUMZVWNVWEPUAUIZUJOZVWGQOZVXAVWIQOZROZSZEVWMTZMZBUAUNZUOZUAVVSTBV
      VSTZVWSVWQVVPVWDVVKLZDHVWDUPZUQURZVWDHDUPZUQURZVDZMVWTDHIUIZUPZUQURZVXRVX
      OUQURZVDZVXQIVWDVVKCIAUNZVXTVXNVYAVXPVYCVXSVXMDUQVXRVWDHUSUTVXRVWDVXOUQVA
      VBJVCZVVPVXLVXQVWTVVPVXLMZVXNVWTVXPVYEVXNVWIVXCVXAVWEQOZROZSZEVWMTZUANPUU
      GOZUMZVWTVYEVXNVYKVYEVVMVVLVXLVXNVYKVOVVJVVLVVMVVOVXLVEZVVJVVLVVMVVOVXLVF
      ZVVPVXLVGZUADHVWDEGVHVIVJVYEVYIVWTUAVYJVYEVXAVYJLZMZVYIMZVXANUFZVWTVYQVVO
      VYRVVNVVOVXLVYOVYIUUHVYQVXANHDVYPVYIVXANSZHDSZVYIVYSMVYTVYPVWIPVWGQOZNVWE
      QOZROZSZEVWMTZVYSVYIWUEVYSVYHWUDEVWMVYSVYGWUCVWIVYSVXCWUAVYFWUBRVYSVXBPVW
      GQVYSVXBPNUJOPVXANPUJVKUUIUUJVLVXANVWEQVMVNVPVQUUMVYTDHSZVYPWUEHDUUKVYPWU
      FVWIVWGSZEVWMTZWUEVYPVVMVVLWUFWUHVOVYEVVMVYOVYLVRVYEVVLVYOVYMVRDHEGVSVTVY
      PWUDWUGEVWMVYPVWCVWMLZMVWGWALZVWEWALZWUDWUGVOVYPWUIVVLWUJVYEVVLVYOWUIVYMW
      BHVWCGWCZWDVXLWUIWUKVVPVYOVWDVWCGWCZUULWUJWUKMZWUCVWGVWIWUNWUCVWGNROZVWGW
      UJWUKWUAVWGWUBNRVWGWFVWEWEUUNWUJWUOVWGSWUKVWGUUOVRWGVPVTWHUVBUVCWIUUPUUQW
      JVYPVYRVYIVWTVYPVYRMZVWTVYIVWEVWHVWAVYGQOZROZSZEVWMTZBVVSUMZWUPPVXAWKOZVV
      SLZVWEPWVBUJOZVWGQOZWVBVYGQOZROZSZEVWMTZWVAVYOVYRWVCVYEVYOVYRMZWVBYILZNWV
      BWLURZWVCVYOVXAYILZVYRWVKVYOWVMNVXAWLURZVXAPWLURZVXAWMZUURZVXAUUSWNWVJWVM
      NVXAWOURZWVLVYOWVMVYRWVQVRZWVJVXAWVSVYOWVNVYRVYOWVMWVNWVOWVPUUTVRVYOVYRVG
      UVDPYILZNPWLURZWVMWVRMWVLWRWPPVXAUVEWQVTWVBWSWTXAWUPWVHEVWMWUPWUIMZVXAWAL
      ZVYRWUKWUJWVHWWBVXAVYOWVMVYEVYRWUIWVQXBXCVYPVYRWUIXDVXLWUIWUKVVPVYOVYRWUM
      UVAWUPWUIVVLWUJVYEVVLVYOVYRWUIVYMXEWULWDWWCVYRMZWUKWUJMZMZWVEWVBVXCQOZROZ
      WVBVYFQOZROZNVWEROZWVGVWEWWFWWHNWWIVWERWWFWWHNVWGQOZNWWFWVDWVBVXBQOZROZVW
      GQOWVEWWMVWGQOZROWWLWWHWWFWVDWWMVWGWWDWVDWALZWWEWWDPWALZWVBWALZWWPXFVXAXG
      ZPWVBXHXIZVRZWWDWWMWALWWEWWDWVBVXBWWSWWCVXBWALZVYRWWQWWCWXBXFPVXAXHXJZVRZ
      XKVRWWDWUKWUJXLZXMWWFWWNNVWGQWWDWWNNSWWEWWDWWNWVDWVBPQOZWVBVXAQOZUJOZROZN
      WWDWWMWXHWVDRWWDWWRWWCWWMWXHSZWWSWWCVYRXNWWRWWQWWCWXJXFWVBPVXAXOXPVTXQWWD
      WXIWVDWVBPUJOZROZWVDWVBROZPUJOZNWWDWXHWXKWVDRWWDWXFWVBWXGPUJWWDWVBWWSXSVX
      AXRZVNXQWWDWWPWWRWXNWXLSZWWTWWSWWPWWRWWQWXPXFWVDWVBPUVFUVKVTWWDWXMPWWDWVD
      WVBWWTWWSUVLWWDWWQWWRWXMPSXFWWSPWVBUVMXIUVGUVHWGVRVLWWFWWOWWGWVERWWFWVBVX
      BVWGWWDWWRWWEWWSVRZWWCWXBVYRWWEWXCWBWXEXTXQYAWUJWWLNSZWWDWUKVWGWEZYJWGWWF
      WXGVWEQOZWWIVWEWWFWVBVXAVWEWXQWWCVYRWWEYBWWDWUKWUJYCXTWWDWWEWXTPVWEQOZVWE
      WWDWXGPVWEQWXOVLWUKWYAVWESWUJVWEWFVRUVIYDVNWWFWWJWVEWWGWWIROZROWVGWWFWVEW
      WGWWIWWFWVDVWGWXAWXEXKWWFWVBVXCWXQWWDWXBWUJVXCWALZWWEWXDWUKWUJVGVXBVWGYEZ
      YFZXKWWFWVBVYFWXQWWCWUKVYFWALVYRWUJVXAVWEYEUVJZXKYGWWFWVFWYBWVERWWFWVBVXC
      VYFWXQWYEWYFYHXQUVNWUKWWKVWESWWDWUJVWEYKUVOYAUVPYLWUTWVIBWVBVVSVWAWVBSZWU
      SWVHEVWMWYGWURWVGVWEWYGVWHWVEWUQWVFRWYGVWFWVDVWGQVWAWVBPUJVKVLVWAWVBVYGQV
      MVNVPVQYMVTVYIVWNWUTBVVSVYIVWLWUSVOZEVWMTVWNWUTVOVYHWYHEVWMVYHVWKWURVWEVY
      HVWJWUQVWHRVWIVYGVWAQVKXQVPYNVWLWUSEVWMUVTYOUWAUVQUVRWJUVSUWBVYJVVSUWCVYE
      VXPMVWNBVYJUMZVWTAVYJVVSVWDYILZNVWDWLURZVWDPWLURZUEWYJWYKMVWDVYJLVWDVVSLW
      YJWYKWYLUWDVWDWMVWDWSUWEUWFVYEVXPWYIVYEVXLVVLVVMVXPWYIVOVYNVYMVYLBVWDHDEG
      VHVIVJVWNBVYJVVSUWGUWHUWIUWKUWJVVPVXKVWQVVPVXJBUAVVSVVSVXHVWKVXESZEVWMTZV
      VPVWBVXAVVSLZMZMVXIVXHVWLVXFMZEVWMTWYNVWLVXFEVWMUWLWYQWYMEVWMVWEVWKVXEUWT
      YNUWMWYPVVPVWAWALZWWCMZWYNVXIUOVWBWYRWYOWWCVWBVWAVWBVWAYILZNVWAWLURZVWAWS
      ZYPZXCWYOVXAWYOWVMWVNVXAWSYPXCUWNVVPWYSMZWYNVWAVXAUJOZNSZVWGVWISZVDZEVWMT
      ZVXIXUDWYMXUHEVWMXUDWUIMWYSWUJVWIWALZWYMXUHVOVVPWYSWUIXDXUDWUIVVLWUJVVPVV
      LWYSWUIVVJVVLVVMVVOUWOZWBWULWDXUDWUIVVMXUJVVPVVMWYSWUIVVJVVLVVMVVOUXAZWBD
      VWCGWCZWDWYSWUJXUJMZMZWYMVXCVWHUJOZVWJVXDUJOZSXUEVWGQOZXUEVWIQOZSZXUHXUOV
      WHVWJVXCVXDWYSVWFWALZWUJVWHWALZXUNWYRXVAWWCWWQWYRXVAXFPVWAXHXJZVRWUJXUJXN
      ZVWFVWGYEZYFWYRXUJVWJWALZWWCWUJVWAVWIYEZUWPWYSWXBWUJWYCXUNWWCWXBWYRWXCYQX
      VDWYDYFWWCXUJVXDWALWYRWUJVXAVWIYEUWQUWRXUOXURXUPXUSXUQXUOVXBVWFUJOZVWGQOZ
      XURXUPWYSXVIXURSXUNWYSXVHXUEVWGQWWCWYRXVHXUESZWWQWWCWYRXVJXFPVXAVWAUWSUXB
      UXJVLVRXUOVXBVWFVWGWWCWXBWYRXUNWXCUXCWYRXVAWWCXUNXVCWBWYSWUJXUJYCZUXDYDXU
      OVWAVXAVWIWYRWWCXUNYBWYRWWCXUNXDWYSWUJXUJXLZUXDUXEXUOXUEWALZWUJXUJXUTXUHV
      OWYSXVMXUNVWAVXAXHVRXVKXVLXUEVWGVWIUXFVIUXGUXHWHXUIXUFXUGEVWMTZVDZXUDVXIX
      UFXUGEVWMUXKXUDXVOXUFVXIXUDXVNUXIXVOXUFUOXUDVYTXVNXUDHDVVNVVOWYSXDUXLXUDV
      VLVVMVYTXVNVOVVJVVLVVMVVOWYSVFVVJVVLVVMVVOWYSVEHDEGVSVTUXMXVNXUFUXNYOWYSX
      UFVXIVOVVPVWAVXAUXOYQUXPUXQUXRUXSUXTUYAVRVWNVXGBUAVVSVXIVWLVXFEVWMVXIVWKV
      XEVWEVXIVWHVXCVWJVXDRVXIVWFVXBVWGQVWAVXAPUJVKVLVWAVXAVWIQVMVNVPVQUYJWTVWN
      BVVSUYBYRYLVWOABCFKUYCYRVVPVWQVWNMZAUKZBVVSTVVTVVPXVQBVVSVVPVWBMZVWNACUMZ
      VWNVWCUBUIZUDZVWKSZEVWMTZMZAUBUNZUOZUBCTACTZXVQXVRUCVWMVWFUCUIZHUDZQOZVWA
      XWHDUDZQOZROZUYKZCLZVWCXWNUDZVWKSZEVWMTZXVSXVRXWNVVKLZDHXWNUPZUQURZXWNVXO
      UQURZVDZXWOXVRXWSXWMYILZUCVWMTZXVRXXDUCVWMXVRXWHVWMLZMWYTXWIYILZXWKYILZXX
      DVWBWYTVVPXXFXUCUXCXVRXXFVVLXXGVVPVVLVWBXXFXUKWBHXWHGUYDWDXVRXXFVVMXXHVVP
      VVMVWBXXFXULWBDXWHGUYDWDWYTXXGXXHUEXWJXWLWYTXXGXWJYILZXXHWYTVWFYILZXXGXXI
      WVTWYTXXJWRPVWAUYEXJVWFXWIUYFWNUYGWYTXXHXWLYILXXGVWAXWKUYFUYHUYIVIYLXVRVV
      JXWSXXEVOVVJVVLVVMVVOVWBUYLXWJXWLUCRGUYMYOYTZXVRPVWAWLURZVWAPWLURZVDZXXCV
      WBXXNVVPVWBWVTWYTXXNWRXUCPVWAUYNXIYQXVRXXLXXAXXMXXBXVRXXLXXAXVRXXLMZXXAVW
      IVXCVXAXWPQOZROZSZEVWMTZUAVYJUMZXXOPVWAWKOZVYJLZVWIPXYAUJOZVWGQOZXYAVWKQO
      ZROZSZEVWMTZXXTVWBXXLXYBVVPVWBXXLMZXYBXXLVWBXXLVGZXYIWYTNVWAWOURZXYBXXLVO
      ZVWBWYTXXLXUCVRZXYINPVWAXYIUYOXYIUYPXYMNPWOURXYIUYQVUAXYJUYRZWVTWWAWYTXYK
      MXYLWRWPPVWAUYSWQVTYTXAXXOXYGEVWMXXOWUIMZWYRVWANUFZWUJXUJXYGXYOVWAVWBWYTV
      VPXXLWUIXUCXBXCXXOXYPWUIVWBXXLXYPVVPXYIVWAXYNUYTXAVRXXOWUIVVLWUJVVPVVLVWB
      XXLWUIXUKXEWULWDXXOWUIVVMXUJVVPVVMVWBXXLWUIXULXEXUMWDWYRXYPMZXUNMZXYFXYDX
      YAVWHQOZXYAVWJQOZROZROXYDXYSROZXYTROZVWIXYRXYEYUAXYDRXYRXYAVWHVWJXYQXYAWA
      LZXUNVWAXGZVRZXYQXVAWUJXVBXUNWYRXVAXYPXVCVRZXVDXVEYFZWYRXUJXVFXYPWUJXVGUW
      PYHXQXYRXYDXYSXYTXYQXYCWALZWUJXYDWALXUNXYQWWQYUDYUIXFYUEPXYAXHXIZXVDXYCVW
      GYEYFXYRXYAVWHYUFYUHXKXYRXYTVWIWAXYRXYAVWAQOZVWIQOZPVWIQOZXYTVWIXYQYULYUM
      SXUNXYQYUKPVWIQVWAXRZVLVRXYRXYAVWAVWIYUFWYRXYPXUNYBXYQWUJXUJXLZXTXUJYUMVW
      ISXYQWUJVWIWFYJVUBZYUOVUCYGXYRYUCNVWIROZVWIXYRYUBNXYTVWIRXYRXYCXYAVWFQOZR
      OZVWGQOZXYDYURVWGQOZRONYUBXYRXYCYURVWGXYQYUIXUNYUJVRXYQYURWALXUNXYQXYAVWF
      YUEYUGXKVRXYQWUJXUJYCZXMXYRYUTWWLNXYRYUSNVWGQXYQYUSNSXUNXYQYUSXYCXYAPUJOZ
      ROZNXYQYURYVCXYCRXYQYURXYAPQOZYUKUJOZYVCXYQYUDWYRYURYVFSZYUEWYRXYPXNYUDWW
      QWYRYVGXFXYAPVWAXOXPVTXYQYVEXYAYUKPUJXYQXYAYUEXSYUNVNWGXQXYQWWQYUDYVDNSXF
      YUEPXYAVUDXIWGVRVLWUJWXRXYQXUJWXSUVOWGXYRYVAXYSXYDRXYRXYAVWFVWGYUFWYRXVAX
      YPXUNXVCWBYVBXTXQYAYUPVNXUJYUQVWISXYQWUJVWIYKYJWGVUEUVPYLXXSXYHUAXYAVYJVX
      AXYASZXXSVWIXYDXYAXWPQOZROZSZEVWMTXYHYVHXXRYVKEVWMYVHXXQYVJVWIYVHVXCXYDXX
      PYVIRYVHVXBXYCVWGQVXAXYAPUJVKVLVXAXYAXWPQVMVNVPVQYVKXYGEVWMWUIYVJXYFVWIWU
      IYVIXYEXYDRWUIXWPVWKXYAQUCVWCXWMVWKVWMXWNUCEUNZXWJVWHXWLVWJRYVLXWIVWGVWFQ
      XWHVWCHVUFXQYVLXWKVWIVWAQXWHVWCDVUFXQVNXWNVUGVWHVWJRVUHVUIZXQXQVPVUJVUKYM
      VTXXOVVMVVLXWSXXAXXTVOVVPVVMVWBXXLXULWBVVPVVLVWBXXLXUKWBXVRXWSXXLXXKVRUAD
      HXWNEGVHVIYTVULXVRXXMXXBXVRXXMMZXXBXWPVXESZEVWMTZUAVYJUMZYVNVWAVYJLZXWRYV
      QVWBXXMYVRVVPWYTXUAMZXXMMZWYTXUAXXMUEVWBXXMMYVRYVTWYTXUAXXMWYTXUAXXMYBWYT
      XUAXXMXDYVSXXMVGVUMVWBYVSXXMXUBVUNVWAWMUWEXAXWQEVWMYVMVUOZYVPXWRUAVWAVYJU
      ABUNZYVOXWQEVWMYWBVXEVWKXWPYWBVXCVWHVXDVWJRYWBVXBVWFVWGQVXAVWAPUJVKVLVXAV
      WAVWIQVMVNVPVQYMVUPYVNXWSVVLVVMXXBYVQVOXVRXWSXXMXXKVRVVPVVLVWBXXMXUKWBVVP
      VVMVWBXXMXULWBUAXWNHDEGVHVIYTVULVUQWJVYBXXCIXWNVVKCVXRXWNSZVXTXXAVYAXXBYW
      CVXSXWTDUQVXRXWNHUSUTVXRXWNVXOUQVAVBJVCWTYWAVWNXWRAXWNCVWDXWNSZVWLXWQEVWM
      YWDVWEXWPVWKVWCVWDXWNVURVUSVQYMVUPVVPXWGVWBVVPXWFAUBCCVWQXVTCLZMVVPVXLXVT
      VVKLZMZXWFVWQVXLYWEYWFVWQVXLVXQVYDYPCVVKXVTVYBIVVKCJVUTVVAUWNXWDXWEVVPYWG
      MVWEXWASZEVWMTZXWDVWLXWBMZEVWMTYWIVWLXWBEVWMUWLYWJYWHEVWMVWEXWAVWKVVDYNUW
      MYWGXWEYWIVOVVPVWDXVTEGVSYQWIUXSUYAVRXVQVWNACULXVSXWGMVWNACUYBVWNXWCAUBCX
      WEVWLXWBEVWMXWEVWEXWAVWKVWCVWDXVTVURVUSVQUYJVVBWTYLXVPBAVVSVVRVVRVWBXVPMZ
      ABYSZUHYWKBAYSFYWLFVWQVWOMZABYSYWLKYWMYWKABVWQVWBVWNVVCVVEVVFVVGYWKABVVHV
      VFUYCYRCVVSFVVIWT $.
  $}

  ${
    $d A p x $.  $d B p x y $.  $d N p x y $.  $d U p x y $.  $d Z p x y $.
    axcontlem3.1 $e |- D = { p e. ( EE ` N ) |
       ( U Btwn <. Z , p >. \/ p Btwn <. Z , U >. ) } $.
    $( Lemma for ~ axcont .  Given the separation assumption, ` B ` is a subset
       of ` D ` .  (Contributed by Scott Fenton, 18-Jun-2013.) $)
    axcontlem3 $p |- ( (
       ( N e. NN /\ ( A C_ ( EE ` N ) /\ B C_ ( EE ` N ) /\
                      A. x e. A A. y e. B x Btwn <. Z , y >. ) ) /\
        ( Z e. ( EE ` N ) /\ U e. A /\ Z =/= U ) ) ->
       B C_ D ) $=
      ( cn wcel wss cv cop cbtwn wbr wral w3a wa cee cfv wne wo simplr2 simplr3
      simpr2 anim1i adantr breq1 opeq2 breq2d rspc2v sylc orcd ralrimiva sseq2i
      weq crab ssrab bitri sylanbrc ) GKLZCGUAUBZMZDVDMZANZHBNZOZPQZBDRACRZSTZH
      VDLZFCLZHFUCZSZTZVFFHINZOZPQZVRHFOPQZUDZIDRZDEMZVEVFVKVCVPUEVQWBIDVQVRDLZ
      TZVTWAWFVNWETVKVTVQVNWEVLVMVNVOUGUHVQVKWEVEVFVKVCVPUFUIVJVTFVIPQABFVRCDVG
      FVIPUJBIURVIVSFPVHVRHUKULUMUNUOUPWDDWBIVDUSZMVFWCTEWGDJUQWBIVDDUTVAVB $.
  $}

  ${
    $d A b i r t p x $.  $d B b i r t p x y $.  $d N b i r s t p x y $.
    $d U b i r s t p x y $.  $d b i r s t p y $.  $d Z b i r s t $.
    $d Z p x y $.
    axcontlem4.1 $e |- D = { p e. ( EE ` N ) |
       ( U Btwn <. Z , p >. \/ p Btwn <. Z , U >. ) } $.
    $( Lemma for ~ axcont .  Given the separation assumption, ` A ` is a subset
       of ` D ` .  (Contributed by Scott Fenton, 18-Jun-2013.) $)
    axcontlem4 $p |- ( (
       ( N e. NN /\ ( A C_ ( EE ` N ) /\ B C_ ( EE ` N ) /\
                      A. x e. A A. y e. B x Btwn <. Z , y >. ) ) /\
        ( ( Z e. ( EE ` N ) /\ U e. A /\ B =/= (/) ) /\ Z =/= U ) ) ->
       A C_ D ) $=
      ( vi wcel wral wa wceq c1 co cmul caddc cc0 vb vt vs vr cn cee cfv wss cv
      cop cbtwn wbr w3a c0 wne wo simplr1 wi wex n0 idd ssel com12 opeq2 adantr
      simp2 breq1 rspccva sylan cmin ralimi oveq2 oveq1d oveq12d eqeq1d ralbidv
      wrex oveq1 wb syl2anc cc fveecn ad2antrr sylancom eqtrd mpd simp2l cle cr
      elicc01 simp1bi syl cdiv clt simp2bi 0red simp3 ne0gt0d ltletrd divelunit
      simp13 recnd simplr divcl adantl ax-1cn simpr2 subcl simpll mulcld adddid
      syl22anc sylancr oveq2d addassd adddird subdi mp3an2 mulid1d simp1 npncan
      divcan1 mp3an2i mulassd eqtr3d 3eqtr2rd ralrimiva eqeq2d rspcev ex r19.43
      syl23anc id ralbi orbi12d 3expia brbtwn syl3anc bitri bitr4di ralimdv jca
      breq2d rspcv 3anim123d anim2d sseldd simpr3 syl2an sselda jca32 an4 sylib
      simplr2 cfz cicc simpl2r simpl eqcom 1m0e1 eqtrdi biimpac simpl2l simpl3l
      syl5bb eqeefv simp1r mulid2 mul02 oveqan12d addid1 bitr4d syl5ibr expdimp
      ralbidva sylan2 necon3d simp1l simp2r letrid simpr mpbird simpll3 gt0ne0d
      3jca simp12 3eqtr3rd biimpar simp112 simp113 simp12r simp12l eqtr2d 3expa
      3eqtrrd orim12d syl6ibr eqeqan12d eqeqan12rd rexbidv syl5ibrcom com23 imp
      simp3l simp3r anbi12d r19.26 2rexbii reeanv 3imtr4d impd sylanl2 3adantr2
      rexlimdvva 3exp2 syl6 exlimiv sylbi com4l 3impd imp32 crab ssrab sylanbrc
      sseq2i ) GUELZCGUFUGZUHZDUYGUHZAUIZHBUIZUJZUKULZBDMZACMZUMZNZHUYGLZFCLZDU
      NUOZUMZHFUOZNZNUYHFHIUIZUJUKULZVUDHFUJUKULZUPZICMZCEUHZUYHUYIUYOUYFVUCUQU
      YQVUAVUBVUHUYQUYRUYSUYTVUBVUHURZUYTUYQUYRUYSVUJUYTUAUIZDLZUAUSUYQUYRUYSVU
      JURURZURZUADUTVULVUNUAVULUYQUYFUYHVUKUYGLZUYJHVUKUJZUKULZACMZUMZNZVUMVULU
      YPVUSUYFVULUYHUYHUYIVUOUYOVURVULUYHVAUYIVULVUODUYGVUKVBVCVULUYNVUQACUYMVU
      QBVUKDUYKVUKOUYLVUPUYJUKUYKVUKHVDUUCUUDUUAUUEUUFVUTUYRUYSVUBVUHVUTUYRUYSV
      UBUMZNZVUGICVVBVUDCLZNZFUYGLZVUDUYGLZNZFVUPUKULZVUDVUPUKULZNZNZVUGVVDVVEV
      VHNZVVFVVINNVVKVVDVVLVVFVVIVVDVVEVVHVVDCUYGFVVBUYHVVCUYHVUOVURUYFVVAUQZVE
      UYRUYSVUBVUTVVCUUNUUGVVBVVHVVCVUTVURUYSVVHVVAUYFUYHVUOVURUUHZUYRUYSVUBVFV
      UQVVHAFCUYJFVUPUKVGVHUUIVEUUBVVBCUYGVUDVVMUUJVVBVURVVCVVIVUTVURVVAVVNVEVU
      QVVIAVUDCUYJVUDVUPUKVGVHVIUUKVVEVVHVVFVVIUULUUMVVBVVKVUGURZVVCVUTUYRVUBVV
      OUYSVUSUYFVUOUYRVUBNZVVOUYHVUOVURVFUYFVUONZVVPNVVGVVJVUGVVQVVPVVGVVJVUGUR
      VVQVVPVVGUMZKUIZFUGZPUBUIZVJQZVVSHUGZRQZVWAVVSVUKUGZRQZSQZOZVVSVUDUGZPUCU
      IZVJQZVWCRQZVWJVWERQZSQZOZNZKPGUUOQZMZUCTPUUPQZVQUBVWSVQZVVTPUDUIZVJQZVWC
      RQZVXAVWIRQZSQZOZKVWQMZVWIVXCVXAVVTRQZSQZOZKVWQMZUPZUDVWSVQZVVJVUGVVRVWRV
      XMUBUCVWSVWSVVRVWAVWSLZVWJVWSLZNZNZVWRVXMVXQVWRNZVWATUOZVXMVXRVUBVXSVXQVU
      BVWRUYRVUBVVQVVGVXPUUQVEVXRVWATHFVWRVXQVWHKVWQMZVWATOZHFOZURVWPVWHKVWQVWH
      VWOUURVKVXQVXTVYAVYBVXTVYANVYBVXQPVWCRQZTVWERQZSQZVVTOZKVWQMZVYAVXTVYGVYA
      VWHVYFKVWQVWHVWGVVTOVYAVYFVVTVWGUUSVYAVWGVYEVVTVYAVWDVYCVWFVYDSVYAVWBPVWC
      RVYAVWBPTVJQPVWATPVJVLUUTUVAVMVWATVWERVRVNVOUVEVPUVBVXQVYBVWCVVTOZKVWQMZV
      YGVXQUYRVVEVYBVYIVSUYRVUBVVQVVGVXPUVCZVVEVVFVVQVVPVXPUVDHFKGUVFVTVXQVYFVY
      HKVWQVXQVVSVWQLZNZVYEVWCVVTVYLVWCWALZVWEWALZVYEVWCOVXQUYRVYKVYMVYJHVVSGWB
      ZVIVXQVYKVUOVYNVVRVUOVXPVYKUYFVUOVVPVVGUVGZWCVUKVVSGWBZWDVYMVYNNZVYEVWCTS
      QZVWCVYMVYNVYCVWCVYDTSVWCUVHVWEUVIUVJVYMVYSVWCOVYNVWCUVKVEWEVTVOUVOUVLUVM
      UVNUVPUVQWFVXQVWRVXSVXMURZVVRUYFUYRVUOUMZVXPVWRVYTURVVRUYFUYRVUOUYFVUOVVP
      VVGUVRVVQUYRVUBVVGWGZVYPUWEWUAVXPNVXSVWRVXMWUAVXPVXSVWRVXMURWUAVXPVXSUMZV
      XMVWRVWGVXCVXAVWNRQZSQZOZKVWQMZVWNVXCVXAVWGRQZSQZOZKVWQMZUPZUDVWSVQZWUCVW
      AVWJWHULZVWJVWAWHULZUPZWUMWUCVWAVWJWUCVXNVWAWILZWUAVXNVXOVXSWGZVXNWUQTVWA
      WHULZVWAPWHULZVWAWJZWKZWLZWUCVXOVWJWILZWUAVXNVXOVXSUVSZVXOWVDTVWJWHULZVWJ
      PWHULZVWJWJZWKZWLZUVTWUCWUPWUGUDVWSVQZWUKUDVWSVQZUPWUMWUCWUNWVKWUOWVLWUCW
      UNWVKWUCWUNNZVWAVWJWMQZVWSLZVWGPWVNVJQZVWCRQZWVNVWNRQZSQZOZKVWQMZWVKWVMWV
      OWUNWUCWUNUWAZWVMWUQWUSWVDTVWJWNULWVOWUNVSWUCWUQWUNWVCVEZWUCWUSWUNWUCVXNW
      USWURVXNWUQWUSWUTWVAWOWLZVEWUCWVDWUNWVJVEZWVMTVWAVWJWVMWPWWCWWEWUCTVWAWNU
      LZWUNWUCVWAWVCWWDWUAVXPVXSWQWRZVEWWBWSVWAVWJWTXLUWBWVMWVTKVWQWVMVYKNZVYMV
      YNVWAWALZVWJWALZVWJTUOZWVTWVMVYKUYRVYMWUCUYRWUNVYKUYFUYRVUOVXPVXSUWFWCVYO
      WDWVMVYKVUOVYNWUCVUOWUNVYKUYFUYRVUOVXPVXSXAWCVYQWDWUCWWIWUNVYKWUCVXNWWIWU
      RVXNVWAWVBXBZWLWCWUCWWJWUNVYKWUCVXOWWJWVEVXOVWJWVIXBZWLWCWWHVWJWWHTVWAVWJ
      WWHWPWUCWUQWUNVYKWVCWCZWUCWVDWUNVYKWVJWCWWHVWAWWNWUCWUSWUNVYKWWDWCWUAVXPV
      XSWUNVYKUWCWRWUCWUNVYKXCWSUWDVYRWWIWWJWWKUMZNZWVSWVQWVNVWLRQZWVNVWMRQZSQZ
      SQWVQWWQSQZWWRSQVWGWWPWVRWWSWVQSWWPWVNVWLVWMWWOWVNWALZVYRVWAVWJXDZXEZWWPV
      WKVWCWWPPWALZWWJVWKWALXFVYRWWIWWJWWKXGZPVWJXHXMZVYMVYNWWOXIZXJZWWPVWJVWEW
      XEVYMVYNWWOXCZXJZXKXNWWPWVQWWQWWRWWPWVPVWCWWPWXDWXAWVPWALXFWXCPWVNXHXMZWX
      GXJWWPWVNVWLWXCWXHXJWWPWVNVWMWXCWXJXJXOWWPWWTVWDWWRVWFSWWPWVPWVNVWKRQZSQZ
      VWCRQWVQWXLVWCRQZSQVWDWWTWWPWVPWXLVWCWXKWWPWVNVWKWXCWXFXJWXGXPWWPWXMVWBVW
      CRWWOWXMVWBOVYRWWOWXMWVPWVNVWAVJQZSQZVWBWWOWXLWXOWVPSWWOWXLWVNPRQZWVNVWJR
      QZVJQZWXOWWOWXAWWJWXLWXSOZWXBWWIWWJWWKVFWXAWXDWWJWXTXFWVNPVWJXQXRVTWWOWXQ
      WVNWXRVWAVJWWOWVNWXBXSVWAVWJYBZVNWEXNWXDWWOWXAWWIWXPVWBOXFWXBWWIWWJWWKXTP
      WVNVWAYAYCWEXEVMWWPWXNWWQWVQSWWPWVNVWKVWCWXCWXFWXGYDXNUWGWWPWXRVWERQWWRVW
      FWWPWVNVWJVWEWXCWXEWXIYDWWPWXRVWAVWERWWOWXRVWAOVYRWYAXEVMYEVNYFYLYGWUGWWA
      UDWVNVWSVXAWVNOZWUFWVTKVWQWYBWUEWVSVWGWYBVXCWVQWUDWVRSWYBVXBWVPVWCRVXAWVN
      PVJVLVMVXAWVNVWNRVRVNYHVPYIVTYJWUCWUOWVLWUCWUONZVWJVWAWMQZVWSLZVWNPWYDVJQ
      ZVWCRQZWYDVWGRQZSQZOZKVWQMZWVLWUCWYEWUOWUCWVDWVFWUQWWFWYEWUOVSWVJWUCVXOWV
      FWVEVXOWVDWVFWVGWVHWOWLWVCWWGVWJVWAWTXLUWHWYCWYJKVWQWUCWUOVYKWYJWUCWUOVYK
      UMZVYMVYNWWJWWIVXSWYJWYLUYRVYKVYMUYFUYRVUOVXPVXSWUOVYKUWIWUCWUOVYKWQZVYOV
      TWYLVUOVYKVYNUYFUYRVUOVXPVXSWUOVYKUWJWYMVYQVTWYLVXOWWJVXNVXOWUAVXSWUOVYKU
      WKWWMWLWYLVXNWWIVXNVXOWUAVXSWUOVYKUWLWWLWLWUAVXPVXSWUOVYKXAVYRWWJWWIVXSUM
      ZNZWYIWYGWYDVWDRQZWYDVWFRQZSQZSQWYGWYPSQZWYQSQVWNWYOWYHWYRWYGSWYOWYDVWDVW
      FWYNWYDWALZVYRVWJVWAXDZXEZWYOVWBVWCWYOWXDWWIVWBWALXFVYRWWJWWIVXSXGZPVWAXH
      XMZVYMVYNWYNXIZXJZWYOVWAVWEXUCVYMVYNWYNXCZXJZXKXNWYOWYGWYPWYQWYOWYFVWCWYO
      WXDWYTWYFWALXFXUBPWYDXHXMZXUEXJWYOWYDVWDXUBXUFXJWYOWYDVWFXUBXUHXJXOWYOWYS
      VWLWYQVWMSWYOVWLWYFWYDVWBRQZSQZVWCRQZWYGXUJVWCRQZSQWYSWYNVWLXULOVYRWYNVWK
      XUKVWCRWYNXUKWYFWYDVWJVJQZSQZVWKWYNXUJXUNWYFSWYNXUJWYDPRQZWYDVWARQZVJQZXU
      NWYNWYTWWIXUJXUROZXUAWWJWWIVXSVFWYTWXDWWIXUSXFWYDPVWAXQXRVTWYNXUPWYDXUQVW
      JVJWYNWYDXUAXSVWJVWAYBZVNWEXNWXDWYNWYTWWJXUOVWKOXFXUAWWJWWIVXSXTPWYDVWJYA
      YCUWMVMXEWYOWYFXUJVWCXUIWYOWYDVWBXUBXUDXJXUEXPWYOXUMWYPWYGSWYOWYDVWBVWCXU
      BXUDXUEYDXNUWOWYOXUQVWERQZWYQVWMWYOWYDVWAVWEXUBXUCXUGYDWYNXVAVWMOVYRWYNXU
      QVWJVWERXUTVMXEYEVNYFYLUWNYGWUKWYKUDWYDVWSVXAWYDOZWUJWYJKVWQXVBWUIWYIVWNX
      VBVXCWYGWUHWYHSXVBVXBWYFVWCRVXAWYDPVJVLVMVXAWYDVWGRVRVNYHVPYIVTYJUWPWUGWU
      KUDVWSYKUWQWFVWRVXLWULUDVWSVWRVXGWUGVXKWUKVWRVXFWUFVSZKVWQMVXGWUGVSVWPXVC
      KVWQVWHVWOVVTVWGVXEWUEVWHYMVWOVXDWUDVXCSVWIVWNVXARVLXNUWRVKVXFWUFKVWQYNWL
      VWRVXJWUJVSZKVWQMVXKWUKVSVWPXVDKVWQVWOVWHVWIVWNVXIWUIVWOYMVWHVXHWUHVXCSVV
      TVWGVXARVLXNUWSVKVXJWUJKVWQYNWLYOUWTUXAYPUXBVIUXCWFYJUXNVVRVVJVXTUBVWSVQZ
      VWOKVWQMZUCVWSVQZNZVWTVVRVVHXVEVVIXVGVVRVVEUYRVUOVVHXVEVSVVQVVPVVEVVFUXDZ
      WUBVYPUBFHVUKKGYQYRVVRVVFUYRVUOVVIXVGVSVVQVVPVVEVVFUXEZWUBVYPUCVUDHVUKKGY
      QYRUXFVWTVXTXVFNZUCVWSVQUBVWSVQXVHVWRXVKUBUCVWSVWSVWHVWOKVWQUXGUXHVXTXVFU
      BUCVWSVWSUXIYSYTVVRVUGVXGUDVWSVQZVXKUDVWSVQZUPVXMVVRVUEXVLVUFXVMVVRVVEUYR
      VVFVUEXVLVSXVIWUBXVJUDFHVUDKGYQYRVVRVVFUYRVVEVUFXVMVSXVJWUBXVIUDVUDHFKGYQ
      YRYOVXGVXKUDVWSYKYTUXJYPUXKUXLUXMVEWFYGUXOUXPUXQUXRUXSUXTUYAVUICVUGIUYGUY
      BZUHUYHVUHNEXVNCJUYEVUGIUYGCUYCYSUYD $.
  $}

  ${
    $d t D x $.  $d i p t x N $.  $d P i $.  $d t p $.  $d t P $.  $d x p $.
    $d x P $.  $d x T i t $.  $d U i p t x $.  $d i Z p t x $.
    axcontlem5.1 $e |- D = { p e. ( EE ` N ) |
       ( U Btwn <. Z , p >. \/ p Btwn <. Z , U >. ) } $.
    axcontlem5.2 $e |- F = { <. x , t >. |
        ( x e. D /\ ( t e. ( 0 [,) +oo ) /\
           A. i e. ( 1 ... N )
            ( x ` i ) = ( ( ( 1 - t ) x. ( Z ` i ) ) +
                          ( t x. ( U ` i ) ) ) ) ) } $.
    $( Lemma for ~ axcont .  Compute the value of ` F ` .  (Contributed by
       Scott Fenton, 18-Jun-2013.) $)
    axcontlem5 $p |- ( ( ( ( N e. NN /\ Z e. ( EE ` N ) /\ U e. ( EE ` N ) )
       /\ Z =/= U ) /\ P e. D ) -> ( ( F ` P ) = T <->
         ( T e. ( 0 [,) +oo ) /\
           A. i e. ( 1 ... N ) ( P ` i ) =
              ( ( ( 1 - T ) x. ( Z ` i ) ) + ( T x. ( U ` i ) ) ) ) ) ) $=
      ( wcel cfv wa co wceq c1 cmul cn cee w3a wne cc0 cpnf cico cmin caddc cfz
      cv wral wf1o wf axcontlem2 f1of syl ffvelrnda eleq1 syl5ibcom wi simpl wb
      a1i wbr wfn f1ofn fnbrfvb sylan 3adant3 fveq1 eqeq1d ralbidv anbi2d oveq2
      anbi12d oveq1d oveq1 eqeq2d anass anidm anbi2i bitr2i anbi1i bitrdi brabg
      oveq12d 3bitr3i bianabs 3adant1 bitrd 3expia pm5.21ndd ) IUANJIUBOZNFWNNU
      CJFUDPZDCNZPZEUEUFUGQZNZDHOZERZWSGUKZDOZSEUHQZXBJOZTQZEXBFOZTQZUIQZRZGSIU
      JQZULZPZWQWTWRNXAWSWOCWRDHWOCWRHUMZCWRHUNABCFGHIJKLMUOZCWRHUPUQURWTEWRUSU
      TXMWSVAWQWSXLVBVDWOWPWSXAXMVCWOWPWSUCXADEHVEZXMWOWPXAXPVCZWSWOHCVFZWPXQWO
      XNXRXOCWRHVGUQCDEHVHVIVJWPWSXPXMVCWOWPWSPZXPXMAUKZCNZBUKZWRNZXBXTOZSYBUHQ
      ZXETQZYBXGTQZUIQZRZGXKULZPZPWPYCXCYHRZGXKULZPZPZXSXMPZABDECWRHXTDRZYAWPYK
      YNXTDCUSYQYJYMYCYQYIYLGXKYQYDXCYHXBXTDVKVLVMVNVPYBERZYOWPXMPZYPYRYNXMWPYR
      YCWSYMXLYBEWRUSYRYLXJGXKYRYHXIXCYRYFXFYGXHUIYRYEXDXETYBESUHVOVQYBEXGTVRWG
      VSVMVPVNXSXLPXSWSPZXLPYSYPXSYTXLYTWPWSWSPZPXSWPWSWSVTUUAWSWPWSWAWBWCWDWPW
      SXLVTXSWSXLVTWHWEMWFWIWJWKWLWM $.

    ${
      $d D s $.  $d D y $.  $d F i j s $.  $d F y $.  $d i y $.  $d j p $.
      $d j t $.  $d j x $.  $d j y $.  $d N j s $.  $d N y $.  $d P j s $.
      $d p s $.  $d p y $.  $d P y $.  $d s t $.  $d s x $.  $d s y $.
      $d t y $.  $d U j $.  $d U s $.  $d U y $.  $d x y $.  $d Z j $.
      $d Z s $.  $d Z y $.
      $( Lemma for ~ axcont .  State the defining properties of the value of
         ` F ` .  (Contributed by Scott Fenton, 19-Jun-2013.) $)
      axcontlem6 $p |- ( ( ( ( N e. NN /\ Z e. ( EE ` N ) /\ U e. ( EE ` N )
            )
       /\ Z =/= U ) /\ P e. D ) -> ( ( F ` P ) e. ( 0 [,) +oo ) /\
           A. i e. ( 1 ... N ) ( P ` i ) =
              ( ( ( 1 - ( F ` P ) ) x. ( Z ` i ) ) +
                  ( ( F ` P ) x. ( U ` i ) ) )
              ) ) $=
        ( vj wcel cfv wa co cmul caddc wceq vy vs cn cee w3a wne cc0 cpnf cv c1
        cico cmin wral axcontlem1 axcontlem5 mpbii fveq2 oveq2d oveq12d eqeq12d
        cfz eqid cbvralvw anbi2i sylib ) HUCNIHUDOZNEVFNUEIEUFPDCNPZDGOZUGUHUKQ
        NZMUIZDOZUJVHULQZVJIOZRQZVHVJEOZRQZSQZTZMUJHVAQZUMZPZVIFUIZDOZVLWBIOZRQ
        ZVHWBEOZRQZSQZTZFVSUMZPVGVHVHTWAVHVBUAUBCDVHEMGHIJKAUABCEFMGHIUBLUNUOUP
        VTWJVIVRWIMFVSVJWBTZVKWCVQWHVJWBDUQWKVNWEVPWGSWKVMWDVLRVJWBIUQURWKVOWFV
        HRVJWBEUQURUSUTVCVDVE $.
    $}
  $}

  ${
    $d t D x $.  $d i F t $.  $d i p t x N $.  $d P i $.  $d t p $.  $d t P $.
    $d x p $.  $d x P $.  $d Q i t x $.  $d U i p t x $.  $d i Z p t x $.
    axcontlem7.1 $e |- D = { p e. ( EE ` N ) |
       ( U Btwn <. Z , p >. \/ p Btwn <. Z , U >. ) } $.
    axcontlem7.2 $e |- F = { <. x , t >. |
        ( x e. D /\ ( t e. ( 0 [,) +oo ) /\
           A. i e. ( 1 ... N )
            ( x ` i ) = ( ( ( 1 - t ) x. ( Z ` i ) ) +
                          ( t x. ( U ` i ) ) ) ) ) } $.
    $( Lemma for ~ axcont .  Given two points in ` D ` , one preceeds the other
       iff its scaling constant is less than the other point's.  (Contributed
       by Scott Fenton, 18-Jun-2013.) $)
    axcontlem7 $p |- ( ( ( ( N e. NN /\ Z e. ( EE ` N ) /\ U e. ( EE ` N ) )
       /\ Z =/= U ) /\ ( P e. D /\ Q e. D ) ) ->
          ( P Btwn <. Z , Q >. <-> ( F ` P ) <_ ( F ` Q ) ) ) $=
      ( wcel wa c1 co cmul wceq cc0 cn cee cfv w3a wne cop cbtwn wbr cmin caddc
      cv cfz wral cicc wrex wb wo ssrab3 sseli ad2antrl simpll2 ad2antll brbtwn
      cle syl3anc cpnf cico axcontlem6 anim12dan an4 r19.26 anbi2i bitr4i oveq2
      id oveq2d eqeqan12d ralimi ralbi syl rexbidv fveecn sylan simpll3 elicc01
      cc simp1bi recnd adantr elrege0 simplbi adantl ax-1cn simpr1 simpr3 subcl
      mulcld sylancr mpan 3ad2ant2 simpll subdird simpr2 nnncan1 mp3an2i oveq1d
      subdi mp3an2 mulid1 eqtrd syl2anc npncan eqtr2d 3ad2ant1 3ad2ant3 adddird
      cr mulassd 3eqtrd 3eqtr3d simplr eqeq12d addcld addsubeq4d addassd adddid
      eqtr4d eqeq2d 3bitr2rd syl23anc ralbidva subcld mulcan1g r19.32v ad2antlr
      wn wi oveq1 rspceeqv bitrd neneqd bitrdi subeq0ad eqeefv 3adant1 3bitr3rd
      biorf orcom orbi2d syl5bb 3bitrd anassrs rexbidva biimpi simp3bi syl31anc
      lemul1a mulid2d breqtrd breq1 syl5ibrcom rexlimdva 0elunit mul02d adantrl
      1red simpl a1d ex cdiv simp3 simprbi 0red simp1 ne0gt0d ltletrd divelunit
      syl22anc mpbird gt0ne0d divcan1d eqcomd pm2.61ine impbid sylan9bbr anasss
      clt 3exp sylan2b syldan ) IUANZJIUBUCZNZFUWLNZUDZJFUEZOZDCNZECNZOZOZDJEUF
      UGUHZGUKZDUCZPBUKZUIQZUXCJUCZRQZUXEUXCEUCZRQZUJQZSZGPIULQZUMZBTPUNQZUOZDH
      UCZEHUCZVDUHZUXADUWLNZUWMEUWLNZUXBUXPUPUWRUXTUWQUWSCUWLDFJKUKZUFUGUHUYBJF
      UFUGUHUQKUWLCLURZUSUTUWKUWMUWNUWPUWTVAUWSUYAUWQUWRCUWLEUYCUSVBBDJEGIVCVEU
      WQUWTUXQTVFVGQZNZUXDPUXQUIQZUXGRQZUXQUXCFUCZRQZUJQZSZGUXMUMZOZUXRUYDNZUXI
      PUXRUIQZUXGRQZUXRUYHRQZUJQZSZGUXMUMZOZOZUXPUXSUPZUWQUWRUYMUWSVUAABCDFGHIJ
      KLMVHABCEFGHIJKLMVHVIVUBUWQUYEUYNOZUYKUYSOZGUXMUMZOZVUCVUBVUDUYLUYTOZOVUG
      UYEUYLUYNUYTVJVUFVUHVUDUYKUYSGUXMVKVLVMUWQVUDVUFVUCVUFUXPUYJUXHUXEUYRRQZU
      JQZSZGUXMUMZBUXOUOZUWQVUDOZUXSVUFUXNVULBUXOVUFUXLVUKUPZGUXMUMUXNVULUPVUEV
      UOGUXMUYKUYSUXDUYJUXKVUJUYKVOUYSUXJVUIUXHUJUXIUYRUXERVNVPVQVRUXLVUKGUXMVS
      VTWAVUNVUMUXQUXEUXRRQZSZBUXOUOZUXSVUNVULVUQBUXOUWQVUDUXEUXONZVULVUQUPUWQV
      UDVUSOZOZVULUXQVUPUIQZUXGRQZVVBUYHRQZSZGUXMUMVVBTSZUXGUYHSZUQZGUXMUMZVUQV
      VAVUKVVEGUXMVVAUXCUXMNZOZUXGWFNZUYHWFNZUXEWFNZUXQWFNZUXRWFNZVUKVVEUPVVAUW
      MVVJVVLUWKUWMUWNUWPVUTVAJUXCIWBWCZVVAUWNVVJVVMUWKUWMUWNUWPVUTWDFUXCIWBWCZ
      VVAVVNVVJVUSVVNUWQVUDVUSUXEVUSUXEXQNZTUXEVDUHZUXEPVDUHZUXEWEZWGZWHVBZWIZV
      VAVVOVVJVUDVVOUWQVUSUYEVVOUYNUYEUXQUYEUXQXQNZTUXQVDUHZUXQWJZWKZWHWIZUTZWI
      ZVVAVVPVVJVUDVVPUWQVUSUYNVVPUYEUYNUXRUYNUXRXQNZTUXRVDUHZUXRWJZWKZWHZWLZUT
      ZWIZVVLVVMOZVVNVVOVVPUDZOZVVEUXHUXEUYPRQZUJQZUYGUIQZUYIUXEUYQRQZUIQZSUYJV
      XEVXGUJQZSVUKVXCVVCVXFVVDVXHVXCPVUPUIQZUYFUIQZUXGRQVXJUXGRQZUYGUIQVVCVXFV
      XCVXJUYFUXGVXCPWFNZVUPWFNZVXJWFNWMVXCUXEUXRVXAVVNVVOVVPWNZVXAVVNVVOVVPWOZ
      WQZPVUPWPWRVXBUYFWFNZVXAVVOVVNVXRVVPVXMVVOVXRWMPUXQWPWSWTWLZVVLVVMVXBXAZX
      BVXCVXKVVBUXGRVXMVXCVXNVVOVXKVVBSWMVXQVXAVVNVVOVVPXCZPVUPUXQXDXEXFVXCVXLV
      XEUYGUIVXCVXLUXFUXEUYORQZUJQZUXGRQUXHVYBUXGRQZUJQVXEVXCVXJVYCUXGRVXCVYCUX
      FUXEVUPUIQZUJQZVXJVXCVYBVYEUXFUJVXCVVNVVPVYBVYESVXOVXPVVNVVPOZVYBUXEPRQZV
      UPUIQZVYEVVNVXMVVPVYBVYISWMUXEPUXRXGXHVYGVYHUXEVUPUIVVNVYHUXESVVPUXEXIWIX
      FXJXKVPVXMVXCVVNVXNVYFVXJSWMVXOVXQPUXEVUPXLXEXMXFVXCUXFVYBUXGVXBUXFWFNZVX
      AVVNVVOVYJVVPVXMVVNVYJWMPUXEWPWSXNWLZVXCUXEUYOVXOVXBUYOWFNZVXAVVPVVNVYLVV
      OVXMVVPVYLWMPUXRWPWSXOWLZWQVXTXPVXCVYDVXDUXHUJVXCUXEUYOUXGVXOVYMVXTXRVPXS
      XFXTVXCVVDUYIVUPUYHRQZUIQVXHVXCUXQVUPUYHVYAVXQVVLVVMVXBYAZXBVXCVYNVXGUYIU
      IVXCUXEUXRUYHVXOVXPVYOXRVPXJYBVXCUYGUYIVXEVXGVXCUYFUXGVXSVXTWQVXCUXQUYHVY
      AVYOWQVXCUXHVXDVXCUXFUXGVYKVXTWQZVXCUXEUYPVXOVXCUYOUXGVYMVXTWQZWQZYCVXCUX
      EUYQVXOVXCUXRUYHVXPVYOWQZWQZYDVXCVXIVUJUYJVXCVXIUXHVXDVXGUJQZUJQVUJVXCUXH
      VXDVXGVYPVYRVYTYEVXCVUIWUAUXHUJVXCUXEUYPUYQVXOVYQVYSYFVPYGYHYIYJYKVVAVVEV
      VHGUXMVVKVVBWFNVVLVVMVVEVVHUPVVKUXQVUPVWLVVKUXEUXRVWEVWTWQYLVVQVVRVVBUXGU
      YHYMVEYKVVIVVFVVGGUXMUMZUQZVVAVUQVVFVVGGUXMYNVVAVVFVVFJFSZUQZVUQWUCVVAWUD
      YPZVVFWUEUPVVAJFUWOUWPVUTYAUUAWUFVVFWUDVVFUQWUEWUDVVFUUGWUDVVFUUHUUBVTVVA
      UXQVUPVWKVVAUXEUXRVWDVWSWQUUCVVAWUDWUBVVFUWQWUDWUBUPZVUTUWOWUGUWPUWMUWNWU
      GUWKJFGIUUDUUEWIWIUUIUUFUUJUUKUULUUMVUDVURUXSUPUWQVUDVURUXSVUDVUQUXSBUXOV
      UTUXSVUQVUPUXRVDUHVUTVUPPUXRRQZUXRVDVUTVVSPXQNVWMVWNOZVWAVUPWUHVDUHVUSVVS
      VUDVWCWLVUTUVFUYNWUIUYEVUSUYNWUIVWOUUNYOVUSVWAVUDVUSVVSVVTVWAVWBUUOWLUXEP
      UXRUUQUUPVUTUXRUYNVVPUYEVUSVWQYOUURUUSUXQVUPUXRVDUUTUVAUVBVUDUXSVURYQZYQU
      XQTUXQTSZVUDWUJWUKVUDOVURUXSWUKUYNVURUYEWUKUYNOZTUXONUXQTUXRRQZSVURUVCWUL
      UXQTWUMWUKUYNUVGUYNWUMTSWUKUYNUXRVWQUVDWLYGBTUXOVUPWUMUXQUXETUXRRYRYSWRUV
      EUVHUVIUXQTUEZVUDUXSVURWUNVUDUXSUDZUXQUXRUVJQZUXONZUXQWUPUXRRQZSVURWUOWUQ
      UXSWUNVUDUXSUVKZWUOVWFVWGVWMTUXRUWGUHWUQUXSUPVUDWUNVWFUXSUYEVWFUYNVWIWIWT
      ZVUDWUNVWGUXSUYEVWGUYNUYEVWFVWGVWHUVLWIWTZVUDWUNVWMUXSUYNVWMUYEVWPWLWTZWU
      OTUXQUXRWUOUVMWUTWVBWUOUXQWUTWVAWUNVUDUXSUVNUVOWUSUVPZUXQUXRUVQUVRUVSWUOW
      URUXQWUOUXQUXRVUDWUNVVOUXSVWJWTVUDWUNVVPUXSVWRWTWUOUXRWVCUVTUWAUWBBWUPUXO
      VUPWURUXQUXEWUPUXRRYRYSXKUWHUWCUWDWLYTUWEUWFUWIUWJYT $.
  $}

  ${
    $d D p t x $.  $d F p i t $.  $d x i N p t $.  $d P i p t x $.
    $d Q i p t x $.  $d R i p t x $.  $d U i p t x $.  $d i Z p t x $.
    $d i F t $.
    axcontlem8.1 $e |- D = { p e. ( EE ` N ) |
       ( U Btwn <. Z , p >. \/ p Btwn <. Z , U >. ) } $.
    axcontlem8.2 $e |- F = { <. x , t >. |
        ( x e. D /\ ( t e. ( 0 [,) +oo ) /\
           A. i e. ( 1 ... N )
            ( x ` i ) = ( ( ( 1 - t ) x. ( Z ` i ) ) +
                          ( t x. ( U ` i ) ) ) ) ) } $.
    $( Lemma for ~ axcont .  A point in ` D ` is between two others if its
       function value falls in the middle.  (Contributed by Scott Fenton,
       18-Jun-2013.) $)
    axcontlem8 $p |- ( ( ( ( N e. NN /\ Z e. ( EE ` N ) /\ U e. ( EE ` N ) )
       /\ Z =/= U ) /\ ( P e. D /\ Q e. D /\ R e. D ) ) ->
          ( ( ( F ` P ) <_ ( F ` Q ) /\ ( F ` Q ) <_ ( F ` R ) ) ->
            Q Btwn <. P , R >. ) ) $=
      ( wcel c1 cmin co cmul caddc cn cee cfv w3a wne wa cle wbr cop cbtwn wceq
      cv cfz wral cc0 cicc wrex cpnf cico axcontlem6 ex 3anim123d imp adantr wi
      3an6 0elunit cc cr simplr1 ad2antlr elrege0 simplbi recnd simprrl simprrr
      syl simpl breqtrrd simplr2 letri3d simpll simpll2 fveecn sylancom simpll3
      mpbir2and ax-1cn subcl sylancr simprl mulcld mulcl adantrl addcld mulid2d
      mul02d oveq12d addid1d eqtr2d 3adant2 oveq2 oveq1d oveq1 oveq2d eqeqan12d
      3ad2ant2 mpbid syl122anc ralrimiva 1m0e1 eqeq2d ralbidv rspcev adantl clt
      cdiv resubcld mpbird necomd ad2antrl sylan subcld divdird mulid1d mulcomd
      eqtrd subdi mp3an2 syl2anc subdird divmuld div23d 3eqtr3d joinlmuladdmuld
      wb 3eqtr4rd mulassd adddid sseli simplr3 lesub1dd subge0d leneltd posdifd
      eqtrdi letrd syl22anc simp2r simp2l simp1l simp1r subne0d subdid addsub4d
      npncand npncan3d 3eqtr2d 3eqtr4d divsubdird nnncan2d dividd divcld simp3l
      divelunit simp3r add4d eqtr4d syl222anc pm2.61ine simp2 oveqan12d eqeq12d
      r19.26-3 ralimi ralbi rexbidv biimprcd syl5bir expimpd adantlr syl5bi mpd
      an32s simpl1 wo ssrab3 3anim123i 3com12 brbtwn syl2an ) JUAOZKJUBUCZOZGUW
      MOZUDKGUEZUFZDCOZECOZFCOZUDZUFZDIUCZEIUCZUGUHZUXDFIUCZUGUHZUFZEDFUIUJUHZU
      XBUXHUFZUXIHULZEUCZPBULZQRZUXKDUCZSRZUXMUXKFUCZSRZTRZUKZHPJUMRZUNZBUOPUPR
      ZUQZUXJUXCUOURUSRZOZUXOPUXCQRZUXKKUCZSRZUXCUXKGUCZSRZTRZUKZHUYAUNZUFZUXDU
      YEOZUXLPUXDQRZUYHSRZUXDUYJSRZTRZUKZHUYAUNZUFZUXFUYEOZUXQPUXFQRZUYHSRZUXFU
      YJSRZTRZUKZHUYAUNZUFZUDZUYDUXBVULUXHUWQUXAVULUWQUWRUYOUWSVUCUWTVUKUWQUWRU
      YOABCDGHIJKLMNUTVAUWQUWSVUCABCEGHIJKLMNUTVAUWQUWTVUKABCFGHIJKLMNUTVAVBVCV
      DVULUYFUYPVUDUDZUYNVUBVUJUDZUFZUXJUYDUYFUYNUYPVUBVUDVUJVFUWQUXHVUOUYDVEUX
      AUWQUXHUFVUMVUNUYDUWQVUMUXHVUNUYDVEZUWQVUMUFZUXHUFZUYTUXNUYLSRZUXMVUHSRZT
      RZUKZHUYAUNZBUYCUQZVUPVURVVDVEUXCUXFUXCUXFUKZVURVVDVVEVURUFZUOUYCOUYTPUYL
      SRZUOVUHSRZTRZUKZHUYAUNZVVDVGVVFVVJHUYAVVFUXKUYAOZUFZUXCVHOZUXCUXDUKZVVEU
      YHVHOZUYJVHOZVVJVVMUXCVVMUYFUXCVIOZVURUYFVVEVVLUYFUYPVUDUWQUXHVJZVKUYFVVR
      UOUXCUGUHUXCVLVMZVQZVNVVMVVOUXEUXDUXCUGUHZVVFUXEVVLVVEVUQUXEUXGVOVDVVFVWB
      VVLVVFUXDUXFUXCUGVVEVUQUXEUXGVPVVEVURVRVSVDVVMUXCUXDVWAVVMUYPUXDVIOZVURUY
      PVVEVVLUYFUYPVUDUWQUXHVTZVKUYPVWCUOUXDUGUHUXDVLVMZVQWAWGVVEVURVVLWBVVFVVL
      UWNVVPVURUWNVVEVVLVUQUWNUXHUWLUWNUWOUWPVUMWCZVDVKKUXKJWDZWEVVFVVLUWOVVQVU
      RUWOVVEVVLVUQUWOUXHUWLUWNUWOUWPVUMWFZVDVKGUXKJWDZWEVVNVVOVVEUFZVVPVVQUFZU
      DUYLVVGUOUYLSRZTRZUKZVVJVVNVWKVWNVWJVVNVWKUFZVWMUYLUOTRUYLVWOVVGUYLVWLUOT
      VWOUYLVWOUYIUYKVWOUYGUYHVWOPVHOZVVNUYGVHOZWHVVNVWKVRPUXCWIZWJVVNVVPVVQWKW
      LVVNVVQUYKVHOVVPUXCUYJWMWNWOZWPVWOUYLVWSWQWRVWOUYLVWSWSWTXAVWJVVNVWNVVJYP
      VWKVVOVVEUYLUYTVWMVVIVVOUYIUYRUYKUYSTVVOUYGUYQUYHSUXCUXDPQXBXCUXCUXDUYJSX
      DWRVVEVWLVVHVVGTVVEUYLVUHUOSVVEUYIVUFUYKVUGTVVEUYGVUEUYHSUXCUXFPQXBXCUXCU
      XFUYJSXDWRXEXEXFXGXHXIXJVVCVVKBUOUYCUXMUOUKZVVBVVJHUYAVWTVVAVVIUYTVWTVUSV
      VGVUTVVHTVWTUXNPUYLSVWTUXNPUOQRPUXMUOPQXBXKUUFXCUXMUOVUHSXDWRXLXMXNWJVAUX
      CUXFUEZVURVVDVXAVURUFZUXDUXCQRZUXFUXCQRZXQRZUYCOZUYTPVXEQRZUYLSRZVXEVUHSR
      ZTRZUKZHUYAUNZVVDVXBVXFVXCVXDUGUHZVXBUXDUXFUXCVXBUYPVWCVURUYPVXAVWDXOVWEV
      QZVXBVUDUXFVIOZVURVUDVXAUYFUYPVUDUWQUXHUUAZXOVUDVXOUOUXFUGUHUXFVLVMZVQZVX
      BUYFVVRVURUYFVXAVVSXOVVTVQZVXAVUQUXEUXGVPZUUBVXBVXCVIOUOVXCUGUHZVXDVIOUOV
      XDXPUHZVXFVXMYPVXBUXDUXCVXNVXSXRVXBVYAUXEVXAVUQUXEUXGVOZVXBUXDUXCVXNVXSUU
      CXSVXBUXFUXCVXRVXSXRVXBUXCUXFXPUHVYBVXBUXCUXFVXSVXRVXBUXCUXDUXFVXSVXNVXRV
      YCVXTUUGVXBUXCUXFVXAVURVRXTUUDVXBUXCUXFVXSVXRUUEXHVXCVXDUVEUUHXSVXBVXKHUY
      AVXBVVLUFZVVNVXAUXDVHOZUXFVHOZVVPVVQVXKVYDUYFVVNVURUYFVXAVVLVVSVKUYFUXCVV
      TVNVQVXAVURVVLWBVYDUYPVYEVURUYPVXAVVLVWDVKUYPUXDVWEVNVQVYDVUDVYFVURVUDVXA
      VVLVXPVKVUDUXFVXQVNVQVXBUWNVVLVVPVUQUWNVXAUXHVWFYAVWGYBVXBUWOVVLVVQVUQUWO
      VXAUXHVWHYAVWIYBVVNVXAUFZVYEVYFUFZVWKUDZUYTVXGUYGSRZVXEVUESRZTRZUYHSRZVXG
      UXCSRZVXEUXFSRZTRZUYJSRZTRZVXJVYIUYRVYMUYSVYQTVYIUYQVYLUYHSVYIUXFUXDQRZUY
      GSRZVXCVUESRZTRZVXDXQRZVYTVXDXQRZWUAVXDXQRZTRUYQVYLVYIVYTWUAVXDVYIVYSUYGV
      YIUXFUXDVYGVYEVYFVWKUUIZVYGVYEVYFVWKUUJZYCZVYIVWPVVNVWQWHVVNVXAVYHVWKUUKZ
      VWRWJZWLZVYIVXCVUEVYIUXDUXCWUGWUIYCZVYIVWPVYFVUEVHOWHWUFPUXFWIWJZWLZVYIUX
      FUXCWUFWUIYCZVYIUXFUXCWUFWUIVYIUXCUXFVVNVXAVYHVWKUULXTUUMZYDVYIWUCUYQUKVX
      DUYQSRZWUBUKVYIVXDPSRZVXDUXDSRZQRZVXDUXDUXFSRZUXDUXCSRZQRZQRZWUQWUBVYIWUR
      VXDWUSWVCQVYIVXDWUOYEVYIWUSUXDVXDSRWVCVYIVXDUXDWUOWUGYFVYIUXDUXFUXCWUGWUF
      WUIUUNYGZWRVYIVXDVHOZVYEWUQWUTUKZWUOWUGWVFVWPVYEWVGWHVXDPUXDYHYIYJVYIWUBV
      YSUXCUXFSRZWVBQRZQRZVXCWVAWVHQRZQRZTRVYSVXCTRZWVIWVKTRZQRWVDVYIVYTWVJWUAW
      VLTVYIVYTVYSPSRZVYSUXCSRZQRZWVJVYIVYSVHOZVVNVYTWVQUKZWUHWUIWVRVWPVVNWVSWH
      VYSPUXCYHYIYJVYIWVOVYSWVPWVIQVYIVYSWUHYEVYIWVPUXFUXCSRZWVBQRWVIVYIUXFUXDU
      XCWUFWUGWUIYKVYIWVTWVHWVBQVYIUXFUXCWUFWUIYFXCYGZWRYGVYIWUAVXCPSRZVXCUXFSR
      ZQRZWVLVYIVXCVHOZVYFWUAWWDUKZWULWUFWWEVWPVYFWWFWHVXCPUXFYHYIYJVYIWWBVXCWW
      CWVKQVYIVXCWULYEVYIUXDUXCUXFWUGWUIWUFYKZWRYGWRVYIVYSVXCWVIWVKWUHWULVYIWVH
      WVBVYIUXCUXFWUIWUFWLZVYIUXDUXCWUGWUIWLZYCVYIWVAWVHVYHVYGWVAVHOVWKUXDUXFWM
      XGZWWHYCUUOVYIWVMVXDWVNWVCQVYIUXFUXDUXCWUFWUGWUIUUPVYIWVHWVBWVAWWHWWIWWJU
      UQZWRUURUUSVYIWUBVXDUYQVYIVYTWUAWUKWUNWOWUOVYIVWPVYEUYQVHOWHWUGPUXDWIWJWU
      PYLXSVYIWUDVYJWUEVYKTVYIWUDVYSVXDXQRZUYGSRVYJVYIVYSUYGVXDWUHWUJWUOWUPYMVY
      IWWLVXGUYGSVYIVXDVXCQRZVXDXQRVXDVXDXQRZVXEQRWWLVXGVYIVXDVXCVXDWUOWULWUOWU
      PUUTVYIWWMVYSVXDXQVYIUXFUXDUXCWUFWUGWUIUVAXCVYIWWNPVXEQVYIVXDWUOWUPUVBXCY
      NZXCYGVYIVXCVUEVXDWULWUMWUOWUPYMWRYNXCVYIUXDVYPUYJSVYIWVPWWCTRZVXDXQRZWVP
      VXDXQRZWWCVXDXQRZTRUXDVYPVYIWVPWWCVXDVYIVYSUXCWUHWUIWLZVYIVXCUXFWULWUFWLZ
      WUOWUPYDVYIWWQUXDUKWUSWWPUKVYIWVNWVCWWPWUSWWKVYIWVPWVIWWCWVKTWWAWWGWRWVEY
      QVYIWWPVXDUXDVYIWVPWWCWWTWXAWOWUOWUGWUPYLXSVYIWWRVYNWWSVYOTVYIWWRWWLUXCSR
      VYNVYIVYSUXCVXDWUHWUIWUOWUPYMVYIWWLVXGUXCSWWOXCYGVYIVXCUXFVXDWULWUFWUOWUP
      YMWRYNXCWRVYIVXGUYISRZVXEVUFSRZTRZVXGUYKSRZVXEVUGSRZTRZTRWXBWXETRZWXCWXFT
      RZTRVYRVXJVYIWXBWXCWXEWXFVYIVXGUYIVYIVWPVXEVHOVXGVHOWHVYIVXCVXDWULWUOWUPU
      VCZPVXEWIWJZVYIUYGUYHWUJVYGVYHVVPVVQUVDZWLZWLVYIVXEVUFWXJVYIVUEUYHWUMWXLW
      LZWLVYIVXGUYKWXKVYIUXCUYJWUIVYGVYHVVPVVQUVFZWLZWLVYIVXEVUGWXJVYIUXFUYJWUF
      WXOWLZWLUVGVYIVYMWXDVYQWXGTVYIVYJUYHVYKWXDVYIVXGUYGWXKWUJWLWXLVYIVXEVUEWX
      JWUMWLVYIVYJUYHSRWXBVYKUYHSRWXCTVYIVXGUYGUYHWXKWUJWXLYRVYIVXEVUEUYHWXJWUM
      WXLYRWRYOVYIVYNUYJVYOWXGVYIVXGUXCWXKWUIWLWXOVYIVXEUXFWXJWUFWLVYIVYNUYJSRW
      XEVYOUYJSRWXFTVYIVXGUXCUYJWXKWUIWXOYRVYIVXEUXFUYJWXJWUFWXOYRWRYOWRVYIVXHW
      XHVXIWXITVYIVXGUYIUYKWXKWXMWXPYSVYIVXEVUFVUGWXJWXNWXQYSWRYQUVHUVIXJVVCVXL
      BVXEUYCUXMVXEUKZVVBVXKHUYAWXRVVAVXJUYTWXRVUSVXHVUTVXITWXRUXNVXGUYLSUXMVXE
      PQXBXCUXMVXEVUHSXDWRXLXMXNYJVAUVJVUNUYMVUAVUIUDZHUYAUNZVVDUYDUYMVUAVUIHUY
      AUVNWXTUYDVVDWXTUYBVVCBUYCWXTUXTVVBYPZHUYAUNUYBVVCYPWXSWYAHUYAWXSUXLUYTUX
      SVVAUYMVUAVUIUVKUYMVUIUXSVVAUKVUAUYMVUIUXPVUSUXRVUTTUXOUYLUXNSXBUXQVUHUXM
      SXBUVLXAUVMUVOUXTVVBHUYAUVPVQUVQUVRUVSVQUWDUVTUWAUWBUWCUXBUXIUYDYPZUXHUWQ
      UWLEUWMOZDUWMOZFUWMOZUDZWYBUXAUWLUWNUWOUWPUWEUWSUWRUWTWYFUWSWYCUWRWYDUWTW
      YECUWMEGKLULZUIUJUHWYGKGUIUJUHUWFLUWMCMUWGZYTCUWMDWYHYTCUWMFWYHYTUWHUWIWY
      FWYBUWLBEDFHJUWJXOUWKVDXSVA $.
  $}

  ${
    $d A m n p x $.  $d B m n p x y $.  $d t D x $.  $d i F $.  $d m F $.
    $d t F $.  $d i p t x $.  $d m n x y $.  $d i N $.  $d m N n p $.
    $d t N $.  $d x n N y $.  $d t p x $.  $d y p $.  $d x t $.  $d U i $.
    $d U m n p $.  $d t U x $.  $d y U x $.  $d i Z $.  $d m Z n p $.
    $d t Z x $.  $d y Z $.  $d F p m $.  $d n p $.  $d A a b $.  $d B a b $.
    $d F a b $.  $d D a b $.  $d i a b $.  $d x a b $.  $d y a b $.
    $d m a b $.  $d n a b $.  $d t a b $.  $d N a b $.  $d U a b $.
    $d Z a b $.
    axcontlem9.1 $e |- D = { p e. ( EE ` N ) |
       ( U Btwn <. Z , p >. \/ p Btwn <. Z , U >. ) } $.
    axcontlem9.2 $e |- F = { <. x , t >. |
        ( x e. D /\ ( t e. ( 0 [,) +oo ) /\
           A. i e. ( 1 ... N )
            ( x ` i ) = ( ( ( 1 - t ) x. ( Z ` i ) ) +
                          ( t x. ( U ` i ) ) ) ) ) } $.
    $( Lemma for ~ axcont .  Given the separation assumption, all values of
       ` F ` over ` A ` are less than or equal to all values of ` F ` over
       ` B ` .  (Contributed by Scott Fenton, 20-Jun-2013.) $)
    axcontlem9 $p |- ( ( ( N e. NN /\ ( A C_ ( EE ` N ) /\ B C_ ( EE ` N ) /\
                      A. x e. A A. y e. B x Btwn <. Z , y >. ) ) /\
        ( ( Z e. ( EE ` N ) /\ U e. A /\ B =/= (/) )
          /\ Z =/= U ) ) -> A. n e. ( F " A ) A. m e. ( F " B ) n <_ m ) $=
      ( va vb wcel wa cn cee cfv wss cv cop cbtwn wbr wral w3a c0 wne cima wceq
      cle wrex cc0 cpnf cico co wf1o wfun simpll simprl1 simplr1 simprl2 sseldd
      wi simprr axcontlem2 syl31anc f1ofun fvelima ex 3syl reeanv simplr3 breq1
      opeq2 breq2d rspc2v mpan9 wb simplll adantr 3jca simplrr axcontlem4 sseld
      simpl axcontlem3 syl13anc anim12d imp axcontlem7 syl21anc mpbid syl5ibcom
      breq12 rexlimdvva syl5bir syl2and ralrimivv ) LUASZDLUBUCZUDZEXEUDZAUEZMB
      UEZUFZUGUHZBEUIADUIZUJZTZMXESZGDSZEUKULZUJZMGULZTZTZJUEZIUEZUOUHZJIKDUMZK
      EUMZYAYBYESZQUEZKUCZYBUNZQDUPZYCYFSZRUEZKUCZYCUNZREUPZYDYAFUQURUSUTZKVAZK
      VBZYGYKVHYAXDXOGXESZXSYRXDXMXTVCXOXPXQXSXNVDZYADXEGXFXGXLXDXTVEXOXPXQXSXN
      VFZVGZXNXRXSVIZACFGHKLMNOPVJVKZFYQKVLZYSYGYKQYBDKVMVNVOYAYRYSYLYPVHUUEUUF
      YSYLYPRYCEKVMVNVOYKYPTYJYOTZREUPQDUPYAYDYJYOQRDEVPYAUUGYDQRDEYAYHDSZYMESZ
      TZTZYIYNUOUHZUUGYDUUKYHMYMUFZUGUHZUULYAXLUUJUUNXFXGXLXDXTVQXKUUNYHXJUGUHA
      BYHYMDEXHYHXJUGVRXIYMUNXJUUMYHUGXIYMMVSVTWAWBUUKXDXOYTUJXSYHFSZYMFSZTZUUN
      UULWCUUKXDXOYTXDXMXTUUJWDYAXOUUJUUAWEYAYTUUJUUCWEWFXNXRXSUUJWGYAUUJUUQYAU
      UHUUOUUIUUPYADFYHABDEFGLMNOWHWIYAEFYMYAXNXOXPXSEFUDXNXTWJUUAUUBUUDABDEFGL
      MNOWKWLWIWMWNACFYHYMGHKLMNOPWOWPWQYIYBYNYCUOWSWRWTXAXBXC $.
  $}

  ${
    $d A b p x $.  $d B b p x y $.  $d D p t x $.  $d F b $.  $d i F p t x $.
    $d y F $.  $d i p t x $.  $d N b $.  $d i N p t x $.  $d y N $.
    $d t p x $.  $d y p $.  $d x t $.  $d U b $.  $d U i p t x $.  $d y U x $.
    $d Z b $.  $d i Z p t x $.  $d y Z $.  $d p b $.  $d A k m n q r $.
    $d b k m n q r $.  $d B k m n q r $.  $d F k m n q r $.  $d i k m n q r $.
    $d p k m n q r $.  $d N k m n q r $.  $d p k m n q r $.  $d t k m n q r $.
    $d U k m n q r $.  $d x k m n q r $.  $d y k m n q r $.  $d Z k m n q r $.
    axcontlem10.1 $e |- D = { p e. ( EE ` N ) |
       ( U Btwn <. Z , p >. \/ p Btwn <. Z , U >. ) } $.
    axcontlem10.2 $e |- F = { <. x , t >. |
        ( x e. D /\ ( t e. ( 0 [,) +oo ) /\
           A. i e. ( 1 ... N )
            ( x ` i ) = ( ( ( 1 - t ) x. ( Z ` i ) ) +
                          ( t x. ( U ` i ) ) ) ) ) } $.
    $( Lemma for ~ axcont .  Given a handful of assumptions, derive the
       conclusion of the final theorem.  (Contributed by Scott Fenton,
       20-Jun-2013.) $)
    axcontlem10 $p |-
      ( ( ( N e. NN /\ ( A C_ ( EE ` N ) /\ B C_ ( EE ` N ) /\
                      A. x e. A A. y e. B x Btwn <. Z , y >. ) ) /\
       ( ( Z e. ( EE ` N ) /\ U e. A /\ B =/= (/) ) /\
         Z =/= U ) ) ->
         E. b e. ( EE ` N ) A. x e. A A. y e. B b Btwn <. x , y >. ) $=
      ( wcel wbr wral wa cle vm vk vn vq vr cn cee cfv wss cv cop cbtwn w3a wne
      c0 cima cr wrex cc0 cpnf cico co crn imassrn wf1o wfo wceq simpll simprl1
      simplr1 simprl2 sseldd simprr axcontlem2 syl31anc f1ofo sseqtrid rge0ssre
      forn 3syl sstrdi axcontlem9 dedekindle syl3anc simpr wex simprl3 ad2antrr
      wi n0 sylib 0red wf syl axcontlem4 ffvelrnd sselid simprl elrege0 simprbi
      f1of wf1 f1of1 f1elima mpbird adantr simpl1 simpl2 3jca axcontlem3 sylan2
      wb sselda adantrl jca breq1 anbi1d breq2 anbi2d rspc2va sylan an32s letrd
      simpld expr exlimdv mpd sylanbrc ex ccnv ssrab3 f1ocnvdm syl2an funfvima2
      wo sseqtrrd syl2anc sylc breq2d weq adantrr simplr cdm f1ofun fdm anim12d
      imp simprll rspc2v f1ocnvfv2 breq1d anbi12d axcontlem8 anassrs ralrimivva
      wfun opeq1 opeq2 cbvral2vw 2ralbidv rspcev syld com23 rexlimdv ) JUFPZDJU
      GUHZUIZEUVFUIZAUJZKBUJZUKULQBERADRZUMZSZKUVFPZGDPZEUOUNZUMZKGUNZSZSZUAUJZ
      UBUJZTQZUWBUCUJZTQZSZUCIEUPZRUAIDUPZRZUBUQURZMUJZUVIUVJUKZULQZBERADRZMUVF
      URZUVTUWHUQUIUWGUQUIUWAUWDTQUCUWGRUAUWHRUWJUVTUWHUSUTVAVBZUQUVTIVCZUWHUWP
      IDVDUVTFUWPIVEZFUWPIVFUWQUWPVGUVTUVEUVNGUVFPZUVRUWRUVEUVLUVSVHZUVNUVOUVPU
      VRUVMVIZUVTDUVFGUVGUVHUVKUVEUVSVJUVNUVOUVPUVRUVMVKZVLZUVMUVQUVRVMZACFGHIJ
      KLNOVNVOZFUWPIVPFUWPIVSVTZVQVRWAUVTUWGUWPUQUVTUWQUWGUWPIEVDUXFVQVRWAABCDE
      FGHUCUAIJKLNOWBUAUCUBUWHUWGWCWDUVTUWIUWOUBUQUVTUWIUWBUQPZUWOUVTUWIUXGUWOW
      IUVTUWISZUXGUWBUWPPZUWOUXHUXGUXIUXHUXGSZUXGUSUWBTQZUXIUXHUXGWEUXJUWKEPZMW
      FZUXKUXJUVPUXMUVTUVPUWIUXGUVNUVOUVPUVRUVMWGWHMEWJWKUXJUXLUXKMUXHUXGUXLUXK
      UXHUXGUXLSZSZUSGIUHZUWBUXOWLUVTUXPUQPZUWIUXNUVTUWPUQUXPVRUVTFUWPGIUVTUWRF
      UWPIWMZUXEFUWPIXAZWNUVTDFGABDEFGJKLNWOZUXBVLZWPZWQWHUXHUXGUXLWRUVTUSUXPTQ
      ZUWIUXNUVTUXPUWPPZUYCUYBUYDUXQUYCUXPWSWTWNWHUXOUXPUWBTQZUWBUWKIUHZTQZUVTU
      XNUWIUYEUYGSZUVTUXNSZUXPUWHPZUYFUWGPZSUWIUYHUYIUYJUYKUVTUYJUXNUVTUYJUVOUX
      BUVTFUWPIXBZGFPDFUIUYJUVOXLUVTUWRUYLUXEFUWPIXCWNZUYAUXTFUWPIGDXDWDXEXFUVT
      UXLUYKUXGUVTUXLSZUYKUXLUVTUXLWEUYNUYLUWKFPEFUIZUYKUXLXLUVTUYLUXLUYMXFUVTE
      FUWKUVSUVMUVNUVOUVRUMUYOUVSUVNUVOUVRUVNUVOUVPUVRXGUVNUVOUVPUVRXHUVQUVRWEX
      IABDEFGJKLNXJXKZXMUVTUYOUXLUYPXFFUWPIUWKEXDWDXEXNXOUWFUYHUYEUWESUAUCUXPUY
      FUWHUWGUWAUXPVGUWCUYEUWEUWAUXPUWBTXPXQUWDUYFVGUWEUYGUYEUWDUYFUWBTXRXSXTYA
      YBYDYCYEYFYGUWBWSYHYIUVTUWIUXIUWOUVTUWIUXISZSZUWBIYJUHZUVFPUYSUWLULQZBERA
      DRZUWOUYRFUVFUYSGKLUJZUKULQVUBKGUKULQYOLUVFFNYKUVTUWRUXIUYSFPZUYQUXEUWIUX
      IWEFUWPUWBIYLZYMWQUYRUYSUDUJZUEUJZUKZULQZUEERUDDRVUAUYRVUHUDUEDEUVTUYQVUE
      DPZVUFEPZSZVUHUVTUYQVUKSZSZUVEUVNUWSUMZUVRSZVUEFPZVUCVUFFPZUMZSVUEIUHZUYS
      IUHZTQZVUTVUFIUHZTQZSZVUHVUMVUOVURUVTVUOVULUVTVUNUVRUVTUVEUVNUWSUWTUXAUXC
      XIUXDXOXFVUMVUPVUCVUQUVTVUKVUPUYQUVTVUIVUPVUJUVTDFVUEUXTXMUUAXNUVTUWRUXIV
      UCVULUXEUWIUXIVUKUUBZVUDYMUVTVUKVUQUYQUVTVUJVUQVUIUVTEFVUFUYPXMXNXNXIXOVU
      MVVDVUSUWBTQZUWBVVBTQZSZVUMVUSUWHPZVVBUWGPZSZUWIVVHUVTVUKVVKUYQUVTVUKVVKU
      VTVUIVVIVUJVVJUVTIUUPZDIUUCZUIVUIVVIWIUVTUWRVVLUXEFUWPIUUDWNZUVTDFVVMUXTU
      VTUWRUXRVVMFVGUXEUXSFUWPIUUEVTZYPDVUEIYNYQUVTVVLEVVMUIVUJVVJWIVVNUVTEFVVM
      UYPVVOYPEVUFIYNYQUUFUUGXNUVTUWIUXIVUKUUHUWFVVHVVFUWESUAUCVUSVVBUWHUWGUWAV
      USVGUWCVVFUWEUWAVUSUWBTXPXQUWDVVBVGUWEVVGVVFUWDVVBUWBTXRXSUUIYRVUMVVAVVFV
      VCVVGVUMVUTUWBVUSTUVTUWRUXIVUTUWBVGVULUXEVVEFUWPUWBIUUJYMZYSVUMVUTUWBVVBT
      VVPUUKUULXEACFVUEUYSVUFGHIJKLNOUUMYRUUNUUOVUHUYTUYSUVIVUFUKZULQUDUEABDEUD
      AYTVUGVVQUYSULVUEUVIVUFUUQYSUEBYTVVQUWLUYSULVUFUVJUVIUURYSUUSWKUWNVUAMUYS
      UVFUWKUYSVGUWMUYTABDEUWKUYSUWLULXPUUTUVAYQYEUVBYIUVCUVDYG $.
  $}

  ${
    $d A b x i j p q r t z $.  $d B b x y i j p q r t z $.
    $d N b x y i j p q r t z $.  $d U b x y i j p q r t z $.
    $d Z b x y i j p q r t z $.

    $( Lemma for ~ axcont .  Eliminate the hypotheses from ~ axcontlem10 .
       (Contributed by Scott Fenton, 20-Jun-2013.) $)
    axcontlem11 $p |-
      ( ( ( N e. NN /\ ( A C_ ( EE ` N ) /\ B C_ ( EE ` N ) /\
                      A. x e. A A. y e. B x Btwn <. Z , y >. ) ) /\
       ( ( Z e. ( EE ` N ) /\ U e. A /\ B =/= (/) ) /\
         Z =/= U ) ) ->
         E. b e. ( EE ` N ) A. x e. A A. y e. B b Btwn <. x , y >. ) $=
      ( vt vq vz vr vj vp cv cop cbtwn wbr cfv co vi wo cee crab wcel cpnf cico
      cc0 c1 cmin cmul caddc wceq cfz wral wa copab opeq2 breq1 orbi12d cbvrabv
      breq2d eqid axcontlem1 axcontlem10 ) ABICDEGJOZPZQRZVFGEPZQRZUBZJFUCSZUDZ
      EUAKOZVMUELOZUHUFUGTUEMOZVNSUIVOUJTVPGSUKTVOVPESUKTULTUMMUIFUNTUOUPUPKLUQ
      ZFGNHVKEGNOZPZQRZVRVIQRZUBJNVLVFVRUMZVHVTVJWAWBVGVSEQVFVRGURVBVFVRVIQUSUT
      VAKALVMEMUAVQFGIVQVCVDVE $.
  $}

  ${
    $d A b x u $.  $d B b x y u $.  $d N b x y u $.  $d Z b x y u $.

    $( Lemma for ~ axcont .  Eliminate the trivial cases from the previous
       lemmas.  (Contributed by Scott Fenton, 20-Jun-2013.) $)
    axcontlem12 $p |-
      ( ( ( N e. NN /\ ( A C_ ( EE ` N ) /\ B C_ ( EE ` N ) /\
                      A. x e. A A. y e. B x Btwn <. Z , y >. ) ) /\
       Z e. ( EE ` N ) ) ->
         E. b e. ( EE ` N ) A. x e. A A. y e. B b Btwn <. x , y >. ) $=
      ( vu cv wne wrex wcel wss cbtwn wbr wral wa wi c0 wceq cn cee cfv cop w3a
      rzal ralrimivw 2ralbidv rspcev expcom syl adantld simprrl simprrr simprll
      breq1 simpl 3jca simprlr axcontlem11 syl12anc pm2.61ine rexlimiva con2bii
      ex wn df-ne ralbii ralnex bitri simpr3 eqeq2 rspccva opeq1 breq2d ralbidv
      wb bitr4d ralbidva biimpa sylan2 ancoms expl sylbir pm2.61i ) FHIZJZHCKZE
      UALZCEUBUCZMZDWJMZAIZFBIZUDZNOZBDPZACPZUEQZFWJLZQZGIZWMWNUDZNOZBDPACPZGWJ
      KZRZWGXGHCWFCLZWGQZXAXFXIXAQZXFRDSDSTZXAXFXIXKWTXFWSXKFXCNOZBDPZACPZWTXFR
      XKXMACXLBDUFUGWTXNXFXEXNGFWJXBFTXDXLABCDXBFXCNUPUHUIZUJUKULULDSJZXJXFXPXJ
      QZWSWTXHXPUEWGXFXPXIWSWTUMXQWTXHXPXPXIWSWTUNXPXHWGXAUOXPXJUQURXPXHWGXAUSA
      BCDWFEFGUTVAVEVBVEVCWHVFZFWFTZHCPZXGXTWGVFZHCPXRXSYAHCWGXSFWFVGVDVHWGHCVI
      VJXTWSWTXFWTXTWSQZXFYBWTXNXFWSXTWRXNWIWKWLWRVKXTWRXNXTWQXMACXTWMCLQFWMTZW
      QXMVQXSYCHWMCWFWMFVLVMYCWPXLBDYCWPWMXCNOXLYCWOXCWMNFWMWNVNVOFWMXCNUPVRVPU
      KVSVTWAXOWAWBWCWDWE $.
  $}

  ${
    $d A a b x y $.  $d B a b x y $.  $d N a b x y $.
    $( The axiom of continuity.  Take two sets of points ` A ` and ` B ` .  If
       all the points in ` A ` come before the points of ` B ` on a line, then
       there is a point separating the two.  Axiom A11 of [Schwabhauser] p. 13.
       (Contributed by Scott Fenton, 20-Jun-2013.) $)
    axcont $p |-
      ( ( N e. NN /\ ( A C_ ( EE ` N ) /\ B C_ ( EE ` N ) /\
          E. a e. ( EE ` N ) A. x e. A A. y e. B x Btwn <. a , y >. ) )
        ->
        E. b e. ( EE ` N ) A. x e. A A. y e. B b Btwn <. x , y >. ) $=
      ( cn wcel cee wss cv cop cbtwn wbr wral wrex wi wa w3a cfv 3anim3i anim2i
      simpr simpr3l axcontlem12 syl2anc 3exp2 com4r rexlimiva com4l 3imp2 ) EHI
      ZCEJUAZKZDUNKZALZFLZBLZMNOBDPACPZFUNQZGLUQUSMNOBDPACPGUNQZVAUMUOUPVBUTUMU
      OUPVBRRRFUNUMUOUPURUNIZUTSZVBUMUOUPVDVBUMUOUPVDTZSUMUOUPUTTZSVCVBVEVFUMVD
      UTUOUPVCUTUDUBUCVCUTUOUPUMUEABCDEURGUFUGUHUIUJUKUL $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  EE^n fulfills Tarski's Axioms
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c EEG $.

  $( Extends class notation with the Tarski geometry structure for
     ` EE ^ N ` . $)
  ceeng $a class EEG $.

  ${
    $d i n x y z $.
    $( Define the geometry structure for ` EE ^ N ` .  (Contributed by Thierry
       Arnoux, 24-Aug-2017.) $)
    df-eeng $a |- EEG = ( n e. NN |-> ( {
        <. ( Base ` ndx ) , ( EE ` n ) >. ,
        <. ( dist ` ndx ) , ( x e. ( EE ` n ) , y e. ( EE ` n ) |->
            sum_ i e. ( 1 ... n ) ( ( ( x ` i ) - ( y ` i ) ) ^ 2 ) ) >. } u. {
        <. ( Itv ` ndx ) , ( x e. ( EE ` n ) , y e. ( EE ` n ) |->
                           { z e. ( EE ` n ) | z Btwn <. x , y >. } ) >. ,
        <. ( LineG ` ndx ) , ( x e. ( EE ` n ) , y e. ( ( EE ` n ) \ { x } )
                       |-> { z e. ( EE ` n ) |
             ( z Btwn <. x , y >. \/ x Btwn <. z , y >. \/ y Btwn <. x , z >. )
             } ) >. } )
        ) $.
  $}

  ${
    $d i n x y z N $.
    $( The value of the Euclidean geometry for dimension ` N ` .  (Contributed
       by Thierry Arnoux, 15-Mar-2019.) $)
    eengv $p |- ( N e. NN -> ( EEG ` N ) =
      ( { <. ( Base ` ndx ) , ( EE ` N ) >.
      , <. ( dist ` ndx ) , ( x e. ( EE ` N ) , y e. ( EE ` N ) |->
            sum_ i e. ( 1 ... N ) ( ( ( x ` i ) - ( y ` i ) ) ^ 2 ) ) >. } u. {
        <. ( Itv ` ndx ) , ( x e. ( EE ` N ) , y e. ( EE ` N ) |->
                           { z e. ( EE ` N ) | z Btwn <. x , y >. } ) >. ,
        <. ( LineG ` ndx ) , ( x e. ( EE ` N ) , y e. ( ( EE ` N ) \ { x } )
                       |-> { z e. ( EE ` N ) |
             ( z Btwn <. x , y >. \/ x Btwn <. z , y >. \/ y Btwn <. x , z >. )
             } ) >. } ) ) $=
      ( vn cnx cfv cv cee cop c1 cfz co cmpo cpr cbtwn crab opeq2d wa cmin cexp
      cbs cds c2 csu citv wbr clng csn cdif w3o cn ceeng wceq fveq2 wcel adantr
      cun simpl oveq2d sumeq1d mpoeq123dva preq12d rabeqdv difeq1d uneq12d prex
      df-eeng unex fvmpt ) FEGUCHZFIZJHZKZGUDHZABVNVNLVMMNZDIZAIZHVRBIZHUANUEUB
      NZDUFZOZKZPZGUGHZABVNVNCIZVSVTKQUHZCVNRZOZKZGUIHZABVNVNVSUJZUKZWHVSWGVTKQ
      UHVTVSWGKQUHULZCVNRZOZKZPZUSVLEJHZKZVPABWTWTLEMNZWADUFZOZKZPZWFABWTWTWHCW
      TRZOZKZWLABWTWTWMUKZWOCWTRZOZKZPZUSUMUNVMEUOZWEXFWSXNXOVOXAWDXEXOVNWTVLVM
      EJUPZSXOWCXDVPXOABVNVNWBWTWTXCXPXOVNWTUOZVSVNUQZXPURZXOXRVTVNUQTZTZVQXBWA
      DYAVMELMXOXTUTVAVBVCSVDXOWKXIWRXMXOWJXHWFXOABVNVNWIWTWTXGXPXSYAWHCVNWTXOX
      QXTXPURVEVCSXOWQXLWLXOABVNWNWPWTXJXKXPXOXRTVNWTWMXSVFXOWPXKUOXRVTWNUQTXOW
      OCVNWTXPVEURVCSVDVGABCDFVIXFXNXAXEVHXIXMVHVJVK $.

    $( The Euclidean geometry as a structure.  (Contributed by Thierry Arnoux,
       15-Mar-2019.) $)
    eengstr $p |- ( N e. NN -> ( EEG ` N ) Struct <. 1 , ; 1 7 >. ) $=
      ( vx vy vi vz cfv cnx cop c1 co cv c2 cmpo cbtwn wbr c7 cdc 1nn0 decnncl
      c6 cn wcel ceeng cbs cee cds cfz cmin cexp csu cpr citv crab clng csn w3o
      cdif cun cstr eengv 1nn basendx 2nn0 1lt10 declti 2nn dsndx strle2 itvndx
      6nn 6nn0 7nn 6lt7 declt lngndx 2lt6 strleun eqbrtrdi ) AUAUBAUCFGUDFZAUEF
      ZHGUFFZBCVTVTIAUGJDKZBKZFWBCKZFUHJLUIJDUJMZHUKZGULFZBCVTVTEKZWCWDHNOZEVTU
      MMZHGUNFZBCVTVTWCUOUQWIWCWHWDHNOWDWCWHHNOUPEVTUMMZHUKZURIIPQZHUSBCEDAUTII
      LQZITQZWNWFWMVSWAIWOVTWEVAVBILIVAVCRVDVEILRVFSVGVHWGWKWPWNWJWLITRVJSVIITP
      RVKVLVMVNIPRVLSVOVHILTRVCVJVPVNVQVR $.

    $( The Base of the Euclidean geometry.  (Contributed by Thierry Arnoux,
       15-Mar-2019.) $)
    eengbas $p |- ( N e. NN -> ( EE ` N ) = ( Base ` ( EEG ` N ) ) ) $=
      ( vx vy vi vz cn wcel ceeng cfv cee c1 cop cnx co cmpo cpr cbtwn wbr crab
      cv cdc cvv eengstr fvexd cbs cds cfz cmin cexp csu citv clng csn cdif w3o
      c7 c2 cun opex prid1 elun1 ax-mp eengv eleqtrrid opelstrbas ) AFGZAHIZAJI
      ZKKUPUALUBAUCVFAJUDVFMUEIZVHLZVJMUFIBCVHVHKAUGNDTZBTZIVKCTZIUHNUQUINDUJOL
      ZPZMUKIBCVHVHETZVLVMLQRZEVHSOLMULIBCVHVHVLUMUNVQVLVPVMLQRVMVLVPLQRUOEVHSO
      LPZURZVGVJVOGVJVSGVJVNVIVHUSUTVJVOVRVAVBBCEDAVCVDVE $.
  $}

  ${
    $d i x y z N $.  $d x y z X $.  $d x y z Y $.  $d z Z $.  $d x y z ph $.
    ebtwntg.1 $e |- ( ph -> N e. NN ) $.
    ebtwntg.2 $e |- P = ( Base ` ( EEG ` N ) ) $.
    ebtwntg.3 $e |- I = ( Itv ` ( EEG ` N ) ) $.
    ebtwntg.x $e |- ( ph -> X e. P ) $.
    ebtwntg.y $e |- ( ph -> Y e. P ) $.
    ebtwntg.z $e |- ( ph -> Z e. P ) $.
    $( The betweenness relation used in the Tarski structure for the Euclidean
       geometry is the same as ` Btwn ` .  (Contributed by Thierry Arnoux,
       15-Mar-2019.) $)
    ebtwntg $p |- ( ph -> ( Z Btwn <. X , Y >. <-> Z e. ( X I Y ) ) ) $=
      ( vz vx vy wcel cop cbtwn cfv vi co cv wbr cee crab ceeng citv cmpo itvid
      cvv fvexd ccnv wfun c0 csn cdif c1 c7 cdc cstr cn eengstr syl structn0fun
      wceq structcnvcnv funeqd mpbird cnx cbs cds cfz cmin c2 cexp csu cpr clng
      w3o cun opex prid1 elun2 ax-mp eengv eleqtrrid fvex mpoex strfv2d eqtr4id
      a1i simprl simprr opeq12d breq2d rabbidv eleqtrdi eengbas eleqtrrd ovmpod
      wa rabex eleq2d wb breq1 elrab3 bitr2d ) AGEFCUBZQGNUCZEFRZSUDZNDUETZUFZQ
      ZGXKSUDZAXIXNGAOPEFXMXMXJOUCZPUCZRZSUDZNXMUFZXNCUKACDUGTZUHTOPXMXMYAUIZJA
      YCYBUHUKUKUJADUGULAYBUMUMZUNYBUOUPUQZUNZAYBURURUSUTRZVAUDZYFADVBQZYHHDVCV
      DZYBYGVEVDAYDYEAYHYDYEVFYJYBYGVGVDVHVIAVJUHTZYCRZVJVKTXMRVJVLTOPXMXMURDVM
      UBUAUCZXQTYMXRTVNUBVOVPUBUAVQUIRVRZYLVJVSTOPXMXMXQUPUQXTXQXJXRRSUDXRXQXJR
      SUDVTNXMUFUIRZVRZWAZYBYLYPQYLYQQYLYOYKYCWBWCYLYPYNWDWEAYIYBYQVFHOPNUADWFV
      DWGYCUKQAOPXMXMYADUEWHZYRWIWLWJWKAXQEVFZXRFVFZXBXBZXTXLNXMUUAXSXKXJSUUAXQ
      EXRFAYSYTWMAYSYTWNWOWPWQAEYBVKTZXMAEBUUBKIWRAYIXMUUBVFHDWSVDZWTAFUUBXMAFB
      UUBLIWRUUCWTXNUKQAXLNXMYRXCWLXAXDAGXMQXOXPXEAGUUBXMAGBUUBMIWRUUCWTXLXPNGX
      MXJGXKSXFXGVDXH $.
  $}

  ${
    $d i x y A $.  $d i x y B $.  $d i x y C $.  $d i x y D $.  $d i x y z N $.
    $d i x y ph $.
    ecgrtg.1 $e |- ( ph -> N e. NN ) $.
    ecgrtg.2 $e |- P = ( Base ` ( EEG ` N ) ) $.
    ecgrtg.3 $e |- .- = ( dist ` ( EEG ` N ) ) $.
    ecgrtg.a $e |- ( ph -> A e. P ) $.
    ecgrtg.b $e |- ( ph -> B e. P ) $.
    ecgrtg.c $e |- ( ph -> C e. P ) $.
    ecgrtg.d $e |- ( ph -> D e. P ) $.
    $( The congruence relation used in the Tarski structure for the Euclidean
       geometry is the same as ` Cgr ` .  (Contributed by Thierry Arnoux,
       15-Mar-2019.) $)
    ecgrtg $p |- ( ph
      -> ( <. A , B >. Cgr <. C , D >. <-> ( A .- B ) = ( C .- D ) ) ) $=
      ( vi cop co cfv wcel vx vy vz ccgr wbr c1 cfz cv cmin c2 cexp csu wceq wb
      cee ceeng cbs cn eengbas syl eqtr4di eleqtrrd brcgr syl22anc cvv cds cmpo
      dsid fvexd ccnv wfun c0 csn cdif c7 cstr eengstr structn0fun structcnvcnv
      cdc funeqd mpbird cnx cpr citv cbtwn crab clng w3o opex prid2 elun1 ax-mp
      cun eengv eleqtrrid fvex mpoex a1i strfv2d eqtr4id simplrl fveq1d simplrr
      wa oveq12d oveq1d sumeq2dv sumex ovmpod eqcomd eqeq12d bitrd ) ABCQDEQUDU
      EZUFHUGRZPUHZBSZXPCSZUIRZUJUKRZPULZXOXPDSZXPESZUIRZUJUKRZPULZUMZBCGRZDEGR
      ZUMABHUOSZTCYJTDYJTEYJTXNYGUNABFYJLAYJHUPSZUQSZFAHURTZYJYLUMIHUSUTJVAZVBZ
      ACFYJMYNVBZADFYJNYNVBZAEFYJOYNVBZBCDEPHVCVDAYAYHYFYIAYHYAAUAUBBCYJYJXOXPU
      AUHZSZXPUBUHZSZUIRZUJUKRZPULZYAGVEAGYKVFSUAUBYJYJUUEVGZKAUUFYKVFVEVEVHAHU
      PVIAYKVJVJZVKYKVLVMVNZVKZAYKUFUFVOVTQZVPUEZUUIAYMUUKIHVQUTZYKUUJVRUTAUUGU
      UHAUUKUUGUUHUMUULYKUUJVSUTWAWBAWCVFSZUUFQZWCUQSYJQZUUNWDZWCWESUAUBYJYJUCU
      HZYSUUAQWFUEZUCYJWGVGQWCWHSUAUBYJYJYSVMVNUURYSUUQUUAQWFUEUUAYSUUQQWFUEWIU
      CYJWGVGQWDZWNZYKUUNUUPTUUNUUTTUUOUUNUUMUUFWJWKUUNUUPUUSWLWMAYMYKUUTUMIUAU
      BUCPHWOUTWPUUFVETAUAUBYJYJUUEHUOWQZUVAWRWSWTXAZAYSBUMZUUACUMZXEXEZXOUUDXT
      PUVEXPXOTZXEZUUCXSUJUKUVGYTXQUUBXRUIUVGXPYSBAUVCUVDUVFXBXCUVGXPUUACAUVCUV
      DUVFXDXCXFXGXHYOYPYAVETAXOXTPXIWSXJXKAYIYFAUAUBDEYJYJUUEYFGVEUVBAYSDUMZUU
      AEUMZXEXEZXOUUDYEPUVJUVFXEZUUCYDUJUKUVKYTYBUUBYCUIUVKXPYSDAUVHUVIUVFXBXCU
      VKXPUUAEAUVHUVIUVFXDXCXFXGXHYQYRYFVETAXOYEPXIWSXJXKXLXM $.
  $}

  ${
    $d i x y z N $.  $d z P $.
    elntg.1 $e |- P = ( Base ` ( EEG ` N ) ) $.
    elntg.2 $e |- I = ( Itv ` ( EEG ` N ) ) $.
    $( The line definition in the Tarski structure for the Euclidean geometry.
       (Contributed by Thierry Arnoux, 7-Apr-2019.) $)
    elntg $p |- ( N e. NN -> ( LineG ` ( EEG ` N ) ) =
      ( x e. P , y e. ( P \ { x } ) |-> { z e. P |
        ( z e. ( x I y ) \/ x e. ( z I y ) \/ y e. ( x I z ) ) } ) ) $=
      ( vi wcel cfv cv cdif cop cbtwn wbr cmpo co cvv cnx cn cee csn crab ceeng
      w3o clng lngid fvex a1i ccnv wfun c0 c1 cdc cstr eengstr structn0fun wceq
      c7 syl structcnvcnv funeqd mpbird cbs cds cfz cmin cexp csu cpr citv opex
      c2 prid2 elun2 ax-mp eengv eleqtrrid difexi mpoex strfv2d eengbas eqtr4di
      cun difeq1d adantr simpll simplrl eleqtrd simplrr eldifad simpr 3orbi123d
      wa ebtwntg rabeqbidva mpoeq123dva eqtr3d ) FUAJZABFUBKZXAALZUCZMZCLZXBBLZ
      NOPZXBXEXFNOPZXFXBXENOPZUFZCXAUDZQZFUEKZUGKABDDXCMZXEXBXFERJZXBXEXFERJZXF
      XBXEERJZUFZCDUDZQWTXLXMUGSSUHXMSJWTFUEUIUJWTXMUKUKZULXMUMUCMZULZWTXMUNUNU
      TUONZUPPZYBFUQZXMYCURVAWTXTYAWTYDXTYAUSYEXMYCVBVAVCVDWTTUGKZXLNZTVEKXANTV
      FKABXAXAUNFVGRILZXBKYHXFKVHRVNVIRIVJQNVKZTVLKABXAXAXGCXAUDQNZYGVKZWEZXMYG
      YKJYGYLJYJYGYFXLVMVOYGYKYIVPVQABCIFVRVSXLSJWTABXAXDXKFUBUIZXAXCYMVTWAUJWB
      WTABXAXDXKDXNXSWTXAXMVEKDFWCGWDZWTXDXNUSXBXAJZWTXADXCYNWFWGWTYOXFXDJZWOZW
      OZXJXRCXADWTXADUSZYQYNWGYRXEXAJZWOZXGXOXHXPXIXQUUADEFXBXFXEWTYQYTWHZGHUUA
      XBXADWTYOYPYTWIUUAWTYSUUBYNVAZWJZUUAXFXADUUAXFXAXCWTYOYPYTWKWLUUCWJZUUAXE
      XADYRYTWMUUCWJZWPUUADEFXEXFXBUUBGHUUFUUEUUDWPUUADEFXBXEXFUUBGHUUDUUFUUEWP
      WNWQWRWS $.
  $}

  ${
    $d I i $.  $d N i k l m p x y $.  $d P i p $.
    elntg2.1 $e |- P = ( Base ` ( EEG ` N ) ) $.
    elntg2.2 $e |- I = ( 1 ... N ) $.
    $( The line definition in the Tarski structure for the Euclidean geometry.
       In contrast to ~ elntg , the betweenness can be strengthened by
       excluding ` 1 ` resp. ` 0 ` from the related intervals (because of
       ` x =/= y ` ).  (Contributed by AV, 14-Feb-2023.) $)
    elntg2 $p |- ( N e. NN -> ( LineG ` ( EEG ` N ) ) =
                                   ( x e. P , y e. ( P \ { x } ) |-> { p e. P |
       ( E. k e. ( 0 [,] 1 ) A. i e. I ( p ` i ) = ( ( ( 1 - k ) x. ( x ` i ) )
                                                     + ( k x. ( y ` i ) ) )
      \/ E. l e. ( 0 [,) 1 ) A. i e. I ( x ` i ) = ( ( ( 1 - l ) x. ( p ` i ) )
                                                     + ( l x. ( y ` i ) ) )
      \/ E. m e. ( 0 (,] 1 ) A. i e. I ( y ` i ) = ( ( ( 1 - m ) x. ( x ` i ) )
                                              + ( m x. ( p ` i ) ) ) ) } ) ) $=
      ( wcel co c1 cmul wceq cc0 wrex cr cn ceeng cfv clng cv csn cdif citv w3o
      crab cmpo cmin caddc wral cicc cico cioc eqid elntg w3a wa cop wbr simpl1
      cbtwn simpl2 eldifi 3ad2ant3 adantr simpr ebtwntg cfz cee eengbas eqtr4id
      wb cbs 3ad2ant1 eleq2d biimpa 3adant3 wi biimpcd syl11 a1d brbtwn syl3anc
      3imp raleqi rexbii bitr4di bitr3d cun cxr cle 0xr 1xr 0le1 snunico eqcomi
      mp3an a1i rexeqdv wo rexun wn wne eldifsn weq wfn wf syl6bi sylbid 3imp31
      elee ffn eqcom imp biimpd ffvelrnda recnd mulid2d oveq12d eqeq2d ralbidva
      eqtrd mtbird oveq2 oveq1d oveq1i eqtrdi oveq1 ralbidv ax-mp sylnibr biorf
      rexsng syl5bb syl 3bitrd eqfnfv syl2anc biimprd necon3ad 3exp com24 sylbi
      syl6ibr mul02d mpbidi addid2d 1m1e0 bitr2di snunioc ralbii sylnib addid1d
      1re orcom sylibd 0re 1m0e1 bitr4id 3orbi123d rabbidva mpoeq3dva ) HUAMZHU
      BUCZUDUCABCCAUEZUFZUGZIUEZUVIBUEZUVHUHUCZNMZUVIUVLUVMUVNNMZUVMUVIUVLUVNNM
      ZUIZICUJZUKABCUVKDUEZUVLUCZOEUEZULNUVTUVIUCZPNUWBUVTUVMUCZPNUMNQZDGUNZERO
      UONZSZUWCOJUEZULNZUWAPNZUWIUWDPNZUMNZQZDGUNZJROUPNZSZUWDOFUEZULNZUWCPNZUW
      RUWAPNZUMNZQZDGUNZFROUQNZSZUIZICUJZUKABICUVNHKUVNURZUSUVGABCUVKUVSUXHUVGU
      VICMZUVMUVKMZUTZUVRUXGICUXLUVLCMZVAZUVOUWHUVPUWQUVQUXFUXNUVLUVIUVMVBVEVCZ
      UVOUWHUXNCUVNHUVIUVMUVLUVGUXJUXKUXMVDZKUXIUVGUXJUXKUXMVFZUXLUVMCMZUXMUXKU
      VGUXRUXJUVMCUVJVGZVHVIZUXLUXMVJZVKUXNUXOUWEDOHVLNZUNZEUWGSZUWHUXNUVLHVMUC
      ZMZUVIUYEMZUVMUYEMZUXOUYDVPUXLUXMUYFUXLCUYEUVLUVGUXJCUYEQUXKUVGCUVHVQUCUY
      EKHVNVOZVRVSVTZUXLUYGUXMUVGUXJUYGUXKUVGUXJUYGUVGCUYEUVIUYIVSZVTWAVIZUXLUY
      HUXMUVGUXJUXKUYHUVGUXKUYHWBUXJUXRUVGUYHUXKUVGUXRUYHUVGCUYEUVMUYIVSZWCZUXS
      WDWEWHVIZEUVLUVIUVMDHWFWGUWFUYCEUWGUWEDGUYBLWIWJWKWLUXNUVPUWNDUYBUNZJUWGS
      ZUYPJUWPOUFZWMZSZUWQUXNUVIUVLUVMVBVEVCZUVPUYQUXNCUVNHUVLUVMUVIUXPKUXIUYAU
      XTUXQVKUXNUYGUYFUYHVUAUYQVPUYLUYJUYOJUVIUVLUVMDHWFWGWLUXNUYPJUWGUYSUWGUYS
      QUXNUYSUWGRWNMZOWNMZROWOVCZUYSUWGQWPWQWRROWSXAWTXBXCUYTUYPJUWPSZUYPJUYRSZ
      XDZUXNUWQUYPJUWPUYRXEUXNUWQVUFVUEXDZVUGUXNVUFXFZUWQVUHVPUXNUWCRUWAPNZOUWD
      PNZUMNZQZDUYBUNZVUFUXNVUNUWCUWDQZDUYBUNZUXLVUPXFZUXMUXKUXJUVGVUQUXKUXRUVM
      UVIXGZVAUXJUVGVUQWBWBZUVMCUVIXHUXRVURVUSUXRUVGUXJVURVUQUXRUVGUXJVURVUQWBU
      XRUVGUXJUTZVUPUVMUVIVUTVUPABXIZBAXIVUTVVAVUPVUTUVIUYBXJZUVMUYBXJZVVAVUPVP
      UXRUVGUXJVVBUVGUXJVVBWBWBUXRUVGUXJUYGVVBUYKUVGUYGUYBTUVIXKZVVBUVIHXOZUYBT
      UVIXPXLXMXBWHUXJUVGUXRVVCUVGUXRVVCWBWBUXJUVGUXRUYHVVCUYMUVGUYHUYBTUVMXKZV
      VCUVMHXOZUYBTUVMXPXLXMXBXNDUYBUVIUVMUUAUUBUUCUVMUVIXQUUHUUDUUEUUFXRUUGXNV
      IZUXNVUMVUODUYBUXNUVTUYBMVAZVULUWDUWCVVIVULRUWDUMNUWDVVIVUJRVUKUWDUMVVIUW
      AVVIUWAUXNUYBTUVTUVLUXLUXMUYBTUVLXKZUVGUXJUXMVVJWBUXKUVGUXMUYFVVJUVGCUYEU
      VLUYIVSUVGUYFVVJUVLHXOXSXMVRXRXTYAUUIZVVIUWDVVIUWDUXNUYBTUVTUVMUXLVVFUXMU
      VGUXJUXKVVFUVGUXKVVFWBUXJUXRUVGVVFUXKUVGUYHVVFUXRUYNVVGUUJUXSWDWEWHVIXTYA
      ZYBYCVVIUWDVVLUUKYFYDYEYGOTMVUFVUNVPUURUYPVUNJOTUWIOQZUWNVUMDUYBVVMUWMVUL
      UWCVVMUWKVUJUWLVUKUMVVMUWKOOULNZUWAPNVUJVVMUWJVVNUWAPUWIOOULYHYIVVNRUWAPU
      ULYJYKUWIOUWDPYLYCYDYMYQYNYOUWQVUEVUIVUHUWOUYPJUWPUWNDGUYBLWIWJVUFVUEYPYR
      YSVUFVUEUUSUUMYRYTUXNUVQUXCDUYBUNZFUWGSZVVOFRUFZUXEWMZSZUXFUXNUVMUVIUVLVB
      VEVCZUVQVVPUXNCUVNHUVIUVLUVMUXPKUXIUXQUYAUXTVKUXNUYHUYGUYFVVTVVPVPUYOUYLU
      YJFUVMUVIUVLDHWFWGWLUXNVVOFUWGVVRUWGVVRQUXNVVRUWGVUBVUCVUDVVRUWGQWPWQWRRO
      UUNXAWTXBXCUXNVVSVVOFVVQSZVVOFUXESZXDZUXFVVOFVVQUXEXEUXNVWAXFZUXFVWCVPUXN
      UWDOUWCPNZVUJUMNZQZDUYBUNZVWAUXNVWHUWDUWCQZDUYBUNZUXNVUPVWJVVHVUOVWIDUYBU
      WCUWDXQUUOUUPUXNVWGVWIDUYBVVIVWFUWCUWDVVIVWFUWCRUMNUWCVVIVWEUWCVUJRUMVVIU
      WCVVIUWCUXNUYBTUVTUVIUXLVVDUXMUVGUXJVVDUXKUVGUXJVVDUVGUXJUYGVVDUVGUXJUYGU
      YKXSVVEUUTXRWAVIXTYAZYBVVKYCVVIUWCVWKUUQYFYDYEYGRTMVWAVWHVPUVAVVOVWHFRTUW
      RRQZUXCVWGDUYBVWLUXBVWFUWDVWLUWTVWEUXAVUJUMVWLUWTORULNZUWCPNVWEVWLUWSVWMU
      WCPUWRROULYHYIVWMOUWCPUVBYJYKUWRRUWAPYLYCYDYMYQYNYOUXFVWBVWDVWCUXDVVOFUXE
      UXCDGUYBLWIWJVWAVWBYPYRYSUVCYTUVDUVEUVFYF $.
  $}

  ${
    $d a b c f i p s t u v x y z N $.
    $( The geometry structure for ` EE ^ N ` is a Tarski geometry.
       (Contributed by Thierry Arnoux, 15-Mar-2019.) $)
    eengtrkg $p |- ( N e. NN -> ( EEG ` N ) e. TarskiG ) $=
      ( vx vy vz va vb wcel cv co wceq wral cop wbr adantr eleqtrrd w3a ebtwntg
      wi wa ad2antrr vf vp vi vu vv vt vs vc ceeng cfv cstrkgc cstrkgb cstrkgcb
      cn cin clng csn cdif w3o crab cmpo citv wsbc cbs cab cstrkg cvv cds fvexd
      weq ccgr cee simpl simprl eengbas simprr axcgrrflx eqid ecgrtg ralrimivva
      syl3anc mpbid simpr1 simpr2 3adantr3 axcgrid syl13anc sylbird ralrimivvva
      simpr3 jca32 istrkgc sylibr wrex cpw cbtwn axbtwnid imp equcomd ex simpll
      syl axpasch syl132anc anbi12d simplll eleqtrd rexeqbidva 3imtr3d ad2antrl
      simpr wss sseqtrrd ad2antll simplrl simplrr axcont syl12anc simplr sseldd
      elpwi 2ralbidva istrkgb sylanbrc elind wne simplr1 simplr2 simplr3 3anass
      3jca syl5bir syl333anc 3anbi23d axsegcon syl122anc istrkgcb elntg istrkgl
      ax5seg df-trkg eleqtrrdi ) AUNGZAUIUJZUKULUOZUMUAHZUPUJBCUBHZUUGBHZUQZURD
      HZUUHCHZUCHZIGUUHUUJUUKUULIGUUKUUHUUJUULIGUSDUUGUTVAJUCUUFVBUJVCUBUUFVDUJ
      VCUAVEZUOZUOVFUUCUUEUUNUUDUUCUKULUUDUUCUUDVGGZUUHUUKUUDVHUJZIZUUKUUHUUPIJ
      ZCUUDVDUJZKBUUSKZUUQUUJUUJUUPIJZBCVJZRZDUUSKCUUSKBUUSKZSSUUDUKGUUCUUOUUTU
      VDUUCAUIVIZUUCUURBCUUSUUSUUCUUHUUSGZUUKUUSGZSZSZUUHUUKLZUUKUUHLVKMZUURUVI
      UUCUUHAVLUJZGZUUKUVLGZUVKUUCUVHVMZUVIUUHUUSUVLUUCUVFUVGVNZUUCUVLUUSJZUVHA
      VOZNZOZUVIUUKUUSUVLUUCUVFUVGVPZUVSOZUUHUUKAVQWAUVIUUHUUKUUKUUHUUSUUPAUVOU
      USVRZUUPVRZUVPUWAUWAUVPVSWBVTUUCUVCBCDUUSUUSUUSUUCUVFUVGUUJUUSGZPZSZUVAUV
      JUUJUUJLVKMZUVBUWGUUHUUKUUJUUJUUSUUPAUUCUWFVMZUWCUWDUUCUVFUVGUWEWCUUCUVFU
      VGUWEWDUUCUVFUVGUWEWJZUWJVSUWGUUCUVMUVNUUJUVLGZUWHUVBRUWIUUCUVFUVGUVMUWEU
      VTWEUUCUVFUVGUVNUWEUWBWEUWGUUJUUSUVLUWJUUCUVQUWFUVRNOZUUHUUKUUJAWFWGWHWIW
      KBCDUUSUUDUUDVBUJZUUPUWCUWDUWMVRZWLWMUUCUUOUUKUUHUUHUWMIGZUVBRZCUUSKBUUSK
      ZUDHZUUHUUJUWMIZGZUEHZUUKUUJUWMIGZSZEHZUWRUUKUWMIGZUXDUXAUUHUWMIGZSZEUUSW
      NZRZUEUUSKUDUUSKDUUSKZCUUSKBUUSKZUUHUXDUUKUWMIGZCUFHZKBUGHZKZEUUSWNZFHZUU
      HUUKUWMIZGZCUXMKBUXNKZFUUSWNZRZUFUUSWOZKUGUYCKZPUUDULGUVEUUCUWQUXKUYDUUCU
      WPBCUUSUUSUVIUWOUVBUVIUWOSCBUVIUWOCBVJZUVIUWOUUKUUHUUHLWPMZUYEUVIUUSUWMAU
      UHUUHUUKUVOUWCUWNUVPUVPUWAQUVIUUCUVNUVMUYFUYERUVOUWBUVTUUKUUHAWQWAWHWRWSW
      TVTUUCUXJBCUUSUUSUVIUXIDUDUEUUSUUSUUSUVIUWEUWRUUSGZUXAUUSGZPZSZUWRUUHUUJL
      ZWPMZUXAUUKUUJLZWPMZSZUXDUWRUUKLWPMZUXDUXAUUHLWPMZSZEUVLWNZUXCUXHUYJUUCUV
      MUVNUWKUWRUVLGZUXAUVLGZUYOUYSRUUCUVHUYIXAZUVIUVMUYIUVTNUVIUVNUYIUWBNUYJUU
      CUVFUVGUWEUWKVUBUVIUVFUYIUVPNZUVIUVGUYIUWANZUVIUWEUYGUYHWCZUWLWGUYJUWRUUS
      UVLUVIUWEUYGUYHWDZUYJUUCUVQVUBUVRXBZOUYJUXAUUSUVLUVIUWEUYGUYHWJZVUGOEUUHU
      UKUUJUWRUXAAXCXDUYJUYLUWTUYNUXBUYJUUSUWMAUUHUUJUWRVUBUWCUWNVUCVUEVUFQUYJU
      USUWMAUUKUUJUXAVUBUWCUWNVUDVUEVUHQXEUYJUYRUXGEUVLUUSVUGUYJUXDUVLGZSZUYPUX
      EUYQUXFVUJUUSUWMAUWRUUKUXDUUCUVHUYIVUIXFZUWCUWNUYJUYGVUIVUFNUYJUVGVUIVUDN
      VUJUXDUVLUUSUYJVUIXKUYJUVQVUIVUGNXGZQVUJUUSUWMAUXAUUHUXDVUKUWCUWNUYJUYHVU
      IVUHNUYJUVFVUIVUCNVULQXEXHXIWIVTUUCUYBUGUFUYCUYCUUCUXNUYCGZUXMUYCGZSZSZUU
      HUXDUUKLWPMZCUXMKBUXNKZEUVLWNZUXQUVJWPMZCUXMKBUXNKZFUVLWNZUXPUYAVUPUUCUXN
      UVLXLZUXMUVLXLZVUSVVBRUUCVUOVMVUPUXNUUSUVLVUMUXNUUSXLZUUCVUNUXNUUSYAXJZUU
      CUVQVUOUVRNZXMVUPUXMUUSUVLVUNUXMUUSXLZUUCVUMUXMUUSYAXNZVVGXMUUCVVCVVDSZSZ
      VUSVVBVVKVUSSUUCVVCVVDVUSVVBUUCVVJVUSXAUUCVVCVVDVUSXOUUCVVCVVDVUSXPVVKVUS
      XKBCUXNUXMAEFXQWGWTXRVUPVURUXOEUVLUUSVVGVUPVUISZVUQUXLBCUXNUXMVVLUUHUXNGZ
      UUKUXMGZSZSZUUSUWMAUXDUUKUUHUUCVUOVUIVVOXFUWCUWNVVPUXDUVLUUSVUPVUIVVOXSVU
      PUVQVUIVVOVVGTXGVVPUXMUUSUUKVUPVVHVUIVVOVVITVVLVVMVVNVPXTVVPUXNUUSUUHVUPV
      VEVUIVVOVVFTVVLVVMVVNVNXTQYBXHVUPVVAUXTFUVLUUSVVGVUPUXQUVLGZSZVUTUXSBCUXN
      UXMVVRVVOSZUUSUWMAUUHUUKUXQUUCVUOVVQVVOXFUWCUWNVVSUXNUUSUUHVUPVVEVVQVVOVV
      FTVVRVVMVVNVNXTVVSUXMUUSUUKVUPVVHVVQVVOVVITVVRVVMVVNVPXTVVSUXQUVLUUSVUPVV
      QVVOXSVUPUVQVVQVVOVVGTXGQYBXHXIVTYKBCDUEUDUFUUSUUDUWMUUPUGEFUWCUWDUWNYCYD
      YEUUCUMUUMUUDUUCUUOUUHUUKYFZUUKUWSGZUXQUXDUHHZUWMIGZPZUUQUXDUXQUUPIZJZUUK
      UUJUUPIZUXQVWBUUPIJZSZUUHUWRUUPIUXDUXAUUPIJZUUKUWRUUPIUXQUXAUUPIJZSZSZSZU
      UJUWRUUPIVWBUXAUUPIJZRZUEUUSKUHUUSKFUUSKZEUUSKUDUUSKDUUSKZCUUSKBUUSKZVWAV
      WGVWEJZSZDUUSWNZFUUSKEUUSKZCUUSKBUUSKZSSUUDUMGUUCUUOVWSVXDUVEUUCVWRBCUUSU
      USUVIVWQDUDEUUSUUSUUSUVIUWEUYGUXDUUSGZPZSZVWPFUHUEUUSUUSUUSVXGUXQUUSGZVWB
      UUSGZUYHPZSZVVTUUKUYKWPMZUXQUXDVWBLWPMZPZUVJUXDUXQLZVKMZUYMUXQVWBLVKMZSZU
      UHUWRLUXDUXALVKMZUUKUWRLUXQUXALVKMZSZSZSZUUJUWRLVWBUXALVKMZVWNVWOVXKUUCUV
      MUVNUWKUYTVUIVVQVWBUVLGZVUAVYCVYDRUUCUVHVXFVXJXFZVXKUUHUUSUVLUVIUVFVXFVXJ
      UVPTZVXKUUCUVQVYFUVRXBZOVXKUUKUUSUVLUVIUVGVXFVXJUWATZVYHOVXKUUJUUSUVLUWEU
      YGVXEUVIVXJYGZVYHOVXKUWRUUSUVLUWEUYGVXEUVIVXJYHZVYHOVXKUXDUUSUVLUWEUYGVXE
      UVIVXJYIZVYHOVXKUXQUUSUVLVXGVXHVXIUYHWCZVYHOVXKVWBUUSUVLVXGVXHVXIUYHWDZVY
      HOVXKUXAUUSUVLVXGVXHVXIUYHWJZVYHOVYCVXNVXRVYAPUUCUVMUVNPUWKUYTVUIPVVQVYEV
      UAPPVYDVXNVXRVYAYJUUHUUKUUJUWRUXDUXQVWBUXAAYTYLYMVXKVXNVWDVYBVWMVXKVXLVWA
      VXMVWCVVTVXKUUSUWMAUUHUUJUUKVYFUWCUWNVYGVYJVYIQVXKUUSUWMAUXDVWBUXQVYFUWCU
      WNVYLVYNVYMQYNVXKVXRVWIVYAVWLVXKVXPVWFVXQVWHVXKUUHUUKUXDUXQUUSUUPAVYFUWCU
      WDVYGVYIVYLVYMVSVXKUUKUUJUXQVWBUUSUUPAVYFUWCUWDVYIVYJVYMVYNVSXEVXKVXSVWJV
      XTVWKVXKUUHUWRUXDUXAUUSUUPAVYFUWCUWDVYGVYKVYLVYOVSVXKUUKUWRUXQUXAUUSUUPAV
      YFUWCUWDVYIVYKVYMVYOVSXEXEXEVXKUUJUWRVWBUXAUUSUUPAVYFUWCUWDVYJVYKVYNVYOVS
      XIWIWIVTUUCVXCBCUUSUUSUVIVXBEFUUSUUSUVIVXEVXHSZSZVXLUYMVXOVKMZSZDUVLWNZVX
      BVYQUUCUVMUVNVUIVVQVYTUUCUVHVYPXAZUVIUVMVYPUVTNUVIUVNVYPUWBNVYQUXDUUSUVLU
      VIVXEVXHVNVYQUUCUVQWUAUVRXBZOVYQUXQUUSUVLUVIVXEVXHVPWUBODUUHUUKUXDUXQAYOY
      PVYQVYSVXADUVLUUSWUBVYQUWKSZVXLVWAVYRVWTWUCUUSUWMAUUHUUJUUKUUCUVHVYPUWKXF
      ZUWCUWNUVIUVFVYPUWKUVPTWUCUUJUVLUUSVYQUWKXKVYQUVQUWKWUBNXGZUVIUVGVYPUWKUW
      ATZQWUCUUKUUJUXDUXQUUSUUPAWUDUWCUWDWUFWUEUVIVXEVXHUWKXOUVIVXEVXHUWKXPVSXE
      XHWBVTVTWKBCDUEUDUUSUUDUWMUUPEFUHUWCUWDUWNYQWMUUCUUOUUDUPUJBCUUSUUSUUIURU
      UJUXRGUUHUUJUUKUWMIGVWAUSDUUSUTVAJUUDUUMGUVEBCDUUSUWMAUWCUWNYRBCDUUSUAUCU
      UDUWMUUPUBUWCUWDUWNYSYDYEYEBCDUAUCUBUUAUUB $.
  $}

  ${
    $d a b u v x y z N $.
    $( The geometry structure for ` EE ^ N ` is a Euclidean geometry.
       (Contributed by Thierry Arnoux, 15-Mar-2019.) $)
    eengtrkge $p |- ( N e. NN -> ( EEG ` N ) e. TarskiGE ) $=
      ( vu vx vv va vb wcel cfv cv co w3a wral wa cop cbtwn wbr adantr eleqtrrd
      ad2antrr ebtwntg vy vz cn ceeng cvv citv wne wrex wi cstrkge fvexd simpll
      cbs cee simprl wceq eengbas simprr simpr1 simpr3 syl13anc simpr2 axeuclid
      syl132anc 3anbi12d simpr eleqtrd 3anbi123d rexeqbidva 3imtr3d ralrimivvva
      eqid ralrimivva cds istrkge sylanbrc ) AUCGZAUDHZUEGBIZCIZDIZVRUFHZJGZVSU
      AIZUBIZWBJGZVTVSUGZKZWDVTEIZWBJGZWEVTFIZWBJGZWAWIWKWBJGZKZFVRUMHZUHZEWOUH
      ZUIZDWOLBWOLUBWOLZUAWOLCWOLVRUJGVQAUDUKVQWSCUAWOWOVQVTWOGZWDWOGZMZMZWRUBB
      DWOWOWOXCWEWOGZVSWOGZWAWOGZKZMZVSVTWANOPZVSWDWENOPZWGKZWDVTWINOPZWEVTWKNO
      PZWAWIWKNOPZKZFAUNHZUHZEXPUHZWHWQXHVQVTXPGZWDXPGZWEXPGZVSXPGWAXPGXKXRUIVQ
      XBXGULZXCXSXGXCVTWOXPVQWTXAUOZVQXPWOUPZXBAUQZQZRQXCXTXGXCWDWOXPVQWTXAURZY
      FRQXHVQWTXAXDYAYBXCWTXGYCQZXCXAXGYGQZXCXDXEXFUSZVQWTXAXDKZMWEWOXPVQWTXAXD
      UTVQYDYKYEQRVAXHVSWOXPXCXDXEXFVBZVQYDXBXGYESZRXHWAWOXPXCXDXEXFUTZYMREFVTW
      DWEVSWAAVCVDXHXIWCXJWFWGXHWOWBAVTWAVSYBWOVLZWBVLZYHYNYLTXHWOWBAWDWEVSYBYO
      YPYIYJYLTVEXHXQWPEXPWOYMXHWIXPGZMZXOWNFXPWOXHYDYQYMQZYRWKXPGZMZXLWJXMWLXN
      WMUUAWOWBAVTWIWDXHVQYQYTYBSZYOYPXHWTYQYTYHSZYRWIWOGYTYRWIXPWOXHYQVFYSVGQZ
      XHXAYQYTYISTUUAWOWBAVTWKWEUUBYOYPUUCUUAWKXPWOYRYTVFXHYDYQYTYMSVGZXHXDYQYT
      YJSTUUAWOWBAWIWKWAUUBYOYPUUDUUEXHXFYQYTYNSTVHVIVIVJVKVMCUAUBDBWOVRWBVRVNH
      ZEFYOUUFVLYPVOVP $.
  $}

$( End $[ set-tarskigeom.mm $] $)


$( Begin $[ set-graphth.mm $] $)
$(
###############################################################################
  GRAPH THEORY
###############################################################################

  <HTML><br><br>
  To give an overview of the definitions and terms used in the context of graph
  theory, a glossary is provided in the following, mainly according to
  definitions in [Bollobas] p. 1-8 or in [Diestel] p. 2-28.  Although this
  glossary concentrates on <b>undirected graphs</b>, many of the concepts are
  also useful for directed graphs.<br><br>

  <h1>Basic concepts:</h1>

  <table border="1" id="graph-theory-glossary0">
  <tr><th>Term</th><th>Reference</th><th>Definition</th><th>Remarks</th></tr>
  <tr><td><b>Vertex</b></td><td> ~ df-vtx </td>
    <td>A <b>vertex</b> of a graph ` G ` is an element of the set of vertices
    ` ( Vtx `` G ) ` of the graph ` G `.</td>
    <td>The set of vertices ` ( Vtx `` G ) ` (corresponding to V(G) in
    [Bollobas] p. 1) is usually the first component ` V ` of the graph ` G ` if
    it is represented by an ordered pair ` <. V , E >. ` (see ~ opvtxfv ), or
    the base set ` ( Base `` G ) ` of the graph ` G ` if it is represented as
    extensible structure (see ~ basvtxval ).</td></tr>
  <tr><td><b>Edge</b></td><td> ~ df-edg </td>
    <td>An <b>edge</b> of a graph ` G ` is a nonempty set of vertices of the
    graph.  It is said that these vertices are "joined" or "connected" by the
    edge, see [Bollobas] p. 1.</td>
    <td>The set of edges ` ( Edg `` G ) ` (corresponding to E(G) in [Bollobas]
    p. 1) is usually the range ` ran E ` of the second component ` E ` of the
    graph ` G ` if it is represented by an ordered pair ` <. V , E >. `, or the
    range of the component ` ( .ef `` G ) ` of the graph ` G ` if it is
    represented as extensible structure.<br>
    </td></tr>
  <tr><td><b>Loop</b></td><td></td>
    <td>A <b>loop</b> in a graph ` G ` is an edge which connects a single
    vertex with itself (or, according to [Bollobas] p. 7 "joins a vertex to
    itself").</td>
    <td>In other words, a loop is an edge ` e e. ( Edg `` G ) ` which is a
    singleton consisting of a vertex ` v e. ( Vtx `` G ) `: ` e = { v } `
    </td></tr>
  <tr><td><b>Edge function</b> resp. <b>indexed edges</b></td>
    <td> ~ df-iedg </td>
    <td>An <b>edge function</b> (or <b>indexed set of edges</b>) of a graph
    ` G ` is a mapping of an arbitrary index set to nonempty sets of vertices
    of the graph.</td>
    <td>The edge function ` ( iEdg `` G ) ` is usually the second component
    ` E ` of the graph ` G ` if it is represented by an ordered pair
    ` <. V , E > ` (see ~ opiedgfv ), or the component ` ( .ef `` G ) ` of the
    graph ` G ` if it is represented as extensible structure (see
    ~ edgfiedgval ).<br>
    The set of edges of a graph ` G ` is the range of its edge function:
    ` ( Edg `` G ) = ran ( iEdg `` G ) `, see ~ edgval .<br>
    Whereas the concept of plain edges is sufficient for simple hypergraphs,
    indexed edges are required for e.g., multigraphs in which the same vertices
    may be connected by more than one edge.</td></tr>
  </table>

  <h1>Basic kinds of graphs:</h1>

  <table border="1" id="graph-theory-glossary1">
  <tr><th>Term</th><th>Reference</th><th>Definition</th><th>Remarks</th></tr>
  <tr><td><b>Undirected hypergraph</b></td><td> ~ df-uhgr </td>
    <td>a class ` G ` with an edge function ` E = ( iEdg `` G ) ` which is a
    function into the power set of the vertices ` V = ( Vtx `` G ) `:
    ` ran E C_ ( ~P V \ { (/) } ) `.</td>
    <td>In this most general definition of a graph, an "edge" may connect three
    or more vertices with each other, see [Berge] p. 1.<br>
    In Wikipedia "Hypergraph", see ~ https://en.wikipedia.org/wiki/Hypergraph
    (18-Jan-2020) such a hypergraph is called a "non-simple hypergraph",
    "multiple hypergraph" or "multi-hypergraphs".  According to Wikipedia
    "Incidence structure",
    see ~ https://en.wikipedia.org/wiki/Incidence_structure (18-Jan-2020)
    "Each hypergraph [[...] can be regarded as an <b>incidence structure</b> in
    which the [[vertices] play the role of "points", the corresponding family
    of [[edges] plays the role of "lines" and the incidence relation is set
    membership".<br><br>
    Notice that by using ` ( Edg `` G ) ` the (possibly more than one) edges
    connecting the same vertices could not be distinguished anymore.
    Therefore, this representation will only be used for undirected simple
    hypergraphs.</td></tr>
  <tr><td><b>Undirected simple hypergraph</b></td><td> ~ df-ushgr </td>
    <td>a class ` G ` with an edge function ` E = ( iEdg `` G ) ` which is a
    one-to-one function into the power set of the vertices
    ` V = ( Vtx `` G ) `: ` ran E C_ ( ~P V \ { (/) } ) `.</td>
    <td>See also Wikipedia "Hypergraph",
    ~ https://en.wikipedia.org/wiki/Hypergraph (18-Jan-2020).  This is how a
    "hypergraph" is defined in Section I.1 in [Bollobas] p. 7 or the definition
    in section 1.10 in [Diestel] p. 27.  A simple hypergraph has at most one
    edge between the same vertices, hence a pseudograph needs not be a simple
    hypergraph.<br>
    According to [Berge] p. 1, "A <i>simple hypergraph</i> (or "Sperner
    family") is a hypergraph H = { E_1, E_2, ..., E_m } such that E_i C_ E_j
    => i = j".  By this definition, a simple hypergraph cannot contain the
    edges E_1 = { v_1 , v_2 } and E_2 = { v_1, v_2, v_3 }, because E_1 C_ E_2,
    but 1 =/= 2. </td></tr>
  <tr><td><b>Undirected loop-free hypergraph</b></td><td>---</td>
    <td>an undirected hypergraph without a loop, i.e. all edges connect at
    least two vertices.</td>
    <td></td></tr>
  <tr><td><b>Undirected pseudograph</b></td><td> ~ df-upgr </td>
    <td>a class ` G ` with an edge function ` E = ( iEdg `` G ) ` which is a
    function into the set of (proper or not proper) unordered pairs of vertices
    ` V = ( Vtx `` G ) `.</td>
    <td>A proper unordered pair contains two different elements, a not proper
    unordered pair contains two times the same element, so it is a singleton
    (see ~ preqsn ).  This means a pseudograph may contain loops.<br>
    This definition corresponds to the definition of a "multigraph" in Section
    I.1 in [Bollobas] p. 7, "In a multigraph both <b>multiple edges</b>
    [joining two vertices] and multiple <b>loops</b> [joining a vertex to
    itself] are allowed", or in [Diestel] p. 28, "A <i>multigraph</i> is a
    pair (V,E) of disjoint sets (of vertices and edges) together with a map
    E -> V u. [[V]^2 assigning to every edge either one or two vertices, its
    end(s).".</td></tr>
  <tr><td><b>Undirected multigraph</b></td><td> ~ df-umgr </td>
    <td>a class ` G ` with an edge function ` E = ( iEdg `` G ) ` which is a
    function into the set of (proper!) unordered pairs of vertices
    ` V = ( Vtx `` G ) `.</td>
    <td>This definition is according to Chartrand, Gary and Zhang, Ping (2012):
    "A First Course in Graph Theory.", Dover, ISBN 978-0-486-48368-9,
    section 1.4, p. 26:  "A multigraph M consists of a finite nonempty set V of
    vertices and a set E of edges, where every two vertices of M are joined by
    a finite number of edges (possibly zero).  If two or more edges join the
    same pair of (distinct) vertices, then these edges are called parallel
    edges."<br>
    A proper unordered pair contains two different elements, therefore a
    multigraph does not have loops.</td></tr>
  <tr><td><b>Undirected simple pseudograph</b></td><td> ~ df-uspgr </td>
    <td>a class ` G ` with an edge function ` E = ( iEdg `` G ) ` which is a
    one-to-one function into the set of (proper or not proper) unordered pairs
    of vertices ` V = ( Vtx `` G ) `.</td>
    <td>This means that there is at most one edge between two vertices, and at
    most one loop from a vertex to itself.</td></tr>
  <tr><td><b>Undirected simple graph</b></td><td> ~ df-usgr </td>
    <td>a class ` G ` with an edge function ` E = ( iEdg `` G ) ` which is a
    one-to-one function into the set of (proper!) unordered pairs of vertices
    ` V = ( Vtx `` G ) `.</td>
    <td>An ordered pair ` <. V , E >. ` of two distinct sets ` V ` (the
    vertices) and ` E ` (the edges), the "usual" definition of a "graph", see,
    for example, the definition in section I.1 of [Bollobas] p. 1 or in section
    1.1 of [Diestel] p. 2, can be identified with an undirected simple graph
    without loops by "indexing" the edges with themselves, see ~ usgrausgrb .
    </td></tr>
  <tr><td><b>Finite graph</b></td><td> ~ df-fusgr </td>
    <td>a graph ` G ` with a finite set of vertices ` V = ( Vtx `` G ) `.</td>
    <td>See definitions in [Bollobas] p. 1 or [Diestel] p. 2.<br>
    In simple graphs, the set of (indexed) edges ` ( iEdg `` G ) ` (and
    therefore also the set of edges ` ( Edg `` G ) `) is finite if
    ` V = ( Vtx `` G ) ` is finite, see ~ fusgrfis .  The number of edges is
    limited by ` ( n _C 2 ) ` (or "` n ` choose 2") with ` n = ( # `` V ) `,
    see ~ fusgrmaxsize .  Analogously, the number of edges
    ` E = ( iEdg `` G ) ` of an undirected simple pseudograph (which may have
    loops) is limited by ` ( ( n + 1 ) _C 2 ) ` .  In pseudographs or
    multigraphs, however, ` E ` can be infinite although ` V ` is finite.
    </td></tr>
  <tr><td><b>Graph of finite size</b></td><td>---</td>
    <td>a graph ` G ` with a finite set ` E = ( iEdg `` G ) `, i.e. with a
    finite number of edges.</td>
    <td>A graph can be of finite size although its set of vertices is infinite
    (most of the vertices would not be connected by an edge).</td></tr>
  </table>

  <h1>Terms and properties of graphs:</h1>

  <table border="1" id="graph-theory-glossary2">
  <tr><th>Term</th><th>Reference</th><th>Definition</th><th>Remarks</th></tr>
  <tr><td><b>Edge joining</b> resp. <b> connecting (two) vertices</b></td>
    <td>---</td>
    <td>An edge ` e e. ( Edg `` G ) ` <b>joins</b> resp. <b>connects</b> the
    vertices v_1, v_2, ... v_n ( ` n e. NN ` )
    if ` e ` = { v_1, v_2, ... v_n }.</td>
    <td>If ` n = 1 ` , ` e ` = { v_1 } is a loop,
    if ` n = 2 ` , ` e ` = { v_1 , v_2 } is an edge as it is usually defined,
    see definition in Section I.1 in [Bollobas] p. 1.</td></tr>
  <tr><td><b>(Two) Endvertices of an edge</b></td>
    <td> see definition in Section I.1 in [Bollobas] p. 1.</td>
    <td>If an edge ` e e. ( Edg `` G ) ` joins the vertices v_1, v_2, ... v_n
    ( ` n e. NN ` ), then the vertices v_1, v_2, ... v_n are called the
    <b>endvertices</b> of the edge ` e `.</td><td></td></tr>
  <tr><td><b>(Two) Adjacent vertices</b></td>
    <td> see definition in Section I.1 in [Bollobas] p. 1/2.</td>
    <td>The vertices v_1, v_2, ... v_n ( ` n e. NN ` ) are <b>adjacent</b> if
    there is an edge e = { v_1, v_2, ... v_n } joining these vertices.  In this
    case, the vertices are <b>incident</b> with the edge e (see definition in
    Section I.1 in [Bollobas] p. 2) or <b>connected</b> by the edge e.</td>
    <td></td></tr>
  <tr><td><b>Edge ending at a vertex</b></td><td> </td>
    <td> An edge ` e e. ( Edg `` G ) ` is <b>ending</b> at a vertex ` v ` if
     the vertex is an endvertex of the edge: ` v e. e ` . In other words, the
     vertex ` v ` is incident with the edge ` e `. </td><td></td></tr>
  <tr><td><b>(Two) Adjacent edges</b></td><td></td>
    <td>The edges e_0, e_1, ... e_n ( ` n e. NN ` ) are <b>adjacent</b> if
    they have exactly one common endvertex.</td>
    <td>Generalization of definition in Section I.1 in [Bollobas] p. 2.</td>
    </tr>
  <tr><td><b>Order of a graph</b></td>
    <td>see definition in Section I.1 in [Bollobas] p. 3</td>
    <td>The <b>order</b> of a graph ` G ` is the number of vertices in the
    graph: ` ( # `` ( Vtx `` G ) ) `.</td><td></td></tr>
  <tr><td><b>Size of a graph</b></td>
    <td>see definition in Section I.1 in [Bollobas] p. 3</td>
    <td>The <b>size</b> of a graph ` G ` is the number of edges in the graph:
    ` ( # `` ( iEdg `` G ) ) `.  Or, for a simple graph ` G ` :
    ` ( # `` ( Edg `` G ) ) ` ).</td><td></td></tr>
  <tr><td><b>Neighborhood of a vertex</b></td>
    <td> ~ df-nbgr resp. definition in Section I.1 in [Bollobas] p. 3</td>
    <td>A vertex connected with a vertex ` v ` by an edge is called a
    <b>neighbor</b> of the vertex ` v `. The set of neighbors of a vertex ` v `
    is called the <b>neighborhood</b> (or <b>open neighborhood</b>) of the
    vertex ` v `. The <b>closed neighborhood</b> is the union of the (open)
    neighborhood of the vertex ` v ` with ` { v } `.</td><td></td></tr>
  <tr><td><b>Degree of a vertex</b></td><td> ~ df-vtxdg </td>
    <td>The <b>degree</b> of a vertex is the number of the edges ending at this
    vertex.</td>
    <td>In a simple graph, the degree of a vertex is the number of neighbors of
    this vertex, see definition in Section I.1 in [Bollobas] p. 3</td></tr>
  <tr><td><b>Isolated vertex</b></td><td> ~ usgrvd0nedg </td>
    <td>A vertex is called <b>isolated</b> if it is not an endvertex of any
    edge, thus having degree 0.</td><td></td></tr>
  <tr><td><b>Universal vertex</b></td><td> ~ df-uvtx </td>
    <td>A vertex is called <b>universal</b> if it is connected with every other
    vertex of the graph by an edge, thus having degree
    ` ( ( # `` ( Vtx `` G ) ) - ) `.</td><td></td></tr>
  </table>

  <h1>Special kinds of graphs:</h1>

  <table border="1" id="graph-theory-glossary3">
  <tr><th>Term</th><th>Reference</th><th>Definition</th><th>Remarks</th></tr>
  <tr><td><b>Complete graph</b></td><td> ~ df-cplgr </td>
    <td>A graph is called <b>complete</b> if each pair of vertices is connected
    by an edge.</td>
    <td>The size of a complete undirected simple graph of order ` n ` is
    ` ( n _C 2 ) ` (or "` n ` choose 2"), see ~ cusgrsize .</td></tr>
  <tr><td><b>Empty graph</b></td><td> ~ uhgr0e </td>
    <td>A graph is called <b>empty</b> if it has no edges.</td>
    <td></td></tr>
  <tr><td><b>Null graph</b></td><td> ~ uhgr0 and ~ uhgr0vb </td>
    <td>A graph is called a <b>null graph</b> if it has no vertices (and
    therefore also no edges).</td><td></td></tr>
  <tr><td><b>Trivial graph</b></td><td> ~ usgr1v </td>
    <td>A graph is called the <b>"trivial graph"</b> if it has only one vertex
    and no edges.</td><td></td></tr>
  <tr><td><b>Connected graph</b></td>
    <td> ~ df-conngr resp. definition in Section I.1 in [Bollobas] p. 6</td>
    <td>A graph is called <b>connected</b> if for each pair of vertices there
    is a path between these vertices.</td><td></td></tr>
  </table><br><br>

  For the terms <b>"Path"</b>, <b>"Walk"</b>, <b>"Trail"</b>, <b>"Circuit"</b>,
  <b>"Cycle"</b> see the remarks below and the definitions in Section I.1 in
  [Bollobas] p. 4-5.
  </HTML>

$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Vertices and edges
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  In the following, the vertices and (indexed) edges for an arbitrary class
  ` G ` (called "graph" in the following) are defined and examined.  The main
  result of this section is to show that the set of vertices ` ( Vtx `` G ) `
  of a graph ` G ` is the first component ` V ` of the graph ` G ` if it is
  represented by an ordered pair ` <. V , E >. ` (see ~ opvtxfv ), or the base
  set ` ( Base `` G ) ` of the  graph ` G ` if it is represented as extensible
  structure (see ~ basvtxval ), and that the set of indexed edges resp. the
  edge function ` ( iEdg `` G ) ` is  the second component ` E ` of the graph
  ` G ` if it is represented by an ordered pair ` <. V , E >. ` (see
  ~ opiedgfv ), or the component ` ( .ef `` G ) ` of the graph ` G ` if it is
  represented as extensible structure (see ~ edgfiedgval ).  Finally, it is
  shown that the set of edges of a graph ` G ` is the range of its edge
  function: ` ( Edg `` G ) = ran ( iEdg `` G ) `, see ~ edgval .

  Usually, a graph ` G ` is a set. If ` G ` is a proper class, however, it
  represents the null graph (without vertices and edges), because
  ` ( Vtx `` G ) = (/) ` and ` ( iEdg `` G ) = (/) ` holds, see ~ vtxvalprc
  and ~ iedgvalprc .

  Up to the end of this section, the edges need not be related to the vertices.
  Once undirected hypergraphs are defined (see ~ df-uhgr ), the edges become
  nonempty sets of vertices, and by this obtain their meaning as "connectors"
  of vertices.

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The edge function extractor for extensible structures
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c .ef $.

  $( Extend class notation with an edge function. $)
  cedgf $a class .ef $.

  $( Define the edge function (indexed edges) of a graph.  (Contributed by AV,
     18-Jan-2020.)  Use its index-independent form ~ edgfid instead.
     (New usage is discouraged.) $)
  df-edgf $a |- .ef = Slot ; 1 8 $.

  $( Utility theorem: index-independent form of ~ df-edgf .  (Contributed by
     AV, 16-Nov-2021.) $)
  edgfid $p |- .ef = Slot ( .ef ` ndx ) $=
    ( cedgf c1 c8 cdc df-edgf 1nn0 8nn decnncl ndxid ) ABCDEBCFGHI $.

  $( Index value of the ~ df-edgf slot.  (Contributed by AV, 13-Oct-2024.)
     (New usage is discouraged.) $)
  edgfndx $p |- ( .ef ` ndx ) = ; 1 8 $=
    ( cedgf c1 c8 cdc df-edgf 1nn0 8nn decnncl ndxarg ) ABCDEBCFGHI $.

  $( The index value of the edge function extractor is a positive integer.
     This property should be ensured for every concrete coding because
     otherwise it could not be used in an extensible structure (slots must be
     positive integers).  (Contributed by AV, 21-Sep-2020.)  (Proof shortened
     by AV, 13-Oct-2024.) $)
  edgfndxnn $p |- ( .ef ` ndx ) e. NN $=
    ( cnx cedgf cfv c1 c8 cdc cn edgfndx 1nn0 8nn decnncl eqeltri ) ABCDEFGHDEI
    JKL $.

  $( The value of the edge function extractor is the value of the corresponding
     slot of the structure.  (Contributed by AV, 21-Sep-2020.)  (Proof
     shortened by AV, 28-Oct-2024.) $)
  edgfndxid $p |- ( G e. V -> ( .ef ` G ) = ( G ` ( .ef ` ndx ) ) ) $=
    ( wcel cedgf cnx cfv edgfid id strfvnd ) ABCZADEDFBGJHI $.

  $( Obsolete version of ~ edgfndxid as of 28-Oct-2024.  The value of the edge
     function extractor is the value of the corresponding slot of the
     structure.  (Contributed by AV, 21-Sep-2020.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  edgfndxidOLD $p |- ( G e. V -> ( .ef ` G ) = ( G ` ( .ef ` ndx ) ) ) $=
    ( wcel cnx cedgf cfv c1 c8 cdc id df-edgf 1nn0 8nn decnncl strndxid eqcomd
    ) ABCZDEFAFAEFQAEGHIBQJKGHLMNOP $.

  $( The index value of the ` Base ` slot is less than the index value of the
     ` .ef ` slot.  (Contributed by AV, 21-Sep-2020.)  (Proof shortened by AV,
     30-Oct-2024.) $)
  baseltedgf $p |- ( Base ` ndx ) < ( .ef ` ndx ) $=
    ( c1 cdc cnx cbs cfv cedgf clt 1nn 8nn0 1nn0 declti basendx edgfndx 3brtr4i
    c8 1lt10 ) AAOBCDECFEGAOAHIJPKLMN $.

  $( Obsolete proof of ~ baseltedgf as of 30-Oct-2024.  The index value of the
     ` Base ` slot is less than the index value of the ` .ef ` slot.
     (Contributed by AV, 21-Sep-2020.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  baseltedgfOLD $p |- ( Base ` ndx ) < ( .ef ` ndx ) $=
    ( c1 c8 cdc cnx cbs cfv cedgf clt 1nn 8nn0 1nn0 1lt10 declti df-base ndxarg
    df-edgf 8nn decnncl 3brtr4i ) AABCZDEFDGFHABAIJKLMEANIOGTPABKQROS $.

  $( The slots ` Base ` and ` .ef ` are different.  (Contributed by AV,
     21-Sep-2020.) $)
  basendxnedgfndx $p |- ( Base ` ndx ) =/= ( .ef ` ndx ) $=
    ( cnx cbs cfv cedgf basendxnn nnrei baseltedgf ltneii ) ABCZADCIEFGH $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Vertices and indexed edges
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The key concepts in graph theory are _vertices_ and _edges_. In general, a
  graph "consists" (at least) of two sets: the set of vertices and the set of
  edges.  The edges "connect" vertices.  The meaning of "connect" is different
  for different kinds of graphs (directed/undirected graphs, hyper-/pseudo-/
  multi-/simple graphs, etc.).  The simplest way to represent a graph (of any
  kind) is to define a graph as "an ordered pair of disjoint sets (V, E)" (see
  section I.1 in [Bollobas] p. 1), or in the notation of Metamath:
  ` <. V , E >. `.

  Another way is to regard a graph as a mathematical structure, which consistes
  at least of a set (of vertices) and a relation between the vertices (edge
  function), but which can be enhanced by additional features (see Wikipedia
  "Mathematical structure", 24-Sep-2020,
  ~ https://en.wikipedia.org/wiki/Mathematical_structure ): "In mathematics,
  a _structure_ is a set endowed with some additional features on the set
  (e.g., operation, relation, metric, topology).  Often, the additional
  features are attached or related to the set, so as to provide it with some
  additional meaning or significance.".  Such structures are provided as
  "extensible structures" in Metamath, see ~ df-struct .

  To allow for expressing and proving most of the theorems for graphs
  independently from their representation, the functions ` Vtx ` and ` iEdg `
  are defined (see ~ df-vtx and ~ df-iedg ), which provide the vertices resp.
  (indexed) edges of an arbitrary class ` G ` which represents a graph:
  ` ( Vtx `` G ) ` resp. ` ( iEdg `` G ) `.  In literature, these functions are
  often denoted also by "V" and "E", see section I.1 in [Bollobas] p. 1 ("If G
  is a graph, then V = V(G) is the vertex set of G, and E = E(G) is the edge
  set.") or section 1.1 in [Diestel] p. 2 ("The vertex set of graph G is
  referred to as V(G), its edge set as E(G).").

  Instead of providing edges themselves, ` iEdg ` is intended to provide a
  function as mapping of "indices" (the domain of the function) to the edges
  (therefore called "set of indexed edges"), which allows for
  hyper-/pseudo-/multigraphs with more than one edge between two (or more)
  vertices.  For example, e_1 = e(1) = { a, b } and e_2 = e(2) = { a, b } are
  two _different_ edges connecting the same two vertices a and b (in a
  pseudograph).  In section 1.10 of [Diestel] p. 28, the edge function is
  defined differently: as "map E -> V u. [[V]^2 assigning to every edge either
  one or two vertices, its _end_.".  Here, the domain is the set of abstract
  edges: for two different edges e_1 and e_2 connecting the same two vertices a
  and b, we would have e(e_1) = e(e_2) = { a, b }.  Since the set of abstract
  edges can be chosen as index set, these definitions are equivalent.

  The result of these functions are as expected: for a graph represented as
  ordered pair ( ` G e. ( _V X. _V ) ` ), the set of vertices is
  ` ( Vtx `` G ) = ( 1st ``  G ) ` (see ~ opvtxval ) and the set of (indexed)
  edges is ` ( iEdg `` G ) = ( 2nd ``  G ) ` (see ~ opiedgval ), or if ` G ` is
  given as ordered pair ` G = <. V , E >. `, the set of vertices is
  ` ( Vtx `` G ) = V ` (see ~ opvtxfv ) and the set of (indexed) edges is
  ` ( iEdg `` G ) = E ` (see ~ opiedgfv ).

  And for a graph represented as extensible structure
  (` G Struct <. ( Base `` ndx ) , ( .ef `` ndx ) >. `), the set of vertices is
  ` ( Vtx `` G ) = ( Base ``  G ) ` (see ~ funvtxval )  and the set of
  (indexed) edges is ` ( iEdg `` G ) = ( .ef ``  G ) ` (see ~ funiedgval ),
  or if ` G ` is given in its simplest form as extensible structure with two
  slots (` G = { <. ( Base `` ndx ) , V >. , <. ( .ef `` ndx ) , E >. } `), the
  set of vertices is ` ( Vtx `` G ) = V ` (see ~ struct2grvtx ) and the set of
  (indexed) edges is ` ( iEdg `` G ) = E ` (see ~ struct2griedg ).

  These two representations are convertible, see ~ graop and ~ grastruct :
  If ` G ` is a graph (for example ` G = <. V , E >. `), then
  ` H = { <. ( Base `` ndx ) , ( Vtx `` G ) >. , `
        ` <. ( .ef `` ndx ) , ( iEdg `` G ) >. } ` represents essentially the
  same graph, and if ` G ` is a graph (for example
  ` G = { <. ( Base `` ndx ) , V >. , <. ( .ef `` ndx ) , E >. } `),
  then ` H = <. ( Vtx `` G ) , ( iEdg `` G )  >. ` represents essentially the
  same graph.  In both cases, ` ( Vtx `` G ) = ( Vtx `` H ) ` and
  ` ( iEdg `` G ) = ( iEdg `` H ) ` hold.  Theorems ~ gropd and ~ gropeld show
  that if any representation of a graph with vertices ` V ` and edges ` E ` has
  a certain property, then the ordered pair ` <. V , E >. ` of the set of
  vertices and the set of edges (which is such a representation of a graph with
  vertices ` V ` and edges ` E `) has this property.  Analogously, theorems
  ~ grstructd and ~ grstructeld show that if any representation of a graph with
  vertices ` V ` and edges ` E ` has a certain property, then any extensible
  structure with base set ` V ` and value ` E ` in the slot for edge functions
  (which is also such a representation of a graph with vertices ` V ` and edges
  ` E `) has this property.

  Besides the usual way to represent graphs without edges (consisting of
  unconnected vertices only), which would be ` G = <. V , (/) >. ` or
  ` G = { <. ( Base `` ndx ) , V >. , <. ( .ef `` ndx ) , (/) >. } `,
  a structure without a slot for edges can be used:
  ` G = { <. ( Base `` ndx ) , V >. } `, see ~ snstrvtxval and ~ snstriedgval .
  Analogously, the empty set ` (/) ` can be used to represent the null graph,
  see ~ vtxval0 and ~ iedgval0 , which can also be represented by
  ` G = <. (/) , (/) >. ` or
  ` G = { <. ( Base `` ndx ) , (/) >. , <. ( .ef `` ndx ) , (/) >. } `.  Even
  proper classes can be used to represent the null graph, see ~ vtxvalprc and
  ~ iedgvalprc .

  Other classes should not be used to represent graphs, because there could be
  a degenerate behavior of the vertex set and (indexed) edge functions, see
  ~ vtxvalsnop resp. ~ iedgvalsnop , and ~ vtxval3sn resp. ~ iedgval3sn .
  Avoid directly depending on this detail so that theorems will not depend on
  the Kuratowski construction of ordered pairs, see also the comment for
  ~ df-op .

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Definitions and basic properties
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c Vtx iEdg $.

  $( Extend class notation with the vertices of "graphs". $)
  cvtx $a class Vtx $.

  $( Extend class notation with the indexed edges of "graphs". $)
  ciedg $a class iEdg $.

  $( Define the function mapping a graph to the set of its vertices.  This
     definition is very general:  It defines the set of vertices for any
     ordered pair as its first component, and for any other class as its "base
     set".  It is meaningful, however, only if the ordered pair represents a
     graph resp. the class is an extensible structure representing a graph.
     (Contributed by AV, 9-Jan-2020.)  (Revised by AV, 20-Sep-2020.) $)
  df-vtx $a |- Vtx = ( g e. _V |-> if ( g e. ( _V X. _V ) ,
                                        ( 1st ` g ) , ( Base ` g ) ) ) $.

  $( Define the function mapping a graph to its indexed edges.  This definition
     is very general:  It defines the indexed edges for any ordered pair as its
     second component, and for any other class as its "edge function".  It is
     meaningful, however, only if the ordered pair represents a graph resp. the
     class is an extensible structure (containing a slot for "edge functions")
     representing a graph.  (Contributed by AV, 20-Sep-2020.) $)
  df-iedg $a |- iEdg = ( g e. _V |-> if ( g e. ( _V X. _V ) ,
                                               ( 2nd ` g ) , ( .ef ` g ) ) ) $.

  ${
    $d G g $.
    $( The set of vertices of a graph.  (Contributed by AV, 9-Jan-2020.)
       (Revised by AV, 21-Sep-2020.) $)
    vtxval $p |- ( Vtx ` G ) = if ( G e. ( _V X. _V ) ,
                                    ( 1st ` G ) , ( Base ` G ) ) $=
      ( vg cvv wcel cvtx cfv cxp c1st cbs cif wceq eleq1 fveq2 ifbieq12d df-vtx
      cv fvex ifex fvmpt fvprc wn c0 prcnel iffalsed 3eqtr4rd pm2.61i ) ACDZAEF
      ZACCGZDZAHFZAIFZJZKBABPZUIDZUNHFZUNIFZJUMCEUNAKUOUJUPUQUKULUNAUILUNAHMUNA
      IMNBOUJUKULAHQAIQRSUGUAZULUBUMUHAITURUJUKULAUIUCUDAETUEUF $.

    $( The set of indexed edges of a graph.  (Contributed by AV,
       21-Sep-2020.) $)
    iedgval $p |- ( iEdg ` G ) = if ( G e. ( _V X. _V ) ,
                                      ( 2nd ` G ) , ( .ef ` G ) ) $=
      ( vg cvv wcel ciedg cfv cxp c2nd cedgf wceq eleq1 fveq2 ifbieq12d df-iedg
      cif cv fvex ifex fvmpt fvprc wn c0 prcnel iffalsed 3eqtr4rd pm2.61i ) ACD
      ZAEFZACCGZDZAHFZAIFZOZJBABPZUIDZUNHFZUNIFZOUMCEUNAJUOUJUPUQUKULUNAUIKUNAH
      LUNAILMBNUJUKULAHQAIQRSUGUAZULUBUMUHAITURUJUKULAUIUCUDAETUEUF $.
  $}

  ${
    1vgrex.v $e |- V = ( Vtx ` G ) $.
    $( A graph with at least one vertex is a set.  (Contributed by AV,
       2-Mar-2021.) $)
    1vgrex $p |- ( N e. V -> G e. _V ) $=
      ( cvv wcel cvtx cfv elfvex eleq2s ) AEFBAGHCBAGIDJ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The vertices and edges of a graph represented as ordered pair
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The set of vertices of a graph represented as an ordered pair of vertices
     and indexed edges.  (Contributed by AV, 9-Jan-2020.)  (Revised by AV,
     21-Sep-2020.) $)
  opvtxval $p |- ( G e. ( _V X. _V ) -> ( Vtx ` G ) = ( 1st ` G ) ) $=
    ( cvv cxp wcel cvtx cfv c1st cbs cif vtxval iftrue syl5eq ) ABBCDZAEFMAGFZA
    HFZINAJMNOKL $.

  $( The set of vertices of a graph represented as an ordered pair of vertices
     and indexed edges as function value.  (Contributed by AV, 21-Sep-2020.) $)
  opvtxfv $p |- ( ( V e. X /\ E e. Y ) -> ( Vtx ` <. V , E >. ) = V ) $=
    ( wcel wa cop cvtx cfv c1st cvv cxp wceq opelvvg opvtxval syl op1stg eqtrd
    ) BCEADEFZBAGZHIZTJIZBSTKKLEUAUBMBACDNTOPBACDQR $.

  $( The set of vertices of a graph represented as an ordered pair of vertices
     and indexed edges as operation value.  (Contributed by AV,
     21-Sep-2020.) $)
  opvtxov $p |- ( ( V e. X /\ E e. Y ) -> ( V Vtx E ) = V ) $=
    ( wcel wa cvtx co cop cfv df-ov opvtxfv syl5eq ) BCEADEFBAGHBAIGJBBAGKABCDL
    M $.

  $( The set of indexed edges of a graph represented as an ordered pair of
     vertices and indexed edges.  (Contributed by AV, 21-Sep-2020.) $)
  opiedgval $p |- ( G e. ( _V X. _V ) -> ( iEdg ` G ) = ( 2nd ` G ) ) $=
    ( cvv cxp wcel ciedg cfv c2nd cedgf cif iedgval iftrue syl5eq ) ABBCDZAEFMA
    GFZAHFZINAJMNOKL $.

  $( The set of indexed edges of a graph represented as an ordered pair of
     vertices and indexed edges as function value.  (Contributed by AV,
     21-Sep-2020.) $)
  opiedgfv $p |- ( ( V e. X /\ E e. Y ) -> ( iEdg ` <. V , E >. ) = E ) $=
    ( wcel cop ciedg cfv c2nd cvv cxp wceq opelvvg opiedgval syl op2ndg eqtrd
    wa ) BCEADERZBAFZGHZTIHZASTJJKEUAUBLBACDMTNOBACDPQ $.

  $( The set of indexed edges of a graph represented as an ordered pair of
     vertices and indexed edges as operation value.  (Contributed by AV,
     21-Sep-2020.) $)
  opiedgov $p |- ( ( V e. X /\ E e. Y ) -> ( V iEdg E ) = E ) $=
    ( wcel wa ciedg co cop cfv df-ov opiedgfv syl5eq ) BCEADEFBAGHBAIGJABAGKABC
    DLM $.

  ${
    opvtxfvi.v $e |- V e. _V $.
    opvtxfvi.e $e |- E e. _V $.
    $( The set of vertices of a graph represented as an ordered pair of
       vertices and indexed edges as function value.  (Contributed by AV,
       4-Mar-2021.) $)
    opvtxfvi $p |- ( Vtx ` <. V , E >. ) = V $=
      ( cvv wcel cop cvtx cfv wceq opvtxfv mp2an ) BEFAEFBAGHIBJCDABEEKL $.

    $( The set of indexed edges of a graph represented as an ordered pair of
       vertices and indexed edges as function value.  (Contributed by AV,
       4-Mar-2021.) $)
    opiedgfvi $p |- ( iEdg ` <. V , E >. ) = E $=
      ( cvv wcel cop ciedg cfv wceq opiedgfv mp2an ) BEFAEFBAGHIAJCDABEEKL $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The vertices and edges of a graph represented as extensible structure
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The set of vertices of an extensible structure with (at least) two slots.
     (Contributed by AV, 12-Oct-2020.)  (Revised by AV, 7-Jun-2021.)  (Revised
     by AV, 12-Nov-2021.) $)
  funvtxdmge2val $p |- ( ( Fun ( G \ { (/) } ) /\ 2 <_ ( # ` dom G ) )
                         -> ( Vtx ` G ) = ( Base ` G ) ) $=
    ( c0 csn cdif wfun c2 cdm chash cfv cle wbr wa cvtx cvv cxp wcel cbs vtxval
    c1st cif fundmge2nop0 iffalsed syl5eq ) ABCDEFAGHIJKLZAMIANNOPZASIZAQIZTUGA
    RUDUEUFUGAUAUBUC $.

  $( The set of indexed edges of an extensible structure with (at least) two
     slots.  (Contributed by AV, 12-Oct-2020.)  (Revised by AV, 7-Jun-2021.)
     (Revised by AV, 12-Nov-2021.) $)
  funiedgdmge2val $p |- ( ( Fun ( G \ { (/) } ) /\ 2 <_ ( # ` dom G ) )
                          -> ( iEdg ` G ) = ( .ef ` G ) ) $=
    ( c0 csn cdif wfun c2 cdm chash cfv cle wbr wa ciedg cvv cxp wcel cedgf cif
    c2nd iedgval fundmge2nop0 iffalsed syl5eq ) ABCDEFAGHIJKLZAMIANNOPZASIZAQIZ
    RUGATUDUEUFUGAUAUBUC $.

  ${
    funvtxdm2val.a $e |- A e. _V $.
    funvtxdm2val.b $e |- B e. _V $.
    $( The set of vertices of an extensible structure with (at least) two
       slots.  (Contributed by AV, 22-Sep-2020.)  (Revised by AV, 7-Jun-2021.)
       (Revised by AV, 12-Nov-2021.) $)
    funvtxdm2val $p |- ( ( Fun ( G \ { (/) } ) /\ A =/= B
                     /\ { A , B } C_ dom G ) -> ( Vtx ` G ) = ( Base ` G ) ) $=
      ( c0 csn cdif wfun wne cpr cdm wss w3a cvtx cfv cvv cxp wcel c1st cbs cif
      vtxval fun2dmnop0 iffalsed syl5eq ) CFGHIABJABKCLMNZCOPCQQRSZCTPZCUAPZUBU
      JCUCUGUHUIUJABCDEUDUEUF $.

    $( The set of indexed edges of an extensible structure with (at least) two
       slots.  (Contributed by AV, 22-Sep-2020.)  (Revised by AV, 7-Jun-2021.)
       (Revised by AV, 12-Nov-2021.) $)
    funiedgdm2val $p |- ( ( Fun ( G \ { (/) } ) /\ A =/= B
                     /\ { A , B } C_ dom G ) -> ( iEdg ` G ) = ( .ef ` G ) ) $=
      ( c0 csn cdif wfun wne cpr cdm wss w3a ciedg cfv cvv cxp wcel c2nd syl5eq
      cedgf cif iedgval fun2dmnop0 iffalsed ) CFGHIABJABKCLMNZCOPCQQRSZCTPZCUBP
      ZUCUJCUDUGUHUIUJABCDEUEUFUA $.
  $}

  ${
    funvtxval0.s $e |- S e. _V $.
    $( The set of vertices of an extensible structure with a base set and (at
       least) another slot.  (Contributed by AV, 22-Sep-2020.)  (Revised by AV,
       7-Jun-2021.)  (Revised by AV, 12-Nov-2021.) $)
    funvtxval0 $p |- ( ( Fun ( G \ { (/) } ) /\ S =/= ( Base ` ndx )
                         /\ { ( Base ` ndx ) , S } C_ dom G )
                       -> ( Vtx ` G ) = ( Base ` G ) ) $=
      ( cnx cbs cfv wne csn cdif wfun cpr cdm cvtx wceq necom fvex funvtxdm2val
      c0 wss syl3an2b ) ADEFZGBRHIJUAAGUAAKBLSBMFBEFNAUAOUAABDEPCQT $.
  $}

  ${
    basvtxval.s $e |- ( ph -> G Struct X ) $.
    basvtxval.d $e |- ( ph -> 2 <_ ( # ` dom G ) ) $.
    ${
      basvtxval.v $e |- ( ph -> V e. Y ) $.
      basvtxval.b $e |- ( ph -> <. ( Base ` ndx ) , V >. e. G ) $.
      $( The set of vertices of a graph represented as an extensible structure
         with the set of vertices as base set.  (Contributed by AV,
         14-Oct-2020.)  (Revised by AV, 12-Nov-2021.) $)
      basvtxval $p |- ( ph -> ( Vtx ` G ) = V ) $=
        ( cvtx cfv cbs c0 csn cdif wfun c2 cdm chash wbr cle syl funvtxdmge2val
        wceq cstr structn0fun syl2anc opelstrbas eqtr4d ) ABJKZBLKZCABMNOPZQBRS
        KUATUJUKUDABDUETULFBDUFUBGBUCUGABCDEFHIUHUI $.
    $}

    edgfiedgval.e $e |- ( ph -> E e. Y ) $.
    edgfiedgval.f $e |- ( ph -> <. ( .ef ` ndx ) , E >. e. G ) $.
    $( The set of indexed edges of a graph represented as an extensible
       structure with the indexed edges in the slot for edge functions.
       (Contributed by AV, 14-Oct-2020.)  (Revised by AV, 12-Nov-2021.) $)
    edgfiedgval $p |- ( ph -> ( iEdg ` G ) = E ) $=
      ( ciedg cfv cedgf c0 csn cdif wfun wbr syl cvv ccnv c2 cdm chash cle wceq
      cstr structn0fun funiedgdmge2val syl2anc wcel structex structfung strfv2d
      edgfid eqtr4d ) ACJKZCLKZBACMNOPZUACUBUCKUDQUPUQUEACDUFQZURFCDUGRGCUHUIAB
      CLSEUNAUSCSUJFCDUKRAUSCTTPFCDULRIHUMUO $.
  $}

  $( The set of vertices of a graph represented as an extensible structure with
     vertices as base set and indexed edges.  (Contributed by AV, 22-Sep-2020.)
     (Revised by AV, 7-Jun-2021.)  (Revised by AV, 12-Nov-2021.) $)
  funvtxval $p |- ( ( Fun ( G \ { (/) } )
                      /\ { ( Base ` ndx ) , ( .ef ` ndx ) } C_ dom G )
                    -> ( Vtx ` G ) = ( Base ` G ) ) $=
    ( csn cdif wfun cnx cbs cfv cedgf wne cpr cdm wss cvtx wceq basendxnedgfndx
    c0 fvex funvtxdm2val mp3an2 ) APBCDEFGZEHGZITUAJAKLAMGAFGNOTUAAEFQEHQRS $.

  $( The set of indexed edges of a graph represented as an extensible structure
     with vertices as base set and indexed edges.  (Contributed by AV,
     21-Sep-2020.)  (Revised by AV, 7-Jun-2021.)  (Revised by AV,
     12-Nov-2021.) $)
  funiedgval $p |- ( ( Fun ( G \ { (/) } )
                       /\ { ( Base ` ndx ) , ( .ef ` ndx ) } C_ dom G )
                     -> ( iEdg ` G ) = ( .ef ` G ) ) $=
    ( c0 csn cdif wfun cnx cbs cfv cedgf wne cpr cdm ciedg wceq basendxnedgfndx
    wss fvex funiedgdm2val mp3an2 ) ABCDEFGHZFIHZJTUAKALPAMHAIHNOTUAAFGQFIQRS
    $.

  ${
    structvtxvallem.s $e |- S e. NN $.
    structvtxvallem.b $e |- ( Base ` ndx ) < S $.
    structvtxvallem.g $e |- G = { <. ( Base ` ndx ) , V >. , <. S , E >. } $.
    $( Lemma for ~ structvtxval and ~ structiedg0val .  (Contributed by AV,
       23-Sep-2020.)  (Revised by AV, 12-Nov-2021.) $)
    structvtxvallem $p |- ( ( V e. X /\ E e. Y ) -> 2 <_ ( # ` dom G ) ) $=
      ( wcel wa cnx cbs cfv cvv cn fvexd a1i simpl cop simpr cpr prex basendxnn
      eqeltri wne nnrei ltneii wss eqimss2i hashdmpropge2 ) DEJZBFJZKZLMNZADBCO
      PEFOUNLMQAPJUNGRULUMSULUMUACOJUNCUODTZABTZUBZOIUPUQUCUERUOAUFUNUOAUOUDUGH
      UHRURCUIUNCURIUJRUK $.

    $( The set of vertices of an extensible structure with a base set and
       another slot.  (Contributed by AV, 23-Sep-2020.)  (Proof shortened by
       AV, 12-Nov-2021.) $)
    structvtxval $p |- ( ( V e. X /\ E e. Y ) -> ( Vtx ` G ) = V ) $=
      ( wcel wa cnx cbs cfv cop cstr wbr 2strstr1 a1i structvtxvallem simpl cpr
      opex prid1 eleqtrri basvtxval ) DEJZBFJZKZCDLMNZAOZECUKPQUIDBCAIHGRSABCDE
      FGHITUGUHUAUJDOZCJUIULULABOZUBCULUMUJDUCUDIUESUF $.

    $( The set of indexed edges of an extensible structure with a base set and
       another slot not being the slot for edge functions is empty.
       (Contributed by AV, 23-Sep-2020.)  (Proof shortened by AV,
       12-Nov-2021.) $)
    structiedg0val $p |- ( ( V e. X /\ E e. Y /\ S =/= ( .ef ` ndx ) )
                           -> ( iEdg ` G ) = (/) ) $=
      ( wcel cnx cedgf cfv c0 wceq cop wbr cdm cvv wn wne w3a ciedg cbs cstr wa
      2strstr1 csn cdif wfun c2 cle structn0fun structvtxvallem funiedgdmge2val
      chash syl2an mpan 3adant3 cpr prex a1i eqeltrid edgfndxid basendxnedgfndx
      mp2b nesymi neneq eqcom sylnibr 3ad2ant3 ioran sylanbrc fvex elpr dmpropg
      wo dmeqi syl5eq neleqtrrd ndmfv syl eqtrd ) DEJZBFJZAKLMZUAZUBZCUCMZCLMZN
      WDWEWIWJOZWGCKUDMZAPZUEQZWDWEUFZWKDBCAIHGUGWNCNUHUIUJUKCRZUPMULQWKWOCWMUM
      ABCDEFGHIUNCUOUQURUSWHWJWFCMZNCWLDPZABPZUTZOZCSJWJWQOIXACWTSIWTSJXAWRWSVA
      VBVCCSVDVFWHWFWPJTWQNOWHWPWLAUTZWFWHWFWLOZWFAOZVQZWFXBJWHXCTZXDTZXETXFWHW
      LWFVEVGVBWGWDXGWEWGAWFOXDAWFVHWFAVIVJVKXCXDVLVMWFWLAKLVNVOVJWHWPWTRZXBCWT
      IVRWDWEXHXBOWGWLDABEFVPUSVSVTWFCWAWBVSWC $.
  $}

  ${
    structgrssvtx.g $e |- ( ph -> G Struct X ) $.
    structgrssvtx.v $e |- ( ph -> V e. Y ) $.
    structgrssvtx.e $e |- ( ph -> E e. Z ) $.
    structgrssvtx.s $e |- ( ph -> { <. ( Base ` ndx ) , V >. ,
                                    <. ( .ef ` ndx ) , E >. } C_ G ) $.
    $( Lemma for ~ structgrssvtx and ~ structgrssiedg .  (Contributed by AV,
       14-Oct-2020.)  (Proof shortened by AV, 12-Nov-2021.) $)
    structgrssvtxlem $p |- ( ph -> 2 <_ ( # ` dom G ) ) $=
      ( cnx cbs cfv cedgf cvv fvexd cstr wbr wcel basendxnedgfndx hashdmpropge2
      structex syl wne a1i ) ALMNZLONZDBCPPFGPALMQALOQIJACERSCPTHCEUCUDUGUHUEAU
      AUFKUB $.

    $( The set of vertices of a graph represented as an extensible structure
       with vertices as base set and indexed edges.  (Contributed by AV,
       14-Oct-2020.)  (Proof shortened by AV, 12-Nov-2021.) $)
    structgrssvtx $p |- ( ph -> ( Vtx ` G ) = V ) $=
      ( structgrssvtxlem cnx cbs cfv cop cedgf cpr wcel opex wss wa prss sylbir
      simpl syl basvtxval ) ACDEFHABCDEFGHIJKLIAMNOZDPZMQOZBPZRCUAZUICSZKULUMUK
      CSZUBUMUIUKCUHDTUJBTUCUMUNUEUDUFUG $.

    $( The set of indexed edges of a graph represented as an extensible
       structure with vertices as base set and indexed edges.  (Contributed by
       AV, 14-Oct-2020.)  (Proof shortened by AV, 12-Nov-2021.) $)
    structgrssiedg $p |- ( ph -> ( iEdg ` G ) = E ) $=
      ( structgrssvtxlem cnx cbs cfv cop cedgf cpr wcel opex wss wa prss sylbir
      simpr syl edgfiedgval ) ABCEGHABCDEFGHIJKLJAMNOZDPZMQOZBPZRCUAZUKCSZKULUI
      CSZUMUBUMUIUKCUHDTUJBTUCUNUMUEUDUFUG $.
  $}

  ${
    struct2grvtx.g $e |- G = { <. ( Base ` ndx ) , V >. ,
                               <. ( .ef ` ndx ) , E >. } $.
    $( A graph represented as an extensible structure with vertices as base set
       and indexed edges is actually an extensible structure.  (Contributed by
       AV, 23-Nov-2020.) $)
    struct2grstr $p |- G Struct <. ( Base ` ndx ) , ( .ef ` ndx ) >. $=
      ( cnx cedgf cfv baseltedgf edgfndxnn 2strstr1 ) CABEFGDHIJ $.

    $( The set of vertices of a graph represented as an extensible structure
       with vertices as base set and indexed edges.  (Contributed by AV,
       23-Sep-2020.) $)
    struct2grvtx $p |- ( ( V e. X /\ E e. Y ) -> ( Vtx ` G ) = V ) $=
      ( cnx cedgf cfv edgfndxnn baseltedgf structvtxval ) GHIABCDEJKFL $.

    $( The set of indexed edges of a graph represented as an extensible
       structure with vertices as base set and indexed edges.  (Contributed by
       AV, 23-Sep-2020.)  (Proof shortened by AV, 12-Nov-2021.) $)
    struct2griedg $p |- ( ( V e. X /\ E e. Y ) -> ( iEdg ` G ) = E ) $=
      ( wcel wa cnx cbs cfv cedgf cop cstr wbr struct2grstr a1i simpl simpr cpr
      wss eqimss2i structgrssiedg ) CDGZAEGZHZABCIJKZILKZMZDEBUINOUFABCFPQUDUER
      UDUESUGCMUHAMTZBUAUFBUJFUBQUC $.
  $}

  ${
    graop.h $e |- H = <. ( Vtx ` G ) , ( iEdg ` G ) >. $.
    $( Any representation of a graph ` G ` (especially as extensible structure
       ` G = { <. ( Base `` ndx ) , V >. , <. ( .ef `` ndx ) , E >. } ` ) is
       convertible in a representation of the graph as ordered pair.
       (Contributed by AV, 7-Oct-2020.) $)
    graop $p |- ( ( Vtx ` G ) = ( Vtx ` H )
                  /\ ( iEdg ` G ) = ( iEdg ` H ) ) $=
      ( cvtx cfv wceq ciedg cop fveq2i fvex opvtxfvi eqtr2i opiedgfvi pm3.2i )
      ADEZBDEZFAGEZBGEZFPOQHZDEOBSDCIQOADJZAGJZKLRSGEQBSGCIQOTUAMLN $.
  $}

  ${
    grastruct.h $e |- H = { <. ( Base ` ndx ) , ( Vtx ` G ) >. ,
                                <. ( .ef ` ndx ) , ( iEdg ` G ) >. } $.
    $( Any representation of a graph ` G ` (especially as ordered pair
       ` G = <. V , E >. ` ) is convertible in a representation of the graph as
       extensible structure.  (Contributed by AV, 8-Oct-2020.) $)
    grastruct $p |- ( ( Vtx ` G ) = ( Vtx ` H )
                      /\ ( iEdg ` G ) = ( iEdg ` H ) ) $=
      ( cvtx cfv wceq ciedg wcel struct2grvtx mp2an eqcomi struct2griedg pm3.2i
      cvv fvex ) ADEZBDEZFAGEZBGEZFQPPNHZRNHZQPFADOZAGOZRBPNNCIJKSRTUASRFUBUCRB
      PNNCLJKM $.
  $}

  ${
    $d E g $.  $d V g $.  $d ph g $.
    gropd.g $e |- ( ph -> A. g ( ( ( Vtx ` g ) = V /\ ( iEdg ` g ) = E )
                                   -> ps ) ) $.
    gropd.v $e |- ( ph -> V e. U ) $.
    gropd.e $e |- ( ph -> E e. W ) $.
    $( If any representation of a graph with vertices ` V ` and edges ` E ` has
       a certain property ` ps ` , then the ordered pair ` <. V , E >. ` of the
       set of vertices and the set of edges (which is such a representation of
       a graph with vertices ` V ` and edges ` E ` ) has this property.
       (Contributed by AV, 11-Oct-2020.) $)
    gropd $p |- ( ph -> [. <. V , E >. / g ]. ps ) $=
      ( cop cvv wcel cvtx cfv wceq ciedg wa wi fveqeq2 cv wal wsbc opex opvtxfv
      a1i opiedgfv jca syl2anc nfcv nfsbc1v anbi12d sbceq1a imbi12d spcgf syl3c
      nfv nfim ) AFEKZLMZDUAZNOFPZVAQOEPZRZBSZDUBUSNOFPZUSQOEPZRZBDUSUCZUTAFEUD
      UFHAFCMZEGMZVHIJVJVKRVFVGEFCGUEEFCGUGUHUIVEVHVISDUSLDUSUJVHVIDVHDUQBDUSUK
      URVAUSPZVDVHBVIVLVBVFVCVGVAUSFNTVAUSEQTULBDUSUMUNUOUP $.

    $d S g $.
    grstructd.s $e |- ( ph -> S e. X ) $.
    grstructd.f $e |- ( ph -> Fun ( S \ { (/) } ) ) $.
    grstructd.d $e |- ( ph -> 2 <_ ( # ` dom S ) ) $.
    grstructd.b $e |- ( ph -> ( Base ` S ) = V ) $.
    grstructd.e $e |- ( ph -> ( .ef ` S ) = E ) $.
    $( If any representation of a graph with vertices ` V ` and edges ` E ` has
       a certain property ` ps ` , then any structure with base set ` V ` and
       value ` E ` in the slot for edge functions (which is such a
       representation of a graph with vertices ` V ` and edges ` E ` ) has this
       property.  (Contributed by AV, 12-Oct-2020.)  (Revised by AV,
       9-Jun-2021.) $)
    grstructd $p |- ( ph -> [. S / g ]. ps ) $=
      ( cvtx cfv wceq wcel cv ciedg wa wi wal wsbc cbs c0 csn cdif c2 cdm chash
      wfun cle wbr funvtxdmge2val syl2anc eqtrd funiedgdmge2val jca nfv nfsbc1v
      cedgf nfcv nfim fveqeq2 anbi12d sbceq1a imbi12d spcgf syl3c ) ACIUAEUBZRS
      GTZVNUCSFTZUDZBUEZEUFCRSZGTZCUCSZFTZUDZBECUGZMJAVTWBAVSCUHSZGACUIUJUKUOZU
      LCUMUNSUPUQZVSWETNOCURUSPUTAWACVESZFAWFWGWAWHTNOCVAUSQUTVBVRWCWDUEECIECVF
      WCWDEWCEVCBECVDVGVNCTZVQWCBWDWIVOVTVPWBVNCGRVHVNCFUCVHVIBECVJVKVLVM $.
  $}

  ${
    $d C g $.  $d E g $.  $d V g $.  $d ph g $.
    gropeld.g $e |- ( ph -> A. g ( ( ( Vtx ` g ) = V /\ ( iEdg ` g ) = E )
                                   -> g e. C ) ) $.
    gropeld.v $e |- ( ph -> V e. U ) $.
    gropeld.e $e |- ( ph -> E e. W ) $.
    $( If any representation of a graph with vertices ` V ` and edges ` E ` is
       an element of an arbitrary class ` C ` , then the ordered pair
       ` <. V , E >. ` of the set of vertices and the set of edges (which is
       such a representation of a graph with vertices ` V ` and edges ` E ` )
       is an element of this class ` C ` .  (Contributed by AV,
       11-Oct-2020.) $)
    gropeld $p |- ( ph -> <. V , E >. e. C ) $=
      ( cv wcel cop wsbc gropd sbcel1v sylib ) ADKBLZDFEMZNSBLARCDEFGHIJODSBPQ
      $.

    $d S g $.
    grstructeld.s $e |- ( ph -> S e. X ) $.
    grstructeld.f $e |- ( ph -> Fun ( S \ { (/) } ) ) $.
    grstructeld.d $e |- ( ph -> 2 <_ ( # ` dom S ) ) $.
    grstructeld.b $e |- ( ph -> ( Base ` S ) = V ) $.
    grstructeld.e $e |- ( ph -> ( .ef ` S ) = E ) $.
    $( If any representation of a graph with vertices ` V ` and edges ` E ` is
       an element of an arbitrary class ` C ` , then any structure with base
       set ` V ` and value ` E ` in the slot for edge functions (which is such
       a representation of a graph with vertices ` V ` and edges ` E ` ) is an
       element of this class ` C ` .  (Contributed by AV, 12-Oct-2020.)
       (Revised by AV, 9-Jun-2021.) $)
    grstructeld $p |- ( ph -> S e. C ) $=
      ( cv wcel wsbc grstructd sbcel1v sylib ) AERBSZECTCBSAUDCDEFGHIJKLMNOPQUA
      ECBUBUC $.
  $}

  ${
    setsvtx.i $e |- I = ( .ef ` ndx ) $.
    setsvtx.s $e |- ( ph -> G Struct X ) $.
    setsvtx.b $e |- ( ph -> ( Base ` ndx ) e. dom G ) $.
    setsvtx.e $e |- ( ph -> E e. W ) $.
    $( The vertices of a structure with a base set and an inserted resp.
       replaced slot for the edge function.  (Contributed by AV, 18-Jan-2020.)
       (Revised by AV, 16-Nov-2021.) $)
    setsvtx $p |- ( ph -> ( Vtx ` ( G sSet <. I , E >. ) ) = ( Base ` G ) ) $=
      ( cop csts co cvtx cfv cbs cnx cedgf cpr cvv csn cdif wfun cdm wceq fvexi
      c0 wss wcel a1i setsn0fun eqcomi basprssdmsets eqsstrid funvtxval syl2anc
      preq2i baseid basendxnedgfndx neeqtrri setsnid eqtr4di ) ACDBKLMZNOZVCPOZ
      CPOAVCUGUAUBUCQPOZQROZSZVCUDZUHVDVEUEACTBDEFHDTUIADQRGUFUJZJUKAVHVFDSVIVG
      DVFDVGGULUQACTBDEFHVJJIUMUNVCUOUPBDPCURVFVGDUSGUTVAVB $.

    $( The (indexed) edges of a structure with a base set and an inserted resp.
       replaced slot for the edge function.  (Contributed by AV, 7-Jun-2021.)
       (Revised by AV, 16-Nov-2021.) $)
    setsiedg $p |- ( ph -> ( iEdg ` ( G sSet <. I , E >. ) ) = E ) $=
      ( cnx cedgf cfv cop csts co ciedg wceq cvv syl2anc c0 csn cbs cpr cdm wss
      cdif wfun fvexd setsn0fun basprssdmsets funiedgval opeq1i oveq2i a1i wcel
      fveq2i cstr wbr structex syl edgfid setsid 3eqtr4d ) ACKLMZBNZOPZQMZVGLMZ
      CDBNZOPZQMZBAVGUAUBUGUHKUCMVEUDVGUEUFVHVIRACSBVEEFHAKLUIZJUJACSBVEEFHVMJI
      UKVGULTVLVHRAVKVGQVJVFCODVEBGUMUNUQUOACSUPZBEUPBVIRACFURUSVNHCFUTVAJSBLEC
      VBVCTVD $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Representations of graphs without edges
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    snstrvtxval.v $e |- V e. _V $.
    snstrvtxval.g $e |- G = { <. ( Base ` ndx ) , V >. } $.
    $( The set of vertices of a graph without edges represented as an
       extensible structure with vertices as base set and no indexed edges.
       See ~ vtxvalsnop for the (degenerate) case where
       ` V = ( Base `` ndx ) ` .  (Contributed by AV, 23-Sep-2020.) $)
    snstrvtxval $p |- ( V =/= ( Base ` ndx ) -> ( Vtx ` G ) = V ) $=
      ( cnx cbs cfv wne cvv cxp wcel c1st cif cvtx necom fvex funsndifnop sylbi
      wn wceq iffalsed vtxval a1i 1strbas mp1i 3eqtr4d ) BEFGZHZAIIJKZALGZAFGZM
      ZUKANGZBUHUIUJUKUHUGBHUISBUGOUGBAEFPCDQRUAUMULTUHAUBUCBIKBUKTUHCBAIDUDUEU
      F $.

    $( The set of indexed edges of a graph without edges represented as an
       extensible structure with vertices as base set and no indexed edges.
       See ~ iedgvalsnop for the (degenerate) case where
       ` V = ( Base `` ndx ) ` .  (Contributed by AV, 24-Sep-2020.) $)
    snstriedgval $p |- ( V =/= ( Base ` ndx )
                            -> ( iEdg ` G ) = (/) ) $=
      ( cnx cbs cfv wne ciedg cvv wcel cedgf c0 wceq a1i wn fvex csn cdm syl5eq
      cxp c2nd iedgval necom funsndifnop sylbi iffalsed snex eqeltrid edgfndxid
      cif mp2b basendxnedgfndx nesymi elsn sylnibr dmeqi dmsnopg mp1i neleqtrrd
      cop ndmfv syl 3eqtrd ) BEFGZHZAIGZAJJUAKZAUBGZALGZUKZVJMVGVKNVFAUCOVFVHVI
      VJVFVEBHVHPBVEUDVEBAEFQCDUEUFUGVFVJELGZAGZMAVEBVAZRZNZAJKVJVMNDVPAVOJDVOJ
      KVPVNUHOUIAJUJULVFVLASZKPVMMNVFVQVERZVLVFVLVENZVLVRKVSPVFVEVLUMUNOVLVEELQ
      UOUPVFVQVOSZVRAVODUQBJKVTVRNVFCVEBJURUSTUTVLAVBVCTVD $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Degenerated cases of representations of graphs
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Degenerated case 1 for vertices:  The set of vertices of the empty set is
     the empty set.  (Contributed by AV, 24-Sep-2020.) $)
  vtxval0 $p |- ( Vtx ` (/) ) = (/) $=
    ( cvv cxp wcel c1st cfv cbs cif cvtx 0nelxp iffalsei vtxval base0 3eqtr4i
    c0 ) NAABCZNDEZNFEZGQNHENOPQAAIJNKLM $.

  $( Degenerated case 1 for edges:  The set of indexed edges of the empty set
     is the empty set.  (Contributed by AV, 24-Sep-2020.) $)
  iedgval0 $p |- ( iEdg ` (/) ) = (/) $=
    ( c0 cvv cxp wcel c2nd cfv cedgf cif ciedg 0nelxp iffalsei iedgval cnx str0
    edgfid 3eqtr4i ) ABBCDZAEFZAGFZHSAIFAQRSBBJKALGMGFONP $.

  ${
    vtxvalsnop.b $e |- B e. _V $.
    vtxvalsnop.g $e |- G = { <. B , B >. } $.
    $( Degenerated case 2 for vertices:  The set of vertices of a singleton
       containing an ordered pair with equal components is the singleton
       containing the component.  (Contributed by AV, 24-Sep-2020.)  (Proof
       shortened by AV, 15-Jul-2022.)  (Avoid depending on this detail.) $)
    vtxvalsnop $p |- ( Vtx ` G ) = { B } $=
      ( cvtx cfv cop csn fveq2i snopeqopsnid snex opvtxfvi 3eqtri ) BEFAAGHZEFA
      HZOGZEFOBNEDINPEACJIOOAKZQLM $.

    $( Degenerated case 2 for edges:  The set of indexed edges of a singleton
       containing an ordered pair with equal components is the singleton
       containing the component.  (Contributed by AV, 24-Sep-2020.)  (Proof
       shortened by AV, 15-Jul-2022.)  (Avoid depending on this detail.) $)
    iedgvalsnop $p |- ( iEdg ` G ) = { B } $=
      ( ciedg cfv cop csn fveq2i snopeqopsnid snex opiedgfvi 3eqtri ) BEFAAGHZE
      FAHZOGZEFOBNEDINPEACJIOOAKZQLM $.
  $}

  ${
    vtxval3sn.a $e |- A e. _V $.
    $( Degenerated case 3 for vertices:  The set of vertices of a singleton
       containing a singleton containing a singleton is the innermost
       singleton.  (Contributed by AV, 24-Sep-2020.)  (Avoid depending on this
       detail.) $)
    vtxval3sn $p |- ( Vtx ` { { { A } } } ) = { A } $=
      ( csn cop opid eqcomi sneqi vtxvalsnop ) AACCZCBIAADZJIABEFGH $.

    $( Degenerated case 3 for edges:  The set of indexed edges of a singleton
       containing a singleton containing a singleton is the innermost
       singleton.  (Contributed by AV, 24-Sep-2020.)  (Avoid depending on this
       detail.) $)
    iedgval3sn $p |- ( iEdg ` { { { A } } } ) = { A } $=
      ( csn cop opid eqcomi sneqi iedgvalsnop ) AACCZCBIAADZJIABEFGH $.
  $}

  $( Degenerated case 4 for vertices:  The set of vertices of a proper class is
     the empty set.  (Contributed by AV, 12-Oct-2020.) $)
  vtxvalprc $p |- ( C e/ _V -> ( Vtx ` C ) = (/) ) $=
    ( cvv wnel wcel wn cvtx cfv c0 wceq df-nel fvprc sylbi ) ABCABDEAFGHIABJAFK
    L $.

  $( Degenerated case 4 for edges:  The set of indexed edges of a proper class
     is the empty set.  (Contributed by AV, 12-Oct-2020.) $)
  iedgvalprc $p |- ( C e/ _V -> ( iEdg ` C ) = (/) ) $=
    ( cvv wnel wcel wn ciedg cfv c0 wceq df-nel fvprc sylbi ) ABCABDEAFGHIABJAF
    KL $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Edges as range of the edge function
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Edg $.

  $( Extend class notation with the set of edges (of an undirected simple
     (hyper-/pseudo-)graph). $)
  cedg $a class Edg $.

  $( Define the class of edges of a graph, see also definition "E = E(G)" in
     section I.1 of [Bollobas] p. 1.  This definition is very general:  It
     defines edges of a class as the range of its edge function (which does not
     even need to be a function).  Therefore, this definition could also be
     used for hypergraphs, pseudographs and multigraphs.  In these cases,
     however, the (possibly more than one) edges connecting the same vertices
     could not be distinguished anymore.  In some cases, this is no problem, so
     theorems with ` Edg ` are meaningful nevertheless (e.g., ~ edguhgr ).
     Usually, however, this definition is used only for undirected simple
     (hyper-/pseudo-)graphs (with or without loops).  (Contributed by AV,
     1-Jan-2020.)  (Revised by AV, 13-Oct-2020.) $)
  df-edg $a |- Edg = ( g e. _V |-> ran ( iEdg ` g ) ) $.

  ${
    $d G g $.
    $( The edges of a graph.  (Contributed by AV, 1-Jan-2020.)  (Revised by AV,
       13-Oct-2020.)  (Revised by AV, 8-Dec-2021.) $)
    edgval $p |- ( Edg ` G ) = ran ( iEdg ` G ) $=
      ( vg cvv wcel cedg cfv ciedg crn wceq cv fveq2 rneqd df-edg fvex fvmpt wn
      rnex c0 rn0 fvprc a1i 3eqtr4rd pm2.61i ) ACDZAEFZAGFZHZIBABJZGFZHUGCEUHAI
      UIUFUHAGKLBMUFAGNQOUDPZRHZRUGUEUKRIUJSUAUJUFRAGTLAETUBUC $.
  $}

  ${
    iedgedg.e $e |- E = ( iEdg ` G ) $.
    $( An indexed edge is an edge.  (Contributed by AV, 19-Dec-2021.) $)
    iedgedg $p |- ( ( Fun E /\ I e. dom E ) -> ( E ` I ) e. ( Edg ` G ) ) $=
      ( wfun cdm wcel cfv crn cedg fvelrn ciedg edgval rneqi eqtr4i eleqtrrdi
      wa ) AECAFGQCAHAIZBJHZCAKSBLHZIRBMATDNOP $.
  $}

  $( The edges of a graph represented as ordered pair.  (Contributed by AV,
     1-Jan-2020.)  (Revised by AV, 13-Oct-2020.) $)
  edgopval $p |- ( ( V e. W /\ E e. X ) -> ( Edg ` <. V , E >. ) = ran E ) $=
    ( wcel wa cop cedg cfv ciedg crn edgval opiedgfv rneqd syl5eq ) BCEADEFZBAG
    ZHIQJIZKAKQLPRAABCDMNO $.

  $( The edges of a graph represented as ordered pair, shown as operation
     value.  Although a little less intuitive, this representation is often
     used because it is shorter than the representation as function value of a
     graph given as ordered pair, see ~ edgopval .  The representation
     ` ran E ` for the set of edges is even shorter, though.  (Contributed by
     AV, 2-Jan-2020.)  (Revised by AV, 13-Oct-2020.) $)
  edgov $p |- ( ( V e. W /\ E e. X ) -> ( V Edg E ) = ran E ) $=
    ( wcel wa cedg co cop cfv crn df-ov edgopval syl5eq ) BCEADEFBAGHBAIGJAKBAG
    LABCDMN $.

  ${
    edgstruct.s $e |- G = { <. ( Base ` ndx ) , V >. ,
                            <. ( .ef ` ndx ) , E >. } $.
    $( The edges of a graph represented as an extensible structure with
       vertices as base set and indexed edges.  (Contributed by AV,
       13-Oct-2020.) $)
    edgstruct $p |- ( ( V e. W /\ E e. X ) -> ( Edg ` G ) = ran E ) $=
      ( wcel wa cedg cfv ciedg crn edgval struct2griedg rneqd syl5eq ) CDGAEGHZ
      BIJBKJZLALBMQRAABCDEFNOP $.
  $}

  ${
    $d E x $.  $d I x $.
    edgiedgb.i $e |- I = ( iEdg ` G ) $.
    $( A set is an edge iff it is an indexed edge.  (Contributed by AV,
       17-Oct-2020.)  (Revised by AV, 8-Dec-2021.) $)
    edgiedgb $p |- ( Fun I -> ( E e. ( Edg ` G )
                                <-> E. x e. dom I E = ( I ` x ) ) ) $=
      ( cedg cfv wcel crn wfun cv wceq cdm wrex ciedg edgval eqcomi rneqi eqtri
      eleq2i elrnrexdmb syl5bb ) BCFGZHBDIZHDJBAKDGLADMNUCUDBUCCOGZIUDCPUEDDUEE
      QRSTADBUAUB $.
  $}

  ${
    edg0iedg0.i $e |- I = ( iEdg ` G ) $.
    edg0iedg0.e $e |- E = ( Edg ` G ) $.
    $( There is no edge in a graph iff its edge function is empty.
       (Contributed by AV, 15-Dec-2020.)  (Revised by AV, 8-Dec-2021.) $)
    edg0iedg0 $p |- ( Fun I -> ( E = (/) <-> I = (/) ) ) $=
      ( wfun c0 wceq ciedg cfv crn wb cedg edgval eqtri eqeq1i a1i eqcomi rneqi
      wrel funrel relrn0 bicomd syl 3bitrd ) CFZAGHZBIJZKZGHZCKZGHZCGHZUGUJLUFA
      UIGABMJUIEBNOPQUJULLUFUIUKGUHCCUHDRSPQUFCTZULUMLCUAUNUMULCUBUCUDUE $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Undirected graphs
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  For undirected graphs, we will have the following hierarchy/taxonomy:

  * Undirected Hypergraph: ` UHGraph `

  * Undirected loop-free graphs: ULFGraph (not defined formally yet)

  * Undirected simple Hypergraph: ` USHGraph `
    => ` USHGraph C_ UHGraph ` ( ~ ushgruhgr )

  * Undirected Pseudograph: ` UPGraph `
    => ` UPGraph C_ UHGraph ` ( ~ upgruhgr )

  * Undirected loop-free hypergraph: ULFHGraph (not defined formally yet)
    => ULFHGraph ` C_ UHGraph `
    and ULFHGraph ` C_ ` ULFGraph

  * Undirected loop-free simple hypergraph: ULFSHGraph (not defined formally
    yet)
    => ULFSHGraph ` C_ USHGraph `
    and ULFSHGraph ` C_ ` ULFHGraph

  * Undirected simple Pseudograph: ` USPGraph `
    => ` USPGraph C_ UPGraph ` ( ~ uspgrupgr )
    and ` USPGraph C_ USHGraph ` ( ~ uspgrushgr ),
    see also ~ uspgrupgrushgr

  * Undirected Muligraph: ` UMGraph `
    => ` UMGraph C_ UPGraph ` ( ~ umgrupgr )
    and ` UMGraph C_ ` ULFHGraph ( ~ umgrislfupgr )

  * Undirected simple Graph: ` USGraph `
    => ` USGraph C_ USPGraph ` ( ~ usgruspgr )
    and ` USGraph C_ UMGraph ` ( ~ usgrumgr )
    and ` USGraph C_ ` ULFSHGraph ( ~ usgrislfuspgr )
    see also ~ usgrumgruspgr

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Undirected hypergraphs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c UHGraph $.
  $c USHGraph $.

  $( Extend class notation with undirected hypergraphs. $)
  cuhgr $a class UHGraph $.

  $( Extend class notation with undirected simple hypergraphs. $)
  cushgr $a class USHGraph $.

  ${
    $d e g v $.
    $( Define the class of all undirected hypergraphs.  An undirected
       hypergraph consists of a set ` v ` (of "vertices") and a function ` e `
       (representing indexed "edges") into the power set of this set (the empty
       set excluded).  (Contributed by Alexander van der Vekens, 26-Dec-2017.)
       (Revised by AV, 8-Oct-2020.) $)
    df-uhgr $a |- UHGraph = { g | [. ( Vtx ` g ) / v ]. [. ( iEdg ` g ) / e ].
                                  e : dom e --> ( ~P v \ { (/) } ) } $.

    $( Define the class of all undirected simple hypergraphs.  An undirected
       simple hypergraph is a special (non-simple, multiple, multi-) hypergraph
       for which the edge function ` e ` is an injective (one-to-one) function
       into subsets of the set of vertices ` v ` , representing the (one or
       more) vertices incident to the edge.  This definition corresponds to the
       definition of hypergraphs in section I.1 of [Bollobas] p. 7 (except that
       the empty set seems to be allowed to be an "edge") or section 1.10 of
       [Diestel] p. 27, where "E is a subset of [[...] the power set of V, that
       is the set of all subsets of V" resp.  "the elements of E are nonempty
       subsets (of any cardinality) of V".  (Contributed by AV, 19-Jan-2020.)
       (Revised by AV, 8-Oct-2020.) $)
    df-ushgr $a |- USHGraph = { g | [. ( Vtx ` g ) / v ].
                [. ( iEdg ` g ) / e ]. e : dom e -1-1-> ( ~P v \ { (/) } ) } $.
  $}

  ${
    $d g h v e $.  $d E h $.  $d G h $.  $d V h $.
    isuhgr.v $e |- V = ( Vtx ` G ) $.
    isuhgr.e $e |- E = ( iEdg ` G ) $.
    $( The predicate "is an undirected hypergraph."  (Contributed by Alexander
       van der Vekens, 26-Dec-2017.)  (Revised by AV, 9-Oct-2020.) $)
    isuhgr $p |- ( G e. U -> ( G e. UHGraph
                               <-> E : dom E --> ( ~P V \ { (/) } ) ) ) $=
      ( ve vv vg vh wcel cv cdm cpw cdif ciedg cfv cvtx wceq fveq2 cuhgr c0 csn
      wsbc cab df-uhgr eleq2i eqtr4di dmeqd eqcomi dmeqi eqtrdi difeq1d feq123d
      wf pweqd weq cvv fvexd wa adantr simpr sbcied2 cbvabv elab2g syl5bb ) CUA
      KCGLZMZHLZNZUBUCZOZVGUOZGILZPQZUDZHVNRQZUDZIUEZKCAKBMZDNZVKOZBUOZUAVSCHGI
      UFUGJLZPQZMZWDRQZNZVKOZWEUOZWCJCVSAWDCSZWFVTWIWBWEBWKWECPQZBWDCPTZFUHWKWF
      WLMVTWKWEWLWMUIWLBBWLFUJUKULWKWHWAVKWKWGDWKWGCRQDWDCRTEUHUPUMUNVRWJIJIJUQ
      ZVPWJHVQWGURWNVNRUSVNWDRTWNVIWGSZUTZVMWJGVOWEURWPVNPUSWNVOWESWOVNWDPTVAWP
      VGWESZUTZVHWFVLWIVGWEWPWQVBZWRVGWEWSUIWPVLWISWQWPVJWHVKWPVIWGWNWOVBUPUMVA
      UNVCVCVDVEVF $.

    $( The predicate "is an undirected simple hypergraph."  (Contributed by AV,
       19-Jan-2020.)  (Revised by AV, 9-Oct-2020.) $)
    isushgr $p |- ( G e. U -> ( G e. USHGraph
                               <-> E : dom E -1-1-> ( ~P V \ { (/) } ) ) ) $=
      ( ve vv vg vh wcel cv cdm cpw cdif ciedg cfv cvtx wceq fveq2 csn wf1 wsbc
      cushgr c0 df-ushgr eleq2i eqtr4di dmeqd eqcomi dmeqi eqtrdi pweqd difeq1d
      cab f1eq123d weq cvv fvexd wa adantr simpr sbcied2 cbvabv elab2g syl5bb )
      CUDKCGLZMZHLZNZUEUAZOZVGUBZGILZPQZUCZHVNRQZUCZIUOZKCAKBMZDNZVKOZBUBZUDVSC
      HGIUFUGJLZPQZMZWDRQZNZVKOZWEUBZWCJCVSAWDCSZWFVTWIWBWEBWKWECPQZBWDCPTZFUHW
      KWFWLMVTWKWEWLWMUIWLBBWLFUJUKULWKWHWAVKWKWGDWKWGCRQDWDCRTEUHUMUNUPVRWJIJI
      JUQZVPWJHVQWGURWNVNRUSVNWDRTWNVIWGSZUTZVMWJGVOWEURWPVNPUSWNVOWESWOVNWDPTV
      AWPVGWESZUTZVHWFVLWIVGWEWPWQVBZWRVGWEWSUIWPVLWISWQWPVJWHVKWPVIWGWNWOVBUMU
      NVAUPVCVCVDVEVF $.
  $}

  ${
    uhgrf.v $e |- V = ( Vtx ` G ) $.
    uhgrf.e $e |- E = ( iEdg ` G ) $.
    $( The edge function of an undirected hypergraph is a function into the
       power set of the set of vertices.  (Contributed by Alexander van der
       Vekens, 26-Dec-2017.)  (Revised by AV, 9-Oct-2020.) $)
    uhgrf $p |- ( G e. UHGraph -> E : dom E --> ( ~P V \ { (/) } ) ) $=
      ( cuhgr wcel cdm cpw c0 csn cdif wf isuhgr ibi ) BFGAHCIJKLAMFABCDENO $.

    $( The edge function of an undirected simple hypergraph is a one-to-one
       function into the power set of the set of vertices.  (Contributed by AV,
       9-Oct-2020.) $)
    ushgrf $p |- ( G e. USHGraph -> E : dom E -1-1-> ( ~P V \ { (/) } ) ) $=
      ( cushgr wcel cdm cpw c0 csn cdif wf1 isushgr ibi ) BFGAHCIJKLAMFABCDENO
      $.

    $( An edge is a subset of vertices.  (Contributed by Alexander van der
       Vekens, 26-Dec-2017.)  (Revised by AV, 18-Jan-2020.) $)
    uhgrss $p |- ( ( G e. UHGraph /\ F e. dom E ) -> ( E ` F ) C_ V ) $=
      ( cuhgr wcel cdm wa cfv cpw c0 csn cdif uhgrf ffvelrnda eldifad elpwid )
      CGHZBAIZHJZBAKZDUBUCDLZMNZTUAUDUEOBAACDEFPQRS $.

    uhgreq12g.w $e |- W = ( Vtx ` H ) $.
    uhgreq12g.f $e |- F = ( iEdg ` H ) $.
    $( If two sets have the same vertices and the same edges, one set is a
       hypergraph iff the other set is a hypergraph.  (Contributed by Alexander
       van der Vekens, 26-Dec-2017.)  (Revised by AV, 18-Jan-2020.) $)
    uhgreq12g $p |- ( ( ( G e. X /\ H e. Y ) /\ ( V = W /\ E = F ) )
                     -> ( G e. UHGraph <-> H e. UHGraph ) ) $=
      ( wcel wa wceq cuhgr cdm cpw cdif adantr c0 wf wb isuhgr simpr dmeqd pweq
      csn difeq1d feq123d adantl bicomd sylan9bbr bitrd ) CGMZDHMZNZEFOZABOZNZN
      CPMZAQZERZUAUHZSZAUBZDPMZUQVAVFUCZUTUOVHUPGACEIJUDTTUTVFBQZFRZVDSZBUBZUQV
      GUTVBVIVEVKABURUSUEZUTABVMUFURVEVKOUSURVCVJVDEFUGUITUJUQVGVLUPVGVLUCUOHBD
      FKLUDUKULUMUN $.
  $}

  ${
    uhgrfun.e $e |- E = ( iEdg ` G ) $.
    $( The edge function of an undirected hypergraph is a function.
       (Contributed by Alexander van der Vekens, 26-Dec-2017.)  (Revised by AV,
       15-Dec-2020.) $)
    uhgrfun $p |- ( G e. UHGraph -> Fun E ) $=
      ( cuhgr wcel cdm cvtx cfv cpw c0 csn cdif eqid uhgrf ffund ) BDEAFBGHZIJK
      LAABPPMCNO $.

    $( An edge is a nonempty subset of vertices.  (Contributed by Mario
       Carneiro, 11-Mar-2015.)  (Revised by AV, 15-Dec-2020.) $)
    uhgrn0 $p |- ( ( G e. UHGraph /\ E Fn A /\ F e. A )
                   -> ( E ` F ) =/= (/) ) $=
      ( cuhgr wcel wfn w3a cfv cvtx cpw c0 csn cdif wne wa wf cdm eqid fndm imp
      uhgrf feq2d syl5ibcom ffvelrnda 3impa eldifsni syl ) DFGZBAHZCAGZICBJZDKJ
      ZLZMNOZGZUMMPUJUKULUQUJUKQAUPCBUJUKAUPBRZUJBSZUPBRUKURBDUNUNTEUCUKUSAUPBA
      BUAUDUEUBUFUGUMUOMUHUI $.
  $}

  ${
    lpvtx.i $e |- I = ( iEdg ` G ) $.
    $( The endpoints of a loop (which is an edge at index ` J ` ) are two
       (identical) vertices ` A ` .  (Contributed by AV, 1-Feb-2021.) $)
    lpvtx $p |- ( ( G e. UHGraph /\ J e. dom I /\ ( I ` J ) = { A } )
                  -> A e. ( Vtx ` G ) ) $=
      ( cuhgr wcel cdm cfv csn wceq w3a c0 wne cvtx 3ad2ant3 mpd wss wb cvv wfn
      simp1 uhgrfun funfnd 3ad2ant1 simp2 uhgrn0 syl3anc wi neeq1 biimpd uhgrss
      eqid 3adant3 sseq1 mpbid snnzb snssg sylbir syl5ibrcom ) BFGZDCHZGZDCIZAJ
      ZKZLZVEMNZABOIZGZVGVDMNZVHVGVACVBUAZVCVKVAVCVFUBVAVCVLVFVACCBEUCUDUEVAVCV
      FUFVBCDBEUGUHVFVAVKVHUIVCVFVKVHVDVEMUJUKPQVGVJVHVEVIRZVGVDVIRZVMVAVCVNVFC
      DBVIVIUMEULUNVFVAVNVMSVCVDVEVIUOPUPVHATGVJVMSAUQAVITURUSUTQ $.
  $}

  $( An undirected simple hypergraph is an undirected hypergraph.  (Contributed
     by AV, 19-Jan-2020.)  (Revised by AV, 9-Oct-2020.) $)
  ushgruhgr $p |- ( G e. USHGraph -> G e. UHGraph ) $=
    ( cushgr wcel cuhgr ciedg cfv cdm cvtx cpw csn cdif wf1 eqid ushgrf f1f syl
    c0 wf isuhgr mpbird ) ABCZADCAEFZGZAHFZIQJKZUBRZUAUCUEUBLUFUBAUDUDMZUBMZNUC
    UEUBOPBUBAUDUGUHST $.

  $( The property of being an undirected hypergraph represented as an ordered
     pair.  The representation as an ordered pair is the usual representation
     of a graph, see section I.1 of [Bollobas] p. 1.  (Contributed by AV,
     1-Jan-2020.)  (Revised by AV, 9-Oct-2020.) $)
  isuhgrop $p |- ( ( V e. W /\ E e. X )
                   -> ( <. V , E >. e. UHGraph
                        <-> E : dom E --> ( ~P V \ { (/) } ) ) ) $=
    ( wcel wa cop cuhgr ciedg cfv cdm cvtx cpw c0 csn cdif wf cvv wb eqid dmeqd
    opex isuhgr mp1i opiedgfv opvtxfv pweqd difeq1d feq123d bitrd ) BCEADEFZBAG
    ZHEZULIJZKZULLJZMZNOZPZUNQZAKZBMZURPZAQULREUMUTSUKBAUBRUNULUPUPTUNTUCUDUKUO
    VAUSVCUNAABCDUEZUKUNAVDUAUKUQVBURUKUPBABCDUFUGUHUIUJ $.

  ${
    uhgr0e.g $e |- ( ph -> G e. W ) $.
    uhgr0e.e $e |- ( ph -> ( iEdg ` G ) = (/) ) $.
    $( The empty graph, with vertices but no edges, is a hypergraph.
       (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by AV,
       25-Nov-2020.) $)
    uhgr0e $p |- ( ph -> G e. UHGraph ) $=
      ( cuhgr wcel c0 cdm cvtx cfv cpw csn cdif wf f0 dm0 wb eqid syl isuhgr id
      feq2i mpbir ciedg wceq dmeq feq12d bitrd mpbiri ) ABFGZHIZBJKZLHMNZHOZUOH
      UNHOUNPULHUNHQUCUDAUKBUEKZIZUNUPOZUOABCGUKURRDCUPBUMUMSUPSUATAUPHUFZURUOR
      EUSUQULUNUPHUSUBUPHUGUHTUIUJ $.
  $}

  $( The null graph, with no vertices, is a hypergraph if and only if the edge
     function is empty.  (Contributed by Alexander van der Vekens,
     27-Dec-2017.)  (Revised by AV, 9-Oct-2020.) $)
  uhgr0vb $p |- ( ( G e. W /\ ( Vtx ` G ) = (/) )
                -> ( G e. UHGraph <-> ( iEdg ` G ) = (/) ) ) $=
    ( wcel cvtx cfv c0 wceq wa cuhgr ciedg cdm cpw cdif eqid uhgrf pweq difeq1d
    csn wf pw0 difeq1i difid eqtri eqtrdi adantl feq3d f00 simplbi syl6bi simpl
    syl5 wi simpr uhgr0e ex adantr impbid ) ABCZADEZFGZHZAICZAJEZFGZVBVCKZUSLZF
    RZMZVCSZVAVDVCAUSUSNVCNOVAVIVEFVCSZVDVAVHFVCVEUTVHFGURUTVHFLZVGMZFUTVFVKVGU
    SFPQVLVGVGMFVKVGVGTUAVGUBUCUDUEUFVJVDVEFGVEVCUGUHUIUKURVDVBULUTURVDVBURVDHA
    BURVDUJURVDUMUNUOUPUQ $.

  $( The null graph represented by an empty set is a hypergraph.  (Contributed
     by AV, 9-Oct-2020.) $)
  uhgr0 $p |- (/) e. UHGraph $=
    ( c0 cuhgr wcel cdm cpw csn cdif wf f0 dm0 difeq1i difid eqtri feq23i mpbir
    pw0 cvv wb cfv eqcomi 0ex cvtx vtxval0 ciedg iedgval0 isuhgr ax-mp ) ABCZAD
    ZAEZAFZGZAHZUMAAAHAIUIULAAAJULUKUKGAUJUKUKPKUKLMNOAQCUHUMRUAQAAAAUBSAUCTAUD
    SAUETUFUGO $.

  ${
    uhgrun.g $e |- ( ph -> G e. UHGraph ) $.
    uhgrun.h $e |- ( ph -> H e. UHGraph ) $.
    uhgrun.e $e |- E = ( iEdg ` G ) $.
    uhgrun.f $e |- F = ( iEdg ` H ) $.
    uhgrun.vg $e |- V = ( Vtx ` G ) $.
    uhgrun.vh $e |- ( ph -> ( Vtx ` H ) = V ) $.
    uhgrun.i $e |- ( ph -> ( dom E i^i dom F ) = (/) ) $.
    ${
      uhgrun.u $e |- ( ph -> U e. W ) $.
      uhgrun.v $e |- ( ph -> ( Vtx ` U ) = V ) $.
      uhgrun.un $e |- ( ph -> ( iEdg ` U ) = ( E u. F ) ) $.
      $( The union ` U ` of two (undirected) hypergraphs ` G ` and ` H ` with
         the same vertex set ` V ` is a hypergraph with the vertex ` V ` and
         the union ` ( E u. F ) ` of the (indexed) edges.  (Contributed by AV,
         11-Oct-2020.)  (Revised by AV, 24-Oct-2021.) $)
      uhgrun $p |- ( ph -> U e. UHGraph ) $=
        ( wcel wf cuhgr ciedg cfv cdm cvtx cpw c0 csn cdif cun uhgrf syl eqcomd
        eqid pweqd difeq1d feq3d mpbird fun2d dmeqd dmun eqtrdi feq123d isuhgr
        wb ) ABUASZBUBUCZUDZBUEUCZUFZUGUHZUIZVGTZAVMCUDZDUDZUJZGUFZVKUIZCDUJZTA
        VNVOVRCDAEUASVNVRCTICEGMKUKULAVOVRDTVOFUEUCZUFZVKUIZDTZAFUASWCJDFVTVTUN
        LUKULAVRWBDVOAVQWAVKAGVTAVTGNUMUOUPUQUROUSAVHVPVLVRVGVSRAVHVSUDVPAVGVSR
        UTCDVAVBAVJVQVKAVIGQUOUPVCURABHSVFVMVEPHVGBVIVIUNVGUNVDULUR $.
    $}

    $( The union of two (undirected) hypergraphs (with the same vertex set)
       represented as ordered pair:  If ` <. V , E >. ` and ` <. V , F >. ` are
       hypergraphs, then ` <. V , E u. F >. ` is a hypergraph (the vertex set
       stays the same, but the edges from both graphs are kept, possibly
       resulting in two edges between two vertices).  (Contributed by Alexander
       van der Vekens, 27-Dec-2017.)  (Revised by AV, 11-Oct-2020.)  (Revised
       by AV, 24-Oct-2021.) $)
    uhgrunop $p |- ( ph -> <. V , ( E u. F ) >. e. UHGraph ) $=
      ( cvv wcel cvtx cfv wceq fvexi ciedg cun cop opex a1i unex pm3.2i opvtxfv
      wa mp1i opiedgfv uhgrun ) AFBCUAZUBZBCDEFNGHIJKLMUMNOAFULUCUDFNOZULNOZUHZ
      UMPQFRAUNUOFDPKSBCBDTISCETJSUEUFZULFNNUGUIUPUMTQULRAUQULFNNUJUIUK $.
  $}

  ${
    ushgrun.g $e |- ( ph -> G e. USHGraph ) $.
    ushgrun.h $e |- ( ph -> H e. USHGraph ) $.
    ushgrun.e $e |- E = ( iEdg ` G ) $.
    ushgrun.f $e |- F = ( iEdg ` H ) $.
    ushgrun.vg $e |- V = ( Vtx ` G ) $.
    ushgrun.vh $e |- ( ph -> ( Vtx ` H ) = V ) $.
    ushgrun.i $e |- ( ph -> ( dom E i^i dom F ) = (/) ) $.
    ${
      ushgrun.u $e |- ( ph -> U e. W ) $.
      ushgrun.v $e |- ( ph -> ( Vtx ` U ) = V ) $.
      ushgrun.un $e |- ( ph -> ( iEdg ` U ) = ( E u. F ) ) $.
      $( The union ` U ` of two (undirected) simple hypergraphs ` G ` and ` H `
         with the same vertex set ` V ` is a (not necessarily simple)
         hypergraph with the vertex ` V ` and the union ` ( E u. F ) ` of the
         (indexed) edges.  (Contributed by AV, 29-Nov-2020.)  (Revised by AV,
         24-Oct-2021.) $)
      ushgrun $p |- ( ph -> U e. UHGraph ) $=
        ( cushgr wcel cuhgr ushgruhgr syl uhgrun ) ABCDEFGHAESTEUATIEUBUCAFSTFU
        ATJFUBUCKLMNOPQRUD $.
    $}

    $( The union of two (undirected) simple hypergraphs (with the same vertex
       set) represented as ordered pair:  If ` <. V , E >. ` and
       ` <. V , F >. ` are simple hypergraphs, then ` <. V , E u. F >. ` is a
       (not necessarily simple) hypergraph - the vertex set stays the same, but
       the edges from both graphs are kept, possibly resulting in two edges
       between two vertices.  (Contributed by AV, 29-Nov-2020.)  (Revised by
       AV, 24-Oct-2021.) $)
    ushgrunop $p |- ( ph -> <. V , ( E u. F ) >. e. UHGraph ) $=
      ( cushgr wcel cuhgr ushgruhgr syl uhgrunop ) ABCDEFADNODPOGDQRAENOEPOHEQR
      IJKLMS $.
  $}

  ${
    uhgrstrrepe.v $e |- V = ( Base ` G ) $.
    uhgrstrrepe.i $e |- I = ( .ef ` ndx ) $.
    uhgrstrrepe.s $e |- ( ph -> G Struct X ) $.
    uhgrstrrepe.b $e |- ( ph -> ( Base ` ndx ) e. dom G ) $.
    uhgrstrrepe.w $e |- ( ph -> E e. W ) $.
    uhgrstrrepe.e $e |- ( ph -> E : dom E --> ( ~P V \ { (/) } ) ) $.
    $( Replacing (or adding) the edges (between elements of the base set) of an
       extensible structure results in a hypergraph.  Instead of requiring
       ` ( ph -> G Struct X ) ` , it would be sufficient to require
       ` ( ph -> Fun ( G \ { (/) } ) ) ` and ` ( ph -> G e. _V ) ` .
       (Contributed by AV, 18-Jan-2020.)  (Revised by AV, 7-Jun-2021.)
       (Revised by AV, 16-Nov-2021.) $)
    uhgrstrrepe $p |- ( ph -> ( G sSet <. I , E >. ) e. UHGraph ) $=
      ( csts wcel cfv cdm cpw wf mpbird cop co cuhgr ciedg cvtx c0 csn cdif cbs
      setsvtx eqtr4di pweqd difeq1d feq3d setsiedg dmeqd feq12d cvv ovex isuhgr
      wb eqid mp1i ) ACDBUAZNUBZUCOZVEUDPZQZVEUEPZRZUFUGZUHZVGSZAVMBQZVLBSZAVOV
      NERZVKUHZBSMAVLVQBVNAVJVPVKAVIEAVICUIPEABCDFGIJKLUJHUKULUMUNTAVHVNVLVGBAB
      CDFGIJKLUOZAVGBVRUPUQTVEUROVFVMVAACVDNUSURVGVEVIVIVBVGVBUTVCT $.
  $}

  ${
    $d E e $.  $d G e $.  $d I e v $.  $d L e v $.  $d P e v $.  $d V e v $.
    $d W e $.
    incistruhgr.v $e |- V = ( Vtx ` G ) $.
    incistruhgr.e $e |- E = ( iEdg ` G ) $.
    $( An _incidence structure_ ` <. P , L , I >. ` "where ` P ` is a set whose
       elements are called _points_, ` L ` is a distinct set whose elements are
       called _lines_ and ` I C_ ( P X. L ) ` is the _incidence relation_" (see
       Wikipedia "Incidence structure" (24-Oct-2020),
       ~ https://en.wikipedia.org/wiki/Incidence_structure ) implies an
       undirected hypergraph, if the incidence relation is right-total (to
       exclude empty edges).  The points become the vertices, and the edge
       function is derived from the incidence relation by mapping each line
       ("edge") to the set of vertices incident to the line/edge.  With
       ` P = ( Base `` S ) ` and by defining two new slots for lines and
       incidence relations (analogous to ` LineG ` and ` Itv ` ) and enhancing
       the definition of ` iEdg ` accordingly, it would even be possible to
       express that a corresponding incidence structure _is_ an undirected
       hypergraph.  By choosing the incident relation appropriately, other
       kinds of undirected graphs (pseudographs, multigraphs, simple graphs,
       etc.) could be defined.  (Contributed by AV, 24-Oct-2020.) $)
    incistruhgr $p |- ( ( G e. W /\ I C_ ( P X. L ) /\ ran I = L )
                        -> ( ( V = P /\ E = ( e e. L |-> { v e. P | v I e } ) )
                             -> G e. UHGraph ) ) $=
      ( wcel cxp wss wceq w3a cv crab wa c0 crn wbr cmpt cuhgr cdm cpw csn cdif
      wf rabeq mpteq2dv eqeq2d xpeq1 sseq2d 3anbi2d anbi12d wi dmeq fvexi rabex
      cvtx eqid dmmpti eqtrdi ssrab2 elpw sylibr wrex wn eleq2 3ad2ant3 ssrelrn
      a1i wb ex 3ad2ant2 sylbird imp wne df-ne rabn0 bitr3i elsn sylnibr eldifd
      fmpttd simpl feq12d syl5ibr syl6bir expdimp impcom isuhgr 3ad2ant1 adantr
      simpr mpdan mpbird ) EILZFBGMZNZFUAZGOZPZHBOZDCGAQCQZFUBZABRZUCZOZSZEUDLZ
      XDXKSXLDUEZHUFZTUGZUHZDUIZXKXDXQXEXJXDXQXEXJXDSDCGXGAHRZUCZOZWSFHGMZNZXCP
      ZSXQXEXTXJYCXDXEXSXIDXECGXRXHXGAHBUJUKULXEYBXAWSXCXEYAWTFHBGUMUNUOUPXTYCX
      QXTXMGOZYCXQUQXTXMXSUEGDXSURCGXRXSXGAHHEVAJUSUTZXSVBVCVDYCXQXTYDSZGXPXSUI
      YCCGXRXPYCXFGLZSZXRXNXOYHXRHNZXRXNLYIYHXGAHVEVMXRHYEVFVGYHXRTOZXRXOLYHXGA
      HVHZYJVIZYCYGYKYCYGXFXBLZYKXCWSYMYGVNYBXBGXFVJVKYBWSYMYKUQXCYBYMYKHGFXFAV
      LVOVPVQVRYLXRTVSYKXRTVTXGAHWAWBVGXRTYEWCWDWEWFYFXMGXPDXSXTYDWGXTYDWPWHWIW
      QVRWJWKWLXDXLXQVNZXKWSXAYNXCIDEHJKWMWNWOWRVO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Undirected pseudographs and multigraphs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c UPGraph UMGraph $.

  $( Extend class notation with undirected pseudographs. $)
  cupgr $a class UPGraph $.

  $( Extend class notation with undirected multigraphs. $)
  cumgr $a class UMGraph $.

  ${
    $d e g v x $.
    $( Define the class of all undirected pseudographs.  An (undirected)
       pseudograph consists of a set ` v ` (of "vertices") and a function ` e `
       (representing indexed "edges") into subsets of ` v ` of cardinality one
       or two, representing the two vertices incident to the edge, or the one
       vertex if the edge is a loop.  This is according to Chartrand, Gary and
       Zhang, Ping (2012):  "A First Course in Graph Theory.", Dover, ISBN
       978-0-486-48368-9, section 1.4, p. 26:  "In a pseudograph, not only are
       parallel edges permitted but an edge is also permitted to join a vertex
       to itself.  Such an edge is called a loop."  (in contrast to a
       multigraph, see ~ df-umgr ).  (Contributed by Mario Carneiro,
       11-Mar-2015.)  (Revised by AV, 24-Nov-2020.) $)
    df-upgr $a |- UPGraph = { g | [. ( Vtx ` g ) / v ]. [. ( iEdg ` g ) / e ].
                e : dom e --> { x e. ( ~P v \ { (/) } ) | ( # ` x ) <_ 2 } } $.

    $( Define the class of all undirected multigraphs.  An (undirected)
       multigraph consists of a set ` v ` (of "vertices") and a function ` e `
       (representing indexed "edges") into subsets of ` v ` of cardinality two,
       representing the two vertices incident to the edge.  In contrast to a
       pseudograph, a multigraph has no loop.  This is according to Chartrand,
       Gary and Zhang, Ping (2012):  "A First Course in Graph Theory.", Dover,
       ISBN 978-0-486-48368-9, section 1.4, p. 26:  "A multigraph M consists of
       a finite nonempty set V of vertices and a set E of edges, where every
       two vertices of M are joined by a finite number of edges (possibly
       zero).  If two or more edges join the same pair of (distinct) vertices,
       then these edges are called parallel edges."  To provide uniform
       definitions for all kinds of graphs, ` x e. ( ~P v \ { (/) } ) ` is used
       as restriction of the class abstraction, although ` x e. ~P v ` would be
       sufficient (see ~ prprrab and ~ isumgrs ).  (Contributed by AV,
       24-Nov-2020.) $)
    df-umgr $a |- UMGraph = { g | [. ( Vtx ` g ) / v ]. [. ( iEdg ` g ) / e ].
                 e : dom e --> { x e. ( ~P v \ { (/) } ) | ( # ` x ) = 2 } } $.
  $}

  ${
    $d e g h v x $.  $d E h $.  $d G h x $.  $d V h x $.
    isupgr.v $e |- V = ( Vtx ` G ) $.
    isupgr.e $e |- E = ( iEdg ` G ) $.
    $( The property of being an undirected pseudograph.  (Contributed by Mario
       Carneiro, 11-Mar-2015.)  (Revised by AV, 10-Oct-2020.) $)
    isupgr $p |- ( G e. U -> ( G e. UPGraph <->
      E : dom E --> { x e. ( ~P V \ { (/) } ) | ( # ` x ) <_ 2 } ) ) $=
      ( ve vv vg vh wcel cv cdm cfv cpw ciedg cvtx wceq fveq2 cupgr chash c2 c0
      cle wbr csn cdif crab wsbc cab df-upgr eleq2i eqtr4di dmeqd eqcomi eqtrdi
      wf dmeqi pweqd difeq1d rabeqdv feq123d weq cvv fvexd wa adantr simpr pweq
      ad2antlr sbcied2 cbvabv elab2g syl5bb ) DUALDHMZNZAMUBOUCUEUFZAIMZPZUDUGZ
      UHZUIZVPURZHJMZQOZUJZIWEROZUJZJUKZLDBLCNZVRAEPZWAUHZUIZCURZUAWJDAIHJULUMK
      MZQOZNZVRAWPROZPZWAUHZUIZWQURZWOKDWJBWPDSZWRWKXBWNWQCXDWQDQOZCWPDQTZGUNXD
      WRXENWKXDWQXEXFUOXECCXEGUPUSUQXDVRAXAWMXDWTWLWAXDWSEXDWSDROEWPDRTFUNUTVAV
      BVCWIXCJKJKVDZWGXCIWHWSVEXGWERVFWEWPRTXGVSWSSZVGZWDXCHWFWQVEXIWEQVFXGWFWQ
      SXHWEWPQTVHXIVPWQSZVGZVQWRWCXBVPWQXIXJVIZXKVPWQXLUOXKVRAWBXAXKVTWTWAXHVTW
      TSXGXJVSWSVJVKVAVBVCVLVLVMVNVO $.

    $( The property of being an undirected pseudograph, expressing the edges as
       "words".  (Contributed by Mario Carneiro, 11-Mar-2015.)  (Revised by AV,
       10-Oct-2020.) $)
    wrdupgr $p |- ( ( G e. U /\ E e. Word X ) -> ( G e. UPGraph <->
      E e. Word { x e. ( ~P V \ { (/) } ) | ( # ` x ) <_ 2 } ) ) $=
      ( wcel cword wa cupgr cdm cv chash cfv c2 cle wf wrdf wbr cpw c0 csn cdif
      crab wb isupgr adantr cc0 cfzo co adantl feq2d iswrdi impbii bitrdi bitrd
      fdmd ) DBIZCFJIZKZDLIZCMZANOPQRUAAEUBUCUDUEUFZCSZCVEJIZUTVCVFUGVAABCDEGHU
      HUIVBVFUJCOPZUKULZVECSZVGVBVDVIVECVBVIFCVAVIFCSUTFCTUMUSUNVJVGVEVHCUOVECT
      UPUQUR $.

    $( The edge function of an undirected pseudograph is a function into
       unordered pairs of vertices.  Version of ~ upgrfn without explicitly
       specified domain of the edge function.  (Contributed by Mario Carneiro,
       12-Mar-2015.)  (Revised by AV, 10-Oct-2020.) $)
    upgrf $p |- ( G e. UPGraph ->
      E : dom E --> { x e. ( ~P V \ { (/) } ) | ( # ` x ) <_ 2 } ) $=
      ( cupgr wcel cdm cv chash cfv c2 cle wbr cpw c0 csn cdif crab isupgr ibi
      wf ) CGHBIAJKLMNOADPQRSTBUCAGBCDEFUAUB $.

    $( The edge function of an undirected pseudograph is a function into
       unordered pairs of vertices.  (Contributed by Mario Carneiro,
       11-Mar-2015.)  (Revised by AV, 10-Oct-2020.) $)
    upgrfn $p |- ( ( G e. UPGraph /\ E Fn A ) ->
      E : A --> { x e. ( ~P V \ { (/) } ) | ( # ` x ) <_ 2 } ) $=
      ( cupgr wcel wfn cv chash cfv c2 cle wbr cpw c0 csn wf cdif crab cdm fndm
      upgrf feq2d syl5ibcom imp ) DHIZCBJZBAKLMNOPAEQRSUAUBZCTZUICUCZUKCTUJULAC
      DEFGUEUJUMBUKCBCUDUFUGUH $.

    $( An edge is a subset of vertices.  (Contributed by Mario Carneiro,
       11-Mar-2015.)  (Revised by AV, 29-Nov-2020.) $)
    upgrss $p |- ( ( G e. UPGraph /\ F e. dom E ) -> ( E ` F ) C_ V ) $=
      ( vx cupgr wcel cdm wa cfv cv chash c2 cle wbr cpw c0 csn cdif crab difss
      ssrab2 sstri upgrf ffvelrnda sselid elpwid ) CHIZBAJZIKZBALZDULGMNLOPQZGD
      RZSTZUAZUBZUOUMURUQUOUNGUQUDUOUPUCUEUJUKURBAGACDEFUFUGUHUI $.

    $( An edge is a nonempty subset of vertices.  (Contributed by Mario
       Carneiro, 11-Mar-2015.)  (Revised by AV, 10-Oct-2020.) $)
    upgrn0 $p |- ( ( G e. UPGraph /\ E Fn A /\ F e. A ) ->
      ( E ` F ) =/= (/) ) $=
      ( vx cupgr wcel wfn w3a cfv cpw c0 csn cdif wne cv chash c2 cle ssrab2 wa
      wbr crab upgrfn ffvelrnda 3impa sselid eldifsni syl ) DIJZBAKZCAJZLZCBMZE
      NZOPQZJUQORUPHSTMUAUBUEZHUSUFZUSUQUTHUSUCUMUNUOUQVAJUMUNUDAVACBHABDEFGUGU
      HUIUJUQUROUKUL $.

    $d E x $.  $d F x $.
    $( An edge of an undirected pseudograph has at most two ends.  (Contributed
       by Mario Carneiro, 11-Mar-2015.)  (Revised by AV, 10-Oct-2020.) $)
    upgrle $p |- ( ( G e. UPGraph /\ E Fn A /\ F e. A ) ->
      ( # ` ( E ` F ) ) <_ 2 ) $=
      ( vx cupgr wcel wfn w3a cfv cv chash c2 cle wbr cpw c0 csn cdif wa upgrfn
      crab ffvelrnda 3impa wceq fveq2 breq1d elrab simprbi syl ) DIJZBAKZCAJZLC
      BMZHNZOMZPQRZHESTUAUBZUEZJZUQOMZPQRZUNUOUPVCUNUOUCAVBCBHABDEFGUDUFUGVCUQV
      AJVEUTVEHUQVAURUQUHUSVDPQURUQOUIUJUKULUM $.

    $( An edge is a finite subset of vertices.  (Contributed by Mario Carneiro,
       11-Mar-2015.)  (Revised by AV, 10-Oct-2020.) $)
    upgrfi $p |- ( ( G e. UPGraph /\ E Fn A /\ F e. A ) ->
      ( E ` F ) e. Fin ) $=
      ( cupgr wcel wfn w3a cfv c2 cle wbr wn cpnf 2re cxr cvv cfn upgrle clt cr
      chash ltpnf ax-mp rexri pnfxr xrltnle mp2an mpbi wceq fvex hashinf breq1d
      wb mpan mtbiri con4i syl ) DHIBAJCAIKCBLZUELZMNOZVBUAIZABCDEFGUBVEVDVEPZV
      DQMNOZMQUCOZVGPZMUDIVHRMUFUGMSIQSIVHVIUQMRUHUIMQUJUKULVFVCQMNVBTIVFVCQUMC
      BUNVBTUOURUPUSUTVA $.

    $d A x y $.  $d E y $.  $d F y $.  $d G y $.  $d V y $.
    $( An edge is an unordered pair of vertices.  (Contributed by Mario
       Carneiro, 11-Mar-2015.)  (Revised by AV, 10-Oct-2020.) $)
    upgrex $p |- ( ( G e. UPGraph /\ E Fn A /\ F e. A ) ->
      E. x e. V E. y e. V ( E ` F ) = { x , y } ) $=
      ( wcel cfv wceq wa wex c0 wne wss adantr wbr cvv cupgr wfn w3a cpr upgrn0
      cv wrex sylib cdm simp1 fndm eqcomd eleq2d biimpd a1i 3imp upgrss syl2anc
      n0 wi sselda csn cdif simpr ssdif0 sylibr snssd eqssd preq2 dfsn2 eqtr4di
      rspceeqv simprr eldifad sseldd upgrfi simprl prssd cdom fvex ssdomg mpsyl
      cfn cen chash c2 upgrle eldifsni ad2antll necomd wb hashprg el2v breqtrrd
      cle prfi hashdom sylancl sbth fisseneq syl3anc jca expr eximdv imp df-rex
      mpbid sylan2b pm2.61dane ex mpd ) FUAJZDCUBZECJZUCZAUFZGJZEDKZXPBUFZUDZLZ
      BGUGZMZANZYBAGUGXOXPXRJZANZYDXOXROPYFCDEFGHIUEAXRUSUHXOYEYCAXOYEYCXOYEMZX
      QYBXOXRGXPXOXLEDUIZJZXRGQZXLXMXNUJXLXMXNYIXMXNYIUTUTXLXMXNYIXMCYHEXMYHCCD
      UKULUMUNUOUPDEFGHIUQURZVAZYGYBXRXPVBZVCZOYGYNOLZMZXQXRYMLYBYGXQYOYLRYPXRY
      MYPYOXRYMQYGYOVDXRYMVEVFYGYMXRQYOYGXPXRXOYEVDVGRVHBXPGXTYMXRXSXPLXTXPXPUD
      YMXSXPXPVIXPVJVKVLURYNOPYGXSYNJZBNZYBBYNUSYGYRMXSGJZYAMZBNZYBYGYRUUAYGYQY
      TBXOYEYQYTXOYEYQMZMZYSYAUUCXRGXSXOYJUUBYKRUUCXSXRYMXOYEYQVMVNZVOUUCXTXRUU
      CXRWCJZXTXRQZXTXRWDSZXTXRLXOUUEUUBCDEFGHIVPRZUUCXPXSXRXOYEYQVQUUDVRZUUCXT
      XRVSSZXRXTVSSZUUGXRTJUUCUUFUUJEDVTUUIXTXRTWAWBUUCXRWEKZXTWEKZWOSZUUKUUCUU
      LWFUUMWOXOUULWFWOSUUBCDEFGHIWGRUUCXPXSPZUUMWFLZUUCXSXPYQXSXPPXOYEXSXRXPWH
      WIWJUUOUUPWKABXPXSTTWLWMUHWNUUCUUEXTWCJUUNUUKWKUUHXPXSWPXRXTWCWQWRXGXTXRW
      SURXTXRWTXAULXBXCXDXEYABGXFVFXHXIXBXJXDXKYBAGXFVF $.
  $}

  ${
    $d V x $.  $d X x $.  $d Y x $.
    upgrbi.x $e |- X e. V $.
    upgrbi.y $e |- Y e. V $.
    $( Show that an unordered pair is a valid edge in a pseudograph.
       (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by Mario
       Carneiro, 28-Feb-2016.)  (Revised by AV, 28-Feb-2021.) $)
    upgrbi $p |- { X , Y } e. { x e. ( ~P V \ { (/) } ) | ( # ` x ) <_ 2 } $=
      ( cpr cv chash cfv c2 cle wbr cpw c0 csn cdif crab wcel mpbir2an wne prex
      wss prssi mp2an elpw mpbir elexi prnz eldifsn hashprlei simpri wceq fveq2
      cfn breq1d elrab ) CDGZAHZIJZKLMZABNZOPQZRSURVCSZURIJZKLMZVDURVBSZUROUAVG
      URBUCZCBSDBSVHEFCDBUDUEURBCDUBUFUGCDCBEUHUIURVBOUJTURUOSVFCDUKULVAVFAURVC
      USURUMUTVEKLUSURIUNUPUQT $.
  $}

  ${
    $d G p $.
    $( A pseudograph represented by an ordered pair.  (Contributed by AV,
       12-Dec-2021.) $)
    upgrop $p |- ( G e. UPGraph
                   -> <. ( Vtx ` G ) , ( iEdg ` G ) >. e. UPGraph ) $=
      ( vp cupgr wcel cvtx cfv ciedg cop cdm cv chash cpw cdif crab wf eqid cvv
      wb fvex mp1i c2 cle wbr c0 csn upgrf wa pm3.2i opex isupgr opiedgfv dmeqd
      opvtxfv pweqd difeq1d rabeqdv feq123d bitrd mpbird ) ACDZAEFZAGFZHZCDZVBI
      ZBJKFUAUBUCZBVALZUDUEZMZNZVBOZBVBAVAVAPVBPUFVAQDZVBQDZUGZVDVKRUTVLVMAESAG
      SUHVNVDVCGFZIZVFBVCEFZLZVHMZNZVOOZVKVCQDVDWARVNVAVBUIBQVOVCVQVQPVOPUJTVNV
      PVEVTVJVOVBVBVAQQUKZVNVOVBWBULVNVFBVSVIVNVRVGVHVNVQVAVBVAQQUMUNUOUPUQURTU
      S $.
  $}

  ${
    $d e g h v x $.  $d E h $.  $d G h x $.  $d V h x $.
    isumgr.v $e |- V = ( Vtx ` G ) $.
    isumgr.e $e |- E = ( iEdg ` G ) $.
    $( The property of being an undirected multigraph.  (Contributed by AV,
       24-Nov-2020.) $)
    isumgr $p |- ( G e. U -> ( G e. UMGraph
           <-> E : dom E --> { x e. ( ~P V \ { (/) } ) | ( # ` x ) = 2 } ) ) $=
      ( ve vv vg vh wcel cv cdm cfv wceq cpw ciedg cvtx fveq2 cumgr chash c2 c0
      csn cdif crab wf wsbc cab df-umgr eleq2i eqtr4di dmeqd eqcomi dmeqi pweqd
      eqtrdi difeq1d rabeqdv feq123d weq cvv fvexd wa adantr simpr pweq sbcied2
      ad2antlr cbvabv elab2g syl5bb ) DUALDHMZNZAMUBOUCPZAIMZQZUDUEZUFZUGZVNUHZ
      HJMZROZUIZIWCSOZUIZJUJZLDBLCNZVPAEQZVSUFZUGZCUHZUAWHDAIHJUKULKMZROZNZVPAW
      NSOZQZVSUFZUGZWOUHZWMKDWHBWNDPZWPWIWTWLWOCXBWODROZCWNDRTZGUMXBWPXCNWIXBWO
      XCXDUNXCCCXCGUOUPURXBVPAWSWKXBWRWJVSXBWQEXBWQDSOEWNDSTFUMUQUSUTVAWGXAJKJK
      VBZWEXAIWFWQVCXEWCSVDWCWNSTXEVQWQPZVEZWBXAHWDWOVCXGWCRVDXEWDWOPXFWCWNRTVF
      XGVNWOPZVEZVOWPWAWTVNWOXGXHVGZXIVNWOXJUNXIVPAVTWSXIVRWRVSXFVRWRPXEXHVQWQV
      HVJUSUTVAVIVIVKVLVM $.

    $( The simplified property of being an undirected multigraph.  (Contributed
       by AV, 24-Nov-2020.) $)
    isumgrs $p |- ( G e. U -> ( G e. UMGraph
                         <-> E : dom E --> { x e. ~P V | ( # ` x ) = 2 } ) ) $=
      ( wcel cumgr cdm cv chash cfv c2 wceq cpw c0 csn crab wf cdif prprrab a1i
      isumgr feq3d bitrd ) DBHZDIHCJZAKLMNOZAEPZQRUASZCTUHUIAUJSZCTABCDEFGUDUGU
      KULCUHUKULOUGAEUBUCUEUF $.

    $( The property of being an undirected multigraph, expressing the edges as
       "words".  (Contributed by AV, 24-Nov-2020.) $)
    wrdumgr $p |- ( ( G e. U /\ E e. Word X ) -> ( G e. UMGraph
                             <-> E e. Word { x e. ~P V | ( # ` x ) = 2 } ) ) $=
      ( wcel cword wa cumgr cdm cv chash cfv c2 wceq wf wrdf cpw crab wb adantr
      isumgrs cc0 cfzo co adantl fdmd feq2d iswrdi impbii bitrdi bitrd ) DBIZCF
      JIZKZDLIZCMZANOPQRAEUAUBZCSZCVAJIZUPUSVBUCUQABCDEGHUEUDURVBUFCOPZUGUHZVAC
      SZVCURUTVEVACURVEFCUQVEFCSUPFCTUIUJUKVFVCVAVDCULVACTUMUNUO $.

    $( The edge function of an undirected multigraph is a function into
       unordered pairs of vertices.  Version of ~ umgrfn without explicitly
       specified domain of the edge function.  (Contributed by AV,
       24-Nov-2020.) $)
    umgrf $p |- ( G e. UMGraph
                   -> E : dom E --> { x e. ~P V | ( # ` x ) = 2 } ) $=
      ( cumgr wcel cdm cv chash cfv c2 wceq cpw crab wf isumgrs ibi ) CGHBIAJKL
      MNADOPBQAGBCDEFRS $.

    $( The edge function of an undirected multigraph is a function into
       unordered pairs of vertices.  (Contributed by AV, 24-Nov-2020.) $)
    umgrfn $p |- ( ( G e. UMGraph /\ E Fn A )
                  -> E : A --> { x e. ~P V | ( # ` x ) = 2 } ) $=
      ( cumgr wcel wfn cv chash cfv c2 wceq cpw crab wf cdm umgrf syl5ibcom imp
      fndm feq2d ) DHIZCBJZBAKLMNOAEPQZCRZUECSZUGCRUFUHACDEFGTUFUIBUGCBCUCUDUAU
      B $.

    $d E x $.  $d X x $.
    $( An edge of a multigraph has exactly two ends.  (Contributed by AV,
       24-Nov-2020.) $)
    umgredg2 $p |- ( ( G e. UMGraph /\ X e. dom E )
                     -> ( # ` ( E ` X ) ) = 2 ) $=
      ( vx cumgr wcel cdm wa cfv cv chash c2 wceq cpw crab umgrf ffvelrnda syl
      fveqeq2 elrab simprbi ) BHIZDAJZIKDALZGMZNLOPZGCQZRZIZUGNLOPZUEUFUKDAGABC
      EFSTULUGUJIUMUIUMGUGUJUHUGONUBUCUDUA $.
  $}

  ${
    $d V x $.  $d X x $.  $d Y x $.
    umgrbi.x $e |- X e. V $.
    umgrbi.y $e |- Y e. V $.
    umgrbi.n $e |- X =/= Y $.
    $( Show that an unordered pair is a valid edge in a multigraph.
       (Contributed by AV, 9-Mar-2021.) $)
    umgrbi $p |- { X , Y } e. { x e. ~P V | ( # ` x ) = 2 } $=
      ( cpr cv chash cfv c2 wceq cpw crab wcel wss prssi mp2an prex elpw wa wne
      mpbir hashprg mpbii fveqeq2 elrab mpbir2an ) CDHZAIZJKLMZABNZOPUJUMPZUJJK
      LMZUNUJBQZCBPZDBPZUPEFCDBRSUJBCDTUAUDUQURUOEFUQURUBCDUCUOGCDBBUEUFSULUOAU
      JUMUKUJLJUGUHUI $.
  $}

  ${
    $d G x $.
    $( An undirected pseudograph is an undirected hypergraph.  (Contributed by
       Alexander van der Vekens, 27-Dec-2017.)  (Revised by AV,
       10-Oct-2020.) $)
    upgruhgr $p |- ( G e. UPGraph -> G e. UHGraph ) $=
      ( vx cupgr wcel cuhgr ciedg cfv cdm cvtx cpw c0 csn cdif wf chash cle wbr
      cv c2 eqid crab wss upgrf ssrab2 fss sylancl isuhgr mpbird ) ACDZAEDAFGZH
      ZAIGZJKLMZUJNZUIUKBROGSPQZBUMUAZUJNUPUMUBUNBUJAULULTZUJTZUCUOBUMUDUKUPUMU
      JUEUFCUJAULUQURUGUH $.

    $( An undirected multigraph is an undirected pseudograph.  (Contributed by
       AV, 25-Nov-2020.) $)
    umgrupgr $p |- ( G e. UMGraph -> G e. UPGraph ) $=
      ( vx cumgr wcel cupgr ciedg cfv cdm cv chash c2 cle wbr cvtx crab wf eqid
      cpw a1i mpbird c0 csn cdif wceq isumgr id wss wi leidi breq1 ss2rabi fssd
      2re syl6bi pm2.43i isupgr ) ACDZAEDAFGZHZBIZJGZKLMZBANGZRUAUBUCZOZURPZUQV
      FUQUQUSVAKUDZBVDOZURPZVFBCURAVCVCQZURQZUEVIUSVHVEURVIUFVHVEUGVIVGVBBVDVGV
      BUHUTVDDVGVBKKLMZVLVGKUMUISVAKKLUJTSUKSULUNUOBCURAVCVJVKUPT $.
  $}

  $( An undirected multigraph is an undirected hypergraph.  (Contributed by AV,
     26-Nov-2020.) $)
  umgruhgr $p |- ( G e. UMGraph -> G e. UHGraph ) $=
    ( cumgr wcel cupgr cuhgr umgrupgr upgruhgr syl ) ABCADCAECAFAGH $.

  ${
    upgrle2.i $e |- I = ( iEdg ` G ) $.
    $( An edge of an undirected pseudograph has at most two ends.  (Contributed
       by AV, 6-Feb-2021.) $)
    upgrle2 $p |- ( ( G e. UPGraph /\ X e. dom I )
                    -> ( # ` ( I ` X ) ) <_ 2 ) $=
      ( cupgr wcel cdm wa wfn cfv chash c2 cle wbr simpl cuhgr upgruhgr uhgrfun
      wfun syl funfnd adantr simpr cvtx eqid upgrle syl3anc ) AEFZCBGZFZHUHBUII
      ZUJCBJKJLMNUHUJOUHUKUJUHBUHAPFBSAQBADRTUAUBUHUJUCUIBCAAUDJZULUEDUFUG $.
  $}

  ${
    umgrnloopv.e $e |- E = ( iEdg ` G ) $.
    $( In a multigraph, there is no loop, i.e. no edge connecting a vertex with
       itself.  (Contributed by Alexander van der Vekens, 26-Jan-2018.)
       (Revised by AV, 11-Dec-2020.) $)
    umgrnloopv $p |- ( ( G e. UMGraph /\ M e. W )
                       -> ( ( E ` X ) = { M , N } -> M =/= N ) ) $=
      ( cumgr wcel cfv cpr wceq wne wi wa c0 adantr chash c2 eqid cdm cres wfun
      csn prnzg adantl wb neeq1 mpbird fvfundmfvn0 syl cvtx fveqeq2 hashprdifel
      umgredg2 simp3d syl6bi syl5com expcom com23 mpcom ex com13 imp ) BHIZCEIZ
      FAJZCDKZLZCDMZNVIVFVEVJVIVFVEVJNZFAUAIZAFUDUBUCZOZVIVFOZVKVOVGPMZVNVOVPVH
      PMZVFVQVICDEUEUFVIVPVQUGVFVGVHPUHQUIFAUJUKVLVOVKNVMVLVEVOVJVEVLVOVJNVEVLO
      VGRJSLZVOVJABBULJZFVSTGUOVIVRVJNVFVIVRVHRJSLZVJVGVHSRUMVTCVHIDVHIVJCDVHVH
      TUNUPUQQURUSUTQVAVBVCVD $.

    ${
      umgredgprv.v $e |- V = ( Vtx ` G ) $.
      $( In a multigraph, an edge is an unordered pair of vertices.  This
         theorem would not hold for arbitrary hyper-/pseudographs since either
         ` M ` or ` N ` could be proper classes ( ` ( E `` X ) ` would be a
         loop in this case), which are no vertices of course.  (Contributed by
         Alexander van der Vekens, 19-Aug-2017.)  (Revised by AV,
         11-Dec-2020.) $)
      umgredgprv $p |- ( ( G e. UMGraph /\ X e. dom E )
                     -> ( ( E ` X ) = { M , N } -> ( M e. V /\ N e. V ) ) ) $=
        ( cumgr wcel cdm wa cfv wss chash c2 wceq cpr wi cuhgr umgruhgr fveqeq2
        uhgrss sylan umgredg2 sseq1 anbi12d wne w3a eqid hashprdifel wb 3adant3
        prssg biimprd syl impcom syl6bi com12 syl2anc ) BIJZFAKJZLFAMZENZVCOMPQ
        ZVCCDRZQZCEJDEJLZSVABTJVBVDBUAAFBEHGUCUDABEFHGUEVGVDVELZVHVGVIVFENZVFOM
        PQZLVHVGVDVJVEVKVCVFEUFVCVFPOUBUGVKVJVHVKCVFJZDVFJZCDUHZUIZVJVHSCDVFVFU
        JUKVOVHVJVLVMVHVJULVNCDEVFVFUNUMUOUPUQURUSUT $.
    $}

    $d G x $.  $d M x $.  $d N x $.
    $( In a multigraph, there is no loop, i.e. no edge connecting a vertex with
       itself.  (Contributed by Alexander van der Vekens, 19-Aug-2017.)
       (Revised by AV, 11-Dec-2020.) $)
    umgrnloop $p |- ( G e. UMGraph -> ( E. x e. dom E ( E ` x ) = { M , N }
                                      -> M =/= N ) ) $=
      ( cumgr wcel cv cfv cpr wceq wne cdm cvtx wa eqid imp wi adantr ex com23
      umgredgprv umgrnloopv com12 mpcom rexlimdva2 ) CGHZAIZBJDEKLZDEMZABNZDCOJ
      ZHZEUMHZPZUHUIULHZPZUJPZUKURUJUPBCDEUMUIFUMQUCRUNUSUKSUOUSUNUKURUJUNUKSZU
      HUJUTSUQUHUNUJUKUHUNUJUKSBCDEUMUIFUDUAUBTRUETUFUG $.

    $d U x $.
    $( A multigraph has no loops.  (Contributed by Alexander van der Vekens,
       6-Dec-2017.)  (Revised by AV, 11-Dec-2020.) $)
    umgrnloop0 $p |- ( G e. UMGraph
                       -> { x e. dom E | ( E ` x ) = { U } } = (/) ) $=
      ( cumgr wcel cv cfv csn wceq wn cdm wral crab c0 wrex cpr wne sylibr mtoi
      neirr umgrnloop wa simpr dfsn2 eqtrdi ex reximdv mtod ralnex rabeq0 ) DFG
      ZAHCIZBJZKZLACMZNZUPAUQOPKUMUPAUQQZLURUMUSUNBBRZKZAUQQZUMVBBBSBUBACDBBEUC
      UAUMUPVAAUQUMUPVAUMUPUDUNUOUTUMUPUEBUFUGUHUIUJUPAUQUKTUPAUQULT $.
  $}

  ${
    $d G x $.
    umgr0e.g $e |- ( ph -> G e. W ) $.
    umgr0e.e $e |- ( ph -> ( iEdg ` G ) = (/) ) $.
    $( The empty graph, with vertices but no edges, is a multigraph.
       (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by AV,
       25-Nov-2020.) $)
    umgr0e $p |- ( ph -> G e. UMGraph ) $=
      ( vx cumgr wcel ciedg cfv cdm cv chash c2 wceq cvtx cpw c0 syl eqid wf wb
      csn cdif crab wf1 f10d f1f isumgr mpbird ) ABGHZBIJZKZFLMJNOFBPJZQRUCUDUE
      ZULUAZAUMUOULUFUPAUOULEUGUMUOULUHSABCHUKUPUBDFCULBUNUNTULTUISUJ $.

    $( The empty graph, with vertices but no edges, is a pseudograph.
       (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by AV,
       11-Oct-2020.)  (Proof shortened by AV, 25-Nov-2020.) $)
    upgr0e $p |- ( ph -> G e. UPGraph ) $=
      ( cumgr wcel cupgr umgr0e umgrupgr syl ) ABFGBHGABCDEIBJK $.
  $}

  ${
    $d B x $.  $d C x $.  $d S x $.
    upgr1elem.s $e |- ( ph -> { B , C } e. S ) $.
    upgr1elem.b $e |- ( ph -> B e. W ) $.
    $( Lemma for ~ upgr1e and ~ uspgr1e .  (Contributed by AV, 16-Oct-2020.) $)
    upgr1elem $p |- ( ph -> { { B , C } }
                           C_ { x e. ( S \ { (/) } ) | ( # ` x ) <_ 2 } ) $=
      ( cpr cv chash cfv c2 cle wbr c0 csn cdif crab wcel wceq fveq2 breq1d wne
      prnzg syl eldifsn sylanbrc cfn hashprlei simpri a1i elrabd snssd ) ACDIZB
      JZKLZMNOZBEPQRZSAURUOKLZMNOZBUOUSUPUOUAUQUTMNUPUOKUBUCAUOETUOPUDZUOUSTGAC
      FTVBHCDFUEUFUOEPUGUHVAAUOUITVACDUJUKULUMUN $.
  $}

  ${
    $d B x $.  $d C x $.  $d G x $.
    upgr1e.v $e |- V = ( Vtx ` G ) $.
    upgr1e.a $e |- ( ph -> A e. X ) $.
    upgr1e.b $e |- ( ph -> B e. V ) $.
    upgr1e.c $e |- ( ph -> C e. V ) $.
    upgr1e.e $e |- ( ph -> ( iEdg ` G ) = { <. A , { B , C } >. } ) $.
    $( A pseudograph with one edge.  Such a graph is actually a simple
       pseudograph, see ~ uspgr1e .  (Contributed by Mario Carneiro,
       12-Mar-2015.)  (Revised by AV, 16-Oct-2020.)  (Revised by AV,
       21-Mar-2021.)  (Proof shortened by AV, 17-Apr-2021.) $)
    upgr1e $p |- ( ph -> G e. UPGraph ) $=
      ( vx wcel cfv cdm csn wf mpbird cvv cupgr ciedg cv chash cle wbr cvtx cpw
      c2 c0 cdif crab cpr cop prex snid a1i fsnd wss prssd sseqtrdi elpw sylibr
      upgr1elem fssd ffdmd dmeqd feq12d wb 1vgrex eqid isupgr 3syl ) AEUANZEUBO
      ZPZMUCUDOUIUEUFMEUGOZUHZUJQUKULZVORZAVTBCDUMZUNQZPZVSWBRABQZVSWBAWDWAQZVS
      WBABWAGWEIWAWENAWACDUOZUPUQURAMCDVRFAWAVQUSWAVRNAWAFVQACDFJKUTHVAWAVQWFVB
      VCJVDVEVFAVPWCVSVOWBLAVOWBLVGVHSACFNETNVNVTVIJECFHVJMTVOEVQVQVKVOVKVLVMS
      $.
  $}

  $( The empty graph, with vertices but no edges, is a pseudograph.  The empty
     graph is actually a simple graph, see ~ usgr0eop , and therefore also a
     multigraph ( ` G e. UMGraph ` ).  (Contributed by Mario Carneiro,
     12-Mar-2015.)  (Revised by AV, 11-Oct-2020.) $)
  upgr0eop $p |- ( V e. W -> <. V , (/) >. e. UPGraph ) $=
    ( wcel c0 cop cvv opex a1i ciedg cfv wceq 0ex opiedgfv mpan2 upgr0e ) ABCZA
    DEZFQFCPADGHPDFCQIJDKLDABFMNO $.

  $( A pseudograph with one edge.  Such a graph is actually a simple
     pseudograph, see ~ uspgr1eop .  (Contributed by Mario Carneiro,
     12-Mar-2015.)  (Revised by AV, 10-Oct-2020.) $)
  upgr1eop $p |- ( ( ( V e. W /\ A e. X ) /\ ( B e. V /\ C e. V ) ) ->
      <. V , { <. A , { B , C } >. } >. e. UPGraph ) $=
    ( wcel wa cpr cop csn cvtx cfv eqid simplr simprl cvv wceq syl2an eleqtrrd
    simpl snex a1i opvtxfv simprr ciedg opiedgfv upgr1e ) DEGZAFGZHZBDGZCDGZHZH
    ZABCDABCIJZKZJZURLMZFUSNUIUJUNOUOBDUSUKULUMPUKUIUQQGZUSDRUNUIUJUAZUTUNUPUBU
    CZUQDEQUDSZTUOCDUSUKULUMUEVCTUKUIUTURUFMUQRUNVAVBUQDEQUGSUH $.

  ${
    $d V g $.  $d W g $.
    $( Alternate proof of ~ upgr0eop , using the general theorem ~ gropeld to
       transform a theorem for an arbitrary representation of a graph into a
       theorem for a graph represented as ordered pair.  This general approach
       causes some overhead, which makes the proof longer than necessary (see
       proof of ~ upgr0eop ).  (Contributed by AV, 11-Oct-2020.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    upgr0eopALT $p |- ( V e. W -> <. V , (/) >. e. UPGraph ) $=
      ( vg wcel cupgr c0 cvv cv cvtx cfv wceq ciedg wa wal vex a1i simpr upgr0e
      wi ax-gen id 0ex gropeld ) ABDZEBCFAGCHZIJAKZUELJFKZMZUEEDSZCNUDUICUHUEGU
      EGDUHCOPUFUGQRTPUDUAFGDUDUBPUC $.

    $d A g $.  $d B g $.  $d C g $.  $d X g $.
    $( Alternate proof of ~ upgr1eop , using the general theorem ~ gropeld to
       transform a theorem for an arbitrary representation of a graph into a
       theorem for a graph represented as ordered pair.  This general approach
       causes some overhead, which makes the proof longer than necessary (see
       proof of ~ upgr1eop ).  (Contributed by AV, 11-Oct-2020.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    upgr1eopALT $p |- ( ( ( V e. W /\ A e. X ) /\ ( B e. V /\ C e. V ) ) ->
      <. V , { <. A , { B , C } >. } >. e. UPGraph ) $=
      ( vg wcel wa cupgr cpr cop csn cvv cfv wceq wb eleq2 ad2antrl mpbird cvtx
      cv ciedg wi eqid simpllr simplrl simplrr simprr upgr1e alrimiv simpll a1i
      ex snex gropeld ) DEHZAFHZIZBDHZCDHZIZIZJEGABCKLZMZDNVCGUBZUAOZDPZVFUCOVE
      PZIZVFJHZUDGVCVJVKVCVJIZABCVFVGFVGUEUQURVBVJUFVLBVGHZUTUSUTVAVJUGVHVMUTQV
      CVIVGDBRSTVLCVGHZVAUSUTVAVJUHVHVNVAQVCVIVGDCRSTVCVHVIUIUJUNUKUQURVBULVENH
      VCVDUOUMUP $.
  $}

  ${
    upgrun.g $e |- ( ph -> G e. UPGraph ) $.
    upgrun.h $e |- ( ph -> H e. UPGraph ) $.
    upgrun.e $e |- E = ( iEdg ` G ) $.
    upgrun.f $e |- F = ( iEdg ` H ) $.
    upgrun.vg $e |- V = ( Vtx ` G ) $.
    upgrun.vh $e |- ( ph -> ( Vtx ` H ) = V ) $.
    upgrun.i $e |- ( ph -> ( dom E i^i dom F ) = (/) ) $.
    ${
      $d x E $.  $d x F $.  $d x G $.  $d x H $.  $d x U $.  $d x V $.
      $d x ph $.
      upgrun.u $e |- ( ph -> U e. W ) $.
      upgrun.v $e |- ( ph -> ( Vtx ` U ) = V ) $.
      upgrun.un $e |- ( ph -> ( iEdg ` U ) = ( E u. F ) ) $.
      $( The union ` U ` of two pseudographs ` G ` and ` H ` with the same
         vertex set ` V ` is a pseudograph with the vertex ` V ` and the union
         ` ( E u. F ) ` of the (indexed) edges.  (Contributed by AV,
         12-Oct-2020.)  (Revised by AV, 24-Oct-2021.) $)
      upgrun $p |- ( ph -> U e. UPGraph ) $=
        ( vx wf cupgr wcel ciedg cfv cdm cv chash c2 cle wbr cvtx cpw cdif crab
        c0 csn cun upgrf syl eqid eqcomd pweqd difeq1d feq3d mpbird fun2d dmeqd
        rabeqdv dmun eqtrdi feq123d wb isupgr ) ABUAUBZBUCUDZUEZSUFUGUDUHUIUJZS
        BUKUDZULZUOUPZUMZUNZVOTZAWCCUEZDUEZUQZVQSGULZVTUMZUNZCDUQZTAWDWEWICDAEU
        AUBWDWICTISCEGMKURUSAWEWIDTWEVQSFUKUDZULZVTUMZUNZDTZAFUAUBWOJSDFWKWKUTL
        URUSAWIWNDWEAVQSWHWMAWGWLVTAGWKAWKGNVAVBVCVHVDVEOVFAVPWFWBWIVOWJRAVPWJU
        EWFAVOWJRVGCDVIVJAVQSWAWHAVSWGVTAVRGQVBVCVHVKVEABHUBVNWCVLPSHVOBVRVRUTV
        OUTVMUSVE $.
    $}

    $( The union of two pseudographs (with the same vertex set):  If
       ` <. V , E >. ` and ` <. V , F >. ` are pseudographs, then
       ` <. V , E u. F >. ` is a pseudograph (the vertex set stays the same,
       but the edges from both graphs are kept).  (Contributed by Mario
       Carneiro, 12-Mar-2015.)  (Revised by AV, 12-Oct-2020.)  (Revised by AV,
       24-Oct-2021.) $)
    upgrunop $p |- ( ph -> <. V , ( E u. F ) >. e. UPGraph ) $=
      ( cvv wcel cvtx cfv wceq fvexi ciedg cun cop opex a1i unex pm3.2i opvtxfv
      wa mp1i opiedgfv upgrun ) AFBCUAZUBZBCDEFNGHIJKLMUMNOAFULUCUDFNOZULNOZUHZ
      UMPQFRAUNUOFDPKSBCBDTISCETJSUEUFZULFNNUGUIUPUMTQULRAUQULFNNUJUIUK $.
  $}

  ${
    umgrun.g $e |- ( ph -> G e. UMGraph ) $.
    umgrun.h $e |- ( ph -> H e. UMGraph ) $.
    umgrun.e $e |- E = ( iEdg ` G ) $.
    umgrun.f $e |- F = ( iEdg ` H ) $.
    umgrun.vg $e |- V = ( Vtx ` G ) $.
    umgrun.vh $e |- ( ph -> ( Vtx ` H ) = V ) $.
    umgrun.i $e |- ( ph -> ( dom E i^i dom F ) = (/) ) $.
    ${
      $d x E $.  $d x F $.  $d x G $.  $d x H $.  $d x U $.  $d x V $.
      $d x ph $.
      umgrun.u $e |- ( ph -> U e. W ) $.
      umgrun.v $e |- ( ph -> ( Vtx ` U ) = V ) $.
      umgrun.un $e |- ( ph -> ( iEdg ` U ) = ( E u. F ) ) $.
      $( The union ` U ` of two multigraphs ` G ` and ` H ` with the same
         vertex set ` V ` is a multigraph with the vertex ` V ` and the union
         ` ( E u. F ) ` of the (indexed) edges.  (Contributed by AV,
         25-Nov-2020.) $)
      umgrun $p |- ( ph -> U e. UMGraph ) $=
        ( vx wf cumgr wcel ciedg cfv cdm cv chash c2 wceq cvtx cpw crab cun syl
        umgrf eqid eqcomd pweqd rabeqdv feq3d mpbird fun2d dmeqd eqtrdi feq123d
        dmun wb isumgrs ) ABUAUBZBUCUDZUEZSUFUGUDUHUIZSBUJUDZUKZULZVJTZAVPCUEZD
        UEZUMZVLSGUKZULZCDUMZTAVQVRWACDAEUAUBVQWACTISCEGMKUOUNAVRWADTVRVLSFUJUD
        ZUKZULZDTZAFUAUBWFJSDFWCWCUPLUOUNAWAWEDVRAVLSVTWDAGWCAWCGNUQURUSUTVAOVB
        AVKVSVOWAVJWBRAVKWBUEVSAVJWBRVCCDVFVDAVLSVNVTAVMGQURUSVEVAABHUBVIVPVGPS
        HVJBVMVMUPVJUPVHUNVA $.
    $}

    $( The union of two multigraphs (with the same vertex set):  If
       ` <. V , E >. ` and ` <. V , F >. ` are multigraphs, then
       ` <. V , E u. F >. ` is a multigraph (the vertex set stays the same, but
       the edges from both graphs are kept).  (Contributed by Mario Carneiro,
       12-Mar-2015.)  (Revised by AV, 25-Nov-2020.) $)
    umgrunop $p |- ( ph -> <. V , ( E u. F ) >. e. UMGraph ) $=
      ( cvv wcel cvtx cfv wceq fvexi ciedg cun cop opex a1i unex pm3.2i opvtxfv
      wa mp1i opiedgfv umgrun ) AFBCUAZUBZBCDEFNGHIJKLMUMNOAFULUCUDFNOZULNOZUHZ
      UMPQFRAUNUOFDPKSBCBDTISCETJSUEUFZULFNNUGUIUPUMTQULRAUQULFNNUJUIUK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Loop-free graphs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  For a hypergraph, the property to be "loop-free" is expressed by
  ` I : dom I --> E ` with ` E = { x e. ~P V | 2 <_ ( # `` x ) } ` and
  ` I = ( iEdg `` G ) `. ` E ` is the set of edges which connect at least two
  vertices.

$)

  $( Lemma for ~ umgrislfupgr and ~ usgrislfuspgr .  (Contributed by AV,
     27-Jan-2021.) $)
  umgrislfupgrlem $p |- ( { x e. ( ~P V \ { (/) } ) | ( # ` x ) <_ 2 }
                      i^i { x e. ~P V | 2 <_ ( # ` x ) } )
                        = { x e. ( ~P V \ { (/) } ) | ( # ` x ) = 2 } $=
    ( cv chash cfv c2 cle wbr cpw c0 crab cin wa wceq cc0 wcel wi 2re ax-mp cxr
    csn cdif clt 2pos wne simprl fveq2 hash0 eqtrdi breq2d wn 0re lenlti pm2.21
    syl6bi adantld impcomd ax-1 pm2.61ine eldifsn sylanbrc simprr jca ex eldifi
    sylbi anim1i impbid1 rabbidva2 ineq2i inrab wb cxnn0 cvv hashxnn0 elv rexri
    xnn0xr xrletri3 mp2an bicomi rabbii 3eqtri ) ACZDEZFGHZABIZJUAZUBZKZFWEGHZA
    WGKZLWJWKAWIKZLWFWKMZAWIKWEFNZAWIKWLWMWJOFUCHZWLWMNUDWPWKWKAWGWIWPWDWGPZWKM
    ZWDWIPZWKMZWPWRWTWPWRMZWSWKXAWQWDJUEZWSWPWQWKUFXAXBQWDJWDJNZWRWPXBXCWKWPXBQ
    ZWQXCWKFOGHZXDXCWEOFGXCWEJDEOWDJDUGUHUIUJXEWPUKXDFORULUMWPXBUNVFUOUPUQXBXAU
    RUSWDWGJUTVAWPWQWKVBVCVDWSWQWKWDWGWHVEVGVHVISVJWFWKAWIVKWNWOAWIWOWNWETPZFTP
    WOWNVLWEVMPZXFXGAWDVNVOVPWEVRSFRVQWEFVSVTWAWBWC $.

  ${
    $d G x $.  $d V x $.
    umgrislfupgr.v $e |- V = ( Vtx ` G ) $.
    umgrislfupgr.i $e |- I = ( iEdg ` G ) $.
    $( A multigraph is a loop-free pseudograph.  (Contributed by AV,
       27-Jan-2021.) $)
    umgrislfupgr $p |- ( G e. UMGraph <-> ( G e. UPGraph
                         /\ I : dom I --> { x e. ~P V | 2 <_ ( # ` x ) } ) ) $=
      ( cumgr wcel cupgr cdm c2 cle wbr crab wf wa wceq a1i mpbird wb chash cfv
      cv cpw umgrupgr umgrf id wss wi 2re leidi breq2 ss2rabi fssd syl jca cdif
      csn upgrf cin fin umgrislfupgrlem ax-mp sylbb1 sylan isumgr adantr impbii
      c0 feq3 ) BGHZBIHZCJZKAUCZUAUBZLMZADUDZNZCOZPZVKVLVSBUEVKVMVOKQZAVQNZCOZV
      SACBDEFUFWCVMWBVRCWCUGWBVRUHWCWAVPAVQWAVPUIVNVQHWAVPKKLMZWDWAKUJUKRVOKKLU
      LSRUMRUNUOUPVTVKVMWAAVQVIURUQZNZCOZVLVMVOKLMAWENZCOZVSWGACBDEFUSVMWHVRUTZ
      COZWIVSPWGVMWHVRCVAWJWFQWKWGTADVBWJWFVMCVJVCVDVEVLVKWGTVSAICBDEFVFVGSVH
      $.
  $}

  ${
    $d A x $.  $d I x y $.  $d V x y $.  $d X y $.
    lfuhgrnloopv.i $e |- I = ( iEdg ` G ) $.
    lfuhgrnloopv.a $e |- A = dom I $.
    lfuhgrnloopv.e $e |- E = { x e. ~P V | 2 <_ ( # ` x ) } $.
    $( An edge of a loop-free graph has at least two ends.  (Contributed by AV,
       23-Feb-2021.) $)
    lfgredgge2 $p |- ( ( I : A --> E /\ X e. A )
                       -> 2 <_ ( # ` ( I ` X ) ) ) $=
      ( vy wf wcel cfv c2 cv chash cle wbr wceq wa crab feq23i biimpi ffvelrnda
      cpw eqid fveq2 breq2d cbvrabv elrab2 simprbi syl ) BCELZGBMUAGENZOAPZQNZR
      SZAFUFZUBZMZOUOQNZRSZUNBUTGEUNBUTELBCBUTEBUGJUCUDUEVAUOUSMVCOKPZQNZRSZVCK
      UOUSUTVDUOTVEVBORVDUOQUHUIURVFAKUSUPVDTUQVEORUPVDQUHUIUJUKULUM $.

    $d U x $.
    $( A loop-free graph has no loops.  (Contributed by AV, 23-Feb-2021.) $)
    lfgrnloop $p |- ( I : A --> E -> { x e. A | ( I ` x ) = { U } } = (/) ) $=
      ( cfv wceq wn c2 chash cle wbr cc0 c1 mtbiri wf cv csn wral crab nfcv cpw
      c0 nfrab1 nfcxfr nff wcel wa wo hashsn01 clt 2pos 0re 2re mpbi breq2 1lt2
      ltnlei 1re jaoi ax-mp fveq2 breq2d lfgredgge2 nsyl3 ralrimi rabeq0 sylibr
      ex ) BDFUAZAUBZFKZCUCZLZMZABUDVSABUEUHLVOVTABABDFAFUFABUFADNVPOKPQZAGUGZU
      EJWAAWBUIUJUKVOVPBULZVTVSNVQOKZPQZVOWCUMVSWENVROKZPQZWFRLZWFSLZUNWGMZCUOW
      HWJWIWHWGNRPQZRNUPQWKMUQRNURUSVCUTWFRNPVATWIWGNSPQZSNUPQWLMVBSNVDUSVCUTWF
      SNPVATVEVFVSWDWFNPVQVROVGVHTABDEFGVPHIJVIVJVNVKVSABVLVM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Edges as subsets of vertices of graphs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d E x $.  $d I x $.
    uhgredgiedgb.i $e |- I = ( iEdg ` G ) $.
    $( In a hypergraph, a set is an edge iff it is an indexed edge.
       (Contributed by AV, 17-Oct-2020.) $)
    uhgredgiedgb $p |- ( G e. UHGraph -> ( E e. ( Edg ` G )
                                         <-> E. x e. dom I E = ( I ` x ) ) ) $=
      ( cuhgr wcel wfun cedg cfv cv wceq cdm wrex wb uhgrfun edgiedgb syl ) CFG
      DHBCIJGBAKDJLADMNODCEPABCDEQR $.
  $}

  $( A hypergraph has no edges iff its edge function is empty.  (Contributed by
     AV, 21-Oct-2020.)  (Proof shortened by AV, 8-Dec-2021.) $)
  uhgriedg0edg0 $p |- ( G e. UHGraph -> ( ( Edg ` G ) = (/)
                                          <-> ( iEdg ` G ) = (/) ) ) $=
    ( cuhgr wcel ciedg cfv wfun cedg c0 wceq wb eqid uhgrfun edg0iedg0 syl ) AB
    CADEZFAGEZHIOHIJOAOKZLPAOQPKMN $.

  $( An edge of a hypergraph is a nonempty subset of vertices.  (Contributed by
     AV, 28-Nov-2020.) $)
  uhgredgn0 $p |- ( ( G e. UHGraph /\ E e. ( Edg ` G ) )
                  -> E e. ( ~P ( Vtx ` G ) \ { (/) } ) ) $=
    ( cuhgr wcel cedg cfv cvtx cpw c0 csn cdif ciedg crn edgval eqid uhgrf frnd
    cdm eqsstrid sselda ) BCDZBEFZBGFZHIJKZAUAUBBLFZMUDBNUAUERUDUEUEBUCUCOUEOPQ
    ST $.

  $( An edge of a hypergraph is a subset of vertices.  (Contributed by AV,
     26-Oct-2020.)  (Proof shortened by AV, 28-Nov-2020.) $)
  edguhgr $p |- ( ( G e. UHGraph /\ E e. ( Edg ` G ) )
                  -> E e. ~P ( Vtx ` G ) ) $=
    ( cuhgr wcel cedg cfv wa cvtx cpw c0 csn uhgredgn0 eldifad ) BCDABEFDGABHFI
    JKABLM $.

  $( An edge of a hypergraph contains only vertices.  (Contributed by Alexander
     van der Vekens, 18-Feb-2018.)  (Revised by AV, 4-Jun-2021.) $)
  uhgredgrnv $p |- ( ( G e. UHGraph /\ E e. ( Edg ` G ) /\ N e. E )
                     -> N e. ( Vtx ` G ) ) $=
    ( cuhgr wcel cedg cfv cvtx wa cpw wi edguhgr elelpwi expcom syl 3impia ) BD
    EZABFGEZCAEZCBHGZEZQRIATJEZSUAKABLSUBUACATMNOP $.

  ${
    $d G x $.
    $( The set of edges of a hypergraph is a subset of the power set of
       vertices without the empty set.  (Contributed by AV, 29-Nov-2020.) $)
    uhgredgss $p |- ( G e. UHGraph
                      -> ( Edg ` G ) C_ ( ~P ( Vtx ` G ) \ { (/) } ) ) $=
      ( vx cuhgr wcel cedg cfv cvtx cpw c0 csn cdif cv uhgredgn0 ex ssrdv ) ACD
      ZBAEFZAGFHIJKZPBLZQDSRDSAMNO $.

    $( The set of edges of a pseudograph is a subset of the set of unordered
       pairs of vertices.  (Contributed by AV, 29-Nov-2020.) $)
    upgredgss $p |- ( G e. UPGraph -> ( Edg ` G )
                 C_ { x e. ( ~P ( Vtx ` G ) \ { (/) } ) | ( # ` x ) <_ 2 } ) $=
      ( cupgr wcel cedg cfv ciedg crn cv chash c2 cle wbr cvtx cpw c0 cdif crab
      csn eqid edgval cdm upgrf frnd eqsstrid ) BCDZBEFBGFZHAIJFKLMABNFZOPSQRZB
      UAUFUGUBUIUGAUGBUHUHTUGTUCUDUE $.

    $( The set of edges of a multigraph is a subset of the set of unordered
       pairs of vertices.  (Contributed by AV, 25-Nov-2020.) $)
    umgredgss $p |- ( G e. UMGraph
               -> ( Edg ` G ) C_ { x e. ~P ( Vtx ` G ) | ( # ` x ) = 2 } ) $=
      ( cumgr wcel cedg cfv ciedg crn cv chash c2 wceq cvtx cpw crab edgval cdm
      eqid umgrf frnd eqsstrid ) BCDZBEFBGFZHAIJFKLABMFZNOZBPUBUCQUEUCAUCBUDUDR
      UCRSTUA $.

    $d E x $.
    $( Properties of an edge of a pseudograph.  (Contributed by AV,
       8-Nov-2020.) $)
    edgupgr $p |- ( ( G e. UPGraph /\ E e. ( Edg ` G ) )
                -> ( E e. ~P ( Vtx ` G ) /\ E =/= (/) /\ ( # ` E ) <_ 2 ) ) $=
      ( vx cupgr wcel cedg cfv cvtx cpw c0 wne chash c2 cle wbr w3a wceq a1i wa
      eqid ciedg crn edgval eleq2d cv csn cdif crab cdm upgrf frnd sseld breq1d
      fveq2 elrab wi eldifsn biimpi anim1i df-3an sylibr syl5bi syld sylbid imp
      ) BDEZABFGZEZABHGZIZEZAJKZALGZMNOZPZVFVHABUAGZUBZEZVOVFVGVQAVGVQQVFBUCRUD
      VFVRACUEZLGZMNOZCVJJUFUGZUHZEZVOVFVQWCAVFVPUIWCVPCVPBVIVITVPTUJUKULWDAWBE
      ZVNSZVFVOWAVNCAWBVSAQVTVMMNVSALUNUMUOWFVOUPVFWFVKVLSZVNSVOWEWGVNWEWGAVJJU
      QURUSVKVLVNUTVARVBVCVDVE $.

    $( Properties of an edge of a multigraph.  (Contributed by AV,
       25-Nov-2020.) $)
    edgumgr $p |- ( ( G e. UMGraph /\ E e. ( Edg ` G ) )
                    -> ( E e. ~P ( Vtx ` G ) /\ ( # ` E ) = 2 ) ) $=
      ( vx cumgr wcel cedg cfv wa cv chash wceq cvtx cpw crab umgredgss fveqeq2
      c2 sselda elrab sylib ) BDEZABFGZEHACIZJGQKZCBLGMZNZEAUEEAJGQKZHUAUBUFACB
      ORUDUGCAUEUCAQJPST $.
  $}

  ${
    $d E e $.  $d I e i $.  $d U e i $.
    uhgrvtxedgiedgb.i $e |- I = ( iEdg ` G ) $.
    uhgrvtxedgiedgb.e $e |- E = ( Edg ` G ) $.
    $( In a hypergraph, a vertex is incident with an edge iff it is contained
       in an element of the range of the edge function.  (Contributed by AV,
       24-Dec-2020.)  (Revised by AV, 6-Jul-2022.) $)
    uhgrvtxedgiedgb $p |- ( ( G e. UHGraph /\ U e. V )
                  -> ( E. i e. dom I U e. ( I ` i ) <-> E. e e. E U e. e ) ) $=
      ( cuhgr wcel wa cv wrex cfv cdm wb crn cedg ciedg wceq edgval a1i 3eqtr4g
      rneqi rexeqdv wfn uhgrfun funfnd eleq2 rexrn syl bitrd adantr bicomd ) EJ
      KZAGKZLABMZKZBDNZACMFOZKZCFPZNZUPUTVDQUQUPUTUSBFRZNZVDUPUSBDVEUPESOZETOZR
      ZDVEVGVIUAUPEUBUCIFVHHUEUDUFUPFVCUGVFVDQUPFFEHUHUIUSVBBCVCFURVAAUJUKULUMU
      NUO $.
  $}

  ${
    $d C x $.  $d G x $.  $d V x $.  $d C a b c $.  $d G a b $.  $d V a b c $.
    upgredg.v $e |- V = ( Vtx ` G ) $.
    upgredg.e $e |- E = ( Edg ` G ) $.
    $( For each edge in a pseudograph, there are two vertices which are
       connected by this edge.  (Contributed by AV, 4-Nov-2020.)  (Proof
       shortened by AV, 26-Nov-2021.) $)
    upgredg $p |- ( ( G e. UPGraph /\ C e. E )
                    -> E. a e. V E. b e. V C = { a , b } ) $=
      ( vx cupgr wcel wa cv chash cfv c2 cle wbr wceq wrex cpw c0 csn cdif crab
      cpr ciedg crn cedg edgval a1i syl5eq eleq2d cdm eqid upgrf frnd sseld imp
      sylbid fveq2 breq1d elrab hashle2prv biimpa sylbi syl ) CJKZABKZLAIMZNOZP
      QRZIDUAUBUCUDZUEZKZAEMFMUFSFDTEDTZVHVIVOVHVIACUGOZUHZKVOVHBVRAVHBCUIOZVRH
      VSVRSVHCUJUKULUMVHVRVNAVHVQUNVNVQIVQCDGVQUOUPUQURUTUSVOAVMKZANOZPQRZLVPVL
      WBIAVMVJASVKWAPQVJANVAVBVCVTWBVPADEFVDVEVFVG $.

    $( For each edge in a multigraph, there are two distinct vertices which are
       connected by this edge.  (Contributed by Alexander van der Vekens,
       9-Dec-2017.)  (Revised by AV, 25-Nov-2020.) $)
    umgredg $p |- ( ( G e. UMGraph /\ C e. E )
                    -> E. a e. V E. b e. V ( a =/= b /\ C = { a , b } ) ) $=
      ( cumgr wcel wa cv wne cpr wceq wex wrex cfv wss vex cvtx chash c2 eleq2i
      cpw cedg edgumgr sylan2b hash2prde wi eleq1 prex elpw sseq2i sylbbr sylbi
      prss syl6bi adantrd adantl imdistanri ex 2eximdv mpd syl r2ex sylibr ) CI
      JZABJZKZELZDJFLZDJKZVKVLMZAVKVLNZOZKZKZFPEPZVQFDQEDQVJACUARZUEZJZAUBRUCOZ
      KZVSVIVHACUFRZJWDBWEAHUDACUGUHWDVQFPEPVSAWAEFUIWDVQVREFWDVQVRVQWDVMVPWDVM
      UJVNVPWBVMWCVPWBVOWAJZVMAVOWAUKWFVOVTSZVMVOVTVKVLULUMVMVODSWGVKVLDETFTUQD
      VTVOGUNUOUPURUSUTVAVBVCVDVEVQEFDDVFVG $.

    ${
      $d E m n $.  $d G m n $.  $d M m n $.  $d N m n $.  $d U m n $.
      $d V m n $.  $d W m n $.
      $( An edge of a pseudograph always connects two vertices if the edge
         contains two sets.  The two vertices/sets need not necessarily be
         different (loops are allowed).  (Contributed by AV, 18-Nov-2021.) $)
      upgrpredgv $p |- ( ( G e. UPGraph /\ ( M e. U /\ N e. W )
                                        /\ { M , N } e. E )
                         -> ( M e. V /\ N e. V ) ) $=
        ( vm vn wcel wa cpr cv wceq wb eleq1 eqcoms biimpd wrex upgredg 3adant2
        cupgr wo preq12bg 3ad2antl2 wi im2anan9 com12 ancoms jaod adantl sylbid
        w3a rexlimdvva mpd ) CUDLZDALEGLMZDENZBLZUOZUTJOZKOZNPZKFUAJFUAZDFLZEFL
        ZMZURVAVFUSUTBCFJKHIUBUCVBVEVIJKFFVBVCFLZVDFLZMZMVEDVCPZEVDPZMZDVDPZEVC
        PZMZUEZVIUSURVLVEVSQVADEVCVDAGFFUFUGVLVSVIUHVBVLVOVIVRVOVLVIVMVJVGVNVKV
        HVMVJVGVJVGQVCDVCDFRSTVNVKVHVKVHQVDEVDEFRSTUIUJVKVJVRVIUHVRVKVJMVIVPVKV
        GVQVJVHVPVKVGVKVGQVDDVDDFRSTVQVJVHVJVHQVCEVCEFRSTUIUJUKULUMUNUPUQ $.
    $}

    $( An edge of a multigraph always connects two vertices.  Analogue of
       ~ umgredgprv .  This theorem does not hold for arbitrary pseudographs:
       if either ` M ` or ` N ` is a proper class, then ` { M , N } e. E `
       could still hold ( ` { M , N } ` would be either ` { M } ` or
       ` { N } ` , see ~ prprc1 or ~ prprc2 , i.e. a loop), but ` M e. V ` or
       ` N e. V ` would not be true.  (Contributed by AV, 27-Nov-2020.) $)
    umgrpredgv $p |- ( ( G e. UMGraph /\ { M , N } e. E )
                      -> ( M e. V /\ N e. V ) ) $=
      ( cumgr wcel cpr wa cvtx cfv cpw chash c2 wceq cedg eleq2i syl edgumgr wi
      sylan2b wne hashprdifel eqcomi pweqi prelpw biimprd syl5bi 3adant3 impcom
      w3a eqid ) BHIZCDJZAIZKUPBLMZNZIZUPOMPQZKZCEIDEIKZUQUOUPBRMZIVBAVDUPGSUPB
      UAUCVAUTVCVACUPIZDUPIZCDUDZUMUTVCUBZCDUPUPUNUEVEVFVHVGUTUPENZIZVEVFKZVCUS
      VIUPUREEURFUFUGSVKVCVJCDEUPUPUHUIUJUKTULT $.

    $d A a b c $.  $d E a c $.  $d G c $.
    $( For a vertex incident to an edge there is another vertex incident to the
       edge in a pseudograph.  (Contributed by AV, 18-Oct-2020.)  (Revised by
       AV, 5-Dec-2020.) $)
    upgredg2vtx $p |- ( ( G e. UPGraph /\ C e. E /\ A e. C )
                        -> E. b e. V C = { A , b } ) $=
      ( va vc cupgr wcel w3a cv cpr wceq wrex upgredg 3adant3 wi wa eleq2 eqeq1
      elpr2elpr 3expia rexbidv imbi12d syl5ibr com13 3ad2ant3 rexlimdvv mpd ) D
      KLZBCLZABLZMZBINZJNZOZPZJEQIEQZBAFNOZPZFEQZUMUNVAUOBCDEIJGHRSUPUTVDIJEEUO
      UMUQELZURELZUAZUTVDTTUNUTVGUOVDVGUOVDTUTAUSLZUSVBPZFEQZTVEVFVHVJAEUQURFUD
      UEUTUOVHVDVJBUSAUBUTVCVIFEBUSVBUCUFUGUHUIUJUKUL $.

    $d B a b $.  $d U a b $.  $d W a b $.
    $( If a proper pair (of vertices) is a subset of an edge in a pseudograph,
       the pair is the edge.  (Contributed by AV, 30-Dec-2020.) $)
    upgredgpr $p |- ( ( ( G e. UPGraph /\ C e. E /\ { A , B } C_ C )
                          /\ ( A e. U /\ B e. W /\ A =/= B ) )
                      -> { A , B } = C ) $=
      ( va vb wcel cpr wss w3a wceq cv wrex wi cupgr wne upgredg 3adant3 biimpd
      wa ssprsseq sseq2 eqeq2 imbi12d syl5ibr com23 a1i rexlimivv com12 mpd imp
      3ad2ant3 ) FUAMZCEMZABNZCOZPZADMBHMABUBPZVACQZVCCKRZLRZNZQZLGSKGSZVDVETZU
      SUTVJVBCEFGKLIJUCUDVBUSVJVKTUTVJVBVKVIVBVKTZKLGGVIVLTVFGMVGGMUFVIVDVBVEVD
      VBVETVIVAVHOZVAVHQZTVDVMVNABVFVGDHUGUEVIVBVMVEVNCVHVAUHCVHVAUIUJUKULUMUNU
      OURUPUQ $.
  $}

  ${
    $d E m n v $.  $d G i m n $.  $d N i m n v $.  $d V i m n v $.
    edglnl.v $e |- V = ( Vtx ` G ) $.
    edglnl.e $e |- E = ( iEdg ` G ) $.
    $( The edges incident with a vertex ` N ` are the edges joining ` N ` with
       other vertices and the loops on ` N ` in a pseudograph.  (Contributed by
       AV, 18-Dec-2021.) $)
    edglnl $p |- ( ( G e. UPGraph /\ N e. V )
                  -> ( U_ v e. ( V \ { N } )
                          { i e. dom E | ( N e. ( E ` i ) /\ v e. ( E ` i ) ) }
                       u. { i e. dom E | ( E ` i ) = { N } } )
                     = { i e. dom E | N e. ( E ` i ) } ) $=
      ( vn vm wcel wa csn cv cfv crab wceq wrex wi eleq2 cupgr cdif ciun iunrab
      cdm cun a1i uneq1d wo unrab simpl rexlimivw ad2antlr syl5ibrcom jaod cedg
      snidg wfun cuhgr upgruhgr uhgrfun syl adantr iedgedg sylan cpr upgredg ex
      eqid ad2antrr dfsn2 eqcomi elsni eqcomd syl5eq eleq2s preq2 eleq2d eqeq1d
      w3a sneq imbi12d mpbiri imp olcd expcom 3ad2ant3 wne simpr3 necomd simpr2
      com12 prproe syl3anc r19.42v sylanbrc orcd pm2.61ine 3exp anbi12d rexbidv
      eqeq1 orbi12d rexlimdvva syld mpd impbid rabbidva eqtrd ) DUAKZEFKZLZAFEM
      ZUBZEBNZCOZKZANZXPKZLZBCUEZPUCZXPXMQZBYAPZUFXTAXNRZBYAPZYDUFZXQBYAPZXLYBY
      FYDYBYFQXLXTABXNYAUDUGUHXLYGYEYCUIZBYAPYHYEYCBYAUJXLYIXQBYAXLXOYAKZLZYIXQ
      YKYEXQYCYEXQSYKXTXQAXNXQXSUKULUGYKXQYCEXMKZXKYLXJYJEFUQUMXPXMETUNUOYKXPDU
      POZKZXQYISZXLCURZYJYNXJYPXKXJDUSKYPDUTCDHVAVBVCCDXOHVDVEYKYNXPINZJNZVFZQZ
      JFRIFRZYOXJYNUUASXKYJXJYNUUAXPYMDFIJGYMVIVGVHVJYKYTYOIJFFYKYQFKYRFKLZLYOY
      TEYSKZUUCXRYSKZLZAXNRZYSXMQZUIZSZYKUUBUUIXKUUBUUISXJYJXKUUBUUCUUHXKUUBUUC
      VTZUUHSYRYQUUJYRYQQZUUHUUCXKUUKUUHSUUBUUKUUCUUHUUKUUCLUUGUUFUUKUUCUUGUUKU
      UCUUGSEYQYQVFZKZUULXMQZSUUNEYQMZUULEUUOKZUULUUOXMUUOUULYQVKVLZUUPEYQQZUUO
      XMQEYQVMUURXMUUOEYQWAVNVBVOUUQVPUUKUUCUUMUUGUUNUUKYSUULEYRYQYQVQZVRUUKYSU
      ULXMUUSVSWBWCWDWEWFWGWLYRYQWHZUUJUUHUUTUUJLZUUFUUGUVAUUCUUDAXNRZUUFUUTXKU
      UBUUCWIZUVAUUCYQYRWHUUBUVBUVCUVAYRYQUUTUUJUKWJUUTXKUUBUUCWKAYQYREFWMWNUUC
      UUDAXNWOWPWQVHWRWSUMWDYTXQUUCYIUUHXPYSETZYTYEUUFYCUUGYTXTUUEAXNYTXQUUCXSU
      UDUVDXPYSXRTWTXAXPYSXMXBXCWBUNXDXEXFXGXHVOXI $.

    $d E i w $.  $d E j $.  $d G j $.  $d G v w $.  $d N i j v $.  $d N w $.
    $d V j $.  $d V w $.  $d i n m w $.
    $( The number of edges incident with a vertex ` N ` is the number of edges
       joining ` N ` with other vertices and the number of loops on ` N ` in a
       pseudograph of finite size.  (Contributed by AV, 19-Dec-2021.) $)
    numedglnl $p |- ( ( G e. UPGraph /\ ( V e. Fin /\ E e. Fin ) /\ N e. V )
        -> ( sum_ v e. ( V \ { N } )
                  ( # ` { i e. dom E | ( N e. ( E ` i ) /\ v e. ( E ` i ) ) } )
             + ( # ` { i e. dom E | ( E ` i ) = { N } } ) )
           = ( # ` { i e. dom E | N e. ( E ` i ) } ) ) $=
      ( vw wcel cfn wa cv cfv chash wceq adantr wral wn wi vm vn cupgr w3a cdif
      vj csn cdm crab csu caddc co ciun cun diffi 3ad2ant2 rabfi syl adantl weq
      dmfi cin c0 wo wdisj notnotb cpr wrex cedg cuhgr upgruhgr uhgrfun iedgedg
      wfun sylan eqid upgredg syldan ex 3ad2ant1 eldifsni 3elpr2eq expcom 3expd
      imp wne com23 3imp con3d com24 eleq2 notbid imbi12d syl5ibrcom rexlimdvva
      3exp syl2an mpd syl5bir orrd anandi bicomi notbii orbi2i 3bitri ralrimiva
      ianor sylibr inrab eqeq1i rabeq0 ralrimivva eleq1w anbi2d rabbidv hashiun
      bitri disjor eqcomd oveq1d iunfi syl2anc fveqeq2 elrab eldifn eliun fveq2
      syl5ibr intnand ralnex eleq2d anbi12d ralbii syl5bi ralrimiv disjr hashun
      3bitr2i syl3anc edglnl 3adant2 fveq2d 3eqtr2d ) DUCJZFKJZCKJZLZEFJZUDZFEU
      GZUEZEBMZCNZJZAMZUUMJZLZBCUHZUIZONAUJZUUMUUJPZBUURUIZONZUKULAUUKUUSUMZONZ
      UVCUKULZUVDUVBUNZONZUUNBUURUIZONUUIUUTUVEUVCUKUUIUVEUUTUUIAUUKUUSUUGUUDUU
      KKJZUUHUUEUVJUUFFUUJUOQUPZUUIUUSKJZUUOUUKJZUUGUUDUVLUUHUUFUVLUUEUUFUURKJZ
      UVLCVAZUUQBUURUQURUSUPQZUUIAIUTZUUSUUNIMZUUMJZLZBUURUIZVBZVCPZVDZIUUKRAUU
      KRAUUKUUSVEUUIUWDAIUUKUUKUUIUVMUVRUUKJZLZLZUVQUWCUWGUVQSZUWCUWGUWHLZUUQUV
      TLZSZBUURRZUWCUWIUWKBUURUWIUULUURJZLZUUNSZUUPSZUVSSZVDZVDZUWKUWNUWOUWRUWO
      SUUNUWNUWRUUNVFUWNUUNUWRUWNUUNLZUWPUWQUWPSUUPUWTUWQUUPVFUWNUUNUUPUWQTZUWN
      UUMUAMZUBMZVGZPZUBFVHUAFVHZUUNUXATZUWIUWMUXFUWGUWMUXFTZUWHUUIUXHUWFUUDUUG
      UXHUUHUUDUWMUXFUUDUWMUUMDVINZJZUXFUUDCVNZUWMUXJUUDDVJJUXKDVKCDHVLURCDUULH
      VMVOUUMUXIDFUAUBGUXIVPVQVRVSVTQQWEUWIUXFUXGTZUWMUWGUWHUXLUWFUWHUXLTZUUIUV
      MUUOEWFZUVREWFZUXMUWEUUOFEWAUVRFEWAUXNUXOLZUWHUXLUXPUWHLZUXEUXGUAUBFFUXQU
      XEUXGTUXBFJUXCFJLUXQUXGUXEEUXDJZUUOUXDJZUVRUXDJZSZTZTZUXPUWHUYCUXPUXSUXRU
      WHUYAUXPUXSUXRUWHUYATUXPUXSUXRUDUXTUVQUXPUXSUXRUXTUVQTZUXPUXRUXSUYDUXPUXR
      UXSUXTUVQUXRUXSUXTUDUXPUVQUXBUXCEUUOUVRWBWCWDWGWHWIWPWJWEUXEUUNUXRUXAUYBU
      UMUXDEWKUXEUUPUXSUWQUYAUUMUXDUUOWKUXEUVSUXTUUMUXDUVRWKWLWMWMWNQWOVSWQUSWE
      QWRWEWSWTVSWSWTUWKUUNUUPUVSLZLZSUWOUYESZVDUWSUWJUYFUYFUWJUUNUUPUVSXAXBXCU
      UNUYEXGUYGUWRUWOUUPUVSXGXDXEXHXFUWCUWJBUURUIZVCPUWLUWBUYHVCUUQUVTBUURXIXJ
      UWJBUURXKXQXHVSWTXLUUKUUSUWAAIUVQUUQUVTBUURUVQUUPUVSUUNAIUUMXMXNXOXRXHXPX
      SXTUUIUVDKJZUVBKJZUVDUVBVBVCPZUVHUVFPUUIUVJUVLAUUKRUYIUVKUUIUVLAUUKUVPXFA
      UUKUUSYAYBUUGUUDUYJUUHUUFUYJUUEUUFUVNUYJUVOUVABUURUQURUSUPUUIUFMZUVDJZSZU
      FUVBRUYKUUIUYNUFUVBUYLUVBJUYLUURJZUYLCNZUUJPZLZUUIUYNUVAUYQBUYLUURUULUYLU
      UJCYCYDUUIUYRUYNUUIUYRLZUYOEUYPJZUUOUYPJZLZLZSZAUUKRZUYNUYSVUDAUUKUYSUVML
      ZVUBUYOVUFVUAUYTUYSUVMVUASZUYRUVMVUGTZUUIUYQVUHUYOUVMVUGUYQUUOUUJJZSUUOFU
      UJYEUYQVUAVUIUYPUUJUUOWKWLYHUSUSWEYIYIXFUYNUYLUUSJZAUUKVHZSVUJSZAUUKRVUEU
      YMVUKAUYLUUKUUSYFXCVUJAUUKYJVULVUDAUUKVUJVUCUUQVUBBUYLUURBUFUTZUUNUYTUUPV
      UAVUMUUMUYPEUULUYLCYGZYKVUMUUMUYPUUOVUNYKYLYDXCYMYRXHVSYNYOUFUVDUVBYPXHUV
      DUVBYQYSUUIUVGUVIOUUDUUHUVGUVIPUUGABCDEFGHYTUUAUUBUUC $.
  $}

  ${
    umgredgne.v $e |- E = ( Edg ` G ) $.
    $( An edge of a multigraph always connects two different vertices.
       Analogue of ~ umgrnloopv resp. ~ umgrnloop .  (Contributed by AV,
       27-Nov-2020.) $)
    umgredgne $p |- ( ( G e. UMGraph /\ { M , N } e. E ) -> M =/= N ) $=
      ( cumgr wcel cpr wa cvtx cfv cpw chash c2 wceq wne eleq2i edgumgr sylan2b
      cedg eqid hashprdifel simp3d simpl2im ) BFGZCDHZAGZIUFBJKLGZUFMKNOZCDPZUG
      UEUFBTKZGUHUIIAUKUFEQUFBRSUICUFGDUFGUJCDUFUFUAUBUCUD $.
  $}

  $( A multigraph has no loops.  (Contributed by AV, 27-Oct-2020.)  (Revised by
     AV, 30-Nov-2020.) $)
  umgrnloop2 $p |- ( G e. UMGraph -> { N , N } e/ ( Edg ` G ) ) $=
    ( cumgr wcel cpr cedg wn wnel cvtx wa eqid umgrpredgv simpld wceq umgredgne
    cfv wne eqneqall mpsyl pm2.65da df-nel sylibr ) ACDZBBEZAFPZDZGUDUEHUCUFBAI
    PZDZUCUFJZUHUHUEABBUGUGKUEKZLMBBNUIBBQUHGZBKUEABBUJOUKBBRSTUDUEUAUB $.

  ${
    $d C v $.  $d E v $.  $d G v $.
    umgredgnlp.e $e |- E = ( Edg ` G ) $.
    $( An edge of a multigraph is not a loop.  (Contributed by AV, 9-Jan-2020.)
       (Revised by AV, 8-Jun-2021.) $)
    umgredgnlp $p |- ( ( G e. UMGraph /\ C e. E ) -> -. E. v C = { v } ) $=
      ( cumgr wcel wa cv csn wceq cvtx cfv cpw chash c2 cvv c1 wn mtbiri eleq2i
      vex hashsng 1ne2 neii eqeq1 mp2b fveqeq2 intnand cedg edgumgr nsyl3 nexdv
      sylan2b ) DFGZBCGZHZBAIZJZKZAUTBDLMNGZBOMPKZHZUQUTVBVAUTVBUSOMZPKZURQGVDR
      KZVESAUBURQUCVFVERPKRPUDUEVDRPUFTUGBUSPOUHTUIUPUOBDUJMZGVCCVGBEUABDUKUNUL
      UM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Undirected simple graphs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  In this section, "simple graph" will always stand for "undirected simple
  graph (without loops)" and "simple pseudograph" for "undirected simple
  pseudograph (which could have loops)".

$)

  $c USPGraph $.
  $c USGraph $.

  $( Extend class notation with undirected simple pseudographs (which could
     have loops). $)
  cuspgr $a class USPGraph $.

  $( Extend class notation with undirected simple graphs (without loops). $)
  cusgr $a class USGraph $.

  ${
    $d e g v x $.
    $( Define the class of all undirected simple pseudographs (which could have
       loops).  An undirected simple pseudograph is a special undirected
       pseudograph (see ~ uspgrupgr ) or a special undirected simple hypergraph
       (see ~ uspgrushgr ), consisting of a set ` v ` (of "vertices") and an
       injective (one-to-one) function ` e ` (representing (indexed) "edges")
       into subsets of ` v ` of cardinality one or two, representing the two
       vertices incident to the edge, or the one vertex if the edge is a loop.
       In contrast to a pseudograph, there is at most one edge between two
       vertices resp. at most one loop for a vertex.  (Contributed by Alexander
       van der Vekens, 10-Aug-2017.)  (Revised by AV, 13-Oct-2020.) $)
    df-uspgr $a |- USPGraph = { g | [. ( Vtx ` g ) / v ].
                                    [. ( iEdg ` g ) / e ].
             e : dom e -1-1-> { x e. ( ~P v \ { (/) } ) | ( # ` x ) <_ 2 } } $.

    $( Define the class of all undirected simple graphs (without loops).  An
       undirected simple graph is a special undirected simple pseudograph (see
       ~ usgruspgr ), consisting of a set ` v ` (of "vertices") and an
       injective (one-to-one) function ` e ` (representing (indexed) "edges")
       into subsets of ` v ` of cardinality two, representing the two vertices
       incident to the edge.  In contrast to an undirected simple pseudograph,
       an undirected simple graph has no loops (edges connecting a vertex with
       itself).  (Contributed by Alexander van der Vekens, 10-Aug-2017.)
       (Revised by AV, 13-Oct-2020.) $)
    df-usgr $a |- USGraph = { g | [. ( Vtx ` g ) / v ]. [. ( iEdg ` g ) / e ].
              e : dom e -1-1-> { x e. ( ~P v \ { (/) } ) | ( # ` x ) = 2 } } $.
  $}

  ${
    $d e g h v x $.  $d E h $.  $d G h x $.  $d V h x $.
    isuspgr.v $e |- V = ( Vtx ` G ) $.
    isuspgr.e $e |- E = ( iEdg ` G ) $.
    $( The property of being a simple pseudograph.  (Contributed by Alexander
       van der Vekens, 10-Aug-2017.)  (Revised by AV, 13-Oct-2020.) $)
    isuspgr $p |- ( G e. U -> ( G e. USPGraph <->
           E : dom E -1-1-> { x e. ( ~P V \ { (/) } ) | ( # ` x ) <_ 2 } ) ) $=
      ( ve vv vg vh wcel cv cdm cfv cpw ciedg cvtx wceq fveq2 cuspgr c2 cle wbr
      chash c0 csn cdif crab wf1 cab df-uspgr eleq2i eqtr4di dmeqd eqcomi dmeqi
      wsbc eqtrdi pweqd difeq1d rabeqdv f1eq123d weq fvexd wa adantr simpr pweq
      cvv ad2antlr sbcied2 cbvabv elab2g syl5bb ) DUALDHMZNZAMUEOUBUCUDZAIMZPZU
      FUGZUHZUIZVPUJZHJMZQOZURZIWEROZURZJUKZLDBLCNZVRAEPZWAUHZUIZCUJZUAWJDAIHJU
      LUMKMZQOZNZVRAWPROZPZWAUHZUIZWQUJZWOKDWJBWPDSZWRWKXBWNWQCXDWQDQOZCWPDQTZG
      UNXDWRXENWKXDWQXEXFUOXECCXEGUPUQUSXDVRAXAWMXDWTWLWAXDWSEXDWSDROEWPDRTFUNU
      TVAVBVCWIXCJKJKVDZWGXCIWHWSVJXGWERVEWEWPRTXGVSWSSZVFZWDXCHWFWQVJXIWEQVEXG
      WFWQSXHWEWPQTVGXIVPWQSZVFZVQWRWCXBVPWQXIXJVHZXKVPWQXLUOXKVRAWBXAXKVTWTWAX
      HVTWTSXGXJVSWSVIVKVAVBVCVLVLVMVNVO $.

    $( The property of being a simple graph.  (Contributed by Alexander van der
       Vekens, 10-Aug-2017.)  (Revised by AV, 13-Oct-2020.) $)
    isusgr $p |- ( G e. U -> ( G e. USGraph <->
            E : dom E -1-1-> { x e. ( ~P V \ { (/) } ) | ( # ` x ) = 2 } ) ) $=
      ( ve vv vg vh wcel cv cdm cfv wceq cpw ciedg cvtx fveq2 cusgr chash c2 c0
      csn cdif crab wf1 wsbc cab df-usgr eleq2i dmeqd eqcomi dmeqi eqtrdi pweqd
      eqtr4di difeq1d rabeqdv f1eq123d weq cvv fvexd adantr simpr pweq ad2antlr
      wa sbcied2 cbvabv elab2g syl5bb ) DUALDHMZNZAMUBOUCPZAIMZQZUDUEZUFZUGZVNU
      HZHJMZROZUIZIWCSOZUIZJUJZLDBLCNZVPAEQZVSUFZUGZCUHZUAWHDAIHJUKULKMZROZNZVP
      AWNSOZQZVSUFZUGZWOUHZWMKDWHBWNDPZWPWIWTWLWOCXBWODROZCWNDRTZGURXBWPXCNWIXB
      WOXCXDUMXCCCXCGUNUOUPXBVPAWSWKXBWRWJVSXBWQEXBWQDSOEWNDSTFURUQUSUTVAWGXAJK
      JKVBZWEXAIWFWQVCXEWCSVDWCWNSTXEVQWQPZVIZWBXAHWDWOVCXGWCRVDXEWDWOPXFWCWNRT
      VEXGVNWOPZVIZVOWPWAWTVNWOXGXHVFZXIVNWOXJUMXIVPAVTWSXIVRWRVSXFVRWRPXEXHVQW
      QVGVHUSUTVAVJVJVKVLVM $.

    $( The edge function of a simple pseudograph is a one-to-one function into
       unordered pairs of vertices.  (Contributed by Alexander van der Vekens,
       10-Aug-2017.)  (Revised by AV, 13-Oct-2020.) $)
    uspgrf $p |- ( G e. USPGraph ->
             E : dom E -1-1-> { x e. ( ~P V \ { (/) } ) | ( # ` x ) <_ 2 } ) $=
      ( cuspgr wcel cdm cv chash cfv c2 cle wbr cpw c0 csn cdif crab isuspgr
      wf1 ibi ) CGHBIAJKLMNOADPQRSTBUBAGBCDEFUAUC $.

    $( The edge function of a simple graph is a one-to-one function into
       unordered pairs of vertices.  (Contributed by Alexander van der Vekens,
       10-Aug-2017.)  (Revised by AV, 13-Oct-2020.) $)
    usgrf $p |- ( G e. USGraph ->
              E : dom E -1-1-> { x e. ( ~P V \ { (/) } ) | ( # ` x ) = 2 } ) $=
      ( cusgr wcel cdm cv chash cfv c2 wceq cpw c0 csn cdif crab wf1 isusgr ibi
      ) CGHBIAJKLMNADOPQRSBTAGBCDEFUAUB $.

    $d x U $.
    $( The property of being a simple graph, simplified version of ~ isusgr .
       (Contributed by Alexander van der Vekens, 13-Aug-2017.)  (Revised by AV,
       13-Oct-2020.)  (Proof shortened by AV, 24-Nov-2020.) $)
    isusgrs $p |- ( G e. U -> ( G e. USGraph <->
                          E : dom E -1-1-> { x e. ~P V | ( # ` x ) = 2 } ) ) $=
      ( wcel cusgr cdm cv chash cfv c2 wceq cpw c0 csn crab wf1 cdif wb prprrab
      isusgr f1eq3 mp1i bitrd ) DBHZDIHCJZAKLMNOZAEPZQRUASZCTZUIUJAUKSZCTZABCDE
      FGUDULUNOUMUOUBUHAEUCULUNUICUEUFUG $.

    $( The edge function of a simple graph is a one-to-one function into
       unordered pairs of vertices.  Simplified version of ~ usgrf .
       (Contributed by Alexander van der Vekens, 13-Aug-2017.)  (Revised by AV,
       13-Oct-2020.) $)
    usgrfs $p |- ( G e. USGraph
                   -> E : dom E -1-1-> { x e. ~P V | ( # ` x ) = 2 } ) $=
      ( cusgr wcel cdm cv chash cfv c2 wceq cpw crab wf1 isusgrs ibi ) CGHBIAJK
      LMNADOPBQAGBCDEFRS $.
  $}

  ${
    $d G x $.
    $( The edge function of a simple graph is a function.  (Contributed by
       Alexander van der Vekens, 18-Aug-2017.)  (Revised by AV,
       13-Oct-2020.) $)
    usgrfun $p |- ( G e. USGraph -> Fun ( iEdg ` G ) ) $=
      ( vx cusgr wcel ciedg cfv cdm cv chash wceq cvtx cpw crab wf1 wfun usgrfs
      c2 eqid f1fun syl ) ACDAEFZGZBHIFQJBAKFZLMZUANUAOBUAAUCUCRUARPUBUDUAST $.

    $( The set of edges of a simple graph is a subset of the set of unordered
       pairs of vertices.  (Contributed by AV, 1-Jan-2020.)  (Revised by AV,
       14-Oct-2020.) $)
    usgredgss $p |- ( G e. USGraph
               -> ( Edg ` G ) C_ { x e. ~P ( Vtx ` G ) | ( # ` x ) = 2 } ) $=
      ( cusgr wcel cedg cfv ciedg crn cv chash c2 wceq cvtx cpw crab edgval cdm
      wf1 wf eqid wss usgrfs f1f frn 3syl eqsstrid ) BCDZBEFBGFZHZAIJFKLABMFZNO
      ZBPUGUHQZUKUHRULUKUHSUIUKUAAUHBUJUJTUHTUBULUKUHUCULUKUHUDUEUF $.

    $d E x $.
    $( An edge of a simple graph is an unordered pair of vertices.
       (Contributed by AV, 1-Jan-2020.)  (Revised by AV, 14-Oct-2020.) $)
    edgusgr $p |- ( ( G e. USGraph /\ E e. ( Edg ` G ) )
                -> ( E e. ~P ( Vtx ` G ) /\ ( # ` E ) = 2 ) ) $=
      ( vx cusgr wcel cedg cfv wa cv chash wceq cvtx cpw crab usgredgss fveqeq2
      c2 sselda elrab sylib ) BDEZABFGZEHACIZJGQKZCBLGMZNZEAUEEAJGQKZHUAUBUFACB
      ORUDUGCAUEUCAQJPST $.
  $}

  ${
    $d E p $.  $d V p $.  $d W p $.  $d X p $.
    $( The property of being an undirected simple pseudograph represented as an
       ordered pair.  The representation as an ordered pair is the usual
       representation of a graph, see section I.1 of [Bollobas] p. 1.
       (Contributed by AV, 25-Nov-2021.) $)
    isuspgrop $p |- ( ( V e. W /\ E e. X ) -> ( <. V , E >. e. USPGraph
                               <-> E : dom E -1-1-> { p e. ( ~P V \ { (/) } ) |
                                                      ( # ` p ) <_ 2 } ) ) $=
      ( wcel wa cop cuspgr ciedg cfv cdm cv chash cpw cdif crab wf1 cvv eqid c2
      cle wbr cvtx c0 wb opex isuspgr mp1i opiedgfv dmeqd opvtxfv pweqd difeq1d
      csn rabeqdv f1eq123d bitrd ) BCFADFGZBAHZIFZUTJKZLZEMNKUAUBUCZEUTUDKZOZUE
      UOZPZQZVBRZALZVDEBOZVGPZQZARUTSFVAVJUFUSBAUGESVBUTVEVETVBTUHUIUSVCVKVIVNV
      BAABCDUJZUSVBAVOUKUSVDEVHVMUSVFVLVGUSVEBABCDULUMUNUPUQUR $.

    $( The property of being an undirected simple graph represented as an
       ordered pair.  The representation as an ordered pair is the usual
       representation of a graph, see section I.1 of [Bollobas] p. 1.
       (Contributed by AV, 30-Nov-2020.) $)
    isusgrop $p |- ( ( V e. W /\ E e. X ) -> ( <. V , E >. e. USGraph
                      <-> E : dom E -1-1-> { p e. ~P V | ( # ` p ) = 2 } ) ) $=
      ( wcel wa cop cusgr ciedg cfv cdm cv chash c2 cpw crab wf1 cvv eqid dmeqd
      wceq cvtx opex isusgrs mp1i opiedgfv opvtxfv pweqd rabeqdv f1eq123d bitrd
      wb ) BCFADFGZBAHZIFZUOJKZLZEMNKOUBZEUOUCKZPZQZUQRZALZUSEBPZQZARUOSFUPVCUM
      UNBAUDESUQUOUTUTTUQTUEUFUNURVDVBVFUQAABCDUGZUNUQAVGUAUNUSEVAVEUNUTBABCDUH
      UIUJUKUL $.
  $}

  ${
    $d G x $.
    $( A simple graph represented by an ordered pair.  (Contributed by AV,
       23-Oct-2020.)  (Proof shortened by AV, 30-Nov-2020.) $)
    usgrop $p |- ( G e. USGraph
                   -> <. ( Vtx ` G ) , ( iEdg ` G ) >. e. USGraph ) $=
      ( vx cusgr wcel cvtx cfv ciedg cop cdm cv chash c2 wceq cpw crab wf1 eqid
      usgrfs cvv fvex wa wb pm3.2i isusgrop mp1i mpbird ) ACDZAEFZAGFZHCDZUIIBJ
      KFLMBUHNOUIPZBUIAUHUHQUIQRUHSDZUISDZUAUJUKUBUGULUMAETAGTUCUIUHSSBUDUEUF
      $.
  $}

  ${
    $d e v x E $.  $d e v x V $.  $d x X $.  $d x Y $.
    ausgr.1 $e |- G = { <. v , e >. | e C_ { x e. ~P v | ( # ` x ) = 2 } } $.
    $( The property of an unordered pair to be an alternatively defined simple
       graph, defined as a pair (V,E) of a set V (vertex set) and a set of
       unordered pairs of elements of V (edge set).  (Contributed by Alexander
       van der Vekens, 28-Aug-2017.) $)
    isausgr $p |- ( ( V e. W /\ E e. X )
                     -> ( V G E <-> E C_ { x e. ~P V | ( # ` x ) = 2 } ) ) $=
      ( cv chash cfv c2 wceq cpw crab wss wa simpr pweq adantr rabeqdv sseq12d
      brabga ) CJZAJKLMNZABJZOZPZQDUFAFOZPZQBCFDEGHUGFNZUEDNZRZUEDUIUKULUMSUNUF
      AUHUJULUHUJNUMUGFTUAUBUCIUD $.

    $( The equivalence of the definitions of a simple graph.  (Contributed by
       Alexander van der Vekens, 28-Aug-2017.)  (Revised by AV,
       14-Oct-2020.) $)
    ausgrusgrb $p |- ( ( V e. X /\ E e. Y )
                       -> ( V G E <-> <. V , ( _I |` E ) >. e. USGraph ) ) $=
      ( wcel wa cfv wceq cpw crab wf1 wi wb ax-mp cvv wbr cv chash wss cid cres
      cop ciedg cdm cvtx cusgr isausgr wf1o f1oi crn dff1o5 dmresi eqcomi f1eq2
      c2 f1ss sylib ex a1d adantr sylbi wfn df-f rnresi sseq1i biimpi simplbiim
      wf f1f syl11 impbid resiexg opiedgfv dmeqd opvtxfv pweqd rabeqdv f1eq123d
      sylan2 bitr4d opex eqid isusgrs bicomi a1i 3bitrd ) FGJZDHJZKZFDEUADAUBUC
      LUTMZAFNZOZUDZFUEDUFZUGZUHLZUIZWOAWTUJLZNZOZXAPZWTUKJZABCDEFGHIULWNWRWSUI
      ZWQWSPZXFWNWRXIDDWSUMZWNWRXIQZQZDUNXJDDWSPZWSUOZDMZKXLDDWSUPXMXLXOXMXKWNX
      MWRXIXMWRKDWQWSPZXIDDWQWSVADXHMXPXIRXHDDUQURDXHWQWSUSSVBVCVDVEVFSXHWQWSVM
      ZWNWRXIXQWSXHVGXNWQUDZWNWRQXHWQWSVHXRWRWNXRWRXNDWQDVIVJVKVDVLXHWQWSVNVOVP
      WNXBXHXEWQXAWSWMWLWSTJZXAWSMDHVQZWSFGTVRWDZWNXAWSYAVSWNWOAXDWPWNXCFWMWLXS
      XCFMXTWSFGTVTWDWAWBWCWEXFXGRWNXGXFWTTJXGXFRFWSWFATXAWTXCXCWGXAWGWHSWIWJWK
      $.

    $d H e v x $.
    $( A simple graph represented by an alternatively defined simple graph.
       (Contributed by AV, 15-Oct-2020.) $)
    usgrausgri $p |- ( H e. USGraph -> ( Vtx ` H ) G ( Edg ` H ) ) $=
      ( cusgr wcel cedg cfv cv chash c2 wceq cvtx cpw crab wss cvv fvex isausgr
      wbr usgredgss wb mp2an sylibr ) EGHEIJZAKLJMNAEOJZPQRZUHUGDUBZAEUCUHSHUGS
      HUJUIUDEOTEITABCUGDUHSSFUAUEUF $.

    $( If an alternatively defined simple graph has the vertices and edges of
       an arbitrary graph, the arbitrary graph is an undirected multigraph.
       (Contributed by AV, 18-Oct-2020.)  (Revised by AV, 25-Nov-2020.) $)
    ausgrumgri $p |- ( ( H e. W /\ ( Vtx ` H ) G ( Edg ` H )
                       /\ Fun ( iEdg ` H ) ) -> H e. UMGraph ) $=
      ( wcel cvtx cfv cedg wbr ciedg w3a wceq wss cvv wb fvex eqid cumgr cdm cv
      wfun chash c2 cpw crab wf wi isausgr mp2an crn edgval sseq1d funfn biimpi
      a1i 3ad2ant3 simp2 df-f sylanbrc 3exp sylbid syl5bi 3imp isumgrs 3ad2ant1
      wfn mpbird ) EFHZEIJZEKJZDLZEMJZUDZNEUAHZVOUBZAUCUEJUFOAVLUGUHZVOUIZVKVNV
      PVTVNVMVSPZVKVPVTUJZVLQHVMQHVNWAREISEKSABCVMDVLQQGUKULVKWAVOUMZVSPZWBVKVM
      WCVSVMWCOVKEUNURUOVKWDVPVTVKWDVPNVOVRVIZWDVTVPVKWEWDVPWEVOUPUQUSVKWDVPUTV
      RVSVOVAVBVCVDVEVFVKVNVQVTRVPAFVOEVLVLTVOTVGVHVJ $.

    $d H f $.  $d x W $.
    ausgrusgri.1 $e |- O = { f | f : dom f -1-1-> ran f } $.
    $( The equivalence of the definitions of a simple graph, expressed with the
       set of vertices and the set of edges.  (Contributed by AV,
       15-Oct-2020.) $)
    ausgrusgri $p |- ( ( H e. W /\ ( Vtx ` H ) G ( Edg ` H )
                                /\ ( iEdg ` H ) e. O ) -> H e. USGraph ) $=
      ( wcel cvtx cfv cedg ciedg w3a wceq wf1 cvv fvex wbr cusgr cdm chash crab
      cv c2 cpw wss wi isausgr mp2an crn edgval a1i sseq1d cab eleq2i dmeq rneq
      wb id f1eq123d elab sylbb 3ad2ant3 simp2 f1ssr syl2anc 3exp sylbid syl5bi
      3imp eqid isusgrs 3ad2ant1 mpbird ) FHKZFLMZFNMZEUAZFOMZGKZPFUBKZWBUCZAUF
      UDMUGQAVSUHUEZWBRZVRWAWCWGWAVTWFUIZVRWCWGUJZVSSKVTSKWAWHVAFLTFNTABCVTEVSS
      SIUKULVRWHWBUMZWFUIZWIVRVTWJWFVTWJQVRFUNUOUPVRWKWCWGVRWKWCPWEWJWBRZWKWGWC
      VRWLWKWCWBDUFZUCZWMUMZWMRZDUQZKWLGWQWBJURWPWLDWBFOTWMWBQZWNWEWOWJWMWBWRVB
      WMWBUSWMWBUTVCVDVEVFVRWKWCVGWEWJWFWBVHVIVJVKVLVMVRWAWDWGVAWCAHWBFVSVSVNWB
      VNVOVPVQ $.

    $( The equivalence of the definitions of a simple graph, expressed with the
       set of vertices and the set of edges.  (Contributed by AV, 2-Jan-2020.)
       (Revised by AV, 15-Oct-2020.) $)
    usgrausgrb $p |- ( ( H e. W /\ ( iEdg ` H ) e. O )
                      -> ( ( Vtx ` H ) G ( Edg ` H ) <-> H e. USGraph ) ) $=
      ( wcel ciedg cfv wa cvtx cedg wbr cusgr wi ausgrusgri 3exp imp usgrausgri
      com23 impbid1 ) FHKZFLMGKZNFOMFPMEQZFRKZUFUGUHUISUFUHUGUIUFUHUGUIABCDEFGH
      IJTUAUDUBABCEFIUCUE $.
  $}

  $( An edge of a simple graph as second component of an ordered pair.
     (Contributed by Alexander van der Vekens, 17-Aug-2017.)  (Proof shortened
     by Alexander van der Vekens, 16-Dec-2017.)  (Revised by AV,
     15-Oct-2020.) $)
  usgredgop $p |- ( ( G e. USGraph /\ E = ( iEdg ` G ) /\ X e. dom E )
                     -> ( ( E ` X ) = { M , N }
                          <-> <. X , { M , N } >. e. E ) ) $=
    ( cusgr wcel ciedg cfv wceq wfun cdm cpr cop wb usgrfun syl5ibrcom funopfvb
    funeq imp stoic3 ) BFGZABHIZJZAKZEALGEAICDMZJEUFNAGOUBUDUEUBUEUDUCKBPAUCSQT
    EUFARUA $.

  ${
    $d G x $.
    usgrf1o.e $e |- E = ( iEdg ` G ) $.
    $( The edge function of a simple graph is a bijective function onto its
       range.  (Contributed by Alexander van der Vekens, 18-Nov-2017.)
       (Revised by AV, 15-Oct-2020.) $)
    usgrf1o $p |- ( G e. USGraph -> E : dom E -1-1-onto-> ran E ) $=
      ( vx cusgr wcel cdm chash cfv wceq cvtx cpw crab wf1 crn wf1o eqid usgrfs
      cv c2 f1f1orn syl ) BEFAGZDSHITJDBKIZLMZANUCAOAPDABUDUDQCRUCUEAUAUB $.

    $( The edge function of a simple graph is a one to one function.
       (Contributed by Alexander van der Vekens, 18-Nov-2017.)  (Revised by AV,
       15-Oct-2020.) $)
    usgrf1 $p |- ( G e. USGraph -> E : dom E -1-1-> ran E ) $=
      ( cusgr wcel cdm crn wf1o wf1 usgrf1o f1of1 syl ) BDEAFZAGZAHMNAIABCJMNAK
      L $.

    $( The edge function of a simple pseudograph is a bijective function onto
       the edges of the graph.  (Contributed by AV, 2-Jan-2020.)  (Revised by
       AV, 15-Oct-2020.) $)
    uspgrf1oedg $p |- ( G e. USPGraph -> E : dom E -1-1-onto-> ( Edg ` G ) ) $=
      ( vx cuspgr wcel cdm cv chash cfv c2 cle wbr cvtx cpw csn cdif wf1o crn
      c0 crab cedg eqid uspgrf f1f1orn wceq wb ciedg rneqi edgval eqtr4i f1oeq3
      wf1 ax-mp sylib syl ) BEFAGZDHIJKLMDBNJZOTPQUAZAUMZUQBUBJZARZDABURURUCCUD
      UTUQASZARZVBUQUSAUEVCVAUFVDVBUGVCBUHJZSVAAVECUIBUJUKVCVAUQAULUNUOUP $.

    $d V x $.
    usgrss.v $e |- V = ( Vtx ` G ) $.
    $( An edge is a subset of vertices.  (Contributed by Alexander van der
       Vekens, 19-Aug-2017.)  (Revised by AV, 15-Oct-2020.) $)
    usgrss $p |- ( ( G e. USGraph /\ X e. dom E ) -> ( E ` X ) C_ V ) $=
      ( vx cusgr wcel cdm wa cfv cv chash c2 wceq cpw crab ssrab2 wf1 wf usgrfs
      f1f syl ffvelrnda sselid elpwid ) BHIZDAJZIKZDALZCUJGMNLOPZGCQZRZUMUKULGU
      MSUHUIUNDAUHUIUNATUIUNAUAGABCFEUBUIUNAUCUDUEUFUG $.
  $}

  ${
    $d G x $.
    $( A simple pseudograph is an undirected simple hypergraph.  (Contributed
       by AV, 19-Jan-2020.)  (Revised by AV, 15-Oct-2020.) $)
    uspgrushgr $p |- ( G e. USPGraph -> G e. USHGraph ) $=
      ( vx cuspgr wcel cushgr ciedg cfv cdm cvtx cpw c0 csn wf1 cv chash c2 cle
      cdif wbr eqid crab isuspgr wss ssrab2 f1ss syl6bi isushgr sylibrd pm2.43i
      mpan2 ) ACDZAEDZUKUKAFGZHZAIGZJKLRZUMMZULUKUKUNBNOGPQSZBUPUAZUMMZUQBCUMAU
      OUOTZUMTZUBUTUSUPUCUQURBUPUDUNUSUPUMUEUJUFCUMAUOVAVBUGUHUI $.

    $( A simple pseudograph is an undirected pseudograph.  (Contributed by
       Alexander van der Vekens, 10-Aug-2017.)  (Revised by AV,
       15-Oct-2020.) $)
    uspgrupgr $p |- ( G e. USPGraph -> G e. UPGraph ) $=
      ( vx cuspgr wcel cupgr ciedg cfv cdm cv chash c2 cle wbr cvtx cpw c0 cdif
      csn crab eqid wf wf1 isuspgr f1f syl6bi isupgr sylibrd pm2.43i ) ACDZAEDZ
      UIUIAFGZHZBIJGKLMBANGZOPRQSZUKUAZUJUIUIULUNUKUBUOBCUKAUMUMTZUKTZUCULUNUKU
      DUEBCUKAUMUPUQUFUGUH $.

    $( A graph is a simple pseudograph iff it is a pseudograph and a simple
       hypergraph.  (Contributed by AV, 30-Nov-2020.) $)
    uspgrupgrushgr $p |- ( G e. USPGraph
                           <-> ( G e. UPGraph /\ G e. USHGraph ) ) $=
      ( vx cuspgr wcel cupgr cushgr wa uspgrupgr uspgrushgr jca ciedg cfv chash
      cdm cv c2 cle wbr wf1 eqid cvtx cpw c0 csn cdif crab crn ushgrf upgredgss
      wss cedg edgval eqsstrrid f1ssr syl2anr wb isuspgr adantr mpbird impbii )
      ACDZAEDZAFDZGZVAVBVCAHAIJVDVAAKLZNZBOMLPQRBAUALZUBUCUDUEZUFZVESZVCVFVHVES
      VEUGZVIUJVJVBVEAVGVGTZVETZUHVBVKAUKLVIAULBAUIUMVFVHVIVEUNUOVBVAVJUPVCBEVE
      AVGVLVMUQURUSUT $.

    $( A simple graph is a simple pseudograph.  (Contributed by Alexander van
       der Vekens, 10-Aug-2017.)  (Revised by AV, 15-Oct-2020.) $)
    usgruspgr $p |- ( G e. USGraph -> G e. USPGraph ) $=
      ( vx cusgr wcel cuspgr ciedg cfv cdm cv chash c2 cle wbr cvtx cpw c0 crab
      csn wf1 eqid cdif wceq isusgr wss wi 2re eqlei2 ss2rabi f1ss mpan2 syl6bi
      a1i isuspgr sylibrd pm2.43i ) ACDZAEDZUPUPAFGZHZBIZJGZKLMZBANGZOPRUAZQZUR
      SZUQUPUPUSVAKUBZBVDQZURSZVFBCURAVCVCTZURTZUCVIVHVEUDVFVGVBBVDVGVBUEUTVDDK
      VAUFUGULUHUSVHVEURUIUJUKBCURAVCVJVKUMUNUO $.

    $( A simple graph is an undirected multigraph.  (Contributed by AV,
       25-Nov-2020.) $)
    usgrumgr $p |- ( G e. USGraph -> G e. UMGraph ) $=
      ( vx cusgr wcel cumgr ciedg cfv cdm cv chash c2 wceq cvtx cpw crab wf wf1
      eqid usgrfs f1f syl isumgrs mpbird ) ACDZAEDAFGZHZBIJGKLBAMGZNOZUEPZUDUFU
      HUEQUIBUEAUGUGRZUERZSUFUHUETUABCUEAUGUJUKUBUC $.

    $( A graph is a simple graph iff it is a multigraph and a simple
       pseudograph.  (Contributed by AV, 30-Nov-2020.) $)
    usgrumgruspgr $p |- ( G e. USGraph
                          <-> ( G e. UMGraph /\ G e. USPGraph ) ) $=
      ( vx cusgr wcel cumgr cuspgr wa usgrumgr usgruspgr jca ciedg cfv cv chash
      cdm c2 wceq crab wf1 eqid cvtx cpw c0 csn cdif cle wbr crn cedg umgredgss
      uspgrf edgval prprrab eqcomi 3sstr3g f1ssr wb isusgr adantr mpbird impbii
      wss syl2anr ) ACDZAEDZAFDZGZVDVEVFAHAIJVGVDAKLZOZBMNLZPQZBAUALZUBZUCUDUEZ
      RZVHSZVFVIVJPUFUGBVNRZVHSVHUHZVOVBVPVEBVHAVLVLTZVHTZUKVEAUILVKBVMRZVRVOBA
      UJAULVOWABVLUMUNUOVIVQVOVHUPVCVEVDVPUQVFBEVHAVLVSVTURUSUTVA $.

    $d G e x y $.
    $( A class is a simple graph iff it is a simple pseudograph without loops.
       (Contributed by AV, 18-Oct-2020.) $)
    usgruspgrb $p |- ( G e. USGraph
                <-> ( G e. USPGraph /\ A. e e. ( Edg ` G ) ( # ` e ) = 2 ) ) $=
      ( vx vy wcel cuspgr cv chash cfv c2 wceq wral wa crab wf1 cle wbr wi eqid
      ex cusgr cedg usgruspgr cpw edgusgr simprd ralrimiva jca ciedg cdm edgval
      cvtx crn a1i raleqdv c0 csn cdif uspgrf wss f1f frnd ssel2 expcom fveqeq2
      rspcv weq fveq2 breq1d elrab eldifi anim1i sylibr adantr sylbi syl9 com13
      syld imp ssrdv mpan9 f1ssr syldan syl sylbid wb isusgrs mpbird impbii ) B
      UAEZBFEZAGZHIJKZABUBIZLZMZWJWKWOBUCWJWMAWNWJWLWNEMWLBULIZUDZEWMWLBUEUFUGU
      HWPWJBUIIZUJZCGZHIZJKZCWRNZWSOZWKWOXEWKWOWMAWSUMZLZXEWKWMAWNXFWNXFKWKBUKU
      NUOWKWTXBJPQZCWRUPUQZURZNZWSOZXGXERCWSBWQWQSZWSSZUSXLXGXEXLXGXFXDUTZXEXLX
      FXKUTZXGXOXLWTXKWSWTXKWSVAVBXGXPXOXGXPMDXFXDXGXPDGZXFEZXQXDEZRXRXPXGXSXRX
      PXQXKEZXGXSRXPXRXTXFXKXQVCVDXRXGXQHIZJKZXTXSWMYBAXQXFWLXQJHVEVFXTXQXJEZYA
      JPQZMYBXSRZXHYDCXQXJCDVGXBYAJPXAXQHVHVIVJYCYEYDYCYBXSYCYBMXQWREZYBMXSYCYF
      YBXQWRXIVKVLXCYBCXQWRXAXQJHVEVJVMTVNVOVPVRVQVSVTTWAWTXKXDWSWBWCTWDWEVSWKW
      JXEWFWOCFWSBWQXMXNWGVNWHWI $.
  $}

  $( A simple graph is an undirected pseudograph.  (Contributed by Alexander
     van der Vekens, 20-Aug-2017.)  (Revised by AV, 15-Oct-2020.) $)
  usgrupgr $p |- ( G e. USGraph -> G e. UPGraph ) $=
    ( cusgr wcel cuspgr cupgr usgruspgr uspgrupgr syl ) ABCADCAECAFAGH $.

  $( A simple graph is an undirected hypergraph.  (Contributed by AV,
     9-Feb-2018.)  (Revised by AV, 15-Oct-2020.) $)
  usgruhgr $p |- ( G e. USGraph -> G e. UHGraph ) $=
    ( cusgr wcel cupgr cuhgr usgrupgr upgruhgr syl ) ABCADCAECAFAGH $.

  ${
    $d G x $.  $d V x $.
    usgrislfuspgr.v $e |- V = ( Vtx ` G ) $.
    usgrislfuspgr.i $e |- I = ( iEdg ` G ) $.
    $( A simple graph is a loop-free simple pseudograph.  (Contributed by AV,
       27-Jan-2021.) $)
    usgrislfuspgr $p |- ( G e. USGraph <-> ( G e. USPGraph
                         /\ I : dom I --> { x e. ~P V | 2 <_ ( # ` x ) } ) ) $=
      ( wcel cuspgr c2 cle wbr crab wf wa wceq wf1 wi a1i mpbird df-f1 cusgr cv
      cdm chash cfv cpw usgruspgr usgrfs f1f wss 2re leidi ss2rabi fssd syl jca
      breq2 c0 csn cdif uspgrf ccnv wfun cin fin wb umgrislfupgrlem feq3 sylbb1
      ax-mp anim1i sylibr ex impancom sylbi imp sylan isusgr adantr impbii ) BU
      AGZBHGZCUCZIAUBZUDUEZJKZADUFZLZCMZNZWAWBWIBUGWAWCWEIOZAWGLZCPZWIACBDEFUHW
      MWCWLWHCWCWLCUIWLWHUJWMWKWFAWGWKWFQWDWGGWKWFIIJKZWNWKIUKULRWEIIJUQSRUMRUN
      UOUPWJWAWCWKAWGURUSUTZLZCPZWBWCWEIJKAWOLZCPZWIWQACBDEFVAWSWIWQWSWCWRCMZCV
      BVCZNWIWQQWCWRCTWTWIXAWQWTWINZXAWQXBXANWCWPCMZXANWQXBXCXAWCWRWHVDZCMZXBXC
      WCWRWHCVEXDWPOXEXCVFADVGXDWPWCCVHVJVIVKWCWPCTVLVMVNVOVPVQWBWAWQVFWIAHCBDE
      FVRVSSVT $.
  $}

  ${
    uspgrun.g $e |- ( ph -> G e. USPGraph ) $.
    uspgrun.h $e |- ( ph -> H e. USPGraph ) $.
    uspgrun.e $e |- E = ( iEdg ` G ) $.
    uspgrun.f $e |- F = ( iEdg ` H ) $.
    uspgrun.vg $e |- V = ( Vtx ` G ) $.
    uspgrun.vh $e |- ( ph -> ( Vtx ` H ) = V ) $.
    uspgrun.i $e |- ( ph -> ( dom E i^i dom F ) = (/) ) $.
    ${
      uspgrun.u $e |- ( ph -> U e. W ) $.
      uspgrun.v $e |- ( ph -> ( Vtx ` U ) = V ) $.
      uspgrun.un $e |- ( ph -> ( iEdg ` U ) = ( E u. F ) ) $.
      $( The union ` U ` of two simple pseudographs ` G ` and ` H ` with the
         same vertex set ` V ` is a pseudograph with the vertex ` V ` and the
         union ` ( E u. F ) ` of the (indexed) edges.  (Contributed by AV,
         16-Oct-2020.) $)
      uspgrun $p |- ( ph -> U e. UPGraph ) $=
        ( cuspgr wcel cupgr uspgrupgr syl upgrun ) ABCDEFGHAESTEUATIEUBUCAFSTFU
        ATJFUBUCKLMNOPQRUD $.
    $}

    $( The union of two simple pseudographs (with the same vertex set):  If
       ` <. V , E >. ` and ` <. V , F >. ` are simple pseudographs, then
       ` <. V , E u. F >. ` is a pseudograph (the vertex set stays the same,
       but the edges from both graphs are kept, maybe resulting incident two
       edges between two vertices).  (Contributed by Alexander van der Vekens,
       10-Aug-2017.)  (Revised by AV, 16-Oct-2020.)  (Revised by AV,
       24-Oct-2021.) $)
    uspgrunop $p |- ( ph -> <. V , ( E u. F ) >. e. UPGraph ) $=
      ( cuspgr wcel cupgr uspgrupgr syl upgrunop ) ABCDEFADNODPOGDQRAENOEPOHEQR
      IJKLMS $.
  $}

  ${
    usgrun.g $e |- ( ph -> G e. USGraph ) $.
    usgrun.h $e |- ( ph -> H e. USGraph ) $.
    usgrun.e $e |- E = ( iEdg ` G ) $.
    usgrun.f $e |- F = ( iEdg ` H ) $.
    usgrun.vg $e |- V = ( Vtx ` G ) $.
    usgrun.vh $e |- ( ph -> ( Vtx ` H ) = V ) $.
    usgrun.i $e |- ( ph -> ( dom E i^i dom F ) = (/) ) $.
    ${
      usgrun.u $e |- ( ph -> U e. W ) $.
      usgrun.v $e |- ( ph -> ( Vtx ` U ) = V ) $.
      usgrun.un $e |- ( ph -> ( iEdg ` U ) = ( E u. F ) ) $.
      $( The union ` U ` of two simple graphs ` G ` and ` H ` with the same
         vertex set ` V ` is a multigraph (not necessarily a simple graph!)
         with the vertex ` V ` and the union ` ( E u. F ) ` of the (indexed)
         edges.  (Contributed by AV, 29-Nov-2020.) $)
      usgrun $p |- ( ph -> U e. UMGraph ) $=
        ( cusgr wcel cumgr usgrumgr syl umgrun ) ABCDEFGHAESTEUATIEUBUCAFSTFUAT
        JFUBUCKLMNOPQRUD $.
    $}

    $( The union of two simple graphs (with the same vertex set):  If
       ` <. V , E >. ` and ` <. V , F >. ` are simple graphs, then
       ` <. V , E u. F >. ` is a multigraph (not necessarily a simple graph!) -
       the vertex set stays the same, but the edges from both graphs are kept,
       possibly resulting in two edges between two vertices.  (Contributed by
       AV, 29-Nov-2020.) $)
    usgrunop $p |- ( ph -> <. V , ( E u. F ) >. e. UMGraph ) $=
      ( cusgr wcel cumgr usgrumgr syl umgrunop ) ABCDEFADNODPOGDQRAENOEPOHEQRIJ
      KLMS $.
  $}

  ${
    $d E x $.  $d G x $.  $d X x $.
    usgredg2.e $e |- E = ( iEdg ` G ) $.
    $( The value of the "edge function" of a simple graph is a set containing
       two elements (the vertices the corresponding edge is connecting).
       (Contributed by Alexander van der Vekens, 11-Aug-2017.)  (Revised by AV,
       16-Oct-2020.)  (Proof shortened by AV, 11-Dec-2020.) $)
    usgredg2 $p |- ( ( G e. USGraph /\ X e. dom E )
                     -> ( # ` ( E ` X ) ) = 2 ) $=
      ( cusgr wcel cumgr cdm cfv chash wceq usgrumgr cvtx eqid umgredg2 sylan
      c2 ) BEFBGFCAHFCAIJIQKBLABBMIZCRNDOP $.

    $( Alternate proof of ~ usgredg2 , not using ~ umgredg2 .  (Contributed by
       Alexander van der Vekens, 11-Aug-2017.)  (Revised by AV, 16-Oct-2020.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    usgredg2ALT $p |- ( ( G e. USGraph /\ X e. dom E )
                     -> ( # ` ( E ` X ) ) = 2 ) $=
      ( vx cusgr wcel cdm wa cfv cv chash c2 wceq cvtx cpw c0 csn cdif syl crab
      wf1 wf eqid usgrf f1f ffvelrnda fveq2 eqeq1d elrab simprbi ) BFGZCAHZGICA
      JZEKZLJZMNZEBOJZPQRSZUAZGZUNLJZMNZULUMUTCAULUMUTAUBUMUTAUCEABURURUDDUEUMU
      TAUFTUGVAUNUSGVCUQVCEUNUSUOUNNUPVBMUOUNLUHUIUJUKT $.

    usgredgprv.v $e |- V = ( Vtx ` G ) $.
    $( In a simple graph, an edge is an unordered pair of vertices.
       (Contributed by Alexander van der Vekens, 19-Aug-2017.)  (Revised by AV,
       16-Oct-2020.)  (Proof shortened by AV, 11-Dec-2020.) $)
    usgredgprv $p |- ( ( G e. USGraph /\ X e. dom E )
                     -> ( ( E ` X ) = { M , N } -> ( M e. V /\ N e. V ) ) ) $=
      ( cusgr wcel cumgr cdm cfv cpr wceq wa wi usgrumgr umgredgprv sylan ) BIJ
      BKJFALJFAMCDNOCEJDEJPQBRABCDEFGHST $.

    $( Alternate proof of ~ usgredgprv , using ~ usgredg2 instead of
       ~ umgredgprv .  (Contributed by Alexander van der Vekens, 19-Aug-2017.)
       (Revised by AV, 16-Oct-2020.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    usgredgprvALT $p |- ( ( G e. USGraph /\ X e. dom E )
                     -> ( ( E ` X ) = { M , N } -> ( M e. V /\ N e. V ) ) ) $=
      ( cusgr wcel cdm wa cfv wss chash c2 wceq cpr wi usgrss sseq1 anbi12d wne
      usgredg2 fveq2 eqeq1d w3a hashprdifel wb prssg 3adant3 biimprd syl impcom
      eqid syl6bi com12 syl2anc ) BIJFAKJLFAMZENZUSOMZPQZUSCDRZQZCEJDEJLZSABEFG
      HTABFGUDVDUTVBLZVEVDVFVCENZVCOMZPQZLVEVDUTVGVBVIUSVCEUAVDVAVHPUSVCOUEUFUB
      VIVGVEVICVCJZDVCJZCDUCZUGZVGVESCDVCVCUOUHVMVEVGVJVKVEVGUIVLCDEVCVCUJUKULU
      MUNUPUQUR $.
  $}

  ${
    usgredgppr.e $e |- E = ( Edg ` G ) $.
    $( An edge of a simple graph is a proper pair, i.e. a set containing two
       different elements (the endvertices of the edge).  Analogue of
       ~ usgredg2 .  (Contributed by Alexander van der Vekens, 11-Aug-2017.)
       (Revised by AV, 9-Jan-2020.)  (Revised by AV, 23-Oct-2020.) $)
    usgredgppr $p |- ( ( G e. USGraph /\ C e. E ) -> ( # ` C ) = 2 ) $=
      ( cusgr wcel wa cvtx cfv chash c2 wceq cedg eleq2i edgusgr sylan2b simprd
      cpw ) CEFZABFZGACHIRFZAJIKLZTSACMIZFUAUBGBUCADNACOPQ $.

    usgrpredgv.v $e |- V = ( Vtx ` G ) $.
    $( An edge of a simple graph always connects two vertices.  Analogue of
       ~ usgredgprv .  (Contributed by Alexander van der Vekens, 7-Oct-2017.)
       (Revised by AV, 9-Jan-2020.)  (Revised by AV, 23-Oct-2020.)  (Proof
       shortened by AV, 27-Nov-2020.) $)
    usgrpredgv $p |- ( ( G e. USGraph /\ { M , N } e. E )
                      -> ( M e. V /\ N e. V ) ) $=
      ( cusgr wcel cumgr cpr wa usgrumgr umgrpredgv sylan ) BHIBJICDKAICEIDEILB
      MABCDEGFNO $.
  $}

  ${
    edgssv2.v $e |- V = ( Vtx ` G ) $.
    edgssv2.e $e |- E = ( Edg ` G ) $.
    $( An edge of a simple graph is an unordered pair of vertices, i.e. a
       subset of the set of vertices of size 2.  (Contributed by AV,
       10-Jan-2020.)  (Revised by AV, 23-Oct-2020.) $)
    edgssv2 $p |- ( ( G e. USGraph /\ C e. E )
                    -> ( C C_ V /\ ( # ` C ) = 2 ) ) $=
      ( cusgr wcel wa wss chash cfv wceq cvtx cpw cedg eleq2i edgusgr sylan2b
      c2 elpwi anim1i syl a1i sseq2d anbi1d mpbird ) CGHZABHZIZADJZAKLTMZIACNLZ
      JZULIZUJAUMOHZULIZUOUIUHACPLZHUQBURAFQACRSUPUNULAUMUAUBUCUJUKUNULUJDUMADU
      MMUJEUDUEUFUG $.

    $d C a b $.  $d G a b $.  $d V a b $.
    $( For each edge in a simple graph, there are two distinct vertices which
       are connected by this edge.  (Contributed by Alexander van der Vekens,
       9-Dec-2017.)  (Revised by AV, 17-Oct-2020.)  (Shortened by AV,
       25-Nov-2020.) $)
    usgredg $p |- ( ( G e. USGraph /\ C e. E )
                    -> E. a e. V E. b e. V ( a =/= b /\ C = { a , b } ) ) $=
      ( cusgr wcel cumgr cv wne cpr wceq wa wrex usgrumgr umgredg sylan ) CIJCK
      JABJELZFLZMAUAUBNOPFDQEDQCRABCDEFGHST $.
  $}

  ${
    usgrnloopv.e $e |- E = ( iEdg ` G ) $.
    $( In a simple graph, there is no loop, i.e. no edge connecting a vertex
       with itself.  (Contributed by Alexander van der Vekens, 26-Jan-2018.)
       (Revised by AV, 17-Oct-2020.)  (Proof shortened by AV, 11-Dec-2020.) $)
    usgrnloopv $p |- ( ( G e. USGraph /\ M e. W )
                       -> ( ( E ` X ) = { M , N } -> M =/= N ) ) $=
      ( cusgr wcel cumgr cfv cpr wceq wne wi usgrumgr umgrnloopv sylan ) BHIBJI
      CEIFAKCDLMCDNOBPABCDEFGQR $.

    $( Alternate proof of ~ usgrnloopv , not using ~ umgrnloopv .  (Contributed
       by Alexander van der Vekens, 26-Jan-2018.)  (Revised by AV,
       17-Oct-2020.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    usgrnloopvALT $p |- ( ( G e. USGraph /\ M e. W )
                       -> ( ( E ` X ) = { M , N } -> M =/= N ) ) $=
      ( cusgr wcel cfv cpr wceq wne wi cdm wa c0 adantr chash c2 csn cres prnzg
      wfun adantl wb neeq1 mpbird fvfundmfvn0 usgredg2 fveq2 eqeq1d hashprdifel
      syl eqid simp3d syl6bi syl5com expcom com23 mpcom ex com13 imp ) BHIZCEIZ
      FAJZCDKZLZCDMZNVIVFVEVJVIVFVEVJNZFAOIZAFUAUBUDZPZVIVFPZVKVOVGQMZVNVOVPVHQ
      MZVFVQVICDEUCUEVIVPVQUFVFVGVHQUGRUHFAUIUNVLVOVKNVMVLVEVOVJVEVLVOVJNVEVLPV
      GSJZTLZVOVJABFGUJVIVSVJNVFVIVSVHSJZTLZVJVIVRVTTVGVHSUKULWACVHIDVHIVJCDVHV
      HUOUMUPUQRURUSUTRVAVBVCVD $.

    $d G x $.  $d M x $.  $d N x $.
    $( In a simple graph, there is no loop, i.e. no edge connecting a vertex
       with itself.  (Contributed by Alexander van der Vekens, 19-Aug-2017.)
       (Proof shortened by Alexander van der Vekens, 20-Mar-2018.)  (Revised by
       AV, 17-Oct-2020.)  (Proof shortened by AV, 11-Dec-2020.) $)
    usgrnloop $p |- ( G e. USGraph -> ( E. x e. dom E ( E ` x ) = { M , N }
                                      -> M =/= N ) ) $=
      ( cusgr wcel cumgr cv cfv cpr wceq cdm wrex wne wi usgrumgr umgrnloop syl
      ) CGHCIHAJBKDELMABNODEPQCRABCDEFST $.

    $( Alternate proof of ~ usgrnloop , not using ~ umgrnloop .  (Contributed
       by Alexander van der Vekens, 19-Aug-2017.)  (Proof shortened by
       Alexander van der Vekens, 20-Mar-2018.)  (Revised by AV, 17-Oct-2020.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    usgrnloopALT $p |- ( G e. USGraph -> ( E. x e. dom E ( E ` x ) = { M , N }
                                      -> M =/= N ) ) $=
      ( cusgr wcel cv cfv cpr wceq wne cdm wa cvtx imp wi ex adantr com23 com12
      eqid usgredgprv usgrnloopv mpcom rexlimdva ) CGHZAIZBJDEKLZDEMZABNZUHUIUL
      HZOZUJUKDCPJZHZEUOHZOZUNUJOZUKUNUJURBCDEUOUIFUOUCUDQUPUSUKRUQUSUPUKUNUJUP
      UKRZUHUJUTRUMUHUPUJUKUHUPUJUKRBCDEUOUIFUESUATQUBTUFSUG $.

    $d U x $.
    $( A simple graph has no loops.  (Contributed by Alexander van der Vekens,
       6-Dec-2017.)  (Revised by AV, 17-Oct-2020.)  (Proof shortened by AV,
       11-Dec-2020.) $)
    usgrnloop0 $p |- ( G e. USGraph
                       -> { x e. dom E | ( E ` x ) = { U } } = (/) ) $=
      ( cusgr wcel cumgr cv cfv csn wceq cdm crab c0 usgrumgr umgrnloop0 syl )
      DFGDHGAICJBKLACMNOLDPABCDEQR $.

    $( Alternate proof of ~ usgrnloop0 , not using ~ umgrnloop0 .  (Contributed
       by Alexander van der Vekens, 6-Dec-2017.)  (Revised by AV, 17-Oct-2020.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    usgrnloop0ALT $p |- ( G e. USGraph
                       -> { x e. dom E | ( E ` x ) = { U } } = (/) ) $=
      ( cusgr wcel cv cfv csn wceq wn cdm wral crab c0 wrex cpr wne sylibr mtoi
      neirr usgrnloop wa simpr dfsn2 eqtrdi ex reximdv mtod ralnex rabeq0 ) DFG
      ZAHCIZBJZKZLACMZNZUPAUQOPKUMUPAUQQZLURUMUSUNBBRZKZAUQQZUMVBBBSBUBACDBBEUC
      UAUMUPVAAUQUMUPVAUMUPUDUNUOUTUMUPUEBUFUGUHUIUJUPAUQUKTUPAUQULT $.
  $}

  ${
    usgredgne.v $e |- E = ( Edg ` G ) $.
    $( An edge of a simple graph always connects two different vertices.
       Analogue of ~ usgrnloopv resp. ~ usgrnloop .  (Contributed by Alexander
       van der Vekens, 2-Sep-2017.)  (Revised by AV, 17-Oct-2020.)  (Proof
       shortened by AV, 27-Nov-2020.) $)
    usgredgne $p |- ( ( G e. USGraph /\ { M , N } e. E ) -> M =/= N ) $=
      ( cusgr wcel cumgr cpr wne usgrumgr umgredgne sylan ) BFGBHGCDIAGCDJBKABC
      DELM $.
  $}

  ${
    $d G x $.
    usgrf1oedg.i $e |- I = ( iEdg ` G ) $.
    usgrf1oedg.e $e |- E = ( Edg ` G ) $.
    $( The edge function of a simple graph is a 1-1 function onto the set of
       edges.  (Contributed by AV, 18-Oct-2020.) $)
    usgrf1oedg $p |- ( G e. USGraph -> I : dom I -1-1-onto-> E ) $=
      ( vx cusgr wcel cdm wf1o crn cv chash cfv c2 wceq cvtx cpw c0 csn f1f1orn
      cdif crab wf1 eqid usgrf syl cedg ciedg edgval eqcomi rneqi eqtrdi syl5eq
      a1i f1oeq3d mpbird ) BGHZCIZACJUSCKZCJZURUSFLMNOPFBQNZRSTUBUCZCUDVAFCBVBV
      BUEDUFUSVCCUAUGURAUTUSCURABUHNZUTEURVDBUINZKZUTVDVFPURBUJUOVECCVEDUKULUMU
      NUPUQ $.

    $d A x y $.  $d B x y $.  $d G y $.  $d I x y $.  $d N x y $.
    ${
      $d V x y $.
      uhgr2edg.v $e |- V = ( Vtx ` G ) $.
      $( If a vertex is adjacent to two different vertices in a hypergraph,
         there are more than one edges starting at this vertex.  (Contributed
         by Alexander van der Vekens, 10-Dec-2017.)  (Revised by AV,
         11-Feb-2021.) $)
      uhgr2edg $p |- ( ( ( G e. UHGraph /\ A =/= B )
                         /\ ( A e. V /\ B e. V /\ N e. V )
                         /\ ( { N , A } e. E /\ { B , N } e. E ) )
                       -> E. x e. dom I E. y e. dom I
                          ( x =/= y /\ N e. ( I ` x ) /\ N e. ( I ` y ) ) ) $=
        ( wcel wa w3a cfv wrex wceq wi adantl cuhgr wne cv simp1l simp1r simp23
        cpr cdm simp21 3simpc 3ad2ant2 jca31 simp3 wb crn cedg ciedg a1i edgval
        eqcomi rneqd 3eqtrd eleq2d anbi12d wfn uhgrfun funfnd fvelrnb syl bitrd
        ad2antrr reeanv fveqeq2 anbi1d eqtr2 prcom wo preq12bg ancom2s eqneqall
        eqeq2i eqtr ancoms jaoi adantld com3l impd sylbi impcomd ax-1 pm2.61ine
        syl6bi prid1g eleq2 syl5ibr adantr impcom prid2g 3jca ex reximdv sylbid
        syl5bir sylc ) FUAMZCDUBZNZCIMZDIMZHIMZOZHCUGZEMZDHUGZEMZNZOZXGXJXHNZXI
        XJNZNZNZXPAUCZBUCZUBZHYBGPZMZHYCGPZMZOZBGUHZQZAYJQZXQXEXFXTXEXFXKXPUDXE
        XFXKXPUEXQXJXHXSXGXHXIXJXPUFXGXHXIXJXPUIXKXGXSXPXHXIXJUJUKULULXGXKXPUMY
        AXPYEXLRZAYJQZYGXNRZBYJQZNZYLXEXPYQUNXFXTXEXPXLGUOZMZXNYRMZNZYQXEXMYSXO
        YTXEEYRXLXEEFUPPZFUQPZUOZYREUUBRXEKURUUBUUDRXEFUSURXEUUCGUUCGRXEGUUCJUT
        URVAVBZVCXEEYRXNUUEVCVDXEGYJVEZUUAYQUNXEGGFJVFVGUUFYSYNYTYPAYJXLGVHBYJX
        NGVHVDVIVJVKYQYMYONZBYJQZAYJQYAYLYMYOABYJYJVLYAUUHYKAYJYAUUGYIBYJYAUUGY
        IYAUUGNZYDYFYHUUIYDSYBYCYBYCRZUUGYAYDUUJUUGYGXLRZYONZYAYDSZUUJYMUUKYOYB
        YCXLGVMVNUULXLXNRZUUMYGXLXNVOUUNXLHDUGZRZUUMXNUUOXLDHVPWAUUPXGXTYDXTUUP
        XGYDXTUUPHHRZCDRZNZHDRZCHRZNZVQZXGYDSXRXJXIUUPUVCUNHCHDIIIIVRVSUVCXFYDX
        EUUSXFYDSZUVBUURUVDUUQYDCDVTZTUVBUURUVDUVAUUTUURCHDWBWCUVEVIWDWEWLWFWGW
        HVIWLWIYDUUIWJWKUUGYAYFYMYAYFSYOYAYFYMHXLMZXTUVFXGXJUVFXHXSHCIWMVKTYEXL
        HWNWOWPWQUUGYAYHYOYAYHSYMYAYHYOHXNMZXTUVGXGXJUVGXHXSDHIWRVKTYGXNHWNWOTW
        QWSWTXAXAXCXBXD $.
    $}

    $( If a vertex is adjacent to two different vertices in a multigraph, there
       are more than one edges starting at this vertex.  (Contributed by
       Alexander van der Vekens, 10-Dec-2017.)  (Revised by AV,
       11-Feb-2021.) $)
    umgr2edg $p |- ( ( ( G e. UMGraph /\ A =/= B )
                       /\ ( { N , A } e. E /\ { B , N } e. E ) )
                     -> E. x e. dom I E. y e. dom I
                         ( x =/= y /\ N e. ( I ` x ) /\ N e. ( I ` y ) ) ) $=
      ( cumgr wcel wne wa cpr cfv cv wrex umgrpredgv simpld cuhgr cvtx umgruhgr
      w3a anim1i adantr eqid ad2ant2r simprd ad2ant2rl simpr uhgr2edg syl131anc
      cdm ) FKLZCDMZNZHCOELZDHOELZNZNZFUALZUPNZCFUBPZLZDVDLZHVDLZUTAQZBQZMHVHGP
      LHVIGPLUDBGUNZRAVJRUQVCUTUOVBUPFUCUEUFVAVGVEUOURVGVENUPUSEFHCVDVDUGZJSUHZ
      UIVAVFVGUOUSVFVGNUPUREFDHVDVKJSUJTVAVGVEVLTUQUTUKABCDEFGHVDIJVKULUM $.

    $( If a vertex is adjacent to two different vertices in a simple graph,
       there are more than one edges starting at this vertex.  (Contributed by
       Alexander van der Vekens, 10-Dec-2017.)  (Revised by AV, 17-Oct-2020.)
       (Proof shortened by AV, 11-Feb-2021.) $)
    usgr2edg $p |- ( ( ( G e. USGraph /\ A =/= B )
                       /\ ( { N , A } e. E /\ { B , N } e. E ) )
                     -> E. x e. dom I E. y e. dom I
                         ( x =/= y /\ N e. ( I ` x ) /\ N e. ( I ` y ) ) ) $=
      ( cusgr wcel cumgr wne cpr wa cv cfv w3a wrex usgrumgr umgr2edg sylanl1
      cdm ) FKLFMLCDNHCOELDHOELPAQZBQZNHUEGRLHUFGRLSBGUDZTAUGTFUAABCDEFGHIJUBUC
      $.

    $( If a vertex is adjacent to two different vertices in a multigraph, there
       is not only one edge starting at this vertex.  (Contributed by Alexander
       van der Vekens, 10-Dec-2017.)  (Revised by AV, 8-Jun-2021.) $)
    umgr2edg1 $p |- ( ( ( G e. UMGraph /\ A =/= B )
                        /\ ( { N , A } e. E /\ { B , N } e. E ) )
                      -> -. E! x e. dom I N e. ( I ` x ) ) $=
      ( vy wcel wne wa cpr cv cfv wrex wn w3a bitri cumgr cdm weq wral umgr2edg
      wi wreu 3anrot df-ne 3anbi3i df-3an 2rexbii sylib rexanali rexbii intnand
      rexnal fveq2 eleq2d reu4 sylnibr ) EUAKBCLMGBNDKCGNDKMMZGAOZFPZKZAFUBZQZV
      EGJOZFPZKZMZAJUCZUFJVFUDZAVFUDZMVEAVFUGVBVNVGVBVKVLRZMZJVFQZAVFQZVNRZVBVC
      VHLZVEVJSZJVFQAVFQVRAJBCDEFGHIUEWAVPAJVFVFWAVEVJVOSZVPWAVEVJVTSWBVTVEVJUH
      VTVOVEVJVCVHUIUJTVEVJVOUKTULUMVRVMRZAVFQVSVQWCAVFVKVLJVFUNUOVMAVFUQTUMUPV
      EVJAJVFVLVDVIGVCVHFURUSUTVA $.

    $( If a vertex is adjacent to two different vertices in a simple graph,
       there is not only one edge starting at this vertex.  (Contributed by
       Alexander van der Vekens, 10-Dec-2017.)  (Revised by AV, 17-Oct-2020.)
       (Proof shortened by AV, 8-Jun-2021.) $)
    usgr2edg1 $p |- ( ( ( G e. USGraph /\ A =/= B )
                        /\ ( { N , A } e. E /\ { B , N } e. E ) )
                      -> -. E! x e. dom I N e. ( I ` x ) ) $=
      ( cusgr wcel cumgr wne cpr wa cv cfv cdm wreu wn usgrumgr umgr2edg1
      sylanl1 ) EJKELKBCMGBNDKCGNDKOGAPFQKAFRSTEUAABCDEFGHIUBUC $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d E x y $.  $d G x y $.  $d N x y $.
    umgrvad2edg.e $e |- E = ( Edg ` G ) $.
    $( If a vertex is adjacent to two different vertices in a multigraph, there
       are more than one edges starting at this vertex, analogous to
       ~ usgr2edg .  (Contributed by Alexander van der Vekens, 10-Dec-2017.)
       (Revised by AV, 9-Jan-2020.)  (Revised by AV, 8-Jun-2021.) $)
    umgrvad2edg $p |- ( ( ( G e. UMGraph /\ A =/= B )
                       /\ ( { N , A } e. E /\ { B , N } e. E ) )
                    -> E. x e. E E. y e. E ( x =/= y /\ N e. x /\ N e. y ) ) $=
      ( cpr wcel wa wne w3a cv wrex umgrpredgv ex imp ad3antrrr wceq cumgr cvtx
      simpl simpr cfv wo wi anim12d adantr simplr umgredgne necomd ad2ant2r jca
      eqid olcd prneimg prid1g 3jca syl2anc neeq1 eleq2 3anbi12d neeq2 3anbi13d
      prid2g rspc2ev syl2an23an ) GCIZEJZDGIZEJZKZVJVLFUAJZCDLZKZVIVKLZGVIJZGVK
      JZMZANZBNZLZGWAJZGWBJZMZBEOAEOVJVLUCVJVLUDVPVMKZGFUBUEZJZCWHJZKZDWHJWIKZK
      ZGDLGGLKZVOCGLZKZUFZVTVPVMWMVNVMWMUGVOVNVJWKVLWLVNVJWKEFGCWHWHUOZHPQVNVLW
      LEFDGWHWRHPQUHUIRWGWPWNWGVOWOVNVOVMUJVNVJWOVOVLVNVJKGCEFGCHUKULUMUNUPWMWQ
      KVQVRVSWMWQVQGCDGWHWHWHWHUQRWIVRWJWLWQGCWHURSWIVSWJWLWQDGWHVFSUSUTWFVTVIW
      BLZVRWEMABVIVKEEWAVITWCWSWDVRWEWAVIWBVAWAVIGVBVCWBVKTWSVQWEVSVRWBVKVIVDWB
      VKGVBVEVGVH $.

    $( If a vertex is adjacent to two different vertices in a multigraph, there
       is not only one edge starting at this vertex, analogous to ~ usgr2edg1 .
       Lemma for theorems about friendship graphs.  (Contributed by Alexander
       van der Vekens, 10-Dec-2017.)  (Revised by AV, 9-Jan-2020.) $)
    umgr2edgneu $p |- ( ( ( G e. UMGraph /\ A =/= B )
                        /\ ( { N , A } e. E /\ { B , N } e. E ) )
                          -> -. E! x e. E N e. x ) $=
      ( vy cumgr wcel wne wa cpr cv wrex weq wi wral wn reximi wreu umgrvad2edg
      w3a 3simpc neneq 3ad2ant1 jca rexanali rexbii rexnal bitri intnand eleq2w
      syl sylib reu4 sylnibr ) EIJBCKLFBMDJCFMDJLLZFANZJZADOZUTFHNZJZLZAHPZQHDR
      ZADRZLUTADUAURVGVAURVDVESZLZHDOZADOZVGSZURUSVBKZUTVCUCZHDOZADOVKAHBCDEFGU
      BVOVJADVNVIHDVNVDVHVMUTVCUDVMUTVHVCUSVBUEUFUGTTUNVKVFSZADOVLVJVPADVDVEHDU
      HUIVFADUJUKUOULUTVCAHDAHFUMUPUQ $.
  $}

  ${
    $d G x $.
    $( In a simple graph, the size of the edge function is the number of the
       edges of the graph.  (Contributed by AV, 4-Jan-2020.)  (Revised by AV,
       7-Jun-2021.) $)
    usgrsizedg $p |- ( G e. USGraph
                       -> ( # ` ( iEdg ` G ) ) = ( # ` ( Edg ` G ) ) ) $=
      ( vx cusgr wcel ciedg cfv chash crn cedg cdm cvv cv c2 wceq cvtx cpw cdif
      c0 csn eqid crab wf1 fvex usgrf hashf1rn sylancr edgval a1i fveq2d eqtr4d
      dmex ) ACDZAEFZGFZUMHZGFZAIFZGFULUMJZKDURBLGFMNBAOFZPRSQUAZUMUBUNUPNUMAEU
      CUKBUMAUSUSTUMTUDURUTUMKUEUFULUQUOGUQUONULAUGUHUIUJ $.
  $}

  ${
    $d E x y $.  $d G x y $.  $d V x y $.  $d X x y $.
    usgredg3.v $e |- V = ( Vtx ` G ) $.
    usgredg3.e $e |- E = ( iEdg ` G ) $.
    $( The value of the "edge function" of a simple graph is a set containing
       two elements (the endvertices of the corresponding edge).  (Contributed
       by Alexander van der Vekens, 18-Dec-2017.)  (Revised by AV,
       17-Oct-2020.) $)
    usgredg3 $p |- ( ( G e. USGraph /\ X e. dom E )
              -> E. x e. V E. y e. V ( x =/= y /\ ( E ` X ) = { x , y } ) ) $=
      ( cusgr wcel cdm cfv cedg cv wne wceq wa wrex crn wfun cpr usgrfun funeqi
      ciedg sylibr fvelrn sylan edgval eqcomi rneqi eqtrdi adantr eleqtrrd eqid
      a1i usgredg syldan ) DIJZFCKJZFCLZDMLZJANZBNZOUTVBVCUAPQBERAERURUSQUTCSZV
      AURCTZUSUTVDJURDUDLZTVEDUBCVFHUCUEFCUFUGURVAVDPUSURVAVFSZVDVAVGPURDUHUOVF
      CCVFHUIUJUKULUMUTVADEABGVAUNUPUQ $.

    $d E x z $.  $d G z $.  $d V z $.  $d X z $.  $d Y x y z $.
    $( For a vertex incident to an edge there is another vertex incident to the
       edge.  (Contributed by Alexander van der Vekens, 18-Dec-2017.)  (Revised
       by AV, 17-Oct-2020.) $)
    usgredg4 $p |- ( ( G e. USGraph /\ X e. dom E /\ Y e. ( E ` X ) )
                      -> E. y e. V ( E ` X ) = { Y , y } ) $=
      ( vx vz wcel cv cpr wceq wrex wa wi wb adantl ex cusgr cdm usgredg3 eleq2
      cfv wne simplrr weq preq2 eqeq2d eqidd rspcedvd simprr eqeqan12rd rexbidv
      wo preq1 mpbird simplrl prcom a1i jaoi elpri sylbid rexlimdvva mpd 3impia
      syl11 ) CUAKZEBUBKZFEBUEZKZVKFALZMZNZADOZVIVJPZILZJLZUFZVKVRVSMZNZPZJDOID
      OVLVPQZIJBCDEGHUCVQWCWDIJDDVQVRDKZVSDKZPPZWCWDWGWCPZVLFWAKZVPWCVLWIRZWGWB
      WJVTVKWAFUDSSFVRNZFVSNZUPWHVPWIWKWHVPQWLWKWHVPWKWHPZVPWAVRVMMZNZADOWMWOWA
      WANZAVSDWHWFWKVQWEWFWCUGSAJUHZWOWPRWMWQWNWAWAVMVSVRUIUJSWMWAUKULWMVOWOADW
      HWKVKWAVNWNWGVTWBUMZFVRVMUQUNUOURTWLWHVPWLWHPZVPWAVSVMMZNZADOWSXAWAVSVRMZ
      NZAVRDWHWEWLVQWEWFWCUSSAIUHZXAXCRWSXDWTXBWAVMVRVSUIUJSXCWSVRVSUTVAULWSVOX
      AADWHWLVKWAVNWTWRFVSVMUQUNUOURTVBFVRVSVCVHVDTVEVFVG $.

    $( For a vertex incident to an edge there is exactly one other vertex
       incident to the edge.  (Contributed by Alexander van der Vekens,
       4-Jan-2018.)  (Revised by AV, 18-Oct-2020.) $)
    usgredgreu $p |- ( ( G e. USGraph /\ X e. dom E /\ Y e. ( E ` X ) )
                      -> E! y e. V ( E ` X ) = { Y , y } ) $=
      ( vx cusgr wcel cdm cfv w3a cv cpr wceq wa wral vex wrex wi wreu usgredg4
      weq eqtr2 preqr2 syl a1i ralrimivva preq2 eqeq2d reu4 sylanbrc ) CJKEBLKF
      EBMZKNZUOFAOZPZQZADUAUSUOFIOZPZQZRZAIUEZUBZIDSADSUSADUCABCDEFGHUDUPVEAIDD
      VEUPUQDKUTDKRRVCURVAQVDUOURVAUFUQUTFATITUGUHUIUJUSVBAIDVDURVAUOUQUTFUKULU
      MUN $.
  $}

  ${
    $d E x y $.  $d G x y $.  $d Y x y $.
    $( For a vertex incident to an edge there is another vertex incident to the
       edge in a simple graph.  (Contributed by AV, 18-Oct-2020.)  (Proof
       shortened by AV, 5-Dec-2020.) $)
    usgredg2vtx $p |- ( ( G e. USGraph /\ E e. ( Edg ` G ) /\ Y e. E )
                        -> E. y e. ( Vtx ` G ) E = { Y , y } ) $=
      ( cusgr wcel cupgr cedg cfv cv cpr wceq cvtx usgrupgr upgredg2vtx syl3an1
      wrex eqid ) CEFCGFBCHIZFDBFBDAJKLACMIZQCNDBSCTATRSROP $.

    $( For a vertex incident to an edge there is exactly one other vertex
       incident to the edge in a simple pseudograph.  (Contributed by AV,
       18-Oct-2020.)  (Revised by AV, 6-Dec-2020.) $)
    uspgredg2vtxeu $p |- ( ( G e. USPGraph /\ E e. ( Edg ` G ) /\ Y e. E )
                           -> E! y e. ( Vtx ` G ) E = { Y , y } ) $=
      ( vx cuspgr wcel cedg cfv w3a cv cpr wceq cvtx wrex wa weq wral eqid vex
      wi wreu cupgr uspgrupgr upgredg2vtx syl3an1 eqtr2 preqr2 ralrimivva preq2
      syl a1i eqeq2d reu4 sylanbrc ) CFGZBCHIZGZDBGZJZBDAKZLZMZACNIZOZVCBDEKZLZ
      MZPZAEQZUAZEVDRAVDRVCAVDUBUPCUCGURUSVECUDDBUQCVDAVDSUQSUEUFUTVKAEVDVDVKUT
      VAVDGVFVDGPPVIVBVGMVJBVBVGUGVAVFDATETUHUKULUIVCVHAEVDVJVBVGBVAVFDUJUMUNUO
      $.

    $( For a vertex incident to an edge there is exactly one other vertex
       incident to the edge in a simple graph.  (Contributed by AV,
       18-Oct-2020.)  (Proof shortened by AV, 6-Dec-2020.) $)
    usgredg2vtxeu $p |- ( ( G e. USGraph /\ E e. ( Edg ` G ) /\ Y e. E )
                          -> E! y e. ( Vtx ` G ) E = { Y , y } ) $=
      ( cusgr wcel cuspgr cedg cfv cv cpr wceq cvtx wreu uspgredg2vtxeu syl3an1
      usgruspgr ) CEFCGFBCHIFDBFBDAJKLACMINCQABCDOP $.

    $( Alternate proof of ~ usgredg2vtxeu , using ~ edgiedgb , the general
       translation from ` ( iEdg `` G ) ` to ` ( Edg `` G ) ` .  (Contributed
       by AV, 18-Oct-2020.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    usgredg2vtxeuALT $p |- ( ( G e. USGraph /\ E e. ( Edg ` G ) /\ Y e. E )
                             -> E! y e. ( Vtx ` G ) E = { Y , y } ) $=
      ( vx cusgr wcel cedg cfv cv cpr wceq cvtx wreu ciedg cdm wrex wi wb eqid
      cuhgr usgruhgr uhgredgiedgb syl w3a usgredgreu 3expia 3adant3 eleq2 eqeq1
      reubidv imbi12d 3ad2ant3 mpbird 3exp rexlimdv sylbid 3imp ) CFGZBCHIGZDBG
      ZBDAJKZLZACMIZNZUSUTBEJZCOIZIZLZEVGPZQZVAVERZUSCUAGUTVKSCUBEBCVGVGTZUCUDU
      SVIVLEVJUSVFVJGZVIVLUSVNVIUEVLDVHGZVHVBLZAVDNZRZUSVNVRVIUSVNVOVQAVGCVDVFD
      VDTVMUFUGUHVIUSVLVRSVNVIVAVOVEVQBVHDUIVIVCVPAVDBVHVBUJUKULUMUNUOUPUQUR $.
  $}

  ${
    $d E e $.  $d G z $.  $d N e $.  $d N z $.  $d V z $.  $d Y e $.  $d Y z $.
    uspgredg2v.v $e |- V = ( Vtx ` G ) $.
    uspgredg2v.e $e |- E = ( Edg ` G ) $.
    uspgredg2v.a $e |- A = { e e. E | N e. e } $.
    $( Lemma for ~ uspgredg2v .  (Contributed by Alexander van der Vekens,
       4-Jan-2018.)  (Revised by AV, 6-Dec-2020.) $)
    uspgredg2vlem $p |- ( ( G e. USPGraph /\ Y e. A )
                           -> ( iota_ z e. V Y = { N , z } ) e. V ) $=
      ( wcel cuspgr wa cv cpr wceq crio cfv wreu eleq2 elrab2 cedg simpl eleq2i
      w3a biimpi ad2antrl simprr 3jca cvtx uspgredg2vtxeu reueq1 sylibr riotacl
      wb ax-mp 3syl sylan2b ) HBLEMLZHDLZFHLZNZHFAOPQZAGRGLZFCOZLVBCHDBVFHFUAKU
      BUTVCNZUTHEUCSZLZVBUFZVDAGTZVEVGUTVIVBUTVCUDVAVIUTVBVAVIDVHHJUEUGUHUTVAVB
      UIUJVJVDAEUKSZTZVKAHEFULGVLQVKVMUPIVDAGVLUMUQUNVDAGUOURUS $.

    $d A x y $.  $d F x $.  $d G n x y $.  $d N n x y z $.  $d V n x y $.
    $d e x y $.
    uspgredg2v.f $e |- F = ( y e. A |-> ( iota_ z e. V y = { N , z } ) ) $.
    $( In a simple pseudograph, the mapping of edges having a fixed endpoint to
       the "other" vertex of the edge (which may be the fixed vertex itself in
       the case of a loop) is a one-to-one function into the set of vertices.
       (Contributed by Alexander van der Vekens, 4-Jan-2018.)  (Revised by AV,
       6-Dec-2020.) $)
    uspgredg2v $p |- ( ( G e. USPGraph /\ N e. V ) -> F : A -1-1-> V ) $=
      ( vx vn wcel wa cv wceq wreu cuspgr cpr crio wral uspgredg2vlem ralrimiva
      wi wf1 adantr preq2 eqeq2d cbvriotavw cedg cfv simpl eleq2w elrab2 eleq2i
      w3a biimpi anim1i sylbi anim12i 3anass sylibr uspgredg2vtxeu reueq1 ax-mp
      cvtx wb syl adantl riotaeqimp ralrimivva eqeq1 riotabidv f1mpt sylanbrc
      ex ) GUAPZHIPZQZARZHBRZUBZSZBIUCZIPZACUDZWGNRZWESZBIUCZSZWCWJSZUGZNCUDACU
      DCIFUHVTWIWAVTWHACBCDEGHIWCJKLUEUFUIWBWOANCCWBWCCPZWJCPZQZQZWMWNWSHORZUBZ
      WGWLIWCWJOWFWCXASZBOIWDWTSZWEXAWCWDWTHUJZUKULWKWJXASZBOIXCWEXAWJXDUKULWSV
      TWCGUMUNZPZHWCPZUSZXBOITZWSVTXGXHQZQXIWBVTWRXKVTWAUOZWPXKWQWPWCEPZXHQXKHD
      RPZXHDWCECDAHUPLUQXMXGXHXMXGEXFWCKURUTVAVBUIVCVTXGXHVDVEXIXBOGVIUNZTZXJOW
      CGHVFIXOSZXJXPVJJXBOIXOVGVHVEVKWSVTWJXFPZHWJPZUSZXEOITZWSVTXRXSQZQXTWBVTW
      RYBXLWQYBWPWQWJEPZXSQYBXNXSDWJECDNHUPLUQYCXRXSYCXREXFWJKURUTVAVBVLVCVTXRX
      SVDVEXTXEOXOTZYAOWJGHVFXQYAYDVJJXEOIXOVGVHVEVKVMVSVNANCIWGWLFMWNWFWKBIWCW
      JWEVOVPVQVR $.
  $}

  ${
    $d E x z $.  $d G z $.  $d N x z $.  $d V z $.
    usgredg2v.v $e |- V = ( Vtx ` G ) $.
    usgredg2v.e $e |- E = ( iEdg ` G ) $.
    ${
      $d Y x z $.
      usgredg2v.a $e |- A = { x e. dom E | N e. ( E ` x ) } $.
      $( Lemma 1 for ~ usgredg2v .  (Contributed by Alexander van der Vekens,
         4-Jan-2018.)  (Revised by AV, 18-Oct-2020.) $)
      usgredg2vlem1 $p |- ( ( G e. USGraph /\ Y e. A )
                            -> ( iota_ z e. V ( E ` Y ) = { z , N } ) e. V ) $=
        ( wcel cusgr cdm cfv wa cv cpr wceq wreu fveq2 eleq2d elrab2 usgredgreu
        crio w3a prcom eqeq2i reubii sylib 3expb riotacl syl sylan2b ) HCLEMLZH
        DNZLZFHDOZLZPZURBQZFRZSZBGUEGLZFAQZDOZLUSAHUPCVEHSVFURFVEHDUAUBKUCUOUTP
        VCBGTZVDUOUQUSVGUOUQUSUFURFVARZSZBGTVGBDEGHFIJUDVIVCBGVHVBURFVAUGUHUIUJ
        UKVCBGULUMUN $.

      $d I z $.
      $( Lemma 2 for ~ usgredg2v .  (Contributed by Alexander van der Vekens,
         4-Jan-2018.)  (Revised by AV, 18-Oct-2020.) $)
      usgredg2vlem2 $p |- ( ( G e. USGraph /\ Y e. A )
                            -> ( I = ( iota_ z e. V ( E ` Y ) = { z , N } )
                                 -> ( E ` Y ) = { I , N } ) ) $=
        ( wcel cfv cv cpr wceq wi wa biimpi cusgr crio fveq2 eleq2d elrab2 wreu
        cdm usgredgreu 3expb usgredg2vlem1 adantlr ad4ant23 eleq1 adantl mpbird
        prcom eqeq2i reubii ad3antrrr preq1 eqeq2d riota2 syl2anc exbiri eqcoms
        wb com13 pm2.43i expdcom mpancom expcom com23 mpcom impcom ) ICMZEUAMZF
        IDNZBOZGPZQZBHUBZQZVQFGPZQZRZIDUGZMZGVQMZSZVOVPWERVOWIGAOZDNZMWHAIWFCWJ
        IQWKVQGWJIDUCUDLUETWIVPVOWEVPWIVOWERZVQGVRPZQZBHUFZVPWISZWLVPWGWHWOBDEH
        IGJKUHUIWBWOWPSZVOWDWBWQVOSZWDRZWBWSRWAFWRWBWAFQZWDWRWBWDWTWRWBSZFHMZVT
        BHUFZWDWTVFXAXBWAHMZWPVOXDWOWBVPVOXDWIABCDEGHIJKLUJUKULWBXBXDVFWRFWAHUM
        UNUOWOXCWPVOWBWOXCWNVTBHWMVSVQGVRUPUQURTUSVTWDBHFVRFQVSWCVQVRFGUTVAVBVC
        VDVGVEVHVIVJVKVLVMVN $.

      $d A w y $.  $d E w x y z $.  $d F w $.  $d G w y $.  $d N u w y $.
      $d V u w y $.  $d E u w z $.
      usgredg2v.f $e |- F = ( y e. A
                              |-> ( iota_ z e. V ( E ` y ) = { z , N } ) ) $.
      $( In a simple graph, the mapping of edges having a fixed endpoint to the
         other vertex of the edge is a one-to-one function into the set of
         vertices.  (Contributed by Alexander van der Vekens, 4-Jan-2018.)
         (Revised by AV, 18-Oct-2020.) $)
      usgredg2v $p |- ( ( G e. USGraph /\ N e. V ) -> F : A -1-1-> V ) $=
        ( vw vu wcel wa cv wceq wn cusgr cfv cpr crio wral weq wi usgredg2vlem1
        wf1 ralrimiva adantr cdm crn wb usgrf1 crab elrabi eleq2s f1fveq syl2an
        anim12i bicomd notbid simpl eqeq2d cbvriotavw usgredg2vlem2 an3 eqeq12d
        preq1 mpisyl wo cvv riotaex a1i id preq12bg syl22anc adantl ioran ianor
        eqeq12i notbii biimpi a1d eqid jaoi sylbi com12 sylbid con4d ralrimivva
        pm2.24i fveqeq2 riotabidv f1mpt sylanbrc ) GUAPZHIPZQZBRZEUBZCRZHUCZSZC
        IUDZIPZBDUEZXFNRZEUBZXDSZCIUDZSZBNUFZUGZNDUEBDUEDIFUIWRXHWSWRXGBDACDEGH
        IXAJKLUHUJUKWTXOBNDDWTXADPZXIDPZQZQZXNXMXSXNTXBXJSZTZXMTZXSXNXTXSXTXNWT
        EULZEUMZEUIZXAYCPZXIYCPZQXTXNUNXRWRYEWSEGKUOUKXPYFXQYGYFXAHAREUBPZAYCUP
        ZDYHAXAYCUQLURYGXIYIDYHAXIYCUQLURVAYCYDXAXIEUSUTVBVCXSYAXBORZHUCZSZOIUD
        ZHUCZXJYKSZOIUDZHUCZSZTZYBXSXTYRXSXBYNXJYQXSWRXPQYMXFSXBYNSWTWRXRXPWRWS
        VDXPXQVDVAYLXEOCIOCUFZYKXDXBYJXCHVJZVEVFZACDEGYMHIXAJKLVGVKXSWRXQQYPXLS
        XJYQSWRWSXPXQVHYOXKOCIYTYKXDXJUUAVEVFZACDEGYPHIXIJKLVGVKVIVCWTYSYBUGXRW
        TYSYMYPSZHHSZQZYMHSHYPSQZVLZTZYBWSYSUUIUNWRWSYRUUHWSYMVMPZWSYPVMPZWSYRU
        UHUNUUJWSYLOIVNVOWSVPZUUKWSYOOIVNVOUULYMHYPHVMIVMIVQVRVCVSWRUUIYBUGWSUU
        IWRYBUUIUUFTZUUGTZQWRYBUGZUUFUUGVTUUMUUOUUNUUMUUDTZUUETZVLUUOUUDUUEWAUU
        PUUOUUQUUPYBWRUUPYBUUDXMYMXFYPXLUUBUUCWBWCWDWEUUEUUOHWFWMWGWHUKWHWIUKWJ
        UKWJWJWKWLBNDIXFXLFMXNXEXKCIXAXIXDEWNWOWPWQ $.
    $}

    $d E x y z $.  $d G y $.  $d N y $.  $d V y $.
    $( Alternate version of ~ usgredgleord , not using the notation
       ` ( Edg `` G ) ` .  In a simple graph the number of edges which contain
       a given vertex is not greater than the number of vertices.  (Contributed
       by Alexander van der Vekens, 4-Jan-2018.)  (Revised by AV,
       18-Oct-2020.) $)
    usgriedgleord $p |- ( ( G e. USGraph /\ N e. V )
                   -> ( # ` { x e. dom E | N e. ( E ` x ) } ) <_ ( # ` V ) ) $=
      ( vy vz cusgr wcel wa cv cfv cdm crab wbr chash cvv eqid cdom cle cpr wf1
      wceq crio cmpt cvtx fvexi usgredg2v f1domg mpsyl hashdomi syl ) CJKDEKLZD
      AMBNKABOPZEUAQZUPRNERNUBQESKUOUPEHUPHMBNIMDUCUEIEUFUGZUDUQECUHFUIAHIUPBUR
      CDEFGUPTURTUJUPESURUKULUPEUMUN $.
  $}

  ${
    $d B e f $.  $d E e i j $.  $d G e f i j $.  $d G x $.  $d I e f i j $.
    $d I e i x $.  $d N e f i j $.  $d N x $.  $d V e f i j $.  $d V x $.
    ushgredgedg.e $e |- E = ( Edg ` G ) $.
    ushgredgedg.i $e |- I = ( iEdg ` G ) $.
    ushgredgedg.v $e |- V = ( Vtx ` G ) $.
    ushgredgedg.a $e |- A = { i e. dom I | N e. ( I ` i ) } $.
    ushgredgedg.b $e |- B = { e e. E | N e. e } $.
    ushgredgedg.f $e |- F = ( x e. A |-> ( I ` x ) ) $.
    $( In a simple hypergraph there is a 1-1 onto mapping between the indexed
       edges containing a fixed vertex and the set of edges containing this
       vertex.  (Contributed by AV, 11-Dec-2020.) $)
    ushgredgedg $p |- ( ( G e. USHGraph /\ N e. V )
                        -> F : A -1-1-onto-> B ) $=
      ( vj wcel wceq vf cushgr wa wf1o cfv cdm crab cima cres cvtx cpw csn cdif
      cv wf1 wss eqid ushgrf adantr ssrab2 f1ores sylancl cmpt eqidd mpteq12dva
      c0 a1i syl5eq wf f1f syl feqresmpt eqcomd eqtrd wrex cab wfun ciedg cuhgr
      ushgruhgr uhgrfun funeqi sylibr dfimafn fveq2 eleq2d elrab w3a crn fvelrn
      wi simpl eqcomi rneqi eleq2i syl2an 3adant3 wb eleq1 eqcoms 3ad2ant3 cedg
      mpbird edgval 3ad2ant1 eleq2 biimpcd adantl 3imp jca 3exp syl5bi rexlimdv
      wfn funfnd fvelrnb dmeqi biimpi fveq1i eqeq2i adantld imp eqeq1i reximdv2
      ex com23 sylbid impd impbid vex eqeq2 rexbidv elab elrab2 eqrdv f1oeq123d
      3bitr4g ) HUBSZJKSZUCZBCGUDJEUNZIUEZSZEIUFZUGZIUUEUHZIUUEUIZUDZYTUUDHUJUE
      ZUKVFULUMZIUOZUUEUUDUPZUUHYRUUKYSIHUUIUUIUQMURZUSUUCEUUDUTZUUDUUJUUEIVAVB
      YTBUUECUUFGUUGYTGAUUEAUNZIUEZVCZUUGYTGABUUPVCUUQQYTABUUPUUEUUPBUUETYTOVGZ
      YTUUOBSUCUUPVDVEVHYTUUGUUQYRUUGUUQTYSYRAUUDUUJUUEIYRUUKUUDUUJIVIUUMUUDUUJ
      IVJVKUULYRUUNVGVLUSVMVNUURYTUUFCYTUUFRUNZIUEZDUNZTZRUUEVOZDVPZCYTIVQZUULU
      UFUVDTYRUVEYSYRHVRUEZVQZUVEYRHVSSUVGHVTUVFHUVFUQWAVKZIUVFMWBWCUSZUUNRDUUE
      IWDVBYTUAUVDCYTUUTUAUNZTZRUUEVOZUVJFSZJUVJSZUCZUVJUVDSUVJCSYTUVLUVOYTUVKU
      VORUUEUUSUUESZUUSUUDSZJUUTSZUCZYTUVKUVOWKUUCUVREUUSUUDUUAUUSTUUBUUTJUUAUU
      SIWEWFWGZYTUVSUVKUVOYTUVSUVKWHZUVMUVNUWAUVMUVJUVFWIZSZUWAUWCUUTUWBSZYTUVS
      UWDUVKYTUVEUVQUWDUVSUVIUVQUVRWLUVEUVQUCUUTIWIZSUWDUUSIWJUWBUWEUUTUVFIIUVF
      MWMZWNWOWCWPWQUVKYTUWCUWDWRZUVSUWGUVJUUTUVJUUTUWBWSWTXAXCYTUVSUVMUWCWRZUV
      KYRUWHYSYRFUWBUVJYRFHXBUEZUWBLUWIUWBTYRHXDVGVHWFZUSXEXCYTUVSUVKUVNUVSUVKU
      VNWKZWKYTUVRUWKUVQUVKUVRUVNUUTUVJJXFXGXHVGXIXJXKXLXMYRUVOUVLWKYSYRUVMUVNU
      VLYRUVMUWCUVNUVLWKZUWJYRUWCUUSUVFUEZUVJTZRUVFUFZVOZUWLYRUVFUWOXNUWCUWPWRY
      RUVFUVHXORUWOUVJUVFXPVKYRUVNUWPUVLYRUVNUWPUVLWKYRUVNUCZUWNUVKRUWOUUEUWQUU
      SUWOSZUWNUCZUVPUVKUCUWQUWSUCZUVPUVKUWTUVSUVPUWTUVQUVRUWSUVQUWQUWRUVQUWNUW
      RUVQUWOUUDUUSUVFIUWFXQWOXRUSXHUWQUWSUVRUWQUWNUVRUWRUVNUWNUVRWKYRUWNUVNUVR
      UWNUVJUUTJUVJUUTTZUVJUWMUVJUWMTUXAUWMUUTUVJUUSUVFIUWFXSZXTXRWTWFXGXHYAYBX
      JUVTWCUWSUVKUWQUWNUVKUWRUWNUVKUWMUUTUVJUXBYCXRXHXHXJYEYDYEYFYGYGYHUSYIUVC
      UVLDUVJUAYJUVAUVJTUVBUVKRUUEUVAUVJUUTYKYLYMJUVASUVNDUVJFCUVAUVJJXFPYNYQYO
      VNVMYPXC $.

    $( In a simple graph there is a 1-1 onto mapping between the indexed edges
       containing a fixed vertex and the set of edges containing this vertex.
       (Contributed by AV, 18-Oct-2020.)  (Proof shortened by AV,
       11-Dec-2020.) $)
    usgredgedg $p |- ( ( G e. USGraph /\ N e. V )
                        -> F : A -1-1-onto-> B ) $=
      ( cusgr wcel cushgr wf1o cuspgr usgruspgr uspgrushgr ushgredgedg sylan
      syl ) HRSZHTSZJKSBCGUAUHHUBSUIHUCHUDUGABCDEFGHIJKLMNOPQUEUF $.
  $}

  ${
    $d B e f $.  $d E e i j $.  $d G e f i j $.  $d G x $.  $d I e f i j $.
    $d I e i x $.  $d N e f i j $.  $d N x $.  $d V e f i j $.  $d V x $.
    ushgredgedgloop.e $e |- E = ( Edg ` G ) $.
    ushgredgedgloop.i $e |- I = ( iEdg ` G ) $.
    ushgredgedgloop.a $e |- A = { i e. dom I | ( I ` i ) = { N } } $.
    ushgredgedgloop.b $e |- B = { e e. E | e = { N } } $.
    ushgredgedgloop.f $e |- F = ( x e. A |-> ( I ` x ) ) $.
    $( In a simple hypergraph there is a 1-1 onto mapping between the indexed
       edges being loops at a fixed vertex ` N ` and the set of loops at this
       vertex ` N ` .  (Contributed by AV, 11-Dec-2020.)  (Revised by AV,
       6-Jul-2022.) $)
    ushgredgedgloop $p |- ( ( G e. USHGraph /\ N e. V )
                            -> F : A -1-1-onto-> B ) $=
      ( vj wcel wa wceq vf cushgr wf1o cfv csn cdm crab cima cres cvtx cpw cdif
      cv wf1 wss eqid ushgrf adantr ssrab2 f1ores sylancl cmpt eqidd mpteq12dva
      c0 a1i syl5eq wf f1f syl feqresmpt eqtr4d wrex wfun ciedg cuhgr ushgruhgr
      cab uhgrfun funeqi sylibr dfimafn wi fveqeq2 elrab w3a simpl fvelrn rneqi
      crn eqcomi eleqtrrdi syl2an 3adant3 wb eqcoms 3ad2ant3 mpbird cedg edgval
      eleq1 eleq2d 3ad2ant1 biimpcd adantl 3imp jca 3exp syl5bi rexlimdv funfnd
      eqeq1 wfn fvelrnb dmeqi eleq2i biimpi fveq1i eqeq2i eqeq1d adantld eqeq1i
      imp ex reximdv2 com23 sylbid impd impbid vex eqeq2 rexbidv elrab2 3bitr4g
      elab eqrdv eqtr2d f1oeq123d ) HUBRZJKRZSZBCGUCEUMZIUDJUEZTZEIUFZUGZIUUFUH
      ZIUUFUIZUCZUUAUUEHUJUDZUKVEUEULZIUNZUUFUUEUOZUUIYSUULYTIHUUJUUJUPMUQZURUU
      DEUUEUSZUUEUUKUUFIUTVAUUABUUFCUUGGUUHUUAGAUUFAUMZIUDZVBZUUHUUAGABUUQVBUUR
      PUUAABUUQUUFUUQBUUFTUUANVFZUUAUUPBRSUUQVCVDVGYSUUHUURTYTYSAUUEUUKUUFIYSUU
      LUUEUUKIVHUUNUUEUUKIVIVJUUMYSUUOVFVKURVLUUSUUAUUGQUMZIUDZDUMZTZQUUFVMZDVR
      ZCUUAIVNZUUMUUGUVETYSUVFYTYSHVOUDZVNZUVFYSHVPRUVHHVQUVGHUVGUPVSVJZIUVGMVT
      WAURZUUOQDUUFIWBVAUUAUAUVECUUAUVAUAUMZTZQUUFVMZUVKFRZUVKUUCTZSZUVKUVERUVK
      CRUUAUVMUVPUUAUVLUVPQUUFUUTUUFRZUUTUUERZUVAUUCTZSZUUAUVLUVPWCUUDUVSEUUTUU
      EUUBUUTUUCIWDWEZUUAUVTUVLUVPUUAUVTUVLWFZUVNUVOUWBUVNUVKUVGWJZRZUWBUWDUVAU
      WCRZUUAUVTUWEUVLUUAUVFUVRUWEUVTUVJUVRUVSWGUVFUVRSUVAIWJUWCUUTIWHUVGIIUVGM
      WKZWIWLWMWNUVLUUAUWDUWEWOZUVTUWGUVKUVAUVKUVAUWCXAWPWQWRUUAUVTUVNUWDWOZUVL
      YSUWHYTYSFUWCUVKYSFHWSUDZUWCLUWIUWCTYSHWTVFVGXBZURXCWRUUAUVTUVLUVOUVTUVLU
      VOWCZWCUUAUVSUWKUVRUVLUVSUVOUVAUVKUUCXLXDXEVFXFXGXHXIXJYSUVPUVMWCYTYSUVNU
      VOUVMYSUVNUWDUVOUVMWCZUWJYSUWDUUTUVGUDZUVKTZQUVGUFZVMZUWLYSUVGUWOXMUWDUWP
      WOYSUVGUVIXKQUWOUVKUVGXNVJYSUVOUWPUVMYSUVOUWPUVMWCYSUVOSZUWNUVLQUWOUUFUWQ
      UUTUWORZUWNSZUVQUVLSUWQUWSSZUVQUVLUWTUVTUVQUWTUVRUVSUWSUVRUWQUWRUVRUWNUWR
      UVRUWOUUEUUTUVGIUWFXOXPXQURXEUWQUWSUVSUWQUWNUVSUWRUVOUWNUVSWCYSUWNUVOUVSU
      WNUVKUVAUUCUVKUVATZUVKUWMUVKUWMTUXAUWMUVAUVKUUTUVGIUWFXRZXSXQWPXTXDXEYAYC
      XGUWAWAUWSUVLUWQUWNUVLUWRUWNUVLUWMUVAUVKUXBYBXQXEXEXGYDYEYDYFYGYGYHURYIUV
      DUVMDUVKUAYJUVBUVKTUVCUVLQUUFUVBUVKUVAYKYLYOUVBUUCTUVODUVKFCUVBUVKUUCXLOY
      MYNYPYQYRWR $.
  $}

  ${
    $d E e f x $.  $d G f x y $.  $d N e f x y $.  $d V f x y $.
    usgredgleord.v $e |- V = ( Vtx ` G ) $.
    usgredgleord.e $e |- E = ( Edg ` G ) $.
    $( In a simple pseudograph the number of edges which contain a given vertex
       is not greater than the number of vertices.  (Contributed by Alexander
       van der Vekens, 4-Jan-2018.)  (Revised by AV, 6-Dec-2020.) $)
    uspgredgleord $p |- ( ( G e. USPGraph /\ N e. V )
                   -> ( # ` { e e. E | N e. e } ) <_ ( # ` V ) ) $=
      ( vx vy cuspgr wcel wa cv crab cdom wbr chash cfv cvv eqid wceq crio cmpt
      cle cpr wf1 cvtx fvexi uspgredg2v f1domg mpsyl hashdomi syl ) CJKDEKLZDAM
      KABNZEOPZUOQREQRUDPESKUNUOEHUOHMDIMUEUAIEUBUCZUFUPECUGFUHHIUOABUQCDEFGUOT
      UQTUIUOESUQUJUKUOEULUM $.

    $( In a simple graph the number of edges which contain a given vertex is
       not greater than the number of vertices.  (Contributed by Alexander van
       der Vekens, 4-Jan-2018.)  (Revised by AV, 18-Oct-2020.)  (Proof
       shortened by AV, 6-Dec-2020.) $)
    usgredgleord $p |- ( ( G e. USGraph /\ N e. V )
                   -> ( # ` { e e. E | N e. e } ) <_ ( # ` V ) ) $=
      ( cusgr wcel cuspgr crab chash cfv cle wbr usgruspgr uspgredgleord sylan
      cv ) CHICJIDEIDASIABKLMELMNOCPABCDEFGQR $.

    $( Alternate proof for ~ usgredgleord based on ~ usgriedgleord .  In a
       simple graph the number of edges which contain a given vertex is not
       greater than the number of vertices.  (Contributed by Alexander van der
       Vekens, 4-Jan-2018.)  (Revised by AV, 18-Oct-2020.)  (Proof shortened by
       AV, 5-May-2021.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    usgredgleordALT $p |- ( ( G e. USGraph /\ N e. V )
                   -> ( # ` { e e. E | N e. e } ) <_ ( # ` V ) ) $=
      ( vx vy vf cusgr wcel wa cv ciedg cfv crab chash cvv eqid cmpt fvex rabex
      cdm cle dmex eleq2w cbvrabv usgredgedg hasheqf1od usgriedgleord eqbrtrrd
      a1i ) CKLDELMZDHNCOPZPLZHUOUDZQZRPDANLZABQZRPERPUEUNURUTSIURINUOPUAZURSLU
      NUPHUQUOCOUBUFUCUMIURUTJHBVACUODEGUOTZFURTUSDJNLAJBAJDUGUHVATUIUJHUOCDEFV
      BUKUL $.
  $}

  ${
    $d G x $.  $d E x $.  $d I x $.  $d V x $.  $d ph x $.
    usgrstrrepe.v $e |- V = ( Base ` G ) $.
    usgrstrrepe.i $e |- I = ( .ef ` ndx ) $.
    usgrstrrepe.s $e |- ( ph -> G Struct X ) $.
    usgrstrrepe.b $e |- ( ph -> ( Base ` ndx ) e. dom G ) $.
    usgrstrrepe.w $e |- ( ph -> E e. W ) $.
    usgrstrrepe.e $e |- ( ph -> E : dom E -1-1-> { x e. ~P V |
                                                   ( # ` x ) = 2 } ) $.
    $( Replacing (or adding) the edges (between elements of the base set) of an
       extensible structure results in a simple graph.  Instead of requiring
       ` ( ph -> G Struct X ) ` , it would be sufficient to require
       ` ( ph -> Fun ( G \ { (/) } ) ) ` and ` ( ph -> G e. _V ) ` .
       (Contributed by AV, 13-Nov-2021.)  (Proof shortened by AV,
       16-Nov-2021.) $)
    usgrstrrepe $p |- ( ph -> ( G sSet <. I , E >. ) e. USGraph ) $=
      ( csts wcel cfv cdm wf1 mpbird cop co cusgr ciedg cv chash wceq cvtx crab
      c2 cpw wb cbs setsvtx eqtr4di pweqd rabeqdv f1eq3 setsiedg dmeqd f1eq123d
      syl eqidd cvv ovex eqid isusgrs mp1i ) ADECUAZOUBZUCPZVJUDQZRZBUEUFQUJUGZ
      BVJUHQZUKZUIZVLSZAVRCRZVQCSZAVTVSVNBFUKZUIZCSZNAVQWBUGVTWCULAVNBVPWAAVOFA
      VODUMQFACDEGHJKLMUNIUOUPUQVQWBVSCURVBTAVMVSVQVQVLCACDEGHJKLMUSZAVLCWDUTAV
      QVCVATVJVDPVKVRULADVIOVEBVDVLVJVOVOVFVLVFVGVHT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Examples for graphs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d G x $.
    usgr0e.g $e |- ( ph -> G e. W ) $.
    usgr0e.e $e |- ( ph -> ( iEdg ` G ) = (/) ) $.
    $( The empty graph, with vertices but no edges, is a simple graph.
       (Contributed by Alexander van der Vekens, 10-Aug-2017.)  (Revised by AV,
       16-Oct-2020.)  (Proof shortened by AV, 25-Nov-2020.) $)
    usgr0e $p |- ( ph -> G e. USGraph ) $=
      ( vx cusgr wcel ciedg cfv cdm cv chash c2 wceq cvtx cpw c0 csn eqid cdif
      crab wf1 f10d wb isusgr syl mpbird ) ABGHZBIJZKFLMJNOFBPJZQRSUAUBZUJUCZAU
      LUJEUDABCHUIUMUEDFCUJBUKUKTUJTUFUGUH $.
  $}

  $( The null graph, with no vertices, is a simple graph iff the edge function
     is empty.  (Contributed by Alexander van der Vekens, 30-Sep-2017.)
     (Revised by AV, 16-Oct-2020.) $)
  usgr0vb $p |- ( ( G e. W /\ ( Vtx ` G ) = (/) )
                -> ( G e. USGraph <-> ( iEdg ` G ) = (/) ) ) $=
    ( wcel cvtx cfv c0 wa cusgr ciedg cuhgr usgruhgr uhgr0vb syl5ib simpl simpr
    wceq wi usgr0e ex adantr impbid ) ABCZADEFPZGZAHCZAIEFPZUEAJCUDUFAKABLMUBUF
    UEQUCUBUFUEUBUFGABUBUFNUBUFORSTUA $.

  ${
    uhgr0v0e.v $e |- V = ( Vtx ` G ) $.
    uhgr0v0e.e $e |- E = ( Edg ` G ) $.
    $( The null graph, with no vertices, has no edges.  (Contributed by AV,
       21-Oct-2020.) $)
    uhgr0v0e $p |- ( ( G e. UHGraph /\ V = (/) ) -> E = (/) ) $=
      ( cuhgr wcel c0 wceq wa ciedg cfv cvtx wi eqeq1i uhgr0vb biimpd ex syl5bi
      pm2.43a imp wb cedg uhgriedg0edg0 syl5bb adantr mpbird ) BFGZCHIZJAHIZBKL
      HIZUHUIUKUIUHUKUIBMLZHIZUHUHUKNZCULHDOUHUMUNUHUMJUHUKBFPQRSTUAUHUJUKUBUIU
      JBUCLZHIUHUKAUOHEOBUDUEUFUG $.

    $( The size of a hypergraph with no vertices (the null graph) is 0.
       (Contributed by Alexander van der Vekens, 5-Jan-2018.)  (Revised by AV,
       7-Nov-2020.) $)
    uhgr0vsize0 $p |- ( ( G e. UHGraph /\ ( # ` V ) = 0 ) -> ( # ` E ) = 0 ) $=
      ( cuhgr wcel chash cfv cc0 wceq c0 uhgr0v0e ex cvv wb fvexi hasheq0 ax-mp
      cvtx cedg 3imtr4g imp ) BFGZCHIJKZAHIJKZUDCLKZALKZUEUFUDUGUHABCDEMNCOGUEU
      GPCBTDQCORSAOGUFUHPABUAEQAORSUBUC $.
  $}

  $( A graph of order 0 (i.e. with 0 vertices) has a finite set of edges.
     (Contributed by Alexander van der Vekens, 5-Jan-2018.)  (Revised by AV,
     10-Jan-2020.)  (Revised by AV, 8-Jun-2021.) $)
  uhgr0edgfi $p |- ( ( G e. UHGraph /\ ( # ` ( Vtx ` G ) ) = 0 )
                     -> ( Edg ` G ) e. Fin ) $=
    ( cuhgr wcel cvtx cfv chash cc0 wceq wa cedg cfn eqid uhgr0vsize0 c0 cvv wb
    fvex hasheq0 ax-mp 0fin eleq1 mpbiri sylbi syl ) ABCADEZFEGHIAJEZFEGHZUFKCZ
    UFAUEUELUFLMUGUFNHZUHUFOCUGUIPAJQUFORSUIUHNKCTUFNKUAUBUCUD $.

  $( The null graph, with no vertices, is a simple graph.  (Contributed by AV,
     1-Nov-2020.) $)
  usgr0v $p |- ( ( G e. W /\ ( Vtx ` G ) = (/) /\ ( iEdg ` G ) = (/) )
                 -> G e. USGraph ) $=
    ( wcel cvtx cfv c0 wceq cusgr ciedg usgr0vb biimp3ar ) ABCADEFGAHCAIEFGABJK
    $.

  $( The null graph, with no vertices, represented by a hypergraph, is a simple
     graph.  (Contributed by AV, 5-Dec-2020.) $)
  uhgr0vusgr $p |- ( ( G e. UHGraph /\ ( Vtx ` G ) = (/) ) -> G e. USGraph ) $=
    ( cuhgr wcel cvtx cfv c0 wceq wa simpl cedg ciedg uhgr0v0e wb uhgriedg0edg0
    eqid adantr mpbid usgr0e ) ABCZADEZFGZHZABSUAIUBAJEZFGZAKEFGZUCATTOUCOLSUDU
    EMUAANPQR $.

  $( The null graph represented by an empty set is a simple graph.
     (Contributed by AV, 16-Oct-2020.) $)
  usgr0 $p |- (/) e. USGraph $=
    ( vx c0 cusgr wcel cdm cv chash cfv c2 wceq cpw csn cdif wf1 wb ax-mp mpbir
    crab cvv eqcomi f10 dm0 f1eq2 0ex cvtx vtxval0 ciedg iedgval0 isusgr ) BCDZ
    BEZAFGHIJABKBLMRZBNZUMBULBNZULUAUKBJUMUNOUBUKBULBUCPQBSDUJUMOUDASBBBBUEHBUF
    TBUGHBUHTUIPQ $.

  ${
    $d B x $.  $d C x $.  $d G x $.
    uspgr1e.v $e |- V = ( Vtx ` G ) $.
    uspgr1e.a $e |- ( ph -> A e. X ) $.
    uspgr1e.b $e |- ( ph -> B e. V ) $.
    uspgr1e.c $e |- ( ph -> C e. V ) $.
    uspgr1e.e $e |- ( ph -> ( iEdg ` G ) = { <. A , { B , C } >. } ) $.
    $( A simple pseudograph with one edge.  (Contributed by Alexander van der
       Vekens, 10-Aug-2017.)  (Revised by AV, 16-Oct-2020.)  (Revised by AV,
       21-Mar-2021.)  (Proof shortened by AV, 17-Apr-2021.) $)
    uspgr1e $p |- ( ph -> G e. USPGraph ) $=
      ( vx wcel cfv csn wf1 wss cvv mpbird cuspgr ciedg cdm cv chash c2 cle wbr
      cvtx cpw c0 cdif crab cpr cop prex snid f1sng sylancl prssd sseqtrdi elpw
      sylibr upgr1elem f1ss syl2anc wceq wb a1i f1dm f1eq2 dmeqd eqidd f1eq123d
      3syl 1vgrex eqid isuspgr ) AEUANZEUBOZUCZMUDUEOUFUGUHZMEUIOZUJZUKPZULUMZV
      TQZAWGBCDUNZUOPZUCZWFWIQZAWKBPZWFWIQZAWLWHPZWIQZWNWFRWMABGNWHWNNWOIWHCDUP
      ZUQBWHGWNURUSZAMCDWDFAWHWCRWHWDNAWHFWCACDFJKUTHVAWHWCWPVBVCJVDWLWNWFWIVEV
      FAWLWBMSWEULUMZWIQZWJWLVGWKWMVHAWOWNWRRWSWQAMCDSFWHSNAWPVIJVDWLWNWRWIVEVF
      WLWRWIVJWJWLWFWIVKVOTAWAWJWFWFVTWILAVTWILVLAWFVMVNTACFNESNVSWGVHJECFHVPMS
      VTEWCWCVQVTVQVRVOT $.

    usgr1e.e $e |- ( ph -> B =/= C ) $.
    $( A simple graph with one edge (with additional assumption that
       ` B =/= C ` since otherwise the edge is a loop!).  (Contributed by
       Alexander van der Vekens, 10-Aug-2017.)  (Revised by AV,
       18-Oct-2020.) $)
    usgr1e $p |- ( ph -> G e. USGraph ) $=
      ( vx wcel chash cfv c2 wceq wral cuspgr cv cedg cusgr uspgr1e cpr csn wne
      wb hashprg syl2anc mpbid prex fveqeq2 ralsn sylibr ciedg crn edgval rneqd
      cop a1i rnsnopg syl 3eqtrd raleqdv mpbird usgruspgrb sylanbrc ) AEUAONUBZ
      PQRSZNEUCQZTZEUDOABCDEFGHIJKLUEAVMVKNCDUFZUGZTZAVNPQRSZVPACDUHZVQMACFODFO
      VRVQUIJKCDFFUJUKULVKVQNVNCDUMVJVNRPUNUOUPAVKNVLVOAVLEUQQZURZBVNVAUGZURZVO
      VLVTSAEUSVBAVSWALUTABGOWBVOSIBVNGVCVDVEVFVGNEVHVI $.
  $}

  $( The empty graph, with vertices but no edges, is a simple graph.
     (Contributed by Alexander van der Vekens, 10-Aug-2017.)  (Revised by AV,
     16-Oct-2020.) $)
  usgr0eop $p |- ( V e. W -> <. V , (/) >. e. USGraph ) $=
    ( wcel c0 cop cvv opex a1i ciedg cfv wceq 0ex opiedgfv mpan2 usgr0e ) ABCZA
    DEZFQFCPADGHPDFCQIJDKLDABFMNO $.

  $( A simple pseudograph with (at least) two vertices and one edge.
     (Contributed by Alexander van der Vekens, 10-Aug-2017.)  (Revised by AV,
     16-Oct-2020.) $)
  uspgr1eop $p |- ( ( ( V e. W /\ A e. X ) /\ ( B e. V /\ C e. V ) )
                    -> <. V , { <. A , { B , C } >. } >. e. USPGraph ) $=
    ( wcel wa cpr cop csn cvtx cfv eqid simplr simprl cvv wceq syl2an eleqtrrd
    simpl snex a1i opvtxfv simprr ciedg opiedgfv uspgr1e ) DEGZAFGZHZBDGZCDGZHZ
    HZABCDABCIJZKZJZURLMZFUSNUIUJUNOUOBDUSUKULUMPUKUIUQQGZUSDRUNUIUJUAZUTUNUPUB
    UCZUQDEQUDSZTUOCDUSUKULUMUEVCTUKUIUTURUFMUQRUNVAVBUQDEQUGSUH $.

  $( A simple pseudograph with (at least) two vertices and one edge represented
     by a singleton word.  (Contributed by AV, 9-Jan-2021.) $)
  uspgr1ewop $p |- ( ( V e. W /\ A e. V /\ B e. V )
                     -> <. V , <" { A , B } "> >. e. USPGraph ) $=
    ( wcel w3a cpr cs1 cop cc0 csn cuspgr cvv wceq prex s1val mp1i opeq2d simp1
    wa c0ex a1i 3simpc uspgr1eop syl21anc eqeltrd ) CDEZACEZBCEZFZCABGZHZICJUKI
    KZIZLUJULUMCUKMEULUMNUJABOUKMPQRUJUGJMEZUHUITUNLEUGUHUISUOUJUAUBUGUHUIUCJAB
    CDMUDUEUF $.

  $( A simple pseudograph with (at least) one vertex and one edge (a loop).
     (Contributed by AV, 5-Dec-2020.) $)
  uspgr1v1eop $p |- ( ( V e. W /\ A e. X /\ B e. V )
                      -> <. V , { <. A , { B } >. } >. e. USPGraph ) $=
    ( w3a csn cop cpr cuspgr dfsn2 opeq2i sneqi wa 3simpa id 3ad2ant3 uspgr1eop
    wcel ancri syl2anc eqeltrid ) CDSZAESZBCSZFZCABGZHZGZHCABBIZHZGZHZJUIULCUHU
    KUGUJABKLMLUFUCUDNUEUENZUMJSUCUDUEOUEUCUNUDUEUEUEPTQABBCDERUAUB $.

  $( A simple graph with (at least) two different vertices and one edge.  If
     the two vertices were not different, the edge would be a loop.
     (Contributed by Alexander van der Vekens, 10-Aug-2017.)  (Revised by AV,
     18-Oct-2020.) $)
  usgr1eop $p |- ( ( ( V e. W /\ A e. X ) /\ ( B e. V /\ C e. V ) )
            -> ( B =/= C -> <. V , { <. A , { B , C } >. } >. e. USGraph ) ) $=
    ( wcel wa wne cpr cop csn cusgr cfv cvv wceq adantr a1i syl2an eleqtrrd ex
    cvtx eqid simpllr simplrl simpl opvtxfv simprr ciedg opiedgfv simpr usgr1e
    snex ) DEGZAFGZHZBDGZCDGZHZHZBCIZDABCJKZLZKZMGUTVAHZABCVDVDUBNZFVFUCUNUOUSV
    AUDVEBDVFUPUQURVAUEUTUNVCOGZVFDPZVAUPUNUSUNUOUFZQZVGVAVBUMZRZVCDEOUGZSTUTCV
    FGVAUTCDVFUPUQURUHUPUNVGVHUSVIVGUSVKRVMSTQUTUNVGVDUINVCPVAVJVLVCDEOUJSUTVAU
    KULUA $.

  $( A simple pseudograph with two vertices and one edge represented by a
     singleton word.  (Contributed by AV, 9-Jan-2021.) $)
  uspgr2v1e2w $p |- ( ( A e. X /\ B e. Y )
                      -> <. { A , B } , <" { A , B } "> >. e. USPGraph ) $=
    ( cpr cvv wcel cs1 cop cuspgr prex prid1g prid2g uspgr1ewop mp3an3an ) ABEZ
    FGACGAPGBDGBPGPPHIJGABKABCLABDMABPFNO $.

  $( A simple graph with two vertices and one edge represented by a singleton
     word.  (Contributed by AV, 9-Jan-2021.) $)
  usgr2v1e2w $p |- ( ( A e. X /\ B e. Y /\ A =/= B )
                     -> <. { A , B } , <" { A , B } "> >. e. USGraph ) $=
    ( wcel wne w3a cpr cs1 cop cc0 csn cusgr cvv wceq prex s1val mp1i opeq2d wa
    prid1g prid2g anim12i c0ex pm3.2i jctil usgr1eop imp stoic3 eqeltrd ) ACEZB
    DEZABFZGZABHZUOIZJUOKUOJLZJZMUNUPUQUOUONEZUPUQOUNABPZUONQRSUKULUSKNEZTZAUOE
    ZBUOEZTZTZUMURMEZUKULTVEVBUKVCULVDABCUAABDUBUCUSVAUTUDUEUFVFUMVGKABUONNUGUH
    UIUJ $.

  $( A class without edges is a simple graph.  Since ` ran F = (/) ` does not
     generally imply ` Fun F ` , but ` Fun ( iEdg `` G ) ` is required for
     ` G ` to be a simple graph, however, this must be provided as assertion.
     (Contributed by AV, 18-Oct-2020.) $)
  edg0usgr $p |- ( ( G e. W /\ ( Edg ` G ) = (/) /\ Fun ( iEdg ` G ) )
                   -> G e. USGraph ) $=
    ( wcel cedg cfv c0 wceq ciedg wfun cusgr crn wi edgval a1i eqeq1d wb funrel
    wrel relrn0 bicomd syl wa simpr simpl usgr0e ex syl6bi com13 sylbid 3imp )
    ABCZADEZFGZAHEZIZAJCZUKUMUNKZFGZUOUPLUKULUQFULUQGUKAMNOUOURUKUPUOURUNFGZUKU
    PLUOUNRZURUSPUNQUTUSURUNSTUAUSUKUPUSUKUBABUSUKUCUSUKUDUEUFUGUHUIUJ $.

  ${
    $d G v x $.  $d V v x $.
    lfuhgr1v0e.v $e |- V = ( Vtx ` G ) $.
    lfuhgr1v0e.i $e |- I = ( iEdg ` G ) $.
    lfuhgr1v0e.e $e |- E = { x e. ~P V | 2 <_ ( # ` x ) } $.
    $( A loop-free hypergraph with one vertex has no edges.  (Contributed by
       AV, 18-Oct-2020.)  (Revised by AV, 2-Apr-2021.) $)
    lfuhgr1v0e $p |- ( ( G e. UHGraph /\ ( # ` V ) = 1 /\ I : dom I --> E )
                       -> ( Edg ` G ) = (/) ) $=
      ( vv chash cfv c1 wceq c0 c2 cle wbr cvv wn cc0 cuhgr wcel cdm cedg ciedg
      wf w3a wa a1i dmeqi cv cpw crab csn wex wi cvtx fvexi hash1snb ax-mp pweq
      wb rabeqdv wral cpr clt 2pos 0re 2re ltnlei mpbi 1lt2 1re 0ex fveq2 hash0
      snex eqtrdi breq2d notbid hashsng ralpr mpbir2an pwsn raleqi mpbir rabeq0
      elv a1d exlimiv sylbi impcom syl5eq feq123d biimp3a simplbi uhgriedg0edg0
      f00 syl 3ad2ant1 mpbird ) CUAUBZEJKLMZDUCZBDUFZUGZCUDKNMZCUEKZNMZXFXHUCZN
      XHUFZXIXBXCXEXKXBXCUHZXDXJBNDXHDXHMXLGUIXDXJMXLDXHGUJUIXLBOAUKZJKZPQZAEUL
      ZUMZNHXCXBXQNMZXCEIUKZUNZMZIUOZXBXRUPZERUBXCYBVBECUQFURERIUSUTYAYCIYAXRXB
      YAXQXOAXTULZUMZNYAXOAXPYDEXTVAVCYENMXOSZAYDVDZYGYFANXTVEZVDZYIOTPQZSZOLPQ
      ZSZTOVFQYKVGTOVHVIVJVKLOVFQYMVLLOVMVIVJVKYFYKYMANXTVNXSVQXMNMZXOYJYNXNTOP
      YNXNNJKTXMNJVOVPVRVSVTXMXTMZXOYLYOXNLOPYOXNXTJKZLXMXTJVOYPLMIXSRWAWHVRVSV
      TWBWCYFAYDYHXSWDWEWFXOAYDWGWFVRWIWJWKWLWMWNWOXKXIXJNMXJXHWRWPWSXBXCXGXIVB
      XECWQWTXA $.
  $}

  ${
    $d A x $.  $d G x $.  $d W x $.  $d X x $.
    $( A simple graph with one vertex has no edges.  (Contributed by AV,
       18-Oct-2020.)  (Revised by AV, 21-Mar-2021.)  (Proof shortened by AV,
       2-Apr-2021.) $)
    usgr1vr $p |- ( ( A e. X /\ ( Vtx ` G ) = { A } )
                   -> ( G e. USGraph -> ( iEdg ` G ) = (/) ) ) $=
      ( vx wcel cvtx cfv csn wceq wa cusgr ciedg c0 cedg cuhgr chash cdm adantl
      c1 eqid c2 cv cle wbr cpw crab wf usgruhgr fveq2 hashsng sylan9eqr adantr
      cuspgr usgrislfuspgr simprbi lfuhgr1v0e syl3anc wb uhgriedg0edg0 mpbid ex
      syl ) ACEZBFGZAHZIZJZBKEZBLGZMIZVGVHJZBNGMIZVJVKBOEZVDPGZSIZVIQUADUBPGUCU
      DDVDUEUFZVIUGZVLVHVMVGBUHZRVGVOVHVFVCVNVEPGSVDVEPUIACUJUKULVHVQVGVHBUMEVQ
      DBVIVDVDTZVITZUNUORDVPBVIVDVSVTVPTUPUQVHVLVJURZVGVHVMWAVRBUSVBRUTVA $.

    $( A class with one (or no) vertex is a simple graph if and only if it has
       no edges.  (Contributed by Alexander van der Vekens, 13-Oct-2017.)
       (Revised by AV, 18-Oct-2020.) $)
    usgr1v $p |- ( ( G e. W /\ ( Vtx ` G ) = { A } )
                   -> ( G e. USGraph <-> ( iEdg ` G ) = (/) ) ) $=
      ( cvv wcel cvtx cfv csn wceq wa cusgr ciedg c0 wb usgr1vr adantrl simplrl
      wi ex simpl simpr usgr0e impbid snprc eqtrd usgr0vb syl2an2 sylbi pm2.61i
      wn simprr ) ADEZBCEZBFGZAHZIZJZBKEZBLGMIZNZRZULUQUTULUQJZURUSULUPURUSRUMA
      BDOPVBUSURVBUSJBCULUMUPUSQVBUSUAUBSUCSULUJUOMIZVAAUDVCUQUTUQUMVCUNMIUTUMU
      PTVCUQJUNUOMVCUMUPUKVCUQTUEBCUFUGSUHUI $.

    $( A class with one (or no) vertex is a simple graph if and only if it has
       no edges.  (Contributed by Alexander van der Vekens, 13-Oct-2017.)
       (Revised by AV, 18-Oct-2020.) $)
    usgr1v0edg $p |- ( ( G e. W /\ ( Vtx ` G ) = { A } /\ Fun ( iEdg ` G ) )
                       -> ( G e. USGraph <-> ( Edg ` G ) = (/) ) ) $=
      ( wcel cvtx cfv csn wceq ciedg wfun w3a cusgr c0 crn cedg wb 3adant3 wrel
      usgr1v funrel relrn0 syl 3ad2ant3 edgval eqcomi eqeq1i a1i 3bitrd ) BCDZB
      EFAGHZBIFZJZKZBLDZUKMHZUKNZMHZBOFZMHZUIUJUNUOPULABCSQULUIUOUQPZUJULUKRUTU
      KTUKUAUBUCUQUSPUMUPURMURUPBUDUEUFUGUH $.
  $}

  $( Lemma for ~ usgrexmpledg : all "edges" are different.  (Contributed by
     Alexander van der Vekens, 15-Aug-2017.) $)
  usgrexmpldifpr $p |- ( ( { 0 , 1 } =/= { 1 , 2 } /\ { 0 , 1 } =/= { 2 , 0 }
                /\ { 0 , 1 } =/= { 0 , 3 } ) /\ ( { 1 , 2 } =/= { 2 , 0 }
                /\ { 1 , 2 } =/= { 0 , 3 } /\ { 2 , 0 } =/= { 0 , 3 } ) ) $=
    ( cc0 c1 cpr c2 wne c3 w3a cz wcel wa wo 0z pm3.2i ax-1ne0 orci prneimg mp2
    1z 2z cn necomi 2ne0 1ne2 olci 3nn 1re 1lt3 ltneii 3pm3.2i 2re 2lt3 ) ABCZB
    DCZEZULDACZEZULAFCZEZGUMUOEZUMUQEZUOUQEZGUNUPURAHIZBHIZJZVCDHIZJZJABEZADEZJ
    ZBBEBDEZJZKUNVDVFVBVCLRMZVCVERSMZMVIVKVGVHBANUADAUBUAMOABBDHHHHPQVDVEVBJZJV
    HAAEZJZVJBAEZJZKUPVDVNVLVEVBSLMZMVRVPVJVQUCNMZUDABDAHHHHPQVDVBFTIZJZJVOAFEJ
    ZVQBFEZJZKURVDWBVLVBWALUEMZMWEWCVQWDNBFUFUGUHMZUDABAFHHHTPQUIUSUTVAVFVNJVRD
    DEDAEZJZKUSVFVNVMVSMVRWIVTOBDDAHHHHPQVFWBJWEWHDFEZJZKUTVFWBVMWFMWEWKWGOBDAF
    HHHTPQVNWBJWKWCKVAVNWBVSWFMWKWCWHWJUBDFUJUKUHMODAAFHHHTPQUIM $.

  ${
    $d x y E $.  $d e E $.  $d x y V $.  $d p x y $.  $d e p V $.
    usgrexmplef.v $e |- V = ( 0 ... 4 ) $.
    usgrexmplef.e $e |- E = <" { 0 , 1 } { 1 , 2 } { 2 , 0 } { 0 , 3 } "> $.
    $( Lemma for ~ usgrexmpl .  (Contributed by Alexander van der Vekens,
       15-Aug-2017.) $)
    usgrexmplef $p |- E : dom E -1-1-> { e e. ~P V | ( # ` e ) = 2 } $=
      ( cc0 c1 cpr c2 c3 chash cfv wceq wne wa wcel wi c4 mp2an cz vy vx vp cdm
      cun wf1o wf1 cv cpw crab w3a cs4 usgrexmpldifpr cvv s4f1o mp4an mp2 f1of1
      prex wf wbr wmo wal wfn crn wss id vex elpr cfz cn0 cle 0nn0 4nn0 0re 4re
      wo co 4pos ltleii elfz2nn0 mpbir3an eleqtrri 1nn0 1lt4 prelpwi syl5ibrcom
      1re eleq1 fveq2 prhash2ex eqtrdi jca 2nn0 2re 2lt4 1ne2 cn wb 1nn hashprg
      2nn mpbi jaoi sylbi 2ne0 2z 0z 3nn0 3re 3lt4 3ne0 necomi 3z fveqeq2 elrab
      elun 3imtr4i ssriv sstrdi anim2i df-f anim1i dff12 mp2b ) BUDZFGHZGIHZHZI
      FHZFJHZHZUEZBUFZYFYMBUGZYFAUHZKLIMZACUIZUJZBUGZYGYHNYGYJNYGYKNUKYHYJNYHYK
      NYJYKNUKOZBYGYHYJYKULMZYNUMEYGUNPYHUNPYJUNPYKUNPUUAUUBYNQQFGUSGIUSIFUSFJU
      SYGYHYJYKUNBUOUPUQYFYMBURYFYMBUTZUAUHUBUHBVAUAVBUBVCZOYFYSBUTZUUDOYOYTUUC
      UUEUUDBYFVDZBVEZYMVFZOUUFUUGYSVFZOUUCUUEUUHUUIUUFUUHUUGYMYSUUHVGUCYMYSUCU
      HZYIPZUUJYLPZVQUUJYRPZUUJKLZIMZOZUUJYMPUUJYSPUUKUUPUULUUKUUJYGMZUUJYHMZVQ
      UUPUUJYGYHUCVHZVIUUQUUPUURUUQUUMUUOFCPZGCPZUUQUUMQFFRVJVRZCFUVBPFVKPRVKPZ
      FRVLVAVMVNFRVOVPVSVTFRWAWBDWCZGUVBCGUVBPGVKPUVCGRVLVAWDVNGRWHVPWEVTGRWAWB
      DWCZUUTUVAOUUMUUQYGYRPFGCWFUUJYGYRWIWGSUUQUUNYGKLIUUJYGKWJWKWLWMUURUUMUUO
      UVAICPZUURUUMQUVEIUVBCIUVBPIVKPUVCIRVLVAWNVNIRWOVPWPVTIRWAWBDWCZUVAUVFOUU
      MUURYHYRPGICWFUUJYHYRWIWGSUURUUNYHKLZIUUJYHKWJGINZUVHIMZWQGWRPIWRPUVIUVJW
      SWTXBGIWRWRXASXCWLWMXDXEUULUUJYJMZUUJYKMZVQUUPUUJYJYKUUSVIUVKUUPUVLUVKUUM
      UUOUVFUUTUVKUUMQUVGUVDUVFUUTOUUMUVKYJYRPIFCWFUUJYJYRWIWGSUVKUUNYJKLZIUUJY
      JKWJIFNZUVMIMZXFITPFTPZUVNUVOWSXGXHIFTTXASXCWLWMUVLUUMUUOUUTJCPZUVLUUMQUV
      DJUVBCJUVBPJVKPUVCJRVLVAXIVNJRXJVPXKVTJRWAWBDWCUUTUVQOUUMUVLYKYRPFJCWFUUJ
      YKYRWIWGSUVLUUNYKKLZIUUJYKKWJFJNZUVRIMZJFXLXMUVPJTPUVSUVTWSXHXNFJTTXASXCW
      LWMXDXEXDUUJYIYLXQYQUUOAUUJYRYPUUJIKXOXPXRXSXTYAYFYMBYBYFYSBYBXRYCUAUBYFY
      MBYDUAUBYFYSBYDXRYE $.
  $}

  ${
    usgrexmpl.v $e |- V = ( 0 ... 4 ) $.
    usgrexmpl.e $e |- E = <" { 0 , 1 } { 1 , 2 } { 2 , 0 } { 0 , 3 } "> $.
    usgrexmpl.g $e |- G = <. V , E >. $.
    $( Lemma for ~ usgrexmpl .  (Contributed by AV, 21-Oct-2020.) $)
    usgrexmpllem $p |- ( ( Vtx ` G ) = V /\ ( iEdg ` G ) = E ) $=
      ( cvtx cfv wceq ciedg wa cop cvv wcel cc0 c1 cpr c2 fveq2i eqeq1i cfz cs4
      c4 ovexi c3 cword s4cli elexi eqeltri opvtxfv opiedgfv jca mp2an anbi12i
      mpbir ) BGHZCIZBJHZAIZKCALZGHZCIZUTJHZAIZKZCMNZAMNZVECOUCUADUDAOPQZPRQZRO
      QZOUEQZUBZMEVLMUFVHVIVJVKUGUHUIVFVGKVBVDACMMUJACMMUKULUMUQVBUSVDUPVACBUTG
      FSTURVCABUTJFSTUNUO $.

    $( The vertices ` 0 , 1 , 2 , 3 , 4 ` of the graph ` G = <. V , E >. ` .
       (Contributed by AV, 12-Jan-2020.)  (Revised by AV, 21-Oct-2020.) $)
    usgrexmplvtx $p |- ( Vtx ` G ) = ( { 0 , 1 , 2 } u. { 3 , 4 } ) $=
      ( cvtx cfv wceq ciedg wa cc0 c1 c2 ctp c3 c4 cpr cun usgrexmpllem id cfz
      co fz0to4untppr eqtri eqtrdi adantr ax-mp ) BGHZCIZBJHAIZKUILMNOPQRSZIZAB
      CDEFTUJUMUKUJUICULUJUACLQUBUCULDUDUEUFUGUH $.

    $( The edges ` { 0 , 1 } , { 1 , 2 } , { 2 , 0 } , { 0 , 3 } ` of the graph
       ` G = <. V , E >. ` .  (Contributed by AV, 12-Jan-2020.)  (Revised by
       AV, 21-Oct-2020.) $)
    usgrexmpledg $p |- ( Edg ` G ) = ( { { 0 , 1 } , { 1 , 2 } }
                                       u. { { 2 , 0 } , { 0 , 3 } } ) $=
      ( cfv crn cc0 c1 cpr c2 c3 wceq cvv wcel wa wne prex pm3.2i cedg cun cvtx
      ciedg edgval usgrexmpllem simpri rneqi w3a cs4 usgrexmpldifpr s4f1o imp31
      cdm wf1o wf1 dff1o5 simprbi mp2b 3eqtri ) BUAGBUDGZHAHZIJKZJLKZKLIKZIMKZK
      UBZBUEVAABUCGCNVAANABCDEFUFUGUHVCOPZVDOPZQZVEOPZVFOPZQZQZVCVDRVCVERVCVFRU
      IVDVERVDVFRVEVFRUIQZQZAVCVDVEVFUJNZQAUNZVGAUOZVBVGNZVPVQVNVOVJVMVHVIIJSJL
      STVKVLLISIMSTTUKTETVNVOVQVSVCVDVEVFOAULUMVSVRVGAUPVTVRVGAUQURUSUT $.

    $d E e $.  $d G e $.  $d V e $.
    $( ` G ` is a simple graph of five vertices ` 0 , 1 , 2 , 3 , 4 ` , with
       edges ` { 0 , 1 } , { 1 , 2 } , { 2 , 0 } , { 0 , 3 } ` .  (Contributed
       by Alexander van der Vekens, 15-Aug-2017.)  (Revised by AV,
       21-Oct-2020.) $)
    usgrexmpl $p |- G e. USGraph $=
      ( ve cusgr wcel cdm cv cfv wceq cpw crab wf1 cvv wb eqid ax-mp chash opex
      c2 usgrexmplef cop eqeltri ciedg cvtx isusgrs wa usgrexmpllem simpr dmeqd
      pweq adantr rabeqdv f1eq123d bitrdi mpbir ) BHIZAJZGKUALUCMZGCNZOZAPZGACD
      EUDBQIZUTVERBCAUEQFCAUBUFVFUTBUGLZJZVBGBUHLZNZOZVGPZVEGQVGBVIVISVGSUIVICM
      ZVGAMZUJZVLVERABCDEFUKVOVHVAVKVDVGAVMVNULZVOVGAVPUMVOVBGVJVCVMVJVCMVNVICU
      NUOUPUQTURTUS $.
  $}

  ${
    $d e v $.
    griedg0prc.u $e |- U = { <. v , e >. | e : (/) --> (/) } $.
    $( The class of empty graphs (represented as ordered pairs) is a proper
       class.  (Contributed by AV, 27-Dec-2020.) $)
    griedg0prc $p |- U e/ _V $=
      ( cvv wnel c0 cv wf copab wex feq1 f0 ceqsexv2d opabn1stprc ax-mp wceq wb
      0ex neleq1 mpbir ) BEFZGGCHZIZACJZEFZUDCKUFUDGGGICGSGGUCGLGMNUDACOPBUEQUB
      UFRDBUEETPUA $.

    $d e g v $.  $d U g $.
    $( The class of all simple graphs is a superclass of the class of empty
       graphs represented as ordered pairs.  (Contributed by AV,
       27-Dec-2020.) $)
    griedg0ssusgr $p |- U C_ USGraph $=
      ( vg cusgr cv wcel cop wceq c0 wf wex copab eleq2i elopab bitri cvv vex
      wa opex a1i ciedg cfv opiedgfvi f0bi biimpi syl5eq usgr0e adantl wb eleq1
      adantr mpbird exlimivv sylbi ssriv ) EBFEGZBHZURAGZCGZIZJZKKVALZTZCMAMZUR
      FHZUSURVDACNZHVFBVHURDOVDACURPQVEVGACVEVGVBFHZVDVIVCVDVBRVBRHVDUTVAUAUBVD
      VBUCUDVAKVAUTASCSUEVDVAKJVAKUFUGUHUIUJVCVGVIUKVDURVBFULUMUNUOUPUQ $.
  $}

  ${
    $d e v $.
    $( The class of simple graphs is a proper class (and therefore, because of
       ~ prcssprc , the classes of multigraphs, pseudographs and hypergraphs
       are proper classes, too).  (Contributed by AV, 27-Dec-2020.) $)
    usgrprc $p |- USGraph e/ _V $=
      ( ve vv c0 cv copab cusgr wss wnel eqid griedg0ssusgr griedg0prc prcssprc
      wf cvv mp2an ) CCADMBAEZFGPNHFNHBPAPIZJBPAQKPFLO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subgraphs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c SubGraph $.

  $( Extend class notation with subgraphs. $)
  csubgr $a class SubGraph $.

  ${
    $d s g $.
    $( Define the class of the subgraph relation.  A class ` s ` is a
       _subgraph_ of a class ` g ` (the _supergraph_ of ` s ` ) if its vertices
       are also vertices of ` g ` , and its edges are also edges of ` g ` ,
       connecting vertices of ` s ` only (see section I.1 in [Bollobas] p. 2 or
       section 1.1 in [Diestel] p. 4).  The second condition is ensured by the
       requirement that the edge function of ` s ` is a restriction of the edge
       function of ` g ` having only vertices of ` s ` in its range.  Note that
       the domains of the edge functions of the subgraph and the supergraph
       should be compatible.  (Contributed by AV, 16-Nov-2020.) $)
    df-subgr $a |- SubGraph = { <. s , g >. | ( ( Vtx ` s ) C_ ( Vtx ` g )
                         /\ ( iEdg ` s ) = ( ( iEdg ` g ) |` dom ( iEdg ` s ) )
                         /\ ( Edg ` s ) C_ ~P ( Vtx ` s ) ) } $.

    $( The class of the subgraph relation is a relation.  (Contributed by AV,
       16-Nov-2020.) $)
    relsubgr $p |- Rel SubGraph $=
      ( vs vg cv cvtx cfv wss ciedg cdm cres wceq cedg cpw w3a csubgr relopabiv
      df-subgr ) ACZDEZBCZDEFQGEZSGETHIJQKERLFMABNBAPO $.
  $}

  $( If a class is a subgraph of another class, both classes are sets.
     (Contributed by AV, 16-Nov-2020.) $)
  subgrv $p |- ( S SubGraph G -> ( S e. _V /\ G e. _V ) ) $=
    ( csubgr relsubgr brrelex12i ) ABCDE $.

  ${
    $d G s g $.  $d S s g $.
    issubgr.v $e |- V = ( Vtx ` S ) $.
    issubgr.a $e |- A = ( Vtx ` G ) $.
    issubgr.i $e |- I = ( iEdg ` S ) $.
    issubgr.b $e |- B = ( iEdg ` G ) $.
    issubgr.e $e |- E = ( Edg ` S ) $.
    $( The property of a set to be a subgraph of another set.  (Contributed by
       AV, 16-Nov-2020.) $)
    issubgr $p |- ( ( G e. W /\ S e. U ) -> ( S SubGraph G
                       <-> ( V C_ A /\ I = ( B |` dom I ) /\ E C_ ~P V ) ) ) $=
      ( cvtx cfv wss ciedg wceq fveq2 vs vg wcel wa csubgr wbr cdm cres cpw w3a
      cedg wb cv adantr sseq12d dmeqd reseq12d eqeq12d pweqd 3anbi123d df-subgr
      adantl brabga ancoms sseq12i dmeqi reseq12i eqeq12i 3anbi123i bitr4di
      pweqi ) FIUCZCDUCZUDCFUEUFZCOPZFOPZQZCRPZFRPZVRUGZUHZSZCUKPZVOUIZQZUJZHAQ
      ZGBGUGZUHZSZEHUIZQZUJVMVLVNWFULUAUMZOPZUBUMZOPZQZWMRPZWORPZWRUGZUHZSZWMUK
      PZWNUIZQZUJWFUAUBCFUEDIWMCSZWOFSZUDZWQVQXBWBXEWEXHWNVOWPVPXFWNVOSXGWMCOTZ
      UNXGWPVPSXFWOFOTVBUOXHWRVRXAWAXFWRVRSXGWMCRTZUNXHWSVSWTVTXGWSVSSXFWOFRTVB
      XFWTVTSXGXFWRVRXJUPUNUQURXFXEWEULXGXFXCWCXDWDWMCUKTXFWNVOXIUSUOUNUTUBUAVA
      VCVDWGVQWJWBWLWEHVOAVPJKVEGVRWIWALBVSWHVTMGVRLVFVGVHEWCWKWDNHVOJVKVEVIVJ
      $.

    $( The property of a set to be a subgraph of a set whose edge function is
       actually a function.  (Contributed by AV, 20-Nov-2020.) $)
    issubgr2 $p |- ( ( G e. W /\ Fun B /\ S e. U ) -> ( S SubGraph G
                       <-> ( V C_ A /\ I C_ B /\ E C_ ~P V ) ) ) $=
      ( wcel wfun w3a csubgr wbr wss cdm cres wceq cpw wb issubgr 3adant2 resss
      sseq1 mpbiri wi wa funssres eqcomd ex 3ad2ant2 impbid2 3anbi2d bitrd ) FI
      OZBPZCDOZQZCFRSZHATZGBGUAZUBZUCZEHUDTZQZVEGBTZVIQUTVBVDVJUEVAABCDEFGHIJKL
      MNUFUGVCVHVKVEVIVCVHVKVHVKVGBTBVFUHGVGBUIUJVAUTVKVHUKVBVAVKVHVAVKULVGGBGU
      MUNUOUPUQURUS $.

    $( The properties of a subgraph.  (Contributed by AV, 19-Nov-2020.) $)
    subgrprop $p |- ( S SubGraph G
                      -> ( V C_ A /\ I = ( B |` dom I ) /\ E C_ ~P V ) ) $=
      ( cvv wcel wa csubgr wbr wss cdm cres cpw subgrv wi issubgr biimpd ancoms
      wceq w3a mpcom ) CMNZEMNZOCEPQZGARFBFSTUGDGUARUHZCEUBUKUJULUMUCUKUJOULUMA
      BCMDEFGMHIJKLUDUEUFUI $.

    $( The properties of a subgraph:  If ` S ` is a subgraph of ` G ` , its
       vertices are also vertices of ` G ` , and its edges are also edges of
       ` G ` , connecting vertices of the subgraph only.  (Contributed by AV,
       19-Nov-2020.) $)
    subgrprop2 $p |- ( S SubGraph G -> ( V C_ A /\ I C_ B /\ E C_ ~P V ) ) $=
      ( csubgr wbr wss cdm cres wceq cpw w3a subgrprop resss mpbiri 3anim2i syl
      sseq1 ) CEMNGAOZFBFPZQZRZDGSOZTUGFBOZUKTABCDEFGHIJKLUAUJULUGUKUJULUIBOBUH
      UBFUIBUFUCUDUE $.
  $}

  ${
    $d S e $.  $d V e $.
    uhgrissubgr.v $e |- V = ( Vtx ` S ) $.
    uhgrissubgr.a $e |- A = ( Vtx ` G ) $.
    uhgrissubgr.i $e |- I = ( iEdg ` S ) $.
    uhgrissubgr.b $e |- B = ( iEdg ` G ) $.
    $( The property of a hypergraph to be a subgraph.  (Contributed by AV,
       19-Nov-2020.) $)
    uhgrissubgr $p |- ( ( G e. W /\ Fun B /\ S e. UHGraph )
                        -> ( S SubGraph G <-> ( V C_ A /\ I C_ B ) ) ) $=
      ( ve wcel cuhgr w3a wss wa cfv cpw wceq wfun csubgr wbr subgrprop2 3simpa
      cedg eqid syl cres simprl simp2 simpr funssres syl2an eqcomd cvtx edguhgr
      cdm cv ex pweqi eleq2i syl6ibr ssrdv 3ad2ant3 adantr wb issubgr mpbir3and
      3adant2 impbid2 ) DGMZBUAZCNMZOZCDUBUCZFAPZEBPZQZVPVQVRCUFRZFSZPZOVSABCVT
      DEFHIJKVTUGZUDVQVRWBUEUHVOVSVPVOVSQZVPVQEBEURUIZTZWBVOVQVRUJWDWEEVOVMVRWE
      ETVSVLVMVNUKVQVRULBEUMUNUOVOWBVSVNVLWBVMVNLVTWAVNLUSZVTMZWGCUPRZSZMZWGWAM
      VNWHWKWGCUQUTWAWJWGFWIHVAVBVCVDVEVFVOVPVQWFWBOVGZVSVLVNWLVMABCNVTDEFGHIJK
      WCVHVJVFVIUTVK $.
  $}

  ${
    subgrprop3.v $e |- V = ( Vtx ` S ) $.
    subgrprop3.a $e |- A = ( Vtx ` G ) $.
    subgrprop3.e $e |- E = ( Edg ` S ) $.
    subgrprop3.b $e |- B = ( Edg ` G ) $.
    $( The properties of a subgraph:  If ` S ` is a subgraph of ` G ` , its
       vertices are also vertices of ` G ` , and its edges are also edges of
       ` G ` .  (Contributed by AV, 19-Nov-2020.) $)
    subgrprop3 $p |- ( S SubGraph G -> ( V C_ A /\ E C_ B ) ) $=
      ( wss ciedg cfv wa eqid syl crn cvv wcel cedg wbr cpw w3a subgrprop2 rnss
      csubgr 3simpa simprl ad2antll wb subgrv wceq edgval syl5eq sseq12d adantr
      a1i mpbird jca mpdan ) CEUFUAZFAKZCLMZELMZKZNZVBDBKZNVAVBVEDFUBKZUCVFAVDC
      DEVCFGHVCOVDOIUDVBVEVHUGPVAVFNZVBVGVAVBVEUHVIVGVCQZVDQZKZVEVLVAVBVCVDUEUI
      VAVGVLUJZVFVACRSERSNZVMCEUKVNDVJBVKVNDCTMZVJIVOVJULVNCUMUQUNVNBETMZVKJVPV
      KULVNEUMUQUNUOPUPURUSUT $.
  $}

  $( An empty graph consisting of a subset of vertices of a graph (and having
     no edges) is a subgraph of the graph.  (Contributed by AV, 17-Nov-2020.)
     (Proof shortened by AV, 17-Dec-2020.) $)
  egrsubgr $p |- ( ( ( G e. W /\ S e. U ) /\ ( Vtx ` S ) C_ ( Vtx ` G )
                     /\ ( Fun ( iEdg ` S ) /\ ( Edg ` S ) = (/) ) )
                   -> S SubGraph G ) $=
    ( wcel wa cvtx cfv wss ciedg wfun cedg c0 wceq w3a cdm cres wb eqid adantl
    csubgr wbr cpw simp2 edg0iedg0 res0 eqcomi id eqtrdi reseq2d 3eqtr4a syl6bi
    dmeq dm0 impr 3adant2 0ss sseq1 mpbiri 3ad2ant3 issubgr 3ad2ant1 mpbir3and
    ) CDEABEFZAGHZCGHZIZAJHZKZALHZMNZFZOACUAUBZVGVHCJHZVHPZQZNZVJVEUCZIZVDVGVLU
    DVDVLVQVGVDVIVKVQVDVIFVKVHMNZVQVIVKVTRVDVJAVHVHSZVJSZUETVTMVNMQZVHVPWCMVNUF
    UGVTUHVTVOMVNVTVOMPMVHMUMUNUIUJUKULUOUPVLVDVSVGVKVSVIVKVSMVRIVRUQVJMVRURUST
    UTVDVGVMVGVQVSORVLVFVNABVJCVHVEDVESVFSWAVNSWBVAVBVC $.

  $( The null graph (represented by an empty set) is a subgraph of all graphs.
     (Contributed by AV, 17-Nov-2020.) $)
  0grsubgr $p |- ( G e. W -> (/) SubGraph G ) $=
    ( wcel c0 csubgr wbr cvtx cfv wss cdm cres wceq cpw 0ss cvv eqcomi iedgval0
    ciedg eqid crn w3a dm0 reseq2i res0 eqtr2i 3pm3.2i 0ex vtxval0 edgval rneqi
    wb cedg rn0 3eqtrri issubgr mpan2 mpbiri ) ABCZDAEFZDAGHZIZDARHZDJZKZLZDDMZ
    IZUAZVAVEVGUTNVDVBDKDVCDVBUBUCVBUDUEVFNUFURDOCUSVHUKUGUTVBDODADDBDGHDUHPUTS
    DRHZDQPVBSDULHVITDTDDUIVIDQUJUMUNUOUPUQ $.

  $( The null graph (as hypergraph) is a subgraph of all graphs.  (Contributed
     by AV, 17-Nov-2020.)  (Proof shortened by AV, 28-Nov-2020.) $)
  0uhgrsubgr $p |- ( ( G e. W /\ S e. UHGraph /\ ( Vtx ` S ) = (/) )
                     -> S SubGraph G ) $=
    ( wcel cuhgr cvtx cfv c0 wceq w3a wss ciedg wfun cedg csubgr wbr 3simpa crn
    wa wi 0ss sseq1 mpbiri 3ad2ant3 eqid uhgrfun 3ad2ant2 edgval uhgr0vb eqtrdi
    rneq rn0 syl6bi ex pm2.43a a1i 3imp syl5eq egrsubgr syl112anc ) BCDZAEDZAFG
    ZHIZJZVAVBSVCBFGZKZALGZMZANGZHIABOPVAVBVDQVDVAVGVBVDVGHVFKVFUAVCHVFUBUCUDVB
    VAVIVDVHAVHUEUFUGVEVJVHRZHAUHVAVBVDVKHIZVBVDVLTTVAVDVBVLVBVDVBVLTVBVDSVBVHH
    IZVLAEUIVMVKHRHVHHUKULUJUMUNUOUPUQURAEBCUSUT $.

  $( A hypergraph is a subgraph of itself.  (Contributed by AV, 17-Nov-2020.)
     (Proof shortened by AV, 21-Nov-2020.) $)
  uhgrsubgrself $p |- ( G e. UHGraph -> G SubGraph G ) $=
    ( cuhgr wcel csubgr wbr cvtx cfv wss ciedg wa ssid pm3.2i wfun eqid uhgrfun
    wb id uhgrissubgr mpd3an23 mpbiri ) ABCZAADEZAFGZUCHZAIGZUEHZJZUDUFUCKUEKLU
    AUEMUAUBUGPUEAUENZOUAQUCUEAAUEUCBUCNZUIUHUHRST $.

  $( The edge function of a subgraph of a graph whose edge function is actually
     a function is a function.  (Contributed by AV, 20-Nov-2020.) $)
  subgrfun $p |- ( ( Fun ( iEdg ` G ) /\ S SubGraph G )
                   -> Fun ( iEdg ` S ) ) $=
    ( csubgr wbr ciedg cfv wfun cvtx wss cedg cpw w3a subgrprop2 funss 3ad2ant2
    wi eqid syl impcom ) ABCDZBEFZGZAEFZGZTAHFZBHFZIZUCUAIZAJFZUEKIZLUBUDPZUFUA
    AUIBUCUEUEQUFQUCQUAQUIQMUHUGUKUJUCUANORS $.

  $( The edge function of a subgraph of a hypergraph is a function.
     (Contributed by AV, 16-Nov-2020.)  (Proof shortened by AV,
     20-Nov-2020.) $)
  subgruhgrfun $p |- ( ( G e. UHGraph /\ S SubGraph G )
                       -> Fun ( iEdg ` S ) ) $=
    ( cuhgr wcel ciedg cfv wfun csubgr wbr eqid uhgrfun subgrfun sylan ) BCDBEF
    ZGABHIAEFGNBNJKABLM $.

  $( An element of the domain of the edge function of a subgraph is an element
     of the domain of the edge function of the supergraph.  (Contributed by AV,
     20-Nov-2020.) $)
  subgreldmiedg $p |- ( ( S SubGraph G /\ X e. dom ( iEdg ` S ) )
                        -> X e. dom ( iEdg ` G ) ) $=
    ( csubgr wbr cfv cdm wcel cvtx wss cedg cpw w3a wi eqid subgrprop2 3ad2ant2
    ciedg dmss sseld syl imp ) ABDEZCARFZGZHZCBRFZGZHZUCAIFZBIFZJZUDUGJZAKFZUJL
    JZMZUFUINUKUGAUNBUDUJUJOUKOUDOUGOUNOPUPUEUHCUMULUEUHJUOUDUGSQTUAUB $.

  ${
    subgruhgredgd.v $e |- V = ( Vtx ` S ) $.
    subgruhgredgd.i $e |- I = ( iEdg ` S ) $.
    subgruhgredgd.g $e |- ( ph -> G e. UHGraph ) $.
    subgruhgredgd.s $e |- ( ph -> S SubGraph G ) $.
    subgruhgredgd.x $e |- ( ph -> X e. dom I ) $.
    $( An edge of a subgraph of a hypergraph is a nonempty subset of its
       vertices.  (Contributed by AV, 17-Nov-2020.)  (Revised by AV,
       21-Nov-2020.) $)
    subgruhgredgd $p |- ( ph -> ( I ` X ) e. ( ~P V \ { (/) } ) ) $=
      ( cfv wss ciedg c0 wcel eqid syl cdm adantr cvtx cedg cpw w3a cdif csubgr
      csn wbr subgrprop2 wa wne simpr3 wfun cuhgr subgruhgrfun syl2anc eleqtrdi
      crn dmeqi jca fveq1i fvelrn eqeltrid edgval eleqtrrdi sseldd wceq uhgrfun
      simpr2 funssfv eqcomd syl3anc funfnd subgreldmiedg uhgrn0 eqnetrd eldifsn
      wfn sylanbrc mpdan ) AECUALZMZDCNLZMZBUBLZEUCZMZUDZFDLZWFOUGUEPZABCUFUHZW
      HJWAWCBWECDEGWAQHWCQZWEQUIRAWHUJZWIWFPWIOUKWJWMWEWFWIAWBWDWGULWMWIBNLZURZ
      WEWMWNUMZFWNSZPZUJZWIWOPAWSWHAWPWRACUNPZWKWPIJBCUOUPAFDSZWQKDWNHUSUQZUTTW
      SWIFWNLWOFDWNHVAFWNVBVCRBVDVEVFWMWIFWCLZOWMWCUMZWDFXAPZWIXCVGAXDWHAWTXDIW
      CCWLVHRZTAWBWDWGVIAXEWHKTXDWDXEUDXCWIFWCDVJVKVLWMWTWCWCSZVRZFXGPZXCOUKAWT
      WHITAXHWHAWCXFVMTAXIWHAWKWRXIJXBBCFVNUPTXGWCFCWLVOVLVPWIWFOVQVSVT $.
  $}

  ${
    $d I e $.  $d V e $.  $d X e $.
    subumgredg2.v $e |- V = ( Vtx ` S ) $.
    subumgredg2.i $e |- I = ( iEdg ` S ) $.
    $( An edge of a subgraph of a multigraph connects exactly two different
       vertices.  (Contributed by AV, 26-Nov-2020.) $)
    subumgredg2 $p |- ( ( S SubGraph G /\ G e. UMGraph /\ X e. dom I )
                      -> ( I ` X ) e. { e e. ~P V | ( # ` e ) = 2 } ) $=
      ( wcel cdm w3a cfv chash c2 wceq cpw crab 3ad2ant2 wss eqid csubgr wbr cv
      cumgr c0 cdif fveqeq2 cuhgr umgruhgr simp1 simp3 subgruhgredgd ciedg wfun
      csn uhgrfun syl cvtx cedg subgrprop2 simp2d funssfv eqcomd syl3anc fveq2d
      3ad2ant1 simp2 wi dmeqi eleq2i subgreldmiedg syl5bi 3imp umgredg2 syl2anc
      ex a1d eqtrd elrabd prprrab eleqtrdi ) ACUAUBZCUDIZFDJZIZKZFDLZBUCZMLNOZB
      EPZUEUOUFZQWIBWJQWFWIWGMLZNOBWGWKWHWGNMUGWFACDEFGHWCWBCUHIZWECUIZRWBWCWEU
      JWBWCWEUKZULWFWLFCUMLZLZMLZNWFWGWQMWFWPUNZDWPSZWEWGWQOWCWBWSWEWCWMWSWNWPC
      WPTZUPUQRWBWCWTWEWBAURLZCURLZSWTAUSLZXBPSXCWPAXDCDXBXBTXCTZHXAXDTUTVAVFWO
      WSWTWEKWQWGFWPDVBVCVDVEWFWCFWPJIZWRNOWBWCWEVGWBWCWEXFWBWEXFVHWCWEFAUMLZJZ
      IZWBXFWDXHFDXGHVIVJWBXIXFACFVKVPVLVQVMWPCXCFXEXAVNVOVRVSBEVTWA $.
  $}

  ${
    $d G x $.  $d S x $.
    $( A subgraph of a hypergraph is a hypergraph.  (Contributed by AV,
       16-Nov-2020.)  (Proof shortened by AV, 21-Nov-2020.) $)
    subuhgr $p |- ( ( G e. UHGraph /\ S SubGraph G ) -> S e. UHGraph ) $=
      ( vx cuhgr wcel csubgr wbr cvtx cfv wss ciedg cedg cpw w3a wa eqid adantl
      cvv adantr syl wi subgrprop2 cdm c0 csn cdif wf wfn crn wfun subgruhgrfun
      ancoms funfnd wral simplrr simplrl simpr subgruhgredgd ralrimiva fnfvrnss
      cv syl2anc df-f sylanbrc wb subgrv isuhgr mpbird ex anabsi8 ) BDEZABFGZAD
      EZVLAHIZBHIZJAKIZBKIZJALIZVNMZJNZVLVKOZVMUAVOVQAVRBVPVNVNPZVOPVPPZVQPVRPU
      BVTWAVMVTWAOZVMVPUCZVSUDUEUFZVPUGZWDVPWEUHZVPUIWFJZWGWDVPWAVPUJZVTVKVLWJA
      BUKULQUMZWDWHCVAZVPIWFEZCWEUNWIWKWDWMCWEWDWLWEEZOABVPVNWLWBWCVTVLVKWNUOVT
      VLVKWNUPWDWNUQURUSCWEWFVPUTVBWEWFVPVCVDWAVMWGVEZVTVLWOVKVLAREZBREZOWOABVF
      WPWOWQRVPAVNWBWCVGSTSQVHVITVJ $.

    $d S e x $.
    $( A subgraph of a pseudograph is a pseudograph.  (Contributed by AV,
       16-Nov-2020.)  (Proof shortened by AV, 21-Nov-2020.) $)
    subupgr $p |- ( ( G e. UPGraph /\ S SubGraph G ) -> S e. UPGraph ) $=
      ( ve vx cupgr wcel wbr cvtx cfv wss wa wi eqid chash c2 cle adantl adantr
      syl cvv csubgr ciedg cedg cpw w3a subgrprop2 cdm cv csn cdif crab wfn crn
      c0 wfun cuhgr upgruhgr subgruhgrfun sylan ancoms funfnd wral fveq2 breq1d
      wf wceq anim2i ancomd anim1i simplld simpl subgruhgredgd uhgrfun ad2antll
      simpll2 funssfv syl3anc eqcomd fveq2d subgreldmiedg ex upgrle expcom syld
      imp eqbrtrd elrabd ralrimiva fnfvrnss syl2anc df-f sylanbrc subgrv isupgr
      simpr wb mpbird anabsi8 ) BEFZABUAGZAEFZWTAHIZBHIZJZAUBIZBUBIZJZAUCIZXBUD
      ZJZUEZWTWSKZXALXCXFAXHBXEXBXBMZXCMZXEMZXFMZXHMUFXKXLXAXKXLKZXAXEUGZCUHZNI
      ZOPGZCXIUNUIUJZUKZXEVEZXQXEXRULZXEUMYCJZYDXLYEXKXLXEWSWTXEUOZWSBUPFZWTYGB
      UQZABURUSUTVAQZXQYEDUHZXEIZYCFZDXRVBYFYJXQYMDXRXQYKXRFZKZYAYLNIZOPGCYLYBX
      SYLVFXTYPOPXSYLNVCVDYOABXEXBYKXMXOYOYHWTYNXQYHWTKYNXQWTYHXLWTYHKXKWSYHWTY
      IVGQVHVIVJXQWTYNXLWTXKWTWSVKQRXQYNWOZVLYOYPYKXFIZNIZOPYOYLYRNYOYRYLYOXFUO
      ZXGYNYRYLVFXQYTYNWSYTXKWTWSYHYTYIXFBXPVMSZVNRXDXGXJXLYNVOYQYKXFXEVPVQVRVS
      XQYNYSOPGZXQYNYKXFUGZFZUUBXLYNUUDLZXKWTUUEWSWTYNUUDABYKVTWARQWSUUDUUBLXKW
      TUUDWSUUBUUDWSKWSXFUUCULZUUDUUBUUDWSWOWSUUFUUDWSXFUUAVAQUUDWSVKUUCXFYKBXC
      XNXPWBVQWCVNWDWEWFWGWHDXRYCXEWIWJXRYCXEWKWLXLXAYDWPZXKWTUUGWSWTATFZBTFZKU
      UGABWMUUHUUGUUICTXEAXBXMXOWNRSRQWQWASWR $.

    $( A subgraph of a multigraph is a multigraph.  (Contributed by AV,
       26-Nov-2020.) $)
    subumgr $p |- ( ( G e. UMGraph /\ S SubGraph G ) -> S e. UMGraph ) $=
      ( ve vx cumgr wcel csubgr wbr cvtx cfv wss ciedg cedg cpw w3a wa eqid cvv
      cv syl wi subgrprop2 cdm chash c2 wceq crab wf wfn crn cuhgr subgruhgrfun
      wfun umgruhgr sylan ancoms funfnd adantl wral simplrl simplrr subumgredg2
      syl3anc ralrimiva fnfvrnss syl2anc df-f sylanbrc wb subgrv isumgrs adantr
      simpr ad2antrl mpbird ex anabsi8 ) BEFZABGHZAEFZVSAIJZBIJZKALJZBLJZKAMJZW
      ANZKOZVSVRPZVTUAWBWDAWEBWCWAWAQZWBQWCQZWDQWEQUBWGWHVTWGWHPZVTWCUCZCSUDJUE
      UFCWFUGZWCUHZWKWCWLUIZWCUJWMKZWNWHWOWGWHWCVRVSWCUMZVRBUKFVSWQBUNABULUOUPU
      QURZWKWODSZWCJWMFZDWLUSWPWRWKWTDWLWKWSWLFZPVSVRXAWTWGVSVRXAUTWGVSVRXAVAWK
      XAVMACBWCWAWSWIWJVBVCVDDWLWMWCVEVFWLWMWCVGVHVSVTWNVIZWGVRVSARFZBRFZPXBABV
      JXCXBXDCRWCAWAWIWJVKVLTVNVOVPTVQ $.

    $d G e $.  $d G y $.
    $( A subgraph of a simple graph is a simple graph.  (Contributed by AV,
       16-Nov-2020.)  (Proof shortened by AV, 27-Nov-2020.) $)
    subusgr $p |- ( ( G e. USGraph /\ S SubGraph G ) -> S e. USGraph ) $=
      ( ve vx vy cusgr wcel cvtx cfv wss ciedg cpw wa eqid cv adantl adantr syl
      wfun cvv csubgr wbr cedg w3a wi subgrprop2 cdm chash c2 wceq crab wf ccnv
      wf1 wfn crn cuhgr usgruhgr subgruhgrfun sylan ancoms funfnd cumgr simplrl
      wral usgrumgr simpr subumgredg2 syl3anc ralrimiva fnfvrnss sylanbrc simp2
      syl2anc df-f usgrfs df-f1 ffun anim1i sylbi anim12ci df-3an sylibr f1ssf1
      wb subgrv isusgrs mpbird ex anabsi8 ) BFGZABUAUBZAFGZWLAHIZBHIZJZAKIZBKIZ
      JZAUCIZWNLZJZUDZWLWKMZWMUEWOWRAWTBWQWNWNNZWONZWQNZWRNZWTNUFXCXDWMXCXDMZWM
      WQUGZCOUHIUIUJCXAUKZWQUNZXIXJXKWQULZWQUMSZXLXIWQXJUOZWQUPXKJZXMXDXOXCXDWQ
      WKWLWQSZWKBUQGWLXQBURABUSUTVAVBPZXIXODOZWQIXKGZDXJVEXPXRXIXTDXJXIXSXJGZMW
      LBVCGZYAXTXCWLWKYAVDXIYBYAXDYBXCWKYBWLBVFPPQXIYAVGACBWQWNXSXEXGVHVIVJDXJX
      KWQVKVNXJXKWQVOVLXIWRSZWRUMSZWSUDZXNXIYCYDMZWSMYEXCWSXDYFWPWSXBVMWKYFWLWK
      WRUGZEOUHIUIUJEWOLUKZWRUNZYFEWRBWOXFXHVPYIYGYHWRULZYDMYFYGYHWRVQYJYCYDYGY
      HWRVRVSVTRPWAYCYDWSWBWCWRWQWDRXJXKWQVQVLXDWMXLWEZXCWLYKWKWLATGZBTGZMYKABW
      FYLYKYMCTWQAWNXEXGWGQRQPWHWIRWJ $.
  $}

  ${
    uhgrspan.v $e |- V = ( Vtx ` G ) $.
    uhgrspan.e $e |- E = ( iEdg ` G ) $.
    uhgrspan.s $e |- ( ph -> S e. W ) $.
    uhgrspan.q $e |- ( ph -> ( Vtx ` S ) = V ) $.
    uhgrspan.r $e |- ( ph -> ( iEdg ` S ) = ( E |` A ) ) $.
    ${
      $d S e i $.  $d ph e i $.
      uhgrspan.g $e |- ( ph -> G e. UHGraph ) $.
      $( Lemma for ~ uhgrspansubgr :  The edges of the graph ` S ` obtained by
         removing some edges of a hypergraph ` G ` are subsets of its vertices
         (a spanning subgraph, see comment for ~ uhgrspansubgr .  (Contributed
         by AV, 18-Nov-2020.) $)
      uhgrspansubgrlem $p |- ( ph -> ( Edg ` S ) C_ ~P ( Vtx ` S ) ) $=
        ( ve vi cfv cpw wcel cdm wfun cedg cvtx cv ciedg crn edgval eleq2i wceq
        wrex cres cuhgr uhgrfun funres 3syl funeqd mpbird elrnrexdmb syl adantr
        wb fveq1d cin dmeqd dmres eqtrdi eleq2d elinel1 syl6bi imp fvresd eqtrd
        wa wss elinel2 uhgrss syl2an2r pweqd fvex elpw eqeltrd eleq1 syl5ibrcom
        bitrdi rexlimdva sylbid syl5bi ssrdv ) ANCUAPZCUBPZQZNUCZWHRWKCUDPZUEZR
        ZAWKWJRZWHWMWKCUFUGAWNWKOUCZWLPZUHZOWLSZUIZWOAWLTZWNWTUTAXADBUJZTZAEUKR
        ZDTXCMDEIULBDUMUNAWLXBLUOUPOWLWKUQURAWRWOOWSAWPWSRZVLZWOWRWQWJRXFWQWPDP
        ZWJXFWQWPXBPXGXFWPWLXBAWLXBUHXELUSVAXFWPBDAXEWPBRZAXEWPBDSZVBZRZXHAWSXJ
        WPAWSXBSXJAWLXBLVCDBVDVEVFZWPBXIVGVHVIVJVKXFXGWJRZXGFVMZAXDXEWPXIRZXNMA
        XEXOAXEXKXOXLWPBXIVNVHVIDWPEFHIVOVPXFXMXGFQZRZXNAXMXQUTXEAWJXPXGAWIFKVQ
        VFUSXGFWPDVRVSWCUPVTWKWQWJWAWBWDWEWFWG $.

      $( A spanning subgraph ` S ` of a hypergraph ` G ` is actually a subgraph
         of ` G ` .  A subgraph ` S ` of a graph ` G ` which has the same
         vertices as ` G ` and is obtained by removing some edges of ` G ` is
         called a _spanning subgraph_ (see section I.1 in [Bollobas] p. 2 and
         section 1.1 in [Diestel] p. 4).  Formally, the edges are "removed" by
         restricting the edge function of the original graph by an arbitrary
         class (which actually needs not to be a subset of the domain of the
         edge function).  (Contributed by AV, 18-Nov-2020.)  (Proof shortened
         by AV, 21-Nov-2020.) $)
      uhgrspansubgr $p |- ( ph -> S SubGraph G ) $=
        ( csubgr wbr cfv wss cuhgr wcel eqid cvtx ciedg cedg ssid sseqtrid cres
        cpw resss eqsstrdi uhgrspansubgrlem w3a wb uhgrfun syl issubgr2 syl3anc
        wfun mpbir3and ) ACENOZCUAPZFQZCUBPZDQZCUCPZUTUGQZAUTUTFUTUDKUEAVBDBUFD
        LDBUHUIABCDEFGHIJKLMUJAERSZDUQZCGSUSVAVCVEUKULMAVFVGMDEIUMUNJFDCGVDEVBU
        TRUTTHVBTIVDTUOUPUR $.

      $( A spanning subgraph ` S ` of a hypergraph ` G ` is a hypergraph.
         (Contributed by AV, 11-Oct-2020.)  (Proof shortened by AV,
         18-Nov-2020.) $)
      uhgrspan $p |- ( ph -> S e. UHGraph ) $=
        ( cuhgr wcel csubgr wbr uhgrspansubgr subuhgr syl2anc ) AENOCEPQCNOMABC
        DEFGHIJKLMRCEST $.
    $}

    ${
      upgrspan.g $e |- ( ph -> G e. UPGraph ) $.
      $( A spanning subgraph ` S ` of a pseudograph ` G ` is a pseudograph.
         (Contributed by AV, 11-Oct-2020.)  (Proof shortened by AV,
         18-Nov-2020.) $)
      upgrspan $p |- ( ph -> S e. UPGraph ) $=
        ( cupgr wcel csubgr wbr cuhgr upgruhgr syl uhgrspansubgr subupgr
        syl2anc ) AENOZCEPQCNOMABCDEFGHIJKLAUDEROMESTUACEUBUC $.
    $}

    ${
      umgrspan.g $e |- ( ph -> G e. UMGraph ) $.
      $( A spanning subgraph ` S ` of a multigraph ` G ` is a multigraph.
         (Contributed by AV, 27-Nov-2020.) $)
      umgrspan $p |- ( ph -> S e. UMGraph ) $=
        ( cumgr wcel csubgr wbr cuhgr umgruhgr syl uhgrspansubgr subumgr
        syl2anc ) AENOZCEPQCNOMABCDEFGHIJKLAUDEROMESTUACEUBUC $.
    $}

    usgrspan.g $e |- ( ph -> G e. USGraph ) $.
    $( A spanning subgraph ` S ` of a simple graph ` G ` is a simple graph.
       (Contributed by AV, 15-Oct-2020.)  (Revised by AV, 16-Oct-2020.)  (Proof
       shortened by AV, 18-Nov-2020.) $)
    usgrspan $p |- ( ph -> S e. USGraph ) $=
      ( cusgr wcel csubgr wbr cuhgr usgruhgr syl uhgrspansubgr subusgr syl2anc
      ) AENOZCEPQCNOMABCDEFGHIJKLAUDEROMESTUACEUBUC $.
  $}

  ${
    uhgrspanop.v $e |- V = ( Vtx ` G ) $.
    uhgrspanop.e $e |- E = ( iEdg ` G ) $.
    $( A spanning subgraph of a hypergraph represented by an ordered pair is a
       hypergraph.  (Contributed by Alexander van der Vekens, 27-Dec-2017.)
       (Revised by AV, 11-Oct-2020.) $)
    uhgrspanop $p |- ( G e. UHGraph -> <. V , ( E |` A ) >. e. UHGraph ) $=
      ( cuhgr wcel cres cop cvv opex a1i cvtx wceq fvexi ciedg resex opvtxfvi
      cfv opiedgfvi id uhgrspan ) CGHZADBAIZJZBCDKEFUFKHUDDUELMUFNTDOUDUEDDCNEP
      ZBABCQFPRZSMUFQTUEOUDUEDUGUHUAMUDUBUC $.

    $d A g $.  $d E g $.  $d G g $.  $d V g $.
    $( A spanning subgraph of a pseudograph represented by an ordered pair is a
       pseudograph.  (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by
       AV, 13-Oct-2020.) $)
    upgrspanop $p |- ( G e. UPGraph -> <. V , ( E |` A ) >. e. UPGraph ) $=
      ( vg cupgr wcel cvv cres cv cvtx cfv wceq ciedg wa wi a1i fvexi vex simpl
      simprl simprr upgrspan ex alrimiv resex gropeld ) CHIZHJGBAKZDJUJGLZMNDOZ
      ULPNUKOZQZULHIZRGUJUOUPUJUOQZAULBCDJEFULJIUQGUASUJUMUNUCUJUMUNUDUJUOUBUEU
      FUGDJIUJDCMETSUKJIUJBABCPFTUHSUI $.

    $( A spanning subgraph of a multigraph represented by an ordered pair is a
       multigraph.  (Contributed by AV, 27-Nov-2020.) $)
    umgrspanop $p |- ( G e. UMGraph -> <. V , ( E |` A ) >. e. UMGraph ) $=
      ( vg cumgr wcel cvv cres cv cvtx cfv wceq ciedg wa wi a1i fvexi vex simpl
      simprl simprr umgrspan ex alrimiv resex gropeld ) CHIZHJGBAKZDJUJGLZMNDOZ
      ULPNUKOZQZULHIZRGUJUOUPUJUOQZAULBCDJEFULJIUQGUASUJUMUNUCUJUMUNUDUJUOUBUEU
      FUGDJIUJDCMETSUKJIUJBABCPFTUHSUI $.

    $( A spanning subgraph of a simple graph represented by an ordered pair is
       a simple graph.  (Contributed by Alexander van der Vekens, 10-Aug-2017.)
       (Revised by AV, 16-Oct-2020.) $)
    usgrspanop $p |- ( G e. USGraph -> <. V , ( E |` A ) >. e. USGraph ) $=
      ( vg cusgr wcel cvv cres cv cvtx cfv wceq ciedg wa wi a1i fvexi vex simpl
      simprl simprr usgrspan ex alrimiv resex gropeld ) CHIZHJGBAKZDJUJGLZMNDOZ
      ULPNUKOZQZULHIZRGUJUOUPUJUOQZAULBCDJEFULJIUQGUASUJUMUNUCUJUMUNUDUJUOUBUEU
      FUGDJIUJDCMETSUKJIUJBABCPFTUHSUI $.
  $}

  ${
    uhgrspan1.v $e |- V = ( Vtx ` G ) $.
    uhgrspan1.i $e |- I = ( iEdg ` G ) $.
    uhgrspan1.f $e |- F = { i e. dom I | N e/ ( I ` i ) } $.
    $( Lemma 1 for ~ uhgrspan1 .  (Contributed by AV, 19-Nov-2020.) $)
    uhgrspan1lem1 $p |- ( ( V \ { N } ) e. _V /\ ( I |` F ) e. _V ) $=
      ( csn cdif cvv wcel cres cvtx fvexi difexi ciedg resex pm3.2i ) FEJZKLMDB
      NLMFUAFCOGPQDBDCRHPST $.

    uhgrspan1.s $e |- S = <. ( V \ { N } ) , ( I |` F ) >. $.
    $( Lemma 2 for ~ uhgrspan1 .  (Contributed by AV, 19-Nov-2020.) $)
    uhgrspan1lem2 $p |- ( Vtx ` S ) = ( V \ { N } ) $=
      ( cvtx cfv csn cdif cres cop fveq2i cvv wcel wa uhgrspan1lem1 ax-mp eqtri
      wceq opvtxfv ) ALMGFNOZECPZQZLMZUGAUILKRUGSTUHSTUAUJUGUEBCDEFGHIJUBUHUGSS
      UFUCUD $.

    $( Lemma 3 for ~ uhgrspan1 .  (Contributed by AV, 19-Nov-2020.) $)
    uhgrspan1lem3 $p |- ( iEdg ` S ) = ( I |` F ) $=
      ( ciedg cfv csn cdif cres cop fveq2i cvv wcel wceq uhgrspan1lem1 opiedgfv
      wa ax-mp eqtri ) ALMGFNOZECPZQZLMZUHAUILKRUGSTUHSTUDUJUHUABCDEFGHIJUBUHUG
      SSUCUEUF $.

    $d F c j $.  $d G c j $.  $d I c i j $.  $d N c i j $.  $d V c j $.
    $( The induced subgraph ` S ` of a hypergraph ` G ` obtained by removing
       one vertex is actually a subgraph of ` G ` .  A subgraph is called
       _induced_ or _spanned_ by a subset of vertices of a graph if it contains
       all edges of the original graph that join two vertices of the subgraph
       (see section I.1 in [Bollobas] p. 2 and section 1.1 in [Diestel] p. 4).
       (Contributed by AV, 19-Nov-2020.) $)
    uhgrspan1 $p |- ( ( G e. UHGraph /\ N e. V ) -> S SubGraph G ) $=
      ( vc vj wcel wa wss cfv wceq cv cvv cuhgr csubgr wbr cdif ciedg cres cima
      csn cdm cpw difssd uhgrspan1lem3 resresdm mp1i wrex wi uhgrfun fvelima ex
      wfun adantr wnel eqidd fveq2 neleq12d elrab2 fvexd uhgrss ad2ant2r simprr
      syl weq elpwdifsn syl3anc wb eleq1 eqcoms syl5ibrcom syl5bi rexlimdv syld
      ssrdv w3a cop opex eqeltri a1i cvtx uhgrspan1lem2 eqcomi eqid cedg edgval
      crn rneqi df-ima 3eqtr4ri issubgr sylan2 mpbir3and ) DUANZFGNZOZADUBUCZGF
      UHZUDZGPZAUEQZEXHUIUFRZECUGZXFUJZPZXCGXEUKXHECUFZRXIXCABCDEFGHIJKULZCEXHU
      MUNXCLXJXKXCLSZXJNZMSZEQZXORZMCUOZXOXKNZXAXPXTUPZXBXAEUTZYBEDIUQYCXPXTMXO
      CEURUSVKVAXCXSYAMCXQCNXQEUIZNZFXRVBZOZXCXSYAUPZFBSZEQZVBYFBXQYDCBMVLZFFYJ
      XRYKFVCYIXQEVDVEJVFXCYGYHXCYGOZYAXSXRXKNZYLXRTNXRGPZYFYMYLXQEVGXAYEYNXBYF
      EXQDGHIVHVIXCYEYFVJFXRGTVMVNYAYMVOXOXRXOXRXKVPVQVRUSVSVTWAWBXBXAATNZXDXGX
      IXLWCVOYOXBAXFXMWDTKXFXMWEWFWGGEATXJDXHXFUAAWHQXFABCDEFGHIJKWIWJHXHWKIXHW
      NXMWNAWLQXJXHXMXNWOAWMECWPWQWRWSWT $.
  $}

  ${
    $d E i j $.  $d E j p $.  $d F j $.  $d G j p $.  $d N i j $.  $d N j p $.
    $d V j p $.
    upgrres.v $e |- V = ( Vtx ` G ) $.
    upgrres.e $e |- E = ( iEdg ` G ) $.
    upgrres.f $e |- F = { i e. dom E | N e/ ( E ` i ) } $.
    $( Lemma for ~ upgrres .  (Contributed by AV, 27-Nov-2020.)  (Revised by
       AV, 19-Dec-2021.) $)
    upgrreslem $p |- ( ( G e. UPGraph /\ N e. V )
                   -> ran ( E |` F ) C_ { p e. ( ~P ( V \ { N } ) \ { (/) } ) |
                                          ( # ` p ) <_ 2 } ) $=
      ( vj wcel wa cv chash cfv c0 syl wi adantr cupgr cres crn cima c2 cle wbr
      csn cdif cpw crab df-ima wss wral cdm wnel wceq wb fveq2 neleq2 elrab2 wf
      upgrf ffvelrn breq1d elrab eldifsn simpl elpwi simpr elpwdifsn syl3anc ex
      wne sylbi eldifsni sylanbrc elrabd com23 imp4b syl5bi ralrimiv wfun cuhgr
      imp a1d upgruhgr uhgrfun ssrab3 funimass4 sylancl mpbird eqsstrrid ) DUAL
      ZEFLZMZBCUBUCBCUDZGNZOPZUEUFUGZGFEUHUIUJZQUHZUIZUKZBCULWPWQXDUMZKNZBPZXDL
      ZKCUNZWPXHKCXFCLXFBUOZLZEXGUPZMWPXHEANZBPZUPZXLAXFXJCXMXFUQXNXGUQXOXLURXM
      XFBUSXNXGEUTRJVAWNWOXKXLXHWNXJWTGFUJZXBUIZUKZBVBZWOXKXLXHSZSSGBDFHIVCXSXK
      WOXTXSXKWOXTSZXSXKMXGXRLZYAXJXRXFBVDYBXGXQLZXGOPZUEUFUGZMZYAWTYEGXGXQWRXG
      UQWSYDUEUFWRXGOUSVEZVFYFXTWOYFXLXHYFXLMZWTYEGXGXCYGYHXGXALZXGQVNZXGXCLYFX
      LYIYCXLYISZYEYCXGXPLZYJMYKXGXPQVGYLYKYJYLXLYIYLXLMYLXGFUMZXLYIYLXLVHYLYMX
      LXGFVITYLXLVJEXGFXPVKVLVMTVOTWEYFYJXLYCYJYEXGXPQVPTTXGXAQVGVQYFYEXLYCYEVJ
      TVRVMWFVORVMVSRVTWAWBWPBWCZCXJUMXEXIURWNYNWOWNDWDLYNDWGBDIWHRTXOAXJCJWIKC
      XDBWJWKWLWM $.

    $( Lemma for ~ umgrres and ~ usgrres .  (Contributed by AV, 27-Nov-2020.)
       (Revised by AV, 19-Dec-2021.) $)
    umgrreslem $p |- ( ( G e. UMGraph /\ N e. V )
           -> ran ( E |` F ) C_ { p e. ~P ( V \ { N } ) | ( # ` p ) = 2 } ) $=
      ( vj wcel wa cv chash cfv c2 syl wi adantr cumgr cres cima wceq cdif crab
      crn csn cpw df-ima wss wral cdm wnel wb fveq2 neleq2 elrab2 umgrf ffvelrn
      weq wf fveqeq2 elrab simpll elpwi simpr elpwdifsn syl3anc elrabd ex sylbi
      com23 imp4b syl5bi ralrimiv wfun cuhgr umgruhgr uhgrfun funimass4 sylancl
      a1d ssrab3 mpbird eqsstrrid ) DUALZEFLZMZBCUBUGBCUCZGNZOPQUDZGFEUHUEUIZUF
      ZBCUJWIWJWNUKZKNZBPZWNLZKCULZWIWRKCWPCLWPBUMZLZEWQUNZMWIWREANZBPZUNZXBAWP
      WTCAKVAXDWQUDXEXBUOXCWPBUPXDWQEUQRJURWGWHXAXBWRWGWTWLGFUIZUFZBVBZWHXAXBWR
      SZSSGBDFHIUSXHXAWHXIXHXAWHXISZXHXAMWQXGLZXJWTXGWPBUTXKWQXFLZWQOPQUDZMZXJW
      LXMGWQXFWKWQQOVCZVDXNXIWHXNXBWRXNXBMZWLXMGWQWMXOXPXLWQFUKZXBWQWMLXLXMXBVE
      XNXQXBXLXQXMWQFVFTTXNXBVGEWQFXFVHVIXNXMXBXLXMVGTVJVKWCVLRVKVMRVNVOVPWIBVQ
      ZCWTUKWOWSUOWGXRWHWGDVRLXRDVSBDIVTRTXEAWTCJWDKCWNBWAWBWEWF $.

    $d N p $.  $d S p $.  $d V p $.
    upgrres.s $e |- S = <. ( V \ { N } ) , ( E |` F ) >. $.
    $( A subgraph obtained by removing one vertex and all edges incident with
       this vertex from a pseudograph (see ~ uhgrspan1 ) is a pseudograph.
       (Contributed by AV, 8-Nov-2020.)  (Revised by AV, 19-Dec-2021.) $)
    upgrres $p |- ( ( G e. UPGraph /\ N e. V ) -> S e. UPGraph ) $=
      ( vp cupgr wcel cfv csn cdif wfun cvv eqcomi wa cres cdm cv chash cle wbr
      c2 cpw c0 crab wf wfn crn wss cuhgr upgruhgr uhgrfun funres funfnd adantr
      3syl upgrreslem df-f sylanbrc wb opex eqeltri uhgrspan1lem2 uhgrspan1lem3
      cop cvtx ciedg isupgr mp1i mpbird ) EMNZFGNZUAZAMNZCDUBZUCZLUDUEOUHUFUGLG
      FPQZUIUJPQUKZWAULZVSWAWBUMZWAUNWDUOWEVQWFVRVQWAVQEUPNCRWAREUQCEIURDCUSVBU
      TVABCDEFGLHIJVCWBWDWAVDVEASNVTWEVFVSAWCWAVKSKWCWAVGVHLSWAAWCAVLOWCABDECFG
      HIJKVITAVMOWAABDECFGHIJKVJTVNVOVP $.

    $( A subgraph obtained by removing one vertex and all edges incident with
       this vertex from a multigraph (see ~ uhgrspan1 ) is a multigraph.
       (Contributed by AV, 27-Nov-2020.)  (Revised by AV, 19-Dec-2021.) $)
    umgrres $p |- ( ( G e. UMGraph /\ N e. V ) -> S e. UMGraph ) $=
      ( vp cumgr wcel wa cres cfv wfun cvv eqcomi cdm cv chash c2 wceq csn cdif
      cpw crab wfn crn wss cuhgr umgruhgr uhgrfun funres 3syl funfnd umgrreslem
      wf adantr df-f sylanbrc cop opex eqeltri cvtx uhgrspan1lem2 uhgrspan1lem3
      wb ciedg isumgrs mp1i mpbird ) EMNZFGNZOZAMNZCDPZUAZLUBUCQUDUELGFUFUGZUHU
      IZVSUTZVQVSVTUJZVSUKWBULWCVOWDVPVOVSVOEUMNCRVSREUNCEIUODCUPUQURVABCDEFGLH
      IJUSVTWBVSVBVCASNVRWCVJVQAWAVSVDSKWAVSVEVFLSVSAWAAVGQWAABDECFGHIJKVHTAVKQ
      VSABDECFGHIJKVITVLVMVN $.

    $d G x $.  $d V x $.
    $( A subgraph obtained by removing one vertex and all edges incident with
       this vertex from a simple graph (see ~ uhgrspan1 ) is a simple graph.
       (Contributed by Alexander van der Vekens, 2-Jan-2018.)  (Revised by AV,
       19-Dec-2021.) $)
    usgrres $p |- ( ( G e. USGraph /\ N e. V ) -> S e. USGraph ) $=
      ( vp vx cusgr wcel cv cfv wceq wf1 cvv wa cres cdm chash c2 csn cdif crab
      cpw c0 crn wss usgrf wnel ssrab3 a1i f1ssres syl2an2r usgrumgr umgrreslem
      cumgr sylan f1ssr syl2anc wb ssdmres mpbi f1eq2 ax-mp sylibr opex eqeltri
      cop cvtx uhgrspan1lem2 eqcomi ciedg uhgrspan1lem3 isusgrs mp1i mpbird ) E
      NOZFGOZUAZANOZCDUBZUCZLPUDQUERLGFUFUGZUIUHZWFSZWDDWIWFSZWJWDDMPUDQUERMGUI
      UJUFUGUHZWFSZWFUKWIULZWKWBCUCZWLCSWCDWOULZWMMCEGHIUMWPWDFBPCQUNBWODJUOZUP
      WOWLDCUQURWBEVAOWCWNEUSBCDEFGLHIJUTVBDWLWIWFVCVDWGDRZWJWKVEWPWRWQDCVFVGWG
      DWIWFVHVIVJATOWEWJVEWDAWHWFVMTKWHWFVKVLLTWFAWHAVNQWHABDECFGHIJKVOVPAVQQWF
      ABDECFGHIJKVRVPVSVTWA $.
  $}

  ${
    $d E e $.  $d G e $.  $d N e $.  $d V e $.
    upgrres1.v $e |- V = ( Vtx ` G ) $.
    upgrres1.e $e |- E = ( Edg ` G ) $.
    upgrres1.f $e |- F = { e e. E | N e/ e } $.
    $( Lemma 1 for ~ upgrres1 .  (Contributed by AV, 7-Nov-2020.) $)
    upgrres1lem1 $p |- ( ( V \ { N } ) e. _V /\ ( _I |` F ) e. _V ) $=
      ( csn cdif cvv wcel cid cres cvtx fvexi difexi cv wnel cedg resiexg ax-mp
      rabex2 pm3.2i ) FEJZKLMNCOLMZFUFFDPGQRCLMUGEASTABCIBDUAHQUDCLUBUCUE $.

    $d F p $.  $d G p $.  $d N p $.  $d V e p $.
    $( Lemma for ~ umgrres1 .  (Contributed by AV, 27-Nov-2020.) $)
    umgrres1lem $p |- ( ( G e. UMGraph /\ N e. V )
           -> ran ( _I |` F ) C_ { p e. ~P ( V \ { N } ) | ( # ` p ) = 2 } ) $=
      ( wcel wa cv cfv cpw crab wi wss simpr adantr cumgr cid cres crn chash c2
      wceq cdif rnresi wnel wral cuhgr cedg umgruhgr eleq2i biimpi cvtx edguhgr
      csn elpwi sseqtrrdi syl syl2an ad4ant13 elpwdifsn syl3anc ralrimiva rabss
      ex sylibr eqsstrid elrabi eleqtrdi edgumgr simprd syl5com eleq2s ssrabdv
      impcom ) DUAKZEFKZLZUBCUCUDCGMZUENUFUGZGFEUSUHOZPCUIWBWDGWECWBCEAMZUJZABP
      ZWEJWBWGWFWEKZQZABUKWHWERWBWJABWBWFBKZLZWGWIWLWGLWKWFFRZWGWIWLWKWGWBWKSTV
      TWKWMWAWGVTDULKZWFDUMNZKZWMWKDUNWKWPBWOWFIUOUPWNWPLWFDUQNZOZKZWMWFDURWSWF
      WQFWFWQUTHVAVBVCVDWLWGSEWFFBVEVFVIVGWGABWEVHVJVKWCCKWBWDWBWDQWCWHCWCWHKZW
      CWOKZWBWDWTWCBWOWGAWCBVLIVMVTXAWDQWAVTXAWDVTXALWCWRKWDWCDVNVOVITVPJVQVSVR
      VK $.

    upgrres1.s $e |- S = <. ( V \ { N } ) , ( _I |` F ) >. $.
    $( Lemma 2 for ~ upgrres1 .  (Contributed by AV, 7-Nov-2020.) $)
    upgrres1lem2 $p |- ( Vtx ` S ) = ( V \ { N } ) $=
      ( cvtx cfv csn cdif cid cres cop cvv wcel wceq upgrres1lem1 opvtxfv ax-mp
      fveq2i wa eqtri ) ALMGFNOZPDQZRZLMZUHAUJLKUEUHSTUISTUFUKUHUABCDEFGHIJUBUI
      UHSSUCUDUG $.

    $( Lemma 3 for ~ upgrres1 .  (Contributed by AV, 7-Nov-2020.) $)
    upgrres1lem3 $p |- ( iEdg ` S ) = ( _I |` F ) $=
      ( ciedg cfv csn cdif cid cres cop cvv wcel fveq2i wceq upgrres1lem1 ax-mp
      wa opiedgfv eqtri ) ALMGFNOZPDQZRZLMZUIAUJLKUAUHSTUISTUEUKUIUBBCDEFGHIJUC
      UIUHSSUFUDUG $.

    $d F p $.  $d G p x $.  $d N e p $.  $d S p $.  $d V p x $.
    $( A pseudograph obtained by removing one vertex and all edges incident
       with this vertex is a pseudograph.  Remark:  This graph is not a
       subgraph of the original graph in the sense of ~ df-subgr since the
       domains of the edge functions may not be compatible.  (Contributed by
       AV, 8-Nov-2020.) $)
    upgrres1 $p |- ( ( G e. UPGraph /\ N e. V ) -> S e. UPGraph ) $=
      ( vp vx wcel wa cv chash cfv c2 cle cid cres cdm wbr csn cdif cpw c0 crab
      cupgr wf wf1o f1oi f1of mp1i ffdmd wnel wral wss simpr adantr cedg eleq2i
      wi cvtx wne w3a edgupgr sseqtrrdi 3ad2ant1 syl sylan2b ad4ant13 elpwdifsn
      elpwi syl3anc wn simpl biimpi simp2d syl2an nelsn eldifd ralrimiva sylibr
      rabss eqsstrid elrabi ciedg crn edgval eqtri eqid upgrf frnd sseld syl5bi
      ex weq fveq2 breq1d elrab simprbi syl6 syl5com eleq2s impcom ssrabdv fssd
      cvv wb cop opex eqeltri upgrres1lem2 eqcomi upgrres1lem3 isupgr mpbird )
      EUJNZFGNZOZAUJNZUADUBZUCZLPZQRZSTUDZLGFUEUFZUGZUHUEZUFZUIZYDUKZYBYEDYMYDY
      BDDYDDDYDULDDYDUKYBDUMDDYDUNUOUPYBYHLYLDYBDFBPZUQZBCUIZYLJYBYPYOYLNZVDZBC
      URYQYLUSYBYSBCYBYOCNZOZYPYRUUAYPOZYOYJYKUUBYTYOGUSZYPYOYJNUUAYTYPYBYTUTVA
      XTYTUUCYAYPYTXTYOEVBRZNZUUCCUUDYOIVCZXTUUEOZYOEVERZUGNZYOUHVFZYOQRSTUDZVG
      UUCYOEVHZUUIUUJUUCUUKUUIYOUUHGYOUUHVOHVIVJVKVLVMUUAYPUTFYOGCVNVPUUBUUJYOY
      KNVQUUAUUJYPYBXTUUEUUJYTXTYAVRYTUUEUUFVSUUGUUIUUJUUKUULVTWAVAYOUHWBVKWCWR
      WDYPBCYLWFWEWGYFDNYBYHYBYHVDYFYQDYFYQNYFCNZYBYHYPBYFCWHXTUUMYHVDYAXTUUMYF
      MPZQRZSTUDZMGUGYKUFZUIZNZYHUUMYFEWIRZWJZNXTUUSCUVAYFCUUDUVAIEWKWLVCXTUVAU
      URYFXTUUTUCUURUUTMUUTEGHUUTWMWNWOWPWQUUSYFUUQNYHUUPYHMYFUUQMLWSUUOYGSTUUN
      YFQWTXAXBXCXDVAXEJXFXGXHXIAXJNYCYNXKYBAYIYDXLXJKYIYDXMXNLXJYDAYIAVERYIABC
      DEFGHIJKXOXPAWIRYDABCDEFGHIJKXQXPXRUOXS $.

    $( A multigraph obtained by removing one vertex and all edges incident with
       this vertex is a multigraph.  Remark:  This graph is not a subgraph of
       the original graph in the sense of ~ df-subgr since the domains of the
       edge functions may not be compatible.  (Contributed by AV,
       27-Nov-2020.) $)
    umgrres1 $p |- ( ( G e. UMGraph /\ N e. V ) -> S e. UMGraph ) $=
      ( vp cumgr wcel wa cfv wf mp1i cvv eqcomi cid cres cdm cv chash wceq cdif
      c2 csn cpw crab wf1o f1oi f1of ffdmd rnresi umgrres1lem eqsstrrid fssd wb
      crn cop opex eqeltri cvtx upgrres1lem2 ciedg upgrres1lem3 isumgrs mpbird
      ) EMNFGNOZAMNZUADUBZUCZLUDUEPUHUFLGFUIUGZUJUKZVMQZVKVNDVPVMVKDDVMDDVMULDD
      VMQVKDUMDDVMUNRUOVKDVMVAVPDUPBCDEFGLHIJUQURUSASNVLVQUTVKAVOVMVBSKVOVMVCVD
      LSVMAVOAVEPVOABCDEFGHIJKVFTAVGPVMABCDEFGHIJKVHTVIRVJ $.

    $( Restricting a simple graph by removing one vertex results in a simple
       graph.  Remark:  This restricted graph is not a subgraph of the original
       graph in the sense of ~ df-subgr since the domains of the edge functions
       may not be compatible.  (Contributed by Alexander van der Vekens,
       2-Jan-2018.)  (Revised by AV, 10-Jan-2020.)  (Revised by AV,
       23-Oct-2020.)  (Proof shortened by AV, 27-Nov-2020.) $)
    usgrres1 $p |- ( ( G e. USGraph /\ N e. V ) -> S e. USGraph ) $=
      ( vp cusgr wcel cfv wceq wf1 mp1i eqidd cvv wa cid cres cdm cv chash cdif
      c2 csn cpw crab crn wf1o f1oi f1of1 dmresi f1eq123d mpbird cumgr usgrumgr
      wss a1i umgrres1lem sylan f1ssr syl2anc wb opex eqeltri cvtx upgrres1lem2
      cop eqcomi ciedg upgrres1lem3 isusgrs ) EMNZFGNZUAZAMNZUBDUCZUDZLUEUFOUHP
      LGFUIUGZUJUKZWAQZVSWBDWAQZWAULWDVAZWEVSWFDDWAQZDDWAUMWHVSDUNDDWAUORVSWBDD
      DWAWAVSWASWBDPVSDUPVBVSDSUQURVQEUSNVRWGEUTBCDEFGLHIJVCVDWBDWDWAVEVFATNVTW
      EVGVSAWCWAVLTKWCWAVHVILTWAAWCAVJOWCABCDEFGHIJKVKVMAVNOWAABCDEFGHIJKVOVMVP
      RUR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Finite undirected simple graphs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c FinUSGraph $.

  $( Extend class notation with finite simple graphs. $)
  cfusgr $a class FinUSGraph $.

  $( Define the class of all finite undirected simple graphs without loops
     (called "finite simple graphs" in the following).  A finite simple graph
     is an undirected simple graph of finite order, i.e. with a finite set of
     vertices.  (Contributed by AV, 3-Jan-2020.)  (Revised by AV,
     21-Oct-2020.) $)
  df-fusgr $a |- FinUSGraph = { g e. USGraph | ( Vtx ` g ) e. Fin } $.

  ${
    $d G g $.  $d V g $.
    isfusgr.v $e |- V = ( Vtx ` G ) $.
    $( The property of being a finite simple graph.  (Contributed by AV,
       3-Jan-2020.)  (Revised by AV, 21-Oct-2020.) $)
    isfusgr $p |- ( G e. FinUSGraph <-> ( G e. USGraph /\ V e. Fin ) ) $=
      ( vg cv cvtx cfv cfn wcel cusgr cfusgr wceq fveq2 eqtr4di eleq1d df-fusgr
      elrab2 ) DEZFGZHIBHIDAJKRALZSBHTSAFGBRAFMCNODPQ $.

    $( A finite simple graph has a finite set of vertices.  (Contributed by AV,
       16-Dec-2020.) $)
    fusgrvtxfi $p |- ( G e. FinUSGraph -> V e. Fin ) $=
      ( cfusgr wcel cusgr cfn isfusgr simprbi ) ADEAFEBGEABCHI $.

    $d G x $.  $d V x $.  $d W x $.
    isfusgrf1.i $e |- I = ( iEdg ` G ) $.
    $( The property of being a finite simple graph.  (Contributed by AV,
       3-Jan-2020.)  (Revised by AV, 21-Oct-2020.) $)
    isfusgrf1 $p |- ( G e. W -> ( G e. FinUSGraph
                           <-> ( I : dom I -1-1-> { x e. ~P V | ( # ` x ) = 2 }
                                 /\ V e. Fin ) ) ) $=
      ( cfusgr wcel cusgr cfn wa cdm cv chash cfv c2 wceq cpw crab wf1 isfusgr
      isusgrs anbi1d syl5bb ) BHIBJIZDKIZLBEIZCMANOPQRADSTCUAZUGLBDFUBUHUFUIUGA
      ECBDFGUCUDUE $.
  $}

  $( The property of being a finite simple graph.  (Contributed by AV,
     3-Jan-2020.)  (Revised by AV, 9-Jan-2020.) $)
  isfusgrcl $p |- ( G e. FinUSGraph
                    <-> ( G e. USGraph /\ ( # ` ( Vtx ` G ) ) e. NN0 ) ) $=
    ( cfusgr wcel cusgr cvtx cfv cfn wa chash cn0 eqid isfusgr cvv fvex hashclb
    wb mp1i pm5.32i bitri ) ABCADCZAEFZGCZHTUAIFJCZHAUAUAKLTUBUCUAMCUBUCPTAENUA
    MOQRS $.

  $( A finite simple graph is a simple graph.  (Contributed by AV,
     16-Jan-2020.)  (Revised by AV, 21-Oct-2020.) $)
  fusgrusgr $p |- ( G e. FinUSGraph -> G e. USGraph ) $=
    ( cfusgr wcel cusgr cvtx cfv cfn eqid isfusgr simplbi ) ABCADCAEFZGCAKKHIJ
    $.

  $( A finite simple graph represented as ordered pair.  (Contributed by AV,
     23-Oct-2020.) $)
  opfusgr $p |- ( ( V e. X /\ E e. Y ) -> ( <. V , E >. e. FinUSGraph
               <-> ( <. V , E >. e. USGraph /\ V e. Fin ) ) ) $=
    ( cop cfusgr wcel cvtx cfv cfn wa eqid isfusgr opvtxfv eleq1d anbi2d syl5bb
    cusgr ) BAEZFGSRGZSHIZJGZKBCGADGKZTBJGZKSUAUALMUCUBUDTUCUABJABCDNOPQ $.

  ${
    $d G x $.
    usgredgffibi.I $e |- I = ( iEdg ` G ) $.
    usgredgffibi.e $e |- E = ( Edg ` G ) $.
    $( The number of edges in a simple graph is finite iff its edge function is
       finite.  (Contributed by AV, 10-Jan-2020.)  (Revised by AV,
       22-Oct-2020.) $)
    usgredgffibi $p |- ( G e. USGraph
                         -> ( E e. Fin <-> I e. Fin ) ) $=
      ( cusgr wcel cfn crn cedg cfv ciedg edgval eqcomi rneqi 3eqtri eleq1i cvv
      vx cdm cv chash c2 wceq cvtx cpw crab wf1 wb fvexi eqid f1vrnfibi sylancr
      usgrfs bitr4id ) BFGZAHGCIZHGZCHGZAUQHABJKBLKZIUQEBMUTCCUTDNOPQUPCRGCTZSU
      AUBKUCUDSBUEKZUFUGZCUHUSURUICBLDUJSCBVBVBUKDUNVAVCCRULUMUO $.
  $}

  ${
    $d E e $.  $d G e $.  $d N e $.  $d V e $.
    fusgredgfi.v $e |- V = ( Vtx ` G ) $.
    fusgredgfi.e $e |- E = ( Edg ` G ) $.
    $( In a finite simple graph the number of edges which contain a given
       vertex is also finite.  (Contributed by Alexander van der Vekens,
       4-Jan-2018.)  (Revised by AV, 21-Oct-2020.) $)
    fusgredgfi $p |- ( ( G e. FinUSGraph /\ N e. V )
                       -> { e e. E | N e. e } e. Fin ) $=
      ( cfusgr wcel wa cv crab cvv chash cfv cn0 cle wbr cfn cedg fvexi isfusgr
      rabexg cusgr hashcl simplbiim adantr fusgrusgr usgredgleord sylan hashbnd
      mp1i syl3anc ) CHIZDEIZJZDAKIZABLZMIZENOZPIZURNOUTQRZURSIBMIUSUPBCTGUAUQA
      BMUCULUNVAUOUNCUDIZESIVACEFUBEUEUFUGUNVCUOVBCUHABCDEFGUIUJURUTMUKUM $.

    $d E v $.  $d G v $.  $d V v $.
    $( The size of a (finite) simple graph with 1 vertex is 0.  (Contributed by
       Alexander van der Vekens, 5-Jan-2018.)  (Revised by AV, 22-Oct-2020.) $)
    usgr1v0e $p |- ( ( G e. USGraph /\ ( # ` V ) = 1 )
                          -> ( # ` E ) = 0 ) $=
      ( vv cusgr wcel chash cfv c1 wceq c0 cvv cvtx eqeq1i cedg wb fvexi mp1i
      cc0 cv csn wex wa ciedg simpl vex biimpi adantl usgr1vr sylancr mpd cuhgr
      wi usgruhgr uhgriedg0edg0 adantr syl5bb mpbird ex exlimdv hasheq0 3imtr4d
      syl hash1snb imp ) BGHZCIJKLZAIJUALZVHCFUBZUCZLZFUDZAMLZVIVJVHVMVOFVHVMVO
      VHVMUEZVOBUFJMLZVPVHVQVHVMUGVPVKNHBOJZVLLZVHVQUOFUHVMVSVHVMVSCVRVLDPUIUJV
      KBNUKULUMVOBQJZMLZVPVQAVTMEPVHWAVQRZVMVHBUNHWBBUPBUQVEURUSUTVAVBCNHVIVNRV
      HCBODSCNFVFTANHVJVORVHABQESANVCTVDVG $.

    usgrfilem.f $e |- F = { e e. E | N e/ e } $.
    $( In a finite simple graph, the number of edges is finite iff the number
       of edges not containing one of the vertices is finite.  (Contributed by
       Alexander van der Vekens, 4-Jan-2018.)  (Revised by AV, 9-Nov-2020.) $)
    usgrfilem $p |- ( ( G e. FinUSGraph /\ N e. V )
                      -> ( E e. Fin <-> F e. Fin ) ) $=
      ( cfusgr wcel wa cfn cv wnel crab rabfi eqeltrid cun uncom elnelun eqtr2i
      eqid fusgredgfi anim1ci unfi syl ex impbid2 ) DJKEFKLZBMKZCMKZUKCEANZOZAB
      PMIUNABQRUJULUKUJULLZBCEUMKABPZSZMUQUPCSBCUPTBEUMUPCAUPUCIUAUBUOULUPMKZLU
      QMKUJURULABDEFGHUDUECUPUFUGRUHUI $.
  $}

  $( Induction base for ~ fusgrfis .  Main work is done in ~ uhgr0v0e .
     (Contributed by Alexander van der Vekens, 5-Jan-2018.)  (Revised by AV,
     23-Oct-2020.) $)
  fusgrfisbase $p |- ( ( ( V e. X /\ E e. Y ) /\ <. V , E >. e. USGraph
                         /\ ( # ` V ) = 0 ) -> E e. Fin ) $=
    ( wcel wa cop cusgr chash cfv cc0 wceq w3a cedg cfn cuhgr 3ad2ant2 3ad2ant1
    c0 eqid cvtx usgruhgr opvtxfv hasheq0 biimpd adantr a1d 3imp eqtrd uhgr0v0e
    wi syl2anc 0fin eqeltrdi ciedg wb usgredgffibi opiedgfv eleq1d bitrd mpbid
    ) BCEZADEZFZBAGZHEZBIJKLZMZVENJZOEZAOEZVHVISOVHVEPEZVEUAJZSLVISLVFVDVLVGVEU
    BQVHVMBSVDVFVMBLVGABCDUCRVDVFVGBSLZVDVGVNUKZVFVBVOVCVBVGVNBCUDUEUFUGUHUIVIV
    EVMVMTVITZUJULUMUNVHVJVEUOJZOEZVKVFVDVJVRUPVGVIVEVQVQTVPUQQVHVQAOVDVFVQALVG
    ABCDURRUSUTVA $.

  ${
    $d E p $.  $d N p $.  $d V p $.
    $( Induction step in ~ fusgrfis :  In a finite simple graph, the number of
       edges is finite if the number of edges not containing one of the
       vertices is finite.  (Contributed by Alexander van der Vekens,
       5-Jan-2018.)  (Revised by AV, 23-Oct-2020.) $)
    fusgrfisstep $p |- ( ( ( V e. X /\ E e. Y ) /\ <. V , E >. e. FinUSGraph
                           /\ N e. V )
                 -> ( ( _I |` { p e. ( Edg ` <. V , E >. ) | N e/ p } ) e. Fin
                      -> E e. Fin ) ) $=
      ( cid cv wnel cop cedg cfv crab cres cfn wcel wa cfusgr wb eqid w3a ciedg
      residfi cusgr fusgrusgr usgredgffibi 3ad2ant2 simp2 opvtxfv eqcomd eleq2d
      cvtx biimpa usgrfilem 3imp3i2an opiedgfv eleq1d 3ad2ant1 3bitr3rd biimprd
      syl syl5bi ) GBFHIFCAJZKLZMZNOPVEOPZCDPAEPQZVCRPZBCPZUAZAOPZVEUCVJVKVFVJV
      DOPZVCUBLZOPZVFVKVHVGVLVNSZVIVHVCUDPVOVCUEVDVCVMVMTVDTZUFVAUGVGVHVIVHBVCU
      LLZPZVLVFSVGVHVIUHVGVIVRVGCVQBVGVQCACDEUIUJUKUMFVDVEVCBVQVQTVPVETUNUOVGVH
      VNVKSVIVGVMAOACDEUPUQURUSUTVB $.
  $}

  ${
    $d G e f n p q v y w $.
    $( A finite simple graph is of finite size, i.e. has a finite number of
       edges.  (Contributed by Alexander van der Vekens, 6-Jan-2018.)  (Revised
       by AV, 8-Nov-2020.) $)
    fusgrfis $p |- ( G e. FinUSGraph -> ( Edg ` G ) e. Fin ) $=
      ( ve vp vv vq wcel cusgr cfv cfn wa cedg eqid cop cv wceq wb eleq1 adantl
      cvv wi vn vf vy cfusgr cvtx isfusgr ciedg usgrop wnel crab cres fvex cmpt
      cid mptresid mptrabex eqeltri csn cdif vex opvtxfvi eqcomi usgrres1 chash
      vw cc0 pm3.2i fusgrfisbase mp3an1 c1 caddc co cn0 simprr1 hashclb biimprd
      simpl adantr com12 syl6bir 3ad2ant2 impcom opfusgr mpbir2and simprr3 3jca
      w3a mpan fusgrfisstep syl imp opfi1ind sylan usgredgffibi mpbird sylbi )
      AUDFAGFZAUEHZIFZJZAKHZIFZAWRWRLUFWTXBAUGHZIFZWQWRXCMGFWSXDAUHXDBNZIFZUNUA
      NZCNUIZCDNZXEMZKHZUJZUKZIFZUBNZIFZUCVEDBUBUAXCXMGWRAUGULXMEXLENZUMSEXLUOX
      HECXKXQXJKULUPUQXEXCOXFXDPXIWROXEXCIQRXEXOOXFXPPXIVENZOXEXOIQRXIXGURUSZXM
      MZCXKXLXJXGXIXJUEHXIXEXIDUTZBUTZVAVBXKLXLLXTLVCXOXMOXPXNPXRXSOXOXMIQRXISF
      ZXESFZJZXJGFZXIVDHZVFOXFYCYDYAYBVGZXEXISSVHVIUCNVJVKVLZVMFZYFYGYIOZXGXIFZ
      WGZJZXNXFYNYEXJUDFZYLWGZXNXFTYEYNYPYHYEYNJZYEYOYLYEYNVQYQYOYFXIIFZYFYKYLY
      JYEVNYNYEYRYMYJYEYRTZYKYFYJYSTYLYKYJYGVMFZYSYGYIVMQYEYTYRYCYTYRTYDYCYRYTX
      ISVOVPVRVSVTWAWBWBYEYOYFYRJPYNXEXISSWCVRWDYFYKYLYJYEWEWFWHXEXGXISSCWIWJWK
      WLWMWQXBXDPWSXAAXCXCLXALWNVRWOWP $.
  $}

  ${
    fusgrfupgrfs.v $e |- V = ( Vtx ` G ) $.
    fusgrfupgrfs.i $e |- I = ( iEdg ` G ) $.
    $( A finite simple graph is a finite pseudograph of finite size.
       (Contributed by AV, 27-Dec-2021.) $)
    fusgrfupgrfs $p |- ( G e. FinUSGraph
                         -> ( G e. UPGraph /\ V e. Fin /\ I e. Fin ) ) $=
      ( cfusgr wcel cupgr cfn cusgr fusgrusgr usgrupgr fusgrvtxfi cedg fusgrfis
      syl cfv wb eqid usgredgffibi mpbid 3jca ) AFGZAHGZCIGBIGZUCAJGZUDAKZALPAC
      DMUCANQZIGZUEAOUCUFUIUERUGUHABEUHSTPUAUB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Neighbors, complete graphs and universal vertices
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Neighbors
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c NeighbVtx $.

  $( Extend class notation with neighbors (of a vertex in a graph). $)
  cnbgr $a class NeighbVtx $.

  ${
    $d e g n v $.
    $( Define the (open) _neighborhood_ resp. the class of all neighbors of a
       vertex (in a graph), see definition in section I.1 of [Bollobas] p. 3 or
       definition in section 1.1 of [Diestel] p. 3.  The neighborhood/neighbors
       of a vertex are all (other) vertices which are connected with this
       vertex by an edge.  In contrast to a closed neighborhood, a vertex is
       not a neighbor of itself.  This definition is applicable even for
       arbitrary hypergraphs.

       Remark:  To distinguish this definition from other definitions for
       neighborhoods resp. neighbors (e.g., ` nei ` in Topology, see
       ~ df-nei ), the suffix ` Vtx ` is added to the class constant
       ` NeighbVtx ` .  (Contributed by Alexander van der Vekens and Mario
       Carneiro, 7-Oct-2017.)  (Revised by AV, 24-Oct-2020.) $)
    df-nbgr $a |- NeighbVtx = ( g e. _V , v e. ( Vtx ` g )
                                |-> { n e. ( ( Vtx ` g ) \ { v } ) |
                                      E. e e. ( Edg ` g ) { v , n } C_ e } ) $.

    $( The set of neighbors is empty if the graph ` G ` or the vertex ` N ` are
       proper classes.  (Contributed by AV, 26-Oct-2020.) $)
    nbgrprc0 $p |- ( -. ( G e. _V /\ N e. _V ) -> ( G NeighbVtx N ) = (/) ) $=
      ( vg vv vn ve cnbgr cvv cvtx cfv cpr wss cedg wrex csn cdif crab reldmmpo
      cv df-nbgr ovprc ) ABGCDHCSZIJZDSZESKFSLFUBMJNEUCUDOPQGDFCETRUA $.
  $}

  ${
    $d G g $.  $d X g $.  $d e g n v $.
    nbgrcl.v $e |- V = ( Vtx ` G ) $.
    $( If a class ` X ` has at least one neighbor, this class must be a vertex.
       (Contributed by AV, 6-Jun-2021.)  (Revised by AV, 12-Feb-2022.) $)
    nbgrcl $p |- ( N e. ( G NeighbVtx X ) -> X e. V ) $=
      ( vg vv vn ve cnbgr co wcel cvv cv cvtx cfv csb cpr wss cedg wrex df-nbgr
      csn cdif crab mpoxeldm csbfv eqtr4i eleq2i biimpi simpl2im ) BADJKLAMLDFA
      FNZOPZQZLZDCLZFGMUMGNZHNRINSIULTPUAHUMUQUCUDUEJBADGIFHUBUFUOUPUNCDUNAOPCF
      AOUGEUHUIUJUK $.
  $}

  ${
    $d E e g k $.  $d G e g k n $.  $d N e g k n $.  $d V e g k n $.
    nbgrval.v $e |- V = ( Vtx ` G ) $.
    nbgrval.e $e |- E = ( Edg ` G ) $.
    $( The set of neighbors of a vertex ` V ` in a graph ` G ` .  (Contributed
       by Alexander van der Vekens, 7-Oct-2017.)  (Revised by AV, 24-Oct-2020.)
       (Revised by AV, 21-Mar-2021.) $)
    nbgrval $p |- ( N e. V -> ( G NeighbVtx N ) = { n e. ( V \ { N } ) |
                                                E. e e. E { N , n } C_ e } ) $=
      ( vg vk wcel cnbgr cvv cv cvtx cfv cpr cedg wceq adantl wss wrex csn cdif
      crab cmpo co df-nbgr 1vgrex fveq2 eqtr4id eleq2d biimpac wa difexi rabexg
      fvex mp1i eqtr4di adantr sneq difeq12d wb preq1 sseq1d rexeqbidv ovmpodv2
      rabeqbidv mpi ) EFKZLIJMINZOPZJNZBNZQZANZUAZAVKRPZUBZBVLVMUCZUDZUEZUFSDEL
      UGEVNQZVPUAZACUBZBFEUCZUDZUEZSJAIBUHVJIJDEMVLWBWHLMDEFGUIVKDSZVJEVLKWIFVL
      EWIFDOPZVLGVKDOUJZUKULUMWAMKWBMKVJWIVMESZUNZUNZVLVTVKOUQUOVSBWAMUPURWNVSW
      EBWAWGWMWAWGSVJWMVLFVTWFWIVLFSWLWIVLWJFWKGUSUTWLVTWFSWIVMEVATVBTWNVQWDAVR
      CWMVRCSZVJWIWOWLWIVRDRPCVKDRUJHUSUTTWMVQWDVCZVJWLWPWIWLVOWCVPVMEVNVDVETTV
      FVHVGVI $.

    $( Alternate definition of the neighbors of a vertex breaking up the subset
       relationship of an unordered pair.  (Contributed by AV, 15-Nov-2020.)
       (Revised by AV, 21-Mar-2021.) $)
    dfnbgr2 $p |- ( N e. V -> ( G NeighbVtx N ) = { n e. ( V \ { N } ) |
                                          E. e e. E ( N e. e /\ n e. e ) } ) $=
      ( wcel cnbgr co cv cpr wss wrex csn cdif crab wa nbgrval cvv prssg bicomd
      wb elvd rexbidv rabbidv eqtrd ) EFIZDEJKEBLZMALZNZACOZBFEPQZREUKIUJUKISZA
      COZBUNRABCDEFGHTUIUMUPBUNUIULUOACUIUOULUIUOULUDBEUJUKFUAUBUEUCUFUGUH $.
  $}

  ${
    $d G e n $.  $d I e i n $.  $d N e i n $.  $d V e n $.
    dfnbgr3.v $e |- V = ( Vtx ` G ) $.
    dfnbgr3.i $e |- I = ( iEdg ` G ) $.
    $( Alternate definition of the neighbors of a vertex using the edge
       function instead of the edges themselves (see also ~ nbgrval ).
       (Contributed by Alexander van der Vekens, 17-Dec-2017.)  (Revised by AV,
       25-Oct-2020.)  (Revised by AV, 21-Mar-2021.) $)
    dfnbgr3 $p |- ( ( N e. V /\ Fun I )
                    -> ( G NeighbVtx N ) = { n e. ( V \ { N } ) |
                                    E. i e. dom I { N , n } C_ ( I ` i ) } ) $=
      ( ve wcel wfun wa cnbgr co cv wss cfv wrex crab crn cpr cedg csn cdif cdm
      wceq eqid nbgrval adantr ciedg edgval eqcomi rneqi eqtri rexeqi wfn funfn
      wb biimpi adantl sseq2 rexrn syl syl5bb rabbidv eqtrd ) EFJZDKZLZCEMNZEBO
      UAZIOZPZICUBQZRZBFEUCUDZSZVKAODQZPZADUEZRZBVPSVGVJVQUFVHIBVNCEFGVNUGUHUIV
      IVOWABVPVOVMIDTZRZVIWAVMIVNWBVNCUJQZTWBCUKWDDDWDHULUMUNUOVIDVTUPZWCWAURVH
      WEVGVHWEDUQUSUTVMVSIAVTDVLVRVKVAVBVCVDVEVF $.
  $}

  ${
    $d e g n v $.  $d G g $.  $d X g $.
    nbgrel.v $e |- V = ( Vtx ` G ) $.
    $( If a class ` X ` is not a vertex of a graph ` G ` , then it has no
       neighbors in ` G ` .  (Contributed by Alexander van der Vekens,
       12-Oct-2017.)  (Revised by AV, 26-Oct-2020.) $)
    nbgrnvtx0 $p |- ( X e/ V -> ( G NeighbVtx X ) = (/) ) $=
      ( vg vv vn ve wnel cvv cv cvtx cfv csb wo cnbgr co c0 wceq wb csbfv ax-mp
      eqtr4i neleq2 olcd cpr wss cedg wrex csn cdif crab df-nbgr mpoxneldm syl
      biimpi ) CBIZAJIZCEAEKZLMZNZIZOACPQRSUQVBURUQVBBVASUQVBTBALMVADEALUAUCBVA
      CUDUBUPUEEFJUTFKZGKUFHKUGHUSUHMUIGUTVCUJUKULPACFHEGUMUNUO $.

    $d E e n $.  $d G e n $.  $d N e n $.  $d X e n $.  $d V e n $.
    nbgrel.e $e |- E = ( Edg ` G ) $.
    $( Characterization of a neighbor ` N ` of a vertex ` X ` in a graph
       ` G ` .  (Contributed by Alexander van der Vekens and Mario Carneiro,
       9-Oct-2017.)  (Revised by AV, 26-Oct-2020.)  (Revised by AV,
       12-Feb-2022.) $)
    nbgrel $p |- ( N e. ( G NeighbVtx X )
                   <-> ( ( N e. V /\ X e. V ) /\ N =/= X
                         /\ E. e e. E { X , N } C_ e ) ) $=
      ( vn cnbgr co wcel wa cpr cv wss wrex anbi1i bitri anass wne w3a pm4.71ri
      nbgrcl cdif crab nbgrval eleq2d preq2 sseq1d rexbidv elrab eldifsn bitrdi
      csn wceq pm5.32i df-3an ancom bitr3i 3bitr2ri ) DCFJKZLZFELZVCMZDELZVDMZD
      FUAZFDNZAOZPZABQZUBZVCVDCDEFGUDUCVEVDVFVHMZVLMZMZVMVDVCVOVDVCDFIOZNZVJPZA
      BQZIEFUOUEZUFZLZVOVDVBWBDAIBCFEGHUGUHWCDWALZVLMVOVTVLIDWAVQDUPZVSVKABWEVR
      VIVJVQDFUIUJUKULWDVNVLDEFUMRSUNUQVMVGVHMZVLMVDVNMZVLMVPVGVHVLURWGWFVLWGVD
      VFMZVHMWFVDVFVHTWHVGVHVDVFUSRUTRVDVNVLTVASS $.
  $}

  ${
    $d G e $.  $d K e $.  $d N e $.  $d V e $.
    nbgrisvtx.v $e |- V = ( Vtx ` G ) $.
    $( Every neighbor ` N ` of a vertex ` K ` is a vertex.  (Contributed by
       Alexander van der Vekens, 12-Oct-2017.)  (Revised by AV, 26-Oct-2020.)
       (Revised by AV, 12-Feb-2022.) $)
    nbgrisvtx $p |- ( N e. ( G NeighbVtx K ) -> N e. V ) $=
      ( ve cnbgr co wcel wa wne cpr cv wss cedg cfv wrex w3a eqid nbgrel simp1l
      sylbi ) CABGHICDIZBDIZJCBKZBCLFMNFAOPZQZRUCFUFACDBEUFSTUCUDUEUGUAUB $.

    $d G n $.  $d K n $.  $d V n $.
    $( The neighbors of a vertex ` K ` in a graph form a subset of all vertices
       of the graph.  (Contributed by Alexander van der Vekens, 12-Oct-2017.)
       (Revised by AV, 26-Oct-2020.)  (Revised by AV, 12-Feb-2022.) $)
    nbgrssvtx $p |- ( G NeighbVtx K ) C_ V $=
      ( vn cnbgr co cv nbgrisvtx ssriv ) EABFGCABEHCDIJ $.
  $}

  ${
    $d E e $.  $d G e n $.  $d N e n $.  $d V e n $.  $d X e n $.
    nbuhgr.v $e |- V = ( Vtx ` G ) $.
    nbuhgr.e $e |- E = ( Edg ` G ) $.
    $( The set of neighbors of a vertex in a hypergraph.  This version of
       ~ nbgrval (with ` N ` being an arbitrary set instead of being a vertex)
       only holds for classes whose edges are subsets of the set of vertices
       (hypergraphs!).  (Contributed by AV, 26-Oct-2020.)  (Proof shortened by
       AV, 15-Nov-2020.) $)
    nbuhgr $p |- ( ( G e. UHGraph /\ N e. X )
                   -> ( G NeighbVtx N ) = { n e. ( V \ { N } ) |
                                            E. e e. E { N , n } C_ e } ) $=
      ( wcel wa cv wss wceq wi wn c0 adantr cfv simpl cuhgr cnbgr cpr wrex cdif
      co csn crab nbgrval a1d wnel df-nel nbgrnvtx0 sylbir wral cvtx cpw eleq2i
      cedg biimpi edguhgr syl2an velpw eqcomi sseq2i bitri sstr wb prssg bicomd
      cvv syl6bi syl5com ex com13 ad3antlr syl5bi mpd rexlimdva con3rr3 expdimp
      elvd ralrimiv rabeq0 sylibr eqtr4d pm2.61i ) EFJZDUAJZEGJZKZDEUBUFZEBLZUC
      ZALZMZACUDZBFEUGUEZUHZNZOWHWTWKABCDEFHIUIUJWHPZWKWTXAWKKZWLQWSXAWLQNZWKXA
      EFUKXCEFULDFEHUMUNRXBWQPZBWRUOWSQNXBXDBWRXAWKWMWRJZXDWKXEKZWQWHXFWPWHACXF
      WOCJZKZWODUPSZUQJZWPWHOZXFWIWODUSSZJZXJXGWKWIXEWIWJTRXGXMCXLWOIURUTWODVAV
      BXJWOFMZXHXKXJWOXIMXNAXIVCXIFWOFXIHVDVEVFWJXNXKOWIXEXGWPXNWJWHWPXNWJWHOWP
      XNKWNFMZWJWHWNWOFVGWJXOWHWMFJZKZWHWJXOXQVHBWJWMVKJKXQXOEWMFGVKVIVJWBWHXPT
      VLVMVNVOVPVQVRVSVTWAWCWQBWRWDWEWFVNWG $.

    $d E n v x $.  $d G e x $.  $d G v $.  $d N n v x $.  $d V v x $.
    $( The set of neighbors of a vertex in a pseudograph.  (Contributed by AV,
       5-Nov-2020.)  (Proof shortened by AV, 30-Dec-2020.) $)
    nbupgr $p |- ( ( G e. UPGraph /\ N e. V )
            -> ( G NeighbVtx N ) = { n e. ( V \ { N } ) | { N , n } e. E } ) $=
      ( ve wcel wa cv wss crab wceq adantl cvv wne simpr adantr ex cupgr co cpr
      cnbgr wrex csn cdif nbgrval w3a simp-4l vex a1i eldifsn necomd sylbi 3jca
      upgredgpr syl31anc eleq1 biimprd syl6ci rexlimdva wb sseq2 ssidd rspcedvd
      impbid rabbidva eqtrd ) CUAIZDEIZJZCDUDUBZDAKZUCZHKZLZHBUEZAEDUFUGZMZVOBI
      ZAVSMVKVMVTNVJHABCDEFGUHOVLVRWAAVSVLVNVSIZJZVRWAWCVQWAHBWCVPBIZJZVQVOVPNZ
      WDWAWEVQWFWEVQJVJWDVQVKVNPIZDVNQZUIZWFVJVKWBWDVQUJWEWDVQWCWDRZSWEVQRWEWIV
      QWCWIWDWCVKWGWHVLVKWBVJVKRSWGWCAUKULWBWHVLWBVNEIZVNDQZJZWHVNEDUMWMVNDWKWL
      RUNUOOUPSSDVNVPEBCEPFGUQURTWJWFWAWDVOVPBUSUTVAVBWCWAVRWCWAJZVQVOVOLZHVOBW
      CWARVPVONVQWOVCWNVPVOVOVDOWNVOVEVFTVGVHVI $.

    $d K n $.
    $( A neighbor of a vertex in a pseudograph.  (Contributed by AV,
       5-Nov-2020.) $)
    nbupgrel $p |- ( ( ( G e. UPGraph /\ K e. V ) /\ ( N e. V /\ N =/= K ) )
                     -> ( N e. ( G NeighbVtx K ) <-> { N , K } e. E ) ) $=
      ( vn cupgr wcel wa wne cnbgr co csn cdif cpr wb cv crab nbupgr wceq preq2
      eleq2d eleq1d elrab bitrdi adantr eldifsn biimpri adantl biantrurd eleq1i
      prcom a1i 3bitr2d ) BIJCEJKZDEJDCLKZKZDBCMNZJZDECOPZJZCDQZAJZKZVEDCQZAJZU
      QVAVFRURUQVADCHSZQZAJZHVBTZJVFUQUTVLDHABCEFGUAUDVKVEHDVBVIDUBVJVDAVIDCUCU
      EUFUGUHUSVCVEURVCUQVCURDECUIUJUKULVEVHRUSVDVGACDUNUMUOUP $.

    $d e v $.
    $( The set of neighbors of a vertex in a multigraph.  (Contributed by AV,
       27-Nov-2020.)  (Proof shortened by AV, 30-Dec-2020.) $)
    nbumgrvtx $p |- ( ( G e. UMGraph /\ N e. V )
                      -> ( G NeighbVtx N ) = { n e. V | { N , n } e. E } ) $=
      ( vv ve vx wcel wa cv cpr wss wrex wceq adantl adantr simpr cumgr co cdif
      cnbgr csn crab nbgrval cupgr cvv wne w3a umgrupgr ad4antr vex a1i eldifsn
      eldifi necomd sylbi 3jca upgredgpr syl31anc eleq1 biimprd syl6ci impr jca
      ex rexlimdvaa simprl umgredgne ad2ant2rl sylanbrc wb sseq2 ssidd rspcedvd
      expimpd impbid preq2 sseq1d rexbidv elrab eleq1d 3bitr4g eqrdv eqtrd ) CU
      AKZDEKZLZCDUDUBZDHMZNZIMZOZIBPZHEDUEZUCZUFZDAMZNZBKZAEUFZWIWKWSQWHIHBCDEF
      GUGRWJJWSXCWJJMZWRKZDXDNZWNOZIBPZLZXDEKZXFBKZLZXDWSKXDXCKWJXIXLWJXEXHXLWJ
      XELZXGXLIBXMWNBKZXGLZLXJXKXMXJXOXEXJWJXDEWQUQRSXMXNXGXKXMXNLZXGXFWNQZXNXK
      XPXGXQXPXGLCUHKZXNXGWIXDUIKZDXDUJZUKZXQWHXRWIXEXNXGCULUMXPXNXGXMXNTZSXPXG
      TXPYAXGXMYAXNXMWIXSXTWJWIXEWHWITSXSXMJUNUOXEXTWJXEXJXDDUJZLZXTXDEDUPZYDXD
      DXJYCTURUSRUTSSDXDWNEBCEUIFGVAVBVHYBXQXKXNXFWNBVCVDVEVFVGVIVRWJXLXIWJXLLZ
      XEXHYFXJYCXEWJXJXKVJYFDXDWHXKXTWIXJBCDXDGVKVLURYEVMYFXGXFXFOZIXFBXLXKWJXJ
      XKTRWNXFQXGYGVNYFWNXFXFVORYFXFVPVQVGVHVSWPXHHXDWRWLXDQZWOXGIBYHWMXFWNWLXD
      DVTWAWBWCXBXKAXDEWTXDQXAXFBWTXDDVTWDWCWEWFWG $.

    $( The set of neighbors of an arbitrary class in a multigraph.
       (Contributed by AV, 27-Nov-2020.) $)
    nbumgr $p |- ( G e. UMGraph -> ( G NeighbVtx N )
                                   = { n e. V | { N , n } e. E } ) $=
      ( wcel cumgr cnbgr co cv cpr crab wceq wi wn wa c0 ex nbumgrvtx nbgrnvtx0
      expcom wnel df-nel sylbir adantr umgrpredgv simpld adantl con3d com13 imp
      wral ralrimiv rabeq0 sylibr eqtr4d pm2.61i ) DEHZCIHZCDJKZDALZMBHZAENZOZP
      VAUTVFABCDEFGUAUCUTQZVAVFVGVARZVBSVEVGVBSOZVAVGDEUDVIDEUECEDFUBUFUGVHVDQZ
      AEUNVESOVHVJAEVGVAVCEHZVJPVKVAVGVJVKVAVGVJPVKVARVDUTVAVDUTPVKVAVDUTVAVDRU
      TVKBCDVCEFGUHUITUJUKTULUMUOVDAEUPUQURTUS $.

    $( The set of neighbors of a vertex in a simple graph.  (Contributed by
       Alexander van der Vekens, 9-Oct-2017.)  (Revised by AV, 26-Oct-2020.)
       (Proof shortened by AV, 27-Nov-2020.) $)
    nbusgrvtx $p |- ( ( G e. USGraph /\ N e. V )
                      -> ( G NeighbVtx N ) = { n e. V | { N , n } e. E } ) $=
      ( cusgr wcel cumgr cnbgr co cv cpr crab wceq usgrumgr nbumgrvtx sylan ) C
      HICJIDEICDKLDAMNBIAEOPCQABCDEFGRS $.

    $( The set of neighbors of an arbitrary class in a simple graph.
       (Contributed by Alexander van der Vekens, 9-Oct-2017.)  (Revised by AV,
       26-Oct-2020.)  (Proof shortened by AV, 27-Nov-2020.) $)
    nbusgr $p |- ( G e. USGraph -> ( G NeighbVtx N )
                                   = { n e. V | { N , n } e. E } ) $=
      ( cusgr wcel cumgr cnbgr co cv cpr crab wceq usgrumgr nbumgr syl ) CHICJI
      CDKLDAMNBIAEOPCQABCDEFGRS $.
  $}

  ${
    $d E a b e n $.  $d G a b e n v $.  $d V a b e n v $.
    nbgr2vtx1edg.v $e |- V = ( Vtx ` G ) $.
    nbgr2vtx1edg.e $e |- E = ( Edg ` G ) $.
    $( If a graph has two vertices, and there is an edge between the vertices,
       then each vertex is the neighbor of the other vertex.  (Contributed by
       AV, 2-Nov-2020.)  (Revised by AV, 25-Mar-2021.)  (Proof shortened by AV,
       13-Feb-2022.) $)
    nbgr2vtx1edg $p |- ( ( ( # ` V ) = 2 /\ V e. E )
                 -> A. v e. V A. n e. ( V \ { v } ) n e. ( G NeighbVtx v ) ) $=
      ( va vb ve wceq wcel cv cnbgr cdif wral wa wrex wb adantl chash cfv c2 co
      csn wne cpr wi cvv cvtx fvexi hash2prb ax-mp simpll ancomd simpl ad2antlr
      wss necomd id sseq2 ssidd rspcedvd nbgrel syl3anbrc prcom eqimssi raleqdv
      a1i difprsn1 vex eleq1 bitrdi difprsn2 anbi12d adantr mpbir2and ex difeq1
      ralsn raleqbidv difeq2d oveq2 eleq2d ralpr imbi12d mpbird rexlimivv sylbi
      sneq imp ) EUAUBUCKZECLZBMZDAMZNUDZLZBEWOUEZOZPZAEPZWLHMZIMZUFZEXBXCUGZKZ
      QZIERHERZWMXAUHZEUILWLXHSEDUJFUKEUIHIULUMXGXIHIEEXBELZXCELZQZXGXIXLXGQZXI
      XECLZWNDXBNUDZLZBXEXBUEZOZPZWNDXCNUDZLZBXEXCUEZOZPZQZUHZXMXNYEXMXNQZYEXCX
      OLZXBXTLZYGXKXJQXCXBUFZXEJMZURZJCRZYHYGXJXKXLXGXNUNZUOXGYJXLXNXGXBXCXDXFU
      PZUSUQXNYMXMXNYLXEXEURZJXECXNUTZYKXEKZYLYPSXNYKXEXEVATXNXEVBVCTJCDXCEXBFG
      VDVEYGXLXDXCXBUGZYKURZJCRZYIYNXGXDXLXNYOUQXNUUAXMXNYTYSXEURZJXECYQYRYTUUB
      SXNYKXEYSVATUUBXNYSXEXCXBVFVGVIVCTJCDXBEXCFGVDVEXGYEYHYIQSZXLXNXDUUCXFXDX
      SYHYDYIXDXSXPBYBPYHXDXPBXRYBXBXCVJVHXPYHBXCIVKZWNXCXOVLVTVMXDYDYABXQPYIXD
      YABYCXQXBXCVNVHYAYIBXBHVKZWNXBXTVLVTVMVOVPUQVQVRXGXIYFSZXLXFUUFXDXFWMXNXA
      YEEXECVLXFXAWQBXEWROZPZAXEPYEXFWTUUHAEXEXFUTXFWQBWSUUGEXEWRVSVHWAUUHXSYDA
      XBXCUUEUUDWOXBKZWQXPBUUGXRUUIWRXQXEWOXBWJWBUUIWPXOWNWOXBDNWCWDWAWOXCKZWQY
      ABUUGYCUUJWRYBXEWOXCWJWBUUJWPXTWNWOXCDNWCWDWAWEVMWFTTWGVRWHWIWK $.

    $( Lemma for ~ nbuhgr2vtx1edgb .  This reverse direction of ~ nbgr2vtx1edg
       only holds for classes whose edges are subsets of the set of vertices,
       which is the property of hypergraphs.  (Contributed by AV, 2-Nov-2020.)
       (Proof shortened by AV, 13-Feb-2022.) $)
    nbuhgr2vtx1edgblem $p |- ( ( G e. UHGraph /\ V = { a , b } /\
                               a e. ( G NeighbVtx b ) ) -> { a , b } e. E ) $=
      ( ve wcel cv cpr wceq wa wss wi cfv cpw sylbi com13 ex cuhgr cnbgr co wne
      wrex w3a nbgrel cvtx cedg eleq2i edguhgr sylan2b eqeq1i pweq eleq2d velpw
      wb bitrdi adantl prcom sseq1i eqss eleq1a a1i sylbir ad2antlr sylbid mpid
      impancom com14 rexlimdv 3impia com12 syl5bi ) BUAIZCDJZEJZKZLZVPBVQUBUCIZ
      VRAIZVTVPCIVQCIMZVPVQUDZVQVPKZHJZNZHAUEZUFZVOVSMZWAHABVPCVQFGUGWHWIWAWBWC
      WGWIWAOZWBWCMZWFWJHAWIWEAIZWFWKWAVOWLVSWFWKWAOZOZVOWLMZVSWEBUHPZQZIZWNWLV
      OWEBUIPZIWRAWSWEGUJWEBUKULWOVSWRWNOWOVSMWRWEVRNZWNVSWRWTUQZWOVSWPVRLZXACW
      PVRFUMXBWRWEVRQZIWTXBWQXCWEWPVRUNUOHVRUPURRUSWLWTWNOVOVSWFWTWLWMWFVRWENZW
      TWLWMOZOWDVRWEVQVPUTVAXDWTXEXDWTMVRWELZXEVRWEVBWKWLXFWAWLXFWAOOWKWEAVRVCV
      DSVETRSVFVGTVHVIVJVKVLVMVNVL $.

    $( If a hypergraph has two vertices, and there is an edge between the
       vertices, then each vertex is the neighbor of the other vertex.
       (Contributed by AV, 2-Nov-2020.)  (Proof shortened by AV,
       13-Feb-2022.) $)
    nbuhgr2vtx1edgb $p |- ( ( G e. UHGraph /\ ( # ` V ) = 2 )
                          -> ( V e. E <-> A. v e. V A. n e. ( V \ { v } )
                                          n e. ( G NeighbVtx v ) ) ) $=
      ( va vb ve wcel wceq cv cnbgr cdif wral wb wa wrex adantl cuhgr chash cfv
      c2 co csn wne cpr cvv cvtx fvexi hash2prb ax-mp wss simpr ancomd ad2antrr
      id necomd adantr ad2antlr prcom eleq1i biimpi eqimssi a1i rspcedvd nbgrel
      sseq2 syl3anbrc simplrl jca ex nbuhgr2vtx1edgblem 3exp adantld imp impbid
      wi eleq1 difeq1 raleqdv raleqbidv vex difeq2d oveq2 eleq2d ralpr difprsn1
      sneq ralsn bitrdi difprsn2 anbi12d syl5bb sylan9bbr bibi12d mpbird syl5bi
      rexlimdvva ) DUAKZEUBUCUDLZECKZBMZDAMZNUEZKZBEXEUFZOZPZAEPZQZXBHMZIMZUGZE
      XMXNUHZLZRZIESHESZXAXLEUIKXBXSQEDUJFUKEUIHIULUMXAXRXLHIEEXAXMEKZXNEKZRZRZ
      XRXLYCXRRZXLXPCKZXNDXMNUEZKZXMDXNNUEZKZRZQZYDYEYJYDYEYJYDYERZYGYIYLYAXTRZ
      XNXMUGZXPJMZUNZJCSZYGYCYMXRYEYCXTYAXAYBUOZUPUQXRYNYCYEXOYNXQXOXMXNXOURUSU
      TVAYEYQYDYEYPXPXNXMUHZUNZJYSCYEYSCKXPYSCXMXNVBZVCVDYOYSLYPYTQYEYOYSXPVITY
      TYEXPYSUUAVEVFVGTJCDXNEXMFGVHVJYLYBXOYSYOUNZJCSZYIYCYBXRYEYRUQYCXOXQYEVKY
      EUUCYDYEUUBYSXPUNZJXPCYEURYOXPLUUBUUDQYEYOXPYSVITUUDYEYSXPXNXMVBVEVFVGTJC
      DXMEXNFGVHVJVLVMYDYIYEYGYCXRYIYEVSZYCXQUUEXOXAXQUUEVSYBXAXQYIYECDEHIFGVNV
      OUTVPVQVPVRXRXLYKQYCXRXCYEXKYJXQXCYEQXOEXPCVTTXQXKXGBXPXHOZPZAXPPZXOYJXQX
      JUUGAEXPXQURXQXGBXIUUFEXPXHWAWBWCUUHXDYFKZBXPXMUFZOZPZXDYHKZBXPXNUFZOZPZR
      XOYJUUGUULUUPAXMXNHWDZIWDZXEXMLZXGUUIBUUFUUKUUSXHUUJXPXEXMWJWEUUSXFYFXDXE
      XMDNWFWGWCXEXNLZXGUUMBUUFUUOUUTXHUUNXPXEXNWJWEUUTXFYHXDXEXNDNWFWGWCWHXOUU
      LYGUUPYIXOUULUUIBUUNPYGXOUUIBUUKUUNXMXNWIWBUUIYGBXNUURXDXNYFVTWKWLXOUUPUU
      MBUUJPYIXOUUMBUUOUUJXMXNWMWBUUMYIBXMUUQXDXMYHVTWKWLWNWOWPWQTWRVMWTWSVQ $.
  $}

  ${
    $d E n $.  $d G n $.  $d K n $.  $d N n $.
    nbusgreledg.e $e |- E = ( Edg ` G ) $.
    $( A class/vertex is a neighbor of another class/vertex in a simple graph
       iff the vertices are endpoints of an edge.  (Contributed by Alexander
       van der Vekens, 11-Oct-2017.)  (Revised by AV, 26-Oct-2020.) $)
    nbusgreledg $p |- ( G e. USGraph -> ( N e. ( G NeighbVtx K )
                                            <-> { N , K } e. E ) ) $=
      ( vn cusgr wcel cnbgr co cv cpr cvtx cfv crab eqid nbusgr wa wb a1i prcom
      eleq2d usgrpredgv simprd pm4.71rd eleq1i wceq preq2 eleq1d elrab 3bitr4rd
      ex bitrd ) BGHZDBCIJZHDCFKZLZAHZFBMNZOZHZDCLZAHZUNUOUTDFABCUSUSPZEQUBUNCD
      LZAHZDUSHZVFRZVCVAUNVFVGUNVFVGUNVFRCUSHVGABCDUSEVDUCUDULUEVCVFSUNVBVEADCU
      AUFTVAVHSUNURVFFDUSUPDUGUQVEAUPDCUHUIUJTUKUM $.
  $}

  ${
    $d G e n $.  $d N e n $.
    $( A vertex which is not endpoint of an edge has no neighbor in a
       hypergraph.  (Contributed by Alexander van der Vekens, 12-Oct-2017.)
       (Revised by AV, 26-Oct-2020.) $)
    uhgrnbgr0nb $p |- ( ( G e. UHGraph /\ A. e e. ( Edg ` G ) N e/ e )
                        -> ( G NeighbVtx N ) = (/) ) $=
      ( vn cvv wcel cuhgr cv wnel cedg cfv wral wa cnbgr c0 wceq wi eqid expcom
      wn co cpr wss wrex cvtx csn cdif crab nbuhgr adantlr df-nel prssg syl6bir
      wel simpl ad2antlr con3d syl5bi ralimdva ralnex sylib expd impcom expdimp
      imp ralrimiv rabeq0 sylibr eqtrd id intnand nbgrprc0 syl a1d pm2.61i ) CE
      FZBGFZCAHZIZABJKZLZMZBCNUAZOPZQWBVPWDWBVPMZWCCDHZUBVRUCZAVTUDZDBUEKZCUFUG
      ZUHZOVQVPWCWKPWAADVTBCWIEWIRVTRUIUJWEWHTZDWJLWKOPWEWLDWJWBVPWFWJFZWLWAVQV
      PWMMZWLQWAVQWNWLVQWNMZWAWLWOWAMWGTZAVTLZWLWOWAWQWOVSWPAVTVSCVRFZTWOVRVTFZ
      MZWPCVRUKWTWGWRWNWGWRQVQWSWNWGWRDAUNZMWRCWFVREWJULWRXAUOUMUPUQURUSVEWGAVT
      UTVASVBVCVDVFWHDWJVGVHVISVPTZWDWBXBBEFZVPMTWDXBVPXCXBVJVKBCVLVMVNVO $.
  $}

  ${
    $d G e n $.  $d K e n $.
    ${
      nbgr0vtxlem.v $e |- ( ph -> A. n e. ( ( Vtx ` G ) \ { K } )
                                  -. E. e e. ( Edg ` G ) { K , n } C_ e ) $.
      $( Lemma for ~ nbgr0vtx and ~ nbgr0edg .  (Contributed by AV,
         15-Nov-2020.) $)
      nbgr0vtxlem $p |- ( ph -> ( G NeighbVtx K ) = (/) ) $=
        ( cvtx cfv wcel cvv wa cnbgr co c0 wceq wi cv eqid wn a1d cpr cedg wrex
        wss cdif crab nbgrval ad2antrl wral ad2antll rabeq0 sylibr eqtrd expcom
        csn ex com23 wnel df-nel nbgrnvtx0 sylbir nbgrprc0 pm2.61nii ) EDGHZIZD
        JIEJIKZADELMZNOZPVEAVFVHVEAVFVHPVFVEAKZVHVFVIKZVGECQUABQUDBDUBHZUCZCVDE
        UOUEZUFZNVEVGVNOVFABCVKDEVDVDRZVKRUGUHVJVLSCVMUIZVNNOAVPVFVEFUJVLCVMUKU
        LUMUNUPUQVESZVHAVQEVDURVHEVDUSDVDEVOUTVATVFSVHADEVBTVC $.
    $}

    $( In a null graph (with no vertices), all neighborhoods are empty.
       (Contributed by AV, 15-Nov-2020.) $)
    nbgr0vtx $p |- ( ( Vtx ` G ) = (/) -> ( G NeighbVtx K ) = (/) ) $=
      ( ve vn cvtx cfv c0 wceq cpr wss cedg wrex csn cdif wral ral0 difeq1 0dif
      cv wn eqtrdi raleqdv mpbiri nbgr0vtxlem ) AEFZGHZCDABUFBDSICSJCAKFLTZDUEB
      MZNZOUGDGOUGDPUFUGDUIGUFUIGUHNGUEGUHQUHRUAUBUCUD $.

    $( In an empty graph (with no edges), every vertex has no neighbor.
       (Contributed by Alexander van der Vekens, 12-Oct-2017.)  (Revised by AV,
       26-Oct-2020.)  (Proof shortened by AV, 15-Nov-2020.) $)
    nbgr0edg $p |- ( ( Edg ` G ) = (/) -> ( G NeighbVtx K ) = (/) ) $=
      ( ve vn cedg cfv c0 wceq cv cpr wss wrex wn cvtx csn cdif wral rzal sylib
      ralnex ralrimivw nbgr0vtxlem ) AEFZGHZCDABUDBDIJCIKZCUCLMZDANFBOPUDUEMZCU
      CQUFUGCUCRUECUCTSUAUB $.

    ${
      $d G e n v $.  $d K v $.
      $( In a graph with one vertex, all neighborhoods are empty.  (Contributed
         by AV, 15-Nov-2020.) $)
      nbgr1vtx $p |- ( ( # ` ( Vtx ` G ) ) = 1 -> ( G NeighbVtx K ) = (/) ) $=
        ( ve vn vv cvtx cfv wcel chash wceq c0 wi wa cv wn csn cdif wral cvv ex
        c1 cnbgr co cpr wss cedg wrex fvex hash1snb ax-mp ral0 eleq2 simpr sneq
        wex adantr difeq12d difid eqtrdi elsni syl11 sylbid imp raleqdv exlimiv
        wb mpbiri sylbi impcom nbgr0vtxlem wnel df-nel nbgrnvtx0 sylbir pm2.61i
        eqid a1d ) BAFGZHZVRIGUAJZABUBUCKJZLVSVTWAVSVTMCDABVTVSBDNUDCNUECAUFGUG
        OZDVRBPZQZRZVTVRENZPZJZEUOZVSWELZVRSHVTWIVFAFUHVRSEUIUJWHWJEWHVSWEWHVSM
        ZWEWBDKRWBDUKWKWBDWDKWHVSWDKJZWHVSBWGHZWLVRWGBULBWFJZWHWLWMWNWHWLWNWHMZ
        WDWGWGQKWOVRWGWCWGWNWHUMWNWCWGJWHBWFUNUPUQWGURUSTBWFUTVAVBVCVDVGTVEVHVI
        VJTVSOZWAVTWPBVRVKWABVRVLAVRBVRVPVMVNVQVO $.
    $}

    $d V e n v $.
    nbgrnself.v $e |- V = ( Vtx ` G ) $.
    $( A vertex in a graph is not a neighbor of itself.  (Contributed by
       Alexander van der Vekens, 12-Oct-2017.)  (Revised by AV, 3-Nov-2020.)
       (Revised by AV, 21-Mar-2021.) $)
    nbgrnself $p |- A. v e. V v e/ ( G NeighbVtx v ) $=
      ( vn ve cv cnbgr co wnel wcel cpr wss cedg cfv wrex csn cdif crab wa eqid
      wn neldifsnd intnanrd df-nel weq preq2 sseq1d rexbidv elrab xchbinx eqidd
      sylibr nbgrval neleq12d mpbird rgen ) AGZBURHIZJZACURCKZUTURUREGZLZFGZMZF
      BNOZPZECURQRZSZJZVAURVHKZURURLZVDMZFVFPZTZUBVJVAVKVNVAURCUCUDVJURVIKVOURV
      IUEVGVNEURVHEAUFZVEVMFVFVPVCVLVDVBURURUGUHUIUJUKUMVAURURUSVIVAURULFEVFBUR
      CDVFUAUNUOUPUQ $.
  $}

  ${
    $d G v $.  $d X v $.
    $( A class ` X ` is not a neighbor of itself (whether it is a vertex or
       not).  (Contributed by Alexander van der Vekens, 12-Oct-2017.)  (Revised
       by AV, 3-Nov-2020.)  (Revised by AV, 12-Feb-2022.) $)
    nbgrnself2 $p |- X e/ ( G NeighbVtx X ) $=
      ( vv cvtx cfv wcel cnbgr co wnel cv wceq id oveq2 neleq12d eqid nbgrnself
      vtoclri wn nbgrisvtx con3i df-nel sylibr pm2.61i ) BADEZFZBABGHZIZCJZAUHG
      HZIUGCBUDUHBKZUHBUIUFUJLUHBAGMNCAUDUDOZPQUERBUFFZRUGULUEABBUDUKSTBUFUAUBU
      C $.

    $d V v $.
    nbgrssovtx.v $e |- V = ( Vtx ` G ) $.
    $( The neighbors of a vertex ` X ` form a subset of all vertices except the
       vertex ` X ` itself.  Stronger version of ~ nbgrssvtx .  (Contributed by
       Alexander van der Vekens, 13-Jul-2018.)  (Revised by AV, 3-Nov-2020.)
       (Revised by AV, 12-Feb-2022.) $)
    nbgrssovtx $p |- ( G NeighbVtx X ) C_ ( V \ { X } ) $=
      ( vv cnbgr co csn cdif cv wcel nbgrisvtx wceq wn nbgrnself2 df-nel neleq1
      wne wnel bitr3id mpbiri necon2ai eldifsn sylanbrc ssriv ) EACFGZBCHIZEJZU
      FKZUHBKUHCRUHUGKACUHBDLUIUHCUHCMZUINZCUFSZACOUKUHUFSUJULUHUFPUHCUFQTUAUBU
      HBCUCUDUE $.

    $( The neighbors of a vertex ` X ` form a subset of all vertices except the
       vertex ` X ` itself and a class ` M ` which is not a neighbor of ` X ` .
       (Contributed by Alexander van der Vekens, 13-Jul-2018.)  (Revised by AV,
       3-Nov-2020.)  (Revised by AV, 12-Feb-2022.) $)
    nbgrssvwo2 $p |- ( M e/ ( G NeighbVtx X )
                         -> ( G NeighbVtx X ) C_ ( V \ { M , X } ) ) $=
      ( cnbgr co wnel csn cdif cpr wss wi nbgrssovtx cin c0 wceq wcel wn df-nel
      disjsn sylbb2 reldisj syl5ib ax-mp prcom difeq2i difpr eqtri sseqtrrdi )
      BADFGZHZUKCDIJZBIZJZCBDKZJZUKUMLZULUKUOLZMACDENULUKUNOPQZURUSULBUKRSUTBUK
      TUKBUAUBUKUNUMUCUDUEUQCDBKZJUOUPVACBDUFUGCDBUHUIUJ $.
  $}

  ${
    $d G e $.  $d K e $.  $d N e $.
    $( In a graph, the neighborhood relation is symmetric: a vertex ` N ` in a
       graph ` G ` is a neighbor of a second vertex ` K ` iff the second vertex
       ` K ` is a neighbor of the first vertex ` N ` .  (Contributed by
       Alexander van der Vekens, 12-Oct-2017.)  (Revised by AV, 27-Oct-2020.)
       (Revised by AV, 12-Feb-2022.) $)
    nbgrsym $p |- ( N e. ( G NeighbVtx K ) <-> K e. ( G NeighbVtx N ) ) $=
      ( ve cvtx cfv wcel wa wne cpr cv wss cedg wrex cnbgr co ancom eqid nbgrel
      w3a necom prcom sseq1i rexbii 3anbi123i 3bitr4i ) CAEFZGZBUGGZHZCBIZBCJZD
      KZLZDAMFZNZTUIUHHZBCIZCBJZUMLZDUONZTCABOPGBACOPGUJUQUKURUPVAUHUIQCBUAUNUT
      DUOULUSUMBCUBUCUDUEDUOACUGBUGRZUORZSDUOABUGCVBVCSUF $.
  $}

  ${
    $d E e $.  $d G e $.  $d K e $.  $d N e $.  $d M e $.  $d V e $.
    nbupgrres.v $e |- V = ( Vtx ` G ) $.
    nbupgrres.e $e |- E = ( Edg ` G ) $.
    nbupgrres.f $e |- F = { e e. E | N e/ e } $.
    nbupgrres.s $e |- S = <. ( V \ { N } ) , ( _I |` F ) >. $.
    $( The neighborhood of a vertex in a restricted pseudograph (not
       necessarily valid for a hypergraph, because ` N ` , ` K ` and ` M `
       could be connected by one edge, so ` M ` is a neighbor of ` K ` in the
       original graph, but not in the restricted graph, because the edge
       between ` M ` and ` K ` , also incident with ` N ` , was removed).
       (Contributed by Alexander van der Vekens, 2-Jan-2018.)  (Revised by AV,
       8-Nov-2020.) $)
    nbupgrres $p |- ( ( ( G e. UPGraph /\ N e. V ) /\ K e. ( V \ { N } )
                        /\ M e. ( V \ { N , K } ) )
                   -> ( M e. ( G NeighbVtx K ) -> M e. ( S NeighbVtx K ) ) ) $=
      ( wcel wa cdif wne eldifsn sylbi 3ad2ant3 cupgr csn cpr w3a cnbgr co wnel
      wb simp1l eldifi 3ad2ant2 anim1i difpr eleq2s nbupgrel syl21anc biimpa wn
      eleq2i anbi1i 3bitri simpr necomd adantr nelprd df-nel sylibr cv sylanbrc
      neleq2 elrab2 upgrres1 3ad2ant1 simp2 sylbb jca31 cfv upgrres1lem2 eqcomi
      cvtx cedg ciedg crn cid cres edgval upgrres1lem3 rneqi rnresi 3eqtrri syl
      mpbird ex ) EUANZHINZOZFIHUBZPZNZGIHFUCPZNZUDZGEFUEUFNZGAFUEUFNZXBXCOZXDG
      FUCZDNZXEXFCNZHXFUGZXGXBXCXHXBWNFINZGINZGFQZOZXCXHUHWNWOWSXAUIWSWPXJXAFIW
      QUJUKXAWPXMWSXMGWRFUBPZWTGXNNZGWRNZXLOZXMGWRFRZXPXKXLGIWQUJULSIHFUMZUNTCE
      FGIJKUOUPUQXBXIXCXBHXFNURXIXBHGFXAWPHGQZWSXAXKGHQZOZXLOZXTXAXOXQYCWTXNGXS
      USZXRXPYBXLGIHRUTVAYBXTXLYBGHXKYAVBVCVDSTWSWPHFQZXAWSXJFHQZOZYEFIHRYGFHXJ
      YFVBVCSUKVEHXFVFVGVDHBVHZUGXIBXFCDYHXFHVJLVKVIXEAUANZWSOXQOZXDXGUHXBYJXCX
      BYIWSXQWPWSYIXAABCDEHIJKLMVLVMWPWSXAVNXAWPXQWSXAXOXQYDXRVOTVPVDDAFGWRAVTV
      QWRABCDEHIJKLMVRVSAWAVQAWBVQZWCWDDWEZWCDAWFYKYLABCDEHIJKLMWGWHDWIWJUOWKWL
      WM $.
  $}

  ${
    usgrnbcnvfv.i $e |- I = ( iEdg ` G ) $.
    $( Applying the edge function on the converse edge function applied on a
       pair of a vertex and one of its neighbors is this pair in a simple
       graph.  (Contributed by Alexander van der Vekens, 18-Dec-2017.)
       (Revised by AV, 27-Oct-2020.) $)
    usgrnbcnvfv $p |- ( ( G e. USGraph /\ N e. ( G NeighbVtx K ) )
                     -> ( I ` ( `' I ` { K , N } ) ) = { K , N } ) $=
      ( cusgr wcel cdm crn wf1o cnbgr co cpr ccnv cfv wceq usgrf1o prcom cedg
      wa nbusgreledg ciedg edgval eqcomi rneqi eqtri a1i eleq2d bitrd eqeltrrid
      eqid biimpa f1ocnvfv2 syl2an2r ) AFGZBHZBIZBJDACKLGZCDMZUQGUSBNOBOUSPBAEQ
      UOURTUSDCMZUQDCRUOURUTUQGZUOURUTASOZGVAVBACDVBUKUAUOVBUQUTVBUQPUOVBAUBOZI
      UQAUCVCBBVCEUDUEUFUGUHUIULUJUPUQUSBUMUN $.
  $}

  ${
    $d E e $.  $d G e $.  $d M e $.  $d N e $.
    nbusgredgeu.e $e |- E = ( Edg ` G ) $.
    $( For each neighbor of a vertex there is exactly one edge between the
       vertex and its neighbor in a simple graph.  (Contributed by Alexander
       van der Vekens, 17-Dec-2017.)  (Revised by AV, 27-Oct-2020.) $)
    nbusgredgeu $p |- ( ( G e. USGraph /\ M e. ( G NeighbVtx N ) )
                            -> E! e e. E e = { M , N } ) $=
      ( cusgr wcel cnbgr co wa cv cpr wceq wrex wrmo wreu nbusgreledg biimpa wb
      eqeq1 adantl eqidd rspcedvd rmoeq reu5 sylanblrc ) CGHZDCEIJHZKZALZDEMZNZ
      ABOUMABPUMABQUJUMULULNZAULBUHUIULBHBCEDFRSUMUMUNTUJUKULULUAUBUJULUCUDAULB
      UEUMABUFUG $.
  $}

  ${
    $d C n $.  $d E n $.  $d G n $.  $d M n $.  $d V n $.
    edgnbusgreu.e $e |- E = ( Edg ` G ) $.
    edgnbusgreu.n $e |- N = ( G NeighbVtx M ) $.
    $( For each edge incident to a vertex there is exactly one neighbor of the
       vertex also incident to this edge in a simple graph.  (Contributed by
       AV, 28-Oct-2020.)  (Revised by AV, 6-Jul-2022.) $)
    edgnbusgreu $p |- ( ( ( G e. USGraph /\ M e. V ) /\ ( C e. E /\ M e. C ) )
                        -> E! n e. N C = { M , n } ) $=
      ( wcel wa cpr wceq weu wreu cfv eleq2i biimpi ad2antrl simprr cvtx simpll
      cusgr cv cedg usgredg2vtxeu syl3anc df-reu wi prcom eqeq2i eleq1d biimpcd
      adantld imp jca simpl eqid usgrpredgv simpld syl2an impbida eubidv biimpd
      syl5bi mpd wb cnbgr co nbusgreledg syl5bb anbi1d ad2antrr mpbird sylibr )
      DUCJZEGJZKZACJZEAJZKZKZBUDZFJZAEWCLZMZKZBNZWFBFOWBWHWCELZCJZWFKZBNZWBWFBD
      UAPZOZWLWBVPADUEPZJZVTWNVPVQWAUBZVSWPVRVTVSWPCWOAHQRSVRVSVTTBADEUFUGWNWCW
      MJZWFKZBNZWBWLWFBWMUHWBWTWLWBWSWKBWBWSWKWBWSKWJWFWBWSWJWBWFWJWRVSWFWJUIVR
      VTWFVSWJWFAWICWFAWIMWEWIAEWCUJUKRULUMSUNUOWBWRWFTUPWBWKKWRWFWBVPWJWRWKWQW
      JWFUQVPWJKWREWMJCDWCEWMHWMURUSUTVAWBWJWFTUPVBVCVDVEVFWBWGWKBVPWGWKVGVQWAV
      PWDWJWFWDWCDEVHVIZJVPWJFXAWCIQCDEWCHVJVKVLVMVCVNWFBFUHVO $.
  $}

  ${
    $d E i e $.  $d G i $.  $d M i $.  $d N i $.  $d U i e $.  $d V i $.
    nbusgrf1o1.v $e |- V = ( Vtx ` G ) $.
    nbusgrf1o1.e $e |- E = ( Edg ` G ) $.
    nbusgrf1o1.n $e |- N = ( G NeighbVtx U ) $.
    nbusgrf1o1.i $e |- I = { e e. E | U e. e } $.
    $( For each neighbor of a vertex there is exactly one edge between the
       vertex and its neighbor in a simple graph.  (Contributed by Alexander
       van der Vekens, 17-Dec-2017.)  (Revised by AV, 27-Oct-2020.)  (Proof
       shortened by AV, 13-Feb-2022.) $)
    nbusgredgeu0 $p |- ( ( ( G e. USGraph /\ U e. V ) /\ M e. N )
                          -> E! i e. I i = { U , M } ) $=
      ( wcel wa cv weu wreu cnbgr co cusgr wceq simpll eleq2i wb nbgrsym biimpd
      cpr a1i syl5bi imp nbusgredgeu syl2anc df-reu sylib anass prid1g ad2antlr
      eleq2 syl5ibrcom pm4.71rd bicomd anbi2d syl5bb eubidv mpbird elrab2 eubii
      anbi1i bitri sylibr ) EUANZAINZOZGHNZOZCPZDNZAVQNZOZVQAGUHZUBZOZCQZWBCFRZ
      VPWDVRWBOZCQZVPWBCDRZWGVPVLAEGSTNZWHVLVMVOUCVNVOWIVOGEASTZNZVNWIHWJGLUDVN
      WKWIWKWIUEVNEAGUFUIUGUJUKCDEAGKULUMWBCDUNUOVPWCWFCWCVRVSWBOZOVPWFVRVSWBUP
      VPWLWBVRVPWBWLVPWBVSVPVSWBAWANZVMWMVLVOAGIUQURVQWAAUSUTVAVBVCVDVEVFWEVQFN
      ZWBOZCQWDWBCFUNWOWCCWNVTWBABPZNVSBVQDFWPVQAUSMVGVIVHVJVK $.

    $d E n $.  $d G e n $.  $d I e n $.  $d N e n $.  $d U n $.  $d V e n $.
    ${
      $d F e $.
      nbusgrf1o.f $e |- F = ( n e. N |-> { U , n } ) $.
      $( The mapping of neighbors of a vertex to edges incident to the vertex
         is a bijection ( 1-1 onto function) in a simple graph.  (Contributed
         by Alexander van der Vekens, 17-Dec-2017.)  (Revised by AV,
         28-Oct-2020.) $)
      nbusgrf1o0 $p |- ( ( G e. USGraph /\ U e. V )
                         -> F : N -1-1-onto-> I ) $=
        ( wcel wa cv cpr wral adantr cusgr wceq wreu wf1o co eleq2i nbusgreledg
        cnbgr wb prcom eleq1i biimpi adantl prid1g eleq2 elrab2 sylanbrc sylbid
        ex syl5bi ralrimiv rabeq2i edgnbusgreu sylan2b ralrimiva f1ompt ) FUAOZ
        AIOZPZACQZRZGOZCHSBQZVKUBCHUCZBGSHGEUDVIVLCHVJHOVJFAUHUEZOZVIVLHVOVJLUF
        VIVPVJARZDOZVLVGVPVRUIVHDFAVJKUGTVIVRVLVIVRPVKDOZAVKOZVLVRVSVIVRVSVQVKD
        VJAUJUKULUMVIVTVRVHVTVGAVJIUNUMTAVMOZVTBVKDGVMVKAUOMUPUQUSURUTVAVIVNBGV
        MGOVIVMDOWAPVNWABGDMVBVMCDFAHIKLVCVDVECBHGVKENVFUQ $.
    $}

    $d I f $.  $d N f n $.  $d U f $.
    $( The set of neighbors of a vertex is isomorphic to the set of edges
       containing the vertex in a simple graph.  (Contributed by Alexander van
       der Vekens, 19-Dec-2017.)  (Revised by AV, 28-Oct-2020.) $)
    nbusgrf1o1 $p |- ( ( G e. USGraph /\ U e. V )
                       -> E. f f : N -1-1-onto-> I ) $=
      ( vn cusgr wcel wa cv wf1o cpr cvv cmpt cnbgr mptexg mp1i eqid nbusgrf1o0
      ovexi f1oeq1 spcedv ) ENOAHOPZGFCQZRGFMGAMQSZUAZRCTUMGTOUMTOUJGEAUBKUGMGU
      LTUCUDABMDUMEFGHIJKLUMUEUFGFUKUMUHUI $.
  $}

  ${
    $d E c e f $.  $d G c f $.  $d U c e f $.  $d V c $.
    nbusgrf1o.v $e |- V = ( Vtx ` G ) $.
    nbusgrf1o.e $e |- E = ( Edg ` G ) $.
    $( The set of neighbors of a vertex is isomorphic to the set of edges
       containing the vertex in a simple graph.  (Contributed by Alexander van
       der Vekens, 19-Dec-2017.)  (Revised by AV, 28-Oct-2020.) $)
    nbusgrf1o $p |- ( ( G e. USGraph /\ U e. V )
             -> E. f f : ( G NeighbVtx U ) -1-1-onto-> { e e. E | U e. e } ) $=
      ( vc cv wcel crab cnbgr co eqid eleq2w cbvrabv nbusgrf1o1 ) AICDEABJKZBDL
      EAMNZFGHTOSAIJKBIDBIAPQR $.

    $( The number of neighbors of a vertex is the number of edges at the vertex
       in a simple graph.  (Contributed by AV, 27-Dec-2020.)  (Proof shortened
       by AV, 5-May-2021.) $)
    nbedgusgr $p |- ( ( G e. USGraph /\ U e. V )
                -> ( # ` ( G NeighbVtx U ) ) = ( # ` { e e. E | U e. e } ) ) $=
      ( vf cnbgr co cvv wcel cusgr wa cv crab wf1o wex chash cfv wceq nbusgrf1o
      ovex hasheqf1oi mpsyl ) DAIJZKLDMLAELNUFABOLBCPZHOQHRUFSTUGSTUADAIUCABHCD
      EFGUBUFUGHKUDUE $.

    $( The number of neighbors of a vertex in a simple graph is finite iff the
       number of edges having this vertex as endpoint is finite.  (Contributed
       by Alexander van der Vekens, 20-Dec-2017.)  (Revised by AV,
       28-Oct-2020.) $)
    edgusgrnbfin $p |- ( ( G e. USGraph /\ U e. V )
            -> ( ( G NeighbVtx U ) e. Fin <-> { e e. E | U e. e } e. Fin ) ) $=
      ( vf cusgr wcel wa cnbgr co cfn cv crab wi expcom syl exlimiv wex wfo wf1
      wf1o nbusgrf1o f1ofo fofi f1of1 f1fi impbid ) DIJAEJKZDALMZNJZABOJBCPZNJZ
      UKULUNHOZUDZHUAZUMUOQZABHCDEFGUEZUQUSHUQULUNUPUBZUSULUNUPUFUMVAUOULUNUPUG
      RSTSUKURUOUMQZUTUQVBHUQULUNUPUCZVBULUNUPUHUOVCUMULUNUPUIRSTSUJ $.

    $( The class of neighbors of a vertex in a simple graph with a finite
       number of edges is a finite set.  (Contributed by Alexander van der
       Vekens, 19-Dec-2017.)  (Revised by AV, 28-Oct-2020.) $)
    nbusgrfi $p |- ( ( G e. USGraph /\ E e. Fin /\ U e. V )
                     -> ( G NeighbVtx U ) e. Fin ) $=
      ( ve cusgr wcel cfn w3a cnbgr co crab rabfi 3ad2ant2 edgusgrnbfin 3adant2
      cv wb mpbird ) CHIZBJIZADIZKCALMJIZAGSIZGBNJIZUCUBUGUDUFGBOPUBUDUEUGTUCAG
      BCDEFQRUA $.
  $}

  $( The class of neighbors of a vertex in a finite simple graph is a finite
     set.  (Contributed by Alexander van der Vekens, 7-Mar-2018.)  (Revised by
     AV, 28-Oct-2020.) $)
  nbfiusgrfi $p |- ( ( G e. FinUSGraph /\ N e. ( Vtx ` G ) )
                     -> ( G NeighbVtx N ) e. Fin ) $=
    ( cfusgr wcel cvtx cfv wa cusgr cedg cfn cnbgr co fusgrusgr adantr fusgrfis
    simpr eqid nbusgrfi syl3anc ) ACDZBAEFZDZGAHDZAIFZJDZUBABKLJDTUCUBAMNTUEUBA
    ONTUBPBUDAUAUAQUDQRS $.

  ${
    hashnbusgrnn0.v $e |- V = ( Vtx ` G ) $.
    $( The number of neighbors of a vertex in a finite simple graph is a
       nonnegative integer.  (Contributed by Alexander van der Vekens,
       14-Jul-2018.)  (Revised by AV, 15-Dec-2020.) $)
    hashnbusgrnn0 $p |- ( ( G e. FinUSGraph /\ U e. V )
                          -> ( # ` ( G NeighbVtx U ) ) e. NN0 ) $=
      ( cfusgr wcel wa cnbgr co cfn chash cfv cn0 cvtx eleq2i nbfiusgrfi hashcl
      sylan2b syl ) BEFZACFZGBAHIZJFZUBKLMFUATABNLZFUCCUDADOBAPRUBQS $.

    $( The number of neighbors of a vertex is at most the number of vertices of
       the graph minus 1 in a finite simple graph.  (Contributed by AV,
       16-Dec-2020.)  (Proof shortened by AV, 13-Feb-2022.) $)
    nbfusgrlevtxm1 $p |- ( ( G e. FinUSGraph /\ U e. V )
                        -> ( # ` ( G NeighbVtx U ) ) <_ ( ( # ` V ) - 1 ) ) $=
      ( cfusgr wcel wa cnbgr co chash cfv csn cdif c1 cmin cle cvv wss wbr cvtx
      difexi nbgrssovtx a1i hashss sylancr cfn wceq fusgrvtxfi hashdifsn eqcomd
      fvexi sylan breqtrrd ) BEFZACFZGZBAHIZJKZCALZMZJKZCJKNOIZPUPUTQFUQUTRZURV
      APSCUSCBTDUKUAVCUPBCADUBUCUTUQQUDUEUNCUFFZUOVBVAUGBCDUHVDUOGVAVBCAUIUJULU
      M $.

    $( If there is a vertex which is not a neighbor of another vertex, the
       number of neighbors of the other vertex is at most the number of
       vertices of the graph minus 2 in a finite simple graph.  (Contributed by
       AV, 16-Dec-2020.)  (Proof shortened by AV, 13-Feb-2022.) $)
    nbfusgrlevtxm2 $p |- ( ( ( G e. FinUSGraph /\ U e. V )
                           /\ ( M e. V /\ M =/= U /\ M e/ ( G NeighbVtx U ) ) )
                        -> ( # ` ( G NeighbVtx U ) ) <_ ( ( # ` V ) - 2 ) ) $=
      ( cfusgr wcel wa wne cnbgr co wnel w3a chash cfv cpr cdif c2 cle cvv cmin
      wss wbr cvtx fvexi difexg simpr3 nbgrssvwo2 syl hashss syl2anc fusgrvtxfi
      mp1i cfn wceq ad2antrr simpr1 simplr simpr2 hashdifpr syl13anc breqtrd )
      BFGZADGZHZCDGZCAIZCBAJKZLZMZHZVHNOZDCAPZQZNOZDNORUAKZSVKVNTGZVHVNUBZVLVOS
      UCDTGVQVKDBUDEUEDVMTUFUMVKVIVRVEVFVGVIUGBCDAEUHUIVNVHTUJUKVKDUNGZVFVDVGVO
      VPUOVCVSVDVJBDEULUPVEVFVGVIUQVCVDVJURVEVFVGVIUSDCAUTVAVB $.

    $( If the number of neighbors of a vertex in a finite simple graph is the
       number of vertices of the graph minus 1, each vertex except the first
       mentioned vertex is a neighbor of this vertex.  (Contributed by
       Alexander van der Vekens, 14-Jul-2018.)  (Revised by AV,
       16-Dec-2020.) $)
    nbusgrvtxm1 $p |- ( ( G e. FinUSGraph /\ U e. V )
                   -> ( ( # ` ( G NeighbVtx U ) ) = ( ( # ` V ) - 1 )
                        -> ( ( M e. V /\ M =/= U )
                             -> M e. ( G NeighbVtx U ) ) ) ) $=
      ( co wcel wa chash cfv c1 cmin wi wn c2 cle wbr simpr adantr ex cnbgr wne
      cfusgr wceq ax-1 2a1d wnel simprl adantl df-nel biimpri nbfusgrlevtxm2 wb
      syl13anc breq1 cfn cn0 fusgrvtxfi hashcl cr nn0re clt 2re a1i id ltsub2dd
      1red 1lt2 resubcld peano2rem ltnled syl 3syl pm2.21d ad3antlr sylbid mpid
      mpbid com23 pm2.61i ) CBAUAFZGZBUCGZADGZHZWAIJZDIJZKLFZUDZCDGZCAUBZHZWBMZ
      MZMWBWMWEWIWBWLUEUFWBNZWEWNWOWEHZWLWIWBWPWLWIWBMWPWLHZWIWFWGOLFZPQZWBWQWE
      WJWKCWAUGZWSWPWEWLWOWERSWPWJWKUHWLWKWPWJWKRUIWPWTWLWOWTWEWTWOCWAUJUKSSABC
      DEULUNWQWIWSWBMWQWIHWSWHWRPQZWBWIWSXAUMWQWFWHWRPUOUIWEXAWBMZWOWLWIWCXBWDW
      CXAWBWCDUPGWGUQGZXANZBDEURDUSXCWGUTGZXDWGVAXEWRWHVBQXDXEKOWGXEVGOUTGXEVCV
      DZXEVEZKOVBQXEVHVDVFXEWRWHXEWGOXGXFVIWGVJVKVRVLVMVNSVOVPTVQTVSTVT $.
  $}

  ${
    $d A v $.  $d B v $.  $d C v $.  $d E v $.  $d G v $.  $d V v $.
    $d ph v $.
    nb3grpr.v $e |- V = ( Vtx ` G ) $.
    nb3grpr.e $e |- E = ( Edg ` G ) $.
    nb3grpr.g $e |- ( ph -> G e. USGraph ) $.
    nb3grpr.t $e |- ( ph -> V = { A , B , C } ) $.
    nb3grpr.s $e |- ( ph -> ( A e. X /\ B e. Y /\ C e. Z ) ) $.
    $( Lemma 1 for ~ nb3grpr .  (Contributed by Alexander van der Vekens,
       15-Oct-2017.)  (Revised by AV, 28-Oct-2020.) $)
    nb3grprlem1 $p |- ( ph -> ( ( G NeighbVtx A ) = { B , C }
                                <-> ( { A , B } e. E /\ { A , C } e. E ) ) ) $=
      ( wceq wcel syl adantr wb vv cnbgr co cpr wa prid1g 3ad2ant2 eleq2 eqcoms
      w3a adantl mpbid cusgr nbusgreledg prcom a1i eleq1d bitrd prid2g 3ad2ant3
      jca cv crab nbusgr cab wo ctp wi w3o vex wne usgredgne df-ne pm2.24 com12
      eltp wn sylbi ex com3r orc 2a1d olc 3jaoi sylbid impd 3mix2i simp2d eltpg
      eqid mpbiri eleq1 bicomd impcom preq2 biimpcd ad2antrl tpid3g jaoi impbid
      ad2antll abbidv df-rab dfpr2 3eqtr4g eqtrd impbida ) AFBUBUCZCDUDZPZBCUDZ
      EQZBDUDZEQZUEZAXJUEZXLXNXPCXHQZXLXPCXIQZXQAXRXJABHQZCIQZDJQZUJZXROXTXSXRY
      ACDIUFUGRSXJXRXQTZAYCXIXHXIXHCUHUIUKULAXQXLTZXJAFUMQZYDMYEXQCBUDZEQXLEFBC
      LUNYEYFXKEYFXKPYECBUOUPUQURRSULXPDXHQZXNXPDXIQZYGAYHXJAYBYHOYAXSYHXTCDJUS
      UTRSXJYHYGTZAYIXIXHXIXHDUHUIUKULAYGXNTZXJAYEYJMYEYGDBUDZEQXNEFBDLUNYEYKXM
      EYKXMPYEDBUOUPUQURRSULVAAXOUEZXHBUAVBZUDZEQZUAGVCZXIAXHYPPZXOAYEYQMUAEFBG
      KLVDRSYLYMGQZYOUEZUAVEYMCPZYMDPZVFZUAVEYPXIYLYSUUBUAYLYSUUBYLYRYOUUBYLYRY
      MBCDVGZQZYOUUBVHZAYRUUDTZXOAGUUCPZUUFNGUUCYMUHZRSUUDYLUUEUUDYMBPZYTUUAVIY
      LUUEVHZYMBCDUAVJVPUUIUUJYTUUAYLYOUUIUUBAYOUUIUUBVHZVHZXOAYEUULMYEYOUUKYEY
      OUEBYMVKZUUKEFBYMLVLUUMBYMPZVQZUUKBYMVMUUIUUOUUBUUOUUBVHBYMUUNUUBVNUIVOVR
      RVSRSVTYTUUBYLYOYTUUAWAWBUUAUUBYLYOUUAYTWCWBWDVRVOWEWFUUBYLYSYTYLYSVHUUAY
      TYLYSYTYLUEYRYOYLYTYRAYTYRVHXOAYTYRAYTUEZUUDYRUUPCUUCQZUUDAUUQYTAUUQCBPZC
      CPZCDPZVIZUUSUURUUTCWJWGAXTUUQUVATAXSXTYAOWHCBCDIWIRWKSYTUUQUUDTAYTUUDUUQ
      YMCUUCWLWMUKULAUUDYRTZYTAUUGUVBNUUGYRUUDUUHWMRZSULVSSWNYLYTYOXLYTYOVHAXNY
      TXLYOXLYOTCYMCYMPXKYNECYMBWOUQUIWPWQWNVAVSUUAYLYSUUAYLUEYRYOYLUUAYRAUUAYR
      VHXOAUUAYRAUUAUEZUUDYRUVDDUUCQZUUDAUVEUUAAYBUVEOYAXSUVEXTDJBCWRUTRSUUAUVE
      UUDTAUUAUUDUVEYMDUUCWLWMUKULAUVBUUAUVCSULVSSWNYLUUAYOXNUUAYOVHAXLUUAXNYOX
      NYOTDYMDYMPXMYNEDYMBWOUQUIWPXAWNVAVSWSVOWTXBYOUAGXCUACDXDXEXFXG $.

    $d A v w $.  $d B w $.  $d C w $.  $d E v $.  $d G w $.  $d V w $.
    nb3grpr.n $e |- ( ph -> ( A =/= B /\ A =/= C /\ B =/= C ) ) $.
    $( Lemma 2 for ~ nb3grpr .  (Contributed by Alexander van der Vekens,
       17-Oct-2017.)  (Revised by AV, 28-Oct-2020.)  (Proof shortened by AV,
       13-Feb-2022.) $)
    nb3grprlem2 $p |- ( ph -> ( ( G NeighbVtx A ) = { B , C }
                                <-> E. v e. V E. w e. ( V \ { v } )
                                    ( G NeighbVtx A ) = { v , w } ) ) $=
      ( cpr wceq cnbgr co cv ctp csn cdif wrex w3o wcel w3a sneq difeq2d eqeq2d
      wb preq1 rexeqbidv rextpg syl cusgr wa jca simpl difeq1 adantr rexeqdv wo
      preq2 rexprg 3adant1 ancoms 3adant2 3adant3 3orbi123d wne tprot a1i necom
      difeq1d diftpsn3 syl2anb eqtrd eqcomi anbi1i biimpi prcom eqeq2i oridm wn
      orbi2i bitr2i wnel nbgrnself2 wi df-nel 3ad2ant1 eleq2 syl5ibrcom con3rr3
      prid2g sylbi mpsyl biorf orcom bitrdi prid1g con3dimp expcom ioran sylibr
      orbi12d 3bior1fd 3bitrd 3bitr4rd ) AHDUAUBZCUCZBUCZSZTZBDEFUDZXOUEZUFZUGZ
      CXSUGZXNDXPSZTZBXSDUEZUFZUGZXNEXPSZTZBXSEUEZUFZUGZXNFXPSZTZBXSFUEZUFZUGZU
      HZXRBIXTUFZUGZCIUGZXNEFSZTZADJUIZEKUIZFLUIZUJZYCYSUNQYBYHYMYRCDEFJKLXODTZ
      XRYEBYAYGUUIXTYFXSXODUKULUUIXQYDXNXODXPUOUMUPXOETZXRYJBYAYLUUJXTYKXSXOEUK
      ULUUJXQYIXNXOEXPUOUMUPXOFTZXRYOBYAYQUUKXTYPXSXOFUKULUUKXQYNXNXOFXPUOUMUPU
      QURAIXSTZHUSUIZUTZUUBYCUNAUULUUMPOVAUUNUUAYBCIXSUULUUMVBUUNXRBYTYAUULYTYA
      TUUMIXSXTVCVDVEUPURAYEBUUCUGZYJBFDSZUGZYOBDESZUGZUHZXNUURTZXNDFSZTZVFZUUD
      XNEDSZTZVFZXNUUPTZXNFESZTZVFZUHZYSUUDAUUHUUTUVLUNQUUHUUOUVDUUQUVGUUSUVKUU
      FUUGUUOUVDUNUUEYEUVAUVCBEFKLXPETZYDUURXNXPEDVGUMXPFTZYDUVBXNXPFDVGUMVHVIU
      UEUUGUUQUVGUNZUUFUUGUUEUVOYJUUDUVFBFDLJUVNYIUUCXNXPFEVGUMXPDTZYIUVEXNXPDE
      VGUMVHVJVKUUEUUFUUSUVKUNUUGYOUVHUVJBDEJKUVPYNUUPXNXPDFVGUMUVMYNUVIXNXPEFV
      GUMVHVLVMURADEVNZDFVNZEFVNZUJZYSUUTUNRUVTYHUUOYMUUQYRUUSUVTYEBYGUUCUVTYGE
      FDUDZYFUFZUUCUVTXSUWAYFXSUWATUVTDEFVOVPVRUVQUVRUWBUUCTZUVSUVQEDVNFDVNUWCU
      VRDEVQDFVQEFDVSVTVLWAVEUVTYJBYLUUPUVTYLFDEUDZYKUFZUUPUVTXSUWDYKXSUWDTUVTU
      WDXSFDEVOWBVPVRUVQUVSUWEUUPTZUVRUVQUVSUTFEVNZUVQUTZUWFUVSUVQUWHUVSUVQUTUW
      HUVSUWGUVQEFVQWCWDVJFDEVSURVKWAVEUVTYOBYQUURUVRUVSYQUURTUVQDEFVSVIVEVMURA
      UUDUUDUVJVFZUVGUVKVFUVLUUDUWIUNAUWIUUDUUDVFUUDUVJUUDUUDUVIUUCXNFEWEWFWIUU
      DWGWJVPAUUDUVGUVJUVKAUVFWHZUUDUVGUNDXNWKZAUUHUWJHDWLZQUWKDXNUIZWHZUUHUWJW
      MDXNWNZUUHUVFUWMUUHUWMUVFDUVEUIZUUEUUFUWPUUGEDJWSWOXNUVEDWPWQWRWTXAUWJUUD
      UVFUUDVFUVGUVFUUDXBUVFUUDXCXDURAUVHWHZUVJUVKUNUWKAUUHUWQUWLQUWKUWNUUHUWQW
      MUWOUUHUVHUWMUUHUWMUVHDUUPUIZUUEUUFUWRUUGFDJWSWOXNUUPDWPWQWRWTXAUVHUVJXBU
      RXJAUVKUVGUVDAUVAWHZUVCWHZUTZUVDWHUWKAUUHUXAUWLQUWKUWNUUHUXAWMUWOUUHUWNUX
      AUUHUWNUTUWSUWTUUHUVAUWMUUHUWMUVADUURUIZUUEUUFUXBUUGDEJXEWOXNUURDWPWQXFUU
      HUVCUWMUUHUWMUVCDUVBUIZUUEUUFUXCUUGDFJXEWOXNUVBDWPWQXFVAXGWTXAUVAUVCXHXIX
      KXLXMXM $.

    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d E y $.  $d G x y z $.
    $d V x y z $.  $d ph y $.
    $( The neighbors of a vertex in a simple graph with three elements are an
       unordered pair of the other vertices iff all vertices are connected with
       each other.  (Contributed by Alexander van der Vekens, 18-Oct-2017.)
       (Revised by AV, 28-Oct-2020.) $)
    nb3grpr $p |- ( ph -> ( ( { A , B } e. E /\ { B , C } e. E
                              /\ { C , A } e. E )
                            <-> A. x e. V E. y e. V E. z e. ( V \ { y } )
                                ( G NeighbVtx x ) = { y , z } ) ) $=
      ( w3a cpr wcel cnbgr co cv wceq csn cdif wrex ctp wral wa wb prcom eleq1i
      id 3anbi123i 3anrot bitr4i a1i biadanii an6 bitri nb3grprlem1 tprot sylib
      eqtrdi eqtr4di sylibr 3anbi123d nb3grprlem2 wne necom biid 3bitr2d eqeq1d
      oveq2 2rexbidv raltpg syl raleq bicomd ) AEFUAZHUBZFGUAZHUBZGEUAZHUBZTZIE
      UCUDZCUEZDUEUAZUFZDJWKUGUHZUICJUIZIFUCUDZWLUFZDWNUICJUIZIGUCUDZWLUFZDWNUI
      CJUIZTZIBUEZUCUDZWLUFZDWNUICJUIZBEFGUJZUKZXFBJUKZAWIWDEGUAZHUBZULZWFFEUAZ
      HUBZULZWHGFUAZHUBZULZTZWJWEUFZWPWGUFZWSWCUFZTXBWIXSUMAWIWIXKXNXQTZULXSWIW
      IYCWIUPWIYCUMWIWIXNXQXKTYCWDXNWFXQWHXKWCXMHEFUNUOWEXPHFGUNUOWGXJHGEUNUOUQ
      XKXNXQURUSUTVAWDWFWHXKXNXQVBVCUTAXTXLYAXOYBXRAEFGHIJKLMNOPQRVDAFGEHIJLMKN
      OPAJXGFGEUJQEFGVEVGZAEKUBZFLUBZGMUBZTZYFYGYETRYEYFYGURVFZVDAGEFHIJMKLNOPA
      JXGGEFUJQGEFVEVHZAYHYGYEYFTRYGYEYFURVIZVDVJAXTWOYAWRYBXAADCEFGHIJKLMNOPQR
      SVKADCFGEHIJLMKNOPYDYIAEFVLZEGVLZFGVLZTZYNFEVLZGEVLZTZSYOYPYQYNTYRYLYPYMY
      QYNYNEFVMEGVMZYNVNUQYNYPYQURUSVFVKADCGEFHIJMKLNOPYJYKAYOYQGFVLZYLTZSYOYMY
      NYLTUUAYLYMYNURYMYQYNYTYLYLYSFGVMYLVNUQVCVFVKVJVOAYHXHXBUMRXFWOWRXABEFGKL
      MXCEUFZXEWMCDJWNUUBXDWJWLXCEIUCVQVPVRXCFUFZXEWQCDJWNUUCXDWPWLXCFIUCVQVPVR
      XCGUFZXEWTCDJWNUUDXDWSWLXCGIUCVQVPVRVSVTAJXGUFZXHXIUMQUUEXIXHXFBJXGWAWBVT
      VO $.

    $( The neighbors of a vertex in a simple graph with three elements are an
       unordered pair of the other vertices iff all vertices are connected with
       each other.  (Contributed by Alexander van der Vekens, 18-Oct-2017.)
       (Revised by AV, 28-Oct-2020.) $)
    nb3grpr2 $p |- ( ph -> ( ( { A , B } e. E /\ { B , C } e. E
                                /\ { C , A } e. E )
                              <-> ( ( G NeighbVtx A ) = { B , C }
                                 /\ ( G NeighbVtx B ) = { A , C }
                                 /\ ( G NeighbVtx C ) = { A , B } ) ) ) $=
      ( cpr wcel w3a wa cnbgr co wceq 3anan32 a1i eleq1i biimpi pm4.71i bianass
      prcom anbi1i anass bitrdi df-3an bitr4i anbi2i 3anass anbi12i nb3grprlem1
      bitri an6 ctp tpcoma eqtrdi 3ancoma sylib eqtr4di 3anrot sylibr 3anbi123d
      wb tprot bitr4d ) ABCQZERZCDQZERZDBQZERZSZVOBDQZERZTZCBQZERZVQTZVSDCQZERZ
      TZSZFBUAUBVPUCZFCUAUBWAUCZFDUAUBVNUCZSAVTVOVSTZWBVQTZTZWJAVTWNVQTZWPVTWQV
      KAVOVQVSUDUEWQWNWBTZVQTWPWNWRVQVSVSWBVOVSWBVSWBVRWAEDBUJUFUGUHUIUKWNWBVQU
      LUTUMWPVOWEVSSZWBVQWHSZTWJWNWSWOWTWNVOWETZVSTWSVOXAVSVOWEVOWEVNWDEBCUJUFU
      GUHUKVOWEVSUNUOWOWBVQWHTZTWTVQXBWBVQWHVQWHVPWGECDUJUFUGUHUPWBVQWHUQUOURVO
      WEVSWBVQWHVAUTUMAWKWCWLWFWMWIABCDEFGHIJKLMNOUSACBDEFGIHJKLMAGBCDVBZCBDVBN
      BCDVCVDABHRZCIRZDJRZSZXEXDXFSOXDXEXFVEVFUSADBCEFGJHIKLMAGXCDBCVBNDBCVLVGA
      XGXFXDXESOXFXDXEVHVIUSVJVM $.
  $}

  $( If the neighbors of two vertices in a graph with three elements are an
     unordered pair of the other vertices, the neighbors of all three vertices
     are an unordered pair of the other vertices.  (Contributed by Alexander
     van der Vekens, 18-Oct-2017.)  (Revised by AV, 28-Oct-2020.) $)
  nb3gr2nb $p |- ( ( ( A e. X /\ B e. Y /\ C e. Z )
                      /\ ( ( Vtx ` G ) = { A , B , C } /\ G e. USGraph ) )
        -> ( ( ( G NeighbVtx A ) = { B , C }
                /\ ( G NeighbVtx B ) = { A , C } )
             <-> ( ( G NeighbVtx A ) = { B , C }
                /\ ( G NeighbVtx B ) = { A , C }
                /\ ( G NeighbVtx C ) = { A , B } ) ) ) $=
    ( wcel w3a ctp wceq wa cnbgr co cpr biimpi simprr simprl simpl nb3grprlem1
    cvtx cfv cusgr cedg wi eleq1i adantl anim12i a1i eqid 3ancoma tpcoma eqeq2i
    prcom wb anim1i syl2an anbi12d 3anrot biimpri eqcomi anbi1i 3imtr4d pm4.71d
    tprot df-3an bitr4di ) AEHZBFHZCGHZIZDUAUBZABCJZKZDUCHZLZLZDAMNBCOZKZDBMNAC
    OZKZLZWBDCMNABOZKZLVSWAWDIVQWBWDVQWCDUDUBZHZVTWEHZLZBAOWEHZVRWEHZLZLZCAOZWE
    HZCBOZWEHZLZWBWDWLWQUEVQWHWNWKWPWGWNWFWGWNVTWMWEACUNUFPUGWJWPWIWJWPVRWOWEBC
    UNUFPUGUHUIVQVSWHWAWKVQABCWEDVLEFGVLUJZWEUJZVKVNVOQVKVNVORVKVPSTVKVIVHVJIZV
    LBACJZKZVOLZWAWKUOVPVKWTVHVIVJUKPVNXBVOVNXBVMXAVLABCULUMPUPWTXCLBACWEDVLFEG
    WRWSWTXBVOQWTXBVORWTXCSTUQURVKVJVHVIIZVLCABJZKZVOLZWDWQUOVPXDVKVJVHVIUSUTVP
    XGVNXFVOVMXEVLXEVMCABVEVAUMVBPXDXGLCABWEDVLGEFWRWSXDXFVOQXDXFVORXDXGSTUQVCV
    DVSWAWDVFVG $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Universal vertices
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c UnivVtx $.

  $( Extend class notation with the universal vertices (in a graph). $)
  cuvtx $a class UnivVtx $.

  ${
    $d g v n $.
    $( Define the class of all universal vertices (in graphs).  A vertex is
       called _universal_ if it is adjacent, i.e. connected by an edge, to all
       other vertices (of the graph), or equivalently, if all other vertices
       are its neighbors.  (Contributed by Alexander van der Vekens,
       12-Oct-2017.)  (Revised by AV, 24-Oct-2020.) $)
    df-uvtx $a |- UnivVtx = ( g e. _V |-> { v e. ( Vtx ` g ) |
              A. n e. ( ( Vtx ` g ) \ { v } ) n e. ( g NeighbVtx v ) } ) $.
  $}

  ${
    $d G g n v $.  $d V g n v $.
    uvtxval.v $e |- V = ( Vtx ` G ) $.
    $( The set of all universal vertices.  (Contributed by Alexander van der
       Vekens, 12-Oct-2017.)  (Revised by AV, 29-Oct-2020.)  (Revised by AV,
       14-Feb-2022.) $)
    uvtxval $p |- ( UnivVtx ` G )
                 = { v e. V | A. n e. ( V \ { v } ) n e. ( G NeighbVtx v ) } $=
      ( vg cuvtx cfv cv cnbgr wcel csn cdif wral cvtx crab df-uvtx wceq fveq2
      co eqtr4di difeq1d oveq1 eleq2d raleqbidv fvmptrabfv eqcomi rabeqi eqtri
      ) CGHBIZCAIZJTZKZBDUKLZMZNZACOHZPUPADPUJFIZUKJTZKZBUROHZUNMZNUPFAGOCAFBQU
      RCRZUTUMBVBUOVCVADUNVCVAUQDURCOSEUAUBVCUSULUJURCUKJUCUDUEUFUPAUQDDUQEUGUH
      UI $.
  $}

  ${
    $d G n v $.  $d N n v $.  $d V n v $.
    uvtxel.v $e |- V = ( Vtx ` G ) $.
    $( A universal vertex, i.e. an element of the set of all universal
       vertices.  (Contributed by Alexander van der Vekens, 12-Oct-2017.)
       (Revised by AV, 29-Oct-2020.)  (Revised by AV, 14-Feb-2022.) $)
    uvtxel $p |- ( N e. ( UnivVtx ` G )
            <-> ( N e. V /\ A. n e. ( V \ { N } ) n e. ( G NeighbVtx N ) ) ) $=
      ( vv cv cnbgr wcel csn cdif wral cuvtx cfv wceq sneq difeq2d oveq2 eleq2d
      co raleqbidv uvtxval elrab2 ) AGZBFGZHTZIZADUEJZKZLUDBCHTZIZADCJZKZLFCDBM
      NUECOZUGUKAUIUMUNUHULDUECPQUNUFUJUDUECBHRSUAFABDEUBUC $.

    $( A universal vertex is a vertex.  (Contributed by Alexander van der
       Vekens, 12-Oct-2017.)  (Revised by AV, 30-Oct-2020.)  (Proof shortened
       by AV, 14-Feb-2022.) $)
    uvtxisvtx $p |- ( N e. ( UnivVtx ` G ) -> N e. V ) $=
      ( vn cuvtx cfv wcel cv cnbgr co csn cdif wral uvtxel simplbi ) BAFGHBCHEI
      ABJKHECBLMNEABCDOP $.

    $( The set of the universal vertices is a subset of the set of all
       vertices.  (Contributed by AV, 23-Dec-2020.) $)
    uvtxssvtx $p |- ( UnivVtx ` G ) C_ V $=
      ( vn cuvtx cfv cv uvtxisvtx ssriv ) DAEFBADGBCHI $.

    $( A universal vertex has all other vertices as neighbors.  (Contributed by
       Alexander van der Vekens, 14-Oct-2017.)  (Revised by AV, 30-Oct-2020.)
       (Proof shortened by AV, 14-Feb-2022.) $)
    vtxnbuvtx $p |- ( N e. ( UnivVtx ` G )
                      -> A. n e. ( V \ { N } ) n e. ( G NeighbVtx N ) ) $=
      ( cuvtx cfv wcel cv cnbgr co csn cdif wral uvtxel simprbi ) CBFGHCDHAIBCJ
      KHADCLMNABCDEOP $.

    $( A universal vertex has all other vertices as neighbors.  (Contributed by
       Alexander van der Vekens, 14-Oct-2017.)  (Revised by AV,
       30-Oct-2020.) $)
    uvtxnbgrss $p |- ( N e. ( UnivVtx ` G )
                       -> ( V \ { N } ) C_ ( G NeighbVtx N ) ) $=
      ( vn cuvtx cfv wcel cv cnbgr co csn cdif wral wss vtxnbuvtx dfss3 sylibr
      ) BAFGHEIABJKZHECBLMZNTSOEABCDPETSQR $.

    $( A universal vertex is neighbor of all other vertices.  (Contributed by
       Alexander van der Vekens, 14-Oct-2017.)  (Revised by AV,
       30-Oct-2020.) $)
    uvtxnbgrvtx $p |- ( N e. ( UnivVtx ` G )
                        -> A. v e. ( V \ { N } ) N e. ( G NeighbVtx v ) ) $=
      ( vn cuvtx cfv wcel cv cnbgr co csn cdif wral wi vtxnbuvtx eleq1w rspcva
      wa wb nbgrsym a1i syl5ibcom expcom com23 mpcom ralrimiv ) CBGHIZCBAJZKLIZ
      ADCMNZFJBCKLZIZFULOZUIUJULIZUKPFBCDEQUOUPUIUKUPUOUIUKPUPUOTUJUMIZUIUKUNUQ
      FUJULFAUMRSUQUKUAUIBCUJUBUCUDUEUFUGUH $.

    $( There is no universal vertex if there is no vertex.  (Contributed by
       Alexander van der Vekens, 12-Oct-2017.)  (Revised by AV, 30-Oct-2020.)
       (Proof shortened by AV, 14-Feb-2022.) $)
    uvtx0 $p |- ( V = (/) -> ( UnivVtx ` G ) = (/) ) $=
      ( vn vv c0 wceq cuvtx cfv cv cnbgr wcel cdif wral crab uvtxval rabeq rab0
      co csn eqtrdi syl5eq ) BFGZAHIDJAEJZKSLDBUDTMNZEBOZFEDABCPUCUFUEEFOFUEEBF
      QUEERUAUB $.

    $d E e $.  $d G e k v $.  $d V e k $.
    isuvtx.e $e |- E = ( Edg ` G ) $.
    $( The set of all universal vertices.  (Contributed by Alexander van der
       Vekens, 12-Oct-2017.)  (Revised by AV, 30-Oct-2020.)  (Revised by AV,
       14-Feb-2022.) $)
    isuvtx $p |- ( UnivVtx ` G )
               = { v e. V | A. k e. ( V \ { v } ) E. e e. E { k , v } C_ e } $=
      ( cuvtx cfv cv cnbgr co wcel wral crab cpr wss wrex wa csn uvtxval nbgrel
      cdif wne w3a df-3an bitri prcom sseq1i rexbii id eldifi anim12ci eldifsni
      adantl jca biantrurd bitr2id syl5bb ralbidva rabbiia eqtri ) EIJCKZEAKZLM
      NZCFVEUAZUDZOZAFPVDVEQZBKZRZBDSZCVHOZAFPACEFGUBVIVNAFVEFNZVFVMCVHVFVDFNZV
      OTZVDVEUEZTZVEVDQZVKRZBDSZTZVOVDVHNZTZVMVFVQVRWBUFWCBDEVDFVEGHUCVQVRWBUGU
      HVMWBWEWCVLWABDVJVTVKVDVEUIUJUKWEVSWBWEVQVRVOVOWDVPVOULVDFVGUMUNWDVRVOVDF
      VEUOUPUQURUSUTVAVBVC $.

    $d E n $.  $d N e k n $.
    $( Characterization of a universal vertex.  (Contributed by Alexander van
       der Vekens, 12-Oct-2017.)  (Revised by AV, 14-Feb-2022.) $)
    uvtxel1 $p |- ( N e. ( UnivVtx ` G )
          <-> ( N e. V /\ A. k e. ( V \ { N } ) E. e e. E { k , N } C_ e ) ) $=
      ( vn cv cpr wss wrex csn cdif wral cuvtx cfv wceq sneq difeq2d raleqbidv
      preq2 sseq1d rexbidv isuvtx elrab2 ) BJZIJZKZAJZLZACMZBFUINZOZPUHEKZUKLZA
      CMZBFENZOZPIEFDQRUIESZUMURBUOUTVAUNUSFUIETUAVAULUQACVAUJUPUKUIEUHUCUDUEUB
      IABCDFGHUFUG $.

    $d E v $.
    $( If a graph/class has no edges, it has universal vertices if and only if
       it has exactly one vertex.  (Contributed by Alexander van der Vekens,
       12-Oct-2017.)  (Revised by AV, 30-Oct-2020.)  (Revised by AV,
       14-Feb-2022.) $)
    uvtx01vtx $p |- ( E = (/) -> ( ( UnivVtx ` G ) =/= (/)
                                   <-> ( # ` V ) = 1 ) ) $=
      ( vn vv c0 wceq cfv wne cv wcel cdif wral wrex a1i wb wex wi cuvtx co csn
      cnbgr crab chash c1 uvtxval neeq1d rabn0 wa wn wal falseral0 noel mpg wss
      ex ssdif0 sssn ne0i eqneqall syl5 ax-1 jaoi sylbi sylbir syl impcom vsnid
      wo eleq2 mpbiri ralel difeq1 eqtrdi raleqdv jca impbii exbidv cedg eqeq1i
      difid nbgr0edg eleq2d rexralbidv df-rex bitrdi cvv fvexi hash1snb 3bitr4d
      cvtx mp1i 3bitrd ) AHIZBUAJZHKFLZBGLZUDUBZMZFCWSUCZNZOZGCUEZHKZXDGCPZCUFJ
      UGIZWPWQXEHWQXEIWPGFBCDUHQUIXFXGRWPXDGCUJQWPWSCMZWRHMZFXCOZUKZGSZCXBIZGSZ
      XGXHWPXLXNGXLXNRWPXLXNXKXIXNXKXCHIZXIXNTZXJULZXKXPTFXRFUMXKXPXJFXCUNURWRU
      OUPXPCXBUQZXQCXBUSXSCHIZXNVKXQCWSUTXTXQXNXICHKXTXNCWSVAXNCHVBVCXNXIVDVEVF
      VGVHVIXNXIXKXNXIWSXBMGVJCXBWSVLVMXNXKXJFHOFHVNXNXJFXCHXNXCXBXBNHCXBXBVOXB
      WCVPVQVMVRVSQVTWPXGXKGCPXMWPXAXJGFCXCWPWTHWRWPBWAJZHIWTHIAYAHEWBBWSWDVFWE
      WFXKGCWGWHCWIMXHXORWPCBWMDWJCWIGWKWNWLWO $.

    $( If a graph has two vertices, and there is an edge between the vertices,
       then each vertex is universal.  (Contributed by AV, 1-Nov-2020.)
       (Revised by AV, 25-Mar-2021.)  (Proof shortened by AV, 14-Feb-2022.) $)
    uvtx2vtx1edg $p |- ( ( ( # ` V ) = 2 /\ V e. E )
                         -> A. v e. V v e. ( UnivVtx ` G ) ) $=
      ( vn chash cfv c2 wceq wcel wa cv cuvtx wral cnbgr co csn cdif uvtxel a1i
      nbgr2vtx1edg wb baibd ralbidva mpbird ) DHIJKDBLMZANZCOILZADPGNCUIQRLGDUI
      STPZADPAGBCDEFUCUHUJUKADUHUJUIDLZUKUJULUKMUDUHGCUIDEUAUBUEUFUG $.

    $( If a hypergraph has two vertices, there is an edge between the vertices
       iff each vertex is universal.  (Contributed by AV, 3-Nov-2020.) $)
    uvtx2vtx1edgb $p |- ( ( G e. UHGraph /\ ( # ` V ) = 2 )
                          -> ( V e. E <-> A. v e. V v e. ( UnivVtx ` G ) ) ) $=
      ( vn cuhgr wcel chash cfv c2 wceq wa cv cnbgr co csn cdif wral uvtxel a1i
      cuvtx nbuhgr2vtx1edgb wb baibd bicomd ralbidva bitrd ) CHIDJKLMNZDBIGOCAO
      ZPQIGDUKRSTZADTUKCUCKIZADTAGBCDEFUDUJULUMADUJUKDIZNUMULUJUMUNULUMUNULNUEU
      JGCUKDEUAUBUFUGUHUI $.
  $}

  ${
    uvtxnbgr.v $e |- V = ( Vtx ` G ) $.
    $( A universal vertex has all other vertices as neighbors.  (Contributed by
       Alexander van der Vekens, 14-Oct-2017.)  (Revised by AV, 3-Nov-2020.)
       (Revised by AV, 23-Mar-2021.) $)
    uvtxnbgr $p |- ( N e. ( UnivVtx ` G )
                     -> ( G NeighbVtx N ) = ( V \ { N } ) ) $=
      ( cuvtx cfv wcel cnbgr co csn cdif wss nbgrssovtx a1i uvtxnbgrss eqssd )
      BAEFGZABHIZCBJKZRSLQACBDMNABCDOP $.

    $d G n $.  $d N n $.  $d V n $.
    $( A vertex is universal iff all the other vertices are its neighbors.
       (Contributed by Alexander van der Vekens, 13-Jul-2018.)  (Revised by AV,
       3-Nov-2020.)  (Revised by AV, 23-Mar-2021.)  (Proof shortened by AV,
       14-Feb-2022.) $)
    uvtxnbgrb $p |- ( N e. V -> ( N e. ( UnivVtx ` G )
                                <-> ( G NeighbVtx N ) = ( V \ { N } ) ) ) $=
      ( vn wcel cuvtx cfv cnbgr co csn cdif wceq uvtxnbgr wa wral simpl raleleq
      cv eqcoms adantl uvtxel sylanbrc ex impbid2 ) BCFZBAGHFZABIJZCBKLZMZABCDN
      UFUJUGUFUJOUFESUHFEUIPZUGUFUJQUJUKUFUKUIUHEUIUHRTUAEABCDUBUCUDUE $.

    $d G k n $.  $d V k v $.
    uvtxusgr.e $e |- E = ( Edg ` G ) $.
    $( The set of all universal vertices of a simple graph.  (Contributed by
       Alexander van der Vekens, 12-Oct-2017.)  (Revised by AV,
       31-Oct-2020.) $)
    uvtxusgr $p |- ( G e. USGraph -> ( UnivVtx ` G )
                      = { n e. V | A. k e. ( V \ { n } ) { k , n } e. E } ) $=
      ( cusgr wcel cuvtx cfv cv cnbgr co csn cdif wral crab cpr uvtxval ralbidv
      nbusgreledg rabbidv syl5eq ) DHIZDJKALZDBLZMNIZAEUGOPZQZBERUFUGSCIZAUIQZB
      ERBADEFTUEUJULBEUEUHUKAUICDUGUFGUBUAUCUD $.

    $d E v $.  $d G v $.  $d N k v $.
    $( A universal vertex, i.e. an element of the set of all universal
       vertices, of a simple graph.  (Contributed by Alexander van der Vekens,
       12-Oct-2017.)  (Revised by AV, 31-Oct-2020.) $)
    uvtxusgrel $p |- ( G e. USGraph -> ( N e. ( UnivVtx ` G )
                  <-> ( N e. V /\ A. k e. ( V \ { N } ) { k , N } e. E ) ) ) $=
      ( vv cusgr wcel cuvtx cfv cv cpr csn cdif wral crab wa uvtxusgr wceq sneq
      eleq2d difeq2d preq2 eleq1d raleqbidv elrab bitrdi ) CIJZDCKLZJDAMZHMZNZB
      JZAEUMOZPZQZHERZJDEJULDNZBJZAEDOZPZQZSUJUKUSDAHBCEFGTUCURVDHDEUMDUAZUOVAA
      UQVCVEUPVBEUMDUBUDVEUNUTBUMDULUEUFUGUHUI $.
  $}

  ${
    uvtxnm1nbgr.v $e |- V = ( Vtx ` G ) $.
    $( A universal vertex has ` n - 1 ` neighbors in a finite graph with ` n `
       vertices.  (Contributed by Alexander van der Vekens, 14-Oct-2017.)
       (Revised by AV, 3-Nov-2020.) $)
    uvtxnm1nbgr $p |- ( ( G e. FinUSGraph /\ N e. ( UnivVtx ` G ) )
                         -> ( # ` ( G NeighbVtx N ) ) = ( ( # ` V ) - 1 ) ) $=
      ( cfusgr wcel cuvtx cfv wa cnbgr chash csn cdif cmin wceq uvtxnbgr adantl
      co c1 fveq2d cfn wss fusgrvtxfi uvtxisvtx hashssdif syl2an hashsng oveq2d
      snssd 3eqtrd ) AEFZBAGHZFZIZABJRZKHCBLZMZKHZCKHZUPKHZNRZUSSNRUNUOUQKUMUOU
      QOUKABCDPQTUKCUAFUPCUBURVAOUMACDUCUMBCABCDUDUICUPUEUFUNUTSUSNUMUTSOUKBULU
      GQUHUJ $.

    $d G v $.  $d U v $.  $d V v $.
    $( If the number of neighbors of a vertex in a finite simple graph is the
       number of vertices of the graph minus 1, the vertex is universal.
       (Contributed by Alexander van der Vekens, 14-Jul-2018.)  (Revised by AV,
       16-Dec-2020.)  (Proof shortened by AV, 13-Feb-2022.) $)
    nbusgrvtxm1uvtx $p |- ( ( G e. FinUSGraph /\ U e. V )
                   -> ( ( # ` ( G NeighbVtx U ) ) = ( ( # ` V ) - 1 )
                        -> U e. ( UnivVtx ` G ) ) ) $=
      ( vv cfusgr wcel wa cnbgr co chash cfv c1 cmin wceq cuvtx cdif nbgrssovtx
      csn cv sseli wne eldifsn wi nbusgrvtxm1 syl5bi impbid2 eqrdv wb uvtxnbgrb
      imp ad2antlr mpbird ex ) BFGZACGZHZBAIJZKLCKLMNJOZABPLGZUQUSHZUTURCASQZOZ
      VAEURVBVAETZURGZVDVBGZURVBVDBCADRUAVFVDCGVDAUBHZVAVEVDCAUCUQUSVGVEUDABVDC
      DUEUKUFUGUHUPUTVCUIUOUSBACDUJULUMUN $.

    $( A universal vertex has ` n - 1 ` neighbors in a finite simple graph with
       ` n ` vertices.  A biconditional version of ~ nbusgrvtxm1uvtx resp.
       ~ uvtxnm1nbgr .  (Contributed by Alexander van der Vekens, 14-Jul-2018.)
       (Revised by AV, 16-Dec-2020.) $)
    uvtxnbvtxm1 $p |- ( ( G e. FinUSGraph /\ U e. V )
                  -> ( U e. ( UnivVtx ` G )
                       <-> ( # ` ( G NeighbVtx U ) ) = ( ( # ` V ) - 1 ) ) ) $=
      ( cfusgr wcel wa cuvtx cfv cnbgr co chash c1 cmin wceq uvtxnm1nbgr adantr
      wi ex nbusgrvtxm1uvtx impbid ) BEFZACFZGABHIFZBAJKLICLIMNKOZUBUDUERUCUBUD
      UEBACDPSQABCDTUA $.
  $}

  ${
    $d E e $.  $d G e n $.  $d K e n $.  $d N e n $.  $d S n $.  $d V e n $.
    nbupgruvtxres.v $e |- V = ( Vtx ` G ) $.
    nbupgruvtxres.e $e |- E = ( Edg ` G ) $.
    nbupgruvtxres.f $e |- F = { e e. E | N e/ e } $.
    nbupgruvtxres.s $e |- S = <. ( V \ { N } ) , ( _I |` F ) >. $.
    $( The neighborhood of a universal vertex in a restricted pseudograph.
       (Contributed by Alexander van der Vekens, 2-Jan-2018.)  (Revised by AV,
       8-Nov-2020.)  (Proof shortened by AV, 13-Feb-2022.) $)
    nbupgruvtxres $p |- ( ( ( G e. UPGraph /\ N e. V ) /\ K e. ( V \ { N } ) )
                      -> ( ( G NeighbVtx K ) = ( V \ { K } )
                           -> ( S NeighbVtx K ) = ( V \ { N , K } ) ) ) $=
      ( vn wcel wa csn cdif cnbgr co wceq cupgr cpr wss nbgrssovtx upgrres1lem2
      cvtx cfv eqid difpr eqcomi a1i difeq1d syl5eq sseqtrrid adantr w3a anim1i
      cv simpl df-3an sylibr wne dif32 eqtri eleq2i eldifsn bitri simplbi eleq2
      wi syl5ibr adantl imp nbupgrres sylc eqelssd ex ) EUANGHNOZFHGPZQZNZOZEFR
      SZHFPZQZTZAFRSZHGFUBQZTWBWFOZMWGWHWBWGWHUCWFWBAUFUGZWDQZWGWHAWJFWJUHUDWBW
      HVTWDQZWKHGFUIZWBVTWJWDVTWJTWBWJVTABCDEGHIJKLUEUJUKULUMUNUOWIMURZWHNZOZVR
      WAWOUPZWNWCNZWNWGNWPWBWOOWQWIWBWOWBWFUSUQVRWAWOUTVAWIWOWRWFWOWRVJWBWOWRWF
      WNWENZWOWSWNGVBZWOWNWEVSQZNWSWTOWHXAWNWHWLXAWMHVSWDVCVDVEWNWEGVFVGVHWCWEW
      NVIVKVLVMABCDEFWNGHIJKLVNVOVPVQ $.

    $( A universal vertex is universal in a restricted pseudograph.
       (Contributed by Alexander van der Vekens, 2-Jan-2018.)  (Revised by AV,
       8-Nov-2020.) $)
    uvtxupgrres $p |- ( ( ( G e. UPGraph /\ N e. V ) /\ K e. ( V \ { N } ) )
                    -> ( K e. ( UnivVtx ` G ) -> K e. ( UnivVtx ` S ) ) ) $=
      ( cuvtx cfv wcel cnbgr co cdif wceq wa csn uvtxnbgr cpr nbupgruvtxres imp
      cupgr difpr upgrres1lem2 difeq1i a1i eqtr4id adantr eqtrd simpr eleqtrrdi
      cvtx wb eqid uvtxnbgrb syl mpbird ex syl5 ) FEMNOEFPQHFUAZRSZEUFOGHOTZFHG
      UARZOZTZFAMNOZEFHIUBVIVEVJVIVETZVJAFPQZAUPNZVDRZSZVKVLHGFUCRZVNVIVEVLVPSA
      BCDEFGHIJKLUDUEVIVPVNSVEVIVPVGVDRZVNHGFUGVNVQSVIVMVGVDABCDEGHIJKLUHZUIUJU
      KULUMVKFVMOZVJVOUQVIVSVEVIFVGVMVFVHUNVRUOULAFVMVMURUSUTVAVBVC $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Complete graphs
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c ComplGraph $.
  $c ComplUSGraph $.

  $( Extend class notation with (arbitrary) complete graphs. $)
  ccplgr $a class ComplGraph $.

  $( Extend class notation with complete simple graphs. $)
  ccusgr $a class ComplUSGraph $.

  $( Define the class of all complete "graphs".  A class/graph is called
     _complete_ if every pair of distinct vertices is connected by an edge,
     i.e., each vertex has all other vertices as neighbors or, in other words,
     each vertex is a universal vertex.  (Contributed by AV, 24-Oct-2020.)
     (Revised by TA, 15-Feb-2022.) $)
  df-cplgr $a |- ComplGraph = { g | ( UnivVtx ` g ) = ( Vtx ` g ) } $.

  $( Define the class of all complete simple graphs.  A simple graph is called
     _complete_ if every pair of distinct vertices is connected by a (unique)
     edge, see definition in section 1.1 of [Diestel] p. 3.  In contrast, the
     definition in section I.1 of [Bollobas] p. 3 is based on the size of
     (finite) complete graphs, see ~ cusgrsize .  (Contributed by Alexander van
     der Vekens, 12-Oct-2017.)  (Revised by AV, 24-Oct-2020.)  (Revised by BJ,
     14-Feb-2022.) $)
  df-cusgr $a |- ComplUSGraph = ( USGraph i^i ComplGraph ) $.

  ${
    $d G g $.  $d V g $.
    cplgruvtxb.v $e |- V = ( Vtx ` G ) $.
    $( A graph ` G ` is complete iff each vertex is a universal vertex.
       (Contributed by Alexander van der Vekens, 14-Oct-2017.)  (Revised by AV,
       15-Feb-2022.) $)
    cplgruvtxb $p |- ( G e. W -> ( G e. ComplGraph
                                   <-> ( UnivVtx ` G ) = V ) ) $=
      ( vg cv cuvtx cfv cvtx wceq ccplgr fveq2 eqtr4di eqeq12d df-cplgr elab2g
      ) EFZGHZQIHZJAGHZBJEAKCQAJZRTSBQAGLUASAIHBQAILDMNEOP $.

    $d G v $.  $d V v $.
    $( A proper class (representing a null graph, see ~ vtxvalprc ) has the
       property of a complete graph (see also ~ cplgr0v ), but cannot be an
       element of ` ComplGraph ` , of course.  Because of this, a sethood
       antecedent like ` G e. W ` is necessary in the following theorems like
       ~ iscplgr .  (Contributed by AV, 14-Feb-2022.) $)
    prcliscplgr $p |- ( -. G e. _V -> A. v e. V v e. ( UnivVtx ` G ) ) $=
      ( cvv wcel wn cvtx cfv c0 wceq cv cuvtx wral fvprc eqeq1i rzal sylbir syl
      ) BEFGBHIZJKZALBMIFZACNZBHOUACJKUCCTJDPUBACQRS $.

    $( The property of being a complete graph.  (Contributed by AV,
       1-Nov-2020.) $)
    iscplgr $p |- ( G e. W -> ( G e. ComplGraph
                                <-> A. v e. V v e. ( UnivVtx ` G ) ) ) $=
      ( wcel ccplgr cuvtx cfv wceq cv wral cplgruvtxb wss eqss uvtxssvtx anbi2i
      wa dfss3 mpbiran bitri bitrdi ) BDFBGFBHIZCJZAKUCFACLZBCDEMUDUCCNZCUCNZRZ
      UEUCCOUHUFUEBCEPUGUEUFACUCSQTUAUB $.

    $d G n v $.  $d V n $.  $d W v $.
    $( A graph is complete iff all vertices are neighbors of all vertices.
       (Contributed by AV, 1-Nov-2020.) $)
    iscplgrnb $p |- ( G e. W -> ( G e. ComplGraph
              <-> A. v e. V A. n e. ( V \ { v } ) n e. ( G NeighbVtx v ) ) ) $=
      ( wcel ccplgr cv cuvtx cfv wral cnbgr co csn cdif iscplgr wa wb uvtxel
      a1i baibd ralbidva bitrd ) CEGZCHGAIZCJKGZADLBICUFMNGBDUFOPLZADLACDEFQUEU
      GUHADUEUGUFDGZUHUGUIUHRSUEBCUFDFTUAUBUCUD $.

    $d E e $.  $d G e $.  $d V e $.  $d W e n v $.
    iscplgredg.v $e |- E = ( Edg ` G ) $.
    $( A graph ` G ` is complete iff all vertices are connected with each other
       by (at least) one edge.  (Contributed by AV, 10-Nov-2020.) $)
    iscplgredg $p |- ( G e. W -> ( G e. ComplGraph
            <-> A. v e. V A. n e. ( V \ { v } ) E. e e. E { v , n } C_ e ) ) $=
      ( wcel ccplgr cv cnbgr co csn wral wa wb a1i ralbidva cdif wrex iscplgrnb
      cpr wss wne w3a df-3an nbgrel eldifsn simpr simpl anim12ci simprr sylan2b
      jca biantrurd 3bitr4d bitrd ) EGJZEKJCLZEALZMNJZCFVBOUAZPZAFPVBVAUDBLUEBD
      UBZCVDPZAFPACEFGHUCUTVEVGAFUTVBFJZQZVCVFCVDVIVAVDJZQZVAFJZVHQZVAVBUFZVFUG
      ZVMVNQZVFQZVCVFVOVQRVKVMVNVFUHSVCVORVKBDEVAFVBHIUISVKVPVFVJVIVLVNQZVPVAFV
      BUJVIVRQVMVNVIVHVRVLUTVHUKVLVNULUMVIVLVNUNUPUOUQURTTUS $.
  $}

  $( The property of being a complete simple graph.  (Contributed by AV,
     1-Nov-2020.) $)
  iscusgr $p |- ( G e. ComplUSGraph
                  <-> ( G e. USGraph /\ G e. ComplGraph ) ) $=
    ( cusgr ccplgr ccusgr df-cusgr elin2 ) ABCDEF $.

  $( A complete simple graph is a simple graph.  (Contributed by Alexander van
     der Vekens, 13-Oct-2017.)  (Revised by AV, 1-Nov-2020.) $)
  cusgrusgr $p |- ( G e. ComplUSGraph -> G e. USGraph ) $=
    ( ccusgr wcel cusgr ccplgr iscusgr simplbi ) ABCADCAECAFG $.

  $( A complete simple graph is a complete graph.  (Contributed by AV,
     1-Nov-2020.) $)
  cusgrcplgr $p |- ( G e. ComplUSGraph -> G e. ComplGraph ) $=
    ( ccusgr wcel cusgr ccplgr iscusgr simprbi ) ABCADCAECAFG $.

  ${
    $d G v $.  $d V v $.
    iscusgrvtx.v $e |- V = ( Vtx ` G ) $.
    $( A simple graph is complete iff all vertices are uniuversal.
       (Contributed by AV, 1-Nov-2020.) $)
    iscusgrvtx $p |- ( G e. ComplUSGraph
                    <-> ( G e. USGraph /\ A. v e. V v e. ( UnivVtx ` G ) ) ) $=
      ( ccusgr wcel cusgr ccplgr wa cv cuvtx wral iscusgr iscplgr pm5.32i bitri
      cfv ) BEFBGFZBHFZIRAJBKQFACLZIBMRSTABCGDNOP $.

    $( A simple graph is complete iff the set of vertices is the set of
       universal vertices.  (Contributed by Alexander van der Vekens,
       14-Oct-2017.)  (Revised by Alexander van der Vekens, 18-Jan-2018.)
       (Revised by AV, 1-Nov-2020.) $)
    cusgruvtxb $p |- ( G e. USGraph
                         -> ( G e. ComplUSGraph <-> ( UnivVtx ` G ) = V ) ) $=
      ( ccusgr wcel cusgr ccplgr wa cuvtx wceq iscusgr cplgruvtxb bitr3d syl5bb
      cfv ibar ) ADEAFEZAGEZHZQAIOBJZAKQRSTQRPABFCLMN $.

    $d G k n $.  $d V k n $.
    iscusgredg.v $e |- E = ( Edg ` G ) $.
    $( A simple graph is complete iff all vertices are connected by an edge.
       (Contributed by Alexander van der Vekens, 12-Oct-2017.)  (Revised by AV,
       1-Nov-2020.) $)
    iscusgredg $p |- ( G e. ComplUSGraph <-> ( G e. USGraph
                       /\ A. k e. V A. n e. ( V \ { k } ) { n , k } e. E ) ) $=
      ( ccusgr wcel cusgr ccplgr wa cv cpr csn cdif wral iscusgr cnbgr co bitrd
      iscplgrnb nbusgreledg 2ralbidv pm5.32i bitri ) DHIDJIZDKIZLUGBMZAMZNCIZBE
      UJOPZQAEQZLDRUGUHUMUGUHUIDUJSTIZBULQAEQUMABDEJFUBUGUNUKABEULCDUJUIGUCUDUA
      UEUF $.

    $d E n p v y z $.  $d G p x y z $.  $d V p x y z $.
    $( In a complete simple graph, the edges are all the pairs of different
       vertices.  (Contributed by Alexander van der Vekens, 12-Jan-2018.)
       (Revised by AV, 1-Nov-2020.) $)
    cusgredg $p |- ( G e. ComplUSGraph
                     -> E = { x e. ~P V | ( # ` x ) = 2 } ) $=
      ( vn vv vy vz wcel cv cpr wral wa cfv wceq adantr wi eleq1d vp ccusgr csn
      cusgr cdif chash cpw crab iscusgredg wss cedg cvtx usgredgss pweqi rabeqi
      c2 3sstr4g wne wrex elss2prb weq sneq difeq2d preq2 raleqbidv rspcv simpr
      necom biimpi anim12i eldifsn sylibr preq1 syl id prcom eqtr2di biimpd a1d
      ad2antll com23 3syld ex rexlimivv com13 imp syl5bi ssrdv eqssd sylbi ) CU
      BKCUDKZGLZHLZMZBKZGDWMUCZUEZNZHDNZOZBALUFPUPQZADUGZUHZQHGBCDEFUIWTBXCWKBX
      CUJWSWKCUKPXAACULPZUGZUHBXCACUMFXAAXBXEDXDEUNUOUQRWTUAXCBUALZXCKILZJLZURZ
      XFXGXHMZQZOZJDUSIDUSZWTXFBKZIJAXFDUTWKWSXMXNSXMWSWKXNXLWSWKXNSZSZIJDDXGDK
      ZXHDKZOZXLXPXSXLOZWSWLXGMZBKZGDXGUCZUEZNZXHXGMZBKZXOXSWSYESZXLXQYHXRWRYEH
      XGDHIVAZWOYBGWQYDYIWPYCDWMXGVBVCYIWNYABWMXGWLVDTVEVFRRXTXHYDKZYEYGSXTXRXH
      XGURZOYJXSXRXLYKXQXRVGXIYKXKXIYKXGXHVHVIRVJXHDXGVKVLYBYGGXHYDGJVAYAYFBWLX
      HXGVMTVFVNXTWKYGXNXKWKYGXNSZSXSXIXKYLWKXKYGXNXKYFXFBXKXFXJYFXKVOXGXHVPVQT
      VRVSVTWAWBWCWDWEWFWGWHWIWJ $.
  $}

  $( The null graph (with no vertices and no edges) represented by the empty
     set is a complete graph.  (Contributed by AV, 1-Nov-2020.) $)
  cplgr0 $p |- (/) e. ComplGraph $=
    ( vv c0 ccplgr wcel cv cuvtx cfv cvtx wral ral0 vtxval0 raleqi mpbir cvv wb
    0ex eqid iscplgr ax-mp ) BCDZAEBFGDZABHGZIZUCUAABIUAAJUAAUBBKLMBNDTUCOPABUB
    NUBQRSM $.

  $( The null graph (with no vertices and no edges) represented by the empty
     set is a complete simple graph.  (Contributed by AV, 1-Nov-2020.) $)
  cusgr0 $p |- (/) e. ComplUSGraph $=
    ( c0 ccusgr wcel cusgr ccplgr usgr0 cplgr0 iscusgr mpbir2an ) ABCADCAECFGAH
    I $.

  ${
    $d G v $.  $d V v $.
    cplgr0v.v $e |- V = ( Vtx ` G ) $.
    $( A null graph (with no vertices) is a complete graph.  (Contributed by
       Alexander van der Vekens, 13-Oct-2017.)  (Revised by AV, 1-Nov-2020.) $)
    cplgr0v $p |- ( ( G e. W /\ V = (/) ) -> G e. ComplGraph ) $=
      ( vv wcel c0 wceq wa ccplgr cv cfv wral rzal adantl iscplgr adantr mpbird
      cuvtx wb ) ACFZBGHZIAJFZEKASLFZEBMZUBUEUAUDEBNOUAUCUETUBEABCDPQR $.

    $( A graph with no vertices and no edges is a complete simple graph.
       (Contributed by Alexander van der Vekens, 13-Oct-2017.)  (Revised by AV,
       1-Nov-2020.) $)
    cusgr0v $p |- ( ( G e. W /\ V = (/) /\ ( iEdg ` G ) = (/) )
                    -> G e. ComplUSGraph ) $=
      ( wcel wceq ciedg cfv w3a cusgr ccplgr ccusgr cvtx eqeq1i usgr0v syl3an2b
      c0 cplgr0v 3adant3 iscusgr sylanbrc ) ACEZBQFZAGHQFZIAJEZAKEZALEUCUBAMHZQ
      FUDUEBUGQDNACOPUBUCUFUDABCDRSATUA $.

    $d G n $.  $d V n v $.
    $( Lemma for ~ cplgr1v and ~ cusgr1v .  (Contributed by AV,
       23-Mar-2021.) $)
    cplgr1vlem $p |- ( ( # ` V ) = 1 -> G e. _V ) $=
      ( vn chash cfv c1 wceq cv csn wex wcel wb cvtx fvexi hash1snb ax-mp vsnid
      cvv eleq2 mpbiri 1vgrex syl exlimiv sylbi ) BEFGHZBDIZJZHZDKZASLZBSLUFUJM
      BANCOBSDPQUIUKDUIUGBLZUKUIULUGUHLDRBUHUGTUAAUGBCUBUCUDUE $.

    $( A graph with one vertex is complete.  (Contributed by Alexander van der
       Vekens, 13-Oct-2017.)  (Revised by AV, 1-Nov-2020.)  (Revised by AV,
       23-Mar-2021.)  (Proof shortened by AV, 14-Feb-2022.) $)
    cplgr1v $p |- ( ( # ` V ) = 1 -> G e. ComplGraph ) $=
      ( vv vn chash cfv c1 wceq ccplgr wcel cv wral csn cdif c0 wi cvv wb sylbi
      cuvtx wa cnbgr co simpr ral0 cvtx fvexi hash1snb ax-mp velsn sneq difeq2d
      wex difid eqtrdi a1i eleq2 difeq1 eqeq1d 3imtr4d exlimiv raleqdv sylanbrc
      imp mpbiri uvtxel ralrimiva cplgr1vlem iscplgr syl mpbird ) BFGHIZAJKZDLZ
      AUAGKZDBMZVMVPDBVMVOBKZUBZVRELZAVOUCUDKZEBVONZOZMZVPVMVRUEVSWDWAEPMWAEUFV
      SWAEWCPVMVRWCPIZVMBVTNZIZEUNZVRWEQZBRKVMWHSBAUGCUHBREUIUJWGWIEWGVOWFKZWFW
      BOZPIZVRWEWJWLQWGWJVOVTIZWLDVTUKWMWKWFWFOPWMWBWFWFVOVTULUMWFUOUPTUQBWFVOU
      RWGWCWKPBWFWBUSUTVAVBTVEVCVFEAVOBCVGVDVHVMARKVNVQSABCVIDABRCVJVKVL $.

    $( A graph with one vertex and no edges is a complete simple graph.
       (Contributed by AV, 1-Nov-2020.)  (Revised by AV, 23-Mar-2021.) $)
    cusgr1v $p |- ( ( ( # ` V ) = 1 /\ ( iEdg ` G ) = (/) )
                    -> G e. ComplUSGraph ) $=
      ( chash cfv c1 wceq ciedg c0 wa cusgr ccplgr ccusgr cvv cplgr1vlem adantr
      wcel simpr usgr0e cplgr1v iscusgr sylanbrc ) BDEFGZAHEIGZJZAKQALQZAMQUEAN
      UCANQUDABCOPUCUDRSUCUFUDABCTPAUAUB $.

    $d E v $.
    cplgr2v.e $e |- E = ( Edg ` G ) $.
    $( An undirected hypergraph with two (different) vertices is complete iff
       there is an edge between these two vertices.  (Contributed by AV,
       3-Nov-2020.) $)
    cplgr2v $p |- ( ( G e. UHGraph /\ ( # ` V ) = 2 )
                    -> ( G e. ComplGraph <-> V e. E ) ) $=
      ( vv cuhgr wcel chash cfv c2 wceq wa ccplgr cv cuvtx wral iscplgr adantr
      wb uvtx2vtx1edgb bitr4d ) BGHZCIJKLZMBNHZFOBPJHFCQZCAHUCUEUFTUDFBCGDRSFAB
      CDEUAUB $.

    $( An undirected hypergraph with two (different) vertices is complete iff
       there is an edge between these two vertices.  (Contributed by Alexander
       van der Vekens, 12-Oct-2017.)  (Proof shortened by Alexander van der
       Vekens, 16-Dec-2017.)  (Revised by AV, 3-Nov-2020.) $)
    cplgr2vpr $p |- ( ( ( A e. X /\ B e. Y /\ A =/= B )
                        /\ ( G e. UHGraph /\ V = { A , B } ) )
                      -> ( G e. ComplGraph <-> { A , B } e. E ) ) $=
      ( wcel wne w3a cuhgr wceq wa chash cfv c2 cvv elex cpr ccplgr simpl fveq2
      wb adantl id hashprb biimpi syl3an sylan9eqr cplgr2v syl2an2 simprr bitrd
      eleq1d ) AFJZBGJZABKZLZDMJZEABUAZNZOZOZDUBJZECJZVBCJVDVAUTEPQZRNVFVGUEVAV
      CUCVDUTVHVBPQZRVCVHVINVAEVBPUDUFUQASJZURBSJZUSUSVIRNZAFTBGTUSUGVJVKUSLVLA
      BUHUIUJUKCDEHIULUMVEEVBCUTVAVCUNUPUO $.
  $}

  ${
    nbcplgr.v $e |- V = ( Vtx ` G ) $.
    $( In a complete graph, each vertex has all other vertices as neighbors.
       (Contributed by Alexander van der Vekens, 12-Oct-2017.)  (Revised by AV,
       3-Nov-2020.) $)
    nbcplgr $p |- ( ( G e. ComplGraph /\ N e. V )
                     -> ( G NeighbVtx N ) = ( V \ { N } ) ) $=
      ( ccplgr wcel wa cuvtx cfv cnbgr co csn cdif cplgruvtxb ibi eqcomd eleq2d
      wceq biimpa wb uvtxnbgrb adantl mpbid ) AEFZBCFZGBAHIZFZABJKCBLMRZUDUEUGU
      DCUFBUDUFCUDUFCRACEDNOPQSUEUGUHTUDABCDUAUBUC $.
  $}

  ${
    cplgr3v.e $e |- E = ( Edg ` G ) $.
    cplgr3v.t $e |- ( Vtx ` G ) = { A , B , C } $.
    $d A n v $.  $d B n v $.  $d C n v $.  $d G n v $.  $d X n v $.
    $d Y n v $.  $d Z n v $.
    $( A pseudograph with three (different) vertices is complete iff there is
       an edge between each of these three vertices.  (Contributed by Alexander
       van der Vekens, 12-Oct-2017.)  (Revised by AV, 5-Nov-2020.)  (Proof
       shortened by AV, 13-Feb-2022.) $)
    cplgr3v $p |- ( ( ( A e. X /\ B e. Y /\ C e. Z ) /\ G e. UPGraph
                       /\ ( A =/= B /\ A =/= C /\ B =/= C ) )
                   -> ( G e. ComplGraph <-> ( { A , B } e. E
                        /\ { B , C } e. E /\ { C , A } e. E ) ) ) $=
      ( vn wcel w3a wne cnbgr cdif wb wceq wa eleq1 vv cupgr ccplgr cv ctp wral
      co csn cpr cvtx cfv eqcomi iscplgrnb 3ad2ant2 difeq2d tprot difeq1i necom
      diftpsn3 syl2anb 3adant3 syl5eq 3ad2ant3 sylan9eqr oveq2 eleq2d raleqbidv
      sneq adantl biimpi anim2i ancomd syl 3adant2 3adant1 simp1 3ad2ant1 simp2
      simp3 raltpd ralprg ancoms 3anbi123d 3an6 nbgrsym 3anbi123i anbi1d 3anrot
      a1i bicomi anbi1i anidm bitri tpid1g tpid2g tpid3g 3anim123i df-3an sylib
      simplr anim1ci simpll anim12i nbupgrel simpr necomd syl3an1 syl5bb 3bitrd
      3imp3i2an ) AFLZBGLZCHLZMZEUBLZABNZACNZBCNZMZMZEUCLZKUDZEUAUDZOUGZLZKABCU
      EZYCUHZPZUFZUAYFUFZYBEAOUGZLZKBCUIZUFZYBEBOUGZLZKCAUIZUFZYBECOUGZLZKABUIZ
      UFZMZUUADLZYMDLZYQDLZMZXOXNYAYJQXSUAKEYFUBEUJUKYFJULZUMUNXTYIYNYRUUBUAABC
      FGHXTYCARZSYEYLKYHYMUUIXTYHYFAUHZPZYMUUIYGUUJYFYCAVHUOXSXNUUKYMRXOXSUUKBC
      AUEZUUJPZYMYFUULUUJABCUPUQXPXQUUMYMRZXRXPBANCANZUUNXQABURACURBCAUSUTVAVBV
      CVDUUIYEYLQXTUUIYDYKYBYCAEOVEVFVIVGXTYCBRZSYEYPKYHYQUUPXTYHYFBUHZPZYQUUPY
      GUUQYFYCBVHUOXSXNUURYQRXOXSUURCABUEZUUQPZYQYFUUSUUQUUSYFCABUPULUQXPXRUUTY
      QRZXQXPXRSZCBNZXPSUVAUVBXPUVCXRUVCXPXRUVCBCURVJVKVLCABUSVMVNVBVCVDUUPYEYP
      QXTUUPYDYOYBYCBEOVEVFVIVGXTYCCRZSYEYTKYHUUAUVDXTYHYFCUHZPZUUAUVDYGUVEYFYC
      CVHUOXSXNUVFUUARZXOXQXRUVGXPABCUSVOVCVDUVDYEYTQXTUVDYDYSYBYCCEOVEVFVIVGXN
      XOXKXSXKXLXMVPVQXNXOXLXSXKXLXMVRVQXNXOXMXSXKXLXMVSVQVTXTUUCBYKLZCYKLZSZCY
      OLZAYOLZSZAYSLZBYSLZSZMZUVHUVKUVNMZUVIUVLUVOMZSZUUGXNXOUUCUVQQXSXNYNUVJYR
      UVMUUBUVPXLXMYNUVJQXKYLUVHUVIKBCGHYBBYKTYBCYKTWAVOXKXMYRUVMQZXLXMXKUWAYPU
      VKUVLKCAHFYBCYOTYBAYOTWAWBVNXKXLUUBUVPQXMYTUVNUVOKABFGYBAYSTYBBYSTWAVAWCV
      QUVQUVTQXTUVHUVIUVKUVLUVNUVOWDWIXTUVTUVLUVOUVIMZUVSSZUVSUUGXTUVRUWBUVSUVR
      UWBQXTUVHUVLUVKUVOUVNUVIEABWEEBCWEECAWEWFWIWGUWCUVSQXTUWCUVSUVSSUVSUWBUVS
      UVSUVSUWBUVIUVLUVOWHZWJWKUVSWLWMWIUVSUWBXTUUGUWDXNAYFLZBYFLZSZCYFLZSZXOXS
      UWBUUGQXNUWEUWFUWHMUWIXKUWEXLUWFXMUWHAFBCWNBGACWOCHABWPWQUWEUWFUWHWRWSUWI
      XOXSMUVLUUDUVOUUEUVIUUFUWIXOXSXOUWFSZUWEXPSUVLUUDQUWIXOUWJXSUWIUWFXOUWEUW
      FUWHWTZXAVAUWIUWEXSXPUWEUWFUWHXBZXPXQXRVPXCDEBAYFUUHIXDXJUWIXOXSXOUWHSZUW
      FXRSUVOUUEQUWIXOUWMXSUWIUWHXOUWGUWHXEZXAVAUWIUWFXSXRUWKXPXQXRVSXCDECBYFUU
      HIXDXJUWIXOXSXOUWESZUWHUUOSUVIUUFQUWIXOUWOXSUWIUWEXOUWLXAVAUWIUWHXSUUOUWN
      XSACXPXQXRVRXFXCDEACYFUUHIXDXJWCXGXHXIXIXI $.

    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d E x y z $.  $d G x y z $.
    $d V x y z $.  $d X y $.  $d Y y $.  $d Z y $.
    cplgr3v.v $e |- V = ( Vtx ` G ) $.
    $( The neighbors of a vertex in a simple graph with three elements are
       unordered pairs of the other vertices if and only if the graph is
       complete.  (Contributed by Alexander van der Vekens, 18-Oct-2017.)
       (Revised by AV, 5-Nov-2020.) $)
    cusgr3vnbpr $p |- ( ( ( A e. X /\ B e. Y /\ C e. Z ) /\ G e. USGraph
                       /\ ( A =/= B /\ A =/= C /\ B =/= C ) )
             -> ( G e. ComplGraph <-> A. x e. V E. y e. V E. z e. ( V \ { y } )
                  ( G NeighbVtx x ) = { y , z } ) ) $=
      ( wcel w3a wne cpr cv cusgr ccplgr cnbgr co wceq csn cdif wrex wral cupgr
      usgrupgr cplgr3v syl3an2 simp2 ctp cvtx cfv eqtri a1i simp1 simp3 nb3grpr
      wb bitrd ) DJPEKPFLPQZHUAPZDERDFREFRQZQZHUBPZDESGPEFSGPFDSGPQZHATUCUDBTZC
      TSUECIVKUFUGUHBIUHAIUIVFVEHUJPVGVIVJVCHUKDEFGHJKLMNULUMVHABCDEFGHIJKLOMVE
      VFVGUNIDEFUOZUEVHIHUPUQVLONURUSVEVFVGUTVEVFVGVAVBVD $.
  $}

  ${
    $d G e g n v $.
    $( A complete graph represented by an ordered pair.  (Contributed by AV,
       10-Nov-2020.) $)
    cplgrop $p |- ( G e. ComplGraph
                    -> <. ( Vtx ` G ) , ( iEdg ` G ) >. e. ComplGraph ) $=
      ( vg vv vn ve ccplgr wcel cvv ciedg cvtx cv wceq cedg wrex cdif wral eqid
      cfv wa adantl cpr wss csn iscplgredg crn edgval simpl difeq1d simpr rneqd
      wi a1i syl5eq eqtr4d rexeqdv raleqbidv biimpar wb elv sylibr expd syl5com
      expcom sylbid pm2.43i alrimiv fvexd gropeld ) AFGZFHBAIRZAJRZHVIBKZJRZVKL
      ZVLIRZVJLZSZVLFGZUKZBVIVSVIVICKZDKUAEKUBZEAMRZNZDVKVTUCZOZPZCVKPZVSCEDWBA
      VKFVKQWBQUDVIWBVJUEZLZWGVSWIVIAUFULWGWIVQVRWIVQSZWGVRWJWGSWAEVLMRZNZDVMWD
      OZPZCVMPZVRWJWOWGWJWNWFCVMVKVQVNWIVNVPUGZTWJWLWCDWMWEVQWMWELWIVQVMVKWDWPU
      HTWJWAEWKWBWJWKWHWBVQWKWHLWIVQWKVOUEWHVLUFVQVOVJVNVPUIUJUMTWIVQUGUNUOUPUP
      UQVRWOURBCEDWKVLVMHVMQWKQUDUSUTVCVAVBVDVEVFVIAJVGVIAIVGVH $.
  $}

  $( A complete simple graph represented by an ordered pair.  (Contributed by
     AV, 10-Nov-2020.) $)
  cusgrop $p |- ( G e. ComplUSGraph
                  -> <. ( Vtx ` G ) , ( iEdg ` G ) >. e. ComplUSGraph ) $=
    ( cusgr wcel ccplgr wa cvtx cfv ciedg ccusgr usgrop cplgrop anim12i iscusgr
    cop 3imtr4i ) ABCZADCZEAFGAHGNZBCZRDCZEAICRICPSQTAJAKLAMRMO $.

  ${
    $d V x $.
    usgrexi.p $e |- P = { x e. ~P V | ( # ` x ) = 2 } $.
    $( Lemma 1 for ~ cusgrexi .  (Contributed by Alexander van der Vekens,
       12-Jan-2018.) $)
    cusgrexilem1 $p |- ( V e. W -> ( _I |` P ) e. _V ) $=
      ( wcel cvv cid cres cv chash cfv c2 wceq cpw pwexg rabexd resiexg syl ) C
      DFZBGFHBIGFTAJKLMNACOBGECDPQBGRS $.

    $( Lemma for ~ usgrexi .  (Contributed by AV, 12-Jan-2018.)  (Revised by
       AV, 10-Nov-2021.) $)
    usgrexilem $p |- ( V e. W -> ( _I |` P ) : dom ( _I |` P )
                                   -1-1-> { x e. ~P V | ( # ` x ) = 2 } ) $=
      ( wcel cid cres cdm cv chash cfv c2 wceq cpw crab wf1 wf1o ax-mp wb f1of1
      f1oi dmresi f1eq2 mpbir eqcomi f1eq3 mp1i mpbiri ) CDFZGBHZIZAJKLMNACOPZU
      KQZULBUKQZUOBBUKQZBBUKRUPBUBBBUKUASULBNUOUPTBUCULBBUKUDSUEUMBNUNUOTUJBUME
      UFUMBULUKUGUHUI $.

    $d P x $.  $d W x $.
    $( An arbitrary set regarded as vertices together with the set of pairs of
       elements of this set regarded as edges is a simple graph.  (Contributed
       by Alexander van der Vekens, 12-Jan-2018.)  (Revised by AV, 5-Nov-2020.)
       (Proof shortened by AV, 10-Nov-2021.) $)
    usgrexi $p |- ( V e. W -> <. V , ( _I |` P ) >. e. USGraph ) $=
      ( wcel cid cres cop cusgr cfv cdm wceq cpw crab wf1 cvv mpdan mpbird eqid
      ciedg cv chash c2 usgrexilem cusgrexilem1 opiedgfv dmeqd opvtxfv f1eq123d
      cvtx pweqd rabeqdv wb opex isusgrs mp1i ) CDFZCGBHZIZJFZUTUAKZLZAUBUCKUDM
      ZAUTUKKZNZOZVBPZURVHUSLZVDACNZOZUSPABCDEUEURVCVIVGVKVBUSURUSQFZVBUSMABCDE
      UFZUSCDQUGRZURVBUSVNUHURVDAVFVJURVECURVLVECMVMUSCDQUIRULUMUJSUTQFVAVHUNUR
      CUSUOAQVBUTVEVETVBTUPUQS $.

    $d P e n v x $.  $d V e n v $.  $d W e n v $.
    $( Lemma 2 for ~ cusgrexi .  (Contributed by AV, 12-Jan-2018.)  (Revised by
       AV, 10-Nov-2021.) $)
    cusgrexilem2 $p |- ( ( ( V e. W /\ v e. V ) /\ n e. ( V \ { v } ) )
                         -> E. e e. ran ( _I |` P ) { v , n } C_ e ) $=
      ( wcel cv wa csn wss chash cfv c2 wceq syl2an adantl wb cdif cpr cid cres
      crn cpw simpr eldifi prelpwi eldifsni necomd hashprg mpbid fveqeq2 rnresi
      wne crab eqtri elrab2 sylanbrc sseq2 ssidd rspcedvd ) FGIZBJZFIZKZEJZFVEL
      ZUAIZKZVEVHUBZDJZMZVLVLMZDVLUCCUDUEZVKVLFUFZIZVLNOPQZVLVPIVGVFVHFIZVRVJVD
      VFUGZVHFVIUHZVEVHFUIRVKVEVHUPZVSVJWCVGVJVHVEVHFVEUJUKSVGVFVTWCVSTVJWAWBVE
      VHFFULRUMAJZNOPQZVSAVLVQVPWDVLPNUNVPCWEAVQUQCUOHURUSUTVMVLQVNVOTVKVMVLVLV
      ASVKVLVBVC $.

    $( An arbitrary set ` V ` regarded as set of vertices together with the set
       of pairs of elements of this set regarded as edges is a complete simple
       graph.  (Contributed by Alexander van der Vekens, 12-Jan-2018.)
       (Revised by AV, 5-Nov-2020.)  (Proof shortened by AV, 14-Feb-2022.) $)
    cusgrexi $p |- ( V e. W -> <. V , ( _I |` P ) >. e. ComplUSGraph ) $=
      ( vv vn ve wcel cv cfv wral wa cvv wceq mpdan eleq2d wb ad2antrr mpbird
      cid cres cop cusgr ccplgr ccusgr usgrexi cuvtx cvtx cnbgr co cusgrexilem1
      csn cdif opvtxfv eqcomd biimpa wne cpr wss cedg wrex eldifi adantl simplr
      jca eldifsni cusgrexilem2 ciedg edgval opiedgfv rneqd syl5eq rexeqdv eqid
      nbgrel syl3anbrc ralrimiva adantr difeq1d raleqdv uvtxel sylanbrc iscplgr
      crn opex mp1i iscusgr ) CDIZCUABUBZUCZUDIWKUEIZWKUFIABCDEUGWIWLFJZWKUHKIZ
      FWKUIKZLZWIWPWNFCLWIWNFCWIWMCIZMZWMWOIZGJZWKWMUJUKIZGWOWMUMZUNZLZWNWIWQWS
      WICWOWMWIWJNIZCWOOABCDEULZWIXEMWOCWJCDNUOZUPPQUQWRXDXAGCXBUNZLWRXAGXHWRWT
      XHIZMZWTWOIZWSMWTWMURZWMWTUSHJUTZHWKVAKZVBZXAXJXKWSXJXKWTCIZXIXPWRWTCXBVC
      VDWIXKXPRWQXIWIWOCWTWIXEWOCOZXFXGPZQSTXJWSWQWIWQXIVEWIWSWQRWQXIWIWOCWMXRQ
      STVFXIXLWRWTCWMVGVDXJXOXMHWJWEZVBZAFBHGCDEVHWIXOXTRWQXIWIXMHXNXSWIXNWKVIK
      ZWEXSWKVJWIYAWJWIXEYAWJOXFWJCDNVKPVLVMVNSTHXNWKWTWOWMWOVOZXNVOVPVQVRWRXAG
      XCXHWRWOCXBWIXQWQXRVSVTWATGWKWMWOYBWBWCVRWIWNFWOCXRWATWKNIWLWPRWICWJWFFWK
      WONYBWDWGTWKWHWC $.
  $}

  ${
    $d V x y $.  $d V e y $.  $d W x $.
    $( For each set there is a set of edges so that the set together with these
       edges is a complete simple graph.  (Contributed by Alexander van der
       Vekens, 12-Jan-2018.)  (Revised by AV, 5-Nov-2020.) $)
    cusgrexg $p |- ( V e. W -> E. e <. V , e >. e. ComplUSGraph ) $=
      ( vy vx wcel cv cop ccusgr cid chash cfv c2 wceq cpw crab fveqeq2 cbvrabv
      cres cvv cusgrexilem1 cusgrexi opeq2 eleq1d spcedv ) BCFBAGZHZIFBJDGZKLMN
      ZDBOZPZSZHZIFATULEUKBCUIEGZKLMNDEUJUHUNMKQRZUAEUKBCUOUBUFULNUGUMIUFULBUCU
      DUE $.
  $}

  ${
    $d G x $.  $d P x $.  $d S x $.  $d ph x $.
    structtousgr.p $e |- P = { x e. ~P ( Base ` S ) | ( # ` x ) = 2 } $.
    structtousgr.s $e |- ( ph -> S Struct X ) $.
    structtousgr.g $e |- G = ( S sSet <. ( .ef ` ndx ) , ( _I |` P ) >. ) $.
    structtousgr.b $e |- ( ph -> ( Base ` ndx ) e. dom S ) $.
    $( Any (extensible) structure with a base set can be made a simple graph
       with the set of pairs of elements of the base set regarded as edges.
       (Contributed by AV, 10-Nov-2021.)  (Revised by AV, 17-Nov-2021.) $)
    structtousgr $p |- ( ph -> G e. USGraph ) $=
      ( cnx cedgf cfv cid cres cbs cvv eqid wcel mp1i cop co cusgr cusgrexilem1
      csts fvex cdm cv chash wceq cpw crab wf1 usgrexilem usgrstrrepe eqeltrid
      c2 ) AEDKLMZNCOZUAUEUBUCIABUSDURDPMZQFUTRURRHJUTQSZUSQSADPUFZBCUTQGUDTVAU
      SUGBUHUIMUQUJBUTUKULUSUMAVBBCUTQGUNTUOUP $.

    $d G e n v $.  $d P e n v x $.  $d S e n v $.  $d ph n v $.
    $( Any (extensible) structure with a base set can be made a complete simple
       graph with the set of pairs of elements of the base set regarded as
       edges.  (Contributed by AV, 10-Nov-2021.)  (Revised by AV, 17-Nov-2021.)
       (Proof shortened by AV, 14-Feb-2022.) $)
    structtocusgr $p |- ( ph -> G e. ComplUSGraph ) $=
      ( vv vn ve wcel cv cfv cvtx wa cbs cvv cusgr ccplgr structtousgr cuvtx co
      ccusgr wral cnbgr csn cdif wne cpr wss cedg wrex eldifi anim12ci eldifsni
      simpr adantl cid cres crn fvexd cnx cedgf cop csts eqid fvex cusgrexilem1
      fveq2i setsvtx syl5eq eleq2d biimpa adantr wi difeq1d biimpd cusgrexilem2
      mp1i imp syl21anc wb ciedg edgval setsiedg rexeqdv ad2antrr mpbird nbgrel
      rneqd syl3anbrc ralrimiva uvtxel sylanbrc elexd iscplgr syl iscusgr ) AEU
      ANEUBNZEUFNABCDEFGHIJUCZAXBKOZEUDPNZKEQPZUGZAXEKXFAXDXFNZRZXHLOZEXDUHUENZ
      LXFXDUIZUJZUGXEAXHUSZXIXKLXMXIXJXMNZRZXJXFNZXHRXJXDUKZXDXJULMOUMZMEUNPZUO
      ZXKXIXHXOXQXNXJXFXLUPUQXOXRXIXJXFXDURUTXPYAXSMVACVBZVCZUOZXPDSPZTNZXDYENZ
      XJYEXLUJZNZYDXPDSVDXIYGXOAXHYGAXFYEXDAXFDVEVFPZYBVGVHUEZQPYEEYKQIVLAYBDYJ
      TFYJVIZHJYFYBTNADSVJBCYETGVKWBZVMVNZVOVPVQXIXOYIAXOYIVRXHAXOYIAXMYHXJAXFY
      EXLYNVSVOVTVQWCBKCMLYETGWAWDAYAYDWEXHXOAXSMXTYCAXTEWFPZVCYCEWGAYOYBAYOYKW
      FPYBEYKWFIVLAYBDYJTFYLHJYMWHVNWMVNWIWJWKMXTEXJXFXDXFVIZXTVIWLWNWOLEXDXFYP
      WPWQWOAETNXBXGWEAEUAXCWRKEXFTYPWSWTWKEXAWQ $.
  $}

  ${
    $d G x $.  $d P x $.
    cffldtocusgr.p $e |- P = { x e. ~P CC | ( # ` x ) = 2 } $.
    cffldtocusgr.g $e |- G = ( CCfld sSet <. ( .ef ` ndx ) ,
                                             ( _I |` P ) >. ) $.
    $( The field of complex numbers can be made a complete simple graph with
       the set of pairs of complex numbers regarded as edges.  This theorem
       demonstrates the capabilities of the current definitions for graphs
       applied to extensible structures.  (Contributed by AV, 14-Nov-2021.)
       (Proof shortened by AV, 17-Nov-2021.) $)
    cffldtocusgr $p |- G e. ComplUSGraph $=
      ( cnx cbs cfv cc cop ccnfld wcel ctp csn cun wo orci elun mpbir c1 ccusgr
      cplusg caddc cmulr cmul cstv ccj cts cabs cmin ccom cmopn cle cunif cmetu
      cple cds opex tpid1 df-cnfld eleq2i bitri c3 cdc cv chash c2 cpw cnfldbas
      wceq crab pweqi rabeqi eqtri cstr cnfldstr fvex cnex opeldm structtocusgr
      wbr a1i ax-mp ) FGHZIJZKLZCUALWFWEWEFUBHUCJZFUDHUEJZMZFUFHUGJNZOZLZWEFUHH
      UIUJUKZULHJFUPHUMJFUQHWMJMFUNHWMUOHJNOZLZPZWLWOWLWEWILZWEWJLZPWQWRWEWGWHW
      DIURUSQWEWIWJRSQWFWEWKWNOZLWPKWSWEUTVAWEWKWNRVBSWFABKCTTVCVDJZBAVEVFHVGVJ
      ZAIVHZVKXAAKGHZVHZVKDXAAXBXDIXCVIVLVMVNKWTVOWAWFVPWBEWDIKFGVQVRVSVTWC $.
  $}

  ${
    $d E e $.  $d G e n v $.  $d N e n v $.  $d S n v $.  $d V e n v $.
    cusgrres.v $e |- V = ( Vtx ` G ) $.
    cusgrres.e $e |- E = ( Edg ` G ) $.
    cusgrres.f $e |- F = { e e. E | N e/ e } $.
    cusgrres.s $e |- S = <. ( V \ { N } ) , ( _I |` F ) >. $.
    $( Restricting a complete simple graph.  (Contributed by Alexander van der
       Vekens, 2-Jan-2018.) $)
    cusgrres $p |- ( ( G e. ComplUSGraph /\ N e. V ) -> S e. ComplUSGraph ) $=
      ( vv vn ccusgr wcel wa cusgr ccplgr cfv cvv cusgrusgr usgrres1 sylan cdif
      cv cuvtx csn wral iscusgr cupgr usgrupgr adantr anim1i wi eldifi ad2antll
      iscplgr eleq1w rspcv syl com23 sylbid imp impl uvtxupgrres sylc ralrimiva
      ex sylanb wb cid cres opex eqeltri cvtx upgrres1lem2 eqcomi mp1i sylanbrc
      cop mpbird ) ENOZFGOZPZAQOZAROZANOWBEQOZWCWEEUAABCDEFGHIJKUBUCWDWFLUEZAUF
      SOZLGFUGZUDZUHZWBWGEROZPZWCWLEUIWNWCPZWILWKWOWHWKOZPEUJOZWCPZWPPWHEUFSZOZ
      WIWOWRWPWNWQWCWGWQWMEUKULUMUMWNWCWPWTWGWMWCWPPZWTUNZWGWMMUEWSOZMGUHZXBMEG
      QHUQWGXAXDWTWGXAXDWTUNZWGXAPWHGOZXEWPXFWGWCWHGWJUOUPXCWTMWHGMLWSURUSUTVHV
      AVBVCVDABCDEWHFGHIJKVEVFVGVIATOWFWLVJWDAWKVKDVLZVTTKWKXGVMVNLAWKTAVOSWKAB
      CDEFGHIJKVPVQUQVRWAAUIVS $.
  $}

  ${
    cusgrsizeindb0.v $e |- V = ( Vtx ` G ) $.
    cusgrsizeindb0.e $e |- E = ( Edg ` G ) $.
    $( Base case of the induction in ~ cusgrsize .  The size of a complete
       simple graph with 0 vertices, actually of every null graph, is
       0=((0-1)*0)/2.  (Contributed by Alexander van der Vekens, 2-Jan-2018.)
       (Revised by AV, 7-Nov-2020.) $)
    cusgrsizeindb0 $p |- ( ( G e. UHGraph /\ ( # ` V ) = 0 )
                           -> ( # ` E ) = ( ( # ` V ) _C 2 ) ) $=
      ( cuhgr wcel chash cfv cc0 wceq wa c2 cbc co uhgr0vsize0 oveq1 2nn bc0k
      cn ax-mp eqtr2di adantl eqtrd ) BFGZCHIZJKZLAHIJUFMNOZABCDEPUGJUHKUEUGUHJ
      MNOZJUFJMNQMTGUIJKRMSUAUBUCUD $.

    $( Base case of the induction in ~ cusgrsize .  The size of a (complete)
       simple graph with 1 vertex is 0=((1-1)*1)/2.  (Contributed by Alexander
       van der Vekens, 2-Jan-2018.)  (Revised by AV, 7-Nov-2020.) $)
    cusgrsizeindb1 $p |- ( ( G e. USGraph /\ ( # ` V ) = 1 )
                           -> ( # ` E ) = ( ( # ` V ) _C 2 ) ) $=
      ( cusgr wcel chash cfv c1 wceq wa c2 cbc co cc0 usgr1v0e wb clt wbr oveq1
      cn0 cz wo 1nn0 2z 1lt2 olci bcval4 mp3an eqtrdi eqeq2d adantl mpbird ) BF
      GZCHIZJKZLAHIZUPMNOZKZURPKZABCDEQUQUTVARUOUQUSPURUQUSJMNOZPUPJMNUAJUBGMUC
      GMPSTZJMSTZUDVBPKUEUFVDVCUGUHMJUIUJUKULUMUN $.

    $d E e f n $.  $d G e f n $.  $d N e f n $.  $d V e f n $.
    $( Lemma for ~ cusgrsizeinds .  (Contributed by Alexander van der Vekens,
       11-Jan-2018.)  (Revised by AV, 9-Nov-2020.) $)
    cusgrsizeindslem $p |- ( ( G e. ComplUSGraph /\ V e. Fin /\ N e. V )
                        -> ( # ` { e e. E | N e. e } ) = ( ( # ` V ) - 1 ) ) $=
      ( vf vn wcel cfn co chash cfv cv crab wceq 3adant2 wa syl ccusgr w3a cdif
      cnbgr c1 cmin ccplgr cusgrcplgr nbcplgr sylan fveq2d wf1o cusgr cusgrusgr
      csn wex anim1i nbusgrf1o wb cpr nbusgr adantr rabfi adantl eqeltrd cfusgr
      3adant3 isfusgr sylibr cedg fusgrfis eqeltrid hasheqf1o syl2anc hashdifsn
      mpbird 3adant1 3eqtr3d ) CUAJZEKJZDEJZUBZCDUDLZMNZEDUOUCZMNZDAOJZABPZMNZE
      MNUEUFLZWBWCWEMVSWAWCWEQZVTVSCUGJWAWKCUHCDEFUIUJRUKWBWDWIQZWCWHHOULHUPZWB
      CUMJZWASZWMVSWAWOVTVSWNWACUNZUQRDAHBCEFGURTWBWCKJZWHKJZWLWMUSVSVTWQWAVSVT
      SZWCDIOUTBJZIEPZKVSWCXAQZVTVSWNXBWPIBCDEFGVATVBVTXAKJVSWTIEVCVDVEVGVSVTWR
      WAWSCVFJZWRWSWNVTSXCVSWNVTWPUQCEFVHVIXCBKJWRXCBCVJNKGCVKVLWGABVCTTVGWCWHH
      VMVNVPVTWAWFWJQVSEDVOVQVR $.

    ${
      cusgrsizeinds.f $e |- F = { e e. E | N e/ e } $.
      $( Part 1 of induction step in ~ cusgrsize .  The size of a complete
         simple graph with ` n ` vertices is ` ( n - 1 ) ` plus the size of the
         complete graph reduced by one vertex.  (Contributed by Alexander van
         der Vekens, 11-Jan-2018.)  (Revised by AV, 9-Nov-2020.) $)
      cusgrsizeinds $p |- ( ( G e. ComplUSGraph /\ V e. Fin /\ N e. V )
                          -> ( # ` E ) = ( ( ( # ` V ) - 1 ) + ( # ` F ) ) ) $=
        ( wcel cfn cfv chash co caddc wceq wi wa eqcomi a1i ccusgr cedg c1 cmin
        w3a cusgr cusgrusgr cfusgr isfusgr fusgrfis sylbir a1d ex syl 3imp crab
        cv cun elnelun fveq2i cin c0 eleq1i rabfi sylbi adantl wb anim1i sylibr
        usgrfilem stoic3 syl5bb biimpa elneldisj hashun cusgrsizeindslem adantr
        eqid syl3anc oveq1d 3eqtrd mpdan ) DUAJZFKJZEFJZUEZDUBLZKJZBMLZFMLUCUDN
        ZCMLZONZPWCWDWEWHWCDUFJZWDWEWHQZQDUGZWMWDWNWMWDRZWHWEWPDUHJZWHDFGUIZDUJ
        UKULUMUNUOWFWHRZWIEAUQZJZABUPZCURZMLZXBMLZWKONZWLWIXDPWSBXCMXCBBEWTXBCA
        XBVRZIUSSUTTWSXBKJZCKJZXBCVAVBPZXDXFPWHXHWFWHBKJZXHWGBKBWGHSVCZXAABVDVE
        VFWFWHXIWHXKWFXIXLWCWDWQWEXKXIVGWCWDRWPWQWCWMWDWOVHWRVIABCDEFGHIVJVKVLV
        MXJWSBEWTXBCAXGIVNTXBCVOVSWSXEWJWKOWFXEWJPWHABDEFGHVPVQVTWAWB $.

      $( Induction step in ~ cusgrsize .  If the size of the complete graph
         with ` n ` vertices reduced by one vertex is " ` ( n - 1 ) ` choose
         2", the size of the complete graph with ` n ` vertices is " ` n `
         choose 2".  (Contributed by Alexander van der Vekens, 11-Jan-2018.)
         (Revised by AV, 9-Nov-2020.) $)
      cusgrsize2inds $p |- ( Y e. NN0
                         -> ( ( G e. ComplUSGraph /\ ( # ` V ) = Y /\ N e. V )
                           -> ( ( # ` F ) = ( ( # ` ( V \ { N } ) ) _C 2 )
                             -> ( # ` E ) = ( ( # ` V ) _C 2 ) ) ) ) $=
        ( wcel chash cfv wceq c2 cbc co wi wa imp ccusgr w3a cn0 csn cdif fvexi
        cvv cvtx cn hashnn0n0nn anassrs c1 caddc simplll simplr wb eleq1 eqcoms
        cmin syl6bi ad2antlr nncn 1cnd npcand eqcomd hashdifsnp1 syl31anc oveq1
        nnm1nn0 eqeq2d cfn nnnn0 hashclb syl5ibrcom cusgrsizeinds adantl bcn2m1
        oveq2 biimpd adantr sylbid com3r syl 3exp com14 syldc com23 com13 com24
        ex mpcom adantllr mpd exp41 com25 ax-mp 3imp com12 ) DUAKZFLMZGNZEFKZUB
        GUCKZCLMZFEUDUELMZOPQZNZBLMZWTOPQZNZRZWSXAXBXCXKRZFUGKZWSXAXBXLRRRFDUHH
        UFXMXCXAXBWSXKXMXCXAXBWSXKRZXMXCSZXASXBSGUIKZXNXOXAXBXPEFUGGUJUKXMXAXBX
        PXNRXCXMXASZXBSZXPXNXEWTULUSQZNZXRXPSZXNYAXMXBXSUCKZWTXSULUMQZNZXTXMXAX
        BXPUNXQXBXPUOXRXPYBXAXPYBRXMXBXAXPWTUIKZYBXPYEUPZGWTGWTUIUQURZWTVIUTVAT
        XRXPYDXAXPYDRXMXBXAXPYEYDYGYEYCWTYEWTULWTVBYEVCVDVEUTVATXMXBYBUBYDXTEFU
        GXSVFTVGXTXGWSYAXJXTXGXDXSOPQZNZWSYAXJRRXTXFYHXDXEXSOPVHVJYAWSYIXJXRXPW
        SYIXJRZRZXRXPYEYKXAYFXMXBYGVAXQXBYEYKRZXMXBYLRXAXMYEXBYKYEXMFVKKZXBYKRY
        EYMXMWTUCKWTVLFUGVMVNWSYMXBYEYJWSYMXBYEYJRZWSYMXBUBXHXSXDUMQZNZYNABCDEF
        HIJVOYEYIYPXJYEYIYPXJRYEYISYPXHXSYHUMQZNZXJYIYPYRUPYEYIYOYQXHXDYHXSUMVR
        VJVPYEYRXJRYIYEYRXJYEYQXIXHWTVQVJVSVTWAWJWBWCWDWEWFWGVTTWATWHUTWIWKWJWL
        WMWNWOWPWQWR $.
    $}

    $d G e f n v $.  $d V e f n v $.  $d c e f n v w y $.
    $( The size of a finite complete simple graph with ` n ` vertices
       ( ` n e. NN0 ` ) is ` ( n _C 2 ) ` (" ` n ` choose 2") resp.
       ` ( ( ( n - 1 ) * n ) / 2 ) ` , see definition in section I.1 of
       [Bollobas] p. 3 .  (Contributed by Alexander van der Vekens,
       11-Jan-2018.)  (Revised by AV, 10-Nov-2020.) $)
    cusgrsize $p |- ( ( G e. ComplUSGraph /\ V e. Fin )
                       -> ( # ` E ) = ( ( # ` V ) _C 2 ) ) $=
      ( ve vv vc ccusgr wcel wa chash cfv c2 cbc co wceq fveq2d cv cvv vn vf vw
      cfn ciedg crn cedg edgval eqtri a1i cop cvtx opeq1i cusgrop eqeltrid wnel
      vy cid crab cres csn cdif fvex rabexg resiexd ax-mp rneq fveq2 eqeqan12rd
      oveq1d vex opvtxfvi eqcomi eqid cusgrres adantl eqeq12d cc0 edgopval el2v
      adantr cuhgr cusgr cusgrusgr usgruhgr cusgrsizeindb0 sylan eqtrd c1 caddc
      eqcomd syl cn0 rnresi fveq2i rabeqdv syl5eq eqeq1d biimpd imdistani imp31
      w3a cusgrsize2inds opfi1ind ) BIJZCUDJZKZALMBUEMZUFZLMZCLMZNOPZXGAXILAXIQ
      XGABUGMXIEBUHUIUJRXECXHUKZIJXFXJXLQZXEXMBULMZXHUKICXOXHDUMBUNUOXNFSZUFZLM
      ZGSZLMZNOPZQZURUASZHSUPZHXSXPUKZUGMZUSZUTZUFZLMZXSYCVAVBZLMZNOPZQZUBSZUFZ
      LMZUCSZLMZNOPZQUQUCGFUBUAXHYHICBUEVCYFTJZYHTJYEUGVCUUAYGTYDHYFTVDVEVFXPXH
      QZXSCQZXRXJYAXLUUBXQXILXPXHVGRUUCXTXKNOXSCLVHVJVIXPYOQZXSYRQZXRYQYAYTUUDX
      QYPLXPYOVGRUUEXTYSNOXSYRLVHVJVIYKYHUKZHYFYGYEYCXSYEULMXSXPXSGVKFVKVLVMZYF
      VNZYGVNUUFVNVOYRYKQZYOYHQZKZYQYJYTYMUUJYQYJQUUIUUJYPYILYOYHVGRVPUUKYSYLNO
      UUIYSYLQUUJYRYKLVHWAVJVQYEIJZXTVRQZKZXRYFLMZYAUUNXQYFLUUNYFXQYFXQQZUUNUUP
      GFXPXSTTVSVTZUJWKRUULYEWBJZUUMUUOYAQUULYEWCJUURYEWDYEWEWLYFYEXSUUGUUHWFWG
      WHUQSWIWJPZWMJZUULXTUUSQYCXSJXBZKZYNKUVBYDHXQUSZLMZYMQZKYBUVBYNUVEUVBYNUV
      EUVBYJUVDYMUVBYJYGLMUVDYIYGLYGWNWOUVBYGUVCLUVBYDHYFXQUUPUVBUUQUJWPRWQWRWS
      WTUUTUVAUVEYBHXQUVCYEYCXSUUSUUGYFXQUUQVMUVCVNXCXAWLXDWGWH $.
  $}

  ${
    cusgrfi.v $e |- V = ( Vtx ` G ) $.
    ${
      $d G x $.  $d N a x $.  $d V a x $.
      cusgrfi.p $e |- P = { x e. ~P V |
                            E. a e. V ( a =/= N /\ x = { a , N } ) } $.
      $( Lemma 1 for ~ cusgrfi .  (Contributed by Alexander van der Vekens,
         13-Jan-2018.)  (Revised by AV, 11-Nov-2020.) $)
      cusgrfilem1 $p |- ( ( G e. ComplUSGraph /\ N e. V )
                          -> P C_ ( Edg ` G ) ) $=
        ( ccusgr wcel cfv wss cv chash c2 wceq crab wi wa imp cedg cpw cusgredg
        eqid wne cpr wrex fveq2 ad2antlr wb hashprg adantrr biimpcd eqtrd an13s
        adantr rexlimdvaa ss2rabdv a1i id sseq12d syl5ibr syl ) CIJZDEJZBCUAKZL
        ZVDVFAMZNKZOPZAEUBZQZPZVEVGRAVFCEGVFUDUCVEVGVMFMZDUEZVHVNDUFZPZSZFEUGZA
        VKQZVLLVEVSVJAVKVEVHVKJZSZVRVJFEVRVNEJZWBVJVRWCWBSZSVIVPNKZOVQVIWEPVOWD
        VHVPNUHUIVRWDWEOPZVOWDWFRVQWDVOWFWCVEVOWFUJWAVNDEEUKULUMUPTUNUOUQURVMBV
        TVFVLBVTPVMHUSVMUTVAVBVCT $.

      $d F e $.  $d N a e x $.  $d N a v x $.  $d P e x $.  $d V e $.
      $d V v $.
      cusgrfi.f $e |- F = ( x e. ( V \ { N } ) |-> { x , N } ) $.
      $( Lemma 2 for ~ cusgrfi .  (Contributed by Alexander van der Vekens,
         13-Jan-2018.)  (Revised by AV, 11-Nov-2020.) $)
      cusgrfilem2 $p |- ( N e. V -> F : ( V \ { N } ) -1-1-onto-> P ) $=
        ( ve vv wcel cv wral wceq wa wrex adantl eqeq1 cpr csn cdif wreu eldifi
        wf1o cpw wne id prelpwi syl2anr eldifsni eqidd jca neeq1 eqeq2d anbi12d
        wb preq1 rspcedv sylc crab eleq2i anbi2d rexbidv cbvrabv bitri sylanbrc
        elrab2 ralrimiva simpl anim2i eldifsn sylibr wi ad2antlr preqr1 equcomd
        vex syl6bi adantll equcoms biimpcd impbid reximdv2 expimpd reu6 3imtr4g
        ex ralrimiv f1ompt ) EFMZANZEUAZBMZAFEUBZUCZOKNZWNPZAWQUDZKBOWQBCUFWLWO
        AWQWLWMWQMZQZWNFUGZMZGNZEUHZWNXEEUAZPZQZGFRZWOXAWMFMZWLXDWLWMFWPUEZWLUI
        WMEFUJUKXBXKWMEUHZWNWNPZQZXJXAXKWLXLSXBXMXNXAXMWLWMFEULSXBWNUMUNXKXIXOG
        WMFXKUIXEWMPZXIXOURXKXPXFXMXHXNXEWMEUOXPXGWNWNXEWMEUSZUPUQSUTVAWOWNXFWM
        XGPZQZGFRZAXCVBZMXDXJQBYAWNIVCXFLNZXGPZQZGFRZXJLWNXCYAYBWNPZYDXIGFYFYCX
        HXFYBWNXGTVDVEXTYEALXCWMYBPZXSYDGFYGXRYCXFWMYBXGTVDVEVFVIVGVHVJWLWTKBWL
        WRXCMZXFWRXGPZQZGFRZQWSWMXEPZURZAWQOZGWQRZWRBMWTWLYHYKYOWLYHQZYJYNGFWQY
        PXEFMZYJQZXEWQMZYNQYPYRQZYSYNYTYQXFQZYSYRUUAYPYJXFYQXFYIVKVLSXEFEVMVNYT
        YMAWQYTXAQWSYLYRXAWSYLVOYPYRXAQWSXGWNPZYLYJWSUUBURZYQXAYIUUCXFWRXGWNTSV
        PUUBGAXEWMEGVSAVSVQVRVTWAYRYLWSVOZYPXAYJUUDYQYIUUDXFYLYIWSYLXGWNWRUUBGA
        XQWBUPWCSSVPWDVJUNWIWEWFXTYKAWRXCBWMWRPZXSYJGFUUEXRYIXFWMWRXGTVDVEIVIWS
        AGWQWGWHWJAKWQBWNCJWKVH $.

      $d F f $.  $d N f $.  $d P f $.  $d V f $.
      $( Lemma 3 for ~ cusgrfi .  (Contributed by Alexander van der Vekens,
         13-Jan-2018.)  (Revised by AV, 11-Nov-2020.) $)
      cusgrfilem3 $p |- ( N e. V -> ( V e. Fin <-> P e. Fin ) ) $=
        ( vf wcel cfn csn cdif diffi wn cv wf1o cvv wa simpr snfi sylancl con4d
        difinf ex impbid2 cen wbr wb wex cpr cmpt cvtx fvexi difexi mptexg mp1i
        eqeltrid cusgrfilem2 f1oeq1 spcedv bren sylibr enfi syl bitrd ) EFLZFML
        ZFENZOZMLZBMLZVIVJVMFVKPVIVJVMVIVJQZVMQZVIVOUAVOVKMLVPVIVOUBEUCFVKUFUDU
        GUEUHVIVLBUIUJZVMVNUKVIVLBKRZSZKULVQVIVSVLBCSKTCVICAVLAREUMZUNZTJVLTLWA
        TLVIFVKFDUOHUPUQAVLVTTURUSUTABCDEFGHIJVAVLBVRCVBVCVLBKVDVEVLBVFVGVH $.
    $}

    $d E n $.  $d G n p $.  $d V e n p v $.
    cusgrfi.e $e |- E = ( Edg ` G ) $.
    $( If the size of a complete simple graph is finite, then its order is also
       finite.  (Contributed by Alexander van der Vekens, 13-Jan-2018.)
       (Revised by AV, 11-Nov-2020.) $)
    cusgrfi $p |- ( ( G e. ComplUSGraph /\ E e. Fin ) -> V e. Fin ) $=
      ( vn vv ve vp ccusgr wcel cfn wn cv wi wa cpr wceq wrex expcom crab eqeq1
      nfielex wne cpw csn cdif cmpt weq anbi2d rexbidv cbvrabv eqid cusgrfilem3
      notbid biimpac cedg cfv cusgrfilem1 eleq1i ssfi syl5bi con3d com23 adantl
      wss syl mpd exlimddv com12 con4d imp ) BJKZALKZCLKZVMVOVNVOMZVMVNMZVPFNZC
      KZVMVQOZFFCUCVPVSPGNZVRUDZHNZWAVRQZRZPZGCSZHCUEZUAZLKZMZVTVSVPWKVSVOWJIWI
      ICVRUFUGINZVRQUHZBVRCGDWGWBWLWDRZPZGCSHIWHHIUIZWFWOGCWPWEWNWBWCWLWDUBUJUK
      ULZWMUMUNUOUPVSWKVTOVPVSVMWKVQVMVSWKVQOZVMVSPWIBUQURZVFZWRIWIBVRCGDWQUSWT
      VNWJVNWSLKZWTWJAWSLEUTXAWTWJWSWIVATVBVCVGTVDVEVHVIVJVKVL $.
  $}

  ${
    $d E e $.  $d G e $.
    fusgrmaxsize.v $e |- V = ( Vtx ` G ) $.
    fusgrmaxsize.e $e |- E = ( Edg ` G ) $.
    ${
      $d F a b e f k n $.  $d G a b $.  $d H a b e k n $.  $d V a b k n $.
      usgrsscusgra.h $e |- V = ( Vtx ` H ) $.
      usgrsscusgra.f $e |- F = ( Edg ` H ) $.
      $( A simple graph is a subgraph of a complete simple graph.  (Contributed
         by Alexander van der Vekens, 11-Jan-2018.)  (Revised by AV,
         13-Nov-2020.) $)
      usgredgsscusgredg $p |- ( ( G e. USGraph /\ H e. ComplUSGraph )
                                -> E C_ F ) $=
        ( va vb vn vk wcel wa cv cpr wceq wi wral cusgr ccusgr wne wrex usgredg
        csn cdif iscusgredg weq sneq difeq2d preq2 eleq1d raleqbidv rspcv simpl
        ve necomd anim2i eldifsn sylibr preq1 prcom eqeq2i eqcom sylbb ad2antll
        syl biimpd syld syl9 impl adantld syl5bi ex rexlimivv impancom ssrdv )
        CUANZDUBNZOUQABVSUQPZANZVTWABNZVSWBOJPZKPZUCZWAWDWEQZRZOZKEUDJEUDVTWCSZ
        WAACEJKFGUEWIWJJKEEWDENZWEENZOZWIWJVTDUANZLPZMPZQZBNZLEWPUFZUGZTZMETZOW
        MWIOZWCMLBDEHIUHXCXBWCWNWKWLWIXBWCSWKXBWOWDQZBNZLEWDUFZUGZTZWLWIOZWCXAX
        HMWDEMJUIZWRXELWTXGXJWSXFEWPWDUJUKXJWQXDBWPWDWOULUMUNUOXIXHWEWDQZBNZWCX
        IWEXGNZXHXLSXIWLWEWDUCZOXMWIXNWLWIWDWEWFWHUPURUSWEEWDUTVAXEXLLWEXGLKUIX
        DXKBWOWEWDVBUMUOVHWHXLWCSWLWFWHXLWCWHXKWABWHWAXKRXKWARWGXKWAWDWEVCVDWAX
        KVEVFUMVIVGVJVKVLVMVNVOVPVHVQVR $.

      $( A simple graph is a subgraph of a complete simple graph.  (Contributed
         by Alexander van der Vekens, 11-Jan-2018.)  (Revised by AV,
         13-Nov-2020.) $)
      usgrsscusgr $p |- ( ( G e. USGraph /\ H e. ComplUSGraph )
                          -> A. e e. E E. f e. F e = f ) $=
        ( cusgr wcel ccusgr wa wss weq wrex wral usgredgsscusgredg dfss5 sylib
        ) ELMFNMOCDPABQBDRACSCDEFGHIJKTABCDUAUB $.

      $( Lemma 1 for ~ sizusglecusg .  (Contributed by Alexander van der
         Vekens, 12-Jan-2018.)  (Revised by AV, 13-Nov-2020.) $)
      sizusglecusglem1 $p |- ( ( G e. USGraph /\ H e. ComplUSGraph )
                               -> ( _I |` E ) : E -1-1-> F ) $=
        ( cusgr wcel ccusgr wa cid cres wf1 wss wf1o f1oi f1of1 ax-mp sylancr
        usgredgsscusgredg f1ss ) CJKDLKMAANAOZPZABQABUEPAAUERUFASAAUETUAABCDEFG
        HIUCAABUEUDUB $.

      $( Lemma 2 for ~ sizusglecusg .  (Contributed by Alexander van der
         Vekens, 13-Jan-2018.)  (Revised by AV, 13-Nov-2020.) $)
      sizusglecusglem2 $p |- ( ( G e. USGraph /\ H e. ComplUSGraph
                                 /\ F e. Fin ) -> E e. Fin ) $=
        ( cusgr wcel ccusgr cfn w3a cusgrfi 3adant1 wi wa cedg cfv fusgrfis mpd
        cfusgr isfusgr sylbir eqeltrid ex 3ad2ant1 ) CJKZDLKZBMKZNEMKZAMKZUJUKU
        LUIBDEHIOPUIUJULUMQUKUIULUMUIULRZACSTZMGUNCUCKUOMKCEFUDCUAUEUFUGUHUB $.

      $d E f $.
      $( The size of a simple graph with ` n ` vertices is at most the size of
         a complete simple graph with ` n ` vertices ( ` n ` may be infinite).
         (Contributed by Alexander van der Vekens, 13-Jan-2018.)  (Revised by
         AV, 13-Nov-2020.) $)
      sizusglecusg $p |- ( ( G e. USGraph /\ H e. ComplUSGraph )
                           -> ( # ` E ) <_ ( # ` F ) ) $=
        ( vf cfn wcel wa chash cfv wbr wi wf1 cvv cedg cusgr ccusgr cle wex cid
        cv cres fvexi resiexg mp1i sizusglecusglem1 f1eq1 spcedv adantl cdom wb
        hashdom adantr brdomg bitrd mpbird exp31 wn w3a sizusglecusglem2 3expia
        pm2.24d com13 pm2.61i nfile mp3an12 a1d ) BKLZCUALZDUBLZMZANOBNOUCPZQZA
        KLZVMVRQVSVMVPVQVSVMMZVPMZVQABJUFZRZJUDZVPWDVTVPWCABUEAUGZRJSWEASLZWESL
        VPACTGUHZASUIUJABCDEFGHIUKABWBWEULUMUNWAVQABUOPZWDVTVQWHUPVPABKUQURVTWH
        WDUPZVPVMWIVSABKJUSUNURUTVAVBVPVMVSVCZVQVNVOVMWJVQQVNVOVMVDVSVQABCDEFGH
        IVEVGVFVHVIVMVCZVQVPWFBSLWKVQWGBDTIUHABSSVJVKVLVI $.
    $}

    $d V e $.
    $( The maximum size of a finite simple graph with ` n ` vertices is
       ` ( ( ( n - 1 ) * n ) / 2 ) ` .  See statement in section I.1 of
       [Bollobas] p. 3 .  (Contributed by Alexander van der Vekens,
       13-Jan-2018.)  (Revised by AV, 14-Nov-2020.) $)
    fusgrmaxsize $p |- ( G e. FinUSGraph
                         -> ( # ` E ) <_ ( ( # ` V ) _C 2 ) ) $=
      ( ve cfusgr wcel cusgr cfn wa chash cfv c2 cbc cle wbr adantl cvtx wi cop
      co isfusgr cv ccusgr wex cusgrexg cedg fvexi opvtxfvi eqcomi sizusglecusg
      vex eqid adantlr cusgrsize breq2 biimpd syl expcom imp mpd exlimddv sylbi
      wceq ) BGHBIHZCJHZKZALMZCLMNOUBZPQZBCDUCVHCFUDZUAZUEHZVKFVGVNFUFVFFCJUGRV
      HVNKVIVMUHMZLMZPQZVKVFVNVQVGAVOBVMCDEVMSMCVLCCBSDUIFUMUJUKZVOUNZULUOVHVNV
      QVKTZVGVNVTTVFVNVGVTVNVGKVPVJVEZVTVOVMCVRVSUPWAVQVKVPVJVIPUQURUSUTRVAVBVC
      VD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Vertex degree
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c VtxDeg $.

  $( Extend class notation with the vertex degree function. $)
  cvtxdg $a class VtxDeg $.

  ${
    $d e g u v x $.
    $( Define the vertex degree function for a graph.  To be appropriate for
       arbitrary hypergraphs, we have to double-count those edges that contain
       ` u ` "twice" (i.e. self-loops), this being represented as a singleton
       as the edge's value.  Since the degree of a vertex can be (positive)
       infinity (if the graph containing the vertex is not of finite size), the
       extended addition ` +e ` is used for the summation of the number of
       "ordinary" edges" and the number of "loops".  (Contributed by Mario
       Carneiro, 12-Mar-2015.)  (Revised by Alexander van der Vekens,
       20-Dec-2017.)  (Revised by AV, 9-Dec-2020.) $)
    df-vtxdg $a |- VtxDeg = ( g e. _V |-> [_ ( Vtx ` g ) / v ]_
                                          [_ ( iEdg ` g ) / e ]_ ( u e. v |->
                          ( ( # ` { x e. dom e | u e. ( e ` x ) } ) +e
                            ( # ` { x e. dom e | ( e ` x ) = { u } } ) ) ) ) $.

    $d A g x $.  $d G g u x $.  $d I g $.  $d V g u $.  $d W g $.
    vtxdgfval.v $e |- V = ( Vtx ` G ) $.
    vtxdgfval.i $e |- I = ( iEdg ` G ) $.
    vtxdgfval.a $e |- A = dom I $.
    $( The value of the vertex degree function.  (Contributed by Mario
       Carneiro, 12-Mar-2015.)  (Revised by Alexander van der Vekens,
       20-Dec-2017.)  (Revised by AV, 9-Dec-2020.) $)
    vtxdgfval $p |- ( G e. W -> ( VtxDeg ` G ) = ( u e. V
                          |-> ( ( # ` { x e. A | u e. ( I ` x ) } ) +e
                                ( # ` { x e. A | ( I ` x ) = { u } } ) ) ) ) $=
      ( vv wcel cv cvtx cfv crab chash wceq cxad cvv vg ve ciedg cdm csn co csb
      cmpt cvtxdg df-vtxdg fvex simpl dmeq fveq1 eleq2d rabeqbidv fveq2d eqeq1d
      wa oveq12d adantl mpteq12dv csbie2 fveq2 eqtr4di dmeqd dmeqi eqtri fveq1d
      syl5eq elex fvexi mptexg mp1i fvmptd2 ) DGLZUADKUAMZNOZUBVQUCOZBKMZBMZAMZ
      UBMZOZLZAWCUDZPZQOZWDWAUEZRZAWFPZQOZSUFZUHZUGUGZBFWAWBEOZLZACPZQOZWPWIRZA
      CPZQOZSUFZUHZTUITAKBUBUAUJVPVQDRZUSWOBVRWAWBVSOZLZAVSUDZPZQOZXFWIRZAXHPZQ
      OZSUFZUHZXDKUBVRVSWNXOVQNUKVQUCUKVTVRRZWCVSRZUSBVTWMVRXNXPXQULXQWMXNRXPXQ
      WHXJWLXMSXQWGXIQXQWEXGAWFXHWCVSUMZXQWDXFWAWBWCVSUNZUOUPUQXQWKXLQXQWJXKAWF
      XHXRXQWDXFWIXSURUPUQUTVAVBVCXEXOXDRVPXEBVRXNFXCXEVRDNOFVQDNVDHVEXEXJWSXMX
      BSXEXIWRQXEXGWQAXHCXEXHDUCOZUDZCXEVSXTVQDUCVDZVFCEUDYAJEXTIVGVHVEZXEXFWPW
      AXEWBVSEXEVSXTEYBIVEVIZUOUPUQXEXLXAQXEXKWTAXHCYCXEXFWPWIYDURUPUQUTVBVAVJD
      GVKFTLXDTLVPFDNHVLBFXCTVMVNVO $.
  $}

  ${
    $d A u x $.  $d G u x $.  $d I u $.  $d U u x $.  $d V u $.
    vtxdgval.v $e |- V = ( Vtx ` G ) $.
    vtxdgval.i $e |- I = ( iEdg ` G ) $.
    vtxdgval.a $e |- A = dom I $.
    $( The degree of a vertex.  (Contributed by Mario Carneiro, 12-Mar-2015.)
       (Revised by Alexander van der Vekens, 20-Dec-2017.)  (Revised by AV,
       10-Dec-2020.)  (Revised by AV, 22-Mar-2021.) $)
    vtxdgval $p |- ( U e. V -> ( ( VtxDeg ` G ) ` U )
                              = ( ( # ` { x e. A | U e. ( I ` x ) } ) +e
                                  ( # ` { x e. A | ( I ` x ) = { U } } ) ) ) $=
      ( vu wcel cfv cv crab chash csn wceq cxad co cvv cvtxdg 1vgrex syl fveq1d
      cmpt vtxdgfval eleq1 rabbidv fveq2d sneq eqeq2d oveq12d eqid fvmpt eqtrd
      ovex ) CFKZCDUALZLCJFJMZAMELZKZABNZOLZUTUSPZQZABNZOLZRSZUEZLCUTKZABNZOLZU
      TCPZQZABNZOLZRSZUQCURVIUQDTKURVIQDCFGUBAJBDEFTGHIUFUCUDJCVHVQFVIUSCQZVCVL
      VGVPRVRVBVKOVRVAVJABUSCUTUGUHUIVRVFVOOVRVEVNABVRVDVMUTUSCUJUKUHUIULVIUMVL
      VPRUPUNUO $.

    $( The degree of a vertex for graphs of finite size.  (Contributed by Mario
       Carneiro, 12-Mar-2015.)  (Revised by Alexander van der Vekens,
       21-Jan-2018.)  (Revised by AV, 8-Dec-2020.)  (Revised by AV,
       22-Mar-2021.) $)
    vtxdgfival $p |- ( ( A e. Fin /\ U e. V ) -> ( ( VtxDeg ` G ) ` U )
                              = ( ( # ` { x e. A | U e. ( I ` x ) } ) +
                                  ( # ` { x e. A | ( I ` x ) = { U } } ) ) ) $=
      ( cfn wcel wa cfv crab chash wceq co cr cn0 syl cvtxdg csn caddc vtxdgval
      cv cxad adantl rabfi hashcl nn0red jca adantr rexadd eqtrd ) BJKZCFKZLZCD
      UAMMZCAUEEMZKZABNZOMZUSCUBPZABNZOMZUFQZVBVEUCQZUPURVFPUOABCDEFGHIUDUGUQVB
      RKZVERKZLZVFVGPUOVJUPUOVHVIUOVBUOVAJKVBSKUTABUHVAUITUJUOVEUOVDJKVESKVCABU
      HVDUITUJUKULVBVEUMTUN $.
  $}

  ${
    $d G u x $.
    $( The vertex degree expressed as operation.  (Contributed by AV,
       12-Dec-2021.) $)
    vtxdgop $p |- ( G e. W -> ( VtxDeg ` G )
                              = ( ( Vtx ` G ) VtxDeg ( iEdg ` G ) ) ) $=
      ( vu vx wcel cvtx cfv ciedg cop cvtxdg cv crab chash wceq cvv fvex eqcomi
      co eqid vtxdgfval cdm csn cxad cmpt opex opvtxfvi opiedgfvi mp1i 3eqtr4rd
      df-ov a1i ) ABEZAFGZAHGZIZJGZCUMCKZDKUNGZEDUNUAZLMGURUQUBNDUSLMGUCRUDZUMU
      NJRZAJGUOOEUPUTNULUMUNUEDCUSUOUNUMOUOFGUMUNUMAFPZAHPZUFQUOHGUNUNUMVBVCUGQ
      USSZTUHVAUPNULUMUNJUJUKDCUSAUNUMBUMSUNSVDTUI $.
  $}

  ${
    $d G u x $.  $d V u $.  $d W u $.
    vtxdgf.v $e |- V = ( Vtx ` G ) $.
    $( The vertex degree function is a function from vertices to extended
       nonnegative integers.  (Contributed by Alexander van der Vekens,
       20-Dec-2017.)  (Revised by AV, 10-Dec-2020.) $)
    vtxdgf $p |- ( G e. W -> ( VtxDeg ` G ) : V --> NN0* ) $=
      ( vu vx wcel cv ciedg cfv cdm crab chash csn eqid cvv rabexd hashxnn0 syl
      cxnn0 wceq cxad co cvtxdg vtxdgfval wa fvex dmexg mp1i xnn0xaddcl syl2anc
      fmpt3d ) ACGZEBEHZFHAIJZJZGZFUOKZLZMJZUPUNNUAZFURLZMJZUBUCZTAUDJFEURAUOBC
      DUOOUROUEUMUNBGUFZUTTGZVCTGZVDTGVEUSPGVFVEUQFURUSPUSOUOPGURPGVEAIUGUOPUHU
      IZQUSPRSVEVBPGVGVEVAFURVBPVBOVHQVBPRSUTVCUJUKUL $.

    $( The degree of a vertex is either a nonnegative integer or positive
       infinity.  (Contributed by Alexander van der Vekens, 30-Dec-2017.)
       (Revised by AV, 10-Dec-2020.)  (Revised by AV, 22-Mar-2021.) $)
    vtxdgelxnn0 $p |- ( X e. V -> ( ( VtxDeg ` G ) ` X ) e. NN0* ) $=
      ( cvv wcel cvtxdg cfv cxnn0 1vgrex vtxdgf ffvelrnda mpancom ) AEFZCBFCAGH
      ZHIFACBDJNBICOABEDKLM $.

    $( The degree of a vertex in the null graph is zero (or anything else),
       because there are no vertices.  (Contributed by AV, 11-Dec-2020.) $)
    vtxdg0v $p |- ( ( G = (/) /\ U e. V ) -> ( ( VtxDeg ` G ) ` U ) = 0 ) $=
      ( wceq wcel cvtxdg cfv cc0 cvtx eleq2i fveq2 vtxval0 eqtrdi eleq2d syl5bb
      c0 noel pm2.21i syl6bi imp ) BQEZACFZABGHHIEZUBUCAQFZUDUCABJHZFUBUECUFADK
      UBUFQAUBUFQJHQBQJLMNOPUEUDARSTUA $.

    $d U x $.
    vtxdg0e.i $e |- I = ( iEdg ` G ) $.
    $( The degree of a vertex in an empty graph is zero, because there are no
       edges.  This is the base case for the induction for calculating the
       degree of a vertex, for example in a K&ouml;nigsberg graph (see also the
       induction steps ~ vdegp1ai , ~ vdegp1bi and ~ vdegp1ci ).  (Contributed
       by Mario Carneiro, 12-Mar-2015.)  (Revised by Alexander van der Vekens,
       20-Dec-2017.)  (Revised by AV, 11-Dec-2020.)  (Revised by AV,
       22-Mar-2021.) $)
    vtxdg0e $p |- ( ( U e. V /\ I = (/) ) -> ( ( VtxDeg ` G ) ` U ) = 0 ) $=
      ( vx wcel c0 wceq cfv cdm crab chash caddc co cc0 cfn eqtrdi sylbi cvtxdg
      wa cv ciedg csn eqeq1i dmeq 0fin eqeltrdi simpl vtxdgfival syl2an2 adantl
      dm0 eqid rabeq rab0 fveq2d hash0 fveq2i eqtri oveq12d syl 00id eqtrd ) AD
      HZCIJZUBZABUAKKZAGUCBUDKZKZHZGVJLZMZNKZVKAUEJZGVMMZNKZOPZQVGVMRHZVFVFVIVS
      JVGVJIJZVTCVJIFUFZWAVMIRWAVMILIVJIUGUNSZUHUITVFVGUJGVMABVJDEVJUOVMUOUKULV
      HVSQQOPZQVHVMIJZVSWDJVGWEVFVGWAWEWBWCTUMWEVOQVRQOWEVOINKZQWEVNINWEVNVLGIM
      IVLGVMIUPVLGUQSURUSSWEVRVPGIMZNKZQWEVQWGNVPGVMIUPURWHWFQWGINVPGUQUTUSVASV
      BVCVDSVE $.

    $d A u x $.
    vtxdgfisnn0.a $e |- A = dom I $.
    $( The degree of a vertex in a graph of finite size is a nonnegative
       integer.  (Contributed by Alexander van der Vekens, 10-Mar-2018.)
       (Revised by AV, 11-Dec-2020.)  (Revised by AV, 22-Mar-2021.) $)
    vtxdgfisnn0 $p |- ( ( A e. Fin /\ U e. V )
                        -> ( ( VtxDeg ` G ) ` U ) e. NN0 ) $=
      ( vx cfn wcel wa cvtxdg cfv crab chash cn0 rabfi hashcl syl cv wceq caddc
      csn co vtxdgfival nn0addcld adantr eqeltrd ) AJKZBEKZLBCMNNBIUADNZKZIAOZP
      NZULBUDUBZIAOZPNZUCUEZQIABCDEFGHUFUJUSQKUKUJUOURUJUNJKUOQKUMIARUNSTUJUQJK
      URQKUPIARUQSTUGUHUI $.

    $( The vertex degree function on graphs of finite size is a function from
       vertices to nonnegative integers.  (Contributed by Mario Carneiro,
       12-Mar-2015.)  (Revised by Alexander van der Vekens, 20-Dec-2017.)
       (Revised by AV, 11-Dec-2020.) $)
    vtxdgfisf $p |- ( ( G e. W /\ A e. Fin ) -> ( VtxDeg ` G ) : V --> NN0 ) $=
      ( vu wcel cfn wa cvtxdg cfv wfn cv cn0 wral wf cxnn0 vtxdgf adantll ffnfv
      adantr ffnd vtxdgfisnn0 ralrimiva sylanbrc ) BEJZAKJZLZBMNZDOIPZULNQJZIDR
      DQULSUKDTULUIDTULSUJBDEFUAUDUEUKUNIDUJUMDJUNUIAUMBCDFGHUFUBUGIDQULUCUH $.
  $}

  ${
    $d H u x $.  $d G u x $.  $d ph u x $.
    vtxdeqd.g $e |- ( ph -> G e. X ) $.
    vtxdeqd.h $e |- ( ph -> H e. Y ) $.
    vtxdeqd.v $e |- ( ph -> ( Vtx ` H ) = ( Vtx ` G ) ) $.
    vtxdeqd.i $e |- ( ph -> ( iEdg ` H ) = ( iEdg ` G ) ) $.
    $( Equality theorem for the vertex degree:  If two graphs are structurally
       equal, their vertex degree functions are equal.  (Contributed by AV,
       26-Feb-2021.) $)
    vtxdeqd $p |- ( ph -> ( VtxDeg ` H ) = ( VtxDeg ` G ) ) $=
      ( vu vx cvtx cfv cv wcel crab chash wceq cxad eqid cdm csn co cmpt cvtxdg
      ciedg dmeqd fveq1d eleq2d rabeqbidv fveq2d eqeq1d mpteq12dv vtxdgfval syl
      oveq12d 3eqtr4d ) AJCLMZJNZKNZCUFMZMZOZKVAUAZPZQMZVBUSUBZRZKVDPZQMZSUCZUD
      ZJBLMZUSUTBUFMZMZOZKVNUAZPZQMZVOVGRZKVQPZQMZSUCZUDZCUEMZBUEMZAJURVKVMWCHA
      VFVSVJWBSAVEVRQAVCVPKVDVQAVAVNIUGZAVBVOUSAUTVAVNIUHZUIUJUKAVIWAQAVHVTKVDV
      QWGAVBVOVGWHULUJUKUPUMACEOWEVLRGKJVDCVAUREURTVATVDTUNUOABDOWFWDRFKJVQBVNV
      MDVMTVNTVQTUNUOUQ $.
  $}

  ${
    vtxduhgr0e.v $e |- V = ( Vtx ` G ) $.
    vtxduhgr0e.e $e |- E = ( Edg ` G ) $.
    $( The degree of a vertex in an empty hypergraph is zero, because there are
       no edges.  Analogue of ~ vtxdg0e .  (Contributed by AV, 15-Dec-2020.) $)
    vtxduhgr0e $p |- ( ( G e. UHGraph /\ U e. V /\ E = (/) )
                       -> ( ( VtxDeg ` G ) ` U ) = 0 ) $=
      ( cuhgr wcel c0 wceq cvtxdg cfv cc0 wa ciedg wfun eqid uhgrfun edg0iedg0
      wb syl adantr wi vtxdg0e ex adantl sylbid 3impia ) CGHZADHZBIJZACKLLMJZUI
      UJNUKCOLZIJZULUIUKUNTZUJUIUMPUOUMCUMQZRBCUMUPFSUAUBUJUNULUCUIUJUNULACUMDE
      UPUDUEUFUGUH $.
  $}

  ${
    $d G x $.  $d V x $.
    vtxdlfuhgr1v.v $e |- V = ( Vtx ` G ) $.
    vtxdlfuhgr1v.i $e |- I = ( iEdg ` G ) $.
    vtxdlfuhgr1v.e $e |- E = { x e. ~P V | 2 <_ ( # ` x ) } $.
    $( The degree of the vertex in a loop-free hypergraph with one vertex is 0.
       (Contributed by AV, 2-Apr-2021.) $)
    vtxdlfuhgr1v $p |- ( ( G e. UHGraph /\ ( # ` V ) = 1 /\ I : dom I --> E )
                         -> ( U e. V -> ( ( VtxDeg ` G ) ` U ) = 0 ) ) $=
      ( cuhgr wcel chash cfv c1 wceq cdm wf w3a cvtxdg cc0 wa cedg simpl1 simpr
      c0 lfuhgr1v0e adantr eqid vtxduhgr0e syl3anc ex ) DJKZFLMNOZEPCEQZRZBFKZB
      DSMMTOZUOUPUAULUPDUBMZUEOZUQULUMUNUPUCUOUPUDUOUSUPACDEFGHIUFUGBURDFGURUHU
      IUJUK $.
  $}

  ${
    $d G x $.  $d V x $.
    vdumgr0.v $e |- V = ( Vtx ` G ) $.
    $( A vertex in a multigraph has degree 0 if the graph consists of only one
       vertex.  (Contributed by Alexander van der Vekens, 6-Dec-2017.)
       (Revised by AV, 2-Apr-2021.) $)
    vdumgr0 $p |- ( ( G e. UMGraph /\ N e. V /\ ( # ` V ) = 1 )
                    -> ( ( VtxDeg ` G ) ` N ) = 0 ) $=
      ( vx cumgr wcel chash cfv c1 wceq w3a cuhgr ciedg cdm c2 cv 3ad2ant1 eqid
      cle wbr cpw crab wf cvtxdg umgruhgr simp3 cupgr umgrislfupgr simprbi 3jca
      cc0 simp2 vtxdlfuhgr1v sylc ) AFGZBCGZCHIJKZLZAMGZURANIZOPEQHITUAECUBUCZV
      AUDZLUQBAUEIIULKUSUTURVCUPUQUTURAUFRUPUQURUGUPUQVCURUPAUHGVCEAVACDVASZUIU
      JRUKUPUQURUMEBVBAVACDVDVBSUNUO $.
  $}

  ${
    $d G x $.  $d H x $.  $d I x $.  $d J x $.  $d N x $.  $d U x $.
    $d ph x $.
    vtxdun.i $e |- I = ( iEdg ` G ) $.
    vtxdun.j $e |- J = ( iEdg ` H ) $.
    vtxdun.vg $e |- V = ( Vtx ` G ) $.
    vtxdun.vh $e |- ( ph -> ( Vtx ` H ) = V ) $.
    vtxdun.vu $e |- ( ph -> ( Vtx ` U ) = V ) $.
    vtxdun.d $e |- ( ph -> ( dom I i^i dom J ) = (/) ) $.
    vtxdun.fi $e |- ( ph -> Fun I ) $.
    vtxdun.fj $e |- ( ph -> Fun J ) $.
    vtxdun.n $e |- ( ph -> N e. V ) $.
    vtxdun.u $e |- ( ph -> ( iEdg ` U ) = ( I u. J ) ) $.
    $( The degree of a vertex in the union of two graphs on the same vertex set
       is the sum of the degrees of the vertex in each graph.  (Contributed by
       Mario Carneiro, 12-Mar-2015.)  (Revised by Alexander van der Vekens,
       21-Dec-2017.)  (Revised by AV, 19-Feb-2021.) $)
    vtxdun $p |- ( ph -> ( ( VtxDeg ` U ) ` N )
                    = ( ( ( VtxDeg ` G ) ` N ) +e ( ( VtxDeg ` H ) ` N ) ) ) $=
      ( vx cfv cv ciedg wcel cdm crab chash csn wceq co cvtxdg cun wa wo df-rab
      cxad dmeqd dmun eqtrdi eleq2d elun bitrdi anbi1d andir abbidv syl5eq unab
      cab eqcomi a1i fveq1d adantr wfn cin c0 funfnd anim1i fvun1 syl3anc eqtrd
      rabbidva eqtr3id fvun2 uneq12d 3eqtrd fveq2d cvv fvexi rabex ssrab2 ss2in
      dmex wss mp2an sseqtrid ss0 syl hashunx eqeq1d oveq12d hashxnn0 xnn0add4d
      cxnn0 cvtx eleqtrrd eqid vtxdgval 3eqtr4d ) AGSUAZBUBTZTZUCZSXIUDZUEZUFTZ
      XJGUGZUHZSXLUEZUFTZUOUIZGXHETZUCZSEUDZUEZUFTZXTXOUHZSYBUEZUFTZUOUIZGXHFTZ
      UCZSFUDZUEZUFTZYIXOUHZSYKUEZUFTZUOUIZUOUIZGBUJTTZGCUJTTZGDUJTTZUOUIAXSYDY
      MUOUIZYGYPUOUIZUOUIYRAXNUUBXRUUCUOAXNYCYLUKZUFTZUUBAXMUUDUFAXMXHYBUCZXKUL
      ZXHYKUCZXKULZUMZSVGZUUGSVGZUUISVGZUKZUUDAXMXHXLUCZXKULZSVGUUKXKSXLUNAUUPU
      UJSAUUPUUFUUHUMZXKULUUJAUUOUUQXKAUUOXHYBYKUKZUCUUQAXLUURXHAXLEFUKZUDUURAX
      IUUSRUPEFUQURUSXHYBYKUTVAZVBUUFUUHXKVCVAVDVEUUKUUNUHAUUNUUKUUGUUISVFVHVIA
      UULYCUUMYLAUULXKSYBUEYCXKSYBUNAXKYASYBAUUFULZXJXTGUVAXJXHUUSTZXTAXJUVBUHZ
      UUFAXHXIUUSRVJZVKUVAEYBVLZFYKVLZYBYKVMZVNUHZUUFULUVBXTUHAUVEUUFAEOVOZVKAU
      VFUUFAFPVOZVKAUVHUUFNVPYBYKEFXHVQVRVSZUSVTWAAUUMXKSYKUEYLXKSYKUNAXKYJSYKA
      UUHULZXJYIGUVLXJUVBYIAUVCUUHUVDVKUVLUVEUVFUVHUUHULUVBYIUHAUVEUUHUVIVKAUVF
      UUHUVJVKAUVHUUHNVPYBYKEFXHWBVRVSZUSVTWAWCWDWEAYCWFUCZYLWFUCZYCYLVMZVNUHZU
      UEUUBUHUVNAYASYBEECUBIWGWKZWHVIZUVOAYJSYKFFDUBJWGWKZWHVIZAUVPVNWLUVQAUVGU
      VPVNYCYBWLYLYKWLUVPUVGWLYASYBWIYJSYKWIYCYBYLYKWJWMNWNUVPWOWPYCYLWFWFWQVRV
      SAXRYFYOUKZUFTZUUCAXQUWBUFAXQUUFXPULZUUHXPULZUMZSVGZUWDSVGZUWESVGZUKZUWBA
      XQUUOXPULZSVGUWGXPSXLUNAUWKUWFSAUWKUUQXPULUWFAUUOUUQXPUUTVBUUFUUHXPVCVAVD
      VEUWGUWJUHAUWJUWGUWDUWESVFVHVIAUWHYFUWIYOAUWHXPSYBUEYFXPSYBUNAXPYESYBUVAX
      JXTXOUVKWRVTWAAUWIXPSYKUEYOXPSYKUNAXPYNSYKUVLXJYIXOUVMWRVTWAWCWDWEAYFWFUC
      ZYOWFUCZYFYOVMZVNUHZUWCUUCUHUWLAYESYBUVRWHVIZUWMAYNSYKUVTWHVIZAUWNVNWLUWO
      AUVGUWNVNYFYBWLYOYKWLUWNUVGWLYESYBWIYNSYKWIYFYBYOYKWJWMNWNUWNWOWPYFYOWFWF
      WQVRVSWSAYDYMYGYPAUVNYDXBUCUVSYCWFWTWPAUVOYMXBUCUWAYLWFWTWPAUWLYGXBUCUWPY
      FWFWTWPAUWMYPXBUCUWQYOWFWTWPXAVSAGBXCTZUCYSXSUHAGHUWRQMXDSXLGBXIUWRUWRXEX
      IXEXLXEXFWPAYTYHUUAYQUOAGHUCYTYHUHQSYBGCEHKIYBXEXFWPAGDXCTZUCUUAYQUHAGHUW
      SQLXDSYKGDFUWSUWSXEJYKXEXFWPWSXG $.

    vtxdfiun.a $e |- ( ph -> dom I e. Fin ) $.
    vtxdfiun.b $e |- ( ph -> dom J e. Fin ) $.
    $( The degree of a vertex in the union of two hypergraphs of finite size on
       the same vertex set is the sum of the degrees of the vertex in each
       hypergraph.  (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by
       Alexander van der Vekens, 21-Jan-2018.)  (Revised by AV,
       19-Feb-2021.) $)
    vtxdfiun $p |- ( ph -> ( ( VtxDeg ` U ) ` N )
                     = ( ( ( VtxDeg ` G ) ` N ) + ( ( VtxDeg ` H ) ` N ) ) ) $=
      ( cvtxdg cfv cxad co caddc vtxdun cdm cfn wcel vtxdgfisnn0 syl2anc nn0red
      cn0 eqid cvtx eleqtrrd rexaddd eqtrd ) AGBUAUBUBGCUAUBUBZGDUAUBUBZUCUDUSU
      TUEUDABCDEFGHIJKLMNOPQRUFAUSUTAUSAEUGZUHUIGHUIUSUMUISQVAGCEHKIVAUNUJUKULA
      UTAFUGZUHUIGDUOUBZUIUTUMUITAGHVCQLUPVBGDFVCVCUNJVBUNUJUKULUQUR $.
  $}

  ${
    vtxduhgrun.i $e |- I = ( iEdg ` G ) $.
    vtxduhgrun.j $e |- J = ( iEdg ` H ) $.
    vtxduhgrun.vg $e |- V = ( Vtx ` G ) $.
    vtxduhgrun.vh $e |- ( ph -> ( Vtx ` H ) = V ) $.
    vtxduhgrun.vu $e |- ( ph -> ( Vtx ` U ) = V ) $.
    vtxduhgrun.d $e |- ( ph -> ( dom I i^i dom J ) = (/) ) $.
    vtxduhgrun.g $e |- ( ph -> G e. UHGraph ) $.
    vtxduhgrun.h $e |- ( ph -> H e. UHGraph ) $.
    vtxduhgrun.n $e |- ( ph -> N e. V ) $.
    vtxduhgrun.u $e |- ( ph -> ( iEdg ` U ) = ( I u. J ) ) $.
    $( The degree of a vertex in the union of two hypergraphs on the same
       vertex set is the sum of the degrees of the vertex in each hypergraph.
       (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by Alexander van
       der Vekens, 21-Dec-2017.)  (Revised by AV, 12-Dec-2020.)  (Proof
       shortened by AV, 19-Feb-2021.) $)
    vtxduhgrun $p |- ( ph -> ( ( VtxDeg ` U ) ` N )
                    = ( ( ( VtxDeg ` G ) ` N ) +e ( ( VtxDeg ` H ) ` N ) ) ) $=
      ( cuhgr wcel wfun uhgrfun syl vtxdun ) ABCDEFGHIJKLMNACSTEUAOECIUBUCADSTF
      UAPFDJUBUCQRUD $.

    vtxduhgrfiun.a $e |- ( ph -> dom I e. Fin ) $.
    vtxduhgrfiun.b $e |- ( ph -> dom J e. Fin ) $.
    $( The degree of a vertex in the union of two hypergraphs of finite size on
       the same vertex set is the sum of the degrees of the vertex in each
       hypergraph.  (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by
       Alexander van der Vekens, 21-Jan-2018.)  (Revised by AV, 7-Dec-2020.)
       (Proof shortened by AV, 19-Feb-2021.) $)
    vtxduhgrfiun $p |- ( ph -> ( ( VtxDeg ` U ) ` N )
                     = ( ( ( VtxDeg ` G ) ` N ) + ( ( VtxDeg ` H ) ` N ) ) ) $=
      ( cuhgr wcel wfun uhgrfun syl vtxdfiun ) ABCDEFGHIJKLMNACUAUBEUCOECIUDUEA
      DUAUBFUCPFDJUDUEQRSTUF $.
  $}

  ${
    $d A x $.  $d G x $.  $d I x $.  $d U x $.  $d V x $.
    vtxdlfgrval.v $e |- V = ( Vtx ` G ) $.
    vtxdlfgrval.i $e |- I = ( iEdg ` G ) $.
    vtxdlfgrval.a $e |- A = dom I $.
    vtxdlfgrval.d $e |- D = ( VtxDeg ` G ) $.
    $( The value of the vertex degree function for a loop-free graph ` G ` .
       (Contributed by AV, 23-Feb-2021.) $)
    vtxdlfgrval $p |- ( ( I : A --> { x e. ~P V | 2 <_ ( # ` x ) } /\ U e. V )
                        -> ( D ` U ) = ( # ` { x e. A | U e. ( I ` x ) } ) ) $=
      ( chash cfv crab wcel wceq cxad cc0 c0 cvv c2 cv cle wbr cpw wf wa csn co
      cvtxdg fveq1i vtxdgval adantl syl5eq lfgrnloop adantr fveq2d hash0 eqtrdi
      eqid oveq2d cxr cxnn0 ciedg dmeqi eqtri fvex dmex eqeltri hashxnn0 xnn0xr
      cdm rabex mp2b xaddid1 mp1i 3eqtrd ) BUAAUBZLMUCUDAGUENZFUFZDGOZUGZDCMZDV
      RFMZOZABNZLMZWDDUHPABNZLMZQUIZWGRQUIZWGWBWCDEUJMZMZWJDCWLKUKWAWMWJPVTABDE
      FGHIJULUMUNWBWIRWGQWBWISLMRWBWHSLVTWHSPWAABDVSEFGIJVSUTUOUPUQURUSVAWGVBOZ
      WKWGPWBWFTOWGVCOWNWEABBEVDMZVLZTBFVLWPJFWOIVEVFWOEVDVGVHVIVMWFTVJWGVKVNWG
      VOVPVQ $.

    $( The value of the vertex degree function for a multigraph.  (Contributed
       by Alexander van der Vekens, 20-Dec-2017.)  (Revised by AV,
       23-Feb-2021.) $)
    vtxdumgrval $p |- ( ( G e. UMGraph /\ U e. V )
                        -> ( D ` U ) = ( # ` { x e. A | U e. ( I ` x ) } ) ) $=
      ( cumgr wcel c2 cv chash cfv cle crab wf wbr cpw wceq umgrislfupgr eqcomi
      cupgr cdm feq2i biimpi simplbiim vtxdlfgrval sylan ) ELMZBNAOZPQRUAAGUBSZ
      FTZDGMDCQDUNFQMABSPQUCUMEUFMFUGZUOFTZUPAEFGHIUDURUPUQBUOFBUQJUEUHUIUJABCD
      EFGHIJKUKUL $.

    $( The value of the vertex degree function for a simple graph.
       (Contributed by Alexander van der Vekens, 20-Dec-2017.)  (Revised by AV,
       11-Dec-2020.) $)
    vtxdusgrval $p |- ( ( G e. USGraph /\ U e. V )
                        -> ( D ` U ) = ( # ` { x e. A | U e. ( I ` x ) } ) ) $=
      ( cusgr wcel cumgr cfv cv crab chash wceq usgrumgr vtxdumgrval sylan ) EL
      MENMDGMDCODAPFOMABQROSETABCDEFGHIJKUAUB $.
  $}

  ${
    $d G i $.  $d I i $.  $d U i $.  $d V i $.
    vtxd0nedgb.v $e |- V = ( Vtx ` G ) $.
    vtxd0nedgb.i $e |- I = ( iEdg ` G ) $.
    vtxd0nedgb.d $e |- D = ( VtxDeg ` G ) $.
    $( A vertex has degree 0 iff there is no edge incident with the vertex.
       (Contributed by AV, 24-Dec-2020.)  (Revised by AV, 22-Mar-2021.) $)
    vtxd0nedgb $p |- ( U e. V -> ( ( D ` U ) = 0
                                     <-> -. E. i e. dom I U e. ( I ` i ) ) ) $=
      ( wcel cfv cc0 wceq crab wa wn wb cvv ax-mp wral cv cdm chash csn cxad co
      wrex cvtxdg fveq1i eqid vtxdgval syl5eq eqeq1d cxnn0 ciedg fvexi hashxnn0
      dmex rabex pm3.2i xnn0xadd0 mp1i wo c0 hasheq0 rabeq0 ralnex bicomi ioran
      anbi12i ralbii r19.26 3bitri orcom wi snidg eleq2 syl5ibrcom pm4.72 sylib
      bitr4id rexbidv notbid syl5bb 3bitrd ) BFJZBAKZLMBCUAEKZJZCEUBZNZUCKZWHBU
      DZMZCWJNZUCKZUEUFZLMZWLLMZWPLMZOZWICWJUGZPZWFWGWQLWFWGBDUHKZKWQBAXDIUICWJ
      BDEFGHWJUJUKULUMWLUNJZWPUNJZOWRXAQWFXEXFWKRJZXEWICWJEEDUOHUPURZUSZWKRUQSW
      ORJZXFWNCWJXHUSZWORUQSUTWLWPVAVBXAWIWNVCZCWJUGZPZWFXCXAWKVDMZWOVDMZOWIPZC
      WJTZWNPZCWJTZOZXNWSXOWTXPXGWSXOQXIWKRVESXJWTXPQXKWORVESVJXOXRXPXTWICWJVFW
      NCWJVFVJXNYAXNXLPZCWJTZXQXSOZCWJTYAYCXNXLCWJVGVHYBYDCWJWIWNVIVKXQXSCWJVLV
      MVHVMWFXMXBWFXLWICWJWFXLWNWIVCZWIWIWNVNWFWNWIVOWIYEQWFWIWNBWMJBFVPWHWMBVQ
      VRWNWIVSVTWAWBWCWDWE $.
  $}

  ${
    $d E c e i $.  $d G c e i x $.  $d U c e i x $.  $d V c e i x $.
    vtxdushgrfvedg.v $e |- V = ( Vtx ` G ) $.
    vtxdushgrfvedg.e $e |- E = ( Edg ` G ) $.
    $( Lemma for ~ vtxdushgrfvedg and ~ vtxdusgrfvedg .  (Contributed by AV,
       12-Dec-2020.)  (Proof shortened by AV, 5-May-2021.) $)
    vtxdushgrfvedglem $p |- ( ( G e. USHGraph /\ U e. V )
               -> ( # ` { i e. dom ( iEdg ` G ) | U e. ( ( iEdg ` G ) ` i ) } )
                  = ( # ` { e e. E | U e. e } ) ) $=
      ( vx vc cushgr wcel wa cv ciedg cfv cdm crab cvv eqid cmpt fvex rabex a1i
      dmex eleq2w cbvrabv ushgredgedg hasheqf1od ) EKLAFLMZACNEOPZPLZCUKQZRZABN
      LZBDRZSIUNINUKPUAZUNSLUJULCUMUKEOUBUEUCUDIUNUPJCDUQEUKAFHUKTGUNTUOAJNLBJD
      BJAUFUGUQTUHUI $.

    vtxdushgrfvedg.d $e |- D = ( VtxDeg ` G ) $.
    $( The value of the vertex degree function for a simple hypergraph.
       (Contributed by AV, 12-Dec-2020.)  (Proof shortened by AV,
       5-May-2021.) $)
    vtxdushgrfvedg $p |- ( ( G e. USHGraph /\ U e. V )
                           -> ( D ` U ) = ( ( # ` { e e. E | U e. e } )
                                       +e ( # ` { e e. E | e = { U } } ) ) ) $=
      ( vi vx vc wcel cfv cv crab chash wceq cxad eqid cushgr wa cvtxdg cdm csn
      ciedg co fveq1i a1i vtxdgval adantl vtxdushgrfvedglem cvv cmpt fvex rabex
      dmex eqeq1 cbvrabv ushgredgedgloop hasheqf1od oveq12d 3eqtrd ) EUAMZBFMZU
      BZBANZBEUCNZNZBJOEUFNZNZMJVJUDZPQNZVKBUEZRZJVLPZQNZSUGZBCOZMCDPQNZVSVNRZC
      DPZQNZSUGVGVIRVFBAVHIUHUIVEVIVRRVDJVLBEVJFGVJTZVLTUJUKVFVMVTVQWCSBCJDEFGH
      ULVFVPWBUMKVPKOVJNUNZVPUMMVFVOJVLVJEUFUOUQUPUIKVPWBLJDWEEVJBFHWDVPTWALOZV
      NRCLDVSWFVNURUSWETUTVAVBVC $.

    $( The value of the vertex degree function for a simple graph.
       (Contributed by AV, 12-Dec-2020.) $)
    vtxdusgrfvedg $p |- ( ( G e. USGraph /\ U e. V )
                          -> ( D ` U ) = ( # ` { e e. E | U e. e } ) ) $=
      ( vi cusgr wcel wa cfv cv ciedg cdm crab chash eqid vtxdusgrval usgruspgr
      cushgr wceq cuspgr uspgrushgr syl vtxdushgrfvedglem sylan eqtrd ) EKLZBFL
      ZMBANBJOEPNZNLJUMQZRSNZBCOLCDRSNZJUNABEUMFGUMTUNTIUAUKEUCLZULUOUPUDUKEUEL
      UQEUBEUFUGBCJDEFGHUHUIUJ $.

    $d G i v $.  $d U v $.  $d V v $.
    $( If a vertex in a hypergraph has degree 0, the vertex is not adjacent to
       another vertex via an edge.  (Contributed by Alexander van der Vekens,
       8-Dec-2017.)  (Revised by AV, 15-Dec-2020.)  (Proof shortened by AV,
       24-Dec-2020.) $)
    vtxduhgr0nedg $p |- ( ( G e. UHGraph /\ U e. V /\ ( D ` U ) = 0 )
                          -> -. E. v e. V { U , v } e. E ) $=
      ( vi cuhgr wcel cfv wceq cv wrex wn wb adantl sylbid cc0 cpr wa ciedg cdm
      eqid vtxd0nedgb cedg eleq2i uhgredgiedgb syl5bb adantr wi eleq2 syl5ibcom
      prid1g reximdv rexlimdvw con3d 3impia ) EKLZCFLZCBMUANZCAOZUBZDLZAFPZQZVA
      VBUCZVCCJOEUDMZMZLZJVJUEZPZQZVHVBVCVORVABCJEVJFGVJUFZIUGSVIVGVNVIVFVNAFVI
      VFVEVKNZJVMPZVNVAVFVRRVBVFVEEUHMZLVAVRDVSVEHUIJVEEVJVPUJUKULVIVQVLJVMVBVQ
      VLUMVAVBCVELVQVLCVDFUPVEVKCUNUOSUQTURUSTUT $.

    $( If a vertex in a multigraph has degree 0, the vertex is not adjacent to
       another vertex via an edge.  (Contributed by Alexander van der Vekens,
       8-Dec-2017.)  (Revised by AV, 12-Dec-2020.)  (Proof shortened by AV,
       15-Dec-2020.) $)
    vtxdumgr0nedg $p |- ( ( G e. UMGraph /\ U e. V /\ ( D ` U ) = 0 )
                          -> -. E. v e. V { U , v } e. E ) $=
      ( cumgr wcel cuhgr cfv cc0 wceq cv cpr wrex wn umgruhgr vtxduhgr0nedg
      syl3an1 ) EJKELKCFKCBMNOCAPQDKAFRSETABCDEFGHIUAUB $.

    $( A vertex in a hypergraph has degree 0 iff there is no edge incident with
       this vertex.  (Contributed by AV, 24-Dec-2020.) $)
    vtxduhgr0edgnel $p |- ( ( G e. UHGraph /\ U e. V )
                          -> ( ( D ` U ) = 0 <-> -. E. e e. E U e. e ) ) $=
      ( vi cuhgr wcel wa cfv cc0 wceq cv ciedg wrex wn cdm wb vtxd0nedgb adantl
      eqid uhgrvtxedgiedgb notbid bitrd ) EKLZBFLZMZBANOPZBJQERNZNLJUMUASZTZBCQ
      LCDSZTUJULUOUBUIABJEUMFGUMUEZIUCUDUKUNUPBCJDEUMFUQHUFUGUH $.

    $( A vertex in a simple graph has degree 0 iff there is no edge incident
       with this vertex.  (Contributed by AV, 17-Dec-2020.)  (Proof shortened
       by AV, 24-Dec-2020.) $)
    vtxdusgr0edgnel $p |- ( ( G e. USGraph /\ U e. V )
                          -> ( ( D ` U ) = 0 <-> -. E. e e. E U e. e ) ) $=
      ( cusgr wcel cuhgr cfv cc0 wceq cv wrex wn wb usgruhgr vtxduhgr0edgnel
      sylan ) EJKELKBFKBAMNOBCPKCDQRSETABCDEFGHIUAUB $.

    $( Alternate proof of ~ vtxdusgr0edgnel , not based on ~ vtxduhgr0edgnel .
       A vertex in a simple graph has degree 0 if there is no edge incident
       with this vertex.  (Contributed by AV, 17-Dec-2020.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    vtxdusgr0edgnelALT $p |- ( ( G e. USGraph /\ U e. V )
                          -> ( ( D ` U ) = 0 <-> -. E. e e. E U e. e ) ) $=
      ( cusgr wcel wa cfv cc0 wceq cv wn cvv wb cedg crab c0 wrex vtxdusgrfvedg
      chash eqeq1d fvex eqeltri rabex mp1i wral rabeq0 ralnex a1i syl5bb 3bitrd
      hasheq0 ) EJKBFKLZBAMZNOBCPKZCDUAZUEMZNOZVAUBOZUTCDUCQZURUSVBNABCDEFGHIUD
      UFVARKVCVDSURUTCDDETMRHETUGUHUIVARUQUJVDUTQCDUKZURVEUTCDULVFVESURUTCDUMUN
      UOUP $.
  $}

  ${
    vtxdgfusgrf.v $e |- V = ( Vtx ` G ) $.
    $( The vertex degree function on finite simple graphs is a function from
       vertices to nonnegative integers.  (Contributed by AV, 12-Dec-2020.) $)
    vtxdgfusgrf $p |- ( G e. FinUSGraph -> ( VtxDeg ` G ) : V --> NN0 ) $=
      ( cfusgr wcel ciedg cfv cdm cfn cn0 cvtxdg wf fusgrfis cusgr wb fusgrusgr
      cedg eqid usgredgffibi syl wfun usgrfun fundmfibi 3syl bitrd mpbid mpdan
      vtxdgfisf ) ADEZAFGZHZIEZBJAKGLUIAQGZIEZULAMUIUNUJIEZULUIANEZUNUOOAPZUMAU
      JUJRZUMRSTUIUPUJUAUOULOUQAUBUJUCUDUEUFUKAUJBDCURUKRUHUG $.

    $d G v $.
    $( In a finite simple graph, the degree of each vertex is finite.
       (Contributed by Alexander van der Vekens, 10-Mar-2018.)  (Revised by AV,
       12-Dec-2020.) $)
    vtxdgfusgr $p |- ( G e. FinUSGraph
                       -> A. v e. V ( ( VtxDeg ` G ) ` v ) e. NN0 ) $=
      ( cfusgr wcel cv cvtxdg cfv cn0 vtxdgfusgrf ffvelrnda ralrimiva ) BEFZAGZ
      BHIZIJFACNCJOPBCDKLM $.
  $}

  ${
    $d G k n u v $.  $d V k u v $.
    fusgrn0degnn0.v $e |- V = ( Vtx ` G ) $.
    $( In a nonempty, finite graph there is a vertex having a nonnegative
       integer as degree.  (Contributed by Alexander van der Vekens,
       6-Sep-2018.)  (Revised by AV, 1-Apr-2021.) $)
    fusgrn0degnn0 $p |- ( ( G e. FinUSGraph /\ V =/= (/) )
                       -> E. v e. V E. n e. NN0 ( ( VtxDeg ` G ) ` v ) = n ) $=
      ( vk vu c0 wne cfusgr wcel cv cvtxdg cfv wceq cn0 wrex wi weq sylbi fveq2
      wex n0 vtxdgfusgr eleq1d rspcv risset fveqeq2 eqcom bitrdi rexbidv rspcev
      wral expcom com12 syld syl5 exlimiv impcom ) DHIZCJKZALZCMNZNBLZOZBPQZADQ
      ZUTFLZDKZFUBVAVGRZFDUCVIVJFVAGLZVCNZPKZGDUMZVIVGGCDEUDVIVNVHVCNZPKZVGVMVP
      GVHDGFSVLVOPVKVHVCUAUEUFVPVIVGVPVDVOOZBPQZVIVGRBVOPUGVIVRVGVFVRAVHDAFSZVE
      VQBPVSVEVOVDOVQVBVHVDVCUHVOVDUIUJUKULUNTUOUPUQURTUS $.
  $}

  ${
    1loopgruspgr.v $e |- ( ph -> ( Vtx ` G ) = V ) $.
    1loopgruspgr.a $e |- ( ph -> A e. X ) $.
    1loopgruspgr.n $e |- ( ph -> N e. V ) $.
    1loopgruspgr.i $e |- ( ph -> ( iEdg ` G ) = { <. A , { N } >. } ) $.
    $( A graph with one edge which is a loop is a simple pseudograph (see also
       ~ uspgr1v1eop ).  (Contributed by AV, 21-Feb-2021.) $)
    1loopgruspgr $p |- ( ph -> G e. USPGraph ) $=
      ( cvtx cfv eqid eleqtrrd ciedg csn cop cpr wceq dfsn2 sneqd eqtrd uspgr1e
      a1i opeq2d ) ABDDCCKLZFUFMHADEUFIGNZUGACOLBDPZQZPBDDRZQZPJAUIUKAUHUJBUHUJ
      SADTUDUEUAUBUC $.

    $( The set of edges in a graph (simple pseudograph) with one edge which is
       a loop is a singleton of a singleton.  (Contributed by AV, 17-Dec-2020.)
       (Revised by AV, 21-Feb-2021.) $)
    1loopgredg $p |- ( ph -> ( Edg ` G ) = { { N } } ) $=
      ( cedg cfv ciedg crn csn cop wceq edgval a1i rneqd wcel rnsnopg 3eqtrd
      syl ) ACKLZCMLZNZBDOZPOZNZUHOZUEUGQACRSAUFUIJTABFUAUJUKQHBUHFUBUDUC $.

    $d A v $.  $d G v $.  $d N v $.  $d V v $.  $d X v $.  $d ph v $.
    $( In a graph (simple pseudograph) with one edge which is a loop, the
       vertex connected with itself by the loop has no neighbors.  (Contributed
       by AV, 17-Dec-2020.)  (Revised by AV, 21-Feb-2021.) $)
    1loopgrnb0 $p |- ( ph -> ( G NeighbVtx N ) = (/) ) $=
      ( vv cfv wcel csn cdif c0 wceq eleq2d mpbird wa cnbgr co cv cpr cedg cvtx
      crab cupgr cuspgr 1loopgruspgr uspgrupgr eqid nbupgr syl2anc wral difeq1d
      syl wn eldifsn adantr simpr preqsnd syl6bi necon3ad expimpd syl5bi sylbid
      wne imp 1loopgredg prex elsn bitrdi notbid ralrimiva rabeq0 sylibr eqtrd
      wb ) ACDUAUBZDKUCZUDZCUELZMZKCUFLZDNZOZUGZPACUHMZDWEMZVTWHQACUIMWIABCDEFG
      HIJUJCUKUQAWJDEMZIAWEEDGRSKWCCDWEWEULWCULUMUNAWDURZKWGUOWHPQAWLKWGAWAWGMZ
      TWLWBWFQZURZAWMWOAWMWAEWFOZMZWOAWGWPWAAWEEWFGUPRWQWAEMZWADVHZTAWOWAEDUSAW
      RWSWOAWRTZWNWADWTWNDDQZWADQZTXBWTDWADEEAWKWRIUTAWRVAVBXAXBVAVCVDVEVFVGVIA
      WLWOVSWMAWDWNAWDWBWFNZMWNAWCXCWBABCDEFGHIJVJRWBWFDWAVKVLVMVNUTSVOWDKWGVPV
      QVR $.

    $d A a e $.  $d G a e $.  $d N a e $.  $d V a e $.  $d X a e $.
    $d ph a e $.
    $( The vertex degree of a one-edge graph, case 4: an edge from a vertex to
       itself contributes two to the vertex's degree.  I. e. in a graph (simple
       pseudograph) with one edge which is a loop, the vertex connected with
       itself by the loop has degree 2.  (Contributed by Mario Carneiro,
       12-Mar-2015.)  (Revised by Alexander van der Vekens, 22-Dec-2017.)
       (Revised by AV, 21-Feb-2021.) $)
    1loopgrvd2 $p |- ( ph -> ( ( VtxDeg ` G ) ` N ) = 2 ) $=
      ( ve va cfv wcel crab wceq c1 eqid wex c0 cvtxdg cv cedg chash cxad co c2
      csn cushgr cvtx cuspgr 1loopgruspgr uspgrushgr syl vtxdushgrfvedg syl2anc
      eleqtrrd cif snex eqeq2d ceqsexv2d a1i snidg iftrued eqeq1d exbidv mpbird
      sneq 1loopgredg rabeqdv eleq2 rabsnif eqtrdi wb fvex rabex hash1snb ax-mp
      cvv sylibr iftruei eqeq1i exbii eqeq1 oveq12d caddc cr rexadd mp2an 1p1e2
      1re eqtri 3eqtrd ) ADCUAMZMZDKUBZNZKCUCMZOZUDMZWPDUHZPZKWROZUDMZUEUFZQQUE
      UFZUGACUINZDCUJMZNWOXEPACUKNXGABCDEFGHIJULCUMUNADEXHIGUQWNDKWRCXHXHRWRRWN
      RUOUPAWTQXDQUEAWSLUBZUHZPZLSZWTQPZAXLDXANZXAUHZTURZXJPZLSZAXRXOXJPZLSZXTA
      XSXOXOPLXADUSXIXAPXJXOXOXIXAVHUTXORVAVBZAXQXSLAXPXOXJAXNXOTADENXNIDEVCUNV
      DVEVFVGAXKXQLAWSXPXJAWSWQKXOOXPAWQKWRXOABCDEFGHIJVIZVJWQXNKXAWPXADVKVLVMV
      EVFVGWSVSNXMXLVNWQKWRCUCVOZVPWSVSLVQVRVTAXCXJPZLSZXDQPZAYEXAXAPZXOTURZXJP
      ZLSZAXTYJYAYIXSLYHXOXJYGXOTXARWAWBWCVTAYDYILAXCYHXJAXCXBKXOOYHAXBKWRXOYBV
      JXBYGKXAWPXAXAWDVLVMVEVFVGXCVSNYFYEVNXBKWRYCVPXCVSLVQVRVTWEXFUGPAXFQQWFUF
      ZUGQWGNZYLXFYKPWKWKQQWHWIWJWLVBWM $.

    $d A i $.  $d G i $.  $d K i $.  $d N i $.  $d ph i $.
    1loopgrvd0.k $e |- ( ph -> K e. ( V \ { N } ) ) $.
    $( The vertex degree of a one-edge graph, case 1 (for a loop): a loop at a
       vertex other than the given vertex contributes nothing to the vertex
       degree.  (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by AV,
       21-Feb-2021.) $)
    1loopgrvd0 $p |- ( ph -> ( ( VtxDeg ` G ) ` K ) = 0 ) $=
      ( vi cfv wceq wcel csn cvv eleq2d eqid cvtxdg cc0 cv ciedg cdm wn eldifbd
      wrex cop snex fvsng sylancl mtbird dmeqd dmsnopg mp1i fveq1d rexeqbidv wb
      eqtrd fveq2 rexsng syl bitrd cvtx eldifad mpbird vtxd0nedgb ) ADCUANZNUBO
      ZDMUCZCUDNZNZPZMVLUEZUHZUFZAVPDBBEQZUIQZNZPZAWADVRPADFVRLUGAVTVRDABGPZVRR
      PZVTVROIEUJZBVRGRUKULSUMAVPDVKVSNZPZMBQZUHZWAAVNWFMVOWGAVOVSUEZWGAVLVSKUN
      WCWIWGOAWDBVRRUOUPUTAVMWEDAVKVLVSKUQSURAWBWHWAUSIWFWAMBGVKBOWEVTDVKBVSVAS
      VBVCVDUMADCVENZPZVJVQUSAWKDFPADFVRLVFAWJFDHSVGVIDMCVLWJWJTVLTVITVHVCVG $.
  $}

  ${
    $d A x $.  $d D x $.  $d G x $.
    1hevtxdg0.i $e |- ( ph -> ( iEdg ` G ) = { <. A , E >. } ) $.
    1hevtxdg0.v $e |- ( ph -> ( Vtx ` G ) = V ) $.
    1hevtxdg0.a $e |- ( ph -> A e. X ) $.
    1hevtxdg0.d $e |- ( ph -> D e. V ) $.
    ${
      1hevtxdg0.e $e |- ( ph -> E e. Y ) $.
      1hevtxdg0.n $e |- ( ph -> D e/ E ) $.
      $( The vertex degree of vertex ` D ` in a graph ` G ` with only one
         hyperedge ` E ` is 0 if ` D ` is not incident with the edge ` E ` .
         (Contributed by AV, 2-Mar-2021.) $)
      1hevtxdg0 $p |- ( ph -> ( ( VtxDeg ` G ) ` D ) = 0 ) $=
        ( vx cfv wceq wcel wn mpbird cvtxdg cc0 cv ciedg cdm wrex wral csn wnel
        df-nel sylib cop fveq1d fvsng syl2anc neleqtrrd wb eleq2d notbid ralsng
        eqtrd fveq2 syl dmeqd dmsnopg raleqdv ralnex cvtx eqid vtxd0nedgb ) ACE
        UAPZPUBQZCOUCZEUDPZPZRZOVNUEZUFSZAVPSZOVQUGZVRAVTVSOBUHZUGZAWBCBVNPZRZS
        ZAWCDCACDUICDRSNCDUJUKAWCBBDULUHZPZDABVNWFIUMABGRZDHRZWGDQKMBDGHUNUOVAU
        PAWHWBWEUQKVSWEOBGVMBQZVPWDWJVOWCCVMBVNVBURUSUTVCTAVSOVQWAAVQWFUEZWAAVN
        WFIVDAWIWKWAQMBDHVEVCVAVFTVPOVQVGUKACEVHPZRZVLVRUQAWMCFRLAWLFCJURTVKCOE
        VNWLWLVIVNVIVKVIVJVCT $.
    $}

    $d E x $.
    1hevtxdg1.e $e |- ( ph -> E e. ~P V ) $.
    1hevtxdg1.n $e |- ( ph -> D e. E ) $.
    1hevtxdg1.l $e |- ( ph -> 2 <_ ( # ` E ) ) $.
    $( The vertex degree of vertex ` D ` in a graph ` G ` with only one
       hyperedge ` E ` (not being a loop) is 1 if ` D ` is incident with the
       edge ` E ` .  (Contributed by AV, 2-Mar-2021.)  (Proof shortened by AV,
       17-Apr-2021.) $)
    1hevtxdg1 $p |- ( ph -> ( ( VtxDeg ` G ) ` D ) = 1 ) $=
      ( vx cfv wceq c1 wcel chash ciedg cdm csn cop dmeqd cpw dmsnopg syl eqtrd
      cvtxdg wa cv crab c2 cle wbr cvtx fveq2 breq2d pweqd eleqtrrd elrabd fsnd
      wf adantr simpr feq12d mpbird vtxdlfgrval syl2anc rabeq adantl fveq2d cif
      eqid c0 eleq2d rabsnif fveq1d fvsng iftrued syl5eq hashsng 3eqtrd mpdan )
      AEUAPZUBZBUCZQZCEUJPZPZRQAWGBDUDUCZUBZWHAWFWLHUEADFUFZSZWMWHQLBDWNUGUHUIA
      WIUKZWKCOULZWFPZSZOWGUMZTPZWSOWHUMZTPZRWPWGUNWQTPZUOUPZOEUQPZUFZUMZWFVDZC
      XFSZWKXAQWPXIWHXHWLVDZAXKWIABDGXHJAXEUNDTPZUOUPODXGWQDQXDXLUNUOWQDTURUSAD
      WNXGLAXFFIUTVANVBVCVEWPWGWHXHWFWLAWFWLQWIHVEAWIVFVGVHAXJWIACFXFKIVAVEOWGW
      JCEWFXFXFVOWFVOWGVOWJVOVIVJWPWTXBTWIWTXBQAWSOWGWHVKVLVMAXCRQWIAXCWHTPZRAX
      BWHTAXBCBWFPZSZWHVPVNWHWSXOOBWQBQWRXNCWQBWFURVQVRAXOWHVPACDXNMAXNBWLPZDAB
      WFWLHVSABGSZWOXPDQJLBDGWNVTVJUIVAWAWBVMAXQXMRQJBGWCUHUIVEWDWE $.
  $}

  ${
    1hegrvtxdg1.a $e |- ( ph -> A e. X ) $.
    1hegrvtxdg1.b $e |- ( ph -> B e. V ) $.
    1hegrvtxdg1.c $e |- ( ph -> C e. V ) $.
    1hegrvtxdg1.n $e |- ( ph -> B =/= C ) $.
    1hegrvtxdg1.x $e |- ( ph -> E e. ~P V ) $.
    1hegrvtxdg1.i $e |- ( ph -> ( iEdg ` G ) = { <. A , E >. } ) $.
    1hegrvtxdg1.e $e |- ( ph -> { B , C } C_ E ) $.
    1hegrvtxdg1.v $e |- ( ph -> ( Vtx ` G ) = V ) $.
    $( The vertex degree of a graph with one hyperedge, case 2: an edge from
       the given vertex to some other vertex contributes one to the vertex's
       degree.  (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by
       Alexander van der Vekens, 22-Dec-2017.)  (Revised by AV,
       23-Feb-2021.) $)
    1hegrvtxdg1 $p |- ( ph -> ( ( VtxDeg ` G ) ` B ) = 1 ) $=
      ( cpr wcel syl sseldd prid1g cpw prid2g nehash2 1hevtxdg1 ) ABCEFGHNPIJMA
      CDQZECOACGRCUFRJCDGUASTZACDEGUBMUGAUFEDOADGRDUFRKCDGUCSTLUDUE $.

    $( The vertex degree of a graph with one hyperedge, case 3: an edge from
       some other vertex to the given vertex contributes one to the vertex's
       degree.  (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by
       Alexander van der Vekens, 22-Dec-2017.)  (Revised by AV,
       23-Feb-2021.) $)
    1hegrvtxdg1r $p |- ( ph -> ( ( VtxDeg ` G ) ` C ) = 1 ) $=
      ( necomd cpr prcom eqsstrid 1hegrvtxdg1 ) ABDCEFGHIKJACDLQMNADCRCDREDCSOT
      PUA $.
  $}

  ${
    1egrvtxdg1.v $e |- ( ph -> ( Vtx ` G ) = V ) $.
    1egrvtxdg1.a $e |- ( ph -> A e. X ) $.
    1egrvtxdg1.b $e |- ( ph -> B e. V ) $.
    1egrvtxdg1.c $e |- ( ph -> C e. V ) $.
    1egrvtxdg1.n $e |- ( ph -> B =/= C ) $.
    ${
      $d A x $.  $d B x $.  $d C x $.  $d G x $.  $d ph x $.
      1egrvtxdg1.i $e |- ( ph -> ( iEdg ` G ) = { <. A , { B , C } >. } ) $.
      $( The vertex degree of a one-edge graph, case 2: an edge from the given
         vertex to some other vertex contributes one to the vertex's degree.
         (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by Alexander
         van der Vekens, 22-Dec-2017.)  (Revised by AV, 21-Feb-2021.) $)
      1egrvtxdg1 $p |- ( ph -> ( ( VtxDeg ` G ) ` B ) = 1 ) $=
        ( vx cfv wcel chash c1 wceq eqid cvtxdg cv ciedg cdm crab cvtx eleqtrrd
        cusgr usgr1e vtxdusgrval syl2anc cpr cop csn wa dmeq adantl cvv dmsnopg
        prex eqtrd wb fveq1 eleq2d rabeqbidv fveq2d c0 cif fveq2 rabsnif prid1g
        mp1i syl fvsng sylancl iftrued syl5eq hashsng adantr mpdan ) ACEUAOZOZC
        NUBZEUCOZOZPZNWDUDZUEZQOZRAEUHPCEUFOZPWBWISABCDEWJGWJTZIACFWJJHUGZADFWJ
        KHUGMLUIWLNWGWACEWDWJWKWDTWGTWATUJUKAWDBCDULZUMUNZSZWIRSMAWOUOZWICWCWNO
        ZPZNBUNZUEZQOZRWPWHWTQWPWFWRNWGWSWPWGWNUDZWSWOWGXBSAWDWNUPUQWMURPZXBWSS
        WPCDUTZBWMURUSVLVAWOWFWRVBAWOWEWQCWCWDWNVCVDUQVEVFAXARSWOAXAWSQOZRAWTWS
        QAWTCBWNOZPZWSVGVHWSWRXGNBWCBSWQXFCWCBWNVIVDVJAXGWSVGACWMXFACFPCWMPJCDF
        VKVMABGPZXCXFWMSIXDBWMGURVNVOUGVPVQVFAXHXERSIBGVRVMVAVSVAVTVA $.

      $( The vertex degree of a one-edge graph, case 3: an edge from some other
         vertex to the given vertex contributes one to the vertex's degree.
         (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by Alexander
         van der Vekens, 22-Dec-2017.)  (Revised by AV, 21-Feb-2021.) $)
      1egrvtxdg1r $p |- ( ph -> ( ( VtxDeg ` G ) ` C ) = 1 ) $=
        ( necomd ciedg cfv cpr cop csn wceq prcom opeq2d sneqd eqtrd 1egrvtxdg1
        a1i ) ABDCEFGHIKJACDLNAEOPBCDQZRZSBDCQZRZSMAUHUJAUGUIBUGUITACDUAUFUBUCU
        DUE $.
    $}

    $d B e $.  $d C e $.  $d D e $.  $d G e $.
    1egrvtxdg0.d $e |- ( ph -> D e. V ) $.
    1egrvtxdg0.n $e |- ( ph -> C =/= D ) $.
    1egrvtxdg0.i $e |- ( ph -> ( iEdg ` G ) = { <. A , { B , D } >. } ) $.
    $( The vertex degree of a one-edge graph, case 1: an edge between two
       vertices other than the given vertex contributes nothing to the vertex
       degree.  (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by
       Alexander van der Vekens, 22-Dec-2017.)  (Revised by AV,
       21-Feb-2021.) $)
    1egrvtxdg0 $p |- ( ph -> ( ( VtxDeg ` G ) ` C ) = 0 ) $=
      ( ve wceq adantl wcel cvtxdg cfv cc0 wi wa ciedg cpr cop csn preq2 eqcoms
      cvtx dfsn2 eqtr4di adantr opeq2d sneqd cdif wne necomd jca eldifsn sylibr
      eqtrd 1loopgrvd0 ex cv cedg wrex wn wo necom df-ne sylbb syl neneqd ioran
      crn edgval rneqd rnsnopg syl5eq rexeqdv cvv prex eleq2 rexsng mp1i 3bitrd
      wb elprg mtbird cusgr eqid eleqtrrd usgr1e vtxdusgr0edgnel syl2anc mpbird
      simpl pm2.61ine ) ADFUAUBZUBUCRZUDCECERZAXCXDAUEZBFDCGHAFULUBZGRXDISABHTZ
      XDJSACGTXDKSXEFUFUBZBCEUGZUHZUIZBCUIZUHZUIAXHXKRZXDPSXEXJXMXEXIXLBXDXIXLR
      AXDXICCUGZXLXIXORECECCUJUKCUMUNUOUPUQVDADGXLURTZXDADGTZDCUSZUEXPAXQXRLACD
      MUTVADGCVBVCSVEVFCEUSZAXCXSAUEZXCDQVGZTZQFVHUBZVIZVJZXTYDDCRZDERZVKZXTYFV
      JZYGVJZUEZYHVJAYKXSAYIYJACDUSZYIMYLXRYICDVLDCVMVNVOADEOVPVASYFYGVQVCXTYDY
      BQXIUIZVIZDXITZYHXTYBQYCYMAYCYMRXSAYCXHVRZYMFVSAYPXKVRZYMAXHXKPVTAXGYQYMR
      JBXIHWAVOVDWBSWCXIWDTYNYOWJXTCEWEYBYOQXIWDYAXIDWFWGWHAYOYHWJZXSAXQYRLDCEG
      WKVOSWIWLXTFWMTDXFTZXCYEWJXTBCEFXFHXFWNZAXGXSJSACXFTXSACGXFKIWOSAEXFTXSAE
      GXFNIWOSAXNXSPSXSAWTWPAYSXSADGXFLIWOSXBDQYCFXFYTYCWNXBWNWQWRWSVFXA $.
  $}

  ${
    p1evtxdeq.v $e |- V = ( Vtx ` G ) $.
    p1evtxdeq.i $e |- I = ( iEdg ` G ) $.
    p1evtxdeq.f $e |- ( ph -> Fun I ) $.
    p1evtxdeq.fv $e |- ( ph -> ( Vtx ` F ) = V ) $.
    p1evtxdeq.fi $e |- ( ph -> ( iEdg ` F ) = ( I u. { <. K , E >. } ) ) $.
    p1evtxdeq.k $e |- ( ph -> K e. X ) $.
    p1evtxdeq.d $e |- ( ph -> K e/ dom I ) $.
    p1evtxdeq.u $e |- ( ph -> U e. V ) $.
    ${
      p1evtxdeq.e $e |- ( ph -> E e. Y ) $.
      $( Lemma for ~ p1evtxdeq and ~ p1evtxdp1 .  (Contributed by AV,
         3-Mar-2021.) $)
      p1evtxdeqlem $p |- ( ph -> ( ( VtxDeg ` F ) ` U )
                      = ( ( ( VtxDeg ` G ) ` U )
                       +e ( ( VtxDeg ` <. V , { <. K , E >. } >. ) ` U ) ) ) $=
        ( cvv cop csn wcel wa ciedg wceq cvtx fvexi snex pm3.2i opiedgfv eqcomd
        cfv ax-mp opvtxfv mp1i cdm cin c0 dmsnopg syl ineq2d wnel df-nel disjsn
        wn sylib sylibr eqtrd wfun funsng syl2anc vtxdun ) ADEHGCUAZUBZUAZFVOBH
        LHTUCZVOTUCZUDZVOVPUEUMZUFVQVRHEUGKUHVNUIUJZVSVTVOVOHTTUKULUNKVSVPUGUMH
        UFAWAVOHTTUOUPNAFUQZVOUQZURWBGUBZURZUSAWCWDWBACJUCZWCWDUFSGCJUTVAVBAGWB
        UCVFZWEUSUFAGWBVCWGQGWBVDVGWBGVEVHVIMAGIUCWFVOVJPSGCIJVKVLROVM $.

      p1evtxdeq.n $e |- ( ph -> U e/ E ) $.
      $( If an edge ` E ` which does not contain vertex ` U ` is added to a
         graph ` G ` (yielding a graph ` F ` ), the degree of ` U ` is the same
         in both graphs.  (Contributed by AV, 2-Mar-2021.) $)
      p1evtxdeq $p |- ( ph -> ( ( VtxDeg ` F ) ` U )
                            = ( ( VtxDeg ` G ) ` U ) ) $=
        ( cvtxdg cfv cop csn cxad co cc0 p1evtxdeqlem cvv wcel ciedg wceq fvexi
        wa cvtx snex pm3.2i opiedgfv opvtxfv 1hevtxdg0 oveq2d cxnn0 vtxdgelxnn0
        mp1i cxr xnn0xr 3syl xaddid1d 3eqtrd ) ABDUAUBUBBEUAUBUBZBHGCUCZUDZUCZU
        AUBUBZUEUFVJUGUEUFVJABCDEFGHIJKLMNOPQRSUHAVNUGVJUEAGBCVMHIJHUIUJZVLUIUJ
        ZUNZVMUKUBVLULAVOVPHEUOKUMVKUPUQZVLHUIUIURVDVQVMUOUBHULAVRVLHUIUIUSVDPR
        STUTVAAVJABHUJVJVBUJVJVEUJREHBKVCVJVFVGVHVI $.
    $}

    p1evtxdp1.e $e |- ( ph -> E e. ~P V ) $.
    p1evtxdp1.n $e |- ( ph -> U e. E ) $.
    p1evtxdp1.l $e |- ( ph -> 2 <_ ( # ` E ) ) $.
    $( If an edge ` E ` (not being a loop) which contains vertex ` U ` is added
       to a graph ` G ` (yielding a graph ` F ` ), the degree of ` U ` is
       increased by 1.  (Contributed by AV, 3-Mar-2021.) $)
    p1evtxdp1 $p |- ( ph -> ( ( VtxDeg ` F ) ` U )
                          = ( ( ( VtxDeg ` G ) ` U ) +e 1 ) ) $=
      ( cvtxdg cfv cop csn cxad co c1 cpw p1evtxdeqlem cvv wcel ciedg wceq cvtx
      wa fvexi snex pm3.2i opiedgfv mp1i opvtxfv 1hevtxdg1 oveq2d eqtrd ) ABDUA
      UBUBBEUAUBUBZBHGCUCZUDZUCZUAUBUBZUEUFVEUGUEUFABCDEFGHIHUHJKLMNOPQRUIAVIUG
      VEUEAGBCVHHIHUJUKZVGUJUKZUOZVHULUBVGUMAVJVKHEUNJUPVFUQURZVGHUJUJUSUTVLVHU
      NUBHUMAVMVGHUJUJVAUTOQRSTVBVCVD $.
  $}

  ${
    uspgrloopvtx.g $e |- G = <. V , { <. A , { N } >. } >. $.
    $( The set of vertices in a graph (simple pseudograph) with one edge which
       is a loop (see ~ uspgr1v1eop ).  (Contributed by AV, 17-Dec-2020.) $)
    uspgrloopvtx $p |- ( V e. W -> ( Vtx ` G ) = V ) $=
      ( wcel cvtx cfv csn cop fveq2i cvv wceq snex opvtxfv mpan2 syl5eq ) DEGZB
      HIDACJKZJZKZHIZDBUBHFLSUAMGUCDNTOUADEMPQR $.

    $( A vertex in a graph (simple pseudograph) with one edge which is a loop
       (see ~ uspgr1v1eop ).  (Contributed by AV, 17-Dec-2020.) $)
    uspgrloopvtxel $p |- ( ( V e. W /\ N e. V ) -> N e. ( Vtx ` G ) ) $=
      ( wcel cvtx cfv wceq uspgrloopvtx wi eleq2 biimpd eqcoms com12 mpan9 ) DE
      GBHIZDJZCDGZCRGZABCDEFKSTUATUALDRDRJTUADRCMNOPQ $.

    $( The set of edges in a graph (simple pseudograph) with one edge which is
       a loop (see ~ uspgr1v1eop ) is a singleton of a singleton.  (Contributed
       by AV, 21-Feb-2021.) $)
    uspgrloopiedg $p |- ( ( V e. W /\ A e. X )
                         -> ( iEdg ` G ) = { <. A , { N } >. } ) $=
      ( wcel wa ciedg cfv csn cop fveq2i cvv wceq snex a1i opiedgfv sylan2
      syl5eq ) DEHZAFHZIBJKDACLMZLZMZJKZUEBUFJGNUCUBUEOHZUGUEPUHUCUDQRUEDEOSTUA
      $.

    $( The set of edges in a graph (simple pseudograph) with one edge which is
       a loop (see ~ uspgr1v1eop ) is a singleton of a singleton.  (Contributed
       by AV, 17-Dec-2020.) $)
    uspgrloopedg $p |- ( ( V e. W /\ A e. X ) -> ( Edg ` G ) = { { N } } ) $=
      ( wcel wa cedg cfv csn cop crn fveq2i cvv wceq snex a1i edgopval rnsnopg
      sylan2 syl5eq adantl eqtrd ) DEHZAFHZIZBJKZACLZMZLZNZUJLZUHUIDULMZJKZUMBU
      OJGOUGUFULPHZUPUMQUQUGUKRSULDEPTUBUCUGUMUNQUFAUJFUAUDUE $.

    $( In a graph (simple pseudograph) with one edge which is a loop (see
       ~ uspgr1v1eop ), the vertex connected with itself by the loop has no
       neighbors.  (Contributed by AV, 17-Dec-2020.)  (Proof shortened by AV,
       21-Feb-2021.) $)
    uspgrloopnb0 $p |- ( ( V e. W /\ A e. X /\ N e. V )
                         -> ( G NeighbVtx N ) = (/) ) $=
      ( wcel w3a cvtx cfv uspgrloopvtx 3ad2ant1 simp2 simp3 ciedg uspgrloopiedg
      wceq csn cop 3adant3 1loopgrnb0 ) DEHZAFHZCDHZIABCDFUCUDBJKDRUEABCDEGLMUC
      UDUENUCUDUEOUCUDBPKACSTSRUEABCDEFGQUAUB $.

    $( The vertex degree of a one-edge graph, case 4: an edge from a vertex to
       itself contributes two to the vertex's degree.  I. e. in a graph (simple
       pseudograph) with one edge which is a loop (see ~ uspgr1v1eop ), the
       vertex connected with itself by the loop has degree 2.  (Contributed by
       Mario Carneiro, 12-Mar-2015.)  (Revised by Alexander van der Vekens,
       22-Dec-2017.)  (Revised by AV, 17-Dec-2020.)  (Proof shortened by AV,
       21-Feb-2021.) $)
    uspgrloopvd2 $p |- ( ( V e. W /\ A e. X /\ N e. V )
                         -> ( ( VtxDeg ` G ) ` N ) = 2 ) $=
      ( wcel w3a cvtx cfv uspgrloopvtx 3ad2ant1 simp2 simp3 ciedg uspgrloopiedg
      wceq csn cop 3adant3 1loopgrvd2 ) DEHZAFHZCDHZIABCDFUCUDBJKDRUEABCDEGLMUC
      UDUENUCUDUEOUCUDBPKACSTSRUEABCDEFGQUAUB $.
  $}

  ${
    umgr2v2evtx.g $e |- G = <. V , { <. 0 , { A , B } >. ,
                                     <. 1 , { A , B } >. } >. $.
    $( The set of vertices in a multigraph with two edges connecting the same
       two vertices.  (Contributed by AV, 17-Dec-2020.) $)
    umgr2v2evtx $p |- ( V e. W -> ( Vtx ` G ) = V ) $=
      ( wcel cvtx cfv cc0 cpr cop c1 fveq2i cvv wceq prex opvtxfv mpan2 syl5eq
      ) DEGZCHIDJABKZLZMUBLZKZLZHIZDCUFHFNUAUEOGUGDPUCUDQUEDEORST $.

    $( A vertex in a multigraph with two edges connecting the same two
       vertices.  (Contributed by AV, 17-Dec-2020.) $)
    umgr2v2evtxel $p |- ( ( V e. W /\ A e. V ) -> A e. ( Vtx ` G ) ) $=
      ( wcel cvtx cfv wceq umgr2v2evtx eqcom biimpi eleq2d biimpcd mpan9 ) DEGC
      HIZDJZADGZAQGZABCDEFKRSTRDQARDQJQDLMNOP $.

    $( The edge function in a multigraph with two edges connecting the same two
       vertices.  (Contributed by AV, 17-Dec-2020.) $)
    umgr2v2eiedg $p |- ( ( V e. W /\ A e. V /\ B e. V )
                         -> ( iEdg ` G ) = { <. 0 , { A , B } >. ,
                                             <. 1 , { A , B } >. } ) $=
      ( wcel w3a ciedg cfv cc0 cpr cop c1 fveq2i cvv wceq simp1 prex opiedgfv
      sylancl syl5eq ) DEGZADGZBDGZHZCIJDKABLZMZNUGMZLZMZIJZUJCUKIFOUFUCUJPGULU
      JQUCUDUERUHUISUJDEPTUAUB $.

    $( The set of edges in a multigraph with two edges connecting the same two
       vertices.  (Contributed by AV, 17-Dec-2020.) $)
    umgr2v2eedg $p |- ( ( V e. W /\ A e. V /\ B e. V )
                        -> ( Edg ` G ) = { { A , B } } ) $=
      ( wcel w3a cedg cfv ciedg crn cc0 cpr cop c1 csn wceq a1i cvv edgval c0ex
      umgr2v2eiedg rneqd 1ex rnpropg mp2an dfsn2 eqtr4di 3eqtrd ) DEGADGBDGHZCI
      JZCKJZLZMABNZOPUOONZLZUOQZULUNRUKCUASUKUMUPABCDEFUCUDUKUQUOUONZURUQUSRZUK
      MTGPTGUTUBUEMPUOUOTTUFUGSUOUHUIUJ $.

    $d A e $.  $d B e $.  $d G e $.
    $( A multigraph with two edges connecting the same two vertices.
       (Contributed by AV, 17-Dec-2020.) $)
    umgr2v2e $p |- ( ( ( V e. W /\ A e. V /\ B e. V ) /\ A =/= B )
                     -> G e. UMGraph ) $=
      ( ve wcel wne wa cfv chash c2 wceq wf cc0 cpr cop c1 cvv w3a cumgr cdm cv
      ciedg cvtx cpw crab c0ex 1ex pm3.2i prex 0ne1 a1i fprg mp3an12i csn dfsn2
      fveqeq2 prelpwi 3adant1 umgr2v2evtx 3ad2ant1 pweqd eleqtrrd adantr biimpd
      hashprg imp elrabd snssd eqsstrrid ffdmd umgr2v2eiedg dmeqd feq12d mpbird
      wi fssd wb opex eqeltri eqid isumgrs mp1i ) DEHZADHZBDHZUAZABIZJZCUBHZCUE
      KZUCZGUDZLKMNZGCUFKZUGZUHZWMOZWKWTPABQZRSXARQZUCZWSXBOWKPSQZWSXBWKXDXAXAQ
      ZWSXBPTHZSTHZJXATHZXHJWKPSIZXDXEXBOXFXGUIUJUKXHXHABULZXJUKXIWKUMUNPSXAXAT
      TTTUOUPWKXEXAUQWSXAURWKXAWSWKWPXALKMNZGXAWRWOXAMLUSWIXAWRHWJWIXADUGZWRWGW
      HXAXLHWFABDUTVAWIWQDWFWGWQDNWHABCDEFVBVCVDVEVFWIWJXKWGWHWJXKVRWFWGWHJWJXK
      ABDDVHVGVAVIVJVKVLVSVMWKWNXCWSWMXBWIWMXBNWJABCDEFVNVFZWKWMXBXMVOVPVQCTHWL
      WTVTWKCDXBRTFDXBWAWBGTWMCWQWQWCWMWCWDWEVQ $.

    $d A x $.  $d B x $.  $d G x $.  $d V x $.  $d W x $.
    $( In a multigraph with two edges connecting the same two vertices, each of
       the vertices has one neighbor.  (Contributed by AV, 18-Dec-2020.) $)
    umgr2v2enb1 $p |- ( ( ( V e. W /\ A e. V /\ B e. V ) /\ A =/= B )
                        -> ( G NeighbVtx A ) = { B } ) $=
      ( vx wcel w3a wne wa cnbgr cpr cfv csn wceq adantr eqid wb wi co cv cumgr
      cedg cvtx crab umgr2v2evtxel 3adant3 nbumgrvtx syl2anc umgr2v2eedg eleq2d
      umgr2v2e prex elsn bitrdi simpr simpll3 preq2b bitrd pm5.32da umgr2v2evtx
      wal 3ad2ant1 eleq12 exbiri com13 3ad2ant3 pm4.71rd bitr4d alrimiv rabeqsn
      mpd sylibr eqtrd ) DEHZADHZBDHZIZABJZKZCALUAZAGUBZMZCUDNZHZGCUENZUFZBOZWA
      CUCHAWGHZWBWHPABCDEFUMVSWJVTVPVQWJVRABCDEFUGUHQGWECAWGWGRWERUIUJWAWCWGHZW
      FKZWCBPZSZGVCWHWIPWAWNGWAWLWKWMKWMWAWKWFWMWAWKKZWFWDABMZPZWMWOWFWDWPOZHZW
      QWAWFWSSZWKVSWTVTVSWEWRWDABCDEFUKULQQWDWPAWCUNUOUPWOWCBAWGDWAWKUQVPVQVRVT
      WKURUSUTVAWAWMWKVSWMWKTZVTVSWGDPZXAVPVQXBVRABCDEFVBVDVRVPXBXATVQWMXBVRWKW
      MXBWKVRWCBWGDVEVFVGVHVMQVIVJVKWFGWGBVLVNVO $.

    $( In a multigraph with two edges connecting the same two vertices, each of
       the vertices has degree 2.  (Contributed by AV, 18-Dec-2020.) $)
    umgr2v2evd2 $p |- ( ( ( V e. W /\ A e. V /\ B e. V ) /\ A =/= B )
                         -> ( ( VtxDeg ` G ) ` A ) = 2 ) $=
      ( vx wcel wne cfv cdm crab chash c2 wceq eqid cc0 cpr c1 eleq2d wa cvtxdg
      w3a cv ciedg cumgr cvtx umgr2v2e umgr2v2evtxel 3adant3 adantr vtxdumgrval
      syl2anc cop umgr2v2eiedg dmeqd prex dmprop eqtrdi fveq1d rabeqbidv fveq2d
      wral prid1g 0ne1 c0ex fvpr1 ax-mp eleqtrrdi 1ex fvpr2 fveq2 rabid2 sylibr
      ralpr sylanbrc eqcomd prhash2ex 3ad2ant2 eqtrd ) DEHZADHZBDHZUCZABIZUAZAC
      UBJZJZAGUDZCUEJZJZHZGWJKZLZMJZNWFCUFHACUGJZHZWHWOOABCDEFUHWDWQWEWAWBWQWCA
      BCDEFUIUJUKGWMWGACWJWPWPPWJPWMPWGPULUMWDWONOWEWDWOAWIQABRZUNSWRUNRZJZHZGQ
      SRZLZMJZNWDWNXCMWDWLXAGWMXBWDWMWSKXBWDWJWSABCDEFUOZUPQWRSWRABUQZXFURUSWDW
      KWTAWDWIWJWSXEUTTVAVBWBWAXDNOWCWBXDXBMJNWBXCXBMWBXBXCWBXAGXBVCZXBXCOWBAQW
      SJZHZASWSJZHZXGWBAWRXHABDVDZQSIZXHWROVEQSWRWRVFXFVGVHVIWBAWRXJXLXMXJWROVE
      QSWRWRVJXFVKVHVIXAXIXKGQSVFVJWIQOWTXHAWIQWSVLTWISOWTXJAWISWSVLTVOVPXAGXBV
      MVNVQVBVRUSVSVTUKVT $.
  $}

  ${
    $d G e $.  $d U e $.  $d V e $.
    hashnbusgrvd.v $e |- V = ( Vtx ` G ) $.
    $( In a simple graph, the number of neighbors of a vertex is the degree of
       this vertex.  This theorem does not hold for (simple) pseudographs,
       because a vertex connected with itself only by a loop has no neighbors,
       see ~ uspgrloopnb0 , but degree 2, see ~ uspgrloopvd2 .  And it does not
       hold for multigraphs, because a vertex connected with only one other
       vertex by two edges has one neighbor, see ~ umgr2v2enb1 , but also
       degree 2, see ~ umgr2v2evd2 .  (Contributed by Alexander van der Vekens,
       17-Dec-2017.)  (Revised by AV, 15-Dec-2020.)  (Proof shortened by AV,
       5-May-2021.) $)
    hashnbusgrvd $p |- ( ( G e. USGraph /\ U e. V )
                   -> ( # ` ( G NeighbVtx U ) ) = ( ( VtxDeg ` G ) ` U ) ) $=
      ( ve cusgr wcel wa cnbgr co chash cfv cedg crab cvtxdg eqid vtxdusgrfvedg
      cv nbedgusgr eqtr4d ) BFGACGHBAIJKLAERGEBMLZNKLABOLZLAEUABCDUAPZSUBAEUABC
      DUCUBPQT $.

    $( In a finite simple graph with n vertices a vertex is universal iff the
       vertex has degree ` n - 1 ` .  (Contributed by Alexander van der Vekens,
       14-Jul-2018.)  (Revised by AV, 17-Dec-2020.) $)
    usgruvtxvdb $p |- ( ( G e. FinUSGraph /\ U e. V )
                     -> ( U e. ( UnivVtx ` G )
                          <-> ( ( VtxDeg ` G ) ` U ) = ( ( # ` V ) - 1 ) ) ) $=
      ( cfusgr wcel wa cuvtx cfv cnbgr co chash c1 cmin wceq cvtxdg uvtxnbvtxm1
      cusgr fusgrusgr hashnbusgrvd sylan eqeq1d bitrd ) BEFZACFZGZABHIFBAJKLIZC
      LIMNKZOABPIIZUHOABCDQUFUGUIUHUDBRFUEUGUIOBSABCDTUAUBUC $.

    $d G v $.  $d V v $.
    $( A finite simple graph with n vertices is complete iff every vertex has
       degree ` n - 1 ` .  (Contributed by Alexander van der Vekens,
       14-Jul-2018.)  (Revised by AV, 22-Dec-2020.) $)
    vdiscusgrb $p |- ( G e. FinUSGraph -> ( G e. ComplUSGraph
                <-> A. v e. V ( ( VtxDeg ` G ) ` v ) = ( ( # ` V ) - 1 ) ) ) $=
      ( cfusgr wcel ccusgr cv cuvtx cfv wral cvtxdg chash c1 cmin co wceq bitrd
      wb wss cusgr fusgrusgr cusgruvtxb uvtxssvtx eqcom sssseq bitr4id mp1i syl
      dfss3 bitrdi usgruvtxvdb ralbidva ) BEFZBGFZAHZBIJZFZACKZUPBLJJCMJNOPQZAC
      KUNBUAFZUOUSSBUBVAUOCUQTZUSVAUOUQCQZVBBCDUCUQCTZVCVBSVABCDUDVDVCCUQQVBUQC
      UECUQUFUGUHRACUQUJUKUIUNURUTACUPBCDULUMR $.

    $d G n v $.  $d V n $.
    $( In a finite complete simple graph with n vertices every vertex has
       degree ` n - 1 ` .  (Contributed by Alexander van der Vekens,
       14-Jul-2018.)  (Revised by AV, 17-Dec-2020.) $)
    vdiscusgr $p |- ( G e. FinUSGraph
                      -> ( A. v e. V ( ( VtxDeg ` G ) ` v ) = ( ( # ` V ) - 1 )
                           -> G e. ComplUSGraph ) ) $=
      ( vn cfusgr wcel cv cvtxdg cfv chash c1 cmin co wceq wral wa wb mpbird ex
      ccusgr uvtxisvtx wi fveqeq2 rspccv adantl imp usgruvtxvdb adantlr impbid2
      cuvtx eqrdv cusgr fusgrusgr cusgruvtxb syl adantr ) BFGZAHZBIJZJCKJLMNZOZ
      ACPZBUAGZURVCQZVDBUKJZCOZVEEVFCVEEHZVFGZVHCGZBVHCDUBVEVJVIVEVJQVIVHUTJVAO
      ZVEVJVKVCVJVKUCURVBVKAVHCUSVHVAUTUDUEUFUGURVJVIVKRVCVHBCDUHUISTUJULURVDVG
      RZVCURBUMGVLBUNBCDUOUPUQST $.
  $}

  ${
    $d E v $.  $d G v $.  $d U v $.  $d V v $.
    vtxdusgradjvtx.v $e |- V = ( Vtx ` G ) $.
    vtxdusgradjvtx.e $e |- E = ( Edg ` G ) $.
    $( The degree of a vertex in a simple graph is the number of vertices
       adjacent to this vertex.  (Contributed by Alexander van der Vekens,
       9-Jul-2018.)  (Revised by AV, 23-Dec-2020.) $)
    vtxdusgradjvtx $p |- ( ( G e. USGraph /\ U e. V )
           -> ( ( VtxDeg ` G ) ` U ) = ( # ` { v e. V | { U , v } e. E } ) ) $=
      ( cusgr wcel wa cnbgr co chash cfv cvtxdg cpr crab hashnbusgrvd nbusgrvtx
      cv fveq2d eqtr3d ) DHIBEIJZDBKLZMNBDONNBATPCIAEQZMNBDEFRUCUDUEMACDBEFGSUA
      UB $.

    $( If a vertex in a simple graph has degree 0, the vertex is not adjacent
       to another vertex via an edge.  (Contributed by Alexander van der
       Vekens, 20-Dec-2017.)  (Revised by AV, 16-Dec-2020.)  (Proof shortened
       by AV, 23-Dec-2020.) $)
    usgrvd0nedg $p |- ( ( G e. USGraph /\ U e. V )
          -> ( ( ( VtxDeg ` G ) ` U ) = 0 -> -. E. v e. V { U , v } e. E ) ) $=
      ( cusgr wcel wa cvtxdg cfv cc0 wceq cv cpr crab wn cvv syl5bi wrex eqeq1d
      chash vtxdusgradjvtx c0 cvtx fvexi rabex hasheq0 ax-mp wral rabeq0 ralnex
      wb wi biimpi a1i sylbid ) DHIBEIJZBDKLLZMNBAOPCIZAEQZUCLZMNZVAAEUARZUSUTV
      CMABCDEFGUDUBVDVBUENZUSVEVBSIVDVFUNVAAEEDUFFUGUHVBSUIUJVFVARAEUKZUSVEVAAE
      ULVGVEUOUSVGVEVAAEUMUPUQTTUR $.

    $d E e v $.  $d G e $.  $d V e $.
    $( If every vertex in a hypergraph has degree 0, there is no edge in the
       graph.  (Contributed by Alexander van der Vekens, 12-Jul-2018.)
       (Revised by AV, 24-Dec-2020.) $)
    uhgrvd00 $p |- ( G e. UHGraph -> ( A. v e. V ( ( VtxDeg ` G ) ` v ) = 0
                                       -> E = (/) ) ) $=
      ( ve wcel cv cfv wceq wral wn c0 wa wrex wne wex wss ex cuhgr cvtxdg eqid
      cc0 vtxduhgr0edgnel ralnex bitr4di ralbidva ralcom ralnex2 bitri cvtx cpw
      simpr csn cdif cedg eleq2i uhgredgn0 sylan2b eldifsn elpwi sseq2i ssn0rex
      wi sylbir syl imp sylbi jca eximdv df-rex 3imtr4g con3d syl5bi nne syl6ib
      n0 sylbid ) CUAHZAIZCUBJZJUDKZADLWAGIZHZMZGBLZADLZBNKZVTWCWGADVTWADHOWCWE
      GBPMWGWBWAGBCDEFWBUCUEWEGBUFUGUHVTWHBNQZMZWIWHWEADPZGBPZMZVTWKWHWFADLGBLW
      NWFAGDBUIWEGABDUJUKVTWJWMVTWDBHZGRWOWLOZGRWJWMVTWOWPGVTWOWPVTWOOZWOWLVTWO
      UNWQWDCULJZUMZNUOUPHZWLWOVTWDCUQJZHWTBXAWDFURWDCUSUTWTWDWSHZWDNQZOWLWDWSN
      VAXBXCWLXBWDWRSZXCWLVEZWDWRVBXDWDDSZXEDWRWDEVCXFXCWLAWDDVDTVFVGVHVIVGVJTV
      KGBVRWLGBVLVMVNVOBNVPVQVS $.

    $( If every vertex in a simple graph has degree 0, there is no edge in the
       graph.  (Contributed by Alexander van der Vekens, 12-Jul-2018.)
       (Revised by AV, 17-Dec-2020.)  (Proof shortened by AV, 23-Dec-2020.) $)
    usgrvd00 $p |- ( G e. USGraph -> ( A. v e. V ( ( VtxDeg ` G ) ` v ) = 0
                                       -> E = (/) ) ) $=
      ( cusgr wcel cuhgr cv cvtxdg cfv cc0 wceq wral c0 usgruhgr uhgrvd00 syl
      wi ) CGHCIHAJCKLLMNADOBPNTCQABCDEFRS $.
  $}

  ${
    $d x U $.  $d x V $.  $d x X $.  $d x Y $.
    vdegp1ai.vg $e |- V = ( Vtx ` G ) $.
    vdegp1ai.u $e |- U e. V $.
    vdegp1ai.i $e |- I = ( iEdg ` G ) $.
    vdegp1ai.w $e |- I e. Word { x e. ( ~P V \ { (/) } ) | ( # ` x ) <_ 2 } $.
    vdegp1ai.d $e |- ( ( VtxDeg ` G ) ` U ) = P $.
    vdegp1ai.vf $e |- ( Vtx ` F ) = V $.
    ${
      vdegp1ai.x $e |- X e. V $.
      vdegp1ai.xu $e |- X =/= U $.
      vdegp1ai.y $e |- Y e. V $.
      vdegp1ai.yu $e |- Y =/= U $.
      vdegp1ai.f $e |- ( iEdg ` F ) = ( I ++ <" { X , Y } "> ) $.
      $( The induction step for a vertex degree calculation.  If the degree of
         ` U ` in the edge set ` E ` is ` P ` , then adding ` { X , Y } ` to
         the edge set, where ` X =/= U =/= Y ` , yields degree ` P ` as well.
         (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by Mario
         Carneiro, 28-Feb-2016.)  (Revised by AV, 3-Mar-2021.) $)
      vdegp1ai $p |- ( ( VtxDeg ` F ) ` U ) = P $=
        ( cvtxdg cfv cpr cvv wcel wceq prex chash cv c2 cle wbr cpw c0 csn cdif
        crab cword wfun cc0 cfzo wrdf ffund mp1i cvtx a1i ciedg cs1 cconcat cop
        cun wrdv ax-mp cats1un mpan syl5eq fvexd cdm wnel wrdlndm necomi prneli
        co id p1evtxdeq eqtri ) CDUAUBUBZCEUAUBUBZBHIUCZUDUEZWGWHUFHIUGWJCWIDEF
        FUHUBZGUDUDJLFAUIUHUBUJUKULAGUMUNUOUPUQZURUEZFUSWJMWMUTWKVAWCWLFWLFVBVC
        VDDVEUBGUFWJOVFWJDVGUBFWIVHVIWCZFWKWIVJUOVKZTFUDURUEZWJWNWOUFWMWPMWLFVL
        VMFWIUDVNVOVPWJFUHVQWMWKFVRVSWJMWLFVTVDCGUEWJKVFWJWDCWIVSWJCHIHCQWAICSW
        AWBVFWEVMNWF $.
    $}

    ${
      vdegp1bi.x $e |- X e. V $.
      vdegp1bi.xu $e |- X =/= U $.
      ${
        vdegp1bi.f $e |- ( iEdg ` F ) = ( I ++ <" { U , X } "> ) $.
        $( The induction step for a vertex degree calculation, for example in
           the K&ouml;nigsberg graph.  If the degree of ` U ` in the edge set
           ` E ` is ` P ` , then adding ` { U , X } ` to the edge set, where
           ` X =/= U ` , yields degree ` P + 1 ` .  (Contributed by Mario
           Carneiro, 12-Mar-2015.)  (Revised by Mario Carneiro, 28-Feb-2016.)
           (Revised by AV, 3-Mar-2021.) $)
        vdegp1bi $p |- ( ( VtxDeg ` F ) ` U ) = ( P + 1 ) $=
          ( cfv wcel wceq cvtxdg c1 cxad co caddc cpr cvv prex chash cv cle wbr
          c2 cpw c0 csn cdif crab cword wfun cc0 cfzo wrdf ffund mp1i a1i ciedg
          cvtx cs1 cconcat cop cun wrdv ax-mp cats1un mpan syl5eq fvexd wrdlndm
          cdm wnel wa pm3.2i prelpwi prid1g necomi wb hashprg mp2an mpbi eqcomi
          wne 2re eqlei p1evtxdp1 cr cfn cn0 fzofi wrddm vtxdgfisnn0 nn0rei 1re
          rexadd oveq1i 3eqtri ) CDUARRZCEUARRZUBUCUDZXHUBUEUDZBUBUEUDCHUFZUGSZ
          XGXITCHUHXLCXKDEFFUIRZGUGIKFAUJUIRUMUKULAGUNZUOUPUQURZUSSZFUTXLLXPVAX
          MVBUDZXOFXOFVCVDVEDVHRGTXLNVFXLDVGRFXKVIVJUDZFXMXKVKUPVLZQFUGUSSZXLXR
          XSTXPXTLXOFVMVNFXKUGVOVPVQXLFUIVRXPXMFVTZWAXLLXOFVSVECGSZXLJVFYBHGSZW
          BXKXNSXLYBYCJOWCCHGWDVEYBCXKSXLJCHGWEVEUMXKUIRZTUMYDUKULXLYDUMCHWLZYD
          UMTZHCPWFYBYCYEYFWGJOCHGGWHWIWJWKUMYDWMWNVEWOVNXHWPSUBWPSXIXJTXHXQWQS
          YBXHWRSVAXMWSJXQCEFGIKYAXQXPYAXQTLXOFWTVNWKXAWIXBXCXHUBXDWIXHBUBUEMXE
          XF $.
      $}

      vdegp1ci.f $e |- ( iEdg ` F ) = ( I ++ <" { X , U } "> ) $.
      $( The induction step for a vertex degree calculation, for example in the
         K&ouml;nigsberg graph.  If the degree of ` U ` in the edge set ` E `
         is ` P ` , then adding ` { X , U } ` to the edge set, where
         ` X =/= U ` , yields degree ` P + 1 ` .  (Contributed by Mario
         Carneiro, 12-Mar-2015.)  (Revised by Mario Carneiro, 28-Feb-2016.)
         (Revised by AV, 3-Mar-2021.) $)
      vdegp1ci $p |- ( ( VtxDeg ` F ) ` U ) = ( P + 1 ) $=
        ( cpr cs1 cconcat ciedg cfv wceq prcom s1eq ax-mp oveq2i eqtri vdegp1bi
        co ) ABCDEFGHIJKLMNOPDUAUBFHCRZSZTUJFCHRZSZTUJQULUNFTUKUMUCULUNUCHCUDUK
        UMUEUFUGUHUI $.
    $}
  $}

  ${
    vtxdginducedm1.v $e |- V = ( Vtx ` G ) $.
    vtxdginducedm1.e $e |- E = ( iEdg ` G ) $.
    vtxdginducedm1.k $e |- K = ( V \ { N } ) $.
    vtxdginducedm1.i $e |- I = { i e. dom E | N e/ ( E ` i ) } $.
    vtxdginducedm1.p $e |- P = ( E |` I ) $.
    vtxdginducedm1.s $e |- S = <. K , P >. $.
    $( Lemma 1 for ~ vtxdginducedm1 : the edge function in the induced subgraph
       ` S ` of a pseudograph ` G ` obtained by removing one vertex ` N ` .
       (Contributed by AV, 16-Dec-2021.) $)
    vtxdginducedm1lem1 $p |- ( iEdg ` S ) = P $=
      ( ciedg cfv cvv fvexi eqeltri cop fveq2i cdif cvtx difexi resex opiedgfvi
      csn cres eqtri ) BPQGAUAZPQABUKPOUBAGGIHUHZUCRLIULIEUDJSUETADFUIRNDFDEPKS
      UFTUGUJ $.

    $d E i $.
    $( Lemma 2 for ~ vtxdginducedm1 : the domain of the edge function in the
       induced subgraph ` S ` of a pseudograph ` G ` obtained by removing one
       vertex ` N ` .  (Contributed by AV, 16-Dec-2021.) $)
    vtxdginducedm1lem2 $p |- dom ( iEdg ` S ) = I $=
      ( ciedg cfv cdm cres eqtri vtxdginducedm1lem1 dmeqi wss wceq wnel ssdmres
      cv ssrab3 mpbi ) BPQZRDFSZRZFUJUKUJAUKABCDEFGHIJKLMNOUANTUBFDRZUCULFUDHCU
      GDQUECUMFMUHFDUFUIT $.

    $( Lemma 3 for ~ vtxdginducedm1 : an edge in the induced subgraph ` S ` of
       a pseudograph ` G ` obtained by removing one vertex ` N ` .
       (Contributed by AV, 16-Dec-2021.) $)
    vtxdginducedm1lem3 $p |- ( H e. I -> ( ( iEdg ` S ) ` H ) = ( E ` H ) ) $=
      ( wcel ciedg cfv cres vtxdginducedm1lem1 eqtri fveq1i fvres syl5eq ) FGQF
      BRSZSFDGTZSFDSFUFUGUFAUGABCDEGHIJKLMNOPUAOUBUCFGDUDUE $.

    $d J k $.  $d N i k $.  $d V k $.  $d W k $.
    vtxdginducedm1.j $e |- J = { i e. dom E | N e. ( E ` i ) } $.
    $( Lemma 4 for ~ vtxdginducedm1 .  (Contributed by AV, 17-Dec-2021.) $)
    vtxdginducedm1lem4 $p |- ( W e. ( V \ { N } )
                            -> ( # ` { k e. J | ( E ` k ) = { W } } ) = 0 ) $=
      ( wcel csn cdif cv cfv wceq crab c0 chash cc0 wn wral cdm wi fveq2 eleq2d
      weq elrab2 eldifsn df-ne eleq2 elsni eqcomd com12 con3rr3 sylbi simplbiim
      wne syl6bi impcom ralrimiva rabeq0 sylibr cvv wb ciedg fvexi dmex hasheq0
      rab2ex ax-mp ) LKJUAUBTZDUCZEUDZLUAZUEZDHUFZUGUEZWFUHUDUIUEZWAWEUJZDHUKWG
      WAWIDHWBHTZWAWIWJWBEULZTJWCTZWAWIUMJCUCZEUDZTZWLCWBWKHCDUPWNWCJWMWBEUNUOS
      UQWAWLWIWALKTLJVGZWLWIUMZLKJURWPLJUEZUJWQLJUSWLWEWRWEWLWRWEWLJWDTZWRWCWDJ
      UTWSJLJLVAVBVHVCVDVEVFVCVFVIVJWEDHVKVLWFVMTWHWGVNWEWODCWKHSEEFVONVPVQVSWF
      VMVRVTVL $.

    $d E k l $.  $d G k $.  $d I k $.  $d J l $.  $d S k $.  $d k l v $.
    $( The degree of a vertex ` v ` in the induced subgraph ` S ` of a
       pseudograph ` G ` obtained by removing one vertex ` N ` plus the number
       of edges joining the vertex ` v ` and the vertex ` N ` is the degree of
       the vertex ` v ` in the pseudograph ` G ` .  (Contributed by AV,
       17-Dec-2021.) $)
    vtxdginducedm1 $p |- A. v e. ( V \ { N } )
         ( ( VtxDeg ` G ) ` v ) = ( ( ( VtxDeg ` S ) ` v )
                                    +e ( # ` { l e. J | v e. ( E ` l ) } ) ) $=
      ( vk cv cvtxdg cfv wcel crab chash cxad co wceq csn cdm ciedg cun elnelun
      cdif eqcomi rabeqi rabun2 eqtri fveq2i cvv cin fvexi dmex rab2ex wnel wss
      ssrab2 ss2in mp2an elneldisj sseq2i ss0 sylbi ax-mp hashunx mp3an oveq12i
      c0 cxnn0 hashxnn0 a1i xnn0add4d cxr xnn0xaddcl xaddcom vtxdginducedm1lem4
      xnn0xr cc0 oveq2d xaddid1 eqtrdi eleq2d cbvrabv syl5eq vtxdginducedm1lem2
      fveq2 eqtrd vtxdginducedm1lem3 rabbiia eqeq1d oveq1i eldifi eqid vtxdgval
      syl cvtx cop difexg eqeltrid resexg opvtxfvi eleq2i sylbbr oveq1d 3eqtr4d
      cres rgen ) AUAZFUBUCUCZXSCUBUCUCZXSLUAZEUCZUDZLHUEZUFUCZUGUHZUIAKJUJZUOZ
      XSYIUDZXSTUAZEUCZUDZTEUKZUEZUFUCZYLXSUJZUIZTYNUEZUFUCZUGUHZXSYKCULUCZUCZU
      DZTUUBUKZUEZUFUCZUUCYQUIZTUUEUEZUFUCZUGUHZYFUGUHZXTYGYJUUAYMTGUEZUFUCZYRT
      GUEZUFUCZUGUHZYFUGUHZUULYJUUAYMTHUEZUFUCZUUNUGUHZYRTHUEZUFUCZUUPUGUHZUGUH
      ZUURYPUVAYTUVDUGYPUUSUUMUMZUFUCZUVAYOUVFUFYOYMTHGUMZUEUVFYMTYNUVHUVHYNYNJ
      DUAEUCZHGDSPUNUPZUQYMTHGURUSUTUUSVAUDZUUMVAUDZUUSUUMVBZVSUIZUVGUVAUIYMJUV
      IUDZTDYNHSEEFULNVCZVDZVEZYMJUVIVFZTDYNGPUVQVEZUVMHGVBZVGZUVNUUSHVGUUMGVGU
      WBYMTHVHYMTGVHUUSHUUMGVIVJUWBUVMVSVGUVNUWAVSUVMYNJUVIHGDSPVKZVLUVMVMVNVOU
      USUUMVAVAVPVQUSYTUVBUUOUMZUFUCZUVDYSUWDUFYSYRTUVHUEUWDYRTYNUVHUVJUQYRTHGU
      RUSUTUVBVAUDZUUOVAUDZUVBUUOVBZVSUIZUWEUVDUIYRUVOTDYNHSUVQVEZYRUVSTDYNGPUV
      QVEZUWHUWAVGZUWIUVBHVGUUOGVGUWLYRTHVHYRTGVHUVBHUUOGVIVJUWLUWHVSVGUWIUWAVS
      UWHUWCVLUWHVMVNVOUVBUUOVAVAVPVQUSVRYJUVEUUTUVCUGUHZUUQUGUHZUURYJUUTUUNUVC
      UUPUUTVTUDZYJUVKUWOUVRUUSVAWAVOZWBUUNVTUDZYJUVLUWQUVTUUMVAWAVOZWBUVCVTUDZ
      YJUWFUWSUWJUVBVAWAVOZWBUUPVTUDZYJUWGUXAUWKUUOVAWAVOZWBWCYJUWNUUQUWMUGUHZU
      URUWMWDUDZUUQWDUDZUWNUXCUIUWMVTUDZUXDUWOUWSUXFUWPUWTUUTUVCWEVJUWMWHVOUUQV
      TUDZUXEUWQUXAUXGUWRUXBUUNUUPWEVJUUQWHVOUWMUUQWFVJYJUWMYFUUQUGYJUWMUUTYFYJ
      UWMUUTWIUGUHZUUTYJUVCWIUUTUGBCDTEFGHIJKXSMNOPQRSWGWJUUTWDUDZUXHUUTUIUWOUX
      IUWPUUTWHVOUUTWKVOWLUUSYEUFYMYDTLHYKYBUIYLYCXSYKYBEWQWMWNUTWLWJWOWRWOUUQU
      UKYFUGUUKUUQUUGUUNUUJUUPUGUUFUUMUFUUFUUDTGUEUUMUUDTUUEGBCDEFGIJKMNOPQRWPZ
      UQUUDYMTGYKGUDZUUCYLXSBCDEFYKGIJKMNOPQRWSZWMWTUSUTUUIUUOUFUUIUUHTGUEUUOUU
      HTUUEGUXJUQUUHYRTGUXKUUCYLYQUXLXAWTUSUTVRUPXBWLYJXSKUDXTUUAUIXSKYHXCTYNXS
      FEKMNYNXDXEXFYJYAUUKYFUGYJXSCXGUCZUDZYAUUKUIUXNXSIUDYJUXMIXSUXMIBXHZXGUCI
      CUXOXGRUTBIKVAUDZIVAUDKFXGMVCUXPIYIVAOKYHVAXIXJVOEVAUDZBVAUDUVPUXQBEGXQVA
      QEGVAXKXJVOXLUSXMIYIXSOXMXNTUUEXSCUUBUXMUXMXDUUBXDUUEXDXEXFXOXPXR $.

    $d E v $.
    $( The degree of a vertex ` v ` in the induced subgraph ` S ` of a
       pseudograph ` G ` of finite size obtained by removing one vertex ` N `
       plus the number of edges joining the vertex ` v ` and the vertex ` N `
       is the degree of the vertex ` v ` in the pseudograph ` G ` .
       (Contributed by AV, 18-Dec-2021.) $)
    vtxdginducedm1fi $p |- ( E e. Fin -> A. v e. ( V \ { N } )
        ( ( VtxDeg ` G ) ` v ) = ( ( ( VtxDeg ` S ) ` v )
                                   + ( # ` { l e. J | v e. ( E ` l ) } ) ) ) $=
      ( wcel cfn cv cvtxdg cfv crab chash cxad co wceq cdif wral vtxdginducedm1
      csn caddc wa cdm cn0 cres finresfin dmfi syl eqeltrid cvtx cop fveq2i cvv
      dmeqi fvexi difexi eqeltri ciedg resex opvtxfvi vtxdginducedm1lem1 eqcomi
      3eqtrri eqid vtxdgfisnn0 sylan nn0red hashcl adantr rexaddd eqeq2d biimpd
      rabfi 3syl ralimdva mpi ) EUATZAUBZFUCUDUDZWKCUCUDUDZWKLUBEUDTZLHUEZUFUDZ
      UGUHZUIZAKJUMZUJZUKWLWMWPUNUHZUIZAWTUKABCDEFGHIJKLMNOPQRSULWJWRXBAWTWJWKW
      TTZUOZWRXBXDWQXAWLXDWMWPXDWMWJBUPZUATXCWMUQTWJXEEGURZUPZUABXFQVGWJXFUATXG
      UATGEUSXFUTVAVBXEWKCBWTCVCUDIBVDZVCUDIWTCXHVCRVEBIIWTVFOKWSKFVCMVHVIVJBXF
      VFQEGEFVKNVHVLVJVMOVPCVKUDBBCDEFGIJKMNOPQRVNVOXEVQVRVSVTXDWPWJWPUQTZXCWJH
      UATWOUATXIWJHJDUBEUDTZDEUPZUEZUASWJXKUATXLUATEUTXJDXKWFVAVBWNLHWFWOWAWGWB
      VTWCWDWEWHWI $.
  $}

  ${
    $d E i $.  $d G i $.  $d N i $.
    finsumvtxdg2sstep.v $e |- V = ( Vtx ` G ) $.
    finsumvtxdg2sstep.e $e |- E = ( iEdg ` G ) $.
    finsumvtxdg2sstep.k $e |- K = ( V \ { N } ) $.
    finsumvtxdg2sstep.i $e |- I = { i e. dom E | N e/ ( E ` i ) } $.
    finsumvtxdg2sstep.p $e |- P = ( E |` I ) $.
    finsumvtxdg2sstep.s $e |- S = <. K , P >. $.
    ${
      finsumvtxdg2ssteplem.j $e |- J = { i e. dom E | N e. ( E ` i ) } $.
      $( Lemma for ~ finsumvtxdg2sstep .  (Contributed by AV, 15-Dec-2021.) $)
      finsumvtxdg2ssteplem1 $p |- ( ( ( G e. UPGraph /\ N e. V )
                                     /\ ( V e. Fin /\ E e. Fin ) )
                                 -> ( # ` E ) = ( ( # ` P ) + ( # ` J ) ) ) $=
        ( wcel chash cfv cupgr wa cfn cres cdm cdif caddc co wfun wceq upgruhgr
        wss cuhgr uhgrfun syl ad2antrr simprr cv wnel ssrab3 a1i hashreshashfun
        syl3anc eqcomi fveq2i crab wn notrab difeq2i nnel bicomi rabbii 3eqtr4i
        eqtri fveq2d oveq12d eqtrd ) EUARZIJRZUBZJUCRZDUCRZUBZUBZDSTZDFUDZSTZDU
        EZFUFZSTZUGUHZASTZGSTZUGUHWDDUIZWBFWHULZWEWKUJVRWNVSWCVREUMRWNEUKDELUNU
        OUPVTWAWBUQWOWDICURDTZUSZCWHFNUTVADFVBVCWDWGWLWJWMUGWGWLUJWDWFASAWFOVDV
        EVAWDWIGSWIGUJWDWHWQCWHVFZUFWQVGZCWHVFZWIGWQCWHVHFWRWHNVIGIWPRZCWHVFWTQ
        XAWSCWHWSXAIWPVJVKVLVNVMVAVOVPVQ $.

      $( Lemma for ~ finsumvtxdg2sstep .  (Contributed by AV, 12-Dec-2021.) $)
      finsumvtxdg2ssteplem2 $p |- ( ( ( G e. UPGraph /\ N e. V )
                                     /\ ( V e. Fin /\ E e. Fin ) )
         -> ( ( VtxDeg ` G ) ` N )
              = ( ( # ` J ) + ( # ` { i e. dom E | ( E ` i ) = { N } } ) ) ) $=
        ( wcel cfv chash cupgr wa cfn cvtxdg cv cdm crab csn wceq caddc co dmfi
        adantl simpr eqid vtxdgfival syl2anr eqcomi fveq2i a1i oveq1d eqtrd ) E
        UARZIJRZUBZJUCRZDUCRZUBZUBZIEUDSSZICUEDSZRCDUFZUGZTSZVKIUHUICVLUGTSZUJU
        KZGTSZVOUJUKVHVLUCRZVDVJVPUIVEVGVRVFDULUMVCVDUNCVLIEDJKLVLUOUPUQVIVNVQV
        OUJVNVQUIVIVMGTGVMQURUSUTVAVB $.

      $d E v $.  $d G v $.  $d N v $.  $d V i v $.
      $( Lemma for ~ finsumvtxdg2sstep .  (Contributed by AV, 19-Dec-2021.) $)
      finsumvtxdg2ssteplem3 $p |- ( ( ( G e. UPGraph /\ N e. V )
                                       /\ ( V e. Fin /\ E e. Fin ) )
           -> ( sum_ v e. ( V \ { N } ) ( # ` { i e. J | v e. ( E ` i ) } )
                + ( # ` { i e. dom E | ( E ` i ) = { N } } ) ) = ( # ` J ) ) $=
        ( wcel wa cupgr cfn csn cdif cv cfv crab chash csu cdm caddc co rabeq2i
        wceq anbi1i anass bitri rabbia2 fveq2i a1i sumeq2dv oveq1d simpll simpr
        simplr numedglnl syl3anc eqtrd eqtr4di ) FUASZJKSZTZKUBSEUBSTZTZKJUCZUD
        ZAUEZDUEZEUFZSZDHUGZUHUFZAUIZVSVOUNDEUJZUGUHUFZUKULZJVSSZDWDUGZUHUFZHUH
        UFVNWFVPWGVTTZDWDUGZUHUFZAUIZWEUKULZWIVNWCWMWEUKVNVPWBWLAWBWLUNVNVQVPST
        WAWKUHVTWJDHWDVRHSZVTTVRWDSZWGTZVTTWPWJTWOWQVTWGDHWDRUMUOWPWGVTUPUQURUS
        UTVAVBVNVJVMVKWNWIUNVJVKVMVCVLVMVDVJVKVMVEADEFJKLMVFVGVHHWHUHRUSVI $.

      $d J i $.  $d K v $.
      $( Lemma for ~ finsumvtxdg2sstep .  (Contributed by AV, 12-Dec-2021.) $)
      finsumvtxdg2ssteplem4 $p |- ( ( ( ( G e. UPGraph /\ N e. V )
                   /\ ( V e. Fin /\ E e. Fin ) )
                   /\ sum_ v e. K ( ( VtxDeg ` S ) ` v ) = ( 2 x. ( # ` P ) ) )
            -> ( sum_ v e. ( V \ { N } ) ( ( VtxDeg ` G ) ` v )
                 + ( ( # ` J ) + ( # ` { i e. dom E | ( E ` i ) = { N } } ) ) )
               = ( 2 x. ( ( # ` P ) + ( # ` J ) ) ) ) $=
        ( wcel caddc cupgr wa cfn cv cvtxdg cfv csu c2 chash cmul wceq csn cdif
        co crab wral vtxdginducedm1fi ad2antll sumeq2d diffi adantr adantl cres
        cdm cc finresfin dmfi syl eqeltrid eqcomi eleq2i biimpi cvtx cop fveq2i
        dmeqi cvv fvexi difexi eqeltri ciedg opvtxfvi eqtr2i vtxdginducedm1lem1
        resex eqid vtxdgfisnn0 nn0cnd syl2an rabfi hashcl fsumadd eqtrd sumeq1i
        cn0 3syl eqeq1i oveq1 oveq1d fsumcl add12d finsumvtxdg2ssteplem3 oveq2d
        sylbi sylan9eq 2timesd eqcomd 3eqtrd 2cnd mulcld addcld addassd 3eqtr4d
        adddid ) FUASJKSUBZKUCSZEUCSZUBZUBZIAUDZCUEUFUFZAUGZUHBUIUFZUJUNZUKZUBZ
        KJULZUMZXTFUEUFUFZAUGZHUIUFZDUDEUFZYGUKZDEVDZUOZUIUFZTUNZTUNYDYHXTYLSZD
        HUOZUIUFZAUGZTUNZYQTUNZUHYCYKTUNUJUNZYFYJUUBYQTXSYEYJYHYAAUGZUUATUNZUUB
        XSYJYHYAYTTUNZAUGUUFXSYHYIUUGAXQYIUUGUKAYHUPXOXPABCDEFGHIJKDLMNOPQRUQUR
        USXSYHYAYTAXRYHUCSZXOXPUUHXQKYGUTVAZVBXSBVDZUCSZXTISZYAVESXTYHSZXQUUKXO
        XPXQUUJEGVCZVDZUCBUUNPVPXQUUNUCSUUOUCSGEVFZUUNVGVHVIURUUMUULYHIXTIYHNVJ
        VKVLUUKUULUBYAUUJXTCBICVMUFIBVNZVMUFICUUQVMQVOBIIYHVQNKYGKFVMLVRVSVTBUU
        NVQPEGEFWAMVRWEVTWBWCCWAUFBBCDEFGIJKLMNOPQWDVJUUJWFWGWHWIXSYTVESZUUMXQU
        URXOXPXQYTXQHUCSZYSUCSYTWOSXQHJYLSZDYNUOZUCRXQYNUCSZUVAUCSEVGZUUTDYNWJV
        HVIZYRDHWJYSWKWPWHZURVAWLWMYEUUEYDUKUUFUUBUKYBUUEYDIYHYAANWNWQUUEYDUUAT
        WRXDXEWSXSUUCUUDUKYEXSYDUUAYQTUNZTUNYDUHYKUJUNZTUNUUCUUDXSUVFUVGYDTXSUV
        FYKUUAYPTUNZTUNZYKYKTUNZUVGXRUVFUVIUKXOXRUUAYKYPXRYHYTAUUIXRUURUUMXQUUR
        XPUVEVBVAWTZXQYKVESZXPXQYKXQUUSYKWOSUVDHWKVHWHZVBXQYPVESXPXQYPXQUVBYOUC
        SYPWOSUVCYMDYNWJYOWKWPWHZVBXAVBXSUVHYKYKTABCDEFGHIJKLMNOPQRXBXCXQUVJUVG
        UKXOXPXQUVGUVJXQYKUVMXFXGURXHXCXSYDUUAYQXQYDVESXOXPXQUHYCXQXIXQYCXQBUCS
        YCWOSXQBUUNUCPUUPVIBWKVHWHZXJURXRUUAVESXOUVKVBXQYQVESXOXPXQYKYPUVMUVNXK
        URXLXSUHYCYKXSXIXQYCVESXOXPUVOURXQUVLXOXPUVMURXNXMVAWM $.
    $}

    $d E i j $.  $d E v $.  $d G v $.  $d K v $.  $d N j $.  $d N v $.
    $d V i v $.
    $( Induction step of ~ finsumvtxdg2size :  In a finite pseudograph of
       finite size, the sum of the degrees of all vertices of the pseudograph
       is twice the size of the pseudograph if the sum of the degrees of all
       vertices of the subgraph of the pseudograph not containing one of the
       vertices is twice the size of the subgraph.  (Contributed by AV,
       19-Dec-2021.) $)
    finsumvtxdg2sstep $p |- ( ( ( G e. UPGraph /\ N e. V )
                                /\ ( V e. Fin /\ E e. Fin ) )
            -> ( ( P e. Fin
                   -> sum_ v e. K ( ( VtxDeg ` S ) ` v ) = ( 2 x. ( # ` P ) ) )
              -> sum_ v e. V ( ( VtxDeg ` G ) ` v ) = ( 2 x. ( # ` E ) ) ) ) $=
      ( wcel cfv co wceq vj cupgr wa cfn cv cvtxdg c2 chash cmul cres finresfin
      csu ad2antll eqeltrid csn cdif caddc cdm crab cun difsnid ad2antlr eqcomd
      csb sumeq1d wnel cz wral diffi adantr adantl simpr neldifsn nelir a1i cn0
      dmfi eleq2d biimpd imp vtxdgfisnn0 syl2an2r nn0zd ralrimiva fsumsplitsnun
      syl121anc fveq2 csbied oveq2d finsumvtxdg2ssteplem2 finsumvtxdg2ssteplem4
      wi eqid 3eqtrd cbvrabv fveq2i oveq2i finsumvtxdg2ssteplem1 ex embantd ) F
      UBQZIJQZUCZJUDQZEUDQZUCZUCZBUDQHAUEZCUFRRAULUGBUHRZUISTZJXHFUFRZRZAULZUGE
      UHRZUISZTZXGBEGUJZUDOXEXQUDQXCXDGEUKUMUNXGXJXPXGXJUCZXMJIUOZUPZXLAULZIXKR
      ZUQSZUGXIIDUEZERZQZDEURZUSZUHRZUQSZUISZXOXGXMYCTXJXGXMXTXSUTZXLAULZYAAIXL
      VDZUQSZYCXGJYLXLAXGYLJXBYLJTXAXFJIVAZVBVCVEXGXTUDQZXBIXTVFZXLVGQZAYLVHYMY
      OTXFYQXCXDYQXEJXSVIVJVKXCXBXFXAXBVLZVJYRXGIXTIJVMVNVOXGYSAYLXGXHYLQZUCXLX
      GYGUDQZUUAXHJQZXLVPQXEUUBXCXDEVQUMXGUUAUUCXBUUAUUCWLXAXFXBUUAUUCXBYLJXHYP
      VRVSVBVTYGXHFEJKLYGWMWAWBWCWDXTXLAJIWEWFXGYNYBYAUQXCYNYBTXFXCAIXLYBJYTXHI
      TXLYBTXCXHIXKWGVKWHVJWIWNVJXRYCYAIUAUEZERZQZUAYGUSZUHRZYEXSTDYGUSUHRUQSZU
      QSZUGXIUUHUQSZUISZYKXGYCUUJTXJXGYBUUIYAUQBCDEFGUUGHIJKLMNOPUUFYFUADYGUUDY
      DTUUEYEIUUDYDEWGVRWOZWJWIVJABCDEFGUUGHIJKLMNOPUUMWKUULYKTXRUUKYJUGUIUUHYI
      XIUQUUGYHUHUUMWPWQWQVOWNXGYKXOTXJXGXOYKXGXNYJUGUIBCDEFGYHHIJKLMNOPYHWMWRW
      IVCVJWNWSWT $.
  $}

  ${
    $d G e k n v $.  $d V v $.  $d e f i k n v w $.  $d e f k n v w y $.
    sumvtxdg2size.v $e |- V = ( Vtx ` G ) $.
    sumvtxdg2size.i $e |- I = ( iEdg ` G ) $.
    sumvtxdg2size.d $e |- D = ( VtxDeg ` G ) $.
    $( The sum of the degrees of all vertices of a finite pseudograph of finite
       size is twice the size of the pseudograph.  See equation (1) in section
       I.1 in [Bollobas] p. 4.  Here, the "proof" is simply the statement
       "Since each edge has two endvertices, the sum of the degrees is exactly
       twice the number of edges".  The formal proof of this theorem (for
       pseudographs) is much more complicated, taking also the used auxiliary
       theorems into account.  The proof for a (finite) simple graph (see
       ~ fusgr1th ) would be shorter, but nevertheless still laborious.
       Although this theorem would hold also for infinite pseudographs and
       pseudographs of infinite size, the proof of this most general version
       (see theorem "sumvtxdg2size" below) would require many more auxiliary
       theorems (e.g., the extension of the sum ` sum_ ` over an arbitrary
       set).

       I dedicate this theorem and its proof to Norman Megill, who deceased too
       early on December 9, 2021.  This proof is an example for the rigor which
       was the main motivation for Norman Megill to invent and develop
       Metamath, see section 1.1.6 "Rigor" on page 19 of the Metamath book:
        "... it is usually assumed in mathematical literature that the person
       reading the proof is a mathematician familiar with the specialty being
       described, and that the missing steps are obvious to such a reader or at
       least the reader is capable of filling them in."  I filled in the
       missing steps of Bollobas' proof as Norm would have liked it...
       (Contributed by Alexander van der Vekens, 19-Dec-2021.) $)
    finsumvtxdg2size $p |- ( ( G e. UPGraph /\ V e. Fin /\ I e. Fin )
                          -> sum_ v e. V ( D ` v ) = ( 2 x. ( # ` I ) ) ) $=
      ( wcel cfn cfv c2 chash cmul co wceq cvtxdg wi wa wb ve vk vn vi vf vw vy
      cupgr cv csu cvtx ciedg cop upgrop wnel cdm crab cres csn cdif fvex resex
      eleq1 adantl oveq12 fveq1d adantr sumeq12dv oveq2d eqeq12d imbi12d eqtrdi
      simpl fveq2 vex opvtxfvi eqcomi eqid upgrres opeq12 fveq2d cc0 c0 hasheq0
      df-ov cvv elv 2t0e0 opiedgfvi cuhgr upgruhgr eqeq1i uhgr0vb sylan2b mpbid
      a1i syl5eq sylibr sumeq1 sum0 3eqtr4rd a1d caddc cn0 w3a 3ad2ant2 hashclb
      c1 eqcoms biimprd dmeqi eqidd neleq12d rabbiia reseq12i finsumvtxdg2sstep
      rabeqi eqtri fveq1i sumeq2i syl6ibr exp32 com34 3adant2 sylbid impcom imp
      syl5 opfi1ind ex syl eleq1i vtxdgop fveq2i oveq2i 3imtr4d 3imp ) CUHIZEJI
      ZDJIZEAUIZBKZAUJZLDMKZNOZPZYRCUKKZJIZCULKZJIZUUGUUAUUGUUIQOZKZAUJZLUUIMKZ
      NOZPZRZYSYTUUFRYRUUGUUIUMUHIZUUHUUQRCUNUURUUHUUQUUQUAUIZJIZUBUIZUUAUVAUUS
      QOZKZAUJZLUUSMKZNOZPZRZUVAUUSUMZULKZUCUIZUDUIZUVJKZUOZUDUVJUPZUQZURZJIZUV
      AUVKUSUTZUUAUVSUVQUMZQKZKZAUJZLUVQMKZNOZPZRZUEUIZJIZUFUIZUUAUWJUWHUMZQKZK
      ZAUJZLUWHMKZNOZPZRUGUFUBUAUEUCUUIUVQUHUUGCULVAUVJUVPUVIULVAVBUVAUUGPZUUSU
      UIPZSZUUTUUJUVGUUPUWSUUTUUJTUWRUUSUUIJVCVDUWTUVDUUMUVFUUOUWTUVAUUGUVCUULA
      UWRUWSVMUWTUVCUULPUUAUVAIZUWTUUAUVBUUKUVAUUGUUSUUIQVEVFVGVHUWSUVFUUOPUWRU
      WSUVEUUNLNUUSUUIMVNVIVDVJVKUVAUWJPZUUSUWHPZSZUUTUWIUVGUWQUXCUUTUWITUXBUUS
      UWHJVCVDUXDUVDUWNUVFUWPUXDUVAUWJUVCUWMAUXBUXCVMUXDUVCUWMPUXAUXDUUAUVBUWLU
      XDUVBUWJUWHQOUWLUVAUWJUUSUWHQVEUWJUWHQWEVLVFVGVHUXCUVFUWPPUXBUXCUVEUWOLNU
      USUWHMVNVIVDVJVKUVTUDUVJUVPUVIUVKUVAUVIUKKZUVAUUSUVAUBVOZUAVOZVPVQZUVJVRU
      VPVRUVTVRZVSUWJUVSPZUWHUVQPZSZUWIUVRUWQUWFUXKUWIUVRTUXJUWHUVQJVCVDUXLUWNU
      WCUWPUWEUXLUWJUVSUWMUWBAUXJUXKVMUXLUWMUWBPUUAUWJIUXLUUAUWLUWAUXLUWKUVTQUW
      JUWHUVSUVQVTWAVFVGVHUXKUWPUWEPUXJUXKUWOUWDLNUWHUVQMVNVIVDVJVKUVIUHIZUVAMK
      ZWBPZSUVGUUTUXOUXMUVAWCPZUVGUXOUXPTUBUVAWFWDWGUXMUXPSZLWBNOZWBUVFUVDUXRWB
      PUXQWHWPUXQUVEWBLNUXQUUSWCPZUVEWBPZUXQUUSUVJWCUVJUUSUUSUVAUXFUXGWIZVQZUXQ
      UVIWJIZUVJWCPZUXMUYCUXPUVIWKVGUXPUXMUXEWCPUYCUYDTUVAUXEWCUXHWLUVIUHWMWNWO
      WQUXTUXSTUAUUSWFWDWGWRVIUXPUVDWBPUXMUXPUVDWCUVCAUJWBUVAWCUVCAWSUVCAWTVLVD
      XAWNXBUGUIXHXCOZXDIZUXMUXNUYEPZUVKUVAIZXEZSUWGUVHUYIUYFUWGUVHRZUYIUYFUXNX
      DIZUYJUYGUXMUYFUYKTZUYHUYLUYEUXNUYEUXNXDVCXIXFUYKUVAJIZUYIUYJUYKUYMRUBUVA
      WFIUYMUYKUVAWFXGXJWGUXMUYHUYMUYJRUYGUXMUYHSZUYMUUTUWGUVGUYNUYMUUTUWGUVGRU
      YNUYMUUTSSUWGUVAUUAUVIQKZKZAUJZUVFPUVGAUVQUVTUDUUSUVIUVKUVLUUSKZUOZUDUUSU
      PZUQZUVSUVKUVAUXHUYBUVSVRVUAVRUVJUUSUVPVUAUYAUVPUVNUDUYTUQVUAUVNUDUVOUYTU
      VJUUSUYAXKXQUVNUYSUDUYTUVLUYTIZUVKUVKUVMUYRVUBUVKXLVUBUVLUVJUUSUVJUUSPVUB
      UYAWPVFXMXNXRXOUXIXPUVDUYQUVFUVAUVCUYPAUVCUYPPUXAUUAUVBUYOUVAUUSQWEXSWPXT
      WLYAYBYCYDYHYEYFYGYIYJYKYSUUHTYREUUGJFYLWPYRYTUUJUUFUUPYTUUJTYRDUUIJGYLWP
      YRUUCUUMUUEUUOYREUUGUUBUULAEUUGPYRFWPYRUUBUULPUUAEIYRUUABUUKYRBCQKUUKHCUH
      YMWQVFVGVHUUEUUOPYRUUDUUNLNDUUIMGYNYOWPVJVKYPYQ $.

    $( The sum of the degrees of all vertices of a finite simple graph is twice
       the size of the graph.  See equation (1) in section I.1 in [Bollobas]
       p. 4.  Also known as the "First Theorem of Graph Theory" (see
       ~ https://charlesreid1.com/wiki/First_Theorem_of_Graph_Theory ).
       (Contributed by AV, 26-Dec-2021.) $)
    fusgr1th $p |- ( G e. FinUSGraph
                     -> sum_ v e. V ( D ` v ) = ( 2 x. ( # ` I ) ) ) $=
      ( cfusgr wcel cupgr cfn w3a cv cfv csu c2 chash cmul co wceq fusgrfupgrfs
      finsumvtxdg2size syl ) CIJCKJELJDLJMEANBOAPQDROSTUACDEFGUBABCDEFGHUCUD $.
  $}

  ${
    $d G v $.  $d V v $.
    finsumvtxdgeven.v $e |- V = ( Vtx ` G ) $.
    finsumvtxdgeven.i $e |- I = ( iEdg ` G ) $.
    finsumvtxdgeven.d $e |- D = ( VtxDeg ` G ) $.
    $( The sum of the degrees of all vertices of a finite pseudograph of finite
       size is even.  See equation (2) in section I.1 in [Bollobas] p. 4, where
       it is also called the _handshaking lemma_.  (Contributed by AV,
       22-Dec-2021.) $)
    finsumvtxdgeven $p |- ( ( G e. UPGraph /\ V e. Fin /\ I e. Fin )
                            -> 2 || sum_ v e. V ( D ` v ) ) $=
      ( cupgr wcel cfn w3a c2 chash cfv cmul co cv csu cdvds cz wceq wbr hashcl
      cn0 3ad2ant3 nn0zd eqidd 2teven syl2anc finsumvtxdg2size breqtrrd ) CIJZE
      KJZDKJZLZMMDNOZPQZEARBOASTUPUQUAJURURUBMURTUCUPUQUOUMUQUEJUNDUDUFUGUPURUH
      UQURUIUJABCDEFGHUKUL $.

    $d D v w $.  $d G w $.  $d I v w $.  $d V w $.
    $( The number of vertices of odd degree is even in a finite pseudograph of
       finite size.  Proposition 1.2.1 in [Diestel] p. 5.  See also remark
       about equation (2) in section I.1 in [Bollobas] p. 4.  (Contributed by
       AV, 22-Dec-2021.) $)
    vtxdgoddnumeven $p |- ( ( G e. UPGraph /\ V e. Fin /\ I e. Fin )
                            -> 2 || ( # ` { v e. V | -. 2 || ( D ` v ) } ) ) $=
      ( vw wcel cfn c2 cfv csu cdvds wbr wn wceq wa cz cupgr cv finsumvtxdgeven
      w3a crab chash caddc co cin c0 incom rabnc eqtri a1i rabxm equncomi simp2
      cun cvtxdg fveq1i cdm cn0 dmfi 3ad2ant3 vtxdgfisnn0 sylan nn0cnd eqeltrid
      cc eqid fsumsplit breq2d rabfi 3ad2ant2 elrabi syl2an nn0zd fsumzcl fveq2
      adantr notbid elrab simprbi adantl sumodd biimpa sumeven opeo syl22anc ex
      con4d sylbid mpd ) CUAJZEKJZDKJZUDZLEIUBZBMZINZOPZLLAUBZBMZOPZQZAEUEZUFMO
      PZIBCDEFGHUCWQXALXFWSINZXDAEUEZWSINZUGUHZOPZXGWQWTXKLOWQXFXIWSEIXFXIUIZUJ
      RWQXMXIXFUIUJXFXIUKXDAEULUMUNEXFXIURRWQEXIXFXDAEUOUPUNWNWOWPUQWQWREJZSZWS
      WRCUSMZMZVIWRBXPHUTZXOXQWQDVAZKJZXNXQVBJZWPWNXTWODVCVDZXSWRCDEFGXSVJVEZVF
      VGVHVKVLWQXGXLWQXGQZXLQZWQYDSXHTJZLXHOPZQZXJTJZLXJOPZYEWQYFYDWQXFWSIWOWNX
      FKJWPXEAEVMVNZWQWRXFJZSZWSXQTXRYMXQWQXTXNYAYLYBXEAWREVOYCVPVQVHZVRVTWQYDY
      HWQXGYGWQXFWSIYKYNYLLWSOPZQZWQYLXNYPXEYPAWREXBWRRZXDYOYQXCWSLOXBWRBVSVLZW
      AWBWCWDWEWAWFWQYIYDWQXIWSIWOWNXIKJWPXDAEVMVNZWQWRXIJZSZWSXQTXRUUAXQWQXTXN
      YAYTYBXDAWREVOYCVPVQVHZVRVTWQYJYDWQXIWSIYSUUBYTYOWQYTXNYOXDYOAWREYRWBWCWD
      WGVTXHXJWHWIWJWKWLWM $.

    $( The number of vertices of odd degree is even in a finite simple graph.
       Proposition 1.2.1 in [Diestel] p. 5.  See also remark about equation (2)
       in section I.1 in [Bollobas] p. 4.  (Contributed by AV, 27-Dec-2021.) $)
    fusgrvtxdgonume $p |- ( G e. FinUSGraph
                            -> 2 || ( # ` { v e. V | -. 2 || ( D ` v ) } ) ) $=
      ( cfusgr wcel cupgr cfn w3a c2 cv cfv cdvds wbr wn crab fusgrfupgrfs syl
      chash vtxdgoddnumeven ) CIJCKJELJDLJMNNAOBPQRSAETUCPQRCDEFGUAABCDEFGHUDUB
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Regular graphs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  With ~ df-rgr and ~ df-rusgr , k-regularity of a (simple) graph is defined as
  predicate ` RegGraph ` resp. ` RegUSGraph `.

  Instead of defining a predicate, an alternative could have been to define a
  function that maps an extended nonnegative integer to the class of "graphs"
  in which every vertex has the extended nonnegative integer as degree:
  ` RegGraph = ( k e. NN0* |-> { g | A. v e. ( Vtx `` g )
  ( ( VtxDeg `` g ) `` v ) = k } ) ` .  This function, however, would not be
  defined at least for ` k = 0 ` (see ~ rgrx0nd ), because
  ` { g | A. v e. ( Vtx `` g ) ( ( VtxDeg `` g ) `` v ) = 0 } ` is not a set
  (see ~ rgrprcx ).  It is expected that this function is not defined for every
  ` k e. NN0* ` (how could this be proven?).

$)

  $c RegGraph $.
  $c RegUSGraph $.

  $( Extend class notation to include the class of all regular graphs. $)
  crgr $a class RegGraph $.

  $( Extend class notation to include the class of all regular simple
     graphs. $)
  crusgr $a class RegUSGraph $.

  ${
    $d g k v $.
    $( Define the "k-regular" predicate, which is true for a "graph" being
       k-regular: read ` G RegGraph K ` as " ` G ` is ` K `-regular" or " ` G `
       is a ` K `-regular graph".  Note that ` K ` is allowed to be positive
       infinity ( ` K e. NN0* ` ), as proposed by GL. (Contributed by Alexander
       van der Vekens, 6-Jul-2018.)  (Revised by AV, 26-Dec-2020.) $)
    df-rgr $a |- RegGraph = { <. g , k >. | ( k e. NN0*
                       /\ A. v e. ( Vtx ` g ) ( ( VtxDeg ` g ) ` v ) = k ) } $.
  $}

  ${
    $d g k $.
    $( Define the "k-regular simple graph" predicate, which is true for a
       simple graph being k-regular: read ` G RegUSGraph K ` as ` G ` is a
       ` K `-regular simple graph.  (Contributed by Alexander van der Vekens,
       6-Jul-2018.)  (Revised by AV, 18-Dec-2020.) $)
    df-rusgr $a |- RegUSGraph = { <. g , k >. |
                                  ( g e. USGraph /\ g RegGraph k ) } $.
  $}

  ${
    $d G g k v $.  $d K g k v $.
    isrgr.v $e |- V = ( Vtx ` G ) $.
    isrgr.d $e |- D = ( VtxDeg ` G ) $.
    $( The property of a class being a k-regular graph.  (Contributed by
       Alexander van der Vekens, 7-Jul-2018.)  (Revised by AV, 26-Dec-2020.) $)
    isrgr $p |- ( ( G e. W /\ K e. Z ) -> ( G RegGraph K
                            <-> ( K e. NN0* /\ A. v e. V ( D ` v ) = K ) ) ) $=
      ( vk vg wcel wa cxnn0 cv cvtxdg cfv wceq cvtx wral wbr eleq1 adantl fveq2
      crgr wb adantr fveq1d simpr eqeq12d raleqbidv df-rgr brabga fveq1i eqeq1i
      anbi12d raleqbii bicomi a1i anbi2d bitrd ) CFLDGLMZCDUEUADNLZAOZCPQZQZDRZ
      ACSQZTZMZVCVDBQZDRZAETZMJOZNLZVDKOZPQZQZVNRZAVPSQZTZMVJKJCDUEFGVPCRZVNDRZ
      MZVOVCWAVIWCVOVCUFWBVNDNUBUCWDVSVGAVTVHWBVTVHRWCVPCSUDUGWDVRVFVNDWBVRVFRW
      CWBVDVQVEVPCPUDUHUGWBWCUIUJUKUPAKJULUMVBVIVMVCVIVMUFVBVMVIVLVGAEVHHVKVFDV
      DBVEIUNUOUQURUSUTVA $.

    $( The properties of a k-regular graph.  (Contributed by Alexander van der
       Vekens, 8-Jul-2018.)  (Revised by AV, 26-Dec-2020.) $)
    rgrprop $p |- ( G RegGraph K
                    -> ( K e. NN0* /\ A. v e. V ( D ` v ) = K ) ) $=
      ( vk vg cvv wcel wa crgr wbr cxnn0 cv cfv wceq wral cvtxdg cvtx bropaex12
      df-rgr isrgr biimpd mpcom ) CJKDJKLZCDMNZDOKAPZBQDRAESLZHPZOKUIIPZTQQUKRA
      ULUAQSLIHCDMAIHUCUBUGUHUJABCDEJJFGUDUEUF $.
  $}

  ${
    $d G g k $.  $d K g k $.
    $( The property of being a k-regular simple graph.  (Contributed by
       Alexander van der Vekens, 7-Jul-2018.)  (Revised by AV, 18-Dec-2020.) $)
    isrusgr $p |- ( ( G e. W /\ K e. Z ) -> ( G RegUSGraph K
                                    <-> ( G e. USGraph /\ G RegGraph K ) ) ) $=
      ( vg vk cv cusgr wcel crgr wbr wa crusgr wceq eleq1 adantr breq12 anbi12d
      wb df-rusgr brabga ) EGZHIZUBFGZJKZLAHIZABJKZLEFABMCDUBANZUDBNZLUCUFUEUGU
      HUCUFSUIUBAHOPUBAUDBJQREFTUA $.

    $( The properties of a k-regular simple graph.  (Contributed by Alexander
       van der Vekens, 8-Jul-2018.)  (Revised by AV, 18-Dec-2020.) $)
    rusgrprop $p |- ( G RegUSGraph K -> ( G e. USGraph /\ G RegGraph K ) ) $=
      ( vg vk cvv wcel wa crusgr wbr cusgr cv df-rusgr bropaex12 isrusgr biimpd
      crgr mpcom ) AEFBEFGZABHIZAJFABPIGZCKZJFUADKPIGCDABHCDLMRSTABEENOQ $.
  $}

  $( A k-regular simple graph is a k-regular graph.  (Contributed by Alexander
     van der Vekens, 8-Jul-2018.)  (Revised by AV, 18-Dec-2020.) $)
  rusgrrgr $p |- ( G RegUSGraph K -> G RegGraph K ) $=
    ( crusgr wbr cusgr wcel crgr rusgrprop simprd ) ABCDAEFABGDABHI $.

  $( A k-regular simple graph is a simple graph.  (Contributed by Alexander van
     der Vekens, 8-Jul-2018.)  (Revised by AV, 18-Dec-2020.) $)
  rusgrusgr $p |- ( G RegUSGraph K -> G e. USGraph ) $=
    ( crusgr wbr cusgr wcel crgr rusgrprop simpld ) ABCDAEFABGDABHI $.

  ${
    finrusgrfusgr.v $e |- V = ( Vtx ` G ) $.
    $( A finite regular simple graph is a finite simple graph.  (Contributed by
       AV, 3-Jun-2021.) $)
    finrusgrfusgr $p |- ( ( G RegUSGraph K /\ V e. Fin )
                          -> G e. FinUSGraph ) $=
      ( crusgr wbr cfn wcel wa cusgr cfusgr rusgrusgr anim1i isfusgr sylibr ) A
      BEFZCGHZIAJHZQIAKHPRQABLMACDNO $.
  $}

  ${
    $d G v $.  $d K v $.
    isrusgr0.v $e |- V = ( Vtx ` G ) $.
    isrusgr0.d $e |- D = ( VtxDeg ` G ) $.
    $( The property of being a k-regular simple graph.  (Contributed by
       Alexander van der Vekens, 7-Jul-2018.)  (Revised by AV, 26-Dec-2020.) $)
    isrusgr0 $p |- ( ( G e. W /\ K e. Z ) -> ( G RegUSGraph K
            <-> ( G e. USGraph /\ K e. NN0* /\ A. v e. V ( D ` v ) = K ) ) ) $=
      ( wcel wa crusgr wbr cusgr crgr cxnn0 cv cfv wceq wral w3a isrusgr anbi2d
      isrgr 3anass bitr4di bitrd ) CFJDGJKZCDLMCNJZCDOMZKZUIDPJZAQBRDSAETZUAZCD
      FGUBUHUKUIULUMKZKUNUHUJUOUIABCDEFGHIUDUCUIULUMUEUFUG $.

    $( The properties of a k-regular simple graph.  (Contributed by Alexander
       van der Vekens, 8-Jul-2018.)  (Revised by AV, 26-Dec-2020.) $)
    rusgrprop0 $p |- ( G RegUSGraph K
               -> ( G e. USGraph /\ K e. NN0* /\ A. v e. V ( D ` v ) = K ) ) $=
      ( crusgr wbr cusgr wcel crgr wa cxnn0 cv cfv wceq wral w3a rusgrprop syl
      rgrprop anim2i 3anass sylibr ) CDHICJKZCDLIZMZUFDNKZAOBPDQAERZSZCDTUHUFUI
      UJMZMUKUGULUFABCDEFGUBUCUFUIUJUDUEUA $.

    $( If all vertices in a simple graph have the same degree, the graph is
       k-regular.  (Contributed by AV, 26-Dec-2020.) $)
    usgreqdrusgr $p |- ( ( G e. USGraph /\ K e. NN0*
                           /\ A. v e. V ( D ` v ) = K ) -> G RegUSGraph K ) $=
      ( cusgr wcel cxnn0 cv cfv wceq wral w3a crusgr wbr wb isrusgr0 3adant3
      ibir ) CHIZDJIZAKBLDMAENZOZCDPQZUBUCUFUERUDABCDEHJFGSTUA $.

    $d V v $.
    $( In a nonempty finite simple graph, the degree of each vertex is finite.
       (Contributed by Alexander van der Vekens, 6-Mar-2018.)  (Revised by AV,
       19-Dec-2020.) $)
    fusgrregdegfi $p |- ( ( G e. FinUSGraph /\ V =/= (/) )
                          -> ( A. v e. V ( D ` v ) = K -> K e. NN0 ) ) $=
      ( cfusgr wcel c0 wne cv cfv wceq wral cn0 wi cvtxdg vtxdgfusgr wa biimpac
      r19.26 wb fveq1i eqeq1i eleq1 sylbi ralimi rspn0 syl5com sylbir com23 syl
      ex imp ) CHIZEJKZALZBMZDNZAEOZDPIZQZUPURCRMZMZPIZAEOZUQVCQACEFSVGVAUQVBVG
      VAUQVBQZVGVATVFUTTZAEOZVHVFUTAEUBVJVBAEOUQVBVIVBAEUTVFVBUTVEDNVFVBUCUSVED
      URBVDGUDUEVEDPUFUGUAUHVBAEUIUJUKUNULUMUO $.

    $( If all vertices in a nonempty finite simple graph have the same (finite)
       degree, the graph is k-regular.  (Contributed by AV, 26-Dec-2020.) $)
    fusgrn0eqdrusgr $p |- ( ( G e. FinUSGraph /\ V =/= (/) )
                          -> ( A. v e. V ( D ` v ) = K -> G RegUSGraph K ) ) $=
      ( cfusgr wcel c0 wne wa cv cfv wceq wral crusgr wbr cusgr cxnn0 fusgrusgr
      ad2antrr cn0 fusgrregdegfi imp nn0xnn0d simpr usgreqdrusgr syl3anc ex ) C
      HIZEJKZLZAMBNDOAEPZCDQRZUMUNLZCSIZDTIUNUOUKUQULUNCUAUBUPDUMUNDUCIABCDEFGU
      DUEUFUMUNUGABCDEFGUHUIUJ $.
  $}

  ${
    $d G v $.  $d K v $.  $d V v $.
    frusgrnn0.v $e |- V = ( Vtx ` G ) $.
    $( In a nonempty finite k-regular simple graph, the degree of each vertex
       is finite.  (Contributed by AV, 7-May-2021.) $)
    frusgrnn0 $p |- ( ( G e. FinUSGraph /\ G RegUSGraph K /\ V =/= (/) )
                      -> K e. NN0 ) $=
      ( vv cfusgr wcel crusgr wbr c0 wne w3a wa cvtxdg cfv wceq wral cn0 3simpb
      cv cusgr cxnn0 eqid rusgrprop0 simp3d 3ad2ant2 fusgrregdegfi sylc ) AFGZA
      BHIZCJKZLUIUKMETANOZOBPECQZBRGUIUJUKSUJUIUMUKUJAUAGBUBGUMEULABCDULUCZUDUE
      UFEULABCDUNUGUH $.
  $}

  ${
    $d G v $.  $d W v $.
    $( A graph is 0-regular if it has no edges.  (Contributed by Alexander van
       der Vekens, 8-Jul-2018.)  (Revised by AV, 26-Dec-2020.) $)
    0edg0rgr $p |- ( ( G e. W /\ ( iEdg ` G ) = (/) ) -> G RegGraph 0 ) $=
      ( vv wcel ciedg cfv c0 wceq wa cc0 crgr wbr cxnn0 cv cvtx wral simpr eqid
      cvtxdg 0xnn0 simplr vtxdg0e syl2anc ralrimiva jctil wb a1i sylan2 mpbird
      isrgr ) ABDZAEFZGHZIZAJKLZJMDZCNZASFZFJHZCAOFZPZIZUNVAUPUNUSCUTUNUQUTDZIV
      CUMUSUNVCQUKUMVCUAUQAULUTUTRZULRUBUCUDTUEUMUKUPUOVBUFUPUMTUGCURAJUTBMVDUR
      RUJUHUI $.

    $( A hypergraph is 0-regular if it has no edges.  (Contributed by AV,
       19-Dec-2020.) $)
    uhgr0edg0rgr $p |- ( ( G e. UHGraph /\ ( Edg ` G ) = (/) )
                         -> G RegGraph 0 ) $=
      ( cuhgr wcel cedg cfv c0 wceq ciedg cc0 wbr uhgriedg0edg0 biimpa 0edg0rgr
      crgr syldan ) ABCZADEFGZAHEFGZAINJPQRAKLABMO $.

    $( A hypergraph is 0-regular iff it has no edges.  (Contributed by
       Alexander van der Vekens, 12-Jul-2018.)  (Revised by AV,
       24-Dec-2020.) $)
    uhgr0edg0rgrb $p |- ( G e. UHGraph
                          -> ( G RegGraph 0 <-> ( Edg ` G ) = (/) ) ) $=
      ( vv cuhgr wcel cc0 crgr wbr cedg c0 wceq cxnn0 cv cvtxdg cvtx wral wa wi
      cfv eqid uhgrvd00 com12 adantl rgrprop syl11 uhgr0edg0rgr ex impbid ) ACD
      ZAEFGZAHRZIJZEKDZBLAMRZREJBANRZOZPUHUKUIUOUHUKQULUHUOUKBUJAUNUNSZUJSTUAUB
      BUMAEUNUPUMSUCUDUHUKUIAUEUFUG $.

    $( A simple graph is 0-regular iff it has no edges.  (Contributed by
       Alexander van der Vekens, 12-Jul-2018.)  (Revised by AV, 19-Dec-2020.)
       (Proof shortened by AV, 24-Dec-2020.) $)
    usgr0edg0rusgr $p |- ( G e. USGraph
                           -> ( G RegUSGraph 0 <-> ( Edg ` G ) = (/) ) ) $=
      ( cusgr wcel cc0 crusgr wbr crgr wa cedg cfv c0 wceq cn0 wb isrusgr mpan2
      0nn0 ibar cuhgr usgruhgr uhgr0edg0rgrb syl 3bitr2d ) ABCZADEFZUDADGFZHZUF
      AIJKLZUDDMCUEUGNQADBMOPUDUFRUDASCUFUHNATAUAUBUC $.
  $}

  ${
    $d G k v $.  $d W k $.
    $( A null graph (with no vertices) is k-regular for every k.  (Contributed
       by Alexander van der Vekens, 10-Jul-2018.)  (Revised by AV,
       26-Dec-2020.) $)
    0vtxrgr $p |- ( ( G e. W /\ ( Vtx ` G ) = (/) )
                    -> A. k e. NN0* G RegGraph k ) $=
      ( vv wcel cvtx cfv c0 wceq wa cv crgr wbr cxnn0 cvtxdg wral rzal ad2antlr
      simpr eqid wb isrgr adantlr mpbir2and ralrimiva ) BCEZBFGZHIZJZBAKZLMZANU
      IUJNEZJUKULDKBOGZGUJIZDUGPZUIULSUHUOUFULUNDUGQRUFULUKULUOJUAUHDUMBUJUGCNU
      GTUMTUBUCUDUE $.

    $d W v $.
    $( A graph with no vertices and an empty edge function is a k-regular
       simple graph for every k.  (Contributed by Alexander van der Vekens,
       10-Jul-2018.)  (Revised by AV, 26-Dec-2020.) $)
    0vtxrusgr $p |- ( ( G e. W /\ ( Vtx ` G ) = (/) /\ ( iEdg ` G ) = (/) )
                      -> A. k e. NN0* G RegUSGraph k ) $=
      ( vv wcel cvtx cfv c0 wceq ciedg w3a cv crusgr cxnn0 wa cusgr crgr usgr0v
      wbr adantr wi wral 0vtxrgr breq2 rspccv syl 3adant3 imp isrusgr 3ad2antl1
      wb mpbir2and ralrimiva ) BCEZBFGHIZBJGHIZKZBALZMSZANUQURNEZOUSBPEZBURQSZU
      QVAUTBCRTUQUTVBUNUOUTVBUAZUPUNUOOBDLZQSZDNUBVCDBCUCVEVBDURNVDURBQUDUEUFUG
      UHUNUOUTUSVAVBOUKUPBURCNUIUJULUM $.

    $( The null graph as hypergraph is a k-regular simple graph for every k.
       (Contributed by Alexander van der Vekens, 10-Jul-2018.)  (Revised by AV,
       26-Dec-2020.) $)
    0uhgrrusgr $p |- ( ( G e. UHGraph /\ ( Vtx ` G ) = (/) )
                       -> A. k e. NN0* G RegUSGraph k ) $=
      ( cuhgr wcel cvtx cfv c0 wceq ciedg cv crusgr wbr cxnn0 wral wi wa biimpd
      uhgr0vb ex pm2.43a imp 0vtxrusgr mpd3an3 ) BCDZBEFGHZBIFGHZBAJKLAMNUDUEUF
      UEUDUFUDUEUDUFOUDUEPUDUFBCRQSTUAABCUBUC $.

    $( The null graph represented by an empty set is a k-regular simple graph
       for every k.  (Contributed by AV, 26-Dec-2020.) $)
    0grrusgr $p |- A. k e. NN0* (/) RegUSGraph k $=
      ( c0 cvv wcel cvtx cfv wceq ciedg cv crusgr wbr wral 0ex vtxval0 iedgval0
      cxnn0 0vtxrusgr mp3an ) BCDBEFBGBHFBGBAIJKAPLMNOABCQR $.

    $( The null graph represented by an empty set is k-regular for every k.
       (Contributed by AV, 26-Dec-2020.) $)
    0grrgr $p |- A. k e. NN0* (/) RegGraph k $=
      ( c0 cv crusgr wbr cxnn0 wral crgr 0grrusgr rusgrrgr ralimi ax-mp ) BACZD
      EZAFGBMHEZAFGAINOAFBMJKL $.
  $}

  ${
    $d G v $.  $d V v $.
    cusgrrusgr.v $e |- V = ( Vtx ` G ) $.
    $( A complete simple graph with n vertices (at least one) is (n-1)-regular.
       (Contributed by Alexander van der Vekens, 10-Jul-2018.)  (Revised by AV,
       26-Dec-2020.) $)
    cusgrrusgr $p |- ( ( G e. ComplUSGraph /\ V e. Fin /\ V =/= (/) )
                       -> G RegUSGraph ( ( # ` V ) - 1 ) ) $=
      ( vv ccusgr wcel cfn c0 wne w3a chash cfv c1 cmin co wceq 3ad2ant1 wa cvv
      wral crusgr wbr cusgr cxnn0 cv cvtxdg cusgrusgr hashnncl nnm1nn0 nn0xnn0d
      cn syl6bir imp 3adant1 cnbgr csn cdif ccplgr cusgrcplgr nbcplgr ralrimiva
      sylan anim1i adantr hashnbusgrvd syl hashdifsn 3ad2antl2 sylan9eqr eqtr3d
      fveq2 ex ralimdva mpd wb simp1 ovex eqid isrusgr0 sylancl mpbir3and ) AEF
      ZBGFZBHIZJZABKLZMNOZUAUBZAUCFZWGUDFZDUEZAUFLZLZWGPZDBTZWBWCWIWDAUGQZWCWDW
      JWBWCWDWJWCWDWFUKFZWJBUHWQWGWFUIUJULUMUNWEAWKUOOZBWKUPUQZPZDBTWOWEWTDBWEA
      URFZWKBFZWTWBWCXAWDAUSQAWKBCUTVBVAWEWTWNDBWEXBRZWTWNXCWTRZWRKLZWMWGXDWIXB
      RZXEWMPXCXFWTWEWIXBWPVCVDWKABCVEVFWTXCXEWSKLZWGWRWSKVKWCWBXBXGWGPWDBWKVGV
      HVIVJVLVMVNWEWBWGSFWHWIWJWOJVOWBWCWDVPWFMNVQDWLAWGBESCWLVRVSVTWA $.

    $( A finite simple graph with n vertices is complete iff it is
       (n-1)-regular.  Hint:  If the definition of ` RegGraph ` was allowed for
       ` k e. ZZ ` , then the assumption ` V =/= (/) ` could be removed.
       (Contributed by Alexander van der Vekens, 14-Jul-2018.)  (Revised by AV,
       26-Dec-2020.) $)
    cusgrm1rusgr $p |- ( ( G e. FinUSGraph /\ V =/= (/) )
                         -> ( G e. ComplUSGraph
                              <-> G RegUSGraph ( ( # ` V ) - 1 ) ) ) $=
      ( vv cfusgr wcel c0 wne wa ccusgr chash cfv c1 cmin crusgr wbr cfn adantr
      co simpr fusgrvtxfi cusgrrusgr syl3anc ex cv cvtxdg wceq wral cusgr cxnn0
      eqid rusgrprop0 simp3d wi vdiscusgr syl5 impbid ) AEFZBGHZIZAJFZABKLMNSZO
      PZUTVAVCUTVAIVABQFZUSVCUTVATUTVDVAURVDUSABCUARRUTUSVAURUSTRABCUBUCUDVCDUE
      AUFLZLVBUGDBUHZUTVAVCAUIFVBUJFVFDVEAVBBCVEUKULUMURVFVAUNUSDABCUORUPUQ $.
  $}

  ${
    $d G v $.  $d K v $.
    rusgrpropnb.v $e |- V = ( Vtx ` G ) $.
    $( The properties of a k-regular simple graph expressed with neighbors.
       (Contributed by Alexander van der Vekens, 26-Jul-2018.)  (Revised by AV,
       26-Dec-2020.) $)
    rusgrpropnb $p |- ( G RegUSGraph K -> ( G e. USGraph /\ K e. NN0*
                              /\ A. v e. V ( # ` ( G NeighbVtx v ) ) = K ) ) $=
      ( crusgr wbr cusgr wcel cxnn0 cv cvtxdg cfv wceq wral w3a cnbgr co chash
      wa rusgrprop0 simp1 simp2 hashnbusgrvd adantlr wb eqeq2 eqcoms syl5ibrcom
      eqid ralimdva 3impia 3jca syl ) BCFGBHIZCJIZAKZBLMZMZCNZADOZPZUOUPBUQQRSM
      ZCNZADOZPAURBCDEURUJUAVBUOUPVEUOUPVAUBUOUPVAUCUOUPVAVEUOUPTZUTVDADVFUQDIZ
      TVDUTVCUSNZUOVGVHUPUQBDEUDUEVDVHUFCUSCUSVCUGUHUIUKULUMUN $.

    $d G e v $.
    $( The properties of a k-regular simple graph expressed with edges.
       (Contributed by AV, 23-Dec-2020.)  (Revised by AV, 27-Dec-2020.) $)
    rusgrpropedg $p |- ( G RegUSGraph K -> ( G e. USGraph /\ K e. NN0*
                  /\ A. v e. V ( # ` { e e. ( Edg ` G ) | v e. e } ) = K ) ) $=
      ( crusgr wbr cusgr wcel cxnn0 cv cnbgr chash cfv wceq wral w3a wa df-3an
      co wel cedg crab rusgrpropnb eqid nbedgusgr eqeq1d biimpd ralimdva adantr
      wi imdistani 3imtr4i syl ) CDGHCIJZDKJZCALZMUANOZDPZAEQZRZUPUQABUBBCUCOZU
      DNOZDPZAEQZRZACDEFUEUPUQSZVASVHVFSVBVGVHVAVFUPVAVFULUQUPUTVEAEUPUREJSZUTV
      EVIUSVDDURBVCCEFVCUFUGUHUIUJUKUMUPUQVATUPUQVFTUNUO $.

    $d G k v $.  $d V k $.
    $( The properties of a k-regular simple graph expressed with adjacent
       vertices.  (Contributed by Alexander van der Vekens, 26-Jul-2018.)
       (Revised by AV, 27-Dec-2020.) $)
    rusgrpropadjvtx $p |- ( G RegUSGraph K -> ( G e. USGraph /\ K e. NN0*
          /\ A. v e. V ( # ` { k e. V | { v , k } e. ( Edg ` G ) } ) = K ) ) $=
      ( crusgr wbr cusgr wcel cxnn0 cv cnbgr co chash cfv wceq wral w3a wa cedg
      cpr crab rusgrpropnb simp1 simp2 eqid nbusgrvtx fveq2d eqcomd simpr eqtrd
      adantr ex ralimdva imp 3adant2 3jca syl ) CDGHCIJZDKJZCALZMNZOPZDQZAERZSZ
      UTVAVBBLUBCUAPZJBEUCZOPZDQZAERZSACDEFUDVGUTVAVLUTVAVFUEUTVAVFUFUTVFVLVAUT
      VFVLUTVEVKAEUTVBEJTZVEVKVMVETVJVDDVMVJVDQVEVMVDVJVMVCVIOBVHCVBEFVHUGUHUIU
      JUMVMVEUKULUNUOUPUQURUS $.
  $}

  ${
    $d G f p s w $.  $d K p $.  $d P f p s w $.  $d V f p s w $.
    rusgrnumwrdl2.v $e |- V = ( Vtx ` G ) $.
    $( In a k-regular simple graph, the number of edges resp. walks of length 1
       (represented as words of length 2) starting at a fixed vertex is k.
       (Contributed by Alexander van der Vekens, 28-Jul-2018.)  (Revised by AV,
       6-May-2021.) $)
    rusgrnumwrdl2 $p |- ( ( G RegUSGraph K /\ P e. V )
                -> ( # ` { w e. Word V | ( ( # ` w ) = 2 /\ ( w ` 0 ) = P
                     /\ { ( w ` 0 ) , ( w ` 1 ) } e. ( Edg ` G ) ) } ) = K ) $=
      ( vs vf vp crusgr wbr wcel cv chash cfv wceq cpr w3a crab cvv wa cc0 cedg
      c2 c1 cword wf1o wex fvexi wrdexi rabex a1i wrd2f1tovbij sylan hasheqf1oi
      cvtx mpsyl cusgr cxnn0 wral rusgrpropadjvtx preq1 eleq1d rabbidv fveqeq2d
      wi rspccv 3ad2ant3 syl imp eqtrd ) CDJKZBELZUAZAMZNOUDPUBVOOZBPVPUEVOOQCU
      COZLRZAEUFZSZNOZBGMZQZVQLZGESZNOZDVTTLVNVTWEHMUGHUHZWAWFPVRAVSEECUPFUIZUJ
      UKVLETLZVMWGWIVLWHULABHGEVQTUMUNVTWEHTUOUQVLVMWFDPZVLCURLZDUSLZIMZWBQZVQL
      ZGESZNODPZIEUTZRVMWJVFZIGCDEFVAWRWKWSWLWQWJIBEWMBPZWPWEDNWTWOWDGEWTWNWCVQ
      WMBWBVBVCVDVEVGVHVIVJVK $.
  $}

  ${
    $d K v $.  $d V v $.
    $( Lemma for ~ rusgr1vtx .  (Contributed by AV, 27-Dec-2020.) $)
    rusgr1vtxlem $p |- ( ( ( A. v e. V ( # ` A ) = K /\ A. v e. V A = (/) )
                         /\ ( V e. W /\ ( # ` V ) = 1 ) ) -> K = 0 ) $=
      ( chash cfv wceq wral c0 wa wcel c1 cc0 r19.26 fveqeq2 biimpac ralimi syl
      wi wne hash1n0 rspn0 hash0 eqeq1 mpbii syl6com sylbir imp ) BFGCHZADIBJHZ
      ADIKZDELDFGMHKZCNHZULUJUKKZADIZUMUNTZUJUKADOUPJFGZCHZADIZUQUOUSADUKUJUSBJ
      CFPQRUMUTUSUNUMDJUAUTUSTDEUBUSADUCSUSURNHUNUDURCNUEUFUGSUHUI $.
  $}

  ${
    $d G v $.  $d K v $.
    $( If a k-regular simple graph has only one vertex, then k must be ` 0 ` .
       (Contributed by Alexander van der Vekens, 4-Sep-2018.)  (Revised by AV,
       27-Dec-2020.) $)
    rusgr1vtx $p |- ( ( ( # ` ( Vtx ` G ) ) = 1 /\ G RegUSGraph K )
                      -> K = 0 ) $=
      ( vv cvtx cfv chash c1 wceq crusgr wbr wa cv cnbgr co c0 wral wcel wi cvv
      ex cusgr w3a cc0 nbgr1vtx ralrimivw eqid rusgrpropnb anim12i rusgr1vtxlem
      cxnn0 fvex mpani 3ad2ant3 com13 impd adantr mpd ) ADEZFEGHZABIJZKACLZMNZO
      HZCURPZAUAQZBUJQZVBFEBHCURPZUBZKZBUCHZUSVDUTVHUSVCCURAVAUDUECABURURUFUGUH
      USVIVJRUTUSVDVHVJVHVDUSVJVGVEVDUSVJRZRVFVGVDVKVGVDKZURSQZUSVJADUKVLVMUSKV
      JCVBBURSUITULTUMUNUOUPUQ $.
  $}

  ${
    $d e g p v $.
    $( The class of 0-regular simple graphs is a proper class.  (Contributed by
       AV, 27-Dec-2020.) $)
    rgrusgrprc $p |- { g e. USGraph | A. v e. ( Vtx ` g )
                                    ( ( VtxDeg ` g ) ` v ) = 0 } e/ _V $=
      ( ve vp cv cfv cc0 wceq cusgr crab cvv wnel ciedg c0 wcel cop wa wex eqid
      wb cvtxdg cvtx wral copab wss elopab f0bi opeq2 usgr0eop elv eqeltrdi vex
      wf opiedgfvi id syl5eq jca sylbi adantl eleq1 fveqeq2 adantr mpbird elrab
      anbi12d sylibr exlimivv ssriv griedg0prc prcssprc mp2an crusgr wbr df-3an
      cxnn0 w3a bicomi 0xnn0 ibar mpan2 isrusgr0 3bitr4d rabbiia usgr0edg0rusgr
      a1i cedg cuhgr usgruhgr uhgriedg0edg0 syl bitrd eqtri neleq1 ax-mp mpbir
      ) AEZBEZUAFZFGHAWQUBFZUCZBIJZKLZWQMFNHZBIJZKLZNNCEZUMZACUDZXDUEXHKLXEDXHX
      DDEZXHOXIWPXFPZHZXGQZCRARXIXDOZXGACXIUFXLXMACXLXIIOZXIMFNHZQZXMXLXPXJIOZX
      JMFZNHZQZXGXTXKXGXFNHZXTXFNUGYAXQXSYAXJWPNPZIXFNWPUHYBIOAWPKUIUJUKYAXRXFN
      XFWPAULCULUNYAUOUPUQURUSXKXPXTTXGXKXNXQXOXSXIXJIUTXIXJNMVAVEVBVCXCXOBXIIW
      QXINMVAVDVFVGURVHAXHCXHSVIXHXDVJVKXAXDHXBXETXAWQGVLVMZBIJXDWTYCBIWQIOZYDG
      VOOZQZWTQZYDYEWTVPZWTYCYGYHTYDYHYGYDYEWTVNVQWEYDYEWTYGTVRYFWTVSVTYDYEYCYH
      TVRAWRWQGWSIVOWSSWRSWAVTWBWCYCXCBIYDYCWQWFFNHZXCWQWDYDWQWGOYIXCTWQWHWQWIW
      JWKWCWLXAXDKWMWNWO $.

    $( The class of 0-regular simple graphs is a proper class.  (Contributed by
       AV, 27-Dec-2020.) $)
    rusgrprc $p |- { g | g RegUSGraph 0 } e/ _V $=
      ( vv cv cc0 crusgr wbr cab cvv wnel cvtxdg cfv wceq cvtx cusgr wcel cxnn0
      wb w3a 0xnn0 eqid wral crab rgrusgrprc wa isrusgr0 mp2an 3ancomb mpbiran2
      vex df-3an 3bitri abbii df-rab eqtr4i neleq1 ax-mp mpbir ) ACZDEFZAGZHIZB
      CURJKZKDLBURMKZUAZANUBZHIZBAUCUTVELVAVFQUTURNOZVDUDZAGVEUSVHAUSVGDPOZVDRZ
      VGVDVIRZVHURHOVIUSVJQAUISBVBURDVCHPVCTVBTUEUFVGVIVDUGVKVHVISVGVDVIUJUHUKU
      LVDANUMUNUTVEHUOUPUQ $.

    $( The class of 0-regular graphs is a proper class.  (Contributed by AV,
       27-Dec-2020.) $)
    rgrprc $p |- { g | g RegGraph 0 } e/ _V $=
      ( cc0 crusgr wbr cab crgr wss cvv rusgrrgr ss2abi rusgrprc prcssprc mp2an
      cv wnel ) ANZBCDZAEZPBFDZAEZGRHOTHOQSAPBIJAKRTLM $.

    $( The class of 0-regular graphs is a proper class.  (Contributed by AV,
       27-Dec-2020.) $)
    rgrprcx $p |- { g | A. v e. ( Vtx ` g )
                        ( ( VtxDeg ` g ) ` v ) = 0 } e/ _V $=
      ( cv cvtxdg cfv cc0 wceq cvtx wral cab cvv wnel crgr rgrprc wb cxnn0 wcel
      wbr 0xnn0 eqid wa vex isrgr mp2an mpbiran bicomi abbii neleq1 ax-mp mpbir
      ) ACBCZDEZEFGAUKHEZIZBJZKLZUKFMRZBJZKLZBNUOURGUPUSOUNUQBUQUNUQFPQZUNSUKKQ
      UTUQUTUNUAOBUBSAULUKFUMKPUMTULTUCUDUEUFUGUOURKUHUIUJ $.
  $}

  ${
    $d g k v $.
    rgrx0ndm.u $e |- R = ( k e. NN0* |-> { g | A. v e. ( Vtx ` g )
                                              ( ( VtxDeg ` g ) ` v ) = k } ) $.
    $( 0 is not in the domain of the potentially alternative definition of the
       sets of k-regular graphs for each extended nonnegative integer k.
       (Contributed by AV, 28-Dec-2020.) $)
    rgrx0ndm $p |- 0 e/ dom R $=
      ( cc0 cdm wnel cxnn0 wcel cv cvtxdg cfv wceq cvtx wral cab cvv wa wn neli
      rgrprcx intnan df-nel eqeq2 ralbidv abbidv eleq1d dmmpt elrab2 xchbinx
      mpbir ) FBGZHZFIJZAKCKZLMMZFNZAUPOMZPZCQZRJZSZTVBUOVARACUBUAUCUNFUMJVCFUM
      UDUQDKZNZAUSPZCQZRJVBDFIUMVDFNZVGVARVHVFUTCVHVEURAUSVDFUQUEUFUGUHDIVGBEUI
      UJUKUL $.

    $( The potentially alternatively defined k-regular graphs is not defined
       for k=0.  (Contributed by AV, 28-Dec-2020.) $)
    rgrx0nd $p |- ( R ` 0 ) = (/) $=
      ( cc0 cdm wcel wn cfv c0 wceq rgrx0ndm neli ndmfv ax-mp ) FBGZHIFBJKLFQAB
      CDEMNFBOP $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Walks, paths and cycles
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  A "walk" in a graph is usually defined for simple graphs, multigraphs or even
  pseudographs as "alternating sequence of vertices and edges x0 , e1 , x1 ,
  e2 , ... , e(l) , x(l) where e(i) = x(i-1)x(i), 0<i<=l.", see definition of
  [Bollobas] p. 4, or "A walk (of length k) in a graph is a nonempty
  alternating sequence v_0 e_0 v_1 e_1 ... e_(k-1) v_k of vertices and edges in
  G such that e_i = { v_i , v_i+1 } for all i < k.", see definition of
  [Diestel] p. 10.

  Formalizing these definitions (mainly by representing the indexed vertices
  and edges by functions), a walk is represented by two mappings f from
  { 1 , ... , n } and p from { 0 , ... , n }, where f enumerates the (indices
  of the) edges (e is a third function enumerating the edges within the graph,
  not within the walk), and p enumerates the vertices, see ~ df-wlks .  Hence a
  walk (of length n) is represented by the following sequence:

  p(0) e(f(1)) p(1) e(f(2)) ... p(n-1) e(f(n)) p(n).

  Alternatively, one could define a walk as a function
  ` w : ( 0 ... ( 2 x. n ) ) --> ( ( Edg `` G ) u. ( Vtx `` G ) ) ` such that
  for all ` 0 <_ k <_ n ` , ` ( w `` ( 2 x. k ) ) e. ( Vtx `` G ) ` and for all
  ` 0 <_ k <_ ( n - 1 ) ` , ` ( w `` ( ( 2 x. k ) + 1 ) ) e. ( Edg `` G ) ` and
  ` { ( w `` ( 2 x. k ) ) , ( w `` ( ( 2 x. k ) + 2 ) ) } `
  ` C_ ( w `` ( ( 2 x. k ) + 1 ) ) `.

  Based on our definition of ` Walks `, the class of all walks, more
  restrictive constructs are defined:

  * ` Trails ` ( ~ df-trls ): A "walk is called a _trail_ if all its edges are
    distinct.", see Definition of [Bollobas] p. 5, i.e., f(i) =/= f(j) if
    i =/= j.

  * ` Paths ` ( ~ df-pths ): A _path_ is a walk whose vertices except the first
    and the last vertex are distinct, i.e., p(i) =/= p(j) if i < j, except
    possibly when i = 0 and j = n.

  * ` SPaths ` (simple paths, ~ df-spths ): A _simple path_ "is a walk with
    distinct vertices.", see Notation of [Bollobas] p. 5, i.e., p(i) =/= p(j)
    if i =/= j.

  * ` ClWalks ` (closed walks, ~ df-clwlks ): A walk whose endvertices coincide
    is called a _closed walk_, i.e.,  p(0) = p(n).

  * ` Circuits ` ( ~ df-crcts ): "A trail whose endvertices coincide (a closed
    trail) is called a _circuit_." (see Definition of [Bollobas] p. 5), i.e.,
    f(i) =/= f(j) if i =/= j and p(0) = p(n).  Equivalently, a circuit is a
    closed walk with distinct edges.

  * ` Cycles ` ( ~ df-cycls ): A path whose endvertices coincide (a closed
    path) is called a _cycle_, i.e., p(i) =/= p(j) if i =/= j, except i = 0 and
    j = n, and p(0) = p(n).  Equivalently, a cycle is a closed walk with
    distinct vertices.

  * ` EulerPaths ` (Eulerian paths, ~ df-eupth ): An _Eulerian path_ is "a
    trail containing all edges [of the graph]" (see definition in [Bollobas]
    p. 16), i.e., f(i) =/= f(j) if  i =/= j and for all edges e(x) there is an
    1 <= i <= n with e(x) = e(f(i)).  Note, however, that an Eulerian path
    needs not be a path.

  * Eulerian circuit: An _Eulerian circuit_ (called _Euler tour_ in the
    definition in [Diestel] p. 22) is "a circuit in a graph containing all the
    edges" (see definition in [Bollobas] p. 16), i.e.,  f(i) =/= f(j) if
    i =/= j, p(0) = p(n) and for all edges e(x) there is an 1 <= i <= n with
    e(x) = e(f(i)).

  Hierarchy of all kinds of walks (apply ~ ssriv and ~ elopabran to the
  mentioned theorems to obtain the following subset relationships, as available
  for ~ clwlkiswlk , see ~ clwlkwlk and ~ clwlkswks ):

  * Trails are walks ( ~ trliswlk ): ` ( Trails `` G ) C_ ( Walks `` G ) `

  * Paths are trails ( ~ pthistrl ): ` ( Paths `` G ) C_ ( Trails `` G ) `

  * Simple paths are paths ( ~ spthispth ):
    ` ( SPaths `` G ) C_ ( Paths `` G ) `

  * Closed walks are walks ( ~ clwlkiswlk ):
    ` ( ClWalks `` G ) C_ ( Walks `` G ) `

  * Circuits are closed walks ( ~ crctisclwlk ):
    ` ( Circuits `` G ) C_ ( ClWalks `` G ) `

  * Circuits are trails ( ~ crctistrl ):
    ` ( Circuits `` G ) C_ ( Trails `` G ) `

  * Cycles are paths ( ~ cyclispth ): ` ( Cycles `` G ) C_ ( Paths `` G ) `

  * Cycles are circuits ( ~ cycliscrct ):
    ` ( Cycles `` G ) C_ ( Circuits `` G ) `

  * (Non-trivial) cycles are not simple paths ( ~ cyclnspth ):
    ` ( F =/= (/) -> ( F ( Cycles `` G ) P -> -. F ( SPaths `` G ) P ) ) `

  * Eulerian paths are trails ( ~ eupthistrl ):
    ` ( EulerPaths `` G ) C_ ( Trails `` G ) `

  Often, it is sufficient to refer to a walk by the natural sequence of its
  vertices, i.e., omitting its edges in its representation: p(0) p(1) ...
  p(n-1) p(n), see the corresponding remark in [Diestel] p. 6.  The concept of
  a ` Word `, see ~ df-word , is the appropriate way to define such a sequence
  (being finite and starting at index 0) of vertices.  Therefore, it is used in
  definition ~ df-wwlks for ` WWalks `, and the representation of a walk as
  sequence of its vertices is called "walk as word".

  Only for simple pseudographs, however, the edges can be uniquely
  reconstructed from such a representation.  In this case, the general
  definitions of walks and the definition of walks as words are equivalent,
  see ~ wlkiswwlks .  In other cases, there could be more than one edge between
  two adjacent vertices in the walk (in a multigraph), or two adjacent vertices
  could be connected by two different hyperedges involving additional vertices
  (in a hypergraph).

  Based on this definition of ` WWalks `, the class of all walks as word, more
  restrictive constructs are defined analogously to the general definition of a
  walk:

  * ` WWalksN ` (walks of length N as word, ~ df-wwlksn ): n = N

  * ` WSPathsN ` (simple paths of length N as word, ~ df-wspthsn ):
    p(i) =/= p(j) if i =/= j and n = N

  * ` ClWWalks ` (closed walks as word, ~ df-clwwlk ): p(0) = p(n)

  * ` ClWWalksN ` (closed walks of length N as word, ~ df-clwwlkn ):
    p(0) = p(n) and n = N

  Finally, there are a couple of definitions for (special) walks
  ` <. F , P >. ` having fixed endpoints ` A ` and ` B `:

  * Walks with particular endpoints ( ~ df-wlkson ):
    ` F ( A ( WalksOn `` G ) B ) P `

  * Trails with particular endpoints ( ~ df-trlson ):
    ` F ( A ( TrailsOn `` G ) B ) P `

  * Paths with particular endpoints ( ~ df-pthson ):
    ` F ( A ( PathsOn `` G ) B ) P `

  * Simple paths with particular endpoints ( ~ df-spthson ):
    ` F ( A ( SPathsOn `` G ) B ) P `

  * Walks of a fixed length ` N ` as words with particular endpoints
    ( ~ df-wwlksnon ): ` ( A ( N WWalksNOn G ) B ) `

  * Simple paths of a fixed length ` N ` as words with particular endpoints
    ( ~ df-wspthsnon ): ` ( A ( N WSPathsNOn G ) B ) `

  * Closed Walks of a fixed length ` N ` as words anchored at a particular
    vertex ` A ` ( ~ df-wwlksnon ): ` ( A ( ClWWalksNOn `` G ) N ) `

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Walks
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  A "walk" within a graph is usually defined for simple graphs, multigraphs or
  even pseudographs as "alternating sequence of vertices and edges x0 , e1 ,
  x1 , e2 , ... , e(l) , x(l) where e(i) = x(i-1)x(i), 0<i<=l.", see Definition
  of [Bollobas] p. 4.  This definition requires the edges to connect two
  vertices at most (loops are also allowed: if e(i) is a loop, then
  x(i-1) = x(i)).  For hypergraphs containing hyperedges (i.e. edges connecting
  more than two vertices), however, a more general definition is needed.  Two
  approaches for a definition applicable for arbitrary hypergraphs are used in
  the literature: "walks on the vertex level" and "walks on the edge level"
  (see Aksoy, Joslyn, Marrero, Praggastis, Purvine: "Hypernetwork science via
  high-order hypergraph walks", June 2020,
  ~ https://doi.org/10.1140/epjds/s13688-020-00231-0 ):

  "walks on the edge level": For a positive integer s, an s-walk of length k
  between hyperedges f and g is a sequence of hyperedges, f=e(0), e(1), ... ,
  e(k)=g, where for j=1, ... , k, e(j-1) =/= e(j) and e(j-1) and e(j) have at
  least s vertices in common (according to Aksoy et al.).

  "walks on the vertex level": For a positive integer s, an s-walk of length k
  between vertices a and b is a sequence of vertices, a=v(0), v(1), ... ,
  v(k)=b, where for j=1, ... , k, v(j-1) and v(j) are connected by at least s
  edges (analogous to Aksoy et al.).

  There are two imperfections for the definition for "walks on the edge level":
  one is that a walk of length 1 consists of two edges (or a walk of length 0
  consists of one edge), whereas a walk of length 1 on the vertex level
  consists of two vertices and one edge (or a walk of length 0 consists of one
  vertex and no edge).  The other is that edges, especially loops, can be
  traversed only once (and not repeatedly) because of the condition
  e(j-1) =/= e(j).  The latter is avoided in the definition for ` EdgWalks `,
  see ~ df-ewlks .  To be compatible with the (usual) definition of walks for
  pseudographs, walks also suitable for arbitrary hypergraphs are defined "on
  the vertex level" in the following as ` Walks `, see ~ df-wlks ,
  restricting s to 1.  ~ wlk1ewlk shows that such a 1-walk "on the vertex
  level" induces a 1-walk "on the edge level".

$)

  $c EdgWalks $.
  $c Walks $.
  $c WalksOn $.

  $( Extend class notation with s-walks "on the edge level" (of a
     hypergraph). $)
  cewlks $a class EdgWalks $.

  $( Extend class notation with walks (i.e. 1-walks) (of a hypergraph). $)
  cwlks $a class Walks $.

  $( Extend class notation with walks between two vertices (within a graph). $)
  cwlkson $a class WalksOn $.

  ${
    $d f g i k s $.
    $( Define the set of all s-walks of edges (in a hypergraph) corresponding
       to s-walks "on the edge level" discussed in Aksoy et al.  For an
       extended nonnegative integer s, an s-walk is a sequence of hyperedges,
       e(0), e(1), ... , e(k), where e(j-1) and e(j) have at least s vertices
       in common (for j=1, ... , k).  In contrast to the definition in Aksoy et
       al., ` s = 0 ` (a 0-walk is an arbitrary sequence of hyperedges) and
       ` s = +oo ` (then the number of common vertices of two adjacent
       hyperedges must be infinite) are allowed.  Furthermore, it is not
       forbidden that adjacent hyperedges are equal.  (Contributed by AV,
       4-Jan-2021.) $)
    df-ewlks $a |- EdgWalks = ( g e. _V , s e. NN0*
                     |-> { f | [. ( iEdg ` g ) / i ].
                               ( f e. Word dom i /\ A. k e. ( 1 ..^ ( # ` f ) )
                                s <_ ( # ` ( ( i ` ( f ` ( k - 1 ) ) )
                                             i^i ( i ` ( f ` k ) ) ) ) ) } ) $.
  $}

  ${
    $d f g k p $.
    $( Define the set of all walks (in a hypergraph).  Such walks correspond to
       the s-walks "on the vertex level" (with s = 1), and also to 1-walks "on
       the edge level" (see ~ wlk1walk ) discussed in Aksoy et al.  The
       predicate ` F ( Walks `` G ) P ` can be read as "The pair
       ` <. F , P >. ` represents a walk in a graph ` G ` ", see also ~ iswlk .

       The condition ` { ( p `` k ) , ( p `` ( k + 1 ) ) } `
       ` C_ ( ( iEdg `` g ) `` ( f `` k ) ) ` (hereinafter referred to as C)
       would not be sufficient, because the repetition of a vertex in a walk
       (i.e. ` ( p `` k ) = ( p `` ( k + 1 ) ) ` should be allowed only if
       there is a loop at ` ( p `` k ) ` .  Otherwise, C would be fulfilled by
       each edge containing ` ( p `` k ) ` .

       According to the definition of [Bollobas] p. 4.:  "A walk W in a graph
       is an alternating sequence of vertices and edges x0 , e1 , x1 ,
       e2 , ... , e(l) , x(l) ...", a walk can be represented by two mappings f
       from { 1 , ... , n } and p from { 0 , ... , n }, where f enumerates the
       (indices of the) edges, and p enumerates the vertices.  So the walk is
       represented by the following sequence: p(0) e(f(1)) p(1) e(f(2)) ...
       p(n-1) e(f(n)) p(n).  (Contributed by AV, 30-Dec-2020.) $)
    df-wlks $a |- Walks = ( g e. _V |-> { <. f , p >. |
                     ( f e. Word dom ( iEdg ` g )
                       /\ p : ( 0 ... ( # ` f ) ) --> ( Vtx ` g )
                       /\ A. k e. ( 0 ..^ ( # ` f ) )
                          if- ( ( p ` k ) = ( p ` ( k + 1 ) ) ,
                                ( ( iEdg ` g ) ` ( f ` k ) ) = { ( p ` k ) } ,
                                { ( p ` k ) , ( p ` ( k + 1 ) ) }
                                C_ ( ( iEdg ` g ) ` ( f ` k ) ) ) ) } ) $.

    $d a b f g p $.
    $( Define the collection of walks with particular endpoints (in a
       hypergraph).  The predicate ` F ( A ( WalksOn `` G ) B ) P ` can be read
       as "The pair ` <. F , P >. ` represents a walk from vertex ` A ` to
       vertex ` B ` in a graph ` G ` ", see also ~ iswlkon .  This corresponds
       to the "x0-x(l)-walks", see Definition in [Bollobas] p. 5.  (Contributed
       by Alexander van der Vekens and Mario Carneiro, 4-Oct-2017.)  (Revised
       by AV, 28-Dec-2020.) $)
    df-wlkson $a |- WalksOn = ( g e. _V
                               |-> ( a e. ( Vtx ` g ) , b e. ( Vtx ` g )
                      |-> { <. f , p >. | ( f ( Walks ` g ) p /\ ( p ` 0 ) = a
                                            /\ ( p ` ( # ` f ) ) = b ) } ) ) $.
  $}

  ${
    $d G f g i k s $.  $d S f g i k s $.  $d W f g k s $.
    ewlksfval.i $e |- I = ( iEdg ` G ) $.
    $( The set of s-walks of edges (in a hypergraph).  (Contributed by AV,
       4-Jan-2021.) $)
    ewlksfval $p |- ( ( G e. W /\ S e. NN0* )
                      -> ( G EdgWalks S ) = { f | ( f e. Word dom I
                             /\ A. k e. ( 1 ..^ ( # ` f ) )
                                S <_ ( # ` ( ( I ` ( f ` ( k - 1 ) ) )
                                             i^i ( I ` ( f ` k ) ) ) ) ) } ) $=
      ( vg vs vi wcel wa cv ciedg cfv chash cle cvv wceq adantr cxnn0 cewlks co
      cdm cword cmin cin wbr cfzo wral cab wsbc cmpo df-ewlks fvexd simpr fveq2
      c1 a1i eqtrd dmeqd wrdeq syl eleq2d fveq1d ineq12d fveq2d breq12d ralbidv
      anbi12d sbcied abbidv adantl elex crab df-rab fvex wrdexi rabex eqeltrrid
      dmex ovmpod eqcomi breq2d ) DFKZAUAKZLZDAUBUCBMZDNOZUDZUEZKZACMZURUFUCWHO
      ZWIOZWMWHOZWIOZUGZPOZQUHZCURWHPOUIUCZUJZLZBUKZWHEUDZUEZKZAWNEOZWPEOZUGZPO
      ZQUHZCXAUJZLZBUKWGHIDARUAWHJMZUDZUEZKZIMZWNXOOZWPXOOZUGZPOZQUHZCXAUJZLZJH
      MZNOZULZBUKZXDUBRUBHIRUAYJUMSWGBHJCIUNUSYGDSZXSASZLZYJXDSWGYMYIXCBYMYFXCJ
      YHRYMYGNUOYMXOYHSZLZXRWLYEXBYOXQWKWHYOXPWJSXQWKSYOXOWIYOXOYHWIYMYNUPYMYHW
      ISZYNYKYPYLYGDNUQTTUTZVAXPWJVBVCVDYOYDWTCXAYOXSAYCWSQYMYLYNYKYLUPTYOYBWRP
      YOXTWOYAWQYOWNXOWIYQVEYOWPXOWIYQVEVFVGVHVIVJVKVLVMWEDRKWFDFVNTWEWFUPWGXDX
      BBWKVOZRXBBWKVPYRRKWGXBBWKWJWIDNVQWAVRVSUSVTWBWGXCXNBWGWLXGXBXMWGWKXFWHWG
      WJXESWKXFSWGWIEWIESWGEWIGWCUSZVAWJXEVBVCVDWGWTXLCXAWGWSXKAQWGWRXJPWGWOXHW
      QXIWGWNWIEYSVEWGWPWIEYSVEVFVGWDVIVJVLUT $.

    $d F f k $.  $d I f $.
    $( Conditions for a function (sequence of hyperedges) to be an s-walk of
       edges.  (Contributed by AV, 4-Jan-2021.) $)
    isewlk $p |- ( ( G e. W /\ S e. NN0* /\ F e. U ) -> ( F e. ( G EdgWalks S )
                          <-> ( F e. Word dom I /\ A. k e. ( 1 ..^ ( # ` F ) )
                                S <_ ( # ` ( ( I ` ( F ` ( k - 1 ) ) )
                                             i^i ( I ` ( F ` k ) ) ) ) ) ) ) $=
      ( vf wcel co cv c1 cfv cin chash cle wbr cfzo fveq2d cxnn0 w3a cewlks cdm
      cword cmin wral wa cab wceq ewlksfval 3adant3 eleq2d wb eleq1 fveq2 fveq1
      oveq2d ineq12d breq2d raleqbidv anbi12d elabg 3ad2ant3 bitrd ) EGJZAUAJZD
      BJZUBZDEAUCKZJDILZFUDUEZJZACLZMUFKZVKNZFNZVNVKNZFNZOZPNZQRZCMVKPNZSKZUGZU
      HZIUIZJZDVLJZAVODNZFNZVNDNZFNZOZPNZQRZCMDPNZSKZUGZUHZVIVJWGDVFVGVJWGUJVHA
      ICEFGHUKULUMVHVFWHWTUNVGWFWTIDBVKDUJZVMWIWEWSVKDVLUOXAWBWPCWDWRXAWCWQMSVK
      DPUPURXAWAWOAQXAVTWNPXAVQWKVSWMXAVPWJFVOVKDUQTXAVRWLFVNVKDUQTUSTUTVAVBVCV
      DVE $.

    $( Properties of an s-walk of edges.  (Contributed by AV, 4-Jan-2021.) $)
    ewlkprop $p |- ( F e. ( G EdgWalks S )
                     -> ( ( G e. _V /\ S e. NN0* )
                          /\ F e. Word dom I /\ A. k e. ( 1 ..^ ( # ` F ) )
                                  S <_ ( # ` ( ( I ` ( F ` ( k - 1 ) ) )
                                               i^i ( I ` ( F ` k ) ) ) ) ) ) $=
      ( vg vs vf vi cewlks co wcel cvv cxnn0 wa cv c1 cfv chash cdm cin cle wbr
      cword cmin cfzo wral w3a ciedg cab df-ewlks elmpocl simpr wi isewlk 3expa
      wsbc wb biimpd expcom pm2.43a imp 3anass sylanbrc mpdan ) CDAKLZMZDNMZAOM
      ZPZVKCEUAUEMZABQZRUFLZCSESVMCSESUBTSUCUDBRCTSUGLUHZUIZGHNOIQZJQZUAUEMHQVN
      VQSVRSVMVQSVRSUBTSUCUDBRVQTSUGLUHPJGQUJSURIUKDAKCIGJBHULUMVHVKPVKVLVOPZVP
      VHVKUNVHVKVSVKVHVSVKVHVHVSUOVKVHPVHVSVIVJVHVHVSUSAVGBCDENFUPUQUTVAVBVCVKV
      LVOVDVEVF $.

    $d I k $.  $d K k $.
    $( The intersection (common vertices) of two adjacent edges in an s-walk of
       edges.  (Contributed by AV, 4-Jan-2021.) $)
    ewlkinedg $p |- ( ( F e. ( G EdgWalks S ) /\ K e. ( 1 ..^ ( # ` F ) ) )
                      -> S <_ ( # ` ( ( I ` ( F ` ( K - 1 ) ) )
                                      i^i ( I ` ( F ` K ) ) ) ) ) $=
      ( vk cewlks co wcel c1 chash cfv cfzo cmin cin cle wbr cvv fveq2d wa wral
      cxnn0 cdm cword cv w3a ewlkprop wceq fvoveq1 2fveq3 ineq12d breq2d rspccv
      wi 3ad2ant3 syl imp ) BCAHIJZEKBLMNIZJZAEKOIBMZDMZEBMDMZPZLMZQRZUSCSJAUCJ
      UAZBDUDUEJZAGUFZKOIBMZDMZVJBMDMZPZLMZQRZGUTUBZUGVAVGUOZAGBCDFUHVQVHVRVIVP
      VGGEUTVJEUIZVOVFAQVSVNVELVSVLVCVMVDVSVKVBDVJEKBOUJTVJEDBUKULTUMUNUPUQUR
      $.
  $}

  ${
    $d F k $.  $d G k $.  $d S k $.  $d T k $.
    $( An s-walk of edges is also a t-walk of edges if ` t <_ s ` .
       (Contributed by AV, 4-Jan-2021.) $)
    ewlkle $p |- ( ( F e. ( G EdgWalks S ) /\ T e. NN0* /\ T <_ S )
                     -> F e. ( G EdgWalks T ) ) $=
      ( vk cewlks co wcel cxnn0 cle wbr cvv wa cfv c1 chash wral wi cxr xnn0xr
      ciedg cdm cword cmin cin cfzo w3a eqid ewlkprop simpl2 adantl adantr fvex
      cv inex1 hashxrcl mp1i xrletr syl3anc exp4b imp32 ralimdv com23 a1d 3imp1
      ex wb simpl1l simprl isewlk mpbir2and syl 3impib ) CDAFGHZBIHZBAJKZCDBFGH
      ZVNDLHZAIHZMZCDUANZUBUCZHZAEUNZOUDGCNZWANZWDCNWANZUEZPNZJKZEOCPNUFGZQZUGZ
      VOVPMZVQRAECDWAWAUHZUIWMWNVQWMWNMZVQWCBWIJKZEWKQZVTWCWLWNUJZVTWCWLWNWRVTW
      LWNWRRRWCVTWNWLWRVTWNWLWRRVTWNMWJWQEWKVTVOVPWJWQRZVSVOVPWTRRVRVSVOVPWJWQV
      SVOMZBSHZASHZWISHZVPWJMWQRVOXBVSBTUKVSXCVOATULWHLHXDXAWFWGWEWAUMUOWHLUPUQ
      BAWIURUSUTUKVAVBVFVCVDVEWPVRVOWCVQWCWRMVGVRVSWCWLWNVHWMVOVPVIWSBWBECDWALW
      OVJUSVKVFVLVM $.

    $( In a pseudograph, there is no s-walk of edges of length greater than 1
       with s>2.  (Contributed by AV, 4-Jan-2021.) $)
    upgrewlkle2 $p |- ( ( G e. UPGraph /\ F e. ( G EdgWalks S )
                        /\ 1 < ( # ` F ) ) -> S <_ 2 ) $=
      ( vk co wcel c1 chash cfv wbr c2 cle cvv wa w3a wi ax-mp syl cxr a1i cmin
      cewlks cupgr clt cxnn0 ciedg cdm cword cin cfzo wral eqid ewlkprop hashin
      cv fvex wfn simpl3 cuhgr wfun upgruhgr uhgrfun funfnd 3ad2ant3 adantr cc0
      elfzofz fz1fzo0m1 wrdsymbcl sylan2 3ad2antl2 cvtx upgrle syl3anc hashxrcl
      cfz inex1 2re rexri 3pm3.2i xrletr mpan2d mpi xnn0xr expcomd 3ad2ant1 mpd
      adantl ralimdva 3exp com34 3imp cn0 lencl c0 wceq wn cz wb 1zzd nn0z fzon
      wne syl2anc nn0re 1red lenltd bitr3d biimpd necon2ad rspn0 com3l 3ad2ant2
      syl6com syld 3imp21 ) BCAUBEFZCUCFZGBHIZUDJZAKLJZXQCMFZAUEFZNZBCUFIZUGZUH
      FZADUOZGUAEZBIZYEIZYHBIYEIZUIZHIZLJZDGXSUJEZUKZOZXRXTYAPZPADBCYEYEULZUMYR
      XRYADYPUKZYSYDYGYQXRUUAPYDYGXRYQUUAYDYGXRYQUUAPYDYGXROZYOYADYPUUBYHYPFZNZ
      YNKLJZYOYAPZUUDYNYKHIZLJZUUEYKMFZUUHYJYEUPZYKYLMUNQUUDUUHUUGKLJZUUEUUDXRY
      EYFUQZYJYFFZUUKYDYGXRUUCURUUBUULUUCXRYDUULYGXRYEXRCUSFYEUTCVAYECYTVBRVCVD
      VEYGYDUUCUUMXRUUCYGYIVFXSUJEFZUUMUUCYHGXSVPEFUUNYHGXSVGYHXSVHRYIYFBVIVJVK
      YFYEYJCCVLIZUUOULYTVMVNUUDYNSFZUUGSFZKSFZOZUUHUUKNUUEPUUSUUDUUPUUQUURYMMF
      UUPYKYLUUJVQYMMVOQZUUIUUQUUJYKMVOQKVRVSZVTTYNUUGKWARWBWCUUBUUEUUFPZUUCYDY
      GUVBXRYCUVBYBYCYOUUEYAYCASFUUPUURYOUUENYAPAWDUUPYCUUTTUURYCUVATAYNKWAVNWE
      WHWFVEWGWIWJWKWLYGYDUUAYSPZYQYGXSWMFZUVCYFBWNXTUVDUUAYAUVDXTYPWOXCUUAYAPU
      VDXTYPWOUVDYPWOWPZXTWQZUVDXSGLJZUVEUVFUVDGWRFXSWRFUVGUVEWSUVDWTXSXAGXSXBX
      DUVDXSGXSXEUVDXFXGXHXIXJYADYPXKXNXLRXMXORXP $.
  $}

  $( Lemma 1 for walks to substitute the index of the condition for vertices
     and edges in a walk.  (Contributed by AV, 23-Apr-2021.) $)
  wkslem1 $p |- ( A = B -> ( if- ( ( P ` A ) = ( P ` ( A + 1 ) ) ,
                                    ( I ` ( F ` A ) ) = { ( P ` A ) } ,
                                    { ( P ` A ) , ( P ` ( A + 1 ) ) }
                                    C_ ( I ` ( F ` A ) ) )
                          <-> if- ( ( P ` B ) = ( P ` ( B + 1 ) ) ,
                                    ( I ` ( F ` B ) ) = { ( P ` B ) } ,
                                    { ( P ` B ) , ( P ` ( B + 1 ) ) }
                                    C_ ( I ` ( F ` B ) ) ) ) ) $=
    ( wceq cfv c1 caddc co csn cpr fveq2 fvoveq1 eqeq12d 2fveq3 preq12d sseq12d
    wss sneqd ifpbi123d ) ABFZACGZAHIJCGZFADGEGZUCKZFUCUDLZUESBCGZBHIJCGZFBDGEG
    ZUHKZFUHUILZUJSUBUCUHUDUIABCMZABHCINZOUBUEUJUFUKABEDPZUBUCUHUMTOUBUGULUEUJU
    BUCUHUDUIUMUNQUORUA $.

  $( Lemma 2 for walks to substitute the index of the condition for vertices
     and edges in a walk.  (Contributed by AV, 23-Apr-2021.) $)
  wkslem2 $p |- ( ( A = B /\ ( A + 1 ) = C )
                         -> ( if- ( ( P ` A ) = ( P ` ( A + 1 ) ) ,
                                    ( I ` ( F ` A ) ) = { ( P ` A ) } ,
                                    { ( P ` A ) , ( P ` ( A + 1 ) ) }
                                    C_ ( I ` ( F ` A ) ) )
                          <-> if- ( ( P ` B ) = ( P ` C ) ,
                                    ( I ` ( F ` B ) ) = { ( P ` B ) } ,
                                    { ( P ` B ) , ( P ` C ) }
                                    C_ ( I ` ( F ` B ) ) ) ) ) $=
    ( wceq c1 caddc co wa cfv csn cpr wss fveq2 adantr adantl eqeq12d wb 2fveq3
    sneqd preq12d sseq12d ifpbi123d ) ABGZAHIJZCGZKZADLZUGDLZGAELFLZUJMZGZUJUKN
    ZULOBDLZCDLZGBELFLZUPMZGZUPUQNZUROUIUJUPUKUQUFUJUPGUHABDPZQZUHUKUQGUFUGCDPR
    ZSUFUNUTTUHUFULURUMUSABFEUAZUFUJUPVBUBSQUIUOVAULURUIUJUPUKUQVCVDUCUFULURGUH
    VEQUDUE $.

  ${
    $d G f g k p $.  $d I f g p $.  $d V g p $.  $d W f g $.
    wksfval.v $e |- V = ( Vtx ` G ) $.
    wksfval.i $e |- I = ( iEdg ` G ) $.
    $( The set of walks (in an undirected graph).  (Contributed by AV,
       30-Dec-2020.) $)
    wksfval $p |- ( G e. W -> ( Walks ` G ) = { <. f , p >. |
             ( f e. Word dom I /\ p : ( 0 ... ( # ` f ) ) --> V
               /\ A. k e. ( 0 ..^ ( # ` f ) )
                  if- ( ( p ` k ) = ( p ` ( k + 1 ) ) ,
                                ( I ` ( f ` k ) ) = { ( p ` k ) } ,
                                { ( p ` k ) , ( p ` ( k + 1 ) ) }
                                C_ ( I ` ( f ` k ) ) ) ) } ) $=
      ( vg wcel cv ciedg cfv cc0 co cvtx wceq wss cvv cdm cword chash cfz wf c1
      caddc csn cpr wif cfzo wral copab cwlks df-wlks fveq2 eqtr4di dmeqd wrdeq
      w3a eleq2d feq3d fveq1d eqeq1d sseq2d ifpbi23d ralbidv 3anbi123d opabbidv
      syl elex 3anass opabbii fvexi dmex wrdexg mp1i cab ovex a1i mapex sylancr
      wa simpl ss2abi ssexd opabex3d eqeltrid fvmptd3 ) CFKZJCALZJLZMNZUAZUBZKZ
      OWKUCNZUDPZWLQNZGLZUEZBLZWTNZXBUFUGPWTNZRZXBWKNZWMNZXCUHZRZXCXDUIZXGSZUJZ
      BOWQUKPZULZUTZAGUMWKDUAZUBZKZWREWTUEZXEXFDNZXHRZXJXTSZUJZBXMULZUTZAGUMZTU
      NTAJBGUOWLCRZXOYEAGYGWPXRXAXSXNYDYGWOXQWKYGWNXPRWOXQRYGWMDYGWMCMNDWLCMUPI
      UQZURWNXPUSVJVAYGWSEWTWRYGWSCQNEWLCQUPHUQVBYGXLYCBXMYGXEXIXKYAYBYGXGXTXHY
      GXFWMDYHVCZVDYGXGXTXJYIVEVFVGVHVICFVKWJYFXRXSYDWCZWCZAGUMTYEYKAGXRXSYDVLV
      MWJYJAGXQTXPTKXQTKWJDDCMIVNVOXPTVPVQWJXRWCZYJGVRZXSGVRZTYLWRTKETKZYNTKOWQ
      UDVSYOYLECQHVNVTWRETTGWAWBYMYNSYLYJXSGXSYDWDWEVTWFWGWHWI $.

    $d F f k p $.  $d P f k p $.  $d V f $.
    $( Properties of a pair of functions to be a walk.  (Contributed by AV,
       30-Dec-2020.) $)
    iswlk $p |- ( ( G e. W /\ F e. U /\ P e. Z ) -> ( F ( Walks ` G ) P
                         <-> ( F e. Word dom I /\ P : ( 0 ... ( # ` F ) ) --> V
                               /\ A. k e. ( 0 ..^ ( # ` F ) )
                                  if- ( ( P ` k ) = ( P ` ( k + 1 ) ) ,
                                        ( I ` ( F ` k ) ) = { ( P ` k ) } ,
                                        { ( P ` k ) , ( P ` ( k + 1 ) ) }
                                        C_ ( I ` ( F ` k ) ) ) ) ) ) $=
      ( vf vp wcel w3a cfv cc0 co wceq adantr cwlks wbr cop cdm cword chash cfz
      cv wf caddc csn cpr wss wif cfzo wral copab df-br wksfval 3ad2ant1 eleq2d
      c1 syl5bb wb wa eleq1 simpr fveq2 oveq2d feq12d fveq1 adantl fveq2d sneqd
      eqeq12d eqeqan12d preq12d sseq12d ifpbi123d raleqbidv opelopabga 3adant1
      3anbi123d bitrd ) EHNZDBNZAINZOZDAEUAPZUBZDAUCZLUHZFUDUEZNZQWLUFPZUGRZGMU
      HZUIZCUHZWQPZWSVBUJRZWQPZSZWSWLPZFPZWTUKZSZWTXBULZXEUMZUNZCQWOUORZUPZOZLM
      UQZNZDWMNZQDUFPZUGRZGAUIZWSAPZXAAPZSZWSDPZFPZXTUKZSZXTYAULZYDUMZUNZCQXQUO
      RZUPZOZWJWKWINWHXODAWIURWHWIXNWKWEWFWIXNSWGLCEFGHMJKUSUTVAVCWFWGXOYLVDWEX
      MYLLMDABIWLDSZWQASZVEZWNXPWRXSXLYKYMWNXPVDYNWLDWMVFTYOWPXRGWQAYMYNVGYMWPX
      RSYNYMWOXQQUGWLDUFVHZVITVJYOXJYICXKYJYMXKYJSYNYMWOXQQUOYPVITYOXCXGXIYBYFY
      HYNXCYBVDYMYNWTXTXBYAWSWQAVKZXAWQAVKZVOVLYMYNXEYDXFYEYMXDYCFWSWLDVKVMZYNW
      TXTYQVNVPYOXHYGXEYDYNXHYGSYMYNWTXTXBYAYQYRVQVLYMXEYDSYNYSTVRVSVTWCWAWBWD
      $.

    $( Properties of a walk.  (Contributed by AV, 5-Nov-2021.) $)
    wlkprop $p |- ( F ( Walks ` G ) P
                    -> ( F e. Word dom I /\ P : ( 0 ... ( # ` F ) ) --> V
                               /\ A. k e. ( 0 ..^ ( # ` F ) )
                                  if- ( ( P ` k ) = ( P ` ( k + 1 ) ) ,
                                        ( I ` ( F ` k ) ) = { ( P ` k ) } ,
                                        { ( P ` k ) , ( P ` ( k + 1 ) ) }
                                        C_ ( I ` ( F ` k ) ) ) ) ) $=
      ( vf vp cvv wcel w3a cwlks cfv cc0 chash co cv wceq wbr cword wf c1 caddc
      cdm cfz csn cpr wss wif cfzo wral wksfval brfvopab iswlk biimpd mpcom ) D
      KLCKLAKLMZCADNOUAZCEUFUBZLPCQOZUGRFAUCBSZAOZVCUDUERZAOZTVCCOEOZVDUHTVDVFU
      IVGUJUKBPVBULRUMMZISZVALPVIQOZUGRFJSZUCVCVKOZVEVKOZTVCVIOEOZVLUHTVLVMUIVN
      UJUKBPVJULRUMMIJCANDIBDEFKJGHUNUOUSUTVHAKBCDEFKKGHUPUQUR $.
  $}

  ${
    $d G f k p $.
    $( The classes involved in a walk are sets.  (Contributed by Alexander van
       der Vekens, 31-Oct-2017.)  (Revised by AV, 3-Feb-2021.) $)
    wlkv $p |- ( F ( Walks ` G ) P -> ( G e. _V /\ F e. _V /\ P e. _V ) ) $=
      ( vf vp vk cv ciedg cfv cdm cword wcel cc0 chash cfz co cvtx wf wceq eqid
      c1 caddc csn cpr wss wif cfzo wral w3a cwlks cvv wksfval brfvopab ) DGZCH
      IZJKLMUNNIZOPCQIZEGZRFGZURIZUSUAUBPURIZSUSUNIUOIZUTUCSUTVAUDVBUEUFFMUPUGP
      UHUIDEBAUJCDFCUOUQUKEUQTUOTULUM $.

    $d F k $.  $d P k $.
    iswlkg.v $e |- V = ( Vtx ` G ) $.
    iswlkg.i $e |- I = ( iEdg ` G ) $.
    $( Generalization of ~ iswlk :  Conditions for two classes to represent a
       walk.  (Contributed by Alexander van der Vekens, 23-Jun-2018.)  (Revised
       by AV, 1-Jan-2021.) $)
    iswlkg $p |- ( G e. W -> ( F ( Walks ` G ) P
                         <-> ( F e. Word dom I /\ P : ( 0 ... ( # ` F ) ) --> V
                               /\ A. k e. ( 0 ..^ ( # ` F ) )
                                  if- ( ( P ` k ) = ( P ` ( k + 1 ) ) ,
                                        ( I ` ( F ` k ) ) = { ( P ` k ) } ,
                                        { ( P ` k ) , ( P ` ( k + 1 ) ) }
                                        C_ ( I ` ( F ` k ) ) ) ) ) ) $=
      ( wcel cvv wa cfv cc0 cfz co wceq w3a wi a1i cwlks wbr cdm cword chash wf
      cv c1 caddc csn cpr wss wif cfzo wral wlkv 3simpc syl elex cpm ovex fvexi
      cvtx fpm elexd anim12i 3adant3 wb iswlk 3expib pm5.21ndd ) DGJZCKJZAKJZLZ
      CADUAMUBZCEUCUDZJZNCUEMZOPZFAUFZBUGZAMZWBUHUIPAMZQWBCMEMZWCUJQWCWDUKWEULU
      MBNVSUNPUOZRZVPVOSVLVPDKJZVMVNRVOACDUPWHVMVNUQURTWGVOSVLVRWAVOWFVRVMWAVNC
      VQUSWAAFVTUTPVTFANVSOVAFDVCHVBVDVEVFVGTVLVMVNVPWGVHAKBCDEFGKHIVIVJVK $.
  $}

  ${
    $d F k $.  $d G k $.  $d P k $.
    wlkf.i $e |- I = ( iEdg ` G ) $.
    $( The mapping enumerating the (indices of the) edges of a walk is a word
       over the indices of the edges of the graph.  (Contributed by AV,
       5-Apr-2021.) $)
    wlkf $p |- ( F ( Walks ` G ) P -> F e. Word dom I ) $=
      ( vk cwlks cfv wbr cdm cword wcel cc0 chash cfz co cvtx wf cv wceq c1 csn
      caddc cpr wss wif cfzo wral eqid wlkprop simp1d ) BACGHIBDJKLMBNHZOPCQHZA
      RFSZAHZUNUAUCPAHZTUNBHDHZUOUBTUOUPUDUQUEUFFMULUGPUHAFBCDUMUMUIEUJUK $.
  $}

  $( A walk has length ` # ( F ) ` , which is an integer.  Formerly proven for
     an Eulerian path, see ~ eupthcl .  (Contributed by Mario Carneiro,
     12-Mar-2015.)  (Revised by AV, 18-Feb-2021.) $)
  wlkcl $p |- ( F ( Walks ` G ) P -> ( # ` F ) e. NN0 ) $=
    ( cwlks cfv wbr ciedg cdm cword wcel chash cn0 eqid wlkf lencl syl ) BACDEF
    BCGEZHZIJBKELJABCQQMNRBOP $.

  ${
    $d F k $.  $d G k $.  $d P k $.
    wlkp.v $e |- V = ( Vtx ` G ) $.
    $( The mapping enumerating the vertices of a walk is a function.
       (Contributed by AV, 5-Apr-2021.) $)
    wlkp $p |- ( F ( Walks ` G ) P -> P : ( 0 ... ( # ` F ) ) --> V ) $=
      ( vk cwlks cfv wbr ciedg cdm cword wcel cc0 chash cfz co wf cv wceq caddc
      c1 csn cpr wss wif cfzo wral eqid wlkprop simp2d ) BACGHIBCJHZKLMNBOHZPQD
      ARFSZAHZUNUBUAQAHZTUNBHULHZUOUCTUOUPUDUQUEUFFNUMUGQUHAFBCULDEULUIUJUK $.

    $( The sequence of vertices of a walk is a word over the set of vertices.
       (Contributed by AV, 27-Jan-2021.) $)
    wlkpwrd $p |- ( F ( Walks ` G ) P -> P e. Word V ) $=
      ( cwlks cfv wbr cc0 chash cfz co wf cword wcel wlkp ffz0iswrd syl ) BACFG
      HIBJGZKLDAMADNOABCDEPDSAQR $.
  $}

  $( The number of vertices of a walk (in an undirected graph) is the number of
     its edges plus 1.  (Contributed by Alexander van der Vekens, 29-Jun-2018.)
     (Revised by AV, 1-May-2021.) $)
  wlklenvp1 $p |- ( F ( Walks ` G ) P -> ( # ` P ) = ( ( # ` F ) + 1 ) ) $=
    ( cwlks cfv wbr chash cn0 wcel cc0 co cvtx wf c1 caddc wceq wlkcl eqid wlkp
    cfz ffz0hash syl2anc ) BACDEFBGEZHIJUCTKCLEZAMAGEUCNOKPABCQABCUDUDRSUDAUCUA
    UB $.

  ${
    $d G f p $.
    $( The class of walks is a set.  (Contributed by AV, 15-Jan-2021.) $)
    wksv $p |- { <. f , p >. | f ( Walks ` G ) p } e. _V $=
      ( cvtx cfv cvv wcel cwlks wbr copab fvex ciedg cdm cword dmex wrdexg mp1i
      cv eqid adantl wlkf wlkpwrd opabex2 ax-mp ) BDEZFGZARZCRZBHEIZACJFGBDKUFU
      IACBLEZMZNZUENZFFUKFGULFGUFUJBLKOUKFPQUEFPUIUGULGUFUHUGBUJUJSUATUIUHUMGUF
      UHUGBUEUESUBTUCUD $.
  $}

  $( The sequence of vertices of a walk cannot be empty, i.e. a walk always
     consists of at least one vertex.  (Contributed by Alexander van der
     Vekens, 19-Jul-2018.)  (Revised by AV, 2-Jan-2021.) $)
  wlkn0 $p |- ( F ( Walks ` G ) P -> P =/= (/) ) $=
    ( cwlks cfv wbr c0 wne cdm cc0 chash cfz co cvtx wf wceq eqid wlkp syl wcel
    fdm eqcomd cn0 wlkcl cuz elnn0uz fzn0 sylbb2 eqnetrrd wrel reldm0 necon3bid
    wb frel mpbird ) BACDEFZAGHZAIZGHZUPJBKEZLMZURGUPVACNEZAOZVAURPABCVBVBQRZVC
    URVAVAVBAUAUBSUPUTUCTZVAGHZABCUDVEUTJUEETVFUTUFJUTUGUHSUIUPAUJZUQUSUMUPVCVG
    VDVAVBAUNSVGAGURGAUKULSUO $.

  $( The number of edges of a walk is the number of its vertices minus 1.
     (Contributed by Alexander van der Vekens, 1-Jul-2018.)  (Revised by AV,
     2-Jan-2021.) $)
  wlklenvm1 $p |- ( F ( Walks ` G ) P -> ( # ` F ) = ( ( # ` P ) - 1 ) ) $=
    ( cwlks cfv wbr chash c1 caddc co wceq cmin wlklenvp1 wa oveq1 wlkcl nn0cnd
    cc wcel pncan1 syl sylan9eqr eqcomd mpdan ) BACDEFZAGEZBGEZHIJZKZUGUFHLJZKA
    BCMUEUINUJUGUIUEUJUHHLJZUGUFUHHLOUEUGRSUKUGKUEUGABCPQUGTUAUBUCUD $.

  $( Lemma for ~ wlkvtxeledg :  Two adjacent (not necessarily different)
     vertices ` A ` and ` B ` in a walk are incident with an edge ` E ` .
     (Contributed by AV, 4-Apr-2021.)  (Revised by AV, 5-Nov-2021.) $)
  ifpsnprss $p |- ( if- ( A = B , E = { A } , { A , B } C_ E )
                    -> { A , B } C_ E ) $=
    ( wceq csn cpr wss wa ssidd preq2 dfsn2 eqtr4di eqcoms adantr simpr 3sstr4d
    1fpid3 ) ABDZCAEZDZABFZCGRTHZSSUACUBSIRUASDZTUCBABADUAAAFSBAAJAKLMNRTOPQ $.

  ${
    $d G k $.  $d F k $.  $d P k $.
    wlkvtxeledg.i $e |- I = ( iEdg ` G ) $.
    $( Each pair of adjacent vertices in a walk is a subset of an edge.
       (Contributed by AV, 28-Jan-2021.)  (Proof shortened by AV,
       4-Apr-2021.) $)
    wlkvtxeledg $p |- ( F ( Walks ` G ) P -> A. k e. ( 0 ..^ ( # ` F ) )
                    { ( P ` k ) , ( P ` ( k + 1 ) ) } C_ ( I ` ( F ` k ) ) ) $=
      ( cvv wcel w3a cwlks cfv wbr cv c1 caddc co cpr cc0 wral wceq chash cword
      wss cfzo wlkv cdm cfz cvtx csn wif iswlk ifpsnprss ralimi 3ad2ant3 syl6bi
      wf eqid mpcom ) DGHCGHAGHIZCADJKLZBMZAKZVANOPAKZQVACKEKZUCZBRCUAKZUDPZSZA
      CDUEUSUTCEUFUBHZRVFUGPDUHKZAUPZVBVCTVDVBUITVEUJZBVGSZIVHAGBCDEVJGGVJUQFUK
      VMVIVHVKVLVEBVGVBVCVDULUMUNUOUR $.

    $d F e $.  $d G e $.  $d I e k $.  $d P e $.
    $( The vertices of a walk are connected by indexed edges.  (Contributed by
       Alexander van der Vekens, 22-Jul-2018.)  (Revised by AV, 2-Jan-2021.)
       (Proof shortened by AV, 4-Apr-2021.) $)
    wlkvtxiedg $p |- ( F ( Walks ` G ) P
                       -> A. k e. ( 0 ..^ ( # ` F ) ) E. e e. ran I
                          { ( P ` k ) , ( P ` ( k + 1 ) ) } C_ e ) $=
      ( cwlks cfv wbr cv c1 co wss wral wcel wa c0 wne adantl caddc cpr cc0 crn
      chash cfzo wrex wlkvtxeledg fvex prnz ssn0 mpan2 fvn0fvelrn wceq wb sseq2
      syl simpr rspcedvd ex ralimdva mpd ) DAEHIJZCKZAIZVDLUAMAIZUBZVDDIZFIZNZC
      UCDUEIUFMZOVGBKZNZBFUDZUGZCVKOACDEFGUHVCVJVOCVKVCVDVKPQZVJVOVPVJQZVMVJBVI
      VNVQVIRSZVIVNPVJVRVPVJVGRSVRVEVFVDAUIUJVGVIUKULTFVHUMUQVLVIUNVMVJUOVQVLVI
      VGUPTVPVJURUSUTVAVB $.
  $}

  ${
    $d f g k p $.
    $( The set ` ( Walks `` G ) ` of all walks on ` G ` is a set of pairs by
       our definition of a walk, and so is a relation.  (Contributed by
       Alexander van der Vekens, 30-Jun-2018.)  (Revised by AV,
       19-Feb-2021.) $)
    relwlk $p |- Rel ( Walks ` G ) $=
      ( vf vg vp vk cv ciedg cfv cdm cword wcel cc0 chash co cvtx wf caddc wceq
      cfz c1 csn cpr wss wif cfzo wral w3a cvv cwlks df-wlks relmptopab ) BFZCF
      ZGHZIJKLULMHZSNUMOHDFZPEFZUPHZUQTQNUPHZRUQULHUNHZURUARURUSUBUTUCUDELUOUEN
      UFUGCBDUHAUIBCEDUJUK $.
  $}

  $( If there is at least one walk in the graph, all walks are in the universal
     class of ordered pairs.  (Contributed by AV, 2-Jan-2021.) $)
  wlkvv $p |- ( ( 1st ` W ) ( Walks ` G ) ( 2nd ` W )
                 -> W e. ( _V X. _V ) ) $=
    ( c1st cfv c2nd cwlks wbr c0 wne cvv cxp wcel wlkn0 2ndnpr necon1ai syl ) B
    CDZBEDZAFDGRHIBJJKLZRQAMSRHBNOP $.

  $( A walk is an ordered pair.  (Contributed by Alexander van der Vekens,
     30-Jun-2018.)  (Revised by AV, 1-Jan-2021.) $)
  wlkop $p |- ( W e. ( Walks ` G )
                 -> W = <. ( 1st ` W ) , ( 2nd ` W ) >. ) $=
    ( cwlks cfv wrel wcel c1st c2nd cop wceq relwlk 1st2nd mpan ) ACDZEBNFBBGDB
    HDIJAKBNLM $.

  $( A walk as class with two components.  (Contributed by Alexander van der
     Vekens, 22-Jul-2018.)  (Revised by AV, 2-Jan-2021.) $)
  wlkcpr $p |- ( W e. ( Walks ` G )
                 <-> ( 1st ` W ) ( Walks ` G ) ( 2nd ` W ) ) $=
    ( cwlks cfv wcel c1st c2nd cop wceq wbr wlkop cvv wlkvv 1st2ndb sylib eleq1
    cxp df-br bitr4di pm5.21nii ) BACDZEZBBFDZBGDZHZIZUCUDUAJZABKUGBLLQEUFABMBN
    OUFUBUEUAEUGBUEUAPUCUDUARST $.

  ${
    $d G f p $.  $d W f p $.
    $( If there is a walk ` W ` there is a pair of functions representing this
       walk.  (Contributed by Alexander van der Vekens, 22-Jul-2018.) $)
    wlk2f $p |- ( W e. ( Walks ` G ) -> E. f E. p f ( Walks ` G ) p ) $=
      ( cwlks cfv wcel c1st c2nd wbr cv wex wlkcpr fvex breq12 spc2ev sylbi ) C
      BEFZGCHFZCIFZRJZAKZDKZRJZDLALBCMUDUAADSTCHNCINUBSUCTROPQ $.
  $}

  ${
    $d F k $.  $d G k $.  $d P k $.
    wlkcomp.v $e |- V = ( Vtx ` G ) $.
    wlkcomp.i $e |- I = ( iEdg ` G ) $.
    wlkcomp.1 $e |- F = ( 1st ` W ) $.
    wlkcomp.2 $e |- P = ( 2nd ` W ) $.
    $( A walk expressed by properties of its components.  (Contributed by
       Alexander van der Vekens, 23-Jun-2018.)  (Revised by AV, 1-Jan-2021.) $)
    wlkcomp $p |- ( ( G e. U /\ W e. ( S X. T ) ) -> ( W e. ( Walks ` G )
                         <-> ( F e. Word dom I /\ P : ( 0 ... ( # ` F ) ) --> V
                               /\ A. k e. ( 0 ..^ ( # ` F ) )
                                  if- ( ( P ` k ) = ( P ` ( k + 1 ) ) ,
                                        ( I ` ( F ` k ) ) = { ( P ` k ) } ,
                                        { ( P ` k ) , ( P ` ( k + 1 ) ) }
                                        C_ ( I ` ( F ` k ) ) ) ) ) ) $=
      ( wcel cfv cc0 co wceq eqcomi cxp cwlks wbr cdm cword chash cfz wf cv csn
      c1 caddc cpr wss wif cfzo wral w3a c1st c2nd wa pm3.2i eqop mpbiri eleq1d
      cop df-br bitr4di iswlkg sylan9bbr ) JBCUAOZJGUBPZOZFAVLUCZGDOFHUDUEOQFUF
      PZUGRIAUHEUIZAPZVPUKULRAPZSVPFPHPZVQUJSVQVRUMVSUNUOEQVOUPRUQURVKVMFAVFZVL
      OVNVKJVTVLVKJVTSJUSPZFSZJUTPZASZVAWBWDFWAMTAWCNTVBJFABCVCVDVEFAVLVGVHAEFG
      HIDKLVIVJ $.

    $( Implications for the properties of the components of a walk.
       (Contributed by Alexander van der Vekens, 23-Jun-2018.)  (Revised by AV,
       2-Jan-2021.) $)
    wlkcompim $p |- ( W e. ( Walks ` G ) -> ( F e. Word dom I
                /\ P : ( 0 ... ( # ` F ) ) --> V /\ A. k e. ( 0 ..^ ( # ` F ) )
                                  if- ( ( P ` k ) = ( P ` ( k + 1 ) ) ,
                                        ( I ` ( F ` k ) ) = { ( P ` k ) } ,
                                        { ( P ` k ) , ( P ` ( k + 1 ) ) }
                                        C_ ( I ` ( F ` k ) ) ) ) ) $=
      ( cwlks cfv wcel cvv cxp cdm cc0 co wceq cword chash cfz wf cv c1 csn cpr
      caddc wss wif cfzo wral w3a elfvex c1st wbr wlkcpr wlkvv sylbi wa wlkcomp
      c2nd biimpcd mp2and ) GDLMZNZDONZGOOPNZCEQUANRCUBMZUCSFAUDBUEZAMZVKUFUISA
      MZTVKCMEMZVLUGTVLVMUHVNUJUKBRVJULSUMUNZGDLUOVGGUPMGVCMVFUQVIDGURDGUSUTVHV
      IVAVGVOAOOOBCDEFGHIJKVBVDVE $.

    $( The components of a walk are words/functions over a zero based range of
       integers.  (Contributed by Alexander van der Vekens, 23-Jun-2018.)
       (Revised by AV, 2-Jan-2021.) $)
    wlkelwrd $p |- ( W e. ( Walks ` G ) -> ( F e. Word dom I
                                        /\ P : ( 0 ... ( # ` F ) ) --> V ) ) $=
      ( vk cwlks cfv wcel cdm cword cc0 chash co wceq cfz wf cv csn cpr wss wif
      c1 caddc cfzo wral w3a wa wlkcompim 3simpa syl ) FCLMNBDOPNZQBRMZUASEAUBZ
      KUCZAMZUTUHUISAMZTUTBMDMZVAUDTVAVBUEVCUFUGKQURUJSUKZULUQUSUMAKBCDEFGHIJUN
      UQUSVDUOUP $.
  $}

  ${
    $d A x $.  $d B x $.  $d N x $.
    $( Conditions for two walks (within the same graph) being the same.
       (Contributed by AV, 1-Jul-2018.)  (Revised by AV, 16-May-2019.)
       (Revised by AV, 14-Apr-2021.) $)
    wlkeq $p |- ( ( A e. ( Walks ` G ) /\ B e. ( Walks ` G )
          /\ N = ( # ` ( 1st ` A ) ) ) -> ( A = B <-> ( N = ( # ` ( 1st ` B ) )
      /\ A. x e. ( 0 ..^ N ) ( ( 1st ` A ) ` x ) = ( ( 1st ` B ) ` x )
      /\ A. x e. ( 0 ... N ) ( ( 2nd ` A ) ` x ) = ( ( 2nd ` B ) ` x ) ) ) ) $=
      ( cfv wcel chash wceq wa cc0 cfzo co wral cfz wb eqid adantr anbi12d cvv
      cwlks c1st w3a c2nd cv ciedg cword cvtx wf c1 cmin wlkelwrd anim12i wlkop
      cdm cop eleq1 wbr df-br wlklenvm1 sylbir mpcom eqwrd ad2ant2r lencl simpr
      syl6bi cn0 2ffzeq syl2an3an syl2anc 3adant3 eqeq1 raleqdv bibi2d 3ad2ant3
      mpbird cxp 1st2ndb sylibr xpopth syl2an 3anass anandi bitr2i a1i 3bitr3d
      oveq2 ) BDUAFZGZCWIGZEBUBFZHFZIZUCZWLCUBFZIZBUDFZCUDFZIZJZEWPHFZIZAUEZWLF
      XDWPFIZAKELMZNZJZXCXDWRFXDWSFIZAKEOMZNZJZJZBCIZXCXGXKUCZWOXAXMPZXAWMXBIZX
      EAKWMLMZNZJZXQXIAKWMOMZNZJZJZPZWJWKYEWNWJWKJWLDUFFZUOZUGZGZYADUHFZWRUIZJZ
      WPYHGZKXBOMYJWSUIZJZJZWMWRHFUJUKMIZXBWSHFUJUKMIZJZYEWJYLWKYOWRWLDYFYJBYJQ
      ZYFQZWLQWRQULWSWPDYFYJCYTUUAWPQWSQULUMWJYQWKYRBWLWRUPZIZWJYQDBUNZUUCWJUUB
      WIGZYQBUUBWIUQUUEWLWRWIURYQWLWRWIUSWRWLDUTVAVGVBCWPWSUPZIZWKYRDCUNZUUGWKU
      UFWIGZYRCUUFWIUQUUIWPWSWIURYRWPWSWIUSWSWPDUTVAVGVBUMYPYSJWQXTWTYCYPWQXTPZ
      YSYIYMUUJYKYNYGYGWLAWPVCVDRYPWTYCPZYSYLWMVHGZYKYOYNUUKYIUULYKYGWLVERYIYKV
      FYMYNVFWSAWRWMXBYJYJVIVJRSVKVLWNWJXPYEPWKWNXMYDXAWNXHXTXLYCWNXCXQXGXSEWMX
      BVMZWNXEAXFXREWMKLWHVNSWNXCXQXKYBUUMWNXIAXJYAEWMKOWHVNSSVOVPVQWJWKXAXNPZW
      NWJBTTVRZGZCUUOGZUUNWKWJUUCUUPUUDBVSVTWKUUGUUQUUHCVSVTBCTTTTWAWBVLXMXOPWO
      XOXCXGXKJJXMXCXGXKWCXCXGXKWDWEWFWG $.
  $}

  ${
    edginwlk.i $e |- I = ( iEdg ` G ) $.
    edginwlk.e $e |- E = ( Edg ` G ) $.
    $( The value of the edge function for an index of an edge within a walk is
       an edge.  (Contributed by AV, 2-Jan-2021.)  (Revised by AV,
       9-Dec-2021.) $)
    edginwlk $p |- ( ( Fun I /\ F e. Word dom I /\ K e. ( 0 ..^ ( # ` F ) ) )
                     -> ( I ` ( F ` K ) ) e. E ) $=
      ( wfun cdm cword wcel cc0 chash cfv cfzo co w3a crn simp1 wrdsymbcl ciedg
      3adant1 fvelrn syl2anc cedg edgval eqcomi rneqi 3eqtri eleqtrrdi ) DHZBDI
      ZJKZELBMNOPKZQZEBNZDNZDRZAUOUKUPULKZUQURKUKUMUNSUMUNUSUKEULBTUBUPDUCUDACU
      ENCUANZRURGCUFUTDDUTFUGUHUIUJ $.

    $( The value of the edge function for an index of an edge within a walk is
       an edge.  (Contributed by AV, 2-Jan-2021.) $)
    upgredginwlk $p |- ( ( G e. UPGraph /\ F e. Word dom I )
                 -> ( K e. ( 0 ..^ ( # ` F ) ) -> ( I ` ( F ` K ) ) e. E ) ) $=
      ( cupgr wcel wfun cdm cword cc0 chash cfv cfzo co wi cuhgr upgruhgr sylan
      uhgrfun syl edginwlk 3expia ) CHIZDJZBDKLIZEMBNOPQIZEBODOAIZRUFCSIUGCTDCF
      UBUCUGUHUIUJABCDEFGUDUEUA $.
  $}

  ${
    iedginwlk.i $e |- I = ( iEdg ` G ) $.
    $( The value of the edge function for an index of an edge within a walk is
       an edge.  (Contributed by AV, 23-Apr-2021.) $)
    iedginwlk $p |- ( ( Fun I /\ F ( Walks ` G ) P
                        /\ X e. ( 0 ..^ ( # ` F ) ) )
                      -> ( I ` ( F ` X ) ) e. ran I ) $=
      ( wfun cwlks cfv wbr cc0 chash cfzo co wcel w3a cdm crn simp1 syl2anc
      cword wlkf 3ad2ant2 simp3 wrdsymbcl fvelrn ) DGZBACHIJZEKBLIMNOZPZUGEBIZD
      QZOZUKDIDROUGUHUISUJBULUAOZUIUMUHUGUNUIABCDFUBUCUGUHUIUDEULBUETUKDUFT $.
  $}

  ${
    $d F k $.  $d G k $.  $d P k $.
    $( A walk of length 1 from a vertex to itself is a loop.  (Contributed by
       AV, 23-Apr-2021.) $)
    wlkl1loop $p |- ( ( ( Fun ( iEdg ` G ) /\ F ( Walks ` G ) P )
                         /\ ( ( # ` F ) = 1 /\ ( P ` 0 ) = ( P ` 1 ) ) )
                       -> { ( P ` 0 ) } e. ( Edg ` G ) ) $=
      ( vk cfv wa c1 wceq cc0 csn wcel wi cvv w3a cfzo co eqtrdi ad2antrl caddc
      c0ex ciedg wfun cwlks wbr chash cedg wlkv crn simp3l simp2 snid eleqtrrid
      oveq2 fzo01 3ad2ant3 eqid iedginwlk syl3anc cdm cword cfz cvtx wf cpr wss
      cv wif wral iswlkg raleqdv oveq1 0p1e1 wkslem2 mpdan bitrdi ifptru biimpa
      wb ralsn eqcomd ad2antll sylbid com12 syl6bi 3imp edgval a1i 3eltr4d 3exp
      ex 3ad2ant1 mpcom expd impcom imp ) CUAEZUBZBACUCEUDZFBUEEZGHZIAEZGAEZHZF
      ZXAJZCUFEZKZWRWQXDXGLWRWQXDXGCMKZBMKZAMKZNWRWQXDFZXGLZABCUGXHXIWRXLLXJXHW
      RXKXGXHWRXKNZIBEWPEZWPUHZXEXFXMWQWRIIWSOPZKZXNXOKXHWRWQXDUIXHWRXKUJXKXHXQ
      WRWTXQWQXCWTIIJZXPITUKWTXPIGOPXRWSGIOUMUNQZULRUOABCWPIWPUPZUQURXHWRXKXEXN
      HZXHWRBWPUSUTKZIWSVAPCVBEZAVCZDVFZAEZYEGSPZAEZHYEBEWPEZYFJHYFYHVDYIVEVGZD
      XPVHZNXKYALZADBCWPYCMYCUPXTVIYKYBYLYDXKYKYAXKYKXCXNXEHZXAXBVDXNVEZVGZYAWT
      YKYOVRWQXCWTYKYJDXRVHYOWTYJDXPXRXSVJYJYODITYEIHZYGGHYJYOVRYPYGIGSPGYEIGSV
      KVLQYEIGABWPVMVNVSVORXCYOYALWQWTXCYOYAXCYOFXNXEXCYOYMXCYMYNVPVQVTWJWAWBWC
      UOWDWEXFXOHXMCWFWGWHWIWKWLWMWNWO $.
  $}

  ${
    $d F i k $.  $d G i k $.  $d P i k $.
    wlk1walk.i $e |- I = ( iEdg ` G ) $.
    $( A walk is a 1-walk "on the edge level" according to Aksoy et al.
       (Contributed by AV, 30-Dec-2020.) $)
    wlk1walk $p |- ( F ( Walks ` G ) P -> A. k e. ( 1 ..^ ( # ` F ) )
          1 <_ ( # ` ( ( I ` ( F ` ( k - 1 ) ) ) i^i ( I ` ( F ` k ) ) ) ) ) $=
      ( vi cvv wcel cfv c1 co wceq cpr wss wif wa wi com12 adantl w3a cwlks wbr
      cv cmin cin chash cle cfzo wral wlkv ciedg cdm cword cc0 cfz wf caddc csn
      cvtx eqid iswlk c0 wne fvex inex1 fzo0ss1 sseli wkslem1 rspcv syl elfzofz
      imp fz1fzo0m1 3syl wn wo df-ifp cz cc elfzoelz zcn npcan1 wkslem2 syl2anc
      wb eqidd sneq eqeq2d snid fveq1i eleq2i eleq2 syl5bb eleqtrrdi anim12i ex
      mpbiri syl6bi prss eqcomi biimpi adantr sylbir anbi12i sylbi com3r ancoms
      jaoi mp2d inelcm hashge1 sylancr ralrimiva 3ad2ant3 mpcom ) DHICHIAHIUAZC
      ADUBJUCZKBUDZKUELZCJZEJZXSCJZEJZUFZUGJUHUCZBKCUGJZUILZUJZACDUKXQXRCDULJZU
      MUNIZUOYGUPLDUTJZAUQZGUDZAJZYNKURLAJZMYNCJYJJZYOUSMYOYPNYQOPZGUOYGUILZUJZ
      UAYIAHGCDYJYLHHYLVAYJVAVBYTYKYIYMYTYFBYHYTXSYHIZQZYEHIYEVCVDZYFYBYDYAEVEV
      FUUBXSAJZYBIZUUDYDIZQZUUCUUAYTUUGUUAYTQUUDXSKURLZAJZMZYCYJJZUUDUSZMZUUDUU
      INUUKOZPZXTAJZXTKURLZAJZMYAYJJZUUPUSZMZUUPUURNUUSOPZUUGUUAYTUUOUUAXSYSIYT
      UUORYHYSXSYGVGVHYRUUOGXSYSYNXSACYJVIVJVKVMUUAYTUVBUUAXSKYGUPLIXTYSIYTUVBR
      XSKYGVLXSYGVNYRUVBGXTYSYNXTACYJVIVJVOVMUUAUUOUVBUUGRZRYTUUOUUAUVCUUOUUJUU
      MQZUUJVPZUUNQZVQZUUAUVCRUUJUUMUUNVRUUAUVBUVGUUGUUAUVBUUPUUDMZUVAUUPUUDNUU
      SOZPZUVGUUGRZUUAXSVSIXSVTIZUVBUVJWFZXSKYGWAXSWBUVLXTXTMUUQXSMUVMUVLXTWGXS
      WCXTXTXSACYJWDWEVOUVJUVHUVAQZUVHVPZUVIQZVQUVKUVHUVAUVIVRUVNUVKUVPUVGUVNUU
      GUVDUVNUUGRZUVFUUMUVQUUJUVNUUMUUGUVHUVAUUMUUGRZUVHUVAUUSUULMZUVRUVHUUTUUL
      UUSUUPUUDWHWIZUVSUUMUUGUVSUUEUUMUUFUVSUUEUUDUULIZUUDXSAVEZWJZUUEUUDUUSIZU
      VSUWAYBUUSUUDYAEYJFWKWLUUSUULUUDWMWNWRZUUMUUDUUKYDUUMUUDUUKIZUWAUWCUUKUUL
      UUDWMZWRYCEYJFWKZWOWPWQWSVMSTUUNUVQUVEUVNUUNUUGUVHUVAUUNUUGRZUVHUVAUVSUWI
      UVTUVSUUNUUGUVSUUEUUNUUFUWEUUNUWFUUIUUKIZQZUUFUUDUUIUUKUWBUUHAVEWTZUWFUUF
      UWJUWFUUFUUKYDUUDYCYJEEYJFXAZWKWLZXBXCXDWPWQWSVMSTXISUVGUVPUUGUVDUVPUUGRZ
      UVFUUMUWOUUJUVPUUMUUGUVIUVRUVOUVIUUPUUSIZUWDQZUVRUUPUUDUUSXTAVEUWBWTZUWDU
      VRUWPUWDUUMUUGUWDUUEUUMUUFUWDUUEUUSYBUUDYAYJEUWMWKWLZXBUUMUUFUWAUWCUUFUWF
      UUMUWAYDUUKUUDUWHWLUWGWNWRWPWQTXDTSTUUNUWOUVEUUNUWKUWOUWLUWFUWOUWJUVPUWFU
      UGUVIUWFUUGRZUVOUVIUWQUWTUWRUWDUWTUWPUWDUWFUUGUWDUWFQUUGUWDUUEUWFUUFUWSUW
      NXEXBWQTXDTSXCXDTXISXIXFWSXGXFSXCXJXHUUDYBYDXKVKYEHXLXMXNXOWSXP $.
  $}

  ${
    $d F k $.  $d G k $.  $d P k $.
    $( A walk is an s-walk "on the edge level" (with s=1) according to Aksoy et
       al.  (Contributed by AV, 5-Jan-2021.) $)
    wlk1ewlk $p |- ( F ( Walks ` G ) P -> F e. ( G EdgWalks 1 ) ) $=
      ( vk cwlks cfv wbr c1 cewlks co wcel ciedg cdm cword cv cin chash cle cvv
      cmin cfzo wral eqid wlkf wlk1walk cxnn0 wlkv simp1d cn0 1nn0 nn0xnn0 mp1i
      wa wb isewlk syl3anc mpbir2and ) BACEFGZBCHIJKZBCLFZMNZKZHDOZHTJBFUTFVCBF
      UTFPQFRGDHBQFUAJUBZABCUTUTUCZUDZADBCUTVEUEURCSKZHUFKZVBUSVBVDUMUNURVGBSKA
      SKABCUGUHHUIKVHURUJHUKULVFHVADBCUTSVEUOUPUQ $.
  $}

  ${
    $d G k $.  $d F k $.  $d I k $.  $d P k $.  $d V k $.
    upgriswlk.v $e |- V = ( Vtx ` G ) $.
    upgriswlk.i $e |- I = ( iEdg ` G ) $.
    $( Properties of a pair of functions to be a walk in a pseudograph.
       (Contributed by AV, 2-Jan-2021.)  (Revised by AV, 28-Oct-2021.) $)
    upgriswlk $p |- ( G e. UPGraph -> ( F ( Walks ` G ) P
        <-> ( F e. Word dom I /\ P : ( 0 ... ( # ` F ) ) --> V
              /\ A. k e. ( 0 ..^ ( # ` F ) )
                 ( I ` ( F ` k ) ) = { ( P ` k ) , ( P ` ( k + 1 ) ) } ) ) ) $=
      ( cupgr wcel cfv cc0 co wceq cpr wral w3a wa wi cvv cwlks wbr cword chash
      cdm cfz wf cv c1 caddc csn wss wif iswlkg wn wo df-ifp dfsn2 preq2 syl5eq
      cfzo eqeq2d biimpa a1d cedg upgredginwlk adantrr imp simp-4l simpr adantr
      eqid wne adantl fvexd neqne 3jca upgredgpr syl31anc eqcomd exp31 mpd jaoi
      com12 syl5bi ifpprsnss impbid1 ralbidva pm5.32da df-3an 3bitr4g bitrd ) D
      IJZCADUAKUBCEUEUCJZLCUDKZUFMFAUGZBUHZAKZWQUIUJMZAKZNZWQCKEKZWRUKZNZWRWTOZ
      XBULZUMZBLWOVAMZPZQZWNWPXBXENZBXHPZQZABCDEFIGHUNWMWNWPRZXIRXNXLRXJXMWMXNX
      IXLWMXNRZXGXKBXHXOWQXHJZRZXGXKXGXAXDRZXAUOZXFRZUPZXQXKXAXDXFUQYAXQXKXRXQX
      KSXTXRXKXQXAXDXKXAXCXEXBXAXCWRWROXEWRURWRWTWRUSUTVBVCVDXQXTXKXQXBDVEKZJZX
      TXKSXOXPYCWMWNXPYCSWPYBCDEWQHYBVLZVFVGVHXQYCXTXKXQYCRZXTRZXEXBYFWMYCXFWRT
      JZWTTJZWRWTVMZQZXEXBNWMXNXPYCXTVIYEYCXTXQYCVJVKXTXFYEXSXFVJVNXTYJYEXSYJXF
      XSYGYHYIXSWQAVOXSWSAVOWRWTVPVQVKVNWRWTXBTYBDFTGYDVRVSVTWAWBWDWCWDWEWRWTXB
      WFWGWHWIWNWPXIWJWNWPXLWJWKWL $.
  $}

  ${
    $d F k $.  $d G k $.  $d I k $.  $d P k $.
    upgrwlkedg.i $e |- I = ( iEdg ` G ) $.
    $( The edges of a walk in a pseudograph join exactly the two corresponding
       adjacent vertices in the walk.  (Contributed by AV, 27-Feb-2021.) $)
    upgrwlkedg $p |- ( ( G e. UPGraph /\ F ( Walks ` G ) P )
                       -> A. k e. ( 0 ..^ ( # ` F ) ) ( I ` ( F ` k ) )
                                       = { ( P ` k ) , ( P ` ( k + 1 ) ) } ) $=
      ( cupgr wcel cwlks cfv wbr cv c1 caddc co cpr wceq cc0 chash cfzo cdm cfz
      wral cword cvtx wf w3a eqid upgriswlk simp3 syl6bi imp ) DGHZCADIJKZBLZCJ
      EJUOAJUOMNOAJPQBRCSJZTOUCZUMUNCEUAUDHZRUPUBODUEJZAUFZUQUGUQABCDEUSUSUHFUI
      URUTUQUJUKUL $.
  $}

  ${
    $d F k $.  $d G k $.  $d I k $.  $d P k $.  $d V k $.
    upgrwlkcompim.v $e |- V = ( Vtx ` G ) $.
    upgrwlkcompim.i $e |- I = ( iEdg ` G ) $.
    upgrwlkcompim.1 $e |- F = ( 1st ` W ) $.
    upgrwlkcompim.2 $e |- P = ( 2nd ` W ) $.
    $( Implications for the properties of the components of a walk in a
       pseudograph.  (Contributed by Alexander van der Vekens, 23-Jun-2018.)
       (Revised by AV, 14-Apr-2021.) $)
    upgrwlkcompim $p |- ( ( G e. UPGraph /\ W e. ( Walks ` G ) )
           -> ( F e. Word dom I /\ P : ( 0 ... ( # ` F ) ) --> V
                /\ A. k e. ( 0 ..^ ( # ` F ) )
                   ( I ` ( F ` k ) ) = { ( P ` k ) , ( P ` ( k + 1 ) ) } ) ) $=
      ( cupgr wcel cwlks cfv cdm cword cc0 co wbr chash cfz wf cv c1 caddc wceq
      cpr cfzo wral w3a c1st c2nd wlkcpr breq12i bitr4i upgriswlk biimpd syl5bi
      imp ) DLMZGDNOZMZCEPQMRCUAOZUBSFAUCBUDZCOEOVEAOVEUEUFSAOUHUGBRVDUISUJUKZV
      CCAVBTZVAVFVCGULOZGUMOZVBTVGDGUNCVHAVIVBJKUOUPVAVGVFABCDEFHIUQURUSUT $.
  $}

  ${
    $d E e $.  $d F e k $.  $d G e k $.  $d P e k $.
    wlkvtxedg.e $e |- E = ( Edg ` G ) $.
    $( The vertices of a walk are connected by edges.  (Contributed by
       Alexander van der Vekens, 22-Jul-2018.)  (Revised by AV, 2-Jan-2021.) $)
    wlkvtxedg $p |- ( F ( Walks ` G ) P
                       -> A. k e. ( 0 ..^ ( # ` F ) ) E. e e. E
                          { ( P ` k ) , ( P ` ( k + 1 ) ) } C_ e ) $=
      ( cwlks cfv wbr cv c1 caddc co cpr wss ciedg crn wrex wral cc0 chash cfzo
      eqid wlkvtxiedg cedg edgval eqtr2i rexeqi ralbii sylib ) EAFHIJCKZAIULLMN
      AIOBKPZBFQIZRZSZCUAEUBIUCNZTUMBDSZCUQTABCEFUNUNUDUEUPURCUQUMBUODDFUFIUOGF
      UGUHUIUJUK $.

    $( The pairs of connected vertices of a walk are edges in a pseudograph.
       (Contributed by Alexander van der Vekens, 22-Jul-2018.)  (Revised by AV,
       2-Jan-2021.) $)
    upgrwlkvtxedg $p |- ( ( G e. UPGraph /\ F ( Walks ` G ) P )
                           -> A. k e. ( 0 ..^ ( # ` F ) )
                              { ( P ` k ) , ( P ` ( k + 1 ) ) } e. E ) $=
      ( cupgr wcel cwlks cfv wbr cv c1 co cc0 wral eqid wi wa imp caddc cpr cdm
      chash cfzo ciedg cword cfz cvtx wf wceq w3a upgriswlk upgredginwlk ancoms
      wb eleq1 eqcoms syl5ibrcom ralimdva impancom 3adant2 com12 sylbid ) EGHZD
      AEIJKZBLZAJVGMUANAJUBZCHZBODUDJZUENZPZVEVFDEUFJZUCUGHZOVJUHNEUIJZAUJZVGDJ
      VMJZVHUKZBVKPZULZVLABDEVMVOVOQVMQZUMVTVEVLVNVSVEVLRVPVNVEVSVLVNVESZVRVIBV
      KWBVGVKHZSVIVRVQCHZWBWCWDVEVNWCWDRCDEVMVGWAFUNUOTVIWDUPVHVQVHVQCUQURUSUTV
      AVBVCVDT $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d G x y $.  $d N x y $.
    $( Conditions for two walks within the same simple pseudograph being the
       same.  It is sufficient that the vertices (in the same order) are
       identical.  (Contributed by AV, 3-Jul-2018.)  (Revised by AV,
       14-Apr-2021.) $)
    uspgr2wlkeq $p |- ( ( G e. USPGraph /\ ( A e. ( Walks ` G )
                          /\ B e. ( Walks ` G ) ) /\ N = ( # ` ( 1st ` A ) ) )
                -> ( A = B <-> ( N = ( # ` ( 1st ` B ) ) /\ A. y e. ( 0 ... N )
                             ( ( 2nd ` A ) ` y ) = ( ( 2nd ` B ) ` y ) ) ) ) $=
      ( vx wcel cfv wa wceq cc0 cfzo co wral wi imp ex eqid com12 adantr cuspgr
      cwlks c1st chash w3a cv c2nd cfz wb 3anan32 a1i wlkeq 3expa 3adant1 caddc
      cpr ciedg fzofzp1 adantl fveq2 eqeq12d impancom ralrimiv fvoveq1 cbvralvw
      c1 rspcdv sylibr wss fzossfz ssralv mp1i r19.26 ralimdv syl5bir expd syld
      preq12 mpd cdm cword cvtx cupgr uspgrupgr upgrwlkcompim syl oveq2 raleqdv
      eqcoms bi2anan9r eqeq2 biimpd syl6bi com13 ral2imi 3ad2ant3 syl2and 3imp1
      wf sylbir eqcom crn wf1 cedg wf1o uspgrf1oedg f1of1 eqidd edgval f1eq123d
      eqcomi mpbird 3ad2ant1 wlkelwrd eleq2d wrdsymbcl expcom f1veqaeq syl2an2r
      jcad syl2an syl5bi ralimdva 3syld expimpd pm4.71d 3bitr4d ) DUAGZBDUBHZGZ
      CYIGZIZEBUCHZUDHZJZUEZECUCHZUDHZJZAUFZYMHZYTYQHZJZAKELMZNZYTBUGHZHZYTCUGH
      ZHZJZAKEUHMZNZUEZYSUULIZUUEIZBCJZUUNUUMUUOUIYPYSUUEUULUJUKYLYOUUPUUMUIZYH
      YJYKYOUUQABCDEULUMUNYPUUNUUEYPYSUULUUEYPYSIZUULUUGYTVFUOMZUUFHZUPZUUIUUSU
      UHHZUPZJZAUUDNZUUBDUQHZHZUUAUVFHZJZAUUDNZUUEUURUULUVEUURUULIZUUTUVBJZAUUD
      NZUVEUVKFUFZVFUOMZUUFHZUVOUUHHZJZFUUDNUVMUVKUVRFUUDUURUVNUUDGZUULUVRUURUV
      SIZUUJUVRAUVOUUKUVSUVOUUKGUURKEUVNURUSYTUVOJZUUJUVRUIUVTUWAUUGUVPUUIUVQYT
      UVOUUFUTYTUVOUUHUTVAUSVGVBVCUVLUVRAFUUDYTUVNJUUTUVPUVBUVQYTUVNVFUUFUOVDYT
      UVNVFUUHUOVDVAVEVHUURUULUVMUVEOZUURUULUUJAUUDNZUWBUUDUUKVIUULUWCOUURKEVJU
      UJAUUDUUKVKVLUURUWCUVMUVEUWCUVMIUUJUVLIZAUUDNUURUVEUUJUVLAUUDVMUURUWDUVDA
      UUDUWDUVDOUURUUGUUTUUIUVBVRUKVNVOVPVQPVSQYHYLYOYSUVEUVJOZYHYJYMUVFVTZWAZG
      ZKYNUHMDWBHZUUFWSZUVHUVAJZAKYNLMZNZUEZYKYQUWGGZKYRUHMUWIUUHWSZUVGUVCJZAKY
      RLMZNZUEZYOYSUWEOOZYHDWCGZYJUWNODWDZUXBYJUWNUUFAYMDUVFUWIBUWIRZUVFRZYMRZU
      UFRZWEQWFYHUXBYKUWTOUXCUXBYKUWTUUHAYQDUVFUWICUXDUXEYQRZUUHRZWEQWFUWNUWTIZ
      UXAOYHUXJYOYSUWEUWNUWTYOYSIZUWEOZUWMUWHUWTUXLOUWJUWTUWMUXLUWSUWOUWMUXLOUW
      PUWSUWMUXLUXKUWSUWMIZUWEUXKUXMUWQAUUDNZUWKAUUDNZIZUWEYSUWSUXNYOUWMUXOYSUW
      QAUWRUUDUWRUUDJYREYREKLWGWIWHYOUWKAUWLUUDUWLUUDJYNEYNEKLWGWIWHWJUXPUWQUWK
      IZAUUDNUWEUWQUWKAUUDVMUXQUVDUVIAUUDUWQUWKUVDUVIOUVDUWKUWQUVIUVDUWKUVHUVCJ
      ZUWQUVIOUVAUVCUVHWKUXRUWQUVIUWQUVIUIUVCUVHUVCUVHUVGWKWIWLWMWNPWOWTWMSQWPS
      WPPVPUKWQWRUURUVIUUCAUUDUVIUVHUVGJZUURYTUUDGZIUUCUVGUVHXAUURUWFUVFXBZUVFX
      CZUXTUUAUWFGZUUBUWFGZIZUXSUUCOYPUYBYSYHYLUYBYOYHUYBUWFDXDHZUVFXCZYHUWFUYF
      UVFXEUYGUVFDUXEXFUWFUYFUVFXGWFYHUWFUWFUYAUYFUVFUVFYHUVFXHYHUWFXHUYAUYFJYH
      UYFUYADXIXKUKXJXLXMTUURUXTUYEYPYSUXTUYEOZYLYOYSUYHOZYHYLYOUYIYLYOYSUYHYLU
      XKUXTUYEYJUWHUWJIZUWOUWPIZUXKUXTIZUYEOZYKUUFYMDUVFUWIBUXDUXEUXFUXGXNUUHYQ
      DUVFUWICUXDUXEUXHUXIXNUYJUYKUYMUWHUYKUYMOUWJUYKUWHUYMUWOUWHUYMOUWPUWOUWHU
      YMUWOUWHIUYLUYCUYDUWHUYLUYCOUWOUYLUWHUYCUXKUXTUWHUYCOZYOUXTUYNOYSYOUXTYTU
      WLGZUYNYOUUDUWLYTEYNKLWGXOUWHUYOUYCYTUWFYMXPXQWMTPSUSUWOUYLUYDOUWHUYLUWOU
      YDUXKUXTUWOUYDOZYSUXTUYPOYOYSUXTYTUWRGZUYPYSUUDUWRYTEYRKLWGXOUWOUYQUYDYTU
      WFYQXPXQWMUSPSTXTQTSTPYAVPVPPUNPPUWFUYAUUAUUBUVFXRXSYBYCYDYEYFYG $.
  $}

  ${
    $d A i $.  $d B i $.  $d G i $.  $d N i $.
    $( Conditions for two walks within the same simple pseudograph to be
       identical.  It is sufficient that the vertices (in the same order) are
       identical.  (Contributed by Alexander van der Vekens, 25-Aug-2018.)
       (Revised by AV, 14-Apr-2021.) $)
    uspgr2wlkeq2 $p |- ( ( ( G e. USPGraph /\ N e. NN0 )
                        /\ ( A e. ( Walks ` G ) /\ ( # ` ( 1st ` A ) ) = N )
                        /\ ( B e. ( Walks ` G ) /\ ( # ` ( 1st ` B ) ) = N ) )
                         -> ( ( 2nd ` A ) = ( 2nd ` B ) -> A = B ) ) $=
      ( vi cuspgr wcel cn0 wa cwlks cfv c1st chash wceq w3a simpr eqcomd adantr
      c2nd simpl cv cc0 co wral 3ad2ant3 fveq1 adantl ralrimivw simpl1l anim12i
      cfz wb 3adant1 3ad2ant2 uspgr2wlkeq syl3anc mpbir2and ex ) CFGZDHGZIZACJK
      ZGZALKMKZDNZIZBVBGZBLKMKZDNZIZOZASKZBSKZNZABNZVKVNIZVODVHNZEUAZVLKVRVMKNZ
      EUBDUKUCZUDZVKVQVNVJVAVQVFVJVHDVGVIPQUERVPVSEVTVNVSVKVRVLVMUFUGUHVPUSVCVG
      IZDVDNZVOVQWAIULUSUTVFVJVNUIVKWBVNVFVJWBVAVFVCVJVGVCVETVGVITUJUMRVKWCVNVF
      VAWCVJVFVDDVCVEPQUNREABCDUOUPUQUR $.

    $( Conditions for two walks within the same simple pseudograph to be
       identical.  It is sufficient that the vertices (in the same order) are
       identical.  (Contributed by AV, 6-May-2021.) $)
    uspgr2wlkeqi $p |- ( ( G e. USPGraph /\ ( A e. ( Walks ` G )
                        /\ B e. ( Walks ` G ) ) /\ ( 2nd ` A ) = ( 2nd ` B ) )
                         -> A = B ) $=
      ( wcel cfv wa c2nd wceq c1st chash wbr wi wlkcpr c1 cmin adantl wlklenvm1
      co simpl anim12i cuspgr cwlks w3a wlkcl fveq2 oveq1d eqcomd wb eqeqan12rd
      cn0 adantr mpbird anim2i exp44 mpcom sylbi imp31 eqidd simpr uspgr2wlkeq2
      syl5bi 3adant1 syl3anc ex com23 3impia mpd ) CUADZACUBEZDZBVIDZFZAGEZBGEZ
      HZUCAIEZJEZUJDZBIEZJEZVQHZFZABHZVLVOWBVHVJVKVOWBVJVPVMVIKZVKVOWBLZLCAMVKV
      SVNVIKZWDWECBMVRWDWFWELVMVPCUDVRWDWFVOWBWDWFFZVOFZWAVRWHWAVNJEZNORZVMJEZN
      ORZHZVOWMWGVOWLWJVOWKWINOVMVNJUEUFUGPWGWAWMUHVOWFWDVTWJVQWLVNVSCQVMVPCQUI
      UKULUMUNUOVAUPUQVBVHVLVOWBWCLVHVLFZWBVOWCWNWBVOWCLZWNWBFVHVRFVJVQVQHZFVKW
      AFWOWNVHWBVRVHVLSVRWASTWNVJWBWPVLVJVHVJVKSPWBVQURTWNVKWBWAVLVKVHVJVKUSPVR
      WAUSTABCVQUTVCVDVEVFVG $.
  $}

  ${
    $d F k $.  $d G k $.  $d P k $.
    $( In a multigraph, each walk has no loops!  (Contributed by Alexander van
       der Vekens, 7-Nov-2017.)  (Revised by AV, 3-Jan-2021.) $)
    umgrwlknloop $p |- ( ( G e. UMGraph /\ F ( Walks ` G ) P )
            -> A. k e. ( 0 ..^ ( # ` F ) ) ( P ` k ) =/= ( P ` ( k + 1 ) ) ) $=
      ( cumgr wcel cwlks cfv wbr wa cv c1 caddc co cpr cedg cc0 chash cfzo wral
      wne cupgr umgrupgr upgrwlkvtxedg sylan wi umgredgne ex adantr ralimdv mpd
      eqid ) DEFZCADGHIZJZBKZAHZUPLMNAHZODPHZFZBQCRHSNZTZUQURUAZBVATUMDUBFUNVBD
      UCABUSCDUSULZUDUEUOUTVCBVAUMUTVCUFUNUMUTVCUSDUQURVDUGUHUIUJUK $.
  $}

  ${
    $d G f p $.
    wlkRes.1 $e |- ( f ( W ` G ) p -> f ( Walks ` G ) p ) $.
    $( Restrictions of walks (i.e. special kinds of walks, for example paths -
       see ~ pthsfval ) are sets.  (Contributed by Alexander van der Vekens,
       1-Nov-2017.)  (Revised by AV, 30-Dec-2020.)  (Proof shortened by AV,
       15-Jan-2021.) $)
    wlkRes $p |- { <. f , p >. | ( f ( W ` G ) p /\ ph ) } e. _V $=
      ( cv cfv wbr cwlks wi wal copab cvv wcel wa gen2 wksv opabbrex mp2an ) BG
      ZEGZCDHZIZUAUBCJHIZKZELBLUEBEMNOUDAPBEMNOUFBEFQBCERUEABEUCNST $.
  $}

  $( If there is a walk in the null graph (a class without vertices), it would
     be the pair consisting of empty sets.  (Contributed by Alexander van der
     Vekens, 2-Sep-2018.)  (Revised by AV, 5-Mar-2021.) $)
  wlkv0 $p |- ( ( ( Vtx ` G ) = (/) /\ W e. ( Walks ` G ) )
                 -> ( ( 1st ` W ) = (/) /\ ( 2nd ` W ) = (/) ) ) $=
    ( cvtx cfv c0 wceq cwlks wcel c1st c2nd wa wbr wlkcpr ciedg cc0 wf eqid jca
    wi cz cdm cword chash cfz co wlkf wlkp feq3 f00 bitrdi cn0 clt nn0z sylancr
    wb 0z fzn nn0nlt0 pm2.21d sylbird com12 adantl lencl impel simpll ex syl6bi
    impcomd syl5 syl5bi imp ) ACDZEFZBAGDZHZBIDZEFZBJDZEFZKZVOVPVRVNLZVMVTABMWA
    VPANDZUAZUBHZOVPUCDZUDUEZVLVRPZKVMVTWAWDWGVRVPAWBWBQUFVRVPAVLVLQUGRVMWGWDVT
    VMWGVSWFEFZKZWDVTSVMWGWFEVRPWIVLEWFVRUHWFVRUIUJWIWDVTWIWDKVQVSWIWEUKHZVQWDW
    HWJVQSVSWJWHVQWJWHWEOULLZVQWJOTHWETHWKWHUOUPWEUMOWEUQUNWJWKVQWEURUSUTVAVBWC
    VPVCVDVSWHWDVERVFVGVHVIVJVK $.

  ${
    $d G w $.
    $( There is no walk in a null graph (a class without vertices).
       (Contributed by Alexander van der Vekens, 2-Sep-2018.)  (Revised by AV,
       5-Mar-2021.) $)
    g0wlk0 $p |- ( ( Vtx ` G ) = (/) -> ( Walks ` G ) = (/) ) $=
      ( vw cwlks cfv c0 wceq cvtx wi ax-1 wn cv wcel wex neq0 c1st wlkv0 adantl
      wa c2nd sylbi wbr wlkcpr wne eqneqall syl5com mpd expcom exlimiv pm2.61i
      wlkn0 ) ACDZEFZAGDEFZULHZULUMIULJBKZUKLZBMUNBUKNUPUNBUMUPULUMUPRUOODZEFZU
      OSDZEFZRZULAUOPUPVAULHZUMUPUQUSUKUAZVBAUOUBVCUSEUCZVAULUSUQAUJUTVDULHURUL
      USEUDQUETQUFUGUHTUI $.
  $}

  $( There is no walk for the empty set, i.e. in a null graph.  (Contributed by
     Alexander van der Vekens, 2-Sep-2018.)  (Revised by AV, 5-Mar-2021.) $)
  0wlk0 $p |- ( Walks ` (/) ) = (/) $=
    ( c0 cvtx cfv wceq cwlks vtxval0 g0wlk0 ax-mp ) ABCADAECADFAGH $.

  $( There is no walk in a null graph (a class without vertices).  (Contributed
     by Alexander van der Vekens, 2-Sep-2018.)  (Revised by AV, 5-Mar-2021.) $)
  wlk0prc $p |- ( ( S e/ _V /\ ( Vtx ` S ) = ( Vtx ` G ) )
                     -> ( Walks ` G ) = (/) ) $=
    ( cvv wnel cvtx cfv wa c0 cwlks eqcom biimpi vtxvalprc sylan9eqr g0wlk0 syl
    wceq ) ACDZAEFZBEFZPZGSHPBIFHPTQSRHTSRPRSJKALMBNO $.

  $( The number of vertices in a walk equals the length of the walk after it is
     "closed" (i.e. enhanced by an edge from its last vertex to its first
     vertex).  (Contributed by Alexander van der Vekens, 29-Jun-2018.)
     (Revised by AV, 2-May-2021.)  (Revised by JJ, 14-Jan-2024.) $)
  wlklenvclwlk $p |- ( W e. Word ( Vtx ` G )
                   -> ( <. F , ( W ++ <" ( W ` 0 ) "> ) >. e. ( Walks ` G )
                        -> ( # ` F ) = ( # ` W ) ) ) $=
    ( cc0 cfv cs1 cconcat co cop cwlks wcel chash cn0 c1 caddc wceq cvtx adantr
    wa cc cword wbr df-br wlkcl wlklenvp1 jca sylbir wb ccatws1len eqeq1d eqcom
    bitrdi nn0cn adantl lencl nn0cnd 1cnd addcan2d biimpd sylbid expimpd syl5 )
    ACDCEZFGHZIBJEZKZALEZMKZVDLEZVGNOHZPZSZCBQEZUAKZVGCLEZPZVFAVDVEUBZVLAVDVEUC
    VQVHVKVDABUDVDABUEUFUGVNVHVKVPVNVHSZVKVJVONOHZPZVPVNVKVTUHVHVNVKVSVJPVTVNVI
    VSVJVMCVCUIUJVSVJUKULRVRVTVPVRVGVONVHVGTKVNVGUMUNVNVOTKVHVNVOVMCUOUPRVRUQUR
    USUTVAVB $.

  $( Obsolete version of ~ wlklenvclwlk as of 14-Jan-2024.  The number of
     vertices in a walk equals the length of the walk after it is "closed"
     (i.e. enhanced by an edge from its last vertex to its first vertex).
     (Contributed by Alexander van der Vekens, 29-Jun-2018.)  (Revised by AV,
     2-May-2021.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  wlklenvclwlkOLD $p |- ( ( W e. Word ( Vtx ` G ) /\ 1 <_ ( # ` W ) )
                   -> ( <. F , ( W ++ <" ( W ` 0 ) "> ) >. e. ( Walks ` G )
                        -> ( # ` F ) = ( # ` W ) ) ) $=
    ( cc0 cfv cs1 cconcat co wcel c1 chash wbr wa wceq wi caddc cc nn0cn adantr
    cn0 cwlks cvtx cword df-br wlklenvp1 wlkcl wrdsymb1 s1cld ccatlenOLD syldan
    cop cle s1len a1i oveq2d eqtrd eqeq1d lencl eqcom adantl 1cnd biimpd syl5bi
    addcan2d ex com23 syl sylbid com3l sylc sylbir com12 ) ACDCEZFZGHZUKBUAEZIZ
    CBUBEZUCZIZJCKEZULLZMZAKEZWANZVQAVOVPLZWCWEOZAVOVPUDWFVOKEZWDJPHZNZWDTIZWGV
    OABUEVOABUFWCWJWKWEWCWJWAJPHZWINZWKWEOZWCWHWLWIWCWHWAVNKEZPHZWLVTWBVNVSIWHW
    PNWCVMVRVRCUGUHVRCVNUIUJWCWOJWAPWOJNWCVMUMUNUOUPUQVTWMWNOZWBVTWATIZWQVRCURW
    RWKWMWEWRWKWMWEOWMWIWLNZWRWKMZWEWLWIUSWTWSWEWTWDWAJWKWDQIWRWDRUTWRWAQIWKWAR
    SWTVAVDVBVCVEVFVGSVHVIVJVKVL $.

  ${
    $d A a b f g p $.  $d B a b f g p $.  $d G a b f g p $.  $d V f g p $.
    wlkson.v $e |- V = ( Vtx ` G ) $.
    $( The set of walks between two vertices.  (Contributed by Alexander van
       der Vekens, 12-Dec-2017.)  (Revised by AV, 30-Dec-2020.)  (Revised by
       AV, 22-Mar-2021.) $)
    wlkson $p |- ( ( A e. V /\ B e. V ) -> ( A ( WalksOn ` G ) B )
                      = { <. f , p >. | ( f ( Walks ` G ) p /\ ( p ` 0 ) = A
                                          /\ ( p ` ( # ` f ) ) = B ) } ) $=
      ( va vb vg wcel wa cwlkson cfv cv wceq cwlks copab cvtx cvv cc0 chash wbr
      w3a 1vgrex adantr simpl eleqtrdi simpr wksv a1i eqeq2 bi2anan9 biidd cmpo
      co cmpt df-wlkson 3anass biancomi opabbii mpoeq123i mpteq2i mptmpoopabbrd
      eqid eqtri ancom bitr4i eqtrdi ) AEKZBEKZLZABDMNUPUAFOZNZAPZCOZUBNVMNZBPZ
      LZVPVMDQNUCZLZCFRVTVOVRUDZCFRVLVTVNHOZPZVQIOZPZLZVSWGSSQCJFDMTTABHIVJDTKV
      KDAEGUEUFVLAEDSNZVJVKUGGUHVLBEWHVJVKUIGUHVTCFRTKVLCDFUJUKVLVTUIWCAPWDVOWE
      BPWFVRWCAVNULWEBVQULUMJOZDPWGUNMJTHIWISNZWJVPVMWIQNUCZWDWFUDZCFRZUOZUQJTH
      IWJWJWGWKLZCFRZUOZUQCJFHIURJTWNWQHIWJWJWMWJWJWPWJVEZWRWLWOCFWLWGWKWKWDWFU
      SUTVAVBVCVFVDWAWBCFWAVTVSLWBVSVTVGVTVOVRUSVHVAVI $.

    $d F f p $.  $d P f p $.
    $( Properties of a pair of functions to be a walk between two given
       vertices (in an undirected graph).  (Contributed by Alexander van der
       Vekens, 2-Nov-2017.)  (Revised by AV, 31-Dec-2020.)  (Revised by AV,
       22-Mar-2021.) $)
    iswlkon $p |- ( ( ( A e. V /\ B e. V ) /\ ( F e. U /\ P e. Z ) )
                    -> ( F ( A ( WalksOn ` G ) B ) P <-> ( F ( Walks ` G ) P
                         /\ ( P ` 0 ) = A /\ ( P ` ( # ` F ) ) = B ) ) ) $=
      ( vp vf wcel wa cfv wbr cc0 wceq chash cv eqeq1d cwlkson cwlks w3a wlkson
      co wb fveq1 adantl simpr fveq2 adantr fveq12d 2rbropap 3expb ) AGLBGLMZED
      LCHLECABFUANUEZOECFUBNZOPCNZAQZERNZCNZBQZUCUFUOPJSZNZAQUSVBKSZRNZVCNZBQCK
      EUPUQDHJABKFGJIUDVEEQZVCCQZMZVDURAVIVDURQVHPVCCUGUHTVJVGVABVJVFUTVCCVHVIU
      IVHVFUTQVIVEERUJUKULTUMUN $.

    $d V a b $.
    $( Properties of a walk between two vertices.  (Contributed by Alexander
       van der Vekens, 12-Dec-2017.)  (Revised by AV, 31-Dec-2020.)  (Proof
       shortened by AV, 16-Jan-2021.) $)
    wlkonprop $p |- ( F ( A ( WalksOn ` G ) B ) P
                 -> ( ( G e. _V /\ A e. V /\ B e. V ) /\ ( F e. _V /\ P e. _V )
                      /\ ( F ( Walks ` G ) P /\ ( P ` 0 ) = A
                           /\ ( P ` ( # ` F ) ) = B ) ) ) $=
      ( vf vp vg va cfv wbr cvv wcel w3a wa wceq cvtx cv vb cwlkson cwlks chash
      co cc0 fvexi df-wlkson copab wlkson 3adant1 fveq2 eqtr4di breqd bropfvvvv
      wi 3anbi1d mp2an 3anass anbi1i df-3an bitr4i sylibr wb 3adantl1 imdistani
      iswlkon biimpd mpancom ) DCABEUBLUEZMZENOZAFOZBFOZPZDNOCNOQZQZDCEUCLZMUFC
      LARDUDLCLBRPZQZVOVPVSPVQVKVTVKVLVMVNQZVPPZVQFNOZWCVKWBUPFESGUGZWDHTZITZJT
      ZUCLZMZUFWFLZKTRZWEUDLWFLZUATRZPWEWFVRMZWKWMPWNWJARWLBRPZEABDFFNICUBWGSLZ
      WPNNJKUAHHJIKUAUHVMVNVJWOHIUIRVLABHEFIGUJUKWGERZWPESLFWGESULGUMZWRWQWIWNW
      KWMWQWHVRWEWFWGEUCULUNUQUOURVQVLWAQZVPQWBVOWSVPVLVMVNUSUTVLWAVPVAVBVCVQVK
      VSVQVKVSVMVNVPVKVSVDVLABCNDEFNGVGVEVHVFVIVOVPVSVAVC $.
  $}

  ${
    wlkpvtx.v $e |- V = ( Vtx ` G ) $.
    $( A walk connects vertices.  (Contributed by AV, 22-Feb-2021.) $)
    wlkpvtx $p |- ( F ( Walks ` G ) P
                      -> ( N e. ( 0 ... ( # ` F ) ) -> ( P ` N ) e. V ) ) $=
      ( cwlks cfv wbr cc0 chash cfz co wf wcel wi wlkp ffvelrn ex syl ) BACGHIJ
      BKHLMZEANZDUAOZDAHEOZPABCEFQUBUCUDUAEDARST $.

    $( The endpoints of a walk are vertices.  (Contributed by AV,
       31-Jan-2021.) $)
    wlkepvtx $p |- ( F ( Walks ` G ) P
                      -> ( ( P ` 0 ) e. V /\ ( P ` ( # ` F ) ) e. V ) ) $=
      ( cwlks cfv wbr cc0 chash cfz co wf cn0 wcel wa wlkp wlkcl 0elfz ffvelrn
      sylan2 nn0fz0 sylan2b jca syl2anc ) BACFGHIBJGZKLZDAMZUFNOZIAGDOZUFAGDOZP
      ABCDEQABCRUHUIPUJUKUIUHIUGOUJUFSUGDIATUAUIUHUFUGOUKUFUBUGDUFATUCUDUE $.
  $}

  $( A walk between two vertices is a walk.  (Contributed by Alexander van der
     Vekens, 12-Dec-2017.)  (Revised by AV, 2-Jan-2021.) $)
  wlkoniswlk $p |- ( F ( A ( WalksOn ` G ) B ) P -> F ( Walks ` G ) P ) $=
    ( cwlkson cfv co wbr cvv wcel cvtx w3a cwlks cc0 wceq chash eqid wlkonprop
    wa simp31 syl ) DCABEFGHIEJKAELGZKBUCKMZDJKCJKTZDCENGIZOCGAPZDQGCGBPZMMUFAB
    CDEUCUCRSUDUEUFUGUHUAUB $.

  $( A walk is a walk between its endpoints.  (Contributed by Alexander van der
     Vekens, 2-Nov-2017.)  (Revised by AV, 2-Jan-2021.)  (Proof shortened by
     AV, 31-Jan-2021.) $)
  wlkonwlk $p |- ( F ( Walks ` G ) P
                   -> F ( ( P ` 0 ) ( WalksOn ` G ) ( P ` ( # ` F ) ) ) P ) $=
    ( cwlks cfv wbr cc0 chash cwlkson co wceq id eqidd cvtx wcel wa cvv wb eqid
    w3a wlkepvtx wlkv 3simpc syl iswlkon syl2anc mpbir3and ) BACDEFZBAGAEZBHEAE
    ZCIEJFZUHUIUIKZUJUJKZUHLUHUIMUHUJMUHUICNEZOUJUNOPBQOZAQOZPZUKUHULUMTRABCUNU
    NSZUAUHCQOZUOUPTUQABCUBUSUOUPUCUDUIUJAQBCUNQURUEUFUG $.

  ${
    wlkonwlk1l.w $e |- ( ph -> F ( Walks ` G ) P ) $.
    $( A walk is a walk from its first vertex to its last vertex.  (Contributed
       by AV, 7-Feb-2021.)  (Revised by AV, 22-Mar-2021.) $)
    wlkonwlk1l $p |- ( ph -> F ( ( P ` 0 )
                                 ( WalksOn ` G ) ( lastS ` P ) ) P ) $=
      ( cc0 cfv clsw cwlkson co wbr wceq chash c1 cword wcel eqid syl wa jca32
      cwlks eqidd cmin wlklenvm1 fveq2d cvtx wlkpwrd lsw eqtr4d cvv wb caddc cn
      w3a cn0 wlkcl nn0p1nn wlklenvp1 fstwrdne0 lswlgt0cl jca ciedg cdm iswlkon
      wlkf wrdv mpbir3and ) ACBFBGZBHGZDIGJKZCBDUAGKZVHVHLZCMGZBGZVILZEAVHUBAVK
      VOEVKVNBMGZNUCJZBGZVIVKVMVQBBCDUDUEVKBDUFGZOZPZVIVRLBCDVSVSQZUGZBVTUHRUIR
      AVHVSPZVIVSPZSZCUJOZPZWASSZVJVKVLVOUNUKAVKWIEVKWFWHWAVKVMNULJZUMPZWAVPWJL
      ZSSZWFVKWKWAWLVKVMUOPWKBCDUPVMUQRWCBCDURTWMWDWEWJVSBUSWJVSBUTVARVKCDVBGZV
      CZOPWHBCDWNWNQVEWOCVFRWCTRVHVIBWGCDVSVTWBVDRVG $.
  $}

  $( Two walks with identical sequences of vertices start and end at the same
     vertices.  (Contributed by AV, 14-May-2021.) $)
  wlksoneq1eq2 $p |- ( ( F ( A ( WalksOn ` G ) B ) P
                      /\ H ( C ( WalksOn ` G ) D ) P )
                       -> ( A = C /\ B = D ) ) $=
    ( cfv co wbr cvv wcel w3a wa wceq chash wlkonprop wi simp2 cwlkson cvtx cc0
    cwlks eqid eqcomd sylan9eqr simp3 adantl c1 cmin wlklenvm1 eqtr3 fveq2d syl
    ex 3ad2ant1 com12 imp simpl3 3eqtrd jca 3ad2ant3 syl2an ) FEABGUAIZJKGLMZAG
    UBIZMBVGMNZFLMELMZOZFEGUDIZKZUCEIZAPZFQIZEIZBPZNZNZVFCVGMDVGMNZHLMVIOZHEVKK
    ZVMCPZHQIZEIZDPZNZNZACPZBDPZOZHECDVEJKABEFGVGVGUEZRCDEHGVGWLRVSWHWKVRVHWHWK
    SVJWHVRWKWGVTVRWKSWAWGVRWKWGVROZWIWJVRWGAVMCVRVMAVLVNVQTUFWBWCWFTUGWMBVPWED
    VRBVPPWGVRVPBVLVNVQUHUFUIWGVRVPWEPZWBWCVRWNSZWFWBWDEQIUJUKJZPZWOEHGULVRWQWN
    VLVNWQWNSZVQVLVOWPPZWREFGULWSWQWNWSWQOVOWDEVOWDWPUMUNUPUOUQURUOUQUSWBWCWFVR
    UTVAVBUPVCURVCUSVD $.

  ${
    $d A e k $.  $d F e k $.  $d G e k $.  $d I e k $.  $d P e k $.
    wlkonl1iedg.i $e |- I = ( iEdg ` G ) $.
    $( If there is a walk between two vertices ` A ` and ` B ` at least of
       length 1, then the start vertex ` A ` is incident with an edge.
       (Contributed by AV, 4-Apr-2021.) $)
    wlkonl1iedg $p |- ( ( F ( A ( WalksOn ` G ) B ) P /\ ( # ` F ) =/= 0 )
                        -> E. e e. ran I A e. e ) $=
      ( vk cfv co cc0 wcel wrex cvv w3a wa wceq wi adantr cwlkson wbr chash wne
      cv crn cvtx cwlks eqid wlkonprop cpr wss caddc cfzo fveq2 fv0p1e1 preq12d
      c1 sseq1d rexbidv wlkvtxiedg cn0 wlkcl cn elnnne0 simplbi2 lbfzo0 syl6ibr
      wral syl imp rspcdva fvex prss eleq1 ax-1 syl6bi impd syl5bir reximdv mpd
      adantl ex 3adant3 3ad2ant3 ) ECABFUAJKUBZEUCJZLUDZADUEZMZDGUFZNZWFFOMAFUG
      JZMBWMMPZEOMCOMQZECFUHJUBZLCJZARZWGCJBRZPZPWHWLSZABCEFWMWMUIUJWTWNXAWOWPW
      RXAWSWPWRQZWHWLXBWHQZWQURCJZUKZWIULZDWKNZWLXCIUEZCJZXHURUMKCJZUKZWIULZDWK
      NZXGILWGUNKZLXHLRZXLXFDWKXOXKXEWIXOXIWQXJXDXHLCUOCXHUPUQUSUTXBXMIXNVIZWHW
      PXPWRCDIEFGHVATTXBWHLXNMZWPWHXQSZWRWPWGVBMZXRCEFVCXSWHWGVDMZXQXTXSWHWGVEV
      FWGVGVHVJTVKVLXBXGWLSWHXBXFWJDWKXFWQWIMZXDWIMZQXBWJWQXDWILCVMURCVMVNXBYAY
      BWJWRYAYBWJSZSWPWRYAWJYCWQAWIVOWJYBVPVQWBVRVSVTTWAWCWDWEVJVK $.
  $}

  $( The length of a walk between two different vertices is not 0 (i.e. is at
     least 1).  (Contributed by AV, 3-Apr-2021.) $)
  wlkon2n0 $p |- ( ( F ( A ( WalksOn ` G ) B ) P /\ A =/= B )
                   -> ( # ` F ) =/= 0 ) $=
    ( cwlkson cfv co wbr wne chash cc0 cvv wcel cvtx w3a wa cwlks wceq wn eqtr2
    wi eqid wlkonprop fveqeq2 anbi2d nne sylibr com12 3adant1 3ad2ant3 necon2ad
    syl6bi syl imp ) DCABEFGHIZABJZDKGZLJUPUQURLUPEMNAEOGZNBUSNPZDMNCMNQZDCERGI
    ZLCGZASZURCGBSZPZPURLSZUQTZUBZABCDEUSUSUCUDVFUTVIVAVDVEVIVBVGVDVEQZVHVGVJVD
    VCBSZQZVHVGVEVKVDURLBCUEUFVLABSVHVCABUAABUGUHUMUIUJUKUNULUO $.

  ${
    $d E k $.  $d F k $.  $d P k $.
    $( Lemma for theorems for walks of length 2.  (Contributed by Alexander van
       der Vekens, 1-Feb-2018.) $)
    2wlklem $p |- ( A. k e. { 0 , 1 } ( E ` ( F ` k ) )
                                        = { ( P ` k ) , ( P ` ( k + 1 ) ) }
                     <-> ( ( E ` ( F ` 0 ) ) = { ( P ` 0 ) , ( P ` 1 ) }
                        /\ ( E ` ( F ` 1 ) ) = { ( P ` 1 ) , ( P ` 2 ) } ) ) $=
      ( cv cfv c1 caddc co cpr wceq cc0 c0ex 1ex 2fveq3 fv0p1e1 preq12d eqeq12d
      c2 fveq2 oveq1 1p1e2 eqtrdi fveq2d ralpr ) BEZDFCFZUFAFZUFGHIZAFZJZKLDFCF
      ZLAFZGAFZJZKGDFCFZUNSAFZJZKBLGMNUFLKZUGULUKUOUFLCDOUSUHUMUJUNUFLATAUFPQRU
      FGKZUGUPUKURUFGCDOUTUHUNUJUQUFGATUTUISAUTUIGGHISUFGGHUAUBUCUDQRUE $.

    $d G k $.  $d I k $.  $d V k $.
    upgr2wlk.v $e |- V = ( Vtx ` G ) $.
    upgr2wlk.i $e |- I = ( iEdg ` G ) $.
    $( Properties of a pair of functions to be a walk of length 2 in a
       pseudograph.  Note that the vertices need not to be distinct and the
       edges can be loops or multiedges.  (Contributed by Alexander van der
       Vekens, 16-Feb-2018.)  (Revised by AV, 3-Jan-2021.)  (Revised by AV,
       28-Oct-2021.) $)
    upgr2wlk $p |- ( G e. UPGraph -> ( ( F ( Walks ` G ) P /\ ( # ` F ) = 2 )
                  <-> ( F : ( 0 ..^ 2 ) --> dom I /\ P : ( 0 ... 2 ) --> V
               /\ ( ( I ` ( F ` 0 ) ) = { ( P ` 0 ) , ( P ` 1 ) }
                    /\ ( I ` ( F ` 1 ) ) = { ( P ` 1 ) , ( P ` 2 ) } ) ) ) ) $=
      ( vk wcel cfv c2 wceq wa cc0 cfz co wf c1 cpr cfzo cupgr cwlks wbr cdm cv
      chash cword caddc wral w3a upgriswlk anbi1d iswrdb oveq2 syl5bb fzo0to2pr
      feq2d eqtrdi raleqdv 2wlklem bitrdi 3anbi123d adantl 3anass pm5.32rd an32
      wb ex bitri bitr4di cn0 2nn0 fnfzo0hash pm4.71i bicomi a1i 3anbi1d 3bitrd
      mpan ) CUAIZBACUBJUCZBUFJZKLZMBDUDZUGIZNWBOPZEAQZHUEZBJDJWHAJWHRUHPAJSLZH
      NWBTPZUIZUJZWCMZNKTPZWDBQZWCMZNKOPZEAQZNBJDJNAJRAJZSLRBJDJWSKAJSLMZUJZWOW
      RWTUJZVTWAWLWCAHBCDEFGUKULVTWMWOWRWTMZMZWCMZXAVTWCWLXDVTWCWLXDVGVTWCMWLXB
      XDWCWLXBVGVTWCWEWOWGWRWKWTWEWJWDBQWCWOWDBUMWCWJWNWDBWBKNTUNZUQUOWCWFWQEAW
      BKNOUNUQWCWKWIHNRSZUIWTWCWIHWJXGWCWJWNXGXFUPURUSAHDBUTVAVBVCWOWRWTVDVAVHV
      EXAWPXCMXEWPWRWTVDWOWCXCVFVIVJVTWPWOWRWTWPWOVGVTWOWPWOWCKVKIWOWCVLWDBKVMV
      SVNVOVPVQVR $.
  $}

  ${
    wlkres.v $e |- V = ( Vtx ` G ) $.
    wlkres.i $e |- I = ( iEdg ` G ) $.
    wlkres.d $e |- ( ph -> F ( Walks ` G ) P ) $.
    wlkres.n $e |- ( ph -> N e. ( 0 ..^ ( # ` F ) ) ) $.
    wlkres.s $e |- ( ph -> ( Vtx ` S ) = V ) $.
    $( Lemma for ~ wlkres .  (Contributed by AV, 5-Mar-2021.)  (Revised by AV,
       30-Nov-2022.) $)
    wlkreslem $p |- ( ph -> S e. _V ) $=
      ( cvv wcel wi cfv c0 wa cvtx ax-1 wn wnel df-nel cwlks wbr cop df-br ne0i
      wne wceq eqtrdi anim1ci wlk0prc eqneqall 3syl com13 syl sylbi mpcom com12
      expcom sylbir pm2.61i ) CNOZAVEPZVEAUAVEUBCNUCZVFCNUDAVGVEDBEUEQZUFZAVGVE
      PZKVIDBUGZVHOZAVJPZDBVHUHVLVHRUJZVMVHVKUIVGAVNVEAVGVNVEPZAVGSVGCTQZETQZUK
      ZSVHRUKVOAVRVGAVPHVQMIULUMCEUNVEVHRUOUPVBUQURUSUTVAVCVD $.

    $d F k x $.  $d G k $.  $d H x $.  $d I k $.  $d N x $.  $d P k $.
    $d Q x $.  $d S x $.  $d ph x $.
    wlkres.e $e |- ( ph -> ( iEdg ` S ) = ( I |` ( F " ( 0 ..^ N ) ) ) ) $.
    wlkres.h $e |- H = ( F prefix N ) $.
    wlkres.q $e |- Q = ( P |` ( 0 ... N ) ) $.
    $( The restriction ` <. H , Q >. ` of a walk ` <. F , P >. ` to an initial
       segment of the walk (of length ` N ` ) forms a walk on the subgraph
       ` S ` consisting of the edges in the initial segment.  Formerly proven
       directly for Eulerian paths, see ~ eupthres .  (Contributed by Mario
       Carneiro, 12-Mar-2015.)  (Revised by Mario Carneiro, 3-May-2015.)
       (Revised by AV, 5-Mar-2021.)  Hypothesis revised using the prefix
       operation.  (Revised by AV, 30-Nov-2022.) $)
    wlkres $p |- ( ph -> H ( Walks ` S ) Q ) $=
      ( cfv wceq vx vk cwlks wbr ciedg cdm cword wcel cc0 chash cfz co wf cv c1
      cvtx caddc csn cpr wss wif cfzo wral cpfx cima wlkf pfxwrdsymb 3syl dmeqd
      a1i cres syl wrdf fimass ssdmres sylib eqtrd wrdeq 3eltr4d wlkp feq3d cuz
      mpbird fzossfz sselid elfzuz3 fssresd fveq2i pfxlen syl2anc syl5eq oveq2d
      fzss2 feq2d feq1i sylibr wa wlkprop adantr wi eleq2d fveq1i sselda fvresd
      w3a eqtr2id fzofzp1 adantl jca ex sylbid ancli wfun ffund elfzouz2 fzoss2
      imp fdm sseq2 syl5ibr impcom simpr resfvresima sylan eqcomd pfxres fveq1d
      fveq12d eqtr4d fveq2d eleqtrrd wkslem1 rspcv wb eqeq12 eqeq12d preq12 cvv
      sneq eqid sseq12d ifpbi123d biimpd sylsyld com12 3ad2ant3 mpcom ralrimiva
      wlkreslem iswlkg mpbir3and ) AGCDUCSUDZGDUESZUFZUGZUHZUIGUJSZUKULZDUPSZCU
      MZUAUNZCSZUVAUOUQULZCSZTZUVAGSZUUMSZUVBURZTZUVBUVDUSZUVGUTZVAZUAUIUUQVBUL
      ZVCZAEIVDULZEUIIVBULZVEZUGZGUUOAEBFUCSUDZEHUFZUGUHZUVOUVRUHMBEFHLVFZUVTEI
      VGVHGUVOTAQVJAUUNUVQTUUOUVRTAUUNHUVQVKZUFZUVQAUUMUWCPVIAUVQUVTUTZUWDUVQTA
      UWAUIEUJSZVBULZUVTEUMZUWEAUVSUWAMUWBVLZUVTEVMZUWGUVTEUVPVNVHUVQHVOVPVQUUN
      UVQVRVLVSAUURUUSBUIIUKULZVKZUMZUUTAUWMUWKUUSUWLUMAUIUWFUKULZUUSUWKBAUWNUU
      SBUMUWNJBUMZAUVSUWOMBEFJKVTVLAUUSJBUWNOWAWCAIUWNUHZUWFIWBSZUHZUWKUWNUTAUW
      GUWNIUIUWFWDNWEZIUIUWFWFIUIUWFWMVHWGAUURUWKUUSUWLAUUQIUIUKAUUQUVOUJSZIGUV
      OUJQWHAUWAUWPUWTITUWIUWSUVTEIWIWJWKZWLWNWCUURUUSCUWLRWOWPAUVLUAUVMUWAUWOU
      BUNZBSZUXBUOUQULBSZTUXBESHSZUXCURTUXCUXDUSUXEUTVAZUBUWGVCZXEZAUVAUVMUHZWQ
      ZUVLAUXHUXIAUVSUXHMBUBEFHJKLWRVLWSUXGUWAUXJUVLWTUWOUXJUXGUVLUXJUVABSZUVBT
      ZUVCBSZUVDTZWQZUVAESHSZUVGTZWQZUXGUXKUXMTZUXPUXKURZTZUXKUXMUSZUXPUTZVAZUV
      LUXJUXOUXQAUXIUXOAUXIUVAUVPUHZUXOAUVMUVPUVAAUUQIUIVBUXAWLXAZAUYEUXOAUYEWQ
      ZUXLUXNUYGUVBUVAUWLSUXKUVACUWLRXBUYGUVAUWKBAUVPUWKUVAUVPUWKUTAUIIWDVJXCXD
      XFUYGUVDUVCUWLSUXMUVCCUWLRXBUYGUVCUWKBUYEUVCUWKUHAUIIUVAXGXHXDXFXIXJXKXQU
      XJUXPUVAEUVPVKZSZUWCSZUVGAUXIUXPUYJTZAUXIUYEUYKUYFAUYEUYKUYGUYJUXPAAUWAWQ
      ZUYEUYJUXPTAUWAUWIXLUYLUYEWQUVPEHUVAUYLEXMZUYEUWAUYMAUWAUWGUVTEUWJXNXHWSU
      YLUVPEUFZUTZUYEUWAAUYOUWAUWHUYNUWGTZAUYOWTUWJUWGUVTEXRAUYOUYPUVPUWGUTZAIU
      WGUHZUWRUYQNIUIUWFXOZIUIUWFXPVHUYNUWGUVPXSXTVHYAWSUYLUYEYBYCYDYEXJXKXQUXJ
      UVFUYIUUMUWCAUUMUWCTUXIPWSUXJUVFUVAUVOSUYIUVAGUVOQXBUXJUVAUVOUYHUXJUWAUWP
      UVOUYHTAUWAUXIUWIWSAUWPUXIUWSWSUVTEIYFWJYGWKYHYIXIUXJUVAUWGUHUXGUYDWTAUVM
      UWGUVAAUWFUUQWBSZUHUVMUWGUTAUWFUWQUYTAUYRUWRNUYSVLAUUQIWBUXAYJYKUUQUIUWFX
      PVLXCUXFUYDUBUVAUWGUXBUVABEHYLYMVLUXRUYDUVLUXRUXSUYAUYCUVEUVIUVKUXOUXSUVE
      YNUXQUXKUVBUXMUVDYOWSUXRUXPUVGUXTUVHUXOUXQYBZUXOUXTUVHTZUXQUXLVUBUXNUXKUV
      BYSWSWSYPUXRUYBUVJUXPUVGUXOUYBUVJTUXQUXKUXMUVBUVDYQWSVUAUUAUUBUUCUUDUUEUU
      FUUGUUHADYRUHUULUUPUUTUVNXEYNABDEFHIJKLMNOUUICUAGDUUMUUSYRUUSYTUUMYTUUJVL
      UUK $.
  $}

  $( Lemma for ~ redwlk .  (Contributed by Alexander van der Vekens,
     1-Nov-2017.)  (Revised by AV, 29-Jan-2021.) $)
  redwlklem $p |- ( ( F e. Word S /\ 1 <_ ( # ` F )
                        /\ P : ( 0 ... ( # ` F ) ) --> V )
           -> ( P |` ( 0 ..^ ( # ` F ) ) ) :
              ( 0 ... ( # ` ( F |` ( 0 ..^ ( ( # ` F ) - 1 ) ) ) ) ) --> V ) $=
    ( cword wcel c1 chash cfv cle wbr cc0 cfz co wf cfzo cres wa wceq syl simpr
    cmin wss fzossfz fssres sylancl ex cz lencl nn0zd fzoval adantr wrdred1hash
    wb oveq2 eqeq2d mpbird feq2d sylibd 3impia ) CBEFZGCHIZJKZLVBMNZDAOZLCLVBGU
    BNZPNQHIZMNZDALVBPNZQZOZVAVCRZVEVIDVJOZVKVLVEVMVLVERVEVIVDUCVMVLVEUALVBUDVD
    DVIAUEUFUGVLVIVHDVJVLVIVHSZVILVFMNZSZVAVPVCVAVBUHFVPVAVBBCUIUJLVBUKTULVLVGV
    FSZVNVPUNBCUMVQVHVOVIVGVFLMUOUPTUQURUSUT $.

  ${
    $d F k $.  $d G k $.  $d P k $.
    $( A walk ending at the last but one vertex of the walk is a walk.
       (Contributed by Alexander van der Vekens, 1-Nov-2017.)  (Revised by AV,
       29-Jan-2021.) $)
    redwlk $p |- ( ( F ( Walks ` G ) P /\ 1 <_ ( # ` F ) )
            -> ( F |` ( 0 ..^ ( ( # ` F ) - 1 ) ) ) ( Walks ` G )
               ( P |` ( 0 ..^ ( # ` F ) ) ) ) $=
      ( vk cfv wbr c1 cc0 co cfzo cvv wcel w3a wa wi wceq wss wral syl eqcomd
      cwlks chash cle cmin cres wlkv ciedg cdm cword cfz cvtx wf cv csn cpr wif
      caddc eqid iswlk wrdred1 a1i wlkf redwlklem 3exp imp wlkcl wrdred1hash cz
      cn0 sylan nn0z fzossrbm1 ssralv sselda fvresd simpr adantr 1zzd fzoaddel2
      fzo0ss1 syl3anc sselid eqeq12d fvres adantl fveq2d preq12d sseq12d biimpd
      sneqd ifpbi123d ralimdva syld wb raleqdv sylibd syl2an2r 3anim123d resexg
      oveq2 id bicomd syl3an syl5ib expcomd sylbid mpcom anabsi5 ) BACUAEZFZGBU
      BEZUCFZBHXKGUDIZJIZUEZAHXKJIZUEZXIFZCKLZBKLZAKLZMZXJXJXLNZXROZABCUFYBXJBC
      UGEZUHZUIZLZHXKUJICUKEZAULZDUMZAEZYKGUQIZAEZPZYKBEZYEEZYLUNZPZYLYNUOZYQQZ
      UPZDXPRZMZYDAKDBCYEYIKKYIURZYEURZUSYBYCUUDXRYCUUDNXOYGLZHXOUBEZUJIYIXQULZ
      YKXQEZYMXQEZPZYKXOEZYEEZUUJUNZPZUUJUUKUOZUUNQZUPZDHUUHJIZRZMZYBXRYCUUDUVB
      YCYHUUGYJUUIUUCUVAYHUUGOYCYFBUTVAXJXLYJUUIOZXJYHXLUVCOABCYEUUFVBZYHXLYJUU
      IAYFBYIVCVDSVEXJXKVILZXLUUHXMPZUUCUVAOABCVFXJYHXLUVFUVDYFBVGVJUVEUVFNUUCU
      USDXNRZUVAUVEUUCUVGOUVFUVEUUCUUBDXNRZUVGUVEXNXPQZUUCUVHOUVEXKVHLZUVIXKVKZ
      XKVLSZUUBDXNXPVMSUVEUUBUUSDXNUVEYKXNLZNZUUBUUSUVNYOYSUUAUULUUPUURUVNYLUUJ
      YNUUKUVNUUJYLUVNYKXPAUVEXNXPYKUVLVNVOTZUVNUUKYNUVNYMXPAUVNGXKJIZXPYMXKVTU
      VNUVMUVJGVHLYMUVPLUVEUVMVPUVEUVJUVMUVKVQUVNVRYKXKGVSWAWBVOTZWCUVNYQUUNYRU
      UOUVNYPUUMYEUVNUUMYPUVMUUMYPPUVEYKXNBWDWETWFZUVNYLUUJUVOWJWCUVNYTUUQYQUUN
      UVNYLUUJYNUUKUVOUVQWGUVRWHWKWIWLWMVQUVFUVGUVAWNUVEUVFUUSDXNUUTUVFUUTXNUUH
      XMHJWTTWOWEWPWQWRVEXSXSXTXOKLZYAXQKLZUVBXRWNXSXABXNKWSAXPKWSXSUVSUVTMXRUV
      BXQKDXOCYEYIKKUUEUUFUSXBXCXDXEXFXGXH $.
  $}

  ${
    wlkp1.v $e |- V = ( Vtx ` G ) $.
    wlkp1.i $e |- I = ( iEdg ` G ) $.
    wlkp1.f $e |- ( ph -> Fun I ) $.
    wlkp1.a $e |- ( ph -> I e. Fin ) $.
    wlkp1.b $e |- ( ph -> B e. W ) $.
    wlkp1.c $e |- ( ph -> C e. V ) $.
    wlkp1.d $e |- ( ph -> -. B e. dom I ) $.
    wlkp1.w $e |- ( ph -> F ( Walks ` G ) P ) $.
    wlkp1.n $e |- N = ( # ` F ) $.
    $( Lemma for ~ wlkp1 .  (Contributed by AV, 6-Mar-2021.) $)
    wlkp1lem1 $p |- ( ph -> -. ( N + 1 ) e. dom P ) $=
      ( wcel cwlks cfv wbr chash cn0 cc0 cfz co wf wa c1 caddc cdm wn wlkcl jca
      wlkp wceq fzp1nel a1i oveq1i eleq1i sylnibr eleq2 notbid syl5ibrcom impel
      fdm 3syl ) AEDFUAUBUCZEUDUBZUETZUFVKUGUHZIDUIZUJHUKULUHZDUMZTZUNZRVJVLVND
      EFUODEFIKUQUPVLVPVMURZVRVNVLVRVSVOVMTZUNVLVKUKULUHZVMTZVTWBUNVLUFVKUSUTVO
      WAVMHVKUKULSVAVBVCVSVQVTVPVMVOVDVEVFVMIDVHVGVI $.

    wlkp1.e $e |- ( ph -> E e. ( Edg ` G ) ) $.
    wlkp1.x $e |- ( ph -> { ( P ` N ) , C } C_ E ) $.
    wlkp1.u $e |- ( ph -> ( iEdg ` S ) = ( I u. { <. B , E >. } ) ) $.
    wlkp1.h $e |- H = ( F u. { <. N , B >. } ) $.
    $( Lemma for ~ wlkp1 .  (Contributed by AV, 6-Mar-2021.) $)
    wlkp1lem2 $p |- ( ph -> ( # ` H ) = ( N + 1 ) ) $=
      ( chash cfv cop csn cun c1 caddc co wceq fveq2i a1i cvv wcel cfn wn cwlks
      wa opex wbr cdm cword wlkf wrdfin 3syl cc0 wi fzonel eleq1 notbid syl5ibr
      cfzo ax-mp wfn wrdfn fnop ex syl jca hashunsng mpsyl eqcomi oveq1d 3eqtrd
      mtod ) AIUGUHZGKBUIZUJUKZUGUHZGUGUHZULUMUNZKULUMUNWKWNUOAIWMUGUFUPUQWLURU
      SAGUTUSZWLGUSZVAZVCWNWPUOKBVDAWQWSAGDHVBUHVEZGJVFZVGUSZWQUADGHJOVHZXAGVIV
      JAWRKVKWOVQUNZUSZKWOUOZAXEVAZVLUBAXGXFWOXDUSZVAZXIAVKWOVMUQXFXEXHKWOXDVNV
      OVPVRAGXDVSZWRXEVLAWTXBXJUAXCXAGVTVJXJWRXEXDKBGWAWBWCWJWDGWLURWEWFAWOKULU
      MWOKUOAKWOUBWGUQWHWI $.

    $( Lemma for ~ wlkp1 .  (Contributed by AV, 6-Mar-2021.) $)
    wlkp1lem3 $p |- ( ph -> ( ( iEdg ` S ) ` ( H ` N ) )
                              = ( ( I u. { <. B , E >. } ) ` B ) ) $=
      ( cfv ciedg cop csn cun wceq a1i fveq1d cvv wcel cdm wn chash fvexi cwlks
      wbr cword wlkf cn0 cc0 cfzo co lencl wrddm wa fzonel simpr eleq12d mtbiri
      syl2anc 3syl fsnunfv mp3an2i eqtrd fveq12d ) AKIUGZBEUHUGJBFUIUJUKUEAWBKG
      KBUIUJUKZUGZBAKIWCIWCULAUFUMUNKUOUPABMUPKGUQZUPZURZWDBULKGUSUBUTRAGDHVAUG
      VBGJUQZVCUPZWGUADGHJOVDWIGUSUGZVEUPZWEVFWJVGVHZULZWGWHGVIWHGVJWKWMVKZWFWJ
      WLUPVFWJVLWNKWJWEWLKWJULWNUBUMWKWMVMVNVOVPVQGUOMKBVRVSVTWA $.

    wlkp1.q $e |- Q = ( P u. { <. ( N + 1 ) , C >. } ) $.
    wlkp1.s $e |- ( ph -> ( Vtx ` S ) = V ) $.
    $( Lemma for ~ wlkp1 .  (Contributed by AV, 6-Mar-2021.) $)
    wlkp1lem4 $p |- ( ph -> ( S e. _V /\ H e. _V /\ Q e. _V ) ) $=
      ( ciedg cfv cdm cword wcel cc0 chash cfz co cvtx wf wa cvv w3a cwlks eqid
      wbr wlkf wlkp jca syl eleqtrrd elfvexd adantr cop csn simprl snex sylancl
      cun unexg eqeltrid c1 caddc cpm ovex fvex fpm ad2antll 3jca mpdan ) AHIUJ
      UKZULUMZUNZUOHUPUKZUQURZIUSUKZDUTZVAZFVBUNZJVBUNZEVBUNZVCAHDIVDUKVFZWRUBX
      BWMWQDHIWKWKVEVGDHIWPWPVEVHVIVJAWRVAZWSWTXAAWSWRACUSFACMFUSUKTUIVKVLVMXCJ
      HLBVNZVOZVSZVBUGXCWMXEVBUNXFVBUNAWMWQVPXDVQHXEWLVBVTVRWAXCEDLWBWCURCVNZVO
      ZVSZVBUHXCDWPWOWDURZUNZXHVBUNXIVBUNWQXKAWMWOWPDUOWNUQWEIUSWFWGWHXGVQDXHXJ
      VBVTVRWAWIWJ $.

    $d ph k $.
    $( Lemma for ~ wlkp1 .  (Contributed by AV, 6-Mar-2021.) $)
    wlkp1lem5 $p |- ( ph -> A. k e. ( 0 ... N ) ( Q ` k ) = ( P ` k ) ) $=
      ( cv cfv wceq cc0 cfz co wa c1 caddc cop csn cun fveq1i wne wn wi fzp1nel
      wcel wb eleq1 notbid eqcoms mpbiri a1i con2d imp neqned fvunsn syl syl5eq
      ralrimiva ) AGUKZEULZWBDULZUMGUNMUOUPZAWBWEVHZUQZWCWBDMURUSUPZCUTVAVBZULZ
      WDWBEWIUIVCWGWHWBVDWJWDUMWGWHWBAWFWHWBUMZVEAWKWFWKWFVEZVFAWKWLWHWEVHZVEZU
      NMVGWLWNVIWBWHWBWHUMWFWMWBWHWEVJVKVLVMVNVOVPVQDWHCWBVRVSVTWA $.

    $d ph k x $.  $d N x $.  $d P x $.  $d Q x $.
    $( Lemma for ~ wlkp1 .  (Contributed by AV, 6-Mar-2021.) $)
    wlkp1lem6 $p |- ( ph -> A. k e. ( 0 ..^ N ) ( ( Q ` k ) = ( P ` k )
                     /\ ( Q ` ( k + 1 ) ) = ( P ` ( k + 1 ) )
                     /\ ( ( iEdg ` S ) ` ( H ` k ) ) = ( I ` ( F ` k ) ) ) ) $=
      ( vx cv cfv wceq c1 caddc co ciedg w3a cc0 cfzo wcel wral wlkp1lem5 wa wi
      cfz elfzofz adantl fveq2 eqeq12d rspcv syl imp fzofzp1 cop csn cun adantr
      fveq1i wne wn fzonel eleq1 mtbii con2d neqned fvunsn syl5eq fveq12d chash
      a1i cdm oveq2i eleq2i cword cwlks wbr wlkf wrdsymbcl ex syl5bi syl5ibrcom
      con3d mpid eqtrd 3jca mpidan ralrimiva ) AGULZEUMZXJDUMZUNZXJUOUPUQZEUMZX
      NDUMZUNZXJKUMZFURUMZUMZXJIUMZLUMZUNZUSZGUTMVAUQZAXJYEVBZUKULZEUMZYGDUMZUN
      ZUKUTMVGUQZVCZYDABCDEFUKHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJVDAYFVEZYLVEXMXQ
      YCYMYLXMYMXJYKVBZYLXMVFYFYNAXJUTMVHVIYJXMUKXJYKYGXJUNYHXKYIXLYGXJEVJYGXJD
      VJVKVLVMVNYMYLXQYMXNYKVBZYLXQVFYFYOAUTMXJVOVIYJXQUKXNYKYGXNUNYHXOYIXPYGXN
      EVJYGXNDVJVKVLVMVNYMYCYLYMXTYALBHVPVQVRZUMZYBYMXRYAXSYPAXSYPUNYFUGVSYMXRX
      JIMBVPVQVRZUMZYAXJKYRUHVTYMMXJWAYSYAUNYMMXJAYFMXJUNZWBAYTYFYTYFWBVFAYTMYE
      VBYFUTMWCMXJYEWDWEWLWFVNWGIMBXJWHVMWIWJYMBYAWAYQYBUNYMBYAAYFBYAUNZWBZAYFB
      LWMZVBZWBZUUBUBAYFUUEUUBVFYMUUAUUDYMUUDUUAYAUUCVBZAYFUUFYFXJUTIWKUMZVAUQZ
      VBZAUUFYEUUHXJMUUGUTVAUDWNWOAIUUCWPVBZUUIUUFVFAIDJWQUMWRUUJUCDIJLQWSVMUUJ
      UUIUUFXJUUCIWTXAVMXBVNBYAUUCWDXCXDXAXEVNWGLBHYAWHVMXFVSXGXHXI $.

    $d N k $.  $d P k $.  $d Q k $.
    $( Lemma for ~ wlkp1 .  (Contributed by AV, 6-Mar-2021.) $)
    wlkp1lem7 $p |- ( ph -> { ( Q ` N ) , ( Q ` ( N + 1 ) ) }
                              C_ ( ( iEdg ` S ) ` ( H ` N ) ) ) $=
      ( vk cfv c1 caddc co cpr cop csn cun ciedg wceq cc0 cfz eqeq12d wlkp1lem5
      cv fveq2 cwlks wbr chash cn0 wcel wlkcl eqcomi eleq1i nn0fz0 3syl rspcdva
      sylbb fveq1i cvv wn ovex wlkp1lem1 fsnunfv mp3an2i syl5eq preq12d syl3anc
      cdm cedg 3sstr4d wlkp1lem3 sseqtrrd ) ALEUKZLULUMUNZEUKZUOZBKBGUPUQURUKZL
      JUKFUSUKUKALDUKZCUOGWQWRUEAWNWSWPCAUJVEZEUKZWTDUKZUTWNWSUTUJVALVBUNZLWTLU
      TXAWNXBWSWTLEVFWTLDVFVCABCDEFUJGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIVDAHDIVGUK
      VHHVIUKZVJVKZLXCVKZUBDHIVLXELVJVKXFXDLVJLXDUCVMVNLVOVRVPVQAWPWODWOCUPUQUR
      ZUKZCWOEXGUHVSWOVTVKACMVKWODWIVKWAXHCUTLULUMWBTABCDHIKLMNOPQRSTUAUBUCWCDV
      TMWOCWDWEWFWGABNVKGIWJUKZVKBKWIVKWAWRGUTSUDUAKNXIBGWDWHWKABCDFGHIJKLMNOPQ
      RSTUAUBUCUDUEUFUGWLWM $.

    $d F k $.  $d G k $.  $d H k $.  $d S k $.
    wlkp1.l $e |- ( ( ph /\ C = ( P ` N ) ) -> E = { C } ) $.
    $( Lemma for ~ wlkp1 .  (Contributed by AV, 6-Mar-2021.) $)
    wlkp1lem8 $p |- ( ph -> A. k e. ( 0 ..^ ( # ` H ) )
                           if- ( ( Q ` k ) = ( Q ` ( k + 1 ) ) ,
                                 ( ( iEdg ` S ) ` ( H ` k ) ) = { ( Q ` k ) } ,
                                 { ( Q ` k ) , ( Q ` ( k + 1 ) ) }
                                 C_ ( ( iEdg ` S ) ` ( H ` k ) ) ) ) $=
      ( vx cv cfv c1 caddc wceq ciedg csn cpr wss wif chash cfzo wral wlkp1lem6
      co cc0 w3a cwlks wbr cdm cword wcel cfz wf cvv wb cedg elfvexd iswlkg syl
      eqcomi oveq2i raleqi biimpi 3ad2ant3 syl6bi mpd 3adant3 simp3 simp1 sneqd
      eqeq12 eqeq12d preq12 sseq12d ifpbi123d biimprd ral2imi sylc wa wlkp1lem3
      cop cun adantr wn 3jca fsnunfv fveq2 wlkp1lem5 cn0 cuz wlkf lencl elnn0uz
      wi eleq1i sylbb1 3syl sylibr nn0fz0 rspcdva fveq1i ovex wlkp1lem1 mp3an2i
      sylib syl5eq eqeq2d eqcom bitrdi sneq adantl ex sylbid imbi12d syl5ibrcom
      eqtrd eqeq1 3eqtrd wlkp1lem7 ifpimpda wlkp1lem2 oveq2d fzosplitsn raleqdv
      imp ralunb a1i fvexi wkslem1 ralsng mp1i anbi2d 3bitrd mpbir2and ) AGUMZE
      UNZUURUOUPVGZEUNZUQZUURKUNFURUNZUNZUUSUSZUQZUUSUVAUTZUVDVAZVBZGVHKVCUNZVD
      VGZVEZUVIGVHMVDVGZVEZMEUNZMUOUPVGZEUNZUQZMKUNUVCUNZUVOUSZUQZUVOUVQUTUVSVA
      ZVBZAUUSUURDUNZUQZUVAUUTDUNZUQZUVDUURIUNLUNZUQZVIZGUVMVEUWDUWFUQZUWHUWDUS
      ZUQZUWDUWFUTZUWHVAZVBZGUVMVEZUVNABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJV
      FAIDJVJUNVKZUWQUCAUWRILVLZVMVNZVHIVCUNZVOVGNDVPZUWPGVHUXAVDVGZVEZVIZUWQAJ
      VQVNUWRUXEVRAHVSJUEVTDGIJLNVQPQWAWBUXDUWTUWQUXBUXDUWQUWPGUXCUVMUXAMVHVDMU
      XAUDWCWDWEWFWGWHWIUWJUWPUVIGUVMUWJUVIUWPUWJUVBUVFUVHUWKUWMUWOUWEUWGUVBUWK
      VRUWIUUSUWDUVAUWFWNWJUWJUVDUWHUVEUWLUWEUWGUWIWKZUWJUUSUWDUWEUWGUWIWLWMWOU
      WJUVGUWNUVDUWHUWEUWGUVGUWNUQUWIUUSUVAUWDUWFWPWJUXFWQWRWSWTXAAUVRUWAUWBAUV
      RXBZUVSBLBHXDUSXEUNZHUVTAUVSUXHUQUVRABCDFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHXCX
      FUXGBOVNZHJVSUNZVNZBUWSVNXGZVIZUXHHUQAUXMUVRAUXIUXKUXLTUEUBXHXFLOUXJBHXIW
      BAUVRHUVTUQZAUVOMDUNZUQZUVRUXNXQZAULUMZEUNZUXRDUNZUQUXPULVHMVOVGZMUXRMUQU
      XSUVOUXTUXOUXRMEXJUXRMDXJWOABCDEFULHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJXKAMX
      LVNZMUYAVNAMVHXMUNVNZUYBAUWRUWTUYCUCDIJLQXNUWTUXAXLVNZUYCUWSIXOUYBUYDUYCM
      UXAXLUDXRMXPZXSWBXTZUYEYAMYBYHYCAUXQUXPUXOUVQUQZHUXOUSZUQZXQAUYGCUXOUQZUY
      IAUYGUXOCUQUYJAUVQCUXOAUVQUVPDUVPCXDUSXEZUNZCUVPEUYKUIYDUVPVQVNACNVNUVPDV
      LVNXGUYLCUQMUOUPYEUAABCDIJLMNOPQRSTUAUBUCUDYFDVQNUVPCXIYGYIYJUXOCYKYLAUYJ
      UYIAUYJXBHCUSZUYHUKUYJUYMUYHUQACUXOYMYNYSYOYPUXPUVRUYGUXNUYIUVOUXOUVQYTUX
      PUVTUYHHUVOUXOYMYJYQYRWIUUHUUAAUWBUVRXGABCDEFHIJKLMNOPQRSTUAUBUCUDUEUFUGU
      HUIUJUUBXFUUCAUVLUVIGUVMMUSZXEZVEZUVNUVIGUYNVEZXBZUVNUWCXBAUVIGUVKUYOAUVK
      VHUVPVDVGZUYOAUVJUVPVHVDABCDFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUUDUUEAUYCUYSUY
      OUQUYFVHMUUFWBYSUUGUYPUYRVRAUVIGUVMUYNUUIUUJAUYQUWCUVNMVQVNUYQUWCVRAMIVCU
      DUUKUVIUWCGMVQUURMEKUVCUULUUMUUNUUOUUPUUQ $.

    $( Append one path segment (edge) ` E ` from vertex ` ( P `` N ) ` to a
       vertex ` C ` to a walk ` <. F , P >. ` to become a walk ` <. H , Q >. `
       of the supergraph ` S ` obtained by adding the new edge to the graph
       ` G ` .  Formerly proven directly for Eulerian paths (for pseudographs),
       see ~ eupthp1 .  (Contributed by Mario Carneiro, 7-Apr-2015.)  (Revised
       by AV, 6-Mar-2021.)  (Proof shortened by AV, 18-Apr-2021.)  (Revised by
       AV, 8-Apr-2024.) $)
    wlkp1 $p |- ( ph -> H ( Walks ` S ) Q ) $=
      ( vk cwlks cfv wbr ciedg cdm cword wcel cc0 chash cfz co cvtx wf cv caddc
      c1 wceq csn cpr wss wif cfzo wral cun cop cin c0 wlkf eqcomi oveq2i feq2i
      wrdf sylib 3syl cvv fvexi a1i snidg cedg eleqtrrd fsnd fzodisjsn syl21anc
      syl dmsnopg fun wlkp1lem2 oveq2d cuz cn0 wlkcl wi wb eleq1 eqcoms elnn0uz
      biimpi syl6bi ax-mp fzosplitsn eqtrd dmeqd dmun eqtrdi mpbird iswrdb wlkp
      feq123d sylibr ovexd fzp1disj fzsuc unidm feq23d wlkp1lem8 wlkp1lem4 eqid
      w3a iswlk mpbir3and ) AJEFULUMUNZJFUOUMZUPZUQURZUSJUTUMZVAVBZFVCUMZEVDZUK
      VEZEUMZYTVGVFVBEUMZVHYTJUMYMUMZUUAVIVHUUAUUBVJUUCVKVLUKUSYPVMVBZVNZAUUDYN
      JVDZYOAUUFUSLVMVBZLVIZVOZKUPZBGVPVIZUPZVOZHLBVPVIZVOZVDZAUUGUUJHVDZUUHUUL
      UUNVDUUGUUHVQVRVHZUUPAHDIULUMUNZHUUJUQURZUUQUBDHIKPVSUUTUSHUTUMZVMVBZUUJH
      VDUUQUUJHWCUVBUUGUUJHUVALUSVMLUVAUCVTWAWBWDWEALBWFUULLWFURALHUTUCWGWHABBV
      IZUULABNURBUVCURSBNWIWOAGIWJUMZURUULUVCVHUDBGUVDWPWOWKWLUURAUSLWMWHUUGUUH
      UUJUULHUUNWQWNAUUDUUIYNUUMJUUOJUUOVHAUGWHAUUDUSLVGVFVBZVMVBZUUIAYPUVEUSVM
      ABCDFGHIJKLMNOPQRSTUAUBUCUDUEUFUGWRZWSALUSWTUMURZUVFUUIVHAUUSUVAXAURZUVHU
      BDHIXBLUVAVHZUVIUVHXCUCUVJUVILXAURZUVHUVIUVKXDUVALUVALXAXEXFUVKUVHLXGXHXI
      XJWEZUSLXKWOXLAYNKUUKVOZUPUUMAYMUVMUFXMKUUKXNXOXSXPYNJXQXTAYSUSUVEVAVBZMD
      UVECVPVIZVOZVDZAUVQUSLVAVBZUVEVIZVOZMMVOZUVPVDZAUVRMDVDZUVSMUVOVDUVRUVSVQ
      VRVHZUWBAUSUVAVAVBZMDVDZUWCAUUSUWFUBDHIMOXRWOUVRUWEMDLUVAUSVAUCWAWBXTAUVE
      CWFMALVGVFYATWLUWDAUSLYBWHUVRUVSMMDUVOWQWNAUVNMUVTUWAUVPAUVHUVNUVTVHUVLUS
      LYCWOMUWAVHAUWAMMYDVTWHYEXPAYQUVNYRMEUVPEUVPVHAUHWHAYPUVEUSVAUVGWSUIXSXPA
      BCDEFUKGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJYFAFWFURJWFUREWFURYIYLYOYSUUEYIX
      DABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIYGEWFUKJFYMYRWFWFYRYHYMYHYJWOYK $.
  $}

  ${
    $d F k $.  $d P k $.
    wlkd.p $e |- ( ph -> P e. Word _V ) $.
    wlkd.f $e |- ( ph -> F e. Word _V ) $.
    wlkd.l $e |- ( ph -> ( # ` P ) = ( ( # ` F ) + 1 ) ) $.
    ${
      $d V k $.
      wlkdlem1.v $e |- ( ph -> A. k e. ( 0 ... ( # ` F ) ) ( P ` k ) e. V ) $.
      $( Lemma 1 for ~ wlkd .  (Contributed by AV, 7-Feb-2021.) $)
      wlkdlem1 $p |- ( ph -> P : ( 0 ... ( # ` F ) ) --> V ) $=
        ( cc0 chash cfv cfzo co cvv wf cfz cword wcel syl wrdf c1 caddc cz wceq
        oveq2d cn0 lencl nn0zd fzval3 eqtr4d feq2d wss cv wb ssv frnssb sylancr
        wral bitrd mpbid ) AJBKLZMNZOBPZJDKLZQNZEBPZABORZSVDFOBUATAVDVFOBPZVGAV
        CVFOBAVCJVEUBUCNZMNZVFAVBVJJMHUFAVEUDSVFVKUEAVEADVHSVEUGSGODUHTUIJVEUJT
        UKULAEOUMCUNBLESCVFUSVIVGUOEUPIVFCBEOUQURUTVA $.
    $}

    $d I k $.  $d ph k $.
    wlkd.e $e |- ( ph -> A. k e. ( 0 ..^ ( # ` F ) )
                    { ( P ` k ) , ( P ` ( k + 1 ) ) } C_ ( I ` ( F ` k ) ) ) $.
    $( Lemma 2 for ~ wlkd .  (Contributed by AV, 7-Feb-2021.) $)
    wlkdlem2 $p |- ( ph -> ( ( ( # ` F ) e. NN -> ( P ` ( # ` F ) )
                                         e. ( I ` ( F ` ( ( # ` F ) - 1 ) ) ) )
                              /\ A. k e. ( 0 ..^ ( # ` F ) )
                                 ( P ` k ) e. ( I ` ( F ` k ) ) ) ) $=
      ( cfv wcel c1 co wi wral caddc cpr wss wa fvex chash cn cmin cfzo fzo0end
      cv cc0 wceq fveq2 fvoveq1 preq12d 2fveq3 sseq12d rspcv syl prss cc npcan1
      nncn fveq2d eleq1d biimpd adantld syl5bir syld syl5com simpl a1i ralimdva
      sylbir mpd jca ) ADUAJZUBKZVMBJZVMLUCMZDJEJZKZNCUFZBJZVSDJEJZKZCUGVMUDMZO
      ZAVTVSLPMZBJZQZWARZCWCOZVNVRIVNWIVPBJZVPLPMZBJZQZVQRZVRVNVPWCKWIWNNVMUEWH
      WNCVPWCVSVPUHZWGWMWAVQWOVTWJWFWLVSVPBUIVSVPLBPUJUKVSVPEDULUMUNUOWNWJVQKZW
      LVQKZSVNVRWJWLVQVPBTWKBTUPVNWQVRWPVNWQVRVNWLVOVQVNWKVMBVNVMUQKWKVMUHVMUSV
      MURUOUTVAVBVCVDVEVFAWIWDIAWHWBCWCWHWBNAVSWCKSWHWBWFWAKZSWBVTWFWAVSBTWEBTU
      PWBWRVGVJVHVIVKVL $.

    $( Lemma 3 for ~ wlkd .  (Contributed by Alexander van der Vekens,
       10-Nov-2017.)  (Revised by AV, 7-Feb-2021.) $)
    wlkdlem3 $p |- ( ph -> F e. Word dom I ) $=
      ( cvv cword wcel cv cfv cdm cc0 chash cfzo co wral cn c1 cmin wi wlkdlem2
      elfvdm ralimi simpl2im iswrdsymb syl2anc ) ADJKLCMZDNZEOZLZCPDQNZRSZTZDUM
      KLGAUOUALUOBNUOUBUCSDNENLUDUKBNZULENLZCUPTUQABCDEFGHIUEUSUNCUPURULEUFUGUH
      CUMDUIUJ $.

    wlkd.n $e |- ( ph -> A. k e. ( 0 ..^ ( # ` F ) )
                            ( P ` k ) =/= ( P ` ( k + 1 ) ) ) $.
    $( Lemma 4 for ~ wlkd .  (Contributed by Alexander van der Vekens,
       1-Feb-2018.)  (Revised by AV, 23-Jan-2021.) $)
    wlkdlem4 $p |- ( ph -> A. k e. ( 0 ..^ ( # ` F ) )
            if- ( ( P ` k ) = ( P ` ( k + 1 ) ) ,
                  ( I ` ( F ` k ) ) = { ( P ` k ) } ,
                  { ( P ` k ) , ( P ` ( k + 1 ) ) } C_ ( I ` ( F ` k ) ) ) ) $=
      ( cv cfv c1 caddc co cpr wss wral wceq wa cc0 chash wne csn wif r19.26 wn
      cfzo wb df-ne ifpfal sylbi biimparc ralimi sylbir syl2anc ) ACKZBLZUQMNOB
      LZPUQDLELZQZCUADUBLUHOZRZURUSUCZCVBRZURUSSZUTURUDSZVAUEZCVBRZIJVCVETVAVDT
      ZCVBRVIVAVDCVBUFVJVHCVBVDVHVAVDVFUGVHVAUIURUSUJVFVGVAUKULUMUNUOUP $.

    $d G k $.  $d V k $.  $d ph k $.
    wlkd.g $e |- ( ph -> G e. W ) $.
    wlkd.v $e |- V = ( Vtx ` G ) $.
    wlkd.i $e |- I = ( iEdg ` G ) $.
    wlkd.a $e |- ( ph -> A. k e. ( 0 ... ( # ` F ) ) ( P ` k ) e. V ) $.
    $( Two words representing a walk in a graph.  (Contributed by AV,
       7-Feb-2021.) $)
    wlkd $p |- ( ph -> F ( Walks ` G ) P ) $=
      ( cfv wcel co cwlks wbr cdm cword cc0 chash cfz wf cv c1 wceq csn cpr wss
      caddc wif cfzo wral wlkdlem3 wlkdlem1 wlkdlem4 cvv w3a wb iswlk mpbir3and
      syl3anc ) ADBEUARUBZDFUCUDSZUEDUFRZUGTGBUHZCUIZBRZVLUJUOTBRZUKVLDRFRZVMUL
      UKVMVNUMVOUNUPCUEVJUQTURZABCDFIJKLUSABCDGIJKQUTABCDFIJKLMVAAEHSDVBUDZSBVQ
      SVHVIVKVPVCVDNJIBVQCDEFGHVQOPVEVGVF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Walks for loop-free graphs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d F k x $.  $d G k $.  $d I k x $.  $d P k $.  $d V k x $.
    lfgrwlkprop.i $e |- I = ( iEdg ` G ) $.
    $( Two adjacent vertices in a walk are different in a loop-free graph.
       (Contributed by AV, 28-Jan-2021.) $)
    lfgrwlkprop $p |- ( ( F ( Walks ` G ) P
                            /\ I : dom I --> { x e. ~P V | 2 <_ ( # ` x ) } )
            -> A. k e. ( 0 ..^ ( # ` F ) ) ( P ` k ) =/= ( P ` ( k + 1 ) ) ) $=
      ( cfv wbr c2 chash cle c1 co wi wcel wceq cvv wa cwlks cdm cv cpw crab wf
      caddc wne cc0 cfzo wral cword cfz cvtx csn cpr wss wif wb wlkv eqid iswlk
      w3a syl ifptru adantr simplr wrdsymbcl ad4ant14 ffvelrnd fveq2 elrab fvex
      breq2d hashsng ax-mp breq2i clt 1lt2 wn 1re 2re ltnlei pm2.21 sylbi com12
      syl6bi adantl a1i syl5bi mpd sylbid ex neqne 2a1d pm2.61i ralimdva 3impia
      com23 pm2.43i imp ) DBEUAIJZFUBZKAUCZLIZMJZAGUDZUEZFUFZCUCZBIZXJNUGOBIZUH
      ZCUIDLIZUJOZUKZXBXIXPPZXBXBDXCULQZUIXNUMOEUNIZBUFZXKXLRZXJDIZFIZXKUOZRZXK
      XLUPYCUQZURZCXOUKZVCZXQXBESQDSQBSQVCXBYIUSBDEUTBSCDEFXSSSXSVAHVBVDXRXTYHX
      QXRXTTZXIYHXPYJXIYHXPPYJXITZYGXMCXOYAYKXJXOQZTZYGXMPZPYAYMYNYAYMTYGYEXMYA
      YGYEUSYMYAYEYFVEVFYMYEXMPZYAYMYCXHQZYOYMXCXHYBFYJXIYLVGXRYLYBXCQXTXIXJXCD
      VHVIVJYPYCXGQZKYCLIZMJZTZYMYOXFYSAYCXGXDYCRXEYRKMXDYCLVKVNVLYTYOPYMYSYOYQ
      YEYSXMYEYSKYDLIZMJZXMYEYRUUAKMYCYDLVKVNUUBKNMJZXMUUANKMXKSQUUANRXJBVMXKSV
      OVPVQNKVRJZUUCXMPZVSUUDUUCVTUUENKWAWBWCUUCXMWDWEVPWEWGWFWHWIWJWKWHWLWMYAV
      TXMYMYGXKXLWNWOWPWQWMWSWRWGWTXA $.

    lfgriswlk.v $e |- V = ( Vtx ` G ) $.
    $( Conditions for a pair of functions to be a walk in a loop-free graph.
       (Contributed by AV, 28-Jan-2021.) $)
    lfgriswlk $p |- ( ( G e. W
                        /\ I : dom I --> { x e. ~P V | 2 <_ ( # ` x ) } )
             -> ( F ( Walks ` G ) P <-> ( F e. Word dom I
                                      /\ P : ( 0 ... ( # ` F ) ) --> V
                                      /\ A. k e. ( 0 ..^ ( # ` F ) )
                                         ( ( P ` k ) =/= ( P ` ( k + 1 ) )
                                           /\ { ( P ` k ) , ( P ` ( k + 1 ) ) }
                                              C_ ( I ` ( F ` k ) ) ) ) ) ) $=
      ( wcel cv chash cfv wbr wf wa co wral adantl cdm cle cpw crab cwlks cword
      c2 cc0 cfz c1 caddc wne cpr wss cfzo w3a wlkf wlkp lfgrwlkprop expcom imp
      wi wlkvtxeledg r19.26 sylanbrc 3jca csn wif simpr1 simpr2 wn df-ne ifpfal
      wceq wb sylbi biimpar ralimi 3ad2ant3 iswlkg ad2antrr mpbir3and impbida )
      EHKZFUAZUGALMNUBOAGUCUDFPZQZDBEUENOZDWEUFKZUHDMNZUIRGBPZCLZBNZWLUJUKRBNZU
      LZWMWNUMWLDNFNZUNZQZCUHWJUORZSZUPZWGWHQZWIWKWTWHWIWGBDEFIUQTWHWKWGBDEGJUR
      TXBWOCWSSZWQCWSSZWTWGWHXCWFWHXCVBWDWHWFXCABCDEFGIUSUTTVAWHXDWGBCDEFIVCTWO
      WQCWSVDVEVFWGXAQWHWIWKWMWNVNZWPWMVGVNZWQVHZCWSSZWGWIWKWTVIWGWIWKWTVJXAXHW
      GWTWIXHWKWRXGCWSWOXGWQWOXEVKXGWQVOWMWNVLXEXFWQVMVPVQVRVSTWDWHWIWKXHUPVOWF
      XABCDEFGHJIVTWAWBWC $.

    $( In a loop-free graph, each walk has no loops!  (Contributed by AV,
       2-Feb-2021.) $)
    lfgrwlknloop $p |- ( ( I : dom I --> { x e. ~P V | 2 <_ ( # ` x ) }
                            /\ F ( Walks ` G ) P )
            -> A. k e. ( 0 ..^ ( # ` F ) ) ( P ` k ) =/= ( P ` ( k + 1 ) ) ) $=
      ( cfv wbr cv chash wf co cc0 wral cvv wcel wi cwlks cdm c2 cle crab caddc
      cpw c1 wne cfzo w3a wlkv wa cword cfz cpr lfgriswlk simpl ralimi 3ad2ant3
      wss syl6bi ex com23 3ad2ant1 mpcom impcom ) DBEUAJKZFUBZUCALMJUDKAGUGUEFN
      ZCLZBJZVKUHUFOBJZUIZCPDMJZUJOZQZERSZDRSZBRSZUKVHVJVQTZBDEULVRVSVHWATVTVRV
      JVHVQVRVJVHVQTVRVJUMVHDVIUNSZPVOUOOGBNZVNVLVMUPVKDJFJVAZUMZCVPQZUKVQABCDE
      FGRHIUQWFWBVQWCWEVNCVPVNWDURUSUTVBVCVDVEVFVG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Trails
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Trails $.
  $c TrailsOn $.

  $( Extend class notation with trails (within a graph). $)
  ctrls $a class Trails $.

  $( Extend class notation with trails between two vertices (within a
     graph). $)
  ctrlson $a class TrailsOn $.

  ${
    $d f g p $.
    $( Define the set of all Trails (in an undirected graph).

       According to Wikipedia ("Path (graph theory)",
       ~ https://en.wikipedia.org/wiki/Path_(graph_theory) , 3-Oct-2017):  "A
       trail is a walk in which all edges are distinct.

       According to Bollobas:  "... walk is called a trail if all its edges are
       distinct.", see Definition of [Bollobas] p. 5.

       Therefore, a trail can be represented by an injective mapping f from {
       1 , ... , n } and a mapping p from { 0 , ... , n }, where f enumerates
       the (indices of the) different edges, and p enumerates the vertices.  So
       the trail is also represented by the following sequence: p(0) e(f(1))
       p(1) e(f(2)) ... p(n-1) e(f(n)) p(n).  (Contributed by Alexander van der
       Vekens and Mario Carneiro, 4-Oct-2017.)  (Revised by AV,
       28-Dec-2020.) $)
    df-trls $a |- Trails = ( g e. _V |-> { <. f , p >. |
                                      ( f ( Walks ` g ) p /\ Fun `' f ) } ) $.

    $d a b f g p $.
    $( Define the collection of trails with particular endpoints (in an
       undirected graph).  (Contributed by Alexander van der Vekens and Mario
       Carneiro, 4-Oct-2017.)  (Revised by AV, 28-Dec-2020.) $)
    df-trlson $a |- TrailsOn = ( g e. _V
                                |-> ( a e. ( Vtx ` g ) , b e. ( Vtx ` g )
                         |-> { <. f , p >. | ( f ( a ( WalksOn ` g ) b ) p
                                               /\ f ( Trails ` g ) p ) } ) ) $.
  $}

  ${
    $d f g p $.
    $( The set ` ( Trails `` G ) ` of all trails on ` G ` is a set of pairs by
       our definition of a trail, and so is a relation.  (Contributed by AV,
       29-Oct-2021.) $)
    reltrls $p |- Rel ( Trails ` G ) $=
      ( vf vp vg cv cwlks cfv wbr ccnv wfun wa cvv ctrls df-trls relmptopab ) B
      EZCEDEFGHPIJKDBCLAMBDCNO $.
  $}

  ${
    $d G f g p $.
    $( The set of trails (in an undirected graph).  (Contributed by Alexander
       van der Vekens, 20-Oct-2017.)  (Revised by AV, 28-Dec-2020.)  (Revised
       by AV, 29-Oct-2021.) $)
    trlsfval $p |- ( Trails ` G ) = { <. f , p >. |
                                      ( f ( Walks ` G ) p /\ Fun `' f ) } $=
      ( vg ctrls cfv cv cwlks wbr ccnv wfun copab wceq wtru biidd cvv wcel wksv
      wa a1i df-trls fvmptopab mptru ) BEFAGZCGBHFIZUDJKZSACLMNUFUFACDHEBNDGBMS
      UFOUEACLPQNABCRTADCUAUBUC $.

    $d F f p $.  $d P f p $.
    $( Conditions for a pair of classes/functions to be a trail (in an
       undirected graph).  (Contributed by Alexander van der Vekens,
       20-Oct-2017.)  (Revised by AV, 28-Dec-2020.)  (Revised by AV,
       29-Oct-2021.) $)
    istrl $p |- ( F ( Trails ` G ) P
                  <-> ( F ( Walks ` G ) P /\ Fun `' F ) ) $=
      ( vf vp cv ccnv wfun ctrls cwlks trlsfval wceq cnveq funeqd adantr relwlk
      wb brfvopabrbr ) DFZGZHZBGZHZDEIJBACDCEKSBLZUAUCQEFALUDTUBSBMNOCPR $.
  $}

  $( A trail is a walk.  (Contributed by Alexander van der Vekens,
     20-Oct-2017.)  (Revised by AV, 7-Jan-2021.)  (Proof shortened by AV,
     29-Oct-2021.) $)
  trliswlk $p |- ( F ( Trails ` G ) P -> F ( Walks ` G ) P ) $=
    ( ctrls cfv wbr cwlks ccnv wfun istrl simplbi ) BACDEFBACGEFBHIABCJK $.

  ${
    trlf1.i $e |- I = ( iEdg ` G ) $.
    $( The enumeration ` F ` of a trail ` <. F , P >. ` is injective.
       (Contributed by AV, 20-Feb-2021.)  (Proof shortened by AV,
       29-Oct-2021.) $)
    trlf1 $p |- ( F ( Trails ` G ) P
                  -> F : ( 0 ..^ ( # ` F ) ) -1-1-> dom I ) $=
      ( ctrls cfv wbr cwlks ccnv wfun wa cc0 chash cfzo co cdm wf1 istrl cword
      wcel wf wi wlkf wrdf df-f1 simplbi2 3syl imp sylbi ) BACFGHBACIGHZBJKZLMB
      NGOPZDQZBRZABCSUKULUOUKBUNTUAUMUNBUBZULUOUCABCDEUDUNBUEUOUPULUMUNBUFUGUHU
      IUJ $.
  $}

  ${
    trlres.v $e |- V = ( Vtx ` G ) $.
    trlres.i $e |- I = ( iEdg ` G ) $.
    trlres.d $e |- ( ph -> F ( Trails ` G ) P ) $.
    trlres.n $e |- ( ph -> N e. ( 0 ..^ ( # ` F ) ) ) $.
    trlres.h $e |- H = ( F prefix N ) $.
    $( Lemma for ~ trlres .  Formerly part of proof of ~ eupthres .
       (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by Mario
       Carneiro, 3-May-2015.)  (Revised by AV, 6-Mar-2021.)  Hypothesis revised
       using the prefix operation.  (Revised by AV, 30-Nov-2022.) $)
    trlreslem $p |- ( ph -> H : ( 0 ..^ ( # ` H ) )
                              -1-1-onto-> dom ( I |` ( F " ( 0 ..^ N ) ) ) ) $=
      ( cc0 chash cfv cfzo co wcel 3syl cima cres cdm wf1 wss ctrls wbr syl cuz
      wf1o trlf1 elfzouz2 fzoss2 f1ores cpfx cword cfz wceq cwlks trliswlk wlkf
      syl2anc fzossfz sselid pfxres syl5eq fveq2i elfzofz pfxlen oveq2d wf wrdf
      fimass ssdmres sylib f1oeq123d mpbird ) ANEOPZQRZFCNGQRZUAZUBUCZEUJVTWACV
      TUBZUJZANCOPZQRZFUCZCUDZVTWFUEZWDACBDUFPUGZWHKBCDFJUKUHAGWFSZWEGUIPSWILGN
      WEULGNWEUMTWFWGVTCUNVBAVSVTWBWAEWCAECGUORZWCMACWGUPSZGNWEUQRZSZWLWCURAWJC
      BDUSPUGZWMKBCDUTZBCDFJVAZTZAWFWNGNWEVCLVDWGCGVEVBVFAVRGNQAVRWLOPZGEWLOMVG
      AWMWOWTGURWSAWKWOLGNWEVHUHWGCGVIVBVFVJAWAWGUEZWBWAURAWJWPXAKWQWPWMWFWGCVK
      XAWRWGCVLWFWGCVTVMTTWAFVNVOVPVQ $.

    trlres.s $e |- ( ph -> ( Vtx ` S ) = V ) $.
    trlres.e $e |- ( ph -> ( iEdg ` S ) = ( I |` ( F " ( 0 ..^ N ) ) ) ) $.
    trlres.q $e |- Q = ( P |` ( 0 ... N ) ) $.
    $( The restriction ` <. H , Q >. ` of a trail ` <. F , P >. ` to an initial
       segment of the trail (of length ` N ` ) forms a trail on the subgraph
       ` S ` consisting of the edges in the initial segment.  (Contributed by
       AV, 6-Mar-2021.)  Hypothesis revised using the prefix operation.
       (Revised by AV, 30-Nov-2022.) $)
    trlres $p |- ( ph -> H ( Trails ` S ) Q ) $=
      ( cfv wbr cwlks ccnv wfun ctrls trliswlk syl wlkres cc0 cfzo co cima cres
      chash cdm wf1o wf1 trlreslem f1of1 wf df-f1 simprbi 3syl istrl sylanbrc )
      AGCDUASTGUBUCZGCDUDSTABCDEFGHIJKLAEBFUDSTEBFUASTMBEFUEUFNPQORUGAUHGUMSUIU
      JZHEUHIUIUJUKULUNZGUOVFVGGUPZVEABEFGHIJKLMNOUQVFVGGURVHVFVGGUSVEVFVGGUTVA
      VBCGDVCVD $.
  $}

  ${
    $d G f k p $.  $d I f k p $.  $d V k p $.
    upgrtrls.v $e |- V = ( Vtx ` G ) $.
    upgrtrls.i $e |- I = ( iEdg ` G ) $.
    $( The set of trails in a pseudograph, definition of walks expanded.
       (Contributed by Alexander van der Vekens, 20-Oct-2017.)  (Revised by AV,
       7-Jan-2021.) $)
    upgrtrls $p |- ( G e. UPGraph -> ( Trails ` G ) = { <. f , p >. |
            ( ( f e. Word dom I /\ Fun `' f )
              /\ p : ( 0 ... ( # ` f ) ) --> V
              /\ A. k e. ( 0 ..^ ( # ` f ) )
                 ( I ` ( f ` k ) ) = { ( p ` k ) , ( p ` ( k + 1 ) ) } ) } ) $=
      ( cupgr wcel ctrls cfv cv cwlks wa copab cc0 co w3a 3anass wbr ccnv cword
      wfun cdm chash cfz wf c1 caddc cpr wceq cfzo wral trlsfval upgriswlk an32
      anbi1d anbi1i 3bitr4i bitrdi opabbidv syl5eq ) CIJZCKLAMZFMZCNLUAZVEUBUDZ
      OZAFPVEDUEUCJZVHOZQVEUFLZUGREVFUHZBMZVELDLVNVFLVNUIUJRVFLUKULBQVLUMRUNZSZ
      AFPACFUOVDVIVPAFVDVIVJVMVOSZVHOZVPVDVGVQVHVFBVECDEGHUPURVJVMVOOZOZVHOVKVS
      OVRVPVJVSVHUQVQVTVHVJVMVOTUSVKVMVOTUTVAVBVC $.

    $d F k $.  $d P k $.
    $( Properties of a pair of functions to be a trail in a pseudograph,
       definition of walks expanded.  (Contributed by Alexander van der Vekens,
       20-Oct-2017.)  (Revised by AV, 7-Jan-2021.)  (Revised by AV,
       29-Oct-2021.) $)
    upgristrl $p |- ( G e. UPGraph -> ( F ( Trails ` G ) P
      <-> ( ( F e. Word dom I /\ Fun `' F ) /\ P : ( 0 ... ( # ` F ) ) --> V
              /\ A. k e. ( 0 ..^ ( # ` F ) )
                 ( I ` ( F ` k ) ) = { ( P ` k ) , ( P ` ( k + 1 ) ) } ) ) ) $=
      ( ctrls cfv wbr cwlks ccnv wfun wa wcel cc0 co w3a 3anass cupgr cdm cword
      chash cfz wf cv c1 caddc cpr wceq cfzo wral istrl upgriswlk anbi1d anbi1i
      an32 3bitr4i bitrdi syl5bb ) CADIJKCADLJKZCMNZOZDUAPZCEUBUCPZVCOZQCUDJZUE
      RFAUFZBUGZCJEJVJAJVJUHUIRAJUJUKBQVHULRUMZSZACDUNVEVDVFVIVKSZVCOZVLVEVBVMV
      CABCDEFGHUOUPVFVIVKOZOZVCOVGVOOVNVLVFVOVCURVMVPVCVFVIVKTUQVGVIVKTUSUTVA
      $.

    $( Properties of a pair of a one-to-one function into the set of indices of
       edges and a function into the set of vertices to be a trail in a
       pseudograph.  (Contributed by Alexander van der Vekens, 20-Oct-2017.)
       (Revised by AV, 7-Jan-2021.)  (Revised by AV, 29-Oct-2021.) $)
    upgrf1istrl $p |- ( G e. UPGraph -> ( F ( Trails ` G ) P
                   <-> ( F : ( 0 ..^ ( # ` F ) ) -1-1-> dom I
                         /\ P : ( 0 ... ( # ` F ) ) --> V
                         /\ A. k e. ( 0 ..^ ( # ` F ) ) ( I ` ( F ` k ) )
                                   = { ( P ` k ) , ( P ` ( k + 1 ) ) } ) ) ) $=
      ( cupgr wcel ctrls cfv wbr cdm cword wa cc0 co wf w3a ccnv wfun chash cfz
      cv c1 caddc cpr wceq cfzo wral wf1 upgristrl wb iswrdb a1i anbi1d bitr4di
      df-f1 3anbi1d bitrd ) DIJZCADKLMCENZOJZCUAUBZPZQCUCLZUDRFASZBUEZCLELVIALV
      IUFUGRALUHUIBQVGUJRZUKZTVJVCCULZVHVKTABCDEFGHUMVBVFVLVHVKVBVFVJVCCSZVEPVL
      VBVDVMVEVDVMUNVBVCCUOUPUQVJVCCUSURUTVA $.
  $}

  ${
    $d A a b f g p $.  $d B a b f g p $.  $d G a b f g p $.  $d O a b g $.
    $d Q a b g $.  $d V a b f g p $.
    wksonproplem.v $e |- V = ( Vtx ` G ) $.
    wksonproplem.b $e |- ( ( ( G e. _V /\ A e. V /\ B e. V )
                     /\ ( F e. _V /\ P e. _V ) ) -> ( F ( A ( W ` G ) B ) P
                          <-> ( F ( A ( O ` G ) B ) P /\ F ( Q ` G ) P ) ) ) $.
    wksonproplem.d $e |- W = ( g e. _V
                        |-> ( a e. ( Vtx ` g ) , b e. ( Vtx ` g )
                              |-> { <. f , p >. | ( f ( a ( O ` g ) b ) p
                                                    /\ f ( Q ` g ) p ) } ) ) $.
    wksonproplem.w $e |- ( ( ( G e. _V /\ A e. V /\ B e. V )
                               /\ f ( Q ` G ) p ) -> f ( Walks ` G ) p ) $.
    $( Lemma for theorems for properties of walks between two vertices, e.g.,
       ~ trlsonprop .  (Contributed by AV, 16-Jan-2021.) $)
    wksonproplem $p |- ( F ( A ( W ` G ) B ) P
                 -> ( ( G e. _V /\ A e. V /\ B e. V ) /\ ( F e. _V /\ P e. _V )
                      /\ ( F ( A ( O ` G ) B ) P /\ F ( Q ` G ) P ) ) ) $=
      ( cvv wa cfv co wbr wcel w3a wi fvexi cv cwlks simp1 simp2 eleqtrdi simp3
      cvtx copab wksv mptmpoopabovd fveq2 eqtr4di oveqd breqd anbi12d bropfvvvv
      wceq mp2an 3anass anbi1i df-3an bitr4i sylibr biimpd imdistani mpancom
      a1i ) GCABHKUAUBUCZHSUDZAJUDZBJUDZUEZGSUDCSUDTZTZGCABHIUAZUBZUCGCHDUAZUCT
      ZTZVSVTWEUEWAVOWFVOVPVQVRTZVTUEZWAJSUDZWIVOWHUFJHUNOUGZWJEUHZLUHZMUHZNUHZ
      FUHZIUAZUBZUCZWKWLWODUAZUCZTWKWLWMWNWBUBZUCZWKWLWDUCZTWKWLWCUCXCTHABGJJSL
      CKWOUNUAZXDSSFMNEQVSWKWLHUIUAUCZUNUNIDEFLHKSSABMNVPVQVRUJVSAJHUNUAZVPVQVR
      UKOULVSBJXFVPVQVRUMOULXEELUOSUDVSEHLUPVNRQUQWOHVDZXDXFJWOHUNUROUSZXHXGWRX
      BWTXCXGWQXAWKWLXGWPWBWMWNWOHIURUTVAXGWSWDWKWLWOHDURVAVBVCVEWAVPWGTZVTTWHV
      SXIVTVPVQVRVFVGVPWGVTVHVIVJWAVOWEWAVOWEPVKVLVMVSVTWEVHVJ $.
  $}

  ${
    $d A a b f g p $.  $d B a b f g p $.  $d G a b f g p $.  $d V a b f g p $.
    trlsonfval.v $e |- V = ( Vtx ` G ) $.
    $( The set of trails between two vertices.  (Contributed by Alexander van
       der Vekens, 4-Nov-2017.)  (Revised by AV, 7-Jan-2021.)  (Proof shortened
       by AV, 15-Jan-2021.)  (Revised by AV, 21-Mar-2021.) $)
    trlsonfval $p |- ( ( A e. V /\ B e. V ) -> ( A ( TrailsOn ` G ) B )
                       = { <. f , p >. | ( f ( A ( WalksOn ` G ) B ) p
                                           /\ f ( Trails ` G ) p ) } ) $=
      ( vg va vb wcel wa cv cwlks cfv wbr cvtx ctrls cvv eleqtrdi 1vgrex adantr
      cwlkson ctrlson simpl simpr copab wksv a1i adantl df-trlson mptmpoopabovd
      trliswlk ) AEKZBEKZLZCMZFMZDNOPZQQUCRCHFDUDSSABIJUNDSKUODAEGUAUBUPAEDQOZU
      NUOUEGTUPBEUTUNUOUFGTUSCFUGSKUPCDFUHUIUQURDROPUSUPURUQDUMUJCHFIJUKUL $.

    $d F f p $.  $d P f p $.
    $( Properties of a pair of functions to be a trail between two given
       vertices.  (Contributed by Alexander van der Vekens, 3-Nov-2017.)
       (Revised by AV, 7-Jan-2021.)  (Revised by AV, 21-Mar-2021.) $)
    istrlson $p |- ( ( ( A e. V /\ B e. V ) /\ ( F e. U /\ P e. Z ) )
                     -> ( F ( A ( TrailsOn ` G ) B ) P
               <-> ( F ( A ( WalksOn ` G ) B ) P /\ F ( Trails ` G ) P ) ) ) $=
      ( vf vp wcel wa ctrlson cfv co wbr cv wceq breq12 cwlkson trlsonfval eqid
      ctrls copab breqd anbi12d brabga sylan9bb ) AGLBGLMZECABFNOPZQECJRZKRZABF
      UAOPZQZULUMFUDOZQZMZJKUEZQEDLCHLMECUNQZECUPQZMZUJUKUSECABJFGKIUBUFURVBJKE
      CUSDHULESUMCSMUOUTUQVAULEUMCUNTULEUMCUPTUGUSUCUHUI $.

    $( Properties of a trail between two vertices.  (Contributed by Alexander
       van der Vekens, 5-Nov-2017.)  (Revised by AV, 7-Jan-2021.)  (Proof
       shortened by AV, 16-Jan-2021.) $)
    trlsonprop $p |- ( F ( A ( TrailsOn ` G ) B ) P
           -> ( ( G e. _V /\ A e. V /\ B e. V ) /\ ( F e. _V /\ P e. _V )
                /\ ( F ( A ( WalksOn ` G ) B ) P /\ F ( Trails ` G ) P ) ) ) $=
      ( vf vg vp va vb ctrls cwlkson ctrlson wcel cvv wa cfv wbr co wb istrlson
      3adantl1 df-trlson cv cwlks w3a trliswlk adantl wksonproplem ) ABCMHIDENF
      OJKLGAFPZBFPZDQPCQPRDCABEOSUATDCABENSUATDCEMSZTRUBEQPZABCQDEFQGUCUDHIJKLU
      EHUFZJUFZUNTUPUQEUGSTUOULUMUHUQUPEUIUJUK $.
  $}

  $( A trail between two vertices is a trail.  (Contributed by Alexander van
     der Vekens, 12-Dec-2017.)  (Revised by AV, 7-Jan-2021.) $)
  trlsonistrl $p |- ( F ( A ( TrailsOn ` G ) B ) P -> F ( Trails ` G ) P ) $=
    ( ctrlson cfv co wbr cvv wcel cvtx w3a cwlkson ctrls eqid trlsonprop simp3r
    wa syl ) DCABEFGHIEJKAELGZKBUAKMZDJKCJKSZDCABENGHIZDCEOGIZSMUEABCDEUAUAPQUB
    UCUDUERT $.

  $( A trail between two vertices is a walk between these vertices.
     (Contributed by Alexander van der Vekens, 5-Nov-2017.)  (Revised by AV,
     7-Jan-2021.) $)
  trlsonwlkon $p |- ( F ( A ( TrailsOn ` G ) B ) P
                     -> F ( A ( WalksOn ` G ) B ) P ) $=
    ( ctrlson cfv co wbr cvv wcel cvtx w3a cwlkson ctrls eqid trlsonprop simp3l
    wa syl ) DCABEFGHIEJKAELGZKBUAKMZDJKCJKSZDCABENGHIZDCEOGIZSMUDABCDEUAUAPQUB
    UCUDUERT $.

  $( A trail is a trail between its endpoints.  (Contributed by AV,
     31-Jan-2021.) $)
  trlontrl $p |- ( F ( Trails ` G ) P
                   -> F ( ( P ` 0 ) ( TrailsOn ` G ) ( P ` ( # ` F ) ) ) P ) $=
    ( ctrls cfv wbr cc0 chash ctrlson co cwlkson cwlks trliswlk wlkonwlk syl id
    cvtx wcel wa cvv wb w3a eqid wlkepvtx wlkv 3simpc anim2i istrlson mpbir2and
    syl2anc ) BACDEFZBAGAEZBHEAEZCIEJFZBAULUMCKEJFZUKUKBACLEFZUOABCMZABCNOUKPUK
    ULCQEZRUMURRSZBTRZATRZSZSZUNUOUKSUAUKUPVCUQUPUSCTRZUTVAUBZVCABCURURUCZUDABC
    UEVEVBUSVDUTVAUFUGUJOULUMATBCURTVFUHOUI $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Paths and simple paths
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Paths $.
  $c SPaths $.
  $c PathsOn $.
  $c SPathsOn $.

  $( Extend class notation with paths (of a graph). $)
  cpths $a class Paths $.

  $( Extend class notation with simple paths (of a graph). $)
  cspths $a class SPaths $.

  $( Extend class notation with paths between two vertices (within a graph). $)
  cpthson $a class PathsOn $.

  $( Extend class notation with simple paths between two vertices (within a
     graph). $)
  cspthson $a class SPathsOn $.

  ${
    $d g f p $.
    $( Define the set of all paths (in an undirected graph).

       According to Wikipedia ("Path (graph theory)",
       ~ https://en.wikipedia.org/wiki/Path_(graph_theory) , 3-Oct-2017):  "A
       path is a trail in which all vertices (except possibly the first and
       last) are distinct. ... use the term simple path to refer to a path
       which contains no repeated vertices."

       According to Bollobas:  "... a path is a walk with distinct vertices.",
       see Notation of [Bollobas] p. 5.  (A walk with distinct vertices is
       actually a simple path, see ~ upgrwlkdvspth ).

       Therefore, a path can be represented by an injective mapping f from {
       1 , ... , n } and a mapping p from { 0 , ... , n }, which is injective
       restricted to the set { 1 , ... , n }, where f enumerates the (indices
       of the) different edges, and p enumerates the vertices.  So the path is
       also represented by the following sequence: p(0) e(f(1)) p(1)
       e(f(2)) ... p(n-1) e(f(n)) p(n).  (Contributed by Alexander van der
       Vekens and Mario Carneiro, 4-Oct-2017.)  (Revised by AV, 9-Jan-2021.) $)
    df-pths $a |- Paths = ( g e. _V |-> { <. f , p >. | ( f ( Trails ` g ) p
                          /\ Fun `' ( p |` ( 1 ..^ ( # ` f ) ) )
                          /\ ( ( p " { 0 , ( # ` f ) } )
                               i^i ( p " ( 1 ..^ ( # ` f ) ) ) ) = (/) ) } ) $.

    $( Define the set of all simple paths (in an undirected graph).

       According to Wikipedia ("Path (graph theory)",
       ~ https://en.wikipedia.org/wiki/Path_(graph_theory) , 3-Oct-2017):  "A
       path is a trail in which all vertices (except possibly the first and
       last) are distinct. ... use the term simple path to refer to a path
       which contains no repeated vertices."

       Therefore, a simple path can be represented by an injective mapping f
       from { 1 , ... , n } and an injective mapping p from { 0 , ... , n },
       where f enumerates the (indices of the) different edges, and p
       enumerates the vertices.  So the simple path is also represented by the
       following sequence: p(0) e(f(1)) p(1) e(f(2)) ... p(n-1) e(f(n)) p(n).
       (Contributed by Alexander van der Vekens, 20-Oct-2017.)  (Revised by AV,
       9-Jan-2021.) $)
    df-spths $a |- SPaths = ( g e. _V
                  |-> { <. f , p >. | ( f ( Trails ` g ) p /\ Fun `' p ) } ) $.

    $d a b g f p $.
    $( Define the collection of paths with particular endpoints (in an
       undirected graph).  (Contributed by Alexander van der Vekens and Mario
       Carneiro, 4-Oct-2017.)  (Revised by AV, 9-Jan-2021.) $)
    df-pthson $a |- PathsOn = ( g e. _V
                    |-> ( a e. ( Vtx ` g ) , b e. ( Vtx ` g )
                          |-> { <. f , p >. | ( f ( a ( TrailsOn ` g ) b ) p
                                                /\ f ( Paths ` g ) p ) } ) ) $.

    $( Define the collection of simple paths with particular endpoints (in an
       undirected graph).  (Contributed by Alexander van der Vekens,
       1-Mar-2018.)  (Revised by AV, 9-Jan-2021.) $)
    df-spthson $a |- SPathsOn = ( g e. _V
                   |-> ( a e. ( Vtx ` g ) , b e. ( Vtx ` g )
                         |-> { <. f , p >. | ( f ( a ( TrailsOn ` g ) b ) p
                                               /\ f ( SPaths ` g ) p ) } ) ) $.
  $}

  ${
    $d f g p $.
    $( The set ` ( Paths `` G ) ` of all paths on ` G ` is a set of pairs by
       our definition of a path, and so is a relation.  (Contributed by AV,
       30-Oct-2021.) $)
    relpths $p |- Rel ( Paths ` G ) $=
      ( vf vp vg cv ctrls cfv wbr c1 chash cfzo cres ccnv wfun cc0 cpr cima cin
      co c0 wceq w3a cvv cpths df-pths relmptopab ) BEZCEZDEFGHUHIUGJGZKSZLMNUH
      OUIPQUHUJQRTUAUBDBCUCAUDBDCUEUF $.
  $}

  ${
    $d G f g p $.
    $( The set of paths (in an undirected graph).  (Contributed by Alexander
       van der Vekens, 20-Oct-2017.)  (Revised by AV, 9-Jan-2021.)  (Revised by
       AV, 29-Oct-2021.) $)
    pthsfval $p |- ( Paths ` G ) = { <. f , p >. | ( f ( Trails ` G ) p
                            /\ Fun `' ( p |` ( 1 ..^ ( # ` f ) ) )
                            /\ ( ( p " { 0 , ( # ` f ) } )
                                 i^i ( p " ( 1 ..^ ( # ` f ) ) ) ) = (/) ) } $=
      ( vg cpths cfv cv ctrls wbr cima wceq wa w3a wtru cvv cmpt 3anass opabbii
      copab eqtri c1 chash cfzo co cres ccnv wfun cc0 cpr biidd wcel cwlks wksv
      cin c0 trliswlk ssopab2i ssexi a1i df-pths mpteq2i fvmptopab mptru bicomi
      ) BEFZAGZCGZBHFIZVGUAVFUBFZUCUDZUEUFUGZVGUHVIUIJVGVJJUNUOKZLZLZACSZVHVKVL
      MZACSVEVOKNVMVMACDHEBNDGZBKLVMUJVHACSZOUKNVRVFVGBULFIZACSABCUMVHVSACVGVFB
      UPUQURUSEDOVFVGVQHFIZVKVLMZACSZPDOVTVMLZACSZPADCUTDOWBWDWAWCACVTVKVLQRVAT
      VBVCVNVPACVPVNVHVKVLQVDRT $.

    $( The set of simple paths (in an undirected graph).  (Contributed by
       Alexander van der Vekens, 21-Oct-2017.)  (Revised by AV, 9-Jan-2021.)
       (Revised by AV, 29-Oct-2021.) $)
    spthsfval $p |- ( SPaths ` G ) = { <. f , p >. |
                                       ( f ( Trails ` G ) p /\ Fun `' p ) } $=
      ( vg cspths cfv cv ctrls wbr ccnv wfun wa copab wceq wtru biidd cvv cwlks
      wcel wksv trliswlk ssopab2i ssexi a1i df-spths fvmptopab mptru ) BEFAGZCG
      ZBHFIZUIJKZLACMNOUKUKACDHEBODGBNLUKPUJACMZQSOULUHUIBRFIZACMABCTUJUMACUIUH
      BUAUBUCUDADCUEUFUG $.

    $d F f p $.  $d P f p $.
    $( Conditions for a pair of classes/functions to be a path (in an
       undirected graph).  (Contributed by Alexander van der Vekens,
       21-Oct-2017.)  (Revised by AV, 9-Jan-2021.)  (Revised by AV,
       29-Oct-2021.) $)
    ispth $p |- ( F ( Paths ` G ) P <-> ( F ( Trails ` G ) P
                            /\ Fun `' ( P |` ( 1 ..^ ( # ` F ) ) )
                            /\ ( ( P " { 0 , ( # ` F ) } )
                                 i^i ( P " ( 1 ..^ ( # ` F ) ) ) ) = (/) ) ) $=
      ( vp vf cpths cfv wbr ctrls c1 chash cfzo co cres ccnv cc0 cima c0 wceq
      wa wfun cpr cin cv copab pthsfval 3anass opabbii eqtri simpr fveq2 oveq2d
      w3a adantr reseq12d cnveqd funeqd preq2d imaeq12d ineq12d anbi12d reltrls
      eqeq1d brfvopabrbr bitr4i ) BACFGZHBACIGZHZAJBKGZLMZNZOZUAZAPVIUBZQZAVJQZ
      UCZRSZTZTVHVMVRUMDUDZJEUDZKGZLMZNZOZUAZVTPWBUBZQZVTWCQZUCZRSZTZVSEDFIBACV
      FWAVTVGHZWFWKUMZEDUEWMWLTZEDUEECDUFWNWOEDWMWFWKUGUHUIWABSZVTASZTZWFVMWKVR
      WRWEVLWRWDVKWRVTAWCVJWPWQUJZWPWCVJSWQWPWBVIJLWABKUKZULUNZUOUPUQWRWJVQRWRW
      HVOWIVPWRVTAWGVNWSWPWGVNSWQWPWBVIPWTURUNUSWRVTAWCVJWSXAUSUTVCVACVBVDVHVMV
      RUGVE $.

    $( Conditions for a pair of classes/functions to be a simple path (in an
       undirected graph).  (Contributed by Alexander van der Vekens,
       21-Oct-2017.)  (Revised by AV, 9-Jan-2021.)  (Revised by AV,
       29-Oct-2021.) $)
    isspth $p |- ( F ( SPaths ` G ) P <-> ( F ( Trails ` G ) P
                                            /\ Fun `' P ) ) $=
      ( vp vf cv ccnv wfun cspths ctrls spthsfval wceq wb funeqd adantl reltrls
      cnveq brfvopabrbr ) DFZGZHZAGZHZEDIJBACECDKSALZUAUCMEFBLUDTUBSAQNOCPR $.
  $}

  $( A path is a trail (in an undirected graph).  (Contributed by Alexander van
     der Vekens, 21-Oct-2017.)  (Revised by AV, 9-Jan-2021.)  (Proof shortened
     by AV, 30-Oct-2021.) $)
  pthistrl $p |- ( F ( Paths ` G ) P -> F ( Trails ` G ) P ) $=
    ( cpths cfv wbr ctrls c1 chash cfzo co cres ccnv wfun cc0 cpr cima cin wceq
    c0 ispth simp1bi ) BACDEFBACGEFAHBIEZJKZLMNAOUCPQAUDQRTSABCUAUB $.

  $( A simple path is a path (in an undirected graph).  (Contributed by
     Alexander van der Vekens, 21-Oct-2017.)  (Revised by AV, 9-Jan-2021.)
     (Proof shortened by AV, 30-Oct-2021.) $)
  spthispth $p |- ( F ( SPaths ` G ) P -> F ( Paths ` G ) P ) $=
    ( ctrls cfv wbr ccnv wfun wa c1 chash cfzo co cc0 cima c0 wceq adantl eqtri
    cin cres cpr cspths cpths simpl funres11 imain caddc 1e0p1 oveq1i ineq2i cz
    w3a wcel 0z prinfzo0 ax-mp imaeq2i ima0 eqtr3di 3jca isspth ispth 3imtr4i )
    BACDEFZAGHZIZVEAJBKEZLMZUAGHZANVHUBZOAVIOTZPQZUMBACUCEFBACUDEFVGVEVJVMVEVFU
    EVFVJVEVIAUFRVFVMVEVFAVKVITZOZVLPVKVIAUGVOAPOPVNPAVNVKNJUHMZVHLMZTZPVIVQVKJ
    VPVHLUIUJUKNULUNVRPQUONVHUPUQSURAUSSUTRVAABCVBABCVCVD $.

  $( A path is a walk (in an undirected graph).  (Contributed by AV,
     6-Feb-2021.) $)
  pthiswlk $p |- ( F ( Paths ` G ) P -> F ( Walks ` G ) P ) $=
    ( cpths cfv wbr ctrls cwlks pthistrl trliswlk syl ) BACDEFBACGEFBACHEFABCIA
    BCJK $.

  $( A simple path is a walk (in an undirected graph).  (Contributed by AV,
     16-May-2021.) $)
  spthiswlk $p |- ( F ( SPaths ` G ) P -> F ( Walks ` G ) P ) $=
    ( cspths cfv wbr cpths cwlks spthispth pthiswlk syl ) BACDEFBACGEFBACHEFABC
    IABCJK $.

  $( The inner vertices of a path are distinct from all other vertices.
     (Contributed by AV, 5-Feb-2021.)  (Proof shortened by AV, 31-Oct-2021.) $)
  pthdivtx $p |- ( ( F ( Paths ` G ) P /\ ( I e. ( 1 ..^ ( # ` F ) )
                                     /\ J e. ( 0 ... ( # ` F ) ) /\ I =/= J ) )
                   -> ( P ` I ) =/= ( P ` J ) ) $=
    ( cfv wbr co wcel cc0 w3a wceq wi wa wb adantl ad2antrl sylbid ex a1d cpths
    c1 chash cfzo cfz wne ctrls cres ccnv wfun cpr cima cin c0 ispth cwlks cvtx
    wf trliswlk eqid wlkp w3o elfz0lmr wnel cn0 clt elfzo1 nnnn0 3ad2ant2 sylbi
    cn fvinim0ffz sylan2 fveq2 eqeq2d cdm ffun adantr fdm fzo0ss1 fzossfz sstri
    wn sseli eleq2 syl5ibr syl imp adantrl simprr funfvima sylc eleq1 syl5ibcom
    jca nnel syl6ibr necon2ad adantrd com23 3imp com12 fvres eqcomd eqeq12d wf1
    wss fssres mpan2 df-f1 biimpri sylan 3adant3 simpr ancomd f1veqaeq syl2an2r
    ancoms necon3d adantld 3jaoi 3imp21 3exp 3syl ) BACUAFGZDUBBUCFZUDHZIZEJYFU
    EHZIZDEUFZKZDAFZEAFZUFZYEBACUGFGZAYGUHZUIUJZAJYFUKULAYGULZUMUNLZKYLYOMZABCU
    OYPYRYTUUAYPBACUPFGYICUQFZAURZYRYTUUAMMABCUSABCUUBUUBUTVAUUCYRYTUUAYLUUCYRY
    TKZYOYJYHYKUUDYOMZYJEJLZEYGIZEYFLZVBYHYKUUEMZMZEYFVCUUFUUJUUGUUHUUFYHUUIUUF
    YHNZUUEYKUUDUUKYOUUCYRYTUUKYOMZUUCYTUULMYRUUCUUKYTYOUUCUUKYTYOMZUUCUUKNZYTJ
    AFZYSVDZYFAFZYSVDZNZYOUUKUUCYFVEIZYTUUSOZYHUUTUUFYHDVKIZYFVKIZDYFVFGZKUUTYF
    DVGUVCUVBUUTUVDYFVHVIVJZPAYFUUBVLZVMUUNUUPYOUURUUNUUPYMYNUUNYMYNLZUUOYSIZUU
    PWCUUNUVGYMUUOLZUVHUUFUVGUVIOUUCYHUUFYNUUOYMEJAVNVOQUUNYMYSIZUVIUVHUUNAUJZD
    AVPZIZNZYHUVJUUCYHUVNUUFUUCYHNUVKUVMUUCUVKYHYIUUBAVQVRUUCYHUVMUUCUVLYILZYHU
    VMMYIUUBAVSYHUVMUVODYIIYGYIDYGJYFUDHYIYFVTJYFWAWBZWDUVLYIDWEWFWGWHWOZWIUUCU
    UFYHWJYGDAWKZWLYMUUOYSWMWNRUUOYSWPWQWRWSRSWTTXAXBTSUUGYHUUIUUGYHNZUUDYKYOUV
    SUUDYKYOMUVSUUDNYMYNDEUUDUVSUVGDELZMUUDUVSNZUVGDYQFZEYQFZLZUVTUWAYMUWBYNUWC
    UWAUWBYMUVSUWBYMLZUUDYHUWEUUGDYGAXCPPXDUWAUWCYNUUGUWCYNLUUDYHEYGAXCQXDXEUUD
    YGUUBYQXFZUVSYHUUGNUWDUVTMUUCYRUWFYTUUCYGUUBYQURZYRUWFUUCYGYIXGUWGUVPYIUUBY
    GAXHXIUWFUWGYRNYGUUBYQXJXKXLXMUWAUUGYHUUDUVSXNXOYGUUBDEYQXPXQRXRXSSWTSUUHYH
    UUIUUHYHNZUUEYKUUDUWHYOUUCYRYTUWHYOMZUUCYTUWIMYRUUCUWHYTYOUUCUWHUUMUUCUWHNZ
    YTUUSYOUWHUUCUUTUVAYHUUTUUHUVEPUVFVMUWJUURYOUUPUWJUURYMYNUWJUVGUUQYSIZUURWC
    UWJUVGYMUUQLZUWKUUHUVGUWLOUUCYHUUHYNUUQYMEYFAVNVOQUWJUVJUWLUWKUWJUVNYHUVJUU
    CYHUVNUUHUVQWIUUCUUHYHWJUVRWLYMUUQYSWMWNRUUQYSWPWQWRXTRSWTTXAXBTSYAWGYBXBYC
    YDXAVJWH $.

  $( The adjacent vertices of a path of length at least 2 are distinct.
     (Contributed by AV, 5-Feb-2021.) $)
  pthdadjvtx $p |- ( ( F ( Paths ` G ) P /\ 1 < ( # ` F )
                       /\ I e. ( 0 ..^ ( # ` F ) ) )
                     -> ( P ` I ) =/= ( P ` ( I + 1 ) ) ) $=
    ( cc0 cfv cfzo co wcel c1 wbr wne wi w3a wa simpr cz adantr 3jca syl clt wo
    chash cpths caddc wceq elfzo0l cfz cwlks cn0 pthiswlk wlkcl 1zzd nn0z fzolb
    syl3anbrc 0elfz ax-1ne0 a1i ex impcom pthdivtx syl2anc necomd 3adant1 fveq2
    3syl wb fv0p1e1 neeq12d 3ad2ant1 mpbird 3exp simp3 id fzo0ss1 sseli fzofzp1
    cc elfzoelz zcnd 1cnd addn0nid jaoi 3imp31 ) DEBUCFZGHZIZJWFUAKZBACUDFKZDAF
    ZDJUEHZAFZLZWHDEUFZDJWFGHZIZUBWIWJWNMMZDWFUGWOWRWQWOWIWJWNWOWIWJNWNEAFZJAFZ
    LZWIWJXAWOWIWJOZWTWSXBWJJWPIZEEWFUHHZIZJELZNZWTWSLWIWJPWJWIXGWJBACUIFKWFUJI
    ZWIXGMABCUKABCULXHWIXGXHWIOZXCXEXFXIJQIWFQIZWIXCXIUMXHXJWIWFUNRXHWIPJWFUOUP
    XHXEWIWFUQRXFXIURUSSUTVGVAABCJEVBVCVDVEWOWIWNXAVHWJWOWKWSWMWTDEAVFADVIVJVKV
    LVMWQWIWJWNWQWIWJNWJWQWLXDIZDWLLZNZWNWQWIWJVNWQWIXMWJWQWQXKXLWQVOWQWHXKWPWG
    DWFVPVQEWFDVRTWQDVSIZJVSIZXFNZXLWQXNXOXFWQDDJWFVTWAWQWBXFWQURUSSXPWLDDJWCVD
    TSVKABCDWLVBVCVMWDTWE $.

  ${
    $d F i $.  $d G i $.  $d I i $.  $d P i $.
    2pthnloop.i $e |- I = ( iEdg ` G ) $.
    $( A path of length at least 2 does not contain a loop.  In contrast, a
       path of length 1 can contain/be a loop, see ~ lppthon .  (Contributed by
       AV, 6-Feb-2021.) $)
    2pthnloop $p |- ( ( F ( Paths ` G ) P /\ 1 < ( # ` F ) )
                       -> A. i e. ( 0 ..^ ( # ` F ) )
                          2 <_ ( # ` ( I ` ( F ` i ) ) ) ) $=
      ( cfv wbr c1 chash cc0 cfzo co wi cvv wcel w3a wceq wa fvexd cpths clt c2
      cv cle wral cwlks pthiswlk wlkv syl ctrls cres ccnv wfun cpr cin c0 ispth
      cima cdm cword cfz cvtx caddc csn wss wif istrl eqid iswlkg anbi1d syl5bb
      wf wn wne pthdadjvtx ad5ant245 neneqd wb ifpfal adantl prsshashgt1 sylbid
      neqne syl31anc mpdan ralimdva ex com23 exp31 com24 3impia exp4c imp com14
      syl6bi 3imp com12 syl5bi 3ad2ant1 mpcom pm2.43i ) CADUAGHZICJGZUBHZUCBUDZ
      CGZEGZJGUEHZBKXDLMZUFZXCXEXKNZDOPZCOPZAOPZQZXCXCXLNZXCCADUGGHZXPACDUHACDU
      IUJXMXNXCXQNXOXCCADUKGHZAIXDLMZULUMUNZAKXDUOUSAXTUSUPUQRZQZXMXQACDURYCXMX
      QXSYAYBXMXQNXMYAYBXSXQXMXSYBYAXQXMXSCEUTVAPZKXDVBMDVCGZAVMZXFAGZXFIVDMZAG
      ZRZXHYGVERZYGYIUOXHVFZVGZBXJUFZQZCUMUNZSZYBYAXQNNZXSXRYPSXMYQACDVHXMXRYOY
      PABCDEYEOYEVIFVJVKVLYOYPYRYOYPYBYAXQYDYFYNYPYBSYASZXQNYDYFSZXCYSYNXLYTXCY
      SYNXLNYTXCSYSSZXEYNXKUUAXEYNXKNUUAXESZYMXIBXJUUBXFXJPZSZYJVNZYMXINUUDYGYI
      XCXEUUCYGYIVOZYTYSACDXFVPVQVRUUDUUESYMYLXIUUEYMYLVSUUDYJYKYLVTWAUUEYLXINZ
      UUDUUEYGOPYIOPUUFXHOPUUGUUEXFATUUEYHATYGYIWDUUEXGETYGYIXHOOOWBWEWAWCWFWGW
      HWIWJWKWLWMWNWPWKWOWQWRWSWTXAXBWN $.

    $( A path of length at least 2 in a pseudograph does not contain a loop.
       (Contributed by AV, 6-Feb-2021.) $)
    upgr2pthnlp $p |- ( ( G e. UPGraph /\ F ( Paths ` G ) P /\ 1 < ( # ` F ) )
                        -> A. i e. ( 0 ..^ ( # ` F ) )
                           ( # ` ( I ` ( F ` i ) ) ) = 2 ) $=
      ( cupgr wcel cpths cfv wbr chash w3a c2 cle wral wi wa cxr cvv c1 clt cc0
      cv cfzo co wceq 2pthnloop 3adant1 cwlks cdm cword pthiswlk wlkf wrdsymbcl
      simp2 upgrle2 3imp3i2an wb cxnn0 fvex hashxnn0 xnn0xr mp2b rexri xrletri3
      2re pm3.2i mp1i biimprd mpand 3exp 3syl impcom 3adant3 imp ralimdva mpd )
      DGHZCADIJKZUACLJZUBKZMZNBUDZCJZEJZLJZOKZBUCWAUEUFZPZWGNUGZBWIPVTWBWJVSABC
      DEFUHUIWCWHWKBWIWCWDWIHZWHWKQZVSVTWLWMQZWBVTVSWNVTCADUJJKCEUKZULHZVSWNQAC
      DUMACDEFUNWPVSWLWMWPVSWLMZWGNOKZWHWKWPVSWLVSWEWOHWRWPVSWLUPWDWOCUODEWEFUQ
      URWQWKWRWHRZWGSHZNSHZRWKWSUSWQWTXAWFTHWGUTHWTWEEVAWFTVBWGVCVDNVGVEVHWGNVF
      VIVJVKVLVMVNVOVPVQVR $.
  $}

  $( The vertices of a simple path are distinct, so the vertex function is
     one-to-one.  (Contributed by Alexander van der Vekens, 26-Jan-2018.)
     (Revised by AV, 5-Jun-2021.)  (Proof shortened by AV, 30-Oct-2021.) $)
  spthdifv $p |- ( F ( SPaths ` G ) P
                   -> P : ( 0 ... ( # ` F ) ) -1-1-> ( Vtx ` G ) ) $=
    ( cspths cfv wbr ctrls ccnv wfun wa cc0 chash cfz co wf1 isspth cwlks wf wi
    cvtx trliswlk eqid wlkp df-f1 simplbi2 3syl imp sylbi ) BACDEFBACGEFZAHIZJK
    BLEMNZCTEZAOZABCPUIUJUMUIBACQEFUKULARZUJUMSABCUAABCULULUBUCUMUNUJUKULAUDUEU
    FUGUH $.

  $( A simple path (at least of length 1) has different start and end points
     (in an undirected graph).  (Contributed by AV, 31-Jan-2021.)  (Proof
     shortened by AV, 30-Oct-2021.) $)
  spthdep $p |- ( ( F ( SPaths ` G ) P /\ ( # ` F ) =/= 0 )
                  -> ( P ` 0 ) =/= ( P ` ( # ` F ) ) ) $=
    ( cspths cfv wbr chash cc0 wne ctrls ccnv wfun isspth cfz wcel wceq syl jca
    wa wi co cvtx wf1 wf cwlks trliswlk eqid wlkp anim1i df-f1 sylibr cn0 wlkcl
    nn0fz0 biimpi 0elfz 3syl adantr eqcom f1veqaeq syl5bi necon3d sylbi imp ) B
    ACDEFZBGEZHIZHAEZVFAEZIZVEBACJEFZAKLZSZVGVJTABCMVMVHVIVFHVMHVFNUAZCUBEZAUCZ
    VFVNOZHVNOZSZSZVHVIPZVFHPZTVMVPVSVMVNVOAUDZVLSVPVKWCVLVKBACUEEFZWCABCUFZABC
    VOVOUGUHQUIVNVOAUJUKVKVSVLVKWDVFULOZVSWEABCUMWFVQVRWFVQVFUNUOVFUPRUQURRWAVI
    VHPVTWBVHVIUSVNVOVFHAUTVAQVBVCVD $.

  $( A path with different start and end points is a simple path (in an
     undirected graph).  (Contributed by Alexander van der Vekens,
     31-Oct-2017.)  (Revised by AV, 12-Jan-2021.)  (Proof shortened by AV,
     30-Oct-2021.) $)
  pthdepisspth $p |- ( ( F ( Paths ` G ) P
                         /\ ( P ` 0 ) =/= ( P ` ( # ` F ) ) )
                       -> F ( SPaths ` G ) P ) $=
    ( cpths cfv wbr cc0 chash wne wa ctrls ccnv wfun cspths c1 co w3a ad3antrrr
    cima syl cfzo cres cpr cin c0 wceq wi ispth simplll cn0 wcel cfz cvtx cwlks
    wf trliswlk wlkcl eqid wlkp simpllr simpr 3jca simplr injresinj syl3c sylbi
    jca ex3 imp isspth sylibr ) BACDEFZGAEBHEZAEIZJBACKEFZALMZJZBACNEFVLVNVQVLV
    OAOVMUAPZUBLMZAGVMUCSAVRSUDUEUFZQVNVQUGABCUHVOVSVTVNVQVOVSJZVTJZVNJZVOVPVOV
    SVTVNUIWCVMUJUKZGVMULPCUMEZAUOZVSVNQVTVPVOWDVSVTVNVOBACUNEFZWDABCUPZABCUQTR
    WCWFVSVNVOWFVSVTVNVOWGWFWHABCWEWEURUSTRVOVSVTVNUTWBVNVAVBWAVTVNVCAVMWEVDVEV
    GVHVFVIABCVJVK $.

  ${
    $d F a b k x y $.  $d I k x y $.  $d P a b k x y $.  $d V x y $.
    $( Lemma for ~ upgrwlkdvde .  (Contributed by Alexander van der Vekens,
       27-Oct-2017.)  (Proof shortened by AV, 17-Jan-2021.) $)
    upgrwlkdvdelem $p |- ( ( P : ( 0 ... ( # ` F ) ) -1-1-> V
                             /\ F e. Word dom I )
                           -> ( A. k e. ( 0 ..^ ( # ` F ) )
                          ( I ` ( F ` k ) ) = { ( P ` k ) , ( P ` ( k + 1 ) ) }
                                  -> Fun `' F ) ) $=
      ( vx vy va vb wcel cc0 cfv co c1 caddc wceq wi wa weq syl cdm cword chash
      cfz wf1 cv cpr cfzo wral ccnv wfun cfn wf wrdfin wrdf simpr adantr 2fveq3
      fveq2 fvoveq1 preq12d eqeq12d rspcv anim12ii eqcomd adantl 3eqtrd wo fvex
      simpl preq12b dff13 elfzofz fveqeq2 eqeq1 eqeq2d eqeq2 rspc2v syl2an a1dd
      imbi12d com14 cn0 hashcl a1i fzofzp1 anim12d1 imp anim12d wb oveq1 eqeq1d
      expimpd elfzonn0 c2 cc nn0cn add1p1 wne addn0nid syl3anc eqneqall syl5com
      2cnd 2ne0 sylbid syld ex com3l expd com34 jaoi adantld syl5bi com23 sylbi
      com15 impcom ralrimivv adantlr sylanbrc df-f1 sylib syl2anc ) CDUAZUBJZKC
      UCLZUDMZEAUEZBUFZCLDLZYJALZYJNOMALZUGZPZBKYGUHMZUIZCUJUKZQZYFCULJZYPYECUM
      ZYIYSQYECUNYECUOYTUUARZYIYQYRUUBYIYQRZYRUUBUUCRZUUAYRRZYRUUDYPYECUEZUUEUU
      DUUAFUFZCLZGUFZCLZPZFGSZQZGYPUIFYPUIZUUFUUBUUAUUCYTUUAUPUQYTUUCUUNUUAYTUU
      CRUUMFGYPYPUUCYTUUGYPJZUUIYPJZRZUUMQZYIYQYTUURQUUQYQYTYIUUMUUQYQUUHDLZUUG
      ALZUUGNOMZALZUGZPZUUJDLZUUIALZUUINOMZALZUGZPZRZYTYIUUMQQUUOYQUVDUUPUVJYOU
      VDBUUGYPBFSZYKUUSYNUVCYJUUGDCURUVLYLUUTYMUVBYJUUGAUSYJUUGNAOUTVAVBVCYOUVJ
      BUUIYPBGSZYKUVEYNUVIYJUUIDCURUVMYLUVFYMUVHYJUUIAUSYJUUINAOUTVAVBVCVDUUKUV
      KYTYIUUQUULUUKUUSUVEPZUVKYTYIUUQUULQZQQZQUUHUUJDUSUVNUVKUVPUVNUVKRZUVCUVI
      PZUVPUVQUVCUUSUVEUVIUVKUVCUUSPUVNUVKUUSUVCUVDUVJVJVEVFUVNUVKVJUVKUVJUVNUV
      DUVJUPVFVGUVRUUTUVFPZUVBUVHPZRZUUTUVHPZUVBUVFPZRZVHZUVPUUTUVBUVFUVHUUGAVI
      UVAAVIUUIAVIUVGAVIVKUWEYIYTUVOYIYHEAUMZHUFZALIUFZALZPZHISZQZIYHUIHYHUIZRU
      WEYTUVOQZHIYHEAVLUWEUWMUWNUWFUWAUWMUWNQZUWDUVSUWOUVTUUQUWMYTUVSUULUUQUWMU
      VSUULQZYTUUOUUGYHJZUUIYHJZUWMUWPQUUPUUGKYGVMZUUIKYGVMZUWLUWPUUTUWIPZFISZQ
      ZHIUUGUUIYHYHHFSUWJUXAUWKUXBUWGUUGUWIAVNUWGUUGUWHVOWAZIGSZUXAUVSUXBUULUXE
      UWIUVFUUTUWHUUIAUSZVPUWHUUIUUGVQWAVRVSVTWBUQUUQUWMYTUWDUULUUQUWMUWDYTUULU
      UQUWMUWDYTUULQYTUUQUWMUWDRZUULYTYGWCJZUUQUXGUULQZQCWDUXHUUQUXIUXHUUQRZUXG
      UUGUVGPZUVAUUIPZRZUULUXJUWMUWDUXMUXJUWMRUWBUXKUWCUXLUXJUWMUWBUXKQZUXJUWQU
      VGYHJZRZUWMUXNQUXHUUQUXPUXHUUOUWQUUPUXOUUOUWQQUXHUWSWEKYGUUIWFWGWHUWLUXNU
      XCHIUUGUVGYHYHUXDUWHUVGPZUXAUWBUXBUXKUXQUWIUVHUUTUWHUVGAUSVPUWHUVGUUGVQWA
      VRTWHUXJUWMUWCUXLQZUXJUVAYHJZUWRRZUWMUXRQUXHUUQUXTUXHUUOUXSUUPUWRUUOUXSQU
      XHKYGUUGWFWEUWTWGWHUWLUXRUVBUWIPZUVAUWHPZQHIUVAUUIYHYHUWGUVAPUWJUYAUWKUYB
      UWGUVAUWIAVNUWGUVAUWHVOWAUXEUYAUWCUYBUXLUXEUWIUVFUVBUXFVPUWHUUIUVAVQWAVRT
      WHWIWMUUQUXMUULQUXHUUQUXKUXLUULUUQUXKRUXLUVGNOMZUUIPZUULUXKUXLUYDWJUUQUXK
      UVAUYCUUIUUGUVGNOWKWLVFUUQUYDUULQZUXKUUPUYEUUOUUPUUIWCJZUYEUUIYGWNUYFUYDU
      UIWOOMZUUIPZUULUYFUYCUYGUUIUYFUUIWPJZUYCUYGPUUIWQZUUIWRTWLUYFUYGUUIWSZUYH
      UULUYFUYIWOWPJWOKWSZUYKUYJUYFXDUYLUYFXEWEUUIWOWTXAUULUYGUUIXBXCXFTVFUQXFW
      MVFXGXHTXIXJXKWBXLXMXNXOXPTXHTXQXGWBWHXRXSXTFGYPYECVLYAYPYECYBYCUUAYRUPTX
      HXJYDXR $.
  $}

  ${
    $d F k $.  $d G k $.  $d P k $.
    $( In a pseudograph, all edges of a walk consisting of different vertices
       are different.  Notice that this theorem would not hold for arbitrary
       hypergraphs, see the counterexample given in the comment of
       ~ upgrspthswlk .  (Contributed by AV, 17-Jan-2021.) $)
    upgrwlkdvde $p |- ( ( G e. UPGraph /\ F ( Walks ` G ) P /\ Fun `' P )
                        -> Fun `' F ) $=
      ( vk cupgr wcel cwlks cfv wbr ccnv wfun ciedg cdm cword cc0 chash co eqid
      wi wa cfz cvtx wf cv c1 caddc cpr wceq cfzo wral upgriswlk df-f1 simplbi2
      w3a wf1 3ad2ant2 impcom simpr1 jca simpr3 upgrwlkdvdelem sylc expcom 3imp
      syl6bi ) CEFZBACGHIZAJKZBJKZVFVGBCLHZMNFZOBPHZUAQZCUBHZAUCZDUDZBHVJHVPAHV
      PUEUFQAHUGUHDOVLUIQUJZUNZVHVISADBCVJVNVNRVJRUKVHVRVIVHVRTZVMVNAUOZVKTVQVI
      VSVTVKVRVHVTVOVKVHVTSVQVTVOVHVMVNAULUMUPUQVHVKVOVQURUSVHVKVOVQUTADBVJVNVA
      VBVCVEVD $.

    $d G f p $.
    $( The set of simple paths in a pseudograph, expressed as walk.  Notice
       that this theorem would not hold for arbitrary hypergraphs, since a walk
       with distinct vertices does not need to be a trail: let E = { p_0, p_1,
       p_2 } be a hyperedge, then ( p_0, e, p_1, e, p_2 ) is walk with distinct
       vertices, but not with distinct edges.  Therefore, E is not a trail and,
       by definition, also no path.  (Contributed by AV, 11-Jan-2021.)  (Proof
       shortened by AV, 17-Jan-2021.)  (Proof shortened by AV, 30-Oct-2021.) $)
    upgrspthswlk $p |- ( G e. UPGraph -> ( SPaths ` G ) = { <. f , p >. |
                                      ( f ( Walks ` G ) p /\ Fun `' p ) } ) $=
      ( cupgr wcel cspths cfv cv ctrls ccnv wfun wa copab cwlks spthsfval istrl
      wbr wb wi upgrwlkdvde 3exp com23 imp pm4.71d bitr4id ex pm5.32rd opabbidv
      syl5eq ) BDEZBFGAHZCHZBIGQZULJKZLZACMUKULBNGQZUNLZACMABCOUJUOUQACUJUNUMUP
      UJUNUMUPRUJUNLZUMUPUKJKZLUPULUKBPURUPUSUJUNUPUSSUJUPUNUSUJUPUNUSULUKBTUAU
      BUCUDUEUFUGUHUI $.

    $d F f p $.  $d P f p $.
    $( A walk consisting of different vertices is a simple path.  Notice that
       this theorem would not hold for arbitrary hypergraphs, see the
       counterexample given in the comment of ~ upgrspthswlk .  (Contributed by
       Alexander van der Vekens, 27-Oct-2017.)  (Revised by AV,
       17-Jan-2021.) $)
    upgrwlkdvspth $p |- ( ( G e. UPGraph /\ F ( Walks ` G ) P /\ Fun `' P )
                       -> F ( SPaths ` G ) P ) $=
      ( vf vp cupgr wcel cwlks cfv wbr ccnv wfun w3a wa 3simpc cv wceq cvv syl
      wb cspths copab upgrspthswlk 3ad2ant1 breqd 3ad2ant2 breq12 funeqd adantl
      wlkv cnveq anbi12d eqid brabga bitrd mpbird ) CFGZBACHIZJZAKZLZMZBACUAIZJ
      ZUSVANZUQUSVAOVBVDBADPZEPZURJZVGKZLZNZDEUBZJZVEVBVCVLBAUQUSVCVLQVADCEUCUD
      UEVBBRGZARGZNZVMVETUSUQVPVAUSCRGZVNVOMVPABCUJVQVNVOOSUFVKVEDEBAVLRRVFBQZV
      GAQZNVHUSVJVAVFBVGAURUGVSVJVATVRVSVIUTVGAUKUHUIULVLUMUNSUOUP $.
  $}

  ${
    $d G a b f g p $.  $d A a b f g p $.  $d B a b f g p $.  $d V a f g p $.
    pthsonfval.v $e |- V = ( Vtx ` G ) $.
    $( The set of paths between two vertices (in an undirected graph).
       (Contributed by Alexander van der Vekens, 8-Nov-2017.)  (Revised by AV,
       16-Jan-2021.)  (Revised by AV, 21-Mar-2021.) $)
    pthsonfval $p |- ( ( A e. V /\ B e. V ) -> ( A ( PathsOn ` G ) B )
                       = { <. f , p >. | ( f ( A ( TrailsOn ` G ) B ) p
                                           /\ f ( Paths ` G ) p ) } ) $=
      ( vg va vb wcel wa cv cwlks cfv wbr cvtx cpths cvv eleqtrdi 1vgrex adantr
      ctrlson cpthson simpl simpr copab wksv a1i adantl df-pthson mptmpoopabovd
      pthiswlk ) AEKZBEKZLZCMZFMZDNOPZQQUCRCHFDUDSSABIJUNDSKUODAEGUAUBUPAEDQOZU
      NUOUEGTUPBEUTUNUOUFGTUSCFUGSKUPCDFUHUIUQURDROPUSUPURUQDUMUJCHFIJUKUL $.

    $( The set of simple paths between two vertices (in an undirected graph).
       (Contributed by Alexander van der Vekens, 1-Mar-2018.)  (Revised by AV,
       16-Jan-2021.)  (Revised by AV, 21-Mar-2021.) $)
    spthson $p |- ( ( A e. V /\ B e. V ) -> ( A ( SPathsOn ` G ) B )
                    = { <. f , p >. | ( f ( A ( TrailsOn ` G ) B ) p
                                        /\ f ( SPaths ` G ) p ) } ) $=
      ( vg va vb wcel wa cv cwlks cfv wbr cvtx cspths cvv eleqtrdi 1vgrex simpl
      ctrlson cspthson adantr simpr wksv a1i spthiswlk df-spthson mptmpoopabovd
      copab adantl ) AEKZBEKZLZCMZFMZDNOPZQQUCRCHFDUDSSABIJUNDSKUODAEGUAUEUPAED
      QOZUNUOUBGTUPBEUTUNUOUFGTUSCFULSKUPCDFUGUHUQURDROPUSUPURUQDUIUMCHFIJUJUK
      $.

    $d F f p $.  $d P f p $.
    $( Properties of a pair of functions to be a path between two given
       vertices.  (Contributed by Alexander van der Vekens, 8-Nov-2017.)
       (Revised by AV, 16-Jan-2021.)  (Revised by AV, 21-Mar-2021.) $)
    ispthson $p |- ( ( ( A e. V /\ B e. V ) /\ ( F e. U /\ P e. Z ) )
                     -> ( F ( A ( PathsOn ` G ) B ) P
              <-> ( F ( A ( TrailsOn ` G ) B ) P /\ F ( Paths ` G ) P ) ) ) $=
      ( vf vp wcel wa cpthson cfv co wbr cv wceq breq12 ctrlson pthsonfval eqid
      cpths copab breqd anbi12d brabga sylan9bb ) AGLBGLMZECABFNOPZQECJRZKRZABF
      UAOPZQZULUMFUDOZQZMZJKUEZQEDLCHLMECUNQZECUPQZMZUJUKUSECABJFGKIUBUFURVBJKE
      CUSDHULESUMCSMUOUTUQVAULEUMCUNTULEUMCUPTUGUSUCUHUI $.

    $( Properties of a pair of functions to be a simple path between two given
       vertices.  (Contributed by Alexander van der Vekens, 1-Mar-2018.)
       (Revised by AV, 16-Jan-2021.)  (Revised by AV, 21-Mar-2021.) $)
    isspthson $p |- ( ( ( A e. V /\ B e. V ) /\ ( F e. U /\ P e. Z ) )
                      -> ( F ( A ( SPathsOn ` G ) B ) P
              <-> ( F ( A ( TrailsOn ` G ) B ) P /\ F ( SPaths ` G ) P ) ) ) $=
      ( vf vp wcel wa cspthson cfv co wbr cv wceq breq12 ctrlson cspths spthson
      copab breqd anbi12d eqid brabga sylan9bb ) AGLBGLMZECABFNOPZQECJRZKRZABFU
      AOPZQZULUMFUBOZQZMZJKUDZQEDLCHLMECUNQZECUPQZMZUJUKUSECABJFGKIUCUEURVBJKEC
      USDHULESUMCSMUOUTUQVAULEUMCUNTULEUMCUPTUFUSUGUHUI $.

    $d V b $.
    $( Properties of a path between two vertices.  (Contributed by Alexander
       van der Vekens, 12-Dec-2017.)  (Revised by AV, 16-Jan-2021.) $)
    pthsonprop $p |- ( F ( A ( PathsOn ` G ) B ) P
           -> ( ( G e. _V /\ A e. V /\ B e. V ) /\ ( F e. _V /\ P e. _V )
                /\ ( F ( A ( TrailsOn ` G ) B ) P /\ F ( Paths ` G ) P ) ) ) $=
      ( vf vg vp va vb cpths ctrlson cpthson wcel cvv wa cfv wbr co wb ispthson
      3adantl1 df-pthson cv cwlks w3a pthiswlk adantl wksonproplem ) ABCMHIDENF
      OJKLGAFPZBFPZDQPCQPRDCABEOSUATDCABENSUATDCEMSZTRUBEQPZABCQDEFQGUCUDHIJKLU
      EHUFZJUFZUNTUPUQEUGSTUOULUMUHUQUPEUIUJUK $.

    $( Properties of a simple path between two vertices.  (Contributed by
       Alexander van der Vekens, 1-Mar-2018.)  (Revised by AV, 16-Jan-2021.) $)
    spthonprop $p |- ( F ( A ( SPathsOn ` G ) B ) P
          -> ( ( G e. _V /\ A e. V /\ B e. V ) /\ ( F e. _V /\ P e. _V )
               /\ ( F ( A ( TrailsOn ` G ) B ) P /\ F ( SPaths ` G ) P ) ) ) $=
      ( vf vg vp va vb cspths ctrlson cspthson wcel cvv wa cfv wbr co isspthson
      wb 3adantl1 df-spthson cv cwlks w3a spthiswlk adantl wksonproplem ) ABCMH
      IDENFOJKLGAFPZBFPZDQPCQPRDCABEOSUATDCABENSUATDCEMSZTRUCEQPZABCQDEFQGUBUDH
      IJKLUEHUFZJUFZUNTUPUQEUGSTUOULUMUHUQUPEUIUJUK $.
  $}

  $( A path between two vertices is a path.  (Contributed by Alexander van der
     Vekens, 12-Dec-2017.)  (Revised by AV, 17-Jan-2021.) $)
  pthonispth $p |- ( F ( A ( PathsOn ` G ) B ) P -> F ( Paths ` G ) P ) $=
    ( cpthson cfv co wbr cvv wcel cvtx w3a ctrlson cpths eqid pthsonprop simp3r
    wa syl ) DCABEFGHIEJKAELGZKBUAKMZDJKCJKSZDCABENGHIZDCEOGIZSMUEABCDEUAUAPQUB
    UCUDUERT $.

  $( A path between two vertices is a trail between these vertices.
     (Contributed by AV, 24-Jan-2021.) $)
  pthontrlon $p |- ( F ( A ( PathsOn ` G ) B ) P
                     -> F ( A ( TrailsOn ` G ) B ) P ) $=
    ( cpthson cfv co wbr cvv wcel cvtx w3a ctrlson cpths eqid pthsonprop simp3l
    wa syl ) DCABEFGHIEJKAELGZKBUAKMZDJKCJKSZDCABENGHIZDCEOGIZSMUDABCDEUAUAPQUB
    UCUDUERT $.

  $( A path is a path between its endpoints.  (Contributed by AV,
     31-Jan-2021.) $)
  pthonpth $p |- ( F ( Paths ` G ) P
                   -> F ( ( P ` 0 ) ( PathsOn ` G ) ( P ` ( # ` F ) ) ) P ) $=
    ( cpths cfv wbr cc0 chash cpthson co ctrlson ctrls pthistrl trlontrl syl id
    cwlks wcel wa cvv cvtx pthiswlk eqid wlkepvtx w3a wlkv 3simpc ispthson 3syl
    wb jca mpbir2and ) BACDEFZBAGAEZBHEAEZCIEJFZBAUNUOCKEJFZUMUMBACLEFUQABCMABC
    NOUMPUMBACQEFZUNCUAEZRUOUSRSZBTRZATRZSZSUPUQUMSUJABCUBURUTVCABCUSUSUCZUDURC
    TRZVAVBUEVCABCUFVEVAVBUGOUKUNUOATBCUSTVDUHUIUL $.

  ${
    isspthonpth.v $e |- V = ( Vtx ` G ) $.
    $( A pair of functions is a simple path between two given vertices iff it
       is a simple path starting and ending at the two vertices.  (Contributed
       by Alexander van der Vekens, 9-Mar-2018.)  (Revised by AV,
       17-Jan-2021.) $)
    isspthonpth $p |- ( ( ( A e. V /\ B e. V ) /\ ( F e. W /\ P e. Z ) )
                         -> ( F ( A ( SPathsOn ` G ) B ) P
                              <-> ( F ( SPaths ` G ) P /\ ( P ` 0 ) = A
                                              /\ ( P ` ( # ` F ) ) = B ) ) ) $=
      ( wcel wa cfv co wbr wceq w3a wb adantr adantl 3anass cspthson cspths cc0
      ctrlson chash isspthson ctrls istrlson cpths spthispth pthistrl syl cwlks
      cwlkson biantrud spthiswlk iswlkon bitrdi mpbirand 3bitr2d pm5.32rd ancom
      ex bitr2i bitrd ) AFJBFJKDGJCHJKKZDCABEUALMNDCABEUDLMNZDCEUBLNZKZVHUCCLAO
      ZDUELCLBOZPZABCGDEFHIUFVFVIVJVKKZVHKZVLVFVHVGVMVFVHVGVMQVFVHKZVGDCABEUNLM
      NZDCEUGLNZKZVPVMVFVGVRQVHABCGDEFHIUHRVOVQVPVHVQVFVHDCEUILNVQCDEUJCDEUKULS
      UOVOVPDCEUMLNZVMVHVSVFCDEUPSVFVPVSVMKZQVHVFVPVSVJVKPVTABCGDEFHIUQVSVJVKTU
      RRUSUTVCVAVLVHVMKVNVHVJVKTVHVMVBVDURVE $.
  $}

  $( A simple path between to vertices is a simple path.  (Contributed by
     Alexander van der Vekens, 2-Mar-2018.)  (Revised by AV, 18-Jan-2021.) $)
  spthonisspth $p |- ( F ( A ( SPathsOn ` G ) B ) P
                          -> F ( SPaths ` G ) P ) $=
    ( cspthson cfv co wbr cvv wcel cvtx w3a wa ctrlson cspths spthonprop simp3r
    eqid syl ) DCABEFGHIEJKAELGZKBUAKMZDJKCJKNZDCABEOGHIZDCEPGIZNMUEABCDEUAUASQ
    UBUCUDUERT $.

  $( A simple path between two vertices is a path between these vertices.
     (Contributed by AV, 24-Jan-2021.) $)
  spthonpthon $p |- ( F ( A ( SPathsOn ` G ) B ) P
                      -> F ( A ( PathsOn ` G ) B ) P ) $=
    ( cspthson cfv wbr cvv wcel cvtx w3a ctrlson cspths cpthson eqid spthonprop
    co wa 3simpc 3anim1i cpths spthispth anim2i 3ad2ant3 wb 3adant3 mpbird 3syl
    ispthson ) DCABEFGRHEIJZAEKGZJZBULJZLZDIJCIJSZDCABEMGRHZDCENGHZSZLUMUNSZUPU
    SLZDCABEOGRHZABCDEULULPZQUOUTUPUSUKUMUNTUAVAVBUQDCEUBGHZSZUSUTVEUPURVDUQCDE
    UCUDUEUTUPVBVEUFUSABCIDEULIVCUJUGUHUI $.

  $( The endpoints of a simple path between two vertices are equal iff the path
     is of length 0.  (Contributed by Alexander van der Vekens, 1-Mar-2018.)
     (Revised by AV, 18-Jan-2021.)  (Proof shortened by AV, 31-Oct-2021.) $)
  spthonepeq $p |- ( F ( A ( SPathsOn ` G ) B ) P
                      -> ( A = B <-> ( # ` F ) = 0 ) ) $=
    ( cfv co wbr cvv wcel w3a wa wceq cc0 wb wi ex syl expcom syl6bi cvtx chash
    cspthson ctrlson cspths eqid spthonprop cwlkson ccnv wfun istrlson 3adantl1
    ctrls isspth a1i anbi12d cwlks wlkonprop cn0 cfz wlkcl wlkp wf1 df-f1 eqeq2
    wf eqtr3 cuz elnn0uz eluzfz2 sylbi 0elfz f1veqaeq sylan2 com13 com15 sylbir
    jca 3imp1 fveqeq2 anbi2d eqtr2 com12 3adant1 adantr impbid 3ad2ant3 adantld
    sylc imp 3impia ) DCABEUCFGHEIJZAEUAFZJZBWMJZKZDIJCIJLZDCABEUDFGHZDCEUEFHZL
    ZKABMZDUBFZNMZOZABCDEWMWMUFZUGWPWQWTXDWPWQLZWTDCABEUHFGHZDCEUMFHZLZXHCUIUJZ
    LZLXDXFWRXIWSXKWNWOWQWRXIOWLABCIDEWMIXEUKULWSXKOXFCDEUNUOUPXIXKXDXGXKXDPXHX
    GXJXDXHXGWPWQDCEUQFHZNCFZAMZXBCFZBMZKZKXJXDPZABCDEWMXEURXQWPXRWQXQXJXDXQXJL
    XAXCXLXNXPXJXAXCPZXLXBUSJZNXBUTGZWMCVFZXNXPXJXSPPPCDEVACDEWMXEVBXJYBXNXPXTX
    SYBXJXNXPXTXSPPPZYBXJLYAWMCVCZYCYAWMCVDXAXNXPXTYDXCXAXNXMBMZXPXTYDXCPPZPABX
    MVEXPYEYFXPYELXOXMMZYFXOXMBVGYDXTYGXCYDXTYGXCPZXTYDXBYAJZNYAJZLYHXTYIYJXTXB
    NVHFJYIXBVINXBVJVKXBVLVRYAWMXBNCVMVNQVORSTVPVQSVPWIVSXQXCXAPZXJXNXPYKXLXCXN
    XPLZXAXCYLXNYELXAXCXPYEXNXBNBCVTWAXMABWBTWCWDWEWFQWGRWHWEWJTWKR $.

  ${
    $d F i $.  $d G i $.
    $( Lemma 1 for ~ uhgrwkspth .  (Contributed by AV, 25-Jan-2021.) $)
    uhgrwkspthlem1 $p |- ( ( F ( Walks ` G ) P /\ ( # ` F ) = 1 )
                             -> Fun `' F ) $=
      ( vi cwlks cfv wbr ciedg cdm cword wcel chash c1 wceq ccnv wfun eqid wlkf
      wa cv cs1 wrex wrdl1exs1 funcnvs1 cnveq funeqd mpbiri rexlimivw syl sylan
      ) BACEFGBCHFZIZJKZBLFMNZBOZPZABCUKUKQRUMUNSBDTZUAZNZDULUBUPULBDUCUSUPDULU
      SUPUROZPUQUDUSUOUTBURUEUFUGUHUIUJ $.
  $}

  $( Lemma 2 for ~ uhgrwkspth .  (Contributed by AV, 25-Jan-2021.) $)
  uhgrwkspthlem2 $p |- ( ( F ( Walks ` G ) P /\ ( ( # ` F ) = 1 /\ A =/= B )
                             /\ ( ( P ` 0 ) = A /\ ( P ` ( # ` F ) ) = B ) )
                           -> Fun `' P ) $=
    ( cfv c1 wceq wne wa cc0 ccnv wfun cfz co wf wi cpr cz wcel cwlks wbr chash
    cvtx eqid wlkp wb oveq2 caddc 1e0p1 oveq2i ax-mp 0p1e1 preq2i 3eqtri eqtrdi
    fzpr feq2d adantr simpl simpr neeq12d bicomd fveq2 neeq2d sylan9bbr anbi12d
    0z cop w3a fpr2g mp2an cs2 funcnvs2 3expa adantl s2prop eqcomd eqtrd cnveqd
    funeqd mpbird exp32 impcom 3impa sylbi imp syl6bi expd com12 com34 impd syl
    1z 3imp ) DCEUAFUBZDUCFZGHZABIZJZKCFZAHZWQCFZBHZJZCLZMZWPKWQNOZEUDFZCPZWTXE
    XGQZQCDEXIXIUEUFXJWRWSXKXJWRXEWSXGXJWRXEWSXGQZWRXEJZXJXLXMXJWSXGXMXJWSJKGRZ
    XICPZXAGCFZIZJXGXMXJXOWSXQWRXJXOUGXEWRXHXNXICWRXHKGNOZXNWQGKNUHXRKKGUIOZNOZ
    KXSRZXNGXSKNUJUKKSTZXTYAHVHKUQULXSGKUMUNUOUPURUSXEWSXAXCIZWRXQXEYCWSXEXAAXC
    BXBXDUTXBXDVAVBVCWRXCXPXAWQGCVDVEVFVGXOXQXGXOXAXITZXPXITZCKXAVIGXPVIRZHZVJZ
    XQXGQZYBGSTXOYHUGVHWNKGXICSSVKVLYDYEYGYIYGYDYEJZYIYGYJXQXGYGYJXQJZJZXGXAXPV
    MZLZMZYKYOYGYDYEXQYOXAXPXIVNVOVPYLXFYNYLCYMYLCYFYMYGYKUTYKYFYMHZYGYJYPXQYJY
    MYFXAXPXIVQVRUSVPVSVTWAWBWCWDWEWFWGWHWIWJWIWKWLWMWO $.

  $( Any walk of length 1 between two different vertices is a simple path.
     (Contributed by AV, 25-Jan-2021.)  (Proof shortened by AV, 31-Oct-2021.)
     (Revised by AV, 7-Jul-2022.) $)
  uhgrwkspth $p |- ( ( G e. W /\ ( # ` F ) = 1 /\ A =/= B )
                     -> ( F ( A ( WalksOn ` G ) B ) P
                          <-> F ( A ( SPathsOn ` G ) B ) P ) ) $=
    ( wcel cfv wceq w3a co wbr wa cvv ccnv wfun wi 3ad2ant3 sylanbrc 3simpc wne
    chash c1 cwlkson cspthson cvtx cwlks cc0 cspths ctrls uhgrwkspthlem1 expcom
    simpl31 3ad2ant2 com12 3ad2ant1 adantl adantr uhgrwkspthlem2 syl3anc isspth
    imp istrl 3anass wb 3simpa eqid isspthonpth syl mpbird ex wlkonprop 3anim1i
    syl11 cpthson ctrlson spthonpthon pthontrlon trlsonwlkon 3syl impbid1 ) EFG
    ZDUBHZUCIZABUAZJZDCABEUDHKLZDCABEUEHKLZAEUFHZGZBWIGZMZDNGCNGMZDCEUGHLZUHCHA
    IZWCCHBIZJZJZWFWHWGWRWFWHWRWFMZWHDCEUIHLZWOWPJZWSWTWOWPMZXAWSDCEUJHLZCOPZWT
    WSWNDOPZXCWNWOWPWLWMWFUMZWRWFXEWQWLWFXEQZWMWNWOXGWPWFWNXEWDWBWNXEQWEWNWDXEC
    DEUKULUNUOUPRVBCDEVCSWSWNWDWEMZXBXDXFWFXHWRWBWDWETUQWRXBWFWQWLXBWMWNWOWPTRU
    RZABCDEUSUTCDEVASXIWTWOWPVDSWSWLWMMZWHXAVEWRXJWFWLWMWQVFURABCDEWINNWIVGZVHV
    IVJVKWGENGZWJWKJZWMWQJWRABCDEWIXKVLXMWLWMWQXLWJWKTVMVIVNWHDCABEVOHKLDCABEVP
    HKLWGABCDEVQABCDEVRABCDEVSVTWA $.

  ${
    $d F k $.  $d G k $.  $d P k $.
    $( The vertices and edges are pairwise different in a walk of length 2 in a
       simple graph.  (Contributed by Alexander van der Vekens, 2-Mar-2018.)
       (Revised by AV, 26-Jan-2021.) $)
    usgr2wlkneq $p |- ( ( ( G e. USGraph /\ F ( Walks ` G ) P )
                      /\ ( ( # ` F ) = 2 /\ ( P ` 0 ) =/= ( P ` ( # ` F ) ) ) )
             -> ( ( ( P ` 0 ) =/= ( P ` 1 ) /\ ( P ` 0 ) =/= ( P ` 2 )
                 /\ ( P ` 1 ) =/= ( P ` 2 ) ) /\ ( F ` 0 ) =/= ( F ` 1 ) ) ) $=
      ( vk wcel cfv c2 wceq cc0 wne wa c1 cfz co cpr cfzo wi cvv fvex ex wbr wf
      cusgr cwlks chash w3a ciedg cdm cword cvtx caddc wral cupgr usgrupgr eqid
      cv upgriswlk syl 2wlklem simplll usgrnloopv sylancl anim12d fveqeq2 eqtr2
      wb prcom eqeq2i preqr1 sylbi syl6bi impd com12 adantr simpl adantl simprr
      necon3d 3jca jctild com23 mpdd syl5bi fveq2 neeq2d oveq2 fzo0to2pr eqtrdi
      raleqdv feq2d imbi1d imbi12d syl5ibrcom com24 3impd sylbid imp31 ) CUCEZB
      ACUDFUAZBUEFZGHZIAFZWTAFZJZKZXBLAFZJZXBGAFZJZXFXHJZUFZIBFZLBFZJZKZWRWSBCU
      GFZUHUIEZIWTMNZCUJFZAUBZDUPZBFXPFYAAFYALUKNAFOHZDIWTPNZULZUFZXEXOQZWRCUME
      WSYEVFCUNADBCXPXSXSUOXPUOZUQURWRXQXTYDYFWRXQXTYDYFQQWRXQKZXEYDXTXOYHXAXDY
      DXTXOQZQZYHXDYJQXAXIYBDILOZULZIGMNZXSAUBZXOQZQZQYHXIYPYHXIKZYNYLXOYQYNYLX
      OQYLXLXPFXBXFOZHZXMXPFZXFXHOZHZKZYQYNKZXOADXPBUSUUDUUCXGXJKZXOUUDYSXGUUBX
      JUUDWRXBREYSXGQWRXQXIYNUTZIASZXPCXBXFRXLYGVAVBUUDWRXFREUUBXJQUUFLASXPCXFX
      HRXMYGVAVBVCYQUUCUUEXOQQZYNXIUUHYHXIUUEUUCXOXIUUEUUCXOQXIUUEKZUUCXNXKXIUU
      CXNQUUEUUCXIXNUUCXLXMXBXHXLXMHZUUCXBXHHZUUJYSUUBUUKUUJYSYTYRHZUUBUUKQXLXM
      YRXPVDUULUUBUUKUULUUBKYRUUAHZUUKYTYRUUAVEUUMYRXHXFOZHUUKUUAUUNYRXFXHVGVHX
      BXHXFUUGGASVIVJURTVKVLVMVRVMVNUUIXGXIXJUUEXGXIXGXJVOVPXIUUEVOXIXGXJVQVSVT
      TWAVPVNWBWCTWATXAXDXIYJYPXAXCXHXBWTGAWDWEXAYDYLYIYOXAYBDYCYKXAYCIGPNYKWTG
      IPWFWGWHWIXAXTYNXOXAXRYMXSAWTGIMWFWJWKWLWLWMVLWNTWOWPWQ $.
  $}

  $( Lemma 1 for ~ usgr2wlkspth .  (Contributed by Alexander van der Vekens,
     2-Mar-2018.)  (Revised by AV, 26-Jan-2021.) $)
  usgr2wlkspthlem1 $p |- ( ( F ( Walks ` G ) P
                               /\ ( G e. USGraph /\ ( # ` F ) = 2
                                    /\ ( P ` 0 ) =/= ( P ` ( # ` F ) ) ) )
                             -> Fun `' F ) $=
    ( cwlks cfv wbr cusgr wcel chash c2 wceq cc0 wne w3a wa ccnv wfun cvv fvexd
    c1 cs2 simp1 anim2i ancomd 3simpc adantl usgr2wlkneq syl2anc simpr funcnvs2
    3jca 3syl ciedg cword eqid wlkf simp2 wrdlen2s2 syl2an cnveqd funeqd mpbird
    cdm ) BACDEFZCGHZBIEZJKZLAEZVFAEMZNZOZBPZQLBEZTBEZUAZPZQZVKVHTAEZMVHJAEZMVR
    VSMNZVMVNMZOZVMRHZVNRHZWANVQVKVEVDOVGVIOZWBVKVDVEVJVEVDVEVGVIUBUCUDVJWEVDVE
    VGVIUEUFABCUGUHWBWCWDWAWBLBSWBTBSVTWAUIUKVMVNRUJULVKVLVPVKBVOVDBCUMEZVCZUNH
    VGBVOKVJABCWFWFUOUPVEVGVIUQWGBURUSUTVAVB $.

  $( Lemma 2 for ~ usgr2wlkspth .  (Contributed by Alexander van der Vekens,
     2-Mar-2018.)  (Revised by AV, 27-Jan-2021.) $)
  usgr2wlkspthlem2 $p |- ( ( F ( Walks ` G ) P
                             /\ ( G e. USGraph /\ ( # ` F ) = 2
                                  /\ ( P ` 0 ) =/= ( P ` ( # ` F ) ) ) )
                           -> Fun `' P ) $=
    ( cfv wcel chash c2 wceq cc0 wne w3a wa ccnv wfun c1 cvv fvex c3 caddc co
    cwlks wbr cusgr simp1 anim2i ancomd 3simpc adantl usgr2wlkneq syl2anc simpl
    3pm3.2i jctil funcnvs3 3syl cvtx cword wlkpwrd wlklenvp1 oveq1 2p1e3 eqtrdi
    cs3 eqid 3ad2ant2 sylan9eq wrdlen3s3 syl2an2r cnveqd funeqd mpbird ) BACUAD
    UBZCUCEZBFDZGHZIADZVNADJZKZLZAMZNVPOADZGADZVCZMZNZVSVPWAJVPWBJWAWBJKZIBDOBD
    JZLZVPPEZWAPEZWBPEZKZWFLWEVSVMVLLVOVQLZWHVSVLVMVRVMVLVMVOVQUDUEUFVRWMVLVMVO
    VQUGUHABCUIUJWHWFWLWFWGUKWIWJWKIAQOAQGAQULUMVPWAWBPUNUOVSVTWDVSAWCVLACUPDZU
    QEVRAFDZRHAWCHABCWNWNVDURVLVRWOVNOSTZRABCUSVOVMWPRHVQVOWPGOSTRVNGOSUTVAVBVE
    VFWNAVGVHVIVJVK $.

  $( In a simple graph, any walk of length 2 between two different vertices is
     a simple path.  (Contributed by Alexander van der Vekens, 2-Mar-2018.)
     (Revised by AV, 27-Jan-2021.)  (Proof shortened by AV, 31-Oct-2021.) $)
  usgr2wlkspth $p |- ( ( G e. USGraph /\ ( # ` F ) = 2 /\ A =/= B )
                       -> ( F ( A ( WalksOn ` G ) B ) P
                            <-> F ( A ( SPathsOn ` G ) B ) P ) ) $=
    ( wcel cfv wceq wne w3a co wbr wa cvv ccnv wfun wi ex 3ad2ant3 sylanbrc cc0
    cusgr chash c2 cwlkson cspthson cvtx cwlks cspths ctrls simpl31 simp2 simp3
    neeq12d bicomd 3anbi3d usgr2wlkspthlem1 3ad2ant1 imp istrl usgr2wlkspthlem2
    sylbid isspth 3simpc adantr 3anass wb 3simpa eqid isspthonpth syl wlkonprop
    mpbird 3anim1i cpthson ctrlson spthonpthon pthontrlon trlsonwlkon impbid1
    syl11 3syl ) EUBFZDUCGZUDHZABIZJZDCABEUEGKLZDCABEUFGKLZAEUGGZFZBWJFZMZDNFCN
    FMZDCEUHGLZUACGZAHZWDCGZBHZJZJZWGWIWHXAWGWIXAWGMZWIDCEUIGLZWQWSJZXBXCWQWSMZ
    XDXBDCEUJGLZCOPZXCXBWODOPZXFWOWQWSWMWNWGUKXAWGXHWTWMWGXHQWNWTWGWCWEWPWRIZJZ
    XHWTWFXIWCWEWTXIWFWTWPAWRBWOWQWSULWOWQWSUMUNUOUPZWOWQXJXHQWSWOXJXHCDEUQRURV
    BSUSCDEUTTXAWGXGWTWMWGXGQWNWTWGXJXGXKWOWQXJXGQWSWOXJXGCDEVARURVBSUSCDEVCTXA
    XEWGWTWMXEWNWOWQWSVDSVEXCWQWSVFTXBWMWNMZWIXDVGXAXLWGWMWNWTVHVEABCDEWJNNWJVI
    ZVJVKVMRWHENFZWKWLJZWNWTJXAABCDEWJXMVLXOWMWNWTXNWKWLVDVNVKWAWIDCABEVOGKLDCA
    BEVPGKLWHABCDEVQABCDEVRABCDEVSWBVT $.

  ${
    $d F i $.  $d G i $.  $d P i $.
    $( In a simple graph, any trail of length 2 does not start and end at the
       same vertex.  (Contributed by AV, 5-Jun-2021.)  (Proof shortened by AV,
       31-Oct-2021.) $)
    usgr2trlncl $p |- ( ( G e. USGraph /\ ( # ` F ) = 2 )
                      -> ( F ( Trails ` G ) P -> ( P ` 0 ) =/= ( P ` 2 ) ) ) $=
      ( vi wcel cfv c2 wceq cc0 wne wi cfzo co wf1 c1 cpr wb eqid wa cvv wbr wf
      cusgr chash ctrls ciedg cdm cvtx cv caddc wral cupgr usgrupgr upgrf1istrl
      cfz w3a syl eqidd oveq2 fzo0to2pr eqtrdi f1eq123d raleqdv 2wlklem anbi12d
      bitrdi adantl c0ex pm3.2i 0ne1 f12dfv mp2an cedg wf1o usgrf1oedg f1of1 id
      1ex prid1 a1i ffvelrnd prid2 anim1ci f1veqaeq necon3d simpl simpr neeq12d
      jca preq1 prcom necon3i syl6bi com12 syl6 expcom impd com23 syl5bi adantr
      a1d mpcom sylbid 3adant2 expdcom imp ) CUCEZBUDFZGHZBACUEFUAZIAFZGAFZJZKX
      GXJXIXMXGXJIXHLMZCUFFZUGZBNZIXHUOMCUHFZAUBZDUIZBFXOFXTAFXTOUJMAFPHZDXNUKZ
      UPZXIXMKXGCULEXJYCQCUMADBCXOXRXRRXORZUNUQXGXIYCXMYCXGXIXMXQYBXGXISZXMKXSY
      EXQYBSZXMYEYFIOPZXPBNZIBFZXOFZXKOAFZPZHZOBFZXOFZYKXLPZHZSZSZXMXIYFYSQXGXI
      XQYHYBYRXIXNYGXPXPBBXIBURXIXNIGLMYGXHGILUSUTVAZXIXPURVBXIYBYADYGUKYRXIYAD
      XNYGYTVCADXOBVDVFVEVGXGYSXMKXIXGYHYRXMYHYGXPBUBZYIYNJZSZXGYRXMKZITEZOTEZS
      IOJYHUUCQUUEUUFVHVRVIVJYGXPTBTIOYGRVKVLXPCVMFZXOVNZXGUUCUUDKZUUGCXOYDUUGR
      VOUUHXPUUGXONZXGUUIKXPUUGXOVPUUJUUCXGUUDUUJUUAUUBXGUUDKZUUAUUJUUBUUKKUUAU
      UJSZUUBYJYOJZUUKUULYJYOYIYNUULUUJYIXPEZYNXPEZSZSYJYOHYIYNHKUUAUUPUUJUUAUU
      NUUOUUAYGXPIBUUAVQZIYGEUUAIOVHVSVTWAUUAYGXPOBUUQOYGEUUAIOVRWBVTWAWIWCXPUU
      GYIYNXOWDUQWEUUMUUDXGYRUUMXMYRUUMYLYPJXMYRYJYLYOYPYMYQWFYMYQWGWHXKXLYLYPX
      KXLHYLXLYKPYPXKXLYKWJXLYKWKVAWLWMWNXAWOWPWQWRUQXBWSWQWTXCWNXDXEWRXCWRXF
      $.
  $}

  $( In a simple graph, any trail of length 2 is a simple path.  (Contributed
     by AV, 5-Jun-2021.) $)
  usgr2trlspth $p |- ( ( G e. USGraph /\ ( # ` F ) = 2 )
                       -> ( F ( Trails ` G ) P <-> F ( SPaths ` G ) P ) ) $=
    ( cusgr wcel chash cfv c2 wa ctrls wbr cspths cc0 wne usgr2trlncl imp cwlks
    wceq wi co cwlkson trliswlk wlkonwlk cspthson wb simpll simplr fveq2 eqcomd
    neeq2d biimpd adantl usgr2wlkspth syl3anc spthonisspth syl6bi expcom impcom
    com13 3syl mpd ex cpths spthispth pthistrl syl impbid1 ) CDEZBFGZHRZIZBACJG
    KZBACLGKZVKVLVMVKVLIMAGZHAGZNZVMVKVLVPABCOPVLVKVPVMSZVLBACQGKBAVNVIAGZCUAGT
    KZVKVQSABCUBABCUCVPVKVSVMVKVPVSVMSVKVPIZVSBAVNVRCUDGTKZVMVTVHVJVNVRNZVSWAUE
    VHVJVPUFVHVJVPUGVKVPWBVJVPWBSVHVJVPWBVJVOVRVNVJVRVOVIHAUHUIUJUKULPVNVRABCUM
    UNVNVRABCUOUPUQUSUTURVAVBVMBACVCGKVLABCVDABCVEVFVG $.

  $( In a simple graph, any path of length 2 is a simple path.  (Contributed by
     Alexander van der Vekens, 25-Jan-2018.)  (Revised by AV, 5-Jun-2021.) $)
  usgr2pthspth $p |- ( ( G e. USGraph /\ ( # ` F ) = 2 )
                         -> ( F ( Paths ` G ) P <-> F ( SPaths ` G ) P ) ) $=
    ( cusgr wcel chash cfv c2 wceq cpths wbr cspths ctrls pthistrl usgr2trlspth
    wa syl5ib spthispth impbid1 ) CDEBFGHIPZBACJGKZBACLGKZUABACMGKTUBABCNABCOQA
    BCRS $.

  ${
    $d F i $.  $d F x y z $.  $d G x y z $.  $d I i $.  $d I x y z $.
    $d P i $.  $d P x y z $.  $d V x y z $.
    usgr2pthlem.v $e |- V = ( Vtx ` G ) $.
    usgr2pthlem.i $e |- I = ( iEdg ` G ) $.
    $( Lemma for ~ usgr2pth .  (Contributed by Alexander van der Vekens,
       27-Jan-2018.)  (Revised by AV, 5-Jun-2021.) $)
    usgr2pthlem $p |- ( ( F : ( 0 ..^ ( # ` F ) ) -1-1-> dom I
                       /\ P : ( 0 ... ( # ` F ) ) --> V
                       /\ A. i e. ( 0 ..^ ( # ` F ) )
                        ( I ` ( F ` i ) ) = { ( P ` i ) , ( P ` ( i + 1 ) ) } )
              -> ( ( G e. USGraph /\ ( # ` F ) = 2 )
                   -> E. x e. V E. y e. ( V \ { x } ) E. z e. ( V \ { x , y } )
                      ( ( ( P ` 0 ) = x /\ ( P ` 1 ) = y /\ ( P ` 2 ) = z )
                        /\ ( ( I ` ( F ` 0 ) ) = { x , y }
                        /\ ( I ` ( F ` 1 ) ) = { y , z } ) ) ) ) $=
      ( cc0 cfv c1 wceq wcel c2 wa wi adantl chash cfzo co cdm wf1 cfz wf caddc
      cpr wral cusgr w3a cdif wrex csn cn0 cle 0nn0 2nn0 0le2 elfz2nn0 mpbir3an
      cv wbr ffvelrn mpan2 1nn0 1le2 wne wn cvv simpr jctir prcom eqeq2i biimpi
      fvex adantr usgrnloopv sylc elsn necon3bbii sylibr eldifd wb sneq difeq2d
      ad2antlr eleq2d mpbird 2re leidi crn usgrf1 simpl ad2antrr jca 2nn lbfzo0
      mpbir clt 1lt2 elfzo0 pm3.2i 0ne1 3jca 2f1fvneq necom 3pm3.2i fvexd jca31
      cn a1i imp pr1nebg sylancr syl5bb nelprd preq12 eqcom 3anbi123i ad4ant123
      adantll preq12d eqeq2d anbi12d biimpa exp41 imp31 rspcimedv com15 pm2.43i
      syl com12 oveq2 raleqdv fzo0to2pr raleqi 2wlklem bitri bitrdi feq2d f1eq2
      imbi1d imbi12d 3imtr4d com14 com23 3imp ) LFUAMZUBUCZHUDZFUEZLUUJUFUCZIDU
      GZEVCZFMHMUUPDMUUPNUHUCDMUIOZEUUKUJZGUKPZUUJQOZRZLDMZAVCZOZNDMZBVCZOZQDMZ
      CVCZOZULZLFMZHMZUVCUVFUIZOZNFMZHMZUVFUVIUIZOZRZRZCIUVNUMZUNZBIUVCUOZUMZUN
      ZAIUNZSZUUMUURUUOUWHUVAUURUUOUUMUWGUVAUVMUVBUVEUIZOZUVQUVEUVHUIZOZRZLQUFU
      CZIDUGZLQUBUCZUULFUEZUWGSZSZUURUUOUUMUWGSZSUUSUWMUWSSUUTUWMUUSUWSUWMUUSUW
      SSUWQUWMUUSUWOUWMUWGUWQUWMUUSUWOUWMUWGSUWQUWMRZUUSRZUWORZUWFUWMAUVBIUWOUV
      BIPZUXBUWOLUWNPZUXDUXELUPPQUPPZLQUQVDURUSUTLQVAVBUWNILDVEVFTUXCUVCUVBOZRZ
      UWCUWMBUVEUWEUXHUVEUWEPZUVEIUVBUOZUMZPZUXCUXLUXGUXCUVEIUXJUWOUVEIPZUXBUWO
      NUWNPZUXMUXNNUPPZUXFNQUQVDVGUSVHNQVAVBUWNINDVEVFTUXCUVEUVBVIZUVEUXJPZVJUX
      BUXPUWOUXBUUSUVEVKPZRUVMUVEUVBUIZOZUXPUXBUUSUXRUXAUUSVLZNDVQZVMUWMUXTUWQU
      USUWJUXTUWLUWJUXTUWIUXSUVMUVBUVEVNVOVPVRWHHGUVEUVBVKUVLKVSVTVRUXQUVEUVBUV
      EUVBUYBWAWBWCWDVRUXGUXIUXLWEUXCUXGUWEUXKUVEUXGUWDUXJIUVCUVBWFWGWITWJUXHUV
      FUVEOZRZUWAUWMCUVHUWBUYDUVHUWBPZUVHIUWIUMZPZUXCUYGUXGUYCUXCUVHIUWIUWOUVHI
      PZUXBUWOQUWNPZUYHUYIUXFUXFQQUQVDUSUSQWKWLQQVAVBUWNIQDVEVFTUXCUVHUVBUVEUXC
      UVHUVBVIZUWIUWKVIZUXCUULHWMZHUEZUWQRZLUWPPZNUWPPZRZLNVIZULUWMUYKUXCUYNUYQ
      UYRUXCUYMUWQUUSUYMUXAUWOHGKWNWHUXAUWQUUSUWOUWQUWMWOWPWQUYQUXCUYOUYPUYOQXL
      PZWRQWSWTUYPUXOUYSNQXAVDVGWRXBNQXCVBXDXMUYRUXCXEXMXFUXAUWMUUSUWOUWQUWMVLW
      PLNUWPUULUYLHFUWIUWKXGVTUYJUVBUVHVIZUXCUYKUVHUVBXHUXCUVBVKPZUXRUVHVKPZULU
      VBUVEVIZUYTUYKWEVUAUXRVUBLDVQUYBQDVQXIUXCUUSVUARZUWJRZVUCUXBVUEUWOUXBUUSV
      UAUWJUYAUXBLDXJUWMUWJUWQUUSUWJUWLWOWHXKVRVUDUWJVUCHGUVBUVEVKUVLKVSXNYMUVB
      UVEUVHVKVKVKXOXPXQWJUXCUUSVUBRZUVQUVHUVEUIZOZRZUVHUVEVIZUXBVUIUWOUXBUUSVU
      BVUHUYAUXBQDXJUWMVUHUWQUUSUWLVUHUWJUWLVUHUWKVUGUVQUVEUVHVNVOVPTWHXKVRVUFV
      UHVUJHGUVHUVEVKUVPKVSXNYMXRWDWPUXGUYCUYEUYGWEUXCUXGUYCRZUWBUYFUVHVUKUVNUW
      IIUVCUVFUVBUVEXSWGWIYCWJUXHUYCUVIUVHOZUWMUWASZUXGUYCVULVUMSSUXCUXGUYCVULU
      WMUWAVUKVULRZUWMRUVKUVTUXGUYCVULUVKUWMUXGUYCVULULUVKUXGUVDUYCUVGVULUVJUVC
      UVBXTZUVFUVEXTZUVIUVHXTZYAVPYBVUNUWMUVTVUNUWJUVOUWLUVSVUNUWIUVNUVMVUNUVBU
      VCUVEUVFUXGUVDUYCVULUXGUVDVUOVPWPUYCUVGUXGVULUYCUVGVUPVPWHZYDYEVUNUWKUVRU
      VQVUNUVEUVFUVHUVIVURVULUVJVUKVULUVJVUQVPTYDYEYFYGWQYHTYIYJYJYJYHYKYLYNVRU
      UTUURUWMWEUUSUUTUURUUQEUWPUJZUWMUUTUUQEUUKUWPUUJQLUBYOZYPVUSUUQELNUIZUJUW
      MUUQEUWPVVAYQYRDEHFYSYTUUATUVAUUOUWOUWTUWRUUTUUOUWOWEUUSUUTUUNUWNIDUUJQLU
      FYOUUBTUUTUWTUWRWEUUSUUTUUMUWQUWGUUTUUKUWPOUUMUWQWEVUTUUKUWPUULFUUCYMUUDT
      UUEUUFUUGUUHUUI $.

    $d G i $.  $d V i $.
    $( In a simple graph, there is a path of length 2 iff there are three
       distinct vertices so that one of them is connected to each of the two
       others by an edge.  (Contributed by Alexander van der Vekens,
       27-Jan-2018.)  (Revised by AV, 5-Jun-2021.)  (Proof shortened by AV,
       31-Oct-2021.) $)
    usgr2pth $p |- ( G e. USGraph -> ( ( F ( Paths ` G ) P /\ ( # ` F ) = 2 )
     <-> ( F : ( 0 ..^ 2 ) -1-1-> dom I /\ P : ( 0 ... 2 ) -1-1-> V
           /\ E. x e. V E. y e. ( V \ { x } ) E. z e. ( V \ { x , y } )
                ( ( ( P ` 0 ) = x /\ ( P ` 1 ) = y /\ ( P ` 2 ) = z )
           /\ ( ( I ` ( F ` 0 ) ) = { x , y }
                /\ ( I ` ( F ` 1 ) ) = { y , z } ) ) ) ) ) $=
      ( vi cfv c2 wceq wa cc0 co cpr wi adantl cusgr wcel cpths wbr cdm wf1 cfz
      chash cfzo cv w3a cdif wrex csn cspths usgr2pthspth cupgr usgrupgr adantr
      c1 ctrls ccnv wfun wb isspth wf caddc wral upgrf1istrl anbi1d oveq2 f1eq2
      biimpd com12 3ad2ant1 ad2antrl feq2d df-f1 simplbi2 sylbid com3l 3ad2ant2
      a1i syl imp usgr2pthlem 3jcad com23 mpcom impcomd cn0 2nn0 f1f fnfzo0hash
      sylancr eqcoms ad2antrr syl5ib eqcom biimpi preq12d eqeq2d biimpcd impcom
      ex 3ad2ant3 jca rexlimivw fzo0to2pr eqtrdi raleqdv 2wlklem bitrdi sylibrd
      a1i13 imbi2d 3jca simprbi bitrd mpbird simpr simp-4l syl2anc exp41 impbid
      3imp ) FUAUBZEDFUCLUDZEUHLZMNZOZPMUIQZGUEZEUFZPMUGQZHDUFZPDLZAUJZNZUTDLZB
      UJZNZMDLZCUJZNZUKZPELGLZYRUUARZNZUTELGLZUUAUUDRZNZOZOZCHUUHULZUMZBHYRUNUL
      ZUMZAHUMZUKZYGYJYHUUTYGYJYHUUTSYGYJOZYHEDFUOLUDZUUTDEFUPZFUQUBZUVAUVBUUTS
      YGUVDYJFURZUSUVDUVBUVAUUTUVDUVBEDFVALUDZDVBVCZOZUVAUUTSZUVBUVHVDUVDDEFVEW
      CZUVDUVHPYIUIQZYMEUFZPYIUGQZHDVFZKUJZELGLUVODLUVOUTVGQDLRNZKUVKVHZUKZUVGO
      ZUVIUVDUVFUVRUVGDKEFGHIJVIVJZUVDUVSUVIUVDUVSOUVAYNYPUUSUVRUVAYNSZUVDUVGUV
      LUVNUWAUVQUVAUVLYNYJUVLYNSYGYJUVLYNYJUVKYLNUVLYNVDYIMPUIVKZUVKYLYMEVLWDVM
      TVNVOVPUVSUVAYPSZUVDUVRUVGUWCUVNUVLUVGUWCSUVQUVAUVNUVGYPYJUVNUVGYPSZSYGYJ
      UVNYOHDVFZUWDYJUVMYOHDYIMPUGVKVQUWEUWDSYJYPUWEUVGYOHDVRZVSWCVTTWAWBWETUVR
      UVAUUSSUVDUVGABCDKEFGHIJWFVPWGXEVTVTWHWIVTXEWJUUTYGYKYNYPUUSYGYKSZYJYNYPU
      USUWGSSYNMWKUBYLYMEVFYJWLYLYMEWMYMEMWNWOYJYNYPUUSUWGYJYNOZYPOZUUSOZYGYKUW
      JYGOZYHYJUWKYHUVBUWKUVBUVSUWKUVRUVGUWKUVLUVNUVQUWIUVLUUSYGUWHUVLYPYJYNUVL
      YJYNUVLYJYLUVKNZYNUVLVDUWLMYIMYIPUIVKWPYLUVKYMEVLWDVMWEUSWQUWIUVNUUSYGUWH
      YPUVNYPUWEUWHUVNYOHDWMUWHYOUVMHDYJYOUVMNZYNUWMMYIMYIPUGVKWPUSVQWRWEWQUWJY
      GUVQUWIUUSYGUVQSZYJUUSUWNSYNYPYJUUSYGUUGYQYTRZNZUUJYTUUCRZNZOZSUWNYJUUSYG
      UWSUURUWSAHUUPUWSBUUQUUNUWSCUUOUUNUWPUWRUUMUUFUWPUUIUUFUWPSUULUUFUUIUWPUU
      FUUHUWOUUGUUFYRYQUUAYTYSUUBYRYQNZUUEYSUWTYQYRWSWTVOUUBYSUUAYTNZUUEUUBUXAY
      TUUAWSWTWBZXAXBXCUSXDUUMUUFUWRUULUUFUWRSUUIUUFUULUWRUUFUUKUWQUUJUUFUUAYTU
      UDUUCUXBUUEYSUUDUUCNZUUBUUEUXCUUCUUDWSWTXFXAXBXCTXDXGXHXHXHXOYJUVQUWSYGYJ
      UVQUVPKPUTRZVHUWSYJUVPKUVKUXDYJUVKYLUXDUWBXIXJXKDKGEXLXMXPXNWQWEWEXQUWIUV
      GUUSYGYPUVGUWHYPUWEUVGUWFXRTWQXGYGUVBUVSVDZUWJYGUVDUXEUVEUVDUVBUVHUVSUVJU
      VTXSWDTXTUWKYGYJYHUVBVDUWJYGYAYJYNYPUUSYGYBZUVCYCXTUXFXGXEYDWIYFVNYE $.

    $( In a simply graph, there is a path of length 2 iff there are three
       distinct vertices so that one of them is connected to each of the two
       others by an edge.  (Contributed by Alexander van der Vekens,
       27-Jan-2018.)  (Revised by AV, 5-Jun-2021.) $)
    usgr2pth0 $p |- ( G e. USGraph -> ( ( F ( Paths ` G ) P /\ ( # ` F ) = 2 )
               <-> ( F : ( 0 ..^ 2 ) -1-1-> dom I
                  /\ P : ( 0 ... 2 ) -1-1-> V
                  /\ E. x e. V E. y e. ( V \ { x } ) E. z e. ( V \ { x , y } )
                          ( ( ( P ` 0 ) = x /\ ( P ` 1 ) = z /\ ( P ` 2 ) = y )
                            /\ ( ( I ` ( F ` 0 ) ) = { x , z }
                              /\ ( I ` ( F ` 1 ) ) = { z , y } ) ) ) ) ) $=
      ( cfv c2 wceq wa cc0 cv w3a cpr wrex wne cusgr wcel cpths wbr cfzo co cdm
      chash wf1 cfz c1 cdif csn usgr2pth wb r19.42v bitr3i rexbii rexcom df-3an
      rexdifpr anass ancom necom anbi2ci anbi1i 3bitri 3bitr4i 3bitr2i rexdifsn
      a1i rexbidva 3anbi3d bitrd ) FUAUBZEDFUCKUDEUHKLMNOLUEUFGUGEUIZOLUJUFHDUI
      ZODKAPZMUKDKCPZMLDKBPZMQOEKGKVRVSRZMUKEKGKVSVTRMNNZBHWAULZSZCHVRUMULZSZAH
      SZQVPVQWBCHVRVTRULZSZBWESZAHSZQACBDEFGHIJUNVOWGWKVPVQVOWFWJAHWFWJUOVOVRHU
      BNVSVRTZWDNZCHSZVTVRTZWINZBHSZWFWJWNWOVTVSTZWLWBNZQZBHSZCHSWTCHSZBHSWQWMX
      ACHWMWSBWCSXAWLWBBWCUPWSBHVRVSVAUQURWTCBHHUSXBWPBHXBWLVSVTTZWOWBNZQZCHSXD
      CWHSWPWTXECHWTWOWRNZWSNXFWLNZWBNZXEWOWRWSUTXFWLWBVBWLXCNZWONZWBNXIXDNXHXE
      XIWOWBVBXGXJWBXGWOWRWLNZNXKWONXJWOWRWLVBWOXKVCXKXIWOWRXCWLVTVSVDVEVFVGVFW
      LXCXDUTVHVIURXDCHVRVTVAWOWBCWHUPVIURVGWDCHVRVJWIBHVRVJVHVKVLVMVN $.
  $}

  ${
    $d P i j $.  $d R i j $.  $d ph i j $.
    pthd.p $e |- ( ph -> P e. Word _V ) $.
    pthd.r $e |- R = ( ( # ` P ) - 1 ) $.
    pthd.s $e |- ( ph -> A. i e. ( 0 ..^ ( # ` P ) ) A. j e. ( 1 ..^ R )
                         ( i =/= j -> ( P ` i ) =/= ( P ` j ) ) ) $.
    $( Lemma 1 for ~ pthd .  (Contributed by Alexander van der Vekens,
       13-Nov-2017.)  (Revised by AV, 9-Feb-2021.) $)
    pthdlem1 $p |- ( ph -> Fun `' ( P |` ( 1 ..^ R ) ) ) $=
      ( c1 cfv co wbr cfzo wa cvv wral wcel syl wceq cz cmin clt cres ccnv wfun
      chash wf wf1 cv wne wi cc0 cword wrdf fzo0ss1 a1i oveq2d sseqtrid wss cn0
      lencl nn0z 3syl fzossrbm1 sstrd fssresd adantr csn cun cn cle nn0re ltm1d
      cr 1re peano2rem lttr mp3an2i 1red ltle syl2anc mpan2d imdistani elnnnn0c
      syld sylibr sylan fzo0sn0fzo1 caddc cuz 1zzd c2 1p1e2 2z eqeltri ltaddsub
      wb w3a bicomd 2re sylancr sylbid imp eluz2 syl3anbrc fzosplitsnm1 raleqdv
      uneq2d eqtrd ralunb anbi2i bitri bitrdi eqcomi oveq2i raleqi fvres eqcomd
      adantl neeq12d biimpd imim2d ralimdva syl5bi adantrd adantld mpd sylanbrc
      dff14a df-f1 sylib simprd wn funcnv0 nn0zd peano2zm zred lenltd biimpar
      c0 eqbrtrid eqeltrid fzon mpbird reseq2d res0 eqtrdi cnveqd funeqd mpbiri
      jca pm2.61dan ) AIBUFJZIUAKZUBLZBICMKZUCZUDZUEZAUUONZUUPOUUQUGZUUSUUTUUPO
      UUQUHZUVAUUSNUUTUVADUIZEUIZUJZUVCUUQJZUVDUUQJZUJZUKZEUUPPZDUUPPZUVBAUVAUU
      OAULUUMMKZOUUPBABOUMQZUVLOBUGFOBUNRAUUPULUUNMKZUVLAULCMKUUPUVNCUOACUUNULM
      CUUNSAGUPUQURAUUMTQZUVNUVLUSAUVMUUMUTQZUVOFOBVAZUUMVBZVCUUMVDRVEVFVGUUTUV
      EUVCBJZUVDBJZUJZUKZEUUPPZDUVLPZUVKAUWDUUOHVGUUTUWDUWCDULVHZPZUWCDIUUNMKZP
      ZUWCDUUNVHZPZNZNZUVKUUTUWDUWCDUWEUWGUWIVIZVIZPZUWLUUTUWCDUVLUWNUUTUVLUWEI
      UUMMKZVIZUWNUUTUUMVJQZUVLUWQSAUVPUUOUWRAUVMUVPFUVQRZUVPUUONZUVPIUUMVKLZNU
      WRUVPUUOUXAUVPUUOUUNUUMUBLZUXAUVPUUMUUMVLZVMUVPUUOUXBNZIUUMUBLZUXAIVNQZUV
      PUUNVNQZUUMVNQZUXDUXEUKVOUVPUXHUXGUXCUUMVPRUXCIUUNUUMVQVRUVPUXFUXHUXEUXAU
      KUVPVSZUXCIUUMVTWAWEWBWCUUMWDWFWGUUMWHRUUTUWPUWMUWEUUTITQZUUMIIWIKZWJJQZU
      WPUWMSUUTWKAUVPUUOUXLUWSUWTUXKTQZUVOUXKUUMVKLZUXLUXMUWTUXKWLTWMWNWOUPUVPU
      VOUUOUVRVGUVPUUOUXNUVPUUOUXKUUMUBLZUXNUXFUVPUXFUXHUUOUXOWQVOUXIUXCUXFUXFU
      XHWRUXOUUOIIUUMWPWSVRUVPUXKVNQUXHUXOUXNUKUXKWLVNWMWTWOUXCUXKUUMVTXAXBXCUX
      KUUMXDXEWGIUUMXFWAXHXIXGUWOUWFUWCDUWMPZNUWLUWCDUWEUWMXJUXPUWKUWFUWCDUWGUW
      IXJXKXLXMUUTUWKUVKUWFUUTUWHUVKUWJUWHUWCDUUPPUUTUVKUWCDUWGUUPUUNCIMCUUNGXN
      XOXPUUTUWCUVJDUUPUUTUVCUUPQZNZUWBUVIEUUPUXRUVDUUPQZNZUWAUVHUVEUXTUWAUVHUX
      TUVSUVFUVTUVGUXRUVSUVFSZUXSUXQUYAUUTUXQUVFUVSUVCUUPBXQXRXSVGUXSUVTUVGSUXR
      UXSUVGUVTUVDUUPBXQXRXSXTYAYBYCYCYDYEYFXBYGDEUUPOUUQYIYHUUPOUUQYJYKYLAUUOY
      MZNZUUSYTUDZUEYNUYCUURUYDUYCUUQYTUYCUUQBYTUCYTUYCUUPYTBUYCUUPYTSZCIVKLZUY
      CCUUNIVKGAUUNIVKLUYBAUUNIAUUNAUVOUUNTQAUUMUWSYOUUMYPRZYQAVSYRYSUUAUYCUXJC
      TQZNZUYEUYFWQAUYIUYBAUXJUYHAWKACUUNTGUYGUUBUUKVGUYIUYFUYEICUUCWSRUUDUUEBU
      UFUUGUUHUUIUUJUUL $.

    $d I i j $.
    $( Lemma for ~ pthdlem2 .  (Contributed by AV, 10-Feb-2021.) $)
    pthdlem2lem $p |- ( ( ph /\ ( # ` P ) e. NN /\ ( I = 0 \/ I = R ) )
                        -> ( P ` I ) e/ ( P " ( 1 ..^ R ) ) ) $=
      ( cfv cn wcel cc0 wceq wral wne wi wa syl5ibr cvv chash wo w3a c1 cfzo co
      cima wn wnel cv wrex 3ad2ant1 ralcom clt elfzo1 nnne0 necomd sylbi adantl
      wbr neeq1 expd cle cr nnre adantr ltlend simpr syl6bi 3impia jaoi 3adant1
      impcom imp lbfzo0 biimpri eleq1 cmin fzo0end eqeltrid fveq2 imbi12d rspcv
      neeq1d syl mpid nesym syl6ib ralimdva syl5bi ralnex sylib wfun cword wrdf
      mpd wf ffun 3syl fvelima ex mtod df-nel sylibr ) ABUAJZKLZFMNZFCNZUBZUCZF
      BJZBUDCUEUFZUGZLZUHXKXMUIXJXNEUJZBJZXKNZEXLUKZXJXQUHZEXLOZXRUHXJDUJZXOPZY
      ABJZXPPZQZEXLODMXEUEUFZOZXTAXFYGXIIULYGYEDYFOZEXLOXJXTYEDEYFXLUMXJYHXSEXL
      XJXOXLLZRZYHXKXPPZXSYJYHFXOPZYKXJYIYLXFXIYIYLQZAXIXFYMXGXFYMQXHXGXFYIYLXF
      YIRZYLXGMXOPZYIYOXFYIXOKLZCKLZXOCUNUTZUCZYOCXOUOZYPYQYOYRYPXOMXOUPUQULURU
      SFMXOVASVBXHXFYIYLYNYLXHCXOPZYIUUAXFYIYSUUAYTYPYQYRUUAYPYQRZYRXOCVCUTZUUA
      RUUAUUBXOCYPXOVDLYQXOVEVFYQCVDLYPCVEUSVGUUCUUAVHVIVJURUSFCXOVASVBVKVMVLVN
      YJFYFLZYHYLYKQZQXJUUDYIXFXIUUDAXIXFUUDXGXFUUDQXHXFUUDXGMYFLZUUFXFXEVOVPFM
      YFVQSXFUUDXHCYFLXFCXEUDVRUFYFHXEVSVTFCYFVQSVKVMVLVFYEUUEDFYFYAFNZYBYLYDYK
      YAFXOVAUUGYCXKXPYAFBWAWDWBWCWEWFXKXPWGWHWIWJWPXQEXLWKWLXJBWMZXNXRQAXFUUHX
      IABTWNLYFTBWQUUHGTBWOYFTBWRWSULUUHXNXREXKXLBWTXAWEXBXKXMXCXD $.

    $( Lemma 2 for ~ pthd .  (Contributed by Alexander van der Vekens,
       11-Nov-2017.)  (Revised by AV, 10-Feb-2021.) $)
    pthdlem2 $p |- ( ph -> ( ( P " { 0 , R } )
                               i^i ( P " ( 1 ..^ R ) ) ) = (/) ) $=
      ( cfv cc0 wceq cima c1 cfzo co c0 wcel cvv cn0 cfz chash cpr cin wn cword
      cn wi lencl wne df-ne elnnne0 simplbi2 syl5bir 3syl wnel eqid pthdlem2lem
      wa wo orci mp3an3 olci wf wb cmin wrdffz syl adantr oveq2i sylibr nnm1nn0
      feq2i eqeltrid adantl fvinim0ffz syl2anc mpbir2and ex oveq1 syl5eq oveq2d
      syld cle wbr caddc c2 1p1e2 breqtrri 0re 1re lesubadd2i mpbir cz peano2zm
      0le2 1z 0z ax-mp fzon mp2an mpbi eqtrdi imaeq2d ima0 ineq2d in0 pm2.61d2
      ) ABUAIZJKZBJCUBLZBMCNOZLZUCZPKZAXIUDZXHUFQZXNABRUEQZXHSQZXOXPUGFRBUHXOXH
      JUIZXRXPXHJUJXPXRXSXHUKULUMUNAXPXNAXPURZXNJBIXLUOZCBIXLUOZAXPJJKZJCKZUSYA
      YCYDJUPUTABCDEJFGHUQVAAXPCJKZCCKZUSYBYFYECUPVBABCDECFGHUQVAXTJCTOZRBVCZCS
      QZXNYAYBURVDXTJXHMVEOZTOZRBVCZYHAYLXPAXQYLFRBVFVGVHYGYKRBCYJJTGVIVLVJXPYI
      AXPCYJSGXHVKVMVNBCRVOVPVQVRWBXIXMXJPUCPXIXLPXJXIXLBPLPXIXKPBXIXKMJMVEOZNO
      ZPXICYMMNXICYJYMGXHJMVEVSVTWAYMMWCWDZYNPKZYOJMMWEOZWCWDJWFYQWCWOWGWHJMMWI
      WJWJWKWLMWMQYMWMQZYOYPVDWPJWMQYRWQJWNWRMYMWSWTXAXBXCBXDXBXEXJXFXBXG $.

    $d F i j $.
    pthd.f $e |- ( # ` F ) = R $.
    pthd.t $e |- ( ph -> F ( Trails ` G ) P ) $.
    $( Two words representing a trail which also represent a path in a graph.
       (Contributed by AV, 10-Feb-2021.)  (Proof shortened by AV,
       30-Oct-2021.) $)
    pthd $p |- ( ph -> F ( Paths ` G ) P ) $=
      ( cfv wbr c1 chash cfzo co cc0 wral ctrls cres ccnv wfun cpr cima c0 wceq
      cin cpths cmin eqtri cv wne oveq2i raleqi ralbii sylibr pthdlem1 pthdlem2
      wi ispth syl3anbrc ) AFBGUAMNBOFPMZQRZUBUCUDBSVDUEUFBVEUFUIUGUHFBGUJMNLAB
      VDDEHVDCBPMZOUKRKIULZADUMZEUMZUNVHBMVIBMUNVAZEOCQRZTZDSVFQRZTVJEVETZDVMTJ
      VNVLDVMVJEVEVKVDCOQKUOUPUQURZUSABVDDEHVGVOUTBFGVBVC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Closed walks
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ClWalks $.

  $( Extend class notation with closed walks (of a graph). $)
  cclwlks $a class ClWalks $.

  ${
    $d f g p $.
    $( Define the set of all closed walks (in an undirected graph).

       According to definition 4 in [Huneke] p. 2:  "A walk of length n on (a
       graph) G is an ordered sequence v0 , v1 , ... v(n) of vertices such that
       v(i) and v(i+1) are neighbors (i.e are connected by an edge).  We say
       the walk is closed if v(n) = v0".

       According to the definition of a walk as two mappings f from { 0 , ... ,
       ( n - 1 ) } and p from { 0 , ... , n }, where f enumerates the (indices
       of the) edges, and p enumerates the vertices, a closed walk is
       represented by the following sequence: p(0) e(f(0)) p(1) e(f(1)) ...
       p(n-1) e(f(n-1)) p(n)=p(0).

       Notice that by this definition, a single vertex can be considered as a
       closed walk of length 0, see also ~ 0clwlk .  (Contributed by Alexander
       van der Vekens, 12-Mar-2018.)  (Revised by AV, 16-Feb-2021.) $)
    df-clwlks $a |- ClWalks = ( g e. _V |-> { <. f , p >. |
                 ( f ( Walks ` g ) p /\ ( p ` 0 ) = ( p ` ( # ` f ) ) ) } ) $.
  $}

  ${
    $d G f g p $.
    $( The set of closed walks (in an undirected graph).  (Contributed by
       Alexander van der Vekens, 15-Mar-2018.)  (Revised by AV, 16-Feb-2021.)
       (Revised by AV, 29-Oct-2021.) $)
    clwlks $p |- ( ClWalks ` G ) = { <. f , p >. | ( f ( Walks ` G ) p
                                        /\ ( p ` 0 ) = ( p ` ( # ` f ) ) ) } $=
      ( vg cclwlks cfv cv cwlks wbr cc0 chash wceq wa copab wtru biidd cvv wcel
      wksv a1i df-clwlks fvmptopab mptru ) BEFAGZCGZBHFIZJUEFUDKFUEFLZMACNLOUGU
      GACDHEBODGBLMUGPUFACNQROABCSTADCUAUBUC $.
  $}

  ${
    $d F f p $.  $d G f p $.  $d P f p $.
    $( A pair of functions represents a closed walk iff it represents a walk in
       which the first vertex is equal to the last vertex.  (Contributed by
       Alexander van der Vekens, 24-Jun-2018.)  (Revised by AV, 16-Feb-2021.)
       (Proof shortened by AV, 30-Oct-2021.) $)
    isclwlk $p |- ( F ( ClWalks ` G ) P <-> ( F ( Walks ` G ) P
                                        /\ ( P ` 0 ) = ( P ` ( # ` F ) ) ) ) $=
      ( vp vf cc0 cv cfv chash cclwlks cwlks clwlks wa fveq1 adantl simpr fveq2
      wceq adantr fveq12d eqeq12d relwlk brfvopabrbr ) FDGZHZEGZIHZUDHZRFAHZBIH
      ZAHZREDJKBACECDLUFBRZUDARZMZUEUIUHUKUMUEUIRULFUDANOUNUGUJUDAULUMPULUGUJRU
      MUFBIQSTUACUBUC $.

    $( A closed walk is a walk (in an undirected graph).  (Contributed by
       Alexander van der Vekens, 15-Mar-2018.)  (Revised by AV, 16-Feb-2021.)
       (Proof shortened by AV, 30-Oct-2021.) $)
    clwlkiswlk $p |- ( F ( ClWalks ` G ) P -> F ( Walks ` G ) P ) $=
      ( cclwlks cfv wbr cwlks cc0 chash wceq isclwlk simplbi ) BACDEFBACGEFHAEB
      IEAEJABCKL $.

    $d W f p $.
    $( Closed walks are walks (in an undirected graph).  (Contributed by
       Alexander van der Vekens, 23-Jun-2018.)  (Revised by AV, 16-Feb-2021.)
       (Proof shortened by AV, 30-Oct-2021.) $)
    clwlkwlk $p |- ( W e. ( ClWalks ` G ) -> W e. ( Walks ` G ) ) $=
      ( vf vp cwlks cfv wcel cv wbr cc0 chash wa copab cclwlks elopabran clwlks
      wceq eleq2s ) BAEFZGBCHZDHZSIJUAFTKFUAFQZLCDMANFUBCDBSOCADPR $.
  $}

  ${
    $d G w $.
    $( Closed walks are walks (in an undirected graph).  (Contributed by
       Alexander van der Vekens, 25-Aug-2018.)  (Revised by AV,
       16-Feb-2021.) $)
    clwlkswks $p |- ( ClWalks ` G ) C_ ( Walks ` G ) $=
      ( vw cclwlks cfv cwlks cv clwlkwlk ssriv ) BACDAEDABFGH $.
  $}

  ${
    $d F k $.  $d G k $.  $d P k $.
    isclwlke.v $e |- V = ( Vtx ` G ) $.
    isclwlke.i $e |- I = ( iEdg ` G ) $.
    $( Properties of a pair of functions to be a closed walk (in an undirected
       graph).  (Contributed by Alexander van der Vekens, 24-Jun-2018.)
       (Revised by AV, 16-Feb-2021.) $)
    isclwlke $p |- ( G e. X -> ( F ( ClWalks ` G ) P
                     <-> ( ( F e. Word dom I /\ P : ( 0 ... ( # ` F ) ) --> V )
                               /\ ( A. k e. ( 0 ..^ ( # ` F ) )
                                      if- ( ( P ` k ) = ( P ` ( k + 1 ) ) ,
                                            ( I ` ( F ` k ) ) = { ( P ` k ) } ,
                                            { ( P ` k ) , ( P ` ( k + 1 ) ) }
                                            C_ ( I ` ( F ` k ) ) )
                               /\ ( P ` 0 ) = ( P ` ( # ` F ) ) ) ) ) ) $=
      ( cclwlks cfv wbr cwlks cc0 chash wceq wa wcel co bitrdi cdm cword cfz wf
      cv caddc csn cpr wss wif cfzo wral isclwlk w3a iswlkg df-3an anbi1d anass
      c1 syl5bb ) CADJKLCADMKLZNAKCOKZAKPZQZDGRZCEUAUBRZNVBUCSFAUDZQZBUEZAKZVIU
      SUFSAKZPVICKEKZVJUGPVJVKUHVLUIUJBNVBUKSULZVCQQZACDUMVEVDVHVMQZVCQVNVEVAVO
      VCVEVAVFVGVMUNVOABCDEFGHIUOVFVGVMUPTUQVHVMVCURTUT $.

    $d I k $.  $d V k $.
    $( Properties of a pair of functions to be a closed walk (in a
       pseudograph).  (Contributed by Alexander van der Vekens, 24-Jun-2018.)
       (Revised by AV, 11-Apr-2021.)  (Revised by AV, 28-Oct-2021.) $)
    isclwlkupgr $p |- ( G e. UPGraph -> ( F ( ClWalks ` G ) P
               <-> ( ( F e. Word dom I /\ P : ( 0 ... ( # ` F ) ) --> V )
                     /\ ( A. k e. ( 0 ..^ ( # ` F ) )
                          ( I ` ( F ` k ) ) = { ( P ` k ) , ( P ` ( k + 1 ) ) }
                          /\ ( P ` 0 ) = ( P ` ( # ` F ) ) ) ) ) ) $=
      ( cclwlks cfv wbr cwlks cc0 chash wceq wa cupgr wcel cdm co cword cfz cpr
      wf cv c1 caddc cfzo wral isclwlk upgriswlk anbi1d 3an4anass bitrdi syl5bb
      w3a ) CADIJKCADLJKZMAJCNJZAJOZPZDQRZCESUARZMURUBTFAUDZPBUEZCJEJVDAJVDUFUG
      TAJUCOBMURUHTUIZUSPPZACDUJVAUTVBVCVEUPZUSPVFVAUQVGUSABCDEFGHUKULVBVCVEUSU
      MUNUO $.

    clwlkcomp.1 $e |- F = ( 1st ` W ) $.
    clwlkcomp.2 $e |- P = ( 2nd ` W ) $.
    $( A closed walk expressed by properties of its components.  (Contributed
       by Alexander van der Vekens, 24-Jun-2018.)  (Revised by AV,
       17-Feb-2021.) $)
    clwlkcomp $p |- ( ( G e. X /\ W e. ( S X. T ) )
                    -> ( W e. ( ClWalks ` G ) <-> ( ( F e. Word dom I
            /\ P : ( 0 ... ( # ` F ) ) --> V ) /\ ( A. k e. ( 0 ..^ ( # ` F ) )
                                      if- ( ( P ` k ) = ( P ` ( k + 1 ) ) ,
                                            ( I ` ( F ` k ) ) = { ( P ` k ) } ,
                                            { ( P ` k ) , ( P ` ( k + 1 ) ) }
                                            C_ ( I ` ( F ` k ) ) )
                               /\ ( P ` 0 ) = ( P ` ( # ` F ) ) ) ) ) ) $=
      ( wcel cfv cc0 co wa wceq cxp cclwlks wbr cdm cword chash cfz wf cv caddc
      csn cpr wss wif cfzo wral cop c1st c2nd eqcomi pm3.2i mpbiri eleq1d df-br
      c1 eqop bitr4di isclwlke sylan9bbr ) IBCUAOZIFUBPZOZEAVKUCZFJOEGUDUEOQEUF
      PZUGRHAUHSDUIZAPZVOVEUJRAPZTVOEPGPZVPUKTVPVQULVRUMUNDQVNUORUPQAPVNAPTSSVJ
      VLEAUQZVKOVMVJIVSVKVJIVSTIURPZETZIUSPZATZSWAWCEVTMUTAWBNUTVAIEABCVFVBVCEA
      VKVDVGADEFGHJKLVHVI $.

    $d G f g $.  $d W f g $.
    $( Implications for the properties of the components of a closed walk.
       (Contributed by Alexander van der Vekens, 24-Jun-2018.)  (Revised by AV,
       17-Feb-2021.) $)
    clwlkcompim $p |- ( W e. ( ClWalks ` G ) -> ( ( F e. Word dom I
            /\ P : ( 0 ... ( # ` F ) ) --> V )
            /\ ( A. k e. ( 0 ..^ ( # ` F ) )
                 if- ( ( P ` k ) = ( P ` ( k + 1 ) ) ,
                       ( I ` ( F ` k ) ) = { ( P ` k ) } ,
                       { ( P ` k ) , ( P ` ( k + 1 ) ) } C_ ( I ` ( F ` k ) ) )
                 /\ ( P ` 0 ) = ( P ` ( # ` F ) ) ) ) ) $=
      ( vf vg cfv wcel cc0 co wa wceq cvv cclwlks cdm cword chash cfz wf cv csn
      c1 caddc cpr wss wif cfzo cxp wb elfvex cwlks wbr copab clwlks a1i eleq2d
      wral elopaelxp anim2i ex sylbid mpcom clwlkcomp syl ibi ) GDUANZOZCEUBUCO
      PCUDNZUEQFAUFRBUGZANZVPUIUJQANZSVPCNENZVQUHSVQVRUKVSULUMBPVOUNQVDPANVOANS
      RRZVNDTOZGTTUOOZRZVNVTUPWAVNWCGDUAUQWAVNGLUGZMUGZDURNUSPWENWDUDNWENSRZLMU
      TZOZWCWAVMWGGVMWGSWALDMVAVBVCWAWHWCWHWBWAWFLMGVEVFVGVHVIATTBCDEFGTHIJKVJV
      KVL $.

    $( Implications for the properties of the components of a closed walk in a
       pseudograph.  (Contributed by Alexander van der Vekens, 24-Jun-2018.)
       (Revised by AV, 2-May-2021.) $)
    upgrclwlkcompim $p |- ( ( G e. UPGraph /\ W e. ( ClWalks ` G ) )
                  -> ( ( F e. Word dom I /\ P : ( 0 ... ( # ` F ) ) --> V )
                       /\ A. k e. ( 0 ..^ ( # ` F ) )
                          ( I ` ( F ` k ) ) = { ( P ` k ) , ( P ` ( k + 1 ) ) }
                       /\ ( P ` 0 ) = ( P ` ( # ` F ) ) ) ) $=
      ( cupgr wcel cclwlks cfv wa cc0 co wceq wral cdm cword chash cfz wf cv c1
      csn cpr wss wif cfzo w3a clwlkcompim adantl simprl clwlkwlk upgrwlkcompim
      caddc cwlks simp3d sylan2 adantr simprrr 3jca mpdan ) DLMZGDNOMZPZCEUAUBM
      ZQCUCOZUDRFAUEZPZBUFZAOZVNUGUSRAOZSVNCOEOZVOUHSVOVPUIZVQUJUKBQVKULRZTZQAO
      VKAOSZPZPZVMVQVRSBVSTZWAUMVHWCVGABCDEFGHIJKUNUOVIWCPVMWDWAVIVMWBUPVIWDWCV
      HVGGDUTOMZWDDGUQVGWEPVJVLWDABCDEFGHIJKURVAVBVCVIVMVTWAVDVEVF $.
  $}

  ${
    clwlkcompbp.1 $e |- F = ( 1st ` W ) $.
    clwlkcompbp.2 $e |- P = ( 2nd ` W ) $.
    $( Basic properties of the components of a closed walk.  (Contributed by
       AV, 23-May-2022.) $)
    clwlkcompbp $p |- ( W e. ( ClWalks ` G ) -> ( F ( Walks ` G ) P
                                        /\ ( P ` 0 ) = ( P ` ( # ` F ) ) ) ) $=
      ( c1st cfv c2nd cop wceq cclwlks wcel cwlks wbr cc0 chash clwlkwlk wlkop
      wa syl eleq1 df-br bitr4di isclwlk breq12i fveq1i fveq12i eqeq12i anbi12i
      fveq2i sylbb2 syl6bi mpcom ) DDGHZDIHZJZKZDCLHZMZBACNHZOZPAHZBQHZAHZKZTZU
      TDVAMURCDRCDSUAURUTUOUPUSOZVGURUTUQUSMVHDUQUSUBUOUPUSUCUDVHUOUPVAOZPUPHZU
      OQHZUPHZKZTVGUPUOCUEVBVIVFVMBUOAUPVAEFUFVCVJVEVLPAUPFUGVDVKAUPFBUOQEUKUHU
      IUJULUMUN $.
  $}

  $( A closed walk of length 1 is a loop.  (Contributed by AV, 22-Apr-2021.) $)
  clwlkl1loop $p |- ( ( Fun ( iEdg ` G ) /\ F ( ClWalks ` G ) P
                        /\ ( # ` F ) = 1 )
              -> ( ( P ` 0 ) = ( P ` 1 ) /\ { ( P ` 0 ) } e. ( Edg ` G ) ) ) $=
    ( ciedg cfv wfun cclwlks wbr chash c1 wceq cc0 csn cedg wa cwlks wi isclwlk
    wcel fveq2 eqeq2d anbi2d simp2r simp3 simp2l simpr anim2i 3adant3 wlkl1loop
    w3a syl21anc jca 3exp sylbid com13 syl5bi 3imp ) CDEFZBACGEHZBIEZJKZLAEZJAE
    ZKZVBMCNESZOZUSBACPEHZVBUTAEZKZOZURVAVFQABCRVAVJURVFVAVJVGVDOZURVFQVAVIVDVG
    VAVHVCVBUTJATUAUBVAVKURVFVAVKURUJZVDVEVAVGVDURUCVLURVGVAVDOZVEVAVKURUDVAVGV
    DURUEVAVKVMURVKVDVAVGVDUFUGUHABCUIUKULUMUNUOUPUQ $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Circuits and cycles
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Circuits $.
  $c Cycles $.

  $( Extend class notation with circuits (in a graph). $)
  ccrcts $a class Circuits $.

  $( Extend class notation with cycles (in a graph). $)
  ccycls $a class Cycles $.

  ${
    $d g f p $.
    $( Define the set of all circuits (in an undirected graph).

       According to Wikipedia ("Cycle (graph theory)",
       ~ https://en.wikipedia.org/wiki/Cycle_(graph_theory) , 3-Oct-2017):  "A
       circuit can be a closed walk allowing repetitions of vertices but not
       edges"; according to Wikipedia ("Glossary of graph theory terms",
       ~ https://en.wikipedia.org/wiki/Glossary_of_graph_theory_terms,
       3-Oct-2017):  "A circuit may refer to ... a trail (a closed tour without
       repeated edges), ...".

       Following Bollobas ("A trail whose endvertices coincide (a closed trail)
       is called a circuit.", see Definition of [Bollobas] p. 5.), a circuit is
       a closed trail without repeated edges.  So the circuit is also
       represented by the following sequence: p(0) e(f(1)) p(1) e(f(2)) ...
       p(n-1) e(f(n)) p(n)=p(0).  (Contributed by Alexander van der Vekens,
       3-Oct-2017.)  (Revised by AV, 31-Jan-2021.) $)
    df-crcts $a |- Circuits = ( g e. _V |-> { <. f , p >. |
       ( f ( Trails ` g ) p /\ ( p ` 0 ) = ( p ` ( # ` f ) ) ) } ) $.

    $( Define the set of all (simple) cycles (in an undirected graph).

       According to Wikipedia ("Cycle (graph theory)",
       ~ https://en.wikipedia.org/wiki/Cycle_(graph_theory) , 3-Oct-2017):  "A
       simple cycle may be defined either as a closed walk with no repetitions
       of vertices and edges allowed, other than the repetition of the starting
       and ending vertex."

       According to Bollobas:  "If a walk W = x0 x1 ... x(l) is such that l >=
       3, x0=x(l), and the vertices x(i), 0 < i < l, are distinct from each
       other and x0, then W is said to be a cycle."  See Definition of
       [Bollobas] p. 5.

       However, since a walk consisting of distinct vertices (except the first
       and the last vertex) is a path, a cycle can be defined as path whose
       first and last vertices coincide.  So a cycle is represented by the
       following sequence: p(0) e(f(1)) p(1) ... p(n-1) e(f(n)) p(n)=p(0).
       (Contributed by Alexander van der Vekens, 3-Oct-2017.)  (Revised by AV,
       31-Jan-2021.) $)
    df-cycls $a |- Cycles = ( g e. _V |-> { <. f , p >. |
       ( f ( Paths ` g ) p /\ ( p ` 0 ) = ( p ` ( # ` f ) ) ) } ) $.
  $}

  ${
    $d G g f p $.
    $( The set of circuits (in an undirected graph).  (Contributed by Alexander
       van der Vekens, 30-Oct-2017.)  (Revised by AV, 31-Jan-2021.) $)
    crcts $p |- ( Circuits ` G ) = { <. f , p >. |
                   ( f ( Trails ` G ) p /\ ( p ` 0 ) = ( p ` ( # ` f ) ) ) } $=
      ( vg ccrcts cfv cv ctrls wbr cc0 chash wceq wa copab wtru biidd cvv cwlks
      wcel wksv trliswlk ssopab2i ssexi a1i df-crcts fvmptopab mptru ) BEFAGZCG
      ZBHFIZJUIFUHKFUIFLZMACNLOUKUKACDHEBODGBLMUKPUJACNZQSOULUHUIBRFIZACNABCTUJ
      UMACUIUHBUAUBUCUDADCUEUFUG $.

    $( The set of cycles (in an undirected graph).  (Contributed by Alexander
       van der Vekens, 30-Oct-2017.)  (Revised by AV, 31-Jan-2021.) $)
    cycls $p |- ( Cycles ` G ) = { <. f , p >. |
                   ( f ( Paths ` G ) p /\ ( p ` 0 ) = ( p ` ( # ` f ) ) ) } $=
      ( vg ccycls cfv cv cpths wbr cc0 chash wceq wa copab wtru biidd cvv cwlks
      wcel wksv pthiswlk ssopab2i ssexi a1i df-cycls fvmptopab mptru ) BEFAGZCG
      ZBHFIZJUIFUHKFUIFLZMACNLOUKUKACDHEBODGBLMUKPUJACNZQSOULUHUIBRFIZACNABCTUJ
      UMACUIUHBUAUBUCUDADCUEUFUG $.
  $}

  ${
    $d F f p $.  $d G f p $.  $d P f p $.
    $( Sufficient and necessary conditions for a pair of functions to be a
       circuit (in an undirected graph):  A pair of function "is" (represents)
       a circuit iff it is a closed trail.  (Contributed by Alexander van der
       Vekens, 30-Oct-2017.)  (Revised by AV, 31-Jan-2021.)  (Revised by AV,
       30-Oct-2021.) $)
    iscrct $p |- ( F ( Circuits ` G ) P <-> ( F ( Trails ` G ) P
                                        /\ ( P ` 0 ) = ( P ` ( # ` F ) ) ) ) $=
      ( vp vf cc0 cv cfv chash wceq ccrcts ctrls crcts fveq1 adantl simpr fveq2
      wa adantr fveq12d eqeq12d reltrls brfvopabrbr ) FDGZHZEGZIHZUDHZJFAHZBIHZ
      AHZJEDKLBACECDMUFBJZUDAJZRZUEUIUHUKUMUEUIJULFUDANOUNUGUJUDAULUMPULUGUJJUM
      UFBIQSTUACUBUC $.

    $( Sufficient and necessary conditions for a pair of functions to be a
       cycle (in an undirected graph):  A pair of function "is" (represents) a
       cycle iff it is a closed path.  (Contributed by Alexander van der
       Vekens, 30-Oct-2017.)  (Revised by AV, 31-Jan-2021.)  (Revised by AV,
       30-Oct-2021.) $)
    iscycl $p |- ( F ( Cycles ` G ) P <-> ( F ( Paths ` G ) P
                                        /\ ( P ` 0 ) = ( P ` ( # ` F ) ) ) ) $=
      ( vp vf cc0 cv cfv chash wceq ccycls cpths cycls fveq1 adantl simpr fveq2
      wa adantr fveq12d eqeq12d relpths brfvopabrbr ) FDGZHZEGZIHZUDHZJFAHZBIHZ
      AHZJEDKLBACECDMUFBJZUDAJZRZUEUIUHUKUMUEUIJULFUDANOUNUGUJUDAULUMPULUGUJJUM
      UFBIQSTUACUBUC $.
  $}

  $( The properties of a circuit:  A circuit is a closed trail.  (Contributed
     by AV, 31-Jan-2021.)  (Proof shortened by AV, 30-Oct-2021.) $)
  crctprop $p |- ( F ( Circuits ` G ) P -> ( F ( Trails ` G ) P
                                        /\ ( P ` 0 ) = ( P ` ( # ` F ) ) ) ) $=
    ( ccrcts cfv wbr ctrls cc0 chash wceq wa iscrct biimpi ) BACDEFBACGEFHAEBIE
    AEJKABCLM $.

  $( The properties of a cycle:  A cycle is a closed path.  (Contributed by AV,
     31-Jan-2021.)  (Proof shortened by AV, 30-Oct-2021.) $)
  cyclprop $p |- ( F ( Cycles ` G ) P -> ( F ( Paths ` G ) P
                                        /\ ( P ` 0 ) = ( P ` ( # ` F ) ) ) ) $=
    ( ccycls cfv wbr cpths cc0 chash wceq wa iscycl biimpi ) BACDEFBACGEFHAEBIE
    AEJKABCLM $.

  $( A circuit is a closed walk.  (Contributed by AV, 17-Feb-2021.)  (Proof
     shortened by AV, 30-Oct-2021.) $)
  crctisclwlk $p |- ( F ( Circuits ` G ) P -> F ( ClWalks ` G ) P ) $=
    ( ccrcts cfv wbr ctrls cc0 chash wa cclwlks crctprop cwlks trliswlk isclwlk
    wceq biimpri sylan syl ) BACDEFBACGEFZHAEBIEAEPZJBACKEFZABCLTBACMEFZUAUBABC
    NUBUCUAJABCOQRS $.

  $( A circuit is a trail.  (Contributed by Alexander van der Vekens,
     30-Oct-2017.)  (Revised by AV, 31-Jan-2021.) $)
  crctistrl $p |- ( F ( Circuits ` G ) P -> F ( Trails ` G ) P ) $=
    ( ccrcts cfv wbr ctrls cc0 chash wceq crctprop simpld ) BACDEFBACGEFHAEBIEA
    EJABCKL $.

  $( A circuit is a walk.  (Contributed by AV, 6-Apr-2021.) $)
  crctiswlk $p |- ( F ( Circuits ` G ) P -> F ( Walks ` G ) P ) $=
    ( ccrcts cfv wbr ctrls cwlks crctistrl trliswlk syl ) BACDEFBACGEFBACHEFABC
    IABCJK $.

  $( A cycle is a path.  (Contributed by Alexander van der Vekens,
     30-Oct-2017.)  (Revised by AV, 31-Jan-2021.) $)
  cyclispth $p |- ( F ( Cycles ` G ) P -> F ( Paths ` G ) P ) $=
    ( ccycls cfv wbr cpths cc0 chash wceq cyclprop simpld ) BACDEFBACGEFHAEBIEA
    EJABCKL $.

  $( A cycle is a walk.  (Contributed by Alexander van der Vekens, 7-Nov-2017.)
     (Revised by AV, 31-Jan-2021.) $)
  cycliswlk $p |- ( F ( Cycles ` G ) P -> F ( Walks ` G ) P ) $=
    ( ccycls cfv wbr cpths cwlks cyclispth pthiswlk syl ) BACDEFBACGEFBACHEFABC
    IABCJK $.

  $( A cycle is a circuit.  (Contributed by Alexander van der Vekens,
     30-Oct-2017.)  (Revised by AV, 31-Jan-2021.)  (Proof shortened by AV,
     30-Oct-2021.) $)
  cycliscrct $p |- ( F ( Cycles ` G ) P -> F ( Circuits ` G ) P ) $=
    ( cpths cfv wbr cc0 chash ctrls ccycls ccrcts pthistrl anim1i iscycl iscrct
    wceq wa 3imtr4i ) BACDEFZGAEBHEAEPZQBACIEFZTQBACJEFBACKEFSUATABCLMABCNABCOR
    $.

  $( A (non-trivial) cycle is not a simple path.  (Contributed by Alexander van
     der Vekens, 30-Oct-2017.)  (Revised by AV, 31-Jan-2021.)  (Proof shortened
     by AV, 30-Oct-2021.) $)
  cyclnspth $p |- ( F =/= (/)
                    -> ( F ( Cycles ` G ) P -> -. F ( SPaths ` G ) P ) ) $=
    ( ccycls cfv wbr c0 wne cspths wn cpths cc0 chash wceq wa wi iscycl cvv syl
    wcel relpths brrelex1i hasheq0 necon3bid bicomd biimpa spthdep neneqd con2d
    wb expcom impancom sylbi com12 ) BACDEFZBGHZBACIEFZJZUOBACKEZFZLAEZBMEZAEZN
    ZOUPURPABCQUTUPVDURUTUPOZUQVDVEVBLHZUQVDJZPUTUPVFUTBRTZUPVFUJBAUSCUAUBVHVFU
    PVHVBLBGBRUCUDUESUFUQVFVGUQVFOVAVCABCUGUHUKSUIULUMUN $.

  $( A cycle is a path starting and ending at its first vertex.  (Contributed
     by Alexander van der Vekens, 8-Nov-2017.)  (Revised by AV, 31-Jan-2021.)
     (Proof shortened by AV, 30-Oct-2021.) $)
  cyclispthon $p |- ( F ( Cycles ` G ) P
                      -> F ( ( P ` 0 ) ( PathsOn ` G ) ( P ` 0 ) ) P ) $=
    ( ccycls cfv wbr cc0 cpthson chash cpths cyclispth pthonpth syl wceq iscycl
    co simprbi oveq2d breqd mpbird ) BACDEFZBAGAEZUBCHEZPZFBAUBBIEAEZUCPZFZUABA
    CJEFZUGABCKABCLMUAUDUFBAUAUBUEUBUCUAUHUBUENABCOQRST $.

  ${
    $d F k x $.  $d G k $.  $d I k x $.  $d P k $.  $d V k x $.
    lfgrn1cycl.v $e |- V = ( Vtx ` G ) $.
    lfgrn1cycl.i $e |- I = ( iEdg ` G ) $.
    $( In a loop-free graph there are no cycles with length 1 (consisting of
       one edge).  (Contributed by Alexander van der Vekens, 7-Nov-2017.)
       (Revised by AV, 2-Feb-2021.) $)
    lfgrn1cycl $p |- ( I : dom I --> { x e. ~P V | 2 <_ ( # ` x ) }
                       -> ( F ( Cycles ` G ) P -> ( # ` F ) =/= 1 ) ) $=
      ( vk cfv wbr cv c1 wne cc0 wceq wa wi wcel cn ccycls cdm c2 chash cle cpw
      crab wf cpths cwlks cyclprop cycliswlk caddc cfzo wral lfgrwlknloop eleq1
      co 1nn mpbiri lbfzo0 sylibr fveq2 fv0p1e1 neeq12d rspcv syl impcom neeq2d
      wb adantl mpbird ex necon2d com13 sylc com12 ) CBDUAJKZEUBUCALUDJUEKAFUFU
      GEUHZCUDJZMNZVRCBDUIJKZOBJZVTBJZPZQCBDUJJKZVSWARZBCDUKBCDULWEWFWGRWBVSWFW
      EWAVSWFWEWARZVSWFQILZBJZWIMUMURBJZNZIOVTUNURZUOZWHABICDEFHGUPWNVTMWCWDWNV
      TMPZWCWDNZWNWOQWPWCMBJZNZWOWNWRWOOWMSZWNWRRWOVTTSZWSWOWTMTSUSVTMTUQUTVTVA
      VBWLWRIOWMWIOPWJWCWKWQWIOBVCBWIVDVEVFVGVHWOWPWRVJWNWOWDWQWCVTMBVCVIVKVLVM
      VNVGVMVOVKVPVQ $.
  $}

  $( In a simple graph, any trail of length 2 is not a circuit.  (Contributed
     by AV, 5-Jun-2021.) $)
  usgr2trlncrct $p |- ( ( G e. USGraph /\ ( # ` F ) = 2 )
                      -> ( F ( Trails ` G ) P -> -. F ( Circuits ` G ) P ) ) $=
    ( cusgr wcel chash cfv c2 wa ctrls wbr ccrcts wn cc0 wne usgr2trlncl imp wi
    wceq crctprop fveq2 eqeq2d biimpcd simpl2im com12 ad2antlr necon3ad mpd ex
    ) CDEZBFGZHSZIZBACJGKZBACLGKZMZUMUNIZNAGZHAGZOZUPUMUNUTABCPQUQUOURUSULUOURU
    SSZRUJUNUOULVAUOUNURUKAGZSZULVARABCTULVCVAULVBUSURUKHAUAUBUCUDUEUFUGUHUI $.

  ${
    $d F x $.  $d G x $.
    $( In a multigraph graph (with no loops!) there are no cycles with length 1
       (consisting of one edge).  (Contributed by Alexander van der Vekens,
       7-Nov-2017.)  (Revised by AV, 2-Feb-2021.) $)
    umgrn1cycl $p |- ( ( G e. UMGraph /\ F ( Cycles ` G ) P )
                       -> ( # ` F ) =/= 1 ) $=
      ( vx cumgr wcel ccycls cfv wbr chash c1 wne cupgr ciedg cdm cle cvtx eqid
      c2 cv cpw crab wf wi umgrislfupgr lfgrn1cycl simplbiim imp ) CEFZBACGHIZB
      JHKLZUICMFCNHZOSDTJHPIDCQHZUAUBULUCUJUKUDDCULUMUMRZULRZUEDABCULUMUNUOUFUG
      UH $.

    $d F k $.  $d G k $.  $d P k $.
    $( In a simple pseudograph there are no circuits with length 2 (consisting
       of two edges).  (Contributed by Alexander van der Vekens, 9-Nov-2017.)
       (Revised by AV, 3-Feb-2021.)  (Proof shortened by AV, 31-Oct-2021.) $)
    uspgrn2crct $p |- ( ( G e. USPGraph /\ F ( Circuits ` G ) P )
                        -> ( # ` F ) =/= 2 ) $=
      ( vk vx cfv wbr wcel c2 wne cc0 wceq wa wi co c1 cpr cfzo adantl adantr
      ccrcts cuspgr chash ctrls crctprop cwlks ccnv istrl cupgr uspgrupgr ciedg
      wfun cdm cword cfz cvtx wf cv caddc wral w3a upgriswlk preq2 prcom eqtrdi
      eqid eqcoms eqeq2d anbi2d ad2antrr eqtr3 cle cpw csn cdif crab wf1 uspgrf
      wb c0 df-f1 simplbi2 wrdf syl11 imp cn 2nn lbfzo0 mpbir cn0 clt 1nn0 1lt2
      elfzo0 mpbir3an pm3.2i oveq2 eleq2d anbi12d f1cofveqaeq syl21anc eqneqall
      mpbiri 0ne1 syl6mpi adantll sylbid expimpd ex pm2.61ine fzo0to2pr raleqdv
      syl5 2wlklem bitrdi fveq2 neeq2d imbi12d mpbird com13 expd 3adant2 syl6bi
      2a1 impd com23 mpcom com12 sylbi necon2d impancom syl impcom ) BACUAFGZCU
      BHZBUCFZIJZYNBACUDFGZKAFZYPAFZLZMYOYQNABCUEYRYOUUAYQYRYOMYPIYSYTYRYOYPILZ
      YSYTJZNZYRBACUFFGZBUGULZMZYOUUDNZABCUHYOUUGUUDCUIHZYOUUGUUDNCUJUUIUUGYOUU
      DUUIUUEUUFUUHUUIUUEBCUKFZUMZUNHZKYPUOOCUPFZAUQZDURZBFUUJFUUOAFUUOPUSOAFQL
      ZDKYPROZUTZVAUUFUUHNZADBCUUJUUMUUMVFZUUJVFZVBUULUURUUSUUNUULUURMZUUFYOUUD
      UUBUUFYOMZUVBUUCUUBUVCUVBUUCNZUUBUVCMZUVDUULKBFUUJFZYSPAFZQZLZPBFUUJFZUVG
      IAFZQZLZMZMZYSUVKJZNZUVEUVQNYSUVKYSUVKLZUVEUVQUVRUVEMZUULUVNUVPUVSUULMZUV
      NUVIUVJUVHLZMZUVPUVRUVNUWBVSUVEUULUVRUVMUWAUVIUVRUVLUVHUVJUVLUVHLUVKYSUVK
      YSLUVLUVGYSQUVHUVKYSUVGVCUVGYSVDVEVGVHVIVJUWBUVFUVJLZUVTUVPUVFUVJUVHVKUVE
      UULUWCUVPNUVRUVEUULMZUWCKPLZKPJUVPUWDUUKEURUCFIVLGEUUMVMVTVNVOVPZUUJVQZUU
      QUUKBVQZKUUQHZPUUQHZMZUWCUWENUVEUWGUULUVCUWGUUBYOUWGUUFEUUJCUUMUUTUVAVRSS
      TUVEUULUWHUVCUULUWHNZUUBUUFUWLYOUUQUUKBUQZUUFUWHUULUWHUWMUUFUUQUUKBWAWBUU
      KBWCWDTSWEUUBUWKUVCUULUUBUWKKKIROZHZPUWNHZMUWOUWPUWOIWFHZWGIWHWIUWPPWJHUW
      QPIWKGWLWGWMPIWNWOWPUUBUWIUWOUWJUWPUUBUUQUWNKYPIKRWQZWRUUBUUQUWNPUWRWRWSX
      CVJUUQUUKUWFUUJBKPWTXAXDUVPKPXBXEXFXMXGXHXIUVPUVEUVOYDXJUUBUVDUVQVSUVCUUB
      UVBUVOUUCUVPUUBUURUVNUULUUBUURUUPDKPQZUTUVNUUBUUPDUUQUWSUUBUUQUWNUWSUWRXK
      VEXLADUUJBXNXOVIUUBYTUVKYSYPIAXPXQXRTXSXIXTYAYBYCYEYFYGYHYIWEYJYKYLYM $.

    $( In a simple graph there are no cycles with length 2 (consisting of two
       edges).  (Contributed by Alexander van der Vekens, 9-Nov-2017.)
       (Revised by AV, 4-Feb-2021.) $)
    usgrn2cycl $p |- ( ( G e. USGraph /\ F ( Cycles ` G ) P )
                        -> ( # ` F ) =/= 2 ) $=
      ( cusgr wcel cuspgr ccrcts cfv wbr chash wne ccycls usgruspgr uspgrn2crct
      c2 cycliscrct syl2an ) CDECFEBACGHIBJHOKBACLHICMABCPABCNQ $.
  $}

  $( Lemma for ~ crctcshwlkn0 .  (Contributed by AV, 13-Mar-2021.) $)
  crctcshwlkn0lem1 $p |- ( ( A e. RR /\ B e. NN )
                            -> ( ( A - B ) + 1 ) <_ A ) $=
    ( cr wcel cn wa cmin co caddc cle wceq recn adantr nncn adantl 1cnd w3a wbr
    c1 cc subsub eqcomd syl3anc cc0 nnm1ge0 wb nnre peano2rem syl bicomd sylan2
    subge02 mpbird eqbrtrd ) ACDZBEDZFZABGHSIHZABSGHZGHZAJUQATDZBTDZSTDZURUTKUO
    VAUPALMUPVBUOBNOUQPVAVBVCQUTURABSUAUBUCUQUTAJRZUDUSJRZUPVEUOBUEOUPUOUSCDZVD
    VEUFUPBCDVFBUGBUHUIUOVFFVEVDAUSULUJUKUMUN $.

  ${
    $d J x $.  $d N x $.  $d P x $.  $d S x $.  $d ph x $.
    crctcshwlkn0lem.s $e |- ( ph -> S e. ( 1 ..^ N ) ) $.
    crctcshwlkn0lem.q $e |- Q = ( x e. ( 0 ... N ) |-> if ( x <_ ( N - S ) ,
                           ( P ` ( x + S ) ) , ( P ` ( ( x + S ) - N ) ) ) ) $.
    $( Lemma for ~ crctcshwlkn0 .  (Contributed by AV, 12-Mar-2021.) $)
    crctcshwlkn0lem2 $p |- ( ( ph /\ J e. ( 0 ... ( N - S ) ) )
                              -> ( Q ` J ) = ( P ` ( J + S ) ) ) $=
      ( cc0 cmin co cfz wcel cfv cle wbr caddc cif cvv wa cv wceq breq1 fvoveq1
      oveq1 fvoveq1d ifbieq12d c1 cfzo wi fzo0ss1 sseli cuz wss cz cn0 elfzoel2
      elfzonn0 eluzmn syl2anc fzss2 syl sseld 3syl imp fvex a1i fvmptd3 elfzle2
      ifex adantl iftrued eqtrd ) AFJGEKLZMLZNZUAZFDOFVOPQZFERLZCOZVTGKLZCOZSZW
      AVRBFBUBZVOPQZWEERLZCOZWGGKLCOZSWDJGMLZDTIWEFUCZWFVSWHWIWAWCWEFVOPUDWEFEC
      RUEWKWGVTGCKWEFERUFUGUHAVQFWJNZAEUIGUJLZNEJGUJLZNZVQWLUKHWMWNEGULUMWOVPWJ
      FWOGVOUNONZVPWJUOWOGUPNEUQNWPEJGUREGUSGEUTVAVOJGVBVCVDVEVFWDTNVRVSWAWCVTC
      VGWBCVGVKVHVIVRVSWAWCVQVSAFJVOVJVLVMVN $.

    $( Lemma for ~ crctcshwlkn0 .  (Contributed by AV, 12-Mar-2021.) $)
    crctcshwlkn0lem3 $p |- ( ( ph /\ J e. ( ( ( N - S ) + 1 ) ... N ) )
                        -> ( Q ` J ) = ( P ` ( ( J + S ) - N ) ) ) $=
      ( co c1 caddc wcel wa cfv cle wbr cc0 cr wi cmin cfz cif cvv wceq fvoveq1
      breq1 oveq1 fvoveq1d ifbieq12d cuz wss cfzo 0zd elfzoel2 elfzoelz zsubcld
      cv cz peano2zd cn clt elfzo1 nnre posdif 0red resubcl ancoms ltle syl2anc
      w3a lep1d 1red readdcld letr mpan2d syld sylbid syl2an 3impia sylbi eluz2
      syl3anc syl3anbrc syl fzss1 sselda fvex ifex a1i fvmptd3 wn elfz2 anim12i
      zre simprr simpl resubcld ltp1d simprl ltletr mpand ltnled sylibd 3adant1
      expcom syl5com com13 adantr impcom com12 syl5bi imp iffalsed eqtrd ) AFGE
      UAJZKLJZGUBJZMZNZFDOFXPPQZFELJZCOZYBGUAJZCOZUCZYEXTBFBURZXPPQZYGELJZCOZYI
      GUAJCOZUCYFRGUBJZDUDIYGFUEZYHYAYJYKYCYEYGFXPPUGYGFECLUFYMYIYBGCUAYGFELUHU
      IUJAXRYLFAXQRUKOMZXRYLULAEKGUMJMZYNHYORUSMXQUSMZRXQPQZYNYOUNYOXPYOGEEKGUO
      EKGUPZUQUTYOEVAMZGVAMZEGVBQZVKYQGEVCYSYTUUAYQYSESMZGSMZUUAYQTYTEVDGVDUUBU
      UCNZUUARXPVBQZYQEGVEUUDUUERXPPQZYQUUDRSMZXPSMZUUEUUFTUUDVFZUUCUUBUUHGEVGV
      HZRXPVIVJUUDUUFXPXQPQZYQUUDXPUUJVLUUDUUGUUHXQSMZUUFUUKNYQTUUIUUJUUDXPKUUJ
      UUDVMVNRXPXQVOWCVPVQVRVSVTWARXQWBWDWEXQRGWFWEWGYFUDMXTYAYCYEYBCWHYDCWHWIW
      JWKXTYAYCYEAXSYAWLZAYOXSUUMTHXSYPGUSMZFUSMZVKZXQFPQZFGPQZNZNZYOUUMFXQGWMU
      UTYOUUMUUSUUPYOUUMTZUUQUUPUVATUURYOUUPUUQUUMYOEUSMZUUPUUQUUMTZYRUUNUUOUVB
      UVCTZYPUUOUUNUVDUVBUUOUUNNZUVCUVBUUBFSMZUUCNZUVCUVEEWOUUOUVFUUNUUCFWOGWOW
      NUUBUVGNZUUQXPFVBQZUUMUVHXPXQVBQZUUQUVIUVHXPUVHGEUUBUVFUUCWPUUBUVGWQWRZWS
      UVHUUHUULUVFUVJUUQNUVITUVKUVHXPKUVKUVHVMVNUUBUVFUUCWTZXPXQFXAWCXBUVHXPFUV
      KUVLXCXDVSXFVHXEXGXHXIXJXKXLWEXMXNXO $.

    $d F i $.  $d I i $.  $d N i $.  $d P i $.  $d S i $.  $d ph i j $.
    $d ph j x $.
    crctcshwlkn0lem.h $e |- H = ( F cyclShift S ) $.
    crctcshwlkn0lem.n $e |- N = ( # ` F ) $.
    crctcshwlkn0lem.f $e |- ( ph -> F e. Word A ) $.
    crctcshwlkn0lem.p $e |- ( ph -> A. i e. ( 0 ..^ N )
            if- ( ( P ` i ) = ( P ` ( i + 1 ) ) ,
                  ( I ` ( F ` i ) ) = { ( P ` i ) } ,
                  { ( P ` i ) , ( P ` ( i + 1 ) ) } C_ ( I ` ( F ` i ) ) ) ) $.
    $( Lemma for ~ crctcshwlkn0 .  (Contributed by AV, 12-Mar-2021.) $)
    crctcshwlkn0lem4 $p |- ( ph -> A. j e. ( 0 ..^ ( N - S ) )
            if- ( ( Q ` j ) = ( Q ` ( j + 1 ) ) ,
                  ( I ` ( H ` j ) ) = { ( Q ` j ) } ,
                  { ( Q ` j ) , ( Q ` ( j + 1 ) ) } C_ ( I ` ( H ` j ) ) ) ) $=
      ( cfv wcel cv c1 caddc co wceq csn cpr wss wif cmin cfzo wa wral elfzoelz
      cc0 wi cc zcnd adantl adantr 1cnd add32d cn0 cn clt elfzo1 elfzonn0 nnnn0
      wbr w3a nn0addcl ex syl2imc 3ad2ant1 sylbi imp fzo0ss1 elfzo0 simp2bi syl
      sseli cr wb nn0re nnre anim12i 3anass sylibr ltaddsub bicomd biimpd com23
      3adant3 a1d impcom syl3anbrc fveq2 fvoveq1 simpr fveq2d sylan9eqr eqeq12d
      3imp 2fveq3 sneqd preq12d sseq12d ifpbi123d rspcdv mpdan mpid cfz elfzofz
      sylan crctcshwlkn0lem2 sylan2 fzofzp1 ccsh fveq1i chash cmo cword cuz cle
      cz zsubcld nn0ge0d subge02 syl2anr mpbid 3jca eluz2 fzoss2 oveq2i syl3anc
      nnz 3ad2ant2 syl2anc mpbird syl5eq 3syl sselda eleqtrdi cshwidxmod eqcomi
      nnm1nn0 nn0zd zltlem1 sylbid impancom 3adant2 sylanb zaddcl zmodid2 eqtrd
      elfz2nn0 simp1 simp2 simp3 ralrimiva ) AHUAZESZUVAUBUCUDZESZUEZUVAJSZKSZU
      VBUFZUEZUVBUVDUGZUVGUHZUIZHUOLFUJUDZUKUDZAUVAUVNTZULZUVLUVAFUCUDZDSZUVCFU
      CUDZDSZUEZUVQISZKSZUVRUFZUEZUVRUVTUGZUWCUHZUIZAUVOUWHAUVOGUAZDSZUWIUBUCUD
      DSZUEZUWIISKSZUWJUFZUEZUWJUWKUGZUWMUHZUIZGUOLUKUDZUMZUWHRAUVOUWTUWHUPZAFU
      BLUKUDZTZUVOUXAMUXCUVOULZUVQUBUCUDZUVSUEZUXAUXDUVAFUBUVOUVAUQTUXCUVOUVAUV
      AUOUVMUNZURUSUXCFUQTUVOUXCFFUBLUNZURUTUXDVAVBUXDUXFULZUWRUWHGUVQUWSUXDUVQ
      UWSTZUXFUXDUVQVCTZLVDTZUVQLVEVIZUXJUXCUVOUXKUXCFVDTZUXLFLVEVIZVJZUVOUXKUP
      ZLFVFZUXNUXLUXQUXOUVOUVAVCTZUXNFVCTZUXKUVAUVMVGFVHZUXSUXTUXKUVAFVKZVLVMVN
      ZVOVPUXCUXLUVOUXCFUWSTZUXLUXBUWSFLVQWAUYDUXTUXLUXOFLVRVSVTUTZUVOUXCUXMUVO
      UXSUVMVDTZUVAUVMVEVIZVJZUXCUXMUPZUVAUVMVRZUXSUYFUYGUYIUXSUYGUYIUPUYFUXSUX
      CUYGUXMUXSUXCUYGUXMUPUXSUXCULZUYGUXMUYKUVAWBTZFWBTZLWBTZVJZUYGUXMWCZUYKUY
      LUYMUYNULZULZUYOUXSUYLUXCUYQUVAWDZUXCUXPUYQUXRUXNUXLUYQUXOUXNUYMUXLUYNFWE
      ZLWEZWFWMZVOWFUYLUYMUYNWGZWHUYOUXMUYGUVAFLWIWJZVTWKVLWLWNXCVOWOUVQLVRWPUT
      UXIUWIUVQUEZULZUWLUWOUWQUWAUWEUWGVUFUWJUVRUWKUVTVUEUWJUVRUEUXIUWIUVQDWQZU
      SZVUEUXIUWKUXEDSUVTUWIUVQUBDUCWRUXIUXEUVSDUXDUXFWSWTXAZXBVUEUWOUWEWCUXIVU
      EUWMUWCUWNUWDUWIUVQKIXDZVUEUWJUVRVUGXEXBUSVUFUWPUWFUWMUWCVUFUWJUVRUWKUVTV
      UHVUIXFVUEUWMUWCUEUXIVUJUSXGXHXIXJXNVLXKVPUVPUVBUVRUEZUVDUVTUEZUVGUWCUEZU
      VLUWHWCUVOAUVAUOUVMXLUDZTVUKUVAUOUVMXMABDEFUVALMNXOXPUVOAUVCVUNTVULUOUVMU
      VAXQABDEFUVCLMNXOXPUVPUVFUWBKUVPUVFUVAIFXRUDZSZUWBUVAJVUOOXSUVPVUPUVQIXTS
      ZYAUDZISZUWBUVPICYBTZFYETZUVAUOVUQUKUDZTVUPVUSUEAVUTUVOQUTAVVAUVOAUXCVVAM
      UXHVTUTUVPUVAUWSVVBAUVNUWSUVAAUXCLUVMYCSTZUVNUWSUHMUXCUVMYETZLYETZUVMLYDV
      IZVJZVVCUXCUXPVVGUXRUXNUXLVVGUXOUXNUXLULZVVDVVEVVFVVHLFUXLVVEUXNLYPZUSZUX
      NVVAUXLFYPUTYFVVJVVHUOFYDVIZVVFUXNVVKUXLUXNFUYAYGUTUXLUYNUYMVVKVVFWCUXNVU
      AUYTLFYHYIYJYKWMVOUVMLYLWHUVMUOLYMUUAUUBLVUQUOUKPYNUUCUVAFCIUUDYOUVPVURUV
      QIUVPVURUVQLYAUDZUVQVUQLUVQYALVUQPUUEYNAUXCUVOVVLUVQUEZMUXDVVMUVQUOLUBUJU
      DZXLUDTZUXDUXKVVNVCTZUVQVVNYDVIZVJZVVOUXCUXPUVOVVRUXRUXPUVOULUXKVVPVVQUXP
      UVOUXKUYCVPUXPVVPUVOUXLUXNVVPUXOLUUFYQUTUVOUXPVVQUVOUYHUXPVVQUPZUYJUXSUYG
      VVSUYFUXSUXPUYGVVQUXSUXPULZUYGUXMVVQVVTUYOUYPVVTUYRUYOUXSUYLUXPUYQUYSVUBW
      FVUCWHVUDVTVVTUXMVVQVVTUVQYETZVVEUXMVVQWCVVTUVQUXPUXSUXTUXKUXNUXLUXTUXOUY
      AVNUYBXPUUGUXPVVEUXSUXLUXNVVEUXOVVIYQUSUVQLUUHYRWKUUIUUJUUKVOWOYKUULUVQVV
      NUUPWHUXDVWAUXLVVMVVOWCUVOUVAYETVVAVWAUXCUXGUXHUVAFUUMYIUYEUVQLUUNYRYSXNY
      TWTUUOYTWTVUKVULVUMVJZUVEUVIUVKUWAUWEUWGVWBUVBUVRUVDUVTVUKVULVUMUUQZVUKVU
      LVUMUURZXBVWBUVGUWCUVHUWDVUKVULVUMUUSZVWBUVBUVRVWCXEXBVWBUVJUWFUVGUWCVWBU
      VBUVRUVDUVTVWCVWDXFVWEXGXHYOYSUUT $.

    $( Lemma for ~ crctcshwlkn0 .  (Contributed by AV, 12-Mar-2021.) $)
    crctcshwlkn0lem5 $p |- ( ph -> A. j e. ( ( ( N - S ) + 1 ) ..^ N )
            if- ( ( Q ` j ) = ( Q ` ( j + 1 ) ) ,
                  ( I ` ( H ` j ) ) = { ( Q ` j ) } ,
                  { ( Q ` j ) , ( Q ` ( j + 1 ) ) } C_ ( I ` ( H ` j ) ) ) ) $=
      ( cfv wcel cv c1 caddc co wceq csn cpr wss wif cmin cfzo wa wral elfzoelz
      cc0 wi cc zcnd adantl 1cnd adantr elfzoel2 2addsubd eqcomd cn0 cn clt wbr
      w3a elfzo1 cuz cz cle nnz 3ad2ant2 3ad2ant1 zaddcld elfzo2 eluz2 zre nnre
      cr anim12i simplr simpll resubcld lep1d 1red readdcld simpr syl3anc mpand
      letr lesubaddd sylibd ex syl 3adant3 syl5com com23 imp sylbi com12 syl5bi
      3adant1 syl3anbrc uznn0sub simpl2 ax-1 imdistanri lt2add syl21anc sylibrd
      ltsubaddd expcomd 3impia 3adant2 impcom 3jca sylanb elfzo0 sylibr fvoveq1
      com13 fveq2d sylan9eqr eqeq12d wb 2fveq3 preq12d sseq12d crctcshwlkn0lem3
      fveq2 sneqd ifpbi123d sylan2 cmo nnnn0 oveq2i syl5eq mpdan sylan mpid cfz
      rspcdv elfzofz fzofzp1 ccsh fveq1i chash cword ltle nn0sub mpbid 1nn0 a1i
      nn0addcld elnn0uz sylib fzoss1 3syl sselda eleqtrdi cshwidxmod eqcomi crp
      cmul eluzelre nnrp rpred simpr3 simpl3 lt2addmuld jca jca31 2submod eqtrd
      c2 simp1 simp2 simp3 mpbird ralrimiva ) AHUAZESZUWDUBUCUDZESZUEZUWDJSZKSZ
      UWEUFZUEZUWEUWGUGZUWJUHZUIZHLFUJUDZUBUCUDZLUKUDZAUWDUWRTZULZUWOUWDFUCUDZL
      UJUDZDSZUWFFUCUDLUJUDZDSZUEZUXBISZKSZUXCUFZUEZUXCUXEUGZUXHUHZUIZAUWSUXMAU
      WSGUAZDSZUXNUBUCUDDSZUEZUXNISZKSZUXOUFZUEZUXOUXPUGZUXSUHZUIZGUOLUKUDZUMZU
      XMRAUWSUYFUXMUPZAFUBLUKUDTZUWSUYGMUYHUWSULZUXBUBUCUDZUXDUEZUYGUYIUXDUYJUY
      IUWDUBFLUWSUWDUQTUYHUWSUWDUWDUWQLUNZURUSUYIUTUYHFUQTUWSUYHFFUBLUNZURVAUYH
      LUQTUWSUYHLFUBLVBURVAVCVDUYIUYKULZUYDUXMGUXBUYEUYIUXBUYETZUYKUYIUXBVETZLV
      FTZUXBLVGVHZVIZUYOUYHFVFTZUYQFLVGVHZVIZUWSUYSLFVJZVUBUWSULZUYPUYQUYRVUDUX
      ALVKSTZUYPVUDLVLTZUXAVLTLUXAVMVHZVUEVUBVUFUWSUYQUYTVUFVUALVNVOVAVUDUWDFUW
      SUWDVLTZVUBUYLUSVUBFVLTZUWSUYTUYQVUIVUAFVNVPVAVQVUBUWSVUGUWSUWDUWQVKSTZVU
      FUWDLVGVHZVIZVUBVUGUWDUWQLVRZVULVUBVUGVUJVUFVUBVUGUPZVUKVUJUWQVLTZVUHUWQU
      WDVMVHZVIZVUNUWQUWDVSZVUHVUPVUNVUOVUHVUPVUNVUHVUBVUPVUGVUHUWDWBTZVUBVUPVU
      GUPZUWDVTZUYTUYQVUSVUTUPZVUAUYTUYQULZFWBTZLWBTZULZVVBUYTVVDUYQVVEFWAZLWAW
      CZVVFVUSVUTVVFVUSULZVUPUWPUWDVMVHZVUGVVIUWPUWQVMVHZVUPVVJVVIUWPVVILFVVDVV
      EVUSWDZVVDVVEVUSWEZWFZWGVVIUWPWBTUWQWBTVUSVVKVUPULVVJUPVVNVVIUWPUBVVNVVIW
      HWIVVFVUSWJZUWPUWQUWDWMWKWLVVILFUWDVVLVVMVVOWNWOWPWQWRWSWTXAXEXBVPZXCXDXA
      LUXAVSXFLUXAXGWQUYTUYQVUAUWSXHUWSVUBUYRUWSVULVUBUYRUPZVUMVUJVUKVVQVUFVUJV
      UKVVQVUJVUQVUKVVQUPZVURVUHVUOVVRVUPVUBVUKVUHUYRUYTUYQVUAVUKVUHUYRUPZUPZVV
      CVVFVUAVVTUPVVHVVFVUKVUAVVSVVFVUHVUKVUAULZUYRVVFVUHVWAUYRUPVVFVUHULZVWAUX
      ALLUCUDVGVHZUYRVWBVUSVVDVVEVVEULZVWAVWCUPVUHVUSVVFVVAUSZVVDVVEVUHWEZVVFVW
      DVUHVVEVVDVVEVVEVVDXIXJVAUWDFLLXKXLVWBUXALLVWBUWDFVWEVWFWIVVDVVEVUHWDZVWG
      XNXMWPWTXOWQXPYDVOXBXAXQXBXRXSXTUXBLYAYBVAUYNUXNUXBUEZULZUXQUYAUYCUXFUXJU
      XLVWIUXOUXCUXPUXEVWHUXOUXCUEUYNUXNUXBDYMZUSZVWHUYNUXPUYJDSUXEUXNUXBUBDUCY
      CUYNUYJUXDDUYIUYKWJYEYFZYGVWHUYAUXJYHUYNVWHUXSUXHUXTUXIUXNUXBKIYIVWHUXOUX
      CVWJYNYGUSVWIUYBUXKUXSUXHVWIUXOUXCUXPUXEVWKVWLYJVWIUXRUXGKVWIUXNUXBIUYNVW
      HWJYEYEYKYOUUEUUAUUBWPUUCXAUWTUWEUXCUEZUWGUXEUEZUWJUXHUEZUWOUXMYHUWSAUWDU
      WQLUUDUDZTVWMUWDUWQLUUFABDEFUWDLMNYLYPUWSAUWFVWPTVWNUWQLUWDUUGABDEFUWFLMN
      YLYPUWTUWIUXGKUWTUWIUWDIFUUHUDZSZUXGUWDJVWQOUUIUWTVWRUXAIUUJSZYQUDZISZUXG
      UWTICUUKTZVUIUWDUOVWSUKUDZTVWRVXAUEAVXBUWSQVAAVUIUWSAUYHVUIMUYMWQVAUWTUWD
      UYEVXCAUWRUYEUWDAUYHUWQUOVKSTZUWRUYEUHMUYHUWQVETVXDUYHUWPUBUYHVUBUWPVETZV
      UCVUBFLVMVHZVXEUYTUYQVUAVXFVVCVVFVUAVXFUPVVHFLUULWQXPVUBFVETZLVETZULZVXFV
      XEYHUYTUYQVXIVUAUYTVXGUYQVXHFYRLYRWCWRFLUUMWQUUNXBUBVETUYHUUOUUPUUQUWQUUR
      UUSUWQUOLUUTUVAUVBLVWSUOUKPYSUVCUWDFCIUVDWKUWTVWTUXBIUWTVWTUXALYQUDZUXBVW
      SLUXAYQLVWSPUVEYSUWTUXAWBTZLUVFTZULVUGUXAUVRLUVGUDVGVHZULZULZVXJUXBUEAUWS
      VXOAUYHUWSVXOUPZMUYHVUBVXPVUCUWSVULVUBVXOVUMVUBVULVXOVUBVULULZVXKVXLVXNVX
      QUWDFVULVUSVUBVUJVUFVUSVUKUWQUWDUVHVPUSZVUBVVDVULUYTUYQVVDVUAVVGVPVAZWIVU
      BVXLVULUYQUYTVXLVUALUVIVOVAZVXQVUGVXMVULVUBVUGVVPXRVXQUWDFLVXRVXSVXQLVXTU
      VJVUBVUJVUFVUKUVKUYTUYQVUAVULUVLUVMUVNUVOWPXDXBWQXAUXALUVPWQYTYEUVQYTYEVW
      MVWNVWOVIZUWHUWLUWNUXFUXJUXLVYAUWEUXCUWGUXEVWMVWNVWOUVSZVWMVWNVWOUVTZYGVY
      AUWJUXHUWKUXIVWMVWNVWOUWAZVYAUWEUXCVYBYNYGVYAUWMUXKUWJUXHVYAUWEUXCUWGUXEV
      YBVYCYJVYDYKYOWKUWBUWC $.

    crctcshwlkn0lem.e $e |- ( ph -> ( P ` N ) = ( P ` 0 ) ) $.
    $( Lemma for ~ crctcshwlkn0 .  (Contributed by AV, 12-Mar-2021.) $)
    crctcshwlkn0lem6 $p |- ( ( ph /\ J = ( N - S ) ) ->
            if- ( ( Q ` J ) = ( Q ` ( J + 1 ) ) ,
                  ( I ` ( H ` J ) ) = { ( Q ` J ) } ,
                  { ( Q ` J ) , ( Q ` ( J + 1 ) ) } C_ ( I ` ( H ` J ) ) ) ) $=
      ( wceq cmin co wa cfv c1 caddc csn cpr wss wif chash cmo cv cfzo wb oveq1
      cc0 0p1e1 eqtrdi wkslem2 mpdan cn wcel clt wbr w3a elfzo1 simp2 sylbi syl
      lbfzo0 sylibr rspcdva eqeq1 eqeq2d preq1 sseq1d ifpbi123d mpbird cc npcan
      sneq nncn syl2anr simpr eqcomi a1i oveq2d crp nnrp modid0 eqtrd sylan9eqr
      adantl simpl 3jca 3adant3 simp1 fveq2d eqeq1d eqeq12d preq1d sseq12d 3syl
      sneqd cfz cn0 nnsub biimp3a nnnn0d nn0fz0 sylib crctcshwlkn0lem2 elfzoel2
      cuz cz cle elfzoelz zsubcld peano2zd anim1i ancoms crctcshwlkn0lem1 eluz2
      nnre eluzfz1 crctcshwlkn0lem3 subcl ax-1cn pncan2 eqcomd sylancl peano2cn
      cr subsub3d eqtr2d syl2an ccsh adantr syl3anc fveq1i cword elfzofz oveq2i
      ubmelfzo eleqtrrdi cshwidxmod syl5eq simp3 preq12d wkslem1 ) AKLFUAUBZTZU
      CKEUDZKUEUFUBEUDZTKIUDJUDZUUNUGTUUNUUOUHUUPUIUJZUULEUDZUULUEUFUBZEUDZTZUU
      LIUDZJUDZUURUGZTZUURUUTUHZUVCUIZUJZAUVHUUMAUVHUULFUFUBZDUDZUEDUDZTZUVIHUK
      UDZULUBZHUDZJUDZUVJUGZTZUVJUVKUHZUVPUIZUJZAUWALDUDZUVKTZUQHUDZJUDZUWBUGZT
      ZUWBUVKUHZUWEUIZUJZAUWJUQDUDZUVKTZUWEUWKUGZTZUWKUVKUHZUWEUIZUJZAGUMZDUDZU
      WRUEUFUBZDUDZTUWRHUDJUDZUWSUGTUWSUXAUHUXBUIUJZUWQGUQLUNUBZUQUWRUQTZUWTUET
      UXCUWQUOUXEUWTUQUEUFUBUEUWRUQUEUFUPURUSUWRUQUEDHJUTVARALVBVCZUQUXDVCAFUEL
      UNUBVCZUXFMUXGFVBVCZUXFFLVDVEZVFZUXFLFVGZUXHUXFUXIVHVIVJLVKVLVMAUWBUWKTZU
      WJUWQUOSUXLUWCUWGUWIUWLUWNUWPUWBUWKUVKVNUXLUWFUWMUWEUWBUWKWBVOUXLUWHUWOUW
      EUWBUWKUVKVPVQVRVJVSAUXGUVILTZUVNUQTZUXHUXFUCZVFZUWAUWJUOMUXGUXJUXPUXKUXH
      UXFUXPUXIUXOUXMUXPUXFLVTVCZFVTVCZUXMUXHLWCZFWCZLFWAWDUXOUXMUCUXMUXNUXOUXO
      UXMWEUXMUXOUVNLUVMULUBZUQUVILUVMULUPUXOUYALLULUBZUQUXOUVMLLULUVMLTUXOLUVM
      PWFZWGWHUXFUYBUQTZUXHUXFLWIVCUYDLWJLWKVJWNWLWMUXOUXMWOWPVAWQVIUXPUVLUVRUV
      TUWCUWGUWIUXPUVJUWBUVKUXPUVILDUXMUXNUXOWRWSZWTUXPUVPUWEUVQUWFUXPUVOUWDJUX
      PUVNUQHUXMUXNUXOVHWSWSZUXPUVJUWBUYEXEXAUXPUVSUWHUVPUWEUXPUVJUWBUVKUYEXBUY
      FXCVRXDVSAUURUVJTZUUTUVKTZUVBUVOTZUVHUWAUOAUULUQUULXFUBVCZUYGAUULXGVCZUYJ
      AUXGUYKMUXGUXJUYKUXKUXJUULUXHUXFUXIUULVBVCFLXHXIXJVIVJUULXKXLABDEFUULLMNX
      MVAAUUTUUSFUFUBLUAUBZDUDZUVKAUUSUUSLXFUBVCZUUTUYMTALUUSXOUDVCZUYNAUUSXPVC
      ZLXPVCZUUSLXQVEZVFZUYOAUXGUYSMUXGUYPUYQUYRUXGUULUXGLFFUELXNZFUELXRZXSXTUY
      TUXGUXJUYRUXKUXHUXFUYRUXIUXOLYNVCZUXHUCZUYRUXFUXHVUCUXFVUBUXHLYEYAYBLFYCV
      JWQVIWPVJUUSLYDVLUUSLYFVJABDEFUUSLMNYGVAAUYLUEDAUXGUYLUETZMUXGUXJVUDUXKUX
      HUXFVUDUXIUXHUXRUXQVUDUXFUXTUXSUXRUXQUCZUEUUSUULUAUBZUYLVUEUULVTVCZUEVTVC
      ZUEVUFTUXQUXRVUGLFYHYBZYIVUGVUHUCVUFUEUULUEYJYKYLVUEUUSLFVUEVUGUUSVTVCVUI
      UULYMVJUXRUXQWEUXRUXQWOYOYPYQWQVIVJWSWLAUVBUULHFYRUBZUDZUVOUULIVUJOUUAAUX
      GVUKUVOTZMAUXGUCZHCUUBVCZFXPVCZUULUQUVMUNUBZVCVULAVUNUXGQYSUXGVUOAVUAWNVU
      MUULUXDVUPUXGUULUXDVCZAUXGFUELXFUBVCVUQFUELUUCFLUUEVJWNUVMLUQUNUYCUUDUUFU
      ULFCHUUGYTVAUUHUYGUYHUYIVFZUVAUVEUVGUVLUVRUVTVURUURUVJUUTUVKUYGUYHUYIWRZU
      YGUYHUYIVHZXAVURUVCUVPUVDUVQVURUVBUVOJUYGUYHUYIUUIWSZVURUURUVJVUSXEXAVURU
      VFUVSUVCUVPVURUURUVJUUTUVKVUSVUTUUJVVAXCVRYTVSYSUUMUUQUVHUOAKUULEIJUUKWNV
      S $.

    $d I j $.  $d H j $.  $d N j $.  $d Q j $.  $d S j $.
    $( Lemma for ~ crctcshwlkn0 .  (Contributed by AV, 12-Mar-2021.) $)
    crctcshwlkn0lem7 $p |- ( ph -> A. j e. ( 0 ..^ N )
            if- ( ( Q ` j ) = ( Q ` ( j + 1 ) ) ,
                  ( I ` ( H ` j ) ) = { ( Q ` j ) } ,
                  { ( Q ` j ) , ( Q ` ( j + 1 ) ) } C_ ( I ` ( H ` j ) ) ) ) $=
      ( wcel cv cfv c1 caddc co wceq csn cpr wss wif cfzo wral crctcshwlkn0lem4
      cc0 cmin eqidd crctcshwlkn0lem6 mpdan ovex wkslem1 sylibr ralunb sylanbrc
      cun ralsn cn clt wbr w3a elfzo1 cuz cn0 cz cle nnz zsubcl syl2anr 3adant3
      cr wi nnre wa posdif 0re resubcl ancoms ltle sylancr sylbid syl2an 3impia
      elnn0z elnn0uz sylib fzosplitsn syl sylbi raleqdv mpbird crctcshwlkn0lem5
      cfz nnsub biimp3a nnnn0 peano2nn0 3syl 3ad2ant2 crctcshwlkn0lem1 elfz2nn0
      anim1i syl3anbrc fzosplit ) AHUAZEUBZXMUCUDUEEUBZUFXMJUBKUBZXNUGUFXNXOUHX
      PUIUJZHUNLUKUEZULXQHUNLFUOUEZUCUDUEZUKUEZXTLUKUEZVDZULZAXQHYAULZXQHYBULYD
      AYEXQHUNXSUKUEZXSUGZVDZULZAXQHYFULXQHYGULZYIABCDEFGHIJKLMNOPQRUMAXSEUBZXT
      EUBZUFXSJUBKUBZYKUGUFYKYLUHYMUIUJZYJAXSXSUFYNAXSUPABCDEFGIJKXSLMNOPQRSUQU
      RXQYNHXSLFUOUSXMXSEJKUTVEVAXQHYFYGVBVCAXQHYAYHAFUCLUKUETZYAYHUFZMYOFVFTZL
      VFTZFLVGVHZVIZYPLFVJZYTXSUNVKUBTZYPYTXSVLTZUUBYTXSVMTZUNXSVNVHZUUCYQYRUUD
      YSYRLVMTFVMTUUDYQLVOFVOLFVPVQVRYQYRYSUUEYQFVSTZLVSTZYSUUEVTYRFWALWAZUUFUU
      GWBZYSUNXSVGVHZUUEFLWCUUIUNVSTXSVSTZUUJUUEVTWDUUGUUFUUKLFWEWFUNXSWGWHWIWJ
      WKXSWLVCXSWMWNUNXSWOWPWQWPWRWSABCDEFGHIJKLMNOPQRWTXQHYAYBVBVCAXQHXRYCAYOX
      TUNLXAUETZXRYCUFMYOYTUULUUAYTXTVLTZLVLTZXTLVNVHZUULYTXSVFTZUUCUUMYQYRYSUU
      PFLXBXCXSXDXSXEXFYRYQUUNYSLXDXGYQYRUUOYSYQYRWBUUGYQWBZUUOYRYQUUQYRUUGYQUU
      HXJWFLFXHWPVRXTLXIXKWQUNLXTXLXFWRWS $.
  $}

  ${
    crctcsh.v $e |- V = ( Vtx ` G ) $.
    crctcsh.i $e |- I = ( iEdg ` G ) $.
    crctcsh.d $e |- ( ph -> F ( Circuits ` G ) P ) $.
    crctcsh.n $e |- N = ( # ` F ) $.
    $( Lemma for ~ crctcsh .  (Contributed by AV, 10-Mar-2021.) $)
    crctcshlem1 $p |- ( ph -> N e. NN0 ) $=
      ( ccrcts cfv wbr cwlks cn0 wcel crctiswlk chash wlkcl eqeltrid 3syl ) ACB
      DLMNCBDOMNZFPQJBCDRUCFCSMPKBCDTUAUB $.

    crctcsh.s $e |- ( ph -> S e. ( 0 ..^ N ) ) $.
    crctcsh.h $e |- H = ( F cyclShift S ) $.
    $( Lemma for ~ crctcsh .  (Contributed by AV, 10-Mar-2021.) $)
    crctcshlem2 $p |- ( ph -> ( # ` H ) = N ) $=
      ( co chash cfv wcel wbr ccsh cdm cword cz wceq ccrcts crctiswlk wlkf 3syl
      cwlks cc0 cfzo elfzoelz syl cshwlen syl2anc fveq2i 3eqtr4g ) ADCUAPZQRZDQ
      RZFQRHADGUBZUCSZCUDSZUTVAUEADBEUFRTDBEUJRTVCLBDEUGBDEGKUHUIACUKHULPSVDNCU
      KHUMUNCVBDUOUPFUSQOUQMUR $.

    $d N x $.
    crctcsh.q $e |- Q = ( x e. ( 0 ... N ) |-> if ( x <_ ( N - S ) ,
                           ( P ` ( x + S ) ) , ( P ` ( ( x + S ) - N ) ) ) ) $.
    $( Lemma for ~ crctcsh .  (Contributed by AV, 10-Mar-2021.) $)
    crctcshlem3 $p |- ( ph -> ( G e. _V /\ H e. _V /\ Q e. _V ) ) $=
      ( cvv wcel ccrcts cfv ctrls crctistrl cwlks trliswlk wlkv simp1 3syl ccsh
      wbr w3a ovexi a1i cc0 cfz co cv cmin cle caddc cif cmpt ovex eqeltri 3jca
      mptex ) AGSTZHSTZDSTZAFCGUAUBUKFCGUCUBUKZVHNCFGUDVKFCGUEUBUKVHFSTZCSTZULV
      HCFGUFCFGUGVHVLVMUHUIUIVIAHFEUJQUMUNVJADBUOJUPUQZBURZJEUSUQUTUKVOEVAUQZCU
      BVPJUSUQCUBVBZVCSRBVNVQUOJUPVDVGVEUNVF $.

    $d P x $.  $d S x $.  $d ph x $.
    $( Lemma for ~ crctcsh .  (Contributed by AV, 10-Mar-2021.) $)
    crctcshlem4 $p |- ( ( ph /\ S = 0 ) -> ( H = F /\ Q = P ) ) $=
      ( cc0 co wceq wa ccsh oveq2 cdm cword wcel ccrcts cfv wbr cwlks crctiswlk
      wlkf 3syl cshw0 syl sylan9eqr syl5eq cfz cv cmin cle cif cmpt crctcshlem1
      caddc wb nn0cnd subid1d breq2d adantr adantl elfzelz zcnd sylan9eq fveq2d
      addid1d fvoveq1d ifbieq12d mpteq2dva elfzle2 iftrued chash wf wlkp eqcomi
      wfn ffn oveq2i fneq2i sylib dffn5 eqcomd mpdan eqtrd jca ) AESUAZUBZHFUAD
      CUAWRHFEUCTZFQWQAWSFSUCTZFESFUCUDAFIUEZUFUGZWTFUAAFCGUHUIUJZFCGUKUIUJZXBN
      CFGULZCFGIMUMUNXAFUOUPUQURWRDBSJUSTZBUTZJEVATZVBUJZXGEVFTZCUIZXJJVATCUIZV
      CZVDZCRWRXNBXFXGJVBUJZXGCUIZXGJVATCUIZVCZVDZCWRBXFXMXRWRXGXFUGZUBZXIXOXKX
      LXPXQWRXIXOVGXTWRXHJXGVBWQAXHJSVATJESJVAUDAJAJACFGIJKLMNOVEVHVIUQVJVKYAXJ
      XGCWRXTXJXGSVFTZXGWQXJYBUAAESXGVFUDVLXTXGXTXGXGSJVMVNVQVOZVPYAXJXGJCVAYCV
      RVSVTAXSCUAWQAXSBXFXPVDZCABXFXRXPAXTUBXOXPXQXTXOAXGSJWAVLWBVTASFWCUIZUSTZ
      KCWDZYDCUAAXCXDYGNXECFGKLWEUNAYGUBZCYDYHCXFWGZCYDUAYGYIAYGCYFWGYIYFKCWHYF
      XFCYEJSUSJYEOWFWIWJWKVLBXFCWLWKWMWNWOVKWOURWP $.

    $d F i j k x $.  $d G i j $.  $d H j $.  $d I i j k x $.  $d N i j k $.
    $d P i j k $.  $d Q j $.  $d S i j k $.  $d V i j k x $.  $d ph i j k $.
    $( Cyclically shifting the indices of a circuit ` <. F , P >. ` results in
       a walk ` <. H , Q >. ` .  (Contributed by AV, 10-Mar-2021.) $)
    crctcshwlkn0 $p |- ( ( ph /\ S =/= 0 ) -> H ( Walks ` G ) Q ) $=
      ( wa wcel vj vi vk cc0 wne cwlks cfv wbr cdm cword chash co wf cv c1 wceq
      cfz caddc csn cpr wss wif cfzo wral w3a ccsh ccrcts crctiswlk wlkf cshwcl
      3syl syl eqeltrid adantr cmin cle cif wi wlkp simpll cn0 elfznn0 elfzonn0
      nn0addcld elfz3nn0 eqeltrrid ad2antlr cr wb elfzelz zred elfzoelz elfzel2
      adantl leaddsub syl3anc biimpar breqtrdi sylanl1 elfz2nn0 sylibr ffvelrnd
      3jca adantll elfzoel2 zaddcl adantrr simprr zsubcld clt zsubcl ancoms zre
      wn cz ltnle syl2anr ltsubadd syl2an23an posdifd 0red ltle syl2anc sylbird
      sylbid imp exp31 syl11 imp31 nn0re 3ad2ant1 3impia ex mpbird mpcom oveq2d
      jca biimpi ad2antrl cvv elnn0z elfzo0 anim12ci nnre 3ad2ant2 simpr3 jca32
      cn syl2an syl2anb le2add lesubadd ifclda exp32 crctcshlem2 wlkprop eqcomi
      fmptd oveq2i raleqi fzo1fzo0n0 simplbi2 simplll wkslem1 cbvralvw crctprop
      feq2d ctrls fveq2i eqeq2i eqcomd crctcshwlkn0lem7 com23 crctcshlem3 iswlk
      raleqdv syl5bi ) AEUDUEZSZHDGUFUGZUHZHIUIZUJZTZUDHUKUGZUQULZKDUMZUAUNZDUG
      ZUWHUOURULDUGZUPUWHHUGIUGZUWIUSUPUWIUWJUTUWKVAVBZUAUDUWEVCULZVDZVEZUVSUWD
      UWGUWNAUWDUVRAHFEVFULZUWCQAFUWCTZUWPUWCTAFCGVGUGUHZFCUVTUHZUWQNCFGVHZCFGI
      MVIVKEUWBFVJVLVMVNAUWGUVRAUWGUDJUQULZKDUMABUXABUNZJEVOULZVPUHZUXBEURULZCU
      GZUXEJVOULZCUGZVQZKDAUXBUXATZUXIKTZUWSAUXJUXKVRZAUWRUWSNUWTVLUWSUDFUKUGZU
      QULZKCUMZAUXLVRCFGKLVSUXOAUXJUXKUXOAUXJSZSZUXDUXFUXHKUXQUXDSUXNKUXECUXOUX
      PUXDVTUXPUXDUXEUXNTZUXOUXPUXDSUXEWATZUXMWATZUXEUXMVPUHZVEZUXRAEUDJVCULZTZ
      UXJUXDUYBPUYDUXJSZUXDSZUXSUXTUYAUYEUXSUXDUYEUXBEUXJUXBWATZUYDUXBJWBWNUYDE
      WATZUXJEJWCVNWDVNUXJUXTUYDUXDUXJUXMJWAOUXBJWEWFZWGUYFUXEJUXMVPUYEUXEJVPUH
      ZUXDUYEUXBWHTZEWHTZJWHTZUYJUXDWIUXJUYKUYDUXJUXBUXBUDJWJZWKWNUYDUYLUXJUYDE
      EUDJWLZWKVNUXJUYMUYDUXJJUXBUDJWMWKWNUXBEJWOWPWQOWRXCWSUXEUXMWTXAXDXBUXQUX
      DXNZSUXNKUXGCUXOUXPUYPVTUXPUYPUXGUXNTZUXOUXPUYPSUXGWATZUXTUXGUXMVPUHZVEZU
      YQAUYDUXJUYPUYTPUYEUYPSZUYRUXTUYSVUAUXGXOTZUDUXGVPUHZSZUYRUYDUXJUYPVUDUYD
      EXOTZJXOTZUXJUYPVUDVRZVRUYOEUDJXEZUXBXOTZVUEVUFSZVUGUXJVUIVUJUYPVUDVUIVUJ
      SZUYPSVUBVUCVUKVUBUYPVUKUXEJVUIVUEUXEXOTVUFUXBEXFXGZVUIVUEVUFXHXIZVNVUKUY
      PVUCVUKUYPUXCUXBXJUHZVUCVUJUXCWHTUYKVUNUYPWIVUIVUJUXCVUFVUEUXCXOTJEXKXLWK
      UXBXMZUXCUXBXPXQVUKVUNJUXEXJUHZVUCVUJUYMUYLVUIUYKVUNVUPWIVUFUYMVUEJXMWNZV
      UEUYLVUFEXMVNVUIUYKVUJVUOVNJEUXBXRXSVUKVUPUDUXGXJUHZVUCVUKJUXEVUJUYMVUIVU
      QWNZVUKUXEVULWKZXTVUKUDWHTUXGWHTVURVUCVRVUKYAVUKUXGVUMWKUDUXGYBYCYEYEYDYF
      YQYGUYNYHYCYIUXGUUAXAUXJUXTUYDUYPUYIWGVUAUXGJUXMVPUYEUXGJVPUHZUYPUYEVVAUX
      EJJURULVPUHZUYEUYKUYLSZUYMUYMSZSZUXBJVPUHZEJVPUHZSZSZVVBUYDUYHJUUHTZEJXJU
      HZVEZUYGJWATZVVFVEZVVIUXJEJUUBUXBJWTVVLVVNSZVVEVVFVVGVVOVVCVVDVVLUYLVVNUY
      KUYHVVJUYLVVKEYJZYKUYGVVMUYKVVFUXBYJYKUUCVVLVVDVVNVVJUYHVVDVVKVVJUYMUYMJU
      UDZVVQYQUUEVNYQVVLUYGVVMVVFUUFVVLVVGVVNUYHVVJVVKVVGUYHUYLUYMVVKVVGVRVVJVV
      PVVQEJYBUUIYLVNUUGUUJVVEVVHVVBUXBEJJUUKYFVLUYEUXEWHTZUYMUYMVEZVVAVVBWIUYD
      UXJVVSUYDVUEVUFUXJVVSVRUYOVUHVUIVUJVVSUXJVUIVUJVVSVUKVVRUYMUYMVUTVUSVUSXC
      YMUYNYHYCYFUXEJJUULVLYNVNOWRXCWSUXGUXMWTXAXDXBUUMUUNVLYOYFRUURAUWFUXAKDAU
      WEJUDUQACEFGHIJKLMNOPQUUOZYPUVGYNVNUWQUXOUBUNZCUGZVWAUOURULCUGZUPVWAFUGIU
      GZVWBUSUPVWBVWCUTVWDVAVBZUBUDUXMVCULZVDZVEZUVSUWNAVWHUVRAUWRUWSVWHNUWTCUB
      FGIKLMUUPVKVNUWQUXOVWGUVSUWNVRUWQUXOSZUVSVWGUWNVWIUVSVWGUWNVRVWGVWEUBUYCV
      DZVWIUVSSZUWNVWEUBVWFUYCUXMJUDVCJUXMOUUQZUUSUUTVWKVWJUWNVWKVWJSZUWNUWLUAU
      YCVDZVWMBUWBCDEUCUAFHIJUVSEUOJVCULTZVWIVWJAUVRVWOAUYDUVRVWOVRPVWOUYDUVREJ
      UVAUVBVLYFWGRQOUWQUXOUVSVWJUVCVWJUCUNZCUGZVWPUOURULCUGZUPVWPFUGIUGZVWQUSU
      PVWQVWRUTVWSVAVBZUCUYCVDZVWKVWJVXAVWEVWTUBUCUYCVWAVWPCFIUVDUVEYRWNVWKJCUG
      ZUDCUGZUPZVWJAVXDVWIUVRAUWRFCGUVHUGUHZVXCUXMCUGZUPZSVXDNCFGUVFVXGVXDVXEVX
      GVXCVXBVXGVXCVXBUPVXFVXBVXCUXMJCVWLUVIUVJYRUVKWNVKYSVNUVLVWKUWNVWNWIZVWJA
      VXHVWIUVRAUWLUAUWMUYCAUWEJUDVCVVTYPUVPYSVNYNYMUVQYMUVMYLYOXCUVSGYTTHYTTDY
      TTVEZUWAUWOWIAVXIUVRABCDEFGHIJKLMNOPQRUVNVNDYTUAHGIKYTYTLMUVOVLYN $.

    $( Cyclically shifting the indices of a circuit ` <. F , P >. ` results in
       a walk ` <. H , Q >. ` .  (Contributed by AV, 10-Mar-2021.) $)
    crctcshwlk $p |- ( ph -> H ( Walks ` G ) Q ) $=
      ( cfv wbr cwlks cc0 wceq wa crctcshlem4 wi ccrcts crctistrl trliswlk 3syl
      ctrls breq12 syl5ibrcom adantr mpd crctcshwlkn0 pm2.61dane ) AHDGUASZTZEU
      BAEUBUCZUDHFUCDCUCUDZUSABCDEFGHIJKLMNOPQRUEAVAUSUFUTAUSVAFCURTZAFCGUGSTFC
      GUKSTVBNCFGUHCFGUIUJHFDCURULUMUNUOABCDEFGHIJKLMNOPQRUPUQ $.

    $( Cyclically shifting the indices of a circuit ` <. F , P >. ` results in
       a trail ` <. H , Q >. ` .  (Contributed by AV, 14-Mar-2021.)  (Proof
       shortened by AV, 30-Oct-2021.) $)
    crctcshtrl $p |- ( ph -> H ( Trails ` G ) Q ) $=
      ( cfv wbr cwlks ccnv wfun ctrls crctcshwlk cdm cword wcel cz ccsh co wceq
      w3a wa ccrcts crctistrl cc0 chash cfzo trlf1 wf df-f1 iswrdi anim1i sylbi
      wf1 syl 3syl elfzoelz df-3an sylanbrc cshinj mpisyl istrl ) AHDGUASTHUBUC
      ZHDGUDSZTABCDEFGHIJKLMNOPQRUEAFIUFZUGUHZFUBUCZEUIUHZUMZHFEUJUKULVOAVRVSUN
      ZVTWAAFCGUOSTFCVPTZWBNCFGUPWCUQFURSZUSUKZVQFVFZWBCFGIMUTWFWEVQFVAZVSUNWBW
      EVQFVBWGVRVSVQWDFVCVDVEVGVHAEUQJUSUKUHVTPEUQJVIVGVRVSVTVJVKQVQEFHVLVMDHGV
      NVK $.

    $d H x $.  $d N x $.  $d P x $.  $d S x $.  $d ph x $.
    $( Cyclically shifting the indices of a circuit ` <. F , P >. ` results in
       a circuit ` <. H , Q >. ` .  (Contributed by AV, 10-Mar-2021.)  (Proof
       shortened by AV, 31-Oct-2021.) $)
    crctcsh $p |- ( ph -> H ( Circuits ` G ) Q ) $=
      ( cc0 co ccrcts cfv wbr wceq crctcshlem4 breq12 syl5ibrcom adantr mpd wne
      wa wi ctrls chash crctcshtrl caddc cv cmin cle cif cfz breq1 oveq1 fveq2d
      cvv fvoveq1d ifbieq12d cfzo wcel elfzo0le syl crctcshlem1 nn0red elfzoelz
      cz zred subge0d mpbird iftrued sylan9eqr cn0 0elfz fvexd fvmptd2 elfzoel2
      wn elfzonn0 cn simpr anim1i elnnne0 sylibr nngt0d cr wb anim12ci ltsubpos
      clt zre nn0re bicomd syl2anc imp crctcshlem2 breq1d notbid resubcld ltnle
      ex bitr4d iffalsed eqeltrd nn0cnd zcnd addsubd oveq1d subidd eqtrd nn0fz0
      jca sylib eqtr4d iscrct sylanbrc pm2.61dane ) AHDGUAUBZUCZESAESUDZUKHFUDD
      CUDUKZYGABCDEFGHIJKLMNOPQRUEAYIYGULYHAYGYIFCYFUCZNHFDCYFUFUGUHUIAESUJZUKZ
      HDGUMUBUCZSDUBZHUNUBZDUBZUDYGAYMYKABCDEFGHIJKLMNOPQRUOUHYLYNSEUPTZCUBZYPY
      LBSBUQZJEURTZUSUCZYSEUPTZCUBZUUBJURTCUBZUTZYRSJVATZDVERYSSUDZYLUUESYTUSUC
      ZYRYQJURTCUBZUTYRUUGUUAUUHUUCUUDYRUUIYSSYTUSVBUUGUUBYQCYSSEUPVCZVDUUGUUBY
      QJCURUUJVFVGYLUUHYRUUIAUUHYKAUUHEJUSUCZAESJVHTVIZUUKPEJVJVKAJEAJACFGIJKLM
      NOVLZVMZAEAUULEVOVIPESJVNVKZVPZVQVRUHVSVTYLJWAVIZSUUFVIYLCFGIJKLMAYJYKNUH
      ZOVLJWBVKYLYQCWCZWDYLBYOUUEYRUUFDVERYLYSYOUDZUKUUEYOEUPTZJURTZCUBZYRUUTYL
      UUEYOYTUSUCZUVACUBZUVCUTUVCUUTUUAUVDUUCUUDUVEUVCYSYOYTUSVBUUTUUBUVACYSYOE
      UPVCZVDUUTUUBUVAJCURUVFVFVGYLUVDUVEUVCYLUVDWFZYTJWRUCZAYKUVHAUULYKUVHULZP
      UULJVOVIZEWAVIZUVIESJWEEJWGUVJUVKUKZYKUVHUVLYKUKZUVHSEWRUCZUVMEUVMUVKYKUK
      EWHVIUVLUVKYKUVJUVKWIWJEWKWLWMUVMEWNVIZJWNVIZUKZUVHUVNWOUVLUVQYKUVJUVPUVK
      UVOJWSEWTWPUHUVQUVNUVHEJWQXAVKVRXIXBVKXCYLUVGJYTUSUCZWFZUVHYLUVDUVRYLYOJY
      TUSYLCEFGHIJKLMUUROAUULYKPUHQXDXEXFYLYTWNVIZUVPUKZUVHUVSWOAUWAYKAUVTUVPAJ
      EUUNUUPXGUUNXTUHYTJXHVKXJVRXKVTYLUVCYRUDZUUTAUWBYKAUVBYQCAUVBYOJURTZEUPTY
      QAYOEJAYOAYOJWAACEFGHIJKLMNOPQXDZUUMXLXMAEUUOXNAJUUMXMZXOAUWCSEUPAUWCJJUR
      TSAYOJJURUWDXPAJUWEXQXRXPXRVDUHUHXRYLYOJUUFAYOJUDYKUWDUHAJUUFVIZYKAUUQUWF
      UUMJXSYAUHXLUUSWDYBDHGYCYDYE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Walks as words
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  In general, a walk is an alternating sequence of vertices and edges, as
  defined in ~ df-wlks : p(0) e(f(1)) p(1) e(f(2)) ... p(n-1) e(f(n)) p(n).
  Often, it is sufficient to refer to a walk by the natural sequence of its
  vertices, i.e omitting its edges in its representation: p(0) p(1) ... p(n-1)
  p(n), see the corresponding remark in [Diestel] p. 6.  The concept of a
  ` Word `, see ~ df-word , is the appropriate way to define such a sequence
  (being finite and starting at index 0) of vertices.  Therefore, it is used in
  Definitions ~ df-wwlks and ~ df-wwlksn , and the representation of a walk as
  sequence of its vertices is called "walk as word".

  Only for simple pseudographs, however, the edges can be uniquely
  reconstructed from such a representation.  In other cases, there could be
  more than one edge between two adjacent vertices in the walk (in a
  multigraph), or two adjacent vertices could be connected by two different
  hyperedges involving additional vertices (in a hypergraph).

$)

  $c WWalks $.
  $c WWalksN $.
  $c WWalksNOn $.
  $c WSPathsN $.
  $c WSPathsNOn $.

  $( Extend class notation with walks (in a graph) as word over the set of
     vertices. $)
  cwwlks $a class WWalks $.

  $( Extend class notation with walks (in a graph) of a fixed length as word
     over the set of vertices. $)
  cwwlksn $a class WWalksN $.

  $( Extend class notation with walks between two vertices (in a graph) of a
     fixed length as word over the set of vertices. $)
  cwwlksnon $a class WWalksNOn $.

  $( Extend class notation with simple paths (in a graph) of a fixed length as
     word over the set of vertices. $)
  cwwspthsn $a class WSPathsN $.

  $( Extend class notation with simple paths between two vertices (in a graph)
     of a fixed length as word over the set of vertices. $)
  cwwspthsnon $a class WSPathsNOn $.

  ${
    $d g i w $.
    $( Define the set of all walks (in an undirected graph) as words over the
       set of vertices.  Such a word corresponds to the sequence p(0) p(1) ...
       p(n-1) p(n) of the vertices in a walk p(0) e(f(1)) p(1) e(f(2)) ...
       p(n-1) e(f(n)) p(n) as defined in ~ df-wlks . ` w = (/) ` has to be
       excluded because a walk always consists of at least one vertex, see
       ~ wlkn0 .  (Contributed by Alexander van der Vekens, 15-Jul-2018.)
       (Revised by AV, 8-Apr-2021.) $)
    df-wwlks $a |- WWalks = ( g e. _V |-> { w e. Word ( Vtx ` g ) | ( w =/= (/)
                   /\ A. i e. ( 0 ..^ ( ( # ` w ) - 1 ) )
                      { ( w ` i ) , ( w ` ( i + 1 ) ) } e. ( Edg ` g ) ) } ) $.
  $}

  ${
    $d g n w $.
    $( Define the set of all walks (in an undirected graph) of a fixed length n
       as words over the set of vertices.  Such a word corresponds to the
       sequence p(0) p(1) ... p(n) of the vertices in a walk p(0) e(f(1)) p(1)
       e(f(2)) ... p(n-1) e(f(n)) p(n) as defined in ~ df-wlks .  (Contributed
       by Alexander van der Vekens, 15-Jul-2018.)  (Revised by AV,
       8-Apr-2021.) $)
    df-wwlksn $a |- WWalksN = ( n e. NN0 , g e. _V |->
                           { w e. ( WWalks ` g ) | ( # ` w ) = ( n + 1 ) } ) $.
  $}

  ${
    $d a b g n w $.
    $( Define the collection of walks of a fixed length with particular
       endpoints as word over the set of vertices.  (Contributed by Alexander
       van der Vekens, 15-Feb-2018.)  (Revised by AV, 11-May-2021.) $)
    df-wwlksnon $a |- WWalksNOn = ( n e. NN0 , g e. _V
                        |-> ( a e. ( Vtx ` g ) , b e. ( Vtx ` g )
                              |-> { w e. ( n WWalksN g ) |
                                    ( ( w ` 0 ) = a /\ ( w ` n ) = b ) } ) ) $.
  $}

  ${
    $d f g n w $.
    $( Define the collection of simple paths of a fixed length as word over the
       set of vertices.  (Contributed by Alexander van der Vekens, 1-Mar-2018.)
       (Revised by AV, 11-May-2021.) $)
    df-wspthsn $a |- WSPathsN = ( n e. NN0 , g e. _V
                    |-> { w e. ( n WWalksN g ) | E. f f ( SPaths ` g ) w } ) $.
  $}

  ${
    $d a b f g n w $.
    $( Define the collection of simple paths of a fixed length with particular
       endpoints as word over the set of vertices.  (Contributed by Alexander
       van der Vekens, 1-Mar-2018.)  (Revised by AV, 11-May-2021.) $)
    df-wspthsnon $a |- WSPathsNOn = ( n e. NN0 , g e. _V
                         |-> ( a e. ( Vtx ` g ) , b e. ( Vtx ` g )
                               |-> { w e. ( a ( n WWalksNOn g ) b ) |
                                     E. f f ( a ( SPathsOn ` g ) b ) w } ) ) $.
  $}

  ${
    $d E g $.  $d G g i w $.  $d V g w $.
    wwlks.v $e |- V = ( Vtx ` G ) $.
    wwlks.e $e |- E = ( Edg ` G ) $.
    $( The set of walks (in an undirected graph) as words over the set of
       vertices.  (Contributed by Alexander van der Vekens, 15-Jul-2018.)
       (Revised by AV, 8-Apr-2021.) $)
    wwlks $p |- ( WWalks ` G ) = { w e. Word V | ( w =/= (/)
                               /\ A. i e. ( 0 ..^ ( ( # ` w ) - 1 ) )
                                  { ( w ` i ) , ( w ` ( i + 1 ) ) } e. E ) } $=
      ( vg cvv wcel cwwlks cfv cv c0 co wral cword wceq cedg cvtx wne caddc cpr
      c1 cc0 chash cmin cfzo wa df-wwlks fveq2 eqtr4di wrdeq syl eleq2d ralbidv
      crab anbi2d rabeqbidv id fvexi wrdexg rabexg 3syl fvmptd3 wn fvprc syl5eq
      a1i 0wrd0 bitrdi nne biimpri intnanrd syl6bi rabeq0 sylibr eqtr4d pm2.61i
      ralrimiv ) DIJZDKLZAMZNUAZBMZWCLWEUDUBOWCLUCZCJZBUEWCUFLUDUGOUHOZPZUIZAEQ
      ZUQZRWAHDWDWFHMZSLZJZBWHPZUIZAWMTLZQZUQWLIKIAHBUJWMDRZWQWJAWSWKWTWRERWSWK
      RWTWRDTLZEWMDTUKFULWREUMUNWTWPWIWDWTWOWGBWHWTWNCWFWTWNDSLCWMDSUKGULUOUPUR
      USWAUTWAEIJZWKIJWLIJXBWAEDTFVAVIEIVBWJAWKIVCVDVEWAVFZWBNWLDKVGXCWJVFZAWKP
      WLNRXCXDAWKXCWCWKJZWCNRZXDXCXEWCNQZJXFXCWKXGWCXCENRWKXGRXCEXANFDTVGVHENUM
      UNUOWCVJVKXFWDWIWDVFXFWCNVLVMVNVOVTWJAWKVPVQVRVS $.

    $d E w $.  $d V w $.  $d W i w $.
    $( A word over the set of vertices representing a walk (in an undirected
       graph).  (Contributed by Alexander van der Vekens, 15-Jul-2018.)
       (Revised by AV, 8-Apr-2021.) $)
    iswwlks $p |- ( W e. ( WWalks ` G ) <-> ( W =/= (/) /\ W e. Word V
                               /\ A. i e. ( 0 ..^ ( ( # ` W ) - 1 ) )
                                  { ( W ` i ) , ( W ` ( i + 1 ) ) } e. E ) ) $=
      ( vw cv c0 wne cfv c1 co wcel cc0 chash cmin cfzo wa caddc cpr wral cword
      crab cwwlks wceq neeq1 fveq2 oveq1d oveq2d fveq1 preq12d eleq1d raleqbidv
      w3a anbi12d elrab wwlks eleq2i 3anan12 3bitr4i ) EHIZJKZAIZVCLZVEMUANZVCL
      ZUBZBOZAPVCQLZMRNZSNZUCZTZHDUDZUEZOEVPOZEJKZVEELZVGELZUBZBOZAPEQLZMRNZSNZ
      UCZTZTECUFLZOVSVRWGUPVOWHHEVPVCEUGZVDVSVNWGVCEJUHWJVJWCAVMWFWJVLWEPSWJVKW
      DMRVCEQUIUJUKWJVIWBBWJVFVTVHWAVEVCEULVGVCEULUMUNUOUQURWIVQEHABCDFGUSUTVSV
      RWGVAVB $.
  $}

  ${
    $d G g n w $.  $d N g n w $.
    $( The set of walks (in an undirected graph) of a fixed length as words
       over the set of vertices.  (Contributed by Alexander van der Vekens,
       15-Jul-2018.)  (Revised by AV, 8-Apr-2021.) $)
    wwlksn $p |- ( N e. NN0 -> ( N WWalksN G ) = { w e. ( WWalks ` G ) |
                                                   ( # ` w ) = ( N + 1 ) } ) $=
      ( vn vg cvv wcel cn0 cwwlksn co cv chash cfv c1 caddc wceq cwwlks crab wi
      c0 wa fveq2 adantl wb oveq1 eqeq2d adantr rabeqbidv df-wwlksn fvex ovmpoa
      rabex expcom reldmmpo ovprc2 fvprc rabeqdv rab0 eqtrdi eqtr4d a1d pm2.61i
      wn ) BFGZCHGZCBIJZAKLMZCNOJZPZABQMZRZPZSVEVDVLDECBHFVGDKZNOJZPZAEKZQMZRZV
      KIVMCPZVPBPZUAVOVIAVQVJVTVQVJPVSVPBQUBUCVSVOVIUDVTVSVNVHVGVMCNOUEUFUGUHAE
      DUIZVIAVJBQUJULUKUMVDVCZVLVEWBVFTVKCBIDEHFVRIWAUNUOWBVKVIATRTWBVIAVJTBQUP
      UQVIAURUSUTVAVB $.
  $}

  ${
    $d N w $.  $d G w $.  $d W w $.
    $( A word over the set of vertices representing a walk of a fixed length
       (in an undirected graph).  (Contributed by Alexander van der Vekens,
       15-Jul-2018.)  (Revised by AV, 8-Apr-2021.) $)
    iswwlksn $p |- ( N e. NN0 -> ( W e. ( N WWalksN G )
                    <-> ( W e. ( WWalks ` G ) /\ ( # ` W ) = ( N + 1 ) ) ) ) $=
      ( vw cn0 wcel cwwlksn co cv chash cfv c1 caddc wceq cwwlks crab wa wwlksn
      eleq2d fveqeq2 elrab bitrdi ) BEFZCBAGHZFCDIZJKBLMHZNZDAOKZPZFCUHFCJKUFNZ
      QUCUDUICDABRSUGUJDCUHUECUFJTUAUB $.
  $}

  $( Derivation of the length of a word ` W ` whose concatenation with a
     singleton word represents a walk of a fixed length ` N ` (a partial
     reverse closure theorem).  (Contributed by AV, 4-Mar-2022.) $)
  wwlksnprcl $p |- ( ( W e. Word V /\ N e. NN0 )
                    -> ( ( W ++ <" X "> ) e. ( N WWalksN G )
                         -> ( # ` W ) = N ) ) $=
    ( cword wcel cn0 wa cs1 cconcat co cwwlksn cwwlks cfv chash c1 caddc wceq
    wb iswwlksn adantl ccatws1lenp1b biimpd adantld sylbid ) DCFGZBHGZIZDEJKLZB
    AMLGZUJANOGZUJPOBQRLSZIZDPOBSZUHUKUNTUGABUJUAUBUIUMUOULUIUMUOBCDEUCUDUEUF
    $.

  ${
    $d G i $.  $d W i $.
    iswwlksnx.v $e |- V = ( Vtx ` G ) $.
    iswwlksnx.e $e |- E = ( Edg ` G ) $.
    $( Properties of a word to represent a walk of a fixed length, definition
       of ` WWalks ` expanded.  (Contributed by AV, 28-Apr-2021.) $)
    iswwlksnx $p |- ( N e. NN0 -> ( W e. ( N WWalksN G )
                  <-> ( W e. Word V /\ A. i e. ( 0 ..^ ( ( # ` W ) - 1 ) )
                                       { ( W ` i ) , ( W ` ( i + 1 ) ) } e. E
                        /\ ( # ` W ) = ( N + 1 ) ) ) ) $=
      ( wcel co cfv c1 caddc wa cc0 w3a wb c0 wne df-3an cn0 cwwlksn chash wceq
      cwwlks cword cv cpr cmin cfzo wral iswwlksn iswwlks nn0p1gt0 adantr neeq1
      gt0ne0d adantl mpbird hasheq0 necon3bid syl5ibcom bicomd anbi1d syl5bb ex
      pm4.71rd pm5.32rd bitr4di bitrd ) DUAIZFDCUBJIFCUEKIZFUCKZDLMJZUDZNZFEUFZ
      IZAUGZFKVSLMJFKUHBIAOVMLUIJUJJUKZVOPZCDFULVKVPVRVTNZVONWAVKVOVLWBVKVOVLWB
      QVLFRSZVRVTPZVKVONZWBABCEFGHUMWDWCVRNZVTNWEWBWCVRVTTWEWFVRVTWEVRWFWEVRWCW
      EVMOSZVRWCWEWGVNOSZVKWHVOVKVNDUNUQUOVOWGWHQVKVMVNOUPURUSVRVMOFRFVQUTVAVBV
      GVCVDVEVEVFVHVRVTVOTVIVJ $.
  $}

  ${
    $d G i $.  $d W i $.
    wwlkbp.v $e |- V = ( Vtx ` G ) $.
    $( Basic properties of a walk (in an undirected graph) as word.
       (Contributed by Alexander van der Vekens, 15-Jul-2018.)  (Revised by AV,
       9-Apr-2021.) $)
    wwlkbp $p |- ( W e. ( WWalks ` G ) -> ( G e. _V /\ W e. Word V ) ) $=
      ( vi cwwlks cfv wcel cvv cword elfvex c0 wne cv c1 caddc co cpr cedg cc0
      chash cmin cfzo wral eqid iswwlks simp2bi jca ) CAFGHZAIHCBJHZCAFKUICLMUJ
      ENZCGUKOPQCGRASGZHETCUAGOUBQUCQUDEULABCDULUEUFUGUH $.

    $d g n w $.
    $( Basic properties of a walk of a fixed length (in an undirected graph) as
       word.  (Contributed by Alexander van der Vekens, 16-Jul-2018.)  (Revised
       by AV, 9-Apr-2021.)  (Proof shortened by AV, 20-May-2021.) $)
    wwlknbp $p |- ( W e. ( N WWalksN G )
                    -> ( G e. _V /\ N e. NN0 /\ W e. Word V ) ) $=
      ( vn vg vw cn0 wcel cvv wa cwwlksn co cv chash cfv c1 caddc wceq w3a crab
      cword cwwlks df-wwlksn elmpocl simpl ancomd iswwlksn adantr wwlkbp simprd
      wb syl6bi imp df-3an sylanbrc mpancom ) BIJZAKJZLZDBAMNJZUTUSDCUCJZUAZFGI
      KHOPQFORSNTHGOUDQUBBAMDHGFUEUFVAVBLZUTUSLVCVDVEUSUTVAVBUGUHVAVBVCVAVBDAUD
      QJZDPQBRSNTZLZVCUSVBVHUMUTABDUIUJVFVCVGVFUTVCACDEUKULUJUNUOUTUSVCUPUQUR
      $.

    $d N i $.
    wwlknp.e $e |- E = ( Edg ` G ) $.
    $( Properties of a set being a walk of length n (represented by a word).
       (Contributed by Alexander van der Vekens, 17-Jun-2018.)  (Revised by AV,
       9-Apr-2021.) $)
    wwlknp $p |- ( W e. ( N WWalksN G )
                   -> ( W e. Word V /\ ( # ` W ) = ( N + 1 )
           /\ A. i e. ( 0 ..^ N ) { ( W ` i ) , ( W ` ( i + 1 ) ) } e. E ) ) $=
      ( wcel w3a co cfv c1 caddc wceq cc0 cfzo wi wa cmin cvv cn0 cword cwwlksn
      chash cv cpr wral wwlknbp cwwlks iswwlksn wne iswwlks simpl2 simprl oveq1
      c0 cc nn0cn pncan1 syl sylan9eq oveq2d raleqdv biimpcd 3ad2ant3 imp sylbi
      3jca ex expdimp com12 sylbid 3ad2ant2 mpcom ) CUAIZDUBIZFEUCIZJFDCUDKIZVR
      FUELZDMNKZOZAUFZFLWCMNKFLUGBIZAPDQKZUHZJZCDEFGUIVQVPVSWGRVRVQVSFCUJLIZWBS
      ZWGCDFUKWIVQWGWHWBVQWGWHFUQULZVRWDAPVTMTKZQKZUHZJZWBVQSZWGRABCEFGHUMWNWOW
      GWNWOSVRWBWFWJVRWMWOUNWNWBVQUOWNWOWFWMWJWOWFRVRWOWMWFWOWDAWLWEWOWKDPQWBVQ
      WKWAMTKZDVTWAMTUPVQDURIWPDODUSDUTVAVBVCVDVEVFVGVIVJVHVKVLVMVNVO $.
  $}

  ${
    $d G i $.  $d N i $.  $d W i $.
    $( Other basic properties of a walk of a fixed length as word.
       (Contributed by AV, 8-Mar-2022.) $)
    wwlknbp1 $p |- ( W e. ( N WWalksN G )
         -> ( N e. NN0 /\ W e. Word ( Vtx ` G ) /\ ( # ` W ) = ( N + 1 ) ) ) $=
      ( vi cwwlksn co wcel cvv cn0 cvtx cfv cword w3a chash caddc wceq cpr eqid
      c1 cv cedg cc0 cfzo wral wwlknbp wwlknp wi wa simpl simpr1 simpr2 3jca ex
      3ad2ant2 sylc ) CBAEFGAHGZBIGZCAJKZLGZMUSCNKBSOFPZDTZCKVASOFCKQAUAKZGDUBB
      UCFUDZMZUQUSUTMZABURCURRZUEDVBABURCVFVBRUFUQUPVDVEUGUSUQVDVEUQVDUHUQUSUTU
      QVDUIUQUSUTVCUJUQUSUTVCUKULUMUNUO $.

    $( The symbols of a word ` W ` representing a walk of a fixed length ` N `
       are vertices.  (Contributed by AV, 16-Mar-2022.) $)
    wwlknvtx $p |- ( W e. ( N WWalksN G )
                     -> A. i e. ( 0 ... N ) ( W ` i ) e. ( Vtx ` G ) ) $=
      ( cwwlksn co wcel cn0 cvtx cfv cword chash c1 caddc wceq w3a cc0 cfzo syl
      eleq2d cv cfz wral wwlknbp1 simp2 wa cz nn0z fzval3 3ad2ant1 biimpa oveq2
      wb 3ad2ant3 adantr mpbird wrdsymbcl syl2an2r ralrimiva ) DCBEFGCHGZDBIJZK
      GZDLJZCMNFZOZPZAUAZDJVAGZAQCUBFZUCBCDUDVFVHAVIVFVBVGVIGZVGQVCRFZGZVHUTVBV
      EUEVFVJUFVLVGQVDRFZGZVFVJVNVFVIVMVGUTVBVIVMOZVEUTCUGGVOCUHQCUISUJTUKVFVLV
      NUMZVJVEUTVPVBVEVKVMVGVCVDQRULTUNUOUPVGVADUQURUSS $.
  $}

  ${
    $d G x $.  $d N x $.  $d W x $.
    wwlknllvtx.v $e |- V = ( Vtx ` G ) $.
    $( If a word ` W ` represents a walk of a fixed length ` N ` , then the
       first and the last symbol of the word is a vertex.  (Contributed by AV,
       14-Mar-2022.) $)
    wwlknllvtx $p |- ( W e. ( N WWalksN G )
                       -> ( ( W ` 0 ) e. V /\ ( W ` N ) e. V ) ) $=
      ( vx cwwlksn co wcel cc0 cfv cvtx wa wb fveq2 eleq1d adantl rspcdv eleq2i
      wceq cn0 cword chash c1 caddc w3a cv cfz wral wwlknbp1 wwlknvtx wi nn0fz0
      0elfz biimpi jcad 3ad2ant1 sylc anbi12i sylibr ) DBAGHIZJDKZALKZIZBDKZVCI
      ZMZVBCIZVECIZMVABUAIZDVCUBIZDUCKBUDUEHTZUFFUGZDKZVCIZFJBUHHZUIZVGABDUJFAB
      DUKVJVKVQVGULVLVJVQVDVFVJVOVDFJVPBUNVMJTZVOVDNVJVRVNVBVCVMJDOPQRVJVOVFFBV
      PVJBVPIBUMUOVMBTZVOVFNVJVSVNVEVCVMBDOPQRUPUQURVHVDVIVFCVCVBESCVCVEESUSUT
      $.
  $}

  $( If a word represents a walk of a fixed length, then the last symbol of the
     word is the endvertex of the walk.  (Contributed by AV, 8-Mar-2022.) $)
  wwlknlsw $p |- ( W e. ( N WWalksN G ) -> ( W ` N ) = ( lastS ` W ) ) $=
    ( cwwlksn co wcel cn0 cvtx cfv cword chash c1 caddc wceq clsw wwlknbp1 cmin
    w3a lsw syl 3ad2ant2 oveq1 3ad2ant3 cc nn0cn pncan1 3ad2ant1 fveq2d eqtr2d
    eqtrd ) CBADEFBGFZCAHIJZFZCKIZBLMEZNZRZBCIZCOIZNABCPUQUSUNLQEZCIZURUMUKUSVA
    NUPCULSUAUQUTBCUQUTUOLQEZBUPUKUTVBNUMUNUOLQUBUCUKUMVBBNZUPUKBUDFVCBUEBUFTUG
    UJUHUIT $.

  ${
    $d G f g n w $.  $d N g n w $.
    $( The set of simple paths of a fixed length as word.  (Contributed by
       Alexander van der Vekens, 1-Mar-2018.)  (Revised by AV, 11-May-2021.) $)
    wspthsn $p |- ( N WSPathsN G ) = { w e. ( N WWalksN G ) |
                                       E. f f ( SPaths ` G ) w } $=
      ( vn vg cn0 wcel cvv wa cwwspthsn co cv cspths cfv wbr cwwlksn crab wceq
      c0 wex oveq12 fveq2 breqd exbidv adantl rabeqbidv df-wspthsn rabex ovmpoa
      wb ovex wn mpondm0 chash c1 caddc cwwlks df-wwlksn rabeqdv eqtrdi pm2.61i
      rab0 eqtr4d ) DGHCIHJZDCKLZBMZAMZCNOZPZBUAZADCQLZRZSEFDCGIVGVHFMZNOZPZBUA
      ZAEMZVNQLZRZVMKVRDSZVNCSZJVQVKAVSVLVRDVNCQUBWBVQVKUKWAWBVPVJBWBVOVIVGVHVN
      CNUCUDUEUFUGABFEUHZVKAVLDCQULUIUJVEUMZVFTVMEFVTKDCGIWCUNWDVMVKATRTWDVKAVL
      TEFVHUOOVRUPUQLSAVNURORQDCGIAFEUSUNUTVKAVCVAVDVB $.

    $d W f w $.
    $( An element of the set of simple paths of a fixed length as word.
       (Contributed by Alexander van der Vekens, 1-Mar-2018.)  (Revised by AV,
       11-May-2021.) $)
    iswspthn $p |- ( W e. ( N WSPathsN G ) <-> ( W e. ( N WWalksN G )
                                              /\ E. f f ( SPaths ` G ) W ) ) $=
      ( vw cv cspths cfv wbr wex cwwlksn co cwwspthsn wceq breq2 exbidv wspthsn
      elrab2 ) AFZEFZBGHZIZAJSDUAIZAJEDCBKLCBMLTDNUBUCATDSUAOPEABCQR $.

    $( Properties of a set being a simple path of a fixed length as word.
       (Contributed by AV, 18-May-2021.) $)
    wspthnp $p |- ( W e. ( N WSPathsN G ) -> ( ( N e. NN0 /\ G e. _V )
                      /\ W e. ( N WWalksN G ) /\ E. f f ( SPaths ` G ) W ) ) $=
      ( vn vg vw cn0 wcel cvv wa cwwspthsn co cwwlksn cv cspths cfv wbr wex w3a
      crab df-wspthsn elmpocl simpl iswspthn a1i biimpa 3anass sylanbrc mpancom
      wb ) CHIBJIKZDCBLMIZULDCBNMIZAOZDBPQRASZTZEFHJUOGOFOZPQRASGEOURNMUACBLDGA
      FEUBUCULUMKULUNUPKZUQULUMUDULUMUSUMUSUKULABCDUEUFUGULUNUPUHUIUJ $.
  $}

  ${
    $d G a b g n w $.  $d N a b g n w $.  $d U g n $.  $d V a b g n $.
    wwlksnon.v $e |- V = ( Vtx ` G ) $.
    $( The set of walks of a fixed length between two vertices as word.
       (Contributed by Alexander van der Vekens, 15-Feb-2018.)  (Revised by AV,
       11-May-2021.) $)
    wwlksnon $p |- ( ( N e. NN0 /\ G e. U )
                     -> ( N WWalksNOn G ) = ( a e. V , b e. V |->
                                  { w e. ( N WWalksN G ) |
                                    ( ( w ` 0 ) = a /\ ( w ` N ) = b ) } ) ) $=
      ( vn vg cn0 wcel wa cvv cv cvtx cfv wceq cwwlksn cmpo co crab df-wwlksnon
      cc0 cwwlksnon a1i fveq2 eqtr4di adantl oveq12 wb fveqeq2 anbi2d rabeqbidv
      adantr mpoeq123dv simpl elex fvexi mpoex ovmpod ) DKLZCBLZMZIJDCKNFGJOZPQ
      ZVFUDAOZQFORZIOZVGQGOZRZMZAVIVESUAZUBZTZFGEEVHDVGQVJRZMZADCSUAZUBZTZUENUE
      IJKNVOTRVDAJIFGUCUFVIDRZVECRZMZVOVTRVDWCFGVFVFVNEEVSWBVFERWAWBVFCPQEVECPU
      GHUHUIZWDWCVLVQAVMVRVIDVECSUJWAVLVQUKWBWAVKVPVHVIDVJVGULUMUOUNUPUIVBVCUQV
      CCNLVBCBURUIVTNLVDFGEEVSECPHUSZWEUTUFVA $.

    $d G a b f g n w $.  $d N f $.
    $( The set of simple paths of a fixed length between two vertices as word.
       (Contributed by Alexander van der Vekens, 1-Mar-2018.)  (Revised by AV,
       11-May-2021.) $)
    wspthsnon $p |- ( ( N e. NN0 /\ G e. U )
                      -> ( N WSPathsNOn G ) = ( a e. V , b e. V |->
                                   { w e. ( a ( N WWalksNOn G ) b ) |
                                     E. f f ( a ( SPathsOn ` G ) b ) w } ) ) $=
      ( vn vg cn0 wcel cvv cv cvtx cfv co wceq adantl wa cspthson wbr cwwlksnon
      wex crab cwwspthsnon df-wspthsnon a1i fveq2 eqtr4di oveq12 oveqd wb breqd
      cmpo exbidv rabeqbidv mpoeq123dv simpl elex fvexi mpoex ovmpod ) ELMZDBMZ
      UAZJKEDLNGHKOZPQZVICOZAOZGOZHOZVHUBQZRZUCZCUEZAVLVMJOZVHUDRZRZUFZUPZGHFFV
      JVKVLVMDUBQZRZUCZCUEZAVLVMEDUDRZRZUFZUPZUGNUGJKLNWBUPSVGACKJGHUHUIVRESZVH
      DSZUAZWBWJSVGWMGHVIVIWAFFWIWLVIFSWKWLVIDPQFVHDPUJIUKTZWNWMVQWFAVTWHWMVSWG
      VLVMVREVHDUDULUMWMVPWECWLVPWEUNWKWLVOWDVJVKWLVNWCVLVMVHDUBUJUMUOTUQURUSTV
      EVFUTVFDNMVEDBVATWJNMVGGHFFWIFDPIVBZWOVCUIVD $.
  $}

  ${
    $d A a b w $.  $d B a b w $.  $d G a b w $.  $d N a b w $.  $d V a b w $.
    $d a b g n w $.
    iswwlksnon.v $e |- V = ( Vtx ` G ) $.
    $( The set of walks of a fixed length between two vertices as word.
       (Contributed by Alexander van der Vekens, 15-Feb-2018.)  (Revised by AV,
       12-May-2021.)  (Revised by AV, 14-Mar-2022.) $)
    iswwlksnon $p |- ( A ( N WWalksNOn G ) B )
             = { w e. ( N WWalksN G ) | ( ( w ` 0 ) = A /\ ( w ` N ) = B ) } $=
      ( vn vg va vb wcel cvv wa co cv cfv wceq crab c0 cn0 cwwlksnon cwwlksn wn
      cc0 0ov cvtx cmpo df-wwlksnon mpondm0 oveqd chash c1 caddc cwwlks rabeqdv
      df-wwlksn rab0 eqtrdi 3eqtr4a wi wwlksnon adantr eqid adantl eqtrd ex a1d
      pm2.61i wral wwlknllvtx eleq1 eqcoms bi2anan9 syl5ibrcom con3rr3 ralrimiv
      wb rabeq0 sylibr eqtr4d eqeq2 rabbidv simprl simprr ovex rabex a1i ovmpod
      ecase ) EUALDMLNZBFLZCFLZNZBCEDUBOZOZUEAPZQZBRZEWQQZCRZNZAEDUCOZSZRWKUDZB
      CTOZTWPXDBCUFZXEWOTBCHIJKIPZUGQZXIWRJPZRZHPZWQQKPZRNAXLXHUCOSUHUBEDUAMAIH
      JKUIUJUKZXEXDXBATSTXEXBAXCTHIWQULQXLUMUNORAXHUOQSUCEDUAMAIHUQUJUPXBAURUSU
      TWNUDZWPTXDWKXOWPTRZVAWKXOXPWKXONZWPBCJKFFXKWTXMRZNZAXCSZUHZOZTXQWOYABCWK
      WOYARZXOAMDEFJKGVBZVCUKXOYBTRWKJKXTYABCFFYAVDUJVEVFVGXEXPXOXEWPXFTXNXGUSV
      HVIXOXBUDZAXCVJXDTRXOYEAXCWQXCLZXBWNYFWNXBWRFLZWTFLZNDEFWQGVKWSWLYGXAWMYH
      WLYGVRBWRBWRFVLVMWMYHVRCWTCWTFVLVMVNVOVPVQXBAXCVSVTWAWKWNNZJKBCFFXTXDWOMW
      KYCWNYDVCXJBRZXMCRZNZXTXDRYIYLXSXBAXCYJXKWSYKXRXAXJBWRWBXMCWTWBVNWCVEWKWL
      WMWDWKWLWMWEXDMLYIXBAXCEDUCWFWGWHWIWJ $.
  $}

  ${
    $d G a b g n w $.  $d N a b w $.  $d V a b $.
    wwlksnon0.v $e |- V = ( Vtx ` G ) $.
    $( Sufficient conditions for a set of walks of a fixed length between two
       vertices to be empty.  (Contributed by AV, 15-May-2021.)  (Proof
       shortened by AV, 21-May-2021.) $)
    wwlksnon0 $p |- ( -. ( ( N e. NN0 /\ G e. _V ) /\ ( A e. V /\ B e. V ) )
                       -> ( A ( N WWalksNOn G ) B ) = (/) ) $=
      ( vn vg vb va vw cn0 cvv cv cfv wceq wa cwwlksn co crab cvtx cc0 wwlksnon
      cmpo cwwlksnon df-wwlksnon 2mpo0 ) GHILMEEABJIHNZUAOZUIUBKNZOJNPZGNZUJOIN
      ZPQKULUHRSTUDUKDUJOUMPQKDCRSTUEDCJKHGJIUFKMCDEJIFUCUG $.
  $}

  ${
    $d G a b g n $.  $d N a b g n w $.
    wwlksonvtx.v $e |- V = ( Vtx ` G ) $.
    $( If a word ` W ` represents a walk of length 2 on two classes ` A ` and
       ` C ` , these classes are vertices.  (Contributed by AV,
       14-Mar-2022.) $)
    wwlksonvtx $p |- ( W e. ( A ( N WWalksNOn G ) C )
                       -> ( A e. V /\ C e. V ) ) $=
      ( vg vn vb vw va wcel cn0 cvv wa cvtx cfv cv wceq cwwlksnon pm3.2i rgen2w
      co wral fvex cc0 cwwlksn crab df-wwlksnon fveq2 jca adantl el2mpocl ax-mp
      wi eleq2i anbi12i biimpri simpl2im ) FABDCUAUDUDMZDNMCOMPZACQRZMZBVCMZPZA
      EMZBEMZPZHSZQRZOMZVLPZHOUEINUEVAVBVFPUPVMIHNOVLVLVJQUFZVNUBUCIHJNOVKVKABO
      UGKSZRLSTISZVORJSTPKVPVJUHUDUIVCVCUAOFDCLKHILJUJVJCTZVKVCTZVRPVPDTVQVRVRV
      JCQUKZVSULUMUNUOVIVFVGVDVHVEEVCAGUQEVCBGUQURUSUT $.
  $}

  ${
    $d A a b f w $.  $d B a b f w $.  $d G a b f w $.  $d N a b f w $.
    $d V a b f w $.  $d a b f g n w $.
    iswspthsnon.v $e |- V = ( Vtx ` G ) $.
    $( The set of simple paths of a fixed length between two vertices as word.
       (Contributed by Alexander van der Vekens, 1-Mar-2018.)  (Revised by AV,
       12-May-2021.)  (Revised by AV, 14-Mar-2022.) $)
    iswspthsnon $p |- ( A ( N WSPathsNOn G ) B )
                      = { w e. ( A ( N WWalksNOn G ) B ) |
                          E. f f ( A ( SPathsOn ` G ) B ) w } $=
      ( vn va vb wcel cvv wa co cv crab wceq wn c0 cn0 cwwspthsnon cspthson cfv
      vg wbr wex cwwlksnon 0ov cvtx cmpo df-wspthsnon mpondm0 oveqd id intnanrd
      wwlksnon0 syl rabeqdv rab0 eqtrdi 3eqtr4a wi wspthsnon adantr eqid adantl
      eqtrd ex a1d pm2.61i wral wwlksonvtx impcom nexdv ralrimiva rabeq0 sylibr
      pm2.24d eqtr4d oveq12 breqd exbidv rabeqbidv simprl simprr ovex rabex a1i
      ovmpod ecase ) FUALEMLNZBGLZCGLZNZBCFEUBOZOZDPZAPZBCEUCUDZOZUFZDUGZABCFEU
      HOZOZQZRWLSZBCTOZTWQXFBCUIZXGWPTBCIUEJKUEPZUJUDZXKWRWSJPZKPZXJUCUDOUFDUGA
      XLXMIPXJUHOOQUKUBFEUAMADUEIJKULUMUNZXGXFXCATQTXGXCAXETXGWLWONZSXETRXGWLWO
      XGUOUPBCEFGHUQURUSXCAUTVAVBWOSZWQTXFWLXPWQTRZVCWLXPXQWLXPNZWQBCJKGGWRWSXL
      XMWTOZUFZDUGZAXLXMXDOZQZUKZOZTXRWPYDBCWLWPYDRZXPAMDEFGJKHVDZVEUNXPYETRWLJ
      KYCYDBCGGYDVFUMVGVHVIXGXQXPXGWQXHTXNXIVAVJVKXPXCSZAXEVLXFTRXPYHAXEXPWSXEL
      ZNXBDYIXPXBSZYIWOYJBCEFGWSHVMVSVNVOVPXCAXEVQVRVTXOJKBCGGYCXFWPMWLYFWOYGVE
      XLBRXMCRNZYCXFRXOYKYAXCAYBXEXLBXMCXDWAYKXTXBDYKXSXAWRWSXLBXMCWTWAWBWCWDVG
      WLWMWNWEWLWMWNWFXFMLXOXCAXEBCXDWGWHWIWJWK $.
  $}

  ${
    $d A w $.  $d B w $.  $d G w $.  $d N w $.  $d W w $.  $d V w $.
    $( An element of the set of walks of a fixed length between two vertices as
       word.  (Contributed by Alexander van der Vekens, 15-Feb-2018.)  (Revised
       by AV, 12-May-2021.)  (Revised by AV, 14-Mar-2022.) $)
    wwlknon $p |- ( W e. ( A ( N WWalksNOn G ) B )
                    <-> ( W e. ( N WWalksN G ) /\ ( W ` 0 ) = A
                                               /\ ( W ` N ) = B ) ) $=
      ( vw cwwlksnon co wcel cwwlksn cc0 cfv wceq wa w3a cv eqeq1d anbi12d cvtx
      fveq1 eqid iswwlksnon elrab2 3anass bitr4i ) EABDCGHHZIEDCJHZIZKELZAMZDEL
      ZBMZNZNUHUJULOKFPZLZAMZDUNLZBMZNUMFEUGUFUNEMZUPUJURULUSUOUIAKUNETQUSUQUKB
      DUNETQRFABCDCSLZUTUAUBUCUHUJULUDUE $.

    $d A f w $.  $d B f $.  $d G f $.  $d N f $.  $d V f $.  $d W f $.
    $( An element of the set of simple paths of a fixed length between two
       vertices as word.  (Contributed by Alexander van der Vekens,
       1-Mar-2018.)  (Revised by AV, 12-May-2021.)  (Revised by AV,
       15-Mar-2022.) $)
    wspthnon $p |- ( W e. ( A ( N WSPathsNOn G ) B )
                     <-> ( W e. ( A ( N WWalksNOn G ) B )
                           /\ E. f f ( A ( SPathsOn ` G ) B ) W ) ) $=
      ( vw cv cspthson cfv wbr wex cwwlksnon cwwspthsnon wceq breq2 exbidv cvtx
      co eqid iswspthsnon elrab2 ) CHZGHZABDIJSZKZCLUCFUEKZCLGFABEDMSSABEDNSSUD
      FOUFUGCUDFUCUEPQGABCDEDRJZUHTUAUB $.

    wspthnonp.v $e |- V = ( Vtx ` G ) $.
    $d G a b f g n w $.  $d N a b g n $.  $d V a b $.
    $( Properties of a set being a simple path of a fixed length between two
       vertices as word.  (Contributed by AV, 14-May-2021.)  (Proof shortened
       by AV, 15-Mar-2022.) $)
    wspthnonp $p |- ( W e. ( A ( N WSPathsNOn G ) B )
                      -> ( ( N e. NN0 /\ G e. _V ) /\ ( A e. V /\ B e. V )
                             /\ ( W e. ( A ( N WWalksNOn G ) B )
                                  /\ E. f f ( A ( SPathsOn ` G ) B ) W ) ) ) $=
      ( vg vn vb vw co wcel cn0 cvv wa cvtx cfv cv va cwwspthsnon cwwlksnon wbr
      cspthson wex w3a wral fvex pm3.2i rgen2w crab df-wspthsnon wceq fveq2 jca
      wi adantl el2mpocl ax-mp simprl eleq2i anbi12i biimpri biimpi adantr 3jca
      wspthnon mpdan ) GABEDUBMMNZEONDPNQZADRSZNZBVLNZQZQZVKAFNZBFNZQZGABEDUCMM
      NCTZGABDUESMUDCUFQZUGITZRSZPNZWDQZIPUHJOUHVJVPUQWEJIOPWDWDWBRUIZWFUJUKJIK
      OPWCWCABPVTLTUATZKTZWBUESMUDCUFLWGWHJTZWBUCMMULVLVLUBPGEDUALCIJUAKUMWBDUN
      ZWCVLUNZWKQWIEUNWJWKWKWBDRUOZWLUPURUSUTVJVPQVKVSWAVJVKVOVAVPVSVJVOVSVKVSV
      OVQVMVRVNFVLAHVBFVLBHVBVCVDURURVJWAVPVJWAABCDEGVHVEVFVGVI $.
  $}

  ${
    $d A f h $.  $d B f h $.  $d C f h $.  $d D f h $.  $d G f h $.
    $d N f h $.  $d P f h $.
    $( Two simple paths with identical sequences of vertices start and end at
       the same vertices.  (Contributed by AV, 14-May-2021.) $)
    wspthneq1eq2 $p |- ( ( P e. ( A ( N WSPathsNOn G ) B )
                        /\ P e. ( C ( N WSPathsNOn G ) D ) )
                         -> ( A = C /\ B = D ) ) $=
      ( vf vh co wcel wa cfv cv wbr wex w3a wceq wspthnonp syl2an cn0 cwwlksnon
      cwwspthsnon cvtx cspthson eqid simp3r cpthson cwlkson spthonpthon anim12i
      cvv ctrlson pthontrlon trlsonwlkon wlksoneq1eq2 3syl expcom exlimiv com12
      wi imp ) EABGFUCJZJKGUAKFULKLZAFUDMZKBVEKLZEABGFUBJZJKZHNZEABFUEMZJOZHPZL
      QZVDCVEKDVEKLZECDVGJKZINZECDVJJOZIPZLQZACRBDRLZECDVCJKABHFGVEEVEUFZSCDIFG
      VEEWASVMVLVRVTVSVDVFVHVLUGVDVNVOVRUGVLVRVTVKVRVTVAHVRVKVTVQVKVTVAIVKVQVTV
      KVQLVIEABFUHMZJOZVPECDWBJOZLVIEABFUIMZJOZVPECDWEJOZLZVTVKWCVQWDABEVIFUJCD
      EVPFUJUKWCVIEABFUMMZJOZVPECDWIJOZWHWDABEVIFUNCDEVPFUNWJWFWKWGABEVIFUOCDEV
      PFUOUKTABCDEVIFVPUPUQURUSUTUSVBTT $.
  $}

  ${
    $d G i w $.
    $( The set of all walks as words of length 0 is the set of all words of
       length 1 over the vertices.  (Contributed by Alexander van der Vekens,
       22-Jul-2018.)  (Revised by AV, 12-Apr-2021.) $)
    wwlksn0s $p |- ( 0 WWalksN G )
                   = { w e. Word ( Vtx ` G ) | ( # ` w ) = 1 } $=
      ( vi cc0 wcel co cv cfv c1 wceq crab caddc wa cmin cfzo wral eqid cvv clt
      c0 cn0 cwwlksn chash cvtx cword 0nn0 cwwlks wwlksn wb wne cpr w3a iswwlks
      cedg 0p1e1 eqeq2i anbi12i simp2 wbr breq2 mpbiri hashgt0n0 sylancr adantr
      vex 0lt1 simpr ral0 oveq1 1m1e0 eqtrdi fzo0 raleqdv 3jca impbid2 pm5.32ri
      oveq2d ex bitri a1i rabbidva2 eqtrd ax-mp ) DUAEZDBUBFZAGZUCHZIJZABUDHZUE
      ZKZJUFWDWEWGDILFZJZABUGHZKWKABDUHWDWMWHAWNWJWFWNEZWMMZWFWJEZWHMZUIWDWPWFT
      UJZWQCGZWFHWTILFWFHUKBUNHZEZCDWGINFZOFZPZULZWHMWRWOXFWMWHCXABWIWFWIQXAQUM
      WLIWGUOUPUQWHXFWQWHXFWQWSWQXEURWHWQXFWHWQMWSWQXEWHWSWQWHWFREDWGSUSZWSAVEW
      HXGDISUSVFWGIDSUTVAWFRVBVCVDWHWQVGWHXEWQWHXEXBCTPXBCVHWHXBCXDTWHXDDDOFTWH
      XCDDOWHXCIINFDWGIINVIVJVKVQDVLVKVMVAVDVNVRVOVPVSVTWAWBWC $.
  $}

  ${
    $d G w $.  $d V w $.
    wwlkssswrd.v $e |- V = ( Vtx ` G ) $.
    $( Walks (represented by words) are words.  (Contributed by Alexander van
       der Vekens, 17-Jul-2018.)  (Revised by AV, 9-Apr-2021.) $)
    wwlkssswrd $p |- ( WWalks ` G ) C_ Word V $=
      ( vw cwwlks cfv cword cv wcel cvv wwlkbp simprd ssriv ) DAEFZBGZDHZNIAJIP
      OIABPCKLM $.

    $d G v $.  $d V v $.  $d W v $.  $d W w $.
    $( A walk of length 0 is represented by a singleton word.  (Contributed by
       Alexander van der Vekens, 20-Jul-2018.)  (Revised by AV, 9-Apr-2021.)
       (Proof shortened by AV, 21-May-2021.) $)
    wwlksn0 $p |- ( W e. ( 0 WWalksN G ) -> E. v e. V W = <" v "> ) $=
      ( vw cvtx cfv cword wcel chash c1 wceq wa cv cs1 wrex cc0 cwwlksn co
      wrdl1exs1 fveqeq2 wwlksn0s elrab2 rexeqi 3imtr4i ) DBGHZIZJDKHLMZNDAOPMZA
      UGQDRBSTZJUJACQUGDAUAFOZKHLMUIFDUHUKULDLKUBFBUCUDUJACUGEUEUF $.
  $}

  ${
    $d G i w $.  $d N i w $.
    $( In graphs without edges, there are no walks of length greater than 0.
       (Contributed by Alexander van der Vekens, 26-Jul-2018.)  (Revised by AV,
       7-May-2021.) $)
    0enwwlksnge1 $p |- ( ( ( Edg ` G ) = (/) /\ N e. NN )
                         -> ( N WWalksN G ) = (/) ) $=
      ( vw vi cfv c0 wceq cn wcel wa co cv c1 caddc syl adantl wral wi cc0 cmin
      cedg cwwlksn chash cwwlks crab cn0 nnnn0 wwlksn wn wne cvtx cword cpr w3a
      cfzo eqid iswwlks cc nncn pncan1 id eqeltrd wb oveq1 eleq1d adantr mpbird
      lbfzo0 sylibr fveq2 fv0p1e1 preq12d rspcdv eleq2 noel pm2.21i syldc com12
      syl6bi 3ad2ant3 syl5bi expimpd ax-1 pm2.61i ralrimiva rabeq0 eqtrd ) AUAE
      ZFGZBHIZJZBAUBKZCLZUCEZBMNKZGZCAUDEZUEZFWJWLWRGZWIWJBUFIWSBUGCABUHOPWKWPU
      IZCWQQWRFGWKWTCWQWPWKWMWQIZJZWTRWPWKXAWTXAWMFUJZWMAUKEZULIZDLZWMEZXFMNKWM
      EZUMZWHIZDSWNMTKZUOKZQZUNZWPWKJZWTDWHAXDWMXDUPWHUPUQXNXOWTXMXCXOWTRXEXOXM
      SWMEZMWMEZUMZWHIZWTXOXJXSDSXLXOXKHIZSXLIXOXTWOMTKZHIZWKYBWPWJYBWIWJYABHWJ
      BURIYABGBUSBUTOWJVAVBPPWPXTYBVCWKWPXKYAHWNWOMTVDVEVFVGXKVHVIXFSGZXJXSVCXO
      YCXIXRWHYCXGXPXHXQXFSWMVJWMXFVKVLVEPVMWKXSWTRZWPWIYDWJWIXSXRFIZWTWHFXRVNY
      EWTXRVOVPVSVFPVQVTVRWAWBWTXBWCWDWEWPCWQWFVIWG $.
  $}

  $( A walk of a fixed length as word is a walk (in an undirected graph) as
     word.  (Contributed by Alexander van der Vekens, 17-Jul-2018.)  (Revised
     by AV, 12-Apr-2021.) $)
  wwlkswwlksn $p |- ( W e. ( N WWalksN G ) -> W e. ( WWalks ` G ) ) $=
    ( cvv wcel cn0 cvtx cfv cword cwwlksn co cwwlks eqid wwlknbp chash c1 caddc
    w3a wceq wa wb iswwlksn 3ad2ant2 simpl syl6bi mpcom ) ADEZBFEZCAGHZIEZRZCBA
    JKEZCALHEZABUICUIMNUKULUMCOHBPQKSZTZUMUHUGULUOUAUJABCUBUCUMUNUDUEUF $.

  ${
    $d G w $.  $d N w $.
    $( The walks of a fixed length as words are walks (in an undirected graph)
       as words.  (Contributed by Alexander van der Vekens, 17-Jul-2018.)
       (Revised by AV, 12-Apr-2021.) $)
    wwlkssswwlksn $p |- ( N WWalksN G ) C_ ( WWalks ` G ) $=
      ( vw cwwlksn co cwwlks cfv cv wwlkswwlksn ssriv ) CBADEAFGABCHIJ $.
  $}

  ${
    $d F i $.  $d G i $.  $d P i $.
    $( The sequence of vertices in a walk is a walk as word in a pseudograph.
       (Contributed by Alexander van der Vekens, 20-Jul-2018.)  (Revised by AV,
       9-Apr-2021.) $)
    wlkiswwlks1 $p |- ( G e. UPGraph -> ( F ( Walks ` G ) P
                                            -> P e. ( WWalks ` G ) ) ) $=
      ( vi wcel cfv cword cc0 chash co c1 caddc wceq cfzo wral wi eqid wa cmin
      ex cupgr cwlks wbr c0 wne cwwlks wlkn0 ciedg cdm cfz cvtx wf cv upgriswlk
      cpr w3a cedg simpr ffz0iswrd 3ad2ant2 ad2antlr crn wfn cuhgr wfun uhgrfun
      upgruhgr biimpi 3syl wrdsymbcl ad4ant14 fnfvelrn syl2anc edgval eleqtrrdi
      funfn eleq1 eqcoms syl5ibrcom ralimdva com23 3impia impcom lencl ffz0hash
      wb cn0 oveq1 cc nn0cn pncan1 syl sylan9eqr syld imp oveq2d raleqdv adantl
      3adant3 mpbird adantr iswwlks syl3anbrc sylbid mpdi ) CUAEZBACUBFUCZAUDUE
      ZACUFFEZABCUGXFXGBCUHFZUIZGEZHBIFZUJJCUKFZAULZDUMZBFZXJFZXPAFXPKLJAFUOZMZ
      DHXMNJZOZUPZXHXIPZADBCXJXNXNQZXJQZUNXFYCYDXFYCRZXHXIYGXHRXHAXNGEZXSCUQFZE
      ZDHAIFZKSJZNJZOZXIYGXHURYCYHXFXHXOXLYHYBXNXMAUSUTVAYGYNXHYGYNYJDYAOZYCXFY
      OXLXOYBXFYOPXLXORZXFYBYOYPXFYBYOPYPXFRZXTYJDYAYQXPYAEZRZYJXTXRYIEZYSXRXJV
      BZYIYSXJXKVCZXQXKEZXRUUAEXFUUBYPYRXFCVDEXJVEZUUBCVGXJCYFVFUUDUUBXJVPVHVIV
      AXLYRUUCXOXFXPXKBVJVKXKXQXJVLVMCVNVOYJYTWFXSXRXSXRYIVQVRVSVTTWAWBWCYCYNYO
      WFZXFXLXOUUEYBYPYJDYMYAYPYLXMHNXLXOYLXMMZXLXMWGEZXOUUFPXKBWDUUGXOYKXMKLJZ
      MZUUFUUGXOUUIXNAXMWETUUGUUIUUFUUIUUGYLUUHKSJZXMYKUUHKSWHUUGXMWIEUUJXMMXMW
      JXMWKWLWMTWNWLWOWPWQWSWRWTXADYICXNAYEYIQXBXCTTXDXE $.
  $}

  $( The sequence of vertices in a walk of length ` N ` is a walk as word of
     length ` N ` in a pseudograph.  (Contributed by Alexander van der Vekens,
     21-Jul-2018.)  (Revised by AV, 12-Apr-2021.) $)
  wlklnwwlkln1 $p |- ( G e. UPGraph
                        -> ( ( F ( Walks ` G ) P /\ ( # ` F ) = N )
                             -> P e. ( N WWalksN G ) ) ) $=
    ( cwlks cfv wbr chash wceq wa wcel co cn0 wi adantr c1 caddc com12 ad2antrl
    adantl cupgr wlkcl cwwlks wlkiswwlks1 imp wlklenvp1 oveq1 eqtrd wb iswwlksn
    cwwlksn eleq1 syl6bi impcom mpbir2and ex mpancom ) BACEFGZBHFZDIZJZCUAKZADC
    UKLKZUSMKZVAVBVCNURVDUTABCUBOVDVAJZVBVCVEVBJVCACUCFKZAHFZDPQLZIZVEVBVFURVBV
    FNVDUTVBURVFABCUDRSUEVEVIVBVEVGUSPQLZVHURVGVJIVDUTABCUFSVAVJVHIZVDUTVKURUSD
    PQUGTTUHOVEVCVFVIJUIZVBVAVDVLUTVDVLNURUTVDDMKVLUSDMULCDAUJUMTUNOUOUPUQR $.

  ${
    $d P x $.
    wlkiswwlks2lem.f $e |- F = ( x e. ( 0 ..^ ( ( # ` P ) - 1 ) ) |->
                            ( `' E ` { ( P ` x ) , ( P ` ( x + 1 ) ) } ) ) $.
    $( Lemma 1 for ~ wlkiswwlks2 .  (Contributed by Alexander van der Vekens,
       20-Jul-2018.) $)
    wlkiswwlks2lem1 $p |- ( ( P e. Word V /\ 1 <_ ( # ` P ) )
                           -> ( # ` F ) = ( ( # ` P ) - 1 ) ) $=
      ( cword wcel c1 chash cfv cle wbr wa cmin co cn0 cc0 cfzo wfn cn elnnnn0c
      wceq lencl biimpri sylan nnm1nn0 syl caddc cpr ccnv fvex fnmpti ffzo0hash
      cv sylancl ) BEGHZIBJKZLMZNZURIOPZQHZDRVASPZTDJKVAUCUTURUAHZVBUQURQHZUSVD
      EBUDVDVEUSNURUBUEUFURUGUHAVCAUOZBKVFIUIPBKUJZCUKZKDVGVHULFUMDVAUNUP $.

    $d E x $.  $d I x $.
    $( Lemma 2 for ~ wlkiswwlks2 .  (Contributed by Alexander van der Vekens,
       20-Jul-2018.) $)
    wlkiswwlks2lem2 $p |- ( ( ( # ` P ) e. NN0
                                   /\ I e. ( 0 ..^ ( ( # ` P ) - 1 ) ) )
               -> ( F ` I ) = ( `' E ` { ( P ` I ) , ( P ` ( I + 1 ) ) } ) ) $=
      ( chash cfv cn0 wcel cc0 c1 cmin co cfzo wa cv caddc cpr ccnv cvv fvoveq1
      wceq fveq2 preq12d fveq2d simpr fvexd fvmptd3 ) BGHZIJZEKUJLMNONZJZPZAEAQ
      ZBHZUOLRNBHZSZCTZHEBHZELRNBHZSZUSHULDUAFUOEUCZURVBUSVCUPUTUQVAUOEBUDUOELB
      RUBUEUFUKUMUGUNVBUSUHUI $.

    $d V x $.
    $( Lemma 3 for ~ wlkiswwlks2 .  (Contributed by Alexander van der Vekens,
       20-Jul-2018.) $)
    wlkiswwlks2lem3 $p |- ( ( P e. Word V /\ 1 <_ ( # ` P ) )
                           -> P : ( 0 ... ( # ` F ) ) --> V ) $=
      ( cword wcel c1 chash cfv cle wbr wa cmin co wceq cc0 cfz wf wi cfzo wrdf
      wlkiswwlks2lem1 cn0 lencl cz nn0z fzoval syl oveq2 sylan9eq feq2d biimpcd
      eqcoms expd sylc adantr mpd ) BEGHZIBJKZLMZNDJKZVAIOPZQZRVCSPZEBTZABCDEFU
      DUTVEVGUAZVBUTRVAUBPZEBTZVAUEHZVHEBUCEBUFVJVKVEVGVKVENZVJVGVLVIVFEBVKVEVI
      RVDSPZVFVKVAUGHVIVMQVAUHRVAUIUJVMVFQVDVCVDVCRSUKUOULUMUNUPUQURUS $.

    $d F i $.  $d G i $.  $d P i $.  $d V i x $.
    wlkiswwlks2lem.e $e |- E = ( iEdg ` G ) $.
    $( Lemma 4 for ~ wlkiswwlks2 .  (Contributed by Alexander van der Vekens,
       20-Jul-2018.)  (Revised by AV, 10-Apr-2021.) $)
    wlkiswwlks2lem4 $p |- ( ( G e. USPGraph /\ P e. Word V /\ 1 <_ ( # ` P ) )
       -> ( A. i e. ( 0 ..^ ( ( # ` P ) - 1 ) )
            { ( P ` i ) , ( P ` ( i + 1 ) ) } e. ran E
               -> A. i e. ( 0 ..^ ( # ` F ) )
                   ( E ` ( F ` i ) ) = { ( P ` i ) , ( P ` ( i + 1 ) ) } ) ) $=
      ( chash cfv c1 co wceq wcel crn cc0 cfzo wral wi cuspgr cword cle wbr w3a
      cmin cv caddc cpr wlkiswwlks2lem1 3adant1 wa cn0 3ad2ant2 wlkiswwlks2lem2
      ccnv lencl sylan adantr fveq2d cdm wf1o uspgrf1oedg wb ciedg rneqi edgval
      cedg eqtr4i f1oeq3 ax-mp sylibr 3ad2ant1 f1ocnvfv2 eqtrd ralimdva raleqdv
      ex oveq2 imbi2d syl5ibr mpcom ) EJKZBJKZLUFMZNZFUAOZBGUBOZLWDUCUDZUEZCUGZ
      BKWKLUHMBKUIZDPZOZCQWERMZSZWKEKZDKZWLNZCQWCRMZSZTZWHWIWFWGABDEGHUJUKWJXBW
      FWPWSCWOSZTWJWNWSCWOWJWKWOOZULZWNWSXEWNULZWRWLDUPKZDKZWLXFWQXGDXEWQXGNZWN
      WJWDUMOZXDXIWHWGXJWIGBUQUNABDEWKHUOURUSUTXEDVAZWMDVBZWNXHWLNWJXLXDWGWHXLW
      IWGXKFVHKZDVBZXLDFIVCWMXMNXLXNVDWMFVEKZPXMDXOIVFFVGVIWMXMXKDVJVKVLVMUSXKW
      MWLDVNURVOVRVPWFXAXCWPWFWSCWTWOWCWEQRVSVQVTWAWB $.

    $d E i $.  $d G x $.
    $( Lemma 5 for ~ wlkiswwlks2 .  (Contributed by Alexander van der Vekens,
       21-Jul-2018.)  (Revised by AV, 10-Apr-2021.) $)
    wlkiswwlks2lem5 $p |- ( ( G e. USPGraph /\ P e. Word V /\ 1 <_ ( # ` P ) )
                           -> ( A. i e. ( 0 ..^ ( ( # ` P ) - 1 ) )
                                { ( P ` i ) , ( P ` ( i + 1 ) ) } e. ran E
                               -> F e. Word dom E ) ) $=
      ( wcel cword c1 cfv cv caddc co cpr crn wa wf1o cuspgr chash cle wbr cmin
      w3a cc0 cfzo wral wf ccnv cedg uspgrf1oedg wceq ciedg rneqi edgval eqtr4i
      cdm f1oeq3d mpbird 3ad2ant1 ad2antrr simpr wb fveq2 fvoveq1 eleq1d adantl
      a1i preq12d rspcdv impancom imp f1ocnvdm syl2anc fmptd iswrdi syl ex ) FU
      AJZBGKJZLBUBMZUCUDZUFZCNZBMZWFLOPBMZQZDRZJZCUGWCLUEPZUHPZUIZEDUSZKJZWEWNS
      ZWMWOEUJWPWQAWMANZBMZWRLOPBMZQZDUKMZWOEWQWRWMJZSWOWJDTZXAWJJZXBWOJWEXDWNX
      CWAWBXDWDWAXDWOFULMZDTDFIUMWAWJXFWODWJXFUNWAWJFUOMZRXFDXGIUPFUQURVJUTVAVB
      VCWQXCXEWEXCWNXEWEXCSZWKXECWRWMWEXCVDWFWRUNZWKXEVEXHXIWIXAWJXIWGWSWHWTWFW
      RBVFWFWRLBOVGVKVHVIVLVMVNWOWJXADVOVPHVQWOWLEVRVSVT $.

    $( Lemma 6 for ~ wlkiswwlks2 .  (Contributed by Alexander van der Vekens,
       21-Jul-2018.)  (Revised by AV, 10-Apr-2021.) $)
    wlkiswwlks2lem6 $p |- ( ( G e. USPGraph /\ P e. Word V /\ 1 <_ ( # ` P ) )
                           -> ( A. i e. ( 0 ..^ ( ( # ` P ) - 1 ) )
                                { ( P ` i ) , ( P ` ( i + 1 ) ) } e. ran E
         -> ( F e. Word dom E /\ P : ( 0 ... ( # ` F ) ) --> V
              /\ A. i e. ( 0 ..^ ( # ` F ) )
                 ( E ` ( F ` i ) ) = { ( P ` i ) , ( P ` ( i + 1 ) ) } ) ) ) $=
      ( wcel cword c1 chash cfv w3a co cc0 cfzo wral imp cuspgr cle wbr cpr crn
      cv caddc cmin cdm cfz wceq wlkiswwlks2lem5 wlkiswwlks2lem3 3adant1 adantr
      wf wa wlkiswwlks2lem4 3jca ex ) FUAJZBGKJZLBMNZUBUCZOZCUFZBNVFLUGPBNUDZDU
      EJCQVCLUHPRPSZEDUIKJZQEMNZUJPGBUPZVFENDNVGUKCQVJRPSZOVEVHUQVIVKVLVEVHVIAB
      CDEFGHIULTVEVKVHVBVDVKVAABDEGHUMUNUOVEVHVLABCDEFGHIURTUSUT $.
  $}

  ${
    $d G f i x $.  $d P f i x $.
    $( A walk as word corresponds to the sequence of vertices in a walk in a
       simple pseudograph.  (Contributed by Alexander van der Vekens,
       21-Jul-2018.)  (Revised by AV, 10-Apr-2021.) $)
    wlkiswwlks2 $p |- ( G e. USPGraph -> ( P e. ( WWalks ` G )
                                            -> E. f f ( Walks ` G ) P ) ) $=
      ( vi vx cfv wcel cv cvv wa wi eqid c1 co cc0 chash cfzo wral w3a wceq wbr
      cwwlks cuspgr cwlks wex cvtx cword wwlkbp wne caddc cpr cedg cmin iswwlks
      c0 ciedg cdm cfz ccnv cmpt ovex mptexg mp1i cle crn simprr simplr hashge1
      wf ancoms adantr edgval a1i eleq2d ralbidv biimpd wlkiswwlks2lem6 sylsyld
      eleq1 fveq2 oveq2d feq2d fveq1 fveqeq2d raleqbidv 3anbi123d imbi2d adantl
      3jca wb mpbird spcimedv com23 3impia impcom imp cupgr uspgrupgr upgriswlk
      ex expd syl exbidv syl5bi mpcom com12 ) ACUBFGZCUCGZBHZACUDFUAZBUEZCIGACU
      FFZUGZGZJZXGXHXKKZCXLAXLLZUHXGAUOUIZXNDHZAFXSMUJNAFUKZCULFZGZDOAPFZMUMNZQ
      NZRZSZXOXPDYACXLAXQYALUNXOYGXPXOYGJZXHXKYHXHJZXKXICUPFZUQUGZGZOXIPFZURNZX
      LAVIZXSXIFZYJFXTTZDOYMQNZRZSZBUEZYHXHUUAYGXOXHUUAKYGXOXHUUAXRXNYFXOXHJZUU
      AKXRXNJZUUBYFUUAUUCUUBYFUUAKUUCUUBJZYTYFBEYEEHZAFUUEMUJNAFUKYJUSFZUTZIYEI
      GUUGIGUUDOYDQVAEYEUUFIVBVCUUDXIUUGTZJZYFYTKZYFUUGYKGZOUUGPFZURNZXLAVIZXSU
      UGFZYJFXTTZDOUULQNZRZSZKZUUIXHXNMYCVDUAZSZYFXTYJVEZGZDYERZUUSUUDUVBUUHUUD
      XHXNUVAUUCXOXHVFXRXNUUBVGUUCUVAUUBXNXRUVAAXMVHVJVKWIVKUUIYFUVEUUIYBUVDDYE
      UUIYAUVCXTYAUVCTUUICVLVMVNVOVPEADYJUUGCXLUUGLYJLZVQVRUUHUUJUUTWJUUDUUHYTU
      USYFUUHYLUUKYOUUNYSUURXIUUGYKVSUUHYNUUMXLAUUHYMUULOURXIUUGPVTZWAWBUUHYQUU
      PDYRUUQUUHYMUULOQUVGWAUUHYPUUOXTYJXSXIUUGWCWDWEWFWGWHWKWLWTWMWNXAWOWPYIXJ
      YTBXHXJYTWJZYHXHCWQGUVHCWRADXICYJXLXQUVFWSXBWHXCWKWTWTXDXEXF $.
  $}

  ${
    $d G f $.  $d P f $.
    $( A walk as word corresponds to a walk in a simple pseudograph.
       (Contributed by Alexander van der Vekens, 21-Jul-2018.)  (Revised by AV,
       10-Apr-2021.) $)
    wlkiswwlks $p |- ( G e. USPGraph -> ( E. f f ( Walks ` G ) P
                                           <-> P e. ( WWalks ` G ) ) ) $=
      ( cuspgr wcel cv cwlks cfv wbr wex cwwlks cupgr uspgrupgr wlkiswwlks1 syl
      wi exlimdv wlkiswwlks2 impbid ) CDEZBFZACGHIZBJACKHEZTUBUCBTCLEUBUCPCMAUA
      CNOQABCRS $.
  $}

  ${
    $d G f i x $.  $d P f i x $.
    $( A walk as word corresponds to the sequence of vertices in a walk in a
       pseudograph.  This variant of ~ wlkiswwlks2 does not require ` G ` to be
       a simple pseudograph, but it requires the Axiom of Choice ( ~ ac6 ) for
       its proof.  Notice that only the existence of a function ` f ` can be
       proven, but, in general, it cannot be "constructed" (as in
       ~ wlkiswwlks2 ).  (Contributed by Alexander van der Vekens,
       21-Jul-2018.)  (Revised by AV, 10-Apr-2021.) $)
    wlkiswwlksupgr2 $p |- ( G e. UPGraph -> ( P e. ( WWalks ` G )
                                            -> E. f f ( Walks ` G ) P ) ) $=
      ( vi vx cfv wcel cv co cc0 cfzo wral wex wa wceq wi syl adantl ex adantr
      cwwlks c0 wne cvtx cword c1 caddc cpr cedg chash cmin w3a cupgr cwlks wbr
      eqid iswwlks ciedg cdm cfz wf wrex crn edgval wfun cuhgr upgruhgr uhgrfun
      eleq2i elrnrexdm eqcom rexbii syl6ibr syl5bi ralimdv com23 ovex fvex dmex
      3impia impcom fveqeq2 ac6 iswrdi len0nnbi biimpac wrdf nnz fzoval nnm1nn0
      cn cz cn0 fnfzo0hash sylan eqcomd oveq2d eqtrd feq2d biimpcd expd 3adant3
      mpd com12 simpr imp raleqdv mpbird anasss 3jca eximdv wb upgriswlk exbidv
      ) ACUAFGAUBUCZACUDFZUEGZDHZAFXRUFUGIAFUHZCUIFZGZDJAUJFZUFUKIZKIZLZULZCUMG
      ZBHZACUNFUOZBMZDXTCXPAXPUPZXTUPUQYGYFYJYGYFNZYJYHCURFZUSZUEGZJYHUJFZUTIZX
      PAVAZXRYHFZYMFXSOZDJYPKIZLZULZBMZYLYDYNYHVAZYTDYDLZNZBMZUUDYLEHZYMFZXSOZE
      YNVBZDYDLZUUHYFYGUUMXOXQYEYGUUMPXOXQNZYGYEUUMUUNYGYEUUMPUUNYGNZYAUULDYDYA
      XSYMVCZGZUUOUULXTUUPXSCVDVIUUOYMVEZUUQUULPYGUURUUNYGCVFGUURCVGYMCYMUPZVHQ
      RUURUUQXSUUJOZEYNVBUULEYMXSVJUUKUUTEYNUUJXSVKVLVMQVNVOSVPVTWAUUKYTDEYDYNB
      JYCKVQYMCURVRVSUUIYSXSYMWBWCQYLUUGUUCBYLUUGUUCYLUUGNYOYRUUBUUGYOYLUUEYOUU
      FYNYCYHWDTRUUGYLYRUUEYLYRPUUFYLUUEYRYFUUEYRPZYGXOXQUVAYEUUNYBWKGZUVAXQXOU
      VBXPAWEWFZXQUVBUVAPZXOXQJYBKIZXPAVAZUVDXPAWGUVFUVBUUEYRUVBUUENZUVFYRUVGUV
      EYQXPAUVGUVEJYCUTIZYQUVBUVEUVHOZUUEUVBYBWLGUVIYBWHJYBWIQTUVGYCYPJUTUVGYPY
      CUVBYCWMGUUEYPYCOZYBWJYNYHYCWNWOZWPWQWRWSWTXAQRXCXBRXDTWAYLUUEUUFUUBYLUUE
      NZUUFNZUUBUUFUVLUUFXEUVMYTDUUAYDUVLUUAYDOZUUFYLUUEUVNYFUUEUVNPZYGXOXQUVOY
      EUUNUUEUVNUUNUUENYPYCJKUUNUVBUUEUVJUVCUVKWOWQSXBRXFTXGXHXIXJSXKXCYLYIUUCB
      YGYIUUCXLYFADYHCYMXPYKUUSXMTXNXHSVN $.
  $}

  ${
    $d G f $.  $d P f $.
    $( A walk as word corresponds to a walk in a pseudograph.  This variant of
       ~ wlkiswwlks does not require ` G ` to be a simple pseudograph, but it
       requires (indirectly) the Axiom of Choice for its proof.  (Contributed
       by Alexander van der Vekens, 21-Jul-2018.)  (Revised by AV,
       10-Apr-2021.) $)
    wlkiswwlkupgr $p |- ( G e. UPGraph -> ( E. f f ( Walks ` G ) P
                                          <-> P e. ( WWalks ` G ) ) ) $=
      ( cupgr wcel cwlks cfv wbr wex cwwlks wlkiswwlks1 exlimdv wlkiswwlksupgr2
      cv impbid ) CDEZBNZACFGHZBIACJGEZPRSBAQCKLABCMO $.
  $}

  ${
    $d F x y $.  $d G f w x y $.
    wlkswwlksf1o.f $e |- F = ( w e. ( Walks ` G ) |-> ( 2nd ` w ) ) $.
    $( The mapping of (ordinary) walks to their sequences of vertices is a
       bijection in a simple pseudograph.  (Contributed by AV, 6-May-2021.) $)
    wlkswwlksf1o $p |- ( G e. USPGraph
                          -> F : ( Walks ` G ) -1-1-onto-> ( WWalks ` G ) ) $=
      ( vf vx vy wcel cfv cv c2nd c1st wbr wex spcev wceq wral fveq2 sylanbrc
      wa cuspgr cwlks cwwlks wf wf1o fvex breq1 wlkiswwlks syl5ib wlkcpr biimpi
      impel fmptd wf1 wfo weq wi simpr wb cvv id fvexd fvmptd3 eqeqan12d adantl
      uspgr2wlkeqi ad4ant134 ex sylbid ralrimivva dff13 wrex adantr df-br op2nd
      cop vex eqcomi opex eleq1 eqeq2d anbi12d mpan2 exlimiv syl6bir imp df-rex
      sylbi sylibr rexbiia ralrimiva dffo3 df-f1o mpdan ) CUAHZCUBIZCUCIZBUDZWP
      WQBUEZWOAWPAJZKIZWQBWOWTLIZXAWPMZXAWQHZWTWPHZXCEJZXAWPMZENWOXDXGXCEXBWTLU
      FXFXBXAWPUGOXAECUHUIXEXCCWTUJUKULDUMWOWRTZWPWQBUNZWPWQBUOZWSXHWRFJZBIZGJZ
      BIZPZFGUPZUQZGWPQFWPQXIWOWRURZXHXQFGWPWPXHXKWPHZXMWPHZTZTZXOXKKIZXMKIZPZX
      PYAXOYEUSXHXSXTXLYCXNYDXSAXKXAYCWPBUTDWTXKKRXSVAXSXKKVBVCZXTAXMXAYDWPBUTD
      WTXMKRXTVAXTXMKVBVCVDVEYBYEXPWOYAYEXPWRXKXMCVFVGVHVIVJFGWPWQBVKSXHWRXMXLP
      ZFWPVLZGWQQXJXRXHYHGWQXHXMWQHZTZXMYCPZFWPVLZYHYJXSYKTZFNZYLXHYIYNXHYIXFXM
      WPMZENZYNWOYPYIUSWRXMECUHVMYOYNEYOXFXMVPZWPHZYNXFXMWPVNYRXMYQKIZPZYNYSXMX
      FXMEVQGVQVOVRYMYRYTTFYQXFXMVSXKYQPZXSYRYKYTXKYQWPVTUUAYCYSXMXKYQKRWAWBOWC
      WHWDWEWFYKFWPWGWIYGYKFWPXSXLYCXMYFWAWJWIWKFGWPWQBWLSWPWQBWMSWN $.
  $}

  ${
    $d G w $.
    $( The set of walks as words and the set of (ordinary) walks are
       equinumerous in a simple pseudograph.  (Contributed by AV, 6-May-2021.)
       (Revised by AV, 5-Aug-2022.) $)
    wlkswwlksen $p |- ( G e. USPGraph -> ( Walks ` G ) ~~ ( WWalks ` G ) ) $=
      ( vw cuspgr wcel cwlks cfv cwwlks cv c2nd cmpt wf1o cen eqid wlkswwlksf1o
      wbr fvex f1oen syl ) ACDAEFZAGFZBSBHIFJZKSTLOBUAAUAMNSTUAAEPQR $.
  $}

  ${
    $d G x $.  $d W x $.
    $( Removing the trailing edge from a walk (as word) with at least one edge
       results in a walk.  (Contributed by Alexander van der Vekens,
       1-Aug-2018.)  (Revised by AV, 19-Apr-2021.)  (Revised by AV,
       26-Oct-2022.) $)
    wwlksm1edg $p |- ( ( W e. ( WWalks ` G ) /\ 2 <_ ( # ` W ) )
                       -> ( W prefix ( ( # ` W ) - 1 ) ) e. ( WWalks ` G ) ) $=
      ( vx cfv wcel cle wbr c1 cmin co c0 cc0 cfzo wi wa adantr sylibr syl wceq
      sylan cwwlks c2 chash cpfx wne cvtx cword cv caddc cpr cedg wral w3a eqid
      iswwlks cin cn0 lencl cn simpl 1red cr 2re a1i nn0re 1le2 simpr letrd jca
      elnnnn0c lbfzo0 nn0ge2m1nn inelcm cres wfn wb wrdfn fnresdisj nn0ge2m1nn0
      cfz lem1d elfz2nn0 pfxres eqeq1d bicomd syldan bitr2d necon3bid 3ad2antl2
      3jca mpbird pfxcl a1d 3ad2ant2 imp wss cuz nn0z peano2zm peano2rem pfxlen
      eluz2 oveq1d fveq2d eleqtrrd fzoss2 ssralv oveq2d eleq2d fzossrbm1 sselda
      pfxfv syl3anc eqcomd elfzom1p1elfzo preq12d sylbid eleq1d biimpd ralimdva
      cz ex syld expcom com3l 3imp1 syl3anbrc sylbi ) BAUADZEZUBBUCDZFGZBYKHIJZ
      UDJZYIEZYJBKUEZBAUFDZUGZEZCUHZBDZYTHUIJZBDZUJZAUKDZEZCLYMMJZULZUMZYLYONCU
      UEAYQBYQUNZUUEUNZUOUUIYLYOUUIYLOYNKUEZYNYREZYTYNDZUUBYNDZUJZUUEEZCLYNUCDZ
      HIJZMJZULZYOYSYPYLUULUUHYSYLOZUULLYKMJZUUGUPZKUEZUVBLUVCEZLUUGEZOZUVEYSYK
      UQEZYLUVHYQBURZUVIYLOZUVFUVGUVKYKUSEZUVFUVKUVIHYKFGZOUVLUVKUVIUVMUVIYLUTZ
      UVKHUBYKUVKVAUBVBEUVKVCVDUVIYKVBEZYLYKVEZPZHUBFGUVKVFVDUVIYLVGVHVIYKVJQYK
      VKQUVKYMUSEZUVGYKVLZYMVKQVITLUVCUUGVMRUVBYNKUVDKUVBUVDKSZBUUGVNZKSZYNKSZU
      VBBUVCVOZUVTUWBVPYSUWDYLYQBVQPUVCUUGBVRRYSYLYMLYKVTJEZUWBUWCVPUVBYMUQEZUV
      IYMYKFGZUMZUWEYSUVIYLUWHUVJUVKUWFUVIUWGYKVSZUVNUVKYKUVQWAWJTYMYKWBZQZYSUW
      EOZUWCUWBUWLYNUWAKYQBYMWCWDWEWFWGWHWKWIUUIYLUUMYSYPYLUUMNUUHYSUUMYLYQBYMW
      LWMWNWOYPYSUUHYLUVAYSUUHYLUVANNNYPYLYSUUHUVAYSYLUUHUVANUVBUUHUUFCUUTULZUV
      AUVBUUTUUGWPZUUHUWMNUVBYMUUSWQDZEUWNUVBYMYMHIJZWQDZUWOUVBUWPYAEZYMYAEZUWP
      YMFGZUMZYMUWQEYSUVIYLUXAUVJUVKUWRUWSUWTUVIUWRYLUVIUWSUWRUVIYKYAEUWSYKWRYK
      WSRZYMWSRPUVIUWSYLUXBPUVIUWTYLUVIYMUVIUVOYMVBEUVPYKWTRWAPWJTUWPYMXBQUVBUU
      SUWPWQYSYLUWEUUSUWPSUVBUWHUWEYSUVIYLUWHUVJUVKUWFUVIUWGUWIUVNUVIUWGYLUVIYK
      UVPWAPWJTUWJQZUWLUURYMHIYQBYMXAZXCWFXDXEUUSLYMXFRUUFCUUTUUGXGRUVBUUFUUQCU
      UTUVBYTUUTEZOZUUFUUQUXFUUDUUPUUEUVBUXEUUDUUPSZUVBUXEYTLUWPMJZEZUXGUVBUUTU
      XHYTUVBUUSUWPLMUVBUURYMHIYSYLUWEUURYMSUXCUXDWFXCXHXIUVBUXIUXGUVBUXIOZUUAU
      UNUUCUUOUXJUUNUUAUXJYSUWEYTUUGEUUNUUASUVBYSUXIYSYLUTPZUVBUWEUXIUWKPZUVBUX
      HUUGYTUVBUWFUXHUUGWPZYSUVIYLUWFUVJUWITUWFUWSUXMYMWRYMXJRRXKYTYMYQBXLXMXNU
      XJUUOUUCUXJYSUWEUUBUUGEZUUOUUCSUXKUXLUVBUVRUXIUXNYSUVIYLUVRUVJUVSTYMYTXOT
      UUBYMYQBXLXMXNXPYBXQWOXRXSXTYCYDYEVDYFCUUEAYQYNUUJUUKUOYGYBYHWO $.
  $}

  ${
    $d G f $.  $d N f $.  $d P f $.  $d ph f $.
    wlklnwwlkln2lem.1 $e |- ( ph -> ( P e. ( WWalks ` G )
                                       -> E. f f ( Walks ` G ) P ) ) $.
    $( Lemma for ~ wlklnwwlkln2 and ~ wlklnwwlklnupgr2 .  Formerly part of
       proof for ~ wlklnwwlkln2 .  (Contributed by Alexander van der Vekens,
       21-Jul-2018.)  (Revised by AV, 12-Apr-2021.) $)
    wlklnwwlkln2lem $p |- ( ph -> ( P e. ( N WWalksN G )
                         -> E. f ( f ( Walks ` G ) P /\ ( # ` f ) = N ) ) ) $=
      ( co wcel cfv chash wceq wa wex wi c1 adantr cc adantl com12 ex cwlks wbr
      cwwlksn cv cvv cn0 cvtx cword w3a eqid wwlknbp cwwlks caddc iswwlksn cmin
      wb lencl nn0cnd nn0cn subadd2d eqcom bitr2di biimpcd impcom imp wlklenvm1
      1cnd simpr jccir eximdv mpd eqeq2 anbi2d exbidv syl5ib expd mpcom 3adant1
      sylbid ) BEDUCGHZACUDZBDUAIUBZWAJIZEKZLZCMZDUEHZEUFHZBDUGIZUHHZUIVTAWFNZD
      EWIBWIUJUKWHWJVTWKNWGWHWJLZVTBDULIHZBJIZEOUMGZKZLZWKWHVTWQUPWJDEBUNPWLWQW
      KWNOUOGZEKZWLWQLZWKWQWLWSWPWLWSNWMWLWPWSWLWSWOWNKWPWLWNOEWJWNQHWHWJWNWIBU
      QURRWLVGWHEQHWJEUSPUTWOWNVAVBVCRVDWSWTAWFWTALZWBWCWRKZLZCMZWSWFXAWBCMZXDW
      TAXEWQAXENZWLWMXFWPAWMXEFSPRVEXAWBXCCXAWBXCXAWBLWBXBXAWBVHBWADVFVITVJVKWS
      XCWECWSXBWDWBWREWCVLVMVNVOVPVQTVSVRVQS $.
  $}

  ${
    $d G f $.  $d N f $.  $d P f $.
    $( A walk of length ` N ` as word corresponds to the sequence of vertices
       in a walk of length ` N ` in a simple pseudograph.  (Contributed by
       Alexander van der Vekens, 21-Jul-2018.)  (Revised by AV,
       12-Apr-2021.) $)
    wlklnwwlkln2 $p |- ( G e. USPGraph -> ( P e. ( N WWalksN G )
                         -> E. f ( f ( Walks ` G ) P /\ ( # ` f ) = N ) ) ) $=
      ( cuspgr wcel wlkiswwlks2 wlklnwwlkln2lem ) CEFABCDABCGH $.

    $( A walk of length ` N ` as word corresponds to a walk with length ` N `
       in a simple pseudograph.  (Contributed by Alexander van der Vekens,
       21-Jul-2018.)  (Revised by AV, 12-Apr-2021.) $)
    wlklnwwlkn $p |- ( G e. USPGraph -> ( E. f ( f ( Walks ` G ) P
                     /\ ( # ` f ) = N ) <-> P e. ( N WWalksN G ) ) ) $=
      ( cuspgr wcel cv cwlks cfv wbr chash wa wex cwwlksn co cupgr wi uspgrupgr
      wceq wlklnwwlkln1 syl exlimdv wlklnwwlkln2 impbid ) CEFZBGZACHIJUFKIDSLZB
      MADCNOFZUEUGUHBUECPFUGUHQCRAUFCDTUAUBABCDUCUD $.

    $( A walk of length ` N ` as word corresponds to the sequence of vertices
       in a walk of length ` N ` in a pseudograph.  This variant of
       ~ wlklnwwlkln2 does not require ` G ` to be a simple pseudograph, but it
       requires (indirectly) the Axiom of Choice.  (Contributed by Alexander
       van der Vekens, 21-Jul-2018.)  (Revised by AV, 12-Apr-2021.) $)
    wlklnwwlklnupgr2 $p |- ( G e. UPGraph -> ( P e. ( N WWalksN G )
                         -> E. f ( f ( Walks ` G ) P /\ ( # ` f ) = N ) ) ) $=
      ( cupgr wcel wlkiswwlksupgr2 wlklnwwlkln2lem ) CEFABCDABCGH $.

    $( A walk of length ` N ` as word corresponds to a walk with length ` N `
       in a pseudograph.  This variant of ~ wlkiswwlks does not require ` G `
       to be a simple pseudograph, but it requires (indirectly) the Axiom of
       Choice for its proof.  (Contributed by Alexander van der Vekens,
       21-Jul-2018.)  (Revised by AV, 12-Apr-2021.) $)
    wlklnwwlknupgr $p |- ( G e. UPGraph -> ( E. f ( f ( Walks ` G ) P
                     /\ ( # ` f ) = N ) <-> P e. ( N WWalksN G ) ) ) $=
      ( cupgr wcel cv cwlks cfv wbr chash wceq wex cwwlksn wlklnwwlkln1 exlimdv
      wa co wlklnwwlklnupgr2 impbid ) CEFZBGZACHIJUBKIDLQZBMADCNRFZUAUCUDBAUBCD
      OPABCDST $.
  $}

  ${
    $d G i $.  $d W i $.
    $( If a walk in a pseudograph has length ` N ` , then the sequence of the
       vertices of the walk is a word representing the walk as word of length
       ` N ` .  (Contributed by Alexander van der Vekens, 25-Aug-2018.)
       (Revised by AV, 11-Apr-2021.) $)
    wlknewwlksn $p |- ( ( ( G e. UPGraph /\ W e. ( Walks ` G ) )
                          /\ ( N e. NN0 /\ ( # ` ( 1st ` W ) ) = N ) )
                         -> ( 2nd ` W ) e. ( N WWalksN G ) ) $=
      ( vi wcel cfv wa chash wceq co cword c1 cc0 cfzo wral adantl cfz eqid syl
      caddc cupgr cwlks cn0 c1st c2nd cwwlksn c0 wne cvtx cpr cedg cmin w3a wbr
      cv wlkcpr wlkn0 sylbi ciedg wf wlkelwrd ffz0iswrd upgrwlkvtxedg wlklenvm1
      cdm oveq2d raleqdv mpbid sylan2b adantr simpl oveq2 feq2d biimpd impancom
      3jca wi adantld imp ffz0hash syl2an2 ex wb cwwlks iswwlksn iswwlks anbi1d
      a1i bitrd mpbir2and ) AUAEZCAUBFZEZGZBUCEZCUDFZHFZBIZGZGZCUEFZBAUFJEZXAUG
      UHZXAAUIFZKEZDUOZXAFXFLTJXAFUJAUKFZEZDMXAHFZLULJZNJZOZUMZXIBLTJIZWNXMWSWN
      XCXEXLWMXCWKWMWPXAWLUNZXCACUPZXAWPAUQURPWMXEWKWMWPAUSFZVEKEZMWQQJZXDXAUTZ
      GZXEXAWPAXQXDCXDRZXQRWPRXARVAZXTXEXRXDWQXAVBPSPWMWKXOXLXPWKXOGZXHDMWQNJZO
      XLXADXGWPAXGRZVCYDXHDYEXKYDWQXJMNXOWQXJIWKXAWPAVDPVFVGVHVIVPVJWNWSXNWMWSX
      NVQZWKWMYAYGYCYAWSXNWSWOYAMBQJZXDXAUTZXNWOWRVKZYAWSYIYAWRYIWOXRWRXTYIXRWR
      GZXTYIYKXSYHXDXAWRXSYHIXRWQBMQVLPVMVNVOVRVSXDXABVTWAWBSPVSWTWOXBXMXNGZWCW
      SWOWNYJPWOXBXAAWDFEZXNGYLABXAWEWOYMXMXNYMXMWCWODXGAXDXAYBYFWFWHWGWISWJ $.
  $}

  ${
    $d G p q t $.  $d N p q t $.  $d T t $.
    wlknwwlksnbij.t $e |- T = { p e. ( Walks ` G ) |
                               ( # ` ( 1st ` p ) ) = N } $.
    wlknwwlksnbij.w $e |- W = ( N WWalksN G ) $.
    wlknwwlksnbij.f $e |- F = ( t e. T |-> ( 2nd ` t ) ) $.
    $( The mapping ` ( t e. T |-> ( 2nd `` t ) ) ` is a bijection between the
       set of walks of a fixed length and the set of walks represented by words
       of the same length in a simple pseudograph.  (Contributed by Alexander
       van der Vekens, 25-Aug-2018.)  (Revised by AV, 5-Aug-2022.) $)
    wlknwwlksnbij $p |- ( ( G e. USPGraph /\ N e. NN0 )
                          -> F : T -1-1-onto-> W ) $=
      ( vq wcel wf1o cv cfv chash wceq c1 co cmpt cuspgr cn0 wa c1st cwlks crab
      caddc cwwlks c2nd cres wlkswwlksf1o adantr w3a wb fveqeq2 3ad2ant3 wbr wi
      eqid wlkcpr wlklenvp1 eqeq1 cc wlkcl nn0cnd nn0cn 1cnd addcan2d sylan9bbr
      adantl exp31 mpid sylbi impcom 3adant3 bitrd f1oresrab mpteq1i wss ssrab2
      resmpt ax-mp fveq2 cbvmptv reseq1i 3eqtr2i syl5eq wwlksn f1oeq123d mpbird
      a1i cwwlksn ) DUALZEUBLZUCZBFCMGNZUDOZPOZEQZGDUEOZUFZKNZPOERUGSZQZKDUHOZU
      FZGWTWPUIOZTZXAUJZMWOWSXDGKWTXEXGXHXHUSZWMWTXEXHMWNGXHDXJUKULWOWPWTLZXBXG
      QZUMXDXGPOZXCQZWSXLWOXDXNUNXKXBXGXCPUOUPWOXKXNWSUNZXLXKWOXOXKWQXGWTUQZWOX
      OURDWPUTXPWOXMWRRUGSZQZXOXGWQDVAXPWOXRXOXRXNXQXCQXPWOUCZWSXMXQXCVBXSWRERX
      PWRVCLWOXPWRXGWQDVDVEULWOEVCLZXPWNXTWMEVFVJVJXSVGVHVIVKVLVMVNVOVPVQWOBXAF
      XFCXIWOCABANZUIOZTZXIJYCXIQWOYCAXAYBTZAWTYBTZXAUJZXIABXAYBHVRXAWTVSYFYDQW
      SGWTVTAWTXAYBWAWBYEXHXAAGWTYBXGYAWPUIWCWDWEWFWKWGBXAQWOHWKWOFEDWLSZXFIWNY
      GXFQWMKDEWHVJWGWIWJ $.
  $}

  ${
    $d G p w $.  $d N p w $.
    $( In a simple pseudograph, the set of walks of a fixed length and the set
       of walks represented by words are equinumerous.  (Contributed by
       Alexander van der Vekens, 25-Aug-2018.)  (Revised by AV, 5-Aug-2022.) $)
    wlknwwlksnen $p |- ( ( G e. USPGraph /\ N e. NN0 )
                         -> { p e. ( Walks ` G ) | ( # ` ( 1st ` p ) ) = N }
                            ~~ ( N WWalksN G ) ) $=
      ( vw cuspgr wcel cn0 wa cv c1st cfv chash wceq cwlks crab cwwlksn co c2nd
      cmpt eqid wf1o cen wbr wlknwwlksnbij fvex rabex f1oen syl ) AEFBGFHCIJKLK
      BMZCANKZOZBAPQZDUKDIRKSZUAUKULUBUCDUKUMABULCUKTULTUMTUDUKULUMUICUJANUEUFU
      GUH $.
  $}

  ${
    $d G p $.  $d N p $.
    $( The set of walks of a fixed length and the set of walks represented by
       words have the same size.  (Contributed by Alexander van der Vekens,
       25-Aug-2018.)  (Revised by AV, 15-Apr-2021.) $)
    wlknwwlksneqs $p |- ( ( G e. USPGraph /\ N e. NN0 )
                   -> ( # ` { p e. ( Walks ` G ) | ( # ` ( 1st ` p ) ) = N } )
                     = ( # ` ( N WWalksN G ) ) ) $=
      ( cuspgr wcel cn0 wa cv c1st cfv chash wceq cwlks crab cwwlksn co cen wbr
      wlknwwlksnen hasheni syl ) ADEBFEGCHIJKJBLCAMJNZBAOPZQRUBKJUCKJLABCSUBUCT
      UA $.
  $}

  ${
    $d T i $.  $d W i $.
    $( Equality of two walks (as words).  (Contributed by Alexander van der
       Vekens, 4-Aug-2018.)  (Revised by AV, 16-Apr-2021.) $)
    wwlkseq $p |- ( ( W e. ( WWalks ` G ) /\ T e. ( WWalks ` G ) )
                    -> ( W = T <-> ( ( # ` W ) = ( # ` T ) /\
                     A. i e. ( 0 ..^ ( # ` W ) ) ( W ` i ) = ( T ` i ) ) ) ) $=
      ( cwwlks cfv wcel cvtx cword wceq chash cv cc0 cfzo co wral wwlkbp simprd
      wa wb cvv eqid eqwrd syl2an ) DCEFZGZDCHFZIZGZAUHGZDAJDKFZAKFJBLZDFULAFJB
      MUKNOPSTAUEGZUFCUAGZUICUGDUGUBZQRUMUNUJCUGAUOQRUGUGDBAUCUD $.
  $}

  ${
    $d G i $.  $d N i $.  $d W i $.
    $( Reduction of a walk (as word) by removing the trailing edge/vertex.
       (Contributed by Alexander van der Vekens, 4-Aug-2018.)  (Revised by AV,
       16-Apr-2021.)  (Revised by AV, 26-Oct-2022.) $)
    wwlksnred $p |- ( N e. NN0 -> ( W e. ( ( N + 1 ) WWalksN G )
                            -> ( W prefix ( N + 1 ) ) e. ( N WWalksN G ) ) ) $=
      ( vi wcel c1 co cfv wceq wa wb syl cc0 cmin cfzo wral mpbird imp adantr
      wi cn0 caddc cwwlksn cwwlks chash cpfx peano2nn0 iswwlksn c0 wne cword cv
      cvtx cpr cedg w3a eqid iswwlks cn cle simp1 nn0p1nn 3ad2ant3 nn0red lep1d
      breq2 3ad2ant2 pfxn0 syl3anc 3exp impcom pfxcl adantl oveq1 nn0cnd pncand
      wbr 1cnd sylan9eq oveq2d raleqdv wss cuz nn0z nn0re ad2antll eluz2 sylibr
      3jca fzoss2 ssralv cfz simpll nn0fz0 sylib fzelp1 oveq2 eleq2d fzossfzop1
      cz sseld eqcomd fzofzp1 fzval3 preq12d eleq1d biimpd ralimdva syld sylbid
      pfxfv nn0cn pfxlen syldan oveq1d exp31 3adant1 expdimp syl3anbrc elfz2nn0
      com23 anim2i exp32 mpbir2and expcom sylanb com12 ) BUAEZCBFUBGZAUCGEZCAUD
      HZEZCUEHZYIFUBGZIZJZCYIUFGZBAUCGEZYHYIUAEZYJYPKBUGZAYICUHLYPYHYRYLCUIUJZC
      AUMHZUKZEZDULZCHZUUEFUBGZCHZUNZAUOHZEZDMYMFNGZOGZPZUPZYOYHYRTDUUJAUUBCUUB
      UQZUUJUQZURYHUUOYOJZYRYHUURJZYRYQYKEZYQUEHZYIIZUUSYQUIUJZYQUUCEZUUEYQHZUU
      GYQHZUNZUUJEZDMUVAFNGZOGZPZUUTUURYHUVCUUOYOYHUVCTZUUDUUAYOUVLTUUNUUDYOYHU
      VCUUDYOYHUPZUUDYIUSEZYIYMUTVQZUVCUUDYOYHVAYHUUDUVNYOBVBVCUVMUVOYIYNUTVQZY
      HUUDUVPYOYHYIYHYIYTVDVEZVCYOUUDUVOUVPKYHYMYNYIUTVFVGQYIUUBCVHVIVJVGRVKUUR
      UVDYHUUOUVDYOUUDUUAUVDUUNUUBCYIVLVGSVMUURYHUVKUUOYOYHUVKUUDUUNYOYHJZUVKTZ
      UUAUUDUUNUVSUUDUVRUUNUVKUUDUVRUUNUVKUUDUVRJZUUNJZUVKUVHDMYIFNGZOGZPZUWAUW
      DUVHDMBOGZPZUVTUUNUWFUVTUUNUUKDMYIOGZPZUWFUVRUUNUWHKUUDUVRUUKDUUMUWGUVRUU
      LYIMOYOYHUULYNFNGYIYMYNFNVNYHYIFYHYIYTVOYHVRZVPVSVTWAVMUVTUWHUUKDUWEPZUWF
      UVTUWEUWGWBZUWHUWJTUVTYIBWCHEZUWKUVTBWTEZYIWTEZBYIUTVQZUPZUWLYHUWPUUDYOYH
      UWMUWNUWOBWDZYHYSUWNYTYIWDLYHBBWEVEWIWFBYIWGWHBMYIWJLUUKDUWEUWGWKLUVTUUKU
      VHDUWEUVTUUEUWEEZJZUUKUVHUWSUUIUVGUUJUWSUUFUVEUUHUVFUWSUVEUUFUWSUUDYIMYMW
      LGZEZUUEUWGEZUVEUUFIUUDUVRUWRWMZUVTUXAUWRUVTUXAYIMYNWLGZEZUVTYIMYIWLGEZUX
      EYHUXFUUDYOYHYSUXFYTYIWNWOWFYIMYIWPLUVRUXAUXEKZUUDYOUXGYHYOUWTUXDYIYMYNMW
      LWQWRSZVMQZSZUVTUWRUXBYHUWRUXBTUUDYOYHUWEUWGUUEBWSXAWFRUUEYIUUBCXKVIXBUWS
      UVFUUHUWSUUDUXAUUGUWGEZUVFUUHIUXCUXJUWSUXKUUGMBWLGZEZUWRUXMUVTMBUUEXCVMUV
      TUXKUXMKZUWRYHUXNUUDYOYHUWGUXLUUGYHUWMUWGUXLIUWQUWMUXLUWGMBXDXBLWRWFSQUUG
      YIUUBCXKVIXBXEXFXGXHXIXJRUWAUVHDUWCUWEUVTUWCUWEIZUUNYHUXOUUDYOYHUWBBMOYHB
      FBXLUWIVPVTWFSWAQUVTUVKUWDKUUNUVTUVHDUVJUWCUVTUVIUWBMOUVTUVAYIFNUUDUVRUXA
      UVBUXIUUBCYIXMZXNXOVTWASQXPYARXQXRVKDUUJAUUBYQUUPUUQURXSUUSUUDUXAJZUVBUUR
      YHUXQUUOYOYHUXQTZUUDUUAYOUXRTUUNUUDYOYHUXQUVRUXAUUDUVRUXAUXEYHUXEYOYHYSYN
      UAEZUVPUXEYTYHYSUXSYTYIUGLUVQYIYNXTXSVMUXHQYBYCVGRVKUXPLYHYRUUTUVBJKUURAB
      YQUHSYDYEYFYGXJ $.

    $d E i $.  $d S i $.  $d T i $.  $d V i $.
    wwlksnext.v $e |- V = ( Vtx ` G ) $.
    wwlksnext.e $e |- E = ( Edg ` G ) $.
    $( Extension of a walk (as word) by adding an edge/vertex.  (Contributed by
       Alexander van der Vekens, 4-Aug-2018.)  (Revised by AV, 16-Apr-2021.) $)
    wwlksnext $p |- ( ( T e. ( N WWalksN G ) /\ S e. V
                        /\ { ( lastS ` T ) , S } e. E )
                      -> ( T ++ <" S "> ) e. ( ( N + 1 ) WWalksN G ) ) $=
      ( vi co wcel cfv c1 wa wi c0 cc0 cmin cfzo wceq cwwlksn cpr cconcat caddc
      clsw cs1 cvv cn0 cword w3a wwlknbp wne cv chash wral wwlknp cop csn simp1
      cun simprl cats1un syl2an opex snnz neii intnan df-ne un00 xchbinxr mpbir
      wn a1i eqnetrd s1cl ad2antrl ccatcl simplrl fzossfzop1 ad2antrr sselda wb
      oveq2 eleq2d adantl ad2antlr mpbird ccats1val1 syl2anc fzonn0p1p1 preq12d
      wss eleqtrrd exp31 adantrr impcom imp eleq1d ralbidva exbiri com23 3impia
      oveq1 nn0cn 1cnd pncand sylan9eqr fveq2d fzonn0p1 ad2antll 3eqtr4d simpll
      lsw simprr eqcomd ccats1val2 syl3anc biimpcd exp4c 3adantl3 fveq2 fvoveq1
      ralsng ralunb sylanbrc cfz cuz elnn0uz eluzfz2 sylbi fzelp1 fzosplit 3syl
      cz nn0z syl eqtrd raleqdv oveq1d ex fzosn uneq2d ccatlen simpl2 peano2nn0
      s1len oveq12d nn0cnd 3eqtrd oveq2d 3jca jca expd adantll iswwlksn iswwlks
      cwwlks anbi1i bitrdi adantr sylibrd 3adant3 mpcom 3impib ) BEDUAJKZAFKZBU
      ELZAUBZCKZBAUFZUCJZEMUDJZDUAJKZDUGKZEUHKZBFUIZKZUJUVEUVFUVINZUVMOZDEFBGUK
      UVNUVOUVEUVSOUVQUVNUVONZUVEUVSUVTUVENUVRUVKPULZUVKUVPKZIUMZUVKLZUWCMUDJZU
      VKLZUBZCKZIQUVKUNLZMRJZSJZUOZUJZUWIUVLMUDJZTZNZUVMUVOUVEUVRUWPOZUVNUVEUVO
      UWQUVEUVOUVRUWPUVEUVQBUNLZUVLTZUWCBLZUWEBLZUBZCKZIQESJZUOZUJZUVOUVRNZUWPO
      ICDEFBGHUPUXFUXGUWPUXFUXGNZUWMUWOUXHUWAUWBUWLUXHUVKBUWRAUQZURZUTZPUXFUVQU
      VFUVKUXKTUXGUVQUWSUXEUSZUVOUVFUVIVABAFVBVCUXKPULZUXHUXMBPTZUXJPTZNZVLUXOU
      XNUXJPUXIUWRAVDVEVFVGUXMUXKPTUXPUXKPVHBUXJVIVJVKVMVNUXFUVQUVJUVPKZUWBUXGU
      XLUVFUXQUVOUVIAFVOVPZFBUVJVQVCUXHUWLUWHIQUVLSJZUOZUXHUXTUWHIUXDEURZUTZUOZ
      UXHUWHIUXDUOZUWHIUYAUOZUYCUXFUXGUYDUVQUWSUXEUXGUYDOUVQUWSNZUXGUXEUYDUYFUX
      GUYDUXEUYFUXGNZUWHUXCIUXDUYGUWCUXDKZNUWGUXBCUYGUYHUWGUXBTZUXGUYFUYHUYIOZU
      VOUVFUYFUYJOUVIUVOUVFNZUYFUYHUYIUYKUYFNZUYHNZUWDUWTUWFUXAUYMUVQUWCQUWRSJZ
      KZUWDUWTTUYKUVQUWSUYHVRZUYMUYOUWCUXSKZUYLUXDUXSUWCUVOUXDUXSWLUVFUYFEVSVTW
      AUYFUYOUYQWBZUYKUYHUWSUYRUVQUWSUYNUXSUWCUWRUVLQSWCZWDWEWFWGAUWCFBWHWIUYMU
      VQUWEUYNKUWFUXATUYPUYMUWEUXSUYNUYHUWEUXSKUYLUWCEWJWEUYFUYNUXSTZUYKUYHUWSU
      YTUVQUYSWEWFWMAUWEFBWHWIWKWNWOWPWQWRWSWTXAXBWQUXHUYEEUVKLZUVLUVKLZUBZCKZU
      VQUWSUXGVUDUXEUXGUYFVUDUVRUVOUYFVUDOZUVIUVFUVOVUEOUVIUVFUVOUYFVUDUVFUVONZ
      UYFNZUVIVUDVUGUVHVUCCVUGUVGVUAAVUBVUGUWRMRJZBLZEBLZUVGVUAVUGVUHEBUYFVUFVU
      HUVLMRJZEUWSVUHVUKTUVQUWRUVLMRXCWEUVOVUKETUVFUVOEMEXDUVOXEZXFWEXGXHUVQUVG
      VUITVUFUWSBUVPXMVPVUGUVQEUYNKZVUAVUJTVUFUVQUWSVAZVUGVUMEUXSKZUVOVUOUVFUYF
      EXIWFUWSVUMVUOWBVUFUVQUWSUYNUXSEUYSWDXJWGAEFBWHWIXKVUGUVQUVFUVLUWRTZAVUBT
      VUNUVFUVOUYFXLVUGUWRUVLVUFUVQUWSXNXOUVQUVFVUPUJVUBAAUVLFBXPXOXQWKWRXRXSWP
      WPWPXTUVOUYEVUDWBUXFUVRUWHVUDIEUHUWCETZUWGVUCCVUQUWDVUAUWFVUBUWCEUVKYAUWC
      EMUVKUDYBWKWRYCVPWGUWHIUXDUYAYDYEUXHUWHIUXSUYBUVOUXSUYBTUXFUVRUVOUXSUXDEU
      VLSJZUTZUYBUVOEQEYFJKZEQUVLYFJKUXSVUSTUVOEQYGLKVUTEYHQEYIYJEQEYKQUVLEYLYM
      UVOVURUYAUXDUVOEYNKVURUYATEYOEUUAYPUUBYQVPYRWGUXHUWHIUWKUXSUXHUWJUVLQSUXH
      UWJUWRUVJUNLZUDJZMRJUWNMRJZUVLUXHUWIVVBMRUXFUVQUXQUWIVVBTUXGUXLUXRFFBUVJU
      UCVCZYSUXHVVBUWNMRUXHUWRUVLVVAMUDUVQUWSUXEUXGUUDVVAMTUXHAUUFVMUUGZYSUVOVV
      CUVLTUXFUVRUVOUVLMUVOUVLEUUEZUUHVULXFVPUUIUUJYRWGUUKUXHUWIVVBUWNVVDVVEYQU
      ULYTYPUUMWPUUNUVTUVMUWPWBUVEUVTUVMUVKDUUQLKZUWONZUWPUVOUVMVVHWBZUVNUVOUVL
      UHKVVIVVFDUVLUVKUUOYPWEVVGUWMUWOICDFUVKGHUUPUURUUSUUTUVAYTUVBUVCUVD $.

    $( Extension of a walk (as word) by adding an edge/vertex.  (Contributed by
       Alexander van der Vekens, 5-Aug-2018.)  (Revised by AV, 16-Apr-2021.)
       (Proof shortened by AV, 27-Oct-2022.) $)
    wwlksnextbi $p |- ( ( ( N e. NN0 /\ S e. V ) /\ ( T e. Word V
                      /\ W = ( T ++ <" S "> ) /\ { ( lastS ` T ) , S } e. E ) )
              -> ( W e. ( ( N + 1 ) WWalksN G ) <-> T e. ( N WWalksN G ) ) ) $=
      ( wcel wa co wceq cfv c1 caddc chash wi cpfx adantl cn0 cword cs1 cconcat
      vi clsw cpr w3a cwwlksn cv cfzo wral wwlknp wwlksnred ad2antrr wb fveqeq2
      cc0 3ad2ant2 s1cl anim1ci ccatlen syl eqeq1d s1len oveq2d cc lencl nn0cnd
      a1i peano2nn0 1cnd addcan2d 3bitrd oveq2 eqcoms pfxccat1 sylan9eqr sylbid
      3ad2antr1 imp oveq1 ad2antlr mpbird eleq1d biimpd com23 com13 mpcom com12
      ex syld wwlksnext eleq1 syl5ibrcom 3exp com14 3adant1 impbid ) EUAJZAFJZK
      ZBFUBZJZGBAUCZUDLZMZBUFNAUGCJZUHZKZGEOPLZDUILZJZBEDUILZJZXMXJXOGXCJZGQNXK
      OPLZMZUEUJZGNXSOPLGNUGCJUEURXKUKLULZUHXMXJXORZUECDXKFGHIUMXRXPXMYARXTXJXM
      XRXOXJXMGXKSLZXNJZXRXORWTXMYCRXAXIDEGUNUOXJXRYCXOXJXRYCXORXJXRKZYCXOYDYBB
      XNYDYBBMZXFXKSLZBMZXJXRYGXJXRXFQNZXQMZYGXIXRYIUPZXBXGXDYJXHGXFXQQUQUSTXBX
      GXDYIYGRXHXBXDKZYIBQNZXKMZYGYKYIYLXEQNZPLZXQMYLOPLZXQMYMYKYHYOXQYKXDXEXCJ
      ZKZYHYOMXBYQXDXAYQWTAFUTTVAZFFBXEVBVCVDYKYOYPXQYKYNOYLPYNOMYKAVEVJVFVDYKY
      LXKOXDYLVGJXBXDYLFBVHVITWTXKVGJXAXDWTXKEVKVIUOYKVLVMVNYKYMYGYMYKYFXFYLSLZ
      BYFYTMXKYLXKYLXFSVOVPYKYRYTBMYSFBXEVQVCVRWKVSVTVSWAXIYEYGUPZXBXRXGXDUUAXH
      XGYBYFBGXFXKSWBVDUSWCWDWEWFWKWGWLWHUSWIWJXBXIXOXMRZXAXIUUBRWTXIXAUUBXGXHX
      AUUBRZXDXGXHUUCXOXHXAXGXMXOXAXHXGXMRZXOXAXHUUDXOXAXHUHXMXGXFXLJABCDEFHIWM
      GXFXLWNWOWPWGWQWAWRWJTWAWS $.
  $}

  ${
    $d E i $.  $d E y $.  $d G i $.  $d G y $.  $d N i $.  $d N y $.  $d W i $.
    $d W y $.
    wwlksnredwwlkn.e $e |- E = ( Edg ` G ) $.
    $( For each walk (as word) of length at least 1 there is a shorter walk (as
       word).  (Contributed by Alexander van der Vekens, 22-Aug-2018.)
       (Revised by AV, 18-Apr-2021.)  (Revised by AV, 26-Oct-2022.) $)
    wwlksnredwwlkn $p |- ( N e. NN0 -> ( W e. ( ( N + 1 ) WWalksN G )
                        -> E. y e. ( N WWalksN G ) ( ( W prefix ( N + 1 ) ) = y
                             /\ { ( lastS ` y ) , ( lastS ` W ) } e. E ) ) ) $=
      ( vi cn0 wcel c1 caddc co wceq clsw cfv cpr wa cmin syl adantl cwwlksn cv
      cpfx wrex eqidd cvtx cword chash cc0 cfzo wral w3a eqid wwlknp cfz simprl
      peano2nn0 cn clt wbr id nn0p1nn cr nn0re peano2re 3jca ltp1d imp syl12anc
      lttr elfzo0 syl3anbrc fz0add1fz1 syl2anc adantr wb eleq2d mpbird 3adantr3
      oveq2 jca pfxfvlsw lsw 3ad2ant1 preq12d oveq1 3ad2ant2 fveq2d preq2d 1cnd
      nn0cn pncand nn0cnd eqtrd wi fveq2 fvoveq1 eleq1d rspcv fzonn0p1 3ad2ant3
      syl11 impcom eqeltrd sylan2 wwlksnred eqeq2 preq1d anbi12d rspcedv mp2and
      ex ) DHIZEDJKLZCUALIZEXNUCLZAUBZMZXQNOZENOZPZBIZQZADCUALZUDZXMXOQZXPXPMZX
      PNOZXTPZBIZYEYFXPUEXOXMECUFOZUGZIZEUHOZXNJKLZMZGUBZEOZYQJKLEOZPZBIZGUIXNU
      JLZUKZULZYJGBCXNYKEYKUMFUNXMUUDQZYIXNJRLZEOZYNJRLZEOZPZBUUEYHUUGXTUUIUUEY
      MXNJYNUOLZIZQZYHUUGMXMYMYPUUMUUCXMYMYPQZQZYMUULXMYMYPUPUUOUULXNJYOUOLZIZX
      MUUQUUNXMYOHIZDUIYOUJLIZUUQXMXNHIZUURDUQZXNUQSXMXMYOURIZDYOUSUTZUUSXMVAXM
      UUTUVBUVAXNVBSXMDVCIZXNVCIZYOVCIZULZDXNUSUTZXNYOUSUTZUVCXMUVDUVGDVDZUVDUV
      DUVEUVFUVDVADVEZUVDUVEUVFUVKXNVESVFSXMDUVJVGXMXNXMUUTUVEUVAXNVDSVGUVGUVHU
      VIQUVCDXNYOVJVHVIDYOVKVLYODVMVNVOUUNUULUUQVPZXMYPUVLYMYPUUKUUPXNYNYOJUOVT
      VQTTVRWAVSXNYKEWBSUUDXTUUIMZXMYMYPUVMUUCEYLWCWDTWEUUEUUJDEOZXNEOZPZBUUEUU
      JUUGYOJRLZEOZPZUVPUUEUUIUVRUUGUUEUUHUVQEUUDUUHUVQMZXMYPYMUVTUUCYNYOJRWFWG
      TWHWIXMUVSUVPMUUDXMUUGUVNUVRUVOXMUUFDEXMDJDWKXMWJZWLWHXMUVQXNEXMXNJXMXNUV
      AWMUWAWLWHWEVOWNUUDXMUVPBIZUUCYMXMUWBWOYPDUUBIUUCUWBXMUUAUWBGDUUBYQDMZYTU
      VPBUWCYRUVNYSUVOYQDEWPYQDJEKWQWEWRWSDWTXBXAXCXDXDXEYFYCYGYJQZAXPYDXMXOXPY
      DICDEXFVHXQXPMZYCUWDVPYFUWEXRYGYBYJXQXPXPXGUWEYAYIBUWEXSYHXTXQXPNWPXHWRXI
      TXJXKXL $.

    $d P y $.
    $( For each walk (as word) of length at least 1 there is a shorter walk (as
       word) starting at the same vertex.  (Contributed by Alexander van der
       Vekens, 22-Aug-2018.)  (Revised by AV, 18-Apr-2021.)  (Revised by AV,
       26-Oct-2022.) $)
    wwlksnredwwlkn0 $p |- ( ( N e. NN0 /\ W e. ( ( N + 1 ) WWalksN G ) )
                         -> ( ( W ` 0 ) = P <-> E. y e. ( N WWalksN G )
                           ( ( W prefix ( N + 1 ) ) = y /\ ( y ` 0 ) = P
                             /\ { ( lastS ` y ) , ( lastS ` W ) } e. E ) ) ) $=
      ( vi wcel c1 caddc co wa cc0 cfv wceq wi adantl adantr ex cwwlksn cpfx cv
      cn0 clsw cpr w3a wrex wwlksnredwwlkn imp simpl fveq1 cvtx cword chash cfz
      eqcoms cfzo wral eqid wwlknp cn cle wbr nn0p1nn peano2nn0 nn0re lep1 3syl
      cr cz nn0zd fznn mpbir2and oveq2 eleq2d syl5ibr jctild 3adant3 syl impcom
      wb pfxfv0 simprll 3eqtrd simpr 3jca reximdva com13 mpcom eqcomd rexlimdvw
      com12 impbid ) EUDIZFEJKLZDUALIZMZNFOZBPZFWPUBLZAUCZPZNXBOZBPZXBUEOFUEOUF
      CIZUGZAEDUALZUHZXCXFMZAXHUHZWRWTXIQWOWQXKACDEFGUIUJWTWRXKXIWTWRXKXIQWTWRM
      ZXJXGAXHXLXBXHIZMZXJXGXNXJMXCXEXFXJXCXNXCXFUKRXJXNXEXCXNXEQXFXCXNXEXCXNMZ
      XDNXAOZWSBXCXDXPPZXNXQXBXANXBXAULUQSXOFDUMOZUNIZWPJFUOOZUPLZIZMZXPWSPZXNY
      CXCXLYCXMWRYCWTWQWOYCWQXSXTWPJKLZPZHUCZFOYGJKLFOUFCIHNWPURLUSZUGWOYCQZHCD
      WPXRFXRUTGVAXSYFYIYHXSYFMWOYBXSYFWOYBQXSWOYBYFWPJYEUPLZIZWOYKWPVBIZWPYEVC
      VDZEVEWOWPUDIZWPVJIYMEVFZWPVGWPVHVIWOYNYEVKIYKYLYMMWBYOYNYEWPVFVLWPYEVMVI
      VNYFYAYJWPXTYEJUPVOVPVQRXSYFUKVRVSVTWAZRSRWPXRFWCZVTXCWTWRXMWDWETSWAXJXFX
      NXCXFWFRWGTWHTWIWJWRXGWTAXHXGWRWTXCXEWRWTQXFXCXEMZWRWTYRWRMWSXPXDBWRWSXPP
      YRWRXPWSWRYCYDYPYQVTWKRYRXPXDPZWRXCYSXENXAXBULSSYRXEWRXCXEWFSWETVSWMWLWN
      $.
  $}

  ${
    $d G i w $.  $d N i w $.  $d W w $.
    wwlksnextbij0.v $e |- V = ( Vtx ` G ) $.
    wwlksnextbij0.e $e |- E = ( Edg ` G ) $.
    wwlksnextbij0.d $e |- D = { w e. Word V | ( ( # ` w ) = ( N + 2 )
                               /\ ( w prefix ( N + 1 ) ) = W
                               /\ { ( lastS ` W ) , ( lastS ` w ) } e. E ) } $.
    $( Lemma for ~ wwlksnextbij .  (Contributed by Alexander van der Vekens,
       5-Aug-2018.)  (Revised by AV, 18-Apr-2021.)  (Revised by AV,
       27-Oct-2022.) $)
    wwlksnextwrd $p |- ( W e. ( N WWalksN G )
                         -> D = { w e. ( ( N + 1 ) WWalksN G ) |
                           ( ( w prefix ( N + 1 ) ) = W
                             /\ { ( lastS ` W ) , ( lastS ` w ) } e. E ) } ) $=
      ( co wcel cfv c2 caddc wceq c1 wa wi adantr vi cwwlksn cv chash cpfx clsw
      cpr w3a cword crab 3anass bianass wb cvv cn0 wwlknbp cs1 cconcat simpl c0
      wne cc0 clt wbr nn0re 2re a1i nn0ge0 2pos addgegt0d breq2 ad2antll mpbird
      cr hashgt0n0 syl2an2 lswcl adantrr pfxcl eleq1 syl5ibr eqcoms com12 oveq1
      imp adantl cmin nn0cn 2cnd addsubassd 2m1e1 oveq2d eqtrd sylan9eqr oveq1d
      1cnd pfxlswccat eqtr3d eqtr2d simprrr wwlksnextbi syl23anc com23 3ad2ant2
      exbiri mpcom expcomd cfzo wral wwlknp addassd 1p1e2 eqeq2d biimpd 3adant3
      jctild syl 3adant1 impbid ex pm5.32rd syl5bb rabbidva2 syl5eq ) GEDUBKLZB
      AUCZUDMZENOKZPZYFEQOKZUEKZGPZGUFMYFUFMZUGCLZUHZAFUIZUJYLYNRZAYJDUBKZUJJYE
      YOYQAYPYRYFYPLZYORYSYIRZYQRZYEYFYRLZYQRYOYIYQYSYIYLYNUKULYEYQYTUUBYEYQYTU
      UBUMYEYQRYTUUBYEYQYTUUBSYEYTYQUUBDUNLZEUOLZGYPLZUHZYEUUAUUBSZDEFGHUPZUUDU
      UCYEUUGSUUEUUDUUAYEUUBUUDUUAUUBYEUUDUUARZUUDYMFLZUUEYFGYMUQZURKZPYNUUBYEU
      MUUDUUAUSUUDYTUUJYQYTYSUUDYFUTVAZUUJYSYIUSZYTYSUUDVBYGVCVDZUUMUUNUUDYTRZU
      UOVBYHVCVDZUUDUUQYTUUDENEVENVNLUUDVFVGEVHVBNVCVDUUDVIVGVJTYIUUOUUQUMUUDYS
      YGYHVBVCVKVLVMYFYPVOVPZFYFVQVPVRUUAUUEUUDYTYQUUEYSYQUUESYIYQYSUUEYLYSUUES
      ZYNUUSGYKYSUUEGYKPYKYPLFYFYJVSGYKYPVTWAWBTWCTWEWFUUIUULYKUUKURKZYFYQUULUU
      TPZUUDYTYLUVAYNUVAGYKGYKUUKURWDWBTVLUUDYTUUTYFPYQUUPYFYGQWGKZUEKZUUKURKZU
      UTYFUUPUVCYKUUKURUUPUVBYJYFUEYTUUDUVBYHQWGKZYJYIUVBUVEPYSYGYHQWGWDWFUUDUV
      EENQWGKZOKYJUUDENQEWHZUUDWIUUDWPZWJUUDUVFQEOUVFQPUUDWKVGWLWMWNWLWOYTYSUUD
      UUMUVDYFPUUNUURFYFWQVPWRVRWSUUDYTYLYNWTYMGCDEFYFHIXAXBXEXCXDXFXGWEYEUUBYT
      SZYQYEUUFUVIUUHUUDUUEUVIUUCUUBUUDUUERZYTUUBYSYGYJQOKZPZUAUCZYFMUVMQOKYFMU
      GCLUAVBYJXHKXIZUHUVJYTSZUACDYJFYFHIXJYSUVLUVOUVNYSUVLRUVJYIYSUVLUVJYISYSU
      VJUVLYIUUDUVLYISUUEUUDUVLYIUUDUVKYHYGUUDUVKEQQOKZOKYHUUDEQQUVGUVHUVHXKUUD
      UVPNEOUVPNPUUDXLVGWLWMXMXNTWCWFYSUVLUSXPXOXQWCXRXQTXSXTYAYBYCYD $.

    $d D t $.  $d E n $.  $d E w $.  $d N t w $.  $d R t $.  $d V n $.
    $d V w $.  $d W n $.  $d n t $.
    wwlksnextbij0.r $e |- R = { n e. V | { ( lastS ` W ) , n } e. E } $.
    wwlksnextbij0.f $e |- F = ( t e. D |-> ( lastS ` t ) ) $.
    $( Lemma for ~ wwlksnextbij .  (Contributed by Alexander van der Vekens,
       7-Aug-2018.)  (Revised by AV, 18-Apr-2021.)  (Revised by AV,
       27-Oct-2022.) $)
    wwlksnextfun $p |- ( N e. NN0 -> F : D --> R ) $=
      ( wcel cfv wa wceq cn0 cv clsw cpr cword chash c2 caddc co c1 w3a fveqeq2
      cpfx oveq1 eqeq1d fveq2 preq2d eleq1d 3anbi123d elrab2 wne simpll cc0 clt
      c0 wi wbr nn0re cr 2re a1i nn0ge0 2pos addgegt0d ad2antlr wb breq2 adantl
      mpbird hashgt0n0 syl2anc jca expcom 3ad2ant1 impcom lswcl simprr3 sylan2b
      expd syl preq2 sylibr fmptd ) IUAQZBCBUBZUCRZDGWNWOCQZSWPJQZKUCRZWPUDZFQZ
      SZWPDQWQWNWOJUEZQZWOUFRZIUGUHUIZTZWOIUJUHUIZUMUIZKTZXAUKZSZXBAUBZUFRXFTZX
      MXHUMUIZKTZWSXMUCRZUDZFQZUKXKAWOXCCXMWOTZXNXGXPXJXSXAXMWOXFUFULXTXOXIKXMW
      OXHUMUNUOXTXRWTFXTXQWPWSXMWOUCUPUQURUSNUTWNXLSZWRXAYAXDWOVEVAZSZWRXLWNYCX
      KXDWNYCVFXKXDWNYCXGXJXDWNSZYCVFXAYDXGYCYDXGSZXDYBXDWNXGVBZYEXDVCXEVDVGZYB
      YFYEYGVCXFVDVGZWNYHXDXGWNIUGIVHUGVIQWNVJVKIVLVCUGVDVGWNVMVKVNVOXGYGYHVPYD
      XEXFVCVDVQVRVSWOXCVTWAWBWCWDWIWEWEJWOWFWJXGXJXAXDWNWGWBWHWSEUBZUDZFQXAEWP
      JDYIWPTYJWTFYIWPWSWKUROUTWLPWM $.

    $d D d x $.  $d F d x $.  $d N d t w x $.
    $( Lemma for ~ wwlksnextbij .  (Contributed by Alexander van der Vekens,
       7-Aug-2018.)  (Revised by AV, 18-Apr-2021.)  (Revised by AV,
       27-Oct-2022.) $)
    wwlksnextinj $p |- ( N e. NN0 -> F : D -1-1-> R ) $=
      ( wceq wi wa adantr vd vx cn0 wcel wf cv cfv wral wwlksnextfun clsw fveq2
      wf1 wb fvex fvmpt eqeqan12d adantl cword chash c2 caddc co c1 cpr fveqeq2
      cpfx w3a oveq1 eqeq1d preq2d eleq1d 3anbi123d elrab2 cmin expcom 3ad2ant1
      eqtr3 com12 imp simpr 1e2m1 a1i oveq2d 2cnd 1cnd addsubassd eqtr4d eqeq2d
      nn0cn mpbird oveq2 eqeq12d syl biimpd com13 com23 impcom 3ad2ant2 3adant3
      ex imp31 c0 wne simpl anim12i cc0 clt wbr nn0re 2re nn0ge0 2pos addgegt0d
      breq2 hashgt0n0 sylan2 exp32 jca32 hashneq0 biimprd pfxsuff1eqwrdeq ancom
      cr syl3anc anbi2i 3anass bitr4i bitrdi mpbir3and exp31 syl2anb ralrimivva
      sylbid dff13 sylanbrc ) IUCUDZCDGUEUAUFZGUGZUBUFZGUGZQZYQYSQZRZUBCUHUACUH
      CDGULABCDEFGHIJKLMNOPUIYPUUCUAUBCCYPYQCUDZYSCUDZSZSUUAYQUJUGZYSUJUGZQZUUB
      UUFUUAUUIUMYPUUDUUEYRUUGYTUUHBYQBUFZUJUGZUUGCGUUJYQUJUKPYQUJUNUOBYSUUKUUH
      CGUUJYSUJUKPYSUJUNUOUPUQUUFYPUUIUUBRZUUDYQJURZUDZYQUSUGZIUTVAVBZQZYQIVCVA
      VBZVFVBZKQZKUJUGZUUGVDZFUDZVGZSZYSUUMUDZYSUSUGZUUPQZYSUURVFVBZKQZUVAUUHVD
      ZFUDZVGZSZYPUULRUUEAUFZUSUGUUPQZUVOUURVFVBZKQZUVAUVOUJUGZVDZFUDZVGZUVDAYQ
      UUMCUVOYQQZUVPUUQUVRUUTUWAUVCUVOYQUUPUSVEUWCUVQUUSKUVOYQUURVFVHVIUWCUVTUV
      BFUWCUVSUUGUVAUVOYQUJUKVJVKVLNVMUWBUVMAYSUUMCUVOYSQZUVPUVHUVRUVJUWAUVLUVO
      YSUUPUSVEUWDUVQUVIKUVOYSUURVFVHVIUWDUVTUVKFUWDUVSUUHUVAUVOYSUJUKVJVKVLNVM
      UVEUVNSZYPUUIUUBUWEYPSZUUISZUUBUUOUVGQZUUIYQUUOVCVNVBZVFVBZYSUWIVFVBZQZUW
      FUWHUUIUWEUWHYPUVEUVNUWHUVDUVNUWHRZUUNUUQUUTUWMUVCUVNUUQUWHUVMUUQUWHRZUVF
      UVHUVJUWNUVLUUQUVHUWHUUOUVGUUPVQVOVPUQVRVPUQVSTTUWFUUIVTUWFUWLUUIUVEUVNYP
      UWLUVDUVNYPUWLRZRZUUNUUQUUTUWPUVCUVNUUQUUTSZUWOUVMUWQUWORZUVFUVJUVHUWRUVL
      UWQUVJUWOUUTUUQUVJUWORUUTUVJUUQUWOUUTUVJUUQUWORZUUTUVJSUUSUVIQZUWSUUSUVIK
      VQYPUUQUWTUWLYPUUQUWTUWLRYPUUQSZUWTUWLUXAUURUWIQZUWTUWLUMUXAUXBUURUUPVCVN
      VBZQZYPUXDUUQYPUURIUTVCVNVBZVAVBUXCYPVCUXEIVAVCUXEQYPWAWBWCYPIUTVCIWIYPWD
      YPWEWFWGTUUQUXBUXDUMYPUUQUWIUXCUURUUOUUPVCVNVHWHUQWJUXBUUSUWJUVIUWKUURUWI
      YQVFWKUURUWIYSVFWKWLWMWNWTWOWMWTWPWQVRWRUQVRWSUQXATUWGUUNUVFSZYQXBXCZYSXB
      XCZSZSZUUBUWHUUIUWLVGZUMUWFUXJUUIUWFUXFUXGUXHUWEUXFYPUVEUUNUVNUVFUUNUVDXD
      UVFUVMXDXETUWEYPUXGUVEYPUXGRZUVNUVDUUNUXLUUQUUTUUNUXLRUVCUUNUUQUXLUUNUUQY
      PUXGUUQYPSZUUNXFUUOXGXHZUXGUXMUXNXFUUPXGXHZYPUXOUUQYPIUTIXIUTYCUDYPXJWBIX
      KXFUTXGXHYPXLWBXMZUQUUQUXNUXOUMYPUUOUUPXFXGXNTWJYQUUMXOXPXQVRVPWQTVSUWEYP
      UXHUVNYPUXHRZUVEUVMUVFUXQUVHUVJUVFUXQRUVLUVFUVHUXQUVFUVHYPUXHUVHYPSZUVFXF
      UVGXGXHZUXHUXRUXSUXOYPUXOUVHUXPUQUVHUXSUXOUMYPUVGUUPXFXGXNTWJYSUUMXOXPXQV
      RVPWQUQVSXRTUXJUUBUWHUWLUUISZSZUXKUXJUUNUVFUXNUUBUYAUMUXFUUNUXIUUNUVFXDTU
      XFUVFUXIUUNUVFVTTUXIUXFUXNUXGUXFUXNRUXHUXFUXGUXNUUNUXGUXNRUVFUUNUXNUXGYQU
      UMXSXTTVRTWQYSJYQYAYDUYAUWHUUIUWLSZSUXKUXTUYBUWHUWLUUIYBYEUWHUUIUWLYFYGYH
      WMYIYJYKWQYMYLUAUBCDGYNYO $.

    $d D d r $.  $d E d $.  $d F r $.  $d G d r $.  $d N d n r t w $.
    $d R d r $.  $d V d $.  $d W d i r $.
    $( Lemma for ~ wwlksnextbij .  (Contributed by Alexander van der Vekens,
       7-Aug-2018.)  (Revised by AV, 18-Apr-2021.)  (Revised by AV,
       27-Oct-2022.) $)
    wwlksnextsurj $p |- ( W e. ( N WWalksN G ) -> F : D -onto-> R ) $=
      ( vd wcel wceq wa vr vi cwwlksn co wf cfv wrex wral wfo cvv cn0 cword w3a
      cv wwlknbp simp2 wwlksnextfun 3syl clsw preq2 eleq1d elrab2 c1 caddc cpfx
      cpr crab wex cs1 cconcat wwlksnext 3expb wi cc0 cfzo s1cl pfxccat1 sylan2
      chash ex adantr wb oveq2 eqcoms eqeq1d adantl sylibrd wwlknp syl11 impcom
      3adant3 lswccats1 eqcomd 3ad2ant3 syl imp preq2d biimpd jca32 ovexd eleq1
      impr oveq1 fveq2 anbi12d eqeq2d bicomd spcimedv mp2and elrab anbi1i exbii
      sylibr df-rex wwlksnextwrd rexeqdv mpbird fvmpt rexbiia sylan2b ralrimiva
      fvex dffo3 sylanbrc ) KIHUCUDRZCDGUEZUAUNZQUNZGUFZSZQCUGZUADUHCDGUIYEHUJR
      ZIUKRZKJULZRZUMZYMYFHIJKLUOZYLYMYOUPABCDEFGHIJKLMNOPUQURYEYKUADYGDRYEYGJR
      ZKUSUFZYGVFZFRZTZYKYSEUNZVFZFRUUAEYGJDUUCYGSUUDYTFUUCYGYSUTVAOVBYEUUBTZYG
      YHUSUFZSZQCUGZYKUUEUUHUUGQAUNZIVCVDUDZVEUDZKSZYSUUIUSUFZVFZFRZTZAUUJHUCUD
      ZVGZUGZUUEYHUURRZUUGTZQVHZUUSUUEYHUUQRZYHUUJVEUDZKSZYSUUFVFZFRZTZTZUUGTZQ
      VHZUVBUUEKYGVIZVJUDZUUQRZUVMUUJVEUDZKSZYSUVMUSUFZVFZFRZTZTZYGUVQSZUVKUUEU
      VNUVPUVSYEYRUUAUVNYGKFHIJLMVKVLUUBYEUVPYRYEUVPVMUUAYOKVSUFZUUJSZUBUNZKUFU
      WEVCVDUDKUFVFFRUBVNIVOUDUHZUMYRUVPYEYOUWDYRUVPVMUWFYOUWDTYRUVMUWCVEUDZKSZ
      UVPYOYRUWHVMUWDYOYRUWHYRYOUVLYNRUWHYGJVPJKUVLVQVRVTWAUWDUVPUWHWBYOUWDUVOU
      WGKUVOUWGSUUJUWCUUJUWCUVMVEWCWDWEWFWGWKUBFHIJKLMWHWIWAWJYEYRUUAUVSYEYRTZU
      UAUVSUWIYTUVRFUWIYGUVQYSYEYRUWBYEYPYRUWBVMZYQYOYLUWJYMYOYRUWBYOYRTUVQYGYG
      JKWLWMVTWNZWOWPWQVAWRXBWSUUBYEUWBYRYEUWBVMUUAYPYRUWBYEUWKYQWIWAWJUUEUVJUW
      AUWBTZQUVMUJUUEKUVLVJWTUUEYHUVMSZTUWLUVJUWMUWLUVJWBUUEUWMUVJUWLUWMUVIUWAU
      UGUWBUWMUVCUVNUVHUVTYHUVMUUQXAUWMUVEUVPUVGUVSUWMUVDUVOKYHUVMUUJVEXCWEUWMU
      VFUVRFUWMUUFUVQYSYHUVMUSXDZWQVAXEXEUWMUUFUVQYGUWNXFXEXGWFWRXHXIUVAUVJQUUT
      UVIUUGUUPUVHAYHUUQUUIYHSZUULUVEUUOUVGUWOUUKUVDKUUIYHUUJVEXCWEUWOUUNUVFFUW
      OUUMUUFYSUUIYHUSXDWQVAXEXJXKXLXMUUGQUURXNXMUUEUUGQCUURYECUURSUUBACFHIJKLM
      NXOWAXPXQYJUUGQCYHCRYIUUFYGBYHBUNZUSUFUUFCGUWPYHUSXDPYHUSYBXRXFXSXMXTYAQU
      ACDGYCYD $.

    $( Lemma for ~ wwlksnextbij .  (Contributed by Alexander van der Vekens,
       7-Aug-2018.)  (Revised by AV, 18-Apr-2021.) $)
    wwlksnextbij0 $p |- ( W e. ( N WWalksN G ) -> F : D -1-1-onto-> R ) $=
      ( cwwlksn co wcel wf1 wfo cvv cn0 cword w3a wwlknbp wwlksnextinj 3ad2ant2
      wf1o syl wwlksnextsurj df-f1o sylanbrc ) KIHQRSZCDGTZCDGUACDGUIUNHUBSZIUC
      SZKJUDSZUEUOHIJKLUFUQUPUOURABCDEFGHIJKLMNOPUGUHUJABCDEFGHIJKLMNOPUKCDGULU
      M $.
  $}

  ${
    $d E f n p t w x $.  $d G f t w x $.  $d N f p t w x $.
    $d V f n p t w x $.  $d W f n p t w x $.
    wwlksnextbij.v $e |- V = ( Vtx ` G ) $.
    wwlksnextbij.e $e |- E = ( Edg ` G ) $.
    $( There is a bijection between the extensions of a walk (as word) by an
       edge and the set of vertices being connected to the trailing vertex of
       the walk.  (Contributed by Alexander van der Vekens, 21-Aug-2018.)
       (Revised by AV, 18-Apr-2021.)  (Revised by AV, 27-Oct-2022.) $)
    wwlksnextbij $p |- ( W e. ( N WWalksN G )
               -> E. f f : { w e. ( ( N + 1 ) WWalksN G ) |
                             ( ( w prefix ( N + 1 ) ) = W
                             /\ { ( lastS ` W ) , ( lastS ` w ) } e. E ) }
                       -1-1-onto-> { n e. V | { ( lastS ` W ) , n } e. E } ) $=
      ( vx vt co wcel cv wceq clsw cfv crab cvv vp cwwlksn c1 caddc cpfx cpr wa
      wf1o cmpt ovexd rabexg mptexg 3syl chash c2 w3a cword eqid eleq1d cbvrabv
      preq2 fveqeq2 oveq1 eqeq1d fveq2 preq2d wwlksnextbij0 wwlksnextwrd eqcomd
      3anbi123d mpteq1i mpteq1d eqidd f1oeq123d mpbird f1oeq1 spcedv ) HFEUBMNZ
      AOZFUCUDMZUEMZHPZHQRZVSQRZUFZDNZUGAVTEUBMZSZWCCOZUFZDNZCGSZBOZUHWHWLKLOZV
      TUEMZHPZWCWNQRZUFZDNZUGZLWGSZKOQRZUIZUHZBTXCVRWGTNXATNXCTNVRVTEUBUJWTLWGT
      UKKXAXBTULUMVRXDVSUNRFUOUDMZPZWBWFUPZAGUQZSZWLKWNUNRXEPZWPWSUPZLXHSZXBUIZ
      UHAKXIWLUADXMEFGHIJXIURZWKWCUAOZUFZDNCUAGWIXOPWJXPDWIXOWCVAUSUTKXLXIXBXKX
      GLAXHWNVSPZXJXFWPWBWSWFWNVSXEUNVBXQWOWAHWNVSVTUEVCVDXQWRWEDXQWQWDWCWNVSQV
      EVFUSVJUTVKVGVRWHXIWLWLXCXMVRKXAXLXBVRXLXALXLDEFGHIJXLURVHVIVLVRXIWHAXIDE
      FGHIJXNVHVIVRWLVMVNVOWHWLWMXCVPVQ $.
  $}

  ${
    $d E f n w $.  $d G f w $.  $d N f w $.  $d V f n w $.  $d W f n w $.
    wwlksnexthasheq.v $e |- V = ( Vtx ` G ) $.
    wwlksnexthasheq.e $e |- E = ( Edg ` G ) $.
    $( The number of the extensions of a walk (as word) by an edge equals the
       number of vertices being connected to the trailing vertex of the walk.
       (Contributed by Alexander van der Vekens, 23-Aug-2018.)  (Revised by AV,
       19-Apr-2021.)  (Revised by AV, 27-Oct-2022.) $)
    wwlksnexthasheq $p |- ( W e. ( N WWalksN G )
                   -> ( # ` { w e. ( ( N + 1 ) WWalksN G ) |
                              ( ( w prefix ( N + 1 ) ) = W
                                /\ { ( lastS ` W ) , ( lastS ` w ) } e. E ) } )
                      = ( # ` { n e. V | { ( lastS ` W ) , n } e. E } ) ) $=
      ( vf cv co wceq clsw cfv cpr wcel cwwlksn crab cvv c1 caddc cpfx wf1o wex
      wa chash ovex rabex wwlksnextbij hasheqf1oi mpsyl ) AKZEUAUBLZUCLGMGNOZUM
      NOPCQUFZAUNDRLZSZTQGEDRLQURUOBKPCQBFSZJKUDJUEURUGOUSUGOMUPAUQUNDRUHUIAJBC
      DEFGHIUJURUSJTUKUL $.

    $d N y $.  $d V x $.  $d x y $.
    $( Sets of walks (as words) extended by an edge are disjunct if each set
       contains extensions of distinct walks.  (Contributed by Alexander van
       der Vekens, 29-Jul-2018.)  (Revised by AV, 19-Apr-2021.)  (Revised by
       AV, 27-Oct-2022.) $)
    disjxwwlksn $p |- Disj_ y e. ( N WWalksN G ) { x e. Word V |
                             ( ( x prefix N ) = y /\ ( y ` 0 ) = P
                               /\ { ( lastS ` y ) , ( lastS ` x ) } e. E ) } $=
      ( cv cpfx co wceq cc0 cfv clsw cpr wcel crab wdisj w3a cword cwwlksn wral
      wss wi simp1 a1i ss2rabi rgenw disjwrdpfx disjss2 mp2 ) AJZFKLBJZMZNUOOCM
      ZUOPOUNPOQDRZUAZAGUBZSZUPAUTSZUEZBFEUCLZUDBVDVBTBVDVATVCBVDUSUPAUTUSUPUFU
      NUTRUPUQURUGUHUIUJABFGVDUKBVDVAVBULUM $.
  $}

  ${
    $d G w $.  $d N w $.
    $( Conditions for ` WWalksN ` not being defined.  (Contributed by Alexander
       van der Vekens, 30-Jul-2018.)  (Revised by AV, 19-Apr-2021.) $)
    wwlksnndef $p |- ( ( G e/ _V \/ N e/ NN0 )
                       -> ( N WWalksN G ) = (/) ) $=
      ( vw cwwlksn co c0 wceq cvv wnel cn0 wo wn cv wcel wex neq0 cvtx cfv nnel
      wa cword w3a eqid wwlknbp anbi12i biimpri 3adant3 ioran syl exlimiv sylbi
      sylibr con4i ) BADEZFGZAHIZBJIZKZUOLCMZUNNZCOURLZCUNPUTVACUTAHNZBJNZUSAQR
      ZUANZUBZVAABVDUSVDUCUDVFUPLZUQLZTZVAVBVCVIVEVIVBVCTVGVBVHVCAHSBJSUEUFUGUP
      UQUHULUIUJUKUM $.
  $}

  ${
    $d G i w $.  $d N w $.
    $( The number of walks represented by words of fixed length is finite if
       the number of vertices is finite (in the graph).  (Contributed by
       Alexander van der Vekens, 30-Jul-2018.)  (Revised by AV, 19-Apr-2021.)
       (Proof shortened by JJ, 18-Nov-2022.) $)
    wwlksnfi $p |- ( ( Vtx ` G ) e. Fin -> ( N WWalksN G ) e. Fin ) $=
      ( vw vi cn0 wcel cfv cfn co wi cv c0 c1 caddc wral wceq crab cab df-rab
      wa cvtx cwwlksn wne cpr cedg cc0 chash cmin cfzo cword wrdnfi simpr rgenw
      wss ss2rab mpbir a1i ssfid cwwlks wwlksn eqtrdi 3anan12 anass bitri abbii
      w3a anbi1i eqid iswwlks 3eqtr4i eleq1d syl5ibr wn cvv wnel df-nel biimpri
      wo olcd wwlksnndef syl 0fin eqeltrdi a1d pm2.61i ) BEFZAUAGZHFZBAUBIZHFZJ
      WHWJWFCKZLUCZDKZWKGWMMNIWKGUDAUEGZFDUFWKUGGZMUHIUIIOZTZWOBMNIZPZTZCWGUJZQ
      ZHFWHWSCXAQZXBCWRWGUKXBXCUNZWHXDWTWSJZCXAOXECXAWQWSULUMWTWSCXAUOUPUQURWFW
      IXBHWFWIWKAUSGZFZWSTZCRZXBWFWIWSCXFQXICABUTWSCXFSVAWLWKXAFZWPVFZWSTZCRXJW
      TTZCRXIXBXLXMCXLXJWQTZWSTXMXKXNWSWLXJWPVBVGXJWQWSVCVDVEXHXLCXGXKWSDWNAWGW
      KWGVHWNVHVIVGVEWTCXASVJVAVKVLWFVMZWJWHXOWILHXOAVNVOZBEVOZVRWILPXOXQXPXQXO
      BEVPVQVSABVTWAWBWCWDWE $.
  $}

  ${
    $d G p $.  $d N p $.
    $( The number of walks of fixed length is finite if the number of vertices
       is finite (in the graph).  (Contributed by Alexander van der Vekens,
       25-Aug-2018.)  (Revised by AV, 20-Apr-2021.) $)
    wlksnfi $p |- ( ( G e. FinUSGraph /\ N e. NN0 )
               -> { p e. ( Walks ` G ) | ( # ` ( 1st ` p ) ) = N } e. Fin ) $=
      ( cfusgr wcel cn0 wa cwwlksn co cfn cv c1st cfv chash wceq cwlks crab cen
      wbr syl cvtx eqid fusgrvtxfi adantr wwlksnfi cusgr fusgrusgr wlknwwlksnen
      cuspgr usgruspgr sylan enfii syl2anc ) ADEZBFEZGZBAHIZJEZCKLMNMBOCAPMQZUQ
      RSZUSJEUPAUAMZJEZURUNVBUOAVAVAUBUCUDABUETUNAUIEZUOUTUNAUFEVCAUGAUJTABCUHU
      KUSUQULUM $.
  $}

  ${
    $d G f p q w $.  $d N f p q w $.  $d X f p w $.
    $( There is a bijection between the set of walks of a fixed length and the
       set of walks represented by words of the same length and starting at the
       same vertex.  (Contributed by Alexander van der Vekens, 22-Jul-2018.)
       (Revised by AV, 5-Aug-2022.) $)
    wlksnwwlknvbij $p |- ( ( G e. USPGraph /\ N e. NN0 )
         -> E. f f : { p e. ( Walks ` G ) |
                       ( ( # ` ( 1st ` p ) ) = N /\ ( ( 2nd ` p ) ` 0 ) = X ) }
                     -1-1-onto-> { w e. ( N WWalksN G ) | ( w ` 0 ) = X } ) $=
      ( vq wcel wa cv c1st cfv chash wceq cc0 cwlks crab wf1o wex eqid cn0 c2nd
      cuspgr cwwlksn co cmpt cres cvv mptrabex resex wlknwwlksnbij fveq1 eqeq1d
      fvex wb 3ad2ant3 f1oresrab f1oeq1 spcegv weq 2fveq3 rabrabi eqcomi f1oeq2
      mpsyl mp1i exbidv mpbird ) CUCHDUAHIZFJZKLMLZDNZOVJUBLZLZENZIFCPLZQZOAJZL
      ZENZADCUDUEZQZBJZRZBSVOFGJZKLMLZDNZGVPQZQZWBWCRZBSZFWHVMUFZWIUGZUHHVIWIWB
      WMRZWKWLWIWGFGVPVMCPUNUIUJVIVOVTFAWHWAVMWLWLTZFWHWLCDWAGWHTWATWOUKVRVMNZV
      IVTVOUOVJWHHWPVSVNEOVRVMULUMUPUQWJWNBWMUHWIWBWCWMURUSVEVIWDWJBVQWINWDWJUO
      VIWIVQWGVOVLFGVPFGUTVKWFDVJWEMKVAUMVBVCVQWIWBWCVDVFVGVH $.
  $}

  ${
    wwlksnextprop.x $e |- X = ( ( N + 1 ) WWalksN G ) $.
    $( Lemma 1 for ~ wwlksnextprop .  (Contributed by Alexander van der Vekens,
       31-Jul-2018.)  (Revised by AV, 20-Apr-2021.)  (Revised by AV,
       29-Oct-2022.) $)
    wwlksnextproplem1 $p |- ( ( W e. X /\ N e. NN0 )
                             -> ( ( W prefix ( N + 1 ) ) ` 0 ) = ( W ` 0 ) ) $=
      ( wcel cn0 wa cfv c1 caddc co cc0 wceq 3ad2ant1 wb 3ad2ant3 mpbird adantr
      cle cvtx cword chash cfz cpfx cwwlksn w3a wwlknbp1 simpl2 peano2nn0 eleq1
      wi cfzo wbr simpr nn0re lep1d breq2 nn0p1elfzo syl3anc fz0add1fz1 syl2anc
      jca ex syl eleq2s imp pfxfv0 ) CDFZBGFZHCAUAIZUBFZBJKLZJCUCIZUDLFZHZMCVMU
      ELIMCINVIVJVPVJVPULZCVMAUFLZDCVRFVMGFZVLVNVMJKLZNZUGZVQAVMCUHWBVJVPWBVJHZ
      VLVOVSVLWAVJUIWCVNGFZBMVNUMLFZVOWBWDVJWBWDVTGFZVSVLWFWAVMUJOWAVSWDWFPVLVN
      VTGUKQRSZWCVJWDVMVNTUNZWEWBVJUOWGWBWHVJWBWHVMVTTUNZVSVLWIWAVSVMVMUPUQOWAV
      SWHWIPVLVNVTVMTURQRSBVNUSUTVNBVAVBVCVDVEEVFVGVMVKCVHVE $.

    $d G i $.  $d E i $.  $d N i $.  $d W i $.
    wwlksnextprop.e $e |- E = ( Edg ` G ) $.
    $( Lemma 2 for ~ wwlksnextprop .  (Contributed by Alexander van der Vekens,
       1-Aug-2018.)  (Revised by AV, 20-Apr-2021.)  (Revised by AV,
       29-Oct-2022.) $)
    wwlksnextproplem2 $p |- ( ( W e. X /\ N e. NN0 )
                              -> { ( lastS ` ( W prefix ( N + 1 ) ) ) ,
                                   ( lastS ` W ) } e. E ) $=
      ( vi wcel c1 caddc co cfv cpr wi wceq adantl cmin cle wbr cpfx clsw cword
      cn0 cwwlksn cvtx chash cv cc0 cfzo wral w3a eqid wwlknp wa fzonn0p1 fveq2
      fvoveq1 preq12d eleq1d rspcv syl imp wb cfz simpll 1zzd cz lencl ad2antrr
      nn0zd peano2nn0 nn0ge0 nn0re addge02d mpbid nn0red lep1d breq2 syl5ibrcom
      1red a1i com23 imp31 elfzd pfxfvlsw syl2anc nn0cn pncand fveq2d eqtrd lsw
      1cnd nn0cnd sylan9eq adantr mpbird exp31 3impia eleq2s ) DEICUDIZDCJKLZUA
      LUBMZDUBMZNZAIZXAXFOZDXBBUELZEDXHIDBUFMZUCZIZDUGMZXBJKLZPZHUHZDMZXOJKLDMZ
      NZAIZHUIXBUJLZUKZULXGHABXBXIDXIUMGUNXKXNYAXGXKXNUOZXAYAXFYBXAYAXFYBXAUOZY
      AUOXFCDMZXBDMZNZAIZYCYAYGYCCXTIZYAYGOXAYHYBCUPQXSYGHCXTXOCPZXRYFAYIXPYDXQ
      YEXOCDUQXOCJDKURUSUTVAVBVCYCXFYGVDYAYCXEYFAYCXCYDXDYEYCXCXBJRLZDMZYDYCXKX
      BJXLVELIXCYKPXKXNXAVFYCXBJXLYCVGXKXLVHIXNXAXKXLXIDVIZVKVJXAXBVHIYBXAXBCVL
      ZVKQXAJXBSTZYBXAUICSTYNCVMXAJCXAWACVNVOVPQXKXNXAXBXLSTZXKXLUDIZXNXAYOOOYL
      YPXAXNYOXAXNYOOOYPXAYOXNXBXMSTXAXBXAXBYMVQVRXLXMXBSVSVTWBWCVBWDWEXBXIDWFW
      GXAYKYDPYBXAYJCDXACJCWHXAWMZWIWJQWKYCXDXLJRLDMZYEXKXDYRPXNXADXJWLVJYBXAYR
      XMJRLZDMZYEXNYRYTPXKXLXMJDRURQXAYSXBDXAXBJXAXBYMWNYQWIWJWOWKUSUTWPWQWRWCW
      SVBFWTVC $.

    $d G w $.  $d N w $.  $d P w $.  $d W w $.
    wwlksnextprop.y $e |- Y = { w e. ( N WWalksN G ) | ( w ` 0 ) = P } $.
    $( Lemma 3 for ~ wwlksnextprop .  (Contributed by Alexander van der Vekens,
       1-Aug-2018.)  (Revised by AV, 20-Apr-2021.)  (Revised by AV,
       29-Oct-2022.) $)
    wwlksnextproplem3 $p |- ( ( W e. X /\ ( W ` 0 ) = P /\ N e. NN0 )
                              -> ( W prefix ( N + 1 ) ) e. Y ) $=
      ( wcel cc0 cfv wceq c1 caddc co wa c2 vi cn0 cpfx cwwlksn wi cwwlks chash
      w3a wb peano2nn0 iswwlksn syl cmin cvv cvtx cword eqid wwlkbp lencl eqcom
      cc nn0cn adantr 1cnd adantl subadd2 bicomd syl3anc syl5bb biimpi ex com23
      syl6bi simpl2im imp31 oveq2d cle wbr simpll nn0ge0 2re a1i nn0re addge02d
      cr mpbid addassd 1p1e2 eqtrd breqtrrd ad2antlr wwlksm1edg syl2anc eqeltrd
      breq2 mpbird expcom sylbid com12 imp cfz cv cpr cfzo wral wwlknp peano2re
      lep1d elfz2nn0 syl3anbrc oveq2 eleqtrrd adantll jca 3adant3 pfxlen eleq2s
      exp31 3imp wwlksnextproplem1 3adant2 simp2 fveq1 eqeq1d elrab2 sylanbrc )
      FGLZMFNZBOZEUBLZUHZFEPQRZUCRZEDUDRZLZMYMNZBOZYMHLYGYIYJYOYIYJYOUEUEFYLDUD
      RZGFYRLZYIYJYOYSYISZYJSZYOYMDUFNZLZYMUGNYLOZSZUUAUUCUUDYTYJUUCYSYJUUCUEYI
      YJYSUUCYJYSFUUBLZFUGNZYLPQRZOZSZUUCYJYLUBLZYSUUJUIEUJZDYLFUKULUUJYJUUCUUJ
      YJSZYMFUUGPUMRZUCRZUUBUUMYLUUNFUCUUFUUIYJYLUUNOZUUFDUNLFDUONZUPLZUUIYJUUP
      UEUEZDUUQFUUQUQZURUURUUGUBLZUUSUUQFUSUVAYJUUIUUPUVAYJUUIUUPUEUVAYJSZUUIUU
      NYLOZUUPUUIUUHUUGOZUVBUVCUUGUUHUTUVBUUGVALZPVALZYLVALZUVDUVCUIUVAUVEYJUUG
      VBVCUVBVDYJUVGUVAYJUUKUVGUULYLVBULVEUVEUVFUVGUHUVCUVDUUGPYLVFVGVHVIUVCUUP
      UUNYLUTVJVMVKVLULVNVOVPUUMUUFTUUGVQVRZUUOUUBLUUFUUIYJVSUUMUVHTUUHVQVRZYJU
      VIUUJYJTETQRZUUHVQYJMEVQVRTUVJVQVREVTYJTETWELYJWAWBEWCZWDWFYJUUHEPPQRZQRU
      VJYJEPPEVBYJVDZUVMWGYJUVLTEQUVLTOYJWHWBVPWIWJVEUUIUVHUVIUIUUFYJUUGUUHTVQW
      OWKWPDFWLWMWNWQWRWSVCWTUUAUURYLMUUGXARZLZSZUUDYTYJUVPYSYJUVPUEZYIYSUURUUI
      UAXBZFNUVRPQRFNXCCLUAMYLXDRXEZUHUVQUACDYLUUQFUUTJXFUURUUIUVQUVSUURUUISZYJ
      UVPUVTYJSUURUVOUURUUIYJVSUUIYJUVOUURUUIYJSYLMUUHXARZUVNYJYLUWALZUUIYJUUKU
      UHUBLZYLUUHVQVRUWBUULYJUUKUWCUULYLUJULYJYLYJEWELYLWELUVKEXGULXHYLUUHXIXJV
      EUUIUVNUWAOYJUUGUUHMXAXKVCXLXMXNVKXOULVCWTUUQFYLXPULXNYJYOUUEUIYTDEYMUKVE
      WPXRIXQXSYKYPYHBYGYJYPYHOYIDEFGIXTYAYGYIYJYBWIMAXBZNZBOYQAYMYNHUWDYMOUWEY
      PBMUWDYMYCYDKYEYF $.

    $d E y $.  $d N x y $.  $d P y $.  $d X y $.  $d Y y $.  $d w x $.
    $( Adding additional properties to the set of walks (as words) of a fixed
       length starting at a fixed vertex.  (Contributed by Alexander van der
       Vekens, 1-Aug-2018.)  (Revised by AV, 20-Apr-2021.)  (Revised by AV,
       29-Oct-2022.) $)
    wwlksnextprop $p |- ( N e. NN0 -> { x e. X | ( x ` 0 ) = P }
                = { x e. X | E. y e. Y ( ( x prefix ( N + 1 ) ) = y
                             /\ ( y ` 0 ) = P
                             /\ { ( lastS ` y ) , ( lastS ` x ) } e. E ) } ) $=
      ( wcel cc0 cfv wceq clsw wa ancoms adantr cn0 cv c1 caddc co cpfx cpr w3a
      eqidd wwlksnextproplem1 eqeq2 adantl mpbid wwlksnextproplem2 simpr simpll
      wrex wwlksnextproplem3 syl3anc fveq1 eqeq1d fveq2 preq1d eleq1d 3anbi123d
      wb rspcedv mp3and ex eqcoms eqcomd syl5ibr syl6bi 3adant3 com12 rexlimdva
      wi imp impbid rabbidva ) GUAMZNAUBZOZDPZWBGUCUDUEUFUEZBUBZPZNWFOZDPZWFQOZ
      WBQOZUGZEMZUHZBIUQZAHWAWBHMZRZWDWOWQWDWOWQWDRZWEWEPZNWEOZDPZWEQOZWKUGZEMZ
      WOWRWEUIWRWTWCPZXAWQXEWDWPWAXEFGWBHJUJZSTWDXEXAVFWQWCDWTUKULUMWQXDWDWPWAX
      DEFGWBHJKUNSTWRWNWSXAXDUHZBWEIWRWPWDWAWEIMWQWPWDWAWPUOTWQWDUOWAWPWDUPCDEF
      GWBHIJKLURUSWFWEPZWNXGVFWRXHWGWSWIXAWMXDWFWEWEUKXHWHWTDNWFWEUTZVAXHWLXCEX
      HWJXBWKWFWEQVBVCVDVEULVGVHVIWQWNWDBIWNWQWFIMZRZWDWGWIXKWDVQZWMWGWIXLWGWIX
      AXLWGWHWTDWHWTPWFWEXIVJVAXKWDXAWCWTPZWQXMXJWPWAXMWPWARWTWCXFVKSTWDXMVFDWT
      DWTWCUKVJVLVMVRVNVOVPVSVT $.

    $d G x $.  $d M y $.  $d X x $.
    $( Sets of walks (as words) extended by an edge are disjunct if each set
       contains extensions of distinct walks.  (Contributed by Alexander van
       der Vekens, 21-Aug-2018.)  (Revised by AV, 20-Apr-2021.)  (Revised by
       AV, 26-Oct-2022.) $)
    disjxwwlkn $p |- Disj_ y e. Y { x e. X | ( ( x prefix M ) = y
                               /\ ( y ` 0 ) = P
                               /\ { ( lastS ` y ) , ( lastS ` x ) } e. E ) } $=
      ( cv co wceq cfv clsw crab wss cpfx cc0 cpr wcel cvtx cword wral wdisj wi
      simp1 rgenw ss2rab mpbir c1 caddc cwwlksn cwwlks wwlkssswwlksn wwlkssswrd
      w3a eqid sstri eqsstri rabss2 ax-mp disjwrdpfx disjss2 mp2 ) ANZGUAOBNZPZ
      UBVJQDPZVJRQVIRQUCEUDZUTZAISZVKAFUEQZUFZSZTZBJUGBJVRUHBJVOUHVSBJVOVKAISZV
      RVOVTTVNVKUIZAIUGWAAIVKVLVMUJUKVNVKAIULUMIVQTVTVRTIHUNUOOZFUPOZVQKWCFUQQV
      QFWBURFVPVPVAUSVBVCVKAIVQVDVEVBUKABGVPJVFBJVOVRVGVH $.

    $d G y $.  $d Y x $.
    $( Number of walks (as words) extended by an edge as a sum over the
       prefixes.  (Contributed by Alexander van der Vekens, 21-Aug-2018.)
       (Revised by AV, 20-Apr-2021.)  (Revised by AV, 26-Oct-2022.) $)
    hashwwlksnext $p |- ( ( Vtx ` G ) e. Fin
                          -> ( # ` { x e. X | E. y e. Y
                              ( ( x prefix M ) = y /\ ( y ` 0 ) = P
                                /\ { ( lastS ` y ) , ( lastS ` x ) } e. E ) } )
                             = sum_ y e. Y ( # ` { x e. X |
                               ( ( x prefix M ) = y /\ ( y ` 0 ) = P
                           /\ { ( lastS ` y ) , ( lastS ` x ) } e. E ) } ) ) $=
      ( cfv cfn wcel cv co wceq cc0 cvtx cpfx clsw cpr w3a cwwlksn wss wwlksnfi
      crab ssrab2 ssfi sylancl eqeltrid caddc rabfi syl adantr wdisj disjxwwlkn
      c1 a1i hashrabrex ) FUANOPZAQZGUBRBQZSTVENDSVEUCNVDUCNUDEPUEZABIJVCJTCQND
      SZCHFUFRZUIZOMVCVHOPVIVHUGVIOPFHUHVGCVHUJVHVIUKULUMVCVFAIUIZOPZVEJPVCIOPV
      KVCIHUTUNRZFUFROKFVLUHUMVFAIUOUPUQBJVJURVCABCDEFGHIJKLMUSVAVB $.
  $}

  ${
    $d G a b $.  $d N a b $.  $d V a b $.  $d W a b $.
    wwlksnwwlksnon.v $e |- V = ( Vtx ` G ) $.
    $( A walk of fixed length is a walk of fixed length between two vertices.
       (Contributed by Alexander van der Vekens, 21-Feb-2018.)  (Revised by AV,
       12-May-2021.)  (Revised by AV, 13-Mar-2022.) $)
    wwlksnwwlksnon $p |- ( W e. ( N WWalksN G )
                   <-> E. a e. V E. b e. V W e. ( a ( N WWalksNOn G ) b ) ) $=
      ( co wcel cc0 cfv cv wceq w3a wrex cword wa cfzo 3ad2ant1 wb cwwlksn cvtx
      cwwlksnon chash c1 caddc wwlknbp1 eqcomi wrdeqi eleq2i biimpi 3ad2ant2 cn
      cn0 nn0p1nn lbfzo0 sylibr eleq2d 3ad2ant3 mpbird adantl wrdsymbcl syl2an2
      oveq2 fzonn0p1 syl2anc simpl eqidd eqeq2 3anbi2d 3anbi3d rspc2ev mpdan wi
      syl113anc simp1 a1i rexlimivv impbii wwlknon bicomi 2rexbii bitri ) DBAUA
      HIZWDJDKZELZMZBDKZFLZMZNZFCOECOZDWFWIBAUCHHIZFCOECOWDWLWDBUNIZDAUBKZPZIZD
      UDKZBUEUFHZMZNZWLABDUGWDXAQZWECIZWHCIZWDWEWEMZWHWHMZWLXADCPZIZWDJJWRRHZIZ
      XCWQWNXHWTWQXHWPXGDWOCCWOGUHUIUJUKULZXAXJWDXAXJJJWSRHZIZWNWQXMWTWNWSUMIXM
      BUOWSUPUQSWTWNXJXMTWQWTXIXLJWRWSJRVDZURUSUTVAJCDVBVCXAXDWDXAXHBXIIZXDXKXA
      XOBXLIZWNWQXPWTBVESWTWNXOXPTWQWTXIXLBXNURUSUTBCDVBVFVAWDXAVGXBWEVHXBWHVHW
      KWDXEXFNWDXEWJNEFWEWHCCWFWEMWGXEWDWJWFWEWEVIVJWIWHMWJXFWDXEWIWHWHVIVKVLVO
      VMWKWDEFCCWKWDVNWFCIWICIQWDWGWJVPVQVRVSWKWMEFCCWMWKWFWIABDVTWAWBWC $.

    $d G a b f $.  $d N f $.  $d V f $.  $d W f $.
    $( A simple path of fixed length is a simple path of fixed length between
       two vertices.  (Contributed by Alexander van der Vekens, 1-Mar-2018.)
       (Revised by AV, 16-May-2021.)  (Revised by AV, 13-Mar-2022.) $)
    wspthsnwspthsnon $p |- ( W e. ( N WSPathsN G )
                   <-> E. a e. V E. b e. V W e. ( a ( N WSPathsNOn G ) b ) ) $=
      ( vf co wcel cv cfv wbr wa wrex wceq w3a c1 cmin eqtrd cwwlksn cspths wex
      cwwspthsn cwwlksnon cwwspthsnon iswspthn wwlksnwwlksnon r19.41vv cspthson
      anbi1i bitr4i cc0 chash wb 3anass a1i cvv vex isspthonpth mpanr1 cwlks wi
      spthiswlk wlklenvm1 wwlknon simpl2 simpr cn0 cvtx cword wwlknbp1 3ad2ant3
      caddc oveq1 cc nn0cn pncan1 3ad2ant1 adantr fveq2d simpl3 ex sylbi adantl
      syl com12 3syl pm4.71d 3bitr4rd exbidv pm5.32da wspthnon bitr4di 2rexbiia
      jca 3bitri ) DBAUDIJDBAUAIJZHKZDAUBLMZHUCZNZDEKZFKZBAUEIIZJZXANZFCOECOZDX
      CXDBAUFIIJZFCOECOHABDUGXBXFFCOECOZXANXHWRXJXAABCDEFGUHUKXFXAEFCCUIULXGXIE
      FCCXCCJXDCJNZXGXFWSDXCXDAUJLIMZHUCZNXIXKXFXAXMXKXFNZWTXLHXNWTUMDLXCPZWSUN
      LZDLZXDPZQZWTXOXRNZNZXLWTXSYAUOXNWTXOXRUPUQXKWSURJXFXLXSUOHUSXCXDDWSACURX
      EGUTVAXNWTXTWTXNXTWTWSDAVBLMXPDUNLZRSIZPZXNXTVCDWSAVDDWSAVEXNYDXTXFYDXTVC
      ZXKXFWRXOBDLZXDPZQZYEXCXDABDVFYHYDXTYHYDNZXOXRWRXOYGYDVGYIXQYFXDYIXPBDYIX
      PYCBYHYDVHYHYCBPZYDWRXOYJYGWRBVIJZDAVJLVKJZYBBRVNIZPZQZYJABDVLYOYCYMRSIZB
      YNYKYCYPPYLYBYMRSVOVMYKYLYPBPZYNYKBVPJYQBVQBVRWFVSTWFVSVTTWAWRXOYGYDWBTWP
      WCWDWEWGWHWGWIWJWKWLXCXDHABDWMWNWOWQ $.
  $}

  ${
    $d G f p $.  $d N f p $.  $d X f p $.  $d Y f p $.
    $( If the set of simple paths of length at least 1 between two vertices is
       not empty, the two vertices must be different.  (Contributed by
       Alexander van der Vekens, 3-Mar-2018.)  (Revised by AV, 16-May-2021.) $)
    wspthsnonn0vne $p |- ( ( N e. NN /\ ( X ( N WSPathsNOn G ) Y ) =/= (/) )
                           -> X =/= Y ) $=
      ( vp vf co wne wcel wi wa cfv wbr cc0 wceq c1 cmin syl adantr com12 c0 cn
      cwwspthsnon cv wex cn0 cvv cvtx cwwlksnon cspthson eqid wspthnonp cwwlksn
      n0 wwlknon cwwlks chash caddc iswwlksn cpths spthonisspth spthispth cwlks
      w3a cspths pthiswlk wlklenvm1 3syl oveq1 eqeq2d simpr cc nncn eqtrd nnne0
      pncan1 eqnetrd spthonepeq necon3bid syl5ibrcom expcom com23 com13 exlimiv
      syl6bi mpd adantl 3ad2ant1 syl5bi impd 3impia sylbi impcom ) CDBAUCGGZUAH
      ZBUBIZCDHZWOEUDZWNIZEUEWPWQJZEWNUNWSWTEWSBUFIZAUGIZKZCAUHLZIDXDIKZWRCDBAU
      IGGIZFUDZWRCDAUJLGMZFUEZKZVDWTCDFABXDWRXDUKULXCXEXJWTXCXEKZXFXIWTXFWRBAUM
      GIZNWRLCOZBWRLDOZVDZXKXIWTJZCDABWRUOXOXKXPXLXMXKXPJXNXKXLXPXCXLXPJZXEXAXQ
      XBXAXLWRAUPLIZWRUQLZBPURGZOZKXPABWRUSYAXPXRXIYAWTXHYAWTJZFXHXGUQLZXSPQGZO
      ZYBXHXGWRAVELMXGWRAUTLMZYECDWRXGAVAWRXGAVBYFXGWRAVCLMYEWRXGAVFWRXGAVGRVHY
      AYEXHWTYAYEYCXTPQGZOZXHWTJYAYDYGYCXSXTPQVIVJYHWPXHWQWPYHXHWQJWPYHKZWQXHYC
      NHYIYCBNYIYCYGBWPYHVKWPYGBOZYHWPBVLIYJBVMBVPRSVNWPBNHYHBVOSVQXHCDYCNCDWRX
      GAVRVSVTWAWBWEWCWFWDTWGWESSTWHTWIWJWKRWDWLWM $.
  $}

  ${
    $d G f w $.  $d N f w $.
    $( The set of simple paths of a fixed length between two vertices is a
       subset of the set of walks of the fixed length.  (Contributed by AV,
       18-May-2021.) $)
    wspthsswwlkn $p |- ( N WSPathsN G ) C_ ( N WWalksN G ) $=
      ( vw vf cwwspthsn co cwwlksn cv wcel cn0 cvv wa cspths cfv wbr wex simp2d
      wspthnp ssriv ) CBAEFZBAGFZCHZTIBJIAKILUBUAIDHUBAMNODPDABUBRQS $.
  $}

  $( In a finite graph, the set of simple paths of a fixed length is finite.
     (Contributed by Alexander van der Vekens, 4-Mar-2018.)  (Revised by AV,
     18-May-2021.) $)
  wspthnfi $p |- ( ( Vtx ` G ) e. Fin -> ( N WSPathsN G ) e. Fin ) $=
    ( cvtx cfv cfn wcel cwwlksn cwwspthsn wwlksnfi wss wspthsswwlkn a1i ssfid
    co ) ACDEFZBAGNZBAHNZABIQPJOABKLM $.

  ${
    $d A w $.  $d B w $.  $d G w $.  $d N w $.
    $( In a finite graph, the set of walks of a fixed length between two
       vertices is finite.  (Contributed by Alexander van der Vekens,
       4-Mar-2018.)  (Revised by AV, 15-May-2021.)  (Proof shortened by AV,
       15-Mar-2022.) $)
    wwlksnonfi $p |- ( ( Vtx ` G ) e. Fin
                       -> ( A ( N WWalksNOn G ) B ) e. Fin ) $=
      ( vw cvtx cfv cfn wcel cwwlksnon co cc0 wceq cwwlksn crab eqid iswwlksnon
      cv wa wwlksnfi rabfi syl eqeltrid ) CFGZHIZABDCJKKLERZGAMDUFGBMSZEDCNKZOZ
      HEABCDUDUDPQUEUHHIUIHICDTUGEUHUAUBUC $.
  $}

  ${
    $d A f w $.  $d B f w $.  $d G f w $.  $d N f w $.
    $( The set of simple paths of a fixed length between two vertices is a
       subset of the set of walks of the fixed length between the two vertices.
       (Contributed by AV, 15-May-2021.) $)
    wspthsswwlknon $p |- ( A ( N WSPathsNOn G ) B )
                           C_ ( A ( N WWalksNOn G ) B ) $=
      ( vw vf cwwspthsnon co cwwlksnon cv wcel cn0 cvv wa cvtx cfv cspthson wbr
      wex w3a eqid wspthnonp simp3l syl ssriv ) EABDCGHHZABDCIHHZEJZUFKDLKCMKNZ
      ACOPZKBUJKNZUHUGKZFJUHABCQPHRFSZNTULABFCDUJUHUJUAUBUIUKULUMUCUDUE $.
  $}

  $( In a finite graph, the set of simple paths of a fixed length between two
     vertices is finite.  (Contributed by Alexander van der Vekens,
     4-Mar-2018.)  (Revised by AV, 15-May-2021.) $)
  wspthnonfi $p |- ( ( Vtx ` G ) e. Fin
                     -> ( A ( N WSPathsNOn G ) B ) e. Fin ) $=
    ( cvtx cfv cfn wcel cwwlksnon cwwspthsnon wwlksnonfi wss wspthsswwlknon a1i
    co ssfid ) CEFGHZABDCIOOZABDCJOOZABCDKSRLQABCDMNP $.

  ${
    $d G p w x y $.  $d N p w x y $.  $d U w x y $.  $d V p w x y $.
    wspniunwspnon.v $e |- V = ( Vtx ` G ) $.
    $( The set of nonempty simple paths of fixed length is the double union of
       the simple paths of the fixed length between different vertices.
       (Contributed by Alexander van der Vekens, 3-Mar-2018.)  (Revised by AV,
       16-May-2021.)  (Proof shortened by AV, 15-Mar-2022.) $)
    wspniunwspnon $p |- ( ( N e. NN /\ G e. U ) -> ( N WSPathsN G ) =
                U_ x e. V U_ y e. ( V \ { x } ) ( x ( N WSPathsNOn G ) y ) ) $=
      ( vp vw cn wcel wa cwwspthsn co cv wrex ciun wne ex rexbidv csn cab c0 wi
      cwwspthsnon cdif wspthsnonn0vne adantr ne0i impel necomd pm4.71rd bitr4di
      rexdifsn wspthsnwspthsnon vex eleq1w elab 3bitr4g eqrdv dfiunv2 eqtr4di
      weq ) EJKZDCKZLZEDMNZHOAOZBOZEDUENNZKZBFVHUAUFZPZAFPZHUBZAFBVLVJQQVFIVGVO
      VFIOZVJKZBFPZAFPVQBVLPZAFPZVPVGKVPVOKVFVRVSAFVFVRVIVHRZVQLZBFPVSVFVQWBBFV
      FVQWAVFVQWAVFVQLVHVIVFVJUCRZVHVIRZVQVDWCWDUDVEVDWCWDDEVHVIUGSUHVJVPUIUJUK
      SULTVQBFVHUNUMTDEFVPABGUOVNVTHVPIUPHIVCZVMVSAFWEVKVQBVLHIVJUQTTURUSUTABHF
      VLVJVAVB $.
  $}

  ${
    $d G f w $.  $d N f w $.  $d V f w $.
    wspn0.v $e |- V = ( Vtx ` G ) $.
    $( If there are no vertices, then there are no simple paths (of any
       length), too.  (Contributed by Alexander van der Vekens, 11-Mar-2018.)
       (Revised by AV, 16-May-2021.)  (Proof shortened by AV, 13-Mar-2022.) $)
    wspn0 $p |- ( V = (/) -> ( N WSPathsN G ) = (/) ) $=
      ( vf vw c0 wceq cwwspthsn co cv cspths cfv wbr wex wcel cword chash cc0
      wi cwwlksn crab wspthsn wn wral cvtx c1 caddc wwlknbp1 eqeq1i wrdeq sylbi
      cn0 w3a eleq2d 0wrd0 bitrdi wa wb fveq2 eqtrdi eqeq1d adantl wne nn0p1gt0
      hash0 gt0ne0d eqcoms syl5com adantr sylbid expcom com23 syl6bi com14 3imp
      eqneqall syl impcom ralrimiva rabeq0 sylibr syl5eq ) CGHZBAIJEKFKZALMNEOZ
      FBAUAJZUBZGFEABUCWDWFUDZFWGUEWHGHWDWIFWGWEWGPZWDWIWJBUMPZWEAUFMZQZPZWERMZ
      BUGUHJZHZUNWDWITZABWEUIWKWNWQWRWDWNWQWKWIWDWNWEGHZWQWKWITTWDWNWEGQZPWSWDW
      MWTWEWDWLGHWMWTHCWLGDUJWLGUKULUOWEUPUQWSWKWQWIWKWSWQWITWKWSURWQSWPHZWIWSW
      QXAUSWKWSWOSWPWSWOGRMSWEGRUTVFVAVBVCWKXAWITWSWKWPSVDZXAWIWKWPBVEVGXBWITWP
      SWIWPSVQVHVIVJVKVLVMVNVOVPVRVSVTWFFWGWAWBWC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Walks/paths of length 2 (as length 3 strings)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    2wlkd.p $e |- P = <" A B C "> $.
    2wlkd.f $e |- F = <" J K "> $.
    $( Lemma 1 for ~ 2wlkd .  (Contributed by AV, 14-Feb-2021.) $)
    2wlkdlem1 $p |- ( # ` P ) = ( ( # ` F ) + 1 ) $=
      ( chash cfv cs3 c1 caddc co fveq2i c2 c3 s3len eqtri s2len eqtr2i oveq1i
      df-3 cs2 ) DJKABCLZJKZEJKZMNOZDUFJHPUGQMNOZUIUGRUJABCSUDTQUHMNUHFGUEZJKQE
      UKJIPFGUAUBUCTT $.

    $( Lemma 2 for ~ 2wlkd .  (Contributed by AV, 14-Feb-2021.) $)
    2wlkdlem2 $p |- ( 0 ..^ ( # ` F ) ) = { 0 , 1 } $=
      ( cc0 chash cfv cfzo co c2 c1 cpr cs2 fveq2i eqtri s2len oveq2i fzo0to2pr
      ) JEKLZMNJOMNJPQUDOJMUDFGRZKLOEUEKISFGUATUBUCT $.

    2wlkd.s $e |- ( ph -> ( A e. V /\ B e. V /\ C e. V ) ) $.
    $( Lemma 3 for ~ 2wlkd .  (Contributed by AV, 14-Feb-2021.) $)
    2wlkdlem3 $p |- ( ph
                    -> ( ( P ` 0 ) = A /\ ( P ` 1 ) = B /\ ( P ` 2 ) = C ) ) $=
      ( wcel cc0 cfv wceq c1 c2 fveq1i syl5eq w3a cs3 s3fv0 s3fv1 3anim123i syl
      s3fv2 ) ABIMZCIMZDIMZUANEOZBPZQEOZCPZREOZDPZUALUHULUIUNUJUPUHUKNBCDUBZOBN
      EUQJSBCDIUCTUIUMQUQOCQEUQJSBCDIUDTUJUORUQODREUQJSBCDIUGTUEUF $.

    $d F k $.  $d P k $.  $d V k $.
    $( Lemma 4 for ~ 2wlkd .  (Contributed by AV, 14-Feb-2021.) $)
    2wlkdlem4 $p |- ( ph -> A. k e. ( 0 ... ( # ` F ) ) ( P ` k ) e. V ) $=
      ( cc0 cfv wcel c1 c2 wceq eleq1d w3a cv chash cfz co wral 2wlkdlem3 simp1
      wb simp2 simp3 3anbi123d bicomd syl mpbid fveq2i s2len eqtri oveq2i fz0tp
      ctp cs2 raleqi c0ex 1ex 2ex fveq2 raltp bitri sylibr ) ANEOZJPZQEOZJPZREO
      ZJPZUAZFUBZEOZJPZFNGUCOZUDUEZUFZABJPZCJPZDJPZUAZVQMAVKBSZVMCSZVODSZUAZWGV
      QUIABCDEGHIJKLMUGWKVQWGWKVLWDVNWEVPWFWKVKBJWHWIWJUHTWKVMCJWHWIWJUJTWKVODJ
      WHWIWJUKTULUMUNUOWCVTFNQRVAZUFVQVTFWBWLWBNRUDUEWLWARNUDWAHIVBZUCORGWMUCLU
      PHIUQURUSUTURVCVTVLVNVPFNQRVDVEVFVRNSVSVKJVRNEVGTVRQSVSVMJVRQEVGTVRRSVSVO
      JVRREVGTVHVIVJ $.

    2wlkd.n $e |- ( ph -> ( A =/= B /\ B =/= C ) ) $.
    $( Lemma 5 for ~ 2wlkd .  (Contributed by AV, 14-Feb-2021.) $)
    2wlkdlem5 $p |- ( ph -> A. k e. ( 0 ..^ ( # ` F ) )
                             ( P ` k ) =/= ( P ` ( k + 1 ) ) ) $=
      ( cc0 cfv c1 wne wceq neeq12d c2 wa cv caddc co chash cfzo wral 2wlkdlem3
      w3a wb simp1 simp2 simp3 anbi12d bicomd syl cpr 2wlkdlem2 raleqi c0ex 1ex
      mpbid fveq2 fv0p1e1 oveq1 1p1e2 eqtrdi fveq2d ralpr bitri sylibr ) AOEPZQ
      EPZRZVNUAEPZRZUBZFUCZEPZVSQUDUEZEPZRZFOGUFPUGUEZUHZABCRZCDRZUBZVRNAVMBSZV
      NCSZVPDSZUJZWHVRUKABCDEGHIJKLMUIWLVRWHWLVOWFVQWGWLVMBVNCWIWJWKULWIWJWKUMZ
      TWLVNCVPDWMWIWJWKUNTUOUPUQVCWEWCFOQURZUHVRWCFWDWNBCDEGHIKLUSUTWCVOVQFOQVA
      VBVSOSVTVMWBVNVSOEVDEVSVETVSQSZVTVNWBVPVSQEVDWOWAUAEWOWAQQUDUEUAVSQQUDVFV
      GVHVITVJVKVL $.

    $d F j k $.  $d P j $.
    $( Lemma 1 for ~ 2pthd .  (Contributed by AV, 14-Feb-2021.) $)
    2pthdlem1 $p |- ( ph -> A. k e. ( 0 ..^ ( # ` P ) )
                            A. j e. ( 1 ..^ ( # ` F ) )
                            ( k =/= j -> ( P ` k ) =/= ( P ` j ) ) ) $=
      ( c1 wne cfv cc0 c2 cv wi chash cfzo co wral w3a wa 2wlkdlem3 simpl simpr
      wceq wb neeq12d bicomd 3adant3 biimpcd adantr imp a1d eqid eqneqall necom
      mp1i bitr2di 3adant1 adantl 3jca syl2anc ctp c3 fveq2i s3len eqtri oveq2i
      cs3 fzo0to3tp raleqi c0ex 1ex 2ex neeq1 fveq2 neeq1d imbi12d raltp sylibr
      bitri csn cs2 s2len fzo12sn neeq2 neeq2d ralsn ralbii ) AGUAZPQZWQERZPERZ
      QZUBZGSEUCRZUDUEZUFZWQFUAZQZWSXFERZQZUBZFPHUCRZUDUEZUFZGXDUFASPQZSERZWTQZ
      UBZPPQZWTWTQZUBZTPQZTERZWTQZUBZUGZXEABCQZCDQZUHZXOBULZWTCULZYBDULZUGZYEOA
      BCDEHIJKLMNUIYHYLUHZXQXTYDYMXPXNYHYLXPYFYLXPUBYGYLYFXPYIYJYFXPUMYKYIYJUHZ
      XPYFYNXOBWTCYIYJUJYIYJUKUNUOUPUQURUSUTPPULXTYMPVAXSPPVBVDYMYCYAYHYLYCYGYL
      YCUBYFYLYGYCYJYKYGYCUMYIYJYKUHZYCDCQYGYOYBDWTCYJYKUKYJYKUJUNDCVCVEVFUQVGU
      SUTVHVIXEXBGSPTVJZUFYEXBGXDYPXDSVKUDUEYPXCVKSUDXCBCDVPZUCRVKEYQUCLVLBCDVM
      VNVOVQVNVRXBXQXTYDGSPTVSVTWAWQSULZWRXNXAXPWQSPWBYRWSXOWTWQSEWCWDWEWQPULZW
      RXRXAXSWQPPWBYSWSWTWTWQPEWCWDWEWQTULZWRYAXAYCWQTPWBYTWSYBWTWQTEWCWDWEWFWH
      WGXMXBGXDXMXJFPWIZUFXBXJFXLUUAXLPTUDUEUUAXKTPUDXKIJWJZUCRTHUUBUCMVLIJWKVN
      VOWLVNVRXJXBFPVTXFPULZXGWRXIXAXFPWQWMUUCXHWTWSXFPEWCWNWEWOWHWPWG $.

    2wlkd.e $e |- ( ph -> ( { A , B } C_ ( I ` J )
                          /\ { B , C } C_ ( I ` K ) ) ) $.
    $( Lemma 6 for ~ 2wlkd .  (Contributed by AV, 23-Jan-2021.) $)
    2wlkdlem6 $p |- ( ph -> ( B e. ( I ` J ) /\ B e. ( I ` K ) ) ) $=
      ( cpr cfv wss wa wcel prcom sseq1i biimpi adantl wb simp2d prssg syl2an2r
      simp1d adantr mpbird simpld ex simpr simp3d anim12d mpd ) ABCPZHGQZRZCDPI
      GQZRZSCUSTZCVATZSOAUTVCVBVDAUTVCAUTSZVCBUSTZVEVCVFSZCBPZUSRZUTVIAUTVIURVH
      USBCUAUBUCUDACJTZUTBJTZVGVIUEAVKVJDJTZMUFZAVKUTAVKVJVLMUIUJCBUSJJUGUHUKUL
      UMAVBVDAVBSZVDDVATZVNVDVOSZVBAVBUNAVJVBVLVPVBUEVMAVLVBAVKVJVLMUOUJCDVAJJU
      GUHUKULUMUPUQ $.

    $( Lemma 7 for ~ 2wlkd .  (Contributed by AV, 14-Feb-2021.) $)
    2wlkdlem7 $p |- ( ph -> ( J e. _V /\ K e. _V ) ) $=
      ( cfv wcel wa cvv elfvex 2wlkdlem6 anim12i syl ) ACHGPQZCIGPQZRHSQZISQZRA
      BCDEFGHIJKLMNOUAUDUFUEUGCHGTCIGTUBUC $.

    $( Lemma 8 for ~ 2wlkd .  (Contributed by AV, 14-Feb-2021.) $)
    2wlkdlem8 $p |- ( ph -> ( ( F ` 0 ) = J /\ ( F ` 1 ) = K ) ) $=
      ( cc0 cfv wceq c1 cvv wa wcel 2wlkdlem7 s2fv0 s2fv1 anim12i fveq1i eqeq1i
      cs2 syl anbi12i sylibr ) APHIUIZQZHRZSUMQZIRZUAZPFQZHRZSFQZIRZUAAHTUBZITU
      BZUAURABCDEFGHIJKLMNOUCVCUOVDUQHITUDHITUEUFUJUTUOVBUQUSUNHPFUMLUGUHVAUPIS
      FUMLUGUHUKUL $.

    $( Lemma 9 for ~ 2wlkd .  (Contributed by AV, 14-Feb-2021.) $)
    2wlkdlem9 $p |- ( ph -> ( { A , B } C_ ( I ` ( F ` 0 ) )
                            /\ { B , C } C_ ( I ` ( F ` 1 ) ) ) ) $=
      ( cpr cfv wss wa wceq cc0 c1 2wlkdlem8 fveq2 adantr sseq2d adantl anbi12d
      wb syl mpbird ) ABCPZUAFQZGQZRZCDPZUBFQZGQZRZSZULHGQZRZUPIGQZRZSZOAUMHTZU
      QITZSZUTVEUIABCDEFGHIJKLMNOUCVHUOVBUSVDVHUNVAULVFUNVATVGUMHGUDUEUFVHURVCU
      PVGURVCTVFUQIGUDUGUFUHUJUK $.

    $d I k $.
    $( Lemma 10 for ~ 3wlkd .  (Contributed by AV, 14-Feb-2021.) $)
    2wlkdlem10 $p |- ( ph -> A. k e. ( 0 ..^ ( # ` F ) )
                    { ( P ` k ) , ( P ` ( k + 1 ) ) } C_ ( I ` ( F ` k ) ) ) $=
      ( cc0 cfv c1 wceq cpr wss c2 wa cv caddc co chash cfzo wral 2wlkdlem9 w3a
      2wlkdlem3 preq12 3adant3 sseq1d 3adant1 anbi12d syl mpbird 2wlkdlem2 c0ex
      raleqi 1ex fveq2 fv0p1e1 preq12d 2fveq3 sseq12d oveq1 1p1e2 eqtrdi fveq2d
      wb ralpr bitri sylibr ) AQERZSERZUAZQGRHRZUBZVSUCERZUAZSGRHRZUBZUDZFUEZER
      ZWHSUFUGZERZUAZWHGRHRZUBZFQGUHRUIUGZUJZAWGBCUAZWAUBZCDUAZWEUBZUDZABCDEGHI
      JKLMNOPUKAVRBTZVSCTZWCDTZULZWGXAVNABCDEGIJKLMNUMXEWBWRWFWTXEVTWQWAXBXCVTW
      QTXDVRVSBCUNUOUPXEWDWSWEXCXDWDWSTXBVSWCCDUNUQUPURUSUTWPWNFQSUAZUJWGWNFWOX
      FBCDEGIJLMVAVCWNWBWFFQSVBVDWHQTZWLVTWMWAXGWIVRWKVSWHQEVEEWHVFVGWHQHGVHVIW
      HSTZWLWDWMWEXHWIVSWKWCWHSEVEXHWJUCEXHWJSSUFUGUCWHSSUFVJVKVLVMVGWHSHGVHVIV
      OVPVQ $.

    $d G k $.  $d ph k $.
    2wlkd.v $e |- V = ( Vtx ` G ) $.
    2wlkd.i $e |- I = ( iEdg ` G ) $.
    $( Construction of a walk from two given edges in a graph.  (Contributed by
       Alexander van der Vekens, 5-Feb-2018.)  (Revised by AV, 23-Jan-2021.)
       (Proof shortened by AV, 14-Feb-2021.)  (Revised by AV, 24-Mar-2021.) $)
    2wlkd $p |- ( ph -> F ( Walks ` G ) P ) $=
      ( vk wcel cvv cword cs3 s3cli eqeltri a1i cs2 s2cli chash cfv c1 caddc co
      wceq 2wlkdlem1 2wlkdlem10 2wlkdlem5 w3a 1vgrex 3ad2ant1 2wlkdlem4 wlkd
      syl ) AESFGHKUAEUAUBZTAEBCDUCVDLBCDUDUEUFFVDTAFIJUGVDMIJUHUEUFEUIUJFUIUJU
      KULUMUNABCDEFIJLMUOUFABCDESFHIJKLMNOPUPABCDESFIJKLMNOUQABKTZCKTZDKTZURGUA
      TZNVEVFVHVGGBKQUSUTVCQRABCDESFIJKLMNVAVB $.

    $( A walk of length 2 from one vertex to another, different vertex via a
       third vertex.  (Contributed by Alexander van der Vekens, 6-Dec-2017.)
       (Revised by AV, 30-Jan-2021.)  (Revised by AV, 24-Mar-2021.) $)
    2wlkond $p |- ( ph -> F ( A ( WalksOn ` G ) C ) P ) $=
      ( cfv wcel cwlkson wbr cwlks cc0 wceq chash 2wlkd simp1d cs3 fveq1i s3fv0
      co syl5eq syl c2 cs2 fveq2i s2len eqtri fveq12i simp3d s3fv2 wa cvv cword
      w3a wb 3simpb s2cli eqeltri s3cli pm3.2i iswlkon sylancl mpbir3and ) AFEB
      DGUASULUBZFEGUCSUBZUDESZBUEZFUFSZESZDUEZABCDEFGHIJKLMNOPQRUGABKTZVSAWCCKT
      ZDKTZNUHWCVRUDBCDUIZSBUDEWFLUJBCDKUKUMUNAWAUOWFSZDVTUOEWFLVTIJUPZUFSUOFWH
      UFMUQIJURUSUTAWEWGDUEAWCWDWENVABCDKVBUNUMAWCWEVCZFVDVEZTZEWJTZVCVPVQVSWBV
      FVGAWCWDWEVFWINWCWDWEVHUNWKWLFWHWJMIJVIVJEWFWJLBCDVKVJVLBDEWJFGKWJQVMVNVO
      $.

    2trld.n $e |- ( ph -> J =/= K ) $.
    $( Construction of a trail from two given edges in a graph.  (Contributed
       by Alexander van der Vekens, 4-Dec-2017.)  (Revised by AV, 24-Jan-2021.)
       (Revised by AV, 24-Mar-2021.)  (Proof shortened by AV, 30-Oct-2021.) $)
    2trld $p |- ( ph -> F ( Trails ` G ) P ) $=
      ( cvv cwlks cfv wbr ccnv wfun ctrls 2wlkd cs2 wne w3a wa 2wlkdlem7 df-3an
      wcel sylanbrc funcnvs2 syl cnveqi funeqi sylibr istrl ) AFEGUAUBUCFUDZUEZ
      FEGUFUBUCABCDEFGHIJKLMNOPQRUGAIJUHZUDZUEZVCAITUNZJTUNZIJUIZUJZVFAVGVHUKVI
      VJABCDEFHIJKLMNOPULSVGVHVIUMUOIJTUPUQVBVEFVDMURUSUTEFGVAUO $.

    $( A trail of length 2 from one vertex to another, different vertex via a
       third vertex.  (Contributed by Alexander van der Vekens, 6-Dec-2017.)
       (Revised by AV, 30-Jan-2021.)  (Revised by AV, 24-Mar-2021.) $)
    2trlond $p |- ( ph -> F ( A ( TrailsOn ` G ) C ) P ) $=
      ( wcel ctrlson cfv co wbr cwlkson ctrls 2wlkond 2trld cvv cword wa simp1d
      wb simp3d cs2 s2cli eqeltri a1i cs3 s3cli istrlson syl22anc mpbir2and ) A
      FEBDGUAUBUCUDZFEBDGUEUBUCUDZFEGUFUBUDZABCDEFGHIJKLMNOPQRUGABCDEFGHIJKLMNO
      PQRSUHABKTZDKTZFUIUJZTZEVITZVDVEVFUKUMAVGCKTZVHNULAVGVLVHNUNVJAFIJUOVIMIJ
      UPUQURVKAEBCDUSVILBCDUTUQURBDEVIFGKVIQVAVBVC $.

    $d ph j $.
    $( A path of length 2 from one vertex to another vertex via a third vertex.
       (Contributed by Alexander van der Vekens, 6-Dec-2017.)  (Revised by AV,
       24-Jan-2021.)  (Revised by AV, 24-Mar-2021.) $)
    2pthd $p |- ( ph -> F ( Paths ` G ) P ) $=
      ( chash vk vj cfv cvv cword wcel cs3 s3cli eqeltri a1i c2 c3 c1 co fveq2i
      cmin cs2 s2len eqtri 3m1e2 s3len eqtr2i 3eqtr2i 2pthdlem1 eqid 2trld pthd
      oveq1i ) AEFTUCZUAUBFGEUDUEZUFAEBCDUGZVJLBCDUHUIUJVIUKULUMUPUNETUCZUMUPUN
      VIIJUQZTUCUKFVMTMUOIJURUSUTULVLUMUPVLVKTUCULEVKTLUOBCDVAVBVHVCABCDEUBUAFI
      JKLMNOVDVIVEABCDEFGHIJKLMNOPQRSVFVG $.

    2spthd.n $e |- ( ph -> A =/= C ) $.
    $( A simple path of length 2 from one vertex to another, different vertex
       via a third vertex.  (Contributed by Alexander van der Vekens,
       1-Feb-2018.)  (Revised by AV, 24-Jan-2021.)  (Revised by AV,
       24-Mar-2021.)  (Proof shortened by AV, 30-Oct-2021.) $)
    2spthd $p |- ( ph -> F ( SPaths ` G ) P ) $=
      ( ctrls cfv wbr ccnv wfun cspths 2trld cs3 wcel w3a wne sylanbrc funcnvs3
      wa 3anan32 syl2anc wceq a1i cnveqd funeqd mpbird isspth ) AFEGUAUBUCEUDZU
      EZFEGUFUBUCABCDEFGHIJKLMNOPQRSUGAVDBCDUHZUDZUEZABKUICKUIDKUIUJBCUKZBDUKZC
      DUKZUJZVGNAVHVJUNVIVKOTVHVIVJUOULBCDKUMUPAVCVFAEVEEVEUQALURUSUTVAEFGVBUL
      $.

    $( A simple path of length 2 from one vertex to another, different vertex
       via a third vertex.  (Contributed by Alexander van der Vekens,
       6-Dec-2017.)  (Revised by AV, 24-Jan-2021.)  (Proof shortened by AV,
       30-Jan-2021.)  (Revised by AV, 24-Mar-2021.) $)
    2pthond $p |- ( ph -> F ( A ( SPathsOn ` G ) C ) P ) $=
      ( cspthson cfv co wbr ctrlson cspths 2trlond 2spthd wcel wa cvv cword w3a
      3simpb syl cs2 s2cli eqeltri cs3 s3cli pm3.2i isspthson sylancl mpbir2and
      wb ) AFEBDGUAUBUCUDZFEBDGUEUBUCUDZFEGUFUBUDZABCDEFGHIJKLMNOPQRSUGABCDEFGH
      IJKLMNOPQRSTUHABKUIZDKUIZUJZFUKULZUIZEVLUIZUJVFVGVHUJVEAVICKUIZVJUMVKNVIV
      OVJUNUOVMVNFIJUPVLMIJUQUREBCDUSVLLBCDUTURVABDEVLFGKVLQVBVCVD $.
  $}

  ${
    $d A f i j p $.  $d B f i j p $.  $d C f i j p $.  $d G f i j p $.
    $d V i j $.
    2pthon3v.v $e |- V = ( Vtx ` G ) $.
    2pthon3v.e $e |- E = ( Edg ` G ) $.
    $( For a vertex adjacent to two other vertices there is a simple path of
       length 2 between these other vertices in a hypergraph.  (Contributed by
       Alexander van der Vekens, 4-Dec-2017.)  (Revised by AV, 24-Jan-2021.) $)
    2pthon3v $p |- ( ( ( G e. UHGraph /\ ( A e. V /\ B e. V /\ C e. V ) )
                          /\ ( A =/= B /\ A =/= C /\ B =/= C )
                          /\ ( { A , B } e. E /\ { B , C } e. E ) )
            -> E. f E. p ( f ( A ( SPathsOn ` G ) C ) p /\ ( # ` f ) = 2 ) ) $=
      ( vi vj wcel wa cfv wceq wb adantr wi com12 cuhgr w3a wne cpr cv cspthson
      co wbr chash c2 wex ciedg cdm wrex crn edgval eqtri eleq2i wfn cpw c0 csn
      cedg cdif eqid ffnd fvelrnb syl syl5bb anbi12d reeanv bitr4di cs2 cvv cs3
      uhgrf cs1 cconcat df-s2 ovexi df-s3 pm3.2i simp-4r 3simpb eqimss2 anim12i
      ad3antlr wss adantl fveqeq2 anbi1d eqtr2 3simpa preq12bg syl2anc eqneqall
      wo 3simpc 3ad2ant1 3ad2ant2 jaoi syl6bi imp 2a1 pm2.61ine simplr2 2pthond
      com23 s2len jctir breq12 spc2egv mpsyl ex rexlimdvva sylbid 3impia ) FUAM
      ZAGMZBGMZCGMZUBZNZABUCZACUCZBCUCZUBZABUDZEMZBCUDZEMZNZDUEZHUEZACFUFOUGZUH
      ZYMUIOUJPZNZHUKDUKZYCYGNZYLKUEZFULOZOZYHPZLUEZUUBOZYJPZNZLUUBUMZUNKUUIUNZ
      YSYTYLUUDKUUIUNZUUGLUUIUNZNZUUJYCYLUUMQZYGXRUUNYBXRYIUUKYKUULYIYHUUBUOZMZ
      XRUUKEUUOYHEFVCOUUOJFUPUQZURXRUUBUUIUSZUUPUUKQXRUUIGUTVAVBVDUUBUUBFGIUUBV
      EZVPVFZKUUIYHUUBVGVHVIYKYJUUOMZXRUULEUUOYJUUQURXRUURUVAUULQUUTLUUIYJUUBVG
      VHVIVJRRUUDUUGKLUUIUUIVKVLYTUUHYSKLUUIUUIYTUUAUUIMUUEUUIMNZNZUUHYSUUAUUEV
      MZVNMZABCVOZVNMZNUVCUUHNZUVDUVFYOUHZUVDUIOUJPZNZYSUVEUVGUVDUUAVQUUEVQVRUU
      AUUEVSVTUVFABVMCVQVRABCWAVTWBUVHUVIUVJUVHABCUVFUVDFUUBUUAUUEGUVFVEUVDVEXR
      YBYGUVBUUHWCYGYDYFNYCUVBUUHYDYEYFWDWGUUHYHUUCWHZYJUUFWHZNUVCUUDUVLUUGUVMY
      HUUCWEYJUUFWEWFWIIUUSUVCUUHUUAUUEUCZYTUUHUVNSZUVBYTUVOSUUAUUEUUAUUEPZUUHY
      TUVNUVPUUHUUFYHPZUUGNZYTUVNSZUVPUUDUVQUUGUUAUUEYHUUBWJWKUVRYHYJPZUVSUUFYH
      YJWLYTUVTUVNYCYGUVTUVNSZYBYGUWASXRYBUVTYGUVNYBUVTABPZBCPZNZACPZBBPZNZWQZY
      GUVNSZYBXSXTNXTYANUVTUWHQXSXTYAWMXSXTYAWRABBCGGGGWNWOUWDUWIUWGUWBUWIUWCYG
      UWBUVNYDYEUWBUVNSYFUWBYDUVNUVNABWPTWSTRUWEUWIUWFYGUWEUVNYEYDUWEUVNSYFUWEY
      EUVNUVNACWPTWTTRXAXBXHWIXCTVHXBXHUVNYTUUHXDXERXCUVCYEUUHYDYEYFYCUVBXFRXGU
      UAUUEXIXJYRUVKDHUVDUVFVNVNYMUVDPZYNUVFPZNYPUVIYQUVJYMUVDYNUVFYOXKUWJYQUVJ
      QUWKYMUVDUJUIWJRVJXLXMXNXOXPXQ $.
  $}

  ${
    umgr2adedgwlk.e $e |- E = ( Edg ` G ) $.
    $( Lemma for ~ umgr2adedgwlk , ~ umgr2adedgspth , etc.  (Contributed by
       Alexander van der Vekens, 1-Feb-2018.)  (Revised by AV, 29-Jan-2021.) $)
    umgr2adedgwlklem $p |- ( ( G e. UMGraph /\ { A , B } e. E
                                            /\ { B , C } e. E )
                       -> ( ( A =/= B /\ B =/= C )
                            /\ ( A e. ( Vtx ` G ) /\ B e. ( Vtx ` G )
                                                   /\ C e. ( Vtx ` G ) ) ) ) $=
      ( cumgr wcel cpr w3a wne wa cvtx cfv umgredgne anim12d umgrpredgv 3adant2
      ex simpld 3impib eqid 3adant3 simprd 3jca jca ) EGHZABIDHZBCIDHZJZABKZBCK
      ZLZAEMNZHZBUNHZCUNHZJUGUHUIUMUGUHUKUIULUGUHUKDEABFOSUGUIULDEBCFOSPUAUJUOU
      PUQUGUHUOUIUGUHLUOUPDEABUNUNUBZFQTUCUGUIUPUHUGUILZUPUQDEBCUNURFQZTRUGUIUQ
      UHUSUPUQUTUDRUEUF $.

    umgr2adedgwlk.i $e |- I = ( iEdg ` G ) $.
    umgr2adedgwlk.f $e |- F = <" J K "> $.
    umgr2adedgwlk.p $e |- P = <" A B C "> $.
    umgr2adedgwlk.g $e |- ( ph -> G e. UMGraph ) $.
    umgr2adedgwlk.a $e |- ( ph -> ( { A , B } e. E /\ { B , C } e. E ) ) $.
    umgr2adedgwlk.j $e |- ( ph -> ( I ` J ) = { A , B } ) $.
    umgr2adedgwlk.k $e |- ( ph -> ( I ` K ) = { B , C } ) $.
    $( In a multigraph, two adjacent edges form a walk of length 2.
       (Contributed by Alexander van der Vekens, 18-Feb-2018.)  (Revised by AV,
       29-Jan-2021.) $)
    umgr2adedgwlk $p |- ( ph -> ( F ( Walks ` G ) P /\ ( # ` F ) = 2
                  /\ ( A = ( P ` 0 ) /\ B = ( P ` 1 ) /\ C = ( P ` 2 ) ) ) ) $=
      ( cfv cwlks wbr chash c2 wceq cc0 c1 w3a cvtx wne wcel cumgr cpr sylanbrc
      wa 3anass umgr2adedgwlklem syl simprd simpld wss ssid sseqtrrid jca 2wlkd
      eqid cs2 fveq2i s2len eqtri a1i s3fv0 s3fv1 s3fv2 3anim123i fveq1i eqeq2i
      cs3 eqcom bitri 3anbi123i sylibr 3jca ) AGEHUATUBGUCTZUDUEZBUFETZUEZCUGET
      ZUEZDUDETZUEZUHZABCDEGHIJKHUITZONABCUJCDUJUOZBWMUKZCWMUKZDWMUKZUHZAHULUKZ
      BCUMZFUKZCDUMZFUKZUHZWNWRUOAWSXAXCUOXDPQWSXAXCUPUNBCDFHLUQURZUSZAWNWRXEUT
      AWTJITZVAXBKITZVAAWTWTXGWTVBRVCAXBXBXHXBVBSVCVDWMVFMVEWEAWDJKVGZUCTUDGXIU
      CNVHJKVIVJVKAUFBCDVRZTZBUEZUGXJTZCUEZUDXJTZDUEZUHZWLAWRXQXFWOXLWPXNWQXPBC
      DWMVLBCDWMVMBCDWMVNVOURWGXLWIXNWKXPWGBXKUEXLWFXKBUFEXJOVPVQBXKVSVTWICXMUE
      XNWHXMCUGEXJOVPVQCXMVSVTWKDXOUEXPWJXODUDEXJOVPVQDXOVSVTWAWBWC $.

    $( In a multigraph, two adjacent edges form a walk between two vertices.
       (Contributed by Alexander van der Vekens, 18-Feb-2018.)  (Revised by AV,
       30-Jan-2021.) $)
    umgr2adedgwlkon $p |- ( ph -> F ( A ( WalksOn ` G ) C ) P ) $=
      ( wcel cvtx cfv wne wa w3a cumgr cpr 3anass sylanbrc umgr2adedgwlklem syl
      simprd simpld wss ssid sseqtrrid jca eqid 2wlkond ) ABCDEGHIJKHUAUBZONABC
      UCCDUCUDZBUTTCUTTDUTTUEZAHUFTZBCUGZFTZCDUGZFTZUEZVAVBUDAVCVEVGUDVHPQVCVEV
      GUHUIBCDFHLUJUKZULAVAVBVIUMAVDJIUBZUNVFKIUBZUNAVDVDVJVDUORUPAVFVFVKVFUOSU
      PUQUTURMUS $.

    $( Alternate proof for ~ umgr2adedgwlkon , using ~ umgr2adedgwlk , but with
       a much longer proof!  In a multigraph, two adjacent edges form a walk
       between two (different) vertices.  (Contributed by Alexander van der
       Vekens, 18-Feb-2018.)  (Revised by AV, 30-Jan-2021.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    umgr2adedgwlkonALT $p |- ( ph -> F ( A ( WalksOn ` G ) C ) P ) $=
      ( cfv cwlkson co wbr cwlks cc0 chash w3a c2 c1 umgr2adedgwlk simp1 eqcoms
      wceq id 3ad2ant1 3ad2ant3 wi fveq2 eqeq1d biimpcd com12 a1i 3imp 3jca syl
      cumgr wcel cvtx cvv cword cpr wne 3anass sylanbrc umgr2adedgwlklem 3simpb
      wa wb adantl 3syl cs2 s2cli eqeltri cs3 s3cli pm3.2i 3adant1 eqid iswlkon
      anim1i sylancl mpbird ) AGEBDHUATUBUCZGEHUDTUCZUEETZBUMZGUFTZETZDUMZUGZAW
      NWQUHUMZBWOUMZCUIETUMZDUHETZUMZUGZUGZWTABCDEFGHIJKLMNOPQRSUJXGWNWPWSWNXAX
      FUKXFWNWPXAXBXCWPXEWPWOBWPUNULUOUPWNXAXFWSXAXFWSUQUQWNXFXAWSXEXBXAWSUQZXC
      XHXDDXAXDDUMWSXAXDWRDXDWRUMUHWQUHWQEURULUSUTULUPVAVBVCVDVEAHVFVGZBHVHTZVG
      ZDXJVGZUGZGVIVJZVGZEXNVGZVQZWMWTVRZAXIXKXLVQZXMPAXIBCVKFVGZCDVKFVGZUGZBCV
      LCDVLVQZXKCXJVGZXLUGZVQXSAXIXTYAVQYBPQXIXTYAVMVNBCDFHLVOYEXSYCXKYDXLVPVSV
      TXIXKXLVMVNXOXPGJKWAXNNJKWBWCEBCDWDXNOBCDWEWCWFXMXQVQXSXQVQXRXMXSXQXKXLXS
      XIXSUNWGWJBDEXNGHXJXNXJWHWIVEWKWL $.

    umgr2adedgspth.n $e |- ( ph -> A =/= C ) $.
    $( In a multigraph, two adjacent edges with different endvertices form a
       simple path of length 2.  (Contributed by Alexander van der Vekens,
       1-Feb-2018.)  (Revised by AV, 29-Jan-2021.) $)
    umgr2adedgspth $p |- ( ph -> F ( SPaths ` G ) P ) $=
      ( cvtx cfv wne wa wcel w3a cumgr cpr 3anass sylanbrc umgr2adedgwlklem syl
      simprd simpld wss ssid sseqtrrid jca eqid wi fveq2 eqcoms eqeq1d eqtr2 ex
      syl6bi com13 eqcom prcom eqeq2i bitri umgrpredgv anim12d preqr1g eqneqall
      wceq sylc syl6ci syl5bi syld neqne pm2.61d1 2spthd ) ABCDEGHIJKHUAUBZONAB
      CUCCDUCUDZBWDUEZCWDUEZDWDUEZUFZAHUGUEZBCUHZFUEZCDUHZFUEZUFZWEWIUDAWJWLWNU
      DZWOPQWJWLWNUIUJBCDFHLUKULZUMAWEWIWQUNAWKJIUBZUOWMKIUBZUOAWKWKWRWKUPRUQAW
      MWMWSWMUPSUQURWDUSZMAJKVPZJKUCZAXAWMWKVPZXBAWRWKVPZWSWMVPZXAXCUTRSXAXEXDX
      CXAXEWRWMVPZXDXCUTXAWSWRWMWSWRVPKJKJIVAVBVCXFXDXCWRWMWKVDVEVFVGVQXCWKDCUH
      ZVPZAXBXCWKWMVPXHWMWKVHWMXGWKCDVIVJVKAXHBDVPZBDUCXBAWFWHUDZXHXIUTAWJWPXJP
      QWJWLWFWNWHWJWLWFWJWLUDWFWGFHBCWDWTLVLUNVEWJWNWHWJWNUDWGWHFHCDWDWTLVLUMVE
      VMVQBDCWDWDVNULTXBBDVOVRVSVTJKWAWBTWC $.
  $}

  ${
    $d A f i j p $.  $d B f i j p $.  $d C f i j p $.  $d E i j $.
    $d G f i j p $.
    umgr2wlk.e $e |- E = ( Edg ` G ) $.
    $( In a multigraph, there is a walk of length 2 for each pair of adjacent
       edges.  (Contributed by Alexander van der Vekens, 18-Feb-2018.)
       (Revised by AV, 30-Jan-2021.) $)
    umgr2wlk $p |- ( ( G e. UMGraph /\ { A , B } e. E /\ { B , C } e. E )
                    -> E. f E. p ( f ( Walks ` G ) p /\ ( # ` f ) = 2
                  /\ ( A = ( p ` 0 ) /\ B = ( p ` 1 ) /\ C = ( p ` 2 ) ) ) ) $=
      ( vi vj wcel w3a cv cfv wceq chash c2 wi wb wa cumgr cpr ciedg wrex cwlks
      cdm wbr cc0 c1 cuhgr umgruhgr cedg eleq2i eqid uhgredgiedgb syl5bb biimpd
      wex syl a1d 3imp a1dd cs2 cvv cword cs3 s2cli pm3.2i simpl1 3simpc adantr
      s3cli simpl eqcomd adantl simpr umgr2adedgwlk breq12 fveqeq2 fveq1 eqeq2d
      3anbi123d spc2egv mpsyl exp32 com12 rexlimivw com13 mp2d ) FUAKZABUBZEKZB
      CUBZEKZLZWMIMZFUCNZNZOZIWQUFZUDZWKJMZWQNZOZJWTUDZDMZGMZFUENZUGZXFPNQOZAUH
      XGNZOZBUIXGNZOZCQXGNZOZLZLZGURDURZWJWLWNXAWJWNXARWLWJWNXAWJFUJKZWNXASFUKZ
      WNWMFULNZKXTXAEYBWMHUMIWMFWQWQUNZUOUPUSUQUTVAWJWLWNXEWJWLXEWNWJWLXEWJXTWL
      XESYAWLWKYBKXTXEEYBWKHUMJWKFWQYCUOUPUSUQVBVAXAWOXEXSRZWSWOYDRIWTXEWOWSXSX
      DWOWSXSRZRJWTWOXDYEWOXDWSXSXBWPVCZVDVEZKZABCVFZYGKZTWOXDWSTZTZYFYIXHUGZYF
      PNQOZAUHYINZOZBUIYINZOZCQYINZOZLZLZXSYHYJXBWPVGABCVLVHYLABCYIEYFFWQXBWPHY
      CYFUNYIUNWJWLWNYKVIWOWLWNTYKWJWLWNVJVKYKXCWKOWOYKWKXCXDWSVMVNVOYKWRWMOWOY
      KWMWRXDWSVPVNVOVQXRUUBDGYFYIYGYGXFYFOZXGYIOZTXIYMXJYNXQUUAXFYFXGYIXHVRUUC
      XJYNSUUDXFYFQPVSVKUUDXQUUASUUCUUDXLYPXNYRXPYTUUDXKYOAUHXGYIVTWAUUDXMYQBUI
      XGYIVTWAUUDXOYSCQXGYIVTWAWBVOWBWCWDWEWFWGWHWGWFWI $.

    $d E f p $.
    $( For each pair of adjacent edges in a multigraph, there is a walk of
       length 2 between the not common vertices of the edges.  (Contributed by
       Alexander van der Vekens, 18-Feb-2018.)  (Revised by AV,
       30-Jan-2021.) $)
    umgr2wlkon $p |- ( ( G e. UMGraph /\ { A , B } e. E /\ { B , C } e. E )
                       -> E. f E. p f ( A ( WalksOn ` G ) C ) p ) $=
      ( wcel cpr w3a cv cfv wbr c2 wceq wex wa wi cvv cumgr cwlks chash cwlkson
      cc0 c1 umgr2wlk simp1 eqcom biimpi 3ad2ant1 3ad2ant3 fveq2 eqcoms biimpcd
      co eqeq1d com12 a1i 3imp 3jca adantl cvtx wb wne umgr2adedgwlklem simprr1
      simprr3 jca mpdan vex pm3.2i eqid iswlkon syl2an2r mpbird ex 2eximdv mpd
      ) FUAIABJEIBCJEIKZDLZGLZFUBMNZWAUCMZOPZAUEWBMZPZBUFWBMPZCOWBMZPZKZKZGQDQW
      AWBACFUDMUPNZGQDQABCDEFGHUGVTWLWMDGVTWLWMVTWLRZWMWCWFAPZWDWBMZCPZKZWLWRVT
      WLWCWOWQWCWEWKUHWKWCWOWEWGWHWOWJWGWOAWFUIUJUKULWCWEWKWQWEWKWQSSWCWKWEWQWJ
      WGWEWQSZWHWSWICWEWICPWQWEWIWPCWIWPPOWDOWDWBUMUNUQUOUNULURUSUTVAVBVTAFVCMZ
      IZCWTIZRZWLWATIZWBTIZRZWMWRVDVTABVEBCVERZXABWTIZXBKRZXCABCEFHVFVTXIRXAXBX
      AXHXBXGVTVGXAXHXBXGVTVHVIVJXFWNXDXEDVKGVKVLUSACWBTWAFWTTWTVMVNVOVPVQVRVS
      $.
  $}

  ${
    $d V a b c $.  $d W a b c $.
    elwwlks2s3.v $e |- V = ( Vtx ` G ) $.
    $( A walk of length 2 as word is a length 3 string.  (Contributed by AV,
       18-May-2021.) $)
    elwwlks2s3 $p |- ( W e. ( 2 WWalksN G )
                       -> E. a e. V E. b e. V E. c e. V W = <" a b c "> ) $=
      ( c2 cwwlksn co wcel cn0 cvtx cfv cword wceq cv wrex c3 wa chash c1 caddc
      w3a cs3 wwlknbp1 wrdeqi eleq2i df-3 eqeq2i anbi12i wrdl3s3 sylbb1 3adant1
      syl ) CHAIJKHLKZCAMNZOZKZCUANZHUBUCJZPZUDCDQEQFQUEPFBREBRDBRZAHCUFUSVBVCU
      PCBOZKZUTSPZTUSVBTVCVEUSVFVBVDURCBUQGUGUHSVAUTUIUJUKBCDEFULUMUNUO $.

    $( There is a vertex between the endpoints of a walk of length 2 between
       two vertices as length 3 string.  (Contributed by AV, 10-Jan-2022.) $)
    midwwlks2s3 $p |- ( W e. ( 2 WWalksN G ) -> E. b e. V ( W ` 1 ) = b ) $=
      ( va vc c2 cwwlksn co wcel cv cs3 wceq wrex c1 cfv elwwlks2s3 wa wi fveq1
      s3fv1 sylan9eqr ex adantl rexlimdvw reximdva rexlimiv syl ) CHAIJKCFLZDLZ
      GLZMZNZGBOZDBOZFBOPCQZUKNZDBOZABCFDGERUPUSFBUJBKZUOURDBUTUKBKZSUNURGBVAUN
      URTUTVAUNURUNVAUQPUMQUKPCUMUAUJUKULBUBUCUDUEUFUGUHUI $.
  $}

  ${
    wwlks2onv.v $e |- V = ( Vtx ` G ) $.
    $( If a length 3 string represents a walk of length 2, its components are
       vertices.  (Contributed by Alexander van der Vekens, 19-Feb-2018.)
       (Proof shortened by AV, 14-Mar-2022.) $)
    wwlks2onv $p |- ( ( B e. U /\ <" A B C "> e. ( A ( 2 WWalksNOn G ) C ) )
                      -> ( A e. V /\ B e. V /\ C e. V ) ) $=
      ( wcel c2 co wa w3a adantl cc0 cfv wceq cword c1 cfzo c3 cwwlksnon simprl
      cs3 wwlksonvtx cwwlksn wwlknon cn0 cvtx chash caddc wwlknbp1 s3fv1 eqcomd
      wi eqcomi wrdeqi eleq2i biimpi ctp 1ex tpid2 s3len oveq2i fzo0to3tp eqtri
      eleqtrri wrdsymbcl sylancl adantr eqeltrd ex 3ad2ant2 syl 3ad2ant1 impcom
      sylbi simprr 3jca mpdan ) BDHZABCUCZACIEUAJJHZKZAFHZCFHZKZWDBFHZWELWBWFVT
      ACEIFWAGUDMWCWFKWDWGWEWCWDWEUBWCWGWFWBVTWGWBWAIEUEJHZNWAOAPZIWAOCPZLVTWGU
      NZACEIWAUFWHWIWKWJWHIUGHZWAEUHOZQZHZWAUIOZIRUJJPZLWKEIWAUKWOWLWKWQWOVTWGW
      OVTKBRWAOZFVTBWRPWOVTWRBABCDULUMMWOWRFHZVTWOWAFQZHZRNWPSJZHWSWOXAWNWTWAWM
      FFWMGUOUPUQURRNRIUSZXBNRIUTVAXBNTSJXCWPTNSABCVBVCVDVEVFRFWAVGVHVIVJVKVLVM
      VNVPVOVIWCWDWEVQVRVS $.

    $( A walk as word of length 2 between two vertices is a length 3 string and
       its second symbol is a vertex.  (Contributed by AV, 14-Mar-2022.) $)
    elwwlks2ons3im $p |- ( W e. ( A ( 2 WWalksNOn G ) C )
                         -> ( W = <" A ( W ` 1 ) C "> /\ ( W ` 1 ) e. V ) ) $=
      ( c2 co wcel wa c1 cfv wceq cc0 w3a wi cword c3 cfzo adantr cwwlksnon cs3
      wwlksonvtx cwwlksn wwlknon cn0 cvtx chash caddc wwlknbp1 2p1e3 eqeq2i ctp
      tpid2 fzo0to3tp eleqtrri oveq2 eleqtrrid wrdsymbcl 3ad2ant1 simpl1r simpl
      1ex sylan2 eqidd 3jca 3ad2ant2 eqcomi wrdeqi eleq2i biimpi simpl3l adantl
      simpr wb simpl3r eqwrds3 syl13anc mpbir2and jca mpdan sylan2b 3adant1 syl
      3exp 3impib sylbi mpd ) EABGCUAHHIZADIZBDIZJZEAKELZBUBMZWMDIZJZABCGDEFUCW
      IEGCUDHIZNELAMZGELBMZOWLWPPZABCGEUEWQWRWSWTWQGUFIZECUGLZQZIZEUHLZGKUIHZMZ
      OWRWSJZWTPZCGEUJXDXGXIXAXGXDXERMZXIXFRXEUKULXDXJJZXHWLWPXKXHWLOZWMXBIZWPX
      KXHXMWLXJXDKNXESHZIXMXJKNRSHZXNKNKGUMXONKGVCUNUOUPXERNSUQURKXBEUSVDUTXLXM
      JZWNWOXPWNXJWRWMWMMZWSOZXDXJXHWLXMVAXLXRXMXHXKXRWLXHWRXQWSWRWSVBXHWMVEWRW
      SVNVFVGTXPEDQZIZWJWOWKWNXJXRJVOXLXTXMXKXHXTWLXDXTXJXDXTXCXSEXBDDXBFVHZVIV
      JVKTUTTWJWKXKXHXMVLXMWOXLXMWOXBDWMYAVJVKVMZWJWKXKXHXMVPAWMBDEVQVRVSYBVTWA
      WEWBWCWDWFWGWH $.

    $d A b $.  $d C b $.  $d G b $.  $d V b $.  $d W b $.
    $( For each walk of length 2 between two vertices, there is a third vertex
       in the middle of the walk.  (Contributed by Alexander van der Vekens,
       15-Feb-2018.)  (Revised by AV, 12-May-2021.)  (Revised by AV,
       14-Mar-2022.) $)
    elwwlks2ons3 $p |- ( W e. ( A ( 2 WWalksNOn G ) C )
             <-> E. b e. V ( W = <" A b C ">
                             /\ <" A b C "> e. ( A ( 2 WWalksNOn G ) C ) ) ) $=
      ( c2 cwwlksnon co wcel cv cs3 wceq wa wrex simpr wb eleq1 syl c1 id anass
      cfv elwwlks2ons3im sylanbrc s3eq2 eqeq2 anbi12d adantl biimpac jca adantr
      rspcedvd eqcoms biimpa rexlimivw impbii ) EABHCIJJZKZEAFLZBMZNZVBUSKZOZFD
      PZUTUTEAUAEUDZBMZNZOZVGDKZOZVFUTUTVIVKOVLUTUBABCDEGUEUTVIVKUCUFVLVEVIVHUS
      KZOZFVGDVJVKQVAVGNZVEVNRZVLVOVBVHNZVPAVABVGUGVQVCVIVDVMVBVHEUHVBVHUSSUITU
      JVJVNVKVJVIVMUTVIQVIUTVMEVHUSSUKULUMUNTVEUTFDVCVDUTVDUTRVBEVBEUSSUOUPUQUR
      $.
  $}

  ${
    $d A f $.  $d B f $.  $d C f $.  $d G f $.
    s3wwlks2on.v $e |- V = ( Vtx ` G ) $.
    $( A length 3 string which represents a walk of length 2 between two
       vertices.  (Contributed by Alexander van der Vekens, 15-Feb-2018.)
       (Revised by AV, 12-May-2021.) $)
    s3wwlks2on $p |- ( ( G e. UPGraph /\ A e. V /\ C e. V )
                       -> ( <" A B C "> e. ( A ( 2 WWalksNOn G ) C )
              <-> E. f ( f ( Walks ` G ) <" A B C "> /\ ( # ` f ) = 2 ) ) ) $=
      ( cupgr wcel w3a cs3 c2 cwwlksnon co cwwlksn cc0 cfv wceq wa wb cwlks wbr
      chash wex wwlknon a1i 3anass s3fv0 s3fv2 anim12i 3adant1 biantrud bitr4id
      cv wlklnwwlknupgr bicomd 3ad2ant1 3bitrd ) EHIZAFIZCFIZJZABCKZACLEMNNIZVC
      LEONIZPVCQARZLVCQCRZJZVEDUNZVCEUAQUBVIUCQLRSDUDZVDVHTVBACELVCUEUFVBVHVEVF
      VGSZSVEVEVFVGUGVBVKVEUTVAVKUSUTVFVAVGABCFUHABCFUIUJUKULUMUSUTVEVJTVAUSVJV
      EVCDELUOUPUQUR $.

    $d A p $.  $d B p $.  $d C p $.  $d E f $.  $d G p $.  $d V f p $.
    usgrwwlks2on.e $e |- E = ( Edg ` G ) $.
    $( A walk of length 2 between two vertices as word in a multigraph.  This
       theorem would also hold for pseudographs, but to prove this the cases
       ` A = B ` and/or ` B = C ` must be considered separately.  (Contributed
       by Alexander van der Vekens, 18-Feb-2018.)  (Revised by AV,
       12-May-2021.) $)
    umgrwwlks2on $p |- ( ( G e. UMGraph /\ ( A e. V /\ B e. V /\ C e. V ) )
                         -> ( <" A B C "> e. ( A ( 2 WWalksNOn G ) C )
                              <-> ( { A , B } e. E /\ { B , C } e. E ) ) ) $=
      ( wcel w3a wa c2 co cfv wceq wb adantl cc0 c1 wi vf vp cumgr cwwlksnon cv
      cs3 cwlks wbr chash wex cpr cupgr umgrupgr adantr simp1 simpr3 s3wwlks2on
      syl3anc cfzo ciedg cdm wf cfz eqid upgr2wlk s3fv0 3ad2ant1 s3fv1 3ad2ant2
      syl preq12d eqeq2d s3fv2 3ad2ant3 anbi12d 3anbi3d crn cuhgr wfun umgruhgr
      uhgrfun fdmrn simpr id c0ex prid1 fzo0to2pr eleqtrri a1i ffvelrnd 1ex jca
      prid2 com12 sylbi 3syl imp eqcom biimpi cedg edgval eleq12d mpbird sylbid
      ex eqtri exlimdv umgr2wlk c3 caddc wlklenvp1 oveq1 2p1e3 eqtrdi 3anbi123i
      sylan9eq cword wlkpwrd oveq2 fzo0to3tp tpid1 eleq2 mpbiri wrdsymbcl tpid2
      ctp sylan2 2ex tpid3 3jca 3adant3 3anbi123d 3exp impancom syl2anc eqwrds3
      eleq1 impd breq2d biimpd pm2.43a 3impib simpr2 eximdv 3expib com23 impbid
      syl5com bitrd ) EUCIZAFIZBFIZCFIZJZKZABCUFZACLEUDMMIZUAUEZUUPEUGNZUHZUURU
      INZLOZKZUAUJZABUKZDIZBCUKZDIZKZUUOEULIZUUKUUMUUQUVDPUUJUVJUUNEUMZUNUUNUUK
      UUJUUKUULUUMUOQUUJUUKUULUUMUPABCUAEFGUQURUUOUVDUVIUUOUVCUVIUAUUOUVCRLUSMZ
      EUTNZVAZUURVBZRLVCMFUUPVBZRUURNZUVMNZRUUPNZSUUPNZUKZOZSUURNZUVMNZUVTLUUPN
      ZUKZOZKZJZUVIUUJUVCUWIPZUUNUUJUVJUWJUVKUUPUUREUVMFGUVMVDZVEVJUNUUOUWIUVOU
      VPUVRUVEOZUWDUVGOZKZJZUVIUUOUWHUWNUVOUVPUUNUWHUWNPUUJUUNUWBUWLUWGUWMUUNUW
      AUVEUVRUUNUVSAUVTBUUKUULUVSAOUUMABCFVFVGUULUUKUVTBOUUMABCFVHVIZVKVLUUNUWF
      UVGUWDUUNUVTBUWECUWPUUMUUKUWECOUULABCFVMVNVKVLVOQVPUUJUWOUVITUUNUUJUWOUVI
      UUJUWOKZUVIUVRUVMVQZIZUWDUWRIZKZUUJUWOUXAUUJEVRIUVMVSZUWOUXATZEVTUVMEUWKW
      AUXBUVNUWRUVMVBZUXCUVMWBUWOUXDUXAUVOUVPUXDUXATUWNUVOUXDUXAUVOUXDKZUWSUWTU
      XEUVNUWRUVQUVMUVOUXDWCZUVOUVQUVNIUXDUVOUVLUVNRUURUVOWDZRUVLIUVORRSUKZUVLR
      SWEWFWGWHWIWJUNWJUXEUVNUWRUWCUVMUXFUVOUWCUVNIUXDUVOUVLUVNSUURUXGSUVLIUVOS
      UXHUVLRSWKWMWGWHWIWJUNWJWLXEVGWNWOWPWQUWQUVFUWSUVHUWTUWQUVEUVRDUWRUWOUVEU
      VROZUUJUWNUVOUXIUVPUWLUXIUWMUWLUXIUVRUVEWRWSUNVNQDUWROUWQDEWTNUWRHEXAXFWI
      ZXBUWQUVGUWDDUWRUWOUVGUWDOZUUJUWNUVOUXKUVPUWMUXKUWLUWMUXKUWDUVGWRWSQVNQUX
      JXBVOXCXEUNXDXDXGUUJUUNUVIUVDTUUJUVIUUNUVDUUJUVFUVHUUNUVDTUUJUVFUVHJUURUB
      UEZUUSUHZUVBARUXLNZOZBSUXLNZOZCLUXLNZOZJZJZUBUJZUAUJUUNUVDABCUADEUBHXHUUN
      UYBUVCUAUUNUYAUVCUBUUNUYAUVCUUNUYAKUUTUVBUYAUUTUUNUXMUVBUXTUUTUVBUXTKZUXM
      UUTUXMUYCUXMUUTTUXMUYCKZUXMUUTUYDUXLUUPUURUUSUYDUXLUUPOZUXLUINZXIOZUXNAOZ
      UXPBOZUXRCOZJZKZUYDUYGUYKUXMUYCUYFUVASXJMZXIUXLUUREXKZUVBUYMXIOUXTUVBUYML
      SXJMXIUVALSXJXLXMXNZUNXPUYCUYKUXMUXTUYKUVBUXTUYKUXOUYHUXQUYIUXSUYJAUXNWRB
      UXPWRCUXRWRXOWSQQWLUYDUXLFXQIZUUNKZUYEUYLPUXMUYCUYQUXMUYPUYFUYMOZUYCUYQTU
      XLUUREFGXRUYNUYPUYRKUVBUXTUYQUYPUVBUYRUXTUYQTZUYPUVBKUYRUYGUYSUVBUYRUYGPU
      YPUVBUYMXIUYFUYOVLQUYPUYGUYSTUVBUYPUYGUXTUYQUYPUYGUXTJZUYPUUNUYPUYGUXTUOU
      YTUUNUXNFIZUXPFIZUXRFIZJZUYPUYGVUDUXTUYGUYPRUYFUSMZRSLYFZOZVUDUYGVUERXIUS
      MVUFUYFXIRUSXSXTXNUYPVUGKVUAVUBVUCVUGUYPRVUEIZVUAVUGVUHRVUFIRSLWEYAVUEVUF
      RYBYCRFUXLYDYGVUGUYPSVUEIZVUBVUGVUISVUFIRSLWKYEVUEVUFSYBYCSFUXLYDYGVUGUYP
      LVUEIZVUCVUGVUJLVUFIRSLYHYIVUEVUFLYBYCLFUXLYDYGYJYGYKUXTUYPUUNVUDPUYGUXTU
      UKVUAUULVUBUUMVUCUXOUXQUUKVUAPUXSAUXNFYQVGUXQUXOUULVUBPUXSBUXPFYQVIUXSUXO
      UUMVUCPUXQCUXRFYQVNYLVNXCWLYMUNXDYNYRYOWQABCFUXLYPVJXCYSYTXEUUAUUBQUUNUXM
      UVBUXTUUCWLXEXGUUDUUHUUEUUFWQUUGUUI $.
  $}

  ${
    elwwlks2on.v $e |- V = ( Vtx ` G ) $.
    $( There is a walk of length 2 from one vertex to another vertex iff there
       is a walk of length 2 from the other vertex to the first vertex.
       (Contributed by AV, 7-Jan-2022.) $)
    wwlks2onsym $p |- ( ( G e. UMGraph /\ ( A e. V /\ B e. V /\ C e. V ) )
                       -> ( <" A B C "> e. ( A ( 2 WWalksNOn G ) C )
                            <-> <" C B A "> e. ( C ( 2 WWalksNOn G ) A ) ) ) $=
      ( cumgr wcel w3a wa cs3 c2 cwwlksnon co cpr cfv umgrwwlks2on prcom eleq1i
      cedg eqid wb 3anrev sylan2b anbi12ci bitr2di bitrd ) DGHZAEHZBEHZCEHZIZJZ
      ABCKACLDMNZNHABOZDTPZHZBCOZUPHZJZCBAKCAUNNHZABCUPDEFUPUAZQUMVACBOZUPHZBAO
      ZUPHZJZUTULUHUKUJUIIVAVGUBUIUJUKUCCBAUPDEFVBQUDVDUSVFUQVCURUPCBRSVEUOUPBA
      RSUEUFUG $.

    $d A b f $.  $d C b f $.  $d G b f $.  $d V b $.  $d W b f $.
    $( A walk of length 2 between two vertices as length 3 string.
       (Contributed by Alexander van der Vekens, 15-Feb-2018.)  (Revised by AV,
       12-May-2021.) $)
    elwwlks2on $p |- ( ( G e. UPGraph /\ A e. V /\ C e. V )
            -> ( W e. ( A ( 2 WWalksNOn G ) C ) <-> E. b e. V ( W = <" A b C ">
                       /\ E. f ( f ( Walks ` G ) W /\ ( # ` f ) = 2 ) ) ) ) $=
      ( c2 cwwlksnon co wcel cv cs3 wceq wa wrex cfv wbr wex cupgr elwwlks2ons3
      w3a cwlks chash s3wwlks2on wb breq2 eqcoms anbi1d exbidv sylan9bb rexbidv
      pm5.32da syl5bb ) FABIDJKKZLFAGMZBNZOZURUPLZPZGEQDUALAELBELUCZUSCMZFDUDRZ
      SZVCUERIOZPZCTZPZGEQABDEFGHUBVBVAVIGEVBUSUTVHVBUTVCURVDSZVFPZCTUSVHAUQBCD
      EHUFUSVKVGCUSVJVEVFVJVEUGURFURFVCVDUHUIUJUKULUNUMUO $.

    $d V f $.
    $( A simple path of length 2 between two vertices (in a graph) as length 3
       string.  (Contributed by Alexander van der Vekens, 9-Mar-2018.)
       (Revised by AV, 12-May-2021.)  (Proof shortened by AV, 16-Mar-2022.) $)
    elwspths2on $p |- ( ( G e. UPGraph /\ A e. V /\ C e. V )
           -> ( W e. ( A ( 2 WSPathsNOn G ) C ) <-> E. b e. V ( W = <" A b C ">
                          /\ <" A b C "> e. ( A ( 2 WSPathsNOn G ) C ) ) ) ) $=
      ( vf cupgr wcel c2 co cv wceq wa wrex cfv wbr wex wi cwwspthsnon cspthson
      w3a cs3 cwwlksnon wspthnon biimpi cwlks chash elwwlks2on simpl biimpa jca
      eleq1 adantr com12 reximdv a1i13 com24 sylbid impd com23 mpdi biimpar a1i
      ex rexlimdva impbid ) CIJADJBDJUCZEABKCUALLZJZEAFMZBUDZNZVMVJJZOZFDPZVIVK
      EABKCUELLJZHMZEABCUBQLRHSZOZVQVKWAABHCKEUFUGVIWAVKVQVIVRVTVKVQTZVIVRVNVSE
      CUHQRVSUIQKNOHSZOZFDPZVTWBTABHCDEFGUJVIVKVTWEVQVIVKVTWEVQTVKWDVPFDWDVKVPV
      NVKVPTWCVNVKVPVNVKOVNVOVNVKUKVNVKVOEVMVJUNZULUMVFUOUPUQURUSUTVAVBVCVIVPVK
      FDVPVKTVIVLDJOVNVKVOWFVDVEVGVH $.
  $}

  ${
    $d A f w $.  $d B f w $.  $d G f w $.
    $( For two different vertices, a walk of length 2 between these vertices is
       a simple path of length 2 between these vertices in a simple graph.
       (Contributed by Alexander van der Vekens, 2-Mar-2018.)  (Revised by AV,
       13-May-2021.)  (Revised by AV, 16-Mar-2022.) $)
    wpthswwlks2on $p |- ( ( G e. USGraph /\ A =/= B )
                 -> ( A ( 2 WSPathsNOn G ) B ) = ( A ( 2 WWalksNOn G ) B ) ) $=
      ( vf vw wcel wa cfv co wbr c2 crab cc0 wceq wb wi adantr cvv cfz imp cvtx
      cusgr wne cv cspthson wex cwwlksnon cwwlksn cwwspthsnon w3a anbi1d 3anass
      wwlknon a1i anbi1i anass bitri rabbidva2 cwlks chash cupgr wlklnwwlknupgr
      bitrdi usgrupgr bicomd cwlkson simprl fveq2 ad2antll simprr eqtrd wf eqid
      syl wlkp oveq2 feq2d syl5ibcom id cn0 2nn0 0elfz mp1i ffvelrnd nn0fz0 jca
      eleq1 bi2anan9 syl5ib adantl vex pm3.2i iswlkon sylancl mpbir3and simplll
      mpbi simpllr usgr2wlkspth syl3anc mpbid ex eximdv sylbid pm4.71d rabbidva
      com23 iswspthsnon iswwlksnon 3eqtr4g ) CUBFZABUCZGZDUDZEUDZABCUEHIJZDUFZE
      ABKCUGIIZLZMXOHZANZKXOHZBNZGZEKCUHIZLZABKCUIIIXRXMXSYDXQGZEYELYFXMXQYGEXR
      YEXMXOXRFZXQGXOYEFZYAYCUJZXQGZYIYGGZXMYHYJXQYHYJOXMABCKXOUMUNUKYKYIYDGZXQ
      GYLYJYMXQYIYAYCULUOYIYDXQUPUQVCURXMYGYDEYEXMYIGZYDYGYNYDXQXMYIYDXQPZXMYIX
      NXOCUSHJZXNUTHZKNZGZDUFZYOXKYIYTOXLXKYTYIXKCVAFYTYIOCVDXODCKVBVNVEQXMYDYT
      XQXMYDYTXQPXMYDGZYSXPDUUAYSXPUUAYSGZXNXOABCVFHIJZXPUUBUUCYPYAYQXOHZBNZUUA
      YPYRVGUUAYAYSXMYAYCVGQUUBUUDYBBYRUUDYBNUUAYPYQKXOVHVIUUAYCYSXMYAYCVJQVKUU
      BACUAHZFZBUUFFZGZXNRFZXORFZGUUCYPYAUUEUJOUUAYSUUIYDYSUUIPXMYSXTUUFFZYBUUF
      FZGZYDUUIYSMKSIZUUFXOVLZUUNYPYRUUPYPMYQSIZUUFXOVLYRUUPXOXNCUUFUUFVMZVOYRU
      UQUUOUUFXOYQKMSVPVQVRTUUPUULUUMUUPUUOUUFMXOUUPVSZKVTFZMUUOFUUPWAKWBWCWDUU
      PUUOUUFKXOUUSKUUOFZUUPUUTUVAWAKWEWQUNWDWFVNYAUULUUGYCUUMUUHXTAUUFWGYBBUUF
      WGWHWIWJTUUJUUKDWKEWKWLABXORXNCUUFRUURWMWNWOUUBXKYRXLUUCXPOXKXLYDYSWPUUAY
      PYRVJXKXLYDYSWRABXOXNCWSWTXAXBXCXBXGXDTXEVEXFVKEABDCKUUFUURXHEABCKUUFUURX
      IXJ $.
  $}

  ${
    $d A b c t $.  $d G b c t $.  $d V b c t $.
    $( All simple paths of length 2 from a fixed vertex to another vertex are
       disjunct.  (Contributed by Alexander van der Vekens, 4-Mar-2018.)
       (Revised by AV, 9-Jan-2022.) $)
    2wspdisj $p |- Disj_ b e. ( V \ { A } ) ( A ( 2 WSPathsNOn G ) b ) $=
      ( vt vc csn cdif cv c2 cwwspthsnon wdisj wtru oveq2 wcel weq wspthneq1eq2
      co wa wceq simprd 3adant1 disjord mptru ) DCAGHZADIZJBKRZRZLMEUHAFIZUGRZU
      EDFUFUIAUGNEIZUHOZUKUJOZDFPZMULUMSAATUNAUFAUIUKBJQUAUBUCUD $.

    $d G a d $.  $d V a b c d t $.
    $( All simple paths of length 2 from a fixed vertex to another vertex are
       disjunct.  (Contributed by Alexander van der Vekens, 5-Mar-2018.)
       (Revised by AV, 14-May-2021.)  (Proof shortened by AV, 9-Jan-2022.) $)
    2wspiundisj $p |- Disj_ a e. V U_ b e. ( V \ { a } )
                      ( a ( 2 WSPathsNOn G ) b ) $=
      ( vt vc vd cv csn cdif c2 cwwspthsnon co ciun wdisj wtru oveq1 oveq2 wcel
      weq sneq difeq2d wa wspthneq1eq2 simpld 3adant1 disjiund mptru ) CBDBCHZI
      ZJZUIDHZKALMZMZNOPEUNFHZULUMMUOGHZUMMZBUKBUOIZJCDFGUIUOULUMQULUPUOUMRCFTZ
      UJURBUIUOUAUBEHZUNSZUTUQSZUSPVAVBUCUSDGTUIULUOUPUTAKUDUEUFUGUH $.
  $}

  ${
    usgr2wspthon0.v $e |- V = ( Vtx ` G ) $.
    usgr2wspthon0.e $e |- E = ( Edg ` G ) $.
    $( A simple path of length 2 between two vertices represented as length 3
       string corresponds to two adjacent edges in a simple graph.
       (Contributed by Alexander van der Vekens, 8-Mar-2018.)  (Revised by AV,
       17-May-2021.)  (Proof shortened by AV, 16-Mar-2022.) $)
    usgr2wspthons3 $p |- ( ( G e. USGraph /\ ( A e. V /\ B e. V /\ C e. V ) )
                -> ( <" A B C "> e. ( A ( 2 WSPathsNOn G ) C )
                     <-> ( A =/= C /\ { A , B } e. E /\ { B , C } e. E ) ) ) $=
      ( cusgr wcel w3a wa cs3 c2 cwwspthsnon co wne cwwlksnon cpr wb wi cn ne0i
      2nn wspthsnonn0vne sylancr simplr wpthswwlks2on eleq2d biimpa exp31 com13
      c0 jca mpd com12 biimprd expimpd impbid cumgr usgrumgr umgrwwlks2on sylan
      adantr anbi2d 3anass bitr4di bitrd ) EIJZAFJBFJCFJKZLZABCMZACNEOPPZJZACQZ
      VLACNERPPZJZLZVOABSDJZBCSDJZKZVIVNVRTVJVIVNVRVNVIVRVNVOVIVRUAVNNUBJVMUMQV
      OUDVMVLUCENACUEUFVIVOVNVRVIVOVNVRVIVOLZVNLVOVQVIVOVNUGWBVNVQWBVMVPVLACEUH
      UIZUJUNUKULUOUPVIVOVQVNWBVNVQWCUQURUSVDVKVRVOVSVTLZLWAVKVQWDVOVIEUTJVJVQW
      DTEVAABCDEFGHVBVCVEVOVSVTVFVGVH $.

    $d A b $.  $d C b $.  $d G b $.  $d V b $.  $d T b $.
    $( A simple path of length 2 between two vertices corresponds to two
       adjacent edges in a simple graph.  (Contributed by Alexander van der
       Vekens, 9-Mar-2018.)  (Revised by AV, 17-May-2021.) $)
    usgr2wspthon $p |- ( ( G e. USGraph /\ ( A e. V /\ C e. V ) )
                          -> ( T e. ( A ( 2 WSPathsNOn G ) C )
                               <-> E. b e. V ( ( T = <" A b C "> /\ A =/= C )
                               /\ ( { A , b } e. E /\ { b , C } e. E ) ) ) ) $=
      ( cusgr wcel wa co wrex cpr wb adantr simpl adantl simpr cwwspthsnon wceq
      c2 cv cs3 wne usgrupgr elwspths2on syl3anc simplrl simplrr usgr2wspthons3
      cupgr w3a syl13anc anbi2d anass 3anass bicomi anbi2i bitri rexbidva bitrd
      bitr4di ) EJKZAFKZBFKZLZLZCABUCEUAMMZKZCAGUDZBUEZUBZVMVJKZLZGFNZVNABUFZLA
      VLODKZVLBODKZLZLZGFNVIEUMKZVFVGVKVQPVEWCVHEUGQVHVFVEVFVGRSVHVGVEVFVGTSABE
      FCGHUHUIVIVPWBGFVIVLFKZLZVPVNVRVSVTUNZLZWBWEVOWFVNWEVEVFWDVGVOWFPVIVEWDVE
      VHRQVEVFVGWDUJVIWDTVEVFVGWDUKAVLBDEFHIULUOUPWBVNVRWALZLWGVNVRWAUQWHWFVNWF
      WHVRVSVTURUSUTVAVDVBVC $.
  $}

  ${
    $d G a b c f p $.  $d V a b c f p $.  $d W a b c f p $.
    elwwlks2.v $e |- V = ( Vtx ` G ) $.
    $( A walk of length 2 between two vertices as length 3 string in a
       pseudograph.  (Contributed by Alexander van der Vekens, 21-Feb-2018.)
       (Revised by AV, 17-May-2021.)  (Proof shortened by AV, 14-Mar-2022.) $)
    elwwlks2 $p |- ( G e. UPGraph -> ( W e. ( 2 WWalksN G )
         <-> E. a e. V E. b e. V E. c e. V ( W = <" a b c ">
             /\ E. f E. p ( f ( Walks ` G ) p /\ ( # ` f ) = 2
             /\ ( a = ( p ` 0 ) /\ b = ( p ` 1 ) /\ c = ( p ` 2 ) ) ) ) ) ) $=
      ( wcel c2 co cv wrex wceq cfv wa c1 cvv wi cupgr cwwlksn cwwlksnon cs3 wb
      cwlks wbr chash wex cc0 w3a wwlksnwwlksnon a1i elwwlks2on 3expb 2rexbidva
      rexcom cword s3cli simplr simpr eqtr4d breq2d biimpd adantr impcom simprr
      com12 vex s3fv0 eqcomd mp1i fveq1 s3fv1 s3fv2 adantl ex spcimedv c3 caddc
      wlklenvp1 simpl oveq1 eqtrd 2p1e3 eqtrdi exp32 mpd eqcom biimpi 3anim123i
      3jca imp anim12i wlkpwrd anim1i 3anass sylibr ad2antrr eqwrds3 syl mpbird
      jctird exp41 com25 pm2.43i exlimdv impbid exbidv pm5.32da syl5bb rexbidva
      3imp 3bitrd ) BUAJZDKBUBLJZDFMZHMZKBUCLLJZHCNFCNZDXQGMZXRUDZOZAMZDBUFPZUG
      ZYDUHPZKOZQZAUIZQZGCNZHCNZFCNYCYDEMZYEUGZYHXQUJYNPZOZYARYNPZOZXRKYNPZOZUK
      ZUKZEUIZAUIZQZHCNGCNZFCNXPXTUEXOBKCDFHIULUMXOXSYLFHCCXOXQCJZXRCJZXSYLUEXQ
      XRABCDGIUNUOUPXOYMUUGFCYMYKHCNGCNXOUUHQZUUGYKHGCCUQUUJYKUUFGHCCUUJYACJZUU
      IQZQZYCYJUUEUUMYCQZYIUUDAUUNYIUUDUUNUUCYIEYBSURZYBUUOJUUNXQYAXRUSUMUUNYNY
      BOZQZYIUUCUUQYIQYOYHUUBYIUUQYOYFUUQYOTYHUUQYFYOUUQYFYOUUQDYNYDYEUUQDYBYNU
      UMYCUUPUTUUNUUPVAVBVCVDVHVEVFUUQYFYHVGUUQUUBYIUUPUUBUUNUUPYQYSUUAUUPXQUJY
      BPZYPXQSJZXQUUROUUPFVIUUSUURXQXQYAXRSVJVKVLUJYNYBVMVBUUPYARYBPZYRYASJZYAU
      UTOUUPGVIUVAUUTYAXQYAXRSVNVKVLRYNYBVMVBUUPXRKYBPZYTXRSJZXRUVBOUUPHVIUVCUV
      BXRXQYAXRSVOVKVLKYNYBVMVBWLVPVEWLVQVRUUNUUCYIEUUCUUNYIYOYHUUBUUNYITZYOYHU
      UBUVDTTYOUUNYHUUBYOYIYOUUNYHUUBYOYITYOUUNQZYHQZUUBQZYOYFYHUVGYOYFUVGYNDYD
      YEUVGYNYBDUVGUUPYNUHPZVSOZYPXQOZYRYAOZYTXROZUKZQZUVFUVIUUBUVMUVEYHUVIYOYH
      UVITZUUNYOUVHYGRVTLZOZUVOYNYDBWAYOUVQYHUVIYOUVQYHQZQUVHKRVTLZVSUVRUVHUVSO
      YOUVRUVHUVPUVSUVQYHWBYHUVPUVSOUVQYGKRVTWCVPWDVPWEWFWGWHVEWMYQUVJYSUVKUUAU
      VLYQUVJXQYPWIWJYSUVKYAYRWIWJUUAUVLXRYTWIWJWKWNUVGYNCURJZUUHUUKUUIUKZQZUUP
      UVNUEUVEUWBYHUUBYOUVTUUNUWAYNYDBCIWOUUMUWAYCUUMUUHUULQUWAUUJUUHUULXOUUHVA
      WPUUHUUKUUIWQWRVEWNWSXQYAXRCYNWTXAXBUVEYCYHUUBYOUUMYCVGWSVBVCVDUVEYHUUBUT
      XCXDXEXFXMVHXGXHXIXJUPXKXLXN $.

    $( A simple path of length 2 between two vertices as length 3 string in a
       pseudograph.  (Contributed by Alexander van der Vekens, 28-Feb-2018.)
       (Revised by AV, 18-May-2021.)  (Proof shortened by AV, 16-Mar-2022.) $)
    elwspths2spth $p |- ( G e. UPGraph -> ( W e. ( 2 WSPathsN G )
          <-> E. a e. V E. b e. V E. c e. V ( W = <" a b c ">
              /\ E. f E. p ( f ( SPaths ` G ) p /\ ( # ` f ) = 2
              /\ ( a = ( p ` 0 ) /\ b = ( p ` 1 ) /\ c = ( p ` 2 ) ) ) ) ) ) $=
      ( wcel c2 co wrex wceq wa cfv c1 w3a wb adantl cupgr cwwspthsn cs3 cspths
      cv cwwspthsnon wbr chash cc0 wspthsnwspthsnon elwspths2on 3expb 2rexbidva
      wex a1i rexcom cwwlksnon cspthson wspthnon ancom 19.41v bitr4i cwwlks cvv
      caddc cword simpr anim12i pm3.2i isspthonpth sylancl cwwlksn wwlknon 2nn0
      vex s3cli cn0 iswwlksn mp1i 3anbi1d syl5bb anbi12d adantr simprl1 wi cmin
      cwlks spthiswlk wlklenvm1 simpl oveq1 cc 2cn pncan1 ax-mp eqtrdi 3ad2ant1
      eqtrd ex 3syl imp s3fv0 elv eqcomi s3fv1 s3fv2 3pm3.2i breq2 fveq1 eqeq2d
      3jca 3anbi123d 3anbi13d ad2antlr mpbird spcimedv c3 2p1e3 biimpcd 3adant3
      wlklenvp1 3anbi123i biimpi 3ad2ant3 jca wlkpwrd syl anim1i 3anass eqwrds3
      eqcom sylibr syl2anr fveq2 3ad2ant2 wlkiswwlks1 syl5com impcom bicomd
      eleq1 s3len df-3 eqtri jctir mpdan exlimdv impbid bitrd pm5.32da rexbidva
      exbidv 3bitrd ) BUAJZDKBUBLJZDFUEZHUEZKBUFLLZJZHCMFCMZDUUOGUEZUUPUCZNZUVA
      UUQJZOZGCMZHCMZFCMUVBAUEZEUEZBUDPZUGZUVGUHPZKNZUUOUIUVHPZNZUUTQUVHPZNZUUP
      KUVHPZNZRZRZEUNZAUNZOZHCMGCMZFCMUUNUUSSUUMBKCDFHIUJUOUUMUURUVEFHCCUUMUUOC
      JZUUPCJZUURUVESUUOUUPBCDGIUKULUMUUMUVFUWDFCUVFUVDHCMGCMUUMUWEOZUWDUVDHGCC
      UPUWGUVDUWCGHCCUWGUUTCJZUWFOZOZUVBUVCUWBUVCUVAUUOUUPKBUQLLJZUVGUVAUUOUUPB
      URPLUGZAUNZOZUWJUVBOZUWBUUOUUPABKUVAUSUWNUWLUWKOZAUNZUWOUWBUWNUWMUWKOUWQU
      WKUWMUTUWLUWKAVAVBUWOUWPUWAAUWOUWPUVGUVAUVIUGZUIUVAPZUUONZUVKUVAPZUUPNZRZ
      UVABVCPZJZUVAUHPZKQVELZNZOZUWTKUVAPZUUPNZRZOZUWAUWJUWPUXMSUVBUWJUWLUXCUWK
      UXLUWJUWEUWFOUVGVDJZUVAVDVFZJZOUWLUXCSUWGUWEUWIUWFUUMUWEVGZUWHUWFVGVHUXNU
      XPAVOUUOUUTUUPVPZVIUUOUUPUVAUVGBCVDUXOIVJVKUWKUVAKBVLLJZUWTUXKRUWJUXLUUOU
      UPBKUVAVMUWJUXSUXIUWTUXKKVQJUXSUXISUWJVNBKUVAVRVSVTWAWBWCUWJUXMUWASUVBUWJ
      UXMUWAUWJUVTUXMEUVAUXOUXPUWJUXRUOUWJUVHUVANZOZUXMUVTUYAUXMOZUVTUWRUVLUUOU
      WSNZUUTQUVAPZNZUUPUXJNZRZRZUYBUWRUVLUYGUWRUWTUXBUXLUYAWDUXMUVLUYAUXCUXLUV
      LUWRUWTUXLUVLWEZUXBUWRUVGUVABWGPZUGUVKUXFQWFLZNZUYIUVAUVGBWHUVAUVGBWIUYLU
      XLUVLUYLUXLOUVKUYKKUYLUXLWJUXLUYKKNZUYLUXIUWTUYMUXKUXHUYMUXEUXHUYKUXGQWFL
      ZKUXFUXGQWFWKKWLJUYNKNWMKWNWOWPTWQTWRWSWTWQXATUYGUYBUYCUYEUYFUWSUUOUWTFUU
      OUUTUUPVDXBXCZXDUYDUUTUYDUUTNGUUOUUTUUPVDXEXCXDUXJUUPUXKHUUOUUTUUPVDXFXCZ
      XDXGUOXKUXTUVTUYHSUWJUXMUXTUVJUWRUVSUYGUVLUVHUVAUVGUVIXHZUXTUVNUYCUVPUYEU
      VRUYFUXTUVMUWSUUOUIUVHUVAXIXJUXTUVOUYDUUTQUVHUVAXIXJUXTUVQUXJUUPKUVHUVAXI
      XJXLXMXNXOWSXPUWJUVTUXMEUWJUVTUXMUWJUVTOZUXTUXMUYRUXTUVHUHPZXQNZUVMUUONZU
      VOUUTNZUVQUUPNZRZOZUYRUYTVUDUVTUYTUWJUVJUVLUYTUVSUVJUVLUYTUVJUVGUVHUYJUGZ
      UYSUVKQVELZNZUVLUYTWEUVHUVGBWHZUVHUVGBYAUVLVUHUYTUVLVUGXQUYSUVLVUGUXGXQUV
      KKQVEWKXRWPXJXSWTXAXTTUVTVUDUWJUVSUVJVUDUVLUVSVUDUVNVUAUVPVUBUVRVUCUUOUVM
      YKUUTUVOYKUUPUVQYKYBYCYDTYEUVTUVHCVFJZUWEUWHUWFRZUXTVUESUWJUVJUVLVUJUVSUV
      JVUFVUJVUIUVHUVGBCIYFYGWQUWJUWEUWIOVUKUWGUWEUWIUXQYHUWEUWHUWFYIYLUUOUUTUU
      PCUVHYJYMXOUYRUXTOZUXCUXLVULUWRUWTUXBUYRUXTUWRUVTUXTUWRWEZUWJUVJUVLVUMUVS
      UXTUVJUWRUYQXSWQTXAUWTVULUYOUOZUVTUXBUWJUXTUVLUVJUXBUVSUVLUXAUXJUUPUVKKUV
      AYNUYPWPYOXNXKVULUXIUWTUXKVULUXEUXHVULUXEUVHUXDJZUYRVUOUXTUVTUWJVUOUVJUVL
      UWJVUOWEUVSUVJVUFUWJVUOVUIUWGVUFVUOWEZUWIUUMVUPUWEUVHUVGBYPWCWCYQWQYRWCUX
      TUXEVUOSUYRUXTVUOUXEUVHUVAUXDYTYSTXOUXFXQUXGUUOUUTUUPUUAUUBUUCUUDVUNUXKVU
      LUYPUOXKYEUUEWSUUFUUGWCUUHUUKWAWAUUIUMWAUUJUUL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Walks in regular graphs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d G i w $.  $d K w $.  $d P w $.  $d V w $.
    rusgrnumwwlkl1.v $e |- V = ( Vtx ` G ) $.
    $( In a k-regular graph, there are k walks (as word) of length 1 starting
       at each vertex.  (Contributed by Alexander van der Vekens, 28-Jul-2018.)
       (Revised by AV, 7-May-2021.) $)
    rusgrnumwwlkl1 $p |- ( ( G RegUSGraph K /\ P e. V )
           -> ( # ` { w e. ( 1 WWalksN G ) | ( w ` 0 ) = P } ) = K ) $=
      ( vi wcel wa cc0 cfv wceq c1 co chash c2 c0 cmin wb a1i crusgr cv cwwlksn
      wbr crab cpr cedg w3a cword wne caddc cfzo wral cwwlks cn0 iswwlksn ax-mp
      1nn0 eqid iswwlks anbi1i bitri anbi1d 1p1e2 eqeq2i anbi2d 3anass wn fveq2
      hash0 eqtrdi 2ne0 nesymi eqeq1 mtbiri syl necon2ai adantl biantrurd oveq1
      2m1e1 oveq2d raleqdv csn fzo01 raleqi fv0p1e1 preq12d eleq1d ralsn bitrdi
      c0ex 3bitr2d ex pm5.32rd bitrd anass ancom df-3an bitr4i anbi2i rabbidva2
      3bitrd fveq2d rusgrnumwrdl2 eqtrd ) CDUAUDBEHIZJAUBZKZBLZAMCUCNZUEZOKXHOK
      ZPLZXJXIMXHKZUFZCUGKZHZUHZAEUIZUEZOKDXGXLYAOXGXJXSAXKXTXGXHXKHZXJIXHQUJZX
      HXTHZGUBZXHKZYEMUKNXHKZUFZXQHZGJXMMRNZULNZUMZUHZXMMMUKNZLZIZXJIZYDXRIZXNX
      JIZIZYDXSIZXGYBYPXJYBYPSXGYBXHCUNKHZYOIZYPMUOHYBUUCSURCMXHUPUQUUBYMYOGXQC
      EXHFXQUSUTVAVBTVCXGYQYRXNIZXJIYTXGYPUUDXJXGYPYMXNIUUDXGYOXNYMYOXNSXGYNPXM
      VDVETVFXGXNYMYRXGXNYMYRSXGXNIZYMYCYDYLIZIZUUFYRYMUUGSUUEYCYDYLVGTUUEYCUUF
      XNYCXGXNXHQXHQLZXMJLZXNVHUUHXMQOKJXHQOVIVJVKUUIXNJPLPJVLVMXMJPVNVOVPVQVRV
      SUUEYLXRYDUUEYLYIGJMULNZUMZXRUUEYIGYKUUJXNYKUUJLXGXNYJMJULXNYJPMRNMXMPMRV
      TWAVKWBVRWCUUKYIGJWDZUMXRYIGUUJUULWEWFYIXRGJWLYEJLZYHXPXQUUMYFXIYGXOYEJXH
      VIXHYEWGWHWIWJVBWKVFWMWNWOWPVCYRXNXJWQWKYTUUASXGYTYDXRYSIZIUUAYDXRYSWQUUN
      XSYDUUNYSXRIXSXRYSWRXNXJXRWSWTXAVBTXCXBXDABCDEFXEXF $.
  $}

  ${
    $d P w $.  $d Y w $.  $d Z w $.
    $( Lemma for ~ rusgrnumwwlks .  (Contributed by Alexander van der Vekens,
       23-Aug-2018.) $)
    rusgrnumwwlkslem $p |- ( Y e. { w e. Z | ( w ` 0 ) = P }
                             -> { w e. X | ( ph /\ ps ) }
                              = { w e. X | ( ph /\ ( Y ` 0 ) = P /\ ps ) } ) $=
      ( cc0 cv cfv wceq crab wcel wa w3a fveq1 eqeq1d elrab wb ibar ad2antlr
      3anass 3ancoma bitr3i bitrdi rabbidva sylbi ) FHCIZJZDKZCGLMFGMZHFJZDKZNZ
      ABNZCELAUMBOZCELKUJUMCFGUHFKUIULDHUHFPQRUNUOUPCEUMUOUPSUKUHEMUMUOUMUONZUP
      UMUOTUQUMABOUPUMABUBUMABUCUDUEUAUFUG $.
  $}

  ${
    $d G n v w $.  $d N n v w $.  $d P n v w $.  $d V n v w $.
    rusgrnumwwlk.v $e |- V = ( Vtx ` G ) $.
    rusgrnumwwlk.l $e |- L = ( v e. V , n e. NN0
                      |-> ( # ` { w e. ( n WWalksN G ) | ( w ` 0 ) = v } ) ) $.
    $( Lemma for ~ rusgrnumwwlk etc.  (Contributed by Alexander van der Vekens,
       21-Jul-2018.)  (Revised by AV, 7-May-2021.) $)
    rusgrnumwwlklem $p |- ( ( P e. V /\ N e. NN0 ) -> ( P L N )
                = ( # ` { w e. ( N WWalksN G ) | ( w ` 0 ) = P } ) ) $=
      ( cn0 cc0 cv cfv wceq cwwlksn co crab chash wa adantl wb adantr rabeqbidv
      oveq1 eqeq2 fveq2d fvex ovmpoa ) BDCGHKLAMNZBMZOZADMZEPQZRZSNUJCOZAGEPQZR
      ZSNFUKCOZUMGOZTZUOURSVAULUPAUNUQUTUNUQOUSUMGEPUEUAUSULUPUBUTUKCUJUFUCUDUG
      JURSUHUI $.

    $( Induction base 0 for ~ rusgrnumwwlk .  Here, we do not need the
       regularity of the graph yet.  (Contributed by Alexander van der Vekens,
       24-Jul-2018.)  (Revised by AV, 7-May-2021.) $)
    rusgrnumwwlkb0 $p |- ( ( G e. USPGraph /\ P e. V ) -> ( P L 0 ) = 1 ) $=
      ( wcel wa cc0 co cv cfv wceq crab chash c1 cab cuspgr cwwlksn cs1 csn cn0
      simpr 0nn0 rusgrnumwwlklem sylancl cword df-rab a1i wwlksn0s eleq2d rabid
      bitrdi anbi1d abbidv wb w3a wrdl1s1 df-3an bitr2di eleq1w fveqeq2 anbi12d
      cvtx vex fveq1 eqeq1d elab velsn 3bitr4g eleq2s adantl 3eqtrd fveq2d s1cl
      eqrdv hashsng syl ) EUAJZCGJZKZCLFMZLANZOZCPZALEUBMZQZROZCUCZUDZROZSWDWCL
      UEJWEWKPWBWCUFUGABCDEFLGHIUHUIWDWJWMRWDWJWFWIJZWHKZATZWFEVGOZUJZJZWFROSPZ
      KZWHKZATZWMWJWQPWDWHAWIUKULWDWPXCAWDWOXBWHWDWOWFXAAWSQZJXBWDWIXEWFWIXEPWD
      AEUMULUNXAAWSUOUPUQURWCXDWMPWBWCBXDWMBNZXDJZXFWMJZUSCWRGCWRJZXFWSJZXFROSP
      ZKZLXFOZCPZKZXFWLPZXGXHXIXPXJXKXNUTXOCWRXFVAXJXKXNVBVCXCXOAXFBVHWFXFPZXBX
      LWHXNXQWTXJXAXKABWSVDWFXFSRVEVFXQWGXMCLWFXFVIVJVFVKBWLVLVMHVNVSVOVPVQWCWN
      SPZWBWCWLGUJZJXRCGVRWLXSVTWAVOVP $.

    $d K w $.
    $( Induction base 1 for ~ rusgrnumwwlk .  (Contributed by Alexander van der
       Vekens, 28-Jul-2018.)  (Revised by AV, 7-May-2021.) $)
    rusgrnumwwlkb1 $p |- ( ( G RegUSGraph K /\ P e. V ) -> ( P L 1 ) = K ) $=
      ( crusgr wbr wcel wa c1 co cc0 cv cfv wceq crab chash cn0 rusgrnumwwlklem
      cwwlksn simpr 1nn0 sylancl rusgrnumwwlkl1 eqtrd ) EFKLZCHMZNZCOGPZQARSCTA
      OEUEPUAUBSZFUMULOUCMUNUOTUKULUFUGABCDEGOHIJUDUHACEFHIUIUJ $.

    $d G i w $.  $d N i $.
    $( Special case for graphs without edges:  There are no walks of length
       greater than 0.  (Contributed by Alexander van der Vekens, 26-Jul-2018.)
       (Revised by AV, 7-May-2021.) $)
    rusgr0edg $p |- ( ( G RegUSGraph 0 /\ P e. V /\ N e. NN )
                      -> ( P L N ) = 0 ) $=
      ( cc0 crusgr wbr wcel cn co cfv wceq chash c0 cv cwwlksn crab simp2 nnnn0
      w3a 3ad2ant3 rusgrnumwwlklem syl2anc wn wral wi cedg cusgr usgr0edg0rusgr
      cn0 wa rusgrusgr biimpcd mpd 0enwwlksnge1 sylan eleq2 noel pm2.21i syl6bi
      syl 3adant2 ralrimiv rabeq0 sylibr fveq2d hash0 eqtrdi eqtrd ) EKLMZCHNZG
      ONZUFZCGFPZKAUAZQCRZAGEUBPZUCZSQZKVSVQGUPNZVTWERVPVQVRUDVRVPWFVQGUEUGABCD
      EFGHIJUHUIVSWETSQKVSWDTSVSWBUJZAWCUKWDTRVSWGAWCVPVRWAWCNZWGULZVQVPVRUQWCT
      RZWIVPEUMQTRZVRWJVPEUNNZWKEKURWLVPWKEUOUSUTEGVAVBWJWHWATNZWGWCTWAVCWMWGWA
      VDVEVFVGVHVIWBAWCVJVKVLVMVNVO $.

    $d G i n p w x y $.  $d K p y $.  $d N x y $.  $d P x y $.  $d V p y $.
    $( Induction step for ~ rusgrnumwwlk .  (Contributed by Alexander van der
       Vekens, 24-Aug-2018.)  (Revised by AV, 7-May-2021.)  (Proof shortened by
       AV, 27-May-2022.) $)
    rusgrnumwwlks $p |- ( ( G RegUSGraph K
                           /\ ( V e. Fin /\ P e. V /\ N e. NN0 ) )
                         -> ( ( P L N ) = ( K ^ N )
                               -> ( P L ( N + 1 ) ) = ( K ^ ( N + 1 ) ) ) ) $=
      ( vy wcel wa co wceq cc0 cfv crab chash vx vp crusgr wbr cfn cn0 w3a cexp
      vi cv cwwlksn c1 caddc wb simpr2 simpr3 rusgrnumwwlklem syl2anc cpfx clsw
      eqeq1d cpr cedg wrex csu wi eqid wwlksnredwwlkn0 3ad2ant3 adantl rabbidva
      ex imp adantr fveq2d simp2 pm4.71ri a1i rexbidva weq fveq1 rexrab bitr4di
      cvtx simplr1 eleq1i biimpi hashwwlksnext cbvrabv sumeq1i rusgrnumwwlkslem
      3syl 3eqtrd eqcomd elrabi wwlksnexthasheq syl cusgr cxnn0 rusgrpropadjvtx
      wral cword c0 wne elrab cfzo wwlknp simpll nn0p1gt0 breq2 ad2antlr mpbird
      clt wn cle hashle00 cr lencl nn0red 0re lenlt bicomd sylancl nne 3bitr4rd
      ad2antrr con4bid 3adant3 sylbi lswcl preq1 eleq1d rabbidv fveqeq2d rspcva
      jca sylancom exp41 com14 cmul imp41 sumeq2dv cc wwlksnfi cfusgr rusgrusgr
      oveq1 3ad2ant1 rabfi simp1 anim12i isfusgr sylibr ne0i 3ad2ant2 frusgrnn0
      simpl syl3anc nn0cnd fsumconst expp1d 3eqtr4d eqtrd peano2nn0 sylbid ) EF
      UCUDZIUEMZCIMZHUFMZUGZNZCHGOZFHUHOZPZQAUJZRZCPZAHEUKOZSZTRZUVMPZCHULUMOZG
      OZFUWBUHOZPZUVKUVHUVIUVNUWAUNUVFUVGUVHUVIUOZUVFUVGUVHUVIUPZUVHUVINUVLUVTU
      VMABCDEGHIJKUQVAURUVKUWAUWEUVKUWANZUWEUVQAUWBEUKOZSZTRZUWDPZUWHUWKUVOUWBU
      SOLUJZPZQUWMRZCPZUWMUTRZUVOUTRVBEVCRZMZUGZLUVRVDZAUWISZTRZUVSUWTAUWISZTRZ
      LVEZUWDUWHUWJUXBTUVKUWJUXBPUWAUVKUVQUXAAUWIUVKUVOUWIMZUVQUXAUNZUVJUXGUXHV
      FZUVFUVIUVGUXIUVHUVIUXGUXHLCUWREHUVOUWRVGZVHVLVIVJVMVKVNVOUWHUXCUWTLQUAUJ
      ZRZCPZUAUVRSZVDZAUWISZTRZUXNUXELVEZUXFUWHUXBUXPTUVKUXBUXPPUWAUVKUXAUXOAUW
      IUVKUXGNZUXAUWPUWTNZLUVRVDUXOUXSUWTUXTLUVRUWTUXTUNUXSUWMUVRMZNUWTUWPUWNUW
      PUWSVPVQVRVSUXMUWPUWTLUAUVRUALVTUXLUWOCQUXKUWMWAVAWBWCVKVNVOUWHUVGEWDRZUE
      MZUXQUXRPUVGUVHUVIUVFUWAWEUVGUYCIUYBUEJWFZWGALUACUWREUWBHUWIUXNUWIVGUXJUX
      NVGWHWLUXRUXFPUWHUXNUVSUXELUXMUVQUAAUVRUAAVTUXLUVPCQUXKUVOWAVAWIWJVRWMUWH
      UXFUVSFLVEZUWDUWHUVSUXEFLUWHUWMUVSMZNZUXEUWNUWSNAUWISZTRZUWQDUJZVBZUWRMZD
      ISZTRZFUYFUXEUYIPUWHUYFUXDUYHTUYFUYHUXDUWNUWSACUWIUWMUVRWKWNVOVJUYGUYAUYI
      UYNPUYFUYAUWHUVQAUWMUVRWOVJADUWREHIUWMJUXJWPWQUVFUVJUWAUYFUYNFPZUVFEWRMZF
      WSMZUBUJZUYJVBZUWRMZDISZTRFPZUBIXAZUGUVJUWAUYFUYOVFVFVFZUBDEFIJWTVUCUYPVU
      DUYQUYFUVJUWAVUCUYOUYFUVJUWAVUCUYOUYFUVJNZUWANVUCUWQIMZUYOVUEVUFUWAVUCVUE
      UWMIXBZMZUWMXCXDZNZVUFUYFUVJVUJUYFUYAUWPNZUVJVUJVFZUVQUWPAUWMUVRALVTUVPUW
      OCQUVOUWMWAVAXEVUKVUHUWMTRZUWBPZUIUJZUWMRVUOULUMOUWMRVBUWRMUIQHXFOXAZUGZV
      ULUYAVUQUWPUIUWREHIUWMJUXJXGVNVUHVUNVULVUPVUHVUNNZUVJVUJVURUVJNZVUHVUIVUH
      VUNUVJXHVUSVUIQVUMXMUDZVUSVUTQUWBXMUDZUVJVVAVURUVIUVGVVAUVHHXIVIVJVUNVUTV
      VAUNVUHUVJVUMUWBQXMXJXKXLVUSVUIVUTVUHVUIXNZVUTXNZUNVUNUVJVUHVUMQXOUDZUWMX
      CPZVVCVVBUWMVUGXPVUHVUMXQMZQXQMZVVCVVDUNVUHVUMIUWMXRXSXTVVFVVGNVVDVVCVUMQ
      YAYBYCVVBVVEUNVUHUWMXCYDVRYEYFYGXLYPVLYHWQYIVMIUWMYJWQYFVUBUYOUBUWQIUYRUW
      QPZVUAUYMFTVVHUYTUYLDIVVHUYSUYKUWRUYRUWQUYJYKYLYMYNYOYQYRYSVIWQUUAWMUUBUW
      HUVTFYTOZUVMFYTOZUYEUWDUWAVVIVVJPUVKUVTUVMFYTUUGVJUWHUVSUEMZFUUCMZUYEVVIP
      UWHUVRUEMZVVKUVJVVMUVFUWAUVGUVHVVMUVIUVGUYCVVMUYDEHUUDYIUUHXKUVQAUVRUUIWQ
      UVKVVLUWAUVKFUVKEUUEMZUVFIXCXDZFUFMUVKUYPUVGNVVNUVFUYPUVJUVGEFUUFUVGUVHUV
      IUUJUUKEIJUULUUMUVFUVJUUQUVJVVOUVFUVHUVGVVOUVIICUUNUUOVJEFIJUUPUURUUSZVNU
      VSFLUUTURUVKUWDVVJPUWAUVKFHVVPUWGUVAVNUVBUVCWMUVKUWEUWLUNZUWAUVKUVHUWBUFM
      ZVVQUWFUVJVVRUVFUVIUVGVVRUVHHUVDVIVJUVHVVRNUWCUWKUWDABCDEGUWBIJKUQVAURVNX
      LVLUVE $.

    $d K x $.  $d L x y $.  $d V v x y $.
    $( In a ` K `-regular graph, the number of walks of a fixed length ` N `
       from a fixed vertex is ` K ` to the power of ` N ` .  By definition,
       ` ( N WWalksN G ) ` is the set of walks (as words) with length ` N ` ,
       and ` ( P L N ) ` is the number of walks with length ` N ` starting at
       the vertex ` P ` .  Because of the ` K `-regularity, a walk can be
       continued in ` K ` different ways at the end vertex of the walk, and
       this repeated ` N ` times.

       This theorem even holds for ` N = 0 ` : in this case, the walk consists
       of only one vertex ` P ` , so the number of walks of length ` N = 0 `
       starting with ` P ` is ` ( K ^ 0 ) = 1 ` .  (Contributed by Alexander
       van der Vekens, 24-Aug-2018.)  (Revised by AV, 7-May-2021.) $)
    rusgrnumwwlk $p |- ( ( G RegUSGraph K
                           /\ ( V e. Fin /\ P e. V /\ N e. NN0 ) )
                         -> ( P L N ) = ( K ^ N ) ) $=
      ( wcel co cexp wceq wi wa cc0 oveq2 eqeq12d vx vy cfn cn0 crusgr cv caddc
      w3a wbr c1 imbi2d weq cuspgr cusgr rusgrusgr usgruspgr syl rusgrnumwwlkb0
      simpr syl2anr cfusgr c0 wne cc anim12ci isfusgr sylibr ad2antlr frusgrnn0
      simpl ne0i nn0cnd syl3anc exp0d eqtr4d anim1i df-3an rusgrnumwwlks expcom
      syl2an2r a2d nn0ind expd com12 3impia impcom ) IUCLZCILZHUDLZUHEFUEUIZCHG
      MZFHNMZOZWGWHWIWJWMPZWIWGWHQZWNWIWOWJWMWOWJQZCUAUFZGMZFWQNMZOZPWPCRGMZFRN
      MZOZPWPCUBUFZGMZFXDNMZOZPWPCXDUJUGMZGMZFXHNMZOZPWPWMPUAUBHWQROZWTXCWPXLWR
      XAWSXBWQRCGSWQRFNSTUKUAUBULZWTXGWPXMWRXEWSXFWQXDCGSWQXDFNSTUKWQXHOZWTXKWP
      XNWRXIWSXJWQXHCGSWQXHFNSTUKWQHOZWTWMWPXOWRWKWSWLWQHCGSWQHFNSTUKWPXAUJXBWJ
      EUMLZWHXAUJOWOWJEUNLZXPEFUOZEUPUQWGWHUSABCDEGIJKURUTWPFWPEVALZWJIVBVCZFVD
      LWPXQWGQXSWOWGWJXQWGWHVJXRVEEIJVFVGWOWJUSZWHXTWGWJICVKVHXSWJXTUHFEFIJVIVL
      VMVNVOXDUDLZWPXGXKWPYBXGXKPZWPWJYBWGWHYBUHZYCYAWPYBQWOYBQYDWPWOYBWOWJVJVP
      WGWHYBVQVGABCDEFGXDIJKVRVTVSWAWBWCWDWEWF $.
  $}

  ${
    $d G n v w $.  $d K w $.  $d N n v w $.  $d P n v w $.  $d V n v w $.
    rusgrnumwwlkg.v $e |- V = ( Vtx ` G ) $.
    $( In a ` K `-regular graph, the number of walks (as words) of a fixed
       length ` N ` from a fixed vertex is ` K ` to the power of ` N ` .
       Closed form of ~ rusgrnumwwlk .  (Contributed by Alexander van der
       Vekens, 30-Sep-2018.)  (Revised by AV, 7-May-2021.) $)
    rusgrnumwwlkg $p |- ( ( G RegUSGraph K
                            /\ ( V e. Fin /\ P e. V /\ N e. NN0 ) )
           -> ( # ` { w e. ( N WWalksN G ) | ( w ` 0 ) = P } ) = ( K ^ N ) ) $=
      ( vv vn crusgr wcel cn0 wa cv cfv wceq cwwlksn co crab chash wbr cfn cmpo
      w3a cc0 cexp 3simpc adantl eqid rusgrnumwwlklem syl rusgrnumwwlk eqtr3d )
      CDJUAZFUBKZBFKZELKZUDZMZBEHIFLUEANOZHNPAINCQRSTOUCZRZUTBPAECQRSTOZDEUFRUS
      UPUQMZVBVCPURVDUNUOUPUQUGUHAHBICVAEFGVAUIZUJUKAHBICDVAEFGVEULUM $.

    $d G f g p w $.  $d N f g p $.  $d K p $.  $d P f g p $.  $d V p $.
    $( In a k-regular graph, the number of walks of a fixed length n from a
       fixed vertex is k to the power of n.  This theorem corresponds to
       statement 11 in [Huneke] p. 2:  "The total number of walks v(0) v(1) ...
       v(n-2) from a fixed vertex v = v(0) is k^(n-2) as G is k-regular."  This
       theorem even holds for n=0: then the walk consists of only one vertex
       v(0), so the number of walks of length n=0 starting with v=v(0) is
       1=k^0.  (Contributed by Alexander van der Vekens, 24-Aug-2018.)
       (Revised by AV, 7-May-2021.)  (Proof shortened by AV, 5-Aug-2022.) $)
    rusgrnumwlkg $p |- ( ( G RegUSGraph K
                           /\ ( V e. Fin /\ P e. V /\ N e. NN0 ) )
                     -> ( # ` { w e. ( Walks ` G ) | ( ( # ` ( 1st ` w ) ) = N
                                               /\ ( ( 2nd ` w ) ` 0 ) = P ) } )
                        = ( K ^ N ) ) $=
      ( vp vg vf wcel wa cc0 cv cfv wceq cwwlksn co crab chash wbr cfn cn0 c1st
      crusgr w3a c2nd cwlks cexp cvv wf1o wex ovex rabex cuspgr cusgr rusgrusgr
      usgruspgr syl simp3 wlksnwwlknvbij syl2an f1oexbi sylibr hasheqf1oi mpsyl
      rusgrnumwwlkg eqtr3d ) CDUEUAZFUBKZBFKZEUCKZUFZLZMHNOBPZHECQRZSZTOZANZUDO
      TOEPMVSUGOOBPLACUHOSZTOZDEUIRVQUJKVNVQVTINUKIULZVRWAPVOHVPECQUMUNVNVTVQJN
      UKJULZWBVICUOKZVLWCVMVICUPKWDCDUQCURUSVJVKVLUTHJCEBAVAVBVQVTIJVCVDVQVTIUJ
      VEVFHBCDEFGVGVH $.
  $}

  ${
    $d G w $.  $d N w $.  $d X w $.
    clwwlknclwwlkdif.a $e |- A = { w e. ( N WWalksN G ) |
                                  ( ( w ` 0 ) = X /\ ( lastS ` w ) =/= X ) } $.
    clwwlknclwwlkdif.b $e |- B = ( X ( N WWalksNOn G ) X ) $.
    ${
      clwwlknclwwlkdif.c $e |- C = { w e. ( N WWalksN G ) | ( w ` 0 ) = X } $.
      $( The set ` A ` of walks of length ` N ` starting with a fixed vertex
         ` V ` and ending not at this vertex is the difference between the set
         ` C ` of walks of length ` N ` starting with this vertex ` X ` and the
         set ` B ` of closed walks of length ` N ` anchored at this vertex
         ` X ` .  (Contributed by Alexander van der Vekens, 30-Sep-2018.)
         (Revised by AV, 7-May-2021.)  (Revised by AV, 16-Mar-2022.) $)
      clwwlknclwwlkdif $p |- A = ( C \ B ) $=
        ( cc0 cfv wceq wne wa co crab cdif wn eqtri clsw cwwlksn cwwlksnon cvtx
        eqid iswwlksnon difeq12i difrab wcel annotanannot df-ne wwlknlsw neeq1d
        cv bitr3id anbi2d syl5bb rabbiia 3eqtrri ) BKAUNZLGMZUTUALZGNZOZAFEUBPZ
        QZDCRZHVGVAAVEQZVAFUTLZGMZOZAVEQZRVAVKSOZAVEQVFDVHCVLJCGGFEUCPPVLIAGGEF
        EUDLZVNUEUFTUGVAVKAVEUHVMVDAVEVMVAVJSZOUTVEUIZVDVAVJUJVPVOVCVAVOVIGNVPV
        CVIGUKVPVIVBGEFUTULUMUOUPUQURUST $.
    $}

    clwwlknclwwlkdifnum.v $e |- V = ( Vtx ` G ) $.
    $d K w $.  $d V w $.
    $( In a ` K `-regular graph, the size of the set ` A ` of walks of length
       ` N ` starting with a fixed vertex ` X ` and ending not at this vertex
       is the difference between ` K ` to the power of ` N ` and the size of
       the set ` B ` of closed walks of length ` N ` anchored at this vertex
       ` X ` .  (Contributed by Alexander van der Vekens, 30-Sep-2018.)
       (Revised by AV, 7-May-2021.)  (Revised by AV, 8-Mar-2022.)  (Proof
       shortened by AV, 16-Mar-2022.) $)
    clwwlknclwwlkdifnum $p |- ( ( ( G RegUSGraph K /\ V e. Fin )
                                  /\ ( X e. V /\ N e. NN0 ) )
                                -> ( # ` A ) = ( ( K ^ N ) - ( # ` B ) ) ) $=
      ( cfn wcel wa chash cfv wceq co crab adantl crusgr wbr cn0 cc0 cv cwwlksn
      cdif cmin cexp eqid clwwlknclwwlkdif fveq2i a1i cvtx eleq1i biimpi adantr
      wss wwlksnfi rabfi 3syl cwwlksnon iswwlksnon ancom rabbii eqtri syl5eq wi
      simpr ss2rabi eqsstrdi syl2anc simpl rusgrnumwwlkg syl13anc oveq1d 3eqtrd
      hashssdif ) DEUAUBZGLMZNZHGMZFUCMZNZNZBOPZUDAUEZPHQZAFDUFRZSZCUGZOPZWJOPZ
      COPZUHRZEFUIRZWNUHRWFWLQWEBWKOABCWJDFHIJWJUJUKULUMWEWJLMZCWJURZWLWOQWEDUN
      PZLMZWILMWQWAWTWDVTWTVSVTWTGWSLKUOUPTUQDFUSWHAWIUTVAWDWRWAWDCFWGPHQZWHNZA
      WISZWJWDCHHFDVBRRZXCJXDXCQWDXDWHXANZAWISXCAHHDFGKVCXEXBAWIWHXAVDVEVFUMVGX
      BWHAWIXBWHVHWGWIMXAWHVIUMVJVKTWJCVRVLWEWMWPWNUHWEVSVTWBWCWMWPQWAVSWDVSVTV
      MUQWAVTWDVSVTVIUQWDWBWAWBWCVMTWDWCWAWBWCVITAHDEFGKVNVOVPVQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Closed walks as words
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  In general, a closed walk is an alternating sequence of vertices and edges,
  as defined in ~ df-clwlks : p(0) e(f(1)) p(1) e(f(2)) ... p(n-1) e(f(n))
  p(n), with p(n) = p(0).  Often, it is sufficient to refer to a walk by the
  (cyclic) sequence of its vertices, i.e omitting its edges in its
  representation: p(0) p(1) ... p(n-1) p(0), see the corresponding remark on
  cycles (which are special closed walks) in [Diestel] p. 7.  As for "walks as
  words" in general, the concept of a ` Word `, see ~ df-word , is also used in
  Definitions ~ df-clwwlk and ~ df-clwwlkn , and the representation of a
  closed walk as the sequence of its vertices is called "closed walk as word".

  In contrast to "walks as words", the terminating vertex p(n) of a closed walk
  is omitted in the representation of a closed walk as word, see definitions
  ~ df-clwwlk , ~ df-clwwlkn and ~ df-clwwlknon , because it is always equal to
  the first vertex of the closed walk.  This represenation has the advantage
  that the vertices can be cyclically shifted without changing the represented
  closed walk.  Furthermore, the length of a closed walk (i.e. the number of
  its edges) equals the number of symbols/vertices of the word representing the
  closed walk.

  To avoid to handle the degenerate case of representing a (closed) walk of
  length 0 by the empty word, this case is excluded within the definition
  (` w =/= (/) `).  This is because a walk of length 0 is anchored at an
  arbitrary vertex by the general definition for closed walks, see ~ 0clwlkv ,
  which neither can be reflected by the empty word nor by a singleton word
  ` <" v "> ` with vertex v : ` <" v "> ` represents the walk "` v v `",
  which is a (closed) walk of length 1 (if there is an edge/loop from ` v ` to
  ` v `), see ~ loopclwwlkn1b .

  Therefore, a closed walk corresponds to a closed walk as word only for walks
  of length at least 1, see ~ clwlkclwwlk2 or ~ clwlkclwwlken .  Although the
  set ` ClWWalksN ` of all closed walks of a fixed length as words over the set
  of vertices is defined as function over ` NN0 `, the fixed length is usually
  not 0, because ` ( 0 ClWWalksN G ) = (/) ` (see ~ clwwlkn0 ).

  Analogous to ` ( A ( N WWalksNOn G ) B ) `, the set of walks of a fixed
  length ` N ` between two vertices ` A ` and ` B `, the set
  ` ( X ( ClWWalksNOn `` G ) N ) ` of closed walks of a fixed length ` N `
  anchored at a fixed vertex ` X ` is defined by ~ df-clwwlknon .  This
  definition is also based on ` NN0 ` instead of ` NN `, with
  ` ( X ( ClWWalksNOn `` G ) 0 ) = (/) ` (see ~ clwwlk0on0 ).  ~ clwwlknon1le1
  states that there is at most one (closed) walk of length ` 1 ` on a vertex,
  which would consist of a loop (see ~ clwwlknon1loop ).  And in a
  ` K `-regular graph, there are ` K ` closed walks of length ` 2 ` on each
  vertex, see ~ clwwlknon2num .

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Closed walks as words
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c ClWWalks $.

  $( Extend class notation with closed walks (in an undirected graph) as word
     over the set of vertices. $)
  cclwwlk $a class ClWWalks $.

  ${
    $d g i w $.
    $( Define the set of all closed walks (in an undirected graph) as words
       over the set of vertices.  Such a word corresponds to the sequence p(0)
       p(1) ... p(n-1) of the vertices in a closed walk p(0) e(f(1)) p(1)
       e(f(2)) ... p(n-1) e(f(n)) p(n)=p(0) as defined in ~ df-clwlks .  Notice
       that the word does not contain the terminating vertex p(n) of the walk,
       because it is always equal to the first vertex of the closed walk.
       (Contributed by Alexander van der Vekens, 20-Mar-2018.)  (Revised by AV,
       24-Apr-2021.) $)
    df-clwwlk $a |- ClWWalks = ( g e. _V |-> { w e. Word ( Vtx ` g ) |
                     ( w =/= (/) /\ A. i e. ( 0 ..^ ( ( # ` w ) - 1 ) )
                               { ( w ` i ) , ( w ` ( i + 1 ) ) } e. ( Edg ` g )
                       /\ { ( lastS ` w ) , ( w ` 0 ) } e. ( Edg ` g ) ) } ) $.
  $}

  ${
    $d E g $.  $d G g i w $.  $d V g w $.
    clwwlk.v $e |- V = ( Vtx ` G ) $.
    clwwlk.e $e |- E = ( Edg ` G ) $.
    $( The set of closed walks (in an undirected graph) as words over the set
       of vertices.  (Contributed by Alexander van der Vekens, 20-Mar-2018.)
       (Revised by AV, 24-Apr-2021.) $)
    clwwlk $p |- ( ClWWalks ` G ) = { w e. Word V | ( w =/= (/)
                                   /\ A. i e. ( 0 ..^ ( ( # ` w ) - 1 ) )
                                         { ( w ` i ) , ( w ` ( i + 1 ) ) } e. E
                                   /\ { ( lastS ` w ) , ( w ` 0 ) } e. E ) } $=
      ( vg cvv wcel cclwwlk cfv cv c0 co wral wceq cedg cvtx eleq2d wne cpr cc0
      c1 caddc chash cmin cfzo clsw w3a cword df-clwwlk fveq2 eqtr4di wrdeq syl
      crab ralbidv 3anbi23d rabeqbidv id fvexi wrdexg rabexg 3syl fvmptd3 fvprc
      a1i wn noel syl5eq mtbiri adantr intn3an3d ralrimiva rabeq0 sylibr eqtr4d
      wa pm2.61i ) DIJZDKLZAMZNUAZBMZWCLWEUDUEOWCLUBZCJZBUCWCUFLUDUGOUHOZPZWCUI
      LUCWCLUBZCJZUJZAEUKZUQZQWAHDWDWFHMZRLZJZBWHPZWJWPJZUJZAWOSLZUKZUQWNIKIAHB
      ULWODQZWTWLAXBWMXCXAEQXBWMQXCXADSLEWODSUMFUNXAEUOUPXCWRWIWSWKWDXCWQWGBWHX
      CWPCWFXCWPDRLZCWODRUMGUNZTURXCWPCWJXETUSUTWAVAWAEIJZWMIJWNIJXFWAEDSFVBVHE
      IVCWLAWMIVDVEVFWAVIZWBNWNDKVGXGWLVIZAWMPWNNQXGXHAWMXGWCWMJZVSWKWDWIXGWKVI
      XIXGWKWJNJWJVJXGCNWJXGCXDNGDRVGVKTVLVMVNVOWLAWMVPVQVRVT $.

    $d E w $.  $d W i w $.
    $( Properties of a word to represent a closed walk (in an undirected
       graph).  (Contributed by Alexander van der Vekens, 20-Mar-2018.)
       (Revised by AV, 24-Apr-2021.) $)
    isclwwlk $p |- ( W e. ( ClWWalks ` G ) <-> ( ( W e. Word V /\ W =/= (/) )
                                 /\ A. i e. ( 0 ..^ ( ( # ` W ) - 1 ) )
                                    { ( W ` i ) , ( W ` ( i + 1 ) ) } e. E
                                 /\ { ( lastS ` W ) , ( W ` 0 ) } e. E ) ) $=
      ( vw c0 cfv c1 co cpr wcel cc0 chash cmin cfzo clsw wa wne caddc wral w3a
      cv cword crab cclwwlk wceq neeq1 fveq2 oveq1d oveq2d fveq1 preq12d eleq1d
      raleqbidv 3anbi123d elrab clwwlk eleq2i 3anass anass bicomi anbi2i 3bitri
      3bitr4i ) EHUEZIUAZAUEZVHJZVJKUBLZVHJZMZBNZAOVHPJZKQLZRLZUCZVHSJZOVHJZMZB
      NZUDZHDUFZUGZNEWENZEIUAZVJEJZVLEJZMZBNZAOEPJZKQLZRLZUCZESJZOEJZMZBNZUDZTZ
      ECUHJZNWGWHTZWPWTUDZWDXAHEWEVHEUIZVIWHVSWPWCWTVHEIUJXFVOWLAVRWOXFVQWNORXF
      VPWMKQVHEPUKULUMXFVNWKBXFVKWIVMWJVJVHEUNVLVHEUNUOUPUQXFWBWSBXFVTWQWAWRVHE
      SUKOVHEUNUOUPURUSXCWFEHABCDFGUTVAXEXDWPWTTZTWGWHXGTZTXBXDWPWTVBWGWHXGVCXH
      XAWGXAXHWHWPWTVBVDVEVFVG $.
  $}

  ${
    $d G i $.  $d W i $.
    clwwlkbp.v $e |- V = ( Vtx ` G ) $.
    $( Basic properties of a closed walk (in an undirected graph) as word.
       (Contributed by Alexander van der Vekens, 15-Mar-2018.)  (Revised by AV,
       24-Apr-2021.) $)
    clwwlkbp $p |- ( W e. ( ClWWalks ` G )
                      -> ( G e. _V /\ W e. Word V /\ W =/= (/) ) ) $=
      ( vi cclwwlk cfv wcel cvv cword c0 wne wa w3a elfvex cv c1 co cpr cc0
      caddc cedg chash cmin cfzo wral clsw isclwwlk simp1bi 3anass sylanbrc
      eqid ) CAFGHZAIHZCBJHZCKLZMZUNUOUPNCAFOUMUQEPZCGURQUARCGSAUBGZHETCUCGQUDR
      UERUFCUGGTCGSUSHEUSABCDUSULUHUIUNUOUPUJUK $.
  $}

  $( There is no empty closed walk (i.e. a closed walk without any edge)
     represented by a word of vertices.  (Contributed by Alexander van der
     Vekens, 15-Sep-2018.)  (Revised by AV, 24-Apr-2021.) $)
  clwwlkgt0 $p |- ( W e. ( ClWWalks ` G ) -> 0 < ( # ` W ) ) $=
    ( cclwwlk cfv wcel cvv cvtx cword c0 wne w3a cc0 chash clt wbr eqid hashgt0
    clwwlkbp 3adant1 syl ) BACDEAFEZBAGDZHZEZBIJZKLBMDNOZAUBBUBPRUDUEUFUABUCQST
    $.

  ${
    $d G i w $.
    $( Closed walks (represented by words) are words.  (Contributed by
       Alexander van der Vekens, 25-Mar-2018.)  (Revised by AV,
       25-Apr-2021.) $)
    clwwlksswrd $p |- ( ClWWalks ` G ) C_ Word ( Vtx ` G ) $=
      ( vw vi cv c0 wne cfv c1 caddc co cpr cedg wcel chash cmin cfzo wral clsw
      cc0 eqid w3a cvtx cword cclwwlk clwwlk ssrab3 ) BDZEFCDZUGGUHHIJUGGKALGZM
      CSUGNGHOJPJQUGRGSUGGKUIMUABAUBGZUCAUDGBCUIAUJUJTUITUEUF $.
  $}

  ${
    $d G i $.  $d W i $.
    $( A closed walk of length 1 is a loop.  See also ~ clwlkl1loop .
       (Contributed by AV, 24-Apr-2021.) $)
    clwwlk1loop $p |- ( ( W e. ( ClWWalks ` G ) /\ ( # ` W ) = 1 )
                         -> { ( W ` 0 ) , ( W ` 0 ) } e. ( Edg ` G ) ) $=
      ( vi cclwwlk cfv wcel chash c1 wceq cc0 cpr cedg cvtx cword c0 wa co eqid
      wi imp wne cv caddc cmin cfzo wral clsw w3a isclwwlk preq1d eleq1d biimpd
      lsw1 ex com23 adantr 3adant2 sylbi ) BADEFZBGEZHIZJBEZVBKZALEZFZUSBAMEZNF
      ZBOUAZPZCUBZBEVJHUCQBEKVDFCJUTHUDQUEQUFZBUGEZVBKZVDFZUHVAVESZCVDAVFBVFRVD
      RUIVIVNVOVKVIVNVOVGVNVOSVHVGVAVNVEVGVAVNVESVGVAPZVNVEVPVMVCVDVPVLVBVBVFBU
      MUJUKULUNUOUPTUQURT $.
  $}

  ${
    $d A i j $.  $d B i j $.  $d G i j $.
    $( Lemma for ~ clwwlkccat : index ` j ` is shifted up by ` ( # `` A ) ` ,
       and the case ` i = ( ( # `` A ) - 1 ) ` is covered by the "bridge"
       ` { ( lastS `` A ) , ( B `` 0 ) } = { ( lastS `` A ) , ( A `` 0 ) } `
       ` e. ( Edg `` G ) ` .  (Contributed by AV, 23-Apr-2022.) $)
    clwwlkccatlem $p |- ( ( ( ( A e. Word ( Vtx ` G ) /\ A =/= (/) )
                            /\ A. i e. ( 0 ..^ ( ( # ` A ) - 1 ) )
                               { ( A ` i ) , ( A ` ( i + 1 ) ) } e. ( Edg ` G )
                            /\ { ( lastS ` A ) , ( A ` 0 ) } e. ( Edg ` G ) )
                          /\ ( ( B e. Word ( Vtx ` G ) /\ B =/= (/) )
                            /\ A. j e. ( 0 ..^ ( ( # ` B ) - 1 ) )
                               { ( B ` j ) , ( B ` ( j + 1 ) ) } e. ( Edg ` G )
                            /\ { ( lastS ` B ) , ( B ` 0 ) } e. ( Edg ` G ) )
                          /\ ( A ` 0 ) = ( B ` 0 ) )
     -> A. i e. ( 0 ..^ ( ( # ` ( A ++ B ) ) - 1 ) )
        { ( ( A ++ B ) ` i ) , ( ( A ++ B ) ` ( i + 1 ) ) } e. ( Edg ` G ) ) $=
      ( cfv wcel wa c1 caddc co cpr cc0 cmin cfzo wral wceq wi adantr cuz cword
      cvtx c0 wne cv cedg chash w3a cconcat cun csn simplll simplr wss cz lencl
      nn0zd fzossrbm1 syl ad2antrr sselda ccatval1 syl3anc elfzom1elp1fzo sylan
      clsw preq12d eleq1d biimprd ralimdva impancom 3adant3 com12 impcom simprl
      3ad2ant1 simpll simprr ccatval1lsw cc nn0cnd npcan1 ad2antrl fveq2d eqtrd
      ccatval21sw simpr eqtr4d exbiri com23 expimpd 3adant2 3imp ralunb fvoveq1
      ovex fveq2 ralsn anbi2i bitri sylanbrc wb 0z lennncl fveq2i eleq2i elnnuz
      0p1e1 bitr4i sylibr fzosplitsnm1 sylancr raleqdv mpbird anim1ci fzosubel3
      cn peano2zm rspcv 3syl simp-4l cn0 nn0addcl syl2an 1nn0 eluzmn addsubassd
      sylancl 1cnd eleqtrd fzoss2 ccatval2 oveq2d eleq2d ad3antrrr fzoss1 sseld
      sylbird imp jca simpl zaddcl elfzoelz 1zzd elfzomelpfzo mpbid zcnd adantl
      addsubd sylibrd ralrimiv exp31 expcom com24 ccatlen oveq1d ad2ant2r sylib
      elnn0uz nnm1nn0 fzoun 3ad2antr1 3ad2antl1 ) AEUBFZUAZGZAUCUDZHZCUEZAFZUVI
      IJKZAFZLZEUFFZGZCMAUGFZINKZOKZPZAVFFZMAFZLZUVNGZUHZBUVEGZBUCUDZHZDUEZBFZU
      WHIJKBFZLZUVNGZDMBUGFZINKZOKZPZBVFFMBFZLUVNGZUHZUWAUWQQZUHZUVIABUIKZFZUVK
      UXBFZLZUVNGZCMUXBUGFZINKZOKZPUXFCMUVPOKZUVPUVPUWNJKZOKZUJZPZUXAUXFCUXJPZU
      XFCUXLPZUXNUXAUXOUXFCUVRUVQUKZUJZPZUXAUXFCUVRPZUVQUXBFZUVQIJKZUXBFZLZUVNG
      ZUXSUWDUWSUXTUWTUWSUWDUXTUWGUWPUWDUXTRZUWRUWEUYFUWFUWDUWEUXTUVHUVSUWEUXTR
      UWCUVHUWEUVSUXTUVHUWEHZUVOUXFCUVRUYGUVIUVRGZHZUXFUVOUYIUXEUVMUVNUYIUXCUVJ
      UXDUVLUYIUVFUWEUVIUXJGUXCUVJQUVFUVGUWEUYHULZUVHUWEUYHUMZUYGUVRUXJUVIUVFUV
      RUXJUNZUVGUWEUVFUVPUOGZUYLUVFUVPUVDAUPZUQZUVPURUSUTVAUVDUVDABUVIVBVCUYIUV
      FUWEUVKUXJGZUXDUVLQUYJUYKUYGUYMUYHUYPUVFUYMUVGUWEUYOUTUVIUVPVDVEUVDUVDABU
      VKVBVCVGVHVIVJVKVLVMSVPVNVLUWDUWSUWTUYEUVHUWCUWSUWTUYERZRUVSUWSUVHUWCHZUY
      QUWGUWPUYRUYQRUWRUWGUVHUWCUYQUWGUVHHZUWTUWCUYEUYSUWTUYEUWCUYSUWTHZUYDUWBU
      VNUYTUYAUVTUYCUWAUYSUYAUVTQZUWTUYSUVFUWEUVGVUAUWGUVFUVGVOZUWEUWFUVHVQZUWG
      UVFUVGVRABUVDVSVCSUYTUYCUWQUWAUYSUYCUWQQUWTUYSUYCUVPUXBFZUWQUYSUYBUVPUXBU
      VFUYBUVPQZUWGUVGUVFUVPVTGZVUEUVFUVPUYNWAZUVPWBUSWCWDUYSUVFUWEUWFVUDUWQQVU
      BVUCUWEUWFUVHUMABUVDWFVCWESUYSUWTWGWHVGVHWIWJWKVPVMWLWMUXSUXTUXFCUXQPZHUX
      TUYEHUXFCUVRUXQWNVUHUYEUXTUXFUYECUVQUVPINWPUVIUVQQZUXEUYDUVNVUIUXCUYAUXDU
      YCUVIUVQUXBWQUVIUVQIUXBJWOVGVHWRWSWTXAUWDUWSUXOUXSXBZUWTUVHUVSVUJUWCUVHUX
      FCUXJUXRUVHMUOGUVPMIJKZTFZGZUXJUXRQXCUVHUVPXQGZVUMUVDAXDVUMUVPITFZGVUNVUL
      VUOUVPVUKITXHXEXFUVPXGXIXJMUVPXKXLXMVPVPXNUWDUWSUWTUXPUVHUVSUWSUWTUXPRZRU
      WCUWSUVHVUPUWGUWPUVHVUPRZUWRUWGUWPVUQUWGUWTUVHUWPUXPUWGUVHUWTUWPUXPRZUVHU
      WGUWTVURRUVHUWGHZUWTUWPUXPVUSUWTHZUWPHUXFCUXLVUTUVIUXLGZUWPUXFVUTVVAHZUWP
      UVIUVPNKZBFZVVCIJKZBFZLZUVNGZUXFVVBVVAUWNUOGZHVVCUWOGUWPVVHRVUTVVIVVAVUSV
      VIUWTUWEVVIUVHUWFUWEUWMUOGZVVIUWEUWMUVDBUPZUQZUWMXRUSWCSXOUVIUVPUWNXPUWLV
      VHDVVCUWOUWHVVCQZUWKVVGUVNVVMUWIVVDUWJVVFUWHVVCBWQUWHVVCIBJWOVGVHXSXTVVBU
      XEVVGUVNVVBUXCVVDUXDVVFVVBUVFUWEUVIUVPUVPUWMJKZOKZGUXCVVDQUVFUVGUWGUWTVVA
      YAZVUSUWEUWTVVAUVHUWEUWFVOUTZVUTUXLVVOUVIVUSUXLVVOUNZUWTVUSVVNUXKTFZGVVRV
      USVVNVVNINKZTFZVVSVUSVVNUOGZIYBGZVVNVWAGUVHUVPYBGZUWMYBGZVWBUWGUVFVWDUVGU
      YNSUWEVWEUWFVVKSVWDVWEHVVNUVPUWMYCUQYDYEVVNIYFYHVUSVVTUXKTVUSUVPUWMIUVFVU
      FUVGUWGVUGUTZUWEUWMVTGUVHUWFUWEUWMVVKWAWCVUSYIYGZWDYJUXKUVPVVNYKUSSVAUVDA
      BUVIYLVCVVBUXDUVKUVPNKZBFZVVFVVBUVFUWEUVKVVOGZUXDVWIQVVPVVQVVBUVIUVQVVTOK
      ZGZVWJVUTVVAVWLVUTVVAUVIUVPVVTOKZGZVWLVUSVWNVVAXBUWTVUSVWMUXLUVIVUSVVTUXK
      UVPOVWGYMYNSVUTVWMVWKUVIVUTUVPUVQTFGZVWMVWKUNUVFVWOUVGUWGUWTUVFUYMVWCVWOU
      YOYEUVPIYFYHYOUVPUVQVVTYPUSYQYRYSVUTUYMVWBHZUVIUOGZIUOGZHVWLVWJXBVVAVUSVW
      PUWTUVHUYMVVJVWPUWGUVFUYMUVGUYOSUWEVVJUWFVVLSUYMVVJHUYMVWBUYMVVJUUAUVPUWM
      UUBYTYDSVVAVWQVWRUVIUVPUXKUUCZVVAUUDYTUVIIUVPVVNUUEYDUUFUVDABUVKYLVCVVBVW
      HVVEBVVBUVIIUVPVVAUVIVTGVUTVVAUVIVWSUUGUUHVVBYIVUSVUFUWTVVAVWFUTUUIWDWEVG
      VHUUJVKUUKUULUUMWJUUNYSVLVMVPWMUXFCUXJUXLWNXAUXAUXFCUXIUXMUWDUWSUXIUXMQZU
      WTUVHUVSUWSVWTUWCUVHUWPUWGVWTUWRVUSUXIMUXKOKZUXMVUSUXHUXKMOVUSUXHVVTUXKUV
      FUWEUXHVVTQUVGUWFUVFUWEHUXGVVNINUVDUVDABUUOUUPUUQVWGWEYMUVHUVPMTFGZUWNYBG
      ZVXAUXMQUWGUVFVXBUVGUVFVWDVXBUYNUVPUUSUURSUWGUWMXQGVXCUVDBXDUWMUUTUSMUVPU
      WNUVAYDWEUVBUVCVLXMXN $.

    $( The concatenation of two words representing closed walks anchored at the
       same vertex represents a closed walk.  The resulting walk is a "double
       loop", starting at the common vertex, coming back to the common vertex
       by the first walk, following the second walk and finally coming back to
       the common vertex again.  (Contributed by AV, 23-Apr-2022.) $)
    clwwlkccat $p |- ( ( A e. ( ClWWalks ` G ) /\ B e. ( ClWWalks ` G )
                         /\ ( A ` 0 ) = ( B ` 0 ) )
                       -> ( A ++ B ) e. ( ClWWalks ` G ) ) $=
      ( vi vj cfv wcel c0 wne wa c1 co cpr cc0 chash cmin cfzo wral w3a wceq cv
      cvtx cword caddc cedg clsw cconcat cclwwlk simp1l ccatcl wb ccat0 adantlr
      syl2an simpr syl6bi necon3d 3ad2antr1 3ad2antl1 jca 3adant3 clwwlkccatlem
      impr simpl1l simpr1l simpr1r lswccatn0lsw syl3anc clt wbr 3ad2ant1 adantr
      hashgt0 ccatfv0 simp3 preq12d simp23 eqeltrd 3jca eqid isclwwlk 3anbi123i
      eqtrd biid 3imtr4i ) ACUBFZUCZGZAHIZJZDUAZAFWKKUDLZAFMCUEFZGDNAOFZKPLQLRZ
      AUFFNAFZMWMGZSZBWGGZBHIZJZEUAZBFXBKUDLBFMWMGENBOFKPLQLRZBUFFZNBFZMZWMGZSZ
      WPXETZSZABUGLZWGGZXKHIZJZWKXKFWLXKFMWMGDNXKOFKPLQLRZXKUFFZNXKFZMZWMGZSACU
      HFZGZBXTGZXISXKXTGXJXNXOXSWRXHXNXIWRXHJZXLXMWRWHWSXLXHWHWIWOWQUIWSWTXCXGU
      IWFABUJUNWJWOXHXMWQWJXCXAXMXGWJWSWTXMWJWSJZXKHBHYDXKHTZAHTZBHTZJZYGWHWSYE
      YHUKWIWFWFABULUMYFYGUOUPUQVCURUSUTVAABDECVBXJXRXFWMXJXPXDXQXEWRXHXPXDTZXI
      YCWHWSWTYIWHWIWOWQXHVDZWSWTXCXGWRVEZWSWTXCXGWRVFABWFVGVHVAXJXQWPXEWRXHXQW
      PTZXIYCWHWSNWNVIVJZYLYJYKWRYMXHWJWOYMWQAWGVMVKVLABWFVNVHVAWRXHXIVOWCVPWRX
      AXCXGXIVQVRVSYAWRYBXHXIXIDWMCWFAWFVTZWMVTZWAEWMCWFBYNYOWAXIWDWBDWMCWFXKYN
      YOWAWE $.
  $}

  $( A closed walk in a multigraph has a length of at least 2 (because it
     cannot have a loop).  (Contributed by Alexander van der Vekens,
     16-Sep-2018.)  (Revised by AV, 24-Apr-2021.) $)
  umgrclwwlkge2 $p |- ( G e. UMGraph -> ( P e. ( ClWWalks ` G )
                                           -> 2 <_ ( # ` P ) ) ) $=
    ( cumgr wcel cclwwlk cfv c2 chash cle wa cc0 wne c1 w3a c0 eqid adantl wceq
    wi expcom wbr cn0 cvv cvtx cword clwwlkbp 3ad2ant2 hasheq0 bicomd necon3bid
    lencl biimpd a1i 3imp cedg clwwlk1loop umgredgne eqneqall mpsyl com23 imp4c
    cpr syl6 wn neqne a1d pm2.61i 3jca mpdan nn0n0n1ge2 syl ex ) BCDZABEFDZGAHF
    ZIUAZVMVNJZVOUBDZVOKLZVOMLZNZVPVQBUCDZABUDFZUEZDZAOLZNZWAVNWGVMBWCAWCPUFQVQ
    WGJZVRVSVTWGVRVQWEWBVRWFWCAUKUGQWGVSVQWBWEWFVSWEWFVSSSWBWEWFVSWEAOVOKWEVOKR
    AORAWDUHUIUJULUMUNQVOMRZWHVTSWIVMVNWGVTWIVNVMWGVTSZWIVNKAFZWKVBBUOFZDZVMWJS
    VNWIWMBAUPTVMWMWJWKWKRVMWMJWKWKLWJWKPWLBWKWKWLPUQWJWKWKURUSTVCUTVAWIVDVTWHV
    OMVEVFVGVHVIVOVJVKVL $.

  ${
    $d E i $.  $d P i $.
    $( Lemma 1 for ~ clwlkclwwlklem2a .  (Contributed by Alexander van der
       Vekens, 21-Jun-2018.)  (Revised by AV, 11-Apr-2021.) $)
    clwlkclwwlklem2a1 $p |- ( ( P e. Word V /\ 2 <_ ( # ` P ) )
              -> ( ( ( lastS ` P ) = ( P ` 0 )
                     /\ ( A. i e. ( 0 ..^ ( ( ( ( # ` P ) - 1 ) - 0 ) - 1 ) )
                          { ( P ` i ) , ( P ` ( i + 1 ) ) } e. ran E
                     /\ { ( P ` ( ( # ` P ) - 2 ) ) , ( P ` 0 ) } e. ran E ) )
                   -> A. i e. ( 0 ..^ ( ( # ` P ) - 1 ) )
                          { ( P ` i ) , ( P ` ( i + 1 ) ) } e. ran E ) ) $=
      ( wcel c2 cfv wa cc0 wceq c1 co cmin cfzo wral wi eqtrd adantr oveq2d a1i
      cword chash cle wbr cv caddc cpr crn csn cun cn0 cc lencl nn0cn peano2cnm
      clsw subid1d oveq1d sub1m1 raleqdv biimpcd adantl impcom lsw 2m1e1 eqcomd
      3syl syl 2cnd subsubd fveq2d wb eqeq1 mpbid preq2d eleq1d biimpd ex com13
      1cnd cvv ovexd fveq2 fvoveq1 preq12d ralunsn mpbir2and 1e2m1 cuz cz nn0re
      cr 2re subge0d biimprd nn0z 2z zsubcld jctild elnn0z sylibr elnn0uz sylib
      imp fzosplitsn mpbird ) ADUAZEZFAUBGZUCUDZHZAUPGZIAGZJZBUEZAGZXOKUFLAGZUG
      ZCUHZEZBIXIKMLZIMLZKMLZNLZOZXIFMLZAGZXMUGZXSEZHZHZXTBIYANLZOZXKYKHZYMXTBI
      YFNLZYFUIUJZOZYNYQXTBYOOZYGYFKUFLZAGZUGZXSEZYKXKYRYJXKYRPZXNYEUUCYIXKYEYR
      XKXTBYDYOXKYCYFINXHYCYFJZXJXHXIUKEZXIULEZUUDDAUMZXIUNZUUFYCYAKMLYFUUFYBYA
      KMUUFYAXIUOUQURXIUSQVGRSUTVARVBVCYKXKUUBYJXNXKUUBPZYIXNUUIPYEXKXNYIUUBXKX
      NYIUUBPXKXNHZYIUUBUUJYHUUAXSUUJXMYTYGUUJXLYTJZXMYTJZXKUUKXNXHUUKXJXHXLYAA
      GYTAXGVDXHYAYSAXHYAXIFKMLZMLZYSXHKUUMXIMXHUUMKUUMKJXHVETVFSXHXIFKXHUUEUUF
      UUGUUHVHXHVIXHVTVJZQVKQRRXNUUKUULVLXKXLXMYTVMVBVNVOVPVQVRVSVBVCVCYNYFWAEY
      QYRUUBHVLYNXIFMWBXTUUBBYOYFWAXOYFJZXRUUAXSUUPXPYGXQYTXOYFAWCXOYFKAUFWDWEV
      PWFVHWGYNXTBYLYPXKYLYPJYKXKYLIYSNLZYPXHYLUUQJXJXHYAYSINXHYAUUNYSXHKUUMXIM
      KUUMJXHWHTSUUOQSRXKYFIWIGEZUUQYPJXKYFUKEZUURXKYFWJEZIYFUCUDZHZUUSXHXJUVBX
      HUUEXJUVBPUUGUUEXJUVAUUTUUEUVAXJUUEXIFXIWKFWLEUUEWMTWNWOUUEXIFXIWPFWJEUUE
      WQTWRWSVHXDYFWTXAYFXBXCIYFXEVHQRUTXFVR $.
  $}

  ${
    $d P x $.
    clwlkclwwlklem2.f $e |- F = ( x e. ( 0 ..^ ( ( # ` P ) - 1 ) ) |->
                            if ( x < ( ( # ` P ) - 2 ) ,
                                 ( `' E ` { ( P ` x ) , ( P ` ( x + 1 ) ) } ) ,
                                 ( `' E ` { ( P ` x ) , ( P ` 0 ) } ) ) ) $.
    $( Lemma 2 for ~ clwlkclwwlklem2a .  (Contributed by Alexander van der
       Vekens, 21-Jun-2018.) $)
    clwlkclwwlklem2a2 $p |- ( ( P e. Word V /\ 2 <_ ( # ` P ) )
                               -> ( # ` F ) = ( ( # ` P ) - 1 ) ) $=
      ( wcel c2 chash cfv wbr wa c1 cmin co cn0 cc0 clt adantr cr cword cle wfn
      cfzo wceq cn lencl cz nn0z 0red 2re a1i nn0re 2pos simpr ltletrd sylanbrc
      elnnz sylan nnm1nn0 syl cv caddc cpr ccnv cif fvex ifex ffzo0hash sylancl
      fnmpti ) BEUAGZHBIJZUBKZLZVMMNOZPGZDQVPUDOZUCDIJVPUEVOVMUFGZVQVLVMPGZVNVS
      EBUGVTVNLZVMUHGZQVMRKVSVTWBVNVMUISWAQHVMWAUJHTGWAUKULVTVMTGVNVMUMSQHRKWAU
      NULVTVNUOUPVMURUQUSVMUTVAAVRAVBZVMHNORKZWCBJZWCMVCOBJVDZCVEZJZWEQBJVDZWGJ
      ZVFDWDWHWJWFWGVGWIWGVGVHFVKDVPVIVJ $.

    $d E x $.  $d V x $.
    $( Lemma 3 for ~ clwlkclwwlklem2a .  (Contributed by Alexander van der
       Vekens, 21-Jun-2018.) $)
    clwlkclwwlklem2a3 $p |- ( ( P e. Word V /\ 2 <_ ( # ` P ) )
                                -> ( P ` ( # ` F ) ) = ( lastS ` P ) ) $=
      ( cword wcel c2 chash cfv cle wbr wa clsw c1 cmin co wceq lsw adantr
      clwlkclwwlklem2a2 eqcomd fveq2d eqtr2d ) BEGZHZIBJKZLMZNZBOKZUHPQRZBKZDJK
      ZBKUGUKUMSUIBUFTUAUJULUNBUJUNULABCDEFUBUCUDUE $.

    $d I x $.
    $( Lemma 4a for ~ clwlkclwwlklem2a .  (Contributed by Alexander van der
       Vekens, 22-Jun-2018.) $)
    clwlkclwwlklem2fv1 $p |- ( ( ( # ` P ) e. NN0
                                   /\ I e. ( 0 ..^ ( ( # ` P ) - 2 ) ) )
               -> ( F ` I ) = ( `' E ` { ( P ` I ) , ( P ` ( I + 1 ) ) } ) ) $=
      ( cfv wcel cc0 c2 cmin co cfzo clt wbr c1 caddc cpr cz a1i chash cn0 ccnv
      wa cv cif cvv wceq breq1 fvoveq1 preq12d fveq2d preq1d ifbieq12d elfzolt2
      fveq2 adantl iftrued sylan9eqr cuz wss cle nn0z zsubcld peano2zm syl 1red
      2z cr 2re nn0re 1le2 lesub2dd eluz2 syl3anbrc fzoss2 sselda fvexd fvmptd2
      ) BUAGZUBHZEIVTJKLZMLZHZUDZAEAUEZWBNOZWFBGZWFPQLBGZRZCUCZGZWHIBGZRZWKGZUF
      ZEBGZEPQLBGZRZWKGZIVTPKLZMLZDUGFWFEUHZWEWPEWBNOZWTWQWMRZWKGZUFWTXCWGXDWLW
      OWTXFWFEWBNUIXCWJWSWKXCWHWQWIWRWFEBUPZWFEPBQUJUKULXCWNXEWKXCWHWQWMXGUMULU
      NWEXDWTXFWDXDWAEIWBUOUQURUSWAWCXBEWAXAWBUTGHZWCXBVAWAWBSHXASHZWBXAVBOXHWA
      VTJVTVCZJSHWAVHTVDWAVTSHXIXJVTVEVFWAPJVTWAVGJVIHWAVJTVTVKPJVBOWAVLTVMWBXA
      VNVOWBIXAVPVFVQWEWSWKVRVS $.

    $( Lemma 4b for ~ clwlkclwwlklem2a .  (Contributed by Alexander van der
       Vekens, 22-Jun-2018.) $)
    clwlkclwwlklem2fv2 $p |- ( ( ( # ` P ) e. NN0 /\ 2 <_ ( # ` P ) )
                 -> ( F ` ( ( # ` P ) - 2 ) )
                    = ( `' E ` { ( P ` ( ( # ` P ) - 2 ) ) , ( P ` 0 ) } ) ) $=
      ( cfv cn0 wcel c2 wbr wa co clt c1 cpr cc0 cz adantr cr a1i chash cmin cv
      cle caddc ccnv cif cfzo cvv wceq wn wi simpr nn0z 2z jctir zsubcl eqeltrd
      syl ex wb zre nn0re 2re resubcld lttri3 syl2anr simpl syl6bi syld pm2.43i
      com13 impcom iffalsed fveq2 adantl preq1d fveq2d eqtrd cn subge0d biimpar
      elnn0z sylanbrc nn0ge2m1nn 1red ltsub2dd elfzo0 syl3anbrc fvexd fvmptd2
      1lt2 ) BUAFZGHZIWMUDJZKZAWMIUBLZAUCZWQMJZWRBFZWRNUELBFOCUFZFZWTPBFZOZXAFZ
      UGZWQBFZXCOZXAFZPWMNUBLZUHLZDUIEWPWRWQUJZKZXFXEXIXMWSXBXEXLWPWSUKZXLWPXNU
      LWPXLXLXNWPXLWRQHZXLXNULZWPXLXOXMWRWQQWPXLUMWPWQQHZXLWNXQWOWNWMQHZIQHZKZX
      QWNXRXSWMUNUOUPZWMIUQZUSRRURUTWPXOXPWPXOKXLXNWQWRMJUKZKZXNXOWRSHWQSHZXLYD
      VAWPWRVBWNYEWOWNWMIWMVCZISHZWNVDTZVERWRWQVFVGXNYCVHVIUTVJVLVKVMVNXMXDXHXA
      XMWTXGXCXLWTXGUJWPWRWQBVOVPVQVRVSWPWQGHZXJVTHWQXJMJWQXKHWPXQPWQUDJZYIWPXT
      XQWNXTWOYARYBUSWNYJWOWNWMIYFYHWAWBWQWCWDWMWEWPNIWMWPWFYGWPVDTWNWMSHWOYFRN
      IMJWPWLTWGWQXJWHWIWPXHXAWJWK $.

    $( Lemma 4 for ~ clwlkclwwlklem2a .  (Contributed by Alexander van der
       Vekens, 21-Jun-2018.)  (Revised by AV, 11-Apr-2021.) $)
    clwlkclwwlklem2a4 $p |- ( ( E : dom E -1-1-> R /\ P e. Word V
                                /\ 2 <_ ( # ` P ) )
    -> ( ( ( lastS ` P ) = ( P ` 0 ) /\ I e. ( 0 ..^ ( ( # ` P ) - 1 ) ) )
         -> ( { ( P ` I ) , ( P ` ( I + 1 ) ) } e. ran E
              -> ( E ` ( F ` I ) ) = { ( P ` I ) , ( P ` ( I + 1 ) ) } ) ) ) $=
      ( wcel c2 cfv cc0 wceq c1 cmin co wa wi adantr imp cdm wf1 cword cle clsw
      chash wbr w3a cfzo caddc cpr crn fveq2 cn0 lencl clwlkclwwlklem2fv2 sylan
      ccnv sylan9eqr ex 3adant1 ad2antrr impcom fveq2d wf1o 3ad2ant1 lsw eqeq1d
      f1f1orn cc nn0cn id 2cnd 1cnd subsubd 2m1e1 a1i oveq2d eqtr3d 3syl eqcoms
      wb eqeq2 adantl mpbird sylbid 3ad2ant2 com12 preq2d fvoveq1 eleq1d biimpd
      preq12d impancom f1ocnvfv2 syl2an2 eqcom biimpi 1e2m1 eqtrd eqtr4d 3eqtrd
      syl exp31 wn simpll cn clt eqtrdi eleq2d 2cn subidi eqeq2d notbid anbi12d
      oveq1 csn elsni pm2.24d fzo01 eleq2s syl6bi adantld wne df-ne nn0re simpr
      cr 2re leltned elfzo0 simp-4l cz nn0z zsubcld posdifd biimpa elnnz com23
      2z sylanbrc ad5ant24 peano2zm zltlem1 syl2an subsub4d 1p1e2 breq2d bitr2i
      bitrd necom resubcld ad2antlr leltne bicomd syl5bi 3jca exp41 com25 sylbi
      syl3anc 3adant2 com13 sylbird syl5bir pm2.61i jca expd clwlkclwwlklem2fv1
      sylibr simprr pm2.61ian ) DUAZCDUBZBGUCZIZJBUFKZUDUGZUHZBUEKZLBKZMZFLUVQN
      OPZUIPZIZQZFBKZFNUJPBKZUKZDULZIZFEKZDKZUWIMZFUVQJOPZMZUVSUWFQZUWKQZUWNUWP
      UWRQZUWMUWOBKZUWAUKZDURZKZDKZUXAUWIUWSUWLUXCDUWRUWPUWLUXCMZUVSUWPUXERZUWF
      UWKUVPUVRUXFUVNUVPUVRQZUWPUXEUWPUXGUWLUWOEKZUXCFUWOEUMUVPUVQUNIZUVRUXHUXC
      MGBUOZABDEHUPUQUSUTVAVBVCVDUWRUVMUWJDVEZUWPUXAUWJIZUXDUXAMUVSUXKUWFUWKUVN
      UVPUXKUVRUVMCDVIVFVBZUWRUWPUXLUWQUWPUWKUXLUWQUWPQZUWKUXLUXNUWIUXAUWJUXNUW
      IUXAMZUWTUWONUJPZBKZUKZUXAMZUXNUXQUWAUWTUWQUXQUWAMZUWPUWFUVSUXTUWBUVSUXTR
      UWEUVSUWBUXTUVPUVNUWBUXTRUVRUVPUWBUWCBKZUWAMZUXTUVPUVTUYAUWABUVOVGVHZUVPU
      YBUXTUVPUYBQZUXTUXQUYAMZUYDUXPUWCBUVPUXPUWCMZUYBUVPUXIUVQVJIZUYFUXJUVQVKZ
      UYGUVQJNOPZOPZUXPUWCUYGUVQJNUYGVLUYGVMUYGVNVOUYGUYINUVQOUYINMUYGVPVQVRVSV
      TSVDUYBUXTUYEWBZUVPUYKUWAUYAUWAUYAUXQWCWAWDWEUTWFWGWHSVCSWIUWPUXOUXSWBUWQ
      UWPUWIUXRUXAUWPUWGUWTUWHUXQFUWOBUMFUWONBUJWJWMZVHWDWEWKWLWNVCUVMUWJUXADWO
      WPUWRUWPUXAUWIMZUWQUWPUYMRZUWKUWFUVSUYNUWBUVSUYNRUWEUVSUWBUYNUVPUVNUWBUYN
      RUVRUVPUWBUWPUYMUVPUWBQZUWPQUXAUXRUWIUYOUXAUXRMUWPUYOUWAUXQUWTUVPUWBUWAUX
      QMZUVPUWBUYBUYPUYCUVPUYBUYPUYBUVPUWAUYAUXQUYBUWAUYAMUYAUWAWQWRUVPUWCUXPBU
      VPUWCUYJUXPUVPNUYIUVQONUYIMUVPWSVQVRUVPUVQJNUVPUXIUYGUXJUYHXCUVPVMUVPVNVO
      WTVDUSUTWFTWISUWPUWIUXRMUYOUYLWDXAXDWGWHSVCSVCXBUWPXEZUWRQZUWMUWIUXBKZDKZ
      UWIUYRUWLUYSDUYRUXIFLUWOUIPIZQZUWLUYSMUWRUYQVUBUWQUYQVUBRZUWKUWFUVSVUCUWE
      UVSVUCRUWBUVSUWEVUCUVSUWEUYQVUBUVPUVRUWEUYQQZVUBRZUVNUVPUVRVUEUVPUXIUVRVU
      ERUXJUXIUVRVUDVUBUXIUVRQZVUDQZUXIVUAUXIUVRVUDXFVUGFUNIZUWOXGIZFUWOXHUGZUH
      ZVUAUVQJMZVUGVUKRVULVUDVUKVUFVULVUDFLNUIPZIZFLMZXEZQVUKVULUWEVUNUYQVUPVUL
      UWDVUMFVULUWCNLUIVULUWCUYINUVQJNOXPVPXIVRXJVULUWPVUOVULUWOLFVULUWOJJOPLUV
      QJJOXPJXKXLXIXMXNXOVUNVUPVUKVUPVUKRFLXQZVUMFVUQIVUOVUKFLXRXSXTYATYBYCVUGV
      ULXEZVUKVUFVUDVURVUKRVUFVURVUDVUKVURUVQJYDZVUFVUDVUKRZUVQJYEVUFVUSJUVQXHU
      GZVUTVUFJUVQJYHIZVUFYIVQUXIUVQYHIUVRUVQYFZSUXIUVRYGYJUXIVVAVUTRUVRVUDVVAU
      XIVUKUWEUYQVVAUXIVUKRRZUWEVUHUWCXGIZFUWCXHUGZUHUYQVVDRZFUWCYKVUHVVFVVGVVE
      VUHVVFVVGVUHUXIUYQVVAVVFVUKVUHUXIUYQVVAVVFVUKRVUHUXIQZUYQQZVVAQZVVFVUKVVJ
      VVFQVUHVUIVUJVUHUXIUYQVVAVVFYLUXIVVAVUIVUHUYQVVFUXIVVAQUWOYMIZLUWOXHUGZVU
      IUXIVVKVVAUXIUVQJUVQYNZJYMIUXIYTVQYOSUXIVVAVVLUXIJUVQVVBUXIYIVQZVVCYPYQUW
      OYRUUAUUBVVJVVFVUJVVIVVFVUJRZVVAVVHUYQVVOVVHVVFUYQVUJVVHVVFFUWOUDUGZUYQVU
      JRZVVHVVFFUWCNOPZUDUGZVVPVUHFYMIUWCYMIZVVFVVSWBUXIFYNUXIUVQYMIVVTVVMUVQUU
      CXCFUWCUUDUUEVVHVVRUWOFUDVVHVVRUVQNNUJPZOPUWOVVHUVQNNUXIUYGVUHUYHWDVVHVNZ
      VWBUUFVVHVWAJUVQOVWAJMVVHUUGVQVRWTUUHUUJVVHVVPVVQUYQUWOFYDZVVHVVPQZVUJVWC
      FUWOYDUYQUWOFUUKFUWOYEUUIVWDVWCVUJVWDFYHIZUWOYHIZVVPVWCVUJWBVUHVWEUXIVVPF
      YFVBUXIVWFVUHVVPUXIUVQJVVCVVNUULUUMVVHVVPYGVWEVWFVVPUHVUJVWCFUWOUUNUUOUVA
      WLUUPUTWFYSTSTUUQUTUURUUSTUVBUUTTUVCSUVDUVEYSTWHUVFFUWOYKUVJUVGXDXCTVAUVH
      WHWDVCSVCABDEFHUVIXCVDUWRUXKUYQUWKUYTUWIMUXMUYQUWQUWKUVKUVMUWJUWIDWOWPWTU
      VLXD $.

    $d E i $.  $d F i $.  $d P i $.  $d R i x $.  $d V i $.
    $( Lemma for ~ clwlkclwwlklem2 .  (Contributed by Alexander van der Vekens,
       22-Jun-2018.)  (Revised by AV, 11-Apr-2021.) $)
    clwlkclwwlklem2a $p |- ( ( E : dom E -1-1-> R /\ P e. Word V
                               /\ 2 <_ ( # ` P ) )
              -> ( ( ( lastS ` P ) = ( P ` 0 )
                     /\ ( A. i e. ( 0 ..^ ( ( ( ( # ` P ) - 1 ) - 0 ) - 1 ) )
                          { ( P ` i ) , ( P ` ( i + 1 ) ) } e. ran E
                     /\ { ( P ` ( ( # ` P ) - 2 ) ) , ( P ` 0 ) } e. ran E ) )
                   -> ( ( F e. Word dom E /\ P : ( 0 ... ( # ` F ) ) --> V
                               /\ A. i e. ( 0 ..^ ( # ` F ) ) ( E ` ( F ` i ) )
                                          = { ( P ` i ) , ( P ` ( i + 1 ) ) } )
                               /\ ( P ` 0 ) = ( P ` ( # ` F ) ) ) ) ) $=
      ( wcel c2 cfv wbr cc0 wceq c1 co cmin wa adantr wi cdm wf1 cword cle clsw
      chash w3a cv caddc cpr crn cfzo wral cfz wf clt ccnv cif wn wo simpl wf1o
      f1f1orn 3ad2ant1 ad2antrl cn0 cn elfzo0 lencl cz elnn0z cr 0red zre nn0re
      2re resubcld adantl lelttr syl3anc nn0z 2z zsubcld anim1i elnnz sylibr wb
      a1i nn0cn peano2cnm syl subid1d oveq1d subsub4d 1p1e2 oveq2d eqtrd eleq1d
      cc 1cnd mpbird ex syld exp4b com23 sylbi com12 impcom df-2 eqcomd 3eqtr2d
      imp breq2d biimpcd syl3anbrc exp32 a1d com24 com25 3adant2 3adant1 syl7bi
      com14 com13 imp31 fveq2 fvoveq1 preq12d expdimp f1ocnvdm syl2anc jca orcd
      rspcdv peano2zm anim12i biimpd mpbid oveq2 eqcoms zltlem1 sylbid impancom
      lenlt ancomd lttri3 exp31 syl5com fveq2d preq1d olcd pm2.61ian ifel fmptd
      3ad2ant2 iswrdi clwlkclwwlklem2a2 fzoval sylan9eq feq2d clwlkclwwlklem2a1
      wrdf 3syl syldan clwlkclwwlklem2a4 ralimdva raleqdv syl5ibr mpcom adantrr
      impl imbi2d mpd 3jca clwlkclwwlklem2a3 eqeq2d ) EUAZCEUBZBGUCIZJBUFKZUDLZ
      UGZBUEKZMBKZNZDUHZBKZUWFOUIPBKZUJZEUKZIZDMUVTOQPZMQPZOQPZULPZUMZUVTJQPZBK
      ZUWDUJZUWJIZRZRZFUVQUCIZMFUFKZUNPZGBUOZUWFFKEKUWINZDMUXDULPZUMZUGZUWDUXDB
      KZNZRUWBUXBRZUXJUXLUXMUXCUXFUXIUXMMUWLULPZUVQFUOUXCUXMAUXNAUHZUWQUPLZUXOB
      KZUXOOUIPBKZUJZEUQZKZUXQUWDUJZUXTKZURZUVQFUXMUXOUXNIZRZUXPUYAUVQIZRZUXPUS
      ZUYCUVQIZRZUTZUYDUVQIUXPUYFUYLUXPUYFRZUYHUYKUYMUXPUYGUXPUYFVAUYMUVQUWJEVB
      ZUXSUWJIZUYGUXMUYNUXPUYEUWBUYNUXBUVRUVSUYNUWAUVQCEVCVDSZVEUYFUXPUYOUXMUYE
      UXPUYOUXBUWBUYEUXPRZUYOTZUWPUWBUYRTUWEUWTUYQUWBUWPUYOUYQUWBUWPUYOTUYQUWBR
      ZUWKUYODUXOUWOUYEUXPUWBUXOUWOIZUWBUXPUYEUYTUYEUXOVFIZUWLVGIZUXOUWLUPLZUGZ
      UWBUXPUYTUXOUWLVHZUVSUWAUXPVUDUYTTTZUVRUVSUWAVUFUVSUVTVFIZUWAVUFTGBVIZVUD
      UWAUXPVUGUYTVUAVUCUWAUXPVUGUYTTTTZVUBVUAVUCVUIVUAVUGUWAUXPVUCUYTVUAVUGUWA
      UXPVUCUYTTTTVUAVUGRZVUCUXPUWAUYTVUJUXPUWAUYTTTVUCVUJUXPUWAUYTVUJUXPUWARZR
      VUAUWNVGIZUXOUWNUPLZUYTVUJVUAVUKVUAVUGVASVUKVUJVULUXPVUJVULTUWAVUJUXPVULV
      UAVUGUXPVULTZVUAUXOVJIZMUXOUDLZRVUGVUNTZUXOVKVUOVUPVUQVUOVUGVUPVUNVUOVUGV
      UPUXPVULVUOVUGRZVUPUXPRZMUWQUPLZVULVURMVLIUXOVLIZUWQVLIZVUSVUTTVURVMVUOVV
      AVUGUXOVNSVUGVVBVUOVUGUVTJUVTVOJVLIVUGVPWHVQZVRMUXOUWQVSVTVUGVUTVULTVUOVU
      GVUTVULVUGVUTRZVULUWQVGIZVVDUWQVJIZVUTRVVEVUGVVFVUTVUGUVTJUVTWAZJVJIVUGWB
      WHWCWDUWQWEWFVUGVULVVEWGVUTVUGUWNUWQVGVUGUWNUWLOQPZUWQVUGUWMUWLOQVUGUWLVU
      GUVTWSIUWLWSIUVTWIZUVTWJWKWLZWMVUGVVHUVTOOUIPZQPZUWQVUGUVTOOVVIVUGWTZVVMW
      NZVUGVVKJUVTQVVKJNVUGWOWHWPWQZWQWRSXAXBVRXCXDXEXLXFXLXGSXHVUKVUJVUMUXPVUJ
      VUMTUWAVUJUXPVUMVUJUWQUWNUXOUPVUGUWQUWNNVUAVUGUWQVVLVVHUWNVUGJVVKUVTQJVVK
      NVUGXIWHWPVVNVUGUWLUWMOQVUGUWMUWLVVJXJWMXKVRXMXNSXHUXOUWNVHXOXPXQXRXBXSXL
      XTYCWKXLYAYBYDYEUWFUXONZUWKUYOWGUYSVVPUWIUXSUWJVVPUWGUXQUWHUXRUWFUXOBYFUW
      FUXOOBUIYGYHWRVRYNXBYDVEXHYIXHUVQUWJUXSEYJYKYLYMUYIUYFRZUYKUYHVVQUYIUYJUY
      IUYFVAVVQUYNUYBUWJIZUYJUXMUYNUYIUYEUYPVEUYFUYIVVRUWBUXBUYEUYIVVRTZUXBUWBU
      YEVVSTZUXAUWBVVTTZUWEUWTVWAUWPUYIUWBUYEUWTVVRUWBUYIUYEUWTVVRTZTUWBUYIUYEV
      WBUWBUYIUYERZRZUWTVVRVWDUWSUYBUWJVWDUWRUXQUWDVWDUWQUXOBUWBVWCUWQUXONZUVSU
      VRVWCVWETUWAUVSVUGVWCVWEVUHUYEUYIVUGVWETZUYEVUDUYIVWFTZVUEVUAVUCVWGVUBVUA
      VUCRZVUGUYIVWEVWHVUGUYIVWEVWHVUGRZUYIRZVWEUWQUXOUPLUSZUYIRZVWIVWKUYIVWIUX
      OUWQUDLZVWKVWHVUGVWMVUAVUGVUCVWMVUJVUCUXOVVHUDLZVWMVUJVUOUWLVJIZRVUCVWNWG
      VUAVUOVUGVWOUXOWAVUGUVTVJIZVWOVVGUVTYOWKYPUXOUWLUUAWKVUJVWNVWMVUJVVHUWQUX
      OUDVUGVVHUWQNVUAVVOVRXMYQUUBUUCXLVWIVVAVVBRVWMVWKWGVWHVVAVUGVVBVUAVVAVUCU
      XOVOSVVCYPZUXOUWQUUDWKYRWDVWJVVBVVARZVWEVWLWGVWIVWRUYIVWIVVAVVBVWQUUESUWQ
      UXOUUFWKXAUUGXEXTXFXHUUHUUOXLUUIUUJWRYQXPXGYCVRVRXGYEXHUVQUWJUYBEYJYKYLUU
      KUULUXPUYAUYCUVQUUMWFHUUNUVQUWLFUUPWKUWBUXFUXBUVSUWAUXFUVRUVSUWARZMUVTULP
      ZGBUOZUXFUVSVXAUWAGBUVBSVWSVWTUXEGBUVSUWAUXDUWLNZVWTUXENABEFGHUUQZUVSVXBV
      WTMUWLUNPZUXEUVSVUGVWPVWTVXDNVUHVVGMUVTUURUVCVXDUXENUWLUXDUWLUXDMUNYSYTUU
      SUVDUUTYRYASUXMUWKDUXNUMZUXIUWBUXBVXEUVSUWAUXBVXETUVRBDEGUVAYAXLUWBUWEVXE
      UXITZUXAVXBUWBUWERZVXFUWBVXBUWEUVSUWAVXBUVRVXCYASVXGVXFVXBVXEUXGDUXNUMZTV
      XGUWKUXGDUXNUWBUWEUWFUXNIUWKUXGTABCEFUWFGHUVEUVKUVFVXBUXIVXHVXEVXBUXGDUXH
      UXNUXDUWLMULYSUVGUVLUVHUVIUVJUVMUVNUXBUWBUXLUWEUWBUXLTZUXAVXIUWDUWCUWBUWD
      UWCNUXLUWBUWCUXKUWDUWBUXKUWCUVSUWAUXKUWCNUVRABEFGHUVOYAXJUVPXNYTSXHYLXB
      $.
  $}

  ${
    $d E f i x $.  $d P f i x $.  $d R f i x $.  $d V f i x $.
    $( Lemma 1 for ~ clwlkclwwlk .  (Contributed by Alexander van der Vekens,
       22-Jun-2018.)  (Revised by AV, 11-Apr-2021.) $)
    clwlkclwwlklem1 $p |- ( ( E : dom E -1-1-> R /\ P e. Word V
                              /\ 2 <_ ( # ` P ) )
              -> ( ( ( lastS ` P ) = ( P ` 0 )
                     /\ ( A. i e. ( 0 ..^ ( ( ( ( # ` P ) - 1 ) - 0 ) - 1 ) )
                          { ( P ` i ) , ( P ` ( i + 1 ) ) } e. ran E
                     /\ { ( P ` ( ( # ` P ) - 2 ) ) , ( P ` 0 ) } e. ran E ) )
                   -> E. f ( ( f e. Word dom E /\ P : ( 0 ... ( # ` f ) ) --> V
                               /\ A. i e. ( 0 ..^ ( # ` f ) ) ( E ` ( f ` i ) )
                                          = { ( P ` i ) , ( P ` ( i + 1 ) ) } )
                               /\ ( P ` 0 ) = ( P ` ( # ` f ) ) ) ) ) $=
      ( vx wcel chash cfv w3a cc0 co c1 cpr wceq cfzo wa cmin cvv cdm wf1 cword
      c2 cle wbr cv cfz wf caddc wral clsw crn clt ccnv cif cmpt ovex mptexg wi
      mp1i eqid clwlkclwwlklem2a adantr eleq1 fveq2 oveq2d feq2d fveq1 fveqeq2d
      raleqbidv 3anbi123d 2fveq3 eqeq2d anbi12d imbi2d adantl mpbird spcimedv
      wb ) EUAZBEUBAFUCHUDAIJZUEUFKZCUGZWAUCZHZLWDIJZUHMZFAUIZDUGZWDJZEJWJAJWJN
      UJMAJOZPZDLWGQMZUKZKZLAJZWGAJZPZRZAULJWQPWLEUMZHDLWBNSMZLSMNSMQMUKWBUDSMZ
      AJWQOXAHRRZCGLXBQMZGUGZXCUNUFXFAJZXFNUJMAJOEUOZJXGWQOXHJUPZUQZTXETHXJTHWC
      LXBQURGXEXITUSVAWCWDXJPZRXDWTUTZXDXJWEHZLXJIJZUHMZFAUIZWJXJJZEJWLPZDLXNQM
      ZUKZKZWQXNAJZPZRZUTZWCYEXKGABDEXJFXJVBVCVDXKXLYEVTWCXKWTYDXDXKWPYAWSYCXKW
      FXMWIXPWOXTWDXJWEVEXKWHXOFAXKWGXNLUHWDXJIVFZVGVHXKWMXRDWNXSXKWGXNLQYFVGXK
      WKXQWLEWJWDXJVIVJVKVLXKWRYBWQWDXJAIVMVNVOVPVQVRVS $.

    $d F i $.
    $( Lemma 2 for ~ clwlkclwwlk .  (Contributed by Alexander van der Vekens,
       22-Jun-2018.)  (Revised by AV, 11-Apr-2021.) $)
    clwlkclwwlklem2 $p |- ( ( ( E : dom E -1-1-> R /\ F e. Word dom E )
                         /\ ( P : ( 0 ... ( # ` F ) ) --> V /\ 2 <_ ( # ` P ) )
                         /\ ( A. i e. ( 0 ..^ ( # ` F ) ) ( E ` ( F ` i ) )
                                          = { ( P ` i ) , ( P ` ( i + 1 ) ) }
                               /\ ( P ` 0 ) = ( P ` ( # ` F ) ) ) )
              -> ( ( lastS ` P ) = ( P ` 0 )
                   /\ A. i e. ( 0 ..^ ( ( # ` F ) - 1 ) )
                          { ( P ` i ) , ( P ` ( i + 1 ) ) } e. ran E
                   /\ { ( P ` ( ( # ` F ) - 1 ) ) , ( P ` 0 ) } e. ran E ) ) $=
      ( wcel wa cc0 cfv co c2 cle c1 wceq wi imp syl adantr adantl cdm cword wf
      wf1 chash cfz wbr cv caddc cpr cfzo wral clsw crn cmin w3a wfn f1fn dffn3
      sylib cn0 lencl ffn fnfz0hash syl2an ffz0iswrd lsw ad6antr ad4antlr eqcom
      fvoveq1 nn0cn pncand eqcomd fveqeq2d biimpd syl5bi adantld 3eqtrd cuz wss
      1cnd cz nn0z peano2zm nn0re lem1d eluz2 syl3anbrc fzoss2 ssralv 3syl wrdf
      simpr simpll fzossrbm1 sselda ffvelrnd ad3antrrr biimpi eleq1d syl5ibrcom
      exp31 ralimdva syldc impcom cn wb breq2 cr 2re a1i lesubaddd 2m1e1 breq1i
      1red elnnnn0c simplbi2 sylbird sylbid lbfzo0 sylibr fzoend 2fveq3 preq12d
      fveq2 eqeq12d rspcdv npcand fveq2d preq2d eqeq2d com12 syl6bi com3r imp31
      preq2 mpbird 3jca exp41 com13 mpcom mpd expcom com14 impcomd sylan 3imp )
      DUAZBDUDZEUUIUBGZHIEUEJZUFKZFAUCZLAUEJZMUGZHZCUHZEJZDJZUURAJZUURNUIKAJZUJ
      ZOZCIUULUKKZULZIAJZUULAJZOZHZAUMJZUVGOZUVCDUNZGZCIUULNUOKZUKKZULZUVOAJZUV
      GUJZUVMGZUPZUUJUUIUVMDUCZUUKUUQUVJUWAPZPUUJDUUIUQUWBUUIBDURUUIDUSUTUWBUUK
      HUUPUUNUWCUWBUUKUUPUUNUWCPPUUNUUKUUPUWBUWCUUKUUNUUPUWBUWCPPZUUKUUNHUUOUUL
      NUIKZOZUWDUUKUULVAGZAUUMUQUWFUUNUUIEVBZUUMFAVCAUULVDVEUUKUUNUWFUWDPZUWGUU
      KUUNUWIPUWHUUNUUKUWGUWIUUNAFUBZGZUUKUWGUWIPPFUULAVFUWKUUKUWGUWFUWDUWKUUKH
      ZUWGHZUWFHZUUPUWBUVJUWAUWNUUPHZUWBHZUVJHZUVLUVQUVTUWQUVKUUONUOKAJZUWENUOK
      ZAJZUVGUWKUVKUWROUUKUWGUWFUUPUWBUVJAUWJVGVHUWFUWRUWTOUWMUUPUWBUVJUUOUWENA
      UOVKVIUWPUVJUWTUVGOZUWPUVIUXAUVFUVIUVHUVGOZUWPUXAUVGUVHVJUWPUXBUXAUWPUULU
      WSUVGAUWGUULUWSOUWLUWFUUPUWBUWGUWSUULUWGUULNUULVLZUWGWBZVMVNVIVOVPVQVRQVS
      UVJUWPUVQUVFUWPUVQPUVIUWPUVFUVDCUVPULZUVQUWPUULUVOVTJGZUVPUVEWAZUVFUXEPUW
      GUXFUWLUWFUUPUWBUWGUVOWCGZUULWCGZUVOUULMUGUXFUWGUXIUXHUULWDZUULWERUXJUWGU
      ULUULWFZWGUVOUULWHWIVIUVOIUULWJUVDCUVPUVEWKWLUWPUVDUVNCUVPUWPUURUVPGZHZUV
      NUVDUUTUVMGUXMUUIUVMUUSDUWPUWBUXLUWOUWBWNZSUWPUXLUUSUUIGZUWMUXLUXOPZUWFUU
      PUWBUWLUWGUXPUUKUWGUXPPZUWKUUKUVEUUIEUCZUXQUUIEWMZUXRUWGUXLUXOUXRUWGHZUXL
      HUVEUUIUUREUXRUWGUXLWOUXTUVPUVEUURUWGUXGUXRUWGUXIUXGUXJUULWPRTWQWRXCRTQWS
      QWRUVDUVCUUTUVMUVDUVCUUTOUUTUVCVJWTXAXBXDXESXFUWQUVTUVRUVHUJZUVMGZUVJUWPU
      YBUVFUWPUYBPUVIUWPUVFUVOEJZDJZUVRUVONUIKZAJZUJZOZUYBUWPUVDUYHCUVOUVEUWPIU
      VEGZUVOUVEGZUWPUULXGGZUYIUWOUYKUWBUWNUUPUYKUWNUUPLUWEMUGZUYKUWFUUPUYLXHUW
      MUUOUWELMXIZTUWMUYLUYKPZUWFUWGUYNUWLUWGUYLLNUOKZUULMUGZUYKUWGLNUULLXJGUWG
      XKXLUWGXPUXKXMUYPNUULMUGZUWGUYKUYONUULMXNXOUYKUWGUYQUULXQXRVQXSZTSXTQSUUL
      YAZYBIUULYCZRUURUVOOZUVDUYHXHUWPVUAUUTUYDUVCUYGUURUVODEYDVUAUVAUVRUVBUYFU
      URUVOAYFUURUVONAUIVKYEYGTYHUWPUYHUYDUYAOZUYBUWPUYGUYAUYDUWPUYFUVHUVRUWPUY
      EUULAUWGUYEUULOUWLUWFUUPUWBUWGUULNUXCUXDYIVIYJYKYLUWPUYBVUBUYDUVMGUWPUUIU
      VMUYCDUXNUWOUYCUUIGUWBUWOUVEUUIUVOEUUKUXRUWKUWGUWFUUPUXSVIUWOUYIUYJUWOUYK
      UYIUWMUWFUUPUYKUWGUWFUUPUYKPPUWLUWFUUPUWGUYKUWFUUPUYLUWGUYKPUYMUWGUYLUYKU
      YRYMYNYOTYPUYSYBUYTRWRSWRVUBUYAUYDUVMVUBUYAUYDOUYDUYAVJWTXAXBXTXESXFUVJUV
      TUYBXHZUWPUVIVUCUVFUVIUVSUYAUVMUVGUVHUVRYQXATTYRYSYTYTRUUAUUBQUUCUUDUUEQU
      UFUUGUUH $.

    $( Lemma 3 for ~ clwlkclwwlk .  (Contributed by Alexander van der Vekens,
       22-Jun-2018.)  (Revised by AV, 11-Apr-2021.) $)
    clwlkclwwlklem3 $p |- ( ( E : dom E -1-1-> R /\ P e. Word V
                              /\ 2 <_ ( # ` P ) )
                -> ( E. f ( ( f e. Word dom E /\ P : ( 0 ... ( # ` f ) ) --> V
                            /\ A. i e. ( 0 ..^ ( # ` f ) ) ( E ` ( f ` i ) )
                                          = { ( P ` i ) , ( P ` ( i + 1 ) ) } )
                               /\ ( P ` 0 ) = ( P ` ( # ` f ) ) )
            <-> ( ( lastS ` P ) = ( P ` 0 )
               /\ ( A. i e. ( 0 ..^ ( ( ( ( # ` P ) - 1 ) - 0 ) - 1 ) )
                      { ( P ` i ) , ( P ` ( i + 1 ) ) } e. ran E
               /\ { ( P ` ( ( # ` P ) - 2 ) ) , ( P ` 0 ) } e. ran E ) ) ) ) $=
      ( wcel c2 cfv w3a cc0 co c1 cpr wceq cfzo wa cmin adantr wi cdm wf1 cword
      chash cle wbr cv cfz caddc wral wex clsw crn simp1 anim12i simp3 anim12ci
      wf simpl2 anim1i adantl clwlkclwwlklem2 syl3anc cn0 lencl ffz0hash oveq1d
      wb oveq1 cc nn0cn peano2cn peano2cnm 3syl subid1d pncand sylan9eqr oveq2d
      1cnd eqtrd raleqdv subsub3d 2m1e1 a1i eqtr3d fveq2d preq1d eleq1d anbi12d
      2cnd anbi2d 3anass bitr4di expcom expd syl com23 sylc imp 3adant3 syl5com
      ex 3ad2ant2 mpbird exlimdv clwlkclwwlklem1 impbid ) EUAZBEUBZAFUCGZHAUDIZ
      UEUFZJZCUGZXHUCGZKXNUDIZUHLFAURZDUGZXNIEIXRAIXRMUILAINZODKXPPLUJZJZKAIZXP
      AIOZQZCUKAULIYBOZXSEUMZGZDKXKMRLZKRLZMRLZPLZUJZXKHRLZAIZYBNZYFGZQZQZXMYDY
      RCXMYDYRXMYDQZYRYEYGDKXPMRLZPLZUJZYTAIZYBNZYFGZJZYSXIXOQXQXLQXTYCQZUUFXMX
      IYDXOXIXJXLUNYAXOYCXOXQXTUNSUOXMXLYDXQXIXJXLUPXOXQXTYCUSUQYDUUGXMYAXTYCXO
      XQXTUPUTVAABDEXNFVBVCXMYDYRUUFVHZXJXIYDUUHTXLXJXKVDGZYDUUHFAVEYAUUIUUHTZY
      CXOXQUUJXTXOXQUUJXOXPVDGZUUKXQUUJTXHXNVEZUULUUKXQUUKUUJUUKXQUUKUUJTZUUKXQ
      QXKXPMUILZOZUUMFAXPVFUUOUUKUUIUUHUUKUUIQZUUOUUHUUPUUOQZYRYEUUBUUEQZQUUFUU
      QYQUURYEUUQYLUUBYPUUEUUQYGDYKUUAUUQYJYTKPUUQYIXPMRUUOUUPYIUUNMRLZKRLZXPUU
      OYHUUSKRXKUUNMRVIVGUUKUUTXPOUUIUUKUUTUUSXPUUKUUSUUKXPVJGUUNVJGUUSVJGXPVKZ
      XPVLUUNVMVNVOUUKXPMUVAUUKVSZVPVTSVQVGVRWAUUQYOUUDYFUUQYNUUCYBUUQYMYTAUUOU
      UPYMUUNHRLZYTXKUUNHRVIUUKUVCYTOUUIUUKXPHMRLZRLUVCYTUUKXPHMUVAUUKWJUVBWBUU
      KUVDMXPRUVDMOUUKWCWDVRWESVQWFWGWHWIWKYEUUBUUEWLWMWNWOWPXBWQWRWSWTSXAXCWSX
      DXBXEABCDEFXFXG $.

    $d G f i $.
    clwlkclwwlk.v $e |- V = ( Vtx ` G ) $.
    clwlkclwwlk.e $e |- E = ( iEdg ` G ) $.
    $( A closed walk as word of length at least 2 corresponds to a closed walk
       in a simple pseudograph.  (Contributed by Alexander van der Vekens,
       22-Jun-2018.)  (Revised by AV, 24-Apr-2021.)  (Revised by AV,
       30-Oct-2022.) $)
    clwlkclwwlk $p |- ( ( G e. USPGraph /\ P e. Word V /\ 2 <_ ( # ` P ) )
            -> ( E. f f ( ClWalks ` G ) P <-> ( ( lastS ` P ) = ( P ` 0 )
                 /\ ( P prefix ( ( # ` P ) - 1 ) ) e. ( ClWWalks ` G ) ) ) ) $=
      ( vi wcel cfv w3a cc0 co c1 wceq cfzo wa cmin wb syl cuspgr cword cle wbr
      c2 chash cv cdm cfz caddc cpr wral wex clsw cpfx crn cclwlks cclwwlk cedg
      wf wf1 uspgrf1oedg f1of1 clwlkclwwlklem3 syl3an1 cn0 lencl ige2m1fz sylan
      wf1o pfxlen syldan nn0cnd 1cnd subcld subid1d eqcomd adantr oveq1d oveq2d
      eqtrd eleq2d c0 simpll wrdlenge2n0 cz nn0z peano2zm elfzom1elfzo pfxtrcfv
      wne syl3anc elfzom1elp1fzo preq12d eleq1d sylbid imp raleqbidva pfxtrcfvl
      pfxtrcfv0 anbi12d bicomd 3adant1 pfxcl 3ad2ant2 3biant1d anbi2d uspgrupgr
      ex bitrd cupgr isclwlkupgr 3an4anass bitr4di exbidv 3adant3 eqid isclwwlk
      cn simpl nn0ge2m1nn wi nn0re lem1d a1d 3jca pfxn0 biantrud 3anbi1d syl5bb
      biid ciedg edgval eqcomi rneqi eqtri eleq2i ralbii 3anbi123i bitrdi
      3bitr4d ) DUAIZAEUBZIZUEAUFJZUCUDZKZBUGZCUHZUBIZLUUHUFJZUIMEAUTZHUGZUUHJC
      JUUMAJZUUMNUJMZAJZUKZOHLUUKPMULZKLAJZUUKAJOZQZBUMZAUNJUUSOZAUUENRMZUOMZUU
      CIZUUMUVEJZUUOUVEJZUKZCUPZIZHLUVEUFJZNRMZPMZULZUVEUNJZLUVEJZUKZUVJIZKZQZU
      UHADUQJUDZBUMZUVCUVEDURJIZQUUGUVBUVCUUQUVJIZHLUVDLRMZNRMZPMZULZUUEUERMAJZ
      UUSUKZUVJIZQZQZUWAUUBUUIDUSJZCVAZUUDUUFUVBUWNSUUBUUIUWOCVJUWPCDGVBUUIUWOC
      VCTAUWOBHCEVDVEUUGUWMUVTUVCUUGUWMUVOUVSQZUVTUUDUUFUWMUWQSUUBUUDUUFQZUWQUW
      MUWRUVOUWIUVSUWLUWRUVKUWEHUVNUWHUWRUVMUWGLPUWRUVLUWFNRUWRUVLUVDUWFUUDUUFU
      VDLUUEUIMIZUVLUVDOUUDUUEVFIZUUFUWSEAVGZUUEVHVIEAUVDVKVLZUUDUVDUWFOUUFUUDU
      WFUVDUUDUVDUUDUUENUUDUUEUXAVMUUDVNVOVPVQVRWAVSVTUWRUUMUVNIZUVKUWESZUWRUXC
      UUMLUVDNRMZPMZIZUXDUWRUVNUXFUUMUWRUVMUXELPUWRUVLUVDNRUXBVSVTWBUWRUXGUXDUW
      RUXGQZUVIUUQUVJUXHUVGUUNUVHUUPUXHUUDAWCWKZUUMLUVDPMZIZUVGUUNOUUDUUFUXGWDZ
      UWRUXIUXGEAWEVRZUWRUVDWFIZUXGUXKUUDUXNUUFUUDUWTUXNUXAUWTUUEWFIUXNUUEWGUUE
      WHTZTVRUUMUVDWIVIUUMEAWJWLUXHUUDUXIUUOUXJIZUVHUUPOUXLUXMUWRUWTUXGUXPUUDUW
      TUUFUXAVRUWTUXNUXGUXPUXOUUMUVDWMVIVIUUOEAWJWLWNWOXIWPWQWRUWRUVRUWKUVJUWRU
      VPUWJUVQUUSEAWSEAWTWNWOXAXBXCUUGUVSUVOUVFUUDUUBUVFUUFEAUVDXDXEXFXJXGXJUUB
      UUDUWCUVBSUUFUUBUUDQUWBUVABUUBUWBUVASZUUDUUBDXKIZUXQDXHUXRUWBUUJUULQUURUU
      TQQUVAAHUUHDCEFGXLUUJUULUURUUTXMXNTVRXOXPUUGUWDUVTUVCUUGUWDUVFUVIUWOIZHUV
      NULZUVRUWOIZKZUVTUWDUVFUVEWCWKZQZUXTUYAKUUGUYBHUWODEUVEFUWOXQXRUUGUYDUVFU
      XTUYAUUGUVFUYDUUGUYCUVFUUGUUDUVDXSIZUVDUUEUCUDZKZUYCUUDUUFUYGUUBUWRUUDUYE
      UYFUUDUUFXTUUDUWTUUFUYEUXAUUEYAVIUUDUUFUYFUUDUWTUUFUYFYBUXAUWTUYFUUFUWTUU
      EUUEYCYDYETWQYFXCUVDEAYGTYHXBYIYJUVFUVFUXTUVOUYAUVSUVFYKUXSUVKHUVNUWOUVJU
      VIUWODYLJZUPUVJDYMUYHCCUYHGYNYOYPZYQYRUWOUVJUVRUYIYQYSYTXGUUA $.

    $( A closed walk corresponds to a closed walk as word in a simple
       pseudograph.  (Contributed by Alexander van der Vekens, 22-Jun-2018.)
       (Revised by AV, 24-Apr-2021.)  (Proof shortened by AV, 2-Nov-2022.) $)
    clwlkclwwlk2 $p |- ( ( G e. USPGraph /\ P e. Word V /\ 1 <_ ( # ` P ) )
                         -> ( E. f f ( ClWalks ` G ) ( P ++ <" ( P ` 0 ) "> )
                              <-> P e. ( ClWWalks ` G ) ) ) $=
      ( wcel c1 chash cfv cle wbr co wceq cpfx c2 wb 3adant1 caddc cuspgr cword
      w3a cv cc0 cs1 cconcat cclwlks wex clsw cmin cclwwlk simp1 wrdsymb1 s1cld
      wa ccatcl syldan cn0 lencl 1e2m1 breq1i cr 2re a1i nn0re lesubaddd syl5bb
      1red syl biimpa s1len oveq2i breqtrrdi ccatlen breqtrrd wrdlenccats1lenm1
      clwlkclwwlk syl3anc oveq2d adantr simpl pfxccatid eqtr2d eleq1d biantrurd
      eqidd lswccats1fst bitr2d bitrd ) DUAHZAEUBZHZIAJKZLMZUCZBUDAUEAKZUFZUGNZ
      DUHKMBUIZWSUJKUEWSKOZWSWSJKZIUKNZPNZDULKZHZUPZAXEHZWPWKWSWLHZQXBLMZWTXGRW
      KWMWOUMWMWOXIWKWMWOWRWLHZXIWMWOUPZWQEEAUNUOZEAWRUQURSWMWOXJWKXLQWNWRJKZTN
      ZXBLXLQWNITNZXOLWMWOQXPLMZWMWNUSHZWOXQREAUTWOQIUKNZWNLMXRXQIXSWNLVAVBXRQI
      WNQVCHXRVDVEXRVIWNVFVGVHVJVKXNIWNTWQVLVMVNWMWOXKXBXOOXMEEAWRVOURVPSWSBCDE
      FGVRVSWMWOXGXHRWKXLXHXFXGXLAXDXEXLXDWSWNPNZAWMXDXTOWOWMXCWNWSPWQEAVQVTWAX
      LWMXKWNWNOXTAOWMWOWBXMXLWNWGAWRWNEWCVSWDWEXLXAXFAEWHWFWISWJ $.
  $}

  ${
    $d G i $.  $d G w $.
    clwlkclwwlkf.c $e |- C = { w e. ( ClWalks ` G ) |
                                 1 <_ ( # ` ( 1st ` w ) ) } $.
    ${
      $d A w $.  $d U w $.
      clwlkclwwlkf.a $e |- A = ( 1st ` U ) $.
      clwlkclwwlkf.b $e |- B = ( 2nd ` U ) $.
      $( Lemma for ~ clwlkclwwlkf .  (Contributed by AV, 24-May-2022.) $)
      clwlkclwwlkflem $p |- ( U e. C -> ( A ( Walks ` G ) B
                                           /\ ( B ` 0 ) = ( B ` ( # ` A ) )
                                           /\ ( # ` A ) e. NN ) ) $=
        ( wcel cfv c1 chash cle wbr wa wceq c1st wi cop cclwlks cwlks cc0 cn cv
        w3a fveq2 eqtr4di fveq2d breq2d elrab2 clwlkwlk c2nd wlkop eqeq2i eleq1
        opeq12i df-br isclwlk wb cn0 wlkcl elnnnn0c a1i mpbirand bicomd pm5.32i
        adantr df-3an sylbb2 ex sylbi sylbir syl6bi syl mpcom imp ) EDJEFUAKZJZ
        LBMKZNOZPBCFUBKZOZUCCKVTCKQZVTUDJZUFZLAUEZRKZMKZNOWAAEVRDWGEQZWIVTLNWJW
        HBMWJWHERKZBWGERUGHUHUIUJGUKVSWAWFEWBJZVSWAWFSZFEULWLEWKEUMKZTZQZVSWMSZ
        FEUNWPEBCTZQZWQWRWOEBWKCWNHIUQUOWSVSWRVRJZWMEWRVRUPWTBCVROZWMBCVRURXAWC
        WDPZWMCBFUSXBWAWFXBWAPXBWEPWFXBWAWEWCWAWEUTWDWCWEWAWCWEVTVAJZWACBFVBWEX
        CWAPUTWCVTVCVDVEVFVHVGWCWDWEVIVJVKVLVMVNVMVOVPVQVL $.

      $d A i $.  $d B i $.  $d D i $.  $d D w $.  $d E i $.  $d W w $.
      clwlkclwwlkf.d $e |- D = ( 1st ` W ) $.
      clwlkclwwlkf.e $e |- E = ( 2nd ` W ) $.
      $( Lemma 2 for ~ clwlkclwwlkf1 .  (Contributed by AV, 24-May-2022.)
         (Revised by AV, 30-Oct-2022.) $)
      clwlkclwwlkf1lem2 $p |- ( ( U e. C /\ W e. C
                           /\ ( B prefix ( # ` A ) ) = ( E prefix ( # ` D ) ) )
               -> ( ( # ` A ) = ( # ` D )
                    /\ A. i e. ( 0 ..^ ( # ` A ) ) ( B ` i ) = ( E ` i ) ) ) $=
        ( wcel cfv wceq wa wbr chash cpfx co cv cc0 cfzo wral cwlks cn w3a cvtx
        cword cn0 cle wb clwlkclwwlkflem anim12i eqid wlkpwrd 3ad2ant1 3ad2ant3
        nnnn0 wi c1 caddc wlklenvp1 nnre lep1d breq2 syl5ibr syl a1d 3imp pfxeq
        3jca 3syl biimp3a ) FDPZJDPZCBUAQZUBUCHEUAQZUBUCRZVTWARGUDZCQWCHQRGUEVT
        UFUCUGSZVRVSSBCIUHQZTZUECQVTCQRZVTUIPZUJZEHWETZUEHQWAHQRZWAUIPZUJZSZCIU
        KQZULZPZHWPPZSZVTUMPZWAUMPZSZVTCUAQZUNTZWAHUAQZUNTZSZUJWBWDUOVRWIVSWMAB
        CDFIKLMUPAEHDJIKNOUPUQWNWSXBXGWIWQWMWRWFWGWQWHCBIWOWOURZUSUTWJWKWRWLHEI
        WOXHUSUTUQWIWTWMXAWHWFWTWGVTVBVAWLWJXAWKWAVBVAUQWIXDWMXFWFWGWHXDWFWHXDV
        CZWGWFXCVTVDVEUCZRZXICBIVFWHXDXKVTXJUNTWHVTVTVGVHXCXJVTUNVIVJVKVLVMWJWK
        WLXFWJWLXFVCZWKWJXEWAVDVEUCZRZXLHEIVFWLXFXNWAXMUNTWLWAWAVGVHXEXMWAUNVIV
        JVKVLVMUQVOHGVTWAWOCVNVPVQ $.

      $( Lemma 3 for ~ clwlkclwwlkf1 .  (Contributed by Alexander van der
         Vekens, 5-Jul-2018.)  (Revised by AV, 30-Oct-2022.) $)
      clwlkclwwlkf1lem3 $p |- ( ( U e. C /\ W e. C
                                  /\ ( B prefix ( # ` A ) )
                                     = ( E prefix ( # ` D ) ) )
                      -> A. i e. ( 0 ... ( # ` A ) ) ( B ` i ) = ( E ` i ) ) $=
        ( wcel cfv wceq cc0 wa chash cpfx co w3a cv wral cfzo clwlkclwwlkf1lem2
        cfz csn cun simprr wi cwlks wbr clwlkclwwlkflem lbfzo0 biimpri 3ad2ant3
        cn adantr fveq2 eqeq12d rspcv syl simpl adantl eqtrd exp32 com23 eqcoms
        eqtr 3ad2ant2 com12 impcom imp ex syld syl2an impd 3adant3 jca mpdan wb
        cvv fvex ralunsn ax-mp cuz cn0 nnnn0 elnn0uz sylib 3ad2ant1 fzisfzounsn
        sylibr raleqdv mpbird ) FDPZJDPZCBUAQZUBUCHEUAQZUBUCRZUDZGUEZCQZXEHQZRZ
        GSXAUIUCZUFXHGSXAUGUCZXAUJUKZUFZXDXHGXJUFZXACQZXAHQZRZTZXLXDXAXBRZXMTZX
        QABCDEFGHIJKLMNOUHXDXSTXMXPXDXRXMULXDXSXPWSWTXSXPUMXCWSWTTXRXMXPWSBCIUN
        QZUOZSCQZXNRZXAUTPZUDZEHXTUOZSHQZXBHQZRZXBUTPZUDZXRXMXPUMZUMWTABCDFIKLM
        UPZAEHDJIKNOUPYEYKTZXRYLYNXRTZXMYBYGRZXPYOSXJPZXMYPUMYNYQXRYEYQYKYDYAYQ
        YCYQYDXAUQURUSVAVAXHYPGSXJXESRXFYBXGYGXESCVBXESHVBVCVDVEYOYPXPYOYPTXNYH
        XOYOYPXNYHRZYNYPYRUMZXRYKYEYSYIYFYEYSUMYJYEYIYSYCYAYIYSUMZYDYTXNYBXNYBR
        ZYPYIYRUUAYPYIYRUUAYPYITZTXNYBYHUUAUUBVFUUBYBYHRUUAYBYGYHVLVGVHVIVJVKVM
        VNVMVOVAVPYOYHXORZYPXRUUCYNUUCXBXAXBXAHVBVKVGVAVHVQVRVQVSVTWAVPWBWCXAWE
        PXLXQWDBUAWFXHXPGXJXAWEXEXARXFXNXGXOXEXACVBXEXAHVBVCWGWHWPXDXHGXIXKXDXA
        SWIQPZXIXKRWSWTUUDXCWSYEUUDYMYDYAUUDYCYDXAWJPUUDXAWKXAWLWMUSVEWNSXAWOVE
        WQWR $.
    $}

    $d G c f w $.  $d W c $.
    $( Lemma for ~ clwlkclwwlkfo .  (Contributed by AV, 25-May-2022.) $)
    clwlkclwwlkfolem $p |- ( ( W e. Word ( Vtx ` G ) /\ 1 <_ ( # ` W )
                     /\ <. f , ( W ++ <" ( W ` 0 ) "> ) >. e. ( ClWalks ` G ) )
                               -> <. f , ( W ++ <" ( W ` 0 ) "> ) >. e. C ) $=
      ( vc cfv wcel c1 chash cle wbr cv cconcat co breq2d wceq c1st crab eqcomd
      cvtx cword cc0 cs1 cop cclwlks w3a simp3 wrdlenccats1lenm1 biimpa 3adant3
      cmin df-br cwlks clwlkiswlk wlklenvm1 syl sylbir 3ad2ant3 breqtrrd op1std
      vex ovex fveq2d 2fveq3 cbvrabv eqtri elrab2 sylanbrc ) EDUBHZUCIZJEKHZLMZ
      CNZEUDEHZUEZOPZUFZDUGHZIZUHZWAJVOKHZLMZVSBIVLVNWAUIWBJVRKHJUMPZWCLVLVNJWE
      LMZWAVLVNWFVLVMWEJLVLWEVMVPVKEUJUAQUKULWAVLWCWERZVNWAVOVRVTMZWGVOVRVTUNWH
      VOVRDUOHMWGVRVODUPVRVODUQURUSUTVAJGNZSHZKHZLMZWDGVSVTBWIVSRZWKWCJLWMWJVOK
      VOVRWICVCEVQOVDVBVEQBJANZSHKHZLMZAVTTWLGVTTFWPWLAGVTWNWIRWOWKJLWNWIKSVFQV
      GVHVIVJ $.

    $d C c $.  $d G f $.
    clwlkclwwlkf.f $e |- F = ( c e. C |->
                        ( ( 2nd ` c ) prefix ( ( # ` ( 2nd ` c ) ) - 1 ) ) ) $.
    $( ` F ` is a function from the nonempty closed walks into the closed walks
       as word in a simple pseudograph.  (Contributed by AV, 23-May-2022.)
       (Revised by AV, 29-Oct-2022.) $)
    clwlkclwwlkf $p |- ( G e. USPGraph -> F : C --> ( ClWWalks ` G ) ) $=
      ( vf wcel cfv c1 co wa wceq wbr eqid adantl c2 cle cr cuspgr cv c2nd cmin
      chash cpfx cclwwlk clsw cc0 c1st cwlks cn w3a clwlkclwwlkflem cclwlks wex
      isclwlk fvex breq1 spcev sylbir 3adant3 cvtx cword simpl wlkpwrd 3ad2ant1
      wb wi cn0 elnnnn0c caddc nn0re 1e2m1 breq1i biimpi 2re 1re mp3an12 syl5ib
      lesubadd syl wlklenvp1 adantr breq2d sylibrd expimpd a1d 3imp clwlkclwwlk
      syl5bi ciedg syl3anc mpbid sylan2 simprd fmptd ) DUAIZEBEUBZUCJZWTUEJZKUD
      LUFLZDUGJZCWRWSBIZMWTUHJUIWTJZNZXBXCIZXDWRWSUJJZWTDUKJOZXEXHUEJZWTJNZXJUL
      IZUMZXFXGMZAXHWTBWSDFXHPWTPUNWRXMMZHUBZWTDUOJZOZHUPZXNXMXSWRXIXKXSXLXIXKM
      XHWTXQOZXSWTXHDUQXRXTHXHWSUJURXPXHWTXQUSUTVAVBQXOWRWTDVCJZVDIZRXASOZXSXNV
      HWRXMVEXMYBWRXIXKYBXLWTXHDYAYAPZVFVGQXMYCWRXIXKXLYCXIXLYCVIXKXLXJVJIZKXJS
      OZMXIYCXJVKXIYEYFYCXIYEMZYFRXJKVLLZSOZYCYEYFYIVIZXIYEXJTIZYJXJVMYFRKUDLZX
      JSOZYKYIYFYMKYLXJSVNVOVPRTIKTIYKYMYIVHVQVRRKXJWAVSVTWBQYGXAYHRSXIXAYHNYEW
      TXHDWCWDWEWFWGWKWHWIQWTHDWLJZDYAYDYNPWJWMWNWOWPGWQ $.

    $d C f w $.  $d F c f w $.
    $( ` F ` is a function from the nonempty closed walks onto the closed walks
       as words in a simple pseudograph.  (Contributed by Alexander van der
       Vekens, 30-Jun-2018.)  (Revised by AV, 2-May-2021.)  (Revised by AV,
       29-Oct-2022.) $)
    clwlkclwwlkfo $p |- ( G e. USPGraph -> F : C -onto-> ( ClWWalks ` G ) ) $=
      ( vf wcel cfv cv wceq wa c1 chash wi co cmin cpfx c2nd cuspgr cclwwlk wfo
      wf wrex wral clwlkclwwlkf cvtx cword cle wbr cc0 clt clwwlkgt0 cvv c0 wne
      w3a eqid clwwlkbp cz wb lencl nn0zd zgt0ge1 biimpd anc2li 3ad2ant2 adantl
      syl mpd cs1 cconcat cclwlks wex ciedg clwlkclwwlk2 cop df-br simpr2 simpl
      simpr3 clwlkclwwlkfolem syl3anc 3expa ovex fveq2 2fveq3 oveq12d vex op2nd
      oveq1d fveq2i oveq1i oveq12i eqtrdi fvmptg sylancl ad2antrr oveq2d simpll
      wrdlenccats1lenm1 wrdsymb1 s1cld eqidd pfxccatid 3eqtrrd 3adant1 ad2antlr
      ex eqeq2d imbi2d mpbird rspcimedv pm2.43b syl5bi exlimdv 3expib com23 imp
      sylbird ralrimiva dffo3 sylanbrc ) DUAIZBDUBJZCUDAKZEKZCJZLZEBUEZAYFUFBYF
      CUCABCDEFGUGYEYKAYFYEYGYFIZMYGDUHJZUIZIZNYGOJZUJUKZMZYKYLYRYEYLULYPUMUKZY
      RDYGUNYLDUOIZYOYGUPUQZURYSYRPZDYMYGYMUSZUTYOYTUUBUUAYOYSYQYOYSYQYOYPVAIYS
      YQVBYOYPYMYGVCVDYPVEVJVFVGVHVJVKVIYEYLYRYKPYEYRYLYKYEYOYQYLYKPYEYOYQURZYL
      HKZYGULYGJZVLZVMQZDVNJZUKZHVOYKYGHDVPJZDYMUUCUUKUSVQUUDUUJYKHUUJUUEUUHVRZ
      UUIIZUUDYKUUEUUHUUIVSUUDUUMYKUUMUUDUUMYKPUUMUUDMZYJUUMEUULBUUNYOYQUUMUULB
      IZUUMYEYOYQVTUUMYEYOYQWBUUMUUDWAABHDYGFWCZWDUUNYHUULLZMUUMYJPZUUMYGUULCJZ
      LZPZUUDUVAUUMUUQYOYQUVAYEYRUUMUUTYRUUMMZUUSUUHUUHOJZNRQZSQZUUHYPSQZYGUVBU
      UOUVEUOIUUSUVELYOYQUUMUUOUUPWEUUHUVDSWFEUULYHTJZUVGOJZNRQZSQZUVEBUOCUUQUV
      JUULTJZUVKOJZNRQZSQUVEUUQUVGUVKUVIUVMSYHUULTWGUUQUVHUVLNRYHUULOTWHWLWIUVK
      UUHUVMUVDSUUEUUHHWJYGUUGVMWFWKZUVLUVCNRUVKUUHOUVNWMWNWOWPGWQWRUVBUVDYPUUH
      SYOUVDYPLYQUUMUUFYMYGXBWSWTUVBYOUUGYNIYPYPLUVFYGLYOYQUUMXAUVBUUFYMUVBYRUU
      FYMIYRUUMWAYMYGXCVJXDUVBYPXEYGUUGYPYMXFWDXGXJXHXIUUQUURUVAVBUUNUUQYJUUTUU
      MUUQYIUUSYGYHUULCWGXKXLVIXMXNXJXOXPXQYAXRXSXTVKYBEABYFCYCYD $.

    $d C x y $.  $d F x y $.  $d G c x y $.  $d i x y $.  $d w x y $.
    $( ` F ` is a one-to-one function from the nonempty closed walks into the
       closed walks as words in a simple pseudograph.  (Contributed by
       Alexander van der Vekens, 5-Jul-2018.)  (Revised by AV, 3-May-2021.)
       (Revised by AV, 29-Oct-2022.) $)
    clwlkclwwlkf1 $p |- ( G e. USPGraph -> F : C -1-1-> ( ClWWalks ` G ) ) $=
      ( vx vi wcel cfv wceq wa c2nd chash c1 cmin co cpfx syl vy cuspgr cclwwlk
      wf cv wi wral wf1 clwlkclwwlkf wb cvv fveq2 2fveq3 oveq1d oveq12d fvmptd3
      id ovexd eqeqan12d adantl c1st cc0 cfz w3a cfzo simplrl simplrr cwlks wbr
      cn clwlkclwwlkflem wlklenvm1 eqcomd 3ad2ant1 adantr oveq2d eqeq12d biimpa
      eqid 3jca clwlkclwwlkf1lem2 3syl clwlkclwwlkf1lem3 wlkcpr biimpri anim12i
      simpl eqidd uspgr2wlkeq mpbir2and ex sylbid ralrimivva dff13 sylanbrc ) D
      UBJZBDUCKZCUDHUEZCKZUAUEZCKZLZWRWTLZUFZUABUGHBUGBWQCUHABCDEFGUIWPXDHUABBW
      PWRBJZWTBJZMZMZXBWRNKZXIOKZPQRZSRZWTNKZXMOKZPQRZSRZLZXCXGXBXQUJWPXEXFWSXL
      XAXPXEEWREUEZNKZXSOKZPQRZSRZXLBCUKGXRWRLZXSXIYAXKSXRWRNULYCXTXJPQXRWRONUM
      UNUOXEUQXEXIXKSURUPXFEWTYBXPBCUKGXRWTLZXSXMYAXOSXRWTNULYDXTXNPQXRWTONUMUN
      UOXFUQXFXMXOSURUPUSUTXHXQXCXHXQMZXCWRVAKZOKZWTVAKZOKZLZIUEZXIKYKXMKLZIVBY
      GVCRUGZYEXEXFXIYGSRZXMYISRZLZVDZYJYLIVBYGVERUGZMYJYEXEXFYPWPXEXFXQVFWPXEX
      FXQVGXHXQYPXGXQYPUJWPXGXLYNXPYOXGXKYGXISXEXKYGLZXFXEYFXIDVHKZVIZVBXIKYGXI
      KLZYGVJJZVDZYSAYFXIBWRDFYFVSZXIVSZVKZUUAUUBYSUUCUUAYGXKXIYFDVLVMVNTVOVPXG
      XOYIXMSXFXOYILZXEXFYHXMYTVIZVBXMKYIXMKLZYIVJJZVDZUUHAYHXMBWTDFYHVSZXMVSZV
      KZUUIUUJUUHUUKUUIYIXOXMYHDVLVMVNTUTVPVQUTVRVTZAYFXIBYHWRIXMDWTFUUEUUFUUMU
      UNWAYJYRWGWBYEYQYMUUPAYFXIBYHWRIXMDWTFUUEUUFUUMUUNWCTYEWPWRYTJZWTYTJZMZYG
      YGLZVDZXCYJYMMUJXHUVAXQXHWPUUSUUTWPXGWGXGUUSWPXEUUQXFUURXEUUDUUQUUGUUAUUB
      UUQUUCUUQUUADWRWDWEVNTXFUULUURUUOUUIUUJUURUUKUURUUIDWTWDWEVNTWFUTXHYGWHVT
      VOIWRWTDYGWITWJWKWLWMHUABWQCWNWO $.

    $( ` F ` is a bijection between the nonempty closed walks and the closed
       walks as words in a simple pseudograph.  (Contributed by Alexander van
       der Vekens, 5-Jul-2018.)  (Revised by AV, 3-May-2021.)  (Revised by AV,
       29-Oct-2022.) $)
    clwlkclwwlkf1o $p |- ( G e. USPGraph
                           -> F : C -1-1-onto-> ( ClWWalks ` G ) ) $=
      ( cuspgr wcel cclwwlk cfv wf1 wfo wf1o clwlkclwwlkf1 clwlkclwwlkfo df-f1o
      sylanbrc ) DHIBDJKZCLBSCMBSCNABCDEFGOABCDEFGPBSCQR $.
  $}

  ${
    $d G c d u w $.
    $( The set of the nonempty closed walks and the set of closed walks as word
       are equinumerous in a simple pseudograph.  (Contributed by AV,
       25-May-2022.)  (Proof shortened by AV, 4-Nov-2022.) $)
    clwlkclwwlken $p |- ( G e. USPGraph -> { w e. ( ClWalks ` G ) |
                            1 <_ ( # ` ( 1st ` w ) ) } ~~ ( ClWWalks ` G ) ) $=
      ( vd vu vc c1 cv c1st cfv chash cle wbr cclwlks wcel cclwwlk c2nd cmin co
      cvv cpfx crab cuspgr cmpt wf1o cen fvex rabex 2fveq3 breq2d cbvrabv fveq2
      weq oveq1d oveq12d cbvmptv clwlkclwwlkf1o f1oen2g mp3an12i ) FAGZHIJIZKLZ
      ABMIZUAZSNBOIZSNBUBNVCVDCVCCGZPIZVFJIZFQRZTRZUCZUDVCVDUELVAAVBBMUFUGBOUFD
      VCVJBEVAFDGZHIJIZKLADVBADULUTVLFKUSVKJHUHUIUJCEVCVIEGZPIZVNJIZFQRZTRCEULZ
      VFVNVHVPTVEVMPUKVQVGVOFQVEVMJPUHUMUNUOUPVCVDVJSSUQUR $.
  $}

  ${
    $d A i $.  $d B i $.  $d L i $.  $d R i $.  $d W i $.
    $( Lemma for ~ clwwisshclwwslem .  (Contributed by Alexander van der
       Vekens, 23-Mar-2018.) $)
    clwwisshclwwslemlem $p |- ( ( ( L e. ( ZZ>= ` 2 ) /\ A e. ZZ /\ B e. ZZ )
                                /\ A. i e. ( 0 ..^ ( L - 1 ) )
                                         { ( W ` i ) , ( W ` ( i + 1 ) ) } e. R
                                /\ { ( W ` ( L - 1 ) ) , ( W ` 0 ) } e. R )
                           -> { ( W ` ( ( A + B ) mod L ) ) ,
                                ( W ` ( ( ( A + 1 ) + B ) mod L ) ) } e. R ) $=
      ( cfv wcel cz c1 caddc co cpr cc0 cmo wceq 3ad2ant1 wi wa adantr cuz cmin
      c2 w3a cv cfzo wral zcn 3ad2ant2 1cnd 3ad2ant3 add32d fvoveq1d preq2d clt
      cc wbr cn0 cn zaddcl 3adant1 eluz2nn zmodcld simpr elfzo0 syl3anbrc fveq2
      uz2m1nn fvoveq1 preq12d eleq1d rspcv syl cr crp zred modltm1p1mod syl3anc
      nnrpd fveq2d sylibrd impancom 3adant3 zmodfzo syl2anc elfzonlteqm1 eqcomd
      wn ex adantl zre readdcl syl2an jca modm1p1mod0 sylc biimpd com23 3adant2
      syld imp pm2.61d eqeltrd ) EUCUAGHZAIHZBIHZUDZDUEZFGZXHJKLFGZMZCHZDNEJUBL
      ZUFLZUGZXMFGZNFGZMZCHZUDZABKLZEOLZFGZAJKLBKLZEOLFGZMYCYAJKLZEOLZFGZMZCXTY
      EYHYCXGXOYEYHPXSXGYDYFEFOXGAJBXEXDAUPHXFAUHUIXGUJXFXDBUPHXEBUHUKULUMQUNXT
      YBXMUOUQZYICHZXGXOYJYKRXSXGYJXOYKXGYJSZXOYCYBJKLZFGZMZCHZYKYLYBXNHZXOYPRY
      LYBURHZXMUSHZYJYQXGYRYJXGYAEXEXFYAIHZXDABUTZVAZXDXEEUSHZXFEVBZQZVCTXGYSYJ
      XDXEYSXFEVHQTXGYJVDZYBXMVEVFXLYPDYBXNXHYBPZXKYOCUUGXIYCXJYNXHYBFVGXHYBJFK
      VIVJVKVLVMYLYIYOCYLYHYNYCYLYGYMFYLYAVNHZEVOHZYJYGYMPXGUUHYJXEXFUUHXDXEXFS
      YAUUAVPVATXGUUIYJXDXEUUIXFXDEUUDVSQZTUUFYAEVQVRVTUNVKWAWBWCXGXSYJWHZYKRZX
      OXGXSUULXGUUKXSYKXGUUKXMYBPZXSYKRZXGYBNEUFLHZUUKUUMRXGYTUUCUUOUUBUUEYAEWD
      WEUUOUUKUUMUUOUUKSYBXMYBEWFWGWIVMXGUUMUUNXGUUMSZXSYKUUPXRYICUUPXPYCXQYHUU
      MXPYCPXGXMYBFVGWJUUPNYGFUUPYGNUUPUUHUUISZYBXMPYGNPXGUUQUUMXGUUHUUIXEXFUUH
      XDXEAVNHBVNHUUHXFAWKBWKABWLWMVAUUJWNTUUPXMYBXGUUMVDWGYAEWOWPWGVTVJVKWQWIW
      TWRXAWSXBXC $.
  $}

  ${
    $d E i j $.  $d N i j $.  $d V i j $.  $d W i j $.
    $( Lemma for ~ clwwisshclwws .  (Contributed by AV, 24-Mar-2018.)  (Revised
       by AV, 28-Apr-2021.) $)
    clwwisshclwwslem $p |- ( ( W e. Word V /\ N e. ( 1 ..^ ( # ` W ) ) )
                          -> ( ( A. i e. ( 0 ..^ ( ( # ` W ) - 1 ) )
                                    { ( W ` i ) , ( W ` ( i + 1 ) ) } e. E
                                 /\ { ( lastS ` W ) , ( W ` 0 ) } e. E )
                    -> A. j e. ( 0 ..^ ( ( # ` ( W cyclShift N ) ) - 1 ) )
                          { ( ( W cyclShift N ) ` j )
                          , ( ( W cyclShift N ) ` ( j + 1 ) ) } e. E ) ) $=
      ( wcel c1 cfv cfzo co wa caddc cpr cc0 cz wceq adantr wbr c2 cv cmin wral
      cword chash clsw ccsh wb elfzoelz cshwlen sylan2 oveq1d oveq2d eleq2d cmo
      simpll ad2antlr cuz wss cn0 lencl cle nn0z peano2zm syl nn0re lem1d eluz2
      fzoss2 sselda cshwidxmod syl3anc clt elfzo1 simp2bi adantl elfzom1p1elfzo
      syl3anbrc cn sylan preq12d adantlr w3a 2z a1i nnz 3ad2ant2 wne nnnn0 1red
      nnne0 cr nnre 3ad2ant1 nnge1 simp3 lelttrd gtned nn0n0n1ge2 sylbi simplrl
      wi lsw preq1d eleq1d biimpcd impcom clwwisshclwwslemlem syl311anc eqeltrd
      ad3antlr ex sylbid ralrimiv ) FEUDZGZDHFUEIZJKGZLZAUAZFIXTHMKFINCGAOXQHUB
      KZJKZUCZFUFIZOFIZNZCGZLZBUAZFDUGKZIZYIHMKZYJIZNZCGZBOYJUEIZHUBKZJKZUCXSYH
      LZYOBYRYSYIYRGZYIYBGZYOXSYTUUAUHYHXSYRYBYIXSYQYAOJXSYPXQHUBXRXPDPGZYPXQQD
      HXQUIZDEFUJUKULUMUNRYSUUAYOYSUUALZYNYIDMKXQUOKFIZYLDMKXQUOKFIZNZCXSUUAYNU
      UGQYHXSUUALZYKUUEYMUUFUUHXPUUBYIOXQJKZGYKUUEQXPXRUUAUPZXRUUBXPUUAUUCUQZXS
      YBUUIYIXSXQYAURIGZYBUUIUSXPUULXRXPXQUTGZUULEFVAUUMYAPGZXQPGZYAXQVBSUULUUM
      UUOUUNXQVCZXQVDVEUUPUUMXQXQVFVGYAXQVHVRVERYAOXQVIVEVJYIDEFVKVLUUHXPUUBYLU
      UIGZYMUUFQUUJUUKXSXQVSGZUUAUUQXRUURXPXRDVSGZUURDXQVMSZXQDVNZVOVPXQYIVQVTY
      LDEFVKVLWAWBUUDXQTURIGZYIPGZUUBYCYAFIZYENZCGZUUGCGXRUVBXPYHUUAXRUUSUURUUT
      WCZUVBUVAUVGTPGZUUOTXQVBSZUVBUVHUVGWDWEUURUUSUUOUUTXQWFWGUVGUUMXQOWHZXQHW
      HUVIUURUUSUUMUUTXQWIWGUURUUSUVJUUTXQWKWGUVGHXQUVGWJZUVGHDXQUVKUUSUURDWLGU
      UTDWMWNUURUUSXQWLGUUTXQWMWGUUSUURHDVBSUUTDWOWNUUSUURUUTWPWQWRXQWSVLTXQVHV
      RWTXKUUAUVCYSYIOYAUIVPXRUUBXPYHUUAUUCXKXSYCYGUUAXAYSUVFUUAYHXSUVFYGXSUVFX
      BYCXSYGUVFXSYFUVECXSYDUVDYEXPYDUVDQXRFXOXCRXDXEXFVPXGRYIDCAXQFXHXIXJXLXMX
      NXL $.
  $}

  ${
    $d G i j $.  $d N i j $.  $d W i j $.
    $( Cyclically shifting a closed walk as word results in a closed walk as
       word (in an undirected graph).  (Contributed by Alexander van der
       Vekens, 24-Mar-2018.)  (Revised by AV, 28-Apr-2021.) $)
    clwwisshclwws $p |- ( ( W e. ( ClWWalks ` G )
                               /\ N e. ( 0 ..^ ( # ` W ) ) )
                             -> ( W cyclShift N ) e. ( ClWWalks ` G ) ) $=
      ( vi vj cfv wcel cc0 cfzo co wa ccsh wceq wi c0 wne adantr c1 caddc cpr
      cclwwlk chash cvv cvtx cword w3a eqid clwwlkbp cshw0 eleq1d biimprd mpcom
      3ad2ant2 oveq2 syl5ibrcom fzo1fzo0n0 cv cedg cmin wral cshwcl 3ad2ant1 cz
      simpl elfzoelz cshwlen syl2an hasheq0 bicomd necon3bid biimpa eqnetrd syl
      clsw wb 3ad2antl1 jca anim1i 3simpc clwwisshclwwslem sylc elfzofz lswcshw
      mpbid cfz sylan2 fzo0ss1 sseli cshwidx0 preq12d imp elfzo1elm1fzo0 adantl
      ex fveq2 fvoveq1 zcnd 1cnd npcand fveq2d sylan9eqr rspcdv a1d com24 3imp1
      cc eqeltrd 3jca expcom isclwwlk 3imtr4g sylbir com13 pm2.61dne ) CAUAFZGZ
      BHCUBFZIJZGZKCBLJZXOGZBHXPBHMZYANXSXPYAYBCHLJZXOGZAUCGZCAUDFZUEZGZCOPZUFZ
      XPYDAYFCYFUGZUHYJYDXPYJYCCXOYHYEYCCMYIYFCUIUMUJUKULYBXTYCXOBHCLUNUJUOQXPX
      SBHPZYANYLXSXPYAXSYLXPYANZXSYLKBRXQIJZGZYMBXQUPYOYHYIKZDUQZCFZYQRSJCFZTZA
      URFZGZDHXQRUSJIJZUTZCVNFHCFTUUAGZUFZXTYGGZXTOPZKZEUQZXTFUUJRSJXTFTUUAGEHX
      TUBFZRUSJIJUTZXTVNFZHXTFZTZUUAGZUFZXPYAUUFYOUUQUUFYOKZUUIUULUUPUURUUGUUHU
      UFUUGYOYPUUDUUGUUEYHUUGYIBYFCVAQZVBQYPUUDYOUUHUUEYPYOKZUUKHPUUHUUTUUKXQHY
      PYHBVCGUUKXQMYOYHYIVDZBRXQVEZBYFCVFVGYPXQHPZYOYHYIUVCYHCOXQHYHXQHMCOMCYGV
      HVIVJVKQVLUUTUUKHXTOUUTUUGUUKHMXTOMVOYPUUGYOUUSQXTYGVHVMVJWDVPVQUURYHYOKZ
      UUDUUEKZUULUUFYHYOYPUUDYHUUEUVAVBVRUUFUVEYOYPUUDUUEVSQDEUUABYFCVTWAUURUUO
      BRUSJZCFZBCFZTZUUAUUFYOUUOUVIMZYPUUDYOUVJNZUUEYHUVKYIYHYOUVJUVDUUMUVGUUNU
      VHYOYHBRXQWEJGUUMUVGMBRXQWBBYFCWCWFYOYHXSUUNUVHMYNXRBXQWGWHBYFCWIWFWJWNQV
      BWKYPUUDUUEYOUVIUUAGZYPYOUUEUUDUVLYHYOUUEUUDUVLNZNZNYIYHYOUVNUVDUVMUUEUVD
      UUBUVLDUVFUUCYOUVFUUCGYHBXQWLWMUVDYQUVFMZKZYTUVIUUAUVPYRUVGYSUVHUVOYRUVGM
      UVDYQUVFCWOWMUVOUVDYSUVFRSJZCFUVHYQUVFRCSWPUVDUVQBCUVDBRYOBXFGYHYOBUVBWQW
      MUVDWRWSWTXAWJUJXBXCWNQXDXEXGXHXIDUUAAYFCYKUUAUGZXJEUUAAYFXTYKUVRXJXKXLXI
      XMWKXN $.
  $}

  $( Cyclically shifting a closed walk as word results in a closed walk as word
     (in an undirected graph).  (Contributed by Alexander van der Vekens,
     15-Jun-2018.)  (Revised by AV, 29-Apr-2021.) $)
  clwwisshclwwsn $p |- ( ( W e. ( ClWWalks ` G )
                           /\ N e. ( 0 ... ( # ` W ) ) )
                         -> ( W cyclShift N ) e. ( ClWWalks ` G ) ) $=
    ( chash cfv wceq cclwwlk wcel cc0 cfz co wa ccsh oveq2 cvtx cword c0 simprl
    cvv wne eqid clwwlkbp simp2d cshwn adantr sylan9eq eqeltrd wn cfzo wi df-ne
    syl fzofzim expcom syl5bir adantl impcom clwwisshclwws syl2anc pm2.61ian )
    BCDEZFZCAGEZHZBIVAJKHZLZCBMKZVCHZVBVFLVGCVCVBVFVGCVAMKZCBVACMNVDVICFZVEVDCA
    OEZPHZVJVDASHVLCQTAVKCVKUAUBUCVKCUDULUEUFVBVDVERUGVBUHZVFLVDBIVAUIKHZVHVMVD
    VERVFVMVNVEVMVNUJVDVMBVATZVEVNBVAUKVOVEVNBVAUMUNUOUPUQABCURUSUT $.

  ${
    erclwwlk.r $e |- .~ = { <. u , w >. | ( u e. ( ClWWalks ` G )
               /\ w e. ( ClWWalks ` G ) /\ E. n e. ( 0 ... ( # ` w ) )
                                           u = ( w cyclShift n ) ) } $.
    $( ` .~ ` is a relation.  (Contributed by Alexander van der Vekens,
       25-Mar-2018.)  (Revised by AV, 29-Apr-2021.) $)
    erclwwlkrel $p |- Rel .~ $=
      ( cv cclwwlk cfv wcel ccsh co wceq cc0 chash cfz wrex w3a relopabi ) BGZE
      HIZJAGZUAJTUBDGKLMDNUBOIPLQRBACFS $.

    $d G n u w $.
    ${
      $d U n u w $.  $d W n u w $.
      $( Two classes are equivalent regarding ` .~ ` if both are words and one
         is the other cyclically shifted.  (Contributed by Alexander van der
         Vekens, 25-Mar-2018.)  (Revised by AV, 29-Apr-2021.) $)
      erclwwlkeq $p |- ( ( U e. X /\ W e. Y )
               -> ( U .~ W <-> ( U e. ( ClWWalks ` G ) /\ W e. ( ClWWalks ` G )
          /\ E. n e. ( 0 ... ( # ` W ) ) U = ( W cyclShift n ) ) ) ) $=
        ( cv cfv wcel ccsh co wceq cc0 chash cfz adantl cclwwlk w3a wa wb eleq1
        wrex adantr fveq2 oveq2d simpl oveq1 eqeq12d rexeqbidv 3anbi123d brabga
        ) BKZFUALZMZAKZUQMZUPUSEKZNOZPZEQUSRLZSOZUFZUBDUQMZGUQMZDGVANOZPZEQGRLZ
        SOZUFZUBBADGCHIUPDPZUSGPZUCZURVGUTVHVFVMVNURVGUDVOUPDUQUEUGVOUTVHUDVNUS
        GUQUETVPVCVJEVEVLVOVEVLPVNVOVDVKQSUSGRUHUITVPUPDVBVIVNVOUJVOVBVIPVNUSGV
        ANUKTULUMUNJUO $.

      $d X n $.  $d Y n $.
      $( If two classes are equivalent regarding ` .~ ` , then they are words
         of the same length.  (Contributed by Alexander van der Vekens,
         8-Apr-2018.)  (Revised by AV, 29-Apr-2021.) $)
      erclwwlkeqlen $p |- ( ( U e. X /\ W e. Y )
                             -> ( U .~ W -> ( # ` U ) = ( # ` W ) ) ) $=
        ( wcel wa wbr cclwwlk cfv co wceq cc0 chash wi ccsh cfz wrex erclwwlkeq
        cv w3a fveq2 cvtx cword cz cvv c0 eqid clwwlkbp simp2d ad2antlr elfzelz
        wne cshwlen syl2an sylan9eqr rexlimdva2 ex com23 3impia com12 sylbid )
        DHKGIKLZDGCMDFNOZKZGVIKZDGEUEZUAPZQZERGSOZUBPZUCZUFZDSOZVOQZABCDEFGHIJU
        DVRVHVTVJVKVQVHVTTVJVKLZVHVQVTWAVHVQVTTWAVHLZVNVTEVPVNWBVLVPKZLVSVMSOZV
        ODVMSUGWBGFUHOZUIKZVLUJKWDVOQWCVKWFVJVHVKFUKKWFGULURFWEGWEUMUNUOUPVLRVO
        UQVLWEGUSUTVAVBVCVDVEVFVG $.
    $}

    $d n u w x $.
    $( ` .~ ` is a reflexive relation over the set of closed walks (defined as
       words).  (Contributed by Alexander van der Vekens, 25-Mar-2018.)
       (Revised by AV, 29-Apr-2021.) $)
    erclwwlkref $p |- ( x e. ( ClWWalks ` G ) <-> x .~ x ) $=
      ( cv cclwwlk cfv wcel ccsh co wceq cc0 w3a wbr wa cvv cn0 chash cfz anidm
      wrex anbi1i df-3an cvtx cword c0 wne eqid clwwlkbp cshw0 cle 0nn0 hashge0
      a1i lencl elfz2nn0 syl3anbrc eqcom biimpi oveq2 rspceeqv syl2an mpdan syl
      3ad2ant2 pm4.71i 3bitr4ri wb erclwwlkeq el2v bitr4i ) AHZFIJKZVPVPVOVOEHZ
      LMZNEOVOUAJZUBMZUDZPZVOVODQZVPVPRZWARVPWARWBVPWDVPWAVPUCUEVPVPWAUFVPWAVPF
      SKZVOFUGJZUHZKZVOUIUJZPWAFWFVOWFUKULWHWEWAWIWHVOOLMZVONZWAWFVOUMWHOVTKZVO
      WJNZWAWKWHOTKZVSTKOVSUNQWLWNWHUOUQWFVOURVOWGUPOVSUSUTWKWMWJVOVAVBEOVTVRWJ
      VOVQOVOLVCVDVEVFVHVGVIVJWCWBVKAABCDVOEFVOSSGVLVMVN $.

    $d n u w y $.  $d m n x y $.
    $( ` .~ ` is a symmetric relation over the set of closed walks (defined as
       words).  (Contributed by Alexander van der Vekens, 8-Apr-2018.)
       (Revised by AV, 29-Apr-2021.) $)
    erclwwlksym $p |- ( x .~ y -> y .~ x ) $=
      ( vm cv wbr wi cvv wcel wa cfv wceq ccsh co wrex erclwwlkeqlen erclwwlkeq
      chash cclwwlk cc0 cfz w3a simpl2 simpl1 cvtx cword c0 wne clwwlkbp simp2d
      eqid ad2antlr simpr cshwcshid expd rexlimdv ex com23 3impia imp weq oveq2
      eqeq2d cbvrexvw sylibr 3jca wb ancoms syl5ibr sylbid mpdd el2v ) AJZBJZEK
      ZVSVREKZLABVRMNZVSMNZOZVTVRUCPZVSUCPZQZWACDEVRFGVSMMHUAWDVTVRGUDPZNZVSWHN
      ZVRVSFJZRSQZFUEWFUFSZTZUGZWGWALCDEVRFGVSMMHUBWDWOWGWAWOWGOZWAWDWJWIVSVRWK
      RSZQZFUEWEUFSZTZUGZWPWJWIWTWIWJWNWGUHWIWJWNWGUIWPVSVRIJZRSZQZIWSTZWTWOWGX
      EWIWJWNWGXELWIWJOZWGWNXEXFWGWNXELXFWGOZWLXEFWMXGWKWMNWLXEXGABFIGUJPZWJVSX
      HUKNZWIWGWJGMNXIVSULUMGXHVSXHUPUNUOUQXFWGURUSUTVAVBVCVDVEWRXDFIWSFIVFWQXC
      VSWKXBVRRVGVHVIVJVKWCWBWAXAVLCDEVSFGVRMMHUBVMVNUTVOVPVQ $.

    $d G k m n $.  $d n u w z $.  $d k m n x y $.  $d k m x z $.
    $( ` .~ ` is a transitive relation over the set of closed walks (defined as
       words).  (Contributed by Alexander van der Vekens, 10-Apr-2018.)
       (Revised by AV, 30-Apr-2021.) $)
    erclwwlktr $p |- ( ( x .~ y /\ y .~ z ) -> x .~ z ) $=
      ( vm vk cv cvv wcel wa wi cfv wceq ccsh co wbr vex w3a erclwwlkeqlen wrex
      chash 3adant3 3adant1 cclwwlk cc0 cfz wb erclwwlkeq simpr1 simplr2 eqeq2d
      oveq2 cbvrexvw cvtx cword c0 wne eqid clwwlkbp simp2d ad2antlr cshwcsh2id
      simpr exp5l imp41 rexlimdva syl7bi syl5bi exp31 com15 impcom com13 3impia
      rexlimdva2 3jca 3adant2 syl5ibrcom com24 ex com4t sylbid com25 mpdd mp3an
      impd ) ALZMNZBLZMNZCLZMNZWKWMFUAZWMWOFUAZOWKWOFUAZPAUBBUBCUBWLWNWPUCZWQWR
      WSWTWQWKUFQWMUFQZRZWRWSPWLWNWQXBPWPDEFWKGHWMMMIUDUGWTWRXBWQWSWTWRXAWOUFQZ
      RZXBWQWSPPZWNWPWRXDPWLDEFWMGHWOMMIUDUHWTWRWMHUIQZNZWOXFNZWMWOGLZSTZRZGUJX
      CUKTZUEZUCZXDXEPWNWPWRXNULWLDEFWMGHWOMMIUMUHWTWQXDXBXNWSWTWQWKXFNZXGWKWMX
      ISTZRZGUJXAUKTZUEZUCZXDXBXNWSPZPPWLWNWQXTULWPDEFWKGHWMMMIUMUGXDXBWTXTYAXD
      XBWTXTYAPPXDXBOZXNXTWTWSYBXNXTWTWSPYBXNOZXTOZWSWTXOXHWKXJRGXLUEZUCZYDXOXH
      YEYCXOXGXSUNXGXHXMYBXTUOXTYCYEXOXGXSYCYEPYCXSXOXGOZYEXNYBXSYGYEPPZXHXMYBY
      HPZXGXMXHYIYGXHYBXSXMYEYGXHYBXSXMYEPZPXSWKWMJLZSTZRZJXRUEZYGXHOZYBOZYJXQY
      MGJXRXIYKRXPYLWKXIYKWMSUQUPURXMWMWOKLZSTZRZKXLUEZYPYNYEXKYSGKXLXIYQRXJYRW
      MXIYQWOSUQUPURYPYMYTYEPJXRYPYKXRNZOYMOYSYEKXLYPUUAYMYQXLNZYSYEPYPUUAYMUUB
      YSYEYPABCKJGHUSQZXHWOUUCUTNZYGYBXHHMNUUDWOVAVBHUUCWOUUCVCVDVEVFYOYBVHVGVI
      VJVKVSVLVMVNVOVPUHVPVQVRVPVTWLWPWSYFULWNDEFWKGHWOMMIUMWAWBVNWCWDWEWFWGWFW
      HWCWHWJWI $.

    $d G x $.  $d .~ x y z $.
    $( ` .~ ` is an equivalence relation over the set of closed walks (defined
       as words).  (Contributed by Alexander van der Vekens, 10-Apr-2018.)
       (Revised by AV, 30-Apr-2021.) $)
    erclwwlk $p |- .~ Er ( ClWWalks ` G ) $=
      ( vx vy cclwwlk cfv erclwwlkrel erclwwlksym erclwwlktr erclwwlkref iseri
      vz ) GHPEIJCABCDEFKGHABCDEFLGHPABCDEFMGABCDEFNO $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Closed walks of a fixed length as words
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c ClWWalksN $.

  $( Extend class notation with closed walks (in an undirected graph) of a
     fixed length as word over the set of vertices. $)
  cclwwlkn $a class ClWWalksN $.

  ${
    $d g n w $.
    $( Define the set of all closed walks of a fixed length ` n ` as words over
       the set of vertices in a graph ` g ` .  If ` 0 < n ` , such a word
       corresponds to the sequence p(0) p(1) ... p(n-1) of the vertices in a
       closed walk p(0) e(f(1)) p(1) e(f(2)) ... p(n-1) e(f(n)) p(n)=p(0) as
       defined in ~ df-clwlks .  For ` n = 0 ` , the set is empty, see
       ~ clwwlkn0 .  (Contributed by Alexander van der Vekens, 20-Mar-2018.)
       (Revised by AV, 24-Apr-2021.)  (Revised by AV, 22-Mar-2022.) $)
    df-clwwlkn $a |- ClWWalksN = ( n e. NN0 , g e. _V |->
                                 { w e. ( ClWWalks ` g ) | ( # ` w ) = n } ) $.
  $}

  ${
    $d G g n w $.  $d N g n w $.
    $( The set of closed walks of a fixed length ` N ` as words over the set of
       vertices in a graph ` G ` .  (Contributed by Alexander van der Vekens,
       20-Mar-2018.)  (Revised by AV, 24-Apr-2021.)  (Revised by AV,
       22-Mar-2022.) $)
    clwwlkn $p |- ( N ClWWalksN G ) = { w e. ( ClWWalks ` G ) |
                                        ( # ` w ) = N } $=
      ( vn vg cn0 wcel cvv wa cclwwlkn co cv chash wceq cclwwlk crab wn c0 wral
      cfv fveq2 adantl wb eqeq2 adantr rabeqbidv df-clwwlkn fvex ovmpoa mpondm0
      rabex wo cvtx cword wne clwwlkbp simp2d lencl syl eleq1 syl5ibcom con3rr3
      eqid ralrimiv ral0 fvprc raleqdv mpbiri jaoi ianor rabeq0 3imtr4i pm2.61i
      eqtr4d ) CFGZBHGZIZCBJKZALZMTZCNZABOTZPZNDECBFHVTDLZNZAELZOTZPZWCJWDCNZWF
      BNZIWEWAAWGWBWJWGWBNWIWFBOUAUBWIWEWAUCWJWDCVTUDUEUFAEDUGZWAAWBBOUHUKUIVQQ
      ZVRRWCDEWHJCBFHWKUJVOQZVPQZULWAQZAWBSZWLWCRNWMWPWNWMWOAWBVSWBGZWAVOWQVTFG
      ZWAVOWQVSBUMTZUNGZWRWQVPWTVSRUOBWSVSWSVCUPUQWSVSURUSVTCFUTVAVBVDWNWPWOARS
      WOAVEWNWOAWBRBOVFVGVHVIVOVPVJWAAWBVKVLVNVM $.
  $}

  ${
    $d G w $.  $d N w $.  $d W w $.
    $( A word over the set of vertices representing a closed walk of a fixed
       length.  (Contributed by Alexander van der Vekens, 15-Mar-2018.)
       (Revised by AV, 24-Apr-2021.)  (Revised by AV, 22-Mar-2022.) $)
    isclwwlkn $p |- ( W e. ( N ClWWalksN G )
                      <-> ( W e. ( ClWWalks ` G ) /\ ( # ` W ) = N ) ) $=
      ( vw cv chash cfv wceq cclwwlk cclwwlkn co fveqeq2 clwwlkn elrab2 ) DEZFG
      BHCFGBHDCAIGBAJKOCBFLDABMN $.
  $}

  ${
    $d G w $.
    $( There is no closed walk of length 0 (i.e. a closed walk without any
       edge) represented by a word of vertices.  (Contributed by Alexander van
       der Vekens, 15-Sep-2018.)  (Revised by AV, 24-Apr-2021.) $)
    clwwlkn0 $p |- ( 0 ClWWalksN G ) = (/) $=
      ( vw cc0 cclwwlkn co cv chash cfv wceq cclwwlk crab c0 clwwlkn rabeq0 clt
      wn wbr wcel 0re ltnri breq2 mtbiri clwwlkgt0 nsyl3 mprgbir eqtri ) CADEBF
      ZGHZCIZBAJHZKZLBACMUKLIUIPBUJUIBUJNUICUHOQZUGUJRUIULCCOQCSTUHCCOUAUBAUGUC
      UDUEUF $.
  $}

  ${
    $d g n w $.
    $( Sufficient conditions for ` ClWWalksN ` to be empty.  (Contributed by
       Alexander van der Vekens, 15-Sep-2018.)  (Revised by AV, 24-Apr-2021.)
       (Proof shortened by AV, 24-Feb-2022.) $)
    clwwlkneq0 $p |- ( ( G e/ _V \/ N e/ NN ) -> ( N ClWWalksN G ) = (/) ) $=
      ( vn vg vw cvv wnel cn wo wcel wn cn0 cc0 cclwwlkn co c0 wceq wa df-nel
      cv wne ianor orbi12i elnnne0 xchbinx orbi2i orass 3bitr4i orcom bitri cfv
      chash cclwwlk crab df-clwwlkn sylbir nne oveq1 clwwlkn0 eqtrdi sylbi jaoi
      mpondm0 ) AFGZBHGZIZAFJZKZBLJZKZIZBMUAZKZIZBANOZPQZVDVIVLRZKZIVHVJVMIZIVF
      VNVDVHVRVSAFSVIVLUBUCVEVRVDVEBHJVQBHSBUDUEUFVHVJVMUGUHVKVPVMVKVIVGRKZVPVT
      VJVHIVKVIVGUBVJVHUIUJCDETULUKCTQEDTUMUKUNNBALFEDCUOVCUPVMBMQZVPBMUQWAVOMA
      NOPBMANURAUSUTVAVBVA $.
  $}

  $( A closed walk of a fixed length as word is a closed walk (in an undirected
     graph) as word.  (Contributed by Alexander van der Vekens, 15-Mar-2018.)
     (Revised by AV, 24-Apr-2021.)  (Proof shortened by AV, 22-Mar-2022.) $)
  clwwlkclwwlkn $p |- ( W e. ( N ClWWalksN G ) -> W e. ( ClWWalks ` G ) ) $=
    ( cclwwlkn co wcel cclwwlk cfv chash wceq isclwwlkn simplbi ) CBADEFCAGHFCI
    HBJABCKL $.

  ${
    $d G w $.  $d N w $.
    $( The closed walks of a fixed length as words are closed walks (in an
       undirected graph) as words.  (Contributed by Alexander van der Vekens,
       15-Mar-2018.)  (Revised by AV, 12-Apr-2021.) $)
    clwwlksclwwlkn $p |- ( N ClWWalksN G ) C_ ( ClWWalks ` G ) $=
      ( vw cclwwlkn co cclwwlk cfv cv clwwlkclwwlkn ssriv ) CBADEAFGABCHIJ $.
  $}

  $( The length of a word representing a closed walk of a fixed length is this
     fixed length.  (Contributed by AV, 22-Mar-2022.) $)
  clwwlknlen $p |- ( W e. ( N ClWWalksN G ) -> ( # ` W ) = N ) $=
    ( cclwwlkn co wcel cclwwlk cfv chash wceq isclwwlkn simprbi ) CBADEFCAGHFCI
    HBJABCKL $.

  $( The length of a closed walk of a fixed length as word is a positive
     integer.  (Contributed by AV, 22-Mar-2022.) $)
  clwwlknnn $p |- ( W e. ( N ClWWalksN G ) -> N e. NN ) $=
    ( cclwwlkn co wcel c0 wceq cn n0i wn wnel wo df-nel biimpri olcd clwwlkneq0
    cvv syl nsyl2 ) CBADEZFUAGHZBIFZUACJUCKZARLZBILZMUBUDUFUEUFUDBINOPABQST $.

  ${
    clwwlknwrd.v $e |- V = ( Vtx ` G ) $.
    $( A closed walk of a fixed length as word is a word over the vertices.
       (Contributed by AV, 30-Apr-2021.) $)
    clwwlknwrd $p |- ( W e. ( N ClWWalksN G ) -> W e. Word V ) $=
      ( cclwwlkn co wcel cclwwlk cfv chash wceq wa cword isclwwlkn cvv clwwlkbp
      c0 wne simp2d adantr sylbi ) DBAFGHDAIJHZDKJBLZMDCNHZABDOUCUEUDUCAPHUEDRS
      ACDEQTUAUB $.

    $( Basic properties of a closed walk of a fixed length as word.
       (Contributed by AV, 30-Apr-2021.)  (Proof shortened by AV,
       22-Mar-2022.) $)
    clwwlknbp $p |- ( W e. ( N ClWWalksN G )
                      -> ( W e. Word V /\ ( # ` W ) = N ) ) $=
      ( cclwwlkn co wcel cword chash cfv wceq clwwlknwrd clwwlknlen jca ) DBAFG
      HDCIHDJKBLABCDEMABDNO $.
  $}

  ${
    $d G i $.  $d W i $.
    isclwwlknx.v $e |- V = ( Vtx ` G ) $.
    isclwwlknx.e $e |- E = ( Edg ` G ) $.
    $( Characterization of a word representing a closed walk of a fixed length,
       definition of ` ClWWalks ` expanded.  (Contributed by AV, 25-Apr-2021.)
       (Proof shortened by AV, 22-Mar-2022.) $)
    isclwwlknx $p |- ( N e. NN -> ( W e. ( N ClWWalksN G )
                  <-> ( ( W e. Word V /\ A. i e. ( 0 ..^ ( ( # ` W ) - 1 ) )
                                         { ( W ` i ) , ( W ` ( i + 1 ) ) } e. E
                          /\ { ( lastS ` W ) , ( W ` 0 ) } e. E )
                        /\ ( # ` W ) = N ) ) ) $=
      ( cn wcel cfv c1 co cpr cc0 wa w3a 3anass bitri anbi1i cword c0 wne caddc
      cv chash cmin cfzo wral clsw wceq cclwwlkn wb wi len0nnbi biimprcd impcom
      eleq1 syl6bir imp biantrurd bicomd pm5.32da ex pm5.32rd cclwwlk isclwwlkn
      isclwwlk anass 3bitr4g ) DIJZFEUAJZFUBUCZAUEZFKVNLUDMFKNBJAOFUFKZLUGMUHMU
      IZFUJKOFKNBJZPZPZPZVODUKZPZVLVRPZWAPFDCULMJZVLVPVQQZWAPVKWAVTWCVKWAVTWCUM
      VKWAPZVLVSVRWFVLPZVRVSWGVMVRWFVLVMWAVKVLVMUNZWAVKVOIJZWHVODIURVLVMWIEFUOU
      PUSUQUTVAVBVCVDVEWDFCVFKJZWAPWBCDFVGWJVTWAWJVLVMPZVPVQQZVTABCEFGHVHWLWKVR
      PVTWKVPVQRVLVMVRVISSTSWEWCWAVLVPVQRTVJ $.

    $d N i $.
    $( Properties of a set being a closed walk (represented by a word).
       (Contributed by Alexander van der Vekens, 17-Jun-2018.)  (Revised by AV,
       24-Apr-2021.)  (Proof shortened by AV, 23-Mar-2022.) $)
    clwwlknp $p |- ( W e. ( N ClWWalksN G )
     -> ( ( W e. Word V /\ ( # ` W ) = N )
          /\ A. i e. ( 0 ..^ ( N - 1 ) ) { ( W ` i ) , ( W ` ( i + 1 ) ) } e. E
          /\ { ( lastS ` W ) , ( W ` 0 ) } e. E ) ) $=
      ( co wcel cfv wa c1 cpr cc0 cmin cfzo wral w3a adantr cclwwlkn cword wceq
      chash cv caddc clsw clwwlknbp simpr cn clwwlknnn isclwwlknx 3simpc syl6bi
      mpcom oveq1 oveq2d raleqdv anbi1d ad2antll mpbid jca mpdan 3anass sylibr
      wb ) FDCUAIJZFEUBJZFUDKZDUCZLZAUEZFKVLMUFIFKNBJZAODMPIZQIZRZFUGKOFKNBJZLZ
      LZVKVPVQSVGVKVSCDEFGUHVGVKLZVKVRVGVKUIVTVMAOVIMPIZQIZRZVQLZVRVGWDVKDUJJZV
      GWDCDFUKWEVGVHWCVQSZVJLWDABCDEFGHULWFWDVJVHWCVQUMTUNUOTVJWDVRVFVGVHVJWCVP
      VQVJVMAWBVOVJWAVNOQVIDMPUPUQURUSUTVAVBVCVKVPVQVDVE $.
  $}

  ${
    $d G i $.  $d W i $.
    $( A word representing a closed walk of length ` N ` also represents a walk
       of length ` N - 1 ` .  The walk is one edge shorter than the closed
       walk, because the last edge connecting the last with the first vertex is
       missing.  For example, if ` <" a b c "> e. ( 3 ClWWalksN G ) `
       represents a closed walk "abca" of length 3, then
       ` <" a b c "> e. ( 2 WWalksN G ) ` represents a walk "abc" (not closed
       if ` a =/= c ` ) of length 2, and ` <" a b c a "> e. ( 3 WWalksN G ) `
       represents also a closed walk "abca" of length 3.  (Contributed by AV,
       24-Jan-2022.)  (Revised by AV, 22-Mar-2022.) $)
    clwwlknwwlksn $p |- ( W e. ( N ClWWalksN G )
                          -> W e. ( ( N - 1 ) WWalksN G ) ) $=
      ( vi wcel co c1 cmin cfv wa caddc cpr cc0 w3a wceq wi idd syl com12 wb cn
      cclwwlkn cwwlksn clwwlknnn cvtx cword c0 wne cv cedg chash cfzo wral clsw
      nncn npcan1 eqcomd eqeq2d biimpd 3anim123d 3exp a1dd adantr 3imp1 cclwwlk
      isclwwlkn a1i eqid isclwwlk anbi1i bitrdi nnm1nn0 iswwlksnx 3imtr4d mpcom
      cc cn0 ) BUAEZCBAUBFEZCBGHFZAUCFEZABCUDVRCAUEIZUFEZCUGUHZJZDUIZCIWFGKFCIL
      AUJIZEDMCUKIZGHFULFUMZCUNIMCILWGEZNZWHBOZJZWCWIWHVTGKFZOZNZVSWAWMVRWPWEWI
      WJWLVRWPPZWCWIWJWLWQPZPPWDWCWIWRWJWCWIWLWQVRWCWIWLNWPVRWCWCWIWIWLWOVRWCQV
      RWIQVRWLWOVRBWNWHVRWNBVRBVPEWNBOBUOBUPRUQURUSUTSVAVBVCVDSVRVSCAVEIEZWLJZW
      MVSWTTVRABCVFVGWSWKWLDWGAWBCWBVHZWGVHZVIVJVKVRVTVQEWAWPTBVLDWGAVTWBCXAXBV
      MRVNVO $.

    $d N i $.
    $( The last but one vertex in a closed walk is a neighbor of the first
       vertex of the closed walk.  (Contributed by AV, 17-Feb-2022.) $)
    clwwlknlbonbgr1 $p |- ( ( G e. USGraph /\ W e. ( N ClWWalksN G ) )
                         -> ( W ` ( N - 1 ) ) e. ( G NeighbVtx ( W ` 0 ) ) ) $=
      ( vi cusgr wcel cclwwlkn co wa c1 cmin cfv cc0 cnbgr cpr cedg cword chash
      cvtx eqid wceq cv caddc cfzo wral clsw w3a clwwlknp wi lsw fvoveq1 preq1d
      sylan9eq eleq1d biimpd a1d 3imp syl adantl wb nbusgreledg adantr mpbird )
      AEFZCBAGHFZIBJKHZCLZAMCLZNHFZVGVHOZAPLZFZVEVLVDVECASLZQZFZCRLZBUAZIZDUBZC
      LVSJUCHCLOVKFDMVFUDHUEZCUFLZVHOZVKFZUGVLDVKABVMCVMTVKTZUHVRVTWCVLVRWCVLUI
      VTVRWCVLVRWBVJVKVRWAVGVHVOVQWAVPJKHCLVGCVNUJVPBJCKUKUMULUNUOUPUQURUSVDVIV
      LUTVEVKAVHVGWDVAVBVC $.
  $}

  ${
    $d G i $.  $d M i $.  $d N i $.  $d W i $.
    $( If the initial vertex of a walk occurs another time in the walk, the
       walk starts with a closed walk.  Since the walk is expressed as a word
       over vertices, the closed walk can be expressed as a subword of this
       word.  (Contributed by Alexander van der Vekens, 15-Sep-2018.)  (Revised
       by AV, 23-Jan-2022.)  (Revised by AV, 30-Oct-2022.) $)
    clwwlkinwwlk $p |- ( ( ( N e. NN /\ M e. ( ZZ>= ` N ) )
                           /\ W e. ( M WWalksN G ) /\ ( W ` N ) = ( W ` 0 ) )
                         -> ( W prefix N ) e. ( N ClWWalksN G ) ) $=
      ( vi co wcel cfv wa c1 wceq cpr cc0 cfzo w3a adantr syl adantl wb cfz cuz
      cwwlksn cn cvtx cword chash caddc cv cedg wral cpfx cclwwlkn eqid cclwwlk
      wwlknp c0 wne cmin clsw pfxcl cle wbr simpll simprl cr cz eluz2 3anim123i
      zre sylbi letrp1 breq2 ad2antlr mpbird pfxn0 syl3anc jca 3adantl3 wss cn0
      id nnz 1nn0 eluzmn sylancl uzss sselda fzoss2 3ad2ant3 ssralv com34 3imp1
      3exp nnnn0 elnn0uz sylib eluzfz sylan fzelp1 eleq2d pfxlen syl2anc oveq1d
      oveq2 oveq2d raleqdv ad2antrl pfxfv elfzom1elp1fzo preq12d ralbidva bitrd
      wi eleq1d elfz1uz pfxfvlsw pfxfv0 fz1fzo0m1 simpr oveq1 cc nncn sylan9eqr
      fveq2d npcan1 imp rspcdv preq2 mpbid eqeltrd exp31 3imp21 isclwwlk sylibr
      ex 3jca 3adant3 impcom isclwwlkn sylanbrc syl3an2 ) DBAUBFGCUCGZBCUAHZGZI
      ZDAUDHZUEZGZDUFHZBJUGFZKZEUHZDHZUULJUGFZDHZLZAUIHZGZEMBNFZUJZOZCDHZMDHZKZ
      DCUKFZCAULFGZEUUQABUUFDUUFUMZUUQUMZUOUUEUVAUVDOZUVEAUNHGZUVEUFHZCKZUVFUVI
      UVEUUGGZUVEUPUQZIZUULUVEHZUUNUVEHZLZUUQGZEMUVKJURFZNFZUJZUVEUSHZMUVEHZLZU
      UQGZOZUVJUVAUUEUVDUWGUVAUUEUVDUWGUVAUUEIZUVDIZUVOUWBUWFUWHUVOUVDUUHUUKUUE
      UVOUUTUUHUUKIZUUEIZUVMUVNUWJUVMUUEUUHUVMUUKUUFDCUTPPUWKUUHUUBCUUIVAVBZUVN
      UUHUUKUUEVCZUWJUUBUUDVDUWKUWLCUUJVAVBZUUEUWNUWJUUDUWNUUBUUDCVEGZBVEGZCBVA
      VBZOZUWNUUDCVFGZBVFGZUWQOUWRCBVGUWSUWOUWTUWPUWQUWQCVIBVIUWQWAVHVJCBVKQRRU
      UKUWLUWNSUUHUUEUUIUUJCVAVLVMVNCUUFDVOVPVQVRPUWIUWBUUREMCJURFZNFZUJZUWHUXC
      UVDUUHUUKUUTUUEUXCUUHUUKUUEUUTUXCUUHUUKUUEUUTUXCXMZUUHUUKUUEOZUXBUUSVSZUX
      DUUEUUHUXFUUKUUEBUXAUAHZGUXFUUBUUCUXGBUUBCUXGGZUUCUXGVSUUBUWSJVTGUXHCWBZW
      CCJWDWEZUXACWFQWGUXAMBWHQWIUUREUXBUUSWJQWMWKWLPUWHUWBUXCSZUVDUUHUUKUUEUXK
      UUTUWKUWBUVSEUXBUJUXCUWKUVSEUWAUXBUWKUVTUXAMNUWKUVKCJURUWKUUHCMUUITFZGZUV
      LUWMUWKUXMCMUUJTFZGZUUEUXOUWJUUECMBTFGZUXOUUBCMUAHGZUUDUXPUUBCVTGUXQCWNCW
      OWPCMBWQWRZCMBWSZQRUUKUXMUXOSUUHUUEUUKUXLUXNCUUIUUJMTXDWTVMZVNZUUFDCXAZXB
      XCXEXFUWKUVSUUREUXBUWKUULUXBGZIZUVRUUPUUQUYDUVPUUMUVQUUOUYDUUHUXMUULMCNFZ
      GUVPUUMKUWKUUHUYCUWMPZUWKUXMUYCUYAPZUWKUXBUYEUULUWKUXHUXBUYEVSUUBUXHUWJUU
      DUXJXGUXAMCWHQWGUULCUUFDXHVPUYDUUHUXMUUNUYEGZUVQUUOKUYFUYGUWKUWSUYCUYHUUB
      UWSUWJUUDUXIXGUULCXIWRUUNCUUFDXHVPXJXNXKXLVRPVNUWIUWEUXADHZUVCLZUUQUWHUWE
      UYJKZUVDUUHUUKUUEUYKUUTUWKUUHCJUUITFZGZUYKUWMUWKUYMCJUUJTFZGZUUEUYOUWJUUE
      CJBTFGZUYOBCXOZCJBWSQRUUKUYMUYOSUUHUUEUUKUYLUYNCUUIUUJJTXDWTVMVNUUHUYMIUW
      CUYIUWDUVCCUUFDXPCUUFDXQXJXBVRPUWIUYIUVBLZUUQGZUYJUUQGZUWHUYSUVDUUHUUKUUT
      UUEUYSUUHUUKUUEUUTUYSUUHUUKUUEUUTUYSXMUXEUURUYSEUXAUUSUUEUUHUXAUUSGZUUKUU
      EUYPVUAUYQCBXRQWIUXEUULUXAKZUURUYSSZUUEUUHVUBVUCXMZUUKUUBVUDUUDUUBVUBVUCU
      UBVUBIZUUPUYRUUQVUEUUMUYIUUOUVBVUEUULUXADUUBVUBXSYDVUEUUNCDVUBUUBUUNUXAJU
      GFZCUULUXAJUGXTUUBCYAGVUFCKCYBCYEQYCYDXJXNYOPWIYFYGWMWKWLPUVDUYSUYTSUWHUV
      DUYRUYJUUQUVBUVCUYIYHXNRYIYJYPYKYLEUUQAUUFUVEUVGUVHYMYNUVIUUHUXMIZUVLUUEU
      VAVUGUVDUVAUUEVUGUUHUUKUUEVUGXMUUTUWJUUEVUGUWKUUHUXMUWMUWKUXMUXOUWKUXPUXO
      UUEUXPUWJUXRRUXSQUXTVNVQYOYQYRYQUYBQACUVEYSYTUUA $.
  $}

  ${
    $d G i $.  $d W i $.
    $( A closed walk of length 1 represented as word is a word consisting of 1
       symbol representing a vertex connected to itself by (at least) one edge,
       that is, a loop.  (Contributed by AV, 24-Apr-2021.)  (Revised by AV,
       11-Feb-2022.) $)
    clwwlkn1 $p |- ( W e. ( 1 ClWWalksN G ) <-> ( ( # ` W ) = 1
                /\ W e. Word ( Vtx ` G ) /\ { ( W ` 0 ) } e. ( Edg ` G ) ) ) $=
      ( vi c1 co wcel cfv cpr cc0 cmin cfzo wral w3a wceq wa eqid 3anass eqtrdi
      wb c0 cclwwlkn cvtx cword cv caddc cedg chash csn cn 1nn isclwwlknx ax-mp
      clsw ral0 oveq1 oveq2d fzo0 raleqdv adantr mpbiri biantrurd ancoms preq1d
      1m1e0 dfsn2 eqtr4di eleq1d bitr3d pm5.32da syl5bb pm5.32ri bitr2i 3bitri
      lsw1 ancom ) BDAUAEFZBAUBGZUCFZCUDZBGVSDUEEBGHAUFGZFZCIBUGGZDJEZKEZLZBUMG
      ZIBGZHZVTFZMZWBDNZOZVRWGUHZVTFZOZWKOZWKVRWNMZDUIFVPWLSUJCVTADVQBVQPVTPUKU
      LWKWJWOWJVRWEWIOZOWKWOVRWEWIQWKVRWRWNWKVROZWIWRWNWSWEWIWSWEWACTLZWACUNWKW
      EWTSVRWKWACWDTWKWDIIKETWKWCIIKWKWCDDJEIWBDDJUOVDRUPIUQRURUSUTVAWSWHWMVTWS
      WHWGWGHWMWSWFWGWGVRWKWFWGNVQBVNVBVCWGVEVFVGVHVIVJVKWQWKWOOWPWKVRWNQWKWOVO
      VLVM $.
  $}

  $( The singleton word consisting of a vertex ` V ` represents a closed walk
     of length 1 iff there is a loop at vertex ` V ` .  (Contributed by AV,
     11-Feb-2022.) $)
  loopclwwlkn1b $p |- ( V e. ( Vtx ` G )
              -> ( { V } e. ( Edg ` G ) <-> <" V "> e. ( 1 ClWWalksN G ) ) ) $=
    ( cs1 c1 cclwwlkn co wcel chash cfv wceq cvtx cword cc0 csn w3a clwwlkn1 wi
    cedg sneqd eleq1d s1fv biimpcd 3ad2ant3 com12 wa s1len adantr eqcomd biimpa
    a1i s1cl 3jca ex impbid bitr2id ) BCZDAEFGUPHIDJZUPAKIZLGZMUPIZNZARIZGZOZBU
    RGZBNZVBGZAUPPVEVDVGVDVEVGVCUQVEVGQUSVEVCVGVEVAVFVBVEUTBBURUAZSTUBUCUDVEVGV
    DVEVGUEZUQUSVCUQVIBUFUJVEUSVGBURUKUGVEVGVCVEVFVAVBVEBUTVEUTBVHUHSTUIULUMUNU
    O $.

  ${
    $d G v $.  $d W v $.
    $( A word represents a closed walk of length 1 iff this word is a singleton
       word consisting of a vertex with an attached loop.  (Contributed by AV,
       11-Feb-2022.) $)
    clwwlkn1loopb $p |- ( W e. ( 1 ClWWalksN G )
           <-> E. v e. ( Vtx ` G ) ( W = <" v "> /\ { v } e. ( Edg ` G ) ) ) $=
      ( c1 cclwwlkn co wcel chash cfv wceq cc0 csn w3a wa wrex wi eleq1d biimpd
      sneqd imp cvtx cword cedg cv clwwlkn1 wrdl1exs1 fveq1 s1fv sylan9eq com13
      cs1 ex ancld reximdva syl5com expcom 3imp s1len a1i adantr eqcomd adantrl
      s1cl 3jca fveqeq2 eleq1 3anbi123d ad2antrl mpbird rexlimiva impbii bitri
      wb ) CDBEFGCHIDJZCBUAIZUBZGZKCIZLZBUCIZGZMZCAUDZUKZJZWCLZVTGZNZAVOOZBCUEW
      BWIVNVQWAWIVQVNWAWIPVQVNNWEAVOOWAWIVOCAUFWAWEWHAVOWAWCVOGZNWEWGWAWJWEWGPW
      EWJWAWGWEWJWAWGPWEWJNZWAWGWKVSWFVTWKVRWCWEWJVRKWDIZWCKCWDUGZWCVOUHZUISQRU
      LUJTUMUNUOUPUQWHWBAVOWJWHNWBWDHIDJZWDVPGZWLLZVTGZMZWJWGWSWEWJWGNZWOWPWRWO
      WTWCURUSWJWPWGWCVOVCUTWJWGWRWJWGWRWJWFWQVTWJWCWLWJWLWCWNVASQRTVDVBWEWBWSV
      MWJWGWEVNWOVQWPWAWRCWDDHVECWDVPVFWEVSWQVTWEVRWLWMSQVGVHVIVJVKVL $.
  $}

  ${
    $d G i $.  $d W i $.
    $( A closed walk of length 2 represented as word is a word consisting of 2
       symbols representing (not necessarily different) vertices connected by
       (at least) one edge.  (Contributed by Alexander van der Vekens,
       19-Sep-2018.)  (Revised by AV, 25-Apr-2021.) $)
    clwwlkn2 $p |- ( W e. ( 2 ClWWalksN G ) <-> ( ( # ` W ) = 2
                             /\ W e. Word ( Vtx ` G )
                             /\ { ( W ` 0 ) , ( W ` 1 ) } e. ( Edg ` G ) ) ) $=
      ( vi c2 co wcel cfv c1 cpr cc0 cmin cfzo wral w3a wceq eqid 3anass eqtrdi
      wa eleq1d cclwwlkn cvtx cword cv caddc cedg chash cn 2nn isclwwlknx ax-mp
      clsw wb csn oveq1 2m1e1 oveq2d fzo01 adantr raleqdv fveq2 fv0p1e1 preq12d
      c0ex ralsn bitrdi prcom lsw fveq2d sylan9eqr preq2d syl5eq anidm pm5.32da
      anbi12d syl5bb pm5.32ri ancom bitr2i 3bitri ) BDAUAEFZBAUBGZUCZFZCUDZBGZW
      EHUEEBGZIZAUFGZFZCJBUGGZHKEZLEZMZBULGZJBGZIZWIFZNZWKDOZSZWDWPHBGZIZWIFZSZ
      WTSZWTWDXDNZDUHFWAXAUMUICWIADWBBWBPWIPUJUKWTWSXEWSWDWNWRSZSWTXEWDWNWRQWTW
      DXHXDWTWDSZXHXDXDSXDXIWNXDWRXDXIWNWJCJUNZMXDXIWJCWMXJWTWMXJOWDWTWMJHLEXJW
      TWLHJLWTWLDHKEHWKDHKUOUPRZUQURRUSUTWJXDCJVDWEJOZWHXCWIXLWFWPWGXBWEJBVABWE
      VBVCTVEVFXIWQXCWIXIWQWPWOIXCWOWPVGXIWOXBWPWDWTWOWLBGXBBWCVHWTWLHBXKVIVJVK
      VLTVOXDVMVFVNVPVQXGWTXESXFWTWDXDQWTXEVRVSVT $.
  $}

  ${
    $d G w $.  $d N w $.
    $( If there is only a finite number of vertices, the number of closed walks
       of fixed length (as words) is also finite.  (Contributed by Alexander
       van der Vekens, 25-Mar-2018.)  (Revised by AV, 25-Apr-2021.)  (Proof
       shortened by AV, 22-Mar-2022.)  (Proof shortened by JJ, 18-Nov-2022.) $)
    clwwlknfi $p |- ( ( Vtx ` G ) e. Fin -> ( N ClWWalksN G ) e. Fin ) $=
      ( vw cvtx cfv cfn wcel cclwwlkn co chash wceq cclwwlk crab clwwlkn wrdnfi
      cv cword wss clwwlksswrd rabss2 mp1i ssfid eqeltrid ) ADEZFGZBAHICPJEBKZC
      ALEZMZFCABNUEUFCUDQZMZUHCBUDOUGUIRUHUJRUEASUFCUGUITUAUBUC $.
  $}

  ${
    $d G i $.  $d G w $.  $d N i $.  $d N w $.  $d P i $.  $d P w $.
    clwwlkf1o.d $e |- D = { w e. ( N WWalksN G ) |
                             ( lastS ` w ) = ( w ` 0 ) } $.
    $( Obtaining a closed walk (as word) by appending the first symbol to the
       word representing a walk.  (Contributed by AV, 28-Sep-2018.)  (Revised
       by AV, 25-Apr-2021.) $)
    clwwlkel $p |- ( ( N e. NN
                       /\ ( P e. Word ( Vtx ` G ) /\ ( # ` P ) = N )
                       /\ ( A. i e. ( 0 ..^ ( N - 1 ) )
                            { ( P ` i ) , ( P ` ( i + 1 ) ) } e. ( Edg ` G )
                            /\ { ( lastS ` P ) , ( P ` 0 ) } e. ( Edg ` G ) ) )
                     -> ( P ++ <" ( P ` 0 ) "> ) e. D ) $=
      ( wcel cfv wceq wa c1 caddc co cc0 cmin cfzo wral adantr adantl cword cpr
      cn cvtx chash cv cedg clsw w3a cs1 cconcat cwwlksn wne ccatws1n0 3ad2ant2
      c0 simprl fstwrdne0 s1cld ccatcl syl2anc 3adant3 csn cn0 clt wbr elfzonn0
      wi cz nnz elfzo0 cr nn0re nnre peano2rem syl 3jca ltm1d anim1ci lttr sylc
      ex impancom 3adant2 sylbi impcom elfzo0z syl3anbrc adantlr oveq2 ad2antll
      wb eleq2d mpbird ccatval1 syl3anc elfzom1p1elfzo eleqtrrd eleq1d ralbidva
      preq12d biimprcd expdcom 3imp fzo0end syl5ibrcom imp lsw eqtr2d nncn 1cnd
      fvoveq1 npcand fveq2d fveq2 ccatws1ls 3eqtr2rd biimpcd ovex ralsn addsubd
      sylibr cun oveq2d nnm1nn0 elnn0uz sylib fzosplitsn eqtrd raleqdv 3ad2ant1
      cuz ralunb bitrdi mpbir2and ccatlen id s1len a1i eqid oveq1d cwwlks nnnn0
      oveq12d iswwlksn iswwlks anbi1i lswccats1 lbfzo0 biimpri eqeq12d sylanbrc
      eqtr4d fveq1 elrab2 ) FUCHZCEUDIZUAZHZCUEIZFJZKZDUFZCIZUVCLMNZCIZUBZEUGIZ
      HZDOFLPNZQNZRZCUHIZOCIZUBZUVHHZKZUIZCUVNUJZUKNZFEULNZHZUVTUHIZOUVTIZJZUVT
      BHUVRUWBUVTUPUMZUVTUURHZUVCUVTIZUVEUVTIZUBZUVHHZDOUVTUEIZLPNZQNZRZUIZUWLF
      LMNZJZUVRUWFUWGUWOUVBUUPUWFUVQUUSUWFUVAUUQCUVNUNSUOUUPUVBUWGUVQUUPUVBKZUU
      SUVSUURHZUWGUUPUUSUVAUQZUWSUVNUUQFUUQCURZUSZUUQCUVSUTVAVBUVRUWOUWKDOUWQLP
      NZQNZRZUVRUXFUWKDUVKRZUWKDUVJVCZRZUUPUVBUVQUXGUVQUUPUVBUXGUVLUWSUXGVHUVPU
      WSUXGUVLUWSUWKUVIDUVKUWSUVCUVKHZKZUWJUVGUVHUXKUWHUVDUWIUVFUXKUUSUWTUVCOUU
      TQNZHZUWHUVDJUWSUUSUXJUXASZUWSUWTUXJUXCSZUXKUXMUVCOFQNZHZUUPUXJUXQUVBUUPU
      XJKUVCVDHZFVIHZUVCFVEVFZUXQUXJUXRUUPUVCUVJVGTUUPUXSUXJFVJSUXJUUPUXTUXJUXR
      UVJUCHZUVCUVJVEVFZUIUUPUXTVHZUVCUVJVKUXRUYBUYCUYAUXRUUPUYBUXTUXRUUPKZUYBU
      XTUYDUYBKUVCVLHZUVJVLHZFVLHZUIZUYBUVJFVEVFZKUXTUYDUYHUYBUYDUYEUYFUYGUXRUY
      EUUPUVCVMSUUPUYFUXRUUPUYGUYFFVNZFVOVPTUUPUYGUXRUYJTVQSUYDUYIUYBUUPUYIUXRU
      UPFUYJVRTVSUVCUVJFVTWAWBWCWDWEWFUVCFWGWHWIUWSUXMUXQWLZUXJUVAUYKUUPUUSUVAU
      XLUXPUVCUUTFOQWJZWMWKSWNUUQUUQCUVSUVCWOWPUXKUUSUWTUVEUXLHUWIUVFJUXNUXOUXK
      UVEUXPUXLUUPUXJUVEUXPHUVBFUVCWQWIUWSUXLUXPJZUXJUVAUYMUUPUUSUYLWKSWRUUQUUQ
      CUVSUVEWOWPXAWSWTXBSXCXDUVRUVJUVTIZUVJLMNZUVTIZUBZUVHHZUXIUUPUVBUVQUYRUVQ
      UUPUVBUYRUVPUWSUYRVHUVLUWSUVPUYRUWSUVOUYQUVHUWSUVMUYNUVNUYPUWSUYNUVJCIZUV
      MUWSUUSUWTUVJUXLHZUYNUYSJUXAUXCUUPUVBUYTUUPUYTUVBUVJUXPHZFXEUVAUYTVUAWLUU
      SUVAUXLUXPUVJUYLWMTXFXGUUQUUQCUVSUVJWOWPUVBUYSUVMJUUPUVBUVMUUTLPNCIZUYSUU
      SUVMVUBJUVACUURXHSUVAVUBUYSJUUSUUTFLCPXLTXITXIUWSUYPFUVTIZUUTUVTIZUVNUUPU
      YPVUCJUVBUUPUYOFUVTUUPFLFXJZUUPXKZXMXNSUVAVUDVUCJUUPUUSUUTFUVTXOWKUWSUUSU
      VNUUQHZVUDUVNJUXAUXBUUQCUVNXPVAXQXAWSXRTXCXDUWKUYRDUVJFLPXSUVCUVJJZUWJUYQ
      UVHVUHUWHUYNUWIUYPUVCUVJUVTXOUVCUVJLUVTMXLXAWSXTYBUUPUVBUXFUXGUXIKZWLUVQU
      UPUXFUWKDUVKUXHYCZRVUIUUPUWKDUXEVUJUUPUXEOUYOQNZVUJUUPUXDUYOOQUUPFLLVUEVU
      FVUFYAYDUUPUVJOYLIHZVUKVUJJUUPUVJVDHVULFYEUVJYFYGOUVJYHVPYIYJUWKDUVKUXHYM
      YNYKYOUVRUWKDUWNUXEUVRUWMUXDOQUVRUWLUWQLPUUPUVBUWRUVQUWSUWLUUTUVSUEIZMNZU
      WQUWSUUSUWTUWLVUNJUXAUXCUUQUUQCUVSYPVAUVAVUNUWQJUUPUUSUVAUUTFVUMLMUVAYQVU
      MLJUVAUVNYRYSUUDWKYIVBZUUAYDYJWNVQVUOUUPUVBUWBUWPUWRKZWLUVQUUPUWBUVTEUUBI
      HZUWRKZVUPUUPFVDHUWBVURWLFUUCEFUVTUUEVPVUQUWPUWRDUVHEUUQUVTUUQYTUVHYTUUFU
      UGYNYKYOUUPUVBUWEUVQUWSUWCUVNUWDUWSUUSVUGUWCUVNJUXAUXBUVNUUQCUUHVAUWSUUSU
      WTOUXLHZUWDUVNJUXAUXCUUPUVBVUSUUPVUSUVBOUXPHZVUTUUPFUUIUUJUVAVUSVUTWLUUSU
      VAUXLUXPOUYLWMTXFXGUUQUUQCUVSOWOWPUUMVBAUFZUHIZOVVAIZJUWEAUVTUWABVVAUVTJV
      VBUWCVVCUWDVVAUVTUHXOOVVAUVTUUNUUKGUUOUUL $.

    $d D t $.  $d G i t $.  $d G t w $.  $d N t $.
    clwwlkf1o.f $e |- F = ( t e. D |-> ( t prefix N ) ) $.
    $( Lemma 1 for ~ clwwlkf1o :  F is a function.  (Contributed by Alexander
       van der Vekens, 27-Sep-2018.)  (Revised by AV, 26-Apr-2021.)  (Revised
       by AV, 1-Nov-2022.) $)
    clwwlkf $p |- ( N e. NN -> F : D --> ( N ClWWalksN G ) ) $=
      ( vi wcel co cfv cc0 wceq wa c1 cfzo wi syl adantr cn cv cclwwlkn cwwlksn
      cpfx clsw fveq2 fveq1 eqeq12d elrab2 cvtx cword caddc cpr cedg chash cmin
      wral w3a c0 wne cwwlks cn0 wb nnnn0 iswwlksn iswwlks a1i anbi1d bitrd cfz
      eqid simpll cle wbr peano2nn0 nnre lep1d elfz2nn0 syl3anbrc adantl eleq2d
      oveq2 mpbird jca pfxlen ex 3ad2antl2 impcom pfxcl 3ad2ant2 ad2antrl oveq1
      oveq2d nncn 1cnd pncand sylan9eqr raleqdv wss cuz cz peano2zm lem1d eluz2
      nnz fzoss2 ssralv simplr ad2antrr sseld imp eqcomd syl3anc elfzom1elp1fzo
      pfxfv sylan preq12d eleq1d biimpd com23 syld sylbid com14 3adant1 simprl2
      ralbidva ancli peano2zd pfxfvlsw pfxfv0 eqcom biimpi fveq2d 3eqtrd preq2d
      fznn lsw sylan9eq eqeltrd fzo0end fvoveq1 rspcva npcand mpd 3ad2ant3 3jca
      com3r simpl mpancom exp31 imp32 isclwwlknx sylan2b fmptd ) FUAJZBCBUBZFUE
      KZFEUCKZDUUQCJUUPUUQFEUDKZJZUUQUFLZMUUQLZNZOZUURUUSJZAUBZUFLZMUVGLZNUVDAU
      UQUUTCUVGUUQNUVHUVBUVIUVCUVGUUQUFUGMUVGUUQUHUIGUJUUPUVEOUVFUUREUKLZULZJZI
      UBZUURLZUVMPUMKZUURLZUNZEUOLZJZIMUURUPLZPUQKZQKZURZUURUFLZMUURLZUNZUVRJZU
      SZUVTFNZOZUUPUVAUVDUWJUUPUVAUUQUTVAZUUQUVKJZUVMUUQLZUVOUUQLZUNZUVRJZIMUUQ
      UPLZPUQKZQKZURZUSZUWQFPUMKZNZOZUVDUWJRUUPUVAUUQEVBLJZUXCOZUXDUUPFVCJZUVAU
      XFVDFVEZEFUUQVFSUUPUXEUXAUXCUXEUXAVDUUPIUVREUVJUUQUVJVLZUVRVLZVGVHVIVJUUP
      UXDUVDUWJUWIUUPUXDOZUVDOZUWJUXKUWIUVDUXDUUPUWIUWLUWKUXCUUPUWIRUWTUWLUXCOZ
      UUPUWIUXMUUPOZUWLFMUWQVKKZJZOUWIUXNUWLUXPUWLUXCUUPVMUXNUXPFMUXBVKKZJZUUPU
      XRUXMUUPUXGUXBVCJZFUXBVNVOZUXRUXHUUPUXGUXSUXHFVPSUUPFFVQZVRZFUXBVSVTZWAUX
      MUXPUXRVDZUUPUXCUYDUWLUXCUXOUXQFUWQUXBMVKWCWBZWATWDWEUVJUUQFWFSWGWHWITUWI
      UXLOZUWHUWIUYFUVLUWCUWGUXKUVLUWIUVDUXAUVLUUPUXCUWLUWKUVLUWTUVJUUQFWJWKWLW
      LUYFUWCUVSIMFPUQKZQKZURZUXKUYIUWIUVDUXDUUPUYIUXAUXCUUPUYIRZUWLUWTUXCUYJRZ
      UWKUWLUWTUYKUUPUWTUXCUWLUYIUUPUXCUWTUWLUYIRZUUPUXCUWTUYLRUUPUXCOZUWTUWPIM
      FQKZURZUYLUYMUWPIUWSUYNUXCUUPUWSMUXBPUQKZQKUYNUXCUWRUYPMQUWQUXBPUQWMZWNUU
      PUYPFMQUUPFPFWOZUUPWPZWQZWNWRWSUYMUYOUWPIUYHURZUYLUYMUYHUYNWTZUYOVUARUUPV
      UBUXCUUPFUYGXALJZVUBUUPUYGXBJZFXBJZUYGFVNVOVUCUUPVUEVUDFXFZFXCSVUFUUPFUYA
      XDUYGFXEVTUYGMFXGSZTUWPIUYHUYNXHSUYMUWLVUAUYIUYMUWLVUAUYIRUYMUWLOZVUAUYIV
      UHUWPUVSIUYHVUHUVMUYHJZOZUWOUVQUVRVUJUWMUVNUWNUVPVUJUWLUXPUVMUYNJZUWMUVNN
      UYMUWLVUIXIZUYMUXPUWLVUIUYMUXPUXRUUPUXRUXCUYCTUXCUYDUUPUYEWAWDXJZVUHVUIVU
      KUUPVUIVUKRUXCUWLUUPUYHUYNUVMVUGXKXJXLUWLUXPVUKUSUVNUWMUVMFUVJUUQXPXMXNVU
      JUWLUXPUVOUYNJZUWNUVPNVULVUMVUHVUEVUIVUNUUPVUEUXCUWLVUFXJUVMFXOXQUWLUXPVU
      NUSUVPUWNUVOFUVJUUQXPXMXNXRXSYGXTWGYAYBYCWGYAYDXLYEXLWIWLUYFUVSIUWBUYHUWI
      UWBUYHNUXLUWIUWAUYGMQUVTFPUQWMWNTWSWDUXLUWGUWIUXLUWFUYGUUQLZUVCUNZUVRUXLU
      WDVUOUWEUVCUXLUWLFPUWQVKKZJZOZUWDVUONUXKVUSUVDUXKUWLVURUWKUWLUWTUXCUUPYFU
      XKVURFPUXBVKKZJZUUPVVAUXDUUPVVAUUPUXTOZUUPUXTUYBYHUUPUXBXBJVVAVVBVDUUPFVU
      FYIFUXBYQSWDTUXDVURVVAVDZUUPUXCVVCUXAUXCVUQVUTFUWQUXBPVKWCWBWAWAWDWEZTFUV
      JUUQYJSUXKUWEUVCNZUVDUXKVUSVVEVVDFUVJUUQYKSTXRUXLVUPVUOFUUQLZUNZUVRUXLUVC
      VVFVUOUXLUVCUVBUWRUUQLZVVFUVDUVCUVBNZUXKUVDVVIUVBUVCYLYMWAUXKUVBVVHNZUVDU
      XAVVJUUPUXCUWLUWKVVJUWTUUQUVKYRWKWLTUXLUWRFUUQUXKUWRFNUVDUXDUUPUWRUYPFUXC
      UWRUYPNUXAUYQWAUYTWRTYNYOYPUXKVVGUVRJZUVDUXDUUPVVKUXAUXCUUPVVKRZUWTUWKUXC
      VVLRUWLUXCUUPUWTVVKUXCUUPUWTVVKRUXCUUPOZUWTUYOVVKVVMUWPIUWSUYNVVMUWRFMQUX
      CUUPUWRUYPFUYQUYTYSWNWSUUPUYOVVKRUXCUUPUYOVVKUUPUYOOVUOUYGPUMKZUUQLZUNZUV
      RJZVVKUUPUYGUYNJUYOVVQFUUAUWPVVQIUYGUYNUVMUYGNZUWOVVPUVRVVRUWMVUOUWNVVOUV
      MUYGUUQUGUVMUYGPUUQUMUUBXRXSUUCXQUUPVVQVVKRUYOUUPVVQVVKUUPVVPVVGUVRUUPVVO
      VVFVUOUUPVVNFUUQUUPFPUYRUYSUUDYNYPXSXTTUUEWGWAYCWGUUHUUFXLWITYTYTWAUUGUWI
      UXLUUIWEUUJUUKYCUULUUPUVFUWJVDUVEIUVREFUVJUURUXIUXJUUMTWDUUNHUUO $.

    $d W t $.
    $( Lemma 2 for ~ clwwlkf1o : the value of function ` F ` .  (Contributed by
       Alexander van der Vekens, 28-Sep-2018.)  (Revised by AV, 26-Apr-2021.)
       (Revised by AV, 1-Nov-2022.) $)
    clwwlkfv $p |- ( W e. D -> ( F ` W ) = ( W prefix N ) ) $=
      ( cv cpfx co oveq1 ovex fvmpt ) BGBJZFKLGFKLCDPGFKMIGFKNO $.

    $d D x y $.  $d F x y $.  $d N i x y $.  $d N t w x y $.
    $( Lemma 3 for ~ clwwlkf1o : ` F ` is a 1-1 function.  (Contributed by AV,
       28-Sep-2018.)  (Revised by AV, 26-Apr-2021.)  (Revised by AV,
       1-Nov-2022.) $)
    clwwlkf1 $p |- ( N e. NN -> F : D -1-1-> ( N ClWWalksN G ) ) $=
      ( vi wcel co cfv wceq wi wa cpfx wb adantl cc0 c1 vx vy cn cclwwlkn wf cv
      wral clwwlkf clwwlkfv eqeqan12d cwwlksn clsw fveq2 eqeq12d elrab2 anbi12i
      wf1 fveq1 cvtx cword chash caddc cpr cedg cfzo w3a wwlknp simprlr simpllr
      eqid cmin eqtr4d ad2antlr cc ax-1cn pncan eqcomd sylancl sylan9eqr oveq2d
      nncn oveq1 ex impcom biimpa cn0 cle wbr simpll anim12ci nnnn0 0nn0 adantr
      jctil nnre lep1d syl5ibr cop csubstr pfxval ad2ant2rl ad2ant2l swrdspsleq
      breq2 3adant3 bitrd syl112anc lbfzo0 biimpri syl sylbid eqeqan12rd mpbird
      rspcv imp simpr jca32 clt 1red nngt0 0lt1 addgt0d pfxsuff1eqwrdeq expdcom
      a1i 3jca exp31 imp31 com12 syl5bi ralrimivva dff13 sylanbrc ) FUCJZCFEUDK
      ZDUEUAUFZDLZUBUFZDLZMZYPYRMZNZUBCUGUACUGCYODUQABCDEFGHUHYNUUBUAUBCCYNYPCJ
      ZYRCJZOZOYTYPFPKZYRFPKZMZUUAUUEYTUUHQYNUUCUUDYQUUFYSUUGABCDEFYPGHUIABCDEF
      YRGHUIUJRYNUUEUUHUUANZUUEYPFEUKKZJZYPULLZSYPLZMZOZYRUUJJZYRULLZSYRLZMZOZO
      ZYNUUIUUCUUOUUDUUTAUFZULLZSUVBLZMZUUNAYPUUJCUVBYPMUVCUULUVDUUMUVBYPULUMSU
      VBYPURUNGUOUVEUUSAYRUUJCUVBYRMUVCUUQUVDUURUVBYRULUMSUVBYRURUNGUOUPUVAYNUU
      IUUKUUNUUTYNUUINZUUKYPEUSLZUTZJZYPVALZFTVBKZMZIUFZYPLZUVMTVBKZYPLVCEVDLZJ
      ISFVEKZUGZVFUUNUUTUVFNNZIUVPEFUVGYPUVGVJZUVPVJZVGUVIUVLUVSUVRUUTUVIUVLOZU
      UNUVFUUPUUSUWBUUNOZUVFNZUUPYRUVHJZYRVALZUVKMZUVMYRLZUVOYRLVCUVPJIUVQUGZVF
      UUSUWDNZIUVPEFUVGYRUVTUWAVGUWEUWGUWJUWIUWEUWGOZUUSUWDYNUWKUUSOZUWCUUIYNUW
      LUWCOZUUHUUAYNUWMOZUUHOZUUAUVJUWFMZYPUVJTVKKZPKZYRUWQPKZMZUULUUQMZOOZUWOU
      WPUWTUXAUWMUWPYNUUHUWMUVJUVKUWFUWLUVIUVLUUNVHUWEUWGUUSUWCVIVLVMUWNUUHUWTU
      WMYNUUHUWTQZUWCYNUXCNZUWLUVLUXDUVIUUNUVLYNUXCUVLYNOZUUFUWRUUGUWSUXEFUWQYP
      PYNUVLFUVKTVKKZUWQYNFVNJZTVNJZFUXFMFWAVOUXGUXHOUXFFFTVPVQVRUVLUWQUXFUVJUV
      KTVKWBVQVSZVTUXEFUWQYRPUXIVTUNWCVMRWDWEUWOUXAUUMUURMZUWNUUHUXJUWNUUHUVNUW
      HMZIUVQUGZUXJUWNUVIUWEOZSWFJZFWFJZOZFUVJWGWHZFUWFWGWHZUUHUXLQUWMUXMYNUWLU
      WEUWCUVIUWEUWGUUSWIZUVIUVLUUNWIZWJRYNUXPUWMYNUXOUXNFWKWLWNWMUWMYNUXQUWCYN
      UXQNZUWLUVLUYAUVIUUNYNUXQUVLFUVKWGWHZYNFFWOZWPZUVJUVKFWGXDWQVMRWDUWMYNUXR
      UWLYNUXRNZUWCUWGUYEUWEUUSYNUXRUWGUYBUYDUWFUVKFWGXDWQVMWMWDUXMUXPUXQUXROZV
      FUUHYPSFWRZWSKZYRUYGWSKZMZUXLUXMUXPUUHUYJQUYFUXMUXPOUUFUYHUUGUYIUVIUXOUUF
      UYHMUWEUXNYPFUVHWTXAUWEUXOUUGUYIMUVIUXNYRFUVHWTXBUNXEYRISFUVGYPXCXFXGUWNS
      UVQJZUXLUXJNYNUYKUWMUYKYNFXHXIWMUXKUXJISUVQUVMSMUVNUUMUWHUURUVMSYPUMUVMSY
      RUMUNXNXJXKXOUWMUXAUXJQYNUUHUWCUWLUULUUMUUQUURUWBUUNXPUWKUUSXPXLVMXMXQUWO
      UVIUWESUVJXRWHZVFZUUAUXBQUWNUYMUUHUWNUVIUWEUYLUWMUVIYNUWCUVIUWLUXTRRUWMUW
      EYNUWLUWEUWCUXSWMRUWMYNUYLUWCYNUYLNZUWLUVLUYNUVIUUNYNUYLUVLSUVKXRWHYNFTUY
      CYNXSFXTSTXRWHYNYAYEYBUVJUVKSXRXDWQVMRWDYFWMYRUVGYPYCXJXMYGYDWCXEXJXOYDXE
      XJYHYIYJXOXKYKUAUBCYODYLYM $.

    $d D p $.  $d F p $.  $d G i p w x $.  $d N p $.
    $( Lemma 4 for ~ clwwlkf1o :  F is an onto function.  (Contributed by
       Alexander van der Vekens, 29-Sep-2018.)  (Revised by AV, 26-Apr-2021.)
       (Revised by AV, 1-Nov-2022.) $)
    clwwlkfo $p |- ( N e. NN -> F : D -onto-> ( N ClWWalksN G ) ) $=
      ( vp vx vi wcel co cv cfv wceq wrex wa cpfx syl cclwwlkn wral wfo clwwlkf
      cn wf cc0 cs1 cconcat cvtx cword chash c1 caddc cpr cedg cmin cfzo w3a wi
      clsw eqid clwwlknp simpr simpl1 3simpc adantr syl3anc oveq2 eqcoms adantl
      clwwlkel 3ad2ant1 simpll fstwrdne0 ancoms s1cld 3ad2antl1 pfxccat1 eqtr2d
      jca ex impcom oveq1 rspceeqv wb clwwlkfv eqeq2d rexbidva mpbird ralrimiva
      dffo3 sylanbrc ) FUELZCFEUAMZDUFINZJNZDOZPZJCQZIWOUBCWODUCABCDEFGHUDWNWTI
      WOWNWPWOLZRZWTWPWQFSMZPZJCQZXBWPUGWPOZUHZUIMZCLZWPXHFSMZPZRZXEXAWNXLXAWPE
      UJOZUKZLZWPULOZFPZRZKNZWPOXSUMUNMWPOUOEUPOZLKUGFUMUQMURMUBZWPVAOXFUOXTLZU
      SZWNXLUTKXTEFXMWPXMVBXTVBVCYCWNXLYCWNRZXIXKYDWNXRYAYBRZXIYCWNVDXRYAYBWNVE
      YCYEWNXRYAYBVFVGACWPKEFGVLVHYDXJXHXPSMZWPYCXJYFPZWNXRYAYGYBXQYGXOYGFXPFXP
      XHSVIVJVKVMVGYDXOXGXNLZRZYFWPPXRYAWNYIYBXRWNRZXOYHXOXQWNVNYJXFXMWNXRXFXML
      FXMWPVOVPVQWAVRXMWPXGVSTVTWAWBTWCJXHCXCXJWPWQXHFSWDWETXBWSXDJCWQCLZWSXDWF
      XBYKWRXCWPABCDEFWQGHWGWHVKWIWJWKJICWODWLWM $.

    $( F is a 1-1 onto function, that means that there is a bijection between
       the set of closed walks of a fixed length represented by walks (as
       words) and the set of closed walks (as words) of the fixed length.  The
       difference between these two representations is that in the first case
       the starting vertex is repeated at the end of the word, and in the
       second case it is not.  (Contributed by Alexander van der Vekens,
       29-Sep-2018.)  (Revised by AV, 26-Apr-2021.)  (Revised by AV,
       1-Nov-2022.) $)
    clwwlkf1o $p |- ( N e. NN
                      -> F : D -1-1-onto-> ( N ClWWalksN G ) ) $=
      ( cn wcel cclwwlkn co wf1 wfo wf1o clwwlkf1 clwwlkfo df-f1o sylanbrc ) FI
      JCFEKLZDMCTDNCTDOABCDEFGHPABCDEFGHQCTDRS $.
  $}

  ${
    $d G c w $.  $d N c w $.
    $( The set of closed walks of a fixed length represented by walks (as
       words) and the set of closed walks (as words) of the fixed length are
       equinumerous.  (Contributed by AV, 5-Jun-2022.)  (Proof shortened by AV,
       2-Nov-2022.) $)
    clwwlken $p |- ( N e. NN -> { w e. ( N WWalksN G ) |
                          ( lastS ` w ) = ( w ` 0 ) } ~~ ( N ClWWalksN G ) ) $=
      ( vc cv clsw cfv cc0 wceq cwwlksn co crab wcel cclwwlkn cn cpfx cmpt ovex
      cvv eqid wf1o cen wbr rabex clwwlkf1o f1oen2g mp3an12i ) AEZFGHUHGIZACBJK
      ZLZSMCBNKZSMCOMUKULDUKDECPKQZUAUKULUBUCUIAUJCBJRUDCBNRADUKUMBCUKTUMTUEUKU
      LUMSSUFUG $.
  $}

  ${
    $d G i $.  $d G w $.  $d N i $.  $d N w $.  $d W i $.  $d W w $.
    $( Obtaining a closed walk (as word) by appending the first symbol to the
       word representing a walk.  (Contributed by Alexander van der Vekens,
       29-Sep-2018.)  (Revised by AV, 26-Apr-2021.)  (Revised by AV,
       22-Mar-2022.) $)
    clwwlknwwlkncl $p |- ( W e. ( N ClWWalksN G )
                -> ( W ++ <" ( W ` 0 ) "> )
                   e. { w e. ( N WWalksN G ) | ( lastS ` w ) = ( w ` 0 ) } ) $=
      ( vi cclwwlkn co wcel cn cvtx cfv cword wceq wa cv c1 cpr cc0 clsw eqid
      chash caddc cedg cmin cfzo wral cconcat crab clwwlknnn clwwlknbp clwwlknp
      cs1 cwwlksn w3a 3simpc syl clwwlkel syl3anc ) DCBFGHZCIHDBJKZLHDUAKCMNZEO
      ZDKVBPUBGDKQBUCKZHERCPUDGUEGUFZDSKRDKZQVCHZNZDVEULUGGAOZSKRVHKMACBUMGUHZH
      BCDUIBCUTDUTTZUJUSVAVDVFUNVGEVCBCUTDVJVCTUKVAVDVFUOUPAVIDEBCVITUQUR $.
  $}

  ${
    $d G i $.  $d V i $.  $d W i $.
    clwwlkwwlksb.v $e |- V = ( Vtx ` G ) $.
    $( A nonempty word over vertices represents a closed walk iff the word
       concatenated with its first symbol represents a walk.  (Contributed by
       AV, 4-Mar-2022.) $)
    clwwlkwwlksb $p |- ( ( W e. Word V /\ W =/= (/) )
                     -> ( W e. ( ClWWalks ` G )
                          <-> ( W ++ <" ( W ` 0 ) "> ) e. ( WWalks ` G ) ) ) $=
      ( vi wcel c0 wa cc0 cfv co c1 caddc cpr cmin cfzo wral wceq adantr syl cv
      cword wne cs1 cconcat cedg chash clsw cwwlks cclwwlk csn fstwrdne ccatlen
      s1cld syldan s1len oveq2i eqtrdi oveq1d cc lencl nn0cnd 1cnd eqtrd oveq2d
      addsubd raleqdv cun cuz cn lennncl nnm1nn0 sylib fzosplitsn ralunb bitrdi
      elnn0uz simpl nn0zd elfzom1elfzo sylan ccats1val1 syl2an2r elfzom1elp1fzo
      cz preq12d eleq1d ralbidva ovex fveq2 fvoveq1 ralsn fzo0end eqtr4d npcan1
      cn0 lsw fveq2d eqidd ccats1val2 syl3anc syl5bb anbi12d 3bitrd jca necon3d
      ccat0 syl6bi adantld mpcom cvv wrdv s1cli ccatalpha sylancl mpbir2and w3a
      wb eqid iswwlks df-3an bitri a1i mpbirand isclwwlk 3anass baib 3bitr4rd )
      CBUBZFZCGUCZHZEUAZCICJZUDZUEKZJZYMLMKZYPJZNZAUFJZFZEIYPUGJZLOKZPKZQZYMCJZ
      YRCJZNZUUAFZEICUGJZLOKZPKZQZCUHJZYNNZUUAFZHZYPAUIJFZCAUJJFZYLUUFUUBEIUULL
      MKZPKZQZUUBEUUMQZUUBEUULUKZQZHZUURYLUUBEUUEUVBYLUUDUVAIPYLUUDUUKLMKZLOKUV
      AYLUUCUVHLOYLUUCUUKYOUGJZMKZUVHYJYKYOYIFZUUCUVJRYLYNBBCULZUNZBBCYOUMUOUVI
      LUUKMYNUPUQURUSYLUUKLLYJUUKUTFZYKYJUUKBCVAZVBZSYLVCZUVQVFVDVEVGYLUVCUUBEU
      UMUVEVHZQUVGYLUUBEUVBUVRYLUULIVIJFZUVBUVRRYLUULWPFZUVSYLUUKVJFZUVTBCVKZUU
      KVLTUULVQVMIUULVNTVGUUBEUUMUVEVOVPYLUVDUUNUVFUUQYLUUBUUJEUUMYLYMUUMFZHZYT
      UUIUUAUWDYQUUGYSUUHYLYJUWCYMIUUKPKZFZYQUUGRYJYKVRZYLUUKWEFZUWCUWFYJUWHYKY
      JUUKUVOVSSZYMUUKVTWAYNYMBCWBWCYLYJUWCYRUWEFZYSUUHRUWGYLUWHUWCUWJUWIYMUUKW
      DWAYNYRBCWBWCWFWGWHUVFUULYPJZUVAYPJZNZUUAFZYLUUQUUBUWNEUULUUKLOWIYMUULRZY
      TUWMUUAUWOYQUWKYSUWLYMUULYPWJYMUULLYPMWKWFWGWLYLUWMUUPUUAYLUWKUUOUWLYNYLU
      WKUULCJZUUOYJYKUULUWEFZUWKUWPRYLUWAUWQUWBUUKWMTYNUULBCWBUOYJUUOUWPRYKCYIW
      QSWNYLUWLUUKYPJZYNYLUVAUUKYPYJUVAUUKRZYKYJUVNUWSUVPUUKWOTSWRYLYJYNBFUUKUU
      KRUWRYNRUWGUVLYLUUKWSYNUUKBCWTXAVDWFWGXBXCXDYLUUSYPGUCZYPYIFZHZUUFYLUWTUX
      AYJUVKHZYLUWTYLYJUVKUWGUVMXEUXCYKUWTYJUXCYPGCGUXCYPGRCGRZYOGRZHUXDBBCYOXG
      UXDUXEVRXHXFXIXJYLUXAYJUVKUWGUVMYJUXAUXCXRZYKYJCXKUBZFYOUXGFUXFBCXLYNXMCY
      OBXNXOSXPXEUUSUXBUUFHZXRYLUUSUWTUXAUUFXQUXHEUUAABYPDUUAXSZXTUWTUXAUUFYAYB
      YCYDUUTYLUURUUTYLUUNUUQXQYLUURHEUUAABCDUXIYEYLUUNUUQYFYBYGYH $.

    $( A word over vertices represents a closed walk of a fixed length ` N `
       greater than zero iff the word concatenated with its first symbol
       represents a walk of length ` N ` .  This theorem would not hold for
       ` N = 0 ` and ` W = (/) ` , because ` ( W ++ <" ( W `` 0 ) "> ) `
       ` = <" (/) "> e. ( 0 WWalksN G ) ` could be true, but not
       ` W e. ( 0 ClWWalksN G ) <-> (/) e. (/) ` .  (Contributed by AV,
       4-Mar-2022.)  (Proof shortened by AV, 22-Mar-2022.) $)
    clwwlknwwlksnb $p |- ( ( W e. Word V /\ N e. NN )
                    -> ( W e. ( N ClWWalksN G )
                         <-> ( W ++ <" ( W ` 0 ) "> ) e. ( N WWalksN G ) ) ) $=
      ( cword wcel cn wa cc0 cfv cs1 cconcat co cwwlks chash c1 caddc wceq wb
      cclwwlk cwwlksn cclwwlkn nnnn0 ccatws1lenp1b sylan2 anbi2d c0 simpl eleq1
      cn0 wi len0nnbi biimprcd syl6bir com13 imp31 clwwlkwwlksb syl2an2r bicomd
      wne ex pm5.32rd bitrd adantl iswwlksn syl isclwwlkn a1i 3bitr4rd ) DCFGZB
      HGZIZDJDKZLMNZAOKGZVOPKBQRNSZIZDAUAKGZDPKZBSZIZVOBAUBNGZDBAUCNGZVMVRVPWAI
      WBVMVQWAVPVLVKBUKGZVQWATBUDZBCDVNUEUFUGVMWAVPVSVMWAVPVSTVMWAIVSVPVMVKWADU
      HVAZVSVPTVKVLUIVKVLWAWGWAVLVKWGWAVLVTHGZVKWGULVTBHUJVKWGWHCDUMUNUOUPUQACD
      EURUSUTVBVCVDVMWEWCVRTVLWEVKWFVEABVOVFVGWDWBTVMABDVHVIVJ $.
  $}

  ${
    $d E i $.  $d G i $.  $d N i $.  $d W i $.  $d Z i $.
    clwwlkext2edg.v $e |- V = ( Vtx ` G ) $.
    clwwlkext2edg.e $e |- E = ( Edg ` G ) $.
    $( If a word concatenated with a vertex represents a closed walk in (in a
       graph), there is an edge between this vertex and the last vertex of the
       word, and between this vertex and the first vertex of the word.
       (Contributed by Alexander van der Vekens, 3-Oct-2018.)  (Revised by AV,
       27-Apr-2021.)  (Proof shortened by AV, 22-Mar-2022.) $)
    clwwlkext2edg $p |- ( ( ( W e. Word V /\ Z e. V /\ N e. ( ZZ>= ` 2 ) )
                             /\ ( W ++ <" Z "> ) e. ( N ClWWalksN G ) )
                           -> ( { ( lastS ` W ) , Z } e. E
                                /\ { Z , ( W ` 0 ) } e. E ) ) $=
      ( co wcel c2 cfv cc0 wa wi c1 cmin wceq adantr ex vi cs1 cconcat cclwwlkn
      cword cuz w3a clsw cpr cn clwwlknnn caddc chash cfzo isclwwlknx ige2m2fzo
      cv wral 3ad2ant3 oveq1 oveq2d eleq2d adantl mpbird fvoveq1 preq12d eleq1d
      fveq2 rspcv syl wrdlenccats1lenm1 sylan9eq 3adant3 eluzelcn 1cnd subsub4d
      wb eqcomd 1p1e2 a1i eqtr2d syld imp fveq2d c0 wne simpl1 3ad2ant2 clt wbr
      s1cl cz cle eluz2 cr zre 1red simpl 1lt2 simpr ltletrd posdifd mpbid 3imp
      2re id sylbi ad2antlr breq2 hashneq0 3adantl2 3jca ccatval1lsw eqtrd 2cnd
      2m1e1 subsubd eqeq2 syl5ibrcom ccatws1ls sylibd lswccats1 ccatfv0 syl3anc
      com13 imp31 impcom biimpcd impl jca syl6bi mpcom ) EFUBZUCIZCBUDIJZEDUEZJ
      ZFDJZCKUFLJZUGZEUHLZFUIZAJZFMELZUIZAJZNZCUJJZYOYTUUGOZBCYNUKUUHYOYNYPJZUA
      UQZYNLZUUKPULIYNLZUIZAJZUAMYNUMLZPQIZUNIZURZYNUHLZMYNLZUIZAJZUGZUUPCRZNZU
      UIUAABCDYNGHUOUVFYTUUGUVFYTNUUCUUFUVDUVEYTUUCUUSUUJUVEYTUUCOOUVCYTUVEUUSU
      UCYTUVEUUSUUCOYTUVENZUUSCKQIZYNLZUVHPULIZYNLZUIZAJZUUCUVGUVHUURJZUUSUVMOU
      VGUVNUVHMCPQIZUNIZJZYTUVQUVEYSYQUVQYRCUPUSSUVEUVNUVQVQYTUVEUURUVPUVHUVEUU
      QUVOMUNUUPCPQUTZVAVBVCVDUUOUVMUAUVHUURUUKUVHRZUUNUVLAUVSUULUVIUUMUVKUUKUV
      HYNVHUUKUVHPYNULVEVFVGVIVJUVGUVLUUBAUVGUVIUUAUVKFUVGUVIEUMLZPQIZYNLZUUAUV
      GUVHUWAYNYTUVEUVHUWARZYTUVEUVTUVORZUWCYQYRUVEUWDOYSYQYRNZUVEUWDUWEUVEUVTU
      UQUVOYQUVTUUQRYRYQUUQUVTFDEVKVRSUVRVLTVMZYTUWDUWCYTUWDUVHUVOPQIZUWAYSYQUV
      HUWGRYRYSUWGCPPULIZQIUVHYSCPPKCVNZYSVOZUWJVPYSUWHKCQUWHKRYSVSVTVAWAUSUWDU
      WAUWGUVTUVOPQUTVRVLTWBWCWDUVGYQYMYPJZEWEWFZUGZUWBUUARYTUVEUWMYTUVEUWDUWMU
      WFYTUWDUWMYTUWDNZYQUWKUWLYQYRYSUWDWGZYTUWKUWDYRYQUWKYSFDWKWHSZYQYSUWDUWLY
      RYQYSNZUWDNZMUVTWIWJZUWLUWRUWSMUVOWIWJZYSUWTYQUWDYSKWLJZCWLJZKCWMWJZUGUWT
      KCWNUXAUXBUXCUWTUXBUXCUWTOZOUXAUXBCWOJZUXDCWPUXEUXCUWTUXEUXCNZPCWIWJZUWTU
      XFPKCUXFWQKWOJUXFXEVTUXEUXCWRPKWIWJUXFWSVTUXEUXCWTXAUXEUXGUWTVQUXCUXEPCUX
      EWQUXEXFXBSXCTVJVTXDXGZXHUWDUWSUWTVQZUWQUVTUVOMWIXIZVCVDUWQUWSUWLVQZUWDYQ
      UXKYSEYPXJSSXCXKXLTWBWCEYMDXMVJXNUVGUVKUVTYNLZFUVGUVJUVTYNYTUVEUVJUVTRZYT
      UVEUWDUXMUWFYTUXMUWDUVJUVORZYSYQUXNYRYSUVOCKPQIZQIUVJYSPUXOCQYSUXOPUXOPRY
      SXPVTVRVAYSCKPUWIYSXOUWJXQWAUSUVTUVOUVJXRXSWBWCWDUVGUWEUXLFRYTUWEUVEYQYRU
      WEYSUWEXFVMZSDEFXTVJXNVFVGYATYEWHYFUVDUVEYTUUFUVCUUJUVEYTNZUUFOUUSUXQUVCU
      UFUXQUVBUUEAYTUVEUVBUUERZYTUVEUWDUXRUWFYTUWDUXRUWNUUTFUVAUUDUWNUWEUUTFRYT
      UWEUWDUXPSFDEYBVJUWNYQUWKUWSUVAUUDRUWOUWPUWNUWSUWTYTUWTUWDYSYQUWTYRUXHUSS
      UWDUXIYTUXJVCVDEYMDYCYDVFTWBYGVGYHUSYIYJTYKYLYG $.

    $d V i $.
    $( If a word represents a walk in (in a graph) and there are edges between
       the last vertex of the word and another vertex and between this other
       vertex and the first vertex of the word, then the concatenation of the
       word representing the walk with this other vertex represents a closed
       walk.  (Contributed by Alexander van der Vekens, 3-Oct-2018.)  (Revised
       by AV, 27-Apr-2021.)  (Revised by AV, 14-Mar-2022.) $)
    wwlksext2clwwlk $p |- ( ( W e. ( N WWalksN G ) /\ Z e. V )
                  -> ( ( { ( lastS ` W ) , Z } e. E /\ { Z , ( W ` 0 ) } e. E )
                       -> ( W ++ <" Z "> ) e. ( ( N + 2 ) ClWWalksN G ) ) ) $=
      ( vi co wcel cfv cc0 wa caddc wi c1 wceq cmin 3ad2ant1 cwwlksn cpr cs1 c2
      clsw cconcat cclwwlkn cn0 cvtx cword chash wwlknbp1 cv cfzo wrdeqi eleq2i
      w3a biimpri 3ad2ant2 ad2antlr adantl ccatcl syl2anc adantr wwlknp csn cun
      wral s1cl simplll cn clt wbr elfzo0 simp1 peano2nn cr nn0re nnre peano2re
      simp3 ltp1d lttrd syl3anbrc sylbi wb oveq2 eleq2d ad2antrr mpbird syl3anc
      syl ccatval1 fzonn0p1p1 ad3antlr preq12d ex expcom expdcom 3imp1 ralbidva
      imp eleq1d biimprd 3exp com34 wne simpll ad2antrl nn0p1gt0 ad2antll breq2
      c0 hashneq0 mpbid ccatval1lsw oveq1 cc nn0cn pncan1 eqtrd fveq2d ad2ant2r
      eqtr3d ccatws1ls fveq2 com12 3adant3 biimpa simprl1 fvoveq1 ralsng ralunb
      sylanbrc cuz elnn0uz raleqdv ccatws1len oveq1d 3ad2ant3 fzosplitsn addcld
      sylib 1cnd pncand sylan9eq 3ad2antl2 oveq2d exp42 imp41 adantrr lswccats1
      sylancom ccatfv0 biimprcd impcom 3jca addassd 1p1e2 oveq2i 2nn nn0nnaddcl
      eqtrdi 3eqtrd mpan2 isclwwlknx mpbir2and exp31 mpdan ) ECBUAJKZFDKZEUELZF
      UBZAKZFMELZUBZAKZNZEFUCZUFJZCUDOJZBUGJKZPZUVJCUHKZEBUILZUJZKZEUKLZCQOJZRZ
      UQZUVKUWCPBCEULUVJUWKNZUVKUVRUWBUWLUVKNZUVRNZUWBUVTDUJZKZIUMZUVTLZUWQQOJZ
      UVTLZUBZAKZIMUVTUKLZQSJZUNJZVHZUVTUELZMUVTLZUBZAKZUQZUXCUWARZUWNUWPUXFUXJ
      UWMUWPUVRUWMEUWOKZUVSUWOKZUWPUWKUXMUVJUVKUWGUWDUXMUWJUXMUWGUWOUWFEDUWEGUO
      UPURUSUTZUVKUXNUWLFDVIZVAZDEUVSVBVCVDUWMUVNUXFUVQUVJUWKUVKUVNUXFUVJUXMUWJ
      UWQELZUWSELZUBZAKZIMCUNJZVHZUQZUWKUVKUVNUXFPPPIABCDEGHVEUYDUWKUVKUVNUXFUY
      DUWKUVKNZNZUVNNZUXFUXBIMUWIUNJZVHZUYGUYIUXBIUYBCVFZVGZVHZUYGUXBIUYBVHZUXB
      IUYJVHZUYLUYFUYMUVNUXMUWJUYCUYEUYMUXMUWJUYEUYCUYMUXMUWJUYEUYCUYMPUXMUWJUY
      EUQZUYMUYCUYOUXBUYAIUYBUYOUWQUYBKZNUXAUXTAUXMUWJUYEUYPUXAUXTRZUYEUXMUWJUY
      PUYQPZUWKUVKUXMUWJNZUYRPZUWDUWGUVKUYTPUWJUVKUWDUYTUYSUVKUWDNZUYRUYSVUANZU
      YPUYQVUBUYPNZUWRUXRUWTUXSVUCUXMUXNUWQMUWHUNJZKZUWRUXRRUXMUWJVUAUYPVJZVUAU
      XNUYSUYPUVKUXNUWDUXPVDUTZVUCVUEUWQUYHKZUYPVUHVUBUYPUWQUHKZCVKKZUWQCVLVMZU
      QZVUHUWQCVNVULVUIUWIVKKZUWQUWIVLVMVUHVUIVUJVUKVOVUJVUIVUMVUKCVPUSVULUWQCU
      WIVUIVUJUWQVQKVUKUWQVRTVUJVUICVQKZVUKCVSZUSVUJVUIUWIVQKZVUKVUJVUNVUPVUOCV
      TWLUSVUIVUJVUKWAVUJVUICUWIVLVMVUKVUJCVUOWBUSWCUWQUWIVNWDWEVAUYSVUEVUHWFVU
      AUYPUYSVUDUYHUWQUWJVUDUYHRUXMUWHUWIMUNWGZVAWHWIWJDDEUVSUWQWMWKVUCUXMUXNUW
      SVUDKZUWTUXSRVUFVUGVUCVURUWSUYHKZUYPVUSVUBUWQCWNVAUWJVURVUSWFUXMVUAUYPUWJ
      VUDUYHUWSVUQWHWOWJDDEUVSUWSWMWKWPWQWRWRTXBWSWTXCXAXDXEXFWTVDUYGUYNCUVTLZU
      WIUVTLZUBZAKZUYFUVNVVCUYFUVMVVBAUYDUYEUVMVVBRZUXMUWJUYEVVDPUYCUYEUYSVVDUW
      KUVKUYSVVDPZUWDUWGUVKVVEPUWJUVKUWDVVEUYSVUAVVDVUBUVLVUTFVVAVUBUWHQSJZUVTL
      ZUVLVUTVUBUXMUXNEXMXGZVVGUVLRUXMUWJVUAXHUVKUXNUYSUWDUXPXIVUBMUWHVLVMZVVHV
      UBVVIMUWIVLVMZUWDVVJUYSUVKCXJZXKUWJVVIVVJWFZUXMVUAUWHUWIMVLXLZUTWJUXMVVIV
      VHWFUWJVUAEUWOXNWIXOEUVSDXPWKVUBVVFCUVTVUBVVFUWIQSJZCUWJVVFVVNRUXMVUAUWHU
      WIQSXQUTVUBCXRKZVVNCRUWDVVOUYSUVKCXSZXKCXTWLYAYBYDVUBUWHUVTLZFVVAUXMUVKVV
      QFRUWJUWDDEFYEYCUWJVVQVVARUXMVUAUWHUWIUVTYFUTYDWPWRWRTXBYGYHXBXCYIUYGUWDU
      YNVVCWFUYFUWDUVNUWDUWGUWJUVKUYDYJZVDUXBVVCICUHUWQCRZUXAVVBAVVSUWRVUTUWTVV
      AUWQCUVTYFUWQCQUVTOYKWPXCYLWLWJUXBIUYBUYJYMYNUYGUXBIUYHUYKUYGCMYOLKZUYHUY
      KRUYFVVTUVNUYFUWDVVTVVRCYPUUCVDMCUUAWLYQWJUYGUXBIUXEUYHUYGUXDUWIMUNUYGUXD
      UWHQOJZQSJZUWIUYGUXCVWAQSUYDUXCVWARZUYEUVNUXMUWJVWCUYCDEFYRTWIYSUYFVWBUWI
      RZUVNUWJUXMUYEVWDUYCUWJUYEVWBUWIQOJZQSJZUWIUWJVWAVWEQSUWHUWIQOXQZYSUWKVWF
      UWIRZUVKUWDUWGVWHUWJUWDUWIQUWDCQVVPUWDUUDZUUBVWIUUETVDUUFUUGVDYAUUHYQWJUU
      IWLUUJUUKUVRUWMUXJUVQUWMUXJPUVNUWMUXJUVQUWMUXIUVPAUWMUXGFUXHUVOUWLUVKUXMU
      XGFRUXOFDEUULUUMUWMUXMUXNVVIUXHUVORUXOUXQUWKVVIUVJUVKUWKVVIVVJUWDUWGVVJUW
      JVVKTUWJUWDVVLUWGVVMYTWJUTEUVSDUUNWKWPXCUUOVAUUPUUQUWKUXLUVJUVKUVRUWKUXCV
      WAVWEUWAUWGUWDVWCUWJUWEEFYRUSUWJUWDVWAVWERUWGVWGYTUWDUWGVWEUWARUWJUWDVWEC
      QQOJZOJUWAUWDCQQVVPVWIVWIUURVWJUDCOUUSUUTUVCTUVDWOUWKUWBUXKUXLNWFZUVJUVKU
      VRUWKUWAVKKZVWKUWDUWGVWLUWJUWDUDVKKVWLUVACUDUVBUVETIABUWADUVTGHUVFWLWOUVG
      UVHUVIXB $.
  $}

  ${
    $d G i $.  $d M i $.  $d N i $.  $d X i $.
    $( Any prefix of a word representing a closed walk represents a walk.
       (Contributed by Alexander van der Vekens, 5-Oct-2018.)  (Revised by AV,
       28-Apr-2021.)  (Revised by AV, 1-Nov-2022.) $)
    wwlksubclwwlk $p |- ( ( M e. NN /\ N e. ( ZZ>= ` ( M + 1 ) ) )
                       -> ( X e. ( N ClWWalksN G )
                            -> ( X prefix M ) e. ( ( M - 1 ) WWalksN G ) ) ) $=
      ( vi wcel c1 co cfv wa cc0 cfzo wceq w3a wi adantr syl cle wbr adantl cuz
      cn caddc cclwwlkn cpfx cmin cwwlksn cvtx cword cv cpr cedg wral clsw eqid
      chash clwwlknp pfxcl ad2antrr wss cz nnz eluzp1m1 peano2zm lem1d eluzuzle
      ex nnre syl2anc syld imp fzoss2 ssralv cfz simpll eluz2 peano2re ad2antrl
      cn0 zre lep1d simpr letrd nnnn0 0red 3jca nn0ge0d anim1i letr sylc elnn0z
      cr sylanbrc adantlrr mpdan expcom 3adant1 sylbi impcom elfz2nn0 sylibr wb
      oveq2 eleq2d mpbird syl3anbrc sseld syl3anc eqcomd fzonn0p1p1 nncn npcan1
      pfxfv cc oveq2d syl5ib preq12d eleq1d ralbidva sylibd impancom jca pfxlen
      adantlr oveq1d raleqdv eqtrd 3adant3 nnm1nn0 iswwlksnx ) BUBFZCBGUCHZUAIF
      ZJZDCAUDHFZDBUEHZBGUFHZAUGHFZYNYOJZYRYPAUHIZUIZFZEUJZYPIZUUCGUCHZYPIZUKZA
      ULIZFZEKYPUPIZGUFHZLHZUMZUUJYQGUCHZMZNZYOYNUUPYODUUAFZDUPIZCMZJZUUCDIZUUE
      DIZUKZUUHFZEKCGUFHZLHZUMZDUNIKDIUKUUHFZNYNUUPOZEUUHACYTDYTUOZUUHUOZUQUUTU
      VGUVIUVHUUTUVGJZYNUUPUVLYNJZUUBUUMUUOUUTUUBUVGYNUUQUUBUUSYTDBURPUSUVMUUMU
      UIEKYQLHZUMZUVLYNUVOUUTYNUVGUVOUUTYNJZUVGUVDEUVNUMZUVOUVPUVNUVFUTZUVGUVQO
      YNUVRUUTYNUVEYQUAIZFZUVRYKYMUVTYKYMUVEBUAIFZUVTYKBVAFZYMUWAOBVBZUWBYMUWAB
      CVCVGQYKYQVAFZYQBRSZUWAUVTOYKUWBUWDUWCBVDQZYKBBVHZVEZBYQUVEVFVIVJVKYQKUVE
      VLQTUVDEUVNUVFVMQUVPUVDUUIEUVNUVPUUCUVNFZJZUVCUUGUUHUWJUVAUUDUVBUUFUWJUUD
      UVAUWJUUQBKUURVNHZFZUUCKBLHZFZUUDUVAMUVPUUQUWIUUQUUSYNVOZPZUVPUWLUWIUVPUW
      LBKCVNHZFZYNUWRUUTYNBVSFZCVSFZBCRSZNZUWRYMYKUXBYMYLVAFZCVAFZYLCRSZNYKUXBO
      ZYLCVPUXDUXEUXFUXCYKUXDUXEJZUXBYKUXGJZUXAUXBUXHBYLCYKBWLFZUXGUWGPYKYLWLFZ
      UXGYKUXIUXJUWGBVQQPUXDCWLFZYKUXECVTZVRYKBYLRSUXGYKBUWGWAPUXGUXEYKUXDUXEWB
      TWCUXHUXAJUWSUWTUXAYKUWSUXGUXABWDZUSYKUXDUXAUWTUXEYKUXDJZUXAJZUXDKCRSZUWT
      UXNUXDUXAYKUXDWBPUXOKWLFZUXIUXKNZKBRSZUXAJUXPUXNUXRUXAUXNUXQUXIUXKUXNWEYK
      UXIUXDUWGPUXDUXKYKUXLTWFPUXNUXSUXAYKUXSUXDYKBUXMWGPWHKBCWIWJCWKWMWNUXHUXA
      WBWFWOWPWQWRWSBCWTXATUUTUWLUWRXBZYNUUSUXTUUQUUSUWKUWQBUURCKVNXCXDTPXEZPZU
      VPUWIUWNYKUWIUWNOUUTYMYKUVNUWMUUCYKBUVSFZUVNUWMUTYKUWDUWBUWEUYCUWFUWCUWHY
      QBVPXFYQKBVLQXGVRVKUUCBYTDXMXHXIUWJUUFUVBUWJUUQUWLUUEUWMFZUUFUVBMUWPUYBUV
      PUWIUYDYKUWIUYDOUUTYMUWIUUEKUUNLHZFYKUYDUUCYQXJYKUYEUWMUUEYKUUNBKLYKBXNFU
      UNBMBXKBXLQZXOXDXPVRVKUUEBYTDXMXHXIXQXRXSXTYAVKUVMUUIEUULUVNUVMUUKYQKLUVM
      UUJBGUFUVMUUQUWLJZUUJBMZUUTYNUYGUVGUVPUUQUWLUWOUYAYBYDYTDBYCZQYEXOYFXEUUT
      YNUUOUVGUVPUUJBUUNUVPUUQUWLUYHUWOUYAUYIVIYKBUUNMUUTYMYKUUNBUYFXIVRYGYDWFV
      GYHQWSYSYQVSFZYRUUPXBYKUYJYMYOBYIUSEUUHAYQYTYPUVJUVKYJQXEVG $.
  $}

  $( Cyclically shifting a closed walk as word of fixed length results in a
     closed walk as word of the same length (in an undirected graph).
     (Contributed by Alexander van der Vekens, 10-Jun-2018.)  (Revised by AV,
     29-Apr-2021.)  (Proof shortened by AV, 22-Mar-2022.) $)
  clwwnisshclwwsn $p |- ( ( W e. ( N ClWWalksN G ) /\ M e. ( 0 ... N ) )
                         -> ( W cyclShift M ) e. ( N ClWWalksN G ) ) $=
    ( cclwwlkn co wcel cc0 cfz ccsh cclwwlk chash wceq clwwlkclwwlkn clwwlknlen
    wa cfv eqcomd oveq2d eleq2d biimpa clwwisshclwwsn syl2an2r cword clwwlknwrd
    cvtx cz eqid elfzelz cshwlen syl2an adantr eqtrd isclwwlkn sylanbrc ) DCAEF
    ZGZBHCIFZGZPZDBJFZAKQZGZVALQZCMVAUPGUQDVBGUSBHDLQZIFZGZVCACDNUQUSVGUQURVFBU
    QCVEHIUQVECACDOZRSTUAABDUBUCUTVDVECUQDAUFQZUDGBUGGVDVEMUSACVIDVIUHUEBHCUIBV
    IDUJUKUQVECMUSVHULUMACVAUNUO $.

  ${
    $d m n G $.  $d m n K $.  $d m n N $.  $d m n X $.  $d m n Y $.
    $d m n Z $.
    erclwwlkn1.w $e |- W = ( N ClWWalksN G ) $.
    $( Lemma 1 for ~ eleclclwwlkn .  (Contributed by Alexander van der Vekens,
       11-May-2018.)  (Revised by AV, 30-Apr-2021.) $)
    eleclclwwlknlem1 $p |- ( ( K e. ( 0 ... N ) /\ ( X e. W /\ Y e. W ) )
               -> ( ( X = ( Y cyclShift K )
                    /\ E. m e. ( 0 ... N ) Z = ( Y cyclShift m ) )
                    -> E. n e. ( 0 ... N ) Z = ( X cyclShift n ) ) ) $=
      ( co wcel wa ccsh wceq cv wrex cfv adantl adantr cc0 cfz cvtx cword chash
      w3a cclwwlkn eqid clwwlknbp eleq2s simpl simprr 3jca 2cshwcshw sylc ex )
      DUAEUBKZLZGFLZHFLZMZMZGHDNKOZIHAPNKOAUQQZMZIGBPNKOBUQQZVBVEMZHCUCRZUDLHUE
      REOMZURVCVDUFVFVBVIVEVAVIURUTVIUSVIHECUGKFCEVHHVHUHUIJUJSSTVGURVCVDVBURVE
      URVAUKTVEVCVBVCVDUKSVBVCVDULUMABDEVHGHIUNUOUP $.

    $d k m n $.  $d m n x $.
    $( Lemma 2 for ~ eleclclwwlkn .  (Contributed by Alexander van der Vekens,
       11-May-2018.)  (Revised by AV, 30-Apr-2021.) $)
    eleclclwwlknlem2 $p |- ( ( ( k e. ( 0 ... N )
                           /\ X = ( x cyclShift k ) ) /\ ( X e. W /\ x e. W ) )
                        -> ( E. m e. ( 0 ... N ) Y = ( x cyclShift m )
                         <-> E. n e. ( 0 ... N ) Y = ( X cyclShift n ) ) ) $=
      ( cv cc0 co wcel ccsh wceq wa adantr wi adantl cfz simpl eleclclwwlknlem1
      wrex anim1i simpr sylc chash cfv cmin cvtx cclwwlkn eqid clwwlknbp eleq2s
      cword fznn0sub2 oveq1 eleq1d syl5ibr syl com12 imp ancomd simpll wb oveq2
      jca eleq2d eqcoms biimpa ex eqcomd elfzelz 2cshwid sylan2 syl2anc impbida
      cz sylan9eqr ) BKZLFUAMZNZHAKZWAOMZPZQZHGNZWDGNZQZQZIWDCKOMPCWBUDZIHDKOMP
      DWBUDZWKWLQWCWJQZWFWLQWMWKWNWLWGWCWJWCWFUBUERWKWFWLWGWFWJWCWFUFZRUECDEWAF
      GHWDIJUCUGWKWMQZWDUHUIZWAUJMZWBNZWIWHQZQWDHWROMZPZWMQWLWPWSWTWKWSWMWGWJWS
      WCWJWSSWFWJWCWSWIWCWSSZWHWIWDEUKUIZUPNZWQFPZQZXCXGWDFEULMGEFXDWDXDUMUNJUO
      ZXFXCXEWCWSXFFWAUJMZWBNWAFUQXFWRXIWBWQFWAUJURUSUTTVATVBRVCRWKWTWMWKWHWIWG
      WJUFVDRVHWKXBWMWKXAWDWKXEWALWQUAMZNZQZWEHPZXAWDPWGWJXLWCWJXLSWFWJWCXLWIWC
      XLSZWHWIXGXNXHXGWCXLXGWCQXEXKXEXFWCVEXGWCXKXFWCXKVFZXEXOFWQFWQPWBXJWAFWQL
      UAVGVIVJTVKVHVLVATVBRVCWGXMWJWGHWEWOVMRXMXLXAWEWROMZWDXAXPPHWEHWEWROURVJX
      KXEWAVSNXPWDPWALWQVNWAXDWDVOVPVTVQVMUEDCEWRFGWDHIJUCUGVR $.
  $}

  ${
    $d G n w x y $.  $d N n w x y $.  $d W n w x y $.
    $( The set of cyclical shifts of a word representing a closed walk is the
       set of closed walks represented by cyclical shifts of a word.
       (Contributed by Alexander van der Vekens, 15-Jun-2018.)  (Revised by AV,
       30-Apr-2021.) $)
    clwwlknscsh $p |- ( ( N e. NN0 /\ W e. ( N ClWWalksN G ) )
                 -> { y e. ( N ClWWalksN G ) |
                      E. n e. ( 0 ... N ) y = ( W cyclShift n ) }
                  = { y e. Word ( Vtx ` G ) |
                      E. n e. ( 0 ... N ) y = ( W cyclShift n ) } ) $=
      ( vx vw wcel co wa cv wceq wrex crab weq eqeq1 rexbidv simprr jca elrab
      cn0 cclwwlkn ccsh cc0 cfz cvtx cfv cword cbvrabv eqid clwwlknwrd ad2antrl
      wi simpllr clwwnisshclwwsn syl2an2r wb eleq1 adantl exp31 com23 rexlimdva
      mpbird imp impcom impbida 3bitr4g eqrdv syl5eq ) DUAHZEDCUBIZHZJZAKZEBKZU
      CIZLZBUDDUEIZMZAVKNFKZVPLZBVRMZFVKNZVSACUFUGZUHZNZVSWBAFVKAFOVQWABVRVNVTV
      PPQUIVMGWCWFVMGKZVKHZWGVPLZBVRMZJZWGWEHZWJJZWGWCHWGWFHVMWKWMVMWKJWLWJWHWL
      VMWJCDWDWGWDUJUKULVMWHWJRSVMWMJWHWJWMVMWHWLWJVMWHUMZWLWIWNBVRWLVOVRHZJZVM
      WIWHWPVMWIWHWPVMJZWIJWHVPVKHZWQVLWIWOWRWPVJVLRWLWOVMWIUNCVODEUOUPWIWHWRUQ
      WQWGVPVKURUSVCUTVAVBVDVEVMWLWJRSVFWBWJFWGVKFGOWAWIBVRVTWGVPPQTVSWJAWGWEAG
      OVQWIBVRVNWGVPPQTVGVHVI $.
  $}

  $( The concatenation of two words representing closed walks anchored at the
     same vertex represents a closed walk with a length which is the sum of the
     lengths of the two walks.  The resulting walk is a "double loop", starting
     at the common vertex, coming back to the common vertex by the first walk,
     following the second walk and finally coming back to the common vertex
     again.  (Contributed by AV, 24-Apr-2022.) $)
  clwwlknccat $p |- ( ( A e. ( M ClWWalksN G ) /\ B e. ( N ClWWalksN G )
                        /\ ( A ` 0 ) = ( B ` 0 ) )
                      -> ( A ++ B ) e. ( ( M + N ) ClWWalksN G ) ) $=
    ( cclwwlkn co wcel cc0 cfv wceq cconcat chash caddc wa isclwwlkn clwwlknwrd
    w3a simpl clwwlknlen cclwwlk biid clwwlkccat syl3an syl3anb cvtx cword eqid
    id ccatlen syl2an oveqan12d eqtrd 3adant3 sylanbrc ) ADCFGHZBECFGHZIAJIBJKZ
    RABLGZCUAJZHZUSMJZDENGZKZUSVCCFGHUPAUTHZAMJZDKZOZUQBUTHZBMJZEKZOZURURVACDAP
    CEBPURUBVHVEVLVIURURVAVEVGSVIVKSURUIABCUCUDUEUPUQVDURUPUQOVBVFVJNGZVCUPACUF
    JZUGZHBVOHVBVMKUQCDVNAVNUHZQCEVNBVPQVNVNABUJUKUPUQVFDVJENCDATCEBTULUMUNCVCU
    SPUO $.

  ${
    $d G i $.  $d N i $.  $d W i $.
    $( If a word represents a closed walk of length at least 2 in a multigraph,
       the first two symbols of the word must be different.  (Contributed by
       Alexander van der Vekens, 17-Jun-2018.)  (Revised by AV,
       30-Apr-2021.) $)
    umgr2cwwk2dif $p |- ( ( G e. UMGraph /\ N e. ( ZZ>= ` 2 )
                            /\ W e. ( N ClWWalksN G ) )
                          -> ( W ` 1 ) =/= ( W ` 0 ) ) $=
      ( vi cclwwlkn co wcel c2 cuz cfv cumgr c1 cc0 wceq wa caddc cpr wi adantl
      eqid wne cvtx cword chash cedg cmin cfzo wral clsw clwwlknp simpr uz2m1nn
      cv cn lbfzo0 sylibr fveq2 oveq1 0p1e1 eqtrdi fveq2d preq12d eleq1d rspcdv
      w3a com12 3ad2ant2 imp adantr umgredgne necomd syl2anc exp31 syl 3imp31 )
      CBAEFGZBHIJGZAKGZLCJZMCJZUAZVPCAUBJZUCGCUDJBNOZDUMZCJZWDLPFZCJZQZAUEJZGZD
      MBLUFFZUGFZUHZCUIJVTQWIGZVEZVQVRWARRDWIABWBCWBTWITZUJWOVQVRWAWOVQOZVROVRV
      TVSQZWIGZWAWQVRUKWQWSVRWOVQWSWMWCVQWSRWNVQWMWSVQWJWSDMWLVQWKUNGMWLGBULWKU
      OUPVQWDMNZOZWHWRWIXAWEVTWGVSWTWEVTNVQWDMCUQSXAWFLCXAWFMLPFZLWTWFXBNVQWDML
      PURSUSUTVAVBVCVDVFVGVHVIVRWSOVTVSWIAVTVSWPVJVKVLVMVNVO $.

    $( If a word represents a closed walk of length at least 2 in a undirected
       simple graph, the first two symbols of the word must be different.
       (Contributed by Alexander van der Vekens, 17-Jun-2018.)  (Revised by AV,
       30-Apr-2021.) $)
    umgr2cwwkdifex $p |- ( ( G e. UMGraph /\ N e. ( ZZ>= ` 2 )
                            /\ W e. ( N ClWWalksN G ) )
                          -> E. i e. ( 0 ..^ N ) ( W ` i ) =/= ( W ` 0 ) ) $=
      ( cumgr wcel c2 cuz cfv cclwwlkn co w3a cv cc0 wne c1 cfzo cn wa wceq clt
      wbr eluz2b2 1nn0 simpl simpr elfzo0 syl3anbrc sylbi 3ad2ant2 fveq2 adantl
      cn0 a1i neeq1d umgr2cwwk2dif rspcedvd ) BEFZCGHIFZDCBJKFZLZAMZDIZNDIZOPDI
      ZVDOAPNCQKZUSURPVFFZUTUSCRFZPCUAUBZSZVGCUCVJPUMFZVHVIVGVKVJUDUNVHVIUEVHVI
      UFPCUGUHUIUJVAVBPTZSVCVEVDVLVCVETVAVBPDUKULUOBCDUPUQ $.
  $}

  ${
    erclwwlkn.w $e |- W = ( N ClWWalksN G ) $.
    erclwwlkn.r $e |- .~ = { <. t , u >. | ( t e. W /\ u e. W
                            /\ E. n e. ( 0 ... N ) t = ( u cyclShift n ) ) } $.
    $( ` .~ ` is a relation.  (Contributed by Alexander van der Vekens,
       25-Mar-2018.)  (Revised by AV, 30-Apr-2021.) $)
    erclwwlknrel $p |- Rel .~ $=
      ( cv wcel ccsh co wceq cc0 cfz wrex w3a relopabi ) BJZGKAJZGKTUADJLMNDOFP
      MQRBACIS $.

    $d W t u $.
    ${
      $d N t u $.  $d T n t u $.  $d U n t u $.
      $( Two classes are equivalent regarding ` .~ ` if both are words of the
         same fixed length and one is the other cyclically shifted.
         (Contributed by Alexander van der Vekens, 25-Mar-2018.)  (Revised by
         AV, 30-Apr-2021.) $)
      erclwwlkneq $p |- ( ( T e. X /\ U e. Y )
                     -> ( T .~ U <-> ( T e. W /\ U e. W
                          /\ E. n e. ( 0 ... N ) T = ( U cyclShift n ) ) ) ) $=
        ( cv wcel ccsh co wceq wrex w3a cc0 cfz wa wb eleq1 adantr adantl simpl
        oveq1 eqeq12d rexbidv 3anbi123d brabga ) BNZIOZANZIOZUNUPFNZPQZRZFUAHUB
        QZSZTDIOZEIOZDEURPQZRZFVASZTBADECJKUNDRZUPERZUCZUOVCUQVDVBVGVHUOVCUDVIU
        NDIUEUFVIUQVDUDVHUPEIUEUGVJUTVFFVAVJUNDUSVEVHVIUHVIUSVERVHUPEURPUIUGUJU
        KULMUM $.

      $d W n $.  $d X n $.  $d Y n $.
      $( If two classes are equivalent regarding ` .~ ` , then they are words
         of the same length.  (Contributed by Alexander van der Vekens,
         8-Apr-2018.)  (Revised by AV, 30-Apr-2021.) $)
      erclwwlkneqlen $p |- ( ( T e. X /\ U e. Y )
                          -> ( T .~ U -> ( # ` T ) = ( # ` U ) ) ) $=
        ( wcel wa co wceq cc0 chash cfv wbr ccsh cfz wrex w3a erclwwlkneq fveq2
        cv cvtx cword cz cclwwlkn eqid clwwlknwrd eleq2s adantl elfzelz cshwlen
        syl2an sylan9eqr rexlimdva2 3impia syl6bi ) DJNEKNODECUADINZEINZDEFUHZU
        BPZQZFRHUCPZUDZUEDSTZESTZQZABCDEFGHIJKLMUFVDVEVJVMVDVEOZVHVMFVIVHVNVFVI
        NZOVKVGSTZVLDVGSUGVNEGUITZUJNZVFUKNVPVLQVOVEVRVDVREHGULPIGHVQEVQUMUNLUO
        UPVFRHUQVFVQEURUSUTVAVBVC $.
    $}

    $d N n u t x $.
    $( ` .~ ` is a reflexive relation over the set of closed walks (defined as
       words).  (Contributed by Alexander van der Vekens, 26-Mar-2018.)
       (Revised by AV, 30-Apr-2021.)  (Proof shortened by AV, 23-Mar-2022.) $)
    erclwwlknref $p |- ( x e. W <-> x .~ x ) $=
      ( cv wcel ccsh co wceq cc0 cfz wa cvv syl wrex w3a wbr df-3an anidm bitri
      anbi1i erclwwlkneq el2v cclwwlkn cvtx cfv cword eqid clwwlknwrd clwwlknnn
      wb cn wi cshw0 cn0 nnnn0 0elfz eqcom biimpi oveq2 rspceeqv syl2anr eleq2s
      ex sylc pm4.71i 3bitr4ri ) AKZHLZVOVNVNEKZMNZOEPGQNZUAZUBZVOVSRZVNVNDUCZV
      OVTVOVORZVSRWAVOVOVSUDWCVOVSVOUEUGUFWBVTUQAABCDVNVNEFGHSSIJUHUIVOVSVSVNGF
      UJNZHVNWDLVNFUKULZUMLZGURLZVSFGWEVNWEUNUOFGVNUPWFVNPMNZVNOZWGVSUSWEVNUTWI
      WGVSWGPVRLZVNWHOZVSWIWGGVALWJGVBGVCTWIWKWHVNVDVEEPVRVQWHVNVPPVNMVFVGVHVJT
      VKIVIVLVM $.

    $d n t u y $.  $d m n x y $.  $d N m n $.  $d W n $.
    $( ` .~ ` is a symmetric relation over the set of closed walks (defined as
       words).  (Contributed by Alexander van der Vekens, 10-Apr-2018.)
       (Revised by AV, 30-Apr-2021.) $)
    erclwwlknsym $p |- ( x .~ y -> y .~ x ) $=
      ( vm wi cvv wcel wa wceq co cc0 cfz cv wbr chash erclwwlkneqlen ccsh wrex
      erclwwlkneq simpl2 simpl1 cclwwlkn cvtx cword eqid clwwlknbp eqcom biimpi
      cfv w3a simpl2im eleq2s adantr clwwlknwrd adantl cshwcshid oveq2 sylan9eq
      simprr eleq2d anbi1d rexeqdv 3imtr4d mpancom rexlimdv ex com23 3impia imp
      expd eqeq2d cbvrexvw sylibr 3jca wb ancoms syl5ibr sylbid mpdd el2v ) AUA
      ZBUAZEUBZWJWIEUBZMABWINOZWJNOZPZWKWIUCUQZWJUCUQZQZWLCDEWIWJFGHINNJKUDWOWK
      WIIOZWJIOZWIWJFUAZUERQZFSHTRZUFZURZWRWLMCDEWIWJFGHINNJKUGWOXEWRWLXEWRPZWL
      WOWTWSWJWIXAUERZQZFXCUFZURZXFWTWSXIWSWTXDWRUHWSWTXDWRUIXFWJWILUAZUERZQZLX
      CUFZXIXEWRXNWSWTXDWRXNMWSWTPZWRXDXNXOWRXDXNMXOWRPZXBXNFXCXPXAXCOZXBXNHWPQ
      ZXPXQXBPZXNMXOXRWRWSXRWTXRWIHGUJRZIWIXTOWIGUKUQZULZOWPHQZXRGHYAWIYAUMZUNY
      CXRWPHUOUPUSJUTVAVAXRXPPZXASWQTRZOZXBPXMLSWPTRZUFXSXNYEABFLYAXPWJYBOZXRXO
      YIWRWTYIWSYIWJXTIGHYAWJYDVBJUTVCVAVCXRXOWRVGVDYEXQYGXBYEXCYFXAXRXPXCYHYFH
      WPSTVEZWRYHYFQXOWPWQSTVEVCVFVHVIYEXMLXCYHXRXCYHQXPYJVAVJVKVLVRVMVNVOVPVQX
      HXMFLXCXAXKQXGXLWJXAXKWIUEVEVSVTWAWBWNWMWLXJWCCDEWJWIFGHINNJKUGWDWEVRWFWG
      WH $.

    $d n t u y z $.  $d k m n x y z $.  $d N k $.  $d W k m $.
    $( ` .~ ` is a transitive relation over the set of closed walks (defined as
       words).  (Contributed by Alexander van der Vekens, 10-Apr-2018.)
       (Revised by AV, 30-Apr-2021.) $)
    erclwwlkntr $p |- ( ( x .~ y /\ y .~ z ) -> x .~ z ) $=
      ( cv cvv wcel wa wi wceq ccsh co vm vk wbr vex w3a erclwwlkneqlen 3adant3
      chash cfv 3adant1 cc0 cfz wrex wb erclwwlkneq simpr1 simplr2 oveq2 eqeq2d
      cbvrexvw cclwwlkn cvtx cword eqid clwwlknbp biimpi simpl2im eleq2s simpld
      eqcom ad2antlr adantl simprr eqcoms adantr sylan9eq eleq2d anbi1d anbi12d
      cshwcsh2id rexeqdv 3imtr4d mpancom exp5l imp41 rexlimdva ex syl7bi syl5bi
      exp31 com15 impcom com13 3impia 3jca 3adant2 syl5ibrcom com24 com4t com25
      sylbid mpdd impd mp3an ) AMZNOZBMZNOZCMZNOZXEXGFUCZXGXIFUCZPXEXIFUCZQAUDB
      UDCUDXFXHXJUEZXKXLXMXNXKXEUHUIXGUHUIZRZXLXMQXFXHXKXPQXJDEFXEXGGHIJNNKLUFU
      GXNXLXPXKXMXNXLXOXIUHUIZRZXPXKXMQQZXHXJXLXRQXFDEFXGXIGHIJNNKLUFUJXNXLXGJO
      ZXIJOZXGXIGMZSTZRZGUKIULTZUMZUEZXRXSQXHXJXLYGUNXFDEFXGXIGHIJNNKLUOUJXNXKX
      RXPYGXMXNXKXEJOZXTXEXGYBSTZRZGYEUMZUEZXRXPYGXMQZQQXFXHXKYLUNXJDEFXEXGGHIJ
      NNKLUOUGXRXPXNYLYMXRXPXNYLYMQQXRXPPZYGYLXNXMYNYGYLXNXMQYNYGPZYLPZXMXNYHYA
      XEYCRZGYEUMZUEZYPYHYAYRYOYHXTYKUPXTYAYFYNYLUQYLYOYRYHXTYKYOYRQYOYKYHXTPZY
      RYGYNYKYTYRQQZYAYFYNUUAQZXTYFYAUUBYTYAYNYKYFYRYTYAYNYKYFYRQZQYKXEXGUAMZST
      ZRZUAYEUMZYTYAPZYNPZUUCYJUUFGUAYEYBUUDRYIUUEXEYBUUDXGSURUSUTYFXGXIUBMZSTZ
      RZUBYEUMZUUIUUGYRYDUULGUBYEYBUUJRYCUUKXGYBUUJXISURUSUTUUIUUFUUMYRQZUAYEUU
      IUUDYEOZPZUUFUUNUUPUUFPUULYRUBYEUUIUUOUUFUUJYEOZUULYRQUUIUUOUUFUUQUULYRIX
      QRZUUIUUOUUFPZUUQUULPZPZYRQYAUURYTYNUURXIIHVATZJXIUVBOZXIHVBUIZVCOZXQIRZU
      URHIUVDXIUVDVDVEZUVFUURXQIVJVFVGKVHVKUURUUIPZUUDUKXOULTZOZUUFPZUUJUKXQULT
      ZOZUULPZPYQGUVLUMZUVAYRUVHABCUBUAGUVDUUIUVEUURYAUVEYTYNUVEXIUVBJUVCUVEUVF
      UVGVIKVHVKVLUURUUHYNVMVTUVHUUSUVKUUTUVNUVHUUOUVJUUFUVHYEUVIUUDUURUUIYEUVL
      UVIIXQUKULURZYNUVLUVIRZUUHXRUVQXPUVQXQXOXQXOUKULURVNVOVLVPVQVRUURUUTUVNUN
      UUIUURUUQUVMUULUURYEUVLUUJUVPVQVRVOVSUURYRUVOUNUUIUURYQGYEUVLUVPWAVOWBWCW
      DWEWFWGWFWHWIWJWKWLUJWLWMWNWLWOXFXJXMYSUNXHDEFXEXIGHIJNNKLUOWPWQWJWRWGWSX
      AWTXAXBWRXBXCXD $.

    $d .~ x y z $.  $d W x $.
    $( ` .~ ` is an equivalence relation over the set of closed walks (defined
       as words) with a fixed length.  (Contributed by Alexander van der
       Vekens, 10-Apr-2018.)  (Revised by AV, 30-Apr-2021.) $)
    erclwwlkn $p |- .~ Er W $=
      ( vx vy vz erclwwlknrel erclwwlknsym erclwwlkntr erclwwlknref iseri ) JKL
      GCABCDEFGHIMJKABCDEFGHINJKLABCDEFGHIOJABCDEFGHIPQ $.

    $( The quotient set of the set of closed walks (defined as words) with a
       fixed length according to the equivalence relation ` .~ ` is finite.
       (Contributed by Alexander van der Vekens, 10-Apr-2018.)  (Revised by AV,
       30-Apr-2021.) $)
    qerclwwlknfi $p |- ( ( Vtx ` G ) e. Fin -> ( W /. .~ ) e. Fin ) $=
      ( cvtx cfv cfn wcel cpw cqs cclwwlkn co clwwlknfi eqeltrid pwfi sylib wer
      erclwwlkn a1i qsss ssfid ) EJKLMZGNZGCOUGGLMUHLMUGGFEPQLHEFRSGTUAUGGCGCUB
      UGABCDEFGHIUCUDUEUF $.

    $d G x $.  $d N x $.  $d X x $.
    $( The number of closed walks (defined as words) with a fixed length is the
       sum of the sizes of all equivalence classes according to ` .~ ` .
       (Contributed by Alexander van der Vekens, 10-Apr-2018.)  (Revised by AV,
       30-Apr-2021.) $)
    hashclwwlkn0 $p |- ( ( Vtx ` G ) e. Fin
                          -> ( # ` W ) = sum_ x e. ( W /. .~ ) ( # ` x ) ) $=
      ( cvtx cfv cfn wcel wer erclwwlkn a1i cclwwlkn co clwwlknfi eqeltrid
      qshash ) FKLMNZAHDHDOUCBCDEFGHIJPQUCHGFRSMIFGTUAUB $.

    $d B x y $.  $d N y $.  $d W y $.  $d X y $.
    $( An equivalence class according to ` .~ ` .  (Contributed by Alexander
       van der Vekens, 12-Apr-2018.)  (Revised by AV, 30-Apr-2021.) $)
    eclclwwlkn1 $p |- ( B e. X -> ( B e. ( W /. .~ )
                        <-> E. x e. W B = { y e. W | E. n e. ( 0 ... N )
                                            y = ( x cyclShift n ) } ) ) $=
      ( wcel cv cab wceq wrex wa wb cqs wbr co cc0 cfz elqsecl w3a erclwwlknsym
      ccsh crab impbii a1i abbidv erclwwlkneq el2v 3anan12 bicomd adantl syl5bb
      cvv ibar df-rab eqtr4di 3eqtrd eqeq2d rexbidva bitrd ) EKNZEJFUANEAOZBOZF
      UBZBPZQZAJREVJVIGOUIUCQGUDIUEUCRZBJUJZQZAJRABEFJKUFVHVMVPAJVHVIJNZSZVLVOE
      VRVLVJVIFUBZBPVJJNZVQVNUGZBPZVOVRVKVSBVKVSTVRVKVSABCDFGHIJLMUHBACDFGHIJLM
      UHUKULUMVRVSWABVSWATZVRWCBACDFVJVIGHIJUTUTLMUNUOULUMVRWBVTVNSZBPVOVRWAWDB
      WAVQWDSZVRWDVTVQVNUPVQWEWDTVHVQWDWEVQWDVAUQURUSUMVNBJVBVCVDVEVFVG $.

    $d G k n $.  $d X k m n $.  $d Y k m n x y $.
    $( A member of an equivalence class according to ` .~ ` .  (Contributed by
       Alexander van der Vekens, 11-May-2018.)  (Revised by AV, 1-May-2021.) $)
    eleclclwwlkn $p |- ( ( B e. ( W /. .~ ) /\ X e. B ) -> ( Y e. B
             <-> ( Y e. W /\ E. n e. ( 0 ... N ) Y = ( X cyclShift n ) ) ) ) $=
      ( vy vx vm wcel ccsh wceq wrex wa vk cqs cv co cc0 wb wi crab eclclwwlkn1
      cfz eqeq1 elrab oveq2 eqeq2d cbvrexvw eleclclwwlknlem2 ex rexlimiva sylbi
      rexbidv expd impcom com12 ad2antlr imp syl5bb anbi2d eleq2 bibi1d imbi12d
      adantl mpbird rexlimdva2 sylbid pm2.43i ) CHDUBZPZICPZJCPZJHPZJIEUCZQUDRE
      UEGUJUDZSZTZUFZVQVRWEUGZVQVQCMUCZNUCZWAQUDZRZEWBSZMHUHZRZNHSWFNMABCDEFGHV
      PKLUIVQWMWFNHVQWHHPZTZWMTZWFIWLPZJWLPZWDUFZUGZWPWQWSWRVTJWIRZEWBSZTWPWQTZ
      WDWKXBMJHWGJRWJXAEWBWGJWIUKUTULXCXBWCVTXBJWHUAUCZQUDZRZUAWBSZXCWCXAXFEUAW
      BWAXDRWIXEJWAXDWHQUMUNUOWPWQXGWCUFZWNWQXHUGVQWMWQWNXHWQIHPZIWIRZEWBSZTWNX
      HUGZWKXKMIHWGIRWJXJEWBWGIWIUKUTULXKXIXLXKXIWNXHXKIWHOUCZQUDZRZOWBSXIWNTZX
      HUGZXJXOEOWBWAXMRWIXNIWAXMWHQUMUNUOXOXQOWBXMWBPXOTXPXHNOUAEFGHIJKUPUQURUS
      VAVBUSVCVDVEVFVGVFUQWMWFWTUFWOWMVRWQWEWSCWLIVHWMVSWRWDCWLJVHVIVJVKVLVMVNV
      OVE $.

    $d G m n u y $.  $d U m n u x y $.
    $( The size of every equivalence class of the equivalence relation over the
       set of closed walks (defined as words) with a fixed length which is a
       prime number is 1 or equals this length.  (Contributed by Alexander van
       der Vekens, 17-Jun-2018.)  (Revised by AV, 1-May-2021.) $)
    hashecclwwlkn1 $p |- ( ( N e. Prime /\ U e. ( W /. .~ ) )
                           -> ( ( # ` U ) = 1 \/ ( # ` U ) = N ) ) $=
      ( vy vm wcel chash wceq wi cv co cc0 wrex vx cqs cprime cfv ccsh cfz crab
      c1 wo eclclwwlkn1 cvtx cword cclwwlkn rabeq mp1i cn0 nnnn0d eleq2i biimpi
      wa prmnn clwwlknscsh syl2an eqtrd eqeq2d cfzo c0 wne cn simpll elnnne0 wb
      w3a eqeq1 eqcoms hasheq0 sylan9bbr necon3bid biimpcd impcom simplr eqcomd
      simplbiim 3jca ex eqid clwwlknbp syl11 syl5bi scshwfzeqfzo oveq2 cbvrexvw
      syl imp eqcom bitrdi rexbidv syl5bb cbvrabv adantr orcomd fveqeq2 orbi12d
      cshwshash adantl mpbird eleq1 rexeqdv rabbidv eqeq2 orbi2d imbi12d eleq2s
      sylbid rexlimdva com12 syl6bi pm2.43i ) DHCUBZMZGUCMZDNUDZUHOZYBGOZUIZXTY
      AYEPZXTXTDKQZUAQZEQZUERZOZESGUFRTZKHUGZOZUAHTZYFUAKABDCEFGHXSIJUJYAYOYEYA
      YNYEUAHYAYHHMZUTZYNDYLKFUKUDZULZUGZOZYEYQYMYTDYQYMYLKGFUMRZUGZYTHUUBOYMUU
      COYQIYLKHUUBUNUOYAGUPMZYHUUBMZUUCYTOYPYAGGVAZUQYPUUEHUUBYHIURZUSKEFGYHVBV
      CVDVEYQUUADYKESGVFRZTZKYSUGZOZYEYQYTUUJDYQYHYSMZYHVGVHZGYHNUDZOZVMZYTUUJO
      YAYPUUPYAGVIMZYPUUPPUUFYPUUEUUQUUPUUGUULUUNGOZUTZUUQUUPUUEUUSUUQUUPUUSUUQ
      UTZUULUUMUUOUULUURUUQVJUUQUUSUUMUUQUUDGSVHZUUSUUMPGVKUUSUVAUUMUUSGSYHVGUU
      RGSOZUUNSOZUULYHVGOUVBUVCVLGUUNGUUNSVNVOYHYSVPVQVRVSWCVTUUTUUNGUULUURUUQW
      AWBWDWEFGYRYHYRWFWGZWHWIWMWNKEGYRYHWJWMVEYPYAUUKYEPZYAUVEPZYHUUBHUUEUUSUV
      FUVDUUSUVFUUNUCMZDYKESUUNVFRZTZKYSUGZOZYCYBUUNOZUIZPZPZUULUVOUURUULUVGUVN
      UULUVGUTZUVKUVMUVPUVKUTZUVMUVJNUDZUHOZUVRUUNOZUIZUVQUVTUVSUVPUVTUVSUIUVKA
      LUVJYRYHUVIYHLQZUERZAQZOZLUVHTZKAYSUVIYGUWCOZLUVHTYGUWDOZUWFYKUWGELUVHYIU
      WBOYJUWCYGYIUWBYHUEWKVEWLUWHUWGUWELUVHUWHUWGUWDUWCOUWEYGUWDUWCVNUWDUWCWOW
      PWQWRWSXDWTXAUVKUVMUWAVLUVPUVKYCUVSUVLUVTDUVJUHNXBDUVJUUNNXBXCXEXFWEWEWTU
      URUVFUVOVLZUULUWIGUUNUUOYAUVGUVEUVNGUUNUCXGUUOUUKUVKYEUVMUUOUUJUVJDUUOUUI
      UVIKYSUUOYKEUUHUVHGUUNSVFWKXHXIVEUUOYDUVLYCGUUNYBXJXKXLXLVOXEXFWMIXMVTXNX
      NXOXPXQXRVT $.

    $d G i m x $.  $d i u $.
    $( The size of every equivalence class of the equivalence relation over the
       set of closed walks (defined as words) with a fixed length which is a
       prime number equals this length (in an undirected simple graph).
       (Contributed by Alexander van der Vekens, 17-Jun-2018.)  (Revised by AV,
       1-May-2021.) $)
    umgrhashecclwwlk $p |- ( ( G e. UMGraph /\ N e. Prime )
                            -> ( U e. ( W /. .~ ) -> ( # ` U ) = N ) ) $=
      ( vy vm wcel wa cfv wceq wi co cc0 wrex vx vi cqs cumgr cprime chash ccsh
      cv cfz crab eclclwwlkn1 cvtx cword cclwwlkn rabeq cn0 prmnn nnnn0d adantl
      mp1i eleq2i biimpi clwwlknscsh syl2an eqtrd eqeq2d cfzo c0 wne w3a simpll
      cn elnnne0 wb eqcoms hasheq0 sylan9bbr necon3bid biimpcd simplbiim impcom
      eqeq1 simplr eqcomd 3jca eqid clwwlknbp syl11 syl5bi syl imp scshwfzeqfzo
      ex fveq2 c2 cuz simprl prmuz2 umgr2cwwkdifex syl3anc oveq2 cbvrexvw eqcom
      bitrdi rexbidv syl5bb cshwshashnsame ad2ant2rl mpd sylan9eqr exp41 adantr
      cbvrabv oveq1 eleq2d eleq1 anbi2d rexeqdv rabbidv eqeq2 imbi12d rexlimdva
      mpbird mpcom eleq2s sylbid com12 syl6bi pm2.43i ) DHCUCZMZFUDMZGUEMZNZDUF
      OZGPZYKYNYPQZYKYKDKUHZUAUHZEUHZUGRZPZESGUIRTZKHUJZPZUAHTZYQUAKABDCEFGHYJI
      JUKYNUUFYPYNUUEYPUAHYNYSHMZNZUUEDUUCKFULOZUMZUJZPZYPUUHUUDUUKDUUHUUDUUCKG
      FUNRZUJZUUKHUUMPUUDUUNPUUHIUUCKHUUMUOUTYNGUPMZYSUUMMZUUNUUKPUUGYMUUOYLYMG
      GUQZURUSUUGUUPHUUMYSIVAZVBKEFGYSVCVDVEVFUUHUULDUUBESGVGRZTZKUUJUJZPZYPUUH
      UUKUVADUUHYSUUJMZYSVHVIZGYSUFOZPZVJZUUKUVAPYNUUGUVGYNGVLMZUUGUVGQYMUVHYLU
      UQUSUUGUUPUVHUVGUURUVCUVEGPZNZUVHUVGUUPUVJUVHUVGUVJUVHNZUVCUVDUVFUVCUVIUV
      HVKUVHUVJUVDUVHUUOGSVIZUVJUVDQGVMUVJUVLUVDUVJGSYSVHUVIGSPZUVESPZUVCYSVHPU
      VMUVNVNGUVEGUVESWBVOYSUUJVPVQVRVSVTWAUVKUVEGUVCUVIUVHWCWDWEWMFGUUIYSUUIWF
      WGZWHWIWJWKKEGUUIYSWLWJVFUUGYNUVBYPQZYNUVPQZYSUUMHUVJUUPUVQUVOUVJUUPUVQQZ
      YSUVEFUNRZMZYLUVEUEMZNZDUUBESUVEVGRZTZKUUJUJZPZYOUVEPZQZQZQZUVCUWJUVIUVCU
      VTUWBUWFUWGUWFUVCUVTNZUWBNZYOUWEUFOZUVEDUWEUFWNUWLUBUHYSOSYSOVIUBUWCTZUWM
      UVEPZUWLYLUVEWOWPOMZUVTUWNUWKYLUWAWQUWBUWPUWKUWAUWPYLUVEWRUSUSUVCUVTUWBWC
      UBFUVEYSWSWTUVCUWAUWNUWOQUVTYLAUBLUWEUUIYSUWDYSLUHZUGRZAUHZPZLUWCTZKAUUJU
      WDYRUWRPZLUWCTYRUWSPZUXAUUBUXBELUWCYTUWQPUUAUWRYRYTUWQYSUGXAVFXBUXCUXBUWT
      LUWCUXCUXBUWSUWRPUWTYRUWSUWRWBUWSUWRXCXDXEXFXMXGXHXIXJXKXLUVIUVRUWJVNZUVC
      UXDGUVEUVFUUPUVTUVQUWIUVFUUMUVSYSGUVEFUNXNXOUVFYNUWBUVPUWHUVFYMUWAYLGUVEU
      EXPXQUVFUVBUWFYPUWGUVFUVAUWEDUVFUUTUWDKUUJUVFUUBEUUSUWCGUVESVGXAXRXSVFGUV
      EYOXTYAYAYAVOUSYCYDIYEWAYFYFYBYGYHYIYG $.

    $( The size of the set of closed walks (defined as words) with a fixed
       length which is a prime number is the product of the number of
       equivalence classes for ` .~ ` over the set of closed walks and the
       fixed length.  (Contributed by Alexander van der Vekens, 17-Jun-2018.)
       (Revised by AV, 1-May-2021.) $)
    fusgrhashclwwlkn $p |- ( ( G e. FinUSGraph /\ N e. Prime )
                        -> ( # ` W ) = ( ( # ` ( W /. .~ ) ) x. N ) ) $=
      ( vx cfusgr wcel cprime wa chash cfv csu cfn wceq syl cqs cv cmul co cvtx
      eqid fusgrvtxfi adantr hashclwwlkn0 cumgr cusgr usgrumgr umgrhashecclwwlk
      wi fusgrusgr sylan imp sumeq2dv qerclwwlknfi prmnn nncnd adantl fsumconst
      cc syl2anc 3eqtrd ) EKLZFMLZNZGOPZGCUAZJUBZOPZJQZVKFJQZVKOPFUCUDZVIEUEPZR
      LZVJVNSVGVRVHEVQVQUFUGUHZJABCDEFGHIUITVIVKVMFJVIVLVKLZVMFSZVGEUJLZVHVTWAU
      NVGEUKLWBEUOEULTABCVLDEFGHIUMUPUQURVIVKRLZFVDLZVOVPSVIVRWCVSABCDEFGHIUSTV
      HWDVGVHFFUTVAVBVKFJVCVEVF $.
  $}

  ${
    $d G n t u $.  $d N n t u $.
    $( The size of the set of closed walks (defined as words) of length ` N `
       is divisible by ` N ` if ` N ` is a prime number.  (Contributed by
       Alexander van der Vekens, 17-Jun-2018.)  (Revised by AV, 2-May-2021.) $)
    clwwlkndivn $p |- ( ( G e. FinUSGraph /\ N e. Prime )
                        -> N || ( # ` ( N ClWWalksN G ) ) ) $=
      ( vt vu vn cfusgr wcel cprime wa cclwwlkn co cv ccsh wceq chash cfv cdvds
      cz cfn eqid cc0 cfz wrex w3a copab cqs wbr fusgrvtxfi adantr qerclwwlknfi
      cmul cvtx hashcl 3syl nn0zd prmz adantl dvdsmul2 syl2anc fusgrhashclwwlkn
      cn0 breqtrrd ) AFGZBHGZIZBBAJKZCLZVFGDLZVFGVGVHELMKNEUABUBKUCUDCDUEZUFZOP
      ZBUKKZVFOPQVEVKRGBRGZBVLQUGVEVKVEAULPZSGZVJSGVKVAGVCVOVDAVNVNTUHUIDCVIEAB
      VFVFTZVITZUJVJUMUNUOVDVMVCBUPUQVKBURUSDCVIEABVFVPVQUTVB $.
  $}

  $( Lemma 1 for ~ clwlknf1oclwwlkn .  (Contributed by AV, 26-May-2022.)
     (Revised by AV, 1-Nov-2022.) $)
  clwlknf1oclwwlknlem1 $p |- ( ( C e. ( ClWalks ` G )
                                 /\ 1 <_ ( # ` ( 1st ` C ) ) )
                  -> ( # ` ( ( 2nd ` C ) prefix ( ( # ` ( 2nd ` C ) ) - 1 ) ) )
                     = ( # ` ( 1st ` C ) ) ) $=
    ( cclwlks cfv wcel c1 c1st chash cle wbr c2nd cmin co cpfx wceq wi syl2an2r
    c2 syl imp cwlks clwlkwlk wlkcpr wa cvtx cc0 cfz eqid wlkpwrd cn0 wlklenvm1
    cword lencl breq2d caddc 1red nn0re leaddsub2d breq1i biimpi syl6bir sylbid
    1p1e2 3syl ige2m1fz pfxlen eqcomd adantr eqtrd ex sylbi ) ABCDEZFAGDZHDZIJZ
    AKDZVPHDZFLMZNMHDZVNOZVLABUADZEZVOVTPZBAUBWBVMVPWAJZWCBAUCWDVOVTWDVOUDVSVRV
    NWDVPBUEDZULEZVOVRUFVQUGMEZVSVROVPVMBWEWEUHUIZWDVQUJEZVORVQIJZWGWDWFWIWHWEV
    PUMZSWDVOWJWDVOFVRIJZWJWDVNVRFIVPVMBUKZUNWDWFWIWLWJPWHWKWIWLFFUOMZVQIJZWJWI
    FFVQWIUPZWPVQUQURWOWJWNRVQIVCUSUTVAVDVBTVQVEQWEVPVRVFQWDVRVNOVOWDVNVRWMVGVH
    VIVJVKST $.

  ${
    $d G c w $.  $d N c w $.
    $( Lemma 2 for ~ clwlknf1oclwwlkn :  The closed walks of a positive length
       are nonempty closed walks of this length.  (Contributed by AV,
       26-May-2022.) $)
    clwlknf1oclwwlknlem2 $p |- ( N e. NN
                       -> { w e. ( ClWalks ` G ) | ( # ` ( 1st ` w ) ) = N }
                          = { c e. ( ClWalks ` G ) | ( 1 <_ ( # ` ( 1st ` c ) )
                                            /\ ( # ` ( 1st ` c ) ) = N ) } ) $=
      ( cn wcel cv c1st cfv chash wceq cclwlks crab c1 cle wbr wa 2fveq3 eqeq1d
      weq cbvrabv nnge1 breq2 syl5ibrcom pm4.71rd rabbidv syl5eq ) CEFZAGZHIJIZ
      CKZABLIZMDGZHIJIZCKZDULMNUNOPZUOQZDULMUKUOADULADTUJUNCUIUMJHRSUAUHUOUQDUL
      UHUOUPUHUPUONCOPCUBUNCNOUCUDUEUFUG $.
  $}

  ${
    $d C c $.  $d G c w $.  $d N w $.
    clwlknf1oclwwlkn.a $e |- A = ( 1st ` c ) $.
    clwlknf1oclwwlkn.b $e |- B = ( 2nd ` c ) $.
    clwlknf1oclwwlkn.c $e |- C = { w e. ( ClWalks ` G ) |
                                  ( # ` ( 1st ` w ) ) = N } $.
    clwlknf1oclwwlkn.f $e |- F = ( c e. C |-> ( B prefix ( # ` A ) ) ) $.
    $( Lemma 3 for ~ clwlknf1oclwwlkn :  The bijective function of
       ~ clwlknf1oclwwlkn is the bijective function of ~ clwlkclwwlkf1o
       restricted to the closed walks with a fixed positive length.
       (Contributed by AV, 26-May-2022.)  (Revised by AV, 1-Nov-2022.) $)
    clwlknf1oclwwlknlem3 $p |- ( ( G e. USPGraph /\ N e. NN )
            -> F = ( ( c e. { w e. ( ClWalks ` G ) | 1 <_ ( # ` ( 1st ` w ) ) }
                       |-> ( B prefix ( # ` A ) ) ) |` C ) ) $=
      ( wcel chash cfv cmpt c1 cle wbr crab cuspgr cn wa cpfx c1st cclwlks cres
      co cv wceq wi nnge1 syl5ibrcom ad2antlr ss2rabdv eqsstrid resmptd eqtr4id
      breq2 ) FUAMZGUBMZUCZEHDCBNOUDUHZPHQAUIZUEONOZRSZAFUFOZTZVCPDUGLVBHVHDVCV
      BDVEGUJZAVGTVHKVBVIVFAVGVAVIVFUKUTVDVGMVAVFVIQGRSGULVEGQRUSUMUNUOUPUQUR
      $.

    $d G c d s w $.  $d N c s $.
    $( There is a one-to-one onto function between the set of closed walks as
       words of length ` N ` and the set of closed walks of length ` N ` in a
       simple pseudograph.  (Contributed by Alexander van der Vekens,
       5-Jul-2018.)  (Revised by AV, 3-May-2021.)  (Revised by AV,
       1-Nov-2022.) $)
    clwlknf1oclwwlkn $p |- ( ( G e. USPGraph /\ N e. NN )
                            -> F : C -1-1-onto-> ( N ClWWalksN G ) ) $=
      ( vs wa cfv chash wceq c1 cle crab vd cuspgr wcel cn cclwwlkn co wf1o wbr
      cv c1st cclwlks cclwwlk c2nd cmin cpfx cmpt cres eqid 2fveq3 breq2d fveq2
      cbvrabv oveq1d oveq12d cbvmptv clwlkclwwlkf1o adantr mpteq1i eqtri eqcomi
      eqidd f1oeq123d mpbird 3ad2ant3 elrab clwlknf1oclwwlknlem1 sylbi 3ad2ant2
      a1i w3a eqtrd eqeq1d f1oresrab clwlknf1oclwwlknlem3 cwlks clwlkwlk wlkcpr
      fveq2i wlklenvm1 syl5eq syl adantl mpteq2dva wi nnge1 syl5ibrcom pm4.71rd
      breq2 rabbidva anbi1i anass rabbia2 3eqtr4g reseq12d clwlknf1oclwwlknlem2
      bitri clwwlkn ) FUBUCZGUDUCZNZDGFUEUFZEUGHUIZUJOZPOZGQZHRAUIZUJOPOZSUHZAF
      UKOZTZTZMUIZPOZGQZMFULOZTZHXTXLUMOZYGPOZRUNUFZUOUFZUPZYAUQZUGXJXOYDHMXTYE
      YJYKYKURXJXTYEYKUGRYBUJOPOZSUHZMXSTZYEUAYOUAUIZUMOZYQPOZRUNUFZUOUFZUPZUGZ
      XHUUBXIAYOUUAFHYNXRMAXSYBXPQYMXQRSYBXPPUJUSUTVBZUAHYOYTYJYPXLQZYQYGYSYIUO
      YPXLUMVAUUDYRYHRUNYPXLPUMUSVCVDVEVFVGXJXTYOYEYEYKUUAYKUUAQXJYKHYOYJUPUUAH
      XTYOYJXRYNAMXSXPYBQXQYMRSXPYBPUJUSUTVBVHHUAYOYJYTXLYPQZYGYQYIYSUOXLYPUMVA
      UUEYHYRRUNXLYPPUMUSVCVDVEVIVSXTYOQXJYOXTUUCVJVSXJYEVKVLVMXJXLXTUCZYBYJQZV
      TZYCXNGUUHYCYJPOZXNUUGXJYCUUIQUUFYBYJPVAVNUUFXJUUIXNQZUUGUUFXLXSUCZRXNSUH
      ZNZUUJXRUULAXLXSXPXLQZXQXNRSXPXLPUJUSZUTVOZXLFVPVQVRWAWBWCXJDYAXKYFEYLXJE
      HXTCBPOZUOUFZUPZDUQYLABCDEFGHIJKLWDXJUUSYKDYAXJHXTUURYJXJUUFNZCYGUUQYIUOC
      YGQUUTJVSUUFUUQYIQZXJUUFUUMUVAUUPUUKUVAUULUUKXLFWEOZUCZUVAFXLWFUVCXMYGUVB
      UHZUVAFXLWGUVDUUQXNYIBXMPIWHYGXMFWIWJVQWKVGVQWLVDWMXJXQGQZAXSTZUULXONZHXS
      TZDYAXJUVFXOHXSTUVHUVEXOAHXSUUNXQXNGUUOWBVBXJXOUVGHXSXJUUKNXOUULXJXOUULWN
      ZUUKXIUVIXHXIUULXORGSUHGWOXNGRSWRWPWLVGWQWSWJKXOUVGHXTXSUUFXONUUMXONUUKUV
      GNUUFUUMXOUUPWTUUKUULXOXAXFXBZXCXDWAXJUVFUVHDYAXIUVFUVHQXHAFGHXEWLKUVJXCX
      KYFQXJMFGXGVSVLVM $.
  $}

  ${
    $d G c w $.  $d N c w $.
    $( The size of the set of closed walks as words of length ` N ` corresponds
       to the size of the set of closed walks of length ` N ` in a simple
       pseudograph.  (Contributed by Alexander van der Vekens, 6-Jul-2018.)
       (Revised by AV, 4-May-2021.)  (Revised by AV, 26-May-2022.)  (Proof
       shortened by AV, 3-Nov-2022.) $)
    clwlkssizeeq $p |- ( ( G e. USPGraph /\ N e. NN )
             -> ( # ` ( N ClWWalksN G ) )
              = ( # ` { w e. ( ClWalks ` G ) | ( # ` ( 1st ` w ) ) = N } ) ) $=
      ( vc cuspgr wcel cn wa c1st cfv chash wceq cclwlks crab cclwwlkn cvv c2nd
      cv co eqid cpfx cmpt fvex rabex a1i clwlknf1oclwwlkn hasheqf1od eqcomd )
      BEFCGFHZARIJKJCLZABMJZNZKJCBOSZKJUIULUMPDULDRZQJZUNIJZKJUASUBZULPFUIUJAUK
      BMUCUDUEAUPUOULUQBCDUPTUOTULTUQTUFUGUH $.
  $}

  ${
    $d G c $.  $d N c $.
    $( The size of the set of closed walks of prime length ` N ` is divisible
       by ` N ` .  This corresponds to statement 9 in [Huneke] p. 2:  "It
       follows that, if p is a prime number, then the number of closed walks of
       length p is divisible by p".  (Contributed by Alexander van der Vekens,
       6-Jul-2018.)  (Revised by AV, 4-May-2021.) $)
    clwlksndivn $p |- ( ( G e. FinUSGraph /\ N e. Prime )
                       -> N || ( # ` { c e. ( ClWalks ` G ) |
                                       ( # ` ( 1st ` c ) ) = N } ) ) $=
      ( cfusgr wcel cprime wa cclwwlkn co chash cv c1st wceq cclwlks crab cdvds
      cfv clwwlkndivn cuspgr cn fusgrusgr usgruspgr clwlkssizeeq syl2an breqtrd
      cusgr syl prmnn ) ADEZBFEZGBBAHIJQZCKLQJQBMCANQOJQZPABRUIASEZBTEUKULMUJUI
      AUFEUMAUAAUBUGBUHCABUCUDUE $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Closed walks on a vertex of a fixed length as words
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c ClWWalksNOn $.

  $( Extend class notation with closed walks (in an undirected graph) anchored
     at a fixed vertex and of a fixed length as word over the set of
     vertices. $)
  cclwwlknon $a class ClWWalksNOn $.

  ${
    $d g n v w $.
    $( Define the set of all closed walks a graph ` g ` , anchored at a fixed
       vertex ` v ` (i.e., a walk starting and ending at the fixed vertex
       ` v ` , also called "a closed walk on vertex ` v ` ") and having a fixed
       length ` n ` as words over the set of vertices.  Such a word corresponds
       to the sequence v=p(0) p(1) ... p(n-1) of the vertices in a closed walk
       p(0) e(f(1)) p(1) e(f(2)) ... p(n-1) e(f(n)) p(n)=p(0)=v as defined in
       ~ df-clwlks .  The set ` ( ( v ( ClWWalksNOn `` g ) n ) ` corresponds to
       the set of "walks from v to v of length n" in a statement of [Huneke]
       p. 2.  (Contributed by AV, 24-Feb-2022.) $)
    df-clwwlknon $a |- ClWWalksNOn = ( g e. _V
                    |-> ( v e. ( Vtx ` g ) , n e. NN0
                          |-> { w e. ( n ClWWalksN g ) | ( w ` 0 ) = v } ) ) $.
  $}

  ${
    $d G g n v w $.
    $( ` ( ClWWalksNOn `` G ) ` is an operator mapping a vertex ` v ` and a
       nonnegative integer ` n ` to the set of closed walks on ` v ` of length
       ` n ` as words over the set of vertices in a graph ` G ` .  (Contributed
       by AV, 25-Feb-2022.)  (Proof shortened by AV, 2-Mar-2024.) $)
    clwwlknonmpo $p |- ( ClWWalksNOn ` G ) = ( v e. ( Vtx ` G ) , n e. NN0
                            |-> { w e. ( n ClWWalksN G ) | ( w ` 0 ) = v } ) $=
      ( vg cvv wcel cclwwlknon cfv cvtx cn0 cv wceq cclwwlkn co crab cmpo fvprc
      cc0 c0 fveq2 eqidd oveq2 rabeqdv mpoeq123dv df-clwwlknon fvex nn0ex mpoex
      fvmpt wn wo orcd 0mpo0 syl eqtr4d pm2.61i ) DFGZDHIZBCDJIZKSALIBLMZACLZDN
      OZPZQZMEDBCELZJIZKVAAVBVFNOZPZQVEFHVFDMZBCVGKVIUTKVDVFDJUAVJKUBVJVAAVHVCV
      FDVBNUCUDUEABECUFBCUTKVDDJUGUHUIUJURUKZUSTVEDHRVKUTTMZKTMZULVETMVKVLVMDJR
      UMBCUTKVDUNUOUPUQ $.

    $d N n v w $.  $d X n v w $.
    $( The set of closed walks on vertex ` X ` of length ` N ` in a graph ` G `
       as words over the set of vertices.  (Contributed by Alexander van der
       Vekens, 14-Sep-2018.)  (Revised by AV, 28-May-2021.)  (Revised by AV,
       24-Mar-2022.) $)
    clwwlknon $p |- ( X ( ClWWalksNOn ` G ) N )
                    = { w e. ( N ClWWalksN G ) | ( w ` 0 ) = X } $=
      ( vv vn cvtx cfv wcel wa cclwwlknon co cv wceq cclwwlkn crab wn c0 adantr
      cn0 cc0 eqeq2 rabbidv oveq1 rabeqdv clwwlknonmpo ovex rabex ovmpo mpondm0
      wral cclwwlk chash isclwwlkn cvv cword wne eqid clwwlkbp fstwrdne 3adant1
      w3a syl sylbi wb eleq1 adantl mpbid clwwlknnn nnnn0d jca con3rr3 ralrimiv
      ex rabeq0 sylibr eqtr4d pm2.61i ) DBGHZIZCTIZJZDCBKHZLZUAAMZHZDNZACBOLZPZ
      NEFDCVSTWFEMZNZAFMZBOLZPZWIWCWGAWMPWJDNWKWGAWMWJDWFUBUCWLCNWGAWMWHWLCBOUD
      UEAEFBUFZWGAWHCBOUGUHUIWBQZWDRWIEFWNWCDCVSTWOUJWPWGQZAWHUKWIRNWPWQAWHWEWH
      IZWGWBWRWGWBWRWGJZVTWAWSWFVSIZVTWRWTWGWRWEBULHIZWEUMHCNZJWTBCWEUNXAWTXBXA
      BUOIZWEVSUPIZWERUQZVBWTBVSWEVSURUSXDXEWTXCVSWEUTVAVCSVDSWGWTVTVEWRWFDVSVF
      VGVHWRWAWGWRCBCWEVIVJSVKVNVLVMWGAWHVOVPVQVR $.
  $}

  ${
    $d N w $.  $d G w $.  $d W w $.  $d X w $.
    $( A word over the set of vertices representing a closed walk on vertex
       ` X ` of length ` N ` in a graph ` G ` .  (Contributed by AV,
       25-Feb-2022.)  (Revised by AV, 24-Mar-2022.) $)
    isclwwlknon $p |- ( W e. ( X ( ClWWalksNOn ` G ) N )
                        <-> ( W e. ( N ClWWalksN G ) /\ ( W ` 0 ) = X ) ) $=
      ( vw cc0 cv cfv wceq cclwwlkn co cclwwlknon fveq1 eqeq1d clwwlknon elrab2
      ) FEGZHZDIFCHZDIECBAJKDBALHKQCIRSDFQCMNEABDOP $.
  $}

  ${
    $d G n v w $.  $d X n v w $.
    $( There is no word over the set of vertices representing a closed walk on
       vertex ` X ` of length ` 0 ` in a graph ` G ` .  (Contributed by AV,
       17-Feb-2022.)  (Revised by AV, 25-Feb-2022.) $)
    clwwlk0on0 $p |- ( X ( ClWWalksNOn ` G ) 0 ) = (/) $=
      ( vw vv vn cvtx cfv wcel cc0 wa cclwwlknon co c0 wceq crab cclwwlkn eqeq2
      cn0 cv eqtrdi rabbidv oveq1 clwwlkn0 rabeqdv clwwlknonmpo 0ex rabex ovmpo
      rab0 mpondm0 pm2.61i ) BAFGZHIRHJZBIAKGZLZMNUMUOICSGZBNZCMOZMDEBIULRUPDSZ
      NZCESZAPLZOZURUNUQCVBOUSBNUTUQCVBUSBUPQUAVAINZUQCVBMVDVBIAPLMVAIAPUBAUCTU
      DCDEAUEZUQCMUFUGUHUQCUITDEVCUNBIULRVEUJUK $.
  $}

  ${
    $d G n v w $.
    $( Sufficient conditions for ` ClWWalksNOn ` to be empty.  (Contributed by
       AV, 25-Mar-2022.) $)
    clwwlknon0 $p |- ( -. ( X e. ( Vtx ` G ) /\ N e. NN )
                      -> ( X ( ClWWalksNOn ` G ) N ) = (/) ) $=
      ( vv vn vw cvtx cfv wcel cn wa wn cclwwlknon co c0 wceq wi cc0 cn0 cv a1d
      oveq2 clwwlk0on0 eqtrdi wne simprl elnnne0 simplbi2 adantl impcom stoic1a
      jca cclwwlkn crab clwwlknonmpo mpondm0 syl ex pm2.61ine ) CAGHZIZBJIZKZLZ
      CBAMHZNZOPZQBRBRPZVGVDVHVFCRVENOBRCVEUBACUCUDUABRUEZVDVGVIVDKVABSIZKZLVGV
      IVKVCVIVKKVAVBVIVAVJUFVKVIVBVJVIVBQVAVBVJVIBUGUHUIUJULUKDERFTHDTPFETAUMNU
      NVECBUTSFDEAUOUPUQURUS $.
  $}

  ${
    $d G w $.  $d N w $.  $d X w $.
    clwwlknonfin.v $e |- V = ( Vtx ` G ) $.
    $( In a finite graph ` G ` , the set of closed walks on vertex ` X ` of
       length ` N ` is also finite.  (Contributed by Alexander van der Vekens,
       26-Sep-2018.)  (Revised by AV, 25-Feb-2022.)  (Proof shortened by AV,
       24-Mar-2022.) $)
    clwwlknonfin $p |- ( V e. Fin -> ( X ( ClWWalksNOn ` G ) N ) e. Fin ) $=
      ( vw cfn wcel cclwwlknon cfv cc0 wceq cclwwlkn crab clwwlknon cvtx eleq1i
      co cv clwwlknfi sylbi rabfi syl eqeltrid ) CGHZDBAIJRKFSJDLZFBAMRZNZGFABD
      OUEUGGHZUHGHUEAPJZGHUICUJGEQABTUAUFFUGUBUCUD $.
  $}

  ${
    $d G i $.  $d W i $.
    clwwlknonel.v $e |- V = ( Vtx ` G ) $.
    clwwlknonel.e $e |- E = ( Edg ` G ) $.
    $( Characterization of a word over the set of vertices representing a
       closed walk on vertex ` X ` of (nonzero) length ` N ` in a graph ` G ` .
       This theorem would not hold for ` N = 0 ` if ` W = X = (/) ` .
       (Contributed by Alexander van der Vekens, 20-Sep-2018.)  (Revised by AV,
       28-May-2021.)  (Revised by AV, 24-Mar-2022.) $)
    clwwlknonel $p |- ( N =/= 0 -> ( W e. ( X ( ClWWalksNOn ` G ) N )
                     <-> ( ( W e. Word V /\ A. i e. ( 0 ..^ ( ( # ` W ) - 1 ) )
                                     { ( W ` i ) , ( W ` ( i + 1 ) ) } e. E
                             /\ { ( lastS ` W ) , ( W ` 0 ) } e. E )
                           /\ ( # ` W ) = N /\ ( W ` 0 ) = X ) ) ) $=
      ( cc0 wne cfv wcel chash wceq wa c1 co w3a c0 cclwwlk cword cv caddc cmin
      cpr cfzo wral clsw cclwwlknon wb isclwwlk simpl fveq2 hash0 eqtrdi adantl
      eqtr3d necon3d impcom biantrud bicomd 3anbi1d syl5bb a1d expimpd pm5.32rd
      ex cclwwlkn isclwwlknon isclwwlkn anbi1i anass 3bitri 3anass 3bitr4g ) DJ
      KZFCUALMZFNLZDOZJFLZGOZPZPZFEUBMZAUCZFLWFQUDRFLUFBMAJVSQUERUGRUHZFUILWAUF
      BMZSZWCPFGDCUJLRMZWIVTWBSVQWCVRWIVQVTWBVRWIUKZVQVTPZWKWBVRWEFTKZPZWGWHSWL
      WIABCEFHIULWLWNWEWGWHWLWEWNWLWMWEVTVQWMVTFTDJVTFTOZDJOVTWOPVSDJVTWOUMWOVS
      JOVTWOVSTNLJFTNUNUOUPUQURVHUSUTVAVBVCVDVEVFVGWJFDCVIRMZWBPVRVTPZWBPWDCDFG
      VJWPWQWBCDFVKVLVRVTWBVMVNWIVTWBVOVP $.
  $}

  $( The concatenation of two words representing closed walks on a vertex ` X `
     represents a closed walk on vertex ` X ` .  The resulting walk is a
     "double loop", starting at vertex ` X ` , coming back to ` X ` by the
     first walk, following the second walk and finally coming back to ` X `
     again.  (Contributed by AV, 24-Apr-2022.) $)
  clwwlknonccat $p |- ( ( A e. ( X ( ClWWalksNOn ` G ) M )
                          /\ B e. ( X ( ClWWalksNOn ` G ) N ) )
                      -> ( A ++ B ) e. ( X ( ClWWalksNOn ` G ) ( M + N ) ) ) $=
    ( cclwwlkn co wcel cc0 cfv wceq simpl adantr adantl simpr eqtrd isclwwlknon
    wa clt cconcat caddc cclwwlknon eqcomd clwwlknccat syl3anc cvtx cword chash
    eqid clwwlknwrd cn clwwlknnn clwwlknlen nngt0 breq2 syl5ibrcom sylc ccatfv0
    wbr jca anbi12i 3imtr4i ) ADCGHIZJAKZFLZSZBECGHIZJBKZFLZSZSZABUAHZDEUBHZCGH
    IZJVMKZFLZSAFDCUCKZHIZBFEVRHIZSVMFVNVRHIVLVOVQVLVDVHVEVILVOVGVDVKVDVFMNVKVH
    VGVHVJMOVLVEFVIVGVFVKVDVFPNZVKFVILVGVKVIFVHVJPUDOQABCDEUEUFVLVPVEFVLACUGKZU
    HZIZBWCIZJAUIKZTUTZVPVELVGWDVKVDWDVFCDWBAWBUJZUKNNVKWEVGVHWEVJCEWBBWHUKNOVG
    WGVKVDWGVFVDDULIZWFDLZWGCDAUMCDAUNWIWGWJJDTUTDUOWFDJTUPUQURNNABWBUSUFWAQVAV
    SVGVTVKCDAFRCEBFRVBCVNVMFRVC $.

  ${
    $d G w $.  $d V w $.  $d X w $.
    clwwlknon1.v $e |- V = ( Vtx ` G ) $.
    clwwlknon1.c $e |- C = ( ClWWalksNOn ` G ) $.
    clwwlknon1.e $e |- E = ( Edg ` G ) $.
    $( The set of closed walks on vertex ` X ` of length ` 1 ` in a graph ` G `
       as words over the set of vertices.  (Contributed by AV, 11-Feb-2022.)
       (Revised by AV, 25-Feb-2022.)  (Proof shortened by AV, 24-Mar-2022.) $)
    clwwlknon1 $p |- ( X e. V -> ( X C 1 )
                         = { w e. Word V | ( w = <" X "> /\ { X } e. E ) } ) $=
      ( wcel c1 co cfv cc0 wceq wa a1i chash ad2antrl wi cclwwlknon cv cclwwlkn
      crab cs1 csn cword oveqi clwwlknon cvtx w3a clwwlkn1 anbi1i eqcomi wrdeqi
      cedg eleq2i biimpi 3ad2ant2 adantr simpl1 3jca adantl wrdl1s1 mpbird sneq
      simpr wb eleq12d biimpd com13 3ad2ant3 imp impcom jca32 fveq2 s1len fveq1
      eqtrdi s1fv sylan9eq eqcomd sneqd impancom ex jca syl5bb rabbidva2 3eqtrd
      impbida ) FEJZFKBLZFKDUAMZLZNAUBZMZFOZAKDUCLZUDZWOFUEZOZFUFZCJZPZAEUGZUDW
      LWNOWKBWMFKHUHQWNWSOWKADKFUIQWKWQXDAWRXEWOWRJZWQPWORMZKOZWODUJMZUGZJZWPUF
      ZDUPMZJZUKZWQPZWKWOXEJZXDPZXFXOWQDWOULUMWKXPXRWKXPPZXQXAXCXOXQWKWQXKXHXQX
      NXKXQXJXEWOXIEEXIGUNUOUQURUSZSXSXAXQXHWQUKZXPYAWKXPXQXHWQXOXQWQXTUTXHXKXN
      WQVAXOWQVGVBVCWKXAYAVHXPFEWOVDUTVEXPWKXCXOWQWKXCTZXNXHWQYBTXKWKWQXNXCWQXN
      XCTTWKWQXNXCWQXLXBXMCWPFVFXMCOWQCXMIUNQVIVJQVKVLVMVNVOWKXRPZXOWQYCXHXKXNX
      RXHWKXAXHXQXCXAXGWTRMKWOWTRVPFVQVSSVCXQXKWKXDXQXKXEXJWOEXIGUOUQURSXRWKXNX
      DWKXNTXQXAWKXCXNXAWKPZXCXNYDXBXLCXMYDFWPYDWPFXAWKWPNWTMFNWOWTVRFEVTWAZWBW
      CCXMOYDIQVIVJWDVCVNVBXRWKWQXAWKWQTXQXCXAWKWQYEWESVNWFWJWGWHWI $.

    $d E w $.
    $( If there is a loop at vertex ` X ` , the set of (closed) walks on ` X `
       of length ` 1 ` as words over the set of vertices is a singleton
       containing the singleton word consisting of ` X ` .  (Contributed by AV,
       11-Feb-2022.)  (Revised by AV, 25-Feb-2022.)  (Proof shortened by AV,
       25-Mar-2022.) $)
    clwwlknon1loop $p |- ( ( X e. V /\ { X } e. E )
                           -> ( X C 1 ) = { <" X "> } ) $=
      ( vw wcel csn wa c1 co cs1 wceq cv wb adantr mpbird cword wal simprl s1cl
      eleq1 adantl simpr anim1ci jca ex impbid2 alrimiv crab clwwlknon1 rabeqsn
      eqeq1d bitrdi ) EDJZEKBJZLZEMANZEOZKZPZIQZDUAZJZVEVBPZUSLZLZVHRZIUBZUTVKI
      UTVJVHVGVHUSUCUTVHVJUTVHLZVGVIVMVGVBVFJZUTVNVHURVNUSEDUDSSVHVGVNRUTVEVBVF
      UEUFTUTUSVHURUSUGUHUIUJUKULUTVDVIIVFUMZVCPZVLURVDVPRUSURVAVOVCIABCDEFGHUN
      UPSVIIVFVBUOUQT $.

    $( If there is no loop at vertex ` X ` , the set of (closed) walks on ` X `
       of length ` 1 ` as words over the set of vertices is empty.
       (Contributed by AV, 11-Feb-2022.)  (Revised by AV, 25-Mar-2022.) $)
    clwwlknon1nloop $p |- ( { X } e/ E -> ( X C 1 ) = (/) ) $=
      ( vw wcel c1 co c0 wceq wa adantr wn biimpi sylibr cfv csn wnel cs1 cword
      cv crab clwwlknon1 wral df-nel olcd ad2antlr ianor ralrimiva rabeq0 eqtrd
      wo cclwwlknon oveqi cn eleq2i notbii intnanrd clwwlknon0 syl5eq pm2.61ian
      cvtx syl ) EDJZEUAZBUBZEKALZMNZVHVJOZVKIUEZEUCNZVIBJZOZIDUDZUFZMVHVKVSNVJ
      IABCDEFGHUGPVMVQQZIVRUHVSMNVMVTIVRVMVNVRJZOVOQZVPQZUPZVTVJWDVHWAVJWCWBVJW
      CVIBUIRUJUKVOVPULSUMVQIVRUNSUOVHQZVLVJWEVKEKCUQTZLZMAWFEKGURWEECVFTZJZKUS
      JZOQWGMNWEWIWJWEWIQVHWIDWHEFUTVARVBCKEVCVGVDPVE $.

    $( The set of (closed) walks on vertex ` X ` of length ` 1 ` as words over
       the set of vertices is a singleton containing the singleton word
       consisting of ` X ` iff there is a loop at ` X ` .  (Contributed by AV,
       11-Feb-2022.)  (Revised by AV, 25-Feb-2022.) $)
    clwwlknon1sn $p |- ( X e. V -> ( ( X C 1 ) = { <" X "> }
                                     <-> { X } e. E ) ) $=
      ( wcel c1 co cs1 csn wceq wn wnel df-nel wa c0 ex adantl cword s1cli snnz
      clwwlknon1nloop cvv elexi nesymi mtbiri syl syl5bir clwwlknon1loop impbid
      eqeq1 con4d ) EDIZEJAKZELZMZNZEMZBIZUPVBUTVBOVABPZUPUTOZVABQUPVCVDUPVCRUQ
      SNZVDVCVEUPABCDEFGHUEUAVEUTSUSNUSSURURUFUBEUCUGUDUHUQSUSUNUIUJTUKUOUPVBUT
      ABCDEFGHULTUM $.
  $}

  $( There is at most one (closed) walk on vertex ` X ` of length ` 1 ` as word
     over the set of vertices.  (Contributed by AV, 11-Feb-2022.)  (Revised by
     AV, 25-Mar-2022.) $)
  clwwlknon1le1 $p |- ( # ` ( X ( ClWWalksNOn ` G ) 1 ) ) <_ 1 $=
    ( cfv wcel c1 chash cle csn wa wceq eqid fveq2 eqtrdi eqbrtrdi syl c0 hash0
    cc0 0le1 wn cvtx cclwwlknon wbr cedg cs1 clwwlknon1loop cword s1cli hashsng
    co cvv ax-mp 1le1 clwwlknon1nloop adantl pm2.61danel cn intnanrd clwwlknon0
    wnel id fveq2d pm2.61i ) BAUACZDZBEAUBCZUJZFCZEGUCZVEVIBHZAUDCZVEVJVKDIVGBU
    EZHZJZVIVFVKAVDBVDKZVFKZVKKZUFVNVHEEGVNVHVMFCZEVGVMFLVLUKUGZDVREJBUHVLVSUIU
    LMUMNOVEVJVKUTZIVGPJZVIVTWAVEVFVKAVDBVOVPVQUNUOWAVHREGWAVHPFCZRVGPFLQMSNOUP
    VETZVHREGWCVHWBRWCVGPFWCVEEUQDZITWAWCVEWDWCVAURAEBUSOVBQMSNVC $.

  ${
    $d G w $.  $d X w $.
    clwwlknon2.c $e |- C = ( ClWWalksNOn ` G ) $.
    $( The set of closed walks on vertex ` X ` of length ` 2 ` in a graph ` G `
       as words over the set of vertices.  (Contributed by AV, 5-Mar-2022.)
       (Revised by AV, 25-Mar-2022.) $)
    clwwlknon2 $p |- ( X C 2 ) = { w e. ( 2 ClWWalksN G ) | ( w ` 0 ) = X } $=
      ( c2 co cclwwlknon cfv cc0 cv wceq cclwwlkn crab oveqi clwwlknon eqtri )
      DFBGDFCHIZGJAKIDLAFCMGNBRDFEOACFDPQ $.

    clwwlknon2x.v $e |- V = ( Vtx ` G ) $.
    clwwlknon2x.e $e |- E = ( Edg ` G ) $.
    $( The set of closed walks on vertex ` X ` of length ` 2 ` in a graph ` G `
       as words over the set of vertices, definition of ` ClWWalksN ` expanded.
       (Contributed by Alexander van der Vekens, 19-Sep-2018.)  (Revised by AV,
       25-Mar-2022.) $)
    clwwlknon2x $p |- ( X C 2 ) = { w e. Word V | ( ( # ` w ) = 2
                      /\ { ( w ` 0 ) , ( w ` 1 ) } e. E /\ ( w ` 0 ) = X ) } $=
      ( c2 co cfv wceq crab wcel w3a cword wa anbi1i bitri cv cclwwlkn chash c1
      cc0 cpr clwwlknon2 cvtx cedg clwwlkn2 3anan12 eqcomi wrdeqi eleq2i df-3an
      anass anbi2i bitr2i anbi12i rabbia2 eqtri ) FJBKUEAUAZLZFMZAJDUBKZNVBUCLJ
      MZVCUDVBLUFZCOZVDPZAEQZNABDFGUGVDVIAVEVJVBVEOZVDRVFVBDUHLZQZOZVGDUILZOZPZ
      VDRZVBVJOZVIRZVKVQVDDVBUJSVRVNVFVPRZRZVDRZVTVQWBVDVFVNVPUKSWCVNWAVDRZRVTV
      NWAVDUPVNVSWDVIVMVJVBVLEEVLHULUMUNVIVFVHRZVDRWDVFVHVDUOWEWAVDVHVPVFCVOVGI
      UNUQSURUSTTTUTVA $.

    $d E w $.  $d V w $.  $d Y w $.
    $( Sufficient conditions of a doubleton word to represent a closed walk on
       vertex ` X ` of length ` 2 ` .  (Contributed by AV, 11-May-2022.) $)
    s2elclwwlknon2 $p |- ( ( X e. V /\ Y e. V /\ { X , Y } e. E )
                           -> <" X Y "> e. ( X C 2 ) ) $=
      ( vw wcel cpr w3a chash cfv c2 wceq cc0 c1 3adant3 cs2 cword co s2len a1i
      s2cl s2fv0 adantr s2fv1 adantl preq12d eqcomd eleq1d biimp3a 3jca fveqeq2
      wa cv fveq1 eqeq1d 3anbi123d clwwlknon2x elrab2 sylanbrc ) EDKZFDKZEFLZBK
      ZMZEFUAZDUBZKZVJNOPQZRVJOZSVJOZLZBKZVNEQZMZVJEPAUCZKVEVFVLVHEFDUFTVIVMVQV
      RVMVIEFUDUEVEVFVHVQVEVFUQZVGVPBWAVPVGWAVNEVOFVEVRVFEFDUGUHZVFVOFQVEEFDUIU
      JUKULUMUNVEVFVRVHWBTUOJURZNOPQZRWCOZSWCOZLZBKZWEEQZMVSJVJVKVTWCVJQZWDVMWH
      VQWIVRWCVJPNUPWJWGVPBWJWEVNWFVORWCVJUSZSWCVJUSUKUMWJWEVNEWKUTVAJABCDEGHIV
      BVCVD $.
  $}

  ${
    $d G w $.  $d X w $.
    $( In a ` K `-regular graph ` G ` , there are ` K ` closed walks on vertex
       ` X ` of length ` 2 ` .  (Contributed by Alexander van der Vekens,
       19-Sep-2018.)  (Revised by AV, 28-May-2021.)  (Revised by AV,
       25-Feb-2022.)  (Proof shortened by AV, 25-Mar-2022.) $)
    clwwlknon2num $p |- ( ( G RegUSGraph K /\ X e. ( Vtx ` G ) )
                             -> ( # ` ( X ( ClWWalksNOn ` G ) 2 ) ) = K ) $=
      ( vw crusgr wbr cvtx cfv wcel wa c2 cclwwlknon co chash wceq cc0 w3a crab
      cv eqid c1 cpr cedg cword clwwlknon2x fveq2d 3ancomb rabbii rusgrnumwrdl2
      a1i fveq2i eqtr3id eqtrd ) ABEFCAGHZIJZCKALHZMZNHDSZNHKOZPURHZUAURHUBAUCH
      ZIZUTCOZQZDUNUDZRZNHZBUOUQVFNUQVFOUODUPVAAUNCUPTUNTZVATUEUJUFUOVGUSVCVBQZ
      DVERZNHBVJVFNVIVDDVEUSVCVBUGUHUKDCABUNVHUIULUM $.
  $}

  ${
    $d G i $.  $d N i $.  $d W i $.  $d X i $.
    clwwlknonwwlknonb.v $e |- V = ( Vtx ` G ) $.
    $( A word over vertices represents a closed walk of a fixed length ` N ` on
       vertex ` X ` iff the word concatenated with ` X ` represents a walk of
       length ` N ` on ` X ` and ` X ` .  This theorem would not hold for
       ` N = 0 ` and ` W = (/) ` , see ~ clwwlknwwlksnb .  (Contributed by AV,
       4-Mar-2022.)  (Revised by AV, 27-Mar-2022.) $)
    clwwlknonwwlknonb $p |- ( ( W e. Word V /\ N e. NN )
                  -> ( W e. ( X ( ClWWalksNOn ` G ) N )
                       <-> ( W ++ <" X "> ) e. ( X ( N WWalksNOn G ) X ) ) ) $=
      ( vi wcel cn wa cfv co cc0 wceq adantl wi cvv syl imp ex cword cclwwlknon
      cs1 cconcat cwwlksn w3a cwwlksnon cclwwlkn isclwwlknon s1eq oveq2d eleq1d
      3anan32 biimpac chash fvex eleq1 mpbii c1 caddc cpr cedg cfzo wral wwlknp
      cv eqid simprrl simpl anim2i ancomd ccats1alpha simpr syl6bi com12 adantr
      wb cn0 nnnn0 ccatws1lenp1b sylan2 biimpd eqcomd 3jca 3adant3 expd syl5com
      sylbid com13 imp32 ccats1val2 ccat1st1st fveq1d eqeq1d simprr eqtrd jca31
      syl5ibcom simprl biimpcd jca lbfzo0 biimpri ad2antll mpd ccats1val1 com3r
      anim2d impcom biimparc ad2antrr syldc impbid clwwlknwwlksnb anbi1d bitr4d
      bitr4id wwlknon bitr4di ) DCUAZHZBIHZJZDEBAUBKLHZDEUCZUDLZBAUELZHZMYFKZEN
      ZBYFKENZUFZYFEEBAUGLLHYCYDDBAUHLHZMDKZENZJZYLABDEUIYCYLDYNUCZUDLZYGHZYOJZ
      YPYCYLYHYKJZYJJZYTYHYJYKUMYCYTUUBYCYTUUBYCYTJZYHYKYJYTYHYCYOYSYHYOYRYFYGY
      OYQYEDUDYNEUJUKZULZUNOUUCYAECHZBDUOKZNZUFZYKYCYSYOUUIYOYSYCUUIYOYSYHYCUUI
      PZUUEYOEQHZYHUUJYOYNQHUUKMDUPYNEQUQURYHUUKYCUUIYHYFXTHZYFUOKBUSUTLNZGVFZY
      FKUUNUSUTLYFKVAAVBKZHGMBVCLVDZUFZUUKYCJZUUIPZGUUOABCYFFUUOVGVEZUULUUMUUSU
      UPUULUUMJZUURUUIUVAUURJZYAUUFUUHUVAUUKYAYBVHUVAUURUUFUULUURUUFPUUMUURUULU
      UFUURUULYAUUFJZUUFUURYAUUKJUULUVCVQUURUUKYAYCYAUUKYAYBVIVJVKDCQCEVLRYAUUF
      VMVNVOVPSUVBUUGBUVAUURUUGBNZUUMUURUVDPUULUURUUMUVDYCUUMUVDPUUKYCUUMUVDYBY
      ABVRHUUMUVDVQBVSBCDEVTWAZWBOVOOSWCWDTWERWFWGWHWIWJEBCDWKRUUCYIYNEYCYTYIYN
      NZYCMYRKZYNNZYTUVFYAUVHYBCDWLVPYOUVHUVFVQYSYOUVGYIYNYOMYRYFUUDWMWNOWRSYCY
      SYOWOWPWQTUUBYCYOYTYJUUAYCYOPUUAYCYJYOYHYCYJYOPZPYKYHYCUVIYHYCJZYJYOUVJYI
      YNEUVJYAMMUUGVCLHZJZUVFUVJYAUUHJZUVLYHYCUVMYHUUQYCUVMPZUUTUULUUMUVNUUPUVA
      YCUVMUVAYCJZYAUUHUVAYAYBWSUVOUUGBUVAYCUVDUUMYCUVDPUULYCUUMUVDUVEWTOSWCXAT
      WERSUVJUUHUVKYAYBUUHUVKPYHYAUUHYBUVKUUHYBUUGIHZUVKBUUGIUQUVKUVPUUGXBXCVNV
      OXDXHXEEMCDXFRWNWBTVPXGXIYHYOYTPYKYJYHYOYTYHYOJYSYOYOYSYHUUEXJYHYOVMXATXK
      XLXMXQYCYMYSYOABCDFXNXOXPXQEEABYFXRXS $.
  $}

  $( Lemma 1 for ~ clwwlknonex2 :  Transformation of a special half-open
     integer range into a union of a smaller half-open integer range and an
     unordered pair.  This Lemma would not hold for ` N = 2 ` , i.e.,
     ` ( # `` W ) = 0 ` , because ` ( 0 ..^ ( ( ( # `` W ) + 2 ) - 1 ) ) `
     ` = ( 0 ..^ ( ( 0 + 2 ) - 1 ) ) = ( 0 ..^ 1 ) = { 0 } `
     ` =/= { -u 1 , 0 } = ( (/) u. { -u 1 , 0 } ) `
     ` = ( ( 0 ..^ ( 0 - 1 ) ) u. { ( 0 - 1 ) , 0 } ) `
     ` = ( ( 0 ..^ ( ( # `` W ) - 1 ) ) `
     ` u. { ( ( # `` W ) - 1 ) , ( # `` W ) } ) ` .  (Contributed by AV,
     22-Sep-2018.)  (Revised by AV, 26-Jan-2022.) $)
  clwwlknonex2lem1 $p |- ( ( N e. ( ZZ>= ` 3 ) /\ ( # ` W ) = ( N - 2 ) )
                            -> ( 0 ..^ ( ( ( # ` W ) + 2 ) - 1 ) )
                               = ( ( 0 ..^ ( ( # ` W ) - 1 ) )
                                   u. { ( ( # ` W ) - 1 ) , ( # ` W ) } ) ) $=
    ( c3 cuz cfv wcel c2 cmin co wceq cc0 caddc c1 cfzo cpr cun 2cnd adantr cn0
    cc chash wa eluzelcn subcld eleq1 adantl mpbird 1cnd addsubd oveq1 uznn0sub
    oveq2d subsub4d 2p1e3 oveq2i eqtrdi nn0uz eqcomi 3eltr4d eqeltrd fzosplitpr
    wb a1i syl npcand preq2d uneq2d 3eqtrd ) ACDEFZBUAEZAGHIZJZUBZKVJGLIMHIZNIK
    VJMHIZGLIZNIZKVONIZVOVOMLIZOZPZVRVOVJOZPVMVNVPKNVMVJGMVMVJTFZVKTFZVIWDVLVIA
    GCAUCZVIQZUDRVLWCWDVBVIVJVKTUEUFUGZVMQVMUHZUIULVMVOKDEZFVQWAJVMVOVKMHIZWIVL
    VOWJJVIVJVKMHUJUFVIWJWIFVLVIACHIZSWJWICAUKVIWJAGMLIZHIWKVIAGMWEWFVIUHUMWLCA
    HUNUOUPWISJVISWIUQURVCUSRUTKVOVAVDVMVTWBVRVMVSVJVOVMVJMWGWHVEVFVGVH $.

  ${
    $d E i $.  $d V i $.  $d W i $.  $d X i $.  $d Y i $.
    clwwlknonex2.v $e |- V = ( Vtx ` G ) $.
    clwwlknonex2.e $e |- E = ( Edg ` G ) $.
    $( Lemma 2 for ~ clwwlknonex2 :  Transformation of a walk and two edges
       into a walk extended by two vertices/edges.  (Contributed by AV,
       22-Sep-2018.)  (Revised by AV, 27-Jan-2022.) $)
    clwwlknonex2lem2 $p |- ( ( ( ( X e. V /\ Y e. V /\ N e. ( ZZ>= ` 3 ) )
                   /\ ( ( W e. Word V /\ A. i e. ( 0 ..^ ( ( # ` W ) - 1 ) )
                                         { ( W ` i ) , ( W ` ( i + 1 ) ) } e. E
                   /\ { ( lastS ` W ) , ( W ` 0 ) } e. E )
                   /\ ( # ` W ) = ( N - 2 ) /\ ( W ` 0 ) = X ) )
                   /\ { X , Y } e. E )
               -> A. i e. ( ( 0 ..^ ( ( # ` W ) - 1 ) )
                            u. { ( ( # ` W ) - 1 ) , ( # ` W ) } )
                  { ( ( ( W ++ <" X "> ) ++ <" Y "> ) ` i ) ,
                    ( ( ( W ++ <" X "> ) ++ <" Y "> ) ` ( i + 1 ) ) } e. E ) $=
      ( wcel cfv c1 co cpr cmin wceq wa wi adantr c3 cuz w3a cword cv caddc cc0
      chash cfzo wral clsw c2 cs1 cconcat cun cn0 clt wbr simpl elfzonn0 adantl
      lencl cn elfzo0 nn0re peano2rem syl 3jca ltm1d lttr expcomd sylc impancom
      cr 3adant2 syl5com imp ccat2s1fvw syl3anc eqcomd peano2nn0 1red ltaddsubd
      sylbi biimprd mpan9 adantlr preq12d eleq1d ralbidva biimpd 3ad2ant1 com12
      3adant3 a1dd imp31 ax-1 oveq1 eluzelcn 2cnd 1cnd subsub4d oveq2d uznn0sub
      2p1e3 eqeltrd ancoms ex cc nn0cn ax-1cn npcan sylancl fveq2d simp1l eqidd
      a1i simp2l ccatw2s1p1 eqtrd expcom com23 exp520 com14 3ad2ant3 syld com25
      3imp impcom simprl eqid ccatw2s1p2 mpanl2 com13 simpr ovex fveq2 sylanbrc
      lsw fvoveq1 fvex ralpr ralunb ) GEKZHEKZDUAUBLKZUCZFEUDZKZAUEZFLZUUJMUFNZ
      FLZOZBKZAUGFUHLZMPNZUINZUJZFUKLZUGFLZOZBKZUCZUUPDULPNZQZUVAGQZUCZRZGHOZBK
      ZRZUUJFGUMUNNHUMUNNZLZUULUVMLZOZBKZAUURUJZUVQAUUQUUPOZUJZUVQAUURUVSUOUJUU
      GUVHUVKUVRUUDUUEUVHUVKUVRSSUUFUUDUUERZUVHUVRUVKUVHUWAUVRUVDUVFUWAUVRSZUVG
      UUIUUSUWBUVCUUIUWAUUSUVRUUIUWARZUUSUVRUWCUUOUVQAUURUWCUUJUURKZRZUUNUVPBUW
      EUUKUVNUUMUVOUWEUVNUUKUWEUUIUUJUPKZUUJUUPUQURZUVNUUKQUWCUUIUWDUUIUWAUSZTZ
      UWDUWFUWCUUJUUQUTVAZUWCUWDUWGUUIUWDUWGSUWAUUIUUPUPKZUWDUWGEFVBZUWDUWFUUQV
      CKZUUJUUQUQURZUCZUWKUWGSZUUJUUQVDZUWFUWNUWPUWMUWFUWKUWNUWGUWFUWKRZUUJVNKZ
      UUQVNKZUUPVNKZUCZUUQUUPUQURZUWNUWGSUWRUWSUWTUXAUWFUWSUWKUUJVETZUWKUWTUWFU
      WKUXAUWTUUPVEZUUPVFVGVAUWKUXAUWFUXEVAZVHUWKUXCUWFUWKUUPUXEVIVAUXBUWNUXCUW
      GUUJUUQUUPVJVKVLVMVOWDVPTVQUUJEFGHVRVSVTUWEUVOUUMUWEUUIUULUPKZUULUUPUQURZ
      UVOUUMQUWIUWEUWFUXGUWJUUJWAVGUUIUWDUXHUWAUUIUWKUWDUXHUWLUWDUWOUWKUXHSZUWQ
      UWFUWNUXIUWMUWFUWKUWNUXHUWRUXHUWNUWRUUJMUUPUXDUWRWBUXFWCWEVMVOWDWFWGUULEF
      GHVRVSVTWHWIWJWKVMWNWLWMWOWNWPUVLUUQUVMLZUUQMUFNZUVMLZOZBKZUUPUVMLZUUPMUF
      NUVMLZOZBKZUVTUVIUVKUXNUVHUUGUVKUXNSZUVDUVFUVGUUGUXSSZUUIUVCUVFUVGUXTSSUU
      SUUGUVFUVGUUIUVCRZUXSUUGUVKUVGUYAUVFUXNUUGUVKUWAUVGUYAUVFUXNSZSSZUUDUUEUV
      KUWASUUFUWAUVKWQWNUUFUUDUWAUYCSUUEUYAUWAUVGUUFUYBUYAUWAUVGUUFUVFUXNUYAUWA
      UVGUCZUUFUVFRZRZUXMUUQFLZGOZBUYFUXJUYGUXLGUYFUUIUUQUPKZUXCUCZUXJUYGQUYDUY
      EUYJUYAUWAUYEUYJSZUVGUUIUYKUVCUUIUYEUYJUUIUYERZUUIUYIUXCUUIUYEUSUYEUYIUUI
      UVFUUFUYIUVFUUFRUUQUVEMPNZUPUVFUUQUYMQUUFUUPUVEMPWRTUUFUYMUPKUVFUUFUYMDUL
      MUFNZPNZUPUUFDULMUADWSUUFWTUUFXAXBUUFUYODUAPNUPUUFUYNUADPUYNUAQUUFXEXQXCU
      ADXDXFXFVAXFXGVAUYLUUPUUIUXAUYEUUIUWKUXAUWLUXEVGTVIVHXHTWLVQUUQEFGHVRVGUY
      DUXLGQUYEUYDUXLUXOGUYDUXKUUPUVMUYAUWAUXKUUPQZUVGUUIUYPUVCUUIUWKUYPUWLUWKU
      UPXIKMXIKUYPUUPXJXKUUPMXLXMVGTWLXNUYDUUIUUPUUPQZUUDUXOGQZUUIUVCUWAUVGXOUY
      DUUPXPUYAUUDUUEUVGXRUUPEFGHXSZVSXTTWHUYDUYHBKZUYEUYAUVGUYTUWAUUIUVCUVGUYT
      UUIUVGUVCUYTUVGUUIUVCUYTSUVGUUIRZUVCUYTVUAUVBUYHBVUAUUTUYGUVAGUUIUUTUYGQU
      VGFUUHYSVAUVGUUIUSWHWIWKYAYBWPVOTXFYCYDYEYFYGYDVOYHYIVQUVLUXQUVJBUUGUVHUV
      KUXQUVJQZUUDUUEUVHUVKVUBSZSUUFUVHUWAVUCUVDUVFUWAVUCSZUVGUUIUUSVUDUVCUVKUW
      AUUIVUBUWAUUIVUBSSUVKUUIUWAVUBUWCUXOGUXPHUWCUUIUYQUUDUYRUWHUWCUUPXPUUIUUD
      UUEYJUYSVSUUIUYQUWAUXPHQUUPYKUUPEFGHYLYMWHYAXQYNWLWLWMWNWPUVIUVKYOXFUVQUX
      NUXRAUUQUUPUUPMPYPFUHUUAUUJUUQQZUVPUXMBVUEUVNUXJUVOUXLUUJUUQUVMYQUUJUUQMU
      VMUFYTWHWIUUJUUPQZUVPUXQBVUFUVNUXOUVOUXPUUJUUPUVMYQUUJUUPMUVMUFYTWHWIUUBY
      RUVQAUURUVSUUCYR $.

    $d G i $.
    $( Extending a closed walk ` W ` on vertex ` X ` by an additional edge
       (forth and back) results in a closed walk.  (Contributed by AV,
       22-Sep-2018.)  (Revised by AV, 25-Feb-2022.)  (Proof shortened by AV,
       28-Mar-2022.) $)
    clwwlknonex2 $p |- ( ( ( X e. V /\ Y e. V /\ N e. ( ZZ>= ` 3 ) )
                            /\ { X , Y } e. E
                            /\ W e. ( X ( ClWWalksNOn ` G ) ( N - 2 ) ) )
                   -> ( ( W ++ <" X "> ) ++ <" Y "> ) e. ( N ClWWalksN G ) ) $=
      ( vi wcel cfv w3a cpr c2 cmin co c1 cc0 wceq cuz cclwwlknon cconcat cword
      c3 cs1 cclwwlkn cv caddc chash cfzo wral clsw wa wi wne wb uz3m2nn nnne0d
      3ad2ant3 clwwlknonel syl simpr11 simpll1 simpll2 syl3anc clwwlknonex2lem2
      adantr ccatw2s1cl simp11 ad2antlr ccatw2s1len oveq1d oveq2d simp3 anim12i
      cun simp2 clwwlknonex2lem1 eqtrd mpbird ccatws1cl lswccats1 stoic3 nngt0d
      raleqdv clt wbr breq2 syl5ibr 3ad2ant2 com12 imp ccat2s1fst syl2anc prcom
      preq12d eleq1i biimpi adantl preq2 eleq1d eqeltrd 3ad2ant1 oveq1 eluzelcn
      3jca cc 2cn npcan sylancl sylan9eq ex jca exp31 sylbid com23 cn eluzge3nn
      3imp isclwwlknx ) FDKZGDKZCUEUALKZMZFGNZAKZEFCOPQZBUBLQKZMEFUFUCQZGUFUCQZ
      CBUGQKZYKDUDZKZJUHZYKLYORUIQZYKLNAKZJSYKUJLZRPQZUKQZULZYKUMLZSYKLZNZAKZMZ
      YRCTZUNZYEYGYIUUHYEYIYGUUHYEYIEYMKZYOELYPELNAKJSEUJLZRPQZUKQZULZEUMLSELZN
      AKZMZUUJYHTZUUNFTZMZYGUUHUOYEYHSUPZYIUUSUQYDYBUUTYCYDYHCURZUSUTJABYHDEFHI
      VAVBYEUUSYGUUHYEUUSUNZYGUNZUUFUUGUVCYNUUAUUEUVCUUIYBYCYNUVBUUIYGUUIUUMUUO
      UUQUURYEVCVHYBYCYDUUSYGVDZYBYCYDUUSYGVEZDEFGVIVFUVCUUAYQJUULUUKUUJNVQZULJ
      ABCDEFGHIVGUVCYQJYTUVFUVCYTSUUJOUIQZRPQZUKQZUVFUVCYSUVHSUKUVCYRUVGRPUVCUU
      IYRUVGTZUUSUUIYEYGUUIUUMUUOUUQUURVJVKZDEFGVLZVBVMVNUVCYDUUQUNZUVIUVFTUVBU
      VMYGYEYDUUSUUQYBYCYDVOUUPUUQUURVRVPVHCEVSVBVTWFWAUVCUUDGUUNNZAUVCUUBGUUCU
      UNUVCUUIYBYCUUBGTZUVKUVDUVEUUIYBYJYMKYCUVODEFWBGDYJWCWDVFUVCUUISUUJWGWHZU
      UCUUNTUVKUVBUVPYGYEUUSUVPYDYBUUSUVPUOYCUUSYDUVPUUQUUPYDUVPUOUURYDUVPUUQSY
      HWGWHYDYHUVAWEUUJYHSWGWIWJWKWLUTWMVHDEFGWNWOWQUVCUVNAKZGFNZAKZYGUVSUVBYGU
      VSYFUVRAFGWPWRWSWTUUSUVQUVSUQZYEYGUURUUPUVTUUQUURUVNUVRAUUNFGXAXBUTVKWAXC
      XGUVCYRUVGCUUSUVJYEYGUUPUUQUVJUURUUIUUMUVJUUOUVLXDXDVKUVBUVGCTZYGYEUUSUWA
      YDYBUUSUWAUOYCUUSYDUWAUUQUUPYDUWAUOUURUUQYDUWAUUQYDUVGYHOUIQZCUUJYHOUIXEY
      DCXHKOXHKUWBCTUECXFXICOXJXKXLXMWKWLUTWMVHVTXNXOXPXQXTYEYGYLUUHUQZYIYDYBUW
      CYCYDCXRKUWCCXSJABCDYKHIYAVBUTXDWA $.

    $( Extending a closed walk ` W ` on vertex ` X ` by an additional edge
       (forth and back) results in a closed walk on vertex ` X ` .
       (Contributed by AV, 17-Apr-2022.) $)
    clwwlknonex2e $p |- ( ( ( X e. V /\ Y e. V /\ N e. ( ZZ>= ` 3 ) )
                            /\ { X , Y } e. E
                            /\ W e. ( X ( ClWWalksNOn ` G ) ( N - 2 ) ) )
                          -> ( ( W ++ <" X "> ) ++ <" Y "> )
                             e. ( X ( ClWWalksNOn ` G ) N ) ) $=
      ( wcel cfv w3a co cs1 cconcat cclwwlkn cc0 wceq wa isclwwlknon c3 cuz cpr
      c2 cmin cclwwlknon clwwlknonex2 cword chash clt wbr cclwwlk isclwwlkn cvv
      wi wne clwwlkbp simp2d clwwlkgt0 jca adantr sylbi ad2antrl ccat2s1fst syl
      c0 simprr eqtrd ex syl5bi a1d 3imp sylanbrc ) FDJGDJCUAUBKJLZFGUCAJZEFCUD
      UEMZBUFKZMJZLEFNOMGNOMZCBPMJQVSKZFRZVSFCVQMJABCDEFGHIUGVNVOVRWAVNVRWAUOVO
      VREVPBPMJZQEKZFRZSZVNWABVPEFTVNWEWAVNWESZVTWCFWFEDUHJZQEUIKZUJUKZSZVTWCRW
      BWJVNWDWBEBULKJZWHVPRZSWJBVPEUMWKWJWLWKWGWIWKBUNJWGEVFUPBDEHUQURBEUSUTVAV
      BVCDEFGVDVEVNWBWDVGVHVIVJVKVLBCVSFTVM $.
  $}

  ${
    $d G w x y $.  $d N w x y $.  $d V x y $.
    $( The sets of closed walks on different vertices are disjunct.
       (Contributed by Alexander van der Vekens, 7-Oct-2018.)  (Revised by AV,
       28-May-2021.)  (Revised by AV, 3-Mar-2022.)  (Proof shortened by AV,
       28-Mar-2022.) $)
    clwwlknondisj $p |- Disj_ x e. V ( x ( ClWWalksNOn ` G ) N ) $=
      ( vy vw cv cclwwlknon cfv co wdisj weq cin c0 wceq wral wn crab clwwlknon
      syl5eq wo cc0 cclwwlkn ineq12i wa inrab eqtr2 con3i ralrimivw rabeq0 orri
      sylibr rgen2w oveq1 disjor mpbir ) ADAGZCBHIZJZKAELZUSEGZCURJZMZNOZUAZEDP
      ADPVEAEDDUTVDUTQZVCUBFGIZUQOZFCBUCJZRZVGVAOZFVIRZMZNUSVJVBVLFBCUQSFBCVASU
      DVFVMVHVKUEZFVIRZNVHVKFVIUFVFVNQZFVIPVONOVFVPFVIVNUTVGUQVAUGUHUIVNFVIUJUL
      TTUKUMDUSVBAEUQVACURUNUOUP $.

    $d G i x y $.  $d N i $.
    clwwlknun.v $e |- V = ( Vtx ` G ) $.
    $( The set of closed walks of fixed length ` N ` in a simple graph ` G ` is
       the union of the closed walks of the fixed length ` N ` on each of the
       vertices of graph ` G ` .  (Contributed by Alexander van der Vekens,
       7-Oct-2018.)  (Revised by AV, 28-May-2021.)  (Revised by AV,
       3-Mar-2022.)  (Proof shortened by AV, 28-Mar-2022.) $)
    clwwlknun $p |- ( G e. USGraph
              -> ( N ClWWalksN G ) = U_ x e. V ( x ( ClWWalksNOn ` G ) N ) ) $=
      ( vy vi cusgr wcel co cv cfv wrex cc0 wceq wa c1 cpr ex simpr isclwwlknon
      cclwwlkn cclwwlknon ciun eliun simpl rexlimivw cword chash cedg cmin cfzo
      rexbii caddc wral clsw w3a clwwlknp anim2i wi usgrpredgv syl6com 3ad2ant3
      eqid impcom eqcomd biantrud bicomd rspcedv adantld impbid2 syl5bb bitr2id
      mpcom eqrdv ) BHIZFCBUBJZADAKZCBUCLJZUDZFKZVTIWAVSIZADMZVPWAVQIZAWADVSUEW
      CWDNWALZVROZPZADMZVPWDWBWGADBCWAVRUAUMVPWHWDWGWDADWDWFUFUGVPWDWHVPWADUHIW
      AUILCOPZGKZWALWJQUNJWALRBUJLZIGNCQUKJULJUOZWAUPLZWERWKIZUQZPZVPWDPWHWDWOV
      PGWKBCDWAEWKVDZURUSWPWDWHVPWPWGWDAWEDWOVPWEDIZWNWIVPWRUTWLVPWNWMDIZWRPZWR
      VPWNWTWKBWMWEDWQEVASWSWRTVBVCVEWPVRWEOZPZWDWGXBWFWDXBVRWEWPXATVFVGVHVIVJV
      NSVKVLVMVO $.
  $}

  ${
    $d G f w x y $.  $d G i w $.  $d N f x y $.  $d N i w $.  $d V f $.
    $d X f w y $.
    $( There is a bijection between the set of closed walks of a fixed length
       ` N ` on a fixed vertex ` X ` represented by walks (as word) and the set
       of closed walks (as words) of the fixed length ` N ` on the fixed vertex
       ` X ` .  The difference between these two representations is that in the
       first case the fixed vertex is repeated at the end of the word, and in
       the second case it is not.  (Contributed by Alexander van der Vekens,
       29-Sep-2018.)  (Revised by AV, 26-Apr-2021.)  (Revised by AV,
       7-Jul-2022.)  (Proof shortened by AV, 2-Nov-2022.) $)
    clwwlkvbij $p |- ( ( X e. V /\ N e. NN )
               -> E. f f : { w e. ( N WWalksN G ) | ( ( lastS ` w ) = ( w ` 0 )
                                                      /\ ( w ` 0 ) = X ) }
                           -1-1-onto-> ( X ( ClWWalksNOn ` G ) N ) ) $=
      ( vx vy wcel wa cv cfv cc0 wceq co crab wf1o eqid wb c1 vi cn cwwlksn wex
      clsw cclwwlknon cpfx cmpt cres cvv ovex mptrabex resex cclwwlkn clwwlkf1o
      w3a fveq1 eqeq1d 3ad2ant3 cvtx cword chash cfz wi fveq2 eqeq12d elrab cpr
      caddc cedg cfzo wral wwlknp simpll cuz cz nnz uzid peano2uz 3syl elfz1end
      biimpi fzss2 sselda syl2anc adantl oveq2 eleq2d adantr mpbird jca 3adant3
      ex syl sylbi impcom pfxfv0 bitrd f1oresrab clwwlknon f1oeq3d f1oeq1 mpsyl
      a1i spcegv cab df-rab anass bicomi abbii anbi1i eqtr4i 3eqtri f1oeq2 mp1i
      exbidv ) FEIZDUBIZJZAKZUELZMXTLZNZYBFNZJZADCUCOZPZFDCUFLOZBKZQZBUDYDAGKZU
      ELZMYKLZNZGYFPZPZYHYIQZBUDZAYOXTDUGOZUHZYPUIZUJIXSYPYHUUAQZYRYTYPYNAGYFYS
      DCUCUKULUMXSUUBYPMHKZLZFNZHDCUNOZPZUUAQZXRUUHXQXRYDUUEAHYOUUFYSYTYTRZGAYO
      YTCDYORUUIUOXRXTYOIZUUCYSNZUPUUEMYSLZFNZYDUUKXRUUEUUMSUUJUUKUUDUULFMUUCYS
      UQURUSXRUUJUUMYDSUUKXRUUJJZUULYBFUUNXTCUTLZVAIZDTXTVBLZVCOZIZJZUULYBNUUJX
      RUUTUUJXTYFIZYCJZXRUUTVDZYNYCGXTYFYKXTNYLYAYMYBYKXTUEVEMYKXTUQVFVGZUVAUVC
      YCUVAUUPUUQDTVIOZNZUAKZXTLUVGTVIOXTLVHCVJLZIUAMDVKOVLZUPUVCUAUVHCDUUOXTUU
      ORUVHRVMUUPUVFUVCUVIUUPUVFJZXRUUTUVJXRJZUUPUUSUUPUVFXRVNUVKUUSDTUVEVCOZIZ
      XRUVMUVJXRUVEDVOLZIZDTDVCOZIZUVMXRDVPIDUVNIUVODVQDVRDDVSVTXRUVQDWAWBUVOUV
      PUVLDDTUVEWCWDWEWFUVJUUSUVMSZXRUVFUVRUUPUVFUURUVLDUUQUVETVCWGWHWFWIWJWKWM
      WLWNWIWOWPDUUOXTWQWNURWLWRWSWFXSYHUUGYPUUAYHUUGNXSHCDFWTXDXAWJYQUUBBUUAUJ
      YPYHYIUUAXBXEXCXSYJYQBYGYPNYJYQSXSYGUVAYEJZAXFUVBYDJZAXFZYPYEAYFXGUVSUVTA
      UVTUVSUVAYCYDXHXIXJUWAUUJYDJZAXFYPUVTUWBAUVBUUJYDUUJUVBUVDXIXKXJYDAYOXGXL
      XMYGYPYHYIXNXOXPWJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Examples for walks, trails and paths
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d G k $.  $d S k $.
    $( The empty set (empty sequence of edges) is an s-walk of edges for all s.
       (Contributed by AV, 4-Jan-2021.) $)
    0ewlk $p |- ( ( G e. _V /\ S e. NN0* ) -> (/) e. ( G EdgWalks S ) ) $=
      ( vk cvv wcel cxnn0 wa c0 cewlks co cfv c1 chash cle wbr cfzo wral cc0 cz
      wb ciedg cdm cword cv cmin wrd0 ral0 hash0 oveq2i wceq 0le1 1z fzon mp2an
      cin 0z mpbi eqtri raleqi mpbir pm3.2i 0ex eqid isewlk mp3an3 mpbiri ) BDE
      ZAFEZGHBAIJEZHBUAKZUBZUCEZACUDZLUEJHKVJKVMHKVJKUOMKNOZCLHMKZPJZQZGZVLVQVK
      UFVQVNCHQVNCUGVNCVPHVPLRPJZHVORLPUHUIRLNOZVSHUJZUKLSERSEVTWATULUPLRUMUNUQ
      URUSUTVAVGVHHDEVIVRTVBADCHBVJDVJVCVDVEVF $.

    $d I k $.
    $( A sequence of 1 edge is an s-walk of edges for all s.  (Contributed by
       AV, 5-Jan-2021.) $)
    1ewlk $p |- ( ( G e. _V /\ S e. NN0* /\ I e. dom ( iEdg ` G ) )
                  -> <" I "> e. ( G EdgWalks S ) ) $=
      ( vk cvv wcel cxnn0 ciedg cfv cdm w3a cs1 cewlks co c1 cfzo wral 3ad2ant3
      chash c0 cword cv cmin cin cle wbr s1cl ral0 wceq s1len oveq2i fzo0 eqtri
      a1i raleqdv mpbiri wa wb eqid isewlk syl3an3 mpbir2and ) BEFZAGFZCBHIZJZF
      ZKCLZBAMNFZVHVFUAZFZADUBZOUCNVHIVEIVLVHIVEIUDSIUEUFZDOVHSIZPNZQZVGVCVKVDC
      VFUGZRVGVCVPVDVGVPVMDTQVMDUHVGVMDVOTVOTUIVGVOOOPNTVNOOPCUJUKOULUMUNUOUPRV
      GVCVDVKVIVKVPUQURVQAVJDVHBVEEVEUSUTVAVB $.
  $}

  ${
    $d G k $.  $d P k $.
    0wlk.v $e |- V = ( Vtx ` G ) $.
    $( A pair of an empty set (of edges) and a second set (of vertices) is a
       walk iff the second set contains exactly one vertex.  (Contributed by
       Alexander van der Vekens, 30-Oct-2017.)  (Revised by AV, 3-Jan-2021.)
       (Revised by AV, 30-Oct-2021.) $)
    0wlk $p |- ( G e. U
                  -> ( (/) ( Walks ` G ) P <-> P : ( 0 ... 0 ) --> V ) ) $=
      ( vk wcel c0 cwlks cfv cc0 cfz co wf wceq cfzo wral wa hash0 oveq2i ciedg
      wbr cdm cword chash cv c1 caddc csn cpr wss wif w3a eqid iswlkg ral0 fzo0
      eqtri raleqi mpbir biantru eqcomi feq2i wrd0 biantrur bitri df-3an bitrdi
      3bitr4ri ) CBGHACIJUBHCUAJZUCZUDGZKHUEJZLMZDANZFUFZAJZVPUGUHMAJZOVPHJVJJZ
      VQUIOVQVRUJVSUKULZFKVMPMZQZUMZKKLMZDANZAFHCVJDBEVJUNUOVLVORZWFWBRWEWCWBWF
      WBVTFHQVTFUPVTFWAHWAKKPMHVMKKPSTKUQURUSUTVAWEVOWFWDVNDAKVMKLVMKSVBTVCVLVO
      VKVDVEVFVLVOWBVGVIVH $.

    $( A pair of an empty set (of edges) and a sequence of one vertex is a walk
       (of length 0).  (Contributed by AV, 3-Jan-2021.)  (Revised by AV,
       23-Mar-2021.)  (Proof shortened by AV, 30-Oct-2021.) $)
    is0wlk $p |- ( ( P = { <. 0 , N >. } /\ N e. V )
                    -> (/) ( Walks ` G ) P ) $=
      ( cc0 cop csn wceq wcel wa c0 cwlks cfv wbr cfz co wf 1fv cvv ancoms 0wlk
      simpld wb 1vgrex adantl syl mpbird ) AFCGHIZCDJZKZLABMNOZFFPQDARZUKUMFANC
      IZUJUIUMUNKACDSUAUCUKBTJZULUMUDUJUOUIBCDEUEUFATBDEUBUGUH $.

    $( Lemma 1 for ~ 0wlkon and ~ 0trlon .  (Contributed by AV, 3-Jan-2021.)
       (Revised by AV, 23-Mar-2021.) $)
    0wlkonlem1 $p |- ( ( P : ( 0 ... 0 ) --> V /\ ( P ` 0 ) = N )
                       -> ( N e. V /\ N e. V ) ) $=
      ( cc0 cfz co wf cfv wceq wa wcel id cn0 0nn0 0elfz mp1i ffvelrnd adantr
      wb eleq1 eqcoms adantl mpbird jccir ) FFGHZDAIZFAJZCKZLZCDMZULUKULUIDMZUH
      UMUJUHUGDFAUHNFOMFUGMUHPFQRSTUJULUMUAZUHUNCUICUIDUBUCUDUEULNUF $.

    $( Lemma 2 for ~ 0wlkon and ~ 0trlon .  (Contributed by AV, 3-Jan-2021.)
       (Revised by AV, 23-Mar-2021.) $)
    0wlkonlem2 $p |- ( ( P : ( 0 ... 0 ) --> V /\ ( P ` 0 ) = N )
                       -> P e. ( V ^pm ( 0 ... 0 ) ) ) $=
      ( cc0 cfz co cvv wcel wf cfv wceq wa cpm ovex cvtx fvexi simpl fpmg
      mp3an12i ) FFGHZIJDIJUBDAKZFALCMZNUCADUBOHJFFGPDBQERUCUDSUBDAIITUA $.

    $( A walk of length 0 from a vertex to itself.  (Contributed by Alexander
       van der Vekens, 2-Dec-2017.)  (Revised by AV, 3-Jan-2021.)  (Revised by
       AV, 23-Mar-2021.)  (Proof shortened by AV, 30-Oct-2021.) $)
    0wlkon $p |- ( ( P : ( 0 ... 0 ) --> V /\ ( P ` 0 ) = N )
                   -> (/) ( N ( WalksOn ` G ) N ) P ) $=
      ( cc0 cfz co wf cfv wceq wa c0 cwlkson wbr cwlks chash wcel cvv wb 1vgrex
      simpl 0wlkonlem1 adantr 0wlk mpbird simpr hash0 fveq2i syl5eq cpm w3a 0ex
      3syl a1i 0wlkonlem2 iswlkon syl12anc mpbir3and ) FFGHZDAIZFAJZCKZLZMACCBN
      JHOZMABPJOZVCMQJZAJZCKZVDVFVAVAVCUBVDCDRZVJLZBSRZVFVATABCDEUCZVJVLVJBCDEU
      AUDASBDEUEUNUFVAVCUGZVDVHVBCVGFAUHUIVNUJVDVKMSRZADUTUKHZRVEVFVCVIULTVMVOV
      DUMUOABCDEUPCCASMBDVPEUQURUS $.

    $( A walk of length 0 from a vertex to itself.  (Contributed by AV,
       17-Apr-2021.) $)
    0wlkons1 $p |- ( N e. V -> (/) ( N ( WalksOn ` G ) N ) <" N "> ) $=
      ( wcel cc0 cfz co cs1 wf cfv wceq c0 cwlkson wbr cop csn s1val cz 0z jctl
      wa wf1 f1sng f1f 3syl fzsn mp1i feq12d syl5ibrcom mpd s1fv 0wlkon syl2anc
      id ) BCEZFFGHZCBIZJZFURKBLMURBBANKHOUPURFBPQZLZUSBCRUPUSVAFQZCUTJZUPFSEZU
      PUBVBCUTUCVCUPVDTUAFBSCUDVBCUTUEUFVAUQVBCURUTVAUOVDUQVBLVATFUGUHUIUJUKBCU
      LURABCDUMUN $.

    $( A pair of an empty set (of edges) and a second set (of vertices) is a
       trail iff the second set contains exactly one vertex.  (Contributed by
       Alexander van der Vekens, 30-Oct-2017.)  (Revised by AV, 7-Jan-2021.)
       (Revised by AV, 30-Oct-2021.) $)
    0trl $p |- ( G e. U
                 -> ( (/) ( Trails ` G ) P <-> P : ( 0 ... 0 ) --> V ) ) $=
      ( wcel c0 cwlks cfv wbr ccnv wfun wa cc0 cfz co wf ctrls 0wlk anbi1d
      istrl funcnv0 biantru 3bitr4g ) CBFZGACHIJZGKLZMNNOPDAQZUGMGACRIJUHUEUFUH
      UGABCDESTAGCUAUGUHUBUCUD $.

    $( A pair of an empty set (of edges) and a sequence of one vertex is a
       trail (of length 0).  (Contributed by AV, 7-Jan-2021.)  (Revised by AV,
       23-Mar-2021.)  (Proof shortened by AV, 30-Oct-2021.) $)
    is0trl $p |- ( ( P = { <. 0 , N >. } /\ N e. V )
                   -> (/) ( Trails ` G ) P ) $=
      ( cc0 cop csn wceq wcel wa c0 ctrls cfv wbr cfz co wf 1fv cvv ancoms 0trl
      simpld wb 1vgrex adantl syl mpbird ) AFCGHIZCDJZKZLABMNOZFFPQDARZUKUMFANC
      IZUJUIUMUNKACDSUAUCUKBTJZULUMUDUJUOUIBCDEUEUFATBDEUBUGUH $.

    $( A trail of length 0 from a vertex to itself.  (Contributed by Alexander
       van der Vekens, 2-Dec-2017.)  (Revised by AV, 8-Jan-2021.)  (Revised by
       AV, 23-Mar-2021.)  (Proof shortened by AV, 30-Oct-2021.) $)
    0trlon $p |- ( ( P : ( 0 ... 0 ) --> V /\ ( P ` 0 ) = N )
                   -> (/) ( N ( TrailsOn ` G ) N ) P ) $=
      ( cc0 cfz co wf cfv wceq wa c0 ctrlson wbr cwlkson ctrls wcel cvv wb 0trl
      0wlkon simpl 0wlkonlem1 1vgrex adantr 3syl mpbird cpm 0wlkonlem2 istrlson
      0ex a1i syl12anc mpbir2and ) FFGHZDAIZFAJCKZLZMACCBNJHOZMACCBPJHOZMABQJOZ
      ABCDEUBUSVBUQUQURUCUSCDRZVCLZBSRZVBUQTABCDEUDZVCVEVCBCDEUEUFASBDEUAUGUHUS
      VDMSRZADUPUIHZRUTVAVBLTVFVGUSULUMABCDEUJCCASMBDVHEUKUNUO $.
  $}

  ${
    0pth.v $e |- V = ( Vtx ` G ) $.
    $( A pair of an empty set (of edges) and a second set (of vertices) is a
       path iff the second set contains exactly one vertex.  (Contributed by
       Alexander van der Vekens, 30-Oct-2017.)  (Revised by AV, 19-Jan-2021.)
       (Revised by AV, 30-Oct-2021.) $)
    0pth $p |- ( G e. W
                    -> ( (/) ( Paths ` G ) P <-> P : ( 0 ... 0 ) --> V ) ) $=
      ( wcel c0 cfv wbr c1 co cres ccnv wfun cc0 cima cin wb cz eqtri cpths cpr
      ctrls chash cfzo w3a cfz wf ispth a1i wa 3anass funcnv0 cle hash0 eqbrtri
      wceq 0le1 1z 0z eqeltri fzon mp2an mpbi reseq2i res0 cnveqi mpbir imaeq2i
      funeqi ima0 ineq2i in0 pm3.2i biantru bitr4di 0trl 3bitrd ) BDFZGABUAHIZG
      ABUCHIZAJGUDHZUEKZLZMZNZAOWBUBPZAWCPZQZGUQZUFZWAOOUGKCAUHVTWKRVSAGBUIUJVS
      WKWAWFWJUKZUKZWAWKWMRVSWAWFWJULUJWLWAWFWJWFGMZNUMWEWNWDGWDAGLGWCGAWBJUNIZ
      WCGUQZWBOJUNUOURUPJSFWBSFWOWPRUSWBOSUOUTVAJWBVBVCVDZVEAVFTVGVJVHWIWGGQGWH
      GWGWHAGPGWCGAWQVIAVKTVLWGVMTVNVOVPADBCEVQVR $.

    $( A pair of an empty set (of edges) and a second set (of vertices) is a
       simple path iff the second set contains exactly one vertex.
       (Contributed by Alexander van der Vekens, 30-Oct-2017.)  (Revised by AV,
       18-Jan-2021.)  (Revised by AV, 30-Oct-2021.) $)
    0spth $p |- ( G e. W
                     -> ( (/) ( SPaths ` G ) P <-> P : ( 0 ... 0 ) --> V ) ) $=
      ( wcel c0 ctrls cfv wbr ccnv wfun wa cc0 cfz co wf cspths 0trl csn anbi1d
      isspth fz0sn feq2i cop wceq c0ex fsn2 cnveq funeqd mpbiri simplbiim sylbi
      funcnvsn pm4.71i 3bitr4g ) BDFZGABHIJZAKZLZMNNOPZCAQZUTMGABRIJVBUQURVBUTA
      DBCESUAAGBUBVBUTVBNTZCAQZUTVAVCCAUCUDVDNAIZCFANVEUETZUFZUTNCAUGUHVGUTVFKZ
      LNVEUNVGUSVHAVFUIUJUKULUMUOUP $.
  $}

  ${
    0pthon.v $e |- V = ( Vtx ` G ) $.
    $( A path of length 0 from a vertex to itself.  (Contributed by Alexander
       van der Vekens, 3-Dec-2017.)  (Revised by AV, 20-Jan-2021.)  (Revised by
       AV, 30-Oct-2021.) $)
    0pthon $p |- ( ( P : ( 0 ... 0 ) --> V /\ ( P ` 0 ) = N )
                      -> (/) ( N ( PathsOn ` G ) N ) P ) $=
      ( cc0 cfz co wf cfv wceq wa c0 cpthson wbr ctrlson cpths wcel cvv wb mp1i
      0trlon simpl id cz 0z elfz3 ffvelrnd adantr eleq1 adantl 1vgrex 0pth 3syl
      mpbid mpbird cpm 0wlkonlem1 0wlkonlem2 jctil ispthson syl2anc mpbir2and
      0ex ) FFGHZDAIZFAJZCKZLZMACCBNJHOZMACCBPJHOZMABQJOZABCDEUBVIVLVFVFVHUCVIC
      DRZBSRVLVFTVIVGDRZVMVFVNVHVFVEDFAVFUDFUERFVERVFUFFUGUAUHUIVHVNVMTVFVGCDUJ
      UKUOBCDEULABDSEUMUNUPVIVMVMLMSRZADVEUQHZRZLVJVKVLLTABCDEURVIVQVOABCDEUSVD
      UTCCASMBDVPEVAVBVC $.

    $( A path of length 0 from a vertex to itself.  (Contributed by Alexander
       van der Vekens, 3-Dec-2017.)  (Revised by AV, 20-Jan-2021.) $)
    0pthon1 $p |- ( N e. V
                       -> (/) ( N ( PathsOn ` G ) N ) { <. 0 , N >. } ) $=
      ( wcel cc0 cfz co cop csn wf cfv wceq wa c0 cpthson wbr eqidd 1fv mpdan
      0pthon syl ) BCEZFFGHCFBIJZKFUDLBMNZOUDBBAPLHQUCUDUDMUEUCUDRUDBCSTUDABCDU
      AUB $.

    $d G f p $.  $d N f p $.
    $( For each vertex there is a path of length 0 from the vertex to itself.
       (Contributed by Alexander van der Vekens, 3-Dec-2017.)  (Revised by AV,
       21-Jan-2021.) $)
    0pthonv $p |- ( N e. V -> E. f E. p f ( N ( PathsOn ` G ) N ) p ) $=
      ( c0 cvv wcel cc0 cop csn wa cpthson cfv co wbr cv wex 0ex pm3.2i 0pthon1
      snex breq12 spc2egv mpsyl ) GHIZJCKZLZHIZMCDIGUICCBNOPZQZARZERZUKQZESASUG
      UJTUHUCUABCDFUBUOULAEGUIHHUMGUNUIUKUDUEUF $.
  $}

  ${
    0clwlk.v $e |- V = ( Vtx ` G ) $.
    $( A pair of an empty set (of edges) and a second set (of vertices) is a
       closed walk if and only if the second set contains exactly one vertex
       (in an undirected graph).  (Contributed by Alexander van der Vekens,
       15-Mar-2018.)  (Revised by AV, 17-Feb-2021.)  (Revised by AV,
       30-Oct-2021.) $)
    0clwlk $p |- ( G e. X
                   -> ( (/) ( ClWalks ` G ) P <-> P : ( 0 ... 0 ) --> V ) ) $=
      ( wcel cc0 cfv c0 chash wceq cwlks wbr wa cfz co wf cclwlks 0wlk anbi2d
      isclwlk biancomi hash0 eqcomi fveq2i biantrur 3bitr4g ) BDFZGAHIJHZAHKZIA
      BLHMZNUJGGOPCAQZNIABRHMZULUHUKULUJADBCESTUMUJUKAIBUAUBUJULGUIAUIGUCUDUEUF
      UG $.

    $( Any vertex (more precisely, a pair of an empty set (of edges) and a
       singleton function to this vertex) determines a closed walk of length 0.
       (Contributed by AV, 11-Feb-2022.) $)
    0clwlkv $p |- ( ( X e. V /\ F = (/) /\ P : { 0 } --> { X } )
                    -> F ( ClWalks ` G ) P ) $=
      ( wcel c0 wceq cc0 csn wf w3a cclwlks cfv wbr cfz 3ad2ant1 wb cvv co fssd
      fz0sn eqcomi feq2i biimpi 3ad2ant3 wss snssi breq1 3ad2ant2 1vgrex 0clwlk
      syl bitrd mpbird ) EDGZBHIZJKZEKZALZMZBACNOZPZJJQUAZDALZVBVEUTDAVAUQVEUTA
      LZURVAVGUSVEUTAVEUSUCUDUEUFUGUQURUTDUHVAEDUIRUBVBVDHAVCPZVFURUQVDVHSVABHA
      VCUJUKUQURVHVFSZVAUQCTGVICEDFULACDTFUMUNRUOUP $.
  $}

  $( There is no closed walk in the empty set (i.e. the null graph).
     (Contributed by Alexander van der Vekens, 2-Sep-2018.)  (Revised by AV,
     5-Mar-2021.) $)
  0clwlk0 $p |- ( ClWalks ` (/) ) = (/) $=
    ( c0 cclwlks cfv cwlks wss wceq clwlkswks 0wlk0 sseq0 mp2an ) ABCZADCZELAFK
    AFAGHKLIJ $.

  $( A pair of an empty set (of edges) and a second set (of vertices) is a
     circuit if and only if the second set contains exactly one vertex (in an
     undirected graph).  (Contributed by Alexander van der Vekens,
     30-Oct-2017.)  (Revised by AV, 31-Jan-2021.)  (Revised by AV,
     30-Oct-2021.) $)
  0crct $p |- ( G e. W -> ( (/) ( Circuits ` G ) P
                            <-> P : ( 0 ... 0 ) --> ( Vtx ` G ) ) ) $=
    ( wcel c0 ctrls cfv wbr cc0 chash wceq wa cfz co cvtx wf ccrcts eqid anbi1d
    0trl iscrct hash0 eqcomi a1i fveq2d pm4.71i 3bitr4g ) BCDZEABFGHZIAGEJGZAGK
    ZLIIMNBOGZAPZUKLEABQGHUMUHUIUMUKACBULULRTSAEBUAUMUKUMIUJAIUJKUMUJIUBUCUDUEU
    FUG $.

  $( A pair of an empty set (of edges) and a second set (of vertices) is a
     cycle if and only if the second set contains exactly one vertex (in an
     undirected graph).  (Contributed by Alexander van der Vekens,
     30-Oct-2017.)  (Revised by AV, 31-Jan-2021.)  (Revised by AV,
     30-Oct-2021.) $)
  0cycl $p |- ( G e. W -> ( (/) ( Cycles ` G ) P
                            <-> P : ( 0 ... 0 ) --> ( Vtx ` G ) ) ) $=
    ( wcel c0 cpths cfv wbr cc0 chash wceq wa cfz co cvtx wf ccycls eqid anbi1d
    0pth iscycl hash0 eqcomi fveq2i biantru 3bitr4g ) BCDZEABFGHZIAGEJGZAGKZLII
    MNBOGZAPZUJLEABQGHULUGUHULUJABUKCUKRTSAEBUAUJULIUIAUIIUBUCUDUEUF $.

  ${
    1wlkd.p $e |- P = <" X Y "> $.
    1wlkd.f $e |- F = <" J "> $.
    $( Lemma 1 for ~ 1pthd .  (Contributed by Alexander van der Vekens,
       4-Dec-2017.)  (Revised by AV, 22-Jan-2021.) $)
    1pthdlem1 $p |- Fun `' ( P |` ( 1 ..^ ( # ` F ) ) ) $=
      ( c1 chash cfv cfzo co cres ccnv wfun c0 fun0 cs1 fveq2i eqtri s1len fzo0
      oveq2i reseq2i res0 cnveqi cnv0 funeqi mpbir ) AHBIJZKLZMZNZOPOQUMPUMPNPU
      LPULAPMPUKPAUKHHKLPUJHHKUJCRZIJHBUNIGSCUATUCHUBTUDAUETUFUGTUHUI $.

    $( Lemma 2 for ~ 1pthd .  (Contributed by Alexander van der Vekens,
       4-Dec-2017.)  (Revised by AV, 22-Jan-2021.) $)
    1pthdlem2 $p |- ( ( P " { 0 , ( # ` F ) } )
                      i^i ( P " ( 1 ..^ ( # ` F ) ) ) ) = (/) $=
      ( cc0 chash cfv cpr cima c1 cfzo co cin c0 cs1 eqtri ineq2i fveq2i oveq2i
      s1len fzo0 imaeq2i ima0 in0 ) AHBIJZKLZAMUHNOZLZPUIAQLZPZQUKULUIUJQAUJMMN
      OQUHMMNUHCRZIJMBUNIGUACUCSUBMUDSUETUMUIQPQULQUIAUFTUIUGSS $.

    1wlkd.x $e |- ( ph -> X e. V ) $.
    1wlkd.y $e |- ( ph -> Y e. V ) $.
    $( Lemma 1 for ~ 1wlkd .  (Contributed by AV, 22-Jan-2021.) $)
    1wlkdlem1 $p |- ( ph -> P : ( 0 ... ( # ` F ) ) --> V ) $=
      ( cc0 chash cfv cfz co wf wcel cfzo c1 cs2 cword s2cld wrdf wceq caddc cz
      1z fzval3 ax-mp cs1 fveq2i s1len eqtri oveq2i c2 s2len df-2 3eqtr4i feq2d
      a1i mpbird syl feq1i sylibr ) ALCMNZOPZEFGUAZQZVGEBQAVHEUBRZVIAFGEJKUCVJV
      ILVHMNZSPZEVHQEVHUDVJVGVLEVHVGVLUEVJLTOPZLTTUFPZSPZVGVLTUGRVMVOUEUHLTUIUJ
      VFTLOVFDUKZMNTCVPMIULDUMUNUOVKVNLSVKUPVNFGUQURUNUOUSVAUTVBVCVGEBVHHVDVE
      $.

    1wlkd.l $e |- ( ( ph /\ X = Y ) -> ( I ` J ) = { X } ) $.
    1wlkd.j $e |- ( ( ph /\ X =/= Y ) -> { X , Y } C_ ( I ` J ) ) $.
    $( Lemma 2 for ~ 1wlkd .  (Contributed by AV, 22-Jan-2021.) $)
    1wlkdlem2 $p |- ( ph -> X e. ( I ` J ) ) $=
      ( cfv wcel wceq wa csn adantr snidg syl eleqtrrd wne cpr wss prssg mpbird
      wb syl2an2r simpld pm2.61dane ) AGEDOZPZGHAGHQZRGGSZUMAGUPPZUOAGFPZUQKGFU
      AUBTMUCAGHUDZRZUNHUMPZUTUNVARZGHUEUMUFZNAURUSHFPZVBVCUIKAVDUSLTGHUMFFUGUJ
      UHUKUL $.

    $( Lemma 3 for ~ 1wlkd .  (Contributed by AV, 22-Jan-2021.) $)
    1wlkdlem3 $p |- ( ph -> F e. Word dom I ) $=
      ( cfv wcel cdm cword 1wlkdlem2 elfvdm cs1 s1cl eqeltrid 3syl ) AGEDOPEDQZ
      PZCUERZPABCDEFGHIJKLMNSGEDTUFCEUAUGJEUEUBUCUD $.

    $d F k $.  $d I k $.  $d P k $.
    $( Lemma 4 for ~ 1wlkd .  (Contributed by AV, 22-Jan-2021.) $)
    1wlkdlem4 $p |- ( ph -> A. k e. ( 0 ..^ ( # ` F ) )
            if- ( ( P ` k ) = ( P ` ( k + 1 ) ) ,
                  ( I ` ( F ` k ) ) = { ( P ` k ) } ,
                  { ( P ` k ) , ( P ` ( k + 1 ) ) } C_ ( I ` ( F ` k ) ) ) ) $=
      ( cfv c1 co wceq cc0 caddc csn cpr wss wif chash cfzo wral cs1 fveq1i cvv
      cv wa wcel 1wlkdlem2 elfvexd s1fv syl syl5eq fveq2d adantr eqtrd wn df-ne
      wne sylan2br sseqtrrd ifpimpda wb s2fv0 s2fv1 eqeq12 eqeq2d preq12 sseq1d
      sneq ifpbi123d syl2anc mpbird c0ex oveq1 0p1e1 eqtrdi wkslem2 mpdan ralsn
      cs2 sylibr fveq2i s1len eqtri oveq2i fzo01 a1i raleqdv ) ACULZBPZWPQUARZB
      PZSWPDPEPZWQUBSWQWSUCWTUDUEZCTDUFPZUGRZUHXACTUBZUHZATBPZQBPZSZTDPZEPZXFUB
      ZSZXFXGUCZXJUDZUEZXEAXOHISZXJHUBZSZHIUCZXJUDZUEZAXPXRXTAXPUMXJFEPZXQAXJYB
      SZXPAXIFEAXITFUIZPZFTDYDKUJAFUKUNYEFSAHEFABDEFGHIJKLMNOUOUPFUKUQURUSUTZVA
      NVBAXPVCZUMXSYBXJYGAHIVEXSYBUDHIVDOVFAYCYGYFVAVGVHAXFHSZXGISZXOYAVIAXFTHI
      WGZPZHTBYJJUJAHGUNYKHSLHIGVJURUSAXGQYJPZIQBYJJUJAIGUNYLISMHIGVKURUSYHYIUM
      ZXHXLXNXPXRXTXFHXGIVLYMXKXQXJYHXKXQSYIXFHVPVAVMYMXMXSXJXFXGHIVNVOVQVRVSXA
      XOCTVTWPTSZWRQSXAXOVIYNWRTQUARQWPTQUAWAWBWCWPTQBDEWDWEWFWHAXACXCXDXCXDSAX
      CTQUGRXDXBQTUGXBYDUFPQDYDUFKWIFWJWKWLWMWKWNWOVS $.

    $d G k $.
    1wlkd.v $e |- V = ( Vtx ` G ) $.
    1wlkd.i $e |- I = ( iEdg ` G ) $.
    $( In a graph with two vertices and an edge connecting these two vertices,
       to go from one vertex to the other vertex via this edge is a walk.  The
       two vertices need not be distinct (in the case of a loop).  (Contributed
       by AV, 22-Jan-2021.)  (Revised by AV, 23-Mar-2021.) $)
    1wlkd $p |- ( ph -> F ( Walks ` G ) P ) $=
      ( vk cfv wcel cwlks wbr cdm cword cc0 chash cfz co wf cv c1 caddc csn cpr
      wceq wss wif cfzo wral 1wlkdlem3 1wlkdlem1 1wlkdlem4 cvv wb 1vgrex iswlkg
      w3a 3syl mpbir3and ) ACBDUASUBZCEUCUDTZUECUFSZUGUHGBUIZRUJZBSZVNUKULUHBSZ
      UOVNCSESZVOUMUOVOVPUNVQUPUQRUEVLURUHUSZABCEFGHIJKLMNOUTABCFGHIJKLMVAABRCE
      FGHIJKLMNOVBAHGTDVCTVJVKVMVRVGVDLDHGPVEBRCDEGVCPQVFVHVI $.

    $( In a graph with two vertices and an edge connecting these two vertices,
       to go from one vertex to the other vertex via this edge is a trail.  The
       two vertices need not be distinct (in the case of a loop).  (Contributed
       by Alexander van der Vekens, 3-Dec-2017.)  (Revised by AV, 22-Jan-2021.)
       (Revised by AV, 23-Mar-2021.)  (Proof shortened by AV, 30-Oct-2021.) $)
    1trld $p |- ( ph -> F ( Trails ` G ) P ) $=
      ( cfv wbr ccnv cwlks wfun ctrls 1wlkd cs1 funcnvs1 cnveqi mpbir sylanblrc
      funeqi istrl ) ACBDUARSCTZUBZCBDUCRSABCDEFGHIJKLMNOPQUDUMFUEZTZUBFUFULUOC
      UNKUGUJUHBCDUKUI $.

    $( In a graph with two vertices and an edge connecting these two vertices,
       to go from one vertex to the other vertex via this edge is a path.  The
       two vertices need not be distinct (in the case of a loop) - in this
       case, however, the path is not a simple path.  (Contributed by Alexander
       van der Vekens, 3-Dec-2017.)  (Revised by AV, 22-Jan-2021.)  (Revised by
       AV, 23-Mar-2021.)  (Proof shortened by AV, 30-Oct-2021.) $)
    1pthd $p |- ( ph -> F ( Paths ` G ) P ) $=
      ( cfv wbr cima ctrls cpths 1trld wa chash cfzo cres ccnv wfun cc0 cpr cin
      c1 co c0 wceq simpr 1pthdlem1 a1i 1pthdlem2 ispth syl3anbrc mpdan ) ACBDU
      ARSZCBDUBRSZABCDEFGHIJKLMNOPQUCAVDUDZVDBUMCUERZUFUNZUGUHUIZBUJVGUKTBVHTUL
      UOUPZVEAVDUQVIVFBCFHIJKURUSVJVFBCFHIJKUTUSBCDVAVBVC $.

    $( In a graph with two vertices and an edge connecting these two vertices,
       to go from one vertex to the other vertex via this edge is a path from
       one of these vertices to the other vertex.  The two vertices need not be
       distinct (in the case of a loop) - in this case, however, the path is
       not a simple path.  (Contributed by Alexander van der Vekens,
       4-Dec-2017.)  (Revised by AV, 22-Jan-2021.)  (Revised by AV,
       23-Mar-2021.) $)
    1pthond $p |- ( ph -> F ( X ( PathsOn ` G ) Y ) P ) $=
      ( cfv wbr cvv cpthson co ctrlson cpths cwlkson ctrls cwlks cc0 wceq chash
      1wlkd cs2 fveq1i s2fv0 syl5eq syl c1 cs1 fveq2i s1len eqtri fveq12i s2fv1
      wcel wa w3a wb wlkv 3syl jca31 iswlkon mpbir3and 1trld istrlson mpbir2and
      3simpc 1pthd wi adantl simpl ex mpcom ispthson ) ACBHIDUARUBSZCBHIDUCRUBS
      ZCBDUDRSZAWECBHIDUERUBSZCBDUFRSZAWGCBDUGRSZUHBRZHUIZCUJRZBRZIUIZABCDEFGHI
      JKLMNOPQUKZAHGVDZWKLWPWJUHHIULZRHUHBWQJUMHIGUNUOUPAWMUQWQRZIWLUQBWQJWLFUR
      ZUJRUQCWSUJKUSFUTVAVBAIGVDZWRIUIMHIGVCUPUOAWPWTVECTVDZBTVDZVEZVEZWGWIWKWN
      VFVGAWPWTXCLMAWIDTVDZXAXBVFZXCWOBCDVHZXEXAXBVPZVIVJZHIBTCDGTPVKUPVLABCDEF
      GHIJKLMNOPQVMAXDWEWGWHVEVGXIHIBTCDGTPVNUPVOABCDEFGHIJKLMNOPQVQAXDWDWEWFVE
      VGWIAXDWOWIXFXCAXDVRXGXHXCAXDXCAVEWPWTXCAWPXCLVSAWTXCMVSXCAVTVJWAVIWBHIBT
      CDGTPWCUPVO $.
  $}

  ${
    upgr1wlkd.p $e |- P = <" X Y "> $.
    upgr1wlkd.f $e |- F = <" J "> $.
    upgr1wlkd.x $e |- ( ph -> X e. ( Vtx ` G ) ) $.
    upgr1wlkd.y $e |- ( ph -> Y e. ( Vtx ` G ) ) $.
    upgr1wlkd.j $e |- ( ph -> ( ( iEdg ` G ) ` J ) = { X , Y } ) $.
    $( Lemma 1 for ~ upgr1wlkd .  (Contributed by AV, 22-Jan-2021.) $)
    upgr1wlkdlem1 $p |- ( ( ph /\ X = Y ) -> ( ( iEdg ` G ) ` J ) = { X } ) $=
      ( wceq ciedg cfv csn cpr wi wb preq2 eqeq2d eqcoms wa simpl dfsn2 eqtr4di
      ex syl6bi com13 mpd imp ) AFGMZEDNOOZFPZMZAUMFGQZMZULUORLULUQAUOULUQUMFFQ
      ZMZAUORUQUSSGFGFMUPURUMGFFTUAUBUSAUOUSAUCUMURUNUSAUDFUEUFUGUHUIUJUK $.

    $( Lemma 2 for ~ upgr1wlkd .  (Contributed by AV, 22-Jan-2021.) $)
    upgr1wlkdlem2 $p |- ( ( ph /\ X =/= Y )
                           -> { X , Y } C_ ( ( iEdg ` G ) ` J ) ) $=
      ( wne ciedg cfv cpr wceq wss wa ssid wb sseq2 adantl mpbiri mpidan ) AFGM
      ZEDNOOZFGPZQZUHUGRZLAUFSZUISUJUHUHRZUHTUIUJULUAUKUGUHUHUBUCUDUE $.

    upgr1wlkd.g $e |- ( ph -> G e. UPGraph ) $.
    $( In a pseudograph with two vertices and an edge connecting these two
       vertices, to go from one vertex to the other vertex via this edge is a
       walk.  The two vertices need not be distinct (in the case of a loop).
       (Contributed by AV, 22-Jan-2021.) $)
    upgr1wlkd $p |- ( ph -> F ( Walks ` G ) P ) $=
      ( ciedg cfv cvtx upgr1wlkdlem1 upgr1wlkdlem2 eqid 1wlkd ) ABCDDNOZEDPOZFG
      HIJKABCDEFGHIJKLQABCDEFGHIJKLRUBSUAST $.

    $( In a pseudograph with two vertices and an edge connecting these two
       vertices, to go from one vertex to the other vertex via this edge is a
       trail.  The two vertices need not be distinct (in the case of a loop).
       (Contributed by AV, 22-Jan-2021.) $)
    upgr1trld $p |- ( ph -> F ( Trails ` G ) P ) $=
      ( ciedg cfv cvtx upgr1wlkdlem1 upgr1wlkdlem2 eqid 1trld ) ABCDDNOZEDPOZFG
      HIJKABCDEFGHIJKLQABCDEFGHIJKLRUBSUAST $.

    $( In a pseudograph with two vertices and an edge connecting these two
       vertices, to go from one vertex to the other vertex via this edge is a
       path.  The two vertices need not be distinct (in the case of a loop) -
       in this case, however, the path is not a simple path.  (Contributed by
       AV, 22-Jan-2021.) $)
    upgr1pthd $p |- ( ph -> F ( Paths ` G ) P ) $=
      ( ciedg cfv cvtx upgr1wlkdlem1 upgr1wlkdlem2 eqid 1pthd ) ABCDDNOZEDPOZFG
      HIJKABCDEFGHIJKLQABCDEFGHIJKLRUBSUAST $.

    $( In a pseudograph with two vertices and an edge connecting these two
       vertices, to go from one vertex to the other vertex via this edge is a
       path from one of these vertices to the other vertex.  The two vertices
       need not be distinct (in the case of a loop) - in this case, however,
       the path is not a simple path.  (Contributed by AV, 22-Jan-2021.) $)
    upgr1pthond $p |- ( ph -> F ( X ( PathsOn ` G ) Y ) P ) $=
      ( ciedg cfv cvtx upgr1wlkdlem1 upgr1wlkdlem2 eqid 1pthond ) ABCDDNOZEDPOZ
      FGHIJKABCDEFGHIJKLQABCDEFGHIJKLRUBSUAST $.
  $}

  ${
    lppthon.i $e |- I = ( iEdg ` G ) $.
    $( A loop (which is an edge at index ` J ` ) induces a path of length 1
       from a vertex to itself in a hypergraph.  (Contributed by AV,
       1-Feb-2021.) $)
    lppthon $p |- ( ( G e. UHGraph /\ J e. dom I /\ ( I ` J ) = { A } )
                    -> <" J "> ( A ( PathsOn ` G ) A ) <" A A "> ) $=
      ( cuhgr wcel cdm cfv csn wceq w3a cs2 cs1 cvtx eqid lpvtx simpl3 wne cpr
      wss wi eqneqall ax-mp adantl 1pthond ) BFGZDCHGZDCIZAJKZLZAAMZDNZBCDBOIZA
      AULPUMPABCDEQZUOUGUHUJAAKZRAASZAATUIUAZUKUPUQURUBAPURAAUCUDUEUNPEUF $.

    $( A loop (which is an edge at index ` J ` ) induces a cycle of length 1 in
       a hypergraph.  (Contributed by AV, 2-Feb-2021.)  (Proof shortened by AV,
       30-Oct-2021.) $)
    lp1cycl $p |- ( ( G e. UHGraph /\ J e. dom I /\ ( I ` J ) = { A } )
                    -> <" J "> ( Cycles ` G ) <" A A "> ) $=
      ( cuhgr wcel cdm cfv csn wceq w3a cs1 cs2 cpths wbr cc0 chash syl c1 cvtx
      ccycls cpthson lppthon pthonispth lpvtx s2fv1 s1len fveq2i s2fv0 3eqtr4rd
      co a1i iscycl sylanbrc ) BFGDCHGDCIAJKLZDMZAANZBOIPZQURIZUQRIZURIZKZUQURB
      UBIPUPUQURAABUCIULPUSABCDEUDAAURUQBUESUPABUAIZGZVCABCDEUFVETURIZAVBUTAAVD
      UGVBVFKVEVATURDUHUIUMAAVDUJUKSURUQBUNUO $.
  $}

  ${
    $d A e f i p $.  $d B e f i p $.  $d G e f i p $.  $d V e i $.
    1pthon2v.v $e |- V = ( Vtx ` G ) $.
    1pthon2v.e $e |- E = ( Edg ` G ) $.
    $( For each pair of adjacent vertices there is a path of length 1 from one
       vertex to the other in a hypergraph.  (Contributed by Alexander van der
       Vekens, 4-Dec-2017.)  (Revised by AV, 22-Jan-2021.) $)
    1pthon2v $p |- ( ( G e. UHGraph /\ ( A e. V /\ B e. V )
                          /\ E. e e. E { A , B } C_ e )
                        -> E. f E. p f ( A ( PathsOn ` G ) B ) p ) $=
      ( vi wcel wa cv cfv wbr wex wi wceq adantl cuhgr cpr wss wrex w3a cpthson
      co simpl anim2i 3adant3 0pthonv simpl2im oveq2 eqcoms breqd adantr mpbird
      wb 2exbidv ex wne ciedg cdm cedg eleq2i eqid uhgredgiedgb syl5bb 3ad2ant1
      cs1 cvv cword cs2 s1cli s2cli simpl2l simpl2r csn eqneqall com12 3ad2ant3
      pm3.2i imp sseq2 biimpa 1pthond breq12 spc2egv mpsyl rexlimdv sylbid 3exp
      exp44 com34 3imp pm2.61ine ) FUALZAGLZBGLZMZABUBZCNZUCZCEUDZUEZDNZHNZABFU
      FOZUGZPZHQDQZRABABSZXEXKXLXEMZXKXFXGAAXHUGZPZHQDQZXMWQWRXPXEWQWRMZXLWQWTX
      QXDWTWRWQWRWSUHUIUJTDFAGHIUKULXLXKXPURXEXLXJXODHXLXIXNXFXGXIXNSBABAAXHUMU
      NUOUSUPUQUTXEABVAZXKWQWTXDXRXKRWQWTXRXDXKWQWTXRXDXKRWQWTXRUEZXCXKCEXSXBEL
      ZXBKNZFVBOZOZSZKYBVCZUDZXCXKRZWQWTXTYFURXRXTXBFVDOZLWQYFEYHXBJVEKXBFYBYBV
      FZVGVHVIXSYDYGKYEXSYAYELZYDXCXKYAVJZVKVLZLZABVMZYLLZMXSYJYDMZXCMZMZYKYNXI
      PZXKYMYOYAVNABVOWBYRYNYKFYBYAGABYNVFYKVFWRWSWQXRYQVPWRWSWQXRYQVQYRXLYCAVR
      SZXSXLYTRZYQXRWQUUAWTXLXRYTYTABVSVTWAUPWCYRXAYCUCZXRYQUUBXSYPXCUUBYDXCUUB
      URYJXBYCXAWDTWETUPIYIWFXJYSDHYKYNYLYLXFYKXGYNXIWGWHWIWMWJWKWJWLWNWOVTWP
      $.

    $d E e $.
    $( For each pair of adjacent vertices there is a path of length 1 from one
       vertex to the other in a hypergraph.  (Contributed by Alexander van der
       Vekens, 4-Dec-2017.)  (Revised by AV, 22-Jan-2021.)  (Proof shortened by
       AV, 15-Feb-2021.) $)
    1pthon2ve $p |- ( ( G e. UHGraph /\ ( A e. V /\ B e. V )
                        /\ { A , B } e. E )
                      -> E. f E. p f ( A ( PathsOn ` G ) B ) p ) $=
      ( ve cpr wcel cuhgr wa cv wss wrex cpthson cfv wex co wbr id sseq2 adantl
      wceq wb ssidd rspcedvd 1pthon2v syl3an3 ) ABKZDLZEMLAFLBFLNULJOZPZJDQCOGO
      ABERSUAUBGTCTUMUOULULPZJULDUMUCUNULUFUOUPUGUMUNULULUDUEUMULUHUIABJCDEFGHI
      UJUK $.
  $}

  ${
    wlk2v2e.i $e |- I = <" { X , Y } "> $.
    wlk2v2e.f $e |- F = <" 0 0 "> $.
    $( Lemma 1 for ~ wlk2v2e : ` F ` is a length 2 word of over ` { 0 } ` , the
       domain of the singleton word ` I ` .  (Contributed by Alexander van der
       Vekens, 22-Oct-2017.)  (Revised by AV, 9-Jan-2021.) $)
    wlk2v2elem1 $p |- F e. Word dom I $=
      ( cc0 cs2 csn cword cdm wcel c0ex snid id s2cld ax-mp cpr cs1 dmeqi eqtri
      s1dm wrdeqi 3eltr4i ) GGHZGIZJZABKZJGUFLZUEUGLGMNUIGGUFUIOZUJPQFUHUFUHCDR
      ZSZKUFBULETUKUBUAUCUD $.

    $d F k $.  $d I k $.  $d P k $.
    wlk2v2e.x $e |- X e. _V $.
    wlk2v2e.y $e |- Y e. _V $.
    wlk2v2e.p $e |- P = <" X Y X "> $.
    $( Lemma 2 for ~ wlk2v2e :  The values of ` I ` after ` F ` are edges
       between two vertices enumerated by ` P ` .  (Contributed by Alexander
       van der Vekens, 22-Oct-2017.)  (Revised by AV, 9-Jan-2021.) $)
    wlk2v2elem2 $p |- A. k e. ( 0 ..^ ( # ` F ) )
                       ( I ` ( F ` k ) ) = { ( P ` k ) , ( P ` ( k + 1 ) ) } $=
      ( cfv c1 cpr wceq cc0 fveq1i ax-mp eqtri cvv cv caddc chash cfzo wral cs2
      co c2 cz wcel 0z s2fv0 fveq2i cs1 prex s1fv cs3 s3fv0 s3fv1 eqcomi 3eqtri
      preq12i s2fv1 prcom s3fv2 2wlklem mpbir2an 2wlkdlem2 raleqi mpbir ) BUAZC
      LDLVKALVKMUBUGALNOZBPCUCLUDUGZUEVLBPMNZUEZVOPCLZDLZPALZMALZNZOMCLZDLZVSUH
      ALZNZOVQPDLZEFNZVTVPPDVPPPPUFZLZPPCWGHQPUIUJZWHPOUKPPUIULRSUMWEPWFUNZLZWF
      PDWJGQWFTUJWKWFOEFUOWFTUPRSZVTWFVREVSFVRPEFEUQZLZEPAWMKQETUJZWNEOIEFETURR
      SVSMWMLZFMAWMKQFTUJWPFOJEFETUSRSZVBUTVAWBWEWFWDWAPDWAMWGLZPMCWGHQWIWRPOUK
      PPUIVCRSUMWLWFFENZWDEFVDWDWSVSFWCEWQWCUHWMLZEUHAWMKQWOWTEOIEFETVERSVBUTSV
      AABDCVFVGVLBVMVNEFEACPPKHVHVIVJ $.

    $d G k $.  $d X k $.  $d Y k $.
    wlk2v2e.g $e |- G = <. { X , Y } , I >. $.
    $( In a graph with two vertices and one edge connecting these two vertices,
       to go from one vertex to the other and back to the first vertex via the
       same/only edge is a walk.  Notice that ` G ` is a simple graph (without
       loops) only if ` X =/= Y ` .  (Contributed by Alexander van der Vekens,
       22-Oct-2017.)  (Revised by AV, 8-Jan-2021.) $)
    wlk2v2e $p |- F ( Walks ` G ) P $=
      ( wcel cfv cvv cc0 chash cfz co c3 vk cupgr wbr cuspgr cpr cs1 cop opeq2i
      cwlks eqtri uspgr2v1e2w mp2an eqeltri uspgrupgr ax-mp cword wf cv c1 wceq
      cdm caddc cfzo wral w3a wlk2v2elem1 cs3 prid1 prid2 s3cl mp3an wrdf s3len
      fveq2i eqtr2i oveq2i feq2i mpbir c2 cs2 s2len cz fzoval 3m1e2 wlk2v2elem2
      cmin 3z 3pm3.2i cvtx prex s1cli opvtxfv ciedg opiedgfv upgriswlk mpbiri )
      CUBMZBACUINUCZCUDMWQCEFUEZWSUFZUGZUDCWSDUGZXALDWTWSGUHUJEOMFOMXAUDMIJEFOO
      UKULUMCUNUOWQWRBDVAUPMZPBQNZRSZWSAUQZUAURZBNDNXGANXGUSVBSANUEUTUAPXDVCSVD
      ZVEXCXFXHBDEFGHVFXFPTVCSZWSAUQZXJPAQNZVCSZWSAUQZAWSUPZMXMAEFEVGZXNKEWSMZF
      WSMXPXOXNMEFIVHZEFJVIXQEFEWSVJVKUMWSAVLUOXIXLWSATXKPVCXKXOQNTAXOQKVNEFEVM
      VOVPVQVRXEXIWSAXEPVSRSZXIXDVSPRXDPPVTZQNVSBXSQHVNPPWAUJVPXIPTUSWFSZRSZXRT
      WBMXIYAUTWGPTWCUOXTVSPRWDVPVOUJVQVRAUABDEFGHIJKWEWHAUABCDWSCWINXBWINZWSCX
      BWILVNWSOMZDOUPZMZYBWSUTEFWJZDWTYDGWSWKUMZDWSOYDWLULVOCWMNXBWMNZDCXBWMLVN
      YCYEYHDUTYFYGDWSOYDWNULVOWOWPUO $.

    $( A walk which is not a trail:  In a graph with two vertices and one edge
       connecting these two vertices, to go from one vertex to the other and
       back to the first vertex via the same/only edge is a walk, see
       ~ wlk2v2e , but not a trail.  Notice that ` G ` is a simple graph
       (without loops) only if ` X =/= Y ` .  (Contributed by Alexander van der
       Vekens, 22-Oct-2017.)  (Revised by AV, 8-Jan-2021.)  (Proof shortened by
       AV, 30-Oct-2021.) $)
    ntrl2v2e $p |- -. F ( Trails ` G ) P $=
      ( cfv wbr wfun wa cc0 cz c1 0z ctrls cwlks ccnv wcel w3a wne 3pm3.2i 0ne1
      wn cs2 cop cpr wceq s2prop mp2an eqtri fpropnf1 simpri intnan istrl mtbir
      1z ) BACUAMNBACUBMNZBUCOZPVDVCBOZVDUIZQRUDZSRUDZVGUEQSUFVEVFPVGVHVGTVBTUG
      UHRBRRQSQBQQUJZQQUKSQUKULZHVGVGVIVJUMTTQQRUNUOUPUQUOURUSABCUTVA $.
  $}

  ${
    3wlkd.p $e |- P = <" A B C D "> $.
    3wlkd.f $e |- F = <" J K L "> $.
    $( Lemma 1 for ~ 3wlkd .  (Contributed by AV, 7-Feb-2021.) $)
    3wlkdlem1 $p |- ( # ` P ) = ( ( # ` F ) + 1 ) $=
      ( chash cfv cs4 c1 caddc co fveq2i c3 eqtri s4len cs3 s3len eqtr2i oveq1i
      c4 df-4 ) ELMABCDNZLMZFLMZOPQZEUHLJRUISOPQZUKUIUFULABCDUAUGTSUJOPUJGHIUBZ
      LMSFUMLKRGHIUCUDUETT $.

    $( Lemma 2 for ~ 3wlkd .  (Contributed by AV, 7-Feb-2021.) $)
    3wlkdlem2 $p |- ( 0 ..^ ( # ` F ) ) = { 0 , 1 , 2 } $=
      ( cc0 chash cfv cfzo co c3 c1 c2 eqtri ctp fveq2i s3len oveq2i fzo0to3tp
      cs3 ) LFMNZOPLQOPLRSUAUGQLOUGGHIUFZMNQFUHMKUBGHIUCTUDUET $.

    $d A k $.  $d B k $.  $d C k $.  $d D k $.  $d J k $.  $d K k $.  $d J k $.
    $d L k $.  $d V k $.
    3wlkd.s $e |- ( ph
                     -> ( ( A e. V /\ B e. V ) /\ ( C e. V /\ D e. V ) ) ) $.
    $( Lemma 3 for ~ 3wlkd .  (Contributed by Alexander van der Vekens,
       10-Nov-2017.)  (Revised by AV, 7-Feb-2021.) $)
    3wlkdlem3 $p |- ( ph -> ( ( ( P ` 0 ) = A /\ ( P ` 1 ) = B )
                            /\ ( ( P ` 2 ) = C /\ ( P ` 3 ) = D ) ) ) $=
      ( wcel wa cfv wceq fveq1i syl5eq cc0 c1 c2 c3 cs4 s4fv0 s4fv1 s4fv2 s4fv3
      anim12i syl ) ABKOZCKOZPZDKOZEKOZPZPUAFQZBRZUBFQZCRZPZUCFQZDRZUDFQZERZPZP
      NUNVBUQVGULUSUMVAULURUABCDEUEZQBUAFVHLSBCDEKUFTUMUTUBVHQCUBFVHLSBCDEKUGTU
      JUOVDUPVFUOVCUCVHQDUCFVHLSBCDEKUHTUPVEUDVHQEUDFVHLSBCDEKUITUJUJUK $.

    $d F k $.  $d P k $.
    $( Lemma 4 for ~ 3wlkd .  (Contributed by Alexander van der Vekens,
       11-Nov-2017.)  (Revised by AV, 7-Feb-2021.) $)
    3wlkdlem4 $p |- ( ph -> A. k e. ( 0 ... ( # ` F ) ) ( P ` k ) e. V ) $=
      ( wcel cc0 c3 wa wceq cv cfv c1 cpr wral c2 chash cfz co 3wlkdlem3 eleq1d
      simpl simpr anbi12d biimparc cvv c0ex 1ex pm3.2i fveq2 ralprg mp1i mpbird
      wb ex 2ex 3ex im2anan9 sylc cun cs3 fveq2i s3len eqtri oveq2i fz0to3un2pr
      raleqi ralunb bitri sylibr ) AGUAZFUBZLPZGQUCUDZUEZWCGUFRUDZUEZSZWCGQHUGU
      BZUHUIZUEZABLPZCLPZSZDLPZELPZSZSQFUBZBTZUCFUBZCTZSZUFFUBZDTZRFUBZETZSZSWH
      OABCDEFHIJKLMNOUJWNXBWEWQXGWGWNXBWEWNXBSZWEWRLPZWTLPZSZXBXKWNXBXIWLXJWMXB
      WRBLWSXAULUKXBWTCLWSXAUMUKUNUOQUPPZUCUPPZSWEXKVDXHXLXMUQURUSWCXIXJGQUCUPU
      PWAQTWBWRLWAQFUTUKWAUCTWBWTLWAUCFUTUKVAVBVCVEWQXGWGWQXGSZWGXCLPZXELPZSZXG
      XQWQXGXOWOXPWPXGXCDLXDXFULUKXGXEELXDXFUMUKUNUOUFUPPZRUPPZSWGXQVDXNXRXSVFV
      GUSWCXOXPGUFRUPUPWAUFTWBXCLWAUFFUTUKWARTWBXELWARFUTUKVAVBVCVEVHVIWKWCGWDW
      FVJZUEWHWCGWJXTWJQRUHUIXTWIRQUHWIIJKVKZUGUBRHYAUGNVLIJKVMVNVOVPVNVQWCGWDW
      FVRVSVT $.

    $d F k $.  $d P k $.
    3wlkd.n $e |- ( ph -> ( ( A =/= B /\ A =/= C )
                          /\ ( B =/= C /\ B =/= D ) /\ C =/= D ) ) $.
    $( Lemma 5 for ~ 3wlkd .  (Contributed by Alexander van der Vekens,
       11-Nov-2017.)  (Revised by AV, 7-Feb-2021.) $)
    3wlkdlem5 $p |- ( ph -> A. k e. ( 0 ..^ ( # ` F ) )
                             ( P ` k ) =/= ( P ` ( k + 1 ) ) ) $=
      ( cfv c1 wne c2 cc0 c3 w3a cv caddc co chash cfzo wral wa simpl 3anim123i
      id syl wceq wb 3wlkdlem3 simpr neeq12d adantr adantl 3anbi123d mpbird ctp
      3wlkdlem2 raleqi c0ex 1ex 2ex fveq2 oveq1 1p1e2 eqtrdi fveq2d 2p1e3 raltp
      fv0p1e1 bitri sylibr ) AUAFQZRFQZSZWATFQZSZWCUBFQZSZUCZGUDZFQZWHRUEUFZFQZ
      SZGUAHUGQUHUFZUIZAWGBCSZCDSZDESZUCZAWOBDSZUJZWPCESZUJZWQUCWRPWTWOXBWPWQWQ
      WOWSUKWPXAUKWQUMULUNAVTBUOZWACUOZUJZWCDUOZWEEUOZUJZUJZWGWRUPABCDEFHIJKLMN
      OUQXIWBWOWDWPWFWQXEWBWOUPXHXEVTBWACXCXDUKXCXDURZUSUTXIWACWCDXEXDXHXJUTXHX
      FXEXFXGUKZVAUSXHWFWQUPXEXHWCDWEEXKXFXGURUSVAVBUNVCWNWLGUARTVDZUIWGWLGWMXL
      BCDEFHIJKMNVEVFWLWBWDWFGUARTVGVHVIWHUAUOWIVTWKWAWHUAFVJFWHVQUSWHRUOZWIWAW
      KWCWHRFVJXMWJTFXMWJRRUEUFTWHRRUEVKVLVMVNUSWHTUOZWIWCWKWEWHTFVJXNWJUBFXNWJ
      TRUEUFUBWHTRUEVKVOVMVNUSVPVRVS $.

    $d F j k $.  $d P j $.
    $( Lemma 1 for ~ 3pthd .  (Contributed by AV, 9-Feb-2021.) $)
    3pthdlem1 $p |- ( ph -> A. k e. ( 0 ..^ ( # ` P ) )
                            A. j e. ( 1 ..^ ( # ` F ) )
                            ( k =/= j -> ( P ` k ) =/= ( P ` j ) ) ) $=
      ( c1 wne c2 cv cfv wi wa cc0 chash cfzo co wral c3 wceq 3wlkdlem3 simpr1l
      w3a wb simpl adantr simpr neeq12d mpbird a1d simpr1r adantl jca eqid 2a1i
      necon3d simpr2l necomd simpr2r simp3 ancoms syl2anc cpr cun c4 cs4 fveq2i
      jca31 s4len eqtri oveq2i fzo0to42pr raleqi ralunb c0ex neeq1 fveq2 neeq1d
      1ex imbi12d anbi12d ralpr 2ex 3ex anbi12i 3bitri sylibr cs3 s3len fzo13pr
      neeq2 neeq2d bitri ralbii ) AHUAZRSZXFFUBZRFUBZSZUCZXFTSZXHTFUBZSZUCZUDZH
      UEFUFUBZUGUHZUIZXFGUAZSZXHXTFUBZSZUCZGRIUFUBZUGUHZUIZHXRUIAUERSZUEFUBZXIS
      ZUCZUETSZYIXMSZUCZUDZRRSZXIXISZUCZRTSZXIXMSZUCZUDZUDZTRSZXMXISZUCZTTSZXMX
      MSZUCZUDZUJRSZUJFUBZXISZUCZUJTSZUULXMSZUCZUDZUDZUDZXSAYIBUKZXICUKZUDZXMDU
      KZUULEUKZUDZUDZBCSZBDSZUDZCDSZCESZUDZDESZUNZUUTABCDEFIJKLMNOPULQUVGUVOUDZ
      YOUUBUUSUVPYKYNUVPYJYHUVPYJUVHUVHUVIUVMUVNUVGUMUVGYJUVHUOUVOUVGYIBXICUVCU
      VAUVFUVAUVBUPUQZUVCUVBUVFUVAUVBURUQZUSUQUTVAUVPYMYLUVPYMUVIUVHUVIUVMUVNUV
      GVBUVGYMUVIUOUVOUVGYIBXMDUVQUVFUVDUVCUVDUVEUPVCZUSUQUTVAVDUVPYRUUAUVPXIXI
      RRRRUKUVPXIXIUKRVEVFVGUVPYTYSUVPYTUVKUVKUVLUVJUVNUVGVHUVGYTUVKUOUVOUVGXIC
      XMDUVRUVSUSUQUTZVAVDUVPUUFUUIUURUVPUUEUUDUVPXIXMUVTVIVAUVPXMXMTTTTUKUVPXM
      XMUKTVEVFVGUVPUUNUUQUVPUUMUUKUVPXIUULUVPXIUULSZUVLUVKUVLUVJUVNUVGVJUVGUWA
      UVLUOUVOUVGXICUULEUVRUVFUVEUVCUVDUVEURVCUSUQUTVIVAUVPUUPUUOUVPUUPEDSZUVOU
      WBUVGUVODEUVJUVMUVNVKVIVCUVGUUPUWBUOZUVOUVFUWCUVCUVEUVDUWCUVEUVDUDUULEXMD
      UVEUVDUPUVEUVDURUSVLVCUQUTVAVDVSVSVMXSXPHUERVNZTUJVNZVOZUIXPHUWDUIZXPHUWE
      UIZUDUUTXPHXRUWFXRUEVPUGUHUWFXQVPUEUGXQBCDEVQZUFUBVPFUWIUFNVRBCDEVTWAWBWC
      WAWDXPHUWDUWEWEUWGUUCUWHUUSXPYOUUBHUERWFWJXFUEUKZXKYKXOYNUWJXGYHXJYJXFUER
      WGUWJXHYIXIXFUEFWHZWIWKUWJXLYLXNYMXFUETWGUWJXHYIXMUWKWIWKWLXFRUKZXKYRXOUU
      AUWLXGYPXJYQXFRRWGUWLXHXIXIXFRFWHZWIWKUWLXLYSXNYTXFRTWGUWLXHXIXMUWMWIWKWL
      WMXPUUJUURHTUJWNWOXFTUKZXKUUFXOUUIUWNXGUUDXJUUEXFTRWGUWNXHXMXIXFTFWHZWIWK
      UWNXLUUGXNUUHXFTTWGUWNXHXMXMUWOWIWKWLXFUJUKZXKUUNXOUUQUWPXGUUKXJUUMXFUJRW
      GUWPXHUULXIXFUJFWHZWIWKUWPXLUUOXNUUPXFUJTWGUWPXHUULXMUWQWIWKWLWMWPWQWRYGX
      PHXRYGYDGRTVNZUIXPYDGYFUWRYFRUJUGUHUWRYEUJRUGYEJKLWSZUFUBUJIUWSUFOVRJKLWT
      WAWBXAWAWDYDXKXOGRTWJWNXTRUKZYAXGYCXJXTRXFXBUWTYBXIXHXTRFWHXCWKXTTUKZYAXL
      YCXNXTTXFXBUXAYBXMXHXTTFWHXCWKWMXDXEWR $.

    $d I k $.
    3wlkd.e $e |- ( ph -> ( { A , B } C_ ( I ` J )
                          /\ { B , C } C_ ( I ` K )
                          /\ { C , D } C_ ( I ` L ) ) ) $.
    $( Lemma 6 for ~ 3wlkd .  (Contributed by AV, 7-Feb-2021.) $)
    3wlkdlem6 $p |- ( ph
                 -> ( A e. ( I ` J ) /\ B e. ( I ` K ) /\ C e. ( I ` L ) ) ) $=
      ( cfv wcel cpr w3a cc0 c1 c2 c3 wceq wa 3wlkdlem3 wb preq12 sseq1d adantr
      wss ad2ant2lr adantl 3anbi123d syl5ibrcom mpd fvex simpl sylbir 3anim123i
      prss syl eleq1 bicomd mpbird ) ABIHRZSZCJHRZSZDKHRZSZUAZUBFRZVHSZUCFRZVJS
      ZUDFRZVLSZUAZAVOVQTZVHUMZVQVSTZVJUMZVSUEFRZTZVLUMZUAZWAAVOBUFZVQCUFZUGZVS
      DUFZWFEUFZUGZUGZWIABCDEFGIJKLMNOUHZAWIWPBCTZVHUMZCDTZVJUMZDETZVLUMZUAQWPW
      CWSWEXAWHXCWLWCWSUIWOWLWBWRVHVOVQBCUJUKULWPWDWTVJWKWMWDWTUFWJWNVQVSCDUJUN
      UKWOWHXCUIWLWOWGXBVLVSWFDEUJUKUOUPUQURWCVPWEVRWHVTWCVPVQVHSZUGVPVOVQVHUBF
      USUCFUSZVCVPXDUTVAWEVRVSVJSZUGVRVQVSVJXEUDFUSZVCVRXFUTVAWHVTWFVLSZUGVTVSW
      FVLXGUEFUSVCVTXHUTVAVBVDAWPVNWAUIWQWPWAVNWPVPVIVRVKVTVMWLVPVIUIZWOWJXIWKV
      OBVHVEULULWLVRVKUIZWOWKXJWJVQCVJVEUOULWOVTVMUIZWLWMXKWNVSDVLVEULUOUPVFVDV
      G $.

    $( Lemma 7 for ~ 3wlkd .  (Contributed by AV, 7-Feb-2021.) $)
    3wlkdlem7 $p |- ( ph -> ( J e. _V /\ K e. _V /\ L e. _V ) ) $=
      ( cfv wcel cvv w3a 3wlkdlem6 elfvex 3anim123i syl ) ABIHRSZCJHRSZDKHRSZUA
      ITSZJTSZKTSZUAABCDEFGHIJKLMNOPQUBUFUIUGUJUHUKBIHUCCJHUCDKHUCUDUE $.

    $( Lemma 8 for ~ 3wlkd .  (Contributed by Alexander van der Vekens,
       12-Nov-2017.)  (Revised by AV, 7-Feb-2021.) $)
    3wlkdlem8 $p |- ( ph
                    -> ( ( F ` 0 ) = J /\ ( F ` 1 ) = K /\ ( F ` 2 ) = L ) ) $=
      ( cfv wceq cvv cc0 cs3 c1 c2 w3a wcel 3wlkdlem7 s3fv0 s3fv1 3anim123i syl
      s3fv2 fveq1i eqeq1i 3anbi123i sylibr ) AUAIJKUBZRZISZUCUQRZJSZUDUQRZKSZUE
      ZUAGRZISZUCGRZJSZUDGRZKSZUEAITUFZJTUFZKTUFZUEVDABCDEFGHIJKLMNOPQUGVKUSVLV
      AVMVCIJKTUHIJKTUIIJKTULUJUKVFUSVHVAVJVCVEURIUAGUQNUMUNVGUTJUCGUQNUMUNVIVB
      KUDGUQNUMUNUOUP $.

    $( Lemma 9 for ~ 3wlkd .  (Contributed by AV, 7-Feb-2021.) $)
    3wlkdlem9 $p |- ( ph -> ( { A , B } C_ ( I ` ( F ` 0 ) )
                            /\ { B , C } C_ ( I ` ( F ` 1 ) )
                            /\ { C , D } C_ ( I ` ( F ` 2 ) ) ) ) $=
      ( cfv wss wb cpr cc0 c1 w3a wceq 3wlkdlem8 fveq2 sseq2d 3ad2ant1 3ad2ant2
      c2 3ad2ant3 3anbi123d syl mpbird ) ABCUAZUBGRZHRZSZCDUAZUCGRZHRZSZDEUAZUK
      GRZHRZSZUDZUPIHRZSZUTJHRZSZVDKHRZSZUDZQAUQIUEZVAJUEZVEKUEZUDZVHVOTABCDEFG
      HIJKLMNOPQUFVSUSVJVCVLVGVNVPVQUSVJTVRVPURVIUPUQIHUGUHUIVQVPVCVLTVRVQVBVKU
      TVAJHUGUHUJVRVPVGVNTVQVRVFVMVDVEKHUGUHULUMUNUO $.

    $( Lemma 10 for ~ 3wlkd .  (Contributed by Alexander van der Vekens,
       12-Nov-2017.)  (Revised by AV, 7-Feb-2021.) $)
    3wlkdlem10 $p |- ( ph -> A. k e. ( 0 ..^ ( # ` F ) )
                    { ( P ` k ) , ( P ` ( k + 1 ) ) } C_ ( I ` ( F ` k ) ) ) $=
      ( cfv c1 cc0 cpr wss c2 c3 w3a cv caddc co chash cfzo wral 3wlkdlem9 wceq
      3wlkdlem3 preq12 adantr sseq1d simplr simprl preq12d adantl 3anbi123d syl
      wa wb mpbird ctp 3wlkdlem2 raleqi c0ex 1ex 2ex fveq2 fv0p1e1 2fveq3 oveq1
      sseq12d 1p1e2 eqtrdi fveq2d 2p1e3 raltp bitri sylibr ) AUAFSZTFSZUBZUAHSI
      SZUCZWGUDFSZUBZTHSISZUCZWKUEFSZUBZUDHSISZUCZUFZGUGZFSZWTTUHUIZFSZUBZWTHSI
      SZUCZGUAHUJSUKUIZULZAWSBCUBZWIUCZCDUBZWMUCZDEUBZWQUCZUFZABCDEFHIJKLMNOPQR
      UMAWFBUNZWGCUNZVEZWKDUNZWOEUNZVEZVEZWSXOVFABCDEFHJKLMNOPUOYBWJXJWNXLWRXNY
      BWHXIWIXRWHXIUNYAWFWGBCUPUQURYBWLXKWMYBWGCWKDXPXQYAUSXRXSXTUTVAURYBWPXMWQ
      YAWPXMUNXRWKWODEUPVBURVCVDVGXHXFGUATUDVHZULWSXFGXGYCBCDEFHJKLNOVIVJXFWJWN
      WRGUATUDVKVLVMWTUAUNZXDWHXEWIYDXAWFXCWGWTUAFVNFWTVOVAWTUAIHVPVRWTTUNZXDWL
      XEWMYEXAWGXCWKWTTFVNYEXBUDFYEXBTTUHUIUDWTTTUHVQVSVTWAVAWTTIHVPVRWTUDUNZXD
      WPXEWQYFXAWKXCWOWTUDFVNYFXBUEFYFXBUDTUHUIUEWTUDTUHVQWBVTWAVAWTUDIHVPVRWCW
      DWE $.

    $d G k $.  $d ph k $.
    3wlkd.v $e |- V = ( Vtx ` G ) $.
    3wlkd.i $e |- I = ( iEdg ` G ) $.
    $( Construction of a walk from two given edges in a graph.  (Contributed by
       AV, 7-Feb-2021.)  (Revised by AV, 24-Mar-2021.) $)
    3wlkd $p |- ( ph -> F ( Walks ` G ) P ) $=
      ( vk cvv cword wcel cs4 s4cli eqeltri a1i cs3 s3cli chash cfv c1 caddc co
      wceq 3wlkdlem1 3wlkdlem10 3wlkdlem5 wa 1vgrex ad2antrr syl 3wlkdlem4 wlkd
      ) AFUAGHIMUBFUBUCZUDAFBCDEUEVFNBCDEUFUGUHGVFUDAGJKLUIVFOJKLUJUGUHFUKULGUK
      ULUMUNUOUPABCDEFGJKLNOUQUHABCDEFUAGIJKLMNOPQRURABCDEFUAGJKLMNOPQUSABMUDZC
      MUDZUTDMUDEMUDUTZUTHUBUDZPVGVJVHVIHBMSVAVBVCSTABCDEFUAGJKLMNOPVDVE $.

    $( A walk of length 3 from one vertex to another, different vertex via a
       third vertex.  (Contributed by AV, 8-Feb-2021.)  (Revised by AV,
       24-Mar-2021.) $)
    3wlkond $p |- ( ph -> F ( A ( WalksOn ` G ) D ) P ) $=
      ( cwlkson cfv co wbr cc0 clsw 3wlkd wlkonwlk1l wceq c1 wa c2 c3 3wlkdlem3
      simpll eqcomd syl cs4 fveq2i wcel fvex eleq1 mpbii lsws4 eqtr2id ad2antll
      cvv oveq12d breqd mpbird ) AGFBEHUAUBZUCZUDGFUEFUBZFUFUBZVKUCZUDAFGHABCDE
      FGHIJKLMNOPQRSTUGUHAVLVOGFABVMEVNVKAVMBUIZUJFUBCUIZUKZULFUBDUIZUMFUBZEUIZ
      UKZUKZBVMUIABCDEFGJKLMNOPUNZWCVMBVPVQWBUOUPUQAWCEVNUIZWDWAWEVRVSWAVNBCDEU
      RZUFUBZEFWFUFNUSWAEVGUTZWGEUIWAVTVGUTWHUMFVAVTEVGVBVCBCDEVGVDUQVEVFUQVHVI
      VJ $.

    3trld.n $e |- ( ph -> ( J =/= K /\ J =/= L /\ K =/= L ) ) $.
    $( Construction of a trail from two given edges in a graph.  (Contributed
       by Alexander van der Vekens, 13-Nov-2017.)  (Revised by AV, 8-Feb-2021.)
       (Revised by AV, 24-Mar-2021.)  (Proof shortened by AV, 30-Oct-2021.) $)
    3trld $p |- ( ph -> F ( Trails ` G ) P ) $=
      ( cwlks cfv wbr ccnv wfun ctrls 3wlkd cs3 cvv wcel w3a 3wlkdlem7 funcnvs3
      wne syl2anc cnveqi funeqi sylibr istrl sylanbrc ) AGFHUBUCUDGUEZUFZGFHUGU
      CUDABCDEFGHIJKLMNOPQRSTUHAJKLUIZUEZUFZVCAJUJUKKUJUKLUJUKULJKUOJLUOKLUOULV
      FABCDEFGIJKLMNOPQRUMUAJKLUJUNUPVBVEGVDOUQURUSFGHUTVA $.

    $( A trail of length 3 from one vertex to another, different vertex via a
       third vertex.  (Contributed by AV, 8-Feb-2021.)  (Revised by AV,
       24-Mar-2021.) $)
    3trlond $p |- ( ph -> F ( A ( TrailsOn ` G ) D ) P ) $=
      ( ctrlson cfv co wbr cwlkson ctrls 3wlkond 3trld wcel cword wa wb simplld
      cvv simprrd cs3 s3cli eqeltri cs4 pm3.2i a1i istrlson syl21anc mpbir2and
      s4cli ) AGFBEHUBUCUDUEZGFBEHUFUCUDUEZGFHUGUCUEZABCDEFGHIJKLMNOPQRSTUHABCD
      EFGHIJKLMNOPQRSTUAUIABMUJZEMUJZGUOUKZUJZFVLUJZULZVGVHVIULUMAVJCMUJZDMUJZV
      KULPUNAVJVPULVQVKPUPVOAVMVNGJKLUQVLOJKLURUSFBCDEUTVLNBCDEVFUSVAVBBEFVLGHM
      VLSVCVDVE $.

    $d G j $.  $d ph j $.
    $( A path of length 3 from one vertex to another vertex via a third vertex.
       (Contributed by Alexander van der Vekens, 6-Dec-2017.)  (Revised by AV,
       10-Feb-2021.)  (Revised by AV, 24-Mar-2021.) $)
    3pthd $p |- ( ph -> F ( Paths ` G ) P ) $=
      ( vk vj chash cfv cvv cword wcel cs4 s4cli eqeltri a1i c3 c4 c1 co fveq2i
      cmin cs3 s3len eqtri 4m1e3 s4len eqtr2i 3eqtr2i 3pthdlem1 eqid 3trld pthd
      oveq1i ) AFGUDUEZUBUCGHFUFUGZUHAFBCDEUIZVLNBCDEUJUKULVKUMUNUOURUPFUDUEZUO
      URUPVKJKLUSZUDUEUMGVOUDOUQJKLUTVAVBUNVNUOURVNVMUDUEUNFVMUDNUQBCDEVCVDVJVE
      ABCDEFUCUBGJKLMNOPQVFVKVGABCDEFGHIJKLMNOPQRSTUAVHVI $.

    $( A path of length 3 from one vertex to another, different vertex via a
       third vertex.  (Contributed by AV, 10-Feb-2021.)  (Revised by AV,
       24-Mar-2021.) $)
    3pthond $p |- ( ph -> F ( A ( PathsOn ` G ) D ) P ) $=
      ( cpthson cfv co wbr ctrlson cpths 3trlond 3pthd wcel cword wa wb simplld
      cvv simprrd cs3 s3cli eqeltri cs4 pm3.2i a1i ispthson syl21anc mpbir2and
      s4cli ) AGFBEHUBUCUDUEZGFBEHUFUCUDUEZGFHUGUCUEZABCDEFGHIJKLMNOPQRSTUAUHAB
      CDEFGHIJKLMNOPQRSTUAUIABMUJZEMUJZGUOUKZUJZFVLUJZULZVGVHVIULUMAVJCMUJZDMUJ
      ZVKULPUNAVJVPULVQVKPUPVOAVMVNGJKLUQVLOJKLURUSFBCDEUTVLNBCDEVFUSVAVBBEFVLG
      HMVLSVCVDVE $.

    ${
      3spthd.n $e |- ( ph -> A =/= D ) $.
      $( A simple path of length 3 from one vertex to another, different vertex
         via a third vertex.  (Contributed by AV, 10-Feb-2021.)  (Revised by
         AV, 24-Mar-2021.)  (Proof shortened by AV, 30-Oct-2021.) $)
      3spthd $p |- ( ph -> F ( SPaths ` G ) P ) $=
        ( ctrls cfv wbr cspths 3trld wa ccnv wfun simpr cs4 wcel wne w3a df-3an
        wi simplbi2 3ad2ant1 mpan9 simpr2 simpr3 3jca mpdan syl2anc adantr wceq
        funcnvs4 a1i cnveqd funeqd mpbird isspth sylanbrc ) AGFHUCUDUEZGFHUFUDU
        EZABCDEFGHIJKLMNOPQRSTUAUGAVOUHZVOFUIZUJZVPAVOUKVQVSBCDEULZUIZUJZAWBVOA
        BMUMCMUMUHDMUMEMUMUHUHBCUNZBDUNZBEUNZUOZCDUNCEUNUHZDEUNZUOZWBPAWCWDUHZW
        GWHUOZWIQAWKUHWFWGWHAWEWKWFUBWJWGWEWFUQWHWFWJWEWCWDWEUPURUSUTAWJWGWHVAA
        WJWGWHVBVCVDBCDEMVHVEVFVQVRWAVQFVTFVTVGVQNVIVJVKVLFGHVMVNVD $.

      $( A simple path of length 3 from one vertex to another, different vertex
         via a third vertex.  (Contributed by AV, 10-Feb-2021.)  (Revised by
         AV, 24-Mar-2021.) $)
      3spthond $p |- ( ph -> F ( A ( SPathsOn ` G ) D ) P ) $=
        ( cspthson cfv wbr ctrlson cspths 3trlond 3spthd wcel cvv cword simplld
        co wa simprrd cs3 s3cli eqeltri cs4 s4cli pm3.2i a1i isspthson syl21anc
        wb mpbir2and ) AGFBEHUCUDUNUEZGFBEHUFUDUNUEZGFHUGUDUEZABCDEFGHIJKLMNOPQ
        RSTUAUHABCDEFGHIJKLMNOPQRSTUAUBUIABMUJZEMUJZGUKULZUJZFVMUJZUOZVHVIVJUOV
        FAVKCMUJZDMUJZVLUOPUMAVKVQUOVRVLPUPVPAVNVOGJKLUQVMOJKLURUSFBCDEUTVMNBCD
        EVAUSVBVCBEFVMGHMVMSVDVEVG $.
    $}

    3cycld.e $e |- ( ph -> A = D ) $.
    $( Construction of a 3-cycle from three given edges in a graph.
       (Contributed by Alexander van der Vekens, 13-Nov-2017.)  (Revised by AV,
       10-Feb-2021.)  (Revised by AV, 24-Mar-2021.)  (Proof shortened by AV,
       30-Oct-2021.) $)
    3cycld $p |- ( ph -> F ( Cycles ` G ) P ) $=
      ( cpths cfv wbr cc0 chash wceq ccycls 3pthd wa cs4 fveq1i s4fv0 ad3antrrr
      wcel syl5eq simpr c3 cs3 fveq2i s3len eqtri fveq12i s4fv3 adantl ad2antlr
      eqtr2id 3eqtrd syl2anc iscycl sylanbrc ) AGFHUCUDUEUFFUDZGUGUDZFUDZUHZGFH
      UIUDUEABCDEFGHIJKLMNOPQRSTUAUJABMUPZCMUPZUKZDMUPZEMUPZUKZUKZBEUHZVPPUBWCW
      DUKVMBEVOVQVMBUHVRWBWDVQVMUFBCDEULZUDBUFFWENUMBCDEMUNUQUOWCWDURWBEVOUHZVS
      WDWAWFVTWAVOUSWEUDEVNUSFWENVNJKLUTZUGUDUSGWGUGOVAJKLVBVCVDBCDEMVEVHVFVGVI
      VJFGHVKVL $.

    $( Construction of a 3-cycle from three given edges in a graph, containing
       an endpoint of one of these edges.  (Contributed by Alexander van der
       Vekens, 17-Nov-2017.)  (Revised by AV, 10-Feb-2021.)  (Revised by AV,
       24-Mar-2021.) $)
    3cyclpd $p |- ( ph -> ( F ( Cycles ` G ) P /\ ( # ` F ) = 3
                            /\ ( P ` 0 ) = A ) ) $=
      ( ccycls cfv wbr chash c3 wceq cc0 3cycld cs3 fveq2i s3len eqtri a1i wcel
      wa cs4 fveq1i s4fv0 syl5eq ad2antrr syl 3jca ) AGFHUCUDUEGUFUDZUGUHZUIFUD
      ZBUHZABCDEFGHIJKLMNOPQRSTUAUBUJVFAVEJKLUKZUFUDUGGVIUFOULJKLUMUNUOABMUPZCM
      UPZUQDMUPEMUPUQZUQVHPVJVHVKVLVJVGUIBCDEURZUDBUIFVMNUSBCDEMUTVAVBVCVD $.
  $}

  ${
    $d E a b c $.  $d E k $.  $d F k $.  $d G k $.  $d P a b c $.  $d P k $.
    $d V a b c $.
    upgr3v3e3cycl.e $e |- E = ( Edg ` G ) $.
    upgr3v3e3cycl.v $e |- V = ( Vtx ` G ) $.
    $( If there is a cycle of length 3 in a pseudograph, there are three
       distinct vertices in the graph which are mutually connected by edges.
       (Contributed by Alexander van der Vekens, 9-Nov-2017.) $)
    upgr3v3e3cycl $p |- ( ( G e. UPGraph /\ F ( Cycles ` G ) P
                            /\ ( # ` F ) = 3 )
                    -> E. a e. V E. b e. V E. c e. V
                       ( ( { a , b } e. E /\ { b , c } e. E /\ { c , a } e. E )
                         /\ ( a =/= b /\ b =/= c /\ c =/= a ) ) ) $=
      ( cfv wcel c3 cpr w3a wne wa cc0 c1 c2 vk ccycls cupgr chash wceq cv wrex
      wbr cpths wi cyclprop cwlks pthiswlk caddc cfzo wral upgrwlkvtxedg eqeq2d
      co fveq2 anbi2d ctp fzo0to3tp eqtrdi raleqdv c0ex 1ex 2ex fv0p1e1 preq12d
      oveq2 eleq1d oveq1 1p1e2 fveq2d 2p1e3 raltp bitrdi anbi12d cfz wlkp feq2d
      wf id cn0 3nn0 0elfz mp1i ffvelrnd clt 1nn0 1lt3 fvffz0 ex 2nn0 2lt3 3jca
      mp3an syl6bi com12 3syl adantr impcom eqcoms adantl 3anbi3d biimpa simpll
      preq2 breq2 mpbiri cn 3nn lbfzo0 mpbir eleqtrrid pthdadjvtx fveq2i neeq2i
      1e0p1 sylibr syl3anc elfzo0 mpbir3an df-2 neeq2 df-3 preq1 3anbi13d neeq1
      wb mpbird 3anbi12d 3anbi23d rspc3ev syl12anc sylbid expd com13 syl expcom
      com23 mpcom imp 3imp21 ) CADUBKUHZDUCLZCUDKZMUEZFUFZGUFZNZBLZUUKHUFZNZBLZ
      UUNUUJNZBLZOZUUJUUKPZUUKUUNPZUUNUUJPZOZQZHEUGGEUGFEUGZUUFCADUIKUHZRAKZUUH
      AKZUEZQZUUGUUIUVEUJZUJZACDUKUVFUVIUVLCADULKUHZUVFUVIUVLUJACDUMZUVMUVFUVIU
      VLUVMUUGUVJUVKUUGUVMUVJUVKUJZUUGUVMQUAUFZAKZUVPSUNUSZAKZNZBLZUARUUHUOUSZU
      PZUVOAUABCDIUQUUIUVJUWCUVEUUIUVJUWCUVEUUIUVJUWCQUVFUVGMAKZUEZQZUVGSAKZNZB
      LZUWGTAKZNZBLZUWJUWDNZBLZOZQZUVEUUIUVJUWFUWCUWOUUIUVIUWEUVFUUIUVHUWDUVGUU
      HMAUTURVAUUIUWCUWAUARSTVBZUPUWOUUIUWAUAUWBUWQUUIUWBRMUOUSZUWQUUHMRUOVKZVC
      VDVEUWAUWIUWLUWNUARSTVFVGVHUVPRUEZUVTUWHBUWTUVQUVGUVSUWGUVPRAUTAUVPVIVJVL
      UVPSUEZUVTUWKBUXAUVQUWGUVSUWJUVPSAUTUXAUVRTAUXAUVRSSUNUSZTUVPSSUNVMVNVDVO
      VJVLUVPTUEZUVTUWMBUXCUVQUWJUVSUWDUVPTAUTUXCUVRMAUXCUVRTSUNUSZMUVPTSUNVMVP
      VDVOVJVLVQVRVSUUIUWPUVEUUIUWPQUVGELZUWGELZUWJELZOZUWIUWLUWJUVGNZBLZOZUVGU
      WGPZUWGUWJPZUWJUVGPZOZUVEUWPUUIUXHUWFUUIUXHUJZUWOUVFUXPUWEUVFUVMRUUHVTUSZ
      EAWCZUXPUVNACDEJWAUUIUXRUXHUUIUXRRMVTUSZEAWCZUXHUUIUXQUXSEAUUHMRVTVKWBUXT
      UXEUXFUXGUXTUXSERAUXTWDMWELZRUXSLUXTWFMWGWHWIUYASWELZSMWJUHZUXTUXFUJWFWKW
      LUYAUYBUYCOUXTUXFASMEWMWNWRUYATWELZTMWJUHZUXTUXGUJWFWOWPUYAUYDUYEOUXTUXGA
      TMEWMWNWRWQWSWTXAXBXBXCUWPUXKUUIUWFUWOUXKUWFUWNUXJUWIUWLUWFUWMUXIBUWEUWMU
      XIUEZUVFUYFUWDUVGUWDUVGUWJXIXDXEVLXFXGXEUWPUUIUXOUWFUUIUXOUJUWOUWFUUIUXOU
      WFUUIQZUXLUXMUXNUYGUVFSUUHWJUHZRUWBLZUXLUVFUWEUUIXHZUUIUYHUWFUUIUYHUYCWLU
      UHMSWJXJXKXEZUUIUYIUWFUUIRUWRUWBRUWRLMXLLZXMMXNXOUWSXPXEUVFUYHUYIOUVGRSUN
      USZAKZPUXLACDRXQUWGUYNUVGSUYMAXTXRXSYAYBUYGUVFUYHSUWBLZUXMUYJUYKUUIUYOUWF
      UUISUWRUWBSUWRLUYBUYLUYCWKXMWLSMYCYDUWSXPXEUVFUYHUYOOUWGUXBAKZPUXMACDSXQU
      WJUYPUWGTUXBAYEXRXSYAYBUYGUXNUWJUXDAKZPZUYGUVFUYHTUWBLZUYRUYJUYKUUIUYSUWF
      UUITUWRUWBTUWRLUYDUYLUYEWOXMWPTMYCYDUWSXPXEACDTXQYBUWFUXNUYRYKZUUIUWEUYTU
      VFUWEUXNUWJUWDPUYRUVGUWDUWJYFUWDUYQUWJMUXDAYGXRXSVRXEXBYLWQWNXBXCUVDUXKUX
      OQUVGUUKNZBLZUUPUUNUVGNZBLZOZUVGUUKPZUVAUUNUVGPZOZQUWIUWGUUNNZBLZVUDOZUXL
      UWGUUNPZVUGOZQFGHUVGUWGUWJEEEUUJUVGUEZUUSVUEUVCVUHVUNUUMVUBUURVUDUUPVUNUU
      LVUABUUJUVGUUKYHVLVUNUUQVUCBUUJUVGUUNXIVLYIVUNUUTVUFUVBVUGUVAUUJUVGUUKYJU
      UJUVGUUNYFYIVSUUKUWGUEZVUEVUKVUHVUMVUOVUBUWIUUPVUJVUDVUOVUAUWHBUUKUWGUVGX
      IVLVUOUUOVUIBUUKUWGUUNYHVLYMVUOVUFUXLUVAVULVUGUUKUWGUVGYFUUKUWGUUNYJYMVSU
      UNUWJUEZVUKUXKVUMUXOVUPVUJUWLVUDUXJUWIVUPVUIUWKBUUNUWJUWGXIVLVUPVUCUXIBUU
      NUWJUVGYHVLYNVUPVULUXMVUGUXNUXLUUNUWJUWGYFUUNUWJUVGYJYNVSYOYPWNYQYRYSYTUU
      AUUBYRUUCUUDYTUUE $.
  $}

  ${
    uhgr3cyclex.v $e |- V = ( Vtx ` G ) $.
    uhgr3cyclex.e $e |- E = ( Edg ` G ) $.
    ${
      uhgr3cyclex.i $e |- I = ( iEdg ` G ) $.
      $( Lemma for ~ uhgr3cyclex .  (Contributed by AV, 12-Feb-2021.) $)
      uhgr3cyclexlem $p |- ( ( ( ( A e. V /\ B e. V ) /\ A =/= B )
                               /\ ( ( J e. dom I /\ { B , C } = ( I ` J ) )
                               /\ ( K e. dom I /\ { C , A } = ( I ` K ) ) ) )
                             -> J =/= K ) $=
        ( wcel wa wne cpr cfv wceq wi eqcoms fveq2 eqeq2d wb eqeq2 prcom eqeq1i
        cdm simpl simpr preq1b biimpcd sylbi syl6bi com12 adantld com14 necon3d
        adantl imp32 impancom imp ) AIMZBIMZNZABOZNGFUGZMZBCPZGFQZRZNZHVFMZCAPZ
        HFQZRZNZNZGHOZVDVQVEVRVDVQNGHABVDVKVPGHRZABRZSVSVKVPVDVTVSVJVPVDVTSZSZV
        GVSVJVHVNRZWBVSVIVNVHGHFUAUBVPWCWAVOWCWASVLVOWCVHVMRZWAWCWDUCVNVMVNVMVH
        UDTWAVMVHVMVHRACPZVHRZWAVMWEVHCAUEUFVDWFVTVDABCIIVBVCUHVBVCUIUJUKULTUMU
        RUNUMUOUPUSUQUTVA $.
    $}

    $d A f i j k p $.  $d B f i j k p $.  $d C f i j k p $.  $d G f i j k p $.
    $d V i j k $.
    $( If there are three different vertices in a hypergraph which are mutually
       connected by edges, there is a 3-cycle in the graph containing one of
       these vertices.  (Contributed by Alexander van der Vekens, 17-Nov-2017.)
       (Revised by AV, 12-Feb-2021.) $)
    uhgr3cyclex $p |- ( ( G e. UHGraph /\ ( ( A e. V /\ B e. V /\ C e. V )
                                         /\ ( A =/= B /\ A =/= C /\ B =/= C ) )
                    /\ ( { A , B } e. E /\ { B , C } e. E /\ { C , A } e. E ) )
                        -> E. f E. p ( f ( Cycles ` G ) p
                                       /\ ( # ` f ) = 3 /\ ( p ` 0 ) = A ) ) $=
      ( vi wcel w3a wne wa cv cfv wceq wi adantl vj vk cuhgr cpr ccycls wbr cc0
      chash c3 wex ciedg wrex wb cedg eleq2i eqid uhgredgiedgb syl5bb 3anbi123d
      cdm adantr cs3 cs4 3simpa pm3.22 3adant2 ad2antlr biimpi anim1ci 3ad2ant2
      jca necom wss eqimss 3ad2ant3 3ad2ant1 simp3 simp1 anim12i uhgr3cyclexlem
      syl2an 3simpc necomd exp31 3adant3 com12 impcom eqidd 3cyclpd cword s3cli
      3jca elexi s4cli breq12 fveqeq2 fveq1 eqeq1d spc2ev expcom 3exp rexlimiva
      cvv syl com13 3imp sylbid 3impia ) FUCLZAGLZBGLZCGLZMZABNZACNZBCNZMZOZABU
      DZELZBCUDZELZCAUDZELZMZDPZHPZFUEQZUFZYFUHQUIRZUGYGQZARZMZHUJDUJZXIXROZYEX
      SKPZFUKQZQZRZKYQUTZULZYAUAPZYQQZRZUAYTULZYCUBPZYQQZRZUBYTULZMZYNXIYEUUJUM
      XRXIXTUUAYBUUEYDUUIXTXSFUNQZLXIUUAEUUKXSJUOKXSFYQYQUPZUQURYBYAUUKLXIUUEEU
      UKYAJUOUAYAFYQUULUQURYDYCUUKLXIUUIEUUKYCJUOUBYCFYQUULUQURUSVAUUJYOYNUUAUU
      EUUIYOYNSZYSUUEUUIUUMSSKYTUUIUUEYPYTLZYSOZUUMUUHUUEUUOUUMSZSUBYTUUEUUFYTL
      ZUUHOZUUPUUDUURUUPSUAYTUUBYTLZUUDOZUURUUOUUMYOUUTUURUUOMZYNYOUVAOZYPUUBUU
      FVBZABCAVCZYHUFZUVCUHQUIRZUGUVDQZARZMZYNUVBABCAUVDUVCFYQYPUUBUUFGUVDUPUVC
      UPXRXJXKOZXLXJOZOZXIUVAXMUVLXQXMUVJUVKXJXKXLVDXJXLUVKXKXJXLVEVFVKVAVGXRXN
      XOOZXPBANZOZCANZMZXIUVAXQUVQXMXQUVMUVOUVPXNXOXPVDXNXPUVOXOXNUVNXPXNUVNABV
      LVHVIVFXOXNUVPXPXOUVPACVLVHVJZWLTVGUVAXSYRVMZYAUUCVMZYCUUGVMZMYOUVAUVSUVT
      UWAUUOUUTUVSUURYSUVSUUNXSYRVNTVOUUTUURUVTUUOUUDUVTUUSYAUUCVNTVPUURUUTUWAU
      UOUUHUWAUUQYCUUGVNTVJWLTIUULUVBYPUUBNZYPUUFNZUUBUUFNZYOUVKUVPOZUUOUUTOZUW
      BUVAXRUWEXIXMUVKXQUVPXMXLXJXJXKXLVQXJXKXLVRVKUVRVSTUUTUUOUWFUURUUTUUOVEVF
      CABEFYQYPUUBGIJUULVTWAYOXKXLOZXPOZUURUUOOZUWCUVAXRUWHXIXMUWGXQXPXJXKXLWBX
      NXOXPVQVSTUUTUURUUOWBUWHUWIOUUFYPBCAEFYQUUFYPGIJUULVTWCWAUVAYOUWDUUTUURYO
      UWDSUUOYOUUTUUROZUWDXRUWJUWDSZXIXQXMUWKXNXOXMUWKSXPXMXNUWKXJXKXNUWKSXLUVJ
      XNUWJUWDABCEFYQUUBUUFGIJUULVTWDWEWFVPWGTWFWEWGWLUVBAWHWIYMUVIDHUVCUVDUVCX
      CWJZYPUUBUUFWKWMUVDUWLABCAWNWMYFUVCRZYGUVDRZOYIUVEYJUVFYLUVHYFUVCYGUVDYHW
      OUWMYJUVFUMUWNYFUVCUIUHWPVAUWNYLUVHUMUWMUWNYKUVGAUGYGUVDWQWRTUSWSXDWTXAXB
      WFXBXEXBXFWFXGXH $.

    $( If there are three (different) vertices in a multigraph which are
       mutually connected by edges, there is a 3-cycle in the graph containing
       one of these vertices.  (Contributed by Alexander van der Vekens,
       17-Nov-2017.)  (Revised by AV, 12-Feb-2021.) $)
    umgr3cyclex $p |- ( ( G e. UMGraph /\ ( A e. V /\ B e. V /\ C e. V )
                    /\ ( { A , B } e. E /\ { B , C } e. E /\ { C , A } e. E ) )
                        -> E. f E. p ( f ( Cycles ` G ) p
                                       /\ ( # ` f ) = 3 /\ ( p ` 0 ) = A ) ) $=
      ( wcel w3a cpr wne cv cfv wceq wex simp2 umgredgne cumgr cuhgr ccycls wbr
      chash c3 cc0 umgruhgr 3ad2ant1 wa 3ad2antr1 eleq1i biimpi 3ad2ant3 sylan2
      prcom 3jca 3adant2 simp3 uhgr3cyclex syl121anc ) FUAKZAGKBGKCGKLZABMEKZBC
      MEKZCAMZEKZLZLFUBKZVCABNZACNZBCNZLZVHDOZHOZFUCPUDVNUEPUFQUGVOPAQLHRDRVBVC
      VIVHFUHUIVBVCVHSVBVHVMVCVBVHUJVJVKVLVBVEVDVJVGEFABJTUKVHVBACMZEKZVKVGVDVQ
      VEVGVQVFVPECAUPULUMUNEFACJTUOVHVBVEVLVDVEVGSEFBCJTUOUQURVBVCVHUSABCDEFGHI
      JUTVA $.

    $d E a b c f p $.  $d G a b c $.  $d V a b c f p $.
    $( If and only if there is a 3-cycle in a multigraph, there are three
       (different) vertices in the graph which are mutually connected by edges.
       (Contributed by Alexander van der Vekens, 14-Nov-2017.)  (Revised by AV,
       12-Feb-2021.) $)
    umgr3v3e3cycl $p |- ( G e. UMGraph
                         -> ( E. f E. p ( f ( Cycles ` G ) p /\ ( # ` f ) = 3 )
                              <-> E. a e. V E. b e. V E. c e. V
                  ( { a , b } e. E /\ { b , c } e. E /\ { c , a } e. E ) ) ) $=
      ( wcel cv cfv wa wex cpr w3a wrex wne reximi cumgr ccycls wbr chash cupgr
      c3 wceq umgrupgr adantr simpl adantl simpr upgr3v3e3cycl syl3anc exlimdvv
      syl simplll df-3an biimpri ad4ant23 cc0 umgr3cyclex rexlimdva2 rexlimdvva
      ex 3simpa 2eximi impbid ) CUAKZALZELZCUBMUCZVJUDMUFUGZNZEOAOZFLZGLZPBKVQH
      LZPBKVRVPPBKQZHDRZGDRZFDRZVIVNWBAEVIVNWBVIVNNCUEKZVLVMWBVIWCVNCUHUIVNVLVI
      VLVMUJUKVNVMVIVLVMULUKWCVLVMQVSVPVQSVQVRSVRVPSQZNZHDRZGDRZFDRWBVKBVJCDFGH
      JIUMWGWAFDWFVTGDWEVSHDVSWDUJTTTUPUNVEUOVIVTVOFGDDVIVPDKZVQDKZNZNZVSVOHDWK
      VRDKZNZVSNVIWHWIWLQZVSVOVIWJWLVSUQWJWLWNVIVSWNWJWLNWHWIWLURUSUTWMVSULVIWN
      VSQVLVMVAVKMVPUGZQZEOAOVOVPVQVRABCDEIJVBWPVNAEVLVMWOVFVGUPUNVCVDVH $.
  $}

  ${
    $d E k $.  $d E a b c d $.  $d F k $.  $d G k $.  $d P k $.
    $d P a b c d $.  $d V a b c d $.
    upgr4cycl4dv4e.v $e |- V = ( Vtx ` G ) $.
    upgr4cycl4dv4e.e $e |- E = ( Edg ` G ) $.
    $( If there is a cycle of length 4 in a pseudograph, there are four
       (different) vertices in the graph which are mutually connected by edges.
       (Contributed by Alexander van der Vekens, 9-Nov-2017.)  (Revised by AV,
       13-Feb-2021.) $)
    upgr4cycl4dv4e $p |- ( ( G e. UPGraph
                             /\ F ( Cycles ` G ) P /\ ( # ` F ) = 4 )
                           -> E. a e. V E. b e. V E. c e. V E. d e. V
                              ( ( ( { a , b } e. E /\ { b , c } e. E )
                               /\ ( { c , d } e. E /\ { d , a } e. E ) )
                               /\ ( ( a =/= b /\ a =/= c /\ a =/= d )
                                 /\ ( b =/= c /\ b =/= d /\ c =/= d ) ) ) ) $=
      ( wcel c4 wa wne w3a cc0 c1 c2 c3 vk ccycls cfv wbr cupgr chash wceq wrex
      cv cpr cpths wi cyclprop cwlks pthiswlk caddc co cfzo upgrwlkvtxedg fveq2
      wral eqeq2d anbi2d cun oveq2 fzo0to42pr eqtrdi raleqdv ralunb 1ex fv0p1e1
      preq12d eleq1d oveq1 1p1e2 fveq2d ralpr 2ex 3ex 2p1e3 3p1e4 anbi12i bitri
      c0ex bitrdi anbi12d wb preq2 eqcoms adantl cn0 cfz wf 4nn0 a1i wlkp feq2d
      clt 3jca fvffz0 sylan ad2antlr 1nn0 1lt4 2nn0 2lt4 3nn0 3lt4 ad2antrr 4nn
      mpbiri eleq2 pthdadjvtx syl3an3 fveq2i neeq2i sylibr elfzo0 mpbir3an 2ne0
      mpbir2an eleqtrrid adantr 3ad2ant3 pthdivtx syl2anc necomd 3ne0 syl112anc
      fzo1fzo0n0 preq1 anbi1d neeq2 neeq1 rspc2ev exp31 sylbid 2rexbidv expd
      syl biimpcd 3syl impcom id 0nn0 simpr simplr breq2 simpll cn lbfzo0 mpbir
      4pos 1e0p1 simp1 0elfz ax-mp df-2 ax-1ne0 cle 3re 4re ltleii elfz2nn0 1re
      1lt3 ltneii df-3 3anbi2d 3anbi13d 3anbi3d 3anbi23d mp2and imp4c 3anbi123d
      jca 3anbi1d 3anbi12d syl6 com13 expcom com23 mpcom imp 3imp21 ) CADUBUCUD
      ZDUELZCUFUCZMUGZFUIZGUIZUJZBLZUWKHUIZUJZBLZNZUWNIUIZUJZBLZUWRUWJUJZBLZNZN
      ZUWJUWKOZUWJUWNOZUWJUWROZPZUWKUWNOZUWKUWROZUWNUWROZPZNZNZIEUHHEUHZGEUHFEU
      HZUWFCADUKUCUDZQAUCZUWHAUCZUGZNZUWGUWIUXPULZULZACDUMUXQUXTUYCCADUNUCUDZUX
      QUXTUYCULACDUOZUYDUXQUXTUYCUYDUWGUYAUYBUWGUYDUYAUYBULZUWGUYDNUAUIZAUCZUYG
      RUPUQZAUCZUJZBLZUAQUWHURUQZVAZUYFAUABCDKUSUWIUYAUYNUXPUWIUYAUYNUXPUWIUYAU
      YNNUXQUXRMAUCZUGZNZUXRRAUCZUJZBLZUYRSAUCZUJZBLZNZVUATAUCZUJZBLZVUEUYOUJZB
      LZNZNZNZUXPUWIUYAUYQUYNVUKUWIUXTUYPUXQUWIUXSUYOUXRUWHMAUTVBVCUWIUYNUYLUAQ
      RUJZSTUJZVDZVAZVUKUWIUYLUAUYMVUOUWIUYMQMURUQZVUOUWHMQURVEZVFVGVHVUPUYLUAV
      UMVAZUYLUAVUNVAZNVUKUYLUAVUMVUNVIVUSVUDVUTVUJUYLUYTVUCUAQRWDVJUYGQUGZUYKU
      YSBVVAUYHUXRUYJUYRUYGQAUTAUYGVKVLVMUYGRUGZUYKVUBBVVBUYHUYRUYJVUAUYGRAUTVV
      BUYISAVVBUYIRRUPUQZSUYGRRUPVNVOVGVPVLVMVQUYLVUGVUIUASTVRVSUYGSUGZUYKVUFBV
      VDUYHVUAUYJVUEUYGSAUTVVDUYITAVVDUYISRUPUQZTUYGSRUPVNVTVGVPVLVMUYGTUGZUYKV
      UHBVVFUYHVUEUYJUYOUYGTAUTVVFUYIMAVVFUYITRUPUQMUYGTRUPVNWAVGVPVLVMVQWBWCWE
      WFUWIVULUXRELZUYRELZUYTUYRUWNUJZBLZNZUWTUWRUXRUJZBLZNZNZUXRUYROZUXRUWNOZU
      XRUWROZPZUYRUWNOZUYRUWROZUXKPZNZNZIEUHHEUHZPZUXPUWIUXQUYPVUKVWFUWIUXQUYPV
      UKVWFULUWIUXQNZUYPNVUKVUDVUGVUEUXRUJZBLZNZNZVWFUYPVUKVWKWGVWGUYPVUJVWJVUD
      UYPVUIVWIVUGVUIVWIWGUYOUXRUYOUXRUGVUHVWHBUYOUXRVUEWHVMWIVCVCWJVWGVWKVWFUL
      ZUYPVWGMWKLZQMWLUQZEAWMZVWLVWMVWGWNWOUXQUWIVWOUXQUYDQUWHWLUQZEAWMZUWIVWOU
      LUYEACDEJWPUWIVWQVWOUWIVWPVWNEAUWHMQWLVEZWQUUAUUBUUCVWGVWMVWONZVWKVWFVWGV
      WSNZVWKNZVVGVVHVWEVWSVVGVWGVWKVWMVWMQWKLZQMWRUDZPVWOVVGVWMVWMVXBVXCVWMUUD
      ZVXBVWMUUEWOVXCVWMUUMWOWSAQMEWTXAXBVWSVVHVWGVWKVWMVWMRWKLZRMWRUDZPVWOVVHV
      WMVWMVXEVXFVXDVXEVWMXCWOVXFVWMXDWOWSARMEWTXAXBVXAVUAELZVUEELZVWKVVPUXRVUA
      OZUXRVUEOZPZUYRVUAOZUYRVUEOZVUAVUEOZPZNZVWEVWSVXGVWGVWKVWMVWMSWKLZSMWRUDZ
      PVWOVXGVWMVWMVXQVXRVXDVXQVWMXEWOVXRVWMXFWOWSASMEWTXAXBVWSVXHVWGVWKVWMVWMT
      WKLZTMWRUDZPVWOVXHVWMVWMVXSVXTVXDVXSVWMXGWOVXTVWMXHWOWSATMEWTXAXBVWTVWKUU
      FVWTVXPVWKVWTUXQRUWHWRUDZUWIUYMVUQUGZVXPUWIUXQVWSUUGUWIVYAUXQVWSUWIVYAVXF
      XDUWHMRWRUUHXKXIUWIUXQVWSUUIUWIVYBUXQVWSVURXIUXQVYAUWIVYBNZPZVXKVXOVYDVVP
      VXIVXJVYDUXRQRUPUQZAUCZOZVVPVYCUXQVYAQUYMLZVYGVYBVYHUWIVYBVYHQVUQLZVYIMUU
      JLZXJMUUKUULUYMVUQQXLXKWJACDQXMXNUYRVYFUXRRVYEAUUNXOXPXQVYDVUAUXRVYDUXQSR
      UWHURUQZLZQVWPLZSQOZPZVUAUXROUXQVYAVYCUUOZVYCUXQVYOVYAUWIVYOVYBUWIVYLVYMV
      YNUWISRMURUQZVYKSVYQLSVUQLZVYNVYRVXQVYJVXRXEXJXFSMXRXSZXTSMYJYAUWHMRURVEZ
      YBUWIQVWNVWPVWMQVWNLWNMUUPUUQVWRYBZVYNUWIXTWOWSYCYDACDSQYEYFYGVYDVUEUXRVY
      DUXQTVYKLZVYMTQOZPZVUEUXROVYPVYCUXQWUDVYAUWIWUDVYBUWIWUBVYMWUCUWITVYQVYKT
      VYQLTVUQLZWUCWUEVXSVYJVXTXGXJXHTMXRXSYHTMYJYAVYTYBWUAWUCUWIYHWOWSYCYDACDT
      QYEYFYGWSVYDVXLVXMVXNVYDUYRVVCAUCZOZVXLVYCUXQVYARUYMLZWUGVYBWUHUWIVYBWUHR
      VUQLZWUIVXEVYJVXFXCXJXDRMXRXSZUYMVUQRXLXKWJACDRXMXNVUAWUFUYRSVVCAUURXOXPX
      QVYDUXQRVYKLZTVWPLZRTOZPZVXMVYPVYCUXQWUNVYAUWIWUNVYBUWIWUKWULWUMUWIRVYQVY
      KRVYQLWUIRQOWUJUUSRMYJYAVYTYBUWITVWNVWPTVWNLVXSVWMTMUUTUDXGWNTMUVAUVBXHUV
      CTMUVDXSVWRYBWUMUWIRTUVEUVFUVGWOWSYCYDACDRTYEYFVYDVUAVVEAUCZOZVXNVYCUXQVY
      ASUYMLZWUPVYBWUQUWIVYBWUQVYRVYSUYMVUQSXLXKWJACDSXMXNVUEWUOVUATVVEAUVHXOXP
      XQWSUVPYIYCVWDVWKVXPNVUDVUAUWRUJZBLZVVMNZNZVVPVXIVVRPZVXLVWAVUAUWROZPZNZN
      HIVUAVUEEEUWNVUAUGZVVOWVAVWCWVEWVFVVKVUDVVNWUTWVFVVJVUCUYTWVFVVIVUBBUWNVU
      AUYRWHVMVCWVFUWTWUSVVMWVFUWSWURBUWNVUAUWRYKVMYLWFWVFVVSWVBVWBWVDWVFVVQVXI
      VVPVVRUWNVUAUXRYMUVIWVFVVTVXLUXKWVCVWAUWNVUAUYRYMUWNVUAUWRYNUVJWFWFUWRVUE
      UGZWVAVWKWVEVXPWVGWUTVWJVUDWVGWUSVUGVVMVWIWVGWURVUFBUWRVUEVUAWHVMWVGVVLVW
      HBUWRVUEUXRYKVMWFVCWVGWVBVXKWVDVXOWVGVVRVXJVVPVXIUWRVUEUXRYMUVKWVGVWAVXMW
      VCVXNVXLUWRVUEUYRYMUWRVUEVUAYMUVLWFWFYOYIWSYPUVMYCYQYPUVNUXOVWEUXRUWKUJZB
      LZUWPNZVVNNZUXRUWKOZVVQVVRPZUXLNZNZIEUHHEUHFGUXRUYREEUWJUXRUGZUXNWVOHIEEW
      VPUXDWVKUXMWVNWVPUWQWVJUXCVVNWVPUWMWVIUWPWVPUWLWVHBUWJUXRUWKYKVMYLWVPUXBV
      VMUWTWVPUXAVVLBUWJUXRUWRWHVMVCWFWVPUXHWVMUXLWVPUXEWVLUXFVVQUXGVVRUWJUXRUW
      KYNUWJUXRUWNYNUWJUXRUWRYNUVOYLWFYRUWKUYRUGZWVOVWDHIEEWVQWVKVVOWVNVWCWVQWV
      JVVKVVNWVQWVIUYTUWPVVJWVQWVHUYSBUWKUYRUXRWHVMWVQUWOVVIBUWKUYRUWNYKVMWFYLW
      VQWVMVVSUXLVWBWVQWVLVVPVVQVVRUWKUYRUXRYMUVQWVQUXIVVTUXJVWAUXKUWKUYRUWNYNU
      WKUYRUWRYNUVRWFWFYRYOUVSYQYSUVTYTUWAUWBYSUWCUWDYTUWE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Connected graphs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ConnGraph $.

  $( Extend class notation with connected graphs. $)
  cconngr $a class ConnGraph $.

  ${
    $d g v k n f p $.
    $( Define the class of all connected graphs.  A graph is called _connected_
       if there is a path between every pair of (distinct) vertices.  The
       distinctness of the vertices is not necessary for the definition,
       because there is always a path (of length 0) from a vertex to itself,
       see ~ 0pthonv and ~ dfconngr1 .  (Contributed by Alexander van der
       Vekens, 2-Dec-2017.)  (Revised by AV, 15-Feb-2021.) $)
    df-conngr $a |- ConnGraph = { g | [. ( Vtx ` g ) / v ].
                 A. k e. v A. n e. v E. f E. p f ( k ( PathsOn ` g ) n ) p } $.

    $( Alternative definition of the class of all connected graphs, requiring
       paths between distinct vertices.  (Contributed by Alexander van der
       Vekens, 3-Dec-2017.)  (Revised by AV, 15-Feb-2021.) $)
    dfconngr1 $p |- ConnGraph = { g | [. ( Vtx ` g ) / v ].
                                  A. k e. v A. n e. ( v \ { k } )
                                  E. f E. p f ( k ( PathsOn ` g ) n ) p } $=
      ( cv cfv co wbr wex wral cvtx wsbc cab cdif wb wceq raleqdv raleqbi1dv wa
      cconngr cpthson csn df-conngr wcel eqid 0pthonv oveq2 breqd ralsng mpbird
      2exbidv difsnid eqcomd ralunb bitrdi mpbiran2d ralbiia fvex raleq bibi12d
      cun difeq1 sbcie mpbir sbcbi1 ax-mp abbii eqtri ) UBBGZFGZDGZEGZCGZUCHZIZ
      JZFKBKZEAGZLZDVTLZAVOMHZNZCOVSEVTVMUDZPZLZDVTLZAWCNZCOABCDEFUEWDWICWBWHQZ
      AWCNZWDWIQWKVSEWCLZDWCLZVSEWCWEPZLZDWCLZQZWLWODWCVMWCUFZWLWOVSEWELZWRWSVK
      VLVMVMVPIZJZFKBKZBVOVMWCFWCUGUHVSXBEVMWCVNVMRZVRXABFXCVQWTVKVLVNVMVMVPUIU
      JUMUKULWRWLVSEWNWEVCZLWOWSUAWRVSEWCXDWRXDWCWCVMUNUOSVSEWNWEUPUQURUSWJWQAW
      CVOMUTVTWCRZWBWMWHWPWAWLDVTWCVSEVTWCVATWGWODVTWCXEVSEWFWNVTWCWEVDSTVBVEVF
      WBWHAWCVGVHVIVJ $.
  $}

  ${
    $d f g h k n p v $.  $d G f h k n p $.  $d V h k n $.
    isconngr.v $e |- V = ( Vtx ` G ) $.
    $( The property of being a connected graph.  (Contributed by Alexander van
       der Vekens, 2-Dec-2017.)  (Revised by AV, 15-Feb-2021.) $)
    isconngr $p |- ( G e. W -> ( G e. ConnGraph
           <-> A. k e. V A. n e. V E. f E. p f ( k ( PathsOn ` G ) n ) p ) ) $=
      ( vg vv vh wcel cv cpthson cfv wex wral cvtx fveq2 raleqbidv cconngr wsbc
      co wbr cab df-conngr fvex raleq raleqbi1dv sbcie abbii wceq eqtr4di oveqd
      eleq2i breqd 2exbidv weq cbvabv elab2g syl5bb ) DUALDAMZGMZBMZCMZIMZNOZUC
      ZUDZGPAPZCJMZQZBVKQZJVFROZUBZIUEZLZDFLZVBVCVDVEDNOZUCZUDZGPAPZCEQZBEQZUAV
      PDJAIBCGUFUOVQDVJCVNQZBVNQZIUEZLVRWDVPWGDVOWFIVMWFJVNVFRUGVLWEBVKVNVJCVKV
      NUHUIUJUKUOVBVCVDVEKMZNOZUCZUDZGPAPZCWHROZQZBWMQZWDKDWGFWHDULZWNWCBWMEWPW
      MDROEWHDRSHUMZWPWLWBCWMEWQWPWKWAAGWPWJVTVBVCWPWIVSVDVEWHDNSUNUPUQTTWFWOIK
      IKURZWEWNBVNWMVFWHRSZWRVJWLCVNWMWSWRVIWKAGWRVHWJVBVCWRVGWIVDVEVFWHNSUNUPU
      QTTUSUTVAVA $.

    $( The property of being a connected graph.  (Contributed by Alexander van
       der Vekens, 2-Dec-2017.)  (Revised by AV, 15-Feb-2021.) $)
    isconngr1 $p |- ( G e. W -> ( G e. ConnGraph
                               <-> A. k e. V A. n e. ( V \ { k } )
                                   E. f E. p f ( k ( PathsOn ` G ) n ) p ) ) $=
      ( vg vv vh wcel cv cpthson cfv wex cdif wral cvtx raleqbidv wbr dfconngr1
      cconngr co csn wsbc cab eleq2i fvex wceq difeq1 raleqdv sbcie abbii fveq2
      id eqtr4di difeq1d oveqd breqd 2exbidv weq cbvabv elab2g syl5bb ) DUCLDAM
      ZGMZBMZCMZIMZNOZUDZUAZGPAPZCJMZVHUEZQZRZBVORZJVJSOZUFZIUGZLZDFLZVFVGVHVID
      NOZUDZUAZGPAPZCEVPQZRZBERZUCWBDJAIBCGUBUHWCDVNCVTVPQZRZBVTRZIUGZLWDWKWBWO
      DWAWNIVSWNJVTVJSUIVOVTUJZVRWMBVOVTWPUPWPVNCVQWLVOVTVPUKULTUMUNUHVFVGVHVIK
      MZNOZUDZUAZGPAPZCWQSOZVPQZRZBXBRZWKKDWOFWQDUJZXDWJBXBEXFXBDSOEWQDSUOHUQZX
      FXAWHCXCWIXFXBEVPXGURXFWTWGAGXFWSWFVFVGXFWRWEVHVIWQDNUOUSUTVATTWNXEIKIKVB
      ZWMXDBVTXBVJWQSUOZXHVNXACWLXCXHVTXBVPXIURXHVMWTAGXHVLWSVFVGXHVKWRVHVIVJWQ
      NUOUSUTVATTVCVDVEVE $.
  $}

  ${
    $d G c e f k n p $.
    $( A complete hypergraph is connected.  (Contributed by Alexander van der
       Vekens, 4-Dec-2017.)  (Revised by AV, 15-Feb-2021.) $)
    cusconngr $p |- ( ( G e. UHGraph /\ G e. ComplGraph )
                      -> G e. ConnGraph ) $=
      ( vf vp vk vn ve vc cuhgr wcel wa cv cfv wex wral wss wrex eqid adantr wb
      adantl ccplgr cconngr cpthson co wbr cvtx csn cdif cpr iscplgredg simp-4l
      cedg simpr eldifi anim12i wi id weq sseq2 rspcedv imp 1pthon2v rexlimdva2
      syl3anc ralimdva sylbid isconngr1 mpbird ) AHIZAUAIZJAUBIZBKCKDKZEKZAUCLU
      DUECMBMZEAUFLZVLUGZUHZNZDVONZVIVJVSVIVJVLVMUIZFKZOZFAULLZPZEVQNZDVONVSDFE
      WCAVOHVOQZWCQZUJVIWEVRDVOVIVLVOIZJZWDVNEVQWIVMVQIZJZWBVNFWCWKWAWCIZJZWBJV
      IWHVMVOIZJZVTGKZOZGWCPZVNVIWHWJWLWBUKWMWOWBWKWOWLWIWHWJWNVIWHUMVMVOVPUNUO
      RRWMWBWRWLWBWRUPWKWLWQWBGWAWCWLUQGFURWQWBSWLWPWAVTUSTUTTVAVLVMGBWCAVOCWFW
      GVBVDVCVEVEVFVAVIVKVSSVJBDEAVOHCWFVGRVH $.
  $}

  ${
    $d f k n p $.
    $( A graph without vertices is connected.  (Contributed by Alexander van
       der Vekens, 2-Dec-2017.)  (Revised by AV, 15-Feb-2021.) $)
    0conngr $p |- (/) e. ConnGraph $=
      ( vf vp vk vn c0 cconngr wcel cv cpthson cfv co wbr wex wral ral0 cvv 0ex
      wb cvtx vtxval0 eqcomi isconngr ax-mp mpbir ) EFGZAHBHCHDHEIJKLBMAMDENZCE
      NZUFCOEPGUEUGRQACDEEPBESJETUAUBUCUD $.

    $d G f k n p $.
    $( A graph without vertices is connected.  (Contributed by Alexander van
       der Vekens, 2-Dec-2017.)  (Revised by AV, 15-Feb-2021.) $)
    0vconngr $p |- ( ( G e. W /\ ( Vtx ` G ) = (/) ) -> G e. ConnGraph ) $=
      ( vf vp vk vn wcel cvtx cfv c0 wceq wa cconngr cv cpthson co wbr wex wral
      rzal adantl wb eqid isconngr adantr mpbird ) ABGZAHIZJKZLAMGZCNDNENFNAOIP
      QDRCRFUHSZEUHSZUIULUGUKEUHTUAUGUJULUBUICEFAUHBDUHUCUDUEUF $.

    $d N f k n p $.
    $( A graph with (at most) one vertex is connected.  (Contributed by
       Alexander van der Vekens, 2-Dec-2017.)  (Revised by AV, 15-Feb-2021.) $)
    1conngr $p |- ( ( G e. W /\ ( Vtx ` G ) = { N } ) -> G e. ConnGraph ) $=
      ( vf vp vk vn cvv wcel wceq wa cv co wbr wex wral adantr wb mpbird c0 cfv
      cvtx csn cconngr wi cpthson snidg eleq2 ad2antll eqid 0pthonv oveq2 breqd
      syl 2exbidv ralsng oveq1 ralbidv raleq raleqbi1dv isconngr ad2antrl ex wn
      snprc eqeq2 anbi2d 0vconngr syl6bi sylbi pm2.61i ) BHIZACIZAUBUAZBUCZJZKZ
      AUDIZUEZVLVQVRVLVQKZVRDLZELZFLZGLZAUFUAZMZNZEODOZGVNPZFVNPZVTWJWHGVOPZFVO
      PZVTWLWAWBBWDWEMZNZEODOZGVOPZVTWPWAWBBBWEMZNZEODOZVTBVNIZWSVTWTBVOIZVLXAV
      QBHUGQVPWTXARVLVMVNVOBUHUISDABVNEVNUJZUKUNVLWPWSRVQWOWSGBHWDBJZWNWRDEXCWM
      WQWAWBWDBBWEULUMUOUPQSVLWLWPRVQWKWPFBHWCBJZWHWOGVOXDWGWNDEXDWFWMWAWBWCBWD
      WEUQUMUOURUPQSVPWJWLRVLVMWIWKFVNVOWHGVNVOUSUTUISVMVRWJRVLVPDFGAVNCEXBVAVB
      SVCVLVDVOTJZVSBVEXEVQVMVNTJZKVRXEVPXFVMVOTVNVFVGACVHVIVJVK $.
  $}

  ${
    $d G a b $.  $d G e f p v $.  $d G a b f p $.  $d I e f p v $.
    $d N a b v $.  $d N e f p v $.  $d V a b v $.  $d V f p $.
    conngrv2edg.v $e |- V = ( Vtx ` G ) $.
    conngrv2edg.i $e |- I = ( iEdg ` G ) $.
    $( A vertex in a connected graph with more than one vertex is incident with
       at least one edge.  Formerly part of proof for ~ vdgn0frgrv2 .
       (Contributed by Alexander van der Vekens, 9-Dec-2017.)  (Revised by AV,
       4-Apr-2021.) $)
    conngrv2edg $p |- ( ( G e. ConnGraph /\ N e. V /\ 1 < ( # ` V ) )
                        -> E. e e. ran I N e. e ) $=
      ( vv vf vp va vb wcel cfv wbr cv wa wi co wex cconngr c1 clt w3a wne wrex
      chash crn cvv cvtx fvexi simp3 simp2 hashgt12el2 mp3an2i cpthson isconngr
      wral oveq1 breqd 2exbidv weq oveq2 rspc2v ad2ant2r cwlkson cc0 pthontrlon
      wceq ctrlson trlsonwlkon simpl simprr wlkon2n0 sylan2 ex 3syl wlkonl1iedg
      jca syl6com exlimdvv syldc syl6bi pm2.43i expd 3impib rexlimdv mpd ) BUAM
      ZDEMZUBEUGNUCOZUDZDHPZUEZHEUFZDAPMACUHUFZEUIMWLWKWJWOEBUJFUKWIWJWKULWIWJW
      KUMDEUIHUNUOWLWNWPHEWLWMEMZWNWPWIWJWKWQWNQZWPRWIWJWKQZWRWPWIWSWRQZWPRZWIW
      IIPZJPZKPZLPZBUPNZSZOZJTITZLEURKEURZXAIKLBEUAJFUQWTXJXBXCDWMXFSZOZJTITZWP
      WJWQXJXMRWKWNXIXMXBXCDXEXFSZOZJTITKLDWMEEXDDVIZXHXOIJXPXGXNXBXCXDDXEXFUSU
      TVALHVBZXOXLIJXQXNXKXBXCXEWMDXFVCUTVAVDVEWTXLWPIJXLWTXBXCDWMBVFNSOZXBUGNV
      GUEZQZWPXLXBXCDWMBVJNSOXRWTXTRDWMXCXBBVHDWMXCXBBVKXRWTXTXRWTQXRXSXRWTVLWT
      XRWNXSWSWQWNVMDWMXCXBBVNVOVSVPVQDWMXCAXBBCGVRVTWAWBWCWDWEWFWEWGWH $.
  $}

  ${
    $d G e x $.  $d N e x $.  $d V x $.
    vdn0conngrv2.v $e |- V = ( Vtx ` G ) $.
    $( A vertex in a connected multigraph with more than one vertex cannot have
       degree 0.  (Contributed by Alexander van der Vekens, 9-Dec-2017.)
       (Revised by AV, 4-Apr-2021.) $)
    vdn0conngrumgrv2 $p |- ( ( ( G e. ConnGraph /\ G e. UMGraph )
                                 /\ ( N e. V /\ 1 < ( # ` V ) ) )
                             -> ( ( VtxDeg ` G ) ` N ) =/= 0 ) $=
      ( vx ve wcel wa chash cfv cv ciedg cc0 wceq eqid wn wrex 3syl adantl cvv
      cconngr c1 clt wbr cvtxdg cdm crab vtxdumgrval ad2ant2lr wne wral wfn crn
      cumgr cuhgr umgruhgr uhgrfun funfn biimpi adantr simpl simprr conngrv2edg
      wfun syl3anc eleq2 rexrn biimpd sylc dfrex2 sylib c0 fvex dmex a1i rabexg
      wb hasheq0 rabeq0 bitrdi necon3abid mpbird eqnetrd ) AUAGZAUNGZHZBCGZUBCI
      JUCUDZHZHZBAUEJZJZBEKALJZJZGZEWMUFZUGZIJZMWEWGWLWRNWDWHEWPWKBAWMCDWMOZWPO
      WKOUHUIWJWRMUJWOPEWPUKZPZWJWOEWPQZXAWJWMWPULZBFKZGZFWMUMQZXBWFXCWIWEXCWDW
      EAUOGWMVDZXCAUPWMAWSUQXGXCWMURUSRSUTWJWDWGWHXFWFWDWIWDWEVAUTWIWGWFWGWHVAS
      WFWGWHVBFAWMBCDWSVCVEXCXFXBXEWOFEWPWMXDWNBVFVGVHVIWOEWPVJVKWJWTWRMWJWRMNZ
      WQVLNZWTWJWPTGZWQTGXHXIVQXJWJWMALVMVNVOWOEWPTVPWQTVRRWOEWPVSVTWAWBWC $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Eulerian paths and the Konigsberg Bridge problem
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Eulerian paths
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  According to Wikipedia ("Eulerian path",  9-Mar-2021,
  ~ https://en.wikipedia.org/wiki/Eulerian_path ): "In graph theory, an
   _Eulerian trail_ (or _Eulerian path_) is a trail in a finite graph that
   visits every edge exactly once (allowing for revisiting vertices).
   Similarly, an _Eulerian circuit_ or _Eulerian cycle_ is an Eulerian trail
   that starts and ends on the same vertex.  ... The term _Eulerian graph_ has
   two common meanings in graph theory.  One meaning is a graph with an
   Eulerian circuit, and the other is a graph with every vertex of even degree.
   These definitions coincide for connected graphs.  ... A graph that has an
   Eulerian trail but not an Eulerian circuit is called _semi-Eulerian_."

  Correspondingly, an _Eulerian path_ is defined as "a trail containing all
  edges" (see definition in [Bollobas] p. 16) in ~ df-eupth resp. ~ iseupth .
  ` ( EulerPaths `` G ) ` is the set of all Eulerian paths in graph ` G `, see
  ~ eupths .  An _Eulerian circuit_ (called _Euler tour_ in the definition in
  [Diestel] p. 22) is "a circuit in a graph containing all the edges" (see
  definition in [Bollobas] p. 16), or, with other words, a circuit which is an
  Eulerian path.  The function mapping a graph to the set of its Eulerian paths
  is defined as ` EulerPaths ` in ~ df-eupth , whereas there is no explicit
  definition for Eulerian circuits (yet): The statement "` <. F , P >. ` is an
  Eulerian circuit" is formally expressed by
  ` ( F ( EulerPaths `` G ) P /\ F ( Circuits `` G ) P ) `.

  Each Eulerian path can be made an Eulerian circuit by adding an edge which
  connects the endpoints of the Eulerian path (see ~ eupth2eucrct ).  Vice
  versa, removing one edge from a graph with an Eulerian circuit results in a
  graph with an Eulerian path, see ~ eucrct2eupth .

  An Eulerian path does not have to be a path in the meaning of definition
  ~ df-pths , because it may traverse some vertices more than once.  Therefore,
  "Eulerian trail" would be a more appropriate name.

  The main result of this section is (one direction of) _Euler's Theorem_: "A
  non-trivial connected graph has an Euler[[ian] circuit iff each vertex has
  even degree." (see part 1 of theorem 12 in [Bollobas] p. 16 and theorem 1.8.1
  in [Diestel] p. 22) or, expressed with Eulerian paths: "A connected graph has
  an Euler[[ian] trail from a vertex x to a vertex y (not equal with x) iff x
  and y are the only vertices of odd degree." (see part 2 of theorem 12 in
  [Bollobas] p. 17).  In ~ eulerpath , it is shown that a pseudograph with an
  Eulerian path has either zero or two vertices of odd degree, and ~ eulercrct
  shows that a pseudograph with an Eulerian circuit has only vertices of even
  degree.

$)

  $c EulerPaths $.

  $( Extend class notation with Eulerian paths. $)
  ceupth $a class EulerPaths $.

  ${
    $d f g p $.
    $( Define the set of all Eulerian paths on an arbitrary graph.
       (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by AV,
       18-Feb-2021.) $)
    df-eupth $a |- EulerPaths = ( g e. _V |-> { <. f , p >. |
                 ( f ( Trails ` g ) p
                   /\ f : ( 0 ..^ ( # ` f ) ) -onto-> dom ( iEdg ` g ) ) } ) $.

    $( The set ` ( EulerPaths `` G ) ` of all Eulerian paths on ` G ` is a set
       of pairs by our definition of an Eulerian path, and so is a relation.
       (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by AV,
       18-Feb-2021.) $)
    releupth $p |- Rel ( EulerPaths ` G ) $=
      ( vf vp vg cv ctrls cfv wbr cc0 chash cfzo co ciedg cdm wfo wa cvv ceupth
      df-eupth relmptopab ) BEZCEDEZFGHIUAJGKLUBMGNUAOPDBCQARBDCST $.
  $}

  ${
    $d G f g p $.  $d I g $.
    eupths.i $e |- I = ( iEdg ` G ) $.
    $( The Eulerian paths on the graph ` G ` .  (Contributed by AV,
       18-Feb-2021.)  (Revised by AV, 29-Oct-2021.) $)
    eupths $p |- ( EulerPaths ` G ) = { <. f , p >. | ( f ( Trails ` G ) p
                                /\ f : ( 0 ..^ ( # ` f ) ) -onto-> dom I ) } $=
      ( vg ceupth cfv cv ctrls wbr cc0 chash cfzo cdm wfo copab wceq wtru ciedg
      co wa wb fveq2 eqtr4di dmeqd foeq3 syl adantl cvv cwlks trliswlk ssopab2i
      wcel wksv ssexi a1i df-eupth fvmptopab mptru ) BGHAIZDIZBJHKZLVAMHNUAZCOZ
      VAPZUBADQRSVFVDFIZTHZOZVAPZADFJGBVGBRZVJVFUCZSVKVIVERVLVKVHCVKVHBTHCVGBTU
      DEUEUFVIVEVDVAUGUHUIVCADQZUJUNSVMVAVBBUKHKZADQABDUOVCVNADVBVABULUMUPUQAFD
      URUSUT $.

    $d F f p $.  $d I f p $.  $d P f p $.
    $( The property " ` <. F , P >. ` is an Eulerian path on the graph ` G ` ".
       An Eulerian path is defined as bijection ` F ` from the edges to a set
       ` 0 ... ( N - 1 ) ` and a function ` P : ( 0 ... N ) --> V ` into the
       vertices such that for each ` 0 <_ k < N ` , ` F ( k ) ` is an edge from
       ` P ( k ) ` to ` P ( k + 1 ) ` .  (Since the edges are undirected and
       there are possibly many edges between any two given vertices, we need to
       list both the edges and the vertices of the path separately.)
       (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by Mario
       Carneiro, 3-May-2015.)  (Revised by AV, 18-Feb-2021.)  (Revised by AV,
       30-Oct-2021.) $)
    iseupth $p |- ( F ( EulerPaths ` G ) P <-> ( F ( Trails ` G ) P
                                /\ F : ( 0 ..^ ( # ` F ) ) -onto-> dom I ) ) $=
      ( vf vp cc0 cv chash cfv cfzo co cdm wfo ceupth ctrls eupths wceq wa
      simpl fveq2 oveq2d adantr eqidd foeq123d reltrls brfvopabrbr ) HFIZJKZLMZ
      DNZUIOHBJKZLMZULBOFGPQBACFCDGERUIBSZGIASZTZUKUNULULUIBUOUPUAUOUKUNSUPUOUJ
      UMHLUIBJUBUCUDUQULUEUFCUGUH $.

    $( The property " ` <. F , P >. ` is an Eulerian path on the graph ` G ` ".
       An Eulerian path is defined as bijection ` F ` from the edges to a set
       ` 0 ... ( N - 1 ) ` and a function ` P : ( 0 ... N ) --> V ` into the
       vertices such that for each ` 0 <_ k < N ` , ` F ( k ) ` is an edge from
       ` P ( k ) ` to ` P ( k + 1 ) ` .  (Since the edges are undirected and
       there are possibly many edges between any two given vertices, we need to
       list both the edges and the vertices of the path separately.)
       (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by Mario
       Carneiro, 3-May-2015.)  (Revised by AV, 18-Feb-2021.)  (Revised by AV,
       30-Oct-2021.) $)
    iseupthf1o $p |- ( F ( EulerPaths ` G ) P <-> ( F ( Walks ` G ) P
                            /\ F : ( 0 ..^ ( # ` F ) ) -1-1-onto-> dom I ) ) $=
      ( ceupth cfv wbr ctrls cc0 chash cfzo co cdm wfo cwlks ccnv anbi2i 3bitri
      wa wfun wf1o iseupth istrl anbi1i anass ancom dff1o3 bicomi ) BACFGHBACIG
      HZJBKGLMZDNZBOZTZBACPGHZUMBQUAZTZTZUOUKULBUBZTABCDEUCUNUOUPTZUMTUOUPUMTZT
      URUJUTUMABCUDUEUOUPUMUFVAUQUOUPUMUGRSUQUSUOUSUQUKULBUHUIRS $.

    $( Properties of an Eulerian path.  (Contributed by Mario Carneiro,
       12-Mar-2015.)  (Revised by AV, 18-Feb-2021.)  (Proof shortened by AV,
       30-Oct-2021.) $)
    eupthi $p |- ( F ( EulerPaths ` G ) P -> ( F ( Walks ` G ) P
                            /\ F : ( 0 ..^ ( # ` F ) ) -1-1-onto-> dom I ) ) $=
      ( ceupth cfv wbr cwlks cc0 chash cfzo co cdm wf1o wa iseupthf1o biimpi )
      BACFGHBACIGHJBKGLMDNBOPABCDEQR $.

    $( The ` F ` function in an Eulerian path is a bijection from a half-open
       range of nonnegative integers to the set of edges.  (Contributed by
       Mario Carneiro, 12-Mar-2015.)  (Revised by AV, 18-Feb-2021.) $)
    eupthf1o $p |- ( F ( EulerPaths ` G ) P
                     -> F : ( 0 ..^ ( # ` F ) ) -1-1-onto-> dom I ) $=
      ( ceupth cfv wbr cwlks cc0 chash cfzo co cdm wf1o eupthi simprd ) BACFGHB
      ACIGHJBKGLMDNBOABCDEPQ $.

    $( Any graph with an Eulerian path is of finite size, i.e. with a finite
       number of edges.  (Contributed by Mario Carneiro, 7-Apr-2015.)  (Revised
       by AV, 18-Feb-2021.) $)
    eupthfi $p |- ( F ( EulerPaths ` G ) P -> dom I e. Fin ) $=
      ( ceupth cfv wbr cc0 chash cfzo cfn wcel cdm cen fzofi wf1o eupthf1o ovex
      co f1oen ensym 3syl enfii sylancr ) BACFGHZIBJGZKTZLMDNZUHOHZUILMIUGPUFUH
      UIBQUHUIOHUJABCDERUHUIBIUGKSUAUHUIUBUCUIUHUDUE $.

    $d F k $.  $d G k $.  $d I k $.  $d N k $.  $d P k $.
    $( The ` N ` -th edge in an eulerian path is the edge having ` P ( N ) `
       and ` P ( N + 1 ) ` as endpoints .  (Contributed by Mario Carneiro,
       12-Mar-2015.)  (Revised by AV, 18-Feb-2021.) $)
    eupthseg $p |- ( ( F ( EulerPaths ` G ) P /\ N e. ( 0 ..^ ( # ` F ) ) ) ->
      { ( P ` N ) , ( P ` ( N + 1 ) ) } C_ ( I ` ( F ` N ) ) ) $=
      ( vk ceupth cfv wbr cc0 chash cfzo co wcel c1 caddc cpr wss cwlks cv wral
      wi cdm wf1o eupthi simpld wlkvtxeledg wceq fvoveq1 preq12d 2fveq3 sseq12d
      fveq2 rspccv 3syl imp ) BACHIJZEKBLIMNZOZEAIZEPQNAIZRZEBIDIZSZURBACTIJZGU
      AZAIZVGPQNAIZRZVGBIDIZSZGUSUBUTVEUCURVFUSDUDBUEABCDFUFUGAGBCDFUHVLVEGEUSV
      GEUIZVJVCVKVDVMVHVAVIVBVGEAUNVGEPAQUJUKVGEDBULUMUOUPUQ $.

    $d V k $.
    upgriseupth.v $e |- V = ( Vtx ` G ) $.
    $( The property " ` <. F , P >. ` is an Eulerian path on the pseudograph
       ` G ` ".  (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by
       Mario Carneiro, 3-May-2015.)  (Revised by AV, 18-Feb-2021.)  (Revised by
       AV, 30-Oct-2021.) $)
    upgriseupth $p |- ( G e. UPGraph -> ( F ( EulerPaths ` G ) P
            <-> ( F : ( 0 ..^ ( # ` F ) ) -1-1-onto-> dom I
                  /\ P : ( 0 ... ( # ` F ) ) --> V
                  /\ A. k e. ( 0 ..^ ( # ` F ) )
                 ( I ` ( F ` k ) ) = { ( P ` k ) , ( P ` ( k + 1 ) ) } ) ) ) $=
      ( cupgr wcel ceupth cfv wbr cc0 co wa wf w3a wb a1i cwlks chash cfzo wf1o
      cdm cword cfz cv c1 caddc cpr wceq wral iseupthf1o upgriswlk anbi1d simpr
      simpl2 simpl3 3jca f1of iswrdi syl 3anim1i simp1 jca impbii 3bitrd ) DIJZ
      CADKLMZCADUALMZNCUBLZUCOZEUEZCUDZPZCVNUFJZNVLUGOFAQZBUHZCLELVSALVSUIUJOAL
      UKULBVMUMZRZVOPZVOVRVTRZVJVPSVIACDEGUNTVIVKWAVOABCDEFHGUOUPWBWCSVIWBWCWBV
      OVRVTWAVOUQVQVRVTVOURVQVRVTVOUSUTWCWAVOVOVQVRVTVOVMVNCQVQVMVNCVAVNVLCVBVC
      VDVOVRVTVEVFVGTVH $.

    $( Properties of an Eulerian path in a pseudograph.  (Contributed by Mario
       Carneiro, 12-Mar-2015.)  (Revised by AV, 18-Feb-2021.)  (Proof shortened
       by AV, 30-Oct-2021.) $)
    upgreupthi $p |- ( ( G e. UPGraph /\ F ( EulerPaths ` G ) P )
             -> ( F : ( 0 ..^ ( # ` F ) ) -1-1-onto-> dom I
                  /\ P : ( 0 ... ( # ` F ) ) --> V
                  /\ A. k e. ( 0 ..^ ( # ` F ) )
                   ( I ` ( F ` k ) ) = { ( P ` k ) , ( P ` ( k + 1 ) ) } ) ) $=
      ( cupgr wcel ceupth cfv wbr cc0 chash cfzo co cdm wf1o cfz wf cv c1 caddc
      cpr wceq wral w3a upgriseupth biimpa ) DIJCADKLMNCOLZPQZERCSNUKTQFAUABUBZ
      CLELUMALUMUCUDQALUEUFBULUGUHABCDEFGHUIUJ $.
  $}

  ${
    $d F n $.  $d G n $.  $d I n $.  $d N n $.  $d P n $.
    upgreupthseg.i $e |- I = ( iEdg ` G ) $.
    $( The ` N ` -th edge in an eulerian path is the edge from ` P ( N ) ` to
       ` P ( N + 1 ) ` .  (Contributed by Mario Carneiro, 12-Mar-2015.)
       (Revised by AV, 18-Feb-2021.) $)
    upgreupthseg $p |- ( ( G e. UPGraph /\ F ( EulerPaths ` G ) P
                           /\ N e. ( 0 ..^ ( # ` F ) ) )
                  -> ( I ` ( F ` N ) ) = { ( P ` N ) , ( P ` ( N + 1 ) ) } ) $=
      ( vn cupgr wcel ceupth cfv wbr cc0 chash cfzo co c1 caddc cpr wceq wa cdm
      wf1o cfz cvtx wf cv wral w3a eqid upgreupthi 2fveq3 fveq2 fvoveq1 preq12d
      wi eqeq12d rspccv 3ad2ant3 syl 3impia ) CHIZBACJKLZEMBNKZOPZIZEBKDKZEAKZE
      QRPAKZSZTZVBVCUAVEDUBBUCZMVDUDPCUEKZAUFZGUGZBKDKZVOAKZVOQRPAKZSZTZGVEUHZU
      IVFVKUPZAGBCDVMFVMUJUKWAVLWBVNVTVKGEVEVOETZVPVGVSVJVOEDBULWCVQVHVRVIVOEAU
      MVOEQARUNUOUQURUSUTVA $.
  $}

  $( An Eulerian path has length ` # ( F ) ` , which is an integer.
     (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by AV,
     18-Feb-2021.) $)
  eupthcl $p |- ( F ( EulerPaths ` G ) P -> ( # ` F ) e. NN0 ) $=
    ( ceupth cfv wbr cwlks cc0 chash cfzo co ciedg cdm wf1o wa wcel eqid eupthi
    cn0 wlkcl adantr syl ) BACDEFBACGEFZHBIEZJKCLEZMBNZOUDSPZABCUEUEQRUCUGUFABC
    TUAUB $.

  $( An Eulerian path is a trail.  (Contributed by Alexander van der Vekens,
     24-Nov-2017.)  (Revised by AV, 18-Feb-2021.) $)
  eupthistrl $p |- ( F ( EulerPaths ` G ) P -> F ( Trails ` G ) P ) $=
    ( ceupth cfv wbr ctrls cc0 chash cfzo co ciedg cdm wfo eqid iseupth simplbi
    ) BACDEFBACGEFHBIEJKCLEZMBNABCRROPQ $.

  $( An Eulerian path is a walk.  (Contributed by AV, 6-Apr-2021.) $)
  eupthiswlk $p |- ( F ( EulerPaths ` G ) P -> F ( Walks ` G ) P ) $=
    ( ceupth cfv wbr ctrls cwlks eupthistrl trliswlk syl ) BACDEFBACGEFBACHEFAB
    CIABCJK $.

  $( The ` P ` function in an Eulerian path is a function from a finite
     sequence of nonnegative integers to the vertices.  (Contributed by Mario
     Carneiro, 12-Mar-2015.)  (Revised by AV, 18-Feb-2021.) $)
  eupthpf $p |- ( F ( EulerPaths ` G ) P
                  -> P : ( 0 ... ( # ` F ) ) --> ( Vtx ` G ) ) $=
    ( ceupth cfv wbr cwlks cc0 chash cfz co cvtx wf eupthiswlk eqid wlkp syl )
    BACDEFBACGEFHBIEJKCLEZAMABCNABCRROPQ $.

  ${
    eupth0.v $e |- V = ( Vtx ` G ) $.
    eupth0.i $e |- I = ( iEdg ` G ) $.
    $( There is an Eulerian path on an empty graph, i.e. a graph with at least
       one vertex, but without an edge.  (Contributed by Mario Carneiro,
       7-Apr-2015.)  (Revised by AV, 5-Mar-2021.)  (Proof shortened by AV,
       30-Oct-2021.) $)
    eupth0 $p |- ( ( A e. V /\ I = (/) )
                  -> (/) ( EulerPaths ` G ) { <. 0 , A >. } ) $=
      ( wcel c0 wceq wa cc0 cop csn cfv wbr cfzo co cdm wf1o eqidd cwlks ceupth
      chash is0wlk mpancom f1o0 hash0 oveq2i fzo0 a1i dmeq dm0 eqtrdi f1oeq123d
      eqtri mpbiri anim12i iseupthf1o sylibr ) ADGZCHIZJHKALMZBUANOZKHUCNZPQZCR
      ZHSZJHVBBUBNOUTVCVAVGVBVBIUTVCUTVBTVBBADEUDUEVAVGHHHSUFVAVEHVFHHHVAHTVEHI
      VAVEKKPQHVDKKPUGUHKUIUOUJVAVFHRHCHUKULUMUNUPUQVBHBCFURUS $.

    eupthres.d $e |- ( ph -> F ( EulerPaths ` G ) P ) $.
    eupthres.n $e |- ( ph -> N e. ( 0 ..^ ( # ` F ) ) ) $.
    eupthres.e $e |- ( ph -> ( iEdg ` S ) = ( I |` ( F " ( 0 ..^ N ) ) ) ) $.
    eupthres.h $e |- H = ( F prefix N ) $.
    eupthres.q $e |- Q = ( P |` ( 0 ... N ) ) $.
    eupthres.s $e |- ( Vtx ` S ) = V $.
    $( The restriction ` <. H , Q >. ` of an Eulerian path ` <. F , P >. ` to
       an initial segment of the path (of length ` N ` ) forms an Eulerian path
       on the subgraph ` S ` consisting of the edges in the initial segment.
       (Contributed by Mario Carneiro, 12-Mar-2015.)  (Revised by Mario
       Carneiro, 3-May-2015.)  (Revised by AV, 6-Mar-2021.)  Hypothesis revised
       using the prefix operation.  (Revised by AV, 30-Nov-2022.) $)
    eupthres $p |- ( ph -> H ( EulerPaths ` S ) Q ) $=
      ( cfv wbr ceupth cwlks cc0 chash cfzo cima cres cdm wf1o ctrls eupthistrl
      co trliswlk 3syl cvtx wceq a1i wlkres syl trlreslem ciedg eqid iseupthf1o
      wa dmeqd f1oeq3d anbi2d syl5bb mpbir2and ) AGCDUASTZGCDUBSTZUCGUDSUEULZHE
      UCIUEULUFUGZUHZGUIZABCDEFGHIJKLAEBFUASTZEBFUJSTZEBFUBSTMBEFUKZBEFUMUNNDUO
      SJUPARUQOPQURABEFGHIJKLAVPVQMVRUSNPUTVJVKVLDVASZUHZGUIZVDAVKVOVDCGDVSVSVB
      VCAWAVOVKAVTVNVLGAVSVMOVEVFVGVHVI $.
  $}

  ${
    eupthp1.v $e |- V = ( Vtx ` G ) $.
    eupthp1.i $e |- I = ( iEdg ` G ) $.
    eupthp1.f $e |- ( ph -> Fun I ) $.
    eupthp1.a $e |- ( ph -> I e. Fin ) $.
    eupthp1.b $e |- ( ph -> B e. W ) $.
    eupthp1.c $e |- ( ph -> C e. V ) $.
    eupthp1.d $e |- ( ph -> -. B e. dom I ) $.
    eupthp1.p $e |- ( ph -> F ( EulerPaths ` G ) P ) $.
    eupthp1.n $e |- N = ( # ` F ) $.
    eupthp1.e $e |- ( ph -> E e. ( Edg ` G ) ) $.
    eupthp1.x $e |- ( ph -> { ( P ` N ) , C } C_ E ) $.
    eupthp1.u $e |- ( iEdg ` S ) = ( I u. { <. B , E >. } ) $.
    eupthp1.h $e |- H = ( F u. { <. N , B >. } ) $.
    eupthp1.q $e |- Q = ( P u. { <. ( N + 1 ) , C >. } ) $.
    eupthp1.s $e |- ( Vtx ` S ) = V $.
    eupthp1.l $e |- ( ( ph /\ C = ( P ` N ) ) -> E = { C } ) $.
    $( Append one path segment to an Eulerian path ` <. F , P >. ` to become an
       Eulerian path ` <. H , Q >. ` of the supergraph ` S ` obtained by adding
       the new edge to the graph ` G ` .  (Contributed by Mario Carneiro,
       7-Apr-2015.)  (Revised by AV, 7-Mar-2021.)  (Proof shortened by AV,
       30-Oct-2021.)  (Revised by AV, 8-Apr-2024.) $)
    eupthp1 $p |- ( ph -> H ( EulerPaths ` S ) Q ) $=
      ( cwlks cfv wbr cc0 chash cfzo cop csn cun cdm wf1o ceupth eupthiswlk syl
      co ciedg wceq a1i cvtx wlkp1 cin c0 wa eupthi eqcomi oveq2i f1oeq2 biimpi
      wb ax-mp adantl 3syl cvv wcel fvexi f1osng sylancr dmsnopg f1oeq3d mpbird
      fzodisjsn ineq2d wn disjsn sylibr eqtrd f1oun syl22anc c1 caddc wlkp1lem2
      cedg oveq2d cuz cn0 wlkcl eleq1i elnn0uz sylbb1 fzosplitsn dmun f1oeq123d
      iseupthf1o sylanbrc ) AJEFUKULUMUNJUOULZUPVEZKBGUQURZUSZUTZJVAZJEFVBULUMA
      BCDEFGHIJKLMNOPQRSTUAAHDIVBULUMZHDIUKULUMZUBDHIVCZVDZUCUDUEFVFULZXRVGAUFV
      HZUGUHFVIULMVGAUIVHUJVJAXTUNLUPVEZLURZUSZKUTZXQUTZUSZHLBUQURZUSZVAZAYGYJH
      VAZYHYKYMVAZYGYHVKVLVGZYJYKVKZVLVGYOAYAYBUNHUOULZUPVEZYJHVAZVMYPUBDHIKPVN
      UUBYPYBUUBYPUUAYGVGUUBYPVSYTLUNUPLYTUCVOVPUUAYGYJHVQVTVRWAWBAYQYHBURZYMVA
      ZALWCWDBNWDUUDLHUOUCWESLBWCNWFWGAYKUUCYHYMAGIXBULZWDYKUUCVGUDBGUUEWHVDZWI
      WJYRAUNLWKVHAYSYJUUCVKZVLAYKUUCYJUUFWLABYJWDWMUUGVLVGUAYJBWNWOWPYGYJYHYKH
      YMWQWRAXPYIXSYLJYNJYNVGAUGVHAXPUNLWSWTVEZUPVEZYIAXOUUHUNUPABCDFGHIJKLMNOP
      QRSTUAYDUCUDUEYFUGXAXCALUNXDULWDZUUIYIVGAYAYBUUJUBYCYBYTXEWDZUUJDHIXFLXEW
      DUUKUUJLYTXEUCXGLXHXIVDWBUNLXJVDWPXSYLVGAKXQXKVHXLWJEJFXRYEXRUFVOXMXN $.

    $d N k $.  $d P k $.  $d Q k $.  $d ph k $.
    eupth2eucrct.c $e |- ( ph -> C = ( P ` 0 ) ) $.
    $( Append one path segment to an Eulerian path ` <. F , P >. ` which may
       not be an (Eulerian) circuit to become an Eulerian circuit
       ` <. H , Q >. ` of the supergraph ` S ` obtained by adding the new edge
       to the graph ` G ` .  (Contributed by AV, 11-Mar-2021.)  (Proof
       shortened by AV, 30-Oct-2021.)  (Revised by AV, 8-Apr-2024.) $)
    eupth2eucrct $p |- ( ph -> ( H ( EulerPaths ` S ) Q
                              /\ H ( Circuits ` S ) Q ) ) $=
      ( vk ceupth cfv wbr ccrcts wa eupthp1 simpr ctrls chash eupthistrl adantl
      cc0 wceq cv cfz fveq2 eqeq12d cwlks eupthiswlk syl ciedg cop csn cun cvtx
      co a1i wlkp1lem5 cdm cword wcel wlkf cn0 lencl eleq1i sylbir 3syl rspcdva
      0elfz adantr eqcomd c1 caddc fveq2i cfn cin c0 wrdfin snfi wn cfzo fzonel
      wrddm sylnibr eleq2 notbid syl5ibrcom cvv fvexi opeldmd mpd disjsn sylibr
      nsyld hashun syl3anc eqcomi opex hashsng ax-mp oveq12i 3eqtrd fveq12d w3a
      ovexd wlkp1lem1 3jca fsnunfv eqtr2d iscrct sylanbrc jca mpdan ) AJEFUMUNU
      OZYPJEFUPUNUOZUQABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJURAYPUQZYPYQAYPUS
      YRJEFUTUNUOZVDEUNZJVAUNZEUNZVEYQYPYSAEJFVBVCYRYTVDDUNZCUUBAYTUUCVEZYPAULV
      FZEUNZUUEDUNZVEUUDULVDLVGVRZVDUUEVDVEUUFYTUUGUUCUUEVDEVHUUEVDDVHVIABCDEFU
      LGHIJKLMNOPQRSTUAAHDIUMUNUOZHDIVJUNUOZUBDHIVKZVLZUCUDUEFVMUNKBGVNVOVPVEAU
      FVSUGUHFVQUNMVEAUIVSVTAUUIHKWAZWBWCZVDUUHWCZUBUUIUUJUUNUUKDHIKPWDZVLZUUNH
      VAUNZWEWCZUUOUUMHWFUUSLWEWCUUOLUURWEUCWGLWKWHVLWIWJWLAUUCCVEYPACUUCUKWMWL
      YRUUBLWNWOVRZDUUTCVNVOVPZUNZCYRUUAUUTEUVAEUVAVEYRUHVSYRUUAHLBVNZVOZVPZVAU
      NZUURUVDVAUNZWOVRZUUTUUAUVFVEYRJUVEVAUGWPVSYRHWQWCZUVDWQWCZHUVDWRWSVEZUVF
      UVHVEAUVIYPAUUIUUJUVIUBUUKUUJUUNUVIUUPUUMHWTVLWIWLUVJYRUVCXAVSYRUVCHWCZXB
      ZUVKAUVMYPAHWAZVDUURXCVRZVEZUVMAUUIUUNUVPUBUUQUUMHXEWIAUVPLUVNWCZUVLAUVQX
      BUVPLUVOWCZXBAUURUVOWCZUVRUVSXBAVDUURXDVSLUURUVOUCWGXFUVPUVQUVRUVNUVOLXGX
      HXIALBHXJNLXJWCALHVAUCXKVSSXLXPXMWLHUVCXNXOHUVDXQXRUVHUUTVEYRUURLUVGWNWOL
      UURUCXSUVCXJWCUVGWNVELBXTUVCXJYAYBYCVSYDYEYRUUTXJWCZCMWCZUUTDWAWCXBZYFZUV
      BCVEAUWCYPAUVTUWAUWBALWNWOYGTABCDHIKLMNOPQRSTUAUULUCYHYIWLDXJMUUTCYJVLYKY
      DEJFYLYMYNYO $.
  $}

  $( Lemma for ~ eupth2 .  (Contributed by Mario Carneiro, 8-Apr-2015.) $)
  eupth2lem1 $p |- ( U e. V -> ( U e. if ( A = B , (/) , { A , B } ) <->
      ( A =/= B /\ ( U = A \/ U = B ) ) ) ) $=
    ( wceq c0 wcel wne wo wa wb cpr cif eleq2 bibi1d wn noel a1i simpl neneqd
    simpr nsyl3 2falsed elprg df-ne ibar sylbir sylan9bb ifbothda ) ABEZCFGZABH
    ZCAECBEIZJZKCABLZGZUNKCUJFUOMZGZUNKCDGZFUOFUQEUKURUNFUQCNOUOUQEUPURUNUOUQCN
    OUSUJJZUKUNUKPUTCQRUNUJUTUNABULUMSTUSUJUAUBUCUSUPUMUJPZUNCABDUDVAULUMUNKABU
    EULUMUFUGUHUI $.

  ${
    eupth2lem2.1 $e |- B e. _V $.
    $( Lemma for ~ eupth2 .  (Contributed by Mario Carneiro, 8-Apr-2015.) $)
    eupth2lem2 $p |- ( ( B =/= C /\ B = U ) ->
     ( -. U e. if ( A = B , (/) , { A , B } ) <->
          U e. if ( A = C , (/) , { A , C } ) ) ) $=
      ( wne wceq wa c0 cpr cif wcel wn wo cvv eupth2lem1 ax-mp bitr4di eleq1d
      wb eqidd olcd biantrud simpr bitrd necon1bbid simpl neeq1 syl5ibcom eqcom
      pm4.71rd ancom 3bitr4g neneqd biorf orcom bitrdi anbi1d bitr3id 3bitrd
      syl ) BCFZBDGZHZDABGZIABJKZLZMVEACFZBAGZBCGZNZHZDACGIACJKZLZVDVGABVDABFZB
      VFLZVGVDVOVOVIBBGZNZHZVPVDVRVOVDVQVIVDBUAUBUCBOLZVPVSTEABBOPQRVDBDVFVBVCU
      DZSUEUFVDVEVKVHHZVLVDVEVIVHHZWBVDVIVHVIHVEWCVDVIVHVDVBVIVHVBVCUGZBACUHUIU
      KABUJVIVHULUMVDVIVKVHVDVIVJVINZVKVDVJMVIWETVDBCWDUNVJVIUOVAVJVIUPUQURUEVH
      VKULRVLBVMLZVDVNVTWFVLTEACBOPQVDBDVMWASUSUT $.
  $}

  ${
    trlsegvdeg.v $e |- V = ( Vtx ` G ) $.
    trlsegvdeg.i $e |- I = ( iEdg ` G ) $.
    trlsegvdeg.f $e |- ( ph -> Fun I ) $.
    trlsegvdeg.n $e |- ( ph -> N e. ( 0 ..^ ( # ` F ) ) ) $.
    trlsegvdeg.u $e |- ( ph -> U e. V ) $.
    trlsegvdeg.w $e |- ( ph -> F ( Trails ` G ) P ) $.
    $( Lemma for ~ trlsegvdeg .  (Contributed by AV, 20-Feb-2021.) $)
    trlsegvdeglem1 $p |- ( ph -> ( ( P ` N ) e. V
                                /\ ( P ` ( N + 1 ) ) e. V ) ) $=
      ( cc0 cfv co wcel wa wbr chash cfzo c1 caddc ctrls cwlks trliswlk wlkpvtx
      wi cfz elfzofz impel fzofzp1 jca ex 3syl mpd ) AGODUAPZUBQRZGBPHRZGUCUDQZ
      BPHRZSZLADBEUEPTDBEUFPTZUSVCUINBDEUGVDUSVCVDUSSUTVBVDGOURUJQZRUTUSBDEGHIU
      HGOURUKULVDVAVERVBUSBDEVAHIUHOURGUMULUNUOUPUQ $.

    trlsegvdeg.vx $e |- ( ph -> ( Vtx ` X ) = V ) $.
    trlsegvdeg.vy $e |- ( ph -> ( Vtx ` Y ) = V ) $.
    trlsegvdeg.vz $e |- ( ph -> ( Vtx ` Z ) = V ) $.
    trlsegvdeg.ix $e |- ( ph -> ( iEdg ` X )
                                = ( I |` ( F " ( 0 ..^ N ) ) ) ) $.
    trlsegvdeg.iy $e |- ( ph -> ( iEdg ` Y )
                                = { <. ( F ` N ) , ( I ` ( F ` N ) ) >. } ) $.
    trlsegvdeg.iz $e |- ( ph -> ( iEdg ` Z )
                                = ( I |` ( F " ( 0 ... N ) ) ) ) $.
    $( Lemma for ~ trlsegvdeg .  (Contributed by AV, 20-Feb-2021.) $)
    trlsegvdeglem2 $p |- ( ph -> Fun ( iEdg ` X ) ) $=
      ( ciedg cfv wfun cc0 cfzo co cima cres funresd funeqd mpbird ) AIUDUEZUFF
      DUGGUHUIUJZUKZUFAUPFNULAUOUQUAUMUN $.

    $( Lemma for ~ trlsegvdeg .  (Contributed by AV, 20-Feb-2021.) $)
    trlsegvdeglem3 $p |- ( ph -> Fun ( iEdg ` Y ) ) $=
      ( ciedg cfv wfun cop csn cvv wcel fvex pm3.2i funsng mp1i funeqd mpbird
      wa ) AJUDUEZUFGDUEZUSFUEZUGUHZUFZUSUIUJZUTUIUJZUQVBAVCVDGDUKUSFUKULUSUTUI
      UIUMUNAURVAUBUOUP $.

    $( Lemma for ~ trlsegvdeg .  (Contributed by AV, 21-Feb-2021.) $)
    trlsegvdeglem4 $p |- ( ph -> dom ( iEdg ` X ) = ( ( F " ( 0 ..^ N ) )
                                                       i^i dom I ) ) $=
      ( ciedg cfv cdm cc0 cfzo co cima cres cin dmeqd dmres eqtrdi ) AIUDUEZUFF
      DUGGUHUIUJZUKZUFUQFUFULAUPURUAUMFUQUNUO $.

    $( Lemma for ~ trlsegvdeg .  (Contributed by AV, 21-Feb-2021.) $)
    trlsegvdeglem5 $p |- ( ph -> dom ( iEdg ` Y ) = { ( F ` N ) } ) $=
      ( ciedg cfv cdm cop csn dmeqd cvv wcel wceq fvex dmsnopg mp1i eqtrd ) AJU
      DUEZUFGDUEZURFUEZUGUHZUFZURUHZAUQUTUBUIUSUJUKVAVBULAURFUMURUSUJUNUOUP $.

    $( Lemma for ~ trlsegvdeg .  (Contributed by AV, 21-Feb-2021.) $)
    trlsegvdeglem6 $p |- ( ph -> dom ( iEdg ` X ) e. Fin ) $=
      ( ciedg cfv cdm cc0 cfzo co cima cin trlsegvdeglem4 wcel wfun ctrls chash
      cfn wbr wf1 trlf1 f1fun 3syl fzofi imafi sylancl infi syl eqeltrd ) AIUDU
      EUFDUGGUHUIZUJZFUFZUKZUQABCDEFGHIJKLMNOPQRSTUAUBUCULAVJUQUMZVLUQUMADUNZVI
      UQUMVMADBEUOUEURUGDUPUEUHUIZVKDUSVNQBDEFMUTVOVKDVAVBUGGVCDVIVDVEVJVKVFVGV
      H $.

    $( Lemma for ~ trlsegvdeg .  (Contributed by AV, 21-Feb-2021.) $)
    trlsegvdeglem7 $p |- ( ph -> dom ( iEdg ` Y ) e. Fin ) $=
      ( ciedg cfv cdm csn cfn trlsegvdeglem5 snfi eqeltrdi ) AJUDUEUFGDUEZUGUHA
      BCDEFGHIJKLMNOPQRSTUAUBUCUIULUJUK $.

    $( Formerly part of proof of ~ eupth2lem3 :  If a trail in a graph ` G `
       induces a subgraph ` Z ` with the vertices ` V ` of ` G ` and the edges
       being the edges of the walk, and a subgraph ` X ` with the vertices
       ` V ` of ` G ` and the edges being the edges of the walk except the last
       one, and a subgraph ` Y ` with the vertices ` V ` of ` G ` and one edges
       being the last edge of the walk, then the vertex degree of any vertex
       ` U ` of ` G ` within ` Z ` is the sum of the vertex degree of ` U `
       within ` X ` and the vertex degree of ` U ` within ` Y ` .  Note that
       this theorem would not hold for arbitrary walks (if the last edge was
       identical with a previous edge, the degree of the vertices incident with
       this edge would not be increased because of this edge).  (Contributed by
       Mario Carneiro, 8-Apr-2015.)  (Revised by AV, 20-Feb-2021.) $)
    trlsegvdeg $p |- ( ph -> ( ( VtxDeg ` Z ) ` U )
                     = ( ( ( VtxDeg ` X ) ` U ) + ( ( VtxDeg ` Y ) ` U ) ) ) $=
      ( ciedg cfv cvtx eqid eqtr4d cdm cin cc0 co trlsegvdeglem4 trlsegvdeglem5
      cfzo cima csn c0 ineq12d wcel wn wceq wo fzonel chash wf1 wss ctrls trlf1
      wb wbr syl elfzouz2 fzoss2 3syl f1elima syl3anc mtbiri orcd wa ianor elin
      cuz xchnxbir sylibr eqtrd trlsegvdeglem2 trlsegvdeglem3 eleqtrrd cfz cres
      disjsn cop cun wf f1f resunimafz0 uneq12d 3eqtr4d trlsegvdeglem6 vtxdfiun
      trlsegvdeglem7 ) AKIJIUDUEZJUDUEZCIUFUEZXCUGXDUGXEUGAJUFUEHXESRUHAKUFUEHX
      ETRUHAXCUIZXDUIZUJDUKGUOULZUPZFUIZUJZGDUEZUQZUJZURAXFXKXGXMABCDEFGHIJKLMN
      OPQRSTUAUBUCUMABCDEFGHIJKLMNOPQRSTUAUBUCUNUSAXLXKUTZVAZXNURVBAXLXIUTZVAZX
      LXJUTZVAZVCZXPAXRXTAXQGXHUTZUKGVDAUKDVEUEZUOULZXJDVFZGYDUTZXHYDVGZXQYBVJA
      DBEVHUEVKZYEQBDEFMVIZVLOAYFYCGWCUEUTYGOGUKYCVMGUKYCVNVOYDXJDGXHVPVQVRVSXQ
      XSVTYAXOXQXSWAXLXIXJWBWDWEXKXLWLWEWFABCDEFGHIJKLMNOPQRSTUAUBUCWGABCDEFGHI
      JKLMNOPQRSTUAUBUCWHACHXEPRWIAFDUKGWJULUPWKFXIWKZXLXLFUEWMUQZWNKUDUEXCXDWN
      ADFGNAYHYEYDXJDWOQYIYDXJDWPVOOWQUCAXCYJXDYKUAUBWRWSABCDEFGHIJKLMNOPQRSTUA
      UBUCWTABCDEFGHIJKLMNOPQRSTUAUBUCXBXA $.

    $( Lemma for ~ eupth2lem3 .  (Contributed by AV, 21-Feb-2021.) $)
    eupth2lem3lem1 $p |- ( ph -> ( ( VtxDeg ` X ) ` U ) e. NN0 ) $=
      ( cvtx cfv cn0 cvtxdg cvv wcel cdm cfn wf eleqtrrd elfvexd trlsegvdeglem6
      ciedg eqid vtxdgfisf syl2anc ffvelrnd ) AIUDUEZUFCIUGUEZAIUHUIIUPUEZUJZUK
      UIVAUFVBULACUDIACHVAPRUMZUNABCDEFGHIJKLMNOPQRSTUAUBUCUOVDIVCVAUHVAUQVCUQV
      DUQURUSVEUT $.

    $( Lemma for ~ eupth2lem3 .  (Contributed by AV, 21-Feb-2021.) $)
    eupth2lem3lem2 $p |- ( ph -> ( ( VtxDeg ` Y ) ` U ) e. NN0 ) $=
      ( cvtx cfv cn0 cvtxdg cvv wcel cdm cfn wf eleqtrrd elfvexd trlsegvdeglem7
      ciedg eqid vtxdgfisf syl2anc ffvelrnd ) AJUDUEZUFCJUGUEZAJUHUIJUPUEZUJZUK
      UIVAUFVBULACUDJACHVAPSUMZUNABCDEFGHIJKLMNOPQRSTUAUBUCUOVDJVCVAUHVAUQVCUQV
      DUQURUSVEUT $.

    $d U x $.  $d V x $.  $d X x $.
    eupth2lem3.o $e |- ( ph -> { x e. V | -. 2 || ( ( VtxDeg ` X ) ` x ) } =
        if ( ( P ` 0 ) = ( P ` N ) , (/) , { ( P ` 0 ) , ( P ` N ) } ) ) $.
    ${
      eupth2lem3lem3.e $e |- ( ph -> if- ( ( P ` N ) = ( P ` ( N + 1 ) ) ,
                                     ( I ` ( F ` N ) ) = { ( P ` N ) } ,
                                     { ( P ` N ) , ( P ` ( N + 1 ) ) }
                                     C_ ( I ` ( F ` N ) ) ) ) $.
      $( Lemma for ~ eupth2lem3 , formerly part of proof of ~ eupth2lem3 :  If
         a loop ` { ( P `` N ) , ( P `` ( N + 1 ) ) } ` is added to a trail,
         the degree of the vertices with odd degree remains odd (regarding the
         subgraphs induced by the involved trails).  (Contributed by Mario
         Carneiro, 8-Apr-2015.)  (Revised by AV, 21-Feb-2021.) $)
      eupth2lem3lem3 $p |- ( ( ph /\ ( P ` N ) = ( P ` ( N + 1 ) ) )
             -> ( -. 2 || ( ( ( VtxDeg ` X ) ` U ) + ( ( VtxDeg ` Y ) ` U ) )
                  <-> U e. if ( ( P ` 0 ) = ( P ` ( N + 1 ) ) , (/) ,
                                { ( P ` 0 ) , ( P ` ( N + 1 ) ) } ) ) ) $=
        ( cfv c1 caddc co wceq wa c2 cvtxdg cdvds wbr wn cc0 c0 cpr cif wcel wb
        crab fveq2 breq2d notbid elrab3 syl eleq2d bitr3d adantr eupth2lem3lem1
        cv cz a1i nn0zd eupth2lem3lem2 z2even cvv cvtx ad2antrr fvexd ciedg cop
        csn wss wif ifptru adantl mpbid sneq eqcoms sylan9eq opeq2d sneqd eqtrd
        2z 1loopgrvd2 breqtrrid wne z0even trlsegvdeglem1 simpld anim1i eldifsn
        cdif sylibr 1loopgrvd0 pm2.61dane dvdsadd2b nn0cnd addcomd bitrd eqeq2d
        syl112anc simpr preq2d ifbieq2d 3bitr3d ) AHCUGZHUHUIUJCUGZUKZULZUMDJUN
        UGZUGZUOUPZUQZDURCUGZYAUKZUSYIYAUTZVAZVBZUMYFDKUNUGUGZUIUJZUOUPZUQDYIYB
        UKZUSYIYBUTZVAZVBAYHYMVCYCADUMBVNZYEUGZUOUPZUQZBIVDZVBZYHYMADIVBZUUEYHV
        CQUUCYHBDIYTDUKZUUBYGUUGUUAYFUMUOYTDYEVEVFVGVHVIAUUDYLDUEVJVKVLYDYGYPYD
        YGUMYNYFUIUJZUOUPZYPYDUMVOVBZYFVOVBZYNVOVBZUMYNUOUPZYGUUIVCUUJYDWRVPAUU
        KYCAYFACDEFGHIJKLMNOPQRSTUAUBUCUDVMZVQVLAUULYCAYNACDEFGHIJKLMNOPQRSTUAU
        BUCUDVRZVQVLYDUUMDYAYDDYAUKZULZUMUMYNUOVSUUQHEUGZKDIVTAKWAUGIUKZYCUUPTW
        BUUQHEWCAUUFYCUUPQWBUUQKWDUGZUURUURGUGZWEZWFZUURDWFZWEZWFAUUTUVCUKZYCUU
        PUCWBUUQUVBUVEUUQUVAUVDUURYDUUPUVAYAWFZUVDYDYCUVAUVGUKZYAYBUTUVAWGZWHZU
        VHAUVJYCUFVLYCUVJUVHVCAYCUVHUVIWIWJWKZUVGUVDUKYADYADWLWMWNWOWPWQWSWTYDD
        YAXAZULZUMURYNUOXBUVMUURKDYAIVTAUUSYCUVLTWBUVMHEWCAYAIVBZYCUVLAUVNYBIVB
        ACDEFGHIMNOPQRXCXDWBYDUUTUURUVGWEZWFZUKUVLYDUUTUVCUVPAUVFYCUCVLYDUVBUVO
        YDUVAUVGUURUVKWOWPWQVLUVMUUFUVLULDIUVGXGVBYDUUFUVLAUUFYCQVLXEDIYAXFXHXI
        WTXJUMYFYNXKXPAUUIYPVCYCAUUHYOUMUOAYNYFAYNUUOXLAYFUUNXLXMVFVLXNVGYDYLYS
        DYDYJYQYKYRUSYDYAYBYIAYCXQZXOYDYAYBYIUVQXRXSVJXT $.

      eupth2lem3lem4.i $e |- ( ph -> ( I ` ( F ` N ) ) e. ~P V ) $.
      $( Lemma for ~ eupth2lem3 , formerly part of proof of ~ eupth2lem3 :  If
         an edge (not a loop) is added to a trail, the degree of the end
         vertices of this edge remains odd if it was odd before (regarding the
         subgraphs induced by the involved trails).  (Contributed by Mario
         Carneiro, 8-Apr-2015.)  (Revised by AV, 25-Feb-2021.) $)
      eupth2lem3lem4 $p |- ( ( ph /\ ( P ` N ) =/= ( P ` ( N + 1 ) )
                            /\ ( U = ( P ` N ) \/ U = ( P ` ( N + 1 ) ) ) )
             -> ( -. 2 || ( ( ( VtxDeg ` X ) ` U ) + ( ( VtxDeg ` Y ) ` U ) )
                  <-> U e. if ( ( P ` 0 ) = ( P ` ( N + 1 ) ) , (/) ,
                                { ( P ` 0 ) , ( P ` ( N + 1 ) ) } ) ) ) $=
        ( cfv c1 caddc co wne wceq wo c2 cvtxdg cdvds wbr wn cc0 c0 cpr wcel wb
        cif wa wi cvv fvexd ad2antrr trlsegvdeglem1 simprd neeq1 biimpcd adantl
        imp cpw ciedg cop csn wss adantr df-ne ifpfal sylbi preq1 sseq1d syl6bi
        wif mpd cvtx 1hegrvtxdg1 oveq2d breq2d notbid cv crab cz eupth2lem3lem1
        cn clt nn0zd 2nn a1i 1lt2 ndvdsp1 syl3anc con2d 1z n2dvds1 opoe mpanr12
        ex syl impbid fveq2 elrab3 eleq2d 3bitr2d fvex eupth2lem2 3bitrd expcom
        adantll eqcoms simpld neeq2 preq2 1hegrvtxdg1r necom con1bid jaoi com12
        sylanb 3impia ) AHCUHZHUIUJUKZCUHZULZDYPUMZDYRUMZUNZUODJUPUHZUHZDKUPUHU
        HZUJUKZUQURZUSZDUTCUHZYRUMVAUUIYRVBVEVCZVDZUUBAYSVFZUUKYTUULUUKVGZUUAUU
        MYPDUULYPDUMZUUKUULUUNVFZUUHUOUUDUIUJUKZUQURZUSZDUUIYPUMVAUUIYPVBVEZVCZ
        USZUUJUUOUUGUUQUUOUUFUUPUOUQUUOUUEUIUUDUJUUOHEUHZDYRUVBGUHZKIVHUUOHEVIA
        DIVCZYSUUNQVJAYRIVCZYSUUNAYPIVCZUVEACDEFGHIMNOPQRVKZVLVJUULUUNDYRULZYSU
        UNUVHVGAUUNYSUVHYPDYRVMVNVOVPAUVCIVQVCZYSUUNUGVJAKVRUHUVBUVCVSVTUMZYSUU
        NUCVJUULUUNDYRVBZUVCWAZUULYPYRUMZUVCYPVTUMZYPYRVBZUVCWAZWIZUUNUVLVGZAUV
        QYSUFWBZUULUVQUVPUVRYSUVQUVPVDZAYSUVMUSUVTYPYRWCUVMUVNUVPWDWEVOZUUNUVPU
        VLUUNUVOUVKUVCYPDYRWFWGVNWHWJVPAKWKUHIUMZYSUUNTVJWLWMWNWOAUURUVAVDZYSUU
        NAUUQUUTAUUQUOUUDUQURZUSZDUOBWPZUUCUHZUQURZUSZBIWQZVCZUUTAUUQUWEAUWDUUQ
        AUUDWRVCZUOWTVCZUIUOXAURZUWDUURVGAUUDACDEFGHIJKLMNOPQRSTUAUBUCUDWSXBZUW
        MAXCXDUWNAXEXDUOUUDXFXGXHAUWLUWEUUQVGUWOUWLUWEUUQUWLUWEVFUIWRVCUOUIUQUR
        USUUQXIXJUUDUIXKXLXMXNXOAUVDUWKUWEVDQUWIUWEBDIUWFDUMZUWHUWDUWPUWGUUDUOU
        QUWFDUUCXPWNWOXQXNAUWJUUSDUEXRXSWOZVJYSUUNUVAUUJVDZAUUIYPYRDHCXTYAYDYBY
        CYEUUMYRDUULYRDUMZUUKUULUWSVFZUUHUURUVAUUJUWTUUGUUQUWTUUFUUPUOUQUWTUUEU
        IUUDUJUWTUVBYPDUVCKIVHUWTHEVIAUVFYSUWSAUVFUVEUVGYFVJAUVDYSUWSQVJUULUWSY
        PDULZYSUWSUXAVGAUWSYSUXAYRDYPYGVNVOVPAUVIYSUWSUGVJAUVJYSUWSUCVJUULUWSYP
        DVBZUVCWAZUULUVQUWSUXCVGZUVSUULUVQUVPUXDUWAUWSUVPUXCUWSUVOUXBUVCYRDYPYH
        WGVNWHWJVPAUWBYSUWSTVJYIWMWNWOAUWCYSUWSUWQVJYSUWSUWRAYSUWSVFUUJUUTYSYRY
        PULUWSUUJUSUUTVDYPYRYJUUIYRYPDYQCXTYAYNYKYDYBYCYEYLYMYO $.
    $}

    eupth2lem3.e $e |- ( ph -> ( I ` ( F ` N ) )
                                = { ( P ` N ) , ( P ` ( N + 1 ) ) } ) $.
    $( Lemma for ~ eupth2 .  (Contributed by AV, 25-Feb-2021.) $)
    eupth2lem3lem5 $p |- ( ph -> ( I ` ( F ` N ) ) e. ~P V ) $=
      ( cfv c1 caddc co cpr cpw wcel wa trlsegvdeglem1 prelpwi syl eqeltrd ) AH
      EUGGUGHCUGZHUHUIUJCUGZUKZIULZUFAUSIUMUTIUMUNVAVBUMACDEFGHIMNOPQRUOUSUTIUP
      UQUR $.

    $( Formerly part of proof of ~ eupth2lem3 :  If an edge (not a loop) is
       added to a trail, the degree of vertices not being end vertices of this
       edge remains odd if it was odd before (regarding the subgraphs induced
       by the involved trails).  Remark:  This seems to be not valid for
       hyperedges joining more vertices than ` ( P `` 0 ) ` and
       ` ( P `` N ) ` : if there is a third vertex in the edge, and this vertex
       is already contained in the trail, then the degree of this vertex could
       be affected by this edge!  (Contributed by Mario Carneiro, 8-Apr-2015.)
       (Revised by AV, 25-Feb-2021.) $)
    eupth2lem3lem6 $p |- ( ( ph /\ ( P ` N ) =/= ( P ` ( N + 1 ) )
                          /\ ( U =/= ( P ` N ) /\ U =/= ( P ` ( N + 1 ) ) ) )
      -> ( -. 2 || ( ( ( VtxDeg ` X ) ` U ) + ( ( VtxDeg ` Y ) ` U ) ) <->
         U e. if ( ( P ` 0 ) = ( P ` ( N + 1 ) ) , (/) ,
                 { ( P ` 0 ) , ( P ` ( N + 1 ) ) } ) ) ) $=
      ( cfv c1 caddc co wne wa w3a c2 cvtxdg cdvds wbr wn cc0 wceq cpr cif wcel
      c0 cvv ciedg cop csn 3ad2ant1 cvtx fvexd simpl adantl simpr nelprd df-nel
      wnel wi sylibr neleq2 syl5ibr expd 1hevtxdg0 oveq2d eupth2lem3lem1 nn0cnd
      3imp addid1d eqtrd breq2d notbid wb cv crab fveq2 elrab3 eleq2d bitr3d wo
      3ad2ant3 2thd neeq1 bibi12d syl5ibcom pm5.32rd neneqd biorf bitrdi anbi2d
      syl orcom 3bitr3d eupth2lem1 3bitr4d 3bitrd ) AHCUGZHUHUIUJCUGZUKZDXPUKZD
      XQUKZULZUMZUNDJUOUGZUGZDKUOUGUGZUIUJZUPUQZURUNYDUPUQZURZDUSCUGZXPUTVDYJXP
      VAVBZVCZDYJXQUTVDYJXQVAVBVCZYBYGYHYBYFYDUNUPYBYFYDUSUIUJZYDYBYEUSYDUIYBHE
      UGZDYOGUGZKIVEVEAXRKVFUGYOYPVGVHUTYAUCVIAXRKVJUGIUTYATVIYBHEVKAXRDIVCZYAQ
      VIZYBYOGVKAXRYADYPVQZAYPXPXQVAZUTZXRYAYSVRVRUFUUAXRYAYSXRYAULZYSUUADYTVQZ
      UUBDYTVCURUUCUUBDXPXQYAXSXRXSXTVLZVMYAXTXRXSXTVNZVMVODYTVPVSYPYTDVTWAWBXJ
      WGWCWDAXRYNYDUTYAAYDAYDACDEFGHIJKLMNOPQRSTUAUBUCUDWEWFWHVIWIWJWKAXRYIYLWL
      YAADUNBWMZYCUGZUPUQZURZBIWNZVCZYIYLAYQUUKYIWLQUUIYIBDIUUFDUTZUUHYHUULUUGY
      DUNUPUUFDYCWOWJWKWPXJAUUJYKDUEWQWRVIYBYJXPUKZDYJUTZDXPUTZWSZULZYJXQUKZUUN
      DXQUTZWSZULZYLYMYBUUMUUNULUURUUNULUUQUVAYBUUNUUMUURYBXSXTWLUUNUUMUURWLYBX
      SXTYAAXSXRUUDWTZYAAXTXRUUEWTZXAUUNXSUUMXTUURDYJXPXBDYJXQXBXCXDXEYBUUNUUPU
      UMYBUUNUUOUUNWSZUUPYBUUOURUUNUVDWLYBDXPUVBXFUUOUUNXGXJUUOUUNXKXHXIYBUUNUU
      TUURYBUUNUUSUUNWSZUUTYBUUSURUUNUVEWLYBDXQUVCXFUUSUUNXGXJUUSUUNXKXHXIXLYBY
      QYLUUQWLYRYJXPDIXMXJYBYQYMUVAWLYRYJXQDIXMXJXNXO $.

    $( Lemma for ~ eupth2lem3 :  Combining ~ trlsegvdeg , ~ eupth2lem3lem3 ,
       ~ eupth2lem3lem4 and ~ eupth2lem3lem6 .  (Contributed by Mario Carneiro,
       8-Apr-2015.)  (Revised by AV, 27-Feb-2021.) $)
    eupth2lem3lem7 $p |- ( ph -> ( -. 2 || ( ( VtxDeg ` Z ) ` U )
                         <-> U e. if ( ( P ` 0 ) = ( P ` ( N + 1 ) ) , (/) ,
                                     { ( P ` 0 ) , ( P ` ( N + 1 ) ) } ) ) ) $=
      ( c2 cvtxdg cfv cdvds wbr wn caddc co cc0 c1 wceq cpr cif wcel trlsegvdeg
      c0 breq2d notbid wb csn wss wif ifpprsnss syl eupth2lem3lem3 wo wne wa wi
      eupth2lem3lem5 eupth2lem3lem4 3expa expcom neanior eupth2lem3lem6 pm2.61i
      sylbir pm2.61dane bitrd ) AUGDLUHUIUIZUJUKZULUGDJUHUIUIDKUHUIUIUMUNZUJUKZ
      ULZDUOCUIZHUPUMUNCUIZUQVBWKWLURUSUTZAWGWIAWFWHUGUJACDEFGHIJKLMNOPQRSTUAUB
      UCUDVAVCVDAWJWMVEZHCUIZWLABCDEFGHIJKLMNOPQRSTUAUBUCUDUEAHEUIGUIZWOWLURZUQ
      WOWLUQWPWOVFUQWQWPVGVHUFWOWLWPVIVJZVKDWOUQDWLUQVLZAWOWLVMZVNZWNVOZXAWSWNA
      WTWSWNABCDEFGHIJKLMNOPQRSTUAUBUCUDUEWRABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFVPV
      QVRVSWSULDWOVMDWLVMVNZXBDWODWLVTXAXCWNAWTXCWNABCDEFGHIJKLMNOPQRSTUAUBUCUD
      UEUFWAVRVSWCWBWDWE $.
  $}

  ${
    eupthvdres.v $e |- V = ( Vtx ` G ) $.
    eupthvdres.i $e |- I = ( iEdg ` G ) $.
    eupthvdres.g $e |- ( ph -> G e. W ) $.
    eupthvdres.f $e |- ( ph -> Fun I ) $.
    eupthvdres.p $e |- ( ph -> F ( EulerPaths ` G ) P ) $.
    eupthvdres.h $e |- H = <. V , ( I |` ( F " ( 0 ..^ ( # ` F ) ) ) ) >. $.
    $( Formerly part of proof of ~ eupth2 :  The vertex degree remains the same
       for all vertices if the edges are restricted to the edges of an Eulerian
       path.  (Contributed by Mario Carneiro, 8-Apr-2015.)  (Revised by AV,
       26-Feb-2021.) $)
    eupthvdres $p |- ( ph -> ( VtxDeg ` H ) = ( VtxDeg ` G ) ) $=
      ( cvv cfv cvtx wceq ciedg syl wcel cc0 cfzo co cima cres cop opex eqeltri
      chash a1i fveq2i wa fvexi resex pm3.2i opvtxfv syl5eq eqtrdi cdm opiedgfv
      wf1o wfo ceupth wbr eupthf1o f1ofo 3syl reseq2d wfn funfnd fnresdm 3eqtrd
      foima vtxdeqd ) ADEHOKEOUAAEGFCUBCUJPUCUDZUEZUFZUGZONGVRUHUIUKAEQPZGDQPAV
      TVSQPZGEVSQNULAGOUAZVROUAZUMZWAGRWDAWBWCGDQIUNFVQFDSJUNUOUPUKZVRGOOUQTURI
      USAESPZFDSPAWFVRFFUTZUFZFAWFVSSPZVREVSSNULAWDWIVRRWEVRGOOVATURAVQWGFAVPWG
      CVBZVPWGCVCVQWGRACBDVDPVEWJMBCDFJVFTVPWGCVGVPWGCVNVHVIAFWGVJWHFRAFLVKWGFV
      LTVMJUSVO $.
  $}

  ${
    eupth2.v $e |- V = ( Vtx ` G ) $.
    eupth2.i $e |- I = ( iEdg ` G ) $.
    eupth2.g $e |- ( ph -> G e. UPGraph ) $.
    eupth2.f $e |- ( ph -> Fun I ) $.
    eupth2.p $e |- ( ph -> F ( EulerPaths ` G ) P ) $.
    ${
      $d F k $.  $d G k $.  $d H x $.  $d I k $.  $d N k $.  $d P k $.
      $d U x $.  $d V x $.
      eupth2.h $e |- H = <. V , ( I |` ( F " ( 0 ..^ N ) ) ) >. $.
      eupth2.x $e |- X = <. V , ( I |` ( F " ( 0 ..^ ( N + 1 ) ) ) ) >. $.
      eupth2.n $e |- ( ph -> N e. NN0 ) $.
      eupth2.l $e |- ( ph -> ( N + 1 ) <_ ( # ` F ) ) $.
      eupth2.u $e |- ( ph -> U e. V ) $.
      eupth2.o $e |- ( ph -> { x e. V | -. 2 || ( ( VtxDeg ` H ) ` x ) } =
        if ( ( P ` 0 ) = ( P ` N ) , (/) , { ( P ` 0 ) , ( P ` N ) } ) ) $.
      $( Lemma for ~ eupth2 .  (Contributed by Mario Carneiro, 8-Apr-2015.)
         (Revised by AV, 26-Feb-2021.) $)
      eupth2lem3 $p |- ( ph -> ( -. 2 || ( ( VtxDeg ` X ) ` U )
                         <-> U e. if ( ( P ` 0 ) = ( P ` ( N + 1 ) ) , (/) ,
                                     { ( P ` 0 ) , ( P ` ( N + 1 ) ) } ) ) ) $=
        ( vk cfv cop csn cn0 wcel chash c1 caddc co cle wbr cc0 cfzo eupthiswlk
        cwlks wlkcl 3syl nn0p1elfzo syl3anc ctrls eupthistrl syl cvtx wceq cima
        ceupth cres fveq2i fvexi ciedg resex opvtxfvi a1i snex opiedgfvi cfz cz
        eqtri nn0zd fzval3 eqcomd imaeq2d reseq2d syl5eq cv cpr fvoveq1 preq12d
        2fveq3 fveq2 eqeq12d cupgr upgrwlkedg syl2anc rspcdva eupth2lem3lem7
        wral ) ABCDEFHIJGJIEUDZXAHUDZUEZUFZUEZKLMOAIUGUHEUIUDZUGUHZIUJUKULZXFUM
        UNIUOXFUPULZUHSAECFVIUDUNZECFURUDUNZXGPCEFUQZCEFUSUTTIXFVAVBZUAAXJECFVC
        UDUNPCEFVDVEGVFUDZJVGAXNJHEUOIUPULVHZVJZUEZVFUDJGXQVFQVKXPJJFVFLVLZHXOH
        FVMMVLZVNZVOWAVPXEVFUDJVGAXDJXRXCVQZVOVPKVFUDZJVGAYBJHEUOXHUPULZVHZVJZU
        EZVFUDJKYFVFRVKYEJXRHYDXSVNZVOWAVPGVMUDZXPVGAYHXQVMUDXPGXQVMQVKXPJXRXTV
        RWAVPXEVMUDXDVGAXDJXRYAVRVPAKVMUDZYEHEUOIVSULZVHZVJYIYFVMUDYEKYFVMRVKYE
        JXRYGVRWAAYDYKHAYCYJEAIVTUHZYCYJVGAISWBYLYJYCUOIWCWDVEWEWFWGUBAUCWHZEUD
        HUDZYMCUDZYMUJUKULCUDZWIZVGZXBICUDZXHCUDZWIZVGUCXIIYMIVGZYNXBYQUUAYMIHE
        WLUUBYOYSYPYTYMICWMYMIUJCUKWJWKWNAFWOUHXKYRUCXIWTNAXJXKPXLVECUCEFHMWPWQ
        XMWRWS $.
    $}

    $d ph x $.
    $( Lemma for ~ eupth2 (induction basis):  There are no vertices of odd
       degree in an Eulerian path of length 0, having no edge and identical
       endpoints (the single vertex of the Eulerian path).  Formerly part of
       proof for ~ eupth2 .  (Contributed by Mario Carneiro, 8-Apr-2015.)
       (Revised by AV, 26-Feb-2021.) $)
    eupth2lemb $p |- ( ph -> { x e. V | -. 2 || ( ( VtxDeg `
                    <. V , ( I |` ( F " ( 0 ..^ 0 ) ) ) >. ) ` x ) } = (/) ) $=
      ( c2 cc0 cima cfv c0 wceq wcel cvv cv cfzo cres cop cvtxdg cdvds wbr wral
      co wn crab wa z0even cvtx ciedg fvexi pm3.2i opvtxfv eqcomd eleq2d biimpa
      resex mp1i opiedgfv fzo0 imaeq2i ima0 eqtri reseq2i eqtrdi adantr vtxdg0e
      res0 eqid syl2anc breqtrrid notnotd ralrimiva rabeq0 sylibr ) AMBUAZGFDNN
      UBUIZOZUCZUDZUEPPZUFUGZUJZUJZBGUHWHBGUKQRAWIBGAWAGSZULZWGWKMNWFUFUMWKWAWE
      UNPZSZWEUOPZQRZWFNRAWJWMAGWLWAAWLGGTSZWDTSZULZWLGRAWPWQGEUNHUPFWCFEUOIUPV
      BUQZWDGTTURVCUSUTVAAWOWJAWNWDQWRWNWDRAWSWDGTTVDVCWDFQUCQWCQFWCDQOQWBQDNVE
      VFDVGVHVIFVMVHVJVKWAWEWNWLWLVNWNVNVLVOVPVQVRWHBGVSVT $.

    $d F x y $.  $d I x y $.  $d P y $.  $d V x y $.  $d n x y $.  $d ph y $.
    $( Lemma for ~ eupth2 (induction step):  The only vertices of odd degree in
       a graph with an Eulerian path are the endpoints, and then only if the
       endpoints are distinct, if the Eulerian path shortened by one edge has
       this property.  Formerly part of proof for ~ eupth2 .  (Contributed by
       Mario Carneiro, 8-Apr-2015.)  (Revised by AV, 26-Feb-2021.) $)
    eupth2lems $p |- ( ( ph /\ n e. NN0 ) -> ( ( n <_ ( # ` F ) -> { x e. V |
          -. 2 || ( ( VtxDeg ` <. V , ( I |` ( F " ( 0 ..^ n ) ) ) >. ) ` x ) }
             = if ( ( P ` 0 ) = ( P ` n ) , (/) , { ( P ` 0 ) , ( P ` n ) } ) )
                       -> ( ( n + 1 ) <_ ( # ` F ) -> { x e. V | -. 2 ||
          ( ( VtxDeg ` <. V , ( I |` ( F " ( 0 ..^ ( n + 1 ) ) ) ) >. ) ` x ) }
                          = if ( ( P ` 0 ) = ( P ` ( n + 1 ) ) , (/) ,
                                 { ( P ` 0 ) , ( P ` ( n + 1 ) ) } ) ) ) ) $=
      ( cn0 wcel wa cfv wbr cc0 wceq vy cv chash cle c2 cfzo co cima cop cvtxdg
      cres cdvds wn crab c0 cpr cif wi c1 caddc nn0re adantl lep1d peano2re syl
      ceupth cwlks eupthiswlk wlkcl 3syl nn0red adantr letr syl3anc mpand fveq2
      cr imim1d breq2d notbid elrab cupgr ad3antrrr wfun simpr ad2antrr simplrr
      eqid simprl eupth2lem3 pm5.32da cpw 0elpw wss wlkepvtx simpld cfz wf wlkp
      cuz cz peano2nn0 nn0uz eleqtrdi nn0zd elfz5 syl2anc mpbird ffvelrnd prssd
      wb prex elpw sylibr ifcl sylancr elpwid sseld pm4.71rd bitr4d eqrdv exp32
      syl5bb a2d syld ) ADUBZNOZPZYFEUCQZUDRZUEBUBZHGESYFUFUGUHUKUIZUJQQULRUMBH
      UNSCQZYFCQZTUOYMYNUPUQTZURYFUSUTUGZYIUDRZYOURYQUEYKHGESYPUFUGUHUKUIZUJQZQ
      ZULRZUMZBHUNZYMYPCQZTZUOYMUUDUPZUQZTZURYHYQYJYOYHYFYPUDRZYQYJYHYFYGYFVQOZ
      AYFVAVBZVCYHUUJYPVQOZYIVQOZUUIYQPYJURUUKYHUUJUULUUKYFVDVEAUUMYGAYIAECFVFQ
      RZECFVGQRZYINOZMCEFVHZCEFVIVJZVKVLYFYPYIVMVNVOVRYHYQYOUUHYHYQYOUUHYHYQYOP
      ZPZUAUUCUUGUAUBZUUCOUVAHOZUEUVAYSQZULRZUMZPZUUTUVAUUGOZUUBUVEBUVAHYKUVATZ
      UUAUVDUVHYTUVCUEULYKUVAYSVPVSVTWAUUTUVFUVBUVGPUVGUUTUVBUVEUVGUUTUVBPBCUVA
      EFYLGYFHYRIJAFWBOYGUUSUVBKWCAGWDYGUUSUVBLWCAUUNYGUUSUVBMWCYLWHYRWHYHYGUUS
      UVBAYGWEWFUUTYQUVBYHYQYOWIZVLUUTUVBWEYHYQYOUVBWGWJWKUUTUVGUVBUUTUUGHUVAUU
      TUUGHUUTUOHWLZOUUFUVJOZUUGUVJOHWMUUTUUFHWNUVKUUTYMUUDHAYMHOZYGUUSAUUNUUOU
      VLMUUQUUOUVLYICQHOCEFHIWOWPVJWFUUTSYIWQUGZHYPCAUVMHCWRZYGUUSAUUNUUOUVNMUU
      QCEFHIWSVJWFUUTYPUVMOZYQUVIUUTYPSWTQZOYIXAOUVOYQXKUUTYPNUVPYHYPNOZUUSYGUV
      QAYFXBVBVLXCXDUUTYIAUUPYGUUSUURWFXEYPSYIXFXGXHXIXJUUFHYMUUDXLXMXNUUEUOUUF
      UVJXOXPXQXRXSXTYCYAYBYDYE $.

    $d F m n x $.  $d I m n $.  $d P m n $.  $d V m n $.  $d m n x ph $.
    $( The only vertices of odd degree in a graph with an Eulerian path are the
       endpoints, and then only if the endpoints are distinct.  (Contributed by
       Mario Carneiro, 8-Apr-2015.)  (Revised by AV, 26-Feb-2021.) $)
    eupth2 $p |- ( ph -> { x e. V | -. 2 || ( ( VtxDeg ` G ) ` x ) }
                         = if ( ( P ` 0 ) = ( P ` ( # ` F ) ) , (/) ,
                                { ( P ` 0 ) , ( P ` ( # ` F ) ) } ) ) $=
      ( c2 cc0 cfv cdvds wbr wceq c0 wi vm vn cv chash cfzo co cima cres cvtxdg
      cop wn crab cpr cif eqid eupthvdres fveq1d breq2d notbid rabbidv cn0 wcel
      cupgr ceupth cwlks eupthiswlk wlkcl 3syl nn0re leidd c1 caddc breq1 oveq2
      imaeq2d reseq2d opeq2d fveq2d fveq2 eqeq2d preq2d ifbieq2d eqeq12d imbi2d
      cle imbi12d eupth2lemb iftruei eqtr4di a1d eupth2lems expcom nn0ind mpcom
      a2d mpid eqtr3d ) AMBUCZGFDNDUDOZUEUFZUGZUHZUJZUIOZOZPQZUKZBGULZMWREUIOZO
      ZPQZUKZBGULNCOZWSCOZRZSXMXNUMZUNZAXGXLBGAXFXKAXEXJMPAWRXDXIACDEXCFGVCHIJK
      LXCUOUPUQURUSUTWSVAVBZAXHXQRZADCEVDOQDCEVEOQXRLCDEVFCDEVGVHXRAWSWSWEQZXSX
      RWSWSVIVJAUAUCZWSWEQZMWRGFDNYAUEUFZUGZUHZUJZUIOZOZPQZUKZBGULZXMYACOZRZSXM
      YLUMZUNZRZTZTANWSWEQZMWRGFDNNUEUFZUGZUHZUJZUIOZOZPQZUKZBGULZXMXMRZSXMXMUM
      ZUNZRZTZTAUBUCZWSWEQZMWRGFDNUUMUEUFZUGZUHZUJZUIOZOZPQZUKZBGULZXMUUMCOZRZS
      XMUVDUMZUNZRZTZTAUUMVKVLUFZWSWEQZMWRGFDNUVJUEUFZUGZUHZUJZUIOZOZPQZUKZBGUL
      ZXMUVJCOZRZSXMUWAUMZUNZRZTZTAXTXSTZTUAUBWSYANRZYQUULAUWHYBYRYPUUKYANWSWEV
      MUWHYKUUGYOUUJUWHYJUUFBGUWHYIUUEUWHYHUUDMPUWHWRYGUUCUWHYFUUBUIUWHYEUUAGUW
      HYDYTFUWHYCYSDYANNUEVNVOVPVQVRUQURUSUTUWHYMUUHYNUUISUWHYLXMXMYANCVSZVTUWH
      YLXMXMUWIWAWBWCWFWDYAUUMRZYQUVIAUWJYBUUNYPUVHYAUUMWSWEVMUWJYKUVCYOUVGUWJY
      JUVBBGUWJYIUVAUWJYHUUTMPUWJWRYGUUSUWJYFUURUIUWJYEUUQGUWJYDUUPFUWJYCUUODYA
      UUMNUEVNVOVPVQVRUQURUSUTUWJYMUVEYNUVFSUWJYLUVDXMYAUUMCVSZVTUWJYLUVDXMUWKW
      AWBWCWFWDYAUVJRZYQUWFAUWLYBUVKYPUWEYAUVJWSWEVMUWLYKUVTYOUWDUWLYJUVSBGUWLY
      IUVRUWLYHUVQMPUWLWRYGUVPUWLYFUVOUIUWLYEUVNGUWLYDUVMFUWLYCUVLDYAUVJNUEVNVO
      VPVQVRUQURUSUTUWLYMUWBYNUWCSUWLYLUWAXMYAUVJCVSZVTUWLYLUWAXMUWMWAWBWCWFWDY
      AWSRZYQUWGAUWNYBXTYPXSYAWSWSWEVMUWNYKXHYOXQUWNYJXGBGUWNYIXFUWNYHXEMPUWNWR
      YGXDUWNYFXCUIUWNYEXBGUWNYDXAFUWNYCWTDYAWSNUEVNVOVPVQVRUQURUSUTUWNYMXOYNXP
      SUWNYLXNXMYAWSCVSZVTUWNYLXNXMUWOWAWBWCWFWDAUUKYRAUUGSUUJABCDEFGHIJKLWGUUH
      SUUIXMUOWHWIWJUUMVAVBZAUVIUWFAUWPUVIUWFTABCUBDEFGHIJKLWKWLWOWMWPWNWQ $.
  $}

  ${
    $d F x $.  $d G x $.  $d P x $.  $d V x $.
    eulerpathpr.v $e |- V = ( Vtx ` G ) $.
    $( A graph with an Eulerian path has either zero or two vertices of odd
       degree.  (Contributed by Mario Carneiro, 7-Apr-2015.)  (Revised by AV,
       26-Feb-2021.) $)
    eulerpathpr $p |- ( ( G e. UPGraph /\ F ( EulerPaths ` G ) P ) ->
      ( # ` { x e. V | -. 2 || ( ( VtxDeg ` G ) ` x ) } ) e. { 0 , 2 } ) $=
      ( wcel cfv wbr wa c2 wn chash cc0 wceq c0 cpr simpr fveq2 cvv cupgr cdvds
      ceupth cv cvtxdg crab ciedg eqid simpl wfun cuhgr upgruhgr uhgrfun adantr
      cif syl eupth2 fveq2d eleq1d hash0 c0ex prid1 eqeltri a1i wne neqned fvex
      wb hashprg mp2an sylib 2ex prid2 eqeltrdi ifbothda eqeltrd ) DUAGZCBDUCHI
      ZJZKAUDDUEHHUBILAEUFZMHNBHZCMHZBHZOZPWAWCQZUOZMHZNKQZVSVTWFMVSABCDDUGHZEF
      WIUHZVQVRUIVQWIUJZVRVQDUKGWKDULWIDWJUMUPUNVQVRRUQURWDPMHZWHGZWEMHZWHGWGWH
      GVSPWEPWFOWLWGWHPWFMSUSWEWFOWNWGWHWEWFMSUSWMVSWDJWLNWHUTNKVAVBVCVDVSWDLZJ
      ZWNKWHWPWAWCVEZWNKOZWPWAWCVSWORVFWATGWCTGWQWRVHNBVGWBBVGWAWCTTVIVJVKNKVLV
      MVNVOVP $.

    $d G f p $.  $d V f p $.  $d G f p x $.
    $( A pseudograph with an Eulerian path has either zero or two vertices of
       odd degree.  (Contributed by Mario Carneiro, 7-Apr-2015.)  (Revised by
       AV, 26-Feb-2021.) $)
    eulerpath $p |- ( ( G e. UPGraph /\ ( EulerPaths ` G ) =/= (/) ) ->
      ( # ` { x e. V | -. 2 || ( ( VtxDeg ` G ) ` x ) } ) e. { 0 , 2 } ) $=
      ( vf vp ceupth cfv c0 wne cupgr wcel c2 cvtxdg wbr wex wceq exlimiv sylbi
      cv cdvds wn crab chash cc0 cpr wi wrel wb releupth reldm0 ax-mp necon3bii
      cdm n0 bitri vex eldm eulerpathpr expcom impcom ) BGHZIJZBKLZMATBNHHUAOUB
      ACUCUDHUEMUFLZVCETZVBUNZLZEPZVDVEUGZVCVGIJVIVBIVGIVBUHVBIQVGIQUIBUJVBUKUL
      UMEVGUOUPVHVJEVHVFFTZVBOZFPVJFVFVBEUQURVLVJFVDVLVEAVKVFBCDUSUTRSRSVA $.

    $( A pseudograph with an Eulerian circuit ` <. F , P >. ` (an "Eulerian
       pseudograph") has only vertices of even degree.  (Contributed by AV,
       12-Mar-2021.) $)
    eulercrct $p |- ( ( G e. UPGraph /\ F ( EulerPaths ` G ) P
                                     /\ F ( Circuits ` G ) P )
                      -> A. x e. V 2 || ( ( VtxDeg ` G ) ` x ) ) $=
      ( cupgr wcel ceupth cfv wbr ccrcts w3a c2 cv cvtxdg wn wceq c0 wral cdvds
      crab cc0 chash cpr wa ciedg eqid simpl wfun cuhgr upgruhgr uhgrfun adantr
      cif syl simpr eupth2 3adant3 ctrls crctprop simprd 3ad2ant3 eqeq2d rabeq0
      iftrued notnotr ralimi sylbi syl6bi mpd ) DGHZCBDIJKZCBDLJKZMZNAODPJJUAKZ
      QZAEUBZUCBJZCUDJBJZRZSVSVTUEZUOZRZVPAETZVLVMWDVNVLVMUFABCDDUGJZEFWFUHZVLV
      MUIVLWFUJZVMVLDUKHWHDULWFDWGUMUPUNVLVMUQURUSVOWDVRSRZWEVOWCSVRVOWASWBVNVL
      WAVMVNCBDUTJKWABCDVAVBVCVFVDWIVQQZAETWEVQAEVEWJVPAEVPVGVHVIVJVK $.
  $}

  ${
    $d F i x y z $.  $d H i x y z $.  $d I i x y z $.  $d N x z $.  $d P x $.
    $d S x y z $.  $d V x $.  $d ph i x y z $.
    eucrctshift.v $e |- V = ( Vtx ` G ) $.
    eucrctshift.i $e |- I = ( iEdg ` G ) $.
    eucrctshift.c $e |- ( ph -> F ( Circuits ` G ) P ) $.
    eucrctshift.n $e |- N = ( # ` F ) $.
    eucrctshift.s $e |- ( ph -> S e. ( 0 ..^ N ) ) $.
    eucrctshift.h $e |- H = ( F cyclShift S ) $.
    eucrctshift.q $e |- Q = ( x e. ( 0 ... N ) |-> if ( x <_ ( N - S ) ,
                           ( P ` ( x + S ) ) , ( P ` ( ( x + S ) - N ) ) ) ) $.
    eucrctshift.e $e |- ( ph -> F ( EulerPaths ` G ) P ) $.
    $( Cyclically shifting the indices of an Eulerian circuit ` <. F , P >. `
       results in an Eulerian circuit ` <. H , Q >. ` .  (Contributed by AV,
       15-Mar-2021.)  (Proof shortened by AV, 30-Oct-2021.) $)
    eucrctshift $p |- ( ph -> ( H ( EulerPaths ` G ) Q
                             /\ H ( Circuits ` G ) Q ) ) $=
      ( wcel vi vy vz ceupth cfv wbr ccrcts ctrls cc0 chash cfzo cdm crctcshtrl
      co wfo wa simpr wf1o eupthf1o adantr wi wf cwlks cword trliswlk wlkf wrdf
      syl 3syl wf1 df-f1o cv wceq wrex wral dffo3 caddc cmo crctiswlk cn0 lencl
      ccsh oveq2i eleq2i cle cmin clt elfzonn0 adantl nn0sub syl2an biimpac w3a
      cn wb elfzo0 simp2 sylbi ad2antll cr nn0re ad2antrr nnre elfzoelz readdcl
      zred elfzole1 addge01 mpbid lelttrdi ex com23 3impia adantld imp 3ad2ant1
      3jca elfzoel2 ltsubaddd mpbird impcom syl3anbrc oveq1 oveq1d cc sylan9eqr
      eqtrd eqcomd rspcedeq2vd nn0cn 3ad2ant2 cz jca exp31 syl5bi sylibr biimpi
      zcnd ad3antrrr simplbiim anim12ci zmodidfzoimp nncn subadd23d simpll nn0z
      npcan wn nnz znnsub biimp3a nnnn0d nn0addcld eqeltrd simplr2 subcl addcom
      ltnle simpl sublt0d biimprd sylbird resubcl ltaddneg eqbrtrrd simp3 simp1
      3adant2 nppcand comraddd addmodid pm2.61ian rexeqi sylc reximi cshwidxmod
      syl2an3an eqeq2d rexbidva crctcshlem2 oveq2d fveq1i a1i eqeq12d rexeqbidv
      fveq2 rexlimdva2 ralimdva anim1ci com13 mpd mpdan iseupth crctcsh ) AHDGU
      DUEZUFZHDGUGUEZUFAHDGUHUEUFZUIHUJUEZUKUNZIULZHUOZUPZUWPAUWRUXCABCDEFGHIJK
      LMNOPQRUMAUWRUPZUWRUXBAUWRUQUXDUIFUJUEZUKUNZUXAFURZUXBAUXGUWRAFCUWOUFUXGS
      CFGIMUSVHUTUWRAUXGUXBVAZUWRUWTUXAHVBZAUXHVAUWRHDGVCUEZUFHUXAVDZTUXIDHGVED
      HGIMVFUXAHVGVIUXGAUXIUXBUXGUXFUXAFVJUXFUXAFUOZAUXIUXBVAVAZUXFUXAFVKUXLUXF
      UXAFVBUAVLZUBVLZFUEZVMZUBUXFVNZUAUXAVOZUXMUBUAUXFUXAFVPUXSAUXIUXBUXSAUPZU
      XIUPUXIUXNUCVLZHUEZVMZUCUWTVNZUAUXAVOZUPUXBUXTUYEUXIAUXSUYEAUXRUYDUAUXAAU
      XNUXATZUPZUXQUYDUBUXFUYGUXOUXFTZUPZUXQUPZUYDUXPUYAFEWBUNZUEZVMZUCUIJUKUNZ
      VNZUYJUYOUXPUYAEVQUNZUXEVRUNZFUEZVMZUCUYNVNZUYJUXOUYQVMZUCUYNVNZUYTUYIVUB
      UXQUYGUYHVUBAUYHVUBVAZUYFAFCUWQUFZEUYNTZVUCNPVUDFCUXJUFZFUXKTZVUEVUCVAZCF
      GVSZCFGIMVFZVUGUXEVTTZVUHUXAFWAVUEEUXFTZVUKVUCUYNUXFEJUXEUIUKOWCZWDVUKVUL
      UYHVUBVUKVULUPZUYHUPZVUAUCUXFVNZVUBEUXOWEUFZVUOVUPVUQVUOUPZUCUXOEWFUNZUXF
      UXOUYQVURVUSVTTZUXEWNTZVUSUXEWGUFZVUSUXFTVUOVUQVUTVUNEVTTZUXOVTTZVUQVUTWO
      UYHVULVVCVUKEUXEWHWIUXOUXEWHEUXOWJWKWLUYHVVAVUQVUNUYHVVDVVAUXOUXEWGUFZWMZ
      VVAUXOUXEWPZVVDVVAVVEWQWRWSVUOVVBVUQUYHVUNVVBUYHVVFVUNVVBVAVVGVVFVUNVVBVV
      FVUNUPZVVBUXOUXEEVQUNZWGUFZVVFVUNVVJVVFVULVVJVUKVVDVVAVVEVULVVJVAVVDVVAUP
      ZVULVVEVVJVVKVULVVEVVJVAVVKVULUPZUXOUXEVVIVVLUXOWTTZUXEWTTZVVIWTTZVVDVVMV
      VAVULUXOXAZXBVVKVVNVULVVAVVNVVDUXEXCZWIZUTVVKVVNEWTTZVVOVULVVRVULEEUIUXEX
      DZXFZUXEEXEWKXQVVLUIEWEUFZUXEVVIWEUFZVULVWBVVKEUIUXEXGWIVVKVVNVVSVWBVWCWO
      VULVVRVWAUXEEXHWKXIXJXKXLXMXNXOVVHUXOEUXEVVFVVMVUNVVDVVAVVMVVEVVPXPUTVULV
      VSVVFVUKVWAWSVULVVNVVFVUKVULUXEEUIUXEXRXFWSXSXTXKWRYAWIVUSUXEWPYBVURUYAVU
      SVMZUPUYQUXOVWDVURUYQVUSEVQUNZUXEVRUNZUXOVWDUYPVWEUXEVRUYAVUSEVQYCYDVURVW
      FUXOUXEVRUNZUXOVURVWEUXOUXEVRVURUXOYETZEYETZUPZVWEUXOVMVUOVWJVUQVUNVWIUYH
      VWHVULVWIVUKVULEVVTYRWIZUYHUXOUXOUIUXEXDYRZUUAWIUXOEUUGVHYDUYHVWGUXOVMVUQ
      VUNUXOUXEUUBWSYGYFYHYIVUQUUHZVUOUPZUCVUSUXEVQUNZUXFUXOUYQVWNVWOVTTZVVAVWO
      UXEWGUFZWMZVWOUXFTVUOVWMVWRUYHVUNVWMVWRVAZUYHVVFVUNVWSVAVVGVVFVULVWSVUKVU
      LVVCVVAEUXEWGUFZWMZVVFVWSEUXEWPVVDVVEVXAVWSVAVVAVVDVVEUPZVXAVWMVWRVXBVXAU
      PZVWMUPZVWPVVAVWQVXCVWPVWMVXCVWOUXOUXEEWFUNZVQUNVTVXCUXOEUXEVVDVWHVVEVXAU
      XOYJZXBVXAVWIVXBVVCVVAVWIVWTEYJXPZWIVXAUXEYETZVXBVVAVVCVXHVWTUXEUUCYKWIZU
      UDVXCUXOVXEVVDVVEVXAUUEVXCVXEVXAVXEWNTZVXBVVCVVAVWTVXJVVCEYLTZUXEYLTVWTVX
      JWOVVAEUUFUXEUUIEUXEUUJWKUUKWIUULUUMUUNUTVVCVVAVWTVXBVWMUUOVXDUXEVUSVQUNZ
      VWOUXEWGVXDVXHVUSYETZUPZVXLVWOVMVXCVXNVWMVXCVXHVXMVXIVXBVWHVWIVXMVXAVVDVW
      HVVEVXFUTVXGUXOEUUPWKYMUTUXEVUSUUQVHVXDVUSUIWGUFZVXLUXEWGUFZVXCVWMVXOVXBV
      VMVVSVWMVXOVAVXAVVDVVMVVEVVPUTZVVCVVAVVSVWTEXAXPZVVMVVSUPZVWMUXOEWGUFZVXO
      UXOEUURVXSVXOVXTVXSUXOEVVMVVSUUSVVMVVSUQUUTUVAUVBWKXOVXDVUSWTTZVVNUPZVXOV
      XPWOVXCVYBVWMVXCVYAVVNVXBVVMVVSVYAVXAVXQVXRUXOEUVCWKVXAVVNVXBVVAVVCVVNVWT
      VVQYKWIYMUTVUSUXEUVDVHXIUVEXQYNUVHYOXNWRYAYAVWOUXEWPYPVWNUYAVWOVMZUPUYQUX
      OVYCVWNUYQVWOEVQUNZUXEVRUNZUXOVYCUYPVYDUXEVRUYAVWOEVQYCYDVWNVYEUXEUXOVQUN
      ZUXEVRUNZUXOVWNVYDVYFUXEVRVWNVWIVWHVXHWMZVYDVYFVMVUOVYHVWMVUOVWIVWHVXHVUN
      VWIUYHVWKUTUYHVWHVUNVWLWIVUKVXHVULUYHUXEYJXBXQWIVYHVYDUXOUXEVWIVWHVXHWQZV
      WIVWHVXHUVFZVYHUXOEUXEVYIVWIVWHVXHUVGVYJUVIUVJVHYDVWNVVFVYGUXOVMUYHVVFVWM
      VUNUYHVVFVVGYQWSUXOUXEUVKVHYGYFYHYIUVLVUAUCUYNUXFVUMUVMYPYNYOVHVIUVNUTXOU
      TVUAUYSUCUYNUXOUYQFUWFUVOVHUYJUYMUYSUCUYNUYJUYAUYNTZUPUYLUYRUXPUYJVUGVXKV
      YKUYAUXFTZUYLUYRVMAVUGUYFUYHUXQAVUDVUFVUGNVUIVUJVIYSAVXKUYFUYHUXQAVUEVXKP
      EUIJXDVHYSVYKVYLUYNUXFUYAVUMWDYQUYAEUXAFUVPUVQUVRUVSXTUYJUYCUYMUCUWTUYNAU
      WTUYNVMUYFUYHUXQAUWSJUIUKACEFGHIJKLMNOPQUVTUWAYSUYJUXNUXPUYBUYLUYIUXQUQUY
      BUYLVMUYJUYAHUYKQUWBUWCUWDUWEXTUWGUWHYAUWIUCUAUWTUXAHVPYPYNYTYTUWJVHYAUWK
      YMUWLDHGIMUWMYPABCDEFGHIJKLMNOPQRUWNYM $.
  $}

  ${
    eucrct2eupth1.v $e |- V = ( Vtx ` G ) $.
    eucrct2eupth1.i $e |- I = ( iEdg ` G ) $.
    eucrct2eupth1.d $e |- ( ph -> F ( EulerPaths ` G ) P ) $.
    eucrct2eupth1.c $e |- ( ph -> F ( Circuits ` G ) P ) $.
    eucrct2eupth1.s $e |- ( Vtx ` S ) = V $.
    ${
      eucrct2eupth1.g $e |- ( ph -> 0 < ( # ` F ) ) $.
      eucrct2eupth1.n $e |- ( ph -> N = ( ( # ` F ) - 1 ) ) $.
      eucrct2eupth1.e $e |- ( ph -> ( iEdg ` S )
                                    = ( I |` ( F " ( 0 ..^ N ) ) ) ) $.
      eucrct2eupth1.h $e |- H = ( F prefix N ) $.
      eucrct2eupth1.q $e |- Q = ( P |` ( 0 ... N ) ) $.
      $( Removing one edge ` ( I `` ( F `` N ) ) ` from a nonempty graph ` G `
         with an Eulerian circuit ` <. F , P >. ` results in a graph ` S ` with
         an Eulerian path ` <. H , Q >. ` .  This is the special case of
         ~ eucrct2eupth (with ` J = ( N - 1 ) ` ) where the last segment/edge
         of the circuit is removed.  (Contributed by AV, 11-Mar-2021.)
         Hypothesis revised using the prefix operation.  (Revised by AV,
         30-Nov-2022.) $)
      eucrct2eupth1 $p |- ( ph -> H ( EulerPaths ` S ) Q ) $=
        ( chash cfv c1 cmin co cc0 cfzo cn wcel clt wbr ceupth cwlks eupthiswlk
        wi cn0 wlkcl wa cz nn0z anim1i elnnz sylibr ex syl 3syl fzo0end eqeltrd
        mpd eupthres ) ABCDEFGHIJKLMAIEUAUBZUCUDUEZUFVKUGUEZQAVKUHUIZVLVMUIAUFV
        KUJUKZVNPAEBFULUBUKEBFUMUBUKZVOVNUOZMBEFUNVPVKUPUIZVQBEFUQVRVOVNVRVOURV
        KUSUIZVOURVNVRVSVOVKUTVAVKVBVCVDVEVFVIVKVGVEVHRSTOVJ $.
    $}

    $d F x $.  $d I x $.  $d J x $.  $d K x $.  $d N x $.  $d P x $.  $d V x $.
    $d ph x $.
    eucrct2eupth.n $e |- ( ph -> N = ( # ` F ) ) $.
    eucrct2eupth.j $e |- ( ph -> J e. ( 0 ..^ N ) ) $.
    eucrct2eupth.e $e |- ( ph -> ( iEdg ` S )
                               = ( I |` ( F " ( ( 0 ..^ N ) \ { J } ) ) ) ) $.
    eucrct2eupth.k $e |- K = ( J + 1 ) $.
    eucrct2eupth.h $e |- H = ( ( F cyclShift K ) prefix ( N - 1 ) ) $.
    eucrct2eupth.q $e |- Q = ( x e. ( 0 ..^ N ) |-> if ( x <_ ( N - K ) ,
                           ( P ` ( x + K ) ) , ( P ` ( ( x + K ) - N ) ) ) ) $.
    $( Removing one edge ` ( I `` ( F `` J ) ) ` from a graph ` G ` with an
       Eulerian circuit ` <. F , P >. ` results in a graph ` S ` with an
       Eulerian path ` <. H , Q >. ` .  (Contributed by AV, 17-Mar-2021.)
       Hypothesis revised using the prefix operation.  (Revised by AV,
       30-Nov-2022.) $)
    eucrct2eupth $p |- ( ph -> H ( EulerPaths ` S ) Q ) $=
      ( c1 cmin co wceq ceupth cfv wbr wa ccsh cpfx cc0 chash cfz cle caddc cif
      cv cmpt cres adantl eqcomi oveq2i oveq1 cfzo wcel cn0 clt w3a elfzo0 nncn
      cc 3ad2ant2 sylbi npcan1 sylan9eq oveq2d cdm cword ccrcts cwlks crctiswlk
      cn 3syl wlkf syl cshwn eqtrd eqtr3id csn cun crctcshlem1 fz0sn0fz1 eleq2d
      eqid elun bitrdi elsni 0le0 eqbrtrdi iftrued fveq2d ctrls crctprop eqcomd
      wo simpr adantr addid2d sylan9eqr fveq2 ex wn sylbid syl5eq breq2d fveq2i
      3eqtr4d oveq1d mpteq2dv 3brtr4d cz cima 3jca eqtrdi reseq2d eucrct2eupth1
      imp a1i sseqtrid resmptd wi 3ad2ant1 eqcom cr wb ad2antlr sylan2 iffalsed
      elfznn nnnle0 nncnd pncand jaod mpteq2dva subidd oveq1i ifbieq12d wf wlkp
      wfn ffn dffn5 elfzolt3 elfzoelz peano2zd eqeltrid cshwlen syl2anc breqtrd
      sylib ciedg cshimadifsn0 imaeq1i fzossfz elfzoel2 fzoval eqtr3d peano2nn0
      cdif simpl2 wne 1cnd subadd2d 3bitr4g necon3bbid nn0red nnre nn0z zltp1le
      nn0cn syl2an biimp3a leltned biimprd syl6ibr impcom 3eltr4d simprl simprr
      nnz eucrctshift ifbieq2d reseq12d eqtr4id mpdan pm2.61ian ) JLUEUFUGZUHZA
      HDEUIUJZUKZUXBAULZFKUMUGZUXAUNUGZBUOFUPUJZUQUGZBVAZLKUFUGZURUKZUXJKUSUGZC
      UJZUXMLUFUGZCUJZUTZVBZUOUXAUQUGZVCZHDUXCUXEUXRUXTEUXFGUXGIUXAMNOUXEFCUXFU
      XRGUIUJZAFCUYAUKZUXBPVDUXEUXFFJUEUSUGZUMUGZFUYCKFUMKUYCUBVEVFZUXEUYDFLUMU
      GZFUXEUYCLFUMUXBAUYCUXAUEUSUGZLJUXAUEUSVGZAJUOLVHUGZVIZLVOVIZUYGLUHTUYJJV
      JVIZLWFVIZJLVKUKZVLZUYKJLVMZUYMUYLUYKUYNLVNVPZVQZLVRWGZVSVTAUYFFUHUXBAUYF
      FUXHUMUGZFALUXHFUMSVTAFIWAZWBVIZUYTFUHAFCGWCUJZUKZVUBQVUDFCGWDUJUKZVUBCFG
      WEZCFGIOWHWIWIZVUAFWJWIWKVDWKWLZUXEBUXIUXJUOURUKZUXJLUSUGZCUJZVUJLUFUGZCU
      JZUTZVBZBUXIUXJCUJZVBZUXRCAVUOVUQUHUXBABUXIVUNVUPAUXJUXIVIZVUNVUPUHZAVURU
      XJUOWMZVIZUXJUEUXHUQUGZVIZXIZVUSAVURUXJVUTVVBWNZVIVVDAUXIVVEUXJAUXHVJVIUX
      IVVEUHACFGIUXHMNOQUXHWRZWOUXHWPWIWQUXJVUTVVBWSWTAVVAVUSVVCAVVAVUSAVVAULZV
      UNVUKVUPVVGVUIVUKVUMVVAVUIAVVAUXJUOUOURUXJUOXAZXBXCVDXDVVAAUXJUOUHZVUKVUP
      UHVVHAVVIULZLCUJZUOCUJZVUKVUPAVVKVVLUHVVIAVVKUXHCUJZVVLALUXHCSXEAVUDFCGXF
      UJUKZVVLVVMUHZULZVVMVVLUHQCFGXGVVPVVLVVMVVNVVOXJXHWGWKXKVVJVUJLCVVIAVUJUO
      LUSUGLUXJUOLUSVGALAUYJUYKTUYRWIZXLXMXEVVIVUPVVLUHAUXJUOCXNVDYAUUAWKXOAVVC
      VUSAVVCULZVUNVUMVUPVVRVUIVUKVUMVVCVUIXPZAVVCUXJWFVIVVSUXJUXHUUCZUXJUUDWIV
      DUUBVVRVULUXJCVVRUXJLVVCUXJVOVIAVVCUXJVVTUUEVDAUYKVVCVVQXKUUFXEWKXOUUGXQY
      KUUHVDUXEBUXIUXQVUNUXEUXLVUIUXNUXPVUKVUMUXEUXKUOUXJURUXEUXKLUYCUFUGZUOKUY
      CLUFUBVFUXBAVWALUYGUFUGZUOUXBUYCUYGLUFUYHVTAVWBLLUFUGUOAUYGLLUFUYSVTALVVQ
      UUIWKVSXRXSUXEUXNUXJUYCUSUGZCUJVUKUXMVWCCKUYCUXJUSUBVFZXTUXEVWCVUJCUXBAVW
      CUXJUYGUSUGZVUJUXBUYCUYGUXJUSUYHVTZAUYGLUXJUSUYSVTZVSXEXRUXEUXPVWCLUFUGZC
      UJVUMUXOVWHCUXMVWCLUFVWDUUJXTUXEVWHVULCUXBAVWHVWELUFUGVULUXBVWCVWELUFVWFY
      BAVWEVUJLUFVWGYBVSXEXRUUKYCUXECUXIUUNZCVUQUHAVWIUXBAVUEUXIMCUULVWIAVUDVUE
      QVUFWICFGMNUUMUXIMCUUOWGVDBUXICUUPUVDYAZYDUXEFCUXFUXRVUCAVUDUXBQVDVUHVWJY
      DRAUOUXFUPUJZVKUKZUXBAUOLVWKVKAUYJUOLVKUKTJUOLUUQWIALUXHVWKSAVUBKYEVIZUXH
      VWKUHVUGAKUYCYEUBAJAUYJJYEVIZTJUOLUURWIUUSUUTVUBVWMULVWKUXHKVUAFUVAXHUVBW
      KZUVCZVDUXELVWKUEUFALVWKUHUXBVWOVDYBUXEEUVEUJZIFUYIJWMUVMYFZVCZIUXFUOUXAV
      HUGZYFZVCZAVWQVWSUHZUXBUAVDUXEVWRVXAIUXEVWRUYDVWTYFZVXAUXEVUBLUXHUHZUYJVL
      ZVWRVXDUHZAVXFUXBAVUBVXEUYJVUGSTYGZVDVUAFJLUVFZWIUYDUXFVWTUYEUVGZYHYIWKUX
      GWRZUXTWRYJHUXGUHZUXEUCYLADUXTUHUXBADBUYIUXQVBZUXTUDAUXRUYIVCZVXMUXTABUXI
      UYIUXQAUOLUQUGZUYIUXIUOLUVHZALUXHUOUQSVTYMYNAUYIUXSUXRAUYJLYEVIZUYIUXSUHT
      JUOLUVIUOLUVJWGZYIUVKXRVDYDUXBXPZAULZUXFBUXIUXJUXHKUFUGZURUKZUXNUXMUXHUFU
      GZCUJZUTZVBZUYAUKZUXFVYFVUCUKZULZUXDVXTBCVYFKFGUXFIUXHMNOAVUDVXSQVDVVFVXT
      UYCUYIKUOUXHVHUGZAVXSUYCUYIVIZAUYJVXSVYKYOTUYJVXSUYCVJVIZUYMUYCLVKUKZVLZV
      YKUYJUYOVXSVYNYOUYPUYOVXSVYNUYOVXSULVYLUYMVYMUYOVYLVXSUYLUYMVYLUYNJUVLZYP
      XKUYLUYMUYNVXSUVNUYOVXSVYMUYOVXSLUYCUVOZVYMUYOUXBLUYCUYOUXAJUHUYCLUHUXBLU
      YCUHUYOLUEJUYQUYOUVPUYLUYMJVOVIUYNJUWDYPUVQJUXAYQLUYCYQUVRUVSUYOVYMVYPUYO
      UYCLUYLUYMUYCYRVIUYNUYLUYCVYOUVTYPUYMUYLLYRVIUYNLUWAVPUYLUYMUYNUYCLURUKZU
      YLVWNVXQUYNVYQYSUYMJUWBLUWNJLUWCUWEUWFUWGUWHXQYKYGXOVQUYCLVMUWIWIUWJKUYCU
      HVXTUBYLAVYJUYIUHVXSAUXHLUOVHALUXHSXHZVTVDUWKUXFWRVYFWRAUYBVXSPVDUWOVXTVY
      IULZUXGVYFUXSVCZHDUXCVYSVYFVYTEUXFGUXGIUXAMNOVXTVYGVYHUWLVXTVYGVYHUWMRAVW
      LVXSVYIVWPYTAUXAVWKUEUFUGUHVXSVYIALVWKUEUFVWOYBYTVXTVWQVXBUHVYIVXTVWQVWSV
      XBAVXCVXSUAVDVXTVWRVXAIVXTVWRVXDVXAVXTVXFVXGAVXFVXSVXHVDVXIWIVXJYHYIWKXKV
      XKVYTWRYJVXLVYSUCYLVXTDVYTUHVYIVXTDVXMVYTUDVXTVYTVXNVXMVXTVYFUXRUXSUYIVXT
      BUXIVYEUXQVXTVYBUXLVYDUXPUXNAVYBUXLYSVXSAVYAUXKUXJURAUXHLKUFVYRYBXSVDAVYD
      UXPUHVXSAVYCUXOCAUXHLUXMUFVYRVTXEVDUWPYCAUXSUYIUHVXSAUYIUXSVXRXHVDUWQVXTB
      UXIUYIUXQVXTVXOUYIUXIVXPVXTLUXHUOUQAVXEVXSSVDVTYMYNWKUWRXKYDUWSUWT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The K&ouml;nigsberg Bridge problem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  According to Wikipedia ("Seven Bridges of K&ouml;nigsberg", 9-Mar-2021,
  ~ https://en.wikipedia.org/wiki/Seven_Bridges_of_Koenigsberg ): "The Seven
  Bridges of K&ouml;nigsberg is a historically notable problem in mathematics.
  Its negative resolution by Leonhard Euler in 1736 laid the foundations of
  graph theory and prefigured the idea of topology.  The city of
  K&ouml;nigsberg in [[East] Prussia (now Kaliningrad, Russia) was set on both
  sides of the Pregel River, and included two large islands - Kneiphof and
  Lomse - which were connected to each other, or to the two mainland portions
  of the city, by seven bridges.  The problem was to devise a walk through the
  city that would cross each of those bridges once and only once.".  Euler
  proved that the problem has no solution by applying Euler's theorem to the
  K&ouml;nigsberg graph, which is obtained by replacing each land mass with an
  abstract "vertex" or node, and each bridge with an abstract connection, an
  "edge", which connects two land masses/vertices. The K&ouml;nigsberg graph
  ` G ` is a multigraph consisting of 4 vertices and 7 edges, represented by
  the following ordered pair: ` G = <. ( 0 ... 3 ) , <" { 0 , 1 } { 0 , 2 } `
  ` { 0 , 3 } { 1 , 2 } { 1 , 2 } { 2 , 3 } { 2 , 3 } "> >. `, see
  ~ konigsbergumgr . ~ konigsberg shows that the K&ouml;nigsberg graph has no
  Eulerian path, thus the K&ouml;nigsberg Bridge problem has no solution.

$)

  ${
    konigsberg.v $e |- V = ( 0 ... 3 ) $.
    konigsberg.e $e |- E = <" { 0 , 1 } { 0 , 2 } { 0 , 3 }
                              { 1 , 2 } { 1 , 2 } { 2 , 3 } { 2 , 3 } "> $.
    konigsberg.g $e |- G = <. V , E >. $.
    $( The set of vertices of the K&ouml;nigsberg graph ` G ` .  (Contributed
       by AV, 28-Feb-2021.) $)
    konigsbergvtx $p |- ( Vtx ` G ) = ( 0 ... 3 ) $=
      ( cvtx cfv cc0 c3 cfz co c1 cpr c2 cs7 cop eqtri cvv wcel cword wceq ovex
      opeq12i fveq2i s7cli opvtxfv mp2an ) BGHIJKLZIMNZIONZIJNZMONZUMOJNZUNPZQZ
      GHZUIBUPGBCAQUPFCUIAUODEUDRUEUISTUOSUAZTUQUIUBIJKUCUJUKULUMUMUNUNUFUOUISU
      RUGUHR $.

    $( The indexed edges of the K&ouml;nigsberg graph ` G ` .  (Contributed by
       AV, 28-Feb-2021.) $)
    konigsbergiedg $p |- ( iEdg ` G ) = <" { 0 , 1 } { 0 , 2 } { 0 , 3 }
                                  { 1 , 2 } { 1 , 2 } { 2 , 3 } { 2 , 3 } "> $=
      ( ciedg cfv cc0 c3 cfz co c1 cpr c2 cs7 cop eqtri cvv wcel opeq12i fveq2i
      cword wceq ovex s7cli opiedgfv mp2an ) BGHIJKLZIMNZIONZIJNZMONZUMOJNZUNPZ
      QZGHZUOBUPGBCAQUPFCUIAUODEUARUBUISTUOSUCZTUQUOUDIJKUEUJUKULUMUMUNUNUFUOUI
      SURUGUHR $.

    $d V x $.
    $( The indexed edges of the K&ouml;nigsberg graph ` G ` is a word over the
       pairs of vertices.  (Contributed by AV, 28-Feb-2021.) $)
    konigsbergiedgw $p |- E e. Word { x e. ~P V | ( # ` x ) = 2 } $=
      ( cc0 c1 cpr c2 c3 cpw crab wcel wtru cn0 3nn0 umgrbi a1i cs7 cv cfv wceq
      chash cfz cword 0elfz ax-mp cle wbr 1nn0 1le3 elfz2nn0 mpbir3an 0ne1 2nn0
      2re 3re 2lt3 ltleii 0ne2 nn0fz0 mpbi 3ne0 necomi ltneii s7cld mptru pweqi
      co 1ne2 rabeqi wrdeqi 3eltr4i ) HIJZHKJZHLJZIKJZVSKLJZVTUAZAUBUEUCKUDZAHL
      UFVKZMZNZUGZBWBADMZNZUGWAWFOPVPVQVRVSVSVTVTWEVPWEOPAWCHILQOZHWCORLUHUIZIW
      COIQOWIILUJUKULRUMILUNUOZUPSTVQWEOPAWCHKWJKWCOKQOWIKLUJUKUQRKLURUSUTVAKLU
      NUOZVBSTVRWEOPAWCHLWJWILWCORLVCVDZLHVEVFSTVSWEOPAWCIKWKWLVLSTZWNVTWEOPAWC
      KLWLWMKLURUTVGSTZWOVHVIFWHWEWBAWGWDDWCEVJVMVNVO $.

    $( Each subset of the indexed edges of the K&ouml;nigsberg graph ` G ` is a
       word over the pairs of vertices.  (Contributed by AV, 28-Feb-2021.) $)
    konigsbergssiedgwpr $p |- ( ( A e. Word _V /\ B e. Word _V
                                  /\ E = ( A ++ B ) )
                                -> A e. Word { x e. ~P V | ( # ` x ) = 2 } ) $=
      ( cconcat co wceq cvv cword wcel cv chash cfv c2 cpw crab konigsbergiedgw
      wa jctr ccatrcl1 syl3an3 ) DBCJKLZBMNZOCUHOUGDAPQRSLAFTUAZNZOZUCBUJOUGUKA
      DEFGHIUBUDBCUIDMMUEUF $.

    $( Each subset of the indexed edges of the K&ouml;nigsberg graph ` G ` is a
       word over the pairs of vertices.  (Contributed by AV, 28-Feb-2021.) $)
    konigsbergssiedgw $p |- ( ( A e. Word _V /\ B e. Word _V
                                /\ E = ( A ++ B ) )
                            -> A e. Word { x e. ( ~P V \ { (/) } ) |
                                           ( # ` x ) <_ 2 } ) $=
      ( cvv cword wcel cconcat co wceq chash cfv c2 crab wf w3a cv cpw cc0 cfzo
      cle wbr c0 csn cdif konigsbergssiedgwpr wss prprrab wi 2re eqlei2 ss2rabi
      wrdf a1i eqsstrri fss mpan2 iswrdb sylibr 3syl ) BJKZLCVFLDBCMNOUABAUBZPQ
      ZROZAFUCZSZKLUDBPQUENZVKBTZBVHRUFUGZAVJUHUIUJZSZKLZABCDEFGHIUKVKBURVMVLVP
      BTZVQVMVKVPULVRVKVIAVOSVPAFUMVIVNAVOVIVNUNVGVOLRVHUOUPUSUQUTVLVKVPBVAVBVP
      BVCVDVE $.

    $d G x $.
    $( The K&ouml;nigsberg graph ` G ` is a multigraph.  (Contributed by AV,
       28-Feb-2021.)  (Revised by AV, 9-Mar-2021.) $)
    konigsbergumgr $p |- G e. UMGraph $=
      ( vx cumgr wcel cv cfv c2 cword cvv eqeltri cc0 c1 cpr c3 eqtr4i wceq cpw
      chash crab konigsbergiedgw wb cop opex cs7 s7cli cvtx konigsbergvtx ciedg
      cfz co konigsbergiedg wrdumgr mp2an mpbir ) BHIZAGJUCKLUAGCUBUDMIZGABCDEF
      UEBNIANMZIUTVAUFBCAUGNFCAUHOAPQRZPLRZPSRZQLRZVFLSRZVGUIZVBEVCVDVEVFVFVGVG
      UJOGNABCNCPSUNUOBUKKDABCDEFULTAVHBUMKEABCDEFUPTUQURUS $.

    $( Lemma 1 for ~ konigsberg :  Vertex ` 0 ` has degree three.  (Contributed
       by Mario Carneiro, 11-Mar-2015.)  (Revised by Mario Carneiro,
       28-Feb-2016.)  (Revised by AV, 4-Mar-2021.) $)
    konigsberglem1 $p |- ( ( VtxDeg ` G ) ` 0 ) = 3 $=
      ( vx c3 cc0 co c1 c2 cop cfv eqcomi wcel ciedg cconcat c0 eqtri cvtx ovex
      cfz cpr cs6 cvv cword s6cli elexi opvtxfvi cn0 3nn0 0elfz ax-mp opiedgfvi
      cs1 cs7 wceq cv chash cle wbr cpw cdif crab s1cli df-s7 konigsbergssiedgw
      csn eqid mp3an cs5 s5cli cs2 s2cli s5s2 cs4 s4cli s3cli s4s3 cvtxdg caddc
      cs3 s3s4 s2s5 s1s6 wrd0 vtxdg0e mp2an 1nn0 1le3 elfz2nn0 mpbir3an ax-1ne0
      0ex s0s1 vdegp1bi 0p1e1 2nn0 2re 2lt3 ltleii 2ne0 df-s2 1p1e2 nn0fz0 mpbi
      3ne0 df-s3 2p1e3 df-s4 vdegp1ai df-s5 df-s6 konigsbergvtx konigsbergiedg
      3re ) GHIBIHUCJZIKUDZILUDZIHUDZKLUDZYBLHUDZUEZMZYDXRLHYEUANXRYDXRIHUCUBZY
      DUFUGZXSXTYAYBYBYCUHZUIZUJZOHUKPZIXRPZULHUMUNZYEQNZYDYDXRYFYIUOZOYDYGPYCU
      PZYGPXSXTYAYBYBYCYCUQZYDYPRJZURYDGUSUTNLVAVBGXRVCSVIVDVEZUGZPYHYCVFXSXTYA
      YBYBYCYCVGZGYDYPYQXRYQMZXRXRVJZYQVJZUUBVJZVHVKGHIYEXRXSXTYAYBYBVLZMZUUFXR
      LHUUGUANXRUUFXRYFUUFYGXSXTYAYBYBVMZUIZUJZOYMUUGQNZUUFUUFXRYFUUIUOZOUUFYGP
      YCYCVNZYGPYQUUFUUMRJURUUFYTPUUHYCYCVOXSXTYAYBYBYCYCVPGUUFUUMYQUUBXRUUCUUD
      UUEVHVKGHIUUGXRXSXTYAYBVQZMZUUNXRKLUUOUANXRUUNXRYFUUNYGXSXTYAYBVRZUIZUJZO
      YMUUOQNZUUNUUNXRYFUUQUOZOUUNYGPYBYCYCWCZYGPYQUUNUVARJURUUNYTPUUPYBYCYCVSX
      SXTYAYBYBYCYCVTGUUNUVAYQUUBXRUUCUUDUUEVHVKGHIUUOXRXSXTYAWCZMZUVBXRKLUVCUA
      NXRUVBXRYFUVBYGXSXTYAVSZUIZUJZOYMUVCQNZUVBUVBXRYFUVEUOZOUVBYGPYBYBYCYCVQZ
      YGPYQUVBUVIRJURUVBYTPUVDYBYBYCYCVRXSXTYAYBYBYCYCWDGUVBUVIYQUUBXRUUCUUDUUE
      VHVKIUVCWANNLKWBJHGLIUVCXRXSXTVNZMZUVJXRHUVKUANXRUVJXRYFUVJYGXSXTVOZUIZUJ
      ZOYMUVKQNZUVJUVJXRYFUVMUOZOUVJYGPYAYBYBYCYCVLZYGPYQUVJUVQRJURUVJYTPUVLYAY
      BYBYCYCVMXSXTYAYBYBYCYCWEGUVJUVQYQUUBXRUUCUUDUUEVHVKIUVKWANNKKWBJLGKIUVKX
      RXSUPZMZUVRXRLUVSUANXRUVRXRYFUVRYGXSVFZUIZUJZOYMUVSQNZUVRUVRXRYFUWAUOZOUV
      RYGPXTYAYBYBYCYCUEZYGPYQUVRUWERJURUVRYTPUVTXTYAYBYBYCYCUHXSXTYAYBYBYCYCWF
      GUVRUWEYQUUBXRUUCUUDUUEVHVKIUVSWANNIKWBJKGIIUVSXRSMZSXRKUWFUANXRSXRYFWOUJ
      OZYMUWFQNSSXRYFWOUOOZYSWGYLSSURIUWFWANNIURYMSVJIUWFSXRUWGUWHWHWIUWBKXRPKU
      KPYKKHVAVBWJULWKKHWLWMZWNUWCUVRSUVRRJUWDXSWPTWQWRTUVNLXRPLUKPYKLHVAVBWSUL
      LHWTXQXAXBLHWLWMZXCUVOUVJUVRXTUPRJUVPXSXTXDTWQXETUVFYKHXRPULHXFXGZXHUVGUV
      BUVJYAUPRJUVHXSXTYAXITWQXJTUURUWIWNUWJXCUUSUUNUVBYBUPZRJUUTXSXTYAYBXKTXLU
      UJUWIWNUWJXCUUKUUFUUNUWLRJUULXSXTYAYBYBXMTXLYJUWJXCUWKXHYNYDUUFYPRJYOXSXT
      YAYBYBYCXNTXLABCDEFXOUWJXCUWKXHBQNYQYRABCDEFXPUUATXL $.

    $( Lemma 2 for ~ konigsberg :  Vertex ` 1 ` has degree three.  (Contributed
       by Mario Carneiro, 11-Mar-2015.)  (Revised by Mario Carneiro,
       28-Feb-2016.)  (Revised by AV, 4-Mar-2021.) $)
    konigsberglem2 $p |- ( ( VtxDeg ` G ) ` 1 ) = 3 $=
      ( vx c3 c1 cc0 co c2 cop cfv eqcomi wcel ciedg cconcat c0 eqtri cvtx ovex
      cfz cpr cs6 cvv cword s6cli elexi opvtxfvi cn0 cle wbr 1nn0 3nn0 elfz2nn0
      1le3 mpbir3an opiedgfvi cs1 cs7 wceq chash cpw cdif crab s1cli df-s7 eqid
      cv csn konigsbergssiedgw mp3an cs5 s5cli cs2 s2cli cvtxdg caddc cs4 s4cli
      s5s2 cs3 s3cli s4s3 s3s4 s2s5 s1s6 0ex wrd0 vtxdg0e mp2an 0elfz 0ne1 s0s1
      ax-mp vdegp1ci 0p1e1 2nn0 2re 3re 2lt3 ltleii 1ne2 necomi vdegp1ai nn0fz0
      df-s2 mpbi 1re 1lt3 gtneii df-s3 df-s4 vdegp1bi 1p1e2 df-s5 konigsbergvtx
      2p1e3 df-s6 konigsbergiedg ) GHIBJHUCKZJIUDZJLUDZJHUDZILUDZYFLHUDZUEZMZYH
      YBLHYIUANYBYHYBJHUCUBZYHUFUGZYCYDYEYFYFYGUHZUIZUJZOIYBPZIUKPHUKPZIHULUMUN
      UOUQIHUPURZYIQNZYHYHYBYJYMUSZOYHYKPYGUTZYKPYCYDYEYFYFYGYGVAZYHYTRKZVBYHGV
      JVCNLULUMGYBVDSVKVEVFZUGZPYLYGVGYCYDYEYFYFYGYGVHZGYHYTUUAYBUUAMZYBYBVIZUU
      AVIZUUFVIZVLVMGHIYIYBYCYDYEYFYFVNZMZUUJYBLHUUKUANYBUUJYBYJUUJYKYCYDYEYFYF
      VOZUIZUJZOYQUUKQNZUUJUUJYBYJUUMUSZOUUJYKPYGYGVPZYKPUUAUUJUUQRKVBUUJUUDPUU
      LYGYGVQYCYDYEYFYFYGYGWBGUUJUUQUUAUUFYBUUGUUHUUIVLVMIUUKVRNNLIVSKHGLIUUKYB
      YCYDYEYFVTZMZUURYBLUUSUANYBUURYBYJUURYKYCYDYEYFWAZUIZUJZOYQUUSQNZUURUURYB
      YJUVAUSZOUURYKPYFYGYGWCZYKPUUAUURUVERKVBUURUUDPUUTYFYGYGWDYCYDYEYFYFYGYGW
      EGUURUVEUUAUUFYBUUGUUHUUIVLVMIUUSVRNNIIVSKLGIIUUSYBYCYDYEWCZMZUVFYBLUVGUA
      NYBUVFYBYJUVFYKYCYDYEWDZUIZUJZOYQUVGQNZUVFUVFYBYJUVIUSZOUVFYKPYFYFYGYGVTZ
      YKPUUAUVFUVMRKVBUVFUUDPUVHYFYFYGYGWAYCYDYEYFYFYGYGWFGUVFUVMUUAUUFYBUUGUUH
      UUIVLVMGIIUVGYBYCYDVPZMZUVNYBJHUVOUANYBUVNYBYJUVNYKYCYDVQZUIZUJZOYQUVOQNZ
      UVNUVNYBYJUVQUSZOUVNYKPYEYFYFYGYGVNZYKPUUAUVNUWARKVBUVNUUDPUVPYEYFYFYGYGV
      OYCYDYEYFYFYGYGWGGUVNUWAUUAUUFYBUUGUUHUUIVLVMGIIUVOYBYCUTZMZUWBYBJLUWCUAN
      YBUWBYBYJUWBYKYCVGZUIZUJZOYQUWCQNZUWBUWBYBYJUWEUSZOUWBYKPYDYEYFYFYGYGUEZY
      KPUUAUWBUWIRKVBUWBUUDPUWDYDYEYFYFYGYGUHYCYDYEYFYFYGYGWHGUWBUWIUUAUUFYBUUG
      UUHUUIVLVMIUWCVRNNJIVSKIGJIUWCYBSMZSYBJUWJUANYBSYBYJWIUJOZYQUWJQNSSYBYJWI
      USOZUUCWJYOSSVBIUWJVRNNJVBYQSVIIUWJSYBUWKUWLWKWLUWFYPJYBPUOHWMWPZWNUWGUWB
      SUWBRKUWHYCWOTWQWRTUVRUWMWNLYBPLUKPYPLHULUMWSUOLHWTXAXBXCLHUPURZILXDXEZUV
      SUVNUWBYDUTRKUVTYCYDXHTXFUVJUWMWNYPHYBPUOHXGXIZIHXJXKXLZUVKUVFUVNYEUTRKUV
      LYCYDYEXMTXFUVBUWNUWOUVCUURUVFYFUTZRKUVDYCYDYEYFXNTXOXPTUUNUWNUWOUUOUUJUU
      RUWRRKUUPYCYDYEYFYFXQTXOXSTYNUWNUWOUWPUWQYRYHUUJYTRKYSYCYDYEYFYFYGXTTXFAB
      CDEFXRUWNUWOUWPUWQBQNUUAUUBABCDEFYAUUETXF $.

    $( Lemma 3 for ~ konigsberg :  Vertex ` 3 ` has degree three.  (Contributed
       by Mario Carneiro, 11-Mar-2015.)  (Revised by Mario Carneiro,
       28-Feb-2016.)  (Revised by AV, 4-Mar-2021.) $)
    konigsberglem3 $p |- ( ( VtxDeg ` G ) ` 3 ) = 3 $=
      ( vx c3 cfv c2 c1 co cc0 cop eqcomi wcel ciedg cconcat c0 eqtri caddc cfz
      cvtxdg cpr cs6 cvtx ovex cword s6cli elexi opvtxfvi 3nn0 nn0fz0 opiedgfvi
      cvv cn0 mpbi cs1 cs7 wceq cv chash cle wbr cpw cdif crab s1cli df-s7 eqid
      csn konigsbergssiedgw mp3an cs5 s5cli cs2 s2cli s5s2 cs4 s4cli s3cli s4s3
      cs3 s3s4 s2s5 s1s6 0ex wrd0 vtxdg0e mp2an 0elfz 3ne0 necomi 1nn0 elfz2nn0
      ax-mp 1le3 mpbir3an 1re 1lt3 ltneii s0s1 vdegp1ai 2nn0 2re 3re 2lt3 df-s2
      df-s3 vdegp1ci 0p1e1 df-s4 df-s5 df-s6 1p1e2 konigsbergvtx konigsbergiedg
      ltleii 2p1e3 ) HBUCIIJKUALHGJHBMHUBLZMKUDZMJUDZMHUDZKJUDZYDJHUDZUEZNZYFXT
      JYGUFIXTYFXTMHUBUGZYFUOUHZYAYBYCYDYDYEUIZUJZUKZOHUPPZHXTPZULHUMUQZYGQIZYF
      YFXTYHYKUNZOYFYIPYEURZYIPYAYBYCYDYDYEYEUSZYFYRRLZUTYFGVAVBIJVCVDGXTVESVKV
      FVGZUHZPYJYEVHYAYBYCYDYDYEYEVIZGYFYRYSXTYSNZXTXTVJZYSVJZUUDVJZVLVMHYGUCII
      KKUALJGKHYGXTYAYBYCYDYDVNZNZUUHXTJUUIUFIXTUUHXTYHUUHYIYAYBYCYDYDVOZUJZUKZ
      OYOUUIQIZUUHUUHXTYHUUKUNZOUUHYIPYEYEVPZYIPYSUUHUUORLUTUUHUUBPUUJYEYEVQYAY
      BYCYDYDYEYEVRGUUHUUOYSUUDXTUUEUUFUUGVLVMGKHUUIXTYAYBYCYDVSZNZUUPXTKJUUQUF
      IXTUUPXTYHUUPYIYAYBYCYDVTZUJZUKZOYOUUQQIZUUPUUPXTYHUUSUNZOUUPYIPYDYEYEWCZ
      YIPYSUUPUVCRLUTUUPUUBPUURYDYEYEWAYAYBYCYDYDYEYEWBGUUPUVCYSUUDXTUUEUUFUUGV
      LVMGKHUUQXTYAYBYCWCZNZUVDXTKJUVEUFIXTUVDXTYHUVDYIYAYBYCWAZUJZUKZOYOUVEQIZ
      UVDUVDXTYHUVGUNZOUVDYIPYDYDYEYEVSZYIPYSUVDUVKRLUTUVDUUBPUVFYDYDYEYEVTYAYB
      YCYDYDYEYEWDGUVDUVKYSUUDXTUUEUUFUUGVLVMHUVEUCIIMKUALKGMHUVEXTYAYBVPZNZUVL
      XTMUVMUFIXTUVLXTYHUVLYIYAYBVQZUJZUKZOYOUVMQIZUVLUVLXTYHUVOUNZOUVLYIPYCYDY
      DYEYEVNZYIPYSUVLUVSRLUTUVLUUBPUVNYCYDYDYEYEVOYAYBYCYDYDYEYEWEGUVLUVSYSUUD
      XTUUEUUFUUGVLVMGMHUVMXTYAURZNZUVTXTMJUWAUFIXTUVTXTYHUVTYIYAVHZUJZUKZOYOUW
      AQIZUVTUVTXTYHUWCUNZOUVTYIPYBYCYDYDYEYEUEZYIPYSUVTUWGRLUTUVTUUBPUWBYBYCYD
      YDYEYEUIYAYBYCYDYDYEYEWFGUVTUWGYSUUDXTUUEUUFUUGVLVMGMHUWAXTSNZSXTMKUWHUFI
      XTSXTYHWGUKOZYOUWHQISSXTYHWGUNOZUUAWHYNSSUTHUWHUCIIMUTYOSVJHUWHSXTUWIUWJW
      IWJUWDYMMXTPULHWKWPZHMWLWMZKXTPKUPPYMKHVCVDWNULWQKHWOWRZKHWSWTXAZUWEUVTSU
      VTRLUWFYAXBTXCUVPUWKUWLJXTPJUPPYMJHVCVDXDULJHXEXFXGXRJHWOWRZJHXEXGXAZUVQU
      VLUVTYBURRLUVRYAYBXHTXCUVHUWKUWLUVIUVDUVLYCURRLUVJYAYBYCXITXJXKTUUTUWMUWN
      UWOUWPUVAUUPUVDYDURZRLUVBYAYBYCYDXLTXCUULUWMUWNUWOUWPUUMUUHUUPUWQRLUUNYAY
      BYCYDYDXMTXCYLUWOUWPYPYFUUHYRRLYQYAYBYCYDYDYEXNTXJXOTABCDEFXPUWOUWPBQIYSY
      TABCDEFXQUUCTXJXST $.

    $( Lemma 4 for ~ konigsberg :  Vertices ` 0 , 1 , 3 ` are vertices of odd
       degree.  (Contributed by Mario Carneiro, 11-Mar-2015.)  (Revised by AV,
       28-Feb-2021.) $)
    konigsberglem4 $p |- { 0 , 1 , 3 }
                         C_ { x e. V | -. 2 || ( ( VtxDeg ` G ) ` x ) } $=
      ( cc0 c2 cfv cdvds wbr wn wcel c1 c3 3nn0 eleqtrri n2dvds3 breq2i cv crab
      cvtxdg w3a ctp wss cfz co cn0 0elfz ax-mp konigsberglem1 mtbir wceq fveq2
      breq2d notbid mpbir2an cle 1nn0 1le3 elfz2nn0 mpbir3an konigsberglem2 3re
      elrab leidi konigsberglem3 3pm3.2i c0ex 1ex 3ex tpss mpbi ) HIAUAZCUCJZJZ
      KLZMZADUBZNZOVTNZPVTNZUDHOPUEVTUFWAWBWCWAHDNIHVPJZKLZMZHHPUGUHZDPUINZHWGN
      QPUJUKERWEIPKLZSWDPIKBCDEFGULTUMVSWFAHDVOHUNZVRWEWJVQWDIKVOHVPUOUPUQVFURW
      BODNIOVPJZKLZMZOWGDOWGNOUINWHOPUSLUTQVAOPVBVCERWLWISWKPIKBCDEFGVDTUMVSWMA
      ODVOOUNZVRWLWNVQWKIKVOOVPUOUPUQVFURWCPDNIPVPJZKLZMZPWGDPWGNWHWHPPUSLQQPVE
      VGPPVBVCERWPWISWOPIKBCDEFGVHTUMVSWQAPDVOPUNZVRWPWRVQWOIKVOPVPUOUPUQVFURVI
      HOPVTVJVKVLVMVN $.

    $( Lemma 5 for ~ konigsberg :  The set of vertices of odd degree is greater
       than 2.  (Contributed by Mario Carneiro, 11-Mar-2015.)  (Revised by AV,
       28-Feb-2021.) $)
    konigsberglem5 $p |- 2 < ( # ` { x e. V |
                                     -. 2 || ( ( VtxDeg ` G ) ` x ) } ) $=
      ( cc0 c1 c3 c2 cfv wbr chash cle cvv wcel cfz wne cfn ctp cv cvtxdg cdvds
      wn crab wss clt konigsberglem4 ovexi rabex hashss mpan w3a wceq 0ne1 1lt3
      1re ltneii 3ne0 3pm3.2i c0ex 1ex 3ex hashtpg mp3an mpbi breq1i caddc df-3
      wb co cz 2z cn0 fzfi eqeltri rabfi hashcl mp2b nn0zi zltp1le mp2an sylbb2
      sylbi ) HIJUAZKAUBCUCLLUDMUEZADUFZUGZWFNLZWHNLZOMZKWKUHMZABCDEFGUIWHPQWIW
      LWGADDHJREUJUKWHWFPULUMWLJWKOMZWMWJJWKOHISZIJSZJHSZUNZWJJUOZWOWPWQUPIJURU
      QUSUTVAHPQIPQJPQWRWSVKVBVCVDHIJPPPVEVFVGVHWNKIVIVLZWKOMZWMJWTWKOVJVHKVMQW
      KVMQWMXAVKVNWKDTQWHTQWKVOQDHJRVLTEHJVPVQWGADVRWHVSVTWAKWKWBWCWDWEVT $.

    $( The K&ouml;nigsberg Bridge problem.  If ` G ` is the K&ouml;nigsberg
       graph, i.e. a graph on four vertices ` 0 , 1 , 2 , 3 ` , with edges
       ` { 0 , 1 } , { 0 , 2 } , { 0 , 3 } , { 1 , 2 } , { 1 , 2 } , `
       ` { 2 , 3 } , { 2 , 3 } ` , then vertices ` 0 , 1 , 3 ` each have degree
       three, and ` 2 ` has degree five, so there are four vertices of odd
       degree and thus by ~ eulerpath the graph cannot have an Eulerian path.
       It is sufficient to show that there are 3 vertices of odd degree, since
       a graph having an Eulerian path can only have 0 or 2 vertices of odd
       degree.  This is Metamath 100 proof #54.  (Contributed by Mario
       Carneiro, 11-Mar-2015.)  (Revised by Mario Carneiro, 28-Feb-2016.)
       (Revised by AV, 9-Mar-2021.) $)
    konigsberg $p |- ( EulerPaths ` G ) = (/) $=
      ( vx c2 cfv wbr wn cc0 cpr wcel c0 wceq clt ax-mp cvtx cvv cv cvtxdg crab
      cdvds chash ceupth konigsberglem5 elpri 2pos 0re 2re ltnsymi breq2 mtbiri
      wo ltnri syl mt2 cupgr wne cumgr konigsbergumgr umgrupgr cop fveq2i cword
      c3 cfz ovexi c1 cs7 s7cli eqeltri opvtxfv mp2an eqtr2i eulerpath necon1bi
      jaoi mpan ) HGUABUBIIUDJKGCUCUEIZLHMZNZKBUFIZOPWCHWAQJZGABCDEFUGWCWALPZWA
      HPZUOWEKZWALHUHWFWHWGWFWEHLQJZLHQJWIKUILHUJUKULRWALHQUMUNWGWEHHQJHUKUPWAH
      HQUMUNVSUQURWCWDOBUSNZWDOUTWCBVANWJABCDEFVBBVCRGBCBSICAVDZSIZCBWKSFVECTNA
      TVFZNWLCPCLVGVHDVIALVJMZWBLVGMZVJHMZWPHVGMZWQVKWMEWNWBWOWPWPWQWQVLVMACTWM
      VNVOVPVQVTVRR $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  The Friendship Theorem
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Friendship graphs - basics
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c FriendGraph $.

  $( Extend class notation with friendship graphs. $)
  cfrgr $a class FriendGraph $.

  ${
    $d e g k l x v $.
    $( Define the class of all friendship graphs: a simple graph is called a
       _friendship graph_ if every pair of its vertices has exactly one common
       neighbor.  This condition is called the _friendship condition_ , see
       definition in [MertziosUnger] p. 152.  (Contributed by Alexander van der
       Vekens and Mario Carneiro, 2-Oct-2017.)  (Revised by AV, 29-Mar-2021.)
       (Revised by AV, 3-Jan-2024.) $)
    df-frgr $a |- FriendGraph = { g e. USGraph |
                               [. ( Vtx ` g ) / v ]. [. ( Edg ` g ) / e ].
                               A. k e. v A. l e. ( v \ { k } )
                                  E! x e. v { { x , k } , { x , l } } C_ e } $.
  $}

  ${
    $d E e g k l v x $.  $d G e g v $.  $d V e g k l v x $.
    isfrgr.v $e |- V = ( Vtx ` G ) $.
    isfrgr.e $e |- E = ( Edg ` G ) $.
    $( The property of being a friendship graph.  (Contributed by Alexander van
       der Vekens, 4-Oct-2017.)  (Revised by AV, 29-Mar-2021.)  (Revised by AV,
       3-Jan-2024.) $)
    isfrgr $p |- ( G e. FriendGraph <-> ( G e. USGraph
                             /\ A. k e. V A. l e. ( V \ { k } )
                                E! x e. V { { x , k } , { x , l } } C_ E ) ) $=
      ( ve vv vg cv cpr wreu wral cedg cfv cvtx wceq wb wss csn cdif wsbc cusgr
      cfrgr fvex fveq2 eqeq2d eqcomi eqeq2i bitrdi anbi12d difeq1 adantr reueq1
      simpl sseq2 adantl reubidv bitrd raleqbidv syl6bi sbc2iedv df-frgr elrab2
      wa ) ALZBLZMVHFLMMZILZUAZAJLZNZFVMVIUBZUCZOZBVMOZIKLZPQZUDJVSRQZUDVJCUAZA
      ENZFEVOUCZOZBEOZKDUEUFVSDSZVRWFJIWAVTVSRUGVSPUGWGVMWASZVKVTSZVGVMESZVKCSZ
      VGZVRWFTWGWHWJWIWKWGWHVMDRQZSWJWGWAWMVMVSDRUHUIWMEVMEWMGUJUKULWGWIVKDPQZS
      WKWGVTWNVKVSDPUHUIWNCVKCWNHUJUKULUMWLVQWEBVMEWJWKUQWLVNWCFVPWDWJVPWDSWKVM
      EVOUNUOWLVNVLAENZWCWJVNWOTWKVLAVMEUPUOWLVLWBAEWKVLWBTWJVKCVJURUSUTVAVBVBV
      CVDAJIKBFVEVF $.
  $}

  ${
    $d G k l x $.
    $( A friendship graph is a simple graph.  (Contributed by Alexander van der
       Vekens, 4-Oct-2017.)  (Revised by AV, 29-Mar-2021.) $)
    frgrusgr $p |- ( G e. FriendGraph -> G e. USGraph ) $=
      ( vx vk vl cfrgr wcel cusgr cpr cedg cfv wss cvtx wreu csn cdif wral eqid
      cv isfrgr simplbi ) AEFAGFBRZCRZHUADRHHAIJZKBALJZMDUDUBNOPCUDPBCUCAUDDUDQ
      UCQST $.

    $( Any null graph (set with no vertices) is a friendship graph iff its edge
       function is empty.  (Contributed by Alexander van der Vekens,
       4-Oct-2017.)  (Revised by AV, 29-Mar-2021.) $)
    frgr0v $p |- ( ( G e. W /\ ( Vtx ` G ) = (/) )
                   -> ( G e. FriendGraph <-> ( iEdg ` G ) = (/) ) ) $=
      ( vx vk vl cfrgr wcel cusgr cv cpr cedg cfv wss cvtx wral wa c0 wceq eqid
      adantr wreu cdif ciedg isfrgr cuhgr usgruhgr uhgr0vb syl5ib simpll usgr0e
      csn simpr ral0 wb raleq adantl mpbiri jca ex impbid syl5bb ) AFGAHGZCIZDI
      ZJVCEIJJAKLZMCANLZUAEVFVDUKUBOZDVFOZPZABGZVFQRZPZAUCLQRZCDVEAVFEVFSVESUDV
      LVIVMVIAUEGZVLVMVBVNVHAUFTABUGUHVLVMVIVLVMPZVBVHVOABVJVKVMUIVLVMULUJVLVHV
      MVLVHVGDQOZVGDUMVKVHVPUNVJVGDVFQUOUPUQTURUSUTVA $.

    $( Any null graph (without vertices and edges) is a friendship graph.
       (Contributed by Alexander van der Vekens, 30-Sep-2017.)  (Revised by AV,
       29-Mar-2021.) $)
    frgr0vb $p |- ( ( G e. W /\ ( Vtx ` G ) = (/) /\ ( iEdg ` G ) = (/) )
                    -> G e. FriendGraph ) $=
      ( wcel cvtx cfv c0 wceq cfrgr ciedg frgr0v biimp3ar ) ABCADEFGAHCAIEFGABJ
      K $.

    $( Any null graph (without vertices) represented as hypergraph is a
       friendship graph.  (Contributed by AV, 29-Mar-2021.) $)
    frgruhgr0v $p |- ( ( G e. UHGraph /\ ( Vtx ` G ) = (/) )
                       -> G e. FriendGraph ) $=
      ( cuhgr wcel cvtx cfv c0 wceq ciedg cfrgr uhgr0vb biimpcd anabsi5 frgr0vb
      wa mpd3an3 ) ABCZADEFGZAHEFGZAICPQRPQNPRABJKLABMO $.
  $}

  ${
    $d k l x $.
    $( The null graph (graph without vertices) is a friendship graph.
       (Contributed by AV, 29-Mar-2021.) $)
    frgr0 $p |- (/) e. FriendGraph $=
      ( vx vk vl c0 cfrgr wcel cusgr cpr cedg cfv wss wreu cdif wral usgr0 ral0
      cv csn cvtx vtxval0 eqcomi eqid isfrgr mpbir2an ) DEFDGFAQZBQZHUECQHHDIJZ
      KADLCDUFRMNZBDNOUHBPABUGDDCDSJDTUAUGUBUCUD $.
  $}

  ${
    $d A b k l $.  $d C b k l $.  $d E b k l $.  $d G b k l $.  $d V b k l $.
    frcond1.v $e |- V = ( Vtx ` G ) $.
    frcond1.e $e |- E = ( Edg ` G ) $.
    $( The friendship condition: any two (different) vertices in a friendship
       graph have a unique common neighbor.  (Contributed by Alexander van der
       Vekens, 19-Dec-2017.)  (Revised by AV, 29-Mar-2021.) $)
    frcond1 $p |- ( G e. FriendGraph -> ( ( A e. V /\ C e. V /\ A =/= C )
                      -> E! b e. V { { A , b } , { b , C } } C_ E ) ) $=
      ( vk vl wcel cv cpr wss wreu csn cdif wral wne wceq cfrgr cusgr wi isfrgr
      w3a preq2 preq1d sseq1d reubidv preq2d simp1 sneq difeq2d adantl wa necom
      biimpi anim2i 3adant1 eldifsn sylibr rspc2vd preq1i sseq1i reubii syl6com
      prcom simplbiim ) DUAKDUBKFLZILZMZVIJLZMZMZCNZFEOZJEVJPZQZRIERZAEKZBEKZAB
      SZUEZAVIMZVIBMZMZCNZFEOZUCFICDEJGHUDWCVSVIAMZWEMZCNZFEOZWHWCWLWIVMMZCNZFE
      OVPIJABEVREAPZQZVJATZVOWNFEWQVNWMCWQVKWIVMVJAVIUFUGUHUIVLBTZWNWKFEWRWMWJC
      WRVMWEWIVLBVIUFUJUHUIVTWAWBUKWQVRWPTWCWQVQWOEVJAULUMUNWCWABASZUOZBWPKWAWB
      WTVTWBWSWAWBWSABUPUQURUSBEAUTVAVBWLWHWKWGFEWJWFCWIWDWEVIAVGVCVDVEUQVFVH
      $.

    $( The friendship condition: any two (different) vertices in a friendship
       graph have a unique common neighbor.  (Contributed by Alexander van der
       Vekens, 19-Dec-2017.)  (Revised by AV, 29-Mar-2021.) $)
    frcond2 $p |- ( G e. FriendGraph -> ( ( A e. V /\ C e. V /\ A =/= C )
                       -> E! b e. V ( { A , b } e. E /\ { b , C } e. E ) ) ) $=
      ( cfrgr wcel wne w3a cv cpr wss wreu wa frcond1 prex prss bicomi reubii
      syl6ib ) DIJAEJBEJABKLAFMZNZUDBNZNCOZFEPUECJUFCJQZFEPABCDEFGHRUGUHFEUHUGU
      EUFCAUDSUDBSTUAUBUC $.

    $( Variant of ~ frcond2 :  Any two (different) vertices in a friendship
       graph have a unique common neighbor.  (Contributed by Alexander van der
       Vekens, 18-Feb-2018.)  (Revised by AV, 12-May-2021.)  (Proof shortened
       by AV, 4-Jan-2022.) $)
    frgreu $p |- ( G e. FriendGraph -> ( ( A e. V /\ C e. V /\ A =/= C )
                            -> E! b ( { A , b } e. E /\ { b , C } e. E ) ) ) $=
      ( cfrgr wcel wne w3a cv cpr wa weu wreu frcond2 imp cusgr frgrusgr adantr
      simpl usgrpredgv simprd syl2an reueubd mpbid ex ) DIJZAEJZBEJABKLZAFMZNCJ
      ZUMBNCJZOZFPZUJULOZUPFEQZUQUJULUSABCDEFGHRSURUPFEURDTJZUNUMEJZUPUJUTULDUA
      UBUNUOUCUTUNOUKVACDAUMEHGUDUEUFUGUHUI $.

    $d A x $.  $d C x $.  $d E b x $.  $d G x $.  $d V x $.
    $( The friendship condition, expressed by neighborhoods: in a friendship
       graph, the neighborhood of a vertex and the neighborhood of a second,
       different vertex have exactly one vertex in common.  (Contributed by
       Alexander van der Vekens, 19-Dec-2017.)  (Revised by AV,
       30-Dec-2021.) $)
    frcond3 $p |- ( G e. FriendGraph -> ( ( A e. V /\ C e. V /\ A =/= C )
        -> E. x e. V ( ( G NeighbVtx A ) i^i ( G NeighbVtx C ) ) = { x } ) ) $=
      ( vb wcel cnbgr co cin cv wceq wa cpr wss crab adantr cfrgr wne wrex wreu
      w3a csn frcond1 imp wex ssrab2 sseq1 mpbii vex snss sylibr cusgr frgrusgr
      adantl nbusgr ineq12d inrab eqtrdi wb prcom eleq1i anbi2i prex prss bitri
      syl a1i rabbidva simpr 3eqtrd jca ex eximdv reusn df-rex 3imtr4g mpd ) EU
      AJZBFJCFJBCUBUEZEBKLZECKLZMZANZUFZOZAFUCZWBWCPZBINZQZWLCQZQDRZIFUDZWJWBWC
      WPBCDEFIGHUGUHWKWOIFSZWHOZAUIWGFJZWIPZAUIWPWJWKWRWTAWKWRWTWKWRPZWSWIWRWSW
      KWRWHFRZWSWRWQFRXBWOIFUJWQWHFUKULWGFAUMUNUOURXAWFWMDJZCWLQZDJZPZIFSZWQWHX
      AWFXCIFSZXEIFSZMZXGWKWFXJOZWRWBXKWCWBEUPJZXKEUQXLWDXHWEXIIDEBFGHUSIDECFGH
      USUTVJTTXCXEIFVAVBWKXGWQOWRWKXFWOIFXFWOVCWKWLFJPXFXCWNDJZPWOXEXMXCXDWNDCW
      LVDVEVFWMWNDBWLVGWLCVGVHVIVKVLTWKWRVMVNVOVPVQWOIAFVRWIAFVSVTWAVP $.

    $d E k l x $.
    $( The friendship condition, alternatively expressed by neighborhoods: in a
       friendship graph, the neighborhoods of two different vertices have
       exactly one vertex in common.  (Contributed by Alexander van der Vekens,
       19-Dec-2017.)  (Revised by AV, 29-Mar-2021.)  (Proof shortened by AV,
       30-Dec-2021.) $)
    frcond4 $p |- ( G e. FriendGraph
                    -> A. k e. V A. l e. ( V \ { k } ) E. x e. V
                       ( ( G NeighbVtx k ) i^i ( G NeighbVtx l ) ) = { x } ) $=
      ( cfrgr wcel cv cnbgr co cin csn wceq wrex wne wa anim2i cdif w3a frcond3
      eldifsn necom biimpi sylbi 3anass sylibr impel ralrimivva ) DIJZDBKZLMDFK
      ZLMNAKOPAEQZBFEEUMOUAZULUMEJZUNEJZUMUNRZUBZUOUQUNUPJZSZAUMUNCDEGHUCVBUQUR
      USSZSUTVAVCUQVAURUNUMRZSVCUNEUMUDVDUSURVDUSUNUMUEUFTUGTUQURUSUHUIUJUK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The friendship theorem for small graphs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d G k l x $.  $d N k l x $.
    $( Any graph with (at most) one vertex is a friendship graph.  (Contributed
       by Alexander van der Vekens, 4-Oct-2017.)  (Revised by AV,
       29-Mar-2021.) $)
    frgr1v $p |- ( ( G e. USGraph /\ ( Vtx ` G ) = { N } )
                   -> G e. FriendGraph ) $=
      ( vx vk vl wcel cfv csn wceq cv cpr wss wreu cdif cvv c0 raleqbidv mpbiri
      wral eqid cusgr cvtx wa cedg cfrgr simpl ral0 difeq2d difid eqtrdi preq1d
      sneq preq2 sseq1d reubidv ralsng wn snprc rzal sylbi pm2.61i wb id difeq1
      reueq1 adantl isfrgr sylanbrc ) AUAFZAUBGZBHZIZUCZVICJZDJZKZVNEJKZKZAUDGZ
      LZCVJMZEVJVOHZNZSZDVJSZAUEFVIVLUFVMWEVTCVKMZEVKWBNZSZDVKSZBOFZWIWJWIVNBKZ
      VQKZVSLZCVKMZEPSZWNEUGWHWODBOVOBIZWFWNEWGPWPWGVKVKNPWPWBVKVKVOBULUHVKUIUJ
      WPVTWMCVKWPVRWLVSWPVPWKVQVOBVNUMUKUNUOQUPRWJUQVKPIWIBURWHDVKUSUTVAVLWEWIV
      BVIVLWDWHDVJVKVLVCVLWAWFEWCWGVJVKWBVDVTCVJVKVEQQVFRCDVSAVJEVJTVSTVGVH $.
  $}

  ${
    $d A k l x $.  $d B k l x $.  $d G k l x $.
    $( Any graph with two (different) vertices is not a friendship graph.
       (Contributed by Alexander van der Vekens, 30-Sep-2017.)  (Proof
       shortened by Alexander van der Vekens, 13-Sep-2018.)  (Revised by AV,
       29-Mar-2021.) $)
    nfrgr2v $p |- ( ( ( A e. X /\ B e. Y /\ A =/= B )
                      /\ ( Vtx ` G ) = { A , B } ) -> G e/ FriendGraph ) $=
      ( vx vk vl wcel cpr wceq wa wss wreu wral wn wrex wb sseq1d adantr wne wi
      cusgr w3a cvtx cfv cfrgr wnel cv cedg csn cdif wo neirr eqid usgredgne ex
      mtoi adantl intnanrd prex prss sylnib intnand ioran sylanbrc preq1 rexprg
      preq12d 3adant3 mtbird reurex rexnal bicomi a1i difprsn1 3ad2ant3 rexeqdv
      nsyl preq2 preq2d reubidv notbid rexsng 3ad2ant2 3bitrd difprsn2 3ad2ant1
      orcd orbi12d mpbird sneq difeq2d preq1d raleqbidv sylib adantlr id difeq1
      reueq1 anbi2d df-nel isfrgr xchbinx sylibr expcom frgrusgr con3i pm2.61i
      a1d ) CUCIZADIZBEIZABUAZUDZCUEUFZABJZKZLZCUGUHZUBXSXKXTXSXKLZXKFUIZGUIZJZ
      YBHUIZJZJZCUJUFZMZFXPNZHXPYCUKZULZOZGXPOZLZPZXTYAYPXKYIFXQNZHXQYKULZOZGXQ
      OZLZPZXOXKUUBXRXOXKLZYTXKUUCYSPZGXQQZYTPUUCUUEYBAJZYFJZYHMZFXQNZHXQAUKZUL
      ZOZPZYBBJZYFJZYHMZFXQNZHXQBUKZULZOZPZUMZUUCUVBUUFUUNJZYHMZFXQNZPZUUNUUFJZ
      YHMZFXQNZPZUMUUCUVFUVJUUCUVDFXQQZUVEUUCUVKAAJZXQJZYHMZBAJZBBJZJZYHMZUMZUU
      CUVNPUVRPUVSPUUCUVLYHIZXQYHIZLUVNUUCUVTUWAXKUVTPXOXKUVTAAUAZAUNXKUVTUWBYH
      CAAYHUOZUPUQURUSUTUVLXQYHAAVAABVAVBVCUUCUVOYHIZUVPYHIZLUVRUUCUWEUWDXKUWEP
      XOXKUWEBBUAZBUNXKUWEUWFYHCBBUWCUPUQURUSVDUVOUVPYHBAVABBVAVBVCUVNUVRVEVFXO
      UVKUVSRZXKXLXMUWGXNUVDUVNUVRFABDEYBAKZUVCUVMYHUWHUUFUVLUUNXQYBAAVGYBABVGV
      ISYBBKZUVCUVQYHUWIUUFUVOUUNUVPYBBAVGYBBBVGVISVHVJTVKUVDFXQVLVSWIUUCUUMUVF
      UVAUVJUUCUUMUUIPZHUUKQZUWJHUURQZUVFUUMUWKRUUCUWKUUMUUIHUUKVMVNVOUUCUWJHUU
      KUURXOUUKUURKZXKXNXLUWMXMABVPVQTVRXOUWLUVFRZXKXMXLUWNXNUWJUVFHBEYEBKZUUIU
      VEUWOUUHUVDFXQUWOUUGUVCYHUWOYFUUNUUFYEBYBVTWASWBWCWDWETWFUUCUVAUUQPZHUUSQ
      ZUWPHUUJQZUVJUVAUWQRUUCUWQUVAUUQHUUSVMVNVOUUCUWPHUUSUUJXOUUSUUJKZXKXNXLUW
      SXMABWGVQTVRXOUWRUVJRZXKXLXMUWTXNUWPUVJHADYEAKZUUQUVIUXAUUPUVHFXQUXAUUOUV
      GYHUXAYFUUFUUNYEAYBVTWASWBWCWDWHTWFWJWKXOUUEUVBRZXKXLXMUXBXNUUDUUMUVAGABD
      EYCAKZYSUULUXCYQUUIHYRUUKUXCYKUUJXQYCAWLWMUXCYIUUHFXQUXCYGUUGYHUXCYDUUFYF
      YCAYBVTWNSWBWOWCYCBKZYSUUTUXDYQUUQHYRUUSUXDYKUURXQYCBWLWMUXDYIUUPFXQUXDYG
      UUOYHUXDYDUUNYFYCBYBVTWNSWBWOWCVHVJTWKYSGXQVMWPVDWQXSYPUUBRZXKXRUXEXOXRYO
      UUAXRYNYTXKXRYMYSGXPXQXRWRXRYJYQHYLYRXPXQYKWSYIFXPXQWTWOWOXAWCUSTWKXTCUGI
      ZYOCUGXBZFGYHCXPHXPUOUWCXCXDXEXFXKPZXTXSUXHUXFPXTUXFXKCXGXHUXGXEXJXI $.
  $}

  ${
    $d A k l x y $.  $d B k l x y $.  $d C k l x y $.  $d E k l x y $.
    $d G x y $.  $d V x y $.  $d X x y $.  $d Y x y $.  $d Z x y $.
    frgr3v.v $e |- V = ( Vtx ` G ) $.
    frgr3v.e $e |- E = ( Edg ` G ) $.
    $( Lemma 1 for ~ frgr3v .  (Contributed by Alexander van der Vekens,
       4-Oct-2017.)  (Revised by AV, 29-Mar-2021.) $)
    frgr3vlem1 $p |- ( ( ( A e. X /\ B e. Y /\ C e. Z )
              /\ ( A =/= B /\ A =/= C /\ B =/= C )
              /\ ( V = { A , B , C } /\ G e. USGraph ) ) -> A. x A. y
                 ( ( ( x e. { A , B , C } /\ { { x , A } , { x , B } } C_ E )
                  /\ ( y e. { A , B , C } /\ { { y , A } , { y , B } } C_ E ) )
              -> x = y ) ) $=
      ( wcel wceq cpr wi preq1 imbi2d com12 w3a wne ctp cusgr wa cv wss w3o vex
      eltp eqidd a1i13 preq12d sseq1d eqeq2 3imtr4d prex prss usgredgne adantll
      a1i df-ne eqid pm2.24i sylbi syl expcom adantr sylbir 3ad2ant3 2a1i 3jaoi
      eqeq1 imbi12d syl5ibr adantl pm2.21 mpisyl com13 a1d 3imp com3l imp imp31
      wn alrimivv ) CINDJNEKNUAZCDUBCEUBDEUBUAZHCDEUCZOZGUDNZUEZUAZAUFZWINZWNCP
      ZWNDPZPZFUGZUEBUFZWINZWTCPZWTDPZPZFUGZUEZUEZWNWTOZQABXGWMXHWOWSXFWMXHQZWO
      WNCOZWNDOZWNEOZUHZWSXFXIQQWNCDEAUIUJXFXMWSXIXAXEXMWSXIQZQZXAWTCOZWTDOZWTE
      OZUHZXEXOQWTCDEBUIUJXMXSXEXNXJXSXEXNQZQXKXLXSXTXJXECCPZCDPZPZFUGZWMCWTOZQ
      ZQZQZXPYHXQXRXPYDYDWMCCOZQZQXEYGXPYDYDYJYJYDWMCUKVAULXPXDYCFXPXBYAXCYBWTC
      CRWTCDRUMUNZXPYFYJYDXPYEYIWMWTCCUOSSUPXQDCPZDDPZPZFUGZYDWMCDOZQZQZXEYGYRX
      QYOWMYDYPWLWGYDYPQWHYDWLYPYDYAFNZYBFNZUEZWLYPQZYAYBFCCUQCDUQURZYSUUBYTWLY
      SYPWLYSUEZCCUBZYPWKYSUUEWJFGCCMUSUTZUUEYIWEZYPCCVBZYIYPCVCZVDVEVFVGVHVITV
      JTVKXQXDYNFXQXBYLXCYMWTDCRWTDDRUMUNZXQYFYQYDXQYEYPWMWTDCUOSSUPXRECPZEDPZP
      ZFUGZYDWMCEOZQZQZXEYGUUQXRUUNWMYDUUOWLWGYDUUOQWHYDWLUUOYDUUAWLUUOQZUUCYSU
      URYTWLYSUUOUUDUUEUUOUUFUUEUUGUUOUUHYIUUOUUIVDVEVFVGVHVITVJTVKXRXDUUMFXRXB
      UUKXCUULWTECRWTEDRUMUNZXRYFUUPYDXRYEUUOWMWTECUOSSUPVLXJXNYGXEXJWSYDXIYFXJ
      WRYCFXJWPYAWQYBWNCCRWNCDRUMUNXJXHYEWMWNCWTVMSVNSVOXSXTXKXEYOWMDWTOZQZQZQZ
      XPUVCXQXRXPYDYOWMDCOZQZQZXEUVBUVFXPYDWMYOUVDWLWGYOUVDQWHYOWLUVDYOYLFNZYMF
      NZUEZWLUVDQZYLYMFDCUQDDUQURZUVHUVJUVGWLUVHUVDWLUVHUEZDDUBZUVDWKUVHUVMWJFG
      DDMUSUTZUVMDDOZWEZUVDDDVBZUVOUVDDVCZVDVEVFVGVPVITVJTVKYKXPUVAUVEYOXPUUTUV
      DWMWTCDUOSSUPXQYOYOWMUVOQZQXEUVBXQYOYOUVSUVSYOWMDUKVAULUUJXQUVAUVSYOXQUUT
      UVOWMWTDDUOSSUPXRUUNYOWMDEOZQZQZXEUVBUWBXRUUNWMYOUVTWLWGYOUVTQWHYOWLUVTYO
      UVIWLUVTQZUVKUVHUWCUVGWLUVHUVTUVLUVMUVTUVNUVMUVPUVTUVQUVOUVTUVRVDVEVFVGVP
      VITVJTVKUUSXRUVAUWAYOXRUUTUVTWMWTEDUOSSUPVLXKXNUVBXEXKWSYOXIUVAXKWRYNFXKW
      PYLWQYMWNDCRWNDDRUMUNXKXHUUTWMWNDWTVMSVNSVOXSXTXLXEUUNWMEWTOZQZQZQZXPUWGX
      QXRXPYDUUNWMECOZQZQXEUWFXPYDUUNUWIWMYDUWHWLWGYDUWHQWHYDWLUWHYDUUAWLUWHQZU
      UCYSUWJYTWLYSUWHUUDUUEUWHUUFUUEUUGUWHUUHYIUWHUUIVDVEVFVGVHVITVJTULYKXPUWE
      UWIUUNXPUWDUWHWMWTCEUOSSUPXQYOUUNWMEDOZQZQXEUWFXQYOUUNUWLWMYOUWKWGWHWLYOU
      WKQZWGWLUWMQWHYOWLWGUWKYOUVIWLWGUWKQZQZUVKUVHUWOUVGWLUVHUWNUVLUVMUVOUWNUV
      NUVRUVMUVPUVOUWNQUVQUVOUWNVQVEVRVGVPVIVSVTWATULUUJXQUWEUWLUUNXQUWDUWKWMWT
      DEUOSSUPXRUUNUUNWMEEOZQZQXEUWFXRUUNUUNUWQUWQUUNWMEUKVAULUUSXRUWEUWQUUNXRU
      WDUWPWMWTEEUOSSUPVLXLXNUWFXEXLWSUUNXIUWEXLWRUUMFXLWPUUKWQUULWNECRWNEDRUMU
      NXLXHUWDWMWNEWTVMSVNSVOVLWBVEWCWBVEWDTWF $.

    $( Lemma 2 for ~ frgr3v .  (Contributed by Alexander van der Vekens,
       4-Oct-2017.)  (Revised by AV, 29-Mar-2021.) $)
    frgr3vlem2 $p |- ( ( ( A e. X /\ B e. Y /\ C e. Z )
                         /\ ( A =/= B /\ A =/= C /\ B =/= C ) )
                       -> ( ( V = { A , B , C } /\ G e. USGraph )
                      -> ( E! x e. { A , B , C } { { x , A } , { x , B } } C_ E
                           <-> ( { C , A } e. E /\ { C , B } e. E ) ) ) ) $=
      ( vy wcel wne wa wceq cpr preq1 prex w3a ctp cusgr cv wss wreu weu df-reu
      wb wex wi wal eleq1w preq12d sseq1d anbi12d eu4 frgr3vlem1 3expa biantrud
      w3o vex eltp prss usgredgne adantll wn df-ne eqid pm2.24i sylbi ex adantl
      syl com12 adantr sylbir syl6bi ax-1 3jaoi imp exlimdv prssi 3mix3d rextpg
      wrex ad3antrrr mpbird df-rex sylib impbid bitr3d syl5bb ) BHNCINDJNUAZBCO
      BDOCDOUAZPZGBCDUBZQZFUCNZPZAUDZBRZXACRZRZEUEZAWQUFZDBRZENDCRZENPZUIXFXAWQ
      NZXEPZAUGZWPWTPZXIXEAWQUHXLXKAUJZXKMUDZWQNZXOBRZXOCRZRZEUEZPZPXAXOQZUKMUL
      AULZPZXMXIXKYAAMYBXJXPXEXTAMWQUMYBXDXSEYBXBXQXCXRXAXOBSXAXOCSUNUOUPUQXMXN
      YDXIXMYCXNWNWOWTYCAMBCDEFGHIJKLURUSUTXMXNXIXMXKXIAXKXMXIXJXEXMXIUKZXJXABQ
      ZXACQZXADQZVAXEYEUKZXABCDAVBVCYFYIYGYHYFXEBBRZBCRZRZEUEZYEYFXDYLEYFXBYJXC
      YKXABBSXABCSUNUOZYMYJENZYKENZPYEYJYKEBBTBCTVDYOYEYPXMYOXIWTYOXIUKWPWTYOXI
      WTYOPBBOZXIWSYOYQWREFBBLVEVFYQBBQZVGXIBBVHYRXIBVIVJVKVNVLVMVOVPVQVRYGXECB
      RZCCRZRZEUEZYEYGXDUUAEYGXBYSXCYTXACBSXACCSUNUOZUUBYSENZYTENZPYEYSYTECBTCC
      TVDUUEYEUUDXMUUEXIWTUUEXIUKWPWTUUEXIWTUUEPCCOZXIWSUUEUUFWREFCCLVEVFUUFCCQ
      ZVGXICCVHUUGXICVIVJVKVNVLVMVOVMVQVRYHXEXGXHRZEUEZYEYHXDUUHEYHXBXGXCXHXADB
      SXADCSUNUOZUUIXIYEXGXHEDBTDCTVDXIXMVSVQVRVTVKWAVOWBXMXIXNXMXIPZXEAWQWFZXN
      UUKUULYMUUBUUIVAZUUKUUIYMUUBXIUUIXMXGXHEWCVMWDWNUULUUMUIWOWTXIXEYMUUBUUIA
      BCDHIJYNUUCUUJWEWGWHXEAWQWIWJVLWKWLWMWMVL $.

    $d G k l $.  $d V k l $.
    $( Any graph with three vertices which are completely connected with each
       other is a friendship graph.  (Contributed by Alexander van der Vekens,
       5-Oct-2017.)  (Revised by AV, 29-Mar-2021.) $)
    frgr3v $p |- ( ( ( A e. X /\ B e. Y /\ C e. Z )
                     /\ ( A =/= B /\ A =/= C /\ B =/= C ) )
                   -> ( ( V = { A , B , C } /\ G e. USGraph )
                        -> ( G e. FriendGraph
                             <-> ( { A , B } e. E /\ { B , C } e. E
                                /\ { C , A } e. E ) ) ) ) $=
      ( vx vl wcel w3a wa wceq cpr wb wreu vk wne ctp cusgr cfrgr wss cdif wral
      cv csn isfrgr id difeq1 reueq1 raleqbidv anbi2d baibd adantl sneq difeq2d
      a1i bitrd preq2 preq1d sseq1d reubidv raltpg ad2antrr tprot difeq1d necom
      biimpi anim12i 3adant3 diftpsn3 syl eqtrd raleqdv eqcomi anim12ci 3adant2
      3adant1 3anbi123d ad2antlr preq2d ralprg ancoms 3bitrd frgr3vlem2 simpll1
      imp simpll3 simpll2 3jca simplr2 simplr1 simpld tpcomb eqtrdi anim1i mp1i
      anbi12d simplr3 necomd eqeq2i tpcoma 3anrev 3anbi123i 3com13 eqtri syl2an
      syl21anc eleq1i anbi2i anandir bitr4i 3anrot df-3an 3bitr3i bitr3i 3bitri
      prcom biid anabs1 anidm bitrdi ex ) AGNZBHNZCINZOZABUBZACUBZBCUBZOZPZFABC
      UCZQZEUDNZPZEUENZABRZDNZBCRZDNZCARZDNZOZSYPYTPZUUALUIZUAUIZRZUUJMUIZRZRZD
      UFZLYQTZMYQUUKUJZUGZUHZUAYQUHZUUJARZUUJBRZRZDUFZLYQTZUVBUUJCRZRZDUFZLYQTZ
      PZUVCUVGRZDUFZLYQTZUVCUVBRZDUFZLYQTZPZUVGUVBRZDUFZLYQTZUVGUVCRZDUFZLYQTZP
      ZOZUUHUUIUUAYSUUPLFTZMFUURUGZUHZUAFUHZPZUVAUUAUWKSUUILUADEFMJKUKVAYTUWKUV
      ASYPYRUWKYSUVAYRUWJUVAYSYRUWIUUTUAFYQYRULZYRUWGUUQMUWHUUSFYQUURUMUUPLFYQU
      NUOUOUPUQURVBUUIUVAUVBUUNRZDUFZLYQTZMYQAUJZUGZUHZUVCUUNRZDUFZLYQTZMYQBUJZ
      UGZUHZUVGUUNRZDUFZLYQTZMYQCUJZUGZUHZOZUWOMUUDUHZUXAMUUFUHZUXGMUUBUHZOZUWF
      YKUVAUXKSYOYTUUTUWRUXDUXJUAABCGHIUUKAQZUUQUWOMUUSUWQUXPUURUWPYQUUKAUSUTUX
      PUUPUWNLYQUXPUUOUWMDUXPUULUVBUUNUUKAUUJVCVDVEVFUOUUKBQZUUQUXAMUUSUXCUXQUU
      RUXBYQUUKBUSUTUXQUUPUWTLYQUXQUUOUWSDUXQUULUVCUUNUUKBUUJVCVDVEVFUOUUKCQZUU
      QUXGMUUSUXIUXRUURUXHYQUUKCUSUTUXRUUPUXFLYQUXRUUOUXEDUXRUULUVGUUNUUKCUUJVC
      VDVEVFUOVGVHYOUXKUXOSYKYTYOUWRUXLUXDUXMUXJUXNYOUWOMUWQUUDYOUWQBCAUCZUWPUG
      ZUUDYOYQUXSUWPYQUXSQZYOABCVIZVAVJYOBAUBZCAUBZPZUXTUUDQYLYMUYEYNYLUYCYMUYD
      YLUYCABVKZVLYMUYDACVKZVLVMVNBCAVOVPVQVRYOUXAMUXCUUFYOUXCCABUCZUXBUGZUUFYO
      YQUYHUXBYQUYHQZYOUYHYQCABVIVSZVAVJYOCBUBZYLPZUYIUUFQYLYNUYMYMYLYLYNUYLYLU
      LYNUYLBCVKZVLVTWAZCABVOVPVQVRYOUXGMUXIUUBYMYNUXIUUBQYLABCVOWBVRWCWDYKUXOU
      WFSYOYTYKUXLUVKUXMUVRUXNUWEYIYJUXLUVKSYHUWOUVFUVJMBCHIUUMBQZUWNUVELYQUYPU
      WMUVDDUYPUUNUVCUVBUUMBUUJVCZWEVEVFUUMCQZUWNUVILYQUYRUWMUVHDUYRUUNUVGUVBUU
      MCUUJVCZWEVEVFWFWBYHYJUXMUVRSZYIYJYHUYTUXAUVNUVQMCAIGUYRUWTUVMLYQUYRUWSUV
      LDUYRUUNUVGUVCUYSWEVEVFUUMAQZUWTUVPLYQVUAUWSUVODVUAUUNUVBUVCUUMAUUJVCZWEV
      EVFWFWGWAYHYIUXNUWESYJUXGUWAUWDMABGHVUAUXFUVTLYQVUAUXEUVSDVUAUUNUVBUVGVUB
      WEVEVFUYPUXFUWCLYQUYPUXEUWBDUYPUUNUVCUVGUYQWEVEVFWFVNWCVHWHUUIUWFUUGCBRZD
      NZPZBARZDNZUUEPZPZUUCACRZDNZPZVUDUUGPZPZUUEVUGPZVUKUUCPZPZOZUUHUUIUVKVUIU
      VRVUNUWEVUQUUIUVFVUEUVJVUHYPYTUVFVUESLABCDEFGHIJKWIWKUUIYHYJYIOZYMYLUYLOZ
      FACBUCZQZYSPZUVJVUHSUUIYHYJYIYHYIYJYOYTWJZYHYIYJYOYTWLZYHYIYJYOYTWMZWNUUI
      YMYLUYLYLYMYNYKYTWOZYLYMYNYKYTWPZYOUYLYKYTYOUYLYLUYOWQWDZWNYTVVCYPYRVVBYS
      YRFYQVVAUWLABCWRZWSWTURVUSVUTPZVVCPZUVJUVILVVATZVUHYQVVAQUVJVVMSVVLVVJUVI
      LYQVVAUNXAVVKVVCVVMVUHSLACBDEFGIHJKWIWKVBXLXBUUIUVNVULUVQVUMUUIYIYJYHOZYN
      UYCUYDOZFUXSQZYSPZUVNVULSUUIYIYJYHVVFVVEVVDWNUUIYNUYCUYDYLYMYNYKYTXCZUUIA
      BVVHXDZUUIACVVGXDZWNYTVVQYPYRVVPYSYRVVPYQUXSFUYBXEVLWTURVVNVVOPZVVQPZUVNU
      VMLUXSTZVULUYAUVNVWCSVWBUYBUVMLYQUXSUNXAVWAVVQVWCVULSLBCADEFHIGJKWIWKVBXL
      UUIYIYHYJOZUYCYNYMOZFBACUCZQZYSPZUVQVUMSUUIYIYHYJVVFVVDVVEWNUUIUYCYNYMVVS
      VVRVVGWNYTVWHYPYRVWGYSYRVWGYQVWFFABCXFZXEVLWTURVWDVWEPZVWHPZUVQUVPLVWFTZV
      UMYQVWFQUVQVWLSVWKVWIUVPLYQVWFUNXAVWJVWHVWLVUMSLBACDEFHGIJKWIWKVBXLXBUUIU
      WAVUOUWDVUPUUIYJYHYIOZUYDUYLYLOZFUYHQZYSPZUWAVUOSUUIYJYHYIVVEVVDVVFWNUUIU
      YDUYLYLVVTVVIVVHWNYTVWPYPYRVWOYSYRVWOYQUYHFUYKXEVLWTURVWMVWNPZVWPPZUWAUVT
      LUYHTZVUOUYJUWAVWSSVWRUYKUVTLYQUYHUNXAVWQVWPVWSVUOSLCABDEFIGHJKWIWKVBXLYP
      YJYIYHOZUYLUYDUYCOZPZFCBAUCZQZYSPZUWDVUPSYTYKVWTYOVXAYKVWTYHYIYJXGVLYNYMY
      LVXAYNYMYLOVXAYNUYLYMUYDYLUYCUYNUYGUYFXHVLXIVMYRVXDYSYRVXDYQVXCFYQUXSVXCU
      YBBCAXFXJZXEVLWTVXBVXEPZUWDUWCLVXCTZVUPYQVXCQUWDVXHSVXGVXFUWCLYQVXCUNXAVX
      BVXEVXHVUPSLCBADEFIHGJKWIWKVBXKXBWCVURUUGVUGPVUDPZUUCVUDPVUKPZUUEVUKPVUGP
      ZOUUHUUHUUHOZUUHVUIVXIVUNVXJVUQVXKVUIVUEVUGVUDPZPVXIVUHVXMVUEUUEVUDVUGUUD
      VUCDBCYBXMXNXNUUGVUGVUDXOXPVUNVULVUDVUKPZPVXJVUMVXNVULUUGVUKVUDUUFVUJDCAY
      BXMXNXNUUCVUDVUKXOXPVUQVUOVUKVUGPZPVXKVUPVXOVUOUUCVUGVUKUUBVUFDABYBXMXNXN
      UUEVUKVUGXOXPXHVXIUUHVXJUUHVXKUUHUUGVUGVUDOVUGVUDUUGOVXIUUHUUGVUGVUDXQUUG
      VUGVUDXRVUGUUCVUDUUEUUGUUGVUFUUBDBAYBXMZVUCUUDDCBYBXMZUUGYCXHXSVXJUUCVUDV
      UKOUUHUUCVUDVUKXRUUCUUCVUDUUEVUKUUGUUCYCVXQVUJUUFDACYBXMZXHXTVXKUUEVUKVUG
      OZUUHUUEVUKVUGXRVXSVUKVUGUUEOVUGUUEVUKOUUHUUEVUKVUGXQVUKVUGUUEXQVUGUUCUUE
      UUEVUKUUGVXPUUEYCVXRXHYAXTXHVXLUUHUUHPZUUHPVXTUUHUUHUUHUUHXRUUHUUHYDUUHYE
      YAYAYFWHYG $.
  $}

  ${
    $d A h v w $.  $d E h $.  $d V h v w $.
    $( Every graph with one vertex (which may be connect with itself by
       (multiple) loops!) is a windmill graph.  (Contributed by Alexander van
       der Vekens, 5-Oct-2017.)  (Revised by AV, 31-Mar-2021.) $)
    1vwmgr $p |- ( ( A e. X /\ V = { A } )
                    -> E. h e. V A. v e. ( V \ { h } ) ( { v , h } e. E
                                /\ E! w e. ( V \ { h } ) { v , w } e. E ) ) $=
      ( wcel csn wceq wa cv cpr cdif wreu wral wrex c0 wb reueq1 difeq2d eqtrdi
      ral0 difid preq2 eleq1d syl anbi12d raleqbidv rexsng mpbiri adantr difeq1
      sneq anbi2d rexeqbi1dv adantl mpbird ) CGHZFCIZJZKBLZDLZMZEHZVBALMEHZAFVC
      IZNZOZKZBVHPZDFQZVEVFAUTVGNZOZKZBVMPZDUTQZUSVQVAUSVQVBCMZEHZVFAUTUTNZOZKZ
      BRPZWBBUCVPWCDCGVCCJZVOWBBVMRWDVMVTRWDVGUTUTVCCUNUAZUTUDUBWDVEVSVNWAWDVDV
      REVCCVBUEUFWDVMVTJVNWASWEVFAVMVTTUGUHUIUJUKULVAVLVQSUSVKVPDFUTVAVJVOBVHVM
      FUTVGUMZVAVIVNVEVAVHVMJVIVNSWFVFAVHVMTUGUOUIUPUQUR $.
  $}

  ${
    $d A w y $.  $d B w y $.  $d C w y $.  $d E w y $.  $d G w y $.
    $d V w y $.  $d X w y $.  $d Y w y $.
    3vfriswmgr.v $e |- V = ( Vtx ` G ) $.
    3vfriswmgr.e $e |- E = ( Edg ` G ) $.
    $( Lemma for ~ 3vfriswmgr .  (Contributed by Alexander van der Vekens,
       6-Oct-2017.)  (Revised by AV, 31-Mar-2021.) $)
    3vfriswmgrlem $p |- ( ( ( A e. X /\ B e. Y /\ A =/= B )
                            /\ ( V = { A , B , C } /\ G e. USGraph ) )
                          -> ( { A , B } e. E
                               -> E! w e. { A , B } { A , w } e. E ) ) $=
      ( vy wcel wceq wa cpr wi preq2 eleq1d imbi2d wne w3a ctp cusgr cv weu wex
      wreu wal wrex wo animorr rexprg 3adant3 ad2antrr mpbird df-rex sylib elpr
      wb vex eqidd a1i a1i13 eqeq2 3imtr4d usgredgne adantll df-ne eqid pm2.24i
      wn sylbi syl ex ad2antlr com12 2a1i eqeq1 imbi12d syl5ibr com3l imp imp31
      jaoi alrimivv eleq1w anbi12d eu4 sylanbrc df-reu sylibr ) BHMZCIMZBCUAZUB
      ZGBCDUCNZFUDMZOZOZBCPZEMZBAUEZPZEMZAXAUHZWTXBOZXCXAMZXEOZAUFZXFXGXIAUGZXI
      LUEZXAMZBXLPZEMZOZOZXCXLNZQZLUIAUIXJXGXEAXAUJZXKXGXTBBPZEMZXBUKZWTXBYBULW
      PXTYCUTZWSXBWMWNYDWOXEYBXBABCHIXCBNZXDYAEXCBBRSZXCCNZXDXAEXCCBRSZUMUNUOUP
      XEAXAUQURXGXSALXQXGXRXHXEXPXGXRQZXHYEYGUKZXEXPYIQQXCBCAVAUSXPYJXEYIXMXOYJ
      XEYIQZQZXMXLBNZXLCNZUKZXOYLQXLBCLVAUSYJYOXOYKYEYOXOYKQZQYGYOYPYEXOYBXGBXL
      NZQZQZQZYMYTYNYMYBYBXGBBNZQZQXOYSYMYBYBUUBUUBYBXGBVBVCVDYMXNYAEXLBBRSZYMY
      RUUBYBYMYQUUAXGXLBBVETTVFYNXBYBXGBCNZQZQZXOYSUUFYNXBXGYBUUDWSYBUUDQWPXBWS
      YBUUDWSYBOZBBUAZUUDWRYBUUHWQEFBBKVGVHZUUHUUAVLZUUDBBVIZUUAUUDBVJZVKVMVNVO
      VPVQVRYNXNXAEXLCBRSZYNYRUUEYBYNYQUUDXGXLCBVETTVFWEYEYKYSXOYEXEYBYIYRYFYEX
      RYQXGXCBXLVSTVTTWAYOYPYGXOXBXGCXLNZQZQZQZYMUUQYNYMYBXBXGCBNZQZQXOUUPYMYBX
      BUUSXGYBUURWSYBUURQWPXBWSYBUURUUGUUHUURUUIUUHUUJUURUUKUUAUURUULVKVMVNVOVP
      VQVDUUCYMUUOUUSXBYMUUNUURXGXLBCVETTVFYNXBXBXGCCNZQZQXOUUPYNXBXBUVAUVAXBXG
      CVBVCVDUUMYNUUOUVAXBYNUUNUUTXGXLCCVETTVFWEYGYKUUPXOYGXEXBYIUUOYHYGXRUUNXG
      XCCXLVSTVTTWAWEWBVMWCWBVMWDVQWFXIXPALXRXHXMXEXOALXAWGXRXDXNEXCXLBRSWHWIWJ
      XEAXAWKWLVO $.

    $d A h v w $.  $d B h v $.  $d C h v $.  $d E h v $.  $d V h v $.
    $( Every friendship graph with three (different) vertices is a windmill
       graph.  (Contributed by Alexander van der Vekens, 6-Oct-2017.)  (Revised
       by AV, 31-Mar-2021.) $)
    3vfriswmgr $p |- ( ( ( A e. X /\ B e. Y /\ C e. Z )
                         /\ ( A =/= B /\ A =/= C /\ B =/= C )
                         /\ V = { A , B , C } ) -> ( G e. FriendGraph
                       -> E. h e. V A. v e. ( V \ { h } ) ( { v , h } e. E
                               /\ E! w e. ( V \ { h } ) { v , w } e. E ) ) ) $=
      ( wcel wceq cpr wreu wa wb w3a wne ctp cfrgr cv csn cdif wral wi frgrusgr
      wrex cusgr frgr3v exp4b 3imp1 prcom eleq1i biimpi 3ad2ant3 adantl simpl11
      w3o simpl12 simp1 3ad2ant2 adantr 3jca simp3 anim1i jca 3vfriswmgrlem imp
      syl2an simpr2 3ad2ant1 tpcoma eqtrdi reueq1 sylibr eleq1d reubidv anbi12d
      necom ax-mp preq1 ralprg 3adant3 mpbird diftpsn3 3adant1 anbi2d raleqbidv
      syl 3mix3d difeq2d preq2 rextpg ex sylbid expcom com23 mpcom com12 difeq1
      sneq rexeqbi1dv imbi2d ) CJOZDKOZELOZUAZCDUBZCEUBZDEUBZUAZICDEUCZPZUAZHUD
      OZBUEZFUEZQZGOZXTAUEZQZGOZAIYAUFZUGZRZSZBYHUHZFIUKZUIZXSYCYFAXPYGUGZRZSZB
      YNUHZFXPUKZUIZXSXRYRHULOZXSXRYRUIHUJYTXRXSYRXRYTYSXRYTSZXSCDQZGOZDEQZGOZE
      CQZGOZUAZYRXKXOXQYTXSUUHTZXKXOXQYTUUICDEGHIJKLMNUMUNUOUUAUUHYRUUAUUHSZYRX
      TCQZGOZYFAXPCUFZUGZRZSZBUUNUHZXTDQZGOZYFAXPDUFZUGZRZSZBUVAUHZXTEQZGOZYFAX
      PEUFZUGZRZSZBUVHUHZVBZUUJUVKUUQUVDUUJUVKUVFYFAUUBRZSZBUUBUHZUUJUVOCEQZGOZ
      CYDQZGOZAUUBRZSZUUEDYDQZGOZAUUBRZSZSZUUJUWAUWEUUJUVQUVTUUHUVQUUAUUGUUCUVQ
      UUEUUGUVQUUFUVPGECUPUQURUSUTUUAXHXIXLUAZXQYTSZSZUUCUVTUUHUUAUWGUWHUUAXHXI
      XLXHXIXJXOXQYTVAZXHXIXJXOXQYTVCZXRXLYTXOXKXLXQXLXMXNVDVEVFVGXRXQYTXKXOXQV
      HZVIVJUUCUUEUUGVDUWIUUCUVTACDEGHIJKMNVKVLVMVJUUJUUEUWDUUAUUCUUEUUGVNUUAXI
      XHDCUBZUAZIDCEUCZPZYTSZSZDCQZGOZUWDUUHUUAUWNUWQUUAXIXHUWMUWKUWJXRUWMYTXOX
      KUWMXQXLXMUWMXNXLUWMCDWCURVOVEVFVGXRUWPYTXRIXPUWOUWLCDEVPVQVIVJUUCUUEUWTU
      UGUUCUWTUUBUWSGCDUPZUQURVOUWRUWTSUWCAUWSRZUWDUWRUWTUXBADCEGHIKJMNVKVLUUBU
      WSPUWDUXBTUXAUWCAUUBUWSVRWDVSVMVJVJUUAUVOUWFTZUUHXRUXCYTXKXOUXCXQXHXIUXCX
      JUVNUWAUWEBCDJKXTCPZUVFUVQUVMUVTUXDUVEUVPGXTCEWEVTUXDYFUVSAUUBUXDYEUVRGXT
      CYDWEVTWAWBXTDPZUVFUUEUVMUWDUXEUVEUUDGXTDEWEVTUXEYFUWCAUUBUXEYEUWBGXTDYDW
      EVTWAWBWFWGVOVFVFWHUUAUVKUVOTZUUHXRUXFYTXOXKUXFXQXOUVJUVNBUVHUUBXMXNUVHUU
      BPZXLCDEWIWJZXOUVIUVMUVFXOUXGUVIUVMTUXHYFAUVHUUBVRWMWKWLVEVFVFWHWNUUAYRUV
      LTZUUHXRUXIYTXKXOUXIXQYQUUQUVDUVKFCDEJKLYACPZYPUUPBYNUUNUXJYGUUMXPYACXEWO
      ZUXJYCUULYOUUOUXJYBUUKGYACXTWPVTUXJYNUUNPYOUUOTUXKYFAYNUUNVRWMWBWLYADPZYP
      UVCBYNUVAUXLYGUUTXPYADXEWOZUXLYCUUSYOUVBUXLYBUURGYADXTWPVTUXLYNUVAPYOUVBT
      UXMYFAYNUVAVRWMWBWLYAEPZYPUVJBYNUVHUXNYGUVGXPYAEXEWOZUXNYCUVFYOUVIUXNYBUV
      EGYAEXTWPVTUXNYNUVHPYOUVITUXOYFAYNUVHVRWMWBWLWQVOVFVFWHWRWSWTXAXBXCXQXKYM
      YSTXOXQYLYRXSYKYQFIXPXQYJYPBYHYNIXPYGXDZXQYIYOYCXQYHYNPYIYOTUXPYFAYHYNVRW
      MWKWLXFXGUSWH $.

    $( Every friendship graph with one or two vertices is a windmill graph.
       (Contributed by Alexander van der Vekens, 6-Oct-2017.)  (Revised by AV,
       31-Mar-2021.) $)
    1to2vfriswmgr $p |- ( ( A e. X /\ ( V = { A } \/ V = { A , B } ) )
                       -> ( G e. FriendGraph
                            -> E. h e. V A. v e. ( V \ { h } ) ( { v , h } e. E
                               /\ E! w e. ( V \ { h } ) { v , w } e. E ) ) ) $=
      ( csn wceq cpr wcel cfrgr cv wa wi wn wo cdif wreu wral 1vwmgr a1d expcom
      wrex cvv wne wnel w3a cvtx simpr simpll simplr 3jca eqeq1i biimpi nfrgr2v
      cfv syl2anr df-nel sylib pm2.21d ex com23 ianor prprc2 preq2 eqcoms dfsn2
      nne eqtr4di sylbi jaoi eqeq2d syl6bi pm2.61i impcom ) HCLZMZHCDNZMZUACIOZ
      GPOZBQZEQZNFOWGAQNFOAHWHLUBZUCRBWIUDEHUHZSZWBWEWKSZWDWEWBWKWEWBRWJWFABCEF
      HIUEUFUGZDUIOZCDUJZRZWDWLSWPWEWDWKWPWEWDWKSWDWPWERZWKWDWQRZWFWJWRGPUKZWFT
      WQWEWNWOULGUMVAZWCMZWSWDWQWEWNWOWPWEUNWNWOWEUOWNWOWEUPUQWDXAHWTWCJURUSCDG
      IUIUTVBGPVCVDVEUGVFVGWPTZWDWBWLXBWCWAHXBWNTZWOTZUAWCWAMZWNWOVHXCXEXDCDVIX
      DCDMZXECDVMXFWCCCNZWAWCXGMDCDCCVJVKCVLVNVOVPVOVQWMVRVSVPVT $.

    $( Every friendship graph with one, two or three vertices is a windmill
       graph.  (Contributed by Alexander van der Vekens, 6-Oct-2017.)  (Revised
       by AV, 31-Mar-2021.) $)
    1to3vfriswmgr $p |- ( ( A e. X /\ ( V = { A } \/ V = { A , B }
                           \/ V = { A , B , C } ) ) -> ( G e. FriendGraph
                          -> E. h e. V A. v e. ( V \ { h } ) ( { v , h } e. E
                               /\ E! w e. ( V \ { h } ) { v , w } e. E ) ) ) $=
      ( wceq cpr ctp wcel wa wi cvv wne csn w3o cfrgr cv cdif wreu wral wrex wo
      df-3or 1to2vfriswmgr expcom tppreq3 eqeq2d olc anim1ci ex syl6bi tpprceq3
      syl wn tprot eqeq1i biimpi prcom eqtrdi sylan2 a1d tpcoma com23 w3a simpl
      ad2antrr 3anass sylibr simpr necomd anim1i df-3an simplr 3vfriswmgr exp41
      anim12i syl3anc ecase pm2.61ine jaoi sylbi impcom ) ICUAMZICDNZMZICDEOZMZ
      UBZCJPZHUCPBUDZFUDZNGPWQAUDNGPAIWRUAUEZUFQBWSUGFIUHRZWOWJWLUIZWNUIWPWTRZW
      JWLWNUJXAXBWNWPXAWTABCDFGHIJKLUKZULWNXBRZDEDEMZWNWLXBXEWMWKICDEUMUNWLWPWT
      WLWPQWPXAQWTWLXAWPWLWJUOZUPXCUTUQURDSPZDCTZQZESPZECTZQZDETZXDRXIVAZXDXMXN
      ECDOZECNZMZXDECDUSXQWNICENZMZXBXQWMXRIXQWMXPXRXQWMXPMXOWMXPECDVBVCVDECVEV
      FUNWPXSWTXSWPWJXSUIWTXSWJUOABCEFGHIJKLUKVGULURUTVHXLVAZWNXMXBXTDCEOZDCNZM
      ZWNXMXBRZRDCEUSYCWNWLYDYCWMWKIYCWMYBWKYCWMYBMYAWMYBDCEVIVCVDDCVEVFUNWLXBX
      MWPWLWTWLWPXAWTXFXCVGULVHURUTVJXIXLQZXMWNWPWTYEXMQZWNQZWPQZWPXGXJVKZCDTZC
      ETZXMVKZWNWTYHWPXGXJQZQYIYGYMWPYEYMXMWNXIXGXLXJXGXHVLXJXKVLWCVMUPWPXGXJVN
      VOYFYLWNWPYFYJYKQZXMQYLYEYNXMXIYJXLYKXIDCXGXHVPVQXLECXJXKVPVQWCVRYJYKXMVS
      VOVMYFWNWPVTABCDEFGHIJSSKLWAWDWBWEWFWGWHWI $.

    $d A v w x $.  $d B x $.  $d C x $.  $d E x $.  $d G x $.  $d V x $.
    $d X x $.
    $( The friendship theorem for small graphs:  In every friendship graph with
       one, two or three vertices, there is a vertex which is adjacent to all
       other vertices.  (Contributed by Alexander van der Vekens, 6-Oct-2017.)
       (Revised by AV, 31-Mar-2021.) $)
    1to3vfriendship $p |- ( ( A e. X /\ ( V = { A } \/ V = { A , B }
                                             \/ V = { A , B , C } ) )
                               -> ( G e. FriendGraph
                       -> E. v e. V A. w e. ( V \ { v } ) { v , w } e. E ) ) $=
      ( vx wcel csn wceq cpr wa cv wral wrex ctp cfrgr cdif 1to3vfriswmgr prcom
      w3o wreu eleq1i biimpi adantr ralimi reximi syl6 ) CIMHCNOHCDPOHCDEUAOUFQ
      GUBMARZBRZPZFMZUNLRPFMLHUONUCZUGZQZAURSZBHTUOUNPZFMZAURSZBHTLACDEBFGHIJKU
      DVAVDBHUTVCAURUQVCUSUQVCUPVBFUNUOUEUHUIUJUKULUM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Theorems according to Mertzios and Unger
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d E a b c $.  $d G a b c $.  $d V a b c $.
    2pthfrgrrn.v $e |- V = ( Vtx ` G ) $.
    2pthfrgrrn.e $e |- E = ( Edg ` G ) $.
    $( Between any two (different) vertices in a friendship graph is a 2-path
       (path of length 2), see Proposition 1(b) of [MertziosUnger] p. 153 :  "A
       friendship graph G ..., as well as the distance between any two nodes in
       G is at most two".  (Contributed by Alexander van der Vekens,
       15-Nov-2017.)  (Revised by AV, 1-Apr-2021.) $)
    2pthfrgrrn $p |- ( G e. FriendGraph -> A. a e. V A. c e. ( V \ { a } )
                            E. b e. V ( { a , b } e. E /\ { b , c } e. E ) ) $=
      ( cfrgr wcel cusgr cv cpr wss wreu csn wral wa wrex zfpair2 isfrgr reurex
      cdif prcom eleq1i anbi1i prss sylbbr reximi syl a1i ralimdvva imp sylbi
      wi ) BIJBKJZELZDLZMZUQFLZMZMANZECOZFCURPUCZQDCQZRURUQMZAJZVAAJZRZECSZFVDQ
      DCQZEDABCFGHUAUPVEVKUPVCVJDFCVDVCVJUOUPURCJUTVDJRRVCVBECSVJVBECUBVBVIECVI
      USAJZVHRVBVGVLVHVFUSAURUQUDUEUFUSVAAEDTEFTUGUHUIUJUKULUMUN $.

    $( Between any two (different) vertices in a friendship graph is a 2-path
       (path of length 2), see Proposition 1(b) of [MertziosUnger] p. 153 :  "A
       friendship graph G ..., as well as the distance between any two nodes in
       G is at most two".  (Contributed by Alexander van der Vekens,
       16-Nov-2017.)  (Revised by AV, 1-Apr-2021.) $)
    2pthfrgrrn2 $p |- ( G e. FriendGraph -> A. a e. V A. c e. ( V \ { a } )
                               E. b e. V ( ( { a , b } e. E /\ { b , c } e. E )
                                           /\ ( a =/= b /\ b =/= c ) ) ) $=
      ( cfrgr wcel cv cpr wa wrex csn cdif wral wne usgredgne ex cusgr frgrusgr
      2pthfrgrrn wi anim12d syl ad2antrr ancld reximdva ralimdvva mpd ) BIJZDKZ
      EKZLAJZUNFKZLAJZMZECNZFCUMOPZQDCQURUMUNRZUNUPRZMZMZECNZFUTQDCQABCDEFGHUCU
      LUSVEDFCUTULUMCJUPUTJMZMZURVDECVGUNCJZMURVCULURVCUDZVFVHULBUAJZVIBUBVJUOV
      AUQVBVJUOVAABUMUNHSTVJUQVBABUNUPHSTUEUFUGUHUIUJUK $.
  $}

  ${
    $d G a b f m p $.  $d V a b m $.
    2pthfrgr.v $e |- V = ( Vtx ` G ) $.
    $( Between any two (different) vertices in a friendship graph, tere is a
       2-path (simple path of length 2), see Proposition 1(b) of
       [MertziosUnger] p. 153 :  "A friendship graph G ..., as well as the
       distance between any two nodes in G is at most two".  (Contributed by
       Alexander van der Vekens, 6-Dec-2017.)  (Revised by AV, 1-Apr-2021.) $)
    2pthfrgr $p |- ( G e. FriendGraph -> A. a e. V A. b e. ( V \ { a } )
               E. f E. p ( f ( a ( SPathsOn ` G ) b ) p /\ ( # ` f ) = 2 ) ) $=
      ( vm cfrgr wcel cv cpr cedg cfv wa wne wral wex adantr ralimdva wrex cdif
      csn cspthson co wbr chash c2 wceq 2pthfrgrrn2 cuhgr w3a frgrusgr usgruhgr
      eqid cusgr syl simpllr simpr eldifi ad2antlr simprrl eldifsn necom biimpi
      3jca jca simplbiim ad3antlr simprrr simprl 2pthon3v syl131anc rexlimdva2
      mpd ) BIJZEKZHKZLBMNZJVRFKZLVSJOZVQVRPZVRVTPZOZOZHCUAZFCVQUCZUBZQZECQAKZD
      KVQVTBUDNUEUFWJUGNUHUIODRARZFWHQZECQVSBCEHFGVSUOZUJVPWIWLECVPVQCJZOZWFWKF
      WHWOVTWHJZOZWEWKHCWQVRCJZOZWEOBUKJZWNWRVTCJZULZOZWBVQVTPZWCWAWKWSXCWEWSWT
      XBWQWTWRWOWTWPVPWTWNVPBUPJWTBUMBUNUQSSSWSWNWRXAVPWNWPWRURWQWRUSWPXAWOWRVT
      CWGUTVAVFVGSWSWAWBWCVBWPXDWOWRWEWPXAVTVQPZXDVTCVQVCXEXDVTVQVDVEVHVIWSWAWB
      WCVJWSWAWDVKVQVRVTAVSBCDGWMVLVMVNTTVO $.
  $}

  ${
    $d A a x z $.  $d A b c x y $.  $d A u v y $.  $d C x y $.  $d C x z $.
    $d E a x z $.  $d E b c x y $.  $d E u v y $.  $d G a x z $.  $d G u v y $.
    $d V a x z $.  $d V b c x y $.  $d V u v y $.  $d v x y $.
    3cyclfrgrrn1.v $e |- V = ( Vtx ` G ) $.
    3cyclfrgrrn1.e $e |- E = ( Edg ` G ) $.
    $( Every vertex in a friendship graph (with more than 1 vertex) is part of
       a 3-cycle.  (Contributed by Alexander van der Vekens, 16-Nov-2017.)
       (Revised by AV, 2-Apr-2021.) $)
    3cyclfrgrrn1 $p |- ( ( G e. FriendGraph
                           /\ ( A e. V /\ C e. V ) /\ A =/= C )
                         -> E. b e. V E. c e. V ( { A , b } e. E
                                     /\ { b , c } e. E /\ { c , A } e. E ) ) $=
      ( vx vz vy wcel wa wne cv cpr wrex wi eleq1d va vu vv cfrgr w3a cdif wral
      csn 2pthfrgrrn2 necom eldifsn simplbi2com sylbi com12 adantl wceq difeq2d
      imp sneq preq1 anbi1d neeq1 anbi12d raleqbidv rspcv ad2antrr preq2 anbi2d
      rexbidv neeq2 sylsyld 2pthfrgrrn adantr eleq1i anbi12ci 3anbi123d rspc2ev
      prcom biidd 3expa expcom 3expib syl5bi com13 rexlimdva exp31 com24 impcom
      syl9 com15 pm2.43i com4t syl com14 rexlimiv syl6 pm2.43a ex mpcom 3imp )
      DUDMZAEMZBEMZNZABOZAFPZQZCMZXFGPZQZCMZXIAQZCMZUEZGERFERZUAPZJPZQZCMZXQKPZ
      QZCMZNZXPXQOZXQXTOZNZNZJERZKEXPUHZUFZUGZUAEUGZXAXDXEXOSSCDEUAJKHIUIXDXEYL
      XAXOXDXEYLXAXOSZSYLXDXENZYMYNYLAXQQZCMZXQBQZCMZNZAXQOZXQBOZNZNZJERZYNYMSZ
      YNBEAUHZUFZMZYLYPYBNZYTYENZNZJERZKUUGUGZUUDXDXEUUHXCXEUUHSXBXEXCUUHXEBAOZ
      XCUUHSABUJUUHXCUUNBEAUKULUMUNUOURXBYLUUMSXCXEYKUUMUAAEXPAUPZYHUULKYJUUGUU
      OYIUUFEXPAUSUQUUOYGUUKJEUUOYCUUIYFUUJUUOXSYPYBUUOXRYOCXPAXQUTTVAUUOYDYTYE
      XPAXQVBVAVCVIVDVEVFUULUUDKBUUGXTBUPZUUKUUCJEUUPUUIYSUUJUUBUUPYBYRYPUUPYAY
      QCXTBXQVGTVHUUPYEUUAYTXTBXQVJVHVCVIVEVKUUCUUEJEXAUUCYNXQEMZXOXAUBPZLPZQZC
      MZUUSUCPZQZCMZNZLERZUCEUURUHZUFZUGZUBEUGZUUCYNUUQXOSZSSCDEUBLUCHIVLYNUUQU
      VJUUCXOXBUUQUVJUUCXOSSZSXCXEUUQXBUVLUUQXBUVLSUUCUUQXBUVJUUQXOUUBYSUUQXBUV
      JUVKSZSSZYTYSUVNSUUAYTXBUUQYSUVMYTXBUUQYSUVMSYTXBNZUUQNZUVJAUUSQZCMZUUSXQ
      QZCMZNZLERZYSUVKUVPXQUUGMZUVJUVRUVDNZLERZUCUUGUGZUWBUVOUUQUWCYTUUQUWCSZXB
      YTXQAOZUWGAXQUJUWCUUQUWHXQEAUKULUMVMURUVOUVJUWFSZUUQXBUWIYTUVIUWFUBAEUURA
      UPZUVFUWEUCUVHUUGUWJUVGUUFEUURAUSUQUWJUVEUWDLEUWJUVAUVRUVDUWJUUTUVQCUURAU
      USUTTVAVIVDVEUOVMUWEUWBUCXQUUGUVBXQUPZUWDUWALEUWKUVDUVTUVRUWKUVCUVSCUVBXQ
      UUSVGTVHVIVEVKUUQUWBYSXOUUQUWAYSXOSLEYSUWAUUQUUSEMZNZXOYPUWAUWMXOSZSYRUWA
      XQUUSQZCMZUUSAQZCMZNYPUWNUVRUWRUVTUWPUVQUWQCAUUSVRVNUVSUWOCUUSXQVRVNVOYPU
      WPUWRUWNUWMYPUWPUWRUEZXOUUQUWLUWSXOXNUWSYPXQXIQZCMZXMUEFGXQUUSEEXFXQUPZXH
      YPXKUXAXMXMUXBXGYOCXFXQAVGTUXBXJUWTCXFXQXIUTTUXBXMVSVPXIUUSUPZYPYPUXAUWPX
      MUWRUXCYPVSUXCUWTUWOCXIUUSXQVGTUXCXLUWQCXIUUSAUTTVPVQVTWAWBWCVMWDWEWDWIWF
      WGVMWHWJWKUNVFWLWMWNWOWPWQWRWLWSWT $.

    $d G a b c $.
    $( Every vertex in a friendship graph (with more than 1 vertex) is part of
       a 3-cycle.  (Contributed by Alexander van der Vekens, 16-Nov-2017.)
       (Revised by AV, 2-Apr-2021.) $)
    3cyclfrgrrn $p |- ( ( G e. FriendGraph /\ 1 < ( # ` V ) )
                        -> A. a e. V E. b e. V E. c e. V ( { a , b } e. E
                                     /\ { b , c } e. E /\ { c , a } e. E ) ) $=
      ( vx cfrgr wcel c1 chash wa cv cpr w3a wrex wi cvv cfv clt wbr cvtx fvexi
      hashgt12el2 mp3an1 simpr pm3.22 3adant2 adantr 3cyclfrgrrn1 syl3anc 3exp1
      wne simpl2 rexlimiv syl expcom pm2.43a com13 imp ralrimiv ) BJKZLCMUAUBUC
      ZNDOZEOZPAKVGFOZPAKVHVFPAKQFCRECRZDCVDVEVFCKZVISVJVEVDVIVEVJVDVISZVEVJVJV
      KSZVEVJNVFIOZUOZICRZVLCTKVEVJVOCBUDGUEVFCTIUFUGVNVLICVMCKZVNVJVDVIVPVNVJQ
      ZVDNVDVJVPNZVNVIVQVDUHVQVRVDVPVJVRVNVPVJUIUJUKVPVNVJVDUPVFVMABCEFGHULUMUN
      UQURUSUTVAVBVC $.

    $( Every vertex in a friendship graph (with more than 1 vertex) is part of
       a 3-cycle.  (Contributed by Alexander van der Vekens, 10-Dec-2017.)
       (Revised by AV, 2-Apr-2021.) $)
    3cyclfrgrrn2 $p |- ( ( G e. FriendGraph /\ 1 < ( # ` V ) )
                         -> A. a e. V E. b e. V E. c e. V ( b =/= c
               /\ ( { a , b } e. E /\ { b , c } e. E /\ { c , a } e. E ) ) ) $=
      ( cfrgr wcel c1 chash cfv wa cv cpr wrex wral wi reximdv clt wbr frgrusgr
      w3a wne 3cyclfrgrrn cusgr usgredgne expcom 3ad2ant2 syl5com ancrd ralimdv
      adantr mpd ) BIJZKCLMUAUBZNZDOZEOZPAJZUTFOZPAJZVBUSPAJZUDZFCQZECQZDCRUTVB
      UEZVENZFCQZECQZDCRABCDEFGHUFURVGVKDCURVFVJECURVEVIFCURVEVHUPVEVHSUQUPBUGJ
      ZVEVHBUCVCVAVLVHSVDVLVCVHABUTVBHUHUIUJUKUNULTTUMUO $.
  $}

  ${
    $d G b c f p v $.  $d V b c v $.
    3cyclfrgr.v $e |- V = ( Vtx ` G ) $.
    $( Every vertex in a friendship graph (with more than 1 vertex) is part of
       a 3-cycle.  (Contributed by Alexander van der Vekens, 19-Nov-2017.)
       (Revised by AV, 2-Apr-2021.) $)
    3cyclfrgr $p |- ( ( G e. FriendGraph /\ 1 < ( # ` V ) )
                      -> A. v e. V E. f E. p ( f ( Cycles ` G ) p
                                       /\ ( # ` f ) = 3 /\ ( p ` 0 ) = v ) ) $=
      ( vb vc wcel chash cfv wbr wa cv cpr w3a wrex wral wceq wex cfrgr c1 cedg
      clt ccycls cc0 eqid 3cyclfrgrrn cumgr cusgr frgrusgr usgrumgr syl ad4antr
      simpr anim1i 3anass sylibr adantr umgr3cyclex syl3anc rexlimdvva ralimdva
      c3 ex mpd ) CUAIZUBDJKUDLZMZANZGNZOCUCKZIVKHNZOVLIVMVJOVLIPZHDQGDQZADRBNZ
      ENZCUEKLVPJKVDSUFVQKVJSPETBTZADRVLCDAGHFVLUGZUHVIVOVRADVIVJDIZMZVNVRGHDDW
      AVKDIZVMDIZMZMZVNVRWEVNMCUIIZVTWBWCPZVNVRVGWFVHVTWDVNVGCUJIWFCUKCULUMUNWE
      WGVNWEVTWDMWGWAVTWDVIVTUOUPVTWBWCUQURUSWEVNUOVJVKVMBVLCDEFVSUTVAVEVBVCVF
      $.
  $}

  $( In a (maybe degenerate) 4-cycle, two vertice have two (maybe not
     different) common neighbors.  (Contributed by Alexander van der Vekens,
     19-Nov-2017.)  (Revised by AV, 2-Apr-2021.) $)
  4cycl2v2nb $p |- ( ( ( { A , B } e. E /\ { B , C } e. E )
                       /\ ( { C , D } e. E /\ { D , A } e. E ) )
                       -> ( { { A , B } , { B , C } } C_ E
                         /\ { { A , D } , { D , C } } C_ E ) ) $=
    ( cpr wcel wa wss prssi prcom eleq1i biimpi syl2anr anim12i ) ABFZEGBCFZEGH
    PQFEICDFZEGZDAFZEGZHADFZDCFZFEIZPQEJUAUBEGZUCEGZUDSUAUETUBEDAKLMSUFRUCECDKL
    MUBUCEJNO $.

  ${
    $d A x y $.  $d B x y $.  $d C x y $.  $d D y $.  $d E x y $.  $d V x y $.
    $( In a 4-cycle, two distinct vertices have not a unique common neighbor.
       (Contributed by Alexander van der Vekens, 19-Nov-2017.)  (Revised by AV,
       2-Apr-2021.) $)
    4cycl2vnunb $p |- ( ( ( { A , B } e. E /\ { B , C } e. E )
                          /\ ( { C , D } e. E /\ { D , A } e. E )
                          /\ ( B e. V /\ D e. V /\ B =/= D ) )
                           -> -. E! x e. V { { A , x } , { x , C } } C_ E ) $=
      ( vy cpr wcel wa wss wne wn wrex wceq wi preq2 preq1 preq12d cv wreu wral
      w3a 4cycl2v2nb sseq1d anbi1d neeq1 anbi12d anbi2d neeq2 rspc2ev expcom ex
      3expa com13 3impia impcom rexnal annim bicomi anbi2i bitr3i rexbii sylibr
      df-ne intnand reu4 sylnibr stoic3 ) BCIZFJCDIZFJKDEIFJEBIFJKVKVLIZFLZBEIZ
      EDIZIZFLZKZCGJZEGJZCEMZUDZBAUAZIZWDDIZIZFLZAGUBZNBCDEFUEVSWCKZWHAGOZWHBHU
      AZIZWLDIZIZFLZKZWDWLPZQZHGUCZAGUCZKWIWJXAWKWJWQWDWLMZKZHGOZAGOZXANZWCVSXE
      VTWAWBVSXEQVSWBVTWAKZXEVSWBXGXEQXGVSWBKZXEVTWAXHXEXCXHVNWPKZCWLMZKAHCEGGW
      DCPZWQXIXBXJXKWHVNWPXKWGVMFXKWEVKWFVLWDCBRWDCDSTUFUGWDCWLUHUIWLEPZXIVSXJW
      BXLWPVRVNXLWOVQFXLWMVOWNVPWLEBRWLEDSTUFUJWLECUKUIULUOUMUNUPUQURXFWTNZAGOX
      EWTAGUSXMXDAGXMWSNZHGOXDWSHGUSXNXCHGXNWQWRNZKXCWQWRUTXOXBWQXBXOWDWLVFVAVB
      VCVDVCVDVCVEVGWHWPAHGWRWGWOFWRWEWMWFWNWDWLBRWDWLDSTUFVHVIVJ $.
  $}

  ${
    $d F a b c d $.  $d G a b c d $.  $d G a k l x $.  $d P a b c d $.
    $d b c x $.  $d c l x $.
    $( There is no 4-cycle in a friendship graph, see Proposition 1(a) of
       [MertziosUnger] p. 153 :  "A friendship graph G contains no C4 as a
       subgraph ...".  (Contributed by Alexander van der Vekens, 19-Nov-2017.)
       (Revised by AV, 2-Apr-2021.) $)
    n4cyclfrgr $p |- ( ( G e. FriendGraph /\ F ( Cycles ` G ) P )
                       -> ( # ` F ) =/= 4 ) $=
      ( va vb vc vd vx vk vl wcel cfv wa wne wi cv cpr wrex wss wreu ccycls wbr
      cfrgr chash c4 wceq cupgr cusgr frgrusgr usgrupgr syl cedg upgr4cycl4dv4e
      w3a cvtx eqid csn cdif wral isfrgr simplrl necom biimpi 3ad2ant2 ad2antrl
      adantl eldifsn sylanbrc sneq difeq2d preq2 preq1d reubidv raleqbidv rspcv
      sseq1d preq2d sylsyld prcom preq1i sseq1i simprll simprlr simpllr simplrr
      ad3antrrr reubii simprr2 4cycl2vnunb syl113anc pm2.21d com12 syl6 pm2.43b
      wn sylbi expdcom rexlimdvva rexlimivv 3exp com34 com23 mpcom imp pm2.61d1
      neqne ) CUCKZBACUALUBZMBUDLZUEUFZXIUENZXGXHXJXKOZCUGKZXGXHXLOXGCUHKZXMCUI
      CUJUKXMXHXGXLXMXHXJXGXKXMXHXJXGXKOZXMXHXJUNDPZEPZQCULLZKXQFPZQXRKMZXSGPZQ
      XRKYAXPQXRKMZMZXPXQNZXPXSNZXPYANZUNZXQXSNZXQYANZXSYANZUNZMZMZGCUOLZRFYNRZ
      EYNRDYNRXOAXRBCYNDEFGYNUPZXRUPZUMYOXODEYNYNXPYNKZXQYNKZMZYMXOFGYNYNXGYTXS
      YNKZYAYNKZMZMZYMXKXGXNHPZIPZQZUUEJPZQZQZXRSZHYNTZJYNUUFUQZURZUSZIYNUSZMUU
      DYMMZXKOZHIXRCYNJYPYQUTUUPUURXNUUPUUQXKUUQUUPUUEXPQZUUEXSQZQZXRSZHYNTZUUR
      UUQXSYNXPUQZURZKZUUPUUSUUIQZXRSZHYNTZJUVEUSZUVCUUQUUAXSXPNZUVFYTUUAUUBYMV
      AYMUVKUUDYGUVKYCYKYEYDUVKYFYEUVKXPXSVBVCVDVEVFXSYNXPVGVHYRUUPUVJOYSUUCYMU
      UOUVJIXPYNUUFXPUFZUULUVIJUUNUVEUVLUUMUVDYNUUFXPVIVJUVLUUKUVHHYNUVLUUJUVGX
      RUVLUUGUUSUUIUUFXPUUEVKVLVPVMVNVOWFUVIUVCJXSUVEUUHXSUFZUVHUVBHYNUVMUVGUVA
      XRUVMUUIUUTUUSUUHXSUUEVKVQVPVMVOVRUVCXPUUEQZUUTQZXRSZHYNTZUURUVBUVPHYNUVA
      UVOXRUUSUVNUUTUUEXPVSVTWAWGUUQUVQXKUUQUVQXKUUQXTYBYSUUBYIUVQWOUUDXTYBYLWB
      UUDXTYBYLWCYRYSUUCYMWDYTUUAUUBYMWEYMYIUUDYHYIYJYGYCWHVFHXPXQXSYAXRYNWIWJW
      KWLWPWMWNVFWPWQWRWSUKWTXAXBXCXDXIUEXFXE $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d E x $.  $d G x $.  $d V x $.
    4cyclusnfrgr.v $e |- V = ( Vtx ` G ) $.
    4cyclusnfrgr.e $e |- E = ( Edg ` G ) $.
    $( A graph with a 4-cycle is not a friendhip graph.  (Contributed by
       Alexander van der Vekens, 19-Dec-2017.)  (Revised by AV, 2-Apr-2021.) $)
    4cyclusnfrgr $p |- ( ( G e. USGraph /\ ( A e. V /\ C e. V /\ A =/= C )
                                        /\ ( B e. V /\ D e. V /\ B =/= D ) )
                          -> ( ( ( { A , B } e. E /\ { B , C } e. E )
                              /\ ( { C , D } e. E /\ { D , A } e. E ) )
                               -> G e/ FriendGraph ) ) $=
      ( vx cusgr wcel wne w3a cpr wa cfrgr wnel wn wi cv wss wreu simprl simprr
      simpl3 4cycl2vnunb syl3anc frcond1 pm2.24 syl6com 3ad2ant2 adantr pm2.01d
      com23 mpd df-nel sylibr ex ) FKLZAGLCGLACMNZBGLDGLBDMNZNZABOELBCOELPZCDOE
      LDAOELPZPZFQRZVCVFPZFQLZSZVGVHVIVHAJUAZOVKCOOEUBJGUCZSZVIVJTZVHVDVEVBVMVC
      VDVEUDVCVDVEUEUTVAVBVFUFJABCDEGUGUHVCVMVNTVFVCVIVMVJVAUTVIVMVJTZTVBVIVAVL
      VOACEFGJHIUIVLVJUJUKULUOUMUPUNFQUQURUS $.
  $}

  ${
    frgrnbnb.e $e |- E = ( Edg ` G ) $.
    frgrnbnb.n $e |- D = ( G NeighbVtx X ) $.
    $( If two neighbors ` U ` and ` W ` of a vertex ` X ` have a common
       neighbor ` A ` in a friendship graph, then this common neighbor ` A `
       must be the vertex ` X ` .  (Contributed by Alexander van der Vekens,
       19-Dec-2017.)  (Revised by AV, 2-Apr-2021.)  (Proof shortened by AV,
       13-Feb-2022.) $)
    frgrnbnb $p |- ( ( G e. FriendGraph /\ ( U e. D /\ W e. D ) /\ U =/= W )
                     -> ( ( { U , A } e. E /\ { W , A } e. E ) -> A = X ) ) $=
      ( cfrgr wcel wa wne cpr wi eleq2s adantl adantr biimpi ex wceq cusgr cvtx
      frgrusgr cfv cnbgr eleq2i nbusgreledg biimpd syl5bi anim12d imp nbgrisvtx
      co eqid anim12i usgrpredgv ad2ant2r ax-1 2a1d wnel wn w3a simprrr simprrl
      simpll necom 3jca simprll simprlr ad4ant14 prcom eleq1i 4cyclusnfrgr sylc
      anim1ci anim2i df-nel sylib com23 exp41 com25 mpcom com15 pm2.61ine com13
      pm2.21d nbgrcl syl11 com34 impd com14 mp2d 3imp ) EJKZCBKZFBKZLZCFMZCANDK
      ZFANZDKZLZAGUAZOZEUBKZWOWRWSXEOZOEUDZXFWRWOXGXFWRWOXGOZXFWRLZCGNZDKZFGNDK
      ZLZCEUCUEZKZFXOKZLZXIXFWRXNXFWPXLWQXMWPCEGUFUNZKZXFXLBXSCIUGXFXTXLDEGCHUH
      UIUJWQFXSKZXFXMBXSFIUGXFYAXMDEGFHUHUIUJUKULWRXRXFWPXPWQXQXPCXSBEGCXOXOUOZ
      UMIPXQFXSBEGFXOYBUMIPUPQWSXNXRWOXJXEWSXNXRWOXJXEOOOXJXRWOWSXNLZXEXJXCWOYC
      XRXDXJXCWOYCXRXDOOZOZXPAXOKZLZXJXCLZYEXFWTYGWRXBDECAXOHYBUQURYFYHYEOXPYFX
      JXCYEYFXJWOXCYDGXOKZYFWOXCYDOOZXJYIYFYJYIYFLZXRXCYCWOXDYKXRXCYCWOXDOZOOYC
      XCYKXRLZYLWSXNXCYMYLOOZWSXNYNOZOAGXDYNWSXNXDYLXCYMXDWOUSUTUTAGMZWSYOWOXNX
      CYMYPWSLZXDXFWOXNXCYMYQXDOZOOOXHXFYMXNXCWOYRXFYMXNXCWOYROXFYMLZXNLZXCLZYQ
      WOXDUUAYQYLUUAYQLZWOXDUUBEJVAZWOVBUUBXFXQXPFCMZVCZYIYFGAMZVCZVCZXMGCNZDKZ
      LZWTAFNZDKZLZLZUUCYSYQUUHXNXCYSYQLZXFUUEUUGXFYMYQVFUUPXQXPUUDYSXQYQXFYKXP
      XQVDRYSXPYQXFYKXPXQVERYQUUDYSWSUUDYPWSUUDCFVGSQQVHUUPYIYFUUFYSYIYQXFYIYFX
      RVIRYSYFYQXFYIYFXRVJRYQUUFYSYPUUFWSYPUUFAGVGSRQVHVHVKUUAUUOYQYTUUKXCUUNXN
      UUKYSXLUUJXMXLUUJXKUUIDCGVLVMSVPQXBUUMWTXBUUMXAUULDFAVLVMSVQUPRFGCADEXOYB
      HVNVOEJVRVSWGTVTWAWBWCWDTWEULWFTWBTWRYIXFWPYIWQYICXSBECXOGYBWHIPRQWIWJWKQ
      WCTWBWLTWDWMTVTWCWN $.
  $}

  ${
    $d G f k n p $.
    $( A friendship graph is connected, see remark 1 in [MertziosUnger] p. 153
       (after Proposition 1):  "An arbitrary friendship graph has to be
       connected, ...  ".  (Contributed by Alexander van der Vekens,
       6-Dec-2017.)  (Revised by AV, 1-Apr-2021.) $)
    frgrconngr $p |- ( G e. FriendGraph -> G e. ConnGraph ) $=
      ( vf vp vk vn cfrgr wcel cconngr cv cpthson cfv co wbr wex cvtx cdif wral
      csn cspthson chash c2 wceq wa eqid 2pthfrgr spthonpthon adantr 2eximi syl
      2ralimi isconngr1 mpbird ) AFGZAHGBIZCIZDIZEIZAJKLMZCNBNZEAOKZUPRPZQDUTQZ
      UMUNUOUPUQASKLMZUNTKUAUBZUCZCNBNZEVAQDUTQVBBAUTCDEUTUDZUEVFUSDEUTVAVEURBC
      VCURVDUPUQUOUNAUFUGUHUJUIBDEAUTFCVGUKUL $.
  $}

  ${
    $d G a b c x $.  $d N a b c x $.  $d V a b c x $.
    vdn1frgrv2.v $e |- V = ( Vtx ` G ) $.
    $( A vertex in a friendship graph with more than one vertex cannot have
       degree 0.  (Contributed by Alexander van der Vekens, 9-Dec-2017.)
       (Revised by AV, 4-Apr-2021.) $)
    vdgn0frgrv2 $p |- ( ( G e. FriendGraph /\ N e. V )
                     -> ( 1 < ( # ` V ) -> ( ( VtxDeg ` G ) ` N ) =/= 0 ) ) $=
      ( cfrgr wcel c1 chash cfv clt wbr cvtxdg cc0 wne cconngr cumgr frgrconngr
      wa wi cusgr frgrusgr usgrumgr syl vdn0conngrumgrv2 ex syl2anc expdimp ) A
      EFZBCFZGCHIJKZBALIIMNZUHAOFZAPFZUIUJRZUKSAQUHATFUMAUAAUBUCULUMRUNUKABCDUD
      UEUFUG $.

    $d G i x $.  $d N i $.
    $( Any vertex in a friendship graph does not have degree 1, see remark 2 in
       [MertziosUnger] p. 153 (after Proposition 1):  "... no node v of it [a
       friendship graph] may have deg(v) = 1.".  (Contributed by Alexander van
       der Vekens, 10-Dec-2017.)  (Revised by AV, 4-Apr-2021.) $)
    vdgn1frgrv2 $p |- ( ( G e. FriendGraph /\ N e. V )
                      -> ( 1 < ( # ` V ) -> ( ( VtxDeg ` G ) ` N ) =/= 1 ) ) $=
      ( vx vb vc va vi wcel wa c1 cfv cv wceq eqid cpr wrex wi ex cfrgr clt wbr
      chash cvtxdg wne ciedg crab cusgr frgrusgr anim1i adantr vtxdusgrval wreu
      cdm syl wn cedg w3a wral 3cyclfrgrrn2 adantlr preq1 eleq1d preq2 3anbi13d
      anbi2d 2rexbidv rspcva adantl simplll ad3antlr usgr2edg1 syl21anc a1d a1i
      3simpb rexlimivv pm2.43a com24 com3r imp31 mpd csn wex cvv wb fvex rabexg
      dmex hash1snb 3syl reusn bitr4di necon3abid mpbird eqnetrd ) AUAJZBCJZKZL
      CUDMUBUCZBAUEMZMZLUFWTXAKZXCBENAUGMZMJZEXEUOZUHZUDMZLXDAUIJZWSKZXCXIOWTXK
      XAWRXJWSAUJZUKULEXGXBBAXECDXEPZXGPXBPUMUPXDXILUFXFEXGUNZUQZXDFNZGNZUFZHNZ
      XPQZAURMZJZXPXQQYAJZXQXSQZYAJZUSZKZGCRFCRZHCUTZXOWRXAYIWSYAACHFGDYAPZVAVB
      WRWSXAYIXOSZWSXAWRYKWSYIWRXAXOYIWSWRXAXOSZSZWSYIWSYMSZWSYIKXRBXPQZYAJZYCX
      QBQZYAJZUSZKZGCRFCRZYNYHUUAHBCXSBOZYGYTFGCCUUBYFYSXRUUBYBYPYEYRYCUUBXTYOY
      AXSBXPVCVDUUBYDYQYAXSBXQVEVDVFVGVHVIYTYNFGCCYTYNSXPCJXQCJKYTWSYMYTWSKZWRY
      LUUCWRKZXOXAUUDXJXRYPYRKZXOWRXJUUCXLVJXRYSWSWRVKYSUUEXRWSWRYPYCYRVQVLEXPX
      QYAAXEBXMYJVMVNVOTTVPVRUPTVSVTWAWBWCXDXNXILXDXILOZXHINWDOIWEZXNXDXGWFJZXH
      WFJUUFUUGWGUUHXDXEAUGWHWJVPXFEXGWFWIXHWFIWKWLXFEIXGWMWNWOWPWQT $.

    $d G v $.  $d V v $.
    $( Any vertex in a friendship graph does not have degree 1, see remark 2 in
       [MertziosUnger] p. 153 (after Proposition 1):  "... no node v of it [a
       friendship graph] may have deg(v) = 1.".  (Contributed by Alexander van
       der Vekens, 4-Sep-2018.)  (Revised by AV, 4-Apr-2021.) $)
    vdgn1frgrv3 $p |- ( ( G e. FriendGraph /\ 1 < ( # ` V ) )
                         -> A. v e. V ( ( VtxDeg ` G ) ` v ) =/= 1 ) $=
      ( cfrgr wcel c1 chash cfv clt wbr wa cvtxdg vdgn1frgrv2 impancom ralrimiv
      cv wne ) BEFZGCHIJKZLAQZBMIIGRZACSUACFTUBBUACDNOP $.

    $( Any vertex in a friendship graph (with more than one vertex - then,
       actually, the graph must have at least three vertices, because
       otherwise, it would not be a friendship graph) has at least degree 2,
       see remark 3 in [MertziosUnger] p. 153 (after Proposition 1):  "It
       follows that deg(v) >= 2 for every node v of a friendship graph".
       (Contributed by Alexander van der Vekens, 21-Dec-2017.)  (Revised by AV,
       5-Apr-2021.) $)
    vdgfrgrgt2 $p |- ( ( G e. FriendGraph /\ N e. V )
                       -> ( 1 < ( # ` V ) -> 2 <_ ( ( VtxDeg ` G ) ` N ) ) ) $=
      ( cfrgr wa c1 chash cfv clt wbr c2 cvtxdg cle cc0 vdgn0frgrv2 vdgn1frgrv2
      wcel wne imp wb cxnn0 vtxdgelxnn0 xnn0n0n1ge2b syl ad2antlr mpbi2and ex )
      AERZBCRZFZGCHIJKZLBAMIIZNKZUKULFUMOSZUMGSZUNUKULUOABCDPTUKULUPABCDQTUJUOU
      PFUNUAZUIULUJUMUBRUQACBDUCUMUDUEUFUGUH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Huneke's Proof of the Friendship Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  In this section, the friendship theorem ~ friendship is proven by formalizing
  Huneke's proof, see [Huneke] pp. 1-2.  The three claims (see ~ frgrncvvdeq ,
  ~ frgrregorufr and ~ frrusgrord0 ) and additional statements (numbered in the
  order of their occurrence in the paper) in Huneke's proof are cited in the
  corresponding theorems.

$)

  ${
    frgrncvvdeq.v1 $e |- V = ( Vtx ` G ) $.
    frgrncvvdeq.e $e |- E = ( Edg ` G ) $.
    frgrncvvdeq.nx $e |- D = ( G NeighbVtx X ) $.
    frgrncvvdeq.ny $e |- N = ( G NeighbVtx Y ) $.
    frgrncvvdeq.x $e |- ( ph -> X e. V ) $.
    frgrncvvdeq.y $e |- ( ph -> Y e. V ) $.
    frgrncvvdeq.ne $e |- ( ph -> X =/= Y ) $.
    frgrncvvdeq.xy $e |- ( ph -> Y e/ D ) $.
    frgrncvvdeq.f $e |- ( ph -> G e. FriendGraph ) $.
    $( The function A maps each neighbor x of X to a neighbor y of Y. In a
       friendship graph, there is a unique y, the common neighbor of x and Y.
       This corresponds to the map "alpha" of definition 2 in [Huneke] p. 1:
       "Define a map a : N(x) -> N(y) by sending a vertex z [in] N(x) to the
       common neighbor of z and y.". $)
    frgrncvvdeq.a $e |- A = ( x e. D |-> ( iota_ y e. N { x , y } e. E ) ) $.
    $( Lemma 1 for ~ frgrncvvdeq .  (Contributed by Alexander van der Vekens,
       23-Dec-2017.)  (Revised by AV, 8-May-2021.)  (Proof shortened by AV,
       12-Feb-2022.) $)
    frgrncvvdeqlem1 $p |- ( ph -> X e/ N ) $=
      ( cnbgr co wcel wn wnel df-nel eleq2i xchbinx nbgrsym sylnibr wceq neleq2
      sylib wb ax-mp bitri sylibr ) AJGKUBUCZUDZUEZJHUFZAKGJUBUCZUDZUTAKEUFZVDU
      ESVEKEUDVDKEUGEVCKNUHUIUNGKJUJUKVBJUSUFZVAHUSULVBVFUOOHUSJUMUPJUSUGUQUR
      $.

    $d E y $.  $d G y $.  $d V y $.  $d Y y $.  $d x y $.
    $( Lemma 2 for ~ frgrncvvdeq .  In a friendship graph, for each neighbor of
       a vertex there is exactly one neighbor of another vertex so that there
       is an edge between these two neighbors.  (Contributed by Alexander van
       der Vekens, 22-Dec-2017.)  (Revised by AV, 10-May-2021.)  (Proof
       shortened by AV, 12-Feb-2022.) $)
    frgrncvvdeqlem2 $p |- ( ( ph /\ x e. D ) -> E! y e. N { x , y } e. E ) $=
      ( cv wcel wa cpr wss wreu cfrgr wne w3a adantr cnbgr eleq2i nbgrisvtx a1i
      co wi syl5bi imp wnel elnelne2 expcom syl 3jca frcond1 cusgr frgrusgr weu
      sylc prex ancom bitr3i anbi2i cumgr usgrumgr umgrpredgv simprd ex adantld
      prss pm4.71rd bitr4id nbusgreledg bitr2id anbi1d bitrd eubidv biimpd 3syl
      df-reu 3imtr4g mpd ) ABUBZEUCZUDZWMCUBZUEZWPKUEZUEFUFZCIUGZWQFUCZCHUGZWOG
      UHUCZWMIUCZKIUCZWMKUIZUJWTAXCWNTUKWOXDXEXFAWNXDWNWMGJULUPZUCZAXDEXGWMNUMX
      HXDUQAGJWMILUNUOURUSAXEWNQUKAWNXFAKEUTZWNXFUQSWNXIXFWMKEVAVBVCUSVDWMKFGIC
      LMVEVIAWTXBUQZWNAXCGVFUCZXJTGVGXKWPIUCZWSUDZCVHZWPHUCZXAUDZCVHZWTXBXKXNXQ
      XKXMXPCXKXMWRFUCZXAUDZXPXKXMXLXSUDXSWSXSXLWSXAXRUDXSWQWRFWMWPVJWPKVJVTXAX
      RVKVLVMXKXSXLXKXAXLXRXKGVNUCZXAXLUQGVOXTXAXLXTXAUDXDXLFGWMWPILMVPVQVRVCVS
      WAWBXKXRXOXAXOWPGKULUPZUCXKXRHYAWPOUMFGKWPMWCWDWEWFWGWHWSCIWJXACHWJWKWIUK
      WL $.

    $d D n $.  $d E n $.  $d G n $.  $d N n y $.  $d V n $.  $d Y n $.
    $d ph n $.  $d n x $.
    $( Lemma 3 for ~ frgrncvvdeq .  The unique neighbor of a vertex (expressed
       by a restricted iota) is the intersection of the corresponding
       neighborhoods.  (Contributed by Alexander van der Vekens, 18-Dec-2017.)
       (Revised by AV, 10-May-2021.)  (Proof shortened by AV, 12-Feb-2022.) $)
    frgrncvvdeqlem3 $p |- ( ( ph /\ x e. D )
                            -> { ( iota_ y e. N { x , y } e. E ) }
                               = ( ( G NeighbVtx x ) i^i N ) ) $=
      ( vn cv wcel wa cnbgr co cin cpr crio csn ineq2i wceq wrex wne w3a adantr
      cfrgr eleq2i wi nbgrisvtx a1i syl5bi imp wnel elnelne2 sylan2 ancoms 3jca
      frcond3 sylc cvv vex elinsn mpan cusgr frgrusgr nbusgreledg eleq1i bitrdi
      prcom biimpd 3syl com12 eqcomi biimpi adantl frgrncvvdeqlem2 preq2 eleq1d
      wb riota2 syl2an mpbid sylan eqcomd sneqd eqeq1 mpbird ex rexlimivw mpcom
      wreu eqtr2id ) ABUCZEUDZUEZGXEUFUGZHUHXHGKUFUGZUHZXECUCZUIZFUDZCHUJZUKZHX
      IXHOULXJUBUCZUKZUMZUBIUNZXGXJXOUMZXGGURUDZXEIUDZKIUDZXEKUOZUPXSAYAXFTUQXG
      YBYCYDAXFYBXFXEGJUFUGZUDZAYBEYEXENUSYFYBUTAGJXEILVAVBVCVDAYCXFQUQXFAYDAXF
      KEVEYDSXEKEVFVGVHVIUBXEKFGILMVJVKXRXGXTUTUBIXRXGXTXRXGUEZXTXQXOUMZYGXPXNY
      GXNXPXRXPXHUDZXPXIUDZUEZXGXNXPUMZXPVLUDXRYKUBVMXPXHXIVLVNVOYKXGUEXEXPUIZF
      UDZYLYKXGYNYIXGYNUTYJXGYIYNAYIYNUTZXFAYAGVPUDZYOTGVQYPYIYNYPYIXPXEUIZFUDY
      NFGXEXPMVRYQYMFXPXEWAVSVTWBWCUQWDUQVDYKXPHUDZXMCHXCYNYLWKXGYJYRYIYJYRXIHX
      PHXIOWEUSWFWGABCDEFGHIJKLMNOPQRSTUAWHXMYNCHXPXKXPUMXLYMFXKXPXEWIWJWLWMWNW
      OWPWQXRXTYHWKXGXJXQXOWRUQWSWTXAXBXD $.

    $d D x $.  $d N x y $.  $d ph x $.
    $( Lemma 4 for ~ frgrncvvdeq .  The mapping of neighbors to neighbors is a
       function.  (Contributed by Alexander van der Vekens, 22-Dec-2017.)
       (Revised by AV, 10-May-2021.) $)
    frgrncvvdeqlem4 $p |- ( ph -> A : D --> N ) $=
      ( cv cpr wcel crio wa wreu frgrncvvdeqlem2 riotacl syl fmptd ) ABEBUBZCUB
      UCFUDZCHUEZHDAULEUDUFUMCHUGUNHUDABCDEFGHIJKLMNOPQRSTUAUHUMCHUIUJUAUK $.

    $( Lemma 5 for ~ frgrncvvdeq .  The mapping of neighbors to neighbors
       applied on a vertex is the intersection of the corresponding
       neighborhoods.  (Contributed by Alexander van der Vekens, 23-Dec-2017.)
       (Revised by AV, 10-May-2021.) $)
    frgrncvvdeqlem5 $p |- ( ( ph /\ x e. D )
                            -> { ( A ` x ) } = ( ( G NeighbVtx x ) i^i N ) ) $=
      ( cv wcel wa cfv csn cpr crio cnbgr co cin cvv wceq simpr riotaex sylancl
      fvmpt2 sneqd frgrncvvdeqlem3 eqtrd ) ABUBZEUCZUDZVADUEZUFVACUBUGFUCZCHUHZ
      UFGVAUIUJHUKVCVDVFVCVBVFULUCVDVFUMAVBUNVECHUOBEVFULDUAUQUPURABCDEFGHIJKLM
      NOPQRSTUAUSUT $.

    $( Lemma 6 for ~ frgrncvvdeq .  (Contributed by Alexander van der Vekens,
       23-Dec-2017.)  (Revised by AV, 10-May-2021.)  (Proof shortened by AV,
       30-Dec-2021.) $)
    frgrncvvdeqlem6 $p |- ( ( ph /\ x e. D ) -> { x , ( A ` x ) } e. E ) $=
      ( cv cfv csn cnbgr co cin wceq wcel wa cpr frgrncvvdeqlem5 wi fvex elinsn
      cvv mpan cfrgr cusgr frgrusgr nbusgreledg prcom eleq1i bitrdi biimpd 3syl
      adantr com12 syl eqcoms mpcom ) BUBZDUCZUDZGVLUEUFZHUGZUHAVLEUIZUJZVLVMUK
      ZFUIZABCDEFGHIJKLMNOPQRSTUAULVRVTUMZVPVNVPVNUHZVMVOUIZVMHUIZUJZWAVMUPUIWB
      WEVLDUNVMVOHUPUOUQWCWAWDVRWCVTAWCVTUMZVQAGURUIGUSUIZWFTGUTWGWCVTWGWCVMVLU
      KZFUIVTFGVLVMMVAWHVSFVMVLVBVCVDVEVFVGVHVGVIVJVK $.

    $( Lemma 7 for ~ frgrncvvdeq .  This corresponds to statement 1 in [Huneke]
       p. 1:  "This common neighbor cannot be x, as x and y are not adjacent.".
       This is only an observation, which is not required to proof the
       friendship theorem.  (Contributed by Alexander van der Vekens,
       23-Dec-2017.)  (Revised by AV, 10-May-2021.) $)
    frgrncvvdeqlem7 $p |- ( ph -> A. x e. D ( A ` x ) =/= X ) $=
      ( cv cfv wne csn cnbgr co wceq wcel wa frgrncvvdeqlem5 wi fvex snid eleq2
      cin biimpa elin wnel frgrncvvdeqlem1 wn df-nel nelelne sylbi adantr com12
      syl simplbiim mpan2 mpcom ralrimiva ) ABUBZDUCZJUDZBEVMUEZGVLUFUGZHUPZUHZ
      AVLEUIZUJZVNABCDEFGHIJKLMNOPQRSTUAUKVRVMVOUIZVTVNULZVMVLDUMUNVRWAUJVMVQUI
      ZWBVRWAWCVOVQVMUOUQWCVMVPUIVMHUIZWBVMVPHURVTWDVNAWDVNULZVSAJHUSZWEABCDEFG
      HIJKLMNOPQRSTUAUTWFJHUIVAWEJHVBJHVMVCVDVGVEVFVHVGVIVJVK $.

    $d A u w $.  $d D u w y $.  $d E u w x $.  $d N u w x $.  $d ph u w $.
    $( Lemma 8 for ~ frgrncvvdeq .  This corresponds to statement 2 in [Huneke]
       p. 1:  "The map is one-to-one since z in N(x) is uniquely determined as
       the common neighbor of x and a(x)".  (Contributed by Alexander van der
       Vekens, 23-Dec-2017.)  (Revised by AV, 10-May-2021.)  (Revised by AV,
       30-Dec-2021.) $)
    frgrncvvdeqlem8 $p |- ( ph -> A : D -1-1-> N ) $=
      ( vu vw wf wf1 frgrncvvdeqlem4 wa cv wceq wi wral simpr wcel wn ad2ant2lr
      cfv ffvelrn adantr wnel frgrncvvdeqlem1 crio cmpt preq1 riotabidv cbvmptv
      cpr eleq1d eqtri frgrncvvdeqlem6 anim12dan preq2 anbi2d eqcoms biimpa wne
      df-ne cfrgr frgrnbnb syl3an1 3expa df-nel eleq1 pm2.24d com13 sylbi com12
      wb expcom syl6 com23 sylbir syl5com com24 mpcom ex com3r com15 expd imp42
      mpid pm2.18d ralrimivva dff13 sylanbrc mpdan ) AEHDUDZEHDUEZABCDEFGHIJKLM
      NOPQRSTUAUFAXFUGZXFUBUHZDUPZUCUHZDUPZUIZXIXKUIZUJZUCEUKUBEUKXGAXFULXHXOUB
      UCEEXHXIEUMZXKEUMZUGZUGZXMXNXSXMUGZXNXTXNUNZXJHUMZXNXSYBXMXFXPYBAXQEHXIDU
      QUOURXHXPXQXMYAYBXNUJZUJZAXPXQXMYDUJZUJUJXFAXPXQYEJHUSZAXRYEUJABCDEFGHIJK
      LMNOPQRSTUAUTYAAXRXMYFYCAXRYAXMYFYCUJZUJZAXRYAYHUJZXIXJVFFUMZXKXLVFZFUMZU
      GZAXRUGZYIAXPYJXQYLAUBCDEFGHIJKLMNOPQRSTDBEBUHZCUHZVFZFUMZCHVAZVBZUBEXIYP
      VFZFUMZCHVAZVBUABUBEYSUUCYOXIUIZYRUUBCHUUDYQUUAFYOXIYPVCVGVDVEVHVIAUCCDEF
      GHIJKLMNOPQRSTDYTUCEXKYPVFZFUMZCHVAZVBUABUCEYSUUGYOXKUIZYRUUFCHUUHYQUUEFY
      OXKYPVCVGVDVEVHVIVJYMXMYAYNYGXMYMYAYNYGUJZUJXMYMUGYJXKXJVFZFUMZUGZYAUUIXM
      YMUULYMUULWGXLXJXLXJUIZYLUUKYJUUMYKUUJFXLXJXKVKVGVLVMVNYAXIXKVOZUULUUIUJX
      IXKVPUUNYNUULYGYNUUNUULYGUJYNUUNUGUULXJJUIZYGAXRUUNUULUUOUJZAGVQUMXRUUNUU
      PTXJEXIFGXKJMNVRVSVTYFUUOYCYFJHUMZUNZUUOYCUJJHWAYBUUOUURXNUUOYBUURXNUJUUO
      YBUGUUQXNUUOYBUUQXJJHWBVNWCWHWDWEWFWIWHWJWKWLWHWMWNWOWPWQWNWRURWSWTXAWOXB
      UBUCEHDXCXDXE $.

    $d A m n $.  $d D m x $.  $d E m x $.  $d G m y $.  $d N m $.  $d V m $.
    $d X m n $.  $d ph m $.
    $( Lemma 9 for ~ frgrncvvdeq .  This corresponds to statement 3 in [Huneke]
       p. 1:  "By symmetry the map is onto".  (Contributed by Alexander van der
       Vekens, 24-Dec-2017.)  (Revised by AV, 10-May-2021.)  (Proof shortened
       by AV, 12-Feb-2022.) $)
    frgrncvvdeqlem9 $p |- ( ph -> A : D -onto-> N ) $=
      ( vn vm wf cv cfv wceq wrex wral wfo frgrncvvdeqlem4 wa wex cpr cfrgr wne
      wcel w3a wreu adantr cnbgr co eleq2i nbgrisvtx a1i syl5bi frgrncvvdeqlem1
      wi imp wnel df-nel nelelne sylbi syl 3jca jca frcond2 reurex df-rex sylib
      wn 3syl cusgr frgrusgr nbusgreledg bicomd biimpa sylibr ad2ant2rl biimpar
      wb a1d expimpd cin elin csn simpl crio cmpt preq1 riotabidv cbvmptv eqtri
      eleq1d frgrncvvdeqlem5 eleq2 eqcoms elsni syl6bi expcom sylbir ex adantld
      com3r com14 mpd eximdv ralrimiva dffo3 sylanbrc ) AEHDUDUBUEZUCUEZDUFZUGZ
      UCEUHZUBHUIEHDUJABCDEFGHIJKLMNOPQRSTUAUKAYEUBHAYAHUQZULZYBEUQZYDULZUCUMZY
      EYGYBIUQZYAYBUNFUQZYBJUNFUQZULZULZUCUMZYJYGGUOUQZYAIUQZJIUQZYAJUPZURZULYN
      UCIUSZYPYGYQUUAAYQYFTUTYGYRYSYTAYFYRYFYAGKVAVBZUQZAYRHUUCYAOVCUUDYRVHAGKY
      AILVDVEVFVIAYSYFPUTAYFYTAJHVJZYFYTVHZABCDEFGHIJKLMNOPQRSTUAVGUUEJHUQWAUUF
      JHVKJHYAVLVMVNVIVOVPYQUUAUUBYAJFGIUCLMVQVIUUBYNUCIUHYPYNUCIVRYNUCIVSVTWBY
      GYOYIUCYGYNYIYKYGYNYIYGYNULZYHYDAYMYHYFYLAYMULZYBGJVAVBZUQZYHAYMUUJAYQGWC
      UQZYMUUJWKTGWDZUUKUUJYMFGJYBMWEWFWBWGEUUIYBNVCWHZWIUUGYAGYBVAVBZUQZYDYGYN
      UUOAYNUUOVHZYFAYQUUKUUPTUULUUKYLYMUUOUUKYLULUUOYMUUKUUOYLFGYBYAMWEWJWLWMW
      BUTVIYGYNUUOYDVHZYGYMUUQYLAYFYMUUQVHUUOYFYMAYDUUOYFYMAYDVHVHZUUOYFULYAUUN
      HWNZUQZUURYAUUNHWOYMAUUTYDAYMUUTYDVHZUUHAYHULYCWPZUUSUGZUVAUUHAYHAYMWQUUM
      VPAUCCDEFGHIJKLMNOPQRSTDBEBUEZCUEZUNZFUQZCHWRZWSUCEYBUVEUNZFUQZCHWRZWSUAB
      UCEUVHUVKUVDYBUGZUVGUVJCHUVLUVFUVIFUVDYBUVEWTXDXAXBXCXEUVCUUTYAUVBUQZYDUU
      TUVMWKUUSUVBUUSUVBYAXFXGYAYCXHXIWBXJXNXKXLXOVIXMVIXPVPXLXMXQXPYDUCEVSWHXR
      UCUBEHDXSXT $.

    $( Lemma 10 for ~ frgrncvvdeq .  (Contributed by Alexander van der Vekens,
       24-Dec-2017.)  (Revised by AV, 10-May-2021.)  (Proof shortened by AV,
       30-Dec-2021.) $)
    frgrncvvdeqlem10 $p |- ( ph -> A : D -1-1-onto-> N ) $=
      ( wf1 wfo wf1o frgrncvvdeqlem8 frgrncvvdeqlem9 df-f1o sylanbrc ) AEHDUBEH
      DUCEHDUDABCDEFGHIJKLMNOPQRSTUAUEABCDEFGHIJKLMNOPQRSTUAUFEHDUGUH $.
  $}

  ${
    $d G a b x y $.  $d V a b x y $.
    frgrncvvdeq.v $e |- V = ( Vtx ` G ) $.
    frgrncvvdeq.d $e |- D = ( VtxDeg ` G ) $.
    $( In a friendship graph, two vertices which are not connected by an edge
       have the same degree.  This corresponds to claim 1 in [Huneke] p. 1:
       "If x,y are elements of (the friendship graph) G and are not adjacent,
       then they have the same degree (i.e., the same number of adjacent
       vertices).".  (Contributed by Alexander van der Vekens, 19-Dec-2017.)
       (Revised by AV, 10-May-2021.) $)
    frgrncvvdeq $p |- ( G e. FriendGraph -> A. x e. V A. y e. ( V \ { x } )
                       ( y e/ ( G NeighbVtx x ) -> ( D ` x ) = ( D ` y ) ) ) $=
      ( va vb wcel cv cnbgr co cfv wceq wa chash eqid ad2antlr adantr cfrgr csn
      wnel wi cdif cvtxdg cvv cpr cedg crio ovexd simpl eldifi adantl wne eldif
      cmpt velsn biimpri equcoms necon3bi simplbiim frgrncvvdeqlem10 hasheqf1od
      wn simpr cusgr anim12i hashnbusgrvd syl 3eqtr3d fveq1i 3eqtr4g ralrimivva
      frgrusgr ex ) DUAJZBKZDAKZLMZUCZVSCNZVRCNZOZUDABEEVSUBZUEZVQVSEJZVRWFJZPZ
      PZWAWDWJWAPZVSDUFNZNZVRWLNZWBWCWKVTQNZDVRLMZQNZWMWNWKVTWPUGHVTHKIKUHDUINZ
      JIWPUJUQZWKDVSLUKWKHIWSVTWRDWPEVSVRFWRRVTRWPRWIWGVQWAWGWHULZSWIVREJZVQWAW
      HXAWGVREWEUMUNZSWIVSVRUOZVQWAWHXCWGWHXAVRWEJZVEXCVREWEUPXDVSVRXDBAXDVRVSO
      BVSURUSUTVAVBUNSWJWAVFWJVQWAVQWIULTWSRVCVDWKDVGJZWGPZWOWMOWJXFWAVQXEWIWGD
      VOZWTVHTVSDEFVIVJWKXEXAPZWQWNOWJXHWAVQXEWIXAXGXBVHTVRDEFVIVJVKVSCWLGVLVRC
      WLGVLVMVPVN $.

    $d D x y $.  $d X x y $.  $d Y x y $.
    frgrwopreglem4a.e $e |- E = ( Edg ` G ) $.
    $( In a friendship graph any two vertices with different degrees are
       connected.  Alternate version of ~ frgrwopreglem4 without a fixed degree
       and without using the sets ` A ` and ` B ` .  (Contributed by Alexander
       van der Vekens, 30-Dec-2017.)  (Revised by AV, 4-Feb-2022.) $)
    frgrwopreglem4a $p |- ( ( G e. FriendGraph /\ ( X e. V /\ Y e. V )
                                               /\ ( D ` X ) =/= ( D ` Y ) )
                            -> { X , Y } e. E ) $=
      ( vy vx wcel wa cfv wne wceq wi cnbgr co wnel cfrgr w3a cpr fveq2 necon3d
      a1i imp 3adant1 cv csn cdif wral frgrncvvdeq oveq2 neleq2 fveqeq2 imbi12d
      syl neleq1 eqeq2d simpll sneq difeq2d adantl simpr biimpi anim12i eldifsn
      wb necom sylibr rspc2vd wn nnel nbgrsym cusgr frgrusgr nbusgreledg biimpd
      syl5bi a1d expcom sylbi eqneqall 2a1d ja com12 syld com3l mpcom expd 3imp
      com34 mpd ) CUALZEDLZFDLZMZEANZFANZOZUBEFOZEFUCBLZWRXAXBWOWRXAXBWREFWSWTE
      FPWSWTPZQWREFAUDUFUEUGUHWOWRXAXBXCQWOWRXBXAXCWOWRXBXAXCQZJUIZCKUIZRSZTZXG
      ANXFANZPZQZJDXGUJZUKZULKDULZWOWRXBMZXEQKJACDGHUMXPXOWOXEXPXOFCERSZTZXDQZW
      OXEQZXPXSXFXQTZWSXJPZQXLKJEFDXNDEUJZUKZXGEPZXIYAXKYBYEXHXQPXIYAVIXGECRUNX
      HXQXFUOURXGEXJAUPUQXFFPZYAXRYBXDXFFXQUSYFXJWTWSXFFAUDUTUQWPWQXBVAYEXNYDPX
      PYEXMYCDXGEVBVCVDXPWQFEOZMFYDLWRWQXBYGWPWQVEXBYGEFVJVFVGFDEVHVKVLXSXPXTXR
      XDXPXTQZXRVMFXQLZYHFXQVNYIXTXPWOYIXEWOYIMXCXAWOYIXCYIECFRSLZWOXCCEFVOWOYJ
      XCWOCVPLYJXCVICVQBCFEIVRURVSVTUGWAWBWAWCXDXEXPWOXCWSWTWDWEWFWGWHWIWJWKWMW
      LWN $.

    $( If a friendship graph has two vertices with the same degree and two
       other vertices with different degrees, then there is a 4-cycle in the
       graph.  Alternate version of ~ frgrwopreglem5 without a fixed degree and
       without using the sets ` A ` and ` B ` .  (Contributed by Alexander van
       der Vekens, 31-Dec-2017.)  (Revised by AV, 4-Feb-2022.) $)
    frgrwopreglem5a $p |- ( ( G e. FriendGraph
                           /\ ( ( A e. V /\ X e. V ) /\ ( B e. V /\ Y e. V ) )
                           /\ ( ( D ` A ) = ( D ` X )
                             /\ ( D ` A ) =/= ( D ` B )
                             /\ ( D ` X ) =/= ( D ` Y ) ) )
                            -> ( ( { A , B } e. E /\ { B , X } e. E )
                              /\ ( { X , Y } e. E /\ { Y , A } e. E ) ) ) $=
      ( wcel wa cfv wne w3a cpr simpl frgrwopreglem4a syl3an cfrgr wceq anim12i
      id simp2 simpr anim12ci pm13.18 3adant3 necomd simp3 pm13.181 3adant2 jca
      jca31 ) EUALZAFLZGFLZMZBFLZHFLZMZMZACNZGCNZUBZVDBCNZOZVEHCNZOZPZPZABQDLZB
      GQDLZGHQDLZHAQDLZMUPUPVCUQUTMVKVHVMUPUDZUSUQVBUTUQURRZUTVARZUCVFVHVJUECDE
      FABIJKSTUPUPVCUTURMVKVGVEOVNVQUSURVBUTUQURUFZVSUGVKVEVGVFVHVEVGOVJVDVEVGU
      HUIUJCDEFBGIJKSTVLVOVPUPUPVCURVAMVKVJVOVQUSURVBVAVTUTVAUFZUCVFVHVJUKCDEFG
      HIJKSTUPUPVCVAUQMVKVIVDOVPVQUSUQVBVAVRWAUGVKVDVIVFVJVDVIOVHVDVEVIULUMUJCD
      EFHAIJKSTUNUO $.
  $}

  ${
    $d V x $.
    frgrwopreg.v $e |- V = ( Vtx ` G ) $.
    frgrwopreg.d $e |- D = ( VtxDeg ` G ) $.
    frgrwopreg.a $e |- A = { x e. V | ( D ` x ) = K } $.
    frgrwopreg.b $e |- B = ( V \ A ) $.
    $( Lemma 1 for ~ frgrwopreg : the classes ` A ` and ` B ` are sets.  The
       definition of ` A ` and ` B ` corresponds to definition 3 in [Huneke]
       p. 2:  "Let A be the set of all vertices of degree k, let B be the set
       of all vertices of degree different from k, ..."  (Contributed by
       Alexander van der Vekens, 31-Dec-2017.)  (Revised by AV,
       10-May-2021.) $)
    frgrwopreglem1 $p |- ( A e. _V /\ B e. _V ) $=
      ( cvv wcel wa cvtx fvexi cv cfv wceq eqeltrid crab rabexg cdif difexg jca
      ax-mp ) GLMZBLMZCLMZNGEOHPUGUHUIUGBAQDRFSZAGUALJUJAGLUBTUGCGBUCLKGBLUDTUE
      UF $.

    $d A x $.  $d G x $.  $d K x $.
    $( Lemma 2 for ~ frgrwopreg .  If the set ` A ` of vertices of degree ` K `
       is not empty in a friendship graph with at least two vertices, then
       ` K ` must be greater than 1 .  This is only an observation, which is
       not required for the proof the friendship theorem.  (Contributed by
       Alexander van der Vekens, 30-Dec-2017.)  (Revised by AV, 2-Jan-2022.) $)
    frgrwopreglem2 $p |- ( ( G e. FriendGraph /\ 1 < ( # ` V ) /\ A =/= (/) )
                            -> 2 <_ K ) $=
      ( cfv wbr wcel c2 cle wi wceq wa sylbi c0 wne chash clt cfrgr wex rabeq2i
      c1 cv n0 cvtxdg vdgfrgrgt2 imp wb breq2 fveq1i breq2i bitrdi eqcoms exp31
      syl5ibrcom com14 impcom exlimiv 3imp31 ) BUAUBZUHGUCLUDMZEUENZOFPMZVFAUIZ
      BNZAUFVGVHVIQQZABUJVKVLAVKVJGNZVJDLZFRZSVLVOABGJUGVOVMVLVHVMVGVOVIVHVMVGV
      OVIQVHVMSZVGSVIVOOVJEUKLZLZPMZVPVGVSEVJGHULUMVIVSUNFVNFVNRVIOVNPMVSFVNOPU
      OVNVROPVJDVQIUPUQURUSVAUTVBVCTVDTVE $.

    $d D x $.  $d X x $.  $d Y x $.
    $( Lemma 3 for ~ frgrwopreg .  The vertices in the sets ` A ` and ` B `
       have different degrees.  (Contributed by Alexander van der Vekens,
       30-Dec-2017.)  (Revised by AV, 10-May-2021.)  (Proof shortened by AV,
       2-Jan-2022.) $)
    frgrwopreglem3 $p |- ( ( X e. A /\ Y e. B ) -> ( D ` X ) =/= ( D ` Y ) ) $=
      ( wcel cfv wceq wn wi fveqeq2 notbid cv cdif difeq2i notrab 3eqtri elrab2
      wne crab eqeq2 neqne necomd syl6bir simplbiim com12 impcom ) ICNZHBNZHDOZ
      IDOZUGZUPIGNUSFPZQZUQUTRAUAZDOFPZQZVBAIGCVCIPVDVAVCIFDSTCGBUBGVDAGUHZUBVE
      AGUHMBVFGLUCVDAGUDUEUFUQVBUTUQHGNURFPZVBUTRVDVGAHGBVCHFDSLUFVGVBUSURPZQZU
      TVGVHVAURFUSUITVIUSURUSURUJUKULUMUNUMUO $.

    ${
      $d A b $.  $d B x $.  $d D y $.  $d G a b x y $.  $d V y $.
      frgrwopreg.e $e |- E = ( Edg ` G ) $.
      $( Lemma 4 for ~ frgrwopreg .  In a friendship graph each vertex with
         degree ` K ` is connected with any vertex with degree other than
         ` K ` .  This corresponds to statement 4 in [Huneke] p. 2:  "By the
         first claim, every vertex in A is adjacent to every vertex in B.".
         (Contributed by Alexander van der Vekens, 30-Dec-2017.)  (Revised by
         AV, 10-May-2021.)  (Proof shortened by AV, 4-Feb-2022.) $)
      frgrwopreglem4 $p |- ( G e. FriendGraph
                             -> A. a e. A A. b e. B { a , b } e. E ) $=
        ( wcel cv wa cfv eleq2s cfrgr cpr simpl wceq crab elrabi eldifi anim12i
        wne cdif adantl frgrwopreglem3 frgrwopreglem4a syl3anc ralrimivva ) FUA
        PZIQZJQZUBEPZIJBCUPUQBPZURCPZRZRUPUQHPZURHPZRZUQDSURDSUIZUSUPVBUCVBVEUP
        UTVCVAVDVCUQAQDSGUDZAHUEBVGAUQHUFMTVDURHBUJCURHBUGNTUHUKVBVFUPABCDFGHUQ
        URKLMNULUKDEFHUQURKLOUMUNUO $.

      $d A v w $.  $d B v w $.  $d E v $.  $d G v w x $.  $d V w $.
      $d X v w $.
      $( According to statement 5 in [Huneke] p. 2:  "If A ... is a singleton,
         then that singleton is a universal friend".  This version of
         ~ frgrwopreg1 is stricter (claiming that the singleton itself is a
         universal friend instead of claiming the existence of a universal
         friend only) and therefore closer to Huneke's statement.  This strict
         variant, however, is not required for the proof of the friendship
         theorem.  (Contributed by Alexander van der Vekens, 1-Jan-2018.)
         (Revised by AV, 4-Feb-2022.) $)
      frgrwopregasn $p |- ( ( G e. FriendGraph /\ X e. V /\ A = { X } )
                            -> A. w e. ( V \ { X } ) { X , w } e. E ) $=
        ( vv wcel wceq cv wral cfrgr csn cdif wa frgrwopreglem4 wi snidg adantr
        cpr wb eleq2 adantl mpbird preq1 eleq1d ralbidv rspcv syl difeq2 syl5eq
        raleqdv sylibd syl5com 3impib ) GUAQZJIQZCJUBZRZJBSZUIZFQZBIVGUCZTZVEPS
        ZVIUIZFQZBDTZPCTZVFVHUDZVMACDEFGHIPBKLMNOUEVSVRVKBDTZVMVSJCQZVRVTUFVSWA
        JVGQZVFWBVHJIUGUHVHWAWBUJVFCVGJUKULUMVQVTPJCVNJRZVPVKBDWCVOVJFVNJVIUNUO
        UPUQURVSVKBDVLVHDVLRVFVHDICUCVLNCVGIUSUTULVAVBVCVD $.

      $( According to statement 5 in [Huneke] p. 2:  "If ...  B is a singleton,
         then that singleton is a universal friend".  This version of
         ~ frgrwopreg2 is stricter (claiming that the singleton itself is a
         universal friend instead of claiming the existence of a universal
         friend only) and therefore closer to Huneke's statement.  This strict
         variant, however, is not required for the proof of the friendship
         theorem.  (Contributed by AV, 4-Feb-2022.) $)
      frgrwopregbsn $p |- ( ( G e. FriendGraph /\ X e. V /\ B = { X } )
                            -> A. w e. ( V \ { X } ) { X , w } e. E ) $=
        ( vv wcel wceq cv wral cfrgr csn cdif wa frgrwopreglem4 ralcom wi snidg
        cpr adantr wb eleq2 adantl mpbird preq2 prcom eqtrdi eleq1d ralbidv syl
        rspcv wss cfv ssrab3 ssdifim mp2an difeq2 syl5eq raleqdv sylibd syl5com
        syl5bi 3impib ) GUAQZJIQZDJUBZRZJBSZUIZFQZBIVPUCZTZVNVRPSZUIZFQZPDTBCTZ
        VOVQUDZWBACDEFGHIBPKLMNOUEWFWEBCTZPDTZWGWBWEBPCDUFWGWIVTBCTZWBWGJDQZWIW
        JUGWGWKJVPQZVOWLVQJIUHUJVQWKWLUKVODVPJULUMUNWHWJPJDWCJRZWEVTBCWMWDVSFWM
        WDVRJUIVSWCJVRUOVRJUPUQURUSVAUTWGVTBCWAWGCIDUCZWACIVBDICUCRCWNRASEVCHRA
        ICMVDNCDIVEVFVQWNWARVODVPIVGUMVHVIVJVLVKVM $.

      $d V v $.
      $( According to statement 5 in [Huneke] p. 2:  "If A ... is a singleton,
         then that singleton is a universal friend".  (Contributed by Alexander
         van der Vekens, 1-Jan-2018.)  (Proof shortened by AV, 4-Feb-2022.) $)
      frgrwopreg1 $p |- ( ( G e. FriendGraph /\ ( # ` A ) = 1 )
                        -> E. v e. V A. w e. ( V \ { v } ) { v , w } e. E ) $=
        ( wcel cfv wceq cv wrex cfrgr chash c1 cpr csn cdif wral wex cvtx fvexi
        cvv wb rabex2 hash1snb ax-mp wi exsnrex wss ssrab3 ssrexv frgrwopregasn
        3expia reximdva syl5com sylbi com12 syl5bi imp ) HUAPZDUBQUCRZCSZBSUDGP
        BJVKUEZUFUGZCJTZVJDVLRZCUHZVIVNDUKPVJVPULASFQIRZAJDMJHUIKUJUMDUKCUNUOVP
        VIVNVPVOCDTZVIVNUPCDUQVRVOCJTZVIVNDJURVRVSUPVQAJDMUSVOCDJUTUOVIVOVMCJVI
        VKJPVOVMABDEFGHIJVKKLMNOVAVBVCVDVEVFVGVH $.

      $( According to statement 5 in [Huneke] p. 2:  "If ...  B is a singleton,
         then that singleton is a universal friend".  (Contributed by Alexander
         van der Vekens, 1-Jan-2018.)  (Proof shortened by AV, 4-Feb-2022.) $)
      frgrwopreg2 $p |- ( ( G e. FriendGraph /\ ( # ` B ) = 1 )
                        -> E. v e. V A. w e. ( V \ { v } ) { v , w } e. E ) $=
        ( wcel wceq cv wrex cvv cfrgr chash cfv c1 cpr cdif wral frgrwopreglem1
        csn wex wb simpri hash1snb ax-mp wi exsnrex difss eqsstri frgrwopregbsn
        wss ssrexv 3expia reximdva syl5com sylbi com12 syl5bi imp ) HUAPZEUBUCU
        DQZCRZBRUEGPBJVKUIZUFUGZCJSZVJEVLQZCUJZVIVNETPZVJVPUKDTPVQADEFHIJKLMNUH
        ULETCUMUNVPVIVNVPVOCESZVIVNUOCEUPVRVOCJSZVIVNEJUTVRVSUOEJDUFJNJDUQURVOC
        EJVAUNVIVOVMCJVIVKJPVOVMABDEFGHIJVKKLMNOUSVBVCVDVEVFVGVH $.

      $d A x z $.  $d D z $.  $d G z $.  $d K z $.  $d V z $.  $d y z $.
      $( Lemma for ~ frgrwopreglem5 .  (Contributed by AV, 5-Feb-2022.) $)
      frgrwopreglem5lem $p |- ( ( ( a e. A /\ x e. A )
                               /\ ( b e. B /\ y e. B ) )
                              -> ( ( D ` a ) = ( D ` x )
                                /\ ( D ` a ) =/= ( D ` b )
                                /\ ( D ` x ) =/= ( D ` y ) ) ) $=
        ( vz cv wcel cfv wa wceq wne rabeq2i fveqeq2 elrab2 eqtr3 expcom adantl
        wi com12 simplbiim syl5bi imp adantr frgrwopreglem3 ad2ant2r crab eqtri
        cbvrabv ad2ant2l 3jca ) JRZCSZARZCSZUAZKRZDSZBRZDSZUAZUAVCETZVEETZUBZVM
        VHETUCZVNVJETUCZVGVOVLVDVFVOVFVEISZVNHUBZUAZVDVOVSACINUDVDVCISVMHUBZVTV
        OUJVSWAAVCICVEVCHEUENUFVTWAVOVSWAVOUJVRWAVSVOVMVNHUGUHUIUKULUMUNUOVDVIV
        PVFVKACDEGHIVCVHLMNOUPUQVFVKVQVDVIQCDEGHIVEVJLMCVSAIURQRZETHUBZQIURNVSW
        CAQIVEWBHEUEUTUSOUPVAVB $.

      $d A a y $.  $d B a b y z $.  $d E x z $.
      $( Lemma 5 for ~ frgrwopreg .  If ` A ` as well as ` B ` contain at least
         two vertices, there is a 4-cycle in a friendship graph.  This
         corresponds to statement 6 in [Huneke] p. 2:  "... otherwise, there
         are two different vertices in A, and they have two common neighbors in
         B, ...".  (Contributed by Alexander van der Vekens, 31-Dec-2017.)
         (Proof shortened by AV, 5-Feb-2022.) $)
      frgrwopreglem5 $p |- ( ( G e. FriendGraph
                               /\ 1 < ( # ` A ) /\ 1 < ( # ` B ) )
                           -> E. a e. A E. x e. A E. b e. B E. y e. B
                              ( ( a =/= x /\ b =/= y )
                                /\ ( { a , b } e. E /\ { b , x } e. E )
                                /\ ( { x , y } e. E /\ { y , a } e. E ) ) ) $=
        ( wcel cfv wa wrex cfrgr c1 chash clt wbr cv wne cpr w3a simpllr anim1i
        wceq simplll fveqeq2 elrab2 simplbi crab rabidim1 eleq2s anim12i adantl
        cdif eldifi frgrwopreglem5lem adantll adantr frgrwopreglem5a syl 3anass
        wi sylanbrc ex reximdvva exp31 com24 imp31 com13 imp cvv frgrwopreglem1
        3jca hashgt12el im2anan9 ax-mp syl11 3impib ) GUAQZUBCUCRUDUEZUBDUCRUDU
        EZJUFZAUFZUGZKUFZBUFZUGZSZWJWMUHFQWMWKUHFQSZWKWNUHFQWNWJUHFQSZUIZBDTKDT
        ZACTJCTZWLACTJCTZWOBDTKDTZSZWGXAWHWISZXBXCWGXAVJWGXCXBXAWGXCXBXAVJWGXCS
        WLWTJACCWGXCWJCQZWKCQZSZWLWTVJWGWLXHXCWTWGWLXHXCWTVJWGWLSZXHSZWOWSKBDDX
        JWMDQZWNDQZSZSZWOWSXNWOSZWPWQWRSZWSXNWLWOWGWLXHXMUJUKXOWGWJIQZWKIQZSZWM
        IQZWNIQZSZSZWJERZWKERZULYDWMERUGYEWNERUGUIZUIZXPXNYGWOXNWGYCYFWGWLXHXMU
        MXJXSXMYBXHXSXIXFXQXGXRXFXQYDHULZYEHULZYHAWJICWKWJHEUNNUOUPXRWKYIAIUQCY
        IAIURNUSUTVAXKXTXLYAXTWMICVBZDWMICVCOUSYAWNYJDWNICVCOUSUTUTXHXMYFXIABCD
        EFGHIJKLMNOPVDVEWAVFWJWMEFGIWKWNLMPVGVHWPWQWRVIVKVLVMVNVOVPVMVLVQVRCVSQ
        ZDVSQZSXEXDVJACDEGHILMNOVTYKWHXBYLWIXCYKWHXBCVSJAWBVLYLWIXCDVSKBWBVLWCW
        DWEWF $.

      $d E a b $.
      $( Alternate direct proof of ~ frgrwopreglem5 , not using
         ~ frgrwopreglem5a .  This proof would be even a little bit shorter
         than the proof of ~ frgrwopreglem5 without using ~ frgrwopreglem5lem .
         (Contributed by Alexander van der Vekens, 31-Dec-2017.)  (Revised by
         AV, 3-Jan-2022.)  (Proof shortened by AV, 5-Feb-2022.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      frgrwopreglem5ALT $p |- ( ( G e. FriendGraph
                                  /\ 1 < ( # ` A ) /\ 1 < ( # ` B ) )
                           -> E. a e. A E. x e. A E. b e. B E. y e. B
                              ( ( a =/= x /\ b =/= y )
                                /\ ( { a , b } e. E /\ { b , x } e. E )
                                /\ ( { x , y } e. E /\ { y , a } e. E ) ) ) $=
        ( wcel wa wrex wi vz cfrgr chash cfv clt wbr wne cpr w3a simpllr anim1i
        c1 cv wral frgrwopreglem4 wceq preq1 eleq1d ralbidv cbvralvw rsp2 com12
        ad2ant2r syl5bi imp prcom ad2ant2lr eqeltrid jca expcom syl adantr impl
        sylbi preq2 rspc2v ad2ant2l impcom ad2ant2rl 3jca reximdvva exp31 com24
        imp31 com13 cvv frgrwopreglem1 hashgt12el im2anan9 ax-mp syl11 3impib
        ex ) GUBQZULCUCUDUEUFZULDUCUDUEUFZJUMZAUMZUGZKUMZBUMZUGZRZWQWTUHZFQZWTW
        RUHZFQZRZWRXAUHZFQZXAWQUHZFQZRZUIZBDSKDSZACSJCSZWSACSJCSZXBBDSKDSZRZWNX
        PWOWPRZXQXRWNXPTWNXRXQXPWNXRXQXPTWNXRRWSXOJACCWNXRWQCQZWRCQZRZWSXOTWNWS
        YCXRXOWNWSYCXRXOTWNWSRZYCRZXBXNKBDDYEWTDQZXADQZRZRZXBXNYIXBRXCXHXMYIWSX
        BWNWSYCYHUJUKYIXHXBYDYCYHXHWNYCYHRZXHTZWSWNUAUMZWTUHZFQZKDUNZUACUNZYKAC
        DEFGHIUAKLMNOPUOZYJYPXHYJYPRZXEXGYJYPXEYPXEKDUNZJCUNZYJXEYOYSUAJCYLWQUP
        ZYNXEKDUUAYMXDFYLWQWTUQURZUSUTYAYFYTXETYBYGYTYAYFRXEXEJKCDVAVBVCVDVEYRX
        FWRWTUHZFWTWRVFYJYPUUCFQZYBYFYPUUDTYAYGYPYBYFRZUUDYPUUDKDUNZACUNUUEUUDT
        YOUUFUAACYLWRUPZYNUUDKDUUGYMUUCFYLWRWTUQURZUSUTUUDAKCDVAVNVBVGVEVHVIVJV
        KVLVMVLYIXMXBYDYCYHXMWNYJXMTZWSWNYPUUIYQYPYJXMYPYJRZXJXLYJYPXJYBYGYPXJT
        YAYFYNXJUUDUAKWRXACDUUHWTXAUPZUUCXIFWTXAWRVOURVPVQVRUUJXKWQXAUHZFXAWQVF
        YJYPUULFQZYAYGYPUUMTYBYFYNUUMXEUAKWQXACDUUBUUKXDUULFWTXAWQVOURVPVSVRVHV
        IWMVKVLVMVLVTWMWAWBWCWDWAWMWEVECWFQZDWFQZRXTXSTACDEGHILMNOWGUUNWOXQUUOW
        PXRUUNWOXQCWFJAWHWMUUOWPXRDWFKBWHWMWIWJWKWL $.
    $}

    $d A a b y $.  $d B a b x y $.  $d D y $.  $d G a b y $.  $d V y $.
    $( In a friendship graph there are either no vertices ( ` A = (/) ` ) or
       exactly one vertex ( ` ( # `` A ) = 1 ` ) having degree ` K ` , or all
       ( ` B = (/) ` ) or all except one vertices ( ` ( # `` B ) = 1 ` ) have
       degree ` K ` .  (Contributed by Alexander van der Vekens, 31-Dec-2017.)
       (Revised by AV, 10-May-2021.)  (Proof shortened by AV, 3-Jan-2022.) $)
    frgrwopreg $p |- ( G e. FriendGraph -> ( ( ( # ` A ) = 1 \/ A = (/) )
                                         \/ ( ( # ` B ) = 1 \/ B = (/) ) ) ) $=
      ( va vb vy cvv wcel wa cfv wceq wi cfrgr chash frgrwopreglem1 cc0 clt wbr
      c1 c0 wo w3o hashv01gt1 hasheq0 biidd 3orbi123d olc olcd 2a1d orc orcd cv
      w3a wne cpr cedg wrex eqid frgrwopreglem5 cusgr frgrusgr wnel crab elrabi
      eleq2s adantr ad3antlr rabidim1 adantl simprl cdif eldifi ad2antlr simprr
      simplll 4cyclusnfrgr syl133anc exp4b 3impd df-nel pm2.21 sylbi rexlimdvva
      wn syl6 com23 mpcom 3ad2ant1 mpd 3exp com3l 3jaoi com12 syl6bi imp ax-mp
      ) BOPZCOPZQEUAPZBUBRZUGSZBUHSZUIZCUBRZUGSZCUHSZUIZUIZTZABCDEFGHIJKUCXEXFX
      QXEXHUDSZXIUGXHUEUFZUJZXFXQTZBOUKXEXTXJXIXSUJZYAXEXRXJXIXIXSXSBOULXEXIUMX
      EXSUMUNXFYBXQXFXLUDSZXMUGXLUEUFZUJZYBXQTZCOUKXFYEXNXMYDUJYFXFYCXNXMXMYDYD
      COULXFXMUMXFYDUMUNXNYFXMYDXNXPYBXGXNXOXKXNXMUOUPUQXMXPYBXGXMXOXKXMXNURUPU
      QYBYDXQXJYDXQTXIXSXJXPYDXGXJXKXOXJXIUOUSUQXIXPYDXGXIXKXOXIXJURUSUQXGXSYDX
      PXGXSYDXPXGXSYDVALUTZAUTZVBZMUTZNUTZVBZQZYGYJVCEVDRZPYJYHVCYNPQZYHYKVCYNP
      YKYGVCYNPQZVAZNCVEMCVEZABVELBVEZXPANBCDYNEFGLMHIJKYNVFZVGXGXSYSXPTZYDEVHP
      ZXGUUAEVIUUBYSXGXPUUBYRXQLABBUUBYGBPZYHBPZQZQZYQXQMNCCUUFYJCPZYKCPZQZQZYQ
      EUAVJZXQUUJYMYOYPUUKUUJYMYOYPUUKUUJYMQUUBYGGPZYHGPZYIYJGPZYKGPZYLYOYPQUUK
      TUUBUUEUUIYMWCUUEUULUUBUUIYMUUCUULUUDUULYGYHDRFSZAGVKZBUUPAYGGVLJVMVNVOUU
      EUUMUUBUUIYMUUDUUMUUCUUMYHUUQBUUPAGVPJVMVQVOUUJYIYLVRUUIUUNUUFYMUUGUUNUUH
      UUNYJGBVSZCYJGBVTKVMVNWAUUIUUOUUFYMUUHUUOUUGUUOYKUURCYKGBVTKVMVQWAUUJYIYL
      WBYGYJYHYKYNEGHYTWDWEWFWGUUKXGWLXQEUAWHXGXPWIWJWMWKWKWNWOWPWQWRWSWTXAWTXB
      WQXAXBWQXCXD $.
  $}

  ${
    $d D v w x y $.  $d E v y $.  $d G v w y $.  $d K v w x y $.
    $d V v w x y $.
    frgrregorufr0.v $e |- V = ( Vtx ` G ) $.
    frgrregorufr0.e $e |- E = ( Edg ` G ) $.
    frgrregorufr0.d $e |- D = ( VtxDeg ` G ) $.
    $( In a friendship graph there are either no vertices having degree ` K ` ,
       or all vertices have degree ` K ` for any (nonnegative integer) ` K ` ,
       unless there is a universal friend.  This corresponds to claim 2 in
       [Huneke] p. 2:  "... all vertices have degree k, unless there is a
       universal friend."  (Contributed by Alexander van der Vekens,
       1-Jan-2018.)  (Revised by AV, 11-May-2021.)  (Proof shortened by AV,
       3-Jan-2022.) $)
    frgrregorufr0 $p |- ( G e. FriendGraph
                  -> ( A. v e. V ( D ` v ) = K \/ A. v e. V ( D ` v ) =/= K
                       \/ E. v e. V A. w e. ( V \ { v } ) { v , w } e. E ) ) $=
      ( vx vy cv cfv wceq c0 wo wral sylbi jaoi crab chash c1 cdif wcel wne cpr
      csn wrex w3o fveqeq2 cbvrabv eqid frgrwopreg wi frgrwopreg1 3mix3d expcom
      cfrgr wa wn eqeq1i rabeq0 bitri neqne ralimi 3mix2d frgrwopreg2 difrab0eq
      a1d eqeq2i rabid2 3mix1 mpcom ) KMZCNFOZKGUAZUBNUCOZVQPOZQZGVQUDZUBNUCOZW
      APOZQZQEUSUEZBMZCNZFOZBGRZWGFUFZBGRZWFAMUGDUEAGWFUHUDRBGUIZUJZLVQWACEFGHJ
      VPLMZCNFOKLGVOWNFCUKULZWAUMZUNVTWEWMUOZWDVRWQVSWEVRWMWEVRUTWLWIWKLABVQWAC
      DEFGHJWOWPIUPUQURVSWHVAZBGRZWQVSWHBGUAZPOWSVQWTPVPWHKBGVOWFFCUKULZVBWHBGV
      CVDWSWMWEWSWKWIWLWRWJBGWGFVEVFVGVJSTWBWQWCWEWBWMWEWBUTWLWIWKLABVQWACDEFGH
      JWOWPIVHUQURWCGVQOZWQVPKGVIXBWIWQXBGWTOWIVQWTGXAVKWHBGVLVDWIWMWEWIWKWLVMV
      JSSTTVN $.

    $d D a v $.  $d E a $.  $d K a $.  $d V a $.  $d a w $.
    $( If there is a vertex having degree ` K ` for each (nonnegative integer)
       ` K ` in a friendship graph, then either all vertices have degree ` K `
       or there is a universal friend.  This corresponds to claim 2 in [Huneke]
       p. 2:  "Suppose there is a vertex of degree k > 1. ... all vertices have
       degree k, unless there is a universal friend. ...  It follows that G is
       k-regular, i.e., the degree of every vertex is k".  (Contributed by
       Alexander van der Vekens, 1-Jan-2018.) $)
    frgrregorufr $p |- ( G e. FriendGraph -> ( E. a e. V ( D ` a ) = K
                -> ( A. v e. V ( D ` v ) = K
                     \/ E. v e. V A. w e. ( V \ { v } ) { v , w } e. E ) ) ) $=
      ( wcel cv cfv wceq wral wne wrex wi a1d cpr csn cdif w3o wo frgrregorufr0
      cfrgr orc wa fveq2 neeq1d rspcva wn df-ne pm2.21 syl ancoms rexlimdva olc
      sylbi 3jaoi ) EUGLBMZCNZFOBGPZVCFQZBGPZVBAMUADLAGVBUBUCPBGRZUDHMZCNZFOZHG
      RZVDVGUEZSZABCDEFGIJKUFVDVMVFVGVDVLVKVDVGUHTVFVJVLHGVHGLZVFVJVLSZVNVFUIVI
      FQZVOVEVPBVHGVBVHOVCVIFVBVHCUJUKULVPVJUMVOVIFUNVJVLUOUTUPUQURVGVLVKVGVDUS
      TVAUP $.
  $}

  ${
    $d G a $.  $d G k $.  $d G v w $.  $d E a v $.  $d V a v w $.
    $d a k v w $.
    frgrregorufrg.v $e |- V = ( Vtx ` G ) $.
    frgrregorufrg.e $e |- E = ( Edg ` G ) $.
    $( If there is a vertex having degree ` k ` for each nonnegative integer
       ` k ` in a friendship graph, then there is a universal friend.  This
       corresponds to claim 2 in [Huneke] p. 2:  "Suppose there is a vertex of
       degree k > 1. ... all vertices have degree k, unless there is a
       universal friend. ...  It follows that G is k-regular, i.e., the degree
       of every vertex is k".  Variant of ~ frgrregorufr with generalization.
       (Contributed by Alexander van der Vekens, 6-Sep-2018.)  (Revised by AV,
       26-May-2021.)  (Proof shortened by AV, 12-Jan-2022.) $)
    frgrregorufrg $p |- ( G e. FriendGraph -> A. k e. NN0
                     ( E. a e. V ( ( VtxDeg ` G ) ` a ) = k -> ( G RegUSGraph k
                    \/ E. v e. V A. w e. ( V \ { v } ) { v , w } e. E ) ) ) $=
      ( cfrgr wcel cv cvtxdg cfv wceq wrex wral wo wi cn0 crusgr wbr cpr csn wa
      cdif frgrregorufr adantr cusgr cxnn0 frgrusgr nn0xnn0 usgreqdrusgr 3expia
      eqid syl2an orim1d syld ralrimiva ) EJKZGLEMNZNCLZOGFPZEVBUAUBZBLZALUCDKA
      FVEUDUFQBFPZRZSCTUTVBTKZUEZVCVEVANVBOBFQZVFRZVGUTVCVKSVHABVADEVBFGHIVAUOZ
      UGUHVIVJVDVFUTEUIKZVBUJKZVJVDSVHEUKVBULVMVNVJVDBVAEVBFHVLUMUNUPUQURUS $.
  $}

  ${
    $d A c $.  $d B c $.  $d G c $.  $d V c $.
    frgr2wwlkeu.v $e |- V = ( Vtx ` G ) $.
    $( For two different vertices in a friendship graph, there is exactly one
       third vertex being the middle vertex of a (simple) path/walk of length 2
       between the two vertices.  (Contributed by Alexander van der Vekens,
       18-Feb-2018.)  (Revised by AV, 12-May-2021.)  (Proof shortened by AV,
       4-Jan-2022.) $)
    frgr2wwlkeu $p |- ( ( G e. FriendGraph /\ ( A e. V /\ B e. V ) /\ A =/= B )
                     -> E! c e. V <" A c B "> e. ( A ( 2 WWalksNOn G ) B ) ) $=
      ( cfrgr wcel wa wne w3a cv cs3 c2 cwwlksnon co wreu cpr syl5bir wb df-3an
      cedg cfv eqid frcond2 3impib cusgr cumgr wi frgrusgr 3anan32 umgrwwlks2on
      usgrumgr ex 3syl impl reubidva 3adant3 mpbird ) CGHZADHZBDHZIZABJZKAELZBM
      ABNCOPPHZEDQZAVERCUBUCZHVEBRVHHIZEDQZUTVCVDVJVCVDIVAVBVDKUTVJVAVBVDUAABVH
      CDEFVHUDZUESUFUTVCVGVJTVDUTVCIVFVIEDUTVCVEDHZVFVITZUTCUGHCUHHZVCVLIZVMUIC
      UJCUMVOVAVLVBKZVNVMVAVLVBUKVNVPVMAVEBVHCDFVKULUNSUOUPUQURUS $.

    $( In a friendship graph, there is always a path/walk of length 2 between
       two different vertices.  (Contributed by Alexander van der Vekens,
       18-Feb-2018.)  (Revised by AV, 12-May-2021.) $)
    frgr2wwlkn0 $p |- ( ( G e. FriendGraph /\ ( A e. V /\ B e. V ) /\ A =/= B )
                        -> ( A ( 2 WWalksNOn G ) B ) =/= (/) ) $=
      ( vc cfrgr wcel wa wne w3a cv cs3 c2 cwwlksnon co wreu wrex frgr2wwlkeu
      c0 reurex ne0i rexlimivw 3syl ) CGHADHBDHIABJKAFLBMZABNCOPPZHZFDQUGFDRUFT
      JZABCDFESUGFDUAUGUHFDUFUEUBUCUD $.

    $d A c d t w x y $.  $d B d w t x y $.  $d G d t w x y $.
    $d V d t w x y $.
    $( In a friendship graph, there is exactly one walk of length 2 between two
       different vertices.  (Contributed by Alexander van der Vekens,
       19-Feb-2018.)  (Revised by AV, 13-May-2021.)  (Proof shortened by AV,
       16-Mar-2022.) $)
    frgr2wwlk1 $p |- ( ( G e. FriendGraph /\ ( A e. V /\ B e. V ) /\ A =/= B )
                     -> ( # ` ( A ( 2 WWalksNOn G ) B ) ) = 1 ) $=
      ( vw vt vd vc vx vy wcel wa wceq cv weq wi cs3 wrex s3eq2 cfrgr cwwlksnon
      wne w3a c2 chash cfv weu wal frgr2wwlkn0 elwwlks2ons3 anbi12i frgr2wwlkeu
      co c1 wreu wral eleq1d reu4 anbi1d equequ1 imbi12d anbi2d equequ2 rspc2va
      c0 pm3.35 equcoms adantr wb eqeq12 adantl mpbird ex syl com23 exp4b com13
      equcomd imp expcom simplbiim rexlimdva syl5bi alrimivv eqeuel syl2anc cvv
      impl impd ovex euhash1 mp1i ) CUALADLBDLMABUCUDZABUECUBUNZUNZUFUGUONZFOZW
      PLZFUHZWNWPVFUCWSGOZWPLZMZFGPZQZGUIFUIWTABCDEUJWNXEFGXCWRAHOZBRZNZXGWPLZM
      ZHDSZXAAIOZBRZNZXMWPLZMZIDSZMZWNXDWSXKXBXQABCDWRHEUKABCDXAIEUKULWNAJOZBRZ
      WPLZJDUPZXRXDQABCDJEUMYBXKXQXDYBXJXQXDQHDYBXFDLZMZXQXJXDYDXPXJXDQZIDYBYCX
      LDLZXPYEQZYBYAJDSYAAKOZBRZWPLZMZJKPZQZKDUQJDUQZYCYFMZYGQYAYJJKDYLXTYIWPAX
      SBYHTURUSYOYNYGYOYNMXIXOMZHIPZQZYGYMYRXIYJMZHKPZQJKXFXLDDJHPZYKYSYLYTUUAY
      AXIYJUUAXTXGWPAXSBXFTURUTJHKVAVBKIPZYSYPYTYQUUBYJXOXIUUBYIXMWPAYHBXLTURVC
      KIHVDVBVEXJXPYRXDXHXIXPYRXDQZQXPXIXHUUCXNXOXIXHUUCQZQXIXOXNUUDXIXOXNXHUUC
      YPYRXNXHMZXDYPYRUUEXDQZYPYRMYQUUFYPYQVGYQUUEXDYQUUEMZGFUUGGFPZXMXGNZYQUUI
      UUEUUIIHAXLBXFTVHVIUUEUUHUUIVJYQXAXMWRXGVKVLVMVSVNVOVNVPVQVRVTVRVTVRVOWAW
      BWIWCVPWCWJVOWDWEFGWPWFWGWPWHLWQWTVJWNABWOWKWPWHFWLWMVM $.

    $( In a friendship graph, there is exactly one simple path of length 2
       between two different vertices.  (Contributed by Alexander van der
       Vekens, 3-Mar-2018.)  (Revised by AV, 13-May-2021.) $)
    frgr2wsp1 $p |- ( ( G e. FriendGraph /\ ( A e. V /\ B e. V ) /\ A =/= B )
                      -> ( # ` ( A ( 2 WSPathsNOn G ) B ) ) = 1 ) $=
      ( cfrgr wcel wa wne w3a c2 cwwspthsnon co chash cfv cwwlksnon c1 frgrusgr
      wceq cusgr wpthswwlks2on sylan 3adant2 fveq2d frgr2wwlk1 eqtrd ) CFGZADGB
      DGHZABIZJZABKCLMMZNOABKCPMMZNOQUJUKULNUGUIUKULSZUHUGCTGUIUMCRABCUAUBUCUDA
      BCDEUEUF $.
  $}

  ${
    $d A x $.  $d B x $.  $d G x $.  $d P x $.  $d Q x $.
    $( If there is a (simple) path of length 2 from one vertex to another
       vertex and a (simple) path of length 2 from the other vertex back to the
       first vertex in a friendship graph, then the middle vertex is the same.
       This is only an observation, which is not required to proof the
       friendship theorem.  (Contributed by Alexander van der Vekens,
       20-Feb-2018.)  (Revised by AV, 13-May-2021.)  (Proof shortened by AV,
       7-Jan-2022.) $)
    frgr2wwlkeqm $p |- ( ( G e. FriendGraph /\ A =/= B
                           /\ ( P e. X /\ Q e. Y ) )
              -> ( ( <" A P B "> e. ( A ( 2 WWalksNOn G ) B )
                  /\ <" B Q A "> e. ( B ( 2 WWalksNOn G ) A ) ) -> Q = P ) ) $=
      ( vx wcel wa w3a cs3 co wceq wi wwlks2onv sylan wb simpr1 s3eq2 cfrgr wne
      c2 cwwlksnon cvtx cfv simp3l eqid simp3r cumgr frgrusgr usgrumgr 3ad2ant1
      cusgr syl simpr3 simpl 3jca wwlks2onsym syl2anr cv 3simpb ad2antlr simpr2
      wreu frgr2wwlkeu syl3anc crio eleq1d riota2 ad4ant14 simplr2 eqtr2 expcom
      syl6bi com23 sylbid mpdan expimpd ex 3ad2ant2 mpcom com24 imp mpd ) EUAIZ
      ABUBZCFIZDGIZJZKZACBLZABUCEUDMZMZIZBDALBAWMMIZDCNZWKWOJAEUEUFZIZCWRIZBWRI
      ZKZWPWQOZWKWHWOXBWFWGWHWIUGACBFEWRWRUHZPQWKWOXBXCOWKWPXBWOWQWKWPXBWOWQOZO
      ZXADWRIZWSKZWKWPJZXFWKWIWPXHWFWGWHWIUIBDAGEWRXDPQXGXAXIXFOWSXGXBXIXEXGXBX
      IXEOXGXBJZWKWPXEXJWKJZWPADBLZWNIZXEWKEUJIZXHWPXMRXJWFWGXNWJWFEUNIXNEUKEUL
      UOUMXJXAXGWSXGWSWTXAUPXGXBUQXGWSWTXASURBDAEWRXDUSUTXKAHVAZBLZWNIZHWRVEZXM
      XEOXKWFWSXAJZWGXRXJWFWGWJSXBXSXGWKWSWTXAVBVCXJWFWGWJVDABEWRHXDVFVGXKXRJZX
      MXQHWRVHZDNZXEXGXRXMYBRXBWKXQXMHWRDXODNXPXLWNAXOBDTVIVJVKXTWOYBWQXTWOYACN
      ZYBWQOXKWTXRWOYCRWSWTXAXGWKVLXQWOHWRCXOCNXPWLWNAXOBCTVIVJQYBYCWQYADCVMVNV
      OVPVQVRVQVSVTVPWAWBVTWCWDWEVS $.
  $}

  ${
    $d G a b $.  $d V a b $.
    frgrhash2wsp.v $e |- V = ( Vtx ` G ) $.
    $( The number of simple paths of length 2 is n*(n-1) in a friendship graph
       with n vertices.  This corresponds to the proof of claim 3 in [Huneke]
       p. 2:  "... the paths of length two in G: by assumption there are ( n
       2 ) such paths.".  However, Huneke counts undirected paths, so obtains
       the result ( ` ( n _C 2 ) = ( ( n x. ( n - 1 ) ) / 2 ) ` ), whereas we
       count directed paths, obtaining twice that number.  (Contributed by
       Alexander van der Vekens, 6-Mar-2018.)  (Revised by AV, 10-Jan-2022.) $)
    frgrhash2wsp $p |- ( ( G e. FriendGraph /\ V e. Fin )
          -> ( # ` ( 2 WSPathsN G ) ) = ( ( # ` V ) x. ( ( # ` V ) - 1 ) ) ) $=
      ( va vb cfrgr wcel cfn wa c2 co chash cfv cv ciun wceq simpr adantl wdisj
      c1 cwwspthsn csn cdif cwwspthsnon cmin cmul 2nn wspniunwspnon mpan fveq2d
      cn adantr eqid cvtx eleq1i wspthnonfi sylbi 3ad2ant1 2wspiundisj 2wspdisj
      a1i simplll eldifi anim12i eldifsni frgr2wsp1 syl3anc 3impa hash2iun1dif1
      wne necomd eqtrd ) AFGZBHGZIZJAUAKZLMZDBEBDNZUBZUCZVRENZJAUDKKZOZOZLMZBLM
      ZWFTUEKUFKVMVQWEPVNVMVPWDLJUKGVMVPWDPUGDEFAJBCUHUIUJULVODEBVTWBVMVNQVTUMV
      OVRBGZWBHGZWAVTGZVNWHVMVNAUNMZHGWHBWJHCUOVRWAAJUPUQRURDBWCSVOABDEUSVAEVTW
      BSVOWGIZVRABEUTVAVOWGWIWBLMTPZWKWIIVMWGWABGZIVRWAVJZWLVMVNWGWIVBWKWGWIWMV
      OWGQWABVSVCVDWIWNWKWIWAVRWABVRVEVKRVRWAABCVFVGVHVIVL $.

    $d G w $.  $d N a w $.
    fusgreg2wsp.m $e |- M = ( a e. V |-> { w e. ( 2 WSPathsN G ) |
                                           ( w ` 1 ) = a } ) $.
    ${
      $d p w $.
      $( Lemma for ~ fusgreg2wsp and related theorems.  (Contributed by AV,
         8-Jan-2022.) $)
      fusgreg2wsplem $p |- ( N e. V -> ( p e. ( M ` N )
                          <-> ( p e. ( 2 WSPathsN G ) /\ ( p ` 1 ) = N ) ) ) $=
        ( wcel cv cfv c1 wceq c2 cwwspthsn co crab wa eqeq2 rabbidv rabex fvmpt
        ovex eleq2d weq fveq1 eqeq1d elrab bitrdi ) DEJZFKZDCLZJULMAKZLZDNZAOBP
        QZRZJULUQJMULLZDNZSUKUMURULGDUOGKZNZAUQRURECVADNVBUPAUQVADUOTUAIUPAUQOB
        PUDUBUCUEUPUTAULUQAFUFUOUSDMUNULUGUHUIUJ $.
    $}

    $d G m x y z $.  $d G p x y z $.  $d M z $.  $d N m x y z $.  $d N p $.
    $d V m x y z $.  $d w z $.
    $( The set of paths of length 2 with a given vertex in the middle for a
       finite simple graph is the union of all paths of length 2 from one
       neighbor to another neighbor of this vertex via this vertex.
       (Contributed by Alexander van der Vekens, 9-Mar-2018.)  (Revised by AV,
       17-May-2021.)  (Proof shortened by AV, 16-Mar-2022.) $)
    fusgr2wsp2nb $p |- ( ( G e. FinUSGraph /\ N e. V ) -> ( M ` N ) =
                     U_ x e. ( G NeighbVtx N )
                     U_ y e. ( ( G NeighbVtx N ) \ { x } ) { <" x N y "> } ) $=
      ( vp vz vm wcel wa wrex wceq wb adantr wex cfusgr cfv cv cs3 csn cnbgr co
      cdif cab ciun c2 cwwspthsn fusgreg2wsplem adantl wne cpr cedg cwwspthsnon
      wspthsnwspthsnon cusgr fusgrusgr eqid usgr2wspthon sylan 2rexbidva syl5bb
      c1 anbi1d 19.41vv weq wn velsn bicomi anbi2i a1i simplr anass ancom nesym
      an12 prcom eleq1i anbi12ci bitri anbi1i 3bitri preq2 eleq1d anbi12d s3eq2
      eqeq2d wi fveq1 cvv s3fv1 eqtrdi eqeq1d biimpd ad2antll rspcebdv pm5.32da
      elv com12 imp an32 cumgr usgrumgr umgrpredgv simpld expcom anim12d impcom
      3syl sylan9eqr jca pm4.71rd 3bitr4d nbusgreledg syl eldif 2exbidv bitr3id
      notbid r2ex 3bitr4g vex eleq1w 2rexbidv elab 3bitrd bitrd dfiunv2 eqtr4di
      ex eqrdv ) DUANZFGNZOZFEUBZKUCAUCZFBUCZUDZUEZNZBDFUFUGZYTUEZUHZPAUUEPZKUI
      ZAUUEBUUGUUCUJUJYRLYSUUIYRLUCZYSNZUUJUKDULUGNZVGUUJUBZFQZOZUUJUUINZYQUUKU
      UORYPCDEFGLHIJUMUNYRUUOUUJYTMUCZUUAUDZQZYTUUAUOZOZYTUUQUPZDUQUBZNZUUQUUAU
      PZUVCNZOZOZMGPZBGPAGPZUUNOZUUJUUCNZBUUGPAUUEPZUUPYRUULUVJUUNUULUUJYTUUAUK
      DURUGUGNZBGPAGPYRUVJDUKGUUJABIUSYRUVNUVIABGGYRDUTNZYTGNZUUAGNZOZUVNUVIRYP
      UVOYQDVAZSYTUUAUUJUVCDGMIUVCVBZVCVDVEVFVHYRUVRUVIOZBTATZUUNOZYTUUENZUUAUU
      GNZOZUVLOZBTATZUVKUVMUWCUWAUUNOZBTATYRUWHUWAUUNABVIYRUWIUWGABYRYTFUPZUVCN
      ZUUAFUPZUVCNZBAVJZVKZOZOZUUJUUBQZOZUWQUVLOZUWIUWGUWSUWTRYRUWRUVLUWQUVLUWR
      LUUBVLVMVNVOYRUVRUUNOZUVIOZUXAUWSOUWIUWSYRUXAUVIUWSYRUXAOZUVHUWSMFGYPYQUX
      AVPUUQFQZUVHUWSRUXCUVHUVDUUAUUQUPZUVCNZUWOOZOZUUSOZUXDUWSUVHUUSUUTUVGOZOU
      XJUUSOUXIUUSUUTUVGVQUUSUXJVRUXJUXHUUSUXJUVDUUTUVFOZOUXHUUTUVDUVFVTUXKUXGU
      VDUUTUWOUVFUXFYTUUAVSUVEUXEUVCUUQUUAWAWBWCVNWDWEWFUXDUXHUWQUUSUWRUXDUVDUW
      KUXGUWPUXDUVBUWJUVCUUQFYTWGWHUXDUXFUWMUWOUXDUXEUWLUVCUUQFUUAWGWHVHWIUXDUU
      RUUBUUJYTUUQUUAFWJWKWIVFUNUXCUVHUXDUUNUVHUXDWLYRUVRUVHUUNUXDUVAUUNUXDWLZU
      VGUUSUXLUUTUUSUUNUXDUUSUUMUUQFUUSUUMVGUURUBZUUQVGUUJUURWMUXMUUQQMYTUUQUUA
      WNWOXBWPWQWRSSXCWSXDWTXAUWIUXBRYRUVRUVIUUNXEVOYRUWSUXAYRUWSUXAYRUWSOUVRUU
      NUWSYRUVRUWQYRUVRWLUWRYRUWQUVRYPUWQUVRWLZYQYPUVODXFNZUXNUVSDXGUXOUWKUVPUW
      PUVQUXOUWKUVPUXOUWKOUVPYQUVCDYTFGIUVTXHXIYNUWPUXOUVQUWMUXOUVQWLUWOUXOUWMU
      VQUXOUWMOUVQYQUVCDUUAFGIUVTXHXIXJSXCXKXMSXCSXLUWSYRUUMVGUUBUBZFUWRUUMUXPQ
      UWQVGUUJUUBWMUNYQUXPFQYPYTFUUAGWOUNXNXOYNXPXQYRUWFUWQUVLYRUWDUWKUWEUWPYPU
      WDUWKRZYQYPUVOUXQUVSUVCDFYTUVTXRXSSUWEUUAUUENZUUAUUFNZVKZOYRUWPUUAUUEUUFX
      TYRUXRUWMUXTUWOYPUXRUWMRZYQYPUVOUYAUVSUVCDFUUAUVTXRXSSYRUXSUWNUXSUWNRYRBY
      TVLVOYCWIVFWIVHXQYAYBUVJUWBUUNUVIABGGYDWEUVLABUUEUUGYDYEUVMUUPRYRUUPUVMUU
      HUVMKUUJLYFKLVJUUDUVLABUUEUUGKLUUCYGYHYIVMVOYJYKYOABKUUEUUGUUCYLYM $.

    $d G c d v $.  $d K c d $.  $d V c d $.  $d a v $.  $d v w $.
    $( According to statement 7 in [Huneke] p. 2:  "For each vertex v, there
       are exactly ( k 2 ) paths with length two having v in the middle, ..."
       in a finite k-regular graph.  For directed simple paths of length 2
       represented by length 3 strings, we have again k*(k-1) such paths, see
       also comment of ~ frgrhash2wsp .  (Contributed by Alexander van der
       Vekens, 10-Mar-2018.)  (Revised by AV, 17-May-2021.)  (Proof shortened
       by AV, 12-Feb-2022.) $)
    fusgreghash2wspv $p |- ( G e. FinUSGraph
                             -> A. v e. V ( ( ( VtxDeg ` G ) ` v ) = K
                               -> ( # ` ( M ` v ) ) = ( K x. ( K - 1 ) ) ) ) $=
      ( vc vd wcel cfv wceq chash c1 cmin co cmul wa cfusgr cv cvtxdg cnbgr csn
      wi cdif cs3 ciun fusgr2wsp2nb fveq2d adantr cfn eleq2i nbfiusgrfi sylan2b
      cvtx eqid w3a snfi a1i wdisj wral nbgrssvtx ssdifd iunss1 ralrimiva simpr
      wss syl s3iunsndisj disjss2 sylc anim1ci s3sndisj cvv cword s3cli hashsng
      mp1i hash2iun1dif1 cusgr fusgrusgr hashnbusgrvd sylan id oveq12d sylan9eq
      oveq1 3eqtrd ex ) CUALZBUBZCUCMMZDNZWMEMZOMZDDPQRZSRZNZUFBFWLWMFLZTZWOWTX
      BWOTZWQJCWMUDRZKXDJUBZUEZUGZXEWMKUBZUHZUEZUIZUIZOMZXDOMZXNPQRZSRZWSXBWQXM
      NWOXBWPXLOJKACEWMFGHIUJUKULXCJKXDXGXJXBXDUMLZWOXAWLWMCUQMZLXQFXRWMHUNCWMU
      OUPULXGURXJUMLXCXEXDLZXHXGLUSZXIUTVAXBJXDXKVBZWOXBXKKFXFUGZXJUIZVIZJXDVCJ
      XDYCVBZYAXBYDJXDXBXSTZXGYBVIYDYFXDFXFXDFVIYFCWMFHVDVAVEKXGYBXJVFVJVGXBXAY
      EWLXAVHZWMFXDFJKVKVJJXDXKYCVLVMULXCXSTXSXATKXGXJVBXCXAXSXBXAWOYGULVNXEWMX
      DFXGKVOVJXIVPVQZLXJOMPNXTXEWMXHVRXIYHVSVTWAXBWOXPWNWNPQRZSRZWSXBXNWNNZXPY
      JNWLCWBLXAYKCWCWMCFHWDWEYKXNWNXOYISYKWFXNWNPQWIWGVJWOWNDYIWRSWOWFWNDPQWIW
      GWHWJWKVG $.

    $d a p w x $.  $d M p $.  $d V p $.
    $( In a finite simple graph, the set of all paths of length 2 is the union
       of all the paths of length 2 over the vertices which are in the middle
       of such a path.  (Contributed by Alexander van der Vekens, 10-Mar-2018.)
       (Revised by AV, 18-May-2021.)  (Proof shortened by AV, 10-Jan-2022.) $)
    fusgreg2wsp $p |- ( G e. FinUSGraph
                        -> ( 2 WSPathsN G ) = U_ x e. V ( M ` x ) ) $=
      ( vp cfusgr wcel c2 cwwspthsn co cv cfv wrex wa a1i wb ciun c1 wi cwwlksn
      wceq wspthsswwlkn sseli midwwlks2s3 pm4.71rd ancom r19.41v fusgreg2wsplem
      syl rexbii bitr2i bicomd adantl rexbidva 3bitrd eliun bitr4di eqrdv ) CJK
      ZILCMNZAEAOZDPZUAZVCIOZVDKZVHVFKZAEQZVHVGKVCVIUBVHPVEUEZAEQZVIRZVIVLRZAEQ
      ZVKVCVIVMVIVMUCVCVIVHLCUDNZKVMVDVQVHCLUFUGCEVHAGUHUMSUIVNVPTVCVPVLVIRZAEQ
      VNVOVRAEVIVLUJUNVLVIAEUKUOSVCVOVJAEVEEKZVOVJTVCVSVJVOBCDVEEIFGHULUPUQURUS
      AVHEVFUTVAVB $.

    $d a w y $.  $d M t x y $.  $d V t x w $.
    $( The sets of paths of length 2 with a given vertex in the middle are
       distinct for different vertices in the middle.  (Contributed by
       Alexander van der Vekens, 11-Mar-2018.)  (Revised by AV, 18-May-2021.)
       (Proof shortened by AV, 10-Jan-2022.) $)
    2wspmdisj $p |- Disj_ x e. V ( M ` x ) $=
      ( vy vt cv cfv wceq wral wcel wa wi wn fusgreg2wsplem adantl wdisj weq c0
      cin wo orc a1d c2 cwwspthsn co c1 wb adantr eqtr2 expcom com12 syl6bi imp
      sylbid con3d impancom ralrimiv disj sylibr olcd pm2.61i rgen2 fveq2 mpbir
      disjor ) AEAKZDLZUAAIUBZVLIKZDLZUDUCMZUEZIENAENVQAIEEVMVKEOZVNEOZPZVQQVMV
      QVTVMVPUFUGVTVMRZVQVTWAPZVPVMWBJKZVOOZRZJVLNVPWBWEJVLVTWCVLOZWAWEVTWFPZWD
      VMWGWDWCUHCUIUJOZUKWCLZVNMZPZVMVTWDWKULZWFVSWLVRBCDVNEJFGHSTUMVTWFWKVMQZV
      RWFWMQVSVRWFWHWIVKMZPWMBCDVKEJFGHSWNWMWHWKWNVMWJWNVMQWHWNWJVMWIVKVNUNUOTU
      PTUQUMURUSUTVAVBJVLVOVCVDVEUOVFVGEVLVOAIVKVNDVHVJVI $.
  $}

  ${
    $d G a s t v y $.  $d K v y $.  $d V a s t v y $.
    fusgreghash2wsp.v $e |- V = ( Vtx ` G ) $.
    $( In a finite k-regular graph with N vertices there are N times "k choose
       2" paths with length 2, according to statement 8 in [Huneke] p. 2:  "...
       giving n * ( k 2 ) total paths of length two.", if the direction of
       traversing the path is not respected.  For simple paths of length 2
       represented by length 3 strings, however, we have again n*k*(k-1) such
       paths.  (Contributed by Alexander van der Vekens, 11-Mar-2018.)
       (Revised by AV, 19-May-2021.)  (Proof shortened by AV, 12-Jan-2022.) $)
    fusgreghash2wsp $p |- ( ( G e. FinUSGraph /\ V =/= (/) )
                            -> ( A. v e. V ( ( VtxDeg ` G ) ` v ) = K
                                -> ( # ` ( 2 WSPathsN G ) )
                                   = ( ( # ` V ) x. ( K x. ( K - 1 ) ) ) ) ) $=
      ( vy va vs vt wcel wa cv cfv wceq wral c2 co chash c1 cfn cfusgr wne cmin
      cvtxdg cwwspthsn cmul crab cmpt ciun csu fveq1 eqeq1d cbvrabv fusgreg2wsp
      c0 mpteq2i ad2antrr fveq2d fusgrvtxfi eqeq2 rabbidv eqid ovex rabex fvmpt
      adantl cvtx wspthnfi rabfi 3syl adantr eqeltrd wdisj 2wspmdisj hashiun wi
      a1i fusgreghash2wspv ralim syl imp 2fveq3 sylan sumeq2dv cc fusgrregdegfi
      rspccva cn0 nn0cnd kcnktkm1cn fsumconst syl2an2r eqtrd 3eqtrd ex ) BUAJZD
      UOUBZKZALZBUDMZMCNZADOZPBUEQZRMZDRMCCSUCQUFQZUFQZNWRXBKZXDFDFLZGDSHLZMZGL
      ZNZHXCUGZUHZMZUIZRMZDXORMZFUJZXFXGXCXPRWPXCXPNWQXBFIBXNDGEGDXMSILZMZXKNZI
      XCUGXLYBHIXCXIXTNXJYAXKSXIXTUKULUMUPZUNUQURWPXQXSNWQXBWPFDXOBDEUSZWPXHDJZ
      KXOXJXHNZHXCUGZTYEXOYGNWPGXHXMYGDXNXKXHNXLYFHXCXKXHXJUTVAXNVBYFHXCPBUEVCV
      DVEVFWPYGTJZYEWPBVGMZTJXCTJYHBYIYIVBUSBPVHYFHXCVIVJVKVLFDXOVMWPFIBXNDGEYC
      VNVQVOUQXGXSDXEFUJZXFXGDXRXEFXGWSXNMRMZXENZADOZYEXRXENZWRXBYMWPXBYMVPZWQW
      PXAYLVPADOYOIABCXNDGEYCVRXAYLADVSVTVKWAYLYNAXHDWSXHNYKXRXEWSXHRXNWBULWGWC
      WDWRDTJZXBXEWEJZYJXFNWPYPWQYDVKXGCWEJYQXGCWRXBCWHJAWTBCDEWTVBWFWAWICWJVTD
      XEFWKWLWMWNWO $.
  $}

  ${
    $d G v $.  $d K v $.  $d V v $.
    frrusgrord0.v $e |- V = ( Vtx ` G ) $.
    $( Lemma for ~ frrusgrord0 .  (Contributed by AV, 12-Jan-2022.) $)
    frrusgrord0lem $p |- ( ( ( G e. FriendGraph /\ V e. Fin /\ V =/= (/) )
                             /\ A. v e. V ( ( VtxDeg ` G ) ` v ) = K )
                      -> ( K e. CC /\ ( # ` V ) e. CC /\ ( # ` V ) =/= 0 ) ) $=
      ( cfrgr wcel cfn c0 wne w3a cv cfv wceq wa cc cc0 imp nn0cnd adantr chash
      cvtxdg wral cn0 cfusgr cusgr frgrusgr anim1i isfusgr sylibr fusgrregdegfi
      wi eqid stoic3 hashcl 3ad2ant2 hasheq0 biimpd necon3d 3adant1 3jca ) BFGZ
      DHGZDIJZKZALBUBMZMCNADUCZOZCPGDUAMZPGZVIQJZVHCVEVGCUDGZVBVCBUEGZVDVGVLULV
      BVCOBUFGZVCOVMVBVNVCBUGUHBDEUIUJAVFBCDEVFUMUKUNRSVEVJVGVCVBVJVDVCVIDUOSUP
      TVEVKVGVCVDVKVBVCVDVKVCVIQDIVCVIQNDINDHUQURUSRUTTVA $.

    $( If a nonempty finite friendship graph is k-regular, its order is
       k(k-1)+1.  This corresponds to claim 3 in [Huneke] p. 2:  "Next we claim
       that the number n of vertices in G is exactly k(k-1)+1.".  (Contributed
       by Alexander van der Vekens, 11-Mar-2018.)  (Revised by AV,
       26-May-2021.)  (Proof shortened by AV, 12-Jan-2022.) $)
    frrusgrord0 $p |- ( ( G e. FriendGraph /\ V e. Fin /\ V =/= (/) )
                        -> ( A. v e. V ( ( VtxDeg ` G ) ` v ) = K
                             -> ( # ` V ) = ( ( K x. ( K - 1 ) ) + 1 ) ) ) $=
      ( wcel wne w3a cfv wceq chash c1 cmin co cmul caddc wa wi cc 3ad2ant2 cfn
      cfrgr c0 cv cvtxdg wral c2 cwwspthsn cfusgr cusgr frgrusgr anim1i isfusgr
      sylibr fusgreghash2wsp stoic3 imp wb eqcomd eqeq1d 3adant3 frrusgrord0lem
      frgrhash2wsp adantr cc0 peano2cnm kcnktkm1cn 3ad2ant1 simp2 simp3 mulcand
      npcan1 oveq1 sylan9req ex sylbid syl sylbird mpd ) BUBFZDUAFZDUCGZHZAUDBU
      EIICJADUFZDKIZCCLMNONZLPNZJZWCWDQZUGBUHNKIZWEWFONZJZWHWCWDWLVTWABUIFZWBWD
      WLRVTWAQZBUJFZWAQWMVTWOWABUKULBDEUMUNABCDEUOUPUQWIWLWEWELMNZONZWKJZWHWCWR
      WLURZWDVTWAWSWBWNWQWJWKWNWJWQBDEVCUSUTVAVDWICSFZWESFZWEVEGZHZWRWHRABCDEVB
      XCWRWPWFJZWHXCWPWFWEXAWTWPSFXBWEVFTWTXAWFSFXBCVGVHWTXAXBVIWTXAXBVJVKXAWTX
      DWHRXBXAXDWHXAXDWEWPLPNWGWEVLWPWFLPVMVNVOTVPVQVRVSVO $.

    $( If a nonempty finite friendship graph is k-regular, its order is
       k(k-1)+1.  This corresponds to claim 3 in [Huneke] p. 2:  "Next we claim
       that the number n of vertices in G is exactly k(k-1)+1.".  Variant of
       ~ frrusgrord0 , using the definition ` RegUSGraph ` ( ~ df-rusgr ).
       (Contributed by Alexander van der Vekens, 25-Aug-2018.)  (Revised by AV,
       26-May-2021.)  (Proof shortened by AV, 12-Jan-2022.) $)
    frrusgrord $p |- ( ( V e. Fin /\ V =/= (/) )
                       -> ( ( G e. FriendGraph /\ G RegUSGraph K )
                            -> ( # ` V ) = ( ( K x. ( K - 1 ) ) + 1 ) ) ) $=
      ( vv cfn wcel c0 wne wa cfrgr crusgr wbr chash cfv c1 cmin co cmul wceq
      caddc wi cvtxdg wral w3a cxnn0 crgr rusgrrgr eqid rgrprop syl frrusgrord0
      cv simprd syl5 3expb expcom impd ) CFGZCHIZJZAKGZABLMZCNOBBPQRSRPUARTZVBV
      AVCVDUBZVBUSUTVEVCEUMAUCOZOBTECUDZVBUSUTUEVDVCBUFGZVGVCABUGMVHVGJABUHEVFA
      BCDVFUIUJUKUNEABCDULUOUPUQUR $.
  $}

  ${
    $( Lemma for ~ numclwwlk2lem1 .  (Contributed by Alexander van der Vekens,
       3-Oct-2018.)  (Revised by AV, 27-May-2021.)  (Revised by AV,
       15-Mar-2022.) $)
    numclwwlk2lem1lem $p |- ( ( X e. ( Vtx ` G ) /\ W e. ( N WWalksN G )
                                /\ ( lastS ` W ) =/= ( W ` 0 ) )
                          -> ( ( ( W ++ <" X "> ) ` 0 ) = ( W ` 0 )
                               /\ ( ( W ++ <" X "> ) ` N ) =/= ( W ` 0 ) ) ) $=
      ( co wcel cfv cc0 wne wceq wa c1 wi clt wbr simpl2 3ad2ant1 adantr mpbird
      cmin cwwlksn cvtx cs1 cconcat cn0 cword chash caddc w3a wwlknbp1 ad2antrl
      clsw nn0p1gt0 wb breq2 3ad2ant3 ccatfv0 syl3anc oveq1 cc nn0cn pncan1 syl
      s1cl eqtr2d fveq2d adantl hashneq0 bicomd 3ad2ant2 ccatval1lsw neeq1d jca
      c0 biimpd impr exp32 3imp21 ) CBAUAEFZDAUBGZFZCULGZHCGZIZHCDUCZUDEZGWCJZB
      WFGZWCIZKZVSBUEFZCVTUFZFZCUGGZBLUHEZJZUIZWAWDWJMMABCUJWQWAWDWJWQWAWDKZKZW
      GWIWSWMWEWLFZHWNNOZWGWKWMWPWRPWAWTWQWDDVTVDZUKWSXAHWONOZWQXCWRWKWMXCWPBUM
      QZRWQXAXCUNZWRWPWKXEWMWNWOHNUOUPZRSCWEVTUQURWQWAWDWIWQWAKZWDWIXGWBWHWCXGW
      HWNLTEZWFGZWBXGBXHWFWQBXHJWAWQXHWOLTEZBWPWKXHXJJWMWNWOLTUSUPWKWMXJBJZWPWK
      BUTFXKBVABVBVCQVERVFXGWMWTCVNIZXIWBJWKWMWPWAPWAWTWQXBVGXGXLXAXGXAXCWQXCWA
      XDRWQXEWAXFRSWQXLXAUNZWAWMWKXMWPWMXAXLCWLVHVIVJRSCWEVTVKURVEVLVOVPVMVQVCV
      R $.
  $}

  $( Lemma for ~ clwwnonrepclwwnon and ~ extwwlkfab .  (Contributed by
     Alexander van der Vekens, 18-Sep-2018.)  (Revised by AV, 10-May-2022.)
     (Revised by AV, 30-Oct-2022.) $)
  2clwwlklem $p |- ( ( W e. ( N ClWWalksN G ) /\ N e. ( ZZ>= ` 3 ) )
                     -> ( ( W prefix ( N - 2 ) ) ` 0 ) = ( W ` 0 ) ) $=
    ( cclwwlkn co wcel cvtx cfv cword c3 cuz c2 cmin c1 chash cfz cc0 cpfx wceq
    eqid clwwlknwrd wa ige3m2fz adantl clwwlknlen oveq2d eleq2d adantr syl2an2r
    wb mpbird pfxfv0 ) CBADEFZCAGHZIFBJKHFZBLMEZNCOHZPEZFZQCUPREHQCHSABUNCUNTUA
    UMUOUBUSUPNBPEZFZUOVAUMBUCUDUMUSVAUJUOUMURUTUPUMUQBNPABCUEUFUGUHUKUPUNCULUI
    $.

  $( If the initial vertex of a closed walk occurs another time in the walk,
     the walk starts with a closed walk.  Notice that ` 3 <_ N ` is required,
     because for ` N = 2 ` ,
     ` ( w prefix ( N - 2 ) ) = ( w prefix 0 ) = (/) ` , but ` (/) ` (and
     anything else) is not a representation of an empty closed walk as word,
     see ~ clwwlkn0 .  (Contributed by Alexander van der Vekens, 15-Sep-2018.)
     (Revised by AV, 28-May-2021.)  (Revised by AV, 30-Oct-2022.) $)
  clwwnrepclwwn $p |- ( ( N e. ( ZZ>= ` 3 ) /\ W e. ( N ClWWalksN G )
                          /\ ( W ` ( N - 2 ) ) = ( W ` 0 ) )
                    -> ( W prefix ( N - 2 ) ) e. ( ( N - 2 ) ClWWalksN G ) ) $=
    ( c3 cuz cfv wcel cclwwlkn co c2 cmin cc0 wceq w3a cn c1 wa cwwlksn uz3m2nn
    cpfx cz eluzelz 2eluzge1 subeluzsub sylancl 3ad2ant1 clwwlknwwlksn 3ad2ant2
    jca simp3 clwwlkinwwlk syl3anc ) BDEFGZCBAHIGZBJKIZCFLCFMZNUOOGZBPKIZUOEFGZ
    QZCURARIGZUPCUOTIUOAHIGUMUNUTUPUMUQUSBSUMBUAGJPEFGUSDBUBUCPBJUDUEUIUFUNUMVA
    UPABCUGUHUMUNUPUJAURUOCUKUL $.

  $( If the initial vertex of a closed walk occurs another time in the walk,
     the walk starts with a closed walk on this vertex.  See also the remarks
     in ~ clwwnrepclwwn .  (Contributed by AV, 24-Apr-2022.)  (Revised by AV,
     10-May-2022.)  (Revised by AV, 30-Oct-2022.) $)
  clwwnonrepclwwnon $p |- ( ( N e. ( ZZ>= ` 3 )
                              /\ W e. ( X ( ClWWalksNOn ` G ) N )
                              /\ ( W ` ( N - 2 ) ) = X )
          -> ( W prefix ( N - 2 ) ) e. ( X ( ClWWalksNOn ` G ) ( N - 2 ) ) ) $=
    ( c3 cuz cfv wcel cclwwlknon co cmin wceq w3a cpfx cclwwlkn cc0 isclwwlknon
    c2 simp1 3ad2ant2 simplbi wa simpr eqcomd sylbi eqeq2d biimpa clwwnrepclwwn
    3adant1 syl3anc 2clwwlklem sylan ancoms 3adant3 simprbi eqtrd sylanbrc ) BE
    FGHZCDBAIGZJHZBRKJZCGZDLZMZCVANJZVAAOJHZPVEGZDLVEDVAUSJHVDURCBAOJHZVBPCGZLZ
    VFURUTVCSUTURVHVCUTVHVIDLZABCDQZUAZTUTVCVJURUTVCVJUTDVIVBUTVHVKUBZDVILVLVNV
    IDVHVKUCUDUEUFUGUIABCUHUJVDVGVIDURUTVGVILZVCUTURVOUTVHURVOVMABCUKULUMUNUTUR
    VKVCUTVHVKVLUOTUPAVAVEDQUQ $.

  ${
    $d G n v w $.  $d G i $.  $d N i $.  $d W i $.
    $( Lemma for ~ 2clwwlk2clwwlk .  (Contributed by AV, 27-Apr-2022.) $)
    2clwwlk2clwwlklem $p |- ( ( N e. ( ZZ>= ` 3 )
         /\ W e. ( X ( ClWWalksNOn ` G ) N ) /\ ( W ` ( N - 2 ) ) = ( W ` 0 ) )
        -> ( W substr <. ( N - 2 ) , N >. ) e. ( X ( ClWWalksNOn ` G ) 2 ) ) $=
      ( cfv wcel co c2 cmin cc0 wceq c1 wa wi syl adantr 3ad2ant2 cpr cv cfzo
      vv vn vw vi c3 cuz cclwwlknon w3a cop csubstr cs2 cvtx cword cfz cclwwlkn
      chash isclwwlknon eqid clwwlknbp simpll uzuzle23 eluzfz2 adantl wb eleq2d
      oveq2 ad2antlr mpbird jca ex sylbi impcom swrds2m simp3 eqidd s2eqd simpr
      3adant3 3eqtrd cedg cn0 crab clwwlknonmpo elmpocl1 cn eluzge3nn wrdsymbcl
      fzo0end syl2anc preq1 eqcomd prcom eqtrdi caddc wral clwwlknp lsw fvoveq1
      clsw sylan9eq preq1d eleq1d biimpd com23 a1d mpcom eqeltrd s2elclwwlknon2
      3imp syl3an2b syl3anc ) BUEUFEFZCDBAUGEZGFZBHIGZCEZJCEZKZUHZCXOBUIUJGZDBL
      IGZCEZUKZDHXMGZXSXTXPYBUKZXQYBUKZYCXLXNXTYEKZXRXLXNMCAULEZUMZFZBHCUPEZUNG
      ZFZMZYGXNXLYNXNCBAUOGFZXQDKZMZXLYNNZABCDUQZYOYRYPYOYJYKBKZMZYRABYHCYHURZU
      SZUUAXLYNUUAXLMZYJYMYJYTXLUTZUUDYMBHBUNGZFZXLUUGUUAXLBHUFEFUUGBVAHBVBOVCY
      TYMUUGVDYJXLYTYLUUFBYKBHUNVFVEVGVHVIVJOPVKVLBYHCVMOVRXSXPYBXQYBXLXNXRVNXS
      YBVOVPXNXLYFYCKZXRXNYQUUHYSYQXQYBDYBYOYPVQYQYBVOVPVKQVSXSDYHFZYBYHFZDYBRZ
      AVTEZFZYCYDFXNXLUUIXRUAUBYHWAJUCSEUASKUCUBSAUOGWBDBXMCUCUAUBAWCWDQXLXNUUJ
      XRXNXLUUJXNYQXLUUJNZYSYOUUNYPYOUUAUUNUUCUUAXLUUJUUDYJYAJYKTGZFZUUJUUEUUDU
      UPYAJBTGZFZXLUURUUAXLBWEFUURBWFBWHOVCUUDUUOUUQYAYTUUOUUQKYJXLYKBJTVFVGVEV
      HYAYHCWGWIVJOPVKVLVRXNXLYQXRUUMYSXLYQXRUHZUUKYBXQRZUULUUSUUKXQYBRZUUTYQXL
      UUKUVAKXRYQUVAUUKYPUVAUUKKYOXQDYBWJVCWKQXQYBWLWMUUAUDSZCEUVBLWNGCERUULFUD
      JYATGWOZCWSEZXQRZUULFZUHZUUSUUTUULFZYQXLUVGXRYOUVGYPUDUULABYHCUUBUULURZWP
      PQUUAUVCUVFUUSUVHNZUUAUVFUVJNUVCUUAUUSUVFUVHUUAUUSUVFUVHNUUAUUSMZUVFUVHUV
      KUVEUUTUULUVKUVDYBXQUUAUVDYBKUUSYJYTUVDYKLIGCEYBCYIWQYKBLCIWRWTPXAXBXCVJX
      DXEXIXFXGXJXMUULAYHDYBXMURUUBUVIXHXKXG $.
  $}

  ${
    $d G n v w $.  $d N n v w $.  $d V n v $.  $d X n v w $.
    2clwwlk.c $e |- C = ( v e. V , n e. ( ZZ>= ` 2 )
                               |-> { w e. ( v ( ClWWalksNOn ` G ) n ) |
                                     ( w ` ( n - 2 ) ) = v } ) $.
    $( Value of operation ` C ` , mapping a vertex v and an integer n greater
       than 1 to the "closed n-walks v(0) ... v(n-2) v(n-1) v(n) from v = v(0)
       = v(n) with v(n-2) = v" according to definition 6 in [Huneke] p. 2.
       Such closed walks are "double loops" consisting of a closed (n-2)-walk v
       = v(0) ... v(n-2) = v and a closed 2-walk v = v(n-2) v(n-1) v(n) = v,
       see ~ 2clwwlk2clwwlk . ` ( X C N ) ` is called the "set of double loops
       of length ` N ` on vertex ` X ` " in the following.  (Contributed by
       Alexander van der Vekens, 14-Sep-2018.)  (Revised by AV, 29-May-2021.)
       (Revised by AV, 20-Apr-2022.) $)
    2clwwlk $p |- ( ( X e. V /\ N e. ( ZZ>= ` 2 ) )
                         -> ( X C N ) = { w e. ( X ( ClWWalksNOn ` G ) N ) |
                                          ( w ` ( N - 2 ) ) = X } ) $=
      ( c2 cuz cfv cv cmin co wceq cclwwlknon crab wa oveq12 fvoveq1 simpl ovex
      adantl eqeq12d rabeqbidv rabex ovmpoa ) BDHFGJKLDMZJNOAMZLZBMZPZAULUIEQLZ
      OZRFJNOUJLZHPZAHFUNOZRCULHPZUIFPZSZUMUQAUOURULHUIFUNTVAUKUPULHUTUKUPPUSUI
      FJUJNUAUDUSUTUBUEUFIUQAURHFUNUCUGUH $.

    $( The set ` ( X C 2 ) ` of double loops of length 2 on a vertex ` X ` is
       equal to the set of closed walks with length 2 on ` X ` .  Considered as
       "double loops", the first of the two closed walks/loops is degenerated,
       i.e., has length 0.  (Contributed by AV, 18-Feb-2022.)  (Revised by AV,
       20-Apr-2022.) $)
    2clwwlk2 $p |- ( X e. V -> ( X C 2 ) = ( X ( ClWWalksNOn ` G ) 2 ) ) $=
      ( wcel c2 co cmin cv cfv wceq cclwwlknon crab cuz cz cc0 2z ax-mp 2clwwlk
      mpan2 2cn subidi fveq2i cclwwlkn isclwwlknon simprbi syl5eq rabeqc eqtrdi
      uzid ) GFIZGJCKZJJLKZAMZNZGOZAGJEPNKZQZVAUOJJRNIZUPVBOJSIVCUAJUNUBABCDEJF
      GHUCUDUTAVAURVAIZUSTURNZGUQTURJUEUFUGVDURJEUHKIVEGOEJURGUIUJUKULUM $.

    $d W w $.
    $( Characterization of an element of the value of operation ` C ` , i.e.,
       of a word being a double loop of length ` N ` on vertex ` X ` .
       (Contributed by Alexander van der Vekens, 24-Sep-2018.)  (Revised by AV,
       29-May-2021.)  (Revised by AV, 20-Apr-2022.) $)
    2clwwlkel $p |- ( ( X e. V /\ N e. ( ZZ>= ` 2 ) )
                    -> ( W e. ( X C N ) <-> ( W e. ( X ( ClWWalksNOn ` G ) N )
                                              /\ ( W ` ( N - 2 ) ) = X ) ) ) $=
      ( wcel c2 cuz cfv wa co cmin cv wceq cclwwlknon crab 2clwwlk eleq2d fveq1
      eqeq1d elrab bitrdi ) IGKFLMNKOZHIFCPZKHFLQPZARZNZISZAIFETNPZUAZKHUNKUJHN
      ZISZOUHUIUOHABCDEFGIJUBUCUMUQAHUNUKHSULUPIUJUKHUDUEUFUG $.

    $d C a b $.  $d G a b $.  $d N a b w $.  $d V a b $.  $d W a b $.
    $d X a b $.
    $( An element of the value of operation ` C ` , i.e., a word being a double
       loop of length ` N ` on vertex ` X ` , is composed of two closed walks.
       (Contributed by AV, 28-Apr-2022.)  (Proof shortened by AV,
       3-Nov-2022.) $)
    2clwwlk2clwwlk $p |- ( ( X e. V /\ N e. ( ZZ>= ` 3 ) ) -> ( W e. ( X C N )
                  <-> E. a e. ( X ( ClWWalksNOn ` G ) ( N - 2 ) )
                      E. b e. ( X ( ClWWalksNOn ` G ) 2 ) W = ( a ++ b ) ) ) $=
      ( wcel cfv wa co wceq c2 cc0 adantr cuz cconcat cclwwlknon wrex cmin cpfx
      c3 cv cop csubstr wb uzuzle23 2clwwlkel sylan2 simpr anim1i 3anass sylibr
      w3a clwwnonrepclwwnon syl simprl simprr cclwwlkn isclwwlknon eqcomd sylbi
      ad2antrl eqtrd 2clwwlk2clwwlklem syl3anc cvtx cword chash clwwlknbp opeq2
      wi oveq2d eqcoms ad2antlr cfz simpl fz1ssfz0 ige3m2fz sselid adantl oveq2
      eqid c1 eleq2d mpbird pfxcctswrd syl2an2r impcom 3jca sylbid rspceov syl6
      sylan caddc eluzelcn 2cnd npcand biimpd clwwlknonccat impel cedg clwwlkn2
      ex cpr cfzo cn 2nn lbfzo0 mpbir eleqtrrid ccatval3 subcld sylan9eq fveq2d
      addid2d 3eqtr4d exp53 com24 com13 3adant3 mpbir2and syl5ibrcom rexlimdvva
      imp eleq1 impbid ) IGMZFUGUANMZOZHIFCPZMZHJUHZKUHZUBPZQZKIREUCNZPZUDJIFRU
      EPZUUBPZUDZYOYQHUUDUFPZUUEMZHUUDFUIZUJPZUUCMZHUUGUUJUBPZQZUSZUUFYOYQHIFUU
      BPZMZUUDHNZIQZOZUUNYNYMFRUANMZYQUUSUKFULZABCDEFGHILUMUNYOUUSUUNYOUUSOZUUH
      UUKUUMUVBYNUUPUURUSZUUHUVBYNUUSOUVCYOYNUUSYMYNUOZUPYNUUPUURUQUREFHIUTVAUV
      BYNUUPUUQSHNZQUUKYOYNUUSUVDTYOUUPUURVBUVBUUQIUVEYOUUPUURVCUUPIUVEQZYOUURU
      UPHFEVDPMZUVEIQZOZUVFEFHIVEZUVIUVEIUVGUVHUOVFVGVHVIEFHIVJVKUVBUULHUUSYOUU
      LHQZUUPYOUVKVQZUURUUPUVIUVLUVJUVGUVLUVHUVGYOUVKUVGHEVLNZVMZMZHVNNZFQZOZYO
      UVKEFUVMHUVMWHZVOUVRYOOZUULUUGHUUDUVPUIZUJPZUBPZHUVQUULUWCQZUVOYOUWDFUVPF
      UVPQZUUJUWBUUGUBUWEUUIUWAHUJFUVPUUDVPVRVRVSVTUVRUVOYOUUDSUVPWAPZMZUWCHQUV
      OUVQWBUVTUWGUUDSFWAPZMZYOUWIUVRYNUWIYMYNWIFWAPUWHUUDFWCFWDWEWFWFUVQUWGUWI
      UKUVOYOUVQUWFUWHUUDUVPFSWAWGWJVTWKUUDUVMHWLWMVIWSXITVGTWNVFWOXIWPJKUUEUUC
      UUGUUJHUBWQWRYOUUAYQJKUUEUUCYOYRUUEMZYSUUCMZOZOZYQUUAYTYPMZUWMUWNYTUUOMZU
      UDYTNZIQZYOYTIUUDRWTPZUUBPZMZUWOUWLYOUWTUWOYOUWSUUOYTYOUWRFIUUBYNUWRFQYMY
      NFRUGFXAZYNXBZXCWFVRWJXDYRYSEUUDRIXEXFUWLYOUWQUWKUWJYOUWQVQZUWKYSREVDPMZS
      YSNZIQZOUWJUXCVQZERYSIVEUXDUXFUXGUXDYSVNNZRQZYSUVNMZUXEWIYSNXJEXGNMZUSUXF
      UXGVQZEYSXHUXIUXJUXLUXKUWJUXFUXIUXJOZUXCUWJYRUUDEVDPMZSYRNIQZOUXFUXMUXCVQ
      VQZEUUDYRIVEUXNUXPUXOUXNYRUVNMZYRVNNZUUDQZOUXPEUUDUVMYRUVSVOUXQUXSUXPUXQU
      XMUXFUXSUXCUXQUXMUXFUXSYOUWQUXQUXMOZUXFUXSOZOZYOOZSUXRWTPZYTNZUXEUWPIUYCU
      XQUXJSSUXHXKPZMZUSZUYEUXEQUYBUYHYOUXTUYHUYAUXTUXQUXJUYGUXQUXMWBUXQUXIUXJV
      CUXIUYGUXQUXJUXISSRXKPZUYFSUYIMRXLMXMRXNXOUXHRSXKWGXPVHWOTTUVMYRYSSXQVAUY
      CUUDUYDYTUYCUYDUUDUYBYOUYDSUUDWTPZUUDUYAUYDUYJQUXTUYAUXRUUDSWTUXFUXSUOVRW
      FYNUYJUUDQYMYNUUDYNFRUXAUXBXRYAWFXSVFXTUYAIUXEQUXTYOUYAUXEIUXFUXSWBVFVTYB
      YCYDYJVATVGYEYFVGYJVGWNWNYOUWNUWOUWQOUKZUWLYNYMUUTUYKUVAABCDEFGYTILUMUNTY
      GHYTYPYKYHYIYL $.
  $}

  $( Lemma for ~ numclwwlk1lem2foa .  (Contributed by AV, 29-May-2021.)
     (Revised by AV, 1-Nov-2022.) $)
  numclwwlk1lem2foalem $p |- ( ( ( W e. Word V /\ ( # ` W ) = ( N - 2 ) )
                                 /\ ( X e. V /\ Y e. V ) /\ N e. ( ZZ>= ` 3 ) )
                -> ( ( ( ( W ++ <" X "> ) ++ <" Y "> ) prefix ( N - 2 ) ) = W
                  /\ ( ( ( W ++ <" X "> ) ++ <" Y "> ) ` ( N - 1 ) ) = Y
                  /\ ( ( ( W ++ <" X "> ) ++ <" Y "> ) ` ( N - 2 ) ) = X ) ) $=
    ( wcel cfv c2 cmin co wceq wa c3 w3a cs1 cconcat cpfx c1 simpl 3adant3 s1cl
    cword chash cuz 3anim123i ccatass syl oveq1d adantr ccat2s1cl adantl eqcomd
    3expb simpr pfxccatid syl3anc eqtrd caddc oveq2i eluzelcn 2cnd 1cnd subsubd
    1e2m1 syl5eq 3ad2ant3 fveq2d ccatw2s1p2 ccatw2s1p1 syl2an3an 3jca ) CBUBZFZ
    CUCGZAHIJZKZLZDBFZEBFZLZAMUDGFZNZCDOZPJEOZPJZVOQJZCKZARIJZWEGZEKVOWEGDKZVQV
    TWGWAVQVTLZWFCWCWDPJZPJZVOQJZCWKWEWMVOQWKVMWCVLFZWDVLFZNZWEWMKVQVRVSWQVQVMV
    RWOVSWPVMVPSZDBUAEBUAUEUMBCWCWDUFUGUHWKVMWLVLFZVOVNKZWNCKVQVMVTWRUIVTWSVQBD
    EUJUKVQWTVTVQVNVOVMVPUNZULUICWLVOBUOUPUQTWBWIVORURJZWEGZEWBWHXBWEWAVQWHXBKV
    TWAWHAHRIJZIJXBRXDAIVDUSWAAHRMAUTWAVAWAVBVCVEVFVGVQVTXCEKWAVOBCDEVHTUQVQVTW
    JWAVQVMVPVTVRWJWRXAVRVSSVOBCDEVIVJTVK $.

  ${
    $d G n v w $.  $d N n v w $.  $d V n v w $.  $d X n v w $.
    extwwlkfab.v $e |- V = ( Vtx ` G ) $.
    extwwlkfab.c $e |- C = ( v e. V , n e. ( ZZ>= ` 2 )
                             |-> { w e. ( v ( ClWWalksNOn ` G ) n ) |
                                   ( w ` ( n - 2 ) ) = v } ) $.
    extwwlkfab.f $e |- F = ( X ( ClWWalksNOn ` G ) ( N - 2 ) ) $.
    $( The set ` ( X C N ) ` of double loops of length ` N ` on vertex ` X `
       can be constructed from the set ` F ` of closed walks on ` X ` with
       length smaller by 2 than the fixed length by appending a neighbor of the
       last vertex and afterwards the last vertex (which is the first vertex)
       itself ("walking forth and back" from the last vertex). ` 3 <_ N ` is
       required since for ` N = 2 ` : ` F = ( X ( ClWWalksNOn `` G ) 0 ) `
       ` = (/) ` (see ~ clwwlk0on0 stating that a closed walk of length 0 is
       not represented as word), which would result in an empty set on the
       right hand side, but ` ( X C N ) ` needs not be empty, see ~ 2clwwlk2 .
       (Contributed by Alexander van der Vekens, 18-Sep-2018.)  (Revised by AV,
       29-May-2021.)  (Revised by AV, 31-Oct-2022.) $)
    extwwlkfab $p |- ( ( G e. USGraph /\ X e. V /\ N e. ( ZZ>= ` 3 ) )
                   -> ( X C N ) = { w e. ( N ClWWalksN G ) |
                                    ( ( w prefix ( N - 2 ) ) e. F
                                      /\ ( w ` ( N - 1 ) ) e. ( G NeighbVtx X )
                                      /\ ( w ` ( N - 2 ) ) = X ) } ) $=
      ( wcel cfv w3a co wceq crab wa adantl cusgr c3 c2 cmin cv cclwwlknon cpfx
      c1 cnbgr cclwwlkn uzuzle23 2clwwlk sylan2 3adant1 clwwlknon rabeqi rabrab
      cuz cc0 simpll3 simplr simpr simpl eqcomd eqtrd clwwnrepclwwn syl3anc jca
      simp1 anim1i adantr clwwlknlbonbgr1 oveq2 eqcoms eleqtrrd 3jca ex 3adant2
      syl impbid1 2clwwlklem 3ad2antr3 ancoms eqeq1d anbi2d 3anbi1d isclwwlknon
      wb eleq2i a1i syl5bb bicomd 3bitrd rabbidva syl5eq ) FUAMZIHMZGUBURNMZOZI
      GCPZGUCUDPZAUEZNZIQZAIGFUFNZPZRZXBXAUGPZEMZGUHUDPXBNZFIUIPZMZXDOZAGFUJPZR
      ZWQWRWTXGQZWPWRWQGUCURNMXPGUKABCDFGHIKULUMUNWSXGXDAUSXBNZIQZAXNRZRZXOXDAX
      FXSAFGIUOUPWSXTXRXDSZAXNRXOXRXDAXNUQWSYAXMAXNWSXBXNMZSZYAXHXAFUJPMZXRSZXL
      XDOZYDUSXHNZIQZSZXLXDOZXMYCYAYFYCYAYFYCYASZYEXLXDYKYDXRYKWRYBXCXQQZYDWPWQ
      WRYBYAUTWSYBYAVAYAYLYCYAXCIXQXRXDVBZYAXQIXRXDVCZVDVETFGXBVFVGYAXRYCYNTVHY
      KXJFXQUIPZXKYKWPYBSZXJYOMYCYPYAWSWPYBWPWQWRVIVJVKFGXBVLVSYAXKYOQZYCXRYQXD
      YQIXQIXQFUIVMVNVKTVOYAXDYCYMTVPVQYEXDYAXLYEXRXDYDXRVBVJVRVTYCYEYIXLXDYCXR
      YHYDYCXQYGIYCYGXQYBWSYGXQQZYBWPWRYRWQFGXBWAWBWCVDWDWEWFWSYJXMWHYBWSXMYJWS
      XIYIXLXDXIXHIXAXEPZMZWSYIEYSXHLWIYTYIWHWSFXAXHIWGWJWKWFWLVKWMWNWOWOVE $.

    $d F w $.  $d W w $.
    $( Characterization of an element of the set ` ( X C N ) ` , i.e., a double
       loop of length ` N ` on vertex ` X ` with a construction from the set
       ` F ` of closed walks on ` X ` with length smaller by 2 than the fixed
       length by appending a neighbor of the last vertex and afterwards the
       last vertex (which is the first vertex) itself ("walking forth and back"
       from the last vertex).  (Contributed by AV, 22-Feb-2022.)  (Revised by
       AV, 31-Oct-2022.) $)
    extwwlkfabel $p |- ( ( G e. USGraph /\ X e. V /\ N e. ( ZZ>= ` 3 ) )
                         -> ( W e. ( X C N ) <-> ( W e. ( N ClWWalksN G )
                                 /\ ( ( W prefix ( N - 2 ) ) e. F
                                      /\ ( W ` ( N - 1 ) ) e. ( G NeighbVtx X )
                                      /\ ( W ` ( N - 2 ) ) = X ) ) ) ) $=
      ( wcel cfv w3a co cmin cpfx wceq cusgr c3 cv c2 c1 cnbgr cclwwlkn crab wa
      cuz extwwlkfab eleq2d oveq1 eleq1d fveq1 eqeq1d 3anbi123d elrab bitrdi )
      FUANJHNGUBUJONPZIJGCQZNIAUCZGUDRQZSQZENZGUERQZVBOZFJUFQZNZVCVBOZJTZPZAGFU
      GQZUHZNIVMNIVCSQZENZVFIOZVHNZVCIOZJTZPZUIUTVAVNIABCDEFGHJKLMUKULVLWAAIVMV
      BITZVEVPVIVRVKVTWBVDVOEVBIVCSUMUNWBVGVQVHVFVBIUOUNWBVJVSJVCVBIUOUPUQURUS
      $.

    $d G i $.  $d W i $.  $d Y w $.
    $( Going forth and back from the end of a (closed) walk: ` W ` represents
       the closed walk p_0, ..., p_(n-2), p_0 = p_(n-2).  With ` X ` = p_(n-2)
       = p_0 and ` Y ` = p_(n-1), ` ( ( W ++ <" X "> ) ++ <" Y "> ) `
       represents the closed walk p_0, ..., p_(n-2), p_(n-1), p_n = p_0 which
       is a double loop of length ` N ` on vertex ` X ` .  (Contributed by
       Alexander van der Vekens, 22-Sep-2018.)  (Revised by AV, 29-May-2021.)
       (Revised by AV, 5-Mar-2022.)  (Proof shortened by AV, 2-Nov-2022.) $)
    numclwwlk1lem2foa $p |- ( ( G e. USGraph /\ X e. V /\ N e. ( ZZ>= ` 3 ) )
                    -> ( ( W e. F /\ Y e. ( G NeighbVtx X ) )
                         -> ( ( W ++ <" X "> ) ++ <" Y "> ) e. ( X C N ) ) ) $=
      ( wcel cfv w3a co wa wi vi cusgr cuz cnbgr cs1 cconcat cclwwlkn cmin cpfx
      c3 wceq cpr cedg cclwwlknon simpl2 nbgrisvtx ad2antll simpl3 nbgrsym eqid
      c2 c1 nbusgreledg biimpd syl5bi 3ad2ant1 imp simprl eleqtrdi clwwlknonex2
      adantld syl311anc cword chash caddc cc0 cfzo wral clsw eleq2i wne uz3m2nn
      cv wb nnne0d clwwlknonel syl 3ad2ant3 syl5bb 3simpa adantr simp32 anim12i
      simpl33 3jca 3exp1 3adant3 com12 sylbid imp32 numclwwlk1lem2foalem eleq1a
      idd 3anim123d mpd extwwlkfabel mpbir2and ex ) FUBOZJHOZGUJUCPOZQZIEOZKFJU
      DRZOZSZIJUEUFRKUEUFRZJGCROZXLXPSZXRXQGFUGROZXQGVAUHRZUIRZEOZGVBUHRXQPZXNO
      ZYAXQPJUKZQZXSXJKHOZXKJKULFUMPZOZIJYAFUNPRZOZXTXIXJXKXPUOXOYHXLXMFJKHLUPZ
      UQXIXJXKXPURXLXPYJXIXJXPYJTXKXIXOYJXMXOJFKUDROZXIYJFJKUSXIYNYJYIFKJYIUTZV
      CVDVEVKVFVGXSIEYKXLXMXOVHZNVIYIFGHIJKLYOVJVLXSYBIUKZYDKUKZYFQZYGXSIHVMOZI
      VNPZYAUKZSZXJYHSZXKQZYSXLXMXOUUEXLXMYTUAWCZIPUUFVBVORIPULYIOUAVPUUAVBUHRV
      QRVRZIVSPVPIPZULYIOZQZUUBUUHJUKZQZXOUUETZXMYLXLUULEYKINVTXKXIYLUULWDZXJXK
      YAVPWAUUNXKYAGWBWEUAYIFYAHIJLYOWFWGWHWIUULXLUUMUUJUUBXLUUMTZUUKUUJUUBUUOY
      TUUGUUBUUOTUUIYTUUBXLXOUUEYTUUBXLQZXOSUUCUUDXKUUPUUCXOYTUUBXLWJWKUUPXJXOY
      HYTUUBXIXJXKWLYMWMXIXJXKYTUUBXOWNWOWPVFVGWQWRWSWTGHIJKXAWGXSYQYCYRYEYFYFX
      SXMYQYCTYPIEYBXBWGXOYRYETXLXMKXNYDXBUQXSYFXCXDXEXLXRXTYGSWDXPABCDEFGHXQJL
      MNXFWKXGXH $.

    $d C u $.  $d F u $.  $d G u w $.  $d N u $.  $d V u $.  $d X u $.
    ${
      numclwwlk.t $e |- T = ( u e. ( X C N )
                      |-> <. ( u prefix ( N - 2 ) ) , ( u ` ( N - 1 ) ) >. ) $.
      $( ` T ` is a function, mapping a double loop of length ` N ` on vertex
         ` X ` to the ordered pair of the first loop and the successor of ` X `
         in the second loop, which must be a neighbor of ` X ` .  (Contributed
         by Alexander van der Vekens, 19-Sep-2018.)  (Revised by AV,
         29-May-2021.)  (Proof shortened by AV, 23-Feb-2022.)  (Revised by AV,
         31-Oct-2022.) $)
      numclwwlk1lem2f $p |- ( ( G e. USGraph /\ X e. V /\ N e. ( ZZ>= ` 3 ) )
                           -> T : ( X C N ) --> ( F X. ( G NeighbVtx X ) ) ) $=
        ( wcel cfv w3a co cmin cusgr c3 cuz cv c2 cpfx c1 cop cxp cclwwlkn wceq
        cnbgr wa extwwlkfabel simpr1 simpr2 opelxpd syl6bi imp fmptd ) HUAPKJPI
        UBUCQPRZCKIDSZCUDZIUETSZUFSZIUGTSVCQZUHZGHKULSZUIZEVAVCVBPZVGVIPZVAVJVC
        IHUJSPZVEGPZVFVHPZVDVCQKUKZRUMZVKABDFGHIJVCKLMNUNVPVEVFGVHVLVMVNVOUOVLV
        MVNVOUPUQURUSOUT $.

      $d W u $.
      $( Value of the function ` T ` .  (Contributed by Alexander van der
         Vekens, 20-Sep-2018.)  (Revised by AV, 29-May-2021.)  (Revised by AV,
         31-Oct-2022.) $)
      numclwwlk1lem2fv $p |- ( W e. ( X C N )
           -> ( T ` W ) = <. ( W prefix ( N - 2 ) ) , ( W ` ( N - 1 ) ) >. ) $=
        ( cmin co cpfx cfv cv c2 c1 cop wceq oveq1 fveq1 opeq12d opex fvmpt ) C
        KCUAZIUBQRZSRZIUCQRZUKTZUDKULSRZUNKTZUDLIDREUKKUEUMUPUOUQUKKULSUFUNUKKU
        GUHPUPUQUIUJ $.

      $d C a p u $.  $d G a p w $.  $d N a p $.  $d T a p u $.  $d V a p u $.
      $d X a p $.
      $( ` T ` is a 1-1 function.  (Contributed by AV, 26-Sep-2018.)  (Revised
         by AV, 29-May-2021.)  (Proof shortened by AV, 23-Feb-2022.)  (Revised
         by AV, 31-Oct-2022.) $)
      numclwwlk1lem2f1 $p |- ( ( G e. USGraph /\ X e. V /\ N e. ( ZZ>= ` 3 ) )
                        -> T : ( X C N ) -1-1-> ( F X. ( G NeighbVtx X ) ) ) $=
        ( wcel cfv wceq wa adantr vp va cusgr c3 cuz w3a co cnbgr wf cv wi wral
        cxp wf1 numclwwlk1lem2f c2 cmin cpfx numclwwlk1lem2fv ad2antrl ad2antll
        c1 cop eqeq12d ovex fvex opth cclwwlkn wb uzuzle23 cclwwlknon 2clwwlkel
        cc0 isclwwlknon anbi1i bitrdi anbi12d sylan2 chash clsw cword clwwlknbp
        3adant1 simpr eqcomd eqtrd jca32 eqtr3 expcom ad2antlr com12 imp syl2an
        3ad2ant2 simprd oveq1d oveq2d biimpcd impcom fveq2d adantl lsw sylan9eq
        fvoveq1 syl ad3antrrr oveq1 eqcoms eqeq2d mpbird biimpd adantld clt wbr
        3jca clwwlknwrd clwwlknlen cz eluz2b1 simplbiim syl2imc 3adant3 syl3anc
        2swrd2eqwrdeq mpbir2and 3exp 3ad2ant3 sylbid syl5bi ralrimivva sylanbrc
        breq2 dff13 ) HUCPZKJPZIUDUEQPZUFZKIDUGZGHKUHUGUMZEUIUAUJZEQZUBUJZEQZRZ
        YTUUBRZUKZUBYRULUAYRULYRYSEUNABCDEFGHIJKLMNOUOYQUUFUAUBYRYRYQYTYRPZUUBY
        RPZSZSZUUDYTIUPUQUGZURUGZIVBUQUGZYTQZVCZUUBUUKURUGZUUMUUBQZVCZRZUUEUUJU
        UAUUOUUCUURUUGUUAUUORYQUUHABCDEFGHIJYTKLMNOUSUTUUHUUCUURRYQUUGABCDEFGHI
        JUUBKLMNOUSVAVDUUSUULUUPRZUUNUUQRZSZUUJUUEUULUUNUUPUUQYTUUKURVEUUMYTVFV
        GYQUUIUVBUUEUKZYQUUIYTIHVHUGZPZVMYTQZKRZSZUUKYTQZKRZSZUUBUVDPZVMUUBQZKR
        ZSZUUKUUBQZKRZSZSZUVCYOYPUUIUVSVIZYNYPYOIUPUEQPZUVTIVJZYOUWASZUUGUVKUUH
        UVRUWCUUGYTKIHVKQUGZPZUVJSUVKABDFHIJYTKMVLUWEUVHUVJHIYTKVNVOVPUWCUUHUUB
        UWDPZUVQSUVRABDFHIJUUBKMVLUWFUVOUVQHIUUBKVNVOVPVQVRWCYPYNUVSUVCUKYOYPUV
        SUVBUUEYPUVSUVBUFZUUEYTVSQZUUBVSQZRZYTUWHUPUQUGZURUGZUUBUWKURUGZRZUWKYT
        QZUWKUUBQZRZYTVTQZUUBVTQZRZUFZUVSYPUWJUVBUVKYTJWAZPZUWHIRZSZUVGUVIUVFRZ
        SZSZUUBUXBPZUWIIRZSZUVNUVPUVMRZSZSZUWJUVRUVKUXEUVGUXFUVHUXEUVJUVEUXEUVG
        HIJYTLWBZTZTUVHUVGUVJUVEUVGWDZTUVKUVIKUVFUVHUVJWDZUVHKUVFRUVJUVHUVFKUXQ
        WETWFWGUVRUXKUVNUXLUVOUXKUVQUVLUXKUVNHIJUUBLWBZTTUVOUVNUVQUVLUVNWDZTUVR
        UVPKUVMUVOUVQWDZUVOKUVMRUVQUVOUVMKUXTWETWFWGUXHUXNUWJUXDUXNUWJUKUXCUXGU
        XNUXDUWJUXJUXDUWJUKUXIUXMUXDUXJUWJUWHUWIIWHWIWJWKWJWLWMWNUVSUVBUXAYPUVS
        UVBSUWNUWQUWTUVBUVSUWNUUTUVSUWNUKUVAUVSUUTUWNUVSUULUWLUUPUWMUVSUUKUWKYT
        URUVSIUWHUPUQUVKIUWHRUVRUVKUWHIUVHUXDUVJUVHUXCUXDUXPWOTZWETWPZWQUVSUUKU
        WKUUBURUYCWQVDWRTWSUVSUWQUVBUVSUWOKUWPUVKUWOKRUVRUVKUWOUVIKUVKUWKUUKYTU
        VKUWHIUPUQUYBWPWTUXRWFTUVSKUVPUWPUVRKUVPRUVKUVRUVPKUYAWEXAUVSUUKUWKUUBU
        YCWTWFWFTUVSUVBUWTUVSUVAUWTUUTUVSUVAUWTUVSUUNUWRUUQUWSUVEUUNUWRRUVGUVJU
        VRUVEUWRUUNUVEUXEUWRUUNRUXOUXCUXDUWRUWHVBUQUGYTQUUNYTUXBXBUWHIVBYTUQXDX
        CXEWEXFUVOUUQUWSRZUVKUVQUVLUYDUVNUVLUWSUUQUVLUXKUWSUUQRZUXSUXKUYEUWSUWI
        VBUQUGZUUBQZRZUXIUYHUXJUUBUXBXBTUXJUYEUYHVIUXIUXJUUQUYGUWSUXJUUMUYFUUBU
        UMUYFRIUWIIUWIVBUQXGXHWTXIXAXJXEWETUTVDXKXLWLXOWCUWGUXCUXIVBUWHXMXNZUUE
        UWJUXASVIUVSYPUXCUVBUVEUXCUVGUVJUVRHIJYTLXPXFWNUVSYPUXIUVBUVOUXIUVKUVQU
        VLUXIUVNHIJUUBLXPTUTWNYPUVSUYIUVBUVSYPUYIUVEYPUYIUKUVGUVJUVRYPUWAUVEUXD
        UYIUWBHIYTXQUWAIXRPVBIXMXNZUXDUYIUKIXSUXDUYJUYIUYJUYIVIIUWHIUWHVBXMYLXH
        WRXTYAXFWSYBUUBJYTYDYCYEYFYGYHWLYIYHYJUAUBYRYSEYMYK $.

      $d C a b p x $.  $d F a b p x $.  $d G a b p w x $.  $d N a b p x $.
      $d T a b p x $.  $d V a b p x $.  $d X a b p x $.  $d a i $.  $d b u $.
      $( ` T ` is an onto function.  (Contributed by Alexander van der Vekens,
         20-Sep-2018.)  (Revised by AV, 29-May-2021.)  (Proof shortened by AV,
         13-Feb-2022.)  (Revised by AV, 31-Oct-2022.) $)
      numclwwlk1lem2fo $p |- ( ( G e. USGraph /\ X e. V /\ N e. ( ZZ>= ` 3 ) )
                       -> T : ( X C N ) -onto-> ( F X. ( G NeighbVtx X ) ) ) $=
        ( wcel cfv co wceq wa vp vx va vb vi cusgr c3 cuz w3a cnbgr cxp wf wrex
        cv wral wfo numclwwlk1lem2f cop wex wi elxp cs1 numclwwlk1lem2foa com12
        cconcat adantl imp c2 cmin cpfx c1 simpl eqeq2d numclwwlk1lem2fv adantr
        fveq2 sylan9bbr simprll nbgrisvtx cword caddc cpr cedg chash cclwwlknon
        cc0 cfzo clsw eleq2i wb uz3m2nn nnne0d 3ad2ant3 eqid clwwlknonel syl5bb
        wne syl df-3an bitrdi simplll s1cl ccatass oveq1d syl3anc ccatcl syl2an
        simpr eqcomd pfxccatid eqtr2d 1e2m1 a1i oveq2d eluzelcn 2cnd 1cnd eqtrd
        subsubd fveq2d simpll simprl ccatw2s1p2 syl2anc opeq12d exp31 3ad2antl1
        anim1i 3adant1 sylbid com23 syl5 com13 rspcedvd mpancom exlimivv impcom
        ex sylbi ralrimiva dffo3 sylanbrc ) HUFPZKJPZIUGUHQPZUIZKIDRZGHKUJRZUKZ
        EULUAUNZUBUNZEQZSZUBUUGUMZUAUUIUOUUGUUIEUPABCDEFGHIJKLMNOUQUUFUUNUAUUIU
        UJUUIPZUUFUUNUUOUUJUCUNZUDUNZURZSZUUPGPZUUQUUHPZTZTZUDUSUCUSUUFUUNUTZUC
        UDUUJGUUHVAUVCUVDUCUDUVCUUFUUNUUPKVBZVERUUQVBZVERZUUGPZUVCUUFTZUUNUVCUU
        FUVHUVBUUFUVHUTUUSUUFUVBUVHABDFGHIJUUPKUUQLMNVCVDVFVGUVHUVITZUUMUUJUVGI
        VHVIRZVJRZIVKVIRZUVGQZURZSZUBUVGUUGUVHUVIVLUUKUVGSZUUMUUJUVGEQZSUVJUVPU
        VQUULUVRUUJUUKUVGEVPVMUVJUVRUVOUUJUVHUVRUVOSUVIABCDEFGHIJUVGKLMNOVNVOVM
        VQUVJUUJUURUVOUVHUUSUVBUUFVRUVIUURUVOSZUVHUVCUUFUVSUVBUUFUVSUTZUUSUUTUV
        AUVTUUFUVAUUTUVSUVAUUQJPZUUFUUTUVSUTHKUUQJLVSUUFUUTUWAUVSUUFUUTUUPJVTZP
        ZUEUNZUUPQUWDVKWARUUPQWBHWCQZPUEWFUUPWDQZVKVIRWGRUOZUUPWHQWFUUPQZWBUWEP
        ZUIZUWFUVKSZTZUWHKSZTZUWAUVSUTZUUFUUTUWJUWKUWMUIZUWNUUTUUPKUVKHWEQRZPZU
        UFUWPGUWQUUPNWIUUFUVKWFWQZUWRUWPWJUUEUUCUWSUUDUUEUVKIWKWLWMUEUWEHUVKJUU
        PKLUWEWNWOWRWPUWJUWKUWMWSWTUUDUUEUWNUWOUTUUCUWNUUDUUETZUWOUWLUWTUWOUTZU
        WMUWCUWGUWKUXAUWIUWCUWKTZUWTUWAUVSUXBUWTTZUWATZUUPUVLUUQUVNUXDUVLUUPUVE
        UVFVERZVERZUVKVJRZUUPUXDUWCUVEUWBPZUVFUWBPZUVLUXGSUWCUWKUWTUWAXAZUXCUXH
        UWAUWTUXHUXBUUDUXHUUEKJXBVOVFZVOUWAUXIUXCUUQJXBZVFUWCUXHUXIUIUVGUXFUVKV
        JJUUPUVEUVFXCXDXEUXDUWCUXEUWBPZUVKUWFSZUXGUUPSUXJUXCUXHUXIUXMUWAUXKUXLJ
        UVEUVFXFXGUXCUXNUWAUXBUXNUWTUXBUWFUVKUWCUWKXHXIVOVOUUPUXEUVKJXJXEXKUXDU
        VNUVKVKWARZUVGQZUUQUXDUVMUXOUVGUXCUVMUXOSZUWAUWTUXQUXBUUEUXQUUDUUEUVMIV
        HVKVIRZVIRUXOUUEVKUXRIVIVKUXRSUUEXLXMXNUUEIVHVKUGIXOUUEXPUUEXQXSXRVFVFV
        OXTUXDUXBUUDUWATUXPUUQSUXBUWTUWAYAUXCUUDUWAUXBUUDUUEYBYHUVKJUUPKUUQYCYD
        XKYEYFYGVOVDYIYJYKYLYMVGVFVGVFXRYNYOYRYPYSYQYTUBUAUUGUUIEUUAUUB $.

      $( ` T ` is a 1-1 onto function.  (Contributed by Alexander van der
         Vekens, 26-Sep-2018.)  (Revised by AV, 29-May-2021.)  (Revised by AV,
         6-Mar-2022.) $)
      numclwwlk1lem2f1o $p |- ( ( G e. USGraph /\ X e. V /\ N e. ( ZZ>= ` 3 ) )
                   -> T : ( X C N ) -1-1-onto-> ( F X. ( G NeighbVtx X ) ) ) $=
        ( cusgr wcel c3 cuz co cfv cnbgr wf1o numclwwlk1lem2f1 numclwwlk1lem2fo
        w3a cxp wf1 wfo df-f1o sylanbrc ) HPQKJQIRSUAQUFKIDTZGHKUBTUGZEUHULUMEU
        IULUMEUCABCDEFGHIJKLMNOUDABCDEFGHIJKLMNOUEULUMEUJUK $.
    $}

    $d C u x $.  $d N x $.  $d X x $.
    $( The set of double loops of length ` N ` on vertex ` X ` and the set of
       closed walks of length less by 2 on ` X ` combined with the neighbors of
       ` X ` are equinumerous.  (Contributed by Alexander van der Vekens,
       6-Jul-2018.)  (Revised by AV, 29-May-2021.)  (Revised by AV,
       31-Jul-2022.)  (Proof shortened by AV, 3-Nov-2022.) $)
    numclwwlk1lem2 $p |- ( ( G e. USGraph /\ X e. V /\ N e. ( ZZ>= ` 3 ) )
                           -> ( X C N ) ~~ ( F X. ( G NeighbVtx X ) ) ) $=
      ( vx vu wcel cfv co cv cmin cpfx cusgr c3 cuz w3a cnbgr cxp cop cmpt wf1o
      c2 c1 cen wbr weq oveq1 fveq1 opeq12d cbvmptv numclwwlk1lem2f1o f1oen syl
      ovex ) FUAOIHOGUBUCPOUDIGCQZEFIUEQUFZMVCMRZGUJSQZTQZGUKSQZVEPZUGZUHZUIVCV
      DULUMABNCVKDEFGHIJKLMNVCVJNRZVFTQZVHVLPZUGMNUNVGVMVIVNVEVLVFTUOVHVEVLUPUQ
      URUSVCVDVKIGCVBUTVA $.

    $d G x $.  $d K x $.  $d V x $.
    $( Statement 9 in [Huneke] p. 2:  "If n > 1, then the number of closed
       n-walks v(0) ... v(n-2) v(n-1) v(n) from v = v(0) = v(n) with v(n-2) = v
       is kf(n-2)".  Since ` G ` is k-regular, the vertex v(n-2) = v has k
       neighbors v(n-1), so there are k walks from v(n-2) = v to v(n) = v (via
       each of v's neighbors) completing each of the f(n-2) walks from v=v(0)
       to v(n-2)=v.  This theorem holds even for k=0, but not for n=2, since
       ` F = (/) ` , but ` ( X C 2 ) ` , the set of closed walks with length 2
       on ` X ` , see ~ 2clwwlk2 , needs not be ` (/) ` in this case.  This is
       because of the special definition of ` F ` and the usage of words to
       represent (closed) walks, and does not contradict Huneke's statement,
       which would read "the number of closed 2-walks v(0) v(1) v(2) from v =
       v(0) = v(2) ... is kf(0)", where f(0)=1 is the number of empty closed
       walks on v, see ~ numclwlk1lem1 .  If the general representation of
       (closed) walk is used, Huneke's statement can be proven even for n = 2,
       see ~ numclwlk1 .  This case, however, is not required to prove the
       friendship theorem.  (Contributed by Alexander van der Vekens,
       26-Sep-2018.)  (Revised by AV, 29-May-2021.)  (Revised by AV,
       6-Mar-2022.)  (Proof shortened by AV, 31-Jul-2022.) $)
    numclwwlk1 $p |- ( ( ( V e. Fin /\ G RegUSGraph K )
                         /\ ( X e. V /\ N e. ( ZZ>= ` 3 ) ) )
                       -> ( # ` ( X C N ) ) = ( K x. ( # ` F ) ) ) $=
      ( cfn wcel cfv co chash wceq adantr vx crusgr wbr wa c3 cuz cnbgr cxp cen
      cusgr rusgrusgr ad2antlr simprl simprr numclwwlk1lem2 syl3anc hasheni syl
      cmul cvtx c2 cmin cclwwlknon eqid clwwlknonfin eleq1i 3imtr4i cedg cfusgr
      finrusgrfusgr ancoms fusgrfis nbusgrfi hashxp syl2anc wi wral rusgrpropnb
      cxnn0 cv w3a oveq2 fveqeq2d rspccv 3ad2ant3 adantl com12 impcom oveq2d cc
      cn0 hashcl nn0cn 3syl c0 wne simplr frusgrnn0 nn0cnd mulcomd eqtrd 3eqtrd
      ne0i ) INOZFGUBUCZUDZJIOZHUEUFPOZUDZUDZJHCQZRPZEFJUGQZUHZRPZERPZXMRPZUSQZ
      GXPUSQZXJXKXNUIUCZXLXOSXJFUJOZXGXHXTXEYAXDXIFGUKULZXFXGXHUMZXFXGXHUNABCDE
      FHIJKLMUOUPXKXNUQURXJENOZXMNOZXOXRSXFYDXIXDYDXEFUTPZNOJHVAVBQZFVCPQZNOXDY
      DFYGYFJYFVDVEIYFNKVFEYHNMVFVGTTZXJYAFVHPZNOZXGYEYBXFYKXIXFFVIOZYKXEXDYLFG
      IKVJVKZFVLURTYCJYJFIKYJVDVMUPEXMVNVOXJXRXPGUSQXSXJXQGXPUSXIXFXQGSZXGXFYNV
      PXHXFXGYNXEXGYNVPZXDXEYAGVSOZFUAVTZUGQZRPGSZUAIVQZWAYOUAFGIKVRYTYAYOYPYSY
      NUAJIYQJSYRXMGRYQJFUGWBWCWDWEURWFWGTWHWIXJXPGXJYDXPWKOXPWJOYIEWLXPWMWNXJG
      XJYLXEIWOWPZGWKOXFYLXIYMTXDXEXIWQXIUUAXFXGUUAXHIJXCTWFFGIKWRUPWSWTXAXB $.
  $}

  ${
    $d G c s w $.  $d N c s w $.  $d V c s $.  $d W c $.  $d X c s w $.
    clwwlknonclwlknonf1o.v $e |- V = ( Vtx ` G ) $.
    clwwlknonclwlknonf1o.w $e |- W = { w e. ( ClWalks ` G ) |
                    ( ( # ` ( 1st ` w ) ) = N /\ ( ( 2nd ` w ) ` 0 ) = X ) } $.
    clwwlknonclwlknonf1o.f $e |- F = ( c e. W
                            |-> ( ( 2nd ` c ) prefix ( # ` ( 1st ` c ) ) ) ) $.
    $( ` F ` is a bijection between the two representations of closed walks of
       a fixed positive length on a fixed vertex.  (Contributed by AV,
       26-May-2022.)  (Proof shortened by AV, 7-Aug-2022.)  (Revised by AV,
       1-Nov-2022.) $)
    clwwlknonclwlknonf1o $p |- ( ( G e. USPGraph /\ X e. V /\ N e. NN )
                          -> F : W -1-1-onto-> ( X ( ClWWalksNOn ` G ) N ) ) $=
      ( vs wcel cc0 cfv wceq co eqid c1 cfz cuspgr cn w3a cv cclwwlkn crab wf1o
      cclwwlknon c1st chash c2nd cclwlks cpfx cmpt clwlknf1oclwwlkn 3adant2 wsb
      fveq1 3ad2ant3 wa cvtx cword wi 2fveq3 eqeq1d elrab cwlks clwlkwlk wlkcpr
      wbr wlkpwrd 3ad2ant1 caddc elnnuz eluzfz2 sylbi fzelp1 wb id oveq1 oveq2d
      cuz syl eleq12d 3ad2ant2 mpbird eleq2d jca 3exp imp impcom pfxfv0 3adant3
      wlklenvp1 eqtrd nfv fveq2 fveq1d bitr4di f1ossf1o clwwlknon f1oeq3 sylibr
      sbiev ax-mp ) CUAMZGEMZDUBMZUCZFNLUDZOZGPZLDCUEQZUFZBUGZFGDCUHOQZBUGZXIAU
      DZUIOUJOZDPZNXRUKOZOZGPZXLHLACULOZHUDZUKOZYEUIOZUJOZUMQZXMBHXTAYDUFZYIUNZ
      FYJJYJRZKYKRZXFXHYJXMYKUGXGAYGYFYJYKCDHYGRYFRYLYMUOUPXIYEYJMZXJYIPZUCZXLN
      YFOZGPZYCAHUQYPXKYQGYPXKNYIOZYQYOXIXKYSPYNNXJYIURUSXIYNYSYQPZYOXIYNUTYFCV
      AOZVBMZYHSYFUJOZTQZMZUTZYTYNXIUUFYNYEYDMZYHDPZUTXIUUFVCZXTUUHAYEYDXRYEPZX
      SYHDXRYEUJUIVDVEVFUUGUUHUUIUUGYECVGOZMZUUHUUIVCZCYEVHUULYGYFUUKVJZUUMCYEV
      IUUNUUHXIUUFUUNUUHXIUCZUUBUUEUUNUUHUUBXIYFYGCUUAUUARVKVLUUOUUEYHSYHSVMQZT
      QZMZUUOUURDSDSVMQZTQZMZXIUUNUVAUUHXHXFUVAXGXHDSDTQMZUVAXHDSWBOMUVBDVNSDVO
      VPDSDVQWCUSUSUUHUUNUURUVAVRXIUUHYHDUUQUUTUUHVSUUHUUPUUSSTYHDSVMVTWAWDWEWF
      UUNUUHUUEUURVRXIUUNUUDUUQYHUUNUUCUUPSTYFYGCWNWAWGVLWFWHWIVPWCWJVPWKYHUUAY
      FWLWCWMWOVEYCYRAHYRAWPUUJYBYQGUUJNYAYFXRYEUKWQWRVEXDWSWTXPXNPXQXOVRLCDGXA
      XPXNFBXBXEXC $.
  $}

  ${
    $d G c w $.  $d N c w $.  $d X c w $.
    $( The sets of the two representations of closed walks of a fixed positive
       length on a fixed vertex are equinumerous.  (Contributed by AV,
       27-May-2022.)  (Proof shortened by AV, 3-Nov-2022.) $)
    clwwlknonclwlknonen $p |- ( ( G e. USPGraph /\ X e. ( Vtx ` G )
                            /\ N e. NN ) -> { w e. ( ClWalks ` G ) |
                       ( ( # ` ( 1st ` w ) ) = N /\ ( ( 2nd ` w ) ` 0 ) = X ) }
                                            ~~ ( X ( ClWWalksNOn ` G ) N ) ) $=
      ( vc cv c1st cfv chash wceq cc0 c2nd wa cclwlks crab wcel cclwwlknon eqid
      cvv co cuspgr cvtx w3a cpfx cmpt wf1o cen fvex rabex clwwlknonclwlknonf1o
      cn wbr ovex f1oen2g mp3an12i ) AFZGHIHCJKUPLHHDJMZABNHZOZSPDCBQHZTZSPBUAP
      DBUBHZPCUKPUCUSVAEUSEFZLHVCGHIHUDTUEZUFUSVAUGULUQAURBNUHUIDCUTUMAVDBCVBUS
      DEVBRUSRVDRUJUSVAVDSSUNUO $.
  $}

  $( Lemma 1 for ~ dlwwlknondlwlknonf1o .  (Contributed by AV, 29-May-2022.)
     (Revised by AV, 1-Nov-2022.) $)
  dlwwlknondlwlknonf1olem1 $p |- ( ( ( # ` ( 1st ` c ) ) = N
                                 /\ c e. ( ClWalks ` G ) /\ N e. ( ZZ>= ` 2 ) )
                  -> ( ( ( 2nd ` c ) prefix ( # ` ( 1st ` c ) ) ) ` ( N - 2 ) )
                     = ( ( 2nd ` c ) ` ( N - 2 ) ) ) $=
    ( cfv chash wceq wcel c2 cc0 cfz co cfzo wbr sylib syl 3ad2ant2 c1 3ad2ant3
    cn0 wb c1st cclwlks cuz w3a c2nd cvtx cword cmin cpfx cwlks clwlkwlk wlkcpr
    eqid wlkpwrd caddc eluzge2nn0 eleq1 3ad2ant1 mpbird nn0fz0 fzelp1 wlklenvp1
    cv eqcomd oveq2d eleq2d mpbid cn cle 2nn a1i eluz2nn eluzle elfz1b ubmelfzo
    syl3anbrc oveq2 pfxfv syl3anc ) CVCZUADZEDZBFZVTAUBDGZBHUCDGZUDZVTUEDZAUFDZ
    UGGZWBIWGEDZJKZGZBHUHKZIWBLKZGZWMWGWBUIKDWMWGDFWDWCWIWEWDWAWGAUJDZMZWIWDVTW
    PGWQAVTUKAVTULNZWGWAAWHWHUMUNOPWFWBIWBQUOKZJKZGZWLWFWBIWBJKGZXAWFWBSGZXBWFX
    CBSGZWEWCXDWDBUPRWCWDXCXDTWEWBBSUQURUSWBUTNWBIWBVAOWDWCXAWLTWEWDWTWKWBWDWSW
    JIJWDWQWSWJFWRWQWJWSWGWAAVBVDOVEVFPVGWFWOWMIBLKZGZWEWCXFWDWEHQBJKGZXFWEHVHG
    ZBVHGHBVIMXGXHWEVJVKBVLHBVMBHVNVPHBVOORWCWDWOXFTWEWCWNXEWMWBBILVQVFURUSWMWB
    WHWGVRVS $.

  ${
    $d G c w $.  $d N c w $.  $d V c $.  $d W c $.  $d X c w $.
    dlwwlknondlwlknonbij.v $e |- V = ( Vtx ` G ) $.
    dlwwlknondlwlknonbij.w $e |- W = { w e. ( ClWalks ` G ) |
                           ( ( # ` ( 1st ` w ) ) = N /\ ( ( 2nd ` w ) ` 0 ) = X
                             /\ ( ( 2nd ` w ) ` ( N - 2 ) ) = X ) } $.
    dlwwlknondlwlknonbij.d $e |- D = { w e. ( X ( ClWWalksNOn ` G ) N ) |
                                       ( w ` ( N - 2 ) ) = X } $.
    ${
      $d G c w y $.  $d N y $.  $d V y $.  $d X y $.
      dlwwlknondlwlknonf1o.f $e |- F = ( c e. W
                            |-> ( ( 2nd ` c ) prefix ( # ` ( 1st ` c ) ) ) ) $.
      $( ` F ` is a bijection between the two representations of double loops
         of a fixed positive length on a fixed vertex.  (Contributed by AV,
         30-May-2022.)  (Revised by AV, 1-Nov-2022.) $)
      dlwwlknondlwlknonf1o $p |- ( ( G e. USPGraph /\ X e. V
                                     /\ N e. ( ZZ>= ` 2 ) )
                                   -> F : W -1-1-onto-> D ) $=
        ( vy wcel cfv wceq crab wa eqeq1d cuspgr c2 cuz cmin co cclwwlknon wf1o
        w3a cv c1st chash cc0 c2nd cclwlks cpfx cmpt df-3an rabbii eqid eluz2nn
        eqtri cn clwwlknonclwlknonf1o wsb fveq1 3ad2ant3 wi 2fveq3 fveq2 fveq1d
        syl3an3 anbi12d elrab simplrl simpll simpr3 ex dlwwlknondlwlknonf1olem1
        3jca sylbi impcom syl 3adant3 eqtrd nfv bitr4di f1ossf1o cbvrabv f1oeq3
        sbiev wb ax-mp sylibr ) DUAOZHFOZEUBUCPOZUHZGEUBUDUEZNUIZPZHQZNHEDUFPUE
        ZRZCUGZGBCUGZWQAUIZUJPUKPZEQZULXFUMPZPZHQZSZWRXIPZHQZXAINADUNPZIUIZUMPZ
        XPUJPUKPZUOUEZXBCIXLAXORZXSUPZGXTGXHXKXNUHZAXORXLXNSZAXORKYBYCAXOXHXKXN
        UQURVAXTUSZMYAUSZWPWNWOEVBOXTXBYAUGEUTAYADEFXTHIJYDYEVCVKWQXPXTOZWSXSQZ
        UHZXAWRXQPZHQZXNAIVDYHWTYIHYHWTWRXSPZYIYGWQWTYKQYFWRWSXSVEVFWQYFYKYIQZY
        GWQYFSXREQZXPXOOZWPUHZYLYFWQYOYFYNYMULXQPZHQZSZSZWQYOVGXLYRAXPXOXFXPQZX
        HYMXKYQYTXGXREXFXPUKUJVHTYTXJYPHYTULXIXQXFXPUMVIZVJTVLVMYSWQYOYSWQSYMYN
        WPYNYMYQWQVNYNYRWQVOYSWNWOWPVPVSVQVTWADEIVRWBWCWDTXNYJAIYJAWEYTXMYIHYTW
        RXIXQUUAVJTWJWFWGBXCQXEXDWKBWRXFPZHQZAXBRXCLUUCXAANXBXFWSQUUBWTHWRXFWSV
        ETWHVABXCGCWIWLWM $.
    $}

    $( The sets of the two representations of double loops of a fixed length on
       a fixed vertex are equinumerous.  (Contributed by AV, 30-May-2022.)
       (Proof shortened by AV, 3-Nov-2022.) $)
    dlwwlknondlwlknonen $p |- ( ( G e. USPGraph /\ X e. V
                                  /\ N e. ( ZZ>= ` 2 ) ) -> W ~~ D ) $=
      ( vc cvv wcel c2 cfv w3a cv c2nd co wceq cuspgr c1st chash cpfx cmpt wf1o
      cuz cen wbr cmin cclwlks fvex rabex2 cclwwlknon ovex dlwwlknondlwlknonf1o
      cc0 eqid f1oen2g mp3an12i ) FLMBLMCUAMGEMDNUGOMPFBKFKQZROVAUBOUCOUDSUEZUF
      FBUHUIAQZUBOUCODTUQVCROZOGTDNUJSZVDOGTPACUKOFICUKULUMVEVCOGTAGDCUNOZSBJGD
      VFUOUMABVBCDEFGKHIJVBURUPFBVBLLUSUT $.
  $}

  ${
    $d G w $.  $d V w $.  $d X w $.
    clwlknon2num.v $e |- V = ( Vtx ` G ) $.
    $( There is exactly one walk of length 0 on each vertex ` X ` .
       (Contributed by AV, 4-Jun-2022.) $)
    wlkl0 $p |- ( X e. V -> { w e. ( ClWalks ` G ) |
                       ( ( # ` ( 1st ` w ) ) = 0 /\ ( ( 2nd ` w ) ` 0 ) = X ) }
                              = { <. (/) , { <. 0 , X >. } >. } ) $=
      ( wcel cfv chash cc0 wceq wa c0 cop csn wb wi wbr cvv adantr wf c1st c2nd
      cclwlks wal crab cwlks clwlkwlk wlkop syl w3a fvex hasheq0 ax-mp 3ad2ant3
      cv biimpi cfz co adantl breq1d 1vgrex 0clwlk bitrd fz0sn c0ex fsn2 simprr
      feq2i opeq2d sneqd eqtrd ex syl5bi sylbid com23 3imp opeq12d 3exp bitr4di
      eleq1 df-br eqeq1 imbi2d imbi12d syl5ibr mpcom com12 impd eqidd a1i snidg
      fsnd 0clwlkv mpd3an23 hash0 fvsng jca32 0ex op1std fveqeq2d op2ndd fveq1d
      mpan snex eqeq1d anbi12d syl5ibrcom impbid alrimiv rabeqsn sylibr ) DCFZA
      UOZBUCGZFZXMUAGZHGIJZIXMUBGZGZDJZKZKZXMLIDMZNZMZJZOZAUDYAAXNUEYENJXLYGAXL
      YBYFXLXOYAYFXOXLYAYFPZXMXPXRMZJZXOXLYHPXOXMBUFGFYJBXMUGBXMUHUIYJXLXOYHXLX
      OYHPYJXPXRXNQZYAYIYEJZPZPXLYKYAYLXLYKYAUJXPLXRYDYAXLXPLJZYKXQYNXTXQYNXPRF
      XQYNOXMUAUKXPRULUMUPSZUNXLYKYAXRYDJZXLYAYKYPXLYAYKYPPXLYAKZYKIIUQURZCXRTZ
      YPYQYKLXRXNQZYSYQXPLXRXNYAYNXLYOUSUTXLYTYSOZYAXLBRFUUABDCEVAXRBCREVBUISVC
      YSINZCXRTZYQYPYRUUBCXRVDVHUUCXSCFZXRIXSMZNZJZKZYQYPICXRVEVFYQUUHYPYQUUHKZ
      XRUUFYDYQUUDUUGVGUUIUUEYCUUIXSDIYQXTUUHXLXQXTVGSVIVJVKVLVMVMVNVLVOVPVQVRY
      JXOYKYHYMYJXOYIXNFYKXMYIXNVTXPXRXNWAVSYJYFYLYAXMYIYEWBWCWDWEVOWFWGWHXLYBY
      FLYDXNQZLHGIJZIYDGZDJZKZKXLUUJUUKUUMXLLLJUUBDNZYDTUUJXLLWIXLIDRUUOIRFZXLV
      EWJDCWKWLYDLBCDEWMWNUUKXLWOWJUUPXLUUMVEIDRCWPXCWQYFXOUUJYAUUNYFXOYEXNFUUJ
      XMYEXNVTLYDXNWAVSYFXQUUKXTUUMYFXPLIHLYDXMWRYCXDZWSWTYFXSUULDYFIXRYDLYDXMW
      RUUQXAXBXEXFXFXGXHXIYAAXNYEXJXK $.

    $d G w $.  $d K w $.
    $( There are k walks of length 2 on each vertex ` X ` in a k-regular simple
       graph.  Variant of ~ clwwlknon2num , using the general definition of
       walks instead of walks as words.  (Contributed by AV, 4-Jun-2022.) $)
    clwlknon2num $p |- ( ( V e. Fin /\ G RegUSGraph K /\ X e. V )
                  -> ( # ` { w e. ( ClWalks ` G ) | ( ( # ` ( 1st ` w ) ) = 2
                             /\ ( ( 2nd ` w ) ` 0 ) = X ) } ) = K ) $=
      ( cfn wcel crusgr wbr cfv chash c2 wceq wa crab syl a1i anim2i syl2anc cv
      w3a c1st cc0 c2nd cclwlks cclwwlknon co cen cuspgr cn rusgrusgr usgruspgr
      cvtx cusgr 3ad2ant2 eleq2i biimpi 3ad2ant3 clwwlknonclwlknonen syl3anc wb
      2nn cwlks cfusgr cn0 ancomd isfusgr sylibr 3adant3 2nn0 wlksnfi clwlkswks
      simp2l rabssrabd ssfid clwwlknonfin 3ad2ant1 hashen 3adant1 clwwlknon2num
      wss mpbird eqtrd ) DGHZBCIJZEDHZUBZAUAZUCKLKMNZUDWIUEKKENZOZABUFKZPZLKZEM
      BUGKUHZLKZCWHWOWQNZWNWPUIJZWHBUJHZEBUNKZHZMUKHZWSWFWEWTWGWFBUOHZWTBCULZBU
      MQUPWGWEXBWFWGXBDXAEFUQURZUSXCWHVCRABMEUTVAWHWNGHWPGHZWRWSVBWHWJABVDKZPZW
      NWHBVEHZMVFHZXIGHWEWFXJWGWEWFOZXDWEOXJXLWEXDWFXDWEXESVGBDFVHVIVJXKWHVKRBM
      AVLTWHWLWJAWMXHWMXHWBWHBVMRWHWJWKWIWMHVNVOVPWEWFXGWGBMDEFVQVRWNWPVSTWCWHW
      FXBOZWQCNWFWGXMWEWGXBWFXFSVTBCEWAQWD $.
  $}

  ${
    $d G w $.  $d K w $.  $d N w $.  $d V w $.  $d X w $.
    numclwlk1.v $e |- V = ( Vtx ` G ) $.
    numclwlk1.c $e |- C = { w e. ( ClWalks ` G ) | ( ( # ` ( 1st ` w ) ) = N
                                      /\ ( ( 2nd ` w ) ` 0 ) = X
                                      /\ ( ( 2nd ` w ) ` ( N - 2 ) ) = X ) } $.
    numclwlk1.f $e |- F = { w e. ( ClWalks ` G ) |
                            ( ( # ` ( 1st ` w ) ) = ( N - 2 )
                              /\ ( ( 2nd ` w ) ` 0 ) = X ) } $.
    $( Lemma 1 for ~ numclwlk1 (Statement 9 in [Huneke] p. 2 for n=2):  "the
       number of closed 2-walks v(0) v(1) v(2) from v = v(0) = v(2) ... is
       kf(0)".  (Contributed by AV, 23-May-2022.) $)
    numclwlk1lem1 $p |- ( ( ( V e. Fin /\ G RegUSGraph K )
                            /\ ( X e. V /\ N = 2 ) )
                          -> ( # ` C ) = ( K x. ( # ` F ) ) ) $=
      ( wcel wa c2 wceq chash cfv cmul co cc0 cfn crusgr wbr c1st c2nd w3a crab
      cv cclwlks 3anass anidm anbi2i bitri rabbii fveq2i clwlknon2num syl2an3an
      c1 simpl simpr syl5eq cr cfusgr c0 wne cn0 cusgr rusgrusgr anim2i isfusgr
      ancomd sylibr ne0i adantr frusgrnn0 nn0red ax-1rid syl cop wlkl0 ad2antrl
      csn fveq2d cvv opex hashsng ax-mp eqtr2di oveq2d 3eqtr2d cmin eqeq2 oveq1
      wb subidi eqtrdi fveqeq2d 3anbi13d rabbidv eqeq2d anbi1d eqeq12d ad2antll
      2cn mpbird ) GUALZDEUBUCZMZHGLZFNOZMZMZBPQZECPQZRSZOZAUHZUDQPQZNOZTXQUEQZ
      QHOZYAUFZADUIQZUGZPQZEXRTOZYAMZAYCUGZPQZRSZOZXLYEEEURRSZYJXLYEXSYAMZAYCUG
      ZPQZEYDYNPYBYMAYCYBXSYAYAMZMYMXSYAYAUJYPYAXSYAUKULUMUNUOXHXFXGXKXIYOEOXFX
      GUSXFXGUTZXIXJUSADEGHIUPUQVAXLEVBLYLEOXLEXHDVCLZXGXKGVDVEZEVFLXHDVGLZXFMY
      RXHXFYTXGYTXFDEVHVIVKDGIVJVLYQXIYSXJGHVMVNDEGIVOUQVPEVQVRXLURYIERXLYIVDTH
      VSWBZVSZWBZPQZURXLYHUUCPXIYHUUCOXHXJADGHIVTWAWCUUBWDLUUDUROVDUUAWEUUBWDWF
      WGWHWIWJXJXPYKWNXHXIXJXMYEXOYJXJBYDPXJBXRFOZYAFNWKSZXTQHOZUFZAYCUGYDJXJUU
      HYBAYCXJUUEXSUUGYAYAFNXRWLXJUUFTHXTXJUUFNNWKSTFNNWKWMNXDWOWPZWQWRWSVAWCXJ
      XNYIERXJCYHPXJCXRUUFOZYAMZAYCUGYHKXJUUKYGAYCXJUUJYFYAXJUUFTXRUUIWTXAWSVAW
      CWIXBXCXE $.

    $d C w $.  $d F w $.  $d G n v $.  $d K n v $.  $d N n v $.  $d V n v $.
    $d X n v w $.
    $( Lemma 2 for ~ numclwlk1 (Statement 9 in [Huneke] p. 2 for n>2).  This
       theorem corresponds to ~ numclwwlk1 , using the general definition of
       walks instead of walks as words.  (Contributed by AV, 4-Jun-2022.) $)
    numclwlk1lem2 $p |- ( ( ( V e. Fin /\ G RegUSGraph K )
                           /\ ( X e. V /\ N e. ( ZZ>= ` 3 ) ) )
                         -> ( # ` C ) = ( K x. ( # ` F ) ) ) $=
      ( cfn wcel wa cfv chash co wceq crab adantl vv vn crusgr wbr c3 cuz c2 cv
      cmin cclwwlknon cmpo cmul cuspgr cusgr rusgrusgr usgruspgr ad2antlr simpl
      cen syl uzuzle23 ad2antll eqid dlwwlknondlwlknonen syl3anc wb cc0 cclwlks
      c1st c2nd w3a cwlks cfusgr anim2i ancomd isfusgr sylibr eluzge3nn wlksnfi
      cn0 nnnn0d syl2an wss clwlkswks a1i rabssrabd ssfid eqeltrid clwwlknonfin
      simp21 ad2antrr ssrab2 hashen syl2anc mpbird eqidd oveq12 fvoveq1 eqeq12d
      rabeqbidv ovex rabex ovmpod fveq2d numclwwlk1 cvtx cn clwwlknonclwlknonen
      cvv eleqtrdi uz3m2nn eqbrtrid uznn0sub simp2l eqcomd oveq2d eqtrd 3eqtr2d
      ) GLMZDEUCUDZNZHGMZFUEUFOMZNZNZBPOZFUGUIQZAUHZOZHRZAHFDUJOZQZSZPOZHFUAUBG
      UGUFOZUBUHZUGUIQYHOZUAUHZRZAYRYPYKQZSZUKZQZPOZECPOZULQZYEYFYNRZBYMUSUDZYE
      DUMMZYBFYOMZUUHXTUUIXSYDXTDUNMZUUIDEUOZDUPUTUQZYDYBYAYBYCURZTZYCUUJYAYBFV
      AZVBZAYMDFGBHIJYMVCVDVEYEBLMYMLMUUGUUHVFYEBYHVIOPOZFRZVGYHVJOZOHRZYGUUTOH
      RZVKZADVHOZSZLJYEUUSADVLOZSZUVEYADVMMZFVTMZUVGLMYDYAUUKXSNUVHYAXSUUKXTUUK
      XSUULVNVODGIVPVQZYCUVIYBYCFFVRWATDFAVSWBYEUVCUUSAUVDUVFUVDUVFWCYEDWDWEZYE
      UUSUVAUVBYHUVDMZWJWFWGWHYEYLYMXSYLLMXTYDDFGHIWIWKYMYLWCYEYJAYLWLWEWGBYMWM
      WNWOYEUUCYMPYEUAUBHFGYOUUAYMUUBXIYEUUBWPYRHRZYPFRZNZUUAYMRYEUVOYSYJAYTYLY
      RHYPFYKWQUVOYQYIYRHUVNYQYIRUVMYPFUGYHUIWRTUVMUVNURWSWTTUUOUUQYMXIMYEYJAYL
      HFYKXAXBWEXCXDYEUUDEHYGYKQZPOZULQUUFAUAUUBUBUVPDEFGHIUUBVCUVPVCXEYEUVQUUE
      EULYEUUEUVQYEUUEUVQRZCUVPUSUDZYECUURYGRZUVANZAUVDSZUVPUSKYEUUIHDXFOZMZYGX
      GMZUWBUVPUSUDUUMYDUWDYAYDHGUWCUUNIXJTYCUWEYAYBFXKVBADYGHXHVEXLYECLMUVPLMZ
      UVRUVSVFYECUWBLKYEUVTAUVFSZUWBYAUVHYGVTMZUWGLMYDUVJYCUWHYBYCUUJUWHUUPUGFX
      MUTTDYGAVSWBYEUWAUVTAUVDUVFUVKYEUVTUVAUVLXNWFWGWHXSUWFXTYDDYGGHIWIWKCUVPW
      MWNWOXOXPXQXR $.

    $( Statement 9 in [Huneke] p. 2:  "If n > 1, then the number of closed
       n-walks v(0) ... v(n-2) v(n-1) v(n) from v = v(0) = v(n) with v(n-2) = v
       is kf(n-2)".  Since ` G ` is k-regular, the vertex v(n-2) = v has k
       neighbors v(n-1), so there are k walks from v(n-2) = v to v(n) = v (via
       each of v's neighbors) completing each of the f(n-2) walks from v=v(0)
       to v(n-2)=v.  This theorem holds even for k=0.  (Contributed by AV,
       23-May-2022.) $)
    numclwlk1 $p |- ( ( ( V e. Fin /\ G RegUSGraph K )
                        /\ ( X e. V /\ N e. ( ZZ>= ` 2 ) ) )
                      -> ( # ` C ) = ( K x. ( # ` F ) ) ) $=
      ( wcel c2 cuz cfv wa chash co wceq expcom cfn crusgr wbr cmul wi c1 caddc
      wo uzp1 numclwlk1lem1 numclwlk1lem2 2p1e3 fveq2i eleq2s jaoi syl impcom
      c3 ) HGLZFMNOLZPGUALDEUBUCPZBQOECQOUDRSZUTUSVAVBUEZUTFMSZFMUFUGRZNOZLZUHU
      SVCUEZMFUIVDVHVGUSVDVCVAUSVDPVBABCDEFGHIJKUJTTVHFURNOZVFUSFVILZVCVAUSVJPV
      BABCDEFGHIJKUKTTVEURNULUMUNUOUPUQUQ $.
  $}

  ${
    $d G n v w $.  $d N n v w $.  $d V n v $.  $d X n v w $.
    numclwwlkovh.h $e |- H = ( v e. V , n e. ( ZZ>= ` 2 )
                               |-> { w e. ( v ( ClWWalksNOn ` G ) n ) |
                                     ( w ` ( n - 2 ) ) =/= v } ) $.
    $( Value of operation ` H ` , mapping a vertex ` v ` and an integer ` n `
       greater than 1 to the "closed n-walks v(0) ... v(n-2) v(n-1) v(n) from v
       = v(0) = v(n) ... with v(n-2) =/= v" according to definition 7 in
       [Huneke] p. 2.  (Contributed by AV, 1-May-2022.) $)
    numclwwlkovh0 $p |- ( ( X e. V /\ N e. ( ZZ>= ` 2 ) )
                          -> ( X H N ) = { w e. ( X ( ClWWalksNOn ` G ) N ) |
                                           ( w ` ( N - 2 ) ) =/= X } ) $=
      ( c2 cuz cfv cv cmin co wne cclwwlknon crab wceq wa oveq12 adantl neeq12d
      oveq1 fveq2d simpl rabeqbidv ovex rabex ovmpoa ) BCHFGJKLCMZJNOZAMZLZBMZP
      ZAUOUKDQLZOZRFJNOZUMLZHPZAHFUQOZREUOHSZUKFSZTZUPVAAURVBUOHUKFUQUAVEUNUTUO
      HVEULUSUMVDULUSSVCUKFJNUDUBUEVCVDUFUCUGIVAAVBHFUQUHUIUJ $.

    $( Value of operation ` H ` , mapping a vertex ` v ` and an integer ` n `
       greater than 1 to the "closed n-walks v(0) ... v(n-2) v(n-1) v(n) from v
       = v(0) = v(n) ... with v(n-2) =/= v" according to definition 7 in
       [Huneke] p. 2.  Definition of ` ClWWalksNOn ` resolved.  (Contributed by
       Alexander van der Vekens, 26-Aug-2018.)  (Revised by AV, 30-May-2021.)
       (Revised by AV, 1-May-2022.) $)
    numclwwlkovh $p |- ( ( X e. V /\ N e. ( ZZ>= ` 2 ) )
                         -> ( X H N ) = { w e. ( N ClWWalksN G ) |
                    ( ( w ` 0 ) = X /\ ( w ` ( N - 2 ) ) =/= ( w ` 0 ) ) } ) $=
      ( wcel c2 cfv wa co wne crab neeq2 adantl biimpa jca cmin cclwwlknon wceq
      cuz cv cc0 cclwwlkn numclwwlkovh0 isclwwlknon anbi1i simpll simplr eqcoms
      wb simpl anim2i impbii bitri rabbia2 eqtrdi ) HGJFKUDLJMHFENFKUANAUEZLZHO
      ZAHFDUBLNZPUFVALZHUCZVBVEOZMZAFDUGNZPABCDEFGHIUHVCVHAVDVIVAVDJZVCMVAVIJZV
      FMZVCMZVKVHMZVJVLVCDFVAHUIUJVMVNVMVKVHVKVFVCUKVMVFVGVKVFVCULVLVCVGVFVCVGU
      NZVKVOHVEHVEVBQUMRSTTVNVLVCVHVFVKVFVGUOUPVHVCVKVFVGVCVEHVBQSRTUQURUSUT $.
  $}

  ${
    $d G n v w $.  $d N n v w $.  $d V n v $.  $d X n v w $.
    numclwwlk.v $e |- V = ( Vtx ` G ) $.
    numclwwlk.q $e |- Q = ( v e. V , n e. NN |-> { w e. ( n WWalksN G ) |
                                ( ( w ` 0 ) = v /\ ( lastS ` w ) =/= v ) } ) $.
    $( Value of operation ` Q ` , mapping a vertex ` v ` and a positive integer
       ` n ` to the not closed walks v(0) ... v(n) of length ` n ` from a fixed
       vertex ` v ` = v(0).  "Not closed" means v(n) =/= v(0).  Remark:
       ` n e. NN0 ` would not be useful: ~ numclwwlkqhash would not hold,
       because ` ( K ^ 0 ) = 1 ` !  (Contributed by Alexander van der Vekens,
       27-Sep-2018.)  (Revised by AV, 30-May-2021.) $)
    numclwwlkovq $p |- ( ( X e. V /\ N e. NN )
                         -> ( X Q N ) = { w e. ( N WWalksN G ) |
                                ( ( w ` 0 ) = X /\ ( lastS ` w ) =/= X ) } ) $=
      ( cn cc0 cv cfv wceq wne wa cwwlksn co crab clsw oveq1 adantl eqeq2 neeq2
      wb anbi12d adantr rabeqbidv ovex rabex ovmpoa ) BDHFGKLAMZNZBMZOZUMUANZUO
      PZQZADMZERSZTUNHOZUQHPZQZAFERSZTCUOHOZUTFOZQUSVDAVAVEVGVAVEOVFUTFERUBUCVF
      USVDUFVGVFUPVBURVCUOHUNUDUOHUQUEUGUHUIJVDAVEFERUJUKUL $.

    $d G f w $.  $d K w $.  $d N f $.  $d V f w $.  $d X f $.
    $( In a ` K `-regular graph, the size of the set of walks of length ` N `
       starting with a fixed vertex ` X ` and ending not at this vertex is the
       difference between ` K ` to the power of ` N ` and the size of the set
       of closed walks of length ` N ` on vertex ` X ` .  (Contributed by
       Alexander van der Vekens, 30-Sep-2018.)  (Revised by AV, 30-May-2021.)
       (Revised by AV, 5-Mar-2022.)  (Proof shortened by AV, 7-Jul-2022.) $)
    numclwwlkqhash $p |- ( ( ( G RegUSGraph K /\ V e. Fin )
                             /\ ( X e. V /\ N e. NN ) ) -> ( # ` ( X Q N ) )
                     = ( ( K ^ N ) - ( # ` ( X ( ClWWalksNOn ` G ) N ) ) ) ) $=
      ( vf wcel wa co chash cfv wceq crab cmin crusgr wbr cfn cn cc0 cv cwwlksn
      clsw wne cclwwlknon numclwwlkovq adantl cwwlksnon cn0 clwwlknclwwlkdifnum
      cexp fveq2d nnnn0 eqid sylanr2 iswwlksnon wwlknlsw eqcom biimpi eqeqan12d
      pm5.32da biancomd rabbiia eqtri fveq2i a1i oveq2d eqtrd cvv wf1o wex ovex
      rabex clwwlkvbij hasheqf1oi mpsyl 3eqtrd ) EFUAUBHUCMNZIHMZGUDMZNZNZIGCOZ
      PQUEAUFZQZIRZWIUHQZIUINAGEUGOZSZPQZFGUPOZWLWJRZWKNZAWMSZPQZTOZWPIGEUJQOZP
      QZTOWGWHWNPWFWHWNRWCABCDEGHIJKUKULUQWGWOWPIIGEUMOOZPQZTOZXAWEWCWDGUNMWOXF
      RGURAWNXDEFGHIWNUSXDUSJUOUTWGXEWTWPTXEWTRWGXDWSPXDWKGWIQZIRZNZAWMSWSAIIEG
      HJVAXIWRAWMWIWMMZXIWQWKXJWKXHWQXJWKXGWLIWJEGWIVBWKIWJRWJIVCVDVEVFVGVHVIVJ
      VKVLVMWGWTXCWPTWSVNMWGWSXBLUFVOLVPZWTXCRWRAWMGEUGVQVRWFXKWCALEGHIVSULWSXB
      LVNVTWAVLWB $.

    $d G i $.  $d N i $.  $d W i $.  $d W v w $.
    numclwwlk.h $e |- H = ( v e. V , n e. ( ZZ>= ` 2 )
                            |-> { w e. ( v ( ClWWalksNOn ` G ) n ) |
                                  ( w ` ( n - 2 ) ) =/= v } ) $.
    $( In a friendship graph, for each walk of length ` n ` starting at a fixed
       vertex ` v ` and ending not at this vertex, there is a unique vertex so
       that the walk extended by an edge to this vertex and an edge from this
       vertex to the first vertex of the walk is a value of operation ` H ` .
       If the walk is represented as a word, it is sufficient to add one vertex
       to the word to obtain the closed walk contained in the value of
       operation ` H ` , since in a word representing a closed walk the
       starting vertex is not repeated at the end.  This theorem generally
       holds only for friendship graphs, because these guarantee that for the
       first and last vertex there is a (unique) third vertex "in between".
       (Contributed by Alexander van der Vekens, 3-Oct-2018.)  (Revised by AV,
       30-May-2021.)  (Revised by AV, 1-May-2022.) $)
    numclwwlk2lem1 $p |- ( ( G e. FriendGraph /\ X e. V /\ N e. NN )
                           -> ( W e. ( X Q N ) -> E! v e. V
                                ( W ++ <" v "> ) e. ( X H ( N + 2 ) ) ) ) $=
      ( wcel co cc0 cfv wceq wne wa vi cfrgr cn w3a cwwlksn clsw cv cs1 cconcat
      c2 caddc wreu crab numclwwlkovq 3adant1 eleq2d fveq1 eqeq1d fveq2 anbi12d
      neeq1d elrab bitrdi cedg simpl1 wi c1 cword chash cfzo wral eqid peano2nn
      cpr wwlknp adantl simpl jca ex 3adant3 syl lswlgt0cl syl6 adantr 3ad2ant3
      com12 eleq1 biimprd ad2antrl 3ad2ant2 wb neeq2 eqcoms biimpa 3jca frcond2
      imp sylc cclwwlkn cn0 ad2antlr simpr nnnn0 ad2antrr wwlksext2clwwlk sylan
      cmin cuz cvv wwlknbp simp3d cz 2z nn0pzuz sylancl ad3antrrr clwwlkext2edg
      syl31anc impbida cvtx anim2i simprd numclwwlk2lem1lem eqeq2 simpld neeq2d
      eleqtrdi syl3anc mpbird pncand fveq2d anbi2d numclwwlkovh neeq12d bitr2di
      nncn 2cnd biantrud 3bitrd reubidva mpbid sylbid ) EUBNZJHNZGUCNZUDZIJGCOZ
      NZIGEUEOZNZPIQZJRZIUFQZJSZTZTZIBUGZUHUIOZJGUJUKOZFOZNZBHULZUUFUUHIPAUGZQZ
      JRZUVCUFQZJSZTZAUUIUMZNUUPUUFUUGUVIIUUDUUEUUGUVIRUUCABCDEGHJKLUNUOUPUVHUU
      OAIUUIUVCIRZUVEUULUVGUUNUVJUVDUUKJPUVCIUQURUVJUVFUUMJUVCIUFUSVAUTVBVCUUFU
      UPUVBUUFUUPTZUUMUUQVNEVDQZNUUQUUKVNUVLNTZBHULZUVBUVKUUCUUMHNZUUKHNZUUMUUK
      SZUDUVNUUCUUDUUEUUPVEUVKUVOUVPUVQUUFUUPUVOUUEUUCUUPUVOVFUUDUUPUUEUVOUUJUU
      EUVOVFUUOUUJUUEGVGUKOZUCNZIHVHNZIVIQUVRRZTZTZUVOUUJUVTUWAUAUGZIQUWDVGUKOI
      QVNUVLNUAPGVJOVKZUDUUEUWCVFZUAUVLEGHIKUVLVLZVOUVTUWAUWFUWEUWBUUEUWCUWBUUE
      TUVSUWBUUEUVSUWBGVMVPUWBUUEVQVRVSVTWAUVRHIWBWCWDWFWEWQUUFUUPUVPUUDUUCUUPU
      VPVFUUEUUPUUDUVPUULUUDUVPVFUUJUUNUULUVPUUDUUKJHWGWHWIWFWJWQUUPUVQUUFUUOUV
      QUUJUULUUNUVQUUNUVQWKJUUKJUUKUUMWLWMWNZVPVPWOUUMUUKUVLEHBKUWGWPWRUVKUVMUV
      ABHUVKUUQHNZTZUVMUURUUSEWSOZNZUWLPUURQZJRZUUSUJXGOZUURQZUWMSZTZTZUVAUWJUV
      MUWLUWJUUJUWIGWTNZUDZUVMUWLUWJUUJUWIUWTUUPUUJUUFUWIUUJUUOVQXAZUVKUWIXBZUU
      FUWTUUPUWIUUEUUCUWTUUDGXCZWEXDWOUXAUVMUWLUUJUWIUVMUWLVFUWTUVLEGHIUUQKUWGX
      EVTWQXFUWJUWLTUVTUWIUUSUJXHQNZUWLUVMUVKUVTUWIUWLUUJUVTUUFUUOUUJEXINUWTUVT
      EGHIKXJXKWIXDUWJUWIUWLUXCWDUUFUXEUUPUWIUWLUUEUUCUXEUUDUUEUWTUJXLNUXEUXDXM
      GUJXNXOZWEXPUWJUWLXBUVLEUUSHIUUQKUWGXQXRXSUWJUWRUWLUWJUWRUWNGUURQZUWMSZTZ
      UWJUXIUWMUUKRZUXGUUKSZTZUWJUUQEXTQZNUUJUVQUXLUWJUUQHUXMUXCKYGUXBUWJUUJUVQ
      UUPUUJUVQTUUFUWIUUOUVQUUJUWHYAXAYBEGIUUQYCYHZUWJUWNUXJUXHUXKUUPUWNUXJWKZU
      UFUWIUULUXOUUJUUNUXOJUUKJUUKUWMYDWMWIXAUWJUWMUUKUXGUWJUXJUXKUXNYEYFUTYIUW
      JUWQUXHUWNUWJUWPUXGUWMUWJUWOGUURUUFUWOGRZUUPUWIUUEUUCUXPUUDUUEGUJGYPUUEYQ
      YJWEXDYKVAYLYIYRUWJUVAUURUVEUWOUVCQZUVDSZTZAUWKUMZNUWSUWJUUTUXTUURUWJUUDU
      XETZUUTUXTRUUFUYAUUPUWIUUDUUEUYAUUCUUEUXEUUDUXFYAUOXDABDEFUUSHJMYMWAUPUXS
      UWRAUURUWKUVCUURRZUVEUWNUXRUWQUYBUVDUWMJPUVCUURUQZURUYBUXQUWPUVDUWMUWOUVC
      UURUQUYCYNUTVBYOYSYTUUAVSUUB $.

    ${
      $d G w x $.  $d H x $.  $d N x $.  $d Q x $.  $d V x $.  $d X x $.
      numclwwlk.r $e |- R = ( x e. ( X H ( N + 2 ) )
                              |-> ( x prefix ( N + 1 ) ) ) $.
      $( ` R ` is a function mapping the "closed (n+2)-walks v(0) ... v(n-2)
         v(n-1) v(n) v(n+1) v(n+2) starting at ` X ` = v(0) = v(n+2) with v(n)
         =/= X" to the words representing the prefix v(0) ... v(n-2) v(n-1)
         v(n) of the walk.  (Contributed by Alexander van der Vekens,
         5-Oct-2018.)  (Revised by AV, 31-May-2021.)  (Proof shortened by AV,
         23-Mar-2022.)  (Revised by AV, 1-Nov-2022.) $)
      numclwlk2lem2f $p |- ( ( G e. FriendGraph /\ X e. V /\ N e. NN )
                             -> R : ( X H ( N + 2 ) ) --> ( X Q N ) ) $=
        ( wcel co c1 wa wceq cfrgr cn w3a c2 caddc cv cpfx cwwlksn cc0 cfv clsw
        wne cclwwlkn cmin cuz wb cn0 cz nnnn0 2z nn0pzuz syl2anc anim2i 3adant1
        a1i numclwwlkovh eleq2d syl fveq1 eqeq1d neeq12d anbi12d elrab peano2nn
        crab bitrdi zaddcld uzid nncn 1cnd addassd 1p1e2 oveq2d fveq2d eleqtrrd
        nnz eqtrd jca 3ad2ant3 adantr simprl wwlksubclwwlk pncan1 eqcomd oveq1d
        sylc cc mpbird cword chash clwwlknbp cfz simprr cle wbr peano2nn0 lep1d
        wi nnre elfz2nn0 syl3anbrc 2cnd addsubass oveq2i eqtrdi syl3anc elfzp1b
        2m1e1 mpbid oveq2 ad2antrl pfxfv0 ex adantl impcom pncand eqtr4d eqtr2d
        simpl pfxfvlsw neeq1d biimpcd neeq2 eqcoms exp31 com23 ancoms imp com12
        mpancom sylbid 3simpc numclwwlkovq fveq2 fmptd ) GUAPZKJPZIUBPZUCZAKIUD
        UEQZHQZAUFZIRUEQZUGQZKIDQZEUUIUULUUKPZSZUUNUUOPZUUNIGUHQZPZUIUUNUJZKTZU
        UNUKUJZKULZSZSZUUIUUPUVFUUIUUPUULUUJGUMQZPZUIUULUJZKTZUUJUDUNQZUULUJZUV
        IULZSZSZUVFUUIUUPUULUIBUFZUJZKTZUVKUVPUJZUVQULZSZBUVGVOZPZUVOUUIUUGUUJU
        DUOUJPZSZUUPUWCUPUUGUUHUWEUUFUUHUWDUUGUUHIUQPZUDURPZUWDIUSZUWGUUHUTVEZI
        UDVAVBVCVDUWEUUKUWBUULBCFGHUUJJKNVFVGVHUWAUVNBUULUVGUVPUULTZUVRUVJUVTUV
        MUWJUVQUVIKUIUVPUULVIZVJUWJUVSUVLUVQUVIUVKUVPUULVIUWKVKVLVMVPUUIUVOUVFU
        UIUVOSZUUTUVEUWLUUTUUNUUMRUNQZGUHQZPZUWLUUMUBPZUUJUUMRUEQZUOUJZPZSZUVHU
        WOUUIUWTUVOUUHUUFUWTUUGUUHUWPUWSIVNUUHUUJUUJUOUJZUWRUUHUUJURPZUUJUXAPUU
        HIUDIWFZUWIVQZUUJVRVHUUHUWQUUJUOUUHUWQIRRUEQZUEQUUJUUHIRRIVSZUUHVTZUXGW
        AUUHUXEUDIUEUXEUDTUUHWBVEWCWGWDWEWHWIWJUUIUVHUVNWKGUUMUUJUULWLWPUUIUUTU
        WOUPZUVOUUHUUFUXHUUGUUHUUSUWNUUNUUHIUWMGUHUUHIWQPZIUWMTUXFUXIUWMIIWMZWN
        VHWOVGWIWJWRUUIUVOUVEUUGUUHUVOUVEXHUUFUVOUUGUUHSZUVEUVHUVNUXKUVEXHZUVHU
        ULJWSPZUULWTUJZUUJTZSUVNUXLXHZGUUJJUULLXAUXOUXMUXPUXOUXMSZUXKUVNUVEUXQU
        XKUVNUVEUVJUXQUXKSZUVNSZUVEUXRUVJUVMWKUVJUXSSZUVBUVDUXTUVAUVIKUXRUVAUVI
        TZUVJUVNUXKUXQUYAUUHUXQUYAXHUUGUUHUXQUYAUUHUXQSZUXMUUMRUXNXBQZPZUYAUUHU
        XOUXMXCZUYBUYDUUMRUUJXBQZPZUUHUYGUXQUUHIUIUUJRUNQZXBQZPZUYGUUHIUIUUMXBQ
        ZUYIUUHUWFUUMUQPZIUUMXDXEIUYKPUWHUUHUWFUYLUWHIXFVHUUHIIXIXGIUUMXJXKUUHU
        YHUUMUIXBUUHUXIUDWQPZRWQPZUYHUUMTUXFUUHXLZUXGUXIUYMUYNUCUYHIUDRUNQZUEQU
        UMIUDRXMUYPRIUEXRXNXOXPWCWEUUHIURPUXBUYJUYGUPUXCUXDIUUJXQVBXSWJUXOUYDUY
        GUPUUHUXMUXOUYCUYFUUMUXNUUJRXBXTVGYAWRZUUMJUULYBVBYCYDYEYAUVJUXSYIWGUXT
        UVDUVCUVIULZUXSUYRUVJUVNUXRUYRUVMUXRUYRXHUVJUXRUVMUYRUXRUVLUVCUVIUXKUXQ
        UVLUVCTZUUHUXQUYSXHUUGUUHUXQUYSUYBUVCUWMUULUJZUVLUYBUXMUYDUVCUYTTUYEUYQ
        UUMJUULYJVBUUHUYTUVLTUXQUUHUWMUVKUULUUHUWMIUVKUUHUXIUWMITUXFUXJVHUUHIUD
        UXFUYOYFYGWDWJYHYCYDYEYKYLYDYEYDUVJUVDUYRUPZUXSVUAKUVIKUVIUVCYMYNWJWRWH
        YTYOYPYQVHYRYSVDYRWHYCUUAYRUUQUURUUNUVRUVPUKUJZKULZSZBUUSVOZPUVFUUQUUOV
        UEUUNUUQUXKUUOVUETUUIUXKUUPUUFUUGUUHUUBWJBCDFGIJKLMUUCVHVGVUDUVEBUUNUUS
        UVPUUNTZUVRUVBVUCUVDVUFUVQUVAKUIUVPUUNVIVJVUFVUBUVCKUVPUUNUKUUDYKVLVMVP
        WROUUE $.

      $d W x $.
      $( Value of the function ` R ` .  (Contributed by Alexander van der
         Vekens, 6-Oct-2018.)  (Revised by AV, 31-May-2021.)  (Revised by AV,
         1-Nov-2022.) $)
      numclwlk2lem2fv $p |- ( ( X e. V /\ N e. NN )
                              -> ( W e. ( X H ( N + 2 ) )
                                   -> ( R ` W ) = ( W prefix ( N + 1 ) ) ) ) $=
        ( wcel wa co cpfx cn c2 caddc cfv c1 wceq cvv oveq1 simpr ovexd fvmptd3
        cv ex ) LJQIUAQRZKLIUBUCSHSZQZKEUDKIUEUCSZTSZUFUNUPRZAKAULZUQTSURUOEUGP
        UTKUQTUHUNUPUIUSKUQTUJUKUM $.

      $d G v w x y $.  $d H y $.  $d N y $.  $d R y $.  $d V y $.  $d X y $.
      $d G u v w x $.  $d H u $.  $d N u $.  $d Q u $.  $d R u $.  $d V u $.
      $d X u $.
      $( ` R ` is a 1-1 onto function.  (Contributed by Alexander van der
         Vekens, 6-Oct-2018.)  (Revised by AV, 21-Jan-2022.)  (Proof shortened
         by AV, 17-Mar-2022.)  (Revised by AV, 1-Nov-2022.) $)
      numclwlk2lem2f1o $p |- ( ( G e. FriendGraph /\ X e. V /\ N e. NN )
                            -> R : ( X H ( N + 2 ) ) -1-1-onto-> ( X Q N ) ) $=
        ( wcel co wceq wa cfv vu vy cfrgr cn cv c1 caddc cpfx c2 wral wreu wf1o
        w3a wi weq eleq1w fveq2 eqeq12d imbi12d numclwlk2lem2fv chvarvv 3adant1
        oveq1 imbi2d numclwlk2lem2f ffvelrnda eqeltrrd ralrimiva numclwwlk2lem1
        imp cs1 cconcat cwwlksn cc0 clsw wne crab wb numclwwlkovq eleq2d eqeq1d
        fveq1 neeq1d anbi12d elrab bitrdi chash cvtx cn0 wwlknbp1 3simpc wrdeqi
        cword syl eleq2i anbi1i sylibr simpll cclwwlkn cmin cuz cz 2nn a1i nnzd
        nnnn0 nn0pzuz syl2anc numclwwlkovh sylan2 adantl clwwlknbp lencl simprr
        neeq12d df-2 oveq2d nncn 1cnd addassd eqtr4d eqeq2d adantr ad3antlr jca
        biimpcd impcom exp31 sylan com12 3ad2ant3 ancoms ralrimiv ex cclwwlknon
        sylbid nfcv cmpo nfmpo1 nfcxfr nfov reuccatpfxs1 simp3d eqcomd reubidva
        ad4antr mpbird mpd f1ompt sylanbrc ) GUCPZKJPZIUDPZUMZAUEZIUFUGQZUHQZKI
        DQZPZAKIUIUGQZHQZUJUAUEZUUQRZAUVAUKZUAUURUJUVAUUREULUUNUUSAUVAUUNUUOUVA
        PZSUUOETZUUQUURUUNUVEUVFUUQRZUULUUMUVEUVGUNZUUKUULUUMSZUBUEZUVAPZUVJETZ
        UVJUUPUHQZRZUNZUNUVIUVHUNUBAUBAUOZUVOUVHUVIUVPUVKUVEUVNUVGUBAUVAUPUVPUV
        LUVFUVMUUQUVJUUOEUQUVJUUOUUPUHVCURUSVDABCDEFGHIJUVJKLMNOUTVAVBVJUUNUVAU
        URUUOEABCDEFGHIJKLMNOVEVFVGVHUUNUVDUAUURUUNUVBUURPZSUVBCUEZVKVLQUVAPCJU
        KZUVDUUNUVQUVSBCDFGHIJUVBKLMNVIVJUUNUVQUVSUVDUNZUUNUVQUVBIGVMQZPZVNUVBT
        ZKRZUVBVOTZKVPZSZSZUVTUUNUVQUVBVNBUEZTZKRZUWIVOTZKVPZSZBUWAVQZPZUWHUULU
        UMUVQUWPVRUUKUVIUURUWOUVBBCDFGIJKLMVSVTVBUWNUWGBUVBUWABUAUOZUWKUWDUWMUW
        FUWQUWJUWCKVNUWIUVBWBWAUWQUWLUWEKUWIUVBVOUQWCWDWEWFUWHUUNUVTUWHUUNUVSUV
        DUWHUUNSZUVSSZUVDUVBUUOUVBWGTZUHQZRZAUVAUKZUWRUVSUXCUWRUVBJWMZPZUUOUXDP
        ZUUOWGTZUWTUFUGQZRZSZAUVAUJZSZUVSUXCUNUWHUUNUXLUWBUUNUXLUNZUWGUWBUXEUWT
        UUPRZSZUXMUWBUVBGWHTZWMZPZUXNSZUXOUWBIWIPZUXRUXNUMUXSGIUVBWJZUXTUXRUXNW
        KWNUXEUXRUXNUXDUXQUVBJUXPLWLWOWPWQUXOUUNUXLUXOUUNSZUXEUXKUXEUXNUUNWRUYB
        UXJAUVAUYBUVEUUOUUTGWSQZPZVNUUOTZKRZUUTUIWTQZUUOTZUYEVPZSZSZUXJUUNUVEUY
        KVRZUXOUULUUMUYLUUKUVIUVEUUOUWKUYGUWITZUWJVPZSZBUYCVQZPUYKUVIUVAUYPUUOU
        UMUULUUTUIXATZPZUVAUYPRUUMUXTUIXBPUYRIXFUUMUIUIUDPUUMXCXDXEIUIXGXHBCFGH
        UUTJKNXIXJVTUYOUYJBUUOUYCBAUOZUWKUYFUYNUYIUYSUWJUYEKVNUWIUUOWBZWAUYSUYM
        UYHUWJUYEUYGUWIUUOWBUYTXOWDWEWFVBXKUYKUYBUXJUYDUYBUXJUNZUYJUYDUXFUXGUUT
        RZSVUAGUUTJUUOLXLVUBUXFVUAUYBVUBUXFSZUXJUUNUXOVUCUXJUNZUUMUUKUXOVUDUNUU
        LUXOUUMVUDUXEUWTWIPZUXNUUMVUDUNJUVBXMVUEUXNSZUUMVUCUXJVUFUUMSZVUCSZUXFU
        XIVUGVUBUXFXNVUHUXGUUPUFUGQZUXHVUCVUGUXGVUIRZVUBVUGVUJUNUXFVUGVUBVUJVUG
        UUTVUIUXGUUMUUTVUIRVUFUUMUUTIUFUFUGQZUGQVUIUUMUIVUKIUGUIVUKRUUMXPXDXQUU
        MIUFUFIXRUUMXSZVULXTYAXKYBYFYCYGUXNUXHVUIRVUEUUMVUCUWTUUPUFUGVCYDYAYEYH
        YIYJYKYGYJYLWNYCYJYPYMYEYNWNYCVJACJUVBUVACKUUTHCKYQCHCFJUYQFUEZUIWTQUWI
        TUVRVPBUVRVUMGYOTQVQZYRNCFJUYQVUNYSYTCUUTYQUUAUUBWNVJUWSUVCUXBAUVAUWSUV
        ESZUUQUXAUVBVUOUUPUWTUUOUHUWBUUPUWTRUWGUUNUVSUVEUWBUWTUUPUWBUXTUXRUXNUY
        AUUCUUDUUFXQYBUUEUUGYHYJYPVJUUHVHAUAUVAUURUUQEOUUIUUJ $.
    $}

    $d G h w $.  $d H h $.  $d N h $.  $d Q h $.  $d V v h $.  $d X h $.
    $( In a friendship graph, the size of the set of walks of length ` N `
       starting with a fixed vertex ` X ` and ending not at this vertex equals
       the size of the set of all closed walks of length ` ( N + 2 ) ` starting
       at this vertex ` X ` and not having this vertex as last but 2 vertex.
       (Contributed by Alexander van der Vekens, 6-Oct-2018.)  (Revised by AV,
       31-May-2021.)  (Proof shortened by AV, 3-Nov-2022.) $)
    numclwwlk2lem3 $p |- ( ( G e. FriendGraph /\ X e. V /\ N e. NN )
                          -> ( # ` ( X Q N ) ) = ( # ` ( X H ( N + 2 ) ) ) ) $=
      ( vh cfrgr wcel cn caddc co chash cfv w3a c2 cvv cv cpfx numclwlk2lem2f1o
      c1 cmpt ovexd eqid hasheqf1od eqcomd ) ENOIHOGPOUAZIGUBQRZFRZSTIGCRZSTUMU
      OUPUCMUOMUDGUGQRUERUHZUMIUNFUIMABCUQDEFGHIJKLUQUJUFUKUL $.

    $( Statement 10 in [Huneke] p. 2:  "If n > 1, then the number of closed
       n-walks v(0) ... v(n-2) v(n-1) v(n) from v = v(0) = v(n) ... with v(n-2)
       =/= v is k^(n-2) - f(n-2)."  According to ~ rusgrnumwlkg , we have
       k^(n-2) different walks of length (n-2): v(0) ... v(n-2).  From this
       number, the number of closed walks of length (n-2), which is f(n-2) per
       definition, must be subtracted, because for these walks v(n-2) =/= v(0)
       = v would hold.  Because of the friendship condition, there is exactly
       one vertex v(n-1) which is a neighbor of v(n-2) as well as of
       v(n)=v=v(0), because v(n-2) and v(n)=v are different, so the number of
       walks v(0) ... v(n-2) is identical with the number of walks v(0) ...
       v(n), that means each (not closed) walk v(0) ... v(n-2) can be extended
       by two edges to a closed walk v(0) ... v(n)=v=v(0) in exactly one way.
       (Contributed by Alexander van der Vekens, 6-Oct-2018.)  (Revised by AV,
       31-May-2021.)  (Revised by AV, 1-May-2022.) $)
    numclwwlk2 $p |- ( ( ( G RegUSGraph K /\ G e. FriendGraph )
                         /\ ( V e. Fin /\ X e. V /\ N e. ( ZZ>= ` 3 ) ) )
                       -> ( # ` ( X H N ) ) = ( ( K ^ ( N - 2 ) )
                           - ( # ` ( X ( ClWWalksNOn ` G ) ( N - 2 ) ) ) ) ) $=
      ( wcel wa cfv co chash c2 wceq crusgr wbr cfrgr cfn c3 cuz w3a cmin caddc
      cexp cclwwlknon eluzelcn 2cnd npcand eqcomd 3ad2ant3 adantl oveq2d fveq2d
      simplr simpr2 uz3m2nn numclwwlk2lem3 syl3anc simpl anim12i anim2i 3adant1
      cn simp1 numclwwlkqhash syl2anc 3eqtr2d ) EGUAUBZEUCNZOZIUDNZJINZHUEUFPNZ
      UGZOZJHFQZRPJHSUHQZSUIQZFQZRPZJWCCQRPZGWCUJQJWCEUKPQRPUHQZWAWBWERWAHWDJFV
      THWDTZVPVSVQWIVRVSWDHVSHSUEHULVSUMUNUOUPUQURUSWAVOVRWCVINZWGWFTVNVOVTUTVP
      VQVRVSVAVTWJVPVSVQWJVRHVBZUPUQABCDEFWCIJKLMVCVDWAVNVQOVRWJOZWGWHTVPVNVTVQ
      VNVOVEVQVRVSVJVFVTWLVPVRVSWLVQVSWJVRWKVGVHUQABCDEGWCIJKLVKVLVM $.
  $}

  $( Lemma 2 for ~ numclwwlk3 .  (Contributed by Alexander van der Vekens,
     26-Aug-2018.)  (Proof shortened by AV, 23-Jan-2022.) $)
  numclwwlk3lem1 $p |- ( ( K e. CC /\ Y e. CC /\ N e. ( ZZ>= ` 2 ) )
                        -> ( ( ( K ^ ( N - 2 ) ) - Y ) + ( K x. Y ) )
                           = ( ( ( K - 1 ) x. Y ) + ( K ^ ( N - 2 ) ) ) ) $=
    ( cc wcel c2 cuz cfv w3a cmin co cexp cmul caddc cn0 uznn0sub expcl 3adant2
    c1 sylan2 simp2 mulcl 3adant3 subcld addcomd simp1 mulsubfacd oveq1d 3eqtrd
    subadd23d ) ADEZCDEZBFGHEZIZABFJKZLKZCJKACMKZNKUPUQCJKZNKURUPNKASJKCMKZUPNK
    UNUPCUQUKUMUPDEZULUMUKUOOEUTFBPAUOQTRZUKULUMUAZUKULUQDEUMACUBUCZUJUNUPURVAU
    NUQCVCVBUDUEUNURUSUPNUNACUKULUMUFVBUGUHUI $.

  ${
    $d G n v w $.  $d N n v w $.  $d V n v $.  $d X n v w $.
    numclwwlk3lem2.c $e |- C = ( v e. V , n e. ( ZZ>= ` 2 )
                                 |-> { w e. ( v ( ClWWalksNOn ` G ) n ) |
                                       ( w ` ( n - 2 ) ) = v } ) $.
    numclwwlk3lem2.h $e |- H = ( v e. V , n e. ( ZZ>= ` 2 )
                                 |-> { w e. ( v ( ClWWalksNOn ` G ) n ) |
                                       ( w ` ( n - 2 ) ) =/= v } ) $.
    $( Lemma for ~ numclwwlk3lem2 :  The set of closed vertices of a fixed
       length ` N ` on a fixed vertex ` V ` is the union of the set of closed
       walks of length ` N ` at ` V ` with the last but one vertex being ` V `
       and the set of closed walks of length ` N ` at ` V ` with the last but
       one vertex not being ` V ` .  (Contributed by AV, 1-May-2022.) $)
    numclwwlk3lem2lem $p |- ( ( X e. V /\ N e. ( ZZ>= ` 2 ) )
               -> ( X ( ClWWalksNOn ` G ) N ) = ( ( X H N ) u. ( X C N ) ) ) $=
      ( wcel c2 cuz cfv wa co cun crab wo cmin cv cclwwlknon wceq numclwwlkovh0
      wne 2clwwlk uneq12d unrab exmidne orcom mpbir a1i rabeqc eqtri eqtr2di )
      IHLGMNOLPZIGFQZIGCQZRGMUAQAUBZOZIUFZAIGEUCOQZSZVAIUDZAVCSZRZVCUQURVDUSVFA
      BDEFGHIKUEABCDEGHIJUGUHVGVBVETZAVCSVCVBVEAVCUIVHAVCVHUTVCLVHVEVBTVAIUJVBV
      EUKULUMUNUOUP $.

    $( Lemma 1 for ~ numclwwlk3 :  The number of closed vertices of a fixed
       length ` N ` on a fixed vertex ` V ` is the sum of the number of closed
       walks of length ` N ` at ` V ` with the last but one vertex being ` V `
       and the set of closed walks of length ` N ` at ` V ` with the last but
       one vertex not being ` V ` .  (Contributed by Alexander van der Vekens,
       6-Oct-2018.)  (Revised by AV, 1-Jun-2021.)  (Revised by AV,
       1-May-2022.) $)
    numclwwlk3lem2 $p |- ( ( ( G e. FinUSGraph /\ X e. V )
                            /\ N e. ( ZZ>= ` 2 ) )
                            -> ( # ` ( X ( ClWWalksNOn ` G ) N ) )
                               = ( ( # ` ( X H N ) ) + ( # ` ( X C N ) ) ) ) $=
      ( wcel wa cfv co chash wceq adantll cfn c0 cfusgr c2 cuz cclwwlknon caddc
      cun numclwwlk3lem2lem fveq2d cin cmin cv wne crab numclwwlkovh0 cvtx eqid
      fusgrvtxfi ad2antrr clwwlknonfin rabfi 3syl eqeltrd 2clwwlk ineq12d inrab
      wn wo exmid ianor nne orbi1i bitri mpbir rgenw rabeq0 eqtri eqtrdi hashun
      wral syl3anc eqtrd ) EUALZIHLZMGUBUCNLZMZIGEUDNOZPNIGFOZIGCOZUFZPNZWGPNWH
      PNUEOZWEWFWIPWCWDWFWIQWBABCDEFGHIJKUGRUHWEWGSLWHSLWGWHUIZTQWJWKQWEWGGUBUJ
      OAUKNZIULZAWFUMZSWCWDWGWOQWBABDEFGHIKUNRZWEEUONZSLZWFSLZWOSLWBWRWCWDEWQWQ
      UPZUQURZEGWQIWTUSZWNAWFUTVAVBWEWHWMIQZAWFUMZSWCWDWHXDQWBABCDEGHIJVCRZWEWR
      WSXDSLXAXBXCAWFUTVAVBWEWLWOXDUIZTWEWGWOWHXDWPXEVDXFWNXCMZAWFUMZTWNXCAWFVE
      XHTQXGVFZAWFVSXIAWFXIXCXCVFZVGZXCVHXIWNVFZXJVGXKWNXCVIXLXCXJWMIVJVKVLVMVN
      XGAWFVOVMVPVQWGWHVRVTWA $.
  $}

  ${
    $d G n v w $.  $d K w $.  $d N n v w $.  $d V n v w $.  $d X n v w $.
    numclwwlk3.v $e |- V = ( Vtx ` G ) $.
    $( Statement 12 in [Huneke] p. 2:  "Thus f(n) = (k - 1)f(n - 2) + k^(n-2)."
       - the number of the closed walks v(0) ... v(n-2) v(n-1) v(n) is the sum
       of the number of the closed walks v(0) ... v(n-2) v(n-1) v(n) with
       v(n-2) = v(n) (see ~ numclwwlk1 ) and with v(n-2) =/= v(n) (see
       ~ numclwwlk2 ): f(n) = kf(n-2) + k^(n-2) - f(n-2) = (k-1)f(n-2) +
       k^(n-2).  (Contributed by Alexander van der Vekens, 26-Aug-2018.)
       (Revised by AV, 6-Mar-2022.) $)
    numclwwlk3 $p |- ( ( ( G RegUSGraph K /\ G e. FriendGraph )
                         /\ ( V e. Fin /\ X e. V /\ N e. ( ZZ>= ` 3 ) ) )
            -> ( # ` ( X ( ClWWalksNOn ` G ) N ) )
               = ( ( ( K - 1 ) x. ( # ` ( X ( ClWWalksNOn ` G ) ( N - 2 ) ) ) )
                   + ( K ^ ( N - 2 ) ) ) ) $=
      ( vv vn vw wcel wa cfv co chash c2 cmin wceq caddc adantl eqid crusgr wbr
      cfrgr cfn c3 cuz w3a cclwwlknon cv wne crab cmpo cexp cmul c1 simpl simp1
      cfusgr finrusgrfusgr syl2an uzuzle23 3ad2ant3 numclwwlk3lem2 syl21anc cc0
      simpr2 clsw cwwlksn numclwwlk2 anim12ci 3simpc numclwwlk1 syl2anc oveq12d
      cn cn0 simpll ne0i 3ad2ant2 frusgrnn0 syl3anc nn0cnd uz3m2nn clwwlknonfin
      cc c0 3anim3i 3ad2ant1 hashcl 3syl numclwwlk3lem1 3eqtrd ) ABUAUBZAUCJZKZ
      DUDJZEDJZCUEUFLJZUGZKZECAUHLZMNLZECGHDOUFLZHUIZOPMIUIZLZGUIZUJIXGXDXAMZUK
      ULZMNLZECGHDXCXFXGQIXHUKULZMNLZRMZBCOPMZUMMZEXNXAMZNLZPMZBXQUNMZRMZBUOPMX
      QUNMXORMZWTAURJZWQCXCJZXBXMQWOWMWPYBWSWMWNUPZWPWQWRUQZABDFUSUTZWOWPWQWRVF
      WSYCWOWRWPYCWQCVAVBSZIGXKHAXICDEXKTZXITZVCVDWTXJXRXLXSRIGGHDVOVEXELXGQXEV
      GLXGUJKIXDAVHMUKULZHAXIBCDEFYJTYIVIWTWPWMKWQWRKZXLXSQWOWMWSWPYDYEVJWSYKWO
      WPWQWRVKSIGXKHXPABCDEFYHXPTVLVMVNWTBWEJXQWEJZYCXTYAQWTBWTYBWMDWFUJZBVPJYF
      WMWNWSVQWSYMWOWQWPYMWRDEVRVSSABDFVTWAWBWTWPWQXNVOJZUGZXPUDJZYLWSYOWOWRYNW
      PWQCWCWGSWPWQYPYNAXNDEFWDWHYPXQXPWIWBWJYGBCXQWKWAWL $.

    $d G x $.  $d N x $.  $d V x $.
    $( The total number of closed walks in a finite simple graph is the sum of
       the numbers of closed walks starting at each of its vertices.
       (Contributed by Alexander van der Vekens, 7-Oct-2018.)  (Revised by AV,
       2-Jun-2021.)  (Revised by AV, 7-Mar-2022.)  (Proof shortened by AV,
       28-Mar-2022.) $)
    numclwwlk4 $p |- ( ( G e. FinUSGraph /\ N e. NN )
                      -> ( # ` ( N ClWWalksN G ) )
                         = sum_ x e. V ( # ` ( x ( ClWWalksNOn ` G ) N ) ) ) $=
      ( cfusgr wcel cn wa cclwwlkn chash cfv cclwwlknon ciun csu adantr syl cfn
      co cv cusgr wceq fusgrusgr clwwlknun fveq2d fusgrvtxfi clwwlknonfin wdisj
      clwwlknondisj a1i hashiun eqtrd ) BFGZCHGZIZCBJSZKLADATZCBMLSZNZKLDURKLAO
      UOUPUSKUOBUAGZUPUSUBUMUTUNBUCPABCDEUDQUEUOADURUMDRGZUNBDEUFZPUOURRGZUQDGU
      MVCUNUMVAVCVBBCDUQEUGQPPADURUHUOABCDUIUJUKUL $.

    $( Lemma for ~ numclwwlk5 .  (Contributed by Alexander van der Vekens,
       7-Oct-2018.)  (Revised by AV, 2-Jun-2021.)  (Revised by AV,
       7-Mar-2022.) $)
    numclwwlk5lem $p |- ( ( G RegUSGraph K /\ X e. V /\ K e. NN0 )
               -> ( 2 || ( K - 1 )
                    -> ( ( # ` ( X ( ClWWalksNOn ` G ) 2 ) ) mod 2 ) = 1 ) ) $=
      ( c2 cclwwlknon cfv co chash wceq crusgr wbr wcel cn0 w3a c1 cmo wi wa cz
      cmin cdvds cvtx eleq2i clwwlknon2num sylan2b 3adant3 ad2antrr cprime 2prm
      oveq1 wb nn0z modprm1div sylancr biimprd 3ad2ant3 adantl eqtrd ex mpancom
      imp ) DFAGHIJHZBKZABLMZDCNZBONZPZFBQUBIUCMZVDFRIZQKZSVFVGVEVHVGVFDAUDHZNV
      ECVMDEUEABDUFUGUHVEVITZVJVLVNVJTVKBFRIZQVEVKVOKVIVJVDBFRULUIVNVJVOQKZVIVJ
      VPSZVEVHVFVQVGVHVPVJVHFUJNBUANVPVJUMUKBUNBFUOUPUQURUSVCUTVAVB $.

    $( Statement 13 in [Huneke] p. 2:  "Let p be a prime divisor of k-1; then
       f(p) = 1 (mod p) [for each vertex v]".  (Contributed by Alexander van
       der Vekens, 7-Oct-2018.)  (Revised by AV, 2-Jun-2021.)  (Revised by AV,
       7-Mar-2022.) $)
    numclwwlk5 $p |- ( ( ( G RegUSGraph K /\ G e. FriendGraph /\ V e. Fin )
                         /\ ( X e. V /\ P e. Prime /\ P || ( K - 1 ) ) )
                      -> ( ( # ` ( X ( ClWWalksNOn ` G ) P ) ) mod P ) = 1 ) $=
      ( wbr wcel w3a cprime c1 co wa cfv chash cmo wceq c2 adantl 3ad2ant2 cmin
      crusgr cfrgr cfn cclwwlknon wi cn0 simpl1 simpr1 cfusgr wne finrusgrfusgr
      cdvds 3adant2 ne0i adantr frusgrnn0 syl3anc 3ad2ant1 impcom numclwwlk5lem
      c0 ex 3jca simpr3 a1i eleq1 breq1 3anbi23d anbi2d oveq2 fveq2d id oveq12d
      sylc eqeq1d 3imtr4d cmul cexp caddc c3 cuz 3simpa simprl3 simprr1 eldifsn
      csn cdif oddprmge3 sylbir numclwwlk3 syl13anc oveq1d cr cz nn0zd peano2zm
      crp zre 3syl simpl3 clwwlknonfin hashcl nn0red remulcld prmm2nn0 reexpcld
      prmnn nnrpd modaddabs eqcomd syl cc0 cn mulmoddvds simpr2 jca powm2modprm
      nn0z 0p1e1 oveq1i nnred prmgt1 1mod syl2anc syl5eq eqtrd 3eqtrd pm2.61ine
      clt ) BCUBGZBUCHZDUDHZIZEDHZAJHZACKUALZUMGZIZMZEABUENZLZONZAPLZKQZUFARARQ
      ZYNYORJHZRYQUMGZIZMZERUUALZONZRPLZKQZYTUUEUUJUUNUFUUFUUJYKYOCUGHZIUUHUUNU
      UJYKYOUUOYKYLYMUUIUHYNYOUUGUUHUIUUIYNUUOYOUUGYNUUOUFZUUHYOYNUUOYOYNMBUJHZ
      YKDVBUKZUUOYNUUQYOYKYMUUQYLBCDFULUNSYOYKYLYMUIYOUURYNDEUOUPBCDFUQURVCZUSU
      TVDYNYOUUGUUHVEBCDEFVAVOVFUUFYSUUIYNUUFYPUUGYRUUHYOARJVGARYQUMVHVIVJUUFUU
      DUUMKUUFUUCUULARPUUFUUBUUKOAREUUAVKVLUUFVMVNVPVQARUKZYTUUEUUTYTMZUUDYQEAR
      UALZUUALZONZVRLZCUVBVSLZVTLZAPLZUVEAPLZUVFAPLZVTLZAPLZKUVAUUCUVGAPUVAYKYL
      MZYMYOAWAWBNHZUUCUVGQYTUVMUUTYNUVMYSYKYLYMWCUPSYKYLYMYSUUTWDYOYPYRYNUUTWE
      YTUUTUVNYSUUTUVNUFZYNYPYOUVOYRYPUUTUVNYPUUTMAJRWGWHHUVNAJRWFAWIWJVCTSUTBC
      ADEFWKWLWMUVAUVEWNHZUVFWNHZAWRHZIZUVHUVLQYTUVSUUTYTUVPUVQUVRYTYQUVDYTCWOH
      ZYQWOHZYQWNHYTCYSYNUUOYOYPUUPYRUUSUSUTZWPZCWQZYQWSWTYTUVDYTYMUVCUDHUVDUGH
      YKYLYMYSXABUVBDEFXBUVCXCWTZXDXEYTCUVBYTCUWBXDYSUVBUGHZYNYPYOUWFYRAXFTSXGY
      SUVRYNYPYOUVRYRYPAAXHZXITSVDSUVSUVLUVHUVEUVFAXJXKXLYTUVLKQUUTYTUVLXMKVTLZ
      APLZKYTUVKUWHAPYTUVIXMUVJKVTYTAXNHZUWAUVDWOHZIYRUVIXMQYTUWJUWAUWKYSUWJYNY
      PYOUWJYRUWGTSYTUUOUVTUWAUWBCXSUWDWTYTUVDUWEWPVDYNYOYPYRVEZYQUVDAXOVOYTYPU
      VTMYRUVJKQYTYPUVTYNYOYPYRXPUWCXQUWLCAXRVOVNWMYSUWIKQZYNYPYOUWMYRYPUWIKAPL
      ZKUWHKAPXTYAYPAWNHKAYJGUWNKQYPAUWGYBAYCAYDYEYFTSYGSYHVCYI $.
  $}

  ${
    numclwwlk7lem.v $e |- V = ( Vtx ` G ) $.
    $( Lemma for ~ numclwwlk7 , ~ frgrreggt1 and ~ frgrreg :  If a finite,
       nonempty friendship graph is ` K `-regular, the ` K ` is a nonnegative
       integer.  (Contributed by AV, 3-Jun-2021.) $)
    numclwwlk7lem $p |- ( ( ( G RegUSGraph K /\ G e. FriendGraph )
                            /\ ( V =/= (/) /\ V e. Fin ) ) -> K e. NN0 ) $=
      ( crusgr wbr cfrgr wcel wne cfn cfusgr cn0 finrusgrfusgr ad2ant2rl simpll
      wa c0 simprl frusgrnn0 syl3anc ) ABEFZAGHZPZCQIZCJHZPZPAKHZUAUDBLHUAUEUGU
      BUDABCDMNUAUBUFOUCUDUERABCDST $.
  $}

  ${
    $d G x $.  $d K x $.  $d P x $.  $d V x $.
    numclwwlk6.v $e |- V = ( Vtx ` G ) $.
    $( For a prime divisor ` P ` of ` K - 1 ` , the total number of closed
       walks of length ` P ` in a ` K `-regular friendship graph is equal
       modulo ` P ` to the number of vertices.  (Contributed by Alexander van
       der Vekens, 7-Oct-2018.)  (Revised by AV, 3-Jun-2021.)  (Proof shortened
       by AV, 7-Mar-2022.) $)
    numclwwlk6 $p |- ( ( ( G RegUSGraph K /\ G e. FriendGraph /\ V e. Fin )
                         /\ ( P e. Prime /\ P || ( K - 1 ) ) )
              -> ( ( # ` ( P ClWWalksN G ) ) mod P ) = ( ( # ` V ) mod P ) ) $=
      ( vx wbr wcel cfn w3a c1 co wa chash cfv cmo csu wceq adantr oveq1d cfrgr
      crusgr cprime cmin cdvds cclwwlkn cclwwlknon cfusgr finrusgrfusgr 3adant2
      cv cn prmnn numclwwlk4 syl2an adantl simp3 cz cn0 clwwlknonfin 3syl nn0zd
      hashcl ralrimiva modfsummod simpl simpr 3anass sylibr numclwwlk5 syl2an2r
      anim1ci sumeq2dv eqtrd cmul cc 1cnd fsumconst nn0red ax-1rid syl 3ad2ant3
      cr 3eqtrd ) BCUBGZBUAHZDIHZJZAUCHZACKUDLUEGZMZMZABUFLNOZAPLDFUKZABUGOLZNO
      ZFQZAPLZDKFQZAPLZDNOZAPLWLWMWQAPWHBUHHZAULHZWMWQRWKWEWGXBWFBCDEUIUJWIXCWJ
      AUMSZFBADEUNUOTWLWRDWPAPLZFQZAPLWTWLDWPFAWKXCWHXDUPWHWGWKWEWFWGUQZSZWLWPU
      RHFDWLWNDHZMZWPXJWGWOIHWPUSHWLWGXIXHSBADWNEUTWOVCVAVBVDVEWLXFWSAPWLDXEKFW
      LWHXIXIWIWJJZXEKRWHWKVFXJXIWKMXKWLWKXIWHWKVGVLXIWIWJVHVIABCDWNEVJVKVMTVNW
      LWSXAAPWLWSXAKVOLZXAWHWGKVPHWSXLRWKXGWKVQDKFVRUOWHXLXARZWKWGWEXMWFWGXAWCH
      XMWGXADVCVSXAVTWAWBSVNTWD $.

    $( Statement 14 in [Huneke] p. 2:  "The total number of closed walks of
       length p [in a friendship graph] is (k(k-1)+1)f(p)=1 (mod p)", since the
       number of vertices in a friendship graph is (k(k-1)+1), see
       ~ frrusgrord0 or ~ frrusgrord , and p divides (k-1), i.e., (k-1) mod p =
       0 => k(k-1) mod p = 0 => k(k-1)+1 mod p = 1.  Since the null graph is a
       friendship graph, see ~ frgr0 , as well as k-regular (for any k), see
       ~ 0vtxrgr , but has no closed walk, see ~ 0clwlk0 , this theorem would
       be false for a null graph: ` ( ( # `` ( P ClWWalksN G ) ) mod P ) = 0 `
       ` =/= 1 ` , so this case must be excluded (by assuming ` V =/= (/) ` ).
       (Contributed by Alexander van der Vekens, 1-Sep-2018.)  (Revised by AV,
       3-Jun-2021.) $)
    numclwwlk7 $p |- ( ( ( G RegUSGraph K /\ G e. FriendGraph )
                         /\ ( V =/= (/) /\ V e. Fin )
                         /\ ( P e. Prime /\ P || ( K - 1 ) ) )
                       -> ( ( # ` ( P ClWWalksN G ) ) mod P ) = 1 ) $=
      ( wbr wcel wa c1 co w3a cmo caddc wceq oveq1d cc0 syl adantr ad2antrl cr
      crusgr cfrgr c0 wne cfn cprime cmin cdvds cclwwlkn cfv cmul simpll simplr
      chash simprr 3jca numclwwlk6 stoic3 simp2 ancomd frrusgrord numclwwlk7lem
      simp1 sylc cn0 nn0cn cc peano2cnm mulcomd cn cz prmnn peano2zm mulmoddvds
      nn0z eqtrd clt nnred prmgt1 jca 1mod oveq12d crp nn0re peano2rem remulcld
      1red nnrpd modaddabs syl3anc 0p1e1 oveq1i syl2anc syl5eq 3eqtr3d 3eqtrd )
      BCUAFZBUBGZHZDUCUDZDUEGZHZAUFGZACIUGJZUHFZHZKZABUIJUNUJALJZDUNUJZALJZCXDU
      KJZIMJZALJZIWSXBWQWRXAKXFXHXJNWSXBHWQWRXAWQWRXBULWQWRXBUMWSWTXAUOUPABCDEU
      QURXGXIXLALXGXAWTHWRWQHXIXLNXGWTXAWSXBXFUSUTXGWQWRWSXBXFVCUTBCDEVAVDOWSXB
      CVEGZXFXMINBCDEVBXNXFHZXKALJZIALJZMJZALJZPIMJZALJZXMIXOXRXTALXOXPPXQIMXOX
      PXDCUKJZALJZPXNXPYCNXFXNXKYBALXNCXDCVFZXNCVGGXDVGGYDCVHQVIORXOAVJGZXDVKGZ
      CVKGZKXEYCPNXOYEYFYGXCYEXNXEAVLZSXNYFXFXNYGYFCVOZCVMQRXNYGXFYIRUPXNXCXEUO
      XDCAVNVDVPXOATGZIAVQFZHZXQINZXCYLXNXEXCYJYKXCAYHVRZAVSZVTSAWAZQWBOXOXKTGZ
      ITGAWCGZXSXMNXNYQXFXNCXDCWDZXNCTGXDTGYSCWEQWFRXOWGXCYRXNXEXCAYHWHSXKIAWIW
      JXOYAXQIXTIALWKWLXCYMXNXEXCYJYKYMYNYOYPWMSWNWOURWP $.
  $}

  $( The size of the set of closed walks of length ` P ` , ` P ` prime, is
     divisible by ` P ` .  This corresponds to statement 9 in [Huneke] p. 2:
     "It follows that, if p is a prime number, then the number of closed walks
     of length p is divisible by p", see also ~ clwlksndivn .  (Contributed by
     Alexander van der Vekens, 7-Oct-2018.)  (Revised by AV, 3-Jun-2021.)
     (Proof shortened by AV, 2-Mar-2022.) $)
  numclwwlk8 $p |- ( ( G e. FinUSGraph /\ P e. Prime )
                     -> ( ( # ` ( P ClWWalksN G ) ) mod P ) = 0 ) $=
    ( cprime wcel cn cfusgr cclwwlkn co chash cfv cdvds wbr cmo cc0 clwwlkndivn
    wceq prmnn dvdsmod0 syl2an2 ) ACDAEDBFDAABGHIJZKLTAMHNPAQBAOATRS $.

  ${
    $d G p $.  $d K p $.  $d V p $.
    frgrreggt1.v $e |- V = ( Vtx ` G ) $.
    $( If a finite nonempty friendship graph is ` K `-regular with ` K > 1 ` ,
       then ` K ` must be ` 2 ` .  (Contributed by Alexander van der Vekens,
       7-Oct-2018.)  (Revised by AV, 3-Jun-2021.) $)
    frgrreggt1 $p |- ( ( G e. FriendGraph /\ V e. Fin /\ V =/= (/) )
                       -> ( ( G RegUSGraph K /\ 1 < K ) -> K = 2 ) ) $=
      ( vp wcel wbr c1 clt c2 wceq wa wi adantr co cprime cz cle cc0 wn cfn wne
      cfrgr w3a crusgr cn0 simp1 anim1ci simp3 simp2 numclwwlk7lem syl2anc cmin
      c0 jca cv cdvds wrex cuz cfv a1i nn0z peano2zm syl zltlem1 sylancr biimpa
      2z wb eluz2 syl3anbrc exprmfct cclwwlkn cmo cfusgr finrusgrfusgr 3ad2ant3
      chash simp1l numclwwlk8 pm3.22 3adant1 numclwwlk7 syl3anc ax-1ne0 pm2.21i
      eqeq1 nesymi syl6bi sylc a1d 3exp rexlimiva mpcom expcom com23 1red nn0re
      ltnled 1e2m1 breq2d notbid sylancl bicomd 3bitrd cr lttri3 biimprd sylbid
      2re expd com3r pm2.61i mpd expimpd ) AUCFZCUAFZCUNUBZUDZABUEGZHBIGZBJKZXS
      XTLZBUFFZYAYBMZYCXTXPLZXRXQLZYDXSXPXTXPXQXRUGUHZXSYGXTXSXRXQXPXQXRUIXPXQX
      RUJZUONABCDUKULJBIGZYCYDYEMZMYJYDYCYEYDYJYCYEMZEUPZBHUMOZUQGZEPURZYDYJLZY
      LYQYNJUSUTFZYPYQJQFZYNQFZJYNRGZYRYSYQVHVAYQBQFZYTYDUUBYJBVBZNBVCVDYDYJUUA
      YDYSUUBYJUUAVIVHUUCJBVEVFVGJYNVJVKYNEVLVDYOYQYLMEPYMPFZYOLZYQYCYEUUEYQYCU
      DZYBYAUUFYMAVMOVRUTYMVNOZSKZUUGHKZYBUUFAVOFZUUDUUHYCUUEUUJYQYCXTXQLUUJXSX
      QXTYIUHABCDVPVDVQUUDYOYQYCVSYMAVTULUUFYFYGUUEUUIYCUUEYFYQYHVQYCUUEYGYQXSY
      GXTXQXRYGXPXQXRWAWBNVQUUEYQYCUGYMABCDWCWDUUHUUISHKZYBUUGSHWGUUKYBHSWEWHWF
      WIWJWKWLWMWNWOWPYJTZYKYCYDYAUULYBYDYABJIGZTZUULYBMYDYABHRGZTBJHUMOZRGZTUU
      NYDHBYDWQBWRZWSYDUUOUUQYDHUUPBRHUUPKYDWTVAXAXBYDUUQUUMYDUUMUUQYDUUBYSUUMU
      UQVIUUCVHBJVEXCXDXBXEYDUUNUULYBYDBXFFZJXFFZUUNUULLZYBMUURXJUUSUUTLYBUVABJ
      XGXHXCXKXIXLWKXMXNXO $.

    $d G v $.  $d K v $.  $d V v $.
    $( If a finite nonempty friendship graph is ` K `-regular, then ` K ` must
       be ` 2 ` (or ` 0 ` ).  (Contributed by Alexander van der Vekens,
       9-Oct-2018.)  (Revised by AV, 3-Jun-2021.) $)
    frgrreg $p |- ( ( V e. Fin /\ V =/= (/) )
                    -> ( ( G e. FriendGraph /\ G RegUSGraph K )
                         -> ( K = 0 \/ K = 2 ) ) ) $=
      ( vv c1 wbr cc0 wceq c2 wcel wne wa wi wn syl adantl impcom chash cfv clt
      wo cfn cfrgr crusgr cn0 ancom anbi12i biimpi ancomd numclwwlk7lem neanior
      c0 cle wb cr nn0re 1re lenlt sylancl cn elnnne0 biimpd sylbir a1d expimpd
      nnle1eq1 sylbird cvtx fveq2i eqeq1i simpr rusgr1vtx syl2an ex cusgr cxnn0
      orcd cv cvtxdg wral eqid rusgrprop0 simp2 hashnncl df-ne nngt1ne1 biimprd
      w3a syl5bir syl6bir imp vdgn1frgrv3 3imp3i2an r19.26 wrex r19.2z eqneqall
      neeq1 com12 rexlimivw expd com34 3ad2ant3 mpd 3exp com15 com13 syl6 com23
      pm2.61i exp4b simprl simpl ad2antlr anim12ci frgrreggt1 syl31anc olcd 2a1
      exp31 pm2.61ii ) FBUAGZBHIZBJIZUBZCUCKZCUMLZMZAUDKZABUEGZMZYFNNYCOZYFOZYI
      YLYFYIYLMZYMYNMZYFYOBUFKZYPYFNYOYKYJMZYHYGMZMYQYOYSYRYOYSYRMYIYSYLYRYGYHU
      GYJYKUGUHUIUJABCDUKPYPYQYOYFYNYMYQYOYFNZNZYNBHLZBJLZMZYMUUANBHBJULUUDYQYM
      YTUUDYQYMYTNUUDYQMZYMBFIZYTUUEYMBFUNGZUUFYQUUGYMUOZUUDYQBUPKFUPKUUHBUQURB
      FUSUTQYQUUDUUGUUFNZYQUUBUUCUUIYQUUBMZUUIUUCUUJBVAKZUUIBVBUUKUUGUUFBVGVCVD
      VEVFRVHCSTZFIZUUFYTNUUMYTUUFUUMYOYFUUMYOMYDYEUUMAVITZSTZFIZYKYDYOUUMUUPUU
      LUUOFCUUNSDVJVKUIYLYKYIYJYKVLZQABVMVNVRVOVEYOUUFUUMOZYFYLYIUUFUURYFNNZYKY
      JYIUUSNZYKAVPKZBVQKZEVSAVTTZTZBIZECWAZWIYJUUTNZEUVCABCDUVCWBWCUVFUVAUVGUV
      BUURYJYIUUFUVFYFUURYJYIUUFUVFYFNNZUURYJYIWIUVDFLZECWAZUVHUURYJYIYJFUULUAG
      ZUVJUURYJYIWDYIUURUVKYGYHUURUVKNZYGYHUULVAKZUVLCWEUURUULFLZUVMUVKUULFWFUV
      MUVKUVNUULWGWHWJWKWLREACDWMWNYIUURUVJUVHNZYJYHUVOYGYHUVJUVFUUFYFYHUVJUVFU
      UFYFNZUVJUVFMUVIUVEMZECWAZYHUVPUVIUVEECWOYHUVRUVPYHUVRMUVQECWPUVPUVQECWQU
      VQUVPECUVQBFLZUVPUVEUVIUVSUVEUVIUVSUVDBFWSVCRUUFUVSYFYFBFWRWTPXAPVOWJXBXC
      QXDXEXFXGXDPRRXHXKXIVOXJVDRXHXEWTXLYCYIYLYFYCYIMZYLMZYEYDUWAYJYGYHYKYCMZY
      EUVTYJYKXMYIYGYCYLYGYHXNXOYIYHYCYLYGYHVLXOUVTYCYLYKYCYIXNUUQXPYJYGYHWIUWB
      YEABCDXQWLXRXSYAYFYIYLXTYB $.

    $d G a b $.  $d K a b $.  $d V a b $.
    $( If a finite friendship graph is ` K `-regular, then it must have order
       0, 1 or 3.  (Contributed by Alexander van der Vekens, 9-Oct-2018.)
       (Revised by AV, 4-Jun-2021.) $)
    frgrregord013 $p |- ( ( G e. FriendGraph /\ V e. Fin /\ G RegUSGraph K )
                    -> ( ( # ` V ) = 0 \/ ( # ` V ) = 1 \/ ( # ` V ) = 3 ) ) $=
      ( va vb vv wcel cfv cc0 wceq c1 wi w3a wa wn wne c2 ex co cfn cfrgr chash
      crusgr wbr c3 w3o hashcl ax-1 3ioran df-ne c0 hasheq0 necon3bid biimpa cn
      cn0 elnnne0 cuz eluz2b3 cv cpr wex hash2prde wnel cvv cvtx vex a1i eqeq1i
      3jca biimpi nfrgr2v syl2an df-nel sylib pm2.21d com23 exlimivv com14 3imp
      id syl com12 cusgr cxnn0 cvtxdg wral eqid rusgrprop0 clt eluz2gt1 anim1ci
      vdgn0frgrv2 impancom ralrimiv eqeq2 ralbidv r19.26 wfal nne bicomi anbi1i
      ancom pm3.24 bifal 3bitri ralbii falim syl6bir adantl sylbi sylbir syl6bi
      r19.3rzv com4t 3syl com25 com15 3ad2ant3 impcom cmin caddc frrusgrord imp
      oveq1 oveq12d oveq1d 2m1e1 oveq2i 2t1e2 eqtri oveq1i 2p1e3 eqtrdi pm2.61i
      cmul com34 syl5bir mpcom eqeq2d pm2.21 ad2antrr syl5com wo frgrreg mpjaod
      exp32 exp4c com3r 3exp impcomd com24 3exp1 3imp21 ) CUAHZAUBHZABUDUEZCUCI
      ZJKZUUSLKZUUSUFKZUGZUUSUQHZUUPUUQUURUVCMZMZCUHUVDUUPUUQUURUVCUVCUVDUUPUUQ
      NZUUROZUVCMZUVCUVHUIUVCPUUTPZUVAPZUVBPZNUVIUUTUVAUVBUJUVJUVKUVLUVIUVHUVKU
      VLUVJUVCUVGUURUVKUVLUVJUVCMMMUVGUVJUVKUVLUURUVCUVDUUPUUQUVJUVKUVLUVEMZMZM
      UVDUVJUUQUUPUVNUVJUUSJQZUVDUUQUUPUVNMMUUSJUKUUPUVOUUQUVDUVNUUPUVOUUQUVDUV
      NMMZCULQZUUPUVOOZUVPUUPUVOUVQUUPUUSJCULCUAUMUNUOUVDUVRUUQUVQUVNUVDUVOUUPU
      UQUVQUVNMMZUVDUVOUUPUVSMZUVDUVOOUUSUPHZUVTUUSURUWAUVKUUQUVQUUPUVMUVKUUSLQ
      ZUWAUUQUVQUUPUVMMZMMZUUSLUKUWAUWBUWDUWAUWBOUUSRUSIHZUWDUUSUTUWEUUQUVQUWCU
      USRKZUWEUUQUVQNZUWCMUWGUWFUWCUWEUUQUVQUWFUWCMZUUQUVQUWHMMUWEUUPUVQUWFUUQU
      VMUUPUWFUVQUUQUVMMZUUPUWFUVQUWIMZUUPUWFOEVAZFVAZQZCUWKUWLVBZKZOZFVCEVCUWJ
      CUAEFVDUWPUWJEFUWPUUQUVQUVMUWPUUQUVQUVMMUWPAUBVEZUUQPUWMUWKVFHZUWLVFHZUWM
      NAVGIZUWNKZUWQUWOUWMUWRUWSUWMUWRUWMEVHVIUWSUWMFVHVIUWMWBVKUWOUXACUWTUWNDV
      JVLUWKUWLAVFVFVMVNAUBVOVPVQVRVSWCSVRVTVIWAWDUWGUUPUWFPZUVMUWEUUQUVQUUPUXB
      UVMMZMUUPUUQUVQUWEUXCUUPUVQUUQUWEUXCMZUUPUVQUUQUXDMUUPUVQOZUVLUWEUXBUUQUV
      EUXEUVLUXBUWEUVFUXEUVLUXBUWEUVFUXEUUQUVLUXBOZUWEOZUVEUXEUUQUURUXGUVCUXEUU
      QUURUXGUVCMZUXEUUQUUROZOZBJKZUXHBRKZUXIUXEUXKUXHMZUURUUQUXEUXMMZUURAWEHZB
      WFHZGVAZAWGIZIZBKZGCWHZNUUQUXNMZGUXRABCDUXRWIWJUYAUXOUYBUXPUUQUYAUXNUXGUY
      AUXEUXKUUQUVCUWEUYAUXEUXKUUQUVCMMMMUXFUWEUUQUXEUXKUYAUVCUWEUUQUXEUXKUYAUV
      CMMMZUWEUUQOUUQLUUSWKUEZOZUXSJQZGCWHZUYCUWEUYDUUQUUSWLWMUYEUYFGCUUQUXQCHU
      YDUYFAUXQCDWNWOWPUXKUYAUYGUXEUVCUXKUYAUXSJKZGCWHZUYGUXEUVCMZMUXKUXTUYHGCB
      JUXSWQWRUYIUYGUYJUYIUYGOUYHUYFOZGCWHZUYJUYHUYFGCWSUYLWTGCWHZUYJUYKWTGCUYK
      UYFPZUYFOUYFUYNOZWTUYHUYNUYFUYNUYHUXSJXAXBXCUYNUYFXDUYOUYFXEXFXGXHUXEUYMU
      VCUVQUYMUVCMUUPUVQUYMWTUVCWTGCXOUVCXIXJXKWDXLXMSXNXPXQSXRXKXSWDXTWCYAYAUX
      JUUSBBLYBTZYQTZLYCTZKZUXLUXHUXEUXIUYSABCDYDYEUXLUYSUVBUXHUXLUYRUFUUSUXLUY
      RRRLYBTZYQTZLYCTZUFUXLUYQVUALYCUXLBRUYPUYTYQUXLWBBRLYBYFYGYHVUBRLYCTUFVUA
      RLYCVUARLYQTRUYTLRYQYIYJYKYLYMYNYLYOUUAUXGUVBUVCUVLUVBUVCMUXBUWEUVBUVCUUB
      UUCWDXNUUDUXEUXIUXKUXLUUEABCDUUFYEUUGUUHYRVRUUIYRXRSVRVTWAUUJYPUUKXMSYSXR
      XMSUULVTYTSVTYSUUMWAXRYEVTWAXLYPUUNYTUUO $.

    $( If a nonempty finite friendship graph is ` K `-regular, then it must
       have order 1 or 3.  Special case of ~ frgrregord013 .  (Contributed by
       Alexander van der Vekens, 9-Oct-2018.)  (Revised by AV, 4-Jun-2021.) $)
    frgrregord13 $p |- ( ( ( G e. FriendGraph /\ V e. Fin /\ V =/= (/) )
                           /\ G RegUSGraph K )
                         -> ( ( # ` V ) = 1 \/ ( # ` V ) = 3 ) ) $=
      ( chash cfv cc0 wceq c1 c3 w3o cfrgr wcel cfn c0 wne w3a crusgr wi a1d wa
      wbr simpl1 simpl2 simpr frgrregord013 syl3anc hasheq0 eqneqall syl6bi a1i
      wo com23 3imp adantr com12 orc olc 3jaoi mpcom ) CEFZGHZVAIHZVAJHZKZALMZC
      NMZCOPZQZABRUBZUAZVCVDULZVKVFVGVJVEVFVGVHVJUCVFVGVHVJUDVIVJUEABCDUFUGVBVK
      VLSVCVDVKVBVLVIVBVLSZVJVFVGVHVMVGVHVMSSVFVGVBVHVLVGVBCOHVHVLSCNUHVLCOUIUJ
      UMUKUNUOUPVCVLVKVCVDUQTVDVLVKVDVCURTUSUT $.

    $d G k $.  $d V k $.
    $( If a finite friendship graph has an order greater than 3, it cannot be
       ` k `-regular for any ` k ` .  (Contributed by Alexander van der Vekens,
       9-Oct-2018.)  (Revised by AV, 4-Jun-2021.) $)
    frgrogt3nreg $p |- ( ( G e. FriendGraph /\ V e. Fin /\ 3 < ( # ` V ) )
                         -> A. k e. NN0 -. G RegUSGraph k ) $=
      ( wcel cfn c3 clt wbr w3a cn0 wa wi c1 wceq wne cc0 cr a1i ex cfrgr chash
      cfv cv crusgr wn wo c0 simp1 simp2 hashcl 0red 3re nn0re 3jca adantr 3pos
      simpr lttr imp syl12anc ltne syl6an hasheq0 necon3bid biimpcd com23 mpcom
      syl6 3imp ad2antrl simpl frgrregord13 syl2anc 1red lttrd eqneqall syl5com
      1lt3 gtned sylan jaod syl mpd ax-1 pm2.61i ralrimiva ) BUAEZCFEZGCUBUCZHI
      ZJZBAUDZUEIZUFZAKWNWLWMKEZLZWOMWNWQWOWNWQLZWJNOZWJGOZUGZWOWRWHWICUHPZJZWN
      XAWLXCWNWPWLWHWIXBWHWIWKUIWHWIWKUJWHWIWKXBWIWKXBMZMWHWJKEZWIXDCUKZXEWKWIX
      BXEWKWJQPZWIXBMXEQREZWKQWJHIZXGXEULZXEWKXIXEWKLZXHGREZWJREZJZQGHIZWKXIXEX
      NWKXEXHXLXMXJXLXEUMSZWJUNZUOUPXOXKUQSXEWKURZXNXOWKLXIQGWJUSUTVATQWJVBVCWI
      XGXBWIWJQCUHCFVDVEVFVIVGVHSVJUOVKWNWQVLBWMCDVMVNWLXAWOMZWNWPWHWIWKXSWIWKX
      SMZMWHWIXEXTXFXEWKXSXKWSWOWTXKWJNPWSWOXKNWJXKVOZXKNGWJYAXLXKUMSXEXMWKXQUP
      NGHIXKVSSXRVPVTWOWJNVQVRXKWJGPZWTWOXEXLWKYBXPGWJVBWAWOWJGVQVRWBTWCSVJVKWD
      TWOWQWEWFWG $.

    $d G k m t u v w $.  $d V k m t u v w $.
    $( The friendship theorem for big graphs:  In every finite friendship graph
       with order greater than 3 there is a vertex which is adjacent to all
       other vertices.  (Contributed by Alexander van der Vekens, 9-Oct-2018.)
       (Revised by AV, 4-Jun-2021.) $)
    friendshipgt3 $p |- ( ( G e. FriendGraph /\ V e. Fin /\ 3 < ( # ` V ) )
               -> E. v e. V A. w e. ( V \ { v } ) { v , w } e. ( Edg ` G ) ) $=
      ( vu vk vt vm wcel c3 cfv wbr cv wceq wrex wi cn0 wa cc0 cfrgr cfn cvtxdg
      chash clt w3a crusgr cpr cedg cdif wral wo wn eqid frgrregorufrg 3ad2ant1
      csn frgrogt3nreg cfusgr c0 wne cusgr frgrusgr anim1i isfusgr 3adant3 0red
      sylibr cr 3re a1i hashcl nn0red adantr 3pos simpr lttrd gt0ne0d necon3bid
      hasheq0 mpbid 3adant1 fusgrn0degnn0 syl2anc r19.26 simpllr fveqeq2 rspcev
      wb ad4ant13 ornld eqeq2 rexbidv breq2 orbi1d imbi12d notbid imbi1d adantl
      syl anbi12d mpbird rspcimdv com12 sylbir com13 exp31 rexlimivv mpcom mp2d
      expcom ) CUAJZDUBJZKDUDLZUEMZUFZFNZCUCLZLZGNZOZFDPZCXTUGMZBNZANUHCUILZJAD
      YDUQUJUKBDPZULZQZGRUKZYCUMZGRUKZYFXLXMYIXOABGYECDFEYEUNUOUPGCDEURHNZXRLIN
      ZOZIRPHDPZXPYIYKYFQQZXPCUSJZDUTVAZYOXLXMYQXOXLXMSCVBJZXMSYQXLYSXMCVCVDCDE
      VEVHVFXMXOYRXLXMXOSZXNTVAYRYTXNYTTKXNYTVGKVIJYTVJVKXMXNVIJXOXMXNDVLVMVNTK
      UEMYTVOVKXMXOVPVQVRYTXNTDUTXMXNTODUTOWIXODUBVTVNVSWAWBHICDEWCWDYNXPYPQHID
      RYLDJZYMRJZSZYNXPYPYKYIUUCYNSXPSZYFYIYKUUDYFQZYIYKSYHYJSZGRUKZUUEYHYJGRWE
      UUDUUGYFUUDUUFYFGYMRUUAUUBYNXPWFUUDXTYMOZSUUFYFQZXSYMOZFDPZCYMUGMZYFULZQZ
      UULUMZSZYFQZUUDUUQUUHUUDUUKUUQUUAYNUUKUUBXPUUJYNFYLDXQYLYMXRWGWHWJUUKUULY
      FWKWTVNUUHUUIUUQWIUUDUUHUUFUUPYFUUHYHUUNYJUUOUUHYBUUKYGUUMUUHYAUUJFDXTYMX
      SWLWMUUHYCUULYFXTYMCUGWNZWOWPUUHYCUULUURWQXAWRWSXBXCXDXEXKXFXGXHXIXJ $.
  $}

  ${
    $d G a b c v w $.  $d V a b c v w $.
    friendship.v $e |- V = ( Vtx ` G ) $.
    $( The friendship theorem:  In every finite (nonempty) friendship graph
       there is a vertex which is adjacent to all other vertices.  This is
       Metamath 100 proof #83.  (Contributed by Alexander van der Vekens,
       9-Oct-2018.) $)
    friendship $p |- ( ( G e. FriendGraph /\ V =/= (/) /\ V e. Fin )
               -> E. v e. V A. w e. ( V \ { v } ) { v , w } e. ( Edg ` G ) ) $=
      ( va vb vc c3 cfv wbr wcel cfn w3a cv cpr wi wa wceq wex chash clt c0 wne
      cfrgr cedg cdif wral wrex simpr1 simpr3 simpl friendshipgt3 syl3anc ex wn
      csn c1 cle ctp w3o cn0 hashcl simplr hashge1 ad2ant2l cr wb nn0re sylancl
      3re lenlt biimprd adantr com12 impcom 3jca exp31 hash1to3 1to3vfriendship
      mpcom cvv vex eqid mpan exlimiv exlimivv 3syl com14 3imp pm2.61i ) IDUAJZ
      UBKZCUELZDUCUDZDMLZNZBOZAOPCUFJZLADWRUQUGUHBDUIZQWMWQWTWMWQRWNWPWMWTWMWNW
      OWPUJWMWNWOWPUKWMWQULABCDEUMUNUOWQWMUPZWTWNWOWPXAWTQXAWOWPWNWTXAWOWPWNWTQ
      ZXAWORZWPRWPURWLUSKZWLIUSKZNZDFOZUQSDXGGOZPSDXGXHHOZUTSVAZHTZGTFTXBWPXCXF
      WLVBLZWPXCXFQDVCXLWPXCXFXLWPRZXCRWPXDXEXLWPXCVDWPWOXDXLXADMVEVFXCXMXEXAXM
      XEQWOXMXAXEXLXAXEQWPXLXEXAXLWLVGLIVGLXEXAVHWLVIVKWLIVLVJVMVNVOVNVPVQVRWAV
      PDFGHVSXKXBFGXJXBHXGWBLXJXBFWCABXGXHXIWSCDWBEWSWDVTWEWFWGWHVRWIWJVOWK $.
  $}
$( End $[ set-graphth.mm $] $)


$( Begin $[ set-guidesetc.mm $] $)
$(
###############################################################################
  GUIDES AND MISCELLANEA
###############################################################################
$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Guides (conventions, explanations, and examples)
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Conventions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  <HTML>
  <p>
  This section describes the conventions we use.  These conventions often refer
  to existing mathematical practices, which are discussed in more detail in
  other references.

  They are organized as follows:
  <ul>
  <li> ~ conventions : general conventions</li>
  <li> ~ conventions-labels : conventions related to labels</li>
  <li> ~ conventions-comments : conventions related to comments</li>
  </ul>

  <p>
  Logic and set theory provide a foundation for all of mathematics.  To learn
  about them, you should study one or more of the references listed below.  We
  indicate references using square brackets.  The textbooks provide a
  motivation for what we are doing, whereas Metamath lets you see in detail all
  hidden and implicit steps.  Most standard theorems are accompanied by
  citations.  Some closely followed texts include the following:
  <ul>
  <li>Axioms of propositional calculus - [Margaris].</li>
  <li>Axioms of predicate calculus - [Megill] (System S3' in the article
      referenced).</li>
  <li>Theorems of propositional calculus - [WhiteheadRussell].</li>
  <li>Theorems of pure predicate calculus - [Margaris].</li>
  <li>Theorems of equality and substitution - [Monk2], [Tarski], [Megill].</li>
  <li>Axioms of set theory - [BellMachover].</li>
  <li>Development of set theory - [TakeutiZaring].  (The first part of [Quine]
      has a good explanation of the powerful device of "virtual" or
      class abstractions, which is essential to our development.)</li>
  <li>Construction of real and complex numbers - [Gleason].</li>
  <li>Theorems about real numbers - [Apostol].</li>
  </ul>
  </HTML>

$)

  ${
    $( Dummy premise for ~ conventions . $)
    conventions.1 $e |- ph $.
    $(
       <HTML>
       <p>Here are some of the conventions we use in the Metamath Proof
       Explorer (MPE, set.mm), and how they correspond to typical textbook
       language (skipping the many cases where they are identical).
       For more specific conventions, see:
       <ul>
       <li> ~ conventions-labels : conventions related to labels</li>
       <li> ~ conventions-comments : conventions related to comments</li>
       </ul>

       <ul>
       <li><p><b>Notation.</b>
       Where possible, the notation attempts to conform to modern
       conventions, with variations due to our choice of the axiom system
       or to make proofs shorter.  However, our notation is strictly
       sequential (left-to-right). For example, summation is written in the
       form ` sum_ k e. A B ` ( ~ df-sum ) which denotes that index
       variable ` k ` ranges over ` A ` when evaluating ` B ` .  Thus,
       ` sum_ k e. NN ( 1 / ( 2 ^ k ) ) = 1 ` means 1/2 + 1/4 + 1/8 + ...
       = 1 ( ~ geoihalfsum ).
       The notation is usually explained in more detail when first introduced.
       </li>

       <li><p><b>Axiomatic assertions ($a).</b>
       All axiomatic assertions ($a statements)
       starting with " ` |- ` " have labels starting
       with "ax-" (axioms) or "df-" (definitions).  A statement with a
       label starting with "ax-" corresponds to what is traditionally
       called an axiom.  A statement with a label starting with "df-"
       introduces new symbols or a new relationship among symbols
       that can be eliminated; they always extend the definition of
       a wff or class.  Metamath blindly treats $a statements as new
       given facts but does not try to justify them.  The mmj2 program
       will justify the definitions as sound as discussed below,
       except for four of them ( ~ df-bi , ~ df-clab , ~ df-cleq , ~ df-clel )
       that require a more complex metalogical justification by hand.
       </li>

       <li><p><b>Proven axioms.</b>
       In some cases we wish to treat an expression as an axiom in
       later theorems, even though it can be proved.  For example,
       we derive the postulates or axioms of complex arithmetic as
       theorems of ZFC set theory.  For convenience, after deriving
       the postulates, we reintroduce them as new axioms on
       top of set theory.  This lets us easily identify which axioms
       are needed for a particular complex number proof, without the
       obfuscation of the set theory used to derive them.  For more, see
       ~ mmcomplex.html .  When we wish
       to use a previously-proven assertion as an axiom, our convention
       is that we use the
       regular "ax-NAME" label naming convention to define the axiom,
       but we precede it with a proof of the same statement with the label
       "axNAME" .  An example is the complex arithmetic axiom ~ ax-1cn ,
       proven by the preceding theorem ~ ax1cn .
       The Metamath program will warn if an axiom does not match the preceding
       theorem that justifies it if the names match in this way.
       </li>

       <li><p><b>Definitions (df-...).</b>
       We encourage definitions to include hypertext links to proven examples.
       </li>

       <li><p><b>Statements with hypotheses.</b>
       Many theorems and some axioms, such as ~ ax-mp , have hypotheses that
       must be satisfied in order for the conclusion to hold, in this case min
       and maj.  When displayed in summarized form such as in the "Theorem
       List" page (to get to it, click on "Nearby theorems" on the ~ ax-mp
       page), the hypotheses are connected with an ampersand and separated from
       the conclusion with a double right arrow, such as in
       " ` |- ph & |- ( ph -> ps ) => |- ps ` ".  These symbols are not part of
       the Metamath language but are just informal notation meaning "and" and
       "implies".
       </li>

       <li><p><b>Discouraged use and modification.</b>
       If something should only be used in limited ways, it is marked with
       "(New usage is discouraged.)". This is used, for example, when something
       can be constructed in more than one way, and we do not want later
       theorems to depend on that specific construction.
       This marking is also used if we want later proofs to use proven axioms.
       For example, we want later proofs to
       use ~ ax-1cn (not ~ ax1cn ) and ~ ax-1ne0 (not ~ ax1ne0 ), as these
       are proven axioms for complex arithmetic.  Thus, both
       ~ ax1cn and ~ ax1ne0 are marked as "(New usage is discouraged.)".
       In some cases a proof should not normally be changed, e.g., when it
       demonstrates some specific technique.
       These are marked with "(Proof modification is discouraged.)".
       </li>

       <li><p><b>New definitions infrequent.</b>
       Typically, we are minimalist when introducing new definitions; they are
       introduced only when a clear advantage becomes apparent for reducing
       the number of symbols, shortening proofs, etc.  We generally avoid
       the introduction of gratuitous definitions because each one requires
       associated theorems and additional elimination steps in proofs.
       For example, we use ` < ` and ` <_ ` for inequality expressions, and
       use ` ( ( sin `` ( _i x. A ) ) / _i ) ` instead of ` ( sinh `` A ) `
       for the hyperbolic sine.
       </li>

       <li><p><b>Minimizing axiom dependencies.</b>
       We prefer proofs that depend on fewer and/or weaker axioms, even if
       the proofs are longer.  In particular, because of the non-constructive
       nature of the axiom of choice ~ df-ac , we prefer proofs that do not use
       it, or use weaker versions like countable choice ~ ax-cc or dependent
       choice ~ ax-dc .  An example is our proof of the Schroeder-Bernstein
       Theorem ~ sbth , which does not use the axiom of choice.  Similarly,
       any theorem in first-order logic (FOL) that contains only setvar
       variables that are all mutually distinct, and has no wff variables, can
       be proved without using ~ ax-10 through ~ ax-13 , by using ~ ax10w
       through ~ ax13w instead.

       <p>We do not try to similarly reduce dependencies on definitions, since
       definitions are conservative (they do not increase the proving power of
       a deductive system), and are introduced in order to be used to increase
       readability).  An exception is made for Definitions ~ df-clab ,
       ~ df-cleq , and ~ df-clel , since they can be considered as axioms under
       some definitions of what a definition is exactly (see their comments).
       </li>

       <li><p><b>Alternate proofs (ALT).</b>
       If a different proof is shorter or clearer but uses more or stronger
       axioms, we make that proof an "alternate" proof (marked with an ALT
       label suffix), even if this alternate proof was formalized first.
       We then make the proof that requires fewer axioms the main proof.
       Alternate proofs can also occur in other cases when an alternate proof
       gives some particular insight.  Their comment should begin with
       "Alternate proof of ~~ xxx " followed by a description of the
       specificity of that alternate proof.  There can be multiple alternates.
       Alternate (*ALT) theorems should have "(Proof modification is
       discouraged.)  (New usage is discouraged.)" in their comment and should
       follow the main statement, so that people reading the text in order will
       see the main statement first.  The alternate and main statement comments
       should use hyperlinks to refer to each other.
       </li>

       <li><p><b>Alternate versions (ALTV).</b>
       The suffix ALTV is reserved for theorems (or definitions) which are
       alternate versions, or variants, of an existing theorem.  This is
       reserved to statements in mathboxes and is typically used temporarily,
       when it is not clear yet which variant to use.  If it is decided that
       both variants should be kept and moved to the main part of set.mm, then
       a label for the variant should be found with a more explicit suffix
       indicating how it is a variant (e.g., commutation of some subformula,
       antecedent replaced with hypothesis, (un)curried variant, biconditional
       instead of implication, etc.).  There is no requirement to add
       discouragement tags, but their comment should have a link to the main
       version of the statement and describe how it is a variant of it.
       </li>

       <li><p><b>Old (OLD) versions or proofs.</b>
       If a proof, definition, axiom, or theorem is going to be removed, we
       often stage that change by first renaming its label with an OLD suffix
       (to make it clear that it is going to be removed).  Old (*OLD)
       statements should have
       "(Proof modification is discouraged.)  (New usage is discouraged.)" and
       "Obsolete version of ~~ xxx as of dd-Mmm-yyyy." (not enclosed in
       parentheses) in the comment.  An old statement should follow the main
       statement, so that people reading the text in order will see the main
       statement first.  This typically happens when a shorter proof to an
       existing theorem is found: the existing theorem is kept as an *OLD
       statement for one year.  When a proof is shortened automatically (using
       the Metamath program "MM-PA> MINIMIZE__WITH *" command), then it is not
       necessary to keep the old proof, nor to add credit for the shortening.
       </li>

       <li><p><b>Variables.</b>
       Propositional variables (variables for well-formed formulas or wffs) are
       represented with lowercase Greek letters and are generally used
       in this order:
       ` ph ` = phi, ` ps ` = psi, ` ch ` = chi, ` th ` = theta,
       ` ta ` = tau, ` et ` = eta, ` ze ` = zeta, and ` si ` = sigma.
       Individual setvar variables are represented with lowercase Latin letters
       and are generally used in this order:
       ` x ` , ` y ` , ` z ` , ` w ` , ` v ` , ` u ` , and ` t ` .
       Variables that represent classes are often represented by
       uppercase Latin letters:
       ` A ` , ` B ` , ` C ` , ` D ` , ` E ` , and so on.
       There are other symbols that also represent class variables and suggest
       specific purposes, e.g., ` .0. ` for a zero element (e.g., ~ fsuppcor )
       and connective symbols such as ` .+ ` for some group addition operation
       (e.g., grprinvd ).
       Class variables are selected in alphabetical order starting
       from ` A ` if there is no reason to do otherwise, but many
       assertions select different class variables or a different order
       to make their intended meaning clearer.
       </li>

       <li><p><b>Turnstile.</b>
       "` |- ` ", meaning "It is provable that", is the first token
       of all assertions
       and hypotheses that aren't syntax constructions.  This is a standard
       convention in logic.  For us, it also prevents any ambiguity with
       statements that are syntax constructions, such as "wff ` -. ph ` ".
       </li>

       <li><p><b>Biconditional ( ` <-> ` ).</b>
       There are basically two ways to maximize the effectiveness of
       biconditionals ( ` <-> ` ):
       you can either have one-directional simplifications of all theorems
       that <i>produce</i> biconditionals, or you can have one-directional
       simplifications of theorems that <i>consume</i> biconditionals.
       Some tools (like Lean) follow the first approach, but set.mm follows
       the second approach. Practically, this means that in set.mm, for
       every theorem that uses an implication in the hypothesis, like
       ~ ax-mp , there is a corresponding version with a biconditional or a
       reversed biconditional, like ~ mpbi or ~ mpbir .  We prefer this
       second approach because the number of duplications in the second
       approach is bounded by the size of the propositional calculus section,
       which is much smaller than the number of possible theorems in all later
       sections that produce biconditionals.  So although theorems like
       ~ biimpi are available, in most cases there is already a theorem that
       combines it with your theorem of choice, like ~ mpbir2an , ~ sylbir ,
       or ~ 3imtr4i .
       </li>

       <li><p><b>Quantifiers.</b>
       The quantifiers are named as follows:
       <ul>
       <li> ` A. ` : universal quantifier ( ~ wal );</li>
       <li> ` E. ` : existential quantifier ( ~ df-ex );</li>
       <li> ` E* ` : at-most-one quantifier ( ~ df-mo );</li>
       <li> ` E! ` : unique existential quantifier ( ~ df-eu ).</li>
       </ul>
       <p>The phrase "uniqueness quantifier" is avoided since it is ambiguous:
       it can be understood as claiming either uniqueness ( ` E* ` ) or unique
       existence ( ` E! ` ).
       </li>

       <li><p><b>Substitution.</b>
       The expression "` [ y / x ] ph ` " should be read "the formula that
       results from the proper substitution of ` y ` for ` x ` in the formula
       ` ph ` ".  See ~ df-sb and the related ~ df-sbc and ~ df-csb .
       </li>

       <li><p><b>Is-a-set.</b>
       " ` A e. _V ` " should be read "Class ` A ` is a set (i.e., exists)."
       This is a convention based on Definition 2.9 of [Quine] p. 19.
       See ~ df-v and ~ isset .
       However, instead of using ` I e. _V ` in the antecedent of a theorem for
       some variable ` I ` , we now prefer to use ` I e. V ` (or another
       variable if ` V ` is not available) to make it more general.  That way
       we can often avoid extra uses of ~ elex and ~ syl in the common case
       where ` I ` is already a member of something.  For hypotheses
       ($e statement) of theorems (mostly in inference form), however,
       ` |- A e. _V ` is used rather than ` |- A e. V ` (e.g., ~ difexi ).
       This is because ` A e. _V ` is almost always satisfied using an
       existence theorem stating " ` ... e. _V ` ", and a hard-coded ` _V ` in
       the $e statement saves a couple of syntax building steps that substitute
       ` _V ` into ` V `. Notice that this does not hold for hypotheses of
       theorems in deduction form: Here still ` |- ( ph -> A e. V ) ` should be
       used rather than ` |- ( ph -> A e. _V ) `.
       </li>

       <li><p><b>Converse.</b>
       The symbol " ` ``' ` " denotes the converse of a relation, so
       " ` ``' R ` " denotes the converse of the class ` R ` , which is
       typically a relation in that context (see ~ df-cnv ). The converse of a
       relation ` R ` is sometimes denoted by R<sup>-1</sup> in textbooks,
       especially when ` R ` is a function, but we avoid this notation since it
       is generally not a genuine inverse (see ~ f1cocnv1 and ~ funcocnv2 for
       cases where it is a left or right-inverse).  This can be used to define
       a subset, e.g., ~ df-tan notates "the set of values whose cosine is a
       nonzero complex number" as ` ( ``' cos " ( CC \ { 0 } ) ) ` .
       </li>

       <li><p><b>Function application.</b>
       The symbols "( ` F `` x ` )" should be read "the value
       of (function) ` F ` at ` x ` " and has the same meaning as the more
       familiar but ambiguous notation F(x).  For example,
       ` ( cos `` 0 ) = 1 ` (see ~ cos0 ).  The left apostrophe notation
       originated with Peano and was adopted in Definition *30.01 of
       [WhiteheadRussell] p. 235, Definition 10.11 of [Quine] p. 68, and
       Definition 6.11 of [TakeutiZaring] p. 26.  See ~ df-fv .
       In the ASCII (input) representation there are spaces around the grave
       accent; there is a single accent when it is used directly,
       and it is doubled within comments.
       </li>

       <li><p><b>Infix and parentheses.</b>
       When a function that takes two classes and produces a class
       is applied as part of an infix expression, the expression is always
       surrounded by parentheses (see ~ df-ov ).
       For example, the ` + ` in ` ( 2 + 2 ) ` ; see ~ 2p2e4 .
       Function application is itself an example of this.
       Similarly, predicate expressions
       in infix form that take two or three wffs and produce a wff
       are also always surrounded by parentheses, such as
       ` ( ph -> ps ) ` , ` ( ph \/ ps ) ` , ` ( ph /\ ps ) ` , and
       ` ( ph <-> ps ) `
       (see ~ wi , ~ df-or , ~ df-an , and ~ df-bi respectively).
       In contrast, a binary relation (which compares two _classes_ and
       produces a _wff_) applied in an infix expression is _not_
       surrounded by parentheses.
       This includes set membership ` A e. B ` (see ~ wel ),
       equality ` A = B ` (see ~ df-cleq ),
       subset ` A C_ B ` (see ~ df-ss ), and
       less-than ` A < B ` (see ~ df-lt ).  For the general definition
       of a binary relation in the form ` A R B ` , see ~ df-br .
       For example, ` 0 < 1 ` (see ~ 0lt1 ) does not use parentheses.
       </li>

       <li><p><b>Unary minus.</b>
       The symbol ` -u ` is used to indicate a unary minus, e.g., ` -u 1 ` .
       It is specially defined because it is so commonly used.
       See ~ cneg .
       </li>

       <li><p><b>Function definition.</b>
       Functions are typically defined by first defining the constant symbol
       (using $c) and declaring that its symbol is a class with the
       label cNAME (e.g., ~ ccos ).
       The function is then defined labeled df-NAME; definitions
       are typically given using the maps-to notation (e.g., ~ df-cos ).
       Typically, there are other proofs such as its
       closure labeled NAMEcl (e.g., ~ coscl ), its
       function application form labeled NAMEval (e.g., ~ cosval ),
       and at least one simple value (e.g., ~ cos0 ).
       Another way to define functions is to use recursion (for more details
       about recursion see below).  For an example of how to define functions
       that aren't primitive recursive using recursion, see the Ackermann
       function definition ~ df-ack (which is based on the sequence builder
       ` seq `, see ~ df-seq ).
       </li>

       <li><p><b>Factorial.</b>
       The factorial function is traditionally a postfix operation,
       but we treat it as a normal function applied in prefix form, e.g.,
       ` ( ! `` 4 ) = ; 2 4 ` ( ~ df-fac and ~ fac4 ).
       </li>

       <li><p><b>Unambiguous symbols.</b>
       A given symbol has a single unambiguous meaning in general.
       Thus, where the literature might use the same symbol with different
       meanings, here we use different (variant) symbols for different
       meanings.  These variant symbols often have suffixes, subscripts,
       or underlines to distinguish them.  For example, here
       "` 0 ` " always means the value zero ( ~ df-0 ), while
       "` 0g ` " is the group identity element ( ~ df-0g ),
       "` 0. ` " is the poset zero ( ~ df-p0 ),
       "` 0p ` " is the zero polynomial ( ~ df-0p ),
       "` 0vec ` " is the zero vector in a normed subcomplex vector space
       ( ~ df-0v ), and
       "` .0. ` " is a class variable for use as a connective symbol
       (this is used, for example, in ~ p0val ).
       There are other class variables used as connective symbols
       where traditional notation would use ambiguous symbols, including
       "` .1. ` ", "` .+ ` ", "` .* ` ", and "` .|| ` ".
       These symbols are very similar to traditional notation, but because
       they are different symbols they eliminate ambiguity.
       </li>

       <li><p><b>ASCII representation of symbols.</b>
       We must have an ASCII representation for each symbol.
       We generally choose short sequences, ideally digraphs, and generally
       choose sequences that vaguely resemble the mathematical symbol.
       Here are some of the conventions we use when selecting an
       ASCII representation.

       <p>We generally do not include parentheses inside a symbol because
       that confuses text editors (such as emacs).
       Greek letters for wff variables always use the first two letters
       of their English names, making them easy to type and easy to remember.
       Symbols that almost look like letters, such as ` A. ` ,
       are often represented by that letter followed by a period.
       For example, "A." is used to represent ` A. ` ,
       "e." is used to represent ` e. ` , and
       "E." is used to represent ` E. ` .
       Single letters are now always variable names, so constants that are
       often shown as single letters are now typically preceded with "&#95;"
       in their ASCII representation, for example,
       "&#95;i" is the ASCII representation for the imaginary unit ` _i ` .
       A script font constant is often the letter
       preceded by "&#126;" meaning "curly", such as "&#126;P" to represent
       the power class ` ~P ` .

       <p>Originally, all setvar and class variables used only single letters
       a-z and A-Z, respectively.  A big change in recent years was to
       allow the use of certain symbols as variable names to make formulas
       more readable, such as a variable representing an additive group
       operation. The convention is to take the original constant token
       (in this case "+" which means complex number addition) and put
       a period in front of it to result in the ASCII representation of the
       variable ".+", shown as ` .+ ` , that can
       be used instead of say the letter "P" that had to be used before.

       <p>Choosing tokens for more advanced concepts that have no standard
       symbols but are represented by words in books, is hard. A few are
       reasonably obvious, like "Grp" for group and "Top" for topology,
       but often they seem to end up being either too long or too
       cryptic.  It would be nice if the math community came up with
       standardized short abbreviations for English math terminology,
       like they have more or less done with symbols, but that probably
       won't happen any time soon.

       <p>Another informal convention that we have somewhat followed, that is
       also not uncommon in the literature, is to start tokens with a
       capital letter for collection-like objects and lower case for
       function-like objects.  For example, we have the collections On
       (ordinal numbers), Fin, Prime, Grp, and we have the functions sin,
       tan, log, sup.  Predicates like Ord and Lim also tend to start
       with upper case, but in a sense they are really collection-like,
       e.g., Lim indirectly represents the collection of limit ordinals,
       but it cannot be an actual class since not all limit ordinals
       are sets.
       This initial upper versus lower case letter convention is sometimes
       ambiguous.  In the past there's been a debate about whether
       domain and range are collection-like or function-like, thus whether
       we should use Dom, Ran or dom, ran.  Both are used in the literature.
       In the end dom, ran won out for aesthetic reasons
       (Norm Megill simply just felt they looked nicer).
       </li>

       <li><p><b>Typography conventions.</b>
       Class symbols for functions (e.g., ` abs ` , ` sin ` )
       should usually not have leading or trailing blanks in their
       HTML representation.
       This is in contrast to class symbols for operations
       (e.g., ` gcd ` , ` sadd ` , ` eval ` ), which usually do
       include leading and trailing blanks in their representation.
       If a class symbol is used for a function as well as an operation
       (according to Definition ~ df-ov , each operation value can be
       written as function value of an ordered pair), the convention for its
       primary usage should be used, e.g., ` ( iEdg `` G ) ` versus
       ` ( V iEdg E ) ` for the edges of a graph ` G = <. V , E >. ` .
       </li>

       <li><p><b>LaTeX definitions.</b>
       Each token has a "LaTeX definition" which is used by the Metamath
       program to output tex files.  When writing LaTeX definitions,
       contributors should favor simplicity over perfection of the display, and
       should only use core LaTeX symbols or symbols from standard packages; if
       packages other than amssymb, amsmath, mathtools, mathrsfs, phonetic,
       graphicx are needed, this should be discussed.  A useful resource is
       <a href="https://www.ctan.org/pkg/comprehensive">The Comprehensive LaTeX
       Symbol List</a>.
       </li>

       <li><p><b>Number construction independence.</b>
       There are many ways to model complex numbers.
       After deriving the complex number postulates we
       reintroduce them as new axioms on top of set theory.
       This lets us easily identify which axioms are needed
       for a particular complex number proof, without the obfuscation
       of the set theory used to derive them.
       This also lets us be independent of the specific construction,
       which we believe is valuable.
       See ~ mmcomplex.html for details.
       Thus, for example, we don't allow the use of ` (/) e/ CC ` ,
       as handy as that would be, because that would be
       construction-specific.  We want proofs about ` CC ` to be independent
       of whether or not ` (/) e. CC ` .
       </li>

       <li><p><b>Minimize hypotheses.</b>
       In most cases we try to minimize hypotheses, so that the statement be
       more general and easier to use.  There are exceptions.  For example, we
       intentionally add hypotheses if they help make proofs independent of a
       particular construction (e.g., the contruction of the complex numbers
       ` CC ` ).  We also intentionally add hypotheses for many real and
       complex number theorems to expressly state their domains even when they
       are not needed.  For example, we could show that
       ` |- ( A < B -> B =/= A ) ` without any hypotheses, but we require that
       theorems using this result prove that ` A ` and ` B ` are real numbers,
       so that the statement we use is ~ ltnei .  Here are the reasons as
       discussed in ~ https://groups.google.com/g/metamath/c/2AW7T3d2YiQ :
       <ol>
       <li>Having the hypotheses immediately shows the intended domain of
       applicability (is it ` RR ` , ` RR* ` , ` _om ` , or something else?),
       without having to trace back to definitions.</li>
       <li>Having the hypotheses forces the intended use of the statement,
       which generally is desirable.</li>
       <li>Many out-of-domain values are dependent on contingent details of
       definitions, so hypothesis-free theorems would be non-portable and
       "brittle".</li>
       <li>Only a few theorems can have their hypotheses removed in this
       fashion, due to coincidences for our particular set-theoretical
       definitions.  The poor user (especially a novice learning, e.g., real
       number arithmetic) is going to be confused not knowing when hypotheses
       are needed and when they are not.  For someone who has not traced back
       the set-theoretical foundations of the definitions, it is seemingly
       random and is not intuitive at all.</li>
       <li>Ultimately, this is a matter of consensus, and the consensus in
       the group was in favor of keeping sometimes redundant hypotheses.</li>
       </ol>
       </li>

       <li><p><b>Natural numbers.</b>
       There are different definitions of "natural" numbers in the literature.
       We use ` NN ` ( ~ df-nn ) for the set of positive integers starting
       from 1, and ` NN0 ` ( ~ df-n0 ) for the set of nonnegative integers
       starting at zero.
       </li>

       <li><p><b>Decimal numbers.</b>
       Numbers larger than nine are often expressed in base 10 using the
       decimal constructor ~ df-dec , e.g., ` ; ; ; 4 0 0 1 ` (see ~ 4001prm
       for a proof that 4001 is prime).
       </li>

       <li><p><b>Theorem forms.</b>
       We will use the following descriptive terms to categorize theorems:
       <ul>
       <li>A theorem is in <b>"closed form"</b> if it has no $e hypotheses
       (e.g., ~ unss ).  The term "tautology" is also used, especially in
       propositional calculus.  This form was formerly called "theorem form"
       or "closed theorem form".</li>
       <li>A theorem is in <b>"deduction form"</b> (or is a "deduction") if it
       has zero or more $e hypotheses, and the hypotheses and the conclusion
       are implications that share the same antecedent.  More precisely, the
       conclusion is an implication with a wff variable as the antecedent
       (usually ` ph `), and every hypothesis ($e statement) is either:
       <ol>
       <li>an implication with the same antecedent as the conclusion, or</li>
       <li>a definition.  A definition can be for a class variable (this is a
       class variable followed by ` = `, e.g., the definition of ` D ` in
       ~ lhop ) or a wff variable (this is a wff variable followed by
       ` <-> `); class variable definitions are more common.</li>
       </ol>
       In practice, a proof of a theorem in deduction form will also contain
       many steps that are implications where the antecedent is either that
       wff variable (usually ` ph `) or is a conjunction ` ( ph i^i ... ) `
       including that wff variable (` ph `).  E.g., ~ a1d , ~ unssd .
       Although they are no real deductions, theorems without $e hypotheses,
       but in the form ` ( ph -> ... ) `, are also said to be in "deduction
       form".  Such theorems usually have a two step proof, applying ~ a1i to a
       given theorem, and are used as convenience theorems to shorten many
       proofs.  E.g., ~ eqidd , which is used more than 1500 times. </li>
       <li> A theorem is in <b>"inference form"</b> (or is an "inference") if
       it has one or more $e hypotheses, but is not in deduction form,
       i.e., there is no common antecedent (e.g., ~ unssi ).</li>
       </ul>

       <p>Any theorem whose conclusion is an implication has an <b>associated
       inference</b>, whose hypotheses are the hypotheses of that theorem
       together with the antecedent of its conclusion, and whose conclusion is
       the consequent of that conclusion.  When both theorems are in set.mm,
       then the associated inference is often labeled by adding the suffix "i"
       to the label of the original theorem (for instance, ~ con3i is the
       inference associated with ~ con3 ).  The inference associated with a
       theorem is easily derivable from that theorem by a simple use of
       ~ ax-mp .  The other direction is the subject of the Deduction Theorem
       discussed below.  We may also use the term "associated inference" when
       the above process is iterated.  For instance, ~ syl is <em>an</em>
       inference associated with ~ imim1 because it is <em>the</em> inference
       associated with ~ imim1i which is itself <em>the</em> inference
       associated with ~ imim1 .

       <p>"Deduction form" is the preferred form for theorems because this form
       allows us to easily use the theorem in places where (in traditional
       textbook formalizations) the standard Deduction Theorem (see below)
       would be used. We call this approach <b>"deduction style"</b>.
       In contrast, we usually avoid theorems in "inference form" when that
       would end up requiring us to use the deduction theorem.

       <p>Deductions have a label suffix of "d", especially if there are other
       forms of the same theorem (e.g., ~ pm2.43d ).  The labels for inferences
       usually have the suffix "i" (e.g., ~ pm2.43i ).  The labels of theorems
       in "closed form" would have no special suffix (e.g., ~ pm2.43 ) or, if
       the non-suffixed label is already used, then we add the suffix "t" (for
       "theorem" or "tautology", e.g., ~ ancomst or ~ nfimt ).  When an
       inference with an "is a set" hypothesis (e.g., ` A e. _V `) is converted
       to a theorem (in closed form) by replacing the hypothesis with an
       antecedent of the form ` ( A e. V -> `, we sometimes suffix the closed
       form with "g" (for "more general") as in ~ uniex versus ~ uniexg .  In
       this case, the inference often has no suffix "i".

       <p>When submitting a new theorem, a revision of a theorem, or an upgrade
       of a theorem from a Mathbox to the Main database, please use the
       general form to be the default form of the theorem, without the suffix
       "g" . For example, "brresg" lost its suffix "g" when it was revised for
       some other reason, and now it is ~ brres .  Its inference form which was
       the original "brres", now is ~ brresi .  The same holds for the suffix
       "t".
       </li>

       <li><p><b>Deduction theorem.</b>
       The Deduction Theorem is a metalogical theorem that provides an
       algorithm for constructing a proof of a theorem from the proof of its
       corresponding deduction (its associated inference).  See for instance
       Theorem 3 in [Margaris] p. 56.  In ordinary mathematics, no one actually
       carries out the algorithm, because (in its most basic form) it involves
       an exponential explosion of the number of proof steps as more hypotheses
       are eliminated.  Instead, in ordinary mathematics the Deduction Theorem
       is invoked simply to claim that something can be done in principle,
       without actually doing it.  For more details, see ~ mmdeduction.html .
       The Deduction Theorem is a metalogical theorem that cannot be applied
       directly in Metamath, and the explosion of steps would be a problem
       anyway, so alternatives are used.  One alternative we use sometimes is
       the "weak deduction theorem" ~ dedth , which works in certain cases in
       set theory.  We also sometimes use ~ dedhb .  However, the primary
       mechanism we use today for emulating the deduction theorem is to write
       proofs in deduction form (aka "deduction style") as described earlier;
       the prefixed ` ph -> ` mimics the context in a deduction proof system.
       In practice this mechanism works very well.  This approach is described
       in the deduction form and natural deduction page ~ mmnatded.html ; a
       list of translations for common natural deduction rules is given in
       ~ natded .
       </li>

       <li><p><b>Recursion.</b>
       We define recursive functions using various "recursion constructors".
       These allow us to define, with compact direct definitions, functions
       that are usually defined in textbooks with indirect self-referencing
       recursive definitions.  This produces compact definition and much
       simpler proofs, and greatly reduces the risk of creating unsound
       definitions.  Examples of recursion constructors include
       ` recs ( F ) ` in ~ df-recs , ` rec ( F , I ) ` in ~ df-rdg ,
       ` seqom ( F , I ) ` in ~ df-seqom , and ` seq M ( .+ , F ) ` in
       ~ df-seq .  These have characteristic function ` F ` and initial value
       ` I ` .  ( ` gsum ` in ~ df-gsum isn't really designed for arbitrary
       recursion, but you could do it with the right magma.)  The logically
       primary one is ~ df-recs , but for the "average user" the most useful
       one is probably ~ df-seq - provided that a countable sequence is
       sufficient for the recursion.
       </li>

       <li><p><b>Extensible structures.</b>
       Mathematics includes many structures such as ring, group, poset, etc.
       We define an "extensible structure" which is then used to define group,
       ring, poset, etc.  This allows theorems from more general structures
       (groups) to be reused for more specialized structures (rings) without
       having to reprove them.  See ~ df-struct .
       </li>

       <li><p><b>Undefined results and "junk theorems".</b>
       Some expressions are only expected to be meaningful in certain contexts.
       For example, consider Russell's definition description binder iota,
       where ` ( iota x ph ) ` is meant to be "the ` x ` such that ` ph ` "
       (where ` ph ` typically depends on x).
       What should that expression produce when there is no such ` x ` ?
       In set.mm we primarily use one of two approaches.
       One approach is to make the expression evaluate to the empty set
       whenever the expression is being used outside of its expected context.
       While not perfect, it makes it a bit more clear when something
       is undefined, and it has the advantage that it makes more
       things equal outside their domain which can remove hypotheses when
       you feel like exploiting these so-called junk theorems.
       Note that Quine does this with iota (his definition of iota
       evaluates to the empty set when there is no unique value of ` x ` ).
       Quine has no problem with that and we don't see why we should,
       so we define iota exactly the same way that Quine does.
       The main place where you see this being systematically exploited is in
       "reverse closure" theorems like ` A e. ( F `` B ) -> B e. dom F ` ,
       which is useful when ` F ` is a family of sets. (by this we
       mean it's a set set even in a type theoretic interpretation.)

       <p>The second approach uses "(New usage is discouraged.)" to prevent
       unintentional uses of certain properties.
       For example, you could define some construct df-NAME whose
       usage is discouraged, and prove only the specific properties
       you wish to use (and add those proofs to the list of permitted uses
       of "discouraged" information). From then on, you can only use
       those specific properties without a warning.
       Other approaches often have hidden problems.
       For example, you could try to "not define undefined terms"
       by creating definitions like ${ $d ` y x ` $.  $d ` y ph ` $.
       df-iota $a ` |- ( E! x ph -> ( iota x ph ) = U. { x | ph } ) ` $. $}.
       This will be rejected by the definition checker, but the bigger
       theoretical reason to reject this axiom is that it breaks equality -
       the metatheorem ` ( x = y -> ` P(x) ` = ` P(y) ` ) ` fails
       to hold if definitions don't unfold without some assumptions.
       (That is, ~ iotabidv is no longer provable and must be added
       as an axiom.) It is important for every syntax constructor to
       satisfy equality theorems *unconditionally*, e.g., expressions
       like ` ( 1 / 0 ) = ( 1 / 0 ) ` should not be rejected.
       This is forced on us by the context free term
       language, and anything else requires a lot more infrastructure
       (e.g., a type checker) to support without making everything else
       more painful to use.

       <p>Another approach would be to try to make nonsensical
       statements syntactically invalid, but that can create its own
       complexities; in some cases that would make parsing itself undecidable.
       In practice this does not seem to be a serious issue.
       No one does these things deliberately in "real" situations,
       and some knowledgeable people (such as Mario Carneiro)
       have never seen this happen accidentally.
       Norman Megill doesn't agree that these "junk" consequences are
       necessarily bad anyway, and they can significantly shorten proofs
       in some cases. This database would be much larger if, for example,
       we had to condition ~ fvex on the argument being in the domain
       of the function. It is impossible to derive a contradiction
       from sound definitions (i.e. that pass the definition check),
       assuming ZFC is consistent, and he doesn't see the point of all the
       extra busy work and huge increase in set.mm size that would result
       from restricting *all* definitions.
       So instead of implementing a complex system to counter a
       problem that does not appear to occur in practice, we use
       a significantly simpler set of approaches.
       </li>

       <li><p><b>Organizing proofs.</b>
       Humans have trouble understanding long proofs.  It is often preferable
       to break longer proofs into smaller parts (just as with traditional
       proofs).  In Metamath this is done by creating separate proofs of the
       separate parts.

       A proof with the sole purpose of supporting a final proof is a lemma;
       the naming convention for a lemma is the final proof label followed by
       "lem", and a number if there is more than one.  E.g., ~ sbthlem1 is the
       first lemma for ~ sbth .  The comment should begin with "Lemma for",
       followed by the final proof label, so that it can be suppressed in
       theorem lists (see the Metamath program "MM> WRITE THEOREM_LIST"
       command).

       Also, consider proving reusable results separately, so that others will
       be able to easily reuse that part of your work.
       </li>

       <li><p><b>Limit proof size.</b>
       It is often preferable to break longer proofs into
       smaller parts, just as you would do with traditional proofs.
       One reason is that humans have trouble understanding long proofs.
       Another reason is that it's generally best to prove
       reusable results separately,
       so that others will be able to easily reuse them.
       Finally, the Metamath program "MM-PA> MINIMIZE__WITH *" command can take
       much longer with very long proofs.
       We encourage proofs to be no more than 200 essential steps, and
       generally no more than 500 essential steps,
       though these are simply guidelines and not hard-and-fast rules.
       Much smaller proofs are fine!
       We also acknowledge that some proofs, especially autogenerated ones,
       should sometimes not be broken up (e.g., because
       breaking them up might be useless and inefficient due to many
       interconnections and reused terms within the proof).
       In Metamath, breaking up longer proofs is done by creating multiple
       separate proofs of separate parts.
       A proof with the sole purpose of supporting a final proof is a
       lemma; the naming convention for a lemma is the final proof's name
       followed by "lem", and a number if there is more than one. E.g.,
       ~ sbthlem1 is the first lemma for ~ sbth .
       </li>

       <li><p><b>Proof stubs.</b>
       It's sometimes useful to record partial proof results, e.g.,
       incomplete proofs or proofs that depend on something else not fully
       proven.
       Some systems (like Lean) support a "sorry" axiom, which lets you assert
       anything is true, but this can quickly run into trouble, because
       the Metamath tooling is smart and may end up using it
       to prove everything.
       If you want to create a proof based on some other claim, without
       proving that claim, you can choose to define the claim as an axiom.
       If you temporarily define a claim as an axiom, we encourage you to
       include "Temporarily provided as axiom" in its comment.
       Such incomplete work will generally only be accepted in a mathbox
       until the rest of the work is complete.
       When you're working on your personal copy of the database
       you can use "?" in proofs to indicate an unknown step.
       However, since proofs with "?" will (obviously) fail
       verification, we don't accept proofs with unknown steps in
       the public database.
       </li>

       <li><p><b>Hypertext links.</b>
       We strongly encourage comments to have many links to related material,
       with accompanying text that explains the relationship.  These can help
       readers understand the context.  Links to other statements, or to
       HTTP/HTTPS URLs, can be inserted in ASCII source text by prepending a
       space-separated tilde (e.g., " ~~ df-prm " results in " ~ df-prm ").
       When the Metamath program is used to generate HTML, it automatically
       inserts hypertext links for syntax used (e.g., every symbol used), every
       axiom and definition depended on, the justification for each step in a
       proof, and to both the next and previous assertions.
       </li>

       <li><p><b>Hypertext links to section headers.</b>
       Some section headers have text under them that describes or explains the
       section.  However, they are not part of the description of axioms or
       theorems, and there is no way to link to them directly.  To provide for
       this, section headers with accompanying text (indicated with "*"
       prefixed to ~ mmtheorems.html#mmdtoc entries) have an anchor in
       ~ mmtheorems.html whose name is the first $a or $p statement that
       follows the header.  For example there is a glossary under the section
       heading called GRAPH THEORY.  The first $a or $p statement that follows
       is ~ cedgf .  To reference it we link to the anchor using a
       space-separated tilde followed by the space-separated link
       mmtheorems.html#cedgf, which will become the hyperlink
       ~ mmtheorems.html#cedgf .  Note that no theorem in set.mm is allowed to
       begin with "mm" (this is enforced by the Metamath program "MM> VERIFY
       MARKUP" command).  Whenever the program sees a tilde reference beginning
       with "http:", "https:", or "mm", the reference is assumed to be a link
       to something other than a statement label, and the tilde reference is
       used as is.  This can also be useful for relative links to other pages
       such as ~ mmcomplex.html .
       </li>

       <li><p><b>Bibliography references.</b>
       Please include a bibliographic reference to any external material used.
       A name in square brackets in a comment indicates a
       bibliographic reference. The full reference must be of the form
       KEYWORD IDENTIFIER? NOISEWORD(S)* &#91;AUTHOR(S)&#93; p. NUMBER -
       note that this is a very specific form that requires a page number.
       There should be no comma between the author reference and the
       "p." (a constant indicator).
       Whitespace, comma, period, or semicolon should follow NUMBER.
       An example is Theorem 3.1 of [Monk1] p. 22,
       The KEYWORD, which is not case-sensitive,
       must be one of the following: Axiom, Chapter, Compare, Condition,
       Corollary, Definition, Equation, Example, Exercise, Figure, Item,
       Lemma, Lemmas, Line, Lines, Notation, Part, Postulate, Problem,
       Property, Proposition, Remark, Rule, Scheme, Section, or Theorem.
       The IDENTIFIER is optional, as in for example
       "Remark in [Monk1] p. 22".
       The NOISEWORDS(S) are zero or more from the list: from, in, of, on.
       The AUTHOR(S) must be present in the file identified with the
       htmlbibliography assignment (e.g., mmset.html) as a named anchor
       (NAME=).  If there is more than one document by the same author(s),
       add a numeric suffix (as shown here).
       The NUMBER is a page number, and may be any alphanumeric string such as
       an integer or Roman numeral.
       Note that we _require_ page numbers in comments for individual
       $a or $p statements.  We allow names in square brackets without
       page numbers (a reference to an entire document) in
       heading comments.
       If this is a new reference, please also add it to the
       "Bibliography" section of mmset.html.
       (The file mmbiblio.html is automatically rebuilt, e.g.,
       using the Metamath program "MM> WRITE BIBLIOGRAPHY" command.)
       </li>

       <li><p><b>Acceptable shorter proofs.</b>
       Shorter proofs are welcome, and any shorter proof we accept
       will be acknowledged in the theorem description.  However,
       in some cases a proof may be "shorter" or not depending on
       how it is formatted.  This section provides general guidelines.

       <p>Usually we automatically accept shorter proofs that (1)
       shorten the set.mm file (with compressed proofs), (2) reduce
       the size of the HTML file generated with SHOW STATEMENT xx
       / HTML, (3) use only existing, unmodified theorems in the
       database (the order of theorems may be changed, though), and
       (4) use no additional axioms.
       Usually we will also automatically accept a _new_ theorem
       that is used to shorten multiple proofs, if the total size
       of set.mm (including the comment of the new theorem, not
       including the acknowledgment) decreases as a result.

       <p>In borderline cases, we typically place more importance on
       the number of compressed proof steps and less on the length
       of the label section (since the names are in principle
       arbitrary).  If two proofs have the same number of compressed
       proof steps, we will typically give preference to the one
       with the smaller number of different labels, or if these
       numbers are the same, the proof with the fewest number of
       characters that the proofs happen to have by chance when
       label lengths are included.

       <p>A few theorems have a longer proof than necessary in order
       to avoid the use of certain axioms, for pedagogical purposes,
       and for other reasons.  These theorems will (or should) have
       a "(Proof modification is discouraged.)" tag in their
       description.  For example, ~ idALT shows a proof directly from
       axioms.  Shorter proofs for such cases won't be accepted,
       of course, unless the criteria described continues to be
       satisfied.

       <li><p><b>Information on syntax, axioms, and definitions.</b>
       For a hyperlinked list of syntax, axioms, and definitions, see
       ~ mmdefinitions.html .
       If you have questions about a specific symbol or axiom, it is best
       to go directly to its definition to learn more about it.
       The generated HTML for each theorem and axiom includes hypertext
       links to each symbol's definition.
       </li>

       <li><p><b>Reserved symbols: 'LETTER.</b>
       Some symbols are reserved for potential future use.
       Symbols with the pattern 'LETTER are reserved for possibly
       representing characters (this is somewhat similar to Lisp).
       We would expect '\n to represent newline, 'sp for space, and perhaps
       '\x24 for the dollar character.
       </li>
       </ul>

       <p><b>The challenge of varying mathematical conventions</b>

       <br><br>

       We try to follow mathematical conventions, but in many cases
       different texts use different conventions.
       In those cases we pick some reasonably common convention and stick to
       it.
       We have already mentioned that the term "natural number" has
       varying definitions (some start from 0, others start from 1), but
       that is not the only such case.

       A useful example is the set of metavariables used to represent
       arbitrary well-formed formulas (wffs).
       We use an open phi, &#x3c6;, to represent the first arbitrary wff in an
       assertion with one or more wffs; this is a common convention and
       this symbol is easily distinguished from the empty set symbol.
       That said, it is impossible to please everyone or simply "follow
       the literature" because there are many different conventions for
       a variable that represents any arbitrary wff.
       To demonstrate the point,
       here are some conventions for variables that represent an arbitrary
       wff and some texts that use each convention:

       <ul>
       <li>open phi &#x3c6; (and so on): Tarski's papers,
       Rasiowa &amp; Sikorski's
       <i>The Mathematics of Metamathematics</i> (1963),
       Monk's <i>Introduction to Set Theory</i> (1969),
       Enderton's <i>Elements of Set Theory</i> (1977),
       Bell &amp; Machover's <i>A Course in Mathematical Logic</i> (1977),
       Jech's <i>Set Theory</i> (1978),
       Takeuti &amp; Zaring's
       <i>Introduction to Axiomatic Set Theory</i> (1982).
       <li>closed phi &#x3d5; (and so on):
       Levy's <i>Basic Set Theory</i> (1979),
       Kunen's <i>Set Theory</i> (1980),
       Paulson's <i>Isabelle: A Generic Theorem Prover</i> (1994),
       Huth and Ryan's <i>Logic in Computer Science</i> (2004/2006).
       <li>Greek &alpha;, &beta;, &gamma;:
       Duffy's <i>Principles of Automated Theorem Proving</i> (1991).
       <li>Roman A, B, C:
       Kleene's <i>Introduction to Metamathematics</i> (1974),
       Smullyan's <i>First-Order Logic</i> (1968/1995).
       <li>script A, B, C:
       Hamilton's <i>Logic for Mathematicians</i> (1988).
       <li>italic A, B, C:
       Mendelson's <i>Introduction to Mathematical Logic</i> (1997).
       <li>italic P, Q, R:
       Suppes's <i>Axiomatic Set Theory</i> (1972),
       Gries and Schneider's <i>A Logical Approach to Discrete Math</i>
       (1993/1994),
       Rosser's <i>Logic for Mathematicians</i> (2008).
       <li>italic p, q, r:
       Quine's <i>Set Theory and Its Logic</i> (1969),
       Kuratowski &amp; Mostowski's <i>Set Theory</i> (1976).
       <li>italic X, Y, Z:
       Dijkstra and Scholten's
       <i>Predicate Calculus and Program Semantics</i> (1990).
       <li>Fraktur letters:
       Fraenkel et. al's <i>Foundations of Set Theory</i> (1973).
       </ul>

       <p><b>Distinctness or freeness</b>

       <br><br>

       Here are some conventions that address distinctness or freeness of a
       variable:

       <ul>
       <li> ` F/ x ph ` is read " ` x ` is not free in (wff) ` ph ` ";
       see ~ df-nf (whose description has some important technical
       details).  Similarly, ` F/_ x A ` is read ` x ` is not free in (class)
       ` A ` , see ~ df-nfc .</li>

       <li>"$d ` x y ` $." should be read "Assume ` x ` and ` y ` are distinct
       variables."</li>

       <li>"$d ` ph x ` $." should be read "Assume ` x ` does not occur in
       ` phi `."  Sometimes a theorem is proved using ` F/ x ph `  ( ~ df-nf )
       in place of "$d ` ph x ` $." when a more general result is desired;
       ~ ax-5 can be used to derive the $d version.  For an example of
       how to get from the $d version back to the $e version, see the
       proof of ~ euf from ~ eu6 .</li>

       <li>"$d ` A x ` $." should be read "Assume ` x ` is not a variable
       occurring in class ` A `."</li>

       <li>"$d ` A x ` $.  $d ` ps x ` $.
       $e |- ` ( x = A -> ( ph <-> ps ) ) ` $." is an idiom often used instead
       of explicit substitution, meaning "Assume ` psi ` results from the
       proper substitution of ` A ` for ` x ` in ` phi `."  Therefore, we often
       use the term "implicit substitution" for such a hypothesis.</li>

       <li>Class and wff variables should appear at the beginning of distinct
       variable conditions, and setvars should be in alphabetical order.
       E.g., "$d ` Z x y ` $.",  "$d ` ps a x ` $.".  This convention should
       be applied for new theorems (formerly, the class and wff variables
       mostly appear at the end) and will be assured by a formatter in the
       future.</li>

       <li>" ` |- ( -. A. x x = y -> ... ) ` " occurs early in some cases, and
       should be read "If x and y are distinct
       variables, then..."  This antecedent provides us with a technical
       device (called a "distinctor" in Section 7 of [Megill] p. 444)
       to avoid the need for the
       $d statement early in our development of predicate calculus, permitting
       unrestricted substitutions as conceptually simple as those in
       propositional calculus.  However, the $d eventually becomes a
       requirement, and after that this device is rarely used.</li>
       </ul>

       <p>There is a general technique to replace a <tt>$d x A</tt> or
       <tt>$d x ph</tt> condition in a theorem with the corresponding
       ` F/_ x A ` or ` F/ x ph ` ; here it is.
       ` |- ` T[x, A] where $d ` x A `,
       and you wish to prove ` |- F/_ x A => |- ` T[x, A].
       You apply the theorem substituting ` y ` for ` x ` and ` A ` for ` A ` ,
       where ` y ` is a new dummy variable, so that
       <tt>$d y A</tt> is satisfied.
       You obtain ` |- ` T[y, A], and apply chvar to obtain ` |- `
       T[x, A] (or just use ~ mpbir if T[x, A] binds ` x `).
       The side goal is ` |- ( x = y -> ( ` T[y, A] ` <-> ` T[x, A] ` ) ) ` ,
       where you can use equality theorems, except
       that when you get to a bound variable you use a non-dv bound variable
       renamer theorem like ~ cbval . The section
       ~ mmtheorems32.html#mm3146s also describes the
       metatheorem that underlies this.

       <p><b>Additional rules for definitions</b>

       <p>Standard Metamath verifiers do not distinguish between axioms and
       definitions (both are $a statements).
       In practice, we require that definitions (1) be conservative
       (a definition should not allow an expression
       that previously qualified as a wff but was not provable
       to become provable) and be eliminable
       (there should exist an algorithmic method for converting any
       expression using the definition into
       a logically equivalent expression that previously qualified as a wff).
       To ensure this, we have additional rules on almost all definitions
       ($a statements with a label that does not begin with ax-).
       These additional rules are not applied in a few cases where they
       are too strict ( ~ df-bi , ~ df-clab , ~ df-cleq , and ~ df-clel );
       see those definitions for more information.
       These additional rules for definitions are checked by at least
       mmj2's definition check (see
       <A HREF="https://github.com/digama0/mmj2/blob/master/"
       >mmj2 master</a> file mmj2jar/macros/definitionCheck.js).
       This definition check relies on the database being very much like
       set.mm, down to the names of certain constants and types, so it
       cannot apply to all Metamath databases... but it is useful in set.mm.
       In this definition check, a $a-statement with a given label and
       typecode ` |- ` passes the test if and only if it
       respects the following rules (these rules require that we have
       an unambiguous tree parse, which is checked separately):

       <ol>
       <li><p>The expression must be a biconditional or an equality (i.e. its
       root-symbol must be ` <-> ` or ` = `).
       If the proposed definition passes this first rule, we then
       define its definiendum as its left hand side (LHS) and
       its definiens as its right hand side (RHS).
       We define the *defined symbol* as the root-symbol of the LHS.
       We define a *dummy variable* as a variable occurring
       in the RHS but not in the LHS.
       Note that the "root-symbol" is the root of the considered tree;
       it need not correspond to a single token in the database
       (e.g., see ~ w3o or ~ wsb ).
       </li>
       <li><p>The defined expression must not appear in any statement
       between its syntax axiom ($a ` wff `) and its definition,
       and the defined expression must not be used in its definiens.
       See ~ df-3an for an example where the same symbol is used in
       different ways (this is allowed).
       </li>
       <li><p>No two variables occurring in the LHS may share a
       disjoint variable (DV) condition.
       </li>
       <li><p>All dummy variables are required to be disjoint from any
       other (dummy or not) variable occurring in this labeled expression.
       </li>
       <li><p>Either
       <br>(a) there must be no non-setvar dummy variables, or
       <br>(b) there must be a justification theorem.
       <p>The justification theorem must be of form
       ` |- ( ` definiens root-symbol definiens' ` ) `
       where definiens' is definiens but the dummy variables are all
       replaced with other unused dummy variables of the same type.
       Note that root-symbol is ` <-> ` or ` = ` , and that setvar
       variables are simply variables with the ` setvar ` typecode.
       </li>
       <li><p>One of the following must be true:
       <br>(a) there must be no setvar dummy variables,
       <br>(b) there must be a justification theorem as described in rule 5, or
       <br>(c) if there are setvar dummy variables, every one must not be free.
       <p>That is, it must be true that
       ` ( ph -> A. x ph ) ` for each setvar dummy variable ` x `
       where ` ph ` is the definiens.
       We use two different tests for nonfreeness; one must succeed
       for each setvar dummy variable ` x ` .
       The first test requires that the setvar dummy variable ` x `
       be syntactically bound
       (this is sometimes called the "fast" test, and this implies
       that we must track binding operators).
       The second test requires a successful
       search for the directly-stated proof of ` ( ph -> A. x ph ) `
       Part c of this rule is how most setvar dummy variables
       are handled.
       </li>
       </ol>

       <p>Rule 3 may seem unnecessary, but it is needed.
       Without this rule, you can define something like
       <pre>
       cbar $a wff Foo x y $.
       ${ $d x y $. df-foo $a |- ( Foo x y &lt;-&gt; x = y ) $. $}</pre>
       and now "Foo x x" is not eliminable;
       there is no way to prove that it means anything in particular,
       because the definitional theorem that is supposed to be
       responsible for connecting it to the original language wants
       nothing to do with this expression, even though it is well formed.

       <p>A justification theorem for a definition (if used this way)
       must be proven before the definition that depends on it.
       One example of a justification theorem is ~ vjust .
       Definition ~ df-v ` |- _V = { x | x = x } ` is justified
       by the justification theorem ~ vjust
       ` |- { x | x = x } = { y | y = y }  ` .
       Another example of a justification theorem is ~ trujust ;
       Definition ~ df-tru ` |- ( T. <-> ( A. x x = x -> A. x x = x ) ) `
       is justified by ~ trujust ` |- ( ( A. x x = x -> A. x x = x ) <->
       ( A. y y = y -> A. y y = y ) ) ` .

       <p>Here is more information about our processes for checking and
       contributing to this work:

       <ul>
       <li><p><b>Multiple verifiers.</b>
       This entire file is verified by multiple independently-implemented
       verifiers when it is checked in, giving us extremely high
       confidence that all proofs follow from the assumptions.
       The checkers also check for various other problems such as
       overly long lines.
       </li>

       <li><p><b>Discouraged information.</b>
       A separate file named "discouraged" lists all
       discouraged statements and uses of them, and this file is checked.
       If you change the use of discouraged things, you will need to change
       this file.
       This makes it obvious when there is a change to anything discouraged
       (triggering further review).
       </li>

       <li><p><b>LRParser check.</b>
       Metamath verifiers ensure that $p statements follow from previous
       $a and $p statements.
       However, by itself the Metamath language permits certain kinds of
       syntactic ambiguity that we choose to avoid in this database.
       Thus, we require that this database unambiguously parse
       using the "LRParser" check (implemented by at least mmj2).
       (For details, see <A
       HREF="https://github.com/digama0/mmj2/blob/master/"
       >mmj2 master</A> file src/mmj/verify/LRParser.java).
       This check
       <A HREF="https://github.com/metamath/set.mm/pull/754"
       >counters, for example, a devious ambiguous construct
       developed by saueran at oregonstate dot edu</A>
       posted on Mon, 11 Feb 2019 17:32:32 -0800 (PST)
       based on creating definitions with mismatched parentheses.
       <!-- Devious Construct:
       ${
       wleftp $a wff ( ( ph ) $.
       wbothp $a wff ( ph ) $.
       df-leftp $a |- ( ( ( ph ) <-> -. ph ) $.
       df-bothp $a |- ( ( ph ) <-> ph ) $.
       anything $p |- ph $=
       ( wbothp wn wi wleftp df-leftp biimpi df-bothp mpbir mpbi simplim
       ax-mp) ABZAMACZDZCZMOEZOCQAEZNDZRNAFGSHIOFJMNKLAHJ $.
       $}
       -->

       <li><p><b>Proposing specific changes.</b>
       Please propose specific changes as pull requests (PRs) against the
       "develop" branch of set.mm, at:
       ~ https://github.com/metamath/set.mm/tree/develop .
       </li>

       <li><p><b>Community.</b>
       We encourage anyone interested in Metamath to join our mailing list:
       ~ https://groups.google.com/g/metamath .
       </li>
       </ul>
       </HTML>

       (Contributed by the Metamath team, 27-Dec-2016.)  Date of last revision.
       (Revised by the Metamath team, 22-Sep-2022.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    conventions $p |- ph $=
      (  ) B $.
  $}

  ${
    conventions-labels.1 $e |- ph $.
    $(
       <HTML>
       <p>
       The following gives conventions used in the Metamath Proof Explorer
       (MPE, set.mm) regarding labels.
       For other conventions, see ~ conventions and links therein.
       </p>

       <p>
       Every statement has a unique identifying label, which serves the
       same purpose as an equation number in a book.
       We use various label naming conventions to provide
       easy-to-remember hints about their contents.
       Labels are not a 1-to-1 mapping, because that would create
       long names that would be difficult to remember and tedious to type.
       Instead, label names are relatively short while
       suggesting their purpose.
       Names are occasionally changed to make them more consistent or
       as we find better ways to name them.
       Here are a few of the label naming conventions:
       </p>

       <ul>
       <li><b>Axioms, definitions, and wff syntax.</b>
       As noted earlier, axioms are named "ax-NAME",
       proofs of proven axioms are named "axNAME", and
       definitions are named "df-NAME".
       Wff syntax declarations have labels beginning with "w"
       followed by short fragment suggesting its purpose.
       </li>

       <li><b>Hypotheses.</b>
       Hypotheses have the name of the final axiom or theorem, followed by
       ".", followed by a unique id (these ids are usually consecutive integers
       starting with 1, e.g., for ~ rgen "rgen.1 $e |- ( x e. A -> ph ) $."
       or letters corresponding to the (main) class variable used in the
       hypothesis, e.g., for ~ mdet0 : "mdet0.d $e |- D = ( N maDet R ) $.").
       </li>

       <li><b>Common names.</b>
       If a theorem has a well-known name, that name (or a short version of it)
       is sometimes used directly. Examples include
       ~ barbara and ~ stirling .
       </li>

       <li><b>Principia Mathematica.</b>
       Proofs of theorems from Principia Mathematica often use a special
       naming convention: "pm" followed by its identifier.
       For example, Theorem *2.27 of [WhiteheadRussell] p. 104 is named
       ~ pm2.27 .
       </li>

       <li><b>19.x series of theorems.</b>
       Similar to the conventions for the theorems from Principia Mathematica,
       theorems from Section 19 of [Margaris] p. 90 often use a special naming
       convention: "19." resp. "r19." (for corresponding restricted quantifier
       versions) followed by its identifier.
       For example, Theorem 38 from Section 19 of [Margaris] p. 90 is labeled
       ~ 19.38 , and the restricted quantifier version of Theorem 21 from
       Section 19 of [Margaris] p. 90 is labeled ~ r19.21 .
       </li>

       <li><b>Characters to be used for labels.</b>
       Although the specification of Metamath allows for dots/periods "." in
       any label, it is usually used only in labels for hypotheses (see above).
       Exceptions are the labels of theorems from Principia Mathematica and the
       19.x series of theorems from Section 19 of [Margaris] p. 90 (see above)
       and ~ 0.999... .  Furthermore, the underscore "_" should not be used.
       Finally, only lower case characters should be used (except the special
       suffixes OLD, ALT, and ALTV mentioned in bullet point "Suffixes"), at
       least in main set.mm (exceptions are tolerated in mathboxes).
       </li>

       <li><b>Syntax label fragments.</b>
       Most theorems are named using a concatenation of syntax label fragments
       (omitting variables) that represent the important part of the theorem's
       main conclusion.  Almost every syntactic construct has a definition
       labeled "df-NAME", and normally NAME is the syntax label fragment. For
       example, the class difference construct ` ( A \ B ) `  is defined in
       ~ df-dif , and thus its syntax label fragment is "dif".  Similarly, the
       subclass relation ` A C_ B ` has syntax label fragment "ss"
       because it is defined in ~ df-ss .  Most theorem names follow from
       these fragments, for example, the theorem proving ` ( A \ B ) C_ A `
       involves a class difference ("dif") of a subset ("ss"), and thus is
       labeled ~ difss .  There are many other syntax label fragments, e.g.,
       singleton construct ` { A } ` has syntax label fragment "sn" (because it
       is defined in ~ df-sn ), and the pair construct ` { A , B } ` has
       fragment "pr" ( from ~ df-pr ).  Digits are used to represent
       themselves.  Suffixes (e.g., with numbers) are sometimes used to
       distinguish multiple theorems that would otherwise produce the same
       label.
       </li>

       <li><b>Phantom definitions.</b>
       In some cases there are common label fragments for something that could
       be in a definition, but for technical reasons is not.  The is-element-of
       (is member of) construct ` A e. B ` does not have a df-NAME definition;
       in this case its syntax label fragment is "el".  Thus, because the
       theorem beginning with ` ( A e. ( B \ { C } ) ` uses is-element-of
       ("el") of a class difference ("dif") of a singleton ("sn"), it is
       labeled ~ eldifsn .  An "n" is often used for negation ( ` -. ` ), e.g.,
       ~ nan .
       </li>

       <li><b>Exceptions.</b>
       Sometimes there is a definition df-NAME but the label fragment is not
       the NAME part.  The definition should note this exception as part of its
       definition.  In addition, the table below attempts to list all such
       cases and marks them in bold.  For example, the label fragment "cn"
       represents complex numbers ` CC ` (even though its definition is in
       ~ df-c ) and "re" represents real numbers ` RR ` (Definition ~ df-r ).
       The empty set ` (/) ` often uses fragment 0, even though it is defined
       in ~ df-nul .  The syntax construct ` ( A + B ) ` usually uses the
       fragment "add" (which is consistent with ~ df-add ), but "p" is used as
       the fragment for constant theorems.  Equality ` ( A = B ) ` often uses
       "e" as the fragment.  As a result, "two plus two equals four" is labeled
       ~ 2p2e4 .
       </li>

       <li><b>Other markings.</b>
       In labels we sometimes use "com" for "commutative", "ass" for
       "associative", "rot" for "rotation", and "di" for "distributive".
       </li>

       <li><b>Focus on the important part of the conclusion.</b>
       Typically the conclusion is the part the user is most interested in.
       So, a rough guideline is that a label typically provides a hint
       about only the conclusion; a label rarely says anything about the
       hypotheses or antecedents.
       If there are multiple theorems with the same conclusion
       but different hypotheses/antecedents, then the labels will need
       to differ; those label differences should emphasize what is different.
       There is no need to always fully describe the conclusion; just
       identify the important part. For example,
       ~ cos0 is the theorem that provides the value for the cosine of 0;
       we would need to look at the theorem itself to see what that value is.
       The label "cos0" is concise and we use it instead of "cos0eq1".
       There is no need to add the "eq1", because there will never be a case
       where we have to disambiguate between different values produced by
       the cosine of zero, and we generally prefer shorter labels if
       they are unambiguous.
       </li>

       <li><b>Closures and values.</b>
       As noted above, if a function df-NAME is defined, there is typically a
       proof of its value labeled "NAMEval" and of its closure labeled
       "NAMEcl".  E.g., for cosine ( ~ df-cos ) we have value ~ cosval and
       closure ~ coscl .
       </li>

       <li><b>Special cases.</b>
       Sometimes, syntax and related markings are insufficient to distinguish
       different theorems.  For example, there are over a hundred different
       implication-only theorems.  They are grouped in a more ad-hoc way that
       attempts to make their distinctions clearer.  These often use
       abbreviations such as "mp" for "modus ponens", "syl" for syllogism, and
       "id" for "identity".  It is especially hard to give good names in the
       propositional calculus section because there are so few primitives.
       However, in most cases this is not a serious problem.  There are a few
       very common theorems like ~ ax-mp and ~ syl that you will have no
       trouble remembering, a few theorem series like syl*anc and simp* that
       you can use parametrically, and a few other useful glue things for
       destructuring 'and's and 'or's (see ~ natded for a list), and that is
       about all you need for most things.  As for the rest, you can just
       assume that if it involves at most three connectives, then it is
       probably already proved in set.mm, and searching for it will give you
       the label.
       </li>

       <li><b>Suffixes.</b>
       Suffixes are used to indicate the form of a theorem (inference,
       deduction, or closed form, see above).
       Additionally, we sometimes suffix with "v" the label of a theorem adding
       a disjoint variable condition, as in ~ 19.21v versus ~ 19.21 .  This
       often permits to prove the result using fewer axioms, and/or to
       eliminate a nonfreeness hypothesis (such as ` F/ x ph ` in ~ 19.21 ).
       If no constraint is put on axiom use, then the v-version can be proved
       from the original theorem using ~ nfv .  If two (resp. three) such
       disjoint variable conditions are added, then the suffix "vv" (resp.
       "vvv") is used, e.g., ~ exlimivv .
       Conversely, we sometimes suffix with "f" the label of a theorem
       introducing such a hypothesis to eliminate the need for the disjoint
       variable condition; e.g., ~ euf derived from ~ eu6 .  The "f" stands
       for "not free in" which is less restrictive than "does not occur in."
       The suffix "b" often means "biconditional" ( ` <-> ` , "iff" , "if and
       only if"), e.g., ~ sspwb .
       We sometimes suffix with "s" the label of an inference that manipulates
       an antecedent, leaving the consequent unchanged.  The "s" means that the
       inference eliminates the need for a syllogism ( ~ syl ) -type inference
       in a proof.  A theorem label is suffixed with "ALT" if it provides an
       alternate less-preferred proof of a theorem (e.g., the proof is
       clearer but uses more axioms than the preferred version).
       The "ALT" may be further suffixed with a number if there is more
       than one alternate theorem.
       Furthermore, a theorem label is suffixed with "OLD" if there is a new
       version of it and the OLD version is obsolete (and will be removed
       within one year).

       Finally, it should be mentioned that suffixes can be combined, for
       example in ~ cbvaldva ( ~ cbval in deduction form "d" with a not free
       variable replaced by a disjoint variable condition "v" with a
       conjunction as antecedent "a").  As a general rule, the suffixes for
       the theorem forms ("i", "d" or "g") should be the first of multiple
       suffixes, as for example in ~ vtocldf .

       Here is a non-exhaustive list of common suffixes:
       <ul>
       <li> a : theorem having a conjunction as antecedent</li>
       <li> b : theorem expressing a logical equivalence</li>
       <li> c : contraction (e.g., ~ sylc , ~ syl2anc ), commutes
       (e.g., ~ biimpac )</li>
       <li> d : theorem in deduction form</li>
       <li> f : theorem with a hypothesis such as ` F/ x ph `</li>
       <li> g : theorem in closed form having an "is a set" antecedent</li>
       <li> i : theorem in inference form</li>
       <li> l : theorem concerning something at the left</li>
       <li> r : theorem concerning something at the right</li>
       <li> r : theorem with something reversed (e.g., a biconditional)</li>
       <li> s : inference that manipulates an antecedent ("s" refers to an
       application of ~ syl that is eliminated)</li>
       <li> t : theorem in closed form (not having an "is a set" antecedent)
       </li>
       <li> v : theorem with one (main) disjoint variable condition</li>
       <li> vv : theorem with two (main) disjoint variable conditions</li>
       <li> w : weak(er) form of a theorem</li>
       <li> ALT : alternate proof of a theorem</li>
       <li> ALTV : alternate version of a theorem or definition (mathbox
       only)</li>
       <li> OLD : old/obsolete version of a theorem (or proof) or definition
       </li>
       </ul>
       </li>

       <li><b>Reuse.</b>
       When creating a new theorem or axiom, try to reuse abbreviations used
       elsewhere.  A comment should explain the first use of an abbreviation.
       </li>
       </ul>

       <p>
       The following table shows some commonly used abbreviations in labels, in
       alphabetical order.  For each abbreviation we provide a mnenomic, the
       source theorem or the assumption defining it, an expression showing what
       it looks like, whether or not it is a "syntax fragment" (an abbreviation
       that indicates a particular kind of syntax), and hyperlinks to label
       examples that use the abbreviation.  The abbreviation is bolded if there
       is a df-NAME definition but the label fragment is not NAME.  This is
       <i>not</i> a complete list of abbreviations, though we do want this to
       eventually be a complete list of exceptions.
       <table border="1" id="naming-abbreviation-table">
       <tr><th>Abbreviation</th><th>Mnenomic</th><th>Source</th>
       <th>Expression</th><th>Syntax?</th><th>Example(s)</th></tr>
       <tr><td>a</td><td>and (suffix)</td><td> </td>
       <td> </td><td>No</td><td> ~ biimpa , ~ rexlimiva </td></tr>
       <tr><td>abl</td><td>Abelian group</td><td> ~ df-abl </td>
       <td> ` Abel ` </td><td>Yes</td><td> ~ ablgrp , ~ zringabl </td></tr>
       <tr><td>abs</td><td>absorption</td><td> </td> <td> </td><td>No</td>
       <td> ~ ressabs </td></tr>
       <tr><td>abs</td><td>absolute value (of a complex number)</td>
       <td> ~ df-abs </td><td> ` ( abs `` A ) ` </td><td>Yes</td>
       <td> ~ absval , ~ absneg , ~ abs1 </td></tr>
       <tr><td>ad</td><td>adding</td><td> </td>
       <td> </td><td>No</td><td> ~ adantr , ~ ad2antlr </td></tr>
       <tr><td>add</td><td>add (see "p")</td><td> ~ df-add </td>
       <td> ` ( A + B ) ` </td><td>Yes</td>
       <td> ~ addcl , ~ addcom , ~ addass </td></tr>
       <tr><td>al</td><td>"for all"</td><td> </td>
       <td> ` A. x ph ` </td><td>No</td><td> ~ alim , ~ alex </td></tr>
       <tr><td>ALT</td><td>alternative/less preferred (suffix)</td><td> </td>
       <td> </td><td>No</td><td> ~ idALT </td></tr>
       <tr><td>an</td><td>and</td><td> ~ df-an </td>
       <td> ` ( ph /\ ps ) ` </td><td>Yes</td>
       <td> ~ anor , ~ iman , ~ imnan </td></tr>
       <tr><td>ant</td><td>antecedent</td><td> </td>
       <td> </td><td>No</td><td> ~ adantr </td></tr>
       <tr><td>ass</td><td>associative</td><td> </td>
       <td> </td><td>No</td><td> ~ biass , ~ orass , ~ mulass </td></tr>
       <tr><td>asym</td><td>asymmetric, antisymmetric</td><td> </td>
       <td> </td><td>No</td><td> ~ intasym , ~ asymref , ~ posasymb </td></tr>
       <tr><td>ax</td><td>axiom</td><td> </td>
       <td> </td><td>No</td><td> ~ ax6dgen , ~ ax1cn </td></tr>
       <tr><td><b>bas</b>, base </td>
       <td>base (set of an extensible structure)</td><td> ~ df-base </td>
       <td> ` ( Base `` S ) ` </td><td>Yes</td>
       <td> ~ baseval , ~ ressbas , ~ cnfldbas </td></tr>
       <tr><td><b>b</b>, bi</td><td>biconditional ("iff", "if and only if")
       </td><td> ~ df-bi </td><td> ` ( ph <-> ps ) ` </td><td>Yes</td>
       <td> ~ impbid , ~ sspwb </td></tr>
       <tr><td>br</td><td>binary relation</td><td> ~ df-br </td>
       <td> ` A R B ` </td><td>Yes</td><td> ~ brab1 , ~ brun </td></tr>
       <tr><td>cbv</td><td>change bound variable</td><td> </td><td> </td>
       <td>No</td><td> ~ cbvalivw , ~ cbvrex </td></tr>
       <tr><td>cl</td><td>closure</td><td> </td><td> </td><td>No</td>
       <td> ~ ifclda , ~ ovrcl , ~ zaddcl </td></tr>
       <tr><td><b>cn</b></td><td>complex numbers</td><td> ~ df-c </td>
       <td> ` CC ` </td><td>Yes</td><td> ~ nnsscn , ~ nncn </td></tr>
       <tr><td>cnfld</td><td>field of complex numbers</td><td> ~ df-cnfld </td>
       <td> ` CCfld ` </td><td>Yes</td><td> ~ cnfldbas , ~ cnfldinv </td></tr>
       <tr><td>cntz</td><td>centralizer</td><td> ~ df-cntz </td>
       <td> ` ( Cntz `` M ) ` </td><td>Yes</td>
       <td> ~ cntzfval , ~ dprdfcntz </td></tr>
       <tr><td>cnv</td><td>converse</td><td> ~ df-cnv </td>
       <td> ` ``' A ` </td><td>Yes</td><td> ~ opelcnvg , ~ f1ocnv </td></tr>
       <tr><td>co</td><td>composition</td><td> ~ df-co </td>
       <td> ` ( A o. B ) ` </td><td>Yes</td><td> ~ cnvco , ~ fmptco </td></tr>
       <tr><td>com</td><td>commutative</td><td> </td>
       <td> </td><td>No</td><td> ~ orcom , ~ bicomi , ~ eqcomi </td></tr>
       <tr><td>con</td><td>contradiction, contraposition</td><td> </td>
       <td> </td><td>No</td><td> ~ condan , ~ con2d </td></tr>
       <tr><td>csb</td><td>class substitution</td><td> ~ df-csb </td>
       <td> ` [_ A / x ]_ B ` </td><td>Yes</td>
       <td> ~ csbid , ~ csbie2g </td></tr>
       <tr><td>cyg</td><td>cyclic group</td><td> ~ df-cyg </td>
       <td> ` CycGrp ` </td><td>Yes</td>
       <td> ~ iscyg , ~ zringcyg </td></tr>
       <tr><td>d</td><td>deduction form (suffix)</td><td> </td>
       <td> </td><td>No</td><td> ~ idd , ~ impbid </td></tr>
       <tr><td>df</td><td>(alternate) definition (prefix)</td><td> </td>
       <td> </td><td>No</td><td> ~ dfrel2 , ~ dffn2 </td></tr>
       <tr><td>di, distr</td><td>distributive</td><td> </td>
       <td> </td><td>No</td>
       <td> ~ andi , ~ imdi , ~ ordi , ~ difindi , ~ ndmovdistr </td></tr>
       <tr><td>dif</td><td>class difference</td><td> ~ df-dif </td>
       <td> ` ( A \ B ) ` </td><td>Yes</td>
       <td> ~ difss , ~ difindi </td></tr>
       <tr><td>div</td><td>division</td><td> ~ df-div </td>
       <td> ` ( A / B ) ` </td><td>Yes</td>
       <td> ~ divcl , ~ divval , ~ divmul </td></tr>
       <tr><td>dm</td><td>domain</td><td> ~ df-dm </td>
       <td> ` dom A ` </td><td>Yes</td><td> ~ dmmpt , ~ iswrddm0 </td></tr>
       <tr><td><b>e, eq, equ</b></td><td>equals (equ for setvars, eq for
           classes)</td><td> ~ df-cleq </td>
       <td> ` A = B ` </td><td>Yes</td>
       <td> ~ 2p2e4 , ~ uneqri , ~ equtr </td></tr>
       <tr><td>edg</td><td>edge</td><td> ~ df-edg </td>
       <td> ` ( Edg `` G ) ` </td><td>Yes</td>
       <td> ~ edgopval , ~ usgredgppr </td></tr>
       <tr><td>el</td><td>element of</td><td> </td>
       <td> ` A e. B ` </td><td>Yes</td>
       <td> ~ eldif , ~ eldifsn , ~ elssuni </td></tr>
       <tr><td>en</td><td>equinumerous</td><td> df-en </td>
       <td> ` A ~~ B ` </td><td>Yes</td><td> ~ domen , ~ enfi </td></tr>
       <tr><td>eu</td><td>"there exists exactly one"</td><td> ~ eu6 </td>
       <td> ` E! x ph ` </td><td>Yes</td><td> ~ euex , ~ euabsn </td></tr>
       <tr><td>ex</td><td>exists (i.e. is a set)</td><td> </td>
       <td> ` e. _V ` </td><td>No</td><td> ~ brrelex1 , ~ 0ex </td></tr>
       <tr><td>ex, e</td><td>"there exists (at least one)"</td>
       <td> ~ df-ex </td>
       <td> ` E. x ph ` </td><td>Yes</td><td> ~ exim , ~ alex </td></tr>
       <tr><td>exp</td><td>export</td><td> </td>
       <td> </td><td>No</td><td> ~ expt , ~ expcom </td></tr>
       <tr><td>f</td><td>"not free in" (suffix)</td><td> </td>
       <td> </td><td>No</td><td> ~ equs45f , ~ sbf </td></tr>
       <tr><td>f</td><td>function</td><td> ~ df-f </td>
       <td> ` F : A --> B ` </td><td>Yes</td><td> ~ fssxp , ~ opelf </td></tr>
       <tr><td>fal</td><td>false</td><td> ~ df-fal </td>
       <td> ` F. ` </td><td>Yes</td><td> ~ bifal , ~ falantru </td></tr>
       <tr><td>fi</td><td>finite intersection</td><td> ~ df-fi </td>
       <td> ` ( fi `` B ) ` </td><td>Yes</td><td> ~ fival , ~ inelfi </td></tr>
       <tr><td><b>fi</b>, fin</td><td>finite</td><td> ~ df-fin </td>
       <td> ` Fin ` </td><td>Yes</td>
       <td> ~ isfi , ~ snfi , ~ onfin </td></tr>
       <tr><td><b>fld</b></td><td>field (Note: there is an alternative
       definition ` Fld ` of a field, see ~ df-fld )</td><td> ~ df-field </td>
       <td> ` Field ` </td><td>Yes</td><td> ~ isfld , ~ fldidom </td></tr>
       <tr><td>fn</td><td>function with domain</td><td> ~ df-fn </td>
       <td> ` A Fn B ` </td><td>Yes</td><td> ~ ffn , ~ fndm </td></tr>
       <tr><td>frgp</td><td>free group</td><td> ~ df-frgp </td>
       <td> ` ( freeGrp `` I ) ` </td><td>Yes</td>
       <td> ~ frgpval , ~ frgpadd </td></tr>
       <tr><td>fsupp</td><td>finitely supported function</td>
       <td> ~ df-fsupp </td><td> ` R finSupp Z ` </td><td>Yes</td>
       <td> ~ isfsupp , ~ fdmfisuppfi , ~ fsuppco </td></tr>
       <tr><td>fun</td><td>function</td><td> ~ df-fun </td>
       <td> ` Fun F ` </td><td>Yes</td><td> ~ funrel , ~ ffun </td></tr>
       <tr><td>fv</td><td>function value</td><td> ~ df-fv </td>
       <td> ` ( F `` A ) ` </td><td>Yes</td><td> ~ fvres , ~ swrdfv </td></tr>
       <tr><td>fz</td><td>finite set of sequential integers</td>
       <td> ~ df-fz </td>
       <td> ` ( M ... N ) ` </td><td>Yes</td><td> ~ fzval , ~ eluzfz </td></tr>
       <tr><td>fz0</td><td>finite set of sequential nonnegative integers</td>
       <td>  </td>
       <td> ` ( 0 ... N ) ` </td><td>Yes</td><td> ~ nn0fz0 , ~ fz0tp </td></tr>
       <tr><td>fzo</td><td>half-open integer range</td><td> ~ df-fzo </td>
       <td> ` ( M ..^ N ) ` </td><td>Yes</td>
       <td> ~ elfzo , ~ elfzofz </td></tr>
       <tr><td>g</td><td>more general (suffix); eliminates "is a set"
       hypotheses</td><td> </td>
       <td> </td><td>No</td><td> ~ uniexg </td></tr>
       <tr><td>gr</td><td>graph</td><td> </td>
       <td> </td><td>No</td><td> ~ uhgrf , ~ isumgr , ~ usgrres1 </td></tr>
       <tr><td>grp</td><td>group</td><td> ~ df-grp </td>
       <td> ` Grp ` </td><td>Yes</td><td> ~ isgrp , ~ tgpgrp </td></tr>
       <tr><td>gsum</td><td>group sum</td><td> ~ df-gsum </td>
       <td> ` ( G gsum F ) ` </td><td>Yes</td>
       <td> ~ gsumval , ~ gsumwrev </td></tr>
       <tr><td>hash</td><td>size (of a set)</td><td> ~ df-hash </td>
       <td> ` ( # `` A ) ` </td><td>Yes</td>
       <td> ~ hashgval , ~ hashfz1 , ~ hashcl </td></tr>
       <tr><td>hb</td><td>hypothesis builder (prefix)</td><td> </td>
       <td> </td><td>No</td><td> ~ hbxfrbi , ~ hbald , ~ hbequid </td></tr>
       <tr><td>hm</td><td>(monoid, group, ring) homomorphism</td><td> </td>
       <td> </td><td>No</td><td> ~ ismhm , ~ isghm , ~ isrhm </td></tr>
       <tr><td>i</td><td>inference (suffix)</td><td> </td>
       <td> </td><td>No</td><td> ~ eleq1i , ~ tcsni </td></tr>
       <tr><td>i</td><td>implication (suffix)</td><td> </td>
       <td> </td><td>No</td><td> ~ brwdomi , ~ infeq5i  </td></tr>
       <tr><td>id</td><td>identity</td><td> </td>
       <td> </td><td>No</td><td> ~ biid </td></tr>
       <tr><td>iedg</td><td>indexed edge</td><td> ~ df-iedg </td>
       <td> ` ( iEdg `` G ) ` </td><td>Yes</td>
       <td> ~ iedgval0 , ~ edgiedgb </td></tr>
       <tr><td>idm</td><td>idempotent</td><td> </td>
       <td> </td><td>No</td><td> ~ anidm , ~ tpidm13 </td></tr>
       <tr><td>im, <b>imp</b></td><td>implication (label often omitted)</td>
       <td> ~ df-im </td><td> ` ( A -> B ) ` </td><td>Yes</td>
       <td> ~ iman , ~ imnan , ~ impbidd </td></tr>
       <tr><td>ima</td><td>image</td><td> ~ df-ima </td>
       <td> ` ( A " B ) ` </td><td>Yes</td><td> ~ resima , ~ imaundi </td></tr>
       <tr><td>imp</td><td>import</td><td> </td>
       <td> </td><td>No</td><td> ~ biimpa , ~ impcom </td></tr>
       <tr><td>in</td><td>intersection</td><td> ~ df-in </td>
       <td> ` ( A i^i B ) ` </td><td>Yes</td><td> ~ elin , ~ incom </td></tr>
       <tr><td>inf</td><td>infimum</td><td> ~ df-inf </td>
       <td> ` inf ( RR+ , RR* , < ) ` </td><td>Yes</td>
       <td> ~ fiinfcl , ~ infiso </td></tr>
       <tr><td>is...</td><td>is (something a) ...?</td><td> </td>
       <td> </td><td>No</td><td> ~ isring </td></tr>
       <tr><td>j</td><td>joining, disjoining</td><td> </td>
       <td> </td><td>No</td><td> ~ jc , ~ jaoi  </td></tr>
       <tr><td>l</td><td>left</td><td> </td>
       <td> </td><td>No</td><td> ~ olcd , ~ simpl  </td></tr>
       <tr><td>map</td><td>mapping operation or set exponentiation</td>
       <td> ~ df-map </td><td> ` ( A ^m B ) ` </td><td>Yes</td>
       <td> ~ mapvalg , ~ elmapex </td></tr>
       <tr><td>mat</td><td>matrix</td><td> ~ df-mat </td>
       <td> ` ( N Mat R ) ` </td><td>Yes</td>
       <td> ~ matval , ~ matring </td></tr>
       <tr><td>mdet</td><td>determinant (of a square matrix)</td>
       <td> ~ df-mdet </td><td> ` ( N maDet R ) ` </td><td>Yes</td>
       <td> ~ mdetleib , ~ mdetrlin </td></tr>
       <tr><td>mgm</td><td>magma</td><td> ~ df-mgm </td>
       <td> ` Magma ` </td><td>Yes</td>
       <td> ~ mgmidmo , ~ mgmlrid , ~ ismgm </td></tr>
       <tr><td>mgp</td><td>multiplicative group</td><td> ~ df-mgp </td>
       <td> ` ( mulGrp `` R ) ` </td><td>Yes</td>
       <td> ~ mgpress , ~ ringmgp </td></tr>
       <tr><td>mnd</td><td>monoid</td><td> ~ df-mnd </td>
       <td> ` Mnd ` </td><td>Yes</td><td> ~ mndass , ~ mndodcong </td></tr>
       <tr><td>mo</td><td>"there exists at most one"</td><td> ~ df-mo </td>
       <td> ` E* x ph ` </td><td>Yes</td><td> ~ eumo , ~ moim </td></tr>
       <tr><td>mp</td><td>modus ponens</td><td> ~ ax-mp </td>
       <td> </td><td>No</td><td> ~ mpd , ~ mpi </td></tr>
       <tr><td>mpo</td><td>maps-to notation for an operation</td>
       <td> ~ df-mpo </td><td> ` ( x e. A , y e. B |-> C ) ` </td><td>Yes</td>
       <td> ~ mpompt , ~ resmpo </td></tr>
       <tr><td>mpt</td><td>modus ponendo tollens</td><td></td>
       <td> </td><td>No</td><td> ~ mptnan , ~ mptxor </td></tr>
       <tr><td>mpt</td><td>maps-to notation for a function</td>
       <td> ~ df-mpt </td><td> ` ( x e. A |-> B ) ` </td><td>Yes</td>
       <td> ~ fconstmpt , ~ resmpt </td></tr>
       <tr><td>mpt2</td><td>maps-to notation for an operation (deprecated).
       We are in the process of replacing mpt2 with mpo in labels.</td>
       <td> ~ df-mpo </td><td> ` ( x e. A , y e. B |-> C ) ` </td><td>Yes</td>
       <td> ~ mpompt , ~ resmpo </td></tr>
       <tr><td>mul</td><td>multiplication (see "t")</td><td> ~ df-mul </td>
       <td> ` ( A x. B ) ` </td><td>Yes</td>
       <td> ~ mulcl , ~ divmul , ~ mulcom , ~ mulass </td></tr>
       <tr><td>n, not</td><td>not</td><td> </td>
       <td> ` -. ph ` </td><td>Yes</td>
       <td> ~ nan , ~ notnotr </td></tr>
       <tr><td>ne</td><td>not equal</td><td>df-ne</td><td> ` A =/= B ` </td>
       <td>Yes</td><td> ~ exmidne , ~ neeqtrd </td></tr>
       <tr><td>nel</td><td>not element of</td><td>df-nel</td><td> ` A e/ B `
       </td>
       <td>Yes</td><td> ~ neli , ~ nnel </td></tr>
       <tr><td>ne0</td><td>not equal to zero (see n0)</td><td></td>
       <td> ` =/= 0 ` </td><td>No</td>
       <td> ~ negne0d , ~ ine0 , ~ gt0ne0 </td></tr>
       <tr><td>nf</td><td> "not free in" (prefix)</td><td> </td>
       <td> </td><td>No</td><td> ~ nfnd </td></tr>
       <tr><td>ngp</td><td>normed group</td><td> ~ df-ngp </td>
       <td> ` NrmGrp ` </td><td>Yes</td><td>  ~ isngp , ~ ngptps </td></tr>
       <tr><td>nm</td><td>norm (on a group or ring)</td><td> ~ df-nm </td>
       <td> ` ( norm `` W ) ` </td><td>Yes</td>
       <td>  ~ nmval , ~ subgnm </td></tr>
       <tr><td>nn</td><td>positive integers</td><td> ~ df-nn </td>
       <td> ` NN ` </td><td>Yes</td><td>  ~ nnsscn , ~ nncn </td></tr>
       <tr><td><b>nn0</b></td><td>nonnegative integers</td><td> ~ df-n0 </td>
       <td> ` NN0 ` </td><td>Yes</td><td>  ~ nnnn0 , ~ nn0cn </td></tr>
       <tr><td>n0</td><td>not the empty set (see ne0)</td><td></td>
       <td> ` =/= (/) ` </td><td>No</td><td> ~ n0i , ~ vn0 , ~ ssn0 </td></tr>
       <tr><td>OLD</td><td>old, obsolete (to be removed soon)</td><td> </td>
       <td> </td><td>No</td><td> ~ 19.43OLD </td></tr>
       <tr><td>on</td><td>ordinal number</td><td> ~ df-on </td>
       <td> ` A e. On ` </td><td>Yes</td>
       <td>  ~ elon , ~ 1on ~ onelon </td></tr>
       <tr><td>op</td><td>ordered pair</td><td> ~ df-op </td>
       <td> ` <. A , B >. ` </td><td>Yes</td><td>  ~ dfopif , ~ opth </td></tr>
       <tr><td>or</td><td>or</td><td> ~ df-or </td>
       <td> ` ( ph \/ ps ) ` </td><td>Yes</td>
       <td> ~ orcom , ~ anor </td></tr>
       <tr><td>ot</td><td>ordered triple</td><td> ~ df-ot </td>
       <td> ` <. A , B , C >. ` </td><td>Yes</td>
       <td>  ~ euotd , ~ fnotovb </td></tr>
       <tr><td>ov</td><td>operation value</td><td> ~ df-ov </td>
       <td> ` ( A F B ) ` </td><td>Yes
       </td><td>  ~ fnotovb , ~ fnovrn </td></tr>
       <tr><td><b>p</b></td><td>plus (see "add"), for all-constant
       theorems</td><td> ~ df-add </td>
       <td> ` ( 3 + 2 ) = 5 ` </td><td>Yes</td>
       <td> ~ 3p2e5 </td></tr>
       <tr><td>pfx</td><td>prefix</td><td> ~ df-pfx </td>
       <td> ` ( W prefix L ) ` </td><td>Yes</td>
       <td> ~ pfxlen , ~ ccatpfx </td></tr>
       <tr><td>pm</td><td>Principia Mathematica</td><td> </td>
       <td> </td><td>No</td><td> ~ pm2.27 </td></tr>
       <tr><td>pm</td><td>partial mapping (operation)</td><td> ~ df-pm </td>
       <td> ` ( A ^pm B ) ` </td><td>Yes</td><td> ~ elpmi , ~ pmsspw </td></tr>
       <tr><td>pr</td><td>pair</td><td> ~ df-pr </td>
       <td> ` { A , B } ` </td><td>Yes</td>
       <td> ~ elpr , ~ prcom , ~ prid1g , ~ prnz </td></tr>
       <tr><td>prm, <b>prime</b></td><td>prime (number)</td><td> ~ df-prm </td>
       <td> ` Prime ` </td><td>Yes</td><td> ~ 1nprm , ~ dvdsprime </td></tr>
       <tr><td>pss</td><td>proper subset</td><td> ~ df-pss </td>
       <td> ` A C. B ` </td><td>Yes</td><td> ~ pssss , ~ sspsstri </td></tr>
       <tr><td>q</td><td> rational numbers ("quotients")</td><td> ~ df-q </td>
       <td> ` QQ ` </td><td>Yes</td><td> ~ elq </td></tr>
       <tr><td>r</td><td>right</td><td> </td>
       <td> </td><td>No</td><td> ~ orcd , ~ simprl  </td></tr>
       <tr><td>rab</td><td>restricted class abstraction</td>
       <td> ~ df-rab </td><td> ` { x e. A | ph } ` </td><td>Yes</td>
       <td> ~ rabswap , ~ df-oprab </td></tr>
       <tr><td>ral</td><td>restricted universal quantification</td>
       <td> ~ df-ral </td><td> ` A. x e. A ph ` </td><td>Yes</td>
       <td> ~ ralnex , ~ ralrnmpo </td></tr>
       <tr><td>rcl</td><td>reverse closure</td><td> </td>
       <td> </td><td>No</td><td> ~ ndmfvrcl , ~ nnarcl </td></tr>
       <tr><td><b>re</b></td><td>real numbers</td><td> ~ df-r </td>
       <td> ` RR ` </td><td>Yes</td><td> ~ recn , ~ 0re </td></tr>
       <tr><td>rel</td><td>relation</td><td> ~ df-rel </td><td> ` Rel A ` </td>
       <td>Yes</td><td> ~ brrelex1 , ~ relmpoopab </td></tr>
       <tr><td>res</td><td>restriction</td><td> ~ df-res </td>
       <td> ` ( A |`` B ) ` </td><td>Yes</td>
       <td> ~ opelres , ~ f1ores </td></tr>
       <tr><td>reu</td><td>restricted existential uniqueness</td>
       <td> ~ df-reu </td><td> ` E! x e. A ph ` </td><td>Yes</td>
       <td> ~ nfreud , ~ reurex </td></tr>
       <tr><td>rex</td><td>restricted existential quantification</td>
       <td> ~ df-rex </td><td> ` E. x e. A ph ` </td><td>Yes</td>
       <td> ~ rexnal , ~ rexrnmpo </td></tr>
       <tr><td>rmo</td><td>restricted "at most one"</td>
       <td> ~ df-rmo </td><td> ` E* x e. A ph ` </td><td>Yes</td>
       <td> ~ nfrmod , ~ nrexrmo </td></tr>
       <tr><td>rn</td><td>range</td><td> ~ df-rn </td><td> ` ran A ` </td>
       <td>Yes</td><td> ~ elrng , ~ rncnvcnv </td></tr>
       <tr><td>rng</td><td>(unital) ring</td><td> ~ df-ring </td>
       <td> ` Ring ` </td><td>Yes</td>
       <td> ~ ringidval , ~ isring , ~ ringgrp </td></tr>
       <tr><td>rot</td><td>rotation</td><td> </td>
       <td> </td><td>No</td><td> ~ 3anrot , ~ 3orrot </td></tr>
       <tr><td>s</td><td>eliminates need for syllogism (suffix)</td>
       <td> </td> <td> </td><td>No</td><td> ~ ancoms </td></tr>
       <tr><td>sb</td><td>(proper) substitution (of a set)</td>
       <td> ~ df-sb </td><td> ` [ y / x ] ph ` </td><td>Yes</td>
       <td> ~ spsbe , ~ sbimi </td></tr>
       <tr><td>sbc</td><td>(proper) substitution of a class</td>
       <td> ~ df-sbc </td><td> ` [. A / x ]. ph ` </td><td>Yes</td>
       <td> ~ sbc2or , ~ sbcth </td></tr>
       <tr><td>sca</td><td>scalar</td><td> ~ df-sca </td>
       <td> ` ( Scalar `` H ) ` </td><td>Yes</td>
       <td> ~ resssca , ~ mgpsca </td></tr>
       <tr><td>simp</td><td>simple, simplification</td><td> </td>
       <td> </td><td>No</td><td> ~ simpl , ~ simp3r3 </td></tr>
       <tr><td>sn</td><td>singleton</td><td> ~ df-sn </td>
       <td> ` { A } ` </td><td>Yes</td><td> ~ eldifsn </td></tr>
       <tr><td>sp</td><td>specialization</td><td> </td>
       <td> </td><td>No</td><td> ~ spsbe , ~ spei </td></tr>
       <tr><td>ss</td><td>subset</td><td> ~ df-ss </td>
       <td> ` A C_ B ` </td><td>Yes</td><td> ~ difss </td></tr>
       <tr><td>struct</td><td>structure</td><td> ~ df-struct </td>
       <td> ` Struct ` </td><td>Yes</td><td> ~ brstruct , ~ structfn </td></tr>
       <tr><td>sub</td><td>subtract</td><td> ~ df-sub </td>
       <td> ` ( A - B ) ` </td><td>Yes</td>
       <td> ~ subval , ~ subaddi </td></tr>
       <tr><td>sup</td><td>supremum</td><td> ~ df-sup </td>
       <td> ` sup ( A , B , < ) ` </td><td>Yes</td>
       <td> ~ fisupcl , ~ supmo </td></tr>
       <tr><td>supp</td><td>support (of a function)</td><td> ~ df-supp </td>
       <td> ` ( F supp Z ) ` </td><td>Yes</td>
       <td> ~ ressuppfi , ~ mptsuppd </td></tr>
       <tr><td>swap</td><td>swap (two parts within a theorem)</td>
       <td> </td><td> </td><td>No</td><td> ~ rabswap , ~ 2reuswap </td></tr>
       <tr><td>syl</td><td>syllogism</td><td> ~ syl </td>
       <td> </td><td>No</td><td> ~ 3syl </td></tr>
       <tr><td>sym</td><td>symmetric</td><td> </td>
       <td> </td><td>No</td><td> ~ df-symdif , ~ cnvsym </td></tr>
       <tr><td>symg</td><td>symmetric group</td><td> ~ df-symg </td>
       <td> ` ( SymGrp `` A ) ` </td><td>Yes</td>
       <td> ~ symghash , ~ pgrpsubgsymg </td></tr>
       <tr><td><b>t</b></td>
       <td>times (see "mul"), for all-constant theorems</td>
       <td> ~ df-mul </td>
       <td> ` ( 3 x. 2 ) = 6 ` </td><td>Yes</td>
       <td> ~ 3t2e6 </td></tr>
       <tr>
         <td>th, t</td>
         <td>theorem</td>
         <td></td>
         <td></td>
         <td>No</td>
         <td> ~ nfth , ~ sbcth , ~ weth , ~ ancomst </td>
       </tr>
       <tr><td>tp</td><td>triple</td><td> ~ df-tp </td>
       <td> ` { A , B , C } ` </td><td>Yes</td>
       <td> ~ eltpi , ~ tpeq1 </td></tr>
       <tr><td>tr</td><td>transitive</td><td> </td>
       <td> </td><td>No</td><td> ~ bitrd , ~ biantr </td></tr>
       <tr>
         <td>tru, t</td>
         <td>true, truth</td>
         <td> ~ df-tru </td>
         <td> ` T. ` </td>
         <td>Yes</td>
         <td> ~ bitru , ~ truanfal , ~ biimt </td>
       </tr>
       <tr><td>un</td><td>union</td><td> ~ df-un </td>
       <td> ` ( A u. B ) ` </td><td>Yes</td>
       <td> ~ uneqri , ~ uncom </td></tr>
       <tr><td>unit</td><td>unit (in a ring)</td>
       <td> ~ df-unit </td><td> ` ( Unit `` R ) ` </td><td>Yes</td>
       <td> ~ isunit , ~ nzrunit </td></tr>
       <tr>
         <td>v</td>
         <td>set<b>v</b>ar (especially for specializations of
             theorems when a class is replaced by a setvar variable)</td>
         <td></td>
         <td>x</td>
         <td>Yes</td>
         <td> ~ cv , ~ vex , ~ velpw , ~ vtoclf </td>
       </tr>
       <tr>
         <td>v</td>
         <td>disjoint variable condition used in place of nonfreeness
             hypothesis (suffix)</td>
         <td></td>
         <td></td>
         <td>No</td>
         <td> ~ spimv </td>
       </tr>
       <tr>
         <td>vtx</td>
         <td>vertex</td>
         <td> ~ df-vtx </td>
         <td> ` ( Vtx `` G ) ` </td>
         <td>Yes</td>
         <td> ~ vtxval0 , ~ opvtxov </td>
       </tr>
       <tr>
         <td>vv</td>
         <td>two disjoint variable conditions used in place of nonfreeness
             hypotheses (suffix)</td>
         <td></td>
         <td></td>
         <td>No</td>
         <td> ~ 19.23vv </td>
       </tr>
       <tr><td>w</td><td>weak (version of a theorem) (suffix)</td><td> </td>
       <td> </td><td>No</td><td> ~ ax11w , ~ spnfw </td></tr>
       <tr><td><b>wrd</b></td><td>word</td>
       <td> ~ df-word </td><td> ` Word S ` </td><td>Yes</td>
       <td> ~ iswrdb , ~ wrdfn , ~ ffz0iswrd </td></tr>
       <tr><td>xp</td><td>cross product (Cartesian product)</td>
       <td> ~ df-xp </td><td> ` ( A X. B ) ` </td><td>Yes</td>
       <td> ~ elxp , ~ opelxpi , ~ xpundi </td></tr>
       <tr><td>xr</td><td>eXtended reals</td><td> ~ df-xr </td>
       <td> ` RR* ` </td><td>Yes</td><td> ~ ressxr , ~ rexr , ~ 0xr </td></tr>
       <tr><td>z</td><td> integers (from German "Zahlen")</td>
       <td> ~ df-z </td><td> ` ZZ ` </td><td>Yes</td>
       <td> ~ elz , ~ zcn </td></tr>
       <tr><td>zn</td><td> ring of integers ` mod N ` </td><td> ~ df-zn </td>
       <td> ` ( Z/nZ `` N ) ` </td><td>Yes</td>
       <td> ~ znval , ~ zncrng , ~ znhash </td></tr>
       <tr><td>zring</td><td>ring of integers</td><td> ~ df-zring </td>
       <td> ` ZZring ` </td><td>Yes</td><td> ~ zringbas , ~ zringcrng
       </td></tr>
       <tr><td><b>0, z</b></td>
       <td>slashed zero (empty set)</td><td> ~ df-nul </td>
       <td> ` (/) ` </td><td>Yes</td>
       <td> ~ n0i , ~ vn0 ; ~ snnz , ~ prnz </td></tr>
       </table>
       </HTML>

       (Contributed by the Metamath team, 27-Dec-2016.)  Date of last revision.
       (Revised by the Metamath team, 22-Sep-2022.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    conventions-labels $p |- ph $=
      (  ) B $.
  $}

  ${
    conventions-comments.1 $e |- ph $.
    $(
       <HTML>
       <p>
       The following gives conventions used in the Metamath Proof Explorer
       (MPE, set.mm) regarding comments, and more generally nonmathematical
       conventions.
       For other conventions, see ~ conventions and links therein.
       </p>

       <ul>
       <li><b>Input format.</b>
       <p>
       The input format is ASCII.  Tab characters are not allowed.  If
       non-ASCII characters have to be displayed in comments, use embedded
       mathematical symbols when they have been defined (e.g., "`` -> ``" for
       " ` -> ` ") or HTML entities (e.g., "&amp;eacute;" for "&eacute;").
       Default indentation is by two spaces.  Lines are hard-wrapped to be at
       most 79-character long, excluding the newline character (this can be
       achieved, except currently for section comments, by the Metamath program
       "MM> WRITE SOURCE set.mm / REWRAP" command or by running the script
       scripts/rewrap).  The file ends with an empty line.  There are no
       trailing spaces.  As for line wrapping in statements, we try to break
       lines before the most important token.
       </p>
       </li>

       <li><b>Language and spelling.</b>
       <p>
       The MPE uses American English, e.g., we write "neighborhood" instead of
       the British English "neighbourhood".  An exception is the word "analog",
       which can be either a noun or an adjective (furthermore, "analog" has
       the confounding meaning "not digital"); therefore, "analogue" is used
       for the noun and "analogous" for the adjective.  We favor regular
       plurals, e.g., "formulas" instead of "formulae", "lemmas" instead of
       "lemmata".  We use the serial comma (Oxford comma) in enumerations.  We
       use commas after "i.e." and "e.g.".
       </p>
       <p>
       We avoid beginning a sentence with a symbol (for instance, by writing
       "The function F is ..." instead of "F is...").</p>
       <p>
       Since comments may contain many space-separated symbols, we use the
       older convention of two spaces after a period ending a sentence, to
       better separate sentences (this is also achieved by the Metamath program
       "MM> WRITE SOURCE set.mm / REWRAP" command).
       <p>
       <p>
       When compound words have several variants, we prefer the concatenated
       variant (e.g., nonempty, nontrivial, nonpositive, nonzero,
       nonincreasing, nondegenerate...).
       </p>
       </li>

       <li><b>Quotation style.</b>
       <p>
       We use the "logical quotation style", which means that when a quoted
       text is followed by punctuation not pertaining to the quote, then the
       quotation mark precedes the punctuation (like at the beginning of this
       sentence).  We use the double quote as default quotation mark (since the
       single quote also serves as apostrophe), and the single quote in the
       case of a nested quotation.
       </p>
       </li>

       <li><b>Sectioning and section headers.</b>
       <p>
       The database set.mm has a sectioning system with four levels of titles,
       signaled by "decoration lines" which are 79-character long repetitions
       of ####, #*#*, =-=-, and -.-. (in descending order of sectioning level).
       Sections of any level are separated by two blank lines (if there is a
       "@( Begin $[ ... $] @)" comment (where "@" is actually "$") before a
       section header, then the double blank line should go before that
       comment, which is considered as belonging to that section).  The format
       of section headers is best seen in the source file (set.mm); it is as
       follows:
       <ul>
       <li>a line with "@(" (with the "@" replaced by "$");</li>
       <li>a decoration line;</li>
       <li>section title indented with two spaces;</li>
       <li>a (matching) decoration line;</li>
       <li>[blank line; header comment indented with two spaces;
       blank line;]</li>
       <li>a line with "@)" (with the "@" replaced by "$");</li>
       <li>one blank line.</li>
       </ul>
       <p>
       As everywhere else, lines are hard-wrapped to be 79-character long.  It
       is expected that in a future version, the Metamath program "MM> WRITE
       SOURCE set.mm / REWRAP" command will reformat section headers to
       automatically conform with this format.
       </p>
       </li>

       <li><b>Comments.</b>
       <p>
       As for formatting of the file set.mm, and in particular formatting and
       layout of the comments, the foremost rule is consistency.  The first
       sections of set.mm, in particular Part 1 "Classical first-order logic
       with equality" can serve as a model for contributors.  Some formatting
       rules are enforced when using the Metamath program "MM> WRITE SOURCE
       set.mm / REWRAP" command.  Here are a few other rules, which are
       not enforced, but that we try to follow:
       <ul>
       <li>
       A math string in a comment should be surrounded by space-separated
       backquotes on the same line, and if it is too long it should be broken
       into multiple adjacent math strings on multiple lines.
       </li>
       <li>
       The file set.mm should have a double blank line between sections, and at
       no other places.  In particular, there are no triple blank lines.
       </li>
       <li>
       The header comments should be spaced as those of Part 1, namely, with
       a blank line before and after the comment, and an indentation of two
       spaces.
       </li>
       <li>
       As of 20-Sep-2022, section comments are not rewrapped by the Metamath
       program "MM> WRITE SOURCE set.mm / REWRAP" command, though this is
       expected in a future version.  Similar spacing and wrapping should be
       used as for other comments: double spaces after a period ending a
       sentence, line wrapping with line width of 79, and no trailing spaces
       at the end of lines.
       </li>
       </ul>
       <br>
       </li>

       <li><b>Contributors.</b>
       <p>
       Each assertion (theorem, definition or axiom) has a contribution tag of
       the form "(Contributed by xxx, dd-Mmm-yyyy.)" (see Metamath Book,
       p. 142).  The date cannot serve as a proof of anteriority since there is
       currently no formal guarantee that the date is correct (a claim of
       anterioty can be backed, for instance, by the uploading of a result to a
       public repository with verifiable date).  The contributor is the first
       person who proved (or stated, in the case of a definition or axiom) the
       statement.  The list of contributors appears at the beginning of set.mm.
       </p>
       <p>
       An exception should be made if a theorem is essentially an extract or a
       variant of an already existing theorem, in which case the contributor
       should be that of the statement from which it is derived, with the
       modification signaled by a "(Revised by xxx, dd-Mmm-yyyy.)" tag.
       </p>
       </li>

       <li><b>Usage of parentheticals.</b>
       <p>
       Usually, the comment of a theorem should contain at most one of the
       "Revised by" and "Proof shortened by" parentheticals, see Metamath Book,
       pp. 142-143 (there must always be a "Contributed by" parenthetical for
       every theorem).  Exceptions for "Proof shortened by" parentheticals
       are essential additional shortenings by a different person.  If a proof
       is shortened by the same person, the date within the "Proof shortened
       by" parenthetical should be updated only.  This also holds for "Revised
       by" parentheticals, except that also more than one of such
       parentheticals for the same person are acceptable (if there are good
       reasons for this). A revision tag is optionally preceded by a short
       description of the revision.  Since this is somewhat subjective,
       judgment and intellectual honesty should be applied, with collegial
       settlement in case of dispute.
       </p>
       </li>

       <li><b>Explaining new labels.</b>
       <p>
       A comment should explain the first use of an abbreviation within a
       label.  This is often in a definition (e.g., Definition ~ df-an
       introduces the abbreviation "an" for conjunction ("and")), but not
       always (e.g., Theorem ~ alim introduces the abbreviation "al" for
       the universal quantifier ("for all")).  See ~ conventions-labels for a
       table of abbreviations.
       </p>
       </li>
       </ul>
       </HTML>

       (Contributed by the Metamath team, 27-Dec-2016.)  Date of last revision.
       (Revised by the Metamath team, 22-Sep-2022.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    conventions-comments $p |- ph $=
      (  ) B $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Natural deduction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
   $( Note:  validator.w3.org  rejects "&sacute;" so I changed it to
      "&#347;" - NM 22-Jun-2017 $)
   $( Dummy premise for ~ natded . $)
    natded.1 $e |- ph $.
    $(
       Here are typical natural deduction (ND) rules in the style of Gentzen
       and Ja&#347;kowski, along with MPE translations of them.  This also
       shows the recommended theorems when you find yourself needing these
       rules (the recommendations encourage a slightly different proof style
       that works more naturally with set.mm).  A decent list of the standard
       rules of natural deduction can be found beginning with definition /\I in
       [Pfenning] p. 18.  For information about ND and Metamath, see the
       <A HREF="mmnatded.html">page on Deduction Form and Natural Deduction
       in Metamath Proof Explorer</A>.  Many more citations could be added.

       <HTML>
       <P>
       <TABLE ALIGN=CENTER BORDER CELLSPACING=0 WIDTH="95%">
       <TR><TH>Name</TH><TH>Natural Deduction Rule</TH><TH>Translation</TH>
       <TH>Recommendation</TH><TH>Comments</TH></TR>
       <TR><TD> IT </TD>
       <TD> ` _G |- ps ` => ` _G |- ps ` </TD>
       <TD> ~ idi </TD>
       <TD> nothing </TD><TD>Reiteration is always redundant in Metamath.
       Definition "new rule" in [Pfenning] p. 18,
       definition IT in [Clemente] p. 10. </TD>
       </TR>

       <TR><TD> ` /\ `I</TD>
       <TD> ` _G |- ps ` & ` _G |- ch ` => ` _G |- ps /\ ch ` </TD>
       <TD> ~ jca </TD>
       <TD> ~ jca , ~ pm3.2i </TD>
       <TD>Definition ` /\ `I in [Pfenning] p. 18,
       definition I` /\ `m,n in [Clemente] p. 10, and
       definition ` /\ `I in [Indrzejczak] p. 34
       (representing both Gentzen's system NK and Ja&#347;kowski)</TD>
       </TR>

       <TR><TD> ` /\ `E<SUB>L</SUB></TD>
       <TD> ` _G |- ps /\ ch ` => ` _G |- ps ` </TD>
       <TD> ~ simpld </TD>
       <TD> ~ simpld , ~ adantr </TD>
       <TD>Definition ` /\ `E<SUB>L</SUB> in [Pfenning] p. 18,
       definition E` /\ `(1) in [Clemente] p. 11, and
       definition ` /\ `E in [Indrzejczak] p. 34
       (representing both Gentzen's system NK and Ja&#347;kowski)</TD>
       </TR>

       <TR><TD> ` /\ `E<SUB>R</SUB></TD>
       <TD> ` _G |- ps /\ ch ` => ` _G |- ch ` </TD>
       <TD> ~ simprd </TD>
       <TD> ~ simpr , ~ adantl </TD>
       <TD>Definition ` /\ `E<SUB>R</SUB> in [Pfenning] p. 18,
       definition E` /\ `(2) in [Clemente] p. 11, and
       definition ` /\ `E in [Indrzejczak] p. 34
       (representing both Gentzen's system NK and Ja&#347;kowski)</TD>
       </TR>

       <TR><TD> ` -> `I </TD>
       <TD> ` _G , ps |- ch ` => ` _G |- ps -> ch ` </TD>
       <TD> ~ ex </TD><TD> ~ ex </TD>
       <TD>Definition ` -> `I in [Pfenning] p. 18,
       definition I=>m,n in [Clemente] p. 11, and
       definition ` -> `I in [Indrzejczak] p. 33. </TD>
       </TR>

       <TR><TD> ` -> `E </TD>
       <TD> ` _G |- ps -> ch ` & ` _G |- ps ` => ` _G |- ch ` </TD>
       <TD> ~ mpd </TD><TD> ~ ax-mp , ~ mpd , ~ mpdan , ~ imp </TD>
       <TD>Definition ` -> `E in [Pfenning] p. 18,
       definition E=>m,n in [Clemente] p. 11, and
       definition ` -> `E in [Indrzejczak] p. 33. </TD>
       </TR>

       <TR><TD> ` \/ `I<SUB>L</SUB> </TD><TD> ` _G |- ps ` =>
       ` _G |- ps \/ ch ` </TD>
       <TD> ~ olcd </TD>
       <TD> ~ olc , ~ olci , ~ olcd </TD>
       <TD>Definition ` \/ `I in [Pfenning] p. 18,
       definition I` \/ `n(1) in [Clemente] p. 12</TD>
       </TR>

       <TR><TD> ` \/ `I<SUB>R</SUB> </TD><TD> ` _G |- ch ` =>
       ` _G |- ps \/ ch ` </TD>
       <TD> ~ orcd </TD>
       <TD> ~ orc , ~ orci , ~ orcd </TD>
       <TD>Definition ` \/ `I<SUB>R</SUB> in [Pfenning] p. 18,
       definition I` \/ `n(2) in [Clemente] p. 12. </TD>
       </TR>

       <TR><TD> ` \/ `E </TD><TD> ` _G |- ps \/ ch ` & ` _G , ps |- th ` &
       ` _G , ch |- th ` => ` _G |- th ` </TD>
       <TD> ~ mpjaodan </TD>
       <TD> ~ mpjaodan , ~ jaodan , ~ jaod </TD>
       <TD>Definition ` \/ `E in [Pfenning] p. 18,
       definition E` \/ `m,n,p in [Clemente] p. 12. </TD>
       </TR>

       <!-- This is NOT quite the same as Pfenning page 22, because they do not
       use falsum.  (Instead, they use an arbitrary atomic propositional letter
       in place of F. -->
       <TR><TD> ` -. `I </TD><TD> ` _G , ps |- F. ` => ` _G |- -. ps ` </TD>
       <TD> ~ inegd </TD><TD> ~ pm2.01d </TD>
       <TD></TD>
       </TR>

       <TR><TD> ` -. `I </TD><TD> ` _G , ps |- th ` & ` _G |- -. th ` =>
       ` _G |- -. ps ` </TD>
       <TD> ~ mtand </TD><TD> ~ mtand </TD>
       <TD>definition I` -. `m,n,p in [Clemente] p. 13. </TD>
       </TR>

       <TR><TD> ` -. `I </TD><TD> ` _G , ps |- ch ` & ` _G , ps |- -. ch ` =>
       ` _G |- -. ps ` </TD>
       <TD> ~ pm2.65da </TD><TD> ~ pm2.65da </TD>
       <TD>Contradiction.</TD>
       </TR>

       <TR><TD> ` -. `I </TD>
       <TD> ` _G , ps |- -. ps ` => ` _G |- -. ps ` </TD>
       <TD> ~ pm2.01da </TD><TD> ~ pm2.01d , ~ pm2.65da , ~ pm2.65d </TD>
       <TD>For an alternative falsum-free natural deduction ruleset</TD>
       </TR>

       <TR><TD> ` -. `E </TD>
       <TD> ` _G |- ps ` & ` _G |- -. ps ` => ` _G |- F. ` </TD>
       <TD> ~ pm2.21fal </TD>
       <TD> ~ pm2.21dd </TD><TD></TD>
       </TR>

       <TR><TD> ` -. `E </TD>
       <TD> ` _G , -. ps |- F. ` => ` _G |- ps ` </TD>
       <TD> </TD>
       <TD> ~ pm2.21dd </TD>
       <TD>definition ` -> `E in [Indrzejczak] p. 33. </TD>
       </TR>

       <TR><TD> ` -. `E </TD>
       <TD> ` _G |- ps ` & ` _G |- -. ps ` => ` _G |- th ` </TD>
       <TD> ~ pm2.21dd </TD><TD> ~ pm2.21dd , ~ pm2.21d , ~ pm2.21 </TD>
       <TD>For an alternative falsum-free natural deduction ruleset.
       Definition ` -. `E in [Pfenning] p. 18. </TD>
       </TR>

       <TR><TD> ` T. `I </TD><TD> ` _G |- T. ` </TD>
       <TD> ~ trud </TD><TD> ~ tru , ~ trud , ~ mptru </TD>
       <TD>Definition ` T. `I in [Pfenning] p. 18. </TD>
       </TR>

       <TR><TD> ` F. `E </TD><TD> ` _G , F. |- th ` </TD>
       <TD> ~ falimd </TD><TD> ~ falim </TD>
       <TD>Definition ` F. `E in [Pfenning] p. 18. </TD>
       </TR>

       <TR><TD> ` A. `I </TD>
       <TD> ` _G |- [ a / x ] ps ` => ` _G |- A. x ps ` </TD>
       <TD> ~ alrimiv </TD><TD> ~ alrimiv , ~ ralrimiva </TD>
       <TD>Definition ` A. `I<SUP>a</SUP> in [Pfenning] p. 18,
       definition I` A. `n in [Clemente] p. 32. </TD>
       </TR>

       <TR><TD> ` A. `E </TD>
       <TD> ` _G |- A. x ps ` => ` _G |- [ t / x ] ps ` </TD>
       <TD> ~ spsbcd </TD><TD> ~ spcv , ~ rspcv </TD>
       <TD>Definition ` A. `E in [Pfenning] p. 18,
       definition E` A. `n,t in [Clemente] p. 32. </TD>
       </TR>

       <TR><TD> ` E. `I </TD>
       <TD> ` _G |- [ t / x ] ps ` => ` _G |- E. x ps ` </TD>
       <TD> ~ spesbcd </TD><TD> ~ spcev , ~ rspcev </TD>
       <TD>Definition ` E. `I in [Pfenning] p. 18,
       definition I` E. `n,t in [Clemente] p. 32. </TD>
       </TR>

       <TR><TD> ` E. `E </TD>
       <TD> ` _G |- E. x ps ` & ` _G , [ a / x ] ps |- th ` =>
       ` _G |- th ` </TD>
       <TD> ~ exlimddv </TD><TD> ~ exlimddv , ~ exlimdd ,
       ~ exlimdv , ~ rexlimdva </TD>
       <TD>Definition ` E. `E<SUP>a,u</SUP> in [Pfenning] p. 18,
       definition E` E. `m,n,p,a in [Clemente] p. 32. </TD>
       </TR>

       <TR><TD> ` F. `C </TD>
       <TD> ` _G , -. ps |- F. ` => ` _G |- ps ` </TD>
       <TD> ~ efald </TD><TD> ~ efald </TD>
       <TD>Proof by contradiction (classical logic),
       definition ` F. `C in [Pfenning] p. 17. </TD>
       </TR>

       <TR><TD> ` F. `C </TD>
       <TD> ` _G , -. ps |- ps ` => ` _G |- ps ` </TD>
       <TD> ~ pm2.18da </TD><TD> ~ pm2.18da , ~ pm2.18d , ~ pm2.18 </TD>
       <TD>For an alternative falsum-free natural deduction ruleset</TD>
       </TR>

       <TR><TD> ` -. -. `C </TD>
       <TD> ` _G |- -. -. ps ` => ` _G |- ps ` </TD>
       <TD> ~ notnotrd </TD><TD> ~ notnotrd , ~ notnotr </TD>
       <TD>Double negation rule (classical logic),
       definition NNC in [Pfenning] p. 17,
       definition E` -. `n in [Clemente] p. 14. </TD>
       </TR>

       <TR><TD> EM </TD><TD> ` _G |- ps \/ -. ps ` </TD>
       <TD> ~ exmidd </TD><TD> ~ exmid </TD>
       <TD>Excluded middle (classical logic),
       definition XM in [Pfenning] p. 17,
       proof 5.11 in [Clemente] p. 14. </TD>
       </TR>

       <TR><TD> ` = `I </TD><TD> ` _G |- A = A ` </TD>
       <TD> ~ eqidd </TD><TD> ~ eqid , ~ eqidd </TD>
       <TD>Introduce equality,
       definition =I in [Pfenning] p. 127. </TD>
       </TR>

       <!-- In Metamath, no need to introduce E1 and E2 separately. -->
       <TR><TD> ` = `E </TD><TD> ` _G |- A = B ` & ` _G [. A / x ]. ps ` =>
       ` _G |- [. B / x ]. ps ` </TD>
       <TD> ~ sbceq1dd </TD><TD> ~ sbceq1d , equality theorems </TD>
       <TD>Eliminate equality,
       definition =E in [Pfenning] p. 127. (Both E1 and E2.) </TD>
       </TR>
       </TABLE>
       </HTML>

       <p>
       Note that MPE uses classical logic, not intuitionist logic.  As is
       conventional, the "I" rules are introduction rules, "E" rules are
       elimination rules, the "C" rules are conversion rules, and ` _G `
       represents the set of (current) hypotheses.  We use wff variable names
       beginning with ` ps ` to provide a closer representation of the Metamath
       equivalents (which typically use the antedent ` ph ` to represent the
       context ` _G ` ).

       Most of this information was developed by Mario Carneiro and posted on
       3-Feb-2017.  For more information, see the
       <A HREF="mmnatded.html">page on Deduction Form and Natural Deduction
       in Metamath Proof Explorer</A>.

       For annotated examples where some traditional ND rules
       are directly applied in MPE, see ~ ex-natded5.2 , ~ ex-natded5.3 ,
       ~ ex-natded5.5 , ~ ex-natded5.7 , ~ ex-natded5.8 , ~ ex-natded5.13 ,
       ~ ex-natded9.20 , and ~ ex-natded9.26 .
       </p>

       (Contributed by DAW, 4-Feb-2017.)  (New usage is discouraged.) $)
    natded $p |- ph $=
      (  ) B $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Natural deduction examples
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  These are examples of how natural deduction rules can be applied in Metamath
  (both as line-for-line translations of ND rules, and as a way to apply
  deduction forms without being limited to applying ND rules).  For more
  information, see ~ natded and ~ mmnatded.html .  Since these examples should
  not be used within proofs of other theorems, especially in mathboxes, they
  are marked with "(New usage is discouraged.)".

$)

  ${
    ex-natded5.2.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    ex-natded5.2.2 $e |- ( ph -> ( ch -> ps ) ) $.
    ex-natded5.2.3 $e |- ( ph -> ch ) $.
    $( Theorem 5.2 of [Clemente] p. 15, translated line by line using the
       interpretation of natural deduction in Metamath.
       For information about ND and Metamath, see the
       <A HREF="mmnatded.html">page on Deduction Form and Natural Deduction
       in Metamath Proof Explorer</A>.
       The original proof, which uses Fitch style, was written as follows:

       <HTML>
       <TABLE BORDER>
       <TR><TH NOWRAP>#</TH><TH>MPE#</TH><TH>ND Expression</TH>
       <TH NOWRAP>MPE Translation</TH><TH>ND Rationale</TH>
       <TH>MPE Rationale</TH></TR>
       <TR><TD>1</TD><TD>5</TD><TD NOWRAP> ` ( ( ps /\ ch ) -> th ) ` </TD>
       <TD NOWRAP> ` ( ph -> ( ( ps /\ ch ) -> th ) ) ` </TD>
       <TD>Given</TD>
       <TD>$e. </TD></TR>
       <TR><TD>2</TD><TD>2</TD><TD NOWRAP> ` ( ch -> ps ) ` </TD>
       <TD NOWRAP> ` ( ph -> ( ch -> ps ) ) ` </TD>
       <TD>Given</TD>
       <TD>$e. </TD></TR>
       <TR><TD>3</TD><TD>1</TD><TD> ` ch ` </TD>
       <TD> ` ( ph -> ch ) ` </TD>
       <TD>Given</TD>
       <TD>$e. </TD></TR>
       <TR><TD>4</TD><TD>3</TD><TD> ` ps ` </TD>
       <TD> ` ( ph -> ps ) ` </TD>
       <TD> ` -> `E 2,3</TD>
       <TD> ~ mpd , the MPE equivalent of ` -> `E, 1,2</TD></TR>
       <TR><TD>5</TD><TD>4</TD><TD> ` ( ps /\ ch ) ` </TD>
       <TD> ` ( ph -> ( ps /\ ch ) ) ` </TD>
       <TD> ` /\ `I 4,3</TD>
       <TD> ~ jca , the MPE equivalent of ` /\ `I, 3,1</TD></TR>
       <TR><TD>6</TD><TD>6</TD><TD> ` th ` </TD>
       <TD> ` ( ph -> th ) ` </TD>
       <TD> ` -> `E 1,5</TD>
       <TD> ~ mpd , the MPE equivalent of ` -> `E, 4,5</TD></TR>
       </TABLE>
       </HTML>

       The original used Latin letters for predicates;
       we have replaced them with
       Greek letters to follow Metamath naming conventions and so that
       it is easier to follow the Metamath translation.
       The Metamath line-for-line translation of this
       natural deduction approach precedes every line with an antecedent
       including ` ph ` and uses the Metamath equivalents
       of the natural deduction rules.
       Below is the final Metamath proof (which reorders some steps).
       A much more efficient proof, using more of Metamath and MPE's
       capabilities, is shown in ~ ex-natded5.2-2 .
       A proof without context is shown in ~ ex-natded5.2i .
       (Contributed by Mario Carneiro, 9-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ex-natded5.2 $p |- ( ph -> th ) $=
      ( wa mpd jca ) ABCHDABCACBGFIGJEI $.

    $( A more efficient proof of Theorem 5.2 of [Clemente] p. 15.  Compare with
       ~ ex-natded5.2 and ~ ex-natded5.2i .  (Contributed by Mario Carneiro,
       9-Feb-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ex-natded5.2-2 $p |- ( ph -> th ) $=
      ( mpd mp2and ) ABCDACBGFHGEI $.
  $}

  ${
    ex-natded5.2i.1 $e |- ( ( ps /\ ch ) -> th ) $.
    ex-natded5.2i.2 $e |- ( ch -> ps ) $.
    ex-natded5.2i.3 $e |- ch $.
    $( The same as ~ ex-natded5.2 and ~ ex-natded5.2-2 but with no context.
       (Contributed by Mario Carneiro, 9-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ex-natded5.2i $p |- th $=
      ( wa ax-mp pm3.2i ) ABGCABBAFEHFIDH $.
  $}

  ${
    ex-natded5.3.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ex-natded5.3.2 $e |- ( ph -> ( ch -> th ) ) $.
    $( Theorem 5.3 of [Clemente] p. 16, translated line by line using an
       interpretation of natural deduction in Metamath.
       A much more efficient proof, using more of Metamath and MPE's
       capabilities, is shown in ~ ex-natded5.3-2 .
       A proof without context is shown in ~ ex-natded5.3i .
       For information about ND and Metamath, see the <HTML>
       <A HREF="mmnatded.html">page on Deduction Form and Natural Deduction
       in Metamath Proof Explorer</A></HTML>.
       The original proof, which uses Fitch style, was written as follows:

       <HTML>
       <TABLE BORDER>
       <TR><TH NOWRAP>#</TH><TH>MPE#</TH><TH>ND Expression</TH>
       <TH NOWRAP>MPE Translation</TH><TH>ND Rationale</TH>
       <TH>MPE Rationale</TH></TR>
       <TR><TD>1</TD><TD>2;3</TD><TD NOWRAP> ` ( ps -> ch ) ` </TD>
       <TD NOWRAP> ` ( ph -> ( ps -> ch ) ) ` </TD>
       <TD>Given</TD>
       <TD>$e; ~ adantr to move it into the ND hypothesis</TD></TR>
       <TR><TD>2</TD><TD>5;6</TD><TD NOWRAP> ` ( ch -> th ) ` </TD>
       <TD NOWRAP> ` ( ph -> ( ch -> th ) ) ` </TD>
       <TD>Given</TD>
       <TD>$e; ~ adantr to move it into the ND hypothesis</TD></TR>
       <TR><TD>3</TD><TD>1</TD><TD> ...| ` ps ` </TD>
       <TD> ` ( ( ph /\ ps ) -> ps ) ` </TD>
       <TD>ND hypothesis assumption</TD>
       <TD> ~ simpr , to access the new assumption </TD></TR>
       <TR><TD>4</TD><TD>4</TD><TD> ... ` ch ` </TD>
       <TD> ` ( ( ph /\ ps ) -> ch ) ` </TD>
       <TD> ` -> `E 1,3</TD>
       <TD> ~ mpd , the MPE equivalent of ` -> `E, 1.3.
       ~ adantr was used to transform its dependency
       (we could also use ~ imp to get this directly from 1)
       </TD></TR>
       <TR><TD>5</TD><TD>7</TD><TD> ... ` th ` </TD>
       <TD> ` ( ( ph /\ ps ) -> th ) ` </TD>
       <TD> ` -> `E 2,4</TD>
       <TD> ~ mpd , the MPE equivalent of ` -> `E, 4,6.
       ~ adantr was used to transform its dependency</TD></TR>
       <TR><TD>6</TD><TD>8</TD><TD> ... ` ( ch /\ th ) ` </TD>
       <TD> ` ( ( ph /\ ps ) -> ( ch /\ th ) ) ` </TD>
       <TD> ` /\ `I 4,5</TD>
       <TD> ~ jca , the MPE equivalent of ` /\ `I, 4,7</TD></TR>
       <TR><TD>7</TD><TD>9</TD><TD NOWRAP> ` ( ps -> ( ch /\ th ) ) ` </TD>
       <TD NOWRAP> ` ( ph -> ( ps -> ( ch /\ th ) ) ) ` </TD>
       <TD> ` -> `I 3,6</TD>
       <TD> ~ ex , the MPE equivalent of ` -> `I, 8</TD></TR>
       </TABLE>
       </HTML>

       The original used Latin letters for predicates;
       we have replaced them with
       Greek letters to follow Metamath naming conventions and so that
       it is easier to follow the Metamath translation.
       The Metamath line-for-line translation of this
       natural deduction approach precedes every line with an antecedent
       including ` ph ` and uses the Metamath equivalents
       of the natural deduction rules.
       (Contributed by Mario Carneiro, 9-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ex-natded5.3 $p |- ( ph -> ( ps -> ( ch /\ th ) ) ) $=
      ( wa simpr wi adantr mpd jca ex ) ABCDGABGZCDNBCABHABCIBEJKZNCDOACDIBFJKL
      M $.

    $( A more efficient proof of Theorem 5.3 of [Clemente] p. 16.  Compare with
       ~ ex-natded5.3 and ~ ex-natded5.3i .  (Contributed by Mario Carneiro,
       9-Feb-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ex-natded5.3-2 $p |- ( ph -> ( ps -> ( ch /\ th ) ) ) $=
      ( syld jcad ) ABCDEABCDEFGH $.
  $}

  ${
    ex-natded5.3i.1 $e |- ( ps -> ch ) $.
    ex-natded5.3i.2 $e |- ( ch -> th ) $.
    $( The same as ~ ex-natded5.3 and ~ ex-natded5.3-2 but with no context.
       Identical to ~ jccir , which should be used instead.  (Contributed by
       Mario Carneiro, 9-Feb-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ex-natded5.3i $p |- ( ps -> ( ch /\ th ) ) $=
      ( syl jca ) ABCDABCDEFG $.
  $}

  ${
    ex-natded5.5.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ex-natded5.5.2 $e |- ( ph -> -. ch ) $.
    $( Theorem 5.5 of [Clemente] p. 18, translated line by line using the
       usual translation of natural deduction (ND) in the
       Metamath Proof Explorer (MPE) notation.
       For information about ND and Metamath, see the
       <A HREF="mmnatded.html">page on Deduction Form and Natural Deduction
       in Metamath Proof Explorer</A>.
       The original proof, which uses Fitch style, was written as follows
       (the leading "..." shows an embedded ND hypothesis, beginning with
       the initial assumption of the ND hypothesis):

       <HTML>
       <TABLE BORDER>
       <TR><TH NOWRAP>#</TH><TH>MPE#</TH><TH>ND Expression</TH>
       <TH NOWRAP>MPE Translation</TH><TH>ND Rationale</TH>
       <TH>MPE Rationale</TH></TR>
       <TR><TD>1</TD><TD>2;3</TD>
       <TD NOWRAP> ` ( ps -> ch ) ` </TD>
       <TD NOWRAP> ` ( ph -> ( ps -> ch ) ) ` </TD>
       <TD>Given</TD>
       <TD>$e; ~ adantr to move it into the ND hypothesis</TD></TR>
       <TR><TD>2</TD><TD>5</TD><TD NOWRAP> ` -. ch ` </TD>
       <TD NOWRAP> ` ( ph -> -. ch ) ` </TD><TD>Given</TD>
       <TD>$e; we'll use ~ adantr to move it into the ND hypothesis</TD></TR>
       <TR><TD>3</TD><TD>1</TD>
       <TD> ...| ` ps ` </TD><TD> ` ( ( ph /\ ps ) -> ps ) ` </TD>
       <TD>ND hypothesis assumption</TD>
       <TD> ~ simpr </TD></TR>
       <TR><TD>4</TD><TD>4</TD><TD> ... ` ch ` </TD>
       <TD> ` ( ( ph /\ ps ) -> ch ) ` </TD>
       <TD> ` -> `E 1,3</TD>
       <TD> ~ mpd 1,3</TD></TR>
       <TR><TD>5</TD><TD>6</TD><TD> ... ` -. ch ` </TD>
       <TD> ` ( ( ph /\ ps ) -> -. ch ) ` </TD>
       <TD>IT 2</TD>
       <TD> ~ adantr 5</TD></TR>
       <TR><TD>6</TD><TD>7</TD><TD> ` -. ps ` </TD>
       <TD> ` ( ph -> -. ps ) ` </TD>
       <TD> ` /\ `I 3,4,5</TD>
       <TD> ~ pm2.65da 4,6</TD></TR>
       </TABLE>
       </HTML>

       The original used Latin letters; we have replaced them with
       Greek letters to follow Metamath naming conventions and so that
       it is easier to follow the Metamath translation.
       The Metamath line-for-line translation of this
       natural deduction approach precedes every line with an antecedent
       including ` ph ` and uses the Metamath equivalents
       of the natural deduction rules.
       To add an assumption, the antecedent is modified to include it
       (typically by using ~ adantr ; ~ simpr is useful when you want to
       depend directly on the new assumption).
       Below is the final Metamath proof (which reorders some steps).

       A much more efficient proof is ~ mtod ;
       a proof without context is shown in ~ mto .

       (Contributed by David A. Wheeler, 19-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ex-natded5.5 $p |- ( ph -> -. ps ) $=
      ( wa simpr wi adantr mpd wn pm2.65da ) ABCABFBCABGABCHBDIJACKBEIL $.
  $}

  ${
    ex-natded5.7.1 $e |- ( ph -> ( ps \/ ( ch /\ th ) ) ) $.
    $( Theorem 5.7 of [Clemente] p. 19, translated line by line using the
       interpretation of natural deduction in Metamath.
       A much more efficient proof, using more of Metamath and MPE's
       capabilities, is shown in ~ ex-natded5.7-2 .
       For information about ND and Metamath, see the <HTML>
       <A HREF="mmnatded.html">page on Deduction Form and Natural Deduction
       in Metamath Proof Explorer</A></HTML>.
       The original proof, which uses Fitch style, was written as follows:

       <HTML>
       <TABLE BORDER>
       <TR><TH NOWRAP>#</TH><TH>MPE#</TH><TH>ND Expression</TH>
       <TH NOWRAP>MPE Translation</TH><TH>ND Rationale</TH>
       <TH>MPE Rationale</TH></TR>
       <TR><TD>1</TD><TD>6</TD>
       <TD NOWRAP> ` ( ps \/ ( ch /\ th ) ) ` </TD>
       <TD NOWRAP> ` ( ph -> ( ps \/ ( ch /\ th ) ) ) ` </TD>
       <TD>Given</TD>
       <TD>$e. No need for ~ adantr because we do not move this
       into an ND hypothesis</TD></TR>
       <TR><TD>2</TD><TD>1</TD><TD NOWRAP> ...| ` ps ` </TD>
       <TD NOWRAP> ` ( ( ph /\ ps ) -> ps ) ` </TD>
       <TD>ND hypothesis assumption (new scope)</TD>
       <TD> ~ simpr </TD></TR>
       <TR><TD>3</TD><TD>2</TD><TD> ... ` ( ps \/ ch ) ` </TD>
       <TD> ` ( ( ph /\ ps ) -> ( ps \/ ch ) ) ` </TD>
       <TD> ` \/ `I<SUB>L</SUB> 2</TD>
       <TD> ~ orcd , the MPE equivalent of ` \/ `I<SUB>L</SUB>, 1</TD></TR>
       <TR><TD>4</TD><TD>3</TD><TD> ...| ` ( ch /\ th ) ` </TD>
       <TD> ` ( ( ph /\ ( ch /\ th ) ) -> ( ch /\ th ) ) ` </TD>
       <TD>ND hypothesis assumption (new scope)</TD>
       <TD> ~ simpr </TD></TR>
       <TR><TD>5</TD><TD>4</TD><TD> ... ` ch ` </TD>
       <TD> ` ( ( ph /\ ( ch /\ th ) ) -> ch ) `  </TD>
       <TD> ` /\ `E<SUB>L</SUB> 4</TD>
       <TD> ~ simpld , the MPE equivalent of ` /\ `E<SUB>L</SUB>, 3</TD></TR>
       <TR><TD>6</TD><TD>6</TD><TD> ... ` ( ps \/ ch ) ` </TD>
       <TD> ` ( ( ph /\ ( ch /\ th ) ) -> ( ps \/ ch ) ) `  </TD>
       <TD> ` \/ `I<SUB>R</SUB> 5</TD>
       <TD> ~ olcd , the MPE equivalent of ` \/ `I<SUB>R</SUB>, 4</TD></TR>
       <TR><TD>7</TD><TD>7</TD><TD NOWRAP> ` ( ps \/ ch ) ` </TD>
       <TD NOWRAP> ` ( ph -> ( ps \/ ch ) ) ` </TD>
       <TD> ` \/ `E 1,3,6</TD>
       <TD> ~ mpjaodan , the MPE equivalent of ` \/ `E, 2,5,6 </TD></TR>
       </TABLE>
       </HTML>

       The original used Latin letters for predicates;
       we have replaced them with
       Greek letters to follow Metamath naming conventions and so that
       it is easier to follow the Metamath translation.
       The Metamath line-for-line translation of this
       natural deduction approach precedes every line with an antecedent
       including ` ph ` and uses the Metamath equivalents
       of the natural deduction rules.
       (Contributed by Mario Carneiro, 9-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ex-natded5.7 $p |- ( ph -> ( ps \/ ch ) ) $=
      ( wo wa simpr orcd simpld olcd mpjaodan ) ABBCFCDGZABGBCABHIAMGZCBNCDAMHJ
      KEL $.

    $( A more efficient proof of Theorem 5.7 of [Clemente] p. 19.  Compare with
       ~ ex-natded5.7 .  (Contributed by Mario Carneiro, 9-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ex-natded5.7-2 $p |- ( ph -> ( ps \/ ch ) ) $=
      ( wa wo simpl orim2i syl ) ABCDFZGBCGEKCBCDHIJ $.
  $}

  ${
    ex-natded5.8.1 $e |- ( ph -> ( ( ps /\ ch ) -> -. th ) ) $.
    ex-natded5.8.2 $e |- ( ph -> ( ta -> th ) ) $.
    ex-natded5.8.3 $e |- ( ph -> ch ) $.
    ex-natded5.8.4 $e |- ( ph -> ta ) $.
    $( Theorem 5.8 of [Clemente] p. 20, translated line by line using the
       usual translation of natural deduction (ND) in the
       Metamath Proof Explorer (MPE) notation.
       For information about ND and Metamath, see the
       <A HREF="mmnatded.html">page on Deduction Form and Natural Deduction
       in Metamath Proof Explorer</A>.
       The original proof, which uses Fitch style, was written as follows
       (the leading "..." shows an embedded ND hypothesis, beginning with
       the initial assumption of the ND hypothesis):

       <HTML>
       <TABLE BORDER>
       <TR><TH NOWRAP>#</TH><TH>MPE#</TH><TH>ND Expression</TH>
       <TH NOWRAP>MPE Translation</TH><TH>ND Rationale</TH>
       <TH>MPE Rationale</TH></TR>
       <TR><TD>1</TD><TD>10;11</TD>
       <TD NOWRAP> ` ( ( ps /\ ch ) -> -. th ) ` </TD>
       <TD NOWRAP> ` ( ph -> ( ( ps /\ ch ) -> -. th ) ) ` </TD>
       <TD>Given</TD>
       <TD>$e; ~ adantr to move it into the ND hypothesis</TD></TR>
       <TR><TD>2</TD><TD>3;4</TD><TD NOWRAP> ` ( ta -> th ) ` </TD>
       <TD NOWRAP> ` ( ph -> ( ta -> th ) ) ` </TD><TD>Given</TD>
       <TD>$e; ~ adantr to move it into the ND hypothesis</TD></TR>
       <TR><TD>3</TD><TD>7;8</TD>
       <TD> ` ch ` </TD><TD> ` ( ph -> ch ) ` </TD>
       <TD>Given</TD>
       <TD>$e; ~ adantr to move it into the ND hypothesis</TD></TR>
       <TR><TD>4</TD><TD>1;2</TD><TD> ` ta ` </TD><TD> ` ( ph -> ta ) ` </TD>
       <TD>Given</TD>
       <TD>$e. ~ adantr to move it into the ND hypothesis</TD></TR>
       <TR><TD>5</TD><TD>6</TD><TD> ...| ` ps ` </TD>
       <TD> ` ( ( ph /\ ps ) -> ps ) ` </TD>
       <TD>ND Hypothesis/Assumption</TD>
       <TD> ~ simpr . New ND hypothesis scope, each reference outside
       the scope must change antecedent ` ph ` to ` ( ph /\ ps ) `.</TD></TR>
       <TR><TD>6</TD><TD>9</TD><TD> ... ` ( ps /\ ch ) ` </TD>
       <TD> ` ( ( ph /\ ps ) -> ( ps /\ ch ) ) ` </TD>
       <TD> ` /\ `I 5,3</TD>
       <TD> ~ jca ( ` /\ `I), 6,8 ( ~ adantr to bring in scope)</TD></TR>
       <TR><TD>7</TD><TD>5</TD><TD> ... ` -. th ` </TD>
       <TD> ` ( ( ph /\ ps ) -> -. th ) ` </TD>
       <TD> ` -> `E 1,6</TD>
       <TD> ~ mpd ( ` -> `E), 2,4</TD></TR>
       <TR><TD>8</TD><TD>12</TD><TD> ... ` th ` </TD>
       <TD> ` ( ( ph /\ ps ) -> th ) ` </TD>
       <TD> ` -> `E 2,4</TD>
       <TD> ~ mpd ( ` -> `E), 9,11;
       note the contradiction with ND line 7 (MPE line 5)</TD></TR>
       <TR><TD>9</TD><TD>13</TD><TD> ` -. ps ` </TD>
       <TD> ` ( ph -> -. ps ) ` </TD>
       <TD> ` -. `I 5,7,8</TD>
       <TD> ~ pm2.65da ( ` -. `I), 5,12; proof by contradiction.
       MPE step 6 (ND#5) does not need a reference here, because
       the assumption is embedded in the antecedents</TD></TR>
       </TABLE>
       </HTML>

       The original used Latin letters; we have replaced them with
       Greek letters to follow Metamath naming conventions and so that
       it is easier to follow the Metamath translation.
       The Metamath line-for-line translation of this
       natural deduction approach precedes every line with an antecedent
       including ` ph ` and uses the Metamath equivalents
       of the natural deduction rules.
       To add an assumption, the antecedent is modified to include it
       (typically by using ~ adantr ; ~ simpr is useful when you want to
       depend directly on the new assumption).
       Below is the final Metamath proof (which reorders some steps).

       A much more efficient proof, using more of Metamath and MPE's
       capabilities, is shown in ~ ex-natded5.8-2 .

       (Contributed by Mario Carneiro, 9-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ex-natded5.8 $p |- ( ph -> -. ps ) $=
      ( wa adantr wi mpd wn simpr jca pm2.65da ) ABDABJZEDAEBIKAEDLBGKMRBCJZDNZ
      RBCABOACBHKPASTLBFKMQ $.

    $( A more efficient proof of Theorem 5.8 of [Clemente] p. 20.  For a longer
       line-by-line translation, see ~ ex-natded5.8 .  (Contributed by Mario
       Carneiro, 9-Feb-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ex-natded5.8-2 $p |- ( ph -> -. ps ) $=
      ( mpd wn mpan2d mt2d ) ABDAEDIGJABCDKHFLM $.
  $}

  ${
    ex-natded5.13.1 $e |- ( ph -> ( ps \/ ch ) ) $.
    ex-natded5.13.2 $e |- ( ph -> ( ps -> th ) ) $.
    ex-natded5.13.3 $e |- ( ph -> ( -. ta -> -. ch ) ) $.
    $( Theorem 5.13 of [Clemente] p. 20, translated line by line using the
       interpretation of natural deduction in Metamath.
       For information about ND and Metamath, see the
       <A HREF="mmnatded.html">page on Deduction Form and Natural Deduction
       in Metamath Proof Explorer</A>.
       A much more efficient proof, using more of Metamath and MPE's
       capabilities, is shown in ~ ex-natded5.13-2 .
       The original proof, which uses Fitch style, was written as follows
       (the leading "..." shows an embedded ND hypothesis, beginning with
       the initial assumption of the ND hypothesis):

       <HTML>
       <TABLE BORDER>
       <TR><TH NOWRAP>#</TH><TH>MPE#</TH><TH>ND Expression</TH>
       <TH NOWRAP>MPE Translation</TH><TH>ND Rationale</TH>
       <TH>MPE Rationale</TH></TR>
       <TR><TD>1</TD><TD>15</TD><TD NOWRAP> ` ( ps \/ ch ) ` </TD>
       <TD NOWRAP> ` ( ph -> ( ps \/ ch ) ) ` </TD>
       <TD>Given</TD>
       <TD>$e. </TD></TR>
       <TR><TD>2;3</TD><TD>2</TD><TD NOWRAP> ` ( ps -> th ) ` </TD>
       <TD NOWRAP> ` ( ph -> ( ps -> th ) ) ` </TD><TD>Given</TD>
       <TD>$e. ~ adantr to move it into the ND hypothesis</TD></TR>
       <TR><TD>3</TD><TD>9</TD><TD> ` ( -. ta -> -. ch ) ` </TD>
       <TD> ` ( ph -> ( -. ta -> -. ch ) ) ` </TD>
       <TD>Given</TD>
       <TD>$e. ~ ad2antrr to move it into the ND sub-hypothesis</TD></TR>
       <TR><TD>4</TD><TD>1</TD><TD> ...| ` ps ` </TD>
       <TD> ` ( ( ph /\ ps ) -> ps ) ` </TD>
       <TD>ND hypothesis assumption</TD>
       <TD> ~ simpr </TD></TR>
       <TR><TD>5</TD><TD>4</TD><TD> ... ` th ` </TD>
       <TD> ` ( ( ph /\ ps ) -> th ) ` </TD>
       <TD> ` -> `E 2,4</TD>
       <TD> ~ mpd 1,3</TD></TR>
       <TR><TD>6</TD><TD>5</TD><TD> ... ` ( th \/ ta ) ` </TD>
       <TD> ` ( ( ph /\ ps ) -> ( th \/ ta ) ) ` </TD>
       <TD> ` \/ `I 5</TD>
       <TD> ~ orcd 4</TD></TR>
       <TR><TD>7</TD><TD>6</TD><TD> ...| ` ch ` </TD>
       <TD> ` ( ( ph /\ ch ) -> ch ) ` </TD>
       <TD>ND hypothesis assumption</TD>
       <TD> ~ simpr </TD></TR>
       <TR><TD>8</TD><TD>8</TD><TD> ... ...| ` -. ta ` </TD>
       <TD> ` ( ( ( ph /\ ch ) /\ -. ta ) -> -. ta ) ` </TD>
       <TD>(sub) ND hypothesis assumption</TD>
       <TD> ~ simpr </TD></TR>
       <TR><TD>9</TD><TD>11</TD><TD> ... ... ` -. ch ` </TD>
       <TD> ` ( ( ( ph /\ ch ) /\ -. ta ) -> -. ch ) ` </TD>
       <TD> ` -> `E 3,8</TD>
       <TD> ~ mpd 8,10</TD></TR>
       <TR><TD>10</TD><TD>7</TD><TD> ... ... ` ch ` </TD>
       <TD> ` ( ( ( ph /\ ch ) /\ -. ta ) -> ch ) ` </TD>
       <TD> IT 7</TD>
       <TD> ~ adantr 6</TD></TR>
       <TR><TD>11</TD><TD>12</TD><TD> ... ` -. -. ta ` </TD>
       <TD> ` ( ( ph /\ ch ) -> -. -. ta ) ` </TD>
       <TD> ` -. `I 8,9,10</TD>
       <TD> ~ pm2.65da 7,11</TD></TR>
       <TR><TD>12</TD><TD>13</TD><TD> ... ` ta ` </TD>
       <TD> ` ( ( ph /\ ch ) -> ta ) ` </TD>
       <TD> ` -. `E 11</TD>
       <TD> ~ notnotrd 12</TD></TR>
       <TR><TD>13</TD><TD>14</TD><TD> ... ` ( th \/ ta ) ` </TD>
       <TD> ` ( ( ph /\ ch ) -> ( th \/ ta ) ) ` </TD>
       <TD> ` \/ `I 12</TD>
       <TD> ~ olcd 13</TD></TR>
       <TR><TD>14</TD><TD>16</TD><TD> ` ( th \/ ta ) ` </TD>
       <TD> ` ( ph -> ( th \/ ta ) ) ` </TD>
       <TD> ` \/ `E 1,6,13</TD>
       <TD> ~ mpjaodan 5,14,15</TD></TR>
       </TABLE>
       </HTML>

       The original used Latin letters; we have replaced them with
       Greek letters to follow Metamath naming conventions and so that
       it is easier to follow the Metamath translation.
       The Metamath line-for-line translation of this
       natural deduction approach precedes every line with an antecedent
       including ` ph ` and uses the Metamath equivalents
       of the natural deduction rules.
       To add an assumption, the antecedent is modified to include it
       (typically by using ~ adantr ; ~ simpr is useful when you want to
       depend directly on the new assumption).
       (Contributed by Mario Carneiro, 9-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ex-natded5.13 $p |- ( ph -> ( th \/ ta ) ) $=
      ( wo wa simpr wi adantr mpd orcd wn ad2antrr pm2.65da notnotrd olcd
      mpjaodan ) ABDEICABJZDEUBBDABKABDLBGMNOACJZEDUCEUCEPZCUCCUDACKMUCUDJUDCPZ
      UCUDKAUDUELCUDHQNRSTFUA $.

    $( A more efficient proof of Theorem 5.13 of [Clemente] p. 20.  Compare
       with ~ ex-natded5.13 .  (Contributed by Mario Carneiro, 9-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ex-natded5.13-2 $p |- ( ph -> ( th \/ ta ) ) $=
      ( wo con4d orim12d mpd ) ABCIDEIFABDCEGAECHJKL $.
  $}

  ${
    ex-natded9.20.1 $e |- ( ph -> ( ps /\ ( ch \/ th ) ) ) $.
    $( Theorem 9.20 of [Clemente] p. 43, translated line by line using the
       usual translation of natural deduction (ND) in the
       Metamath Proof Explorer (MPE) notation.
       For information about ND and Metamath, see the
       <A HREF="mmnatded.html">page on Deduction Form and Natural Deduction
       in Metamath Proof Explorer</A>.
       The original proof, which uses Fitch style, was written as follows
       (the leading "..." shows an embedded ND hypothesis, beginning with
       the initial assumption of the ND hypothesis):

       <HTML>
       <TABLE BORDER>
       <TR><TH NOWRAP>#</TH><TH>MPE#</TH><TH>ND Expression</TH>
       <TH NOWRAP>MPE Translation</TH><TH>ND Rationale</TH>
       <TH>MPE Rationale</TH></TR>
       <TR><TD>1</TD><TD>1</TD>
       <TD NOWRAP> ` ( ps /\ ( ch \/ th ) ) ` </TD>
       <TD NOWRAP> ` ( ph ->  ( ps /\ ( ch \/ th ) ) ) ` </TD>
       <TD>Given</TD>
       <TD>$e</TD></TR>
       <TR><TD>2</TD><TD>2</TD><TD NOWRAP> ` ps ` </TD>
       <TD NOWRAP> ` ( ph -> ps ) ` </TD>
       <TD>` /\ `E<SUB>L</SUB> 1</TD>
       <TD> ~ simpld 1</TD></TR>
       <TR><TD>3</TD><TD>11</TD>
       <TD> ` ( ch \/ th ) ` </TD>
       <TD> ` ( ph -> ( ch \/ th ) ) ` </TD>
       <TD> ` /\ `E<SUB>R</SUB> 1</TD>
       <TD>  ~ simprd 1</TD></TR>
       <TR><TD>4</TD><TD>4</TD>
       <TD> ...| ` ch ` </TD>
       <TD> ` ( ( ph /\ ch ) -> ch ) ` </TD>
       <TD>ND hypothesis assumption</TD>
       <TD> ~ simpr </TD></TR>
       <TR><TD>5</TD><TD>5</TD>
       <TD> ... ` ( ps /\ ch ) ` </TD>
       <TD> ` ( ( ph /\ ch ) -> ( ps /\ ch ) ) ` </TD>
       <TD> ` /\ `I 2,4</TD>
       <TD> ~ jca 3,4</TD></TR>
       <TR><TD>6</TD><TD>6</TD>
       <TD> ... ` ( ( ps /\ ch ) \/ ( ps /\ th ) ) ` </TD>
       <TD> ` ( ( ph /\ ch ) -> ( ( ps /\ ch ) \/ ( ps /\ th ) ) ) ` </TD>
       <TD> ` \/ `I<SUB>R</SUB> 5</TD>
       <TD> ~ orcd 5</TD></TR>
       <TR><TD>7</TD><TD>8</TD>
       <TD> ...| ` th ` </TD>
       <TD> ` ( ( ph /\ th ) -> th ) ` </TD>
       <TD>ND hypothesis assumption</TD>
       <TD> ~ simpr </TD></TR>
       <TR><TD>8</TD><TD>9</TD>
       <TD> ... ` ( ps /\ th ) ` </TD>
       <TD> ` ( ( ph /\ th ) -> ( ps /\ th ) ) ` </TD>
       <TD> ` /\ `I 2,7</TD>
       <TD> ~ jca 7,8</TD></TR>
       <TR><TD>9</TD><TD>10</TD>
       <TD> ... ` ( ( ps /\ ch ) \/ ( ps /\ th ) ) ` </TD>
       <TD> ` ( ( ph /\ th ) -> ( ( ps /\ ch ) \/ ( ps /\ th ) ) ) ` </TD>
       <TD> ` \/ `I<SUB>L</SUB> 8</TD>
       <TD> ~ olcd 9</TD></TR>
       <TR><TD>10</TD><TD>12</TD>
       <TD> ` ( ( ps /\ ch ) \/ ( ps /\ th ) ) ` </TD>
       <TD> ` ( ph -> ( ( ps /\ ch ) \/ ( ps /\ th ) ) ) ` </TD>
       <TD> ` \/ `E 3,6,9</TD>
       <TD> ~ mpjaodan 6,10,11</TD></TR>
       </TABLE>
       </HTML>

       The original used Latin letters; we have replaced them with
       Greek letters to follow Metamath naming conventions and so that
       it is easier to follow the Metamath translation.
       The Metamath line-for-line translation of this
       natural deduction approach precedes every line with an antecedent
       including ` ph ` and uses the Metamath equivalents
       of the natural deduction rules.
       To add an assumption, the antecedent is modified to include it
       (typically by using ~ adantr ; ~ simpr is useful when you want to
       depend directly on the new assumption).
       Below is the final Metamath proof (which reorders some steps).

       A much more efficient proof is ~ ex-natded9.20-2 .
       (Contributed by David A. Wheeler, 19-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ex-natded9.20 $p |- ( ph -> ( ( ps /\ ch ) \/ ( ps /\ th ) ) ) $=
      ( wa wo simpld adantr simpr jca orcd olcd simprd mpjaodan ) ACBCFZBDFZGDA
      CFZPQRBCABCABCDGZEHZIACJKLADFZQPUABDABDTIADJKMABSENO $.

    $( A more efficient proof of Theorem 9.20 of [Clemente] p. 45.  Compare
       with ~ ex-natded9.20 .  (Contributed by David A. Wheeler, 19-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ex-natded9.20-2 $p |- ( ph -> ( ( ps /\ ch ) \/ ( ps /\ th ) ) ) $=
      ( wa wo simpld anim1i orcd olcd simprd mpjaodan ) ACBCFZBDFZGDACFNOABCABC
      DGZEHZIJADFONABDQIKABPELM $.
  $}

  ${
    $d x y ph $.
    ex-natded9.26.1 $e |- ( ph -> E. x A. y ps ) $.
    $( Theorem 9.26 of [Clemente] p. 45, translated line by line using an
       interpretation of natural deduction in Metamath.  This proof has some
       additional complications due to the fact that Metamath's existential
       elimination rule does not change bound variables, so we need to verify
       that ` x ` is bound in the conclusion.
       For information about ND and Metamath, see the
       <A HREF="mmnatded.html">page on Deduction Form and Natural Deduction
       in Metamath Proof Explorer</A>.
       The original proof, which uses Fitch style, was written as follows
       (the leading "..." shows an embedded ND hypothesis, beginning with
       the initial assumption of the ND hypothesis):

       <HTML>
       <TABLE BORDER>
       <TR><TH NOWRAP>#</TH><TH>MPE#</TH><TH>ND Expression</TH>
       <TH NOWRAP>MPE Translation</TH><TH>ND Rationale</TH>
       <TH>MPE Rationale</TH></TR>
       <TR><TD>1</TD><TD>3</TD><TD NOWRAP> ` E. x A. y ps ( x , y ) ` </TD>
       <TD NOWRAP> ` ( ph -> E. x A. y ps ) ` </TD>
       <TD>Given</TD>
       <TD>$e. </TD></TR>
       <TR><TD>2</TD><TD>6</TD><TD NOWRAP> ...| ` A. y ps ( x , y ) ` </TD>
       <TD NOWRAP> ` ( ( ph /\ A. y ps ) -> A. y ps ) ` </TD>
       <TD>ND hypothesis assumption</TD>
       <TD> ~ simpr . Later statements will have this scope.</TD></TR>
       <TR><TD>3</TD><TD>7;5,4</TD><TD> ... ` ps ( x , y ) ` </TD>
       <TD> ` ( ( ph /\ A. y ps ) -> ps ) ` </TD>
       <TD> ` A. `E 2,y </TD>
       <TD> ~ spsbcd (` A. `E), 5,6. To use it we need ~ a1i and ~ vex .
       This could be immediately done with ~ 19.21bi , but we want to show
       the general approach for substitution.
       </TD></TR>
       <TR><TD>4</TD><TD>12;8,9,10,11</TD><TD> ... ` E. x ps ( x , y ) ` </TD>
       <TD> ` ( ( ph /\ A. y ps ) -> E. x ps ) ` </TD>
       <TD> ` E. `I 3,a</TD>
       <TD> ~ spesbcd (` E. `I), 11.
       To use it we need ~ sylibr , which in turn requires ~ sylib and
       two uses of ~ sbcid .
       This could be more immediately done using ~ 19.8a , but we want to show
       the general approach for substitution.
       </TD></TR>
       <TR><TD>5</TD><TD>13;1,2</TD><TD> ` E. x ps ( x , y ) ` </TD>
       <TD> ` ( ph -> E. x ps ) ` </TD><TD> ` E. `E 1,2,4,a</TD>
       <TD> ~ exlimdd (` E. `E), 1,2,3,12.
       We'll need supporting
       assertions that the variable is free (not bound),
       as provided in ~ nfv and ~ nfe1 (MPE# 1,2)</TD></TR>
       <TR><TD>6</TD><TD>14</TD><TD> ` A. y E. x ps ( x , y ) ` </TD>
       <TD> ` ( ph -> A. y E. x ps ) ` </TD>
       <TD> ` A. `I 5</TD>
       <TD> ~ alrimiv (` A. `I), 13</TD></TR>
       </TABLE>
       </HTML>

       The original used Latin letters for predicates;
       we have replaced them with
       Greek letters to follow Metamath naming conventions and so that
       it is easier to follow the Metamath translation.
       The Metamath line-for-line translation of this
       natural deduction approach precedes every line with an antecedent
       including ` ph ` and uses the Metamath equivalents
       of the natural deduction rules.
       Below is the final Metamath proof (which reorders some steps).

       Note that in the original proof, ` ps ( x , y ) ` has explicit
       parameters.  In Metamath, these parameters are always implicit, and the
       parameters upon which a wff variable can depend are recorded in the
       "allowed substitution hints" below.

       A much more efficient proof, using more of Metamath and MPE's
       capabilities, is shown in ~ ex-natded9.26-2 .

       (Contributed by Mario Carneiro, 9-Feb-2017.)
       (Revised by David A. Wheeler, 18-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ex-natded9.26 $p |- ( ph -> A. y E. x ps ) $=
      ( wex wal nfv nfe1 wa cv wsbc cvv wcel vex a1i simpr spsbcd sbcid sylib
      sylibr spesbcd exlimdd alrimiv ) ABCFZDABDGZUECACHBCIEAUFJZBCCKZUGBBCUHLU
      GBDDKZLBUGBDUIMUIMNUGDOPAUFQRBDSTBCSUAUBUCUD $.

    $( A more efficient proof of Theorem 9.26 of [Clemente] p. 45.  Compare
       with ~ ex-natded9.26 .  (Contributed by Mario Carneiro, 9-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ex-natded9.26-2 $p |- ( ph -> A. y E. x ps ) $=
      ( wex wal sp eximi syl alrimiv ) ABCFZDABDGZCFLEMBCBDHIJK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definitional examples
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Example for ~ df-or .  Example by David A. Wheeler.  (Contributed by Mario
     Carneiro, 9-May-2015.) $)
  ex-or $p |- ( 2 = 3 \/ 4 = 4 ) $=
    ( c4 wceq c2 c3 eqid olci ) AABCDBAEF $.

  $( Example for ~ df-an .  Example by David A. Wheeler.  (Contributed by Mario
     Carneiro, 9-May-2015.) $)
  ex-an $p |- ( 2 = 2 /\ 3 = 3 ) $=
    ( c2 wceq c3 eqid pm3.2i ) AABCCBADCDE $.

  $( Example for ~ df-dif .  Example by David A. Wheeler.  (Contributed by
     Mario Carneiro, 6-May-2015.) $)
  ex-dif $p |- ( { 1 , 3 } \ { 1 , 8 } ) = { 3 } $=
    ( c1 c3 cpr c8 cdif csn cun df-pr difeq1i difundir c0 wss wceq snsspr1 mpbi
    ssdif0 cin incom wcel 3eqtri 1re 1lt3 gtneii 3re ltneii nelpri disjsn mpbir
    wn 3lt8 eqtri disj3 eqcomi uneq12i uncom un0 ) ABCZADCZEAFZBFZGZUREUSUREZUT
    UREZGZUTUQVAURABHIUSUTURJVDKUTGUTKGUTVBKVCUTUSURLVBKMADNUSURPOUTVCUTURQZKMU
    TVCMVEURUTQZKUTURRVFKMBURSUIBADABUAUBUCBDUDUJUEUFURBUGUHUKUTURULOUMUNKUTUOU
    TUPTT $.

  $( Example for ~ df-un .  Example by David A. Wheeler.  (Contributed by Mario
     Carneiro, 6-May-2015.) $)
  ex-un $p |- ( { 1 , 3 } u. { 1 , 8 } ) = { 1 , 3 , 8 } $=
    ( c1 c3 cpr csn c8 cun ctp unass wss wceq snsspr1 ssequn2 mpbi uneq1i df-pr
    eqtr3i uneq2i df-tp 3eqtr4i ) ABCZADZEDZFZFZTUBFZTAECZFABEGTUAFZUBFUDUETUAU
    BHUGTUBUATIUGTJABKUATLMNPUFUCTAEOQABERS $.

  $( Example for ~ df-in .  Example by David A. Wheeler.  (Contributed by Mario
     Carneiro, 6-May-2015.) $)
  ex-in $p |- ( { 1 , 3 } i^i { 1 , 8 } ) = { 1 } $=
    ( c1 c3 cpr c8 cin csn cun df-pr ineq2i indi wceq snsspr1 sseqin2 mpbi wcel
    c0 wss wn gtneii eqtri 1re 1lt8 3re 3lt8 nelpri disjsn mpbir uneq12i un0 )
    ABCZADCZEUJAFZDFZGZEZULUKUNUJADHIUOUJULEZUJUMEZGZULUJULUMJURULPGULUPULUQPUL
    UJQUPULKABLULUJMNUQPKDUJORDABADUAUBSBDUCUDSUEUJDUFUGUHULUITTT $.

  $( Example for ~ df-uni .  Example by David A. Wheeler.  (Contributed by
     Mario Carneiro, 2-Jul-2016.) $)
  ex-uni $p |- U. { { 1 , 3 } , { 1 , 8 } } = { 1 , 3 , 8 } $=
    ( c1 c3 cpr c8 cuni cun ctp prex unipr ex-un eqtri ) ABCZADCZCELMFABDGLMABH
    ADHIJK $.

  $( Example for ~ df-ss .  Example by David A. Wheeler.  (Contributed by Mario
     Carneiro, 6-May-2015.) $)
  ex-ss $p |- { 1 , 2 } C_ { 1 , 2 , 3 } $=
    ( c1 c2 cpr c3 csn cun ctp ssun1 df-tp sseqtrri ) ABCZKDEZFABDGKLHABDIJ $.

  $( Example for ~ df-pss .  Example by David A. Wheeler.  (Contributed by
     Mario Carneiro, 6-May-2015.) $)
  ex-pss $p |- { 1 , 2 } C. { 1 , 2 , 3 } $=
    ( c1 c2 cpr c3 ctp wpss wss wne ex-ss wcel wn 3ex tpid3 1re 1lt3 gtneii 2re
    2lt3 nelpri nelne1 mp2an necomi df-pss mpbir2an ) ABCZABDEZFUEUFGUEUFHIUFUE
    DUFJDUEJKUFUEHABDLMDABADNOPBDQRPSDUFUETUAUBUEUFUCUD $.

  $( Example for ~ df-pw .  Example by David A. Wheeler.  (Contributed by Mario
     Carneiro, 2-Jul-2016.) $)
  ex-pw $p |- ( A = { 3 , 5 , 7 } -> ~P A =
    ( ( { (/) } u. { { 3 } , { 5 } , { 7 } } ) u.
      ( { { 3 , 5 } , { 3 , 7 } , { 5 , 7 } } u. { { 3 , 5 , 7 } } ) ) ) $=
    ( c3 c5 c7 ctp wceq cpw c0 csn cun cpr pweq df-tp uneq2i unass eqtr4i tpass
    uneq12i uneq1i 3eqtr4i qdass qdassr pwtp un4 eqtrdi ) ABCDEZFAGUFGZHIZBIZCI
    ZDIZEZJZBCKZBDKZCDKZEZUFIZJZJZAUFLHUIKUJUNKJZUKUOKUPUFKJZJHUIUJEZUNIZJZUKIZ
    UOUPUFEZJZJZUGUTVAVEVBVHHUIUJUNUAUKUOUPUFUBRBCDUCUTVCVFJZVDVGJZJVIUMVJUSVKU
    MUHUIUJKZJZVFJZVJUMUHVLVFJZJVNULVOUHUIUJUKMNUHVLVFOPVCVMVFHUIUJQSPVDUOUPKZJ
    ZURJVDVPURJZJUSVKVDVPUROUQVQURUNUOUPQSVGVRVDUOUPUFMNTRVCVDVFVGUDPTUE $.

  $( Example for ~ df-pr .  (Contributed by Mario Carneiro, 7-May-2015.) $)
  ex-pr $p |- ( A e. { 1 , -u 1 } -> ( A ^ 2 ) = 1 ) $=
    ( c1 cneg cpr wcel wceq wo c2 cexp elpri oveq1 sq1 eqtrdi neg1sqe1 jaoi syl
    co ) ABBCZDEABFZARFZGAHIQZBFZABRJSUBTSUABHIQBABHIKLMTUARHIQBARHIKNMOP $.

  $( Example for ~ df-br .  Example by David A. Wheeler.  (Contributed by Mario
     Carneiro, 6-May-2015.) $)
  ex-br $p |- ( R = { <. 2 , 6 >. , <. 3 , 9 >. } -> 3 R 9 ) $=
    ( c2 c6 cop c3 c9 cpr wceq wcel wbr opex prid2 id eleqtrrid df-br sylibr )
    ABCDZEFDZGZHZRAIEFAJTRSAQREFKLTMNEFAOP $.

  ${
    $d x y $.
    $( Example for ~ df-opab .  Example by David A. Wheeler.  (Contributed by
       Mario Carneiro, 18-Jun-2015.) $)
    ex-opab $p |- ( R = { <. x , y >. |
        ( x e. CC /\ y e. CC /\ ( x + 1 ) = y ) } -> 3 R 4 ) $=
      ( cv cc wcel c1 caddc co wceq w3a copab c3 wbr 3cn 4cn 3p1e4 elexi eleq1
      c4 oveq1 eqeq1d 3anbi13d eqeq2 3anbi23d eqid brab mpbir3an breq mpbiri )
      CADZEFZBDZEFZUKGHIZUMJZKZABLZJMTCNMTURNZUSMEFZTEFZMGHIZTJZOPQUQUTUNVBUMJZ
      KUTVAVCKABMTURMEORTEPRUKMJZULUTUPVDUNUKMESVEUOVBUMUKMGHUAUBUCUMTJUNVAVDVC
      UTUMTESUMTVBUDUEURUFUGUHMTCURUIUJ $.
  $}

  $( Example for ~ df-eprel .  Example by David A. Wheeler.  (Contributed by
     Mario Carneiro, 18-Jun-2015.) $)
  ex-eprel $p |- 5 _E { 1 , 5 } $=
    ( c5 c1 cpr cep wbr wcel cn 5nn elexi prid2 prex epeli mpbir ) ABACZDEANFBA
    AGHIJANBAKLM $.

  $( Example for ~ df-id .  Example by David A. Wheeler.  (Contributed by Mario
     Carneiro, 18-Jun-2015.) $)
  ex-id $p |- ( 5 _I 5 /\ -. 4 _I 5 ) $=
    ( c5 cid wbr c4 wn wceq eqid cr 5re elexi ideq mpbir 4re 4lt5 ltneii pm3.2i
    nemtbir ) AABCZDABCZERAAFAGAAAHIJZKLSDADAMNODATKQP $.

  $( Example for ~ df-po .  Example by David A. Wheeler.  (Contributed by Mario
     Carneiro, 18-Jun-2015.) $)
  ex-po $p |- ( < Po RR /\ -. <_ Po RR ) $=
    ( cr clt wpo cle wn wor ltso sopo ax-mp cc0 wbr 0le0 0re poirr mpan2 pm3.2i
    wcel mt2 ) ABCZADCZEABFSGABHITJJDKZLTJAQUAEMAJDNORP $.

  $( Example for ~ df-xp .  Example by David A. Wheeler.  (Contributed by Mario
     Carneiro, 7-May-2015.) $)
  ex-xp $p |- ( { 1 , 5 } X. { 2 , 7 } ) =
      ( { <. 1 , 2 >. , <. 1 , 7 >. } u. { <. 5 , 2 >. , <. 5 , 7 >. } ) $=
    ( c1 c5 cpr c2 c7 cxp csn cun cop df-pr xpeq12i xpun 1ex 2nn elexi xpsn 7nn
    cn uneq12i eqtr4i 5nn 3eqtri ) ABCZDECZFAGZBGZHZDGZEGZHZFUEUHFZUEUIFZHZUFUH
    FZUFUIFZHZHADIZAEIZCZBDIZBEIZCZHUCUGUDUJABJDEJKUEUFUHUILUMUSUPVBUMUQGZURGZH
    USUKVCULVDADMDRNOZPAEMERQOZPSUQURJTUPUTGZVAGZHVBUNVGUOVHBDBRUAOZVEPBEVIVFPS
    UTVAJTSUB $.

  $( Example for ~ df-cnv .  Example by David A. Wheeler.  (Contributed by
     Mario Carneiro, 6-May-2015.) $)
  ex-cnv $p |- `' { <. 2 , 6 >. , <. 3 , 9 >. }
      = { <. 6 , 2 >. , <. 9 , 3 >. } $=
    ( c2 c6 cop csn c3 c9 cun ccnv cpr cnvun cn 2nn elexi 6nn cnvsn 3nn uneq12i
    9nn eqtri df-pr cnveqi 3eqtr4i ) ABCZDZEFCZDZGZHZBACZDZFECZDZGZUCUEIZHUIUKI
    UHUDHZUFHZGUMUDUFJUOUJUPULABAKLMBKNMOEFEKPMFKRMOQSUNUGUCUETUAUIUKTUB $.

  $( Example for ~ df-co .  Example by David A. Wheeler.  (Contributed by Mario
     Carneiro, 7-May-2015.) $)
  ex-co $p |- ( ( exp o. cos ) ` 0 ) = _e $=
    ( cc0 ccos cfv ce c1 ccom ceu cos0 fveq2i cc wcel wceq cosf 0cn fvco3 mp2an
    wf df-e 3eqtr4i ) ABCZDCZEDCADBFCZGTEDHIJJBQAJKUBUALMNJJADBOPRS $.

  $( Example for ~ df-dm .  Example by David A. Wheeler.  (Contributed by Mario
     Carneiro, 7-May-2015.) $)
  ex-dm $p |- ( F = { <. 2 , 6 >. , <. 3 , 9 >. } -> dom F = { 2 , 3 } ) $=
    ( c2 c6 cop c3 c9 cpr wceq cdm dmeq cn 6nn elexi 9nn dmprop eqtrdi ) ABCDEF
    DGZHAIQIBEGAQJBCEFCKLMFKNMOP $.

  $( Example for ~ df-rn .  Example by David A. Wheeler.  (Contributed by Mario
     Carneiro, 7-May-2015.) $)
  ex-rn $p |- ( F = { <. 2 , 6 >. , <. 3 , 9 >. } -> ran F = { 6 , 9 } ) $=
    ( c2 c6 cop c3 c9 cpr wceq crn rneq csn cun df-pr rneqi cn 2nn elexi rnsnop
    rnun 3nn uneq12i eqtr4i 3eqtri eqtrdi ) ABCDZEFDZGZHAIUGIZCFGZAUGJUHUEKZUFK
    ZLZIUJIZUKIZLZUIUGULUEUFMNUJUKSUOCKZFKZLUIUMUPUNUQBCBOPQREFEOTQRUACFMUBUCUD
    $.

  $( Example for ~ df-res .  Example by David A. Wheeler.  (Contributed by
     Mario Carneiro, 7-May-2015.) $)
  ex-res $p |- ( ( F = { <. 2 , 6 >. , <. 3 , 9 >. } /\ B = { 1 , 2 } ) ->
         ( F |` B ) = { <. 2 , 6 >. } ) $=
    ( c2 c6 cop c3 c9 cpr wceq c1 cres csn cun eqtrdi c0 2re elexi wcel gtneii
    cr simpl df-pr reseq1d resundir wrel cdm wss relsnop dmsnopss snsspr2 simpr
    wa 6re sseqtrrid sstrid relssres sylancr 1re 1lt3 2lt3 nelpri eleq2d mtbiri
    wn ressnop0 syl uneq12d un0 eqtrd ) BCDEZFGEZHZIZAJCHZIZULZBAKZVJLZAKZVKLZA
    KZMZVRVPVQVRVTMZAKWBVPBWCAVPBVLWCVMVOUAVJVKUBNUCVRVTAUDNVPWBVROMVRVPVSVRWAO
    VPVRUEVRUFZAUGVSVRICDCTPQDTUMQUHVPWDCLZACDUIVPVNWEAJCUJVMVOUKZUNUOVRAUPUQVP
    FARZVDWAOIVPWGFVNRFJCJFURUSSCFPUTSVAVPAVNFWFVBVCFGAVEVFVGVRVHNVI $.

  $( Example for ~ df-ima .  Example by David A. Wheeler.  (Contributed by
     Mario Carneiro, 7-May-2015.) $)
  ex-ima $p |- ( ( F = { <. 2 , 6 >. , <. 3 , 9 >. } /\ B = { 1 , 2 } ) ->
         ( F " B ) = { 6 } ) $=
    ( c2 c6 cop c3 c9 cpr wceq c1 wa cima csn crn cres df-ima ex-res syl5eq 2ex
    rneqd rnsnop eqtrdi ) BCDEZFGEHIAJCHIKZBALZUCMZNZDMUDUEBAOZNUGBAPUDUHUFABQT
    RCDSUAUB $.

  $( Example for ~ df-fv .  Example by David A. Wheeler.  (Contributed by Mario
     Carneiro, 7-May-2015.) $)
  ex-fv $p |- ( F = { <. 2 , 6 >. , <. 3 , 9 >. } -> ( F ` 3 ) = 9 ) $=
    ( c2 c6 cop c3 c9 cpr wceq cfv fveq1 wne 2re 2lt3 ltneii 3ex cr elexi fvpr2
    9re ax-mp eqtrdi ) ABCDEFDGZHEAIEUBIZFEAUBJBEKUCFHBELMNBECFOFPSQRTUA $.

  $( Example for ~ df-1st .  Example by David A. Wheeler.  (Contributed by
     Mario Carneiro, 18-Jun-2015.) $)
  ex-1st $p |- ( 1st ` <. 3 , 4 >. ) = 3 $=
    ( c3 c4 3ex cr 4re elexi op1st ) ABCBDEFG $.

  $( Example for ~ df-2nd .  Example by David A. Wheeler.  (Contributed by
     Mario Carneiro, 18-Jun-2015.) $)
  ex-2nd $p |- ( 2nd ` <. 3 , 4 >. ) = 4 $=
    ( c3 c4 3ex cr 4re elexi op2nd ) ABCBDEFG $.

  $( Example for ~ df-dec , 1000 + 2000 = 3000.

     This proof disproves (by counterexample) the assertion of Hao Wang, who
     stated, "There is a theorem in the primitive notation of set theory that
     corresponds to the arithmetic theorem 1000 + 2000 = 3000.  The formula
     would be forbiddingly long... even if (one) knows the definitions and is
     asked to simplify the long formula according to them, chances are he will
     make errors and arrive at some incorrect result."  (Hao Wang, "Theory and
     practice in mathematics" , In Thomas Tymoczko, editor, _New Directions in
     the Philosophy of Mathematics_, pp 129-152, Birkauser Boston, Inc.,
     Boston, 1986.  (QA8.6.N48).  The quote itself is on page 140.)

     This is noted in _Metamath:  A Computer Language for Pure Mathematics_ by
     Norman Megill (2007) section 1.1.3.  Megill then states, "A number of
     writers have conveyed the impression that the kind of absolute rigor
     provided by Metamath is an impossible dream, suggesting that a complete,
     formal verification of a typical theorem would take millions of steps in
     untold volumes of books...  These writers assume, however, that in order
     to achieve the kind of complete formal verification they desire one must
     break down a proof into individual primitive steps that make direct
     reference to the axioms.  This is not necessary.  There is no reason not
     to make use of previously proved theorems rather than proving them over
     and over...  A hierarchy of theorems and definitions permits an
     exponential growth in the formula sizes and primitive proof steps to be
     described with only a linear growth in the number of symbols used.  Of
     course, this is how ordinary informal mathematics is normally done anyway,
     but with Metamath it can be done with absolute rigor and precision."

     The proof here starts with ` ( 2 + 1 ) = 3 ` , commutes it, and repeatedly
     multiplies both sides by ten.  This is certainly longer than traditional
     mathematical proofs, e.g., there are a number of steps explicitly shown
     here to show that we're allowed to do operations such as multiplication.
     However, while longer, the proof is clearly a manageable size - even
     though every step is rigorously derived all the way back to the primitive
     notions of set theory and logic.  And while there's a risk of making
     errors, the many independent verifiers make it much less likely that an
     incorrect result will be accepted.

     This proof heavily relies on the decimal constructor ~ df-dec developed by
     Mario Carneiro in 2015.  The underlying Metamath language has an
     intentionally very small set of primitives; it doesn't even have a
     built-in construct for numbers.  Instead, the digits are defined using
     these primitives, and the decimal constructor is used to make it easy to
     express larger numbers as combinations of digits.

     (Contributed by David A. Wheeler, 29-Jun-2016.)  (Shortened by Mario
     Carneiro using the arithmetic algorithm in mmj2, 30-Jun-2016.) $)
  1kp2ke3k $p |- ( ; ; ; 1 0 0 0 + ; ; ; 2 0 0 0 ) = ; ; ; 3 0 0 0 $=
    ( c1 cc0 cdc c2 c3 1nn0 0nn0 deccl 2nn0 eqid 1p2e3 00id decadd ) ABCZBCZBDB
    CZBCZBEBCZBCBOBCZQBCZNBABFGHZGHGPBDBIGHZGHGSJTJNBPBRBOQUAGUBGOJQJABDBEBNPFG
    IGNJPJKLMLMLM $.

  $( Example for ~ df-fl .  Example by David A. Wheeler.  (Contributed by Mario
     Carneiro, 18-Jun-2015.) $)
  ex-fl $p |- ( ( |_ ` ( 3 / 2 ) ) = 1 /\ ( |_ ` -u ( 3 / 2 ) ) = -u 2 ) $=
    ( c3 c2 co c1 wceq cneg wbr clt 1re 3re 2cn eqbrtri wb 2re mpbi cr wa mp2an
    wcel cz cdiv cfl cfv caddc rehalfcli cmul mulid2i 2lt3 2pos ltmuldivi ax-mp
    cle cc0 ltleii 3lt4 2t2e4 breqtrri pm3.2i ltdivmul mp3an mpbir df-2 breqtri
    c4 1z flbi mpbir2an renegcli ltnegi cmin negcli ax-1cn negdi2 negnegi eqtri
    cc oveq1i 2m1e1 readdcli ltnegcon1i 2z znegcl ) ABUACZUBUCDEZWCFZUBUCBFZEZW
    DDWCULGZWCDDUDCZHGZDWCIAJUEZDBUFCZAHGZDWCHGZWLBAHBKUGUHLUMBHGZWMWNMUIDABIJN
    UJUKOZUNWCBWIHWCBHGZABBUFCZHGZAVDWRHUOUPUQAPSBPSZWTWOQWQWSMJNWTWONUIURABBUS
    UTVAZVBVCWCPSDTSWDWHWJQMWKVEWCDVFRVGWGWFWEULGZWEWFDUDCZHGZWFWEBNVHZWCWKVHZW
    QWFWEHGXAWCBWKNVIOUNXCFZWCHGXDXGBDVJCZWCHXGWFFZDVJCZXHWFVPSDVPSXGXJEBKVKVLW
    FDVMRXIBDVJBKVNVQVOXHDWCHVRWPLLXCWCWFDXEIVSWKVTOWEPSWFTSZWGXBXDQMXFBTSXKWAB
    WBUKWEWFVFRVGUR $.

  $( Example for ~ df-ceil .  (Contributed by AV, 4-Sep-2021.) $)
  ex-ceil $p |- ( ( |^ ` ( 3 / 2 ) ) = 2 /\ ( |^ ` -u ( 3 / 2 ) ) = -u 1 ) $=
    ( c3 c2 cdiv co cfl cfv c1 wceq cneg cceil ex-fl wcel 3re rehalfcli ceilval
    wa cr ax-mp negnegi syl5eq renegcli recni eqcomi fveq2i eqeq1i biimpi negeq
    negeqd 2cn eqtrdi anim12ci ) ABCDZEFZGHZULIZEFZBIZHZPULJFZBHZUOJFZGIZHZPKUN
    VCURUTUNVAUOIZEFZIZVBUOQLVAVFHULAMNZUAUOORUNVEGUNVEGHUMVEGULVDEVDULULULVGUB
    SUCUDUEUFUHTURUSUPIZBULQLUSVHHVGULORURVHUQIBUPUQUGBUISUJTUKR $.

  $( Example for ~ df-mod .  (Contributed by AV, 3-Sep-2021.) $)
  ex-mod $p |- ( ( 5 mod 3 ) = 2 /\ ( -u 7 mod 2 ) = 1 ) $=
    ( c5 c3 cmo co c2 wceq c7 cneg c1 caddc 3p2e5 eqcomi cn clt wbr cdvds mp2an
    wcel wb cz oveq1i cn0 2nn0 3nn 2lt3 addmodid mp3an eqtri wn 2re 2lt7 ltneii
    cuz cfv cprime 2nn 1lt2 eluz2b2 mpbir2an 7prm dvdsprm nemtbir nnzi dvdsnegb
    2z 7nn mtbi znegcl mod2eq1n2dvds mp2b mpbir pm3.2i ) ABCDZEFGHZECDIFZVMBEJD
    ZBCDZEAVPBCVPAKLUAEUBRBMREBNOVQEFUCUDUEEBUFUGUHVOEVNPOZUIZEGPOZVRVTEGEGUJUK
    ULEEUMUNRZGUORVTEGFSWAEMRIENOUPUQEURUSUTGEVAQVBETRGTRZVTVRSVEGVFVCZEGVDQVGW
    BVNTRVOVSSWCGVHVNVIVJVKVL $.

  $( Example for ~ df-exp .  (Contributed by AV, 4-Sep-2021.) $)
  ex-exp $p |- ( ( 5 ^ 2 ) = ; 2 5 /\ ( -u 3 ^ -u 2 ) = ( 1 / 9 ) ) $=
    ( c5 c2 cexp co cdc wceq c3 cneg c1 c9 cdiv c4 caddc cmul cc wcel 4cn c6 c8
    eqtri df-5 oveq1i binom21 ax-mp 2nn0 4nn0 4p1e5 sq4e2t8 8cn 8t2e16 mulcomli
    2cn 4t2e8 oveq12i 1nn0 6nn0 8nn0 eqid 1p1e2 8p6e14 addcomli decaddci decsuc
    6cn cn0 3cn negcli expneg mp2an sqneg sq3 oveq2i pm3.2i ) ABCDZBAEZFGHZBHCD
    ZIJKDZFVNLIMDZBCDZVOAVSBCUAUBVTLBCDZBLNDZMDZIMDZVOLOPVTWDFQLUCUDBLAWCUEUFUG
    WCIREZSMDBLEWAWEWBSMWABSNDWEUHSBWEUIULUJUKTLBSQULUMUKUNIRLBWESUOUPUQWEURUSU
    FSRILEUIVDUTVAVBTVCTTVQIVPBCDZKDZVRVPOPBVEPVQWGFGVFVGUEVPBVHVIWFJIKWFGBCDZJ
    GOPWFWHFVFGVJUDVKTVLTVM $.

  $( Example for ~ df-fac .  (Contributed by AV, 4-Sep-2021.) $)
  ex-fac $p |- ( ! ` 5 ) = ; ; 1 2 0 $=
    ( c5 cfa cfv c4 c1 caddc co cmul c2 cdc cc0 df-5 fveq2i 4nn0 eqtri 2nn0 5cn
    0nn0 2cn mulcomli wcel wceq facp1 ax-mp fac4 4p1e5 oveq12i 5nn0 eqid 5t2e10
    cn0 1nn0 addid2i decaddi 4cn 5t4e20 decmul1c ) ABCZDBCZDEFGZHGZEIJZKJZURUTB
    CZVAAUTBLMDUKUAVDVAUBNDUCUDOVAIDJZAHGVCUSVEUTAHUEUFUGIDVBKAIVEUHPNVEUIRPEKI
    IAHGIULRPAIEKJQSUJTISUMUNADIKJQUOUPTUQOO $.

  $( Example for ~ df-bc .  (Contributed by AV, 4-Sep-2021.) $)
  ex-bc $p |- ( 5 _C 3 ) = ; 1 0 $=
    ( c5 c3 cbc co c4 c1 caddc cc0 cdc df-5 oveq1i cmin c6 4bc3eq4 3m1e2 oveq2i
    c2 4bc2eq6 eqtri wcel oveq12i cn0 cz wceq 4nn0 3z bcpasc mp2an 6cn addcomli
    4cn 6p4e10 3eqtr3i ) ABCDEFGDZBCDZFHIZAUNBCJKEBCDZEBFLDZCDZGDZEMGDUOUPUQEUS
    MGNUSEQCDMURQECOPRSUAEUBTBUCTUTUOUDUEUFBEUGUHMEUPUIUKULUJUMS $.

  $( Example for ~ df-hash .  (Contributed by AV, 4-Sep-2021.) $)
  ex-hash $p |- ( # ` { 0 , 1 , 2 } ) = 3 $=
    ( cc0 c1 c2 ctp chash cfv cpr csn caddc co c3 cun df-tp fveq2i cfn wcel cin
    wceq eqtri cz c0 prfi snfi 2ne0 necomi nelpri disjsn mpbir hashun prhash2ex
    wn 1ne2 mp3an 2z hashsng ax-mp oveq12i 2p1e3 ) ABCDZEFZABGZEFZCHZEFZIJZKUTV
    AVCLZEFZVEUSVFEABCMNVAOPVCOPVAVCQUARZVGVERABUBCUCVHCVAPUKCABUDBCULUEUFVACUG
    UHVAVCUIUMSVECBIJKVBCVDBIUJCTPVDBRUNCTUOUPUQURSS $.

  $( Example for ~ df-sqrt .  (Contributed by AV, 4-Sep-2021.) $)
  ex-sqrt $p |- ( sqrt ` ; 2 5 ) = 5 $=
    ( c5 c2 cexp co csqrt cfv wceq c3 cneg c1 c9 cdiv ex-exp simpli fveq2i wcel
    cdc cr cc0 5re cle wbr 0re 5pos ltleii sqrtsq mp2an eqtr3i ) ABCDZEFZBAQZEF
    AUIUKEUIUKGHIBICDJKLDGMNOARPSAUAUBUJAGTSAUCTUDUEAUFUGUH $.

  $( Example for ~ df-abs .  (Contributed by AV, 4-Sep-2021.) $)
  ex-abs $p |- ( abs ` -u 2 ) = 2 $=
    ( c2 cneg cabs cfv 2cn absnegi wcel cc0 cle wbr wceq 0le2 absid mp2an eqtri
    cr 2re ) ABCDACDZAAEFAPGHAIJRAKQLAMNO $.

  $( Example for ~ df-dvds : 3 divides into 6.  (Contributed by David A.
     Wheeler, 19-May-2015.) $)
  ex-dvds $p |- 3 || 6 $=
    ( c2 cz wcel c3 c6 w3a cmul co wceq cdvds wbr 2z 6nn nnzi 3pm3.2i caddc 3cn
    3z 2timesi 3p3e6 eqtri dvds0lem mp2an ) ABCZDBCZEBCZFADGHZEIDEJKUDUEUFLREMN
    OUGDDPHEDQSTUAADEUBUC $.

  $( Example for ~ df-gcd .  (Contributed by AV, 5-Sep-2021.) $)
  ex-gcd $p |- ( -u 6 gcd 9 ) = 3 $=
    ( c6 cneg c9 cgcd co c3 cz wcel wceq mp2an caddc eqcomi oveq2i eqtri gcdadd
    nnzi 3z cc0 3re 3eqtr3i 6nn 9nn neggcd 6cn 6p3e9 addcomli gcdcom 3p3e6 cabs
    3cn cfv gcdid ax-mp cr cle wbr 0re 3pos ltleii absid ) ABCDEZACDEZFAGHZCGHV
    AVBIAUAPZCUBPACUCJVBAFAKEZDEZFCVEADVECAFCUDUJUEUFLMAFDEZFFFKEZDEZVFFVGFADEZ
    VIVCFGHZVGVJIVDQAFUGJAVHFDVHAUHLMNVCVKVGVFIVDQAFOJFFDEZFUIUKZVIFVKVLVMIQFUL
    UMVKVKVLVIIQQFFOJFUNHRFUOUPVMFISRFUQSURUSFUTJTTNN $.

  $( Example for ~ df-lcm .  (Contributed by AV, 5-Sep-2021.) $)
  ex-lcm $p |- ( 6 lcm 9 ) = ; 1 8 $=
    ( c6 c9 co cmul cgcd cdiv c3 cc wcel cc0 wa wceq 6nn 9nn cz nnzi pm3.2i 3cn
    ax-mp 3ne0 clcm c1 cdc wne nnmulcli nncni lcmcl nn0cnd neggcd eqcomi ex-gcd
    c8 cneg eqtri eqeltri eqnetri w3a lcmgcdnn mp1i eqcomd divmul3 mpbird mp3an
    cn oveq2i 6cn 9cn divassi 3t3e9 oveq1i divcan3i 6t3e18 3eqtri ) ABUACZABDCZ
    ABECZFCZVOGFCZUBULUCZVOHIZVNHIZVPHIZVPJUDZKZVNVQLVOABMNUEUFAOIZBOIZKZWAWEWF
    AMPBNPQZWGVNABUGUHSWBWCVPGHVPAUMBECZGWIVPWGWIVPLWHABUISUJUKUNZRUOVPGJWJTUPQ
    VTWAWDUQZVQVNWKVQVNLVOVNVPDCZLWKWLVOAVDIZBVDIZKWLVOLWKWMWNMNQABURUSUTVOVNVP
    VAVBUTVCVPGVOFWJVEVRABGFCZDCAGDCVSABGVFVGRTVHWOGADWOGGDCZGFCGBWPGFWPBVIUJVJ
    GGRRTVKUNVEVLVMVM $.

  $( Example for ~ df-prmo : ` ( #p `` 1 0 ) = 2 x. 3 x. 5 x. 7 ` .
     (Contributed by AV, 6-Sep-2021.) $)
  ex-prmo $p |- ( #p ` ; 1 0 ) = ; ; 2 1 0 $=
    ( c1 cc0 cdc cprmo cfv cmin co c9 cprime wcel cmul wceq prmonn2 ax-mp eqtri
    cif cn fveq2i c8 c7 10nn 10nprm iffalsei 10m1e9 9nn 9nprm 9m1e8 8nprm 8m1e7
    c2 8nn 7nn 7prm iftruei c3 7nn0 3nn0 c6 7m1e6 prmo6 7cn 3cn 7t3e21 mulcomli
    0nn0 mul02i decmul1 3eqtri ) ABCZDEZVIAFGZDEZHDEZUJACZBCZVJVIIJZVLVIKGZVLPZ
    VLVIQJVJVRLUAVIMNVPVQVLUBUCOVKHDUDRVMHAFGZDEZSDEZVOVMHIJZVTHKGZVTPZVTHQJVMW
    DLUEHMNWBWCVTUFUCOVSSDUGRWASAFGZDEZTDEZVOWASIJZWFSKGZWFPZWFSQJWAWJLUKSMNWHW
    IWFUHUCOWETDUIRWGTIJZTAFGZDEZTKGZWMPZWNVOTQJWGWOLULTMNWKWNWMUMUNUOBVNBTWMUP
    UQVEWMURDEUOBCWLURDUSRUTOTUOVNVAVBVCVDTVAVFVGVHVHVHVH $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Other examples
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.  $d h m n $.
    $( Proof illustrating the comment of ~ aev2 .  (Contributed by BJ,
       30-Mar-2021.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    aevdemo $p |- ( A. x x = y ->
          ( ( E. a A. b c = d \/ E. e f = g ) /\ A. h ( i = j -> k = l ) ) ) $=
      ( vm vn weq wal wex aev wo wi 19.2d olcd aeveq a1d alrimiv syl jca ) ABQA
      RZLMQKRJSZDEQZCSZUAGHQZINQZUBZFRZUJUMUKUJULCABCEDTUCUDUJOPQORZUQABOPOTURU
      PFURUOUNOPINUEUFUGUHUI $.
  $}

  ${
    $d N k $.  $d k n $.
    $( Example of a proof by induction (divisibility result).  (Contributed by
       Stanislas Polu, 9-Mar-2020.)  (Revised by BJ, 24-Mar-2020.) $)
    ex-ind-dvds $p |- ( N e. NN0 -> 3 || ( ( 4 ^ N ) + 2 ) ) $=
      ( c3 c4 cexp co c2 caddc cdvds c1 wceq oveq2 oveq1d breq2d wcel cmul cmin
      wbr cz a1i 3cn vk vn cv cc0 3z iddvds ax-mp numexp0 oveq1i 1p2e3 breqtrri
      4nn0 eqtri wa simpl nn0expcld nn0zd 2z zaddcld 4z zmulcld id adantr simpr
      cn0 dvdsmultr1d dvdsmul1 dvds2subd nn0cnd 2cnd cc 4cn adddird 2cn mulcomi
      mp2an oveq2d expp1d ax-1cn 3p1e4 addcomli eqcomi mvrraddi oveq2i 3eqtr3ri
      subdii 2t1e2 oveq12d mulcld addsubassd eqtr4d 3eqtr4rd breqtrrd ex nn0ind
      ) BCUAUCZDEZFGEZHQBCUDDEZFGEZHQBCUBUCZDEZFGEZHQZBCXAIGEZDEZFGEZHQZBCADEZF
      GEZHQUAUBAWPUDJZWRWTBHXKWQWSFGWPUDCDKLMWPXAJZWRXCBHXLWQXBFGWPXACDKLMWPXEJ
      ZWRXGBHXMWQXFFGWPXECDKLMWPAJZWRXJBHXNWQXIFGWPACDKLMBBWTHBRNZBBHQUEBUFUGWT
      IFGEBWSIFGCULUHUIUJUMUKXAVENZXDXHXPXDUNZBXCCOEZBFOEZPEZXGHXQBXRXSXOXQUESZ
      XQXCCXQXBFXQXBXQCXACVENZXQULSXPXDUOUPUQFRNZXQURSZUSCRNXQUTSZVAXQBFYAYDVAX
      QBXCCYAXQXBFXPXBRNXDXPXBXPCXAYBXPULSXPVBZUPZUQVCYDUSYEXPXDVDVFBXSHQZXQXOY
      CYHUEURBFVGVPSVHXPXGXTJXDXPXRFBOEZPEXBCOEZFCOEZGEZYIPEZXTXGXPXRYLYIPXPXBF
      CXPXBYGVIZXPVJZCVKNXPVLSZVMLXPXSYIXRPXSYIJXPBFTVNVOSVQXPXGYJYKYIPEZGEYMXP
      XFYJFYQGXPCXAYPYFVRFYQJXPFCBPEZOEFIOEYQFYRIFOCIBVSTIBGECBICTVSVTWAWBWCWDF
      CBVNVLTWFWGWESWHXPYJYKYIXPXBCYNYPWIXPFCYOYPWIXPFBYOBVKNXPTSWIWJWKWLVCWMWN
      WO $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d F x y $.  $d G x y $.
    ex-fpar.h $e |- H = ( ( `' ( 1st |` ( _V X. _V ) )
                        o. ( F o. ( 1st |` ( _V X. _V ) ) ) )
                i^i ( `' ( 2nd |` ( _V X. _V ) )
                       o. ( G o. ( 2nd |` ( _V X. _V ) ) ) ) ) $.
    ex-fpar.a $e |- A = ( 0 [,) +oo ) $.
    ex-fpar.b $e |- B = RR $.
    ex-fpar.f $e |- F = ( sqrt |` A ) $.
    ex-fpar.g $e |- G = ( sin |` B ) $.
    $( Formalized example provided in the comment for ~ fpar .  (Contributed by
       AV, 3-Jan-2024.) $)
    ex-fpar $p |- ( ( X e. A /\ Y e. B )
                    -> ( X ( + o. H ) Y ) = ( ( sqrt ` X ) + ( sin ` Y ) ) ) $=
      ( caddc cfv csqrt csin wfn wceq cc cr vx vy wcel wa ccom co cop df-ov cxp
      cv cmpo cres cc0 cpnf cico wss sqrtf ffn ax-mp rge0ssre ax-resscn fnssres
      wf sstri reseq2i fneq1i sylibr mp2an wb id fneq12d mpbir sinf fpar fnmpoi
      a1i opex opelxpi fvco2 sylancr simpl simpr fvproj fveq2d fveq1i oveqan12d
      fvres syl5eq eqtr3id 3eqtrd ) FAUCZGBUCZUDZFGMEUEZUFFGUGZWNNZFONZGPNZMUFZ
      FGWNUHWMWPWOENZMNZFCNZGDNZUGZMNZWSWMEABUIZQWOXFUCWPXARUAUBABUAUJCNZUBUJDN
      ZUGZECAQZDBQZEUAUBABXIUKRXJOAULZUMUNUOUFZQZOSQZXMSUPZXNSSOVCXOUQSSOURUSXM
      TSUTVAVDXOXPUDOXMULZXMQXNSXMOVBXMXLXQAXMOIVEVFVGVHCXLRZXJXNVIKXRAXMCXLXRV
      JAXMRXRIVPVKUSVLXKPBULZTQZPSQZTSUPZXTSSPVCYAVMSSPURUSVAYAYBUDPTULZTQXTSTP
      VBTXSYCBTPJVEVFVGVHDXSRZXKXTVILYDBTDXSYDVJBTRYDJVPVKUSVLUAUBABCDEHVNVHZXG
      XHVQVOFGABVRXFMEWOVSVTWMWTXDMWMUAUBABCDEFGYEWKWLWAWKWLWBWCWDWMXEXBXCMUFWS
      XBXCMUHWKWLXBWQXCWRMWKXBFXLNWQFCXLKWEFAOWGWHWLXCGXSNWRGDXSLWEGBPWGWHWFWIW
      JWH $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Humor
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  April Fool's theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x F $.
    $( Poisson d'Avril's Theorem.  This theorem is noted for its
       _Selbstdokumentieren_ property, which means, literally,
       "self-documenting" and recalls the principle of _quidquid german dictum
       sit, altum viditur_, often used in set theory.  Starting with the
       seemingly simple yet profound fact that any object ` x ` equals itself
       (proved by Tarski in 1965; see Lemma 6 of [Tarski] p. 68), we
       demonstrate that the power set of the real numbers, as a relation on the
       value of the imaginary unit, does not conjoin with an empty relation on
       the product of the additive and multiplicative identity elements,
       leading to this startling conclusion that has left even seasoned
       professional mathematicians scratching their heads.  (Contributed by
       Prof.  Loof Lirpa, 1-Apr-2005.)  (Proof modification is discouraged.)
       (New usage is discouraged.)

       _A reply to skeptics can be found at ~ mmnotes.txt , under the
       1-Apr-2006 entry_. $)
    avril1 $p |- -. ( A ~P RR ( _i ` 1 ) /\ F (/) ( 0 x. 1 ) ) $=
      ( vy vx vz c1 ci cfv cr cpw wbr cc0 c0 wa wn cv c0r cop wcel wceq cmul co
      c1r cio cnr csn cxp cvv weq equid dfnul2 con2bii mpbi eleq1 mtbii vtocleg
      abeq2i elex con3i pm2.61i df-br 0cn opeq2i eleq1i bitri mtbir intnan df-i
      mulid1i fveq1i df-fv eqtri breq2i df-r wss cab sseq2 abbidv df-pw 3eqtr4g
      ax-mp breqi anbi1i notbii mpbir ) AFGHZIJZKZBLFUAUBZMKZNZOAFCPQUCRZKCUDZU
      EQUFUGZJZKZWJNZOWJWPWJBLRZMSZWRUHSZWSOZXADWRUHDPZWRTXBMSZWSDDUIZXCODUJXCX
      DXDODMDUKUQULUMXBWRMUNUOUPWSWTWRMURUSUTWJBWIRZMSWSBWIMVAXEWRMWILBLVBVIVCV
      DVEVFVGWKWQWHWPWJWHAWMWGKWPWFWMAWGWFFWLHWMFGWLVHVJCFWLVKVLVMAWMWGWOIWNTZW
      GWOTVNXFEPZIVOZEVPXGWNVOZEVPWGWOXFXHXIEIWNXGVQVREIVSEWNVSVTWAWBVEWCWDWE
      $.
  $}

  $( The law of excluded middle.  Act III, Theorem 1 of Shakespeare, _Hamlet,
     Prince of Denmark_ (1602).  Its author leaves its proof as an exercise for
     the reader - "To be, or not to be: that is the question" - starting a
     trend that has become standard in modern-day textbooks, serving to make
     the frustrated reader feel inferior, or in some cases to mask the fact
     that the author does not know its solution.  (Contributed by Prof.  Loof
     Lirpa, 1-Apr-2006.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  2bornot2b $p |- ( 2 x. B \/ -. 2 x. B ) $=
    ( c2 cmul wbr wn wo wi ax-1 mpd df-or mpbir ) BACDZLEZFMMGMLMGZMMLHMNHILMJK
    $.

  $( The classic "Hello world" benchmark has been translated into 314 computer
     programming languages - see ~ http://helloworldcollection.de .  However,
     for many years it eluded a proof that it is more than just a conjecture,
     even though a wily mathematician once claimed, "I have discovered a truly
     marvelous proof of this, which this margin is too narrow to contain."
     Using an IBM 709 mainframe, a team of mathematicians led by Prof.  Loof
     Lirpa, at the New College of Tahiti, were finally able to put it to rest
     with a remarkably short proof only four lines long.  (Contributed by Prof.
     Loof Lirpa, 1-Apr-2007.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  helloworld $p |- -. ( h e. ( L L 0 ) /\ W (/) ( R. 1 d ) ) $=
    ( cnr cv c1 co c0 wbr cc0 wcel cop noel df-br mtbir intnan ) CEDFGHZIJZAFBK
    BHLSCRMZILTNCRIOPQ $.

  $( One plus one equals two.  Using proof-shortening techniques pioneered by
     Mr.  Mel L. O'Cat, along with the latest supercomputer technology, Prof.
     Loof Lirpa and colleagues were able to shorten Whitehead and Russell's
     360-page proof that 1+1=2 in _Principia Mathematica_ to this remarkable
     proof only two steps long, thus establishing a new world's record for this
     famous theorem.  (Contributed by Prof.  Loof Lirpa, 1-Apr-2008.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  1p1e2apr1 $p |- ( 1 + 1 ) = 2 $=
    ( c2 c1 caddc co df-2 eqcomi ) ABBCDEF $.

  ${
    $d x A $.
    $( Law of identity (reflexivity of class equality).  Theorem 6.4 of [Quine]
       p. 41.

       This law is thought to have originated with Aristotle (_Metaphysics_,
       Book VII, Part 17).  It is one of the three axioms of Ayn Rand's
       philosophy (_Atlas Shrugged_, Part Three, Chapter VII).  While some have
       proposed extending Rand's axiomatization to include Compassion and
       Kindness, others fear that such an extension may flirt with logical
       inconsistency.  (Contributed by Stefan Allan, 1-Apr-2009.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eqid1 $p |- A = A $=
      ( vx cv wcel biid eqriv ) BAABCADEF $.
  $}

  ${
    $d x y z $.
    $( Division by zero is forbidden!  If we try, we encounter the DO NOT ENTER
       sign, which in mathematics means it is foolhardy to venture any further,
       possibly putting the underlying fabric of reality at risk.  Based on a
       dare by David A. Wheeler.  (Contributed by Mario Carneiro, 1-Apr-2014.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    1div0apr $p |- ( 1 / 0 ) = (/) $=
      ( vx vy vz cdiv cdm cc cc0 csn cdif wceq c1 wcel wa wn co c0 cv cmul crio
      cxp df-div riotaex dmmpo eqid eldifsni adantl necon2bi ax-mp ndmovg mp2an
      wne ) DEFFGHIZTJKFLZGULLZMZNZKGDOPJABFULBQCQROAQJZCFSDABCUAUQCFUBUCGGJUPG
      UDUOGGUNGGUKUMGFGUEUFUGUHKGFULDUIUJ $.
  $}

  $( Nothing seems to be impossible to Prof.  Lirpa.  After years of intensive
     research, he managed to find a proof that when given a chance to reach
     infinity, one could indeed go beyond, thus giving formal soundness to Buzz
     Lightyear's motto "To infinity... and beyond!"  (Contributed by Prof.
     Loof Lirpa, 1-Apr-2020.)  (Revised by Thierry Arnoux, 2-Aug-2020.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  topnfbey $p |- ( B e. ( 0 ... +oo ) -> +oo < B ) $=
    ( cc0 cpnf cfz co wcel clt wbr c0 noel cz wa wn wceq cxr pnfxr xrltnr ax-mp
    cr zre ltpnf syl mto intnan cxp cpw fzf fdmi ndmov eleq2i mtbir pm2.21i ) A
    BCDEZFZCAGHUNAIFAJUMIABKFZCKFZLMUMINUPUOUPCCGHZCOFUQMPCQRUPCSFUQCTCUAUBUCUD
    BCKDKKUEKUFDUGUHUIRUJUKUL $.

  ${
    $( 9 + 10 is not equal to 21.  This disproves a popular meme which asserts
       that 9 + 10 does equal 21.  See
       ~ https://www.quora.com/Can-someone-try-to-prove-to-me-that-9+10-21 for
       attempts to prove that 9 + 10 = 21, and see https://tinyurl.com/9p10e21
       for the history of the 9 + 10 = 21 meme.  (Contributed by BTernaryTau,
       25-Aug-2023.) $)
    9p10ne21 $p |- ( 9 + ; 1 0 ) =/= ; 2 1 $=
      ( c9 c1 cc0 cdc caddc co 10nn0 nn0cni 9cn dec10p addcomli 1nn0 9nn0 deccl
      c2 nn0rei 2nn0 9lt10 1lt2 decltc ltneii eqnetri ) ABCDZEFBADZOBDZUCAUDUCG
      HIAJKUDUEUDBALMNPBOABLQMLRSTUAUB $.

    $( 9 + 10 equals 21.  This astonishing thesis lives as a meme on the
       internet, and may be believed by quite some people.  At least repeated
       requests to falsify it are a permanent part of the story.  Prof.  Loof
       Lirpa did not rest until he finally came up with a computer verifiable
       mathematical proof, that only a fool can think so.  (Contributed by
       Prof.  Loof Lirpa, 26-Aug-2023.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    9p10ne21fool $p |- ( ( 9 + ; 1 0 ) = ; 2 1 -> F (/) ( 0 x. 1 ) ) $=
      ( c9 c1 cc0 cdc caddc co c2 wceq wn cmul c0 wbr wne 9p10ne21 df-ne pm2.21
      wi mpbi ax-mp ) BCDEFGZHCEZIZJZUCADCKGLMZRUAUBNUDOUAUBPSUCUEQT $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  (Future - to be reviewed and classified)
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Planar incidence geometry
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Token for the class of planar incidence geometries. $)
  $c Plig $.

  $( Extend class notation with the class of all planar incidence
     geometries. $)
  cplig $a class Plig $.

  ${
    $d x a b c l $.
    $( Define the class of planar incidence geometries.  We use Hilbert's
       axioms and adapt them to planar geometry.  We use ` e. ` for the
       incidence relation.  We could have used a generic binary relation, but
       using ` e. ` allows us to reuse previous results.  Much of what follows
       is directly borrowed from Aitken, _Incidence-Betweenness Geometry_,
       2008, ~ http://public.csusm.edu/aitken_html/m410/betweenness.08.pdf .

       The class ` Plig ` is the class of planar incidence geometries, where a
       planar incidence geometry is defined as a set of lines satisfying three
       axioms.  In the definition below, ` x ` denotes a planar incidence
       geometry, so ` U. x ` denotes the union of its lines, that is, the set
       of points in the plane, ` l ` denotes a line, and ` a , b , c ` denote
       points.  Therefore, the axioms are: 1) for all pairs of (distinct)
       points, there exists a unique line containing them; 2) all lines contain
       at least two points; 3) there exist three non-collinear points.
       (Contributed by FL, 2-Aug-2009.) $)
    df-plig $a |- Plig = { x | (
     A. a e. U. x A. b e. U. x ( a =/= b -> E! l e. x ( a e. l /\ b e. l ) ) /\
     A. l e. x E. a e. U. x E. b e. U. x ( a =/= b /\ a e. l /\ b e. l ) /\
     E. a e. U. x E. b e. U. x E. c e. U. x A. l e. x
                                       -. ( a e. l /\ b e. l /\ c e. l ) ) } $.
  $}

  ${
    $d a b c l x G $.  $d a b c x P $.
    isplig.1 $e |- P = U. G $.
    $( The predicate "is a planar incidence geometry" for sets.  (Contributed
       by FL, 2-Aug-2009.) $)
    isplig $p |- ( G e. A -> ( G e. Plig <->
         ( A. a e. P A. b e. P ( a =/= b -> E! l e. G ( a e. l /\ b e. l ) ) /\
           A. l e. G E. a e. P E. b e. P ( a =/= b /\ a e. l /\ b e. l ) /\
           E. a e. P E. b e. P E. c e. P A. l e. G
                                     -. ( a e. l /\ b e. l /\ c e. l ) ) ) ) $=
      ( vx cv wne wel wreu wi cuni wral w3a wrex raleqbidv rexeqbidv wa wn wceq
      cplig unieq eqtr4di reueq1 imbi2d rexeqdv raleqbi1dv raleq df-plig elab2g
      3anbi123d ) DJEJKZDGLZEGLZUAZGIJZMZNZEUSOZPZDVBPZUOUPUQQZEVBRZDVBRZGUSPZU
      PUQFGLQUBZGUSPZFVBRZEVBRZDVBRZQUOURGCMZNZEBPZDBPZVEEBRZDBRZGCPZVIGCPZFBRZ
      EBRZDBRZQICUDAUSCUCZVDVQVHVTVMWDWEVCVPDVBBWEVBCOBUSCUEHUFZWEVAVOEVBBWFWEU
      TVNUOURGUSCUGUHSSVGVSGUSCWEVFVRDVBBWFWEVEEVBBWFUITUJWEVLWCDVBBWFWEVKWBEVB
      BWFWEVJWAFVBBWFVIGUSCUKTTTUNIDEFGULUM $.

    $( The predicate "is a planar incidence geometry".  (Contributed by BJ,
       2-Dec-2021.) $)
    ispligb $p |- ( G e. Plig <-> ( G e. _V /\
         ( A. a e. P A. b e. P ( a =/= b -> E! l e. G ( a e. l /\ b e. l ) ) /\
           A. l e. G E. a e. P E. b e. P ( a =/= b /\ a e. l /\ b e. l ) /\
           E. a e. P E. b e. P E. c e. P A. l e. G
                                     -. ( a e. l /\ b e. l /\ c e. l ) ) ) ) $=
      ( cplig wcel cvv cv wne wel wa wreu wi wral w3a wrex wn isplig biadanii
      elex ) BHIBJICKDKLZCFMZDFMZNFBOPDAQCAQUDUEUFRDASCASFBQUEUFEFMRTFBQEASDASC
      ASRBHUCJABCDEFGUAUB $.
  $}

  ${
    $d a b c l G $.  $d a b c P $.
    tncp.1 $e |- P = U. G $.
    $( In any planar incidence geometry, there exist three non-collinear
       points.  (Contributed by FL, 3-Aug-2009.) $)
    tncp $p |- ( G e. Plig -> E. a e. P E. b e. P E. c e. P A. l e. G
                                         -. ( a e. l /\ b e. l /\ c e. l ) ) $=
      ( cplig wcel cv wne wel wa wreu wi wral w3a wrex wn isplig ibi simp3d ) B
      HIZCJDJKZCFLZDFLZMFBNODAPCAPZUDUEUFQDARCARFBPZUEUFEFLQSFBPEARDARCARZUCUGU
      HUIQHABCDEFGTUAUB $.
  $}

  ${
    $d a b c l G $.  $d a b l L $.  $d a b c l P $.
    l2p.1 $e |- P = U. G $.
    $( For any line in a planar incidence geometry, there exist two different
       points on the line.  (Contributed by AV, 28-Nov-2021.) $)
    l2p $p |- ( ( G e. Plig /\ L e. G )
                -> E. a e. P E. b e. P ( a =/= b /\ a e. L /\ b e. L ) ) $=
      ( vl vc cplig wcel cv wne w3a wrex wi wel wa wreu wral eleq2 wceq pm2.43i
      wn isplig 3anbi23d 2rexbidv rspccv 3ad2ant2 syl6bi imp ) BIJZCBJZDKZEKZLZ
      UMCJZUNCJZMZEANDANZUKULUSOZUKUKUODGPZEGPZQGBROEASDASZUOVAVBMZEANDANZGBSZV
      AVBHGPMUCGBSHANEANDANZMUTIABDEHGFUDVFVCUTVGVEUSGCBGKZCUAZVDURDEAAVIVAUPVB
      UQUOVHCUMTVHCUNTUEUFUGUHUIUBUJ $.

    $d d G $.  $d a b c d l L $.  $d d P $.
    $( For any line in a planar incidence geometry, there exists a point not on
       the line.  (Contributed by Jeff Hankins, 15-Aug-2009.) $)
    lpni $p |- ( ( G e. Plig /\ L e. G ) -> E. a e. P a e/ L ) $=
      ( vb vl vc vd wcel cv wrex w3a wn eleq2 notbid weq eleq1w rspcev ex cplig
      wnel wral wi tncp wa wceq 3anbi123d rspccv w3o 3jaao 3ianor df-nel rexbii
      3imtr4g syl9r 3expia rexlimdv rexlimivv syl imp ) BUAJZCBJZDKZCUBZDALZVBF
      KZGKZJZHKZVHJZIKZVHJZMZNZGBUCZIALZHALFALVCVFUDZABFHIGEUEVQVRFHAAVGAJZVJAJ
      ZUFVPVRIAVSVTVLAJZVPVRUDVPVCVGCJZVJCJZVLCJZMZNZVSVTWAMZVFVOWFGCBVHCUGZVNW
      EWHVIWBVKWCVMWDVHCVGOVHCVJOVHCVLOUHPUIWGWBNZWCNZWDNZUJVDCJZNZDALZWFVFVSWI
      WNVTWJWAWKVSWIWNWMWIDVGADFQWLWBDFCRPSTVTWJWNWMWJDVJADHQWLWCDHCRPSTWAWKWNW
      MWKDVLADIQWLWDDICRPSTUKWBWCWDULVEWMDAVDCUMUNUOUPUQURUSUTVA $.
  $}

  ${
    $d a b G $.  $d a b A $.
    $( There is no "one-point line" in a planar incidence geometry.
       (Contributed by BJ, 2-Dec-2021.)  (Proof shortened by AV,
       5-Dec-2021.) $)
    nsnlplig $p |- ( G e. Plig -> -. { A } e. G ) $=
      ( va vb cplig wcel csn wa cv wne w3a cuni wrex wn eqid l2p wceq elsni syl
      wi weq eqtr3 eqneqall syl2an impcom 3impb a1i rexlimivv pm2.01da ) BEFZAG
      ZBFZUJULHCIZDIZJZUMUKFZUNUKFZKZDBLZMCUSMULNZUSBUKCDUSOPURUTCDUSUSURUTTUMU
      SFUNUSFHUOUPUQUTUPUQHUOUTUPUMAQZUNAQZUOUTTZUQUMARUNARVAVBHCDUAVCUMUNAUBUT
      UMUNUCSUDUEUFUGUHSUI $.
  $}

  ${
    $d a b G $.  $d a b A $.
    $( Alternate version of ~ nsnlplig using the predicate ` e/ ` instead of
       ` -. e. ` and whose proof is shorter.  (Contributed by AV, 5-Dec-2021.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    nsnlpligALT $p |- ( G e. Plig -> { A } e/ G ) $=
      ( va vb cplig wcel csn wnel wa cv wne w3a cuni wrex eqid l2p wi elsni syl
      wceq weq eqtr3 eqneqall syl2an impcom 3impb rexlimivv simpr pm2.61danel
      a1i ) BEFZAGZBHZULBUKULBFICJZDJZKZUNULFZUOULFZLZDBMZNCUTNUMUTBULCDUTOPUSU
      MCDUTUTUSUMQUNUTFUOUTFIUPUQURUMUQURIUPUMUQUNATZUOATZUPUMQZURUNARUOARVAVBI
      CDUAVCUNUOAUBUMUNUOUCSUDUEUFUJUGSUKUMUHUI $.
  $}

  $( There is no "empty line" in a planar incidence geometry.  (Contributed by
     AV, 28-Nov-2021.)  (Proof shortened by BJ, 2-Dec-2021.) $)
  n0lplig $p |- ( G e. Plig -> -. (/) e. G ) $=
    ( cplig wcel cvv csn c0 nsnlplig wceq vprc snprc mpbi eqcomi eleq1i sylnibr
    wn ) ABCDEZACFACDAGFPAPFDDCOPFHIDJKLMN $.

  ${
    $d a b G $.
    $( Alternate version of ~ n0lplig using the predicate ` e/ ` instead of
       ` -. e. ` and whose proof bypasses ~ nsnlplig .  (Contributed by AV,
       28-Nov-2021.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    n0lpligALT $p |- ( G e. Plig -> (/) e/ G ) $=
      ( va vb cplig wcel c0 wnel wa cv wne w3a cuni wrex eqid l2p noel 3ad2ant2
      wi pm2.21i a1i rexlimivv syl simpr pm2.61danel ) ADEZFAGZFAUEFAEHBIZCIZJZ
      UGFEZUHFEZKZCALZMBUMMUFUMAFBCUMNOULUFBCUMUMULUFRUGUMEUHUMEHUJUIUFUKUJUFUG
      PSQTUAUBUEUFUCUD $.
  $}

  ${
    $d a b c l G $.  $d a b c P $.  $d a b l A $.  $d a b l B $.
    eulplig.1 $e |- P = U. G $.
    $( Through two distinct points of a planar incidence geometry, there is a
       unique line.  (Contributed by BJ, 2-Dec-2021.) $)
    eulplig $p |- ( ( G e. Plig /\ ( ( A e. P /\ B e. P ) /\ A =/= B ) ) ->
                                            E! l e. G ( A e. l /\ B e. l ) ) $=
      ( va vb vc cplig wcel wa wne cv wreu wel wi wral w3a wrex wn isplig simp1
      ibi wceq simpl simpr neeq12d eleq1 bi2anan9 reubidv imbi12d rspc2gv com23
      imp com12 3syl ) DJKZACKBCKLZABMZLZAENZKZBVBKZLZEDOZURGNZHNZMZGEPZHEPZLZE
      DOZQZHCRGCRZVIVJVKSHCTGCTEDRZVJVKIEPSUAEDRICTHCTGCTZSZVOVAVFQURVRJCDGHIEF
      UBUDVOVPVQUCVAVOVFUSUTVOVFQUSVOUTVFVNUTVFQGHABCCVGAUEZVHBUEZLZVIUTVMVFWAV
      GAVHBVSVTUFVSVTUGUHWAVLVEEDVSVJVCVTVKVDVGAVBUIVHBVBUIUJUKULUMUNUOUPUQUO
      $.
  $}

  $( Any planar incidence geometry ` G ` can be regarded as a hypergraph with
     its points as vertices and its lines as edges.  See ~ incistruhgr for a
     generalization of this case for arbitrary incidence structures (planar
     incidence geometries are such incidence structures).  (Proposed by Gerard
     Lang, 24-Nov-2021.)  (Contributed by AV, 28-Nov-2021.) $)
  pliguhgr $p |- ( G e. Plig -> <. U. G , ( _I |` G ) >. e. UHGraph ) $=
    ( cplig wcel cuni cid cres cop cuhgr cdm cpw c0 csn cdif wf wf1o wi f1oi wb
    wss cvv f1of pwuni wa cin wceq wn n0lplig adantr disjsn sylibr adantl mpbid
    reldisj mpan2 fss sylan2 mp2b ffdmd uniexg resiexg isuhgrop syl2anc mpbird
    ex ) ABCZADZEAFZGHCZVGIVFJZKLZMZVGNZVEAVKVGAAVGOAAVGNZVEAVKVGNZPAQAAVGUAVMV
    EVNVEVMAVKSZVNVEAVISZVOAUBVEVPUCZAVJUDKUEZVOVQKACUFZVRVEVSVPAUGUHAKUIUJVPVR
    VORVEAVJVIUMUKULUNAAVKVGUOUPVDUQURVEVFTCVGTCVHVLRABUSABUTVGVFTTVAVBVC $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Aliases kept to prevent broken links
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This section contains a few aliases that we temporarily keep to prevent
  broken links.  If you land on any of these, please let the originating site
  and/or us know that the link that made you land here should be changed.

$)

  ${
    dummylink.1 $e |- ph $.
    dummylink.2 $e |- ps $.
    $( Alias for ~ a1ii that may be referenced in some older works, and kept
       here to prevent broken links.

       If you landed here, please let the originating site and/or us know that
       the link that made you land here should be changed to a link to ~ a1ii .

       (Contributed by NM, 7-Feb-2006.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    dummylink $p |- ph $=
      (  ) C $.
  $}

  $( Alias for ~ idALT that may be referenced in some older works, and kept
     here to prevent broken links.

     If you landed here, please let the originating site and/or us know that
     the link that made you land here should be changed to a link to ~ idALT .

     (Contributed by NM, 30-Sep-1992.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  id1 $p |- ( ph -> ph ) $=
    ( idALT ) AB $.

$( End $[ set-guidesetc.mm $] $)
$( End $[ set-main.mm $] $)


$( Begin $[ set-deprec.mm $] $)
$(
###############################################################################
  COMPLEX TOPOLOGICAL VECTOR SPACES (DEPRECATED)
###############################################################################

  The intent is for this deprecated section to be deleted once its theorems
  have extensible structure versions (or are not useful).  You can make a list
  of "terminal" theorems (i.e., theorems not referenced by anything else) and
  for each theorem see if there exists an extensible structure version (or
  decide it is not useful), and if so, delete it.  Then, repeat this
  recursively.  One way to search for terminal theorems is to log the output
  ("MM> OPEN LOG xxx.txt") of "MM> SHOW USAGE <label-match>" in the Metamath
  program and search for "(None)".

$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Additional material on group theory (deprecated)
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  This section contains an earlier development of groups that was defined
  before extensible structures were introduced.

  The intent is for this deprecated section to be deleted once the
  corresponding definitions and theorems for complex topological vector spaces,
  which are using them, are revised accordingly.

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definitions and basic properties for groups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c GrpOp $.
  $c GId $.
  $c inv $.
  $c /g $.

  $( Extend class notation with the class of all group operations. $)
  cgr $a class GrpOp $.

  $( Extend class notation with a function mapping a group operation to the
     group's identity element. $)
  cgi $a class GId $.

  $( Extend class notation with a function mapping a group operation to the
     inverse function for the group. $)
  cgn $a class inv $.

  $( Extend class notation with a function mapping a group operation to the
     division (or subtraction) operation for the group. $)
  cgs $a class /g $.

  ${
    $d g t u x y z $.
    $( Define the class of all group operations.  The base set for a group can
       be determined from its group operation.  Based on the definition in
       Exercise 28 of [Herstein] p. 54.  (Contributed by NM, 10-Oct-2006.)
       (New usage is discouraged.) $)
    df-grpo $a |- GrpOp = { g | E. t ( g : ( t X. t ) --> t
       /\ A. x e. t A. y e. t A. z e. t ( ( x g y ) g z ) = ( x g ( y g z ) )
   /\ E. u e. t A. x e. t ( ( u g x ) = x /\ E. y e. t ( y g x ) = u ) ) } $.

    $( Define a function that maps a group operation to the group's identity
       element.  (Contributed by FL, 5-Feb-2010.)  (Revised by Mario Carneiro,
       15-Dec-2013.)  (New usage is discouraged.) $)
    df-gid $a |- GId = ( g e. _V |-> ( iota_ u e. ran g A. x e. ran g
                        ( ( u g x ) = x /\ ( x g u ) = x ) ) ) $.

    $( Define a function that maps a group operation to the group's inverse
       function.  (Contributed by NM, 26-Oct-2006.)
       (New usage is discouraged.) $)
    df-ginv $a |- inv = ( g e. GrpOp |-> ( x e. ran g |->
                    ( iota_ z e. ran g ( z g x ) = ( GId ` g ) ) ) ) $.

    $( Define a function that maps a group operation to the group's division
       (or subtraction) operation.  (Contributed by NM, 15-Feb-2008.)
       (New usage is discouraged.) $)
    df-gdiv $a |- /g = ( g e. GrpOp |-> ( x e. ran g , y e. ran g |->
                         ( x g ( ( inv ` g ) ` y ) ) ) ) $.
  $}

  ${
    $d g t u x y z G $.  $d g t u x y z X $.
    isgrp.1 $e |- X = ran G $.
    $( The predicate "is a group operation."  Note that ` X ` is the base set
       of the group.  (Contributed by NM, 10-Oct-2006.)
       (New usage is discouraged.) $)
    isgrpo $p |- ( G e. A -> ( G e. GrpOp <-> ( G : ( X X. X ) --> X /\
       A. x e. X A. y e. X A. z e. X ( ( x G y ) G z ) = ( x G ( y G z ) )
   /\ E. u e. X A. x e. X ( ( u G x ) = x /\ E. y e. X ( y G x ) = u ) ) ) ) $=
      ( vt vg wcel cv wceq cxp wf co wral wrex wa oveq cgr crn w3a oveq1d eqtrd
      wex feq1 oveq2d eqeq12d ralbidv 2ralbidv eqeq1d rexbidv anbi12d 3anbi123d
      rexralbidv exbidv df-grpo elab2g simpl ralimi oveq2 id eqcom bitrdi rspcv
      wfo rspceeqv syld syl5 reximdv impcom ralrimiva anim2i foov sylibr eqcomd
      ex forn syl 3adant2 pm4.71ri exbii wb rnexg eqeq2i xpeq1 xpeq2 feq2d feq3
      cvv bitrd raleq raleqbi1dv rexeq anbi2d rexeqbi1dv sylbir ceqsexgv ) FEKZ
      FUAKZILZFUBZMZXBXBNZXBFOZALZBLZFPZCLZFPZXGXHXJFPZFPZMZCXBQZBXBQZAXBQZDLZX
      GFPZXGMZXHXGFPZXRMZBXBRZSZAXBQZDXBRZUCZSZIUFZGGNZGFOZXNCGQZBGQZAGQZXTYBBG
      RZSZAGQZDGRZUCZWTXAYGIUFZYIXEXBJLZOZXGXHUUAPZXJUUAPZXGXHXJUUAPZUUAPZMZCXB
      QZBXBQAXBQZXRXGUUAPZXGMZXHXGUUAPZXRMZBXBRZSZAXBQDXBRZUCZIUFYTJFUAEUUAFMZU
      UQYGIUURUUBXFUUIXQUUPYFXEXBUUAFUGUURUUHXOABXBXBUURUUGXNCXBUURUUDXKUUFXMUU
      RUUDUUCXJFPXKUUCXJUUAFTUURUUCXIXJFXGXHUUAFTUDUEUURUUFXGUUEFPXMXGUUEUUAFTU
      URUUEXLXGFXHXJUUAFTUHUEUIUJUKUURUUOYDDAXBXBUURUUKXTUUNYCUURUUJXSXGXRXGUUA
      FTULUURUUMYBBXBUURUULYAXRXHXGUUAFTULUMUNUPUOUQABCDIJURUSYGYHIYGXDXFYFXDXQ
      XFYFSZXEXBFVGZXDUUSXFXJXRXHFPZMBXBRZDXBRZCXBQZSUUTYFUVDXFYFUVCCXBXJXBKZYF
      UVCUVEYEUVBDXBYEXTAXBQZUVEUVBYDXTAXBXTYCUTVAUVEUVFXJXRXJFPZMZUVBXTUVHAXJX
      BXGXJMZXTUVGXJMUVHUVIXSUVGXGXJXGXJXRFVBUVIVCUIUVGXJVDVEVFUVEUVHUVBBXJXBUV
      AUVGXJXHXJXRFVBVHVRVIVJVKVLVMVNDBCXBXBXBFVOVPUUTXCXBXEXBFVSVQVTWAWBWCVEWT
      XCWKKYIYSWDFEWEYGYSIXCWKXDXBGMZYGYSWDGXCXBHWFUVJXFYKXQYNYFYRUVJXFYJXBFOYK
      UVJXEYJXBFUVJXEGXBNYJXBGXBWGXBGGWHUEWIXBGYJFWJWLXPYMAXBGXOYLBXBGXNCXBGWMW
      NWNYEYQDXBGYDYPAXBGUVJYCYOXTYBBXBGWOWPWNWQUOWRWSVTWL $.
  $}

  ${
    $d u x y z G $.  $d u x y z U $.  $d u x y z X $.  $d y N $.
    isgrpoi.1 $e |- X e. _V $.
    isgrpoi.2 $e |- G : ( X X. X ) --> X $.
    isgrpoi.3 $e |- ( ( x e. X /\ y e. X /\ z e. X ) ->
                   ( ( x G y ) G z ) = ( x G ( y G z ) ) ) $.
    isgrpoi.4 $e |- U e. X $.
    isgrpoi.5 $e |- ( x e. X -> ( U G x ) = x ) $.
    isgrpoi.6 $e |- ( x e. X -> N e. X ) $.
    isgrpoi.7 $e |- ( x e. X -> ( N G x ) = U ) $.
    $( Properties that determine a group operation.  Read ` N ` as
       ` N ( x ) ` .  (Contributed by NM, 4-Nov-2006.)
       (New usage is discouraged.) $)
    isgrpoi $p |- G e. GrpOp $=
      ( vu wcel co wceq wral wrex cgr cxp wf cv rgen3 eqeq1d rspcev syl2anc jca
      wa oveq1 rgen eqeq2 rexbidv anbi12d ralbidv mp2an cvv w3a wb xpex fex crn
      wfo eqcomd rspceov mp3an1 mpdan foov mpbir2an forn eqcomi isgrpo mpbir3an
      ax-mp ) EUAPZGGUBZGEUCZAUDZBUDZEQCUDZEQVSVTWAEQZEQRZCGSBGSAGSZOUDZVSEQZVS
      RZVTVSEQZWERZBGTZUJZAGSZOGTZIWCABCGGGJUEDGPZDVSEQZVSRZWHDRZBGTZUJZAGSZWMK
      WSAGVSGPZWPWRLXAFGPFVSEQZDRZWRMNWQXCBFGVTFRWHXBDVTFVSEUKUFUGUHUIULWLWTODG
      WEDRZWKWSAGXDWGWPWJWRXDWFWOVSWEDVSEUKUFXDWIWQBGWEDWHUMUNUOUPUGUQEURPZVPVR
      WDWMUSUTVRVQURPXEIGGHHVAVQGUREVBUQABCOUREGEVCZGVQGEVDZXFGRXGVRVSWBRCGTBGT
      ZAGSIXHAGXAVSWORZXHXAWOVSLVEWNXAXIXHKBCGGDVSVSEVFVGVHULBCAGGGEVIVJVQGEVKV
      OVLVMVOVN $.
  $}

  ${
    $d w x y z A $.  $d x y z B $.  $d z C $.  $d u w x y z G $.
    $d u w x y z X $.  $d y U $.
    grpfo.1 $e |- X = ran G $.
    $( A group operation maps onto the group's underlying set.  (Contributed by
       NM, 30-Oct-2006.)  (New usage is discouraged.) $)
    grpofo $p |- ( G e. GrpOp -> G : ( X X. X ) -onto-> X ) $=
      ( vx vy vz vu cgr wcel cxp wf crn wceq wa wfo cv co wral wrex w3a isgrpo
      ibi simp1d eqcomi jctir dffo2 sylibr ) AHIZBBJZBAKZALZBMZNUIBAOUHUJULUHUJ
      DPZEPZAQFPZAQUMUNUOAQAQMFBREBRDBRZGPZUMAQUMMUNUMAQUQMEBSNDBRGBSZUHUJUPURT
      DEFGHABCUAUBUCBUKCUDUEUIBAUFUG $.

    $( Closure law for a group operation.  (Contributed by NM, 10-Oct-2006.)
       (New usage is discouraged.) $)
    grpocl $p |- ( ( G e. GrpOp /\ A e. X /\ B e. X ) -> ( A G B ) e. X ) $=
      ( cgr wcel cxp wf co wfo grpofo fof syl fovrn syl3an1 ) CFGZDDHZDCIZADGBD
      GABCJDGQRDCKSCDELRDCMNABDDDCOP $.

    $( A group has a left identity element, and every member has a left
       inverse.  (Contributed by NM, 2-Nov-2006.)
       (New usage is discouraged.) $)
    grpolidinv $p |- ( G e. GrpOp ->
         E. u e. X A. x e. X ( ( u G x ) = x /\ E. y e. X ( y G x ) = u ) ) $=
      ( vz cgr wcel cxp wf cv co wceq wral wrex wa w3a isgrpo ibi simp3d ) DHIZ
      EEJEDKZALZBLZDMGLZDMUDUEUFDMDMNGEOBEOAEOZCLZUDDMUDNUEUDDMUHNBEPQAEOCEPZUB
      UCUGUIRABGCHDEFSTUA $.

    $( The base set of a group is not empty.  (Contributed by Szymon
       Jaroszewicz, 3-Apr-2007.)  (New usage is discouraged.) $)
    grpon0 $p |- ( G e. GrpOp -> X =/= (/) ) $=
      ( vu vx vy cgr wcel cv co wceq wrex wa wral c0 wne grpolidinv rexn0 syl )
      AGHDIZEIZAJUAKFIUAAJTKFBLMEBNZDBLBOPEFDABCQUBDBRS $.

    $( A group operation is associative.  (Contributed by NM, 10-Oct-2006.)
       (New usage is discouraged.) $)
    grpoass $p |- ( ( G e. GrpOp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
              ( ( A G B ) G C ) = ( A G ( B G C ) ) ) $=
      ( vx vy vz vu cgr wcel cv co wceq wral w3a oveq1 eqeq12d oveq2 wf wrex wa
      cxp isgrpo ibi simp2d oveq1d oveq2d rspc3v mpan9 ) DKLZGMZHMZDNZIMZDNZUMU
      NUPDNZDNZOZIEPHEPGEPZAELBELCELQABDNZCDNZABCDNZDNZOZULEEUDEDUAZVAJMZUMDNUM
      OUNUMDNVHOHEUBUCGEPJEUBZULVGVAVIQGHIJKDEFUEUFUGUTVFAUNDNZUPDNZAURDNZOVBUP
      DNZABUPDNZDNZOGHIABCEEEUMAOZUQVKUSVLVPUOVJUPDUMAUNDRUHUMAURDRSUNBOZVKVMVL
      VOVQVJVBUPDUNBADTUHVQURVNADUNBUPDRUISUPCOZVMVCVOVEUPCVBDTVRVNVDADUPCBDTUI
      SUJUK $.

    $( Lemma for ~ grpoidinv .  (Contributed by NM, 10-Oct-2006.)
       (New usage is discouraged.) $)
    grpoidinvlem1 $p |- ( ( ( G e. GrpOp /\ ( Y e. X /\ A e. X ) ) /\
                  ( ( Y G A ) = U /\ ( A G A ) = A ) ) -> ( U G A ) = U ) $=
      ( cgr wcel wa co wceq w3a id 3anidm23 grpoass sylan2 oveq1 ad2antrl oveq2
      adantr ad2antll simprl eqtrd 3eqtr3d ) CGHZEDHZADHZIZIZEACJZBKZAACJZAKZIZ
      IZUJACJZEULCJZBACJZBUIUPUQKZUNUHUEUFUGUGLZUSUFUGUTUTMNEAACDFOPTUKUPURKUIU
      MUJBACQRUOUQUJBUMUQUJKUIUKULAECSUAUIUKUMUBUCUD $.

    $( Lemma for ~ grpoidinv .  (Contributed by NM, 10-Oct-2006.)
       (New usage is discouraged.) $)
    grpoidinvlem2 $p |- ( ( ( G e. GrpOp /\ ( Y e. X /\ A e. X ) )
     /\ ( ( U G Y ) = Y /\ ( Y G A ) = U ) )
            -> ( ( A G Y ) G ( A G Y ) ) = ( A G Y ) ) $=
      ( cgr wcel wa co wceq w3a simprr simprl grpocl 3com23 3jca grpoass syldan
      3expb adantr oveq1 adantl simpl eqtr2d id 3anidm13 sylan2 sylan9eqr eqtrd
      eqcomd oveq2d ) CGHZEDHZADHZIZIZBECJZEKZEACJZBKZIZIZAECJZVDCJZAEVDCJZCJZV
      DUQVEVGKZVBUMUPUOUNVDDHZLVHUQUOUNVIUMUNUOMUMUNUONUMUNUOVIUMUOUNVIAECDFOPT
      QAEVDCDFRSUAVCVFEACVCEVFVBUQEUTECJZVFVBVJUREVAVJURKUSUTBECUBUCUSVAUDUEUPU
      MUNUOUNLZVJVFKUNUOVKVKUFUGEAECDFRUHUIUKULUJ $.

    ${
      $d w x y z U $.  $d w y ph $.  $d y ps $.
      grpidinvlem3.2 $e |- ( ph <-> A. x e. X ( U G x ) = x ) $.
      grpidinvlem3.3 $e |- ( ps <-> A. x e. X E. z e. X ( z G x ) = U ) $.
      $( Lemma for ~ grpoidinv .  (Contributed by NM, 11-Oct-2006.)
         (New usage is discouraged.) $)
      grpoidinvlem3 $p |- ( ( ( ( G e. GrpOp /\ U e. X ) /\ ( ph /\ ps ) ) /\
                  A e. X ) -> E. y e. X ( ( y G A ) = U /\ ( A G y ) = U ) ) $=
        ( vw wcel wa cv co wceq wrex wral cgr oveq1 eqeq1d cbvrexvw bitri oveq2
        ralbii rexbidv rspccva sylanb adantll grpocl adantllr ad2antrl ad2antrr
        3expa biimpi eqeq12d rspcva syl2anc adantr pm3.22 an31s adantlll anim1i
        id adantlr grpoidinvlem2 3expb ad2ant2rl sylan2b anass an32s syldan imp
        wi grpoidinvlem1 sylan exp43 rexlimdv syl5 mpand exp32 com34 imp32 impl
        ex mpd eqtr3d ancld reximdva ) HUANZGINZOZABOZOZFINZOZDPZFHQZGRZDISZXAF
        WSHQZGRZOZDISWOWQXBWNBWQXBABWSCPZHQZGRZDISZCITZWQXBBEPZXFHQZGRZEISZCITZ
        XJLXNXICIXMXHEDIXKWSRXLXGGXKWSXFHUBUCUDUGUEXIXBCFIXFFRZXHXADIXPXGWTGXFF
        WSHUFUCUHUIUJUKUKWRXAXEDIWRWSINZOZXAXDXRXAXDXRXAOZGXCHQZXCGXRXTXCRZXAXR
        XCINZGXFHQZXFRZCITZYAWNWQXQYBWOWLWQXQYBWMWLWQXQYBFWSHIJULZUPUMUMWPYEWQX
        QAYEWNBAYEKUQUNUOYDYACXCIXFXCRZYCXTXFXCXFXCGHUFYGVFURUSUTVAXSXCXCHQXCRZ
        XTGRZXSWLXQWQOZOZGWSHQZWSRZXAOYHXRYKXAWNWQXQYKWOWLWQXQYKWMXQWQWLYKYJWLV
        BVCUMUMVAXRYMXAWOWQXQYMWNWOXQYMWQAXQYMBAYEXQYMKYDYMCWSIXFWSRZYCYLXFWSXF
        WSGHUFYNVFURUIUJVGVGVDVEFGHIWSJVHUTXRYHYIVPZXAWPWQXQYOWNABWQXQOZYOVPWNA
        YPBYOWNAYPBYOVPWNAYPOOZYBBYOWLYPYBWMAWLWQXQYBYFVIZVJYBBOMPZXCHQZGRZMISZ
        YQYOBYBYSXFHQZGRZMISZCITZUUBBXOUUFLXNUUECIXMUUDEMIXKYSRXLUUCGXKYSXFHUBU
        CUDUGUEUUEUUBCXCIYGUUDUUAMIYGUUCYTGXFXCYSHUFUCUHUSVKYQUUAYOMIYQYSINZUUA
        YHYIYQUUGOWLUUGYBOOZUUAYHOYIYQUUGUUHWLYPUUGUUHVPZWMAWLYPYBUUIYRWLYBOUUG
        UUHWLUUGYBUUHWLUUGOYBOUUHWLUUGYBVLUQVMWGVNVJVOXCGHIYSJVQVRVSVTWAWBWCWDW
        EWFVAWHWIWGWJWKWH $.
    $}

    $( Lemma for ~ grpoidinv .  (Contributed by NM, 14-Oct-2006.)
       (New usage is discouraged.) $)
    grpoidinvlem4 $p |- ( ( ( G e. GrpOp /\ A e. X ) /\ E. y e. X
             ( ( y G A ) = U /\ ( A G y ) = U ) ) -> ( A G U ) = ( U G A ) ) $=
      ( cgr wcel wa cv wceq simpll simplr simpr grpoass syl13anc oveq2 sylan9eq
      co oveq1 sylan9req anasss r19.29an ) DGHZBEHZIZAJZBDSZCKZBUGDSZCKZIBCDSZC
      BDSZKZAEUFUGEHZIZUIUKUNUPUIIUKULUJBDSZUMUPUIUQBUHDSZULUPUDUEUOUEUQURKUDUE
      UOLUDUEUOMZUFUONUSBUGBDEFOPUHCBDQRUJCBDTUAUBUC $.

    $( A group has a left and right identity element, and every member has a
       left and right inverse.  (Contributed by NM, 14-Oct-2006.)
       (New usage is discouraged.) $)
    grpoidinv $p |- ( G e. GrpOp -> E. u e. X A. x e. X ( ( ( u G x ) = x /\
         ( x G u ) = x ) /\ E. y e. X ( ( y G x ) = u /\ ( x G y ) = u ) ) ) $=
      ( vz vw wcel cv co wceq wrex wa wral simpl ralimi id adantll adantl oveq2
      cgr eqeq12d rspccva sylan anim1i adantrr adantr ad2antlr simpr jca32 biid
      grpoidinvlem3 sylancom grpoidinvlem4 eqtrd ralrimiva grpolidinv reximddv
      syl2anc jca31 ) DUBIZCJZGJZDKZVDLZHJVDDKVCLHEMZNZGEOZVCAJZDKZVJLZVJVCDKZV
      JLZNBJZVJDKVCLVJVODKVCLNBEMZNZAEOCEVBVCEIZVINZNZVQAEVTVJEIZNZVLVNVPVSWAVL
      VBVIWAVLVRVIVFGEOZWAVLVHVFGEVFVGPQZVFVLGVJEVDVJLZVEVKVDVJVDVJVCDUAWERUCUD
      UESSZWBVMVKVJWBVBWANVPVMVKLVTVBWAVBVSPUFVTWAVBVRNZWCVGGEOZNNVPWBWGWCWHVTW
      GWAVBVRWGVIWGRUGUHVSWCVBWAVIWCVRWDTUIVSWHVBWAVIWHVRVHVGGEVFVGUJQTUIUKWCWH
      GBHVJVCDEFWCULWHULUMUNZBVJVCDEFUOUTWFUPWIVAUQGHCDEFURUS $.

    $( The left identity element of a group is unique.  Lemma 2.2.1(a) of
       [Herstein] p. 55.  (Contributed by NM, 14-Oct-2006.)
       (New usage is discouraged.) $)
    grpoideu $p |- ( G e. GrpOp -> E! u e. X A. x e. X ( u G x ) = x ) $=
      ( vw vz vy wcel cv co wceq wral weq wa wrex oveq2 id eqeq12d eqeq1d sylib
      cgr wi wreu grpoidinv simpll ralimi cbvralvw ad2antlr simpr oveq1 anbi12d
      adantl rexbidv rspcva adantll sylan2 grpoidinvlem4 syldan adantllr adantr
      an32s ad2ant2rl ad2ant2lr 3eqtr3d ex mpand ralrimiva jca reximdva ralbidv
      mpd reu8 sylibr ) CUBIZBJZAJZCKZVQLZADMZFJZVQCKZVQLZADMZBFNZUCZFDMZOZBDPZ
      VTBDUDVOVPGJZCKZWJLZWJVPCKWJLZOZHJZWJCKZVPLZWJWOCKZVPLZOZHDPZOZGDMZBDPWIG
      HBCDEUEVOXCWHBDVOVPDIZOZXCWHXEXCOZVTWGXCVTXEXCWLGDMVTXBWLGDWLWMXAUFUGWLVS
      GADGANZWKVRWJVQWJVQVPCQXGRSUHUAZUMXFWFFDXFWADIZOZVTWDWEXCVTXEXIXHUIXJVTWD
      OZWEXJXKOWAVPCKZVPWACKZVPWAXJXLXMLZXKVOXCXIXNXDVOXIXCXNVOXIOZXCWOWACKZVPL
      ZWAWOCKZVPLZOZHDPZXNXCXOXAGDMZYAXBXAGDWNXAUJUGXIYBYAVOXAYAGWADGFNZWTXTHDY
      CWQXQWSXSYCWPXPVPWJWAWOCQTYCWRXRVPWJWAWOCUKTULUNUOUPUQHWAVPCDEURUSVBUTVAX
      EXIXKXLVPLZXCXEWDYDXIVTXDWDYDVOWCYDAVPDABNZWBXLVQVPVQVPWACQYERSUOUPVCUTXI
      VTXMWALZXFWDVSYFAWADAFNZVRXMVQWAVQWAVPCQYGRSUOVDVEVFVGVHVIVFVJVLVTWDBFDWE
      VSWCADWEVRWBVQVPWAVQCUKTVKVMVN $.
  $}

  $( A group's range in terms of its domain.  (Contributed by NM, 6-Apr-2008.)
     (New usage is discouraged.) $)
  grporndm $p |- ( G e. GrpOp -> ran G = dom dom G ) $=
    ( cgr wcel crn cxp wfo cdm wceq eqid grpofo fof fdmd dmeqd dmxpid eqtr2di
    syl ) ABCADZQEZQAFZQAGZGZHAQQIJSUARGQSTRSRQARQAKLMQNOP $.

  $( The empty set is not a group.  (Contributed by NM, 25-Apr-2007.)
     (New usage is discouraged.) $)
  0ngrp $p |- -. (/) e. GrpOp $=
    ( c0 cgr wcel wne neirr crn rn0 eqcomi grpon0 mto ) ABCAADAEAAAFAGHIJ $.

  ${
    $d g u x G $.  $d g u x X $.
    gidval.1 $e |- X = ran G $.
    $( The value of the identity element of a group.  (Contributed by Mario
       Carneiro, 15-Dec-2013.)  (New usage is discouraged.) $)
    gidval $p |- ( G e. V -> ( GId ` G ) =
             ( iota_ u e. X A. x e. X ( ( u G x ) = x /\ ( x G u ) = x ) ) ) $=
      ( vg wcel cvv cgi cfv cv co wceq wa wral crio crn oveq eqeq1d riotaeqbidv
      elex rneq eqtr4di anbi12d raleqbidv df-gid riotaex fvmpt syl ) CDHCIHCJKB
      LZALZCMZULNZULUKCMZULNZOZAEPZBEQZNCDUBGCUKULGLZMZULNZULUKUTMZULNZOZAUTRZP
      ZBVFQUSIJUTCNZVGURBVFEVHVFCREUTCUCFUDZVHVEUQAVFEVIVHVBUNVDUPVHVAUMULUKULU
      TCSTVHVCUOULULUKUTCSTUEUFUAABGUGURBEUHUIUJ $.
  $}

  ${
    $d x y A $.  $d u x y G $.  $d u x y U $.  $d u x y X $.
    grpoidval.1 $e |- X = ran G $.
    grpoidval.2 $e |- U = ( GId ` G ) $.
    $( Lemma for ~ grpoidcl and others.  (Contributed by NM, 5-Feb-2010.)
       (Proof shortened by Mario Carneiro, 15-Dec-2013.)
       (New usage is discouraged.) $)
    grpoidval $p |- ( G e. GrpOp -> U =
                     ( iota_ u e. X A. x e. X ( u G x ) = x ) ) $=
      ( vy cgr wcel cgi cv co wceq wral crio wa wrex simpl ralimi cfv gidval wi
      wreu w3a rgenw a1i grpoidinv reximi syl grpoideu 3jca reupick2 riotabidva
      wb sylan eqtr4d syl5eq ) DIJZCDKUAZBLZALZDMVBNZAEOZBEPZGUSUTVCVBVADMVBNZQ
      ZAEOZBEPVEABDIEFUBUSVDVHBEUSVHVDUCZBEOZVHBERZVDBEUDZUEVAEJVDVHUOUSVJVKVLV
      JUSVIBEVGVCAEVCVFSTUFUGUSVGHLZVBDMVANVBVMDMVANQHERZQZAEOZBERVKAHBDEFUHVPV
      HBEVOVGAEVGVNSTUIUJABDEFUKULVDVHBEUMUPUNUQUR $.

    $( The identity element of a group belongs to the group.  (Contributed by
       NM, 24-Oct-2006.)  (Revised by Mario Carneiro, 15-Dec-2013.)
       (New usage is discouraged.) $)
    grpoidcl $p |- ( G e. GrpOp -> U e. X ) $=
      ( vu vx cgr wcel cv co wceq wral crio grpoidval wreu grpoideu riotacl syl
      eqeltrd ) BHIZAFJGJZBKUBLGCMZFCNZCGFABCDEOUAUCFCPUDCIGFBCDQUCFCRST $.

    $( A group's properties using the explicit identity element.  (Contributed
       by NM, 5-Feb-2010.)  (Revised by Mario Carneiro, 15-Dec-2013.)
       (New usage is discouraged.) $)
    grpoidinv2 $p |- ( ( G e. GrpOp /\ A e. X ) -> ( ( ( U G A ) = A /\
         ( A G U ) = A ) /\ E. y e. X ( ( y G A ) = U /\ ( A G y ) = U ) ) ) $=
      ( vx vu wcel cv co wceq wa wrex wral oveq1 eqeq1d oveq2 anbi12d crab crio
      cgr grpoidval grpoideu riotacl2 syl eqeltrd wi w3a wb simpll ralimi rgenw
      wreu grpoidinv 3jca reupick2 sylan rabbidva eleqtrd eqeq2 rexbidv ralbidv
      a1i elrab sylib simprd id eqeq12d rspccva ) DUCJZCHKZDLZVMMZVMCDLZVMMZNZA
      KZVMDLZCMZVMVSDLZCMZNZAEOZNZHEPZBEJCBDLZBMZBCDLZBMZNZVSBDLZCMZBVSDLZCMZNZ
      AEOZNZVLCEJZWGVLCIKZVMDLZVMMZVMXADLZVMMZNZVTXAMZWBXAMZNZAEOZNZHEPZIEUAZJW
      TWGNVLCXCHEPZIEUAZXMVLCXNIEUBZXOHICDEFGUDVLXNIEUOZXPXOJHIDEFUEZXNIEUFUGUH
      VLXNXLIEVLXLXNUIZIEPZXLIEOZXQUJXAEJXNXLUKVLXTYAXQXTVLXSIEXKXCHEXCXEXJULUM
      UNVEHAIDEFUPXRUQXNXLIEURUSUTVAXLWGICEXACMZXKWFHEYBXFVRXJWEYBXCVOXEVQYBXBV
      NVMXACVMDQRYBXDVPVMXACVMDSRTYBXIWDAEYBXGWAXHWCXACVTVBXACWBVBTVCTVDVFVGVHW
      FWSHBEVMBMZVRWLWEWRYCVOWIVQWKYCVNWHVMBVMBCDSYCVIZVJYCVPWJVMBVMBCDQYDVJTYC
      WDWQAEYCWAWNWCWPYCVTWMCVMBVSDSRYCWBWOCVMBVSDQRTVCTVKUS $.

    $( The identity element of a group is a left identity.  (Contributed by NM,
       24-Oct-2006.)  (Revised by Mario Carneiro, 15-Dec-2013.)
       (New usage is discouraged.) $)
    grpolid $p |- ( ( G e. GrpOp /\ A e. X ) -> ( U G A ) = A ) $=
      ( vy cgr wcel wa co wceq cv wrex grpoidinv2 simplld ) CHIADIJBACKALABCKAL
      GMZACKBLAQCKBLJGDNGABCDEFOP $.

    $( The identity element of a group is a right identity.  (Contributed by
       NM, 24-Oct-2006.)  (Revised by Mario Carneiro, 15-Dec-2013.)
       (New usage is discouraged.) $)
    grporid $p |- ( ( G e. GrpOp /\ A e. X ) -> ( A G U ) = A ) $=
      ( vx cgr wcel wa co wceq cv wrex grpoidinv2 simplr syl ) CHIADIJBACKALZAB
      CKALZJGMZACKBLATCKBLJGDNZJSGABCDEFORSUAPQ $.
  $}

  ${
    $d y A $.  $d y B $.  $d y C $.  $d y G $.  $d y X $.
    grprcan.1 $e |- X = ran G $.
    $( Right cancellation law for groups.  (Contributed by NM, 26-Oct-2006.)
       (New usage is discouraged.) $)
    grporcan $p |- ( ( G e. GrpOp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                  ( ( A G C ) = ( B G C ) <-> A = B ) ) $=
      ( vy wcel co wceq wrex adantl oveq1 grpoass adantrr 3eqtr3d oveq2 grporid
      wa ad2antrl cgr wb cv cgi cfv wi eqid grpoidinv2 simpr ad2ant2rl ad2antll
      reximi 3anassrs adantlrl 3exp2 adantllr adantrrl ad2antrr ad2ant2r adantr
      syl imp42 exp45 rexlimdv mpd impbid1 exp43 3imp2 ) DUAHZAEHZBEHZCEHZACDIZ
      BCDIZJZABJZUBZVIVJVKVLVQVIVJSZVKVLSZSZVOVPVTCGUCZDIZDUDUEZJZGEKZVOVPUFZVI
      VLWEVJVKVIVLSWCCDICJCWCDICJSZWACDIWCJZWDSZGEKZSWEGCWCDEFWCUGZUHWJWEWGWIWD
      GEWHWDUIULLVAUJVTWDWFGEVTWAEHZWDVOVPVTWLWDVOSSZSZAWCDIZBWCDIZABWNAWBDIZBW
      BDIZWOWPVTWLVOWQWRJWDVTWLVOSSVMWADIZVNWADIZWQWRVOWSWTJVTWLVMVNWADMUKVTWLW
      SWQJZVOVRVLWLXAVKVIVJVLWLXAACWADEFNUMUNOVTWLWTWRJZVOVIVSWLXBVJVIVKVLWLXBV
      IVKVLWLXBBCWADEFNUOVBUPOPUQWMWQWOJZVTWDXCWLVOWBWCADQTLWMWRWPJZVTWDXDWLVOW
      BWCBDQTLPVRWOAJVSWMAWCDEFWKRURVTWPBJZWMVIVKXEVJVLBWCDEFWKRUSUTPVCVDVEABCD
      MVFVGVH $.
  $}

  ${
    $d y z A $.  $d y z G $.  $d y z U $.  $d y z X $.
    grpoinveu.1 $e |- X = ran G $.
    grpoinveu.2 $e |- U = ( GId ` G ) $.
    $( The left inverse element of a group is unique.  Lemma 2.2.1(b) of
       [Herstein] p. 55.  (Contributed by NM, 27-Oct-2006.)
       (New usage is discouraged.) $)
    grpoinveu $p |- ( ( G e. GrpOp /\ A e. X ) -> E! y e. X ( y G A ) = U ) $=
      ( vz cgr wcel wa cv co wceq wi wral wrex wreu grpoidinv2 simpl reximi syl
      adantl eqtr3 grporcan syl5ib 3exp2 com24 imp41 an32s expd ralrimdva ancld
      w3a reximdva mpd oveq1 eqeq1d reu8 sylibr ) DIJZBEJZKZALZBDMZCNZHLZBDMZCN
      ZVDVGNZOZHEPZKZAEQZVFAERVCVFAEQZVNVCCBDMBNBCDMBNKZVFBVDDMCNZKZAEQZKVOABCD
      EFGSVSVOVPVRVFAEVFVQTUAUCUBVCVFVMAEVCVDEJZKZVFVLWAVFVKHEWAVGEJZKVFVIVJVCW
      BVTVFVIKZVJOZVAVBWBVTWDVAVTWBVBWDVAVTWBVBWDWCVEVHNVAVTWBVBUNKVJVEVHCUDVDV
      GBDEFUEUFUGUHUIUJUKULUMUOUPVFVIAHEVJVEVHCVDVGBDUQURUSUT $.

    $( Two ways of saying that an element of a group is the identity element.
       (Contributed by Paul Chapman, 25-Feb-2008.)
       (New usage is discouraged.) $)
    grpoid $p |- ( ( G e. GrpOp /\ A e. X ) ->
                  ( A = U <-> ( A G A ) = A ) ) $=
      ( cgr wcel wa co wceq wb grpoidcl grporcan 3exp2 mpid pm2.43d imp grpolid
      wi eqeq2d bitr3d ) CGHZADHZIZAACJZBACJZKZABKZUFAKUCUDUHUILZUCUDUJUCUDBDHZ
      UDUJTBCDEFMUCUDUKUDUJABACDENOPQRUEUGAUFABCDEFSUAUB $.
  $}

  ${
    grprn.1 $e |- G e. GrpOp $.
    grprn.2 $e |- dom G = ( X X. X ) $.
    $( The range of a group operation.  Useful for satisfying group base set
       hypotheses of the form ` X = ran G ` .  (Contributed by NM, 5-Nov-2006.)
       (New usage is discouraged.) $)
    grporn $p |- X = ran G $=
      ( cxp wfn crn wceq wfun cdm cgr wcel wfo eqid grpofo fofun df-fn mpbir2an
      mp2b fofn wa fndmu xpid11 sylib mp2an ) ABBEZFZAAGZUHEZFZBUHHZUGAIZAJUFHA
      KLZUIUHAMZULCAUHUHNOZUIUHAPSDAUFQRUMUNUJCUOUIUHATSUGUJUAUFUIHUKUFUIAUBBUH
      UCUDUE $.
  $}

  ${
    $d x y A $.  $d g x y G $.  $d g x y X $.  $d g x U $.
    grpinvfval.1 $e |- X = ran G $.
    grpinvfval.2 $e |- U = ( GId ` G ) $.
    grpinvfval.3 $e |- N = ( inv ` G ) $.
    $( The inverse function of a group.  (Contributed by NM, 26-Oct-2006.)
       (Revised by Mario Carneiro, 15-Dec-2013.)
       (New usage is discouraged.) $)
    grpoinvfval $p |- ( G e. GrpOp -> N = ( x e. X |->
                     ( iota_ y e. X ( y G x ) = U ) ) ) $=
      ( vg cgr wcel cgn cfv cv co wceq crio cvv cgi cmpt crn rnexg eqeltrid syl
      mptexg rneq eqtr4di oveq fveq2 eqeq12d riotaeqbidv mpteq12dv fvmptg mpdan
      df-ginv syl5eq ) DKLZEDMNZAFBOZAOZDPZCQZBFRZUAZIURVESLZUSVEQURFSLVFURFDUB
      ZSGDKUCUDAFVDSUFUEJDAJOZUBZUTVAVHPZVHTNZQZBVIRZUAVEKSMVHDQZAVIVMFVDVNVIVG
      FVHDUGGUHZVNVLVCBVIFVOVNVJVBVKCUTVAVHDUIVNVKDTNCVHDTUJHUHUKULUMABJUPUNUOU
      Q $.

    $( The inverse of a group element.  (Contributed by NM, 26-Oct-2006.)
       (Revised by Mario Carneiro, 15-Dec-2013.)
       (New usage is discouraged.) $)
    grpoinvval $p |- ( ( G e. GrpOp /\ A e. X ) ->
                    ( N ` A ) = ( iota_ y e. X ( y G A ) = U ) ) $=
      ( vx cgr wcel cfv cv co wceq crio cmpt grpoinvfval fveq1d oveq2 riotabidv
      eqeq1d eqid riotaex fvmpt sylan9eq ) DKLZBFLBEMBJFANZJNZDOZCPZAFQZRZMUIBD
      OZCPZAFQZUHBEUNJACDEFGHISTJBUMUQFUNUJBPZULUPAFURUKUOCUJBUIDUAUCUBUNUDUPAF
      UEUFUG $.
  $}

  ${
    $d y A $.  $d y G $.  $d y X $.
    grpinvcl.1 $e |- X = ran G $.
    grpinvcl.2 $e |- N = ( inv ` G ) $.
    $( A group element's inverse is a group element.  (Contributed by NM,
       27-Oct-2006.)  (Revised by Mario Carneiro, 15-Dec-2013.)
       (New usage is discouraged.) $)
    grpoinvcl $p |- ( ( G e. GrpOp /\ A e. X ) -> ( N ` A ) e. X ) $=
      ( vy cgr wcel wa cfv cv co cgi wceq crio eqid grpoinvval wreu grpoinveu
      riotacl syl eqeltrd ) BHIADIJZACKGLABMBNKZOZGDPZDGAUEBCDEUEQZFRUDUFGDSUGD
      IGAUEBDEUHTUFGDUAUBUC $.
  $}

  ${
    $d y A $.  $d y G $.  $d y N $.  $d y U $.  $d y X $.
    grpinv.1 $e |- X = ran G $.
    grpinv.2 $e |- U = ( GId ` G ) $.
    grpinv.3 $e |- N = ( inv ` G ) $.
    $( The properties of a group element's inverse.  (Contributed by NM,
       27-Oct-2006.)  (Revised by Mario Carneiro, 15-Dec-2013.)
       (New usage is discouraged.) $)
    grpoinv $p |- ( ( G e. GrpOp /\ A e. X ) ->
                 ( ( ( N ` A ) G A ) = U /\ ( A G ( N ` A ) ) = U ) ) $=
      ( vy cgr wcel wa cfv co wceq cv crab crio simprd eqeq1d wreu riotacl2 syl
      grpoinvval grpoinveu eqeltrd wi wral wrex w3a simpl rgenw grpoidinv2 3jca
      wb a1i reupick2 sylan rabbidva eleqtrd oveq1 oveq2 anbi12d elrab sylib )
      CJKAEKLZADMZEKZVGACNZBOZAVGCNZBOZLZVFVGIPZACNZBOZAVNCNZBOZLZIEQZKVHVMLVFV
      GVPIEQZVTVFVGVPIERZWAIABCDEFGHUDVFVPIEUAZWBWAKIABCEFGUEZVPIEUBUCUFVFVPVSI
      EVFVSVPUGZIEUHZVSIEUIZWCUJVNEKVPVSUOVFWFWGWCWFVFWEIEVPVRUKULUPVFBACNAOABC
      NAOLWGIABCEFGUMSWDUNVPVSIEUQURUSUTVSVMIVGEVNVGOZVPVJVRVLWHVOVIBVNVGACVATW
      HVQVKBVNVGACVBTVCVDVES $.

    $( The left inverse of a group element.  (Contributed by NM, 27-Oct-2006.)
       (New usage is discouraged.) $)
    grpolinv $p |- ( ( G e. GrpOp /\ A e. X ) -> ( ( N ` A ) G A ) = U ) $=
      ( cgr wcel wa cfv co wceq grpoinv simpld ) CIJAEJKADLZACMBNAQCMBNABCDEFGH
      OP $.

    $( The right inverse of a group element.  (Contributed by NM, 27-Oct-2006.)
       (New usage is discouraged.) $)
    grporinv $p |- ( ( G e. GrpOp /\ A e. X ) -> ( A G ( N ` A ) ) = U ) $=
      ( cgr wcel wa cfv co wceq grpoinv simprd ) CIJAEJKADLZACMBNAQCMBNABCDEFGH
      OP $.

    $( The inverse of a group element expressed in terms of the identity
       element.  (Contributed by NM, 27-Oct-2006.)
       (New usage is discouraged.) $)
    grpoinvid1 $p |- ( ( G e. GrpOp /\ A e. X /\ B e. X ) ->
                    ( ( N ` A ) = B <-> ( A G B ) = U ) ) $=
      ( wcel w3a wceq co wa oveq2 adantl 3adant3 adantr eqtr3d syldan grpoinvcl
      cgr cfv grporinv grpolinv oveq1d adantrr simprl simprr 3jca grpoass 3impb
      grpolid 3adant2 grporid 3eqtr3rd impbida ) DUBJZAFJZBFJZKZAEUCZBLZABDMZCL
      ZVAVCNAVBDMZVDCVCVFVDLVAVBBADOPVAVFCLZVCURUSVGUTACDEFGHIUDQRSVAVENVBVDDMZ
      VBCDMZBVBVEVHVILVAVDCVBDOPVAVHBLVEVACBDMZVHBVAVBADMZBDMZVJVHURUSVLVJLUTUR
      USNVKCBDACDEFGHIUEUFQURUSUTVLVHLZURUSUTNZVBFJZUSUTKVMURVNNVOUSUTURUSVOUTA
      DEFGIUAZUGURUSUTUHURUSUTUIUJVBABDFGUKTULSURUTVJBLUSBCDFGHUMUNSRVAVIVBLZVE
      URUSVQUTURUSVOVQVPVBCDFGHUOTQRUPUQ $.

    $( The inverse of a group element expressed in terms of the identity
       element.  (Contributed by NM, 27-Oct-2006.)
       (New usage is discouraged.) $)
    grpoinvid2 $p |- ( ( G e. GrpOp /\ A e. X /\ B e. X ) ->
                    ( ( N ` A ) = B <-> ( B G A ) = U ) ) $=
      ( cgr wcel w3a wceq co wa oveq1 adantl 3adant3 adantr syldan cfv grpolinv
      eqtr3d grpoinvcl grpolid eqcomd simprr simprl adantrr 3jca 3impb grporinv
      grpoass oveq2d grporid 3adant2 3eqtrd 3eqtr2d impbida ) DJKZAFKZBFKZLZAEU
      AZBMZBADNZCMZVCVEOVDADNZVFCVEVHVFMVCVDBADPQVCVHCMZVEUTVAVIVBACDEFGHIUBRSU
      CVCVGOVDCVDDNZVFVDDNZBVCVDVJMVGVCVJVDUTVAVJVDMZVBUTVAVDFKZVLADEFGIUDZVDCD
      FGHUETRUFSVGVKVJMVCVFCVDDPQVCVKBMVGVCVKBAVDDNZDNZBCDNZBUTVAVBVKVPMZUTVAVB
      OZVBVAVMLVRUTVSOVBVAVMUTVAVBUGUTVAVBUHUTVAVMVBVNUIUJBAVDDFGUMTUKUTVAVPVQM
      VBUTVAOVOCBDACDEFGHIULUNRUTVBVQBMVABCDFGHUOUPUQSURUS $.
  $}

  ${
    grplcan.1 $e |- X = ran G $.
    $( Left cancellation law for groups.  (Contributed by NM, 27-Oct-2006.)
       (New usage is discouraged.) $)
    grpolcan $p |- ( ( G e. GrpOp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                  ( ( C G A ) = ( C G B ) <-> A = B ) ) $=
      ( wcel w3a wa co wceq cfv oveq2 eqid adantlr oveq1d adantrl simprr adantr
      3eqtr3d cgr cgn adantl cgi grpolinv grpoinvcl simprl 3jca grpoass anassrs
      wi syldan grpolid adantrr exp53 3imp2 impbid1 ) DUAGZAEGZBEGZCEGZHICADJZC
      BDJZKZABKZURUSUTVAVDVEUKURUSUTVAVDVEURUSIZUTVAIZIZVDICDUBLZLZVBDJZVJVCDJZ
      ABVDVKVLKVHVBVCVJDMUCVHVKAKZVDVFVAVMUTVFVAIZVJCDJZADJZDUDLZADJZVKAVNVOVQA
      DURVAVOVQKZUSCVQDVIEFVQNZVINZUEZOPURUSVAVPVKKZURUSVAIZVJEGZVAUSHWCURWDIWE
      VAUSURVAWEUSCDVIEFWAUFZQURUSVARURUSVAUGUHVJCADEFUIULUJVFVRAKVAAVQDEFVTUMS
      TQSVHVLBKZVDURVGWGUSURVGIZVOBDJZVQBDJZVLBWHVOVQBDURVAVSUTWBQPURVGWEVAUTHW
      IVLKWHWEVAUTURVAWEUTWFQURUTVARURUTVAUGUHVJCBDEFUIULURUTWJBKVABVQDEFVTUMUN
      TOSTUOUPABCDMUQ $.
  $}

  ${
    $d x y G $.  $d x y N $.  $d x y X $.
    grpasscan1.1 $e |- X = ran G $.
    grpasscan1.2 $e |- N = ( inv ` G ) $.
    $( Double inverse law for groups.  Lemma 2.2.1(c) of [Herstein] p. 55.
       (Contributed by NM, 27-Oct-2006.)  (New usage is discouraged.) $)
    grpo2inv $p |- ( ( G e. GrpOp /\ A e. X ) -> ( N ` ( N ` A ) ) = A ) $=
      ( cgr wcel wa cfv wceq cgi grpoinvcl eqid grporinv syldan grpolinv eqtr4d
      co w3a wb simpr 3jca grpolcan mpbid ) BGHZADHZIZACJZUICJZBSZUIABSZKZUJAKZ
      UHUKBLJZULUFUGUIDHZUKUOKABCDEFMZUIUOBCDEUONZFOPAUOBCDEURFQRUFUGUJDHZUGUPT
      UMUNUAUHUSUGUPUFUGUPUSUQUIBCDEFMPUFUGUBUQUCUJAUIBDEUDPUE $.

    $( Mapping of the inverse function of a group.  (Contributed by NM,
       29-Mar-2008.)  (Revised by Mario Carneiro, 15-Dec-2013.)
       (New usage is discouraged.) $)
    grpoinvf $p |- ( G e. GrpOp -> N : X -1-1-onto-> X ) $=
      ( vx vy cgr wcel wfn crn wceq cv cfv wral eqid grpoinvcl grpo2inv fveq2
      wa wi wf1o co cgi crio cmpt riotaex fnmpti grpoinvfval fneq1d mpbiri wrex
      cab fnrnfv syl eqcomd rspceeqv syl2anc ex simpr adantr eqeltrd rexlimdva2
      impbid abbi2dv eqtr4d wb eqeqan12d anandis syl5ib ralrimivva syl3anbrc
      dff1o6 ) AHIZBCJZBKZCLFMZBNZGMZBNZLZVQVSLZUAZGCOFCOCCBUBVNVOFCVSVQAUCAUDN
      ZLZGCUEZUFZCJFCWFWGWEGCUGWGPUHVNCBWGFGWDABCDWDPEUIUJUKZVNVPVSVRLZFCULZGUM
      ZCVNVOVPWKLWHFGCBUNUOVNWJGCVNVSCIZWJVNWLWJVNWLTZVTCIVSVTBNZLWJVSABCDEQWMW
      NVSVSABCDERZUPFVTCVRWNVSVQVTBSUQURUSVNWIWLFCVNVQCIZTZWITVSVRCWQWIUTWQVRCI
      WIVQABCDEQVAVBVCVDVEVFVNWCFGCCWAVRBNZWNLZVNWPWLTTWBVRVTBSVNWPWLWSWBVGWQWM
      WRVQWNVSVQABCDERWOVHVIVJVKFGCCBVMVL $.

    $( The inverse of the group operation reverses the arguments.  Lemma
       2.2.1(d) of [Herstein] p. 55.  (Contributed by NM, 27-Oct-2006.)
       (New usage is discouraged.) $)
    grpoinvop $p |- ( ( G e. GrpOp /\ A e. X /\ B e. X ) ->
                   ( N ` ( A G B ) ) = ( ( N ` B ) G ( N ` A ) ) ) $=
      ( cgr wcel co cfv wceq grpoinvcl 3adant2 3adant3 syl3anc grpoass syl13anc
      grpocl grporinv w3a simp1 simp2 eqid oveq1d grpolid syldan 3eqtr3d oveq2d
      cgi simp3 3eqtrd wb grpoinvid1 mpbird ) CHIZAEIZBEIZUAZABCJZDKBDKZADKZCJZ
      LZUTVCCJZCUJKZLZUSVEABVCCJZCJZAVBCJZVFUSUPUQURVCEIZVEVILUPUQURUBZUPUQURUC
      UPUQURUKZUSUPVAEIZVBEIZVKVLUPURVNUQBCDEFGMNZUPUQVOURACDEFGMZOZVAVBCEFSPZA
      BVCCEFQRUSVHVBACUSBVACJZVBCJZVFVBCJZVHVBUSVTVFVBCUPURVTVFLUQBVFCDEFVFUDZG
      TNUEUSUPURVNVOWAVHLVLVMVPVRBVAVBCEFQRUPUQWBVBLZURUPUQVOWDVQVBVFCEFWCUFUGO
      UHUIUPUQVJVFLURAVFCDEFWCGTOULUSUPUTEIVKVDVGUMVLABCEFSVSUTVCVFCDEFWCGUNPUO
      $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d g x y G $.  $d g x y N $.  $d g x y X $.
    grpdiv.1 $e |- X = ran G $.
    grpdiv.2 $e |- N = ( inv ` G ) $.
    grpdiv.3 $e |- D = ( /g ` G ) $.
    $( Group division (or subtraction) operation.  (Contributed by NM,
       15-Feb-2008.)  (Revised by Mario Carneiro, 15-Dec-2013.)
       (New usage is discouraged.) $)
    grpodivfval $p |- ( G e. GrpOp -> D = ( x e. X , y e. X |->
                       ( x G ( N ` y ) ) ) ) $=
      ( vg cgr wcel cgs cfv cv co cmpo cvv wceq cgn rnexg eqeltrid mpoexga rneq
      crn syl2anc eqtr4di eqidd fveq2 fveq1d oveq123d mpoeq123dv df-gdiv fvmptg
      id mpdan syl5eq ) DKLZCDMNZABFFAOZBOZENZDPZQZIURVDRLZUSVDSURFRLZVFVEURFDU
      EZRGDKUAUBZVHABFFVCRRUCUFJDABJOZUEZVJUTVAVITNZNZVIPZQVDKRMVIDSZABVJVJVMFF
      VCVNVJVGFVIDUDGUGZVOVNUTUTVLVBVIDVNUOVNUTUHVNVAVKEVNVKDTNEVIDTUIHUGUJUKUL
      ABJUMUNUPUQ $.

    $( Group division (or subtraction) operation value.  (Contributed by NM,
       15-Feb-2008.)  (Revised by Mario Carneiro, 15-Dec-2013.)
       (New usage is discouraged.) $)
    grpodivval $p |- ( ( G e. GrpOp /\ A e. X /\ B e. X ) ->
                   ( A D B ) = ( A G ( N ` B ) ) ) $=
      ( vx vy cgr wcel co cfv wceq wa cv cmpo grpodivfval oveqd oveq1 eqid ovex
      fveq2 oveq2d ovmpo sylan9eq 3impb ) DLMZAFMZBFMZABCNZABEOZDNZPUJUKULQUMAB
      JKFFJRZKRZEOZDNZSZNUOUJCUTABJKCDEFGHITUAJKABFFUSUOUTAURDNUPAURDUBUQBPURUN
      ADUQBEUEUFUTUCAUNDUDUGUHUI $.

    $( Group division by an inverse.  (Contributed by NM, 15-Feb-2008.)
       (New usage is discouraged.) $)
    grpodivinv $p |- ( ( G e. GrpOp /\ A e. X /\ B e. X ) ->
                   ( A D ( N ` B ) ) = ( A G B ) ) $=
      ( cgr wcel w3a cfv co wceq grpoinvcl 3adant2 grpodivval syld3an3 grpo2inv
      oveq2d eqtrd ) DJKZAFKZBFKZLZABEMZCNZAUGEMZDNZABDNUCUDUEUGFKZUHUJOUCUEUKU
      DBDEFGHPQAUGCDEFGHIRSUFUIBADUCUEUIBOUDBDEFGHTQUAUB $.

    $( Inverse of a group division.  (Contributed by NM, 24-Feb-2008.)
       (New usage is discouraged.) $)
    grpoinvdiv $p |- ( ( G e. GrpOp /\ A e. X /\ B e. X ) ->
                   ( N ` ( A D B ) ) = ( B D A ) ) $=
      ( cgr wcel w3a co cfv grpodivval fveq2d wceq grpoinvcl 3adant2 grpoinvop
      syld3an3 grpo2inv oveq1d 3com23 eqtr4d 3eqtrd ) DJKZAFKZBFKZLZABCMZENABEN
      ZDMZENZULENZAENZDMZBACMZUJUKUMEABCDEFGHIOPUGUHUIULFKZUNUQQUGUIUSUHBDEFGHR
      SAULDEFGHTUAUJUQBUPDMZURUJUOBUPDUGUIUOBQUHBDEFGHUBSUCUGUIUHURUTQBACDEFGHI
      OUDUEUF $.
  $}

  ${
    $d x y G $.  $d x y X $.
    grpdivf.1 $e |- X = ran G $.
    grpdivf.3 $e |- D = ( /g ` G ) $.
    $( Mapping for group division.  (Contributed by NM, 10-Apr-2008.)  (Revised
       by Mario Carneiro, 15-Dec-2013.)  (New usage is discouraged.) $)
    grpodivf $p |- ( G e. GrpOp -> D : ( X X. X ) --> X ) $=
      ( vx vy cgr wcel cxp wf cv cgn cfv co cmpo wral eqid grpoinvcl 3adant2
      grpocl syld3an3 3expib ralrimivv fmpo sylib grpodivfval feq1d mpbird ) BH
      IZCCJZCAKUKCFGCCFLZGLZBMNZNZBOZPZKZUJUPCIZGCQFCQURUJUSFGCCUJULCIZUMCIZUSU
      JUTVAUOCIZUSUJVAVBUTUMBUNCDUNRZSTULUOBCDUAUBUCUDFGCCUPCUQUQRUEUFUJUKCAUQF
      GABUNCDVCEUGUHUI $.

    $( Closure of group division (or subtraction) operation.  (Contributed by
       NM, 15-Feb-2008.)  (New usage is discouraged.) $)
    grpodivcl $p |- ( ( G e. GrpOp /\ A e. X /\ B e. X ) -> ( A D B ) e. X ) $=
      ( cgr wcel cxp wf co grpodivf fovrn syl3an1 ) DHIEEJECKAEIBEIABCLEICDEFGM
      ABEEECNO $.

    $( Double group division.  (Contributed by NM, 24-Feb-2008.)
       (New usage is discouraged.) $)
    grpodivdiv $p |- ( ( G e. GrpOp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
         ( A D ( B D C ) ) = ( A G ( C D B ) ) ) $=
      ( cgr wcel w3a wa co cgn cfv wceq simpl simpr1 grpodivcl 3adant3r1 oveq2d
      eqid grpodivval syl3anc grpoinvdiv eqtrd ) EIJZAFJZBFJZCFJZKZLZABCDMZDMZA
      UMENOZOZEMZACBDMZEMULUGUHUMFJZUNUQPUGUKQUGUHUIUJRUGUIUJUSUHBCDEFGHSTAUMDE
      UOFGUOUBZHUCUDULUPURAEUGUIUJUPURPUHBCDEUOFGUTHUETUAUF $.

    $( Associative-type law for multiplication and division.  (Contributed by
       NM, 15-Feb-2008.)  (New usage is discouraged.) $)
    grpomuldivass $p |- ( ( G e. GrpOp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
         ( ( A G B ) D C ) = ( A G ( B D C ) ) ) $=
      ( cgr wcel w3a wa co cgn cfv wceq simpr1 simpr2 eqid grpodivval grpoinvcl
      3ad2antr3 grpoass syldan grpocl 3adant3r3 simpr3 syl3anc 3adant3r1 oveq2d
      3jca simpl 3eqtr4d ) EIJZAFJZBFJZCFJZKZLZABEMZCENOZOZEMZABVBEMZEMZUTCDMZA
      BCDMZEMUNURUOUPVBFJZKVCVEPUSUOUPVHUNUOUPUQQUNUOUPUQRUNUOUQVHUPCEVAFGVASZU
      AUBUKABVBEFGUCUDUSUNUTFJZUQVFVCPUNURULUNUOUPVJUQABEFGUEUFUNUOUPUQUGUTCDEV
      AFGVIHTUHUSVGVDAEUNUPUQVGVDPUOBCDEVAFGVIHTUIUJUM $.

    ${
      grpdivid.3 $e |- U = ( GId ` G ) $.
      $( Division of a group member by itself.  (Contributed by NM,
         15-Feb-2008.)  (New usage is discouraged.) $)
      grpodivid $p |- ( ( G e. GrpOp /\ A e. X ) -> ( A D A ) = U ) $=
        ( cgr wcel wa co cgn cfv wceq eqid grpodivval 3anidm23 grporinv eqtrd )
        DIJZAEJZKAABLZAADMNZNDLZCUAUBUCUEOAABDUDEFUDPZGQRACDUDEFHUFST $.
    $}

    $( Cancellation law for group division.  ( ~ npcan analog.)  (Contributed
       by NM, 15-Feb-2008.)  (New usage is discouraged.) $)
    grponpcan $p |- ( ( G e. GrpOp /\ A e. X /\ B e. X ) ->
        ( ( A D B ) G B ) = A ) $=
      ( cgr wcel w3a co cgn cfv eqid grpodivval oveq1d wceq simp1 3adant2 eqtrd
      simp2 grpoinvcl simp3 grpoass syl13anc wa grpolinv oveq2d grporid 3adant3
      cgi ) DHIZAEIZBEIZJZABCKZBDKABDLMZMZDKZBDKZAUOUPUSBDABCDUQEFUQNZGOPUOUTAU
      RBDKZDKZAUOULUMUREIZUNUTVCQULUMUNRULUMUNUAULUNVDUMBDUQEFVAUBSULUMUNUCAURB
      DEFUDUEUOVCADUKMZDKZAULUNVCVFQUMULUNUFVBVEADBVEDUQEFVENZVAUGUHSULUMVFAQUN
      AVEDEFVGUIUJTTT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Abelian groups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c AbelOp $.

  $( Extend class notation with the class of all Abelian group operations. $)
  cablo $a class AbelOp $.

  ${
    $d g x y $.
    $( Define the class of all Abelian group operations.  (Contributed by NM,
       2-Nov-2006.)  (New usage is discouraged.) $)
    df-ablo $a |- AbelOp
     = { g e. GrpOp | A. x e. ran g A. y e. ran g ( x g y ) = ( y g x ) } $.
  $}

  ${
    $d g x y G $.  $d g x y X $.
    isabl.1 $e |- X = ran G $.
    $( The predicate "is an Abelian (commutative) group operation."
       (Contributed by NM, 2-Nov-2006.)  (New usage is discouraged.) $)
    isablo $p |- ( G e. AbelOp <-> ( G e. GrpOp /\
             A. x e. X A. y e. X ( x G y ) = ( y G x ) ) ) $=
      ( vg cv co wceq crn wral cgr cablo rneq eqtr4di raleq raleqbi1dv syl oveq
      wb eqeq12d 2ralbidv bitrd df-ablo elrab2 ) AGZBGZFGZHZUGUFUHHZIZBUHJZKZAU
      LKZUFUGCHZUGUFCHZIZBDKADKZFCLMUHCIZUNUKBDKZADKZURUSULDIUNVATUSULCJDUHCNEO
      UMUTAULDUKBULDPQRUSUKUQABDDUSUIUOUJUPUFUGUHCSUGUFUHCSUAUBUCABFUDUE $.
  $}

  ${
    $d x y G $.
    $( An Abelian group operation is a group operation.  (Contributed by NM,
       2-Nov-2006.)  (New usage is discouraged.) $)
    ablogrpo $p |- ( G e. AbelOp -> G e. GrpOp ) $=
      ( vx vy cablo wcel cgr cv co wceq crn wral eqid isablo simplbi ) ADEAFEBG
      ZCGZAHPOAHICAJZKBQKBCAQQLMN $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y G $.  $d x y X $.
    ablcom.1 $e |- X = ran G $.
    $( An Abelian group operation is commutative.  (Contributed by NM,
       2-Nov-2006.)  (New usage is discouraged.) $)
    ablocom $p |- ( ( G e. AbelOp /\ A e. X /\ B e. X ) ->
                 ( A G B ) = ( B G A ) ) $=
      ( vx vy cablo wcel co wceq cv wral cgr isablo simprbi oveq1 oveq2 eqeq12d
      wa rspc2v syl5com 3impib ) CHIZADIZBDIZABCJZBACJZKZUDFLZGLZCJZUKUJCJZKZGD
      MFDMZUEUFTUIUDCNIUOFGCDEOPUNUIAUKCJZUKACJZKFGABDDUJAKULUPUMUQUJAUKCQUJAUK
      CRSUKBKUPUGUQUHUKBACRUKBACQSUAUBUC $.

    $( Commutative/associative law for Abelian groups.  (Contributed by NM,
       26-Apr-2007.)  (New usage is discouraged.) $)
    ablo32 $p |- ( ( G e. AbelOp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                 ( ( A G B ) G C ) = ( ( A G C ) G B ) ) $=
      ( cablo wcel w3a wa co wceq ablocom 3adant3r1 oveq2d cgr ablogrpo grpoass
      sylan 3ancomb sylan2b 3eqtr4d ) DGHZAEHZBEHZCEHZIZJZABCDKZDKZACBDKZDKZABD
      KCDKZACDKBDKZUHUIUKADUCUEUFUIUKLUDBCDEFMNOUCDPHZUGUMUJLDQZABCDEFRSUCUOUGU
      NULLZUPUGUOUDUFUEIUQUDUEUFTACBDEFRUASUB $.

    $( Commutative/associative law for Abelian groups.  (Contributed by NM,
       26-Apr-2007.)  (New usage is discouraged.) $)
    ablo4 $p |- ( ( G e. AbelOp /\ ( A e. X /\ B e. X ) /\ ( C e. X /\
   D e. X ) ) -> ( ( A G B ) G ( C G D ) ) = ( ( A G C ) G ( B G D ) ) ) $=
      ( wcel wa wceq w3a simprlr simprrl 3jca syldan grpocl 3expb grpoass sylan
      co cablo simprll ablo32 oveq1d ablogrpo adantrr simprrr adantrlr adantrrr
      cgr 3eqtr3d 3impb ) EUAHZAFHZBFHZIZCFHZDFHZIZABETZCDETETZACETZBDETETZJUMU
      PUSIZIZUTCETZDETZVBBETZDETZVAVCVEVFVHDEUMVDUNUOUQKVFVHJVEUNUOUQUMUNUOUSUB
      UMUNUOUSLUMUPUQURMNABCEFGUCOUDUMEUJHZVDVGVAJZEUEZVJVDUTFHZUQURKVKVJVDIZVM
      UQURVJUPVMUSVJUNUOVMABEFGPQUFVJUPUQURMVJUPUQURUGZNUTCDEFGROSUMVJVDVIVCJZV
      LVJVDVBFHZUOURKVPVNVQUOURVJUPUQVQURVJUNUQVQUOVJUNUQVQACEFGPQUHUIVJUNUOUSL
      VONVBBDEFGROSUKUL $.
  $}

  ${
    $d x y G $.  $d x y X $.
    isabli.1 $e |- G e. GrpOp $.
    isabli.2 $e |- dom G = ( X X. X ) $.
    isabli.3 $e |- ( ( x e. X /\ y e. X ) -> ( x G y ) = ( y G x ) ) $.
    $( Properties that determine an Abelian group operation.  (Contributed by
       NM, 5-Nov-2006.)  (New usage is discouraged.) $)
    isabloi $p |- G e. AbelOp $=
      ( cablo wcel cgr cv co wceq wral rgen2 grporn isablo mpbir2an ) CHICJIAKZ
      BKZCLTSCLMZBDNADNEUAABDDGOABCDCDEFPQR $.
  $}

  ${
    abldiv.1 $e |- X = ran G $.
    abldiv.3 $e |- D = ( /g ` G ) $.
    $( Law for group multiplication and division.  (Contributed by NM,
       15-Feb-2008.)  (New usage is discouraged.) $)
    ablomuldiv $p |- ( ( G e. AbelOp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
     ( ( A G B ) D C ) = ( ( A D C ) G B ) ) $=
      ( cablo wcel w3a wa co wceq ablocom 3adant3r3 oveq1d 3ancoma cgr ablogrpo
      grpomuldivass sylan sylan2b simpr2 grpodivcl syl3an1 3adant3r2 jca syldan
      3expb 3eqtrd ) EIJZAFJZBFJZCFJZKZLZABEMZCDMBAEMZCDMZBACDMZEMZVABEMZUQURUS
      CDULUMUNURUSNUOABEFGOPQUPULUNUMUOKZUTVBNZUMUNUORULESJZVDVEETZBACDEFGHUAUB
      UCULUPUNVAFJZLVBVCNZUQUNVHULUMUNUOUDULUMUOVHUNULVFUMUOVHVGACDEFGHUEUFUGUH
      ULUNVHVIBVAEFGOUJUIUK $.

    $( Law for double group division.  (Contributed by NM, 29-Feb-2008.)
       (New usage is discouraged.) $)
    ablodivdiv $p |- ( ( G e. AbelOp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
    ( A D ( B D C ) ) = ( ( A D B ) G C ) ) $=
      ( cablo wcel w3a wa co cgr wceq ablogrpo grpodivdiv 3ancomb grpomuldivass
      sylan ablomuldiv eqtr3d sylan2b eqtrd ) EIJZAFJZBFJZCFJZKZLABCDMDMZACBDME
      MZABDMCEMZUEENJZUIUJUKOEPZABCDEFGHQTUIUEUFUHUGKZUKULOUFUGUHRUEUOLACEMBDMZ
      UKULUEUMUOUPUKOUNACBDEFGHSTACBDEFGHUAUBUCUD $.

    $( Law for double group division.  (Contributed by NM, 29-Feb-2008.)
       (New usage is discouraged.) $)
    ablodivdiv4 $p |- ( ( G e. AbelOp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
    ( ( A D B ) D C ) = ( A D ( B G C ) ) ) $=
      ( cablo wcel w3a wa co cgn cfv cgr wceq ablogrpo simpl grpodivcl syl3anc
      3adant3r3 simpr3 eqid grpodivval sylan simpr1 simpr2 simp3 grpoinvcl 3jca
      syl2an ablodivdiv syldan grpodivinv syl3an1 3adant3r1 oveq2d 3eqtr2d ) EI
      JZAFJZBFJZCFJZKZLZABDMZCDMZVFCENOZOZEMZABVIDMZDMZABCEMZDMUTEPJZVDVGVJQZER
      ZVNVDLVNVFFJZVCVOVNVDSVNVAVBVQVCABDEFGHTUBVNVAVBVCUCVFCDEVHFGVHUDZHUEUAUF
      UTVDVAVBVIFJZKVLVJQVEVAVBVSUTVAVBVCUGUTVAVBVCUHUTVNVCVSVDVPVAVBVCUICEVHFG
      VRUJULUKABVIDEFGHUMUNVEVKVMADUTVBVCVKVMQZVAUTVNVBVCVTVPBCDEVHFGVRHUOUPUQU
      RUS $.

    $( Swap the second and third terms in a double division.  (Contributed by
       NM, 29-Feb-2008.)  (New usage is discouraged.) $)
    ablodiv32 $p |- ( ( G e. AbelOp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
   ( ( A D B ) D C ) = ( ( A D C ) D B ) ) $=
      ( cablo wcel w3a wa co wceq ablocom 3adant3r1 ablodivdiv4 3ancomb sylan2b
      oveq2d 3eqtr4d ) EIJZAFJZBFJZCFJZKZLZABCEMZDMACBEMZDMZABDMCDMACDMBDMZUGUH
      UIADUBUDUEUHUINUCBCEFGOPTABCDEFGHQUFUBUCUEUDKUKUJNUCUDUERACBDEFGHQSUA $.

    $( Cancellation law for group division.  ( ~ nncan analog.)  (Contributed
       by NM, 7-Mar-2008.)  (New usage is discouraged.) $)
    ablonncan $p |- ( ( G e. AbelOp /\ A e. X /\ B e. X ) ->
             ( A D ( A D B ) ) = B ) $=
      ( cablo wcel w3a co cgi cfv wceq wa id 3anidm12 ablodivdiv sylan2 sylan
      3impb cgr ablogrpo eqid grpodivid 3adant3 oveq1d grpolid 3adant2 3eqtrd )
      DHIZAEIZBEIZJZAABCKCKZAACKZBDKZDLMZBDKZBUKULUMUOUQNZULUMOUKULULUMJZUTULUM
      VAVAPQAABCDEFGRSUAUNUPURBDUKULUPURNZUMUKDUBIZULVBDUCZACURDEFGURUDZUETUFUG
      UKUMUSBNZULUKVCUMVFVDBURDEFVEUHTUIUJ $.

    $( Cancellation law for group division.  ( ~ nnncan1 analog.)  (Contributed
       by NM, 7-Mar-2008.)  (New usage is discouraged.) $)
    ablonnncan1 $p |- ( ( G e. AbelOp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
         ( ( A D B ) D ( A D C ) ) = ( C D B ) ) $=
      ( cablo wcel w3a wa wceq simpr1 simpr2 cgr ablogrpo grpodivcl 3adant3r2
      co syl3an1 3jca ablodiv32 syldan ablonncan oveq1d eqtrd ) EIJZAFJZBFJZCFJ
      ZKZLZABDTACDTZDTZAUNDTZBDTZCBDTUHULUIUJUNFJZKUOUQMUMUIUJURUHUIUJUKNUHUIUJ
      UKOUHUIUKURUJUHEPJUIUKUREQACDEFGHRUASUBABUNDEFGHUCUDUMUPCBDUHUIUKUPCMUJAC
      DEFGHUESUFUG $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Complex vector spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CVecOLD $.

  $( Extend class notation with the class of all complex vector spaces. $)
  cvc $a class CVecOLD $.

  ${
    $d g s x y z $.
    $( Define the class of all complex vector spaces.  (Contributed by NM,
       3-Nov-2006.)  (New usage is discouraged.) $)
    df-vc $a |- CVecOLD = { <. g , s >. | ( g e. AbelOp /\
     s : ( CC X. ran g ) --> ran g /\ A. x e. ran g ( ( 1 s x ) = x /\
       A. y e. CC ( A. z e. ran g ( y s ( x g z ) ) = ( ( y s x ) g ( y s z ) )
         /\ A. z e. CC ( ( ( y + z ) s x ) = ( ( y s x ) g ( z s x ) ) /\
           ( ( y x. z ) s x ) = ( y s ( z s x ) ) ) ) ) ) } $.

    $( The class of all complex vector spaces is a relation.  (Contributed by
       NM, 17-Mar-2007.)  (New usage is discouraged.) $)
    vcrel $p |- Rel CVecOLD $=
      ( vg vs vx vy vz cv cablo wcel cc crn cxp wf c1 co wceq wral caddc wa w3a
      cmul cvc df-vc relopabiv ) AFZGHIUDJZKUEBFZLMCFZUFNUGODFZUGEFZUDNUFNUHUGU
      FNZUHUIUFNUDNOEUEPUHUIQNUGUFNUJUIUGUFNZUDNOUHUITNUGUFNUHUKUFNOREIPRDIPRCU
      EPSABUACDEABUBUC $.
  $}

  ${
    $d g s x y z G $.  $d g s x y z S $.  $d g s W $.  $d g s x y z X $.
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    vciOLD.1 $e |- G = ( 1st ` W ) $.
    vciOLD.2 $e |- S = ( 2nd ` W ) $.
    vciOLD.3 $e |- X = ran G $.
    $( Obsolete version of ~ cvsi .  The properties of a complex vector space,
       which is an Abelian group (i.e. the vectors, with the operation of
       vector addition) accompanied by a scalar multiplication operation on the
       field of complex numbers.  The variable ` W ` was chosen because ` _V `
       is already used for the universal class.  (Contributed by NM,
       3-Nov-2006.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    vciOLD $p |- ( W e. CVecOLD ->
              ( G e. AbelOp /\
         S : ( CC X. X ) --> X /\ A. x e. X ( ( 1 S x ) = x /\
       A. y e. CC ( A. z e. X ( y S ( x G z ) ) = ( ( y S x ) G ( y S z ) )
         /\ A. z e. CC ( ( ( y + z ) S x ) = ( ( y S x ) G ( z S x ) ) /\
           ( ( y x. z ) S x ) = ( y S ( z S x ) ) ) ) ) ) ) $=
      ( vg vs cc cv co wceq wral wa oveq ralbidv cablo wcel cxp wf c1 caddc w3a
      cmul crn copab cvc c1st cfv wb eqeq2i eleq1 rneq eqtr4di xpeq2 feq2d feq3
      bitrd syl oveq2d eqeq12d raleqbidv eqeq2d anbi1d anbi12d anbi2d 3anbi123d
      sylbir c2nd feq1 eqeq1d oveq12d eqtrd 3anbi23d elopabi df-vc eleq2s ) EUA
      UBZMGUCZGDUDZUEANZDOZWEPZBNZWECNZEOZDOZWHWEDOZWHWIDOZEOZPZCGQZWHWIUFOZWED
      OZWLWIWEDOZEOZPZWHWIUHOZWEDOZWHWSDOZPZRZCMQZRZBMQZRZAGQZUGZFKNZUAUBZMXMUI
      ZUCZXOLNZUDZUEWEXQOZWEPZWHWEWIXMOZXQOZWHWEXQOZWHWIXQOZXMOZPZCXOQZWQWEXQOZ
      YCWIWEXQOZXMOZPZXBWEXQOZWHYIXQOZPZRZCMQZRZBMQZRZAXOQZUGZKLUJUKUUAWBWCGXQU
      DZXTWHWJXQOZYCYDEOZPZCGQZYHYCYIEOZPZYNRZCMQZRZBMQZRZAGQZUGZXLKLFXMFULUMZP
      XMEPZUUAUUOUNEUUPXMHUOUUQXNWBXRUUBYTUUNXMEUAUPUUQXOGPZXRUUBUNUUQXOEUIGXME
      UQJURZUURXRWCXOXQUDUUBUURXPWCXOXQXOGMUSUTXOGWCXQVAVBVCUUQYSUUMAXOGUUSUUQY
      RUULXTUUQYQUUKBMUUQYGUUFYPUUJUUQYFUUECXOGUUSUUQYBUUCYEUUDUUQYAWJWHXQWEWIX
      MESVDYCYDXMESVEVFUUQYOUUICMUUQYKUUHYNUUQYJUUGYHYCYIXMESVGVHTVITVJVFVKVLXQ
      FVMUMZPXQDPZUUOXLUNDUUTXQIUOUVAUUBWDUUNXKWBWCGXQDVNUVAUUMXJAGUVAXTWGUULXI
      UVAXSWFWEUEWEXQDSVOUVAUUKXHBMUVAUUFWPUUJXGUVAUUEWOCGUVAUUCWKUUDWNWHWJXQDS
      UVAYCWLYDWMEWHWEXQDSZWHWIXQDSVPVETUVAUUIXFCMUVAUUHXAYNXEUVAYHWRUUGWTWQWEX
      QDSUVAYCWLYIWSEUVBWIWEXQDSZVPVEUVAYLXCYMXDXBWEXQDSUVAYMWHWSXQOXDUVAYIWSWH
      XQUVCVDWHWSXQDSVQVEVITVITVITVRVLVSABCKLVTWA $.

    $( Functionality of th scalar product of a complex vector space.
       (Contributed by NM, 3-Nov-2006.)  (New usage is discouraged.) $)
    vcsm $p |- ( W e. CVecOLD -> S : ( CC X. X ) --> X ) $=
      ( vx vy vz cvc wcel cablo cc cxp cv co wceq wral wa wf cmul vciOLD simp2d
      c1 caddc ) CKLBMLNDODAUAUEHPZAQUGRIPZUGJPZBQAQUHUGAQZUHUIAQBQRJDSUHUIUFQU
      GAQUJUIUGAQZBQRUHUIUBQUGAQUHUKAQRTJNSTINSTHDSHIJABCDEFGUCUD $.

    $( Closure of the scalar product of a complex vector space.  (Contributed
       by NM, 3-Nov-2006.)  (New usage is discouraged.) $)
    vccl $p |- ( ( W e. CVecOLD /\ A e. CC /\ B e. X ) -> ( A S B ) e. X ) $=
      ( cvc wcel cc cxp wf co vcsm fovrn syl3an1 ) EJKLFMFCNALKBFKABCOFKCDEFGHI
      PABFLFCQR $.

    $( Identity element for the scalar product of a complex vector space.
       (Contributed by NM, 3-Nov-2006.)  Obsolete theorem, use ~ clmvs1
       together with ~ cvsclm instead.  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    vcidOLD $p |- ( ( W e. CVecOLD /\ A e. X ) -> ( 1 S A ) = A ) $=
      ( vx vy vz cvc wcel c1 cv co wceq wral cc wa cablo cxp wf cmul w3a vciOLD
      caddc simpl ralimi 3ad2ant3 syl oveq2 id eqeq12d rspccva sylan ) DLMZNIOZ
      BPZURQZIERZAEMNABPZAQZUQCUAMZSEUBEBUCZUTJOZURKOZCPBPVFURBPZVFVGBPCPQKERVF
      VGUGPURBPVHVGURBPZCPQVFVGUDPURBPVFVIBPQTKSRTJSRZTZIERZUEVAIJKBCDEFGHUFVLV
      DVAVEVKUTIEUTVJUHUIUJUKUTVCIAEURAQZUSVBURAURANBULVMUMUNUOUP $.

    $( Distributive law for the scalar product of a complex vector space.
       (Contributed by NM, 3-Nov-2006.)  (New usage is discouraged.) $)
    vcdi $p |- ( ( W e. CVecOLD /\ ( A e. CC /\ B e. X /\ C e. X ) ) ->
       ( A S ( B G C ) ) = ( ( A S B ) G ( A S C ) ) ) $=
      ( vy vx vz cc wcel w3a co wceq wral oveq1 cvc wi cv cablo cxp wf c1 caddc
      cmul vciOLD simpl ralimi adantl 3ad2ant3 syl oveq2d oveq2 eqeq12d oveq12d
      wa oveq1d rspc3v syl5 3com12 impcom ) ANOZBGOZCGOZPFUAOZABCEQZDQZABDQZACD
      QZEQZRZVGVFVHVIVOUBVIKUCZLUCZMUCZEQZDQZVPVQDQZVPVRDQZEQZRZMGSZKNSZLGSZVGV
      FVHPVOVIEUDOZNGUEGDUFZUGVQDQVQRZWEVPVRUHQVQDQWAVRVQDQZEQRVPVRUIQVQDQVPWKD
      QRUTMNSZUTZKNSZUTZLGSZPWGLKMDEFGHIJUJWPWHWGWIWOWFLGWNWFWJWMWEKNWEWLUKULUM
      ULUNUOWDVOVPBVREQZDQZVPBDQZWBEQZRAWQDQZVLAVRDQZEQZRLKMBACGNGVQBRZVTWRWCWT
      XDVSWQVPDVQBVRETUPXDWAWSWBEVQBVPDUQVAURVPARZWRXAWTXCVPAWQDTXEWSVLWBXBEVPA
      BDTVPAVRDTUSURVRCRZXAVKXCVNXFWQVJADVRCBEUQUPXFXBVMVLEVRCADUQUPURVBVCVDVE
      $.

    $( Distributive law for the scalar product of a complex vector space.
       (Contributed by NM, 3-Nov-2006.)  (New usage is discouraged.) $)
    vcdir $p |- ( ( W e. CVecOLD /\ ( A e. CC /\ B e. CC /\ C e. X ) ) ->
      ( ( A + B ) S C ) = ( ( A S C ) G ( B S C ) ) ) $=
      ( vy vz vx cc wcel caddc co wceq wral oveq2 w3a cvc wi cv cablo cxp wf c1
      cmul vciOLD simpl ralimi adantl 3ad2ant3 syl oveq12d eqeq12d oveq1 oveq1d
      wa oveq2d rspc3v syl5 3coml impcom ) ANOZBNOZCGOZUAFUBOZABPQZCDQZACDQZBCD
      QZEQZRZVHVFVGVIVOUCVIKUDZLUDZPQZMUDZDQZVPVSDQZVQVSDQZEQZRZLNSZKNSZMGSZVHV
      FVGUAVOVIEUEOZNGUFGDUGZUHVSDQVSRZVPVSVQEQDQWAVPVQDQEQRLGSZWDVPVQUIQVSDQVP
      WBDQRZUTZLNSZUTZKNSZUTZMGSZUAWGMKLDEFGHIJUJWRWHWGWIWQWFMGWPWFWJWOWEKNWNWE
      WKWMWDLNWDWLUKULUMULUMULUNUOWDVOVRCDQZVPCDQZVQCDQZEQZRAVQPQZCDQZVLXAEQZRM
      KLCABGNNVSCRZVTWSWCXBVSCVRDTXFWAWTWBXAEVSCVPDTVSCVQDTUPUQVPARZWSXDXBXEXGV
      RXCCDVPAVQPURUSXGWTVLXAEVPACDURUSUQVQBRZXDVKXEVNXHXCVJCDVQBAPTUSXHXAVMVLE
      VQBCDURVAUQVBVCVDVE $.

    $( Associative law for the scalar product of a complex vector space.
       (Contributed by NM, 3-Nov-2006.)  (New usage is discouraged.) $)
    vcass $p |- ( ( W e. CVecOLD /\ ( A e. CC /\ B e. CC /\ C e. X ) ) ->
      ( ( A x. B ) S C ) = ( A S ( B S C ) ) ) $=
      ( vy vz vx cc wcel w3a cmul co wceq wral cvc wi cv cablo cxp wf c1 vciOLD
      caddc simpr ralimi adantl 3ad2ant3 syl oveq2 oveq2d eqeq12d oveq1d rspc3v
      wa oveq1 syl5 3coml impcom ) ANOZBNOZCGOZPFUAOZABQRZCDRZABCDRZDRZSZVGVEVF
      VHVMUBVHKUCZLUCZQRZMUCZDRZVNVOVQDRZDRZSZLNTZKNTZMGTZVGVEVFPVMVHEUDOZNGUEG
      DUFZUGVQDRVQSZVNVQVOERDRVNVQDRZVNVODRERSLGTZVNVOUIRVQDRWHVSERSZWAUTZLNTZU
      TZKNTZUTZMGTZPWDMKLDEFGHIJUHWPWEWDWFWOWCMGWNWCWGWMWBKNWLWBWIWKWALNWJWAUJU
      KULUKULUKUMUNWAVMVPCDRZVNVOCDRZDRZSAVOQRZCDRZAWRDRZSMKLCABGNNVQCSZVRWQVTW
      SVQCVPDUOXCVSWRVNDVQCVODUOUPUQVNASZWQXAWSXBXDVPWTCDVNAVOQVAURVNAWRDVAUQVO
      BSZXAVJXBVLXEWTVICDVOBAQUOURXEWRVKADVOBCDVAUPUQUSVBVCVD $.

    $( A vector plus itself is two times the vector.  (Contributed by NM,
       1-Feb-2007.)  Obsolete theorem, use ~ clmvs2 together with ~ cvsclm
       instead.  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    vc2OLD $p |- ( ( W e. CVecOLD /\ A e. X ) -> ( A G A ) = ( 2 S A ) ) $=
      ( cvc wcel wa c1 co c2 vcidOLD oveq12d caddc df-2 oveq1i ax-1cn cc mpanr1
      wceq vcdir mp3anr1 eqtr2id eqtr3d ) DIJZAEJZKZLABMZUKCMZAACMNABMZUJUKAUKA
      CABCDEFGHOZUNPUJUMLLQMZABMZULNUOABRSUHLUAJZUIUPULUCZTUHUQUQUIURTLLABCDEFG
      HUDUEUBUFUG $.
  $}

  ${
    $d x y z G $.  $d x y z W $.
    vcabl.1 $e |- G = ( 1st ` W ) $.
    $( Vector addition is an Abelian group operation.  (Contributed by NM,
       3-Nov-2006.)  (New usage is discouraged.) $)
    vcablo $p |- ( W e. CVecOLD -> G e. AbelOp ) $=
      ( vx vy vz cvc wcel cablo cc crn cxp c2nd cfv cv co wceq wral wa eqid wf
      c1 caddc cmul vciOLD simp1d ) BGHAIHJAKZLUGBMNZUAUBDOZUHPUIQEOZUIFOZAPUHP
      UJUIUHPZUJUKUHPAPQFUGRUJUKUCPUIUHPULUKUIUHPZAPQUJUKUDPUIUHPUJUMUHPQSFJRSE
      JRSDUGRDEFUHABUGCUHTUGTUEUF $.

    $( Vector addition is a group operation.  (Contributed by NM, 4-Nov-2006.)
       (New usage is discouraged.) $)
    vcgrp $p |- ( W e. CVecOLD -> G e. GrpOp ) $=
      ( cvc wcel cablo cgr vcablo ablogrpo syl ) BDEAFEAGEABCHAIJ $.
  $}

  ${
    vclcan.1 $e |- G = ( 1st ` W ) $.
    vclcan.2 $e |- X = ran G $.
    $( Left cancellation law for vector addition.  (Contributed by NM,
       4-Nov-2006.)  (New usage is discouraged.) $)
    vclcan $p |- ( ( W e. CVecOLD /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                  ( ( C G A ) = ( C G B ) <-> A = B ) ) $=
      ( cvc wcel cgr w3a co wceq wb vcgrp grpolcan sylan ) EIJDKJAFJBFJCFJLCADM
      CBDMNABNODEGPABCDFHQR $.
  $}

  ${
    vczcl.1 $e |- G = ( 1st ` W ) $.
    vczcl.2 $e |- X = ran G $.
    vczcl.3 $e |- Z = ( GId ` G ) $.
    $( The zero vector is a vector.  (Contributed by NM, 4-Nov-2006.)
       (New usage is discouraged.) $)
    vczcl $p |- ( W e. CVecOLD -> Z e. X ) $=
      ( cvc wcel cgr vcgrp grpoidcl syl ) BHIAJIDCIABEKDACFGLM $.

    $( The zero vector is a right identity element.  (Contributed by NM,
       4-Nov-2006.)  (New usage is discouraged.) $)
    vc0rid $p |- ( ( W e. CVecOLD /\ A e. X ) -> ( A G Z ) = A ) $=
      ( cvc wcel cgr co wceq vcgrp grporid sylan ) CIJBKJADJAEBLAMBCFNAEBDGHOP
      $.
  $}

  ${
    vc0.1 $e |- G = ( 1st ` W ) $.
    vc0.2 $e |- S = ( 2nd ` W ) $.
    vc0.3 $e |- X = ran G $.
    vc0.4 $e |- Z = ( GId ` G ) $.
    $( Zero times a vector is the zero vector.  Equation 1a of [Kreyszig]
       p. 51.  (Contributed by NM, 4-Nov-2006.)  (New usage is discouraged.) $)
    vc0 $p |- ( ( W e. CVecOLD /\ A e. X ) -> ( 0 S A ) = Z ) $=
      ( cvc wcel wa cc0 co wceq c1 vc0rid cc 0cn oveq1i mp3anr1 vcidOLD 3eqtr3a
      caddc 1p0e1 ax-1cn vcdir mpanr1 oveq1d 3eqtr2rd w3a wb vccl mp3an2 adantr
      vczcl simpr 3jca vclcan syldan mpbid ) DKLZAELZMZANABOZCOZAFCOZPZVFFPZVEV
      HAQABOZVFCOZVGACDEFGIJRVEQNUEOZABOZVKVLAVMQABUFUAVCNSLZVDVNVLPZTVCQSLVOVD
      VPUGQNABCDEGHIUHUBUIABCDEGHIUCZUDVEVKAVFCVQUJUKVCVDVFELZFELZVDULVIVJUMVEV
      RVSVDVCVOVDVRTNABCDEGHIUNUOVCVSVDCDEFGIJUQUPVCVDURUSVFFACDEGIUTVAVB $.

    $( Anything times the zero vector is the zero vector.  Equation 1b of
       [Kreyszig] p. 51.  (Contributed by NM, 24-Nov-2006.)
       (New usage is discouraged.) $)
    vcz $p |- ( ( W e. CVecOLD /\ A e. CC ) -> ( A S Z ) = Z ) $=
      ( cvc wcel cc wa cc0 cmul co wceq vczcl anim2i ancoms vcass mp3anr2 mul01
      0cn syldan oveq1d vc0 mpdan sylan9eqr oveq2d adantr 3eqtr3rd ) DKLZAMLZNA
      OPQZFBQZAOFBQZBQZFAFBQZUNUOUOFELZNZUQUSRZUOUNVBUNVAUOCDEFGIJSZTUAUNUOOMLV
      AVCUEAOFBCDEGHIUBUCUFUOUNUQURFUOUPOFBAUDUGUNVAURFRVDFBCDEFGHIJUHUIZUJUNUS
      UTRUOUNURFABVEUKULUM $.
  $}

  ${
    vcm.1 $e |- G = ( 1st ` W ) $.
    vcm.2 $e |- S = ( 2nd ` W ) $.
    vcm.3 $e |- X = ran G $.
    vcm.4 $e |- M = ( inv ` G ) $.
    $( Minus 1 times a vector is the underlying group's inverse element.
       Equation 2 of [Kreyszig] p. 51.  (Contributed by NM, 25-Nov-2006.)
       (New usage is discouraged.) $)
    vcm $p |- ( ( W e. CVecOLD /\ A e. X ) -> ( -u 1 S A ) = ( M ` A ) ) $=
      ( wcel c1 co cfv wceq cc neg1cn syl2anc cc0 eqtr3d cvc cneg cgi cgr vcgrp
      wa adantr vccl mp3an2 eqid grporid simpr grpoinvcl sylan grpoass syl13anc
      vcidOLD oveq2d caddc ax-1cn 1pneg1e0 addcomli oveq1i vcdir mp3anr1 mpanr1
      vc0 3eqtr3a oveq1d grporinv grpolid ) EUAKZAFKZUFZLUBZABMZCUCNZCMZVPADNZV
      NCUDKZVPFKZVRVPOVLVTVMCEGUEZUGZVLVOPKZVMWAQVOABCEFGHIUHUIZVPVQCFIVQUJZUKR
      VNVQVSCMZVRVSVNVPAVSCMZCMZWGVRVNVPACMZVSCMZWIWGVNVTWAVMVSFKZWKWIOWCWEVLVM
      ULVLVTVMWLWBACDFIJUMUNZVPAVSCFIUOUPVNWJVQVSCVNVPLABMZCMZWJVQVNWNAVPCABCEF
      GHIUQURVNVOLUSMZABMZSABMWOVQWPSABLVOSUTQVAVBVCVLLPKZVMWQWOOZUTVLWDWRVMWSQ
      VOLABCEFGHIVDVEVFABCEFVQGHIWFVGVHTVITVNWHVQVPCVLVTVMWHVQOWBAVQCDFIWFJVJUN
      URTVNVTWLWGVSOWCWMVSVQCFIWFVKRTT $.
  $}

  ${
    $d g s x y z G $.  $d g s x y z S $.  $d g s x z X $.
    isvclem.1 $e |- X = ran G $.
    $( Lemma for ~ isvcOLD .  (Contributed by NM, 31-May-2008.)
       (New usage is discouraged.) $)
    isvclem $p |- ( ( G e. _V /\ S e. _V ) -> ( <. G , S >. e. CVecOLD
     <-> ( G e. AbelOp /\ S : ( CC X. X ) --> X /\ A. x e. X ( ( 1 S x ) = x /\
       A. y e. CC ( A. z e. X ( y S ( x G z ) ) = ( ( y S x ) G ( y S z ) )
         /\ A. z e. CC ( ( ( y + z ) S x ) = ( ( y S x ) G ( z S x ) ) /\
           ( ( y x. z ) S x ) = ( y S ( z S x ) ) ) ) ) ) ) ) $=
      ( vg vs wcel cv cc wf co wceq wral wa cvv oveq ralbidv cop cvc crn cxp c1
      cablo caddc cmul w3a copab df-vc eleq2i eleq1 wb rneq eqtr4di xpeq2 feq2d
      bitrd syl oveq2d eqeq12d raleqbidv eqeq2d anbi1d anbi12d anbi2d 3anbi123d
      feq3 feq1 eqeq1d oveq12d eqtrd 3anbi23d opelopabg syl5bb ) EDUAZUBJVQHKZU
      FJZLVRUCZUDZVTIKZMZUEAKZWBNZWDOZBKZWDCKZVRNZWBNZWGWDWBNZWGWHWBNZVRNZOZCVT
      PZWGWHUGNZWDWBNZWKWHWDWBNZVRNZOZWGWHUHNZWDWBNZWGWRWBNZOZQZCLPZQZBLPZQZAVT
      PZUIZHIUJZJERJDRJQEUFJZLFUDZFDMZUEWDDNZWDOZWGWDWHENZDNZWGWDDNZWGWHDNZENZO
      ZCFPZWPWDDNZXTWHWDDNZENZOZXAWDDNZWGYFDNZOZQZCLPZQZBLPZQZAFPZUIZUBXLVQABCH
      IUKULXKXMXNFWBMZWFWGXRWBNZWKWLENZOZCFPZWQWKWRENZOZXDQZCLPZQZBLPZQZAFPZUIY
      RHIEDRRVREOZVSXMWCYSXJUUKVREUFUMUULVTFOZWCYSUNUULVTEUCFVREUOGUPZUUMWCXNVT
      WBMYSUUMWAXNVTWBVTFLUQURVTFXNWBVIUSUTUULXIUUJAVTFUUNUULXHUUIWFUULXGUUHBLU
      ULWOUUCXFUUGUULWNUUBCVTFUUNUULWJYTWMUUAUULWIXRWGWBWDWHVRESVAWKWLVRESVBVCU
      ULXEUUFCLUULWTUUEXDUULWSUUDWQWKWRVRESVDVETVFTVGVCVHWBDOZYSXOUUKYQXMXNFWBD
      VJUUOUUJYPAFUUOWFXQUUIYOUUOWEXPWDUEWDWBDSVKUUOUUHYNBLUUOUUCYDUUGYMUUOUUBY
      CCFUUOYTXSUUAYBWGXRWBDSUUOWKXTWLYAEWGWDWBDSZWGWHWBDSVLVBTUUOUUFYLCLUUOUUE
      YHXDYKUUOWQYEUUDYGWPWDWBDSUUOWKXTWRYFEUUPWHWDWBDSZVLVBUUOXBYIXCYJXAWDWBDS
      UUOXCWGWRDNYJWGWRWBDSUUOWRYFWGDUUQVAVMVBVFTVFTVFTVNVOVP $.
  $}

  $( The components of a complex vector space are sets.  (Contributed by NM,
     31-May-2008.)  (New usage is discouraged.) $)
  vcex $p |- ( <. G , S >. e. CVecOLD -> ( G e. _V /\ S e. _V ) ) $=
    ( cop cvc wcel wbr cvv wa df-br vcrel brrelex12i sylbir ) BACDEBADFBGEAGEHB
    ADIBADJKL $.

  ${
    $d x y z G $.  $d x y z S $.  $d x z X $.
    isvcOLD.1 $e |- X = ran G $.
    $( The predicate "is a complex vector space."  (Contributed by NM,
       31-May-2008.)  Obsolete version of ~ iscvsp .
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    isvcOLD $p |- ( <. G , S >. e. CVecOLD <-> ( G e. AbelOp /\
         S : ( CC X. X ) --> X /\ A. x e. X ( ( 1 S x ) = x /\
       A. y e. CC ( A. z e. X ( y S ( x G z ) ) = ( ( y S x ) G ( y S z ) )
         /\ A. z e. CC ( ( ( y + z ) S x ) = ( ( y S x ) G ( z S x ) ) /\
           ( ( y x. z ) S x ) = ( y S ( z S x ) ) ) ) ) ) ) $=
      ( cop cvc wcel cvv wa cablo cc cxp cv co wceq wral cgr wf caddc cmul vcex
      c1 w3a elex adantr cnex ablogrpo crn rnexg eqeltrid syl xpexg sylancr fex
      sylan2 ancoms jca 3adant3 isvclem pm5.21nii ) EDHIJEKJZDKJZLZEMJZNFOZFDUA
      ZUEAPZDQVJRBPZVJCPZEQDQVKVJDQZVKVLDQEQRCFSVKVLUBQVJDQVMVLVJDQZEQRVKVLUCQV
      JDQVKVNDQRLCNSLBNSLAFSZUFDEUDVGVIVFVOVGVILVDVEVGVDVIEMUGUHVIVGVEVGVIVHKJZ
      VEVGNKJFKJZVPUIVGETJZVQEUJVRFEUKKGETULUMUNNFKKUOUPVHFKDUQURUSUTVAABCDEFGV
      BVC $.
  $}

  ${
    $d x y z G $.  $d x y z S $.  $d x y z X $.
    isvciOLD.1 $e |- G e. AbelOp $.
    isvciOLD.2 $e |- dom G = ( X X. X ) $.
    isvciOLD.3 $e |- S : ( CC X. X ) --> X $.
    isvciOLD.4 $e |- ( x e. X -> ( 1 S x ) = x ) $.
    isvciOLD.5 $e |- ( ( y e. CC /\ x e. X /\ z e. X ) ->
                  ( y S ( x G z ) ) = ( ( y S x ) G ( y S z ) ) ) $.
    isvciOLD.6 $e |- ( ( y e. CC /\ z e. CC /\ x e. X ) ->
                  ( ( y + z ) S x ) = ( ( y S x ) G ( z S x ) ) ) $.
    isvciOLD.7 $e |- ( ( y e. CC /\ z e. CC /\ x e. X ) ->
                  ( ( y x. z ) S x ) = ( y S ( z S x ) ) ) $.
    isvciOLD.8 $e |- W = <. G , S >. $.
    $( Properties that determine a complex vector space.  (Contributed by NM,
       5-Nov-2006.)  Obsolete version of ~ iscvsi .
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    isvciOLD $p |- W e. CVecOLD $=
      ( wcel cc co wceq wral cop cvc cablo cxp wf c1 cv caddc cmul 3com12 3expa
      wa ralrimiva w3a jca 3comr rgen cgr ablogrpo ax-mp grporn isvcOLD eqeltri
      mpbir3an ) FEDUAZUBOVEUBPEUCPZQGUDGDUEUFAUGZDRVGSZBUGZVGCUGZERDRVIVGDRZVI
      VJDRERSZCGTZVIVJUHRVGDRVKVJVGDRZERSZVIVJUIRVGDRVIVNDRSZULZCQTZULZBQTZULZA
      GTHJWAAGVGGPZVHVTKWBVSBQWBVIQPZULZVMVRWDVLCGWBWCVJGPZVLWCWBWEVLLUJUKUMWDV
      QCQWBWCVJQPZVQWCWFWBVQWCWFWBUNVOVPMNUOUPUKUMUOUMUOUQABCDEGEGVFEURPHEUSUTI
      VAVBVDVC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Examples of complex vector spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( Obsolete version of ~ cnaddabl .  Complex number addition is an Abelian
       group operation.  (Contributed by NM, 5-Nov-2006.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    cnaddabloOLD $p |- + e. AbelOp $=
      ( vx vy vz caddc cc cc0 cv cneg cnex ax-addf addass 0cn addid2 negcl wcel
      co wceq addcom mpdan negid eqtr3d isgrpoi cxp fdmi isabloi ) ABDEABCFDAGZ
      HZEIJUFBGZCGKLUFMUFNZUFEOZUFUGDPZUGUFDPZFUJUGEOUKULQUIUFUGRSUFTUAUBEEUCED
      JUDUFUHRUE $.

    $( Obsolete version of ~ cnaddid .  The group identity element of complex
       number addition is zero.  (Contributed by Steve Rodriguez, 3-Dec-2006.)
       (Revised by Mario Carneiro, 21-Dec-2013.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    cnidOLD $p |- 0 = ( GId ` + ) $=
      ( vy vx caddc cgi cfv cv co wceq cc wral crio cc0 wcel cablo cnaddabloOLD
      cgr ablogrpo ax-mp cxp ax-addf fdmi grporn eqid grpoidval addid2 rgen 0cn
      wreu wb grpoideu oveq1 eqeq1d ralbidv riota2 mp2an mpbi eqtr2i ) CDEZAFZB
      FZCGZUTHZBIJZAIKZLCPMZURVDHCNMVEOCQRZBAURCICIVFIISICTUAUBZURUCUDRLUTCGZUT
      HZBIJZVDLHZVIBIUTUEUFLIMVCAIUHZVJVKUIUGVEVLVFBACIVGUJRVCVJAILUSLHZVBVIBIV
      MVAVHUTUSLUTCUKULUMUNUOUPUQ $.

    $( Obsolete version of ~ cncvs .  The set of complex numbers is a complex
       vector space.  The vector operation is ` + ` , and the scalar product is
       ` x. ` .  (Contributed by NM, 5-Nov-2006.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    cncvcOLD $p |- <. + , x. >. e. CVecOLD $=
      ( vx vy vz cmul caddc cop cc cnaddabloOLD cxp ax-addf fdmi ax-mulf mulid2
      cv adddi adddir mulass eqid isvciOLD ) ABCDEEDFZGHGGIGEJKLANZMBNZUACNZOUB
      UCUAPUBUCUAQTRS $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Normed complex vector spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c NrmCVec $.

  $c +v $.
  $c BaseSet $.
  $c .sOLD $.
  $c 0vec $.
  $c -v $.
  $c normCV $.

  $c IndMet $.

  $( Extend class notation with the class of all normed complex vector
     spaces. $)
  cnv $a class NrmCVec $.

  $( Extend class notation with vector addition in a normed complex vector
     space.  In the literature, the subscript "v" is omitted, but we need it to
     avoid ambiguity with complex number addition ` + ` ~ caddc . $)
  cpv $a class +v $.

  $( Extend class notation with the base set of a normed complex vector space.
     (Note that ` BaseSet ` is capitalized because, once it is fixed for a
     particular vector space ` U ` , it is not a function, unlike e.g.,
     ` normCV ` .  This is our typical convention.)
     (New usage is discouraged.) $)
  cba $a class BaseSet $.

  $( Extend class notation with scalar multiplication in a normed complex
     vector space.  In the literature scalar multiplication is usually
     indicated by juxtaposition, but we need an explicit symbol to prevent
     ambiguity. $)
  cns $a class .sOLD $.

  $( Extend class notation with zero vector in a normed complex vector
     space. $)
  cn0v $a class 0vec $.

  $( Extend class notation with vector subtraction in a normed complex vector
     space. $)
  cnsb $a class -v $.

  $( Extend class notation with the norm function in a normed complex vector
     space.  In the literature, the norm of ` A ` is usually written "|| ` A `
     ||", but we use function notation to take advantage of our existing
     theorems about functions. $)
  cnmcv $a class normCV $.

  $( Extend class notation with the class of the induced metrics on normed
     complex vector spaces. $)
  cims $a class IndMet $.

  ${
    $d g s n u w x y $.  $d y N $.
    $( Define the class of all normed complex vector spaces.  (Contributed by
       NM, 11-Nov-2006.)  (New usage is discouraged.) $)
    df-nv $a |- NrmCVec = { <. <. g , s >. , n >. |
      ( <. g , s >. e. CVecOLD /\ n : ran g --> RR /\ A. x e. ran g
        ( ( ( n ` x ) = 0 -> x = ( GId ` g ) ) /\
          A. y e. CC ( n ` ( y s x ) ) = ( ( abs ` y ) x. ( n ` x ) ) /\
          A. y e. ran g ( n ` ( x g y ) ) <_ ( ( n ` x ) + ( n ` y ) ) ) ) } $.

    $( Structure of the class of all normed complex vectors spaces.
       (Contributed by NM, 28-Nov-2006.)  (Revised by Mario Carneiro,
       1-May-2015.)  (New usage is discouraged.) $)
    nvss $p |- NrmCVec C_ ( CVecOLD X. _V ) $=
      ( vw vg vs vn vx vy cv cop wceq cvc wcel cfv co wral w3a wa wex copab cvv
      cnv crn cr wf cc0 cgi wi cabs cmul cc caddc cle wbr cxp biimpar 3ad2antr1
      eleq1 exlimivv jctir ssopab2i coprab df-nv dfoprab2 eqtri df-xp 3sstr4i
      vex ) AGZBGZCGZHZIZVJJKZVHUAZUBDGZUCZEGZVNLZUDIVPVHUELIUFFGZVPVIMVNLVRUGL
      VQUHMIFUINVPVRVHMVNLVQVRVNLUJMUKULFVMNOEVMNZOZPZCQBQZADRZVGJKZVNSKZPZADRT
      JSUMWBWFADWBWDWEWAWDBCVKVOVLWDVSVKWDVLVGVJJUPUNUOUQDVFURUSTVTBCDUTWCEFBDC
      VAVTBCDAVBVCADJSVDVE $.

    $( A normed complex vector space is a vector space.  (Contributed by NM,
       5-Jun-2008.)  (Revised by Mario Carneiro, 1-May-2015.)
       (New usage is discouraged.) $)
    nvvcop $p |- ( <. W , N >. e. NrmCVec -> W e. CVecOLD ) $=
      ( cop cnv wcel cvc cvv cxp nvss sseli opelxp1 syl ) BACZDEMFGHZEBFEDNMIJB
      AFGKL $.

    $( Define vector addition on a normed complex vector space.  (Contributed
       by NM, 23-Apr-2007.)  (New usage is discouraged.) $)
    df-va $a |- +v = ( 1st o. 1st ) $.

    $( Define the base set of a normed complex vector space.  (Contributed by
       NM, 23-Apr-2007.)  (New usage is discouraged.) $)
    df-ba $a |- BaseSet = ( x e. _V |-> ran ( +v ` x ) ) $.

    $( Define scalar multiplication on a normed complex vector space.
       (Contributed by NM, 24-Apr-2007.)  (New usage is discouraged.) $)
    df-sm $a |- .sOLD = ( 2nd o. 1st ) $.

    $( Define the zero vector in a normed complex vector space.  (Contributed
       by NM, 24-Apr-2007.)  (New usage is discouraged.) $)
    df-0v $a |- 0vec = ( GId o. +v ) $.

    $( Define vector subtraction on a normed complex vector space.
       (Contributed by NM, 15-Feb-2008.)  (New usage is discouraged.) $)
    df-vs $a |- -v = ( /g o. +v ) $.

    $( Define the norm function in a normed complex vector space.  (Contributed
       by NM, 25-Apr-2007.)  (New usage is discouraged.) $)
    df-nmcv $a |- normCV = 2nd $.

    $( Define the induced metric on a normed complex vector space.
       (Contributed by NM, 11-Sep-2007.)  (New usage is discouraged.) $)
    df-ims $a |- IndMet = ( u e. NrmCVec |->
                            ( ( normCV ` u ) o. ( -v ` u ) ) ) $.
  $}

  $( The class of all normed complex vectors spaces is a relation.
     (Contributed by NM, 14-Nov-2006.)  (New usage is discouraged.) $)
  nvrel $p |- Rel NrmCVec $=
    ( cnv cvc cvv cxp wss wrel nvss relxp relss mp2 ) ABCDZEKFAFGBCHAKIJ $.

  ${
    vafval.2 $e |- G = ( +v ` U ) $.
    $( Value of the function for the vector addition (group) operation on a
       normed complex vector space.  (Contributed by NM, 23-Apr-2007.)
       (New usage is discouraged.) $)
    vafval $p |- G = ( 1st ` ( 1st ` U ) ) $=
      ( cpv cfv c1st cvv wcel wceq df-va fveq1i wf wfo fo1st fof ax-mp fvco3 c0
      ccom fvprc mpan syl5eq wn fveq2d 1st0 eqtr2di eqtrd pm2.61i eqtri ) BADEZ
      AFEZFEZCAGHZUJULIUMUJAFFSZEZULADUNJKGGFLZUMUOULIGGFMUPNGGFOPGGAFFQUAUBUMU
      CZUJRULADTUQULRFERUQUKRFAFTUDUEUFUGUHUI $.
  $}

  ${
    $d u U $.
    bafval.1 $e |- X = ( BaseSet ` U ) $.
    bafval.2 $e |- G = ( +v ` U ) $.
    $( Value of the function for the base set of a normed complex vector space.
       (Contributed by NM, 23-Apr-2007.)  (Revised by Mario Carneiro,
       16-Nov-2013.)  (New usage is discouraged.) $)
    bafval $p |- X = ran G $=
      ( vu cba cfv cpv crn cvv wcel wceq cv fveq2 rneqd df-ba fvex c0 fvprc rn0
      rnex fvmpt wn eqcomi 3eqtr4a pm2.61i rneqi 3eqtr4i ) AGHZAIHZJZCBJAKLZUJU
      LMFAFNZIHZJULKGUNAMUOUKUNAIOPFQUKAIRUBUCUMUDZSSJZUJULUQSUAUEAGTUPUKSAITPU
      FUGDBUKEUHUI $.
  $}

  ${
    smfval.4 $e |- S = ( .sOLD ` U ) $.
    $( Value of the function for the scalar multiplication operation on a
       normed complex vector space.  (Contributed by NM, 24-Apr-2007.)
       (New usage is discouraged.) $)
    smfval $p |- S = ( 2nd ` ( 1st ` U ) ) $=
      ( cns cfv c1st c2nd cvv wcel wceq ccom df-sm fveq1i wf wfo fo1st ax-mp c0
      fof fvprc fvco3 mpan syl5eq wn fveq2d 2nd0 eqtr2di eqtrd pm2.61i eqtri )
      ABDEZBFEZGEZCBHIZUKUMJUNUKBGFKZEZUMBDUOLMHHFNZUNUPUMJHHFOUQPHHFSQHHBGFUAU
      BUCUNUDZUKRUMBDTURUMRGERURULRGBFTUEUFUGUHUIUJ $.
  $}

  ${
    0vfval.2 $e |- G = ( +v ` U ) $.
    0vfval.5 $e |- Z = ( 0vec ` U ) $.
    $( Value of the function for the zero vector on a normed complex vector
       space.  (Contributed by NM, 24-Apr-2007.)  (Revised by Mario Carneiro,
       21-Dec-2013.)  (New usage is discouraged.) $)
    0vfval $p |- ( U e. V -> Z = ( GId ` G ) ) $=
      ( wcel cvv cgi cfv wceq elex cpv ccom wfn c1st crn wss wfo cn0v fo1st ssv
      fofn ax-mp fnco mp3an df-va fneq1i mpbir fvco2 df-0v fveq1i eqtri 3eqtr4g
      mpan fveq2i syl ) ACGAHGZDBIJZKACLURAIMNZJZAMJZIJZDUSMHOZURVAVCKVDPPNZHOZ
      PHOZVGPQZHRVFHHPSVGUAHHPUCUDZVIVHUBHHPPUEUFHMVEUGUHUIHIMAUJUODATJVAFATUTU
      KULUMBVBIEUPUNUQ $.
  $}

  ${
    nmfval.6 $e |- N = ( normCV ` U ) $.
    $( Value of the norm function in a normed complex vector space.
       (Contributed by NM, 25-Apr-2007.)  (New usage is discouraged.) $)
    nmcvfval $p |- N = ( 2nd ` U ) $=
      ( cnmcv cfv c2nd df-nmcv fveq1i eqtri ) BADEAFECADFGHI $.
  $}

  ${
    nvop2.1 $e |- W = ( 1st ` U ) $.
    nvop2.6 $e |- N = ( normCV ` U ) $.
    $( A normed complex vector space is an ordered pair of a vector space and a
       norm operation.  (Contributed by NM, 28-Nov-2006.)
       (New usage is discouraged.) $)
    nvop2 $p |- ( U e. NrmCVec -> U = <. W , N >. ) $=
      ( cnv wcel c1st cfv c2nd cop wrel wceq nvrel 1st2nd mpan nmcvfval opeq12i
      eqtr4di ) AFGZAAHIZAJIZKZCBKFLTAUCMNAFOPCUABUBDABEQRS $.
  $}

  ${
    nvvop.1 $e |- W = ( 1st ` U ) $.
    nvvop.2 $e |- G = ( +v ` U ) $.
    nvvop.4 $e |- S = ( .sOLD ` U ) $.
    $( The vector space component of a normed complex vector space is an
       ordered pair of the underlying group and a scalar product.  (Contributed
       by NM, 28-Nov-2006.)  (New usage is discouraged.) $)
    nvvop $p |- ( U e. NrmCVec -> W = <. G , S >. ) $=
      ( cnv wcel c1st cfv c2nd cop cvc wrel wceq vcrel cvv fveq2i eqtr4i eleq1d
      cnmcv cxp nvss eqid nvop2 ibi sselid opelxp1 1st2nd sylancr vafval smfval
      syl opeq12i eqtr4di ) BHIZDDJKZDLKZMZCAMUQNODNIZDUTPQUQDBUBKZMZNRUCZIVAUQ
      HVDVCUDUQVCHIUQBVCHBVBDEVBUEUFUAUGUHDVBNRUIUNDNUJUKCURAUSCBJKZJKURBCFULDV
      EJESTAVELKUSABGUMDVELESTUOUP $.
  $}

  ${
    $d g n s x y G $.  $d g n s x y N $.  $d g n s x y S $.  $d g n s x y X $.
    $d g n s Z $.
    isnvlem.1 $e |- X = ran G $.
    isnvlem.2 $e |- Z = ( GId ` G ) $.
    $( Lemma for ~ isnv .  (Contributed by NM, 11-Nov-2006.)
       (New usage is discouraged.) $)
    isnvlem $p |- ( ( G e. _V /\ S e. _V /\ N e. _V ) ->
                 ( <. <. G , S >. , N >. e. NrmCVec <-> ( <. G , S >. e.
        CVecOLD
        /\ N : X --> RR /\ A. x e. X ( ( ( N ` x ) = 0 -> x = Z )
           /\ A. y e. CC ( N ` ( y S x ) ) = ( ( abs ` y ) x. ( N ` x ) ) /\
           A. y e. X ( N ` ( x G y ) ) <_ ( ( N ` x ) + ( N ` y ) ) ) ) ) ) $=
      ( wcel cv cvc cr cfv wceq co cc wral w3a cvv vg vs vn cop cnv crn cc0 cgi
      wf wi cabs cmul caddc cle wbr coprab df-nv eleq2i opeq1 eleq1d rneq feq2d
      fveq2 eqeq2d imbi2d oveq fveq2d breq1d raleqbidv 3anbi13d 3anbi123d opeq2
      eqtr4di fveqeq2d ralbidv 3anbi2d feq1 fveq1 eqeq1d imbi1d eqeq12d oveq12d
      oveq2d breq12d 3anbi23d eloprabg syl5bb ) DCUDZEUDZUEJWIUAKZUBKZUDZLJZWJU
      FZMUCKZUIZAKZWONZUGOZWQWJUHNZOZUJZBKZWQWKPZWONXCUKNZWRULPZOZBQRZWQXCWJPZW
      ONZWRXCWONZUMPZUNUOZBWNRZSZAWNRZSZUAUBUCUPZJDTJCTJETJSWHLJZFMEUIZWQENZUGO
      ZWQGOZUJZXCWQCPZENZXEYAULPZOZBQRZWQXCDPZENZYAXCENZUMPZUNUOZBFRZSZAFRZSZUE
      XRWIABUAUCUBUQURXQDWKUDZLJZFMWOUIZWSYCUJZXHYJWONZXLUNUOZBFRZSZAFRZSXSUUAU
      UBYEWONZXFOZBQRZUUESZAFRZSYRUAUBUCDCETTTWJDOZWMYTWPUUAXPUUGUUMWLYSLWJDWKU
      SUTUUMWNFMWOUUMWNDUFFWJDVAHVMZVBUUMXOUUFAWNFUUNUUMXBUUBXNUUEXHUUMXAYCWSUU
      MWTGWQUUMWTDUHNGWJDUHVCIVMVDVEUUMXMUUDBWNFUUNUUMXJUUCXLUNUUMXIYJWOWQXCWJD
      VFVGVHVIVJVIVKWKCOZYTXSUUGUULUUAUUOYSWHLWKCDVLUTUUOUUFUUKAFUUOXHUUJUUBUUE
      UUOXGUUIBQUUOXDYEXFWOXCWQWKCVFVNVOVPVOVJWOEOZUUAXTUULYQXSFMWOEVQUUPUUKYPA
      FUUPUUBYDUUJYIUUEYOUUPWSYBYCUUPWRYAUGWQWOEVRZVSVTUUPUUIYHBQUUPUUHYFXFYGYE
      WOEVRUUPWRYAXEULUUQWCWAVOUUPUUDYNBFUUPUUCYKXLYMUNYJWOEVRUUPWRYAXKYLUMUUQX
      CWOEVRWBWDVOVKVOWEWFWG $.
  $}

  $( The components of a normed complex vector space are sets.  (Contributed by
     NM, 5-Jun-2008.)  (Revised by Mario Carneiro, 1-May-2015.)
     (New usage is discouraged.) $)
  nvex $p |- ( <. <. G , S >. , N >. e. NrmCVec
          -> ( G e. _V /\ S e. _V /\ N e. _V ) ) $=
    ( cop cnv wcel cvv wa w3a cvc nvvcop vcex syl cxp nvss sseli opelxp2 df-3an
    sylanbrc ) BADZCDZEFZBGFZAGFZHZCGFZUCUDUFIUBTJFUECTKABLMUBUAJGNZFUFEUGUAOPT
    CJGQMUCUDUFRS $.

  ${
    $d x y G $.  $d x y N $.  $d x y S $.  $d x y X $.
    isnv.1 $e |- X = ran G $.
    isnv.2 $e |- Z = ( GId ` G ) $.
    $( The predicate "is a normed complex vector space."  (Contributed by NM,
       5-Jun-2008.)  (New usage is discouraged.) $)
    isnv $p |- ( <. <. G , S >. , N >. e. NrmCVec <-> ( <. G , S >. e. CVecOLD
        /\ N : X --> RR /\ A. x e. X ( ( ( N ` x ) = 0 -> x = Z )
           /\ A. y e. CC ( N ` ( y S x ) ) = ( ( abs ` y ) x. ( N ` x ) ) /\
           A. y e. X ( N ` ( x G y ) ) <_ ( ( N ` x ) + ( N ` y ) ) ) ) ) $=
      ( cop wcel cvv w3a cr cv cfv wceq co wral wa cnv cvc wf cc0 wi cabs caddc
      cmul cc cle wbr nvex vcex adantr crn simpld rnexg syl eqeltrid fex sylan2
      ancoms df-3an sylanbrc 3adant3 isnvlem pm5.21nii ) DCJZEJUAKDLKZCLKZELKZM
      ZVHUBKZFNEUCZAOZEPZUDQVOGQUEBOZVOCREPVQUFPVPUHRQBUISVOVQDREPVPVQEPUGRUJUK
      BFSMAFSZMCDEULVMVNVLVRVMVNTVIVJTZVKVLVMVSVNCDUMZUNVNVMVKVMVNFLKVKVMFDUOZL
      HVMVIWALKVMVIVJVTUPDLUQURUSFNLEUTVAVBVIVJVKVCVDVEABCDEFGHIVFVG $.
  $}

  ${
    $d x y G $.  $d x y N $.  $d x y S $.  $d x y X $.
    isnvi.5 $e |- X = ran G $.
    isnvi.6 $e |- Z = ( GId ` G ) $.
    isnvi.7 $e |- <. G , S >. e. CVecOLD $.
    isnvi.8 $e |- N : X --> RR $.
    isnvi.9 $e |- ( ( x e. X /\ ( N ` x ) = 0 ) -> x = Z ) $.
    isnvi.10 $e |- ( ( y e. CC /\ x e. X ) ->
                    ( N ` ( y S x ) ) = ( ( abs ` y ) x. ( N ` x ) ) ) $.
    isnvi.11 $e |- ( ( x e. X /\ y e. X ) ->
                    ( N ` ( x G y ) ) <_ ( ( N ` x ) + ( N ` y ) ) ) $.
    isnvi.12 $e |- U = <. <. G , S >. , N >. $.
    $( Properties that determine a normed complex vector space.  (Contributed
       by NM, 15-Apr-2007.)  (New usage is discouraged.) $)
    isnvi $p |- U e. NrmCVec $=
      ( wcel cfv wceq co cop cnv cvc cr wf cv cc0 wi cabs cmul cc caddc cle wbr
      wral w3a ex ancoms ralrimiva 3jca rgen isnv mpbir3an eqeltri ) DECUAZFUAZ
      UBPVFUBQVEUCQGUDFUEAUFZFRZUGSZVGHSZUHZBUFZVGCTFRVLUIRVHUJTSZBUKUOZVGVLETF
      RVHVLFRULTUMUNZBGUOZUPZAGUOKLVQAGVGGQZVKVNVPVRVIVJMUQVRVMBUKVLUKQVRVMNURU
      SVRVOBGOUSUTVAABCEFGHIJVBVCVD $.
  $}

  ${
    $d x y G $.  $d x y N $.  $d x U $.  $d x y S $.  $d x y X $.
    nvi.1 $e |- X = ( BaseSet ` U ) $.
    nvi.2 $e |- G = ( +v ` U ) $.
    nvi.4 $e |- S = ( .sOLD ` U ) $.
    nvi.5 $e |- Z = ( 0vec ` U ) $.
    nvi.6 $e |- N = ( normCV ` U ) $.
    $( The properties of a normed complex vector space, which is a vector space
       accompanied by a norm.  (Contributed by NM, 11-Nov-2006.)  (Revised by
       Mario Carneiro, 21-Dec-2013.)  (New usage is discouraged.) $)
    nvi $p |- ( U e. NrmCVec -> ( <. G , S >. e. CVecOLD /\ N : X --> RR /\
       A. x e. X ( ( ( N ` x ) = 0 -> x = Z )
           /\ A. y e. CC ( N ` ( y S x ) ) = ( ( abs ` y ) x. ( N ` x ) ) /\
              A. y e. X ( N ` ( x G y ) ) <_ ( ( N ` x ) + ( N ` y ) ) ) ) ) $=
      ( cnv wcel cfv wceq co wral w3a cop cvc cr wf cv cc0 wi cabs cc caddc cle
      cmul wbr c1st eqid nvop2 nvvop opeq1d eqtrd id eqeltrrd bafval isnv sylib
      cgi 0vfval eqeq2d imbi2d 3anbi1d ralbidv 3anbi3d mpbird ) DNOZECUAZUBOZGU
      CFUDZAUEZFPZUFQZVQHQZUGZBUEZVQCRFPWBUHPVRULRQBUISZVQWBERFPVRWBFPUJRUKUMBG
      SZTZAGSZTVOVPVSVQEVEPZQZUGZWCWDTZAGSZTZVMVNFUAZNOWLVMDWMNVMDDUNPZFUAWMDFW
      NWNUOZMUPVMWNVNFCDEWNWOJKUQURUSVMUTVAABCEFGWGDEGIJVBWGUOVCVDVMWFWKVOVPVMW
      EWJAGVMWAWIWCWDVMVTWHVSVMHWGVQDENHJLVFVGVHVIVJVKVL $.
  $}

  ${
    $d x y U $.  $d x y W $.
    nvvc.1 $e |- W = ( 1st ` U ) $.
    $( The vector space component of a normed complex vector space.
       (Contributed by NM, 28-Nov-2006.)  (Revised by Mario Carneiro,
       21-Dec-2013.)  (New usage is discouraged.) $)
    nvvc $p |- ( U e. NrmCVec -> W e. CVecOLD ) $=
      ( vx vy cnv wcel cpv cfv cns cop cvc eqid nvvop cba cr cv wceq co wral wf
      cnmcv cc0 cn0v wi cabs cmul cc caddc cle wbr w3a nvi simp1d eqeltrd ) AFG
      ZBAHIZAJIZKZLURAUQBCUQMZURMZNUPUSLGAOIZPAUBIZUADQZVCIZUCRVDAUDIZRUEEQZVDU
      RSVCIVGUFIVEUGSREUHTVDVGUQSVCIVEVGVCIUISUJUKEVBTULDVBTDEURAUQVCVBVFVBMUTV
      AVFMVCMUMUNUO $.
  $}

  ${
    nvabl.1 $e |- G = ( +v ` U ) $.
    $( The vector addition operation of a normed complex vector space is an
       Abelian group.  (Contributed by NM, 15-Feb-2008.)
       (New usage is discouraged.) $)
    nvablo $p |- ( U e. NrmCVec -> G e. AbelOp ) $=
      ( cnv wcel c1st cfv cvc cablo eqid nvvc vafval vcablo syl ) ADEAFGZHEBIEA
      OOJKBOABCLMN $.

    $( The vector addition operation of a normed complex vector space is a
       group.  (Contributed by NM, 15-Feb-2008.)
       (New usage is discouraged.) $)
    nvgrp $p |- ( U e. NrmCVec -> G e. GrpOp ) $=
      ( cnv wcel cablo cgr nvablo ablogrpo syl ) ADEBFEBGEABCHBIJ $.
  $}

  ${
    nvgf.1 $e |- X = ( BaseSet ` U ) $.
    nvgf.2 $e |- G = ( +v ` U ) $.
    $( Mapping for the vector addition operation.  (Contributed by NM,
       28-Jan-2008.)  (New usage is discouraged.) $)
    nvgf $p |- ( U e. NrmCVec -> G : ( X X. X ) --> X ) $=
      ( cnv wcel cgr cxp wfo wf nvgrp bafval grpofo fof 3syl ) AFGBHGCCIZCBJQCB
      KABELBCABCDEMNQCBOP $.
  $}

  ${
    nvsf.1 $e |- X = ( BaseSet ` U ) $.
    nvsf.4 $e |- S = ( .sOLD ` U ) $.
    $( Mapping for the scalar multiplication operation.  (Contributed by NM,
       28-Jan-2008.)  (New usage is discouraged.) $)
    nvsf $p |- ( U e. NrmCVec -> S : ( CC X. X ) --> X ) $=
      ( cnv wcel c1st cfv cvc cc cxp wf eqid nvvc cpv vafval smfval bafval vcsm
      syl ) BFGBHIZJGKCLCAMBUBUBNOABPIZUBCBUCUCNZQABERBUCCDUDSTUA $.
  $}

  ${
    nvgcl.1 $e |- X = ( BaseSet ` U ) $.
    nvgcl.2 $e |- G = ( +v ` U ) $.
    $( Closure law for the vector addition (group) operation of a normed
       complex vector space.  (Contributed by NM, 23-Apr-2007.)
       (New usage is discouraged.) $)
    nvgcl $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                    ( A G B ) e. X ) $=
      ( cnv wcel cgr co nvgrp bafval grpocl syl3an1 ) CHIDJIAEIBEIABDKEICDGLABD
      ECDEFGMNO $.

    $( The vector addition (group) operation is commutative.  (Contributed by
       NM, 4-Dec-2007.)  (New usage is discouraged.) $)
    nvcom $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                ( A G B ) = ( B G A ) ) $=
      ( cnv wcel cablo co wceq nvablo bafval ablocom syl3an1 ) CHIDJIAEIBEIABDK
      BADKLCDGMABDECDEFGNOP $.

    $( The vector addition (group) operation is associative.  (Contributed by
       NM, 4-Dec-2007.)  (New usage is discouraged.) $)
    nvass $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
              ( ( A G B ) G C ) = ( A G ( B G C ) ) ) $=
      ( cnv wcel cgr w3a co wceq nvgrp bafval grpoass sylan ) DIJEKJAFJBFJCFJLA
      BEMCEMABCEMEMNDEHOABCEFDEFGHPQR $.

    $( Commutative/associative law for vector addition.  (Contributed by NM,
       27-Dec-2007.)  (New usage is discouraged.) $)
    nvadd32 $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                 ( ( A G B ) G C ) = ( ( A G C ) G B ) ) $=
      ( cnv wcel cablo w3a co wceq nvablo bafval ablo32 sylan ) DIJEKJAFJBFJCFJ
      LABEMCEMACEMBEMNDEHOABCEFDEFGHPQR $.

    $( Right cancellation law for vector addition.  (Contributed by NM,
       4-Dec-2007.)  (New usage is discouraged.) $)
    nvrcan $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                  ( ( A G C ) = ( B G C ) <-> A = B ) ) $=
      ( cnv wcel cgr w3a co wceq wb nvgrp bafval grporcan sylan ) DIJEKJAFJBFJC
      FJLACEMBCEMNABNODEHPABCEFDEFGHQRS $.

    $( Rearrangement of 4 terms in a vector sum.  (Contributed by NM,
       8-Feb-2008.)  (New usage is discouraged.) $)
    nvadd4 $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X ) /\ ( C e. X /\
       D e. X ) ) -> ( ( A G B ) G ( C G D ) ) = ( ( A G C ) G ( B G D ) ) ) $=
      ( cnv wcel cablo wa co wceq nvablo bafval ablo4 syl3an1 ) EJKFLKAGKBGKMCG
      KDGKMABFNCDFNFNACFNBDFNFNOEFIPABCDFGEFGHIQRS $.
  $}

  ${
    nvscl.1 $e |- X = ( BaseSet ` U ) $.
    nvscl.4 $e |- S = ( .sOLD ` U ) $.
    $( Closure law for the scalar product operation of a normed complex vector
       space.  (Contributed by NM, 1-Feb-2007.)  (New usage is discouraged.) $)
    nvscl $p |- ( ( U e. NrmCVec /\ A e. CC /\ B e. X ) ->
                       ( A S B ) e. X ) $=
      ( cnv wcel c1st cfv cvc cc co eqid nvvc cpv vafval smfval bafval syl3an1
      vccl ) DHIDJKZLIAMIBEIABCNEIDUCUCOPABCDQKZUCEDUDUDOZRCDGSDUDEFUETUBUA $.

    $( Identity element for the scalar product of a normed complex vector
       space.  (Contributed by NM, 4-Dec-2007.)  (New usage is discouraged.) $)
    nvsid $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( 1 S A ) = A ) $=
      ( cnv wcel c1st cfv cvc c1 co wceq eqid nvvc cpv vafval smfval bafval
      vcidOLD sylan ) CGHCIJZKHADHLABMANCUCUCOPABCQJZUCDCUDUDOZRBCFSCUDDEUETUAU
      B $.

    $( Associative law for the scalar product of a normed complex vector space.
       (Contributed by NM, 17-Nov-2007.)  (New usage is discouraged.) $)
    nvsass $p |- ( ( U e. NrmCVec /\ ( A e. CC /\ B e. CC /\ C e. X ) ) ->
      ( ( A x. B ) S C ) = ( A S ( B S C ) ) ) $=
      ( cnv wcel c1st cfv cvc cc w3a cmul co wceq eqid nvvc vafval smfval vcass
      cpv bafval sylan ) EIJEKLZMJANJBNJCFJOABPQCDQABCDQDQREUGUGSTABCDEUDLZUGFE
      UHUHSZUADEHUBEUHFGUIUEUCUF $.

    $( Commutative law for the scalar product of a normed complex vector space.
       (Contributed by NM, 14-Feb-2008.)  (New usage is discouraged.) $)
    nvscom $p |- ( ( U e. NrmCVec /\ ( A e. CC /\ B e. CC /\ C e. X ) ) ->
      ( A S ( B S C ) ) = ( B S ( A S C ) ) ) $=
      ( cnv wcel cc w3a wa cmul co wceq mulcom oveq1d 3adant3 nvsass 3ancoma
      adantl sylan2b 3eqtr3d ) EIJZAKJZBKJZCFJZLZMABNOZCDOZBANOZCDOZABCDODOBACD
      ODOZUIUKUMPZUEUFUGUOUHUFUGMUJULCDABQRSUBABCDEFGHTUIUEUGUFUHLUMUNPUFUGUHUA
      BACDEFGHTUCUD $.
  $}

  ${
    nvdi.1 $e |- X = ( BaseSet ` U ) $.
    nvdi.2 $e |- G = ( +v ` U ) $.
    nvdi.4 $e |- S = ( .sOLD ` U ) $.
    $( Distributive law for the scalar product of a complex vector space.
       (Contributed by NM, 4-Dec-2007.)  (New usage is discouraged.) $)
    nvdi $p |- ( ( U e. NrmCVec /\ ( A e. CC /\ B e. X /\ C e. X ) ) ->
       ( A S ( B G C ) ) = ( ( A S B ) G ( A S C ) ) ) $=
      ( cnv wcel c1st cfv cvc cc w3a co wceq eqid nvvc vafval smfval vcdi sylan
      bafval ) EKLEMNZOLAPLBGLCGLQABCFRDRABDRACDRFRSEUGUGTUAABCDFUGGEFIUBDEJUCE
      FGHIUFUDUE $.

    $( Distributive law for the scalar product of a complex vector space.
       (Contributed by NM, 4-Dec-2007.)  (New usage is discouraged.) $)
    nvdir $p |- ( ( U e. NrmCVec /\ ( A e. CC /\ B e. CC /\ C e. X ) ) ->
      ( ( A + B ) S C ) = ( ( A S C ) G ( B S C ) ) ) $=
      ( cnv wcel c1st cfv cvc cc w3a caddc co wceq eqid nvvc vafval vcdir sylan
      smfval bafval ) EKLEMNZOLAPLBPLCGLQABRSCDSACDSBCDSFSTEUHUHUAUBABCDFUHGEFI
      UCDEJUFEFGHIUGUDUE $.

    $( A vector plus itself is two times the vector.  (Contributed by NM,
       9-Feb-2008.)  (New usage is discouraged.) $)
    nv2 $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( A G A ) = ( 2 S A ) ) $=
      ( cnv wcel c1st cfv cvc co c2 wceq eqid nvvc vafval smfval bafval vc2OLD
      sylan ) CIJCKLZMJAEJAADNOABNPCUDUDQRABDUDECDGSBCHTCDEFGUAUBUC $.
  $}

  ${
    $d g x y $.
    vsfval.2 $e |- G = ( +v ` U ) $.
    vsfval.3 $e |- M = ( -v ` U ) $.
    $( Value of the function for the vector subtraction operation on a normed
       complex vector space.  (Contributed by NM, 15-Feb-2008.)  (Revised by
       Mario Carneiro, 27-Dec-2014.)  (New usage is discouraged.) $)
    vsfval $p |- M = ( /g ` G ) $=
      ( vg vx vy cnsb cfv cpv cgs cvv wcel wceq wf c1st c0 cgr cv df-vs wfo fof
      ccom fveq1i fo1st ax-mp fco mp2an df-va feq1i mpbir fvco3 mpan syl5eq cdm
      wn 0ngrp crn cgn co cmpo vex rnex mpoex df-gdiv dmmpti eleq2i mtbir ndmfv
      mp1i fvprc fveq2d 3eqtr4rd pm2.61i fveq2i 3eqtr4i ) AIJZAKJZLJZCBLJAMNZVR
      VTOWAVRALKUDZJZVTAIWBUAUEMMKPZWAWCVTOWDMMQQUDZPZMMQPZWGWFMMQUBWGUFMMQUCUG
      ZWHMMMQQUHUIMMKWEUJUKULMMALKUMUNUOWAUQZRLJZRVTVRRLUPZNZUQWJROWIWLRSNURWKS
      RFSGHFTZUSZWNGTHTWMUTJJWMVAZVBLGHWNWNWOWMFVCVDZWPVEGHFVFVGVHVIRLVJVKWIVSR
      LAKVLVMAIVLVNVOEBVSLDVPVQ $.
  $}

  ${
    nvzcl.1 $e |- X = ( BaseSet ` U ) $.
    nvzcl.6 $e |- Z = ( 0vec ` U ) $.
    $( Closure law for the zero vector of a normed complex vector space.
       (Contributed by NM, 27-Nov-2007.)  (Revised by Mario Carneiro,
       21-Dec-2013.)  (New usage is discouraged.) $)
    nvzcl $p |- ( U e. NrmCVec -> Z e. X ) $=
      ( cnv wcel cpv cfv cgi eqid 0vfval cgr nvgrp bafval grpoidcl syl eqeltrd
      ) AFGZCAHIZJIZBATFCTKZELSTMGUABGATUBNUATBATBDUBOUAKPQR $.
  $}

  ${
    nv0id.1 $e |- X = ( BaseSet ` U ) $.
    nv0id.2 $e |- G = ( +v ` U ) $.
    nv0id.6 $e |- Z = ( 0vec ` U ) $.
    $( The zero vector is a right identity element.  (Contributed by NM,
       28-Nov-2007.)  (Revised by Mario Carneiro, 21-Dec-2013.)
       (New usage is discouraged.) $)
    nv0rid $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( A G Z ) = A ) $=
      ( cnv wcel wa co cgi cfv wceq 0vfval oveq2d adantr cgr nvgrp eqid grporid
      bafval sylan eqtrd ) BIJZADJZKAECLZACMNZCLZAUFUHUJOUGUFEUIACBCIEGHPQRUFCS
      JUGUJAOBCGTAUICDBCDFGUCUIUAUBUDUE $.

    $( The zero vector is a left identity element.  (Contributed by NM,
       28-Nov-2007.)  (Revised by Mario Carneiro, 21-Dec-2013.)
       (New usage is discouraged.) $)
    nv0lid $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( Z G A ) = A ) $=
      ( cnv wcel wa co cgi cfv wceq 0vfval oveq1d adantr cgr nvgrp eqid grpolid
      bafval sylan eqtrd ) BIJZADJZKEACLZCMNZACLZAUFUHUJOUGUFEUIACBCIEGHPQRUFCS
      JUGUJAOBCGTAUICDBCDFGUCUIUAUBUDUE $.
  $}

  ${
    nv0.1 $e |- X = ( BaseSet ` U ) $.
    nv0.4 $e |- S = ( .sOLD ` U ) $.
    nv0.6 $e |- Z = ( 0vec ` U ) $.
    $( Zero times a vector is the zero vector.  (Contributed by NM,
       27-Nov-2007.)  (Revised by Mario Carneiro, 21-Dec-2013.)
       (New usage is discouraged.) $)
    nv0 $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( 0 S A ) = Z ) $=
      ( cnv wcel wa cc0 co cpv cfv cgi c1st cvc wceq eqid nvvc vafval vc0 sylan
      smfval bafval 0vfval adantr eqtr4d ) CIJZADJZKLABMZCNOZPOZEUJCQOZRJUKULUN
      SCUOUOTUAABUMUODUNCUMUMTZUBBCGUECUMDFUPUFUNTUCUDUJEUNSUKCUMIEUPHUGUHUI $.
  $}

  ${
    nvsz.4 $e |- S = ( .sOLD ` U ) $.
    nvsz.6 $e |- Z = ( 0vec ` U ) $.
    $( Anything times the zero vector is the zero vector.  (Contributed by NM,
       28-Nov-2007.)  (Revised by Mario Carneiro, 21-Dec-2013.)
       (New usage is discouraged.) $)
    nvsz $p |- ( ( U e. NrmCVec /\ A e. CC ) -> ( A S Z ) = Z ) $=
      ( cnv wcel cc wa cpv cfv cgi co c1st cvc wceq eqid nvvc cba vafval smfval
      bafval vcz sylan 0vfval adantr oveq2d 3eqtr4d ) CGHZAIHZJZACKLZMLZBNZUNAD
      BNDUJCOLZPHUKUOUNQCUPUPRSABUMUPCTLZUNCUMUMRZUABCEUBCUMUQUQRURUCUNRUDUEULD
      UNABUJDUNQUKCUMGDURFUFUGZUHUSUI $.
  $}

  ${
    nvinv.1 $e |- X = ( BaseSet ` U ) $.
    nvinv.2 $e |- G = ( +v ` U ) $.
    nvinv.4 $e |- S = ( .sOLD ` U ) $.
    nvinv.5 $e |- M = ( inv ` G ) $.
    $( Minus 1 times a vector is the underlying group's inverse element.
       Equation 2 of [Kreyszig] p. 51.  (Contributed by NM, 15-Feb-2008.)
       (New usage is discouraged.) $)
    nvinv $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( -u 1 S A ) = ( M ` A ) ) $=
      ( cnv wcel c1st cfv cvc c1 cneg co wceq eqid nvvc vafval smfval vcm sylan
      bafval ) CKLCMNZOLAFLPQABRAENSCUGUGTUAABDEUGFCDHUBBCIUCCDFGHUFJUDUE $.
  $}

  ${
    $d x G $.  $d x N $.  $d x U $.
    nvinvfval.2 $e |- G = ( +v ` U ) $.
    nvinvfval.4 $e |- S = ( .sOLD ` U ) $.
    nvinvfval.3 $e |- N = ( S o. `' ( 2nd |` ( { -u 1 } X. _V ) ) ) $.
    $( Function for the negative of a vector on a normed complex vector space,
       in terms of the underlying addition group inverse.  (We currently do not
       have a separate notation for the negative of a vector.)  (Contributed by
       NM, 27-Mar-2008.)  (New usage is discouraged.) $)
    nvinvfval $p |- ( U e. NrmCVec -> N = ( inv ` G ) ) $=
      ( vx cnv wcel cba cfv cgn cc wf eqid neg1cn sylancl ffnd wfn c1 cneg nvsf
      cxp curry1f wf1o nvgrp bafval grpoinvf f1ofn 3syl cv wa co wceq curry1val
      cgr adantr nvinv eqtrd eqfnfvd ) BIJZHBKLZDCMLZVBVCVCDVBNVCUDZVCAOUAUBZNJ
      ZVCVCDOABVCVCPZFUCZQNVCVFVCADGUERSVBCUQJVCVCVDUFVDVCTBCEUGCVDVCBCVCVHEUHV
      DPZUIVCVCVDUJUKVBHULZVCJZUMZVKDLZVFVKAUNZVKVDLVMAVETZVGVNVOUOVBVPVLVBVEVC
      AVISURQNVCVFVKADGUPRVKABCVDVCVHEFVJUSUTVA $.
  $}

  ${
    nvm.1 $e |- X = ( BaseSet ` U ) $.
    nvm.2 $e |- G = ( +v ` U ) $.
    nvm.3 $e |- M = ( -v ` U ) $.
    nvm.6 $e |- N = ( /g ` G ) $.
    $( Vector subtraction in terms of group division operation.  (Contributed
       by NM, 15-Feb-2008.)  (New usage is discouraged.) $)
    nvm $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
          ( A M B ) = ( A N B ) ) $=
      ( co wceq cnv wcel w3a cgs cfv vsfval eqtr4i oveqi a1i ) ABELABFLMCNOAGOB
      GOPEFABEDQRFCDEIJSKTUAUB $.
  $}

  ${
    $d x y G $.  $d x y U $.  $d x y X $.
    nvmval.1 $e |- X = ( BaseSet ` U ) $.
    nvmval.2 $e |- G = ( +v ` U ) $.
    nvmval.4 $e |- S = ( .sOLD ` U ) $.
    nvmval.3 $e |- M = ( -v ` U ) $.
    $( Value of vector subtraction on a normed complex vector space.
       (Contributed by NM, 11-Sep-2007.)  (New usage is discouraged.) $)
    nvmval $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                ( A M B ) = ( A G ( -u 1 S B ) ) ) $=
      ( cnv wcel w3a cgs cfv co cgn wceq eqid cneg cgr nvgrp grpodivval syl3an1
      c1 bafval nvm nvinv 3adant2 oveq2d 3eqtr4d ) DLMZAGMZBGMZNZABEOPZQZABERPZ
      PZEQZABFQAUFUABCQZEQUMEUBMUNUOURVASDEIUCABUQEUSGDEGHIUGUSTZUQTZUDUEABDEFU
      QGHIKVDUHUPVBUTAEUMUOVBUTSUNBCDEUSGHIJVCUIUJUKUL $.

    $( Value of vector subtraction on a normed complex vector space.
       (Contributed by Mario Carneiro, 19-Nov-2013.)
       (New usage is discouraged.) $)
    nvmval2 $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                ( A M B ) = ( ( -u 1 S B ) G A ) ) $=
      ( cnv wcel w3a co c1 cneg nvmval wceq cc neg1cn nvscl 3adant2 nvcom eqtrd
      mp3an2 syld3an3 ) DLMZAGMZBGMZNABFOAPQZBCOZEOZULAEOZABCDEFGHIJKRUHUIUJULG
      MZUMUNSUHUJUOUIUHUKTMUJUOUAUKBCDGHJUBUFUCAULDEGHIUDUGUE $.

    $( Value of the function for the vector subtraction operation on a normed
       complex vector space.  (Contributed by NM, 11-Sep-2007.)  (Revised by
       Mario Carneiro, 23-Dec-2013.)  (New usage is discouraged.) $)
    nvmfval $p |- ( U e. NrmCVec -> M = ( x e. X , y e. X |->
                    ( x G ( -u 1 S y ) ) ) ) $=
      ( cnv wcel cv cgn cfv co cmpo c1 wceq cgr nvgrp bafval vsfval grpodivfval
      cneg eqid syl w3a nvinv 3adant2 oveq2d mpoeq3dva eqtr4d ) DLMZFABGGANZBNZ
      EOPZPZEQZRZABGGUPSUFUQCQZEQZRUOEUAMFVATDEIUBABFEURGDEGHIUCURUGZDEFIKUDUEU
      HUOABGGVCUTUOUPGMZUQGMZUIVBUSUPEUOVFVBUSTVEUQCDEURGHIJVDUJUKULUMUN $.
  $}

  ${
    $d x y U $.  $d x y X $.
    nvmf.1 $e |- X = ( BaseSet ` U ) $.
    nvmf.3 $e |- M = ( -v ` U ) $.
    $( Mapping for the vector subtraction operation.  (Contributed by NM,
       11-Sep-2007.)  (Revised by Mario Carneiro, 23-Dec-2013.)
       (New usage is discouraged.) $)
    nvmf $p |- ( U e. NrmCVec -> M : ( X X. X ) --> X ) $=
      ( vx vy cnv wcel cxp wf cv c1 cneg cns cfv co wral wa eqid cpv cmpo simpl
      simprl cc neg1cn nvscl mp3an2 adantrl nvgcl syl3anc ralrimivva fmpo sylib
      nvmfval feq1d mpbird ) AHIZCCJZCBKUSCFGCCFLZMNZGLZAOPZQZAUAPZQZUBZKZURVFC
      IZGCRFCRVHURVIFGCCURUTCIZVBCIZSZSURVJVDCIZVIURVLUCURVJVKUDURVKVMVJURVAUEI
      VKVMUFVAVBVCACDVCTZUGUHUIUTVDAVECDVETZUJUKULFGCCVFCVGVGTUMUNURUSCBVGFGVCA
      VEBCDVOVNEUOUPUQ $.

    $( Closure law for the vector subtraction operation of a normed complex
       vector space.  (Contributed by NM, 11-Sep-2007.)
       (New usage is discouraged.) $)
    nvmcl $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) -> ( A M B ) e. X ) $=
      ( cnv wcel cxp wf co nvmf fovrn syl3an1 ) CHIEEJEDKAEIBEIABDLEICDEFGMABEE
      EDNO $.

    $( Cancellation law for vector subtraction.  ( ~ nnncan1 analog.)
       (Contributed by NM, 7-Mar-2008.)  (New usage is discouraged.) $)
    nvnnncan1 $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
         ( ( A M B ) M ( A M C ) ) = ( C M B ) ) $=
      ( cnv wcel cpv cfv cablo w3a co wceq eqid nvablo bafval vsfval sylan
      ablonnncan1 ) DIJDKLZMJAFJBFJCFJNABEOACEOEOCBEOPDUCUCQZRABCEUCFDUCFGUDSDU
      CEUDHTUBUA $.
  $}

  ${
    nvmdi.1 $e |- X = ( BaseSet ` U ) $.
    nvmdi.3 $e |- M = ( -v ` U ) $.
    nvmdi.4 $e |- S = ( .sOLD ` U ) $.
    $( Distributive law for scalar product over subtraction.  (Contributed by
       NM, 14-Feb-2008.)  (New usage is discouraged.) $)
    nvmdi $p |- ( ( U e. NrmCVec /\ ( A e. CC /\ B e. X /\ C e. X ) ) ->
       ( A S ( B M C ) ) = ( ( A S B ) M ( A S C ) ) ) $=
      ( cnv wcel cc w3a co wceq neg1cn nvscl oveq2d nvmval wa c1 cpv cfv simpr1
      cneg simpr2 mp3an2 3ad2antr3 3jca eqid nvdi syldan mp3anr2 3adantr2 eqtrd
      nvscom 3adant3r1 simpl 3adant3r3 3adant3r2 syl3anc 3eqtr4d ) EKLZAMLZBGLZ
      CGLZNZUAZABUBUFZCDOZEUCUDZOZDOZABDOZVJACDOZDOZVLOZABCFOZDOVOVPFOZVIVNVOAV
      KDOZVLOZVRVDVHVEVFVKGLZNVNWBPVIVEVFWCVDVEVFVGUEVDVEVFVGUGVDVEVGWCVFVDVJML
      ZVGWCQVJCDEGHJRUHUIUJABVKDEVLGHVLUKZJULUMVIWAVQVOVLVDVEVGWAVQPZVFVDVEWDVG
      WFQAVJCDEGHJUQUNUOSUPVIVSVMADVDVFVGVSVMPVEBCDEVLFGHWEJITURSVIVDVOGLZVPGLZ
      VTVRPVDVHUSVDVEVFWGVGABDEGHJRUTVDVEVGWHVFACDEGHJRVAVOVPDEVLFGHWEJITVBVC
      $.
  $}

  ${
    nvnegneg.1 $e |- X = ( BaseSet ` U ) $.
    nvnegneg.4 $e |- S = ( .sOLD ` U ) $.
    $( Double negative of a vector.  (Contributed by NM, 4-Dec-2007.)
       (New usage is discouraged.) $)
    nvnegneg $p |- ( ( U e. NrmCVec /\ A e. X ) ->
                  ( -u 1 S ( -u 1 S A ) ) = A ) $=
      ( cnv wcel wa c1 cneg co cpv cfv cgn wceq cc neg1cn eqid nvinv mp3an2 cgr
      nvscl syldan fveq2d nvgrp bafval grpo2inv sylan 3eqtrd ) CGHZADHZIZJKZUNA
      BLZBLZUOCMNZONZNZAURNZURNZAUKULUODHZUPUSPUKUNQHULVBRUNABCDEFUCUAUOBCUQURD
      EUQSZFURSZTUDUMUOUTURABCUQURDEVCFVDTUEUKUQUBHULVAAPCUQVCUFAUQURDCUQDEVCUG
      VDUHUIUJ $.
  $}

  ${
    nvmul0or.1 $e |- X = ( BaseSet ` U ) $.
    nvmul0or.4 $e |- S = ( .sOLD ` U ) $.
    nvmul0or.6 $e |- Z = ( 0vec ` U ) $.
    $( If a scalar product is zero, one of its factors must be zero.
       (Contributed by NM, 6-Dec-2007.)  (New usage is discouraged.) $)
    nvmul0or $p |- ( ( U e. NrmCVec /\ A e. CC /\ B e. X ) ->
                    ( ( A S B ) = Z <-> ( A = 0 \/ B = Z ) ) ) $=
      ( wcel cc co wceq cc0 wa c1 oveq2 3ad2antl2 3adant2 3eqtr3d cnv w3a wo wn
      wne df-ne cdiv ad2antlr recid2 oveq1d simpl1 reccl simpl2 simpl3 syl13anc
      cmul nvsass nvsid adantr adantlr nvsz anassrs 3adantl3 ex syl5bir orrd wi
      sylan2 nv0 oveq1 eqeq1d syl5ibrcom 3adant3 jaod impbid ) DUAJZAKJZBEJZUBZ
      ABCLZFMZANMZBFMZUCZVSWAWDVSWAOZWBWCWBUDANUEZWEWCANUFWEWFWCWEWFOPAUGLZVTCL
      ZWGFCLZBFWAWHWIMVSWFVTFWGCQUHVSWFWHBMWAVSWFOZWGAUPLZBCLZPBCLZWHBVQVPWFWLW
      MMVRVQWFOZWKPBCAUIUJRWJVPWGKJZVQVRWLWHMVPVQVRWFUKVQVPWFWOVRAULZRVPVQVRWFU
      MVPVQVRWFUNWGABCDEGHUQUOVSWMBMZWFVPVRWQVQBCDEGHURSUSTUTVSWFWIFMZWAVPVQWFW
      RVRVPVQWFWRWNVPWOWRWPWGCDFHIVAVHVBVCUTTVDVEVFVDVSWBWAWCVPVRWBWAVGVQVPVROW
      AWBNBCLZFMBCDEFGHIVIWBVTWSFANBCVJVKVLSVPVQWCWAVGVRVPVQOWAWCAFCLZFMACDFHIV
      AWCVTWTFBFACQVKVLVMVNVO $.
  $}

  ${
    nvrinv.1 $e |- X = ( BaseSet ` U ) $.
    nvrinv.2 $e |- G = ( +v ` U ) $.
    nvrinv.4 $e |- S = ( .sOLD ` U ) $.
    nvrinv.6 $e |- Z = ( 0vec ` U ) $.
    $( A vector minus itself.  (Contributed by NM, 4-Dec-2007.)  (Revised by
       Mario Carneiro, 21-Dec-2013.)  (New usage is discouraged.) $)
    nvrinv $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( A G ( -u 1 S A ) ) = Z ) $=
      ( cnv wcel wa cgn cfv co cgi c1 wceq eqid cgr nvgrp bafval grporinv sylan
      cneg nvinv oveq2d 0vfval adantr 3eqtr4d ) CKLZAELZMZAADNOZOZDPZDQOZARUFAB
      PZDPFULDUALUMUQURSCDHUBAURDUOECDEGHUCURTUOTZUDUEUNUSUPADABCDUOEGHIUTUGUHU
      LFURSUMCDKFHJUIUJUK $.

    $( Minus a vector plus itself.  (Contributed by NM, 4-Dec-2007.)  (Revised
       by Mario Carneiro, 21-Dec-2013.)  (New usage is discouraged.) $)
    nvlinv $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( ( -u 1 S A ) G A ) = Z ) $=
      ( cnv wcel wa cgn cfv co cgi c1 wceq eqid cgr nvgrp bafval grpolinv sylan
      cneg nvinv oveq1d 0vfval adantr 3eqtr4d ) CKLZAELZMZADNOZOZADPZDQOZRUFABP
      ZADPFULDUALUMUQURSCDHUBAURDUOECDEGHUCURTUOTZUDUEUNUSUPADABCDUOEGHIUTUGUHU
      LFURSUMCDKFHJUIUJUK $.
  $}

  ${
    nvpncan2.1 $e |- X = ( BaseSet ` U ) $.
    nvpncan2.2 $e |- G = ( +v ` U ) $.
    nvpncan2.3 $e |- M = ( -v ` U ) $.
    $( Cancellation law for vector subtraction.  (Contributed by NM,
       27-Dec-2007.)  (New usage is discouraged.) $)
    nvpncan2 $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                 ( ( A G B ) M A ) = B ) $=
      ( cnv wcel w3a co c1 cneg cfv wceq eqid 3adant3 eqtrd simp1 nvgcl syl3anc
      cns simp2 nvmval simp3 neg1cn nvscl mp3an2 nvadd32 syl13anc nvrinv oveq1d
      cc cn0v nv0lid 3adant2 ) CJKZAFKZBFKZLZABDMZAEMZVCNOZACUDPZMZDMZBVBUSVCFK
      UTVDVHQUSUTVAUAZABCDFGHUBUSUTVAUEZVCAVFCDEFGHVFRZIUFUCVBVHAVGDMZBDMZBVBUS
      UTVAVGFKZVHVMQVIVJUSUTVAUGUSUTVNVAUSVEUOKUTVNUHVEAVFCFGVKUIUJSABVGCDFGHUK
      ULVBVMCUPPZBDMZBVBVLVOBDUSUTVLVOQVAAVFCDFVOGHVKVORZUMSUNUSVAVPBQUTBCDFVOG
      HVQUQURTTT $.

    $( Cancellation law for vector subtraction.  (Contributed by NM,
       24-Jan-2008.)  (New usage is discouraged.) $)
    nvpncan $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                 ( ( A G B ) M B ) = A ) $=
      ( cnv wcel co wceq w3a nvcom oveq1d nvpncan2 eqtr3d 3com23 ) CJKZBFKZAFKZ
      ABDLZBELZAMTUAUBNZBADLZBELUDAUEUFUCBEBACDFGHOPBACDEFGHIQRS $.

    $( Commutative/associative law for vector addition and subtraction.
       (Contributed by NM, 24-Jan-2008.)  (New usage is discouraged.) $)
    nvaddsub $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
      ( ( A G B ) M C ) = ( ( A M C ) G B ) ) $=
      ( cnv wcel cablo w3a co wceq nvablo bafval vsfval ablomuldiv sylan ) DKLE
      MLAGLBGLCGLNABEOCFOACFOBEOPDEIQABCFEGDEGHIRDEFIJSTUA $.

    $( Cancellation law for a normed complex vector space.  (Contributed by NM,
       24-Jan-2008.)  (New usage is discouraged.) $)
    nvnpcan $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
         ( ( A M B ) G B ) = A ) $=
      ( cnv wcel w3a co wceq wa simprl simprr 3jca nvaddsub syldan 3impb eqtr3d
      nvpncan ) CJKZAFKZBFKZLABDMBEMZABEMBDMZAUDUEUFUGUHNZUDUEUFOZUEUFUFLUIUDUJ
      OUEUFUFUDUEUFPUDUEUFQZUKRABBCDEFGHISTUAABCDEFGHIUCUB $.

    $( Rearrangement of 4 terms in a mixed vector addition and subtraction.
       (Contributed by NM, 8-Feb-2008.)  (New usage is discouraged.) $)
    nvaddsub4 $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X ) /\ ( C e. X /\
       D e. X ) ) -> ( ( A G B ) M ( C G D ) ) = ( ( A M C ) G ( B M D ) ) ) $=
      ( wcel wa co wceq neg1cn 3adant2 nvscl mp3an2 nvmval cnv w3a cneg cns cfv
      c1 cc eqid nvdi mp3anr1 oveq2d anim12dan syld3an3 eqtrd simp1 nvgcl 3expb
      3adant3 syl3anc 3adant3r 3adant2r 3adant3l 3adant2l oveq12d 3eqtr4d
      nvadd4 ) EUALZAHLZBHLZMZCHLZDHLZMZUBZABFNZUFUCZCDFNZEUDUEZNZFNZAVPCVRNZFN
      ZBVPDVRNZFNZFNZVOVQGNZACGNZBDGNZFNVNVTVOWAWCFNZFNZWEVNVSWIVOFVGVMVSWIOZVJ
      VGVPUGLZVKVLWKPVPCDVREFHIJVRUHZUIUJQUKVGVJVMWAHLZWCHLZMZWJWEOVGVMWPVJVGVK
      WNVLWOVGWLVKWNPVPCVREHIWMRSVGWLVLWOPVPDVREHIWMRSULQABWAWCEFHIJVFUMUNVNVGV
      OHLZVQHLZWFVTOVGVJVMUOVGVJWQVMVGVHVIWQABEFHIJUPUQURVGVMWRVJVGVKVLWRCDEFHI
      JUPUQQVOVQVREFGHIJWMKTUSVNWGWBWHWDFVGVHVMWGWBOZVIVGVHVKWSVLACVREFGHIJWMKT
      UTVAVGVIVMWHWDOZVHVGVIVLWTVKBDVREFGHIJWMKTVBVCVDVE $.
  $}

  ${
    nvmeq0.1 $e |- X = ( BaseSet ` U ) $.
    nvmeq0.3 $e |- M = ( -v ` U ) $.
    nvmeq0.5 $e |- Z = ( 0vec ` U ) $.
    $( The difference between two vectors is zero iff they are equal.
       (Contributed by NM, 24-Jan-2008.)  (New usage is discouraged.) $)
    nvmeq0 $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
            ( ( A M B ) = Z <-> A = B ) ) $=
      ( cnv wcel w3a co cpv cfv wceq wb wa nvmcl 3expb nvzcl adantr simprr 3jca
      eqid nvrcan syldan 3impb nvnpcan nv0lid 3adant2 eqeq12d bitr3d ) CJKZAEKZ
      BEKZLZABDMZBCNOZMZFBUSMZPZURFPZABPUNUOUPVBVCQZUNUOUPRZUREKZFEKZUPLVDUNVER
      VFVGUPUNUOUPVFABCDEGHSTUNVGVECEFGIUAUBUNUOUPUCUDURFBCUSEGUSUEZUFUGUHUQUTA
      VABABCUSDEGVHHUIUNUPVABPUOBCUSEFGVHIUJUKULUM $.

    $( A vector minus itself is the zero vector.  (Contributed by NM,
       28-Jan-2008.)  (New usage is discouraged.) $)
    nvmid $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( A M A ) = Z ) $=
      ( cnv wcel wa co wceq eqid wb nvmeq0 3anidm23 mpbiri ) BIJZADJZKAACLEMZAA
      MZANSTUAUBOAABCDEFGHPQR $.
  $}

  ${
    $d x y N $.  $d x y U $.  $d x y X $.
    nvf.1 $e |- X = ( BaseSet ` U ) $.
    nvf.6 $e |- N = ( normCV ` U ) $.
    $( Mapping for the norm function.  (Contributed by NM, 11-Nov-2006.)
       (New usage is discouraged.) $)
    nvf $p |- ( U e. NrmCVec -> N : X --> RR ) $=
      ( vx vy cnv wcel cpv cfv cns cop cvc cr cv wceq co wral eqid wf cn0v cabs
      cc0 wi cmul cc caddc cle wbr w3a nvi simp2d ) AHIAJKZALKZMNICOBUAFPZBKZUD
      QUPAUBKZQUEGPZUPUORBKUSUCKUQUFRQGUGSUPUSUNRBKUQUSBKUHRUIUJGCSUKFCSFGUOAUN
      BCURDUNTUOTURTEULUM $.

    $( The norm of a normed complex vector space is a real number.
       (Contributed by NM, 24-Nov-2006.)  (New usage is discouraged.) $)
    nvcl $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( N ` A ) e. RR ) $=
      ( cnv wcel cr nvf ffvelrnda ) BGHDIACBCDEFJK $.

    ${
      nvcli.9 $e |- U e. NrmCVec $.
      nvcli.7 $e |- A e. X $.
      $( The norm of a normed complex vector space is a real number.
         (Contributed by NM, 20-Apr-2007.)  (New usage is discouraged.) $)
      nvcli $p |- ( N ` A ) e. RR $=
        ( cnv wcel cfv cr nvcl mp2an ) BIJADJACKLJGHABCDEFMN $.
    $}
  $}

  ${
    $d y A $.  $d x y B $.  $d x y N $.  $d x y S $.  $d x y U $.  $d x y X $.
    nvs.1 $e |- X = ( BaseSet ` U ) $.
    nvs.4 $e |- S = ( .sOLD ` U ) $.
    nvs.6 $e |- N = ( normCV ` U ) $.
    $( Proportionality property of the norm of a scalar product in a normed
       complex vector space.  (Contributed by NM, 11-Nov-2006.)
       (New usage is discouraged.) $)
    nvs $p |- ( ( U e. NrmCVec /\ A e. CC /\ B e. X ) ->
               ( N ` ( A S B ) ) = ( ( abs ` A ) x. ( N ` B ) ) ) $=
      ( vy vx wcel cc co cfv cabs cmul wceq cv wral cnv wa cc0 wi cpv caddc cle
      cn0v wbr w3a cop cvc cr wf nvi simp3d simp2 ralimi syl oveq2 fveq2d fveq2
      eqid oveq2d eqeq12d fvoveq1 oveq1d rspc2v syl5 3impia 3com13 ) BFLZAMLZDU
      ALZABCNEOZAPOZBEOZQNZRZVLVMVNVSVNJSZKSZCNZEOZVTPOZWAEOZQNZRZJMTZKFTZVLVMU
      BVSVNWEUCRWADUHOZRUDZWHWAVTDUEOZNEOWEVTEOUFNUGUIJFTZUJZKFTZWIVNWLCUKULLFU
      MEUNWOKJCDWLEFWJGWLVCHWJVCIUOUPWNWHKFWKWHWMUQURUSWGVSVTBCNZEOZWDVQQNZRKJB
      AFMWABRZWCWQWFWRWSWBWPEWABVTCUTVAWSWEVQWDQWABEVBVDVEVTARZWQVOWRVRVTABECVF
      WTWDVPVQQVTAPVBVGVEVHVIVJVK $.

    $( The norm of a scalar product with a nonnegative real.  (Contributed by
       NM, 1-Jan-2008.)  (New usage is discouraged.) $)
    nvsge0 $p |- ( ( U e. NrmCVec /\ ( A e. RR /\ 0 <_ A ) /\ B e. X ) ->
               ( N ` ( A S B ) ) = ( A x. ( N ` B ) ) ) $=
      ( cnv wcel cr cc0 cle wbr wa co cfv cmul wceq w3a cabs cc recn adantr nvs
      syl3an2 absid 3ad2ant2 oveq1d eqtrd ) DJKZALKZMANOZPZBFKZUAZABCQERZAUBRZB
      ERZSQZAUTSQUOULAUCKZUPURVATUMVBUNAUDUEABCDEFGHIUFUGUQUSAUTSUOULUSATUPAUHU
      IUJUK $.

    $( The norm of the negative of a vector.  (Contributed by NM, 28-Nov-2006.)
       (New usage is discouraged.) $)
    nvm1 $p |- ( ( U e. NrmCVec /\ A e. X ) ->
               ( N ` ( -u 1 S A ) ) = ( N ` A ) ) $=
      ( cnv wcel wa c1 cneg co cfv cabs cmul cc wceq neg1cn mp3an2 absnegi abs1
      nvs ax-1cn eqtri oveq1i nvcl recnd mulid2d syl5eq eqtrd ) CIJZAEJZKZLMZAB
      NDOZUPPOZADOZQNZUSUMUPRJUNUQUTSTUPABCDEFGHUDUAUOUTLUSQNUSURLUSQURLPOLLUEU
      BUCUFUGUOUSUOUSACDEFHUHUIUJUKUL $.
  $}

  ${
    nvdif.1 $e |- X = ( BaseSet ` U ) $.
    nvdif.2 $e |- G = ( +v ` U ) $.
    nvdif.4 $e |- S = ( .sOLD ` U ) $.
    nvdif.6 $e |- N = ( normCV ` U ) $.
    $( The norm of the difference between two vectors.  (Contributed by NM,
       1-Dec-2006.)  (New usage is discouraged.) $)
    nvdif $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
               ( N ` ( A G ( -u 1 S B ) ) ) = ( N ` ( B G ( -u 1 S A ) ) ) ) $=
      ( wcel co cfv wceq neg1cn nvscl mp3an2 3adant3 syl3anc cnv w3a c1 cneg cc
      simp1 a1i simp3 nvdi syl13anc nvnegneg oveq2d 3adant2 simp2 3eqtrd fveq2d
      nvcom nvgcl nvm1 syl2anc eqtr3d ) DUALZAGLZBGLZUBZUCUDZBVFACMZEMZCMZFNZAV
      FBCMZEMZFNVHFNZVEVIVLFVEVIVKVFVGCMZEMZVKAEMZVLVEVBVFUELZVDVGGLZVIVOOVBVCV
      DUFZVQVEPUGVBVCVDUHZVBVCVRVDVBVQVCVRPVFACDGHJQRSZVFBVGCDEGHIJUIUJVEVNAVKE
      VBVCVNAOVDACDGHJUKSULVEVBVKGLZVCVPVLOVSVBVDWBVCVBVQVDWBPVFBCDGHJQRUMVBVCV
      DUNVKADEGHIUQTUOUPVEVBVHGLZVJVMOVSVEVBVDVRWCVSVTWABVGDEGHIURTVHCDFGHJKUSU
      TVA $.

    $( The norm of a vector plus the imaginary scalar product of another.
       (Contributed by NM, 2-Feb-2007.)  (New usage is discouraged.) $)
    nvpi $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
               ( N ` ( A G ( _i S B ) ) ) = ( N ` ( B G ( -u _i S A ) ) ) ) $=
      ( wcel c1 ci co cfv cmul cneg ax-icn wceq cnv w3a cr simp1 mp3an2 3adant2
      nvscl nvgcl syld3an3 nvcl syl2anc recnd mulid2d cabs absnegi eqtri oveq1i
      absi negicn nvs simp2 nvdi mp3anr1 syl12anc mulneg1i ixi negeqi negneg1e1
      cc nvsass mpanr1 nvsid 3eqtr3a oveq2d nvcom syld3an2 3eqtrd fveq2d eqtr3d
      wa 3adant3 eqtr3id ) DUALZAGLZBGLZUBZMANBCOZEOZFPZQOZWIBNRZACOZEOZFPZWFWI
      WFWIWFWCWHGLZWIUCLWCWDWEUDZWCWDWEWGGLZWOWCWEWQWDWCNVILZWEWQSNBCDGHJUGUEUF
      ZAWGDEGHIUHUIZWHDFGHKUJUKULUMWFWJWKUNPZWIQOZWNXAMWIQXANUNPMNSUOURUPUQWFWK
      WHCOZFPZXBWNWFWCWOXDXBTZWPWTWCWKVILZWOXEUSWKWHCDFGHJKUTUEUKWFXCWMFWFXCWLW
      KWGCOZEOZWLBEOZWMWFWCWDWQXCXHTZWPWCWDWEVAWSWCXFWDWQXJUSWKAWGCDEGHIJVBVCVD
      WFXGBWLEWCWEXGBTWDWCWEVTWKNQOZBCOZMBCOXGBXKMBCXKNNQOZRZMNNSSVEXNMRZRMXMXO
      VFVGVHUPUPUQWCWRWEXLXGTZSWCXFWRWEXPUSWKNBCDGHJVJVCVKBCDGHJVLVMUFVNWCWLGLZ
      WDWEXIWMTWCWDXQWEWCXFWDXQUSWKACDGHJUGUEWAWLBDEGHIVOVPVQVRVSWBVS $.
  $}

  ${
    nvz0.5 $e |- Z = ( 0vec ` U ) $.
    nvz0.6 $e |- N = ( normCV ` U ) $.
    $( The norm of a zero vector is zero.  (Contributed by NM, 24-Nov-2006.)
       (New usage is discouraged.) $)
    nvz0 $p |- ( U e. NrmCVec -> ( N ` Z ) = 0 ) $=
      ( cnv wcel cc0 cns cfv co cmul cba wceq eqid nvzcl cr cle wa mpdan pm3.2i
      wbr 0re 0le0 nvsge0 mp3an2 nv0 fveq2d cc nvcl recnd mul02d 3eqtr3d ) AFGZ
      HCAIJZKZBJZHCBJZLKZURHUNCAMJZGZUQUSNZAUTCUTOZDPZUNHQGZHHRUBZSVAVBVEVFUCUD
      UAHCUOABUTVCUOOZEUEUFTUNUPCBUNVAUPCNVDCUOAUTCVCVGDUGTUHUNURUNVAURUIGVDUNV
      ASURCABUTVCEUJUKTULUM $.
  $}

  ${
    $d x A $.  $d x y N $.  $d x y U $.  $d x y X $.  $d x Z $.
    nvz.1 $e |- X = ( BaseSet ` U ) $.
    nvz.5 $e |- Z = ( 0vec ` U ) $.
    nvz.6 $e |- N = ( normCV ` U ) $.
    $( The norm of a vector is zero iff the vector is zero.  First part of
       Problem 2 of [Kreyszig] p. 64.  (Contributed by NM, 24-Nov-2006.)
       (New usage is discouraged.) $)
    nvz $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( ( N ` A ) = 0 <-> A = Z ) ) $=
      ( vx vy cnv wcel cfv cc0 wceq wi cv co wral eqid wa cns cabs cc cpv caddc
      cmul cle wbr w3a cop cvc cr nvi simp3d simp1 ralimi fveqeq2 eqeq1 imbi12d
      wf rspccv 3syl imp fveq2 nvz0 sylan9eqr ex adantr impbid ) BKLZADLZUAACMZ
      NOZAEOZVKVLVNVOPZVKIQZCMZNOZVQEOZPZJQZVQBUBMZRCMWBUCMVRUGROJUDSZVQWBBUEMZ
      RCMVRWBCMUFRUHUIJDSZUJZIDSZWAIDSVLVPPVKWEWCUKULLDUMCVAWHIJWCBWECDEFWETWCT
      GHUNUOWGWAIDWAWDWFUPUQWAVPIADVQAOVSVNVTVOVQANCURVQAEUSUTVBVCVDVKVOVNPVLVK
      VOVNVOVKVMECMNAECVEBCEGHVFVGVHVIVJ $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y G $.  $d x y N $.  $d x y U $.  $d x y X $.
    nvtri.1 $e |- X = ( BaseSet ` U ) $.
    nvtri.2 $e |- G = ( +v ` U ) $.
    nvtri.6 $e |- N = ( normCV ` U ) $.
    $( Triangle inequality for the norm of a normed complex vector space.
       (Contributed by NM, 11-Nov-2006.)  (Revised by Mario Carneiro,
       21-Dec-2013.)  (New usage is discouraged.) $)
    nvtri $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
          ( N ` ( A G B ) ) <_ ( ( N ` A ) + ( N ` B ) ) ) $=
      ( vx vy wcel co cfv caddc cle wbr cv wral wceq cnv wa cn0v c1st c2nd cabs
      cc0 wi cmul cc w3a cop cvc cr wf cns eqid smfval eqcomi nvi simp3d ralimi
      simp3 fvoveq1 fveq2 oveq1d breq12d oveq2 fveq2d oveq2d rspc2v syl5 3impia
      syl 3comr ) AFLZBFLZCUALZABDMZENZAENZBENZOMZPQZVPVQVRWDVRJRZKRZDMENZWEENZ
      WFENZOMZPQZKFSZJFSZVPVQUBWDVRWHUGTWECUCNZTUHZWFWECUDNUENZMENWFUFNWHUIMTKU
      JSZWLUKZJFSZWMVRDWPULUMLFUNEUOWSJKWPCDEFWNGHCUPNZWPWTCWTUQURUSWNUQIUTVAWR
      WLJFWOWQWLVCVBVNWKWDAWFDMZENZWAWIOMZPQJKABFFWEATZWGXBWJXCPWEAWFEDVDXDWHWA
      WIOWEAEVEVFVGWFBTZXBVTXCWCPXEXAVSEWFBADVHVIXEWIWBWAOWFBEVEVJVGVKVLVMVO $.
  $}

  ${
    nvmtri.1 $e |- X = ( BaseSet ` U ) $.
    nvmtri.3 $e |- M = ( -v ` U ) $.
    nvmtri.6 $e |- N = ( normCV ` U ) $.
    $( Triangle inequality for the norm of a vector difference.  (Contributed
       by NM, 27-Dec-2007.)  (New usage is discouraged.) $)
    nvmtri $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
          ( N ` ( A M B ) ) <_ ( ( N ` A ) + ( N ` B ) ) ) $=
      ( wcel c1 cfv co caddc cle neg1cn eqid mp3an2 3adant2 cmul cnv w3a cns cc
      cneg cpv wbr nvscl syld3an3 nvmval fveq2d wceq wa cabs nvs ax-1cn absnegi
      nvtri abs1 eqtri oveq1i nvcl recnd mulid2d syl5eq eqtr2d oveq2d 3brtr4d )
      CUAJZAFJZBFJZUBZAKUEZBCUCLZMZCUFLZMZELZAELZVOELZNMZABDMZELVSBELZNMOVIVJVK
      VOFJZVRWAOUGVIVKWDVJVIVMUDJZVKWDPVMBVNCFGVNQZUHRSAVOCVPEFGVPQZIURUIVLWBVQ
      EABVNCVPDFGWGWFHUJUKVLWCVTVSNVIVKWCVTULVJVIVKUMZVTVMUNLZWCTMZWCVIWEVKVTWJ
      ULPVMBVNCEFGWFIUORWHWJKWCTMWCWIKWCTWIKUNLKKUPUQUSUTVAWHWCWHWCBCEFGIVBVCVD
      VEVFSVGVH $.
  $}

  ${
    nvabs.1 $e |- X = ( BaseSet ` U ) $.
    nvabs.2 $e |- G = ( +v ` U ) $.
    nvabs.4 $e |- S = ( .sOLD ` U ) $.
    nvabs.6 $e |- N = ( normCV ` U ) $.
    $( Norm difference property of a normed complex vector space.  Problem 3 of
       [Kreyszig] p. 64.  (Contributed by NM, 4-Dec-2006.)
       (New usage is discouraged.) $)
    nvabs $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
       ( abs ` ( ( N ` A ) - ( N ` B ) ) ) <_ ( N ` ( A G ( -u 1 S B ) ) ) ) $=
      ( wcel cfv co cle wbr cr nvcl 3adant2 wceq cnv w3a cmin cabs nvdif negeqd
      c1 cneg 3adant3 simp1 neg1cn nvscl mp3an2 nvgcl syld3an3 syl2anc renegcld
      cc 3com23 caddc nvcom cn0v wa simprr adantrr simprl 3jca nvass 3impb eqid
      syldan nvlinv oveq2d nv0rid 3eqtrd eqtrd fveq2d eqbrtrrd subnegd breqtrrd
      nvtri recnd lesubd eqbrtrd simp2 simp3 syl13anc syld3an2 lesubaddd mpbird
      resubcld absled mpbir2and ) DUALZAGLZBGLZUBZAFMZBFMZUCNZUDMAUGUHZBCNZENZF
      MZOPXDUHZWTOPWTXDOPZWQXEBXAACNZENZFMZUHZWTOWQXDXIABCDEFGHIJKUEUFWQWSWRXJW
      NWPWSQLWOBDFGHKRSZWNWOWRQLWPADFGHKRUIZWQXIWQWNXHGLZXIQLWNWOWPUJZWNWPWOXMW
      NWPWOXGGLZXMWNWOXOWPWNXAURLZWOXOUKXAACDGHJULUMZSBXGDEGHIUNUOUSZXHDFGHKRUP
      ZUQWQWSWRXIUTNZWRXJUCNOWQAXHENZFMZWSXTOWQYABFWQYAXHAENZBWNWOWPXMYAYCTXRAX
      HDEGHIVAUOWQYCBXGAENZENZBDVBMZENZBWNWOWPYCYETZWNWOWPVCZWPXOWOUBYHWNYIVCWP
      XOWOWNWOWPVDWNWOXOWPXQVEWNWOWPVFVGBXGADEGHIVHVKVIWQYDYFBEWNWOYDYFTWPACDEG
      YFHIJYFVJZVLUIVMWNWPYGBTWOBDEGYFHIYJVNSVOVPVQWNWOWPXMYBXTOPXRAXHDEFGHIKWA
      UOVRWQWRXIWQWRXLWBWQXIXSWBVSVTWCWDWQXFWRXDWSUTNZOPWQXCBENZFMZWRYKOWQYLAFW
      QYLAXBBENZENZAYFENZAWQWNWOXBGLZWPYLYOTXNWNWOWPWEWNWPYQWOWNXPWPYQUKXABCDGH
      JULUMSZWNWOWPWFAXBBDEGHIVHWGWQYNYFAEWNWPYNYFTWOBCDEGYFHIJYJVLSVMWNWOYPATW
      PADEGYFHIYJVNUIVOVQWNXCGLZWOWPYMYKOPWNWOWPYQYSYRAXBDEGHIUNUOZXCBDEFGHIKWA
      WHVRWQWRWSXDXLXKWQWNYSXDQLXNYTXCDFGHKRUPZWIWJWQWTXDWQWRWSXLXKWKUUAWLWM $.
  $}

  ${
    nvge0.1 $e |- X = ( BaseSet ` U ) $.
    nvge0.6 $e |- N = ( normCV ` U ) $.
    $( The norm of a normed complex vector space is nonnegative.  Second part
       of Problem 2 of [Kreyszig] p. 64.  (Contributed by NM, 28-Nov-2006.)
       (Proof shortened by AV, 10-Jul-2022.)  (New usage is discouraged.) $)
    nvge0 $p |- ( ( U e. NrmCVec /\ A e. X ) -> 0 <_ ( N ` A ) ) $=
      ( cnv wcel wa c2 cfv cc0 c1 co caddc cle wceq eqid cc neg1cn crp 2rp nvcl
      a1i cneg cns cmul cpv cn0v nvz0 adantr 1pneg1e0 oveq1i nv0 eqtr2id ax-1cn
      nvdir mp3anr1 mpanr1 nvsid oveq1d 3eqtrd fveq2d eqtr3d nvscl mp3an2 nvtri
      wbr mpd3an3 eqbrtrd nvm1 oveq2d recnd 2timesd eqtr4d breqtrd prodge0rd )
      BGHZADHZIZJACKZJUAHVTUBUDABCDEFUCZVTLWAMUEZABUFKZNZCKZONZJWAUGNZPVTLAWEBU
      HKZNZCKZWGPVTBUIKZCKZLWKVRWMLQVSBCWLWLRZFUJUKVTWLWJCVTWLMWCONZAWDNZMAWDNZ
      WEWINZWJVTWPLAWDNWLWOLAWDULUMAWDBDWLEWDRZWNUNUOVRWCSHZVSWPWRQZTVRMSHWTVSX
      AUPMWCAWDBWIDEWIRZWSUQURUSVTWQAWEWIAWDBDEWSUTVAVBVCVDVRVSWEDHZWKWGPVHVRWT
      VSXCTWCAWDBDEWSVEVFAWEBWICDEXBFVGVIVJVTWGWAWAONWHVTWFWAWAOAWDBCDEWSFVKVLV
      TWAVTWAWBVMVNVOVPVQ $.
  $}

  ${
    nvgt0.1 $e |- X = ( BaseSet ` U ) $.
    nvgt0.5 $e |- Z = ( 0vec ` U ) $.
    nvgt0.6 $e |- N = ( normCV ` U ) $.
    $( A nonzero norm is positive.  (Contributed by NM, 20-Nov-2007.)
       (New usage is discouraged.) $)
    nvgt0 $p |- ( ( U e. NrmCVec /\ A e. X ) ->
                   ( A =/= Z <-> 0 < ( N ` A ) ) ) $=
      ( cnv wcel wa cfv cc0 wne clt wbr nvz necon3bid cr cle nvcl nvge0 syl2anc
      wb ne0gt0 bitr3d ) BIJADJKZACLZMNZAENMUHOPZUGUHMAEABCDEFGHQRUGUHSJMUHTPUI
      UJUDABCDFHUAABCDFHUBUHUEUCUF $.
  $}

  ${
    nv1.1 $e |- X = ( BaseSet ` U ) $.
    nv1.4 $e |- S = ( .sOLD ` U ) $.
    nv1.5 $e |- Z = ( 0vec ` U ) $.
    nv1.6 $e |- N = ( normCV ` U ) $.
    $( From any nonzero vector, construct a vector whose norm is one.
       (Contributed by NM, 6-Dec-2007.)  (New usage is discouraged.) $)
    nv1 $p |- ( ( U e. NrmCVec /\ A e. X /\ A =/= Z ) ->
               ( N ` ( ( 1 / ( N ` A ) ) S A ) ) = 1 ) $=
      ( wcel wne c1 cfv co cr cc0 cle wbr 3adant3 cnv cdiv cmul wceq simp1 nvcl
      w3a wa nvz necon3bid biimp3ar rereccld clt nvgt0 biimp3a 1re 0le1 mpanl12
      divge0 syl2anc simp2 nvsge0 syl121anc cc recnd recid2d eqtrd ) CUAKZAEKZA
      FLZUGZMADNZUBOZABODNZVMVLUCOZMVKVHVMPKQVMRSZVIVNVOUDVHVIVJUEVKVLVHVIVLPKZ
      VJACDEGJUFZTZVHVIVLQLVJVHVIUHZVLQAFACDEFGIJUIUJUKZULVKVQQVLUMSZVPVSVHVIVJ
      WBACDEFGIJUNUOMPKQMRSVQWBUHVPUPUQMVLUSURUTVHVIVJVAVMABCDEGHJVBVCVKVLVHVIV
      LVDKVJVTVLVRVETWAVFVG $.
  $}

  ${
    nvop.2 $e |- G = ( +v ` U ) $.
    nvop.4 $e |- S = ( .sOLD ` U ) $.
    nvop.6 $e |- N = ( normCV ` U ) $.
    $( A complex inner product space in terms of ordered pair components.
       (Contributed by NM, 11-Sep-2007.)  (New usage is discouraged.) $)
    nvop $p |- ( U e. NrmCVec -> U = <. <. G , S >. , N >. ) $=
      ( cnv wcel c1st cfv c2nd cop wrel wceq nvrel 1st2nd mpan nmcvfval opeq2i
      eqid nvvop opeq1d eqtr3id eqtrd ) BHIZBBJKZBLKZMZCAMZDMZHNUFBUIOPBHQRUFUI
      UGDMUKDUHUGBDGSTUFUGUJDABCUGUGUAEFUBUCUDUE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Examples of normed complex vector spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    cnnv.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The set of complex numbers is a normed complex vector space.  The vector
       operation is ` + ` , the scalar product is ` x. ` , and the norm
       function is ` abs ` .  (Contributed by Steve Rodriguez, 3-Dec-2006.)
       (New usage is discouraged.) $)
    cnnv $p |- U e. NrmCVec $=
      ( vx vy cmul caddc cabs cc cc0 cablo wcel cgr cnaddabloOLD ablogrpo ax-mp
      cxp ax-addf fdmi cv wceq grporn cnidOLD cncvcOLD absf abs00 biimpa absmul
      cfv abstri isnvi ) CDEAFGHIFHFJKFLKMFNOHHPHFQRUAUBUCUDCSZHKUKGUHITUKITUKU
      EUFDSZUKUGUKULUIBUJ $.
  $}

  ${
    cnnvg.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The vector addition (group) operation of the normed complex vector space
       of complex numbers.  (Contributed by NM, 12-Jan-2008.)
       (New usage is discouraged.) $)
    cnnvg $p |- + = ( +v ` U ) $=
      ( cpv cfv c1st caddc cmul cop eqid vafval cabs fveq2i opex cc cr cvv wcel
      wf absf op1st cnex fex mp2an eqtri addex mulex 3eqtrri ) ACDZAEDZEDFGHZED
      FAUHUHIJUIUJEUIUJKHZEDUJAUKEBLUJKFGMNOKRNPQKPQSUANOPKUBUCTUDLFGUEUFTUG $.
  $}

  ${
    cnnvba.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The base set of the normed complex vector space of complex numbers.
       (Contributed by NM, 7-Nov-2007.)  (New usage is discouraged.) $)
    cnnvba $p |- CC = ( BaseSet ` U ) $=
      ( caddc crn cpv cfv cc cnnvg rneqi cablo wcel cnaddabloOLD ablogrpo ax-mp
      cba cgr cxp ax-addf fdmi eqid grporn bafval 3eqtr4i ) CDAEFZDGAOFZCUDABHI
      CGCJKCPKLCMNGGQGCRSUAAUDUEUETUDTUBUC $.
  $}

  ${
    cnnvs.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The scalar product operation of the normed complex vector space of
       complex numbers.  (Contributed by NM, 12-Jan-2008.)
       (New usage is discouraged.) $)
    cnnvs $p |- x. = ( .sOLD ` U ) $=
      ( cns cfv c1st c2nd caddc cmul cop eqid smfval cabs fveq2i opex cc cr cvv
      wf wcel absf cnex fex mp2an op1st eqtri addex mulex op2nd 3eqtrri ) ACDZA
      EDZFDGHIZFDHUJAUJJKUKULFUKULLIZEDULAUMEBMULLGHNOPLROQSLQSTUAOPQLUBUCUDUEM
      GHUFUGUHUI $.
  $}

  ${
    cnnvnm.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The norm operation of the normed complex vector space of complex
       numbers.  (Contributed by NM, 12-Jan-2008.)
       (New usage is discouraged.) $)
    cnnvnm $p |- abs = ( normCV ` U ) $=
      ( cnmcv cfv c2nd caddc cmul cop cabs eqid nmcvfval fveq2i opex cc cr wcel
      wf cvv absf cnex fex mp2an op2nd 3eqtrri ) ACDZAEDFGHZIHZEDIAUEUEJKAUGEBL
      UFIFGMNOIQNRPIRPSTNORIUAUBUCUD $.
  $}

  ${
    $d x y U $.
    cnnvm.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The vector subtraction operation of the normed complex vector space of
       complex numbers.  (Contributed by NM, 12-Jan-2008.)  (Revised by Mario
       Carneiro, 23-Dec-2013.)  (New usage is discouraged.) $)
    cnnvm $p |- - = ( -v ` U ) $=
      ( vx vy cc cv cmin co cmpo c1 cneg cmul caddc cnsb cfv wcel wa wceq mulm1
      ax-mp adantl oveq2d negsub eqtr2d mpoeq3ia cxp wfn subf ffn fnov mpbi cnv
      wf cnnv cnnvba cnnvg cnnvs eqid nvmfval 3eqtr4i ) CDEECFZDFZGHZIZCDEEVAJK
      VBLHZMHZIZGANOZCDEEVCVFVAEPZVBEPZQZVFVAVBKZMHVCVKVEVLVAMVJVEVLRVIVBSUAUBV
      AVBUCUDUEGEEUFZUGZGVDRVMEGUMVNUHVMEGUITCDEEGUJUKAULPVHVGRABUNCDLAMVHEABUO
      ABUPABUQVHURUSTUT $.
  $}

  ${
    elimnv.1 $e |- X = ( BaseSet ` U ) $.
    elimnv.5 $e |- Z = ( 0vec ` U ) $.
    elimnv.9 $e |- U e. NrmCVec $.
    $( Hypothesis elimination lemma for normed complex vector spaces to assist
       weak deduction theorem.  (Contributed by NM, 16-May-2007.)
       (New usage is discouraged.) $)
    elimnv $p |- if ( A e. X , A , Z ) e. X $=
      ( cnv wcel nvzcl ax-mp elimel ) ADCBHIDCIGBCDEFJKL $.
  $}

  $( Hypothesis elimination lemma for normed complex vector spaces to assist
     weak deduction theorem.  (Contributed by NM, 16-May-2007.)
     (New usage is discouraged.) $)
  elimnvu $p |- if ( U e. NrmCVec , U , <. <. + , x. >. , abs >. )
                 e. NrmCVec $=
    ( caddc cmul cop cabs cnv eqid cnnv elimel ) ABCDEDZFJJGHI $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Induced metric of a normed complex vector space
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d u U $.
    imsval.3 $e |- M = ( -v ` U ) $.
    imsval.6 $e |- N = ( normCV ` U ) $.
    imsval.8 $e |- D = ( IndMet ` U ) $.
    $( Value of the induced metric of a normed complex vector space.
       (Contributed by NM, 11-Sep-2007.)  (Revised by Mario Carneiro,
       16-Nov-2013.)  (New usage is discouraged.) $)
    imsval $p |- ( U e. NrmCVec -> D = ( N o. M ) ) $=
      ( vu cnv wcel cims cfv cnmcv cnsb ccom cv wceq fveq2 coeq12d fvex coeq12i
      df-ims coex fvmpt 3eqtr4g ) BIJBKLBMLZBNLZOZADCOHBHPZMLZUINLZOUHIKUIBQUJU
      FUKUGUIBMRUIBNRSHUBUFUGBMTBNTUCUDGDUFCUGFEUAUE $.
  $}

  ${
    imsdval.1 $e |- X = ( BaseSet ` U ) $.
    imsdval.3 $e |- M = ( -v ` U ) $.
    imsdval.6 $e |- N = ( normCV ` U ) $.
    imsdval.8 $e |- D = ( IndMet ` U ) $.
    $( Value of the induced metric (distance function) of a normed complex
       vector space.  Equation 1 of [Kreyszig] p. 59.  (Contributed by NM,
       11-Sep-2007.)  (Revised by Mario Carneiro, 27-Dec-2014.)
       (New usage is discouraged.) $)
    imsdval $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                  ( A D B ) = ( N ` ( A M B ) ) ) $=
      ( cnv wcel w3a cop cfv co ccom wceq df-ov imsval 3ad2ant1 fveq1d cxp nvmf
      wf wa opelxpi fvco3 syl2an 3impb eqtrd fveq2i 3eqtr4g ) DLMZAGMZBGMZNZABO
      ZCPZUSEPZFPZABCQABEQZFPURUTUSFERZPZVBURUSCVDUOUPCVDSUQCDEFIJKUAUBUCUOUPUQ
      VEVBSZUOGGUDZGEUFUSVGMVFUPUQUGDEGHIUEABGGUHVGGUSFEUIUJUKULABCTVCVAFABETUM
      UN $.
  $}

  ${
    imsdval2.1 $e |- X = ( BaseSet ` U ) $.
    imsdval2.2 $e |- G = ( +v ` U ) $.
    imsdval2.4 $e |- S = ( .sOLD ` U ) $.
    imsdval2.6 $e |- N = ( normCV ` U ) $.
    imsdval2.8 $e |- D = ( IndMet ` U ) $.
    $( TODO $)
    $( Value of the distance function of the induced metric of a normed complex
       vector space.  Equation 1 of [Kreyszig] p. 59.  (Contributed by NM,
       28-Nov-2006.)  (New usage is discouraged.) $)
    imsdval2 $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                  ( A D B ) = ( N ` ( A G ( -u 1 S B ) ) ) ) $=
      ( cnv wcel w3a co cnsb cfv c1 cneg eqid imsdval nvmval fveq2d eqtrd ) ENO
      AHOBHOPZABCQABERSZQZGSATUABDQFQZGSABCEUHGHIUHUBZLMUCUGUIUJGABDEFUHHIJKUKU
      DUEUF $.
  $}

  ${
    nvnd.1 $e |- X = ( BaseSet ` U ) $.
    nvnd.5 $e |- Z = ( 0vec ` U ) $.
    nvnd.6 $e |- N = ( normCV ` U ) $.
    nvnd.8 $e |- D = ( IndMet ` U ) $.
    $( The norm of a normed complex vector space expressed in terms of the
       distance function of its induced metric.  Problem 1 of [Kreyszig] p. 63.
       (Contributed by NM, 4-Dec-2006.)  (New usage is discouraged.) $)
    nvnd $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( N ` A ) = ( A D Z ) ) $=
      ( cnv wcel wa co cnsb cfv wceq adantr eqid mpd3an3 nvzcl imsdval cneg cns
      c1 cpv nvmval cc neg1cn nvsz mpan2 oveq2d nv0rid 3eqtrd fveq2d eqtr2d ) C
      KLZAELZMZAFBNZAFCOPZNZDPZADPUQURFELZUTVCQUQVDURCEFGHUARZAFBCVADEGVASZIJUB
      TUSVBADUSVBAUEUCZFCUDPZNZCUFPZNZAFVJNZAUQURVDVBVKQVEAFVHCVJVAEGVJSZVHSZVF
      UGTUQVKVLQURUQVIFAVJUQVGUHLVIFQUIVGVHCFVNHUJUKULRACVJEFGVMHUMUNUOUP $.
  $}

  ${
    imsdfn.1 $e |- X = ( BaseSet ` U ) $.
    imsdfn.8 $e |- D = ( IndMet ` U ) $.
    $( Mapping for the induced metric distance function of a normed complex
       vector space.  (Contributed by NM, 29-Nov-2006.)
       (New usage is discouraged.) $)
    imsdf $p |- ( U e. NrmCVec -> D : ( X X. X ) --> RR ) $=
      ( cnv wcel cxp cr wf cnmcv cfv cnsb ccom eqid nvf nvmf fco syl2anc imsval
      feq1d mpbird ) BFGZCCHZIAJUDIBKLZBMLZNZJZUCCIUEJUDCUFJUHBUECDUEOZPBUFCDUF
      OZQUDCIUEUFRSUCUDIAUGABUFUEUJUIETUAUB $.
  $}

  ${
    $d x y z D $.  $d x y z X $.
    imsmetlem.1 $e |- X = ( BaseSet ` U ) $.
    imsmetlem.2 $e |- G = ( +v ` U ) $.
    imsmetlem.7 $e |- M = ( inv ` G ) $.
    imsmetlem.4 $e |- S = ( .sOLD ` U ) $.
    imsmetlem.5 $e |- Z = ( 0vec ` U ) $.
    imsmetlem.6 $e |- N = ( normCV ` U ) $.
    imsmetlem.8 $e |- D = ( IndMet ` U ) $.
    imsmetlem.9 $e |- U e. NrmCVec $.
    $( Lemma for ~ imsmet .  (Contributed by NM, 29-Nov-2006.)
       (New usage is discouraged.) $)
    imsmetlem $p |- D e. ( Met ` X ) $=
      ( wcel co wceq mp3an1 vx vy vz cba fvexi cnv cxp cr wf imsdf ax-mp cv cc0
      wa c1 cfv imsdval2 eqeq1d wb cc neg1cn nvscl mp3an12 nvgcl sylan2 sylancr
      cneg nvz nvzcl w3a nvrcan mpan mp3an2 sylancom simpl adantl simpr syl3anc
      nvass nvlinv oveq2d nv0rid adantr 3eqtrd nv0lid eqeq12d bitr3d 3bitrd cle
      caddc syl2anc 3adant3 3adant2 nvtri 3adant1 3ad2ant3 oveq1d eqtr3d fveq2d
      wbr simp1 eqtr4d nvdif eqtrd oveq12d 3brtr4d 3coml ismeti ) UAUBUCAGGCUDI
      UECUFQZGGUGUHAUIPACGIOUJUKUAULZGQZUBULZGQZUNZXJXLARZUMSXJUOVGZXLBRZDRZFUP
      ZUMSZXRHSZXJXLSZXNXOXSUMXIXKXMXOXSSZPXJXLABCDFGIJLNOUQTZURXNXIXRGQZXTYAUS
      PXMXKXQGQZYEXIXPUTQZXMYFPVAXPXLBCGILVBVCZXIXKYFYEPXJXQCDGIJVDTVEZXRCFGHIM
      NVHVFXNXRXLDRZHXLDRZSZYAYBXKXMYEYLYAUSZYIYEHGQZXMYMXIYNPCGHIMVIUKXIYEYNXM
      VJYMPXRHXLCDGIJVKVLVMVNXNYJXJYKXLXNYJXJXQXLDRZDRZXJHDRZXJXNXKYFXMYJYPSZXK
      XMVOXMYFXKYHVPXKXMVQXIXKYFXMVJYRPXJXQXLCDGIJVSVLVRXNYOHXJDXMYOHSZXKXIXMYS
      PXLBCDGHIJLMVTVLVPWAXKYQXJSZXMXIXKYTPXJCDGHIJMWBVLZWCWDXMYKXLSZXKXIXMUUBP
      XLCDGHIJMWEVLVPWFWGWHUCULZGQZXKXMXOUUCXJARZUUCXLARZWJRZWIWTUUDXKXMVJZXJXP
      UUCBRZDRZUUCXQDRZDRZFUPZUUJFUPZUUKFUPZWJRZXOUUGWIUUHUUJGQZUUKGQZUUMUUPWIW
      TZUUDXKUUQXMUUDXKUNZXKUUIGQZUUQUUDXKVQZUUDUVAXKXIYGUUDUVAPVAXPUUCBCGILVBV
      CWCZXIXKUVAUUQPXJUUICDGIJVDTWKWLZUUDXMUURXKXMUUDYFUURYHXIUUDYFUURPUUCXQCD
      GIJVDTVEWMXIUUQUURUUSPUUJUUKCDFGIJNWNTWKUUHXOXSUUMXKXMYCUUDYDWOUUHUULXRFU
      UHUUJUUCDRZXQDRZUULXRUUHUUQUUDYFUVFUULSZUVDUUDXKXMXAXMUUDYFXKYHWPXIUUQUUD
      YFVJUVGPUUJUUCXQCDGIJVSVLVRUUHUVEXJXQDUUDXKUVEXJSXMUUTUVEXJUUIUUCDRZDRZYQ
      XJUUTXKUVAUUDUVEUVISZUVBUVCUUDXKVOXIXKUVAUUDVJUVJPXJUUIUUCCDGIJVSVLVRUUTU
      VHHXJDUUDUVHHSZXKXIUUDUVKPUUCBCDGHIJLMVTVLWCWAXKYTUUDUUAVPWDWLWQWRWSXBUUH
      UUEUUNUUFUUOWJUUDXKUUEUUNSXMUUTUUEUUCXPXJBRDRFUPZUUNXIUUDXKUUEUVLSPUUCXJA
      BCDFGIJLNOUQTXIUUDXKUVLUUNSPUUCXJBCDFGIJLNXCTXDWLUUDXMUUFUUOSZXKXIUUDXMUV
      MPUUCXLABCDFGIJLNOUQTWMXEXFXGXH $.
  $}

  ${
    imsmet.1 $e |- X = ( BaseSet ` U ) $.
    imsmet.8 $e |- D = ( IndMet ` U ) $.
    $( The induced metric of a normed complex vector space is a metric space.
       Part of Definition 2.2-1 of [Kreyszig] p. 58.  (Contributed by NM,
       4-Dec-2006.)  (Revised by Mario Carneiro, 10-Sep-2015.)
       (New usage is discouraged.) $)
    imsmet $p |- ( U e. NrmCVec -> D e. ( Met ` X ) ) $=
      ( cnv wcel cims cfv cmet caddc cmul cop cabs cif wceq fveq2 syl5eq eqid
      cba fveq2d eleq12d cns cpv cnmcv cn0v elimnvu imsmetlem dedth eqeltrid
      cgn ) BFGZABHIZCJIZEULUMUNGULBKLMNMZOZHIZUPTIZJIZGBUOBUPPZUMUQUNUSBUPHQUT
      CURJUTCBTIURDBUPTQRUAUBUQUPUCIZUPUPUDIZVBUKIZUPUEIZURUPUFIZURSVBSVCSVASVE
      SVDSUQSBUGUHUIUJ $.

    $( The induced metric of a normed complex vector space is an extended
       metric space.  (Contributed by Mario Carneiro, 10-Sep-2015.)
       (New usage is discouraged.) $)
    imsxmet $p |- ( U e. NrmCVec -> D e. ( *Met ` X ) ) $=
      ( cnv wcel cmet cfv cxmet imsmet metxmet syl ) BFGACHIGACJIGABCDEKACLM $.
  $}

  ${
    cnims.6 $e |- U = <. <. + , x. >. , abs >. $.
    cnims.7 $e |- D = ( abs o. - ) $.
    $( The metric induced on the complex numbers. ~ cnmet proves that it is a
       metric.  (Contributed by Steve Rodriguez, 5-Dec-2006.)  (Revised by NM,
       15-Jan-2008.)  (New usage is discouraged.) $)
    cnims $p |- D = ( IndMet ` U ) $=
      ( cabs cmin ccom cims cfv wcel wceq cnnv cnnvm cnnvnm imsval ax-mp eqtr4i
      cnv eqid ) AEFGZBHIZDBRJUATKBCLUABFEBCMBCNUASOPQ $.
  $}

  ${
    $d r s w x y z C $.  $d r s w x y z G $.  $d r s w x y z J $.
    $d r s w x y z U $.
    vacn.c $e |- C = ( IndMet ` U ) $.
    vacn.j $e |- J = ( MetOpen ` C ) $.
    vacn.g $e |- G = ( +v ` U ) $.
    $( Vector addition is jointly continuous in both arguments.  (Contributed
       by Jeff Hankins, 16-Jun-2009.)  (Revised by Mario Carneiro,
       10-Sep-2015.)  (New usage is discouraged.) $)
    vacn $p |- ( U e. NrmCVec -> G e. ( ( J tX J ) Cn J ) ) $=
      ( vz vw wcel co cfv cv clt wbr wa wral crp cr syl3anc vx vs vy vr cnv ctx
      ccn cba wf wi wrex eqid nvgf c2 cdiv rphalfcl adantl caddc simplll imsmet
      cxp cmet syl simplrl adantr simprl simplrr simprr rpre ad2antlr lt2halves
      metcl cle cnsb cnmcv nvmcl nvtri nvgcl imsdval nvaddsub4 syl122anc fveq2d
      wceq eqtrd oveq12d 3brtr4d readdcld lelttr mpand ralrimivva breq2 anbi12d
      syld imbi1d 2ralbidv syl2anc ralrimiva cxmet wb imsxmet txmetcn mpbir2and
      rspcev ) BUEJZCDDUFKDUGKJZBUHLZXFVAXFCUIZUAMZHMZAKZUBMZNOZUCMZIMZAKZXKNOZ
      PZXHXMCKZXIXNCKZAKZUDMZNOZUJZIXFQHXFQZUBRUKZUDRQZUCXFQUAXFQZBCXFXFULZGUMX
      DYFUAUCXFXFXDXHXFJZXMXFJZPZPZYEUDRYLYARJZPZYAUNUOKZRJZXJYONOZXOYONOZPZYBU
      JZIXFQHXFQZYEYMYPYLYAUPUQYNYTHIXFXFYNXIXFJZXNXFJZPZPZYSXJXOURKZYANOZYBUUE
      XJSJZXOSJZYASJZYSUUGUJUUEAXFVBLJZYIUUBUUHUUEXDUUKXDYKYMUUDUSZABXFYHEUTVCZ
      YNYIUUDXDYIYJYMVDVEZYNUUBUUCVFZXHXIAXFVLTZUUEUUKYJUUCUUIUUMYNYJUUDXDYIYJY
      MVGVEZYNUUBUUCVHZXMXNAXFVLTZYMUUJYLUUDYAVIVJZXJXOYAVKTUUEXTUUFVMOZUUGYBUU
      EXHXIBVNLZKZXMXNUVBKZCKZBVOLZLZUVCUVFLZUVDUVFLZURKZXTUUFVMUUEXDUVCXFJZUVD
      XFJZUVGUVJVMOUULUUEXDYIUUBUVKUULUUNUUOXHXIBUVBXFYHUVBULZVPTUUEXDYJUUCUVLU
      ULUUQUURXMXNBUVBXFYHUVMVPTUVCUVDBCUVFXFYHGUVFULZVQTUUEXTXRXSUVBKZUVFLZUVG
      UUEXDXRXFJZXSXFJZXTUVPWCUULUUEXDYIYJUVQUULUUNUUQXHXMBCXFYHGVRTZUUEXDUUBUU
      CUVRUULUUOUURXIXNBCXFYHGVRTZXRXSABUVBUVFXFYHUVMUVNEVSTUUEUVOUVEUVFUUEXDYI
      YJUUBUUCUVOUVEWCUULUUNUUQUUOUURXHXMXIXNBCUVBXFYHGUVMVTWAWBWDUUEXJUVHXOUVI
      URUUEXDYIUUBXJUVHWCUULUUNUUOXHXIABUVBUVFXFYHUVMUVNEVSTUUEXDYJUUCXOUVIWCUU
      LUUQUURXMXNABUVBUVFXFYHUVMUVNEVSTWEWFUUEXTSJZUUFSJUUJUVAUUGPYBUJUUEUUKUVQ
      UVRUWAUUMUVSUVTXRXSAXFVLTUUEXJXOUUPUUSWGUUTXTUUFYAWHTWIWMWJYDUUAUBYORXKYO
      WCZYCYTHIXFXFUWBXQYSYBUWBXLYQXPYRXKYOXJNWKXKYOXONWKWLWNWOXCWPWQWJXDAXFWRL
      JZUWCUWCXEXGYGPWSABXFYHEWTZUWDUWDUAUCUDUBIHAAACDDDXFXFXFFFFXATXB $.
  $}

  ${
    $d d e x y C $.  $d d e x y J $.  $d d e x y K $.  $d d e x y N $.
    $d d e x y U $.
    nmcvcn.1 $e |- N = ( normCV ` U ) $.
    nmcvcn.2 $e |- C = ( IndMet ` U ) $.
    nmcvcn.j $e |- J = ( MetOpen ` C ) $.
    nmcvcn.k $e |- K = ( topGen ` ran (,) ) $.
    $( The norm of a normed complex vector space is a continuous function.
       (Contributed by NM, 16-May-2007.)  (Proof shortened by Mario Carneiro,
       10-Jan-2014.)  (New usage is discouraged.) $)
    nmcvcn $p |- ( U e. NrmCVec -> N e. ( J Cn K ) ) $=
      ( vx vy vd ve wcel co cfv cr crp eqid wa cnv ccn cba wf clt wbr cabs cmin
      cv ccom cxp cres wi wral wrex nvf simprr cle w3a nvcl anim12d remet metcl
      ex cmet mp3an1 syl6 3impib imsmet syl3an1 c1 cneg cns cpv nvabs remetdval
      wceq syl imsdval2 3brtr4d jca31 3expa rpre lelttr expdimp an32s ralrimdva
      syl2an impr breq2 rspceaimv syl2anc ralrimivva wb imsxmet rexmet cioo crn
      cxmet ctg cmopn tgioo eqtri metcn sylancl mpbir2and ) BUANZECDUBONZBUCPZQ
      EUDZJUIZKUIZAOZLUIZUEUFZXKEPZXLEPZUGUHUJQQUKULZOZMUIZUEUFZUMKXIUNLRUOZMRU
      NJXIUNZBEXIXISZFUPXGYBJMXIRXGXKXINZXTRNZTTYFXMXTUEUFZYAUMZKXIUNZYBXGYEYFU
      QXGYEYFYIXGYETZYFYHKXIYJXLXINZTZYFYHYLXSQNZXMQNZTZXSXMURUFZTZXTQNZYHYFXGY
      EYKYQXGYEYKUSZYMYNYPXGYEYKYMXGYEYKTXPQNZXQQNZTZYMXGYEYTYKUUAXGYEYTXKBEXIY
      DFUTVDXGYKUUAXLBEXIYDFUTVDVAZXRQVEPNYTUUAYMXRXRSZVBXPXQXRQVCVFVGVHXGAXIVE
      PNYEYKYNABXIYDGVIXKXLAXIVCVJYSXPXQUHOUGPZXKVKVLXLBVMPZOBVNPZOEPXSXMURXKXL
      UUFBUUGEXIYDUUGSZUUFSZFVOYSUUBXSUUEVQXGYEYKUUBUUCVHXPXQXRUUDVPVRXKXLAUUFB
      UUGEXIYDUUHUUIFGVSVTWAWBXTWCYOYRYPYHYOYRTYPYGYAYMYNYRYPYGTYAUMXSXMXTWDWBW
      EWFWHVDWGWIXOYGYALKXTRXIXNXTXMUEWJWKWLWMXGAXIWSPNXRQWSPNXHXJYCTWNABXIYDGW
      OXRUUDWPJMLKAXRECDXIQHDWQWRWTPXRXAPZIXRUUJUUDUUJSXBXCXDXEXF $.
  $}

  ${
    nmcnc.1 $e |- N = ( normCV ` U ) $.
    nmcnc.2 $e |- C = ( IndMet ` U ) $.
    nmcnc.j $e |- J = ( MetOpen ` C ) $.
    nmcnc.k $e |- K = ( TopOpen ` CCfld ) $.
    $( The norm of a normed complex vector space is a continuous function to
       ` CC ` .  (For ` RR ` , see ~ nmcvcn .)  (Contributed by NM,
       12-Aug-2007.)  (New usage is discouraged.) $)
    nmcnc $p |- ( U e. NrmCVec -> N e. ( J Cn K ) ) $=
      ( cnv wcel cr crest co ccn ctop wss cnfldtop cnrest2r ax-mp tgioo2 eqcomi
      cioo crn ctg cfv nmcvcn sselid ) BJKCDLMNZONZCDONZEDPKUJUKQDIRLCDSTABCUIE
      FGHUCUDUEUFUIDIUAUBUGUH $.
  $}

  ${
    $d r s w x y z C $.  $d r s w x y z J $.  $d s w z T $.  $d r x y U $.
    $d r s w x y z K $.  $d r s w x y z S $.  $d r s w x y z X $.
    smcn.c $e |- C = ( IndMet ` U ) $.
    smcn.j $e |- J = ( MetOpen ` C ) $.
    smcn.s $e |- S = ( .sOLD ` U ) $.
    smcn.k $e |- K = ( TopOpen ` CCfld ) $.
    ${
      smcn.x $e |- X = ( BaseSet ` U ) $.
      smcn.n $e |- N = ( normCV ` U ) $.
      smcn.u $e |- U e. NrmCVec $.
      smcn.t $e |- T = ( 1 / ( 1 + ( ( ( ( N ` y ) +
                         ( abs ` x ) ) + 1 ) / r ) ) ) $.
      $( Lemma for ~ smcn .  (Contributed by Mario Carneiro, 5-May-2014.)
         (Revised by Mario Carneiro, 10-Sep-2015.)
         (New usage is discouraged.) $)
      smcnlem $p |- S e. ( ( K tX J ) Cn J ) $=
        ( co vz vs vw ctx ccn wcel cc cxp wf cv cabs cmin ccom clt wbr wral crp
        wa wi wrex cnv nvsf ax-mp c1 cfv caddc cdiv cr simpr nvcl sylancr abscl
        1rp adantr readdcld cc0 cle nvge0 absge0 addge0d ge0p1rpd rpdivcl sylan
        rpaddcl rpreccld eqeltrid cmet imsmet a1i simplll simpllr nvscl syl3anc
        simprll simprlr metcl rpre ad2antlr mettri syl13anc abscld peano2re syl
        cmul rpred remulcld cnsb subcld eqid nvmcl abssubd wceq cnmetdval eqtrd
        syl2anc simprrl eqbrtrrd ltled eqbrtrd lemul1ad mulcomd breqtrd absge0d
        rpcnd recnd pncan3d fveq2d abstrid 1red letrd cneg neg1cn oveq2d oveq1d
        imsdval nvs 3eqtr2d lelttrd breq2 cxmet ltaddrp mpbid eqbrtrid leadd2dd
        1re recgt1d simprrr lemul12ad le2addd cpv imsdval2 mulcl mulm1d negsubd
        nvdir nvsass 3eqtr3d oveq12d 1cnd addassd adddird 3brtr4d oveq2i rpne0d
        nvmdi divrecd eqtr4id simplr ltp1d addcomd ltdiv23d expr anbi12d imbi1d
        ralrimivva 2ralbidv rspcev ralrimiva rgen2 wb imsxmet cnfldtopn txmetcn
        cnxmet mp3an mpbir2an ) DHGUDTGUETUFZUGJUHJDUIZAUJZUAUJZUKULUMZTZUBUJZU
        NUOZBUJZUCUJZCTZUWMUNUOZURZUWIUWODTZUWJUWPDTZCTZKUJZUNUOZUSZUCJUPUAUGUP
        ZUBUQUTZKUQUPZBJUPAUGUPZFVAUFZUWHRDFJPNVBVCUXHABUGJUWIUGUFZUWOJUFZURZUX
        GKUQUXMUXCUQUFZURZEUQUFZUWLEUNUOZUWQEUNUOZURZUXDUSZUCJUPUAUGUPZUXGUXOEV
        DVDUWOIVEZUWIUKVEZVFTZVDVFTZUXCVGTZVFTZVGTZUQSUXOUYGUXOVDUQUFUYFUQUFZUY
        GUQUFZVMUXMUYEUQUFUXNUYIUXMUYDUXMUYBUYCUXMUXJUXLUYBVHUFZRUXKUXLVIZUWOFI
        JPQVJZVKZUXKUYCVHUFZUXLUWIVLVNZVOUXMUYBUYCUYNUYPUXMUXJUXLVPUYBVQUOZRUYL
        UWOFIJPQVRZVKUXKVPUYCVQUOUXLUWIVSVNVTWAUYEUXCWBWCZVDUYFWDVKZWEWFZUXOUXT
        UAUCUGJUXOUWJUGUFZUWPJUFZURZUXSUXDUXOVUDUXSURZURZUXBUWTUWJUWODTZCTZVUGU
        XACTZVFTZUXCVUFCJWGVEUFZUWTJUFZUXAJUFZUXBVHUFVUKVUFUXJVUKRCFJPLWHVCWIZV
        UFUXJUXKUXLVULUXJVUFRWIZUXKUXLUXNVUEWJZUXKUXLUXNVUEWKZUWIUWODFJPNWLWMZV
        UFUXJVUBVUCVUMVUOUXOVUBVUCUXSWNZUXOVUBVUCUXSWOZUWJUWPDFJPNWLWMZUWTUXACJ
        WPWMVUFVUHVUIVUFVUKVULVUGJUFZVUHVHUFVUNVURVUFUXJVUBUXLVVBVUOVUSVUQUWJUW
        ODFJPNWLWMZUWTVUGCJWPWMVUFVUKVVBVUMVUIVHUFVUNVVCVVAVUGUXACJWPWMVOZUXNUX
        CVHUFUXMVUEUXCWQWRZVUFVUKVULVUMVVBUXBVUJVQUOVUNVURVVAVVCUWTUXAVUGCJWSWT
        VUFVUJUYEEXDTZUXCVVDVUFUYEEVUFUYDVHUFUYEVHUFVUFUYBUYCVUFUXJUXLUYKRVUQUY
        MVKZVUFUWIVUPXAZVOUYDXBXCZVUFEUXOUXPVUEVUAVNZXEZXFVVEVUFUWIUWJULTZUKVEZ
        UYBXDTZUWJUKVEZUWOUWPFXGVEZTZIVEZXDTZVFTUYBEXDTZUYCVDVFTZEXDTZVFTZVUJVV
        FVQVUFVVNVVSVVTVWBVUFVVMUYBVUFVVLVUFUWIUWJVUPVUSXHZXAZVVGXFVUFVVOVVRVUF
        UWJVUSXAZVUFUXJVVQJUFZVVRVHUFRVUFUXJUXLVUCVWGVUOVUQVUTUWOUWPFVVPJPVVPXI
        ZXJWMZVVQFIJPQVJVKZXFVUFUYBEVVGVVKXFVUFVWAEVUFUYOVWAVHUFVVHUYCXBXCZVVKX
        FVUFVVNEUYBXDTVVTVQVUFVVMEUYBVWEVVKVVGVUFUXJUXLUYQRVUQUYRVKVUFVVMUWJUWI
        ULTZUKVEZEVQVUFUWIUWJVUPVUSXKZVUFVWMEVUFVWLVUFUWJUWIVUSVUPXHZXAZVVKVUFU
        WLVWMEUNVUFUWLVVMVWMVUFUXKVUBUWLVVMXLVUPVUSUWIUWJUWKUWKXIXMXOVWNXNUXOVU
        DUXQUXRXPXQXRZXSXTVUFEUYBVUFEVVJYDZVUFUYBVVGYEZYAYBVUFVVOVWAVVREVWFVWKV
        WJVVKVUFUWJVUSYCVUFUXJVWGVPVVRVQUORVWIVVQFIJPQVRVKVUFVVOUYCVWMVFTZVWAVW
        FVUFUYCVWMVVHVWPVOVWKVUFUWIVWLVFTZUKVEVVOVWTVQVUFVXAUWJUKVUFUWIUWJVUPVU
        SYFYGVUFUWIVWLVUPVWOYHXQVUFVWMVDUYCVWPVUFYIZVVHVUFVWMEVDVWPVVKVXBVWQVUF
        EVDVVKVXBVUFEUYHVDUNSVUFVDUYGUNUOZUYHVDUNUOVUFVDVHUFUYIVXCUUEUXOUYIVUEU
        YSVNZVDUYFUUAVKVUFUYGUXOUYJVUEUYTVNZUUFUUBUUCXRYJUUDYJVUFVVREVWJVVKVUFU
        WQVVREUNVUFUXJUXLVUCUWQVVRXLVUOVUQVUTUWOUWPCFVVPIJPVWHQLYOWMUXOVUDUXQUX
        RUUGXQXRUUHUUIVUFVUHVVNVUIVVSVFVUFVUHUWTVDYKZVUGDTZFUUJVEZTZIVEZVVLUWOD
        TZIVEZVVNVUFUXJVULVVBVUHVXJXLVUOVURVVCUWTVUGCDFVXHIJPVXHXIZNQLUUKWMVUFV
        XKVXIIVUFUWIVXFUWJXDTZVFTZUWODTZUWTVXNUWODTZVXHTZVXKVXIVUFUXJUXKVXNUGUF
        ZUXLVXPVXRXLVUOVUPVUFVXFUGUFZVUBVXSYLVUSVXFUWJUULVKVUQUWIVXNUWODFVXHJPV
        XMNUUOWTVUFVXOVVLUWODVUFVXOUWIUWJYKZVFTVVLVUFVXNVYAUWIVFVUFUWJVUSUUMYMV
        UFUWIUWJVUPVUSUUNXNYNVUFVXQVXGUWTVXHVUFUXJVXTVUBUXLVXQVXGXLVUOVXTVUFYLW
        IVUSVUQVXFUWJUWODFJPNUUPWTYMUUQYGVUFUXJVVLUGUFUXLVXLVVNXLVUOVWDVUQVVLUW
        ODFIJPNQYPWMYQVUFVUIVUGUXAVVPTZIVEZUWJVVQDTZIVEZVVSVUFUXJVVBVUMVUIVYCXL
        VUOVVCVVAVUGUXACFVVPIJPVWHQLYOWMVUFVYDVYBIVUFUXJVUBUXLVUCVYDVYBXLVUOVUS
        VUQVUTUWJUWOUWPDFVVPJPVWHNUVEWTYGVUFUXJVUBVWGVYEVVSXLVUOVUSVWIUWJVVQDFI
        JPNQYPWMYQUURVUFVVFUYBVWAVFTZEXDTVWCVUFUYEVYFEXDVUFUYBUYCVDVWSVUFUYCVVH
        YEVUFUUSZUUTYNVUFUYBVWAEVWSVUFVWAVWKYEVWRUVAXNUVBVUFVVFUYEUYGVGTZUXCUNV
        UFVVFUYEUYHXDTVYHEUYHUYEXDSUVCVUFUYEUYGVUFUYEVVIYEVUFUYGVXEYDVUFUYGVXEU
        VDUVFUVGVUFUYEUXCUYGVVIUXMUXNVUEUVHVXEVUFUYFUYFVDVFTUYGUNVUFUYFVUFUYFVX
        DXEUVIVUFUYFVDVUFUYFVXDYDVYGUVJYBUVKXSYRYRUVLUVOUXFUYAUBEUQUWMEXLZUXEUX
        TUAUCUGJVYIUWSUXSUXDVYIUWNUXQUWRUXRUWMEUWLUNYSUWMEUWQUNYSUVMUVNUVPUVQXO
        UVRUVSUWKUGYTVEUFCJYTVEUFZVYJUWGUWHUXIURUVTUWDUXJVYJRCFJPLUWAVCZVYKABKU
        BUCUAUWKCCDHGGUGJJHOUWBMMUWCUWEUWF $.
    $}

    $( Scalar multiplication is jointly continuous in both arguments.
       (Contributed by NM, 16-Jun-2009.)  (Revised by Mario Carneiro,
       5-May-2014.)  (New usage is discouraged.) $)
    smcn $p |- ( U e. NrmCVec -> S e. ( ( K tX J ) Cn J ) ) $=
      ( wcel ctx co ccn caddc cns cfv cims cmopn syl5eq eqid vx vy cnv cmul cop
      vr cabs cif wceq fveq2 fveq2d oveq2d oveq12d eleq12d c1 cv cnmcv cdiv cba
      elimnvu smcnlem dedth ) CUCJZBEDKLZDMLZJVCCNUDUEUGUEZUHZOPZEVGQPZRPZKLZVJ
      MLZJCVFCVGUIZBVHVEVLVMBCOPVHHCVGOUJSVMVDVKDVJMVMDVJEKVMDARPVJGVMAVIRVMACQ
      PVIFCVGQUJSUKSZULVNUMUNUAUBVIVHUOUOUBUPVGUQPZPUAUPUGPNLUONLUFUPURLNLURLZV
      GVJEVOVGUSPZUFVITVJTVHTIVQTVOTCUTVPTVAVB $.
  $}

  ${
    $d x y J $.  $d x y M $.  $d x y U $.
    vmcn.c $e |- C = ( IndMet ` U ) $.
    vmcn.j $e |- J = ( MetOpen ` C ) $.
    vmcn.m $e |- M = ( -v ` U ) $.
    $( Vector subtraction is jointly continuous in both arguments.
       (Contributed by Mario Carneiro, 6-May-2014.)
       (New usage is discouraged.) $)
    vmcn $p |- ( U e. NrmCVec -> M e. ( ( J tX J ) Cn J ) ) $=
      ( vx vy cnv wcel cba cfv cv co eqid ctopon cc a1i cnmpt22f c1 cns cpv ctx
      cneg cmpo ccn nvmfval cxmet imsxmet mopntopon syl ccnfld ctopn cnfldtopon
      cnmpt1st neg1cn cnmpt2c cnmpt2nd smcn vacn eqeltrd ) BJKZDHIBLMZVDHNZUAUE
      ZINZBUBMZOZBUCMZOUFCCUDOCUGOHIVHBVJDVDVDPZVJPZVHPZGUHVCHIVEVIVJCCCCCVDVDV
      CAVDUIMKCVDQMKABVDVKEUJACVDFUKULZVNVCHICCVDVDVNVNUPVCHIVFVGVHCCUMUNMZCCVD
      VDVNVNVCHIVFCCVOVDVDRVNVNVORQMKVCVOVOPZUOSVFRKVCUQSURVCHICCVDVDVNVNUSAVHB
      CVOEFVMVPUTTABVJCEFVLVATVB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Inner product
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c .iOLD $.

  $( Extend class notation with the class inner product functions. $)
  cdip $a class .iOLD $.

  ${
    $d k u x y $.
    $( Define a function that maps a normed complex vector space to its inner
       product operation in case its norm satisfies the parallelogram identity
       (otherwise the operation is still defined, but not meaningful).  Based
       on Exercise 4(a) of [ReedSimon] p. 63 and Theorem 6.44 of [Ponnusamy]
       p. 361.  Vector addition is ` ( 1st `` w ) ` , the scalar product is
       ` ( 2nd `` w ) ` , and the norm is ` n ` .  (Contributed by NM,
       10-Apr-2007.)  (New usage is discouraged.) $)
    df-dip $a |- .iOLD = ( u e. NrmCVec |->
      ( x e. ( BaseSet ` u ) , y e. ( BaseSet ` u ) |->
    ( sum_ k e. ( 1 ... 4 ) ( ( _i ^ k ) x. ( ( ( normCV ` u ) ` ( x ( +v ` u )
        ( ( _i ^ k ) ( .sOLD ` u ) y ) ) ) ^ 2 ) ) / 4 ) ) ) $.

$(
    df-dip $a |- .iOLD = { <. x , y >. | ( x e. NrmCVec /\ E. g E. s E. n
            ( x = <. <. g , s >. , n >. /\ y = { <. <. a , b >. , c >. |
            ( ( a e. dom n /\ b e. dom n ) /\ c = ( sum_ k e. ( 1 ... 4 )
             ( ( _i ^ k ) x. ( ( n ` ( a g ( ( _i ^ k ) s b ) ) ) ^ 2 ) )
              / 4 ) ) } ) ) } $.

    df-dip $a |- .iOLD = { <. x , y >. | ( x e. NrmCVec /\ E. g E. s E. n
            ( x = <. <. g , s >. , n >. /\ y = { <. <. a , b >. , c >. |
            ( ( a e. dom n /\ b e. dom n ) /\ c =
                ( ( ( ( ( n ` ( a g b ) ) ^ 2 ) +
                ( ( n ` ( a g ( -u 1 s b ) ) ) ^ 2 ) ) +
                ( _i x. ( ( ( n ` ( a g ( _i s b ) ) ) ^ 2 ) +
                ( ( n ` ( a g ( -u _i s b ) ) ) ^ 2 ) ) ) ) / 4 ) ) } ) ) } $.
$)
  $}

  ${
    $d k u x y G $.  $d k u x y N $.  $d k u x y S $.  $d k u x y U $.
    $d k x y A $.  $d k x y B $.  $d k u x y X $.
    dipfval.1 $e |- X = ( BaseSet ` U ) $.
    dipfval.2 $e |- G = ( +v ` U ) $.
    dipfval.4 $e |- S = ( .sOLD ` U ) $.
    dipfval.6 $e |- N = ( normCV ` U ) $.
    dipfval.7 $e |- P = ( .iOLD ` U ) $.
    $( The inner product function on a normed complex vector space.  The
       definition is meaningful for vector spaces that are also inner product
       spaces, i.e. satisfy the parallelogram law.  (Contributed by NM,
       10-Apr-2007.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    dipfval $p |- ( U e. NrmCVec -> P = ( x e. X , y e. X |->
      ( sum_ k e. ( 1 ... 4 ) ( ( _i ^ k ) x.
        ( ( N ` ( x G ( ( _i ^ k ) S y ) ) ) ^ 2 ) ) / 4 ) ) ) $=
      ( cfv c4 co cv cexp cba vu cnv wcel cdip c1 cfz ci cmul csu cdiv cmpo cns
      c2 cnmcv wceq fveq2 eqtr4di eqidd oveqd oveq123d fveq12d oveq1d sumeq2sdv
      cpv oveq2d mpoeq123dv df-dip fvexi mpoex fvmpt syl5eq ) EUBUCCEUDOABIIUEP
      UFQZUGFRSQZARZVMBRZDQZGQZHOZUMSQZUHQZFUIZPUJQZUKZNUAEABUARZTOZWEVLVMVNVMV
      OWDULOZQZWDVDOZQZWDUNOZOZUMSQZUHQZFUIZPUJQZUKWCUBUDWDEUOZABWEWEWOIIWBWPWE
      ETOIWDETUPJUQZWQWPWNWAPUJWPVLWMVTFWPWLVSVMUHWPWKVRUMSWPWIVQWJHWPWJEUNOHWD
      EUNUPMUQWPVNVNWGVPWHGWPWHEVDOGWDEVDUPKUQWPVNURWPWFDVMVOWPWFEULODWDEULUPLU
      QUSUTVAVBVEVCVBVFABUAFVGABIIWBIETJVHZWRVIVJVK $.

    $( Value of the inner product.  The definition is meaningful for normed
       complex vector spaces that are also inner product spaces, i.e. satisfy
       the parallelogram law, although for convenience we define it for any
       normed complex vector space.  The vector (group) addition operation is
       ` G ` , the scalar product is ` S ` , the norm is ` N ` , and the set of
       vectors is ` X ` .  Equation 6.45 of [Ponnusamy] p. 361.  (Contributed
       by NM, 31-Jan-2007.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    ipval $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) -> ( A P B ) =
                ( sum_ k e. ( 1 ... 4 ) ( ( _i ^ k ) x. ( ( N ` ( A G
                    ( ( _i ^ k ) S B ) ) ) ^ 2 ) ) / 4 ) ) $=
      ( co c4 cexp c2 cmul cdiv vx vy cnv wcel c1 cfz ci cv cfv wceq wa dipfval
      csu cmpo oveqd fvoveq1 oveq1d oveq2d sumeq2sdv oveq2 fveq2d eqid sylan9eq
      ovex ovmpo 3impb ) EUCUDZAIUDZBIUDZABCOZUEPUFOZUGFUHQOZAVLBDOZGOZHUIZRQOZ
      SOZFUMZPTOZUJVGVHVIUKVJABUAUBIIVKVLUAUHZVLUBUHZDOZGOHUIZRQOZSOZFUMZPTOZUN
      ZOVSVGCWHABUAUBCDEFGHIJKLMNULUOUAUBABIIWGVSWHVKVLAWBGOZHUIZRQOZSOZFUMZPTO
      VTAUJZWFWMPTWNVKWEWLFWNWDWKVLSWNWCWJRQVTAWBHGUPUQURUSUQWABUJZWMVRPTWOVKWL
      VQFWOWKVPVLSWOWJVORQWOWIVNHWOWBVMAGWABVLDUTURVAUQURUSUQWHVBVRPTVDVEVCVF
      $.

    $( Lemma for ~ ipval3 .  (Contributed by NM, 1-Feb-2007.)
       (New usage is discouraged.) $)
    ipval2lem2 $p |- ( ( ( U e. NrmCVec /\ A e. X /\ B e. X ) /\ C e. CC ) ->
               ( ( N ` ( A G ( C S B ) ) ) ^ 2 ) e. RR ) $=
      ( cnv wcel w3a cc wa co cfv cr simpl1 simpl2 nvscl 3expa 3adantl2 syl3anc
      3com23 nvgcl nvcl syl2anc resqcld ) FOPZAIPZBIPZQCRPZSZACBETZGTZHUAZURUNU
      TIPZVAUBPUNUOUPUQUCZURUNUOUSIPZVBVCUNUOUPUQUDUNUPUQVDUOUNUPUQVDUNUQUPVDCB
      EFIJLUEUIUFUGAUSFGIJKUJUHUTFHIJMUKULUM $.

    $( Lemma for ~ ipval3 .  (Contributed by NM, 1-Feb-2007.)
       (New usage is discouraged.) $)
    ipval2lem3 $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
               ( ( N ` ( A G B ) ) ^ 2 ) e. RR ) $=
      ( wcel c1 co cfv c2 cexp cr cnv w3a wa nvsid oveq2d fveq2d oveq1d 3adant2
      wceq cc ax-1cn ipval2lem2 mpan2 eqeltrrd ) EUANZAHNZBHNZUBZAOBDPZFPZGQZRS
      PZABFPZGQZRSPZTUOUQVBVEUIUPUOUQUCZVAVDRSVFUTVCGVFUSBAFBDEHIKUDUEUFUGUHURO
      UJNVBTNUKABOCDEFGHIJKLMULUMUN $.

    $( Lemma for ~ ipval3 .  (Contributed by NM, 1-Feb-2007.)
       (New usage is discouraged.) $)
    ipval2lem4 $p |- ( ( ( U e. NrmCVec /\ A e. X /\ B e. X ) /\ C e. CC ) ->
               ( ( N ` ( A G ( C S B ) ) ) ^ 2 ) e. CC ) $=
      ( cnv wcel w3a cc wa co cfv c2 cexp ipval2lem2 recnd ) FOPAIPBIPQCRPSACBE
      TGTHUAUBUCTABCDEFGHIJKLMNUDUE $.

    $( Expansion of the inner product value ~ ipval .  (Contributed by NM,
       31-Jan-2007.)  (Revised by Mario Carneiro, 5-May-2014.)
       (New usage is discouraged.) $)
    ipval2 $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) -> ( A P B )
               = ( ( ( ( ( N ` ( A G B ) ) ^ 2 ) -
               ( ( N ` ( A G ( -u 1 S B ) ) ) ^ 2 ) ) +
               ( _i x. ( ( ( N ` ( A G ( _i S B ) ) ) ^ 2 ) -
               ( ( N ` ( A G ( -u _i S B ) ) ) ^ 2 ) ) ) ) / 4 ) ) $=
      ( wcel co c1 ci cexp c2 cmul vk cnv w3a c4 cfz cv cfv csu cdiv cneg caddc
      cmin ipval cc ax-icn ipval2lem4 mpan2 mulcl sylancr neg1cn subcld negsubd
      negicn mulm1d oveq2d mulneg1 oveq12d mp3an1 syl2anc oveq1d sub32d 3eqtr4d
      eqtrd wceq subdi wa nvsid fveq2d 3adant2 ipval2lem3 recnd mulid2d cn nnuz
      c3 df-4 oveq2 i4 eqtrdi cn0 nnnn0 expcl adantl sylan2 mulcld df-3 i3 df-2
      i2 cz 1z exp1 ax-mp fsum1 1nn jctil eqidd fsump1i simprd subadd23d eqtr4d
      addcomd ) EUBNZAHNZBHNZUCZABCOPUDUEOQUAUFZROZAXRBDOZFOZGUGZSROZTOZUAUHZUD
      UIOABFOZGUGZSROZAPUJZBDOZFOZGUGZSROZULOZQAQBDOZFOZGUGZSROZAQUJZBDOZFOZGUG
      ZSROZULOZTOZUKOZUDUIOABCDEUAFGHIJKLMUMXPYDUUEUDUIXPQYQTOZYHYLTOZUKOZYRUUB
      TOZUKOZPAPBDOZFOZGUGZSROZTOZUKOZUUDYLULOZYGUKOZYDUUEXPUUJUUQUUOYGUKXPUUFY
      LULOZQUUBTOZUJZUKOUUSUUTULOZUUJUUQXPUUSUUTXPUUFYLXPQUNNZYQUNNZUUFUNNZUOXP
      UVCUVDUOABQCDEFGHIJKLMUPUQZQYQURUSZXPYHUNNYLUNNUTABYHCDEFGHIJKLMUPUQZVAXP
      UVCUUBUNNZUUTUNNUOXPYRUNNUVIVCABYRCDEFGHIJKLMUPUQZQUUBURUSZVBXPUUHUUSUUIU
      VAUKXPUUHUUFYLUJZUKOUUSXPUUGUVLUUFUKXPYLUVHVDVEXPUUFYLUVGUVHVBVMXPUVCUVIU
      UIUVAVNUOUVJQUUBVFUSVGXPUUQUUFUUTULOZYLULOUVBXPUUDUVMYLULXPUVDUVIUUDUVMVN
      ZUVFUVJUVCUVDUVIUVNUOQYQUUBVOVHVIVJXPUUFUUTYLUVGUVKUVHVKVMVLXPUUOPYGTOYGX
      PUUNYGPTXMXOUUNYGVNXNXMXOVPZUUMYFSRUVOUULYEGUVOUUKBAFBDEHIKVQVEVRVJVSVEXP
      YGXPYGABCDEFGHIJKLMVTWAZWBVMVGXPUDWCNYDUUPVNXPYCUUOUUJUUPUAWEPUDWCWDWFXQU
      DVNZXRPYBUUNTUVQXRQUDROPXQUDQRWGWHWIZUVQYAUUMSRUVQXTUULGUVQXSUUKAFUVQXRPB
      DUVRVJVEVRVJVGXPXQWCNZVPXRYBUVSXRUNNZXPUVSUVCXQWJNUVTUOXQWKQXQWLUSZWMUVSX
      PUVTYBUNNUWAABXRCDEFGHIJKLMUPWNWOZXPYCUUIUUHUUJUASPWEWCWDWPXQWEVNZXRYRYBU
      UBTUWCXRQWEROYRXQWEQRWGWQWIZUWCYAUUASRUWCXTYTGUWCXSYSAFUWCXRYRBDUWDVJVEVR
      VJVGUWBXPYCUUGUUFUUHUAPPSWCWDWRXQSVNZXRYHYBYLTUWEXRQSROYHXQSQRWGWSWIZUWEY
      AYKSRUWEXTYJGUWEXSYIAFUWEXRYHBDUWFVJVEVRVJVGUWBXPPPUEOYCUAUHUUFVNZPWCNXPP
      WTNUVEUWGXAUVGYCUUFUAPXQPVNZXRQYBYQTUWHXRQPROZQXQPQRWGUVCUWIQVNUOQXBXCWIZ
      UWHYAYPSRUWHXTYOGUWHXSYNAFUWHXRQBDUWJVJVEVRVJVGXDUSXEXFXPUUHXGXHXPUUJXGXH
      XPUUPXGXHXIXPUUEUUDYMUKOUURXPYMUUDXPYGYLUVPUVHVAXPUVCUUCUNNUUDUNNUOXPYQUU
      BUVFUVJVAQUUCURUSZXLXPUUDYLYGUWKUVHUVPXJXKVLVJVM $.

    $( Four times the inner product value ~ ipval3 , useful for simplifying
       certain proofs.  (Contributed by NM, 10-Apr-2007.)
       (New usage is discouraged.) $)
    4ipval2 $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
        ( 4 x. ( A P B ) ) = ( ( ( ( N ` ( A G B ) ) ^ 2 ) -
               ( ( N ` ( A G ( -u 1 S B ) ) ) ^ 2 ) ) +
               ( _i x. ( ( ( N ` ( A G ( _i S B ) ) ) ^ 2 ) -
               ( ( N ` ( A G ( -u _i S B ) ) ) ^ 2 ) ) ) ) ) $=
      ( wcel c4 co cmul cfv ci cc cnv w3a c2 cexp cneg cmin caddc ipval2 oveq2d
      c1 cdiv wceq cr simp1 nvgcl nvcl syl2anc recnd sqcld neg1cn nvscl 3adant2
      mp3an2 syld3an3 subcld ax-icn negicn mulcl sylancr addcld cc0 wne divcan2
      4cn 4ne0 mp3an23 syl eqtrd ) EUANZAHNZBHNZUBZOABCPZQPOABFPZGRZUCUDPZAUJUE
      ZBDPZFPZGRZUCUDPZUFPZSASBDPZFPZGRZUCUDPZASUEZBDPZFPZGRZUCUDPZUFPZQPZUGPZO
      UKPZQPZXDWBWCXEOQABCDEFGHIJKLMUHUIWBXDTNZXFXDULZWBWLXCWBWFWKWBWEWBWEWBVSW
      DHNWEUMNVSVTWAUNZABEFHIJUOWDEGHILUPUQURUSWBWJWBWJWBVSWIHNZWJUMNXIVSVTWAWH
      HNZXJVSWAXKVTVSWGTNWAXKUTWGBDEHIKVAVCVBAWHEFHIJUOVDWIEGHILUPUQURUSVEWBSTN
      ZXBTNXCTNVFWBWPXAWBWOWBWOWBVSWNHNZWOUMNXIVSVTWAWMHNZXMVSWAXNVTVSXLWAXNVFS
      BDEHIKVAVCVBAWMEFHIJUOVDWNEGHILUPUQURUSWBWTWBWTWBVSWSHNZWTUMNXIVSVTWAWRHN
      ZXOVSWAXPVTVSWQTNWAXPVGWQBDEHIKVAVCVBAWREFHIJUOVDWSEGHILUPUQURUSVESXBVHVI
      VJXGOTNOVKVLXHVNVOXDOVMVPVQVR $.

    ${
      ipval3.3 $e |- M = ( -v ` U ) $.
      $( Expansion of the inner product value ~ ipval .  (Contributed by NM,
         17-Nov-2007.)  (New usage is discouraged.) $)
      ipval3 $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) -> ( A P B )
               = ( ( ( ( ( N ` ( A G B ) ) ^ 2 ) -
               ( ( N ` ( A M B ) ) ^ 2 ) ) +
               ( _i x. ( ( ( N ` ( A G ( _i S B ) ) ) ^ 2 ) -
               ( ( N ` ( A M ( _i S B ) ) ) ^ 2 ) ) ) ) / 4 ) ) $=
        ( wcel co c2 cexp ci cnv w3a cfv c1 cneg cmin cmul caddc c4 cdiv ipval2
        nvmval fveq2d oveq1d oveq2d wceq cc ax-icn nvscl mp3an2 syld3an3 neg1cn
        3adant2 wa nvsass mp3anr1 mpanr1 mulm1i oveq1i eqtr3di oveq12d eqtr4d
        eqtrd ) EUAPZAIPZBIPZUBZABCQABFQHUCRSQZAUDUEZBDQFQZHUCZRSQZUFQZTATBDQZF
        QHUCRSQZATUEZBDQZFQZHUCZRSQZUFQZUGQZUHQZUIUJQVRABGQZHUCZRSQZUFQZTWEAWDG
        QZHUCZRSQZUFQZUGQZUHQZUIUJQABCDEFHIJKLMNUKVQXCWMUIUJVQWQWCXBWLUHVQWPWBV
        RUFVQWOWARSVQWNVTHABDEFGIJKLOULUMUNUOVQXAWKTUGVQWTWJWEUFVQWSWIRSVQWRWHH
        VQWRAVSWDDQZFQZWHVNVOVPWDIPZWRXEUPVNVPXFVOVNTUQPZVPXFURTBDEIJLUSUTVCAWD
        DEFGIJKLOULVAVQXDWGAFVNVPXDWGUPVOVNVPVDVSTUGQZBDQZXDWGVNXGVPXIXDUPZURVN
        VSUQPXGVPXJVBVSTBDEIJLVEVFVGXHWFBDTURVHVIVJVCUOVMUMUNUOUOVKUNVL $.
    $}
  $}

  ${
    ipid.1 $e |- X = ( BaseSet ` U ) $.
    ipid.6 $e |- N = ( normCV ` U ) $.
    ipid.7 $e |- P = ( .iOLD ` U ) $.
    $( The inner product of a vector with itself is the square of the vector's
       norm.  Equation I4 of [Ponnusamy] p. 362.  (Contributed by NM,
       1-Feb-2007.)  (New usage is discouraged.) $)
    ipidsq $p |- ( ( U e. NrmCVec /\ A e. X ) ->
                ( A P A ) = ( ( N ` A ) ^ 2 ) ) $=
      ( wcel co cfv c2 cexp c1 ci cmul caddc wceq cc0 cc cnv wa cpv cneg cns c4
      cmin cdiv eqid ipval2 3anidm23 nv2 fveq2d cr cle wbr pm3.2i nvsge0 mp3an2
      2re 0le2 eqtrd oveq1d nvcl recnd cn0 2cn mulexp mp3an13 syl oveq1i eqtrdi
      2nn0 sq2 cn0v nvrinv adantr sq0id oveq12d 4cn sqcld mulcl sylancr subid1d
      nvz0 csqrt 1re neg1rr absreim mp2an ax-icn ax-1cn mulneg2i mulid1i negeqi
      eqtri oveq2i fveq2i sqneg ax-mp 3eqtr3i 3eqtr2i negicn addcli nvs 3eqtr4a
      cabs nvdir mp3anr1 mpanr1 nvsid 3eqtr3d oveq2d w3a ipval2lem4 mpan2 it0e0
      subidd addid1d eqtr2d wne 4ne0 divcan3 mp3an23 3eqtr2d ) CUAIZAEIZUBZAABJ
      ZAACUCKZJZDKZLMJZANUDZACUEKZJYJJZDKZLMJZUGJZOAOAYOJZYJJZDKZLMJZAOUDZAYOJZ
      YJJZDKZLMJZUGJZPJZQJZUFUHJZUFADKZLMJZPJZUFUHJZUUNYFYGYIUULRAABYOCYJDEFYJU
      IZYOUIZGHUJUKYHUUOUUKUFUHYHUUKUUOSQJUUOYHYSUUOUUJSQYHYSUUOSUGJUUOYHYMUUOY
      RSUGYHYMLUUMPJZLMJZUUOYHYLUUSLMYHYLLAYOJZDKZUUSYHYKUVADAYOCYJEFUUQUURULUM
      YFLUNIZSLUOUPZUBYGUVBUUSRUVCUVDUTVAUQLAYOCDEFUURGURUSVBVCYHUUTLLMJZUUNPJZ
      UUOYHUUMTIZUUTUVFRZYHUUMACDEFGVDVEZLTIUVGLVFIUVHVGVMLUUMLVHVIVJUVEUFUUNPV
      NVKVLVBYHYQYHYQCVOKZDKZSYHYPUVJDAYOCYJEUVJFUUQUURUVJUIZVPUMYFUVKSRYGCDUVJ
      UVLGWEVQVBVRVSYHUUOYHUFTIZUUNTIZUUOTIVTYHUUMUVIWAZUFUUNWBWCZWDVBYHUUJOSPJ
      SYHUUISOPYHUUIUUCUUCUGJSYHUUHUUCUUCUGYHUUGUUBLMYHNUUDQJZAYOJZDKZNOQJZAYOJ
      ZDKZUUGUUBYHUVQXGKZUUMPJZUVTXGKZUUMPJZUVSUWBUWCUWEUUMPUWCNLMJZUWGQJZWFKZN
      ONPJZQJZXGKZUWENOYNPJZQJZXGKZUWGYNLMJZQJZWFKZUWCUWINUNIZYNUNIUWOUWRRWGWHN
      YNWIWJUWNUVQXGUWMUUDNQUWMUWJUDUUDONWKWLWMUWJOOWKWNZWOWPWQWRUWQUWHWFUWPUWG
      UWGQNTIZUWPUWGRWLNWSWTWQWRXAUWSUWSUWLUWIRWGWGNNWIWJUWKUVTXGUWJONQUWTWQWRX
      BVKYFUVQTIYGUVSUWDRNUUDWLXCXDUVQAYOCDEFUURGXEUSYFUVTTIYGUWBUWFRNOWLWKXDUV
      TAYOCDEFUURGXEUSXFYHUVRUUFDYHUVRNAYOJZUUEYJJZUUFYFUUDTIZYGUVRUXCRZXCYFUXA
      UXDYGUXEWLNUUDAYOCYJEFUUQUURXHXIXJYHUXBAUUEYJAYOCEFUURXKZVCVBUMYHUWAUUADY
      HUWAUXBYTYJJZUUAYFOTIZYGUWAUXGRZWKYFUXAUXHYGUXIWLNOAYOCYJEFUUQUURXHXIXJYH
      UXBAYTYJUXFVCVBUMXLVCXMYHUUCYFYGUUCTIZYFYGYGXNUXHUXJWKAAOBYOCYJDEFUUQUURG
      HXOXPUKXRVBXMXQVLVSYHUUOUVPXSXTVCYHUVNUUPUUNRZUVOUVNUVMUFSYAUXKVTYBUUNUFY
      CYDVJYE $.

    $( Norm expressed in terms of inner product.  (Contributed by NM,
       11-Sep-2007.)  (New usage is discouraged.) $)
    ipnm $p |- ( ( U e. NrmCVec /\ A e. X ) ->
                ( N ` A ) = ( sqrt ` ( A P A ) ) ) $=
      ( cnv wcel wa co csqrt cfv c2 cexp ipidsq fveq2d nvcl nvge0 sqrtsqd
      eqtr2d ) CIJAEJKZAABLZMNADNZOPLZMNUEUCUDUFMABCDEFGHQRUCUEACDEFGSACDEFGTUA
      UB $.
  $}

  ${
    $d k A $.  $d k B $.  $d k x y U $.  $d k x y X $.
    ipcl.1 $e |- X = ( BaseSet ` U ) $.
    ipcl.7 $e |- P = ( .iOLD ` U ) $.
    $( An inner product is a complex number.  (Contributed by NM, 1-Feb-2007.)
       (Revised by Mario Carneiro, 5-May-2014.)  (New usage is discouraged.) $)
    dipcl $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                ( A P B ) e. CC ) $=
      ( vk cnv wcel w3a co c1 c4 cfz ci cexp cfv cc eqid cns cpv cnmcv cmul csu
      cv c2 cdiv ipval fzfid cn0 ax-icn elfznn nnnn0d sylancr adantl ipval2lem4
      wa expcl sylan2 mulcld fsumcl cc0 wne 4cn 4ne0 divcl mp3an23 syl eqeltrd
      ) DIJAEJBEJKZABCLMNOLZPHUFZQLZAVNBDUARZLDUBRZLDUCRZRUGQLZUDLZHUEZNUHLZSAB
      CVODHVPVQEFVPTZVOTZVQTZGUIVKVTSJZWASJZVKVLVSHVKMNUJVKVMVLJZURVNVRWGVNSJZV
      KWGPSJVMUKJWHULWGVMVMNUMUNPVMUSUOZUPWGVKWHVRSJWIABVNCVODVPVQEFWBWCWDGUQUT
      VAVBWENSJNVCVDWFVEVFVTNVGVHVIVJ $.

    $( Mapping for the inner product operation.  (Contributed by NM,
       28-Jan-2008.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    ipf $p |- ( U e. NrmCVec -> P : ( X X. X ) --> CC ) $=
      ( vx vy vk cnv wcel cxp cc wf c4 co cv cexp cfv wral eqid c1 cfz ci cnmcv
      cns cpv cmul csu cdiv cmpo w3a ipval dipcl eqeltrrd 3expib ralrimivv fmpo
      c2 sylib dipfval feq1d mpbird ) BIJZCCKZLAMVDLFGCCUANUBOUCHPQOZFPZVEGPZBU
      ERZOBUFRZOBUDRZRURQOUGOHUHNUIOZUJZMZVCVKLJZGCSFCSVMVCVNFGCCVCVFCJZVGCJZVN
      VCVOVPUKVFVGAOVKLVFVGAVHBHVIVJCDVITZVHTZVJTZEULVFVGABCDEUMUNUOUPFGCCVKLVL
      VLTUQUSVCVDLAVLFGAVHBHVIVJCDVQVRVSEUTVAVB $.

    $( The complex conjugate of an inner product reverses its arguments.
       Equation I1 of [Ponnusamy] p. 362.  (Contributed by NM, 1-Feb-2007.)
       (New usage is discouraged.) $)
    dipcj $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
               ( * ` ( A P B ) ) = ( B P A ) ) $=
      ( wcel co cfv c2 cexp cmin ci c4 cdiv wceq cc mpan2 cr cnv w3a ccj cpv c1
      cnmcv cneg cns cmul caddc eqid ipval2 fveq2d 3com23 ipval2lem3 ipval2lem4
      recnd neg1cn subcld ax-icn negicn mulcl sylancr addcld cc0 wne 4ne0 cjdiv
      4cn mp3an23 syl 4re cjre ax-mp oveq2i ipval2lem2 resubcld syl2anc submul2
      cjreim mp3an2 nvcom oveq1d oveq12d negsubdi2d eqcomd oveq2d 3eqtrd syl5eq
      nvdif nvpi eqtrd eqtr4d ) DUAHZAEHZBEHZUBZABCIZUCJABDUDJZIZDUFJZJZKLIZAUE
      UGZBDUHJZIWSIXAJZKLIZMIZNANBXEIWSIXAJZKLIZANUGZBXEIWSIXAJZKLIZMIZUIIZUJIZ
      OPIZUCJZBACIZWQWRXQUCABCXEDWSXAEFWSUKZXEUKZXAUKZGULUMWQXSBAWSIZXAJZKLIZBX
      DAXEIWSIXAJZKLIZMIZNBNAXEIWSIXAJZKLIZBXKAXEIWSIXAJZKLIZMIZUIIZUJIZOPIZXRW
      NWPWOXSYPQBACXEDWSXAEFXTYAYBGULUNWQXRXPUCJZOUCJZPIZYPWQXPRHZXRYSQZWQXHXOW
      QXCXGWQXCABCXEDWSXAEFXTYAYBGUOZUQWQXDRHZXGRHURABXDCXEDWSXAEFXTYAYBGUPSUSZ
      WQNRHZXNRHZXORHUTWQXJXMWQUUEXJRHUTABNCXEDWSXAEFXTYAYBGUPSZWQXKRHZXMRHVAAB
      XKCXEDWSXAEFXTYAYBGUPSZUSZNXNVBVCVDYTORHOVEVFUUAVIVGXPOVHVJVKWQYSYQOPIYPY
      ROYQPOTHYROQVLOVMVNVOWQYQYOOPWQYQXHXOMIZXHNXNUGZUIIZUJIZYOWQXHTHXNTHYQUUK
      QWQXCXGUUBWQUUCXGTHURABXDCXEDWSXAEFXTYAYBGVPSVQWQXJXMWQUUEXJTHUTABNCXEDWS
      XAEFXTYAYBGVPSWQUUHXMTHVAABXKCXEDWSXAEFXTYAYBGVPSVQXHXNVTVRWQXHRHZUUFUUKU
      UNQZUUDUUJUUOUUEUUFUUPUTXHNXNVSWAVRWQXHYHUUMYNUJWQXCYEXGYGMWQXBYDKLWQWTYC
      XAABDWSEFXTWBUMWCWQXFYFKLABXEDWSXAEFXTYAYBWJWCWDWQUULYMNUIWQUULXMXJMIYMWQ
      XJXMUUGUUIWEWQXMYJXJYLMWQXLYIKLWQYIXLWNWPWOYIXLQBAXEDWSXAEFXTYAYBWKUNWFWC
      WQXIYKKLABXEDWSXAEFXTYAYBWKWCWDWLWGWDWHWCWIWLWMWM $.

    $( An inner product times its conjugate.  (Contributed by NM, 23-Nov-2007.)
       (New usage is discouraged.) $)
    ipipcj $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                ( ( A P B ) x. ( B P A ) ) = ( ( abs ` ( A P B ) ) ^ 2 ) ) $=
      ( cnv wcel w3a co cabs cfv c2 cexp ccj cmul dipcl absvalsqd dipcj oveq2d
      eqtr2d ) DHIAEIBEIJZABCKZLMNOKUDUDPMZQKUDBACKZQKUCUDABCDEFGRSUCUEUFUDQABC
      DEFGTUAUB $.

    $( Orthogonality (meaning inner product is 0) is commutative.  (Contributed
       by NM, 17-Apr-2008.)  (New usage is discouraged.) $)
    diporthcom $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X )
              -> ( ( A P B ) = 0 <-> ( B P A ) = 0 ) ) $=
      ( cnv wcel co cc0 wceq ccj cfv fveq2 cj0 eqtrdi dipcj eqeq1d syl5ib w3a
      3com23 impbid ) DHIZAEIZBEIZUAZABCJZKLZBACJZKLZUIUHMNZKLUGUKUIULKMNZKUHKM
      OPQUGULUJKABCDEFGRSTUKUJMNZKLUGUIUKUNUMKUJKMOPQUGUNUHKUDUFUEUNUHLBACDEFGR
      UBSTUC $.
  $}

  ${
    dip0r.1 $e |- X = ( BaseSet ` U ) $.
    dip0r.5 $e |- Z = ( 0vec ` U ) $.
    dip0r.7 $e |- P = ( .iOLD ` U ) $.
    $( Inner product with a zero second argument.  (Contributed by NM,
       5-Feb-2007.)  (New usage is discouraged.) $)
    dip0r $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( A P Z ) = 0 ) $=
      ( wcel co cfv c2 cexp cmin ci caddc c4 cc0 wceq oveq2d cnv cpv cnmcv cneg
      wa c1 cns cmul cdiv nvzcl adantr eqid ipval2 mpd3an3 cc neg1cn nvsz mpan2
      fveq2d oveq1d ipval2lem3 recnd subidd negicn ax-icn eqtr4d w3a ipval2lem4
      cr eqtrd oveq12d it0e0 oveq2i 00id eqtri eqtrdi 4cn 4ne0 div0i ) CUAIZADI
      ZUEZAEBJZAECUBKZJZCUCKZKZLMJZAUFUDZECUGKZJZWDJZWFKZLMJZNJZOAOEWJJZWDJZWFK
      ZLMJZAOUDZEWJJZWDJZWFKZLMJZNJZUHJZPJZQUIJZRVTWAEDIZWCXHSVTXIWACDEFGUJUKZA
      EBWJCWDWFDFWDULZWJULZWFULZHUMUNWBXHRQUIJRWBXGRQUIWBXGRORUHJZPJZRWBWORXFXN
      PWBWOWHWHNJRWBWNWHWHNWBWMWGLMWBWLWEWFWBWKEAWDVTWKESZWAVTWIUOIXPUPWIWJCEXL
      GUQURUKTUSUTTWBWHWBWHVTWAXIWHVIIXJAEBWJCWDWFDFXKXLXMHVAUNVBVCVJWBXEROUHWB
      XEWSWSNJRWBXDWSWSNWBXCWRLMWBXBWQWFWBXAWPAWDVTXAWPSWAVTXAEWPVTWTUOIXAESVDW
      TWJCEXLGUQURVTOUOIZWPESVEOWJCEXLGUQURVFUKTUSUTTWBWSVTWAXIWSUOIZXJVTWAXIVG
      XQXRVEAEOBWJCWDWFDFXKXLXMHVHURUNVCVJTVKXORRPJRXNRRPVLVMVNVOVPUTQVQVRVSVPV
      J $.

    $( Inner product with a zero first argument.  Part of proof of Theorem 6.44
       of [Ponnusamy] p. 361.  (Contributed by NM, 5-Feb-2007.)
       (New usage is discouraged.) $)
    dip0l $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( Z P A ) = 0 ) $=
      ( cnv wcel wa co ccj cfv cc0 wceq nvzcl adantr dipcj mpd3an3 dip0r fveq2d
      cj0 eqtrdi eqtr3d ) CIJZADJZKZAEBLZMNZEABLZOUFUGEDJZUJUKPUFULUGCDEFGQRAEB
      CDFHSTUHUJOMNOUHUIOMABCDEFGHUAUBUCUDUE $.

    $( The inner product of a vector with itself is zero iff the vector is
       zero.  Part of Definition 3.1-1 of [Kreyszig] p. 129.  (Contributed by
       NM, 24-Jan-2008.)  (New usage is discouraged.) $)
    ipz $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( ( A P A ) = 0 <-> A = Z ) ) $=
      ( cnv wcel wa co cc0 wceq cnmcv cfv c2 cexp eqid ipidsq eqeq1d cc wb nvcl
      recnd sqeq0 syl nvz 3bitrd ) CIJADJKZAABLZMNACOPZPZQRLZMNZUMMNZAENUJUKUNM
      ABCULDFULSZHTUAUJUMUBJUOUPUCUJUMACULDFUQUDUEUMUFUGACULDEFGUQUHUI $.
  $}

  ${
    $d k x y z J $.  $d k x y z K $.  $d k x y z U $.
    dipcn.p $e |- P = ( .iOLD ` U ) $.
    dipcn.c $e |- C = ( IndMet ` U ) $.
    dipcn.j $e |- J = ( MetOpen ` C ) $.
    dipcn.k $e |- K = ( TopOpen ` CCfld ) $.
    $( Inner product is jointly continuous in both arguments.  (Contributed by
       NM, 21-Aug-2007.)  (Revised by Mario Carneiro, 10-Sep-2015.)
       (New usage is discouraged.) $)
    dipcn $p |- ( U e. NrmCVec -> P e. ( ( J tX J ) Cn K ) ) $=
      ( vx vy vk vz wcel cfv c4 co ccn cc a1i cnv cba c1 cfz ci cv cexp cns cpv
      cnmcv c2 cmul csu cdiv cmpo ctx eqid dipfval ctopon imsxmet mopntopon syl
      cxmet fzfid wa adantr cnfldtopon cn0 ax-icn cn elfznn adantl nnnn0d expcl
      sylancr cnmpt2c cnmpt1st cnmpt2nd smcn cnmpt22f vacn nmcnc cnmpt21f oveq1
      cmpt sqcn cnmpt21 mulcn fsum2cn cc0 wne 4cn 4ne0 divccn mp2an eqeltrd ) C
      UANZBJKCUBOZWRUCPUDQZUELUFZUGQZJUFZXAKUFZCUHOZQZCUIOZQZCUJOZOZUKUGQZULQZL
      UMZPUNQZUODDUPQZERQJKBXDCLXFXHWRWRUQZXFUQZXDUQZXHUQZFURWQJKMXLMUFZPUNQZXM
      DDEEWRWRSWQAWRVCONDWRUSONZACWRXOGUTADWRHVAVBZYBWQJKWSXKLDEDWRWRIYBWQUCPVD
      YBWQWTWSNZVEZJKXAXJULDDEEEWRWRWQYAYCYBVFZYEYDJKXADDEWRWRSYEYEESUSONZYDEIV
      GZTZYDUESNWTVHNXASNVIYDWTYCWTVJNWQWTPVKVLVMUEWTVNVOVPZYDJKMXIXSUKUGQZXJDD
      EEWRWRSYEYEYDJKXGXHDDDEWRWRYEYEYDJKXBXEXFDDDDDWRWRYEYEYDJKDDWRWRYEYEVQYDJ
      KXAXCXDDDEDDWRWRYEYEYIYDJKDDWRWRYEYEVRWQXDEDUPQDRQNYCAXDCDEGHXQIVSVFVTWQX
      FXNDRQNYCACXFDGHXPWAVFVTWQXHDERQNYCACDEXHXRGHIWBVFWCYHMSYJWEEERQZNYDMEIWF
      TXSXIUKUGWDWGULEEUPQERQNYDEIWHTVTWIYFWQYGTMSXTWEYKNZWQPSNPWJWKYLWLWMMPEIW
      NWOTXSXLPUNWDWGWP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subspaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c SubSp $.

  $( Extend class notation with the class of all subspaces of normed complex
     vector spaces. $)
  css $a class SubSp $.

  ${
    $d u w $.
    $( Define the class of all subspaces of normed complex vector spaces.
       (Contributed by NM, 26-Jan-2008.)  (New usage is discouraged.) $)
    df-ssp $a |- SubSp = ( u e. NrmCVec |->
     { w e. NrmCVec | ( ( +v ` w ) C_ ( +v ` u ) /\ ( .sOLD ` w ) C_ ( .sOLD `
        u )
         /\ ( normCV ` w ) C_ ( normCV ` u ) ) } ) $.
  $}

  ${
    $d u w G $.  $d u w N $.  $d u w S $.  $d u w U $.
    sspval.g $e |- G = ( +v ` U ) $.
    sspval.s $e |- S = ( .sOLD ` U ) $.
    sspval.n $e |- N = ( normCV ` U ) $.
    sspval.h $e |- H = ( SubSp ` U ) $.
    $( The set of all subspaces of a normed complex vector space.  (Contributed
       by NM, 26-Jan-2008.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    sspval $p |- ( U e. NrmCVec -> H = { w e. NrmCVec | (
         ( +v ` w ) C_ G /\ ( .sOLD ` w ) C_ S /\ ( normCV ` w ) C_ N ) } ) $=
      ( vu cnv wcel cfv cpv wss cns cnmcv fveq2 eqtr4di css cv crab wceq sseq2d
      w3a 3anbi123d rabbidv df-ssp cpw cxp fvexi pwex xpex wi rabss cop wa fvex
      elpw opelxpi syl2anbr biimpri syl2an 3impa eqid nvop eleq1d syl5ibr ssexi
      mprgbir fvmpt syl5eq ) CLMECUANAUBZONZDPZVNQNZBPZVNRNZFPZUFZALUCZJKCVOKUB
      ZONZPZVQWCQNZPZVSWCRNZPZUFZALUCWBLUAWCCUDZWJWAALWKWEVPWGVRWIVTWKWDDVOWKWD
      CONDWCCOSGTUEWKWFBVQWKWFCQNBWCCQSHTUEWKWHFVSWKWHCRNFWCCRSITUEUGUHAKUIWBDU
      JZBUJZUKZFUJZUKZWNWOWLWMDDCOGULUMBBCQHULUMUNFFCRIULUMUNWBWPPWAVNWPMZUOALW
      AALWPUPWAWQVNLMZVOVQUQZVSUQZWPMZVPVRVTXAVPVRURWSWNMZVSWOMZXAVTVPVOWLMVQWM
      MXBVRVODVNOUSUTVQBVNQUSUTVOVQWLWMVAVBXCVTVSFVNRUSUTVCWSVSWNWOVAVDVEWRVNWT
      WPVQVNVOVSVOVFVQVFVSVFVGVHVIVKVJVLVM $.
  $}

  ${
    $d w F $.  $d w G $.  $d w M $.  $d w N $.  $d w R $.  $d w S $.  $d w U $.
    $d w W $.
    isssp.g $e |- G = ( +v ` U ) $.
    isssp.f $e |- F = ( +v ` W ) $.
    isssp.s $e |- S = ( .sOLD ` U ) $.
    isssp.r $e |- R = ( .sOLD ` W ) $.
    isssp.n $e |- N = ( normCV ` U ) $.
    isssp.m $e |- M = ( normCV ` W ) $.
    isssp.h $e |- H = ( SubSp ` U ) $.
    $( The predicate "is a subspace."  (Contributed by NM, 26-Jan-2008.)
       (New usage is discouraged.) $)
    isssp $p |- ( U e. NrmCVec -> ( W e. H <-> ( W e. NrmCVec /\ (
               F C_ G /\ R C_ S /\ M C_ N ) ) ) ) $=
      ( vw cnv cfv wss wcel cv cpv cns cnmcv crab wa sspval eleq2d wceq eqtr4di
      w3a fveq2 sseq1d 3anbi123d elrab bitrdi ) CRUAZIFUAIQUBZUCSZETZUSUDSZBTZU
      SUESZHTZULZQRUFZUAIRUADETZABTZGHTZULZUGURFVGIQBCEFHJLNPUHUIVFVKQIRUSIUJZV
      AVHVCVIVEVJVLUTDEVLUTIUCSDUSIUCUMKUKUNVLVBABVLVBIUDSAUSIUDUMMUKUNVLVDGHVL
      VDIUESGUSIUEUMOUKUNUOUPUQ $.
  $}

  ${
    sspid.h $e |- H = ( SubSp ` U ) $.
    $( A normed complex vector space is a subspace of itself.  (Contributed by
       NM, 8-Apr-2008.)  (New usage is discouraged.) $)
    sspid $p |- ( U e. NrmCVec -> U e. H ) $=
      ( cnv wcel cpv cfv wss cns cnmcv w3a ssid 3pm3.2i jctr eqid isssp mpbird
      wa ) ADEZABESAFGZTHZAIGZUBHZAJGZUDHZKZRSUFUAUCUETLUBLUDLMNUBUBATTBUDUDATO
      ZUGUBOZUHUDOZUICPQ $.
  $}

  ${
    sspnv.h $e |- H = ( SubSp ` U ) $.
    $( A subspace is a normed complex vector space.  (Contributed by NM,
       27-Jan-2008.)  (New usage is discouraged.) $)
    sspnv $p |- ( ( U e. NrmCVec /\ W e. H ) -> W e. NrmCVec ) $=
      ( cnv wcel cpv cfv wss cns cnmcv w3a eqid isssp simprbda ) AEFCBFCEFCGHZA
      GHZICJHZAJHZICKHZAKHZILRSAPQBTUACQMPMSMRMUAMTMDNO $.
  $}

  ${
    sspba.x $e |- X = ( BaseSet ` U ) $.
    sspba.y $e |- Y = ( BaseSet ` W ) $.
    sspba.h $e |- H = ( SubSp ` U ) $.
    $( The base set of a subspace is included in the parent base set.
       (Contributed by NM, 27-Jan-2008.)  (New usage is discouraged.) $)
    sspba $p |- ( ( U e. NrmCVec /\ W e. H ) -> Y C_ X ) $=
      ( cnv wcel wa cpv cfv crn wss cns cnmcv w3a eqid bafval isssp simp1d rnss
      simplbda syl 3sstr4g ) AIJZCBJZKZCLMZNZALMZNZEDUIUJULOZUKUMOUIUNCPMZAPMZO
      ZCQMZAQMZOZUGUHCIJUNUQUTRUOUPAUJULBURUSCULSZUJSZUPSUOSUSSURSHUAUDUBUJULUC
      UECUJEGVBTAULDFVATUF $.
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y H $.  $d x y U $.  $d x y W $.
    $d x y Y $.
    sspg.y $e |- Y = ( BaseSet ` W ) $.
    sspg.g $e |- G = ( +v ` U ) $.
    sspg.f $e |- F = ( +v ` W ) $.
    sspg.h $e |- H = ( SubSp ` U ) $.
    $( Vector addition on a subspace is a restriction of vector addition on the
       parent space.  (Contributed by NM, 28-Jan-2008.)
       (New usage is discouraged.) $)
    sspg $p |- ( ( U e. NrmCVec /\ W e. H ) -> F = ( G |` ( Y X. Y ) ) ) $=
      ( vx vy wcel wa wceq wfn wss cfv eqid syl cnv cxp cres cv co wral w3a cba
      wfun nvgf ffund funresd adantr wf sspnv ffnd fnresdm cnmcv isssp simplbda
      simp1d ssres eqsstrrd 3jca oprssov sylan eqcomd ralrimivva jctil wb sspba
      cns xpss12 syl2anc fnssres eqfnov mpbird ) AUAMZEDMZNZBCFFUBZUCZOZWAWAOZK
      UDZLUDZBUEZWEWFWBUEZOZLFUFKFUFZNZVTWJWDVTWIKLFFVTWEFMWFFMNZNWHWGVTWBUIZBW
      APZBWBQZUGWLWHWGOVTWMWNWOVRWMVSVRWACVRAUHRZWPUBZWPCACWPWPSZHUJZUKULUMVTWA
      FBVTEUAMZWAFBUNADEJUOEBFGIUJTUPZVTBBWAUCZWBVTWNXBBOXAWABUQTVTBCQZXBWBQVTX
      CEVLRZAVLRZQZEURRZAURRZQZVRVSWTXCXFXIUGXDXEABCDXGXHEHIXESXDSXHSXGSJUSUTVA
      BCWAVBTVCVDWEWFFFWBBVEVFVGVHWASVIVTWNWBWAPZWCWKVJXAVTCWQPZWAWQQZXJVRXKVSV
      RWQWPCWSUPUMVTFWPQZXMXLADEWPFWRGJVKZXNFWPFWPVMVNWQWACVOVNKLFFFFBWBVPVNVQ
      $.

    $( Vector addition on a subspace in terms of vector addition on the parent
       space.  (Contributed by NM, 28-Jan-2008.)
       (New usage is discouraged.) $)
    sspgval $p |- ( ( ( U e. NrmCVec /\ W e. H ) /\ ( A e. Y /\ B e. Y ) ) ->
                    ( A F B ) = ( A G B ) ) $=
      ( cnv wcel wa co cxp cres sspg oveqd ovres sylan9eq ) CMNGFNOZAHNBHNOABDP
      ABEHHQRZPABEPUCDUDABCDEFGHIJKLSTABHHEUAUB $.
  $}

  ${
    $d x y R $.  $d x y S $.  $d x y H $.  $d x y U $.  $d x y W $.
    $d x y Y $.
    ssps.y $e |- Y = ( BaseSet ` W ) $.
    ssps.s $e |- S = ( .sOLD ` U ) $.
    ssps.r $e |- R = ( .sOLD ` W ) $.
    ssps.h $e |- H = ( SubSp ` U ) $.
    $( Scalar multiplication on a subspace is a restriction of scalar
       multiplication on the parent space.  (Contributed by NM, 28-Jan-2008.)
       (New usage is discouraged.) $)
    ssps $p |- ( ( U e. NrmCVec /\ W e. H ) -> R = ( S |` ( CC X. Y ) ) ) $=
      ( vx vy wcel wa cc wceq wfn wss cfv eqid cnv cxp cres cv co wral wfun w3a
      cba nvsf ffund funresd adantr sspnv syl ffnd fnresdm cnmcv isssp simplbda
      cpv simp2d ssres eqsstrrd 3jca oprssov sylan eqcomd ralrimivva jctil ssid
      wf wb sspba xpss12 sylancr fnssres syl2anc eqfnov mpbird ) CUAMZEDMZNZABO
      FUBZUCZPZWDWDPZKUDZLUDZAUEZWHWIWEUEZPZLFUFKOUFZNZWCWMWGWCWLKLOFWCWHOMWIFM
      NZNWKWJWCWEUGZAWDQZAWERZUHWOWKWJPWCWPWQWRWAWPWBWAWDBWAOCUISZUBZWSBBCWSWST
      ZHUJZUKULUMWCWDFAWCEUAMZWDFAVLCDEJUNAEFGIUJUOUPZWCAAWDUCZWEWCWQXEAPXDWDAU
      QUOWCABRZXEWERWCEVASZCVASZRZXFEURSZCURSZRZWAWBXCXIXFXLUHABCXGXHDXJXKEXHTX
      GTHIXKTXJTJUSUTVBABWDVCUOVDVEWHWIOFWEAVFVGVHVIWDTVJWCWQWEWDQZWFWNVMXDWCBW
      TQZWDWTRZXMWAXNWBWAWTWSBXBUPUMWCOORFWSRXOOVKCDEWSFXAGJVNOOFWSVOVPWTWDBVQV
      RKLOFOFAWEVSVRVT $.

    $( Scalar multiplication on a subspace in terms of scalar multiplication on
       the parent space.  (Contributed by NM, 28-Jan-2008.)
       (New usage is discouraged.) $)
    sspsval $p |- ( ( ( U e. NrmCVec /\ W e. H ) /\ ( A e. CC /\ B e. Y ) ) ->
                    ( A R B ) = ( A S B ) ) $=
      ( cnv wcel wa cc co cxp cres ssps oveqd ovres sylan9eq ) EMNGFNOZAPNBHNOA
      BCQABDPHRSZQABDQUDCUEABCDEFGHIJKLTUAABPHDUBUC $.
  $}

  $( TODO - sspvallem doesn't save space yet, but might if another
     operation is added. $)
  $(
  @{
    @d x y F @.  @d x y G @.  @d x y H @.  @d x y U @.  @d x y W @.
    @d x y Y @.
    sspvallem.y @e |- Y = ( BaseSet ` W ) @.
    sspvallem.h @e |- H = ( SubSp ` U ) @.
    @{
      sspvallem.1 @e |- ( ( ( U e. NrmCVec /\ W e. H ) /\ ( A e. Y /\ B e. Y )
         ) -> R = S ) @.
      sspvallem.2 @e |- ( ( W e. NrmCVec /\ A e. Y /\ B e. Y ) -> P = R ) @.
      sspvallem.3 @e |- ( ( U e. NrmCVec /\ A e. ( BaseSet ` U ) /\
          B e. ( BaseSet ` U ) ) -> Q = S ) @.
      @( Lemma for ~ sspmval and others. @)
      sspvallem @p |- ( ( ( U e. NrmCVec /\ W e. H ) /\ ( A e. Y /\ B e. Y ) )
          -> P = Q ) @=
       ( cnv wcel wa wceq 3expb sspnv sylanOLD cba cfv eqid sspba sseld anim12d
        imp adantlr syldan 3eqtr4d ) GPQZIHQZRZAJQZBJQZRZREFCDMIPQZURCESZUOUSUP
        UQUTNTGHILUAUBUOURAGUCUDZQZBVAQZRZDFSZUOURVDUOUPVBUQVCUOJVAAGHIVAJVAUEK
        LUFZUGUOJVABVFUGUHUIUMVDVEUNUMVBVCVEOTUJUKUL @.
        @( [ ?] @) @( [1-Feb-2008] @)
    @}

    @{
      sspmlem.1  @e |- ( ( ( U e. NrmCVec /\ W e. H ) /\ (
       x e. Y /\ y e. Y ) ) -> ( x F y ) = ( x G y ) ) @.
      sspmlem.2 @e |- ( W e. NrmCVec -> F : ( Y X. Y ) --> R ) @.
      sspmlem.3 @e |- ( U e. NrmCVec -> G : ( ( BaseSet ` U ) X.
               ( BaseSet ` U ) ) --> S ) @.
      @( Lemma for ~ sspm and others. @)
      sspmlem @p |- ( ( U e. NrmCVec /\ W e. H ) ->
            F = ( G |` ( Y X. Y ) ) ) @=
        ( cnv wcel wa cxp cres wceq cv co wral ovres adantl eqtr4d ex
        ralrimivv eqid jctil wfn wb eqfnov wf sspnv ffn 3syl cba cfv wss
   fnssres syl adantr sspba xpss12 anidms sylancOLD mpbird ) EPQZIHQZRZFGJJSZTZ
        UAZVMVMUAZAUBZBUBZFUCZVQVRVNUCZUAZBJUDAJUDZRZVLWBVPVLWAABJJVLVQJQVRJQRZ
        WAVLWDRVSVQVRGUCZVTMWDVTWEUAVLVQVRJJGUEUFUGUHUIVMUJUKFVMULZVNVMULZVOWCU
        MVLABJJJJFVNUNVLIPQVMCFUOWFEHILUPNVMCFUQURGEUSUTZWHSZULZVMWIVAZWGVLWIVM
        GVBVJWJVKVJWIDGUOWJOWIDGUQVCVDVLJWHVAZWKEHIWHJWHUJKLVEWLWKJWHJWHVFVGVCV
        HVHVI @.
        @( [ ?] @) @( [1-Feb-2008] @)
    @}
  @}
  $)

  ${
    $d x y F $.  $d x y G $.  $d x y H $.  $d x y U $.  $d x y W $.
    $d x y Y $.
    sspmlem.y $e |- Y = ( BaseSet ` W ) $.
    sspmlem.h $e |- H = ( SubSp ` U ) $.
    sspmlem.1 $e |- ( ( ( U e. NrmCVec /\ W e. H ) /\ (
             x e. Y /\ y e. Y ) ) -> ( x F y ) = ( x G y ) ) $.
    sspmlem.2 $e |- ( W e. NrmCVec -> F : ( Y X. Y ) --> R ) $.
    sspmlem.3 $e |- ( U e. NrmCVec -> G : ( ( BaseSet ` U ) X.
             ( BaseSet ` U ) ) --> S ) $.
    $( Lemma for ~ sspm and others.  (Contributed by NM, 1-Feb-2008.)
       (New usage is discouraged.) $)
    sspmlem $p |- ( ( U e. NrmCVec /\ W e. H ) -> F = ( G |` ( Y X. Y ) ) ) $=
      ( wcel wa wceq co wfn cnv cxp cres cv wral ovres adantl eqtr4d ralrimivva
      eqid jctil wb sspnv ffn 3syl cba cfv wss ffnd adantr sspba xpss12 syl2anc
      wf fnssres eqfnov mpbird ) EUAPZIHPZQZFGJJUBZUCZRZVKVKRZAUDZBUDZFSZVOVPVL
      SZRZBJUEAJUEZQZVJVTVNVJVSABJJVJVOJPVPJPQZQVQVOVPGSZVRMWBVRWCRVJVOVPJJGUFU
      GUHUIVKUJUKVJFVKTZVLVKTZVMWAULVJIUAPVKCFVDWDEHILUMNVKCFUNUOVJGEUPUQZWFUBZ
      TZVKWGURZWEVHWHVIVHWGDGOUSUTVJJWFURZWJWIEHIWFJWFUJKLVAZWKJWFJWFVBVCWGVKGV
      EVCABJJJJFVLVFVCVG $.
  $}

  ${
    $d x y L $.  $d x y M $.  $d x y H $.  $d x y U $.  $d x y W $.
    $d x y Y $.
    sspm.y $e |- Y = ( BaseSet ` W ) $.
    sspm.m $e |- M = ( -v ` U ) $.
    sspm.l $e |- L = ( -v ` W ) $.
    sspm.h $e |- H = ( SubSp ` U ) $.
    $( Vector addition on a subspace in terms of vector addition on the parent
       space.  (Contributed by NM, 28-Jan-2008.)
       (New usage is discouraged.) $)
    sspmval $p |- ( ( ( U e. NrmCVec /\ W e. H ) /\ ( A e. Y /\ B e. Y ) ) ->
                    ( A L B ) = ( A M B ) ) $=
      ( cnv wcel wa cns cfv co wceq eqid c1 cpv wi sspnv cc neg1cn nvscl mp3an2
      cneg ex syl anim2d imp sspgval syldan sspsval mpanr1 adantrl oveq2d eqtrd
      nvmval 3expb sylan cba sspba sseld anim12d adantlr 3eqtr4d ) CMNZGDNZOZAH
      NZBHNZOZOZAUAUIZBGPQZRZGUBQZRZAVQBCPQZRZCUBQZRZABERZABFRZVPWAAVSWDRZWEVLV
      OVMVSHNZOZWAWHSVLVOWJVLVNWIVMVLGMNZVNWIUCCDGLUDZWKVNWIWKVQUENZVNWIUFVQBVR
      GHIVRTZUGUHUJUKULUMAVSCVTWDDGHIWDTZVTTZLUNUOVPVSWCAWDVLVNVSWCSZVMVLWMVNWQ
      UFVQBVRWBCDGHIWBTZWNLUPUQURUSUTVLWKVOWFWASZWLWKVMVNWSABVRGVTEHIWPWNKVAVBV
      CVLVOACVDQZNZBWTNZOZWGWESZVLVOXCVLVMXAVNXBVLHWTACDGWTHWTTZILVEZVFVLHWTBXF
      VFVGUMVJXCXDVKVJXAXBXDABWBCWDFWTXEWOWRJVAVBVHUOVI $.

    $( Vector subtraction on a subspace is a restriction of vector subtraction
       on the parent space.  (Contributed by NM, 28-Jan-2008.)
       (New usage is discouraged.) $)
    sspm $p |- ( ( U e. NrmCVec /\ W e. H ) -> L = ( M |` ( Y X. Y ) ) ) $=
      ( vx vy cba cfv cv sspmval nvmf eqid sspmlem ) KLFAMNZACDBEFGJKOLOABCDEFG
      HIJPECFGIQADTTRHQS $.
  $}

  ${
    sspz.z $e |- Z = ( 0vec ` U ) $.
    sspz.q $e |- Q = ( 0vec ` W ) $.
    sspz.h $e |- H = ( SubSp ` U ) $.
    $( The zero vector of a subspace is the same as the parent's.  (Contributed
       by NM, 28-Jan-2008.)  (New usage is discouraged.) $)
    sspz $p |- ( ( U e. NrmCVec /\ W e. H ) -> Q = Z ) $=
      ( cnv wcel wa cnsb cfv co cba wceq sspnv eqid syl nvmid nvzcl jca sspmval
      mpdan syl2anc2 sspba sseldd syldan 3eqtr3d ) BIJZDCJZKZAADLMZNZAABLMZNZAE
      ULADOMZJZURKZUNUPPULDIJZUSBCDHQZUTURURDUQAUQRZGUAZVCUBSAABCUMUODUQVBUORZU
      MRZHUCUDULUTURUNAPVAVCADUMUQAVBVEGTUEUJUKABOMZJUPEPULUQVFABCDVFUQVFRZVBHU
      FULUTURVAVCSUGABUOVFEVGVDFTUHUI $.
  $}

  ${
    $d x H $.  $d x M $.  $d x N $.  $d x U $.  $d x W $.  $d x Y $.
    sspn.y $e |- Y = ( BaseSet ` W ) $.
    sspn.n $e |- N = ( normCV ` U ) $.
    sspn.m $e |- M = ( normCV ` W ) $.
    sspn.h $e |- H = ( SubSp ` U ) $.
    $( The norm on a subspace is a restriction of the norm on the parent space.
       (Contributed by NM, 28-Jan-2008.)  (New usage is discouraged.) $)
    sspn $p |- ( ( U e. NrmCVec /\ W e. H ) -> M = ( N |` Y ) ) $=
      ( vx cnv wcel wa cr syl cfv wfn wss eqid cres wf sspnv nvf ffnd cba sspba
      adantr fnssres syl2anc cv wfun cdm ffund funresd ad2antrr fnresdm cpv cns
      wceq w3a isssp simplbda simp3d ssres eqsstrrd fdmd eleq2d biimpar funssfv
      sylan syl3anc eqcomd eqfnfvd ) ALMZEBMZNZKFCDFUAZVQFOCVQELMZFOCUBABEJUCZE
      CFGIUDZPUEZVQDAUFQZRZFWCSVRFRVOWDVPVOWCODADWCWCTZHUDZUEUHABEWCFWEGJUGWCFD
      UIUJVQKUKZFMZNZWGVRQZWGCQZWIVRULZCVRSZWGCUMZMZWJWKUTVOWLVPWHVOFDVOWCODWFU
      NUOUPVQWMWHVQCCFUAZVRVQCFRWPCUTWBFCUQPVQCDSZWPVRSVQEURQZAURQZSZEUSQZAUSQZ
      SZWQVOVPVSWTXCWQVAXAXBAWRWSBCDEWSTWRTXBTXATHIJVBVCVDCDFVEPVFUHVQVSWHWOVTV
      SWOWHVSWNFWGVSFOCWAVGVHVIVKWGVRCVJVLVMVN $.

    $( The norm on a subspace in terms of the norm on the parent space.
       (Contributed by NM, 28-Jan-2008.)  (New usage is discouraged.) $)
    sspnval $p |- ( ( U e. NrmCVec /\ W e. H /\ A e. Y ) ->
                    ( M ` A ) = ( N ` A ) ) $=
      ( cnv wcel cfv wceq wa cres sspn fveq1d fvres sylan9eq 3impa ) BLMZFCMZAG
      MZADNZAENZOUCUDPZUEUFAEGQZNUGUHADUIBCDEFGHIJKRSAGETUAUB $.
  $}

  ${
    sspims.y $e |- Y = ( BaseSet ` W ) $.
    sspims.d $e |- D = ( IndMet ` U ) $.
    sspims.c $e |- C = ( IndMet ` W ) $.
    sspims.h $e |- H = ( SubSp ` U ) $.
    $d x y C $.  $d x y D $.  $d x y H $.  $d x y U $.  $d x y W $.
    $d x y Y $.
    $( The induced metric on a subspace in terms of the induced metric on the
       parent space.  (Contributed by NM, 1-Feb-2008.)
       (New usage is discouraged.) $)
    sspimsval $p |- ( ( ( U e. NrmCVec /\ W e. H ) /\ ( A e. Y /\ B e. Y ) ) ->
                    ( A C B ) = ( A D B ) ) $=
      ( cnv wcel wa cfv co wceq eqid 3expb cnsb cnmcv sspnv nvmcl sylan sspnval
      3expa syldan sspmval fveq2d eqtrd imsdval cba sspba sseld anim12d adantlr
      imp 3eqtr4d ) EMNZGFNZOZAHNZBHNZOZOZABGUAPZQZGUBPZPZABEUAPZQZEUBPZPZABCQZ
      ABDQZVFVJVHVMPZVNVBVEVHHNZVJVQRZVBGMNZVEVREFGLUCZVTVCVDVRABGVGHIVGSZUDTUE
      UTVAVRVSVHEFVIVMGHIVMSZVISZLUFUGUHVFVHVLVMABEFVGVKGHIVKSZWBLUIUJUKVBVTVEV
      OVJRZWAVTVCVDWFABCGVGVIHIWBWDKULTUEVBVEAEUMPZNZBWGNZOZVPVNRZVBVEWJVBVCWHV
      DWIVBHWGAEFGWGHWGSZILUNZUOVBHWGBWMUOUPURUTWJWKVAUTWHWIWKABDEVKVMWGWLWEWCJ
      ULTUQUHUS $.

    $( The induced metric on a subspace is a restriction of the induced metric
       on the parent space.  (Contributed by NM, 1-Feb-2008.)
       (New usage is discouraged.) $)
    sspims $p |- ( ( U e. NrmCVec /\ W e. H ) -> C = ( D |` ( Y X. Y ) ) ) $=
      ( vx vy cr cv sspimsval imsdf cba cfv eqid sspmlem ) KLMMCABDEFGJKNLNABCD
      EFGHIJOAEFGIPBCCQRZUASHPT $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Operators on complex vector spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definitions and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c LnOp $.
  $c normOpOLD $.
  $c BLnOp $.
  $c 0op $.

  $( Extend class notation with the class of linear operators on normed complex
     vector spaces. $)
  clno $a class LnOp $.

  $( Extend class notation with the class of operator norms on normed complex
     vector spaces. $)
  cnmoo $a class normOpOLD $.

  $( Extend class notation with the class of bounded linear operators on normed
     complex vector spaces. $)
  cblo $a class BLnOp $.

  $( Extend class notation with the class of zero operators on normed complex
     vector spaces. $)
  c0o $a class 0op $.

  ${
    $d t u w x y z $.
    $( Define the class of linear operators between two normed complex vector
       spaces.  In the literature, an operator may be a partial function, i.e.,
       the domain of an operator is not necessarily the entire vector space.
       However, since the domain of a linear operator is a vector subspace, we
       define it with a complete function for convenience and will use subset
       relations to specify the partial function case.  (Contributed by NM,
       6-Nov-2007.)  (New usage is discouraged.) $)
    df-lno $a |- LnOp = ( u e. NrmCVec , w e. NrmCVec |->
    { t e. ( ( BaseSet ` w ) ^m ( BaseSet ` u ) ) |
       A. x e. CC A. y e. ( BaseSet ` u ) A. z e. ( BaseSet ` u )
      ( t ` ( ( x ( .sOLD ` u ) y ) ( +v ` u ) z ) ) =
         ( ( x ( .sOLD ` w ) ( t ` y ) ) ( +v ` w ) ( t ` z ) ) } ) $.

    $( Define the norm of an operator between two normed complex vector spaces.
       This definition produces an operator norm function for each pair of
       vector spaces ` <. u , w >. ` .  Based on definition of linear operator
       norm in [AkhiezerGlazman] p. 39, although we define it for all operators
       for convenience.  It isn't necessarily meaningful for nonlinear
       operators, since it doesn't take into account operator values at vectors
       with norm greater than 1.  See Equation 2 of [Kreyszig] p. 92 for a
       definition that does (although it ignores the value at the zero vector).
       However, operator norms are rarely if ever used for nonlinear operators.
       (Contributed by NM, 6-Nov-2007.)  (New usage is discouraged.) $)
    df-nmoo $a |- normOpOLD = ( u e. NrmCVec , w e. NrmCVec |->
                ( t e. ( ( BaseSet ` w ) ^m ( BaseSet ` u ) ) |->
        sup ( { x | E. z e. ( BaseSet ` u ) ( ( ( normCV ` u ) ` z ) <_ 1 /\
            x = ( ( normCV ` w ) ` ( t ` z ) ) ) } , RR* , < ) ) ) $.

    $( Define the class of bounded linear operators between two normed complex
       vector spaces.  (Contributed by NM, 6-Nov-2007.)
       (New usage is discouraged.) $)
    df-blo $a |- BLnOp = ( u e. NrmCVec , w e. NrmCVec |->
      { t e. ( u LnOp w ) | ( ( u normOpOLD w ) ` t ) < +oo } ) $.

    $( Define the zero operator between two normed complex vector spaces.
       (Contributed by NM, 28-Nov-2007.)  (New usage is discouraged.) $)
    df-0o $a |- 0op = ( u e. NrmCVec , w e. NrmCVec |->
                        ( ( BaseSet ` u ) X. { ( 0vec ` w ) } ) ) $.
  $}

  $c adj $.
  $( Adjoint of an operator. $)
  caj $a class adj $.

  $c HmOp $.
  $( Set of Hermitional (self-adjoint) operators. $)
  chmo $a class HmOp $.

  ${
    $d s t u w x y $.
    $( Define the adjoint of an operator (if it exists).  The domain of
       ` U adj W ` is the set of all operators from ` U ` to ` W ` that have an
       adjoint.  Definition 3.9-1 of [Kreyszig] p. 196, although we don't
       require that ` U ` and ` W ` be Hilbert spaces nor that the operators be
       linear.  Although we define it for any normed vector space for
       convenience, the definition is meaningful only for inner product spaces.
       (Contributed by NM, 25-Jan-2008.)  (New usage is discouraged.) $)
    df-aj $a |- adj = ( u e. NrmCVec , w e. NrmCVec |->
        { <. t , s >. | ( t : ( BaseSet ` u ) --> ( BaseSet ` w ) /\
                          s : ( BaseSet ` w ) --> ( BaseSet ` u ) /\
        A. x e. ( BaseSet ` u ) A. y e. ( BaseSet ` w )
          ( ( t ` x ) ( .iOLD ` w ) y ) = ( x ( .iOLD ` u ) ( s ` y ) ) ) } )
        $.

    $( Define the set of Hermitian (self-adjoint) operators on a normed complex
       vector space (normally a Hilbert space).  Although we define it for any
       normed vector space for convenience, the definition is meaningful only
       for inner product spaces.  (Contributed by NM, 26-Jan-2008.)
       (New usage is discouraged.) $)
    df-hmo $a |- HmOp = ( u e. NrmCVec |->
                { t e. dom ( u adj u ) | ( ( u adj u ) ` t ) = t } ) $.

$(
    @( Alternate definition of the set of Hermitian (self-adjoint) operators on
       a normed complex vector space (normally a Hilbert space). @)
    dfhm2 @p |- HmOp = { <. u , o >. | ( u e. NrmCVec /\ o = { t | ( t :
  ( BaseSet ` u ) --> ( BaseSet ` u ) /\ A. x e. ( BaseSet ` u ) A. y e.
  ( BaseSet ` u ) ( x ( .iOLD ` u ) ( t ` y ) ) = ( ( t ` x ) ( .iOLD ` u ) y )
       ) } ) } @=
      (  ) ? @.
      @( [ ?] @) @( [8-Feb-2008] @)
$)
  $}

  ${
    $d t u w x y z U $.  $d t u w x y z W $.  $d t u w y z X $.  $d t u w Y $.
    $d t u w G $.  $d t u w R $.  $d t u w H $.  $d t u w S $.
    $d t u w x y z T $.
    lnoval.1 $e |- X = ( BaseSet ` U ) $.
    lnoval.2 $e |- Y = ( BaseSet ` W ) $.
    lnoval.3 $e |- G = ( +v ` U ) $.
    lnoval.4 $e |- H = ( +v ` W ) $.
    lnoval.5 $e |- R = ( .sOLD ` U ) $.
    lnoval.6 $e |- S = ( .sOLD ` W ) $.
    lnoval.7 $e |- L = ( U LnOp W ) $.
    $( The set of linear operators between two normed complex vector spaces.
       (Contributed by NM, 6-Nov-2007.)  (Revised by Mario Carneiro,
       16-Nov-2013.)  (New usage is discouraged.) $)
    lnoval $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> L =
      { t e. ( Y ^m X ) | A. x e. CC A. y e. X A. z e. X
        ( t ` ( ( x R y ) G z ) ) = ( ( x S ( t ` y ) ) H ( t ` z ) ) } ) $=
      ( vu vw cnv wcel wa clno co cv cfv wceq wral cc cmap crab cns cpv eqtr4di
      cba fveq2 oveq2d oveqd eqidd oveq123d fveqeq2d raleqbidv rabeqbidv oveq1d
      ralbidv eqeq2d 2ralbidv df-lno ovex rabex ovmpo syl5eq ) GUCUDKUCUDUEJGKU
      FUGAUHZBUHZEUGZCUHZHUGZDUHZUIZVPVQWAUIZFUGZVSWAUIZIUGZUJZCLUKBLUKZAULUKZD
      MLUMUGZUNZTUAUBGKUCUCVPVQUAUHZUOUIZUGZVSWLUPUIZUGZWAUIVPWCUBUHZUOUIZUGZWE
      WQUPUIZUGZUJZCWLURUIZUKZBXCUKZAULUKZDWQURUIZXCUMUGZUNWKUFWBXAUJZCLUKZBLUK
      ZAULUKZDXGLUMUGZUNWLGUJZXFXLDXHXMXNXCLXGUMXNXCGURUILWLGURUSNUQZUTXNXEXKAU
      LXNXDXJBXCLXOXNXBXICXCLXOXNWPVTXAWAXNWNVRVSVSWOHXNWOGUPUIHWLGUPUSPUQXNWME
      VPVQXNWMGUOUIEWLGUOUSRUQVAXNVSVBVCVDVEVEVHVFWQKUJZXLWIDXMWJXPXGMLUMXPXGKU
      RUIMWQKURUSOUQVGXPXKWHAULXPXIWGBCLLXPXAWFWBXPWSWDWEWEWTIXPWTKUPUIIWQKUPUS
      QUQXPWRFVPWCXPWRKUOUIFWQKUOUSSUQVAXPWEVBVCVIVJVHVFABCUBUADVKWIDWJMLUMVLVM
      VNVO $.

    $( The predicate "is a linear operator."  (Contributed by NM, 4-Dec-2007.)
       (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    islno $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> ( T e. L <->
      ( T : X --> Y /\ A. x e. CC A. y e. X A. z e. X
      ( T ` ( ( x R y ) G z ) ) = ( ( x S ( T ` y ) ) H ( T ` z ) ) ) ) ) $=
      ( vw cnv wcel wa cv co cfv wceq wral cc cmap crab wf lnoval eleq2d oveq2d
      fveq1 oveq12d eqeq12d 2ralbidv ralbidv elrab cba fvexi elmap anbi1i bitri
      bitrdi ) GUBUCKUBUCUDZFJUCFAUEZBUEZDUFCUEZHUFZUAUEZUGZVJVKVNUGZEUFZVLVNUG
      ZIUFZUHZCLUIBLUIZAUJUIZUAMLUKUFZULZUCZLMFUMZVMFUGZVJVKFUGZEUFZVLFUGZIUFZU
      HZCLUIBLUIZAUJUIZUDZVIJWDFABCUADEGHIJKLMNOPQRSTUNUOWEFWCUCZWNUDWOWBWNUAFW
      CVNFUHZWAWMAUJWQVTWLBCLLWQVOWGVSWKVMVNFUQWQVQWIVRWJIWQVPWHVJEVKVNFUQUPVLV
      NFUQURUSUTVAVBWPWFWNMLFMKVCOVDLGVCNVDVEVFVGVH $.

    $d t u w A $.  $d t w B $.  $d t C $.
    $( Basic linearity property of a linear operator.  (Contributed by NM,
       4-Dec-2007.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    lnolin $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L ) /\
       ( A e. CC /\ B e. X /\ C e. X ) ) ->
      ( T ` ( ( A R B ) G C ) ) = ( ( A S ( T ` B ) ) H ( T ` C ) ) ) $=
      ( vu vw vt cnv wcel w3a cv co cfv wceq wral cc wf wa islno biimp3a simprd
      oveq1 fvoveq1d oveq1d eqeq12d oveq2 fveq2 oveq2d fveq2d rspc3v mpan9 ) GU
      DUEZKUDUEZFJUEZUFZUAUGZUBUGZDUHZUCUGZHUHFUIZVLVMFUIZEUHZVOFUIZIUHZUJZUCLU
      KUBLUKUAULUKZAULUEBLUECLUEUFABDUHZCHUHZFUIZABFUIZEUHZCFUIZIUHZUJZVKLMFUMZ
      WBVHVIVJWKWBUNUAUBUCDEFGHIJKLMNOPQRSTUOUPUQWAWJAVMDUHZVOHUHFUIZAVQEUHZVSI
      UHZUJWCVOHUHZFUIZWGVSIUHZUJUAUBUCABCULLLVLAUJZVPWMVTWOWSVNWLVOFHVLAVMDURU
      SWSVRWNVSIVLAVQEURUTVAVMBUJZWMWQWOWRWTWLWCVOFHVMBADVBUSWTWNWGVSIWTVQWFAEV
      MBFVCVDUTVAVOCUJZWQWEWRWIXAWPWDFVOCWCHVBVEXAVSWHWGIVOCFVCVDVAVFVG $.
  $}

  ${
    $d x y z T $.  $d x y z U $.  $d x y z W $.  $d x y z X $.
    lnof.1 $e |- X = ( BaseSet ` U ) $.
    lnof.2 $e |- Y = ( BaseSet ` W ) $.
    lnof.7 $e |- L = ( U LnOp W ) $.
    $( A linear operator is a mapping.  (Contributed by NM, 4-Dec-2007.)
       (Revised by Mario Carneiro, 18-Nov-2013.)
       (New usage is discouraged.) $)
    lnof $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L ) -> T : X --> Y ) $=
      ( vx vy vz cnv wcel cv cns cfv co wral eqid wf wa cpv wceq islno simprbda
      cc 3impa ) BMNZDMNZACNZEFAUAZUIUJUBUKULJOZKOZBPQZRLOZBUCQZRAQUMUNAQDPQZRU
      PAQDUCQZRUDLESKESJUGSJKLUOURABUQUSCDEFGHUQTUSTUOTURTIUEUFUH $.
  $}

  ${
    lno0.1 $e |- X = ( BaseSet ` U ) $.
    lno0.2 $e |- Y = ( BaseSet ` W ) $.
    lno0.5 $e |- Q = ( 0vec ` U ) $.
    lno0.z $e |- Z = ( 0vec ` W ) $.
    lno0.7 $e |- L = ( U LnOp W ) $.
    $( The value of a linear operator at zero is zero.  (Contributed by NM,
       4-Dec-2007.)  (Revised by Mario Carneiro, 18-Nov-2013.)
       (New usage is discouraged.) $)
    lno0 $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L )
         -> ( T ` Q ) = Z ) $=
      ( cnv wcel w3a cfv co wceq eqid c1 cneg cns cpv neg1cn a1i nvzcl 3ad2ant1
      cc 3jca lnolin mpdan nvlinv fveq2d simp2 lnof ffvelrnd syl2anc 3eqtr3d )
      CNOZENOZBDOZPZUAUBZACUCQZRACUDQZRZBQZVDABQZEUCQZRVIEUDQZRZVIHVCVDUIOZAFOZ
      VNPVHVLSVCVMVNVNVMVCUEUFUTVAVNVBCFAIKUGZUHZVPUJVDAAVEVJBCVFVKDEFGIJVFTZVK
      TZVETZVJTZMUKULUTVAVHVISVBUTVGABUTVNVGASVOAVECVFFAIVQVSKUMULUNUHVCVAVIGOV
      LHSUTVAVBUOVCFGABBCDEFGIJMUPVPUQVIVJEVKGHJVRVTLUMURUS $.
  $}

  ${
    $d x y z S $.  $d x y z T $.  $d x y z U $.  $d x y z X $.
    lnocoi.l $e |- L = ( U LnOp W ) $.
    lnocoi.m $e |- M = ( W LnOp X ) $.
    lnocoi.n $e |- N = ( U LnOp X ) $.
    lnocoi.u $e |- U e. NrmCVec $.
    lnocoi.w $e |- W e. NrmCVec $.
    lnocoi.x $e |- X e. NrmCVec $.
    lnocoi.s $e |- S e. L $.
    lnocoi.t $e |- T e. M $.
    $( The composition of two linear operators is linear.  (Contributed by NM,
       12-Jan-2008.)  (Revised by Mario Carneiro, 19-Nov-2013.)
       (New usage is discouraged.) $)
    lnocoi $p |- ( T o. S ) e. N $=
      ( wcel cfv co eqid vx vy vz ccom cba wf cv cns cpv wceq wral cc cnv mp3an
      fco mp2an w3a nvscl mp3an1 nvgcl stoic3 fvco3 sylancr id ffvelrni 3pm3.2i
      lnof lnolin mpan syl3an fveq2d simp2 oveq2d simp3 oveq12d 3eqtr4rd eqtr4d
      rgen3 wa wb islno mpbir2an ) BAUDZFQZCUERZHUERZWCUFZUAUGZUBUGZCUHRZSZUCUG
      ZCUIRZSZWCRZWHWIWCRZHUHRZSZWLWCRZHUIRZSZUJZUCWEUKUBWEUKUAULUKZGUERZWFBUFZ
      WEXDAUFZWGGUMQZHUMQZBEQZXEMNPBGEHXDWFXDTZWFTZJVGUNCUMQZXGADQZXFLMOACDGWEX
      DWETZXJIVGUNZWEXDWFBAUOUPXBUAUBUCULWEWEWHULQZWIWEQZWLWEQZUQZWOWNARZBRZXAX
      SXFWNWEQZWOYAUJXOXPXQWKWEQZXRYBXLXPXQYCLWHWIWJCWEXNWJTZURUSXLYCXRYBLWKWLC
      WMWEXNWMTZUTUSVAWEXDWNBAVBVCXSWHWIARZGUHRZSWLARZGUIRZSZBRZWHYFBRZWQSZYHBR
      ZWTSZYAXAXPXPXQYFXDQZXRYHXDQZYKYOUJZXPVDWEXDWIAXOVEWEXDWLAXOVEXGXHXIUQXPY
      PYQUQYRXGXHXIMNPVFWHYFYHYGWQBGYIWTEHXDWFXJXKYITZWTTZYGTZWQTZJVHVIVJXSXTYJ
      BXLXGXMUQXSXTYJUJXLXGXMLMOVFWHWIWLWJYGACWMYIDGWEXDXNXJYEYSYDUUAIVHVIVKXSW
      RYMWSYNWTXSWPYLWHWQXSXFXQWPYLUJXOXPXQXRVLWEXDWIBAVBVCVMXSXFXRWSYNUJXOXPXQ
      XRVNWEXDWLBAVBVCVOVPVQVRXLXHWDWGXCVSVTLNUAUBUCWJWQWCCWMWTFHWEWFXNXKYEYTYD
      UUBKWAUPWB $.
  $}

  ${
    lnoadd.1 $e |- X = ( BaseSet ` U ) $.
    lnoadd.5 $e |- G = ( +v ` U ) $.
    lnoadd.6 $e |- H = ( +v ` W ) $.
    lnoadd.7 $e |- L = ( U LnOp W ) $.
    $( Addition property of a linear operator.  (Contributed by NM,
       7-Dec-2007.)  (Revised by Mario Carneiro, 19-Nov-2013.)
       (New usage is discouraged.) $)
    lnoadd $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L ) /\
  ( A e. X /\ B e. X ) ) -> ( T ` ( A G B ) ) = ( ( T ` A ) H ( T ` B ) ) ) $=
      ( cnv wcel c1 cfv co wceq eqid w3a wa cns ax-1cn cba lnolin mp3anr1 simp1
      cc simpl nvsid syl2an fvoveq1d simpl2 lnof ffvelrn syl2anc oveq1d 3eqtr3d
      wf ) DNOZHNOZCGOZUAZAIOZBIOZUBZUBZPADUCQZRZBERCQZPACQZHUCQZRZBCQZFRZABERC
      QVLVOFRVDPUIOVEVFVKVPSUDPABVIVMCDEFGHIHUEQZJVQTZKLVITZVMTZMUFUGVHVJABCEVD
      VAVEVJASVGVAVBVCUHVEVFUJZAVIDIJVSUKULUMVHVNVLVOFVHVBVLVQOZVNVLSVAVBVCVGUN
      VDIVQCUTVEWBVGCDGHIVQJVRMUOWAIVQACUPULVLVMHVQVRVTUKUQURUS $.
  $}

  ${
    lnosub.1 $e |- X = ( BaseSet ` U ) $.
    lnosub.5 $e |- M = ( -v ` U ) $.
    lnosub.6 $e |- N = ( -v ` W ) $.
    lnosub.7 $e |- L = ( U LnOp W ) $.
    $( Subtraction property of a linear operator.  (Contributed by NM,
       7-Dec-2007.)  (Revised by Mario Carneiro, 19-Nov-2013.)
       (New usage is discouraged.) $)
    lnosub $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L ) /\
  ( A e. X /\ B e. X ) ) -> ( T ` ( A M B ) ) = ( ( T ` A ) N ( T ` B ) ) ) $=
      ( cnv wcel wa cfv co wceq eqid w3a cneg cns cpv neg1cn cba lnolin mp3anr1
      c1 cc ancom2s nvmval2 3expb 3ad2antl1 fveq2d simpl2 wf lnof simpl ffvelrn
      syl2an simpr syl3anc 3eqtr4d ) DNOZHNOZCEOZUAZAIOZBIOZPZPZUIUBZBDUCQZRADU
      DQZRZCQZVMBCQZHUCQZRACQZHUDQZRZABFRZCQVTVRGRZVHVJVIVQWBSZVHVMUJOVJVIWEUEV
      MBAVNVSCDVOWAEHIHUFQZJWFTZVOTZWATZVNTZVSTZMUGUHUKVLWCVPCVEVFVKWCVPSZVGVEV
      IVJWLABVNDVOFIJWHWJKULUMUNUOVLVFVTWFOZVRWFOZWDWBSVEVFVGVKUPVHIWFCUQZVIWMV
      KCDEHIWFJWGMURZVIVJUSIWFACUTVAVHWOVJWNVKWPVIVJVBIWFBCUTVAVTVRVSHWAGWFWGWI
      WKLULVCVD $.
  $}

  ${
    lnomul.1 $e |- X = ( BaseSet ` U ) $.
    lnomul.5 $e |- R = ( .sOLD ` U ) $.
    lnomul.6 $e |- S = ( .sOLD ` W ) $.
    lnomul.7 $e |- L = ( U LnOp W ) $.
    $( Scalar multiplication property of a linear operator.  (Contributed by
       NM, 5-Dec-2007.)  (Revised by Mario Carneiro, 19-Nov-2013.)
       (New usage is discouraged.) $)
    lnomul $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L ) /\
       ( A e. CC /\ B e. X ) ) -> ( T ` ( A R B ) ) = ( A S ( T ` B ) ) ) $=
      ( cnv wcel wa co cfv wceq eqid w3a cc cn0v cpv simpl simprl simprr simpl1
      nvzcl syl lnolin syl13anc nvscl syl3anc nv0rid syl2anc fveq2d lno0 oveq2d
      cba adantr simpl2 wf lnof ffvelrnd eqtrd 3eqtr3d ) FNOZHNOZEGOZUAZAUBOZBI
      OZPZPZABCQZFUCRZFUDRZQZERZABERZDQZVQERZHUDRZQZVPERWBVOVKVLVMVQIOZVTWESVKV
      NUEVKVLVMUFZVKVLVMUGZVOVHWFVHVIVJVNUHZFIVQJVQTZUIUJABVQCDEFVRWDGHIHUTRZJW
      KTZVRTZWDTZKLMUKULVOVSVPEVOVHVPIOZVSVPSWIVOVHVLVMWOWIWGWHABCFIJKUMUNVPFVR
      IVQJWMWJUOUPUQVOWEWBHUCRZWDQZWBVKWEWQSVNVKWCWPWBWDVQEFGHIWKWPJWLWJWPTZMUR
      USVAVOVIWBWKOZWQWBSVHVIVJVNVBZVOVIVLWAWKOWSWTWGVOIWKBEVKIWKEVCVNEFGHIWKJW
      LMVDVAWHVEAWADHWKWLLUMUNWBHWDWKWPWLWNWRUOUPVFVG $.
  $}

  ${
    nvo00.1 $e |- X = ( BaseSet ` U ) $.
    $( Two ways to express a zero operator.  (Contributed by NM, 27-Nov-2007.)
       (New usage is discouraged.) $)
    nvo00 $p |- ( ( U e. NrmCVec /\ T : X --> Y ) ->
                  ( T = ( X X. { Z } ) <-> ran T = { Z } ) ) $=
      ( wf wfn c0 wne csn cxp wceq crn wb cnv wcel ffn cn0v cfv eqid nvzcl ne0d
      fconst5 syl2anr ) CDAGACHCIJACEKZLMANUFMOBPQZCDARUGCBSTZBCUHFUHUAUBUCCEAU
      DUE $.
  $}

  ${
    $d t u w x z U $.  $d t u w x z W $.  $d t u w z X $.  $d t u w x Y $.
    $d t u w L $.  $d t u w M $.  $d t x z T $.
    nmoofval.1 $e |- X = ( BaseSet ` U ) $.
    nmoofval.2 $e |- Y = ( BaseSet ` W ) $.
    nmoofval.3 $e |- L = ( normCV ` U ) $.
    nmoofval.4 $e |- M = ( normCV ` W ) $.
    nmoofval.6 $e |- N = ( U normOpOLD W ) $.
    $( The operator norm function.  (Contributed by NM, 6-Nov-2007.)  (Revised
       by Mario Carneiro, 16-Nov-2013.)  (New usage is discouraged.) $)
    nmoofval $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> N =
       ( t e. ( Y ^m X ) |-> sup ( { x | E. z e. X
         ( ( L ` z ) <_ 1 /\ x = ( M ` ( t ` z ) ) ) } , RR* , < ) ) ) $=
      ( cmap cv cfv cba cnmcv vu vw cnv wcel wa cnmoo cle wbr wceq wrex cab cxr
      co c1 clt csup fveq2 eqtr4di oveq2d fveq1d breq1d anbi1d rexeqbidv abbidv
      supeq1d mpteq12dv oveq1d eqeq2d anbi2d rexbidv df-nmoo mptex ovmpo syl5eq
      cmpt ovex ) DUCUDHUCUDUEGDHUFUMCJIPUMZBQZERZUNUGUHZAQZVRCQRZFRZUIZUEZBIUJ
      ZAUKZULUOUPZVOZOUAUBDHUCUCCUBQZSRZUAQZSRZPUMZVRWLTRZRZUNUGUHZWAWBWJTRZRZU
      IZUEZBWMUJZAUKZULUOUPZVOWIUFCWKIPUMZVTWTUEZBIUJZAUKZULUOUPZVOWLDUIZCWNXDX
      EXIXJWMIWKPXJWMDSRIWLDSUQKURZUSXJULXCXHUOXJXBXGAXJXAXFBWMIXKXJWQVTWTXJWPV
      SUNUGXJVRWOEXJWODTREWLDTUQMURUTVAVBVCVDVEVFWJHUIZCXEXIVQWHXLWKJIPXLWKHSRJ
      WJHSUQLURVGXLULXHWGUOXLXGWFAXLXFWEBIXLWTWDVTXLWSWCWAXLWBWRFXLWRHTRFWJHTUQ
      NURUTVHVIVJVDVEVFABUBUACVKCVQWHJIPVPVLVMVN $.

    $( The operator norm function.  (Contributed by NM, 27-Nov-2007.)  (Revised
       by Mario Carneiro, 16-Nov-2013.)  (New usage is discouraged.) $)
    nmooval $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T : X --> Y ) ->
      ( N ` T ) = sup ( { x | E. z e. X
        ( ( L ` z ) <_ 1 /\ x = ( M ` ( T ` z ) ) ) } , RR* , < ) ) $=
      ( vt cfv wceq cxr clt cnv wcel wf cv c1 cle wbr wa wrex cab csup cmap cba
      co fvexi elmap nmoofval fveq1d fveq1 fveq2d eqeq2d anbi2d rexbidv supeq1d
      cmpt abbidv eqid xrltso supex fvmpt sylan9eq sylan2br 3impa ) DUAUBZHUAUB
      ZIJCUCZCGQZBUDZEQUEUFUGZAUDZVRCQZFQZRZUHZBIUIZAUJZSTUKZRZVPVNVOUHZCJIULUN
      ZUBZWHJICJHUMLUOIDUMKUOUPWIWKVQCPWJVSVTVRPUDZQZFQZRZUHZBIUIZAUJZSTUKZVEZQ
      WGWICGWTABPDEFGHIJKLMNOUQURPCWSWGWJWTWLCRZSWRWFTXAWQWEAXAWPWDBIXAWOWCVSXA
      WNWBVTXAWMWAFVRWLCUSUTVAVBVCVFVDWTVGSWFTVHVIVJVKVLVM $.
  $}

  ${
    $d x z T $.  $d x z W $.  $d x z X $.  $d x z Y $.
    nmosetre.2 $e |- Y = ( BaseSet ` W ) $.
    nmosetre.4 $e |- N = ( normCV ` W ) $.
    $( The set in the supremum of the operator norm definition ~ df-nmoo is a
       set of reals.  (Contributed by NM, 13-Nov-2007.)
       (New usage is discouraged.) $)
    nmosetre $p |- ( ( W e. NrmCVec /\ T : X --> Y ) -> {
     x | E. z e. X ( ( M ` z ) <_ 1 /\ x = ( N ` ( T ` z ) ) ) } C_ RR ) $=
      ( cnv wcel wf wa cv cfv c1 cle wbr cr wceq wrex ffvelrn nvcl sylan2 eleq1
      anassrs syl5ibr impcom adantrl rexlimdva2 abssdv ) FKLZGHCMZNZBOZDPQRSZAO
      ZUPCPZEPZUAZNZBGUBATUOVBURTLZBGUOUPGLZNZVAVCUQVAVEVCVEVCVAUTTLZUMUNVDVFUN
      VDNUMUSHLVFGHUPCUCUSFEHIJUDUEUGURUTTUFUHUIUJUKUL $.
  $}

  ${
    $d x y M $.  $d x y N $.  $d x y T $.  $d x y X $.  $d x y Z $.
    nmosetn0.1 $e |- X = ( BaseSet ` U ) $.
    nmosetn0.5 $e |- Z = ( 0vec ` U ) $.
    nmosetn0.4 $e |- M = ( normCV ` U ) $.
    $( The set in the supremum of the operator norm definition ~ df-nmoo is
       nonempty.  (Contributed by NM, 8-Dec-2007.)
       (New usage is discouraged.) $)
    nmosetn0 $p |- ( U e. NrmCVec -> ( N ` ( T ` Z ) ) e. { x | E. y e. X (
       ( M ` y ) <_ 1 /\ x = ( N ` ( T ` y ) ) ) } ) $=
      ( wcel cv cfv c1 cle wbr wceq wa wrex cnv cab cc0 nvz0 0le1 eqbrtrdi eqid
      nvzcl jctir fveq2 breq1d 2fveq3 eqeq2d anbi12d rspcev syl2anc fvex anbi2d
      eqeq1 rexbidv elab sylibr ) DUALZBMZENZOPQZHCNZFNZVDCNFNZRZSZBGTZVHVFAMZV
      IRZSZBGTZAUBLVCHGLHENZOPQZVHVHRZSZVLDGHIJUHVCVRVSVCVQUCOPDEHJKUDUEUFVHUGU
      IVKVTBHGVDHRZVFVRVJVSWAVEVQOPVDHEUJUKWAVIVHVHVDHFCULUMUNUOUPVPVLAVHVGFUQV
      MVHRZVOVKBGWBVNVJVFVMVHVIUSURUTVAVB $.
  $}

  ${
    $d x z T $.  $d x z U $.  $d x z W $.  $d x z X $.  $d x z Y $.
    nmoxr.1 $e |- X = ( BaseSet ` U ) $.
    nmoxr.2 $e |- Y = ( BaseSet ` W ) $.
    nmoxr.3 $e |- N = ( U normOpOLD W ) $.
    $( The norm of an operator is an extended real.  (Contributed by NM,
       27-Nov-2007.)  (New usage is discouraged.) $)
    nmoxr $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T : X --> Y ) ->
              ( N ` T ) e. RR* ) $=
      ( vz vx cnv wcel wf cfv cv cnmcv wa cxr eqid w3a c1 cle wbr wceq wrex cab
      clt csup nmooval wss nmosetre ressxr sstrdi supxrcl syl 3adant1 eqeltrd
      cr ) BLMZDLMZEFANZUAACOJPZBQOZOUBUCUDKPVCAODQOZOUERJEUFKUGZSUHUIZSKJABVDV
      ECDEFGHVDTVETZIUJVAVBVGSMZUTVAVBRZVFSUKVIVJVFUSSKJAVDVEDEFHVHULUMUNVFUOUP
      UQUR $.

    $( The norm of an operator is nonnegative.  (Contributed by NM,
       8-Dec-2007.)  (New usage is discouraged.) $)
    nmooge0 $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T : X --> Y ) ->
                  0 <_ ( N ` T ) ) $=
      ( vz vx cnv wcel cc0 cfv cnmcv cxr eqid cle wbr wf w3a cn0v 0xr a1i simp2
      cr nvzcl ffvelrn sylan2 3adant2 nvcl syl2anc rexrd nmoxr nvge0 cv c1 wceq
      ancoms wa wrex cab clt wss nmosetre ressxr sstrdi nmosetn0 supxrub syl2an
      csup 3impa 3comr nmooval breqtrrd xrletrd ) BLMZDLMZEFAUAZUBZNBUCOZAOZDPO
      ZOZACOZNQMWAUDUEWAWEWAVSWCFMZWEUGMVRVSVTUFZVRVTWGVSVTVRWGVRVTWBEMWGBEWBGW
      BRZUHEFWBAUIUJUTUKZWCDWDFHWDRZULUMUNABCDEFGHIUOWAVSWGNWESTWHWJWCDWDFHWKUP
      UMWAWEJUQZBPOZOURSTKUQWLAOWDOUSVAJEVBKVCZQVDVLZWFSVSVTVRWEWOSTZVSVTVRWPVS
      VTVAZWNQVEWEWNMWPVRWQWNUGQKJAWMWDDEFHWKVFVGVHKJABWMWDEWBGWIWMRZVIWNWEVJVK
      VMVNKJABWMWDCDEFGHWRWKIVOVPVQ $.

    $( The norm of an operator is either real or plus infinity.  (Contributed
       by NM, 8-Dec-2007.)  (New usage is discouraged.) $)
    nmorepnf $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T : X --> Y ) ->
                   ( ( N ` T ) e. RR <-> ( N ` T ) =/= +oo ) ) $=
      ( vz vx cnv wcel cv cnmcv cfv cr cpnf wne eqid wf w3a c1 cle wceq wa wrex
      wbr cab cxr clt csup wb wss c0 nmosetre cn0v nmosetn0 ne0d supxrre2 3impb
      syl2anr nmooval eleq1d neeq1d 3bitr4d ) BLMZDLMZEFAUAZUBZJNZBOPZPUCUDUHKN
      VKAPDOPZPUEUFJEUGKUIZUJUKULZQMZVORSZACPZQMVRRSVGVHVIVPVQUMZVHVIUFVNQUNVNU
      OSVSVGKJAVLVMDEFHVMTZUPVGVNBUQPZAPVMPKJABVLVMEWAGWATVLTZURUSVNUTVBVAVJVRV
      OQKJABVLVMCDEFGHWBVTIVCZVDVJVRVORWCVEVF $.

    $( The norm of any operator is real iff it is less than plus infinity.
       (Contributed by NM, 8-Dec-2007.)  (New usage is discouraged.) $)
    nmoreltpnf $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T : X --> Y ) ->
                   ( ( N ` T ) e. RR <-> ( N ` T ) < +oo ) ) $=
      ( cnv wcel wf w3a cfv cr cpnf wne clt wbr nmorepnf cxr wceq wn wb nltpnft
      nmoxr syl necon2abid bitr4d ) BJKDJKEFALMZACNZOKUKPQUKPRSZABCDEFGHITUJULU
      KPUJUKUAKUKPUBULUCUDABCDEFGHIUFUKUEUGUHUI $.

    $( The norm of an operator is greater than minus infinity.  (Contributed by
       NM, 8-Dec-2007.)  (New usage is discouraged.) $)
    nmogtmnf $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T : X --> Y ) ->
                  -oo < ( N ` T ) ) $=
      ( cnv wcel wf w3a cfv cr cpnf wceq wn wb wo cmnf clt wbr wne df-ne bitrdi
      nmorepnf xor3 nbior sylbir mnfltxr 3syl ) BJKDJKEFALMZACNZOKZUNPQZRZSZUOU
      PTZUAUNUBUCUMUOUNPUDUQABCDEFGHIUGUNPUEUFURUOUPSRUSUOUPUHUOUPUIUJUNUKUL $.
  $}

  ${
    $d x y A $.  $d x y L $.  $d x y M $.  $d x y T $.  $d x y U $.
    $d x y W $.  $d x y X $.  $d x y Y $.
    nmoolb.1 $e |- X = ( BaseSet ` U ) $.
    nmoolb.2 $e |- Y = ( BaseSet ` W ) $.
    nmoolb.l $e |- L = ( normCV ` U ) $.
    nmoolb.m $e |- M = ( normCV ` W ) $.
    nmoolb.3 $e |- N = ( U normOpOLD W ) $.
    $( A lower bound for an operator norm.  (Contributed by NM, 8-Dec-2007.)
       (New usage is discouraged.) $)
    nmoolb $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ T : X --> Y ) /\
         ( A e. X /\ ( L ` A ) <_ 1 ) ) -> ( M ` ( T ` A ) ) <_ ( N ` T ) ) $=
      ( vy vx cfv cle wa wceq cnv wcel wf w3a c1 wbr cv wrex cab cxr clt wss cr
      nmosetre ressxr sstrdi 3adant1 fveq2 breq1d 2fveq3 eqeq2d anbi12d biantru
      csup eqid bitr4di rspcev fvex eqeq1 anbi2d rexbidv sylibr supxrub nmooval
      elab syl2an adantr breqtrrd ) CUAUBZGUAUBZHIBUCZUDZAHUBADQZUERUFZSZSABQZE
      QZOUGZDQZUERUFZPUGZWHBQEQZTZSZOHUHZPUIZUJUKVDZBFQZRWBWPUJULZWGWPUBZWGWQRU
      FWEVTWAWSVSVTWASWPUMUJPOBDEGHIKMUNUOUPUQWEWJWGWLTZSZOHUHZWTXBWDOAHWHATZXB
      WDWGWGTZSWDXDWJWDXAXEXDWIWCUERWHADURUSXDWLWGWGWHAEBUTVAVBXEWDWGVEVCVFVGWO
      XCPWGWFEVHWKWGTZWNXBOHXFWMXAWJWKWGWLVIVJVKVOVLWPWGVMVPWBWRWQTWEPOBCDEFGHI
      JKLMNVNVQVR $.
  $}

  ${
    $d x z A $.  $d f k r x y z L $.  $d x y U $.  $d x y W $.  $d k r x y Y $.
    $d f k r x y z M $.  $d f k r x y z T $.  $d f k r x y z X $.
    $d k r y N $.
    nmoubi.1 $e |- X = ( BaseSet ` U ) $.
    nmoubi.y $e |- Y = ( BaseSet ` W ) $.
    nmoubi.l $e |- L = ( normCV ` U ) $.
    nmoubi.m $e |- M = ( normCV ` W ) $.
    nmoubi.3 $e |- N = ( U normOpOLD W ) $.
    nmoubi.u $e |- U e. NrmCVec $.
    nmoubi.w $e |- W e. NrmCVec $.
    $( An upper bound for an operator norm.  (Contributed by NM, 11-Dec-2007.)
       (New usage is discouraged.) $)
    nmoubi $p |- ( ( T : X --> Y /\ A e. RR* ) -> ( ( N ` T ) <_ A <->
      A. x e. X ( ( L ` x ) <_ 1 -> ( M ` ( T ` x ) ) <_ A ) ) ) $=
      ( vz cle wi vy wf cxr wcel wa cfv wbr cv c1 wceq wrex cab wral clt wb cnv
      csup nmooval mp3an12 breq1d adantr wss cr nmosetre ressxr supxrleub sylan
      mpan sstrdi bitrd eqeq1 anbi2d rexbidv ralab ralcom4 ancomst impexp bitri
      wal albii fvex breq1 imbi2d ceqsalv ralbii r19.23v 3bitr3i bitr4i bitrdi
      ) IJCUBZBUCUDZUEZCGUFZBSUGZRUHZBSUGZRAUHZEUFUISUGZUAUHZWQCUFZFUFZUJZUEZAI
      UKZUAULZUMZWRXABSUGZTZAIUMZWLWNXEUCUNUQZBSUGZXFWJWNXKUOWKWJWMXJBSDUPUDHUP
      UDZWJWMXJUJPQUAACDEFGHIJKLMNOURUSUTVAWJXEUCVBWKXKXFUOWJXEVCUCXLWJXEVCVBQU
      AACEFHIJLNVDVHVEVIRXEBVFVGVJXFWRWOXAUJZUEZAIUKZWPTZRVSZXIXDXOWPRUAWSWOUJZ
      XCXNAIXRXBXMWRWSWOXAVKVLVMVNXNWPTZRVSZAIUMXSAIUMZRVSXIXQXSARIVOXTXHAIXTXM
      WRWPTZTZRVSXHXSYCRXSXMWRUEWPTYCWRXMWPVPXMWRWPVQVRVTYBXHRXAWTFWAXMWPXGWRWO
      XABSWBWCWDVRWEYAXPRXNWPAIWFVTWGWHWI $.

    $( An upper bound for an operator norm.  (Contributed by NM, 12-Dec-2007.)
       (New usage is discouraged.) $)
    nmoub3i $p |- ( ( T : X --> Y /\ A e. RR /\ A. x e. X
  ( M ` ( T ` x ) ) <_ ( A x. ( L ` x ) ) ) -> ( N ` T ) <_ ( abs ` A ) ) $=
      ( wcel cle wbr wf cr cv cfv cmul co wral cabs wa c1 cnv nvcl mpan remulcl
      wi sylan2 adantr recn abscld syl2an ad2antrr cc0 simpl nvge0 adantl leabs
      jca lemul1a syl31anc 1red absge0d 3jca lemul2a sylan wceq mulid1d breqtrd
      w3a recnd letrd adantlll ffvelrn sylancr adantlr adantll ad2antlr syl3anc
      letr mpan2d ex com23 ralimdva imp cxr rexrd nmoubi biimpar syldan 3impa
      wb ) IJCUAZBUBRZAUCZCUDZFUDZBXCEUDZUEUFZSTZAIUGZCGUDBUHUDZSTZXAXBUIZXIXFU
      JSTZXEXJSTZUOZAIUGZXKXLXIXPXLXHXOAIXLXCIRZUIZXMXHXNXRXMXHXNUOXRXMUIXHXGXJ
      STZXNXBXQXMXSXAXBXQUIZXMUIZXGXJXFUEUFZXJXTXGUBRZXMXQXBXFUBRZYCDUKRZXQYDPX
      CDEIKMULUMZBXFUNUPZUQXTYBUBRZXMXBXJUBRZYDYHXQXBBBURZUSZYFXJXFUNUTUQXBYIXQ
      XMYKVAXTXGYBSTZXMXTXBYIYDVBXFSTZUIZBXJSTZYLXBXQVCXBYIXQYKUQZXQYNXBXQYDYMY
      FYEXQYMPXCDEIKMVDUMVGVEXBYOXQBVFUQBXJXFVHVIUQYAYBXJUJUEUFZXJSXTYDUJUBRZYI
      VBXJSTZUIZVRXMYBYQSTXTYDYRYTXQYDXBYFVEXTVJXTYIYSYPXBYSXQXBBYJVKUQVGVLXFUJ
      XJVMVNXBYQXJVOXQXMXBXJXBXJYKVSVPVAVQVTWAXRXHXSUIXNUOZXMXRXEUBRZYCYIUUAXAX
      QUUBXBXAXQUIHUKRXDJRUUBQIJXCCWBXDHFJLNULWCWDXBXQYCXAYGWEXBYIXAXQYKWFXEXGX
      JWHWGUQWIWJWKWLWMXLXKXPXBXAXJWNRXKXPWTXBXJYKWOAXJCDEFGHIJKLMNOPQWPUPWQWRW
      S $.

    $( An upper bound for an operator norm.  (Contributed by NM, 11-Dec-2007.)
       (New usage is discouraged.) $)
    nmoub2i $p |- ( ( T : X --> Y /\ ( A e. RR /\ 0 <_ A ) /\ A. x e. X
  ( M ` ( T ` x ) ) <_ ( A x. ( L ` x ) ) ) -> ( N ` T ) <_ A ) $=
      ( cle wbr cfv wf cr wcel cc0 wa cv cmul co wral w3a cabs nmoub3i 3adant2r
      wceq absid 3ad2ant2 breqtrd ) IJCUAZBUBUCZUDBRSZUEZAUFZCTFTBVBETUGUHRSAIU
      IZUJCGTZBUKTZBRURUSVCVDVERSUTABCDEFGHIJKLMNOPQULUMVAURVEBUNVCBUOUPUQ $.

    $( Two ways to express that an operator is bounded.  (Contributed by NM,
       11-Jan-2008.)  (New usage is discouraged.) $)
    nmobndi $p |- ( T : X --> Y -> ( ( N ` T ) e. RR <->
     E. r e. RR A. y e. X ( ( L ` y ) <_ 1 -> ( M ` ( T ` y ) ) <_ r ) ) ) $=
      ( cr wcel cle wf cfv cv wbr wrex c1 wral leid breq2 rspcev mpdan cxr cmnf
      wi wa clt cnv nmoxr mp3an12 adantr simprl nmogtmnf simprr xrre rexlimdvaa
      syl22anc impbid2 wb rexr nmoubi sylan2 rexbidva bitrd ) HIBUAZBFUBZRSZVOJ
      UCZTUDZJRUEZAUCZDUBUFTUDVTBUBEUBVQTUDUNAHUGZJRUEVNVPVSVPVOVOTUDZVSVOUHVRW
      BJVORVQVOVOTUIUJUKVNVRVPJRVNVQRSZVRUOZUOVOULSZWCUMVOUPUDZVRVPVNWEWDCUQSZG
      UQSZVNWEPQBCFGHIKLOURUSUTVNWCVRVAVNWFWDWGWHVNWFPQBCFGHIKLOVBUSUTVNWCVRVCV
      OVQVDVFVEVGVNVRWAJRWCVNVQULSVRWAVHVQVIAVQBCDEFGHIKLMNOPQVJVKVLVM $.

    $( Two ways two express that an operator is unbounded.  (Contributed by NM,
       11-Jan-2008.)  (New usage is discouraged.) $)
    nmounbi $p |- ( T : X --> Y -> ( ( N ` T ) = +oo <->
      A. r e. RR E. y e. X ( ( L ` y ) <_ 1 /\ r < ( M ` ( T ` y ) ) ) ) ) $=
      ( cfv cr wcel wf cv c1 cle wbr clt wa wrex wral cpnf wi wne wn nmobndi wb
      cnv nmorepnf mp3an12 ffvelrn nvcl sylancr lenlt sylan an32s imbi2d bitrdi
      imnan ralbidva ralnex rexbidva rexnal 3bitr3d necon4abid ) HIBUAZAUBZDRUC
      UDUEZJUBZVOBRZERZUFUEZUGZAHUHZJSUIZBFRZUJVNWDSTZVPVSVQUDUEZUKZAHUIZJSUHZW
      DUJULZWCUMZABCDEFGHIJKLMNOPQUNCUPTGUPTZVNWEWJUOPQBCFGHIKLOUQURVNWIWBUMZJS
      UHWKVNWHWMJSVNVQSTZUGZWHWAUMZAHUIWMWOWGWPAHWOVOHTZUGZWGVPVTUMZUKWPWRWFWSV
      PVNWQWNWFWSUOZVNWQUGZVSSTZWNWTXAWLVRITXBQHIVOBUSVRGEILNUTVAVSVQVBVCVDVEVP
      VTVGVFVHWAAHVIVFVJWBJSVKVFVLVM $.

    $( An unbounded operator determines an unbounded sequence.  (Contributed by
       NM, 11-Jan-2008.)  (Revised by Mario Carneiro, 7-Apr-2013.)
       (New usage is discouraged.) $)
    nmounbseqi $p |- ( ( T : X --> Y /\ ( N ` T ) = +oo ) ->
         E. f ( f : NN --> X /\ A. k e. NN ( ( L ` ( f ` k ) ) <_ 1 /\
          k < ( M ` ( T ` ( f ` k ) ) ) ) ) ) $=
      ( vy cfv cn wf cpnf wceq wa cv c1 cle wbr clt wrex cr wral nmounbi biimpa
      wex wcel nnre imim1i ralimi2 cba fvexi nnenom fveq2 breq1d 2fveq3 anbi12d
      breq2d axcc4 3syl ) IJAUAZAGSUBUCZUDRUEZESZUFUGUHZDUEZVLASFSZUIUHZUDZRIUJ
      ZDUKULZVSDTULTICUEZUAVOWASZESZUFUGUHZVOWBASFSZUIUHZUDZDTULUDCUOVJVKVTRABE
      FGHIJDKLMNOPQUMUNVSVSDUKTVOTUPVOUKUPVSVOUQURUSVRWGRICDTIBUTKVAVBVLWBUCZVN
      WDVQWFWHVMWCUFUGVLWBEVCVDWHVPWEVOUIVLWBFAVEVGVFVHVI $.

    $( Alternate shorter proof of ~ nmounbseqi based on Axioms ~ ax-reg and
       ~ ax-ac2 instead of ~ ax-cc .  (Contributed by NM, 11-Jan-2008.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    nmounbseqiALT $p |- ( ( T : X --> Y /\ ( N ` T ) = +oo ) ->
         E. f ( f : NN --> X /\ A. k e. NN ( ( L ` ( f ` k ) ) <_ 1 /\
          k < ( M ` ( T ` ( f ` k ) ) ) ) ) ) $=
      ( vy cfv cn wf cpnf wceq wa cv c1 cle wbr clt wrex cr wral nmounbi biimpa
      wex wcel nnre imim1i ralimi2 nnex fveq2 breq1d fveq2d breq2d anbi12d ac6s
      3syl ) IJAUAZAGSUBUCZUDRUEZESZUFUGUHZDUEZVJASZFSZUIUHZUDZRIUJZDUKULZVRDTU
      LTICUEZUAVMVTSZESZUFUGUHZVMWAASZFSZUIUHZUDZDTULUDCUOVHVIVSRABEFGHIJDKLMNO
      PQUMUNVRVRDUKTVMTUPVMUKUPVRVMUQURUSVQWGDRTICUTVJWAUCZVLWCVPWFWHVKWBUFUGVJ
      WAEVAVBWHVOWEVMUIWHVNWDFVJWAAVAVCVDVEVFVG $.

    $( A bounded sequence determines a bounded operator.  (Contributed by NM,
       18-Jan-2008.)  (Revised by Mario Carneiro, 7-Apr-2013.)
       (New usage is discouraged.) $)
    nmobndseqi $p |- ( ( T : X --> Y /\
         A. f ( ( f : NN --> X /\ A. k e. NN ( L ` ( f ` k ) ) <_ 1 ) ->
        E. k e. NN ( M ` ( T ` ( f ` k ) ) ) <_ k ) ) -> ( N ` T ) e. RR ) $=
      ( cn cfv wi vy wf cv c1 cle wbr wral wa wrex cr wcel impexp r19.35 imbi2i
      wal bitr4i albii wn wex cba fvexi nnenom wceq fveq2 breq1d 2fveq3 imbi12d
      notbid axcc4 con3i dfrex2 alinexa bitri dfral2 rexbii rexnal 3imtr4i nnre
      anim1i reximi2 syl sylbi nmobndi syl5ibr imp ) IJAUBZRICUCZUBZDUCZWGSZESZ
      UDUEUFZDRUGZUHWJASFSZWIUEUFZDRUIZTZCUOZAGSUJUKZWRWSWFUAUCZESZUDUEUFZWTASF
      SZWIUEUFZTZUAIUGZDUJUIZWRWHWLWOTZDRUIZTZCUOZXGWQXJCWQWHWMWPTZTXJWHWMWPULX
      IXLWHWLWODRUMUNUPUQXKXFDRUIZXGWHXHURZDRUGZUHCUSZURZXEURZUAIUIZDRUGZURZXKX
      MXTXPXRXNUAICDRIBUTKVAVBWTWJVCZXEXHYBXBWLXDWOYBXAWKUDUEWTWJEVDVEYBXCWNWIU
      EWTWJFAVFVEVGVHVIVJXKWHXOURZTZCUOXQXJYDCXIYCWHXHDRVKUNUQWHXOCVLVMXMXSURZD
      RUIYAXFYEDRXEUAIVNVOXSDRVPVMVQXFXFDRUJWIRUKWIUJUKXFWIVRVSVTWAWBUAABEFGHIJ
      DKLMNOPQWCWDWE $.

    $( Alternate shorter proof of ~ nmobndseqi based on Axioms ~ ax-reg and
       ~ ax-ac2 instead of ~ ax-cc .  (Contributed by NM, 18-Jan-2008.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    nmobndseqiALT $p |- ( ( T : X --> Y /\
         A. f ( ( f : NN --> X /\ A. k e. NN ( L ` ( f ` k ) ) <_ 1 ) ->
        E. k e. NN ( M ` ( T ` ( f ` k ) ) ) <_ k ) ) -> ( N ` T ) e. RR ) $=
      ( cn cfv cle vy wf cv c1 wbr wral wa wrex wi cr wcel impexp r19.35 imbi2i
      wal bitr4i albii nnex wceq breq1d fveq2d imbi12d ac6n nnre anim1i reximi2
      fveq2 syl sylbi nmobndi syl5ibr imp ) IJAUBZRICUCZUBZDUCZVNSZESZUDTUEZDRU
      FZUGVQASZFSZVPTUEZDRUHZUIZCUOZAGSUJUKZWFWGVMUAUCZESZUDTUEZWHASZFSZVPTUEZU
      IZUAIUFZDUJUHZWFVOVSWCUIZDRUHZUIZCUOZWPWEWSCWEVOVTWDUIZUIWSVOVTWDULWRXAVO
      VSWCDRUMUNUPUQWTWODRUHWPWNWQDUARICURWHVQUSZWJVSWMWCXBWIVRUDTWHVQEVGUTXBWL
      WBVPTXBWKWAFWHVQAVGVAUTVBVCWOWODRUJVPRUKVPUJUKWOVPVDVEVFVHVIUAABEFGHIJDKL
      MNOPQVJVKVL $.
  $}

  ${
    $d t u w L $.  $d t u w N $.  $d t T $.  $d t u w U $.  $d t u w W $.
    bloval.3 $e |- N = ( U normOpOLD W ) $.
    bloval.4 $e |- L = ( U LnOp W ) $.
    bloval.5 $e |- B = ( U BLnOp W ) $.
    $( The class of bounded linear operators between two normed complex vector
       spaces.  (Contributed by NM, 6-Nov-2007.)  (Revised by Mario Carneiro,
       16-Nov-2013.)  (New usage is discouraged.) $)
    bloval $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) ->
                   B = { t e. L | ( N ` t ) < +oo } ) $=
      ( vu vw cnv co cv cfv cpnf clt wbr cnmoo clno wcel cblo crab oveq1 fveq1d
      wa wceq breq1d rabeqbidv oveq2 eqtr4di df-blo ovexi rabex ovmpo syl5eq )
      CLUAFLUAUFBCFUBMANZEOZPQRZADUCZIJKCFLLUQJNZKNZSMZOZPQRZAVAVBTMZUCUTUBUQCV
      BSMZOZPQRZACVBTMZUCVACUGZVEVIAVFVJVACVBTUDVKVDVHPQVKUQVCVGVACVBSUDUEUHUIV
      BFUGZVIUSAVJDVLVJCFTMDVBFCTUJHUKVLVHURPQVLUQVGEVLVGCFSMEVBFCSUJGUKUEUHUIK
      JAULUSADDCFTHUMUNUOUP $.

    $( The predicate "is a bounded linear operator."  (Contributed by NM,
       6-Nov-2007.)  (New usage is discouraged.) $)
    isblo $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> ( T e. B <->
      ( T e. L /\ ( N ` T ) < +oo ) ) ) $=
      ( vt cnv wcel wa cv cfv cpnf clt wbr crab bloval eleq2d wceq fveq2 breq1d
      elrab bitrdi ) CKLFKLMZBALBJNZEOZPQRZJDSZLBDLBEOZPQRZMUGAUKBJACDEFGHITUAU
      JUMJBDUHBUBUIULPQUHBEUCUDUEUF $.

    $( The predicate "is a bounded linear operator."  (Contributed by NM,
       8-Dec-2007.)  (New usage is discouraged.) $)
    isblo2 $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> ( T e. B <->
      ( T e. L /\ ( N ` T ) e. RR ) ) ) $=
      ( cnv wcel wa cfv cpnf clt wbr cr isblo cba eqid lnof nmoreltpnf syld3an3
      wb wf 3expa pm5.32da bitr4d ) CJKZFJKZLZBAKBDKZBEMZNOPZLULUMQKZLABCDEFGHI
      RUKULUOUNUIUJULUOUNUDZUIUJULCSMZFSMZBUEUPBCDFUQURUQTZURTZHUABCEFUQURUSUTG
      UBUCUFUGUH $.
  $}

  ${
    bloln.4 $e |- L = ( U LnOp W ) $.
    bloln.5 $e |- B = ( U BLnOp W ) $.
    $( A bounded operator is a linear operator.  (Contributed by NM,
       8-Dec-2007.)  (New usage is discouraged.) $)
    bloln $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. B ) -> T e. L ) $=
      ( cnv wcel wa cnmoo co cfv cpnf clt wbr eqid isblo simprbda 3impa ) CHIZE
      HIZBAIZBDIZUAUBJUCUDBCEKLZMNOPABCDUEEUEQFGRST $.
  $}

  ${
    blof.1 $e |- X = ( BaseSet ` U ) $.
    blof.2 $e |- Y = ( BaseSet ` W ) $.
    blof.5 $e |- B = ( U BLnOp W ) $.
    $( A bounded operator is an operator.  (Contributed by NM, 8-Dec-2007.)
       (New usage is discouraged.) $)
    blof $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. B ) -> T : X --> Y ) $=
      ( cnv wcel clno co wf eqid bloln lnof syld3an3 ) CJKDJKBAKBCDLMZKEFBNABCS
      DSOZIPBCSDEFGHTQR $.
  $}

  ${
    nmblore.1 $e |- X = ( BaseSet ` U ) $.
    nmblore.2 $e |- Y = ( BaseSet ` W ) $.
    nmblore.3 $e |- N = ( U normOpOLD W ) $.
    nmblore.5 $e |- B = ( U BLnOp W ) $.
    $( The norm of a bounded operator is a real number.  (Contributed by NM,
       8-Dec-2007.)  (New usage is discouraged.) $)
    nmblore $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. B ) ->
                ( N ` T ) e. RR ) $=
      ( cnv wcel w3a cfv cr clt wbr syld3an3 wa cmnf cpnf wf blof nmogtmnf clno
      co eqid isblo simplbda 3impa cxr wb nmoxr xrrebnd syl mpbir2and ) CLMZELM
      ZBAMZNZBDOZPMZUAVBQRZVBUBQRZURUSUTFGBUCZVDABCEFGHIKUDZBCDEFGHIJUESURUSUTV
      EURUSTUTBCEUFUGZMVEABCVHDEJVHUHKUIUJUKVAVBULMZVCVDVETUMURUSUTVFVIVGBCDEFG
      HIJUNSVBUOUPUQ $.
  $}

  ${
    $d u w U $.  $d u w W $.  $d u w X $.  $d u w Z $.
    0oval.1 $e |- X = ( BaseSet ` U ) $.
    0oval.6 $e |- Z = ( 0vec ` W ) $.
    0oval.0 $e |- O = ( U 0op W ) $.
    $( The zero operator between two normed complex vector spaces.
       (Contributed by NM, 28-Nov-2007.)  (Revised by Mario Carneiro,
       16-Nov-2013.)  (New usage is discouraged.) $)
    0ofval $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> O = ( X X. { Z } ) ) $=
      ( vu vw cnv wcel c0o csn cxp cv cba cfv cn0v wceq wa fveq2 eqtr4di xpeq1d
      co sneqd xpeq2d df-0o fvexi snex xpex ovmpo syl5eq ) AKLCKLUABACMUEDENZOZ
      HIJACKKIPZQRZJPZSRZNZOUOMDUTOUPATZUQDUTVAUQAQRDUPAQUBFUCUDURCTZUTUNDVBUSE
      VBUSCSREURCSUBGUCUFUGJIUHDUNDAQFUIEUJUKULUM $.

    $( Value of the zero operator.  (Contributed by NM, 28-Nov-2007.)
       (New usage is discouraged.) $)
    0oval $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ A e. X ) ->
            ( O ` A ) = Z ) $=
      ( cnv wcel w3a cfv csn cxp wceq wa 0ofval fveq1d 3adant3 cn0v fvexi eqtrd
      fvconst2 3ad2ant3 ) BJKZDJKZAEKZLACMZAEFNOZMZFUFUGUIUKPUHUFUGQACUJBCDEFGH
      IRSTUHUFUKFPUGEFAFDUAHUBUDUEUC $.
  $}

  ${
    0oo.1 $e |- X = ( BaseSet ` U ) $.
    0oo.2 $e |- Y = ( BaseSet ` W ) $.
    0oo.0 $e |- Z = ( U 0op W ) $.
    $( The zero operator is an operator.  (Contributed by NM, 28-Nov-2007.)
       (New usage is discouraged.) $)
    0oo $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> Z : X --> Y ) $=
      ( cnv wcel wa wf cn0v cfv csn cxp wss fvex fconst eqid nvzcl snssd adantl
      fss sylancr 0ofval feq1d mpbird ) AIJZBIJZKZCDELCDCBMNZOZPZLZUJUOUIUJCUMU
      NLUMDQUOCULBMRSUJULDBDULGULTZUAUBCUMDUNUDUEUCUKCDEUNAEBCULFUPHUFUGUH $.
  $}

  ${
    $d x y z U $.  $d x y z W $.  $d x y z Z $.
    0lno.0 $e |- Z = ( U 0op W ) $.
    0lno.7 $e |- L = ( U LnOp W ) $.
    $( The zero operator is linear.  (Contributed by NM, 28-Nov-2007.)
       (Revised by Mario Carneiro, 19-Nov-2013.)
       (New usage is discouraged.) $)
    0lno $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> Z e. L ) $=
      ( vx vy vz wcel wa cfv cv co wceq wral cc eqid syl3anc 0oval cnv cba cn0v
      cns cpv 0oo simplll simpllr simplr simprl nvscl simprr nvgcl oveq12d nvsz
      wf oveq2d oveq1d nvzcl nv0rid syl2anc2 3eqtrd eqtr4d ralrimivva ralrimiva
      syl2anc islno mpbir2and ) AUAJZCUAJZKZDBJAUBLZCUBLZDUPGMZHMZAUDLZNZIMZAUE
      LZNZDLZVNVODLZCUDLZNZVRDLZCUELZNZOZIVLPHVLPZGQPACVLVMDVLRZVMRZEUFVKWIGQVK
      VNQJZKZWHHIVLVLWMVOVLJZVRVLJZKZKZWACUCLZWGWQVIVJVTVLJZWAWROVIVJWLWPUGZVIV
      JWLWPUHZWQVIVQVLJZWOWSWTWQVIWLWNXBWTVKWLWPUIZWMWNWOUJZVNVOVPAVLWJVPRZUKSW
      MWNWOULZVQVRAVSVLWJVSRZUMSVTADCVLWRWJWRRZETSWQWGVNWRWCNZWRWFNWRWRWFNZWRWQ
      WDXIWEWRWFWQWBWRVNWCWQVIVJWNWBWROWTXAXDVOADCVLWRWJXHETSUQWQVIVJWOWEWROWTX
      AXFVRADCVLWRWJXHETSUNWQXIWRWRWFWQVJWLXIWROXAXCVNWCCWRWCRZXHUOVFURWQVJWRVM
      JXJWROXACVMWRWKXHUSWRCWFVMWRWKWFRZXHUTVAVBVCVDVEGHIVPWCDAVSWFBCVLVMWJWKXG
      XLXEXKFVGVH $.
  $}

  ${
    $d x z U $.  $d x z W $.  $d x z Z $.
    nmoo0.3 $e |- N = ( U normOpOLD W ) $.
    nmoo0.0 $e |- Z = ( U 0op W ) $.
    $( The operator norm of the zero operator.  (Contributed by NM,
       27-Nov-2007.)  (New usage is discouraged.) $)
    nmoo0 $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) ->
         ( N ` Z ) = 0 ) $=
      ( vz vx cnv wcel wa cfv cc0 cxr clt c1 cle wceq wrex eqid csn csup cv wbr
      cnmcv cba cab wf 0oo nmooval mpd3an3 df-sn cn0v nvzcl nvz0 eqbrtrdi fveq2
      wb 0le1 breq1d rspcev syl2anc biantrurd adantr 0oval 3expa ad2antlr eqtrd
      fveq2d eqeq2d anbi2d rexbidva r19.41v bitr2di bitrd abbidv eqtr2id xrltso
      supeq1d wor 0xr supsn mp2an eqtrdi ) AIJZCIJZKZDBLZMUAZNOUBZMWGWHGUCZAUEL
      ZLZPQUDZHUCZWKDLZCUELZLZRZKZGAUFLZSZHUGZNOUBZWJWEWFXACUFLZDUHWHXDRACXAXED
      XATZXETZFUIHGDAWLWQBCXAXEXFXGWLTZWQTZEUJUKWGNXCWIOWGWIWOMRZHUGXCHMULWGXJX
      BHWGXJWNGXASZXJKZXBWEXJXLURWFWEXKXJWEAUMLZXAJXMWLLZPQUDZXKAXAXMXFXMTZUNWE
      XNMPQAWLXMXPXHUOUSUPWNXOGXMXAWKXMRWMXNPQWKXMWLUQUTVAVBVCVDWGXBWNXJKZGXASX
      LWGWTXQGXAWGWKXAJZKZWSXJWNXSWRMWOXSWRCUMLZWQLZMXSWPXTWQWEWFXRWPXTRWKADCXA
      XTXFXTTZFVEVFVIWFYAMRWEXRCWQXTYBXIUOVGVHVJVKVLWNXJGXAVMVNVOVPVQVSVHNOVTMN
      JWJMRVRWANMOWBWCWD $.
  $}

  ${
    0blo.0 $e |- Z = ( U 0op W ) $.
    0blo.7 $e |- B = ( U BLnOp W ) $.
    $( The zero operator is a bounded linear operator.  (Contributed by NM,
       8-Dec-2007.)  (New usage is discouraged.) $)
    0blo $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> Z e. B ) $=
      ( cnv wcel wa clno co cnmoo cfv cr eqid 0lno cc0 nmoo0 0re eqeltrdi
      isblo2 mpbir2and ) BGHCGHIZDAHDBCJKZHDBCLKZMZNHBUDCDEUDOZPUCUFQNBUECDUEOZ
      ERSTADBUDUECUHUGFUAUB $.
  $}

  ${
    $d y z K $.  $d y z M $.  $d x N $.  $d z R $.  $d y z S $.  $d x y z T $.
    $d y z U $.  $d y z W $.  $d x y z X $.  $d y z Y $.  $d x Z $.
    nmlno0.3 $e |- N = ( U normOpOLD W ) $.
    nmlno0.0 $e |- Z = ( U 0op W ) $.
    nmlno0.7 $e |- L = ( U LnOp W ) $.
    ${
      nmlno0lem.u $e |- U e. NrmCVec $.
      nmlno0lem.w $e |- W e. NrmCVec $.
      nmlno0lem.l $e |- T e. L $.
      nmlno0lem.1 $e |- X = ( BaseSet ` U ) $.
      nmlno0lem.2 $e |- Y = ( BaseSet ` W ) $.
      nmlno0lem.r $e |- R = ( .sOLD ` U ) $.
      nmlno0lem.s $e |- S = ( .sOLD ` W ) $.
      nmlno0lem.p $e |- P = ( 0vec ` U ) $.
      nmlno0lem.q $e |- Q = ( 0vec ` W ) $.
      nmlno0lem.k $e |- K = ( normCV ` U ) $.
      nmlno0lem.m $e |- M = ( normCV ` W ) $.
      $( Lemma for ~ nmlno0i .  (Contributed by NM, 28-Nov-2007.)
         (New usage is discouraged.) $)
      nmlno0lem $p |- ( ( N ` T ) = 0 <-> T = Z ) $=
        ( vx vz vy cfv cc0 wceq cv wral wcel wa wne wn c1 cdiv co clt wbr wi cc
        cnv cr nvcl mpan recnd adantr wb fveq2 lno0 mp3an eqtrdi syl6bi necon3d
        nvz recne0d simpr wo reccld wf lnof ffvelrni nvmul0or mp3an1 necon3abid
        imp syl2anc neanior bitr4di mpbir2and nvscl nvgt0 sylancr ex adantl cle
        mpbid wrex cab cxr wss nmosetre mp2an ressxr sstri simpl necon3i sylan2
        csup nv1 1re eqeltrdi 3pm3.2i lnomul eqcomd fveq2d breq1d 2fveq3 eqeq2d
        eqle w3a anbi12d rspcev syl12anc fvex eqeq1 anbi2d rexbidv elab adantll
        sylibr wfn ffn ax-mp supxrub nmooval eqeq1i biimpi ad2antrr breqtrd 0re
        lenlt sylancl pm2.65d sylib 0oval mp3an12 eqtr4d ralrimiva eqfnfv nmoo0
        nne 0oo impbii ) EJULZUMUNZENUNZUVBUIUOZEULZUVDNULZUNZUILUPZUVCUVBUVGUI
        LUVBUVDLUQZURZUVEBUVFUVJUVEBUSZUTUVEBUNZUVJUVKUMVAUVDGULZVBVCZUVEDVCZIU
        LZVDVEZUVIUVKUVQVFUVBUVIUVKUVQUVIUVKURZUVOBUSZUVQUVRUVSUVNUMUSZUVKUVRUV
        MUVIUVMVGUQUVKUVIUVMFVHUQZUVIUVMVIUQRUVDFGLUAUGVJVKVLVMZUVIUVKUVMUMUSUV
        IUVMUMUVEBUVIUVMUMUNZUVDAUNZUVLUWAUVIUWCUWDVNRUVDFGLAUAUEUGWAVKUWDUVEAE
        ULZBUVDAEVOUWAKVHUQZEHUQZUWEBUNRSTAEFHKLMBUAUBUEUFQVPVQVRZVSVTWLZWBUVIU
        VKWCUVRUVSUVNUMUNUVLWDZUTUVTUVKURUVRUWJUVOBUVRUVNVGUQZUVEMUQZUVOBUNUWJV
        NZUVRUVMUWBUWIWEZUVIUWLUVKLMUVDEUWAUWFUWGLMEWFZRSTEFHKLMUAUBQWGVQZWHVMZ
        UWFUWKUWLUWMSUVNUVEDKMBUBUDUFWIWJWMWKUVNUMUVEBWNWOWPUVRUWFUVOMUQZUVSUVQ
        VNSUVRUWKUWLUWRUWNUWQUWFUWKUWLUWRSUVNUVEDKMUBUDWQWJWMZUVOKIMBUBUFUHWRWS
        XCWTXAUVJUVKUVQUTZUVJUVKURZUVPUMXBVEZUWTUXAUVPUJUOZGULZVAXBVEZUKUOZUXCE
        ULIULZUNZURZUJLXDZUKXEZXFVDXOZUMXBUVIUVKUVPUXLXBVEZUVBUVRUXKXFXGUVPUXKU
        QZUXMUXKVIXFUWFUWOUXKVIXGSUWPUKUJEGIKLMUBUHXHXIXJXKUVRUXEUVPUXGUNZURZUJ
        LXDZUXNUVRUVNUVDCVCZLUQZUXRGULZVAXBVEZUVPUXREULZIULZUNZUXQUVRUWKUVIUXSU
        WNUVIUVKXLZUWAUWKUVIUXSRUVNUVDCFLUAUCWQWJWMUVRUXTVIUQUXTVAUNZUYAUVRUXTV
        AVIUVKUVIUVDAUSZUYFUVDAUVEBUWHXMUWAUVIUYGUYFRUVDCFGLAUAUCUEUGXPWJXNZXQX
        RUYHUXTVAYFWMUVRUVOUYBIUVRUYBUVOUVRUWKUVIUYBUVOUNZUWNUYEUWAUWFUWGYGUWKU
        VIURUYIUWAUWFUWGRSTXSUVNUVDCDEFHKLUAUCUDQXTVKWMYAYBUXPUYAUYDURUJUXRLUXC
        UXRUNZUXEUYAUXOUYDUYJUXDUXTVAXBUXCUXRGVOYCUYJUXGUYCUVPUXCUXRIEYDYEYHYIY
        JUXJUXQUKUVPUVOIYKUXFUVPUNZUXIUXPUJLUYKUXHUXOUXEUXFUVPUXGYLYMYNYOYQUXKU
        VPUUAWSYPUVBUXLUMUNZUVIUVKUVBUYLUVAUXLUMUWAUWFUWOUVAUXLUNRSUWPUKUJEFGIJ
        KLMUAUBUGUHOUUBVQUUCUUDUUEUUFUVIUVKUXBUWTVNZUVBUVRUVPVIUQZUMVIUQUYMUVRU
        WFUWRUYNSUWSUVOKIMUBUHVJWSUUGUVPUMUUHUUIYPXCWTUUJUVEBUURUUKUVIUVFBUNZUV
        BUWAUWFUVIUYORSUVDFNKLBUAUFPUULUUMXAUUNUUOELYRZNLYRZUVCUVHVNUWOUYPUWPLM
        EYSYTLMNWFZUYQUWAUWFUYRRSFKLMNUAUBPUUSXILMNYSYTUILENUUPXIYQUVCUVANJULZU
        MENJVOUWAUWFUYSUMUNRSFJKNOPUUQXIVRUUT $.
    $}

    ${
      nmlno0i.u $e |- U e. NrmCVec $.
      nmlno0i.w $e |- W e. NrmCVec $.
      $( The norm of a linear operator is zero iff the operator is zero.
         (Contributed by NM, 6-Dec-2007.)  (New usage is discouraged.) $)
      nmlno0i $p |- ( T e. L -> ( ( N ` T ) = 0 <-> T = Z ) ) $=
        ( wcel cfv cc0 wceq wb cn0v cns cnmcv eqid cif fveqeq2 bibi12d cba 0lno
        eqeq1 cnv mp2an elimel nmlno0lem dedth ) ACLZADMNOZAFOZPULAFUAZDMNOZUOF
        OZPAFAUOOUMUPUNUQAUONDUBAUOFUFUCBQMZEQMZBRMZERMZUOBBSMZCESMZDEBUDMZEUDM
        ZFGHIJKAFCBUGLEUGLFCLJKBCEFHIUEUHUIVDTVETUTTVATURTUSTVBTVCTUJUK $.
    $}

    $( The norm of a linear operator is zero iff the operator is zero.
       (Contributed by NM, 24-Nov-2007.)  (New usage is discouraged.) $)
    nmlno0 $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L ) ->
       ( ( N ` T ) = 0 <-> T = Z ) ) $=
      ( wcel cfv cc0 wceq wb wi clno co cnmoo c0o oveq1 cnv caddc cmul cop cabs
      cif syl5eq eleq2d fveq1d eqeq1d eqeq2d bibi12d imbi12d oveq2 eqid elimnvu
      nmlno0i dedth2h 3impia ) BUAJZEUAJZACJZADKZLMZAFMZNZUTVAVBVFOAUTBUBUCUDUE
      UDZUFZEPQZJZAVHERQZKZLMZAVHESQZMZNZOAVHVAEVGUFZPQZJZAVHVQRQZKZLMZAVHVQSQZ
      MZNZOBEVGVGBVHMZVBVJVFVPWFCVIAWFCBEPQVIIBVHEPTUGUHWFVDVMVEVOWFVCVLLWFADVK
      WFDBERQVKGBVHERTUGUIUJWFFVNAWFFBESQVNHBVHESTUGUKULUMEVQMZVJVSVPWEWGVIVRAE
      VQVHPUNUHWGVMWBVOWDWGVLWALWGAVKVTEVQVHRUNUIUJWGVNWCAEVQVHSUNUKULUMAVHVRVT
      VQWCVTUOWCUOVRUOBUPEUPUQURUS $.
  $}

  ${
    $d x A $.  $d x K $.  $d x L $.  $d x M $.  $d x T $.  $d x U $.  $d x W $.
    $d x X $.
    nmlnoubi.1 $e |- X = ( BaseSet ` U ) $.
    nmlnoubi.z $e |- Z = ( 0vec ` U ) $.
    nmlnoubi.k $e |- K = ( normCV ` U ) $.
    nmlnoubi.m $e |- M = ( normCV ` W ) $.
    nmlnoubi.3 $e |- N = ( U normOpOLD W ) $.
    nmlnoubi.7 $e |- L = ( U LnOp W ) $.
    nmlnoubi.u $e |- U e. NrmCVec $.
    nmlnoubi.w $e |- W e. NrmCVec $.
    $( An upper bound for the operator norm of a linear operator, using only
       the properties of nonzero arguments.  (Contributed by NM, 1-Jan-2008.)
       (New usage is discouraged.) $)
    nmlnoubi $p |- ( ( T e. L /\ ( A e. RR /\ 0 <_ A ) /\ A. x e. X ( x =/= Z
     -> ( M ` ( T ` x ) ) <_ ( A x. ( K ` x ) ) ) ) -> ( N ` T ) <_ A ) $=
      ( cc0 wcel cr cle wbr wa cv wne cfv cmul co wral wceq 2fveq3 fveq2 oveq2d
      wi breq12d id imp adantll 0le0 cn0v cnv cba eqid lno0 mp3an12 fveq2d nvz0
      ax-mp eqtrdi adantr oveq2i recn mul01d syl5eq ad2antrl mpbiri pm2.61ne ex
      ralimdv 3impia wf lnof nmoub2i syl3an1 syld3an3 ) CFUAZBUBUAZTBUCUDZUEZAU
      FZKUGZWLCUHGUHZBWLEUHZUIUJZUCUDZUPZAJUKZWQAJUKZCHUHBUCUDZWHWKWSWTWHWKUEZW
      RWQAJXBWRWQXBWRUEWQKCUHZGUHZBKEUHZUIUJZUCUDZWLKWLKULZWNXDWPXFUCWLKGCUMXHW
      OXEBUIWLKEUNUOUQWRWMWQXBWRWMWQWRURUSUTXBXGWRXBXGTTUCUDVAXBXDTXFTUCWHXDTUL
      WKWHXDIVBUHZGUHZTWHXCXIGDVCUAZIVCUAZWHXCXIULRSKCDFIJIVDUHZXILXMVEZMXIVEZQ
      VFVGVHXLXJTULSIGXIXOOVIVJVKVLWIXFTULWHWJWIXFBTUIUJTXETBUIXKXETULRDEKMNVIV
      JVMWIBBVNVOVPVQUQVRVLVSVTWAWBWHJXMCWCZWKWTXAXKXLWHXPRSCDFIJXMLXNQWDVGABCD
      EGHIJXMLXNNOPRSWEWFWG $.
  $}

  ${
    nmlnogt0.3 $e |- N = ( U normOpOLD W ) $.
    nmlnogt0.0 $e |- Z = ( U 0op W ) $.
    nmlnogt0.7 $e |- L = ( U LnOp W ) $.
    $( The norm of a nonzero linear operator is positive.  (Contributed by NM,
       10-Dec-2007.)  (New usage is discouraged.) $)
    nmlnogt0 $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L ) ->
                   ( T =/= Z <-> 0 < ( N ` T ) ) ) $=
      ( cnv wcel w3a cfv cc0 wne clt wbr cba wb eqid nmlno0 necon3bid cxr nmoxr
      wf lnof cle nmooge0 wa wo 0xr xrlttri2 mpan2 adantr wn xrlenlt mpan biorf
      biimpa syl bitr4d syl2anc syld3an3 bitr3d ) BJKZEJKZACKZLZADMZNOZAFONVIPQ
      ZVHVINAFABCDEFGHIUAUBVEVFVGBRMZERMZAUEZVJVKSZABCEVLVMVLTZVMTZIUFVEVFVNLVI
      UCKZNVIUGQZVOABDEVLVMVPVQGUDABDEVLVMVPVQGUHVRVSUIZVJVINPQZVKUJZVKVRVJWBSZ
      VSVRNUCKZWCUKVINULUMUNVTWAUOZVKWBSVRVSWEWDVRVSWESUKNVIUPUQUSWAVKURUTVAVBV
      CVD $.
  $}

  ${
    $d x L $.  $d x T $.  $d x U $.  $d x W $.  $d x X $.
    lnon0.1 $e |- X = ( BaseSet ` U ) $.
    lnon0.6 $e |- Z = ( 0vec ` U ) $.
    lnon0.0 $e |- O = ( U 0op W ) $.
    lnon0.7 $e |- L = ( U LnOp W ) $.
    $( The domain of a nonzero linear operator contains a nonzero vector.
       (Contributed by NM, 15-Dec-2007.)  (New usage is discouraged.) $)
    lnon0 $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L ) /\ T =/= O )
                   -> E. x e. X x =/= Z ) $=
      ( cnv wcel wne wn wceq wral bitr3i cfv w3a cv wrex ralnex nne ralbii cn0v
      csn cxp wfn wa fveq2 cba eqid lno0 sylan9eqr ralimdv lnof jctild fconstfv
      ex ffnd fvex fconst2 syl6ib 0ofval 3adant3 eqeq2d sylibrd syl5bi necon1ad
      wf imp ) CMNZFMNZBDNZUAZBEOAUBZHOZAGUCZVQVTBEVTPZVRHQZAGRZVQBEQZWAVSPZAGR
      WCVSAGUDWEWBAGVRHUEUFSVQWCBGFUGTZUHZUIZQZWDVQWCBGUJZVRBTZWFQZAGRZUKZWIVQW
      CWMWJVQWBWLAGVQWBWLWBVQWKHBTWFVRHBULHBCDFGFUMTZWFIWOUNZJWFUNZLUOUPVAUQVQG
      WOBBCDFGWOIWPLURVBUSWNGWGBVLWIAGWFBUTGWFBFUGVCVDSVEVQEWHBVNVOEWHQVPCEFGWF
      IWQKVFVGVHVIVJVKVM $.
  $}

  ${
    nmblolbi.1 $e |- X = ( BaseSet ` U ) $.
    nmblolbi.4 $e |- L = ( normCV ` U ) $.
    nmblolbi.5 $e |- M = ( normCV ` W ) $.
    nmblolbi.6 $e |- N = ( U normOpOLD W ) $.
    nmblolbi.7 $e |- B = ( U BLnOp W ) $.
    nmblolbi.u $e |- U e. NrmCVec $.
    nmblolbi.w $e |- W e. NrmCVec $.
    ${
      nmblolbii.b $e |- T e. B $.
      $( A lower bound for the norm of a bounded linear operator.  (Contributed
         by NM, 7-Dec-2007.)  (New usage is discouraged.) $)
      nmblolbii $p |- ( A e. X ->
                ( M ` ( T ` A ) ) <_ ( ( N ` T ) x. ( L ` A ) ) ) $=
        ( wcel cfv cc0 cmul co cle wbr cn0v wceq fveq2 fveq2d oveq2d breq12d wa
        wne cdiv c1 cns cr cba cnv nvcl mpan adantr eqid nvz necon3bid rereccld
        wb biimpar clt nvgt0 biimpa recgt0d wi 0re ltle sylancr mpd wf ffvelrni
        blof mp3an nvsge0 mp3an1 syl21anc cc recnd simpl clno w3a bloln 3pm3.2i
        lnomul syl2anc divrec2d 3eqtr4rd nvscl ancoms syldan nv1 nmoolb eqbrtrd
        eqle nmblore a1i ledivmul2 syl112anc mpbid 0le0 lno0 fveq2i ax-mp eqtri
        nvz0 oveq2i recni mul01i 3brtr4i pm2.61ne ) AIRZACSZFSZCGSZAESZUAUBZUCU
        DZDUESZCSZFSZYAYEESZUAUBZUCUDZAYEAYEUFZXTYGYCYIUCYKXSYFFAYECUGUHYKYBYHY
        AUAAYEEUGUIUJXRAYEULZUKZXTYBUMUBZYAUCUDZYDYMYNUNYBUMUBZADUOSZUBZCSZFSZY
        AUCYMYPXSHUOSZUBZFSZYPXTUAUBZYTYNYMYPUPRZTYPUCUDZXSHUQSZRZUUCUUDUFZYMYB
        XRYBUPRZYLDURRZXRUUJOADEIJKUSUTVAZXRYBTULYLXRYBTAYEUUKXRYBTUFYKVFOADEIY
        EJYEVBZKVCUTVDVGZVEZYMTYPVHUDZUUFYMYBUULXRYLTYBVHUDZUUKXRYLUUQVFOADEIYE
        JUUMKVIUTVJZVKYMTUPRUUEUUPUUFVLVMUUOTYPVNVOVPXRUUHYLIUUGACUUKHURRZCBRZI
        UUGCVQZOPQBCDHIUUGJUUGVBZNVSVTZVRZVAUUSUUEUUFUKUUHUUIPYPXSUUAHFUUGUVBUU
        AVBZLWAWBWCYMYSUUBFYMYPWDRZXRYSUUBUFZYMYPUUOWEZXRYLWFUUKUUSCDHWGUBZRZWH
        UVFXRUKUVGUUKUUSUVJOPUUKUUSUUTUVJOPQBCDUVIHUVIVBZNWIVTZWJYPAYQUUACDUVIH
        IJYQVBZUVEUVKWKUTWLUHYMXTYBYMXTXRXTUPRZYLXRUUSUUHUVNPUVDXSHFUUGUVBLUSVO
        VAZWEYMYBUULWEUUNWMWNYMYRIRZYRESZUNUCUDZYTYAUCUDZXRYLUVFUVPUVHUVFXRUVPU
        UKUVFXRUVPOYPAYQDIJUVMWOWBWPWQZYMUVQUPRZUVQUNUFZUVRYMUUKUVPUWAOUVTYRDEI
        JKUSVOUUKXRYLUWBOAYQDEIYEJUVMUUMKWRWBUVQUNXAWLUUKUUSUVAWHUVPUVRUKUVSUUK
        UUSUVAOPUVCWJYRCDEFGHIUUGJUVBKLMWSUTWLWTYMUVNYAUPRZUUJUUQYOYDVFUVOUWCYM
        UUKUUSUUTUWCOPQBCDGHIUUGJUVBMNXBVTZXCUULUURXTYAYBXDXEXFYJXRTTYGYIUCXGYG
        HUESZFSZTYFUWEFUUKUUSUVJYFUWEUFOPUVLYECDUVIHIUUGUWEJUVBUUMUWEVBZUVKXHVT
        XIUUSUWFTUFPHFUWEUWGLXLXJXKYIYATUAUBTYHTYAUAUUKYHTUFODEYEUUMKXLXJXMYAYA
        UWDXNXOXKXPXCXQ $.
    $}

    $( A lower bound for the norm of a bounded linear operator.  (Contributed
       by NM, 10-Dec-2007.)  (New usage is discouraged.) $)
    nmblolbi $p |- ( ( T e. B /\ A e. X ) ->
              ( M ` ( T ` A ) ) <_ ( ( N ` T ) x. ( L ` A ) ) ) $=
      ( wcel cfv cmul co cle wbr c0o cif wceq fveq1 fveq2d fveq2 oveq1d breq12d
      wi imbi2d cnv eqid 0blo mp2an elimel nmblolbii dedth imp ) CBQZAIQZACRZFR
      ZCGRZAERZSTZUAUBZVAVBVHUKVBAVACDHUCTZUDZRZFRZVJGRZVFSTZUAUBZUKCVICVJUEZVH
      VOVBVPVDVLVGVNUAVPVCVKFACVJUFUGVPVEVMVFSCVJGUHUIUJULABVJDEFGHIJKLMNOPCVIB
      DUMQHUMQVIBQOPBDHVIVIUNNUOUPUQURUSUT $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x L $.  $d x y M $.  $d x y N $.  $d x y T $.
    $d x y U $.  $d x y W $.  $d x y X $.
    isblo3i.1 $e |- X = ( BaseSet ` U ) $.
    isblo3i.m $e |- M = ( normCV ` U ) $.
    isblo3i.n $e |- N = ( normCV ` W ) $.
    isblo3i.4 $e |- L = ( U LnOp W ) $.
    isblo3i.5 $e |- B = ( U BLnOp W ) $.
    isblo3i.u $e |- U e. NrmCVec $.
    isblo3i.w $e |- W e. NrmCVec $.
    $( The predicate "is a bounded linear operator."  Definition 2.7-1 of
       [Kreyszig] p. 91.  (Contributed by NM, 11-Dec-2007.)
       (New usage is discouraged.) $)
    isblo3i $p |- ( T e. B <-> ( T e. L /\
          E. x e. RR A. y e. X ( N ` ( T ` y ) ) <_ ( x x. ( M ` y ) ) ) ) $=
      ( wcel cfv cr cv cmul co cle wbr wral wrex wa cnv bloln mp3an12 cnmoo cba
      eqid nmblore nmblolbi ralrimiva wceq oveq1 breq2d ralbidv syl2anc jca w3a
      rspcev cpnf clt simp1 wf lnof cabs cxr nmoxr 3ad2ant1 recn rexrd 3ad2ant2
      abscld pnfxr a1i nmoub3i ltpnf syl xrlelttrd syl3an1 isblo mp2an sylanbrc
      wb rexlimdv3a imp impbii ) DCRZDFRZBUAZDSHSZAUAZWOGSZUBUCZUDUEZBJUFZATUGZ
      UHWMWNXBEUIRZIUIRZWMWNPQCDEFINOUJUKWMDEIULUCZSZTRZWPXFWRUBUCZUDUEZBJUFZXB
      XCXDWMXGPQCDEXEIJIUMSZKXKUNZXEUNZOUOUKWMXIBJWOCDEGHXEIJKLMXMOPQUPUQXAXJAX
      FTWQXFURZWTXIBJXNWSXHWPUDWQXFWRUBUSUTVAVEVBVCWNXBWMWNXAWMATWNWQTRZXAVDWNX
      FVFVGUEZWMWNXOXAVHWNJXKDVIZXOXAXPXCXDWNXQPQDEFIJXKKXLNVJUKXQXOXAVDZXFWQVK
      SZVFXQXOXFVLRZXAXCXDXQXTPQDEXEIJXKKXLXMVMUKVNXOXQXSVLRXAXOXSXOWQWQVOVRZVP
      VQVFVLRXRVSVTBWQDEGHXEIJXKKXLLMXMPQWAXOXQXSVFVGUEZXAXOXSTRYBYAXSWBWCVQWDW
      EXCXDWMWNXPUHWIPQCDEFXEIXMNOWFWGWHWJWKWL $.

    $( Properties that determine a bounded linear operator.  (Contributed by
       NM, 13-Jan-2008.)  (New usage is discouraged.) $)
    blo3i $p |- ( ( T e. L /\ A e. RR /\ A. y e. X ( N ` ( T ` y ) ) <_
               ( A x. ( M ` y ) ) ) -> T e. B ) $=
      ( vx wcel cr cv cfv cmul co cle wbr wral wa wrex wceq oveq1 breq2d rspcev
      ralbidv isblo3i biimpri sylan2 3impb ) DFSZBTSZAUAZDUBHUBZBVAGUBZUCUDZUEU
      FZAJUGZDCSZUTVFUHUSVBRUAZVCUCUDZUEUFZAJUGZRTUIZVGVKVFRBTVHBUJZVJVEAJVMVIV
      DVBUEVHBVCUCUKULUNUMVGUSVLUHRACDEFGHIJKLMNOPQUOUPUQUR $.
  $}

  ${
    blometi.1 $e |- X = ( BaseSet ` U ) $.
    blometi.2 $e |- Y = ( BaseSet ` W ) $.
    blometi.8 $e |- C = ( IndMet ` U ) $.
    blometi.d $e |- D = ( IndMet ` W ) $.
    blometi.6 $e |- N = ( U normOpOLD W ) $.
    blometi.7 $e |- B = ( U BLnOp W ) $.
    blometi.u $e |- U e. NrmCVec $.
    blometi.w $e |- W e. NrmCVec $.
    $( Upper bound for the distance between the values of a bounded linear
       operator.  (Contributed by NM, 11-Dec-2007.)
       (New usage is discouraged.) $)
    blometi $p |- ( ( T e. B /\ P e. X /\ Q e. X ) ->
         ( ( T ` P ) D ( T ` Q ) ) <_ ( ( N ` T ) x. ( P C Q ) ) ) $=
      ( cfv wcel w3a cnsb co cnmcv cmul cle wbr wa cnv eqid nvmcl mp3an1 sylan2
      nmblolbi wceq blof mp3an12 ffvelrnda 3adant3 3adant2 imsdval syl2anc clno
      3impb wf bloln lnosub mp3anl1 mpanl1 syl3an1 fveq2d eqtr4d 3adant1 oveq2d
      3brtr4d ) FAUAZDJUAZEJUAZUBZDEGUCTZUDZFTZIUETZTZFHTZWBGUETZTZUFUDZDFTZEFT
      ZCUDZWFDEBUDZUFUDUGVQVRVSWEWIUGUHZVRVSUIZVQWBJUAZWNGUJUAZVRVSWPRDEGWAJLWA
      UKZULUMWBAFGWGWDHIJLWGUKZWDUKZPQRSUOUNVEVTWLWJWKIUCTZUDZWDTZWEVTWJKUAZWKK
      UAZWLXCUPZVQVRXDVSVQJKDFWQIUJUAZVQJKFVFRSAFGIJKLMQUQURZUSUTVQVSXEVRVQJKEF
      XHUSVAXGXDXEXFSWJWKCIXAWDKMXAUKZWTOVBUMVCVTWCXBWDVQFGIVDUDZUAZVRVSWCXBUPZ
      WQXGVQXKRSAFGXJIXJUKZQVGURXKVRVSXLXGXKWOXLSWQXGXKWOXLRDEFGXJWAXAIJLWRXIXM
      VHVIVJVEVKVLVMVTWMWHWFUFVRVSWMWHUPZVQWQVRVSXNRDEBGWAWGJLWRWSNVBUMVNVOVP
      $.
  $}

  ${
    $d w x y z B $.  $d w x y z C $.  $d w x y z D $.  $d x L $.  $d x y z P $.
    $d w x y z J $.  $d w x y z K $.  $d w x y z T $.  $d w x y z U $.
    $d w x y z W $.  $d x y z X $.
    blocni.8 $e |- C = ( IndMet ` U ) $.
    blocni.d $e |- D = ( IndMet ` W ) $.
    blocni.j $e |- J = ( MetOpen ` C ) $.
    blocni.k $e |- K = ( MetOpen ` D ) $.
    blocni.4 $e |- L = ( U LnOp W ) $.
    blocni.5 $e |- B = ( U BLnOp W ) $.
    blocni.u $e |- U e. NrmCVec $.
    blocni.w $e |- W e. NrmCVec $.
    blocni.l $e |- T e. L $.
    ${
      blocnilem.1 $e |- X = ( BaseSet ` U ) $.
      $( TODO - this needs to be broken up or shortened $)
      $( Lemma for ~ blocni and ~ lnocni .  If a linear operator is continuous
         at any point, it is bounded.  (Contributed by NM, 17-Dec-2007.)
         (Revised by Mario Carneiro, 10-Jan-2014.)
         (New usage is discouraged.) $)
      blocnilem $p |- ( ( P e. X /\ T e. ( ( J CnP K ) ` P ) ) -> T e. B ) $=
        ( vz vx vy wcel ccnp co cfv wa cv cnmcv cmul cle wbr wral cr wrex c1 wi
        crp cxmet cba cnv imsxmet eqid 1rp metcnpi3 mpanr2 mpanl12 cdiv rpreccl
        ax-mp rpred ad2antlr cnsb wb wceq imsdval mp3an1 wf lnof mp3an ffvelrni
        breq1d syl2an 3pm3.2i lnosub mpan fveq2d eqtr4d imbi12d ancoms ralbidva
        w3a adantlr 2fveq3 fveq2 oveq2d breq12d wne cns cpv a1i simpll cc simpr
        cn0v nvcl adantr cc0 clt nvgt0 biimpa elrpd rpdivcl rpcnd nvscl syl3anc
        simprl nvpncan2 rprege0d nvsge0 ad2antrl recnd necon3bid biimpar adantl
        rpcn nvz divcan1d 3eqtrd rpre fvoveq1 syl2anc eqtrd rpcnne0 breq2d nvz0
        syl imp leidd eqbrtrd nvgcl rspcv mpid sylancr lemuldiv2d lnomul recdiv
        1red rpne0 divrec2d eqtr2d 3bitr4d sylibd anassrs an32s lno0 eqtri 0le0
        fveq2i oveq2i mul01 syl5eq breqtrrid ad3antlr pm2.61ne ralrimdva sylbid
        eqbrtri ex oveq1 ralbidv rspcev rexlimdva2 syl5 isblo3i mpbiran sylibr
        ) DKUEZEDGHUFUGUHUEZUIUBUJZEUHZJUKUHZUHZUCUJZUWBFUKUHZUHZULUGZUMUNZUBKU
        OZUCUPUQZEAUEZUVTUWAUWLUWAUWFDBUGZUDUJZUMUNZUWFEUHZDEUHZCUGZURUMUNZUSZU
        CKUOZUDUTUQZUVTUWLBKVAUHUEZCJVBUHZVAUHUEZUWAUXCFVCUEZUXDRBFKUALVDVLJVCU
        EZUXFSCJUXEUXEVEZMVDVLUXDUXFUIUWAURUTUEUXCVFUDUCURBCDEGHKUXENOVGVHVIUVT
        UXBUWLUDUTUVTUWOUTUEZUIZUXBUIURUWOVJUGZUPUEZUWEUXLUWHULUGZUMUNZUBKUOZUW
        LUXJUXMUVTUXBUXJUXLUWOVKZVMVNUXKUXBUXPUXKUXBUWFDFVOUHZUGZUWGUHZUWOUMUNZ
        UXSEUHZUWDUHZURUMUNZUSZUCKUOZUXPUXKUXAUYEUCKUVTUWFKUEZUXAUYEVPZUXJUYGUV
        TUYHUYGUVTUIZUWPUYAUWTUYDUYIUWNUXTUWOUMUXGUYGUVTUWNUXTVQRUWFDBFUXRUWGKU
        AUXRVEZUWGVEZLVRVSWDUYIUWSUYCURUMUYIUWSUWQUWRJVOUHZUGZUWDUHZUYCUYGUWQUX
        EUEZUWRUXEUEZUWSUYNVQZUVTKUXEUWFEUXGUXHEIUEZKUXEEVTRSTEFIJKUXEUAUXIPWAW
        BZWCKUXEDEUYSWCUXHUYOUYPUYQSUWQUWRCJUYLUWDUXEUXIUYLVEZUWDVEZMVRVSWEUYIU
        YBUYMUWDUXGUXHUYRWNZUYIUYBUYMVQUXGUXHUYRRSTWFZUWFDEFIUXRUYLJKUAUYJUYTPW
        GWHWIWJWDWKWLWOWMUXKUYFUXOUBKUXKUWBKUEZUIZUYFUXOVUEUYFUIUXOFXGUHZEUHZUW
        DUHZUXLVUFUWGUHZULUGZUMUNZUWBVUFUWBVUFVQZUWEVUHUXNVUJUMUWBVUFUWDEWPVULU
        WHVUIUXLULUWBVUFUWGWQWRWSVUEUWBVUFWTZUYFUXOVUEVUMUIUYFUXOUXKVUDVUMUYFUX
        OUSUXKVUDVUMUIZUIZUYFDUWOUWHVJUGZUWBFXAUHZUGZFXBUHZUGZDUXRUGZEUHZUWDUHZ
        URUMUNZUXOVUOUYFVVAUWGUHZUWOUMUNZVVDVUOVVEUWOUWOUMVUOVVEVURUWGUHZVUPUWH
        ULUGZUWOVUOVVAVURUWGVUOUXGUVTVURKUEZVVAVURVQUXGVUORXCZUVTUXJVUNXDZVUOUX
        GVUPXEUEZVUDVVIVVJVUOVUPUXKUXJUWHUTUEZVUPUTUEVUNUVTUXJXFZVUNUWHVUDUWHUP
        UEZVUMUXGVUDVVORUWBFUWGKUAUYKXHWHZXIVUDVUMXJUWHXKUNZUXGVUDVUMVVQVPRUWBF
        UWGKVUFUAVUFVEZUYKXLWHXMXNZUWOUWHXOWEZXPZUXKVUDVUMXSZVUPUWBVUQFKUAVUQVE
        ZXQXRZDVURFVUSUXRKUAVUSVEZUYJXTXRZWIVUOUXGVUPUPUEXJVUPUMUNUIZVUDVVGVVHV
        QVVJVUOVUPVVTYAZVWBVUPUWBVUQFUWGKUAVWCUYKYBXRVUOUWOUWHUXJUWOXEUEZUVTVUN
        UWOYHVNZVUOUWHVUDVVOUXKVUMVVPYCYDZVUNUWHXJWTZUXKVUDVWLVUMVUDUWHXJUWBVUF
        UXGVUDUWHXJVQVULVPRUWBFUWGKVUFUAVVRUYKYIWHYEYFYGYJYKUXJUWOUWOUMUNUVTVUN
        UXJUWOUWOYLUUAVNUUBVUOVUTKUEZUYFVVFVVDUSZUSVUOUXGUVTVVIVWMVVJVVKVWDDVUR
        FVUSKUAVWEUUCXRUYEVWNUCVUTKUWFVUTVQZUYAVVFUYDVVDVWOUXTVVEUWOUMUWFVUTDUW
        GUXRYMWDVWOUYCVVCURUMVWOUYBVVBUWDUWFVUTDEUXRYMWIWDWKUUDYSUUEVUOVUPUWEUL
        UGZURUMUNUWEURVUPVJUGZUMUNVVDUXOVUOUWEURVUPVUDUWEUPUEZUXKVUMVUDUXHUWCUX
        EUEZVWRSKUXEUWBEUYSWCZUWCJUWDUXEUXIVUAXHUUFYCVUOUUJVVTUUGVUOVVCVWPURUMV
        UOVVCVUPUWCJXAUHZUGZUWDUHZVWPVUOVVBVXBUWDVUOVVBVUREUHZVXBVUOVVAVUREVWFW
        IVUOVVLVUDVXDVXBVQZVWAVWBVUBVVLVUDUIVXEVUCVUPUWBVUQVXAEFIJKUAVWCVXAVEZP
        UUHWHYNYOWIVUOUXHVWGVWSVXCVWPVQUXHVUOSXCVWHVUDVWSUXKVUMVWTYCVUPUWCVXAJU
        WDUXEUXIVXFVUAYBXRYOWDVUOUXNVWQUWEUMVUOVWQUWHUWOVJUGZUXNUXKUXJVVMVWQVXG
        VQZVUNVVNVVSUXJVWIUWOXJWTZUIUWHXEUEVWLUIVXHVVMUWOYPUWHYPUWOUWHUUIWEWEVU
        OUWHUWOVWKVWJUXJVXIUVTVUNUWOUUKVNUULUUMYQUUNUUOUUPYTUUQUXJVUKUVTVUDUYFU
        XJVUHXJVUJUMVUHXJXJUMVUHJXGUHZUWDUHZXJVUGVXJUWDUXGUXHUYRVUGVXJVQRSTVUFE
        FIJKUXEVXJUAUXIVVRVXJVEZPUURWBUVAUXHVXKXJVQSJUWDVXJVXLVUAYRVLUUSUUTUVJU
        XJUXLXEUEZVUJXJVQUXJUXLUXQXPVXMVUJUXLXJULUGXJVUIXJUXLULUXGVUIXJVQRFUWGV
        UFVVRUYKYRVLUVBUXLUVCUVDYSUVEUVFUVGUVKUVHUVIYTUWKUXPUCUXLUPUWFUXLVQZUWJ
        UXOUBKVXNUWIUXNUWEUMUWFUXLUWHULUVLYQUVMUVNYNUVOUVPYTUWMUYRUWLTUCUBAEFIU
        WGUWDJKUAUYKVUAPQRSUVQUVRUVS $.
    $}

    $( A linear operator is continuous iff it is bounded.  Theorem 2.7-9(a) of
       [Kreyszig] p. 97.  (Contributed by NM, 18-Dec-2007.)  (Revised by Mario
       Carneiro, 10-Jan-2014.)  (New usage is discouraged.) $)
    blocni $p |- ( T e. ( J Cn K ) <-> T e. B ) $=
      ( wcel cfv vx vw vz vy ccn co cn0v cba ccnp eqid nvzcl ax-mp cxmet ctopon
      cnv imsmet metxmet mopntopon toponunii cncnpi mpan2 blocnilem sylancr c0o
      cmet eleq1 wne wa wf cv clt wbr wi wral crp wrex cnmoo cdiv simprr cr cc0
      nmblore mp3an12 nmlnogt0 mp3an biimpi anim12i elrp sylibr adantr rpdivcld
      wb simprl metcl mp3an1 sylan simplrr rpred ad2antrr ltmuldiv2 syl3anc cle
      cmul ad2ant2r blometi 3expa lnof ffvelrni syl2an remulcl anassrs adantllr
      id adantlrr lelttr mpand sylbird ralrimiva breq2 syl2anc ralrimivva jctil
      rspceaimv metcn mp2an csn cxp 0ofval cnconst2 eqeltri a1i pm2.61ne impbii
      wceq ) DFGUEUFZSZDASZYPEUGTZEUHTZSZDYRFGUIUFTSZYQEUOSZYTPEYSYRYSUJZYRUJUK
      ULZYPYTUUAUUDYRDFGYSYSFBYSUMTSZFYSUNTSZBYSVETSZUUEUUBUUGPBEYSUUCJUPULZBYS
      UQULZBFYSLURULZUSUTVAABCYRDEFGHIYSJKLMNOPQRUUCVBVCYQYPEIVDUFZYOSZDUUKDUUK
      YOVFYQDUUKVGZVHZYSIUHTZDVIZUAVJZUBVJZBUFZUCVJZVKVLZUUQDTZUURDTZCUFZUDVJZV
      KVLZVMUBYSVNUCVOVPZUDVOVNUAYSVNZVHZYPUUNUVHUUPUUNUVGUAUDYSVOUUNUUQYSSZUVE
      VOSZVHZVHZUVEDEIVQUFZTZVRUFZVOSUUSUVPVKVLZUVFVMZUBYSVNUVGUVMUVEUVOUUNUVJU
      VKVSUUNUVOVOSZUVLUUNUVOVTSZWAUVOVKVLZVHZUVSYQUVTUUMUWAUUBIUOSZYQUVTPQADEU
      VNIYSUUOUUCUUOUJZUVNUJZOWBWCZUUMUWAUUBUWCDHSZUUMUWAWLPQRDEHUVNIUUKUWEUUKU
      JZNWDWEWFWGZUVOWHWIWJWKUVMUVRUBYSUVMUURYSSZVHZUVQUVOUUSXCUFZUVEVKVLZUVFUW
      KUUSVTSZUVEVTSZUWBUWMUVQWLUVMUVJUWJUWNUUNUVJUVKWMZUUGUVJUWJUWNUUHUUQUURBY
      SWNWOZWPUWKUVEUUNUVJUVKUWJWQWRZUUNUWBUVLUWJUWIWSUUSUVEUVOWTXAUWKUVDUWLXBV
      LZUWMUVFUVMYQUVJVHZUWJUWSYQUVJUWTUUMUVKUWTXMXDYQUVJUWJUWSABCUUQUURDEUVNIY
      SUUOUUCUWDJKUWEOPQXEXFWPUWKUVDVTSZUWLVTSZUWOUWSUWMVHUVFVMUVMUVJUWJUXAUWPU
      VJUVBUUOSZUVCUUOSZUXAUWJYSUUOUUQDUUBUWCUWGUUPPQRDEHIYSUUOUUCUWDNXGWEZXHYS
      UUOUURDUXEXHCUUOVETSZUXCUXDUXAUWCUXFQCIUUOUWDKUPULZUVBUVCCUUOWNWOXIWPUUNU
      VJUWJUXBUVKYQUVJUWJUXBUUMYQUVJUWJUXBYQUVTUWNUXBUVJUWJVHUWFUWQUVOUUSXJXIXK
      XLXNUWRUVDUWLUVEXOXAXPXQXRUVAUVQUVFUCUBUVPVOYSUUTUVPUUSVKXSYCXTYAUXEYBUUE
      CUUOUMTSZYPUVIWLUUIUXFUXHUXGCUUOUQULZUAUDUCUBBCDFGYSUUOLMYDYEWIUULYQUUKYS
      IUGTZYFYGZYOUUBUWCUUKUXKYNPQEUUKIYSUXJUUCUXJUJZUWHYHYEUUFGUUOUNTSZUXJUUOS
      ZUXKYOSUUJUXHUXMUXICGUUOMURULUWCUXNQIUUOUXJUWDUXLUKULUXJFGYSUUOYIWEYJYKYL
      YM $.

    ${
      lnocni.1 $e |- X = ( BaseSet ` U ) $.
      $( If a linear operator is continuous at any point, it is continuous
         everywhere.  Theorem 2.7-9(b) of [Kreyszig] p. 97.  (Contributed by
         NM, 18-Dec-2007.)  (New usage is discouraged.) $)
      lnocni $p |- ( ( P e. X /\ T e. ( ( J CnP K ) ` P ) ) ->
                T e. ( J Cn K ) ) $=
        ( wcel ccnp co cfv wa ccn blocnilem blocni sylibr ) DKUBEDGHUCUDUEUBUFE
        AUBEGHUGUDUBABCDEFGHIJKLMNOPQRSTUAUHABCEFGHIJLMNOPQRSTUIUJ $.
    $}
  $}

  ${
    blocn.8 $e |- C = ( IndMet ` U ) $.
    blocn.d $e |- D = ( IndMet ` W ) $.
    blocn.j $e |- J = ( MetOpen ` C ) $.
    blocn.k $e |- K = ( MetOpen ` D ) $.
    blocn.5 $e |- B = ( U BLnOp W ) $.
    blocn.u $e |- U e. NrmCVec $.
    blocn.w $e |- W e. NrmCVec $.
    ${
      blocn.4 $e |- L = ( U LnOp W ) $.
      $( A linear operator is continuous iff it is bounded.  Theorem 2.7-9(a)
         of [Kreyszig] p. 97.  (Contributed by NM, 25-Dec-2007.)
         (New usage is discouraged.) $)
      blocn $p |- ( T e. L -> ( T e. ( J Cn K ) <-> T e. B ) ) $=
        ( wcel co wb ccn c0o cif wceq eleq1 bibi12d cnv eqid 0lno elimel blocni
        mp2an dedth ) DHRZDFGUASZRZDARZTUNDEIUBSZUCZUORZUSARZTDURDUSUDUPUTUQVAD
        USUOUEDUSAUEUFABCUSEFGHIJKLMQNOPDURHEUGRIUGRURHROPEHIURURUHQUIULUJUKUM
        $.
    $}

    $( A bounded linear operator is continuous.  (Contributed by NM,
       25-Dec-2007.)  (New usage is discouraged.) $)
    blocn2 $p |- ( T e. B -> T e. ( J Cn K ) ) $=
      ( clno co wcel ccn cnv eqid bloln mp3an12 blocn biimprd mpcom ) DEHPQZRZD
      ARZDFGSQRZETRHTRUIUHNOADEUGHUGUAZMUBUCUHUJUIABCDEFGUGHIJKLMNOUKUDUEUF $.
  $}

  ${
    $d u w P $.  $d s t u w x y U $.  $d s t u w x y W $.  $d s t u w x X $.
    $d u w Q $.  $d s t u w y Y $.
    ajfval.1 $e |- X = ( BaseSet ` U ) $.
    ajfval.2 $e |- Y = ( BaseSet ` W ) $.
    ajfval.3 $e |- P = ( .iOLD ` U ) $.
    ajfval.4 $e |- Q = ( .iOLD ` W ) $.
    ajfval.5 $e |- A = ( U adj W ) $.
    $( The adjoint function.  (Contributed by NM, 25-Jan-2008.)  (Revised by
       Mario Carneiro, 16-Nov-2013.)  (New usage is discouraged.) $)
    ajfval $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> A =
     { <. t , s >. | ( t : X --> Y /\ s : Y --> X /\ A. x e. X A. y e. Y
    ( ( t ` x ) Q y ) = ( x P ( s ` y ) ) ) } ) $=
      ( co cv cfv cba vu vw cnv wcel wa caj wf wceq wral w3a copab cdip eqtr4di
      fveq2 feq2d feq3d oveqd eqeq2d ralbidv raleqbidv 3anbi123d opabbidv df-aj
      eqeq1d cmap cxp ovex xpex fvexi anbi12i biimpri 3adant3 ssopab2i sseqtrri
      elmap df-xp ssexi ovmpo syl5eq ) GUCUDHUCUDUEDGHUFQIJCRZUGZJIKRZUGZARZVTS
      ZBRZFQZWDWFWBSZEQZUHZBJUIZAIUIZUJZCKUKZPUAUBGHUCUCUARZTSZUBRZTSZVTUGZWRWP
      WBUGZWEWFWQULSZQZWDWHWOULSZQZUHZBWRUIZAWPUIZUJZCKUKWNUFIWRVTUGZWRIWBUGZXB
      WIUHZBWRUIZAIUIZUJZCKUKWOGUHZXHXNCKXOWSXIWTXJXGXMXOWPIWRVTXOWPGTSIWOGTUNL
      UMZUOXOWPIWBWRXPUPXOXFXLAWPIXPXOXEXKBWRXOXDWIXBXOXCEWDWHXOXCGULSEWOGULUNN
      UMUQURUSUTVAVBWQHUHZXNWMCKXQXIWAXJWCXMWLXQWRJVTIXQWRHTSJWQHTUNMUMZUPXQWRJ
      IWBXRUOXQXLWKAIXQXKWJBWRJXRXQXBWGWIXQXAFWEWFXQXAHULSFWQHULUNOUMUQVDUTUSVA
      VBABUBUACKVCWNJIVEQZIJVEQZVFZXSXTJIVEVGIJVEVGVHWNVTXSUDZWBXTUDZUEZCKUKYAW
      MYDCKWAWCYDWLYDWAWCUEYBWAYCWCJIVTJHTMVIZIGTLVIZVOIJWBYFYEVOVJVKVLVMCKXSXT
      VPVNVQVRVS $.
  $}

  ${
    $d t u A $.  $d t T $.  $d t u U $.
    hmoval.8 $e |- H = ( HmOp ` U ) $.
    hmoval.9 $e |- A = ( U adj U ) $.
    $( The set of Hermitian (self-adjoint) operators on a normed complex vector
       space.  (Contributed by NM, 26-Jan-2008.)  (Revised by Mario Carneiro,
       16-Nov-2013.)  (New usage is discouraged.) $)
    hmoval $p |- ( U e. NrmCVec -> H = { t e. dom A | ( A ` t ) = t } ) $=
      ( vu cnv wcel chmo cfv cv wceq cdm crab caj co oveq12 anidms eqtr4di ovex
      dmeqd fveq1d eqeq1d rabeqbidv df-hmo cvv eqeltri dmex rabex fvmpt syl5eq
      ) CHIDCJKALZBKZUMMZABNZOZEGCUMGLZURPQZKZUMMZAUSNZOUQHJURCMZVAUOAVBUPVCUSB
      VCUSCCPQZBVCUSVDMURCURCPRSFTZUBVCUTUNUMVCUMUSBVEUCUDUEGAUFUOAUPBBVDUGFCCP
      UAUHUIUJUKUL $.

    $( The predicate "is a hermitian operator."  (Contributed by NM,
       26-Jan-2008.)  (New usage is discouraged.) $)
    ishmo $p |- ( U e. NrmCVec ->
      ( T e. H <-> ( T e. dom A /\ ( A ` T ) = T ) ) ) $=
      ( vt cnv wcel cv cfv wceq cdm crab wa hmoval eleq2d fveq2 id eqeq12d
      elrab bitrdi ) CHIZBDIBGJZAKZUDLZGAMZNZIBUGIBAKZBLZOUCDUHBGACDEFPQUFUJGBU
      GUDBLZUEUIUDBUDBARUKSTUAUB $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Inner product (pre-Hilbert) spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CPreHilOLD $.

  $( Extend class notation with the class of all complex inner product spaces
     (also called pre-Hilbert spaces). $)
  ccphlo $a class CPreHilOLD $.

  ${
    $d g n s x y $.
    $( Define the class of all complex inner product spaces.  An inner product
       space is a normed vector space whose norm satisfies the parallelogram
       law (a property that induces an inner product).  Based on Exercise 4(b)
       of [ReedSimon] p. 63.  The vector operation is ` g ` , the scalar
       product is ` s ` , and the norm is ` n ` .  An inner product space is
       also called a pre-Hilbert space.  (Contributed by NM, 2-Apr-2007.)
       (New usage is discouraged.) $)
    df-ph $a |- CPreHilOLD = ( NrmCVec i^i { <. <. g , s >. , n >. |
          A. x e. ran g A. y e. ran g
       ( ( ( n ` ( x g y ) ) ^ 2 ) + ( ( n ` ( x g ( -u 1 s y ) ) ) ^ 2 ) ) =
        ( 2 x. ( ( ( n ` x ) ^ 2 ) + ( ( n ` y ) ^ 2 ) ) ) } ) $.

    $( Every complex inner product space is a normed complex vector space.
       (Contributed by NM, 2-Apr-2007.)  (New usage is discouraged.) $)
    phnv $p |- ( U e. CPreHilOLD -> U e. NrmCVec ) $=
      ( vx vy vg vn vs ccphlo cnv cv co cfv c2 cexp c1 cneg caddc cmul wceq crn
      wral coprab cin df-ph inss1 eqsstri sseli ) GHAGHBIZCIZDIZJEIZKLMJUGNOUHF
      IJUIJUJKLMJPJLUGUJKLMJUHUJKLMJPJQJRCUISZTBUKTDFEUAZUBHBCDEFUCHULUDUEUF $.

    $( The class of all complex inner product spaces is a relation.
       (Contributed by NM, 2-Apr-2007.)  (New usage is discouraged.) $)
    phrel $p |- Rel CPreHilOLD $=
      ( vx ccphlo cnv wss wrel cv phnv ssriv nvrel relss mp2 ) BCDCEBEABCAFGHIB
      CJK $.
  $}

  ${
    phnvi.1 $e |- U e. CPreHilOLD $.
    $( Every complex inner product space is a normed complex vector space.
       (Contributed by NM, 20-Nov-2007.)  (New usage is discouraged.) $)
    phnvi $p |- U e. NrmCVec $=
      ( ccphlo wcel cnv phnv ax-mp ) ACDAEDBAFG $.
  $}

  ${
    $d g n s x y G $.  $d g n s x y N $.  $d g n s x y S $.  $d g n s x y X $.
    isphg.1 $e |- X = ran G $.
    $( The predicate "is a complex inner product space."  An inner product
       space is a normed vector space whose norm satisfies the parallelogram
       law.  The vector (group) addition operation is ` G ` , the scalar
       product is ` S ` , and the norm is ` N ` .  An inner product space is
       also called a pre-Hilbert space.  (Contributed by NM, 2-Apr-2007.)
       (New usage is discouraged.) $)
    isphg $p |- ( ( G e. A /\ S e. B /\ N e. C ) ->
  ( <. <. G , S >. , N >. e. CPreHilOLD <-> ( <. <. G , S >. , N >. e. NrmCVec
        /\
          A. x e. X A. y e. X
      ( ( ( N ` ( x G y ) ) ^ 2 ) + ( ( N ` ( x G ( -u 1 S y ) ) ) ^ 2 ) ) =
        ( 2 x. ( ( ( N ` x ) ^ 2 ) + ( ( N ` y ) ^ 2 ) ) ) ) ) ) $=
      ( wcel cv co cfv c2 cexp caddc wceq wral oveq1d vg vn cop ccphlo cnv cneg
      vs c1 cmul crn coprab wa w3a df-ph elin2 rneq eqtr4di oveq fveq2d oveq12d
      eqeq1d raleqbidv oveq2d 2ralbidv fveq1 eqeq12d eloprabg anbi2d syl5bb ) G
      FUCHUCZUDKVJUEKZVJALZBLZUALZMZUBLZNZOPMZVLUHUFZVMUGLZMZVNMZVPNZOPMZQMZOVL
      VPNZOPMZVMVPNZOPMZQMZUIMZRZBVNUJZSZAWMSZUAUGUBUKZKZULGCKFDKHEKUMZVKVLVMGM
      ZHNZOPMZVLVSVMFMZGMZHNZOPMZQMZOVLHNZOPMZVMHNZOPMZQMZUIMZRZBISAISZULVJUEWP
      UDABUAUBUGUNUOWRWQXNVKWOWSVPNZOPMZVLWAGMZVPNZOPMZQMZWKRZBISZAISXPXCVPNZOP
      MZQMZWKRZBISAISXNUAUGUBGFHCDEVNGRZWNYBAWMIYGWMGUJIVNGUPJUQZYGWLYABWMIYHYG
      WEXTWKYGVRXPWDXSQYGVQXOOPYGVOWSVPVLVMVNGURUSTYGWCXROPYGWBXQVPVLWAVNGURUST
      UTVAVBVBVTFRZYAYFABIIYIXTYEWKYIXSYDXPQYIXRYCOPYIXQXCVPYIWAXBVLGVSVMVTFURV
      CUSTVCVAVDVPHRZYFXMABIIYJYEXFWKXLYJXPXAYDXEQYJXOWTOPWSVPHVETYJYCXDOPXCVPH
      VETUTYJWJXKOUIYJWGXHWIXJQYJWFXGOPVLVPHVETYJWHXIOPVMVPHVETUTVCVFVDVGVHVI
      $.
  $}

  ${
    phop.2 $e |- G = ( +v ` U ) $.
    phop.4 $e |- S = ( .sOLD ` U ) $.
    phop.6 $e |- N = ( normCV ` U ) $.
    $( A complex inner product space in terms of ordered pair components.
       (Contributed by NM, 2-Apr-2007.)  (New usage is discouraged.) $)
    phop $p |- ( U e. CPreHilOLD -> U = <. <. G , S >. , N >. ) $=
      ( ccphlo wcel c1st cfv c2nd cop wrel wceq phrel 1st2nd mpan nmcvfval cvc
      opeq2i cnv phnv eqid nvvc vcrel vafval smfval opeq12i eqtr4di 3syl opeq1d
      eqtr3id eqtrd ) BHIZBBJKZBLKZMZCAMZDMZHNUOBUROPBHQRUOURUPDMUTDUQUPBDGSUAU
      OUPUSDUOBUBIUPTIZUPUSOBUCBUPUPUDUEVAUPUPJKZUPLKZMZUSTNVAUPVDOUFUPTQRCVBAV
      CBCEUGABFUHUIUJUKULUMUN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Examples of pre-Hilbert spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    cncph.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The set of complex numbers is an inner product (pre-Hilbert) space.
       (Contributed by Steve Rodriguez, 28-Apr-2007.)  (Revised by Mario
       Carneiro, 7-Nov-2013.)  (New usage is discouraged.) $)
    cncph $p |- U e. CPreHilOLD $=
      ( vx vy caddc cmul cop cabs ccphlo wcel cv co c2 cexp wceq cc eqtrd recnd
      cfv cvv cnv c1 cneg wral eqid cnnv cmin mulm1 adantl oveq2d negsub fveq2d
      wa oveq1d ccj cre sqabsadd sqabssub oveq12d abscl sqcld addcl syl2an cjcl
      2cn mulcl sylan2 recl syl sylancr ppncand 2times eqcomd rgen2 addex mulex
      wb cr wf absf fex mp2an cablo cgr cnaddabloOLD ablogrpo ax-mp cxp ax-addf
      cnex fdmi grporn isphg mp3an mpbir2an eqeltri ) AEFGHGZIBWQIJZWQUAJZCKZDK
      ZELHSMNLZWTUBUCXAFLZELZHSZMNLZELZMWTHSZMNLZXAHSZMNLZELZFLZOZDPUDCPUDZWQWQ
      UEUFXNCDPPWTPJZXAPJZUMZXGXBWTXAUGLZHSZMNLZELZXMXRXFYAXBEXRXEXTMNXRXDXSHXR
      XDWTXAUCZELXSXRXCYCWTEXQXCYCOXPXAUHUIUJWTXAUKQULUNUJXRYBXLXLELZXMXRYBXLMW
      TXAUOSZFLZUPSZFLZELZXLYHUGLZELYDXRXBYIYAYJEWTXAUQWTXAURUSXRXLYHXLXPXIPJXK
      PJXLPJZXQXPXHXPXHWTUTRVAXQXJXQXJXAUTRVAXIXKVBVCZXRMPJYGPJZYHPJVEXRYFPJZYM
      XQXPYEPJYNXAVDWTYEVFVGYNYGYFVHRVIMYGVFVJYLVKQXRYKYDXMOYLYKXMYDXLVLVMVIQQV
      NETJFTJHTJZWRWSXOUMVQVOVPPVRHVSPTJYOVTWJPVRTHWAWBCDTTTFEHPEPEWCJEWDJWEEWF
      WGPPWHPEWIWKWLWMWNWOWP $.
  $}

  ${
    elimph.1 $e |- X = ( BaseSet ` U ) $.
    elimph.5 $e |- Z = ( 0vec ` U ) $.
    elimph.6 $e |- U e. CPreHilOLD $.
    $( TODO - use elimnvOLD ? $)
    $( Hypothesis elimination lemma for complex inner product spaces to assist
       weak deduction theorem.  (Contributed by NM, 27-Apr-2007.)
       (New usage is discouraged.) $)
    elimph $p |- if ( A e. X , A , Z ) e. X $=
      ( phnvi elimnv ) ABCDEFBGHI $.
  $}

  $( TODO - use elimnvu ? $)
  $( Hypothesis elimination lemma for complex inner product spaces to assist
     weak deduction theorem.  (Contributed by NM, 6-May-2007.)
     (New usage is discouraged.) $)
  elimphu $p |- if ( U e. CPreHilOLD , U , <. <. + , x. >. , abs >. )
                 e. CPreHilOLD $=
    ( caddc cmul cop cabs ccphlo eqid cncph elimel ) ABCDEDZFJJGHI $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Properties of pre-Hilbert spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y A $.  $d y B $.  $d x y G $.  $d x y M $.  $d x y N $.  $d x y U $.
    $d x y X $.
    isph.1 $e |- X = ( BaseSet ` U ) $.
    isph.2 $e |- G = ( +v ` U ) $.
    isph.3 $e |- M = ( -v ` U ) $.
    isph.6 $e |- N = ( normCV ` U ) $.
    $( The predicate "is an inner product space."  (Contributed by NM,
       1-Feb-2008.)  (New usage is discouraged.) $)
    isph $p |- ( U e. CPreHilOLD <-> ( U e. NrmCVec /\ A. x e. X A. y e. X
      ( ( ( N ` ( x G y ) ) ^ 2 ) + ( ( N ` ( x M y ) ) ^ 2 ) ) = (
      2 x. ( ( ( N ` x ) ^ 2 ) + ( ( N ` y ) ^ 2 ) ) ) ) ) $=
      ( wcel co cfv c2 cexp caddc wceq wa cvv ccphlo cnv cmul wral phnv cns cop
      cv wb eqid nvop eleq1 cneg cpv fvexi fvex cnmcv bafval isphg mp3an nvmval
      c1 3expa fveq2d oveq1d oveq2d eqeq1d ralbidva pm5.32i anbi1d syl5bb bitrd
      bitr2id syl bianabs biadanii ) CUALZCUBLZAUHZBUHZDMFNOPMZVSVTEMZFNZOPMZQM
      ZOVSFNOPMVTFNOPMQMUCMZRZBGUDZAGUDZCUEVRVQWIVRCDCUFNZUGFUGZRZVQVRWISZUIWJC
      DFIWJUJZKUKWLVQWKUALZWMCWKUAULWOWKUBLZWAVSVBUMVTWJMDMZFNZOPMZQMZWFRZBGUDZ
      AGUDZSZWLWMDTLWJTLFTLWOXDUIDCUNIUOCUFUPFCUQKUOABTTTWJDFGCDGHIURUSUTWMVRXC
      SWLXDVRWIXCVRWHXBAGVRVSGLZSZWGXABGXFVTGLZSZWEWTWFXHWDWSWAQXHWCWROPXHWBWQF
      VRXEXGWBWQRVSVTWJCDEGHIWNJVAVCVDVEVFVGVHVHVIWLVRWPXCCWKUBULVJVMVKVLVNVOVP
      $.

    $( The parallelogram law for an inner product space.  (Contributed by NM,
       2-Apr-2007.)  (New usage is discouraged.) $)
    phpar2 $p |- ( ( U e. CPreHilOLD /\ A e. X /\ B e. X ) ->
      ( ( ( N ` ( A G B ) ) ^ 2 ) + ( ( N ` ( A M B ) ) ^ 2 ) ) =
        ( 2 x. ( ( ( N ` A ) ^ 2 ) + ( ( N ` B ) ^ 2 ) ) ) ) $=
      ( vx co cfv c2 cexp caddc cmul wceq oveq1d vy ccphlo wcel w3a cv wral cnv
      isph simprbi 3ad2ant1 wi fvoveq1 oveq12d fveq2 oveq2d oveq2 fveq2d rspc2v
      eqeq12d 3adant1 mpd ) CUBUCZAGUCZBGUCZUDLUEZUAUEZDMFNZOPMZVEVFEMFNZOPMZQM
      ZOVEFNZOPMZVFFNZOPMZQMZRMZSZUAGUFLGUFZABDMZFNZOPMZABEMZFNZOPMZQMZOAFNZOPM
      ZBFNZOPMZQMZRMZSZVBVCVSVDVBCUGUCVSLUACDEFGHIJKUHUIUJVCVDVSWMUKVBVRWMAVFDM
      ZFNZOPMZAVFEMZFNZOPMZQMZOWHVOQMZRMZSLUAABGGVEASZVKWTVQXBXCVHWPVJWSQXCVGWO
      OPVEAVFFDULTXCVIWROPVEAVFFEULTUMXCVPXAORXCVMWHVOQXCVLWGOPVEAFUNTTUOUSVFBS
      ZWTWFXBWLXDWPWBWSWEQXDWOWAOPXDWNVTFVFBADUPUQTXDWRWDOPXDWQWCFVFBAEUPUQTUMX
      DXAWKORXDVOWJWHQXDVNWIOPVFBFUNTUOUOUSURUTVA $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y G $.  $d x y N $.  $d x y S $.  $d x y X $.
    phpar.1 $e |- X = ( BaseSet ` U ) $.
    phpar.2 $e |- G = ( +v ` U ) $.
    phpar.4 $e |- S = ( .sOLD ` U ) $.
    phpar.6 $e |- N = ( normCV ` U ) $.
    $( The parallelogram law for an inner product space.  (Contributed by NM,
       2-Apr-2007.)  (New usage is discouraged.) $)
    phpar $p |- ( ( U e. CPreHilOLD /\ A e. X /\ B e. X ) ->
      ( ( ( N ` ( A G B ) ) ^ 2 ) + ( ( N ` ( A G ( -u 1 S B ) ) ) ^ 2 ) ) =
        ( 2 x. ( ( ( N ` A ) ^ 2 ) + ( ( N ` B ) ^ 2 ) ) ) ) $=
      ( wcel co cfv c2 cexp caddc cmul cvv oveq1d vx vy ccphlo w3a cv cneg wceq
      c1 wral cop cpv fvexi cns cnmcv 3pm3.2i phop eleq1d bafval isphg simplbda
      ibi sylancr 3ad2ant1 wi fvoveq1 oveq12d fveq2 oveq2d eqeq12d oveq2 fveq2d
      cnv rspc2v 3adant1 mpd ) DUCLZAGLZBGLZUDUAUEZUBUEZEMFNZOPMZVSUHUFZVTCMZEM
      FNZOPMZQMZOVSFNZOPMZVTFNZOPMZQMZRMZUGZUBGUIUAGUIZABEMZFNZOPMZAWCBCMZEMZFN
      ZOPMZQMZOAFNZOPMZBFNZOPMZQMZRMZUGZVPVQWOVRVPESLZCSLZFSLZUDZECUJFUJZUCLZWO
      XKXLXMEDUKIULCDUMJULFDUNKULUOVPXPVPDXOUCCDEFIJKUPUQVAXNXPXOVLLWOUAUBSSSCE
      FGDEGHIURUSUTVBVCVQVRWOXJVDVPWNXJAVTEMZFNZOPMZAWDEMZFNZOPMZQMZOXEWKQMZRMZ
      UGUAUBABGGVSAUGZWGYCWMYEYFWBXSWFYBQYFWAXROPVSAVTFEVETYFWEYAOPVSAWDFEVETVF
      YFWLYDORYFWIXEWKQYFWHXDOPVSAFVGTTVHVIVTBUGZYCXCYEXIYGXSWRYBXBQYGXRWQOPYGX
      QWPFVTBAEVJVKTYGYAXAOPYGXTWTFYGWDWSAEVTBWCCVJVHVKTVFYGYDXHORYGWKXGXEQYGWJ
      XFOPVTBFVGTVHVHVIVMVNVO $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y G $.  $d x y N $.  $d x y S $.  $d x y X $.
    ip1i.1 $e |- X = ( BaseSet ` U ) $.
    ip1i.2 $e |- G = ( +v ` U ) $.
    ip1i.4 $e |- S = ( .sOLD ` U ) $.
    ip1i.7 $e |- P = ( .iOLD ` U ) $.
    ip1i.9 $e |- U e. CPreHilOLD $.
    ${
      ip1i.a $e |- A e. X $.
      ip1i.b $e |- B e. X $.
      ip1i.c $e |- C e. X $.
      ${
        ip1i.6 $e |- N = ( normCV ` U ) $.
        ip0i.j $e |- J e. CC $.
        $( A slight variant of Equation 6.46 of [Ponnusamy] p. 362, where ` J `
           is either 1 or -1 to represent +-1.  (Contributed by NM,
           23-Apr-2007.)  (New usage is discouraged.) $)
        ip0i $p |- ( ( ( ( N ` ( ( A G B ) G ( J S C ) ) ) ^ 2 ) -
             ( ( N ` ( ( A G B ) G ( -u J S C ) ) ) ^ 2 ) ) +
             ( ( ( N ` ( ( A G ( -u 1 S B ) ) G ( J S C ) ) ) ^ 2 ) -
           ( ( N ` ( ( A G ( -u 1 S B ) ) G ( -u J S C ) ) ) ^ 2 ) ) ) =
                ( 2 x. ( ( ( N ` ( A G ( J S C ) ) ) ^ 2 ) -
                ( ( N ` ( A G ( -u J S C ) ) ) ^ 2 ) ) ) $=
          ( c2 co cfv cexp cneg cmin cmul caddc c1 2cn phnvi cnv cc nvscl mp3an
          wcel nvgcl nvcli recni sqcli negcli subdii wceq mulcli pnpcan2 eqtr4i
          cablo w3a c1st cvc eqid nvvc vafval vcablo mp2b 3pm3.2i bafval ablo32
          fveq2i oveq1i neg1cn oveq12i ccphlo adddii 3eqtri addsub4i 3eqtr2ri
          mp2an phpar ) UAAHCEUBZGUBZIUCZUAUDUBZAHUEZCEUBZGUBZIUCZUAUDUBZUFUBUG
          UBZUAWMUGUBZUABIUCZUAUDUBZUGUBZUHUBZUAWRUGUBZXCUHUBZUFUBZABGUBZWJGUBZ
          IUCZUAUDUBZAUIUEZBEUBZGUBZWJGUBZIUCZUAUDUBZUHUBZXHWOGUBZIUCZUAUDUBZXN
          WOGUBZIUCZUAUDUBZUHUBZUFUBXKYAUFUBXQYDUFUBUHUBWSWTXEUFUBZXGUAWMWRUJWL
          WLWKFIJKSFOUKZFULUPZAJUPZWJJUPZWKJUPZYGPYHHUMUPCJUPZYJYGTRHCEFJKMUNUO
          ZAWJFGJKLUQUOZURUSUTZWQWQWPFIJKSYGYHYIWOJUPZWPJUPZYGPYHWNUMUPYLYPYGHT
          VARWNCEFJKMUNUOZAWOFGJKLUQUOZURUSUTZVBWTUMUPXEUMUPXCUMUPXGYFVCUAWMUJY
          OVDUAWRUJYTVDUAXBUJXAXABFIJKSYGQURUSUTZVDWTXEXCVEUOVFXRXDYEXFUFXRWKBG
          UBZIUCZUAUDUBZWKXMGUBZIUCZUAUDUBZUHUBZUAWMXBUHUBUGUBZXDXKUUDXQUUGUHXJ
          UUCUAUDXIUUBIGVGUPZYIBJUPZYJVHXIUUBVCYHFVIUCZVJUPUUJYGFUULUULVKVLGUUL
          FGLVMVNVOZYIUUKYJPQYMVPABWJGJFGJKLVQZVRWHVSVTXPUUFUAUDXOUUEIUUJYIXMJU
          PZYJVHXOUUEVCUUMYIUUOYJPYHXLUMUPUUKUUOYGWAQXLBEFJKMUNUOZYMVPAXMWJGJUU
          NVRWHVSVTWBFWCUPZYKUUKUUHUUIVCOYNQWKBEFGIJKLMSWIUOUAWMXBUJYOUUAWDWEYE
          WPBGUBZIUCZUAUDUBZWPXMGUBZIUCZUAUDUBZUHUBZUAWRXBUHUBUGUBZXFYAUUTYDUVC
          UHXTUUSUAUDXSUURIUUJYIUUKYPVHXSUURVCUUMYIUUKYPPQYRVPABWOGJUUNVRWHVSVT
          YCUVBUAUDYBUVAIUUJYIUUOYPVHYBUVAVCUUMYIUUOYPPUUPYRVPAXMWOGJUUNVRWHVSV
          TWBUUQYQUUKUVDUVEVCOYSQWPBEFGIJKLMSWIUOUAWRXBUJYTUUAWDWEWBXKXQYAYDXJX
          JXIFIJKSYGYHXHJUPZYJXIJUPYGYHYIUUKUVFYGPQABFGJKLUQUOZYMXHWJFGJKLUQUOU
          RUSUTXPXPXOFIJKSYGYHXNJUPZYJXOJUPYGYHYIUUOUVHYGPUUPAXMFGJKLUQUOZYMXNW
          JFGJKLUQUOURUSUTXTXTXSFIJKSYGYHUVFYPXSJUPYGUVGYRXHWOFGJKLUQUOURUSUTYC
          YCYBFIJKSYGYHUVHYPYBJUPYGUVIYRXNWOFGJKLUQUOURUSUTWFWG $.

        $( Lemma for ~ ip1i .  (Contributed by NM, 21-Apr-2007.)
           (New usage is discouraged.) $)
        ip1ilem $p |- ( ( ( A G B ) P C ) +
                         ( ( A G ( -u 1 S B ) ) P C ) ) = ( 2 x. ( A P C ) ) $=
          ( c4 co c1 cneg caddc cmul cdiv c2 cfv cexp cmin ci wcel wceq 4ipval2
          cnv phnvi mp3an oveq2i 2cn 4cn dipcl mul12i nvgcl nvcli resqcli recni
          cc ax-1cn negcli nvscl subcli ax-icn mulcli adddii nvsid mp2an fveq2i
          ip0i oveq1i oveq12i 3eqtr3i eqtr4i eqtr2i 3eqtri 3eqtr3ri addcli 4ne0
          add4i divcan3i ) UAABGUBZCDUBZAUCUDZBEUBZGUBZCDUBZUEUBZUFUBZUAUGUBUAU
          HACDUBZUFUBZUFUBZUAUGUBWQWTWRXAUAUGUHUAWSUFUBZUFUBUHACGUBZIUIZUHUJUBZ
          AWMCEUBZGUBZIUIZUHUJUBZUKUBZULAULCEUBZGUBZIUIZUHUJUBZAULUDZCEUBZGUBZI
          UIZUHUJUBZUKUBZUFUBZUEUBZUFUBZXAWRXBYBUHUFFUPUMZAJUMZCJUMZXBYBUNFOUQZ
          PRACDEFGIJKLMSNUOURUSUHUAWSUTVAYDYEYFWSVHUMYGPRACDFJKNVBURZVCYCWKCGUB
          ZIUIZUHUJUBZWKXFGUBZIUIZUHUJUBZUKUBZWOCGUBZIUIZUHUJUBZWOXFGUBZIUIZUHU
          JUBZUKUBZUEUBZULWKXKGUBZIUIZUHUJUBZWKXPGUBZIUIZUHUJUBZUKUBZUFUBZULWOX
          KGUBZIUIZUHUJUBZWOXPGUBZIUIZUHUJUBZUKUBZUFUBZUEUBZUEUBZYOUUKUEUBZUUBU
          USUEUBZUEUBZWRYCUHXJUFUBZUHYAUFUBZUEUBUVAUHXJYAUTXEXIXEXDXCFIJKSYGYDY
          EYFXCJUMYGPRACFGJKLVDURVEVFVGXIXHXGFIJKSYGYDYEXFJUMZXGJUMYGPYDWMVHUMZ
          YFUVGYGUCVIVJZRWMCEFJKMVKURZAXFFGJKLVDURVEVFVGVLULXTVMXNXSXNXMXLFIJKS
          YGYDYEXKJUMZXLJUMYGPYDULVHUMYFUVKYGVMRULCEFJKMVKURZAXKFGJKLVDURVEVFVG
          XSXRXQFIJKSYGYDYEXPJUMZXQJUMYGPYDXOVHUMYFUVMYGULVMVJRXOCEFJKMVKURZAXP
          FGJKLVDURVEVFVGVLZVNVOUUCUVEUUTUVFUEWKUCCEUBZGUBZIUIZUHUJUBZYNUKUBZWO
          UVPGUBZIUIZUHUJUBZUUAUKUBZUEUBUHAUVPGUBZIUIZUHUJUBZXIUKUBZUFUBUUCUVEA
          BCDEFGUCIJKLMNOPQRSVIVSUVTYOUWDUUBUEUVSYKYNUKUVRYJUHUJUVQYIIUVPCWKGYD
          YFUVPCUNYGRCEFJKMVPVQZUSVRVTVTUWCYRUUAUKUWBYQUHUJUWAYPIUVPCWOGUWIUSVR
          VTVTWAUWHXJUHUFUWGXEXIUKUWFXDUHUJUWEXCIUVPCAGUWIUSVRVTVTUSWBULUUJUURU
          EUBZUFUBULUHXTUFUBZUFUBUUTUVFUWJUWKULUFABCDEFGULIJKLMNOPQRSVMVSUSULUU
          JUURVMUUFUUIUUFUUEUUDFIJKSYGYDWKJUMZUVKUUDJUMYGYDYEBJUMZUWLYGPQABFGJK
          LVDURZUVLWKXKFGJKLVDURVEVFVGUUIUUHUUGFIJKSYGYDUWLUVMUUGJUMYGUWNUVNWKX
          PFGJKLVDURVEVFVGVLZUUNUUQUUNUUMUULFIJKSYGYDWOJUMZUVKUULJUMYGYDYEWNJUM
          ZUWPYGPYDUVHUWMUWQYGUVIQWMBEFJKMVKURAWNFGJKLVDURZUVLWOXKFGJKLVDURVEVF
          VGUUQUUPUUOFIJKSYGYDUWPUVMUUOJUMYGUWRUVNWOXPFGJKLVDURVEVFVGVLZVOULUHX
          TVMUTUVOVCWBWAWCYOUUBUUKUUSYKYNYKYJYIFIJKSYGYDUWLYFYIJUMYGUWNRWKCFGJK
          LVDURVEVFVGYNYMYLFIJKSYGYDUWLUVGYLJUMYGUWNUVJWKXFFGJKLVDURVEVFVGVLYRU
          UAYRYQYPFIJKSYGYDUWPYFYPJUMYGUWRRWOCFGJKLVDURVEVFVGUUAYTYSFIJKSYGYDUW
          PUVGYSJUMYGUWRUVJWOXFFGJKLVDURVEVFVGVLULUUJVMUWOVNULUURVMUWSVNWIWRUAW
          LUFUBZUAWPUFUBZUEUBUVDUAWLWPVAYDUWLYFWLVHUMYGUWNRWKCDFJKNVBURZYDUWPYF
          WPVHUMYGUWRRWOCDFJKNVBURZVOUWTUVBUXAUVCUEYDUWLYFUWTUVBUNYGUWNRWKCDEFG
          IJKLMSNUOURYDUWPYFUXAUVCUNYGUWRRWOCDEFGIJKLMSNUOURWAWDWEWFVTWQUAWLWPU
          XBUXCWGVAWHWJWTUAUHWSUTYHVNVAWHWJWB $.
      $}

      $( Equation 6.47 of [Ponnusamy] p. 362.  (Contributed by NM,
         27-Apr-2007.)  (New usage is discouraged.) $)
      ip1i $p |- ( ( ( A G B ) P C ) +
                       ( ( A G ( -u 1 S B ) ) P C ) ) = ( 2 x. ( A P C ) ) $=
        ( c1 cnmcv cfv eqid ax-1cn ip1ilem ) ABCDEFGQFRSZHIJKLMNOPUCTUAUB $.
    $}

    ${
      ip2i.8 $e |- A e. X $.
      ip2i.9 $e |- B e. X $.
      $( Equation 6.48 of [Ponnusamy] p. 362.  (Contributed by NM,
         26-Apr-2007.)  (New usage is discouraged.) $)
      ip2i $p |- ( ( 2 S A ) P B ) = ( 2 x. ( A P B ) ) $=
        ( co c1 caddc cc0 wcel wceq c2 cneg cmul cnv cc phnvi nvgcl mp3an dipcl
        addid1i cn0v cfv eqid nvrinv mp2an oveq1i dip0l eqtri oveq2i w3a ax-1cn
        df-2 3pm3.2i nvdir nvsid oveq12i 3eqtr4ri ip1i ) UAADOZBCOZAAFOZBCOZAPU
        BADOFOZBCOZQOZUAABCOUCOVLRQOVLVOVJVLEUDSZVKGSZBGSZVLUESELUFZVPAGSZVTVQV
        SMMAAEFGHIUGUHNVKBCEGHKUIUHUJVNRVLQVNEUKULZBCOZRVMWABCVPVTVMWATVSMADEFG
        WAHIJWAUMZUNUOUPVPVRWBRTVSNBCEGWAHWCKUQUOURUSVIVKBCVIPPQOZADOZVKUAWDADV
        BUPWEPADOZWFFOZVKVPPUESZWHVTUTWEWGTVSWHWHVTVAVAMVCPPADEFGHIJVDUOWFAWFAF
        VPVTWFATVSMADEGHJVEUOZWIVFURURUPVGAABCDEFGHIJKLMMNVHUR $.
    $}

    ${
      ipdiri.8 $e |- A e. X $.
      ipdiri.9 $e |- B e. X $.
      ipdiri.10 $e |- C e. X $.
      $( Lemma for ~ ipdiri .  (Contributed by NM, 26-Apr-2007.)
         (New usage is discouraged.) $)
      ipdirilem $p |- ( ( A G B ) P C ) = ( ( A P C ) + ( B P C ) ) $=
        ( co wcel wceq mp2an c2 cdiv cmul cneg caddc 2cn 2ne0 recidi oveq1i cnv
        c1 w3a phnvi halfcn nvgcl mp3an 3pm3.2i nvsass nvsid 3eqtr3i nvscl ip2i
        cc eqtr3i neg1cn ip1i cn0v cfv cablo wa c1st cvc eqid nvvc ax-mp vafval
        vcablo pm3.2i bafval ablo4 smfval vc2OLD nvrinv oveq12i nv0rid divcan1i
        3eqtri oveq2i eqtr4i ax-1cn eqtri mulcomi neg1mulneg1e1 nv0lid 3eqtr2i
        nvdi ) ABGQZCDQZUAUKUAUBQZWQEQZCDQUCQZWTWSAUKUDZBEQZGQZEQZGQZCDQZWTXBXE
        EQZGQZCDQZUEQACDQZBCDQZUEQUAWTEQZCDQWRXAXMWQCDUAWSUCQZWQEQZUKWQEQZXMWQX
        NUKWQEUAUFUGUHUIFUJRZUAVCRZWSVCRZWQHRZULXOXMSFMUMZXRXSXTUFUNXQAHRZBHRZX
        TYANOABFGHIJUOUPZUQUAWSWQEFHIKURTXQXTXPWQSYAYDWQEFHIKUSTUTUIWTCDEFGHIJK
        LMXQXSXTWTHRYAUNYDWSWQEFHIKVAUPZPVBVDWTXECDEFGHIJKLMYEXQXSXDHRZXEHRYAUN
        XQYBXCHRZYFYANXQXBVCRZYCYGYAVEOXBBEFHIKVAUPZAXCFGHIJUOUPZWSXDEFHIKVAUPP
        VFXGXKXJXLUEXFACDWSWQXDGQZEQZWSUAUCQZAEQZXFAYLWSUAAEQZEQZYNYKYOWSEYKAAG
        QZBXCGQZGQZYOFVGVHZGQZYOGVIRZYBYCVJZYBYGVJYKYSSFVKVHZVLRZUUBXQUUEYAFUUD
        UUDVMVNVOZGUUDFGJVPZVQVOZYBYCNOVRZYBYGNYIVRABAXCGHFGHIJVSZVTUPYQYOYRYTG
        UUEYBYQYOSUUFNAEGUUDHUUGEFKWAZUUJWBTXQYCYRYTSYAOBEFGHYTIJKYTVMZWCTWDXQY
        OHRZUUAYOSYAXQXRYBUUMYAUFNUAAEFHIKVAUPYOFGHYTIJUULWETWGWHXQXSXRYBULYNYP
        SYAXSXRYBUNUFNUQWSUAAEFHIKURTWIXQXSXTYFULYLXFSYAXSXTYFUNYDYJUQWSWQXDEFG
        HIJKWPTYNUKAEQZAYMUKAEUKUAWJUFUGWFZUIXQYBUUNASYANAEFHIKUSTWKUTUIXIBCDXI
        WSWQXBAEQZBGQZGQZEQZUKBEQZBXIWTWSUUQEQZGQZUUSXHUVAWTGXBWSUCQZXDEQZWSXBU
        CQZXDEQZXHUVAUVCUVEXDEXBWSVEUNWLUIXQYHXSYFULUVDXHSYAYHXSYFVEUNYJUQXBWSX
        DEFHIKURTUVFWSXBXDEQZEQZUVAXQXSYHYFULUVFUVHSYAXSYHYFUNVEYJUQWSXBXDEFHIK
        URTUVGUUQWSEUVGUUPXBXCEQZGQZUUQXQYHYBYGULUVGUVJSYAYHYBYGVENYIUQXBAXCEFG
        HIJKWPTUVIBUUPGXBXBUCQZBEQZUUTUVIBUVKUKBEWMUIXQYHYHYCULUVLUVISYAYHYHYCV
        EVEOUQXBXBBEFHIKURTXQYCUUTBSYAOBEFHIKUSTZUTWHWKWHWKUTWHXQXSXTUUQHRZULUU
        SUVBSYAXSXTUVNUNYDXQUUPHRZYCUVNYAXQYHYBUVOYAVENXBAEFHIKVAUPZOUUPBFGHIJU
        OUPUQWSWQUUQEFGHIJKWPTWIUUSWSUABEQZEQZYMBEQZUUTUURUVQWSEUURAUUPGQZBBGQZ
        GQZUWAUVQUUBUUCUVOYCVJUURUWBSUUHUUIUVOYCUVPOVRABUUPBGHUUJVTUPUWBYTUWAGQ
        ZUWAUVTYTUWAGXQYBUVTYTSYANAEFGHYTIJKUULWCTUIXQUWAHRZUWCUWASYAXQYCYCUWDY
        AOOBBFGHIJUOUPUWAFGHYTIJUULWNTWKUUEYCUWAUVQSUUFOBEGUUDHUUGUUKUUJWBTWGWH
        XQXSXRYCULUVSUVRSYAXSXRYCUNUFOUQWSUABEFHIKURTYMUKBEUUOUIWOUVMWGUIWDWO
        $.
    $}

    $( Distributive law for inner product.  Equation I3 of [Ponnusamy] p. 362.
       (Contributed by NM, 27-Apr-2007.)  (New usage is discouraged.) $)
    ipdiri $p |- ( ( A e. X /\ B e. X /\ C e. X ) ->
                 ( ( A G B ) P C ) = ( ( A P C ) + ( B P C ) ) ) $=
      ( wcel co caddc wceq cif oveq1 oveq2 cn0v cfv oveq1d eqeq12d oveq12d eqid
      oveq2d elimph ipdirilem dedth3h ) AHNZBHNZCHNZABGOZCDOZACDOZBCDOZPOZQUKAF
      UAUBZRZBGOZCDOZUTCDOZUQPOZQUTULBUSRZGOZCDOZVCVECDOZPOZQVFUMCUSRZDOZUTVJDO
      ZVEVJDOZPOZQABCUSUSUSAUTQZUOVBURVDVOUNVACDAUTBGSUCVOUPVCUQPAUTCDSUCUDBVEQ
      ZVBVGVDVIVPVAVFCDBVEUTGTUCVPUQVHVCPBVECDSUGUDCVJQZVGVKVIVNCVJVFDTVQVCVLVH
      VMPCVJUTDTCVJVEDTUEUDUTVEVJDEFGHIJKLMAFHUSIUSUFZMUHBFHUSIVRMUHCFHUSIVRMUH
      UIUJ $.

    ${
      $d j k A $.  $d j k B $.  $d j k C $.  $d j N $.  $d j k P $.
      $d j k S $.  $d j k X $.
      ipasslem1.b $e |- B e. X $.
      $( Lemma for ~ ipassi .  Show the inner product associative law for
         nonnegative integers.  (Contributed by NM, 27-Apr-2007.)
         (New usage is discouraged.) $)
      ipasslem1 $p |- ( ( N e. NN0 /\ A e. X ) ->
                      ( ( N S A ) P B ) = ( N x. ( A P B ) ) ) $=
        ( wcel co cmul wceq cc0 oveq1 vj vk cn0 cv wi c1 caddc wa cc ax-1cn cnv
        nn0cn w3a phnvi nvdir mpan mp3an2 sylan nvsid adantl oveq2d eqtrd dipcl
        oveq1d mp3an13 nvscl mp3an1 ipdiri mp3an3 sylancom eqtr4d adddir syl2an
        mulid2d sylan9eq adantr exp31 a2d cn0v cfv eqid dip0l mp2an nv0 3eqtr4a
        mul02d eqeq12d imbi2d nn0indALT imp ) GUCOAHOZGADPZBCPZGABCPZQPZRZWKUAU
        DZADPZBCPZWQWNQPZRZUEWKSADPZBCPZSWNQPZRZUEWKUBUDZADPZBCPZXFWNQPZRZUEWKX
        FUFUGPZADPZBCPZXKWNQPZRZUEWKWPUEUAUBGXFUCOZWKXJXOXPWKXJXOXPWKUHZXJUHXMX
        IUFWNQPZUGPZXNXQXJXMXHXRUGPZXSXQXMXGAFPZBCPZXTXQXLYABCXQXLXGUFADPZFPZYA
        XPXFUIOZWKXLYDRZXFULZYEUFUIOZWKYFUJEUKOZYEYHWKUMYFEMUNZXFUFADEFHIJKUOUP
        UQURXQYCAXGFWKYCARZXPYIWKYKYJADEHIKUSUPUTVAVBVDXQXTXHWNUGPZYBXQXRWNXHUG
        WKXRWNRXPWKWNYIWKBHOZWNUIOZYJNABCEHILVCVEZVNUTVAXPWKXGHOZYBYLRZXPYEWKYP
        YGYIYEWKYPYJXFADEHIKVFVGURYPWKYMYQNXGABCDEFHIJKLMVHVIVJVKVKXHXIXRUGTVOX
        QXNXSRZXJXPYEYNYRWKYGYOYEYHYNYRUJXFUFWNVLUQVMVPVKVQVRWKEVSVTZBCPZSXCXDY
        IYMYTSRYJNBCEHYSIYSWAZLWBWCWKXBYSBCYIWKXBYSRYJADEHYSIKUUAWDUPVDWKWNYOWF
        WEWQSRZXAXEWKUUBWSXCWTXDUUBWRXBBCWQSADTVDWQSWNQTWGWHWQXFRZXAXJWKUUCWSXH
        WTXIUUCWRXGBCWQXFADTVDWQXFWNQTWGWHWQXKRZXAXOWKUUDWSXMWTXNUUDWRXLBCWQXKA
        DTVDWQXKWNQTWGWHWQGRZXAWPWKUUEWSWMWTWOUUEWRWLBCWQGADTVDWQGWNQTWGWHWIWJ
        $.

      $( Lemma for ~ ipassi .  Show the inner product associative law for
         nonpositive integers.  (Contributed by NM, 27-Apr-2007.)
         (New usage is discouraged.) $)
      ipasslem2 $p |- ( ( N e. NN0 /\ A e. X ) ->
              ( ( -u N S A ) P B ) = ( -u N x. ( A P B ) ) ) $=
        ( wcel co cmul cc cc0 wceq cn0 wa cneg nn0cn negcld phnvi dipcl mp3an13
        cnv mulcl syl2an nvscl mp3an1 sylan syl cmin caddc ax-1cn mulneg2 mpan2
        c1 mulid1 negeqd eqtr2d adantr oveq1d neg1cn nvsass mpan mp3an2 mp3an12
        w3a ipasslem1 sylan2 oveq2d negsubd mulneg1 adantl adddid ipdiri mp3an3
        eqtrd mpdan cn0v eqid nvrinv dip0l mp2an eqtrdi eqtr3d mul01d sylan9eqr
        cfv 3eqtr2d subeq0d eqcomd ) GUAOZAHOZUBZGUCZABCPZQPZWTADPZBCPZWSXBXDWQ
        WTROZXAROZXBROWRWQGGUDZUEZEUIOZWRBHOZXFEMUFZNABCEHILUGUHZWTXAUJUKZWSXCH
        OZXDROZWQXEWRXNXHXIXEWRXNXKWTADEHIKULUMUNXIXNXJXOXKNXCBCEHILUGUHUOWSXBX
        DUPPXBGVAUCZADPZBCPZQPZUPPXBXSUCZUQPZSWSXDXSXBUPWSXDGXQDPZBCPZXSWSXCYBB
        CWQGROZWRXCYBTXGYDWRUBZXCGXPQPZADPZYBYEWTYFADYDWTYFTWRYDYFGVAQPZUCZWTYD
        VAROYFYITURGVAUSUTYDYHGGVBVCVDVEVFYDXPROZWRYGYBTZVGXIYDYJWRVLYKXKGXPADE
        HIKVHVIVJWBUNVFWRWQXQHOZYCXSTXIYJWRYLXKVGXPADEHIKULVKZXQBCDEFGHIJKLMNVM
        VNWBVOWSXBXSXMWQYDXRROZXSROWRXGWRYLYNYMXIYLXJYNXKNXQBCEHILUGUHUOZGXRUJU
        KVPWSXBWTXRQPZUQPZYASWSYPXTXBUQWQYDYNYPXTTWRXGYOGXRVQUKVOWSWTXAXRUQPZQP
        ZYQSWSWTXAXRWQXEWRXHVEWRXFWQXLVRWRYNWQYOVRVSWRWQYSWTSQPSWRYRSWTQWRAXQFP
        ZBCPZYRSWRYLUUAYRTZYMWRYLXJUUBNAXQBCDEFHIJKLMVTWAWCWRUUAEWDWMZBCPZSWRYT
        UUCBCXIWRYTUUCTXKADEFHUUCIJKUUCWEZWFVIVFXIXJUUDSTXKNBCEHUUCIUUELWGWHWIW
        JVOWQWTXHWKWLWJWJWNWOWP $.

      $( Lemma for ~ ipassi .  Show the inner product associative law for all
         integers.  (Contributed by NM, 27-Apr-2007.)
         (New usage is discouraged.) $)
      ipasslem3 $p |- ( ( N e. ZZ /\ A e. X ) ->
              ( ( N S A ) P B ) = ( N x. ( A P B ) ) ) $=
        ( wcel cn0 co cmul wceq oveq1d cz cr cn wa elznn0nn ipasslem1 ipasslem2
        cneg wo nnnn0 sylan adantll recn negnegd ad2antrr 3eqtr3d jaoian sylanb
        ) GUAOGPOZGUBOZGUHZUCOZUDZUIAHOZGADQZBCQZGABCQZRQZSZGUEUSVDVIVCABCDEFGH
        IJKLMNUFVCVDUDVAUHZADQZBCQZVJVGRQZVFVHVBVDVLVMSZUTVBVAPOVDVNVAUJABCDEFV
        AHIJKLMNUGUKULUTVLVFSVBVDUTVKVEBCUTVJGADUTGGUMUNZTTUOUTVMVHSVBVDUTVJGVG
        RVOTUOUPUQUR $.

      $( Lemma for ~ ipassi .  Show the inner product associative law for
         positive integer reciprocals.  (Contributed by NM, 27-Apr-2007.)
         (New usage is discouraged.) $)
      ipasslem4 $p |- ( ( N e. NN /\ A e. X ) ->
                  ( ( ( 1 / N ) S A ) P B ) = ( ( 1 / N ) x. ( A P B ) ) ) $=
        ( wcel c1 co cmul cc adantr cn wa cdiv nnrecre recnd phnvi nvscl mp3an1
        cnv sylan dipcl mp3an13 syl mulcl syl2an nncn cc0 recidd oveq1d mulid2d
        wne nnne0 sylan9eq wceq nvsid simpr w3a nvsass syl3anc eqtr3d cn0 nnnn0
        mpan ipasslem1 syl2anc 3eqtrd adantl mulassd mulcanad ) GUAOZAHOZUBZPGU
        CQZADQZBCQZWCABCQZRQZGWBWDHOZWESOZVTWCSOZWAWHVTWCGUDUEZEUIOZWJWAWHEMUFZ
        WCADEHIKUGUHUJZWLWHBHOZWIWMNWDBCEHILUKULUMVTWJWFSOZWGSOWAWKWLWAWOWPWMNA
        BCEHILUKULZWCWFUNUOVTGSOZWAGUPZTZVTGUQVAWAGVBZTWBGWCRQZWFRQZGWERQZGWGRQ
        WBXCWFGWDDQZBCQZXDVTWAXCPWFRQWFVTXBPWFRVTGWSXAURZUSWAWFWQUTVCWBAXEBCWBX
        BADQZAXEVTWAXHPADQZAVTXBPADXGUSWLWAXIAVDWMADEHIKVEVMVCWBWRWJWAXHXEVDZWT
        VTWJWAWKTZVTWAVFWLWRWJWAVGXJWMGWCADEHIKVHVMVIVJUSWBGVKOZWHXFXDVDVTXLWAG
        VLTWNWDBCDEFGHIJKLMNVNVOVPWBGWCWFWTXKWAWPVTWQVQVRVJVS $.

      $( Lemma for ~ ipassi .  Show the inner product associative law for
         rational numbers.  (Contributed by NM, 27-Apr-2007.)
         (New usage is discouraged.) $)
      ipasslem5 $p |- ( ( C e. QQ /\ A e. X ) ->
                  ( ( C S A ) P B ) = ( C x. ( A P B ) ) ) $=
        ( vj vk wcel co cmul wceq cq cv cdiv cn wrex cz wi elq wa w3a c1 cc zcn
        nnrecre recnd cnv phnvi dipcl mp3an13 mulass syl3an adantr nncn cc0 wne
        adantl nnne0 divrecd 3adant3 oveq1d nvsass eqtrd nvscl mp3an1 ipasslem3
        mpan sylan sylan2 3impb ipasslem4 3adant1 oveq2d 3eqtr4rd oveq1 eqeq12d
        id 3eqtrd syl5ibrcom 3expia com23 rexlimivv sylbi imp ) CUAQZAHQZCAERZB
        DRZCABDRZSRZTZWNCOUBZPUBZUCRZTZPUDUEOUFUEWOWTUGZOPCUHXDXEOPUFUDXAUFQZXB
        UDQZUIZWOXDWTXFXGWOXDWTUGXFXGWOUJZWTXDXCAERZBDRZXCWRSRZTXIXAUKXBUCRZSRZ
        WRSRZXAXMWRSRZSRZXLXKXFXAULQZXGXMULQZWOWRULQZXOXQTXAUMZXGXMXBUNUOZFUPQZ
        WOBHQXTFMUQZNABDFHILURUSXAXMWRUTVAXIXCXNWRSXFXGXCXNTWOXHXAXBXFXRXGYAVBX
        GXBULQXFXBVCVFXGXBVDVEXFXBVGVFVHVIZVJXIXKXAXMAERZERZBDRZXAYFBDRZSRZXQXI
        XJYGBDXIXJXNAERZYGXIXCXNAEYEVJXFXRXGXSWOWOYKYGTZYAYBWOWFYCXRXSWOUJYLYDX
        AXMAEFHIKVKVPVAVLVJXFXGWOYHYJTZXGWOUIXFYFHQZYMXGXSWOYNYBYCXSWOYNYDXMAEF
        HIKVMVNVQYFBDEFGXAHIJKLMNVOVRVSXIYIXPXASXGWOYIXPTXFABDEFGXBHIJKLMNVTWAW
        BWGWCXDWQXKWSXLXDWPXJBDCXCAEWDVJCXCWRSWDWEWHWIWJWKWLWM $.
    $}

    ${
      $d w B $.  $d x F $.  $d w K $.  $d w P $.  $d w S $.  $d w U $.
      $d w X $.  $d w x A $.
      ipasslem7.a $e |- A e. X $.
      ipasslem7.b $e |- B e. X $.
      ipasslem7.f $e |- F = ( w e. RR |->
                              ( ( ( w S A ) P B ) - ( w x. ( A P B ) ) ) ) $.
      ${
        ipasslem7.j $e |- J = ( topGen ` ran (,) ) $.
        ipasslem7.k $e |- K = ( TopOpen ` CCfld ) $.
        $( Lemma for ~ ipassi .  Show that
           ` ( ( w S A ) P B ) - ( w x. ( A P B ) ) ` is continuous on ` RR ` .
           (Contributed by NM, 23-Aug-2007.)  (Revised by Mario Carneiro,
           6-May-2014.)  (New usage is discouraged.) $)
        ipasslem7 $p |- F e. ( J Cn K ) $=
          ( cr cv co cmul cmin cmpt ccn wcel wtru cioo crn ctg cfv crest tgioo2
          cc eqtri ctopon cnfldtopon a1i wss ax-resscn cims cmopn cnmptid cxmet
          cnv phnvi eqid imsxmet ax-mp mopntopon mp1i cnmptc ctx cnmpt12f dipcn
          smcn dipcl mp3an mulcn subcn cnmpt1res mptru eqeltri ) GAUBAUCZBEUDZC
          DUDZWGBCDUDZUEUDZUFUDZUGZIJUHUDZSWMWNUIUJAWLJIJUQUBIUKULUMUNJUBUOUDTJ
          UAUPURJUQUSUNUIUJJUAUTVAZUBUQVBUJVCVAUJAWIWKUFJJJJUQWOUJAWHCDJFVDUNZV
          EUNZWQJUQWOUJAWGBEJJWQWQUQWOUJAJUQWOVFZUJABJWQUQKWOWPKVGUNUIZWQKUSUNU
          IUJFVHUIZWSFPVIZWPFKLWPVJZVKVLWPWQKWQVJZVMVNZBKUIZUJQVAVOWTEJWQVPUDWQ
          UHUDUIUJXAWPEFWQJXBXCNUAVSVNVQUJACJWQUQKWOXDCKUIZUJRVAVOWTDWQWQVPUDJU
          HUDUIUJXAWPDFWQJOXBXCUAVRVNVQUJAWGWJUEJJJJUQWOWRUJAWJJJUQUQWOWOWJUQUI
          ZUJWTXEXFXGXAQRBCDFKLOVTWAVAVOUEJJVPUDJUHUDZUIUJJUAWBVAVQUFXHUIUJJUAW
          CVAVQWDWEWF $.
      $}

      $( Lemma for ~ ipassi .  By ~ ipasslem5 , ` F ` is 0 for all ` QQ ` ;
         since it is continuous and ` QQ ` is dense in ` RR ` by ~ qdensere2 ,
         we conclude ` F ` is 0 for all ` RR ` .  (Contributed by NM,
         24-Aug-2007.)  (Revised by Mario Carneiro, 6-May-2014.)
         (New usage is discouraged.) $)
      ipasslem8 $p |- F : RR --> { 0 } $=
        ( wcel cq co vx cc0 cc ccnv csn cima wss cioo crn ctg cfv ccl cr wf 0cn
        wceq cv wral cmul cmin qre oveq1 oveq1d oveq12d ovex fvmpt syl wa phnvi
        qcn cnv nvscl mp3an1 sylan dipcl mp3an13 ipasslem5 subeq0bd mpan2 eqtrd
        rgen wfun cdm wb funmpt2 qssre dmmpti sseqtrri funconstss mpbi qdensere
        mp2an ccnfld ctopn ct1 ccn w3a cha eqid cnfldhaus haust1 ax-mp uniretop
        ipasslem7 cnfldtopon toponunii dnsconst mpanl12 mp3an ) UBUCRZSGUDUBUEZ
        UFUGZSUHUIUJUKZULUKUKUMUPZUMXKGUNZUOUAUQZGUKZUBUPZUASURZXLXRUASXPSRZXQX
        PBETZCDTZXPBCDTZUSTZUTTZUBXTXPUMRXQYEUPXPVAAXPAUQZBETZCDTZYFYCUSTZUTTZY
        EUMGYFXPUPZYHYBYIYDUTYKYGYACDYFXPBEVBVCYFXPYCUSVBVDQYBYDUTVEVFVGXTBIRZY
        EUBUPOXTYLVHZYBYDYMYAIRZYBUCRZXTXPUCRZYLYNXPVJFVKRZYPYLYNFNVIZXPBEFIJLV
        LVMVNYQYNCIRYOYRPYACDFIJMVOVPVGBCXPDEFHIJKLMNPVQVRVSVTWAGWBSGWCZUGXSXLW
        DAUMYJGQWESUMYSWFAUMYJGYHYIUTVEQWGWHUASUBGWIWLWJWKWMWNUKZWORZGXMYTWPTRX
        JXLXNWQXOYTWRRUUAYTYTWSZWTYTXAXBABCDEFGHXMYTIJKLMNOPQXMWSUUBXDSUBGXMYTU
        MUCXCUCYTYTUUBXEXFXGXHXI $.
    $}

    ${
      $d w A $.  $d w B $.  $d w C $.  $d w P $.  $d w S $.  $d w U $.
      $d w X $.
      ipasslem9.a $e |- A e. X $.
      ipasslem9.b $e |- B e. X $.
      $( Lemma for ~ ipassi .  Conclude from ~ ipasslem8 the inner product
         associative law for real numbers.  (Contributed by NM, 24-Aug-2007.)
         (New usage is discouraged.) $)
      ipasslem9 $p |- ( C e. RR ->
                  ( ( C S A ) P B ) = ( C x. ( A P B ) ) ) $=
        ( vw cr wcel co cc0 cmul cmin wceq cv cmpt cfv oveq1d oveq12d eqid ovex
        oveq1 fvmpt csn wf ipasslem8 fvconst mpan eqtr3d cc wb recn phnvi nvscl
        cnv mp3an13 dipcl syl mp3an mulcl mpan2 subeq0ad mpbid ) CQRZCAESZBDSZC
        ABDSZUASZUBSZTUCZVOVQUCZVMCPQPUDZAESZBDSZWAVPUASZUBSZUEZUFZVRTPCWEVRQWF
        WACUCZWCVOWDVQUBWHWBVNBDWACAEUKUGWACVPUAUKUHWFUIZVOVQUBUJULQTUMWFUNVMWG
        TUCPABDEFWFGHIJKLMNOWIUOQTCWFUPUQURVMCUSRZVSVTUTCVAWJVOVQWJVNHRZVOUSRZF
        VDRZWJAHRZWKFMVBZNCAEFHIKVCVEWMWKBHRZWLWOOVNBDFHILVFVEVGWJVPUSRZVQUSRWM
        WNWPWQWONOABDFHILVFVHCVPVIVJVKVGVL $.
    $}

    ${
      ipasslem10.a $e |- A e. X $.
      ipasslem10.b $e |- B e. X $.
      ipasslem10.6 $e |- N = ( normCV ` U ) $.
      $( Lemma for ~ ipassi .  Show the inner product associative law for the
         imaginary number ` _i ` .  (Contributed by NM, 24-Aug-2007.)
         (New usage is discouraged.) $)
      ipasslem10 $p |- ( ( _i S A ) P B ) = ( _i x. ( A P B ) ) $=
        ( ci co cmul wcel ccj cfv cneg c4 wceq c2 cexp c1 cmin caddc cnv ax-icn
        phnvi cc nvscl mp3an 4ipval2 4cn negicn dipcl mul12i nvgcl nvcli neg1cn
        recni sqcli subcli mulcli addcomi adddii w3a nvsass mp2an oveq1i eqtr3i
        3pm3.2i ixi oveq2i fveq2i negeqi negneg1e1 3eqtri nvsid 3eqtr3i oveq12i
        mulneg1i mulm1i negsubdi2i eqtr2i mulassi eqtr4i mulcomli mulid2i eqtri
        4ne0 mulcani mpbi dipcj cjmuli cr neg1rr cjrebi cji ax-1cn mul2negi ) B
        QADRZCRZUAUBZQUCZBACRZSRZUAUBZXFBCRZQABCRZSRZXGXKUAUDXGSRZUDXKSRZUEXGXK
        UEXPBXFFRZGUBZUFUGRZBUHUCZXFDRZFRZGUBZUFUGRZUIRZQBQXFDRZFRZGUBZUFUGRZBX
        IXFDRZFRZGUBZUFUGRZUIRZSRZUJRZXQEUKTZBHTZXFHTZXPYQUEEMUMZOYRQUNTZAHTZYT
        UUAULNQADEHIKUOUPZBXFCDEFGHIJKPLUQUPXQXIUDXJSRZSRZYQUDXIXJURUSYRYSUUCXJ
        UNTUUAONBACEHILUTUPZVAYQXIBAFRZGUBZUFUGRZBYAADRZFRZGUBZUFUGRZUIRZQXTBXI
        ADRZFRZGUBZUFUGRZUIRZSRZUJRZSRZUUFYQYPYFUJRZUVCYFYPXTYEXSXSXREGHIPUUAYR
        YSYTXRHTUUAOUUDBXFEFHIJVBUPVCVEVFZYDYDYCEGHIPUUAYRYSYBHTZYCHTUUAOYRYAUN
        TZYTUVFUUAVDUUDYAXFDEHIKUOUPBYBEFHIJVBUPVCVEVFVGQYOULYJYNYIYIYHEGHIPUUA
        YRYSYGHTZYHHTUUAOYRUUBYTUVHUUAULUUDQXFDEHIKUOUPBYGEFHIJVBUPVCVEVFYMYMYL
        EGHIPUUAYRYSYKHTZYLHTUUAOYRXIUNTZYTUVIUUAUSUUDXIXFDEHIKUOUPBYKEFHIJVBUP
        VCVEVFVGVHVIUVCXIUUOSRZXIUVASRZUJRUVDXIUUOUVAUSUUJUUNUUIUUIUUHEGHIPUUAY
        RYSUUCUUHHTUUAONBAEFHIJVBUPVCVEVFZUUMUUMUULEGHIPUUAYRYSUUKHTZUULHTUUAOY
        RUVGUUCUVNUUAVDNYAADEHIKUOUPBUUKEFHIJVBUPVCVEVFZVGZQUUTULXTUUSUVEUURUUR
        UUQEGHIPUUAYRYSUUPHTZUUQHTUUAOYRUVJUUCUVQUUAUSNXIADEHIKUOUPBUUPEFHIJVBU
        PVCVEVFVGZVHVJYPUVKYFUVLUJYPQUUNUUJUIRZSRZQYASRZUUOSRZUVKYOUVSQSYJUUNYN
        UUJUIYIUUMUFUGYHUULGYGUUKBFQQSRZADRZYGUUKYRUUBUUBUUCVKUWDYGUEUUAUUBUUBU
        UCULULNVPQQADEHIKVLVMUWCYAADVQVNVOVRVSVNYMUUIUFUGYLUUHGYKABFXIQSRZADRZU
        HADRZYKAUWEUHADUWEUWCUCYAUCUHQQULULWFUWCYAVQVTWAWBZVNYRUVJUUBUUCVKUWFYK
        UEUUAUVJUUBUUCUSULNVPXIQADEHIKVLVMYRUUCUWGAUEUUANADEHIKWCVMWDVRVSVNWEVR
        UVTQYAUUOSRZSRUWBUVSUWIQSUWIUUOUCUVSUUOUVPWGUUJUUNUVMUVOWHWIVRQYAUUOULV
        DUVPWJWKUWAXIUUOSYAQXIVDULQULWGZWLVNWBYFUWEUUTSRZUVLYFUHUUTSRZUWKYFUUTU
        WLYEUUSXTUIYDUURUFUGYCUUQGYBUUPBFYAQSRZADRZYBUUPYRUVGUUBUUCVKUWNYBUEUUA
        UVGUUBUUCVDULNVPYAQADEHIKVLVMUWMXIADUWJVNVOVRVSVNVRUUTUVRWMWKUWEUHUUTSU
        WHVNWKXIQUUTUSULUVRWJWNWEWKWKUUEUVBXISYRYSUUCUUEUVBUEUUAONBACDEFGHIJKPL
        UQUPVRWKWKWKXGXKUDYRYSYTXGUNTUUAOUUDBXFCEHILUTUPXIXJUSUUGVHURWOWPWQVSYR
        YSYTXHXMUEUUAOUUDBXFCEHILWRUPXLXIUAUBZXJUAUBZSRXOXIXJUSUUGWSUWOQUWPXNSU
        WMUAUBYAUAUBZQUAUBZSRZUWOQYAQVDULWSUWMXIUAUWJVSUWSYAXISRUHQSRQUWQYAUWRX
        ISYAWTTUWQYAUEXAYAVDXBWQXCWEUHQXDULXEQULWMWBWDYRYSUUCUWPXNUEUUAONBACEHI
        LWRUPWEWNWD $.
    $}

    ${
      $d x B $.  $d x y C $.  $d x y P $.
      ipasslem11.a $e |- A e. X $.
      ipasslem11.b $e |- B e. X $.
      $( TODO - proof got longer with axcnreOLD -> cnre because
         of mulcl - is it possible to rewrite it to shorten it? $)
      $( Lemma for ~ ipassi .  Show the inner product associative law for all
         complex numbers.  (Contributed by NM, 25-Aug-2007.)
         (New usage is discouraged.) $)
      ipasslem11 $p |- ( C e. CC ->
                  ( ( C S A ) P B ) = ( C x. ( A P B ) ) ) $=
        ( wcel ci cmul co wceq vx vy cc cv caddc cr wrex cnre wa ax-icn sylancr
        recn mulcom adantl oveq2d eqeq2d cnv phnvi nvscl mp3an13 sylancl ipdiri
        syl mulcl mp3an3 syl2an ipasslem9 mp3an w3a nvsass mp3an23 oveq1d dipcl
        mpan mulass cnmcv cfv ipasslem10 oveq2i eqtr4di 3eqtr4d oveqan12d eqtrd
        eqid nvdir adddir oveq1 eqeq12d syl5ibrcom sylbid rexlimivv ) CUCPCUAUD
        ZQUBUDZRSZUESZTZUBUFUGUAUFUGCAESZBDSZCABDSZRSZTZUAUBCUHWPXAUAUBUFUFWLUF
        PZWMUFPZUIZWPCWLWMQRSZUESZTZXAXDWOXFCXDWNXEWLUEXCWNXETZXBXCQUCPZWMUCPZX
        HUJWMULZQWMUMUKUNUOUPXDXAXGXFAESZBDSZXFWSRSZTXDWLAESZXEAESZGSZBDSZWLWSR
        SZXEWSRSZUESZXMXNXDXRXOBDSZXPBDSZUESZYAXBXOHPZXPHPZXRYDTZXCXBWLUCPZYEWL
        ULZFUQPZYHAHPZYEFMURZNWLAEFHIKUSUTVCXCXEUCPZYFXCXJXIYMXKUJWMQVDVAZYJYMY
        KYFYLNXEAEFHIKUSUTVCYEYFBHPZYGOXOXPBDEFGHIJKLMVBVEVFXBXCYBXSYCXTUEABWLD
        EFGHIJKLMNOVGXCWMQAESZESZBDSWMYPBDSZRSZYCXTYPBWMDEFGHIJKLMYJXIYKYPHPYLU
        JNQAEFHIKUSVHOVGXCXPYQBDXCXJXPYQTZXKXJXIYKYTUJNYJXJXIYKVIYTYLWMQAEFHIKV
        JVNVKVCVLXCXTWMQWSRSZRSZYSXCXJXTUUBTZXKXJXIWSUCPZUUCUJYJYKYOUUDYLNOABDF
        HILVMVHZWMQWSVOVKVCYRUUAWMRABDEFGFVPVQZHIJKLMNOUUFWDVRVSVTWAWBWCXDXLXQB
        DXBYHYMXLXQTZXCYIYNYHYMYKUUGNYJYHYMYKVIUUGYLWLXEAEFGHIJKWEVNVEVFVLXBYHY
        MXNYATZXCYIYNYHYMUUDUUHUUEWLXEWSWFVEVFWAXGWRXMWTXNXGWQXLBDCXFAEWGVLCXFW
        SRWGWHWIWJWKVC $.
    $}

    $( Associative law for inner product.  Equation I2 of [Ponnusamy] p. 363.
       (Contributed by NM, 25-Aug-2007.)  (New usage is discouraged.) $)
    ipassi $p |- ( ( A e. CC /\ B e. X /\ C e. X ) ->
                  ( ( A S B ) P C ) = ( A x. ( B P C ) ) ) $=
      ( wcel co cmul wceq wi cif oveq2 cc cn0v cfv oveq1d oveq2d eqeq12d imbi2d
      wa oveq1 eqid elimph ipasslem11 dedth2h com12 3impib ) AUANZBHNZCHNZABEOZ
      CDOZABCDOZPOZQZUQURUHUPVCUQURUPVCRUPAUQBFUBUCZSZEOZCDOZAVECDOZPOZQZRUPVFU
      RCVDSZDOZAVEVKDOZPOZQZRBCVDVDBVEQZVCVJUPVPUTVGVBVIVPUSVFCDBVEAETUDVPVAVHA
      PBVECDUIUEUFUGCVKQZVJVOUPVQVGVLVIVNCVKVFDTVQVHVMAPCVKVEDTUEUFUGVEVKADEFGH
      IJKLMBFHVDIVDUJZMUKCFHVDIVRMUKULUMUNUO $.
  $}

  ${
    dipdir.1 $e |- X = ( BaseSet ` U ) $.
    dipdir.2 $e |- G = ( +v ` U ) $.
    dipdir.7 $e |- P = ( .iOLD ` U ) $.
    $( Distributive law for inner product.  Equation I3 of [Ponnusamy] p. 362.
       (Contributed by NM, 25-Aug-2007.)  (New usage is discouraged.) $)
    dipdir $p |- ( ( U e. CPreHilOLD /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                 ( ( A G B ) P C ) = ( ( A P C ) + ( B P C ) ) ) $=
      ( wcel co caddc wceq cba cfv cpv cdip oveqd eqid ccphlo w3a cmul cop cabs
      wi cif fveq2 syl5eq eleq2d 3anbi123d oveq1d eqtrd oveq12d eqeq12d imbi12d
      cns elimphu ipdiri dedth imp ) EUAKZAGKZBGKZCGKZUBZABFLZCDLZACDLZBCDLZMLZ
      NZVBVFVLUFAVBEMUCUDUEUDZUGZOPZKZBVOKZCVOKZUBZABVNQPZLZCVNRPZLZACWBLZBCWBL
      ZMLZNZUFEVMEVNNZVFVSVLWGWHVCVPVDVQVEVRWHGVOAWHGEOPVOHEVNOUHUIZUJWHGVOBWIU
      JWHGVOCWIUJUKWHVHWCVKWFWHVHWACDLWCWHVGWACDWHFVTABWHFEQPVTIEVNQUHUISULWHDW
      BWACWHDERPWBJEVNRUHUIZSUMWHVIWDVJWEMWHDWBACWJSWHDWBBCWJSUNUOUPABCWBVNUQPZ
      VNVTVOVOTVTTWKTWBTEURUSUTVA $.

    $( Distributive law for inner product.  (Contributed by NM, 20-Nov-2007.)
       (New usage is discouraged.) $)
    dipdi $p |- ( ( U e. CPreHilOLD /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                 ( A P ( B G C ) ) = ( ( A P B ) + ( A P C ) ) ) $=
      ( wcel w3a co caddc wceq id wa ccj cfv dipcj ccphlo 3com13 cnv phnv simpl
      3com12 dipdir sylan2 fveq2d nvgcl 3com23 3adant3r3 syl3anc sylan cc dipcl
      simpr3 3adant3r1 3adant3r2 cjaddd oveq12d eqtrd 3eqtr3d ) AGKZBGKZCGKZLEU
      AKZVFVEVDLZABCFMZDMZABDMZACDMZNMZOVFVEVDVHVHPUBVGVHQZVIADMZRSZBADMZCADMZN
      MZRSZVJVMVNVOVSRVHVGVEVFVDLZVOVSOVEVFVDWAWAPUFBCADEFGHIJUGUHUIVGEUCKZVHVP
      VJOZEUDZWBVHQZWBVIGKZVDWCWBVHUEWBVFVEWFVDWBVEVFWFBCEFGHIUJUKULWBVFVEVDUQV
      IADEGHJTUMUNVGWBVHVTVMOWDWEVTVQRSZVRRSZNMVMWEVQVRWBVEVDVQUOKVFBADEGHJUPUR
      WBVFVDVRUOKVECADEGHJUPUSUTWEWGVKWHVLNWBVEVDWGVKOVFBADEGHJTURWBVFVDWHVLOVE
      CADEGHJTUSVAVBUNVCUH $.
  $}

  ${
    ip2dii.1 $e |- X = ( BaseSet ` U ) $.
    ip2dii.2 $e |- G = ( +v ` U ) $.
    ip2dii.7 $e |- P = ( .iOLD ` U ) $.
    ip2dii.u $e |- U e. CPreHilOLD $.
    ip2dii.a $e |- A e. X $.
    ip2dii.b $e |- B e. X $.
    ip2dii.c $e |- C e. X $.
    ip2dii.d $e |- D e. X $.
    $( Inner product of two sums.  (Contributed by NM, 17-Apr-2008.)
       (New usage is discouraged.) $)
    ip2dii $p |- ( ( A G B ) P ( C G D ) )
                = ( ( ( A P C ) + ( B P D ) ) + ( ( A P D ) + ( B P C ) ) ) $=
      ( co caddc wcel mp3an ccphlo wceq 3pm3.2i dipdi mp2an oveq12i phnvi nvgcl
      w3a cnv dipdir cc dipcl add42i 3eqtr4i ) ACDGQZEQZBUPEQZRQZACEQZADEQZRQZB
      CEQZBDEQZRQZRQABGQUPEQZUTVDRQVAVCRQRQUQVBURVERFUASZAHSZCHSZDHSZUIUQVBUBLV
      HVIVJMOPUCACDEFGHIJKUDUEVGBHSZVIVJUIURVEUBLVKVIVJNOPUCBCDEFGHIJKUDUEUFVGV
      HVKUPHSZUIVFUSUBLVHVKVLMNFUJSZVIVJVLFLUGZOPCDFGHIJUHTUCABUPEFGHIJKUKUEUTV
      DVAVCVMVHVIUTULSVNMOACEFHIKUMTVMVKVJVDULSVNNPBDEFHIKUMTVMVHVJVAULSVNMPADE
      FHIKUMTVMVKVIVCULSVNNOBCEFHIKUMTUNUO $.
  $}

  ${
    ipass.1 $e |- X = ( BaseSet ` U ) $.
    ipass.4 $e |- S = ( .sOLD ` U ) $.
    ipass.7 $e |- P = ( .iOLD ` U ) $.
    $( Associative law for inner product.  Equation I2 of [Ponnusamy] p. 363.
       (Contributed by NM, 25-Aug-2007.)  (New usage is discouraged.) $)
    dipass $p |- ( ( U e. CPreHilOLD /\ ( A e. CC /\ B e. X /\ C e. X ) ) ->
                 ( ( A S B ) P C ) = ( A x. ( B P C ) ) ) $=
      ( wcel co cmul wceq cba cfv cns cdip fveq2 eqid ccphlo cc w3a wi cop cabs
      caddc cif syl5eq eleq2d oveqd oveq1d eqtrd oveq2d eqeq12d imbi12d elimphu
      3anbi23d cpv ipassi dedth imp ) FUAKZAUBKZBGKZCGKZUCZABELZCDLZABCDLZMLZNZ
      VCVGVLUDVDBVCFUGMUEUFUEZUHZOPZKZCVOKZUCZABVNQPZLZCVNRPZLZABCWALZMLZNZUDFV
      MFVNNZVGVRVLWEWFVEVPVFVQVDWFGVOBWFGFOPVOHFVNOSUIZUJWFGVOCWGUJURWFVIWBVKWD
      WFVIVTCDLWBWFVHVTCDWFEVSABWFEFQPVSIFVNQSUIUKULWFDWAVTCWFDFRPWAJFVNRSUIZUK
      UMWFVJWCAMWFDWABCWHUKUNUOUPABCWAVSVNVNUSPZVOVOTWITVSTWATFUQUTVAVB $.

    $( "Associative" law for second argument of inner product (compare
       ~ dipass ).  (Contributed by NM, 22-Nov-2007.)
       (New usage is discouraged.) $)
    dipassr $p |- ( ( U e. CPreHilOLD /\ ( A e. X /\ B e. CC /\ C e. X ) ) ->
                 ( A P ( B S C ) ) = ( ( * ` B ) x. ( A P C ) ) ) $=
      ( wcel cc w3a wa co ccj cfv cmul wceq dipcj ccphlo 3anrot dipass cnv phnv
      sylan2b fveq2d simpl nvscl 3adant3r1 simpr1 syl3anc sylan dipcl 3adant3r2
      simpr2 3com23 cjmuld oveq2d eqtrd 3eqtr3d ) FUAKZAGKZBLKZCGKZMZNZBCEOZADO
      ZPQZBCADOZROZPQZAVHDOZBPQZACDOZROZVGVIVLPVFVBVDVEVCMVIVLSVCVDVEUBBCADEFGH
      IJUCUFUGVBFUDKZVFVJVNSZFUEZVRVFNZVRVHGKZVCVSVRVFUHVRVDVEWBVCBCEFGHIUIUJVR
      VCVDVEUKVHADFGHJTULUMVBVRVFVMVQSVTWAVMVOVKPQZROVQWABVKVRVCVDVEUPVRVCVEVKL
      KZVDVRVEVCWDCADFGHJUNUQUOURWAWCVPVORVRVCVEWCVPSZVDVRVEVCWECADFGHJTUQUOUSU
      TUMVA $.

    $( "Associative" law for inner product.  Conjugate version of ~ dipassr .
       (Contributed by NM, 23-Nov-2007.)  (New usage is discouraged.) $)
    dipassr2 $p |- ( ( U e. CPreHilOLD /\ ( A e. X /\ B e. CC /\ C e. X ) ) ->
                 ( A P ( ( * ` B ) S C ) ) = ( B x. ( A P C ) ) ) $=
      ( ccphlo wcel cc w3a wa ccj cfv co cmul wceq cjcl dipassr syl3anr2 adantl
      cjcj 3ad2ant2 oveq1d eqtrd ) FKLZAGLZBMLZCGLZNZOZABPQZCERDRZUOPQZACDRZSRZ
      BURSRUKUJUIUOMLULUPUSTBUAAUOCDEFGHIJUBUCUNUQBURSUMUQBTZUIUKUJUTULBUEUFUDU
      GUH $.
  $}

  ${
    ipsubdir.1 $e |- X = ( BaseSet ` U ) $.
    ipsubdir.3 $e |- M = ( -v ` U ) $.
    ipsubdir.7 $e |- P = ( .iOLD ` U ) $.
    $( Distributive law for inner product subtraction.  (Contributed by NM,
       20-Nov-2007.)  (New usage is discouraged.) $)
    dipsubdir $p |- ( ( U e. CPreHilOLD /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                 ( ( A M B ) P C ) = ( ( A P C ) - ( B P C ) ) ) $=
      ( wcel w3a wa cneg cfv co caddc wceq cc sylan ccphlo cns cpv cmin idd cnv
      c1 phnv neg1cn nvscl mp3an2 ex 3anim123d imp dipdir syldan nvmval syl3an1
      eqid 3adant3r3 oveq1d cmul dipass mp3anr1 dipcl 3expb mulm1d eqtrd oveq2d
      3adantr1 3adant3r2 3adant3r1 negsubd eqtr2d 3eqtr4d ) EUAKZAGKZBGKZCGKZLZ
      MZAUGNZBEUBOZPZEUCOZPZCDPZACDPZWDCDPZQPZABFPZCDPWHBCDPZUDPZVPVTVQWDGKZVSL
      ZWGWJRVPVTWOVPVQVQVRWNVSVSVPVQUEVPVRWNVPEUFKZVRWNEUHZWPWBSKZVRWNUIWBBWCEG
      HWCUSZUJUKTULVPVSUEUMUNAWDCDEWEGHWEUSZJUOUPWAWKWFCDVPVQVRWKWFRZVSVPWPVQVR
      XAWQABWCEWEFGHWTWSIUQURUTVAWAWJWHWLNZQPZWMWAWIXBWHQVPVRVSWIXBRVQVPVRVSMZM
      ZWIWBWLVBPZXBVPWRVRVSWIXFRUIWBBCDWCEGHWSJVCVDXEWLVPWPXDWLSKZWQWPVRVSXGBCD
      EGHJVEZVFTVGVHVJVIVPWPVTXCWMRWQWPVTMWHWLWPVQVSWHSKVRACDEGHJVEVKWPVRVSXGVQ
      XHVLVMTVNVO $.

    $( Distributive law for inner product subtraction.  (Contributed by NM,
       20-Nov-2007.)  (New usage is discouraged.) $)
    dipsubdi $p |- ( ( U e. CPreHilOLD /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                 ( A P ( B M C ) ) = ( ( A P B ) - ( A P C ) ) ) $=
      ( wcel w3a co cmin wceq id wa ccj cfv dipcj ccphlo 3com13 3com12 cnv phnv
      dipsubdir sylan2 fveq2d simpl nvmcl 3com23 3adant3r3 simpr3 syl3anc sylan
      cc dipcl 3adant3r1 3adant3r2 cjsub syl2anc oveq12d eqtrd 3eqtr3d ) AGKZBG
      KZCGKZLEUAKZVGVFVELZABCFMZDMZABDMZACDMZNMZOVGVFVEVIVIPUBVHVIQZVJADMZRSZBA
      DMZCADMZNMZRSZVKVNVOVPVTRVIVHVFVGVELZVPVTOVFVGVEWBWBPUCBCADEFGHIJUFUGUHVH
      EUDKZVIVQVKOZEUEZWCVIQZWCVJGKZVEWDWCVIUIWCVGVFWGVEWCVFVGWGBCEFGHIUJUKULWC
      VGVFVEUMVJADEGHJTUNUOVHWCVIWAVNOWEWFWAVRRSZVSRSZNMZVNWFVRUPKZVSUPKZWAWJOW
      CVFVEWKVGBADEGHJUQURWCVGVEWLVFCADEGHJUQUSVRVSUTVAWFWHVLWIVMNWCVFVEWHVLOVG
      BADEGHJTURWCVGVEWIVMOVFCADEGHJTUSVBVCUOVDUG $.
  $}

  ${
    pyth.1 $e |- X = ( BaseSet ` U ) $.
    pyth.2 $e |- G = ( +v ` U ) $.
    pyth.6 $e |- N = ( normCV ` U ) $.
    pyth.7 $e |- P = ( .iOLD ` U ) $.
    pythi.u $e |- U e. CPreHilOLD $.
    pythi.a $e |- A e. X $.
    pythi.b $e |- B e. X $.
    $( The Pythagorean theorem for an arbitrary complex inner product
       (pre-Hilbert) space ` U ` .  The square of the norm of the sum of two
       orthogonal vectors (i.e. whose inner product is 0) is the sum of the
       squares of their norms.  Problem 2 in [Kreyszig] p. 135.  (Contributed
       by NM, 17-Apr-2008.)  (New usage is discouraged.) $)
    pythi $p |- ( ( A P B ) = 0 -> ( ( N ` ( A G B ) ) ^ 2 )
        = ( ( ( N ` A ) ^ 2 ) + ( ( N ` B ) ^ 2 ) ) ) $=
      ( co cc0 wceq caddc wcel mp3an cfv c2 cexp ip2dii id cnv phnvi diporthcom
      wb biimpi oveq12d 00id eqtrdi oveq2d cc dipcl addcli addid1i syl5eq nvgcl
      ipidsq mp2an oveq12i 3eqtr3g ) ABCOZPQZABEOZVGCOZAACOZBBCOZROZVGFUAUBUCOZ
      AFUAUBUCOZBFUAUBUCOZROVFVHVKVEBACOZROZROZVKABABCDEGHIKLMNMNUDVFVQVKPROVKV
      FVPPVKRVFVPPPROPVFVEPVOPRVFUEVFVOPQZDUFSZAGSZBGSZVFVRUIDLUGZMNABCDGHKUHTU
      JUKULUMUNVKVIVJVSVTVTVIUOSWBMMAACDGHKUPTVSWAWAVJUOSWBNNBBCDGHKUPTUQURUMUS
      VSVGGSZVHVLQWBVSVTWAWCWBMNABDEGHIUTTVGCDFGHJKVAVBVIVMVJVNRVSVTVIVMQWBMACD
      FGHJKVAVBVSWAVJVNQWBNBCDFGHJKVAVBVCVD $.
  $}

  ${
    siii.1 $e |- X = ( BaseSet ` U ) $.
    siii.6 $e |- N = ( normCV ` U ) $.
    siii.7 $e |- P = ( .iOLD ` U ) $.
    siii.9 $e |- U e. CPreHilOLD $.
    siii.a $e |- A e. X $.
    siii.b $e |- B e. X $.
    ${
      sii1.3 $e |- M = ( -v ` U ) $.
      sii1.4 $e |- S = ( .sOLD ` U ) $.
      sii1.c $e |- C e. CC $.
      sii1.r $e |- ( C x. ( A P B ) ) e. RR $.
      sii1.z $e |- 0 <_ ( C x. ( A P B ) ) $.
      $( Lemma for ~ sii .  (Contributed by NM, 23-Nov-2007.)
         (New usage is discouraged.) $)
      siilem1 $p |- ( ( B P A ) = ( C x. ( ( N ` B ) ^ 2 ) ) ->
                ( sqrt ` ( ( A P B ) x. ( C x. ( ( N ` B ) ^ 2 ) ) ) ) <_
                       ( ( N ` A ) x. ( N ` B ) ) ) $=
        ( co cfv c2 cexp cmul wceq csqrt cle wbr cc0 cmin ccj phnvi cnv wcel cc
        cjcli nvscl mp3an nvmcl nvcli sqge0i ccphlo w3a 3pm3.2i dipsubdi ipidsq
        mp2an dipass oveq2i eqtri recni sqcli dipcl mulcli sub4 mp4an dipsubdir
        oveq12i oveq1i subdii 3eqtr4i 3eqtr3i oveq2 mul01i eqtrdi sylbir oveq2d
        dipassr2 breqtri subeq0i resqcli subcli subid1i breqtrid subge0i pm3.2i
        sylib cr wa lemul1a mpan syl breqtrrdi mulge0i remulcli sqrtlei mulcomi
        sqmuli wb mulassi fveq2i nvge0 sqrtsqi ax-mp 3brtr3g ) BADUAZCBHUBZUCUD
        UAZUEUAZUFZCABDUAZUEUAZXSUEUAZUGUBZAHUBZXRUEUAZUCUDUAZUGUBZYBXTUEUAZUGU
        BYGUHYAYDYHUHUIZYEYIUHUIZYAYDYFUCUDUAZXSUEUAZYHUHYAYCYMUHUIZYDYNUHUIZYA
        UJYMYCUKUAZUHUIYOYAUJYQCULUBZXQXTUKUAZUEUAZUKUAZYQUHUJAYRBEUAZGUAZHUBZU
        CUDUAZUUAUHUUDUUCFHIJKFMUMZFUNUOZAIUOZUUBIUOZUUCIUOZUUFNUUGYRUPUOZBIUOZ
        UUIUUFCRUQZOYRBEFIJQURUSZAUUBFGIJPUTUSZVAVBUUCUUCDUAZUUCADUAZUUCUUBDUAZ
        UKUAZUUEUUAFVCUOZUUJUUHUUIVDUUPUUSUFMUUJUUHUUIUUONUUNVEUUCAUUBDFGIJPLVF
        VHUUGUUJUUPUUEUFUUFUUOUUCDFHIJKLVGVHYMYRXQUEUAZUKUAZYCUUBUUBDUAZUKUAZUK
        UAZYQUVAYRXTUEUAZUKUAZUKUAZUUSUUAUVEUVBYCUVFUKUAZUKUAZUVHUVDUVIUVBUKUVC
        UVFYCUKUVCYRBUUBDUAZUEUAZUVFUUTUUKUULUUIVDUVCUVLUFMUUKUULUUIUUMOUUNVEYR
        BUUBDEFIJQLVIVHUVKXTYRUEUVKCBBDUAZUEUAZXTUUTUULCUPUOZUULVDUVKUVNUFMUULU
        VOUULOROVEBCBDEFIJQLWIVHUVMXSCUEUUGUULUVMXSUFUUFOBDFHIJKLVGVHVJVKVJVKVJ
        VJYMUPUOUVAUPUOYCUPUOUVFUPUOUVJUVHUFYFYFAFHIJKUUFNVAZVLZVMYRXQUUMUUGUUL
        UUHXQUPUOUUFONBADFIJLVNUSZVOYCSVLZYRXTUUMCXSRXRXRBFHIJKUUFOVAZVLZVMVOZV
        OYMUVAYCUVFVPVQVKUUQUVBUURUVDUKUUQAADUAZUUBADUAZUKUAZUVBUUTUUHUUIUUHVDU
        UQUWEUFMUUHUUIUUHNUUNNVEAUUBADFGIJPLVRVHUWCYMUWDUVAUKUUGUUHUWCYMUFUUFNA
        DFHIJKLVGVHUUTUUKUULUUHVDUWDUVAUFMUUKUULUUHUUMONVEYRBADEFIJQLVIVHVSVKUU
        RAUUBDUAZUVCUKUAZUVDUUTUUHUUIUUIVDUURUWGUFMUUHUUIUUINUUNUUNVEAUUBUUBDFG
        IJPLVRVHUWFYCUVCUKUUTUUHUVOUULVDUWFYCUFMUUHUVOUULNROVEACBDEFIJQLWIVHVTV
        KVSYTUVGYQUKYRXQXTUUMUVRUWBWAVJWBWCWJYAUUAYQUJUKUAYQYAYTUJYQUKYAYSUJUFZ
        YTUJUFXQXTUVRUWBWKUWHYTYRUJUEUAUJYSUJYRUEWDYRUUMWEWFWGWHYQYMYCYMYFUVPWL
        ZVLUVSWMWNWFWOYMYCUWISWPWRYCWSUOZYMWSUOZXSWSUOZUJXSUHUIZWTZVDYOYPUWJUWK
        UWNSUWIUWLUWMXRUVTWLZXRUVTVBZWQVEYCYMXSXAXBXCYFXRUVQUWAXIXDUJYDUHUIZUJY
        HUHUIYKYLXJUJYCUHUIUWMUWQTUWPYCXSSUWOXEVHYGYFXRUVPUVTXFZVBYDYHYCXSSUWOX
        FYGUWRWLXGVHWRYDYJUGYDYBCUEUAZXSUEUAYJYCUWSXSUECYBRUUGUUHUULYBUPUOUUFNO
        ABDFIJLVNUSZXHVTYBCXSUWTRXSUWOVLXKVKXLUJYGUHUIZYIYGUFUJYFUHUIZUJXRUHUIZ
        UXAUUGUUHUXBUUFNAFHIJKXMVHUUGUULUXCUUFOBFHIJKXMVHYFXRUVPUVTXEVHYGUWRXNX
        OXP $.
    $}

    ${
      siii2.3 $e |- M = ( -v ` U ) $.
      siii2.4 $e |- S = ( .sOLD ` U ) $.
      $( Lemma for ~ sii .  (Contributed by NM, 24-Nov-2007.)
         (New usage is discouraged.) $)
      siilem2 $p |- ( ( C e. CC /\ ( C x. ( A P B ) ) e. RR /\
                           0 <_ ( C x. ( A P B ) ) ) ->
                ( ( B P A ) = ( C x. ( ( N ` B ) ^ 2 ) ) ->
                  ( sqrt ` ( ( A P B ) x. ( C x. ( ( N ` B ) ^ 2 ) ) ) ) <_
                         ( ( N ` A ) x. ( N ` B ) ) ) ) $=
        ( co cmul cc0 cc wcel cr cle wbr w3a c2 cexp wceq csqrt wi oveq1 eqeq2d
        cfv cif oveq2d fveq2d breq1d imbi12d eleq1 eleq1d 3anbi123d phnvi dipcl
        breq2d 0cn cnv mp3an mul02i 0re eqeltri breqtrri 3pm3.2i elimhyp simp1i
        0le0 simp2i simp3i siilem1 dedth ) CUAUBZCABDRZSRZUCUBZTWCUDUEZUFZBADRZ
        CBHUNZUGUHRZSRZUIZWBWJSRZUJUNZAHUNWHSRZUDUEZUKWGWFCTUOZWISRZUIZWBWQSRZU
        JUNZWNUDUEZUKCTCWPUIZWKWRWOXAXBWJWQWGCWPWISULZUMXBWMWTWNUDXBWLWSUJXBWJW
        QWBSXCUPUQURUSABWPDEFGHIJKLMNOPQWPUAUBZWPWBSRZUCUBZTXEUDUEZWFXDXFXGUFTU
        AUBZTWBSRZUCUBZTXIUDUEZUFCTXBWAXDWDXFWEXGCWPUAUTXBWCXEUCCWPWBSULZVAXBWC
        XETUDXLVEVBTWPUIZXHXDXJXFXKXGTWPUAUTXMXIXEUCTWPWBSULZVAXMXIXETUDXNVEVBX
        HXJXKVFXITUCWBFVGUBAIUBBIUBWBUAUBFMVCNOABDFIJLVDVHVIZVJVKTTXIUDVPXOVLVM
        VNZVOXDXFXGXPVQXDXFXGXPVRVSVT $.
    $}

    $( Inference from ~ sii .  (Contributed by NM, 20-Nov-2007.)
       (New usage is discouraged.) $)
    siii $p |- ( abs ` ( A P B ) ) <_ ( ( N ` A ) x. ( N ` B ) ) $=
      ( co cfv cmul cle wbr wceq cc0 wcel cabs cn0v oveq2 cnv phnvi dip0r mp2an
      eqid eqtrdi abs00bd nvge0 nvcli mulge0i eqbrtrdi wne c2 cexp csqrt ccj cc
      cdiv dipcl mp3an absval ax-mp recni sqeq0i wb nvz bitri necon3bii resqcli
      divcan1zi sylbir dipcj eqtr4di oveq2d fveq2d eqtr4id eqcomd cr wi divclzi
      wa div23 mp3an12 mpan ipipcj mulcomli oveq1i eqtr3di abscli redivclzi clt
      eqeltrd sqgt0i sqge0i divge0 mpanl12 sylancr breqtrrd cns siilem2 syl3anc
      cnsb mpd eqbrtrd pm2.61ine ) ABCMZUANZAENZBENZOMZPQBDUBNZBXNRZXJSXMPXOXIX
      OXIAXNCMZSBXNACUCDUDTZAFTZXPSRDJUEZKACDFXNGXNUHZIUFUGUIUJSXKPQZSXLPQZSXMP
      QXQXRYAXSKADEFGHUKUGXQBFTZYBXSLBDEFGHUKUGXKXLADEFGHXSKULBDEFGHXSLULZUMUGU
      NBXNUOZXJXIBACMZXLUPUQMZVAMZYGOMZOMZURNZXMPYEXJXIXIUSNZOMZURNZYKXIUTTZXJY
      NRXQXRYCYOXSKLABCDFGIVBVCZXIVDVEYEYJYMURYEYIYLXIOYEYIYFYLYEYGSUOZYIYFRYGS
      BXNYGSRXLSRZXOXLXLYDVFVGXQYCYRXOVHXSLBDEFXNGXTHVIUGZVJVKZYFYGXQYCXRYFUTTZ
      XSLKBACDFGIVBVCZYGXLYDVLZVFZVMVNZXQXRYCYLYFRXSKLABCDFGIVOVCVPVQVRVSYEYFYI
      RZYKXMPQZYEYIYFUUEVTYEYHUTTZYHXIOMZWATSUUIPQUUFUUGWBYEYQUUHYTYFYGUUBUUDWC
      VNYEUUIXJUPUQMZYGVAMZWAYEYFXIOMZYGVAMZUUIUUKYEYQUUMUUIRZYTYGUTTZYQUUNUUDU
      UAYOUUOYQWDUUNUUBYPYFXIYGWEWFWGVNUULUUJYGVAXIYFUUJYPUUBXQXRYCXIYFOMUUJRXS
      KLABCDFGIWHVCWIWJWKZYEYQUUKWATYTUUJYGXJXIYPWLZVLZUUCWMVNWOYESUUKUUIPYEYGW
      ATZSYGWNQZSUUKPQZUUCYEXLSUOUUTXLSBXNYSVKXLYDWPVNUUJWATSUUJPQUUSUUTWDUVAUU
      RXJUUQWQUUJYGWRWSWTUUPXAABYHCDXBNZDDXENZEFGHIJKLUVCUHUVBUHXCXDXFXGXH $.
  $}

  ${
    sii.1 $e |- X = ( BaseSet ` U ) $.
    sii.6 $e |- N = ( normCV ` U ) $.
    sii.7 $e |- P = ( .iOLD ` U ) $.
    sii.9 $e |- U e. CPreHilOLD $.
    $( Obsolete version of ~ ipcau as of 22-Sep-2024.  Schwarz inequality.
       Part of Lemma 3-2.1(a) of [Kreyszig] p. 137.  This is also called the
       Cauchy-Schwarz inequality by some authors and
       Bunjakovaskij-Cauchy-Schwarz inequality by others.  See also Theorems
       ~ bcseqi , ~ bcsiALT , ~ bcsiHIL , ~ csbren .  (Contributed by NM,
       12-Jan-2008.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sii $p |- ( ( A e. X /\ B e. X ) ->
               ( abs ` ( A P B ) ) <_ ( ( N ` A ) x. ( N ` B ) ) ) $=
      ( wcel co cabs cfv cmul cle wbr cif wceq fveq2 cn0v fvoveq1 breq12d oveq2
      oveq1d fveq2d oveq2d eqid elimph siii dedth2h ) AFKZBFKZABCLMNZAENZBENZOL
      ZPQULADUANZRZBCLZMNZUSENZUPOLZPQUSUMBURRZCLZMNZVBVDENZOLZPQABURURAUSSZUNV
      AUQVCPAUSBMCUBVIUOVBUPOAUSETUEUCBVDSZVAVFVCVHPVJUTVEMBVDUSCUDUFVJUPVGVBOB
      VDETUGUCUSVDCDEFGHIJADFURGURUHZJUIBDFURGVKJUIUJUK $.
  $}

  ${
    $d w x y z A $.  $d w y z C $.  $d w y z F $.  $d w x y z U $.
    $d w x y z X $.  $d x P $.  $d z B $.
    ipblnfi.1 $e |- X = ( BaseSet ` U ) $.
    ipblnfi.7 $e |- P = ( .iOLD ` U ) $.
    ipblnfi.9 $e |- U e. CPreHilOLD $.
    ipblnfi.c $e |- C = <. <. + , x. >. , abs >. $.
    ipblnfi.l $e |- B = ( U BLnOp C ) $.
    ipblnfi.f $e |- F = ( x e. X |-> ( x P A ) ) $.
    $( A function ` F ` generated by varying the first argument of an inner
       product (with its second argument a fixed vector ` A ` ) is a bounded
       linear functional, i.e. a bounded linear operator from the vector space
       to ` CC ` .  (Contributed by NM, 12-Jan-2008.)  (Revised by Mario
       Carneiro, 19-Nov-2013.)  (New usage is discouraged.) $)
    ipblnfi $p |- ( A e. X -> F e. B ) $=
      ( vz wcel co cfv cc wceq vy vw clno cnmcv cr cv cabs cmul cle wbr wral wf
      cns cpv caddc cnv phnvi dipcl mp3an1 ancoms fmptd wa eqid nvscl ad2ant2lr
      simprr simpll ccphlo w3a dipdir syl3anc simplr simprl ipassi oveq1d eqtrd
      mpan adantll nvgcl sylan anasss oveq1 ovex fvmpt ad2antrl oveq2d ad2antll
      syl oveq12d 3eqtr4d ralrimivva ralrimiva wb cnnv cnnvba cnnvg cnnvs islno
      mp2an sylanbrc sii adantl fveq2d recnd mulcom syl2an 3brtr4d cnnvnm blo3i
      nvcl ) BHPZGFDUCQZPZBFUDRZRZUEPZOUFZGRZUGRZXOXQXNRZUHQZUIUJZOHUKGCPXKHSGU
      LZUAUFZXQFUMRZQZUBUFZFUNRZQZGRZYDXRUHQZYGGRZUOQZTZUBHUKOHUKZUASUKZXMXKAHA
      UFZBEQZSGYQHPZXKYRSPZFUPPZYSXKYTFKUQZYQBEFHIJURUSUTNVAXKYOUASXKYDSPZVBZYN
      OUBHHUUDXQHPZYGHPZVBZVBZYIBEQZYDXQBEQZUHQZYGBEQZUOQZYJYMUUHUUIYFBEQZUULUO
      QZUUMUUHYFHPZUUFXKUUIUUOTZUUCUUEUUPXKUUFUUAUUCUUEUUPUUBYDXQYEFHIYEVCZVDUS
      ZVEUUDUUEUUFVFXKUUCUUGVGZFVHPUUPUUFXKVIUUQKYFYGBEFYHHIYHVCZJVJVQVKUUHUUNU
      UKUULUOUUHUUCUUEXKUUNUUKTXKUUCUUGVLUUDUUEUUFVMUUTYDXQBEYEFYHHIUVAUURJKVNV
      KVOVPUUHYIHPZYJUUITUUDUUEUUFUVBUUDUUEVBUUPUUFUVBUUCUUEUUPXKUUSVRUUAUUPUUF
      UVBUUBYFYGFYHHIUVAVSUSVTWAAYIYRUUIHGYQYIBEWBNYIBEWCWDWHUUHYKUUKYLUULUOUUH
      XRUUJYDUHUUEXRUUJTZUUDUUFAXQYRUUJHGYQXQBEWBNXQBEWCWDZWEWFUUFYLUULTUUDUUEA
      YGYRUULHGYQYGBEWBNYGBEWCWDWGWIWJWKWLUUADUPPXMYCYPVBWMUUBDLWNZUAOUBYEUHGFY
      HUOXLDHSIDLWOUVADLWPUURDLWQXLVCZWRWSWTUUAXKXPUUBBFXNHIXNVCZXJVQZXKYBOHXKU
      UEVBZUUJUGRZXTXOUHQZXSYAUIUUEXKUVJUVKUIUJXQBEFXNHIUVGJKXAUTUVIXRUUJUGUUEU
      VCXKUVDXBXCXKXOSPXTSPYAUVKTUUEXKXOUVHXDUUEXTUUAUUEXTUEPUUBXQFXNHIUVGXJVQX
      DXOXTXEXFXGWLOXOCGFXLXNUGDHIUVGDLXHUVFMUUBUVEXIVK $.
  $}

  ${
    $d x A $.  $d x B $.  $d s t x P $.  $d s t Q $.  $d x y S $.
    $d s t x y T $.  $d x U $.  $d s t x y X $.  $d s t x y Y $.
    ip2eqi.1 $e |- X = ( BaseSet ` U ) $.
    ip2eqi.7 $e |- P = ( .iOLD ` U ) $.
    ip2eqi.u $e |- U e. CPreHilOLD $.
    $( Two vectors are equal iff their inner products with all other vectors
       are equal.  (Contributed by NM, 24-Jan-2008.)
       (New usage is discouraged.) $)
    ip2eqi $p |- ( ( A e. X /\ B e. X ) -> ( A. x e. X ( x P A
                                               ) = ( x P B ) <-> A = B ) ) $=
      ( wcel co wceq cfv eqid mp3an1 oveq1 syl cc0 mpan wb wa cv wral cnv phnvi
      cnsb wi nvmcl eqeq12d rspcv cmin cn0v simpl simpr ccphlo dipsubdi syl3anc
      w3a eqeq1d bitr3d cc dipcl syl2anc sylancom subeq0ad nvmeq0 3bitr3d oveq2
      ipz sylibd ralrimivw impbid1 ) BFJZCFJZUAZAUBZBDKZVPCDKZLZAFUCZBCLZVOVTBC
      EUFMZKZBDKZWCCDKZLZWAVOWCFJZVTWFUGEUDJZVMVNWGEIUEZBCEWBFGWBNZUHOZVSWFAWCF
      VPWCLVQWDVRWEVPWCBDPVPWCCDPUIUJQVOWDWEUKKZRLZWCEULMZLZWFWAVOWCWCDKZRLZWMW
      OVOWPWLRVOWGVMVNWPWLLZWKVMVNUMZVMVNUNEUOJWGVMVNURWRIWCBCDEWBFGWJHUPSUQUSV
      OWGWQWOTZWKWHWGWTWIWCDEFWNGWNNZHVISQUTVOWDWEVOWGVMWDVAJZWKWSWHWGVMXBWIWCB
      DEFGHVBOVCVMVNWGWEVAJZWKWHWGVNXCWIWCCDEFGHVBOVDVEWHVMVNWOWATWIBCEWBFWNGWJ
      XAVFOVGVJWAVSAFBCVPDVHVKVL $.

    $( A condition implying that two operators are equal.  (Contributed by NM,
       25-Jan-2008.)  (New usage is discouraged.) $)
    phoeqi $p |- ( ( S : Y --> X /\ T : Y --> X ) -> ( A. x e. X A. y e.
      Y ( x P ( S ` y ) ) = ( x P ( T ` y ) ) <-> S = T ) ) $=
      ( cv cfv co wceq wral wf wa wcel wb ralcom ffvelrn ip2eqi syl2an anandirs
      ralbidva wfn ffn eqfnfv bitr4d syl5bb ) ALZBLZDMZCNULUMEMZCNOZBHPAGPUPAGP
      ZBHPZHGDQZHGEQZRZDEOZUPABGHUAVAURUNUOOZBHPZVBVAUQVCBHUSUTUMHSZUQVCTZUSVER
      UNGSUOGSVFUTVERHGUMDUBHGUMEUBAUNUOCFGIJKUCUDUEUFUSDHUGEHUGVBVDTUTHGDUHHGE
      UHBHDEUIUDUJUK $.

    $( Every operator has at most one adjoint.  (Contributed by NM,
       25-Jan-2008.)  (New usage is discouraged.) $)
    ajmoi $p |- E* s ( s : Y --> X /\
           A. x e. X A. y e. Y ( ( T ` x ) Q y ) = ( x P ( s ` y ) ) ) $=
      ( vt cv wf cfv co wceq wral wa wmo wi r19.26-2 eqtr2 sylbir phoeqi biimpa
      wal 2ralimi sylan2 an4s gen2 feq1 fveq1 oveq2d 2ralbidv anbi12d mo4 mpbir
      eqeq2d ) HGINZOZANZEPBNZDQZVCVDVAPZCQZRZBHSAGSZTZIUAVJHGMNZOZVEVCVDVKPZCQ
      ZRZBHSAGSZTZTVAVKRZUBZMUHIUHVSIMVBVLVIVPVRVIVPTZVBVLTZVGVNRZBHSAGSZVRVTVH
      VOTZBHSAGSWCVHVOABGHUCWDWBABGHVEVGVNUDUIUEWAWCVRABCVAVKFGHJKLUFUGUJUKULVJ
      VQIMVRVBVLVIVPHGVAVKUMVRVHVOABGHVRVGVNVEVRVFVMVCCVDVAVKUNUOUTUPUQURUS $.
  $}

  ${
    $d s t x y U $.  $d s t x y W $.
    ajfuni.5 $e |- A = ( U adj W ) $.
    ajfuni.u $e |- U e. CPreHilOLD $.
    ajfuni.w $e |- W e. NrmCVec $.
    $( The adjoint function is a function.  (Contributed by NM, 25-Jan-2008.)
       (New usage is discouraged.) $)
    ajfuni $p |- Fun A $=
      ( vt vs vx vy wfun cba cfv cv wf cdip co wceq wral eqid w3a copab funopab
      wmo wa ajmoi 3simpc moimi ax-mp mpgbir cnv wcel phnvi ajfval mp2an funeqi
      mpbir ) AKBLMZCLMZGNZOZUSURHNZOZINZUTMJNZCPMZQVDVEVBMBPMZQRJUSSIURSZUAZGH
      UBZKZVKVIHUDZGVIGHUCVCVHUEZHUDVLIJVGVFUTBURUSHURTZVGTZEUFVIVMHVAVCVHUGUHU
      IUJAVJBUKULCUKULAVJRBEUMFIJGAVGVFBCURUSHVNUSTVOVFTDUNUOUPUQ $.
  $}

  ${
    ajfun.5 $e |- A = ( U adj W ) $.
    $( The adjoint function is a function.  This is not immediately apparent
       from ~ df-aj but results from the uniqueness shown by ~ ajmoi .
       (Contributed by NM, 26-Jan-2008.)  (New usage is discouraged.) $)
    ajfun $p |- ( ( U e. CPreHilOLD /\ W e. NrmCVec ) -> Fun A ) $=
      ( ccphlo wcel cnv wfun caddc cmul cop cabs cif caj co oveq1 syl5eq funeqd
      wceq oveq2 eqid elimphu elimnvu ajfuni dedth2h ) BEFZCGFZAHUFBIJKLKZMZCNO
      ZHUIUGCUHMZNOZHBCUHUHBUISZAUJUMABCNOUJDBUICNPQRCUKSUJULCUKUINTRULUIUKULUA
      BUBCUCUDUE $.
  $}

  ${
    $d t P $.  $d t Q $.  $d s t x y T $.  $d s t x y U $.  $d s t x y W $.
    $d s t x y X $.  $d s t y Y $.
    ajval.1 $e |- X = ( BaseSet ` U ) $.
    ajval.2 $e |- Y = ( BaseSet ` W ) $.
    ajval.3 $e |- P = ( .iOLD ` U ) $.
    ajval.4 $e |- Q = ( .iOLD ` W ) $.
    ajval.5 $e |- A = ( U adj W ) $.
    $( Value of the adjoint function.  (Contributed by NM, 25-Jan-2008.)
       (New usage is discouraged.) $)
    ajval $p |- ( ( U e. CPreHilOLD /\ W e. NrmCVec /\ T : X --> Y ) ->
       ( A ` T ) = ( iota s ( s : Y --> X /\
          A. x e. X A. y e. Y ( ( T ` x ) Q y ) = ( x P ( s ` y ) ) ) ) ) $=
      ( vt wcel cfv wceq ccphlo cnv wf w3a cv co wral copab wa cio ajfval sylan
      phnv fveq1d 3adant3 cvv cba fvexi fex mpan2 eqid feq1 fveq1 oveq1d eqeq1d
      2ralbidv 3anbi13d fvopab5 syl 3anass baib iotabidv eqtrd 3ad2ant3 ) GUARZ
      HUBRZIJFUCZUDFCSZFIJQUEZUCZJIKUEZUCZAUEZVSSZBUEZEUFZWCWEWASDUFZTZBJUGAIUG
      ZUDZQKUHZSZWBWCFSZWEEUFZWGTZBJUGAIUGZUIZKUJZVOVPVRWLTVQVOVPUIFCWKVOGUBRVP
      CWKTGUMABQCDEGHIJKLMNOPUKULUNUOVQVOWLWRTVPVQWLVQWBWPUDZKUJZWRVQFUPRZWLWTT
      VQIUPRXAIGUQLURIJUPFUSUTWJWSQKFWKUPWKVAVSFTZVTVQWIWPWBIJVSFVBXBWHWOABIJXB
      WFWNWGXBWDWMWEEWCVSFVCVDVEVFVGVHVIVQWSWQKWSVQWQVQWBWPVJVKVLVMVNVM $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Complex Banach spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CBan $.

  $( Extend class notation with the class of all complex Banach spaces. $)
  ccbn $a class CBan $.

  $( Define the class of all complex Banach spaces.  (Contributed by NM,
     5-Dec-2006.)  Use ~ df-bn instead.  (New usage is discouraged.) $)
  df-cbn $a |- CBan = { u e. NrmCVec |
    ( IndMet ` u ) e. ( CMet ` ( BaseSet ` u ) ) } $.

  ${
    $d u D $.  $d u U $.  $d u X $.
    iscbn.x $e |- X = ( BaseSet ` U ) $.
    iscbn.8 $e |- D = ( IndMet ` U ) $.
    $( A complex Banach space is a normed complex vector space with a complete
       induced metric.  (Contributed by NM, 5-Dec-2006.)  Use ~ isbn instead.
       (New usage is discouraged.) $)
    iscbn $p |- ( U e. CBan <-> ( U e. NrmCVec /\ D e. ( CMet ` X ) ) ) $=
      ( vu cv cims cfv cba ccmet wcel cnv ccbn wceq fveq2 eqtr4di fveq2d df-cbn
      eleq12d elrab2 ) FGZHIZUBJIZKIZLACKIZLFBMNUBBOZUCAUEUFUGUCBHIAUBBHPEQUGUD
      CKUGUDBJICUBBJPDQRTFSUA $.

    $( The induced metric on complex Banach space is complete.  (Contributed by
       NM, 8-Sep-2007.)  Use ~ bncmet (or preferably ~ bncms ) instead.
       (New usage is discouraged.) $)
    cbncms $p |- ( U e. CBan -> D e. ( CMet ` X ) ) $=
      ( ccbn wcel cnv ccmet cfv iscbn simprbi ) BFGBHGACIJGABCDEKL $.
  $}

  $( Every complex Banach space is a normed complex vector space.  (Contributed
     by NM, 17-Mar-2007.)  Use ~ bnnvc instead.  (New usage is discouraged.) $)
  bnnv $p |- ( U e. CBan -> U e. NrmCVec ) $=
    ( ccbn wcel cnv cims cfv cba ccmet eqid iscbn simplbi ) ABCADCAEFZAGFZHFCLA
    MMILIJK $.

  $( The class of all complex Banach spaces is a relation.  (Contributed by NM,
     17-Mar-2007.)  (New usage is discouraged.) $)
  bnrel $p |- Rel CBan $=
    ( vx ccbn cnv wss wrel cv bnnv ssriv nvrel relss mp2 ) BCDCEBEABCAFGHIBCJK
    $.

  ${
    bnsscmcl.x $e |- X = ( BaseSet ` U ) $.
    bnsscmcl.d $e |- D = ( IndMet ` U ) $.
    bnsscmcl.j $e |- J = ( MetOpen ` D ) $.
    bnsscmcl.h $e |- H = ( SubSp ` U ) $.
    bnsscmcl.y $e |- Y = ( BaseSet ` W ) $.
    $( A subspace of a Banach space is a Banach space iff it is closed in the
       norm-induced metric of the parent space.  (Contributed by NM,
       1-Feb-2008.)  (New usage is discouraged.) $)
    bnsscmcl $p |- ( ( U e. CBan /\ W e. H ) -> ( W e. CBan <->
                Y e. ( Clsd ` J ) ) ) $=
      ( ccbn wcel cfv ccmet cnv wb sylan syl cims cxp cres ccld bnnv sspnv eqid
      wa iscbn baib wceq sspims eleq1d cbncms adantr cmetss 3bitrd ) BMNZECNZUH
      ZEMNZEUAOZGPOZNZAGGUBUCZVCNZGDUDONZUTEQNZVAVDRURBQNZUSVHBUEZBCEKUFSVAVHVD
      VBEGLVBUGZUIUJTUTVBVEVCURVIUSVBVEUKVJVBABCEGLIVKKULSUMUTAFPONZVFVGRURVLUS
      ABFHIUNUOADFGJUPTUQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Examples of complex Banach spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    cnbn.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The set of complex numbers is a complex Banach space.  (Contributed by
       Steve Rodriguez, 4-Jan-2007.)  (New usage is discouraged.) $)
    cnbn $p |- U e. CBan $=
      ( ccbn wcel cnv caddc cmul cop cabs cims cfv cc ccmet cnnv cmin ccom eqid
      cnims eqcomi cncmet cnnvba fveq2i iscbn mpbir2an ) ACDAEDFGHIHZJKZLMKDABN
      UFIOPZUFUGUEUEQUGQRSTUFALABUAAJKUFAUEJBUBSUCUD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Uniform Boundedness Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d c k n r x y z A $.  $d c k n r t x z D $.  $d k n t x y J $.
    $d d k t x z K $.  $d c d k m n r t u x y z N $.  $d t z P $.
    $d c k n r t x y ph $.  $d d t x z R $.  $d c d k m n r t u x y z T $.
    $d c d n r t x y z U $.  $d c d n r t x y W $.  $d c d k m n r t x y z X $.
    ubth.1 $e |- X = ( BaseSet ` U ) $.
    ubth.2 $e |- N = ( normCV ` W ) $.
    ${
      ubthlem.3 $e |- D = ( IndMet ` U ) $.
      ubthlem.4 $e |- J = ( MetOpen ` D ) $.
      ubthlem.5 $e |- U e. CBan $.
      ubthlem.6 $e |- W e. NrmCVec $.
      ubthlem.7 $e |- ( ph -> T C_ ( U BLnOp W ) ) $.
      ${
        ubthlem.8 $e |- ( ph -> A. x e. X E. c e. RR A. t e. T
                                ( N ` ( t ` x ) ) <_ c ) $.
        ubthlem.9 $e |- A = ( k e. NN |-> { z e. X |
                              A. t e. T ( N ` ( t ` z ) ) <_ k } ) $.
        $( Lemma for ~ ubth .  The function ` A ` exhibits a countable
           collection of sets that are closed, being the inverse image under
           ` t ` of the closed ball of radius ` k ` , and by assumption they
           cover ` X ` .  Thus, by the Baire Category theorem ~ bcth2 , for
           some ` n ` the set ` A `` n ` has an interior, meaning that there is
           a closed ball ` { z e. X | ( y D z ) <_ r } ` in the set.
           (Contributed by Mario Carneiro, 11-Jan-2014.)
           (New usage is discouraged.) $)
        ubthlem1 $p |- ( ph -> E. n e. NN E. y e. X E. r e. RR+
                        { z e. X | ( y D z ) <_ r } C_ ( A ` n ) ) $=
          ( cv cfv cnt c0 wne cn wrex co cle wbr crab wss crp ccld wf cuni wceq
          wral wcel wa rzal ralrimivw rabid2 sylibr eqcomd eleq1d iinrab adantl
          crn ciin ccnv cba cima cims cmopn cblo sselda ccn eqid ccbn cnv ax-mp
          id bnnv blocn2 ctopon wb cxmet ccmet cmet cbncms cmetmet metxmet mp2b
          mopntopon imsxmet iscncl mp2an syl simpld adantlr ffvelrnda biantrurd
          sylib fveq2 breq1d elrab bitr4di pm5.32da 2fveq3 a1i wfn ffn cxr cn0v
          cr nvzcl mp3an12 clt simpr syl2an adantr sylancr ralimdva cvv elssuni
          wi sseld sylan rexlimdva mpd wex sstr2 ex elpreima 3syl 3bitr4d eqrdv
          imaeq2 simprd nnre ad2antlr rexrd nvnd xmetsym eqtr4d rabbiia rspcdva
          mpan eqeltrd ralrimiva iincld syl2anr eqeltrrd ctop mopntop toponunii
          blcld topcld pm2.61ne fmptd frnd cldss2 sstrdi sspwuni arch ltle impr
          cpw an32s nvcl simpllr simplrl letr syl3anc mpan2d fvexi rabex fvmpt2
          expr mpan2 eleq2d ralbidv bitrdi bicomd sylan9bbr ffnd fnfvelrn syl6d
          sylbird dfss3 eqssd ne0i mpanl12 syl2anc ffvelrn sselid elpwid ntrss3
          bcth2 cbl ntropn mopni2 mp3an1 sseqtrrdi cdiv ntrss2 syl5com ad2antrr
          c2 w3a jctil rphalfcl rpxrd rpxr rphalflt 3jca blsscls2 breq2 rabbidv
          sseq1d rspcev 3syld syldan jcad eximdv n0 df-rex 3imtr4g reximdva ) A
          KUGZFUHZLUIUHUHZUJUKZKULUMZCUGZDUGZGUNZPUGZUOUPZDOUQZUYRURZPUSUMZCOUM
          ZKULUMAULLUTUHZFVAZFVOZVBZOVCZVUAAJULVUCEUGZUHMUHZJUGZUOUPZEHVDZDOUQZ
          VUKFAVURULVEZVFZVVAVUKVEOVUKVEZHUJHUJVCZVVAOVUKVVEOVVAVVEVUTDOVDOVVAV
          CVVEVUTDOVUSEHVGVHVUTDOVIVJVKVLVVCHUJUKZVFEHVUSDOUQZVPZVVAVUKVVFVVHVV
          AVCVVCVUSEDHOVMVNVVFVVFVVGVUKVEZEHVDVVHVUKVEVVCVVFWIVVCVVIEHVVCVUPHVE
          ZVFZVVGVUPVQZVUBMUHZVURUOUPZCNVRUHZUQZVSZVUKVVKBVVGVVQVVKBUGZOVEZVVRV
          UPUHZMUHZVURUOUPZVFZVVSVVTVVPVEZVFZVVRVVGVEZVVRVVQVEZVVKVVSVWBVWDVVKV
          VSVFZVWBVVTVVOVEZVWBVFVWDVWHVWIVWBVVKOVVOVVRVUPAVVJOVVOVUPVAZVVBAVVJV
          FZVWJVVLVVRVSZVUKVEZBNVTUHZWAUHZUTUHZVDZVWKVUPINWBUNZVEZVWJVWQVFZAHVW
          RVUPUDWCVWSVUPLVWOWDUNVEZVWTVWRGVWNVUPILVWONTVWNWEZUAVWOWEZVWRWEIWFVE
          ZIWGVEZUBIWJWHZUCWKLOWLUHVEZVWOVVOWLUHVEZVXAVWTWMGOWNUHVEZVXGGOWOUHVE
          ZGOWPUHVEVXIVXDVXJUBGIORTWQWHZGOWRGOWSWTZGLOUAXAWHZVWNVVOWNUHVEZVXHNW
          GVEZVXNUCVWNNVVOVVOWEZVXBXBWHZVWNVWOVVOVXCXAWHBVUPLVWOOVVOXCXDXJXEZXF
          ZXGZXHXIVVNVWBCVVTVVOVUBVVTVCVVMVWAVURUOVUBVVTMXKXLXMXNXOVWFVWCWMVVKV
          USVWBDVVROVUCVVRVCZVUQVWAVURUOVUCVVRMVUPXPXLZXMXQVVKVWJVUPOXRVWGVWEWM
          VXTOVVOVUPXSOVVRVVPVUPUUAUUBUUCUUDVVKVWMVVQVUKVEBVWPVVPVVRVVPVCVWLVVQ
          VUKVVRVVPVVLUUEVLAVVJVWQVVBVWKVWJVWQVXRUUFXGVVKVURXTVEZVVPVWPVEZVVKVU
          RVVBVURYBVEZAVVJVURUUGZUUHUUIVXNNYAUHZVVOVEZVYCVYDVXQVXOVYHUCNVVOVYGV
          XPVYGWEZYCWHZCVWNVYGVURVVPVWOVVOVXCVVNVYGVUBVWNUNZVURUOUPCVVOVUBVVOVE
          ZVVMVYKVURUOVYLVVMVUBVYGVWNUNZVYKVXOVYLVVMVYMVCUCVUBVWNNMVVOVYGVXPVYI
          SVXBUUJUUOVXNVYHVYLVYKVYMVCVXQVYJVYGVUBVWNVVOUUKYDUULXLUUMUVDYDXEUUNU
          UPUUQEHVVGLUURUUSUUTVVDVVCLUVAVEZVVDVXIVYNVXLGLOUAUVBWHZLOOLVXMUVCZUV
          EWHXQUVFUFUVGZAVUNOAVUMOUVOZURVUNOURAVUMVUKVYRAULVUKFVYQUVHLOVYPUVIZU
          VJVUMOUVKXJAVVRVUNVEZBOVDZOVUNURAVWAQUGZUOUPZEHVDZQYBUMZBOVDWUAUEAWUE
          VYTBOAVVSVFZWUDVYTQYBWUFWUBYBVEZVFZWUBVURYEUPZJULUMZWUDVYTYMZWUGWUJWU
          FWUBJUVLVNWUHWUIWUKJULWUHVVBVFWUIWUDVWBEHVDZVYTWUHVVBWUIWUDWULYMWUHVV
          BWUIVFZVFZWUCVWBEHWUNVVJVFZWUCWUBVURUOUPZVWBWUNWUPVVJWUHVVBWUIWUPWUHW
          UGVYEWUIWUPYMVVBWUFWUGYFVYFWUBVURUVMYGUVNYHWUOVWAYBVEZWUGVYEWUCWUPVFV
          WBYMWUHVVJWUQWUMWUFVVJWUQWUGWUFVVJVFVXOVWIWUQUCAVVJVVSVWIVWKOVVOVVRVU
          PVXSXHUVPVVTNMVVOVXPSUVQYIXGXGWUFWUGWUMVVJUVRWUOVVBVYEWUHVVBWUIVVJUVS
          VYFXEVWAWUBVURUVTUWAUWBYJUWFWUFVVBWULVYTYMWUGWUFVVBVFWULVVRVURFUHZVEZ
          VYTVVBWUSVVSWULVFZWUFWULVVBWUSVVRVVAVEWUTVVBWURVVAVVRVVBVVAYKVEWURVVA
          VCVUTDOOIVRRUWCUWDJULVVAYKFUFUWEUWGUWHVUTWULDVVROVYAVUSVWBEHVYBUWIXMU
          WJWUFWULWUTWUFVVSWULAVVSYFXIUWKUWLWUFFULXRZVVBWUSVYTYMAWVAVVSAULVUKFV
          YQUWMYHWVAVVBVFZWURVUNVVRWVBWURVUMVEWURVUNURULVURFUWNWURVUMYLXEYNYOUW
          PXGUWOYPYQYPYJYQBOVUNUWQVJUWRVXJOUJUKZVULVUOVFVUAVXKVXEIYAUHZOVEWVCVX
          FIOWVDRWVDWEYCOWVDUWSWTGKLFOUAUXFUWTUXAAUYTVUJKULAUYQULVEZVFZVUBUYSVE
          ZCYRVUBOVEZVUIVFZCYRUYTVUJWVFWVGWVICWVFWVGWVHVUIWVFUYSOVUBWVFVYNUYROU
          RZUYSOURZVYOAVULWVEWVJVYQVULWVEVFZUYROWVLVUKVYRUYRVYSULVUKUYQFUXBUXCU
          XDYOZUYRLOVYPUXEYIYNWVFWVGVUIWVFWVGVFVUBVVRGUXGUHUNZUYSURZBUSUMZVUIWV
          FUYSLVEZWVGWVPWVFVYNWVJWVQVYOWVMUYRLOVYPUXHYIZVXIWVQWVGWVPVXLBUYSGVUB
          LOUAUXIUXJYOWVFWVGWVHWVPVUIYMWVFUYSOVUBWVFWVQWVKWVRWVQUYSLVBOUYSLYLVY
          PUXKXEWCWVFWVHVFZWVOVUIBUSWVSVVRUSVEZVFZWVOWVNUYRURZVUDVVRUXPUXLUNZUO
          UPZDOUQZUYRURZVUIWVFWVOWWBYMWVHWVTWVFUYSUYRURZWVOWWBWVFVYNWVJWWGVYOWV
          MUYRLOVYPUXMYIWVNUYSUYRYSUXNUXOWWAWWEWVNURZWWBWWFYMWVSVXIWVHVFWWCXTVE
          ZVVRXTVEZWWCVVRYEUPZUXQWWHWVTWVSWVHVXIWVFWVHYFVXLUXRWVTWWIWWJWWKWVTWW
          CVVRUXSZUXTVVRUYAVVRUYBUYCDGVUBWWCWWEVVRLOUAWWEWEUYDYGWWEWVNUYRYSXEWW
          AWWCUSVEZWWFVUIYMWVTWWMWVSWWLVNWWMWWFVUIVUHWWFPWWCUSVUEWWCVCZVUGWWEUY
          RWWNVUFWWDDOVUEWWCVUDUOUYEUYFUYGUYHYTXEUYIYPUYJYQYTUYKUYLCUYSUYMVUICO
          UYNUYOUYPYQ $.

        ubthlem.10 $e |- ( ph -> K e. NN ) $.
        ubthlem.11 $e |- ( ph -> P e. X ) $.
        ubthlem.12 $e |- ( ph -> R e. RR+ ) $.
        ubthlem.13 $e |- ( ph -> { z e. X | ( P D z ) <_ R } C_ ( A ` K ) ) $.
        $( Lemma for ~ ubth .  Given that there is a closed ball
           ` B ( P , R ) ` in ` A `` K ` , for any ` x e. B ( 0 , 1 ) ` , we
           have ` P + R x. x e. B ( P , R ) ` and ` P e. B ( P , R ) ` , so
           both of these have ` norm ( t ( z ) ) <_ K ` and so ` norm ( t ( x `
           ` ) ) <_ ( norm ( t ( P ) ) + norm ( t ( P + R x. x ) ) ) / R <_ ( `
           ` K + K ) / R ` , which is our desired uniform bound.  (Contributed
           by Mario Carneiro, 11-Jan-2014.)  (New usage is discouraged.) $)
        ubthlem2 $p |- ( ph -> E. d e. RR A. t e. T
                         ( ( U normOpOLD W ) ` t ) <_ d ) $=
          ( caddc co cdiv cr wcel cv cnmoo cfv cle wbr wral wrex nnrpd rpaddcld
          rpdivcld rpred wa cnmcv c1 wi cns cpv wceq oveq2 breq1d eleq1 imbi12d
          crab wss rabss sylib ad2antrr cnv ccbn bnnv ax-mp a1i crp rpcnd simpr
          cc eqid nvscl syl3anc nvgcl rspcdva cmul cnsb cxmet ccmet cmet cbncms
          cmetmet metxmet mp2b xmetsym imsdval nvpncan2 fveq2d 3eqtrd cc0 eqtrd
          rprege0d nvsge0 mulid1d eqcomd breq12d nvcl mpan adantl lemul2d wb cn
          1red ralbidv cba syl 2fveq3 elrab sylancr adantr ccld ctopon ffvelrnd
          mopntopon syl32anc syld ralrimiva syl2anc bitr4d breq2 rabbidv eleq2d
          fvexi rabex fvmpt bitrdi 3imtr3d com12 ad2antlr xmet0 rpge0d sylanbrc
          eqbrtrd sseldd eleqtrd simprd r19.21bi wf ccnv cima cims cmopn sselda
          rsp cblo ccn blocn2 imsxmet iscncl mp2an simpld nnred le2add syl22anc
          mpan2d clno mp3an12 lnosub lnomul 3eqtr3d ffvelrnda eqbrtrrd remulcld
          bloln nvmtri readdcld letr mpand lemuldiv2d sylibd adantld cxr nmoubi
          rpxrd mpbird brralrspcev ) AMMULUMZHUNUMZUOUPDUQZJOURUMZUSZUWTUTVAZDI
          VBUXCRUQUTVADIVBRUOVCAUWTAUWSHAMMAMUHVDZUXEVEZUJVFZVGAUXDDIAUXAIUPZVH
          ZUXDBUQZJVIUSZUSZVJUTVAZUXJUXAUSZNUSZUWTUTVAZVKZBPVBZUXIUXQBPUXIUXJPU
          PZVHZUXMGHUXJJVLUSZUMZJVMUSZUMZPUPZUYDUXAUSZNUSZMUTVAZDIVBZVHZUXPUXTG
          UYDFUMZHUTVAZUYDMEUSZUPZUXMUYJUXTGCUQZFUMZHUTVAZUYOUYMUPZVKZUYLUYNVKC
          PUYDUYOUYDVNZUYQUYLUYRUYNUYTUYPUYKHUTUYOUYDGFVOVPUYOUYDUYMVQVRAUYSCPV
          BZUXHUXSAUYQCPVSZUYMVTVUAUKUYQCPUYMWAWBWCUXTJWDUPZGPUPZUYBPUPZUYEVUCU
          XTJWEUPZVUCUCJWFWGZWHZAVUDUXHUXSUIWCZUXTVUCHWLUPZUXSVUEVUHUXTHAHWIUPU
          XHUXSUJWCZWJZUXIUXSWKZHUXJUYAJPSUYAWMZWNWOZGUYBJUYCPSUYCWMZWPWOZWQUXT
          UYLHUXLWRUMZHVJWRUMZUTVAUXMUXTUYKVURHVUSUTUXTUYKUYBUXKUSZVURUXTUYKUYD
          GFUMZUYDGJWSUSZUMZUXKUSZVUTUXTFPWTUSUPZVUDUYEUYKVVAVNVVEUXTFPXAUSUPZF
          PXBUSUPVVEVUFVVFUCFJPSUAXCWGFPXDFPXEXFZWHVUIVUQGUYDFPXGWOUXTVUCUYEVUD
          VVAVVDVNVUHVUQVUIUYDGFJVVBUXKPSVVBWMZUXKWMZUAXHWOUXTVVCUYBUXKUXTVUCVU
          DVUEVVCUYBVNVUHVUIVUOGUYBJUYCVVBPSVUPVVHXIWOZXJXKUXTVUCHUOUPXLHUTVAVH
          ZUXSVUTVURVNVUHUXTHVUKXNZVUMHUXJUYAJUXKPSVUNVVIXOWOXMUXTVUSHUXTHVULXP
          XQXRUXTUXLVJHUXSUXLUOUPZUXIVUCUXSVVMVUGUXJJUXKPSVVIXSXTYAUXTYEVUKYBUU
          AAUYNUYJYCUXHUXSAUYNUYDUYOUXAUSNUSZMUTVAZDIVBZCPVSZUPUYJAUYMVVQUYDAMY
          DUPUYMVVQVNUHKMVVNKUQZUTVAZDIVBZCPVSVVQYDEVVRMVNZVVTVVPCPVWAVVSVVODIV
          VRMVVNUTUUBYFUUCUGVVPCPPJYGSUUEUUFUUGYHZUUDVVPUYICUYDPUYTVVOUYHDIUYTV
          VNUYGMUTUYOUYDNUXAYIVPYFYJUUHWCUUIUXTUYIUXPUYEUXTUYIUYHUXPUXHUYIUYHVK
          AUXSUYIUXHUYHUYHDIUVFUUJUUKUXTUYHHUXOWRUMZUWSUTVAZUXPUXTUYHUYGGUXAUSZ
          NUSZULUMZUWSUTVAZVWDUXTUYHVWFMUTVAZVWHUXIVWIUXSAVWIDIAVUDVWIDIVBZAGVV
          QUPVUDVWJVHAGUYMVVQAVUBUYMGUKAVUDGGFUMZHUTVAZGVUBUPUIAVWKXLHUTAVVEVUD
          VWKXLVNVVGUIGFPUULYKAHUJUUMUUOUYQVWLCGPUYOGVNZUYPVWKHUTUYOGGFVOVPYJUU
          NUUPVWBUUQVVPVWJCGPVWMVVOVWIDIVWMVVNVWFMUTUYOGNUXAYIVPYFYJWBUURUUSYLU
          XTUYGUOUPZVWFUOUPZMUOUPZVWPUYHVWIVHVWHVKUXTOWDUPZUYFOYGUSZUPZVWNUDUXT
          PVWRUYDUXAUXIPVWRUXAUUTZUXSUXIVWTUXAUVAUXJUVBLYMUSUPBOUVCUSZUVDUSZYMU
          SVBZUXIUXAJOUVGUMZUPZVWTVXCVHZAIVXDUXAUEUVEZVXEUXALVXBUVHUMUPZVXFVXDF
          VXAUXAJLVXBOUAVXAWMZUBVXBWMZVXDWMZVUGUDUVILPYNUSUPZVXBVWRYNUSUPZVXHVX
          FYCVVEVXLVVGFLPUBYPWGVWQVXAVWRWTUSUPVXMUDVXAOVWRVWRWMZVXIUVJVXAVXBVWR
          VXJYPXFBUXALVXBPVWRUVKUVLWBYHUVMZYLZVUQYOZUYFONVWRVXNTXSYKZUXTVWQVWEV
          WRUPZVWOUDUXTPVWRGUXAVXPVUIYOZVWEONVWRVXNTXSYKZAVWPUXHUXSAMUHUVNWCZVY
          BUYGVWFMMUVOUVPUVQUXTVWCVWGUTVAZVWHVWDUXTUYFVWEOWSUSZUMZNUSZVWCVWGUTU
          XTVYFHUXNOVLUSZUMZNUSZVWCUXTVYEVYHNUXTVVCUXAUSZUYBUXAUSZVYEVYHUXTVVCU
          YBUXAVVJXJUXTVUCVWQUXAJOUVRUMZUPZUYEVUDVYJVYEVNVUHVWQUXTUDWHZUXIVYMUX
          SUXIVXEVYMVXGVUCVWQVXEVYMVUGUDVXDUXAJVYLOVYLWMZVXKUWFUVSYHYLZVUQVUIUY
          DGUXAJVYLVVBVYDOPSVVHVYDWMZVYOUVTYQUXTVUCVWQVYMVUJUXSVYKVYHVNVUHVYNVY
          PVULVUMHUXJUYAVYGUXAJVYLOPSVUNVYGWMZVYOUWAYQUWBXJUXTVWQVVKUXNVWRUPZVY
          IVWCVNVYNVVLUXIPVWRUXJUXAVXOUWCZHUXNVYGONVWRVXNVYRTXOWOXMUXTVWQVWSVXS
          VYFVWGUTVAVYNVXQVXTUYFVWEOVYDNVWRVXNVYQTUWGWOUWDUXTVWCUOUPVWGUOUPUWSU
          OUPZVYCVWHVHVWDVKUXTHUXOUXTHVUKVGUXTVWQVYSUXOUOUPUDVYTUXNONVWRVXNTXSY
          KZUWEUXTUYGVWFVXRVYAUWHAWUAUXHUXSAUWSUXFVGWCZVWCVWGUWSUWIWOUWJYRUXTUX
          OUWSHWUBWUCVUKUWKUWLYRUWMYRYSUXIVWTUWTUWNUPZUXDUXRYCVXOAWUDUXHAUWTUXG
          UWPYLBUWTUXAJUXKNUXBOPVWRSVXNVVITUXBWMVUGUDUWOYTUWQYSRDUXCUWTUTUOIUWR
          YT $.
      $}

      $d d ph $.
      $( Lemma for ~ ubth .  Prove the reverse implication, using ~ nmblolbi .
         (Contributed by Mario Carneiro, 11-Jan-2014.)
         (New usage is discouraged.) $)
      ubthlem3 $p |- ( ph ->
                ( A. x e. X E. c e. RR A. t e. T ( N ` ( t ` x ) ) <_ c <->
                  E. d e. RR A. t e. T ( ( U normOpOLD W ) ` t ) <_ d ) ) $=
        ( cle vz vu vy vr vn vm vk cv cfv wbr wral cr wrex cnmoo co wceq fveq2d
        fveq1 breq1d cbvralvw ralbidv syl5bb cbvrexvw 2fveq3 rexralbidv wa crab
        breq2 cn cmpt wss crp adantr simpr sylib cbvrabv rabbidv syl5eq cbvmptv
        cblo ubthlem1 ad3antrrr ad2antrr simplrl simplrr simprl simprr ubthlem2
        wcel expr rexlimdva rexlimdvva mpd ex syl5bir cnmcv cmul cnv ccbn ax-mp
        bnnv eqid nvcl mpan remulcl syl2an cba wf adantlr ad2ant2r blof mp3an12
        sselda syl simplr ffvelrnd cxr cmnf clt nmoxr simpllr nmogtmnf syl22anc
        ad2antlr syl2anc nmblolbi cc0 nvge0 jca lemul1a syl31anc letrd ralimdva
        xrre brralrspcev syl6an ralrimdva impbid ) ABUHZCUHZUIZHUIZKUHZTUJZCEUK
        KULUMZBJUKZYTFIUNUOZUIZLUHZTUJZCEUKZLULUMZUUFUAUHZUBUHZUIZHUIZUUITUJZUB
        EUKZLULUMZUAJUKZAUULUUSUUEUABJUUSUUMYTUIZHUIZUUCTUJZCEUKZKULUMUUMYSUPZU
        UEUURUVDLKULUURUVBUUITUJZCEUKUUIUUCUPZUVDUUQUVFUBCEUUNYTUPZUUPUVBUUITUV
        HUUOUVAHUUMUUNYTURUQUSUTUVGUVFUVCCEUUIUUCUVBTVHVAVBVCUVEUVCUUDKCULEUVEU
        VBUUBUUCTUUMYSHYTVDUSVEVBUTZAUUTUULAUUTVFZUCUHZUUMDUOUDUHZTUJUAJVGUEUHZ
        UFVIUUIUUNUIZHUIZUFUHZTUJZUBEUKZLJVGZVJZUIVKZUDVLUMZUCJUMUEVIUMUULUVJBU
        CUACUVTDEFUGUEGHIJUDKMNOPQRAEFIVTUOZVKZUUTSVMUVJUUTUUFAUUTVNUVIVOZUFUGV
        IUVSUVBUGUHZTUJZCEUKZUAJVGZUVPUWFUPZUVSUVBUVPTUJZCEUKZUAJVGUWIUVRUWLLUA
        JUVRUUIYTUIZHUIZUVPTUJZCEUKUUIUUMUPZUWLUVQUWOUBCEUVHUVOUWNUVPTUVHUVNUWM
        HUUIUUNYTURUQUSUTUWPUWOUWKCEUWPUWNUVBUVPTUUIUUMHYTVDUSVAVBVPUWJUWLUWHUA
        JUWJUWKUWGCEUVPUWFUVBTVHVAVQVRVSZWAUVJUWBUULUEUCVIJUVJUVMVIWIZUVKJWIZVF
        ZVFZUWAUULUDVLUXAUVLVLWIZUWAUULUXAUXBUWAVFZVFBUACUVTDUVKUVLEFUGGUVMHIJK
        LMNOPQRAUWDUUTUWTUXCSWBUVJUUFUWTUXCUWEWCUWQUVJUWRUWSUXCWDUVJUWRUWSUXCWE
        UXAUXBUWAWFUXAUXBUWAWGWHWJWKWLWMWNWOAUUKUUFLULAUUIULWIZVFZUUKUUEBJUXEYS
        JWIZVFZUUIYSFWPUIZUIZWQUOZULWIZUUKUUBUXJTUJZCEUKUUEUXEUXDUXIULWIZUXKUXF
        AUXDVNFWRWIZUXFUXMFWSWIUXNQFXAWTZYSFUXHJMUXHXBZXCXDZUUIUXIXEXFZUXGUUJUX
        LCEUXGYTEWIZUUJUXLUXGUXSUUJVFZVFZUUBUUHUXIWQUOZUXJUYAUUAIXGUIZWIZUUBULW
        IZUYAJUYCYSYTUYAYTUWCWIZJUYCYTXHZUXEUXSUYFUXFUUJAUXSUYFUXDAEUWCYTSXMXIX
        JZUXNIWRWIZUYFUYGUXORUWCYTFIJUYCMUYCXBZUWCXBZXKXLXNZUXEUXFUXTXOZXPUYIUY
        DUYERUUAIHUYCUYJNXCXDXNUYAUUHULWIZUXMUYBULWIUYAUUHXQWIZUXDXRUUHXSUJZUUJ
        UYNUYAUYGUYOUYLUXNUYIUYGUYOUXORYTFUUGIJUYCMUYJUUGXBZXTXLXNAUXDUXFUXTYAZ
        UYAUYGUYPUYLUXNUYIUYGUYPUXORYTFUUGIJUYCMUYJUYQYBXLXNUXGUXSUUJWGZUUHUUIY
        NYCZUXFUXMUXEUXTUXQYDUUHUXIXEYEUXGUXKUXTUXRVMUYAUYFUXFUUBUYBTUJUYHUYMYS
        UWCYTFUXHHUUGIJMUXPNUYQUYKUXORYFYEUYAUYNUXDUXMYGUXITUJZVFZUUJUYBUXJTUJU
        YTUYRUXFVUBUXEUXTUXFUXMVUAUXQUXNUXFVUAUXOYSFUXHJMUXPYHXDYIYDUYSUUHUUIUX
        IYJYKYLWJYMKCUUBUXJTULEYOYPYQWKYR $.
    $}

    ubth.3 $e |- M = ( U normOpOLD W ) $.
    $( Uniform Boundedness Theorem, also called the Banach-Steinhaus Theorem.
       Let ` T ` be a collection of bounded linear operators on a Banach space.
       If, for every vector ` x ` , the norms of the operators' values are
       bounded, then the operators' norms are also bounded.  Theorem 4.7-3 of
       [Kreyszig] p. 249.  See also
       ~ http://en.wikipedia.org/wiki/Uniform_boundedness_principle .
       (Contributed by NM, 7-Nov-2007.)  (Proof shortened by Mario Carneiro,
       11-Jan-2014.)  (New usage is discouraged.) $)
    ubth $p |- ( ( U e. CBan /\ W e. NrmCVec /\ T C_ ( U BLnOp W ) ) ->
                 ( A. x e. X E. c e. RR A. t e. T ( N ` ( t ` x ) ) <_ c <->
                   E. d e. RR A. t e. T ( M ` t ) <_ d ) ) $=
      ( cblo co cfv cle wbr wral cr ccbn wcel cnv wss cv wrex wb caddc cmul cop
      wi cabs cif cba cnmoo cnmcv wceq oveq1 sseq2d fveq2 syl5eq raleqdv fveq1d
      breq1d rexralbidv bibi12d imbi12d oveq2 ralbidv cims cmopn elimel elimnvu
      eqid cnbn id ubthlem3 dedth2h 3impia ) DUAUBZGUCUBZCDGNOZUDZAUEBUEZPZFPZI
      UEZQRZBCSITUFZAHSZWDEPZJUEZQRZBCSJTUFZUGZVTWAWCWOUKCVTDUHUIUJULUJZUMZGNOZ
      UDZWIAWQUNPZSZWDWQGUOOZPZWLQRZBCSJTUFZUGZUKCWQWAGWPUMZNOZUDZWEXGUPPZPZWGQ
      RZBCSITUFZAWTSZWDWQXGUOOZPZWLQRZBCSJTUFZUGZUKDGWPWPDWQUQZWCWSWOXFXTWBWRCD
      WQGNURUSXTWJXAWNXEXTWIAHWTXTHDUNPWTKDWQUNUTVAVBXTWMXDJBTCXTWKXCWLQXTWDEXB
      XTEDGUOOXBMDWQGUOURVAVCVDVEVFVGGXGUQZWSXIXFXSYAWRXHCGXGWQNVHUSYAXAXNXEXRY
      AWIXMAWTYAWHXLIBTCYAWFXKWGQYAWEFXJYAFGUPPXJLGXGUPUTVAVCVDVEVIYAXDXQJBTCYA
      XCXPWLQYAWDXBXOGXGWQUOVHVCVDVEVFVGXIABWQVJPZCWQYBVKPZXJXGWTIJWTVNXJVNYBVN
      YCVNDWPUAWPWPVNVOVLGVMXIVPVQVRVS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Minimizing Vector Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d j n x y F $.  $d k n w x y J $.  $d y K $.  $d y L $.  $d f j w x y M $.
    $d f j w x y N $.  $d f j k n w x y ph $.  $d w x R $.  $d f k n w x y S $.
    $d f j k n w x y A $.  $d f j k n w x y D $.  $d w x y U $.  $d w x y W $.
    $d n T $.  $d j k n w x X $.  $d f j k n w x y Y $.
    minveco.x $e |- X = ( BaseSet ` U ) $.
    minveco.m $e |- M = ( -v ` U ) $.
    minveco.n $e |- N = ( normCV ` U ) $.
    minveco.y $e |- Y = ( BaseSet ` W ) $.
    minveco.u $e |- ( ph -> U e. CPreHilOLD ) $.
    minveco.w $e |- ( ph -> W e. ( ( SubSp ` U ) i^i CBan ) ) $.
    minveco.a $e |- ( ph -> A e. X ) $.
    ${
      minveco.d $e |- D = ( IndMet ` U ) $.
      minveco.j $e |- J = ( MetOpen ` D ) $.
      minveco.r $e |- R = ran ( y e. Y |-> ( N ` ( A M y ) ) ) $.
      $( Lemma for ~ minveco .  The set of all distances from points of ` Y `
         to ` A ` are a nonempty set of nonnegative reals.  (Contributed by
         Mario Carneiro, 8-May-2014.)  (New usage is discouraged.) $)
      minvecolem1 $p |- ( ph ->
                         ( R C_ RR /\ R =/= (/) /\ A. w e. R 0 <_ w ) ) $=
        ( cr wss c0 wne cc0 cv cle wbr wral co cfv cmpt crn wcel wa ccphlo phnv
        cnv syl adantr css ccbn cin elin sylib simpld eqid sspba syl2anc sselda
        nvmcl syl3anc nvcl fmpttd frnd eqsstrid cdm cn0v simprd bnnv nvzcl 3syl
        fvex dmmpti eleqtrrdi ne0d wceq dm0rn0 eqeq1i necon3bii nvge0 ralrimiva
        bitr4i cvv wb rgenw breq2 ralrnmptw ax-mp sylibr raleqi 3jca ) AFUDUEFU
        FUGZUHCUIZUJUKZCFULZAFBMDBUIZIUMZJUNZUOZUPZUDUCAMUDXMABMXLUDAXJMUQZURZG
        VAUQZXKLUQZXLUDUQAXQXOAGUSUQXQRGUTVBZVCZXPXQDLUQZXJLUQXRXTAYAXOTVCAMLXJ
        AXQKGVDUNZUQZMLUEXSAYCKVEUQZAKYBVEVFUQYCYDURSKYBVEVGVHZVIGYBKLMNQYBVJVK
        VLVMDXJGILNOVNVOZXKGJLNPVPVLVQVRVSAXMVTZUFUGXFAYGKWAUNZAYHMYGAYDKVAUQYH
        MUQAYCYDYEWBKWCKMYHQYHVJWDWEBMXLXMXKJWFZXMVJZWGWHWIYGUFFUFYGUFWJXNUFWJF
        UFWJXMWKFXNUFUCWLWPWMVHAXHCXNULZXIAUHXLUJUKZBMULZYKAYLBMXPXQXRYLXTYFXKG
        JLNPWNVLWOXLWQUQZBMULYKYMWRYNBMYIWSXHYLBCMXLXMWQYJXGXLUHUJWTXAXBXCXHCFX
        NUCXDXCXE $.

      minveco.s $e |- S = inf ( R , RR , < ) $.
      ${
        minvecolem2.1 $e |- ( ph -> B e. RR ) $.
        minvecolem2.2 $e |- ( ph -> 0 <_ B ) $.
        minvecolem2.3 $e |- ( ph -> K e. Y ) $.
        minvecolem2.4 $e |- ( ph -> L e. Y ) $.
        minvecolem2.5 $e |- ( ph -> ( ( A D K ) ^ 2 ) <_ ( ( S ^ 2 ) + B ) ) $.
        minvecolem2.6 $e |- ( ph -> ( ( A D L ) ^ 2 ) <_ ( ( S ^ 2 ) + B ) ) $.
        $( Lemma for ~ minveco .  Any two points ` K ` and ` L ` in ` Y ` are
           close to each other if they are close to the infimum of distance to
           ` A ` .  (Contributed by Mario Carneiro, 9-May-2014.)  (Revised by
           AV, 4-Oct-2020.)  (New usage is discouraged.) $)
        minvecolem2 $p |- ( ph -> ( ( K D L ) ^ 2 ) <_ ( 4 x. B ) ) $=
          ( vx vw co c2 cexp c4 cmul cle wbr caddc c1 cdiv cpv cfv cns wcel 4re
          cr clt cinf wss c0 wne cv wral wrex cc0 minvecolem1 simp1d simp2d 0re
          simp3d breq1 ralbidv sylancr infrecl syl3anc eqeltrid resqcld remulcl
          wceq rspcev cmet cnv ccphlo phnv syl imsmet css ccbn cin inss1 sselid
          eqid sspba syl2anc sseldd metcl readdcld ax-1cn halfcl syl22anc nvgcl
          cc mp1i eqeltrrd nvmcl wb mpbird fveq2d wa pm3.2i lemul2 mp3an3 mpbid
          a1i recnd 2re 2cn oveq1i eqtrdi eqtr3d oveq12d oveq1d imsdval 3eqtr4d
          syl13anc sspgval sspnv sspsval nvcl infregelb syl31anc breqtrrdi cmpt
          nvscl oveq2 rspceeqv sylancl fvex elrnmpti eleqtrrdi infrelb eqbrtrid
          crn sylibr le2sq2 4pos leadd1dd le2addd 2timesd breqtrrd phpar2 sqmul
          2pos sq2 cabs nvs 0le2 absid mp2an nvmdi nv2 2ne0 recidi nvsid syl5eq
          nvsass nvaddsub4 syl122anc 3eqtr2d metsym 2t2e4 mulassd eqtr3id letrd
          nvnnncan1 oveq2d 3brtr4d 4cn adddid breqtrd leadd2d ) AJKEUPZUQURUPZU
          SDUTUPZVAVBUSGUQURUPZUTUPZUWRVCUPZUXAUWSVCUPZVAVBAUXBUSUWTDVCUPZUTUPZ
          UXCVAAUXBUSCVDUQVEUPZJKHVFVGZUPZHVHVGZUPZLUPZMVGZUQURUPZUTUPZUWRVCUPZ
          UXEAUXAUWRAUSVKVIZUWTVKVIZUXAVKVIVJAGAGFVKVLVMZVKUGAFVKVNZFVOVPZUNVQZ
          UOVQZVAVBZUOFVRZUNVKVSZUXRVKVIAUXSUXTVTUYBVAVBZUOFVRZABUOCEFHILMNOPQR
          STUAUBUCUDUEUFWAZWBZAUXSUXTUYGUYHWCZAVTVKVIZUYGUYEWDAUXSUXTUYGUYHWEZU
          YDUYGUNVTVKUYAVTWNUYCUYFUOFUYAVTUYBVAWFWGWOWHZUNUOFWIWJWKZWLZUSUWTWMW
          HZAUWQAEOWPVGVIZJOVIZKOVIZUWQVKVIAHWQVIZUYQAHWRVIZUYTUAHWSWTZEHOQUDXA
          WTZAPOJAUYTNHXBVGZVIZPOVNVUBAVUDXCXDVUDNVUDXCXEUBXFZHVUDNOPQTVUDXGZXH
          XIZUJXJZAPOKVUHUKXJZJKEOXKWJWLZXLAUXNUWRAUXPUXMVKVIZUXNVKVIVJAUXLAUYT
          UXKOVIZUXLVKVIZVUBAUYTCOVIZUXJOVIZVUMVUBUCAPOUXJVUHAUXFUXHNVHVGZUPZUX
          JPAUYTVUEUXFXQVIZUXHPVIZVURUXJWNVUBVUFVDXQVIVUSAXMVDXNXRZAJKNVFVGZUPZ
          UXHPAUYTVUEJPVIZKPVIZVVCUXHWNVUBVUFUJUKJKHVVBUXGVUDNPTUXGXGZVVBXGZVUG
          UUAXOANWQVIZVVDVVEVVCPVIAUYTVUEVVHVUBVUFHVUDNVUGUUBXIZUJUKJKNVVBPTVVG
          XPWJXSZUXFUXHVUQUXIHVUDNPTUXIXGZVUQXGZVUGUUCXOAVVHVUSVUTVURPVIVVIVVAV
          VJUXFUXHVUQNPTVVLUUIWJXSZXJZCUXJHLOQRXTWJZUXKHMOQSUUDXIZWLZUSUXMWMWHZ
          VUKXLAUXPUXDVKVIZUXEVKVIVJAUWTDUYOUHXLZUSUXDWMWHAUXAUXNUWRUYPVVRVUKAU
          WTUXMVAVBZUXAUXNVAVBZAGVKVIVTGVAVBVUNGUXLVAVBVWAUYNAVTUXRGVAAVTUXRVAV
          BZUYGUYLAUXSUXTUYEUYKVWCUYGYAUYIUYJUYMUYKAWDYIUNUOUOFVTUUEUUFYBUGUUGV
          VPAGUXRUXLVAUGAUXSUYEUXLFVIUXRUXLVAVBUYIUYMAUXLBPCBVQZLUPZMVGZUUHZUUR
          ZFAUXLVWFWNBPVSZUXLVWHVIAUXJPVIUXLUXLWNVWIVVMUXLXGBUXJPVWFUXLUXLVWDUX
          JWNVWEUXKMVWDUXJCLUUJYCUUKUULBPVWFUXLVWGVWGXGVWEMUUMUUNUUSUFUUOUNUOUX
          LFUUPWJUUQGUXLUUTXOAUXQVULVWAVWBYAZUYOVVQUXQVULUXPVTUSVLVBZYDVWJUXPVW
          KVJUVAYEUWTUXMUSYFYGXIYHUVBAUQCJEUPZUQURUPZCKEUPZUQURUPZVCUPZUTUPZUQU
          QUXDUTUPZUTUPZUXOUXEVAAVWPVWRVAVBZVWQVWSVAVBZAVWPUXDUXDVCUPVWRVAAVWMV
          WOUXDUXDAVWLAUYQVUOUYRVWLVKVIVUCUCVUICJEOXKWJWLZAVWNAUYQVUOUYSVWNVKVI
          VUCUCVUJCKEOXKWJWLZVVTVVTULUMUVCAUXDAUXDVVTYJZUVDUVEAVWPVKVIZVWRVKVIZ
          VWTVXAYAZAVWMVWOVXBVXCXLAUQVKVIZVVSVXFYKVVTUQUXDWMWHVXEVXFVXHVTUQVLVB
          ZYDVXGVXHVXIYKUVHYEVWPVWRUQYFYGXIYHACJLUPZCKLUPZUXGUPZMVGZUQURUPZVXJV
          XKLUPZMVGZUQURUPZVCUPZUQVXJMVGZUQURUPZVXKMVGZUQURUPZVCUPZUTUPZUXOVWQA
          VUAVXJOVIZVXKOVIZVXRVYDWNUAAUYTVUOUYRVYEVUBUCVUICJHLOQRXTWJAUYTVUOUYS
          VYFVUBUCVUJCKHLOQRXTWJVXJVXKHUXGLMOQVVFRSUVFWJAUXNVXNUWRVXQVCAUQUXLUT
          UPZUQURUPZUXNVXNAVYHUQUQURUPZUXMUTUPZUXNAUQXQVIZUXLXQVIVYHVYJWNYLAUXL
          VVPYJUQUXLUVGWHVYIUSUXMUTUVIYMYNAVYGVXMUQURAUQUXKUXIUPZMVGZVYGVXMAVYM
          UQUVJVGZUXLUTUPZVYGAUYTVYKVUMVYMVYOWNVUBVYKAYLYIZVVOUQUXKUXIHMOQVVKSU
          VKWJVYNUQUXLUTVXHVTUQVAVBVYNUQWNYKUVLUQUVMUVNYMYNAVYLVXLMAVYLUQCUXIUP
          ZUQUXJUXIUPZLUPZCCUXGUPZUXHLUPZVXLAUYTVYKVUOVUPVYLVYSWNVUBVYPUCVVNUQC
          UXJUXIHLOQRVVKUVOYTAVYTVYQUXHVYRLAUYTVUOVYTVYQWNVUBUCCUXIHUXGOQVVFVVK
          UVPXIAUQUXFUTUPZUXHUXIUPZUXHVYRAWUCVDUXHUXIUPZUXHWUBVDUXHUXIUQYLUVQUV
          RYMAUYTUXHOVIZWUDUXHWNVUBAUYTUYRUYSWUEVUBVUIVUJJKHUXGOQVVFXPWJZUXHUXI
          HOQVVKUVSXIUVTAUYTVYKVUSWUEWUCVYRWNVUBVYPVVAWUFUQUXFUXHUXIHOQVVKUWAYT
          YOYPAUYTVUOVUOUYRUYSWUAVXLWNVUBUCUCVUIVUJCCJKHUXGLOQVVFRUWBUWCUWDYCYO
          YQYOAUWQVXPUQURAKJEUPZKJLUPZMVGZUWQVXPAUYTUYSUYRWUGWUIWNVUBVUJVUIKJEH
          LMOQRSUDYRWJAUYQUYRUYSUWQWUGWNVUCVUIVUJJKEOUWEWJAVXOWUHMAUYTVUOUYRUYS
          VXOWUHWNVUBUCVUIVUJCJKHLOQRUWJYTYCYSYQYPAVWPVYCUQUTAVWMVXTVWOVYBVCAVW
          LVXSUQURAUYTVUOUYRVWLVXSWNVUBUCVUICJEHLMOQRSUDYRWJYQAVWNVYAUQURAUYTVU
          OUYSVWNVYAWNVUBUCVUJCKEHLMOQRSUDYRWJYQYPUWKYSAUXEUQUQUTUPZUXDUTUPVWSW
          UJUSUXDUTUWFYMAUQUQUXDVYPVYPVXDUWGUWHUWLUWIAUSUWTDUSXQVIAUWMYIAUWTUYO
          YJADUHYJUWNUWOAUWRUWSUXAVUKAUXPDVKVIUWSVKVIVJUHUSDWMWHUYPUWPYB $.
      $}

      ${
        minveco.f $e |- ( ph -> F : NN --> Y ) $.
        minveco.1 $e |- ( ( ph /\ n e. NN ) ->
            ( ( A D ( F ` n ) ) ^ 2 ) <_ ( ( S ^ 2 ) + ( 1 / n ) ) ) $.
        $( Lemma for ~ minveco .  The sequence formed by taking elements
           successively closer to the infimum is Cauchy.  (Contributed by Mario
           Carneiro, 8-May-2014.)  (Revised by AV, 4-Oct-2020.)
           (New usage is discouraged.) $)
        minvecolem3 $p |- ( ph -> F e. ( Cau ` D ) ) $=
          ( vj vx vw ccau cfv wcel cv co clt wbr cuz wral cn wrex wa c4 c2 cexp
          crp cdiv cfl c1 caddc cr cc0 cle cn0 4re 4pos elrpii cz simpr rpexpcl
          sylancl rpdivcl sylancr rprege0 flge0nn0 nn0p1nn 4syl cmul ccphlo cnv
          cmet phnv imsmet 3syl ad2antrr wss css syl ccbn cin inss1 sselid eqid
          2z sspba syl2anc wf adantr ffvelrnd sseldd eluznn sylan metcl syl3anc
          resqcld nnrpd rpmulcl rpred rpge0d ffvelrnda syldan wceq fveq2 oveq2d
          rpreccld oveq1d oveq2 breq12d ralrimiva rspcdva rspcev readdcld wb cc
          wne w3a rpcnne0 mpbird eqidd c0 minvecolem1 0re breq1 ralbidv 3anim3i
          cinf mpan infrecl eqeltrid nnrecred eluzle adantl rpregt0d nnre nngt0
          adantlr jca lerec mpbid letrd minvecolem2 ax-mp recdiv flltp1 eqbrtrd
          leadd2dd ltrec1d pm3.2i mp3an3 lelttrd metge0 ad2antlr lt2sq syl21anc
          ltmuldiv2 breq1d raleqbidv nnuz cxmet imsxmet 1zzd fssd iscauf ) AIDU
          LUMUNUIUOZIUMZHUOZIUMZDUPZUJUOZUQURZHUWEUSUMZUTZUIVAVBZUJVGUTAUWNUJVG
          AUWJVGUNZVCZVDUWJVEVFUPZVHUPZVIUMZVJVKUPZVAUNZUWTIUMZUWHDUPZUWJUQURZH
          UWTUSUMZUTZUWNUWPUWRVGUNZUWRVLUNZVMUWRVNURVCUWSVOUNUXAUWPVDVGUNZUWQVG
          UNZUXGVDVPVQVRZUWPUWOVEVSUNUXJAUWOVTXEUWJVEWAWBZVDUWQWCWDZUWRWEUWRWFU
          WSWGWHZUWPUXDHUXEUWPUWGUXEUNZVCZUXDUXCVEVFUPZUWQUQURZUXPUXQVDVJUWTVHU
          PZWIUPZUWQUXPUXCUXPDNWLUMUNZUXBNUNZUWHNUNZUXCVLUNZAUYAUWOUXOAGWJUNZGW
          KUNZUYATGWMZDGNPUCWNWOWPZUXPONUXBAONWQZUWOUXOAUYFMGWRUMZUNUYIAUYEUYFT
          UYGWSAUYJWTXAZUYJMUYJWTXBUAXCGUYJMNOPSUYJXDXFXGZWPZUXPVAOUWTIAVAOIXHZ
          UWOUXOUGWPZUWPUXAUXOUXNXIZXJZXKZUXPONUWHUYMUXPVAOUWGIUYOUWPUXAUXOUWGV
          AUNZUXNUWGUWTXLXMZXJXKZUXBUWHDNXNXOZXPUXPUXTUXPUXIUXSVGUNZUXTVGUNUXKU
          XPUWTUXPUWTUYPXQZYFVDUXSXRWDXSUXPUWQUWPUXJUXOUXLXIZXSZUXPBCUXSDEFGJUX
          BUWHKLMNOPQRSAUYEUWOUXOTWPAMUYKUNUWOUXOUAWPACNUNZUWOUXOUBWPZUCUDUEUFU
          XPUXSUWPVUCUXOUWPUWTUWPUWTUXNXQYFXIZXSZUXPUXSVUIXTUYQUWPUXOUYSUWHOUNU
          YTUWPVAOUWGIAUYNUWOUGXIYAYBZUXPCUWHDUPZVEVFUPZFVEVFUPZVJUWGVHUPZVKUPZ
          VNURZCUXBDUPZVEVFUPZVUNUXSVKUPZVNURHVAUWTUWGUWTYCZVUMVUSVUPVUTVNVVAVU
          LVURVEVFVVAUWHUXBCDUWGUWTIYDYEYGVVAVUOUXSVUNVKUWGUWTVJVHYHYEYIAVUQHVA
          UTUWOUXOAVUQHVAUHYJWPUYPYKUXPVUMVUPVUTUXPVULUXPUYAVUGUYCVULVLUNUYHVUH
          UXPONUWHUYMVUKXKCUWHDNXNXOXPUXPVUNVUOAVUNVLUNUWOUXOAFAFEVLUQUUGZVLUFA
          EVLWQZEUUAYPZVMUKUOZVNURZUKEUTZYQVVCVVDUWJVVEVNURZUKEUTZUJVLVBZYQVVBV
          LUNABUKCDEGJKLMNOPQRSTUAUBUCUDUEUUBVVGVVJVVCVVDVMVLUNVVGVVJUUCVVIVVGU
          JVMVLUWJVMYCVVHVVFUKEUWJVMVVEVNUUDUUEYLUUHUUFUJUKEUUIWOUUJXPWPZUXPUWG
          UYTUUKZYMUXPVUNUXSVVKVUJYMUWPUXOUYSVUQUYTAUYSVUQUWOUHUUQYBUXPVUOUXSVU
          NVVLVUJVVKUXPUWTUWGVNURZVUOUXSVNURZUXOVVMUWPUWTUWGUULUUMUXPUWTVLUNVMU
          WTUQURVCUWGVLUNZVMUWGUQURZVCZVVMVVNYNUXPUWTVUDUUNUXPUYSVVQUYTUYSVVOVV
          PUWGUUOUWGUUPUURWSUWTUWGUUSXGUUTUVGUVAUVBUXPUXTUWQUQURZUXSUWQVDVHUPZU
          QURZUXPVVSUWTUXPUXJUXIVVSVGUNVUEUXKUWQVDWCWBVUDUXPVJVVSVHUPZUWRUWTUQU
          XPUWQYOUNUWQVMYPVCZVDYOUNVDVMYPVCZVWAUWRYCUXPUXJVWBVUEUWQYRWSUXIVWCUX
          KVDYRUVCUWQVDUVDWBUXPUXHUWRUWTUQURUXPUWRUWPUXGUXOUXMXIXSUWRUVEWSUVFUV
          HUXPUXSVLUNZUWQVLUNZVVRVVTYNZVUJVUFVWDVWEVDVLUNZVMVDUQURZVCVWFVWGVWHV
          PVQUVIUXSUWQVDUVPUVJXGYSUVKUXPUYDVMUXCVNURZUWJVLUNVMUWJVNURVCZUXDUXRY
          NVUBUXPUYAUYBUYCVWIUYHUYRVUAUXBUWHDNUVLXOUWOVWJAUXOUWJWEUVMUXCUWJUVNU
          VOYSYJUWMUXFUIUWTVAUWEUWTYCZUWKUXDHUWLUXEUWEUWTUSYDVWKUWIUXCUWJUQVWKU
          WFUXBUWHDUWEUWTIYDYGUVQUVRYLXGYJAUJUWHUWFDUIHIVJNVAUVSAUYEUYFDNUVTUMU
          NTUYGDGNPUCUWAWOAUWBAUYSVCUWHYTAUWEVAUNVCUWFYTAVAONIUGUYLUWCUWDYS $.

        $( Lemma for ~ minveco . ` F ` is convergent in the subspace topology
           on ` Y ` .  (Contributed by Mario Carneiro, 7-May-2014.)
           (New usage is discouraged.) $)
        minvecolem4a $p |- ( ph -> F
                      ( ~~>t ` ( MetOpen ` ( D |` ( Y X. Y ) ) ) )
                      ( ( ~~>t ` ( MetOpen ` ( D |` ( Y X. Y ) ) ) ) ` F ) ) $=
          ( cxp cres cmopn cfv clm cdm wcel wbr cba ccmet ccau cims wceq ccphlo
          cnv css phnv syl ccbn wa elin sylib simpld eqid sspims syl2anc simprd
          cin cbncms eqeltrrd minvecolem3 cxmet cn wf wb cmet imsmet 3syl causs
          metxmet mpbid cmetcau cha wfun xmetres methaus lmfun funfvbrb ) AIDOO
          UIUJZUKULZUMULZUNUOZIIWSULWSUPZAWQMUQULZURULZUOIWQUSULUOZWTAMUTULZWQX
          CAGVCUOZMGVDULZUOZXEWQVAAGVBUOZXFTGVEZVFAXHMVGUOZAMXGVGVPUOXHXKVHUAMX
          GVGVIVJZVKXEDGXGMOSUCXEVLZXGVLVMVNAXKXEXCUOAXHXKXLVOXEMXBXBVLXMVQVFVR
          AIDUSULUOZXDABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHVSADNVTULUOZWAOIWBXNX
          DWCADNWDULUOZXOAXIXFXPTXJDGNPUCWEWFDNWHVFZUGDINOWGVNWIWQIWRXBWRVLZWJV
          NAWRWKUOZWSWLWTXAWCAXOWQNOVPZVTULUOXSXQDONWMWQWRXTXRWNWFWRWOIWSWPWFWI
          $.

        $( Lemma for ~ minveco .  The convergent point of the cauchy sequence
           ` F ` is a member of the base space.  (Contributed by Mario
           Carneiro, 16-Jun-2014.)  (New usage is discouraged.) $)
        minvecolem4b $p |- ( ph -> ( ( ~~>t ` J ) ` F ) e. X ) $=
          ( clm cfv cnv wcel css wss ccphlo phnv syl ccbn cin elin sylib simpld
          eqid sspba syl2anc cxp cres cmopn wfun wbr wceq cxmet imsxmet methaus
          wa cha lmfun minvecolem4a crest co c1 cvv nnuz cba fvexi ctop mopntop
          cn a1i ctopon xmetres2 mopntopon lmcl 1zzd metrest fveq2d breqd bitrd
          lmss mpbird funbrfv sylc eqeltrd sseldd ) AONIJUIUJZUJZAGUKULZMGUMUJZ
          ULZONUNZAGUOULXGTGUPUQZAXIMURULZAMXHURUSULXIXLVOUAMXHURUTVAVBGXHMNOPS
          XHVCVDVEZAXFIDOOVFVGZVHUJZUIUJZUJZOAXEVIZIXQXEVJZXFXQVKAJVPULZXRADNVL
          UJULZXTAXGYAXKDGNPUCVMUQZDJNUDVNUQJVQUQAXSIXQXPVJZABCDEFGHIJKLMNOPQRS
          TUAUBUCUDUEUFUGUHVRZAXSIXQJOVSVTZUIUJZVJYCAXQIJYEWAWBOWHYEVCWCOWBULAO
          MWDSWEWIAYAJWFULYBDJNUDWGUQAXOOWJUJULZYCXQOULAXNOVLUJULZYGAYAXJYHYBXM
          DONWKVEXNXOOXOVCZWLUQYDXQIXOOWMVEZAWNUGWSAYFXPIXQAYEXOUIAYAXJYEXOVKYB
          XMDXNJXONOXNVCUDYIWOVEWPWQWRWTIXQXEXAXBYJXCXD $.

        $( Lemma for ~ minveco .  The infimum of the distances to ` A ` is a
           real number.  (Contributed by Mario Carneiro, 16-Jun-2014.)
           (Revised by AV, 4-Oct-2020.)  (New usage is discouraged.) $)
        minvecolem4c $p |- ( ph -> S e. RR ) $=
          ( vx vw cr clt cinf wss c0 wne cle wbr wral wrex wcel cc0 minvecolem1
          cv simp1d simp2d 0re simp3d wceq breq1 ralbidv rspcev sylancr infrecl
          syl3anc eqeltrid ) AFEUKULUMZUKUFAEUKUNZEUOUPZUIVDZUJVDZUQURZUJEUSZUI
          UKUTZVQUKVAAVRVSVBWAUQURZUJEUSZABUJCDEGJKLMNOPQRSTUAUBUCUDUEVCZVEAVRV
          SWFWGVFAVBUKVAWFWDVGAVRVSWFWGVHWCWFUIVBUKVTVBVIWBWEUJEVTVBWAUQVJVKVLV
          MUIUJEVNVOVP $.

        minveco.t $e |- T = ( 1 /
      ( ( ( ( ( A D ( ( ~~>t ` J ) ` F ) ) + S ) / 2 ) ^ 2 ) - ( S ^ 2 ) ) ) $.
        $( Lemma for ~ minveco .  The convergent point of the cauchy sequence
           ` F ` attains the minimum distance, and so is closer to ` A ` than
           any other point in ` Y ` .  (Contributed by Mario Carneiro,
           7-May-2014.)  (Revised by AV, 4-Oct-2020.)
           (New usage is discouraged.) $)
        minvecolem4 $p |- ( ph -> E. x e. Y A. y e. Y
                          ( N ` ( A M x ) ) <_ ( N ` ( A M y ) ) ) $=
          ( vw clm cfv wcel co cle wbr wral wrex cxp cres cmopn wfun wceq cxmet
          cha ccphlo cnv phnv imsxmet 3syl methaus lmfun minvecolem4a crest cvv
          cv c1 cn eqid nnuz cba fvexi a1i ctop syl mopntop ctopon wss css ccbn
          cin elin sylib simpld sspba syl2anc xmetres2 mopntopon lmcl 1zzd lmss
          metrest fveq2d breqd mpbird funbrfv sylc eqeltrd minvecolem4b imsdval
          wa bitrd syl3anc adantr cr cmet metcl clt caddc c2 cdiv cexp readdcld
          cc0 crp resqcld recnd 2timesd breq1d wb 3bitr2d ralbidv rspcev metge0
          cmul 0re ad2antrr letrd imsmet minvecolem4c sselda nvcl wn ltnled cfl
          nvmcl cuz cn0 cmin rehalfcld resubcld ltadd1d 2re 2pos ltmuldiv2 cinf
          pm3.2i c0 wne minvecolem1 simp3d simp1d simp2d breq1 sylancr syl31anc
          infregelb breqtrrdi addge0d divge0 lt2sqd posdifd 3bitrd biimpa elrpd
          syl21anc rpreccld eqeltrid rprege0d flge0nn0 nnzd rexrd simpll eluznn
          nn0p1nn breqtrrd sylan ffvelrnda nnrecred rpred reflcl peano2re nnred
          fssd fllep1 eluzle adantl eqbrtrrid 1red lediv23 syl122anc leaddsub2d
          nngt0d le2sqd lmle leadd2d lemuldiv2 mp3an3 biimpar syldan ex sylbird
          mpbid pm2.18d cmpt crn simpr fvex elrnmpt1 sylancl eleqtrrdi eqbrtrid
          infrelb eqbrtrrd ralrimiva oveq2 ) AKLUMUNZUNZQUODUYJMUPZNUNZDCVRZMUP
          ZNUNZUQURZCQUSZDBVRZMUPZNUNZUYOUQURZCQUSZBQUTAUYJKEQQVAVBZVCUNZUMUNZU
          NZQAUYIVDZKVUFUYIURZUYJVUFVEAEPVFUNUOZLVGUOVUGAIVHUOZIVIUOZVUIUBIVJZE
          IPRUEVKZVLZELPUFVMLVNVLAVUHKVUFVUEURZACDEFGIJKLMNOPQRSTUAUBUCUDUEUFUG
          UHUIUJVOZAVUHKVUFLQVPUPZUMUNZURVUOAVUFKLVUQVSVQQVTVUQWAWBQVQUOAQOWCUA
          WDWEAVUKVUILWFUOAVUJVUKUBVULWGZVUMELPUFWHVLAVUDQWIUNUOZVUOVUFQUOAVUCQ
          VFUNUOZVUTAVUIQPWJZVVAVUNAVUKOIWKUNZUOZVVBVUSAVVDOWLUOZAOVVCWLWMUOVVD
          VVEXMUCOVVCWLWNWOWPIVVCOPQRUAVVCWAWQWRZEQPWSWRVUCVUDQVUDWAZWTWGVUPVUF
          KVUDQXAWRZAXBUIXCAVURVUEKVUFAVUQVUDUMAVUIVVBVUQVUDVEVUNVVFEVUCLVUDPQV
          UCWAUFVVGXDWRXEXFXNXGZKVUFUYIXHXIZVVHXJAUYPCQAUYMQUOZXMZDUYJEUPZUYLUY
          OUQAVVMUYLVEZVVKAVUKDPUOZUYJPUOZVVNVUSUDACDEFGIJKLMNOPQRSTUAUBUCUDUEU
          FUGUHUIUJXKZDUYJEIMNPRSTUEXLXOXPVVLVVMGUYOAVVMXQUOZVVKAEPXRUNUOZVVOVV
          PVVRAVUJVUKVVSUBVULEIPRUEUUAVLZUDVVQDUYJEPXSXOZXPAGXQUOZVVKACDEFGIJKL
          MNOPQRSTUAUBUCUDUEUFUGUHUIUJUUBZXPVVLVUKUYNPUOZUYOXQUOAVUKVVKVUSXPZVV
          LVUKVVOUYMPUOVWDVWEAVVOVVKUDXPAQPUYMVVFUUCDUYMIMPRSUUHXOUYNINPRTUUDWR
          AVVMGUQURZVVKAVWFAVWFUUEGVVMXTURZVWFAGVVMVWCVWAUUFAVWGVWFAVWGVVMVVMGY
          AUPZYBYCUPZUQURZVWFAVWGXMZEUYJDVWIJKLHUUGUNZVSYAUPZPVWMUUIUNZVWNWAUFA
          VUIVWGVUNXPVWKVWMVWKHXQUOZYFHUQURXMVWLUUJUOVWMVTUOZVWKHVWKHVSVWIYBYDU
          PZGYBYDUPZUUKUPZYCUPZYGUKVWKVWSVWKVWSAVWSXQUOZVWGAVWQVWRAVWIAVWHAVVMG
          VWAVWCYEZUULZYHZAGVWCYHZUUMZXPAVWGYFVWSXTURZAVWGGVWIXTURZVWRVWQXTURVX
          GAVWGGGYAUPZVWHXTURYBGYQUPZVWHXTURZVXHAGVVMGVWCVWAVWCUUNAVXJVXIVWHXTA
          GAGVWCYIYJYKAVWBVWHXQUOZYBXQUOZYFYBXTURZXMZVXKVXHYLVWCVXBVXOAVXMVXNUU
          OUUPUUSZWEZGVWHYBUUQXOYMAGVWIVWCVXCAYFFXQXTUURZGUQAYFVXRUQURZYFULVRZU
          QURZULFUSZAFXQWJZFUUTUVAZVYBACULDEFILMNOPQRSTUAUBUCUDUEUFUGUVBZUVCZAV
          YCVYDUYRVXTUQURZULFUSZBXQUTZYFXQUOZVXSVYBYLAVYCVYDVYBVYEUVDZAVYCVYDVY
          BVYEUVEAVYJVYBVYIYRVYFVYHVYBBYFXQUYRYFVEVYGVYAULFUYRYFVXTUQUVFYNYOUVG
          ZVYJAYRWEBULULFYFUVIUVHXGUHUVJZAVXLYFVWHUQURVXOYFVWIUQURZVXBAVVMGVWAV
          WCAVVSVVOVVPYFVVMUQURVVTUDVVQDUYJEPYPXOVYMUVKVXQVWHYBUVLUVRZUVMAVWRVW
          QVXEVXDUVNUVOUVPZUVQUVSUVTZUWAHUWBVWLUWGVLZUWCAKUYJUYIURVWGAKVUFUYJUY
          IVVIVVJUWHXPAVVOVWGUDXPVWKVWIAVWIXQUOZVWGVXCXPUWDVWKJVRZVWNUOZXMZDVYT
          KUNZEUPZVWIUQURWUDYBYDUPZVWQUQURWUBWUEVWRVSVYTYCUPZYAUPZVWQWUBWUDWUBA
          VYTVTUOZWUDXQUOZAVWGWUAUWEZVWKVWPWUAWUHVYRVYTVWMUWFUWIZAWUHXMZVVSVVOW
          UCPUOZWUIAVVSWUHVVTXPZAVVOWUHUDXPZAVTPVYTKAVTQPKUIVVFUWPUWJZDWUCEPXSX
          OWRZYHWUBVWRWUFWUBGAVWBVWGWUAVWCYSYHZWUBVYTWUKUWKZYEAVWQXQUOVWGWUAVXD
          YSZWUBAWUHWUEWUGUQURWUJWUKUJWRWUBWUGVWQUQURWUFVWSUQURZWUBVWTVYTUQURZW
          VAWUBVWTHVYTUQUKWUBHVWMVYTWUBHVWKHYGUOWUAVYQXPUWLZWUBVWOVWLXQUOVWMXQU
          OWVCHUWMVWLUWNVLWUBVYTWUKUWOZWUBVWOHVWMUQURWVCHUWQWGWUAVWMVYTUQURVWKV
          WMVYTUWRUWSYTUWTWUBVSXQUOVXAVXGVYTXQUOYFVYTXTURWVBWVAYLWUBUXAAVXAVWGW
          UAVXFYSVWKVXGWUAVYPXPWVDWUBVYTWUKUXEVSVWSVYTUXBUXCUXOWUBVWRWUFVWQWURW
          USWUTUXDXGYTWUBWUDVWIWUQAVYSVWGWUAVXCYSWUBAWUHYFWUDUQURZWUJWUKWULVVSV
          VOWUMWVEWUNWUOWUPDWUCEPYPXOWRAVYNVWGWUAVYOYSUXFXGUXGAVWFVWJAVWFVVMVVM
          YAUPZVWHUQURYBVVMYQUPZVWHUQURZVWJAVVMGVVMVWAVWCVWAUXHAWVGWVFVWHUQAVVM
          AVVMVWAYIYJYKAVVRVXLWVHVWJYLZVWAVXBVVRVXLVXOWVIVXPVVMVWHYBUXIUXJWRYMU
          XKUXLUXMUXNUXPXPVVLGVXRUYOUQUHVVLVYCVYIUYOFUOVXRUYOUQURAVYCVVKVYKXPAV
          YIVVKVYLXPVVLUYOCQUYOUXQZUXRZFVVLVVKUYOVQUOUYOWVKUOAVVKUXSUYNNUXTCQUY
          OWVJVQWVJWAUYAUYBUGUYCBULUYOFUYEXOUYDYTUYFUYGVUBUYQBUYJQUYRUYJVEZVUAU
          YPCQWVLUYTUYLUYOUQWVLUYSUYKNUYRUYJDMUYHXEYKYNYOWR $.
      $}

      $( Lemma for ~ minveco .  Discharge the assumption about the sequence
         ` F ` by applying countable choice ~ ax-cc .  (Contributed by Mario
         Carneiro, 9-May-2014.)  (Revised by AV, 4-Oct-2020.)
         (New usage is discouraged.) $)
      minvecolem5 $p |- ( ph -> E. x e. Y A. y e. Y
                        ( N ` ( A M x ) ) <_ ( N ` ( A M y ) ) ) $=
        ( vf vn vw vk cn cv wf cfv co c2 cexp c1 cdiv caddc cle wbr wral wa wex
        wrex wcel csqrt wn clt cc0 nnrecgt0 adantl nnrecre cinf wss minvecolem1
        cr c0 wne w3a adantr simp1d simp2d 0re simp3d wceq breq1 ralbidv rspcev
        sylancr infrecl syl3anc eqeltrid resqcld ltaddposd mpbid readdcld elrpd
        sqge0d addgegt0d resqrtth syl2anc breqtrrd rpsqrtcld rpred wb infregelb
        rpge0d 0red syl31anc mpbird breqtrrdi sqrtge0d lt2sqd ltnled breq2i crn
        syl5bb cmpt raleqi fvex rgenw breq2 ralrnmptw ax-mp bitri bitrdi rexnal
        cvv eqid mtbid sylibr cnv syl ad2antrr ccbn breq1d oveq1d oveq2 oveq2d
        ccphlo phnv css cin inss1 sselid sspba sselda nvmcl letrid nvge0 le2sqd
        nvcl ord bitrd notbid imsdval 3imtr4d reximdva mpd ralrimiva cba nnenom
        fvexi axcc4 clm cmin simprl simprr fveq2 breq12d rspccva sylan exlimddv
        minvecolem4 ) AUJNUFUKZULZDUGUKZUVPUMZEUNZUOUPUNZGUOUPUNZUQUVRURUNZUSUN
        ZUTVAZUGUJVBZVCZDBUKZJUNKUMDCUKZJUNZKUMZUTVACNVBBNVEUFADUWIEUNZUOUPUNZU
        WDUTVAZCNVEZUGUJVBUWGUFVDAUWOUGUJAUVRUJVFZVCZUWDVGUMZUWKUTVAZVHZCNVEZUW
        OUWQUWSCNVBZVHUXAUWQUWRGUTVAZUXBUWQGUWRVIVAZUXCVHUWQUXDUWBUWRUOUPUNZVIV
        AUWQUWBUWDUXEVIUWQVJUWCVIVAZUWBUWDVIVAUWPUXFAUVRVKVLZUWQUWCUWBUWPUWCVQV
        FAUVRVMVLZUWQGUWQGFVQVIVNZVQUEUWQFVQVOZFVRVSZUWHUHUKZUTVAZUHFVBZBVQVEZU
        XIVQVFUWQUXJUXKVJUXLUTVAZUHFVBZAUXJUXKUXQVTUWPACUHDEFHIJKLMNOPQRSTUAUBU
        CUDVPWAZWBZUWQUXJUXKUXQUXRWCZUWQVJVQVFZUXQUXOWDUWQUXJUXKUXQUXRWEZUXNUXQ
        BVJVQUWHVJWFUXMUXPUHFUWHVJUXLUTWGWHWIWJZBUHFWKWLWMZWNZWOWPUWQUWDVQVFZVJ
        UWDUTVAUXEUWDWFZUWQUWBUWCUYEUXHWQZUWQUWDUWQUWDUYHUWQUWBUWCUYEUXHUWQGUYD
        WSUXGWTWRZXHZUWDXAXBZXCUWQGUWRUYDUWQUWRUWQUWDUYIXDXEZUWQVJUXIGUTUWQVJUX
        IUTVAZUXQUYBUWQUXJUXKUXOUYAUYMUXQXFUXSUXTUYCUWQXIBUHUHFVJXGXJXKUEXLUWQU
        WDUYHUYJXMZXNXKUWQGUWRUYDUYLXOWPUWQUXCUWRUXLUTVAZUHFVBZUXBUXCUWRUXIUTVA
        ZUWQUYPGUXIUWRUTUEXPUWQUXJUXKUXOUWRVQVFZUYQUYPXFUXSUXTUYCUYLBUHUHFUWRXG
        XJXRUYPUYOUHCNUWKXSZXQZVBZUXBUYOUHFUYTUDXTUWKYIVFZCNVBVUAUXBXFVUBCNUWJK
        YAYBUYOUWSCUHNUWKUYSYIUYSYJUXLUWKUWRUTYCYDYEYFYGYKUWSCNYHYLUWQUWTUWNCNU
        WQUWINVFZVCZUWDUWKUOUPUNZUTVAZVHVUEUWDUTVAZUWTUWNVUDVUFVUGVUDUWDVUEUWQU
        YFVUCUYHWAVUDUWKVUDHYMVFZUWJMVFZUWKVQVFAVUHUWPVUCAHUUAVFZVUHSHUUBYNZYOZ
        VUDVUHDMVFZUWIMVFZVUIVULAVUMUWPVUCUAYOZUWQNMUWIANMVOZUWPAVUHLHUUCUMZVFV
        UPVUKAVUQYPUUDZVUQLVUQYPUUETUUFHVUQLMNORVUQYJUUGXBWAUUHZDUWIHJMOPUUIWLZ
        UWJHKMOQUUMXBZWNUUJUUNVUDUWSVUFVUDUWSUXEVUEUTVAVUFVUDUWRUWKUWQUYRVUCUYL
        WAVVAUWQVJUWRUTVAVUCUYNWAVUDVUHVUIVJUWKUTVAVULVUTUWJHKMOQUUKXBUULVUDUXE
        UWDVUEUTUWQUYGVUCUYKWAYQUUOUUPVUDUWMVUEUWDUTVUDUWLUWKUOUPVUDVUHVUMVUNUW
        LUWKWFVULVUOVUSDUWIEHJKMOPQUBUUQWLYRYQUURUUSUUTUVAUWNUWECNUFUGUJNLUVBRU
        VDUVCUWIUVSWFZUWMUWAUWDUTVVBUWLUVTUOUPUWIUVSDEYSYRYQUVEYNAUWGVCZBCDEFGU
        QDUVPIUVFUMUMEUNGUSUNUOURUNUOUPUNUWBUVGUNURUNZHUIUVPIJKLMNOPQRAVUJUWGSW
        AALVURVFUWGTWAAVUMUWGUAWAUBUCUDUEAUVQUWFUVHVVCUWFUIUKZUJVFDVVEUVPUMZEUN
        ZUOUPUNZUWBUQVVEURUNZUSUNZUTVAZAUVQUWFUVIUWEVVKUGVVEUJUVRVVEWFZUWAVVHUW
        DVVJUTVVLUVTVVGUOUPVVLUVSVVFDEUVRVVEUVPUVJYTYRVVLUWCVVIUWBUSUVRVVEUQURY
        SYTUVKUVLUVMVVDYJUVOUVN $.

      $( Lemma for ~ minveco .  Any minimal point is less than ` S ` away from
         ` A ` .  (Contributed by Mario Carneiro, 9-May-2014.)  (Revised by AV,
         4-Oct-2020.)  (New usage is discouraged.) $)
      minvecolem6 $p |- ( ( ph /\ x e. Y ) ->
        ( ( ( A D x ) ^ 2 ) <_ ( ( S ^ 2 ) + 0 ) <->
          A. y e. Y ( N ` ( A M x ) ) <_ ( N ` ( A M y ) ) ) ) $=
        ( vw cv wcel wa co cexp cc0 caddc cle wbr cfv wral cnv wceq ccphlo phnv
        c2 syl adantr css wss ccbn cin inss1 sselid eqid syl2anc sselda imsdval
        sspba syl3anc oveq1d cr clt cinf wne wrex w3a minvecolem1 simp1d simp2d
        0red simp3d breq1 ralbidv rspcev infrecl eqeltrid resqcld recnd addid1d
        c0 breq12d nvmcl nvcl nvge0 wb infregelb mpbird breqtrrdi le2sqd breq2i
        syl31anc syl5bb 3bitr2d cmpt crn raleqi cvv rgenw breq2 ralrnmptw ax-mp
        fvex bitri bitrdi ) ABUGZNUHZUIZDYBEUJZVBUKUJZGVBUKUJZULUMUJZUNUOZDYBJU
        JZKUPZUFUGZUNUOZUFFUQZYKDCUGJUJZKUPZUNUOZCNUQZYDYIYKVBUKUJZYGUNUOYKGUNU
        OZYNYDYFYSYHYGUNYDYEYKVBUKYDHURUHZDMUHZYBMUHZYEYKUSAUUAYCAHUTUHUUASHVAV
        CZVDZAUUBYCUAVDZANMYBAUUALHVEUPZUHNMVFUUDAUUGVGVHUUGLUUGVGVITVJHUUGLMNO
        RUUGVKVOVLVMZDYBEHJKMOPQUBVNVPVQYDYGYDYGYDGYDGFVRVSVTZVRUEYDFVRVFZFWQWA
        ZYBYLUNUOZUFFUQZBVRWBZUUIVRUHYDUUJUUKULYLUNUOZUFFUQZAUUJUUKUUPWCYCACUFD
        EFHIJKLMNOPQRSTUAUBUCUDWDVDZWEZYDUUJUUKUUPUUQWFZYDULVRUHZUUPUUNYDWGZYDU
        UJUUKUUPUUQWHZUUMUUPBULVRYBULUSUULUUOUFFYBULYLUNWIWJWKVLZBUFFWLVPWMZWNW
        OWPWRYDYKGYDUUAYJMUHZYKVRUHZUUEYDUUAUUBUUCUVEUUEUUFUUHDYBHJMOPWSVPZYJHK
        MOQWTVLZUVDYDUUAUVEULYKUNUOUUEUVGYJHKMOQXAVLYDULUUIGUNYDULUUIUNUOZUUPUV
        BYDUUJUUKUUNUUTUVIUUPXBUURUUSUVCUVABUFUFFULXCXHXDUEXEXFYTYKUUIUNUOZYDYN
        GUUIYKUNUEXGYDUUJUUKUUNUVFUVJYNXBUURUUSUVCUVHBUFUFFYKXCXHXIXJYNYMUFCNYP
        XKZXLZUQZYRYMUFFUVLUDXMYPXNUHZCNUQUVMYRXBUVNCNYOKXSXOYMYQCUFNYPUVKXNUVK
        VKYLYPYKUNXPXQXRXTYA $.

      $( Lemma for ~ minveco .  Since any two minimal points are distance zero
         away from each other, the minimal point is unique.  (Contributed by
         Mario Carneiro, 9-May-2014.)  (New usage is discouraged.) $)
      minvecolem7 $p |- ( ph -> E! x e. Y A. y e. Y
                        ( N ` ( A M x ) ) <_ ( N ` ( A M y ) ) ) $=
        ( vw cv co cfv cle wbr wral wrex wa wceq wreu minvecolem5 wcel cexp cc0
        wi c2 caddc c4 cmul ccphlo ad2antrr css ccbn cin cr 0re simplrl simplrr
        a1i simprl simprr minvecolem2 ex wb minvecolem6 adantrr adantrl anbi12d
        0le0 4cn mul01i breq2i cmet cnv phnv syl adantr imsmet wss inss1 sselid
        eqid sspba syl2anc sseldd metcl syl3anc sqge0d biantrud resqcld sylancl
        letri3 recnd sqeq0 meteq0 bitrd 3bitr2d syl5bb 3imtr3d ralrimivva oveq2
        cc fveq2d breq1d ralbidv reu4 sylanbrc ) ADBUGZJUHZKUIZDCUGJUHKUIZUJUKZ
        CNULZBNUMYIDUFUGZJUHZKUIZYGUJUKZCNULZUNZYDYJUOZVAZUFNULBNULYIBNUPABCDEF
        GHIJKLMNOPQRSTUAUBUCUDUEUQAYQBUFNNAYDNURZYJNURZUNZUNZDYDEUHVBUSUHGVBUSU
        HUTVCUHZUJUKZDYJEUHVBUSUHUUBUJUKZUNZYDYJEUHZVBUSUHZVDUTVEUHZUJUKZYOYPUU
        AUUEUUIUUAUUEUNZCDUTEFGHIYDYJJKLMNOPQRAHVFURZYTUUESVGALHVHUIZVIVJZURYTU
        UETVGADMURYTUUEUAVGUBUCUDUEUTVKURZUUJVLVOUTUTUJUKUUJWEVOAYRYSUUEVMAYRYS
        UUEVNUUAUUCUUDVPUUAUUCUUDVQVRVSUUAUUCYIUUDYNAYRUUCYIVTYSABCDEFGHIJKLMNO
        PQRSTUAUBUCUDUEWAWBAYSUUDYNVTYRAUFCDEFGHIJKLMNOPQRSTUAUBUCUDUEWAWCWDUUI
        UUGUTUJUKZUUAYPUUHUTUUGUJVDWFWGWHUUAUUOUUOUTUUGUJUKZUNZUUGUTUOZYPUUAUUP
        UUOUUAUUFUUAEMWIUIURZYDMURZYJMURZUUFVKURUUAHWJURZUUSAUVBYTAUUKUVBSHWKWL
        ZWMEHMOUBWNWLZUUANMYDANMWOZYTAUVBLUULURUVEUVCAUUMUULLUULVIWPTWQHUULLMNO
        RUULWRWSWTWMZAYRYSVPXAZUUANMYJUVFAYRYSVQXAZYDYJEMXBXCZXDXEUUAUUGVKURUUN
        UURUUQVTUUAUUFUVIXFVLUUGUTXHXGUUAUURUUFUTUOZYPUUAUUFXRURUURUVJVTUUAUUFU
        VIXIUUFXJWLUUAUUSUUTUVAUVJYPVTUVDUVGUVHYDYJEMXKXCXLXMXNXOXPYIYNBUFNYPYH
        YMCNYPYFYLYGUJYPYEYKKYDYJDJXQXSXTYAYBYC $.
    $}

    $( Minimizing vector theorem, or the Hilbert projection theorem.  There is
       exactly one vector in a complete subspace ` W ` that minimizes the
       distance to an arbitrary vector ` A ` in a parent inner product space.
       Theorem 3.3-1 of [Kreyszig] p. 144, specialized to subspaces instead of
       convex subsets.  (Contributed by NM, 11-Apr-2008.)  (Proof shortened by
       Mario Carneiro, 9-May-2014.)  (New usage is discouraged.) $)
    minveco $p |- ( ph -> E! x e. Y A. y e. Y
                   ( N ` ( A M x ) ) <_ ( N ` ( A M y ) ) ) $=
      ( vj cfv eqid cims cv co cmpt crn cr cinf cmopn wceq oveq2 fveq2d cbvmptv
      clt rneqi minvecolem7 ) ABCDEUASZRJDRUBZFUCZGSZUDZUEZVAUFUMUGZEUPUHSZFGHI
      JKLMNOPQUPTVCTUTCJDCUBZFUCZGSZUDRCJUSVFUQVDUIURVEGUQVDDFUJUKULUNVBTUO $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Complex Hilbert spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CHilOLD $.

  $( Extend class notation with the class of all complex Hilbert spaces. $)
  chlo $a class CHilOLD $.

  $( Define the class of all complex Hilbert spaces.  A Hilbert space is a
     Banach space which is also an inner product space.  (Contributed by Steve
     Rodriguez, 28-Apr-2007.)  (New usage is discouraged.) $)
  df-hlo $a |- CHilOLD = ( CBan i^i CPreHilOLD ) $.

  $( The predicate "is a complex Hilbert space."  A Hilbert space is a Banach
     space which is also an inner product space, i.e. whose norm satisfies the
     parallelogram law.  (Contributed by Steve Rodriguez, 28-Apr-2007.)
     (New usage is discouraged.) $)
  ishlo $p |- ( U e. CHilOLD <-> ( U e. CBan /\ U e. CPreHilOLD ) ) $=
    ( ccbn ccphlo chlo df-hlo elin2 ) ABCDEF $.

  $( Every complex Hilbert space is a complex Banach space.  (Contributed by
     Steve Rodriguez, 28-Apr-2007.)  (New usage is discouraged.) $)
  hlobn $p |- ( U e. CHilOLD -> U e. CBan ) $=
    ( chlo wcel ccbn ccphlo ishlo simplbi ) ABCADCAECAFG $.

  $( Every complex Hilbert space is an inner product space (also called a
     pre-Hilbert space).  (Contributed by NM, 28-Apr-2007.)
     (New usage is discouraged.) $)
  hlph $p |- ( U e. CHilOLD -> U e. CPreHilOLD ) $=
    ( chlo wcel ccbn ccphlo ishlo simprbi ) ABCADCAECAFG $.

  $( The class of all complex Hilbert spaces is a relation.  (Contributed by
     NM, 17-Mar-2007.)  (New usage is discouraged.) $)
  hlrel $p |- Rel CHilOLD $=
    ( vx chlo ccbn wss wrel cv hlobn ssriv bnrel relss mp2 ) BCDCEBEABCAFGHIBCJ
    K $.

  $( Every complex Hilbert space is a normed complex vector space.
     (Contributed by NM, 17-Mar-2007.)  (New usage is discouraged.) $)
  hlnv $p |- ( U e. CHilOLD -> U e. NrmCVec ) $=
    ( chlo wcel ccbn cnv hlobn bnnv syl ) ABCADCAECAFAGH $.

  ${
    hlnvi.1 $e |- U e. CHilOLD $.
    $( Every complex Hilbert space is a normed complex vector space.
       (Contributed by NM, 6-Jun-2008.)  (New usage is discouraged.) $)
    hlnvi $p |- U e. NrmCVec $=
      ( chlo wcel cnv hlnv ax-mp ) ACDAEDBAFG $.
  $}

  ${
    hlvc.1 $e |- W = ( 1st ` U ) $.
    $( Every complex Hilbert space is a complex vector space.  (Contributed by
       NM, 7-Sep-2007.)  (New usage is discouraged.) $)
    hlvc $p |- ( U e. CHilOLD -> W e. CVecOLD ) $=
      ( chlo wcel cnv cvc hlnv nvvc syl ) ADEAFEBGEAHABCIJ $.
  $}

  ${
    hlcmet.x $e |- X = ( BaseSet ` U ) $.
    hlcmet.8 $e |- D = ( IndMet ` U ) $.
    $( The induced metric on a complex Hilbert space is complete.  (Contributed
       by NM, 8-Sep-2007.)  (New usage is discouraged.) $)
    hlcmet $p |- ( U e. CHilOLD -> D e. ( CMet ` X ) ) $=
      ( chlo wcel ccbn ccmet cfv hlobn cbncms syl ) BFGBHGACIJGBKABCDELM $.

    $( The induced metric on a complex Hilbert space.  (Contributed by NM,
       7-Sep-2007.)  (New usage is discouraged.) $)
    hlmet $p |- ( U e. CHilOLD -> D e. ( Met ` X ) ) $=
      ( chlo wcel ccmet cfv cmet hlcmet cmetmet syl ) BFGACHIGACJIGABCDEKACLM
      $.
  $}

  ${
    hlpar2.1 $e |- X = ( BaseSet ` U ) $.
    hlpar2.2 $e |- G = ( +v ` U ) $.
    hlpar2.3 $e |- M = ( -v ` U ) $.
    hlpar2.6 $e |- N = ( normCV ` U ) $.
    $( The parallelogram law satisfied by Hilbert space vectors.  (Contributed
       by Steve Rodriguez, 28-Apr-2007.)  (New usage is discouraged.) $)
    hlpar2 $p |- ( ( U e. CHilOLD /\ A e. X /\ B e. X ) ->
      ( ( ( N ` ( A G B ) ) ^ 2 ) + ( ( N ` ( A M B ) ) ^ 2 ) ) =
        ( 2 x. ( ( ( N ` A ) ^ 2 ) + ( ( N ` B ) ^ 2 ) ) ) ) $=
      ( chlo wcel ccphlo co cfv c2 cexp caddc cmul wceq hlph phpar2 syl3an1 ) C
      LMCNMAGMBGMABDOFPQROABEOFPQROSOQAFPQROBFPQROSOTOUACUBABCDEFGHIJKUCUD $.
  $}

  ${
    hlpar.1 $e |- X = ( BaseSet ` U ) $.
    hlpar.2 $e |- G = ( +v ` U ) $.
    hlpar.4 $e |- S = ( .sOLD ` U ) $.
    hlpar.6 $e |- N = ( normCV ` U ) $.
    $( The parallelogram law satisfied by Hilbert space vectors.  (Contributed
       by Steve Rodriguez, 28-Apr-2007.)  (New usage is discouraged.) $)
    hlpar $p |- ( ( U e. CHilOLD /\ A e. X /\ B e. X ) ->
      ( ( ( N ` ( A G B ) ) ^ 2 ) + ( ( N ` ( A G ( -u 1 S B ) ) ) ^ 2 ) ) =
        ( 2 x. ( ( ( N ` A ) ^ 2 ) + ( ( N ` B ) ^ 2 ) ) ) ) $=
      ( chlo wcel ccphlo co cfv c2 cexp c1 caddc cneg cmul wceq phpar syl3an1
      hlph ) DLMDNMAGMBGMABEOFPQROASUABCOEOFPQROTOQAFPQROBFPQROTOUBOUCDUFABCDEF
      GHIJKUDUE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Standard axioms for a complex Hilbert space
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    hlex.1 $e |- X = ( BaseSet ` U ) $.
    $( The base set of a Hilbert space is a set.  (Contributed by NM,
       7-Sep-2007.)  (New usage is discouraged.) $)
    hlex $p |- X e. _V $=
      ( cba fvexi ) BADCE $.
  $}

  ${
    hladdf.1 $e |- X = ( BaseSet ` U ) $.
    hladdf.2 $e |- G = ( +v ` U ) $.
    $( Mapping for Hilbert space vector addition.  (Contributed by NM,
       7-Sep-2007.)  (New usage is discouraged.) $)
    hladdf $p |- ( U e. CHilOLD -> G : ( X X. X ) --> X ) $=
      ( chlo wcel cnv cxp wf hlnv nvgf syl ) AFGAHGCCICBJAKABCDELM $.

    $( Hilbert space vector addition is commutative.  (Contributed by NM,
       7-Sep-2007.)  (New usage is discouraged.) $)
    hlcom $p |- ( ( U e. CHilOLD /\ A e. X /\ B e. X ) ->
                ( A G B ) = ( B G A ) ) $=
      ( chlo wcel cnv co wceq hlnv nvcom syl3an1 ) CHICJIAEIBEIABDKBADKLCMABCDE
      FGNO $.

    $( Hilbert space vector addition is associative.  (Contributed by NM,
       7-Sep-2007.)  (New usage is discouraged.) $)
    hlass $p |- ( ( U e. CHilOLD /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                   ( ( A G B ) G C ) = ( A G ( B G C ) ) ) $=
      ( chlo wcel cnv w3a co wceq hlnv nvass sylan ) DIJDKJAFJBFJCFJLABEMCEMABC
      EMEMNDOABCDEFGHPQ $.
  $}

  ${
    hl0cl.1 $e |- X = ( BaseSet ` U ) $.
    hl0cl.5 $e |- Z = ( 0vec ` U ) $.
    $( The Hilbert space zero vector.  (Contributed by NM, 7-Sep-2007.)
       (New usage is discouraged.) $)
    hl0cl $p |- ( U e. CHilOLD -> Z e. X ) $=
      ( chlo wcel cnv hlnv nvzcl syl ) AFGAHGCBGAIABCDEJK $.
  $}

  ${
    hladdid.1 $e |- X = ( BaseSet ` U ) $.
    hladdid.2 $e |- G = ( +v ` U ) $.
    hladdid.5 $e |- Z = ( 0vec ` U ) $.
    $( Hilbert space addition with the zero vector.  (Contributed by NM,
       7-Sep-2007.)  (New usage is discouraged.) $)
    hladdid $p |- ( ( U e. CHilOLD /\ A e. X ) -> ( A G Z ) = A ) $=
      ( chlo wcel cnv co wceq hlnv nv0rid sylan ) BIJBKJADJAECLAMBNABCDEFGHOP
      $.
  $}

  ${
    hlmulf.1 $e |- X = ( BaseSet ` U ) $.
    hlmulf.4 $e |- S = ( .sOLD ` U ) $.
    $( Mapping for Hilbert space scalar multiplication.  (Contributed by NM,
       7-Sep-2007.)  (New usage is discouraged.) $)
    hlmulf $p |- ( U e. CHilOLD -> S : ( CC X. X ) --> X ) $=
      ( chlo wcel cnv cc cxp wf hlnv nvsf syl ) BFGBHGICJCAKBLABCDEMN $.

    $( Hilbert space scalar multiplication by one.  (Contributed by NM,
       7-Sep-2007.)  (New usage is discouraged.) $)
    hlmulid $p |- ( ( U e. CHilOLD /\ A e. X ) -> ( 1 S A ) = A ) $=
      ( chlo wcel cnv c1 co wceq hlnv nvsid sylan ) CGHCIHADHJABKALCMABCDEFNO
      $.

    $( Hilbert space scalar multiplication associative law.  (Contributed by
       NM, 7-Sep-2007.)  (New usage is discouraged.) $)
    hlmulass $p |- ( ( U e. CHilOLD /\ ( A e. CC /\ B e. CC /\ C e. X ) ) ->
                   ( ( A x. B ) S C ) = ( A S ( B S C ) ) ) $=
      ( chlo wcel cnv cc w3a cmul co wceq hlnv nvsass sylan ) EIJEKJALJBLJCFJMA
      BNOCDOABCDODOPEQABCDEFGHRS $.
  $}

  ${
    hldi.1 $e |- X = ( BaseSet ` U ) $.
    hldi.2 $e |- G = ( +v ` U ) $.
    hldi.4 $e |- S = ( .sOLD ` U ) $.
    $( Hilbert space scalar multiplication distributive law.  (Contributed by
       NM, 7-Sep-2007.)  (New usage is discouraged.) $)
    hldi $p |- ( ( U e. CHilOLD /\ ( A e. CC /\ B e. X /\ C e. X ) ) ->
                  ( A S ( B G C ) ) = ( ( A S B ) G ( A S C ) ) ) $=
      ( chlo wcel cnv cc w3a co wceq hlnv nvdi sylan ) EKLEMLANLBGLCGLOABCFPDPA
      BDPACDPFPQERABCDEFGHIJST $.

    $( Hilbert space scalar multiplication distributive law.  (Contributed by
       NM, 7-Sep-2007.)  (New usage is discouraged.) $)
    hldir $p |- ( ( U e. CHilOLD /\ ( A e. CC /\ B e. CC /\ C e. X ) ) ->
                  ( ( A + B ) S C ) = ( ( A S C ) G ( B S C ) ) ) $=
      ( chlo wcel cnv cc w3a caddc co wceq hlnv nvdir sylan ) EKLEMLANLBNLCGLOA
      BPQCDQACDQBCDQFQRESABCDEFGHIJTUA $.
  $}

  ${
    hlmul0.1 $e |- X = ( BaseSet ` U ) $.
    hlmul0.4 $e |- S = ( .sOLD ` U ) $.
    hlmul0.5 $e |- Z = ( 0vec ` U ) $.
    $( Hilbert space scalar multiplication by zero.  (Contributed by NM,
       7-Sep-2007.)  (New usage is discouraged.) $)
    hlmul0 $p |- ( ( U e. CHilOLD /\ A e. X ) -> ( 0 S A ) = Z ) $=
      ( chlo wcel cnv cc0 co wceq hlnv nv0 sylan ) CIJCKJADJLABMENCOABCDEFGHPQ
      $.
  $}

  ${
    hlipf.1 $e |- X = ( BaseSet ` U ) $.
    hlipf.7 $e |- P = ( .iOLD ` U ) $.
    $( Mapping for Hilbert space inner product.  (Contributed by NM,
       19-Nov-2007.)  (New usage is discouraged.) $)
    hlipf $p |- ( U e. CHilOLD -> P : ( X X. X ) --> CC ) $=
      ( chlo wcel cnv cxp cc wf hlnv ipf syl ) BFGBHGCCIJAKBLABCDEMN $.

    $( Conjugate law for Hilbert space inner product.  (Contributed by NM,
       8-Sep-2007.)  (New usage is discouraged.) $)
    hlipcj $p |- ( ( U e. CHilOLD /\ A e. X /\ B e. X ) ->
                  ( A P B ) = ( * ` ( B P A ) ) ) $=
      ( chlo wcel w3a co ccj cfv wceq cnv hlnv dipcj syl3an1 3com23 eqcomd ) DH
      IZAEIZBEIZJBACKLMZABCKZUAUCUBUDUENZUADOIUCUBUFDPBACDEFGQRST $.
  $}

  ${
    hlipdir.1 $e |- X = ( BaseSet ` U ) $.
    hlipdir.2 $e |- G = ( +v ` U ) $.
    hlipdir.7 $e |- P = ( .iOLD ` U ) $.
    $( Distributive law for Hilbert space inner product.  (Contributed by NM,
       8-Sep-2007.)  (New usage is discouraged.) $)
    hlipdir $p |- ( ( U e. CHilOLD /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                  ( ( A G B ) P C ) = ( ( A P C ) + ( B P C ) ) ) $=
      ( chlo wcel ccphlo w3a co caddc wceq hlph dipdir sylan ) EKLEMLAGLBGLCGLN
      ABFOCDOACDOBCDOPOQERABCDEFGHIJST $.
  $}

  ${
    hlipass.1 $e |- X = ( BaseSet ` U ) $.
    hlipass.4 $e |- S = ( .sOLD ` U ) $.
    hlipass.7 $e |- P = ( .iOLD ` U ) $.
    $( Associative law for Hilbert space inner product.  (Contributed by NM,
       8-Sep-2007.)  (New usage is discouraged.) $)
    hlipass $p |- ( ( U e. CHilOLD /\ ( A e. CC /\ B e. X /\ C e. X ) ) ->
                  ( ( A S B ) P C ) = ( A x. ( B P C ) ) ) $=
      ( chlo wcel ccphlo cc w3a co cmul wceq hlph dipass sylan ) FKLFMLANLBGLCG
      LOABEPCDPABCDPQPRFSABCDEFGHIJTUA $.
  $}

  ${
    hlipgt0.1 $e |- X = ( BaseSet ` U ) $.
    hlipgt0.5 $e |- Z = ( 0vec ` U ) $.
    hlipgt0.7 $e |- P = ( .iOLD ` U ) $.
    $( The inner product of a Hilbert space vector by itself is positive.
       (Contributed by NM, 8-Sep-2007.)  (New usage is discouraged.) $)
    hlipgt0 $p |- ( ( U e. CHilOLD /\ A e. X /\ A =/= Z ) -> 0 < ( A P A ) ) $=
      ( chlo wcel cnv wne cc0 co clt wbr hlnv cfv 3adant3 wceq cnmcv c2 cexp cr
      w3a eqid nvcl wa nvz biimpd necon3d 3impia sqgt0d ipidsq breqtrrd syl3an1
      ) CIJCKJZADJZAELZMAABNZOPCQUQURUSUEZMACUARZRZUBUCNZUTOVAVCUQURVCUDJUSACVB
      DFVBUFZUGSUQURUSVCMLUQURUHZVCMAEVFVCMTAETACVBDEFGVEUIUJUKULUMUQURUTVDTUSA
      BCVBDFVEHUNSUOUP $.
  $}

  ${
    hlcompl.1 $e |- D = ( IndMet ` U ) $.
    hlcompl.2 $e |- J = ( MetOpen ` D ) $.
    $( Completeness of a Hilbert space.  (Contributed by NM, 8-Sep-2007.)
       (Revised by Mario Carneiro, 9-May-2014.)  (New usage is discouraged.) $)
    hlcompl $p |- ( ( U e. CHilOLD /\ F e. ( Cau ` D ) ) ->
                    F e. dom ( ~~>t ` J ) ) $=
      ( chlo wcel cba cfv ccmet ccau clm cdm eqid hlcmet cmetcau sylan ) BGHABI
      JZKJHCALJHCDMJNHABSSOEPACDSFQR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Examples of complex Hilbert spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    cnhl.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The set of complex numbers is a complex Hilbert space.  (Contributed by
       Steve Rodriguez, 28-Apr-2007.)  (New usage is discouraged.) $)
    cnchl $p |- U e. CHilOLD $=
      ( chlo wcel ccbn ccphlo cnbn cncph ishlo mpbir2an ) ACDAEDAFDABGABHAIJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Hellinger-Toeplitz Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d w y F $.  $d w x y z K $.  $d w x y z N $.  $d w z P $.  $d w x y z W $.
    $d w x y z ph $.  $d u v w x y z T $.  $d u v w x y z U $.  $d w x y z X $.
    htth.1 $e |- X = ( BaseSet ` U ) $.
    htth.2 $e |- P = ( .iOLD ` U ) $.
    htth.3 $e |- L = ( U LnOp U ) $.
    htth.4 $e |- B = ( U BLnOp U ) $.
    ${
      htthlem.5 $e |- N = ( normCV ` U ) $.
      htthlem.6 $e |- U e. CHilOLD $.
      htthlem.7 $e |- W = <. <. + , x. >. , abs >. $.
      htthlem.8 $e |- ( ph -> T e. L ) $.
      htthlem.9 $e |- ( ph -> A. x e. X A. y e. X
                        ( x P ( T ` y ) ) = ( ( T ` x ) P y ) ) $.
      htthlem.10 $e |- F = ( z e. X |-> ( w e. X |-> ( w P ( T ` z ) ) ) ) $.
      htthlem.11 $e |- K = ( F " { z e. X | ( N ` z ) <_ 1 } ) $.
      $( Lemma for ~ htth .  The collection ` K ` , which consists of functions
         ` F ( z ) ( w ) = <. w | T ( z ) >. = <. T ( w ) | z >. ` for each
         ` z ` in the unit ball, is a collection of bounded linear functions by
         ~ ipblnfi , so by the Uniform Boundedness theorem ~ ubth , there is a
         uniform bound ` y ` on ` || F ( x ) || ` for all ` x ` in the unit
         ball.  Then ` | T ( x ) | ^ 2 = <. T ( x ) | T ( x ) >. = F ( x ) ( `
         ` T ( x ) ) <_ y | T ( x ) | ` , so ` | T ( x ) | <_ y ` and ` T ` is
         bounded.  (Contributed by NM, 11-Jan-2008.)  (Revised by Mario
         Carneiro, 23-Aug-2014.)  (New usage is discouraged.) $)
      htthlem $p |- ( ph -> T e. B ) $=
        ( wcel cnmoo co cfv cpnf clt wbr cr cv c1 cle wi wral wrex wa cnv hlnvi
        cabs lnof mp3an12 syl ffvelrnda nvcl wceq crab wfun cima cblo cmpt chlo
        wf sylancr ccphlo hlph ax-mp eqid ipblnfi fmptd ffund adantr id fvelima
        eleqtrdi syl2an ex weq fveq2 breq1d cba oveq2d mpteq2dv mptfvmpt fveq1d
        elrab oveq1 ovex fvmpt sylan9eqr ad2ant2lr rsp2 impl adantrr eqtrd cmul
        fveq2d cc simpl dipcl mp3an1 abscld mpan ad2antrl remulcld sii cc0 1red
        nvge0 jca simprr lemul2a syl31anc recnd mulid1d breqtrd letrd syl5ibcom
        eqbrtrd syld syl2anc wb mpbid ad2ant2r mpd expr sylan2b fveq1 rexlimdva
        ralrimiv brralrspcev ralrimiva wss crn imassrn eqsstri frnd sstrid ccbn
        hlobn cnnv cnnvnm simpr sylibr cdm dmmptd eleq2d biimpar funfvima sylan
        ubth syldan eleqtrrdi rspcv cnnvba nmblore simplr c2 cexp adantl ipidsq
        resqcl sqge0 absidd sqvald 3eqtrd nmblolbi eqbrtrrd lemul1ad w3a lemul1
        biimprd 3expia expdimp syl21anc mpid 0red blof nmooge0 breq1 0re mpjaod
        wo leloe com23 ralrimdva reximdva nmobndi mpbird ltpnf isblo sylanbrc
        mp2an ) AHLUGZHIIUHUIZUJZUKULUMZHFUGZUCAUXJUNUGZUXKAUXMBUOZMUJZUPUQUMZU
        XNHUJZMUJZCUOZUQUMZURZBOUSZCUNUTZAEUOZINUHUIZUJZUXSUQUMZEKUSZCUNUTZUYCA
        UXNUYDUJZVDUJZDUOZUQUMEKUSDUNUTZBOUSZUYIAUYMBOAUXNOUGZVAZUXRUNUGZUYKUXR
        UQUMZEKUSUYMUYPIVBUGZUXQOUGZUYQIUAVCZAOOUXNHAUXHOOHVQZUCUYSUYSUXHVUBVUA
        VUAHILIOOPPRVEVFVGZVHZUXQIMOPTVIVRZUYPUYREKUYPUYDKUGZUXSJUJZUYDVJZCUYLM
        UJZUPUQUMZDOVKZUTZUYRUYPVUFVULUYPJVLZUYDJVUKVMZUGVULVUFAVUMUYOAOINVNUIZ
        JADOEOUYDUYLHUJZGUIZVOZVUOJAUYLOUGVAVUPOUGVURVUOUGAOOUYLHVUCVHEVUPVUONG
        IVUROPQIVPUGZIVSUGUAIVTWAZUBVUOWBZVURWBWCVGZUEWDZWEZWFVUFUYDKVUNVUFWGUF
        WICUYDVUKJWHWJWKUYPVUHUYRCVUKUYPUXSVUKUGZVAUXNVUGUJZVDUJZUXRUQUMZVUHUYR
        VVEUYPUXSOUGZUXSMUJZUPUQUMZVAZVVHVUJVVKDUXSODCWLZVUIVVJUPUQUYLUXSMWMWNW
        TUYPVVLVAZVVGUXQUXSGUIZVDUJZUXRUQVVNVVFVVOVDVVNVVFUXNUXSHUJZGUIZVVOUYOV
        VIVVFVVRVJAVVKVVIUYOVVFUXNEOUYDVVQGUIZVOZUJVVRVVIUXNVUGVVTEDVVSWOJVUROO
        IUXSVVMEOVUQVVSVVMVUPVVQUYDGUYLUXSHWMWPWQUEPWRWSEUXNVVSVVROVVTUYDUXNVVQ
        GXAVVTWBUXNVVQGXBXCXDXEUYPVVIVVRVVOVJZVVKAUYOVVIVWAAVWACOUSBOUSUYOVVIVA
        VWAURUDVWABCOOXFVGXGXHXIXKVVNVVPUXRVVJXJUIZUXRVVNVVOUYPUYTVVIVVOXLUGZVV
        LVUDVVIVVKXMZUYSUYTVVIVWCVUAUXQUXSGIOPQXNXOWJXPVVNUXRVVJUYPUYQVVLVUEWFZ
        VVIVVJUNUGZUYPVVKUYSVVIVWFVUAUXSIMOPTVIXQXRZXSVWEUYPUYTVVIVVPVWBUQUMVVL
        VUDVWDUXQUXSGIMOPTQVUTXTWJVVNVWBUXRUPXJUIZUXRUQVVNVWFUPUNUGUYQYAUXRUQUM
        ZVAZVVKVWBVWHUQUMVWGVVNYBUYPVWJVVLUYPUYQVWIVUEUYPUYSUYTVWIVUAVUDUXQIMOP
        TYCZVRYDWFUYPVVIVVKYEVVJUPUXRYFYGVVNUXRVVNUXRVWEYHYIYJYKYMUUAVUHVVGUYKU
        XRUQVUHVVFUYJVDUXNVUGUYDUUBXKWNYLUUCYNUUDDEUYKUXRUQUNKUUEYOUUFAKVUOUUGZ
        UYNUYIYPZAKJUUHZVUOKVUNVWNUFJVUKUUIUUJAOVUOJVVCUUKUULIUUMUGZNVBUGZVWLVW
        MVUSVWOUAIUUNWANUBUUOZBEKIUYEVDNODCPNUBUUPZUYEWBZUVEVFVGYQAUYHUYBCUNAUX
        SUNUGZVAZUYHUYABOVXAUYOVAUXPUYHUXTVXAUYOUXPUYHUXTURVXAUYOUXPVAZVAZUYHUX
        NJUJZUYEUJZUXSUQUMZUXTVXCVXDKUGUYHVXFURVXCVXDVUNKVXCUXNVUKUGZVXDVUNUGZV
        XCVXBVXGVXAVXBUUQVUJUXPDUXNODBWLZVUIUXOUPUQUYLUXNMWMWNWTUURAUYOVXGVXHUR
        ZVWTUXPAUYOUXNJUUSZUGZVXJAVXLUYOAVXKOUXNADJOVURVUOUEVVBUUTUVAUVBAVUMVXL
        VXJVVDVUKUXNJUVCUVDUVFYRYSUFUVGUYGVXFEVXDKUYDVXDVJUYFVXEUXSUQUYDVXDUYEW
        MWNUVHVGVXAUYOVXFUXTURUXPVXAUYOVXFUXTVXAUYOVXFVAZVAZYAUXRULUMZUXTYAUXRV
        JZVXNVXOUXRUXRXJUIZUXSUXRXJUIZUQUMZUXTVXNVXQVXEUXRXJUIZVXRVXNUXRUXRAUYO
        UYQVWTVXFVUEYRZVYAXSVXNVXEUXRAUYOVXEUNUGZVWTVXFUYPVXDVUOUGZVYBAOVUOUXNJ
        VVCVHZUYSVWPVYCVYBVUAVWQVUOVXDIUYENOXLPNUBUVIZVWSVVAUVJVFVGYRZVYAXSVXNU
        XSUXRAVWTVXMUVKZVYAXSVXNUXQVXDUJZVDUJZVXQVXTUQVXNVYIUXRUVLUVMUIZVDUJZVY
        JVXQVXNVYHVYJVDVXNVYHUXQUXQGUIZVYJAUYOVYHVYLVJVWTVXFUYPVYHUXQEOUYDUXQGU
        IZVOZUJZVYLUYPUXQVXDVYNUYOVXDVYNVJAEDVYMWOJVUROOIUXNVXIEOVUQVYMVXIVUPUX
        QUYDGUYLUXNHWMWPWQUEPWRUVNWSUYPUYTVYOVYLVJVUDEUXQVYMVYLOVYNUYDUXQUXQGXA
        VYNWBUXQUXQGXBXCVGXIYRVXNUYSUYTVYLVYJVJVUAAUYOUYTVWTVXFVUDYRZUXQGIMOPTQ
        UVOVRXIXKVXNUYQVYKVYJVJVYAUYQVYJUXRUVPUXRUVQUVRVGVXNUXRVXNUXRVYAYHUVSUV
        TVXNVYCUYTVYIVXTUQUMAUYOVYCVWTVXFVYDYRVYPUXQVUOVXDIMVDUYENOPTVWRVWSVVAV
        UAVWQUWAYOUWBVXNVXEUXSUXRVYFVYGVYAVXNUYSUYTVWIVUAVYPVWKVRZVXAUYOVXFYEZU
        WCYKVXNUYQVWTUYQVXOVXSUXTURZURVYAVYGVYAUYQVWTVAUYQVXOVYSUYQVWTUYQVXOVAZ
        VYSUYQVWTVYTUWDUXTVXSUXRUXSUXRUWEUWFUWGUWHUWIUWJVXNYAUXSUQUMVXPUXTVXNYA
        VXEUXSVXNUWKVYFVYGVXNOXLVXDVQZYAVXEUQUMZAUYOWUAVWTVXFUYPVYCWUAVYDUYSVWP
        VYCWUAVUAVWQVUOVXDINOXLPVYEVVAUWLVFVGYRUYSVWPWUAWUBVUAVWQVXDIUYENOXLPVY
        EVWSUWMVFVGVYRYKYAUXRUXSUQUWNYLVXNVWIVXOVXPUWQZVYQVXNYAUNUGUYQVWIWUCYPU
        WOVYAYAUXRUWRVRYQUWPYTXHYNYTUWSUWTUXAYSAVUBUXMUYCYPVUCBHIMMUXIIOOCPPTTU
        XIWBZVUAVUAUXBVGUXCUXJUXDVGUYSUYSUXLUXHUXKVAYPVUAVUAFHILUXIIWUDRSUXEUXG
        UXF $.
    $}

    $( Hellinger-Toeplitz Theorem: any self-adjoint linear operator defined on
       all of Hilbert space is bounded.  Theorem 10.1-1 of [Kreyszig] p. 525.
       Discovered by E. Hellinger and O. Toeplitz in 1910, "it aroused both
       admiration and puzzlement since the theorem establishes a relation
       between properties of two different kinds, namely, the properties of
       being defined everywhere and being bounded."  (Contributed by NM,
       11-Jan-2008.)  (Revised by Mario Carneiro, 23-Aug-2014.)
       (New usage is discouraged.) $)
    htth $p |- ( ( U e. CHilOLD /\ T e. L /\
        A. x e. X A. y e. X ( x P ( T ` y ) ) = ( ( T ` x ) P y ) ) ->
      T e. B ) $=
      ( vw cv cfv co wceq wral fveq2 eqid vu vv vz chlo wcel wa caddc cmul cabs
      wi cop cif clno cdip cba cblo oveq12 anidms syl5eq eleq2d oveqd raleqbidv
      eqeq12d anbi12d imbi12d cmpt cnmcv c1 cle wbr crab cima cnchl simpl simpr
      elimel oveq1 oveq1d oveq2d oveq2 cbvral2vw sylib cbvmptv mpteq2dv cbvrabv
      breq1d imaeq2i htthlem dedth 3impib ) FUDUEZEGUEZANZBNZEOZDPZWMEOZWNDPZQZ
      BHRZAHRZECUEZWKWLXAUFZXBUJEWKFUGUHUKUIUKZULZXEUMPZUEZWMWOXEUNOZPZWQWNXHPZ
      QZBXEUOOZRZAXLRZUFZEXEXEUPPZUEZUJFXDFXEQZXCXOXBXQXRWLXGXAXNXRGXFEXRGFFUMP
      ZXFKXRXSXFQFXEFXEUMUQURUSUTXRWTXMAHXLXRHFUOOXLIFXEUOSUSZXRWSXKBHXLXTXRWPX
      IWRXJXRDXHWMWOXRDFUNOXHJFXEUNSUSZVAXRDXHWQWNYAVAVCVBVBVDXRCXPEXRCFFUPPZXP
      LXRYBXPQFXEFXEUPUQURUSUTVEXOUAUBUCMXPXHEXEAXLBXLWNWQXHPZVFZVFZYEWMXEVGOZO
      ZVHVIVJZAXLVKZVLXFYFXDXLXLTXHTXFTXPTYFTFXDUDXDXDTZVMVPYJXGXNVNXOXNUANZUBN
      ZEOZXHPZYKEOZYLXHPZQZUBXLRUAXLRXGXNVOXKYQYKWOXHPZYOWNXHPZQABUAUBXLXLWMYKQ
      ZXIYRXJYSWMYKWOXHVQYTWQYOWNXHWMYKESVRVCWNYLQZYRYNYSYPUUAWOYMYKXHWNYLESVSW
      NYLYOXHVTVCWAWBAUCXLYDMXLMNZUCNZEOZXHPZVFZWMUUCQZYDMXLUUBWQXHPZVFUUFBMXLY
      CUUHWNUUBWQXHVQWCUUGMXLUUHUUEUUGWQUUDUUBXHWMUUCESVSWDUSWCYIUUCYFOZVHVIVJZ
      UCXLVKYEYHUUJAUCXLUUGYGUUIVHVIWMUUCYFSWFWEWGWHWIWJ $.
  $}
$( End $[ set-deprec.mm $] $)


$( Begin $[ set-typeset.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Appendix:  Typesetting definitions for the tokens in this file
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$( $t

/* The '$ t' (no space between '$' and 't') token indicates the beginning
    of the typesetting definition section, embedded in a Metamath
    comment.  There may only be one per source file, and the typesetting
    section ends with the end of the Metamath comment.  The typesetting
    section uses C-style comment delimiters.  TODO:  Allow multiple
    typesetting comments */

/* These are the LaTeX and HTML definitions in the order the tokens are
    introduced in $c or $v statements.  See HELP TEX or HELP HTML in the
    Metamath program. */

/* Note that the ALT= fields in htmldefs should be preceded by a space.  This
   ensures that a screen copy from the web page will have a space between
   symbols. */
/* Math font table with XITS and LaTeX defs:
   http://meeting.contextgarden.net/2011/talks/day3_05_ulrik_opentype/Samples/
           unimath-symbols.pdf */


/******* Web page format settings *******/

/* Custom CSS for Unicode fonts */
/* The woff font file was obtained from
   http://fred-wang.github.io/MathFonts/XITS/xits-math.woff 28-Aug-2015 */
htmlcss '<STYLE TYPE="text/css">\n' +
    '<!--\n' +
    '  .setvar { color: red; }\n' +
    '  .wff { color: blue; }\n' +
    '  .class { color: #C3C; }\n' +
    '  .symvar { border-bottom:1px dotted;color:#C3C}\n' +
    '  .typecode { color: gray }\n' +
    '  .hidden { color: gray }\n' +
    '  @font-face {\n' +
    '    font-family: XITSMath-Regular;\n' +
    '    src: url(xits-math.woff);\n' +
    '  }\n' +
    '  .math { font-family: XITSMath-Regular }\n' +
    '-->\n' +
    '</STYLE>\n' +
    '<LINK href="mmset.css" title="mmset"\n' +
    '    rel="stylesheet" type="text/css">\n' +
    '<LINK href="mmsetalt.css" title="mmsetalt"\n' +
    '    rel="alternate stylesheet" type="text/css">';

/* Tag(s) for the main SPAN surrounding all Unicode math */
htmlfont 'CLASS=math';

/* Page title, home page link */
htmltitle "Metamath Proof Explorer";
htmlhome '<A HREF="mmset.html"><FONT SIZE=-2 FACE=sans-serif>' +
    '<IMG SRC="mm.gif" BORDER=0 ALT='  +
    '"Home" HEIGHT=32 WIDTH=32 ALIGN=MIDDLE STYLE="margin-bottom:0px">' +
    'Home</FONT></A>';
/* Optional file where bibliographic references are kept */
/* If specified, e.g., "mmset.html", Metamath will hyperlink all strings of the
   form "[rrr]" (where "rrr" has no whitespace) to "mmset.html#rrr" */
/* A warning will be given if the file "mmset.html" with the bibliographical
   references is not present.  It is read in order to check existence of
   the references. */
htmlbibliography "mmset.html";

/* Page title, home page link */
/* These are the variables used for the Hilbert Space extension to
   set.mm. */
exthtmltitle "Hilbert Space Explorer";
exthtmlhome '<A HREF="mmhil.html"><FONT SIZE=-2 FACE=sans-serif>' +
    '<IMG SRC="atomic.gif" BORDER=0 ALT='  +
    '"Home" HEIGHT=32 WIDTH=32 ALIGN=MIDDLE STYLE="margin-bottom:0px">' +
    'Home</FONT></A>';
/* The variable "exthtmllabel" means that all states including
   and after this label should use the "ext..." variables. */
exthtmllabel "chba";
/* A warning will be given if the file with the bibliographical references
   is not present. */
exthtmlbibliography "mmhil.html";

/* Variable color key at the bottom of each proof table */
htmlvarcolor '<SPAN CLASS=wff STYLE="color:blue;font-style:normal">wff</SPAN> '
    + '<SPAN CLASS=setvar STYLE="color:red;font-style:normal">setvar</SPAN> '
    + '<SPAN CLASS=class STYLE="color:#C3C;font-style:normal">class</SPAN>';

/* GIF and Unicode HTML directories - these are used for the GIF version to
   crosslink to the Unicode version and vice-versa */
htmldir "../mpegif/";
althtmldir "../mpeuni/";

/* Optional link(s) to other versions of the theorem page.  A "*" is replaced
   with the label of the current theorem.  If you need a literal "*" as part
   of the URL, use the alternate URL encoding "%2A". */
htmlexturl '<A HREF="http://metamath.tirix.org/mpests/*.html">'
    + 'Structured version</A>&nbsp;&nbsp; '
    + '<A HREF="https://expln.github.io/metamath/asrt/*.html">'
    + 'Visualization version</A>&nbsp;&nbsp; ';


/******* Symbol definitions *******/

htmldef "(" as "<IMG SRC='lp.gif' WIDTH=5 HEIGHT=19 ALT=' (' TITLE='('>";
  althtmldef "(" as "(";
  latexdef "(" as "(";
htmldef ")" as "<IMG SRC='rp.gif' WIDTH=5 HEIGHT=19 ALT=' )' TITLE=')'>";
  althtmldef ")" as ")";
  latexdef ")" as ")";
htmldef "->" as
    " <IMG SRC='to.gif' WIDTH=15 HEIGHT=19 ALT=' -&gt;' TITLE='-&gt;'> ";
  althtmldef "->" as " &rarr; ";
  latexdef "->" as " \rightarrow ";
htmldef "-." as
    "<IMG SRC='lnot.gif' WIDTH=10 HEIGHT=19 ALT=' -.' TITLE='-.'> ";
  althtmldef "-." as '&not; ';
  latexdef "-." as "\lnot";
htmldef "wff" as
    "<IMG SRC='_wff.gif' WIDTH=24 HEIGHT=19 ALT=' wff' TITLE='wff'> ";
  althtmldef "wff" as
    '<SPAN CLASS=typecode STYLE="color:gray">wff </SPAN>'; /* was #00CC00 */
  latexdef "wff" as "\mathrm{wff}";
htmldef "|-" as
    "<IMG SRC='_vdash.gif' WIDTH=10 HEIGHT=19 ALT=' |-' TITLE='|-'> ";
  althtmldef "|-" as
    '<SPAN CLASS=hidden STYLE="color:gray">&#8866; </SPAN>'; /* &vdash; */
    /* Without sans-serif, way too big in FF3 */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "|-" as "\vdash";
htmldef "&" as
    " <IMG SRC='amp.gif' WIDTH=12 HEIGHT=19 ALT='&amp;'> ";
  althtmldef "&" as " &amp; ";
  latexdef "&" as "\mathrel{\&}";
htmldef "=>" as
  " <IMG SRC='bigto.gif' WIDTH=15 HEIGHT=19 ALT='=&gt;'> ";
  althtmldef "=>" as " &rArr; ";
  latexdef "=>" as " \Rightarrow ";
htmldef "ph" as
    "<IMG SRC='_varphi.gif' WIDTH=11 HEIGHT=19 ALT=' ph' TITLE='ph'>";
  /* althtmldef "ph" as '<FONT COLOR="#0000FF">&#x1D711;</SPAN>'; */
  althtmldef "ph" as '<SPAN CLASS=wff STYLE="color:blue">&#x1D711;</SPAN>';
  latexdef "ph" as "\varphi";
htmldef "ps" as "<IMG SRC='_psi.gif' WIDTH=12 HEIGHT=19 ALT=' ps' TITLE='ps'>";
  althtmldef "ps" as '<SPAN CLASS=wff STYLE="color:blue">&#x1D713;</SPAN>';
  latexdef "ps" as "\psi";
htmldef "ch" as "<IMG SRC='_chi.gif' WIDTH=12 HEIGHT=19 ALT=' ch' TITLE='ch'>";
  althtmldef "ch" as '<SPAN CLASS=wff STYLE="color:blue">&#x1D712;</SPAN>';
  latexdef "ch" as "\chi";
htmldef "th" as
    "<IMG SRC='_theta.gif' WIDTH=8 HEIGHT=19 ALT=' th' TITLE='th'>";
  althtmldef "th" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D703;</SPAN>';
  latexdef "th" as "\theta";
htmldef "ta" as "<IMG SRC='_tau.gif' WIDTH=10 HEIGHT=19 ALT=' ta' TITLE='ta'>";
  althtmldef "ta" as '<SPAN CLASS=wff STYLE="color:blue">&#x1D70F;</SPAN>';
  latexdef "ta" as "\tau";
htmldef "et" as "<IMG SRC='_eta.gif' WIDTH=9 HEIGHT=19 ALT=' et' TITLE='et'>";
  althtmldef "et" as '<SPAN CLASS=wff STYLE="color:blue">&#x1D702;</SPAN>';
  latexdef "et" as "\eta";
htmldef "ze" as "<IMG SRC='_zeta.gif' WIDTH=9 HEIGHT=19 ALT=' ze' TITLE='ze'>";
  althtmldef "ze" as '<SPAN CLASS=wff STYLE="color:blue">&#x1D701;</SPAN>';
  latexdef "ze" as "\zeta";
htmldef "si" as
    "<IMG SRC='_sigma.gif' WIDTH=10 HEIGHT=19 ALT=' si' TITLE='si'>";
  althtmldef "si" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D70E;</SPAN>';
  latexdef "si" as "\sigma";
htmldef "rh" as "<IMG SRC='_rho.gif' WIDTH=9 HEIGHT=19 ALT=' rh' TITLE='rh'>";
  althtmldef "rh" as '<SPAN CLASS=wff STYLE="color:blue">&#x1D70C;</SPAN>';
  latexdef "rh" as "\rho";
htmldef "mu" as "<IMG SRC='_mu.gif' WIDTH=10 HEIGHT=19 ALT=' mu' TITLE='mu'>";
  althtmldef "mu" as '<SPAN CLASS=wff STYLE="color:blue">&#x1D707;</SPAN>';
  latexdef "mu" as "\mu";
htmldef "la" as
    "<IMG SRC='_lambda.gif' WIDTH=9 HEIGHT=19 ALT=' la' TITLE='la'>";
  althtmldef "la" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D706;</SPAN>';
  latexdef "la" as "\lambda";
htmldef "ka" as
    "<IMG SRC='_kappa.gif' WIDTH=9 HEIGHT=19 ALT=' ka' TITLE='ka'>";
  althtmldef "ka" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D705;</SPAN>';
  latexdef "ka" as "\kappa";
htmldef "<->" as " <IMG SRC='leftrightarrow.gif' WIDTH=15 HEIGHT=19 " +
    "ALT=' &lt;-&gt;' TITLE='&lt;-&gt;'> ";
  althtmldef "<->" as ' &harr; ';
  latexdef "<->" as "\leftrightarrow";
htmldef "\/" as
     " <IMG SRC='vee.gif' WIDTH=11 HEIGHT=19 ALT=' \/' TITLE='\/'> ";
  althtmldef "\/" as ' &or; ' ;
    /* althtmldef "\/" as ' <FONT FACE=sans-serif>&#8897;</FONT> ' ; */
    /* was &or; - changed to match font of &and; replacement */
    /* Changed back 6-Mar-2012 NM */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "\/" as "\vee";
htmldef "/\" as
    " <IMG SRC='wedge.gif' WIDTH=11 HEIGHT=19 ALT=' /\' TITLE='/\'> ";
  althtmldef "/\" as ' &and; ';
    /* althtmldef "/\" as ' <FONT FACE=sans-serif>&#8896;</FONT> '; */
    /* was &and; which is circle in Mozilla on WinXP Pro (but not Home) */
    /* Changed back 6-Mar-2012 NM */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "/\" as "\wedge";
htmldef "-/\" as
    " <IMG SRC='barwedge.gif' WIDTH=9 HEIGHT=19 ALT=' -/\' TITLE='-/\'> ";
  althtmldef "-/\" as ' &#8892; ';
    /*althtmldef "-/\" as " &#8892; "; */ /* too-high font bug in FF */
    /* barwedge, U022BC, alias ISOAMSB barwed, ['nand'] */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "-/\" as "\barwedge";
htmldef "\/_" as
    " <IMG SRC='veebar.gif' WIDTH=9 HEIGHT=19 ALT=' \/_' TITLE='\/_'> ";
  althtmldef "\/_" as " &#8891; ";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "\/_" as "\mathrel{\underline{\vee}}";
htmldef "-\/" as
    " <IMG SRC='vee.gif' WIDTH=9 HEIGHT=19 ALT=' -\/' TITLE='-\/' " +
    " STYLE='text-decoration:overline;'> ";
  althtmldef "-\/" as
    ' <span>&#8893;</span> ';
  latexdef "-\/" as "\mathrel{\overline{\vee}}";
htmldef "T." as
    " <IMG SRC='top.gif' WIDTH=11 HEIGHT=19 ALT='T.' TITLE='T.'> ";
  althtmldef "T." as '&#x22A4;';
  latexdef "T." as "\top";
htmldef "F." as
    " <IMG SRC='perp.gif' WIDTH=11 HEIGHT=19 ALT='F.' TITLE='F.'> ";
  althtmldef "F." as '&perp;';
  latexdef "F." as "\bot";
htmldef "hadd" as "hadd";
  althtmldef "hadd" as "hadd";
  latexdef "hadd" as "\text{ hadd }";
htmldef "cadd" as "cadd";
  althtmldef "cadd" as "cadd";
  latexdef "cadd" as "\text{ cadd }";
htmldef "A." as
    "<IMG SRC='forall.gif' WIDTH=10 HEIGHT=19 ALT=' A.' TITLE='A.'>";
  althtmldef "A." as '&forall;'; /* &#8704; */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "A." as "\forall";
htmldef "setvar" as
    "<IMG SRC='_setvar.gif' WIDTH=40 HEIGHT=19 ALT=' setvar' TITLE='setvar'> ";
  althtmldef
    "setvar" as '<SPAN CLASS=typecode STYLE="color:gray">setvar </SPAN>';
  latexdef "setvar" as "\mathrm{setvar}";
htmldef "x" as "<IMG SRC='_x.gif' WIDTH=10 HEIGHT=19 ALT=' x' TITLE='x'>";
  /* http://www.unicode.org/charts/PDF/U1D400.pdf has math italic Unicode */
  althtmldef "x" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D465;</SPAN>';
  latexdef "x" as "x";
htmldef "y" as "<IMG SRC='_y.gif' WIDTH=9 HEIGHT=19 ALT=' y' TITLE='y'>";
  althtmldef "y" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D466;</SPAN>';
  latexdef "y" as "y";
htmldef "z" as "<IMG SRC='_z.gif' WIDTH=9 HEIGHT=19 ALT=' z' TITLE='z'>";
  althtmldef "z" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D467;</SPAN>';
  latexdef "z" as "z";
htmldef "w" as "<IMG SRC='_w.gif' WIDTH=12 HEIGHT=19 ALT=' w' TITLE='w'>";
  althtmldef "w" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D464;</SPAN>';
  latexdef "w" as "w";
htmldef "v" as "<IMG SRC='_v.gif' WIDTH=9 HEIGHT=19 ALT=' v' TITLE='v'>";
  althtmldef "v" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D463;</SPAN>';
  latexdef "v" as "v";
htmldef "u" as "<IMG SRC='_u.gif' WIDTH=10 HEIGHT=19 ALT=' u' TITLE='u'>";
  althtmldef "u" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D462;</SPAN>';
  latexdef "u" as "u";
htmldef "t" as "<IMG SRC='_t.gif' WIDTH=7 HEIGHT=19 ALT=' t' TITLE='t'>";
  althtmldef "t" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D461;</SPAN>';
  latexdef "t" as "t";
htmldef "E." as
    "<IMG SRC='exists.gif' WIDTH=9 HEIGHT=19 ALT=' E.' TITLE='E.'>";
  althtmldef "E." as '&exist;'; /* &#8707; */
    /* Without sans-serif, bad in Opera and way too big in FF3 */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "E." as "\exists";
htmldef "F/" as
    "<IMG SRC='finv.gif' WIDTH=9 HEIGHT=19 ALT=' F/' TITLE='F/'>";
  althtmldef "F/" as "&#8498;";
  latexdef "F/" as "\Finv";
htmldef "class" as
    "<IMG SRC='_class.gif' WIDTH=32 HEIGHT=19 ALT=' class' TITLE='class'> ";
  althtmldef "class" as
    '<SPAN CLASS=typecode STYLE="color:gray">class </SPAN>';
  latexdef "class" as "\mathrm{class}";
htmldef "=" as " <IMG SRC='eq.gif' WIDTH=12 HEIGHT=19 ALT=' =' TITLE='='> ";
  althtmldef "=" as ' = '; /* &equals; */
  latexdef "=" as "=";
htmldef "e." as " <IMG SRC='in.gif' WIDTH=10 HEIGHT=19 ALT=' e.' TITLE='e.'> ";
  althtmldef "e." as ' &isin; ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "e." as "\in";
htmldef "[" as "<IMG SRC='lbrack.gif' WIDTH=5 HEIGHT=19 ALT=' [' TITLE='['>";
  althtmldef "[" as '['; /* &lsqb; */
  latexdef "[" as "[";
htmldef "/" as
    " <IMG SRC='solidus.gif' WIDTH=6 HEIGHT=19 ALT=' /' TITLE='/'> ";
  althtmldef "/" as ' / '; /* &sol; */
  latexdef "/" as "/";
htmldef "]" as "<IMG SRC='rbrack.gif' WIDTH=5 HEIGHT=19 ALT=' ]' TITLE=']'>";
  althtmldef "]" as ']'; /* &rsqb; */
  latexdef "]" as "]";
htmldef "E!" as "<IMG SRC='_e1.gif' WIDTH=12 HEIGHT=19 ALT=' E!' TITLE='E!'>";
  althtmldef "E!" as '&exist;!';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "E!" as "\exists{!}";
htmldef "E*" as "<IMG SRC='_em1.gif' WIDTH=15 HEIGHT=19 ALT=' E*' TITLE='E*'>";
  althtmldef "E*" as '&exist;*';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "E*" as "\exists^\ast";
htmldef "{" as "<IMG SRC='lbrace.gif' WIDTH=6 HEIGHT=19 ALT=' {' TITLE='{'>";
  althtmldef "{" as '{'; /* &lcub; */
  latexdef "{" as "\{";
htmldef "|" as " <IMG SRC='vert.gif' WIDTH=3 HEIGHT=19 ALT=' |' TITLE='|'> ";
  althtmldef "|" as ' &#8739; '; /* &vertbar; */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "|" as "|";
htmldef "}" as "<IMG SRC='rbrace.gif' WIDTH=6 HEIGHT=19 ALT=' }' TITLE='}'>";
  althtmldef "}" as '}'; /* &rcub; */
  latexdef "}" as "\}";
htmldef "F/_" as
    "<IMG SRC='_finvbar.gif' WIDTH=9 HEIGHT=19 ALT=' F/_' TITLE='F/_'>";
  althtmldef "F/_" as "<U>&#8498;</U>";
  latexdef "F/_" as "\underline{\Finv}";
htmldef "CondEq" as "CondEq";
  althtmldef "CondEq" as "CondEq";
  latexdef "CondEq" as "\text{ CondEq }";
htmldef "./\" as
    " <IMG SRC='_.wedge.gif' WIDTH=11 HEIGHT=19 ALT=' ./\' TITLE='./\'> ";
  althtmldef "./\" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&and;</SPAN> ';
  latexdef "./\" as "\wedge";
htmldef ".\/" as
    " <IMG SRC='_.vee.gif' WIDTH=11 HEIGHT=19 ALT=' .\/' TITLE='.\/'> ";
  althtmldef ".\/" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&or;</SPAN> ';
  latexdef ".\/" as "\vee";
htmldef ".<_" as
    " <IMG SRC='_.le.gif' WIDTH=11 HEIGHT=19 ALT=' .&lt;_' TITLE='.&lt;_'> ";
  althtmldef ".<_" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&le;</SPAN> ';
  latexdef ".<_" as "\le";
htmldef ".<" as     /* Symbol as variable */
    " <IMG SRC='_.lt.gif' WIDTH=11 HEIGHT=19 ALT=' .&lt;' TITLE='.&lt;'> ";
  althtmldef ".<" as
    /* This is how to put a dotted box around the symbol: */
    /* border means box around symbol; border-bottom underlines symbol */
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&lt;</SPAN> ';
    /* TODO: can this STYLE sequence be done with a CLASS? */
    /* Move the underline down 3px so it isn't too close to symbol */
    /*
    ' <SPAN STYLE="vertical-align:-3px">' +
    '<SPAN CLASS=symvar STYLE="text-decoration:underline dotted;color:#C3C">' +
    '<SPAN STYLE="vertical-align:3px">&lt;</SPAN></SPAN></SPAN> ';
    */
  latexdef ".<" as "<";
htmldef ".+" as
    " <IMG SRC='_.plus.gif' WIDTH=13 HEIGHT=19 ALT=' .+' TITLE='.+'> ";
  althtmldef ".+" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '+</SPAN> ';
  latexdef ".+" as "+";
htmldef ".-" as
    " <IMG SRC='_.minus.gif' WIDTH=11 HEIGHT=19 ALT=' .-' TITLE='.-'> ";
  althtmldef ".-" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&minus;</SPAN> ';
  latexdef ".-" as "-";
htmldef ".X." as
    " <IMG SRC='_.times.gif' WIDTH=9 HEIGHT=19 ALT=' .X.' TITLE='.X.'> ";
  althtmldef ".X." as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&times;</SPAN> ';
  latexdef ".X." as "\times";
htmldef "./" as
    " <IMG SRC='_.solidus.gif' WIDTH=8 HEIGHT=19 ALT=' ./' TITLE='./'> ";
  althtmldef "./" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '/</SPAN> ';
  latexdef "./" as "/";
htmldef ".^" as
    " <IMG SRC='_.uparrow.gif' WIDTH=7 HEIGHT=19 ALT=' .^' TITLE='.^'> ";
  althtmldef ".^" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&uarr;</SPAN> ';
  latexdef ".^" as "\uparrow";
htmldef ".0." as
    " <IMG SRC='_.0.gif' WIDTH=8 HEIGHT=19 ALT=' .0.' TITLE='.0.'> ";
  althtmldef ".0." as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '0</SPAN> ';
  latexdef ".0." as "0";
htmldef ".1." as
    " <IMG SRC='_.1.gif' WIDTH=7 HEIGHT=19 ALT=' .1.' TITLE='.1.'> ";
  althtmldef ".1." as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '1</SPAN> ';
  latexdef ".1." as "1";
htmldef ".||" as
    " <IMG SRC='_.parallel.gif' WIDTH=5 HEIGHT=19 ALT=' .||' TITLE='.||'> ";
  althtmldef ".||" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&#8741;</SPAN> ';
  latexdef ".||" as "\parallel";
htmldef ".~" as
    " <IMG SRC='_.sim.gif' WIDTH=13 HEIGHT=19 ALT=' .~' TITLE='.~'> ";
  althtmldef ".~" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&#x223C;</SPAN> ';
  latexdef ".~" as "\sim";
htmldef "._|_" as
    " <IMG SRC='_.perp.gif' WIDTH=11 HEIGHT=19 ALT=' ._|_' TITLE='._|_'> ";
  althtmldef "._|_" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&#8869;</SPAN> ';
  latexdef "._|_" as "\perp";
htmldef ".+^" as
    " <IMG SRC='_.plushat.gif' WIDTH=11 HEIGHT=19 ALT=' .+^' TITLE='.+^'> ";
  althtmldef ".+^" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&#x2A23;</SPAN> ';       /* &plusacir; */
  latexdef ".+^" as "\mathbin{\hat{+}}";
htmldef ".+b" as
    " <IMG SRC='_.plusb.gif' WIDTH=14 HEIGHT=19 ALT=' .+b' TITLE='.+b'> ";
  althtmldef ".+b" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&#x271A;</SPAN> ';
  latexdef ".+b" as "\bm{+}";
htmldef ".(+)" as
    " <IMG SRC='_.oplus.gif' WIDTH=13 HEIGHT=19 ALT=' .(+)' TITLE='.(+)'> ";
  althtmldef ".(+)" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&#x2295;</SPAN> ';
  latexdef ".(+)" as "\oplus";
htmldef ".*" as
    " <IMG SRC='_.ast.gif' WIDTH=7 HEIGHT=19 ALT=' .*' TITLE='.*'> ";
  althtmldef ".*" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&lowast;</SPAN> ';
  latexdef ".*" as "\ast";
/* TODO-AV (provide another gif?) */
htmldef ".o." as
    " <IMG SRC='circ.gif' WIDTH=4 HEIGHT=19 ALT=' .o.' TITLE='.o.'> ";
  althtmldef ".o." as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&#x26AC;</SPAN> ';
  latexdef ".o." as "\circ";
htmldef ".x." as
    " <IMG SRC='_.cdot.gif' WIDTH=4 HEIGHT=19 ALT=' .x.' TITLE='.x.'> ";
  althtmldef ".x." as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&middot;</SPAN> ';
  latexdef ".x." as "\cdot";
htmldef ".xb" as
    " <IMG SRC='_.bullet.gif' WIDTH=8 HEIGHT=19 ALT=' .xb' TITLE='.xb'> ";
  althtmldef ".xb" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&#x2219;</SPAN> ';
  latexdef ".xb" as "\bullet";
htmldef ".," as
    " <IMG SRC='_.comma.gif' WIDTH=4 HEIGHT=19 ALT=' .,' TITLE='.,'> ";
  althtmldef ".," as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    ',</SPAN> ';
  latexdef ".," as ",";
htmldef ".(x)" as
    " <IMG SRC='_.otimes.gif' WIDTH=13 HEIGHT=19 ALT=' .(x)' TITLE='.(x)'> ";
  althtmldef ".(x)" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&#x2297;</SPAN> ';
  latexdef ".(x)" as "\otimes";
htmldef ".0b" as
    " <IMG SRC='_.bf0.gif' WIDTH=9 HEIGHT=19 ALT=' .0b' TITLE='.0b'> ";
  althtmldef ".0b" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&#x1D7CE</SPAN> ';
  latexdef ".0b" as "\bm{0}";
htmldef "A" as "<IMG SRC='_ca.gif' WIDTH=11 HEIGHT=19 ALT=' A' TITLE='A'>";
  althtmldef "A" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D434;</SPAN>';
  latexdef "A" as "A";
htmldef "B" as "<IMG SRC='_cb.gif' WIDTH=12 HEIGHT=19 ALT=' B' TITLE='B'>";
  althtmldef "B" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D435;</SPAN>';
  latexdef "B" as "B";
htmldef "C" as "<IMG SRC='_cc.gif' WIDTH=12 HEIGHT=19 ALT=' C' TITLE='C'>";
  althtmldef "C" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D436;</SPAN>';
  latexdef "C" as "C";
htmldef "D" as "<IMG SRC='_cd.gif' WIDTH=12 HEIGHT=19 ALT=' D' TITLE='D'>";
  althtmldef "D" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D437;</SPAN>';
  latexdef "D" as "D";
htmldef "P" as "<IMG SRC='_cp.gif' WIDTH=12 HEIGHT=19 ALT=' P' TITLE='P'>";
  althtmldef "P" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D443;</SPAN>';
  latexdef "P" as "P";
htmldef "Q" as "<IMG SRC='_cq.gif' WIDTH=12 HEIGHT=19 ALT=' Q' TITLE='Q'>";
  althtmldef "Q" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D444;</SPAN>';
  latexdef "Q" as "Q";
htmldef "R" as "<IMG SRC='_cr.gif' WIDTH=12 HEIGHT=19 ALT=' R' TITLE='R'>";
  althtmldef "R" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D445;</SPAN>';
  latexdef "R" as "R";
htmldef "S" as "<IMG SRC='_cs.gif' WIDTH=11 HEIGHT=19 ALT=' S' TITLE='S'>";
  althtmldef "S" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D446;</SPAN>';
  latexdef "S" as "S";
htmldef "T" as "<IMG SRC='_ct.gif' WIDTH=12 HEIGHT=19 ALT=' T' TITLE='T'>";
  althtmldef "T" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D447;</SPAN>';
  latexdef "T" as "T";
htmldef "U" as "<IMG SRC='_cu.gif' WIDTH=12 HEIGHT=19 ALT=' U' TITLE='U'>";
  althtmldef "U" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D448;</SPAN>';
  latexdef "U" as "U";
htmldef "e" as "<IMG SRC='_e.gif' WIDTH=8 HEIGHT=19 ALT=' e' TITLE='e'>";
  althtmldef "e" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D452;</SPAN>';
  latexdef "e" as "e";
htmldef "f" as "<IMG SRC='_f.gif' WIDTH=9 HEIGHT=19 ALT=' f' TITLE='f'>";
  althtmldef "f" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D453;</SPAN>';
  latexdef "f" as "f";
htmldef "g" as "<IMG SRC='_g.gif' WIDTH=9 HEIGHT=19 ALT=' g' TITLE='g'>";
  althtmldef "g" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D454;</SPAN>';
  latexdef "g" as "g";
htmldef "h" as "<IMG SRC='_h.gif' WIDTH=10 HEIGHT=19 ALT=' h' TITLE='h'>";
  althtmldef "h" as '<SPAN CLASS=setvar STYLE="color:red">&#x210E;</SPAN>';
  latexdef "h" as "h";
htmldef "i" as "<IMG SRC='_i.gif' WIDTH=6 HEIGHT=19 ALT=' i' TITLE='i'>";
  althtmldef "i" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D456;</SPAN>';
  latexdef "i" as "i";
htmldef "j" as "<IMG SRC='_j.gif' WIDTH=7 HEIGHT=19 ALT=' j' TITLE='j'>";
  althtmldef "j" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D457;</SPAN>';
  latexdef "j" as "j";
htmldef "k" as "<IMG SRC='_k.gif' WIDTH=9 HEIGHT=19 ALT=' k' TITLE='k'>";
  althtmldef "k" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D458;</SPAN>';
  latexdef "k" as "k";
htmldef "m" as "<IMG SRC='_m.gif' WIDTH=14 HEIGHT=19 ALT=' m' TITLE='m'>";
  althtmldef "m" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D45A;</SPAN>';
  latexdef "m" as "m";
htmldef "n" as "<IMG SRC='_n.gif' WIDTH=10 HEIGHT=19 ALT=' n' TITLE='n'>";
  althtmldef "n" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D45B;</SPAN>';
  latexdef "n" as "n";
htmldef "o" as "<IMG SRC='_o.gif' WIDTH=8 HEIGHT=19 ALT=' o' TITLE='o'>";
  althtmldef "o" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D45C;</SPAN>';
  latexdef "o" as "o";
htmldef "E" as "<IMG SRC='_ce.gif' WIDTH=13 HEIGHT=19 ALT=' E' TITLE='E'>";
  althtmldef "E" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D438;</SPAN>';
  latexdef "E" as "E";
htmldef "F" as "<IMG SRC='_cf.gif' WIDTH=13 HEIGHT=19 ALT=' F' TITLE='F'>";
  althtmldef "F" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D439;</SPAN>';
  latexdef "F" as "F";
htmldef "G" as "<IMG SRC='_cg.gif' WIDTH=12 HEIGHT=19 ALT=' G' TITLE='G'>";
  althtmldef "G" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43A;</SPAN>';
  latexdef "G" as "G";
htmldef "H" as "<IMG SRC='_ch.gif' WIDTH=14 HEIGHT=19 ALT=' H' TITLE='H'>";
  althtmldef "H" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43B;</SPAN>';
  latexdef "H" as "H";
htmldef "I" as "<IMG SRC='_ci.gif' WIDTH=8 HEIGHT=19 ALT=' I' TITLE='I'>";
  althtmldef "I" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43C;</SPAN>';
  latexdef "I" as "I";
htmldef "J" as "<IMG SRC='_cj.gif' WIDTH=10 HEIGHT=19 ALT=' J' TITLE='J'>";
  althtmldef "J" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43D;</SPAN>';
  latexdef "J" as "J";
htmldef "K" as "<IMG SRC='_ck.gif' WIDTH=14 HEIGHT=19 ALT=' K' TITLE='K'>";
  althtmldef "K" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43E;</SPAN>';
  latexdef "K" as "K";
htmldef "L" as "<IMG SRC='_cl.gif' WIDTH=10 HEIGHT=19 ALT=' L' TITLE='L'>";
  althtmldef "L" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43F;</SPAN>';
  latexdef "L" as "L";
htmldef "M" as "<IMG SRC='_cm.gif' WIDTH=15 HEIGHT=19 ALT=' M' TITLE='M'>";
  althtmldef "M" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D440;</SPAN>';
  latexdef "M" as "M";
htmldef "N" as "<IMG SRC='_cn.gif' WIDTH=14 HEIGHT=19 ALT=' N' TITLE='N'>";
  althtmldef "N" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D441;</SPAN>';
  latexdef "N" as "N";
htmldef "V" as "<IMG SRC='_cv.gif' WIDTH=12 HEIGHT=19 ALT=' V' TITLE='V'>";
  althtmldef "V" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D449;</SPAN>';
  latexdef "V" as "V";
htmldef "W" as "<IMG SRC='_cw.gif' WIDTH=16 HEIGHT=19 ALT=' W' TITLE='W'>";
  althtmldef "W" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44A;</SPAN>';
  latexdef "W" as "W";
htmldef "X" as "<IMG SRC='_cx.gif' WIDTH=13 HEIGHT=19 ALT=' X' TITLE='X'>";
  althtmldef "X" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44B;</SPAN>';
  latexdef "X" as "X";
htmldef "Y" as "<IMG SRC='_cy.gif' WIDTH=12 HEIGHT=19 ALT=' Y' TITLE='Y'>";
  althtmldef "Y" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44C;</SPAN>';
  latexdef "Y" as "Y";
htmldef "Z" as "<IMG SRC='_cz.gif' WIDTH=11 HEIGHT=19 ALT=' Z' TITLE='Z'>";
  althtmldef "Z" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44D;</SPAN>';
  latexdef "Z" as "Z";
htmldef "O" as "<IMG SRC='_co.gif' WIDTH=12 HEIGHT=19 ALT=' O' TITLE='O'>";
  althtmldef "O" as '<SPAN CLASS=class STYLE="color:#C3C">&#x1D442;</SPAN>';
  latexdef "O" as "O";
htmldef "s" as "<IMG SRC='_s.gif' WIDTH=7 HEIGHT=19 ALT=' s' TITLE='s'>";
  althtmldef "s" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D460;</SPAN>';
  latexdef "s" as "s";
htmldef "r" as "<IMG SRC='_r.gif' WIDTH=8 HEIGHT=19 ALT=' r' TITLE='r'>";
  althtmldef "r" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D45F;</SPAN>';
  latexdef "r" as "r";
htmldef "q" as "<IMG SRC='_q.gif' WIDTH=8 HEIGHT=19 ALT=' q' TITLE='q'>";
  althtmldef "q" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D45E;</SPAN>';
  latexdef "q" as "q";
htmldef "p" as "<IMG SRC='_p.gif' WIDTH=10 HEIGHT=19 ALT=' p' TITLE='p'>";
  althtmldef "p" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D45D;</SPAN>';
  latexdef "p" as "p";
htmldef "a" as "<IMG SRC='_a.gif' WIDTH=9 HEIGHT=19 ALT=' a' TITLE='a'>";
  althtmldef "a" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D44E;</SPAN>';
  latexdef "a" as "a";
htmldef "b" as "<IMG SRC='_b.gif' WIDTH=8 HEIGHT=19 ALT=' b' TITLE='b'>";
  althtmldef "b" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D44F;</SPAN>';
  latexdef "b" as "b";
htmldef "c" as "<IMG SRC='_c.gif' WIDTH=7 HEIGHT=19 ALT=' c' TITLE='c'>";
  althtmldef "c" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D450;</SPAN>';
  latexdef "c" as "c";
htmldef "d" as "<IMG SRC='_d.gif' WIDTH=9 HEIGHT=19 ALT=' d' TITLE='d'>";
  althtmldef "d" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D451;</SPAN>';
  latexdef "d" as "d";
htmldef "l" as "<IMG SRC='_l.gif' WIDTH=6 HEIGHT=19 ALT=' l' TITLE='l'>";
  althtmldef "l" as '<SPAN CLASS=setvar STYLE="color:red">&#x1D459;</SPAN>';
  latexdef "l" as "l";
htmldef "=/=" as
    " <IMG SRC='ne.gif' WIDTH=12 HEIGHT=19 ALT=' =/=' TITLE='=/='> ";
  althtmldef "=/=" as ' &ne; ';
  latexdef "=/=" as "\ne";
htmldef "e/" as
    " <IMG SRC='notin.gif' WIDTH=10 HEIGHT=19 ALT=' e/' TITLE='e/'> ";
  althtmldef "e/" as ' &notin; ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "e/" as "\notin";
htmldef "_V" as "<IMG SRC='rmcv.gif' WIDTH=10 HEIGHT=19 ALT=' _V' TITLE='_V'>";
  althtmldef "_V" as 'V';
  latexdef "_V" as "\mathrm{V}";
htmldef "[." as
    "<IMG SRC='_dlbrack.gif' WIDTH=7 HEIGHT=19 ALT=' [.' TITLE='[.'>";
  /* althtmldef "[." as '&#x298F;'; */   /* corner tick */
  /* althtmldef "[." as '[&#803;'; */  /* combining dot below */
  althtmldef "[." as '<B>[</B>'; /* 6-Aug-2018 nm */
  /* \underaccent is in accents package */
  latexdef "[." as "\underaccent{\dot}{[}";
htmldef "]." as
    "<IMG SRC='_drbrack.gif' WIDTH=6 HEIGHT=19 ALT=' ].' TITLE='].'>";
  /* althtmldef "]." as '&#x298E;'; */   /* corner tick */
  /* althtmldef "]." as ']&#803;'; */  /* combining dot below */
  althtmldef "]." as '<B>]</B>'; /* 6-Aug-2018 nm */
  latexdef "]." as "\underaccent{\dot}{]}";
htmldef "[_" as
    "<IMG SRC='_ulbrack.gif' WIDTH=7 HEIGHT=19 ALT=' [_' TITLE='[_'>";
  althtmldef "[_" as '<B>&#x298B;</B>'; /* left sq brack w underbar */
  latexdef "[_" as "\underline{[}";
htmldef "]_" as
    "<IMG SRC='_urbrack.gif' WIDTH=6 HEIGHT=19 ALT=' ]_' TITLE=']_'>";
  althtmldef "]_" as '<B>&#x298C;</B>'; /* right sq brack w underbar */
  latexdef "]_" as "\underline{]}";
htmldef "\" as
    " <IMG SRC='setminus.gif' WIDTH=8 HEIGHT=19 ALT=' \' TITLE='\'> ";
  althtmldef "\" as ' &#8726; '; /* &setmn; */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "\" as "\setminus";
htmldef "u." as
    " <IMG SRC='cup.gif' WIDTH=10 HEIGHT=19 ALT=' u.' TITLE='u.'> ";
  althtmldef "u." as ' &cup; ';
  latexdef "u." as "\cup";
htmldef "i^i" as
    " <IMG SRC='cap.gif' WIDTH=10 HEIGHT=19 ALT=' i^i' TITLE='i^i'> ";
  althtmldef "i^i" as ' &cap; ';
  latexdef "i^i" as "\cap";
htmldef "C_" as
    " <IMG SRC='subseteq.gif' WIDTH=12 HEIGHT=19 ALT=' C_' TITLE='C_'> ";
  althtmldef "C_" as ' &#8838; '; /* &subE; */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "C_" as "\subseteq";
    /* 7-Jun-2019 changed gif, unicode and latex def of "C." from subset to
    subsetneq (BJ) */
htmldef "C." as
    " <IMG SRC='subsetneq.gif' WIDTH=12 HEIGHT=19 ALT=' C.' TITLE='C.'> ";
    /* subset.gif */
  althtmldef "C." as ' &#x228a; '; /* &sub; */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "C." as "\subsetneq"; /* \subset */
htmldef "(/)" as
    "<IMG SRC='varnothing.gif' WIDTH=11 HEIGHT=19 ALT=' (/)' TITLE='(/)'>";
  althtmldef "(/)" as '&empty;';
    /*althtmldef "(/)" as '&empty;';*/ /* =&#8709 */ /* bad in Opera */
    /*althtmldef "(/)" as '&#8960;';*/
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "(/)" as "\varnothing";
htmldef "if" as "<IMG SRC='_if.gif' WIDTH=11 HEIGHT=19 ALT=' if' TITLE='if'>";
  althtmldef "if" as 'if';
  latexdef "if" as "\mathrm{if}";
htmldef "," as "<IMG SRC='comma.gif' WIDTH=4 HEIGHT=19 ALT=' ,' TITLE=','> ";
  althtmldef "," as ', ';
  latexdef "," as ",";
htmldef "~P" as "<IMG SRC='scrp.gif' WIDTH=16 HEIGHT=19 ALT=' ~P' TITLE='~P'>";
  /* althtmldef "~P" as '<FONT FACE=sans-serif>&weierp;</FONT>'; */
  /* althtmldef "~P" as '&weierp;'; */ /* 2-Jan-2016 reverted sans-serif */
  /* 14-Jan-2016 script P is now available in upper Unicode */
  /* 4-Aug-2016 NM Put space after ~P, needed for, e.g., ncanth where it
     overlapped the _V */
  althtmldef "~P" as '&#119979; ';
  latexdef "~P" as "\mathcal{P}";
htmldef "<." as
    "<IMG SRC='langle.gif' WIDTH=4 HEIGHT=19 ALT=' &lt;.' TITLE='&lt;.'>";
    /* The Unicode below doesn't always work on Firefox and Chrome on Windows,
       so revert to the image above */
  althtmldef "<." as '&lang;'; /* &#9001; */
    /* 2-Jan-2016 restored Unicode; reverted sans-serif */
  latexdef "<." as "\langle";
htmldef ">." as
    "<IMG SRC='rangle.gif' WIDTH=4 HEIGHT=19 ALT=' &gt;.' TITLE='&gt;.'>";
    /* The Unicode below doesn't always work on Firefox and Chrome on Windows,
       so revert to the image above */
  althtmldef ">." as '&rang;'; /* &#9002; */
    /* 2-Jan-2016 restored Unicode; reverted sans-serif */
  latexdef ">." as "\rangle";
htmldef "U." as
    "<IMG SRC='bigcup.gif' WIDTH=13 HEIGHT=19 ALT=' U.' TITLE='U.'>";
  /* 20-Sep-2017 nm Add space after U. in althtmldef to improve "U. ran" */
  althtmldef "U." as '<FONT SIZE="+1">&cup;</FONT> '; /* &xcup; */
    /* xcup does not render, and #8899 renders as a small bold cup, on
       Mozilla 1.7.3 on Windows XP */
    /*althtmldef "U." as '&#8899;';*/ /* &xcup; */
  latexdef "U." as "\bigcup";
htmldef "|^|" as
    "<IMG SRC='bigcap.gif' WIDTH=13 HEIGHT=19 ALT=' |^|' TITLE='|^|'>";
  /* 20-Sep-2017 nm Add space after |^| in althtmldef to improve "|^| ran" */
  althtmldef "|^|" as '<FONT SIZE="+1">&cap;</FONT> '; /* &xcap; */
    /*althtmldef "|^|" as '&#8898;';*/ /* &xcap; */
  latexdef "|^|" as "\bigcap";
htmldef "U_" as
    "<IMG SRC='_cupbar.gif' WIDTH=13 HEIGHT=19 ALT=' U_' TITLE='U_'>";
  /* 20-Sep-2017 nm Add space after U_ in althtmldef to improve "U_ ran" */
  althtmldef "U_" as '<U><FONT SIZE="+1">&cup;</FONT></U> '; /* &xcup; */
  latexdef "U_" as "\underline{\bigcup}";
htmldef "|^|_" as
    "<IMG SRC='_capbar.gif' WIDTH=13 HEIGHT=19 ALT=' |^|_' TITLE='|^|_'>";
  /* 20-Sep-2017 nm Add space after |^|_ in althtmldef to improve "|^|_ ran" */
  althtmldef "|^|_" as '<U><FONT SIZE="+1">&cap;</FONT></U> '; /* &xcap; */
  latexdef "|^|_" as "\underline{\bigcap}";
htmldef "Disj_" as "<u>Disj</u> ";
  althtmldef "Disj_" as "<u>Disj</u> ";
  latexdef "Disj_" as "\operatorname{\underline{Disj}}";
htmldef "|->" as " <IMG SRC='mapsto.gif' WIDTH=15 HEIGHT=19 ALT=' |-&gt;'" +
    " TITLE='|-&gt;'> ";
  althtmldef "|->" as ' &#8614; ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "|->" as "\mapsto";
htmldef "Tr" as
    "<IMG SRC='_ctr.gif' WIDTH=16 HEIGHT=19 ALT=' Tr' TITLE='Tr'> ";
  althtmldef "Tr" as 'Tr ';
  latexdef "Tr" as "\mathrm{Tr}";
htmldef "_E" as
    " <IMG SRC='rmce.gif' WIDTH=9 HEIGHT=19 ALT=' _E' TITLE='_E'> ";
  althtmldef "_E" as ' E ';
  latexdef "_E" as "\mathrm{E}";
htmldef "_I" as
    " <IMG SRC='rmci.gif' WIDTH=4 HEIGHT=19 ALT=' _I' TITLE='_I'> ";
  althtmldef "_I" as ' I ';
  latexdef "_I" as "\mathrm{I}";
htmldef "Po" as
    " <IMG SRC='_po.gif' WIDTH=16 HEIGHT=19 ALT=' Po' TITLE='Po'> ";
  althtmldef "Po" as ' Po ';
  latexdef "Po" as "\mathrm{Po}";
htmldef "Or" as
    " <IMG SRC='_or.gif' WIDTH=18 HEIGHT=19 ALT=' Or' TITLE='Or'> ";
  althtmldef "Or" as ' Or ';
  latexdef "Or" as "\mathrm{Or}";
htmldef "Fr" as
    " <IMG SRC='_fr.gif' WIDTH=15 HEIGHT=19 ALT=' Fr' TITLE='Fr'> ";
  althtmldef "Fr" as ' Fr ';
  latexdef "Fr" as "\mathrel{\operatorname{Fr}}";
htmldef "Se" as ' Se ';
  althtmldef "Se" as ' Se ';
  latexdef "Se" as "\mathrel{\operatorname{Se}}";
htmldef "We" as
    " <IMG SRC='_we.gif' WIDTH=21 HEIGHT=19 ALT=' We' TITLE='We'> ";
  althtmldef "We" as ' We ';
  latexdef "We" as "\mathrm{We}";
htmldef "Ord" as
    "<IMG SRC='_ord.gif' WIDTH=26 HEIGHT=19 ALT=' Ord' TITLE='Ord'> ";
  althtmldef "Ord" as 'Ord ';
  latexdef "Ord" as "\mathrm{Ord}";
htmldef "On" as "<IMG SRC='_on.gif' WIDTH=20 HEIGHT=19 ALT=' On' TITLE='On'>";
  althtmldef "On" as 'On';
  latexdef "On" as "\mathrm{On}";
htmldef "Lim" as
    "<IMG SRC='_lim.gif' WIDTH=26 HEIGHT=19 ALT=' Lim' TITLE='Lim'> ";
  althtmldef "Lim" as 'Lim ';
  latexdef "Lim" as "\operatorname{Lim}";
htmldef "suc" as
    "<IMG SRC='_suc.gif' WIDTH=22 HEIGHT=19 ALT=' suc' TITLE='suc'> ";
  althtmldef "suc" as 'suc ';
  latexdef "suc" as "\operatorname{suc}";
htmldef "_om" as
    "<IMG SRC='omega.gif' WIDTH=11 HEIGHT=19 ALT=' om' TITLE='om'>";
  /*althtmldef "_om" as '&omega;';*/
  althtmldef "_om" as '&#x3C9;';  /* upright lowercase Greek omega */
  latexdef "_om" as "\mathrm{\omega}";
htmldef "X." as
    " <IMG SRC='times.gif' WIDTH=9 HEIGHT=19 ALT=' X.' TITLE='X.'> ";
  althtmldef "X." as ' &times; ';
  latexdef "X." as "\times";
htmldef "`'" as "<IMG SRC='_cnv.gif' WIDTH=10 HEIGHT=19 ALT=" + '"' + " `'" +
    '"' + "TITLE=" + '"' + "`'" + '"' + ">";
  althtmldef "`'" as '<FONT SIZE="-1"><SUP>&#9697;</SUP></FONT>'; /* or 8995 */
  latexdef "`'" as "{}^{\smallsmile}";
htmldef "dom" as
    "<IMG SRC='_dom.gif' WIDTH=26 HEIGHT=19 ALT=' dom' TITLE='dom'> ";
  althtmldef "dom" as 'dom ';
  latexdef "dom" as "\mathrm{dom}";
htmldef "ran" as
    "<IMG SRC='_ran.gif' WIDTH=22 HEIGHT=19 ALT=' ran' TITLE='ran'> ";
  althtmldef "ran" as 'ran ';
  latexdef "ran" as "\mathrm{ran}";
htmldef "|`" as " <IMG SRC='restriction.gif' WIDTH=5 HEIGHT=19 ALT=' |`'" +
    " TITLE='|`'> ";
  althtmldef "|`" as ' &#8638; '; /* &uharr; */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "|`" as "\restriction";
htmldef '"' as "<IMG SRC='backquote.gif' WIDTH=7 HEIGHT=19 ALT=' " + '"' +
    "' TITLE='" + '"' + "'>";
  althtmldef '"' as ' &ldquo; '; /* &#8220; */
  latexdef '"' as "``";
htmldef "o." as
    " <IMG SRC='circ.gif' WIDTH=8 HEIGHT=19 ALT=' o.' TITLE='o.'> ";
  althtmldef "o." as ' &#8728; ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "o." as "\circ";
htmldef "Rel" as
    "<IMG SRC='_rel.gif' WIDTH=22 HEIGHT=19 ALT=' Rel' TITLE='Rel'> ";
  althtmldef "Rel" as 'Rel ';
  latexdef "Rel" as "\mathrm{Rel}";
htmldef "Fun" as
    "<IMG SRC='_fun.gif' WIDTH=25 HEIGHT=19 ALT=' Fun' TITLE='Fun'> ";
  althtmldef "Fun" as 'Fun ';
  latexdef "Fun" as "\mathrm{Fun}";
htmldef "Fn" as
    " <IMG SRC='_fn.gif' WIDTH=17 HEIGHT=19 ALT=' Fn' TITLE='Fn'> ";
  althtmldef "Fn" as ' Fn ';
  latexdef "Fn" as "\mathrm{Fn}";
htmldef ":" as "<IMG SRC='colon.gif' WIDTH=4 HEIGHT=19 ALT=' :' TITLE=':'>";
  althtmldef ":" as ':';
  latexdef ":" as ":";
htmldef "-->" as
  "<IMG SRC='longrightarrow.gif' WIDTH=23 HEIGHT=19 " +
    "ALT=' --&gt;' TITLE='--&gt;'>";
  /* althtmldef "-->" as '&ndash;&rarr;'; */
  althtmldef "-->" as '&#x27F6;';
    /* &#xAD;&#x2010;&ndash;&mdash;&minus; (possible symbols test) */
  latexdef "-->" as "\longrightarrow";
htmldef "-1-1->" as "<IMG SRC='onetoone.gif' WIDTH=23 HEIGHT=19 " +
    "ALT=' -1-1-&gt;' TITLE='-1-1-&gt;'>";
  althtmldef "-1-1->" as
    '&ndash;<FONT SIZE=-2 FACE=sans-serif>1-1</FONT>&rarr;';
  latexdef "-1-1->" as "\overset{\mathrm{1-1}}{\longrightarrow}";
htmldef "-onto->" as
    "<IMG SRC='onto.gif' WIDTH=23 HEIGHT=19 " +
    "ALT=' -onto-&gt;' TITLE='-onto-&gt;'>";
  althtmldef "-onto->" as
    '&ndash;<FONT SIZE=-2 FACE=sans-serif>onto</FONT>&rarr;';
  latexdef "-onto->" as "\underset{\mathrm{onto}}{\longrightarrow}";
htmldef "-1-1-onto->" as "<IMG SRC='onetooneonto.gif' WIDTH=23 HEIGHT=19 " +
    "ALT=' -1-1-onto-&gt;' TITLE='-1-1-onto-&gt;'>";
  althtmldef "-1-1-onto->" as '&ndash;<FONT SIZE=-2 '
    + 'FACE=sans-serif>1-1</FONT>-<FONT SIZE=-2 '
    + 'FACE=sans-serif>onto</FONT>&rarr;';
  latexdef "-1-1-onto->" as "\overset{\mathrm{1-1}}{\underset{\mathrm{onto}}" +
    "{\longrightarrow}}";
htmldef "`" as
    "<IMG SRC='backtick.gif' WIDTH=4 HEIGHT=19 ALT=' ` ' TITLE='` '>";
    /* Above, IE7 _printing_ is corrupted by '`'; use '` ' which works */
  /*althtmldef "`" as ' &lsquo;';*/
  /* I took out the leading space to make, e.g., ( log ` A ) look better.
     I added the leading space a long time ago because the quote overlapped
     the character to its left, making it sometimes hidden, but that seems
     to be no longer a problem with the XITS font. - 29-Aug-2017 nm */
  althtmldef "`" as '&lsquo;';
  latexdef "`" as "`";
htmldef "Isom" as " Isom ";
  althtmldef "Isom" as " Isom ";
  latexdef "Isom" as "\mathrm{Isom}";
htmldef "oF" as
    " <IMG SRC='circ.gif' WIDTH=8 HEIGHT=19 ALT=' o' TITLE='o'>" +
    "<IMG SRC='subf.gif' WIDTH=6 HEIGHT=19 ALT='F' TITLE='F'>";
  althtmldef "oF" as " &#8728;<SUB>f</SUB> ";
  latexdef "oF" as "\circ_\mathrm{f}";
htmldef "oR" as
    " <IMG SRC='circ.gif' WIDTH=8 HEIGHT=19 ALT=' o' TITLE='o'>" +
    "<IMG SRC='subr.gif' WIDTH=5 HEIGHT=19 ALT='R' TITLE='R'>";
  althtmldef "oR" as " &#8728;<SUB>r</SUB> ";
  latexdef "oR" as "\circ_\mathrm{r}";
htmldef "1st" as
    "<IMG SRC='_1st.gif' WIDTH=15 HEIGHT=19 ALT=' 1st' TITLE='1st'>";
  althtmldef "1st" as '1<SUP>st</SUP> ';
  latexdef "1st" as "1^\mathrm{st}";
htmldef "2nd" as
    "<IMG SRC='_2nd.gif' WIDTH=21 HEIGHT=19 ALT=' 2nd' TITLE='2nd'>";
  althtmldef "2nd" as '2<SUP>nd</SUP> ';
  latexdef "2nd" as "2^\mathrm{nd}";
htmldef "supp" as ' supp ';
  althtmldef "supp" as ' supp ';
  latexdef "supp" as "\mathrm{supp}";
htmldef "tpos" as "tpos ";
  althtmldef "tpos" as 'tpos ';
  latexdef "tpos" as "\mathrm{tpos}";
htmldef "curry" as "curry ";
  althtmldef "curry" as 'curry ';
  latexdef "curry" as "\mathrm{curry}";
htmldef "uncurry" as "uncurry ";
  althtmldef "uncurry" as 'uncurry ';
  latexdef "uncurry" as "\mathrm{uncurry}";
htmldef "[C.]" as
    " [<IMG SRC='subsetneq.gif' WIDTH=12 HEIGHT=19 ALT=' C.' TITLE='C.'>] ";
  althtmldef "[C.]" as " [<B>&#x228a;</B>] ";
  latexdef "[C.]" as "\mathrm{[C.]}";
/*
htmldef "iota" as
    "<IMG SRC='iota.gif' WIDTH=6 HEIGHT=19 ALT=' iota' TITLE='iota'>";
  althtmldef "iota" as '<FONT SIZE="+1">&iota;</FONT>';
  latexdef "iota" as "\iota";
*/
/* 30-Nov-2013 changed to rotated iota */
htmldef "iota" as
    "<IMG SRC='riota.gif' WIDTH=6 HEIGHT=19 ALT=' iota' TITLE='iota'>";
  althtmldef "iota" as '&#8489;';
  latexdef "iota" as "\text{\riota}";
htmldef "Smo" as
    "<IMG SRC='_smo.gif' WIDTH=27 HEIGHT=19 ALT=' Smo' TITLE='Smo'> ";
  althtmldef "Smo" as "Smo ";
  latexdef "Smo" as "\mathrm{Smo}";
htmldef "|_|" as ' &#x2294; ';
  althtmldef "|_|" as ' &#x2294; ';
  latexdef "|_|" as "\sqcup";
htmldef "inl" as "inl";
  althtmldef "inl" as "inl";
  latexdef "inl" as "\mathrm{inl}";
htmldef "inr" as "inr";
  althtmldef "inr" as "inr";
  latexdef "inr" as "\mathrm{inr}";
htmldef "recs" as "recs";
  althtmldef "recs" as "recs";
  latexdef "recs" as "\mathrm{recs}";
htmldef "rec" as
    "<IMG SRC='_rec.gif' WIDTH=21 HEIGHT=19 ALT=' rec' TITLE='rec'>";
  althtmldef "rec" as 'rec';
  latexdef "rec" as "\mathrm{rec}";
htmldef "seqom" as "seqom ";
  althtmldef "seqom" as "seq<SUB>&#x3C9;</SUB>";  /* upright lowercase omega */
  latexdef "seqom" as "\operatorname{seq_\omega}";
htmldef "1o" as "<IMG SRC='_1o.gif' WIDTH=13 HEIGHT=19 ALT=' 1o' TITLE='1o'>";
  althtmldef "1o" as '1<SUB>o</SUB>';
  latexdef "1o" as "1_\mathrm{o}";
htmldef "2o" as "<IMG SRC='_2o.gif' WIDTH=14 HEIGHT=19 ALT=' 2o' TITLE='2o'>";
  althtmldef "2o" as '2<SUB>o</SUB>';
  latexdef "2o" as "2_\mathrm{o}";
htmldef "3o" as "<IMG SRC='_3o.gif' WIDTH=14 HEIGHT=19 ALT=' 3o' TITLE='3o'>";
  althtmldef "3o" as "3<SUB>o</SUB>";
  latexdef "3o" as "3_\mathrm{o}";
htmldef "4o" as "<IMG SRC='_4o.gif' WIDTH=15 HEIGHT=19 ALT=' 4o' TITLE='4o'>";
  althtmldef "4o" as "4<SUB>o</SUB>";
  latexdef "4o" as "4_\mathrm{o}";
htmldef "+o" as
    " <IMG SRC='_plo.gif' WIDTH=18 HEIGHT=19 ALT=' +o' TITLE='+o'> ";
  althtmldef "+o" as ' +<SUB>o</SUB> ';
  latexdef "+o" as "+_\mathrm{o}";
htmldef ".o" as
    " <IMG SRC='_cdo.gif' WIDTH=10 HEIGHT=19 ALT=' .o' TITLE='.o'> ";
  althtmldef ".o" as ' &middot;<SUB>o</SUB> ';
  latexdef ".o" as "\cdot_\mathrm{o}";
htmldef "^o" as
    " <IMG SRC='_hato.gif' WIDTH=11 HEIGHT=19 ALT=' ^o' TITLE='^o'> ";
  althtmldef "^o" as ' &uarr;<SUB>o</SUB> ';
  latexdef "^o" as "\uparrow_\mathrm{o}";
htmldef "Er" as
    " <IMG SRC='_er.gif' WIDTH=16 HEIGHT=19 ALT=' Er' TITLE='Er'> ";
  althtmldef "Er" as ' Er ';
  latexdef "Er" as "\mathrel{Er}";
htmldef "/." as
    "<IMG SRC='diagup.gif' WIDTH=14 HEIGHT=19 ALT=' /.' TITLE='/.'>";
  althtmldef "/." as ' <B>/</B> ';
  latexdef "/." as "\bm{\diagup}";
htmldef "^m" as
    " <IMG SRC='_hatm.gif' WIDTH=15 HEIGHT=19 ALT=' ^m' TITLE='^m'> ";
  althtmldef "^m" as ' &uarr;<SUB>m</SUB> ';
  latexdef "^m" as "\uparrow_\mathrm{m}";
htmldef "^pm" as
    " <IMG SRC='_hatpm.gif' WIDTH=21 HEIGHT=19 ALT=' ^pm' TITLE='^pm'> ";
  althtmldef "^pm" as ' &uarr;<SUB>pm</SUB> ';
  latexdef "^pm" as "\uparrow_\mathrm{pm}";
htmldef "X_" as
    "<IMG SRC='_bigtimes.gif' WIDTH=11 HEIGHT=19 ALT=' X_' TITLE='X_'>";
  althtmldef "X_" as '<FONT SIZE="+1">X</FONT>';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "X_" as "\bm{\bigtimes}";
htmldef "~~" as
    " <IMG SRC='approx.gif' WIDTH=13 HEIGHT=19 ALT=' ~~' TITLE='~~'> ";
  althtmldef "~~" as ' &#8776; '; /* &ap; */
  latexdef "~~" as "\approx";
htmldef "~<_" as
   " <IMG SRC='preccurlyeq.gif' WIDTH=11 HEIGHT=19 " +
    "ALT=' ~&lt;_' TITLE='~&lt;_'> ";
  althtmldef "~<_" as ' &#8828; '; /* &prcue; */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "~<_" as "\preccurlyeq";
htmldef "~<" as
    " <IMG SRC='prec.gif' WIDTH=11 HEIGHT=19 ALT=' ~&lt;' TITLE='~&lt;'> ";
  althtmldef "~<" as ' &#8826; '; /* &pr; */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "~<" as "\prec";
htmldef "Fin" as
    "<IMG SRC='_fin.gif' WIDTH=21 HEIGHT=19 ALT=' Fin' TITLE='Fin'>";
  althtmldef "Fin" as 'Fin';
  latexdef "Fin" as "\mathrm{Fin}";
htmldef "finSupp" as ' finSupp ';
  althtmldef "finSupp" as ' finSupp ';
  latexdef "finSupp" as "\mathrm{finSupp}";
htmldef "Undef" as
    "<IMG SRC='_undef.gif' WIDTH=39 HEIGHT=19 ALT=' Undef' TITLE='Undef'>";
  althtmldef "Undef" as "Undef";
  latexdef "Undef" as "\mathrm{Undef}";
htmldef "iota_" as
    "<IMG SRC='_riotabar.gif' WIDTH=6 HEIGHT=19 ALT=' iota_' TITLE='iota_'>";
  althtmldef "iota_" as '<U>&#8489;</U>';
  latexdef "iota_" as "\underline{\text\riota}";
htmldef "fi" as
    "<IMG SRC='_fi.gif' WIDTH=10 HEIGHT=19 ALT=' fi' TITLE='fi'>";
  althtmldef "fi" as "fi";
  latexdef "fi" as "\mathrm{fi}";
htmldef "sup" as
    "<IMG SRC='_sup.gif' WIDTH=22 HEIGHT=19 ALT=' sup' TITLE='sup'>";
  althtmldef "sup" as 'sup';
  latexdef "sup" as "\operatorname{sup}";
htmldef "inf" as 'inf';
  althtmldef "inf" as 'inf';
  latexdef "inf" as "\operatorname{inf}";
htmldef "OrdIso" as "OrdIso";
  althtmldef "OrdIso" as 'OrdIso';
  latexdef "OrdIso" as "\mathrm{OrdIso}";
/* the standard symbol for this is \aleph, but that collides */
htmldef "har" as "har";
  althtmldef "har" as "har";
  latexdef "har" as "\mathrm{har}";
htmldef "~<_*" as " <IMG SRC='preccurlyeq.gif' WIDTH=11 HEIGHT=19 " +
   "ALT=' ~&lt;_' TITLE='~&lt;_'><SUP>*</SUP> ";
  althtmldef "~<_*" as ' &#8828;<SUP>*</SUP> ';
  /* &prcue; */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "~<_*" as "\preccurlyeq^*";
htmldef "CNF" as " CNF ";
  /* surrounding spaces since it is often infixed */
  althtmldef "CNF" as " CNF ";
  latexdef "CNF" as "\mathrm{CNF}";
htmldef "TC" as
    "<IMG SRC='_tc.gif' WIDTH=20 HEIGHT=19 ALT=' TC' TITLE='TC'>";
  althtmldef "TC" as "TC";
  latexdef "TC" as "\mathrm{TC}";
htmldef "R1" as "<IMG SRC='_r1.gif' WIDTH=15 HEIGHT=19 ALT=' R1' TITLE='R1'>";
  althtmldef "R1" as '&#x1D445;<SUB>1</SUB>';
  latexdef "R1" as "R_1";
htmldef "rank" as
    "<IMG SRC='_rank.gif' WIDTH=30 HEIGHT=19 ALT=' rank' TITLE='rank'>";
  althtmldef "rank" as 'rank';
  latexdef "rank" as "\mathrm{rank}";
htmldef "card" as
    "<IMG SRC='_card.gif' WIDTH=30 HEIGHT=19 ALT=' card' TITLE='card'>";
  althtmldef "card" as 'card';
  latexdef "card" as "\mathrm{card}";
htmldef "aleph" as
    "<IMG SRC='varaleph.gif' WIDTH=12 HEIGHT=19 ALT=' aleph' TITLE='aleph'>";
  althtmldef "aleph" as '&#8501;'; /* &aleph; */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "aleph" as "\aleph";
htmldef "cf" as
    "<IMG SRC='_cofin.gif' WIDTH=14 HEIGHT=19 ALT=' cf' TITLE='cf'>";
  althtmldef "cf" as 'cf';
  latexdef "cf" as "\mathrm{cf}";
htmldef "AC_" as '<U>AC</U> ';
  althtmldef "AC_" as '<U>AC</U> ';
  latexdef "AC_" as "\underline{\mathrm{AC}}";
htmldef "CHOICE" as "<SMALL>CHOICE</SMALL>";
  althtmldef "CHOICE" as "<SMALL>CHOICE</SMALL>";
  latexdef "CHOICE" as "\mathrm{CHOICE}";
htmldef "Fin1a" as "Fin<SUP>Ia</SUP>";
  althtmldef "Fin1a" as "Fin<SUP>Ia</SUP>";
  latexdef "Fin1a" as "\mathrm{Fin1a}";
htmldef "Fin2" as "Fin<SUP>II</SUP>";
  althtmldef "Fin2" as "Fin<SUP>II</SUP>";
  latexdef "Fin2" as "\mathrm{Fin2}";
htmldef "Fin3" as "Fin<SUP>III</SUP>";
  althtmldef "Fin3" as "Fin<SUP>III</SUP>";
  latexdef "Fin3" as "\mathrm{Fin3}";
htmldef "Fin4" as "Fin<SUP>IV</SUP>";
  althtmldef "Fin4" as "Fin<SUP>IV</SUP>";
  latexdef "Fin4" as "\mathrm{Fin4}";
htmldef "Fin5" as "Fin<SUP>V</SUP>";
  althtmldef "Fin5" as "Fin<SUP>V</SUP>";
  latexdef "Fin5" as "\mathrm{Fin5}";
htmldef "Fin6" as "Fin<SUP>VI</SUP>";
  althtmldef "Fin6" as "Fin<SUP>VI</SUP>";
  latexdef "Fin6" as "\mathrm{Fin6}";
htmldef "Fin7" as "Fin<SUP>VII</SUP>";
  althtmldef "Fin7" as "Fin<SUP>VII</SUP>";
  latexdef "Fin7" as "\mathrm{Fin7}";
htmldef "GCH" as "GCH";
  althtmldef "GCH" as "GCH";
  latexdef "GCH" as "\mathrm{GCH}";
htmldef "WUni" as "WUni";
  althtmldef "WUni" as "WUni";
  latexdef "WUni" as "\mathrm{WUni}";
htmldef "wUniCl" as "wUniCl";
  althtmldef "wUniCl" as "wUniCl";
  latexdef "wUniCl" as "\mathrm{wUniCl}";
htmldef "InaccW" as
    "<IMG SRC='_inacc.gif' WIDTH=34 HEIGHT=19 ALT=' Inacc' TITLE='Inacc'>" +
    "<IMG SRC='subw.gif' WIDTH=7 HEIGHT=19 ALT='W' TITLE='W'>";
  althtmldef "InaccW" as "Inacc<SUB>w</SUB>";
  latexdef "InaccW" as "\mathrm{Inacc}_w";
htmldef "Inacc" as
    "<IMG SRC='_inacc.gif' WIDTH=34 HEIGHT=19 ALT=' Inacc' TITLE='Inacc'>";
  althtmldef "Inacc" as "Inacc";
  latexdef "Inacc" as "\mathrm{Inacc}";
htmldef "Tarski" as
    "<IMG SRC='_tarski.gif' WIDTH=40 HEIGHT=19 ALT=' Tarski' TITLE='Tarski'>";
  althtmldef "Tarski" as "Tarski";
  latexdef "Tarski" as "\mathrm{Tarski}";
htmldef "Univ" as
    "<IMG SRC='_univ.gif' WIDTH=30 HEIGHT=19 ALT=' Univ' TITLE='Univ'>";
  althtmldef "Univ" as "Univ";
  latexdef "Univ" as "\mathrm{Univ}";
htmldef "tarskiMap" as "<IMG SRC='_tarskimap.gif' WIDTH=66 HEIGHT=19 " +
    "ALT=' tarskiMap' TITLE='tarskiMap'>";
  althtmldef "tarskiMap" as "tarskiMap";
  latexdef "tarskiMap" as "\mathrm{tarskiMap}";
htmldef "N." as "<IMG SRC='caln.gif' WIDTH=17 HEIGHT=19 ALT=' N.' TITLE='N.'>";
  althtmldef "N." as '<I><B>N</B></I>';
  latexdef "N." as "\mathcal{N}";
htmldef "+N" as
    " <IMG SRC='_pln.gif' WIDTH=22 HEIGHT=19 ALT=' +N' TITLE='+N'> ";
  althtmldef "+N" as ' +<I><SUB><B>N</B></SUB></I> ';
  latexdef "+N" as "+_\mathcal{N}";
htmldef ".N" as
    " <IMG SRC='_cdn.gif' WIDTH=14 HEIGHT=19 ALT=' .N' TITLE='.N'> ";
  althtmldef ".N" as ' &middot;<I><SUB><B>N</B></SUB></I> ';
  latexdef ".N" as "\cdot_\mathcal{N}";
htmldef "<N" as
    " <IMG SRC='_ltn.gif' WIDTH=21 HEIGHT=19 ALT=' &lt;N' TITLE='&lt;N'> ";
  althtmldef "<N" as ' &lt;<I><SUB><B>N</B></SUB></I> ';
  latexdef "<N" as "<_\mathcal{N}";
htmldef "+pQ" as
    " <IMG SRC='_plpq.gif' WIDTH=28 HEIGHT=19 ALT=' +pQ' TITLE='+pQ'> ";
  althtmldef "+pQ" as ' +<I><SUB>p<B>Q</B></SUB></I> ';
  latexdef "+pQ" as "+_{p\mathcal{Q}}";
htmldef ".pQ" as
    " <IMG SRC='_cdpq.gif' WIDTH=19 HEIGHT=19 ALT=' .pQ' TITLE='.pQ'> ";
  althtmldef ".pQ" as ' &middot;<I><SUB>p<B>Q</B></SUB></I> ';
  latexdef ".pQ" as "\cdot_{p\mathcal{Q}}";
htmldef "<pQ" as
    " <IMG SRC='_ltpq.gif' WIDTH=27 HEIGHT=19 ALT=' &lt;pQ' TITLE='&lt;pQ'> ";
  althtmldef "<pQ" as ' &lt;<I><SUB>p<B>Q</B></SUB></I> ';
  latexdef "<pQ" as "<_{p\mathcal{Q}}";
htmldef "~Q" as
    " <IMG SRC='_simq.gif' WIDTH=21 HEIGHT=19 ALT=' ~Q' TITLE='~Q'> ";
  althtmldef "~Q" as ' ~<I><SUB><B>Q</B></SUB></I> ';
  latexdef "~Q" as "\sim_\mathcal{Q}";
htmldef "Q." as "<IMG SRC='calq.gif' WIDTH=12 HEIGHT=19 ALT=' Q.' TITLE='Q.'>";
  althtmldef "Q." as '<I><B>Q</B></I>';
  latexdef "Q." as "\mathcal{Q}";
htmldef "1Q" as "<IMG SRC='_1q.gif' WIDTH=16 HEIGHT=19 ALT=' 1Q' TITLE='1Q'>";
  althtmldef "1Q" as '1<I><SUB><B>Q</B></SUB></I>';
  latexdef "1Q" as "1_\mathcal{Q}";
htmldef "/Q" as "<IMG SRC='_erq.gif' WIDTH=17 HEIGHT=19 ALT=' /Q' TITLE='/Q'>";
  althtmldef "/Q" as '[<I><B>Q</B></I>]';
  latexdef "/Q" as "[\mathcal{Q}]";
htmldef "+Q" as
    " <IMG SRC='_plq.gif' WIDTH=21 HEIGHT=19 ALT=' +Q' TITLE='+Q'> ";
  althtmldef "+Q" as ' +<I><SUB><B>Q</B></SUB></I> ';
  latexdef "+Q" as "+_\mathcal{Q}";
htmldef ".Q" as
    " <IMG SRC='_cdq.gif' WIDTH=13 HEIGHT=19 ALT=' .Q' TITLE='.Q'> ";
  althtmldef ".Q" as ' &middot;<I><SUB><B>Q</B></SUB></I> ';
  latexdef ".Q" as "\cdot_\mathcal{Q}";
htmldef "*Q" as
    "<IMG SRC='_astq.gif' WIDTH=16 HEIGHT=19 ALT=' *Q' TITLE='*Q'>";
  althtmldef "*Q" as '*<I><SUB><B>Q</B></SUB></I>';
  latexdef "*Q" as "\ast_\mathcal{Q}";
htmldef "<Q" as
    " <IMG SRC='_ltq.gif' WIDTH=20 HEIGHT=19 ALT=' &lt;Q' TITLE='&lt;Q'> ";
  althtmldef "<Q" as ' &lt;<I><SUB><B>Q</B></SUB></I> ';
  latexdef "<Q" as "<_\mathcal{Q}";
htmldef "P." as "<IMG SRC='calp.gif' WIDTH=13 HEIGHT=19 ALT=' P.' TITLE='P.'>";
  althtmldef "P." as '<I><B>P</B></I>';
  latexdef "P." as "\mathcal{P}";
htmldef "1P" as "<IMG SRC='_1p.gif' WIDTH=15 HEIGHT=19 ALT=' 1P' TITLE='1P'>";
  althtmldef "1P" as '1<I><SUB><B>P</B></SUB></I>';
  latexdef "1P" as "1_\mathcal{P}";
htmldef "+P." as
    " <IMG SRC='_plp.gif' WIDTH=22 HEIGHT=19 ALT=' +P.' TITLE='+P.'> ";
  althtmldef "+P." as ' +<I><SUB><B>P</B></SUB></I> ';
  latexdef "+P." as "+_\mathcal{P}";
htmldef ".P." as
    " <IMG SRC='_cdp.gif' WIDTH=13 HEIGHT=19 ALT=' .P.' TITLE='.P.'> ";
  althtmldef ".P." as ' &middot;<I><SUB><B>P</B></SUB></I> ';
  latexdef ".P." as "\cdot_\mathcal{P}";
htmldef "<P" as
    " <IMG SRC='_ltp.gif' WIDTH=19 HEIGHT=19 ALT=' &lt;P' TITLE='&lt;P'> ";
  althtmldef "<P" as '&lt;<I><SUB><B>P</B></SUB></I> ';
  latexdef "<P" as "<_\mathcal{P}";
htmldef "~R" as
    " <IMG SRC='_simr.gif' WIDTH=23 HEIGHT=19 ALT=' ~R' TITLE='~R'> ";
  althtmldef "~R" as ' ~<I><SUB><B>R</B></SUB></I> ';
  latexdef "~R" as "\sim_\mathcal{R}";
htmldef "R." as "<IMG SRC='calr.gif' WIDTH=15 HEIGHT=19 ALT=' R.' TITLE='R.'>";
  althtmldef "R." as '<I><B>R</B></I>';
  latexdef "R." as "\mathcal{R}";
htmldef "0R" as "<IMG SRC='_0r.gif' WIDTH=18 HEIGHT=19 ALT=' 0R' TITLE='0R'>";
  althtmldef "0R" as '0<I><SUB><B>R</B></SUB></I>';
  latexdef "0R" as "0_\mathcal{R}";
htmldef "1R" as "<IMG SRC='_1cr.gif' WIDTH=16 HEIGHT=19 ALT=' 1R' TITLE='1R'>";
  althtmldef "1R" as '1<I><SUB><B>R</B></SUB></I>';
  latexdef "1R" as "1_\mathcal{R}";
htmldef "-1R" as
    "<IMG SRC='_m1r.gif' WIDTH=22 HEIGHT=19 ALT=' -1R' TITLE='-1R'>";
  althtmldef "-1R" as '-1<I><SUB><B>R</B></SUB></I>';
  latexdef "-1R" as "-1_\mathcal{R}";
htmldef "+R" as
    " <IMG SRC='_plr.gif' WIDTH=23 HEIGHT=19 ALT=' +R' TITLE='+R'> ";
  althtmldef "+R" as ' +<I><SUB><B>R</B></SUB></I> ';
  latexdef "+R" as "+_\mathcal{R}";
htmldef ".R" as
    " <IMG SRC='_cdcr.gif' WIDTH=14 HEIGHT=19 ALT=' .R' TITLE='.R'> ";
  althtmldef ".R" as ' &middot;<I><SUB><B>R</B></SUB></I> ';
  latexdef ".R" as "\cdot_\mathcal{R}";
htmldef "<R" as
    " <IMG SRC='_ltr.gif' WIDTH=20 HEIGHT=19 ALT=' &lt;R' TITLE='&lt;R'> ";
  althtmldef "<R" as ' &lt;<I><SUB><B>R</B></SUB></I> ';
  latexdef "<R" as "<_\mathcal{R}";
htmldef "<RR" as
    " <IMG SRC='_ltbbr.gif' WIDTH=20 HEIGHT=19 ALT=' &lt;RR' TITLE='&lt;RR'> ";
  althtmldef "<RR" as ' &lt;<SUB>&#8477;</SUB> ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "<RR" as "<_\mathbb{R}";
htmldef "CC" as "<IMG SRC='bbc.gif' WIDTH=12 HEIGHT=19 ALT=' CC' TITLE='CC'>";
  althtmldef "CC" as '&#8450;';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "CC" as "\mathbb{C}";
htmldef "RR" as "<IMG SRC='bbr.gif' WIDTH=13 HEIGHT=19 ALT=' RR' TITLE='RR'>";
  althtmldef "RR" as '&#8477;';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "RR" as "\mathbb{R}";
    /*latexdef "" as "_{10}";*/
    /*latexdef "" as "";*/
    /* suppress base 10 suffix */
htmldef "0" as "<IMG SRC='0.gif' WIDTH=8 HEIGHT=19 ALT=' 0' TITLE='0'>";
  althtmldef "0" as '0';
  latexdef "0" as "0";
htmldef "1" as "<IMG SRC='1.gif' WIDTH=7 HEIGHT=19 ALT=' 1' TITLE='1'>";
  althtmldef "1" as '1';
  latexdef "1" as "1";
htmldef "_i" as "<IMG SRC='rmi.gif' WIDTH=4 HEIGHT=19 ALT=' _i' TITLE='_i'>";
  althtmldef "_i" as 'i';
  latexdef "_i" as "\mathrm{i}";
htmldef "+" as " <IMG SRC='plus.gif' WIDTH=13 HEIGHT=19 ALT=' +' TITLE='+'> ";
  althtmldef "+" as ' + ';
  latexdef "+" as "+";
htmldef "x." as
    " <IMG SRC='cdot.gif' WIDTH=4 HEIGHT=19 ALT=' x.' TITLE='x.'> ";
  althtmldef "x." as ' &middot; '; /* unicode: &#xb7; */
  latexdef "x." as "\cdot";
htmldef "<_" as
    " <IMG SRC='le.gif' WIDTH=11 HEIGHT=19 ALT=' &lt;_' TITLE='&lt;_'> ";
  althtmldef "<_" as ' &le; ';
  latexdef "<_" as "\le";
htmldef "+oo" as " <IMG SRC='_pinf.gif' WIDTH=29 HEIGHT=19 ALT='+oo' " +
    "TITLE='+oo'>";
  althtmldef "+oo" as '+&infin;';
  latexdef "+oo" as "+\infty";
htmldef "-oo" as " <IMG SRC='_minf.gif' WIDTH=24 HEIGHT=19 ALT='-oo' " +
    "TITLE='-oo'>";
  althtmldef "-oo" as '-&infin;';
  latexdef "-oo" as "-\infty";
htmldef "RR*" as "<IMG SRC='_bbrast.gif' WIDTH=18 HEIGHT=19 ALT=' RR*' " +
    "TITLE='RR*'>";
  althtmldef "RR*" as '&#8477;<SUP>*</SUP>';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "RR*" as "\mathbb{R}^*";
htmldef "<" as
    " <IMG SRC='lt.gif' WIDTH=11 HEIGHT=19 ALT=' &lt;' TITLE='&lt;'> ";
  althtmldef "<" as ' &lt; ';
  latexdef "<" as "<";
htmldef "-" as
    " <IMG SRC='minus.gif' WIDTH=11 HEIGHT=19 ALT=' -' TITLE='-'> ";
  althtmldef "-" as ' &minus; ';
  latexdef "-" as "-";
htmldef "-u" as
    "<IMG SRC='shortminus.gif' WIDTH=8 HEIGHT=19 ALT=' -u' TITLE='-u'>";
    /* use standard minus sign */
  althtmldef "-u" as '-';
  latexdef "-u" as "\textrm{-}"; /* short minus */
    /*latexdef "-u" as "-_u";*/
htmldef "NN" as "<IMG SRC='bbn.gif' WIDTH=12 HEIGHT=19 ALT=' NN' TITLE='NN'>";
  althtmldef "NN" as '&#8469;'; /* &Nopf; */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "NN" as "\mathbb{N}";
htmldef "NN0" as
    "<IMG SRC='_bbn0.gif' WIDTH=19 HEIGHT=19 ALT=' NN0' TITLE='NN0'>";
  althtmldef "NN0" as '&#8469;<SUB>0</SUB>';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "NN0" as "\mathbb{N}_0";
htmldef "NN0*" as 'NN0*';
  althtmldef "NN0*" as '&#8469;<SUB>0</SUB><SUP>*</SUP>';
  latexdef "NN0*" as "\mathbb{N}_0^*";
htmldef "ZZ" as "<IMG SRC='bbz.gif' WIDTH=11 HEIGHT=19 ALT=' ZZ' TITLE='ZZ'>";
  althtmldef "ZZ" as '&#8484;';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "ZZ" as "\mathbb{Z}";
htmldef "QQ" as "<IMG SRC='bbq.gif' WIDTH=13 HEIGHT=19 ALT=' QQ' TITLE='QQ'>";
  althtmldef "QQ" as '&#8474;';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "QQ" as "\mathbb{Q}";
htmldef "RR+" as "<IMG SRC='_bbrplus.gif' WIDTH=20 HEIGHT=19 ALT=' RR+' " +
    "TITLE='RR+'>";
  althtmldef "RR+" as '&#8477;<SUP>+</SUP>';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "RR+" as "\mathbb{R}^+";
htmldef "2" as "<IMG SRC='2.gif' WIDTH=8 HEIGHT=19 ALT=' 2' TITLE='2'>";
  althtmldef "2" as '2';
  latexdef "2" as "2";
htmldef "3" as "<IMG SRC='3.gif' WIDTH=8 HEIGHT=19 ALT=' 3' TITLE='3'>";
  althtmldef "3" as '3';
  latexdef "3" as "3";
htmldef "4" as "<IMG SRC='4.gif' WIDTH=9 HEIGHT=19 ALT=' 4' TITLE='4'>";
  althtmldef "4" as '4';
  latexdef "4" as "4";
htmldef "5" as "<IMG SRC='5.gif' WIDTH=8 HEIGHT=19 ALT=' 5' TITLE='5'>";
  althtmldef "5" as '5';
  latexdef "5" as "5";
htmldef "6" as "<IMG SRC='6.gif' WIDTH=8 HEIGHT=19 ALT=' 6' TITLE='6'>";
  althtmldef "6" as '6';
  latexdef "6" as "6";
htmldef "7" as "<IMG SRC='7.gif' WIDTH=9 HEIGHT=19 ALT=' 7' TITLE='7'>";
  althtmldef "7" as '7';
  latexdef "7" as "7";
htmldef "8" as "<IMG SRC='8.gif' WIDTH=8 HEIGHT=19 ALT=' 8' TITLE='8'>";
  althtmldef "8" as '8';
  latexdef "8" as "8";
htmldef "9" as "<IMG SRC='9.gif' WIDTH=8 HEIGHT=19 ALT=' 9' TITLE='9'>";
  althtmldef "9" as '9';
  latexdef "9" as "9";
htmldef ";" as '<FONT COLOR="#808080">;</FONT>';
  althtmldef ";" as '<SPAN CLASS=hidden STYLE="color:gray">;</SPAN>';
  latexdef ";" as ";";
htmldef "ZZ>=" as "<IMG SRC='_bbzge.gif' WIDTH=20 HEIGHT=19 " +
    "ALT=' ZZ&gt;=' TITLE='ZZ&gt;='>";
  althtmldef "ZZ>=" as "&#8484;<SUB>&ge;</SUB>";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "ZZ>=" as "\mathbb{Z}_\ge";
htmldef "-e" as " <IMG SRC='shortminus.gif' WIDTH=8 HEIGHT=19 ALT=' -' " +
    "TITLE='-'><IMG SRC='sube.gif' WIDTH=6 HEIGHT=19 ALT='e' TITLE='e'>";
  althtmldef "-e" as "-<SUB>&#x1D452;</SUB>";
  latexdef "-e" as "\textrm{-}_e";
htmldef "+e" as "<IMG SRC='plus.gif' WIDTH=13 HEIGHT=19 ALT=' +' TITLE='+'>" +
    "<IMG SRC='sube.gif' WIDTH=6 HEIGHT=19 ALT='e' TITLE='e'>";
  althtmldef "+e" as " +<SUB>&#x1D452;</SUB> ";
  latexdef "+e" as "+_e";
htmldef "*e" as "<IMG SRC='cdot.gif' WIDTH=4 HEIGHT=19 ALT=' x' TITLE='x'>" +
    "<IMG SRC='sube.gif' WIDTH=6 HEIGHT=19 ALT='e' TITLE='e'>";
  althtmldef "*e" as  " &middot;<SUB>e</SUB> ";
  latexdef "*e" as "\cdot_e";
htmldef "(,)" as
    "<IMG SRC='_ioo.gif' WIDTH=13 HEIGHT=19 ALT=' (,)' TITLE='(,)'>";
  althtmldef "(,)" as "(,)";
  latexdef "(,)" as "(,)";
htmldef "(,]" as
    "<IMG SRC='_ioc.gif' WIDTH=12 HEIGHT=19 ALT=' (,]' TITLE='(,]'>";
  althtmldef "(,]" as "(,]";
  latexdef "(,]" as "(,]";
htmldef "[,)" as
    "<IMG SRC='_ico.gif' WIDTH=13 HEIGHT=19 ALT=' [,)' TITLE='[,)'>";
  althtmldef "[,)" as "[,)";
  latexdef "[,)" as "[,)";
htmldef "[,]" as
    "<IMG SRC='_icc.gif' WIDTH=12 HEIGHT=19 ALT=' [,]' TITLE='[,]'>";
  althtmldef "[,]" as "[,]";
  latexdef "[,]" as "[,]";
htmldef "..." as "<IMG SRC='ldots.gif' WIDTH=18 HEIGHT=19 " +
    "ALT=' ...' TITLE='...'>";
  althtmldef "..." as "...";
  latexdef "..." as "\ldots";
htmldef "..^" as "..^";
  althtmldef "..^" as "..^";
  latexdef "..^" as "\mathbin{..\hat{\;}}";
/*
htmldef "sgn" as
    "<IMG SRC='sgn.gif' WIDTH=20 HEIGHT=19 ALT=' sgn' TITLE='sgn'>";
*/
htmldef "sgn" as "sgn";
  althtmldef "sgn" as "sgn";
  latexdef "sgn" as "\operatorname{sgn}";
htmldef "|_" as "<IMG SRC='lfloor.gif' WIDTH=6 HEIGHT=19 ALT=' |_' " +
    "TITLE='|_'>";
  althtmldef "|_" as '&#8970;';
  latexdef "|_" as "\lfloor";
/*
htmldef "|^" as
   "<IMG SRC='ceiling.gif' WIDTH=20 HEIGHT=19 ALT=' ceiling' TITLE='ceiling'>";
*/
htmldef "|^" as "&#8968;";
  althtmldef "|^" as "&#8968;";
  latexdef "|^" as "\lceil";
htmldef "mod" as " <IMG SRC='_mod.gif' WIDTH=29 HEIGHT=19 ALT=' mod' " +
    "TITLE='mod'> ";
  althtmldef "mod" as ' mod ';
  latexdef "mod" as "\mathbin{\operatorname{mod}}";
htmldef "==" as " <IMG SRC='equiv.gif' WIDTH=12 HEIGHT=19 ALT=' ==' " +
    "TITLE='=='> ";
  althtmldef "==" as "&equiv;"; /* 2263 */
  latexdef "==" as "\equiv";
htmldef "seq" as " <IMG SRC='_seq.gif' WIDTH=22 HEIGHT=19 ALT=' seq' " +
    "TITLE='seq'>";
  althtmldef "seq" as 'seq';
  latexdef "seq" as "\mathrm{seq}";
/*
htmldef "seq1" as " <IMG SRC='_seq1.gif' WIDTH=26 HEIGHT=19 ALT=' seq1' " +
    "TITLE='seq1'> ";
  althtmldef "seq1" as 'seq<SUB>1</SUB>';
  latexdef "seq1" as "\mathrm{seq}_1";
htmldef "seqz" as
    " <IMG SRC='_seq.gif' WIDTH=22 HEIGHT=19 ALT=' seq' TITLE='seq'>" +
    "<IMG SRC='__subbbz.gif' WIDTH=8 HEIGHT=19 ALT='z' TITLE='z'> ";
  althtmldef "seqz" as 'seq<SUB><FONT FACE=sans-serif>&#8484;</FONT></SUB>';
  latexdef "seqz" as "\mathrm{seq}_\mathbb{Z}";
htmldef "seq0" as " <IMG SRC='_seq0.gif' WIDTH=27 HEIGHT=19 ALT=' seq0' " +
    "TITLE='seq0'> ";
  althtmldef "seq0" as 'seq<SUB>0</SUB>';
  latexdef "seq0" as "\mathrm{seq}_0";
*/
htmldef "^" as "<IMG SRC='uparrow.gif' WIDTH=7 HEIGHT=19 ALT=' ^' TITLE='^'>";
  althtmldef "^" as '&uarr;';
  latexdef "^" as "\uparrow";
htmldef "!" as "<IMG SRC='bang.gif' WIDTH=3 HEIGHT=19 ALT=' !' TITLE='!'>";
  althtmldef "!" as '!';
  latexdef "!" as "{!}";
htmldef "_C" as
    " <IMG SRC='rmcc.gif' WIDTH=10 HEIGHT=19 ALT=' _C' TITLE='_C'> ";
  althtmldef "_C" as 'C';
  latexdef "_C" as "\mathbin{\operatorname{C}}";
htmldef "#" as "&#x266f";
  althtmldef "#" as "&#x266f";
  latexdef "#" as "\sharp";
htmldef "shift" as " <IMG SRC='_shift.gif' WIDTH=30 HEIGHT=19 ALT=' shift' " +
    "TITLE='shift'> ";
  althtmldef "shift" as ' shift ';
  latexdef "shift" as "\mathbin{\operatorname{shift}}";
htmldef "Re" as "<IMG SRC='re.gif' WIDTH=12 HEIGHT=19 ALT=' Re' TITLE='Re'>";
  althtmldef "Re" as '&real;';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "Re" as "\Re";
htmldef "Im" as "<IMG SRC='im.gif' WIDTH=12 HEIGHT=19 ALT=' Im' TITLE='Im'>";
  althtmldef "Im" as '&image;';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "Im" as "\Im";
htmldef "*" as "<IMG SRC='ast.gif' WIDTH=7 HEIGHT=19 ALT=' *' TITLE='*'>";
  althtmldef "*" as '&lowast;';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "*" as "*";
htmldef "sqrt" as
    "<IMG SRC='surd.gif' WIDTH=14 HEIGHT=19 ALT=' sqr' TITLE='sqr'>";
  althtmldef "sqrt" as '&radic;';
  latexdef "sqrt" as "\surd";
htmldef "abs" as
    "<IMG SRC='_abs.gif' WIDTH=22 HEIGHT=19 ALT=' abs' TITLE='abs'>";
  althtmldef "abs" as 'abs';
  latexdef "abs" as "\operatorname{abs}";
htmldef "+-" as
    "<IMG SRC='pm.gif' WIDTH=14 HEIGHT=19 ALT=' pm' TITLE='pm'>";
  althtmldef "+-" as '&plusmn;';
  latexdef "+-" as "\pm";
htmldef "limsup" as
    "<IMG SRC='_limsup.gif' WIDTH=44 HEIGHT=19 ALT=' limsup' TITLE='limsup'>";
  althtmldef "limsup" as 'lim sup';
  latexdef "limsup" as "\limsup";
htmldef "~~>" as " <IMG SRC='rightsquigarrow.gif' WIDTH=15 HEIGHT=19 " +
    "ALT=' ~~&gt;' TITLE='~~&gt;'> ";
  althtmldef "~~>" as ' &#8669; ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "~~>" as '\rightsquigarrow';
htmldef "~~>r" as " <IMG SRC='rightsquigarrow.gif' WIDTH=15 HEIGHT=19 " +
    "ALT=' ~~&gt;' TITLE='~~&gt;'><IMG SRC='subr.gif' WIDTH=5 HEIGHT=19 " +
    "ALT=' r' TITLE='r'> ";
  althtmldef "~~>r" as
    ' &#8669;<SUB>&#x1D45F;</SUB> ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "~~>r" as '\rightsquigarrow_r';
htmldef "O(1)" as "<IMG SRC='co.gif' WIDTH=12 HEIGHT=19 ALT=' O' TITLE='O'>" +
    "<IMG SRC='lp.gif' WIDTH=5 HEIGHT=19 ALT='(' TITLE='('>" +
    "<IMG SRC='1.gif' WIDTH=7 HEIGHT=19 ALT='1' TITLE='1'>" +
    "<IMG SRC='rp.gif' WIDTH=5 HEIGHT=19 ALT=')' TITLE=')'>";
  althtmldef "O(1)" as '&#x1D442;(1)';
  latexdef "O(1)" as "O(1)";
htmldef "<_O(1)" as
    "<IMG SRC='le.gif' WIDTH=11 HEIGHT=19 ALT=' &lt;_' TITLE='&lt;_'>" +
    "<IMG SRC='co.gif' WIDTH=12 HEIGHT=19 ALT='O' TITLE='O'>" +
    "<IMG SRC='lp.gif' WIDTH=5 HEIGHT=19 ALT='(' TITLE='('>" +
    "<IMG SRC='1.gif' WIDTH=7 HEIGHT=19 ALT='1' TITLE='1'>" +
    "<IMG SRC='rp.gif' WIDTH=5 HEIGHT=19 ALT=')' TITLE=')'>";
  althtmldef "<_O(1)" as '&le;&#x1D442;(1)';
  latexdef "<_O(1)" as "\le O(1)";
htmldef "sum_" as "<IMG SRC='csigma.gif' WIDTH=11 HEIGHT=19 " +
    "ALT=' sum_' TITLE='sum_'>";
  althtmldef "sum_" as "&Sigma;";
  latexdef "sum_" as "\sum";
htmldef "exp" as
    "<IMG SRC='_exp.gif' WIDTH=24 HEIGHT=19 ALT=' exp' TITLE='exp'>";
  althtmldef "exp" as "exp";
  latexdef "exp" as "\exp";
htmldef "_e" as "<IMG SRC='rme.gif' WIDTH=7 HEIGHT=19 ALT=' _e' TITLE='_e'>";
  althtmldef "_e" as "e";
  latexdef "_e" as "\mathrm{e}";
htmldef "sin" as
    "<IMG SRC='_sin.gif' WIDTH=19 HEIGHT=19 ALT=' sin' TITLE='sin'>";
  althtmldef "sin" as "sin";
  latexdef "sin" as "\sin";
htmldef "cos" as
    "<IMG SRC='_cos.gif' WIDTH=21 HEIGHT=19 ALT=' cos' TITLE='cos'>";
  althtmldef "cos" as "cos";
  latexdef "cos" as "\cos";
htmldef "tan" as
    "<IMG SRC='_tan.gif' WIDTH=22 HEIGHT=19 ALT=' tan' TITLE='tan'>";
  althtmldef "tan" as "tan";
  latexdef "tan" as "\tan";
htmldef "_pi" as "<IMG SRC='pi.gif' WIDTH=10 HEIGHT=19 ALT=' pi' TITLE='pi'>";
  althtmldef "_pi" as "&pi;";  /* was: "&#x1D70B;"; math italic pi */
  latexdef "_pi" as "\mathrm{\pi}";
htmldef "_tau" as
    "<IMG SRC='tau.gif' WIDTH=10 HEIGHT=19 ALT=' tau' TITLE='tau'>";
  althtmldef "_tau" as '&#x3c4;';  /* upright lowercase Greek tau */
  latexdef "_tau" as "\mathrm{\tau}";
htmldef "||" as
    " <IMG SRC='parallel.gif' WIDTH=5 HEIGHT=19 " + "ALT=' ||' TITLE='||'> ";
  althtmldef "||" as ' &#8741; ';
  latexdef "||" as " \parallel ";
htmldef "bits" as "bits";
  althtmldef "bits" as "bits";
  latexdef "bits" as "\text{ bits }";
htmldef "sadd" as " sadd ";
  althtmldef "sadd" as " sadd ";
  latexdef "sadd" as "\text{ sadd }";
htmldef "smul" as " smul ";
  althtmldef "smul" as " smul ";
  latexdef "smul" as "\text{ smul }";
htmldef "gcd" as
    " <IMG SRC='_gcd.gif' WIDTH=23 HEIGHT=19 ALT=' gcd' TITLE='gcd'> ";
  althtmldef "gcd" as " gcd ";
  latexdef "gcd" as "\mathbin{\operatorname{gcd}}";
htmldef "lcm" as " lcm ";
  althtmldef "lcm" as " lcm ";
  latexdef "lcm" as "\mathbin{\operatorname{lcm}}";
htmldef "_lcm" as "<U>lcm</U>";
  althtmldef "_lcm" as "<U>lcm</U>";
  latexdef "_lcm" as "\underline{\mathbin{\operatorname{lcm}}}";
htmldef "Prime" as
    "<IMG SRC='bbp.gif' WIDTH=11 HEIGHT=19 ALT=' Prime' TITLE='Prime'>";
  althtmldef "Prime" as "&#8473;";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "Prime" as "\mathbb{P}";
htmldef "#p" as "#<SUB>p</SUB>";
  althtmldef "#p" as "#<SUB>p</SUB>";
  latexdef "#p" as "\#";
htmldef "odZ" as
    "<IMG SRC='_od.gif' WIDTH=15 HEIGHT=19 ALT=' od' TITLE='od'>" +
    "<IMG SRC='__subbbz.gif' WIDTH=8 HEIGHT=19 ALT='Z' TITLE='Z'>";
  althtmldef "odZ" as "od<SUB>&#8484;</SUB>";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "odZ" as "\mathrm{od}_\mathbb{Z}";
htmldef "phi" as
    "<IMG SRC='phi.gif' WIDTH=10 HEIGHT=19 ALT=' phi' TITLE='phi'>";
  althtmldef "phi" as '&#981;';
  latexdef "phi" as "\phi";
htmldef "pCnt" as
    " <IMG SRC='_pcnt.gif' WIDTH=32 HEIGHT=19 ALT=' pCnt' TITLE='pCnt'> ";
  althtmldef "pCnt" as " pCnt ";
  latexdef "pCnt" as "\mathbin{\operatorname{pCnt}}";
htmldef "Z[i]" as
    "<IMG SRC='bbz.gif' WIDTH=11 HEIGHT=19 ALT=' ZZ' TITLE='ZZ'>" +
    "<IMG SRC='lbrack.gif' WIDTH=5 HEIGHT=19 ALT='[' TITLE='['>" +
    "<IMG SRC='rmi.gif' WIDTH=4 HEIGHT=19 ALT='_i' TITLE='_i'>" +
    "<IMG SRC='rbrack.gif' WIDTH=5 HEIGHT=19 ALT=']' TITLE=']'>";
  althtmldef "Z[i]" as '&#8484;[i]';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "Z[i]" as "\mathbb{Z}[\mathrm{i}]";
htmldef "AP" as "AP";
  althtmldef "AP" as "AP";
  latexdef "AP" as "\mathrm{AP}";
htmldef "MonoAP" as " MonoAP ";
  althtmldef "MonoAP" as " MonoAP ";
  latexdef "MonoAP" as "\mathrm{MonoAP}";
htmldef "PolyAP" as " PolyAP ";
  althtmldef "PolyAP" as " PolyAP ";
  latexdef "PolyAP" as "\mathrm{PolyAP}";
htmldef "Ramsey" as " Ramsey ";
  althtmldef "Ramsey" as " Ramsey ";
  latexdef "Ramsey" as "\mathrm{Ramsey}";
htmldef "Struct" as " Struct ";
  althtmldef "Struct" as " Struct ";
  latexdef "Struct" as "\mathrm{Struct}";
htmldef "ndx" as
    "<IMG SRC='_ndx.gif' WIDTH=24 HEIGHT=19 ALT=' ndx' TITLE='ndx'>";
  althtmldef "ndx" as "ndx";
  latexdef "ndx" as "\mathrm{ndx}";
htmldef "sSet" as " sSet ";
  althtmldef "sSet" as " sSet ";
  latexdef "sSet" as "\mathrm{sSet}";
htmldef "Slot" as "Slot ";
  althtmldef "Slot" as "Slot ";
  latexdef "Slot" as "\mathrm{Slot}";
htmldef "Base" as
    "<IMG SRC='_base.gif' WIDTH=30 HEIGHT=19 ALT=' Base' TITLE='Base'>";
  althtmldef "Base" as "Base";
  latexdef "Base" as "\mathrm{Base}";
htmldef "|`s" as " &#8638;<SUB>s</SUB> ";
    /* 2-Jan-2016 reverted sans-serif */
  althtmldef "|`s" as " &#8638;<SUB>s</SUB> ";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "|`s" as "\restriction_s";
htmldef "+g" as
    "<IMG SRC='_plusg.gif' WIDTH=19 HEIGHT=19 ALT=' +g' TITLE='+g'> ";
  althtmldef "+g" as "+<SUB>g</SUB>";
  latexdef "+g" as "+_\mathrm{g}";
htmldef ".r" as "<IMG SRC='_cdr.gif' WIDTH=10 HEIGHT=19 ALT=' .r' TITLE='.r'>";
  althtmldef ".r" as ".<SUB>r</SUB>";
  latexdef ".r" as "._\mathrm{r}";
htmldef "*r" as "<IMG SRC='ast.gif' WIDTH=7 HEIGHT=19 ALT=' *' TITLE='*'>" +
    "<IMG SRC='subr.gif' WIDTH=5 HEIGHT=19 ALT='r' TITLE='r'>";
  althtmldef "*r" as "*<SUB>&#x1D45F;</SUB>";
  latexdef "*r" as "\ast_r";
htmldef "Scalar" as "Scalar";
  althtmldef "Scalar" as "Scalar";
  latexdef "Scalar" as "\mathrm{Scalar}";
htmldef ".s" as "<IMG SRC='_cds.gif' WIDTH=9 HEIGHT=19 ALT=' .s' TITLE='.s'>";
  althtmldef ".s" as ' <B>&middot;</B><SUB>&#x1D460;</SUB> ';
  latexdef ".s" as '\cdot_s';
htmldef ".i" as "<IMG SRC='_cdi.gif' WIDTH=7 HEIGHT=19 ALT=' .i' TITLE='.i'>";
  althtmldef ".i" as '<B>&middot;</B><SUB>&#x1D456;</SUB>';
  latexdef ".i" as '\cdot_i';
htmldef "TopSet" as "TopSet";
  althtmldef "TopSet" as "TopSet";
  latexdef "TopSet" as "\mathrm{TopSet}";
htmldef "le" as
    "<IMG SRC='_rmle.gif' WIDTH=11 HEIGHT=19 ALT=' le' TITLE='le'>";
  althtmldef "le" as "le";
  latexdef "le" as "\mathrm{le}";
htmldef "oc" as "<IMG SRC='_oc.gif' WIDTH=14 HEIGHT=19 ALT=' oc' TITLE='oc'>";
  althtmldef "oc" as "oc";
  latexdef "oc" as "\mathrm{oc}";
htmldef "dist" as
    "<IMG SRC='_dist.gif' WIDTH=24 HEIGHT=19 ALT=' dist' TITLE='dist'>";
  althtmldef "dist" as "dist";
  latexdef "dist" as "\mathrm{dist}";
htmldef "UnifSet" as
    "<IMG SRC='_unif.gif' WIDTH=28 HEIGHT=19 ALT=' UnifSet' TITLE='UnifSet'>";
  althtmldef "UnifSet" as "UnifSet";
  latexdef "UnifSet" as "\mathrm{UnifSet}";
htmldef "Hom" as
    "<IMG SRC='_hom.gif' WIDTH=27 HEIGHT=19 ALT=' Hom' TITLE='Hom'> ";
  althtmldef "Hom" as "Hom ";
  latexdef "Hom" as "\mathrm{Hom}";
htmldef "comp" as "comp";
  althtmldef "comp" as "comp";
  latexdef "comp" as "\operatorname{comp}";
htmldef "|`t" as " &#8638;<SUB>t</SUB> ";
    /* 2-Jan-2016 reverted sans-serif */
  althtmldef "|`t" as " &#8638;<SUB>t</SUB> ";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "|`t" as "\restriction_t";
htmldef "TopOpen" as
  "<IMG SRC='_topopen.gif' WIDTH=57 HEIGHT=19 ALT=' TopOpen' TITLE='TopOpen'>";
  althtmldef "TopOpen" as "TopOpen";
  latexdef "TopOpen" as "\mathrm{TopOpen}";
htmldef "topGen" as
    "<IMG SRC='_topgen.gif' WIDTH=47 HEIGHT=19 ALT=' topGen' TITLE='topGen'>";
  althtmldef "topGen" as "topGen";
  latexdef "topGen" as "\mathrm{topGen}";
htmldef "Xt_" as
    "<IMG SRC='_prodt.gif' WIDTH=17 HEIGHT=19 ALT=' Xt_' TITLE='Xt_'>";
  althtmldef "Xt_" as "&prod;<SUB>t</SUB>";
  latexdef "Xt_" as "\prod_t";
htmldef "Xs_" as "<IMG SRC='_bigtimes.gif' WIDTH=11 HEIGHT=19 ALT=' X_' " +
    "TITLE='X_'><sub><i>s</i></sub>";
  althtmldef "Xs_" as
    "<FONT SIZE='+1' FACE=sans-serif>X</FONT><sub><i>s</i></sub>";
  latexdef "Xs_" as "\bm{\bigtimes}_\text{s}";
htmldef "^s" as " <IMG SRC='uparrow.gif' WIDTH=7 HEIGHT=19 ALT=' ^' " +
    "TITLE='^'><sub><i>s</i></sub> ";
  althtmldef "^s" as ' &uarr;<sub><i>s</i></sub> ';
  latexdef "^s" as " \uparrow_s ";
htmldef "ordTop" as "ordTop";
  althtmldef "ordTop" as "ordTop";
  latexdef "ordTop" as "\mathrm{ordTop}";
htmldef "RR*s" as
    "<IMG SRC='_bbrast.gif' WIDTH=18 HEIGHT=19 ALT=' RR*' TITLE='RR*'>" +
    "<IMG SRC='subs.gif' WIDTH=6 HEIGHT=19 ALT='s' TITLE='s'>";
  althtmldef "RR*s" as
    '&#8477;<SUP>*</SUP><SUB>&#x1D460;</SUB>';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "RR*s" as "\mathbb{R}^*_s";
htmldef "0g" as "<IMG SRC='_0g.gif' WIDTH=14 HEIGHT=19 ALT=' 0g' TITLE='0g'>";
  althtmldef "0g" as "0<SUB>g</SUB>";
  latexdef "0g" as "0_\mathrm{g}";
htmldef "gsum" as " <IMG SRC='csigma.gif' WIDTH=11 HEIGHT=19 " +
    "ALT=' gsum' TITLE='gsum'><sub><i>g</i></sub> ";
  althtmldef "gsum" as " &Sigma;<sub><i>g</i></sub> ";
  latexdef "gsum" as "\sum_g";
htmldef '"s' as " <IMG SRC='backquote.gif' WIDTH=7 HEIGHT=19 ALT=' " + '"' +
    "' TITLE='" + '"' + "'><sub><i>s</i></sub> ";
  althtmldef '"s' as ' &ldquo;<sub><i>s</i></sub> ';
  latexdef '"s' as "``_s";
htmldef "/s" as " <IMG SRC='diagup.gif' WIDTH=14 HEIGHT=19 ALT=' /.' " +
    "TITLE='/.'><sub><i>s</i></sub> ";
  althtmldef "/s" as " /<sub><i>s</i></sub> ";
  latexdef "/s" as " \diagup_s ";
htmldef "qTop" as " qTop ";
  althtmldef "qTop" as " qTop ";
  latexdef "qTop" as "\mathrm{qTop}";
htmldef "Xs." as " <IMG SRC='times.gif' WIDTH=9 HEIGHT=19 ALT=' X.' " +
    "TITLE='X.'><sub><i>s</i></sub> ";
  althtmldef "Xs." as ' &times;<sub><i>s</i></sub> ';
  latexdef "Xs." as "\times_s";
htmldef "Cat" as
    "<IMG SRC='_cat.gif' WIDTH=24 HEIGHT=19 ALT=' Cat' TITLE='Cat'>";
  althtmldef "Cat" as "Cat";
  latexdef "Cat" as "\mathrm{Cat}";
htmldef "Id" as "<IMG SRC='_id.gif' WIDTH=12 HEIGHT=19 ALT=' Id' TITLE='Id'>";
  althtmldef "Id" as "Id";
  latexdef "Id" as "\mathrm{Id}";
htmldef "Homf" as
    "<IMG SRC='_hom.gif' WIDTH=27 HEIGHT=19 ALT=' Hom' TITLE='Hom'> " +
    "<sub><i>f</i></sub> ";
  althtmldef "Homf" as "Hom<sub><i>f</i></sub> ";
  latexdef "Homf" as "\mathrm{Hom}_f ";
htmldef "comf" as "comp<sub><i>f</i></sub>";
  althtmldef "comf" as "comp<sub><i>f</i></sub>";
  latexdef "comf" as "\mathrm{comp}_f";
htmldef "oppCat" as "oppCat";
  althtmldef "oppCat" as "oppCat";
  latexdef "oppCat" as "\mathrm{oppCat}";
htmldef "Mono" as "Mono";
  althtmldef "Mono" as "Mono";
  latexdef "Mono" as "\mathrm{Mono}";
htmldef "Epi" as "Epi";
  althtmldef "Epi" as "Epi";
  latexdef "Epi" as "\mathrm{Epi}";
htmldef "Sect" as "Sect";
  althtmldef "Sect" as "Sect";
  latexdef "Sect" as "\mathrm{Sect}";
htmldef "Inv" as "Inv";
  althtmldef "Inv" as "Inv";
  latexdef "Inv" as "\mathrm{Inv}";
htmldef "Iso" as
    " <IMG SRC='_iso.gif' WIDTH=17 HEIGHT=19 ALT=' Iso' TITLE='Iso'> ";
  althtmldef "Iso" as "Iso";
  latexdef "Iso" as "\mathrm{Iso}";
htmldef "~=c" as " <IMG SRC='simeq.gif' WIDTH=26 HEIGHT=19 " +
    "ALT=' ~=c' TITLE='~=c'><SUB>&#x1D450;</SUB> ";
  althtmldef "~=c" as " &#8771;<SUB>&#x1D450;</SUB> ";
  latexdef "~=c" as "\simeq_{c}";
htmldef "C_cat" as
    " <IMG SRC='subseteq.gif' WIDTH=12 HEIGHT=19 ALT=' C_' TITLE='C_'>" +
    "<SUB>cat</SUB> ";
  althtmldef "C_cat" as ' &#8838;<SUB>cat</SUB> '; /* &subE; */
  latexdef "C_cat" as "\subseteq_{cat}";
htmldef "|`cat" as " <IMG SRC='restriction.gif' WIDTH=5 HEIGHT=19 ALT=' |`'" +
    " TITLE='|`'><SUB>cat</SUB> ";
  althtmldef "|`cat" as " &#8638;<SUB>cat</SUB> ";
  latexdef "|`cat" as "\restriction_{cat}";
htmldef "Subcat" as "Subcat";
  althtmldef "Subcat" as "Subcat";
  latexdef "Subcat" as "\mathrm{Subcat}";
htmldef "Func" as
    " <IMG SRC='_func.gif' WIDTH=32 HEIGHT=19 ALT=' Func' TITLE='Func'> ";
  althtmldef "Func" as " Func ";
  latexdef "Func" as "\mathbin{\operatorname{Func}}";
htmldef "idFunc" as "id<sub><i>func</i></sub>";
  althtmldef "idFunc" as "id<sub><i>func</i></sub>";
  latexdef "idFunc" as "\mathrm{id}_{func}";
htmldef "o.func" as
    " <IMG SRC='circ.gif' WIDTH=8 HEIGHT=19 ALT=' o.' TITLE='o.'>" +
    "<sub><i>func</i></sub> ";
  althtmldef "o.func" as ' &#8728;<sub><i>func</i></sub> ';
  latexdef "o.func" as "\circ_{func}";
htmldef "|`f" as " <IMG SRC='restriction.gif' WIDTH=5 HEIGHT=19 ALT=' |`'" +
    " TITLE='|`'><SUB><i>f</i></SUB> ";
  althtmldef "|`f" as " &#8638;<SUB><i>f</i></SUB> ";
  latexdef "|`f" as "\restriction_f";
htmldef "Full" as " Full ";
  althtmldef "Full" as " Full ";
  latexdef "Full" as "\mathrm{Full}";
htmldef "Faith" as " Faith ";
  althtmldef "Faith" as " Faith ";
  latexdef "Faith" as "\mathrm{Faith}";
htmldef "Nat" as " Nat ";
  althtmldef "Nat" as " Nat ";
  latexdef "Nat" as "\mathrm{Nat}";
htmldef "FuncCat" as " FuncCat ";
  althtmldef "FuncCat" as " FuncCat ";
  latexdef "FuncCat" as " \mathrm{FuncCat} ";
htmldef "InitO" as 'InitO';
  althtmldef "InitO" as 'InitO';
  latexdef "InitO" as "\mathrm{InitO}";
htmldef "TermO" as 'TermO';
  althtmldef "TermO" as 'TermO';
  latexdef "TermO" as "\mathrm{TermO}";
htmldef "ZeroO" as 'ZeroO';
  althtmldef "ZeroO" as 'ZeroO';
  latexdef "ZeroO" as "\mathrm{ZeroO}";
htmldef "domA" as
    "<IMG SRC='_dom.gif' WIDTH=26 HEIGHT=19 ALT='dom' TITLE='dom'>" +
    "<IMG SRC='suba.gif' WIDTH=7 HEIGHT=19 ALT='A' TITLE='A'>";
  althtmldef "domA" as 'dom<sub><i>a</i></sub>';
  latexdef "domA" as "\mathrm{dom}_a";
htmldef "codA" as 'cod<sub><i>a</i></sub>';
  althtmldef "codA" as 'cod<sub><i>a</i></sub>';
  latexdef "codA" as "\mathrm{cod}_a";
htmldef "Arrow" as "Nat";
  althtmldef "Arrow" as "Arrow";
  latexdef "Arrow" as "\mathrm{Arrow}";
htmldef "HomA" as 'Hom<sub><i>a</i></sub>';
  althtmldef "HomA" as 'Hom<sub><i>a</i></sub>';
  latexdef "HomA" as "\mathrm{Hom}_a";
htmldef "IdA" as 'Id<sub><i>a</i></sub>';
  althtmldef "IdA" as 'Id<sub><i>a</i></sub>';
  latexdef "IdA" as "\mathrm{Id}_a";
htmldef "compA" as 'comp<sub><i>a</i></sub>';
  althtmldef "compA" as 'comp<sub><i>a</i></sub>';
  latexdef "compA" as "\mathrm{comp}_a";
htmldef "SetCat" as
    "<IMG SRC='_setcat.gif' WIDTH=45 HEIGHT=19 ALT=' SetCat' TITLE='SetCat'>";
  althtmldef "SetCat" as "SetCat";
  latexdef "SetCat" as "\mathrm{SetCat}";
htmldef "CatCat" as "CatCat";
  althtmldef "CatCat" as "CatCat";
  latexdef "CatCat" as "\mathrm{CatCat}";
htmldef "ExtStrCat" as 'ExtStrCat';
  althtmldef "ExtStrCat" as 'ExtStrCat';
  latexdef "ExtStrCat" as "\mathrm{ExtStrCat}";
htmldef "Xc." as " <IMG SRC='times.gif' WIDTH=9 HEIGHT=19 ALT=' X.' " +
    "TITLE='X.'><sub><i>c</i></sub> ";
  althtmldef "Xc." as ' &times;<sub><i>c</i></sub> ';
  latexdef "Xc." as "\times_c";
htmldef "1stF" as
    " <IMG SRC='_1st.gif' WIDTH=15 HEIGHT=19 ALT=' 1st' TITLE='1st'>" +
    "<sub><i>F</i></sub> ";
  althtmldef "1stF" as ' 1<SUP>st</SUP><sub><i>F</i></sub> ';
  latexdef "1stF" as " 1^\mathrm{st}{}_F ";
htmldef "2ndF" as
    " <IMG SRC='_2nd.gif' WIDTH=21 HEIGHT=19 ALT=' 2nd' TITLE='2nd'>" +
    "<sub><i>F</i></sub> ";
  althtmldef "2ndF" as ' 2<SUP>nd</SUP><sub><i>F</i></sub> ';
  latexdef "2ndF" as " 2^\mathrm{nd}{}_F ";
htmldef "pairF" as ' &lang;,&rang;<sub><i>F</i></sub> ';
  althtmldef "pairF" as ' &lang;,&rang;<sub><i>F</i></sub> ';
  latexdef "pairF" as " \langle,\rangle_F ";
htmldef "evalF" as ' eval<sub><i>F</i></sub> ';
  althtmldef "evalF" as ' eval<sub><i>F</i></sub> ';
  latexdef "evalF" as "\mathbin{\operatorname{eval}}_F";
htmldef "curryF" as ' curry<sub><i>F</i></sub> ';
  althtmldef "curryF" as ' curry<sub><i>F</i></sub> ';
  latexdef "curryF" as "\mathrm{curry}_F";
htmldef "uncurryF" as ' uncurry<sub><i>F</i></sub> ';
  althtmldef "uncurryF" as ' uncurry<sub><i>F</i></sub> ';
  latexdef "uncurryF" as "\mathrm{uncurry}_F";
htmldef "DiagFunc" as "&Delta;<sub>func</sub>";
  althtmldef "DiagFunc" as "&Delta;<sub>func</sub>";
  latexdef "DiagFunc" as "\Delta_{func}";
htmldef "HomF" as 'Hom<sub><i>F</i></sub>';
  althtmldef "HomF" as 'Hom<sub><i>F</i></sub>';
  latexdef "HomF" as "\mathrm{Hom}_F";
htmldef "Yon" as "Yon";
  althtmldef "Yon" as "Yon";
  latexdef "Yon" as "\mathrm{Yon}";
htmldef "Proset" as
   " <IMG SRC='_preset.gif' WIDTH=41 HEIGHT=19 ALT=' Proset' TITLE='Proset'> ";
  althtmldef "Proset" as " Proset ";
  latexdef "Proset" as "\mathrm{Proset}";
htmldef "Dirset" as "Dirset";
  althtmldef "Dirset" as "Dirset";
  latexdef "Dirset" as "\mathrm{Dirset}";
htmldef "Poset" as
    "<IMG SRC='_poset.gif' WIDTH=35 HEIGHT=19 ALT=' Poset' TITLE='Poset'>";
  althtmldef "Poset" as "Poset";
  latexdef "Poset" as "\mathrm{Poset}";
htmldef "lt" as
    "<IMG SRC='_rmlt.gif' WIDTH=10 HEIGHT=19 ALT=' lt' TITLE='lt'>";
  althtmldef "lt" as "lt";
  latexdef "lt" as "\mathrm{lt}";
htmldef "lub" as
    "<IMG SRC='_lub.gif' WIDTH=20 HEIGHT=19 ALT=' lub' TITLE='lub'>";
  althtmldef "lub" as "lub";
  latexdef "lub" as "\mathrm{lub}";
htmldef "glb" as
    "<IMG SRC='_glb.gif' WIDTH=20 HEIGHT=19 ALT=' glb' TITLE='glb'>";
  althtmldef "glb" as "glb";
  latexdef "glb" as "\mathrm{glb}";
htmldef "join" as
    "<IMG SRC='_join.gif' WIDTH=25 HEIGHT=19 ALT=' join' TITLE='join'>";
  althtmldef "join" as "join";
  latexdef "join" as "\operatorname{join}";
htmldef "meet" as
    "<IMG SRC='_meet.gif' WIDTH=32 HEIGHT=19 ALT=' meet' TITLE='meet'>";
  althtmldef "meet" as "meet";
  latexdef "meet" as "\operatorname{meet}";
htmldef "Toset" as "Toset";
  althtmldef "Toset" as "Toset";
  latexdef "Toset" as "\mathrm{Toset}";
htmldef "1." as
    "<IMG SRC='_1dot.gif' WIDTH=10 HEIGHT=19 ALT=' 1.' TITLE='1.'>";
  althtmldef "1." as "1.";
  latexdef "1." as "1.";
htmldef "0." as
    "<IMG SRC='_0dot.gif' WIDTH=11 HEIGHT=19 ALT=' 0.' TITLE='0.'>";
  althtmldef "0." as "0.";
  latexdef "0." as "0.";
htmldef "Lat" as
    "<IMG SRC='_lat.gif' WIDTH=23 HEIGHT=19 ALT=' Lat' TITLE='Lat'>";
  althtmldef "Lat" as "Lat";
  latexdef "Lat" as "\mathrm{Lat}";
htmldef "CLat" as
    "<IMG SRC='_clat.gif' WIDTH=33 HEIGHT=19 ALT=' CLat' TITLE='CLat'>";
  althtmldef "CLat" as "CLat";
  latexdef "CLat" as "\mathrm{CLat}";
htmldef "ODual" as "ODual";
  althtmldef "ODual" as "ODual";
  latexdef "ODual" as "\mathrm{ODual}";
htmldef "toInc" as "toInc";
  althtmldef "toInc" as "toInc";
  latexdef "toInc" as "\mathrm{toInc}";
htmldef "DLat" as "DLat";
  althtmldef "DLat" as "DLat";
  latexdef "DLat" as "\mathrm{DLat}";
htmldef "PosetRel" as
    "<IMG SRC='_posetrel.gif' WIDTH=56 HEIGHT=19 " +
    "ALT=' PosetRel' TITLE='PosetRel'>";
  althtmldef "PosetRel" as "PosetRel";
  latexdef "PosetRel" as "\mathrm{PosetRel}";
htmldef "TosetRel" as " <IMG SRC='_tosetrel.gif' WIDTH=55 HEIGHT=19 " +
    "ALT=' TosetRel' TITLE='TosetRel'> ";
  althtmldef "TosetRel" as " TosetRel ";
  latexdef "TosetRel" as "\mathrm{TosetRel}";
/* obsolete as of 28-Aug-2018.  -NM
htmldef "supw" as
    " <IMG SRC='_sup.gif' WIDTH=22 HEIGHT=19 ALT=' sup' TITLE='sup'>" +
    "<IMG SRC='subrmw.gif' WIDTH=10 HEIGHT=19 ALT='w' TITLE='w'> ";
  althtmldef "supw" as " sup<SUB>w</SUB> ";
  latexdef "supw" as "\mathrm{sup}_\mathrm{w}";
htmldef "infw" as
    " <IMG SRC='_inf.gif' WIDTH=18 HEIGHT=19 ALT=' inf' TITLE='inf'>" +
    "<IMG SRC='subrmw.gif' WIDTH=10 HEIGHT=19 ALT='w' TITLE='w'> ";
  althtmldef "infw" as " inf<SUB>w</SUB> ";
  latexdef "infw" as "\mathrm{inf}_\mathrm{w}";
htmldef "LatRel" as
    "<IMG SRC='_latrel.gif' WIDTH=44 HEIGHT=19 ALT=' LatRel' TITLE='LatRel'>";
  althtmldef "LatRel" as "LatRel";
  latexdef "LatRel" as "\mathrm{LatRel}";
*/
htmldef "DirRel" as
    "<IMG SRC='_dirrel.gif' WIDTH=41 HEIGHT=19 ALT=' DirRel' TITLE='DirRel'>";
  althtmldef "DirRel" as "DirRel";
  latexdef "DirRel" as "\mathrm{DirRel}";
htmldef "tail" as
    "<IMG SRC='_tail.gif' WIDTH=22 HEIGHT=19 ALT=' tail' TITLE='tail'>";
  althtmldef "tail" as "tail";
  latexdef "tail" as "\operatorname{tail}";
htmldef "Mgm" as 'Mgm';
  althtmldef "Mgm" as 'Mgm';
  latexdef "Mgm" as "\mathrm{Mgm}";
htmldef "Smgrp" as 'Smgrp';
  althtmldef "Smgrp" as 'Smgrp';
  latexdef "Smgrp" as "\mathrm{Smgrp}";
htmldef "Mnd" as
    "<IMG SRC='_mnd.gif' WIDTH=28 HEIGHT=19 ALT=' Mnd' TITLE='Mnd'>";
  althtmldef "Mnd" as "Mnd";
  latexdef "Mnd" as "\mathrm{Mnd}";
htmldef "Grp" as
    "<IMG SRC='_grp.gif' WIDTH=25 HEIGHT=19 ALT=' Grp' TITLE='Grp'>";
  althtmldef "Grp" as "Grp";
  latexdef "Grp" as "\mathrm{Grp}";
htmldef "invg" as "<IMG SRC='_inv.gif' WIDTH=19 HEIGHT=19 ALT=' inv' " +
    "TITLE='inv'><IMG SRC='subg.gif' WIDTH=7 HEIGHT=19 ALT='g' TITLE='g'>";
  althtmldef "invg" as "inv<SUB>g</SUB>";
  latexdef "invg" as "\operatorname{\mathrm{inv}_\mathrm{g}}";
htmldef "+f" as "<IMG SRC='plus.gif' WIDTH=13 HEIGHT=19 ALT=' +' TITLE='+'>" +
    "<IMG SRC='subf.gif' WIDTH=6 HEIGHT=19 ALT='f' TITLE='f'>";
  althtmldef "+f" as '+<SUB>&#x1D453;</SUB>';
  latexdef "+f" as "+_f";
htmldef "-g" as
    "<IMG SRC='_minusg.gif' WIDTH=17 HEIGHT=19 ALT=' -g' TITLE='-g'>";
  althtmldef "-g" as "-<SUB>g</SUB>";
  latexdef "-g" as "-_\mathrm{g}";
htmldef ".g" as ".<SUB>g</SUB>";
  althtmldef ".g" as ".<SUB>g</SUB>";
  latexdef ".g" as "\cdot_\mathrm{g}";
htmldef "MndHom" as " MndHom ";
  althtmldef "MndHom" as " MndHom ";
  latexdef "MndHom" as " \mathrm{MndHom} ";
htmldef "SubMnd" as "SubMnd";
  althtmldef "SubMnd" as "SubMnd";
  latexdef "SubMnd" as "\mathrm{SubMnd}";
htmldef "Word" as "Word ";
  althtmldef "Word" as "Word ";
  latexdef "Word" as "\mathrm{Word}";
htmldef "lastS" as 'lastS';
  althtmldef "lastS" as 'lastS';
  latexdef "lastS" as "\mathrm{lastS}";
htmldef "++" as " ++ ";
  althtmldef "++" as " ++ ";
  latexdef "++" as "\mathbin{\operatorname{++}}";
htmldef '<"' as
    "<IMG SRC='langle.gif' WIDTH=4 HEIGHT=19 ALT=' &lt;' TITLE='&lt;'>" +
    "<IMG SRC='backquote.gif' WIDTH=7 HEIGHT=19 ALT='" + '"' +
      "' TITLE='" + '"' + "'>";
  althtmldef '<"' as '&lang;&ldquo;'; /* &#9001;&#8220; */
  latexdef '<"' as "\langle``";
htmldef '">' as
    "<IMG SRC='quote.gif' WIDTH=7 HEIGHT=19 ALT=' " + '"' +
      "' TITLE='" + '"' + "'>" +
    "<IMG SRC='rangle.gif' WIDTH=4 HEIGHT=19 ALT='&gt;' TITLE='&gt;'>";
  althtmldef '">' as '&rdquo;&rang;'; /* &#8221;&#9002; */
  latexdef '">' as "''\rangle";
htmldef "substr" as " substr ";
  althtmldef "substr" as " substr ";
  latexdef "substr" as "\mathrm{substr}";
htmldef "splice" as " splice ";
  althtmldef "splice" as " splice ";
  latexdef "splice" as "\mathrm{splice}";
htmldef "reverse" as "reverse";
  althtmldef "reverse" as "reverse";
  latexdef "reverse" as "\mathrm{reverse}";
htmldef "repeatS" as ' repeatS ';
  althtmldef "repeatS" as ' repeatS ';
  latexdef "repeatS" as "\mathrm{repeatS}";
htmldef "cyclShift" as ' cyclShift ';
  althtmldef "cyclShift" as ' cyclShift ';
  latexdef "cyclShift" as "\mathrm{cyclShift}";
htmldef "cyclShiftOLD" as ' cyclShiftOLD ';
  althtmldef "cyclShiftOLD" as ' cyclShiftOLD ';
  latexdef "cyclShiftOLD" as "\mathrm{cyclShiftOLD}";
htmldef "freeMnd" as "freeMnd";
  althtmldef "freeMnd" as "freeMnd";
  latexdef "freeMnd" as "\mathrm{freeMnd}";
htmldef "varFMnd" as "var<SUB><I>FMnd</I></SUB>";
  althtmldef "varFMnd" as "var<SUB><I>FMnd</I></SUB>";
  latexdef "varFMnd" as "\mathrm{var}_{FMnd}";
htmldef "~QG" as " ~<sub><i>QG</i></sub> ";
  althtmldef "~QG" as " ~<sub><i>QG</i></sub> ";
  latexdef "~QG" as " \sim_{QG} ";
htmldef "SubGrp" as "SubGrp";
  althtmldef "SubGrp" as "SubGrp";
  latexdef "SubGrp" as "\mathrm{SubGrp}";
htmldef "NrmSGrp" as "NrmSGrp";
  althtmldef "NrmSGrp" as "NrmSGrp";
  latexdef "NrmSGrp" as "\mathrm{NrmSGrp}";
htmldef "GrpHom" as
   " <IMG SRC='_grphom.gif' WIDTH=54 HEIGHT=19 ALT=' GrpHom' TITLE='GrpHom'> ";
  althtmldef "GrpHom" as " GrpHom ";
  latexdef "GrpHom" as "\mathrm{GrpHom}";
htmldef "GrpIso" as " GrpIso ";
  althtmldef "GrpIso" as " GrpIso ";
  latexdef "GrpIso" as "\mathrm{GrpIso}";
htmldef "~=g" as " <IMG SRC='simeq.gif' WIDTH=26 HEIGHT=19 " +
    "ALT=' ~=g' TITLE='~=g'><SUB>&#x1D454;</SUB> ";
  althtmldef "~=g" as " &#8771;<SUB>&#x1D454;</SUB> ";
  latexdef "~=g" as "\simeq_{g}";
htmldef "GrpAct" as
   " <IMG SRC='_grpact.gif' WIDTH=48 HEIGHT=19 ALT=' GrpAct' TITLE='GrpAct'> ";
  althtmldef "GrpAct" as " GrpAct ";
  latexdef "GrpAct" as "\mathrm{GrpAct}";
htmldef "od" as "<IMG SRC='_od.gif' WIDTH=15 HEIGHT=19 ALT=' od' TITLE='od'>";
  althtmldef "od" as "od";
  latexdef "od" as "\mathrm{od}";
htmldef "gEx" as "gEx";
  althtmldef "gEx" as "gEx";
  latexdef "gEx" as "\mathrm{gEx}";
htmldef "pGrp" as " pGrp ";
  althtmldef "pGrp" as " pGrp ";
  latexdef "pGrp" as "\mathrm{pGrp}";
htmldef "pSyl" as " pSyl ";
  althtmldef "pSyl" as " pSyl ";
  latexdef "pSyl" as "\mathrm{pSyl}";
htmldef "~FG" as " ~<sub><i>FG</i></sub> ";
  althtmldef "~FG" as " ~<sub><i>FG</i></sub> ";
  latexdef "~FG" as " \sim_{FG} ";
htmldef "freeGrp" as "freeGrp";
  althtmldef "freeGrp" as "freeGrp";
  latexdef "freeGrp" as "\mathrm{freeGrp}";
htmldef "varFGrp" as "var<SUB><I>FGrp</I></SUB>";
  althtmldef "varFGrp" as "var<SUB><I>FGrp</I></SUB>";
  latexdef "varFGrp" as "\mathrm{var}_{FGrp}";
htmldef "CMnd" as "CMnd";
  althtmldef "CMnd" as "CMnd";
  latexdef "CMnd" as "\mathrm{CMnd}";
htmldef "CycGrp" as "CycGrp";
  althtmldef "CycGrp" as "CycGrp";
  latexdef "CycGrp" as "\mathrm{CycGrp}";
htmldef "DProd" as " DProd ";
  althtmldef "DProd" as " DProd ";
  latexdef "DProd" as "\mathrm{DProd}";
htmldef "dProj" as "dProj";
  althtmldef "dProj" as "dProj";
  latexdef "dProj" as "\mathrm{dProj}";
htmldef "Abel" as
    "<IMG SRC='_abel.gif' WIDTH=28 HEIGHT=19 ALT=' Abel' TITLE='Abel'>";
  althtmldef "Abel" as "Abel";
  latexdef "Abel" as "\mathrm{Abel}";
htmldef "oppG" as "opp<sub><i>g</i></sub>";
  althtmldef "oppG" as "opp<sub><i>g</i></sub>";
  latexdef "oppG" as "\mathrm{opp}_g";
htmldef "SymGrp" as
    "<IMG SRC='_symgrp.gif' WIDTH=53 HEIGHT=19 ALT=' SymGrp' TITLE='SymGrp'>";
  althtmldef "SymGrp" as "SymGrp";
  latexdef "SymGrp" as "\mathrm{SymGrp}";
htmldef "pmTrsp" as "pmTrsp";
  althtmldef "pmTrsp" as "pmTrsp";
  latexdef "pmTrsp" as "\operatorname{pmTrsp}";
htmldef "pmSgn" as "pmSgn";
  althtmldef "pmSgn" as "pmSgn";
  latexdef "pmSgn" as "\operatorname{pmSgn}";
htmldef "pmEven" as "pmEven";
  althtmldef "pmEven" as "pmEven";
  latexdef "pmEven" as "\operatorname{pmEven}";
htmldef "mulGrp" as "mulGrp";
  althtmldef "mulGrp" as "mulGrp";
  latexdef "mulGrp" as "\mathrm{mulGrp}";
htmldef "SRing" as "SRing";
  althtmldef "SRing" as "SRing";
  latexdef "SRing" as "\mathrm{SRing}";
htmldef "Ring" as
    "<IMG SRC='_ring.gif' WIDTH=30 HEIGHT=19 ALT=' Ring' TITLE='Ring'>";
  althtmldef "Ring" as "Ring";
  latexdef "Ring" as "\mathrm{Ring}";
htmldef "CRing" as
    "<IMG SRC='_cring.gif' WIDTH=40 HEIGHT=19 ALT=' CRing' TITLE='CRing'>";
  althtmldef "CRing" as "CRing";
  latexdef "CRing" as "\mathrm{CRing}";
htmldef "1r" as "<IMG SRC='_1r.gif' WIDTH=13 HEIGHT=19 ALT=' 1r' TITLE='1r'>";
  althtmldef "1r" as "1<SUB>r</SUB>";
  latexdef "1r" as "1_\mathrm{r}";
htmldef "oppR" as "opp<sub><i>r</i></sub>";
  althtmldef "oppR" as "opp<sub><i>r</i></sub>";
  latexdef "oppR" as "\mathrm{opp}_r";
htmldef "||r" as "<IMG SRC='parallel.gif' WIDTH=5 HEIGHT=19 ALT=' ||' " +
    "TITLE='||'><sub><i>r</i></sub>";
  althtmldef "||r" as "&#8741;<sub>r</sub>";
  latexdef "||r" as "\mathrel{\parallel_\mathrm{r}}";
htmldef "Unit" as "Unit";
  althtmldef "Unit" as "Unit";
  latexdef "Unit" as "\mathrm{Unit}";
htmldef "Irred" as "Irred";
  althtmldef "Irred" as "Irred";
  latexdef "Irred" as "\mathrm{Irred}";
htmldef "invr" as
    "<IMG SRC='_invr.gif' WIDTH=23 HEIGHT=19 ALT=' invr' TITLE='invr'>";
  althtmldef "invr" as "inv<SUB>r</SUB>";
  latexdef "invr" as "\mathrm{inv}_r";
htmldef "/r" as "/<SUB>r</SUB>";
  althtmldef "/r" as "/<SUB>r</SUB>";
  latexdef "/r" as "/_r";
htmldef "RPrime" as "RPrime";
  althtmldef "RPrime" as "RPrime";
  latexdef "RPrime" as "\textsc{RPrime}";
htmldef "RingHom" as " RingHom ";
  althtmldef "RingHom" as " RingHom ";
  latexdef "RingHom" as " \mathrm{RingHom} ";
htmldef "RingIso" as " RingIso ";
  althtmldef "RingIso" as " RingIso ";
  latexdef "RingIso" as " \mathrm{RingIso} ";
htmldef "~=r" as
    " <IMG SRC='_simeqr.gif' WIDTH=18 HEIGHT=19 ALT=' ~=r' TITLE='~=r'> ";
  althtmldef "~=r" as " &#8771;<SUB>&#x1D45F;</SUB> ";
  latexdef "~=r" as "\simeq_r";
htmldef "DivRing" as
  "<IMG SRC='_divring.gif' WIDTH=52 HEIGHT=19 ALT=' DivRing' TITLE='DivRing'>";
  althtmldef "DivRing" as "DivRing";
  latexdef "DivRing" as "\mathrm{DivRing}";
htmldef "Field" as "Field";
  althtmldef "Field" as "Field";
  latexdef "Field" as "\mathrm{Field}";
htmldef "SubRing" as "SubRing";
  althtmldef "SubRing" as "SubRing";
  latexdef "SubRing" as "\mathrm{SubRing}";
htmldef "RingSpan" as "RingSpan";
  althtmldef "RingSpan" as "RingSpan";
  latexdef "RingSpan" as "\mathrm{RingSpan}";
htmldef "AbsVal" as "AbsVal";
  althtmldef "AbsVal" as "AbsVal";
  latexdef "AbsVal" as "\operatorname{AbsVal}";
htmldef "*Ring" as "<IMG SRC='_astring.gif' " +
    "WIDTH=41 HEIGHT=19 ALT=' *Ring' TITLE='*Ring'>";
  althtmldef "*Ring" as "*-Ring";
  latexdef "*Ring" as "\ast\mathrm{-Ring}";
htmldef "*rf" as "<IMG SRC='ast.gif' WIDTH=7 HEIGHT=19 ALT=' *' TITLE='*'>" +
    "<IMG SRC='subr.gif' WIDTH=5 HEIGHT=19 ALT='r' TITLE='r'>" +
    "<IMG SRC='subf.gif' WIDTH=6 HEIGHT=19 ALT='f' TITLE='f'>";
  althtmldef "*rf" as "*<SUB><I>rf</I></SUB>";
  latexdef "*rf" as "\ast_{rf}";
htmldef "LMod" as
    "<IMG SRC='_lmod.gif' WIDTH=36 HEIGHT=19 ALT=' LMod' TITLE='LMod'>";
  althtmldef "LMod" as "LMod";
  latexdef "LMod" as "\mathrm{LMod}";
htmldef ".sf" as
    "<IMG SRC='_cds.gif' WIDTH=9 HEIGHT=19 ALT=' .s' TITLE='.s'>" +
    "<IMG SRC='subf.gif' WIDTH=6 HEIGHT=19 ALT='f' TITLE='f'>";
  althtmldef ".sf" as ' <B>&middot;</B><SUB><I>sf</I></SUB> ';
  latexdef ".sf" as '\cdot_{sf}';
htmldef "LSubSp" as
    "<IMG SRC='_lsubsp.gif' WIDTH=49 HEIGHT=19 ALT=' LSubSp' TITLE='LSubSp'>";
  althtmldef "LSubSp" as "LSubSp";
  latexdef "LSubSp" as "\mathrm{LSubSp}";
htmldef "LSpan" as
    "<IMG SRC='_lspan.gif' WIDTH=41 HEIGHT=19 ALT=' LSpan' TITLE='LSpan'>";
  althtmldef "LSpan" as "LSpan";
  latexdef "LSpan" as "\mathrm{LSpan}";
htmldef "LMHom" as " LMHom ";
  althtmldef "LMHom" as " LMHom ";
  latexdef "LMHom" as "\mathrm{LMHom}";
htmldef "LMIso" as " LMIso ";
  althtmldef "LMIso" as " LMIso ";
  latexdef "LMIso" as "\mathrm{LMIso}";
htmldef "~=m" as " <IMG SRC='simeq.gif' WIDTH=26 HEIGHT=19 " +
    "ALT=' ~=ph' TITLE='~=ph'><SUB>&#x1D45A;</SUB> ";
  althtmldef "~=m" as " &#8771;<SUB>&#x1D45A;</SUB> ";
  latexdef "~=m" as "\simeq_{m}";
htmldef "LBasis" as "LBasis";
  althtmldef "LBasis" as "LBasis";
  latexdef "LBasis" as "\mathrm{LBasis}";
htmldef "LSSum" as
    "<IMG SRC='_lssum.gif' WIDTH=45 HEIGHT=19 ALT=' LSSum' TITLE='LSSum'>";
  althtmldef "LSSum" as "LSSum";
  latexdef "LSSum" as "\mathrm{LSSum}";
htmldef "proj1" as
    "<IMG SRC='_proj.gif' WIDTH=24 HEIGHT=19 ALT=' proj' TITLE='proj'>" +
    "<IMG SRC='sub1.gif' WIDTH=4 HEIGHT=19 ALT='1' TITLE='1'>";
  althtmldef "proj1" as 'proj<SUB>1</SUB>';
  latexdef "proj1" as '\mathrm{proj}_1';
htmldef "LVec" as
    "<IMG SRC='_lvec.gif' WIDTH=33 HEIGHT=19 ALT=' LVec' TITLE='LVec'>";
  althtmldef "LVec" as "LVec";
  latexdef "LVec" as "\mathrm{LVec}";
htmldef "subringAlg" as "subringAlg ";
  althtmldef "subringAlg" as "subringAlg ";
  latexdef "subringAlg" as "\mathrm{subringAlg}";
htmldef "ringLMod" as "ringLMod";
  althtmldef "ringLMod" as "ringLMod";
  latexdef "ringLMod" as "\mathrm{ringLMod}";
htmldef "RSpan" as "RSpan";
  althtmldef "RSpan" as "RSpan";
  latexdef "RSpan" as "\mathrm{RSpan}";
htmldef "LIdeal" as "LIdeal";
  althtmldef "LIdeal" as "LIdeal";
  latexdef "LIdeal" as "\mathrm{LIdeal}";
htmldef "2Ideal" as "2Ideal";
  althtmldef "2Ideal" as "2Ideal";
  latexdef "2Ideal" as "\mathrm{2Ideal}";
htmldef "LPIdeal" as "LPIdeal";
  althtmldef "LPIdeal" as "LPIdeal";
  latexdef "LPIdeal" as "\mathrm{LPIdeal}";
/*
htmldef "Top1c" as "Top1c";
  althtmldef "Top1c" as "Top1c";
  latexdef "Top1c" as "\mathrm{Top1c}";
htmldef "Top2c" as "Top2c";
  althtmldef "Top2c" as "Top2c";
  latexdef "Top2c" as "\mathrm{Top2c}";
*/
htmldef "LPIR" as "LPIR";
  althtmldef "LPIR" as "LPIR";
  latexdef "LPIR" as "\mathrm{LPIR}";
htmldef "NzRing" as "NzRing";
  althtmldef "NzRing" as "NzRing";
  latexdef "NzRing" as "\mathrm{NzRing}";
htmldef "RLReg" as "RLReg";
  althtmldef "RLReg" as "RLReg";
  latexdef "RLReg" as "\mathrm{RLReg}";
htmldef "Domn" as "Domn";
  althtmldef "Domn" as "Domn";
  latexdef "Domn" as "\mathrm{Domn}";
htmldef "IDomn" as "IDomn";
  althtmldef "IDomn" as "IDomn";
  latexdef "IDomn" as "\mathrm{IDomn}";
htmldef "PID" as "PID";
  althtmldef "PID" as "PID";
  latexdef "PID" as "\mathrm{PID}";
/*
htmldef "UFD" as "UFD";
  althtmldef "UFD" as "UFD";
  latexdef "UFD" as "\textsc{UFD}";
*/
htmldef "*Met" as
    "<IMG SRC='infty.gif' WIDTH=17 HEIGHT=19 ALT=' *' TITLE='*'>" +
    "<IMG SRC='_met.gif' WIDTH=25 HEIGHT=19 ALT='Met' TITLE='Met'>";
  althtmldef "*Met" as "&infin;Met";
  latexdef "*Met" as "\infty\mathrm{Met}";
htmldef "Met" as
    "<IMG SRC='_met.gif' WIDTH=25 HEIGHT=19 ALT=' Met' TITLE='Met'>";
  althtmldef "Met" as "Met";
  latexdef "Met" as "\mathrm{Met}";
htmldef "ball" as
    "<IMG SRC='_ball.gif' WIDTH=24 HEIGHT=19 ALT=' ball' TITLE='ball'>";
  althtmldef "ball" as "ball";
  latexdef "ball" as "\mathrm{ball}";
htmldef "MetOpen" as
  "<IMG SRC='_metopen.gif' WIDTH=59 HEIGHT=19 ALT=' MetOpen' TITLE='MetOpen'>";
  althtmldef "MetOpen" as "MetOpen";
  latexdef "MetOpen" as "\mathrm{MetOpen}";
htmldef "CCfld" as "&#8450;<SUB>fld</SUB>";
    /* 2-Jan-2016 reverted sans-serif */
  althtmldef "CCfld" as "&#8450;<SUB>fld</SUB>";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "CCfld" as "\mathrm{CCfld}";
htmldef "ZZring" as "&#8484;<SUB>ring</SUB>";
  althtmldef "ZZring" as "&#8484;<SUB>ring</SUB>";
  latexdef "ZZring" as "\mathrm{ZZring}";
htmldef "RR^" as "&#8477;^";
  althtmldef "RR^" as "&#8477;^";
  latexdef "RR^" as "\mathbb{R}\hat{\;}";
htmldef "EEhil" as "&#x1D53C;<SUB>hil</SUB>";
  althtmldef "EEhil" as "&#x1D53C;<SUB>hil</SUB>";
  latexdef "EEhil" as "\mathrm{EEhil}";
htmldef "ZRHom" as
    "<IMG SRC='bbz.gif' WIDTH=13 HEIGHT=19 ALT=' Z' TITLE='Z'>RHom";
  althtmldef "ZRHom" as "&#8484;RHom";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "ZRHom" as "\mathrm{ZRHom}";
htmldef "ZMod" as
    "<IMG SRC='bbz.gif' WIDTH=13 HEIGHT=19 ALT=' Z' TITLE='Z'>Mod";
  althtmldef "ZMod" as "&#8484;Mod";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "ZMod" as "\mathrm{ZMod}";
htmldef "chr" as "chr";
  althtmldef "chr" as "chr";
  latexdef "chr" as "\mathrm{chr}";
htmldef "Z/nZ" as "&#8484;/<i>n</i>&#8484;";
    /* 2-Jan-2016 reverted sans-serif */
  althtmldef "Z/nZ" as "&#8484;/<i>n</i>&#8484;";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "Z/nZ" as "\mathrm{Z/nZ}";
htmldef "RRfld" as "RRfld";
  althtmldef "RRfld" as "&#8477;<SUB>fld</SUB>";
  latexdef "RRfld" as "\mathbb{R}_\mathrm{fld}";
htmldef "PreHil" as
    "<IMG SRC='_prehil.gif' WIDTH=40 HEIGHT=19 ALT=' PreHil' TITLE='PreHil'>";
  althtmldef "PreHil" as "PreHil";
  latexdef "PreHil" as "\mathrm{PreHil}";
htmldef ".if" as
    "<IMG SRC='_cdi.gif' WIDTH=7 HEIGHT=19 ALT=' .i' TITLE='.i'>" +
    "<IMG SRC='subf.gif' WIDTH=6 HEIGHT=19 ALT='f' TITLE='f'>";
  althtmldef ".if" as '<B>&middot;</B><SUB><I>if</I></SUB>';
  latexdef ".if" as '\cdot_{if}';
htmldef "ocv" as
    "<IMG SRC='_ocv.gif' WIDTH=22 HEIGHT=19 ALT=' ocv' TITLE='ocv'>";
  althtmldef "ocv" as "ocv";
  latexdef "ocv" as "\mathrm{ocv}";
htmldef "ClSubSp" as
    "<IMG SRC='_csubsp.gif' WIDTH=50 HEIGHT=19 ALT='ClSubSp' TITLE='ClSubSp'>";
  althtmldef "ClSubSp" as "ClSubSp";
  latexdef "ClSubSp" as "\mathrm{ClSubSp}";
htmldef "toHL" as "toHL";
  althtmldef "toHL" as "toHL";
  latexdef "toHL" as "\mathrm{toHL}";
htmldef "proj" as
    "<IMG SRC='_proj.gif' WIDTH=24 HEIGHT=19 ALT=' proj' TITLE='proj'>";
  althtmldef "proj" as 'proj';
  latexdef "proj" as '\operatorname{proj}';
htmldef "Hil" as
    "<IMG SRC='_hil.gif' WIDTH=18 HEIGHT=19 ALT=' Hil' TITLE='Hil'>";
  althtmldef "Hil" as "Hil";
  latexdef "Hil" as "\mathrm{Hil}";
htmldef "OBasis" as "OBasis";
  althtmldef "OBasis" as "OBasis";
  latexdef "OBasis" as "\mathrm{OBasis}";
htmldef "Moore" as "Moore";
  althtmldef "Moore" as "Moore";
  latexdef "Moore" as "\mathrm{Moore}";
htmldef "mrCls" as "mrCls";
  althtmldef "mrCls" as "mrCls";
  latexdef "mrCls" as "\mathrm{mrCls}";
htmldef "mrInd" as "mrInd";
  althtmldef "mrInd" as "mrInd";
  latexdef "mrInd" as "\mathrm{mrInd}";
htmldef "ACS" as "ACS";
  althtmldef "ACS" as "ACS";
  latexdef "ACS" as "\mathrm{ACS}";

/* Basic linear algebra */
htmldef "(+)m" as " <IMG SRC='oplus.gif' WIDTH=13 HEIGHT=19 " +
    "ALT=' (+)' TITLE='(+)'><SUB>m</SUB> ";
  althtmldef "(+)m" as " &#x2295;<SUB>m</SUB> ";
  latexdef "(+)m" as "\oplus_{m}";
htmldef "freeLMod" as " freeLMod ";
  althtmldef "freeLMod" as " freeLMod ";
  latexdef "freeLMod" as "\mathrm{freeLMod}";
htmldef "unitVec" as " unitVec ";
  althtmldef "unitVec" as " unitVec ";
  latexdef "unitVec" as "\mathrm{unitVec}";
htmldef "AssAlg" as "AssAlg";
  althtmldef "AssAlg" as "AssAlg";
  latexdef "AssAlg" as "\mathrm{AssAlg}";
htmldef "AlgSpan" as "AlgSpan";
  althtmldef "AlgSpan" as "AlgSpan";
  latexdef "AlgSpan" as "\mathrm{AlgSpan}";
htmldef "algSc" as "algSc";
  althtmldef "algSc" as "algSc";
  latexdef "algSc" as "\mathrm{algSc}";
htmldef "mPwSer" as " mPwSer ";
  althtmldef "mPwSer" as " mPwSer ";
  latexdef "mPwSer" as "\mathrm{mPwSer}";
htmldef "mVar" as " mVar ";
  althtmldef "mVar" as " mVar ";
  latexdef "mVar" as "\mathrm{mVar}";
htmldef "mPoly" as " mPoly ";
  althtmldef "mPoly" as " mPoly ";
  latexdef "mPoly" as "\mathrm{mPoly}";
htmldef "evalSub" as " evalSub ";
  althtmldef "evalSub" as " evalSub ";
  latexdef "evalSub" as "\mathbin{\operatorname{evalSub}}";
htmldef "eval" as " eval ";
  althtmldef "eval" as " eval ";
  latexdef "eval" as "\mathbin{\operatorname{eval}}";
htmldef "mHomP" as " mHomP ";
  althtmldef "mHomP" as " mHomP ";
  latexdef "mHomP" as "\mathrm{mHomP}";
htmldef "mPSDer" as " mPSDer ";
  althtmldef "mPSDer" as " mPSDer ";
  latexdef "mPSDer" as "\mathrm{mPSDer}";
htmldef "<bag" as " <IMG SRC='lt.gif' WIDTH=11 HEIGHT=19 ALT=' &lt;' " +
    "TITLE='&lt;'><sub>bag</sub> ";
  althtmldef "<bag" as " &lt;<sub>bag</sub> ";
  latexdef "<bag" as "<_\mathrm{bag}";
htmldef "ordPwSer" as " ordPwSer ";
  althtmldef "ordPwSer" as " ordPwSer ";
  latexdef "ordPwSer" as "\mathrm{ordPwSer}";
htmldef "selectVars" as " selectVars ";
  althtmldef "selectVars" as " selectVars ";
  latexdef "selectVars" as "\mathrm{selectVars}";
htmldef "mDeg" as " mDeg ";
  althtmldef "mDeg" as " mDeg ";
  latexdef "mDeg" as "\mathrm{mDeg}";
htmldef "AlgInd" as " AlgInd ";
  althtmldef "AlgInd" as " AlgInd ";
  latexdef "AlgInd" as " \mathrm{AlgInd} ";
htmldef "PwSer1" as "PwSer<sub>1</sub>";
  althtmldef "PwSer1" as "PwSer<sub>1</sub>";
  latexdef "PwSer1" as "\mathrm{PwSer}_1";
htmldef "var1" as "var<sub>1</sub>";
  althtmldef "var1" as "var<sub>1</sub>";
  latexdef "var1" as "\mathrm{var}_1";
htmldef "Poly1" as "Poly<sub>1</sub>";
  althtmldef "Poly1" as "Poly<sub>1</sub>";
  latexdef "Poly1" as "\mathrm{Poly}_1";
htmldef "evalSub1" as " evalSub<sub>1</sub> ";
  althtmldef "evalSub1" as " evalSub<sub>1</sub> ";
  latexdef "evalSub1" as " \mathrm{evalSub}_1 ";
htmldef "eval1" as "eval<sub>1</sub>";
  althtmldef "eval1" as "eval<sub>1</sub>";
  latexdef "eval1" as "\mathrm{eval}_1";
htmldef "deg1" as " deg<sub>1</sub> ";
  althtmldef "deg1" as " deg<sub>1</sub> ";
  latexdef "deg1" as " \mathrm{deg}_1 ";
htmldef "coe1" as "coe<sub>1</sub>";
  althtmldef "coe1" as "coe<sub>1</sub>";
  latexdef "coe1" as "\mathrm{coe}_1";
htmldef "toPoly1" as "toPoly<sub>1</sub>";
  althtmldef "toPoly1" as "toPoly<sub>1</sub>";
  latexdef "toPoly1" as "\mathrm{toPoly}_1";
htmldef "maMul" as " maMul ";
  althtmldef "maMul" as " maMul ";
  latexdef "maMul" as " \mathrm{maMul} ";
htmldef "Mat" as " Mat ";
  althtmldef "Mat" as " Mat ";
  latexdef "Mat" as " \mathrm{Mat} ";
htmldef "DMat" as ' DMat ';
  althtmldef "DMat" as ' DMat ';
  latexdef "DMat" as "\mathrm{DMat}";
htmldef "ScMat" as ' ScMat ';
  althtmldef "ScMat" as ' ScMat ';
  latexdef "ScMat" as "\mathrm{ScMat}";
htmldef "maVecMul" as " maVecMul ";
  althtmldef "maVecMul" as " maVecMul ";
  latexdef "maVecMul" as " \mathrm{maVecMul} ";
htmldef "matRRep" as " matRRep ";
  althtmldef "matRRep" as " matRRep ";
  latexdef "matRRep" as " \mathrm{matRRep} ";
htmldef "matRepV" as " matRepV ";
  althtmldef "matRepV" as " matRepV ";
  latexdef "matRepV" as " \mathrm{matRepV} ";
htmldef "maDet" as " maDet ";
  althtmldef "maDet" as " maDet ";
  latexdef "maDet" as " \mathrm{maDet} ";
htmldef "maAdju" as " maAdju ";
  althtmldef "maAdju" as " maAdju ";
  latexdef "maAdju" as " \mathrm{maAdju} ";
htmldef "subMat" as " subMat ";
  althtmldef "subMat" as " subMat ";
  latexdef "subMat" as " \mathrm{subMat} ";
htmldef "minMatR1" as " minMatR1 ";
  althtmldef "minMatR1" as " minMatR1 ";
  latexdef "minMatR1" as " \mathrm{minMatR1} ";
htmldef "ConstPolyMat" as ' ConstPolyMat ';
  althtmldef "ConstPolyMat" as ' ConstPolyMat ';
  latexdef "ConstPolyMat" as "\mathrm{ConstPolyMat}";
htmldef "matToPolyMat" as ' matToPolyMat ';
  althtmldef "matToPolyMat" as ' matToPolyMat ';
  latexdef "matToPolyMat" as "\mathrm{matToPolyMat}";
htmldef "cPolyMatToMat" as ' cPolyMatToMat ';
  althtmldef "cPolyMatToMat" as ' cPolyMatToMat ';
  latexdef "cPolyMatToMat" as "\mathrm{cPolyMatToMat}";
htmldef "decompPMat" as ' decompPMat ';
  althtmldef "decompPMat" as ' decompPMat ';
  latexdef "decompPMat" as "\mathrm{decompPMat}";
htmldef "pMatToMatPoly" as ' pMatToMatPoly ';
  althtmldef "pMatToMatPoly" as ' pMatToMatPoly ';
  latexdef "pMatToMatPoly" as "\mathrm{pMatToMatPoly}";
htmldef "CharPlyMat" as ' CharPlyMat ';
  althtmldef "CharPlyMat" as ' CharPlyMat ';
  latexdef "CharPlyMat" as "\mathrm{CharPlyMat}";

/* Topology */
htmldef "Top" as
    "<IMG SRC='_top.gif' WIDTH=23 HEIGHT=19 ALT=' Top' TITLE='Top'>";
  althtmldef "Top" as "Top";
  latexdef "Top" as "\mathrm{Top}";
htmldef "TopOn" as "TopOn";
  althtmldef "TopOn" as "TopOn";
  latexdef "TopOn" as "\mathrm{TopOn}";
htmldef "TopSp" as
    "<IMG SRC='_topsp.gif' WIDTH=41 HEIGHT=19 ALT=' TopSp' TITLE='TopSp'>";
  althtmldef "TopSp" as "TopSp";
  latexdef "TopSp" as "\mathrm{TopSp}";
htmldef "TopBases" as
    "<IMG SRC='_topbases.gif' WIDTH=59 HEIGHT=19 " +
    "ALT=' TopBases' TITLE='TopBases'>";
  althtmldef "TopBases" as "TopBases";
  latexdef "TopBases" as "\mathrm{TopBases}";
htmldef "int" as
    "<IMG SRC='_int.gif' WIDTH=18 HEIGHT=19 ALT=' int' TITLE='int'>";
  althtmldef "int" as "int";
  latexdef "int" as "\mathrm{int}";
htmldef "cls" as
    "<IMG SRC='_cls.gif' WIDTH=17 HEIGHT=19 ALT=' cls' TITLE='cls'>";
  althtmldef "cls" as "cls";
  latexdef "cls" as "\mathrm{cls}";
htmldef "Clsd" as
    "<IMG SRC='_clsd.gif' WIDTH=28 HEIGHT=19 ALT=' Clsd' TITLE='Clsd'>";
  althtmldef "Clsd" as "Clsd";
  latexdef "Clsd" as "\mathrm{Clsd}";
htmldef "nei" as
    "<IMG SRC='_nei.gif' WIDTH=19 HEIGHT=19 ALT=' nei' TITLE='nei'>";
  althtmldef "nei" as "nei";
  latexdef "nei" as "\mathrm{nei}";
htmldef "limPt" as
    "<IMG SRC='_limpt.gif' WIDTH=35 HEIGHT=19 ALT=' limPt' TITLE='limPt'>";
  althtmldef "limPt" as "limPt";
  latexdef "limPt" as "\mathrm{limPt}";
htmldef "Perf" as "Perf";
  althtmldef "Perf" as "Perf";
  latexdef "Perf" as "\mathrm{Perf}";
htmldef "Cn" as
    " <IMG SRC='_cnf.gif' WIDTH=18 HEIGHT=19 ALT=' Cn' TITLE='Cn'> ";
  althtmldef "Cn" as " Cn ";
  latexdef "Cn" as "\mathrm{Cn}";
htmldef "CnP" as
    " <IMG SRC='_cnp.gif' WIDTH=27 HEIGHT=19 ALT=' CnP' TITLE='CnP'> ";
  althtmldef "CnP" as " CnP ";
  latexdef "CnP" as "\mathrm{CnP}";
htmldef "~~>t" as "<IMG SRC='rightsquigarrow.gif' WIDTH=15 HEIGHT=19 " +
    "ALT=' ~~&gt;' TITLE='~~&gt;'>" +
    "<IMG SRC='subt.gif' WIDTH=5 HEIGHT=19 ALT=' t' TITLE='t'>";
  althtmldef "~~>t" as
    "&#8669;<SUB>&#x1D461;</SUB>";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "~~>t" as "\rightsquigarrow_t";
htmldef "Kol2" as
    "<IMG SRC='_kol2.gif' WIDTH=27 HEIGHT=19 ALT=' Kol2' TITLE='Kol2'>";
  althtmldef "Kol2" as "Kol2";
  latexdef "Kol2" as "\mathrm{Kol2}";
htmldef "Fre" as
    "<IMG SRC='_fre.gif' WIDTH=22 HEIGHT=19 ALT=' Fre' TITLE='Fre'>";
  althtmldef "Fre" as "Fre";
  latexdef "Fre" as "\mathrm{Fre}";
htmldef "Haus" as
    "<IMG SRC='_haus.gif' WIDTH=32 HEIGHT=19 ALT=' Haus' TITLE='Haus'>";
  althtmldef "Haus" as "Haus";
  latexdef "Haus" as "\mathrm{Haus}";
htmldef "Reg" as
    "<IMG SRC='_reg.gif' WIDTH=25 HEIGHT=19 ALT=' Reg' TITLE='Reg'>";
  althtmldef "Reg" as "Reg";
  latexdef "Reg" as "\mathrm{Reg}";
htmldef "Nrm" as
    "<IMG SRC='_nrm.gif' WIDTH=28 HEIGHT=19 ALT=' Nrm' TITLE='Nrm'>";
  althtmldef "Nrm" as "Nrm";
  latexdef "Nrm" as "\mathrm{Nrm}";
htmldef "CNrm" as "CNrm";
  althtmldef "CNrm" as "CNrm";
  latexdef "CNrm" as "\mathrm{CNrm}";
htmldef "PNrm" as "PNrm";
  althtmldef "PNrm" as "PNrm";
  latexdef "PNrm" as "\mathrm{PNrm}";
htmldef "Comp" as
    "<IMG SRC='_comp.gif' WIDTH=37 HEIGHT=19 ALT=' Comp' TITLE='Comp'>";
  althtmldef "Comp" as "Comp";
  latexdef "Comp" as "\mathrm{Comp}";
htmldef "Conn" as "Conn";
  althtmldef "Conn" as "Conn";
  latexdef "Conn" as "\mathrm{Conn}";
htmldef "1stc" as "<IMG SRC='_1stc.gif' WIDTH=25 HEIGHT=19 ALT=' 1stc'" +
    " TITLE='1stc'>";
  althtmldef "1stc" as "1<SUP>st</SUP>&#x3C9;";  /* upright lowercase omega */
  latexdef "1stc" as "1^\text{st}\omega";
htmldef "2ndc" as "<IMG SRC='_2ndc.gif' WIDTH=31 HEIGHT=19 ALT=' 2ndc'" +
    " TITLE='2ndc'>";
  althtmldef "2ndc" as "2<SUP>nd</SUP>&#x3c9;";  /* upright lowercase omega */
  latexdef "2ndc" as "2^\text{nd}\omega";
htmldef "Locally" as "Locally ";
  althtmldef "Locally" as "Locally ";
  latexdef "Locally" as "\mathrm{Locally}";
htmldef "N-Locally" as "&#x1D45B;Locally ";
  althtmldef "N-Locally" as "&#x1D45B;-Locally ";
  latexdef "N-Locally" as "n\text{-Locally }";
htmldef "kGen" as "&#x1D458;Gen";
  althtmldef "kGen" as "&#x1D458;Gen";
  latexdef "kGen" as "k\mathrm{Gen}";
htmldef "tX" as
    " <IMG SRC='_timest.gif' WIDTH=14 HEIGHT=19 ALT=' tX' TITLE='tX'> ";
  althtmldef "tX" as " &times;<SUB>t</SUB> ";
  latexdef "tX" as "\times_t";
htmldef "^ko" as
    " <IMG SRC='uparrow.gif' WIDTH=7 HEIGHT=19 ALT=' ^' TITLE='^'>" +
    "<IMG SRC='subk.gif' WIDTH=7 HEIGHT=19 ALT='k' TITLE='k'>" +
    "<IMG SRC='subo.gif' WIDTH=6 HEIGHT=19 ALT='o' TITLE='o'> ";
  althtmldef "^ko" as " &uarr;<SUB>ko</SUB> ";
  latexdef "^ko" as "\mathbin{\uparrow_text{ko}}";
htmldef "KQ" as "KQ";
  althtmldef "KQ" as "KQ";
  latexdef "KQ" as "\mathrm{KQ}";
htmldef "Homeo" as
    "<IMG SRC='_homeo.gif' WIDTH=43 HEIGHT=19 ALT=' Homeo' TITLE='Homeo'>";
  althtmldef "Homeo" as "Homeo";
  latexdef "Homeo" as "\mathrm{Homeo}";
htmldef "~=" as
    " <IMG SRC='simeq.gif' WIDTH=13 HEIGHT=19 ALT=' ~=' TITLE='~='> ";
  althtmldef "~=" as " &#8771; ";
  latexdef "~=" as "\simeq";
htmldef "fBas" as
    "<IMG SRC='_fbas.gif' WIDTH=29 HEIGHT=19 ALT=' fBas' TITLE='fBas'>";
  althtmldef "fBas" as "fBas";
  latexdef "fBas" as "\mathrm{fBas}";
htmldef "filGen" as
    "<IMG SRC='_filgen.gif' WIDTH=40 HEIGHT=19 ALT=' filGen' TITLE='filGen'>";
  althtmldef "filGen" as "filGen";
  latexdef "filGen" as "\mathrm{filGen}";
htmldef "Fil" as
    "<IMG SRC='_fil.gif' WIDTH=17 HEIGHT=19 ALT=' Fil' TITLE='Fil'>";
  althtmldef "Fil" as "Fil";
  latexdef "Fil" as "\mathrm{Fil}";
htmldef "UFil" as
    "<IMG SRC='_ufil.gif' WIDTH=27 HEIGHT=19 ALT=' UFil' TITLE='UFil'>";
  althtmldef "UFil" as "UFil";
  latexdef "UFil" as "\mathrm{UFil}";
htmldef "UFL" as "UFL";
  althtmldef "UFL" as "UFL";
  latexdef "UFL" as "\mathrm{UFL}";
htmldef "FilMap" as
   " <IMG SRC='_filmap.gif' WIDTH=45 HEIGHT=19 ALT=' FilMap' TITLE='FilMap'> ";
  althtmldef "FilMap" as " FilMap ";
  latexdef "FilMap" as "\mathbin{\mathrm{FilMap}}";
htmldef "fLimf" as
    " <IMG SRC='_flimf.gif' WIDTH=37 HEIGHT=19 ALT=' fLimf' TITLE='fLimf'> ";
  althtmldef "fLimf" as " fLimf ";
  latexdef "fLimf" as "\mathbin{\mathrm{fLimf}}";
htmldef "fLim" as
    " <IMG SRC='_flim.gif' WIDTH=31 HEIGHT=19 ALT=' fLim' TITLE='fLim'> ";
  althtmldef "fLim" as " fLim ";
  latexdef "fLim" as "\mathbin{\mathrm{fLim}}";
htmldef "fClus" as
    " <IMG SRC='_fclus.gif' WIDTH=34 HEIGHT=19 ALT=' fClus' TITLE='fClus'> ";
  althtmldef "fClus" as " fClus ";
  latexdef "fClus" as "\mathbin{\mathrm{fClus}}";
htmldef "fClusf" as
   " <IMG SRC='_fclusf.gif' WIDTH=40 HEIGHT=19 ALT=' fClusf' TITLE='fClusf'> ";
  althtmldef "fClusf" as " fClusf ";
  latexdef "fClusf" as "\mathbin{\mathrm{fClusf}}";
htmldef "TopMnd" as "TopMnd";
  althtmldef "TopMnd" as "TopMnd";
  latexdef "TopMnd" as "\mathrm{TopMnd}";
htmldef "TopGrp" as
    "<IMG SRC='_topgrp.gif' WIDTH=48 HEIGHT=19 ALT=' TopGrp' TITLE='TopGrp'>";
  althtmldef "TopGrp" as "TopGrp";
  latexdef "TopGrp" as "\mathrm{TopGrp}";
htmldef "tsums" as " tsums ";
  althtmldef "tsums" as " tsums ";
  latexdef "tsums" as "\mathrm{tsums}";
htmldef "TopRing" as
    "<IMG SRC='_topring.gif' WIDTH=53 HEIGHT=19 " +
    "ALT=' TopRing' TITLE='TopRing'>";
  althtmldef "TopRing" as "TopRing";
  latexdef "TopRing" as "\mathrm{TopRing}";
htmldef "TopDRing" as "TopDRing";
  althtmldef "TopDRing" as "TopDRing";
  latexdef "TopDRing" as "\mathrm{TopDRing}";
htmldef "TopMod" as "TopMod";
  althtmldef "TopMod" as "TopMod";
  latexdef "TopMod" as "\mathrm{TopMod}";
htmldef "TopVec" as
    "<IMG SRC='_topvec.gif' WIDTH=43 HEIGHT=19 ALT=' TopVec' TITLE='TopVec'>";
  althtmldef "TopVec" as "TopVec";
  latexdef "TopVec" as "\mathrm{TopVec}";
htmldef "*MetSp" as
    "<IMG SRC='infty.gif' WIDTH=17 HEIGHT=19 ALT=' *' TITLE='*'>" +
    "<IMG SRC='_metsp.gif' WIDTH=41 HEIGHT=19 ALT='MetSp' TITLE='MetSp'>";
  althtmldef "*MetSp" as "&infin;MetSp";
  latexdef "*MetSp" as "\infty\mathrm{MetSp}";
htmldef "MetSp" as
    "<IMG SRC='_metsp.gif' WIDTH=41 HEIGHT=19 ALT=' MetSp' TITLE='MetSp'>";
  althtmldef "MetSp" as "MetSp";
  latexdef "MetSp" as "\mathrm{MetSp}";
htmldef "toMetSp" as "toMetSp";
  althtmldef "toMetSp" as "toMetSp";
  latexdef "toMetSp" as "\mathrm{toMetSp}";
htmldef "norm" as "<IMG SRC='_norm.gif' WIDTH=32 HEIGHT=19 ALT=' norm' " +
    "TITLE='norm'>";
  althtmldef "norm" as 'norm';
  latexdef "norm" as '\operatorname{norm}';
htmldef "NrmGrp" as "NrmGrp";
  althtmldef "NrmGrp" as "NrmGrp";
  latexdef "NrmGrp" as "\mathrm{NrmGrp}";
htmldef "toNrmGrp" as " toNrmGrp ";
  althtmldef "toNrmGrp" as " toNrmGrp ";
  latexdef "toNrmGrp" as "\mathrm{toNrmGrp}";
htmldef "NrmRing" as "NrmRing";
  althtmldef "NrmRing" as "NrmRing";
  latexdef "NrmRing" as "\mathrm{NrmRing}";
htmldef "NrmMod" as "NrmMod";
  althtmldef "NrmMod" as "NrmMod";
  latexdef "NrmMod" as "\mathrm{NrmMod}";
htmldef "NrmVec" as "NrmVec";
  althtmldef "NrmVec" as "NrmVec";
  latexdef "NrmVec" as "\mathrm{NrmVec}";
htmldef "normOp" as
    "<IMG SRC='_normop.gif' WIDTH=52 HEIGHT=19 ALT=' normOp' TITLE='normOp'>";
  althtmldef "normOp" as " normOp ";
  latexdef "normOp" as "\mathbin{\operatorname{normOp}}";
htmldef "NGHom" as " NGHom ";
  althtmldef "NGHom" as " NGHom ";
  latexdef "NGHom" as "\mathrm{NGHom}";
htmldef "NMHom" as " NMHom ";
  althtmldef "NMHom" as " NMHom ";
  latexdef "NMHom" as "\mathrm{NMHom}";
htmldef "II" as "<IMG SRC='bbi.gif' WIDTH=7 HEIGHT=19 ALT=' II' TITLE='II'>";
  althtmldef "II" as "II";
  latexdef "II" as "\mathrm{II}";
htmldef "-cn->" as "<IMG SRC='_cnmap.gif' WIDTH=23 HEIGHT=19 " +
    "ALT=' -cn-&gt;' TITLE='-cn-&gt;'>";
  althtmldef "-cn->" as '&ndash;<FONT SIZE=-1 FACE=sans-serif>cn</FONT>&rarr;';
  latexdef "-cn->" as "\overset{\mathrm{cn}}{\longrightarrow}";
htmldef "Htpy" as " Htpy ";
  althtmldef "Htpy" as " Htpy ";
  latexdef "Htpy" as "\mathrm{Htpy}";
htmldef "PHtpy" as
    "<IMG SRC='_phtpy.gif' WIDTH=41 HEIGHT=19 ALT=' PHtpy' TITLE='PHtpy'>";
  althtmldef "PHtpy" as "PHtpy";
  latexdef "PHtpy" as "\mathrm{PHtpy}";
htmldef "~=ph" as
    " <IMG SRC='_simeqph.gif' WIDTH=26 HEIGHT=19 ALT=' ~=ph' TITLE='~=ph'> ";
  althtmldef "~=ph" as " &#8771;<SUB><I>ph</I></SUB>";
  latexdef "~=ph" as "\simeq_{ph}";
/*
htmldef "pi1b" as
    "<IMG SRC='pi.gif' WIDTH=10 HEIGHT=19 ALT=' pi' TITLE='pi'>" +
    "<IMG SRC='sub1.gif' WIDTH=4 HEIGHT=19 ALT='1' TITLE='1'>" +
    "<IMG SRC='subb.gif' WIDTH=6 HEIGHT=19 ALT='b' TITLE='b'>";
  althtmldef "pi1b" as "<I>&pi;<SUB>1b</SUB></I>";
  latexdef "pi1b" as "\pi_{1b}";
*/
htmldef "*p" as
    "<IMG SRC='_astp.gif' WIDTH=14 HEIGHT=19 ALT=' *p' TITLE='*p'>";
  althtmldef "*p" as "*<SUB>&#x1D45D;</SUB>";
  latexdef "*p" as "*_p";
htmldef "Om1" as
    " <IMG SRC='comega.gif' WIDTH=11 HEIGHT=19 ALT=' Om' TITLE='Om'>" +
    "<IMG SRC='sub1.gif' WIDTH=4 HEIGHT=19 ALT='1' TITLE='1'> ";
  althtmldef "Om1" as " &Omega;<SUB>1</SUB> ";
  latexdef "Om1" as "\Omega_1";
htmldef "OmN" as
    " <IMG SRC='comega.gif' WIDTH=11 HEIGHT=19 ALT=' Om' TITLE='Om'>" +
    "<IMG SRC='subn.gif' WIDTH=6 HEIGHT=19 ALT='N' TITLE='N'> ";
  althtmldef "OmN" as " &Omega;<SUB>&#x1D45B;</SUB> ";
  latexdef "OmN" as "\Omega_n";
htmldef "pi1" as
    " <IMG SRC='pi.gif' WIDTH=10 HEIGHT=19 ALT=' pi' TITLE='pi'>" +
    "<IMG SRC='sub1.gif' WIDTH=4 HEIGHT=19 ALT='1' TITLE='1'> ";
  althtmldef "pi1" as " &pi;<SUB>1</SUB> ";
  latexdef "pi1" as "\mathrm{\pi_1}";
htmldef "piN" as
    " <IMG SRC='pi.gif' WIDTH=10 HEIGHT=19 ALT=' pi' TITLE='pi'>" +
    "<IMG SRC='subn.gif' WIDTH=6 HEIGHT=19 ALT='N' TITLE='N'> ";
  althtmldef "piN" as " &pi;<SUB>n</SUB> ";
  latexdef "piN" as "\mathrm{\pi_n}";
/*
htmldef "~~>m" as "<IMG SRC='_squigm.gif' WIDTH=25 HEIGHT=19 " +
    "ALT=' ~~&gt;m' TITLE='~~&gt;m'>";
  althtmldef "~~>m" as '<FONT FACE=sans-serif>&#8669;<SUB>m</SUB></FONT>';
  latexdef "~~>m" as "\rightsquigarrow_\mathrm{m}";
*/
htmldef "CMod" as "CMod";
  althtmldef "CMod" as "&#8450;Mod";
  latexdef "CMod" as "{\mathbb{C}\mathrm{Mod}}";
htmldef "CVec" as "CVec";
  althtmldef "CVec" as "&#8450;Vec";
  latexdef "CVec" as "{\mathbb{C}\mathrm{Vec}}";
htmldef "CPreHil" as
  "<IMG SRC='_cprehil.gif' WIDTH=50 HEIGHT=19 ALT=' CPreHil' TITLE='CPreHil'>";
  althtmldef "CPreHil" as "&#8450;PreHil";
  latexdef "CPreHil" as "{\mathbb{C}\mathrm{PreHil}}";
htmldef "toCPreHil" as "toCPreHil";
  althtmldef "toCPreHil" as "to&#8450;PreHil";
  latexdef "toCPreHil" as "{\mathrm{to}\mathbb{C}\mathrm{PreHil}}";
htmldef "CauFil" as "CauFil";
  althtmldef "CauFil" as "CauFil";
  latexdef "CauFil" as "\mathrm{CauFil}";
htmldef "Cau" as
    "<IMG SRC='_cau.gif' WIDTH=26 HEIGHT=19 ALT=' Cau' TITLE='Cau'>";
  althtmldef "Cau" as "Cau";
  latexdef "Cau" as "\mathrm{Cau}";
htmldef "CMet" as
    "<IMG SRC='_cmet.gif' WIDTH=35 HEIGHT=19 ALT=' CMet' TITLE='CMet'>";
  althtmldef "CMet" as "CMet";
  latexdef "CMet" as "\mathrm{CMet}";
htmldef "CMetSp" as "CMetSp";
  althtmldef "CMetSp" as "CMetSp";
  latexdef "CMetSp" as "\mathrm{CMetSp}";
htmldef "Ban" as "Ban";
  althtmldef "Ban" as "Ban";
  latexdef "Ban" as "\mathrm{Ban}";
htmldef "CHil" as
    "<IMG SRC='_chil.gif' WIDTH=28 HEIGHT=19 ALT=' CHil' TITLE='CHil'>";
  althtmldef "CHil" as "&#8450;Hil";
  latexdef "CHil" as "{\mathbb{C}\mathrm{Hil}}";
htmldef "vol*" as
    "<IMG SRC='_vol.gif' WIDTH=19 HEIGHT=19 ALT=' vol' TITLE='vol'>" +
    "<IMG SRC='supast.gif' WIDTH=6 HEIGHT=19 ALT='*' TITLE='*'>";
  althtmldef "vol*" as "vol*";
  latexdef "vol*" as "\operatorname{vol}^*";
htmldef "vol" as
    "<IMG SRC='_vol.gif' WIDTH=19 HEIGHT=19 ALT=' vol' TITLE='vol'>";
  althtmldef "vol" as "vol";
  latexdef "vol" as "\mathrm{vol}";
htmldef "MblFn" as "MblFn";
  althtmldef "MblFn" as "MblFn";
  latexdef "MblFn" as "\mathrm{MblFn}";
htmldef "L^1" as
    "<IMG SRC='cl.gif' WIDTH=10 HEIGHT=19 ALT=' L' TITLE='L'>" +
    "<IMG SRC='sup1.gif' WIDTH=4 HEIGHT=19 ALT='^1' TITLE='^1'>";
  althtmldef "L^1" as "&#x1D43F;<SUP>1</SUP>";
  latexdef "L^1" as "L^1";
htmldef "S.1" as
    "<IMG SRC='_int1.gif' WIDTH=11 HEIGHT=19 ALT=' S.1' TITLE='S.1'>";
  althtmldef "S.1" as "&int;<SUB>1</SUB>";
  latexdef "S.1" as "\int_2";
htmldef "S.2" as
    "<IMG SRC='_int2.gif' WIDTH=13 HEIGHT=19 ALT=' S.2' TITLE='S.2'>";
  althtmldef "S.2" as "&int;<SUB>2</SUB>";
  latexdef "S.2" as "\int_2";
htmldef "S." as "<IMG SRC='int.gif' WIDTH=10 HEIGHT=19 ALT=' S.' TITLE='S.'>";
  althtmldef "S." as "&int;";
  latexdef "S." as "\int";
htmldef "S_" as "<IMG SRC='int.gif' WIDTH=10 HEIGHT=19 ALT=' S_' TITLE='S_'>_";
  althtmldef "S_" as "&#x2A1C;";
  latexdef "S_" as "\int";
htmldef "_d" as " <IMG SRC='rmd.gif' WIDTH=8 HEIGHT=19 ALT=' _d' TITLE='_d'>";
  althtmldef "_d" as " d";
  latexdef "_d" as "\,\mathrm{d}";
htmldef "0p" as "<IMG SRC='0.gif' WIDTH=8 HEIGHT=19 ALT=' 0' TITLE='0'>" +
    "<IMG SRC='subp.gif' WIDTH=7 HEIGHT=19 ALT='p' TITLE='p'>";
  althtmldef "0p" as "0<SUB>&#x1D45D;</SUB>";
  latexdef "0p" as "0_p";
htmldef "_D" as
    " <IMG SRC='rmcd.gif' WIDTH=10 HEIGHT=19 ALT=' _D' TITLE='_D'> ";
  althtmldef "_D" as " D ";
  latexdef "_D" as "\mathbin{\mathrm{D}}";
htmldef "limCC" as
    " lim<IMG SRC='bbc.gif' WIDTH=12 HEIGHT=19 ALT=' CC' TITLE='CC'> ";
  althtmldef "limCC" as " lim<sub>&#8450;</sub> ";
  latexdef "limCC" as "\mathbin{\lim_\mathbb{C}}";
htmldef "Dn" as
    " <IMG SRC='rmcd.gif' WIDTH=10 HEIGHT=19 ALT=' D' TITLE='D'>" +
    "<IMG SRC='supn.gif' WIDTH=6 HEIGHT=19 ALT='n' TITLE='n'>";
  althtmldef "Dn" as " D<SUP>&#x1D45B;</SUP> ";
  latexdef "Dn" as "\mathbin{\mathrm{D}^n}";
htmldef "C^n" as "<IMG SRC='cc.gif' WIDTH=12 HEIGHT=19 ALT=' C' TITLE='C'>" +
    "<IMG SRC='supn.gif' WIDTH=6 HEIGHT=19 ALT='^n' TITLE='^n'>";
  althtmldef "C^n" as "&#x1D4D1;C<SUP>&#x1D45B;</SUP>";
  latexdef "C^n" as "\operatorname{\mathcal{C}^n}";
htmldef "Monic1p" as "Monic<sub>1p</sub>";
  althtmldef "Monic1p" as "Monic<sub>1p</sub>";
  latexdef "Monic1p" as "\mathrm{Monic}_{1p}";
htmldef "Unic1p" as "Unic<sub>1p</sub>";
  althtmldef "Unic1p" as "Unic<sub>1p</sub>";
  latexdef "Unic1p" as "\mathrm{Unic}_{1p}";
htmldef "quot1p" as "quot<sub>1p</sub>";
  althtmldef "quot1p" as "quot<sub>1p</sub>";
  latexdef "quot1p" as "\mathrm{quot}_{1p}";
htmldef "rem1p" as "rem<sub>1p</sub>";
  althtmldef "rem1p" as "rem<sub>1p</sub>";
  latexdef "rem1p" as "\mathrm{rem}_{1p}";
htmldef "idlGen1p" as "idlGen<sub>1p</sub>";
  althtmldef "idlGen1p" as "idlGen<sub>1p</sub>";
  latexdef "idlGen1p" as "\mathrm{idlGen}_{1p}";
htmldef "Poly" as "Poly";
  althtmldef "Poly" as "Poly";
  latexdef "Poly" as "\mathrm{Poly}";
htmldef "Xp" as "<IMG SRC='cx.gif' WIDTH=13 HEIGHT=19 ALT=' X' TITLE='X'>" +
    "<IMG SRC='subp.gif' WIDTH=7 HEIGHT=19 ALT='p' TITLE='p'>";
  althtmldef "Xp" as "<I>X<SUB>p</SUB></I>";
  latexdef "Xp" as "X_p";
htmldef "coeff" as "coeff";
  althtmldef "coeff" as "coeff";
  latexdef "coeff" as "\mathrm{coeff}";
htmldef "deg" as "deg";
  althtmldef "deg" as "deg";
  latexdef "deg" as "\operatorname{deg}";
htmldef "quot" as " quot ";
  althtmldef "quot" as " quot ";
  latexdef "quot" as "\mathrm{quot}";
htmldef "AA" as "<IMG SRC='bba.gif' WIDTH=13 HEIGHT=19 ALT=' AA' TITLE='AA'>";
  althtmldef "AA" as '&#120120;';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "AA" as "\mathbb{A}";
htmldef "Tayl" as " Tayl ";
  althtmldef "Tayl" as " Tayl ";
  latexdef "Tayl" as "\mathrm{Tayl}";
htmldef "Ana" as "Ana";
  althtmldef "Ana" as "Ana";
  latexdef "Ana" as "\mathrm{Ana}";
htmldef "~~>u" as "<IMG SRC='rightsquigarrow.gif' WIDTH=15 HEIGHT=19 " +
    "ALT=' ~~&gt;' TITLE='~~&gt;'>" +
    "<IMG SRC='subu.gif' WIDTH=6 HEIGHT=19 ALT=' u' TITLE='u'>";
  althtmldef "~~>u" as
    "&#8669;<SUB>&#x1D462;</SUB>";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "~~>u" as "\rightsquigarrow_u";
htmldef "log" as
    "<IMG SRC='_log.gif' WIDTH=20 HEIGHT=19 ALT=' log' TITLE='log'>";
  althtmldef "log" as "log";
  latexdef "log" as "\log";
htmldef "logb" as " log<sub>b</sub> ";
  althtmldef "logb" as " log<sub>b</sub> ";
  latexdef "logb" as "\mathrm{log}_b";
htmldef "^c" as
    " <IMG SRC='uparrow.gif' WIDTH=7 HEIGHT=19 ALT=' ^' TITLE='^'>" +
    "<IMG SRC='subc.gif' WIDTH=6 HEIGHT=19 ALT='c' TITLE='c'> ";
  althtmldef "^c" as "&uarr;<SUB>&#x1D450;</SUB>";
  latexdef "^c" as "\uparrow_c";
htmldef "arcsin" as "arcsin";
  althtmldef "arcsin" as "arcsin";
  latexdef "arcsin" as "\arcsin";
htmldef "arccos" as "arccos";
  althtmldef "arccos" as "arccos";
  latexdef "arccos" as "\arccos";
htmldef "arctan" as "arctan";
  althtmldef "arctan" as "arctan";
  latexdef "arctan" as "\arctan";
htmldef "area" as "area";
  althtmldef "area" as "area";
  latexdef "area" as "\mathrm{area}";
htmldef "gamma" as
    "<IMG SRC='gamma.gif' WIDTH=11 HEIGHT=19 ALT=' gamma' TITLE='gamma'>";
  althtmldef "gamma" as "&gamma;";
  latexdef "gamma" as "\gamma";
htmldef "theta" as
    "<IMG SRC='theta.gif' WIDTH=8 HEIGHT=19 ALT=' theta' TITLE='theta'>";
  althtmldef "theta" as "&theta;";
  latexdef "theta" as "\theta";
htmldef "Lam" as "&Lambda;";
  althtmldef "Lam" as "&Lambda;";
  latexdef "Lam" as "\Lambda";
htmldef "psi" as "&psi;";
  althtmldef "psi" as "&psi;";
  latexdef "psi" as "\psi";
htmldef "ppi" as "<U>&pi;</U>";
  althtmldef "ppi" as "<U>&pi;</U>";
  latexdef "ppi" as "\pi";
htmldef "mmu" as
    "<IMG SRC='mu.gif' WIDTH=10 HEIGHT=19 ALT=' mmu' TITLE='mmu'>";
  althtmldef "mmu" as "&mu;";
  latexdef "mmu" as "\mu";
htmldef "sigma" as
    " <IMG SRC='sigma.gif' WIDTH=10 HEIGHT=19 ALT=' sigma' TITLE='sigma'> ";
  althtmldef "sigma" as " &sigma; ";
  latexdef "sigma" as "\sigma";
htmldef "DChr" as "DChr";
  althtmldef "DChr" as "DChr";
  latexdef "DChr" as "\mathrm{DChr}";
htmldef "/L" as
    " <IMG SRC='solidus.gif' WIDTH=6 HEIGHT=19 ALT=' /' TITLE='/'>" +
    "<IMG SRC='subcl.gif' WIDTH=8 HEIGHT=19 ALT='L' TITLE='L'>";
  althtmldef "/L" as " /<sub><i>L</i></sub> ";
  latexdef "/L" as " /_L ";

/* Graph theory */
htmldef ".ef" as '.ef';
  althtmldef ".ef" as ".ef";
  latexdef ".ef" as "\mathrm{ef}";
htmldef "Vtx" as 'Vtx';
  althtmldef "Vtx" as 'Vtx';
  latexdef "Vtx" as "\mathrm{Vtx}";
htmldef "iEdg" as 'iEdg';
  althtmldef "iEdg" as 'iEdg';
  latexdef "iEdg" as "\mathrm{iEdg}";
htmldef "UHGraph" as 'UHGraph';
  althtmldef "UHGraph" as 'UHGraph';
  latexdef "UHGraph" as "\mathrm{UHGraph}";
htmldef "USHGraph" as 'USHGraph';
  althtmldef "USHGraph" as 'USHGraph';
  latexdef "USHGraph" as "\mathrm{USHGraph}";
htmldef "UPGraph" as 'UPGraph';
  althtmldef "UPGraph" as 'UPGraph';
  latexdef "UPGraph" as "\mathrm{UPGraph}";
htmldef "UMGraph" as 'UMGraph';
  althtmldef "UMGraph" as 'UMGraph';
  latexdef "UMGraph" as "\mathrm{UMGraph}";
htmldef "Edg" as 'Edg';
  althtmldef "Edg" as 'Edg';
  latexdef "Edg" as "\mathrm{Edg}";
htmldef "USPGraph" as 'USPGraph';
  althtmldef "USPGraph" as 'USPGraph';
  latexdef "USPGraph" as "\mathrm{USPGraph}";
htmldef "USGraph" as 'USGraph';
  althtmldef "USGraph" as 'USGraph';
  latexdef "USGraph" as "\mathrm{USGraph}";
htmldef "SubGraph" as ' SubGraph ';
  althtmldef "SubGraph" as ' SubGraph ';
  latexdef "SubGraph" as "\mathrm{SubGraph}";
htmldef "FinUSGraph" as 'FinUSGraph';
  althtmldef "FinUSGraph" as 'FinUSGraph';
  latexdef "FinUSGraph" as "\mathrm{FinUSGraph}";
htmldef "NeighbVtx" as ' NeighbVtx ';
  althtmldef "NeighbVtx" as ' NeighbVtx ';
  latexdef "NeighbVtx" as "\mathrm{NeighbVtx}";
htmldef "ComplGraph" as 'ComplGraph';
  althtmldef "ComplGraph" as 'ComplGraph';
  latexdef "ComplGraph" as "\mathrm{ComplGraph}";
htmldef "ComplUSGraph" as 'ComplUSGraph';
  althtmldef "ComplUSGraph" as 'ComplUSGraph';
  latexdef "ComplUSGraph" as "\mathrm{ComplUSGraph}";
htmldef "UnivVtx" as 'UnivVtx';
  althtmldef "UnivVtx" as 'UnivVtx';
  latexdef "UnivVtx" as "\mathrm{UnivVtx}";
htmldef "VtxDeg" as 'VtxDeg';
  althtmldef "VtxDeg" as 'VtxDeg';
  latexdef "VtxDeg" as "\mathrm{VtxDeg}";
htmldef "RegGraph" as ' RegGraph ';
  althtmldef "RegGraph" as ' RegGraph ';
  latexdef "RegGraph" as "\mathrm{RegGraph}";
htmldef "RegUSGraph" as ' RegUSGraph ';
  althtmldef "RegUSGraph" as ' RegUSGraph ';
  latexdef "RegUSGraph" as "\mathrm{RegUSGraph}";
htmldef "EdgWalks" as ' EdgWalks ';
  althtmldef "EdgWalks" as ' EdgWalks ';
  latexdef "EdgWalks" as "\mathrm{EdgWalks}";
htmldef "Walks" as "Walks";
  althtmldef "Walks" as "Walks";
  latexdef "Walks" as "\mathrm{Walks}";
htmldef "WalksOn" as "WalksOn";
  althtmldef "WalksOn" as "WalksOn";
  latexdef "WalksOn" as "\mathrm{WalksOn}";
htmldef "Trails" as "Trails";
  althtmldef "Trails" as "Trails";
  latexdef "Trails" as "\mathrm{Trails}";
htmldef "TrailsOn" as "TrailsOn";
  althtmldef "TrailsOn" as "TrailsOn";
  latexdef "TrailsOn" as "\mathrm{TrailsOn}";
htmldef "Paths" as "Paths";
  althtmldef "Paths" as "Paths";
  latexdef "Paths" as "\mathrm{Paths}";
htmldef "SPaths" as "SPaths";
  althtmldef "SPaths" as "SPaths";
  latexdef "SPaths" as "\mathrm{SPaths}";
htmldef "PathsOn" as "PathsOn";
  althtmldef "PathsOn" as "PathsOn";
  latexdef "PathsOn" as "\mathrm{PathsOn}";
htmldef "SPathsOn" as "SPathsOn";
  althtmldef "SPathsOn" as "SPathsOn";
  latexdef "SPathsOn" as "\mathrm{SPathsOn}";
htmldef "ClWalks" as "ClWalks";
  althtmldef "ClWalks" as "ClWalks";
  latexdef "ClWalks" as "\mathrm{ClWalks}";
htmldef "Circuits" as "Circuits";
  althtmldef "Circuits" as "Circuits";
  latexdef "Circuits" as "\mathrm{Circuits}";
htmldef "Cycles" as "Cycles";
  althtmldef "Cycles" as "Cycles";
  latexdef "Cycles" as "\mathrm{Cycles}";
htmldef "WWalks" as 'WWalks';
  althtmldef "WWalks" as 'WWalks';
  latexdef "WWalks" as "\mathrm{WWalks}";
htmldef "WWalksN" as ' WWalksN ';
  althtmldef "WWalksN" as ' WWalksN ';
  latexdef "WWalksN" as "\mathrm{WWalksN}";
htmldef "WWalksNOn" as ' WWalksNOn ';
  althtmldef "WWalksNOn" as ' WWalksNOn ';
  latexdef "WWalksNOn" as "\mathrm{WWalksNOn}";
htmldef "WSPathsN" as ' WSPathsN ';
  althtmldef "WSPathsN" as ' WSPathsN ';
  latexdef "WSPathsN" as "\mathrm{WSPathsN}";
htmldef "WSPathsNOn" as ' WSPathsNOn ';
  althtmldef "WSPathsNOn" as ' WSPathsNOn ';
  latexdef "WSPathsNOn" as "\mathrm{WSPathsNOn}";
htmldef "ClWWalks" as 'ClWWalks';
  althtmldef "ClWWalks" as 'ClWWalks';
  latexdef "ClWWalks" as "\mathrm{ClWWalks}";
htmldef "ClWWalksN" as ' ClWWalksN ';
  althtmldef "ClWWalksN" as ' ClWWalksN ';
  latexdef "ClWWalksN" as "\mathrm{ClWWalksN}";
htmldef "ClWWalksNOn" as 'ClWWalksNOn';
  althtmldef "ClWWalksNOn" as 'ClWWalksNOn';
  latexdef "ClWWalksNOn" as "\mathrm{ClWWalksNOn}";
htmldef "ConnGraph" as "ConnGraph";
  althtmldef "ConnGraph" as "ConnGraph";
  latexdef "ConnGraph" as "\mathrm{ConnGraph}";
htmldef "EulerPaths" as "EulerPaths";
  althtmldef "EulerPaths" as "EulerPaths";
  latexdef "EulerPaths" as "\mathrm{EulerPaths}";
htmldef "FriendGraph" as ' FriendGraph ';
  althtmldef "FriendGraph" as ' FriendGraph ';
  latexdef "FriendGraph" as "\mathrm{FriendGraph}";

/* Guides and miscellanea */
htmldef "Plig" as
    "<IMG SRC='_plig.gif' WIDTH=25 HEIGHT=19 ALT=' Plig' TITLE='Plig'>";
  althtmldef "Plig" as "Plig";
  latexdef "Plig" as "\mathrm{Plig}";
htmldef "t+" as "<IMG SRC='t.gif' WIDTH=7 HEIGHT=19 ALT=' t' TITLE='t'>" +
    "<IMG SRC='plus.gif' WIDTH=13 HEIGHT=19 ALT='+' TITLE='+'>";
  althtmldef "t+" as "t+";
  latexdef "t+" as "\mathrm{t}+";
htmldef "t*" as "<IMG SRC='t.gif' WIDTH=7 HEIGHT=19 ALT=' t' TITLE='t'>" +
    "<IMG SRC='ast.gif' WIDTH=7 HEIGHT=19 ALT='*' TITLE='*'>";
  althtmldef "t*" as "t*";
  latexdef "t*" as "\mathrm{t}*";
htmldef "GrpOp" as
    "<IMG SRC='_grpop.gif' WIDTH=44 HEIGHT=19 ALT=' GrpOp' TITLE='GrpOp'>";
  althtmldef "GrpOp" as "GrpOp";
  latexdef "GrpOp" as "\mathrm{GrpOp}";
htmldef "GId" as "GId";
  althtmldef "GId" as "GId";
  latexdef "GId" as "\mathrm{GId}";
htmldef "inv" as
    "<IMG SRC='_inv.gif' WIDTH=19 HEIGHT=19 ALT=' inv' TITLE='inv'>";
  althtmldef "inv" as "inv";
  latexdef "inv" as "\mathrm{inv}";
htmldef "/g" as " <IMG SRC='_divg.gif' WIDTH=11 HEIGHT=19 ALT=' /g' " +
    "TITLE='/g'> ";
  althtmldef "/g" as " /<SUB>&#x1D454;</SUB> ";
  latexdef "/g" as "/_g";
htmldef "AbelOp" as
    "<IMG SRC='_abelop.gif' WIDTH=47 HEIGHT=19 ALT=' AbelOp' TITLE='AbelOp'>";
  althtmldef "AbelOp" as "AbelOp";
  latexdef "AbelOp" as "\mathrm{AbelOp}";
htmldef "Ass" as
    "<IMG SRC='_ass.gif' WIDTH=22 HEIGHT=19 ALT=' Ass' TITLE='Ass'>";
  althtmldef "Ass" as "Ass";
  latexdef "Ass" as "\mathrm{Ass}";
htmldef "ExId" as
    " <IMG SRC='_exid.gif' WIDTH=29 HEIGHT=19 ALT=' ExId' TITLE='ExId'> ";
  althtmldef "ExId" as " ExId ";
  latexdef "ExId" as "\mathrm{ExId}";
htmldef "Magma" as
    "<IMG SRC='_magma.gif' WIDTH=48 HEIGHT=19 ALT=' Magma' TITLE='Magma'>";
  althtmldef "Magma" as "Magma";
  latexdef "Magma" as "\mathrm{Magma}";
htmldef "SemiGrp" as
  "<IMG SRC='_semigrp.gif' WIDTH=56 HEIGHT=19 ALT=' SemiGrp' TITLE='SemiGrp'>";
  althtmldef "SemiGrp" as "SemiGrp";
  latexdef "SemiGrp" as "\mathrm{SemiGrp}";
htmldef "MndOp" as "MndOp";
  althtmldef "MndOp" as "MndOp";
  latexdef "MndOp" as "\mathrm{MndOp}";
htmldef "GrpOpHom" as " GrpOpHom ";
  althtmldef "GrpOpHom" as " GrpOpHom ";
  latexdef "GrpOpHom" as "\mathrm{GrpOpHom}";
htmldef "RingOps" as
  "<IMG SRC='_ringops.gif' WIDTH=55 HEIGHT=19 ALT=' RingOps' TITLE='RingOps'>";
  althtmldef "RingOps" as "RingOps";
  latexdef "RingOps" as "\mathrm{RingOps}";
htmldef "DivRingOps" as "<IMG SRC='_divringops.gif' WIDTH=77 HEIGHT=19" +
      " ALT=' DivRingOps' TITLE='DivRingOps'>";
  althtmldef "DivRingOps" as "DivRingOps";
  latexdef "DivRingOps" as "\mathrm{DivRingOps}";
htmldef "Com2" as
    "<IMG SRC='_com2.gif' WIDTH=35 HEIGHT=19 ALT=' Com2' TITLE='Com2'>";
  althtmldef "Com2" as "Com2";
  latexdef "Com2" as "\mathrm{Com2}";
htmldef "Fld" as
    "<IMG SRC='_fld.gif' WIDTH=21 HEIGHT=19 ALT=' Fld' TITLE='Fld'>";
  althtmldef "Fld" as "Fld";
  latexdef "Fld" as "\mathrm{Fld}";
htmldef "CVecOLD" as
    "<IMG SRC='_cvec.gif' WIDTH=34 HEIGHT=19 ALT=' CVec' TITLE='CVec'>" +
    "<IMG SRC='_old.gif' WIDTH=23 HEIGHT=19 ALT='OLD' TITLE='OLD'>";
  althtmldef "CVecOLD" as "CVec<SUB>OLD</SUB>";
  latexdef "CVecOLD" as "\mathrm{CVec_{OLD}}";
htmldef "NrmCVec" as
  "<IMG SRC='_nrmcvec.gif' WIDTH=62 HEIGHT=19 ALT=' NrmCVec' TITLE='NrmCVec'>";
  althtmldef "NrmCVec" as "NrmCVec";
  latexdef "NrmCVec" as "\mathrm{NrmCVec}";
htmldef "+v" as "<IMG SRC='_plv.gif' WIDTH=19 HEIGHT=19 ALT=' +v' TITLE='+v'>";
  althtmldef "+v" as ' +<SUB>&#x1D463;</SUB> ';
  latexdef "+v" as '+_v';
htmldef "BaseSet" as
  "<IMG SRC='_baseset.gif' WIDTH=51 HEIGHT=19 ALT=' BaseSet' TITLE='BaseSet'>";
  althtmldef "BaseSet" as "BaseSet";
  latexdef "BaseSet" as "\mathrm{BaseSet}";
htmldef ".sOLD" as
    "<IMG SRC='_cds.gif' WIDTH=9 HEIGHT=19 ALT=' .s' TITLE='.s'>" +
    "<IMG SRC='_old.gif' WIDTH=23 HEIGHT=19 ALT='OLD' TITLE='OLD'>";
  althtmldef ".sOLD" as ' <B>&middot;</B><SUB>&#x1D460;OLD</SUB> ';
  latexdef ".sOLD" as '\cdot_{s\mathrm{OLD}}';
htmldef "0vec" as
    "<IMG SRC='_0vec.gif' WIDTH=25 HEIGHT=19 ALT=' 0vec' TITLE='0vec'>";
  althtmldef "0vec" as '0<SUB>vec</SUB>';
  latexdef "0vec" as '0_\mathrm{vec}';
htmldef "-v" as "<IMG SRC='_mv.gif' WIDTH=17 HEIGHT=19 ALT=' -v' TITLE='-v'>";
  althtmldef "-v" as ' &minus;<SUB>&#x1D463;</SUB> ';
  latexdef "-v" as '-_v';
htmldef "normCV" as "<IMG SRC='_norm.gif' WIDTH=32 HEIGHT=19 ALT=' norm' " +
    "TITLE='norm'><SUB>CV</SUB>";
  althtmldef "normCV" as 'norm<SUB>CV</SUB>';
  latexdef "normCV" as '\mathrm{norm_{CV}}';
    /* 24-Apr-2007 nm These need images. */
htmldef "IndMet" as
    "<IMG SRC='_indmet.gif' WIDTH=45 HEIGHT=19 ALT=' IndMet' TITLE='IndMet'>";
  althtmldef "IndMet" as "IndMet";
  latexdef "IndMet" as "\mathrm{IndMet}";
htmldef ".iOLD" as
    "<IMG SRC='_cdi.gif' WIDTH=7 HEIGHT=19 ALT=' .i' TITLE='.i'>" +
    "<IMG SRC='_old.gif' WIDTH=23 HEIGHT=19 ALT='OLD' TITLE='OLD'>";
  althtmldef ".iOLD" as '<B>&middot;</B><SUB>&#x1D456;OLD</SUB>';
  latexdef ".iOLD" as '\cdot_{i\mathrm{OLD}}';
htmldef "SubSp" as
    "<IMG SRC='_subsp.gif' WIDTH=40 HEIGHT=19 ALT=' SubSp' TITLE='SubSp'>";
  althtmldef "SubSp" as "SubSp";
  latexdef "SubSp" as "\mathrm{SubSp}";
htmldef "LnOp" as
    " <IMG SRC='_lnop.gif' WIDTH=36 HEIGHT=19 ALT=' LnOp' TITLE='LnOp'> ";
  althtmldef "LnOp" as " LnOp ";
  latexdef "LnOp" as "\mathrm{LnOp}";
htmldef "normOpOLD" as
    "<IMG SRC='_normop.gif' WIDTH=52 HEIGHT=19 ALT=' normOp' TITLE='normOp'>" +
    "<IMG SRC='_old.gif' WIDTH=23 HEIGHT=19 ALT='OLD' TITLE='OLD'>";
  althtmldef "normOpOLD" as " normOp<SUB>OLD</SUB> ";
  latexdef "normOpOLD" as "\mathrm{normOp_{OLD}}";
htmldef "BLnOp" as
    " <IMG SRC='_blnop.gif' WIDTH=45 HEIGHT=19 ALT=' BLnOp' TITLE='BLnOp'> ";
  althtmldef "BLnOp" as " BLnOp ";
  latexdef "BLnOp" as "\mathrm{BLnOp}";
htmldef "0op" as
    " <IMG SRC='_0op.gif' WIDTH=21 HEIGHT=19 ALT=' 0op' TITLE='0op'> ";
  althtmldef "0op" as " 0<SUB>op</SUB> ";
  latexdef "0op" as "0_\mathrm{op}";
htmldef "adj" as
    "<IMG SRC='_adj.gif' WIDTH=20 HEIGHT=19 ALT=' adj' TITLE='adj'>";
  althtmldef "adj" as "adj";
  latexdef "adj" as "\mathbin{\operatorname{adj}}";
htmldef "HmOp" as
    "<IMG SRC='_hmop.gif' WIDTH=41 HEIGHT=19 ALT=' HmOp' TITLE='HmOp'>";
  althtmldef "HmOp" as "HmOp";
  latexdef "HmOp" as "\mathrm{HmOp}";
htmldef "CPreHilOLD" as
    "<IMG SRC='_cprehil.gif' WIDTH=50 HEIGHT=19 " +
    "ALT=' CPreHil' TITLE='CPreHil'>" +
    "<IMG SRC='_old.gif' WIDTH=23 HEIGHT=19 ALT=' OLD' TITLE='OLD'>";
  althtmldef "CPreHilOLD" as "CPreHil<SUB>OLD</SUB>";
  latexdef "CPreHilOLD" as "\mathrm{CPreHil_{OLD}}";
htmldef "CBan" as
    "<IMG SRC='_cban.gif' WIDTH=35 HEIGHT=19 ALT=' CBan' TITLE='CBan'>";
  althtmldef "CBan" as "CBan";
  latexdef "CBan" as "\mathrm{CBan}";
htmldef "CHilOLD" as
    "<IMG SRC='_chil.gif' WIDTH=28 HEIGHT=19 ALT=' CHil' TITLE='CHil'>" +
    "<IMG SRC='_old.gif' WIDTH=23 HEIGHT=19 ALT='OLD' TITLE='OLD'>";
  althtmldef "CHilOLD" as "CHil<SUB>OLD</SUB>";
  latexdef "CHilOLD" as "\mathrm{CHil_{OLD}}";
    /* Hilbert space */
htmldef "~H" as "<IMG SRC='scrh.gif' WIDTH=19 HEIGHT=19 ALT=' ~H' TITLE='~H'>";
  althtmldef "~H" as ' &#8459;';
    /* 8459 is script H; 8460 is fraktur H */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "~H" as '\mathscr{H}';
htmldef "+h" as
    " <IMG SRC='_pvh.gif' WIDTH=18 HEIGHT=19 ALT=' +h' TITLE='+h'> ";
  althtmldef "+h" as ' +<SUB>&#x210E;</SUB> ';
  latexdef "+h" as '+_h';
htmldef ".h" as
    " <IMG SRC='_cdh.gif' WIDTH=9 HEIGHT=19 ALT=' .h' TITLE='.h'> ";
  althtmldef ".h" as ' <B>&middot;</B><SUB>&#x210E;</SUB> ';
  latexdef ".h" as '\cdot_h';
htmldef "0h" as "<IMG SRC='_0vh.gif' WIDTH=14 HEIGHT=19 ALT=' 0h' TITLE='0h'>";
  althtmldef "0h" as '0<SUB>&#x210E;</SUB>';
  latexdef "0h" as '0_h';
htmldef "-h" as
    " <IMG SRC='_mvh.gif' WIDTH=16 HEIGHT=19 ALT=' -h' TITLE='-h'> ";
  althtmldef "-h" as ' &minus;<SUB>&#x210E;</SUB> ';
  latexdef "-h" as '-_h';
htmldef ".ih" as " <IMG SRC='_cdih.gif' WIDTH=13 HEIGHT=19 ALT=' .ih' " +
    "TITLE='.ih'> ";
  althtmldef ".ih" as ' <B>&middot;</B><SUB><I>ih</I></SUB> ';
  latexdef ".ih" as '\cdot_{ih}';
htmldef "normh" as "<IMG SRC='_normh.gif' WIDTH=38 HEIGHT=19 ALT=' normh' " +
    "TITLE='normh'>";
  althtmldef "normh" as 'norm<SUB>&#x210E;</SUB>';
  latexdef "normh" as '\mathrm{norm}_h';
htmldef "Cauchy" as "<IMG SRC='_cauchy.gif' WIDTH=47 HEIGHT=19 " +
    "ALT=' Cauchy' TITLE='Cauchy'>";
  althtmldef "Cauchy" as 'Cauchy';
  latexdef "Cauchy" as '\mathrm{Cauchy}';
htmldef "~~>v" as " <IMG SRC='_squigv.gif' WIDTH=21 HEIGHT=19 " +
    "ALT=' ~~&gt;v' TITLE='~~&gt;v'> ";
  althtmldef "~~>v" as
    ' &#8669;<SUB>&#x1D463;</SUB> ';
    /* 24-Sep-2017 reverted sans-serif */
  latexdef "~~>v" as '\rightsquigarrow_v';
htmldef "SH" as "<IMG SRC='_sh.gif' WIDTH=24 HEIGHT=19 ALT=' SH' TITLE='SH'>";
  althtmldef "SH" as
    ' <I><B>S</B></I><SUB>&#8459;</SUB> ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "SH" as '\mathscr{S}_\mathscr{H}';
htmldef "CH" as
    "<IMG SRC='_scrch.gif' WIDTH=22 HEIGHT=19 ALT=' CH' TITLE='CH'>";
  althtmldef "CH" as
    ' <I><B>C</B></I><SUB>&#8459;</SUB> ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "CH" as '\mathscr{C}_\mathscr{H}';
htmldef "_|_" as
    "<IMG SRC='perp.gif' WIDTH=11 HEIGHT=19 ALT=' _|_' TITLE='_|_'>";
  althtmldef "_|_" as '&#8869;'; /* &bottom; */
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "_|_" as '\perp';
htmldef "+H" as
    " <IMG SRC='_plh.gif' WIDTH=24 HEIGHT=19 ALT=' +H' TITLE='+H'> ";
  althtmldef "+H" as ' +<SUB>&#8459;</SUB> ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "+H" as '+_\mathscr{H}';
htmldef "span" as
    "<IMG SRC='_span.gif' WIDTH=31 HEIGHT=19 ALT=' span' TITLE='span'>";
  althtmldef "span" as 'span';
  latexdef "span" as '\mathrm{span}';
htmldef "vH" as
    " <IMG SRC='_veeh.gif' WIDTH=21 HEIGHT=19 ALT=' vH' TITLE='vH'> ";
  althtmldef "vH" as ' &or;<SUB>&#8459;</SUB> ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "vH" as '\vee_\mathscr{H}';
htmldef "\/H" as
    " <IMG SRC='_bigveeh.gif' WIDTH=23 HEIGHT=19 ALT=' \/H' TITLE='\/H'> ";
  althtmldef "\/H" as ' <FONT SIZE="+1">&or;' +
    '</FONT><SUB>&#8459;</SUB> ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "\/H" as '\bigvee_\mathscr{H}';
htmldef "0H" as "<IMG SRC='_0h.gif' WIDTH=20 HEIGHT=19 ALT=' 0H' TITLE='0H'>";
  althtmldef "0H" as '0<SUB>&#8459;</SUB>';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "0H" as '0_\mathscr{H}';
htmldef "C_H" as
    " <IMG SRC='_cch.gif' WIDTH=23 HEIGHT=19 ALT=' C_H' TITLE='C_H'> ";
  althtmldef "C_H" as
    ' &#x1D436;<SUB>&#8459;</SUB> ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "C_H" as 'C_\mathscr{H}';
htmldef "projh" as
    "<IMG SRC='_proj.gif' WIDTH=24 HEIGHT=19 ALT=' proj' TITLE='proj'>" +
    " <IMG SRC='subh.gif' WIDTH=6 HEIGHT=19 ALT='h' TITLE='h'>";
  althtmldef "projh" as 'proj<SUB>&#x210E;</SUB>';
  latexdef "projh" as '\mathrm{proj}_h';
htmldef "0hop" as
    "<IMG SRC='_0hop.gif' WIDTH=28 HEIGHT=19 ALT=' 0hop' TITLE='0hop'>";
  althtmldef "0hop" as ' 0<SUB>hop</SUB> ';
  latexdef "0hop" as "0_\mathrm{hop}";
htmldef "Iop" as
    " <IMG SRC='_iop.gif' WIDTH=18 HEIGHT=19 ALT=' Iop' TITLE='Iop'> ";
  althtmldef "Iop" as ' I<SUB>op</SUB> ';
  latexdef "Iop" as "I_\mathrm{op}";
htmldef "+op" as
    " <IMG SRC='_plop.gif' WIDTH=25 HEIGHT=19 ALT=' +op' TITLE='+op'> ";
  althtmldef "+op" as ' +<SUB>op</SUB> ';
  latexdef "+op" as '+_\mathrm{op}';
htmldef ".op" as
    " <IMG SRC='_cdop.gif' WIDTH=16 HEIGHT=19 ALT=' .op' TITLE='.op'> ";
  althtmldef ".op" as ' <B>&middot;</B><SUB>op</SUB> ';
  latexdef ".op" as '\cdot_\mathrm{op}';
htmldef "-op" as
    " <IMG SRC='_mop.gif' WIDTH=23 HEIGHT=19 ALT=' -op' TITLE='-op'> ";
  althtmldef "-op" as ' &minus;<SUB>op</SUB> ';
  latexdef "-op" as '-_\mathrm{op}';
htmldef "+fn" as
    " <IMG SRC='_plfn.gif' WIDTH=24 HEIGHT=19 ALT=' +fn' TITLE='+fn'> ";
  althtmldef "+fn" as ' +<SUB>fn</SUB> ';
  latexdef "+fn" as '+_\mathrm{fn}';
htmldef ".fn" as
    " <IMG SRC='_cdfn.gif' WIDTH=15 HEIGHT=19 ALT=' .fn' TITLE='.fn'> ";
  althtmldef ".fn" as ' <B>&middot;</B><SUB>fn</SUB> ';
  latexdef ".fn" as '\cdot_\mathrm{fn}';
htmldef "normop" as
  "<IMG SRC='_normsubop.gif' WIDTH=45 HEIGHT=19 ALT=' normop' TITLE='normop'>";
  althtmldef "normop" as 'norm<SUB>op</SUB>';
  latexdef "normop" as '\mathrm{norm}_\mathrm{op}';
htmldef "ContOp" as
    "<IMG SRC='_conop.gif' WIDTH=44 HEIGHT=19 ALT=' ContOp' TITLE='ContOp'>";
  althtmldef "ContOp" as 'ContOp';
  latexdef "ContOp" as '\mathrm{ContOp}';
htmldef "LinOp" as
    "<IMG SRC='_linop.gif' WIDTH=40 HEIGHT=19 ALT=' LinOp' TITLE='LinOp'>";
  althtmldef "LinOp" as 'LinOp';
  latexdef "LinOp" as '\mathrm{LinOp}';
htmldef "BndLinOp" as
    "<IMG SRC='_bndlinop.gif' WIDTH=65 HEIGHT=19 " +
    "ALT=' BndLinOp' TITLE='BndLinOp'>";
  althtmldef "BndLinOp" as 'BndLinOp';
  latexdef "BndLinOp" as '\mathrm{BndLinOp}';
htmldef "UniOp" as
    "<IMG SRC='_uniop.gif' WIDTH=41 HEIGHT=19 ALT=' UniOp' TITLE='UniOp'>";
  althtmldef "UniOp" as 'UniOp';
  latexdef "UniOp" as '\mathrm{UniOp}';
htmldef "HrmOp" as
    "<IMG SRC='_hrmop.gif' WIDTH=47 HEIGHT=19 ALT=' HrmOp' TITLE='HrmOp'>";
  althtmldef "HrmOp" as 'HrmOp';
  latexdef "HrmOp" as '\mathrm{HrmOp}';
htmldef "normfn" as
    "<IMG SRC='_normfn.gif' WIDTH=43 HEIGHT=19 ALT=' normfn' TITLE='normfn'>";
  althtmldef "normfn" as 'norm<SUB>fn</SUB>';
  latexdef "normfn" as '\mathrm{norm}_\mathrm{fn}';
htmldef "null" as
    "<IMG SRC='_null.gif' WIDTH=24 HEIGHT=19 ALT=' null' TITLE='null'>";
  althtmldef "null" as 'null';
  latexdef "null" as '\mathrm{null}';
htmldef "ContFn" as
    "<IMG SRC='_confn.gif' WIDTH=42 HEIGHT=19 ALT=' ContFn' TITLE='ContFn'>";
  althtmldef "ContFn" as 'ContFn';
  latexdef "ContFn" as '\mathrm{ContFn}';
htmldef "LinFn" as
    "<IMG SRC='_linfn.gif' WIDTH=38 HEIGHT=19 ALT=' LinFn' TITLE='LinFn'>";
  althtmldef "LinFn" as 'LinFn';
  latexdef "LinFn" as '\mathrm{LinFn}';
htmldef "adjh" as
    "<IMG SRC='_adjh.gif' WIDTH=26 HEIGHT=19 ALT=' adjh' TITLE='adjh'>";
  althtmldef "adjh" as 'adj<SUB>&#x210E;</SUB>';
  latexdef "adjh" as '\mathrm{adj}_h';
htmldef "bra" as
    "<IMG SRC='_bra.gif' WIDTH=22 HEIGHT=19 ALT=' bra' TITLE='bra'>";
  althtmldef "bra" as 'bra';
  latexdef "bra" as '\mathrm{bra}';
htmldef "ketbra" as
   " <IMG SRC='_ketbra.gif' WIDTH=43 HEIGHT=19 ALT=' ketbra' TITLE='ketbra'> ";
  althtmldef "ketbra" as ' ketbra ';
  latexdef "ketbra" as '\mathrm{ketbra}';
htmldef "<_op" as
   " <IMG SRC='_leop.gif' WIDTH=24 HEIGHT=19 ALT=' <_op' TITLE='<_op'> ";
  althtmldef "<_op" as " &le;<SUB>op</SUB> ";
  latexdef "<_op" as '\le_\mathrm{op}';
htmldef "eigvec" as
    "<IMG SRC='_eigvec.gif' WIDTH=41 HEIGHT=19 ALT=' eigvec' TITLE='eigvec'>";
  althtmldef "eigvec" as 'eigvec';
  latexdef "eigvec" as '\operatorname{eigvec}';
htmldef "eigval" as
    "<IMG SRC='_eigval.gif' WIDTH=39 HEIGHT=19 ALT=' eigval' TITLE='eigval'>";
  althtmldef "eigval" as 'eigval';
  latexdef "eigval" as '\operatorname{eigval}';
htmldef "Lambda" as
    "<IMG SRC='clambda.gif' WIDTH=11 HEIGHT=19 ALT=' Lambda' TITLE='Lambda'>";
  althtmldef "Lambda" as 'Lambda';
  latexdef "Lambda" as '\Lambda';
htmldef "States" as
    "<IMG SRC='_states.gif' WIDTH=40 HEIGHT=19 ALT=' States' TITLE='States'>";
  althtmldef "States" as 'States';
  latexdef "States" as '\mathrm{States}';
    /* These don't have images. */
htmldef "CHStates" as
    "<IMG SRC='_chstates.gif' WIDTH=61 HEIGHT=19 " +
    "ALT=' CHStates' TITLE='CHStates'>";
  althtmldef "CHStates" as 'CHStates';
  latexdef "CHStates" as '\mathrm{CHStates}';
htmldef "HAtoms" as 'HAtoms';
  althtmldef "HAtoms" as 'HAtoms';
  latexdef "HAtoms" as '\mathrm{HAtoms}';
htmldef "<oH" as
    " <IMG SRC='_ldh.gif' WIDTH=25 HEIGHT=19 ALT=' &lt;oH' TITLE='&lt;oH'> ";
  althtmldef "<oH" as
    ' &#8918;<SUB>&#8459;</SUB> ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "<oH" as '\lessdot_\mathscr{H}';
htmldef "MH" as
    " <IMG SRC='_mh.gif' WIDTH=27 HEIGHT=19 ALT=' MH' TITLE='MH'> ";
  althtmldef "MH" as ' &#x1D440;<SUB>&#8459;</SUB> ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "MH" as 'M_\mathscr{H}';
htmldef "MH*" as
    " <IMG SRC='_mhast.gif' WIDTH=27 HEIGHT=19 ALT=' MH*' TITLE='MH*'> ";
  althtmldef "MH*" as ' &#x1D440;<SUB>&#8459;</SUB><SUP>*</SUP> ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "MH*" as 'M_\mathscr{H}^*';

/* stuff to be sorted into the right places above: */

/* htmldef, althtmldef, latexdef for mathboxes */
/* Note the "Mathbox of" instead of "Mathbox for" to make searching easier. */

/* Mathbox of Thierry Arnoux */
htmldef "class-o" as "class-o";
  althtmldef "class-o" as "class-o";
  latexdef "class-o" as "\mathrm{class-o}";
htmldef "class-n" as "class-n";
  althtmldef "class-n" as "class-n";
  latexdef "class-n" as "\mathrm{class-n}";
htmldef "<<<" as "&lt;&lt;&lt;";
  althtmldef "<<<" as "&#x22D8;";
  latexdef "<<<" as "\mathrm{<<<}";
htmldef "Archi" as "Archi";
  althtmldef "Archi" as "Archi";
  latexdef "Archi" as "\mathrm{Archi}";
htmldef "oMnd" as "oMnd";
  althtmldef "oMnd" as "oMnd";
  latexdef "oMnd" as "\mathrm{oMnd}";
htmldef "oGrp" as "oGrp";
  althtmldef "oGrp" as "oGrp";
  latexdef "oGrp" as "\mathrm{oGrp}";
htmldef "oRing" as "oRing";
  althtmldef "oRing" as "oRing";
  latexdef "oRing" as "\mathrm{oRing}";
htmldef "oField" as "oField";
  althtmldef "oField" as "oField";
  latexdef "oField" as "\mathrm{oField}";
htmldef "toCyc" as "toCyc";
  althtmldef "toCyc" as "toCyc";
  latexdef "toCyc" as "\mathrm{toCyc}";
htmldef "Monot" as "Monot";
  althtmldef "Monot" as "Monot";
  latexdef "Monot" as "\mathrm{Monot}";
htmldef "MGalConn" as "MGalConn";
  althtmldef "MGalConn" as "MGalConn";
  latexdef "MGalConn" as "\mathrm{MGalConn}";
htmldef ".c_" as
    " <IMG SRC='_.le.gif' WIDTH=11 HEIGHT=19 ALT=' .&lt;_' TITLE='.&lt;_'> ";
  althtmldef ".c_" as
    ' <SPAN CLASS=symvar STYLE="border-bottom:1px dotted;color:#C3C">' +
    '&#x2272;</SPAN> ';
  latexdef ".c_" as "\lesssim";
htmldef "SLMod" as "SLMod";
  althtmldef "SLMod" as "SLMod";
  latexdef "SLMod" as "\mathrm{SLMod}";
htmldef "|`v" as " &#8638;<SUB>v</SUB> ";
  althtmldef "|`v" as " &#8638;<SUB>v</SUB> ";
  latexdef "|`v" as "\restriction_v";
htmldef "PrmIdeal" as "PrmIdeal";
  althtmldef "PrmIdeal" as "PrmIdeal";
  latexdef "PrmIdeal" as "\mathrm{PrmIdeal}";
htmldef "MaxIdeal" as "MaxIdeal";
  althtmldef "MaxIdeal" as "MaxIdeal";
  latexdef "MaxIdeal" as "\mathrm{MaxIdeal}";
htmldef "UFD" as "UFD";
  althtmldef "UFD" as "UFD";
  latexdef "UFD" as "\mathrm{UFD}";
htmldef "IDLsrg" as "IDLsrg";
  althtmldef "IDLsrg" as "IDLsrg";
  latexdef "IDLsrg" as "\mathrm{IDLsrg}";
htmldef "Spec" as "Spec";
  althtmldef "Spec" as "Spec";
  latexdef "Spec" as "\mathrm{Spec}";
htmldef "subMat1" as "subMat1";
  althtmldef "subMat1" as "subMat1";
  latexdef "subMat1" as "\mathrm{subMat1}";
htmldef "litMat" as "litMat";
  althtmldef "litMat" as "litMat";
  latexdef "litMat" as "\mathrm{litMat}";
htmldef "RRExt" as " &#8477;Ext ";
  althtmldef "RRExt" as " &#8477;Ext ";
  latexdef "RRExt" as "\mathbb{R}\mathrm{Ext}";
htmldef "PsMet" as "PsMet";
  althtmldef "PsMet" as "PsMet";
  latexdef "PsMet" as "\mathrm{PsMet}";
htmldef "~Met" as "~Met";
  althtmldef "~Met" as "~<SUB>Met</SUB>";
  latexdef "~Met" as "~_\mathrm{Met}";
htmldef "pstoMet" as "pstoMet";
  althtmldef "pstoMet" as "pstoMet";
  latexdef "pstoMet" as "\mathrm{pstoMet}";
htmldef "HCmp" as "HCmp";
  althtmldef "HCmp" as "HCmp";
  latexdef "HCmp" as "\mathrm{HCmp}";
htmldef "CnExt" as "CnExt";
  althtmldef "CnExt" as "CnExt";
  latexdef "CnExt" as "\mathrm{CnExt}";
htmldef "UnifOn" as "UnifOn";
  althtmldef "UnifOn" as "UnifOn";
  latexdef "UnifOn" as "\mathrm{UnifOn}";
htmldef "UnifSt" as "UnifSt";
  althtmldef "UnifSt" as "UnifSt";
  latexdef "UnifSt" as "\mathrm{UnifSt}";
htmldef "UnifSp" as "UnifSp";
  althtmldef "UnifSp" as "UnifSp";
  latexdef "UnifSp" as "\mathrm{UnifSp}";
htmldef "toUnifSp" as "toUnifSp";
  althtmldef "toUnifSp" as "toUnifSp";
  latexdef "toUnifSp" as "\mathrm{toUnifSp}";
htmldef "unifTop" as "unifTop";
  althtmldef "unifTop" as "unifTop";
  latexdef "unifTop" as "\mathrm{unifTop}";
htmldef "uCn" as " Cn<SUB>u</SUB>";
  althtmldef "uCn" as " Cn<SUB>u</SUB>";
  latexdef "uCn" as "\mathrm{Cn_u}";
htmldef "CauFilU" as "CauFil<SUB>u</SUB>";
  althtmldef "CauFilU" as "CauFil<SUB>u</SUB>";
  latexdef "CauFilU" as "\mathrm{CauFil_u}";
htmldef "CUnifSp" as "CUnifSp";
  althtmldef "CUnifSp" as "CUnifSp";
  latexdef "CUnifSp" as "\mathrm{CUnifSp}";
htmldef "metUnif" as "metUnif";
  althtmldef "metUnif" as "metUnif";
  latexdef "metUnif" as "\mathrm{metUnif}";
htmldef "CovHasRef" as "CovHasRef";
  althtmldef "CovHasRef" as "CovHasRef";
  latexdef "CovHasRef" as "\mathrm{CovHasRef}";
htmldef "Ldlf" as "Ldlf";
  althtmldef "Ldlf" as "Ldlf";
  latexdef "Ldlf" as "\mathrm{Ldlf}";
htmldef "Paracomp" as "Paracomp";
  althtmldef "Paracomp" as "Paracomp";
  latexdef "Paracomp" as "\mathrm{Paracomp}";
htmldef "ManTop" as "ManTop";
  althtmldef "ManTop" as "ManTop";
  latexdef "ManTop" as "\mathrm{ManTop}";
htmldef "/e" as " /<SUB>&#x1D452;</SUB> ";
  althtmldef "/e" as " /<SUB>&#x1D452;</SUB> ";
  latexdef "/e" as '/_e';
htmldef "sum*" as "&Sigma;<SUP>*</SUP>";
  althtmldef "sum*" as "&Sigma;<SUP>*</SUP>";
  latexdef "sum*" as "\sum^*";
htmldef "sgns" as "sgn<SUB>s</SUB>";
  althtmldef "sgns" as "sgn<SUB>s</SUB>";
  latexdef "sgns" as "\operatorname{sgn_s}";
htmldef "oFC" as " oFC ";
  althtmldef "oFC" as " &#8728;<SUB>f/c</SUB> ";
  latexdef "oFC" as "\circ_\mathrm{f/c}";
htmldef "seqstr" as "seq<SUB>str</SUB>";
  althtmldef "seqstr" as "seq<SUB>str</SUB>";
  latexdef "seqstr" as "\mathrm{seq_str}";
htmldef "Fibci" as "Fibci";
  althtmldef "Fibci" as "Fibci";
  latexdef "Fibci" as "\mathrm{Fibci}";
htmldef "sigAlgebra" as "sigAlgebra";
  althtmldef "sigAlgebra" as "sigAlgebra";
  latexdef "sigAlgebra" as "\mathrm{sigAlgebra}";
htmldef "sigaGen" as "sigaGen";
  althtmldef "sigaGen" as "sigaGen";
  latexdef "sigaGen" as "\mathrm{sigaGen}";
htmldef "BrSiga" as "&#x1D505;<SUB>&#8477;</SUB>";
  althtmldef "BrSiga" as "&#x1D505;<SUB>&#8477;</SUB>";
  latexdef "BrSiga" as "\mathfrak{B}_\mathbb{R}";
htmldef "sX" as " &times;<SUB>s</SUB> ";
  althtmldef "sX" as " &times;<SUB>s</SUB> ";
  latexdef "sX" as "\times_s";
htmldef "measures" as "measures";
  althtmldef "measures" as "measures";
  latexdef "measures" as "\mathrm{measures}";
htmldef "Ddelta" as "&delta;";
  althtmldef "Ddelta" as "&delta;";
  latexdef "Ddelta" as "\mathrm{\delta}";
htmldef "toOMeas" as "toOMeas";
  althtmldef "toOMeas" as "toOMeas";
  latexdef "toOMeas" as "\mathrm{toOMeas}";
htmldef "toCaraSiga" as "toCaraSiga";
  althtmldef "toCaraSiga" as "toCaraSiga";
  latexdef "toCaraSiga" as "\mathrm{toCaraSiga}";
htmldef "MblFnM" as "MblFnM";
  althtmldef "MblFnM" as "MblFnM";
  latexdef "MblFnM" as "\mathrm{MblFnM}";
htmldef "ae" as "a.e.";
  althtmldef "ae" as "a.e.";
  latexdef "ae" as "\mathrm{a.e.}";
htmldef "~ae" as "~ a.e.";
  althtmldef "~ae" as "~ a.e.";
  latexdef "~ae" as "\mathrm{~ a.e.}";
htmldef "QQHom" as "QQHom";
  althtmldef "QQHom" as "&#8474;Hom";
  latexdef "QQHom" as "\mathbb{Q}\mathrm{Hom}";
htmldef "RRHom" as "RRHom";
  althtmldef "RRHom" as "&#8477;Hom";
  latexdef "RRHom" as "\mathbb{R}\mathrm{Hom}";
htmldef "RR*Hom" as "RR<SUP>*</SUP>Hom";
  althtmldef "RR*Hom" as "&#8477;<SUP>*</SUP>Hom";
  latexdef "RR*Hom" as "\mathbb{R}^*\mathrm{Hom}";
htmldef "itgm" as "itgm";
  althtmldef "itgm" as "itgm";
  latexdef "itgm" as "\mathrm{itgm}";
htmldef "sitg" as "sitg";
  althtmldef "sitg" as "sitg";
  latexdef "sitg" as "\mathrm{sitg}";
htmldef "sitm" as "sitm";
  althtmldef "sitm" as "sitm";
  latexdef "sitm" as "\mathrm{sitm}";
htmldef "Prob" as "Prob";
  althtmldef "Prob" as "Prob";
  latexdef "Prob" as "\mathrm{Prob}";
htmldef "cprob" as "cprob";
  althtmldef "cprob" as "cprob";
  latexdef "cprob" as "\mathrm{cprob}";
htmldef "rRndVar" as "rRndVar";
  althtmldef "rRndVar" as "rRndVar";
  latexdef "rRndVar" as "\mathrm{rRndVar}";
htmldef "_Ind" as "&#x1D7ED;";
  althtmldef "_Ind" as "&#x1D7ED;";
  latexdef "_Ind" as "\bm{1}";
htmldef "oRVC" as "&#8728;<SUB>RV/&#x1D450;</SUB>";
  althtmldef "oRVC" as "&#8728;<SUB>RV/&#x1D450;</SUB>";
  latexdef "oRVC" as "\circ_RV/c";

htmldef "dim" as "dim";
  althtmldef "dim" as "dim";
  latexdef "dim" as "\mathrm{dim}";
htmldef "/FldExt" as "/<SUB>FldExt</SUB>";
  althtmldef "/FldExt" as "/<SUB>FldExt</SUB>";
  latexdef "/FldExt" as "/FldExt";
htmldef "/FinExt" as "/<SUB>FinExt</SUB>";
  althtmldef "/FinExt" as "/<SUB>FinExt</SUB>";
  latexdef "/FinExt" as "/FinExt";
htmldef "/AlgExt" as "/<SUB>AlgExt</SUB>";
  althtmldef "/AlgExt" as "/<SUB>AlgExt</SUB>";
  latexdef "/AlgExt" as "/_AlgExt";
htmldef "[:]" as "[:]";
  althtmldef "[:]" as "[:]";
  latexdef "[:]" as "[:]";

htmldef "repr" as "repr";
  althtmldef "repr" as "repr";
  latexdef "repr" as "\mathrm{repr}";
htmldef "vts" as "vts";
  althtmldef "vts" as "vts";
  latexdef "vts" as "\mathrm{vts}";

htmldef "leftpad" as ' leftpad ';
  althtmldef "leftpad" as ' leftpad ';
  latexdef "leftpad" as "\mathbin{\operatorname{leftpad}}";

htmldef "Itv" as "Itv";
  althtmldef "Itv" as "Itv";
  latexdef "Itv" as "\mathrm{Itv}";
htmldef "LineG" as "LineG";
  althtmldef "LineG" as "LineG";
  latexdef "LineG" as "\mathrm{LineG}";
htmldef "midG" as "midG";
  althtmldef "midG" as "midG";
  latexdef "midG" as "\mathrm{midG}";
htmldef "pInvG" as "pInvG";
  althtmldef "pInvG" as "pInvG";
  latexdef "pInvG" as "\mathrm{pInvG}";
htmldef "lInvG" as "lInvG";
  althtmldef "lInvG" as "lInvG";
  latexdef "lInvG" as "\mathrm{lInvG}";
htmldef "Ismt" as "Ismt";
  althtmldef "Ismt" as "Ismt";
  latexdef "Ismt" as "\mathrm{Ismt}";
htmldef "TarskiG" as "TarskiG";
  althtmldef "TarskiG" as "TarskiG";
  latexdef "TarskiG" as "\mathrm{TarskiG}";
htmldef "TarskiGC" as "TarskiG<SUB>C</SUB>";
  althtmldef "TarskiGC" as "TarskiG<SUB>C</SUB>";
  latexdef "TarskiGC" as "\mathrm{TarskiG_C}";
htmldef "TarskiGB" as "TarskiG<SUB>B</SUB>";
  althtmldef "TarskiGB" as "TarskiG<SUB>B</SUB>";
  latexdef "TarskiGB" as "\mathrm{TarskiG_B}";
htmldef "TarskiGCB" as "TarskiG<SUB>CB</SUB>";
  althtmldef "TarskiGCB" as "TarskiG<SUB>CB</SUB>";
  latexdef "TarskiGCB" as "\mathrm{TarskiG_CB}";
htmldef "TarskiGE" as "TarskiG<SUB>E</SUB>";
  althtmldef "TarskiGE" as "TarskiG<SUB>E</SUB>";
  latexdef "TarskiGE" as "\mathrm{TarskiG_E}";
htmldef "TarskiGDim>=" as "Dim<SUB>TarskiG</SUB>&ge;";
  althtmldef "TarskiGDim>=" as "Dim<SUB>TarskiG</SUB>&ge;";
  latexdef "TarskiGDim>=" as "\mathrm{Dim_TarskiG}\ge";
htmldef "TarskiG2D" as "TarskiG<SUB>2D</SUB>";
  althtmldef "TarskiG2D" as "TarskiG<SUB>2D</SUB>";
  latexdef "TarskiG2D" as "\mathrm{TarskiG_2D}";
htmldef "AFS" as "AFS";
  althtmldef "AFS" as "AFS";
  latexdef "AFS" as "\mathrm{AFS}";
htmldef "cgrG" as "cgrG";
  althtmldef "cgrG" as "cgrG";
  latexdef "cgrG" as "\mathrm{cgrG}";
htmldef "leG" as "&le;G";
  althtmldef "leG" as "&le;G";
  latexdef "leG" as "\le\mathrm{G}";
htmldef "raG" as "&#8735;G"; /* &angrt; fails validator so use its code */
  althtmldef "raG" as "&#8735;G"; /* &angrt; fails validator so use its code */
  latexdef "raG" as "\llcorner\mathrm{G}";
htmldef "perpG" as "&#x27C2;G";
  althtmldef "perpG" as "&#x27C2;G";
  latexdef "perpG" as "\bot\mathrm{G}";
htmldef "hpG" as "hpG";
  althtmldef "hpG" as "hpG";
  latexdef "hpG" as "\mathrm{hpG}";
htmldef "hlG" as "hlG";
  althtmldef "hlG" as "hlG";
  latexdef "hlG" as "\mathrm{hlG}";
htmldef "inA" as "inA";
  althtmldef "inA" as "inA";
  latexdef "inA" as "\mathrm{inA}";
htmldef "leA" as "&le;<SUB>&angle;</SUB>";
  althtmldef "leA" as "&le;<SUB>&angle;</SUB>";
  latexdef "leA" as "\le_\angle";
htmldef "cgrA" as "cgrA";
  althtmldef "cgrA" as "cgrA";
  latexdef "cgrA" as "\mathrm{cgrA}";
htmldef "eqltrG" as "eqltrG";
  althtmldef "eqltrG" as "eqltrG";
  latexdef "eqltrG" as "\mathrm{eqltrG}";
htmldef "EEG" as "EEG";
  althtmldef "EEG" as "EEG";
  latexdef "EEG" as "\mathrm{EEG}";
htmldef "toTG" as "toTG";
  althtmldef "toTG" as "toTG";
  latexdef "toTG" as "\mathrm{toTG}";
/* End of Thierry Arnoux's mathbox */

/* Mathbox of BTernaryTau */
htmldef "AcyclicGraph" as "AcyclicGraph";
  althtmldef "AcyclicGraph" as "AcyclicGraph";
  latexdef "AcyclicGraph" as "\mathrm{AcyclicGraph}";
/* End of BTernaryTau's mathbox */

/* Mathbox of Mario Carneiro */
htmldef "zeta" as
    "<IMG SRC='zeta.gif' WIDTH=9 HEIGHT=19 ALT=' zeta' TITLE='zeta'>";
  althtmldef "zeta" as "&zeta;";
  latexdef "zeta" as "\zeta";
htmldef "_G" as
    "<IMG SRC='cgamma.gif' WIDTH=10 HEIGHT=19 ALT=' _G' TITLE='_G'>";
  althtmldef "_G" as "&Gamma;";
  latexdef "_G" as "\Gamma";
htmldef "log_G" as
    "<IMG SRC='_log.gif' WIDTH=20 HEIGHT=19 ALT=' log' TITLE='log'> " +
    "<IMG SRC='cgamma.gif' WIDTH=10 HEIGHT=19 ALT='_G' TITLE='_G'>";
  althtmldef "log_G" as "log &Gamma;";
  latexdef "log_G" as "\log\Gamma";
htmldef "1/_G" as
    "1/<IMG SRC='cgamma.gif' WIDTH=10 HEIGHT=19 ALT=' _G' TITLE='_G'>";
  althtmldef "1/_G" as "1/&Gamma;";
  latexdef "1/_G" as "1/\Gamma";
htmldef "Retr" as " Retr ";
  althtmldef "Retr" as " Retr ";
  latexdef "Retr" as "\mathrm{Retr}";
htmldef "PConn" as "PConn";
  althtmldef "PConn" as "PConn";
  latexdef "PConn" as " \mathrm{PConn} ";
htmldef "SConn" as "SConn";
  althtmldef "SConn" as "SConn";
  latexdef "SConn" as "\mathrm{SConn}";
htmldef "CovMap" as " CovMap ";
  althtmldef "CovMap" as " CovMap ";
  latexdef "CovMap" as " \mathrm{CovMap} ";
htmldef "e.g" as
    " <IMG SRC='_ing.gif' WIDTH=17 HEIGHT=19 ALT=' e.g' TITLE='e.g'> ";
  althtmldef "e.g" as "&isin;<SUB>&#x1D454;</SUB>";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "e.g" as "\in_g";
htmldef "|g" as
    " <IMG SRC='barwedge.gif' WIDTH=9 HEIGHT=19 ALT=' |' TITLE='|'>" +
    "<IMG SRC='subg.gif' WIDTH=7 HEIGHT=19 ALT='g' TITLE='g'> ";
  althtmldef "|g" as "&#8892;<SUB>&#x1D454;</SUB>";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "|g" as "\barwedge_g";
htmldef "A.g" as
    "<IMG SRC='_forallg.gif' WIDTH=14 HEIGHT=19 ALT=' A.g' TITLE='A.g'>";
  althtmldef "A.g" as
    "&forall;<SUB>&#x1D454;</SUB>";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "A.g" as "\forall_g";
htmldef "=g" as
    " <IMG SRC='_eqg.gif' WIDTH=19 HEIGHT=19 ALT=' =g' TITLE='=g'> ";
  althtmldef "=g" as "=<SUB>&#x1D454;</SUB>";
  latexdef "=g" as "=_g";
htmldef "/\g" as
    " <IMG SRC='_wedgeg.gif' WIDTH=18 HEIGHT=19 ALT=' /\g' TITLE='/\g'> ";
  althtmldef "/\g" as "&and;<SUB>&#x1D454;</SUB>";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "/\g" as "\wedge_g";
htmldef "-.g" as
    "<IMG SRC='_lnotg.gif' WIDTH=17 HEIGHT=19 ALT=' -.g' TITLE='-.g'>";
  althtmldef "-.g" as "&not;<SUB>&#x1D454;</SUB>";
  latexdef "-.g" as "\lnot_g";
htmldef "->g" as
    " <IMG SRC='_tog.gif' WIDTH=20 HEIGHT=19 ALT=' -&gt;g' TITLE='-&gt;g'> ";
  althtmldef "->g" as
    " &rarr;<SUB>&#x1D454;</SUB> ";
  latexdef "->g" as "\to_g";
htmldef "<->g" as " <IMG SRC='_lrarrg.gif' WIDTH=20 HEIGHT=19 " +
    "ALT=' &lt;-&gt;g' TITLE='&lt;-&gt;g'> ";
  althtmldef "<->g" as " &harr;<SUB>&#x1D454;</SUB> ";
  latexdef "<->g" as "\leftrightarrow_g";
htmldef "\/g" as
    " <IMG SRC='_veeg.gif' WIDTH=15 HEIGHT=19 ALT=' \/g' TITLE='\/g'> ";
  althtmldef "\/g" as " &or;<SUB>&#x1D454;</SUB> ";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "\/g" as "\vee_g";
htmldef "E.g" as
    "<IMG SRC='_existsg.gif' WIDTH=16 HEIGHT=19 ALT=' E.g' TITLE='E.g'>";
  althtmldef "E.g" as
    "&exist;<SUB>&#x1D454;</SUB>";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "E.g" as "\exists_g";
htmldef "Fmla" as
    "<IMG SRC='_fmla.gif' WIDTH=33 HEIGHT=19 ALT=' Fmla' TITLE='Fmla'>";
  althtmldef "Fmla" as "Fmla";
  latexdef "Fmla" as "\mathrm{Fmla}";
htmldef "Sat" as
    " <IMG SRC='_sat.gif' WIDTH=22 HEIGHT=19 ALT=' Sat' TITLE='Sat'> ";
  althtmldef "Sat" as " Sat ";
  latexdef "Sat" as "\mathrm{Sat}";
htmldef "SatE" as
    " <IMG SRC='_sat.gif' WIDTH=22 HEIGHT=19 ALT=' Sat' TITLE='Sat'>" +
    "<IMG SRC='subin.gif' WIDTH=7 HEIGHT=19 ALT='E' TITLE='E'> ";
  althtmldef "SatE" as " Sat<SUB>&isin;</SUB> ";
  latexdef "SatE" as "\mathrm{Sat}_\in";
htmldef "|=" as
    " <IMG SRC='models.gif' WIDTH=12 HEIGHT=19 ALT=' |=' TITLE='|='> ";
  althtmldef "|=" as "&#8871;";
  latexdef "|=" as "\models";
htmldef "AxExt" as
    "<IMG SRC='_axext.gif' WIDTH=41 HEIGHT=19 ALT=' AxExt' TITLE='AxExt'>";
  althtmldef "AxExt" as "AxExt";
  latexdef "AxExt" as "\mathrm{AxExt}";
htmldef "AxRep" as
    "<IMG SRC='_axrep.gif' WIDTH=43 HEIGHT=19 ALT=' AxRep' TITLE='AxRep'>";
  althtmldef "AxRep" as "AxRep";
  latexdef "AxRep" as "\mathrm{AxRep}";
htmldef "AxPow" as
    "<IMG SRC='_axpow.gif' WIDTH=46 HEIGHT=19 ALT=' AxPow' TITLE='AxPow'>";
  althtmldef "AxPow" as "AxPow";
  latexdef "AxPow" as "\mathrm{AxPow}";
htmldef "AxUn" as
    "<IMG SRC='_axun.gif' WIDTH=36 HEIGHT=19 ALT=' AxUn' TITLE='AxUn'>";
  althtmldef "AxUn" as "AxUn";
  latexdef "AxUn" as "\mathrm{AxUn}";
htmldef "AxReg" as
    "<IMG SRC='_axreg.gif' WIDTH=43 HEIGHT=19 ALT=' AxReg' TITLE='AxReg'>";
  althtmldef "AxReg" as "AxReg";
  latexdef "AxReg" as "\mathrm{AxReg}";
htmldef "AxInf" as
    "<IMG SRC='_axinf.gif' WIDTH=36 HEIGHT=19 ALT=' AxInf' TITLE='AxInf'>";
  althtmldef "AxInf" as "AxInf";
  latexdef "AxInf" as "\mathrm{AxInf}";
htmldef "ZF" as
    "<IMG SRC='_zf.gif' WIDTH=19 HEIGHT=19 ALT=' ZF' TITLE='ZF'>";
  althtmldef "ZF" as "<FONT FACE=sans-serif><B>ZF</B></FONT>";
  latexdef "ZF" as "\mathsf{ZF}";
htmldef "mCN" as "mCN";
  althtmldef "mCN" as "mCN";
  latexdef "mCN" as "\mathrm{mCN}";
htmldef "mVR" as "mVR";
  althtmldef "mVR" as "mVR";
  latexdef "mVR" as "\mathrm{mVR}";
htmldef "mType" as "mType";
  althtmldef "mType" as "mType";
  latexdef "mType" as "\mathrm{mType}";
htmldef "mVT" as "mVT";
  althtmldef "mVT" as "mVT";
  latexdef "mVT" as "\mathrm{mVT}";
htmldef "mTC" as "mTC";
  althtmldef "mTC" as "mTC";
  latexdef "mTC" as "\mathrm{mTC}";
htmldef "mAx" as "mAx";
  althtmldef "mAx" as "mAx";
  latexdef "mAx" as "\mathrm{mAx}";
htmldef "mREx" as "mREx";
  althtmldef "mREx" as "mREx";
  latexdef "mREx" as "\mathrm{mREx}";
htmldef "mEx" as "mEx";
  althtmldef "mEx" as "mEx";
  latexdef "mEx" as "\mathrm{mEx}";
htmldef "mDV" as "mDV";
  althtmldef "mDV" as "mDV";
  latexdef "mDV" as "\mathrm{mDV}";
htmldef "mVars" as "mVars";
  althtmldef "mVars" as "mVars";
  latexdef "mVars" as "\mathrm{mVars}";
htmldef "mRSubst" as "mRSubst";
  althtmldef "mRSubst" as "mRSubst";
  latexdef "mRSubst" as "\mathrm{mRSubst}";
htmldef "mSubst" as "mSubst";
  althtmldef "mSubst" as "mSubst";
  latexdef "mSubst" as "\mathrm{mSubst}";
htmldef "mVH" as "mVH";
  althtmldef "mVH" as "mVH";
  latexdef "mVH" as "\mathrm{mVH}";
htmldef "mPreSt" as "mPreSt";
  althtmldef "mPreSt" as "mPreSt";
  latexdef "mPreSt" as "\mathrm{mPreSt}";
htmldef "mStRed" as "mStRed";
  althtmldef "mStRed" as "mStRed";
  latexdef "mStRed" as "\mathrm{mStRed}";
htmldef "mStat" as "mStat";
  althtmldef "mStat" as "mStat";
  latexdef "mStat" as "\mathrm{mStat}";
htmldef "mFS" as "mFS";
  althtmldef "mFS" as "mFS";
  latexdef "mFS" as "\mathrm{mFS}";
htmldef "mCls" as "mCls";
  althtmldef "mCls" as "mCls";
  latexdef "mCls" as "\mathrm{mCls}";
htmldef "mPPSt" as "mPPSt";
  althtmldef "mPPSt" as "mPPSt";
  latexdef "mPPSt" as "\mathrm{mPPSt}";
htmldef "mThm" as "mThm";
  althtmldef "mThm" as "mThm";
  latexdef "mThm" as "\mathrm{mThm}";
htmldef "m0St" as "m0St";
  althtmldef "m0St" as "m0St";
  latexdef "m0St" as "\mathrm{m0St}";
htmldef "mSA" as "mSA";
  althtmldef "mSA" as "mSA";
  latexdef "mSA" as "\mathrm{mSA}";
htmldef "mWGFS" as "mWGFS";
  althtmldef "mWGFS" as "mWGFS";
  latexdef "mWGFS" as "\mathrm{mWGFS}";
htmldef "mSyn" as "mSyn";
  althtmldef "mSyn" as "mSyn";
  latexdef "mSyn" as "\mathrm{mSyn}";
htmldef "mESyn" as "mESyn";
  althtmldef "mESyn" as "mESyn";
  latexdef "mESyn" as "\mathrm{mESyn}";
htmldef "mGFS" as "mGFS";
  althtmldef "mGFS" as "mGFS";
  latexdef "mGFS" as "\mathrm{mGFS}";
htmldef "mTree" as "mTree";
  althtmldef "mTree" as "mTree";
  latexdef "mTree" as "\mathrm{mTree}";
htmldef "mST" as "mST";
  althtmldef "mST" as "mST";
  latexdef "mST" as "\mathrm{mST}";
htmldef "mSAX" as "mSAX";
  althtmldef "mSAX" as "mSAX";
  latexdef "mSAX" as "\mathrm{mSAX}";
htmldef "mUFS" as "mUFS";
  althtmldef "mUFS" as "mUFS";
  latexdef "mUFS" as "\mathrm{mUFS}";
htmldef "mUV" as "mUV";
  althtmldef "mUV" as "mUV";
  latexdef "mUV" as "\mathrm{mUV}";
htmldef "mVL" as "mVL";
  althtmldef "mVL" as "mVL";
  latexdef "mVL" as "\mathrm{mVL}";
htmldef "mVSubst" as "mVSubst";
  althtmldef "mVSubst" as "mVSubst";
  latexdef "mVSubst" as "\mathrm{mVSubst}";
htmldef "mFresh" as "mFresh";
  althtmldef "mFresh" as "mFresh";
  latexdef "mFresh" as "\mathrm{mFresh}";
htmldef "mFRel" as "mFRel";
  althtmldef "mFRel" as "mFRel";
  latexdef "mFRel" as "\mathrm{mFRel}";
htmldef "mEval" as "mEval";
  althtmldef "mEval" as "mEval";
  latexdef "mEval" as "\mathrm{mEval}";
htmldef "mMdl" as "mMdl";
  althtmldef "mMdl" as "mMdl";
  latexdef "mMdl" as "\mathrm{mMdl}";
htmldef "mUSyn" as "mUSyn";
  althtmldef "mUSyn" as "mUSyn";
  latexdef "mUSyn" as "\mathrm{mUSyn}";
htmldef "mGMdl" as "mGMdl";
  althtmldef "mGMdl" as "mGMdl";
  latexdef "mGMdl" as "\mathrm{mGMdl}";
htmldef "mItp" as "mItp";
  althtmldef "mItp" as "mItp";
  latexdef "mItp" as "\mathrm{mItp}";
htmldef "mFromItp" as "mFromItp";
  althtmldef "mFromItp" as "mFromItp";
  latexdef "mFromItp" as "\mathrm{mFromItp}";
htmldef "IntgRing" as " IntgRing ";
  althtmldef "IntgRing" as " IntgRing ";
  latexdef "IntgRing" as "\mathrm{IntgRing}";
htmldef "cplMetSp" as " cplMetSp ";
  althtmldef "cplMetSp" as " cplMetSp ";
  latexdef "cplMetSp" as "\mathrm{cplMetSp}";
htmldef "HomLimB" as " HomLimB ";
  althtmldef "HomLimB" as " HomLimB ";
  latexdef "HomLimB" as "\mathrm{HomLimB}";
htmldef "HomLim" as " HomLim ";
  althtmldef "HomLim" as " HomLim ";
  latexdef "HomLim" as "\mathrm{HomLim}";
htmldef "polyFld" as " polyFld ";
  althtmldef "polyFld" as " polyFld ";
  latexdef "polyFld" as "\mathrm{polyFld}";
htmldef "splitFld1" as " splitFld<sub>1</sub> ";
  althtmldef "splitFld1" as " splitFld<sub>1</sub> ";
  latexdef "splitFld1" as "\mathrm{splitFld}_1";
htmldef "splitFld" as " splitFld ";
  althtmldef "splitFld" as " splitFld ";
  latexdef "splitFld" as "\mathrm{splitFld}";
htmldef "polySplitLim" as " polySplitLim ";
  althtmldef "polySplitLim" as " polySplitLim ";
  latexdef "polySplitLim" as "\mathrm{polySplitLim}";
htmldef "ZRing" as "ZRing";
  althtmldef "ZRing" as "ZRing";
  latexdef "ZRing" as "\mathrm{ZRing}";
htmldef "GF" as " GF ";
  althtmldef "GF" as " GF ";
  latexdef "GF" as "\mathrm{GF}";
htmldef "GF_oo" as "GF<sub>&infin;</sub>";
  althtmldef "GF_oo" as "GF<sub>&infin;</sub>";
  latexdef "GF_oo" as "\mathrm{GF}_\infty";
htmldef "~Qp" as "~Qp";
  althtmldef "~Qp" as "~Qp";
  latexdef "~Qp" as "\sim_{\mathbb{Q}_p}";
htmldef "/Qp" as "/Qp";
  althtmldef "/Qp" as "/Qp";
  latexdef "/Qp" as "/_{\mathbb{Q}_p}";
htmldef "Qp" as "Qp";
  althtmldef "Qp" as "Qp";
  latexdef "Qp" as "\mathbb{Q}_p";
htmldef "Zp" as "Zp";
  althtmldef "Zp" as "Zp";
  latexdef "Zp" as "\mathbb{Z}_p";
htmldef "_Qp" as "_Qp";
  althtmldef "_Qp" as "_Qp";
  latexdef "_Qp" as "\overline{\mathbb{Q}_p}";
htmldef "Cp" as "Cp";
  althtmldef "Cp" as "Cp";
  latexdef "Cp" as "\mathbb{C}_p";
/* End of Mario Carneiro's mathbox */

/* Mathbox of Paul Chapman */
/* End of Paul Chapman's mathbox */

/* Mathbox of Drahflow */
htmldef "^r" as
    " <IMG SRC='uparrow.gif' WIDTH=7 HEIGHT=19 ALT='^' TITLE='^'>" +
    "<IMG SRC='subr.gif' WIDTH=5 HEIGHT=19 ALT='r' TITLE='r'> " ;
  althtmldef "^r" as '&uarr;<sub>&#x1D45F;</sub>';
  latexdef "^r" as "\uparrow_r";
htmldef "t*rec" as "<IMG SRC='t.gif' WIDTH=7 HEIGHT=19 ALT=' t' TITLE='t'>" +
    "<IMG SRC='ast.gif' WIDTH=7 HEIGHT=19 ALT='*' TITLE='*'>" + "rec";
  althtmldef "t*rec" as "t*rec";
  latexdef "t*rec" as "\mathrm{t}*_\mathrm{rec}";
/* End of Drahflow's mathbox */

/* Mathbox of Scott Fenton */
htmldef "Pred" as
    "<IMG SRC='_pred.gif' WIDTH=30 HEIGHT=19 ALT=' Pred' TITLE='Pred'>";
  althtmldef "Pred" as "Pred";
  latexdef "Pred" as "\mathrm{Pred}";
htmldef "t++" as "<IMG SRC='t.gif' WIDTH=7 HEIGHT=19 ALT=' t' TITLE='t'>" +
    "<IMG SRC='plus.gif' WIDTH=13 HEIGHT=19 ALT='+' TITLE='+'>" +
    "<IMG SRC='plus.gif' WIDTH=13 HEIGHT=19 ALT='+' TITLE='+'>";
  althtmldef "t++" as "t++";
  latexdef "t++" as "\mathrm{t}++";
htmldef "TrPred" as
    "<IMG SRC='_trpred.gif' WIDTH=44 HEIGHT=19 ALT=' TrPred' TITLE='TrPred'>";
  althtmldef "TrPred" as "TrPred";
  latexdef "TrPred" as "\mathrm{TrPred}";
htmldef "wrecs" as "wrecs";
  althtmldef "wrecs" as "wrecs";
  latexdef "wrecs" as "\mathrm{wrecs}";
htmldef "wsuc" as "wsuc";
  althtmldef "wsuc" as "wsuc";
  latexdef "wsuc" as "\mathrm{wsuc}";
htmldef "WLim" as "WLim";
  althtmldef "WLim" as "WLim";
  latexdef "WLim" as "\mathrm{WLim}";
htmldef "frecs" as "frecs";
  althtmldef "frecs" as "frecs";
  latexdef "frecs" as "\mathrm{frecs}";

htmldef "+no" as " +no ";
  althtmldef "+no" as " +no ";
  latexdef "+no" as " +_\mathrm{no} ";
htmldef "No" as "<IMG SRC='_no.gif' WIDTH=17 HEIGHT=19 ALT=' No' TITLE='No'>";
  althtmldef "No" as '<FONT FACE=sans-serif> No </FONT>';
  latexdef "No" as "\mathrm{No}";
htmldef "<s" as
    "<IMG SRC='lt.gif' WIDTH=11 HEIGHT=19 ALT=' &lt;' TITLE='&lt;'>" +
    "<IMG SRC='subs.gif' WIDTH=6 HEIGHT=19 ALT='s' TITLE='s'>";
  althtmldef "<s" as " &lt;s ";
  latexdef "<s" as "<_s";
htmldef "bday" as
    "<IMG SRC='_bday.gif' WIDTH=32 HEIGHT=19 ALT=' bday' TITLE='bday'>";
  althtmldef "bday" as '<FONT FACE=sans-serif> bday </FONT>';
  latexdef "bday" as "\mathrm{bday}";
htmldef "<<s" as
    "<IMG SRC='lt.gif' WIDTH=11 HEIGHT=19 ALT=' &lt;' TITLE='&lt;'>" +
    "<IMG SRC='lt.gif' WIDTH=11 HEIGHT=19 ALT=' &lt;' TITLE='&lt;'>" +
    "<IMG SRC='subs.gif' WIDTH=6 HEIGHT=19 ALT='s' TITLE='s'>";
  althtmldef "<<s" as " &lt;&lt;s ";
  latexdef "<<s" as "<<_s";
htmldef "<_s" as
    "<IMG SRC='le.gif' WIDTH=11 HEIGHT=19 ALT=' &le;' TITLE='&le;'>" +
    "<IMG SRC='subs.gif' WIDTH=6 HEIGHT=19 ALT='s' TITLE='s'>";
  althtmldef "<_s" as " &le;s ";
  latexdef "<_s" as "\le_s";
htmldef "|s" as
    "<IMG SRC='vert.gif' WIDTH=3 HEIGHT=19 ALT=' |' TITLE='|'>" +
    "<IMG SRC='subs.gif' WIDTH=6 HEIGHT=19 ALT='s' TITLE='s'>";
  althtmldef "|s" as " |s ";
  latexdef "|s" as "|_s";
htmldef "_M" as " M ";
  althtmldef "_M" as " M ";
  latexdef "_M" as "\mathrm{M}";
htmldef "_Old" as " O ";
  althtmldef "_Old" as " O ";
  latexdef "_Old" as "\mathrm{O}";
htmldef "_N" as " N ";
  althtmldef "_N" as " N ";
  latexdef "_N" as "\mathrm{N}";
htmldef "_L" as " L ";
  althtmldef "_L" as " L ";
  latexdef "_L" as "\mathrm{L}";
htmldef "_R" as " R ";
  althtmldef "_R" as " R ";
  latexdef "_R" as "\mathrm{R}";
htmldef "0s" as " 0s ";
  althtmldef "0s" as " 0s ";
  latexdef "0s" as " 0_\mathrm{s} ";
htmldef "1s" as " 1s ";
  althtmldef "1s" as " 1s ";
  latexdef "1s" as " 1_\mathrm{s} ";
htmldef "norec" as " norec ";
  althtmldef "norec" as " norec ";
  latexdef "norec" as "\mathrm{norec}";
htmldef "norec2" as " norec2 ";
  althtmldef "norec2" as " norec2 ";
  latexdef "norec2" as "\mathrm{norec2}";
htmldef "+s" as " +s ";
  althtmldef "+s" as " +s ";
  latexdef "+s" as " +_\mathrm{s} ";
htmldef "-us" as " -us ";
  althtmldef "-us" as " -us ";
  latexdef "-us" as " -_\mathrm{us} ";
htmldef "-s" as " -s ";
  althtmldef "-s" as " -s ";
  latexdef "-s" as " -_\mathrm{s} ";
htmldef "xO" as
  '<SPAN CLASS=setvar STYLE="color:red">&#x1D465;<SUB>O</SUB></SPAN>';
  althtmldef "xO" as
  '<SPAN CLASS=setvar STYLE="color:red">&#x1D465;<SUB>O</SUB></SPAN>';
  latexdef "xO" as "x_O";
htmldef "xL" as
  '<SPAN CLASS=setvar STYLE="color:red">&#x1D465;<SUB>L</SUB></SPAN>';
  althtmldef "xL" as
  '<SPAN CLASS=setvar STYLE="color:red">&#x1D465;<SUB>L</SUB></SPAN>';
  latexdef "xL" as "x_L";
htmldef "xR" as
  '<SPAN CLASS=setvar STYLE="color:red">&#x1D465;<SUB>R</SUB></SPAN>';
  althtmldef "xR" as
  '<SPAN CLASS=setvar STYLE="color:red">&#x1D465;<SUB>R</SUB></SPAN>';
  latexdef "xR" as "x_R";
htmldef "yO" as
  '<SPAN CLASS=setvar STYLE="color:red">&#x1D466;<SUB>O</SUB></SPAN>';
  althtmldef "yO" as
  '<SPAN CLASS=setvar STYLE="color:red">&#x1D466;<SUB>O</SUB></SPAN>';
  latexdef "yO" as "y_O";
htmldef "yL" as
  '<SPAN CLASS=setvar STYLE="color:red">&#x1D466;<SUB>L</SUB></SPAN>';
  althtmldef "yL" as
  '<SPAN CLASS=setvar STYLE="color:red">&#x1D466;<SUB>L</SUB></SPAN>';
  latexdef "yL" as "y_L";
htmldef "yR" as
  '<SPAN CLASS=setvar STYLE="color:red">&#x1D466;<SUB>R</SUB></SPAN>';
  althtmldef "yR" as
  '<SPAN CLASS=setvar STYLE="color:red">&#x1D466;<SUB>R</SUB></SPAN>';
  latexdef "yR" as "y_R";
htmldef "al" as '<SPAN CLASS=wff STYLE="color:blue">&#x1D6FB;</SPAN>';
  althtmldef "al" as '<SPAN CLASS=wff STYLE="color:blue">&#x1D6FB;</SPAN>';
  latexdef "al" as "\alpha";
htmldef "/_\" as
    " <IMG SRC='bigtriangleup.gif' WIDTH=13 HEIGHT=19" +
    " ALT=' /_\' TITLE='/_\'> ";
  althtmldef "/_\" as " &#x25b3; ";
  latexdef "/_\" as "\triangle";
htmldef "(x)" as
    " <IMG SRC='otimes.gif' WIDTH=13 HEIGHT=19 ALT=' (x)' TITLE='(x)'> ";
  althtmldef "(x)" as " &#x2297; ";
  latexdef "(x)" as "\otimes";
/*
htmldef "(+)" as
    " <IMG SRC='oplus.gif' WIDTH=13 HEIGHT=19 ALT=' (+)' TITLE='(+)'> ";
  althtmldef "(+)" as " &#x2295; ";
  latexdef "(+)" as "\oplus";
*/
htmldef "Bigcup" as
    "<IMG SRC='_bigcup.gif' WIDTH=44 HEIGHT=19 ALT=' Bigcup' TITLE='Bigcup'>";
  althtmldef "Bigcup" as '<FONT FACE=sans-serif> Bigcup </FONT>';
  latexdef "Bigcup" as "\mathrm{Bigcup}";
htmldef "SSet" as
    "<IMG SRC='_sset.gif' WIDTH=29 HEIGHT=19 ALT=' SSet' TITLE='SSet'>";
  althtmldef "SSet" as '<FONT FACE=sans-serif> SSet </FONT>';
  latexdef "SSet" as "\mathrm{SSet}";
htmldef "Trans" as
    "<IMG SRC='_trans.gif' WIDTH=38 HEIGHT=19 ALT=' Trans' TITLE='Trans'>";
  althtmldef "Trans" as '<FONT FACE=sans-serif> Trans </FONT>';
  latexdef "Trans" as "\mathrm{Trans}";
htmldef "Limits" as
    "<IMG SRC='_limits.gif' WIDTH=41 HEIGHT=19 ALT=' Limits' TITLE='Limits'>";
  althtmldef "Limits" as '<FONT FACE=sans-serif> Limits </FONT>';
  latexdef "Limits" as "\mathrm{Limits}";
htmldef "Fix" as
    "<IMG SRC='_fix.gif' WIDTH=21 HEIGHT=19 ALT=' Fix' TITLE='Fix'>";
  althtmldef "Fix" as '<FONT FACE=sans-serif> Fix </FONT>';
  latexdef "Fix" as "\mathrm{Fix}";
htmldef "Funs" as
    "<IMG SRC='_funs.gif' WIDTH=31 HEIGHT=19 ALT=' Funs' TITLE='Funs'>";
  althtmldef "Funs" as '<FONT FACE=sans-serif> Funs </FONT>';
  latexdef "Funs" as "\mathrm{Funs}";
htmldef "Singleton" as "Singleton";
  althtmldef "Singleton" as "Singleton";
  latexdef "Singleton" as "\mathrm{Singleton}";
htmldef "Singletons" as "<IMG SRC='_singletons.gif' WIDTH=66 HEIGHT=19 " +
    "ALT=' Singletons' TITLE='Singletons'>";
  althtmldef "Singletons" as '<FONT FACE=sans-serif> Singletons </FONT>';
  latexdef "Singletons" as "\mathrm{Singletons}";
htmldef "Image" as "Image";
  althtmldef "Image" as "Image";
  latexdef "Image" as "\mathrm{Image}";
htmldef "Cart" as "Cart";
  althtmldef "Cart" as "Cart";
  latexdef "Cart" as "\mathrm{Cart}";
htmldef "Img" as "Img";
  althtmldef "Img" as "Img";
  latexdef "Img" as "\mathrm{Img}";
htmldef "Domain" as "Domain";
  althtmldef "Domain" as "Domain";
  latexdef "Domain" as "\mathrm{Domain}";
htmldef "Range" as "Range";
  althtmldef "Range" as "Range";
  latexdef "Range" as "\mathrm{Range}";
htmldef "pprod" as "pprod";
  althtmldef "pprod" as "pprod";
  latexdef "pprod" as "\mathrm{pprod}";
htmldef "Apply" as "Apply";
  althtmldef "Apply" as "Apply";
  latexdef "Apply" as "\mathrm{Apply}";
htmldef "Cup" as "Cup";
  althtmldef "Cup" as "Cup";
  latexdef "Cup" as "\mathrm{Cup}";
htmldef "Cap" as "Cap";
  althtmldef "Cap" as "Cap";
  latexdef "Cap" as "\mathrm{Cap}";
htmldef "Succ" as "Succ";
  althtmldef "Succ" as "Succ";
  latexdef "Succ" as "\mathrm{Succ}";
htmldef "Funpart" as "Funpart";
  althtmldef "Funpart" as "Funpart";
  latexdef "Funpart" as "\mathrm{Funpart}";
htmldef "FullFun" as "FullFun";
  althtmldef "FullFun" as "FullFun";
  latexdef "FullFun" as "\mathrm{FullFun}";
htmldef "Restrict" as "Restrict";
  althtmldef "Restrict" as "Restrict";
  latexdef "Restrict" as "\mathrm{Restrict}";
htmldef "LB" as "LB";
  althtmldef "LB" as "LB";
  latexdef "LB" as "\mathrm{LB}";
htmldef "UB" as "UB";
  althtmldef "UB" as "UB";
  latexdef "UB" as "\mathrm{UB}";
htmldef "<<" as
  "<IMG SRC='llangle.gif' WIDTH=6 HEIGHT=19 ALT=' &lt;&lt;' TITLE='&lt;&lt;'>";
  althtmldef "<<" as "&#10218;";
  latexdef "<<" as "\langle\langle";
htmldef ">>" as
  "<IMG SRC='rrangle.gif' WIDTH=6 HEIGHT=19 ALT=' &gt;&gt;' TITLE='&gt;&gt;'>";
  althtmldef ">>" as "&#10219;";
  latexdef ">>" as "\rangle\rangle";
htmldef "XX." as
    " <IMG SRC='_ttimes.gif' WIDTH=18 HEIGHT=19 ALT=' XX.' TITLE='XX.'> ";
  althtmldef "XX." as ' &times;&times; ';
  latexdef "XX." as "\times\times";
htmldef "EE" as "<IMG SRC='bbe.gif' WIDTH=11 HEIGHT=19 ALT=' EE' TITLE='EE'>";
  althtmldef "EE" as "&#x1D53C";
/*
htmldef "EE" as "<FONT FACE=sans-serif>&Eopf;</FONT>";
  althtmldef "EE" as "<FONT FACE=sans-serif>&#x1D53C</FONT>";
*/
  latexdef "EE" as "\mathbb{E}";
htmldef "Btwn" as
    " <IMG SRC='_btwn.gif' WIDTH=35 HEIGHT=19 ALT=' Btwn' TITLE='Btwn'> ";
  althtmldef "Btwn" as " Btwn ";
  latexdef "Btwn" as "\mathrm{Btwn}";
htmldef "Cgr" as "Cgr";
  althtmldef "Cgr" as "Cgr";
  latexdef "Cgr" as "\mathrm{Cgr}";
htmldef "OuterFiveSeg" as " <IMG SRC='_outerfiveseg.gif' WIDTH=89 HEIGHT=19 " +
    "ALT=' OuterFiveSeg' TITLE='OuterFiveSeg'> ";
  althtmldef "OuterFiveSeg" as " OuterFiveSeg ";
  latexdef "OuterFiveSeg" as "\mathrm{OuterFiveSeg}";
htmldef "TransportTo" as "TransportTo";
  althtmldef "TransportTo" as "TransportTo";
  latexdef "TransportTo" as "\mathbin{\operatorname{TransportTo}}";
htmldef "InnerFiveSeg" as " <IMG SRC='_innerfiveseg.gif' WIDTH=84 HEIGHT=19 " +
    "ALT=' InnerFiveSeg' TITLE='InnerFiveSeg'> ";
  althtmldef "InnerFiveSeg" as " InnerFiveSeg ";
  latexdef "InnerFiveSeg" as "\mathrm{InnerFiveSeg}";
htmldef "Cgr3" as "Cgr3";
  althtmldef "Cgr3" as "Cgr3";
  latexdef "Cgr3" as "\mathrm{Cgr3}";
htmldef "Colinear" as " <IMG SRC='_colinear.gif' WIDTH=54 HEIGHT=19 " +
    "ALT=' Colinear' TITLE='Colinear'> ";
  althtmldef "Colinear" as " Colinear ";
  latexdef "Colinear" as "\mathrm{Colinear}";
htmldef "FiveSeg" as " <IMG SRC='_fiveseg.gif' WIDTH=51 HEIGHT=19 " +
    "ALT=' FiveSeg' TITLE='FiveSeg'> ";
  althtmldef "FiveSeg" as " FiveSeg ";
  latexdef "FiveSeg" as "\mathrm{FiveSeg}";
/*
htmldef "==3" as
    " <IMG SRC='equiv.gif' WIDTH=12 HEIGHT=19 ALT=' ==' TITLE='=='>" +
    "<IMG SRC='sub3.gif' WIDTH=6 HEIGHT=19 ALT='3' TITLE='3'> ";
  althtmldef "==3" as " &#x2261;&#x2083; ";
  latexdef "==3" as "\equiv_3";
*/
htmldef "Seg<_" as " <IMG SRC='_segle.gif' WIDTH=30 HEIGHT=19 " +
    "ALT=' Seg&lt;_' TITLE='Seg&lt;_'> ";
  althtmldef "Seg<_" as " Seg<SUB>&le;</SUB> ";
  latexdef "Seg<_" as "\mathrm{Seg}_\le";
htmldef "OutsideOf" as "OutsideOf";
  althtmldef "OutsideOf" as "OutsideOf";
  latexdef "OutsideOf" as "\mathrm{OutsideOf}";
htmldef "Line" as "Line";
  althtmldef "Line" as "Line";
  latexdef "Line" as "\mathrm{Line}";
htmldef "LinesEE" as "LinesEE";
  althtmldef "LinesEE" as "LinesEE";
  latexdef "LinesEE" as "\mathrm{LinesEE}";
htmldef "Ray" as "Ray";
  althtmldef "Ray" as "Ray";
  latexdef "Ray" as "\mathrm{Ray}";
htmldef "BernPoly" as " BernPoly ";
  althtmldef "BernPoly" as " BernPoly ";
  latexdef "BernPoly" as "\mathrm{BernPoly}";

htmldef "Hf" as " Hf ";
  althtmldef "Hf" as " Hf ";
  latexdef "Hf" as "\mathrm{Hf}";

htmldef "prod_" as "<IMG SRC='prod.gif' WIDTH=12 HEIGHT=19 " +
    "ALT=' prod_' TITLE='prod_'>";
  althtmldef "prod_" as "&#x220F";
  latexdef "prod_" as "\prod";

htmldef "FallFac" as " FallFac ";
  althtmldef "FallFac" as " FallFac ";
  latexdef "FallFac" as "\mathrm{FallFac}";

htmldef "RiseFac" as " RiseFac ";
  althtmldef "RiseFac" as " RiseFac ";
  latexdef "RiseFac" as "\mathrm{RiseFac}";

htmldef "_/_\" as
    " <IMG SRC='bigtriangleup.gif' WIDTH=13 HEIGHT=19" +
    " ALT=' _/_\' TITLE='_/_\'> ";
  althtmldef "_/_\" as " &#x25b3; ";
  latexdef "_/_\" as "\triangle";

htmldef "_/_\^n" as
    " <IMG SRC='bigtriangleup.gif' WIDTH=13 HEIGHT=19" +
    " ALT=' _/_\^n' TITLE='_/_\^n'><SUPER>n</SUPER> ";
  althtmldef "_/_\^n" as " &#x25b3;<SUPER>n</SUPER> ";
  latexdef "_/_\^n" as "\triangle^\mathrm{n}";
/* End of Scott Fenton's mathbox */

/* Mathbox of Jeff Hankins */
/* End of Jeff Madsen's mathbox */

/* Mathbox of Anthony Hart */
/* End of Anthony Hart's mathbox */

/* Mathbox of Jeff Hoffman */
htmldef "gcdOLD" as
    "<IMG SRC='_gcd.gif' WIDTH=23 HEIGHT=19 ALT=' gcd' TITLE='gcd'>" +
    "<IMG SRC='_old.gif' WIDTH=23 HEIGHT=19 ALT='OLD' TITLE='OLD'>";
  althtmldef "gcdOLD" as " gcd<SUB>OLD</SUB> ";
  latexdef "gcdOLD" as "\operatorname{gcd_{OLD}}";
/* End of Jeff Hoffman's mathbox */

/* Mathbox of Jeff Madsen */
htmldef "Fne" as
    "<IMG SRC='_fne.gif' WIDTH=24 HEIGHT=19 ALT=' Fne' TITLE='Fne'>";
  althtmldef "Fne" as "Fne";
  latexdef "Fne" as "\mathrm{Fne}";
htmldef "Ref" as
    "<IMG SRC='_ref.gif' WIDTH=23 HEIGHT=19 ALT=' Ref' TITLE='Ref'>";
  althtmldef "Ref" as "Ref";
  latexdef "Ref" as "\mathrm{Ref}";
htmldef "PtFin" as
    "<IMG SRC='_ptfin.gif' WIDTH=36 HEIGHT=19 ALT=' PtFin' TITLE='PtFin'>";
  althtmldef "PtFin" as "PtFin";
  latexdef "PtFin" as "\mathrm{PtFin}";
htmldef "LocFin" as
    "<IMG SRC='_locfin.gif' WIDTH=44 HEIGHT=19 ALT=' LocFin' TITLE='LocFin'>";
  althtmldef "LocFin" as "LocFin";
  latexdef "LocFin" as "\mathrm{LocFin}";
htmldef "TotBnd" as
    "<IMG SRC='_totbnd.gif' WIDTH=46 HEIGHT=19 ALT=' TotBnd' TITLE='TotBnd'>";
  althtmldef "TotBnd" as "TotBnd";
  latexdef "TotBnd" as "\mathrm{TotBnd}";
htmldef "Bnd" as
    "<IMG SRC='_bnd.gif' WIDTH=25 HEIGHT=19 ALT=' Bnd' TITLE='Bnd'>";
  althtmldef "Bnd" as "Bnd";
  latexdef "Bnd" as "\mathrm{Bnd}";
htmldef "Ismty" as
    " <IMG SRC='_ismty.gif' WIDTH=36 HEIGHT=19 ALT=' Ismty' TITLE='Ismty'> ";
  althtmldef "Ismty" as " Ismty ";
  latexdef "Ismty" as "\mathrm{Ismty}";
htmldef "Rn" as
    "<IMG SRC='_bbrn.gif' WIDTH=19 HEIGHT=19 ALT=' Rn' TITLE='Rn'>";
  althtmldef "Rn" as "&#8477;<I><SUP>n</SUP></I>";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "Rn" as "\mathbb{R}^n";
htmldef "RngHom" as
   " <IMG SRC='_rnghom.gif' WIDTH=55 HEIGHT=19 ALT=' RngHom' TITLE='RngHom'> ";
  althtmldef "RngHom" as " RngHom ";
  latexdef "RngHom" as "\mathrm{RngHom}";
htmldef "RngIso" as
   " <IMG SRC='_rngiso.gif' WIDTH=43 HEIGHT=19 ALT=' RngIso' TITLE='RngIso'> ";
  althtmldef "RngIso" as " RngIso ";
  latexdef "RngIso" as "\mathrm{RngIso}";
htmldef "~=R" as
    " <IMG SRC='_simeqr.gif' WIDTH=18 HEIGHT=19 ALT=' ~=R' TITLE='~=R'> ";
  althtmldef "~=R" as " &#8771;<SUB>&#x1D45F;</SUB> ";
  latexdef "~=R" as "\simeq_r";
htmldef "CRingOps" as "CRingOps";
  althtmldef "CRingOps" as "CRingOps";
  latexdef "CRingOps" as "\mathrm{CRingOps}";
htmldef "Idl" as
    "<IMG SRC='_idl.gif' WIDTH=16 HEIGHT=19 ALT=' Idl' TITLE='Idl'>";
  althtmldef "Idl" as "Idl";
  latexdef "Idl" as "\mathrm{Idl}";
htmldef "PrIdl" as
    "<IMG SRC='_pridl.gif' WIDTH=31 HEIGHT=19 ALT=' PrIdl' TITLE='PrIdl'>";
  althtmldef "PrIdl" as "PrIdl";
  latexdef "PrIdl" as "\mathrm{PrIdl}";
htmldef "MaxIdl" as
    "<IMG SRC='_maxidl.gif' WIDTH=44 HEIGHT=19 ALT=' MaxIdl' TITLE='MaxIdl'>";
  althtmldef "MaxIdl" as "MaxIdl";
  latexdef "MaxIdl" as "\mathrm{MaxIdl}";
htmldef "PrRing" as
    "<IMG SRC='_prring.gif' WIDTH=45 HEIGHT=19 ALT=' PrRing' TITLE='PrRing'>";
  althtmldef "PrRing" as "PrRing";
  latexdef "PrRing" as "\mathrm{PrRing}";
htmldef "Dmn" as
    "<IMG SRC='_dmn.gif' WIDTH=30 HEIGHT=19 ALT=' Dmn' TITLE='Dmn'>";
  althtmldef "Dmn" as "Dmn";
  latexdef "Dmn" as "\mathrm{Dmn}";
htmldef "IdlGen" as
   " <IMG SRC='_idlgen.gif' WIDTH=42 HEIGHT=19 ALT=' IdlGen' TITLE='IdlGen'> ";
  althtmldef "IdlGen" as " IdlGen ";
  latexdef "IdlGen" as "\mathrm{IdlGen}";
/* End of Jeff Madsen's mathbox */

/* Mathbox of Peter Mazsa */
htmldef "|X." as
    " <IMG SRC='ltimes.gif' WIDTH=10 HEIGHT=19 ALT=' |X.' TITLE='|X.'> ";
  althtmldef "|X." as " &#x22C9; ";
  latexdef "|X." as "\ltimes";
htmldef ",~" as
    " <IMG SRC='wr.gif' WIDTH=5 HEIGHT=19 ALT=' ,~' TITLE=',~'> ";
  althtmldef ",~" as ' &#8768; ';
  latexdef ",~" as "\wr";
htmldef "~" as
    " <IMG SRC='sim.gif' WIDTH=13 HEIGHT=19 ALT=' ~' TITLE='~'> ";
  althtmldef "~" as ' &#8764; ';
  latexdef "~" as "\sim";
htmldef "Rels" as ' Rels ';
  althtmldef "Rels" as ' Rels ';
  latexdef "Rels" as "\mathrm{Rels}";
htmldef "_S" as
    " <IMG SRC='rmcs.gif' WIDTH=4 HEIGHT=19 ALT=' _S' TITLE='_S'> ";
  althtmldef "_S" as ' S ';
  latexdef "_S" as "\mathrm{S}";
htmldef "Refs" as ' Refs ';
  althtmldef "Refs" as ' Refs ';
  latexdef "Refs" as "\mathrm{Refs}";
htmldef "RefRels" as ' RefRels ';
  althtmldef "RefRels" as ' RefRels ';
  latexdef "RefRels" as "\mathrm{RefRels}";
htmldef "RefRel" as ' RefRel ';
  althtmldef "RefRel" as ' RefRel ';
  latexdef "RefRel" as "\mathrm{RefRel}";
htmldef "CnvRefs" as ' CnvRefs ';
  althtmldef "CnvRefs" as ' CnvRefs ';
  latexdef "CnvRefs" as "\mathrm{CnvRefs}";
htmldef "CnvRefRels" as ' CnvRefRels ';
  althtmldef "CnvRefRels" as ' CnvRefRels ';
  latexdef "CnvRefRels" as "\mathrm{CnvRefRels}";
htmldef "CnvRefRel" as ' CnvRefRel ';
  althtmldef "CnvRefRel" as ' CnvRefRel ';
  latexdef "CnvRefRel" as "\mathrm{CnvRefRel}";
htmldef "Syms" as ' Syms ';
  althtmldef "Syms" as ' Syms ';
  latexdef "Syms" as "\mathrm{Syms}";
htmldef "SymRels" as ' SymRels ';
  althtmldef "SymRels" as ' SymRels ';
  latexdef "SymRels" as "\mathrm{SymRels}";
htmldef "SymRel" as ' SymRel ';
  althtmldef "SymRel" as ' SymRel ';
  latexdef "SymRel" as "\mathrm{SymRel}";
htmldef "Trs" as ' Trs ';
  althtmldef "Trs" as ' Trs ';
  latexdef "Trs" as "\mathrm{Trs}";
htmldef "TrRels" as ' TrRels ';
  althtmldef "TrRels" as ' TrRels ';
  latexdef "TrRels" as "\mathrm{TrRels}";
htmldef "TrRel" as ' TrRel ';
  althtmldef "TrRel" as ' TrRel ';
  latexdef "TrRel" as "\mathrm{TrRel}";
htmldef "EqvRels" as ' EqvRels ';
  althtmldef "EqvRels" as ' EqvRels ';
  latexdef "EqvRels" as "\mathrm{EqvRels}";
htmldef "EqvRel" as ' EqvRel ';
  althtmldef "EqvRel" as ' EqvRel ';
  latexdef "EqvRel" as "\mathrm{EqvRel}";
htmldef "CoElEqvRels" as ' CoElEqvRels ';
  althtmldef "CoElEqvRels" as ' CoElEqvRels ';
  latexdef "CoElEqvRels" as "\mathrm{CoElEqvRels}";
htmldef "CoElEqvRel" as ' CoElEqvRel ';
  althtmldef "CoElEqvRel" as ' CoElEqvRel ';
  latexdef "CoElEqvRel" as "\mathrm{CoElEqvRel}";
htmldef "Redunds" as ' Redunds ';
  althtmldef "Redunds" as ' Redunds ';
  latexdef "Redunds" as "\mathrm{Redunds}";
htmldef "Redund" as ' Redund ';
  althtmldef "Redund" as ' Redund ';
  latexdef "Redund" as "\mathrm{Redund}";
htmldef "redund" as ' redund ';
  althtmldef "redund" as ' redund ';
  latexdef "redund" as "\mathrm{redund}";
htmldef "DomainQss" as ' DomainQss ';
  althtmldef "DomainQss" as ' DomainQss ';
  latexdef "DomainQss" as "\mathrm{DomainQss}";
htmldef "DomainQs" as ' DomainQs ';
  althtmldef "DomainQs" as ' DomainQs ';
  latexdef "DomainQs" as "\mathrm{DomainQs}";
htmldef "Ers" as ' Ers ';
  althtmldef "Ers" as ' Ers ';
  latexdef "Ers" as "\mathrm{Ers}";
htmldef "ErALTV" as ' ErALTV ';
  althtmldef "ErALTV" as ' ErALTV ';
  latexdef "ErALTV" as "\mathrm{ErALTV}";
htmldef "MembErs" as ' MembErs ';
  althtmldef "MembErs" as ' MembErs ';
  latexdef "MembErs" as "\mathrm{MembErs}";
htmldef "MembEr" as ' MembEr ';
  althtmldef "MembEr" as ' MembEr ';
  latexdef "MembEr" as "\mathrm{MembEr}";
htmldef "Funss" as ' Funss ';
  althtmldef "Funss" as ' Funss ';
  latexdef "Funss" as "\mathrm{Funss}";
htmldef "FunsALTV" as ' FunsALTV ';
  althtmldef "FunsALTV" as ' FunsALTV ';
  latexdef "FunsALTV" as "\mathrm{FunsALTV}";
htmldef "FunALTV" as ' FunALTV ';
  althtmldef "FunALTV" as ' FunALTV ';
  latexdef "FunALTV" as "\mathrm{FunALTV}";
htmldef "Disjss" as ' Disjss ';
  althtmldef "Disjss" as ' Disjss ';
  latexdef "Disjss" as "\mathrm{Disjss}";
htmldef "Disjs" as ' Disjs ';
  althtmldef "Disjs" as ' Disjs ';
  latexdef "Disjs" as "\mathrm{Disjs}";
htmldef "Disj" as ' Disj ';
  althtmldef "Disj" as ' Disj ';
  latexdef "Disj" as "\mathrm{Disj}";
htmldef "ElDisjs" as ' ElDisjs ';
  althtmldef "ElDisjs" as ' ElDisjs ';
  latexdef "ElDisjs" as "\mathrm{ElDisjs}";
htmldef "ElDisj" as ' ElDisj ';
  althtmldef "ElDisj" as ' ElDisj ';
  latexdef "ElDisj" as "\mathrm{ElDisj}";
/* End of Peter Mazsa's mathbox */

/* Mathbox of Rodolfo Medina */
htmldef "Prt" as
    "<IMG SRC='_prt.gif' WIDTH=21 HEIGHT=19 ALT=' Prt' TITLE='Prt'> ";
  althtmldef "Prt" as "Prt ";
  latexdef "Prt" as "\mathrm{Prt}";
/* End of Rodolfo Medina's mathbox */

/* Mathbox of Steven Nguyen */
htmldef "-R" as
    " <IMG SRC='minus.gif' WIDTH=11 HEIGHT=19 ALT=' -' TITLE='-'><SUB>" +
    "<IMG SRC='bbr.gif' WIDTH=9 HEIGHT=14 ALT='RR' TITLE='RR'></SUB>&#x200A;";
  althtmldef "-R" as " &minus;<SUB>&#8477;</SUB> ";
  latexdef "-R" as "-\mathbb{R}";
htmldef "PrjSp" as
    "<IMG SRC='bbp.gif' WIDTH=11 HEIGHT=19 ALT=' P' TITLE='P'>roj";
  althtmldef "PrjSp" as "&#8473;&#x1D563;&#x1D560;&#x1D55B;";
  latexdef "PrjSp" as "\operatorname{\mathbb{P}\mathrm{roj}}";
htmldef "PrjSpn" as
    "<IMG SRC='bbp.gif' WIDTH=11 HEIGHT=19 ALT=' P' TITLE='P'>roj" +
    "<SUB>n</SUB>";
  althtmldef "PrjSpn" as "&#8473;&#x1D563;&#x1D560;&#x1D55B;<SUB>n</SUB>";
  latexdef "PrjSpn" as "\operatorname{\mathbb{P}\mathrm{roj}_\mathrm{n}}";
/* End of Steven Nguyen's mathbox */

/* Mathbox of Stefan O'Rear */
htmldef "NoeACS" as "NoeACS";
  althtmldef "NoeACS" as "NoeACS";
  latexdef "NoeACS" as "\mathrm{NoeACS}";
htmldef "mzPolyCld" as "mzPolyCld";
  althtmldef "mzPolyCld" as "mzPolyCld";
  latexdef "mzPolyCld" as "\mathrm{mzPolyCld}";
htmldef "mzPoly" as "mzPoly";
  althtmldef "mzPoly" as "mzPoly";
  latexdef "mzPoly" as "\mathrm{mzPoly}";
htmldef "Dioph" as "Dioph";
  althtmldef "Dioph" as "Dioph";
  latexdef "Dioph" as "\mathrm{Dioph}";
htmldef "numer" as "numer";
  althtmldef "numer" as "numer";
  latexdef "numer" as "\mathrm{numer}";
htmldef "denom" as "denom";
  althtmldef "denom" as "denom";
  latexdef "denom" as "\mathrm{denom}";
htmldef "Pell1QR" as "Pell1QR";
  althtmldef "Pell1QR" as "Pell1QR";
  latexdef "Pell1QR" as "\mathrm{Pell1QR}";
htmldef "Pell14QR" as "Pell14QR";
  althtmldef "Pell14QR" as "Pell14QR";
  latexdef "Pell14QR" as "\mathrm{Pell14QR}";
htmldef "Pell1234QR" as "Pell1234QR";
  althtmldef "Pell1234QR" as "Pell1234QR";
  latexdef "Pell1234QR" as "\mathrm{Pell1234QR}";
htmldef "PellFund" as "PellFund";
  althtmldef "PellFund" as "PellFund";
  latexdef "PellFund" as "\mathrm{PellFund}";
htmldef "[]NN" as "&#x25FB;<SUB><I>NN</I></SUB>";
  althtmldef "[]NN" as "&#x25FB;<SUB><I>NN</I></SUB>";
  latexdef "[]NN" as "\mathrm{[]NN}";
htmldef "rmX" as " X<SUB>rm</SUB> ";
  althtmldef "rmX" as " X<SUB>rm</SUB> ";
  latexdef "rmX" as "\mathrm{rmX}";
htmldef "rmY" as " Y<SUB>rm</SUB> ";
  althtmldef "rmY" as " Y<SUB>rm</SUB> ";
  latexdef "rmY" as "\mathrm{rmY}";
htmldef "LFinGen" as "LFinGen";
  althtmldef "LFinGen" as "LFinGen";
  latexdef "LFinGen" as "\mathrm{LFinGen}";
htmldef "LNoeM" as "LNoeM";
  althtmldef "LNoeM" as "LNoeM";
  latexdef "LNoeM" as "\mathrm{LNoeM}";
htmldef "LIndF" as " LIndF ";
  althtmldef "LIndF" as " LIndF ";
  latexdef "LIndF" as " \mathrm{LIndF} ";
htmldef "LIndS" as "LIndS";
  althtmldef "LIndS" as "LIndS";
  latexdef "LIndS" as "\mathrm{LIndS}";
htmldef "LNoeR" as "LNoeR";
  althtmldef "LNoeR" as "LNoeR";
  latexdef "LNoeR" as "\mathrm{LNoeR}";
htmldef "ldgIdlSeq" as "ldgIdlSeq";
  althtmldef "ldgIdlSeq" as "ldgIdlSeq";
  latexdef "ldgIdlSeq" as "\mathrm{ldgIdlSeq}";
htmldef "Monic" as
    " <IMG SRC='_monic.gif' WIDTH=38 HEIGHT=19 ALT=' Monic' TITLE='Monic'> ";
  althtmldef "Monic" as " Monic ";
  latexdef "Monic" as "\mathrm{Monic}";
htmldef "Poly<" as " Poly<sub>&lt;</sub> ";
  althtmldef "Poly<" as " Poly<sub>&lt;</sub> ";
  latexdef "Poly<" as "\mathrm{Poly<}";
htmldef "degAA" as "deg<SUB>AA</SUB>";
  althtmldef "degAA" as "deg<SUB>AA</SUB>";
  latexdef "degAA" as "\mathrm{degAA}";
htmldef "minPolyAA" as "minPolyAA";
  althtmldef "minPolyAA" as "minPolyAA";
  latexdef "minPolyAA" as "\mathrm{minPolyAA}";
htmldef "_ZZ" as "<SPAN STYLE='text-decoration: overline;'>&#8484;</SPAN>";
    /* 2-Jan-2016 reverted sans-serif */
  althtmldef "_ZZ" as
                 "<SPAN STYLE='text-decoration: overline;'>&#8484;</SPAN>";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "_ZZ" as "\mathrm{_ZZ}";
htmldef "IntgOver" as "IntgOver";
  althtmldef "IntgOver" as "IntgOver";
  latexdef "IntgOver" as "\mathrm{IntgOver}";
htmldef "MEndo" as "MEndo";
  althtmldef "MEndo" as "MEndo";
  latexdef "MEndo" as "\mathrm{MEndo}";
htmldef "SubDRing" as "SubDRing";
  althtmldef "SubDRing" as "SubDRing";
  latexdef "SubDRing" as "\mathrm{SubDRing}";
htmldef "Cntr" as "Cntr";
  althtmldef "Cntr" as "Cntr";
  latexdef "Cntr" as "\mathrm{Cntr}";
htmldef "Cntz" as "Cntz";
  althtmldef "Cntz" as "Cntz";
  latexdef "Cntz" as "\mathrm{Cntz}";
htmldef "CytP" as "CytP";
  althtmldef "CytP" as "CytP";
  latexdef "CytP" as "\mathrm{CytP}";
htmldef "TopSep" as "TopSep";
  althtmldef "TopSep" as "TopSep";
  latexdef "TopSep" as "\mathrm{TopSep}";
htmldef "TopLnd" as "TopLnd";
  althtmldef "TopLnd" as "TopLnd";
  latexdef "TopLnd" as "\mathrm{TopLnd}";
/* End of Stefan O'Rear's mathbox */

/* Mathbox of Rohan Ridenour */
htmldef "Scott" as "Scott ";
  althtmldef "Scott" as "Scott ";
  latexdef "Scott" as "\mathrm{Scott}";
htmldef "Coll" as " Coll ";
  althtmldef "Coll" as " Coll ";
  latexdef "Coll" as "\mathrm{Coll}";
htmldef "SimpGrp" as "SimpGrp";
  althtmldef "SimpGrp" as "SimpGrp";
  latexdef "SimpGrp" as "\mathrm{SimpGrp}";
htmldef "MndRing" as " MndRing ";
  althtmldef "MndRing" as " MndRing ";
  latexdef "MndRing" as "\mathrm{MndRing}";
/* End of Rohan Ridenour's mathbox */

/* Mathbox of Steve Rodriguez */
htmldef "_Cc" as "C<SUB>&#x1D450;</SUB>";
  althtmldef "_Cc" as "C<SUB>&#x1D450;</SUB>";
  latexdef "_Cc" as "\mathrm{C}_c";
/* End of Steve Rodriguez's mathbox */

/* Mathbox of Andrew Salmon */
/* geometry proposal */
htmldef "+r" as "<IMG SRC='plus.gif' WIDTH=13 HEIGHT=19 ALT=' +' TITLE='+'>" +
    "<IMG SRC='subr.gif' WIDTH=5 HEIGHT=19 ALT='r' TITLE='r'>";
  althtmldef "+r" as "+<SUB>&#x1D45F;</SUB>";
  latexdef "+r" as "+_r";
htmldef "-r" as
    "<IMG SRC='minus.gif' WIDTH=11 HEIGHT=19 ALT=' -' TITLE='-'>" +
    "<IMG SRC='subr.gif' WIDTH=5 HEIGHT=19 ALT='r' TITLE='r'>";
  althtmldef "-r" as "-<SUB>&#x1D45F;</SUB>";
  latexdef "-r" as "-_r";
htmldef ".v" as "<IMG SRC='cdot.gif' WIDTH=4 HEIGHT=19 ALT=' .' TITLE='.'>" +
    "<IMG SRC='subv.gif' WIDTH=6 HEIGHT=19 ALT='v' TITLE='v'>";
  althtmldef ".v" as ".<SUB>&#x1D463;</SUB>";
  latexdef ".v" as "._v";
htmldef "PtDf" as
    "<IMG SRC='_ptdf.gif' WIDTH=31 HEIGHT=19 ALT=' PtDf' TITLE='PtDf'>";
  althtmldef "PtDf" as "PtDf";
  latexdef "PtDf" as "\mathrm{PtDf}";
htmldef "RR3" as
    "<IMG SRC='bbr.gif' WIDTH=13 HEIGHT=19 ALT=' RR' TITLE='RR'>" +
    "<IMG SRC='sup3.gif' WIDTH=6 HEIGHT=19 ALT='3' TITLE='3'>";
  althtmldef "RR3" as "RR3";
  latexdef "RR3" as "\mathrm{RR3}";
/*
htmldef "plane3" as
    "<IMG SRC='_plane.gif' WIDTH=35 HEIGHT=19 ALT=' plane' TITLE='plane'>" +
    "<IMG SRC='sup3.gif' WIDTH=6 HEIGHT=19 ALT='3' TITLE='3'>";
  althtmldef "plane3" as "plane3";
  latexdef "plane3" as "\mathrm{plane3}";
*/
htmldef "line3" as
    "<IMG SRC='_line.gif' WIDTH=23 HEIGHT=19 ALT=' line' TITLE='line'>" +
    "<IMG SRC='sup3.gif' WIDTH=6 HEIGHT=19 ALT='3' TITLE='3'>";
  althtmldef "line3" as "line3";
  latexdef "line3" as "\mathrm{line3}";
/* End of Andrew Salmon's mathbox */

/* Mathbox of Jarvin Udandy */
htmldef "jph" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jph</I></SPAN>';
  althtmldef "jph" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jph</I></SPAN>';
  latexdef "jph" as "\mathrm{jph}";
htmldef "jps" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jps</I></SPAN>';
  althtmldef "jps" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jps</I></SPAN>';
  latexdef "jps" as "\mathrm{jps}";
htmldef "jch" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jch</I></SPAN>';
  althtmldef "jch" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jch</I></SPAN>';
  latexdef "jch" as "\mathrm{jch}";
htmldef "jth" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jth</I></SPAN>';
  althtmldef "jth" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jth</I></SPAN>';
  latexdef "jth" as "\mathrm{jth}";
htmldef "jta" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jta</I></SPAN>';
  althtmldef "jta" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jta</I></SPAN>';
  latexdef "jta" as "\mathrm{jta}";
htmldef "jet" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jet</I></SPAN>';
  althtmldef "jet" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jet</I></SPAN>';
  latexdef "jet" as "\mathrm{jet}";
htmldef "jze" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jze</I></SPAN>';
  althtmldef "jze" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jze</I></SPAN>';
  latexdef "jze" as "\mathrm{jze}";
htmldef "jsi" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jps</I></SPAN>';
  althtmldef "jsi" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jps</I></SPAN>';
  latexdef "jsi" as "\mathrm{jsi}";
htmldef "jrh" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jrh</I></SPAN>';
  althtmldef "jrh" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jrh</I></SPAN>';
  latexdef "jrh" as "\mathrm{jrh}";
htmldef "jmu" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jmu</I></SPAN>';
  althtmldef "jmu" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jmu</I></SPAN>';
  latexdef "jmu" as "\mathrm{jmu}";
htmldef "jla" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jla</I></SPAN>';
  althtmldef "jla" as
    '<SPAN CLASS=wff STYLE="color:blue"><I>jla</I></SPAN>';
  latexdef "jla" as "\mathrm{jla}";
/* End of Jarvin Udandy's mathbox */

/* Mathbox of Alexander van der Vekens */
htmldef "iota'" as 'iota&#39';
 althtmldef "iota'" as '&#8489;&#39';
 latexdef "iota'" as "\text\riota'";
htmldef "defAt" as ' defAt ';
 althtmldef "defAt" as ' defAt ';
 latexdef "defAt" as "\mathrm{defAt}";
htmldef "'''" as '&#39&#39&#39';
 althtmldef "'''" as '&#39&#39&#39';
 latexdef "'''" as "'''";
htmldef "''''" as '&#39&#39&#39&#39';
 althtmldef "''''" as '&#39&#39&#39&#39';
 latexdef "''''" as "''''";
htmldef "((" as ' ((';
 althtmldef "((" as ' ((';
 latexdef "((" as " ((";
htmldef "))" as ')) ';
 althtmldef "))" as ')) ';
 latexdef "))" as ")) ";
htmldef "e//" as
    " _<IMG SRC='notin.gif' WIDTH=10 HEIGHT=19 ALT=' e//' TITLE='e//'> ";
  althtmldef "e//" as ' _&notin; ';
 latexdef "e//" as "\notin";
htmldef "RePart" as 'RePart';
 althtmldef "RePart" as 'RePart';
 latexdef "RePart" as "\mathrm{RePart}";
htmldef "FermatNo" as 'FermatNo';
 althtmldef "FermatNo" as 'FermatNo';
 latexdef "FermatNo" as "\mathrm{FermatNo}";
htmldef "Even" as ' Even ';
 althtmldef "Even" as ' Even ';
 latexdef "Even" as "\mathrm{Even}";
htmldef "Odd" as ' Odd ';
 althtmldef "Odd" as ' Odd ';
 latexdef "Odd" as "\mathrm{Odd}";
htmldef "FPPr" as ' FPPr ';
 althtmldef "FPPr" as ' FPPr ';
 latexdef "FPPr" as "\mathrm{FPPr}";
htmldef "GoldbachEven" as ' GoldbachEven ';
 althtmldef "GoldbachEven" as ' GoldbachEven ';
 latexdef "GoldbachEven" as "\mathrm{GoldbachEven}";
htmldef "GoldbachOddW" as ' GoldbachOddW ';
 althtmldef "GoldbachOddW" as ' GoldbachOddW ';
 latexdef "GoldbachOddW" as "\mathrm{GoldbachOddW}";
htmldef "GoldbachOdd" as ' GoldbachOdd ';
 althtmldef "GoldbachOdd" as ' GoldbachOdd ';
 latexdef "GoldbachOdd" as "\mathrm{GoldbachOdd}";
htmldef "prefix" as ' prefix ';
 althtmldef "prefix" as ' prefix ';
 latexdef "prefix" as "\mathbin{\operatorname{prefix}}";
/* Graph theory (revised) */
htmldef "IsomGr" as " IsomGr ";
 althtmldef "IsomGr" as " IsomGr ";
 latexdef "IsomGr" as "\mathrm{IsomGr}";
htmldef "GrIsom" as " GrIsom ";
 althtmldef "GrIsom" as " GrIsom ";
 latexdef "GrIsom" as "\mathrm{GrIsom}";
htmldef "UPWalks" as "UPWalks";
 althtmldef "UPWalks" as "UPWalks";
 latexdef "UPWalks" as "\mathrm{UPWalks}";
/* Set of unordered pairs */
htmldef "<>" as '<>';
  althtmldef "<>" as "&#8644;";
  latexdef "<>" as "<>";
htmldef "Pairs" as 'Pairs';
 althtmldef "Pairs" as 'Pairs';
 latexdef "Pairs" as "\mathrm{Pairs}";
htmldef "PrPairs" as 'PrPairs';
 althtmldef "PrPairs" as 'Pairs<sub>proper</sub>';
 latexdef "PrPairs" as "\mathrm{Pairs}_proper";
/* Monoids (extension)  */
htmldef "MgmHom" as ' MgmHom ';
 althtmldef "MgmHom" as ' MgmHom ';
 latexdef "MgmHom" as "\mathrm{MgmHom}";
htmldef "SubMgm" as 'SubMgm';
 althtmldef "SubMgm" as 'SubMgm';
 latexdef "SubMgm" as "\mathrm{SubMgm}";
htmldef "EndoFMnd" as 'EndoFMnd';
 althtmldef "EndoFMnd" as 'EndoFMnd';
 latexdef "EndoFMnd" as "\mathrm{EndoFMnd}";
htmldef "clLaw" as ' clLaw ';
 althtmldef "clLaw" as ' clLaw ';
 latexdef "clLaw" as "\mathrm{clLaw}";
htmldef "assLaw" as ' assLaw ';
 althtmldef "assLaw" as ' assLaw ';
 latexdef "assLaw" as "\mathrm{assLaw}";
htmldef "comLaw" as ' comLaw ';
 althtmldef "comLaw" as ' comLaw ';
 latexdef "comLaw" as "\mathrm{comLaw}";
htmldef "intOp" as ' intOp ';
 althtmldef "intOp" as ' intOp ';
 latexdef "intOp" as "\mathrm{intOp}";
htmldef "clIntOp" as ' clIntOp ';
 althtmldef "clIntOp" as ' clIntOp ';
 latexdef "clIntOp" as "\mathrm{clIntOp}";
htmldef "assIntOp" as ' assIntOp ';
 althtmldef "assIntOp" as ' assIntOp ';
 latexdef "assIntOp" as "\mathrm{assIntOp}";
htmldef "MgmALT" as 'MgmALT';
 althtmldef "MgmALT" as 'MgmALT';
 latexdef "MgmALT" as "\mathrm{MgmALT}";
htmldef "CMgmALT" as 'CMgmALT';
 althtmldef "CMgmALT" as 'CMgmALT';
 latexdef "CMgmALT" as "\mathrm{CMgmALT}";
htmldef "SGrpALT" as 'SGrpALT';
 althtmldef "SGrpALT" as 'SGrpALT';
 latexdef "SGrpALT" as "\mathrm{SGrpALT}";
htmldef "CSGrpALT" as 'CSGrpALT';
 althtmldef "CSGrpALT" as 'CSGrpALT';
 latexdef "CSGrpALT" as "\mathrm{CSGrpALT}";
htmldef "Rng" as 'Rng';
 althtmldef "Rng" as 'Rng';
 latexdef "Rng" as "\mathrm{Rng}";
htmldef "RngHomo" as ' RngHomo ';
 althtmldef "RngHomo" as ' RngHomo ';
 latexdef "RngHomo" as "\mathrm{RngHomo}";
htmldef "RngIsom" as ' RngIsom ';
 althtmldef "RngIsom" as ' RngIsom ';
 latexdef "RngIsom" as "\mathrm{RngIsom}";
htmldef "RngCat" as 'RngCat';
 althtmldef "RngCat" as 'RngCat';
 latexdef "RngCat" as "\mathrm{RngCat}";
htmldef "RingCat" as 'RingCat';
 althtmldef "RingCat" as 'RingCat';
 latexdef "RingCat" as "\mathrm{RingCat}";
htmldef "RngCatALTV" as 'RngCatALTV';
 althtmldef "RngCatALTV" as 'RngCatALTV';
 latexdef "RngCatALTV" as "\mathrm{RngCatALTV}";
htmldef "RingCatALTV" as 'RingCatALTV';
 althtmldef "RingCatALTV" as 'RingCatALTV';
 latexdef "RingCatALTV" as "\mathrm{RingCatALTV}";
htmldef "DMatALT" as ' DMatALT ';
 althtmldef "DMatALT" as ' DMatALT ';
 latexdef "DMatALT" as "\mathrm{DMatALT}";
htmldef "ScMatALT" as ' ScMatALT ';
 althtmldef "ScMatALT" as ' ScMatALT ';
 latexdef "ScMatALT" as "\mathrm{ScMatALT}";
htmldef "linC" as ' linC ';
 althtmldef "linC" as ' linC ';
 latexdef "linC" as "\mathrm{linC}";
htmldef "LinCo" as ' LinCo ';
 althtmldef "LinCo" as ' LinCo ';
 latexdef "LinCo" as "\mathrm{LinCo}";
htmldef "linIndS" as ' linIndS ';
 althtmldef "linIndS" as ' linIndS ';
 latexdef "linIndS" as "\mathrm{linIndS}";
htmldef "linDepS" as ' linDepS ';
 althtmldef "linDepS" as ' linDepS ';
 latexdef "linDepS" as "\mathrm{linDepS}";
htmldef "/_f" as ' /_f ';
 althtmldef "/_f" as ' /<sub>f</sub> ';
 latexdef "/_f" as "\mathrm{/}_f";
htmldef "_O" as '_O';
 althtmldef "_O" as "&#x39F;";
 latexdef "_O" as "\mathrm{O}";
htmldef "#b" as '#b';
 althtmldef "#b" as '#<sub>b</sub>';
 latexdef "#b" as "\mathrm{\#}_b";
htmldef "digit" as 'digit';
 althtmldef "digit" as 'digit';
 latexdef "digit" as "\mathrm{digit}";
htmldef "-aryF" as '-aryF ';
 althtmldef "-aryF" as '-aryF ';
 latexdef "-aryF" as "\mathrm{-aryF}";
htmldef "IterComp" as 'IterComp';
 althtmldef "IterComp" as 'IterComp';
 latexdef "IterComp" as "\mathrm{IterComp}";
htmldef "Ack" as 'Ack';
 althtmldef "Ack" as 'Ack';
 latexdef "Ack" as "\mathrm{Ack}";
/* Elementary geometry (extension)  */
htmldef "LineM" as 'LineM';
 althtmldef "LineM" as 'Line<sub>M</sub>';
 latexdef "LineM" as "\mathrm{Line}_M";
htmldef "Sphere" as 'Sphere';
 althtmldef "Sphere" as 'Sphere';
 latexdef "Sphere" as "\mathrm{Sphere}";
/* End of Alexander van der Vekens's mathbox */

/* Mathbox of Zhi Wang */
htmldef "ThinCat" as "ThinCat";
  althtmldef "ThinCat" as "ThinCat";
  latexdef "ThinCat" as "\mathrm{ThinCat}";
htmldef "ProsetToCat" as "ProsetToCat";
  althtmldef "ProsetToCat" as "ProsetToCat";
  latexdef "ProsetToCat" as "\mathrm{ProsetToCat}";
htmldef "MndToCat" as "MndToCat";
  althtmldef "MndToCat" as "MndToCat";
  latexdef "MndToCat" as "\mathrm{MndToCat}";
/* End of Zhi Wang's mathbox */

/* Mathbox of Emmett Weisz */
htmldef "setrecs" as "setrecs";
  althtmldef "setrecs" as "setrecs";
  latexdef "setrecs" as "\mathrm{setrecs}";
htmldef "Pg" as "Pg";
  althtmldef "Pg" as "Pg";
  latexdef "Pg" as "\mathrm{Pg}";
/* End of Emmett Weisz's mathbox */

/* Mathbox of David A. Wheeler */
htmldef ">_" as
    " <IMG SRC='ge.gif' WIDTH=11 HEIGHT=19 ALT=' &gt;_' TITLE='&gt;_'> ";
  althtmldef ">_" as ' &ge; ';
  latexdef ">_" as "\ge";
htmldef ">" as
    " <IMG SRC='gt.gif' WIDTH=11 HEIGHT=19 ALT=' &gt;' TITLE='&gt;'> ";
  althtmldef ">" as ' &gt; ';
  latexdef ">" as ">";
/*
htmldef "sinh" as
    "<IMG SRC='_sinh.gif' WIDTH=20 HEIGHT=19 ALT=' sinh' TITLE='sinh'>";
*/
htmldef "sinh" as "sinh";
  althtmldef "sinh" as "sinh";
  latexdef "sinh" as "\sinh";
/*
htmldef "cosh" as
    "<IMG SRC='_cosh.gif' WIDTH=20 HEIGHT=19 ALT=' cosh' TITLE='cosh'>";
*/
htmldef "cosh" as "cosh";
  althtmldef "cosh" as "cosh";
  latexdef "cosh" as "\cosh";
/*
htmldef "tanh" as
    "<IMG SRC='_tanh.gif' WIDTH=20 HEIGHT=19 ALT=' tanh' TITLE='tanh'>";
*/
htmldef "tanh" as "tanh";
  althtmldef "tanh" as "tanh";
  latexdef "tanh" as "\tanh";
htmldef "sec" as
    "<IMG SRC='_sec.gif' WIDTH=20 HEIGHT=19 ALT=' sec' TITLE='sec'>";
  althtmldef "sec" as "sec";
  latexdef "sec" as "\sec";
htmldef "csc" as
    "<IMG SRC='_csc.gif' WIDTH=20 HEIGHT=19 ALT=' csc' TITLE='csc'>";
  althtmldef "csc" as "csc";
  latexdef "csc" as "\csc";
htmldef "cot" as
    "<IMG SRC='_cot.gif' WIDTH=20 HEIGHT=19 ALT=' cot' TITLE='cot'>";
  althtmldef "cot" as "cot";
  latexdef "cot" as "\cot";
/*
htmldef "_" as
    "<IMG SRC='underscore.gif' WIDTH=20 HEIGHT=19 ALT=' _' TITLE='_'>";
*/
htmldef "_" as '<FONT COLOR="#808080">_</FONT>';
  althtmldef "_" as '<SPAN CLASS=hidden STYLE="color:gray">_</SPAN>';
  latexdef "_" as "\_";
htmldef "." as
    "<IMG SRC='period.gif' WIDTH=20 HEIGHT=19 ALT=' period' TITLE='period'>";
  althtmldef "." as ".";
  latexdef "." as ".";
htmldef "log_" as "log_";
  althtmldef "log_" as "log_";
  latexdef "log_" as "\operatorname{\underline{log}}";
htmldef "A!" as
  "<IMG SRC='forall.gif' WIDTH=10 HEIGHT=19 ALT=' A.' TITLE='A.'>!";
  althtmldef "A!" as '&forall;!'; /* &#8704; */
  latexdef "A!" as "\forall !";
htmldef "Reflexive" as "Reflexive";
  althtmldef "Reflexive" as "Reflexive";
  latexdef "Reflexive" as "\mathrel{\operatorname{Reflexive}}";
htmldef "Irreflexive" as "Irreflexive";
  althtmldef "Irreflexive" as "Irreflexive";
  latexdef "Irreflexive" as "\mathrel{\operatorname{Irreflexive}}";
/* End of David A. Wheeler's mathbox */

/* Mathbox of Alan Sare */
htmldef "(." as
    "<IMG SRC='period.gif' WIDTH=4 HEIGHT=19 ALT=' (.' TITLE='(.'>";
althtmldef "(." as
'<SPAN STYLE="color:#00CD00">&#40;&#160;&#160;&#160;</SPAN>';
/* This puts 0 white spaces before the left parenthesis(&#40) and 3 white
   spaces after. Here the parenthesis shall be colored bright green, the same
   color as the arrow. Here we are trying to use green parentheses instead of
   green periods. The reasoning is that parenthesis are better because they are
   more consistent with
   a) conventional Metamath notation so the User understands it better;
   b) Because these parentheses are now bright green, that sufficiently
   distinguishes these parentheses from the parentheses used to parse the
   wffs. The green parentheses are notation of the Virtual Deduction "mediator"
   notation. */
latexdef "(." as ".";
htmldef ")." as
    "<IMG SRC='period.gif' WIDTH=4 HEIGHT=19 ALT=' ).' TITLE=').'>";
althtmldef ")." as
'<SPAN STYLE="color:#00CD00">&#160;&#160;&#160;&#41;</SPAN>';
/* This puts 3 white spaces before the right parenthesis(&#41) and 0 white
   spaces after. Here the parenthesis shall be colored bright green, the same
   color as the arrow. Here we are trying to use green parentheses instead of
   green periods. The reasoning is that parenthesis are better because its more
   consistent
   with a) conventional set.mm notation so the User understands it better;
   b) Because these parentheses are now bright green, that sufficiently
   distinguishes these parentheses from the parentheses used to parse the
   wffs. The green parentheses are notation of the Virtual Deduction "mediator"
   notation. */
latexdef ")." as ".";
htmldef "->." as " <IMG SRC='blacktriangleright.gif' " +
    "WIDTH=11 HEIGHT=19 ALT=' -&gt;.' TITLE='-&gt;.'> ";
althtmldef "->." as
  '<SPAN STYLE="color:#00CD00"><FONT FACE=veranda>' +
  '&#160;&#160;&#160;&#9654;&#160;&#160;&#160;</FONT></SPAN>';
/* This should work better than the one above because we put white spaces
   around the arrow. It is better with an equal number of white spaces on each
   side of the arrow. The bright green for the virtual deduction notation
   works well. */
latexdef "->." as "\blacktriangleright";
htmldef "->.." as " <IMG SRC='__tobold.gif' " +
    "WIDTH=15 HEIGHT=19 ALT=' -&gt;..' TITLE='-&gt;..'> ";
  althtmldef "->.." as " <B>&rarr;</B> ";
  latexdef "->.." as "\bm{\rightarrow}";
htmldef ",." as
    "<IMG SRC='comma.gif' WIDTH=4 HEIGHT=19 ALT=' ,.' TITLE=',.'>";
althtmldef ",." as
    '<SPAN STYLE="color:#00CD00"><FONT SIZE=4>' +
    '&#160;&#160;&#160;&#44;&#160;&#160;&#160;</FONT></SPAN>';
/* This color is green3. It is brighter and lighter than Irish flag. It is
   bright enough to stand out and it is not too light
   to be seen. It is clearly distinguishable from black. */
latexdef ",." as " , ";
/* End of Alan Sare's mathbox */

/* Mathbox of ML */
htmldef "^^" as "<IMG SRC='uparrow.gif' WIDTH=7 HEIGHT=19 " +
                "ALT=' ^^' TITLE='^^'>" +
                "<IMG SRC='uparrow.gif' WIDTH=7 HEIGHT=19 " +
                "ALT=' ^^' TITLE='^^'>";
  althtmldef "^^" as '&uarr;&uarr;';
  latexdef "^^" as "\uparrow\uparrow";
/* End of ML's mathbox */

/* Mathbox of Jonathan Ben-Naim */
htmldef "ph'" as "<IMG SRC='_bnj_phiPrime.gif'   WIDTH=15 HEIGHT=19" +
       " ALT=" + '"' + " ph'" + '"' + " TITLE=" + '"' + "ph'" + '"' + ">";
htmldef "ps'" as "<IMG SRC='_bnj_psiPrime.gif'   WIDTH=16 HEIGHT=19" +
       " ALT=" + '"' + " ps'" + '"' + " TITLE=" + '"' + "ps'" + '"' + ">";
htmldef "ch'" as "<IMG SRC='_bnj_chiPrime.gif'   WIDTH=16 HEIGHT=19" +
       " ALT=" + '"' + " ch'" + '"' + " TITLE=" + '"' + "ch'" + '"' + ">";
htmldef "th'" as "<IMG SRC='_bnj_thetaPrime.gif' WIDTH=12 HEIGHT=19" +
       " ALT=" + '"' + " th'" + '"' + " TITLE=" + '"' + "th'" + '"' + ">";
htmldef "ta'" as "<IMG SRC='_bnj_tauPrime.gif'   WIDTH=14 HEIGHT=19" +
       " ALT=" + '"' + " ta'" + '"' + " TITLE=" + '"' + "ta'" + '"' + ">";
htmldef "et'" as "<IMG SRC='_bnj_etaPrime.gif'   WIDTH=13 HEIGHT=19" +
       " ALT=" + '"' + " et'" + '"' + " TITLE=" + '"' + "et'" + '"' + ">";
htmldef "ze'" as "<IMG SRC='_bnj_zetaPrime.gif'  WIDTH=13 HEIGHT=19" +
       " ALT=" + '"' + " ze'" + '"' + " TITLE=" + '"' + "ze'" + '"' + ">";
htmldef "si'" as "<IMG SRC='_bnj_sigmaPrime.gif' WIDTH=14 HEIGHT=19" +
       " ALT=" + '"' + " si'" + '"' + " TITLE=" + '"' + "si'" + '"' + ">";
htmldef "rh'" as "<IMG SRC='_bnj_rhoPrime.gif'   WIDTH=13 HEIGHT=19" +
       " ALT=" + '"' + " rh'" + '"' + " TITLE=" + '"' + "rh'" + '"' + ">";
althtmldef "ph'" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D711;&prime;</SPAN>';
althtmldef "ps'" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D713;&prime;</SPAN>';
althtmldef "ch'" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D712;&prime;</SPAN>';
althtmldef "th'" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D703;&prime;</SPAN>';
althtmldef "ta'" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D70F;&prime;</SPAN>';
althtmldef "et'" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D702;&prime;</SPAN>';
althtmldef "ze'" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D701;&prime;</SPAN>';
althtmldef "si'" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D70E;&prime;</SPAN>';
althtmldef "rh'" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D70C;&prime;</SPAN>';
latexdef "ph'" as "\varphi'";
latexdef "ps'" as "\psi'";
latexdef "ch'" as "\chi'";
latexdef "th'" as "\theta'";
latexdef "ta'" as "\tau'";
latexdef "et'" as "\eta'";
latexdef "ze'" as "\zeta'";
latexdef "si'" as "\sigma'";
latexdef "rh'" as "\rho'";
htmldef 'ph"' as "<IMG SRC='_bnj_phiPrimePrime.gif'   WIDTH=18 HEIGHT=19" +
      " ALT=' ph" + '"' + "' TITLE='ph" + '"' + "'>";
htmldef 'ps"' as "<IMG SRC='_bnj_psiPrimePrime.gif'   WIDTH=19 HEIGHT=19" +
      " ALT=' ps" + '"' + "' TITLE='ps" + '"' + "'>";
htmldef 'ch"' as "<IMG SRC='_bnj_chiPrimePrime.gif'   WIDTH=19 HEIGHT=19" +
      " ALT=' ch" + '"' + "' TITLE='ch" + '"' + "'>";
htmldef 'th"' as "<IMG SRC='_bnj_thetaPrimePrime.gif' WIDTH=15 HEIGHT=19" +
      " ALT=' th" + '"' + "' TITLE='th" + '"' + "'>";
htmldef 'ta"' as "<IMG SRC='_bnj_tauPrimePrime.gif'   WIDTH=17 HEIGHT=19" +
      " ALT=' ta" + '"' + "' TITLE='ta" + '"' + "'>";
htmldef 'et"' as "<IMG SRC='_bnj_etaPrimePrime.gif'   WIDTH=16 HEIGHT=19" +
      " ALT=' et" + '"' + "' TITLE='et" + '"' + "'>";
htmldef 'ze"' as "<IMG SRC='_bnj_zetaPrimePrime.gif'  WIDTH=16 HEIGHT=19" +
      " ALT=' ze" + '"' + "' TITLE='ze" + '"' + "'>";
htmldef 'si"' as "<IMG SRC='_bnj_sigmaPrimePrime.gif' WIDTH=17 HEIGHT=19" +
      " ALT=' si" + '"' + "' TITLE='si" + '"' + "'>";
htmldef 'rh"' as "<IMG SRC='_bnj_rhoPrimePrime.gif'   WIDTH=16 HEIGHT=19" +
      " ALT=' rh" + '"' + "' TITLE='rh" + '"' + "'>";
althtmldef 'ph"' as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D711;&Prime;</SPAN>';
althtmldef 'ps"' as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D713;&Prime;</SPAN>';
althtmldef 'ch"' as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D712;&Prime;</SPAN>';
althtmldef 'th"' as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D703;&Prime;</SPAN>';
althtmldef 'ta"' as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D70F;&Prime;</SPAN>';
althtmldef 'et"' as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D702;&Prime;</SPAN>';
althtmldef 'ze"' as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D701;&Prime;</SPAN>';
althtmldef 'si"' as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D70E;&Prime;</SPAN>';
althtmldef 'rh"' as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D70C;&Prime;</SPAN>';
latexdef 'ph"' as "\varphi''";
latexdef 'ps"' as "\psi''";
latexdef 'ch"' as "\chi''";
latexdef 'th"' as "\theta''";
latexdef 'ta"' as "\tau''";
latexdef 'et"' as "\eta''";
latexdef 'ze"' as "\zeta''";
latexdef 'si"' as "\sigma''";
latexdef 'rh"' as "\rho''";
htmldef "ph0"  as "<IMG SRC='_bnj_phi0.gif'   WIDTH=18 HEIGHT=19" +
    " ALT=' ph0' TITLE='ph0'>";
htmldef "ps0"  as "<IMG SRC='_bnj_psi0.gif'   WIDTH=19 HEIGHT=19" +
    " ALT=' ps0' TITLE='ps0'>";
htmldef "ch0_" as "<IMG SRC='_bnj_chi0.gif'   WIDTH=19 HEIGHT=19" +
    " ALT=' ch0_' TITLE='ch0_'>";
htmldef "th0"  as "<IMG SRC='_bnj_theta0.gif' WIDTH=15 HEIGHT=19" +
    " ALT=' th0' TITLE='th0'>";
htmldef "ta0"  as "<IMG SRC='_bnj_tau0.gif'   WIDTH=17 HEIGHT=19" +
    " ALT=' ta0' TITLE='ta0'>";
htmldef "et0"  as "<IMG SRC='_bnj_eta0.gif'   WIDTH=16 HEIGHT=19" +
    " ALT=' et0' TITLE='et0'>";
htmldef "ze0"  as "<IMG SRC='_bnj_zeta0.gif'  WIDTH=16 HEIGHT=19" +
    " ALT=' ze0' TITLE='ze0'>";
htmldef "si0"  as "<IMG SRC='_bnj_sigma0.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' si0' TITLE='si0'>";
htmldef "rh0"  as "<IMG SRC='_bnj_rho0.gif'   WIDTH=16 HEIGHT=19" +
    " ALT=' rh0' TITLE='rh0'>";
althtmldef "ph0"  as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D711;<SUB>0</SUB></SPAN>';
althtmldef "ps0"  as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D713;<SUB>0</SUB></SPAN>';
althtmldef "ch0_" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D712;<SUB>0</SUB></SPAN>';
althtmldef "th0"  as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D703;<SUB>0</SUB></SPAN>';
althtmldef "ta0"  as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D70F;<SUB>0</SUB></SPAN>';
althtmldef "et0"  as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D702;<SUB>0</SUB></SPAN>';
althtmldef "ze0"  as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D701;<SUB>0</SUB></SPAN>';
althtmldef "si0"  as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D70E;<SUB>0</SUB></SPAN>';
althtmldef "rh0"  as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D70C;<SUB>0</SUB></SPAN>';
latexdef "ph0"  as "\varphi_0";
latexdef "ps0"  as "\psi_0";
latexdef "ch0_" as "\chi_0";
latexdef "th0"  as "\theta_0";
latexdef "ta0"  as "\tau_0";
latexdef "et0"  as "\eta_0";
latexdef "ze0"  as "\zeta_0";
latexdef "si0"  as "\sigma_0";
latexdef "rh0"  as "\rho_0";
htmldef "ph1" as "<IMG SRC='_bnj_phi1.gif'   WIDTH=16 HEIGHT=19" +
    " ALT=' ph1' TITLE='ph1'>";
htmldef "ps1" as "<IMG SRC='_bnj_psi1.gif'   WIDTH=17 HEIGHT=19" +
    " ALT=' ps1' TITLE='ps1'>";
htmldef "ch1" as "<IMG SRC='_bnj_chi1.gif'   WIDTH=17 HEIGHT=19" +
    " ALT=' ch1' TITLE='ch1'>";
htmldef "th1" as "<IMG SRC='_bnj_theta1.gif' WIDTH=13 HEIGHT=19" +
    " ALT=' th1' TITLE='th1'>";
htmldef "ta1" as "<IMG SRC='_bnj_tau1.gif'   WIDTH=15 HEIGHT=19" +
    " ALT=' ta1' TITLE='ta1'>";
htmldef "et1" as "<IMG SRC='_bnj_eta1.gif'   WIDTH=14 HEIGHT=19" +
    " ALT=' et1' TITLE='et1'>";
htmldef "ze1" as "<IMG SRC='_bnj_zeta1.gif'  WIDTH=14 HEIGHT=19" +
    " ALT=' ze1' TITLE='ze1'>";
htmldef "si1" as "<IMG SRC='_bnj_sigma1.gif' WIDTH=15 HEIGHT=19" +
    " ALT=' si1' TITLE='si1'>";
htmldef "rh1" as "<IMG SRC='_bnj_rho1.gif'   WIDTH=14 HEIGHT=19" +
    " ALT=' rh1' TITLE='rh1'>";
althtmldef "ph1" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D711;<SUB>1</SUB></SPAN>';
althtmldef "ps1" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D713;<SUB>1</SUB></SPAN>';
althtmldef "ch1" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D712;<SUB>1</SUB></SPAN>';
althtmldef "th1" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D703;<SUB>1</SUB></SPAN>';
althtmldef "ta1" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D70F;<SUB>1</SUB></SPAN>';
althtmldef "et1" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D702;<SUB>1</SUB></SPAN>';
althtmldef "ze1" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D701;<SUB>1</SUB></SPAN>';
althtmldef "si1" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D70E;<SUB>1</SUB></SPAN>';
althtmldef "rh1" as
    '<SPAN CLASS=wff STYLE="color:blue">&#x1D70C;<SUB>1</SUB></SPAN>';
latexdef "ph1" as "\varphi_1";
latexdef "ps1" as "\psi_1";
latexdef "ch1" as "\chi_1";
latexdef "th1" as "\theta_1";
latexdef "ta1" as "\tau_1";
latexdef "et1" as "\eta_1";
latexdef "ze1" as "\zeta_1";
latexdef "si1" as "\sigma_1";
latexdef "rh1" as "\rho_1";
htmldef "a'" as "<IMG SRC='_bnj_aPrime.gif' WIDTH=13 HEIGHT=19" +
    " ALT=" + '"' + " a'" + '"' + " TITLE=" + '"' + "a'" + '"' + ">";
htmldef "b'" as "<IMG SRC='_bnj_bPrime.gif' WIDTH=12 HEIGHT=19" +
    " ALT=" + '"' + " b'" + '"' + " TITLE=" + '"' + "b'" + '"' + ">";
htmldef "c'" as "<IMG SRC='_bnj_cPrime.gif' WIDTH=11 HEIGHT=19" +
    " ALT=" + '"' + " c'" + '"' + " TITLE=" + '"' + "c'" + '"' + ">";
htmldef "d'" as "<IMG SRC='_bnj_dPrime.gif' WIDTH=13 HEIGHT=19" +
    " ALT=" + '"' + " d'" + '"' + " TITLE=" + '"' + "d'" + '"' + ">";
htmldef "e'" as "<IMG SRC='_bnj_ePrime.gif' WIDTH=12 HEIGHT=19" +
    " ALT=" + '"' + " e'" + '"' + " TITLE=" + '"' + "e'" + '"' + ">";
htmldef "f'" as "<IMG SRC='_bnj_fPrime.gif' WIDTH=13 HEIGHT=19" +
    " ALT=" + '"' + " f'" + '"' + " TITLE=" + '"' + "f'" + '"' + ">";
htmldef "g'" as "<IMG SRC='_bnj_gPrime.gif' WIDTH=13 HEIGHT=19" +
    " ALT=" + '"' + " g'" + '"' + " TITLE=" + '"' + "g'" + '"' + ">";
htmldef "h'" as "<IMG SRC='_bnj_hPrime.gif' WIDTH=14 HEIGHT=19" +
    " ALT=" + '"' + " h'" + '"' + " TITLE=" + '"' + "h'" + '"' + ">";
htmldef "i'" as "<IMG SRC='_bnj_iPrime.gif' WIDTH=10 HEIGHT=19" +
    " ALT=" + '"' + " i'" + '"' + " TITLE=" + '"' + "i'" + '"' + ">";
htmldef "j'" as "<IMG SRC='_bnj_jPrime.gif' WIDTH=11 HEIGHT=19" +
    " ALT=" + '"' + " j'" + '"' + " TITLE=" + '"' + "j'" + '"' + ">";
htmldef "k'" as "<IMG SRC='_bnj_kPrime.gif' WIDTH=13 HEIGHT=19" +
    " ALT=" + '"' + " k'" + '"' + " TITLE=" + '"' + "k'" + '"' + ">";
htmldef "l'" as "<IMG SRC='_bnj_lPrime.gif' WIDTH=9  HEIGHT=19" +
    " ALT=" + '"' + " l'" + '"' + " TITLE=" + '"' + "l'" + '"' + ">";
htmldef "m'" as "<IMG SRC='_bnj_mPrime.gif' WIDTH=18 HEIGHT=19" +
    " ALT=" + '"' + " m'" + '"' + " TITLE=" + '"' + "m'" + '"' + ">";
htmldef "n'" as "<IMG SRC='_bnj_nPrime.gif' WIDTH=14 HEIGHT=19" +
    " ALT=" + '"' + " n'" + '"' + " TITLE=" + '"' + "n'" + '"' + ">";
htmldef "o'_" as "<IMG SRC='_bnj_oPrime.gif' WIDTH=12 HEIGHT=19" +
    " ALT=" + '"' + " o'_" + '"' + " TITLE=" + '"' + "o'_" + '"' + ">";
htmldef "p'" as "<IMG SRC='_bnj_pPrime.gif' WIDTH=14 HEIGHT=19" +
    " ALT=" + '"' + " p'" + '"' + " TITLE=" + '"' + "p'" + '"' + ">";
htmldef "q'" as "<IMG SRC='_bnj_qPrime.gif' WIDTH=12 HEIGHT=19" +
    " ALT=" + '"' + " q'" + '"' + " TITLE=" + '"' + "q'" + '"' + ">";
htmldef "r'" as "<IMG SRC='_bnj_rPrime.gif' WIDTH=12 HEIGHT=19" +
    " ALT=" + '"' + " r'" + '"' + " TITLE=" + '"' + "r'" + '"' + ">";
htmldef "s'_" as "<IMG SRC='_bnj_sPrime.gif' WIDTH=11 HEIGHT=19" +
    " ALT=" + '"' + " s'" + '"' + " TITLE=" + '"' + "s'" + '"' + ">";
htmldef "t'" as "<IMG SRC='_bnj_tPrime.gif' WIDTH=11 HEIGHT=19" +
    " ALT=" + '"' + " t'" + '"' + " TITLE=" + '"' + "t'" + '"' + ">";
htmldef "u'" as "<IMG SRC='_bnj_uPrime.gif' WIDTH=14 HEIGHT=19" +
    " ALT=" + '"' + " u'" + '"' + " TITLE=" + '"' + "u'" + '"' + ">";
htmldef "v'_" as "<IMG SRC='_bnj_vPrime.gif' WIDTH=13 HEIGHT=19" +
    " ALT=" + '"' + " v'" + '"' + " TITLE=" + '"' + "v'" + '"' + ">";
htmldef "w'" as "<IMG SRC='_bnj_wPrime.gif' WIDTH=16 HEIGHT=19" +
    " ALT=" + '"' + " w'" + '"' + " TITLE=" + '"' + "w'" + '"' + ">";
htmldef "x'" as "<IMG SRC='_bnj_xPrime.gif' WIDTH=14 HEIGHT=19" +
    " ALT=" + '"' + " x'" + '"' + " TITLE=" + '"' + "x'" + '"' + ">";
htmldef "y'" as "<IMG SRC='_bnj_yPrime.gif' WIDTH=13 HEIGHT=19" +
    " ALT=" + '"' + " y'" + '"' + " TITLE=" + '"' + "y'" + '"' + ">";
htmldef "z'" as "<IMG SRC='_bnj_zPrime.gif' WIDTH=13 HEIGHT=19" +
    " ALT=" + '"' + " z'" + '"' + " TITLE=" + '"' + "z'" + '"' + ">";
althtmldef "a'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D44E;&prime;</SPAN>';
althtmldef "b'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D44F;&prime;</SPAN>';
althtmldef "c'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D450;&prime;</SPAN>';
althtmldef "d'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D451;&prime;</SPAN>';
althtmldef "e'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D452;&prime;</SPAN>';
althtmldef "f'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D453;&prime;</SPAN>';
althtmldef "g'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D454;&prime;</SPAN>';
althtmldef "h'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x210E;&prime;</SPAN>';
althtmldef "i'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D456;&prime;</SPAN>';
althtmldef "j'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D457;&prime;</SPAN>';
althtmldef "k'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D458;&prime;</SPAN>';
althtmldef "l'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D459;&prime;</SPAN>';
althtmldef "m'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45A;&prime;</SPAN>';
althtmldef "n'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45B;&prime;</SPAN>';
althtmldef "o'_" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45C;&prime;</SPAN>';
althtmldef "p'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45D;&prime;</SPAN>';
althtmldef "q'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45E;&prime;</SPAN>';
althtmldef "r'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45F;&prime;</SPAN>';
althtmldef "s'_" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D460;&prime;</SPAN>';
althtmldef "t'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D461;&prime;</SPAN>';
althtmldef "u'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D462;&prime;</SPAN>';
althtmldef "v'_" as
     '<SPAN CLASS=setvar STYLE="color:red">&#x1D463;&prime;</SPAN>';
althtmldef "w'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D464;&prime;</SPAN>';
althtmldef "x'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D465;&prime;</SPAN>';
althtmldef "y'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D466;&prime;</SPAN>';
althtmldef "z'" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D467;&prime;</SPAN>';
latexdef "a'" as "a'";
latexdef "b'" as "b'";
latexdef "c'" as "c'";
latexdef "d'" as "d'";
latexdef "e'" as "e'";
latexdef "f'" as "f'";
latexdef "g'" as "g'";
latexdef "h'" as "h'";
latexdef "i'" as "i'";
latexdef "j'" as "j'";
latexdef "k'" as "k'";
latexdef "l'" as "l'";
latexdef "m'" as "m'";
latexdef "n'" as "n'";
latexdef "o'_" as "o'";
latexdef "p'" as "p'";
latexdef "q'" as "q'";
latexdef "r'" as "r'";
latexdef "s'_" as "s'";
latexdef "t'" as "t'";
latexdef "u'" as "u'";
latexdef "v'_" as "v'";
latexdef "w'" as "w'";
latexdef "x'" as "x'";
latexdef "y'" as "y'";
latexdef "z'" as "z'";
htmldef 'a"' as "<IMG SRC='_bnj_aPrimePrime.gif' WIDTH=16 HEIGHT=19 " +
      " ALT=' a" + '"' + "' TITLE='a" + '"' + "'>";
htmldef 'b"' as "<IMG SRC='_bnj_bPrimePrime.gif' WIDTH=15 HEIGHT=19 " +
      " ALT=' b" + '"' + "' TITLE='b" + '"' + "'>";
htmldef 'c"' as "<IMG SRC='_bnj_cPrimePrime.gif' WIDTH=14 HEIGHT=19 " +
      " ALT=' c" + '"' + "' TITLE='c" + '"' + "'>";
htmldef 'd"' as "<IMG SRC='_bnj_dPrimePrime.gif' WIDTH=16 HEIGHT=19 " +
      " ALT=' d" + '"' + "' TITLE='d" + '"' + "'>";
htmldef 'e"' as "<IMG SRC='_bnj_ePrimePrime.gif' WIDTH=15 HEIGHT=19 " +
      " ALT=' e" + '"' + "' TITLE='e" + '"' + "'>";
htmldef 'f"' as "<IMG SRC='_bnj_fPrimePrime.gif' WIDTH=16 HEIGHT=19 " +
      " ALT=' f" + '"' + "' TITLE='f" + '"' + "'>";
htmldef 'g"' as "<IMG SRC='_bnj_gPrimePrime.gif' WIDTH=16 HEIGHT=19 " +
      " ALT=' g" + '"' + "' TITLE='g" + '"' + "'>";
htmldef 'h"' as "<IMG SRC='_bnj_hPrimePrime.gif' WIDTH=17 HEIGHT=19 " +
      " ALT=' h" + '"' + "'TITLE='h" + '"' + "'>";
htmldef 'i"' as "<IMG SRC='_bnj_iPrimePrime.gif' WIDTH=13 HEIGHT=19 " +
      " ALT=' i" + '"' + "' TITLE='i" + '"' + "'>";
htmldef 'j"' as "<IMG SRC='_bnj_jPrimePrime.gif' WIDTH=14 HEIGHT=19 " +
      " ALT=' j" + '"' + "' TITLE='j" + '"' + "'>";
htmldef 'k"' as "<IMG SRC='_bnj_kPrimePrime.gif' WIDTH=16 HEIGHT=19 " +
      " ALT=' k" + '"' + "' TITLE='k" + '"' + "'>";
htmldef 'l"' as "<IMG SRC='_bnj_lPrimePrime.gif' WIDTH=12 HEIGHT=19 " +
      " ALT=' l" + '"' + "'TITLE='l" + '"' + "'>";
htmldef 'm"' as "<IMG SRC='_bnj_mPrimePrime.gif' WIDTH=21 HEIGHT=19 " +
      " ALT=' m" + '"' + "' TITLE='m" + '"' + "'>";
htmldef 'n"' as "<IMG SRC='_bnj_nPrimePrime.gif' WIDTH=17 HEIGHT=19 " +
      " ALT=' n" + '"' + "' TITLE='n" + '"' + "'>";
htmldef 'o"_' as "<IMG SRC='_bnj_oPrimePrime.gif' WIDTH=15 HEIGHT=19 " +
      " ALT=' o" + '"' + "'TITLE='o" + '"' + "'>";
htmldef 'p"' as "<IMG SRC='_bnj_pPrimePrime.gif' WIDTH=17 HEIGHT=19 " +
      " ALT=' p" + '"' + "'TITLE='p" + '"' + "'>";
htmldef 'q"' as "<IMG SRC='_bnj_qPrimePrime.gif' WIDTH=15 HEIGHT=19 " +
      " ALT=' q" + '"' + "'TITLE='q" + '"' + "'>";
htmldef 'r"' as "<IMG SRC='_bnj_rPrimePrime.gif' WIDTH=15 HEIGHT=19 " +
      " ALT=' r" + '"' + "'TITLE='r" + '"' + "'>";
htmldef 's"_' as "<IMG SRC='_bnj_sPrimePrime.gif' WIDTH=14 HEIGHT=19 " +
      " ALT=' s" + '"' + "'TITLE='s" + '"' + "'>";
htmldef 't"' as "<IMG SRC='_bnj_tPrimePrime.gif' WIDTH=14 HEIGHT=19 " +
      " ALT=' t" + '"' + "'TITLE='t" + '"' + "'>";
htmldef 'u"' as "<IMG SRC='_bnj_uPrimePrime.gif' WIDTH=17 HEIGHT=19 " +
      " ALT=' u" + '"' + "'TITLE='u" + '"' + "'>";
htmldef 'v"_' as "<IMG SRC='_bnj_vPrimePrime.gif' WIDTH=16 HEIGHT=19 " +
      " ALT=' v" + '"' + "'TITLE='v" + '"' + "'>";
htmldef 'w"' as "<IMG SRC='_bnj_wPrimePrime.gif' WIDTH=19 HEIGHT=19 " +
      " ALT=' w" + '"' + "'TITLE='w" + '"' + "'>";
htmldef 'x"' as "<IMG SRC='_bnj_xPrimePrime.gif' WIDTH=17 HEIGHT=19 " +
      " ALT=' x" + '"' + "'TITLE='x" + '"' + "'>";
htmldef 'y"' as "<IMG SRC='_bnj_yPrimePrime.gif' WIDTH=16 HEIGHT=19 " +
      " ALT=' y" + '"' + "'TITLE='y" + '"' + "'>";
htmldef 'z"' as "<IMG SRC='_bnj_zPrimePrime.gif' WIDTH=16 HEIGHT=19 " +
      " ALT=' z" + '"' + "'TITLE='z" + '"' + "'>";
althtmldef 'a"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D44E;&Prime;</SPAN>';
althtmldef 'b"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D44F;&Prime;</SPAN>';
althtmldef 'c"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D450;&Prime;</SPAN>';
althtmldef 'd"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D451;&Prime;</SPAN>';
althtmldef 'e"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D452;&Prime;</SPAN>';
althtmldef 'f"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D453;&Prime;</SPAN>';
althtmldef 'g"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D454;&Prime;</SPAN>';
althtmldef 'h"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x210E;&Prime;</SPAN>';
althtmldef 'i"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D456;&Prime;</SPAN>';
althtmldef 'j"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D457;&Prime;</SPAN>';
althtmldef 'k"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D458;&Prime;</SPAN>';
althtmldef 'l"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D459;&Prime;</SPAN>';
althtmldef 'm"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45A;&Prime;</SPAN>';
althtmldef 'n"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45B;&Prime;</SPAN>';
althtmldef 'o"_' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45C;&Prime;</SPAN>';
althtmldef 'p"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45D;&Prime;</SPAN>';
althtmldef 'q"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45E;&Prime;</SPAN>';
althtmldef 'r"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45F;&Prime;</SPAN>';
althtmldef 's"_' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D460;&Prime;</SPAN>';
althtmldef 't"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D461;&Prime;</SPAN>';
althtmldef 'u"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D462;&Prime;</SPAN>';
althtmldef 'v"_' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D463;&Prime;</SPAN>';
althtmldef 'w"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D464;&Prime;</SPAN>';
althtmldef 'x"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D465;&Prime;</SPAN>';
althtmldef 'y"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D466;&Prime;</SPAN>';
althtmldef 'z"' as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D467;&Prime;</SPAN>';
latexdef 'a"' as "a''";
latexdef 'b"' as "b''";
latexdef 'c"' as "c''";
latexdef 'd"' as "d''";
latexdef 'e"' as "e''";
latexdef 'f"' as "f''";
latexdef 'g"' as "g''";
latexdef 'h"' as "h''";
latexdef 'i"' as "i''";
latexdef 'j"' as "j''";
latexdef 'k"' as "k''";
latexdef 'l"' as "l''";
latexdef 'm"' as "m''";
latexdef 'n"' as "n''";
latexdef 'o"_' as "o''";
latexdef 'p"' as "p''";
latexdef 'q"' as "q''";
latexdef 'r"' as "r''";
latexdef 's"_' as "s''";
latexdef 't"' as "t''";
latexdef 'u"' as "u''";
latexdef 'v"_' as "v''";
latexdef 'w"' as "w''";
latexdef 'x"' as "x''";
latexdef 'y"' as "y''";
latexdef 'z"' as "z''";
htmldef "a0_"  as "<IMG SRC='_bnj_a0.gif' WIDTH=16 HEIGHT=19" +
    " ALT=' a0' TITLE='a0'>";
htmldef "b0_"  as "<IMG SRC='_bnj_b0.gif' WIDTH=15 HEIGHT=19" +
    " ALT=' b0' TITLE='b0'>";
htmldef "c0_" as "<IMG SRC='_bnj_c0.gif' WIDTH=14 HEIGHT=19" +
    " ALT=' c0' TITLE='c0'>";
htmldef "d0"  as "<IMG SRC='_bnj_d0.gif' WIDTH=16 HEIGHT=19" +
    " ALT=' d0' TITLE='d0'>";
htmldef "e0"  as "<IMG SRC='_bnj_e0.gif' WIDTH=15 HEIGHT=19" +
    " ALT=' e0' TITLE='e0'>";
htmldef "f0_" as "<IMG SRC='_bnj_f0.gif' WIDTH=16 HEIGHT=19" +
    " ALT=' f0_' TITLE='f0_'>";
htmldef "g0"  as "<IMG SRC='_bnj_g0.gif' WIDTH=16 HEIGHT=19" +
    " ALT=' g0' TITLE='g0'>";
htmldef "h0"  as "<IMG SRC='_bnj_h0.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' h0' TITLE='h0'>";
htmldef "i0"  as "<IMG SRC='_bnj_i0.gif' WIDTH=13 HEIGHT=19" +
    " ALT=' i0' TITLE='i0'>";
htmldef "j0"  as "<IMG SRC='_bnj_j0.gif' WIDTH=14 HEIGHT=19" +
    " ALT=' j0' TITLE='j0'>";
htmldef "k0"  as "<IMG SRC='_bnj_k0.gif' WIDTH=16 HEIGHT=19" +
    " ALT=' k0' TITLE='k0'>";
htmldef "l0"  as "<IMG SRC='_bnj_l0.gif' WIDTH=12 HEIGHT=19" +
    " ALT=' l0' TITLE='l0'>";
htmldef "m0"  as "<IMG SRC='_bnj_m0.gif' WIDTH=21 HEIGHT=19" +
    " ALT=' m0' TITLE='m0'>";
htmldef "n0_" as "<IMG SRC='_bnj_n0.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' n0_' TITLE='n0_'>";
htmldef "o0_"  as "<IMG SRC='_bnj_o0.gif' WIDTH=15 HEIGHT=19" +
    " ALT=' o0_' TITLE='o0_'>";
htmldef "p0"  as "<IMG SRC='_bnj_p0.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' p0' TITLE='p0'>";
htmldef "q0"  as "<IMG SRC='_bnj_q0.gif' WIDTH=15 HEIGHT=19" +
    " ALT=' q0' TITLE='q0'>";
htmldef "r0"  as "<IMG SRC='_bnj_r0.gif' WIDTH=15 HEIGHT=19" +
    " ALT=' r0' TITLE='r0'>";
htmldef "s0"  as "<IMG SRC='_bnj_s0.gif' WIDTH=14 HEIGHT=19" +
    " ALT=' s0' TITLE='s0'>";
htmldef "t0"  as "<IMG SRC='_bnj_t0.gif' WIDTH=14 HEIGHT=19" +
    " ALT=' t0' TITLE='t0'>";
htmldef "u0"  as "<IMG SRC='_bnj_u0.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' u0' TITLE='u0'>";
htmldef "v0"  as "<IMG SRC='_bnj_v0.gif' WIDTH=16 HEIGHT=19" +
    " ALT=' v0' TITLE='v0'>";
htmldef "w0"  as "<IMG SRC='_bnj_w0.gif' WIDTH=19 HEIGHT=19" +
    " ALT=' w0' TITLE='w0'>";
htmldef "x0"  as "<IMG SRC='_bnj_x0.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' x0' TITLE='x0'>";
htmldef "y0"  as "<IMG SRC='_bnj_y0.gif' WIDTH=16 HEIGHT=19" +
    " ALT=' y0' TITLE='y0'>";
htmldef "z0"  as "<IMG SRC='_bnj_z0.gif' WIDTH=16 HEIGHT=19" +
    " ALT=' z0' TITLE='z0'>";
althtmldef "a0_"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D44E;<SUB>0</SUB></SPAN>';
althtmldef "b0_"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D44F;<SUB>0</SUB></SPAN>';
althtmldef "c0_" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D450;<SUB>0</SUB></SPAN>';
althtmldef "d0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D451;<SUB>0</SUB></SPAN>';
althtmldef "e0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D452;<SUB>0</SUB></SPAN>';
althtmldef "f0_" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D453;<SUB>0</SUB></SPAN>';
althtmldef "g0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D454;<SUB>0</SUB></SPAN>';
althtmldef "h0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x210E;<SUB>0</SUB></SPAN>';
althtmldef "i0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D456;<SUB>0</SUB></SPAN>';
althtmldef "j0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D457;<SUB>0</SUB></SPAN>';
althtmldef "k0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D458;<SUB>0</SUB></SPAN>';
althtmldef "l0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D459;<SUB>0</SUB></SPAN>';
althtmldef "m0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45A;<SUB>0</SUB></SPAN>';
althtmldef "n0_" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45B;<SUB>0</SUB></SPAN>';
althtmldef "o0_"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45C;<SUB>0</SUB></SPAN>';
althtmldef "p0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45D;<SUB>0</SUB></SPAN>';
althtmldef "q0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45E;<SUB>0</SUB></SPAN>';
althtmldef "r0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45F;<SUB>0</SUB></SPAN>';
althtmldef "s0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D460;<SUB>0</SUB></SPAN>';
althtmldef "t0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D461;<SUB>0</SUB></SPAN>';
althtmldef "u0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D462;<SUB>0</SUB></SPAN>';
althtmldef "v0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D463;<SUB>0</SUB></SPAN>';
althtmldef "w0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D464;<SUB>0</SUB></SPAN>';
althtmldef "x0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D465;<SUB>0</SUB></SPAN>';
althtmldef "y0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D466;<SUB>0</SUB></SPAN>';
althtmldef "z0"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D467;<SUB>0</SUB></SPAN>';
latexdef "a0_"  as "a_0";
latexdef "b0_"  as "b_0";
latexdef "c0_" as "c_0";
latexdef "d0"  as "d_0";
latexdef "e0"  as "e_0";
latexdef "f0_" as "f_0";
latexdef "g0"  as "g_0";
latexdef "h0"  as "h_0";
latexdef "i0"  as "i_0";
latexdef "j0"  as "j_0";
latexdef "k0"  as "k_0";
latexdef "l0"  as "l_0";
latexdef "m0"  as "m_0";
latexdef "n0_" as "n_0";
latexdef "o0_"  as "o_0";
latexdef "p0"  as "p_0";
latexdef "q0"  as "q_0";
latexdef "r0"  as "r_0";
latexdef "s0"  as "s_0";
latexdef "t0"  as "t_0";
latexdef "u0"  as "u_0";
latexdef "v0"  as "v_0";
latexdef "w0"  as "w_0";
latexdef "x0"  as "x_0";
latexdef "y0"  as "y_0";
latexdef "z0"  as "z_0";
htmldef "a1_"  as "<IMG SRC='_bnj_a1.gif' WIDTH=14 HEIGHT=19" +
    " ALT=' a1' TITLE='a1'>";
htmldef "b1_"  as "<IMG SRC='_bnj_b1.gif' WIDTH=13 HEIGHT=19" +
    " ALT=' b1' TITLE='b1'>";
htmldef "c1_" as "<IMG SRC='_bnj_c1.gif' WIDTH=12 HEIGHT=19" +
    " ALT=' c1_' TITLE='c1_'>";
htmldef "d1"  as "<IMG SRC='_bnj_d1.gif' WIDTH=14 HEIGHT=19" +
    " ALT=' d1' TITLE='d1'>";
htmldef "e1"  as "<IMG SRC='_bnj_e1.gif' WIDTH=13 HEIGHT=19" +
    " ALT=' e1' TITLE='e1'>";
htmldef "f1"  as "<IMG SRC='_bnj_f1.gif' WIDTH=14 HEIGHT=19" +
    " ALT=' f1' TITLE='f1'>";
htmldef "g1"  as "<IMG SRC='_bnj_g1.gif' WIDTH=14 HEIGHT=19" +
    " ALT=' g1' TITLE='g1'>";
htmldef "h1"  as "<IMG SRC='_bnj_h1.gif' WIDTH=15 HEIGHT=19" +
    " ALT=' h1' TITLE='h1'>";
htmldef "i1"  as "<IMG SRC='_bnj_i1.gif' WIDTH=11 HEIGHT=19" +
    " ALT=' i1' TITLE='i1'>";
htmldef "j1"  as "<IMG SRC='_bnj_j1.gif' WIDTH=12 HEIGHT=19" +
    " ALT=' j1' TITLE='j1'>";
htmldef "k1"  as "<IMG SRC='_bnj_k1.gif' WIDTH=14 HEIGHT=19" +
    " ALT=' k1' TITLE='k1'>";
htmldef "l1"  as "<IMG SRC='_bnj_l1.gif' WIDTH=10 HEIGHT=19" +
    " ALT=' l1' TITLE='l1'>";
htmldef "m1"  as "<IMG SRC='_bnj_m1.gif' WIDTH=19 HEIGHT=19" +
    " ALT=' m1' TITLE='m1'>";
htmldef "n1"  as "<IMG SRC='_bnj_n1.gif' WIDTH=15 HEIGHT=19" +
    " ALT=' n1' TITLE='n1'>";
htmldef "o1_"  as "<IMG SRC='_bnj_o1.gif' WIDTH=13 HEIGHT=19" +
    " ALT=' o1_' TITLE='o1_'>";
htmldef "p1"  as "<IMG SRC='_bnj_p1.gif' WIDTH=15 HEIGHT=19" +
    " ALT=' p1' TITLE='p1'>";
htmldef "q1"  as "<IMG SRC='_bnj_q1.gif' WIDTH=13 HEIGHT=19" +
    " ALT=' q1' TITLE='q1'>";
htmldef "r1"  as "<IMG SRC='_bnj_r1.gif' WIDTH=13 HEIGHT=19" +
    " ALT=' r1' TITLE='r1'>";
htmldef "s1"  as "<IMG SRC='_bnj_s1.gif' WIDTH=12 HEIGHT=19" +
    " ALT=' s1' TITLE='s1'>";
htmldef "t1"  as "<IMG SRC='_bnj_t1.gif' WIDTH=12 HEIGHT=19" +
    " ALT=' t1' TITLE='t1'>";
htmldef "u1"  as "<IMG SRC='_bnj_u1.gif' WIDTH=15 HEIGHT=19" +
    " ALT=' u1' TITLE='u1'>";
htmldef "v1"  as "<IMG SRC='_bnj_v1.gif' WIDTH=14 HEIGHT=19" +
    " ALT=' v1' TITLE='v1'>";
htmldef "w1"  as "<IMG SRC='_bnj_w1.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' w1' TITLE='w1'>";
htmldef "x1"  as "<IMG SRC='_bnj_x1.gif' WIDTH=15 HEIGHT=19" +
    " ALT=' x1' TITLE='x1'>";
htmldef "y1"  as "<IMG SRC='_bnj_y1.gif' WIDTH=14 HEIGHT=19" +
    " ALT=' y1' TITLE='y1'>";
htmldef "z1"  as "<IMG SRC='_bnj_z1.gif' WIDTH=14 HEIGHT=19" +
    " ALT=' z1' TITLE='z1'>";
althtmldef "a1_"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D44E;<SUB>1</SUB></SPAN>';
althtmldef "b1_"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D44F;<SUB>1</SUB></SPAN>';
althtmldef "c1_" as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D450;<SUB>1</SUB></SPAN>';
althtmldef "d1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D451;<SUB>1</SUB></SPAN>';
althtmldef "e1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D452;<SUB>1</SUB></SPAN>';
althtmldef "f1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D453;<SUB>1</SUB></SPAN>';
althtmldef "g1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D454;<SUB>1</SUB></SPAN>';
althtmldef "h1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x210E;<SUB>1</SUB></SPAN>';
althtmldef "i1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D456;<SUB>1</SUB></SPAN>';
althtmldef "j1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D457;<SUB>1</SUB></SPAN>';
althtmldef "k1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D458;<SUB>1</SUB></SPAN>';
althtmldef "l1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D459;<SUB>1</SUB></SPAN>';
althtmldef "m1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45A;<SUB>1</SUB></SPAN>';
althtmldef "n1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45B;<SUB>1</SUB></SPAN>';
althtmldef "o1_"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45C;<SUB>1</SUB></SPAN>';
althtmldef "p1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45D;<SUB>1</SUB></SPAN>';
althtmldef "q1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45E;<SUB>1</SUB></SPAN>';
althtmldef "r1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D45F;<SUB>1</SUB></SPAN>';
althtmldef "s1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D460;<SUB>1</SUB></SPAN>';
althtmldef "t1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D461;<SUB>1</SUB></SPAN>';
althtmldef "u1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D462;<SUB>1</SUB></SPAN>';
althtmldef "v1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D463;<SUB>1</SUB></SPAN>';
althtmldef "w1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D464;<SUB>1</SUB></SPAN>';
althtmldef "x1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D465;<SUB>1</SUB></SPAN>';
althtmldef "y1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D466;<SUB>1</SUB></SPAN>';
althtmldef "z1"  as
    '<SPAN CLASS=setvar STYLE="color:red">&#x1D467;<SUB>1</SUB></SPAN>';
latexdef "a1_"  as "a_1";
latexdef "b1_"  as "b_1";
latexdef "c1_" as "c_1";
latexdef "d1"  as "d_1";
latexdef "e1"  as "e_1";
latexdef "f1"  as "f_1";
latexdef "g1"  as "g_1";
latexdef "h1"  as "h_1";
latexdef "i1"  as "i_1";
latexdef "j1"  as "j_1";
latexdef "k1"  as "k_1";
latexdef "l1"  as "l_1";
latexdef "m1"  as "m_1";
latexdef "n1"  as "n_1";
latexdef "o1_"  as "o_1";
latexdef "p1"  as "p_1";
latexdef "q1"  as "q_1";
latexdef "r1"  as "r_1";
latexdef "s1"  as "s_1";
latexdef "t1"  as "t_1";
latexdef "u1"  as "u_1";
latexdef "v1"  as "v_1";
latexdef "w1"  as "w_1";
latexdef "x1"  as "x_1";
latexdef "y1"  as "y_1";
latexdef "z1"  as "z_1";
htmldef "A'" as "<IMG SRC='_bnj_caPrime.gif' WIDTH=15 HEIGHT=19" +
    " ALT=" + '"' + " A'" + '"' + " TITLE=" + '"' + "A'" + '"' + ">";
htmldef "B'" as "<IMG SRC='_bnj_cbPrime.gif' WIDTH=16 HEIGHT=19" +
    " ALT=" + '"' + " B'" + '"' + " TITLE=" + '"' + "B'" + '"' + ">";
htmldef "C'" as "<IMG SRC='_bnj_ccPrime.gif' WIDTH=16 HEIGHT=19" +
    " ALT=" + '"' + " C'" + '"' + " TITLE=" + '"' + "C'" + '"' + ">";
htmldef "D'" as "<IMG SRC='_bnj_cdPrime.gif' WIDTH=16 HEIGHT=19" +
    " ALT=" + '"' + " D'" + '"' + " TITLE=" + '"' + "D'" + '"' + ">";
htmldef "E'" as "<IMG SRC='_bnj_cePrime.gif' WIDTH=17 HEIGHT=19" +
    " ALT=" + '"' + " E'" + '"' + " TITLE=" + '"' + "E'" + '"' + ">";
htmldef "F'" as "<IMG SRC='_bnj_cfPrime.gif' WIDTH=17 HEIGHT=19" +
    " ALT=" + '"' + " F'" + '"' + " TITLE=" + '"' + "F'" + '"' + ">";
htmldef "G'" as "<IMG SRC='_bnj_cgPrime.gif' WIDTH=16 HEIGHT=19" +
    " ALT=" + '"' + " G'" + '"' + " TITLE=" + '"' + "G'" + '"' + ">";
htmldef "H'" as "<IMG SRC='_bnj_chPrime.gif' WIDTH=18 HEIGHT=19" +
    " ALT=" + '"' + " H'" + '"' + " TITLE=" + '"' + "H'" + '"' + ">";
htmldef "I'" as "<IMG SRC='_bnj_ciPrime.gif' WIDTH=12 HEIGHT=19" +
    " ALT=" + '"' + " I'" + '"' + " TITLE=" + '"' + "I'" + '"' + ">";
htmldef "J'" as "<IMG SRC='_bnj_cjPrime.gif' WIDTH=14 HEIGHT=19" +
    " ALT=" + '"' + " J'" + '"' + " TITLE=" + '"' + "J'" + '"' + ">";
htmldef "K'" as "<IMG SRC='_bnj_ckPrime.gif' WIDTH=18 HEIGHT=19" +
    " ALT=" + '"' + " K'" + '"' + " TITLE=" + '"' + "K'" + '"' + ">";
htmldef "L'" as "<IMG SRC='_bnj_clPrime.gif' WIDTH=14 HEIGHT=19" +
    " ALT=" + '"' + " L'" + '"' + " TITLE=" + '"' + "L'" + '"' + ">";
htmldef "M'" as "<IMG SRC='_bnj_cmPrime.gif' WIDTH=19 HEIGHT=19" +
    " ALT=" + '"' + " M'" + '"' + " TITLE=" + '"' + "M'" + '"' + ">";
htmldef "N'" as "<IMG SRC='_bnj_cnPrime.gif' WIDTH=18 HEIGHT=19" +
    " ALT=" + '"' + " N'" + '"' + " TITLE=" + '"' + "N'" + '"' + ">";
htmldef "O'" as "<IMG SRC='_bnj_coPrime.gif' WIDTH=16 HEIGHT=19" +
    " ALT=" + '"' + " O'" + '"' + " TITLE=" + '"' + "O'" + '"' + ">";
htmldef "P'" as "<IMG SRC='_bnj_cpPrime.gif' WIDTH=16 HEIGHT=19" +
    " ALT=" + '"' + " P'" + '"' + " TITLE=" + '"' + "P'" + '"' + ">";
htmldef "Q'" as "<IMG SRC='_bnj_cqPrime.gif' WIDTH=16 HEIGHT=19" +
    " ALT=" + '"' + " Q'" + '"' + " TITLE=" + '"' + "Q'" + '"' + ">";
htmldef "R'" as "<IMG SRC='_bnj_crPrime.gif' WIDTH=16 HEIGHT=19" +
    " ALT=" + '"' + " R'" + '"' + " TITLE=" + '"' + "R'" + '"' + ">";
htmldef "S'" as "<IMG SRC='_bnj_csPrime.gif' WIDTH=15 HEIGHT=19" +
    " ALT=" + '"' + " S'" + '"' + " TITLE=" + '"' + "S'" + '"' + ">";
htmldef "T'" as "<IMG SRC='_bnj_ctPrime.gif' WIDTH=16 HEIGHT=19" +
    " ALT=" + '"' + " T'" + '"' + " TITLE=" + '"' + "T'" + '"' + ">";
htmldef "U'" as "<IMG SRC='_bnj_cuPrime.gif' WIDTH=16 HEIGHT=19" +
    " ALT=" + '"' + " U'" + '"' + " TITLE=" + '"' + "U'" + '"' + ">";
htmldef "V'" as "<IMG SRC='_bnj_cvPrime.gif' WIDTH=16 HEIGHT=19" +
    " ALT=" + '"' + " V'" + '"' + " TITLE=" + '"' + "V'" + '"' + ">";
htmldef "W'" as "<IMG SRC='_bnj_cwPrime.gif' WIDTH=20 HEIGHT=19" +
    " ALT=" + '"' + " W'" + '"' + " TITLE=" + '"' + "W'" + '"' + ">";
htmldef "X'" as "<IMG SRC='_bnj_cxPrime.gif' WIDTH=17 HEIGHT=19" +
    " ALT=" + '"' + " X'" + '"' + " TITLE=" + '"' + "X'" + '"' + ">";
htmldef "Y'" as "<IMG SRC='_bnj_cyPrime.gif' WIDTH=16 HEIGHT=19" +
    " ALT=" + '"' + " Y'" + '"' + " TITLE=" + '"' + "Y'" + '"' + ">";
htmldef "Z'" as "<IMG SRC='_bnj_czPrime.gif' WIDTH=15 HEIGHT=19" +
    " ALT=" + '"' + " Z'" + '"' + " TITLE=" + '"' + "Z'" + '"' + ">";
althtmldef "A'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D434;&prime;</SPAN>';
althtmldef "B'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D435;&prime;</SPAN>';
althtmldef "C'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D436;&prime;</SPAN>';
althtmldef "D'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D437;&prime;</SPAN>';
althtmldef "E'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D438;&prime;</SPAN>';
althtmldef "F'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D439;&prime;</SPAN>';
althtmldef "G'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43A;&prime;</SPAN>';
althtmldef "H'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43B;&prime;</SPAN>';
althtmldef "I'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43C;&prime;</SPAN>';
althtmldef "J'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43D;&prime;</SPAN>';
althtmldef "K'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43E;&prime;</SPAN>';
althtmldef "L'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43F;&prime;</SPAN>';
althtmldef "M'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D440;&prime;</SPAN>';
althtmldef "N'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D441;&prime;</SPAN>';
althtmldef "O'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D442;&prime;</SPAN>';
althtmldef "P'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D443;&prime;</SPAN>';
althtmldef "Q'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D444;&prime;</SPAN>';
althtmldef "R'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D445;&prime;</SPAN>';
althtmldef "S'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D446;&prime;</SPAN>';
althtmldef "T'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D447;&prime;</SPAN>';
althtmldef "U'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D448;&prime;</SPAN>';
althtmldef "V'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D449;&prime;</SPAN>';
althtmldef "W'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44A;&prime;</SPAN>';
althtmldef "X'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44B;&prime;</SPAN>';
althtmldef "Y'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44C;&prime;</SPAN>';
althtmldef "Z'" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44D;&prime;</SPAN>';
latexdef "A'" as "A'";
latexdef "B'" as "B'";
latexdef "C'" as "C'";
latexdef "D'" as "D'";
latexdef "E'" as "E'";
latexdef "F'" as "F'";
latexdef "G'" as "G'";
latexdef "H'" as "H'";
latexdef "I'" as "I'";
latexdef "J'" as "J'";
latexdef "K'" as "K'";
latexdef "L'" as "L'";
latexdef "M'" as "M'";
latexdef "N'" as "N'";
latexdef "O'" as "O'";
latexdef "P'" as "P'";
latexdef "Q'" as "Q'";
latexdef "R'" as "R'";
latexdef "S'" as "S'";
latexdef "T'" as "T'";
latexdef "U'" as "U'";
latexdef "V'" as "V'";
latexdef "W'" as "W'";
latexdef "X'" as "X'";
latexdef "Y'" as "Y'";
latexdef "Z'" as "Z'";
htmldef 'A"' as "<IMG SRC='_bnj_caPrimePrime.gif' WIDTH=18 HEIGHT=19 " +
      " ALT=' A" + '"' + "'TITLE='A" + '"' + "'>";
htmldef 'B"' as "<IMG SRC='_bnj_cbPrimePrime.gif' WIDTH=19 HEIGHT=19 " +
      " ALT=' B" + '"' + "'TITLE='B" + '"' + "'>";
htmldef 'C"' as "<IMG SRC='_bnj_ccPrimePrime.gif' WIDTH=19 HEIGHT=19 " +
      " ALT=' C" + '"' + "'TITLE='C" + '"' + "'>";
htmldef 'D"' as "<IMG SRC='_bnj_cdPrimePrime.gif' WIDTH=19 HEIGHT=19 " +
      " ALT=' D" + '"' + "'TITLE='D" + '"' + "'>";
htmldef 'E"' as "<IMG SRC='_bnj_cePrimePrime.gif' WIDTH=20 HEIGHT=19 " +
      " ALT=' E" + '"' + "'TITLE='E" + '"' + "'>";
htmldef 'F"' as "<IMG SRC='_bnj_cfPrimePrime.gif' WIDTH=20 HEIGHT=19 " +
      " ALT=' F" + '"' + "'TITLE='F" + '"' + "'>";
htmldef 'G"' as "<IMG SRC='_bnj_cgPrimePrime.gif' WIDTH=19 HEIGHT=19 " +
      " ALT=' G" + '"' + "'TITLE='G" + '"' + "'>";
htmldef 'H"' as "<IMG SRC='_bnj_chPrimePrime.gif' WIDTH=21 HEIGHT=19 " +
      " ALT=' H" + '"' + "'TITLE='H" + '"' + "'>";
htmldef 'I"' as "<IMG SRC='_bnj_ciPrimePrime.gif' WIDTH=15 HEIGHT=19 " +
      " ALT=' I" + '"' + "'TITLE='I" + '"' + "'>";
htmldef 'J"' as "<IMG SRC='_bnj_cjPrimePrime.gif' WIDTH=17 HEIGHT=19 " +
      " ALT=' J" + '"' + "'TITLE='J" + '"' + "'>";
htmldef 'K"' as "<IMG SRC='_bnj_ckPrimePrime.gif' WIDTH=21 HEIGHT=19 " +
      " ALT=' K" + '"' + "'TITLE='K" + '"' + "'>";
htmldef 'L"' as "<IMG SRC='_bnj_clPrimePrime.gif' WIDTH=17 HEIGHT=19 " +
      " ALT=' L" + '"' + "'TITLE='L" + '"' + "'>";
htmldef 'M"' as "<IMG SRC='_bnj_cmPrimePrime.gif' WIDTH=22 HEIGHT=19 " +
      " ALT=' M" + '"' + "'TITLE='M" + '"' + "'>";
htmldef 'N"' as "<IMG SRC='_bnj_cnPrimePrime.gif' WIDTH=21 HEIGHT=19 " +
      " ALT=' N" + '"' + "'TITLE='N" + '"' + "'>";
htmldef 'O"' as "<IMG SRC='_bnj_coPrimePrime.gif' WIDTH=19 HEIGHT=19 " +
      " ALT=' O" + '"' + "'TITLE='O" + '"' + "'>";
htmldef 'P"' as "<IMG SRC='_bnj_cpPrimePrime.gif' WIDTH=19 HEIGHT=19 " +
      " ALT=' P" + '"' + "'TITLE='P" + '"' + "'>";
htmldef 'Q"' as "<IMG SRC='_bnj_cqPrimePrime.gif' WIDTH=19 HEIGHT=19 " +
      " ALT=' Q" + '"' + "'TITLE='Q" + '"' + "'>";
htmldef 'R"' as "<IMG SRC='_bnj_crPrimePrime.gif' WIDTH=19 HEIGHT=19 " +
      " ALT=' R" + '"' + "'TITLE='R" + '"' + "'>";
htmldef 'S"' as "<IMG SRC='_bnj_csPrimePrime.gif' WIDTH=18 HEIGHT=19 " +
      " ALT=' S" + '"' + "'TITLE='S" + '"' + "'>";
htmldef 'T"' as "<IMG SRC='_bnj_ctPrimePrime.gif' WIDTH=19 HEIGHT=19 " +
      " ALT=' T" + '"' + "'TITLE='T" + '"' + "'>";
htmldef 'U"' as "<IMG SRC='_bnj_cuPrimePrime.gif' WIDTH=19 HEIGHT=19 " +
      " ALT=' U" + '"' + "'TITLE='U" + '"' + "'>";
htmldef 'V"' as "<IMG SRC='_bnj_cvPrimePrime.gif' WIDTH=19 HEIGHT=19 " +
      " ALT=' V" + '"' + "'TITLE='V" + '"' + "'>";
htmldef 'W"' as "<IMG SRC='_bnj_cwPrimePrime.gif' WIDTH=23 HEIGHT=19 " +
      " ALT=' W" + '"' + "'TITLE='W" + '"' + "'>";
htmldef 'X"' as "<IMG SRC='_bnj_cxPrimePrime.gif' WIDTH=20 HEIGHT=19 " +
      " ALT=' X" + '"' + "'TITLE='X" + '"' + "'>";
htmldef 'Y"' as "<IMG SRC='_bnj_cyPrimePrime.gif' WIDTH=19 HEIGHT=19 " +
      " ALT=' Y" + '"' + "'TITLE='Y" + '"' + "'>";
htmldef 'Z"' as "<IMG SRC='_bnj_czPrimePrime.gif' WIDTH=18 HEIGHT=19 " +
      " ALT=' Z" + '"' + "'TITLE='Z" + '"' + "'>";
althtmldef 'A"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D434;&Prime;</SPAN>';
althtmldef 'B"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D435;&Prime;</SPAN>';
althtmldef 'C"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D436;&Prime;</SPAN>';
althtmldef 'D"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D437;&Prime;</SPAN>';
althtmldef 'E"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D438;&Prime;</SPAN>';
althtmldef 'F"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D439;&Prime;</SPAN>';
althtmldef 'G"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43A;&Prime;</SPAN>';
althtmldef 'H"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43B;&Prime;</SPAN>';
althtmldef 'I"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43C;&Prime;</SPAN>';
althtmldef 'J"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43D;&Prime;</SPAN>';
althtmldef 'K"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43E;&Prime;</SPAN>';
althtmldef 'L"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43F;&Prime;</SPAN>';
althtmldef 'M"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D440;&Prime;</SPAN>';
althtmldef 'N"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D441;&Prime;</SPAN>';
althtmldef 'O"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D442;&Prime;</SPAN>';
althtmldef 'P"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D443;&Prime;</SPAN>';
althtmldef 'Q"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D444;&Prime;</SPAN>';
althtmldef 'R"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D445;&Prime;</SPAN>';
althtmldef 'S"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D446;&Prime;</SPAN>';
althtmldef 'T"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D447;&Prime;</SPAN>';
althtmldef 'U"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D448;&Prime;</SPAN>';
althtmldef 'V"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D449;&Prime;</SPAN>';
althtmldef 'W"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44A;&Prime;</SPAN>';
althtmldef 'X"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44B;&Prime;</SPAN>';
althtmldef 'Y"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44C;&Prime;</SPAN>';
althtmldef 'Z"' as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44D;&Prime;</SPAN>';
latexdef 'A"' as "A''";
latexdef 'B"' as "B''";
latexdef 'C"' as "C''";
latexdef 'D"' as "D''";
latexdef 'E"' as "E''";
latexdef 'F"' as "F''";
latexdef 'G"' as "G''";
latexdef 'H"' as "H''";
latexdef 'I"' as "I''";
latexdef 'J"' as "J''";
latexdef 'K"' as "K''";
latexdef 'L"' as "L''";
latexdef 'M"' as "M''";
latexdef 'N"' as "N''";
latexdef 'O"' as "O''";
latexdef 'P"' as "P''";
latexdef 'Q"' as "Q''";
latexdef 'R"' as "R''";
latexdef 'S"' as "S''";
latexdef 'T"' as "T''";
latexdef 'U"' as "U''";
latexdef 'V"' as "V''";
latexdef 'W"' as "W''";
latexdef 'X"' as "X''";
latexdef 'Y"' as "Y''";
latexdef 'Z"' as "Z''";
htmldef "A0" as "<IMG SRC='_bnj_ca0.gif' WIDTH=18 HEIGHT=19" +
    " ALT=' A0' TITLE='A0'>";
htmldef "B0" as "<IMG SRC='_bnj_cb0.gif' WIDTH=19 HEIGHT=19" +
    " ALT=' B0' TITLE='B0'>";
htmldef "C0" as "<IMG SRC='_bnj_cc0.gif' WIDTH=19 HEIGHT=19" +
    " ALT=' C0' TITLE='C0'>";
htmldef "D0" as "<IMG SRC='_bnj_cd0.gif' WIDTH=19 HEIGHT=19" +
    " ALT=' D0' TITLE='D0'>";
htmldef "E0" as "<IMG SRC='_bnj_ce0.gif' WIDTH=20 HEIGHT=19" +
    " ALT=' E0' TITLE='E0'>";
htmldef "F0" as "<IMG SRC='_bnj_cf0.gif' WIDTH=20 HEIGHT=19" +
    " ALT=' F0' TITLE='F0'>";
htmldef "G0" as "<IMG SRC='_bnj_cg0.gif' WIDTH=19 HEIGHT=19" +
    " ALT=' G0' TITLE='G0'>";
htmldef "H0" as "<IMG SRC='_bnj_ch0.gif' WIDTH=21 HEIGHT=19" +
    " ALT=' H0' TITLE='H0'>";
htmldef "I0" as "<IMG SRC='_bnj_ci0.gif' WIDTH=15 HEIGHT=19" +
    " ALT=' I0' TITLE='I0'>";
htmldef "J0" as "<IMG SRC='_bnj_cj0.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' J0' TITLE='J0'>";
htmldef "K0" as "<IMG SRC='_bnj_ck0.gif' WIDTH=21 HEIGHT=19" +
    " ALT=' K0' TITLE='K0'>";
htmldef "L0" as "<IMG SRC='_bnj_cl0.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' L0' TITLE='L0'>";
htmldef "M0" as "<IMG SRC='_bnj_cm0.gif' WIDTH=22 HEIGHT=19" +
    " ALT=' M0' TITLE='M0'>";
htmldef "N0" as "<IMG SRC='_bnj_cn0.gif' WIDTH=21 HEIGHT=19" +
    " ALT=' N0' TITLE='N0'>";
htmldef "O0" as "<IMG SRC='_bnj_co0.gif' WIDTH=19 HEIGHT=19" +
    " ALT=' O0' TITLE='O0'>";
htmldef "P0" as "<IMG SRC='_bnj_cp0.gif' WIDTH=19 HEIGHT=19" +
    " ALT=' P0' TITLE='P0'>";
htmldef "Q0" as "<IMG SRC='_bnj_cq0.gif' WIDTH=19 HEIGHT=19" +
    " ALT=' Q0' TITLE='Q0'>";
htmldef "R0" as "<IMG SRC='_bnj_cr0.gif' WIDTH=19 HEIGHT=19" +
    " ALT=' R0' TITLE='R0'>";
htmldef "S0" as "<IMG SRC='_bnj_cs0.gif' WIDTH=18 HEIGHT=19" +
    " ALT=' S0' TITLE='S0'>";
htmldef "T0" as "<IMG SRC='_bnj_ct0.gif' WIDTH=19 HEIGHT=19" +
    " ALT=' T0' TITLE='T0'>";
htmldef "U0" as "<IMG SRC='_bnj_cu0.gif' WIDTH=19 HEIGHT=19" +
    " ALT=' U0' TITLE='U0'>";
htmldef "V0" as "<IMG SRC='_bnj_cv0.gif' WIDTH=19 HEIGHT=19" +
    " ALT=' V0' TITLE='V0'>";
htmldef "W0" as "<IMG SRC='_bnj_cw0.gif' WIDTH=23 HEIGHT=19" +
    " ALT=' W0' TITLE='W0'>";
htmldef "X0" as "<IMG SRC='_bnj_cx0.gif' WIDTH=20 HEIGHT=19" +
    " ALT=' X0' TITLE='X0'>";
htmldef "Y0" as "<IMG SRC='_bnj_cy0.gif' WIDTH=19 HEIGHT=19" +
    " ALT=' Y0' TITLE='Y0'>";
htmldef "Z0" as "<IMG SRC='_bnj_cz0.gif' WIDTH=18 HEIGHT=19" +
    " ALT=' Z0' TITLE='Z0'>";
althtmldef "A0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D434;<SUB>0</SUB></SPAN>';
althtmldef "B0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D435;<SUB>0</SUB></SPAN>';
althtmldef "C0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D436;<SUB>0</SUB></SPAN>';
althtmldef "D0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D437;<SUB>0</SUB></SPAN>';
althtmldef "E0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D438;<SUB>0</SUB></SPAN>';
althtmldef "F0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D439;<SUB>0</SUB></SPAN>';
althtmldef "G0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43A;<SUB>0</SUB></SPAN>';
althtmldef "H0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43B;<SUB>0</SUB></SPAN>';
althtmldef "I0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43C;<SUB>0</SUB></SPAN>';
althtmldef "J0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43D;<SUB>0</SUB></SPAN>';
althtmldef "K0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43E;<SUB>0</SUB></SPAN>';
althtmldef "L0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43F;<SUB>0</SUB></SPAN>';
althtmldef "M0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D440;<SUB>0</SUB></SPAN>';
althtmldef "N0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D441;<SUB>0</SUB></SPAN>';
althtmldef "O0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D442;<SUB>0</SUB></SPAN>';
althtmldef "P0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D443;<SUB>0</SUB></SPAN>';
althtmldef "Q0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D444;<SUB>0</SUB></SPAN>';
althtmldef "R0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D445;<SUB>0</SUB></SPAN>';
althtmldef "S0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D446;<SUB>0</SUB></SPAN>';
althtmldef "T0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D447;<SUB>0</SUB></SPAN>';
althtmldef "U0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D448;<SUB>0</SUB></SPAN>';
althtmldef "V0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D449;<SUB>0</SUB></SPAN>';
althtmldef "W0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44A;<SUB>0</SUB></SPAN>';
althtmldef "X0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44B;<SUB>0</SUB></SPAN>';
althtmldef "Y0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44C;<SUB>0</SUB></SPAN>';
althtmldef "Z0" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44D;<SUB>0</SUB></SPAN>';
latexdef "A0" as "A_0";
latexdef "B0" as "B_0";
latexdef "C0" as "C_0";
latexdef "D0" as "D_0";
latexdef "E0" as "E_0";
latexdef "F0" as "F_0";
latexdef "G0" as "G_0";
latexdef "H0" as "H_0";
latexdef "I0" as "I_0";
latexdef "J0" as "J_0";
latexdef "K0" as "K_0";
latexdef "L0" as "L_0";
latexdef "M0" as "M_0";
latexdef "N0" as "N_0";
latexdef "O0" as "O_0";
latexdef "P0" as "P_0";
latexdef "Q0" as "Q_0";
latexdef "R0" as "R_0";
latexdef "S0" as "S_0";
latexdef "T0" as "T_0";
latexdef "U0" as "U_0";
latexdef "V0" as "V_0";
latexdef "W0" as "W_0";
latexdef "X0" as "X_0";
latexdef "Y0" as "Y_0";
latexdef "Z0" as "Z_0";
htmldef "A1_"  as "<IMG SRC='_bnj_ca1.gif' WIDTH=16 HEIGHT=19" +
    " ALT=' A1' TITLE='A1'>";
htmldef "B1_"  as "<IMG SRC='_bnj_cb1.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' B1' TITLE='B1'>";
htmldef "C1_"  as "<IMG SRC='_bnj_cc1.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' C1' TITLE='C1'>";
htmldef "D1_"  as "<IMG SRC='_bnj_cd1.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' D1' TITLE='D1'>";
htmldef "E1"  as "<IMG SRC='_bnj_ce1.gif' WIDTH=18 HEIGHT=19" +
    " ALT=' E1' TITLE='E1'>";
htmldef "F1_"  as "<IMG SRC='_bnj_cf1.gif' WIDTH=18 HEIGHT=19" +
    " ALT=' F1' TITLE='F1'>";
htmldef "G1_"  as "<IMG SRC='_bnj_cg1.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' G1' TITLE='G1'>";
htmldef "H1_"  as "<IMG SRC='_bnj_ch1.gif' WIDTH=19 HEIGHT=19" +
    " ALT=' H1' TITLE='H1'>";
htmldef "I1_"  as "<IMG SRC='_bnj_ci1.gif' WIDTH=13 HEIGHT=19" +
    " ALT=' I1' TITLE='I1'>";
htmldef "J1"  as "<IMG SRC='_bnj_cj1.gif' WIDTH=15 HEIGHT=19" +
    " ALT=' J1' TITLE='J1'>";
htmldef "K1"  as "<IMG SRC='_bnj_ck1.gif' WIDTH=19 HEIGHT=19" +
    " ALT=' K1' TITLE='K1'>";
htmldef "L1_"  as "<IMG SRC='_bnj_cl1.gif' WIDTH=15 HEIGHT=19" +
    " ALT=' L1' TITLE='L1'>";
htmldef "M1_"  as "<IMG SRC='_bnj_cm1.gif' WIDTH=20 HEIGHT=19" +
    " ALT=' M1' TITLE='M1'>";
htmldef "N1"  as "<IMG SRC='_bnj_cn1.gif' WIDTH=19 HEIGHT=19" +
    " ALT=' N1' TITLE='N1'>";
htmldef "O1_"  as "<IMG SRC='_bnj_co1.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' O1_' TITLE='O1_'>";
htmldef "P1"  as "<IMG SRC='_bnj_cp1.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' P1' TITLE='P1'>";
htmldef "Q1"  as "<IMG SRC='_bnj_cq1.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' Q1' TITLE='Q1'>";
htmldef "R1_" as "<IMG SRC='_bnj_cr1.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' R1_' TITLE='R1_'>";
htmldef "S1_"  as "<IMG SRC='_bnj_cs1.gif' WIDTH=16 HEIGHT=19" +
    " ALT=' S1' TITLE='S1'>";
htmldef "T1"  as "<IMG SRC='_bnj_ct1.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' T1' TITLE='T1'>";
htmldef "U1"  as "<IMG SRC='_bnj_cu1.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' U1' TITLE='U1'>";
htmldef "V1_"  as "<IMG SRC='_bnj_cv1.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' V1' TITLE='V1'>";
htmldef "W1"  as "<IMG SRC='_bnj_cw1.gif' WIDTH=21 HEIGHT=19" +
    " ALT=' W1' TITLE='W1'>";
htmldef "X1"  as "<IMG SRC='_bnj_cx1.gif' WIDTH=18 HEIGHT=19" +
    " ALT=' X1' TITLE='X1'>";
htmldef "Y1"  as "<IMG SRC='_bnj_cy1.gif' WIDTH=17 HEIGHT=19" +
    " ALT=' Y1' TITLE='Y1'>";
htmldef "Z1"  as "<IMG SRC='_bnj_cz1.gif' WIDTH=16 HEIGHT=19" +
    " ALT=' Z1' TITLE='Z1'>";
althtmldef "A1_"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D434;<SUB>1</SUB></SPAN>';
althtmldef "B1_"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D435;<SUB>1</SUB></SPAN>';
althtmldef "C1_"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D436;<SUB>1</SUB></SPAN>';
althtmldef "D1_"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D437;<SUB>1</SUB></SPAN>';
althtmldef "E1"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D438;<SUB>1</SUB></SPAN>';
althtmldef "F1_"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D439;<SUB>1</SUB></SPAN>';
althtmldef "G1_"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43A;<SUB>1</SUB></SPAN>';
althtmldef "H1_"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43B;<SUB>1</SUB></SPAN>';
althtmldef "I1_"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43C;<SUB>1</SUB></SPAN>';
althtmldef "J1"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43D;<SUB>1</SUB></SPAN>';
althtmldef "K1"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43E;<SUB>1</SUB></SPAN>';
althtmldef "L1_"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D43F;<SUB>1</SUB></SPAN>';
althtmldef "M1_"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D440;<SUB>1</SUB></SPAN>';
althtmldef "N1"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D441;<SUB>1</SUB></SPAN>';
althtmldef "O1_"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D442;<SUB>1</SUB></SPAN>';
althtmldef "P1"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D443;<SUB>1</SUB></SPAN>';
althtmldef "Q1"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D444;<SUB>1</SUB></SPAN>';
althtmldef "R1_" as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D445;<SUB>1</SUB></SPAN>';
althtmldef "S1_"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D446;<SUB>1</SUB></SPAN>';
althtmldef "T1"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D447;<SUB>1</SUB></SPAN>';
althtmldef "U1"  as
   '<SPAN CLASS=class STYLE="color:#C3C">&#x1D448;<SUB>1</SUB></SPAN>';
althtmldef "V1_"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D449;<SUB>1</SUB></SPAN>';
althtmldef "W1"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44A;<SUB>1</SUB></SPAN>';
althtmldef "X1"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44B;<SUB>1</SUB></SPAN>';
althtmldef "Y1"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44C;<SUB>1</SUB></SPAN>';
althtmldef "Z1"  as
    '<SPAN CLASS=class STYLE="color:#C3C">&#x1D44D;<SUB>1</SUB></SPAN>';
latexdef "A1_"  as "A_1";
latexdef "B1_"  as "B_1";
latexdef "C1_"  as "C_1";
latexdef "D1_"  as "D_1";
latexdef "E1"  as "E_1";
latexdef "F1_"  as "F_1";
latexdef "G1_"  as "G_1";
latexdef "H1_"  as "H_1";
latexdef "I1_"  as "I_1";
latexdef "J1"  as "J_1";
latexdef "K1"  as "K_1";
latexdef "L1_"  as "L_1";
latexdef "M1_"  as "M_1";
latexdef "N1"  as "N_1";
latexdef "O1_"  as "O_1";
latexdef "P1"  as "P_1";
latexdef "Q1"  as "Q_1";
latexdef "R1_" as "R_1";
latexdef "S1_"  as "S_1";
latexdef "T1"  as "T_1";
latexdef "U1"  as "U_1";
latexdef "V1_"  as "V_1";
latexdef "W1"  as "W_1";
latexdef "X1"  as "X_1";
latexdef "Y1"  as "Y_1";
latexdef "Z1"  as "Z_1";
/*
htmldef "_fns" as
    " <IMG SRC='_fns.gif' WIDTH=19 HEIGHT=19 ALT=' fns' TITLE='fns'> ";
  althtmldef "_fns" as " fns ";
  latexdef "_fns" as "\mathrm{fns}";
*/
htmldef "_pred" as
    " <IMG SRC='_pred.gif' WIDTH=30 HEIGHT=19 ALT=' pred' TITLE='pred'>";
  althtmldef "_pred" as " pred";
  latexdef "_pred" as "\mathrm{pred}";
htmldef "_Se" as
    " <IMG SRC='_cse.gif' WIDTH=15 HEIGHT=19 ALT=' Se' TITLE='Se'> ";
  althtmldef "_Se" as " Se ";
  latexdef "_Se" as "\mathrel{\operatorname{Se}}";
htmldef "_FrSe" as
    " <IMG SRC='_frse.gif' WIDTH=30 HEIGHT=19 ALT=' FrSe' TITLE='FrSe'> ";
  althtmldef "_FrSe" as " FrSe ";
  latexdef "_FrSe" as "\mathrel{\operatorname{FrSe}}";
htmldef "_trCl" as
    " <IMG SRC='_trcl.gif' WIDTH=26 HEIGHT=19 ALT=' trCl' TITLE='trCl'>";
  althtmldef "_trCl" as " trCl";
  latexdef "_trCl" as "\mathrm{trCl}";
htmldef "_TrFo" as
    " <IMG SRC='_trfo.gif' WIDTH=32 HEIGHT=19 ALT=' TrFo' TITLE='TrFo'>";
  althtmldef "_TrFo" as " TrFo";
  latexdef "_TrFo" as "\mathrm{TrFo}";
/* End of Jonathan Ben-Naim's mathbox */

/* Mathbox of BJ */
htmldef "Prv" as "Prv ";
  althtmldef "Prv" as "Prv ";
  latexdef "Prv" as "\operatorname{Prv}";
htmldef "E**" as "E**";
  althtmldef "E**" as '&exist;**';
  latexdef "E**" as "\exists^{**}";
htmldef "{{" as "{";
  althtmldef "{{" as "{";
  latexdef "{{" as "\{";
htmldef "}}" as "}";
  althtmldef "}}" as "}";
  latexdef "}}" as "\}";
htmldef "F//" as "F//";
  althtmldef "F//" as "&#8498;'";
  latexdef "F//" as "\Finv'";
htmldef "sngl" as "sngl ";
  althtmldef "sngl" as "sngl ";
  latexdef "sngl" as "\operatorname{sngl}";
htmldef "tag" as "tag ";
  althtmldef "tag" as "tag ";
  latexdef "tag" as "\operatorname{tag}";
htmldef "(|" as "(|";
  althtmldef "(|" as "&#x2985;";
  latexdef "(|" as "\mathopen{(\!|}";
htmldef "|)" as "|)";
  althtmldef "|)" as "&#x2986";
  latexdef "|)" as "\mathclose{|\!)}";
htmldef ",," as ", ";
  althtmldef ",," as ", ";
  latexdef ",," as ", ";
htmldef "Proj" as " Proj ";
  althtmldef "Proj" as " Proj ";
  latexdef "Proj" as "\mathbin{Proj}";
htmldef "pr1" as "pr<sub>1</sub> ";
  althtmldef "pr1" as "pr<sub>1</sub> ";
  latexdef "pr1" as "\operatorname{pr_1}";
htmldef "pr2" as "pr<sub>2</sub> ";
  althtmldef "pr2" as "pr<sub>2</sub> ";
  latexdef "pr2" as "\operatorname{pr_2}";
htmldef "if-" as "if-";
  althtmldef "if-" as "if-";
  latexdef "if-" as "\operatorname{if}";
htmldef "elwise" as "elwise";
  althtmldef "elwise" as "elwise";
  latexdef "elwise" as "\operatorname{elwise}";
htmldef "Moore_" as "Moore_";
  althtmldef "Moore_" as "<u>Moore</u>";
  latexdef "Moore_" as "\underline{\mathrm{Moore}}";
htmldef "-Set->" as " -Set-> ";
  althtmldef "-Set->" as ' <span style = " ' +
    ' overflow: visible; width: 0px; height: 0px; display: inline-block; ' +
    ' font-size: 65%; position: relative; top: -1.4ex; ' +
    ' left: 0.4ex">Set</span>&#x27f6; ';
  latexdef "-Set->" as "\overset{\text{Set}}{\longrightarrow}";
htmldef "-Top->" as " -Top-> ";
  althtmldef "-Top->" as ' <span style = " ' +
    ' overflow: visible; width: 0px; height: 0px; display: inline-block; ' +
    ' font-size: 65%; position: relative; top: -1.4ex; ' +
    ' left: 0.4ex">Top</span>&#x27f6; ';
  latexdef "-Top->" as "\overset{\text{Top}}{\longrightarrow}";
htmldef "-Mgm->" as " -Mgm-> ";
  althtmldef "-Mgm->" as ' <span style = " ' +
    ' overflow: visible; width: 0px; height: 0px; display: inline-block; ' +
    ' font-size: 65%; position: relative; top: -1.4ex; ' +
    ' left: 0.4ex">Mgm</span>&#x27f6; ';
  latexdef "-Mgm->" as "\overset{\text{Mgm}}{\longrightarrow}";
htmldef "-TopMgm->" as " -TopMgm-> ";
  althtmldef "-TopMgm->" as ' <span style = " ' +
    ' overflow: visible; width: 0px; height: 0px; display: inline-block; ' +
    ' font-size: 65%; position: relative; top: -1.4ex; ' +
    ' left: 0.0ex">TopMgm</span>&#x27f6; ';
  latexdef "-TopMgm->" as "\overset{\text{TopMgm}}{\longrightarrow}";
htmldef "curry_" as "curry_";
  althtmldef "curry_" as "curry_";
  latexdef "curry_" as "\operatorname{curry}";
htmldef "uncurry_" as "uncurry_";
  althtmldef "uncurry_" as "uncurry_";
  latexdef "uncurry_" as "\operatorname{uncurry}";
htmldef "[s" as "[";
  althtmldef "[s" as "[";
  latexdef "[s" as "[";
htmldef "]s" as "]s";
  althtmldef "]s" as "]<SUB>struct</SUB>";
  latexdef "]s" as "]_\mathrm{struct}";
htmldef "_Id" as "Id";
  althtmldef "_Id" as "Id";
  latexdef "_Id" as "\operatorname{Id}";
htmldef "~P_*" as "~P_*";
  althtmldef "~P_*" as "&#119979;<sub>*</sub>";
  latexdef "~P_*" as "\mathrel{\mathcal{P}_*}";
htmldef "~P^*" as "~P^*";
  althtmldef "~P^*" as "&#119979;<sup>*</sup>";
  latexdef "~P^*" as "\mathrel{\mathcal{P}^*}";
htmldef "1/2" as "1/2";
  althtmldef "1/2" as "1/2";
  latexdef "1/2" as "1/2";
htmldef "CCinfty" as "CCinfty";
  althtmldef "CCinfty" as "&#8450;<SUB>&infin;</SUB>";
  latexdef "CCinfty" as "\mathbb{C}_\infty";
htmldef "CCinftyN" as "CCinftyN";
  althtmldef "CCinftyN" as "&#8450;<SUB>&infin;N</SUB>";
  latexdef "CCinftyN" as "{\mathbb{C}_\infty}";
htmldef "CCbar" as "CCbar";
  althtmldef "CCbar" as "&#8450;&#x305;";
  latexdef "CCbar" as "\overline{\mathbb{C}}";
htmldef "RRbar" as "RRbar";
  althtmldef "RRbar" as "&#8477;&#x305;";
  latexdef "RRbar" as "\overline{\mathbb{R}}";
htmldef "+cc" as " +cc ";
  althtmldef "+cc" as " +<SUB>&#8450;&#x305;</SUB> ";
  latexdef "+cc" as " +_{\overline{\mathbb{C}}} ";
htmldef "-cc" as "-cc";
  althtmldef "-cc" as "-<SUB>&#8450;&#x305;</SUB>";
  latexdef "-cc" as "-_{\overline{\mathbb{C}}}";
htmldef "<rr" as "<rr";
  althtmldef "<rr" as "&lt;<SUB>&#8477;&#x305;</SUB>";
  latexdef "<rr" as "<_{\overline{\mathbb{R}}}";
htmldef ".cc" as " .cc ";
  althtmldef ".cc" as " &#183;<SUB>&#8450;&#x305;</SUB> ";
  latexdef ".cc" as " \cdot_{\overline{\mathbb{C}}} ";
htmldef "invc" as "invc";
  althtmldef "invc" as "<SUP>-1</SUP><SUB>&#8450;&#x305;</SUB>";
  latexdef "invc" as "\cdot^{-1}";
htmldef "iomnn" as "iomnn";
  althtmldef "iomnn" as "i<SUB>&omega;&hookrightarrow;&#8469;</SUB>";
  latexdef "iomnn" as "i_{\omega \hookrightarrow \overline{\mathbb{N}}}";
htmldef "Arg" as "Arg";
  althtmldef "Arg" as "Arg";
  latexdef "Arg" as "\operatorname{Arg}";
htmldef "RR>=0" as "RR>=0";
  althtmldef "RR>=0" as "&#8477;<SUB>&ge;0</SUB>";
  latexdef "RR>=0" as "\mathbb{R}_{\geq 0}";
htmldef "RR>0" as "RR>0";
  althtmldef "RR>0" as "&#8477;<SUB>>0</SUB>";
  latexdef "RR>0" as "\mathbb{R}_{>0}";
htmldef "{R" as "{R";
  althtmldef "{R" as "{<I><SUB><B>R</B></SUB></I>";
  latexdef "{R" as "\{_R";
htmldef "inftyexpi" as "inftyexpi ";
  althtmldef "inftyexpi" as "+&infin;e<SUP>i</SUP>";
  latexdef "inftyexpi" as "+\infty\mathrm{e^i}";
htmldef "inftyexpitau" as "inftyexpitau ";
  althtmldef "inftyexpitau" as "+&infin;e<SUP>i&tau;</SUP>";
  latexdef "inftyexpitau" as "+\infty\mathrm{e^{i\tau}}";
htmldef "minfty" as "minfty";
  althtmldef "minfty" as "-&infin;";
  latexdef "minfty" as "-\infty";
htmldef "pinfty" as "pinfty";
  althtmldef "pinfty" as "+&infin;";
  latexdef "pinfty" as "+\infty";
htmldef "infty" as "infty";
  althtmldef "infty" as "&infin;";
  latexdef "infty" as "\infty";
htmldef "CChat" as "CChat";
  althtmldef "CChat" as "&#8450;&#x302;";
  latexdef "CChat" as "\hat{\mathbb{C}}";
htmldef "RRhat" as "RRhat";
  althtmldef "RRhat" as "&#8477;&#x302;";
  latexdef "RRhat" as "\hat{\mathbb{R}}";
htmldef "NNbar" as "NNbar";
  althtmldef "NNbar" as "&#8469;&#x305;";
  latexdef "NNbar" as "\bar{\mathbb{N}}";
htmldef "ZZbar" as "ZZbar";
  althtmldef "ZZbar" as "&#8484;&#x305;";
  latexdef "ZZbar" as "\bar{\mathbb{Z}}";
htmldef "ZZhat" as "ZZhat";
  althtmldef "ZZhat" as "&#8484;&#x302;";
  latexdef "ZZhat" as "\hat{\mathbb{Z}}";
htmldef "||C" as " ||C ";
  althtmldef "||C" as " &#8741;<sub>&#8450;</sub> ";
  latexdef "||C" as "\mathrel{\parallel_{\mathbb{C}}}";
htmldef "FinSum" as " FinSum ";
  althtmldef "FinSum" as " FinSum ";
  latexdef "FinSum" as " \mathrm{FinSum} ";
htmldef "RRVec" as "RR-Vec";
  althtmldef "RRVec" as "&#8477;-Vec";
  latexdef "RRVec" as "{\mathbb{R}-\mathrm{Vec}}";
htmldef "End" as "End ";
  althtmldef "End" as "End ";
  latexdef "End" as "\operatorname{End}";
/* End of BJ's mathbox */

/* Mathbox of Norm Megill */
htmldef "LSAtoms" as "LSAtoms";
  althtmldef "LSAtoms" as "LSAtoms";
  latexdef "LSAtoms" as "\mathrm{LSAtoms}";
htmldef "LSHyp" as "LSHyp";
  althtmldef "LSHyp" as "LSHyp";
  latexdef "LSHyp" as "\mathrm{LSHyp}";
htmldef "<oL" as
    " <IMG SRC='lessdot.gif' WIDTH=11 HEIGHT=19 "
    + "ALT=' &lt;oL' TITLE='&lt;oL'><SUB>L</SUB> ";
  althtmldef "<oL" as ' &#8918;<SUB>L</SUB> ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "<oL" as "\lessdot_\mathrm{L}";
htmldef "LFnl" as "LFnl";
  althtmldef "LFnl" as "LFnl";
  latexdef "LFnl" as "\mathrm{LFnl}";
htmldef "LKer" as "LKer";
  althtmldef "LKer" as "LKer";
  latexdef "LKer" as "\mathrm{LKer}";
htmldef "LDual" as "LDual";
  althtmldef "LDual" as "LDual";
  latexdef "LDual" as "\mathrm{LDual}";
htmldef "OP" as "<IMG SRC='_op.gif' WIDTH=20 HEIGHT=19 ALT=' OP' TITLE='OP'>";
  althtmldef "OP" as "OP";
  latexdef "OP" as "\mathrm{OP}";
htmldef "cm" as
    "<IMG SRC='_rmcm.gif' WIDTH=19 HEIGHT=19 ALT=' cm' TITLE='cm'>";
  althtmldef "cm" as "cm";
  latexdef "cm" as "\mathrm{cm}";
htmldef "OL" as "<IMG SRC='_ol.gif' WIDTH=20 HEIGHT=19 ALT=' OL' TITLE='OL'>";
  althtmldef "OL" as "OL";
  latexdef "OL" as "\mathrm{OL}";
htmldef "OML" as
    "<IMG SRC='_oml.gif' WIDTH=32 HEIGHT=19 ALT=' OML' TITLE='OML'>";
  althtmldef "OML" as "OML";
  latexdef "OML" as "\mathrm{OML}";
htmldef "<o" as
    " <IMG SRC='lessdot.gif' WIDTH=11 HEIGHT=19 "
    + "ALT=' &lt;o' TITLE='&lt;o'> ";
  althtmldef "<o" as ' &#8918; ';
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "<o" as '\lessdot';
htmldef "Atoms" as
    "<IMG SRC='_atoms.gif' WIDTH=41 HEIGHT=19 ALT=' Atoms' TITLE='Atoms'>";
  althtmldef "Atoms" as "Atoms";
  latexdef "Atoms" as "\mathrm{Atoms}";
htmldef "AtLat" as
    "<IMG SRC='_atlat.gif' WIDTH=39 HEIGHT=19 ALT=' AtLat' TITLE='AtLat'>";
  althtmldef "AtLat" as "AtLat";
  latexdef "AtLat" as "\mathrm{AtLat}";
/*
htmldef "AtsLat" as "AtsLat";
  althtmldef "AtsLat" as "AtsLat";
*/
htmldef "CvLat" as
    "<IMG SRC='_cvlat.gif' WIDTH=41 HEIGHT=19 ALT=' CvLat' TITLE='CvLat'>";
  althtmldef "CvLat" as "CvLat";
  latexdef "CvLat" as "\mathrm{CvLat}";
htmldef "HL" as "<IMG SRC='_hl.gif' WIDTH=19 HEIGHT=19 ALT=' HL' TITLE='HL'>";
  althtmldef "HL" as "HL";
  latexdef "HL" as "\mathrm{HL}";
/*
htmldef "ser" as "ser";
  althtmldef "ser" as "ser";
  latexdef "ser" as "\mathrm{ser}";
htmldef "fcard" as "fcard";
  althtmldef "fcard" as "fcard";
htmldef "idsumf" as "idsumf";
  althtmldef "idsumf" as "idsumf";
htmldef "idsum" as "idsum";
  althtmldef "idsum" as "idsum";
htmldef "C_rng" as "C_rng";
  althtmldef "C_rng" as "C_rng";
htmldef "-vNEW" as "-vNEW";
  althtmldef "-vNEW" as "-vNEW";
htmldef "RVecNEW" as "RVecNEW";
  althtmldef "RVecNEW" as "RVecNEW";
htmldef "+ss" as
    "<IMG SRC='plus.gif' WIDTH=13 HEIGHT=19 ALT=' +' TITLE='+'>" +
    "<IMG SRC='_subss.gif' WIDTH=10 HEIGHT=19 ALT='ss' TITLE='ss'>";
  althtmldef "+ss" as "+<SUB>ss</SUB>";
  latexdef "+ss" as "+_\mathrm{ss}";
htmldef "SubSpNEW" as "SubSpNEW";
  althtmldef "SubSpNEW" as "SubSpNEW";
htmldef "spanNEW" as "spanNEW";
  althtmldef "spanNEW" as "spanNEW";
htmldef "o+" as "o+";
  althtmldef "o+" as "o+";
htmldef "Ev" as "Ev";
  althtmldef "Ev" as "Ev";
htmldef "/v" as "/v";
  althtmldef "/v" as "/v";
htmldef "normv" as "normv";
  althtmldef "normv" as "normv";
*/
htmldef "LLines" as
    "<IMG SRC='_llines.gif' WIDTH=43 HEIGHT=19 ALT=' LLines' TITLE='LLines'>";
  althtmldef "LLines" as "LLines";
  latexdef "LLines" as "\mathrm{LLines}";
htmldef "LPlanes" as
  "<IMG SRC='_lplanes.gif' WIDTH=51 HEIGHT=19 ALT=' LPlanes' TITLE='LPlanes'>";
  althtmldef "LPlanes" as "LPlanes";
  latexdef "LPlanes" as "\mathrm{LPlanes}";
htmldef "LVols" as
    "<IMG SRC='_lvols.gif' WIDTH=36 HEIGHT=19 ALT=' LVols' TITLE='LVols'>";
  althtmldef "LVols" as "LVols";
  latexdef "LVols" as "\mathrm{LVols}";
htmldef "Lines" as
    "<IMG SRC='_lines.gif' WIDTH=34 HEIGHT=19 ALT=' Lines' TITLE='Lines'>";
  althtmldef "Lines" as "Lines";
  latexdef "Lines" as "\mathrm{Lines}";
htmldef "Points" as
    "<IMG SRC='_points.gif' WIDTH=40 HEIGHT=19 ALT=' Points' TITLE='Points'>";
  althtmldef "Points" as "Points";
  latexdef "Points" as "\mathrm{Points}";
htmldef "PSubSp" as
    "<IMG SRC='_psubsp.gif' WIDTH=49 HEIGHT=19 ALT=' PSubSp' TITLE='PSubSp'>";
  althtmldef "PSubSp" as "PSubSp";
  latexdef "PSubSp" as "\mathrm{PSubSp}";
htmldef "pmap" as
    "<IMG SRC='_pmap.gif' WIDTH=36 HEIGHT=19 ALT=' pmap' TITLE='pmap'>";
  althtmldef "pmap" as "pmap";
  latexdef "pmap" as "\mathrm{pmap}";
htmldef "+P" as
    "<IMG SRC='plus.gif' WIDTH=13 HEIGHT=19 ALT=' +' TITLE='+'>" +
    "<IMG SRC='subcp.gif' WIDTH=8 HEIGHT=19 ALT='P' TITLE='P'>";
  althtmldef "+P" as "+<SUB>&#x1D443;</SUB>";
  latexdef "+P" as "+_P";
htmldef "PCl" as
    "<IMG SRC='_pcl.gif' WIDTH=23 HEIGHT=19 ALT=' PCl' TITLE='PCl'>";
  althtmldef "PCl" as "PCl";
  latexdef "PCl" as "\mathrm{PCl}";
htmldef "_|_P" as
    "<IMG SRC='perp.gif' WIDTH=11 HEIGHT=19 ALT=' _|_' TITLE='_|_'>" +
    "<IMG SRC='subcp.gif' WIDTH=8 HEIGHT=19 ALT='P' TITLE='P'>";
  althtmldef "_|_P" as "&#8869;<SUB>&#x1D443;</SUB>";
    /* 2-Jan-2016 reverted sans-serif */
  latexdef "_|_P" as "\perp_P";
htmldef "PSubCl" as
    "<IMG SRC='_psubcl.gif' WIDTH=47 HEIGHT=19 ALT=' PSubCl' TITLE='PSubCl'>";
  althtmldef "PSubCl" as "PSubCl";
  latexdef "PSubCl" as "\mathrm{PSubCl}";
/*
htmldef "sumP" as "sumP";
  althtmldef "sumP" as "sumP";
htmldef "Indep" as "Indep";
  althtmldef "Indep" as "Indep";
htmldef "BasesP" as "BasesP";
  althtmldef "BasesP" as "BasesP";
htmldef "rankP" as "rankP";
  althtmldef "rankP" as "rankP";
htmldef "PHyp" as "PHyp";
  althtmldef "PHyp" as "PHyp";
htmldef "ww" as "ww";
  althtmldef "ww" as "ww";
*/
htmldef "LHyp" as
    "<IMG SRC='_lhyp.gif' WIDTH=35 HEIGHT=19 ALT=' LHyp' TITLE='LHyp'>";
  althtmldef "LHyp" as "LHyp";
  latexdef "LHyp" as "\mathrm{LHyp}";
htmldef "LAut" as
    "<IMG SRC='_laut.gif' WIDTH=33 HEIGHT=19 ALT=' LAut' TITLE='LAut'>";
  althtmldef "LAut" as "LAut";
  latexdef "LAut" as "\mathrm{LAut}";
htmldef "WAtoms" as
    "<IMG SRC='_watoms.gif' WIDTH=53 HEIGHT=19 ALT=' WAtoms' TITLE='WAtoms'>";
  althtmldef "WAtoms" as "WAtoms";
  latexdef "WAtoms" as "\mathrm{WAtoms}";
htmldef "PAut" as
    "<IMG SRC='_paut.gif' WIDTH=30 HEIGHT=19 ALT=' PAut' TITLE='PAut'>";
  althtmldef "PAut" as "PAut";
  latexdef "PAut" as "\mathrm{PAut}";
htmldef "LDil" as
    "<IMG SRC='_ldil.gif' WIDTH=27 HEIGHT=19 ALT=' LDil' TITLE='LDil'>";
  althtmldef "LDil" as "LDil";
  latexdef "LDil" as "\mathrm{LDil}";
htmldef "LTrn" as
    "<IMG SRC='_ltrn.gif' WIDTH=33 HEIGHT=19 ALT=' LTrn' TITLE='LTrn'>";
  althtmldef "LTrn" as "LTrn";
  latexdef "LTrn" as "\mathrm{LTrn}";
htmldef "Dil" as
    "<IMG SRC='_dil.gif' WIDTH=18 HEIGHT=19 ALT=' Dil' TITLE='Dil'>";
  althtmldef "Dil" as "Dil";
  latexdef "Dil" as "\mathrm{Dil}";
htmldef "Trn" as
    "<IMG SRC='_trn.gif' WIDTH=23 HEIGHT=19 ALT=' Trn' TITLE='Trn'>";
  althtmldef "Trn" as "Trn";
  latexdef "Trn" as "\mathrm{Trn}";
/*
htmldef "trP" as "trP";
  althtmldef "trP" as "trP";
*/
htmldef "trL" as
    "<IMG SRC='_trl.gif' WIDTH=21 HEIGHT=19 ALT=' trL' TITLE='trL'>";
  althtmldef "trL" as "trL";
  latexdef "trL" as "\mathrm{trL}";
htmldef "TGrp" as
    "<IMG SRC='_tgrp.gif' WIDTH=35 HEIGHT=19 ALT=' TGrp' TITLE='TGrp'>";
  althtmldef "TGrp" as "TGrp";
  latexdef "TGrp" as "\mathrm{TGrp}";
htmldef "TEndo" as
    "<IMG SRC='_tendo.gif' WIDTH=42 HEIGHT=19 ALT=' TEndo' TITLE='TEndo'>";
  althtmldef "TEndo" as "TEndo";
  latexdef "TEndo" as "\mathrm{TEndo}";
htmldef "EDRing" as
    "<IMG SRC='_edring.gif' WIDTH=49 HEIGHT=19 ALT=' EDRing' TITLE='EDRing'>";
  althtmldef "EDRing" as "EDRing";
  latexdef "EDRing" as "\mathrm{EDRing}";
htmldef "EDRingR" as
    "<IMG SRC='_edring.gif' WIDTH=49 HEIGHT=19 ALT=' EDRing' TITLE='EDRing'>" +
    "<IMG SRC='subcr.gif' WIDTH=9 HEIGHT=19 ALT='R' TITLE='R'>";
  althtmldef "EDRingR" as "EDRing<SUB>R</SUB>";
  latexdef "EDRingR" as "\mathrm{EDRing}_R";
htmldef "DVecA" as
    "<IMG SRC='_dveca.gif' WIDTH=44 HEIGHT=19 ALT=' DVecA' TITLE='DVecA'>";
  althtmldef "DVecA" as "DVecA";
  latexdef "DVecA" as "\mathrm{DVecA}";
htmldef "DIsoA" as
    "<IMG SRC='_disoa.gif' WIDTH=37 HEIGHT=19 ALT=' DIsoA' TITLE='DIsoA'>";
  althtmldef "DIsoA" as "DIsoA";
  latexdef "DIsoA" as "\mathrm{DIsoA}";
htmldef "DVecH" as
    "<IMG SRC='_dvech.gif' WIDTH=44 HEIGHT=19 ALT=' DVecH' TITLE='DVecH'>";
  althtmldef "DVecH" as "DVecH";
  latexdef "DVecH" as "\mathrm{DVecH}";
htmldef "ocA" as
    "<IMG SRC='_oca.gif' WIDTH=24 HEIGHT=19 ALT=' ocA' TITLE='ocA'>";
  althtmldef "ocA" as "ocA";
  latexdef "ocA" as "\mathrm{ocA}";
htmldef "vA" as "<IMG SRC='_va.gif' WIDTH=16 HEIGHT=19 ALT=' vA' TITLE='vA'>";
  althtmldef "vA" as "vA";
  latexdef "vA" as "\mathrm{vA}";
htmldef "DIsoB" as
    "<IMG SRC='_disob.gif' WIDTH=36 HEIGHT=19 ALT=' DIsoB' TITLE='DIsoB'>";
  althtmldef "DIsoB" as "DIsoB";
  latexdef "DIsoB" as "\mathrm{DIsoB}";
htmldef "DIsoC" as
    "<IMG SRC='_disoc.gif' WIDTH=37 HEIGHT=19 ALT=' DIsoC' TITLE='DIsoC'>";
  althtmldef "DIsoC" as "DIsoC";
  latexdef "DIsoC" as "\mathrm{DIsoC}";
htmldef "DIsoH" as
    "<IMG SRC='_disoh.gif' WIDTH=37 HEIGHT=19 ALT=' DIsoH' TITLE='DIsoH'>";
  althtmldef "DIsoH" as "DIsoH";
  latexdef "DIsoH" as "\mathrm{DIsoH}";
htmldef "ocH" as
    "<IMG SRC='_och.gif' WIDTH=24 HEIGHT=19 ALT=' ocH' TITLE='ocH'>";
  althtmldef "ocH" as "ocH";
  latexdef "ocH" as "\mathrm{ocH}";
htmldef "joinH" as "joinH";
  althtmldef "joinH" as "joinH";
  latexdef "joinH" as "\mathrm{joinH}";
htmldef "LPol" as "LPol";
  althtmldef "LPol" as "LPol";
  latexdef "LPol" as "\mathrm{LPol}";
htmldef "LCDual" as "LCDual";
  althtmldef "LCDual" as "LCDual";
  latexdef "LCDual" as "\mathrm{LCDual}";
htmldef "mapd" as "mapd";
  althtmldef "mapd" as "mapd";
  latexdef "mapd" as "\mathrm{mapd}";
htmldef "HVMap" as "HVMap";
  althtmldef "HVMap" as "HVMap";
  latexdef "HVMap" as "\mathrm{HVMap}";
/*
htmldef "eImage" as "eImage";
  althtmldef "eImage" as "eImage";
  latexdef "eImage" as "\mathrm{eImage}";
*/
htmldef "HDMap1" as "HDMap1";
  althtmldef "HDMap1" as "HDMap1";
  latexdef "HDMap1" as "\mathrm{HDMap1}";
htmldef "HDMap" as "HDMap";
  althtmldef "HDMap" as "HDMap";
  latexdef "HDMap" as "\mathrm{HDMap}";
htmldef "HGMap" as "HGMap";
  althtmldef "HGMap" as "HGMap";
  latexdef "HGMap" as "\mathrm{HGMap}";
htmldef "HLHil" as "HLHil";
  althtmldef "HLHil" as "HLHil";
  latexdef "HLHil" as "\mathrm{HLHil}";
/*
htmldef "*HRing" as "*HRing";
  althtmldef "*HRing" as "*HRing";
  latexdef "*HRing" as "\ast\mathrm{HRing}";
htmldef "hmap" as "hmap";
  althtmldef "hmap" as "hmap";
  latexdef "hmap" as "\mathrm{hmap}";
htmldef "gmap" as "gmap";
  althtmldef "gmap" as "gmap";
  latexdef "gmap" as "\mathrm{gmap}";
htmldef "mapd" as "mapd";
  althtmldef "mapd" as "mapd";
  latexdef "mapd" as "\mathrm{mapd}";
htmldef "GrpEndo" as "GrpEndo";
  althtmldef "GrpEndo" as "GrpEndo";
htmldef "DVecAEndo" as "DVecAEndo";
  althtmldef "DVecAEndo" as "DVecAEndo";
htmldef "ERing" as "ERing";
  althtmldef "ERing" as "ERing";
htmldef "TPEndo" as "TPEndo";
  althtmldef "TPEndo" as "TPEndo";
htmldef "DRing" as "DRing";
  althtmldef "DRing" as "DRing";
htmldef "DVecA" as "DVecA";
  althtmldef "DVecA" as "DVecA";
htmldef "DVIsoPre" as "DVIsoPre";
  althtmldef "DVIsoPre" as "DVIsoPre";
htmldef "DVecB" as "DVecB";
  althtmldef "DVecB" as "DVecB";
htmldef "DVecH" as "DVecH";
  althtmldef "DVecH" as "DVecH";
htmldef "ee" as "ee";
  althtmldef "ee" as "ee";
htmldef "DVIsoA" as "DVIsoA";
  althtmldef "DVIsoA" as "DVIsoA";
htmldef "qtr" as "qtr";
  althtmldef "qtr" as "qtr";
htmldef "DVIsoB" as "DVIsoB";
  althtmldef "DVIsoB" as "DVIsoB";
htmldef "DVIsoC" as "DVIsoC";
  althtmldef "DVIsoC" as "DVIsoC";
htmldef "DVIsoH" as "DVIsoH";
  althtmldef "DVIsoH" as "DVIsoH";
htmldef "S_|_" as "S_|_";
  althtmldef "S_|_" as "S_|_";
htmldef "Ropp" as "Ropp";
  althtmldef "Ropp" as "Ropp";
htmldef "Vldual" as "Vldual";
  althtmldef "Vldual" as "Vldual";
htmldef "vecdom" as "vecdom";
  althtmldef "vecdom" as "vecdom";
htmldef "ker" as "ker";
  althtmldef "ker" as "ker";
htmldef "mapd" as "mapd";
  althtmldef "mapd" as "mapd";
htmldef "eimage" as "eimage";
  althtmldef "eimage" as "eimage";
htmldef "hmap" as "hmap";
  althtmldef "hmap" as "hmap";
htmldef "gmap" as "gmap";
  althtmldef "gmap" as "gmap";
htmldef "HLtoHil" as "HLtoHil";
  althtmldef "HLtoHil" as "HLtoHil";
*/
/* End of Norm Megill's mathbox */

/* Mathbox of Richard Penner */
htmldef "r*" as "<IMG SRC='r.gif' WIDTH=7 HEIGHT=19 ALT=' r' TITLE='r'>" +
    "<IMG SRC='ast.gif' WIDTH=7 HEIGHT=19 ALT='*' TITLE='*'>";
  althtmldef "r*" as "r*";
  latexdef "r*" as "\mathrm{r}*";
htmldef "hereditary" as " hereditary ";
  althtmldef "hereditary" as " hereditary ";
  latexdef "hereditary" as "\mathrm{hereditary}";
/* End of Richard Penner's mathbox */

/* Mathbox of Glauco Siliprandi */
htmldef "SAlg" as "SAlg";
  althtmldef "SAlg" as "SAlg";
  latexdef "SAlg" as "\mathrm{SAlg}";
htmldef "SalOn" as "SalOn";
  althtmldef "SalOn" as "SalOn";
  latexdef "SalOn" as "\mathrm{SalOn}";
htmldef "SalGen" as "SalGen";
  althtmldef "SalGen" as "SalGen";
  latexdef "SalGen" as "\mathrm{SalGen}";
htmldef "sum^" as "&Sigma;<SUP><small>^</small></SUP>";
  althtmldef "sum^" as "&Sigma;<SUP><small>^</small></SUP>";
  latexdef "sum^" as "\sum\hat{\;}";
htmldef "Meas" as "Meas";
  althtmldef "Meas" as "Meas";
  latexdef "Meas" as "\mathrm{Meas}";
htmldef "OutMeas" as "OutMeas";
  althtmldef "OutMeas" as "OutMeas";
  latexdef "OutMeas" as "\mathrm{OutMeas}";
htmldef "CaraGen" as "CaraGen";
  althtmldef "CaraGen" as "CaraGen";
  latexdef "CaraGen" as "\mathrm{CaraGen}";
htmldef "voln*" as "voln<SUP><small>*</small></SUP>";
  althtmldef "voln*" as "voln*";
  latexdef "voln*" as "\operatorname{voln}^*";
htmldef "voln" as "voln";
  althtmldef "voln" as "voln";
  latexdef "voln" as "\mathrm{voln}";
htmldef "SMblFn" as "SMblFn";
  althtmldef "SMblFn" as "SMblFn";
  latexdef "SMblFn" as "\mathrm{SMblFn}";
htmldef "liminf" as "liminf";
  althtmldef "liminf" as 'lim inf';
  latexdef "liminf" as "\liminf";
htmldef "~~>*" as "~~&gt;*";
  althtmldef "~~>*" as "~~>*";
  latexdef "~~>*" as "\rightsquigarrow *";
/* End of Glauco Siliprandi's mathbox */

/* End of typesetting definition section */
$)
$( End $[ set-typeset.mm $] $)


$( Begin $[ set-hilsp.mm $] $)
$(
###############################################################################
  COMPLEX HILBERT SPACE EXPLORER (DEPRECATED)
###############################################################################

  This part contains the definitions and theorems used by the Hilbert Space
  Explorer (HSE), ~ mmhil.html .  Because it axiomatizes a single complex
  Hilbert space whose existence is assumed, its usefulness is limited.  For
  example, it cannot work with real or quaternion Hilbert spaces and it cannot
  study relationships between two Hilbert spaces.  More information can be
  found on the Hilbert Space Explorer page.

  Future development should instead work with general Hilbert spaces as defined
  by ~ df-hil ; note that ~ df-hil uses extensible structures.

  The intent is for this deprecated section to be deleted once all its theorems
  have been translated into extensible structure versions (or are not useful).
  Many of the theorems in this section have already been translated to
  extensible structure versions, but there is still a lot in this section that
  might be useful for future reference.  It is much easier to translate these
  by hand from this section than to start from scratch from textbook proofs,
  since the HSE omits no details.

$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Axiomatization of complex pre-Hilbert spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Basic Hilbert space definitions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Axioms for a Hilbert space $)
  $( We assume we've constructed a fixed constant class ` ~H ` and
     associated operations, and we postulate their properties. $)

  $c ~H $.
  $c +h $.
  $c .h $.
  $c 0h $.
  $c -h $.
  $c .ih $.
  $c normh $.

  $c Cauchy $.
  $c ~~>v $.
  $c SH $.
  $c CH $.
  $c _|_ $.
  $c +H $.
  $c span $.
  $c vH $.
  $c \/H $.
  $c 0H $.
  $c C_H $.
  $c projh $.
  $c 0hop $.
  $c Iop $.
  $c +op $.
  $c .op $.
  $c -op $.
  $c +fn $.
  $c .fn $.
  $c normop $.
  $c ContOp $.
  $c LinOp $.
  $c BndLinOp $.
  $c UniOp $.
  $c HrmOp $.
  $c normfn $.
  $c null $.
  $c ContFn $.
  $c LinFn $.
  $c adjh $.
  $c bra $.
  $c ketbra $.
  $c <_op $.
  $c eigvec $.
  $c eigval $.
  $c Lambda $.
  $c States $.
  $c CHStates $.
  $c HAtoms $.
  $c <oH $.
  $c MH $.
  $c MH* $.
  $( Extend class notation with Hilbert vector space. $)
  chba $a class ~H $.

  $( Extend class notation with vector addition in Hilbert space.  In the
     literature, the subscript "h" is omitted, but we need it to avoid
     ambiguity with complex number addition ` + ` ~ caddc . $)
  cva $a class +h $.

  $( Register addition in Hilbert space as a primitive expression (lacking a
     definition). $)
  $( $j primitive 'cva'; $)

  $( Extend class notation with scalar multiplication in Hilbert space.  In the
     literature scalar multiplication is usually indicated by juxtaposition,
     but we need an explicit symbol to prevent ambiguity. $)
  csm $a class .h $.

  $( Register scalar multiplication in Hilbert space as a primitive expression
     (lacking a definition). $)
  $( $j primitive 'csm'; $)

  $( Extend class notation with inner (scalar) product in Hilbert space.  In
     the literature, the inner product of ` A ` and ` B ` is usually written
     ` <. A , B >. ` but our operation notation allows us to use existing
     theorems about operations and also eliminates ambiguity with the
     definition of an ordered pair ~ df-op . $)
  csp $a class .ih $.

  $( Register inner product in Hilbert space as a primitive expression (lacking
     a definition). $)
  $( $j primitive 'csp'; $)

  $( Extend class notation with the norm function in Hilbert space.  In the
     literature, the norm of ` A ` is usually written "|| ` A ` ||", but we use
     function notation to take advantage of our existing theorems about
     functions. $)
  cno $a class normh $.
  $( Extend class notation with zero vector in Hilbert space. $)
  c0v $a class 0h $.
  $( Extend class notation with vector subtraction in Hilbert space. $)
  cmv $a class -h $.
  $( Extend class notation with set of Cauchy sequences in Hilbert space. $)
  ccauold $a class Cauchy $.
  $( Extend class notation with convergence relation in Hilbert space. $)
  chli $a class ~~>v $.
  $( Extend class notation with set of subspaces of a Hilbert space. $)
  csh $a class SH $.
  $( Extend class notation with set of closed subspaces of a Hilbert space. $)
  cch $a class CH $.
  $( Extend class notation with orthogonal complement in ` CH ` . $)
  cort $a class _|_ $.
  $( Extend class notation with subspace sum in ` CH ` . $)
  cph $a class +H $.
  $( Extend class notation with subspace span in ` CH ` . $)
  cspn $a class span $.
  $( Extend class notation with join in ` CH ` . $)
  chj $a class vH $.
  $( Extend class notation with supremum of a collection in ` CH ` . $)
  chsup $a class \/H $.
  $( Extend class notation with zero of ` CH ` . $)
  c0h $a class 0H $.
  $( Extend class notation with the commutes relation on a Hilbert lattice. $)
  ccm $a class C_H $.
  $( Extend class notation with set of projections on a Hilbert space. $)
  cpjh $a class projh $.
  $( Extend class notation with sum of Hilbert space operators. $)
  chos $a class +op $.
  $( Extend class notation with scalar product of a Hilbert space operator. $)
  chot $a class .op $.
  $( Extend class notation with difference of Hilbert space operators. $)
  chod $a class -op $.
  $( Extend class notation with sum of Hilbert space functionals. $)
  chfs $a class +fn $.
  $( Extend class notation with scalar product of Hilbert space functional. $)
  chft $a class .fn $.
  $( Extend class notation with the Hilbert space zero operator. $)
  ch0o $a class 0hop $.
  $( Extend class notation with Hilbert space identity operator. $)
  chio $a class Iop $.
  $( Extend class notation with the operator norm function. $)
  cnop $a class normop $.
  $( Extend class notation with set of continuous Hilbert space operators. $)
  ccop $a class ContOp $.
  $( Extend class notation with set of linear Hilbert space operators. $)
  clo $a class LinOp $.
  $( Extend class notation with set of bounded linear operators. $)
  cbo $a class BndLinOp $.
  $( Extend class notation with set of unitary Hilbert space operators. $)
  cuo $a class UniOp $.
  $( Extend class notation with set of Hermitian Hilbert space operators. $)
  cho $a class HrmOp $.
  $( Extend class notation with the functional norm function. $)
  cnmf $a class normfn $.
  $( Extend class notation with the functional nullspace function. $)
  cnl $a class null $.
  $( Extend class notation with set of continuous Hilbert space functionals. $)
  ccnfn $a class ContFn $.
  $( Extend class notation with set of linear Hilbert space functionals. $)
  clf $a class LinFn $.
  $( Extend class notation with Hilbert space adjoint function. $)
  cado $a class adjh $.
  $( Extend class notation with the bra of a vector in Dirac bra-ket
     notation. $)
  cbr $a class bra $.
  $( Extend class notation with the outer product of two vectors in Dirac
     bra-ket notation. $)
  ck $a class ketbra $.
  $( Extend class notation with positive operator ordering. $)
  cleo $a class <_op $.
  $( Extend class notation with Hilbert space eigenvector function. $)
  cei $a class eigvec $.
  $( Extend class notation with Hilbert space eigenvalue function. $)
  cel $a class eigval $.
  $( Extend class notation with the spectrum of an operator. $)
  cspc $a class Lambda $.
  $( Extend class notation with set of states on a Hilbert lattice. $)
  cst $a class States $.
  $( Extend class notation with set of Hilbert-space-valued states on a Hilbert
     lattice. $)
  chst $a class CHStates $.
  $( Extend class notation with the covers relation on a Hilbert lattice. $)
  ccv $a class <oH $.
  $( Extend class notation with set of atoms on a Hilbert lattice. $)
  cat $a class HAtoms $.
  $( Extend class notation with the modular pair relation on a Hilbert
     lattice. $)
  cmd $a class MH $.
  $( Extend class notation with the dual modular pair relation on a Hilbert
     lattice. $)
  cdmd $a class MH* $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Preliminary ZFC lemmas
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( To convert to pure ZFC, put the definitions of ` +h ` , ` .h ` ,
     and ` .ih ` here. $)

  $( Define the function for the norm of a vector of Hilbert space.  See
     ~ normval for its value and ~ normcl for its closure.  Theorems
     ~ norm-i-i , ~ norm-ii-i , and ~ norm-iii-i show it has the expected
     properties of a norm.  In the literature, the norm of ` A ` is usually
     written "|| ` A ` ||", but we use function notation to take advantage of
     our existing theorems about functions.  Definition of norm in [Beran]
     p. 96.  (Contributed by NM, 6-Jun-2008.)  (New usage is discouraged.) $)
  df-hnorm $a |- normh = ( x e. dom dom .ih |-> ( sqrt ` ( x .ih x ) ) ) $.

  $( Define base set of Hilbert space, for use if we want to develop Hilbert
     space independently from the axioms (see comments in ~ ax-hilex ).  Note
     that ` ~H ` is considered a primitive in the Hilbert space axioms below,
     and we don't use this definition outside of this section.  This definition
     can be proved independently from those axioms as Theorem ~ hhba .
     (Contributed by NM, 31-May-2008.)  (New usage is discouraged.) $)
  df-hba $a |- ~H = ( BaseSet ` <. <. +h , .h >. , normh >. ) $.

  $( Define the zero vector of Hilbert space.  Note that ` 0vec ` is considered
     a primitive in the Hilbert space axioms below, and we don't use this
     definition outside of this section.  It is proved from the axioms as
     Theorem ~ hh0v .  (Contributed by NM, 31-May-2008.)
     (New usage is discouraged.) $)
  df-h0v $a |- 0h = ( 0vec ` <. <. +h , .h >. , normh >. ) $.

  ${
    $d x y $.
    $( Define vector subtraction.  See ~ hvsubvali for its value and ~ hvsubcli
       for its closure.  (Contributed by NM, 6-Jun-2008.)
       (New usage is discouraged.) $)
    df-hvsub $a |- -h = ( x e. ~H , y e. ~H |-> ( x +h ( -u 1 .h y ) ) ) $.
  $}

  ${
    $d x y z f w $.
    $( Define the limit relation for Hilbert space.  See ~ hlimi for its
       relational expression.  Note that ` f : NN --> ~H ` is an infinite
       sequence of vectors, i.e. a mapping from integers to vectors.
       Definition of converge in [Beran] p. 96.  (Contributed by NM,
       6-Jun-2008.)  (New usage is discouraged.) $)
    df-hlim $a |- ~~>v = { <. f , w >. | ( ( f : NN --> ~H /\ w e. ~H ) /\
          A. x e. RR+ E. y e. NN A. z e. ( ZZ>= ` y )
                ( normh ` ( ( f ` z ) -h w ) ) < x ) } $.
  $}

  ${
    $d x y z f $.
    $( Define the set of Cauchy sequences on a Hilbert space.  See ~ hcau for
       its membership relation.  Note that ` f : NN --> ~H ` is an infinite
       sequence of vectors, i.e. a mapping from integers to vectors.
       Definition of Cauchy sequence in [Beran] p. 96.  (Contributed by NM,
       6-Jun-2008.)  (New usage is discouraged.) $)
    df-hcau $a |- Cauchy = { f e. ( ~H ^m NN ) |
          A. x e. RR+ E. y e. NN A. z e. ( ZZ>= ` y )
             ( normh ` ( ( f ` y ) -h ( f ` z ) ) ) < x } $.
  $}

  ${
    h2h.1 $e |- U = <. <. +h , .h >. , normh >. $.
    h2h.2 $e |- U e. NrmCVec $.
    $( The group (addition) operation of Hilbert space.  (Contributed by NM,
       31-May-2008.)  (New usage is discouraged.) $)
    h2hva $p |- +h = ( +v ` U ) $=
      ( cva csm cop cno cpv cfv c1st eqid vafval opex cvv wcel cnv w3a eqeltrri
      op1st fveq2i nvex ax-mp simp3i simp1i simp2i 3eqtrri eqtr4i ) DDEFZGFZHIZ
      AHIUJUIJIZJIUHJIDUIUJUJKLUKUHJUHGDEMDNOZENOZGNOZUIPOULUMUNQAUIPBCREDGUAUB
      ZUCSTDEULUMUNUOUDULUMUNUOUESUFAUIHBTUG $.

    $( The scalar product operation of Hilbert space.  (Contributed by NM,
       31-May-2008.)  (New usage is discouraged.) $)
    h2hsm $p |- .h = ( .sOLD ` U ) $=
      ( csm cva cop cno cns cfv c1st c2nd eqid smfval opex cvv cnv w3a eqeltrri
      wcel fveq2i nvex ax-mp simp3i op1st simp1i simp2i op2nd 3eqtrri eqtr4i )
      DEDFZGFZHIZAHIULUKJIZKIUJKIDULUKULLMUMUJKUJGEDNEOSZDOSZGOSZUKPSUNUOUPQAUK
      PBCRDEGUAUBZUCUDTEDUNUOUPUQUEUNUOUPUQUFUGUHAUKHBTUI $.

    $( The norm function of Hilbert space.  (Contributed by NM, 5-Jun-2008.)
       (New usage is discouraged.) $)
    h2hnm $p |- normh = ( normCV ` U ) $=
      ( cnmcv cfv cva csm cop cno c2nd eqid nmcvfval opex cvv wcel cnv eqeltrri
      fveq2i w3a nvex ax-mp simp3i op2nd 3eqtrri ) ADEFGHZIHZDEZUFJEIAUFDBRUFUG
      UGKLUEIFGMFNOZGNOZINOZUFPOUHUIUJSAUFPBCQGFITUAUBUCUD $.

    ${
      $d x y U $.
      h2h.4 $e |- ~H = ( BaseSet ` U ) $.
      $( The vector subtraction operation of Hilbert space.  (Contributed by
         NM, 6-Jun-2008.)  (Revised by Mario Carneiro, 23-Dec-2013.)
         (New usage is discouraged.) $)
      h2hvs $p |- -h = ( -v ` U ) $=
        ( vx vy cmv chba cv c1 cneg csm co cva cmpo cnsb cfv df-hvsub cnv wcel
        wceq h2hva h2hsm eqid nvmfval ax-mp eqtr4i ) GEFHHEIJKFILMNMOZAPQZEFRAS
        TUIUHUACEFLANUIHDABCUBABCUCUIUDUEUFUG $.
    $}

    ${
      h2hm.4 $e |- ~H = ( BaseSet ` U ) $.
      h2hm.5 $e |- D = ( IndMet ` U ) $.
      $( Value of the distance function of the metric space of Hilbert space.
         (Contributed by NM, 6-Jun-2008.)  (New usage is discouraged.) $)
      h2hmetdval $p |- ( ( A e. ~H /\ B e. ~H )
                  -> ( A D B ) = ( normh ` ( A -h B ) ) ) $=
        ( cnv wcel chba co cmv cno cfv wceq h2hvs h2hnm imsdval mp3an1 ) DIJAKJ
        BKJABCLABMLNOPFABCDMNKGDEFGQDEFRHST $.
    $}
  $}

  ${
    $d f j k x D $.
    h2hc.1 $e |- U = <. <. +h , .h >. , normh >. $.
    h2hc.2 $e |- U e. NrmCVec $.
    h2hc.3 $e |- ~H = ( BaseSet ` U ) $.
    h2hc.4 $e |- D = ( IndMet ` U ) $.
    $( The Cauchy sequences of Hilbert space.  (Contributed by NM, 6-Jun-2008.)
       (Revised by Mario Carneiro, 13-May-2014.)
       (New usage is discouraged.) $)
    h2hcau $p |- Cauchy = ( ( Cau ` D ) i^i ( ~H ^m NN ) ) $=
      ( vj vf vk vx cv cfv co clt wral cn crp chba wcel wa cmv cno wbr cuz wrex
      cmap crab cab ccauold ccau cin df-rab df-hcau elin ancom wf wb hlex elmap
      nnex c1 nnuz cnv cxmet imsxmet mp1i 1zzd eqidd iscauf wceq ffvelrn adantr
      eluznn sylan2 anassrs h2hmetdval syl2anc breq1d ralbidva rexbidva ralbidv
      id bitrd sylbi pm5.32i 3bitri abbi2i 3eqtr4i ) GKZHKZLZIKZWJLZUAMUBLZJKZN
      UCZIWIUDLZOZGPUEZJQOZHRPUFMZUGWJXASZWTTZHUHUIAUJLZXAUKZWTHXAULJGIHUMXCHXE
      WJXESWJXDSZXBTXBXFTXCWJXDXAUNXFXBUOXBXFWTXBPRWJUPZXFWTUQRPWJBREURUTUSXGXF
      WKWMAMZWONUCZIWQOZGPUEZJQOWTXGJWMWKAGIWJVARPVBBVCSARVDLSXGDABREFVEVFXGVGX
      GWLPSZTWMVHXGWIPSZTZWKVHXGWBVIXGXKWSJQXGXJWRGPXNXIWPIWQXNWLWQSZTZXHWNWONX
      PWKRSZWMRSZXHWNVJXNXQXOPRWIWJVKVLXGXMXOXRXMXOTXGXLXRWLWIVMPRWLWJVKVNVOWKW
      MABCDEFVPVQVRVSVTWAWCWDWEWFWGWH $.
  $}

  ${
    $d f x y J $.  $d f j k x y D $.
    h2hl.1 $e |- U = <. <. +h , .h >. , normh >. $.
    h2hl.2 $e |- U e. NrmCVec $.
    h2hl.3 $e |- ~H = ( BaseSet ` U ) $.
    h2hl.4 $e |- D = ( IndMet ` U ) $.
    h2hl.5 $e |- J = ( MetOpen ` D ) $.
    $( The limit sequences of Hilbert space.  (Contributed by NM, 6-Jun-2008.)
       (Revised by Mario Carneiro, 13-May-2014.)  (Proof shortened by Peter
       Mazsa, 2-Oct-2022.)  (New usage is discouraged.) $)
    h2hlm $p |- ~~>v = ( ( ~~>t ` J ) |` ( ~H ^m NN ) ) $=
      ( vf vx vk vy vj chli cfv chba cn cv wcel wa clm cmap co cres cmv cno clt
      wf wbr cuz wral wrex crp df-hlim relopabiv relres cop eleq2i opabidw hlex
      copab nnex elmap anbi1i df-br c1 cnv cxmet imsxmet mp1i nnuz eqidd lmmbrf
      1zzd id eluznn wceq ffvelrn h2hmetdval sylan breq1d an32s sylan2 ralbidva
      wb anassrs rexbidva ralbidv pm5.32da bitrd bitr3id pm5.32i bitr2i opelres
      anass cvv elv 3bitr4i 3bitri eqrelriiv ) IJNCUAOZPQUBUCZUDZQPIRZUHZJRZPSZ
      TZKRZXDOZXFUEUCUFOZLRZUGUIZKMRZUJOZUKZMQULZLUMUKZTZIJNLMKJIUNZUOXAXBUPXDX
      FUQZNSYAXSIJVAZSXSYAXCSZNYBYAXTURXSIJUSXEXGXRTZTZXDXBSZYAXASZTZXSYCYHXEYG
      TYEYFXEYGPQXDBPFUTVBVCVDXEYGYDYGXDXFXAUIZXEYDXDXFXAVEXEYIXGXJXFAUCZXLUGUI
      ZKXOUKZMQULZLUMUKZTYDXELXJAXFMKXDCVFPQHBVGSAPVHOSXEEABPFGVIVJVKXEVNXEXIQS
      ZTZXJVLXEVOVMXEXGYNXRXHYMXQLUMXHYLXPMQXHXNQSZTYKXMKXOXHYQXIXOSZYKXMWEZYQY
      RTXHYOYSXIXNVPXEYOXGYSYPXGTYJXKXLUGYPXJPSXGYJXKVQQPXIXDVRXJXFABDEFGVSVTWA
      WBWCWFWDWGWHWIWJWKWLWMXEXGXRWOYCYHWEJXBXDXFXAWPWNWQWRWSWT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derive the Hilbert space axioms from ZFC set theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Before introducing the 18 axioms for Hilbert space, we first prove them
  as the conclusions of Theorems ~ axhilex-zf through ~ axhcompl-zf , using ZFC
  set theory only.  These show that if we are given a known, fixed Hilbert
  space ` U = <. <. +h , .h >. , normh >. ` that satisfies their
  hypotheses, then we can derive the Hilbert space axioms as theorems of
  ZFC set theory.  In practice, in order to use these theorems to convert
  the Hilbert Space explorer to a ZFC-only subtheory, we would also have
  to provide definitions for the 3 (otherwise primitive) class constants
  ` +h ` , ` .h ` , and ` .ih ` before ~ df-hnorm above.  See also the
  comment in ~ ax-hilex .

$)

  ${
    $d x F $.  $d x U $.
    axhil.1 $e |- U = <. <. +h , .h >. , normh >. $.
    axhil.2 $e |- U e. CHilOLD $.
    $( Derive Axiom ~ ax-hilex from Hilbert space under ZF set theory.
       (Contributed by NM, 31-May-2008.)  (New usage is discouraged.) $)
    axhilex-zf $p |- ~H e. _V $=
      ( cva csm cop cno chba df-hba hlex ) DEFGFHIJ $.

    $( Derive Axiom ~ ax-hfvadd from Hilbert space under ZF set theory.
       (Contributed by NM, 31-May-2008.)  (New usage is discouraged.) $)
    axhfvadd-zf $p |- +h : ( ~H X. ~H ) --> ~H $=
      ( chlo wcel chba cxp cva wf csm cop cno cba cfv df-hba fveq2i hlnvi h2hva
      eqtr4i hladdf ax-mp ) ADEFFGFHICAHFFHJKLKZMNAMNOAUBMBPSABACQRTUA $.

    $( Derive Axiom ~ ax-hvcom from Hilbert space under ZF set theory.
       (Contributed by NM, 27-May-2008.)  (New usage is discouraged.) $)
    axhvcom-zf $p |- ( ( A e. ~H /\ B e. ~H ) -> ( A +h B ) = ( B +h A ) ) $=
      ( chlo wcel chba cva wceq csm cop cno cba cfv df-hba fveq2i eqtr4i hlnvi
      co h2hva hlcom mp3an1 ) CFGAHGBHGABITBAITJEABCIHHIKLMLZNOCNOPCUDNDQRCDCES
      UAUBUC $.

    $( Derive Axiom ~ ax-hvass from Hilbert space under ZF set theory.
       (Contributed by NM, 31-May-2008.)  (New usage is discouraged.) $)
    axhvass-zf $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) -> ( ( A +h B ) +h C )
      = ( A +h ( B +h C ) ) ) $=
      ( chlo wcel chba w3a cva co wceq csm cop cno cba cfv df-hba fveq2i eqtr4i
      hlnvi h2hva hlass mpan ) DGHAIHBIHCIHJABKLCKLABCKLKLMFABCDKIIKNOPOZQRDQRS
      DUFQETUADEDFUBUCUDUE $.

    $( Derive Axiom ~ ax-hv0cl from Hilbert space under ZF set theory.
       (Contributed by NM, 31-May-2008.)  (New usage is discouraged.) $)
    axhv0cl-zf $p |- 0h e. ~H $=
      ( chlo wcel c0v chba cva csm cop cno cba df-hba fveq2i eqtr4i cn0v df-h0v
      cfv hl0cl ax-mp ) ADEFGECAGFGHIJKJZLRALRMAUALBNOFUAPRAPRQAUAPBNOST $.

    $( Derive Axiom ~ ax-hvaddid from Hilbert space under ZF set theory.
       (Contributed by NM, 31-May-2008.)  (New usage is discouraged.) $)
    axhvaddid-zf $p |- ( A e. ~H -> ( A +h 0h ) = A ) $=
      ( chlo wcel chba c0v cva co wceq csm cop cno cba cfv df-hba fveq2i eqtr4i
      cn0v hlnvi h2hva df-h0v hladdid mpan ) BEFAGFAHIJAKDABIGHGILMNMZOPBOPQBUF
      OCRSBCBDUAUBHUFTPBTPUCBUFTCRSUDUE $.

    $( Derive Axiom ~ ax-hfvmul from Hilbert space under ZF set theory.
       (Contributed by NM, 31-May-2008.)  (New usage is discouraged.) $)
    axhfvmul-zf $p |- .h : ( CC X. ~H ) --> ~H $=
      ( chlo wcel cc chba cxp csm wf cva cop cno cba df-hba fveq2i eqtr4i hlnvi
      cfv h2hsm hlmulf ax-mp ) ADEFGHGIJCIAGGKILMLZNSANSOAUCNBPQABACRTUAUB $.

    $( Derive Axiom ~ ax-hvmulid from Hilbert space under ZF set theory.
       (Contributed by NM, 31-May-2008.)  (New usage is discouraged.) $)
    axhvmulid-zf $p |- ( A e. ~H -> ( 1 .h A ) = A ) $=
      ( chlo wcel chba c1 csm co cva cop cno cba cfv df-hba fveq2i eqtr4i hlnvi
      wceq h2hsm hlmulid mpan ) BEFAGFHAIJATDAIBGGKILMLZNOBNOPBUDNCQRBCBDSUAUBU
      C $.

    $( Derive Axiom ~ ax-hvmulass from Hilbert space under ZF set theory.
       (Contributed by NM, 31-May-2008.)  (New usage is discouraged.) $)
    axhvmulass-zf $p |- ( ( A e. CC /\ B e. CC /\ C e. ~H )
      -> ( ( A x. B ) .h C ) = ( A .h ( B .h C ) ) ) $=
      ( chlo wcel cc chba w3a cmul co csm wceq cva cop cno cba cfv df-hba hlnvi
      fveq2i eqtr4i h2hsm hlmulass mpan ) DGHAIHBIHCJHKABLMCNMABCNMNMOFABCNDJJP
      NQRQZSTDSTUADUHSEUCUDDEDFUBUEUFUG $.

    $( Derive Axiom ~ ax-hvdistr1 from Hilbert space under ZF set theory.
       (Contributed by NM, 31-May-2008.)  (New usage is discouraged.) $)
    axhvdistr1-zf $p |- ( ( A e. CC /\ B e. ~H /\ C e. ~H )
      -> ( A .h ( B +h C ) ) = ( ( A .h B ) +h ( A .h C ) ) ) $=
      ( chlo wcel cc chba w3a cva co csm wceq cop cno cba cfv df-hba hlnvi hldi
      fveq2i eqtr4i h2hva h2hsm mpan ) DGHAIHBJHCJHKABCLMNMABNMACNMLMOFABCNDLJJ
      LNPQPZRSDRSTDUHREUCUDDEDFUAZUEDEUIUFUBUG $.

    $( Derive Axiom ~ ax-hvdistr2 from Hilbert space under ZF set theory.
       (Contributed by NM, 31-May-2008.)  (New usage is discouraged.) $)
    axhvdistr2-zf $p |- ( ( A e. CC /\ B e. CC /\ C e. ~H )
      -> ( ( A + B ) .h C ) = ( ( A .h C ) +h ( B .h C ) ) ) $=
      ( chlo wcel cc chba w3a caddc co csm cva wceq cop cno cba cfv hlnvi h2hva
      df-hba fveq2i eqtr4i h2hsm hldir mpan ) DGHAIHBIHCJHKABLMCNMACNMBCNMOMPFA
      BCNDOJJONQRQZSTDSTUCDUISEUDUEDEDFUAZUBDEUJUFUGUH $.

    $( Derive Axiom ~ ax-hvmul0 from Hilbert space under ZF set theory.
       (Contributed by NM, 31-May-2008.)  (New usage is discouraged.) $)
    axhvmul0-zf $p |- ( A e. ~H -> ( 0 .h A ) = 0h ) $=
      ( chlo wcel chba cc0 csm c0v wceq cva cop cno cba cfv fveq2i eqtr4i cn0v
      co df-hba hlnvi h2hsm df-h0v hlmul0 mpan ) BEFAGFHAITJKDAIBGJGLIMNMZOPBOP
      UABUGOCQRBCBDUBUCJUGSPBSPUDBUGSCQRUEUF $.

    ${
      axhfi.1 $e |- .ih = ( .iOLD ` U ) $.
      $( Derive Axiom ~ ax-hfi from Hilbert space under ZF set theory.
         (Contributed by NM, 31-May-2008.)  (New usage is discouraged.) $)
      axhfi-zf $p |- .ih : ( ~H X. ~H ) --> CC $=
        ( chlo wcel chba cxp cc csp wf cva csm cop cno cba df-hba fveq2i eqtr4i
        cfv hlipf ax-mp ) AEFGGHIJKCJAGGLMNONZPTAPTQAUCPBRSDUAUB $.

      $( Derive Axiom ~ ax-his1 from Hilbert space under ZF set theory.
         (Contributed by NM, 31-May-2008.)  (New usage is discouraged.) $)
      axhis1-zf $p |- ( ( A e. ~H /\ B e. ~H )
        -> ( A .ih B ) = ( * ` ( B .ih A ) ) ) $=
        ( chlo wcel chba csp co ccj cfv wceq cva csm cop cno cba df-hba fveq2i
        eqtr4i hlipcj mp3an1 ) CGHAIHBIHABJKBAJKLMNEABJCIIOPQRQZSMCSMTCUESDUAUB
        FUCUD $.

      $( Derive Axiom ~ ax-his2 from Hilbert space under ZF set theory.
         (Contributed by NM, 31-May-2008.)  (New usage is discouraged.) $)
      axhis2-zf $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H )
        -> ( ( A +h B ) .ih C ) = ( ( A .ih C ) + ( B .ih C ) ) ) $=
        ( chlo wcel chba w3a cva co csp caddc wceq csm cop cba cfv df-hba hlnvi
        cno fveq2i eqtr4i h2hva hlipdir mpan ) DHIAJIBJICJIKABLMCNMACNMBCNMOMPF
        ABCNDLJJLQRUCRZSTDSTUADUISEUDUEDEDFUBUFGUGUH $.

      $( Derive Axiom ~ ax-his3 from Hilbert space under ZF set theory.
         (Contributed by NM, 31-May-2008.)  (New usage is discouraged.) $)
      axhis3-zf $p |- ( ( A e. CC /\ B e. ~H /\ C e. ~H )
        -> ( ( A .h B ) .ih C ) = ( A x. ( B .ih C ) ) ) $=
        ( chlo wcel cc chba w3a csm co csp cmul wceq cop cba cfv cva cno df-hba
        fveq2i eqtr4i hlnvi h2hsm hlipass mpan ) DHIAJIBKICKILABMNCONABCONPNQFA
        BCOMDKKUAMRUBRZSTDSTUCDUJSEUDUEDEDFUFUGGUHUI $.

      $( Derive Axiom ~ ax-his4 from Hilbert space under ZF set theory.
         (Contributed by NM, 31-May-2008.)  (New usage is discouraged.) $)
      axhis4-zf $p |- ( ( A e. ~H /\ A =/= 0h ) -> 0 < ( A .ih A ) ) $=
        ( chlo wcel chba c0v wne cc0 csp co clt cop cba cfv fveq2i eqtr4i cn0v
        wbr cva csm cno df-hba df-h0v hlipgt0 mp3an1 ) BFGAHGAIJKAALMNUADALBHIH
        UBUCOUDOZPQBPQUEBUIPCRSIUITQBTQUFBUITCRSEUGUH $.
    $}

    $( Derive Axiom ~ ax-hcompl from Hilbert space under ZF set theory.
       (Contributed by NM, 6-Jun-2008.)  (Revised by Mario Carneiro,
       13-May-2014.)  (Proof shortened by Peter Mazsa, 2-Oct-2022.)
       (New usage is discouraged.) $)
    axhcompl-zf $p |- ( F e. Cauchy -> E. x e. ~H F ~~>v x ) $=
      ( cv chli wbr chba wrex cims cfv ccau wcel wa wex cop eqid wb cba cn cmap
      co cin ccauold cmopn clm cdm chlo simpl hlcompl eldm2g adantr mpbid df-br
      sylancr ctopon cnv cxmet hlnvi cva csm cno df-hba fveq2i eqtr4i mopntopon
      wi imsxmet mp2b lmcl mpan a1i cres h2hlm breqi cvv brres elv bitri adantl
      baib biimprd jcad syl5bir eximdv mpd elin df-rex 3imtr4i h2hcau eleq2s )
      CAFZGHZAIJZCBKLZMLZIUAUBUCZUDZUECWQNZCWRNZOZWMINZWNOZAPZCWSNWOXBCWMQWPUFL
      ZUGLZNZAPZXEXBCXGUHNZXIXBBUINWTXJEWTXAUJWPBCXFWPRZXFRZUKUPWTXJXISXAACXGWQ
      ULUMUNXBXHXDAXHCWMXGHZXBXDCWMXGUOXBXMXCWNXMXCVHXBXFIUQLNZXMXCBURNWPIUSLNX
      NBEUTZWPBIIVAVBQVCQZTLBTLVDBXPTDVEVFZXKVIWPXFIXLVGVJWMCXFIVKVLVMXBWNXMXAW
      NXMSWTWNXAXMWNCWMXGWRVNZHZXAXMOZCWMGXRWPBXFDXOXQXKXLVOVPXSXTSAWRCWMXGVQVR
      VSVTWBWAWCWDWEWFWGCWQWRWHWNAIWIWJWPBDXOXQXKWKWL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Introduce the vector space axioms for a Hilbert space
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Here we introduce the axioms a complex Hilbert space, which is the foundation
  for quantum mechanics and quantum field theory.  The 18 axioms for a complex
  Hilbert space consist of ~ ax-hilex , ~ ax-hfvadd , ~ ax-hvcom , ~ ax-hvass ,
  ~ ax-hv0cl , ~ ax-hvaddid , ~ ax-hfvmul , ~ ax-hvmulid , ~ ax-hvmulass ,
  ~ ax-hvdistr1 , ~ ax-hvdistr2 , ~ ax-hvmul0 , ~ ax-hfi , ~ ax-his1 ,
  ~ ax-his2 , ~ ax-his3 , ~ ax-his4 , and ~ ax-hcompl .

  The axioms specify the properties of 5 primitive symbols, ` ~H ` , ` +h ` ,
  ` .h ` , ` 0h ` , and ` .ih ` .

  If we can prove in ZFC set theory that a class
  ` U = <. <. +h , .h >. , normh >. ` is a complex Hilbert space, i.e. that
  ` U e. CHilOLD ` , then these axioms can be proved as Theorems ~ axhilex-zf ,
  ~ axhfvadd-zf , ~ axhvcom-zf , ~ axhvass-zf , ~ axhv0cl-zf , ~ axhvaddid-zf ,
  ~ axhfvmul-zf , ~ axhvmulid-zf , ~ axhvmulass-zf , ~ axhvdistr1-zf ,
  ~ axhvdistr2-zf , ~ axhvmul0-zf , ~ axhfi-zf , ~ axhis1-zf , ~ axhis2-zf ,
  ~ axhis3-zf , ~ axhis4-zf , and ~ axhcompl-zf respectively.  In that case,
  the theorems of the Hilbert Space Explorer will become theorems of ZFC set
  theory.  See also the comments in ~ axhilex-zf .

$)

  $( This is our first axiom for a complex Hilbert space, which is the
     foundation for quantum mechanics and quantum field theory.  We assume that
     there exists a primitive class, ` ~H ` , which contains objects called
     vectors.  (Contributed by NM, 16-Aug-1999.)
     (New usage is discouraged.) $)
  ax-hilex $a |- ~H e. _V $.

  $( Vector addition is an operation on ` ~H ` .  (Contributed by NM,
     16-Aug-1999.)  (New usage is discouraged.) $)
  ax-hfvadd $a |- +h : ( ~H X. ~H ) --> ~H $.

  $( Vector addition is commutative.  (Contributed by NM, 3-Sep-1999.)
     (New usage is discouraged.) $)
  ax-hvcom $a |- ( ( A e. ~H /\ B e. ~H ) -> ( A +h B ) = ( B +h A ) ) $.

  $( Vector addition is associative.  (Contributed by NM, 3-Sep-1999.)
     (New usage is discouraged.) $)
  ax-hvass $a |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
                 ( ( A +h B ) +h C ) = ( A +h ( B +h C ) ) ) $.

  $( The zero vector is in the vector space.  (Contributed by NM, 29-May-1999.)
     (New usage is discouraged.) $)
  ax-hv0cl $a |- 0h e. ~H $.

  $( Addition with the zero vector.  (Contributed by NM, 16-Aug-1999.)
     (New usage is discouraged.) $)
  ax-hvaddid $a |- ( A e. ~H -> ( A +h 0h ) = A ) $.

  $( Scalar multiplication is an operation on ` CC ` and ` ~H ` .  (Contributed
     by NM, 16-Aug-1999.)  (New usage is discouraged.) $)
  ax-hfvmul $a |- .h : ( CC X. ~H ) --> ~H $.

  $( Scalar multiplication by one.  (Contributed by NM, 30-May-1999.)
     (New usage is discouraged.) $)
  ax-hvmulid $a |- ( A e. ~H -> ( 1 .h A ) = A ) $.

  $( Scalar multiplication associative law.  (Contributed by NM, 30-May-1999.)
     (New usage is discouraged.) $)
  ax-hvmulass $a |- ( ( A e. CC /\ B e. CC /\ C e. ~H ) ->
                 ( ( A x. B ) .h C ) = ( A .h ( B .h C ) ) ) $.

  $( Scalar multiplication distributive law.  (Contributed by NM, 3-Sep-1999.)
     (New usage is discouraged.) $)
  ax-hvdistr1 $a |- ( ( A e. CC /\ B e. ~H /\ C e. ~H ) ->
                ( A .h ( B +h C ) ) = ( ( A .h B ) +h ( A .h C ) ) ) $.

  $( Scalar multiplication distributive law.  (Contributed by NM, 30-May-1999.)
     (New usage is discouraged.) $)
  ax-hvdistr2 $a |- ( ( A e. CC /\ B e. CC /\ C e. ~H ) ->
                ( ( A + B ) .h C ) = ( ( A .h C ) +h ( B .h C ) ) ) $.

  $( Scalar multiplication by zero.  We can derive the existence of the
     negative of a vector from this axiom (see ~ hvsubid and ~ hvsubval ).
     (Contributed by NM, 29-May-1999.)  (New usage is discouraged.) $)
  ax-hvmul0 $a |- ( A e. ~H -> ( 0 .h A ) = 0h ) $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Vector operations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The Hilbert space scalar product operation is a set.  (Contributed by NM,
     17-Apr-2007.)  (New usage is discouraged.) $)
  hvmulex $p |- .h e. _V $=
    ( cc chba cxp csm wf cvv wcel ax-hfvmul cnex ax-hilex xpex fex mp2an ) ABCZ
    BDENFGDFGHABIJKNBFDLM $.

  $( Closure of vector addition.  (Contributed by NM, 18-Apr-2007.)
     (New usage is discouraged.) $)
  hvaddcl $p |- ( ( A e. ~H /\ B e. ~H ) -> ( A +h B ) e. ~H ) $=
    ( chba cva ax-hfvadd fovcl ) ABCCCDEF $.

  $( Closure of scalar multiplication.  (Contributed by NM, 19-Apr-2007.)
     (New usage is discouraged.) $)
  hvmulcl $p |- ( ( A e. CC /\ B e. ~H ) -> ( A .h B ) e. ~H ) $=
    ( chba cc csm ax-hfvmul fovcl ) ABCDCEFG $.

  ${
    hvmulcl.1 $e |- A e. CC $.
    hvmulcl.2 $e |- B e. ~H $.
    $( Closure inference for scalar multiplication.  (Contributed by NM,
       1-Aug-1999.)  (New usage is discouraged.) $)
    hvmulcli $p |- ( A .h B ) e. ~H $=
      ( cc wcel chba csm co hvmulcl mp2an ) AEFBGFABHIGFCDABJK $.
  $}

  ${
    $d x y $.
    $( Mapping domain and codomain of vector subtraction.  (Contributed by NM,
       6-Sep-2007.)  (New usage is discouraged.) $)
    hvsubf $p |- -h : ( ~H X. ~H ) --> ~H $=
      ( vx vy cv c1 cneg csm co cva chba wcel wral cxp cmv wf cc neg1cn hvmulcl
      mpan hvaddcl sylan2 rgen2 df-hvsub fmpo mpbi ) ACZDEZBCZFGZHGZIJZBIKAIKII
      LIMNUJABIIUGIJZUEIJUHIJZUJUFOJUKULPUFUGQRUEUHSTUAABIIUIIMABUBUCUD $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Value of vector subtraction.  (Contributed by NM, 5-Sep-1999.)  (Revised
       by Mario Carneiro, 23-Dec-2013.)  (New usage is discouraged.) $)
    hvsubval $p |- ( ( A e. ~H /\ B e. ~H ) ->
                    ( A -h B ) = ( A +h ( -u 1 .h B ) ) ) $=
      ( vx vy chba cv c1 cneg csm cva cmv oveq1 wceq oveq2 oveq2d df-hvsub ovex
      co ovmpo ) CDABEECFZGHZDFZIRZJRAUABIRZJRKAUCJRTAUCJLUBBMUCUDAJUBBUAINOCDP
      AUDJQS $.
  $}

  $( Closure of vector subtraction.  (Contributed by NM, 17-Aug-1999.)
     (New usage is discouraged.) $)
  hvsubcl $p |- ( ( A e. ~H /\ B e. ~H ) -> ( A -h B ) e. ~H ) $=
    ( chba wcel wa cmv co c1 cneg csm hvsubval cc neg1cn hvmulcl hvaddcl sylan2
    cva mpan eqeltrd ) ACDZBCDZEABFGAHIZBJGZQGZCABKUATUCCDZUDCDUBLDUAUEMUBBNRAU
    COPS $.

  ${
    hvaddcl.1 $e |- A e. ~H $.
    hvaddcl.2 $e |- B e. ~H $.
    $( Closure of vector addition.  (Contributed by NM, 1-Aug-1999.)
       (New usage is discouraged.) $)
    hvaddcli $p |- ( A +h B ) e. ~H $=
      ( chba wcel cva co hvaddcl mp2an ) AEFBEFABGHEFCDABIJ $.

    $( Commutation of vector addition.  (Contributed by NM, 3-Sep-1999.)
       (New usage is discouraged.) $)
    hvcomi $p |- ( A +h B ) = ( B +h A ) $=
      ( chba wcel cva co wceq ax-hvcom mp2an ) AEFBEFABGHBAGHICDABJK $.

    $( Value of vector subtraction definition.  (Contributed by NM,
       3-Sep-1999.)  (New usage is discouraged.) $)
    hvsubvali $p |- ( A -h B ) = ( A +h ( -u 1 .h B ) ) $=
      ( chba wcel cmv co c1 cneg csm cva wceq hvsubval mp2an ) AEFBEFABGHAIJBKH
      LHMCDABNO $.

    $( Closure of vector subtraction.  (Contributed by NM, 2-Aug-1999.)
       (New usage is discouraged.) $)
    hvsubcli $p |- ( A -h B ) e. ~H $=
      ( chba wcel cmv co hvsubcl mp2an ) AEFBEFABGHEFCDABIJ $.
  $}

  $( Prove ` if ( A e. ~H , A , 0h ) e. ~H ` .  (Contributed by David A.
     Wheeler, 7-Dec-2018.)  (New usage is discouraged.) $)
  ifhvhv0 $p |- if ( A e. ~H , A , 0h ) e. ~H $=
    ( c0v chba ax-hv0cl elimel ) ABCDE $.

  $( Addition with the zero vector.  (Contributed by NM, 18-Oct-1999.)
     (New usage is discouraged.) $)
  hvaddid2 $p |- ( A e. ~H -> ( 0h +h A ) = A ) $=
    ( chba wcel c0v cva co wceq ax-hv0cl ax-hvcom mpan2 ax-hvaddid eqtr3d ) ABC
    ZADEFZDAEFZAMDBCNOGHADIJAKL $.

  $( Scalar multiplication with the zero vector.  (Contributed by NM,
     30-May-1999.)  (New usage is discouraged.) $)
  hvmul0 $p |- ( A e. CC -> ( A .h 0h ) = 0h ) $=
    ( cc wcel c0v cc0 csm cmul mul01 oveq1d chba wceq ax-hv0cl ax-hvmul0 eqtrdi
    co ax-mp 0cn ax-hvmulass mp3an23 eqtr3d oveq2i eqtr2di ) ABCZDAEDFOZFOZADFO
    UCAEGOZDFOZDUEUCUGUDDUCUFEDFAHIDJCZUDDKLDMPZNUCEBCUHUGUEKQLAEDRSTUDDAFUIUAU
    B $.

  $( If a scalar product is zero, one of its factors must be zero.
     (Contributed by NM, 19-May-2005.)  (New usage is discouraged.) $)
  hvmul0or $p |- ( ( A e. CC /\ B e. ~H ) ->
                  ( ( A .h B ) = 0h <-> ( A = 0 \/ B = 0h ) ) ) $=
    ( cc wcel wa csm co c0v wceq c1 oveq2 ad2antlr adantlr 3eqtr3d hvmul0 ex wi
    cc0 eqeq1d syl5ibrcom chba wo wn df-ne cdiv cmul recid2 oveq1d reccl simpll
    wne simplr ax-hvmulass syl3anc ax-hvmulid syl syl5bir orrd ax-hvmul0 adantl
    oveq1 adantr jaod impbid ) ACDZBUADZEZABFGZHIZARIZBHIZUBZVGVIVLVGVIEZVJVKVJ
    UCARUKZVMVKARUDVMVNVKVMVNEJAUEGZVHFGZVOHFGZBHVIVPVQIVGVNVHHVOFKLVGVNVPBIVIV
    GVNEZVOAUFGZBFGZJBFGZVPBVEVNVTWAIVFVEVNEZVSJBFAUGUHMVRVOCDZVEVFVTVPIVEVNWCV
    FAUIZMVEVFVNUJVEVFVNULVOABUMUNVFWABIVEVNBUOLNMVGVNVQHIZVIVEVNWEVFWBWCWEWDVO
    OUPMMNPUQURPVGVJVIVKVFVJVIQVEVFVIVJRBFGZHIBUSVJVHWFHARBFVASTUTVEVKVIQVFVEVI
    VKAHFGZHIAOVKVHWGHBHAFKSTVBVCVD $.

  $( Subtraction of a vector from itself.  (Contributed by NM, 30-May-1999.)
     (New usage is discouraged.) $)
  hvsubid $p |- ( A e. ~H -> ( A -h A ) = 0h ) $=
    ( chba wcel cmv co cc0 csm c0v cneg caddc cva ax-hvmulid oveq1d wceq ax-1cn
    c1 cc neg1cn ax-hvdistr2 mp3an12 hvsubval 3eqtr4rd 1pneg1e0 ax-hvmul0 eqtrd
    anidms oveq1i eqtrdi ) ABCZAADEZFAGEZHUIUJPPIZJEZAGEZUKUIPAGEZULAGEZKEZAUPK
    EZUNUJUIUOAUPKALMPQCULQCUIUNUQNORPULASTUIUJURNAAUAUFUBUMFAGUCUGUHAUDUE $.

  $( Addition of negative of a vector to itself.  (Contributed by NM,
     4-Jun-2004.)  (New usage is discouraged.) $)
  hvnegid $p |- ( A e. ~H -> ( A +h ( -u 1 .h A ) ) = 0h ) $=
    ( chba wcel cmv co c1 cneg csm cva c0v wceq hvsubval anidms hvsubid eqtr3d
    ) ABCZAADEZAFGAHEIEZJPQRKAALMANO $.

  $( Two ways to express the negative of a vector.  (Contributed by NM,
     23-May-2005.)  (New usage is discouraged.) $)
  hv2neg $p |- ( A e. ~H -> ( 0h -h A ) = ( -u 1 .h A ) ) $=
    ( chba wcel c0v cmv cneg csm cva wceq ax-hv0cl hvsubval mpan neg1cn hvmulcl
    co c1 cc hvaddid2 syl eqtrd ) ABCZDAEOZDPFZAGOZHOZUDDBCUAUBUEIJDAKLUAUDBCZU
    EUDIUCQCUAUFMUCANLUDRST $.

  ${
    hvaddid2.1 $e |- A e. ~H $.
    $( Addition with the zero vector.  (Contributed by NM, 18-Aug-1999.)
       (New usage is discouraged.) $)
    hvaddid2i $p |- ( 0h +h A ) = A $=
      ( chba wcel c0v cva co wceq hvaddid2 ax-mp ) ACDEAFGAHBAIJ $.

    $( Addition of negative of a vector to itself.  (Contributed by NM,
       18-Aug-1999.)  (New usage is discouraged.) $)
    hvnegidi $p |- ( A +h ( -u 1 .h A ) ) = 0h $=
      ( chba wcel c1 cneg csm co cva c0v wceq hvnegid ax-mp ) ACDAEFAGHIHJKBALM
      $.

    $( Two ways to express the negative of a vector.  (Contributed by NM,
       31-Oct-1999.)  (New usage is discouraged.) $)
    hv2negi $p |- ( 0h -h A ) = ( -u 1 .h A ) $=
      ( chba wcel c0v cmv co c1 cneg csm wceq hv2neg ax-mp ) ACDEAFGHIAJGKBALM
      $.
  $}

  $( Convert minus one times a scalar product to the negative of the scalar.
     (Contributed by NM, 4-Jun-2004.)  (New usage is discouraged.) $)
  hvm1neg $p |- ( ( A e. CC /\ B e. ~H ) ->
                 ( -u 1 .h ( A .h B ) ) = ( -u A .h B ) ) $=
    ( cc wcel chba wa c1 cneg cmul co csm wceq neg1cn ax-hvmulass mp3an1 adantr
    mulm1 oveq1d eqtr3d ) ACDZBEDZFZGHZAIJZBKJZUCABKJKJZAHZBKJUCCDTUAUEUFLMUCAB
    NOUBUDUGBKTUDUGLUAAQPRS $.

  $( Value of vector addition in terms of vector subtraction.  (Contributed by
     NM, 10-Jun-2006.)  (New usage is discouraged.) $)
  hvaddsubval $p |- ( ( A e. ~H /\ B e. ~H ) ->
                  ( A +h B ) = ( A -h ( -u 1 .h B ) ) ) $=
    ( chba wcel wa c1 cneg csm cmv cva wceq neg1cn hvmulcl mpan hvsubval sylan2
    co cc hvm1neg negneg1e1 oveq1i eqtrdi ax-hvmulid eqtrd adantl oveq2d eqtr2d
    ) ACDZBCDZEZAFGZBHQZIQZAUKULHQZJQZABJQUIUHULCDZUMUOKUKRDZUIUPLUKBMNAULOPUJU
    NBAJUIUNBKUHUIUNFBHQZBUIUNUKGZBHQZURUQUIUNUTKLUKBSNUSFBHTUAUBBUCUDUEUFUG $.

  $( Commutative/associative law.  (Contributed by NM, 16-Oct-1999.)
     (New usage is discouraged.) $)
  hvadd32 $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
               ( ( A +h B ) +h C ) = ( ( A +h C ) +h B ) ) $=
    ( chba wcel w3a cva co wceq ax-hvcom oveq2d 3adant1 ax-hvass 3com23 3eqtr4d
    wa ) ADEZBDEZCDEZFABCGHZGHZACBGHZGHZABGHCGHACGHBGHZRSUAUCIQRSPTUBAGBCJKLABC
    MQSRUDUCIACBMNO $.

  $( Commutative/associative law.  (Contributed by NM, 19-Oct-1999.)
     (New usage is discouraged.) $)
  hvadd12 $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
               ( A +h ( B +h C ) ) = ( B +h ( A +h C ) ) ) $=
    ( chba wcel w3a cva co wceq ax-hvcom oveq1d 3adant3 ax-hvass 3com12 3eqtr3d
    wa ) ADEZBDEZCDEZFABGHZCGHZBAGHZCGHZABCGHGHBACGHGHZQRUAUCISQRPTUBCGABJKLABC
    MRQSUCUDIBACMNO $.

  $( Hilbert vector space addition law.  (Contributed by NM, 16-Oct-1999.)
     (New usage is discouraged.) $)
  hvadd4 $p |- ( ( ( A e. ~H /\ B e. ~H ) /\ ( C e. ~H /\ D e. ~H ) ) ->
               ( ( A +h B ) +h ( C +h D ) ) = ( ( A +h C ) +h ( B +h D ) ) ) $=
    ( chba wcel wa cva co wceq w3a hvadd32 3expa adantrr hvaddcl ax-hvass 3expb
    oveq1d sylan an4s 3eqtr3d ) AEFZBEFZGZCEFZDEFZGZGABHIZCHIZDHIZACHIZBHIZDHIZ
    UHCDHIHIZUKBDHIHIZUDUEUJUMJZUFUBUCUEUPUBUCUEKUIULDHABCLRMNUDUHEFZUGUJUNJZAB
    OUQUEUFURUHCDPQSUBUEUCUFUMUOJZUBUEGUKEFZUCUFGUSACOUTUCUFUSUKBDPQSTUA $.

  $( Hilbert vector space addition/subtraction law.  (Contributed by NM,
     17-Oct-1999.)  (New usage is discouraged.) $)
  hvsub4 $p |- ( ( ( A e. ~H /\ B e. ~H ) /\ ( C e. ~H /\ D e. ~H ) ) ->
               ( ( A +h B ) -h ( C +h D ) ) = ( ( A -h C ) +h ( B -h D ) ) ) $=
    ( chba wcel wa cva cmv csm wceq hvaddcl hvsubval neg1cn hvmulcl mpan anim2i
    co c1 eqtr4d cneg syl2an ad2ant2r ad2ant2l ax-hvdistr1 mp3an1 adantl oveq2d
    oveq12d cc anim12i an4s hvadd4 syl ) AEFZBEFZGZCEFZDEFZGZGZABHRZCDHRZIRZVBS
    UAZVCJRZHRZACIRZBDIRZHRZUQVBEFVCEFVDVGKUTABLCDLVBVCMUBVAVJAVECJRZHRZBVEDJRZ
    HRZHRZVGVAVHVLVIVNHUOURVHVLKUPUSACMUCUPUSVIVNKUOURBDMUDUIVAVGVBVKVMHRZHRZVO
    VAVFVPVBHUTVFVPKZUQVEUJFZURUSVRNVECDUEUFUGUHVAUOVKEFZGZUPVMEFZGZGZVOVQKUOUR
    UPUSWDUOURGWAUPUSGWCURVTUOVSURVTNVECOPQUSWBUPVSUSWBNVEDOPQUKULAVKBVMUMUNTTT
    $.

  $( Commutative/associative law.  (Contributed by NM, 19-Oct-1999.)
     (New usage is discouraged.) $)
  hvaddsub12 $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
               ( A +h ( B -h C ) ) = ( B +h ( A -h C ) ) ) $=
    ( chba wcel w3a c1 cneg csm co cva cmv wceq cc neg1cn hvmulcl mpan hvsubval
    wa oveq2d hvadd12 syl3an3 3adant1 3adant2 3eqtr4d ) ADEZBDEZCDEZFABGHZCIJZK
    JZKJZBAUJKJZKJZABCLJZKJZBACLJZKJZUHUFUGUJDEZULUNMUINEUHUSOUICPQABUJUAUBUGUH
    UPULMUFUGUHSUOUKAKBCRTUCUFUHURUNMUGUFUHSUQUMBKACRTUDUE $.

  $( Addition/subtraction cancellation law for vectors in Hilbert space.
     (Contributed by NM, 7-Jun-2004.)  (New usage is discouraged.) $)
  hvpncan $p |- ( ( A e. ~H /\ B e. ~H ) -> ( ( A +h B ) -h B ) = A ) $=
    ( chba wcel wa cva co cmv c1 cneg csm wceq hvaddcl hvsubval sylancom neg1cn
    cc hvmulcl mpan c0v ancli ax-hvass 3expb sylan2 oveq2d ax-hvaddid sylan9eqr
    hvnegid 3eqtrd ) ACDZBCDZEABFGZBHGZULIJZBKGZFGZABUOFGZFGZAUJUKULCDUMUPLABMU
    LBNOUKUJUKUOCDZEUPURLZUKUSUNQDUKUSPUNBRSUAUJUKUSUTABUOUBUCUDUKUJURATFGAUKUQ
    TAFBUHUEAUFUGUI $.

  $( Addition/subtraction cancellation law for vectors in Hilbert space.
     (Contributed by NM, 7-Jun-2004.)  (New usage is discouraged.) $)
  hvpncan2 $p |- ( ( A e. ~H /\ B e. ~H ) -> ( ( A +h B ) -h A ) = B ) $=
    ( chba wcel cva co cmv wceq wa ax-hvcom oveq1d hvpncan eqtr3d ancoms ) BCDZ
    ACDZABEFZAGFZBHOPIZBAEFZAGFRBSTQAGBAJKBALMN $.

  $( Associativity of sum and difference of Hilbert space vectors.
     (Contributed by NM, 27-Aug-2004.)  (New usage is discouraged.) $)
  hvaddsubass $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) -> ( ( A +h B ) -h C )
                     = ( A +h ( B -h C ) ) ) $=
    ( chba wcel w3a cva co c1 cneg csm cmv wceq cc neg1cn hvmulcl mpan ax-hvass
    syl3an3 hvsubval hvaddcl stoic3 3adant1 oveq2d 3eqtr4d ) ADEZBDEZCDEZFZABGH
    ZIJZCKHZGHZABULGHZGHZUJCLHZABCLHZGHUHUFUGULDEZUMUOMUKNEUHUROUKCPQABULRSUFUG
    UJDEUHUPUMMABUAUJCTUBUIUQUNAGUGUHUQUNMUFBCTUCUDUE $.

  $( Subtraction and addition of equal Hilbert space vectors.  (Contributed by
     NM, 27-Aug-2004.)  (New usage is discouraged.) $)
  hvpncan3 $p |- ( ( A e. ~H /\ B e. ~H ) -> ( A +h ( B -h A ) ) = B ) $=
    ( chba wcel wa cva co cmv wceq hvaddsubass 3anidm13 hvpncan2 eqtr3d ) ACDZB
    CDZEABFGAHGZABAHGFGZBNOPQIABAJKABLM $.

  $( Scalar multiplication commutative law.  (Contributed by NM, 19-May-2005.)
     (New usage is discouraged.) $)
  hvmulcom $p |- ( ( A e. CC /\ B e. CC /\ C e. ~H ) ->
                 ( A .h ( B .h C ) ) = ( B .h ( A .h C ) ) ) $=
    ( cc wcel chba w3a cmul co wceq wa mulcom oveq1d 3adant3 ax-hvmulass 3com12
    csm 3eqtr3d ) ADEZBDEZCFEZGABHIZCQIZBAHIZCQIZABCQIQIBACQIQIZSTUCUEJUASTKUBU
    DCQABLMNABCOTSUAUEUFJBACOPR $.

  $( Hilbert vector space associative law for subtraction.  (Contributed by
     Mario Carneiro, 15-May-2014.)  (New usage is discouraged.) $)
  hvsubass $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
                   ( ( A -h B ) -h C ) = ( A -h ( B +h C ) ) ) $=
    ( chba wcel w3a c1 cneg csm co cva cmv wceq cc neg1cn hvmulcl mpan hvsubval
    3adant1 eqtr4d hvaddsubass syl3an2 3adant3 oveq1d simp1 hvaddcl ax-hvdistr1
    syl2anc sylan mp3an1 oveq2d 3eqtr4d ) ADEZBDEZCDEZFZAGHZBIJZKJZCLJZAURCLJZK
    JZABLJZCLJABCKJZLJZUNUMURDEZUOUTVBMUQNEZUNVFOUQBPQZAURCUAUBUPVCUSCLUMUNVCUS
    MUOABRUCUDUPVEAUQVDIJZKJZVBUPUMVDDEZVEVJMUMUNUOUEUNUOVKUMBCUFSAVDRUHUPVAVIA
    KUPVAURUQCIJKJZVIUNUOVAVLMZUMUNVFUOVMVHURCRUISUNUOVIVLMZUMVGUNUOVNOUQBCUGUJ
    STUKTUL $.

  $( Hilbert vector space commutative/associative law.  (Contributed by Mario
     Carneiro, 15-May-2014.)  (New usage is discouraged.) $)
  hvsub32 $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
                  ( ( A -h B ) -h C ) = ( ( A -h C ) -h B ) ) $=
    ( chba wcel w3a cva co wceq ax-hvcom 3adant1 oveq2d hvsubass 3com23 3eqtr4d
    cmv ) ADEZBDEZCDEZFZABCGHZPHACBGHZPHZABPHCPHACPHBPHZTUAUBAPRSUAUBIQBCJKLABC
    MQSRUDUCIACBMNO $.

  ${
    hvmulcom.1 $e |- A e. CC $.
    hvmulcom.2 $e |- B e. CC $.
    hvmulcom.3 $e |- C e. ~H $.
    $( Scalar multiplication associative law.  (Contributed by NM, 3-Sep-1999.)
       (New usage is discouraged.) $)
    hvmulassi $p |- ( ( A x. B ) .h C ) = ( A .h ( B .h C ) ) $=
      ( cc wcel chba cmul co csm wceq ax-hvmulass mp3an ) AGHBGHCIHABJKCLKABCLK
      LKMDEFABCNO $.

    $( Scalar multiplication commutative law.  (Contributed by NM, 3-Sep-1999.)
       (New usage is discouraged.) $)
    hvmulcomi $p |- ( A .h ( B .h C ) ) = ( B .h ( A .h C ) ) $=
      ( cc wcel chba csm co wceq hvmulcom mp3an ) AGHBGHCIHABCJKJKBACJKJKLDEFAB
      CMN $.

    $( Double negative in scalar multiplication.  (Contributed by NM,
       3-Sep-1999.)  (New usage is discouraged.) $)
    hvmul2negi $p |- ( -u A .h ( -u B .h C ) ) = ( A .h ( B .h C ) ) $=
      ( cneg cmul co csm mul2negi oveq1i negcli hvmulassi 3eqtr3i ) AGZBGZHIZCJ
      IABHIZCJIPQCJIJIABCJIJIRSCJABDEKLPQCADMBEMFNABCDEFNO $.
  $}

  $( Scalar multiplication distributive law for subtraction.  (Contributed by
     NM, 19-May-2005.)  (New usage is discouraged.) $)
  hvsubdistr1 $p |- ( ( A e. CC /\ B e. ~H /\ C e. ~H ) ->
                    ( A .h ( B -h C ) ) = ( ( A .h B ) -h ( A .h C ) ) ) $=
    ( cc wcel chba w3a cneg csm cva cmv wceq neg1cn hvmulcl mpan oveq2d 3adant2
    c1 co hvsubval ax-hvdistr1 syl3an3 wa hvmulcom mp3an2 eqtrd 3adant1 3adant3
    syl2anc 3eqtr4d ) ADEZBFEZCFEZGZABRHZCISZJSZISZABISZUOACISZISZJSZABCKSZISUS
    UTKSZUNURUSAUPISZJSZVBUMUKULUPFEZURVFLUODEZUMVGMUOCNOABUPUAUBUKUMVFVBLULUKU
    MUCVEVAUSJUKVHUMVEVALMAUOCUDUEPQUFUNVCUQAIULUMVCUQLUKBCTUGPUNUSFEZUTFEZVDVB
    LUKULVIUMABNUHUKUMVJULACNQUSUTTUIUJ $.

  $( Scalar multiplication distributive law for subtraction.  (Contributed by
     NM, 19-May-2005.)  (New usage is discouraged.) $)
  hvsubdistr2 $p |- ( ( A e. CC /\ B e. CC /\ C e. ~H ) -> ( ( A - B ) .h C
      ) = ( ( A .h C ) -h ( B .h C ) ) ) $=
    ( cc wcel chba w3a csm co cmv c1 cneg cva cmin wceq hvmulcl 3adant2 3adant1
    oveq1d eqtr3d hvsubval syl2anc cmul adantr neg1cn ax-hvmulass mp3an1 oveq2d
    wa mulm1 caddc negcl ax-hvdistr2 syl3an2 negsub 3adant3 3eqtr2rd ) ADEZBDEZ
    CFEZGZACHIZBCHIZJIZVBKLZVCHIZMIZVBBLZCHIZMIZABNIZCHIZVAVBFEZVCFEZVDVGOURUTV
    MUSACPQUSUTVNURBCPRVBVCUAUBVAVIVFVBMUSUTVIVFOURUSUTUIVEBUCIZCHIZVIVFUSVPVIO
    UTUSVOVHCHBUJSUDVEDEUSUTVPVFOUEVEBCUFUGTRUHVAAVHUKIZCHIZVJVLUSURVHDEUTVRVJO
    BULAVHCUMUNVAVQVKCHURUSVQVKOUTABUOUPSTUQ $.

  ${
    hvdistr1.1 $e |- A e. CC $.
    hvdistr1.2 $e |- B e. ~H $.
    hvdistr1.3 $e |- C e. ~H $.
    $( Scalar multiplication distributive law.  (Contributed by NM,
       3-Sep-1999.)  (New usage is discouraged.) $)
    hvdistr1i $p |- ( A .h ( B +h C ) ) = ( ( A .h B ) +h ( A .h C ) ) $=
      ( cc wcel chba cva co csm wceq ax-hvdistr1 mp3an ) AGHBIHCIHABCJKLKABLKAC
      LKJKMDEFABCNO $.

    $( Scalar multiplication distributive law.  (Contributed by NM,
       3-Sep-1999.)  (New usage is discouraged.) $)
    hvsubdistr1i $p |- ( A .h ( B -h C ) ) = ( ( A .h B ) -h ( A .h C ) ) $=
      ( cc wcel chba cmv co csm wceq hvsubdistr1 mp3an ) AGHBIHCIHABCJKLKABLKAC
      LKJKMDEFABCNO $.
  $}

  ${
    hvass.1 $e |- A e. ~H $.
    hvass.2 $e |- B e. ~H $.
    hvass.3 $e |- C e. ~H $.
    $( Hilbert vector space associative law.  (Contributed by NM, 3-Sep-1999.)
       (New usage is discouraged.) $)
    hvassi $p |- ( ( A +h B ) +h C ) = ( A +h ( B +h C ) ) $=
      ( chba wcel cva co wceq ax-hvass mp3an ) AGHBGHCGHABIJCIJABCIJIJKDEFABCLM
      $.

    $( Hilbert vector space commutative/associative law.  (Contributed by NM,
       18-Aug-1999.)  (New usage is discouraged.) $)
    hvadd32i $p |- ( ( A +h B ) +h C ) = ( ( A +h C ) +h B ) $=
      ( chba wcel cva co wceq hvadd32 mp3an ) AGHBGHCGHABIJCIJACIJBIJKDEFABCLM
      $.

    $( Hilbert vector space associative law for subtraction.  (Contributed by
       NM, 7-Oct-1999.)  (Revised by Mario Carneiro, 15-May-2014.)
       (New usage is discouraged.) $)
    hvsubassi $p |- ( ( A -h B ) -h C ) = ( A -h ( B +h C ) ) $=
      ( chba wcel cmv co cva wceq hvsubass mp3an ) AGHBGHCGHABIJCIJABCKJIJLDEFA
      BCMN $.

    $( Hilbert vector space commutative/associative law.  (Contributed by NM,
       7-Oct-1999.)  (Revised by Mario Carneiro, 15-May-2014.)
       (New usage is discouraged.) $)
    hvsub32i $p |- ( ( A -h B ) -h C ) = ( ( A -h C ) -h B ) $=
      ( chba wcel cmv co wceq hvsub32 mp3an ) AGHBGHCGHABIJCIJACIJBIJKDEFABCLM
      $.

    $( Hilbert vector space commutative/associative law.  (Contributed by NM,
       11-Sep-1999.)  (New usage is discouraged.) $)
    hvadd12i $p |- ( A +h ( B +h C ) ) = ( B +h ( A +h C ) ) $=
      ( cva co hvcomi oveq1i hvassi 3eqtr3i ) ABGHZCGHBAGHZCGHABCGHGHBACGHGHMNC
      GABDEIJABCDEFKBACEDFKL $.

    ${
      hvadd4.4 $e |- D e. ~H $.
      $( Hilbert vector space addition law.  (Contributed by NM, 3-Sep-1999.)
         (New usage is discouraged.) $)
      hvadd4i $p |- ( ( A +h B ) +h ( C +h D ) ) =
                   ( ( A +h C ) +h ( B +h D ) ) $=
        ( chba wcel cva co wceq hvadd4 mp4an ) AIJBIJCIJDIJABKLCDKLKLACKLBDKLKL
        MEFGHABCDNO $.

      $( Hilbert vector space addition law.  (Contributed by NM, 31-Oct-1999.)
         (New usage is discouraged.) $)
      hvsubsub4i $p |- ( ( A -h B ) -h ( C -h D ) ) =
                      ( ( A -h C ) -h ( B -h D ) ) $=
        ( csm cva cmv neg1cn hvmulcli hvdistr1i oveq2i 3eqtr4i hvaddcli oveq12i
        co hvsubvali c1 cneg hvadd4i ) AUAUBZBISZJSZCUDDISZJSZKSZAUDCISZJSZBUGJ
        SZKSZABKSZCDKSZKSACKSZBDKSZKSUFUDUHISZJSZUKUDULISZJSZUIUMUFUJUDUGISZJSZ
        JSUKUEVBJSZJSUSVAAUEUJVBEUDBLFMZUDCLGMZUDUGLUDDLHMZMUCURVCUFJUDCUGLGVGN
        OUTVDUKJUDBUGLFVGNOPUFUHAUEEVEQCUGGVGQTUKULAUJEVFQBUGFVGQTPUNUFUOUHKABE
        FTCDGHTRUPUKUQULKACEGTBDFHTRP $.
    $}
  $}

  $( Hilbert vector space addition/subtraction law.  (Contributed by NM,
     2-Apr-2000.)  (New usage is discouraged.) $)
  hvsubsub4 $p |- ( ( ( A e. ~H /\ B e. ~H ) /\ ( C e. ~H /\ D e. ~H ) )
            -> ( ( A -h B ) -h ( C -h D ) ) = ( ( A -h C ) -h ( B -h D ) ) ) $=
    ( chba wcel cmv wceq c0v cif oveq1 oveq1d eqeq12d oveq2d ifhvhv0 hvsubsub4i
    co oveq2 dedth4h ) AEFZBEFZCEFZDEFZABGQZCDGQZGQZACGQZBDGQZGQZHTAIJZBGQZUEGQ
    ZUJCGQZUHGQZHUJUABIJZGQZUEGQZUMUODGQZGQZHUPUBCIJZDGQZGQZUJUTGQZURGQZHUPUTUC
    DIJZGQZGQZVCUOVEGQZGQZHABCDIIIIAUJHZUFULUIUNVJUDUKUEGAUJBGKLVJUGUMUHGAUJCGK
    LMBUOHZULUQUNUSVKUKUPUEGBUOUJGRLVKUHURUMGBUODGKNMCUTHZUQVBUSVDVLUEVAUPGCUTD
    GKNVLUMVCURGCUTUJGRLMDVEHZVBVGVDVIVMVAVFUPGDVEUTGRNVMURVHVCGDVEUOGRNMUJUOUT
    VEAOBOCODOPS $.

  $( Two times a vector.  (Contributed by NM, 22-Jun-2006.)
     (New usage is discouraged.) $)
  hv2times $p |- ( A e. ~H -> ( 2 .h A ) = ( A +h A ) ) $=
    ( chba wcel c2 csm co cva caddc df-2 oveq1i wceq ax-1cn ax-hvdistr2 mp3an12
    c1 cc syl5eq ax-hvdistr1 mp3an1 anidms hvaddcl ax-hvmulid syl 3eqtr2d ) ABC
    ZDAEFZOAEFZUGGFZOAAGFZEFZUIUEUFOOHFZAEFZUHDUKAEIJOPCZUMUEULUHKLLOOAMNQUEUJU
    HKZUMUEUEUNLOAARSTUEUIBCZUJUIKUEUOAAUATUIUBUCUD $.

  ${
    hvnegdi.1 $e |- A e. ~H $.
    hvnegdi.2 $e |- B e. ~H $.
    $( Distribution of negative over subtraction.  (Contributed by NM,
       31-Oct-1999.)  (New usage is discouraged.) $)
    hvnegdii $p |- ( -u 1 .h ( A -h B ) ) = ( B -h A ) $=
      ( c1 cneg cmv co hvsubvali oveq2i neg1cn hvmulcli hvdistr1i neg1mulneg1e1
      csm cva cmul oveq1i hvmulassi chba wcel ax-hvmulid 3eqtr3i hvcomi 3eqtr4i
      wceq ax-mp 3eqtri ) EFZABGHZOHUIAUIBOHZPHZOHUIAOHZUIUKOHZPHZBAGHZUJULUIOA
      BCDIJUIAUKKCUIBKDLZMUNUMPHBUMPHUOUPUNBUMPUIUIQHZBOHEBOHZUNBUREBONRUIUIBKK
      DSBTUAUSBUFDBUBUGUCRUMUNUIAKCLUIUKKUQLUDBADCIUEUH $.

    $( If the difference between two vectors is zero, they are equal.
       (Contributed by NM, 18-Aug-1999.)  (New usage is discouraged.) $)
    hvsubeq0i $p |- ( ( A -h B ) = 0h <-> A = B ) $=
      ( cmv co c0v wceq c1 cneg csm cva hvsubvali eqeq1i oveq1 sylbi chba ax-mp
      wcel eqtri neg1cn hvmulcli hvadd32i hvnegidi ax-hvaddid hvaddid2i 3eqtr3g
      hvassi oveq2i hvsubid eqtrdi impbii ) ABEFZGHZABHZUNAIJZBKFZLFZBLFZGBLFZA
      BUNURGHUSUTHUMURGABCDMNURGBLOPUSABLFUQLFZAAUQBCUPBUADUBZDUCVAABUQLFZLFZAA
      BUQCDVBUHVDAGLFZAVCGALBDUDUIAQSVEAHCAUERTTTBDUFUGUOUMBBEFZGABBEOBQSVFGHDB
      UJRUKUL $.

    $( Vector cancellation law.  (Contributed by NM, 3-Sep-1999.)
       (New usage is discouraged.) $)
    hvsubcan2i $p |- ( ( A +h B ) +h ( A -h B ) ) = ( 2 .h A ) $=
      ( cva co cmv c1 cneg csm c2 hvsubvali oveq2i c0v hvmulcli chba wcel ax-mp
      wceq eqtri neg1cn hvadd4i hv2times eqcomi hvnegidi oveq12i 2cn ax-hvaddid
      ) ABEFZABGFZEFUIAHIZBJFZEFZEFZKAJFZUJUMUIEABCDLMUNUONEFZUOUNAAEFZBULEFZEF
      UPABAULCDCUKBUADOUBUQUOURNEUOUQAPQUOUQSCAUCRUDBDUEUFTUOPQUPUOSKAUGCOUOUHR
      TT $.

    ${
      hvaddcan.3 $e |- C e. ~H $.
      $( Cancellation law for vector addition.  (Contributed by NM,
         11-Sep-1999.)  (New usage is discouraged.) $)
      hvaddcani $p |- ( ( A +h B ) = ( A +h C ) <-> B = C ) $=
        ( cva co wceq c1 cneg csm c0v neg1cn hvmulcli hvadd32i oveq1i hvaddid2i
        oveq1 3eqtri hvnegidi 3eqtr3g oveq2 impbii ) ABGHZACGHZIZBCIUGUEJKZALHZ
        GHZUFUIGHZBCUEUFUIGSUJAUIGHZBGHMBGHBABUIDEUHANDOZPULMBGADUAZQBERTUKULCG
        HMCGHCACUIDFUMPULMCGUNQCFRTUBBCAGUCUD $.

      $( Relationship between vector subtraction and addition.  (Contributed by
         NM, 11-Sep-1999.)  (New usage is discouraged.) $)
      hvsubaddi $p |- ( ( A -h B ) = C <-> ( B +h C ) = A ) $=
        ( cmv co wceq c1 cneg csm cva hvsubvali eqeq1i neg1cn hvmulcli hvadd12i
        c0v hvnegidi oveq2i chba wcel ax-hvaddid ax-mp hvaddcli hvaddcani eqcom
        3eqtri 3bitr3i bitri ) ABGHZCIAJKZBLHZMHZCIZBCMHZAIZULUOCABDENOBUOMHZUQ
        IAUQIUPURUSAUQUSABUNMHZMHASMHZABAUNEDUMBPEQZRUTSAMBETUAAUBUCVAAIDAUDUEU
        IOBUOCEAUNDVBUFFUGAUQUHUJUK $.
    $}
  $}

  $( Distribution of negative over subtraction.  (Contributed by NM,
     2-Apr-2000.)  (New usage is discouraged.) $)
  hvnegdi $p |- ( ( A e. ~H /\ B e. ~H ) ->
                ( -u 1 .h ( A -h B ) ) = ( B -h A ) ) $=
    ( chba wcel c1 cneg cmv csm wceq c0v cif oveq1 oveq2d oveq2 eqeq12d ifhvhv0
    co hvnegdii dedth2h ) ACDZBCDZEFZABGQZHQZBAGQZIUBTAJKZBGQZHQZBUFGQZIUBUFUAB
    JKZGQZHQZUJUFGQZIABJJAUFIZUDUHUEUIUNUCUGUBHAUFBGLMAUFBGNOBUJIZUHULUIUMUOUGU
    KUBHBUJUFGNMBUJUFGLOUFUJAPBPRS $.

  $( If the difference between two vectors is zero, they are equal.
     (Contributed by NM, 23-Oct-1999.)  (New usage is discouraged.) $)
  hvsubeq0 $p |- ( ( A e. ~H /\ B e. ~H ) ->
                  ( ( A -h B ) = 0h <-> A = B ) ) $=
    ( chba wcel cmv co c0v wceq wb cif oveq1 eqeq1d eqeq1 bibi12d oveq2 ifhvhv0
    eqeq2 hvsubeq0i dedth2h ) ACDZBCDZABEFZGHZABHZITAGJZBEFZGHZUEBHZIUEUABGJZEF
    ZGHZUEUIHZIABGGAUEHZUCUGUDUHUMUBUFGAUEBEKLAUEBMNBUIHZUGUKUHULUNUFUJGBUIUEEO
    LBUIUEQNUEUIAPBPRS $.

  $( If the sum of two vectors is zero, one is the negative of the other.
     (Contributed by NM, 10-Jun-2006.)  (New usage is discouraged.) $)
  hvaddeq0 $p |- ( ( A e. ~H /\ B e. ~H ) ->
                  ( ( A +h B ) = 0h <-> A = ( -u 1 .h B ) ) ) $=
    ( chba wcel wa cva co c0v wceq c1 cneg csm cmv hvaddsubval eqeq1d wb neg1cn
    cc hvmulcl mpan hvsubeq0 sylan2 bitrd ) ACDZBCDZEZABFGZHIAJKZBLGZMGZHIZAUII
    ZUFUGUJHABNOUEUDUICDZUKULPUHRDUEUMQUHBSTAUIUAUBUC $.

  $( Cancellation law for vector addition.  (Contributed by NM, 18-May-2005.)
     (New usage is discouraged.) $)
  hvaddcan $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
                  ( ( A +h B ) = ( A +h C ) <-> B = C ) ) $=
    ( chba wcel cva co wceq wb c0v cif oveq1 eqeq12d bibi1d oveq2 eqeq1 bibi12d
    eqeq1d eqeq2d ifhvhv0 eqeq2 hvaddcani dedth3h ) ADEZBDEZCDEZABFGZACFGZHZBCH
    ZIUDAJKZBFGZUKCFGZHZUJIUKUEBJKZFGZUMHZUOCHZIUPUKUFCJKZFGZHZUOUSHZIABCJJJAUK
    HZUIUNUJVCUGULUHUMAUKBFLAUKCFLMNBUOHZUNUQUJURVDULUPUMBUOUKFORBUOCPQCUSHZUQV
    AURVBVEUMUTUPCUSUKFOSCUSUOUAQUKUOUSATBTCTUBUC $.

  $( Cancellation law for vector addition.  (Contributed by NM, 18-May-2005.)
     (New usage is discouraged.) $)
  hvaddcan2 $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
                  ( ( A +h C ) = ( B +h C ) <-> A = B ) ) $=
    ( chba wcel cva co wceq wb ax-hvcom 3adant3 3adant2 eqeq12d hvaddcan bitr3d
    w3a 3coml ) CDEZADEZBDEZACFGZBCFGZHZABHZIRSTPZCAFGZCBFGZHUCUDUEUFUAUGUBRSUF
    UAHTCAJKRTUGUBHSCBJLMCABNOQ $.

  $( Cancellation law for scalar multiplication.  (Contributed by NM,
     19-May-2005.)  (New usage is discouraged.) $)
  hvmulcan $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ B e. ~H /\ C e. ~H )
               -> ( ( A .h B ) = ( A .h C ) <-> B = C ) ) $=
    ( cc wcel cc0 wne wa chba w3a cmv co c0v wo csm wb 3adant3 hvsubeq0 hvmulcl
    wceq df-ne biorf sylbi ad2antlr 3adant1 hvsubdistr1 eqeq1d hvsubcl hvmul0or
    wn sylan2 3impb 3adant2 syl2anc 3bitr3d 3adant1r 3bitr3rd ) ADEZAFGZHZBIEZC
    IEZJBCKLZMTZAFTZVDNZBCTZABOLZACOLZTZUTVAVDVFPZVBUSVKURVAUSVEUJVKAFUAVEVDUBU
    CUDQVAVBVDVGPUTBCRUEURVAVBVFVJPUSURVAVBJZAVCOLZMTZVHVIKLZMTZVFVJVLVMVOMABCU
    FUGURVAVBVNVFPZVAVBHURVCIEVQBCUHAVCUIUKULVLVHIEZVIIEZVPVJPURVAVRVBABSQURVBV
    SVAACSUMVHVIRUNUOUPUQ $.

  $( Cancellation law for scalar multiplication.  (Contributed by NM,
     19-May-2005.)  (New usage is discouraged.) $)
  hvmulcan2 $p |- ( ( A e. CC /\ B e. CC /\ ( C e. ~H /\ C =/= 0h ) ) ->
                  ( ( A .h C ) = ( B .h C ) <-> A = B ) ) $=
    ( cc wcel chba c0v wne wa w3a csm co cmv wb hvmulcl 3adant1 3adant3r bitr3d
    wceq wo 3adant2 hvsubeq0 syl2anc cmin cc0 hvsubdistr2 eqeq1d subcl hvmul0or
    stoic3 wn df-ne biorf orcom bitrdi sylbi ad2antll subeq0 3adant3 3bitr2d )
    ADEZBDEZCFEZCGHZIZJZACKLZBCKLZMLZGSZVGVHSZABSZVAVBVCVJVKNZVDVAVBVCJZVGFEZVH
    FEZVMVAVCVOVBACOUAVBVCVPVABCOPVGVHUBUCQVFVJABUDLZUESZCGSZTZVRVLVAVBVCVJVTNV
    DVNVQCKLZGSZVJVTVNWAVIGABCUFUGVAVBVQDEVCWBVTNABUHVQCUIUJRQVBVEVRVTNZVAVDWCV
    BVCVDVSUKZWCCGULWDVRVSVRTVTVSVRUMVSVRUNUOUPUQPVAVBVRVLNVEABURUSUTR $.

  $( Cancellation law for vector addition.  (Contributed by NM, 18-May-2005.)
     (New usage is discouraged.) $)
  hvsubcan $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
                  ( ( A -h B ) = ( A -h C ) <-> B = C ) ) $=
    ( chba wcel w3a cmv co wceq c1 cneg csm cva hvsubval 3adant3 3adant2 neg1cn
    wb hvmulcl mpan eqeq12d cc hvaddcan syl3an3 syl3an2 cc0 wa neg1ne0 hvmulcan
    wne pm3.2i mp3an1 3adant1 3bitrd ) ADEZBDEZCDEZFZABGHZACGHZIAJKZBLHZMHZAVAC
    LHZMHZIZVBVDIZBCIZURUSVCUTVEUOUPUSVCIUQABNOUOUQUTVEIUPACNPUAUPUOVBDEZUQVFVG
    RZVAUBEZUPVIQVABSTUQUOVIVDDEZVJVKUQVLQVACSTAVBVDUCUDUEUPUQVGVHRZUOVKVAUFUJZ
    UGUPUQVMVKVNQUHUKVABCUIULUMUN $.

  $( Cancellation law for vector addition.  (Contributed by NM, 18-May-2005.)
     (New usage is discouraged.) $)
  hvsubcan2 $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
                  ( ( A -h C ) = ( B -h C ) <-> A = B ) ) $=
    ( chba wcel cmv co wceq wb w3a cneg csm hvsubcl 3adant3 3adant2 cc0 hvnegdi
    c1 cc wne wa neg1cn neg1ne0 pm3.2i hvmulcan mp3an1 syl2anc eqeq12d hvsubcan
    3bitr3d 3coml ) CDEZADEZBDEZACFGZBCFGZHZABHZIULUMUNJZRKZCAFGZLGZUTCBFGZLGZH
    ZVAVCHZUQURUSVADEZVCDEZVEVFIZULUMVGUNCAMNULUNVHUMCBMOUTSEZUTPTZUAVGVHVIVJVK
    UBUCUDUTVAVCUEUFUGUSVBUOVDUPULUMVBUOHUNCAQNULUNVDUPHUMCBQOUHCABUIUJUK $.

  $( Subtraction of a zero vector.  (Contributed by NM, 2-Apr-2000.)
     (New usage is discouraged.) $)
  hvsub0 $p |- ( A e. ~H -> ( A -h 0h ) = A ) $=
    ( chba wcel c0v cmv co cva c1 cneg csm wceq ax-hv0cl hvsubval neg1cn hvmul0
    mpan2 cc ax-mp oveq2i eqtrdi ax-hvaddid eqtrd ) ABCZADEFZADGFZAUCUDAHIZDJFZ
    GFZUEUCDBCUDUHKLADMPUGDAGUFQCUGDKNUFORSTAUAUB $.

  $( Relationship between vector subtraction and addition.  (Contributed by NM,
     30-Oct-1999.)  (New usage is discouraged.) $)
  hvsubadd $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
                  ( ( A -h B ) = C <-> ( B +h C ) = A ) ) $=
    ( chba wcel cmv co wceq cva wb c0v oveq1 eqeq1d eqeq2 bibi12d oveq2 ifhvhv0
    cif hvsubaddi dedth3h ) ADEZBDEZCDEZABFGZCHZBCIGZAHZJUAAKRZBFGZCHZUFUHHZJUH
    UBBKRZFGZCHZULCIGZUHHZJUMUCCKRZHZULUQIGZUHHZJABCKKKAUHHZUEUJUGUKVAUDUICAUHB
    FLMAUHUFNOBULHZUJUNUKUPVBUIUMCBULUHFPMVBUFUOUHBULCILMOCUQHZUNURUPUTCUQUMNVC
    UOUSUHCUQULIPMOUHULUQAQBQCQST $.

  $( Hilbert vector space addition/subtraction law.  (Contributed by NM,
     18-May-2005.)  (New usage is discouraged.) $)
  hvaddsub4 $p |- ( ( ( A e. ~H /\ B e. ~H ) /\ ( C e. ~H /\ D e. ~H ) ) ->
          ( ( A +h B ) = ( C +h D ) <-> ( A -h C ) = ( D -h B ) ) ) $=
    ( chba wcel wa cva co cmv wceq hvaddcl ancoms hvsub4 syldan hvsubid hvsubcl
    c0v syl 3eqtrd wb adantr adantl ad2ant2lr hvsubcan2 syl3anc anim2i ad2antlr
    simpr oveq2d ax-hvaddid adantlr adantrr simpl anim1i oveq1d adantll eqeq12d
    ad2antrr hvaddid2 bitr3d ) AEFZBEFZGZCEFZDEFZGZGZABHIZCBHIZJIZCDHIZVJJIZKZV
    IVLKZACJIZDBJIZKVHVIEFZVLEFZVJEFZVNVOUAVDVRVGABLUBVGVSVDCDLUCVCVEVTVBVFVEVC
    VTCBLMUDVIVLVJUEUFVHVKVPVMVQVDVEVKVPKVFVDVEGZVKVPBBJIZHIZVPRHIZVPVDVEVEVCGZ
    VKWCKVEVDWEVDVCVEVBVCUIUGMABCBNOWAWBRVPHVCWBRKVBVEBPUHUJVBVEWDVPKZVCVBVEGVP
    EFWFACQVPUKSULTUMVCVGVMVQKZVBVGVCWGVGVCGZVMCCJIZVQHIZRVQHIZVQVGVCWEVMWJKVGV
    EVCVEVFUNUOCDCBNOWHWIRVQHVEWIRKVFVCCPUSUPVFVCWKVQKZVEVFVCGVQEFWLDBQVQUTSUQT
    MUQURVA $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Inner product postulates for a Hilbert space
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Inner product maps pairs from ` ~H ` to ` CC ` .  (Contributed by NM,
     17-Nov-2007.)  (New usage is discouraged.) $)
  ax-hfi $a |- .ih : ( ~H X. ~H ) --> CC $.

  $( Closure of inner product.  (Contributed by NM, 17-Nov-2007.)
     (New usage is discouraged.) $)
  hicl $p |- ( ( A e. ~H /\ B e. ~H ) -> ( A .ih B ) e. CC ) $=
    ( cc chba csp ax-hfi fovcl ) ABCDDEFG $.

  ${
    hicl.1 $e |- A e. ~H $.
    hicl.2 $e |- B e. ~H $.
    $( Closure inference for inner product.  (Contributed by NM, 1-Aug-1999.)
       (New usage is discouraged.) $)
    hicli $p |- ( A .ih B ) e. CC $=
      ( chba wcel csp co cc hicl mp2an ) AEFBEFABGHIFCDABJK $.
  $}

  $( Conjugate law for inner product.  Postulate (S1) of [Beran] p. 95.  Note
     that ` * `` x ` is the complex conjugate ~ cjval of ` x ` .  In the
     literature, the inner product of ` A ` and ` B ` is usually written
     ` <. A , B >. ` , but our operation notation ~ co allows us to use
     existing theorems about operations and also avoids a clash with the
     definition of an ordered pair ~ df-op .  Physicists use ` <. B | A >. ` ,
     called Dirac bra-ket notation, to represent this operation; see comments
     in ~ df-bra .  (Contributed by NM, 29-Jul-1999.)
     (New usage is discouraged.) $)
  ax-his1 $a |- ( ( A e. ~H /\ B e. ~H ) ->
                ( A .ih B ) = ( * ` ( B .ih A ) ) ) $.

  $( Distributive law for inner product.  Postulate (S2) of [Beran] p. 95.
     (Contributed by NM, 31-Jul-1999.)  (New usage is discouraged.) $)
  ax-his2 $a |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
                ( ( A +h B ) .ih C ) = ( ( A .ih C ) + ( B .ih C ) ) ) $.

  $( Associative law for inner product.  Postulate (S3) of [Beran] p. 95.
     Warning:  Mathematics textbooks usually use our version of the axiom.
     Physics textbooks, on the other hand, usually replace the left-hand side
     with ` ( B .ih ( A .h C ) ) ` (e.g., Equation 1.21b of [Hughes] p. 44;
     Definition (iii) of [ReedSimon] p. 36).  See the comments in ~ df-bra for
     why the physics definition is swapped.  (Contributed by NM, 29-May-1999.)
     (New usage is discouraged.) $)
  ax-his3 $a |- ( ( A e. CC /\ B e. ~H /\ C e. ~H ) ->
                ( ( A .h B ) .ih C ) = ( A x. ( B .ih C ) ) ) $.

  $( Identity law for inner product.  Postulate (S4) of [Beran] p. 95.
     (Contributed by NM, 29-May-1999.)  (New usage is discouraged.) $)
  ax-his4 $a |- ( ( A e. ~H /\ A =/= 0h ) -> 0 < ( A .ih A ) ) $.


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Inner product and norms
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Inner product
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Associative law for inner product.  Lemma 3.1(S5) of [Beran] p. 95.
     (Contributed by NM, 29-Jul-1999.)  (New usage is discouraged.) $)
  his5 $p |- ( ( A e. CC /\ B e. ~H /\ C e. ~H ) ->
                ( B .ih ( A .h C ) ) = ( ( * ` A ) x. ( B .ih C ) ) ) $=
    ( cc wcel chba w3a csm co csp ccj cmul wceq wa hvmulcl ax-his1 sylan2 3impb
    cfv 3com23 3com12 ax-his3 fveq2d hicl cjmul 3adant1 oveq2d eqtr4d 3eqtrd )
    ADEZBFEZCFEZGZBACHIZJIZUNBJIZKSZACBJIZLIZKSZAKSZBCJIZLIZUKUJULUOUQMZUKUJULV
    DUJULNUKUNFEVDACOBUNPQRUAUMUPUSKUJULUKUPUSMACBUBTUCUMUTVAURKSZLIZVCUJULUKUT
    VFMZUJULUKVGULUKNUJURDEVGCBUDAURUEQRTUMVBVEVALUKULVBVEMUJBCPUFUGUHUI $.

  $( Associative law for inner product.  (Contributed by NM, 13-Feb-2006.)
     (New usage is discouraged.) $)
  his52 $p |- ( ( A e. CC /\ B e. ~H /\ C e. ~H ) ->
                ( B .ih ( ( * ` A ) .h C ) ) = ( A x. ( B .ih C ) ) ) $=
    ( cc wcel chba w3a ccj cfv csm co cmul wceq cjcl his5 syl3an1 cjcj 3ad2ant1
    csp oveq1d eqtrd ) ADEZBFEZCFEZGBAHIZCJKSKZUEHIZBCSKZLKZAUHLKZUBUEDEUCUDUFU
    IMANUEBCOPUBUCUIUJMUDUBUGAUHLAQTRUA $.

  $( Move scalar multiplication to outside of inner product.  (Contributed by
     Mario Carneiro, 15-May-2014.)  (New usage is discouraged.) $)
  his35 $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. ~H /\ D e. ~H ) ) ->
                ( ( A .h C ) .ih ( B .h D ) ) =
                  ( ( A x. ( * ` B ) ) x. ( C .ih D ) ) ) $=
    ( cc wcel wa chba csm co csp cmul ccj wceq his5 3expb adantll oveq2d simpll
    cfv simprl hvmulcl ad2ant2l ax-his3 syl3anc ad2antlr adantl mulassd 3eqtr4d
    cjcl hicl ) AEFZBEFZGZCHFZDHFZGZGZACBDIJZKJZLJZABMTZCDKJZLJZLJACIJUSKJZAVBL
    JVCLJURUTVDALUMUQUTVDNZULUMUOUPVFBCDOPQRURULUOUSHFZVEVANULUMUQSZUNUOUPUAUMU
    PVGULUOBDUBUCACUSUDUEURAVBVCVHUMVBEFULUQBUJUFUQVCEFUNCDUKUGUHUI $.

  ${
    his35.1 $e |- A e. CC $.
    his35.2 $e |- B e. CC $.
    his35.3 $e |- C e. ~H $.
    his35.4 $e |- D e. ~H $.
    $( Move scalar multiplication to outside of inner product.  (Contributed by
       NM, 1-Jul-2005.)  (Revised by Mario Carneiro, 15-May-2014.)
       (New usage is discouraged.) $)
    his35i $p |- ( ( A .h C ) .ih ( B .h D ) ) =
              ( ( A x. ( * ` B ) ) x. ( C .ih D ) ) $=
      ( cc wcel chba csm co csp ccj cfv cmul wceq his35 mp4an ) AIJBIJCKJDKJACL
      MBDLMNMABOPQMCDNMQMREFGHABCDST $.
  $}

  $( Distributive law for inner product.  Lemma 3.1(S7) of [Beran] p. 95.
     (Contributed by NM, 31-Jul-1999.)  (New usage is discouraged.) $)
  his7 $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
                ( A .ih ( B +h C ) ) = ( ( A .ih B ) + ( A .ih C ) ) ) $=
    ( chba wcel w3a cva co csp ccj caddc wceq ax-his2 fveq2d wa cc hicl ax-his1
    cfv cjadd syl2an 3impdir eqtrd 3comr hvaddcl sylan2 3adant3 3adant2 oveq12d
    3impb 3eqtr4d ) ADEZBDEZCDEZFZBCGHZAIHZJSZBAIHZJSZCAIHZJSZKHZAUPIHZABIHZACI
    HZKHUMUNULURVCLUMUNULFZURUSVAKHZJSZVCVGUQVHJBCAMNUMULUNVIVCLZUMULOUSPEVAPEV
    JUNULOBAQCAQUSVATUAUBUCUDULUMUNVDURLZUMUNOULUPDEVKBCUEAUPRUFUJUOVEUTVFVBKUL
    UMVEUTLUNABRUGULUNVFVBLUMACRUHUIUK $.

  $( Distributive/associative law for inner product, useful for linearity
     proofs.  (Contributed by NM, 10-May-2005.)  (New usage is discouraged.) $)
  hiassdi $p |- ( ( ( A e. CC /\ B e. ~H ) /\ ( C e. ~H /\ D e. ~H ) ) ->
    ( ( ( A .h B ) +h C ) .ih D ) = ( ( A x. ( B .ih D ) ) + ( C .ih D ) ) ) $=
    ( cc wcel chba wa csm cva csp caddc cmul wceq hvmulcl ax-his2 3expb ax-his3
    co sylan 3expa adantrl oveq1d eqtrd ) AEFZBGFZHZCGFZDGFZHZHZABISZCJSDKSZULD
    KSZCDKSZLSZABDKSMSZUOLSUGULGFZUJUMUPNZABOURUHUIUSULCDPQTUKUNUQUOLUGUIUNUQNZ
    UHUEUFUIUTABDRUAUBUCUD $.

  $( Distributive law for inner product of vector subtraction.  (Contributed by
     NM, 16-Nov-1999.)  (New usage is discouraged.) $)
  his2sub $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
                ( ( A -h B ) .ih C ) = ( ( A .ih C ) - ( B .ih C ) ) ) $=
    ( chba wcel w3a cmv co csp c1 cneg csm caddc wceq wa cc neg1cn hicl 3adant1
    eqtrd cva cmin hvsubval oveq1d 3adant3 hvmulcl mpan ax-his2 syl3an2 ax-his3
    cmul mp3an1 mulm1d oveq2d 3adant2 negsubd 3eqtrd ) ADEZBDEZCDEZFZABGHZCIHZA
    JKZBLHZUAHZCIHZACIHZBCIHZKZMHZVHVIUBHURUSVCVGNUTURUSOVBVFCIABUCUDUEVAVGVHVE
    CIHZMHZVKUSURVEDEZUTVGVMNVDPEZUSVNQVDBUFUGAVECUHUIUSUTVMVKNURUSUTOZVLVJVHMV
    PVLVDVIUKHZVJVOUSUTVLVQNQVDBCUJULVPVIBCRZUMTUNSTVAVHVIURUTVHPEUSACRUOUSUTVI
    PEURVRSUPUQ $.

  $( Distributive law for inner product of vector subtraction.  (Contributed by
     NM, 13-Feb-2006.)  (New usage is discouraged.) $)
  his2sub2 $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
                ( A .ih ( B -h C ) ) = ( ( A .ih B ) - ( A .ih C ) ) ) $=
    ( chba wcel w3a cmv co csp ccj cfv cmin wceq his2sub fveq2d wa hicl ax-his1
    cc cjsub syl2an 3impdir eqtrd 3comr hvsubcl 3adant3 3adant2 oveq12d 3eqtr4d
    sylan2 3impb ) ADEZBDEZCDEZFZBCGHZAIHZJKZBAIHZJKZCAIHZJKZLHZAUPIHZABIHZACIH
    ZLHUMUNULURVCMUMUNULFZURUSVALHZJKZVCVGUQVHJBCANOUMULUNVIVCMZUMULPUSSEVASEVJ
    UNULPBAQCAQUSVATUAUBUCUDULUMUNVDURMZUMUNPULUPDEVKBCUEAUPRUJUKUOVEUTVFVBLULU
    MVEUTMUNABRUFULUNVFVBMUMACRUGUHUI $.

  $( A necessary and sufficient condition for an inner product to be real.
     (Contributed by NM, 2-Jul-2005.)  (New usage is discouraged.) $)
  hire $p |- ( ( A e. ~H /\ B e. ~H ) ->
              ( ( A .ih B ) e. RR <-> ( A .ih B ) = ( B .ih A ) ) ) $=
    ( chba wcel wa csp co cr ccj cfv wceq cc wb hicl cjreb eqcom bitrdi ax-his1
    syl ancoms eqeq2d bitr4d ) ACDZBCDZEZABFGZHDZUFUFIJZKZUFBAFGZKUEUGUHUFKZUIU
    EUFLDUGUKMABNUFOSUHUFPQUEUJUHUFUDUCUJUHKBARTUAUB $.

  $( Real closure of inner product with self.  (Contributed by NM,
     29-May-1999.)  (New usage is discouraged.) $)
  hiidrcl $p |- ( A e. ~H -> ( A .ih A ) e. RR ) $=
    ( chba wcel csp co cr wa wceq eqid hire mpbiri anidms ) ABCZAADEZFCZMMGONNH
    NIAAJKL $.

  $( Inner product with the 0 vector.  (Contributed by NM, 29-May-1999.)
     (New usage is discouraged.) $)
  hi01 $p |- ( A e. ~H -> ( 0h .ih A ) = 0 ) $=
    ( chba wcel c0v csp co cc0 cmul csm wceq ax-hv0cl ax-hvmul0 ax-mp oveq1i cc
    0cn ax-his3 mp3an12 eqtr3id hicl mpan mul02d eqtrd ) ABCZDAEFZGUEHFZGUDUEGD
    IFZAEFZUFUGDAEDBCZUGDJKDLMNGOCUIUDUHUFJPKGDAQRSUDUEUIUDUEOCKDATUAUBUC $.

  $( Inner product with the 0 vector.  (Contributed by NM, 13-Oct-1999.)
     (New usage is discouraged.) $)
  hi02 $p |- ( A e. ~H -> ( A .ih 0h ) = 0 ) $=
    ( chba wcel c0v csp ccj cfv cc0 wceq ax-hv0cl ax-his1 mpan2 hi01 fveq2d cj0
    co eqtrdi eqtrd ) ABCZADEPZDAEPZFGZHSDBCTUBIJADKLSUBHFGHSUAHFAMNOQR $.

  $( Inner product with self is not negative.  (Contributed by NM,
     29-May-1999.)  (New usage is discouraged.) $)
  hiidge0 $p |- ( A e. ~H -> 0 <_ ( A .ih A ) ) $=
    ( chba wcel cc0 csp co cle wbr clt wceq wo c0v pm2.1 df-ne ax-his4 sylan2br
    wn wne ex cr wa oveq1 hi01 sylan9eqr eqcomd orim12d mpi 0re hiidrcl sylancr
    wb leloe mpbird ) ABCZDAAEFZGHZDUOIHZDUOJZKZUNALJZQZUTKUSUTMUNVAUQUTURUNVAU
    QVAUNALRUQALNAOPSUNUTURUNUTUAUODUTUNUOLAEFDALAEUBAUCUDUESUFUGUNDTCUOTCUPUSU
    KUHAUIDUOULUJUM $.

  $( Zero inner product with self means vector is zero.  Lemma 3.1(S6) of
     [Beran] p. 95.  (Contributed by NM, 27-Jul-1999.)
     (New usage is discouraged.) $)
  his6 $p |- ( A e. ~H -> ( ( A .ih A ) = 0 <-> A = 0h ) ) $=
    ( chba wcel csp co cc0 wceq c0v wne wa ax-his4 gt0ne0d necon4d oveq1 eqeq1d
    ex hi01 syl5ibrcom impbid ) ABCZAADEZFGZAHGZTAHUAFTAHIZUAFITUDJUAAKLPMTUBUC
    HADEZFGAQUCUAUEFAHADNORS $.

  ${
    his1.1 $e |- A e. ~H $.
    his1.2 $e |- B e. ~H $.
    $( Conjugate law for inner product.  Postulate (S1) of [Beran] p. 95.
       (Contributed by NM, 15-May-2005.)  (New usage is discouraged.) $)
    his1i $p |- ( A .ih B ) = ( * ` ( B .ih A ) ) $=
      ( chba wcel csp co ccj cfv wceq ax-his1 mp2an ) AEFBEFABGHBAGHIJKCDABLM
      $.
  $}

  $( Commuted inner products have the same absolute values.  (Contributed by
     NM, 26-May-2006.)  (New usage is discouraged.) $)
  abshicom $p |- ( ( A e. ~H /\ B e. ~H ) ->
                  ( abs ` ( A .ih B ) ) = ( abs ` ( B .ih A ) ) ) $=
    ( chba wcel wa csp co cabs cfv ccj ax-his1 fveq2d hicl ancoms abscjd eqtrd
    cc ) ACDZBCDZEZABFGZHIBAFGZJIZHIUBHITUAUCHABKLTUBSRUBQDBAMNOP $.

  ${
    $d x A $.
    $( A vector whose inner product is always zero is zero.  (Contributed by
       NM, 24-Oct-1999.)  (New usage is discouraged.) $)
    hial0 $p |- ( A e. ~H -> ( A. x e. ~H ( A .ih x ) = 0 <-> A = 0h ) ) $=
      ( chba wcel cv csp co cc0 wceq wral c0v oveq2 eqeq1d rspcv his6 sylibd wi
      oveq1 hi01 sylan9eq ex a1i ralrimdv impbid ) BCDZBAEZFGZHIZACJZBKIZUEUIBB
      FGZHIZUJUHULABCUFBIUGUKHUFBBFLMNBOPUEUJUHACUJUFCDZUHQQUEUJUMUHUJUMUGKUFFG
      HBKUFFRUFSTUAUBUCUD $.

    $( A vector whose inner product is always zero is zero.  (Contributed by
       NM, 28-Jan-2006.)  (New usage is discouraged.) $)
    hial02 $p |- ( A e. ~H -> ( A. x e. ~H ( x .ih A ) = 0 <-> A = 0h ) ) $=
      ( chba wcel cv csp co cc0 wceq wral c0v oveq1 eqeq1d rspcv his6 sylibd wi
      oveq2 hi02 sylan9eq ex a1i ralrimdv impbid ) BCDZAEZBFGZHIZACJZBKIZUEUIBB
      FGZHIZUJUHULABCUFBIUGUKHUFBBFLMNBOPUEUJUHACUJUFCDZUHQQUEUJUMUHUJUMUGUFKFG
      HBKUFFRUFSTUAUBUCUD $.
  $}

  ${
    hisubcom.1 $e |- A e. ~H $.
    hisubcom.2 $e |- B e. ~H $.
    hisubcom.3 $e |- C e. ~H $.
    hisubcom.4 $e |- D e. ~H $.
    $( Two vector subtractions simultaneously commute in an inner product.
       (Contributed by NM, 1-Jul-2005.)  (New usage is discouraged.) $)
    hisubcomi $p |- ( ( A -h B ) .ih ( C -h D ) ) =
                   ( ( B -h A ) .ih ( D -h C ) ) $=
      ( c1 cneg cmv co csm csp hvnegdii cmul neg1cn hvsubcli ax-1cn 3eqtri wcel
      oveq12i ccj his35i cr wceq neg1rr cjre ax-mp oveq2i mul2negi 1t1e1 oveq1i
      cfv hicli mulid2i eqtr3i ) IJZBAKLZMLZURDCKLZMLZNLZABKLZCDKLZNLUSVANLZUTV
      DVBVENBAFEODCHGOUBVCURURUCUNZPLZVFPLIVFPLVFURURUSVAQQBAFERZDCHGRZUDVHIVFP
      VHURURPLIIPLIVGURURPURUEUAVGURUFUGURUHUIUJIISSUKULTUMVFUSVAVIVJUOUPTUQ $.
  $}

  $( Lemma used to prove equality of vectors.  (Contributed by NM,
     16-Nov-1999.)  (New usage is discouraged.) $)
  hi2eq $p |- ( ( A e. ~H /\ B e. ~H ) ->
               ( ( A .ih ( A -h B ) ) = ( B .ih ( A -h B ) ) <-> A = B ) ) $=
    ( chba wcel wa cmv co csp cmin cc0 wceq hvsubcl his2sub mpd3an3 eqeq1d his6
    c0v wb cc hicl syl bitr3d syldan simpr syl2anc subeq0ad hvsubeq0 3bitr3d )
    ACDZBCDZEZAABFGZHGZBULHGZIGZJKZULQKZUMUNKABKUKULULHGZJKZUPUQUKURUOJUIUJULCD
    ZURUOKABLZABULMNOUKUTUSUQRVAULPUAUBUKUMUNUIUJUTUMSDVAAULTUCUKUJUTUNSDUIUJUD
    VABULTUEUFABUGUH $.

  ${
    $d x A $.  $d x B $.
    $( Two vectors whose inner product is always equal are equal.  (Contributed
       by NM, 16-Nov-1999.)  (New usage is discouraged.) $)
    hial2eq $p |- ( ( A e. ~H /\ B e. ~H ) ->
                   ( A. x e. ~H ( A .ih x ) = ( B .ih x ) <-> A = B ) ) $=
      ( chba wcel wa cv csp co wceq wral cmv wi hvsubcl oveq2 eqeq12d rspcv syl
      hi2eq sylibd oveq1 ralrimivw impbid1 ) BDECDEFZBAGZHIZCUEHIZJZADKZBCJZUDU
      IBBCLIZHIZCUKHIZJZUJUDUKDEUIUNMBCNUHUNAUKDUEUKJUFULUGUMUEUKBHOUEUKCHOPQRB
      CSTUJUHADBCUEHUAUBUC $.

    $( Two vectors whose inner product is always equal are equal.  (Contributed
       by NM, 28-Jan-2006.)  (New usage is discouraged.) $)
    hial2eq2 $p |- ( ( A e. ~H /\ B e. ~H ) ->
                   ( A. x e. ~H ( x .ih A ) = ( x .ih B ) <-> A = B ) ) $=
      ( chba wcel wa cv csp co wceq wral wb ccj cfv ax-his1 eqeqan12d cc ancoms
      hicl cj11 syl2an bitr2d anandirs ralbidva hial2eq bitrd ) BDEZCDEZFZAGZBH
      IZUJCHIZJZADKBUJHIZCUJHIZJZADKBCJUIUMUPADUGUHUJDEZUMUPLUGUQFZUHUQFZFUPUKM
      NZULMNZJZUMURUSUNUTUOVABUJOCUJOPURUKQEZULQEZVBUMLUSUQUGVCUJBSRUQUHVDUJCSR
      UKULTUAUBUCUDABCUEUF $.
  $}

  $( Orthogonality commutes.  (Contributed by NM, 10-Oct-1999.)
     (New usage is discouraged.) $)
  orthcom $p |- ( ( A e. ~H /\ B e. ~H ) ->
                ( ( A .ih B ) = 0 <-> ( B .ih A ) = 0 ) ) $=
    ( chba wcel wa csp cc0 wceq ccj cfv fveq2 cj0 eqtrdi ax-his1 ancoms syl5ibr
    co eqeq1d impbid ) ACDZBCDZEZABFQZGHZBAFQZGHZUDUFUBUCIJZGHUDUGGIJZGUCGIKLMU
    BUEUGGUATUEUGHBANORPUFUDUBUEIJZGHUFUIUHGUEGIKLMUBUCUIGABNRPS $.

  ${
    normlem1.1 $e |- S e. CC $.
    normlem1.2 $e |- F e. ~H $.
    normlem1.3 $e |- G e. ~H $.
    $( Lemma used to derive properties of norm.  Part of Theorem 3.3(ii) of
       [Beran] p. 97.  (Contributed by NM, 7-Oct-1999.)
       (New usage is discouraged.) $)
    normlem0 $p |- ( ( F -h ( S .h G ) ) .ih
                         ( F -h ( S .h G ) ) ) =
                ( ( ( F .ih F ) + ( -u ( * ` S ) x. ( F .ih G ) ) ) +
  ( ( -u S x. ( G .ih F ) ) + ( ( S x. ( * ` S ) ) x. ( G .ih G ) ) ) ) $=
      ( csm co csp cneg cva caddc cmul oveq1i oveq2i chba wcel wceq mp3an eqtri
      cmv ccj cfv hvmulcli hvsubvali mulm1i neg1cn eqtr3i eqtr4i oveq12i negcli
      c1 hvmulassi hvaddcli ax-his2 his7 his5 cjnegi ax-his3 hicli cjcli mulcli
      cc adddii mulassi mul2negi 3eqtri ) BACGHZUAHZVIIHBAJZCGHZKHZVLIHZBVLIHZV
      KVLIHZLHZBBIHZAUBUCZJZBCIHZMHZLHZVJCBIHZMHZAVRMHZCCIHZMHZLHZLHVIVLVIVLIVI
      BULJZVHGHZKHVLBVHEACDFUDUEVKWJBKWIAMHZCGHVKWJWKVJCGADUFNWIACUGDFUMUHOUIZW
      LUJBPQZVKPQZVLPQZVMVPREVJCADUKZFUDZBVKEWQUNZBVKVLUOSVNWBVOWHLVNVQBVKIHZLH
      ZWBWMWMWNVNWTREEWQBBVKUPSWSWAVQLWSVJUBUCZVTMHZWAVJVCQZWMCPQZWSXBRWPEFVJBC
      UQSXAVSVTMADURZNTOTVOVJCVLIHZMHZVJWCXAWFMHZLHZMHZWHXCXDWOVOXGRWPFWRVJCVLU
      SSXFXIVJMXFWCCVKIHZLHZXIXDWMWNXFXLRFEWQCBVKUPSXKXHWCLXCXDXDXKXHRWPFFVJCCU
      QSOTOXJWDVJXHMHZLHWHVJWCXHWPCBFEUTXAWFVJWPVAZCCFFUTZVBVDXMWGWDLVJXAMHZWFM
      HXMWGVJXAWFWPXNXOVEXPWEWFMXPVJVSMHWEXAVSVJMXEOAVRDADVAVFTNUHOTVGUJVG $.

    ${
      normlem1.4 $e |- R e. RR $.
      normlem1.5 $e |- ( abs ` S ) = 1 $.
      $( Lemma used to derive properties of norm.  Part of Theorem 3.3(ii) of
         [Beran] p. 97.  (Contributed by NM, 22-Aug-1999.)
         (New usage is discouraged.) $)
      normlem1 $p |- ( ( F -h ( ( S x. R ) .h G ) ) .ih
                         ( F -h ( ( S x. R ) .h G ) ) ) =
                ( ( ( F .ih F ) + ( ( ( * ` S ) x. -u R ) x. ( F .ih G ) ) ) +
  ( ( ( S x. -u R ) x. ( G .ih F ) ) + ( ( R ^ 2 ) x. ( G .ih G ) ) ) ) $=
        ( cmul co csp cfv cneg caddc c2 cexp oveq2i eqtri c1 csm cmv ccj mulcli
        recni normlem0 cjmuli cr wcel wceq cjrebi negeqi mulneg2i eqtr4i oveq1i
        mpbi cjcli eqcomi mul4i cabs absvalsqi 3eqtr3i oveq12i mulid2i sqvali
        sq1 ) CBAJKZDUAKUBKZVHLKCCLKZVGUCMZNZCDLKZJKZOKZVGNZDCLKZJKZVGVJJKZDDLK
        ZJKZOKZOKVIBUCMZANZJKZVLJKZOKZBWCJKZVPJKZAPQKZVSJKZOKZOKVGCDBAEAHUEZUDF
        GUFVNWFWAWKOVMWEVIOVKWDVLJVKWBAJKZNWDVJWMVJWBAUCMZJKZWMBAEWLUGZWNAWBJAU
        HUIWNAUJHAWLUKUPZRSULWBABEUQZWLUMUNUORVQWHVTWJOVOWGVPJWGVOBAEWLUMURUOVR
        WIVSJVRAAJKZWIVRVGWOJKZWSVJWOVGJWPRWTBWBJKZAWNJKZJKZWSBAWBWNEWLWRAWLUQU
        SXCTWSJKWSXATXBWSJBUTMZPQKTPQKXATXDTPQIUOBEVAVFVBWNAAJWQRVCWSAAWLWLUDVD
        SSSAWLVEUNUOVCVCS $.
    $}

    ${
      normlem2.4 $e |- B = -u ( ( ( * ` S ) x. ( F .ih G ) ) +
                    ( S x. ( G .ih F ) ) ) $.
      $( Lemma used to derive properties of norm.  Part of Theorem 3.3(ii) of
         [Beran] p. 97.  (Contributed by NM, 27-Jul-1999.)
         (New usage is discouraged.) $)
      normlem2 $p |- B e. RR $=
        ( ccj cfv csp co cmul caddc cr hicli mulcli his1i oveq12i eqtr4i cjaddi
        cneg wcel wceq cjcli cjcji eqcomi cjmuli oveq2i addcomi addcli renegcli
        cjrebi mpbir eqeltri ) ABIJZCDKLZMLZBDCKLZMLZNLZUBOHVAVAOUCVAIJZVAUDVBU
        TURNLZVAVBURIJZUTIJZNLVCURUTUPUQBEUEZCDFGPZQZBUSEDCGFPZQZUAUTVDURVENUTU
        PIJZUQIJZMLVDBVKUSVLMVKBBEUFUGDCGFRSUPUQVFVGUHTURUPUSIJZMLVEUQVMUPMCDFG
        RUIBUSEVIUHTSTURUTVHVJUJTVAURUTVHVJUKUMUNULUO $.

      normlem3.5 $e |- A = ( G .ih G ) $.
      normlem3.6 $e |- C = ( F .ih F ) $.
      ${
        normlem3.7 $e |- R e. RR $.
        $( Lemma used to derive properties of norm.  Part of Theorem 3.3(ii) of
           [Beran] p. 97.  (Contributed by NM, 21-Aug-1999.)
           (New usage is discouraged.) $)
        normlem3 $p |- ( ( ( A x. ( R ^ 2 ) ) + ( B x. R ) ) + C ) =
                ( ( ( F .ih F ) + ( ( ( * ` S ) x. -u R ) x. ( F .ih G ) ) ) +
  ( ( ( S x. -u R ) x. ( G .ih F ) ) + ( ( R ^ 2 ) x. ( G .ih G ) ) ) ) $=
          ( co cmul caddc csp hicli mulcli c2 cexp ccj cneg eqeltri recni sqcli
          cfv cc normlem2 addcomi cjcli addcli mulneg1i oveq1i mulneg2i 3eqtr4i
          negcli adddiri mul32i oveq12i 3eqtri oveq2i mulcomli addassi ) CADUAU
          BOZPOZBDPOZQOZQOFFROZEUCUHZDUDZPOZFGROZPOZEVLPOZGFROZPOZVFGGROZPOZQOZ
          QOZQOVICQOVJVOQOWAQOCVJVIWBQMVIVHVGQOVOVRQOZVTQOWBVGVHAVFAVSUILGGJJSZ
          UEZDDNUFZUGZTZBDBBEFGHIJKUJUFWFTZUKVHWCVGVTQVHVKVNPOZEVQPOZQOZVLPOZWJ
          VLPOZWKVLPOZQOWCWLUDZDPOWLDPOUDVHWMWLDWJWKVKVNEHULZFGIJSZTZEVQHGFJISZ
          TZUMZWFUNBWPDPKUOWLDXBWFUPUQWJWKVLWSXADWFURZUSWNVOWOVRQVKVNVLWQWRXCUT
          EVQVLHWTXCUTVAVBVFAVTWGWEAVSVFPLVCVDVAVOVRVTVMVNVKVLWQXCTWRTZVPVQEVLH
          XCTWTTZVFVSWGWDTZVEVBVAVICVGVHWHWIUMCVJUIMFFIISZUEUKVJVOWAXGXDVRVTXEX
          FUMVEUQ $.
      $}

      ${
        normlem4.7 $e |- R e. RR $.
        normlem4.8 $e |- ( abs ` S ) = 1 $.
        $( Lemma used to derive properties of norm.  Part of Theorem 3.3(ii) of
           [Beran] p. 97.  (Contributed by NM, 29-Jul-1999.)
           (New usage is discouraged.) $)
        normlem4 $p |- ( ( F -h ( ( S x. R ) .h G ) ) .ih
                       ( F -h ( ( S x. R ) .h G ) ) ) =
                       ( ( ( A x. ( R ^ 2 ) ) + ( B x. R ) ) + C ) $=
          ( cmul co csm csp caddc cmv ccj cneg c2 cexp normlem1 normlem3 eqtr4i
          cfv ) FEDPQGRQUAQZUJSQFFSQEUBUIDUCZPQFGSQPQTQEUKPQGFSQPQDUDUEQZGGSQPQ
          TQTQAULPQBDPQTQCTQDEFGHIJNOUFABCDEFGHIJKLMNUGUH $.

        $( Lemma used to derive properties of norm.  Part of Theorem 3.3(ii) of
           [Beran] p. 97.  (Contributed by NM, 10-Aug-1999.)
           (New usage is discouraged.) $)
        normlem5 $p |- 0 <_
                       ( ( ( A x. ( R ^ 2 ) ) + ( B x. R ) ) + C ) $=
          ( cc0 cmul co caddc cle csm cmv csp cexp chba wcel wbr recni hvmulcli
          c2 mulcli hvsubcli hiidge0 ax-mp normlem4 breqtri ) PFEDQRZGUARZUBRZU
          SUCRZADUJUDRQRBDQRSRCSRTUSUEUFPUTTUGFURIUQGEDHDNUHUKJUIULUSUMUNABCDEF
          GHIJKLMNOUOUP $.
      $}

      $d x A $.  $d x B $.  $d x C $.
      normlem6.7 $e |- ( abs ` S ) = 1 $.
      $( Lemma used to derive properties of norm.  Part of Theorem 3.3(ii) of
         [Beran] p. 97.  (Contributed by NM, 2-Aug-1999.)  (Revised by Mario
         Carneiro, 4-Jun-2014.)  (New usage is discouraged.) $)
      normlem6 $p |- ( abs ` B ) <_
                       ( 2 x. ( ( sqrt ` A ) x. ( sqrt ` C ) ) ) $=
        ( co cmul cle wbr cc0 cr wcel vx c2 cexp csqrt cfv cabs caddc cmin wtru
        c4 csp chba hiidrcl ax-mp eqeltri a1i normlem2 cv cif wceq oveq1 oveq2d
        oveq2 oveq12d oveq1d breq2d 0re elimel dedth adantl discr mptru resqcli
        normlem5 4re remulcli lesubadd2i mpbi recni addid1i breqtri sqge0i 4pos
        wb ltleii hiidge0 breqtrri mulge0i mp2an sqrtlei absrei sqrtmulii sqrt4
        oveq12i eqtr2i 3brtr4i ) BUBUCNZUDUEZUJACONZONZUDUEZBUFUEUBAUDUECUDUEON
        ZONZPWQWTPQZWRXAPQZWQWTRUGNZWTPWQWTUHNRPQZWQXFPQXGUIUAABCASTUIAFFUKNZSK
        FULTZXHSTIFUMUNUOZUPBSTUIBDEFGHIJUQZUPCSTUICEEUKNZSLEULTZXLSTHEUMUNUOZU
        PUAURZSTZRAXOUBUCNZONZBXOONZUGNZCUGNZPQZUIXPYBRAXPXORUSZUBUCNZONZBYCONZ
        UGNZCUGNZPQXORXOYCUTZYAYHRPYIXTYGCUGYIXRYEXSYFUGYIXQYDAOXOYCUBUCVAVBXOY
        CBOVCVDVEVFABCYCDEFGHIJKLXORSVGVHMVNVIVJVKVLWQWTRBXKVMZUJWSVOACXJXNVPZV
        PZVGVQVRWTWTYLVSVTWARWQPQRWTPQZXDXEWDBXKWBRUJPQRWSPQZYMRUJVGVOWCWEZRAPQ
        RCPQYNRXHAPXIRXHPQIFWFUNKWGZRXLCPXMRXLPQHEWFUNLWGZACXJXNWHWIZUJWSVOYKWH
        WIWQWTYJYLWJWIVRBXKWKXAUJUDUEZWSUDUEZONXCUJWSVOYKYOYRWLYSUBYTXBOWMACXJX
        NYPYQWLWNWOWP $.
    $}
    normlem7.4 $e |- ( abs ` S ) = 1 $.
    $( Lemma used to derive properties of norm.  Part of Theorem 3.3(ii) of
       [Beran] p. 97.  (Contributed by NM, 11-Aug-1999.)
       (New usage is discouraged.) $)
    normlem7 $p |- ( ( ( * ` S ) x. ( F .ih G ) ) + ( S x. ( G .ih F ) ) )
          <_ ( 2 x. ( ( sqrt ` ( G .ih G ) ) x. ( sqrt ` ( F .ih F ) ) ) ) $=
      ( cfv csp co cmul cabs cle wbr c2 csqrt cr wcel eqid hicli ccj caddc cneg
      normlem2 cjcli mulcli addcli negrebi mpbi leabsi breqtrri normlem6 negcli
      absnegi abscli 2re chba hiidge0 hiidrcl ax-mp sqrtcli mp2b remulcli letri
      cc0 mp2an ) AUAHZBCIJZKJZACBIJZKJZUBJZVLUCZLHZMNVNOCCIJZPHZBBIJZPHZKJZKJZ
      MNVLVTMNVLVLLHVNMVLVMQRVLQRVMABCDEFVMSZUDVLVIVKVGVHADUEBCEFTUFAVJDCBFETUF
      UGZUHUIZUJVLWBUNUKVOVMVQABCDEFWAVOSVQSGULVLVNVTWCVMVLWBUMUOOVSUPVPVRCUQRZ
      VEVOMNVPQRFCURVOWDVOQRFCUSUTVAVBBUQRZVEVQMNVRQREBURVQWEVQQREBUSUTVAVBVCVC
      VDVF $.
  $}

  ${
    normlem8.1 $e |- A e. ~H $.
    normlem8.2 $e |- B e. ~H $.
    normlem8.3 $e |- C e. ~H $.
    normlem8.4 $e |- D e. ~H $.
    $( Lemma used to derive properties of norm.  (Contributed by NM,
       30-Jun-2005.)  (New usage is discouraged.) $)
    normlem8 $p |- ( ( A +h B ) .ih ( C +h D ) ) =
        ( ( ( A .ih C ) + ( B .ih D ) ) + ( ( A .ih D ) + ( B .ih C ) ) ) $=
      ( cva co csp caddc chba wcel wceq his7 mp3an oveq12i hvaddcli hicli
      ax-his2 add42i 3eqtr4i ) ACDIJZKJZBUDKJZLJZACKJZADKJZLJZBCKJZBDKJZLJZLJAB
      IJUDKJZUHULLJUIUKLJLJUEUJUFUMLAMNZCMNZDMNZUEUJOEGHACDPQBMNZUPUQUFUMOFGHBC
      DPQRUOURUDMNUNUGOEFCDGHSABUDUAQUHULUIUKACEGTBDFHTADEHTBCFGTUBUC $.

    $( Lemma used to derive properties of norm.  (Contributed by NM,
       30-Jun-2005.)  (New usage is discouraged.) $)
    normlem9 $p |- ( ( A -h B ) .ih ( C -h D ) ) =
        ( ( ( A .ih C ) + ( B .ih D ) ) - ( ( A .ih D ) + ( B .ih C ) ) ) $=
      ( co csp c1 cneg caddc neg1cn cmul wcel chba wceq mp3an 3eqtri cmv csm cc
      cva cmin hvsubvali oveq12i hvmulcli normlem8 ccj ax-his3 oveq2i cr neg1rr
      cfv his5 ax-mp ax-1cn mul2negi mulid2i oveq1i cjcli hicli mulassi 3eqtr3i
      cjre mulm1i eqtri negdii eqtr4i addcli negsubi ) ABUAIZCDUAIZJIAKLZBUBIZU
      DIZCVODUBIZUDIZJIACJIZVPVRJIZMIZAVRJIZVPCJIZMIZMIZVTBDJIZMIZADJIZBCJIZMIZ
      UEIZVMVQVNVSJABEFUFCDGHUFUGAVPCVREVOBNFUHGVODNHUHZUIWFWHWKLZMIWLWBWHWEWNM
      WAWGVTMWAVOBVRJIZOIZVOVOUJUOZWGOIZOIZWGVOUCPZBQPZVRQPWAWPRNFWMVOBVRUKSWOW
      RVOOWTXADQPZWOWRRNFHVOBDUPSULVOWQOIZWGOIKWGOIWSWGXCKWGOXCVOVOOIKKOIKWQVOV
      OOVOUMPWQVORUNVOVFUQZULKKURURUSKURUTTVAVOWQWGNVONVBBDFHVCZVDWGXEUTVETULWE
      WILZWJLZMIWNWCXFWDXGMWCWQWIOIZVOWIOIXFWTAQPXBWCXHRNEHVOADUPSWQVOWIOXDVAWI
      ADEHVCZVGTWDVOWJOIZXGWTXACQPWDXJRNFGVOBCUKSWJBCFGVCZVGVHUGWIWJXIXKVIVJUGW
      HWKVTWGACEGVCXEVKWIWJXIXKVKVLVHT $.
  $}

  ${
    normlem7t.1 $e |- A e. ~H $.
    normlem7t.2 $e |- B e. ~H $.
    $( Lemma used to derive properties of norm.  Part of Theorem 3.3(ii) of
       [Beran] p. 97.  (Contributed by NM, 11-Oct-1999.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    normlem7tALT $p |- ( ( S e. CC /\ ( abs ` S ) = 1 ) ->
              ( ( ( * ` S ) x. ( A .ih B ) ) + ( S x. ( B .ih A ) ) )
          <_ ( 2 x. ( ( sqrt ` ( B .ih B ) ) x. ( sqrt ` ( A .ih A ) ) ) ) ) $=
      ( cc wcel cabs cfv c1 wceq wa ccj csp co cmul caddc csqrt cle fveq2 oveq1
      c2 wbr cif oveq1d oveq12d breq1d eleq1 eqeq1d anbi12d ax-1cn abs1 elimhyp
      pm3.2i simpli simpri normlem7 dedth ) CFGZCHIZJKZLZCMIZABNOZPOZCBANOZPOZQ
      OZUBBBNORIAANORIPOPOZSUCVBCJUDZMIZVDPOZVJVFPOZQOZVISUCCJCVJKZVHVNVISVOVEV
      LVGVMQVOVCVKVDPCVJMTUECVJVFPUAUFUGVJABVJFGZVJHIZJKZVBVPVRLJFGZJHIZJKZLCJV
      OUSVPVAVRCVJFUHVOUTVQJCVJHTUIUJJVJKZVSVPWAVRJVJFUHWBVTVQJJVJHTUIUJVSWAUKU
      LUNUMZUODEVPVRWCUPUQUR $.

    $( Equality case of Bunjakovaskij-Cauchy-Schwarz inequality.  Specifically,
       in the equality case the two vectors are collinear.  Compare ~ bcsiHIL .
       (Contributed by NM, 16-Jul-2001.)  (New usage is discouraged.) $)
    bcseqi $p |- ( ( ( A .ih B ) x. ( B .ih A ) ) = ( ( A .ih A ) x.
             ( B .ih B ) ) <-> ( ( B .ih B ) .h A ) = ( ( A .ih B ) .h B ) ) $=
      ( csp co cmul wceq cc0 caddc hicli wcel chba mp3an ax-his3 oveq12i mulcli
      his5 mulcomi 3eqtri csm cmv c0v hvmulcli normlem9 oveq1 eqcomd ccj cfv cc
      cmin hiidrcl cjre mp2b oveq1i eqtr4i his1i eqcomi mulassi mul32i 3eqtr4ri
      cr 3eqtr4g oveq12d oveq1d addcli subidi eqtrdi syl5eq hvsubcli his6 ax-mp
      a1i wb sylib hvsubeq0i impbii ) ABEFZBAEFZGFZAAEFZBBEFZGFZHZWBAUAFZVRBUAF
      ZHZWDWEWFUBFZUCHZWGWDWHWHEFZIHZWIWDWJWEWEEFZWFWFEFZJFZWEWFEFZWFWEEFZJFZUK
      FZIWEWFWEWFWBABBDDKZCUDZVRBABCDKZDUDZWTXBUEWDWRWQWQUKFIWDWNWQWQUKWDWLWOWM
      WPJWDWCWBGFZVTWBGFZWLWOWDXDXCVTWCWBGUFUGWLWBUHUIZWEAEFZGFZWBWBWAGFZGFZXCW
      BUJLZWEMLZAMLZWLXGHWSWTCWBWEARNXEWBXFXHGBMLZWBVBLXEWBHDBULWBUMUNZXJXLXLXF
      XHHWSCCWBAAONZPXIXHWBGFXCWBXHWSWBWAWSAACCKZQSWCXHWBGWAWBXPWSSZUOUPTWOVRUH
      UIZWEBEFZGFZVSWBVRGFZGFZXDVRUJLZXKXMWOXTHXAWTDVRWEBRNXRVSXSYAGVSXRBADCUQU
      RZXJXLXMXSYAHWSCDWBABONPYBYAVSGFWBVTGFZXDVSYABADCKZWBVRWSXAQSWBVRVSWSXAYF
      USWBVTWSVRVSXAYFQZSTTVCWMWPHWDXEWFAEFZGFZYEWPWMXEWBYHVTGXNYCXMXLYHVTHXADC
      VRBAONZPXJWFMLZXLWPYIHWSXBCWBWFARNWMXRWFBEFZGFZVSVRWBGFZGFZYEYCYKXMWMYMHX
      AXBDVRWFBRNXRVSYLYNGYDYCXMXMYLYNHXADDVRBBONPYOYNVSGFXDYEVSYNYFVRWBXAWSQSV
      RWBVSXAWSYFUTVTWBYGWSSTTVAVMVDVEWQWOWPWEWFWTXBKWFWEXBWTKVFVGVHVIWHMLWKWIV
      NWEWFWTXBVJWHVKVLVOWEWFWTXBVPVOWGWCVTWGXFYHWCVTWEWFAEUFWCXHXFXQXOUPYHVTYJ
      URVCUGVQ $.
  $}

  $( Lemma used to derive properties of norm.  Part of Remark 3.4(B) of [Beran]
     p. 98.  (Contributed by NM, 10-May-2005.)  (New usage is discouraged.) $)
  normlem9at $p |- ( ( A e. ~H /\ B e. ~H ) -> ( ( A -h B ) .ih ( A -h B ) ) =
      ( ( ( A .ih A ) + ( B .ih B ) ) - ( ( A .ih B ) + ( B .ih A ) ) ) ) $=
    ( chba wcel cmv co csp caddc cmin wceq c0v cif oveq1 oveq12d oveq1d eqeq12d
    id oveq2 oveq2d ifhvhv0 normlem9 dedth2h ) ACDZBCDZABEFZUEGFZAAGFZBBGFZHFZA
    BGFZBAGFZHFZIFZJUCAKLZBEFZUOGFZUNUNGFZUHHFZUNBGFZBUNGFZHFZIFZJUNUDBKLZEFZVD
    GFZUQVCVCGFZHFZUNVCGFZVCUNGFZHFZIFZJABKKAUNJZUFUPUMVBVLUEUOUEUOGAUNBEMZVMNV
    LUIURULVAIVLUGUQUHHVLAUNAUNGVLQZVNNOVLUJUSUKUTHAUNBGMAUNBGRNNPBVCJZUPVEVBVK
    VOUOVDUOVDGBVCUNERZVPNVOURVGVAVJIVOUHVFUQHVOBVCBVCGVOQZVQNSVOUSVHUTVIHBVCUN
    GRBVCUNGMNNPUNVCUNVCATZBTZVRVSUAUB $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Norms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Alternate definition of the norm of a vector of Hilbert space.  Definition
     of norm in [Beran] p. 96.  (Contributed by NM, 6-Jun-2008.)  (Revised by
     Mario Carneiro, 15-Dec-2013.)  (New usage is discouraged.) $)
  dfhnorm2 $p |- normh = ( x e. ~H |-> ( sqrt ` ( x .ih x ) ) ) $=
    ( cno csp cdm cv co csqrt cfv cmpt chba df-hnorm cxp cc ax-hfi dmeqi dmxpid
    fdmi eqtr2i mpteq1i eqtr4i ) BACDZDZAEZUCCFGHZIAJUDIAKAJUBUDUBJJLZDJUAUEUEM
    CNQOJPRST $.

  $( The norm function maps from Hilbert space to reals.  (Contributed by NM,
     6-Sep-2007.)  (Revised by Mario Carneiro, 15-Dec-2013.)
     (New usage is discouraged.) $)
  normf $p |- normh : ~H --> RR $=
    ( vx chba cr cv csp csqrt cfv dfhnorm2 wcel hiidrcl hiidge0 resqrtcld fmpti
    co cno ) ABCADZPENZFGOAHPBIQPJPKLM $.

  ${
    $d x A $.
    $( The value of the norm of a vector in Hilbert space.  Definition of norm
       in [Beran] p. 96.  In the literature, the norm of ` A ` is usually
       written as "|| ` A ` ||", but we use function value notation to take
       advantage of our existing theorems about functions.  (Contributed by NM,
       29-May-1999.)  (Revised by Mario Carneiro, 23-Dec-2013.)
       (New usage is discouraged.) $)
    normval $p |- ( A e. ~H -> ( normh ` A ) = ( sqrt ` ( A .ih A ) ) ) $=
      ( vx cv csp co csqrt cfv chba cno wceq oveq12 anidms fveq2d dfhnorm2 fvex
      fvmpt ) BABCZQDEZFGAADEZFGHIQAJZRSFTRSJQAQADKLMBNSFOP $.
  $}

  $( Real closure of the norm of a vector.  (Contributed by NM, 29-May-1999.)
     (New usage is discouraged.) $)
  normcl $p |- ( A e. ~H -> ( normh ` A ) e. RR ) $=
    ( chba cr cno normf ffvelrni ) BCADEF $.

  $( The norm of a vector is nonnegative.  (Contributed by NM, 29-May-1999.)
     (New usage is discouraged.) $)
  normge0 $p |- ( A e. ~H -> 0 <_ ( normh ` A ) ) $=
    ( chba wcel cc0 csp csqrt cfv cno hiidrcl hiidge0 sqrtge0d normval breqtrrd
    co cle ) ABCZDAAENZFGAHGOPQAIAJKALM $.

  $( The norm of nonzero vector is positive.  (Contributed by NM, 10-Apr-2006.)
     (New usage is discouraged.) $)
  normgt0 $p |- ( A e. ~H -> ( A =/= 0h <-> 0 < ( normh ` A ) ) ) $=
    ( chba wcel c0v wne cc0 csp co csqrt cfv clt wbr cno wa hiidrcl adantr wceq
    cr ex wn ax-his4 sqrtgt0 syl2anc oveq1 hi01 sylan9eqr fveq2d eqtrdi hiidge0
    sqrt0 wb resqrtcld lttri3 sylancl simpr syl6bi syld necon2ad impbid normval
    0re breq2d bitr4d ) ABCZADEZFAAGHZIJZKLZFAMJZKLVDVEVHVDVEVHVDVENVFRCZFVFKLV
    HVDVJVEAOZPAUAVFUBUCSVDVHADVDADQZVGFQZVHTZVDVLVMVDVLNZVGFIJFVOVFFIVLVDVFDAG
    HFADAGUDAUEUFUGUJUHSVDVMVGFKLTZVNNZVNVDVGRCFRCVMVQUKVDVFVKAUIULVAVGFUMUNVPV
    NUOUPUQURUSVDVIVGFKAUTVBVC $.

  $( The norm of a zero vector.  (Contributed by NM, 30-May-1999.)
     (New usage is discouraged.) $)
  norm0 $p |- ( normh ` 0h ) = 0 $=
    ( c0v cno cfv csp co csqrt cc0 chba wcel wceq ax-hv0cl normval ax-mp fveq2d
    hi01 sqrt0 3eqtri ) ABCZAADEZFCZGFCZGAHIZRTJKALMUBTUAJKUBSGFAONMPQ $.

  $( Theorem 3.3(i) of [Beran] p. 97.  (Contributed by NM, 29-Jul-1999.)
     (New usage is discouraged.) $)
  norm-i $p |- ( A e. ~H -> ( ( normh ` A ) = 0 <-> A = 0h ) ) $=
    ( chba wcel c0v wceq cno cfv cc0 wne clt wbr normgt0 cle normcl normge0 0re
    cr wb leltne mp3an1 syl2anc bitrd necon4bid bicomd ) ABCZADEAFGZHEUEADUFHUE
    ADIHUFJKZUFHIZALUEUFQCZHUFMKZUGUHRZANAOHQCUIUJUKPHUFSTUAUBUCUD $.

  $( A norm is nonzero iff its argument is a nonzero vector.  (Contributed by
     NM, 11-Mar-2006.)  (New usage is discouraged.) $)
  normne0 $p |- ( A e. ~H -> ( ( normh ` A ) =/= 0 <-> A =/= 0h ) ) $=
    ( chba wcel cno cfv cc0 c0v norm-i necon3bid ) ABCADEFAGAHI $.

  ${
    normcl.1 $e |- A e. ~H $.
    $( Real closure of the norm of a vector.  (Contributed by NM, 30-Sep-1999.)
       (New usage is discouraged.) $)
    normcli $p |- ( normh ` A ) e. RR $=
      ( chba wcel cno cfv cr normcl ax-mp ) ACDAEFGDBAHI $.

    $( The square of a norm.  (Contributed by NM, 21-Aug-1999.)
       (New usage is discouraged.) $)
    normsqi $p |- ( ( normh ` A ) ^ 2 ) = ( A .ih A ) $=
      ( cno cfv c2 cexp co csp csqrt chba wcel normval ax-mp oveq1i cc0 cle wbr
      wceq hiidge0 cr hiidrcl sqsqrti eqtri ) ACDZEFGAAHGZIDZEFGZUEUDUFEFAJKZUD
      UFRBALMNOUEPQZUGUERUHUIBASMUEUHUETKBAUAMUBMUC $.

    $( Theorem 3.3(i) of [Beran] p. 97.  (Contributed by NM, 5-Sep-1999.)
       (New usage is discouraged.) $)
    norm-i-i $p |- ( ( normh ` A ) = 0 <-> A = 0h ) $=
      ( chba wcel cno cfv cc0 wceq c0v wb norm-i ax-mp ) ACDAEFGHAIHJBAKL $.
  $}

  $( The square of a norm.  (Contributed by NM, 12-May-2005.)
     (New usage is discouraged.) $)
  normsq $p |- ( A e. ~H -> ( ( normh ` A ) ^ 2 ) = ( A .ih A ) ) $=
    ( chba wcel cno cfv c2 cexp co csp wceq c0v fveq2 oveq1d id oveq12d eqeq12d
    cif ifhvhv0 normsqi dedth ) ABCZADEZFGHZAAIHZJUAAKQZDEZFGHZUEUEIHZJAKAUEJZU
    CUGUDUHUIUBUFFGAUEDLMUIAUEAUEIUINZUJOPUEARST $.

  ${
    normsub0.1 $e |- A e. ~H $.
    normsub0.2 $e |- B e. ~H $.
    $( Two vectors are equal iff the norm of their difference is zero.
       (Contributed by NM, 18-Aug-1999.)  (New usage is discouraged.) $)
    normsub0i $p |- ( ( normh ` ( A -h B ) ) = 0 <-> A = B ) $=
      ( cmv co cno cfv cc0 wceq c0v hvsubcli norm-i-i hvsubeq0i bitri ) ABEFZGH
      IJPKJABJPABCDLMABCDNO $.
  $}

  $( Two vectors are equal iff the norm of their difference is zero.
     (Contributed by NM, 18-Aug-1999.)  (New usage is discouraged.) $)
  normsub0 $p |- ( ( A e. ~H /\ B e. ~H ) ->
                  ( ( normh ` ( A -h B ) ) = 0 <-> A = B ) ) $=
    ( chba wcel cmv co cno cfv cc0 wceq wb c0v cif fvoveq1 eqeq1d eqeq1 bibi12d
    oveq2 fveqeq2d ifhvhv0 eqeq2 normsub0i dedth2h ) ACDZBCDZABEFGHZIJZABJZKUDA
    LMZBEFZGHZIJZUIBJZKUIUEBLMZEFZGHIJZUIUNJZKABLLAUIJZUGULUHUMURUFUKIAUIBGENOA
    UIBPQBUNJZULUPUMUQUSUJUOIGBUNUIERSBUNUIUAQUIUNATBTUBUC $.

  ${
    norm-ii.1 $e |- A e. ~H $.
    norm-ii.2 $e |- B e. ~H $.
    $( Triangle inequality for norms.  Theorem 3.3(ii) of [Beran] p. 97.
       (Contributed by NM, 11-Aug-1999.)  (New usage is discouraged.) $)
    norm-ii-i $p |- ( normh ` ( A +h B ) ) <_
                  ( ( normh ` A ) + ( normh ` B ) ) $=
      ( co csp csqrt cfv caddc cle c2 wbr cmul c1 cr wcel wceq ax-1cn cc0 ax-mp
      cva cno cexp ccj 1re cjrebi mpbi oveq1i hicli mulid2i eqtri abs1 normlem7
      oveq12i eqbrtrri cneg eqid normlem2 cjcli mulcli addcli eqeltrri 2re chba
      negrebi hiidge0 hiidrcl sqrtcli remulcli readdcli leadd2i normlem8 oveq2i
      addcomi recni binom2i sqcli 2cn add32i sqsqrti 3eqtri 3brtr4i wb hvaddcli
      sqge0i resqcli sqrtlei mp2an sqrtge0i addge0i sqrtsqi breqtri normval ) A
      BUAEZWNFEZGHZAAFEZGHZBBFEZGHZIEZWNUBHZAUBHZBUBHZIEJWPXAKUCEZGHZXAJWOXEJLZ
      WPXFJLZWQWSIEZBAFEZABFEZIEZIEZXIKWRWTMEZMEZIEZWOXEJXLXOJLXMXPJLNUDHZXJMEZ
      NXKMEZIEZXLXOJXRXJXSXKIXRNXJMEXJXQNXJMNOPXQNQUENRUFUGUHXJBADCUIZUJUKXKABC
      DUIZUJUNZNBARDCULUMUOXLXOXIXTXLOYCXTUPZOPXTOPYDNBARDCYDUQURXTXRXSXQXJNRUS
      YAUTNXKRYBUTVAVEUGVBKXNVCWRWTSWQJLZWROPAVDPZYECAVFTZWQYFWQOPCAVGTZVHTZSWS
      JLZWTOPBVDPZYJDBVFTZWSYKWSOPDBVGTZVHTZVIVIWQWSYHYMVJVKUGWOXIXKXJIEZIEXMAB
      ABCDCDVLYOXLXIIXKXJYBYAVNVMUKXEWRKUCEZXOIEWTKUCEZIEYPYQIEZXOIEXPWRWTWRYIV
      OZWTYNVOZVPYPXOYQWRYSVQKXNVRWRWTYSYTUTUTWTYTVQVSYRXIXOIYPWQYQWSIYEYPWQQYG
      WQYHVTTYJYQWSQYLWSYMVTTUNUHWAWBSWOJLZSXEJLXGXHWCWNVDPZUUAABCDWDZWNVFTXAWR
      WTYIYNVJZWEWOXEUUBWOOPUUCWNVGTXAUUDWFWGWHUGSXAJLZXFXAQSWRJLZSWTJLZUUEYEUU
      FYGWQYHWITYJUUGYLWSYMWITWRWTYIYNWJWHXAUUDWKTWLUUBXBWPQUUCWNWMTXCWRXDWTIYF
      XCWRQCAWMTYKXDWTQDBWMTUNWB $.
  $}

  $( Triangle inequality for norms.  Theorem 3.3(ii) of [Beran] p. 97.
     (Contributed by NM, 10-Mar-2006.)  (New usage is discouraged.) $)
  norm-ii $p |- ( ( A e. ~H /\ B e. ~H ) ->
               ( normh ` ( A +h B ) ) <_ ( ( normh ` A ) + ( normh ` B ) ) ) $=
    ( chba wcel cva co cno cfv caddc cle wbr c0v cif wceq fvoveq1 fveq2 breq12d
    oveq1d oveq2 ifhvhv0 fveq2d oveq2d norm-ii-i dedth2h ) ACDZBCDZABEFGHZAGHZB
    GHZIFZJKUEALMZBEFZGHZUKGHZUIIFZJKUKUFBLMZEFZGHZUNUPGHZIFZJKABLLAUKNZUGUMUJU
    OJAUKBGEOVAUHUNUIIAUKGPRQBUPNZUMURUOUTJVBULUQGBUPUKESUAVBUIUSUNIBUPGPUBQUKU
    PATBTUCUD $.

  ${
    norm-iii.1 $e |- A e. CC $.
    norm-iii.2 $e |- B e. ~H $.
    $( Theorem 3.3(iii) of [Beran] p. 97.  (Contributed by NM, 29-Jul-1999.)
       (New usage is discouraged.) $)
    norm-iii-i $p |- ( normh ` ( A .h B ) )
         = ( ( abs ` A ) x. ( normh ` B ) ) $=
      ( csm co csp csqrt cfv ccj cmul cno cabs his35i fveq2i chba ax-mp normval
      wcel wceq cjmulrcli hiidrcl cjmulge0i cc0 cle wbr hiidge0 sqrtmulii eqtri
      cr hvmulcli cc absval oveq12i 3eqtr4i ) ABEFZUPGFZHIZAAJIKFZHIZBBGFZHIZKF
      ZUPLIZAMIZBLIZKFURUSVAKFZHIVCUQVGHAABBCCDDNOUSVAACUABPSZVAUJSDBUBQACUCVHU
      DVAUEUFDBUGQUHUIUPPSVDURTABCDUKUPRQVEUTVFVBKAULSVEUTTCAUMQVHVFVBTDBRQUNUO
      $.
  $}

  $( Theorem 3.3(iii) of [Beran] p. 97.  (Contributed by NM, 25-Oct-1999.)
     (New usage is discouraged.) $)
  norm-iii $p |- ( ( A e. CC /\ B e. ~H )
             -> ( normh ` ( A .h B ) ) = ( ( abs ` A ) x. ( normh ` B ) ) ) $=
    ( cc wcel chba csm cno cfv cabs cmul wceq cc0 cif c0v fvoveq1 fveq2 eqeq12d
    co oveq1d oveq2 fveq2d oveq2d 0cn elimel ifhvhv0 norm-iii-i dedth2h ) ACDZB
    EDZABFRGHZAIHZBGHZJRZKUHALMZBFRZGHZUNIHZULJRZKUNUIBNMZFRZGHZUQUSGHZJRZKABLN
    AUNKZUJUPUMURAUNBGFOVDUKUQULJAUNIPSQBUSKZUPVAURVCVEUOUTGBUSUNFTUAVEULVBUQJB
    USGPUBQUNUSALCUCUDBUEUFUG $.

  ${
    normsub.1 $e |- A e. ~H $.
    normsub.2 $e |- B e. ~H $.
    $( Negative doesn't change the norm of a Hilbert space vector.
       (Contributed by NM, 11-Aug-1999.)  (New usage is discouraged.) $)
    normsubi $p |- ( normh ` ( A -h B ) ) = ( normh ` ( B -h A ) ) $=
      ( c1 cneg cmv csm cno cfv cabs neg1cn hvsubcli norm-iii-i hvnegdii fveq2i
      co cmul ax-1cn eqtri absnegi abs1 oveq1i normcli recni mulid2i 3eqtr3i )
      EFZBAGQZHQZIJUHKJZUIIJZRQZABGQZIJULUHUILBADCMZNUJUNIBADCOPUMEULRQULUKEULR
      UKEKJEESUAUBTUCULULUIUOUDUEUFTUG $.

    $( Analogy to Pythagorean theorem for orthogonal vectors.  Remark 3.4(C) of
       [Beran] p. 98.  (Contributed by NM, 17-Oct-1999.)
       (New usage is discouraged.) $)
    normpythi $p |- ( ( A .ih B ) = 0 -> ( ( normh ` ( A +h B ) ) ^ 2 ) =
                   ( ( ( normh ` A ) ^ 2 ) + ( ( normh ` B ) ^ 2 ) ) ) $=
      ( csp co cc0 wceq cva caddc cno c2 cexp normlem8 chba wcel eqtrdi normsqi
      cfv hicli id wb orthcom mp2an biimpi oveq12d oveq2d addcli addid1i syl5eq
      00id hvaddcli oveq12i 3eqtr4g ) ABEFZGHZABIFZUQEFZAAEFZBBEFZJFZUQKSLMFAKS
      LMFZBKSLMFZJFUPURVAUOBAEFZJFZJFZVAABABCDCDNUPVFVAGJFVAUPVEGVAJUPVEGGJFGUP
      UOGVDGJUPUAUPVDGHZAOPBOPUPVGUBCDABUCUDUEUFUKQUGVAUSUTAACCTBBDDTUHUIQUJUQA
      BCDULRVBUSVCUTJACRBDRUMUN $.
  $}

  $( Swapping order of subtraction doesn't change the norm of a vector.
     (Contributed by NM, 14-Aug-1999.)  (New usage is discouraged.) $)
  normsub $p |- ( ( A e. ~H /\ B e. ~H ) ->
                 ( normh ` ( A -h B ) ) = ( normh ` ( B -h A ) ) ) $=
    ( chba wcel cmv cno cfv wceq c0v cif fvoveq1 oveq2 eqeq12d ifhvhv0 normsubi
    co fveq2d dedth2h ) ACDZBCDZABEPFGZBAEPZFGZHSAIJZBEPZFGZBUDEPZFGZHUDTBIJZEP
    ZFGZUIUDEPFGZHABIIAUDHZUAUFUCUHAUDBFEKUMUBUGFAUDBELQMBUIHZUFUKUHULUNUEUJFBU
    IUDELQBUIUDFEKMUDUIANBNOR $.

  $( The norm of a vector equals the norm of its negative.  (Contributed by NM,
     23-May-2005.)  (New usage is discouraged.) $)
  normneg $p |- ( A e. ~H ->
                 ( normh ` ( -u 1 .h A ) ) = ( normh ` A ) ) $=
    ( chba wcel c0v cmv co cno cfv cneg csm wceq ax-hv0cl normsub hv2neg fveq2d
    c1 mpan hvsub0 3eqtr3d ) ABCZDAEFZGHZADEFZGHZPIAJFZGHAGHDBCTUBUDKLDAMQTUAUE
    GANOTUCAGAROS $.

  $( Analogy to Pythagorean theorem for orthogonal vectors.  Remark 3.4(C) of
     [Beran] p. 98.  (Contributed by NM, 17-Oct-1999.)
     (New usage is discouraged.) $)
  normpyth $p |- ( ( A e. ~H /\ B e. ~H ) ->
                 ( ( A .ih B ) = 0 -> ( ( normh ` ( A +h B ) ) ^ 2 ) =
                 ( ( ( normh ` A ) ^ 2 ) + ( ( normh ` B ) ^ 2 ) ) ) ) $=
    ( chba wcel csp co cc0 wceq cva cno cfv c2 cexp caddc c0v cif eqeq1d oveq1d
    wi fveq2 oveq1 fvoveq1 eqeq12d imbi12d oveq2 fveq2d oveq2d ifhvhv0 dedth2h
    normpythi ) ACDZBCDZABEFZGHZABIFJKZLMFZAJKZLMFZBJKZLMFZNFZHZSUKAOPZBEFZGHZV
    CBIFZJKZLMFZVCJKZLMFZUTNFZHZSVCULBOPZEFZGHZVCVMIFZJKZLMFZVJVMJKZLMFZNFZHZSA
    BOOAVCHZUNVEVBVLWCUMVDGAVCBEUAQWCUPVHVAVKWCUOVGLMAVCBJIUBRWCURVJUTNWCUQVILM
    AVCJTRRUCUDBVMHZVEVOVLWBWDVDVNGBVMVCEUEQWDVHVRVKWAWDVGVQLMWDVFVPJBVMVCIUEUF
    RWDUTVTVJNWDUSVSLMBVMJTRUGUCUDVCVMAUHBUHUJUI $.

  $( Corollary to Pythagorean theorem for orthogonal vectors.  Remark 3.4(C) of
     [Beran] p. 98.  (Contributed by NM, 26-Oct-1999.)
     (New usage is discouraged.) $)
  normpyc $p |- ( ( A e. ~H /\ B e. ~H ) ->
            ( ( A .ih B ) = 0 -> ( normh ` A ) <_ ( normh ` ( A +h B ) ) ) ) $=
    ( chba wcel wa co cc0 wceq cno cfv cexp cle wbr caddc normcl resqcld adantr
    c2 cr syl csp cva recnd addid1d sqge0d adantl wb 0re leadd2 mp3an1 eqbrtrrd
    syl2anr mpbid normpyth imp breqtrrd ex hvaddcl normge0 le2sqd sylibrd ) ACD
    ZBCDZEZABUAFGHZAIJZRKFZABUBFZIJZRKFZLMZVFVILMVDVEVKVDVEEVGVGBIJZRKFZNFZVJLV
    DVGVNLMVEVDVGGNFZVGVNLVBVOVGHVCVBVGVBVGVBVFAOZPZUCUDQVDGVMLMZVOVNLMZVCVRVBV
    CVLBOZUEUFVCVMSDZVGSDZVRVSUGZVBVCVLVTPVQGSDWAWBWCUHGVMVGUIUJULUMUKQVDVEVJVN
    HABUNUOUPUQVDVFVIVBVFSDVCVPQVDVHCDZVISDABURZVHOTVBGVFLMVCAUSQVDWDGVILMWEVHU
    STUTVA $.

  ${
    norm3dif.1 $e |- A e. ~H $.
    norm3dif.2 $e |- B e. ~H $.
    norm3dif.3 $e |- C e. ~H $.
    $( Norm of differences around common element.  Part of Lemma 3.6 of [Beran]
       p. 101.  (Contributed by NM, 16-Aug-1999.)
       (New usage is discouraged.) $)
    norm3difi $p |- ( normh ` ( A -h B ) ) <_ ( ( normh ` ( A -h C ) ) +
                   ( normh ` ( C -h B ) ) ) $=
      ( cmv co cno cfv cva csm hvsubvali neg1cn hvmulcli hvassi c0v hvcomi chba
      wcel caddc cle c1 cneg oveq12i hvaddcli wceq hvsubid ax-mp 3eqtr2i oveq1i
      ax-hv0cl ax-hvaddid 3eqtri eqtr3i oveq2i eqtr4i fveq2i hvsubcli norm-ii-i
      eqbrtri ) ABGHZIJACGHZCBGHZKHZIJVCIJVDIJUAHUBVBVEIVBAUCUDZBLHZKHZVEABDEMV
      EAVFCLHZKHZCVGKHZKHAVIVKKHZKHVHVCVJVDVKKACDFMCBFEMUEAVIVKDVFCNFOZCVGFVFBN
      EOZUFPVLVGAKVICKHZVGKHZVLVGVICVGVMFVNPVPQVGKHVGQKHZVGVOQVGKVOCVIKHCCGHZQV
      ICVMFRCCFFMCSTVRQUGFCUHUIUJUKQVGULVNRVGSTVQVGUGVNVGUMUIUNUOUPUNUQURVCVDAC
      DFUSCBFEUSUTVA $.

    $( Norm of differences around common element.  Part of Lemma 3.6 of [Beran]
       p. 101.  (Contributed by NM, 30-Sep-1999.)
       (New usage is discouraged.) $)
    norm3adifii $p |- ( abs ` ( ( normh ` ( A -h C ) ) -
         ( normh ` ( B -h C ) ) ) ) <_ ( normh ` ( A -h B ) ) $=
      ( cmv co cno cfv cmin cle wbr cneg hvsubcli normcli recni caddc norm3difi
      lesubaddi cabs negsubdi2i normsubi oveq1i breqtri eqbrtri lenegcon1i mpbi
      mpbir resubcli abslei mpbir2an ) ACGHZIJZBCGHZIJZKHZUAJABGHZIJZLMUSNUQLMZ
      UQUSLMZUQNZUSLMUTVBUPUNKHZUSLUNUPUNUMACDFOPZQUPUOBCEFOPZQUBVCUSLMUPUSUNRH
      ZLMUPBAGHIJZUNRHVFLBCAEFDSVGUSUNRBAEDUCUDUEUPUNUSVEVDURABDEOPZTUIUFUQUSUN
      UPVDVEUJZVHUGUHVAUNUSUPRHLMACBDFESUNUPUSVDVEVHTUIUQUSVIVHUKUL $.

    ${
      norm3lem.4 $e |- D e. RR $.
      $( Lemma involving norm of differences in Hilbert space.  (Contributed by
         NM, 18-Aug-1999.)  (New usage is discouraged.) $)
      norm3lem $p |- ( ( ( normh ` ( A -h C ) ) < ( D / 2 ) /\
                         ( normh ` ( C -h B ) ) < ( D / 2 ) ) ->
                         ( normh ` ( A -h B ) ) < D ) $=
        ( cmv co cno cfv c2 clt wbr caddc hvsubcli normcli readdcli recni cdiv
        wa cle norm3difi rehalfcli lt2addi lelttri sylancr 2timesi 2cn divcan2i
        cmul 2ne0 eqtr3i breqtrdi ) ACIJZKLZDMUAJZNOCBIJZKLZURNOUBZABIJZKLZURUR
        PJZDNVAVCUQUTPJZUCOVEVDNOVCVDNOABCEFGUDUQUTURURUPACEGQRZUSCBGFQRZDHUEZV
        HUFVCVEVDVBABEFQRUQUTVFVGSURURVHVHSUGUHMURULJVDDURURVHTUIDMDHTUJUMUKUNU
        O $.
    $}
  $}

  $( Norm of differences around common element.  Part of Lemma 3.6 of [Beran]
     p. 101.  (Contributed by NM, 20-Apr-2006.)  (New usage is discouraged.) $)
  norm3dif $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) -> ( normh ` ( A -h B ) )
                  <_ ( ( normh ` ( A -h C ) ) + ( normh ` ( C -h B ) ) ) ) $=
    ( chba wcel cmv co cno cfv caddc cle wbr c0v cif wceq fvoveq1 breq12d oveq2
    fveq2d ifhvhv0 oveq1d oveq2d oveq12d breq2d norm3difi dedth3h ) ADEZBDEZCDE
    ZABFGHIZACFGHIZCBFGZHIZJGZKLUGAMNZBFGZHIZUOCFGZHIZUMJGZKLUOUHBMNZFGZHIZUSCV
    AFGZHIZJGZKLVCUOUICMNZFGZHIZVGVAFGHIZJGZKLABCMMMAUOOZUJUQUNUTKAUOBHFPVLUKUS
    UMJAUOCHFPUAQBVAOZUQVCUTVFKVMUPVBHBVAUOFRSVMUMVEUSJVMULVDHBVACFRSUBQCVGOZVF
    VKVCKVNUSVIVEVJJVNURVHHCVGUOFRSCVGVAHFPUCUDUOVAVGATBTCTUEUF $.

  $( Norm of differences around common element.  (Contributed by NM,
     18-Apr-2007.)  (New usage is discouraged.) $)
  norm3dif2 $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) -> ( normh ` ( A -h B )
                  ) <_ ( ( normh ` ( C -h A ) ) + ( normh ` ( C -h B ) ) ) ) $=
    ( chba wcel w3a cmv cno cfv caddc cle norm3dif wceq normsub 3adant2 breqtrd
    co oveq1d ) ADEZBDEZCDEZFZABGQHIACGQHIZCBGQHIZJQCAGQHIZUDJQKABCLUBUCUEUDJSU
    AUCUEMTACNORP $.

  $( Lemma involving norm of differences in Hilbert space.  (Contributed by NM,
     18-Aug-1999.)  (New usage is discouraged.) $)
  norm3lemt $p |- ( ( ( A e. ~H /\ B e. ~H ) /\ ( C e. ~H /\
                   D e. RR ) ) -> (
          ( ( normh ` ( A -h C ) ) < ( D / 2 ) /\
            ( normh ` ( C -h B ) ) < ( D / 2 ) ) ->
            ( normh ` ( A -h B ) ) < D ) ) $=
    ( chba wcel cmv co cno cfv c2 cdiv clt wbr wa wi c0v cif wceq breq1d anbi1d
    fvoveq1 imbi12d oveq2 fveq2d anbi2d anbi12d imbi1d oveq1 breq2d ifhvhv0 2re
    cr breq2 elimel norm3lem dedth4h ) AEFZBEFZCEFZDUMFZACGHIJZDKLHZMNZCBGHZIJZ
    VCMNZOZABGHIJZDMNZPURAQRZCGHZIJZVCMNZVGOZVKBGHZIJZDMNZPVNCUSBQRZGHZIJZVCMNZ
    OZVKVSGHZIJZDMNZPVKUTCQRZGHZIJZVCMNZWGVSGHIJZVCMNZOZWFPWIVADKRZKLHZMNZWKWOM
    NZOZWEWNMNZPABCDQQQKAVKSZVHVOVJVRWTVDVNVGWTVBVMVCMAVKCIGUBTUAWTVIVQDMAVKBIG
    UBTUCBVSSZVOWCVRWFXAVGWBVNXAVFWAVCMXAVEVTIBVSCGUDUETUFXAVQWEDMXAVPWDIBVSVKG
    UDUETUCCWGSZWCWMWFXBVNWJWBWLXBVMWIVCMXBVLWHICWGVKGUDUETXBWAWKVCMCWGVSIGUBTU
    GUHDWNSZWMWRWFWSXCWJWPWLWQXCVCWOWIMDWNKLUIZUJXCVCWOWKMXDUJUGDWNWEMUNUCVKVSW
    GWNAUKBUKCUKDKUMULUOUPUQ $.

  ${
    norm3adift.1 $e |- C e. ~H $.
    $( Norm of differences around common element.  Part of Lemma 3.6 of [Beran]
       p. 101.  (Contributed by NM, 3-Oct-1999.)
       (New usage is discouraged.) $)
    norm3adifi $p |- ( ( A e. ~H /\ B e. ~H ) ->
         ( abs ` ( ( normh ` ( A -h C ) ) -
         ( normh ` ( B -h C ) ) ) ) <_ ( normh ` ( A -h B ) ) ) $=
      ( chba wcel cmv co cno cfv cmin cabs cle wbr c0v cif wceq fvoveq1 breq12d
      fveq2d fvoveq1d oveq2d oveq2 ifhvhv0 norm3adifii dedth2h ) AEFZBEFZACGHIJ
      ZBCGHIJZKHLJZABGHIJZMNUGAOPZCGHIJZUJKHZLJZUMBGHZIJZMNUNUHBOPZCGHIJZKHZLJZ
      UMUSGHZIJZMNABOOAUMQZUKUPULURMVEUIUNUJLKAUMCIGRUAAUMBIGRSBUSQZUPVBURVDMVF
      UOVALVFUJUTUNKBUSCIGRUBTVFUQVCIBUSUMGUCTSUMUSCAUDBUDDUEUF $.
  $}

  ${
    normpar.1 $e |- A e. ~H $.
    normpar.2 $e |- B e. ~H $.
    $( Parallelogram law for norms.  Remark 3.4(B) of [Beran] p. 98.
       (Contributed by NM, 21-Aug-1999.)  (New usage is discouraged.) $)
    normpari $p |- ( ( ( normh ` ( A -h B ) ) ^ 2 ) +
                    ( ( normh ` ( A +h B ) ) ^ 2 ) ) =
                  ( ( 2 x. ( ( normh ` A ) ^ 2 ) ) +
                    ( 2 x. ( ( normh ` B ) ^ 2 ) ) ) $=
      ( co cno cfv c2 cexp caddc csp normsqi oveq12i oveq2i hicli 2timesi eqtri
      cmul addcli eqtr4i cmv cva hvsubcli hvaddcli cneg normlem9 negsubi negcli
      cmin normlem8 add42i cc0 negidi addid1i add4i 3eqtri ) ABUAEZFGHIEZABUBEZ
      FGHIEZJEUQUQKEZUSUSKEZJEZHAFGHIEZREZHBFGHIEZREZJEZURVAUTVBJUQABCDUCLUSABC
      DUDLMVHAAKEZVIJEZBBKEZVKJEZJEZVCVEVJVGVLJVEHVIREVJVDVIHRACLNVIAACCOZPQVGH
      VKREVLVFVKHRBDLNVKBBDDOZPQMVCVIVKJEZABKEZBAKEZJEZUEZJEZVPVSJEZJEVPVPJEZVS
      VTJEZJEZVMVAWAVBWBJVAVPVSUIEWAABABCDCDUFVPVSVIVKVNVOSZVQVRABCDOBADCOSZUGT
      ABABCDCDUJMVPVTVPVSWFVSWGUHWFWGUKWEWCULJEWCVMWDULWCJVSWGUMNWCVPVPWFWFSUNV
      IVKVIVKVNVOVNVOUOUPUPTT $.
  $}

  $( Parallelogram law for norms.  Remark 3.4(B) of [Beran] p. 98.
     (Contributed by NM, 15-Apr-2007.)  (New usage is discouraged.) $)
  normpar $p |- ( ( A e. ~H /\ B e. ~H ) ->
          ( ( ( normh ` ( A -h B ) ) ^ 2 ) + ( ( normh ` ( A +h B ) ) ^ 2 ) ) =
       ( ( 2 x. ( ( normh ` A ) ^ 2 ) ) + ( 2 x. ( ( normh ` B ) ^ 2 ) ) ) ) $=
    ( chba wcel cmv co cno cfv cexp cva caddc cmul wceq c0v cif fvoveq1 oveq12d
    c2 oveq1d oveq2d fveq2 eqeq12d oveq2 fveq2d ifhvhv0 normpari dedth2h ) ACDZ
    BCDZABEFGHZRIFZABJFGHZRIFZKFZRAGHZRIFZLFZRBGHZRIFZLFZKFZMUHANOZBEFZGHZRIFZV
    BBJFZGHZRIFZKFZRVBGHZRIFZLFZUTKFZMVBUIBNOZEFZGHZRIFZVBVNJFZGHZRIFZKFZVLRVNG
    HZRIFZLFZKFZMABNNAVBMZUNVIVAVMWFUKVEUMVHKWFUJVDRIAVBBGEPSWFULVGRIAVBBGJPSQW
    FUQVLUTKWFUPVKRLWFUOVJRIAVBGUASTSUBBVNMZVIWAVMWEWGVEVQVHVTKWGVDVPRIWGVCVOGB
    VNVBEUCUDSWGVGVSRIWGVFVRGBVNVBJUCUDSQWGUTWDVLKWGUSWCRLWGURWBRIBVNGUASTTUBVB
    VNAUEBUEUFUG $.

  ${
    normpar2.1 $e |- A e. ~H $.
    normpar2.2 $e |- B e. ~H $.
    normpar2.3 $e |- C e. ~H $.
    $( Corollary of parallelogram law for norms.  Part of Lemma 3.6 of [Beran]
       p. 100.  (Contributed by NM, 5-Oct-1999.)
       (New usage is discouraged.) $)
    normpar2i $p |- ( ( normh ` ( A -h B ) ) ^ 2 ) =
                   ( ( ( 2 x. ( ( normh ` ( A -h C ) ) ^ 2 ) ) +
                       ( 2 x. ( ( normh ` ( B -h C ) ) ^ 2 ) ) )
          - ( ( normh ` ( ( A +h B ) -h ( 2 .h C ) ) ) ^ 2 ) ) $=
      ( cva co c2 csm cmv cno cfv cexp cmul caddc 2cn c4 cdiv oveq1i 4cn mulcli
      hvaddcli hvmulcli hvsubcli normcli resqcli 2ne0 divdiri addcomi cabs cneg
      recni neg1cn hvadd32i hvsubvali hvcomi hvnegdii oveq12i hvsubcan2i eqtr4i
      c1 eqtri 3eqtr4i hvsubdistr1i fveq2i norm-iii-i cc0 cle wbr wceq 0le2 2re
      absidi ax-mp 3eqtri sqmuli sq2 normpari divcan3i div23i 3eqtr3i mvlladdi
      4d2e2 ) ABGHZICJHZKHZLMZINHZABKHZLMZINHZIACKHZLMZINHZOHZIBCKHZLMZINHZOHZP
      HZWIWHWGWEWFABDEUCZICQFUDZUEZUFUGUMZWLWKWJABDEUEZUFUGUMZRWOOHZRWSOHZPHZIS
      HZXHISHZXIISHZPHWIWLPHZXAXHXIIRWOUAWOWNWMACDFUEZUFZUGUMZUBZRWSUAWSWRWQBCE
      FUEZUFZUGUMZUBZQUHUIXKIWIOHZIWLOHZPHZISHYCISHZYDISHZPHXNXJYEISXJWGWJKHZLM
      ZINHZWGWJGHZLMZINHZPHZYEXJXIXHPHYNXHXIXRYBUJYJXIYMXHPYJIWROHZINHIINHZWSOH
      XIYIYOINYIIWQJHZLMIUKMZWROHYOYHYQLWGVBULZWJJHZGHZIBJHZWFKHZYHYQWEYSWFJHZG
      HZYTGHWEYTGHZUUDGHZUUAUUCWEUUDYTXBYSWFUNXCUDZYSWJUNXFUDUOWGUUEYTGWEWFXBXC
      UPZTUUCUUBUUDGHUUGUUBWFIBQEUDXCUPUUFUUBUUDGUUFBAGHZBAKHZGHUUBWEUUJYTUUKGA
      BDEUQABDEURUSBAEDUTVCTVAVDWGWJXDXFUPIBCQEFVEVDVFIWQQXSVGYRIWROVHIVIVJYRIV
      KVLIVMVNVOZTVPTIWRQWRXTUMVQYPRWSOVRTVPYMIWNOHZINHYPWOOHXHYLUUMINYLIWMJHZL
      MYRWNOHUUMYKUUNLUUEWJGHZIAJHZWFKHZYKUUNWEWJGHZUUDGHUUPUUDGHUUOUUQUURUUPUU
      DGABDEUTTWEUUDWJXBUUHXFUOUUPWFIAQDUDXCUPVDWGUUEWJGUUITIACQDFVEVDVFIWMQXOV
      GYRIWNOUULTVPTIWNQWNXPUMVQYPRWOOVRTVPUSVAWGWJXDXFVSVCTYCYDIIWIQXEUBIWLQXG
      UBQUHUIYFWIYGWLPWIIXEQUHVTWLIXGQUHVTUSVPXLWPXMWTPXLRISHZWOOHWPRWOIUAXQQUH
      WAUUSIWOOWDTVCXMUUSWSOHWTRWSIUAYAQUHWAUUSIWSOWDTVCUSWBWC $.
  $}

  ${
    polid2.1 $e |- A e. ~H $.
    polid2.2 $e |- B e. ~H $.
    polid2.3 $e |- C e. ~H $.
    polid2.4 $e |- D e. ~H $.
    $( Generalized polarization identity.  Generalization of Exercise 4(a) of
       [ReedSimon] p. 63.  (Contributed by NM, 30-Jun-2005.)
       (New usage is discouraged.) $)
    polid2i $p |- ( A .ih B ) = ( ( ( ( ( A +h C ) .ih ( D +h B ) ) -
                ( ( A -h C ) .ih ( D -h B ) ) ) +
       ( _i x. ( ( ( A +h ( _i .h C ) ) .ih ( D +h ( _i .h B ) ) ) -
               ( ( A -h ( _i .h C ) ) .ih ( D -h ( _i .h B ) ) ) ) ) ) / 4 ) $=
      ( csp co cmin ci cmul caddc hicli c2 addcli wcel oveq12i ax-icn c4 subcli
      cva cmv csm 4cn 4ne0 2cn adddii wceq ppncan 2timesi eqtr4i oveq2i mulassi
      cc mp3an 2t2e4 oveq1i 3eqtr2ri pnncani normlem8 normlem9 3eqtr4i hvmulcli
      cneg ccj cfv chba cji eqtri ax-his3 eqtr3i 3eqtri negicn mulcli mul12i c1
      his5 mulneg2i ixi negeqi negneg1e1 mulid2i 3eqtr3i mulm1i negsubi 3eqtr2i
      mvllmuli ) UAABIJZACUCJDBUCJIJZACUDJDBUDJIJZKJZLALCUEJZUCJDLBUEJZUCJIJZAW
      NUDJDWOUDJIJZKJZMJZNJZUFABEFOZUGPWJCDIJZNJZWJXBKJZNJZMJZPXCMJZPXDMJZNJUAW
      JMJZWTPXCXDUHWJXBXACDGHOZQZWJXBXAXJUBUIXFPPWJMJZMJPPMJZWJMJXIXEXLPMXEWJWJ
      NJZXLWJUPRZXBUPRXOXEXNUJXAXJXAWJXBWJUKUQWJXAULUMUNPPWJUHUHXAUOXMUAWJMURUS
      UTWMXGWSXHNADIJZCBIJZNJZXCNJZXRXCKJZKJXCXCNJWMXGXRXCXCXPXQADEHOZCBGFOQXKX
      KVAWKXSWLXTKACDBEGHFVBACDBEGHFVCSXCXKULVDWSLPLVFZWJMJZLXBMJZNJZMJZMJPLYEM
      JZMJXHWRYFLMWRXPWNWOIJZNJZAWOIJZWNDIJZNJZNJZYIYLKJZKJYLYLNJZYFWPYMWQYNKAW
      NDWOELCTGVEZHLBTFVEZVBAWNDWOEYPHYQVCSYIYLYLXPYHYAWNWOYPYQOQYJYKAWOEYQOWND
      YPHOQZYRVAPYLMJYOYFYLYRULYLYEPMYJYCYKYDNYJLVGVHZWJMJZYCLUPRZAVIRBVIRYJYTU
      JTEFLABVSUQYSYBWJMVJUSVKUUACVIRDVIRYKYDUJTGHLCDVLUQSUNVMVNUNPLYEUHTYCYDYB
      WJVOXAVPZLXBTXJVPZQVQYGXDPMYGLYCMJZLYDMJZNJWJXBVFZNJXDLYCYDTUUBUUCUIUUDWJ
      UUEUUFNLYBMJZWJMJVRWJMJUUDWJUUGVRWJMUUGLLMJZVFVRVFZVFVRLLTTVTUUHUUIWAWBWC
      VNUSLYBWJTVOXAUOWJXAWDWEUUHXBMJUUIXBMJUUEUUFUUHUUIXBMWAUSLLXBTTXJUOXBXJWF
      WESWJXBXAXJWGVNUNWHSVDWI $.
  $}

  ${
    polid.1 $e |- A e. ~H $.
    polid.2 $e |- B e. ~H $.
    $( Polarization identity.  Recovers inner product from norm.  Exercise 4(a)
       of [ReedSimon] p. 63.  The outermost operation is + instead of - due to
       our mathematicians' (rather than physicists') version of Axiom
       ~ ax-his3 .  (Contributed by NM, 30-Jun-2005.)
       (New usage is discouraged.) $)
    polidi $p |- ( A .ih B ) = ( ( ( ( ( normh ` ( A +h B ) ) ^ 2 ) -
                ( ( normh ` ( A -h B ) ) ^ 2 ) ) +
       ( _i x. ( ( ( normh ` ( A +h ( _i .h B ) ) ) ^ 2 ) -
                ( ( normh ` ( A -h ( _i .h B ) ) ) ^ 2 ) ) ) ) / 4 ) $=
      ( csp co cva cmv cmin ci cmul caddc c4 cdiv cno cfv cexp normsqi oveq12i
      c2 csm polid2i hvaddcli hvsubcli ax-icn hvmulcli oveq2i oveq1i eqtr4i ) A
      BEFABGFZUJEFZABHFZULEFZIFZJAJBUAFZGFZUPEFZAUOHFZUREFZIFZKFZLFZMNFUJOPTQFZ
      ULOPTQFZIFZJUPOPTQFZUROPTQFZIFZKFZLFZMNFABBACDDCUBVJVBMNVEUNVIVALVCUKVDUM
      IUJABCDUCRULABCDUDRSVHUTJKVFUQVGUSIUPAUOCJBUEDUFZUCRURAUOCVKUDRSUGSUHUI
      $.
  $}

  $( Polarization identity.  Recovers inner product from norm.  Exercise 4(a)
     of [ReedSimon] p. 63.  The outermost operation is + instead of - due to
     our mathematicians' (rather than physicists') version of Axiom ~ ax-his3 .
     (Contributed by NM, 17-Nov-2007.)  (New usage is discouraged.) $)
  polid $p |- ( ( A e. ~H /\ B e. ~H ) ->
           ( A .ih B ) = ( ( ( ( ( normh ` ( A +h B ) ) ^ 2 ) -
              ( ( normh ` ( A -h B ) ) ^ 2 ) ) +
       ( _i x. ( ( ( normh ` ( A +h ( _i .h B ) ) ) ^ 2 ) -
                ( ( normh ` ( A -h ( _i .h B ) ) ) ^ 2 ) ) ) ) / 4 ) ) $=
    ( csp co cva cno cfv c2 cexp cmv cmin ci cmul caddc c4 cdiv wceq c0v oveq1d
    oveq12d chba wcel csm cif oveq1 fvoveq1 oveq2d eqeq12d oveq2 fveq2d ifhvhv0
    polidi dedth2h ) AUAUBZBUAUBZABCDZABEDFGZHIDZABJDFGZHIDZKDZLALBUCDZEDFGZHID
    ZAVBJDFGZHIDZKDZMDZNDZOPDZQUNARUDZBCDZVKBEDZFGZHIDZVKBJDZFGZHIDZKDZLVKVBEDZ
    FGZHIDZVKVBJDZFGZHIDZKDZMDZNDZOPDZQVKUOBRUDZCDZVKWJEDZFGZHIDZVKWJJDZFGZHIDZ
    KDZLVKLWJUCDZEDZFGZHIDZVKWSJDZFGZHIDZKDZMDZNDZOPDZQABRRAVKQZUPVLVJWIAVKBCUE
    XJVIWHOPXJVAVSVHWGNXJURVOUTVRKXJUQVNHIAVKBFEUFSXJUSVQHIAVKBFJUFSTXJVGWFLMXJ
    VDWBVFWEKXJVCWAHIAVKVBFEUFSXJVEWDHIAVKVBFJUFSTUGTSUHBWJQZVLWKWIXIBWJVKCUIXK
    WHXHOPXKVSWRWGXGNXKVOWNVRWQKXKVNWMHIXKVMWLFBWJVKEUIUJSXKVQWPHIXKVPWOFBWJVKJ
    UIUJSTXKWFXFLMXKWBXBWEXEKXKWAXAHIXKVTWTFXKVBWSVKEBWJLUCUIZUGUJSXKWDXDHIXKWC
    XCFXKVBWSVKJXLUGUJSTUGTSUHVKWJAUKBUKULUM $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Relate Hilbert space to normed complex vector spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( Hilbert space vector addition is an Abelian group operation.
       (Contributed by NM, 15-Apr-2007.)  (New usage is discouraged.) $)
    hilablo $p |- +h e. AbelOp $=
      ( vx vy vz cva chba c0v c1 cv csm co ax-hilex ax-hfvadd ax-hvass ax-hv0cl
      cneg hvaddid2 cc wcel neg1cn ax-hvcom hvmulcl mpan wceq mpancom eqtrd cxp
      hvnegid isgrpoi fdmi isabloi ) ABDEABCFDGOZAHZIJZEKLULBHZCHMNULPUKQRULERZ
      UMERZSUKULUAUBZUOUMULDJZULUMDJZFUPUOURUSUCUQUMULTUDULUGUEUHEEUFEDLUIULUNT
      UJ $.

    $( The group identity element of Hilbert space vector addition is the zero
       vector.  (Contributed by NM, 16-Apr-2007.)
       (New usage is discouraged.) $)
    hilid $p |- ( GId ` +h ) = 0h $=
      ( vy vx cva cgi cfv cv co wceq chba wral crio c0v cgr wcel cablo ablogrpo
      hilablo ax-mp cxp ax-hfvadd fdmi grporn eqid grpoidval hvaddid2 rgen wreu
      wb ax-hv0cl grpoideu oveq1 eqeq1d ralbidv riota2 mp2an mpbi eqtri ) CDEZA
      FZBFZCGZUTHZBIJZAIKZLCMNZURVDHCONVEQCPRZBAURCICIVFIISICTUAUBZURUCUDRLUTCG
      ZUTHZBIJZVDLHZVIBIUTUEUFLINVCAIUGZVJVKUHUIVEVLVFBACIVGUJRVCVJAILUSLHZVBVI
      BIVMVAVHUTUSLUTCUKULUMUNUOUPUQ $.

    $( Hilbert space is a complex vector space.  Vector addition is ` +h ` ,
       and scalar product is ` .h ` .  (Contributed by NM, 15-Apr-2007.)
       (New usage is discouraged.) $)
    hilvc $p |- <. +h , .h >. e. CVecOLD $=
      ( vx vy vz csm cva cop chba hilablo cxp ax-hfvadd ax-hfvmul cv ax-hvmulid
      fdmi ax-hvdistr1 ax-hvdistr2 ax-hvmulass eqid isvciOLD ) ABCDEEDFZGHGGIGE
      JNKALZMBLZUACLZOUBUCUAPUBUCUAQTRS $.
  $}

  ${
    $d x U $.
    hilnorm.5 $e |- ~H = ( BaseSet ` U ) $.
    hilnorm.2 $e |- .ih = ( .iOLD ` U ) $.
    hilnorm.9 $e |- U e. NrmCVec $.
    $( Hilbert space norm in terms of vector space norm.  (Contributed by NM,
       11-Sep-2007.)  (Revised by Mario Carneiro, 23-Dec-2013.)
       (New usage is discouraged.) $)
    hilnormi $p |- normh = ( normCV ` U ) $=
      ( vx chba cv cnmcv cfv cmpt csp co csqrt cno cnv wcel wceq eqid ipnm mpan
      mpteq2ia cr nvf feqmptd ax-mp dfhnorm2 3eqtr4ri ) EFEGZAHIZIZJZEFUHUHKLMI
      ZJUINEFUJULAOPZUHFPUJULQDUHKAUIFBUIRZCSTUAUMUIUKQDUMEFUBUIAUIFBUNUCUDUEEU
      FUG $.
  $}

  ${
    hilhh.1 $e |- ~H = ( BaseSet ` U ) $.
    hilhh.2 $e |- +h = ( +v ` U ) $.
    hilhh.3 $e |- .h = ( .sOLD ` U ) $.
    hilhh.5 $e |- .ih = ( .iOLD ` U ) $.
    hilhh.9 $e |- U e. NrmCVec $.
    $( Deduce the structure of Hilbert space from its components.  (Contributed
       by NM, 10-Apr-2008.)  (New usage is discouraged.) $)
    hilhhi $p |- U = <. <. +h , .h >. , normh >. $=
      ( cnv wcel cva csm cop cno wceq hilnormi nvop ax-mp ) AGHAIJKLKMFJAILCDAB
      EFNOP $.
  $}

  ${
    $d x y U $.
    hhnv.1 $e |- U = <. <. +h , .h >. , normh >. $.
    $( Hilbert space is a normed complex vector space.  (Contributed by NM,
       17-Nov-2007.)  (New usage is discouraged.) $)
    hhnv $p |- U e. NrmCVec $=
      ( vx csm cva cno chba c0v cablo wcel cgr hilablo ablogrpo ax-mp ax-hfvadd
      vy cxp cfv cv wceq fdmi grporn cgi hilid eqcomi hilvc normf norm-i biimpa
      cc0 norm-iii norm-ii isnvi ) CPDAEFGHEGEIJEKJLEMNGGQGEOUAUBEUCRHUDUEUFUGC
      SZGJUNFRUJTUNHTUNUHUIPSZUNUKUNUOULBUM $.

    $( The group (addition) operation of Hilbert space.  (Contributed by NM,
       17-Nov-2007.)  (New usage is discouraged.) $)
    hhva $p |- +h = ( +v ` U ) $=
      ( hhnv h2hva ) ABABCD $.

    $( The base set of Hilbert space.  This theorem provides an independent
       proof of ~ df-hba (see comments in that definition).  (Contributed by
       NM, 17-Nov-2007.)  (New usage is discouraged.) $)
    hhba $p |- ~H = ( BaseSet ` U ) $=
      ( chba cva crn cba cfv cablo wcel cgr hilablo ablogrpo cxp ax-hfvadd fdmi
      ax-mp grporn eqid hhva bafval eqtr4i ) CDEAFGZDCDHIDJIKDLPCCMCDNOQADUBUBR
      ABSTUA $.

    $( The zero vector of Hilbert space.  (Contributed by NM, 17-Nov-2007.)
       (Revised by Mario Carneiro, 23-Dec-2013.)
       (New usage is discouraged.) $)
    hh0v $p |- 0h = ( 0vec ` U ) $=
      ( cn0v cfv cpv cgi cva wcel wceq hhnv eqid 0vfval ax-mp hhva fveq2i hilid
      c0v cnv 3eqtr2ri ) ACDZAEDZFDZGFDQARHTUBIABJAUARTUAKTKLMGUAFABNOPS $.

    $( The scalar product operation of Hilbert space.  (Contributed by NM,
       17-Nov-2007.)  (New usage is discouraged.) $)
    hhsm $p |- .h = ( .sOLD ` U ) $=
      ( hhnv h2hsm ) ABABCD $.

    $( The vector subtraction operation of Hilbert space.  (Contributed by NM,
       13-Dec-2007.)  (New usage is discouraged.) $)
    hhvs $p |- -h = ( -v ` U ) $=
      ( hhnv hhba h2hvs ) ABABCABDE $.

    $( The norm function of Hilbert space.  (Contributed by NM, 17-Nov-2007.)
       (New usage is discouraged.) $)
    hhnm $p |- normh = ( normCV ` U ) $=
      ( hhnv h2hnm ) ABABCD $.

    ${
      hhims.2 $e |- D = ( normh o. -h ) $.
      $( The induced metric of Hilbert space.  (Contributed by NM,
         17-Nov-2007.)  (New usage is discouraged.) $)
      hhims $p |- D = ( IndMet ` U ) $=
        ( cno cmv ccom cims cfv cnv wcel wceq hhnv hhvs hhnm eqid imsval eqtr4i
        ax-mp ) AEFGZBHIZDBJKUATLBCMUABFEBCNBCOUAPQSR $.
    $}

    ${
      hhims2.2 $e |- D = ( IndMet ` U ) $.
      $( Hilbert space distance metric.  (Contributed by NM, 10-Apr-2008.)
         (New usage is discouraged.) $)
      hhims2 $p |- D = ( normh o. -h ) $=
        ( cims cfv cno cmv ccom eqid hhims eqtr4i ) ABEFGHIZDMBCMJKL $.

      $( The induced metric of Hilbert space.  (Contributed by NM,
         10-Apr-2008.)  (New usage is discouraged.) $)
      hhmet $p |- D e. ( Met ` ~H ) $=
        ( cnv wcel chba cmet cfv hhnv hhba imsmet ax-mp ) BEFAGHIFBCJABGBCKDLM
        $.

      $( The induced metric of Hilbert space.  (Contributed by Mario Carneiro,
         10-Sep-2015.)  (New usage is discouraged.) $)
      hhxmet $p |- D e. ( *Met ` ~H ) $=
        ( chba cmet cfv wcel cxmet hhmet metxmet ax-mp ) AEFGHAEIGHABCDJAEKL $.

      $( Value of the distance function of the metric space of Hilbert space.
         (Contributed by NM, 10-Apr-2008.)  (New usage is discouraged.) $)
      hhmetdval $p |- ( ( A e. ~H /\ B e. ~H ) ->
                  ( A D B ) = ( normh ` ( A -h B ) ) ) $=
        ( hhnv hhba h2hmetdval ) ABCDEDEGDEHFI $.
    $}

    $( The inner product operation of Hilbert space.  (Contributed by NM,
       17-Nov-2007.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    hhip $p |- .ih = ( .iOLD ` U ) $=
      ( vx vy csp cfv wceq cv co chba wral wcel cva cno c2 cexp cmv cmin ci cc
      cdip wa csm cmul caddc c4 cdiv polid hhnv hhba hhva hhsm hhnm eqid ipval3
      cnv mp3an1 eqtr4d rgen2 cxp wf wb ax-hfi ipf ax-mp wfn ffn eqfnov2 syl2an
      hhvs mp2an mpbir ) EAUAFZGZCHZDHZEIZVOVPVMIZGZDJKCJKZVSCDJJVOJLZVPJLZUBVQ
      VOVPMINFOPIVOVPQINFOPIRISVOSVPUCIZMINFOPIVOWCQINFOPIRIUDIUEIUFUGIZVRVOVPU
      HAUPLZWAWBVRWDGABUIZVOVPVMUCAMQNJABUJZABUKABULABUMVMUNZABVJUOUQURUSJJUTZT
      EVAZWITVMVAZVNVTVBZVCWEWKWFVMAJWGWHVDVEWJEWIVFVMWIVFWLWKWITEVGWITVMVGCDJJ
      EVMVHVIVKVL $.

    $( The Hilbert space of the Hilbert Space Explorer is an inner product
       space.  (Contributed by NM, 24-Nov-2007.)
       (New usage is discouraged.) $)
    hhph $p |- U e. CPreHilOLD $=
      ( vx vy ccphlo wcel cva csm cno co cfv cexp caddc chba normcl recnd sqcld
      c2 cc cvv cop cnv cv c1 cneg cmul wceq wral eqid hhnv wa normpar hvsubval
      cmv fveq2d oveq1d oveq2d cr hvaddcl syl hvsubcl addcomd eqtr3d 2cn mp3an1
      adddi syl2an 3eqtr4d rgen2 wb cablo hilablo elexi hvmulex wf ax-hilex fex
      normf mp2an w3a eleq1i cgr ablogrpo ax-mp cxp ax-hfvadd fdmi grporn isphg
      syl5bb mp3an mpbir2an ) AEFZGHUAIUAZUBFZCUCZDUCZGJZIKZRLJZWPUDUEWQHJGJZIK
      ZRLJZMJZRWPIKZRLJZWQIKZRLJZMJUFJZUGZDNUHCNUHZWNWNUIUJXJCDNNWPNFZWQNFZUKZW
      PWQUNJZIKZRLJZWTMJZRXFUFJRXHUFJMJZXDXIWPWQULXNWTXQMJXDXRXNXQXCWTMXNXPXBRL
      XNXOXAIWPWQUMUOUPUQXNWTXQXNWSXNWSXNWRNFWSURFWPWQUSWROUTPQXNXPXNXONFZXPSFW
      PWQVAXTXPXOOPUTQVBVCXLXFSFZXHSFZXIXSUGZXMXLXEXLXEWPOPQXMXGXMXGWQOPQRSFYAY
      BYCVDRXFXHVFVEVGVHVIGTFZHTFZITFZWMWOXKUKZVJGVKVLVMVNNURIVONTFYFVRVPNURTIV
      QVSWMWNEFYDYEYFVTYGAWNEBWACDTTTHGINGNGVKFGWBFVLGWCWDNNWENGWFWGWHWIWJWKWL
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Bunjakovaskij-Cauchy-Schwarz inequality
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    bcs.1 $e |- A e. ~H $.
    bcs.2 $e |- B e. ~H $.
    $( Bunjakovaskij-Cauchy-Schwarz inequality.  Remark 3.4 of [Beran] p. 98.
       (Contributed by NM, 11-Oct-1999.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    bcsiALT $p |- ( abs ` ( A .ih B ) )
          <_ ( ( normh ` A ) x. ( normh ` B ) ) $=
      ( csp co cc0 wceq cabs cfv cmul cle wbr wcel ax-mp c2 caddc cc c1 cr abs0
      cno fveq2 chba normge0 normcli mulge0i mp2an eqbrtri eqbrtrdi csqrt df-ne
      wn wne cdiv ccj his1i oveq2i abslem2 mpan eqtr2id abs00i necon3bii abscli
      hicli wa divclzi divreczi fveq2d recclzi absmul sylancr rerecclzi clt 0re
      recni jctil absgt0i bitri recgt0i sylbi ltle absidd oveq2d recidzi 3eqtrd
      eqtrd jca sylbir normlem7tALT syl eqbrtrd normval oveq12i mulcomli breq2i
      sylc wb 2pos hiidge0 hiidrcl sqrtcli mp2b remulcli lemul2i sylibr pm2.61i
      2re ) ABEFZGHZXIIJZAUBJZBUBJZKFZLMZXJXKGIJZXNLXIGIUCXPGXNLUAGXLLMZGXMLMZG
      XNLMAUDNZXQCAUEOBUDNZXRDBUEOXLXMACUFZBDUFZUGUHUIUJXJUMZPXKKFZPBBEFZUKJZAA
      EFZUKJZKFZKFZLMZXOYCXIGUNZYKXIGULYLYDXIXKUOFZUPJXIKFZYMBAEFZKFZQFZYJLYLYQ
      YNYMXIUPJZKFZQFZYDYPYSYNQYOYRYMKBADCUQURURXIRNZYLYTYDHABCDVEZXIUSUTVAYLYM
      RNZYMIJZSHZVFZYQYJLMYLXKGUNZUUFXKGXIGXIUUBVBVCZUUGUUCUUEXIXKUUBXKXIUUBVDZ
      VPZVGUUGUUDXISXKUOFZKFZIJZXKUUKKFZSUUGYMUULIXIXKUUBUUJVHVIUUGUUMXKUUKIJZK
      FZUUNUUGUUAUUKRNUUMUUPHUUBXKUUJVJXIUUKVKVLUUGUUOUUKXKKUUGUUKXKUUIVMZUUGGT
      NZUUKTNZVFGUUKVNMZGUUKLMUUGUUSUURUUQVOVQUUGGXKVNMZUUTUUGYLUVAUUHXIUUBVRVS
      XKUUIVTWAGUUKWBWQWCWDWGXKUUJWEWFWHWIABYMCDWJWKWLWIXOXKYILMZYKXNYIXKLXMXLY
      IXMYBVPXLYAVPXMYFXLYHKXTXMYFHDBWMOXSXLYHHCAWMOWNWOWPGPVNMUVBYKWRWSXKYIPUU
      IYFYHXTGYELMYFTNDBWTYEXTYETNDBXAOXBXCXSGYGLMYHTNCAWTYGXSYGTNCAXAOXBXCXDXH
      XEOVSXFXG $.

    $( Bunjakovaskij-Cauchy-Schwarz inequality.  Remark 3.4 of [Beran] p. 98.
       (Proved from ZFC version.)  (Contributed by NM, 24-Nov-2007.)
       (New usage is discouraged.) $)
    bcsiHIL $p |- ( abs ` ( A .ih B ) )
         <_ ( ( normh ` A ) x. ( normh ` B ) ) $=
      ( csp cva csm cop cno chba df-hba eqid hhnm hhip hhph siii ) ABEFGHIHZIJK
      QQLZMQRNQROCDP $.
  $}

  $( Bunjakovaskij-Cauchy-Schwarz inequality.  Remark 3.4 of [Beran] p. 98.
     (Contributed by NM, 16-Feb-2006.)  (New usage is discouraged.) $)
  bcs $p |- ( ( A e. ~H /\ B e. ~H ) ->
             ( abs ` ( A .ih B ) ) <_ ( ( normh ` A ) x. ( normh ` B ) ) ) $=
    ( chba wcel csp cabs cfv cno cmul cle wbr c0v cif wceq fvoveq1 fveq2 oveq1d
    co breq12d ifhvhv0 oveq2 fveq2d oveq2d bcsiHIL dedth2h ) ACDZBCDZABERFGZAHG
    ZBHGZIRZJKUFALMZBERZFGZULHGZUJIRZJKULUGBLMZERZFGZUOUQHGZIRZJKABLLAULNZUHUNU
    KUPJAULBFEOVBUIUOUJIAULHPQSBUQNZUNUSUPVAJVCUMURFBUQULEUAUBVCUJUTUOIBUQHPUCS
    ULUQATBTUDUE $.

  $( Corollary of the Bunjakovaskij-Cauchy-Schwarz inequality ~ bcsiHIL .
     (Contributed by NM, 24-May-2006.)  (New usage is discouraged.) $)
  bcs2 $p |- ( ( A e. ~H /\ B e. ~H /\ ( normh ` A ) <_ 1 ) ->
             ( abs ` ( A .ih B ) ) <_ ( normh ` B ) ) $=
    ( chba wcel cno cfv c1 cle wbr w3a co cabs cmul cr wa hicl 3adant3 3ad2ant2
    csp normcl abscld remulcl syl2an bcs cc0 3ad2ant1 normge0 jca simp3 lemul1a
    1re mp3anl2 syl21anc wceq recnd mulid2d breqtrd letrd ) ACDZBCDZAEFZGHIZJZA
    BSKZLFZVABEFZMKZVFUSUTVENDVBUSUTOVDABPUAQUSUTVGNDZVBUSVANDZVFNDZVHUTATZBTZV
    AVFUBUCQUTUSVJVBVLRZUSUTVEVGHIVBABUDQVCVGGVFMKZVFHVCVIVJUEVFHIZOZVBVGVNHIZU
    SUTVIVBVKUFVCVJVOVMUTUSVOVBBUGRUHUSUTVBUIVIGNDVPVBVQUKVAGVFUJULUMUTUSVNVFUN
    VBUTVFUTVFVLUOUPRUQUR $.

  $( Corollary of the Bunjakovaskij-Cauchy-Schwarz inequality ~ bcsiHIL .
     (Contributed by NM, 26-May-2006.)  (New usage is discouraged.) $)
  bcs3 $p |- ( ( A e. ~H /\ B e. ~H /\ ( normh ` B ) <_ 1 ) ->
             ( abs ` ( A .ih B ) ) <_ ( normh ` A ) ) $=
    ( chba wcel cno cfv c1 cle wbr w3a csp co cabs wceq abshicom 3adant3 3com12
    bcs2 eqbrtrd ) ACDZBCDZBEFGHIZJABKLMFZBAKLMFZAEFZHTUAUCUDNUBABOPUATUBUDUEHI
    BARQS $.


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Cauchy sequences and completeness axiom
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cauchy sequences and limits
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z f F $.  $d x y z A $.
    $( Member of the set of Cauchy sequences on a Hilbert space.  Definition
       for Cauchy sequence in [Beran] p. 96.  (Contributed by NM, 16-Aug-1999.)
       (Revised by Mario Carneiro, 14-May-2014.)
       (New usage is discouraged.) $)
    hcau $p |- ( F e. Cauchy <-> ( F : NN --> ~H /\
          A. x e. RR+ E. y e. NN A. z e. ( ZZ>= ` y )
             ( normh ` ( ( F ` y ) -h ( F ` z ) ) ) < x ) ) $=
      ( vf ccauold wcel chba cn co cv cfv cmv cno clt wbr wral wrex crp wa cmap
      cuz wf wceq fveq1 oveq12d fveq2d breq1d rexralbidv ralbidv df-hcau elrab2
      ax-hilex nnex elmap anbi1i bitri ) DFGDHIUAJZGZBKZDLZCKZDLZMJZNLZAKZOPZCU
      TUBLZQBIRZASQZTIHDUCZVJTUTEKZLZVBVLLZMJZNLZVFOPZCVHQBIRZASQVJEDURFVLDUDZV
      RVIASVSVQVGBCIVHVSVPVEVFOVSVOVDNVSVMVAVNVCMUTVLDUEVBVLDUEUFUGUHUIUJABCEUK
      ULUSVKVJHIDUMUNUOUPUQ $.

    $( A Cauchy sequences on a Hilbert space is a sequence.  (Contributed by
       NM, 16-Aug-1999.)  (Revised by Mario Carneiro, 14-May-2014.)
       (New usage is discouraged.) $)
    hcauseq $p |- ( F e. Cauchy -> F : NN --> ~H ) $=
      ( vy vz vx ccauold wcel cn chba wf cv cfv cmv co cno clt wbr cuz wral crp
      wrex hcau simplbi ) AEFGHAIBJZAKCJAKLMNKDJOPCUCQKRBGTDSRDBCAUAUB $.

    $( A Cauchy sequence on a Hilbert space converges.  (Contributed by NM,
       16-Aug-1999.)  (Revised by Mario Carneiro, 14-May-2014.)
       (New usage is discouraged.) $)
    hcaucvg $p |- ( ( F e. Cauchy /\ A e. RR+ ) -> E. y e. NN
           A. z e. ( ZZ>= ` y ) ( normh ` ( ( F ` y ) -h ( F ` z ) ) ) < A ) $=
      ( vx ccauold wcel cv cfv cmv co cno clt wbr cuz wral cn wrex crp chba wf
      hcau simprbi wceq breq2 rexralbidv rspccva sylan ) DFGZAHZDIBHDIJKLIZEHZM
      NZBUJOIZPAQRZESPZCSGUKCMNZBUNPAQRZUIQTDUAUPEABDUBUCUOURECSULCUDUMUQABQUNU
      LCUKMUEUFUGUH $.

    $( A sequence on a Hilbert space is a Cauchy sequence if it converges.
       (Contributed by NM, 16-Aug-1999.)  (Revised by Mario Carneiro,
       14-May-2014.)  (New usage is discouraged.) $)
    seq1hcau $p |- ( F : NN --> ~H -> ( F e. Cauchy <->
          A. x e. RR+ E. y e. NN A. z e. ( ZZ>= ` y )
             ( normh ` ( ( F ` y ) -h ( F ` z ) ) ) < x ) ) $=
      ( ccauold wcel cn chba wf cv cfv cmv co cno clt wbr cuz wral wrex crp
      hcau baib ) DEFGHDIBJZDKCJDKLMNKAJOPCUCQKRBGSATRABCDUAUB $.
  $}

  ${
    $d x y z w f F $.  $d x y z w f A $.  $d x y z B $.
    hlim.1 $e |- A e. _V $.
    $( Express the predicate:  The limit of vector sequence ` F ` in a Hilbert
       space is ` A ` , i.e. ` F ` converges to ` A ` .  This means that for
       any real ` x ` , no matter how small, there always exists an integer
       ` y ` such that the norm of any later vector in the sequence minus the
       limit is less than ` x ` .  Definition of converge in [Beran] p. 96.
       (Contributed by NM, 16-Aug-1999.)  (Revised by Mario Carneiro,
       14-May-2014.)  (New usage is discouraged.) $)
    hlimi $p |- ( F ~~>v A <-> ( ( F : NN --> ~H /\ A e. ~H ) /\
          A. x e. RR+ E. y e. NN A. z e. ( ZZ>= ` y )
                ( normh ` ( ( F ` z ) -h A ) ) < x ) ) $=
      ( vf vw chli wbr cvv wcel cn chba wa cv cfv cmv wral wceq wf cno clt wrex
      co cuz crp df-hlim relopabiv brrelex1i nnex fex mpan2 ad2antrr feq1 eleq1
      wb bi2anan9 fveq1 oveq12 sylan fveq2d breq1d rexralbidv ralbidv pm5.21nii
      anbi12d brabga ) EDIJZEKLZMNEUAZDNLZOZCPZEQZDRUEZUBQZAPZUCJZCBPUFQZSBMUDZ
      AUGSZOZEDIMNGPZUAZHPZNLZOZVNWDQZWFRUEZUBQZVRUCJZCVTSBMUDZAUGSZOZGHIABCHGU
      HZUIUJVKVJVLWBVKMKLVJUKMNKEULUMUNVJDKLVIWCUQFWOWCGHEDIKKWDETZWFDTZOZWHVMW
      NWBWQWEVKWRWGVLMNWDEUOWFDNUPURWSWMWAAUGWSWLVSBCMVTWSWKVQVRUCWSWJVPUBWQWIV
      OTWRWJVPTVNWDEUSWIVOWFDRUTVAVBVCVDVEVGWPVHUMVF $.

    $( A sequence with a limit on a Hilbert space is a sequence.  (Contributed
       by NM, 16-Aug-1999.)  (New usage is discouraged.) $)
    hlimseqi $p |- ( F ~~>v A -> F : NN --> ~H ) $=
      ( vz vx vy chli wbr cn chba wf wcel wa cv cfv cmv co cno clt wral cuz crp
      wrex hlimi simplbi simpld ) BAGHZIJBKZAJLZUGUHUIMDNBOAPQROENSHDFNUAOTFIUC
      EUBTEFDABCUDUEUF $.

    $( Closure of the limit of a sequence on Hilbert space.  (Contributed by
       NM, 16-Aug-1999.)  (New usage is discouraged.) $)
    hlimveci $p |- ( F ~~>v A -> A e. ~H ) $=
      ( vz vx vy chli wbr cn chba wf wcel wa cv cfv cmv co cno clt wral cuz crp
      wrex hlimi simplbi simprd ) BAGHZIJBKZAJLZUGUHUIMDNBOAPQROENSHDFNUAOTFIUC
      EUBTEFDABCUDUEUF $.

    $( Convergence of a sequence on a Hilbert space.  (Contributed by NM,
       16-Aug-1999.)  (Revised by Mario Carneiro, 14-May-2014.)
       (New usage is discouraged.) $)
    hlimconvi $p |- ( ( F ~~>v A /\ B e. RR+ ) ->
      E. y e. NN A. z e. ( ZZ>= ` y ) ( normh ` ( ( F ` z ) -h A ) ) < B ) $=
      ( vx chli wbr cv cfv cmv co clt wral cn wrex crp wcel chba cno wf simprbi
      cuz wa hlimi wceq breq2 rexralbidv rspccva sylan ) ECHIZBJEKCLMUAKZGJZNIZ
      BAJUDKZOAPQZGROZDRSUMDNIZBUPOAPQZULPTEUBCTSUEURGABCEFUFUCUQUTGDRUNDUGUOUS
      ABPUPUNDUMNUHUIUJUK $.
  $}

  ${
    $d x y z w F $.  $d x y z w A $.
    $( The limit of a sequence on a Hilbert space.  (Contributed by NM,
       16-Aug-1999.)  (Revised by Mario Carneiro, 14-May-2014.)
       (New usage is discouraged.) $)
    hlim2 $p |- ( ( F : NN --> ~H /\ A e. ~H ) -> ( F ~~>v A <->
          A. x e. RR+ E. y e. NN A. z e. ( ZZ>= ` y )
                ( normh ` ( ( F ` z ) -h A ) ) < x ) ) $=
      ( vw chba wcel cn chli wbr cv cfv cmv co cno clt wral wrex crp wf wb wceq
      cuz wi breq2 oveq2 fveq2d breq1d rexralbidv ralbidv bibi12d imbi2d wa vex
      hlimi baib expcom vtoclga impcom ) DGHIGEUAZEDJKZCLEMZDNOZPMZALZQKZCBLUDM
      ZRBISZATRZUBZVAEFLZJKZVCVLNOZPMZVFQKZCVHRBISZATRZUBZUEVAVKUEFDGVLDUCZVSVK
      VAVTVMVBVRVJVLDEJUFVTVQVIATVTVPVGBCIVHVTVOVEVFQVTVNVDPVLDVCNUGUHUIUJUKULU
      MVAVLGHZVSVMVAWAUNVRABCVLEFUOUPUQURUSUT $.
  $}

  ${
    $d n F $.  $d n G $.  $d n ph $.
    hlimadd.3 $e |- ( ph -> F : NN --> ~H ) $.
    hlimadd.4 $e |- ( ph -> G : NN --> ~H ) $.
    hlimadd.5 $e |- ( ph -> F ~~>v A ) $.
    hlimadd.6 $e |- ( ph -> G ~~>v B ) $.
    hlimadd.7 $e |- H = ( n e. NN |-> ( ( F ` n ) +h ( G ` n ) ) ) $.
    $( Limit of the sum of two sequences in a Hilbert vector space.
       (Contributed by Mario Carneiro, 19-May-2014.)
       (New usage is discouraged.) $)
    hlimadd $p |- ( ph -> H ~~>v ( A +h B ) ) $=
      ( chba cn co wcel cva cfv wbr chli cmap cno cmv cmopn clm wf cv ffvelrnda
      ccom wa hvaddcl syl2anc fmptd ax-hilex nnex elmap sylibr nnuz 1zzd ctopon
      c1 cxmet csm cop eqid hhims hhxmet mopntopon mp1i cres df-hba h2hlm resss
      hhnv eqsstri ssbri syl cnv ctx hhva vacn lmcn2 breqi ovex brresi sylanbrc
      ccn bitri ) AGMNUAOZPZGBCQOZUBUCUIZUDRZUERZSZGWKTSZANMGUFWJADNDUGZERZWQFR
      ZQOZMGAWQNPUJWRMPWSMPWTMPANMWQEHUHANMWQFIUHWRWSUKULLUMMNGUNUOUPUQABCDEFGW
      MWMVAWMQMMNURAUSWLMVBRPWMMUTRPAWLQVCVDUBVDZXAVEZWLXAXBWLVEVFZVGWLWMMWMVEZ
      VHVIZXEHIAEBTSEBWNSJTWNEBTWNWIVJZWNWLXAWMXBXAXBVNZVKXCXDVLZWNWIVMVOZVPVQA
      FCTSFCWNSKTWNFCXIVPVQXAVRPQWMWMVSOWMWGOPAXGWLXAQWMXCXDXAXBVTWAVILWBWPGWKX
      FSWJWOUJGWKTXFXHWCWIGWKWNBCQWDWEWHWF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derivation of the completeness axiom from ZF set theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    hilmet.1 $e |- D = ( normh o. -h ) $.
    $( The Hilbert space norm determines a metric space.  (Contributed by NM,
       17-Apr-2007.)  (New usage is discouraged.) $)
    hilmet $p |- D e. ( Met ` ~H ) $=
      ( cva csm cop cno eqid hhims hhmet ) ACDEFEZJGZAJKBHI $.

    $( The Hilbert space norm determines a metric space.  (Contributed by Mario
       Carneiro, 10-Sep-2015.)  (New usage is discouraged.) $)
    hilxmet $p |- D e. ( *Met ` ~H ) $=
      ( chba cmet cfv wcel cxmet hilmet metxmet ax-mp ) ACDEFACGEFABHACIJ $.

    $( Value of the distance function of the metric space of Hilbert space.
       (Contributed by NM, 17-Apr-2007.)  (New usage is discouraged.) $)
    hilmetdval $p |- ( ( A e. ~H /\ B e. ~H ) ->
                  ( A D B ) = ( normh ` ( A -h B ) ) ) $=
      ( cva csm cop cno eqid hhims hhmetdval ) ABCEFGHGZLIZCLMDJK $.
  $}

  ${
    hilims.1 $e |- ~H = ( BaseSet ` U ) $.
    hilims.2 $e |- +h = ( +v ` U ) $.
    hilims.3 $e |- .h = ( .sOLD ` U ) $.
    hilims.5 $e |- .ih = ( .iOLD ` U ) $.
    hilims.8 $e |- D = ( IndMet ` U ) $.
    hilims.9 $e |- U e. NrmCVec $.
    $( Hilbert space distance metric.  (Contributed by NM, 13-Sep-2007.)
       (New usage is discouraged.) $)
    hilims $p |- D = ( normh o. -h ) $=
      ( hilhhi hhims2 ) ABBCDEFHIGJ $.
  $}

  ${
    hhlm.1 $e |- U = <. <. +h , .h >. , normh >. $.
    hhlm.2 $e |- D = ( IndMet ` U ) $.
    $( The Cauchy sequences of Hilbert space.  (Contributed by NM,
       19-Nov-2007.)  (New usage is discouraged.) $)
    hhcau $p |- Cauchy = ( ( Cau ` D ) i^i ( ~H ^m NN ) ) $=
      ( hhnv hhba h2hcau ) ABCBCEBCFDG $.

    hhlm.3 $e |- J = ( MetOpen ` D ) $.
    $( The limit sequences of Hilbert space.  (Contributed by NM, 19-Nov-2007.)
       (New usage is discouraged.) $)
    hhlm $p |- ~~>v = ( ( ~~>t ` J ) |` ( ~H ^m NN ) ) $=
      ( hhnv hhba h2hlm ) ABCDBDGBDHEFI $.

    $d x F $.
    hhcmpl.c $e |- ( F e. ( Cau ` D ) -> E. x e. ~H F ( ~~>t ` J ) x ) $.
    $( Lemma used for derivation of the completeness axiom ~ ax-hcompl from ZFC
       Hilbert space theory.  (Contributed by NM, 9-Apr-2008.)
       (New usage is discouraged.) $)
    hhcmpl $p |- ( F e. Cauchy -> E. x e. ~H F ~~>v x ) $=
      ( ccau cfv chba cn wcel wbr wa wrex ccauold chli 3imtr4i cmap cin anim1ci
      co clm elin r19.42v hhcau eleq2i cres hhlm breqi vex brresi bitri rexbii
      cv ) DBJKZLMUAUDZUBZNZDUSNZDAUQZEUEKZOZPZALQZDRNDVCSOZALQDURNZVBPVBVEALQZ
      PVAVGVIVJVBIUCDURUSUFVBVEALUGTRUTDBCFGUHUIVHVFALVHDVCVDUSUJZOVFDVCSVKBCEF
      GHUKULUSDVCVDAUMUNUOUPT $.
  $}

  ${
    $d x F $.
    hilcompl.1 $e |- ~H = ( BaseSet ` U ) $.
    hilcompl.2 $e |- +h = ( +v ` U ) $.
    hilcompl.3 $e |- .h = ( .sOLD ` U ) $.
    hilcompl.4 $e |- .ih = ( .iOLD ` U ) $.
    hilcompl.5 $e |- D = ( IndMet ` U ) $.
    hilcompl.6 $e |- J = ( MetOpen ` D ) $.
    hilcompl.7 $e |- U e. CHilOLD $.
    hilcompl.8 $e |- ( F e. ( Cau ` D ) -> E. x e. ~H F ( ~~>t ` J ) x ) $.
    $( Lemma used for derivation of the completeness axiom ~ ax-hcompl from ZFC
       Hilbert space theory.  The first five hypotheses would be satisfied by
       the definitions described in ~ ax-hilex ; the 6th would be satisfied by
       ~ eqid ; the 7th by a given fixed Hilbert space; and the last by Theorem
       ~ hlcompl .  (Contributed by NM, 13-Sep-2007.)  (Revised by Mario
       Carneiro, 14-May-2014.)  (New usage is discouraged.) $)
    hilcompl $p |- ( F e. Cauchy -> E. x e. ~H F ~~>v x ) $=
      ( hlnvi hilhhi hhcmpl ) ABCDECFGHICLNOJKMP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Completeness postulate for a Hilbert space
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d F x $.
    $( Completeness of a Hilbert space.  (Contributed by NM, 7-Aug-2000.)
       (New usage is discouraged.) $)
    ax-hcompl $a |- ( F e. Cauchy -> E. x e. ~H F ~~>v x ) $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Relate Hilbert space to ZFC pre-Hilbert and Hilbert spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d f x D $.
    hhcms.1 $e |- U = <. <. +h , .h >. , normh >. $.
    hhcms.2 $e |- D = ( IndMet ` U ) $.
    $( The Hilbert space induced metric determines a complete metric space.
       (Contributed by NM, 10-Apr-2008.)  (Proof shortened by Mario Carneiro,
       14-May-2014.)  (Proof shortened by Peter Mazsa, 2-Oct-2022.)
       (New usage is discouraged.) $)
    hhcms $p |- D e. ( CMet ` ~H ) $=
      ( vf vx cmopn cfv chba eqid hhmet cv wcel cn chli wbr ccauold bitri vex
      wa ccau wf wrex clm cdm cmap co cin hhcau eleq2i elin ax-hilex nnex elmap
      anbi2i ax-hcompl sylbir cres hhlm breqi brresi breldm simplbiim rexlimivw
      syl iscmet3i ) AEAGHZIVGJZABCDKELZAUAHZMZNIVIUBZTZVIFLZOPZFIUCZVIVGUDHZUE
      MZVMVIQMZVPVSVIVJINUFUGZUHZMZVMQWAVIABCDUIUJWBVKVIVTMZTVMVIVJVTUKWCVLVKIN
      VIULUMUNUORRFVIUPUQVOVRFIVOWCVIVNVQPZVRVOVIVNVQVTURZPWCWDTVIVNOWEABVGCDVH
      USUTVTVIVNVQFSZVARVIVNVQESWFVBVCVDVEVF $.
  $}

  ${
    hhhl.1 $e |- U = <. <. +h , .h >. , normh >. $.
    $( The Hilbert space structure is a complex Hilbert space.  (Contributed by
       NM, 10-Apr-2008.)  (New usage is discouraged.) $)
    hhhl $p |- U e. CHilOLD $=
      ( chlo wcel ccbn ccphlo cnv cims chba ccmet hhnv eqid hhcms hhba mpbir2an
      cfv iscbn hhph ishlo ) ACDAEDZAFDTAGDAHPZIJPDABKUAABUALZMUAAIABNUBQOABRAS
      O $.
  $}

  ${
    hilcms.1 $e |- D = ( normh o. -h ) $.
    $( The Hilbert space norm determines a complete metric space.  (Contributed
       by NM, 17-Apr-2007.)  (New usage is discouraged.) $)
    hilcms $p |- D e. ( CMet ` ~H ) $=
      ( cva csm cop cno eqid hhims hhcms ) ACDEFEZJGZAJKBHI $.
  $}

  $( The Hilbert space of the Hilbert Space Explorer is a complex Hilbert
     space.  (Contributed by Steve Rodriguez, 29-Apr-2007.)
     (New usage is discouraged.) $)
  hilhl $p |- <. <. +h , .h >. , normh >. e. CHilOLD $=
    ( cva csm cop cno eqid hhhl ) ABCDCZGEF $.


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Subspaces and projections
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subspaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the set of subspaces of a Hilbert space.  See ~ issh for its
     membership relation.  Basically, a subspace is a subset of a Hilbert space
     that acts like a vector space.  From Definition of [Beran] p. 95.
     (Contributed by Mario Carneiro, 23-Dec-2013.)
     (New usage is discouraged.) $)
  df-sh $a |- SH = { h e. ~P ~H | ( 0h e. h /\
              ( +h " ( h X. h ) ) C_ h /\ ( .h " ( CC X. h ) ) C_ h ) } $.

  ${
    $d h x y H $.
    $( Subspace ` H ` of a Hilbert space.  A subspace is a subset of Hilbert
       space which contains the zero vector and is closed under vector addition
       and scalar multiplication.  (Contributed by Mario Carneiro,
       23-Dec-2013.)  (New usage is discouraged.) $)
    issh $p |- ( H e. SH <-> ( ( H C_ ~H /\ 0h e. H ) /\
               ( ( +h " ( H X. H ) ) C_ H /\ ( .h " ( CC X. H ) ) C_ H ) ) ) $=
      ( vh chba cpw wcel c0v cva cxp cima wss csm cc w3a wa csh ax-hilex 3anass
      elpw2 imaeq2d sseq12d anbi12i cv wceq eleq2 sqxpeqd xpeq2 3anbi123d df-sh
      id elrab2 anass 3bitr4i ) ACDZEZFAEZGAAHZIZAJZKLAHZIZAJZMZNACJZUOURVANZNZ
      NAOEVCUONVDNUNVCVBVEACPRUOURVAQUAFBUBZEZGVFVFHZIZVFJZKLVFHZIZVFJZMVBBAUMO
      VFAUCZVGUOVJURVMVAVFAFUDVNVIUQVFAVNVHUPGVNVFAVNUIZUESVOTVNVLUTVFAVNVKUSKV
      FALUFSVOTUGBUHUJVCUOVDUKUL $.

    $( Subspace ` H ` of a Hilbert space.  A subspace is a subset of Hilbert
       space which contains the zero vector and is closed under vector addition
       and scalar multiplication.  Definition of [Beran] p. 95.  (Contributed
       by NM, 16-Aug-1999.)  (Revised by Mario Carneiro, 23-Dec-2013.)
       (New usage is discouraged.) $)
    issh2 $p |- ( H e. SH <-> ( ( H C_ ~H /\ 0h e. H ) /\
                  ( A. x e. H A. y e. H ( x +h y ) e. H /\
                    A. x e. CC A. y e. H ( x .h y ) e. H ) ) ) $=
      ( wcel chba wss wa cva cxp cima csm cc cv co wral wb wfun cdm ax-hfvadd
      wf csh c0v issh ffun ax-mp xpss12 anidms fdmi sseqtrrdi sylancr ax-hfvmul
      funimassov xpss2 anbi12d adantr pm5.32i bitri ) CUADCEFZUBCDZGZHCCIZJCFZK
      LCIZJCFZGZGUTAMZBMZHNCDBCOACOZVFVGKNCDBCOALOZGZGCUCUTVEVJURVEVJPUSURVBVHV
      DVIURHQZVAHRZFVBVHPEEIZEHTVKSVMEHUDUEURVAVMVLURVAVMFCECEUFUGVMEHSUHUIABCC
      CHULUJURKQZVCKRZFVDVIPLEIZEKTVNUKVPEKUDUEURVCVPVOCELUMVPEKUKUHUIABLCCKULU
      JUNUOUPUQ $.
  $}

  $( A subspace is a subset of Hilbert space.  (Contributed by NM, 9-Oct-1999.)
     (Revised by Mario Carneiro, 23-Dec-2013.)  (New usage is discouraged.) $)
  shss $p |- ( H e. SH -> H C_ ~H ) $=
    ( csh wcel chba wss c0v wa cva cxp cima csm cc issh simplbi simpld ) ABCZAD
    EZFACZPQRGHAAIJAEKLAIJAEGAMNO $.

  $( A member of a subspace of a Hilbert space is a vector.  (Contributed by
     NM, 14-Dec-2004.)  (New usage is discouraged.) $)
  shel $p |- ( ( H e. SH /\ A e. H ) -> A e. ~H ) $=
    ( csh wcel chba shss sselda ) BCDBEABFG $.

  $( The set of subspaces of a Hilbert space exists (is a set).  (Contributed
     by NM, 23-Oct-1999.)  (New usage is discouraged.) $)
  shex $p |- SH e. _V $=
    ( vx csh chba cpw ax-hilex pwex cv wcel wss shss velpw sylibr ssriv ssexi )
    BCDZCEFABOAGZBHPCIPOHPJACKLMN $.

  ${
    shssi.1 $e |- H e. SH $.
    $( A closed subspace of a Hilbert space is a subset of Hilbert space.
       (Contributed by NM, 6-Oct-1999.)  (New usage is discouraged.) $)
    shssii $p |- H C_ ~H $=
      ( csh wcel chba wss shss ax-mp ) ACDAEFBAGH $.

    $( A member of a subspace of a Hilbert space is a vector.  (Contributed by
       NM, 6-Oct-1999.)  (New usage is discouraged.) $)
    sheli $p |- ( A e. H -> A e. ~H ) $=
      ( chba shssii sseli ) BDABCEF $.

    ${
      sheli.1 $e |- A e. H $.
      $( A member of a subspace of a Hilbert space is a vector.  (Contributed
         by NM, 6-Oct-1999.)  (New usage is discouraged.) $)
      shelii $p |- A e. ~H $=
        ( chba shssii sselii ) BEABCFDG $.
    $}
  $}

  $( The zero vector belongs to any subspace of a Hilbert space.  (Contributed
     by NM, 11-Oct-1999.)  (Revised by Mario Carneiro, 23-Dec-2013.)
     (New usage is discouraged.) $)
  sh0 $p |- ( H e. SH -> 0h e. H ) $=
    ( csh wcel chba wss c0v wa cva cxp cima csm cc issh simplbi simprd ) ABCZAD
    EZFACZPQRGHAAIJAEKLAIJAEGAMNO $.

  ${
    $d x y A $.  $d x y H $.  $d y B $.
    $( Closure of vector addition in a subspace of a Hilbert space.
       (Contributed by NM, 13-Sep-1999.)  (New usage is discouraged.) $)
    shaddcl $p |- ( ( H e. SH /\ A e. H /\ B e. H ) -> ( A +h B ) e. H ) $=
      ( vx vy csh wcel cva co cv wral wa csm cc chba wss c0v issh2 wceq eleq1d
      simprbi simpld oveq1 oveq2 rspc2v syl5com 3impib ) CFGZACGZBCGZABHIZCGZUH
      DJZEJZHIZCGZECKDCKZUIUJLULUHUQUMUNMICGECKDNKZUHCOPQCGLUQURLDECRUAUBUPULAU
      NHIZCGDEABCCUMASUOUSCUMAUNHUCTUNBSUSUKCUNBAHUDTUEUFUG $.

    $( Closure of vector scalar multiplication in a subspace of a Hilbert
       space.  (Contributed by NM, 13-Sep-1999.)
       (New usage is discouraged.) $)
    shmulcl $p |- ( ( H e. SH /\ A e. CC /\ B e. H ) -> ( A .h B ) e. H ) $=
      ( vx vy csh wcel cc csm co cv wral wa cva chba wss c0v issh2 wceq eleq1d
      simprbi simprd oveq1 oveq2 rspc2v syl5com 3impib ) CFGZAHGZBCGZABIJZCGZUH
      DKZEKZIJZCGZECLDHLZUIUJMULUHUMUNNJCGECLDCLZUQUHCOPQCGMURUQMDECRUAUBUPULAU
      NIJZCGDEABHCUMASUOUSCUMAUNIUCTUNBSUSUKCUNBAIUDTUEUFUG $.

    $(
    @( Reversal of subtraction remains a member of a subspace of a Hilbert
       space. @)
    shsubrclt @p |- ( H e. SH -> ( ( A e. ~H /\ B e. ~H ) ->
                    ( ( A -h B ) e. H <-> ( B -h A ) e. H ) ) ) @=
?@.
    $)

    $( Subspace ` H ` of a Hilbert space.  (Contributed by NM, 16-Aug-1999.)
       (New usage is discouraged.) $)
    issh3 $p |- ( H C_ ~H -> ( H e. SH <-> ( 0h e. H /\
                  ( A. x e. H A. y e. H ( x +h y ) e. H /\
                    A. x e. CC A. y e. H ( x .h y ) e. H ) ) ) ) $=
      ( csh wcel chba wss c0v wa cv cva co wral csm cc issh2 anass baib syl5bb
      ) CDECFGZHCEZIAJZBJZKLCEBCMACMUBUCNLCEBCMAOMIZIZTUAUDIZABCPUETUFTUAUDQRS
      $.
  $}

  $( Closure of vector subtraction in a subspace of a Hilbert space.
     (Contributed by NM, 18-Oct-1999.)  (New usage is discouraged.) $)
  shsubcl $p |- ( ( H e. SH /\ A e. H /\ B e. H ) -> ( A -h B ) e. H ) $=
    ( csh wcel w3a cmv co c1 cneg csm cva chba wceq shss sseld anim12d hvsubval
    wa 3impib syl cc neg1cn shmulcl mp3an2 3adant2 shaddcl syld3an3 eqeltrd ) C
    DEZACEZBCEZFZABGHZAIJZBKHZLHZCUMAMEZBMEZSZUNUQNUJUKULUTUJUKURULUSUJCMACOZPU
    JCMBVAPQTABRUAUJUKULUPCEZUQCEUJULVBUKUJUOUBEULVBUCUOBCUDUEUFAUPCUGUHUI $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Closed subspaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the set of closed subspaces of a Hilbert space.  A closed subspace
     is one in which the limit of every convergent sequence in the subspace
     belongs to the subspace.  For its membership relation, see ~ isch .  From
     Definition of [Beran] p. 107.  Alternate definitions are given by ~ isch2
     and ~ isch3 .  (Contributed by NM, 17-Aug-1999.)
     (New usage is discouraged.) $)
  df-ch $a |- CH = { h e. SH | ( ~~>v " ( h ^m NN ) ) C_ h } $.

  ${
    $d h H $.
    $( Closed subspace ` H ` of a Hilbert space.  (Contributed by NM,
       17-Aug-1999.)  (Revised by Mario Carneiro, 23-Dec-2013.)
       (New usage is discouraged.) $)
    isch $p |- ( H e. CH <-> ( H e. SH /\ ( ~~>v " ( H ^m NN ) ) C_ H ) ) $=
      ( vh chli cv cn cmap co cima wss csh cch wceq oveq1 imaeq2d sseq12d df-ch
      id elrab2 ) CBDZEFGZHZSICAEFGZHZAIBAJKSALZUAUCSAUDTUBCSAEFMNUDQOBPR $.
  $}

  ${
    $d x f H $.
    $( Closed subspace ` H ` of a Hilbert space.  Definition of [Beran] p. 107.
       (Contributed by NM, 17-Aug-1999.)  (Revised by Mario Carneiro,
       23-Dec-2013.)  (New usage is discouraged.) $)
    isch2 $p |- ( H e. CH <-> ( H e. SH /\ A. f A. x ( ( f : NN --> H /\
        f ~~>v x ) -> x e. H ) ) ) $=
      ( cch wcel csh chli cn cmap co cima wss wa cv wf wi wal bitr4i bitri cvv
      wbr isch alcom wex 19.23v vex elima2 imbi1i albii dfss2 nnex elmapg mpan2
      wb anbi1d imbi1d 2albidv bitr3id pm5.32i ) CDECFEZGCHIJZKZCLZMUTHCBNZOZVD
      ANZGUAZMZVFCEZPZAQBQZMCUBUTVCVKVCVDVAEZVGMZVIPZAQBQZUTVKVOVNBQZAQZVCVNBAU
      CVQVFVBEZVIPZAQVCVPVSAVPVMBUDZVIPVSVMVIBUEVRVTVIBVFGVAAUFUGUHRUIAVBCUJRSU
      TVNVJBAUTVMVHVIUTVLVEVGUTHTEVLVEUNUKCHVDFTULUMUOUPUQURUSS $.
  $}

  $( A closed subspace is a subspace.  (Contributed by NM, 19-Oct-1999.)
     (Revised by Mario Carneiro, 23-Dec-2013.)  (New usage is discouraged.) $)
  chsh $p |- ( H e. CH -> H e. SH ) $=
    ( cch wcel csh chli cn cmap co cima wss isch simplbi ) ABCADCEAFGHIAJAKL $.

  $( Closed subspaces are subspaces in a Hilbert space.  (Contributed by NM,
     29-May-1999.)  (Revised by Mario Carneiro, 23-Dec-2013.)
     (New usage is discouraged.) $)
  chsssh $p |- CH C_ SH $=
    ( vx cch csh cv chsh ssriv ) ABCADEF $.

  $( The set of closed subspaces of a Hilbert space exists (is a set).
     (Contributed by NM, 23-Oct-1999.)  (New usage is discouraged.) $)
  chex $p |- CH e. _V $=
    ( cch csh shex chsssh ssexi ) ABCDE $.

  ${
    chshi.1 $e |- H e. CH $.
    $( A closed subspace is a subspace.  (Contributed by NM, 19-Oct-1999.)
       (New usage is discouraged.) $)
    chshii $p |- H e. SH $=
      ( cch wcel csh chsh ax-mp ) ACDAEDBAFG $.
  $}

  $( The zero vector belongs to any closed subspace of a Hilbert space.
     (Contributed by NM, 24-Aug-1999.)  (New usage is discouraged.) $)
  ch0 $p |- ( H e. CH -> 0h e. H ) $=
    ( cch wcel csh c0v chsh sh0 syl ) ABCADCEACAFAGH $.

  $( A closed subspace of a Hilbert space is a subset of Hilbert space.
     (Contributed by NM, 24-Aug-1999.)  (New usage is discouraged.) $)
  chss $p |- ( H e. CH -> H C_ ~H ) $=
    ( cch wcel csh chba wss chsh shss syl ) ABCADCAEFAGAHI $.

  $( A member of a closed subspace of a Hilbert space is a vector.
     (Contributed by NM, 15-Dec-2004.)  (New usage is discouraged.) $)
  chel $p |- ( ( H e. CH /\ A e. H ) -> A e. ~H ) $=
    ( cch wcel chba chss sselda ) BCDBEABFG $.

  ${
    chssi.1 $e |- H e. CH $.
    $( A closed subspace of a Hilbert space is a subset of Hilbert space.
       (Contributed by NM, 6-Oct-1999.)  (New usage is discouraged.) $)
    chssii $p |- H C_ ~H $=
      ( chshii shssii ) AABCD $.

    $( A member of a closed subspace of a Hilbert space is a vector.
       (Contributed by NM, 6-Oct-1999.)  (New usage is discouraged.) $)
    cheli $p |- ( A e. H -> A e. ~H ) $=
      ( chba chssii sseli ) BDABCEF $.

    ${
      cheli.1 $e |- A e. H $.
      $( A member of a closed subspace of a Hilbert space is a vector.
         (Contributed by NM, 6-Oct-1999.)  (New usage is discouraged.) $)
      chelii $p |- A e. ~H $=
        ( chba chssii sselii ) BEABCFDG $.
    $}
  $}

  ${
    $d x f F $.  $d x f H $.  $d x A $.
    chlim.1 $e |- A e. _V $.
    $( The limit property of a closed subspace of a Hilbert space.
       (Contributed by NM, 14-Sep-1999.)  (New usage is discouraged.) $)
    chlimi $p |- ( ( H e. CH /\ F : NN --> H /\ F ~~>v A ) -> A e. H ) $=
      ( vf vx cch wcel cn wf chli wbr cv wa wi wal csh cvv wceq syl simprbi fex
      isch2 nnex mpan2 adantr feq1 breq1 imbi1d albidv spcgv breq2 anbi2d eleq1
      anbi12d imbi12d spcv syl6 pm2.43b 3impib ) CGHZICBJZBAKLZACHZVAICEMZJZVEF
      MZKLZNZVGCHZOZFPZEPZVBVCNZVDOZVACQHVMFECUCUAVMVNVDVNBRHZVMVOOVBVPVCVBIRHV
      PUDICRBUBUEUFVPVMVBBVGKLZNZVJOZFPZVOVLVTEBRVEBSZVKVSFWAVIVRVJWAVFVBVHVQIC
      VEBUGVEBVGKUHUOUIUJUKVSVOFADVGASZVRVNVJVDWBVQVCVBVGABKULUMVGACUNUPUQURTUS
      TUT $.
  $}

  $( The zero sequence in Hilbert space converges to the zero vector.
     (Contributed by NM, 17-Aug-1999.)  (Proof shortened by Mario Carneiro,
     14-May-2014.)  (New usage is discouraged.) $)
  hlim0 $p |- ( NN X. { 0h } ) ~~>v 0h $=
    ( cn c0v csn cxp chli wbr chba cmap co wcel cva csm cop cims cmopn ax-hv0cl
    cno cfv c1 eqid wf fconst6 ax-hilex nnex elmap mpbir ctopon cz cxmet hhxmet
    mopntopon ax-mp 1z nnuz lmconst mp3an cres wa hhlm breqi elexi brresi bitri
    clm mpbir2an ) ABCDZBEFZVFGAHIZJZVFBKLMQMZNRZORZVDRZFZVIAGVFUAABGPUBGAVFUCU
    DUEUFVLGUGRJZBGJSUHJVNVKGUIRJVOVKVJVJTZVKTZUJVKVLGVLTZUKULPUMBVLSGAUNUOUPVG
    VFBVMVHUQZFVIVNURVFBEVSVKVJVLVPVQVRUSUTVHVFBVMBGPVAVBVCVE $.

  $( If a sequence in Hilbert space subset converges to a limit, it is a Cauchy
     sequence.  (Contributed by NM, 17-Aug-1999.)  (Proof shortened by Mario
     Carneiro, 14-May-2014.)  (New usage is discouraged.) $)
  hlimcaui $p |- ( F ~~>v A -> F e. Cauchy ) $=
    ( chli wbr cdm ccauold cva csm cop cno cims cfv ccau chba cin eqsstri ax-mp
    wss eqid wrel cn cmap co cmopn cres hhlm resss dmss cxmet wcel hhxmet lmcau
    clm sstri dmeqi dmres eqtri inss1 ssini hhcau sseqtrri relres releqi sselid
    mpbir releldmi ) BACDCEZFBVGGHIJIZKLZMLZNUAUBUCZOFVGVJVKVGVIUDLZUMLZEZVJCVM
    RVGVNRCVMVKUEZVMVIVHVLVHSZVISZVLSZUFZVMVKUGPCVMUHQVINUILUJVNVJRVIVHVPVQUKVI
    VLNVRULQUNVGVKVNOZVKVGVOEVTCVOVSUOVMVKUPUQVKVNURPUSVIVHVPVQUTVABACCTVOTVMVK
    VBCVOVSVCVEVFVD $.

  $( Function-like behavior of the convergence relation.  (Contributed by Mario
     Carneiro, 14-May-2014.)  (New usage is discouraged.) $)
  hlimf $p |- ~~>v : dom ~~>v --> ~H $=
    ( vx chli cdm chba wf wfn cfv wcel wral wfun cva csm cop cno cims cmopn clm
    cv eqid ax-mp cn cmap co cres cxmet hhxmet methaus lmfun mp2b funres funeqi
    cha hhlm mpbir funfn mpbi wbr wb funfvbrb fvex hlimveci sylbi rgen mpbir2an
    ffnfv ) BCZDBEBVFFZARZBGZDHZAVFIBJZVGVKKLMNMZOGZPGZQGZDUAUBUCZUDZJZVOJZVRVM
    DUEGHVNULHVSVMVLVLSZVMSZUFVMVNDVNSZUGVNUHUIVPVOUJTBVQVMVLVNVTWAWBUMUKUNZBUO
    UPVJAVFVHVFHZVHVIBUQZVJVKWDWEURWCVHBUSTVIVHVHBUTVAVBVCAVFDBVEVD $.

  $( A Hilbert space sequence converges to at most one limit.  (Contributed by
     NM, 19-Aug-1999.)  (Revised by Mario Carneiro, 2-May-2015.)
     (New usage is discouraged.) $)
  hlimuni $p |- ( ( F ~~>v A /\ F ~~>v B ) -> A = B ) $=
    ( chli wbr cfv cdm chba wf wfun wceq wi hlimf ffun funbrfv mp2b sylan9req )
    CADEZCBDEZACDFZBDGZHDIZDJZRTAKLMUAHDNZCADOPUBUCSTBKLMUDCBDOPQ $.

  ${
    $d x y F $.  $d x y H $.
    $( The limit of a Hilbert space sequence is unique.  (Contributed by NM,
       19-Aug-1999.)  (Revised by Mario Carneiro, 14-May-2014.)
       (New usage is discouraged.) $)
    hlimreui $p |- ( E. x e. H F ~~>v x <-> E! x e. H F ~~>v x ) $=
      ( vy cv chli wbr wrex wa wi wral wreu hlimuni rgen2w biantru breq2 bitr4i
      weq reu4 ) BAEZFGZACHZUBUABDEZFGZIADRJZDCKACKZIUAACLUFUBUEADCCTUCBMNOUAUD
      ADCTUCBFPSQ $.

    $( The limit of a Hilbert space sequence is unique.  (Contributed by NM,
       19-Aug-1999.)  (Proof shortened by Mario Carneiro, 14-May-2014.)
       (New usage is discouraged.) $)
    hlimeui $p |- ( E. x F ~~>v x <-> E! x F ~~>v x ) $=
      ( cv chli wbr cvv wrex wreu wex weu hlimreui rexv reuv 3bitr3i ) BACDEZAF
      GOAFHOAIOAJABFKOALOAMN $.
  $}

  ${
    $d x f H $.
    $( A Hilbert subspace is closed iff it is complete.  A complete subspace is
       one in which every Cauchy sequence of vectors in the subspace converges
       to a member of the subspace (Definition of complete subspace in [Beran]
       p. 96).  Remark 3.12 of [Beran] p. 107.  (Contributed by NM,
       24-Dec-2001.)  (Revised by Mario Carneiro, 14-May-2014.)
       (New usage is discouraged.) $)
    isch3 $p |- ( H e. CH <-> ( H e. SH /\ A. f e. Cauchy
                  ( f : NN --> H -> E. x e. H f ~~>v x ) ) ) $=
      ( cch wcel csh cn cv wa wi wal wrex ccauold wex chba rexex syl nfv nfim
      ex wf chli wbr wral isch2 ax-hcompl 19.29 sylan2 id imp simprr jca eximdv
      an12s com12 df-rex syl6ibr nfre1 bi2.04 hlimcaui imim1i weu hlimeui sylib
      exancom sylbb eupick syl2anc syli imim2i sylbi alrimi impbii albii df-ral
      impd bitr4i anbi2i bitri ) CDECFEZGCBHZUAZWAAHZUBUCZIZWCCEZJZAKZBKZIVTWBW
      DACLZJZBMUDZIABCUEWIWLVTWIWAMEZWKJZBKWLWHWNBWHWNWHWMWKWHWMIWGWDIZANZWKWMW
      HWDANZWPWMWDAOLWQAWAUFWDAOPQWGWDAUGUHWPWBWFWDIZANZWJWBWPWSWBWOWRAWBWOWRWB
      WOIWFWDWGWBWDWFWGWEWFWGUIUJUNWBWGWDUKULTUMUOWDACUPZUQQTWNWGAWMWKAWMARWBWJ
      AWBARWDACURSSWNWBWDWFWNWBWMWJJZJWBWDWFJZJWMWBWJUSXAXBWBWDXAWJWFWDWMWJWCWA
      UTVAWJWDAVBZWDWFIANZXBWJWQXCWDACPAWAVCVDWJWSXDWTWFWDAVEVFWDWFAVGVHVIVJVKV
      PVLVMVNWKBMVOVQVRVS $.
  $}

  ${
    $d x f H $.  $d x f F $.
    $( Completeness of a closed subspace of Hilbert space.  (Contributed by NM,
       4-Oct-1999.)  (New usage is discouraged.) $)
    chcompl $p |- ( ( H e. CH /\ F e. Cauchy /\ F : NN --> H ) ->
                      E. x e. H F ~~>v x ) $=
      ( vf cch wcel ccauold cn wf cv chli wbr wrex wral isch3 simprbi wceq feq1
      wi csh breq1 rexbidv imbi12d rspccv syl 3imp ) CEFZBGFZHCBIZBAJZKLZACMZUG
      HCDJZIZUMUJKLZACMZSZDGNZUHUIULSZSUGCTFURADCOPUQUSDBGUMBQZUNUIUPULHCUMBRUT
      UOUKACUMBUJKUAUBUCUDUEUF $.
  $}

  ${
    $d x y f $.
    $( The unit Hilbert lattice element (which is all of Hilbert space) belongs
       to the Hilbert lattice.  Part of Proposition 1 of [Kalmbach] p. 65.
       (Contributed by NM, 6-Sep-1999.)  (New usage is discouraged.) $)
    helch $p |- ~H e. CH $=
      ( vf vx vy chba cch wcel csh cn cv wf chli wbr wa co wral cc pm3.2i rgen2
      wal mpbir2an wss c0v cva csm ssid ax-hv0cl hvaddcl hvmulcl issh2 hlimveci
      wi vex adantl gen2 isch2 ) DEFDGFZHDAIZJZUQBIZKLZMUSDFZUKZBSASUPDDUAZUBDF
      ZMUSCIZUCNDFZCDOBDOZUSVEUDNDFZCDOBPOZMVCVDDUEUFQVGVIVFBCDDUSVEUGRVHBCPDUS
      VEUHRQBCDUITVBABUTVAURUSUQBULUJUMUNBADUOT $.
  $}

  $( Prove ` if ( A e. CH , A , ~H ) e. CH ` .  (Contributed by David A.
     Wheeler, 8-Dec-2018.)  (New usage is discouraged.) $)
  ifchhv $p |- if ( A e. CH , A , ~H ) e. CH $=
    ( chba cch helch elimel ) ABCDE $.

  $( Hilbert space is a subspace of Hilbert space.  (Contributed by NM,
     2-Jun-2004.)  (New usage is discouraged.) $)
  helsh $p |- ~H e. SH $=
    ( chba helch chshii ) ABC $.

  $( Subspaces are subsets of Hilbert space.  (Contributed by NM, 24-Nov-2004.)
     (New usage is discouraged.) $)
  shsspwh $p |- SH C_ ~P ~H $=
    ( vx csh cuni cpw chba pwuni wcel cv wss wral wceq helsh shss ssunieq mp2an
    rgen pweqi sseqtrri ) BBCZDEDBFESEBGAHZEIZABJESKLUAABTMPAEBNOQR $.

  $( Closed subspaces are subsets of Hilbert space.  (Contributed by NM,
     24-Nov-2004.)  (New usage is discouraged.) $)
  chsspwh $p |- CH C_ ~P ~H $=
    ( cch csh chba cpw chsssh shsspwh sstri ) ABCDEFG $.

  ${
    $d x y f $.
    $( The zero subspace belongs to the set of closed subspaces of Hilbert
       space.  (Contributed by NM, 14-Oct-1999.)
       (New usage is discouraged.) $)
    hsn0elch $p |- { 0h } e. CH $=
      ( vf vx vy c0v wcel cn cv chli wbr wa wal chba cva co csm ax-hv0cl pm3.2i
      wral cc wceq csn cch csh wf wi wss snssi ax-mp elexi snid velsn hvaddid2i
      oveq12 eqtrdi ovex elsn sylibr syl2anb rgen2 oveq2 hvmul0 sylan9eqr issh2
      sylan2b mpbir2an wb fconst2 hlim0 breq1 mpbiri sylbi hlimuni eleq1d sylan
      cxp mpbii gen2 isch2 ) DUAZUBEVSUCEZFVSAGZUDZWABGZHIZJZWCVSEZUEZBKAKVTVSL
      UFZDVSEZJWCCGZMNZVSEZCVSRBVSRZWCWJONZVSEZCVSRBSRZJWHWIDLEWHPDLUGUHDDLPUIZ
      UJZQWMWPWLBCVSVSWFWCDTZWJDTZWLWJVSEZBDUKCDUKZWSWTJZWKDTWLXCWKDDMNDWCDWJDM
      UMDPULUNWKDWCWJMUOUPUQURUSWOBCSVSXAWCSEZWTWOXBXDWTJWNDTWOWTXDWNWCDONDWJDW
      COUTWCVAVBWNDWCWJOUOUPUQVDUSQBCVSVCVEWGABWEWIWFWRWBWADHIZWDWIWFVFWBWAFVSV
      OZTZXEFDWAWQVGXGXEXFDHIVHWAXFDHVIVJVKXEWDJDWCVSDWCWAVLVMVNVPVQBAVSVRVE $.
  $}

  $( From any nonzero Hilbert space vector, construct a vector whose norm is 1.
     (Contributed by NM, 7-Feb-2006.)  (New usage is discouraged.) $)
  norm1 $p |- ( ( A e. ~H /\ A =/= 0h ) ->
               ( normh ` ( ( 1 / ( normh ` A ) ) .h A ) ) = 1 ) $=
    ( chba wcel c0v wne wa c1 cno cfv cdiv co cmul cc cr adantr cc0 syl2anc wbr
    recnd cle csm cabs wceq normne0 biimpar rereccld simpl norm-iii clt normgt0
    normcl biimpa 1re 0le1 divge0 mpanl12 absidd oveq1d recid2d 3eqtrd ) ABCZAD
    EZFZGAHIZJKZAUAKHIZVEUBIZVDLKZVEVDLKGVCVEMCVAVFVHUCVCVEVCVDVAVDNCZVBAUKZOZV
    AVDPEVBAUDUEZUFZSVAVBUGVEAUHQVCVGVEVDLVCVEVMVCVIPVDUIRZPVETRZVKVAVBVNAUJULG
    NCPGTRVIVNFVOUMUNGVDUOUPQUQURVCVDVAVDMCVBVAVDVJSOVLUSUT $.

  ${
    $d x z H $.  $d y z H $.
    norm1ex.1 $e |- H e. SH $.
    $( A normalized vector exists in a subspace iff the subspace has a nonzero
       vector.  (Contributed by NM, 9-Apr-2006.)
       (New usage is discouraged.) $)
    norm1exi $p |- ( E. x e. H x =/= 0h <-> E. y e. H ( normh ` y ) = 1 ) $=
      ( vz cv c0v wne wrex cno cfv c1 wceq neeq1 cbvrexvw wcel co chba syl cc0
      wa cdiv cc cr sheli normcl adantr wb normne0 biimpar rereccld recnd simpl
      csm csh shmulcl mp3an1 syl2anc norm1 sylan fveqeq2 rexlimiva ax-1ne0 neii
      rspcev eqeq1 mtbiri norm-i necon3bbid syl5ib reximia sylib impbii bitri
      wn ) AFZGHZACIEFZGHZECIZBFZJKZLMZBCIZVQVSAECVPVRGNOVTWDVSWDECVRCPZVSUAZLV
      RJKZUBQZVRUNQZCPZWIJKLMZWDWFWHUCPZWEWJWFWHWFWGWEWGUDPZVSWEVRRPZWMVRCDUEZV
      RUFSUGWEWGTHZVSWEWNWPVSUHWOVRUISUJUKULWEVSUMCUOPWLWEWJDWHVRCUPUQURWEWNVSW
      KWOVRUSUTWCWKBWICWAWILJVAVEURVBWDWAGHZBCIVTWCWQBCWCWBTMZVOWACPZWQWCWRLTML
      TVCVDWBLTVFVGWSWRWAGWSWARPWRWAGMUHWACDUEWAVHSVIVJVKWQVSBECWAVRGNOVLVMVN
      $.
  $}

  $( A normalized vector can exist only iff the Hilbert space has a nonzero
     vector.  (Contributed by NM, 21-Jan-2006.)  (New usage is discouraged.) $)
  norm1hex $p |- ( E. x e. ~H x =/= 0h <-> E. y e. ~H ( normh ` y ) = 1 ) $=
    ( chba helsh norm1exi ) ABCDE $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Orthocomplements
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( Define orthogonal complement of a subset (usually a subspace) of Hilbert
       space.  The orthogonal complement is the set of all vectors orthogonal
       to all vectors in the subset.  See ~ ocval and ~ chocvali for its value.
       Textbooks usually denote this unary operation with the symbol ` _|_ ` as
       a small superscript, although Mittelstaedt uses the symbol as a prefix
       operation.  Here we define a function (prefix operation) ` _|_ ` rather
       than introducing a new syntactic form.  This lets us take advantage of
       the theorems about functions that we already have proved under set
       theory.  Definition of [Mittelstaedt] p. 9.  (Contributed by NM,
       7-Aug-2000.)  (New usage is discouraged.) $)
    df-oc $a |- _|_ = ( x e. ~P ~H |->
                        { y e. ~H | A. z e. x ( y .ih z ) = 0 } ) $.
  $}

  $( Define the zero for closed subspaces of Hilbert space.  See ~ h0elch for
     closure law.  (Contributed by NM, 30-May-1999.)
     (New usage is discouraged.) $)
  df-ch0 $a |- 0H = { 0h } $.

  $( Membership in zero for closed subspaces of Hilbert space.  (Contributed by
     NM, 6-Apr-2001.)  (New usage is discouraged.) $)
  elch0 $p |- ( A e. 0H <-> A = 0h ) $=
    ( c0h wcel c0v csn wceq df-ch0 eleq2i chba ax-hv0cl elexi elsn2 bitri ) ABC
    ADEZCADFBNAGHADDIJKLM $.

  $( The zero subspace is a closed subspace.  Part of Proposition 1 of
     [Kalmbach] p. 65.  (Contributed by NM, 30-May-1999.)
     (New usage is discouraged.) $)
  h0elch $p |- 0H e. CH $=
    ( c0h c0v csn cch df-ch0 hsn0elch eqeltri ) ABCDEFG $.

  $( The zero subspace is a subspace of Hilbert space.  (Contributed by NM,
     2-Jun-2004.)  (New usage is discouraged.) $)
  h0elsh $p |- 0H e. SH $=
    ( c0h h0elch chshii ) ABC $.

  ${
    hhss.1 $e |- W = <. <. ( +h |` ( H X. H ) ) , ( .h |` ( CC X. H ) ) >. ,
               ( normh |` H ) >. $.
    $( The vector addition operation on a subspace.  (Contributed by NM,
       8-Apr-2008.)  (New usage is discouraged.) $)
    hhssva $p |- ( +h |` ( H X. H ) ) = ( +v ` W ) $=
      ( cpv cfv c1st cva cxp cres csm cop cno fveq2i chba cvv resex op1st cablo
      cr wcel cc eqid vafval opex normf ax-hilex fex mp2an eqtri hilablo resexg
      wf ax-mp hvmulex 3eqtrri ) BDEZBFEZFEGAAHZIZJUAAHZIZKZFEUSBUPUPUBUCUQVBFU
      QVBLAIZKZFEVBBVDFCMVBVCUSVAUDLANSLULNOTLOTUEUFNSOLUGUHPQUIMUSVAGRTUSOTUJG
      URRUKUMJUTUNPQUO $.

    $( The scalar multiplication operation on a subspace.  (Contributed by NM,
       8-Apr-2008.)  (New usage is discouraged.) $)
    hhsssm $p |- ( .h |` ( CC X. H ) ) = ( .sOLD ` W ) $=
      ( cns cfv c1st c2nd cva cxp cres csm cop cno fveq2i chba wcel resex cablo
      cr cvv cc eqid smfval opex wf normf ax-hilex fex mp2an op1st eqtri resexg
      hilablo ax-mp hvmulex op2nd 3eqtrri ) BDEZBFEZGEHAAIZJZKUAAIZJZLZGEVCURBU
      RUBUCUSVDGUSVDMAJZLZFEVDBVFFCNVDVEVAVCUDMAOSMUEOTPMTPUFUGOSTMUHUIQUJUKNVA
      VCHRPVATPUMHUTRULUNKVBUOQUPUQ $.

    $( The norm operation on a subspace.  (Contributed by NM, 8-Apr-2008.)
       (New usage is discouraged.) $)
    hhssnm $p |- ( normh |` H ) = ( normCV ` W ) $=
      ( cnmcv cfv c2nd cva cxp cres csm cc cop cno eqid nmcvfval fveq2i chba cr
      cvv wcel opex wf normf ax-hilex fex mp2an resex op2nd 3eqtrri ) BDEZBFEGA
      AHIZJKAHIZLZMAIZLZFEUNBUJUJNOBUOFCPUMUNUKULUAMAQRMUBQSTMSTUCUDQRSMUEUFUGU
      HUI $.
  $}

  ${
    $d A x y $.  $d B y $.  $d G x y $.  $d H x y $.  $d Y x y $.
    issubgoilem.1 $e |- ( ( x e. Y /\ y e. Y ) -> ( x H y ) = ( x G y ) ) $.
    $( Lemma for ~ hhssabloilem .  (Contributed by Paul Chapman, 25-Feb-2008.)
       (New usage is discouraged.) $)
    issubgoilem $p |- ( ( A e. Y /\ B e. Y ) -> ( A H B ) = ( A G B ) ) $=
      ( cv co wceq oveq1 eqeq12d oveq2 vtocl2ga ) AIZBIZFJZPQEJZKCQFJZCQEJZKCDF
      JZCDEJZKABCDGGPCKRTSUAPCQFLPCQELMQDKTUBUAUCQDCFNQDCENMHO $.
  $}

  ${
    $d x y H $.  $d x y z H $.
    hhssabl.1 $e |- H e. SH $.
    $( Lemma for ~ hhssabloi .  Formerly part of proof for ~ hhssabloi which
       was based on the deprecated definition "SubGrpOp" for subgroups.
       (Contributed by NM, 9-Apr-2008.)  (Revised by Mario Carneiro,
       23-Dec-2013.)  (Revised by AV, 27-Aug-2021.)
       (New usage is discouraged.) $)
    hhssabloilem $p |- ( +h e. GrpOp /\ ( +h |` ( H X. H ) ) e. GrpOp
                                     /\ ( +h |` ( H X. H ) ) C_ +h ) $=
      ( vx vy cva wcel cxp wss ax-mp cfv cv wf eqid chba mp2an ovres wceq sseli
      co csm cgr cres cablo hilablo ablogrpo cgi cgn csh elexi wfn wral crn wfo
      vz grpofo fof mp2b shssii cop cno df-hba bafval sseqtri xpss12 fssres ffn
      hhva wa shaddcl mp3an1 eqeltrd rgen2 ffnov mpbir2an oveq1d 3adant3 stoic3
      w3a oveq2d 3adant1 fovcl sylan2 3impb grpoass mpan syl3an 3eqtr4d c0v sh0
      hilid eqeltri grpolid sylancr eqtrd c2nd cneg csn cvv ccnv ccom hhnv hhsm
      c1 cnv nvinvfval eqcomi fveq1i ax-hfvmul neg1cn curry1val shmulcl mp3an12
      cc eqeltrid mpancom grpolinv isgrpoi resss 3pm3.2i ) EUAFZEAAGZUBZUAFYBEH
      EUCFXTUDEUEIZCDUNEUFJZYBCKZEUGJZJZAAUHBUIYAAYBLYBYAUJZYEDKZYBSZAFZDAUKCAU
      KYAEULZYBLZYHYLYLGZYLELZYAYNHZYMXTYNYLEUMYOYCEYLYLMZUOYNYLEUPUQAYLHZYRYPA
      NYLABURETUSUTUSZENVAYSYSMZVGZVBVCZUUBAYLAYLVDOYNYLYAEVEOYAYLYBVFIYKCDAAYE
      AFZYIAFZVHZYJYEYIESZAYEYIAAEPZAUHFZUUCUUDUUFAFBYEYIAVIVJVKZVLCDAAAYBVMVNZ
      UUCUUDUNKZAFZVRZYJUUKESZUUFUUKESZYJUUKYBSZYEYIUUKYBSZYBSZUUCUUDUUNUUOQUUL
      UUEYJUUFUUKEUUGVOVPUUCUUDYKUULUUPUUNQUUIYJUUKAAEPVQUUMYEUUQESZYEYIUUKESZE
      SZUURUUOUUDUULUUSUVAQUUCUUDUULVHZUUQUUTYEEYIUUKAAEPVSVTUUCUUDUULUURUUSQZU
      VBUUCUUQAFUVCYIUUKAAAYBUUJWAYEUUQAAEPWBWCUUCYEYLFZUUDYIYLFZUULUUKYLFZUUOU
      VAQZAYLYEUUBRZAYLYIUUBRAYLUUKUUBRXTUVDUVEUVFVRUVGYCYEYIUUKEYLYQWDWEWFWGWG
      YDWHAWJUUHWHAFBAWIIWKZUUCYDYEYBSZYDYEESZYEYDAFUUCUVJUVKQUVIYDYEAAEPWEUUCX
      TUVDUVKYEQYCUVHYEYDEYLYQYDMZWLWMWNUUCYGYETWOXCWPZWQWRGUBWSWTZJZAYEYFUVNUV
      NYFYSXDFUVNYFQYSYTXATYSEUVNUUAYSYTXBUVNMZXEIXFXGUUCUVOUVMYETSZATXMNGZUJZU
      VMXMFZUVOUVQQUVRNTLUVSXHUVRNTVFIXIXMNUVMYETUVNUVPXJOUUHUVTUUCUVQAFBXIUVMY
      EAXKXLXNXNZUUCYGYEYBSZYGYEESZYDYGAFUUCUWBUWCQUWAYGYEAAEPXOUUCXTUVDUWCYDQY
      CUVHYEYDEYFYLYQUVLYFMXPWMWNXQEYAXRXS $.

    $( Abelian group property of subspace addition.  (Contributed by NM,
       9-Apr-2008.)  (Revised by Mario Carneiro, 23-Dec-2013.)  (Proof
       shortened by AV, 27-Aug-2021.)  (New usage is discouraged.) $)
    hhssabloi $p |- ( +h |` ( H X. H ) ) e. AbelOp $=
      ( vx vy cva cxp cres cgr wcel wss hhssabloilem simp2i wceq chba shssii cv
      cdm co sheli ovres mp2an ax-hfvadd fdmi sseqtrri ssdmres mpbi wa ax-hvcom
      xpss12 syl2an ancoms 3eqtr4d isabloi ) CDEAAFZGZAEHIUOHIUOEJABKLUNEQZJUOQ
      UNMUNNNFZUPANJZURUNUQJABOZUSANANUIUAUQNEUBUCUDUNEUEUFCPZAIZDPZAIZUGUTVBER
      ZVBUTERZUTVBUORVBUTUORZVAUTNIVBNIVDVEMVCUTABSVBABSUTVBUHUJUTVBAAETVCVAVFV
      EMVBUTAAETUKULUM $.
  $}

  $( Abelian group property of subspace addition.  (Contributed by NM,
     9-Apr-2008.)  (New usage is discouraged.) $)
  hhssablo $p |- ( H e. SH -> ( +h |` ( H X. H ) ) e. AbelOp ) $=
    ( csh wcel cva cxp cres cablo chba cif wceq xpeq1 xpeq2 eqtrd reseq2d helsh
    eleq1d elimel hhssabloi dedth ) ABCZDAAEZFZGCDTAHIZUCEZFZGCAHAUCJZUBUEGUFUA
    UDDUFUAUCAEUDAUCAKAUCUCLMNPUCAHBOQRS $.

  ${
    $d x y z H $.
    hhssnvt.1 $e |- W = <. <. ( +h |` ( H X. H ) ) , ( .h |` ( CC X. H ) ) >. ,
               ( normh |` H ) >. $.
    ${
      hhssnv.2 $e |- H e. SH $.
      $( Normed complex vector space property of a subspace.  (Contributed by
         NM, 26-Mar-2008.)  (New usage is discouraged.) $)
      hhssnv $p |- W e. NrmCVec $=
        ( vx vy csm cc cva cno c0v wcel wss wceq chba mp2an cfv co ovres eqtrd
        cxp cres cablo cgr hhssabloi ablogrpo ax-mp cdm shssii xpss12 ax-hfvadd
        vz fdmi sseqtrri ssdmres grporn cgi csh sh0 ax-hv0cl hvaddid2i eqtri wb
        mpbi eqid grpoid mpbir cop wf wfn crn ax-hfvmul ffn ssid fnssres ovelrn
        cv wrex wa shmulcl mp3an1 eqeltrd eleq1 syl5ibrcom rexlimivv sylbi df-f
        ssriv mpbir2an c1 ax-1cn sheli ax-hvmulid syl w3a id ax-hvdistr1 syl3an
        mpan 3adant1 oveq2d shaddcl sylan2 3impb 3adant3 3adant2 oveq12d ovresd
        3eqtr4d caddc ax-hvdistr2 syl3an3 addcl cmul ax-hvmulass mulcl isvciOLD
        stoic3 cr normf fssres cc0 fvres eqeq1d norm-i bitrd biimpa cabs fveq2d
        norm-iii adantl cle wbr norm-ii syl2an oveqan12d 3brtr4d isnvi ) EFGHAU
        AZUBZBIAAUAZUBZJAUBZAKUUBAUUBUCLUUBUDLZADUEZUUBUFUGZUUAIUHZMUUBUHUUANUU
        AOOUAZUUGAOMZUUIUUAUUHMADUIZUUJAOAOUJPUUHOIUKUMUNUUAIUOVDZUPZKUUBUQQZNZ
        KKUUBRZKNZUUOKKIRZKKALZUURUUOUUQNAURLZUURDAUSUGZUUTKKAAISPKUTVAVBUUDUUR
        UUNUUPVCUUFUUTKUUMUUBAUULUUMVEVFPVGEFULYTUUBUUBYTVHZAUUEUUKYSAYTVIYTYSV
        JZYTVKZAMGHOUAZVJZYSUVDMZUVBUVDOGVIUVEVLUVDOGVMUGHHMUUIUVFHVNUUJHHAOUJP
        UVDYSGVOPZULUVCAULVQZUVCLZUVHEVQZFVQZYTRZNZFAVREHVRZUVHALZUVBUVIUVNVCUV
        GEFHAUVHYTVPUGUVMUVOEFHAUVJHLZUVKALZVSZUVOUVMUVLALUVRUVLUVJUVKGRZAUVJUV
        KHAGSUUSUVPUVQUVSALDUVJUVKAVTWAWBUVHUVLAWCWDWEWFWHYSAYTWGWIUVJALZWJUVJY
        TRZWJUVJGRZUVJWJHLUVTUWAUWBNWKWJUVJHAGSWSUVTUVJOLZUWBUVJNUVJADWLZUVJWMW
        NTUVKHLZUVTUVOWOZUVKUVJUVHIRZGRZUVKUVJGRZUVKUVHGRZIRZUVKUVJUVHUUBRZYTRZ
        UVKUVJYTRZUVKUVHYTRZUUBRZUWEUWEUVTUWCUVOUVHOLUWHUWKNUWEWPUWDUVHADWLUVKU
        VJUVHWQWRUWFUWMUVKUWGYTRZUWHUWFUWLUWGUVKYTUVTUVOUWLUWGNUWEUVJUVHAAISWTX
        AUWEUVTUVOUWQUWHNZUVTUVOVSUWEUWGALZUWRUUSUVTUVOUWSDUVJUVHAXBWAUVKUWGHAG
        SXCXDTUWFUWPUWIUWJUUBRUWKUWFUWNUWIUWOUWJUUBUWEUVTUWNUWINZUVOUVKUVJHAGSZ
        XEUWEUVOUWOUWJNUVTUVKUVHHAGSXFXGUWFUWIUWJIAUWEUVTUWIALZUVOUUSUWEUVTUXBD
        UVKUVJAVTWAZXEUWEUVOUWJALZUVTUUSUWEUVOUXDDUVKUVHAVTWAXFXHTXIUWEUVHHLZUV
        TWOZUVKUVHXJRZUVJGRZUWIUVHUVJGRZIRZUXGUVJYTRZUWNUVHUVJYTRZUUBRZUVTUWEUX
        EUWCUXHUXJNUWDUVKUVHUVJXKXLUWEUXEUXGHLUVTUXKUXHNUVKUVHXMUXGUVJHAGSXRUXF
        UXMUWIUXIUUBRUXJUXFUWNUWIUXLUXIUUBUWEUVTUWTUXEUXAXFUXEUVTUXLUXINUWEUVHU
        VJHAGSWTZXGUXFUWIUXIIAUWEUVTUXBUXEUXCXFUXEUVTUXIALZUWEUUSUXEUVTUXODUVHU
        VJAVTWAZWTXHTXIUXFUVKUVHXNRZUVJGRZUVKUXIGRZUXQUVJYTRZUVKUXLYTRZUVTUWEUX
        EUWCUXRUXSNUWDUVKUVHUVJXOXLUWEUXEUXQHLUVTUXTUXRNUVKUVHXPUXQUVJHAGSXRUXF
        UYAUVKUXIYTRZUXSUXFUXLUXIUVKYTUXNXAUWEUXEUVTUYBUXSNZUXEUVTVSUWEUXOUYCUX
        PUVKUXIHAGSXCXDTXIUVAVEXQOXSJVIUUIAXSUUCVIXTUUJOXSAJYAPUVTUVJUUCQZYBNZU
        VJKNZUVTUYEUVJJQZYBNZUYFUVTUYDUYGYBUVJAJYCZYDUVTUWCUYHUYFVCUWDUVJYEWNYF
        YGUWEUVTVSZUWIJQZUVKYHQZUYGXNRZUWNUUCQZUYLUYDXNRUVTUWEUWCUYKUYMNUWDUVKU
        VJYJXCUYJUYNUWIUUCQZUYKUYJUWNUWIUUCUXAYIUYJUXBUYOUYKNUXCUWIAJYCWNTUYJUY
        DUYGUYLXNUVTUYDUYGNUWEUYIYKXAXIUVTUVQVSZUVJUVKIRZJQZUYGUVKJQZXJRZUVJUVK
        UUBRZUUCQZUYDUVKUUCQZXJRYLUVTUWCUVKOLUYRUYTYLYMUVQUWDUVKADWLUVJUVKYNYOU
        YPVUBUYQUUCQZUYRUYPVUAUYQUUCUVJUVKAAISYIUYPUYQALZVUDUYRNUUSUVTUVQVUEDUV
        JUVKAXBWAUYQAJYCWNTUVTUVQUYDUYGVUCUYSXJUYIUVKAJYCYPYQCYR $.
    $}

    $( Normed complex vector space property of a subspace.  (Contributed by NM,
       9-Apr-2008.)  (New usage is discouraged.) $)
    hhssnvt $p |- ( H e. SH -> W e. NrmCVec ) $=
      ( csh wcel cnv cva c0h cif cxp cres csm cc cop wceq xpeq1 reseq2d opeq12d
      cno xpeq2 eqtrd reseq2 syl5eq eleq1d eqid h0elsh elimel hhssnv dedth ) AD
      EZBFEGUJAHIZUKJZKZLMUKJZKZNZSUKKZNZFEAHAUKOZBURFUSBGAAJZKZLMAJZKZNZSAKZNU
      RCUSVDUPVEUQUSVAUMVCUOUSUTULGUSUTUKAJULAUKAPAUKUKTUAQUSVBUNLAUKMTQRAUKSUB
      RUCUDUKURURUEAHDUFUGUHUI $.
  $}

  ${
    $d x y H $.
    hhsst.1 $e |- U = <. <. +h , .h >. , normh >. $.
    hhsst.2 $e |- W = <. <. ( +h |` ( H X. H ) ) , ( .h |` ( CC X. H ) ) >. ,
               ( normh |` H ) >. $.
    $( A member of ` SH ` is a subspace.  (Contributed by NM, 6-Apr-2008.)
       (New usage is discouraged.) $)
    hhsst $p |- ( H e. SH -> W e. ( SubSp ` U ) ) $=
      ( csh wcel cnv cva cxp cres wss csm cc cno w3a wa css cfv resss hhnv hhva
      hhssnvt 3pm3.2i jctir wb hhssva hhsm hhsssm hhnm hhssnm eqid isssp sylibr
      ax-mp ) BFGZCHGZIBBJZKZILZMNBJZKZMLZOBKZOLZPZQZCARSZGZUPUQVFBCEUCUTVCVEIU
      RTMVATOBTUDUEAHGVIVGUFADUAVBMAUSIVHVDOCADUBBCEUGADUHBCEUIADUJBCEUKVHULUMU
      OUN $.

    ${
      hhssp3.3 $e |- W e. ( SubSp ` U ) $.
      hhssp3.4 $e |- H C_ ~H $.
      $( Lemma for ~ hhsssh .  (Contributed by NM, 10-Apr-2008.)
         (New usage is discouraged.) $)
      hhshsslem1 $p |- H = ( BaseSet ` W ) $=
        ( cfv cpv eqid cdm wcel mp2an cxp cva cno c1st chba cvv eqtri wceq hhnv
        cba crn bafval cnv cgr css sspnv nvgrp grporndm mp2b cres csm cc fveq2i
        cop vafval opex cr wf normf ax-hilex fex resex op1st cablo resexg ax-mp
        hilablo hvmulex dmeqi wss xpss12 ax-hfvadd fdmi sseqtrri ssdmres dmxpid
        mpbi eqcomi ) CUCHZBWBCIHZUDZBCWCWBWBJWCJZUEWDWCKZKZBCUFLZWCUGLWDWGUAAU
        FLCAUHHZLWHADUBFAWICWIJUIMCWCWEUJWCUKULWGBBNZKBWFWJWFOWJUMZKZWJWCWKWCWK
        UNUOBNZUMZUQZPBUMZUQZIHZWKCWQIEUPWRWQQHZQHZWKWQWRWRJURWTWOQHWKWSWOQWOWP
        WKWNUSPBRUTPVARSLPSLVBVCRUTSPVDMVEVFUPWKWNOVGLWKSLVJOWJVGVHVIUNWMVKVEVF
        TTTVLWJOKZVMWLWJUAWJRRNZXABRVMZXCWJXBVMGGBRBRVNMXBROVOVPVQWJOVRVTTVLBVS
        TTTWA $.

      $( Lemma for ~ hhsssh .  (Contributed by NM, 6-Apr-2008.)
         (New usage is discouraged.) $)
      hhshsslem2 $p |- H e. SH $=
        ( vx vy wcel c0v wa cv cva co wral cc cfv wceq eqid csh wss csm cnv css
        chba cn0v hhnv hh0v sspz mp2an sspnv nvzcl hhshsslem1 eleqtrri eqeltrri
        cba ax-mp pm3.2i cpv hhva sspgval mpanl12 nvgcl eqeltrrd rgen2 cns hhsm
        mp3an1 sspsval nvscl issh2 mpbir2an ) BUAJBUFUBZKBJZLHMZIMZNOZBJZIBPHBP
        ZVPVQUCOZBJZIBPHQPZLVNVOGCUGRZKBAUDJZCAUERZJZWDKSADUHZFWDAWFCKADUIWDTZW
        FTZUJUKWDCUQRZBCUDJZWDWKJWEWGWLWHFAWFCWJULUKZCWKWDWKTWIUMURABCDEFGUNZUO
        UPUSVTWCVSHIBBVPBJZVQBJZLZVPVQCUTRZOZVRBWEWGWQWSVRSWHFVPVQAWRNWFCBWNADV
        AWRTZWJVBVCWLWOWPWSBJWMVPVQCWRBWNWTVDVIVEVFWBHIQBVPQJZWPLZVPVQCVGRZOZWA
        BWEWGXBXDWASWHFVPVQXCUCAWFCBWNADVHXCTZWJVJVCWLXAWPXDBJWMVPVQXCCBWNXEVKV
        IVEVFUSHIBVLVM $.
    $}

    $( The predicate " ` H ` is a subspace of Hilbert space."  (Contributed by
       NM, 25-Mar-2008.)  (New usage is discouraged.) $)
    hhsssh $p |- ( H e. SH <-> ( W e. ( SubSp ` U ) /\ H C_ ~H ) ) $=
      ( csh wcel chba wss cva cxp cres csm cop cno wceq xpeq2 reseq2d opeq12d
      cc css cfv hhsst shss jca cif eleq1 eqid xpeq1 eqtrd reseq2 syl5eq eleq1d
      wa sseq1 anbi12d wf wfn ax-hfvadd fnresdm mp2b ax-hfvmul opeq12i cr normf
      ffn eqtr4i cnv hhnv sspid ax-mp eqeltri ssid pm3.2i elimhyp simpli simpri
      hhshsslem2 dedth impbii ) BFGZCAUAUBZGZBHIZUNZWAWCWDABCDEUCBUDUEWEWAWEBHU
      FZFGBHBWFFUGAWFJWFWFKZLZMTWFKZLZNZOWFLZNZDWMUHWMWBGZWFHIZWEWNWOUNJHHKZLZM
      THKZLZNZOHLZNZWBGZHHIZUNBHBWFPZWCWNWDWOXECWMWBXECJBBKZLZMTBKZLZNZOBLZNWME
      XEXJWKXKWLXEXGWHXIWJXEXFWGJXEXFWFBKWGBWFBUIBWFWFQUJRXEXHWIMBWFTQRSBWFOUKS
      ULUMBWFHUOUPHWFPZXCWNXDWOXLXBWMWBXLWTWKXAWLXLWQWHWSWJXLWPWGJXLWPWFHKWGHWF
      HUIHWFWFQUJRXLWRWIMHWFTQRSHWFOUKSUMHWFHUOUPXCXDXBAWBXBJMNZONAWTXMXAOWQJWS
      MWPHJUQJWPURWQJPUSWPHJVFWPJUTVAWRHMUQMWRURWSMPVBWRHMVFWRMUTVAVCHVDOUQOHUR
      XAOPVEHVDOVFHOUTVAVCDVGAVHGAWBGADVIAWBWBUHVJVKVLHVMVNVOZVPWNWOXNVQVRVSVT
      $.
  $}

  ${
    hhsssh2.1 $e |- W = <. <. ( +h |` ( H X. H ) ) , ( .h |` ( CC X. H ) ) >. ,
               ( normh |` H ) >. $.
    $( The predicate " ` H ` is a subspace of Hilbert space."  (Contributed by
       NM, 8-Apr-2008.)  (New usage is discouraged.) $)
    hhsssh2 $p |- ( H e. SH <-> ( W e. NrmCVec /\ H C_ ~H ) ) $=
      ( csh wcel cva csm cop cno css cfv chba wss wa cnv eqid hhsssh cres resss
      cxp cc 3pm3.2i wb hhnv hhva hhssva hhsm hhsssm hhnm hhssnm isssp mpbiran2
      w3a ax-mp anbi1i bitri ) ADEBFGHIHZJKZEZALMZNBOEZUTNUQABUQPZCQUSVAUTUSVAF
      AATZRZFMZGUAATZRZGMZIARZIMZUMZVEVHVJFVCSGVFSIASUBUQOEUSVAVKNUCUQVBUDVGGUQ
      VDFURVIIBUQVBUEABCUFUQVBUGABCUHUQVBUIABCUJURPUKUNULUOUP $.

    ${
      hhssba.2 $e |- H e. SH $.
      $( The base set of a subspace.  (Contributed by NM, 10-Apr-2008.)
         (New usage is discouraged.) $)
      hhssba $p |- H = ( BaseSet ` W ) $=
        ( cva csm cop cno eqid csh wcel css cfv hhsst ax-mp shssii hhshsslem1 )
        EFGHGZABRIZCAJKBRLMKDRABSCNOADPQ $.

      $( The vector subtraction operation on a subspace.  (Contributed by NM,
         10-Apr-2008.)  (New usage is discouraged.) $)
      hhssvs $p |- ( -h |` ( H X. H ) ) = ( -v ` W ) $=
        ( cnsb cfv cmv cxp cres cva csm cop cno cnv wcel css wceq eqid hhnv csh
        hhsst ax-mp hhssba hhvs sspm mp2an eqcomi ) BEFZGAAHIZJKLMLZNOBUJPFZOZU
        HUIQUJUJRZSATOULDUJABUMCUAUBUJUKUHGBAABCDUCUJUMUDUHRUKRUEUFUG $.

      $( Mapping of the vector subtraction operation on a subspace.
         (Contributed by NM, 10-Apr-2008.)  (New usage is discouraged.) $)
      hhssvsf $p |- ( -h |` ( H X. H ) ) : ( H X. H ) --> H $=
        ( cnv wcel cxp cmv cres wf hhssnv hhssba hhssvs nvmf ax-mp ) BEFAAGZAHP
        IZJABCDKBQAABCDLABCDMNO $.
    $}

    ${
      hhssims.2 $e |- H e. SH $.
      hhssims.3 $e |- D = ( ( normh o. -h ) |` ( H X. H ) ) $.
      $( Induced metric of a subspace.  (Contributed by NM, 10-Apr-2008.)
         (New usage is discouraged.) $)
      hhssims $p |- D = ( IndMet ` W ) $=
        ( cno cmv ccom cxp cres cims cfv wcel wceq hhssnv hhssvs ax-mp eqtr4i
        cnv hhssnm eqid imsval resco crn wss wf hhssvsf frn cores ) AGHIBBJZKZC
        LMZFUMGBKZHUKKZIZULCTNUMUPOBCDEPUMCUOUNBCDEQBCDUAUMUBUCRULGUOIZUPGHUKUD
        UOUEBUFZUPUQOUKBUOUGURBCDEUHUKBUOUIRGUOBUJRSSS $.
    $}
  $}

  ${
    hhssims2.1 $e |- W =
   <. <. ( +h |` ( H X. H ) ) , ( .h |` ( CC X. H ) ) >. , ( normh |` H ) >. $.
    hhssims2.3 $e |- D = ( IndMet ` W ) $.
    ${
      hhssims2.2 $e |- H e. SH $.
      $( Induced metric of a subspace.  (Contributed by NM, 10-Apr-2008.)
         (New usage is discouraged.) $)
      hhssims2 $p |- D = ( ( normh o. -h ) |` ( H X. H ) ) $=
        ( cims cfv cno cmv ccom cxp cres eqid hhssims eqtr4i ) ACGHIJKBBLMZEQBC
        DFQNOP $.

      $( Induced metric of a subspace.  (Contributed by NM, 10-Apr-2008.)
         (New usage is discouraged.) $)
      hhssmet $p |- D e. ( Met ` H ) $=
        ( cnv wcel cmet cfv hhssnv hhssba imsmet ax-mp ) CGHABIJHBCDFKACBBCDFLE
        MN $.

      $( Value of the distance function of the metric space of a subspace.
         (Contributed by NM, 10-Apr-2008.)  (New usage is discouraged.) $)
      hhssmetdval $p |- ( ( A e. H /\ B e. H )
         -> ( A D B ) = ( normh ` ( A -h B ) ) ) $=
        ( wcel wa co cmv cxp cres cno cfv cnv wceq hhssnv mp3an1 hhssba imsdval
        hhssvs hhssnm ovres fveq2d csh shsubcl fvres syl 3eqtrd ) ADIZBDIZJZABC
        KZABLDDMNZKZODNZPZABLKZURPZUTOPZEQIULUMUOUSRDEFHSABCEUPURDDEFHUADEFHUCD
        EFUDGUBTUNUQUTURABDDLUEUFUNUTDIZVAVBRDUGIULUMVCHABDUHTUTDOUIUJUK $.
    $}

    ${
      $d f x D $.  $d f x H $.
      hhsscms.3 $e |- H e. CH $.
      $( The induced metric of a closed subspace is complete.  (Contributed by
         NM, 10-Apr-2008.)  (Revised by Mario Carneiro, 14-May-2014.)
         (New usage is discouraged.) $)
      hhsscms $p |- D e. ( CMet ` H ) $=
        ( vf vx cmopn cfv eqid cv ccau wcel cn wf chli clm wbr chba hhssmet cdm
        chshii wa cno cmv ccom ccauold wrex cmap cxp cres simpl hhssims2 fveq2i
        co eleqtrdi cxmet hilxmet simpr causs sylancr mpbird wss chssii sylancl
        wb fss ax-hilex elmap sylibr cva csm cop hhims hhcau sylanbrc ax-hcompl
        nnex elin2 vex breldm rexlimivw 3syl wfun hlimf ffun funfvbrb mp2b hhlm
        sylib resss eqsstri ssbri syl c1 cch crest wceq metrest eqcomi nnuz a1i
        mp2an ctop mopntop mp1i fvex chlimi syl3anc 1zzd lmss mpbid iscmet3i )
        AGAIJZBXOKZABCDEBFUCZUAGLZAMJZNZOBXRPZUDZXRXRQJZXORJZSZXRYDUBNYBXRYCUEU
        FUGZIJZRJZSZYEYBXRYCQSZYIYBXRQUBZNZYJYBXRUHNZXRHLZQSZHTUIYLYBXRYFMJZNZX
        RTOUJUPZNZYMYBYQXRYFBBUKULZMJZNZYBXRXSUUAXTYAUMAYTMABCDEXQUNZUOUQYBYFTU
        RJNZYAYQUUBVGYFYFKZUSZXTYAUTZYFXRTBVAVBVCYBOTXRPZYSYBYABTVDZUUHUUGBFVEZ
        OBTXRVHVFTOXRVIVSVJVKXRYPYRUHYFVLVMVNUEVNZUUKKZYFUUKUULUUEVOZVPVTVQHXRV
        RYOYLHTXRYNQGWAZHWAWBWCWDYKTQPQWEYLYJVGWFYKTQWGXRQWHWIWKZQYHXRYCQYHYRUL
        YHYFUUKYGUULUUMYGKZWJYHYRWLWMWNWOYBYCXRYGXOWPWQBOYGBWRUPZXOUUDUUIUUQXOW
        SUUFUUJYFAYGXOTBUUCUUPXPWTXDXAXBBWQNZYBFXCZUUDYGXENYBUUFYFYGTUUPXFXGYBU
        URYAYJYCBNUUSUUGUUOYCXRBXRQXHZXIXJYBXKUUGXLXMXRYCYDUUNUUTWBWOXN $.
    $}
  $}

  ${
    hhssbnOLD.1 $e |- W = <. <. ( +h |` ( H X. H ) ) ,
                                ( .h |` ( CC X. H ) ) >. , ( normh |` H ) >. $.
    hhssbnOLD.2 $e |- H e. CH $.
    $( Obsolete version of ~ cssbn :  Banach space property of a closed
       subspace.  (Contributed by NM, 10-Apr-2008.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    hhssbnOLD $p |- W e. CBan $=
      ( ccbn wcel cnv cims cfv ccmet chshii hhssnv eqid hhsscms hhssba mpbir2an
      iscbn ) BEFBGFBHIZAJIFABCADKZLRABCRMZDNRBAABCSOTQP $.
  $}

  ${
    $d x y z H $.  $d x y z A $.  $d x y B $.
    $( Value of orthogonal complement of a subset of Hilbert space.
       (Contributed by NM, 7-Aug-2000.)  (Revised by Mario Carneiro,
       23-Dec-2013.)  (New usage is discouraged.) $)
    ocval $p |- ( H C_ ~H -> ( _|_ ` H ) =
        { x e. ~H | A. y e. H ( x .ih y ) = 0 } ) $=
      ( vz chba wss cpw wcel cort cfv cv csp cc0 wceq wral ax-hilex elpw2 raleq
      co crab rabbidv df-oc rabex fvmpt sylbir ) CEFCEGZHCIJAKBKLSMNZBCOZAETZNC
      EPQDCUGBDKZOZAETUIUFIUJCNUKUHAEUGBUJCRUADABUBUHAEPUCUDUE $.

    $( Membership in orthogonal complement of H subset.  (Contributed by NM,
       7-Aug-2000.)  (New usage is discouraged.) $)
    ocel $p |- ( H C_ ~H -> ( A e. ( _|_ ` H ) <-> ( A e. ~H /\
                  A. x e. H ( A .ih x ) = 0 ) ) ) $=
      ( vy chba wss cort cfv wcel cv csp co cc0 wceq wral wa ocval eleq2d oveq1
      crab eqeq1d ralbidv elrab bitrdi ) CEFZBCGHZIBDJZAJZKLZMNZACOZDETZIBEIBUH
      KLZMNZACOZPUEUFULBDACQRUKUODBEUGBNZUJUNACUPUIUMMUGBUHKSUAUBUCUD $.

    $( Membership in orthogonal complement of H subspace.  (Contributed by NM,
       9-Oct-1999.)  (New usage is discouraged.) $)
    shocel $p |- ( H e. SH -> ( A e. ( _|_ ` H ) <-> ( A e. ~H /\
                  A. x e. H ( A .ih x ) = 0 ) ) ) $=
      ( csh wcel chba wss cort cfv cv csp co cc0 wceq wral wa wb shss ocel syl
      ) CDECFGBCHIEBFEBAJKLMNACOPQCRABCST $.

    $( The orthogonal complement of a subspace is a subspace.  Part of Remark
       3.12 of [Beran] p. 107.  (Contributed by NM, 7-Aug-2000.)
       (New usage is discouraged.) $)
    ocsh $p |- ( A C_ ~H -> ( _|_ ` A ) e. SH ) $=
      ( vx vy vz chba c0v wcel wa cv co wral cc csp cc0 wceq syl6 ocel wi caddc
      cmul wss cort cfv cva csm csh crab ssrab2 eqsstrdi ssel ralrimiv ax-hv0cl
      ocval hi01 jctil mpbird jca ssel2 ax-his2 3expa oveq12 eqtrdi sylan9eq ex
      00id ancoms sylan an32s ralimdva imdistanda hvaddcl anim1i anbi12d r19.26
      an4 anbi2i bitr4i bitrdi ralrimivv mul01 oveq2 eqeq1d syl5ibrcom ad2antrl
      3imtr4d w3a ax-his3 sylibrd hvmulcl anbi2d anass bitr4di issh2 sylanbrc
      wb ) AEUAZAUBUCZEUAZFWQGZHBIZCIZUDJZWQGZCWQKBWQKZWTXAUEJZWQGZCWQKBLKZHWQU
      FGWPWRWSWPWQWTXAMJNOCAKZBEUGEBCAUMXHBEUHUIWPWSFEGZFXAMJNOZCAKZHWPXKXIWPXJ
      CAWPXAAGXAEGZXJAEXAUJXAUNPUKULUOCFAQUPUQWPXDXGWPXCBCWQWQWPWTEGZXLHZWTDIZM
      JZNOZXAXOMJZNOZHZDAKZHZXBEGZXBXOMJZNOZDAKZHZWTWQGZXAWQGZHZXCWPYBXNYFHYGWP
      XNYAYFWPXNHXTYEDAWPXOAGZXNXTYERZWPYKHZXOEGZXNYLAEXOURZXNYNYLXNYNHZXTYEYPX
      TYDXPXRSJZNXMXLYNYDYQOWTXAXOUSUTXTYQNNSJNXPNXRNSVAVEVBVCVDVFVGVHVIVJXNYCY
      FWTXAVKVLPWPYJXMXQDAKZHZXLXSDAKZHZHZYBWPYHYSYIUUADWTAQDXAAQZVMUUBXNYRYTHZ
      HYBXMYRXLYTVOYAUUDXNXQXSDAVNVPVQVRDXBAQWEVSWPXFBCLWQWPWTLGZXLHZYTHZXEEGZX
      EXOMJZNOZDAKZHZUUEYIHZXFWPUUGUUFUUKHUULWPUUFYTUUKWPUUFHXSUUJDAWPYKUUFXSUU
      JRZYMYNUUFUUNYOYNUUFHXSWTXRTJZNOZUUJUUEXSUUPRYNXLUUEUUPXSWTNTJZNOWTVTXSUU
      OUUQNXRNWTTWAWBWCWDUUFYNUUJUUPWOZUUEXLYNUURUUEXLYNWFUUIUUONWTXAXOWGWBUTVF
      WHVGVHVIVJUUFUUHUUKWTXAWIVLPWPUUMUUEUUAHUUGWPYIUUAUUEUUCWJUUEXLYTWKWLDXEA
      QWEVSUQBCWQWMWN $.

    $( The orthogonal complement of a subspace is a subspace.  Part of Remark
       3.12 of [Beran] p. 107.  (Contributed by NM, 10-Oct-1999.)
       (New usage is discouraged.) $)
    shocsh $p |- ( A e. SH -> ( _|_ ` A ) e. SH ) $=
      ( csh wcel chba wss cort cfv shss ocsh syl ) ABCADEAFGBCAHAIJ $.

    $( An orthogonal complement is a subset of Hilbert space.  (Contributed by
       NM, 9-Aug-2000.)  (New usage is discouraged.) $)
    ocss $p |- ( A C_ ~H -> ( _|_ ` A ) C_ ~H ) $=
      ( chba wss cort cfv csh wcel ocsh shss syl ) ABCADEZFGKBCAHKIJ $.

    $( An orthogonal complement is a subset of Hilbert space.  (Contributed by
       NM, 11-Oct-1999.)  (New usage is discouraged.) $)
    shocss $p |- ( A e. SH -> ( _|_ ` A ) C_ ~H ) $=
      ( csh wcel chba wss cort cfv shss ocss syl ) ABCADEAFGDEAHAIJ $.

    $( Contraposition law for orthogonal complement.  (Contributed by NM,
       8-Aug-2000.)  (New usage is discouraged.) $)
    occon $p |- ( ( A C_ ~H /\ B C_ ~H ) ->
                 ( A C_ B -> ( _|_ ` B ) C_ ( _|_ ` A ) ) ) $=
      ( vx vy chba wss wa cort cfv cv csp co wceq wral crab wi ssralv ralrimivw
      cc0 ocval ss2rab sylibr adantl ad2antlr ad2antrr 3sstr4d ex ) AEFZBEFZGZA
      BFZBHIZAHIZFUJUKGCJDJKLSMZDBNZCEOZUNDANZCEOZULUMUKUPURFZUJUKUOUQPZCENUSUK
      UTCEUNDABQRUOUQCEUAUBUCUIULUPMUHUKCDBTUDUHUMURMUIUKCDATUEUFUG $.

    $( Double contraposition for orthogonal complement.  (Contributed by NM,
       22-Jul-2001.)  (New usage is discouraged.) $)
    occon2 $p |- ( ( A C_ ~H /\ B C_ ~H ) ->
              ( A C_ B -> ( _|_ ` ( _|_ ` A ) ) C_ ( _|_ ` ( _|_ ` B ) ) ) ) $=
      ( chba wss wa cort cfv ocss anim12ci occon sylsyld ) ACDZBCDZEBFGZCDZAFGZ
      CDZEABDNPDPFGNFGDLQMOAHBHIABJNPJK $.

    ${
      occon2.1 $e |- A C_ ~H $.
      occon2.2 $e |- B C_ ~H $.
      $( Double contraposition for orthogonal complement.  (Contributed by NM,
         9-Aug-2000.)  (New usage is discouraged.) $)
      occon2i $p |- ( A C_ B ->
                   ( _|_ ` ( _|_ ` A ) ) C_ ( _|_ ` ( _|_ ` B ) ) ) $=
        ( chba wss cort cfv wi occon2 mp2an ) AEFBEFABFAGHGHBGHGHFICDABJK $.
    $}

    $( The zero vector belongs to an orthogonal complement of a Hilbert
       subspace.  (Contributed by NM, 11-Oct-1999.)
       (New usage is discouraged.) $)
    oc0 $p |- ( H e. SH -> 0h e. ( _|_ ` H ) ) $=
      ( csh wcel cort cfv c0v shocsh sh0 syl ) ABCADEZBCFJCAGJHI $.

    $( Members of a subset and its complement are orthogonal.  (Contributed by
       NM, 9-Aug-2000.)  (New usage is discouraged.) $)
    ocorth $p |- ( H C_ ~H -> ( ( A e. H /\ B e. ( _|_ ` H ) ) ->
                 ( A .ih B ) = 0 ) ) $=
      ( vx chba wss wcel cort cfv wa csp co cc0 wceq cv wral simplbda adantl wi
      ocel oveq2 eqeq1d rspcv ad2antlr ssel2 ocss sselda orthcom syl2an sylibrd
      wb mpd anandis ex ) CEFZACGZBCHIZGZJABKLMNZUOUPURUSUOUPJZUOURJZJZBDOZKLZM
      NZDCPZUSVAVFUTUOURBEGZVFDBCTQRVBVFBAKLZMNZUSUPVFVISUOVAVEVIDACVCANVDVHMVC
      ABKUAUBUCUDUTAEGVGUSVIUKVACEAUEUOUQEBCUFUGABUHUIUJULUMUN $.

    $( Members of a subspace and its complement are orthogonal.  (Contributed
       by NM, 10-Oct-1999.)  (New usage is discouraged.) $)
    shocorth $p |- ( H e. SH -> ( ( A e. H /\ B e. ( _|_ ` H ) ) ->
                 ( A .ih B ) = 0 ) ) $=
      ( csh wcel chba wss cort cfv wa csp co cc0 wceq wi shss ocorth syl ) CDEC
      FGACEBCHIEJABKLMNOCPABCQR $.

    $( Inclusion in complement of complement.  Part of Proposition 1 of
       [Kalmbach] p. 65.  (Contributed by NM, 9-Aug-2000.)
       (New usage is discouraged.) $)
    ococss $p |- ( A C_ ~H -> A C_ ( _|_ ` ( _|_ ` A ) ) ) $=
      ( vy vx chba wss cort cfv cv wcel csp co cc0 wceq wral wa ocorth ralrimdv
      ssel expd jcad wb ocss ocel syl sylibrd ssrdv ) ADEZBAAFGZFGZUGBHZAIZUJDI
      ZUJCHZJKLMZCUHNZOZUJUIIZUGUKULUOADUJRUGUKUNCUHUGUKUMUHIUNUJUMAPSQTUGUHDEU
      QUPUAAUBCUJUHUCUDUEUF $.

    $( Inclusion in complement of complement.  Part of Proposition 1 of
       [Kalmbach] p. 65.  (Contributed by NM, 10-Oct-1999.)
       (New usage is discouraged.) $)
    shococss $p |- ( A e. SH -> A C_ ( _|_ ` ( _|_ ` A ) ) ) $=
      ( csh wcel chba wss cort cfv shss ococss syl ) ABCADEAAFGFGEAHAIJ $.

    $( Members of orthogonal subspaces are orthogonal.  (Contributed by NM,
       17-Oct-1999.)  (New usage is discouraged.) $)
    shorth $p |- ( H e. SH -> ( G C_ ( _|_ ` H ) ->
        ( ( A e. G /\ B e. H ) -> ( A .ih B ) = 0 ) ) ) $=
      ( csh wcel cort cfv wss wa csp cc0 wceq ssel anim1d imp ancomd chba sseld
      co shocorth wb shss shocss anim12d orthcom syl mpbid sylan2 exp32 ) DEFZC
      DGHZIZACFZBDFZJZABKTLMZUMUPJZUKUOAULFZJZUQURUSUOUMUPUSUOJUMUNUSUOCULANOPQ
      UKUTJZBAKTLMZUQUKUTVBBADUAPVABRFZARFZJZVBUQUBUKUTVEUKUOVCUSVDUKDRBDUCSUKU
      LRADUDSUEPBAUFUGUHUIUJ $.

    $( Intersection of a Hilbert subspace and its complement.  Part of
       Proposition 1 of [Kalmbach] p. 65.  (Contributed by NM, 11-Oct-1999.)
       (New usage is discouraged.) $)
    ocin $p |- ( A e. SH -> ( A i^i ( _|_ ` A ) ) = 0H ) $=
      ( vx vy csh wcel cort cfv cin c0h cv wa c0v wceq chba csp co cc0 wi eleq1
      wral shocel oveq2 eqeq1d rspccv his6 biimpd sylan9r syl6bi com23 impd sh0
      oc0 jca anbi12d syl5ibrcom impbid elin elch0 3bitr4g eqrdv ) ADEZBAAFGZHZ
      IVABJZAEZVDVBEZKZVDLMZVDVCEVDIEVAVGVHVAVEVFVHVAVFVEVHVAVFVDNEZVDCJZOPZQMZ
      CATZKVEVHRCVDAUAVMVEVDVDOPZQMZVIVHVLVOCVDAVJVDMVKVNQVJVDVDOUBUCUDVIVOVHVD
      UEUFUGUHUIUJVAVGVHLAEZLVBEZKVAVPVQAUKAULUMVHVEVPVFVQVDLASVDLVBSUNUOUPVDAV
      BUQVDURUSUT $.

    $( Hilbert lattice contraposition law.  (Contributed by Mario Carneiro,
       18-May-2014.)  (New usage is discouraged.) $)
    occon3 $p |- ( ( A C_ ~H /\ B C_ ~H ) ->
                     ( A C_ ( _|_ ` B ) <-> B C_ ( _|_ ` A ) ) ) $=
      ( chba wss wa cort cfv ococss adantl wi occon sylan2 sstr2 sylsyld adantr
      ocss id syl2anr impbid ) ACDZBCDZEZABFGZDZBAFGZDZUBBUCFGZDZUDUGUEDZUFUAUH
      TBHIUATUCCDUDUIJBPAUCKLBUGUEMNUBAUEFGZDZUFUJUCDZUDTUKUAAHOUAUAUECDUFULJTU
      AQAPBUEKRAUJUCMNS $.
  $}

  $( A nonzero vector in the complement of a subspace does not belong to the
     subspace.  (Contributed by NM, 10-Apr-2006.)
     (New usage is discouraged.) $)
  ocnel $p |- ( ( H e. SH /\ A e. ( _|_ ` H ) /\ A =/= 0h ) -> -. A e. H ) $=
    ( csh wcel cort cfv c0v wne wn c0h wceq cin elin ocin eleq2d biimpd syl5bir
    wa wi expcomd imp elch0 syl6ib necon3ad 3impia ) BCDZABEFZDZAGHABDZIUFUHRZU
    IAGUJUIAJDZAGKUFUHUIUKSUFUIUHUKUIUHRABUGLZDZUFUKABUGMUFUMUKUFULJABNOPQTUAAU
    BUCUDUE $.

  ${
    $d x y A $.
    chocval.1 $e |- A e. CH $.
    $( Value of the orthogonal complement of a Hilbert lattice element.  The
       orthogonal complement of ` A ` is the set of vectors that are orthogonal
       to all vectors in ` A ` .  (Contributed by NM, 8-Aug-2004.)
       (New usage is discouraged.) $)
    chocvali $p |- ( _|_ ` A ) = { x e. ~H | A. y e. A ( x .ih y ) = 0 } $=
      ( chba wss cort cfv cv csp co cc0 wceq wral crab chssii ocval ax-mp ) CEF
      CGHAIBIJKLMBCNAEOMCDPABCQR $.
  $}

  ${
    shuni.1 $e |- ( ph -> H e. SH ) $.
    shuni.2 $e |- ( ph -> K e. SH ) $.
    shuni.3 $e |- ( ph -> ( H i^i K ) = 0H ) $.
    shuni.4 $e |- ( ph -> A e. H ) $.
    shuni.5 $e |- ( ph -> B e. K ) $.
    shuni.6 $e |- ( ph -> C e. H ) $.
    shuni.7 $e |- ( ph -> D e. K ) $.
    shuni.8 $e |- ( ph -> ( A +h B ) = ( C +h D ) ) $.
    $( Two subspaces with trivial intersection have a unique decomposition of
       the elements of the subspace sum.  (Contributed by Mario Carneiro,
       15-May-2014.)  (New usage is discouraged.) $)
    shuni $p |- ( ph -> ( A = C /\ B = D ) ) $=
      ( wceq co wcel chba syl2anc cmv c0v c0h cin csh shsubcl syl3anc hvaddsub4
      cva shel syl22anc mpbid eqeltrd elind eleqtrd elch0 sylib hvsubeq0 eqtr3d
      wb eqcomd jca ) ABDPZCEPABDUAQZUBPZVCAVDUCRVEAVDFGUDUCAFGVDAFUERZBFRZDFRZ
      VDFRHKMBDFUFUGAVDECUAQZGABCUIQDEUIQPZVDVIPZOABSRZCSRZDSRZESRZVJVKUTAVFVGV
      LHKBFUJTZAGUERZCGRZVMILCGUJTZAVFVHVNHMDFUJTZAVQEGRZVOINEGUJTZBCDEUHUKULZA
      VQWAVRVIGRINLECGUFUGUMUNJUOVDUPUQZAVLVNVEVCUTVPVTBDURTULAECAVIUBPZECPZAVD
      VIUBWCWDUSAVOVMWEWFUTWBVSECURTULVAVB $.
  $}

  ${
    chocuni.1 $e |- H e. CH $.
    $( Lemma for uniqueness part of Projection Theorem.  Theorem 3.7(i) of
       [Beran] p. 102 (uniqueness part).  (Contributed by NM, 23-Oct-1999.)
       (Proof shortened by Mario Carneiro, 15-May-2014.)
       (New usage is discouraged.) $)
    chocunii $p |- ( ( ( A e. H /\ B e. ( _|_ ` H ) ) /\
                    ( C e. H /\ D e. ( _|_ ` H ) ) ) ->
            ( ( R = ( A +h B ) /\ R = ( C +h D ) ) -> ( A = C /\ B = D ) ) ) $=
      ( wcel cort cfv wa cva co wceq csh chshii a1i shocsh mp1i cin c0h simplll
      ocin simpllr simplrl simplrr eqtr2 adantl shuni ex ) AFHZBFIJZHZKZCFHZDUL
      HZKZKZEABLMZNECDLMZNKZACNBDNKURVAKZABCDFULFOHZVBFGPZQVCULOHVBVDFRSVCFULTU
      ANVBVDFUCSUKUMUQVAUBUKUMUQVAUDUNUOUPVAUEUNUOUPVAUFVAUSUTNUREUSUTUGUHUIUJ
      $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w x y z C $.
    $( Projection Theorem, uniqueness part.  Any two disjoint subspaces yield a
       unique decomposition of vectors into each subspace.  (Contributed by
       Mario Carneiro, 15-May-2014.)  (New usage is discouraged.) $)
    pjhthmo $p |- ( ( A e. SH /\ B e. SH /\ ( A i^i B ) = 0H ) ->
                   E* x ( x e. A /\ E. y e. B C = ( x +h y ) ) ) $=
      ( vz vw csh wcel cin c0h wceq cv cva co wrex wa wal syl5bir eqeq2d w3a wi
      wmo reeanv simpll1 simpll2 simpll3 simplrl simprll simplrr simprlr eqtr3d
      an4 simprrl simprrr shuni simpld exp32 rexlimdvv expimpd alrimivv rexbidv
      eleq1w oveq1 oveq2 cbvrexvw bitrdi anbi12d mo4 sylibr ) CHIZDHIZCDJKLZUAZ
      AMZCIZEVOBMZNOZLZBDPZQZFMZCIZEWBGMZNOZLZGDPZQZQZVOWBLZUBZFRARWAAUCVNWKAFW
      IVPWCQZVTWGQZQVNWJVPWCVTWGUMVNWLWMWJWMVSWFQZGDPBDPVNWLQZWJVSWFBGDDUDWOWNW
      JBGDDWOVQDIZWDDIZQZWNWJWOWRWNQZQZWJVQWDLZWTVOVQWBWDCDVKVLVMWLWSUEVKVLVMWL
      WSUFVKVLVMWLWSUGVNVPWCWSUHWOWPWQWNUIVNVPWCWSUJWOWPWQWNUKWTEVRWEWOWRVSWFUN
      WOWRVSWFUOULUPUQURUSSUTSVAWAWHAFWJVPWCVTWGAFCVCWJVTEWBVQNOZLZBDPWGWJVSXCB
      DWJVRXBEVOWBVQNVDTVBXCWFBGDXAXBWEEVQWDWBNVETVFVGVHVIVJ $.
  $}

  ${
    $d k x B $.  $d k x F $.  $d k x ph $.  $d x A $.
    occl.1 $e |- ( ph -> A C_ ~H ) $.
    occl.2 $e |- ( ph -> F e. Cauchy ) $.
    occl.3 $e |- ( ph -> F : NN --> ( _|_ ` A ) ) $.
    occl.4 $e |- ( ph -> B e. A ) $.
    $( Lemma for ~ occl .  (Contributed by NM, 7-Aug-2000.)  (Revised by Mario
       Carneiro, 14-May-2014.)  (New usage is discouraged.) $)
    occllem $p |- ( ph -> ( ( ~~>v ` F ) .ih B ) = 0 ) $=
      ( vx vk chli cfv csp co cc0 cn wcel eqid chba wceq ccnfld ctopn cnfldhaus
      csn cxp cha a1i cv cmpt ccom clm cno cmv cmopn wbr ccauold wrex ax-hcompl
      cdm wfn wf hlimf ffn ax-mp fnbr mpan rexlimivw 3syl wfun wb ffun funfvbrb
      mp2b sylib cmap cres cva csm cop hhims hhlm resss eqsstri ssbri syl cxmet
      ctopon hilxmet mopntopon mp1i cnmptid sseldd cnmptc cnv ctx ccn hhnv hhip
      dipcn cnmpt12f lmcn wral wa cort ffvelrnda ocel adantr mpbid simpld oveq1
      wss ovex fvmpt oveq2 eqeq1d simprd rspcdva eqtrd ocss fssd fvco3 fvconst2
      sylan adantl 3eqtr4d ralrimiva fnmpti fnfco sylancr fconst eqfnfv sylancl
      c0ex mpbird fvex hlimveci 3brtr3d cc c1 cz 0cnd 1zzd nnuz lmconst syl3anc
      cnfldtopon lmmo ) ADKLZCMNZOPOUDZUEZUAUBLZUULUFQAUULUULRZUCUGAISIUHZCMNZU
      IZDUJZUUHUUPLZUUKUUIUULUKLZAUUHDUUPULUMUJZUNLZUULADUUHKUOZDUUHUVAUKLZUOAD
      KUSZQZUVBADUPQDUUNKUOZISUQUVEFIDURUVFUVEISKUVDUTZUVFUVEUVDSKVAZUVGVBUVDSK
      VCVDUVDDUUNKVEVFVGVHUVHKVIUVEUVBVJVBUVDSKVKDKVLVMVNZKUVCDUUHKUVCSPVONZVPU
      VCUUTVQVRVSULVSZUVAUVKRZUUTUVKUVLUUTRZVTZUVARZWAUVCUVJWBWCWDWEAIUUNCMUVAU
      VAUVAUULSUUTSWFLQUVASWGLQAUUTUVMWHUUTUVASUVOWIWJZAIUVASUVPWKAICUVAUVASSUV
      PUVPABSCEHWLWMUVKWNQMUVAUVAWONUULWPNQAUVKUVLWQUUTMUVKUVAUULUVKUVLWRUVNUVO
      UUMWSWJWTXAAUUQUUKTZJUHZUUQLZUVRUUKLZTZJPXBZAUWAJPAUVRPQZXCZUVRDLZUUPLZOU
      VSUVTUWDUWFUWECMNZOUWDUWESQZUWFUWGTUWDUWHUWEUUNMNZOTZIBXBZUWDUWEBXDLZQZUW
      HUWKXCZAPUWLUVRDGXEAUWMUWNVJZUWCABSXKZUWOEIUWEBXFWEXGXHZXIIUWEUUOUWGSUUPU
      UNUWECMXJUUPRZUWECMXLXMWEUWDUWJUWGOTIBCUUNCTUWIUWGOUUNCUWEMXNXOUWDUWHUWKU
      WQXPACBQUWCHXGXQXRAPSDVAZUWCUVSUWFTAPUWLSDGAUWPUWLSXKEBXSWEXTZPSUVRUUPDYA
      YCUWCUVTOTAPOUVRYMYBYDYEYFAUUQPUTZUUKPUTZUVQUWBVJAUUPSUTUWSUXAISUUOUUPUUN
      CMXLUWRYGUWTSPUUPDYHYIPUUJUUKVAUXBPOYMYJPUUJUUKVCVDJPUUQUUKYKYLYNAUVBUUHS
      QUURUUITUVIUUHDDKYOYPIUUHUUOUUISUUPUUNUUHCMXJUWRUUHCMXLXMVHYQAUULYRWGLQZO
      YRQYSYTQUUKOUUSUOUXCAUULUUMUUFUGAUUAAUUBOUULYSYRPUUCUUDUUEUUG $.
  $}

  ${
    $d f x A $.
    $( Closure of complement of Hilbert subset.  Part of Remark 3.12 of [Beran]
       p. 107.  (Contributed by NM, 8-Aug-2000.)  (Proof shortened by Mario
       Carneiro, 14-May-2014.)  (New usage is discouraged.) $)
    occl $p |- ( A C_ ~H -> ( _|_ ` A ) e. CH ) $=
      ( vf vx chba wss cfv wcel cv chli wbr wrex ccauold wral vex syl ralrimiva
      wf wa hlimf wb cort csh cn wi cch ocsh csp co cc0 cdm ax-hcompl rexlimivw
      wceq breldm ad2antlr ffvelrni simplll simpllr simpr occllem ocel ad2antrr
      simplr mpbir2and wfun ffun funfvbrb mp2b sylib breq2 rspcev syl2anc isch3
      ex sylanbrc ) ADEZAUAFZUBGUCVQBHZQZVRCHZIJZCVQKZUDZBLMVQUEGAUFVPWCBLVPVRL
      GZRZVSWBWEVSRZVRIFZVQGZVRWGIJZWBWFWHWGDGZWGVTUGUHUIUMZCAMZWFVRIUJZGZWJWDW
      NVPVSWDWACDKWNCVRUKWAWNCDVRVTIBNCNUNULOUOZWMDVRISUPOWFWKCAWFVTAGZRAVTVRVP
      WDVSWPUQVPWDVSWPURWEVSWPVCWFWPUSUTPVPWHWJWLRTWDVSCWGAVAVBVDWFWNWIWOWMDIQI
      VEWNWITSWMDIVFVRIVGVHVIWAWICWGVQVTWGVRIVJVKVLVNPCBVQVMVO $.
  $}

  $( Closure of complement of Hilbert subspace.  Part of Remark 3.12 of [Beran]
     p. 107.  (Contributed by NM, 13-Oct-1999.)  (New usage is discouraged.) $)
  shoccl $p |- ( A e. SH -> ( _|_ ` A ) e. CH ) $=
    ( csh wcel chba wss cort cfv cch shss occl syl ) ABCADEAFGHCAIAJK $.

  $( Closure of complement of Hilbert subspace.  Part of Remark 3.12 of [Beran]
     p. 107.  (Contributed by NM, 22-Jul-2001.)  (New usage is discouraged.) $)
  choccl $p |- ( A e. CH -> ( _|_ ` A ) e. CH ) $=
    ( cch wcel csh cort cfv chsh shoccl syl ) ABCADCAEFBCAGAHI $.

  ${
    choccl.1 $e |- A e. CH $.
    $( Closure of ` CH ` orthocomplement.  (Contributed by NM, 29-Jul-1999.)
       (New usage is discouraged.) $)
    choccli $p |- ( _|_ ` A ) e. CH $=
      ( cch wcel cort cfv choccl ax-mp ) ACDAEFCDBAGH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subspace sum, span, lattice join, lattice supremum
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( Define subspace sum in ` SH ` .  See ~ shsval , ~ shsval2i , and
       ~ shsval3i for its value.  (Contributed by NM, 16-Oct-1999.)
       (New usage is discouraged.) $)
    df-shs $a |- +H = ( x e. SH , y e. SH |-> ( +h " ( x X. y ) ) ) $.

    $( Define the linear span of a subset of Hilbert space.  Definition of span
       in [Schechter] p. 276.  See ~ spanval for its value.  (Contributed by
       NM, 2-Jun-2004.)  (New usage is discouraged.) $)
    df-span $a |- span = ( x e. ~P ~H |-> |^| { y e. SH | x C_ y } ) $.

    $( Define Hilbert lattice join.  See ~ chjval for its value and ~ chjcl for
       its closure law.  Note that we define it over all Hilbert space subsets
       to allow proving more general theorems.  Even for general subsets the
       join belongs to ` CH ` ; see ~ sshjcl .  (Contributed by NM,
       1-Nov-2000.)  (New usage is discouraged.) $)
    df-chj $a |- vH = ( x e. ~P ~H , y e. ~P ~H |->
                        ( _|_ ` ( _|_ ` ( x u. y ) ) ) ) $.
  $}

  $( Define the supremum of a set of Hilbert lattice elements.  See ~ chsupval2
     for its value.  We actually define the supremum for an arbitrary
     collection of Hilbert space subsets, not just elements of the Hilbert
     lattice ` CH ` , to allow more general theorems.  Even for general subsets
     the supremum still a Hilbert lattice element; see ~ hsupcl .  (Contributed
     by NM, 9-Dec-2003.)  (New usage is discouraged.) $)
  df-chsup $a |- \/H = ( x e. ~P ~P ~H |-> ( _|_ ` ( _|_ ` U. x ) ) ) $.

  ${
    $d f x y z A $.  $d x y z B $.  $d x y z C $.  $d x y D $.
    $( Value of subspace sum of two Hilbert space subspaces.  Definition of
       subspace sum in [Kalmbach] p. 65.  (Contributed by NM, 16-Oct-1999.)
       (Revised by Mario Carneiro, 23-Dec-2013.)
       (New usage is discouraged.) $)
    shsval $p |- ( ( A e. SH /\ B e. SH ) -> ( A +H B ) =
                     ( +h " ( A X. B ) ) ) $=
      ( vx vy csh cva cv cxp cima cph wceq xpeq12 imaeq2d df-shs cablo wcel cvv
      wa hilablo imaexg ax-mp ovmpoa ) CDABEEFCGZDGZHZIFABHZIZJUCAKUDBKRUEUFFUC
      AUDBLMCDNFOPUGQPSFUFOTUAUB $.

    $( The subspace sum is a subset of Hilbert space.  (Contributed by Mario
       Carneiro, 23-Dec-2013.)  (New usage is discouraged.) $)
    shsss $p |- ( ( A e. SH /\ B e. SH ) -> ( A +H B ) C_ ~H ) $=
      ( csh wcel wa cph co cva cxp cima shsval crn imassrn wf wss ax-hfvadd frn
      chba ax-mp sstri eqsstrdi ) ACDBCDEABFGHABIZJZRABKUCHLZRHUBMRRIZRHNUDROPU
      ERHQSTUA $.

    $( Membership in the subspace sum of two Hilbert subspaces.  (Contributed
       by NM, 14-Dec-2004.)  (Revised by Mario Carneiro, 29-Jan-2014.)
       (New usage is discouraged.) $)
    shsel $p |- ( ( A e. SH /\ B e. SH ) -> ( C e. ( A +H B ) <->
                 E. x e. A E. y e. B C = ( x +h y ) ) ) $=
      ( csh wcel wa cph co cva cxp cima cv wceq wrex shsval chba wss shss wb wf
      eleq2d wfn ax-hfvadd ffn ax-mp xpss12 syl2an ovelimab sylancr bitrd ) CFG
      ZDFGZHZECDIJZGEKCDLZMZGZEANBNKJOBDPACPZUOUPURECDQUCUOKRRLZUDZUQVASZUSUTUA
      VARKUBVBUEVARKUFUGUMCRSDRSVCUNCTDTCRDRUHUIABVACDEKUJUKUL $.

    $( Membership in the subspace sum of two Hilbert subspaces, using vector
       subtraction.  (Contributed by NM, 20-Jan-2007.)
       (New usage is discouraged.) $)
    shsel3 $p |- ( ( A e. SH /\ B e. SH ) -> ( C e. ( A +H B ) <->
                 E. x e. A E. y e. B C = ( x -h y ) ) ) $=
      ( vz csh wcel wa co cv cva wceq wrex cmv csm id chba shel syl2an shsel c1
      cph cneg hvaddsubval an4s anassrs sylan9eqr neg1cn shmulcl mp3an2 adantll
      cc adantlr oveq2 rspceeqv sylan syldan rexlimdva2 hvsubval rexbidva bitrd
      impbid ) CGHZDGHZIZECDUCJHEAKZFKZLJZMZFDNZACNEVGBKZOJZMZBDNZACNAFCDEUAVFV
      KVOACVFVGCHZIZVKVOVQVJVOFDVQVHDHZIZVJEVGUBUDZVHPJZOJZMZVOVJVSEVIWBVJQVFVP
      VRVIWBMZVDVPVEVRWDVDVPIZVGRHZVHRHWDVEVRIVGCSZVHDSVGVHUETUFUGUHVSWADHZWCVO
      VFVRWHVPVEVRWHVDVEVTUMHZVRWHUIVTVHDUJUKULUNBWADVMWBEVLWAVGOUOUPUQURUSVQVN
      VKBDVQVLDHZIZVNEVGVTVLPJZLJZMZVKVNWKEVMWMVNQVFVPWJVMWMMZVDVPVEWJWOWEWFVLR
      HWOVEWJIWGVLDSVGVLUTTUFUGUHWKWLDHZWNVKVFWJWPVPVEWJWPVDVEWIWJWPUIVTVLDUJUK
      ULUNFWLDVIWMEVHWLVGLUOUPUQURUSVCVAVB $.

    ${
      shscl.1 $e |- A e. SH $.
      shscl.2 $e |- B e. SH $.
      $( Membership in subspace sum.  (Contributed by NM, 4-May-2000.)
         (New usage is discouraged.) $)
      shseli $p |- ( C e. ( A +H B )
                 <-> E. x e. A E. y e. B C = ( x +h y ) ) $=
        ( csh wcel cph co cv cva wceq wrex wb shsel mp2an ) CHIDHIECDJKIEALBLMK
        NBDOACOPFGABCDEQR $.

      $d x y z w f g v u A $.  $d x y z w f g v u B $.
      $( Closure of subspace sum.  (Contributed by NM, 15-Oct-1999.)  (Revised
         by Mario Carneiro, 23-Dec-2013.)  (New usage is discouraged.) $)
      shscli $p |- ( A +H B ) e. SH $=
        ( vx vy vf vg vv vu co wcel chba c0v wa cv cva csm wceq wrex vz cph csh
        vw wss cc shsss mp2an sh0 ax-mp ax-hv0cl hvaddid2i eqcomi rspceov mp3an
        wral shseli mpbir pm3.2i shaddcl mp3an1 ad2ant2r ad2ant2l sheli anim12i
        wi oveq12 hvadd4 syl2an eqtr4d syl3anc ancoms exp43 rexlimivv com3l imp
        an4s syl2anb sylibr rgen2 shmulcl adantrr adantrl oveq2 adantl ad2antll
        id ax-hvdistr1 syl3an 3expb adantrrr eqtrd exp42 sylan2b issh2 mpbir2an
        impcom ) ABUBKZUCLWRMUEZNWRLZOEPZFPZQKZWRLZFWRUPEWRUPZXAXBRKZWRLZFWRUPE
        UFUPZOWSWTAUCLZBUCLZWSCDABUGUHWTNXCSFBTEATZNALZNBLZNNNQKZSXKXIXLCAUIUJX
        JXMDBUIUJXNNNUKULUMEFABNNNQUNUOEFABNCDUQURUSXEXHXDEFWRWRXAWRLZXBWRLZOXC
        GPHPQKZSHBTGATZXDXOXAUAPZUDPZQKZSZUDBTUAATZXBIPZJPZQKZSZJBTIATZXRXPUAUD
        ABXACDUQIJABXBCDUQZYCYHXRYBYHXRVFUAUDABYHXSALZXTBLZOZYBXRYGYLYBXRVFVFIJ
        ABYDALZYEBLZOZYGYLYBXRYLYBOZYOYGOZXRYPYQOZXSYDQKZALZXTYEQKZBLZXCYSUUAQK
        ZSXRYLYOYTYBYGYJYMYTYKYNXIYJYMYTCXSYDAUTVAVBVBYLYOUUBYBYGYKYNUUBYJYMXJY
        KYNUUBDXTYEBUTVAVCVBYRXCYAYFQKZUUCYBYGXCUUDSYLYOXAYAXBYFQVGVCYLYOUUCUUD
        SZYBYGYJYMYKYNUUEYJYMOXSMLZYDMLZOXTMLZYEMLZOUUEYKYNOYJUUFYMUUGXSACVDYDA
        CVDZVEYKUUHYNUUIXTBDVDYEBDVDZVEXSYDXTYEVHVIVQVBVJGHABYSUUAXCQUNVKVLVMVN
        VOVNVPVRGHABXCCDUQVSVTXGEFUFWRXAUFLZXPOXFXQSHBTGATZXGXPUULYHUUMYIYHUULU
        UMYGUULUUMVFZIJABYMYNYGUUNVFYMYNYGUULUUMUULYMYNYGOZOZUUMUULUUPOZXAYDRKZ
        ALZXAYERKZBLZXFUURUUTQKZSUUMUULYMUUSUUOXIUULYMUUSCXAYDAWAVAWBUULUUOUVAY
        MUULYNUVAYGXJUULYNUVADXAYEBWAVAWBWCUUQXFXAYFRKZUVBUUOXFUVCSZUULYMYGUVDY
        NXBYFXARWDWEWFUULYMYNUVCUVBSZYGUULYMYNUVEUULUULYMUUGYNUUIUVEUULWGUUJUUK
        XAYDYEWHWIWJWKWLGHABUURUUTXFQUNVKVLWMVPVNWQWNGHABXFCDUQVSVTUSEFWRWOWP
        $.
    $}

    $( Closure of subspace sum.  (Contributed by NM, 15-Dec-2004.)
       (New usage is discouraged.) $)
    shscl $p |- ( ( A e. SH /\ B e. SH ) -> ( A +H B ) e. SH ) $=
      ( csh wcel cph co chba cif oveq1 eleq1d oveq2 helsh elimel shscli dedth2h
      wceq ) ACDZBCDZABEFZCDQAGHZBEFZCDTRBGHZEFZCDABGGATPSUACATBEIJBUBPUAUCCBUB
      TEKJTUBAGCLMBGCLMNO $.

    $( Commutative law for subspace sum.  (Contributed by NM, 15-Dec-2004.)
       (New usage is discouraged.) $)
    shscom $p |- ( ( A e. SH /\ B e. SH ) -> ( A +H B ) = ( B +H A ) ) $=
      ( vx vy vz csh wcel wa cph co cv cva wceq wrex chba shel anim12i ax-hvcom
      an4s shsel syl eqeq2d 2rexbidva rexcom bitrdi wb ancoms 3bitr4d eqrdv ) A
      FGZBFGZHZCABIJZBAIJZULCKZDKZEKZLJZMZEBNDANZUOUQUPLJZMZDANEBNZUOUMGUOUNGZU
      LUTVBEBNDANVCULUSVBDEABULUPAGZUQBGZHHZURVAUOVGUPOGZUQOGZHZURVAMUJVEUKVFVJ
      UJVEHVHUKVFHVIUPAPUQBPQSUPUQRUAUBUCVBDEABUDUEDEABUOTUKUJVDVCUFEDBAUOTUGUH
      UI $.

    $( Vector sum belongs to subspace sum.  (Contributed by NM, 15-Dec-2004.)
       (New usage is discouraged.) $)
    shsva $p |- ( ( A e. SH /\ B e. SH ) -> ( ( C e. A /\ D e. B ) ->
                 ( C +h D ) e. ( A +H B ) ) ) $=
      ( vx vy wcel wa cva co cph cv wceq wrex eqid rspceov mp3an3 shsel syl5ibr
      csh ) CAGZDBGZHCDIJZABKJGATGBTGHUCELFLIJMFBNEANZUAUBUCUCMUDUCOEFABCDUCIPQ
      EFABUCRS $.

    $( A subspace sum contains a member of one of its subspaces.  (Contributed
       by NM, 15-Dec-2004.)  (New usage is discouraged.) $)
    shsel1 $p |- ( ( A e. SH /\ B e. SH ) ->
                  ( C e. A -> C e. ( A +H B ) ) ) $=
      ( csh wcel wa cph co c0v cva wceq chba shel ax-hvaddid syl adantlr adantl
      sh0 shsva mpan2d imp eqeltrrd ex ) ADEZBDEZFZCAEZCABGHZEUFUGFCIJHZCUHUDUG
      UICKZUEUDUGFCLEUJCAMCNOPUFUGUIUHEZUFUGIBEZUKUEULUDBRQABCISTUAUBUC $.

    $( A subspace sum contains a member of one of its subspaces.  (Contributed
       by NM, 15-Dec-2004.)  (New usage is discouraged.) $)
    shsel2 $p |- ( ( A e. SH /\ B e. SH ) ->
                 ( C e. B -> C e. ( A +H B ) ) ) $=
      ( csh wcel wa cph co wi shsel1 ancoms shscom eleq2d sylibrd ) ADEZBDEZFZC
      BEZCBAGHZEZCABGHZEPORTIBACJKQUASCABLMN $.

    $( Vector subtraction belongs to subspace sum.  (Contributed by NM,
       15-Dec-2004.)  (New usage is discouraged.) $)
    shsvs $p |- ( ( A e. SH /\ B e. SH ) ->
                ( ( C e. A /\ D e. B ) -> ( C -h D ) e. ( A +H B ) ) ) $=
      ( csh wcel wa cph w3a cmv shscl a1d shsel1 adantrd shsel2 adantld shsubcl
      co 3jcad syl6 ) AEFBEFGZCAFZDBFZGZABHRZEFZCUEFZDUEFZICDJRUEFUAUDUFUGUHUAU
      FUDABKLUAUBUGUCABCMNUAUCUHUBABDOPSCDUEQT $.

    $( Subspace sum is an upper bound of its arguments.  (Contributed by NM,
       14-Dec-2004.)  (New usage is discouraged.) $)
    shsub1 $p |- ( ( A e. SH /\ B e. SH ) -> A C_ ( A +H B ) ) $=
      ( vx csh wcel wa cph co cv shsel1 ssrdv ) ADEBDEFCAABGHABCIJK $.

    $( Subspace sum is an upper bound of its arguments.  (Contributed by NM,
       17-Dec-2004.)  (New usage is discouraged.) $)
    shsub2 $p |- ( ( A e. SH /\ B e. SH ) -> A C_ ( B +H A ) ) $=
      ( csh wcel wa cph co shsub1 shscom sseqtrd ) ACDBCDEAABFGBAFGABHABIJ $.

    $( The orthocomplement of the zero subspace is the unit subspace.
       (Contributed by NM, 15-Oct-1999.)  (New usage is discouraged.) $)
    choc0 $p |- ( _|_ ` 0H ) = ~H $=
      ( vx vy c0h cort cfv chba cv wcel csp co cc0 wceq wral wa csh wb wi bitri
      c0v wal h0elsh shocel ax-mp hi02 df-ral elch0 imbi1i albii ax-hv0cl elexi
      oveq2 eqeq1d ceqsalv sylibr abai mpbiran2 eqriv ) ACDEZFAGZURHZUSFHZUSBGZ
      IJZKLZBCMZNZVACOHUTVFPUABUSCUBUCVFVAVAVEQVAUSSIJZKLZVEUSUDVEVBCHZVDQZBTZV
      HVDBCUEVKVBSLZVDQZBTVHVJVMBVIVLVDVBUFUGUHVDVHBSSFUIUJVLVCVGKVBSUSIUKULUMR
      RUNVAVEUOUPRUQ $.

    $( The orthocomplement of the unit subspace is the zero subspace.  Does not
       require Axiom of Choice.  (Contributed by NM, 24-Oct-1999.)
       (New usage is discouraged.) $)
    choc1 $p |- ( _|_ ` ~H ) = 0H $=
      ( vx vy chba cort cfv c0h cv wcel c0v wceq csp co cc0 wral wa helsh ax-mp
      csh wb wss shocel simprbi shocss sseli hial0 syl mpbid elch0 sylibr ssriv
      h0elsh shococss choc0 fveq2i sseqtri eqssi ) CDEZFAUQFAGZUQHZURIJZURFHUSU
      RBGKLMJBCNZUTUSURCHZVACRHZUSVBVAOSPBURCUAQUBUSVBVAUTSUQCURVCUQCTPCUCQUDBU
      RUEUFUGURUHUIUJFFDEZDEZUQFRHFVETUKFULQVDCDUMUNUOUP $.

    ${
      $d x y $.
      $( Orthogonal complement of the empty set.  (Contributed by NM,
         31-Oct-2000.)  (New usage is discouraged.) $)
      chocnul $p |- ( _|_ ` (/) ) = ~H $=
        ( vx vy c0 cort cfv chba cv wcel csp co cc0 wceq wral ral0 wss 0ss ocel
        wa wb ax-mp mpbiran2 eqriv ) ACDEZFAGZUCHZUDFHZUDBGIJKLZBCMZUGBNCFOUEUF
        UHRSFPBUDCQTUAUB $.
    $}

    ${
      shintcl.1 $e |- ( A C_ SH /\ A =/= (/) ) $.
      $( Closure of intersection of a nonempty subset of ` SH ` .  (Contributed
         by NM, 14-Oct-1999.)  (New usage is discouraged.) $)
      shintcli $p |- |^| A e. SH $=
        ( vx vy vz csh wcel chba wss c0v wa cv cva co wral csm syl elint2 com12
        cc cint c0 wne simpri wex n0 intss1 simpli sseli shss sstrd sylbi ax-mp
        exlimiv ax-hv0cl elexi sh0 mprgbir pm3.2i elinti shaddcl syl3an1 3expib
        syl2and ralrimiv ovex sylibr rgen2 shmulcl sylan2d issh2 mpbir2an ) AUA
        ZFGVMHIZJVMGZKCLZDLZMNZVMGZDVMOCVMOZVPVQPNZVMGZDVMOCTOZKVNVOAUBUCZVNAFI
        ZWDBUDWDELZAGZEUEVNEAUFWGVNEWGVMWFHWFAUGWGWFFGZWFHIAFWFWEWDBUHUIZWFUJQU
        KUNULUMVOJWFGZEAEJAJHUOUPRWGWHWJWIWFUQQURUSVTWCVSCDVMVMVPVMGZVQVMGZKZVR
        WFGZEAOVSWMWNEAWGWMWNWGWKVPWFGZWLVQWFGZWNWKWGWOVPAWFUTSWLWGWPVQAWFUTSZW
        GWOWPWNWGWHWOWPWNWIVPVQWFVAVBVCVDSVEEVRAVPVQMVFRVGVHWBCDTVMVPTGZWLKZWAW
        FGZEAOWBWSWTEAWGWSWTWGWLWPWRWTWQWGWRWPWTWGWHWRWPWTWIVPVQWFVIVBVCVJSVEEW
        AAVPVQPVFRVGVHUSCDVMVKVL $.
    $}

    $( The intersection of a nonempty set of subspaces is a subspace.
       (Contributed by NM, 2-Jun-2004.)  (New usage is discouraged.) $)
    shintcl $p |- ( ( A C_ SH /\ A =/= (/) ) -> |^| A e. SH ) $=
      ( csh wss c0 wne cint wcel cif wceq inteq eleq1d sseq1 neeq1 anbi12d ssid
      wa c0h h0elsh ne0ii pm3.2i elimhyp shintcli dedth ) ABCZADEZPZAFZBGUFABHZ
      FZBGABAUHIZUGUIBAUHJKUHUFUHBCZUHDEZPBBCZBDEZPABUJUDUKUEULAUHBLAUHDMNBUHIU
      MUKUNULBUHBLBUHDMNUMUNBOQBRSTUAUBUC $.

    ${
      chintcl.1 $e |- ( A C_ CH /\ A =/= (/) ) $.
      $( The intersection of a nonempty set of closed subspaces is a closed
         subspace.  (Contributed by NM, 14-Oct-1999.)
         (New usage is discouraged.) $)
      chintcli $p |- |^| A e. CH $=
        ( vf vx vy cint cch wcel csh cn cv wf chli wbr wa wi wal wss c0 wral
        simpli chsssh sstri simpri pm3.2i shintcli sseli chlimi 3exp com3r syl5
        wne vex imp ralimdva fint elint2 3imtr4g impcom gen2 isch2 mpbir2an ) A
        FZGHVCIHJVCCKZLZVDDKZMNZOVFVCHZPZDQCQAAIRASULZAGIAGRZVJBUAZUBUCVKVJBUDZ
        UEUFVICDVGVEVHVGJEKZVDLZEATVFVNHZEATVEVHVGVOVPEAVGVNAHZVOVPPZVQVNGHZVGV
        RAGVNVLUGVSVOVGVPVSVOVGVPVFVDVNDUMZUHUIUJUKUNUOEJAVDVMUPEVFAVTUQURUSUTD
        CVCVAVB $.
    $}

    $( The intersection (infimum) of a nonempty subset of ` CH ` belongs to
       ` CH ` .  Part of Theorem 3.13 of [Beran] p. 108.  Also part of
       Definition 3.4-1 in [MegPav2000] p. 2345 (PDF p. 8).  (Contributed by
       NM, 14-Oct-1999.)  (New usage is discouraged.) $)
    chintcl $p |- ( ( A C_ CH /\ A =/= (/) ) -> |^| A e. CH ) $=
      ( cch wss c0 wne cint wcel cif wceq inteq eleq1d sseq1 neeq1 anbi12d ssid
      wa c0h h0elch ne0ii pm3.2i elimhyp chintcli dedth ) ABCZADEZPZAFZBGUFABHZ
      FZBGABAUHIZUGUIBAUHJKUHUFUHBCZUHDEZPBBCZBDEZPABUJUDUKUEULAUHBLAUHDMNBUHIU
      MUKUNULBUHBLBUHDMNUMUNBOQBRSTUAUBUC $.

    $( Value of the linear span of a subset of Hilbert space.  The span is the
       intersection of all subspaces constraining the subset.  Definition of
       span in [Schechter] p. 276.  (Contributed by NM, 2-Jun-2004.)  (Revised
       by Mario Carneiro, 23-Dec-2013.)  (New usage is discouraged.) $)
    spanval $p |- ( A C_ ~H -> ( span ` A ) = |^| { x e. SH | A C_ x } ) $=
      ( vy chba wss cv csh crab cint cpw cspn df-span wceq sseq1 rabbidv inteqd
      cvv wcel ax-hilex elpw2 biimpri helsh sseq2 rspcev intexrab sylib fvmptd3
      wrex mpan ) BDEZCBCFZAFZEZAGHZIBULEZAGHZIZDJZKQCALUKBMZUNUPUSUMUOAGUKBULN
      OPBURRUJBDSTUAUJUOAGUHZUQQRDGRUJUTUBUOUJADGULDBUCUDUIUOAGUEUFUG $.

    $( Value of supremum of set of subsets of Hilbert space.  For an alternate
       version of the value, see ~ hsupval2 .  (Contributed by NM, 9-Dec-2003.)
       (Revised by Mario Carneiro, 23-Dec-2013.)
       (New usage is discouraged.) $)
    hsupval $p |- ( A C_ ~P ~H -> ( \/H ` A ) = ( _|_ ` ( _|_ ` U. A ) ) ) $=
      ( vx chba cpw wss wcel chsup cfv cuni cort wceq ax-hilex pwex elpw2 unieq
      cv fveq2d df-chsup fvex fvmpt sylbir ) ACDZEAUBDZFAGHAIZJHZJHZKAUBCLMNBAB
      PZIZJHZJHUFUCGUGAKZUIUEJUJUHUDJUGAOQQBRUEJSTUA $.

    $( The value of the supremum of a set of closed subspaces of Hilbert space.
       For an alternate version of the value, see ~ chsupval2 .  (Contributed
       by NM, 13-Aug-2002.)  (New usage is discouraged.) $)
    chsupval $p |- ( A C_ CH -> ( \/H ` A ) = ( _|_ ` ( _|_ ` U. A ) ) ) $=
      ( cch wss chba cpw chsup cfv cuni cort wceq chsspwh sstr2 mpi hsupval syl
      ) ABCZADEZCZAFGAHIGIGJPBQCRKABQLMANO $.

    $( The span of a subset of Hilbert space is a subspace.  (Contributed by
       NM, 2-Jun-2004.)  (New usage is discouraged.) $)
    spancl $p |- ( A C_ ~H -> ( span ` A ) e. SH ) $=
      ( vx chba wss cspn cfv cv csh crab cint spanval c0 wcel ssrab2 wrex helsh
      wne sseq2 rspcev mpan rabn0 sylibr shintcl sylancr eqeltrd ) ACDZAEFABGZD
      ZBHIZJZHBAKUFUIHDUILQZUJHMUHBHNUFUHBHOZUKCHMUFULPUHUFBCHUGCARSTUHBHUAUBUI
      UCUDUE $.

    $( A member of a span is a vector.  (Contributed by NM, 17-Dec-2004.)
       (New usage is discouraged.) $)
    elspancl $p |- ( ( A C_ ~H /\ B e. ( span ` A ) ) -> B e. ~H ) $=
      ( chba wss cspn cfv csh wcel spancl shel sylan ) ACDAEFZGHBLHBCHAIBLJK $.

    $( Closure of the subspace supremum of set of subsets of Hilbert space.
       (Contributed by NM, 26-Nov-2004.)  (New usage is discouraged.) $)
    shsupcl $p |- ( A C_ ~P ~H -> ( span ` U. A ) e. SH ) $=
      ( chba cpw wss cuni cspn cfv csh wcel uniss unipw sseqtrdi spancl syl ) A
      BCZDZAEZBDQFGHIPQOEBAOJBKLQMN $.

    $( Closure of supremum of set of subsets of Hilbert space.  Note that the
       supremum belongs to ` CH ` even if the subsets do not.  (Contributed by
       NM, 10-Nov-1999.)  (Revised by Mario Carneiro, 15-May-2014.)
       (New usage is discouraged.) $)
    hsupcl $p |- ( A C_ ~P ~H -> ( \/H ` A ) e. CH ) $=
      ( chba cpw wss chsup cfv cuni cort cch hsupval wcel sspwuni ocss occl syl
      sylbi eqeltrd ) ABCDZAEFAGZHFZHFZIAJRSBDZUAIKZABLUBTBDUCSMTNOPQ $.

    $( Closure of supremum of subset of ` CH ` .  Definition of supremum in
       Proposition 1 of [Kalmbach] p. 65.  Shows that ` CH ` is a complete
       lattice.  Also part of Definition 3.4-1 in [MegPav2000] p. 2345 (PDF
       p. 8).  (Contributed by NM, 10-Nov-1999.)
       (New usage is discouraged.) $)
    chsupcl $p |- ( A C_ CH -> ( \/H ` A ) e. CH ) $=
      ( cch wss chba cpw chsup cfv wcel chsspwh sstr2 mpi hsupcl syl ) ABCZADEZ
      CZAFGBHNBOCPIABOJKALM $.

    $( Subset relation for supremum of Hilbert space subsets.  (Contributed by
       NM, 24-Nov-2004.)  (Revised by Mario Carneiro, 15-May-2014.)
       (New usage is discouraged.) $)
    hsupss $p |- ( ( A C_ ~P ~H /\ B C_ ~P ~H ) ->
                  ( A C_ B -> ( \/H ` A ) C_ ( \/H ` B ) ) ) $=
      ( chba cpw wss cuni cort cfv chsup uniss sspwuni occon2 syl2anb syl5 wceq
      wa wi hsupval adantr adantl sseq12d sylibrd ) ACDZEZBUCEZPZABEZAFZGHGHZBF
      ZGHGHZEZAIHZBIHZEUGUHUJEZUFULABJUDUHCEUJCEUOULQUEACKBCKUHUJLMNUFUMUIUNUKU
      DUMUIOUEARSUEUNUKOUDBRTUAUB $.

    $( Subset relation for supremum of subset of ` CH ` .  (Contributed by NM,
       13-Aug-2002.)  (New usage is discouraged.) $)
    chsupss $p |- ( ( A C_ CH /\ B C_ CH ) ->
                  ( A C_ B -> ( \/H ` A ) C_ ( \/H ` B ) ) ) $=
      ( cch wss chba cpw chsup cfv wi chsspwh sstr2 mpi hsupss syl2an ) ACDZAEF
      ZDZBPDZABDAGHBGHDIBCDZOCPDZQJACPKLSTRJBCPKLABMN $.

    $( The union of a set of Hilbert space subsets is smaller than its
       supremum.  (Contributed by NM, 24-Nov-2004.)  (Revised by Mario
       Carneiro, 15-May-2014.)  (New usage is discouraged.) $)
    hsupunss $p |- ( A C_ ~P ~H -> U. A C_ ( \/H ` A ) ) $=
      ( chba cpw wss cuni cort cfv chsup sspwuni ococss sylbi hsupval sseqtrrd
      ) ABCDZAEZOFGFGZAHGNOBDOPDABIOJKALM $.

    $( The union of a set of closed subspaces is smaller than its supremum.
       (Contributed by NM, 14-Aug-2002.)  (New usage is discouraged.) $)
    chsupunss $p |- ( A C_ CH -> U. A C_ ( \/H ` A ) ) $=
      ( cch wss chba cpw cuni chsup cfv chsspwh sstr mpan2 hsupunss syl ) ABCZA
      DEZCZAFAGHCNBOCPIABOJKALM $.

    $( A subset of Hilbert space is included in its span.  (Contributed by NM,
       2-Jun-2004.)  (New usage is discouraged.) $)
    spanss2 $p |- ( A C_ ~H -> A C_ ( span ` A ) ) $=
      ( vx chba wss cv csh crab cint cspn cfv ssintub spanval sseqtrrid ) ACDAB
      EDBFGHAAIJBAFKBALM $.

    $( The union of a set of subspaces is smaller than its supremum.
       (Contributed by NM, 26-Nov-2004.)  (New usage is discouraged.) $)
    shsupunss $p |- ( A C_ SH -> U. A C_ ( span ` U. A ) ) $=
      ( csh wss cuni chba cspn cfv cpw shsspwh sstr mpan2 unissd unipw sseqtrdi
      spanss2 syl ) ABCZADZECRRFGCQREHZDEQASQBSCASCIABSJKLEMNROP $.

    $( A subspace of Hilbert space is its own span.  (Contributed by NM,
       2-Jun-2004.)  (New usage is discouraged.) $)
    spanid $p |- ( A e. SH -> ( span ` A ) = A ) $=
      ( vx csh wcel cspn cfv cv wss crab cint chba wceq shss spanval syl intmin
      eqtrd ) ACDZAEFZABGHBCIJZARAKHSTLAMBANOBACPQ $.

    $( Ordering relationship for the spans of subsets of Hilbert space.
       (Contributed by NM, 2-Jun-2004.)  (New usage is discouraged.) $)
    spanss $p |- ( ( B C_ ~H /\ A C_ B ) -> ( span ` A ) C_ ( span ` B ) ) $=
      ( vx chba wss wa cv csh crab cint cspn cfv wi wral sstr2 ralrimivw ss2rab
      syl wceq spanval sylibr intss adantl sstr ancoms adantr 3sstr4d ) BDEZABE
      ZFZACGZEZCHIZJZBUKEZCHIZJZAKLZBKLZUIUNUQEZUHUIUPUMEZUTUIUOULMZCHNVAUIVBCH
      ABUKOPUOULCHQUAUPUMUBRUCUJADEZURUNSUIUHVCABDUDUECATRUHUSUQSUICBTUFUG $.

    $( The span of a subset of Hilbert space is less than or equal to its
       closure (double orthogonal complement).  (Contributed by NM,
       3-Jun-2004.)  (New usage is discouraged.) $)
    spanssoc $p |- ( A C_ ~H -> ( span ` A ) C_ ( _|_ ` ( _|_ ` A ) ) ) $=
      ( chba wss cspn cfv cort ocss ococss spanss syl2anc wcel wceq ocsh spanid
      syl csh 3syl sseqtrd ) ABCZADEZAFEZFEZDEZUBSUBBCZAUBCTUCCSUABCZUDAGZUAGOA
      HAUBIJSUEUBPKUCUBLUFUAMUBNQR $.

    $( Value of join for subsets of Hilbert space.  (Contributed by NM,
       1-Nov-2000.)  (Revised by Mario Carneiro, 23-Dec-2013.)
       (New usage is discouraged.) $)
    sshjval $p |- ( ( A C_ ~H /\ B C_ ~H ) -> ( A vH B ) =
        ( _|_ ` ( _|_ ` ( A u. B ) ) ) ) $=
      ( vx vy chba wss cpw wcel chj co cun cort cfv ax-hilex elpw2 cv wa uneq12
      wceq fveq2d df-chj fvex ovmpoa syl2anbr ) AEFAEGZHBUEHABIJABKZLMZLMZSBEFA
      ENOBENOCDABUEUECPZDPZKZLMZLMUHIUIASUJBSQZULUGLUMUKUFLUIAUJBRTTCDUAUGLUBUC
      UD $.

    $( Value of join in ` SH ` .  (Contributed by NM, 9-Aug-2000.)
       (New usage is discouraged.) $)
    shjval $p |- ( ( A e. SH /\ B e. SH ) -> ( A vH B ) =
        ( _|_ ` ( _|_ ` ( A u. B ) ) ) ) $=
      ( csh wcel chba wss chj co cun cort cfv wceq shss sshjval syl2an ) ACDAEF
      BEFABGHABIJKJKLBCDAMBMABNO $.

    $( Value of join in ` CH ` .  (Contributed by NM, 9-Aug-2000.)
       (New usage is discouraged.) $)
    chjval $p |- ( ( A e. CH /\ B e. CH ) -> ( A vH B ) =
        ( _|_ ` ( _|_ ` ( A u. B ) ) ) ) $=
      ( cch wcel csh chj co cun cort cfv wceq chsh shjval syl2an ) ACDAEDBEDABF
      GABHIJIJKBCDALBLABMN $.

    ${
      chjval.1 $e |- A e. CH $.
      chjval.2 $e |- B e. CH $.
      $( Value of join in ` CH ` .  (Contributed by NM, 9-Aug-2000.)
         (New usage is discouraged.) $)
      chjvali $p |- ( A vH B ) = ( _|_ ` ( _|_ ` ( A u. B ) ) ) $=
        ( cch wcel chj co cun cort cfv wceq chjval mp2an ) AEFBEFABGHABIJKJKLCD
        ABMN $.
    $}

    $( Value of join for subsets of Hilbert space in terms of supremum: the
       join is the supremum of its two arguments.  Based on the definition of
       join in [Beran] p. 3.  For later convenience we prove a general version
       that works for any subset of Hilbert space, not just the elements of the
       lattice ` CH ` .  (Contributed by NM, 2-Mar-2004.)  (Revised by Mario
       Carneiro, 23-Dec-2013.)  (New usage is discouraged.) $)
    sshjval3 $p |- ( ( A C_ ~H /\ B C_ ~H ) -> ( A vH B ) =
                          ( \/H ` { A , B } ) ) $=
      ( chba wss wa cpr cuni cort cfv cun chsup chj co wcel wceq ax-hilex elpw2
      cpw syl2anbr fveq2d uniprg prssi hsupval syl sshjval 3eqtr4rd ) ACDZBCDZE
      ZABFZGZHIZHIZABJZHIZHIUJKIZABLMUIULUOHUIUKUNHUGACRZNZBUQNZUKUNOUHACPQZBCP
      QZABUQUQUASTTUIUJUQDZUPUMOUGURUSVBUHUTVAABUQUBSUJUCUDABUEUF $.

    $( Closure of join for subsets of Hilbert space.  (Contributed by NM,
       1-Nov-2000.)  (New usage is discouraged.) $)
    sshjcl $p |- ( ( A C_ ~H /\ B C_ ~H ) -> ( A vH B ) e. CH ) $=
      ( chba wss wa chj co cun cort cfv cch sshjval wcel unss ocss occl eqeltrd
      syl sylbi ) ACDBCDEZABFGABHZIJZIJZKABLTUACDZUCKMZABCNUDUBCDUEUAOUBPRSQ $.

    $( Closure of join in ` SH ` .  (Contributed by NM, 2-Nov-1999.)
       (New usage is discouraged.) $)
    shjcl $p |- ( ( A e. SH /\ B e. SH ) -> ( A vH B ) e. CH ) $=
      ( csh wcel chba wss chj co cch shss sshjcl syl2an ) ACDAEFBEFABGHIDBCDAJB
      JABKL $.

    $( Closure of join in ` CH ` .  (Contributed by NM, 2-Nov-1999.)
       (New usage is discouraged.) $)
    chjcl $p |- ( ( A e. CH /\ B e. CH ) -> ( A vH B ) e. CH ) $=
      ( cch wcel csh chj co chsh shjcl syl2an ) ACDAEDBEDABFGCDBCDAHBHABIJ $.

    $( Commutative law for Hilbert lattice join of subspaces.  (Contributed by
       NM, 22-Jun-2004.)  (New usage is discouraged.) $)
    shjcom $p |- ( ( A e. SH /\ B e. SH ) -> ( A vH B ) = ( B vH A ) ) $=
      ( csh wcel wa chj co cun cort cfv shjval wceq ancoms fveq2i eqtrdi eqtr4d
      uncom ) ACDZBCDZEZABFGABHZIJZIJZBAFGZABKTUDBAHZIJZIJZUCSRUDUGLBAKMUFUBIUE
      UAIBAQNNOP $.

    $( Subset implies subset of subspace sum.  (Contributed by Mario Carneiro,
       15-May-2014.)  (New usage is discouraged.) $)
    shless $p |- ( ( ( A e. SH /\ B e. SH /\ C e. SH ) /\ A C_ B ) ->
                   ( A +H C ) C_ ( B +H C ) ) $=
      ( vx vy vz csh wcel w3a wss wa cph co cv cva wceq wrex wb shsel syl2anc
      wi ssrexv adantl simpl1 simpl3 simpl2 3imtr4d ssrdv ) AGHZBGHZCGHZIZABJZK
      ZDACLMZBCLMZUNDNZENFNOMPFCQZEAQZUREBQZUQUOHZUQUPHZUMUSUTUAULUREABUBUCUNUI
      UKVAUSRUIUJUKUMUDUIUJUKUMUEZEFACUQSTUNUJUKVBUTRUIUJUKUMUFVCEFBCUQSTUGUH
      $.

    $( Add disjunct to both sides of Hilbert subspace ordering.  (Contributed
       by NM, 22-Jun-2004.)  (Revised by Mario Carneiro, 15-May-2014.)
       (New usage is discouraged.) $)
    shlej1 $p |- ( ( ( A e. SH /\ B e. SH /\ C e. SH ) /\
                 A C_ B ) -> ( A vH C ) C_ ( B vH C ) ) $=
      ( csh wcel w3a wss wa cun cort cfv chj chba shss syl unssd syl2anc shjval
      co wceq simpr unss1 wi simpl1 simpl3 simpl2 occon2 syl5 mpd 3sstr4d ) ADE
      ZBDEZCDEZFZABGZHZACIZJKJKZBCIZJKJKZACLSZBCLSZUPUOURUTGZUNUOUAUOUQUSGZUPVC
      ABCUBUPUQMGUSMGVDVCUCUPACMUPUKAMGUKULUMUOUDZANOUPUMCMGUKULUMUOUEZCNOZPUPB
      CMUPULBMGUKULUMUOUFZBNOVGPUQUSUGQUHUIUPUKUMVAURTVEVFACRQUPULUMVBUTTVHVFBC
      RQUJ $.

    $( Add disjunct to both sides of Hilbert subspace ordering.  (Contributed
       by NM, 22-Jun-2004.)  (New usage is discouraged.) $)
    shlej2 $p |- ( ( ( A e. SH /\ B e. SH /\ C e. SH ) /\
                 A C_ B ) -> ( C vH A ) C_ ( C vH B ) ) $=
      ( csh wcel w3a wss wa chj co shlej1 shjcom 3adant2 adantr 3adant1 3sstr3d
      wceq ) ADEZBDEZCDEZFZABGZHACIJZBCIJZCAIJZCBIJZABCKUAUCUEQZUBRTUGSACLMNUAU
      DUFQZUBSTUHRBCLONP $.

    shincl.1 $e |- A e. SH $.
    shincl.2 $e |- B e. SH $.
    $( Closure of intersection of two subspaces.  (Contributed by NM,
       19-Oct-1999.)  (New usage is discouraged.) $)
    shincli $p |- ( A i^i B ) e. SH $=
      ( cpr cint cin csh elexi intpr wss c0 wne wcel wa prss mpbi prnz shintcli
      pm3.2i eqeltrri ) ABEZFABGHABAHCIZBHDIZJUBUBHKZUBLMAHNZBHNZOUEUFUGCDTABHU
      CUDPQABUCRTSUA $.

    $( Commutative law for subspace sum.  (Contributed by NM, 17-Oct-1999.)
       (New usage is discouraged.) $)
    shscomi $p |- ( A +H B ) = ( B +H A ) $=
      ( csh wcel cph co wceq shscom mp2an ) AEFBEFABGHBAGHICDABJK $.

    $( Vector sum belongs to subspace sum.  (Contributed by NM, 17-Oct-1999.)
       (New usage is discouraged.) $)
    shsvai $p |- ( ( C e. A /\ D e. B ) -> ( C +h D ) e. ( A +H B ) ) $=
      ( csh wcel wa cva co cph wi shsva mp2an ) AGHBGHCAHDBHICDJKABLKHMEFABCDNO
      $.

    $( A subspace sum contains a member of one of its subspaces.  (Contributed
       by NM, 19-Oct-1999.)  (New usage is discouraged.) $)
    shsel1i $p |- ( C e. A -> C e. ( A +H B ) ) $=
      ( csh wcel cph co wi shsel1 mp2an ) AFGBFGCAGCABHIGJDEABCKL $.

    $( A subspace sum contains a member of one of its subspaces.  (Contributed
       by NM, 19-Oct-1999.)  (New usage is discouraged.) $)
    shsel2i $p |- ( C e. B -> C e. ( A +H B ) ) $=
      ( csh wcel cph co wi shsel2 mp2an ) AFGBFGCBGCABHIGJDEABCKL $.

    $( Vector subtraction belongs to subspace sum.  (Contributed by NM,
       19-Oct-1999.)  (New usage is discouraged.) $)
    shsvsi $p |- ( ( C e. A /\ D e. B ) -> ( C -h D ) e. ( A +H B ) ) $=
      ( csh wcel wa cmv co cph wi shsvs mp2an ) AGHBGHCAHDBHICDJKABLKHMEFABCDNO
      $.

    $( Union is smaller than subspace sum.  (Contributed by NM, 18-Oct-1999.)
       (New usage is discouraged.) $)
    shunssi $p |- ( A u. B ) C_ ( A +H B ) $=
      ( vx vy vz co cv wcel cva wceq wrex c0v sheli eqcomd syl csh sh0 ax-mp wo
      cun chba ax-hvaddid rspceov mp3an2 mpdan hvaddid2 mp3an1 jaoi elun shseli
      cph 3imtr4i ssriv ) EABUBZABUMHZEIZAJZURBJZUAURFIGIKHLGBMFAMZURUPJURUQJUS
      VAUTUSURURNKHZLZVAUSURUCJZVCURACOVDVBURURUDPQUSNBJZVCVABRJVEDBSTFGABURNUR
      KUEUFUGUTURNURKHZLZVAUTVDVGURBDOVDVFURURUHPQNAJZUTVGVAARJVHCASTFGABNURURK
      UEUIUGUJURABUKFGABURCDULUNUO $.

    $( Union is smaller than Hilbert lattice join.  (Contributed by NM,
       11-Jun-2004.)  (Revised by Mario Carneiro, 15-May-2014.)
       (New usage is discouraged.) $)
    shunssji $p |- ( A u. B ) C_ ( A vH B ) $=
      ( cun cort cfv chj co chba wss shssii unssi ococss ax-mp wcel wceq shjval
      csh mp2an sseqtrri ) ABEZUBFGFGZABHIZUBJKUBUCKABJACLBDLMUBNOASPBSPUDUCQCD
      ABRTUA $.

    $( Subspace sum is smaller than Hilbert lattice join.  Remark in [Kalmbach]
       p. 65.  (Contributed by NM, 19-Oct-1999.)  (Revised by Mario Carneiro,
       15-May-2014.)  (New usage is discouraged.) $)
    shsleji $p |- ( A +H B ) C_ ( A vH B ) $=
      ( vx vy vz cph co chj cv wcel cva wceq wrex shseli wa sstri sseli csh cun
      wi ssun1 shunssji ssun2 cch shjcl chshii shaddcl mp3an1 syl2an eleq1a syl
      mp2an rexlimivv sylbi ssriv ) EABHIZABJIZEKZURLUTFKZGKZMIZNZGBOFAOUTUSLZF
      GABUTCDPVDVEFGABVAALZVBBLZQVCUSLZVDVEUBVFVAUSLZVBUSLZVHVGAUSVAAABUAZUSABU
      CABCDUDZRSBUSVBBVKUSBAUEVLRSUSTLVIVJVHUSATLBTLUSUFLCDABUGUNUHVAVBUSUIUJUK
      VCUSUTULUMUOUPUQ $.

    $( Commutative law for join in ` SH ` .  (Contributed by NM, 19-Oct-1999.)
       (New usage is discouraged.) $)
    shjcomi $p |- ( A vH B ) = ( B vH A ) $=
      ( csh wcel chj co wceq shjcom mp2an ) AEFBEFABGHBAGHICDABJK $.

    $( Subspace sum is an upper bound of its arguments.  (Contributed by NM,
       19-Oct-1999.)  (New usage is discouraged.) $)
    shsub1i $p |- A C_ ( A +H B ) $=
      ( vx cph co cv shsel1i ssriv ) EAABFGABEHCDIJ $.

    $( Subspace sum is an upper bound of its arguments.  (Contributed by NM,
       17-Dec-2004.)  (New usage is discouraged.) $)
    shsub2i $p |- A C_ ( B +H A ) $=
      ( vx cph co cv shsel2i ssriv ) EABAFGBAEHDCIJ $.

    $( Hilbert lattice join is an upper bound of two subspaces.  (Contributed
       by NM, 19-Oct-1999.)  (New usage is discouraged.) $)
    shub1i $p |- A C_ ( A vH B ) $=
      ( cph co chj shsub1i shsleji sstri ) AABEFABGFABCDHABCDIJ $.

    $( Closure of ` CH ` join.  (Contributed by NM, 19-Oct-1999.)
       (New usage is discouraged.) $)
    shjcli $p |- ( A vH B ) e. CH $=
      ( csh wcel chj co cch shjcl mp2an ) AEFBEFABGHIFCDABJK $.

    $( ` SH ` closure of join.  (Contributed by NM, 5-May-2000.)
       (New usage is discouraged.) $)
    shjshcli $p |- ( A vH B ) e. SH $=
      ( chj co shjcli chshii ) ABEFABCDGH $.

    shless.1 $e |- C e. SH $.
    $( Subset implies subset of subspace sum.  (Contributed by NM,
       18-Nov-2000.)  (New usage is discouraged.) $)
    shlessi $p |- ( A C_ B -> ( A +H C ) C_ ( B +H C ) ) $=
      ( csh wcel wss cph co wi w3a shless ex mp3an ) AGHZBGHZCGHZABIZACJKBCJKIZ
      LDEFQRSMTUAABCNOP $.

    $( Add disjunct to both sides of Hilbert subspace ordering.  (Contributed
       by NM, 19-Oct-1999.)  (Revised by Mario Carneiro, 15-May-2014.)
       (New usage is discouraged.) $)
    shlej1i $p |- ( A C_ B -> ( A vH C ) C_ ( B vH C ) ) $=
      ( csh wcel wss chj co wi w3a shlej1 ex mp3an ) AGHZBGHZCGHZABIZACJKBCJKIZ
      LDEFQRSMTUAABCNOP $.

    $( Add disjunct to both sides of Hilbert subspace ordering.  (Contributed
       by NM, 19-Oct-1999.)  (New usage is discouraged.) $)
    shlej2i $p |- ( A C_ B -> ( C vH A ) C_ ( C vH B ) ) $=
      ( wss chj co shlej1i shjcomi 3sstr4g ) ABGACHIBCHICAHICBHIABCDEFJCAFDKCBF
      EKL $.
  $}

  $( Subspace sum is smaller than subspace join.  Remark in [Kalmbach] p. 65.
     (Contributed by NM, 12-Jul-2004.)  (New usage is discouraged.) $)
  shslej $p |- ( ( A e. SH /\ B e. SH ) -> ( A +H B ) C_ ( A vH B ) ) $=
    ( csh wcel cph co chj wss chba cif oveq1 sseq12d oveq2 helsh elimel shsleji
    wceq dedth2h ) ACDZBCDZABEFZABGFZHSAIJZBEFZUCBGFZHUCTBIJZEFZUCUFGFZHABIIAUC
    QUAUDUBUEAUCBEKAUCBGKLBUFQUDUGUEUHBUFUCEMBUFUCGMLUCUFAICNOBICNOPR $.

  $( Closure of intersection of two subspaces.  (Contributed by NM,
     24-Jun-2004.)  (New usage is discouraged.) $)
  shincl $p |- ( ( A e. SH /\ B e. SH ) -> ( A i^i B ) e. SH ) $=
    ( csh wcel cin chba wceq ineq1 eleq1d ineq2 helsh elimel shincli dedth2h
    cif ) ACDZBCDZABEZCDPAFOZBEZCDSQBFOZEZCDABFFASGRTCASBHIBUAGTUBCBUASJISUAAFC
    KLBFCKLMN $.

  $( Hilbert lattice join is an upper bound of two subspaces.  (Contributed by
     NM, 22-Jun-2004.)  (New usage is discouraged.) $)
  shub1 $p |- ( ( A e. SH /\ B e. SH ) -> A C_ ( A vH B ) ) $=
    ( csh wcel wa cph co chj shsub1 shslej sstrd ) ACDBCDEAABFGABHGABIABJK $.

  $( A subspace is a subset of its Hilbert lattice join with another.
     (Contributed by NM, 22-Jun-2004.)  (New usage is discouraged.) $)
  shub2 $p |- ( ( A e. SH /\ B e. SH ) -> A C_ ( B vH A ) ) $=
    ( csh wcel wa chj co shub1 shjcom sseqtrd ) ACDBCDEAABFGBAFGABHABIJ $.

  ${
    $d x y z A $.
    shsidm.1 $e |- A e. SH $.
    $( Idempotent law for Hilbert subspace sum.  (Contributed by NM,
       6-Jun-2004.)  (New usage is discouraged.) $)
    shsidmi $p |- ( A +H A ) = A $=
      ( vx vy vz cph co wcel cva wceq wrex shseli csh shaddcl mp3an1 syl5ibrcom
      cv wa eleq1 rexlimivv sylbi ssriv shsub1i eqssi ) AAFGZACUEACQZUEHUFDQZEQ
      ZIGZJZEAKDAKUFAHZDEAAUFBBLUJUKDEAAUGAHZUHAHZRUKUJUIAHZAMHULUMUNBUGUHANOUF
      UIASPTUAUBAABBUCUD $.
  $}

  ${
    shslub.1 $e |- A e. SH $.
    shslub.2 $e |- B e. SH $.
    shslub.3 $e |- C e. SH $.
    $( The least upper bound law for Hilbert subspace sum.  (Contributed by NM,
       15-Jun-2004.)  (New usage is discouraged.) $)
    shslubi $p |- ( ( A C_ C /\ B C_ C ) <-> ( A +H B ) C_ C ) $=
      ( wss wa cph co shlessi shscomi sseqtrdi shsidmi sylan9ss shsub1i shsub2i
      sstr mpan jca impbii ) ACGZBCGZHABIJZCGZUBUCUDBCIJZCUBUDCBIJUFACBDFEKCBFE
      LMUCUFCCIJCBCCEFFKCFNMOUEUBUCAUDGUEUBABDEPAUDCRSBUDGUEUCBAEDQBUDCRSTUA $.
  $}

  ${
    $d x A $.  $d x B $.
    shlesb1.1 $e |- A e. SH $.
    shlesb1.2 $e |- B e. SH $.
    $( Hilbert lattice ordering in terms of subspace sum.  (Contributed by NM,
       23-Nov-2004.)  (New usage is discouraged.) $)
    shlesb1i $p |- ( A C_ B <-> ( A +H B ) = B ) $=
      ( wss cph wceq ssid biantrur shslubi shsub2i eqss mpbiran2 shscomi sseq1i
      wa co bitr2i 3bitri ) ABEZBBEZTPBAFQZBEZABFQZBGZUATBHIBABDCDJUEUDBEZUCUEU
      FBUDEBADCKUDBLMUDUBBABCDNORS $.

    $( An alternate way to express subspace sum.  (Contributed by NM,
       25-Nov-2004.)  (New usage is discouraged.) $)
    shsval2i $p |- ( A +H B ) = |^| { x e. SH | ( A u. B ) C_ x } $=
      ( cph co cun cv wss csh crab cint wa ssun1 ssintub sstri ssun2 wcel mp2an
      pm3.2i c0 wne ssrab2 wrex shscli shunssi sseq2 rspcev rabn0 mpbir shintcl
      shslubi mpbi elrab mpbir2an intss1 ax-mp eqssi ) BCFGZBCHZAIZJZAKLZMZBVEJ
      ZCVEJZNUTVEJVFVGBVAVEBCOAVAKPZQCVAVECBRVHQUABCVEDEVDKJVDUBUCZVEKSVCAKUDVI
      VCAKUEZUTKSZVAUTJZVJBCDEUFZBCDEUGZVCVLAUTKVBUTVAUHZUITVCAKUJUKVDULTUMUNUT
      VDSZVEUTJVPVKVLVMVNVCVLAUTKVOUOUPUTVDUQURUS $.

    $( An alternate way to express subspace sum.  (Contributed by NM,
       25-Nov-2004.)  (New usage is discouraged.) $)
    shsval3i $p |- ( A +H B ) = ( span ` ( A u. B ) ) $=
      ( vx cph co cun cv wss csh crab cint cspn shsval2i chba wceq shssii unssi
      cfv spanval ax-mp eqtr4i ) ABFGABHZEIJEKLMZUDNTZEABCDOUDPJUFUEQABPACRBDRS
      EUDUAUBUC $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    shmod.1 $e |- A e. SH $.
    shmod.2 $e |- B e. SH $.
    shmod.3 $e |- C e. SH $.
    $( The modular law holds for subspace sum.  Similar to part of Theorem 16.9
       of [MaedaMaeda] p. 70.  (Contributed by NM, 23-Nov-2004.)
       (New usage is discouraged.) $)
    shmodsi $p |- ( A C_ C -> ( ( A +H B ) i^i C ) C_ ( A +H ( B i^i C ) ) ) $=
      ( vz vx vy cph co cin cv wcel wa elin wceq wi chba sheli wss cva wrex cmv
      shseli wb w3a hvsubadd syl3an eqcom bitrdi 3expb shsvsi eleqtrdi shlesb1i
      shscomi biimpi eleq2d syl5ib eleq1 biimpd sylan9 anim2d syl6ibr ex ancoms
      com13 anasss sylbird imp shincli shsvai syl5ibr expd com12 ad2antrl exp31
      syld rexlimdvv syl5bi impd ssrdv ) ACUAZGABJKZCLZABCLZJKZGMZWENWHWDNZWHCN
      ZOWCWHWGNZWHWDCPWCWIWJWKWJWIWCWKWIWHHMZIMZUBKZQZIBUCHAUCWJWCWKRZHIABWHDEU
      EWJWOWPHIABWJWLANZWMBNZOZWOWPWJWSOZWOOWCWMWFNZWKWTWOWCXARZWTWOWHWLUDKZWMQ
      ZXBWJWQWRXDWOUFWJWQWRUGXDWNWHQZWOWJWHSNWQWLSNWRWMSNXDXEUFWHCFTWLADTWMBETW
      HWLWMUHUIWNWHUJUKULWJWQWRXDXBRZWRWJWQOZXFWCXDWRXGOZXAWCXDXHXARWCXDOZXHWRW
      MCNZOXAXIXGXJWRWCXGXCCNZXDXJXGXCACJKZNWCXKXGXCCAJKXLCAWHWLFDUMCAFDUPUNWCX
      LCXCWCXLCQACDFUOUQURUSXDXKXJXCWMCUTVAVBVCWMBCPVDVEVGVFVHVIVJWTWOXAWKRZWQW
      OXMRWJWRWOWQXMWOWQXAWKWQXAOWKWOWNWGNAWFWLWMDBCEFVKVLWHWNWGUTVMVNVOVPVJVRV
      QVSVTVGWAVTWB $.

    $( The modular law is implied by the closure of subspace sum.  Part of
       proof of Theorem 16.9 of [MaedaMaeda] p. 70.  (Contributed by NM,
       23-Nov-2004.)  (New usage is discouraged.) $)
    shmodi $p |- ( ( ( A +H B ) = ( A vH B ) /\ A C_ C ) ->
                ( ( A vH B ) i^i C ) C_ ( A vH ( B i^i C ) ) ) $=
      ( cph co chj wceq wss cin shmodsi ineq1 sseq1d syl5ib imp shincli shsleji
      wa sstrdi ) ABGHZABIHZJZACKZTUCCLZABCLZGHZAUGIHUDUEUFUHKZUEUBCLZUHKUDUIAB
      CDEFMUDUJUFUHUBUCCNOPQAUGDBCEFRSUA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Projection theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z A $.  $d x B $.  $d x C $.  $d x y z H $.  $d x T $.
    pjhth.1 $e |- H e. CH $.
    pjhth.2 $e |- ( ph -> A e. ~H ) $.
    ${
      pjhth.3 $e |- ( ph -> B e. H ) $.
      pjhth.4 $e |- ( ph -> C e. H ) $.
      pjhth.5 $e |- ( ph -> A. x e. H ( normh ` ( A -h B ) ) <_
                     ( normh ` ( A -h x ) ) ) $.
      pjhth.6 $e |- T = ( ( ( A -h B ) .ih C ) / ( ( C .ih C ) + 1 ) ) $.
      $( Lemma for ~ pjhth .  (Contributed by NM, 10-Oct-1999.)  (Revised by
         Mario Carneiro, 15-May-2014.)  (Proof shortened by AV, 10-Jul-2022.)
         (New usage is discouraged.) $)
      pjhthlem1 $p |- ( ph -> ( ( A -h B ) .ih C ) = 0 ) $=
        ( co wcel cc0 wceq cle cmul cdiv cmv csp chba cheli syl hvsubcl syl2anc
        cc hicl cabs cfv abscld recnd c2 cexp wbr cneg resqcld renegcld hiidrcl
        caddc cr 2re readdcl sylancl c1 0red peano2re hiidge0 ltp1d lelttrd clt
        df-2 oveq2i ax-1cn addass mp3an23 eqtr4id breqtrrd lttrd elrpd csm cmin
        cno cva cv fveq2d breq2d csh chshii a1i ge0p1rpd rpne0d divcld eqeltrid
        oveq2 shmulcl syl3anc shaddcl rspcdva normcl normge0 letrd le2sqd mpbid
        hvsubass subge0d mpbird cz 2z rpexpcl rerpdivcld remulcld negcld pncand
        crp normsq his2sub his2sub2 oveq1d subcld eqeltrd subsub4d adddid cjcld
        oveq2d ccj his5 mulcomd divassd absvalsqd fveq2i syl5eq 3eqtr4rd 3eqtrd
        eqtrd oveq12d div23d wb eqtr3d cjdivd cjred sqvald divcan5d eqtr2d hire
        syl22anc absdivd rpge0d absidd 3eqtr3d 3eqtr4d negsubd addcomd mulneg2d
        sqdivd pncan2 subdid 3eqtr2d ge0divd mulneg12 prodge0ld le0neg1d sqge0d
        his35 wa 0re letri3 mpbir2and sqeq0d abs00d ) ACDUANZEUBNZAUVLUCOZEUCOZ
        UVMUHOACUCOZDUCOZUVNIADGOZUVQJDGHUDUEZCDUFUGZAEGOZUVOKEGHUDUEZUVLEUIUGZ
        AUVMUJUKZAUWDAUVMUWCULZUMZAUWDUNUONZPQZUWGPRUPZPUWGRUPZAUWIPUWGUQZRUPAU
        WKEEUBNZUNVANZAUWGAUWDUWEURZUSAUWMAUWLVBOZUNVBOUWMVBOAUVOUWOUWBEUTUEZVC
        UWLUNVDVEZAPUWLVFVANZUWMAVGZAUWOUWRVBOUWPUWLVHUEZUWQAPUWLUWRUWSUWPUWTAU
        VOPUWLRUPUWBEVIUEZAUWLUWPVJVKAUWRUWRVFVANZUWMVLAUWRUWTVJAUWMUWLVFVFVANZ
        VANZUXBUNUXCUWLVAVMVNAUWLUHOZUXBUXDQZAUWLUWPUMZUXEVFUHOZUXHUXFVOVOUWLVF
        VFVPVQUEVRZVSVTWAAPUWGUWMUQZSNZUWKUWMSNZRAPUXKRUPPUXKUWRUNUONZTNZRUPAPU
        VLFEWBNZUANZWDUKZUNUONZUVLWDUKZUNUONZWCNZUXNRAPUYARUPUXTUXRRUPZAUXSUXQR
        UPUYBAUXSCDUXOWENZUANZWDUKZUXQRAUXSCBWFZUANZWDUKZRUPUXSUYERUPBGUYCUYFUY
        CQZUYHUYEUXSRUYIUYGUYDWDUYFUYCCUAWPWGWHLAGWIOZUVRUXOGOZUYCGOUYJAGHWJWKZ
        JAUYJFUHOZUWAUYKUYLAFUVMUWRTNZUHMAUVMUWRUWCAUWRUWTUMZAUWRAUWLUWPUXAWLZW
        MZWNWOZKFEGWQWRZDUXOGWSWRWTAUXPUYDWDAUVPUVQUXOUCOZUXPUYDQIUVSAUYKUYTUYS
        UXOGHUDUEZCDUXOXFWRWGVSZAUXSUXQAUVNUXSVBOUVTUVLXAUEZAUXPUCOZUXQVBOAUVNU
        YTVUDUVTVUAUVLUXOUFUGZUXPXAUEZAUVNPUXSRUPUVTUVLXBUEZAPUXSUXQUWSVUCVUFVU
        GVUBXCXDXEAUXRUXTAUXQVUFURAUXSVUCURXGXHAUWGUXMTNZUWMSNZUQZUVLUVLUBNZVAN
        ZVUKWCNVUJUYAUXNAVUJVUKAVUIAVUIAVUHUWMAUWGUXMUWNAUWRXPOUNXIOUXMXPOUYPXJ
        UWRUNXKVEZXLZUWQXMUMZXNZAUVNUVNVUKUHOUVTUVTUVLUVLUIUGZXOAUXRVULUXTVUKWC
        AUXRVUKVUIWCNZVUKVUJVANVULAUXRUXPUXPUBNZUVLUXPUBNZUXOUXPUBNZWCNZVURAVUD
        UXRVUSQVUEUXPXQUEAUVNUYTVUDVUSVVBQUVTVUAVUEUVLUXOUXPXRWRAVVBVUKUVLUXOUB
        NZWCNZVVAWCNVUKVVCVVAVANZWCNVURAVUTVVDVVAWCAUVNUVNUYTVUTVVDQUVTUVTVUAUV
        LUVLUXOXSWRXTAVUKVVCVVAVUQAUVNUYTVVCUHOUVTVUAUVLUXOUIUGAVVAUXOUVLUBNZUX
        OUXOUBNZWCNZUHAUYTUVNUYTVVAVVHQVUAUVTVUAUXOUVLUXOXSWRZAVVFVVGAUYTUVNVVF
        UHOVUAUVTUXOUVLUIUGAUYTUYTVVGUHOVUAVUAUXOUXOUIUGYAYBYCAVVEVUIVUKWCAVUHU
        XBSNVUHUWRSNZVUHVFSNZVANVUIVVEAVUHUWRVFAVUHVUNUMZUYOUXHAVOWKYDAUWMUXBVU
        HSUXIYFAVVCVVJVVAVVKVAAVVCUWGUWRTNZUWGUWRSNZUXMTNZVVJAVVCFYGUKZUVMSNZUV
        MVVPSNZVVMAUYMUVNUVOVVCVVQQUYRUVTUWBFUVLEYHWRAVVPUVMAFUYRYEUWCYIAUVMUVM
        YGUKZSNZUWRTNUVMVVSUWRTNZSNVVMVVRAUVMVVSUWRUWCAUVMUWCYEUYOUYQYJAUWGVVTU
        WRTAUVMUWCYKXTAVVPVWAUVMSAVVPUYNYGUKZVWAFUYNYGMYLAVWBVVSUWRYGUKZTNVWAAU
        VMUWRUWCUYOUYQUUAAVWCUWRVVSTAUWRUWTUUBYFYPYMYFYNYOAVVOUWRUWGSNZUWRUWRSN
        ZTNVVMAVVNVWDUXMVWETAUWGUWRAUWGUWNUMZUYOYIAUWRUYOUUCYQAUWGUWRUWRVWFUYOU
        YOUYQUYQUUDUUEAUWGUWRUXMVWFUYOAUXMAUWRUWTURUMZAUXMVUMWMZYRYOZAVVHVVJVUH
        UWLSNZWCNZVVAVVKAVVFVVJVVGVWJWCAVVCVVFVVJAVVCVBOZVVCVVFQZAVVCVVJVBVWIAV
        UHUWRVUNUWTXMYBAUVNUYTVWLVWMYSUVTVUAUVLUXOUUFUGXEVWIYTAVVGFVVPSNZUWLSNZ
        VWJAUYMUYMUVOUVOVVGVWOQUYRUYRUWBUWBFFEEUVEUUGAVWNVUHUWLSAFUJUKZUNUONUWD
        UWRTNZUNUONVWNVUHAVWPVWQUNUOAVWPUYNUJUKZVWQFUYNUJMYLAVWRUWDUWRUJUKZTNVW
        QAUVMUWRUWCUYOUYQUUHAVWSUWRUWDTAUWRUWTAUWRUYPUUIUUJYFYPYMXTAFUYRYKAUWDU
        WRUWFUYOUYQUUPUUKXTYPYQVVIAVUHUWRUWLWCNZSNVVKVWKAVWTVFVUHSAUXEUXHVWTVFQ
        UXGVOUWLVFUUQVEYFAVUHUWRUWLVVLUYOUXGUURYTUULYQYNYFYOYOAVUKVUIVUQVUOUUMA
        VUKVUJVUQVUPUUNUUSAUVNUXTVUKQUVTUVLXQUEYQAUXNVUHUXJSNVUJAUWGUXJUXMVWFAU
        XJAUWMUWQUSZUMVWGVWHYRAVUHUWMVVLAUWMUWQUMZUUOYPYNVSAUXKUXMAUWGUXJUWNVXA
        XMVUMUUTXHAUWGUHOUWMUHOUXLUXKQVWFVXBUWGUWMUVAUGVSUVBAUWGUWNUVCXHAUWDUWE
        UVDAUWGVBOPVBOUWHUWIUWJUVFYSUWNUVGUWGPUVHVEUVIUVJUVK $.
    $}

    $d x y z ph $.
    $( Lemma for ~ pjhth .  (Contributed by NM, 10-Oct-1999.)  (Revised by
       Mario Carneiro, 15-May-2014.)  (New usage is discouraged.) $)
    pjhthlem2 $p |- ( ph -> E. x e. H E. y e. ( _|_ ` H ) A = ( x +h y ) ) $=
      ( vz cv cmv co cno cfv cva wceq wcel wa chba syl2anc cop cle wbr wral csp
      cort wrex cc0 adantr cheli ad2antrl hvsubcl c1 caddc cdiv simplrl simplrr
      simpr eqid pjhthlem1 ralrimiva csh wb chshii shocel ax-mp sylanbrc eqcomd
      hvpncan3 oveq2 rspceeqv wreu csm cxp cres cc df-hba hhvs hhnm hhssba hhph
      ccphlo a1i css ccbn hhsst hhssbnOLD elin mpbir2an minveco reurex reximddv
      cin syl ) ADBIZJKZLMDHIJKLMUAUBHEUCZDWNCIZNKZOCEUEMZUFZBEAWNEPZWPQZQZWOWS
      PZDWNWONKZOWTXCWORPZWOWQUDKZUGOZCEUCZXDXCDRPZWNRPZXFAXJXBGUHZXAXKAWPWNEFU
      IUJZDWNUKSXCXHCEXCWQEPZQHDWNWQXGWQWQUDKULUMKUNKZEFXCXJXNXLUHAXAWPXNUOXCXN
      UQAXAWPXNUPXOURUSUTEVAPZXDXFXIQVBEFVCZCWOEVDVEVFXCXEDXCXKXJXEDOXMXLWNDVHS
      VGCWOWSWRXEDWQWOWNNVIVJSAWPBEVKWPBEUFABHDNVLTLTZJLNEEVMVNVLVOEVMVNTLEVNTZ
      REVPXRXRURZVQXRXTVREXSXSURZXQVSXRWAPAXRXTVTWBXSXRWCMZWDWLPZAYCXSYBPZXSWDP
      XPYDXQXREXSXTYAWEVEEXSYAFWFXSYBWDWGWHWBGWIWPBEWJWMWK $.
  $}

  ${
    $d x y z H $.
    $( Projection Theorem:  Any Hilbert space vector ` A ` can be decomposed
       uniquely into a member ` x ` of a closed subspace ` H ` and a member
       ` y ` of the complement of the subspace.  Theorem 3.7(i) of [Beran]
       p. 102 (existence part).  (Contributed by NM, 23-Oct-1999.)  (Revised by
       Mario Carneiro, 14-May-2014.)  (New usage is discouraged.) $)
    pjhth $p |- ( H e. CH -> ( H +H ( _|_ ` H ) ) = ~H ) $=
      ( vx vy vz cch wcel cort cfv cph co chba csh chsh shocsh syl2anc2 cv wceq
      wss wrex wi shsss cva fveq2 rexeqdv rexeqbi1dv imbi2d ifchhv id pjhthlem2
      cif dedth wb shsel sylibrd ssrdv eqssd ) AEFZAAGHZIJZKUQALFZURLFZUSKRAMZA
      NZAURUAOUQBKUSUQBPZKFZVDCPDPUBJQZDURSZCASZVDUSFZUQVEVHTVEVFDUQAKUJZGHZSZC
      VJSZTAKAVJQZVHVMVEVGVLCAVJVNVFDURVKAVJGUCUDUEUFVECDVDVJAUGVEUHUIUKUQUTVAV
      IVHULVBVCCDAURVDUMOUNUOUP $.
  $}

  ${
    $d x y A $.  $d x y H $.
    $( Projection Theorem:  Any Hilbert space vector ` A ` can be decomposed
       uniquely into a member ` x ` of a closed subspace ` H ` and a member
       ` y ` of the complement of the subspace.  Theorem 3.7(i) of [Beran]
       p. 102.  See ~ pjhtheu2 for the uniqueness of ` y ` .  (Contributed by
       NM, 23-Oct-1999.)  (Revised by Mario Carneiro, 14-May-2014.)
       (New usage is discouraged.) $)
    pjhtheu $p |- ( ( H e. CH /\ A e. ~H ) ->
                   E! x e. H E. y e. ( _|_ ` H ) A = ( x +h y ) ) $=
      ( cch wcel chba wa cv cva co wceq cort cfv wrex wmo wreu cph csh syl chsh
      pjhth eleq2d shocsh shsel syl2anc2 bitr3d biimpa cin ocin pjhthmo syl3anc
      wb c0h adantr wrmo reu5 df-rmo anbi2i bitri sylanbrc ) DEFZCGFZHCAIZBIJKL
      BDMNZOZADOZVDDFVFHAPZVFADQZVBVCVGVBCDVERKZFZVCVGVBVJGCDUBUCVBDSFZVESFZVKV
      GUMDUAZDUDZABDVECUEUFUGUHVBVHVCVBVLVMDVEUIUNLZVHVNVBVLVMVNVOTVBVLVPVNDUJT
      ABDVECUKULUOVIVGVFADUPZHVGVHHVFADUQVQVHVGVFADURUSUTVA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Projectors
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d h x y z $.
    $( Define the projection function on a Hilbert space, as a mapping from the
       Hilbert lattice to a function on Hilbert space.  Every closed subspace
       is associated with a unique projection function.  Remark in [Kalmbach]
       p. 66, adopted as a definition. ` ( projh `` H ) `` A ` is the
       projection of vector ` A ` onto closed subspace ` H ` .  Note that the
       range of ` projh ` is the set of all projection operators, so
       ` T e. ran projh ` means that ` T ` is a projection operator.
       (Contributed by NM, 23-Oct-1999.)  (New usage is discouraged.) $)
    df-pjh $a |- projh = ( h e. CH |-> ( x e. ~H |->
           ( iota_ z e. h E. y e. ( _|_ ` h ) x = ( z +h y ) ) ) ) $.
  $}

  ${
    $d h x y z H $.  $d x y z A $.  $d x y z B $.
    $( The value of the projection map.  (Contributed by NM, 23-Oct-1999.)
       (Revised by Mario Carneiro, 15-Dec-2013.)
       (New usage is discouraged.) $)
    pjhfval $p |- ( H e. CH -> ( projh ` H ) = ( x e. ~H |->
           ( iota_ z e. H E. y e. ( _|_ ` H ) x = ( z +h y ) ) ) ) $=
      ( vh chba cv cva co wceq cort cfv wrex crio cmpt cch cpjh fveq2 rexeqdv
      id riotaeqbidv mpteq2dv df-pjh ax-hilex mptex fvmpt ) EDAFAGCGBGHIJZBEGZK
      LZMZCUHNZOAFUGBDKLZMZCDNZOPQUHDJZAFUKUNUOUJUMCUHDUOTUOUGBUIULUHDKRSUAUBAB
      CEUCAFUNUDUEUF $.

    $( Value of a projection.  (Contributed by NM, 23-Oct-1999.)  (Revised by
       Mario Carneiro, 15-Dec-2013.)  (New usage is discouraged.) $)
    pjhval $p |- ( ( H e. CH /\ A e. ~H ) -> ( ( projh ` H ) ` A ) =
             ( iota_ x e. H E. y e. ( _|_ ` H ) A = ( x +h y ) ) ) $=
      ( vz cch wcel chba cpjh cfv cv co wceq cort wrex crio cmpt pjhfval fveq1d
      cva eqeq1 rexbidv riotabidv eqid riotaex fvmpt sylan9eq ) DFGZCHGCDIJZJCE
      HEKZAKBKTLZMZBDNJZOZADPZQZJCUKMZBUMOZADPZUHCUIUPEBADRSECUOUSHUPUJCMZUNURA
      DUTULUQBUMUJCUKUAUBUCUPUDURADUEUFUG $.

    $( Equality with a projection.  This version of ~ pjeq does not assume the
       Axiom of Choice via ~ pjhth .  (Contributed by Mario Carneiro,
       15-May-2014.)  (New usage is discouraged.) $)
    pjpreeq $p |- ( ( H e. CH /\ A e. ( H +H ( _|_ ` H ) ) ) ->
                    ( ( ( projh ` H ) ` A ) = B <->
                      ( B e. H /\ E. x e. ( _|_ ` H ) A = ( B +h x ) ) ) ) $=
      ( vy cch wcel cort cfv co wa cv cva wceq wrex csh wb syl2anc2 syl chba id
      cph crio cpjh wreu wmo shocsh shsel biimpa cin c0h pjhthmo syl3anc adantr
      chsh ocin wrmo reu5 df-rmo anbi2i bitri sylanbrc eleq1 syl5ibcom pm4.71rd
      riotacl wss shsss sselda pjhval syldan eqeq1d oveq1 eqeq2d rexbidv riota2
      syl2anr pm5.32da 3bitr4d ) DFGZBDDHIZUBJZGZKZBELZALZMJZNZAWAOZEDUCZCNZCDG
      ZWKKBDUDIIZCNWLBCWFMJZNZAWAOZKWDWKWLWDWJDGZWKWLWDWIEDUEZWQWDWIEDOZWEDGWIK
      EUFZWRVTWCWSVTDPGZWAPGZWCWSQDUOZDUGZEADWABUHRUIVTWTWCVTXAXBDWAUJUKNZWTXCV
      TXAXBXCXDSVTXAXEXCDUPSEADWABULUMUNWRWSWIEDUQZKWSWTKWIEDURXFWTWSWIEDUSUTVA
      VBZWIEDVFSWJCDVCVDVEWDWMWJCVTWCBTGWMWJNVTWBTBVTXAXBWBTVGXCXDDWAVHRVIEABDV
      JVKVLWDWLWPWKWLWLWRWPWKQWDWLUAXGWIWPEDCWECNZWHWOAWAXHWGWNBWECWFMVMVNVOVPV
      QVRVS $.

    $( Equality with a projection.  (Contributed by NM, 20-Jan-2007.)  (Revised
       by Mario Carneiro, 15-May-2014.)  (New usage is discouraged.) $)
    pjeq $p |- ( ( H e. CH /\ A e. ~H ) -> ( ( ( projh ` H ) ` A ) = B <->
                ( B e. H /\ E. x e. ( _|_ ` H ) A = ( B +h x ) ) ) ) $=
      ( cch wcel chba cort cfv cph co cpjh wceq cv cva wrex wa wb pjhth eleq2d
      biimpar pjpreeq syldan ) DEFZBGFZBDDHIZJKZFZBDLIICMCDFBCANOKMAUFPQRUDUHUE
      UDUGGBDSTUAABCDUBUC $.

    $( Closure of a projection in its subspace.  If we consider this together
       with ~ axpjpj to be axioms, the need for the ~ ax-hcompl can often be
       avoided for the kinds of theorems we are interested in here.  An
       interesting project is to see how far we can go by using them in place
       of it.  In particular, we can prove the orthomodular law ~ pjomli .)
       (Contributed by NM, 23-Oct-1999.)  (Revised by Mario Carneiro,
       15-May-2014.)  (New usage is discouraged.) $)
    axpjcl $p |- ( ( H e. CH /\ A e. ~H ) -> ( ( projh ` H ) ` A ) e. H ) $=
      ( vx cch wcel chba wa cpjh cfv cv cva co wceq cort wrex eqid mpbii simpld
      pjeq ) BDEAFEGZABHIIZBEZAUACJKLMCBNIOZTUAUAMUBUCGUAPCAUABSQR $.

$(
    @( Closure of projection, as an axiom.  Can be used to replace ~ axpjcl
       for studies of the Hilbert space completeness axiom. @)
    ax-pjcl @a |- ( ( H e. CH /\ A e. ~H ) -> ( ( projh ` H ) ` A ) e. H ) @.
$)
  $}

  $( Closure of a projection in Hilbert space.  (Contributed by NM,
     30-Oct-1999.)  (New usage is discouraged.) $)
  pjhcl $p |- ( ( H e. CH /\ A e. ~H ) -> ( ( projh ` H ) ` A ) e. ~H ) $=
    ( cch wcel chba wa cpjh cfv wss chss adantr axpjcl sseldd ) BCDZAEDZFBEABGH
    HNBEIOBJKABLM $.


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Properties of Hilbert subspaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Orthomodular law
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    omlsilem.1 $e |- G e. SH $.
    omlsilem.2 $e |- H e. SH $.
    omlsilem.3 $e |- G C_ H $.
    omlsilem.4 $e |- ( H i^i ( _|_ ` G ) ) = 0H $.
    omlsilem.5 $e |- A e. H $.
    omlsilem.6 $e |- B e. G $.
    omlsilem.7 $e |- C e. ( _|_ ` G ) $.
    $( Lemma for orthomodular law in the Hilbert lattice.  (Contributed by NM,
       14-Oct-1999.)  (New usage is discouraged.) $)
    omlsilem $p |- ( A = ( B +h C ) -> A e. G ) $=
      ( cva co wceq wcel c0v shelii chba csh cfv cmv wss shocss ax-mp hvsubaddi
      cort sselii eqcom bitri shsubcl mp3an eleq1 sylbir cin c0h wa eleq2i elin
      mpbii elch0 3bitr3i sylanblc oveq2d ax-hvaddid eqtrdi eqeltrdi mpbird ) A
      BCMNZOZADPVIDPVJVIBDVJVIBQMNZBVJCQBMVJCEPZCDUGUAZPZCQOZVJABUBNZCOZVLVQVIA
      OVJABCAEGJRBDFKRZVMSCDTPVMSUCFDUDUELUHUFVIAUIUJVQVPEPZVLETPAEPBEPVSGJDEBH
      KUHABEUKULVPCEUMUTUNLCEVMUOZPCUPPVLVNUQVOVTUPCIURCEVMUSCVAVBVCVDBSPVKBOVR
      BVEUEVFKVGAVIDUMVH $.
  $}

  ${
    $d x y z A $.  $d x y z B $.
    omlsi.1 $e |- A e. CH $.
    omlsi.2 $e |- B e. SH $.
    omlsi.3 $e |- A C_ B $.
    omlsi.4 $e |- ( B i^i ( _|_ ` A ) ) = 0H $.
    $( Subspace inference form of orthomodular law in the Hilbert lattice.
       (Contributed by NM, 14-Oct-1999.)  (Revised by Mario Carneiro,
       15-May-2014.)  (New usage is discouraged.) $)
    omlsii $p |- A = B $=
      ( vx vy vz cv wcel cva co wceq wi c0v cif csh ax-mp elimel cort cfv sheli
      pjhthlem2 wa eqeq1 eleq1 imbi12d oveq1 eqeq2d imbi1d oveq2 chshii sh0 cch
      wrex ch0 shocsh omlsilem dedth3h 3expia rexlimdv rexlimdva ssriv eqssi
      mpd ) ABEGBAGJZBKZVGHJZIJZLMZNZIAUAUBZUPZHAUPVGAKZVHHIVGACVGBDUCUDVHVNVOH
      AVHVIAKZUEVLVOIVMVHVPVJVMKZVLVOOZVHVPVQVRVHVGPQZVKNZVSAKZOVSVPVIPQZVJLMZN
      ZWAOVSWBVQVJPQZLMZNZWAOVGVIVJPPPVGVSNVLVTVOWAVGVSVKUFVGVSAUGUHVIWBNZVTWDW
      AWHVKWCVSVIWBVJLUIUJUKVJWENZWDWGWAWIWCWFVSVJWEWBLULUJUKVSWBWEABACUMZDEFVG
      PBBRKPBKDBUNSTVIPAAUOKPAKCAUQSTVJPVMVMRKZPVMKARKWKWJAURSVMUNSTUSUTVAVBVCV
      FVDVE $.
  $}

  ${
    omls.1 $e |- A e. CH $.
    omls.2 $e |- B e. SH $.
    $( Subspace form of orthomodular law in the Hilbert lattice.  Compare the
       orthomodular law in Theorem 2(ii) of [Kalmbach] p. 22.  (Contributed by
       NM, 14-Oct-1999.)  (New usage is discouraged.) $)
    omlsi $p |- ( ( A C_ B /\ ( B i^i ( _|_ ` A ) ) = 0H ) -> A = B ) $=
      ( wss cort cfv cin c0h wceq wa cif ifcli h0elsh sseq1 fveq2 ineq2d eqeq1d
      csh anbi12d eqeq1 eqeq2 h0elch sseq2 ineq1 ssid wcel ocin ax-mp elimhyp2v
      cch pm3.2i simpli simpri omlsii dedth2v ) ABEZBAFGZHZIJZKZABJVAAILZBJVBVA
      BILZJABIIAVBBUABVCVBUBVBVCVAAIUKCUCMVABISDNMVBVCEZVCVBFGZHZIJZVAVBBEZBVEH
      ZIJZKVDVGKIIEZIIFGZHZIJZKVBIEZIVEHZIJZKABIIAVBJZUQVHUTVJAVBBOVRUSVIIVRURV
      EBAVBFPQRTBVCJZVHVDVJVGBVCVBUDVSVIVFIBVCVEUERTIVBJZVKVOVNVQIVBIOVTVMVPIVT
      VLVEIIVBFPQRTIVCJZVOVDVQVGIVCVBUDWAVPVFIIVCVEUERTVKVNIUFISUGVNNIUHUIULUJZ
      UMVDVGWBUNUOUP $.
  $}

  ${
    ococ.1 $e |- A e. CH $.
    $( Complement of complement of a closed subspace of Hilbert space.  Theorem
       3.7(ii) of [Beran] p. 102.  (Contributed by NM, 11-Oct-1999.)
       (New usage is discouraged.) $)
    ococi $p |- ( _|_ ` ( _|_ ` A ) ) = A $=
      ( cort cfv csh wcel chshii shocsh ax-mp wss shococss cin incom wceq eqtri
      c0h ocin omlsii eqcomi ) AACDZCDZAUABTEFZUAEFAEFZUBABGZAHIZTHIUCAUAJUDAKI
      UATLTUALZPUATMUBUFPNUETQIORS $.
  $}

  $( Complement of complement of a closed subspace of Hilbert space.  Theorem
     3.7(ii) of [Beran] p. 102.  (Contributed by NM, 11-Oct-1999.)
     (New usage is discouraged.) $)
  ococ $p |- ( A e. CH -> ( _|_ ` ( _|_ ` A ) ) = A ) $=
    ( cch wcel cort cfv wceq chba cif 2fveq3 id eqeq12d ifchhv ococi dedth ) AB
    CZADEDEZAFOAGHZDEDEZQFAGAQFZPRAQAQDDISJKQALMN $.

  $( Alternate definition of the Hilbert lattice.  (Contributed by NM,
     8-Aug-2000.)  (Revised by Mario Carneiro, 23-Dec-2013.)
     (New usage is discouraged.) $)
  dfch2 $p |- CH = { x e. ~P ~H | ( _|_ ` ( _|_ ` x ) ) = x } $=
    ( cch cv chba cpw wcel cort cfv wceq cab crab wss chss ococ occl 3syl eleq1
    wa jca syl5ib impcom impbii velpw anbi1i bitr4i abbi2i df-rab eqtr4i ) BACZ
    DEZFZUIGHZGHZUIIZRZAJUNAUJKUOABUIBFZUIDLZUNRZUOUPURUPUQUNUIMUINSUNUQUPUQUMB
    FZUNUPUQULBFULDLUSUIOULMULOPUMUIBQTUAUBUKUQUNADUCUDUEUFUNAUJUGUH $.

  ${
    $d x y A $.  $d x B $.
    $( The double complement is the smallest closed subspace containing a
       subset of Hilbert space.  Remark 3.12(B) of [Beran] p. 107.
       (Contributed by NM, 8-Aug-2000.)  (New usage is discouraged.) $)
    ococin $p |- ( A C_ ~H ->
                  ( _|_ ` ( _|_ ` A ) ) = |^| { x e. CH | A C_ x } ) $=
      ( chba wss cort cfv cv cch crab cint wcel helch sseq2 elrab sylibr intss1
      wa syl ocss occon jctl jca ssintub wi mpdan mpi sylc wceq wne ssrab2 wrex
      rspcev mpan rabn0 chintcl sylancr ococ sseqtrd occl ococss sylanbrc eqssd
      c0 ) BCDZBEFZEFZBAGZDZAHIZJZVDVFVJEFZEFZVJVDVKCDZVECDZQVKVEDZVFVLDVDVMVNV
      DVJCDZVMVDCVIKZVPVDCHKZVDQVQVDVRLUAVHVDACHVGCBMZNOCVIPRZVJSRBSZUBVDBVJDZV
      OABHUCVDVPWBVOUDVTBVJTUEUFVKVETUGVDVJHKZVLVJUHVDVIHDVIVCUIZWCVHAHUJVDVHAH
      UKZWDVRVDWELVHVDACHVSULUMVHAHUNOVIUOUPVJUQRURVDVFVIKZVJVFDVDVFHKZBVFDZWFV
      DVNWGWAVEUSRBUTVHWHAVFHVGVFBMNVAVFVIPRVB $.

    $( Alternate definition of supremum of a subset of the Hilbert lattice.
       Definition of supremum in Proposition 1 of [Kalmbach] p. 65.  We
       actually define it on any collection of Hilbert space subsets, not just
       the Hilbert lattice ` CH ` , to allow more general theorems.
       (Contributed by NM, 13-Aug-2002.)  (New usage is discouraged.) $)
    hsupval2 $p |- ( A C_ ~P ~H ->
                    ( \/H ` A ) = |^| { x e. CH | U. A C_ x } ) $=
      ( chba cpw wss cfv cuni cort cv cch crab cint hsupval wceq sspwuni ococin
      chsup sylbi eqtrd ) BCDEZBQFBGZHFHFZUAAIEAJKLZBMTUACEUBUCNBCOAUAPRS $.

    $( The value of the supremum of a set of closed subspaces of Hilbert space.
       Definition of supremum in Proposition 1 of [Kalmbach] p. 65.
       (Contributed by NM, 13-Aug-2002.)  (New usage is discouraged.) $)
    chsupval2 $p |- ( A C_ CH ->
                    ( \/H ` A ) = |^| { x e. CH | U. A C_ x } ) $=
      ( cch wss chba cpw chsup cfv cuni cv crab cint chsspwh sstr2 mpi hsupval2
      wceq syl ) BCDZBEFZDZBGHBIAJDACKLQSCTDUAMBCTNOABPR $.

    $( Value of join in the set of closed subspaces of Hilbert space ` CH ` .
       (Contributed by NM, 1-Nov-2000.)  (Revised by Mario Carneiro,
       23-Dec-2013.)  (New usage is discouraged.) $)
    sshjval2 $p |- ( ( A C_ ~H /\ B C_ ~H ) -> ( A vH B ) =
                     |^| { x e. CH | ( A u. B ) C_ x } ) $=
      ( chba wss wa chj co cun cort cfv cch crab cint sshjval wceq ococin sylbi
      cv unss eqtrd ) BDECDEFZBCGHBCIZJKJKZUCASEALMNZBCOUBUCDEUDUEPBCDTAUCQRUA
      $.

    $( A subspace is the supremum of all smaller subspaces.  (Contributed by
       NM, 13-Aug-2002.)  (New usage is discouraged.) $)
    chsupid $p |- ( A e. CH -> ( \/H ` { x e. CH | x C_ A } ) = A ) $=
      ( vy cch wcel cv wss crab chsup cfv cuni cint wceq ssrab2 chsupval2 ax-mp
      unimax sseq1d rabbidv inteqd intmin eqtrd syl5eq ) BDEZAFBGZADHZIJZUFKZCF
      ZGZCDHZLZBUFDGUGULMUEADNCUFOPUDULBUIGZCDHZLBUDUKUNUDUJUMCDUDUHBUIABDQRSTC
      BDUAUBUC $.

    $( Value of supremum of subset of ` CH ` on a singleton.  (Contributed by
       NM, 13-Aug-2002.)  (New usage is discouraged.) $)
    chsupsn $p |- ( A e. CH -> ( \/H ` { A } ) = A ) $=
      ( vx cch wcel csn chsup cfv cuni cv wss crab cint wceq snssi chsupval2 wa
      syl unisng eqimss ancli sseq2 elrab sylibr intss1 ssintub eqsstrrdi eqssd
      eqtrd ) ACDZAEZFGZUJHZBIZJZBCKZLZAUIUJCJUKUPMACNBUJOQUIUPAUIAUODZUPAJUIUI
      ULAJZPUQUIURUIULAMURACRZULASQTUNURBACUMAULUAUBUCAUOUDQUIAULUPUSBULCUEUFUG
      UH $.
  $}

  $( Hilbert lattice join is the least upper bound (among Hilbert lattice
     elements) of two subspaces.  (Contributed by NM, 15-Jun-2004.)
     (New usage is discouraged.) $)
  shlub $p |- ( ( A e. SH /\ B e. SH /\ C e. CH ) ->
               ( ( A C_ C /\ B C_ C ) <-> ( A vH B ) C_ C ) ) $=
    ( csh wcel cch w3a wss wa chj cort cfv chba shss 3ad2ant3 syl2anc wceq sstr
    syl sylan co cun unss wi simp1 simp2 unssd chss occon2 syl5bi shjval eqcomd
    ococ sseq12d sylibrd shub1 shub2 jca ex impbid ) ADEZBDEZCFEZGZACHZBCHZIZAB
    JUAZCHZVDVGABUBZKLKLZCKLKLZHZVIVGVJCHZVDVMABCUCVDVJMHCMHZVNVMUDVDABMVDVAAMH
    VAVBVCUEZANSVDVBBMHVAVBVCUFZBNSUGVCVAVOVBCUHOVJCUIPUJVDVHVKCVLVDVAVBVHVKQVP
    VQABUKPVDVLCVCVAVLCQVBCUMOULUNUOVDVIVGVDVIIVEVFVDAVHHZVIVEVDVAVBVRVPVQABUPP
    AVHCRTVDBVHHZVIVFVDVBVAVSVQVPBAUQPBVHCRTURUSUT $.

  ${
    shlub.1 $e |- A e. SH $.
    shlub.2 $e |- B e. SH $.
    shlub.3 $e |- C e. CH $.
    $( Hilbert lattice join is the least upper bound (among Hilbert lattice
       elements) of two subspaces.  (Contributed by NM, 11-Jun-2004.)
       (New usage is discouraged.) $)
    shlubi $p |- ( ( A C_ C /\ B C_ C ) <-> ( A vH B ) C_ C ) $=
      ( csh wcel cch wss wa chj co wb shlub mp3an ) AGHBGHCIHACJBCJKABLMCJNDEFA
      BCOP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Projectors (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y A $.  $d x y H $.
    $( Uniqueness of ` y ` for the projection theorem.  (Contributed by NM,
       6-Nov-1999.)  (Revised by Mario Carneiro, 15-May-2014.)
       (New usage is discouraged.) $)
    pjhtheu2 $p |- ( ( H e. CH /\ A e. ~H ) ->
                   E! y e. ( _|_ ` H ) E. x e. H A = ( x +h y ) ) $=
      ( cch wcel chba wa cv cva co wceq cort wrex wreu choccl sylan adantr chel
      cfv pjhtheu simpll ococ rexeqdv ax-hvcom syl2anc eqeq2d rexbidva reubidva
      syl bitrd mpbid ) DEFZCGFZHZCBIZAIZJKZLZADMTZMTZNZBUTOZCUQUPJKZLZADNZBUTO
      UMUTEFZUNVCDPZBACUTUAQUOVBVFBUTUOUPUTFZHZVBUSADNVFVJUSAVADVJUMVADLUMUNVIU
      BZDUCUJUDVJUSVEADVJUQDFZHZURVDCVMUPGFZUQGFZURVDLVJVNVLUOVGVIVNUMVGUNVHRUP
      UTSQRVJUMVLVOVKUQDSQUPUQUEUFUGUHUKUIUL $.
  $}

  ${
    pjcl.1 $e |- H e. CH $.
    $( Closure of a projection in its subspace.  (Contributed by NM,
       7-Oct-2000.)  (New usage is discouraged.) $)
    pjcli $p |- ( A e. ~H -> ( ( projh ` H ) ` A ) e. H ) $=
      ( cch wcel chba cpjh cfv axpjcl mpan ) BDEAFEABGHHBECABIJ $.

    $( Closure of a projection in Hilbert space.  (Contributed by NM,
       7-Oct-2000.)  (New usage is discouraged.) $)
    pjhcli $p |- ( A e. ~H -> ( ( projh ` H ) ` A ) e. ~H ) $=
      ( cch wcel chba cpjh cfv pjhcl mpan ) BDEAFEABGHHFECABIJ $.
  $}

  ${
    $d x y A $.  $d x y H $.  $d x y ph $.
    pjpjpre.1 $e |- ( ph -> H e. CH ) $.
    pjpjpre.2 $e |- ( ph -> A e. ( H +H ( _|_ ` H ) ) ) $.
    $( Decomposition of a vector into projections.  This formulation of
       ~ axpjpj avoids ~ pjhth .  (Contributed by Mario Carneiro, 15-May-2014.)
       (New usage is discouraged.) $)
    pjpjpre $p |- ( ph ->
          A = ( ( ( projh ` H ) ` A ) +h ( ( projh ` ( _|_ ` H ) ) ` A ) ) ) $=
      ( vx vy cva co wceq cfv wrex cph wcel csh wb syl syl2anc wa adantr cv cch
      cort cpjh chsh shocsh shsel simprr simprll simprlr rspe pjpreeq mpbir2and
      mpbid wss shococss sseldd chba shel ax-hvcom eqtrd choccl shless syl31anc
      shscom sseqtrrd oveq12d eqtr4d exp32 rexlimdvv mpd ) ABFUAZGUAZHIZJZGCUCK
      ZLZFCLZBBCUDKKZBVPUDKKZHIZJZABCVPMIZNZVREACONZVPONZWDVRPACUBNZWEDCUEZQZAW
      EWFWICUFZQZFGCVPBUGRUNAVOWBFGCVPAVLCNZVMVPNZSZVOWBAWNVOSZSZBVNWAAWNVOUHZW
      PVSVLVTVMHWPVSVLJZWLVQAWLWMVOUIZWPWMVOVQAWLWMVOUJZWQVOGVPUKRAWRWLVQSPZWOA
      WGWDXADEGBVLCULRTUMWPVTVMJZWMBVMVLHIZJZFVPUCKZLZWTWPVLXENXDXFWPCXEVLACXEU
      OZWOAWEXGWICUPQZTWSUQWPBVNXCWQWPVLURNZVMURNZVNXCJWPWEWLXIWPWGWEAWGWODTWHQ
      ZWSVLCUSRWPWFWMXJWPWEWFXKWJQWTVMVPUSRVLVMUTRVAXDFXEUKRAXBWMXFSPZWOAVPUBNZ
      BVPXEMIZNXLAWGXMDCVBQAWCXNBAWCXEVPMIZXNAWEXEONZWFXGWCXOUOWIAWFXPWKVPUFQZW
      KXHCXEVPVCVDAWFXPXNXOJWKXQVPXEVERVFEUQFBVMVPULRTUMVGVHVIVJVK $.
  $}

  $( Decomposition of a vector into projections.  See comment in ~ axpjcl .
     (Contributed by NM, 26-Oct-1999.)  (Revised by Mario Carneiro,
     15-May-2014.)  (New usage is discouraged.) $)
  axpjpj $p |- ( ( H e. CH /\ A e. ~H ) ->
          A = ( ( ( projh ` H ) ` A ) +h ( ( projh ` ( _|_ ` H ) ) ` A ) ) ) $=
    ( cch wcel chba wa simpl cort cfv cph co pjhth eleq2d biimpar pjpjpre ) BCD
    ZAEDZFABPQGPABBHIJKZDQPREABLMNO $.

  ${
    pjcli.1 $e |- H e. CH $.
    pjcli.2 $e |- A e. ~H $.
    $( Closure of a projection in its subspace.  (Contributed by NM,
       30-Oct-1999.)  (New usage is discouraged.) $)
    pjclii $p |- ( ( projh ` H ) ` A ) e. H $=
      ( chba wcel cpjh cfv pjcli ax-mp ) AEFABGHHBFDABCIJ $.

    $( Closure of a projection in Hilbert space.  (Contributed by NM,
       30-Oct-1999.)  (New usage is discouraged.) $)
    pjhclii $p |- ( ( projh ` H ) ` A ) e. ~H $=
      ( chba wcel cpjh cfv pjhcli ax-mp ) AEFABGHHEFDABCIJ $.

    $( Decomposition of a vector into projections.  (Contributed by NM,
       26-Oct-1999.)  (Revised by Mario Carneiro, 15-May-2014.)
       (New usage is discouraged.) $)
    pjpj0i $p |- A = ( ( ( projh ` H ) ` A ) +h
                ( ( projh ` ( _|_ ` H ) ) ` A ) ) $=
      ( cch wcel chba cpjh cfv cort cva co wceq axpjpj mp2an ) BEFAGFAABHIIABJI
      HIIKLMCDABNO $.
  $}

$(
  @( Decomposition of a vector into projections, as an axiom.  Can be used to
     replace ~ axpjpj in studies of the Hilbert space completeness axiom. @)
  ax-pjpj @a |- ( ( H e. CH /\ A e. ~H ) ->
         A = ( ( ( projh ` H ) ` A ) +h ( ( projh ` ( _|_ ` H ) ) ` A ) ) ) @.
$)

  ${
    pjpj.1 $e |- H e. CH $.
    pjpj.2 $e |- A e. ~H $.
    $( Decomposition of a vector into projections.  (Contributed by NM,
       6-Nov-1999.)  (New usage is discouraged.) $)
    pjpji $p |- A = ( ( ( projh ` H ) ` A ) +h
               ( ( projh ` ( _|_ ` H ) ) ` A ) ) $=
      ( pjpj0i ) ABCDE $.
  $}

  ${
    $d x y A $.  $d x y H $.
    $( Projection Theorem:  Any Hilbert space vector ` A ` can be decomposed
       into a member ` x ` of a closed subspace ` H ` and a member ` y ` of the
       complement of the subspace.  Theorem 3.7(i) of [Beran] p. 102 (existence
       part).  (Contributed by NM, 6-Nov-1999.)  (New usage is discouraged.) $)
    pjpjhth $p |- ( ( H e. CH /\ A e. ~H ) ->
                E. x e. H E. y e. ( _|_ ` H ) A = ( x +h y ) ) $=
      ( cch wcel chba wa cpjh cfv cort cva co wceq cv wrex axpjcl choccl axpjpj
      sylan rspceov syl3anc ) DEFZCGFZHCDIJJZDFCDKJZIJJZUFFZCUEUGLMNCAOBOLMNBUF
      PADPCDQUCUFEFUDUHDRCUFQTCDSABDUFUEUGCLUAUB $.
  $}

  ${
    $d x y A $.  $d x y H $.
    pjpjhth.1 $e |- A e. ~H $.
    pjpjhth.2 $e |- H e. CH $.
    $( Projection Theorem:  Any Hilbert space vector ` A ` can be decomposed
       into a member ` x ` of a closed subspace ` H ` and a member ` y ` of the
       complement of the subspace.  Theorem 3.7(i) of [Beran] p. 102 (existence
       part).  (Contributed by NM, 6-Nov-1999.)  (New usage is discouraged.) $)
    pjpjhthi $p |- E. x e. H E. y e. ( _|_ ` H ) A = ( x +h y ) $=
      ( cch wcel chba cv cva co wceq cort cfv wrex pjpjhth mp2an ) DGHCIHCAJBJK
      LMBDNOPADPFEABCDQR $.
  $}

  $( Orthocomplement projection in terms of projection.  (Contributed by NM,
     5-Nov-1999.)  (New usage is discouraged.) $)
  pjop $p |- ( ( H e. CH /\ A e. ~H )
     -> ( ( projh ` ( _|_ ` H ) ) ` A ) = ( A -h ( ( projh ` H ) ` A ) ) ) $=
    ( cch wcel chba wa cpjh cfv cmv co cort wceq cva axpjpj eqcomd simpr choccl
    wb pjhcl sylan hvsubadd syl3anc mpbird ) BCDZAEDZFZAABGHHZIJZABKHZGHHZUFUHU
    JLZUGUJMJZALZUFAULABNOUFUEUGEDUJEDZUKUMRUDUEPABSUDUICDUEUNBQAUISTAUGUJUAUBU
    CO $.

  $( Projection in terms of orthocomplement projection.  (Contributed by NM,
     5-Nov-1999.)  (New usage is discouraged.) $)
  pjpo $p |- ( ( H e. CH /\ A e. ~H )
      -> ( ( projh ` H ) ` A ) = ( A -h ( ( projh ` ( _|_ ` H ) ) ` A ) ) ) $=
    ( cch wcel chba wa cort cfv cpjh cmv co wceq cva choccl pjhcl sylan syl2anc
    ax-hvcom axpjpj eqtr4d wb simpr hvsubadd syl3anc mpbird eqcomd ) BCDZAEDZFZ
    AABGHZIHHZJKZABIHHZUIULUMLZUKUMMKZALZUIUOUMUKMKZAUIUKEDZUMEDZUOUQLUGUJCDUHU
    RBNAUJOPZABOZUKUMRQABSTUIUHURUSUNUPUAUGUHUBUTVAAUKUMUCUDUEUF $.

  ${
    pjop.1 $e |- H e. CH $.
    pjop.2 $e |- A e. ~H $.
    $( Orthocomplement projection in terms of projection.  (Contributed by NM,
       31-Oct-1999.)  (New usage is discouraged.) $)
    pjopi $p |- ( ( projh ` ( _|_ ` H ) ) ` A ) =
               ( A -h ( ( projh ` H ) ` A ) ) $=
      ( cch wcel chba cort cfv cpjh cmv co wceq pjop mp2an ) BEFAGFABHIJIIAABJI
      IKLMCDABNO $.

    $( Projection in terms of orthocomplement projection.  (Contributed by NM,
       31-Oct-1999.)  (New usage is discouraged.) $)
    pjpoi $p |- ( ( projh ` H ) ` A ) =
               ( A -h ( ( projh ` ( _|_ ` H ) ) ` A ) ) $=
      ( cch wcel chba cpjh cfv cort cmv co wceq pjpo mp2an ) BEFAGFABHIIAABJIHI
      IKLMCDABNO $.

    $( Projection of a vector in the orthocomplement of the projection
       subspace.  (Contributed by NM, 27-Oct-1999.)
       (New usage is discouraged.) $)
    pjoc1i $p |- ( A e. H <-> ( ( projh ` ( _|_ ` H ) ) ` A ) = 0h ) $=
      ( wcel cort cfv cpjh c0v wceq c0h cin wa cmv pjopi csh pjclii ax-mp cva
      co chshii shsubcl mp3an13 eqeltrid choccli jctir elin ocin eleqtrdi elch0
      sylibr sylib pjpji oveq2 syl5eq pjhclii ax-hvaddid eqtrdi eqeltrdi impbii
      chba ) ABEZABFGZHGGZIJZVBVDKEVEVBVDBVCLZKVBVDBEZVDVCEZMVDVFEVBVGVHVBVDAAB
      HGGZNTZBABCDOBPEZVBVIBEVJBEBCUAZABCDQZAVIBUBUCUDAVCBCUEDQUFVDBVCUGUKVKVFK
      JVLBUHRUIVDUJULVEAVIBVEAVIISTZVIVEAVIVDSTVNABCDUMVDIVISUNUOVIVAEVNVIJABCD
      UPVIUQRURVMUSUT $.

    $( Projection of a vector in the projection subspace.  Lemma 4.4(ii) of
       [Beran] p. 111.  (Contributed by NM, 27-Oct-1999.)
       (New usage is discouraged.) $)
    pjchi $p |- ( A e. H <-> ( ( projh ` H ) ` A ) = A ) $=
      ( wcel cpjh cfv wceq c0v cva co chba pjhclii ax-hvaddid ax-mp cort pjoc1i
      pjpji biimpi oveq2d eqtr2id eqtr3id pjclii eleq1 mpbii impbii ) ABEZABFGG
      ZAHZUGUHUHIJKZAUHLEUJUHHABCDMUHNOUGAUHABPGFGGZJKUJABCDRUGUKIUHJUGUKIHABCD
      QSTUAUBUIUHBEUGABCDUCUHABUDUEUF $.
  $}

  $( The part of a vector that belongs to the orthocomplemented space.
     (Contributed by NM, 11-Apr-2006.)  (New usage is discouraged.) $)
  pjoccl $p |- ( ( H e. CH /\ A e. ~H ) ->
          ( A -h ( ( projh ` H ) ` A ) ) e. ( _|_ ` H ) ) $=
    ( cch wcel chba wa cort cfv cpjh cmv co pjop choccl axpjcl sylan eqeltrrd )
    BCDZAEDZFABGHZIHHZAABIHHJKSABLQSCDRTSDBMASNOP $.

  $( Projection of a vector in the orthocomplement of the projection subspace.
     (Contributed by NM, 6-Nov-1999.)  (New usage is discouraged.) $)
  pjoc1 $p |- ( ( H e. CH /\ A e. ~H ) ->
               ( A e. H <-> ( ( projh ` ( _|_ ` H ) ) ` A ) = 0h ) ) $=
    ( cch wcel chba cort cfv cpjh c0v wb cif eleq2 2fveq3 fveq1d eqeq1d bibi12d
    wceq eleq1 fveqeq2 ifchhv ifhvhv0 pjoc1i dedth2h ) BCDZAEDZABDZABFGHGZGZIQZ
    JAUDBEKZDZAUJFGHGZGZIQZJUEAIKZUJDZUOULGIQZJBAEIBUJQZUFUKUIUNBUJALURUHUMIURA
    UGULBUJHFMNOPAUOQUKUPUNUQAUOUJRAUOIULSPUOUJBTAUAUBUC $.

  ${
    pjoml.1 $e |- A e. CH $.
    pjoml.2 $e |- B e. SH $.
    $( Subspace form of orthomodular law in the Hilbert lattice.  Compare the
       orthomodular law in Theorem 2(ii) of [Kalmbach] p. 22.  Derived using
       projections; compare ~ omlsi .  (Contributed by NM, 6-Nov-1999.)
       (New usage is discouraged.) $)
    pjomli $p |- ( ( A C_ B /\ ( B i^i ( _|_ ` A ) ) = 0H ) -> A = B ) $=
      ( omlsi ) ABCDE $.
  $}

  $( Subspace form of orthomodular law in the Hilbert lattice.  Compare the
     orthomodular law in Theorem 2(ii) of [Kalmbach] p. 22.  Derived using
     projections; compare ~ omlsi .  (Contributed by NM, 14-Jun-2006.)
     (New usage is discouraged.) $)
  pjoml $p |- ( ( ( A e. CH /\ B e. SH ) /\
               ( A C_ B /\ ( B i^i ( _|_ ` A ) ) = 0H ) ) -> A = B ) $=
    ( cch wcel csh wa wss cort cfv cin c0h wceq cif sseq1 fveq2 anbi12d imbi12d
    wi eqeq1d elimel ineq2d eqeq1 sseq2 ineq1 h0elch h0elsh pjomli dedth2h imp
    eqeq2 ) ACDZBEDZFABGZBAHIZJZKLZFZABLZUKULUQURRUKAKMZBGZBUSHIZJZKLZFZUSBLZRU
    SULBKMZGZVFVAJZKLZFZUSVFLZRABKKAUSLZUQVDURVEVLUMUTUPVCAUSBNVLUOVBKVLUNVABAU
    SHOUASPAUSBUBQBVFLZVDVJVEVKVMUTVGVCVIBVFUSUCVMVBVHKBVFVAUDSPBVFUSUJQUSVFAKC
    UETBKEUFTUGUHUI $.

  ${
    pjococ.1 $e |- H e. CH $.
    $( Proof of orthocomplement theorem using projections.  Compare ~ ococ .
       (Contributed by NM, 5-Nov-1999.)  (New usage is discouraged.) $)
    pjococi $p |- ( _|_ ` ( _|_ ` H ) ) = H $=
      ( ococi ) ABC $.
  $}

  ${
    pjoc2.1 $e |- H e. CH $.
    pjoc2.2 $e |- A e. ~H $.
    $( Projection of a vector in the orthocomplement of the projection
       subspace.  Lemma 4.4(iii) of [Beran] p. 111.  (Contributed by NM,
       27-Oct-1999.)  (New usage is discouraged.) $)
    pjoc2i $p |- ( A e. ( _|_ ` H ) <-> ( ( projh ` H ) ` A ) = 0h ) $=
      ( cort cfv wcel cpjh c0v wceq choccli pjoc1i pjococi fveq2i fveq1i eqeq1i
      bitri ) ABEFZGAREFZHFZFZIJABHFZFZIJARBCKDLUAUCIATUBSBHBCMNOPQ $.
  $}

  $( Projection of a vector in the orthocomplement of the projection subspace.
     Lemma 4.4(iii) of [Beran] p. 111.  (Contributed by NM, 24-Apr-2006.)
     (New usage is discouraged.) $)
  pjoc2 $p |- ( ( H e. CH /\ A e. ~H ) ->
               ( A e. ( _|_ ` H ) <-> ( ( projh ` H ) ` A ) = 0h ) ) $=
    ( cch wcel chba cort cfv cpjh c0v wceq c0h cif eleq2d fveq1d eqeq1d bibi12d
    wb fveq2 eleq1 fveqeq2 h0elch elimel ifhvhv0 pjoc2i dedth2h ) BCDZAEDZABFGZ
    DZABHGZGZIJZQAUFBKLZFGZDZAUMHGZGZIJZQUGAILZUNDZUSUPGIJZQBAKIBUMJZUIUOULURVB
    UHUNABUMFRMVBUKUQIVBAUJUPBUMHRNOPAUSJUOUTURVAAUSUNSAUSIUPTPUSUMBKCUAUBAUCUD
    UE $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Hilbert lattice operations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The zero subspace is the smallest subspace.  (Contributed by NM,
     3-Jun-2004.)  (New usage is discouraged.) $)
  sh0le $p |- ( A e. SH -> 0H C_ A ) $=
    ( csh wcel c0h c0v csn df-ch0 sh0 snssd eqsstrid ) ABCZDEFAGKEAAHIJ $.

  $( The zero subspace is the smallest member of ` CH ` .  (Contributed by NM,
     14-Aug-2002.)  (New usage is discouraged.) $)
  ch0le $p |- ( A e. CH -> 0H C_ A ) $=
    ( cch wcel csh c0h wss chsh sh0le syl ) ABCADCEAFAGAHI $.

  $( No subspace is smaller than the zero subspace.  (Contributed by NM,
     24-Nov-2004.)  (New usage is discouraged.) $)
  shle0 $p |- ( A e. SH -> ( A C_ 0H <-> A = 0H ) ) $=
    ( csh wcel c0h wss wa wceq sh0le biantrud eqss bitr4di ) ABCZADEZMDAEZFADGL
    NMAHIADJK $.

  $( No Hilbert lattice element is smaller than zero.  (Contributed by NM,
     14-Aug-2002.)  (New usage is discouraged.) $)
  chle0 $p |- ( A e. CH -> ( A C_ 0H <-> A = 0H ) ) $=
    ( cch wcel csh c0h wss wceq wb chsh shle0 syl ) ABCADCAEFAEGHAIAJK $.

  $( A Hilbert lattice element that is not a subset of another is nonzero.
     (Contributed by NM, 30-Jun-2004.)  (New usage is discouraged.) $)
  chnlen0 $p |- ( B e. CH -> ( -. A C_ B -> -. A = 0H ) ) $=
    ( cch wcel c0h wceq wss ch0le sseq1 syl5ibrcom con3d ) BCDZAEFZABGZLNMEBGBH
    AEBIJK $.

  $( The zero subspace is a proper subset of nonzero Hilbert lattice elements.
     (Contributed by NM, 9-Jun-2004.)  (New usage is discouraged.) $)
  ch0pss $p |- ( A e. CH -> ( 0H C. A <-> A =/= 0H ) ) $=
    ( cch wcel c0h wpss wss wne wa df-pss necom ch0le biantrurd bitr3id bitr4id
    ) ABCZDAEDAFZDAGZHZADGZDAISQORDAJOPQAKLMN $.

  $( The intersection of orthogonal subspaces is the zero subspace.
     (Contributed by NM, 24-Jun-2004.)  (New usage is discouraged.) $)
  orthin $p |- ( ( A e. SH /\ B e. SH ) ->
               ( A C_ ( _|_ ` B ) -> ( A i^i B ) = 0H ) ) $=
    ( csh wcel wa cort cfv wss cin c0h wceq wi ssrin incom sseqtrdi ocin sseq2d
    syl5ib adantl shincl sh0le syl jctird eqss syl6ibr ) ACDZBCDZEZABFGZHZABIZJ
    HZJUKHZEUKJKUHUJULUMUGUJULLUFUJUKBUIIZHUGULUJUKUIBIUNAUIBMUIBNOUGUNJUKBPQRS
    UHUKCDUMABTUKUAUBUCUKJUDUE $.

  $( The lattice join of a subset with its orthocomplement is the whole space.
     (Contributed by Mario Carneiro, 15-May-2014.)
     (New usage is discouraged.) $)
  ssjo $p |- ( A C_ ~H -> ( A vH ( _|_ ` A ) ) = ~H ) $=
    ( chba wss cort cfv chj co cun wceq ocss sshjval mpdan c0h cin wi occon mpi
    csh wcel ocsh ssun1 ancli unss sylib ssun2 syl2anc ssind ocin sseqtrd sh0le
    wa syl 3syl eqssd fveq2d choc0 eqtrdi eqtrd ) ABCZAADEZFGZAUTHZDEZDEZBUSUTB
    CZVAVDIAJZAUTKLUSVDMDEBUSVCMDUSVCMUSVCUTUTDEZNZMUSVCUTVGUSAVBCZVCUTCZAUTUAU
    SVBBCZVIVJOUSUSVEUKVKUSVEVFUBAUTBUCUDZAVBPLQUSUTVBCZVCVGCZUTAUEUSVEVKVMVNOV
    FVLUTVBPUFQUGUSUTRSVHMIATUTUHULUIUSVKVCRSMVCCVLVBTVCUJUMUNUOUPUQUR $.

  ${
    $d x A $.
    shne0.1 $e |- A e. SH $.
    $( A nonzero subspace has a nonzero vector.  (Contributed by NM,
       25-Feb-2006.)  (New usage is discouraged.) $)
    shne0i $p |- ( A =/= 0H <-> E. x e. A x =/= 0h ) $=
      ( c0h wne wceq wn cv wcel wrex c0v df-ne wa wex wss df-rex nss csh shle0
      wb ax-mp notbii 3bitr2ri elch0 necon3bbii rexbii 3bitri ) BDEBDFZGZAHZDIZ
      GZABJZUJKEZABJBDLUMUJBIULMANBDOZGUIULABPABDQUOUHBRIUOUHTCBSUAUBUCULUNABUK
      UJKUJUDUEUFUG $.

    $( Hilbert subspace sum with the zero subspace.  (Contributed by NM,
       14-Jan-2005.)  (New usage is discouraged.) $)
    shs0i $p |- ( A +H 0H ) = A $=
      ( c0h cph co cun cspn cfv h0elsh shsval3i wss wceq csh wcel sh0le ssequn2
      ax-mp mpbi fveq2i spanid 3eqtri ) ACDEACFZGHAGHZAACBIJUBAGCAKZUBALAMNZUDB
      AOQCAPRSUEUCALBATQUA $.

    ${
      shs00.2 $e |- B e. SH $.
      $( Two subspaces are zero iff their join is zero.  (Contributed by NM,
         7-Aug-2004.)  (New usage is discouraged.) $)
      shs00i $p |- ( ( A = 0H /\ B = 0H ) <-> ( A +H B ) = 0H ) $=
        ( c0h wceq wa cph co oveq12 h0elsh wss sseq2 mpbii csh wcel shle0 ax-mp
        wb sylib shs0i eqtrdi shsub1i shsub2i jca impbii ) AEFZBEFZGZABHIZEFZUI
        UJEEHIEAEBEHJEKUAUBUKUGUHUKAELZUGUKAUJLULABCDUCUJEAMNAOPULUGSCAQRTUKBEL
        ZUHUKBUJLUMBADCUDUJEBMNBOPUMUHSDBQRTUEUF $.
    $}
  $}

  ${
    $d x y A $.
    ch0le.1 $e |- A e. CH $.
    $( The closed subspace zero is the smallest member of ` CH ` .
       (Contributed by NM, 15-Oct-1999.)  (New usage is discouraged.) $)
    ch0lei $p |- 0H C_ A $=
      ( cch wcel c0h wss ch0le ax-mp ) ACDEAFBAGH $.

    $( No Hilbert closed subspace is smaller than zero.  (Contributed by NM,
       7-Apr-2001.)  (New usage is discouraged.) $)
    chle0i $p |- ( A C_ 0H <-> A = 0H ) $=
      ( cch wcel c0h wss wceq wb chle0 ax-mp ) ACDAEFAEGHBAIJ $.

    $( A nonzero closed subspace has a nonzero vector.  (Contributed by NM,
       25-Feb-2006.)  (New usage is discouraged.) $)
    chne0i $p |- ( A =/= 0H <-> E. x e. A x =/= 0h ) $=
      ( chshii shne0i ) ABBCDE $.

    $( Intersection of a closed subspace and its orthocomplement.  Part of
       Proposition 1 of [Kalmbach] p. 65.  (Contributed by NM, 11-Oct-1999.)
       (New usage is discouraged.) $)
    chocini $p |- ( A i^i ( _|_ ` A ) ) = 0H $=
      ( csh wcel cort cfv cin c0h wceq chshii ocin ax-mp ) ACDAAEFGHIABJAKL $.

    $( Join with lattice zero in ` CH ` .  (Contributed by NM, 15-Oct-1999.)
       (New usage is discouraged.) $)
    chj0i $p |- ( A vH 0H ) = A $=
      ( c0h chj cun cort cfv h0elch chjvali wss wceq ch0lei ssequn2 mpbi fveq2i
      co pjococi 3eqtri ) ACDPACEZFGZFGAFGZFGAACBHITUAFSAFCAJSAKABLCAMNOOABQR
      $.

    $( Meet with lattice one in ` CH ` .  (Contributed by NM, 24-Oct-1999.)
       (New usage is discouraged.) $)
    chm1i $p |- ( A i^i ~H ) = A $=
      ( chba wss cin wceq chssii df-ss mpbi ) ACDACEAFABGACHI $.

    ${
      $d x y B $.  $d x y C $.
      chjcl.2 $e |- B e. CH $.
      $( Closure of ` CH ` join.  (Contributed by NM, 29-Jul-1999.)
         (New usage is discouraged.) $)
      chjcli $p |- ( A vH B ) e. CH $=
        ( chshii shjcli ) ABACEBDEF $.

      $( Subspace sum is smaller than subspace join.  Remark in [Kalmbach]
         p. 65.  (Contributed by NM, 17-Oct-1999.)
         (New usage is discouraged.) $)
      chsleji $p |- ( A +H B ) C_ ( A vH B ) $=
        ( chshii shsleji ) ABACEBDEF $.

      $( Membership in subspace sum.  (Contributed by NM, 19-Oct-1999.)
         (New usage is discouraged.) $)
      chseli $p |- ( C e. ( A +H B )
           <-> E. x e. A E. y e. B C = ( x +h y ) ) $=
        ( chshii shseli ) ABCDECFHDGHI $.

      $( Closure of Hilbert lattice intersection.  (Contributed by NM,
         15-Oct-1999.)  (New usage is discouraged.) $)
      chincli $p |- ( A i^i B ) e. CH $=
        ( cpr cint cin cch elexi intpr wss c0 wne wcel wa pm3.2i prss mpbi prnz
        chintcli eqeltrri ) ABEZFABGHABAHCIZBHDIZJUBUBHKZUBLMAHNZBHNZOUEUFUGCDP
        ABHUCUDQRABUCSPTUA $.

      $( Hilbert lattice contraposition law.  (Contributed by NM, 15-Oct-1999.)
         (New usage is discouraged.) $)
      chsscon3i $p |- ( A C_ B <-> ( _|_ ` B ) C_ ( _|_ ` A ) ) $=
        ( wss cort cfv chba chssii occon mp2an choccli pjococi 3sstr3g impbii
        wi ) ABEZBFGZAFGZEZAHEBHEQTPACIBDIABJKTSFGZRFGZABRHESHETUAUBEPRBDLISACL
        IRSJKACMBDMNO $.

      $( Hilbert lattice contraposition law.  (Contributed by NM, 15-Oct-1999.)
         (New usage is discouraged.) $)
      chsscon1i $p |- ( ( _|_ ` A ) C_ B <-> ( _|_ ` B ) C_ A ) $=
        ( cort cfv wss choccli chsscon3i pjococi sseq2i bitri ) AEFZBGBEFZMEFZG
        NAGMBACHDIOANACJKL $.

      $( Hilbert lattice contraposition law.  (Contributed by NM, 15-Oct-1999.)
         (New usage is discouraged.) $)
      chsscon2i $p |- ( A C_ ( _|_ ` B ) <-> B C_ ( _|_ ` A ) ) $=
        ( chba wss cort cfv wb chssii occon3 mp2an ) AEFBEFABGHFBAGHFIACJBDJABK
        L $.

      $( Hilbert lattice contraposition law.  (Contributed by NM, 24-Jun-2004.)
         (New usage is discouraged.) $)
      chcon2i $p |- ( A = ( _|_ ` B ) <-> B = ( _|_ ` A ) ) $=
        ( cort cfv wss wa wceq chsscon2i chsscon1i anbi12i eqss 3bitr4i ) ABEFZ
        GZOAGZHBAEFZGZRBGZHAOIBRIPSQTABCDJBADCKLAOMBRMN $.

      $( Hilbert lattice contraposition law.  (Contributed by NM, 15-Jun-2006.)
         (New usage is discouraged.) $)
      chcon1i $p |- ( ( _|_ ` A ) = B <-> ( _|_ ` B ) = A ) $=
        ( cort cfv wceq chcon2i eqcom 3bitr4i ) BAEFZGABEFZGKBGLAGBADCHKBILAIJ
        $.

      $( Hilbert lattice contraposition law.  (Contributed by NM, 24-Jun-2004.)
         (New usage is discouraged.) $)
      chcon3i $p |- ( A = B <-> ( _|_ ` B ) = ( _|_ ` A ) ) $=
        ( wss wa cort cfv wceq chsscon3i anbi12i eqss 3bitr4i ) ABEZBAEZFBGHZAG
        HZEZQPEZFABIPQINROSABCDJBADCJKABLPQLM $.

      $( Union is smaller than ` CH ` join.  (Contributed by NM, 15-Oct-1999.)
         (New usage is discouraged.) $)
      chunssji $p |- ( A u. B ) C_ ( A vH B ) $=
        ( chshii shunssji ) ABACEBDEF $.

      $( Commutative law for join in ` CH ` .  (Contributed by NM,
         14-Oct-1999.)  (New usage is discouraged.) $)
      chjcomi $p |- ( A vH B ) = ( B vH A ) $=
        ( chshii shjcomi ) ABACEBDEF $.

      $( ` CH ` join is an upper bound of two elements.  (Contributed by NM,
         15-Oct-1999.)  (New usage is discouraged.) $)
      chub1i $p |- A C_ ( A vH B ) $=
        ( chshii shub1i ) ABACEBDEF $.

      $( ` CH ` join is an upper bound of two elements.  (Contributed by NM,
         5-Nov-2000.)  (New usage is discouraged.) $)
      chub2i $p |- A C_ ( B vH A ) $=
        ( chj co chub1i chjcomi sseqtri ) AABEFBAEFABCDGABCDHI $.

      ${
        chlub.1 $e |- C e. CH $.
        $( Hilbert lattice join is the least upper bound of two elements.
           (Contributed by NM, 11-Jun-2004.)  (New usage is discouraged.) $)
        chlubi $p |- ( ( A C_ C /\ B C_ C ) <-> ( A vH B ) C_ C ) $=
          ( chshii shlubi ) ABCADGBEGFH $.

        $( Hilbert lattice join is the least upper bound of two elements (one
           direction of ~ chlubi ).  (Contributed by NM, 15-Oct-1999.)
           (New usage is discouraged.) $)
        chlubii $p |- ( ( A C_ C /\ B C_ C ) -> ( A vH B ) C_ C ) $=
          ( wss wa chj co chlubi biimpi ) ACGBCGHABIJCGABCDEFKL $.

        $( Add join to both sides of a Hilbert lattice ordering.  (Contributed
           by NM, 19-Oct-1999.)  (New usage is discouraged.) $)
        chlej1i $p |- ( A C_ B -> ( A vH C ) C_ ( B vH C ) ) $=
          ( chshii shlej1i ) ABCADGBEGCFGH $.

        $( Add join to both sides of a Hilbert lattice ordering.  (Contributed
           by NM, 19-Oct-1999.)  (New usage is discouraged.) $)
        chlej2i $p |- ( A C_ B -> ( C vH A ) C_ ( C vH B ) ) $=
          ( chshii shlej2i ) ABCADGBEGCFGH $.

        ${
          chlej12.4 $e |- D e. CH $.
          $( Add join to both sides of a Hilbert lattice ordering.
             (Contributed by NM, 19-Oct-1999.)  (New usage is discouraged.) $)
          chlej12i $p |- ( ( A C_ B /\ C C_ D ) ->
                       ( A vH C ) C_ ( B vH D ) ) $=
            ( wss chj co chlej1i chlej2i sylan9ss ) ABICDIACJKBCJKBDJKABCEFGLCD
            BGHFMN $.
        $}
      $}

      $( Hilbert lattice ordering in terms of join.  (Contributed by NM,
         15-Oct-1999.)  (New usage is discouraged.) $)
      chlejb1i $p |- ( A C_ B <-> ( A vH B ) = B ) $=
        ( wss chj co wceq wa ssid chlubii mpan2 chub2i jctir eqss sylibr chub1i
        eqimss sstrid impbii ) ABEZABFGZBHZUAUBBEZBUBEZIUCUAUDUEUABBEUDBJABBCDD
        KLBADCMNUBBOPUCAUBBABCDQUBBRST $.

      $( De Morgan's law for meet in a Hilbert lattice.  (Contributed by NM,
         21-Jun-2004.)  (New usage is discouraged.) $)
      chdmm1i $p |- ( _|_ ` ( A i^i B ) ) = ( ( _|_ ` A ) vH ( _|_ ` B ) ) $=
        ( cin cort cfv chj co choccli chub1i chjcli chsscon1i mpbi chub2i ssini
        wss chincli inss1 chsscon3i inss2 chlubii mp2an eqssi ) ABEZFGZAFGZBFGZ
        HIZUIFGZUEQUFUIQUJABUGUIQUJAQUGUHACJZBDJZKAUICUGUHUKULLZMNUHUIQUJBQUHUG
        ULUKOBUIDUMMNPUIUEUMABCDRZMNUGUFQZUHUFQZUIUFQUEAQUOABSUEAUNCTNUEBQUPABU
        AUEBUNDTNUGUHUFUKULUEUNJUBUCUD $.

      $( De Morgan's law for meet in a Hilbert lattice.  (Contributed by NM,
         21-Jun-2004.)  (New usage is discouraged.) $)
      chdmm2i $p |- ( _|_ ` ( ( _|_ ` A ) i^i B ) ) = ( A vH ( _|_ ` B ) ) $=
        ( cort cfv cin chj co choccli chdmm1i pjococi oveq1i eqtri ) AEFZBGEFOE
        FZBEFZHIAQHIOBACJDKPAQHACLMN $.

      $( De Morgan's law for meet in a Hilbert lattice.  (Contributed by NM,
         21-Jun-2004.)  (New usage is discouraged.) $)
      chdmm3i $p |- ( _|_ ` ( A i^i ( _|_ ` B ) ) ) = ( ( _|_ ` A ) vH B ) $=
        ( cort cfv cin chj co choccli chdmm1i pjococi oveq2i eqtri ) ABEFZGEFAE
        FZOEFZHIPBHIAOCBDJKQBPHBDLMN $.

      $( De Morgan's law for meet in a Hilbert lattice.  (Contributed by NM,
         21-Jun-2004.)  (New usage is discouraged.) $)
      chdmm4i $p |- ( _|_ ` ( ( _|_ ` A ) i^i ( _|_ ` B ) ) ) = ( A vH B ) $=
        ( cort cfv cin chj co choccli chdmm2i pjococi oveq2i eqtri ) AEFBEFZGEF
        AOEFZHIABHIAOCBDJKPBAHBDLMN $.

      $( De Morgan's law for join in a Hilbert lattice.  (Contributed by NM,
         21-Jun-2004.)  (New usage is discouraged.) $)
      chdmj1i $p |- ( _|_ ` ( A vH B ) ) = ( ( _|_ ` A ) i^i ( _|_ ` B ) ) $=
        ( cort cfv cin chj co chdmm4i fveq2i choccli chincli pjococi eqtr3i ) A
        EFZBEFZGZEFZEFABHIZEFRSTEABCDJKRPQACLBDLMNO $.

      $( De Morgan's law for join in a Hilbert lattice.  (Contributed by NM,
         21-Jun-2004.)  (New usage is discouraged.) $)
      chdmj2i $p |- ( _|_ ` ( ( _|_ ` A ) vH B ) ) = ( A i^i ( _|_ ` B ) ) $=
        ( cort cfv chj co cin choccli chdmj1i pjococi ineq1i eqtri ) AEFZBGHEFO
        EFZBEFZIAQIOBACJDKPAQACLMN $.

      $( De Morgan's law for join in a Hilbert lattice.  (Contributed by NM,
         21-Jun-2004.)  (New usage is discouraged.) $)
      chdmj3i $p |- ( _|_ ` ( A vH ( _|_ ` B ) ) ) = ( ( _|_ ` A ) i^i B ) $=
        ( cort cfv chj co cin choccli chdmj1i pjococi ineq2i eqtri ) ABEFZGHEFA
        EFZOEFZIPBIAOCBDJKQBPBDLMN $.

      $( De Morgan's law for join in a Hilbert lattice.  (Contributed by NM,
         21-Jun-2004.)  (New usage is discouraged.) $)
      chdmj4i $p |- ( _|_ ` ( ( _|_ ` A ) vH ( _|_ ` B ) ) ) = ( A i^i B ) $=
        ( cort cfv chj co cin choccli chdmj2i pjococi ineq2i eqtri ) AEFBEFZGHE
        FAOEFZIABIAOCBDJKPBABDLMN $.

      $( Equivalent expressions for "not less than" in the Hilbert lattice.
         (Contributed by NM, 5-Jun-2004.)  (New usage is discouraged.) $)
      chnlei $p |- ( -. B C_ A <-> A C. ( A vH B ) ) $=
        ( chj co wceq wn wss wpss chub1i biantrur chlejb1i eqcom chjcomi eqeq2i
        wa 3bitri notbii dfpss2 3bitr4i ) AABEFZGZHZAUBIZUDQBAIZHAUBJUEUDABCDKL
        UFUCUFBAEFZAGAUGGUCBADCMUGANUGUBABADCOPRSAUBTUA $.

      ${
        chjass.3 $e |- C e. CH $.
        $( Associative law for Hilbert lattice join.  From definition of
           lattice in [Kalmbach] p. 14.  (Contributed by NM, 10-Jun-2004.)
           (New usage is discouraged.) $)
        chjassi $p |- ( ( A vH B ) vH C ) = ( A vH ( B vH C ) ) $=
          ( chj cort cfv cin inass chdmj1i ineq1i ineq2i 3eqtr4i fveq2i chdmm4i
          co chjcli 3eqtr3i ) ABGRZHIZCHIZJZHIAHIZBCGRZHIZJZHIUACGRAUFGRUDUHHUE
          BHIZJZUCJUEUIUCJZJUDUHUEUIUCKUBUJUCABDELMUGUKUEBCEFLNOPUACABDESFQAUFD
          BCEFSQT $.
      $}

      $( Two Hilbert lattice elements are zero iff their join is zero.
         (Contributed by NM, 7-Aug-2004.)  (New usage is discouraged.) $)
      chj00i $p |- ( ( A = 0H /\ B = 0H ) <-> ( A vH B ) = 0H ) $=
        ( c0h wceq wa chj co oveq12 h0elch chj0i eqtrdi wss chub1i sseq2 chle0i
        mpbii sylib chub2i jca impbii ) AEFZBEFZGZABHIZEFZUEUFEEHIEAEBEHJEKLMUG
        UCUDUGAENZUCUGAUFNUHABCDOUFEAPRACQSUGBENZUDUGBUFNUIBADCTUFEBPRBDQSUAUB
        $.
    $}

    $( The join of a closed subspace and its orthocomplement.  (Contributed by
       NM, 24-Oct-1999.)  (New usage is discouraged.) $)
    chjoi $p |- ( A vH ( _|_ ` A ) ) = ~H $=
      ( chba wss cort cfv chj co wceq chssii ssjo ax-mp ) ACDAAEFGHCIABJAKL $.

    $( Join with Hilbert lattice unit.  (Contributed by NM, 6-Aug-2004.)
       (New usage is discouraged.) $)
    chj1i $p |- ( A vH ~H ) = ~H $=
      ( chba chj co helch chjcli chssii chub2i eqssi ) ACDEZCKACBFGHCAFBIJ $.

    $( Meet with Hilbert lattice zero.  (Contributed by NM, 6-Aug-2004.)
       (New usage is discouraged.) $)
    chm0i $p |- ( A i^i 0H ) = 0H $=
      ( c0h cin inss2 ch0lei ssid ssini eqssi ) ACDCACECACABFCGHI $.
  $}

  $( Meet with Hilbert lattice zero.  (Contributed by NM, 14-Jun-2006.)
     (New usage is discouraged.) $)
  chm0 $p |- ( A e. CH -> ( A i^i 0H ) = 0H ) $=
    ( cch wcel c0h cin wceq cif ineq1 eqeq1d h0elch elimel chm0i dedth ) ABCZAD
    EZDFNADGZDEZDFADAPFOQDAPDHIPADBJKLM $.

  ${
    shjshs.1 $e |- A e. SH $.
    shjshs.2 $e |- B e. SH $.
    $( Hilbert lattice join equals the double orthocomplement of subspace sum.
       (Contributed by NM, 27-Nov-2004.)  (New usage is discouraged.) $)
    shjshsi $p |- ( A vH B ) = ( _|_ ` ( _|_ ` ( A +H B ) ) ) $=
      ( chj cph cort cfv cun csh wcel wceq shjval mp2an wss shunssi chba shssii
      co ax-mp unssi shscli occon2i eqsstri shsleji wi shjcli chssii occon occl
      cch chsscon1i mpbi eqssi ) ABESZABFSZGHZGHZUOABIZGHGHZURAJKBJKUOUTLCDABMN
      USUPOUTUROABCDPUSUPABQACRBDRUAUPABCDUBRZUCTUDUOGHUQOZURUOOUPUOOZVBABCDUEU
      PQOZUOQOVCVBUFVAUOABCDUGZUHUPUOUINTUOUQVEVDUQUKKVAUPUJTULUMUN $.

    $( A closed subspace sum equals Hilbert lattice join.  Part of Lemma 31.1.5
       of [MaedaMaeda] p. 136.  (Contributed by NM, 30-Nov-2004.)
       (New usage is discouraged.) $)
    shjshseli $p |- ( ( A +H B ) e. CH <-> ( A +H B ) = ( A vH B ) ) $=
      ( cph cch wcel chj wceq cort cfv shjshsi ococ eqtr2id shjcli eleq1 mpbiri
      co impbii ) ABERZFGZTABHRZIZUAUBTJKJKTABCDLTMNUCUAUBFGABCDOTUBFPQS $.
  $}

  ${
    $d x A $.
    $( A nonzero closed subspace has a nonzero vector.  (Contributed by NM,
       25-Feb-2006.)  (New usage is discouraged.) $)
    chne0 $p |- ( A e. CH -> ( A =/= 0H <-> E. x e. A x =/= 0h ) ) $=
      ( cch wcel c0h wne cv c0v wrex cif wceq neeq1 rexeq bibi12d h0elch elimel
      wb chne0i dedth ) BCDZBEFZAGHFZABIZQTBEJZEFZUBAUDIZQBEBUDKUAUEUCUFBUDELUB
      ABUDMNAUDBECOPRS $.
  $}

  $( Intersection of a closed subspace and its orthocomplement.  Part of
     Proposition 1 of [Kalmbach] p. 65.  (Contributed by NM, 13-Jun-2006.)
     (New usage is discouraged.) $)
  chocin $p |- ( A e. CH -> ( A i^i ( _|_ ` A ) ) = 0H ) $=
    ( cch wcel cort cfv cin c0h wceq cif id fveq2 ineq12d eqeq1d h0elch chocini
    elimel dedth ) ABCZAADEZFZGHRAGIZUADEZFZGHAGAUAHZTUCGUDAUASUBUDJAUADKLMUAAG
    BNPOQ $.

  $( A closed subspace less than its orthocomplement is zero.  (Contributed by
     NM, 14-Jun-2006.)  (New usage is discouraged.) $)
  chssoc $p |- ( A e. CH -> ( A C_ ( _|_ ` A ) <-> A = 0H ) ) $=
    ( cch wcel cort cfv wss c0h inidm sslin eqsstrrid chocin sseq2d chle0 bitrd
    wceq cin syl5ib wa simpr choccl ch0le syl adantr eqsstrd ex impbid ) ABCZAA
    DEZFZAGOZUIAAUHPZFZUGUJUIAAAPUKAHAUHAIJUGULAGFUJUGUKGAAKLAMNQUGUJUIUGUJRAGU
    HUGUJSUGGUHFZUJUGUHBCUMATUHUAUBUCUDUEUF $.

  $( Join with Hilbert lattice zero.  (Contributed by NM, 22-Jun-2004.)
     (New usage is discouraged.) $)
  chj0 $p |- ( A e. CH -> ( A vH 0H ) = A ) $=
    ( cch wcel c0h chj co wceq cif oveq1 id eqeq12d h0elch elimel chj0i dedth )
    ABCZADEFZAGPADHZDEFZRGADARGZQSARARDEITJKRADBLMNO $.

  $( Subspace sum is smaller than subspace join.  Remark in [Kalmbach] p. 65.
     (Contributed by NM, 12-Jul-2004.)  (New usage is discouraged.) $)
  chslej $p |- ( ( A e. CH /\ B e. CH ) -> ( A +H B ) C_ ( A vH B ) ) $=
    ( cch wcel csh cph co chj wss chsh shslej syl2an ) ACDAEDBEDABFGABHGIBCDAJB
    JABKL $.

  $( Closure of Hilbert lattice intersection.  (Contributed by NM,
     15-Jun-2004.)  (New usage is discouraged.) $)
  chincl $p |- ( ( A e. CH /\ B e. CH ) -> ( A i^i B ) e. CH ) $=
    ( cch wcel cin chba cif wceq ineq1 eleq1d ineq2 ifchhv chincli dedth2h ) AC
    DZBCDZABEZCDOAFGZBEZCDRPBFGZEZCDABFFARHQSCARBIJBTHSUACBTRKJRTALBLMN $.

  $( Hilbert lattice contraposition law.  (Contributed by NM, 12-Jun-2004.)
     (New usage is discouraged.) $)
  chsscon3 $p |- ( ( A e. CH /\ B e. CH ) ->
                  ( A C_ B <-> ( _|_ ` B ) C_ ( _|_ ` A ) ) ) $=
    ( cch wcel wss cort cfv wb chba cif sseq1 fveq2 sseq2d bibi12d sseq2 sseq1d
    wceq ifchhv chsscon3i dedth2h ) ACDZBCDZABEZBFGZAFGZEZHUAAIJZBEZUDUGFGZEZHU
    GUBBIJZEZUKFGZUIEZHABIIAUGQZUCUHUFUJAUGBKUOUEUIUDAUGFLMNBUKQZUHULUJUNBUKUGO
    UPUDUMUIBUKFLPNUGUKARBRST $.

  $( Hilbert lattice contraposition law.  (Contributed by NM, 21-Jun-2004.)
     (New usage is discouraged.) $)
  chsscon1 $p |- ( ( A e. CH /\ B e. CH ) ->
                  ( ( _|_ ` A ) C_ B <-> ( _|_ ` B ) C_ A ) ) $=
    ( cch wcel wa cort cfv wss wb choccl chsscon3 sylan wceq ococ adantr sseq2d
    bitrd ) ACDZBCDZEZAFGZBHZBFGZUAFGZHZUCAHRUACDSUBUEIAJUABKLTUDAUCRUDAMSANOPQ
    $.

  $( Hilbert lattice contraposition law.  (Contributed by NM, 21-Jun-2004.)
     (New usage is discouraged.) $)
  chsscon2 $p |- ( ( A e. CH /\ B e. CH ) ->
                  ( A C_ ( _|_ ` B ) <-> B C_ ( _|_ ` A ) ) ) $=
    ( cch wcel chba wss cort cfv wb chss occon3 syl2an ) ACDAEFBEFABGHFBAGHFIBC
    DAJBJABKL $.

  $( Hilbert lattice contraposition law for strict ordering.  (Contributed by
     NM, 12-Jun-2004.)  (New usage is discouraged.) $)
  chpsscon3 $p |- ( ( A e. CH /\ B e. CH ) ->
                  ( A C. B <-> ( _|_ ` B ) C. ( _|_ ` A ) ) ) $=
    ( cch wcel wa wss wn cort cfv wpss chsscon3 wb ancoms notbid anbi12d dfpss3
    3bitr4g ) ACDZBCDZEZABFZBAFZGZEBHIZAHIZFZUEUDFZGZEABJUDUEJTUAUFUCUHABKTUBUG
    SRUBUGLBAKMNOABPUDUEPQ $.

  $( Hilbert lattice contraposition law for strict ordering.  (Contributed by
     NM, 12-Jun-2004.)  (New usage is discouraged.) $)
  chpsscon1 $p |- ( ( A e. CH /\ B e. CH ) ->
                  ( ( _|_ ` A ) C. B <-> ( _|_ ` B ) C. A ) ) $=
    ( cch wcel wa cort cfv wpss choccl chpsscon3 sylan wceq ococ adantr psseq2d
    wb bitrd ) ACDZBCDZEZAFGZBHZBFGZUAFGZHZUCAHRUACDSUBUEPAIUABJKTUDAUCRUDALSAM
    NOQ $.

  $( Hilbert lattice contraposition law for strict ordering.  (Contributed by
     NM, 12-Jun-2004.)  (New usage is discouraged.) $)
  chpsscon2 $p |- ( ( A e. CH /\ B e. CH ) ->
                  ( A C. ( _|_ ` B ) <-> B C. ( _|_ ` A ) ) ) $=
    ( cch wcel wa cort wpss wb choccl chpsscon3 sylan2 wceq ococ adantl psseq1d
    cfv bitrd ) ACDZBCDZEZABFPZGZUAFPZAFPZGZBUDGSRUACDUBUEHBIAUAJKTUCBUDSUCBLRB
    MNOQ $.

  $( Commutative law for Hilbert lattice join.  (Contributed by NM,
     12-Jun-2004.)  (New usage is discouraged.) $)
  chjcom $p |- ( ( A e. CH /\ B e. CH ) -> ( A vH B ) = ( B vH A ) ) $=
    ( cch wcel csh chj co wceq chsh shjcom syl2an ) ACDAEDBEDABFGBAFGHBCDAIBIAB
    JK $.

  $( Hilbert lattice join is greater than or equal to its first argument.
     (Contributed by NM, 12-Jun-2004.)  (New usage is discouraged.) $)
  chub1 $p |- ( ( A e. CH /\ B e. CH ) -> A C_ ( A vH B ) ) $=
    ( cch wcel csh chj co wss chsh shub1 syl2an ) ACDAEDBEDAABFGHBCDAIBIABJK $.

  $( Hilbert lattice join is greater than or equal to its second argument.
     (Contributed by NM, 12-Jun-2004.)  (New usage is discouraged.) $)
  chub2 $p |- ( ( A e. CH /\ B e. CH ) -> A C_ ( B vH A ) ) $=
    ( cch wcel wa chj co chub1 chjcom sseqtrd ) ACDBCDEAABFGBAFGABHABIJ $.

  $( Hilbert lattice join is the least upper bound of two elements.
     (Contributed by NM, 12-Jun-2004.)  (New usage is discouraged.) $)
  chlub $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) ->
               ( ( A C_ C /\ B C_ C ) <-> ( A vH B ) C_ C ) ) $=
    ( cch wcel csh wss wa chj co wb chsh shlub syl3an2 syl3an1 ) ADEAFEZBDEZCDE
    ZACGBCGHABIJCGKZALQPBFERSBLABCMNO $.

  $( Add join to both sides of Hilbert lattice ordering.  (Contributed by NM,
     22-Jun-2004.)  (New usage is discouraged.) $)
  chlej1 $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\
                A C_ B ) -> ( A vH C ) C_ ( B vH C ) ) $=
    ( cch wcel csh wss chj co chsh shlej1 syl3anl ) ADEAFEBDEBFECDECFEABGACHIBC
    HIGAJBJCJABCKL $.

  $( Add join to both sides of Hilbert lattice ordering.  (Contributed by NM,
     22-Jun-2004.)  (New usage is discouraged.) $)
  chlej2 $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\
                A C_ B ) -> ( C vH A ) C_ ( C vH B ) ) $=
    ( cch wcel csh wss chj co chsh shlej2 syl3anl ) ADEAFEBDEBFECDECFEABGCAHICB
    HIGAJBJCJABCKL $.

  $( Hilbert lattice ordering in terms of join.  (Contributed by NM,
     30-Jun-2004.)  (New usage is discouraged.) $)
  chlejb1 $p |- ( ( A e. CH /\ B e. CH ) -> ( A C_ B <-> ( A vH B ) = B ) ) $=
    ( cch wcel wss chj co wceq wb c0h sseq1 oveq1 eqeq1d bibi12d sseq2 oveq2 id
    cif h0elch elimel eqeq12d chlejb1i dedth2h ) ACDZBCDZABEZABFGZBHZIUDAJRZBEZ
    UIBFGZBHZIUIUEBJRZEZUIUMFGZUMHZIABJJAUIHZUFUJUHULAUIBKUQUGUKBAUIBFLMNBUMHZU
    JUNULUPBUMUIOURUKUOBUMBUMUIFPURQUANUIUMAJCSTBJCSTUBUC $.

  $( Hilbert lattice ordering in terms of join.  (Contributed by NM,
     2-Jul-2004.)  (New usage is discouraged.) $)
  chlejb2 $p |- ( ( A e. CH /\ B e. CH ) -> ( A C_ B <-> ( B vH A ) = B ) ) $=
    ( cch wcel wa wss chj co wceq chlejb1 chjcom eqeq1d bitrd ) ACDBCDEZABFABGH
    ZBIBAGHZBIABJNOPBABKLM $.

  $( Equivalent expressions for "not less than" in the Hilbert lattice.
     (Contributed by NM, 9-Jun-2004.)  (New usage is discouraged.) $)
  chnle $p |- ( ( A e. CH /\ B e. CH ) ->
               ( -. B C_ A <-> A C. ( A vH B ) ) ) $=
    ( cch wcel wss wn chj co wpss wb c0h cif wceq sseq2 notbid id oveq1 bibi12d
    h0elch elimel psseq12d sseq1 oveq2 psseq2d chnlei dedth2h ) ACDZBCDZBAEZFZA
    ABGHZIZJBUGAKLZEZFZUMUMBGHZIZJUHBKLZUMEZFZUMUMURGHZIZJABKKAUMMZUJUOULUQVCUI
    UNAUMBNOVCAUMUKUPVCPAUMBGQUARBURMZUOUTUQVBVDUNUSBURUMUBOVDUPVAUMBURUMGUCUDR
    UMURAKCSTBKCSTUEUF $.

  $( The join of a closed subspace and its orthocomplement is all of Hilbert
     space.  (Contributed by NM, 31-Oct-2005.)  (New usage is discouraged.) $)
  chjo $p |- ( A e. CH -> ( A vH ( _|_ ` A ) ) = ~H ) $=
    ( cch wcel cort cfv chj co chba wceq cif id fveq2 eqeq1d ifchhv chjoi dedth
    oveq12d ) ABCZAADEZFGZHIRAHJZUADEZFGZHIAHAUAIZTUCHUDAUASUBFUDKAUADLQMUAANOP
    $.

  $( Hilbert lattice absorption law.  From definition of lattice in [Kalmbach]
     p. 14.  (Contributed by NM, 15-Jun-2004.)  (New usage is discouraged.) $)
  chabs1 $p |- ( ( A e. CH /\ B e. CH ) -> ( A vH ( A i^i B ) ) = A ) $=
    ( cch wcel wa cin chj co wss ssid inss1 pm3.2i wb simpl chlub syl3anc mpbii
    chincl chub1 syldan eqssd ) ACDZBCDZEZAABFZGHZAUDAAIZUEAIZEZUFAIZUGUHAJABKL
    UDUBUECDZUBUIUJMUBUCNZABRZULAUEAOPQUBUCUKAUFIUMAUESTUA $.

  $( Hilbert lattice absorption law.  From definition of lattice in [Kalmbach]
     p. 14.  (Contributed by NM, 16-Jun-2004.)  (New usage is discouraged.) $)
  chabs2 $p |- ( ( A e. CH /\ B e. CH ) -> ( A i^i ( A vH B ) ) = A ) $=
    ( cch wcel wa chj co cin wceq chub1 ssid jctil ssin sylib inss1 eqss sylibr
    wss ) ACDBCDEZAABFGZHZARZAUARZEUAAISUCUBSAARZATRZEUCSUEUDABJAKLAATMNATOLUAA
    PQ $.

  ${
    chabs.1 $e |- A e. CH $.
    chabs.2 $e |- B e. CH $.
    $( Hilbert lattice absorption law.  From definition of lattice in
       [Kalmbach] p. 14.  (Contributed by NM, 10-Jun-2004.)
       (New usage is discouraged.) $)
    chabs1i $p |- ( A vH ( A i^i B ) ) = A $=
      ( cch wcel cin chj co wceq chabs1 mp2an ) AEFBEFAABGHIAJCDABKL $.

    $( Hilbert lattice absorption law.  From definition of lattice in
       [Kalmbach] p. 14.  (Contributed by NM, 16-Jun-2004.)
       (New usage is discouraged.) $)
    chabs2i $p |- ( A i^i ( A vH B ) ) = A $=
      ( cch wcel chj co cin wceq chabs2 mp2an ) AEFBEFAABGHIAJCDABKL $.
  $}

  $( Idempotent law for Hilbert lattice join.  (Contributed by NM,
     26-Jun-2004.)  (New usage is discouraged.) $)
  chjidm $p |- ( A e. CH -> ( A vH A ) = A ) $=
    ( cch wcel chj co cin inidm oveq2i wceq chabs1 anidms eqtr3id ) ABCZAADEAAA
    FZDEZANAADAGHMOAIAAJKL $.

  ${
    chjidm.1 $e |- A e. CH $.
    $( Idempotent law for Hilbert lattice join.  (Contributed by NM,
       15-Jun-2004.)  (New usage is discouraged.) $)
    chjidmi $p |- ( A vH A ) = A $=
      ( cch wcel chj co wceq chjidm ax-mp ) ACDAAEFAGBAHI $.
  $}

  ${
    chj12.1 $e |- A e. CH $.
    chj12.2 $e |- B e. CH $.
    chj12.3 $e |- C e. CH $.
    $( A rearrangement of Hilbert lattice join.  (Contributed by NM,
       29-Apr-2006.)  (New usage is discouraged.) $)
    chj12i $p |- ( A vH ( B vH C ) ) = ( B vH ( A vH C ) ) $=
      ( chj co chjcomi oveq1i chjassi 3eqtr3i ) ABGHZCGHBAGHZCGHABCGHGHBACGHGHM
      NCGABDEIJABCDEFKBACEDFKL $.

    ${
      chj4.4 $e |- D e. CH $.
      $( Rearrangement of the join of 4 Hilbert lattice elements.  (Contributed
         by NM, 29-Apr-2006.)  (New usage is discouraged.) $)
      chj4i $p |- ( ( A vH B ) vH ( C vH D ) ) =
                 ( ( A vH C ) vH ( B vH D ) ) $=
        ( chj co chj12i oveq2i chjcli chjassi 3eqtr4i ) ABCDIJZIJZIJACBDIJZIJZI
        JABIJPIJACIJRIJQSAIBCDFGHKLABPEFCDGHMNACREGBDFHMNO $.
    $}

    $( Hilbert lattice join distributes over itself.  (Contributed by NM,
       29-Apr-2006.)  (New usage is discouraged.) $)
    chjjdiri $p |- ( ( A vH B ) vH C ) = ( ( A vH C ) vH ( B vH C ) ) $=
      ( chj co chjidmi oveq2i chj4i eqtr3i ) ABGHZCCGHZGHMCGHACGHBCGHGHNCMGCFIJ
      ABCCDEFFKL $.
  $}

  $( De Morgan's law for meet in a Hilbert lattice.  (Contributed by NM,
     21-Jun-2004.)  (New usage is discouraged.) $)
  chdmm1 $p |- ( ( A e. CH /\ B e. CH ) ->
                ( _|_ ` ( A i^i B ) ) = ( ( _|_ ` A ) vH ( _|_ ` B ) ) ) $=
    ( cch wcel cin cort cfv chj wceq chba cif ineq1 fveq2d fveq2 oveq1d eqeq12d
    co ineq2 oveq2d ifchhv chdmm1i dedth2h ) ACDZBCDZABEZFGZAFGZBFGZHQZIUCAJKZB
    EZFGZUJFGZUHHQZIUJUDBJKZEZFGZUMUOFGZHQZIABJJAUJIZUFULUIUNUTUEUKFAUJBLMUTUGU
    MUHHAUJFNOPBUOIZULUQUNUSVAUKUPFBUOUJRMVAUHURUMHBUOFNSPUJUOATBTUAUB $.

  $( De Morgan's law for meet in a Hilbert lattice.  (Contributed by NM,
     21-Jun-2004.)  (New usage is discouraged.) $)
  chdmm2 $p |- ( ( A e. CH /\ B e. CH ) ->
                ( _|_ ` ( ( _|_ ` A ) i^i B ) ) = ( A vH ( _|_ ` B ) ) ) $=
    ( cch wcel wa cort cfv cin chj wceq choccl chdmm1 sylan adantr oveq1d eqtrd
    co ococ ) ACDZBCDZEZAFGZBHFGZUBFGZBFGZIQZAUEIQSUBCDTUCUFJAKUBBLMUAUDAUEISUD
    AJTARNOP $.

  $( De Morgan's law for meet in a Hilbert lattice.  (Contributed by NM,
     21-Jun-2004.)  (New usage is discouraged.) $)
  chdmm3 $p |- ( ( A e. CH /\ B e. CH ) ->
                ( _|_ ` ( A i^i ( _|_ ` B ) ) ) = ( ( _|_ ` A ) vH B ) ) $=
    ( cch wcel wa cort cfv cin chj wceq choccl chdmm1 sylan2 ococ adantl oveq2d
    co eqtrd ) ACDZBCDZEZABFGZHFGZAFGZUBFGZIQZUDBIQTSUBCDUCUFJBKAUBLMUAUEBUDITU
    EBJSBNOPR $.

  $( De Morgan's law for meet in a Hilbert lattice.  (Contributed by NM,
     21-Jun-2004.)  (New usage is discouraged.) $)
  chdmm4 $p |- ( ( A e. CH /\ B e. CH ) ->
                ( _|_ ` ( ( _|_ ` A ) i^i ( _|_ ` B ) ) ) = ( A vH B ) ) $=
    ( cch wcel wa cort cfv cin chj wceq choccl chdmm2 sylan2 ococ adantl oveq2d
    co eqtrd ) ACDZBCDZEZAFGBFGZHFGZAUBFGZIQZABIQTSUBCDUCUEJBKAUBLMUAUDBAITUDBJ
    SBNOPR $.

  $( De Morgan's law for join in a Hilbert lattice.  (Contributed by NM,
     21-Jun-2004.)  (New usage is discouraged.) $)
  chdmj1 $p |- ( ( A e. CH /\ B e. CH ) ->
                ( _|_ ` ( A vH B ) ) = ( ( _|_ ` A ) i^i ( _|_ ` B ) ) ) $=
    ( cch wcel wa cort cfv cin chj chdmm4 fveq2d wceq choccl chincl syl2an ococ
    co syl eqtr3d ) ACDZBCDZEZAFGZBFGZHZFGZFGZABIQZFGUEUBUFUHFABJKUBUECDZUGUELT
    UCCDUDCDUIUAAMBMUCUDNOUEPRS $.

  $( De Morgan's law for join in a Hilbert lattice.  (Contributed by NM,
     21-Jun-2004.)  (New usage is discouraged.) $)
  chdmj2 $p |- ( ( A e. CH /\ B e. CH ) ->
                ( _|_ ` ( ( _|_ ` A ) vH B ) ) = ( A i^i ( _|_ ` B ) ) ) $=
    ( cch wcel wa cort cfv chj cin wceq choccl chdmj1 sylan ineq1d adantr eqtrd
    co ococ ) ACDZBCDZEAFGZBHQFGZUAFGZBFGZIZAUDIZSUACDTUBUEJAKUABLMSUEUFJTSUCAU
    DARNOP $.

  $( De Morgan's law for join in a Hilbert lattice.  (Contributed by NM,
     21-Jun-2004.)  (New usage is discouraged.) $)
  chdmj3 $p |- ( ( A e. CH /\ B e. CH ) ->
                ( _|_ ` ( A vH ( _|_ ` B ) ) ) = ( ( _|_ ` A ) i^i B ) ) $=
    ( cch wcel wa cort cfv chj cin wceq choccl chdmj1 sylan2 ococ adantl ineq2d
    co eqtrd ) ACDZBCDZEZABFGZHQFGZAFGZUBFGZIZUDBITSUBCDUCUFJBKAUBLMUAUEBUDTUEB
    JSBNOPR $.

  $( De Morgan's law for join in a Hilbert lattice.  (Contributed by NM,
     21-Jun-2004.)  (New usage is discouraged.) $)
  chdmj4 $p |- ( ( A e. CH /\ B e. CH ) ->
                ( _|_ ` ( ( _|_ ` A ) vH ( _|_ ` B ) ) ) = ( A i^i B ) ) $=
    ( cch wcel wa cort cfv chj cin wceq choccl chdmj2 sylan2 ococ adantl ineq2d
    co eqtrd ) ACDZBCDZEZAFGBFGZHQFGZAUBFGZIZABITSUBCDUCUEJBKAUBLMUAUDBATUDBJSB
    NOPR $.

  $( Associative law for Hilbert lattice join.  From definition of lattice in
     [Kalmbach] p. 14.  (Contributed by NM, 10-Jun-2004.)
     (New usage is discouraged.) $)
  chjass $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) ->
                ( ( A vH B ) vH C ) = ( A vH ( B vH C ) ) ) $=
    ( cch wcel chj co wceq cif oveq1 oveq1d eqeq12d oveq2 oveq2d ifchhv chjassi
    chba dedth3h ) ADEZBDEZCDEZABFGZCFGZABCFGZFGZHSAQIZBFGZCFGZUFUDFGZHUFTBQIZF
    GZCFGZUFUJCFGZFGZHUKUACQIZFGZUFUJUOFGZFGZHABCQQQAUFHZUCUHUEUIUSUBUGCFAUFBFJ
    KAUFUDFJLBUJHZUHULUIUNUTUGUKCFBUJUFFMKUTUDUMUFFBUJCFJNLCUOHZULUPUNURCUOUKFM
    VAUMUQUFFCUOUJFMNLUFUJUOAOBOCOPR $.

  $( A rearrangement of Hilbert lattice join.  (Contributed by NM,
     15-Jun-2006.)  (New usage is discouraged.) $)
  chj12 $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) ->
              ( A vH ( B vH C ) ) = ( B vH ( A vH C ) ) ) $=
    ( cch wcel w3a chj co wceq chjcom 3adant3 oveq1d chjass 3com12 3eqtr3d ) AD
    EZBDEZCDEZFZABGHZCGHBAGHZCGHZABCGHGHBACGHGHZSTUACGPQTUAIRABJKLABCMQPRUBUCIB
    ACMNO $.

  $( Rearrangement of the join of 4 Hilbert lattice elements.  (Contributed by
     NM, 15-Jun-2006.)  (New usage is discouraged.) $)
  chj4 $p |- ( ( ( A e. CH /\ B e. CH ) /\ ( C e. CH /\ D e. CH ) ) ->
              ( ( A vH B ) vH ( C vH D ) ) = ( ( A vH C ) vH ( B vH D ) ) ) $=
    ( cch wcel wa chj wceq chj12 3expb adantll oveq2d chjcl chjass 3expa sylan2
    co an4s 3eqtr4d ) AEFZBEFZGZCEFZDEFZGZGZABCDHRZHRZHRZACBDHRZHRZHRZABHRUHHRZ
    ACHRUKHRZUGUIULAHUBUFUIULIZUAUBUDUEUPBCDJKLMUFUCUHEFZUNUJIZCDNUAUBUQURABUHO
    PQUAUDUBUEUOUMIZUBUEGUAUDGUKEFZUSBDNUAUDUTUSACUKOPQST $.

  ${
    ledi.1 $e |- A e. CH $.
    ledi.2 $e |- B e. CH $.
    ledi.3 $e |- C e. CH $.
    $( An ortholattice is distributive in one ordering direction.  (Contributed
       by NM, 6-Aug-2004.)  (New usage is discouraged.) $)
    ledii $p |- ( ( A i^i B ) vH ( A i^i C ) ) C_ ( A i^i ( B vH C ) ) $=
      ( cin chj co wss inss1 chincli chlubii mp2an inss2 chlej12i ssini ) ABGZA
      CGZHIZABCHIZRAJSAJTAJABKACKRSAABDELZACDFLZDMNRBJSCJTUAJABOACORBSCUBEUCFPN
      Q $.

    $( An ortholattice is distributive in one ordering direction.  (Contributed
       by NM, 27-Apr-2006.)  (New usage is discouraged.) $)
    lediri $p |- ( ( A i^i C ) vH ( B i^i C ) ) C_ ( ( A vH B ) i^i C ) $=
      ( cin chj co ledii incom oveq12i 3sstr4i ) CAGZCBGZHICABHIZGACGZBCGZHIPCG
      CABFDEJQNROHACKBCKLPCKM $.

    $( An ortholattice is distributive in one ordering direction (join
       version).  (Contributed by NM, 27-Apr-2006.)
       (New usage is discouraged.) $)
    lejdii $p |- ( A vH ( B i^i C ) ) C_ ( ( A vH B ) i^i ( A vH C ) ) $=
      ( cin chj wss chub1i ssini inss1 chub2i sstri inss2 chincli chjcli chlubi
      co wa bicomi mpbir2an ) ABCGZHSABHSZACHSZGZIZAUFIZUCUFIZAUDUEABDEJACDFJKU
      CUDUEUCBUDBCLBAEDMNUCCUEBCOCAFDMNKUHUITUGAUCUFDBCEFPUDUEABDEQACDFQPRUAUB
      $.

    $( An ortholattice is distributive in one ordering direction (join
       version).  (Contributed by NM, 27-Apr-2006.)
       (New usage is discouraged.) $)
    lejdiri $p |- ( ( A i^i B ) vH C ) C_ ( ( A vH C ) i^i ( B vH C ) ) $=
      ( cin chj co lejdii chincli chjcomi ineq12i 3sstr4i ) CABGZHICAHIZCBHIZGO
      CHIACHIZBCHIZGCABFDEJOCABDEKFLRPSQACDFLBCEFLMN $.
  $}

  $( An ortholattice is distributive in one ordering direction.  (Contributed
     by NM, 14-Jun-2006.)  (New usage is discouraged.) $)
  ledi $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) ->
              ( ( A i^i B ) vH ( A i^i C ) ) C_ ( A i^i ( B vH C ) ) ) $=
    ( cch wcel cin chj co wss c0h cif ineq1 oveq12d sseq12d ineq2 oveq1d ineq2d
    wceq h0elch elimel oveq1 oveq2d oveq2 ledii dedth3h ) ADEZBDEZCDEZABFZACFZG
    HZABCGHZFZIUFAJKZBFZUNCFZGHZUNULFZIUNUGBJKZFZUPGHZUNUSCGHZFZIUTUNUHCJKZFZGH
    ZUNUSVDGHZFZIABCJJJAUNRZUKUQUMURVIUIUOUJUPGAUNBLAUNCLMAUNULLNBUSRZUQVAURVCV
    JUOUTUPGBUSUNOPVJULVBUNBUSCGUAQNCVDRZVAVFVCVHVKUPVEUTGCVDUNOUBVKVBVGUNCVDUS
    GUCQNUNUSVDAJDSTBJDSTCJDSTUDUE $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Span (cont.) and one-dimensional subspaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The span of the singleton of the zero vector is the zero subspace.
     (Contributed by NM, 14-Jan-2005.)  (New usage is discouraged.) $)
  spansn0 $p |- ( span ` { 0h } ) = 0H $=
    ( c0h cspn cfv c0v csn df-ch0 fveq2i wcel wceq h0elsh spanid ax-mp eqtr3i
    csh ) ABCZDEZBCAAPBFGANHOAIJAKLM $.

  $( The span of the empty set is the zero subspace.  Remark 11.6.e of
     [Schechter] p. 276.  (Contributed by NM, 3-Jun-2004.)
     (New usage is discouraged.) $)
  span0 $p |- ( span ` (/) ) = 0H $=
    ( cspn cfv c0h chba wss h0elsh shssii 0ss spanss mp2an csh wcel wceq spanid
    c0 ax-mp sseqtri spancl sh0le eqssi ) OABZCUACABZCCDEOCEUAUBECFGCHOCIJCKLUB
    CMFCNPQUAKLZCUAEODEUCDHORPUASPT $.

  ${
    $d x A $.  $d x B $.
    elspan.1 $e |- B e. _V $.
    $( Membership in the span of a subset of Hilbert space.  (Contributed by
       NM, 2-Jun-2004.)  (New usage is discouraged.) $)
    elspani $p |- ( A C_ ~H ->
                ( B e. ( span ` A ) <-> A. x e. SH ( A C_ x -> B e. x ) ) ) $=
      ( chba wss cspn cfv wcel cv csh crab cint wi wral spanval eleq2d elintrab
      bitrdi ) BEFZCBGHZICBAJZFZAKLMZIUCCUBINAKOTUAUDCABPQUCACKDRS $.
  $}

  ${
    spanun.1 $e |- A C_ ~H $.
    spanun.2 $e |- B C_ ~H $.
    $d x y z w A $.  $d x y z w B $.
    $( The span of a union is the subspace sum of spans.  (Contributed by NM,
       2-Jun-2004.)  (New usage is discouraged.) $)
    spanuni $p |- ( span ` ( A u. B ) ) = ( ( span ` A ) +H ( span ` B ) ) $=
      ( vx vz vw vy cspn cfv chba wss csh wcel ax-mp cv wa wel wi wral co mp2an
      cun spancl shscli shssii spanss2 unss12 shunssi sstri spanss wceq sseqtri
      cph spanid cva wex wrex shseli bitri wb vex elspani anbi12i r19.26 bitr4i
      r19.27v sylanb anim12 syl5bir shaddcl 3expib sylan9r eleq1 biimprd sylan9
      r2ex unss expl ralimia unssi sylibr syl exlimivv sylbi ssriv eqssi ) ABUC
      ZIJZAIJZBIJZUNUAZWIWLIJZWLWLKLWHWLLWIWMLWLWJWKAKLZWJMNCAUDOZBKLZWKMNDBUDO
      ZUEZUFWHWJWKUCZWLAWJLZBWKLZWHWSLWNWTCAUGOWPXADBUGOAWJBWKUHUBWJWKWOWQUIUJW
      HWLUKUBWLMNWMWLULWRWLUOOUMEWLWIEPZWLNZFPZWJNZGPZWKNZQZXBXDXFUPUAZULZQZGUQ
      FUQZXBWINZXCXJGWKURFWJURXLFGWJWKXBWOWQUSXJFGWJWKVQUTXKXMFGXKAHPZLZFHRZSZB
      XNLZGHRZSZQZXJQZHMTZXMXHYAHMTZXJYCXHXQHMTZXTHMTZQYDXEYEXGYFWNXEYEVACHAXDF
      VBVCOWPXGYFVADHBXFGVBVCOVDXQXTHMVEVFYAXJHMVGVHYCWHXNLZEHRZSZHMTZXMYBYIHMX
      NMNZYAXJYIYKYAQYGXIXNNZXJYHYAYGXPXSQZYKYLYGXOXRQYAYMABXNVRXOXPXRXSVIVJYKX
      PXSYLXDXFXNVKVLVMXJYHYLXBXIXNVNVOVPVSVTWHKLXMYJVAABKCDWAHWHXBEVBVCOWBWCWD
      WEWFWG $.
  $}

  $( The span of a union is the subspace sum of spans.  (Contributed by NM,
     9-Jun-2006.)  (New usage is discouraged.) $)
  spanun $p |- ( ( A C_ ~H /\ B C_ ~H ) ->
                ( span ` ( A u. B ) ) = ( ( span ` A ) +H ( span ` B ) ) ) $=
    ( chba wss cun cspn cfv cph co wceq uneq1 fveq2d fveq2 oveq1d eqeq12d uneq2
    cif oveq2d sseq1 elimhyp ssid spanuni dedth2h ) ACDZBCDZABEZFGZAFGZBFGZHIZJ
    UDACQZBEZFGZUKFGZUIHIZJUKUEBCQZEZFGZUNUPFGZHIZJABCCAUKJZUGUMUJUOVAUFULFAUKB
    KLVAUHUNUIHAUKFMNOBUPJZUMURUOUTVBULUQFBUPUKPLVBUIUSUNHBUPFMROUKUPUDUKCDCCDZ
    ACAUKCSCUKCSCUAZTUEUPCDVCBCBUPCSCUPCSVDTUBUC $.

  ${
    sshjococ.1 $e |- A C_ ~H $.
    sshjococ.2 $e |- B C_ ~H $.
    $( The join of two Hilbert space subsets (not necessarily closed subspaces)
       equals the join of their closures (double orthocomplements).
       (Contributed by NM, 1-Jun-2004.)  (Revised by Mario Carneiro,
       15-May-2014.)  (New usage is discouraged.) $)
    sshhococi $p |- ( A vH B ) =
                 ( ( _|_ ` ( _|_ ` A ) ) vH ( _|_ ` ( _|_ ` B ) ) ) $=
      ( chj co cort cfv cun wss chba ococss ax-mp mp2an cch wcel choccli chssii
      unssi occon2i unss12 occl wceq sshjval chjvali 3sstr4i ssun1 sstri sshjcl
      sseqtrri ssun2 chlubii ococi sseqtri eqssi ) ABEFZAGHZGHZBGHZGHZEFZABIZGH
      GHZURUTIZGHGHZUPVAVBVDJZVCVEJAURJZBUTJZVFAKJZVGCALMBKJZVHDBLMAURBUTUANVBV
      DABKCDSZURUTKURUQVIUQOPCAUBMQZRUTUSVJUSOPDBUBMQZRSTMVIVJUPVCUCCDABUDNZURU
      TVLVMUEUFVAUPGHZGHZUPURVPJZUTVPJZVAVPJAUPJVQAVCUPAVBVCABUGVBKJVBVCJVKVBLM
      ZUHVNUJAUPCUPVIVJUPOPCDABUINZRZTMBUPJVRBVCUPBVBVCBAUKVSUHVNUJBUPDWATMURUT
      VPVLVMVOUPVTQQULNUPVTUMUNUO $.
  $}

  $( Hilbert space has a nonzero vector iff it is not trivial.  (Contributed by
     NM, 24-Feb-2006.)  (New usage is discouraged.) $)
  hne0 $p |- ( ~H =/= 0H <-> E. x e. ~H x =/= 0h ) $=
    ( chba helch chne0i ) ABCD $.

  $( The supremum of the empty set.  (Contributed by NM, 13-Aug-2002.)
     (New usage is discouraged.) $)
  chsup0 $p |- ( \/H ` (/) ) = 0H $=
    ( c0 chsup cfv c0h wss wceq csn 0ss cch wi h0elch snssi ax-mp chsupss mp2an
    wcel chsupsn sseqtri chsupcl chle0i mpbi ) ABCZDEUBDFUBDGZBCZDAUCEZUBUDEZUC
    HAIEZUCIEZUEUFJIHZDIPZUHKDILMAUCNOMUJUDDFKDQMRUBUGUBIPUIASMTUA $.

  ${
    $d x A $.  $d x B $.
    h1deot.1 $e |- B e. ~H $.
    $( Membership in orthocomplement of 1-dimensional subspace.  (Contributed
       by NM, 7-Jul-2001.)  (New usage is discouraged.) $)
    h1deoi $p |- ( A e. ( _|_ ` { B } ) <->
                 ( A e. ~H /\ ( A .ih B ) = 0 ) ) $=
      ( vx csn cort cfv wcel chba cv csp co cc0 wceq wral wa wss wb snssi ocel
      mp2b elexi oveq2 eqeq1d ralsn anbi2i bitri ) ABEZFGHZAIHZADJZKLZMNZDUHOZP
      ZUJABKLZMNZPBIHUHIQUIUORCBISDAUHTUAUNUQUJUMUQDBBICUBUKBNULUPMUKBAKUCUDUEU
      FUG $.

    $( Membership in 1-dimensional subspace.  (Contributed by NM, 7-Jul-2001.)
       (Revised by Mario Carneiro, 15-May-2014.)
       (New usage is discouraged.) $)
    h1dei $p |- ( A e. ( _|_ ` ( _|_ ` { B } ) ) <->
    ( A e. ~H /\ A. x e. ~H ( ( B .ih x ) = 0 -> ( A .ih x ) = 0 ) ) ) $=
      ( csn cort cfv wcel chba cv csp co cc0 wceq wral wa wi wss wb bitri snssi
      occl mp2b chssii ax-mp h1deoi orthcom mpan2 pm5.32i imbi1i impexp ralbii2
      cch ocel anbi2i ) BCEZFGZFGHZBIHZBAJZKLMNZAUQOZPZUSCUTKLMNZVAQZAIOZPUQIRU
      RVCSUQCIHZUPIRUQUMHDCIUAUPUBUCUDABUQUNUEVBVFUSVAVEAUQIUTUQHZVAQUTIHZVDPZV
      AQVIVEQVHVJVAVHVIUTCKLMNZPVJUTCDUFVIVKVDVIVGVKVDSDUTCUGUHUITUJVIVDVAUKTUL
      UOT $.
  $}

  $( A generating vector belongs to the 1-dimensional subspace it generates.
     (Contributed by NM, 22-Jul-2001.)  (New usage is discouraged.) $)
  h1did $p |- ( A e. ~H -> A e. ( _|_ ` ( _|_ ` { A } ) ) ) $=
    ( chba wcel csn cort cfv wss snssi ococss syl snssg mpbird ) ABCZAADZEFEFZC
    NOGZMNBGPABHNIJAOBKL $.

  $( A nonzero vector generates a (nonzero) 1-dimensional subspace.
     (Contributed by NM, 22-Jul-2001.)  (New usage is discouraged.) $)
  h1dn0 $p |- ( ( A e. ~H /\ A =/= 0h ) ->
              ( _|_ ` ( _|_ ` { A } ) ) =/= 0H ) $=
    ( chba wcel c0v wne csn cort cfv h1did eleq2 syl5ibcom elch0 syl6ib necon3d
    c0h wceq imp ) ABCZADEAFGHGHZOERSOADRSOPZAOCZADPRASCTUAAISOAJKALMNQ $.

  ${
    $d x A $.  $d x B $.
    h1de2.1 $e |- A e. ~H $.
    h1de2.2 $e |- B e. ~H $.
    $( Membership in 1-dimensional subspace.  All members are collinear with
       the generating vector.  (Contributed by NM, 17-Jul-2001.)
       (New usage is discouraged.) $)
    h1de2i $p |- ( A e. ( _|_ ` ( _|_ ` { B } ) ) ->
                ( ( B .ih B ) .h A ) = ( ( A .ih B ) .h B ) ) $=
      ( vx cort cfv wcel csp co cmul wceq csm cmin cc0 chba hicli mp3an ax-his3
      wi csn cmv hvmulcli his2sub cc mulcomi eqtri oveq12i eqtr2i 3eqtr4i mpbir
      subeq0i cv wral h1dei mpbiran hvsubcli oveq2 imbi12d rspcv ax-mp sylbi wb
      eqeq1d orthcom mp2an 3imtr4g mpi syl5eq mulcli sylib eqcomd bcseqi ) ABUA
      FGFGHZABIJZBAIJZKJZAAIJZBBIJZKJZLVSAMJZVOBMJZLVNVTVQVNVTVQNJZOLVTVQLVNWCW
      AWBUBJZAIJZOWEWAAIJZWBAIJZNJZWCWAPHZWBPHZAPHZWEWHLVSABBDDQZCUCZVOBABCDQZD
      UCZCWAWBAUDRWFVTWGVQNWFVSVRKJZVTVSUEHZWKWKWFWPLWLCCVSAASRVSVRWLAACCQZUFUG
      VOUEHZBPHZWKWGVQLWNDCVOBASRUHUIVNWDBIJZOLZWEOLZXAWABIJZWBBIJZNJZOWIWJWTXA
      XFLWMWODWAWBBUDRXFOLXDXELVSVOKJZVOVSKJZXDXEVSVOWLWNUFWQWKWTXDXGLWLCDVSABS
      RWSWTWTXEXHLWNDDVOBBSRUJXDXEWABWMDQWBBWODQULUKUGVNBWDIJZOLZAWDIJZOLZXBXCV
      NBEUMZIJZOLZAXMIJZOLZTZEPUNZXJXLTZVNWKXSCEABDUOUPWDPHZXSXTTWAWBWMWOUQZXRX
      TEWDPXMWDLZXOXJXQXLYCXNXIOXMWDBIURVDYCXPXKOXMWDAIURVDUSUTVAVBYAWTXBXJVCYB
      DWDBVEVFYAWKXCXLVCYBCWDAVEVFVGVHVIVTVQVRVSWRWLVJVOVPWNBADCQVJULVKVLABCDVM
      VK $.

    $( Membership in 1-dimensional subspace.  All members are collinear with
       the generating vector.  (Contributed by NM, 19-Jul-2001.)  (Revised by
       Mario Carneiro, 15-May-2014.)  (New usage is discouraged.) $)
    h1de2bi $p |- ( B =/= 0h -> ( A e. ( _|_ ` ( _|_ ` { B } ) ) <->
                A = ( ( ( A .ih B ) / ( B .ih B ) ) .h B ) ) ) $=
      ( c0v wne csp co cc0 cort wcel csm wceq chba ax-mp c1 cmul cc syl eqtr3d
      csn cfv cdiv wb his6 necon3bii wa h1de2i adantl hicli recclzi ax-hvmulass
      oveq2d mp3an23 ax-1cn divcan1zi oveq1d ax-hvmulid eqtrdi sylancl divreczi
      adantr mulcom eqtr4d ex divclzi csh wss cch snss mpbi occl choccli chshii
      elexi h1did shmulcl mp3an13 eleq1 syl5ibrcom impbid sylbir ) BEFBBGHZIFZA
      BUAZJUBZJUBZKZAABGHZWCUCHZBLHZMZUDWCIBEBNKZWCIMBEMUDDBUEOUFWDWHWLWDWHWLWD
      WHUGZPWCUCHZWIBLHZLHZAWKWNWOWCALHZLHZWQAWNWRWPWOLWHWRWPMWDABCDUHUIUMWDWSA
      MWHWDWSPALHZAWDWOWCQHZALHZWSWTWDWORKZXBWSMZWCBBDDUJZUKZXCWCRKANKZXDXECWOW
      CAULUNSWDXAPALPWCUOXEUPUQTXGWTAMCAUROUSVBTWDWQWKMWHWDWOWIQHZBLHZWQWKWDXCX
      IWQMZXFXCWIRKZWMXJABCDUJZDWOWIBULUNSWDXHWJBLWDXHWIWOQHZWJWDXCXKXHXMMXFXLW
      OWIVCUTWIWCXLXEVAVDUQTVBTVEWDWHWLWKWGKZWDWJRKZXNWIWCXLXEVFWGVGKXOBWGKZXNW
      GWFWENVHZWFVIKWMXQDBNBNDVOVJVKWEVLOVMVNWMXPDBVPOWJBWGVQVRSAWKWGVSVTWAWB
      $.

    $( Lemma for ~ h1de2ci .  (Contributed by NM, 19-Jul-2001.)  (Revised by
       Mario Carneiro, 15-May-2014.)  (New usage is discouraged.) $)
    h1de2ctlem $p |- ( A e. ( _|_ ` ( _|_ ` { B } ) ) <->
                 E. x e. CC A = ( x .h B ) ) $=
      ( csn cort cfv wcel csm co wceq c0v cc0 chba ax-mp fveq2d oveq1 rspceeqv
      cc cv wrex wi elexi elsn hsn0elch eleq2i ax-hvmul0 eqeq2i 3bitr4ri eleq2d
      ococi sneq bitr4id 0cn mpan syl6bir wne cdiv h1de2bi his6 necon3bii hicli
      csp wb divclzi sylbir sylan ex sylbid pm2.61ine csh wss cch snssi choccli
      occl mp2b chshii h1did shmulcl mp3an13 eleq1 syl5ibrcom rexlimiv impbii )
      BCFZGHZGHZIZBAUAZCJKZLZATUBZWJWNUCCMCMLZWJBNCJKZLZWNWOWQBMFZGHZGHZIZWJBWR
      IBMLXAWQBMBODUDUEWTWRBWRUFULUGWPMBCOIZWPMLECUHPUIUJWOWIWTBWOWHWSGWOWGWRGC
      MUMQQUKUNNTIWQWNUOANTWLWPBWKNCJRSUPUQCMURZWJBBCVDKZCCVDKZUSKZCJKZLZWNBCDE
      UTXCXHWNXCXFTIZXHWNXCXENURXIXENCMXBXENLWOVEECVAPVBXDXEBCDEVCCCEEVCVFVGAXF
      TWLXGBWKXFCJRSVHVIVJVKWMWJATWKTIZWJWMWLWIIZWIVLIXJCWIIZXKWIWHXBWGOVMWHVNI
      ECOVOWGVQVRVPVSXBXLECVTPWKCWIWAWBBWLWIWCWDWEWF $.
  $}

  ${
    $d x A $.  $d x B $.
    h1de2ct.1 $e |- B e. ~H $.
    $( Membership in 1-dimensional subspace.  All members are collinear with
       the generating vector.  (Contributed by NM, 21-Jul-2001.)  (Revised by
       Mario Carneiro, 15-May-2014.)  (New usage is discouraged.) $)
    h1de2ci $p |- ( A e. ( _|_ ` ( _|_ ` { B } ) ) <->
                 E. x e. CC A = ( x .h B ) ) $=
      ( csn cort cfv wcel chba cv csm co wceq cc wrex wss cch eleq1 wb c0v occl
      snssi choccli cheli hvmulcl mpan2 syl5ibrcom rexlimiv cif rexbidv bibi12d
      mp2b eqeq1 ifhvhv0 h1de2ctlem dedth pm5.21nii ) BCEZFGZFGZHZBIHZBAJZCKLZM
      ZANOZBUTUSCIHZURIPUSQHDCIUBURUAULUCUDVEVBANVCNHZVBVEVDIHZVHVGVIDVCCUEUFBV
      DIRUGUHVBVAVFSVBBTUIZUTHZVJVDMZANOZSBTBVJMZVAVKVFVMBVJUTRVNVEVLANBVJVDUMU
      JUKAVJCBUNDUOUPUQ $.
  $}

  ${
    $d x y z A $.  $d x B $.
    spansn.1 $e |- A e. ~H $.
    $( The span of a singleton in Hilbert space equals its closure.
       (Contributed by NM, 3-Jun-2004.)  (New usage is discouraged.) $)
    spansni $p |- ( span ` { A } ) = ( _|_ ` ( _|_ ` { A } ) ) $=
      ( vx vz vy csn cspn cfv cort chba wcel wss snssi spanssoc mp2b cv csm csh
      cc wi co wceq wrex wral wa elexi snss shmulcl 3expia ancoms syl5bir eleq1
      imbi2d syl5ibrcom ralrimdva rexlimiv h1de2ci wb vex elspani 3imtr4i ssriv
      eqssi ) AFZGHZVDIHIHZAJKZVDJLZVEVFLBAJMZVDNOCVFVECPZDPZAQUAZUBZDSUCVDEPZL
      ZVJVNKZTZERUDZVJVFKVJVEKZVMVRDSVKSKZVMVQERVTVNRKZUEZVQVMVOVLVNKZTVOAVNKZW
      BWCAVNAJBUFUGWAVTWDWCTWAVTWDWCVKAVNUHUIUJUKVMVPWCVOVJVLVNULUMUNUOUPDVJABU
      QVGVHVSVRURBVIEVDVJCUSUTOVAVBVC $.

    $( Membership in the span of a singleton.  (Contributed by NM, 3-Jun-2004.)
       (New usage is discouraged.) $)
    elspansni $p |- ( B e. ( span ` { A } ) <-> E. x e. CC B = ( x .h A ) ) $=
      ( csn cspn cfv wcel cort cv csm co wceq wrex spansni eleq2i h1de2ci bitri
      cc ) CBEZFGZHCTIGIGZHCAJBKLMASNUAUBCBDOPACBDQR $.
  $}

  $( The span of a singleton in Hilbert space equals its closure.  (Contributed
     by NM, 4-Jun-2004.)  (New usage is discouraged.) $)
  spansn $p |- ( A e. ~H -> ( span ` { A } ) = ( _|_ ` ( _|_ ` { A } ) ) ) $=
    ( chba wcel csn cspn cfv cort wceq c0v fveq2d eqeq12d ifhvhv0 spansni dedth
    cif sneq ) ABCZADZEFZRGFZGFZHQAIOZDZEFZUCGFZGFZHAIAUBHZSUDUAUFUGRUCEAUBPZJU
    GTUEGUGRUCGUHJJKUBALMN $.

  $( The span of a Hilbert space singleton belongs to the Hilbert lattice.
     (Contributed by NM, 9-Jun-2004.)  (New usage is discouraged.) $)
  spansnch $p |- ( A e. ~H -> ( span ` { A } ) e. CH ) $=
    ( chba wcel csn cspn cfv cort cch spansn wss snssi occl choccl 3syl eqeltrd
    ) ABCZADZEFQGFZGFZHAIPQBJRHCSHCABKQLRMNO $.

  $( The span of a Hilbert space singleton is a subspace.  (Contributed by NM,
     17-Dec-2004.)  (New usage is discouraged.) $)
  spansnsh $p |- ( A e. ~H -> ( span ` { A } ) e. SH ) $=
    ( chba wcel csn cspn cfv cch csh spansnch chsh syl ) ABCADEFZGCLHCAILJK $.

  ${
    spansnch.1 $e |- A e. ~H $.
    $( The span of a singleton in Hilbert space is a closed subspace.
       (Contributed by NM, 3-Jun-2004.)  (New usage is discouraged.) $)
    spansnchi $p |- ( span ` { A } ) e. CH $=
      ( chba wcel csn cspn cfv cch spansnch ax-mp ) ACDAEFGHDBAIJ $.
  $}

  $( A vector belongs to the span of its singleton.  (Contributed by NM,
     3-Jun-2004.)  (New usage is discouraged.) $)
  spansnid $p |- ( A e. ~H -> A e. ( span ` { A } ) ) $=
    ( chba wcel csn cort cfv cspn h1did spansn eleqtrrd ) ABCAADZEFEFKGFAHAIJ
    $.

  $( A scalar product with a vector belongs to the span of its singleton.
     (Contributed by NM, 3-Jun-2004.)  (New usage is discouraged.) $)
  spansnmul $p |- ( ( A e. ~H /\ B e. CC ) ->
                  ( B .h A ) e. ( span ` { A } ) ) $=
    ( cc wcel chba csm co csn cspn cfv csh spansnsh spansnid jca shmulcl 3com12
    wa 3expb sylan2 ancoms ) BCDZAEDZBAFGAHIJZDZUBUAUCKDZAUCDZQUDUBUEUFALAMNUAU
    EUFUDUEUAUFUDBAUCOPRST $.

  $( A member of a span of a singleton is a vector.  (Contributed by NM,
     17-Dec-2004.)  (New usage is discouraged.) $)
  elspansncl $p |- ( ( A e. ~H /\ B e. ( span ` { A } ) ) -> B e. ~H ) $=
    ( chba wcel csn wss cspn cfv snssi elspancl sylan ) ACDAEZCFBLGHDBCDACILBJK
    $.

  ${
    $d x A $.  $d x B $.
    $( Membership in the span of a singleton.  (Contributed by NM, 5-Jun-2004.)
       (New usage is discouraged.) $)
    elspansn $p |- ( A e. ~H ->
                   ( B e. ( span ` { A } ) <-> E. x e. CC B = ( x .h A ) ) ) $=
      ( chba wcel csn cspn cfv cv csm co wceq cc wrex wb c0v sneq fveq2d eleq2d
      cif oveq2 eqeq2d rexbidv bibi12d ifhvhv0 elspansni dedth ) BDEZCBFZGHZEZC
      AIZBJKZLZAMNZOCUHBPTZFZGHZEZCULUPJKZLZAMNZOBPBUPLZUKUSUOVBVCUJURCVCUIUQGB
      UPQRSVCUNVAAMVCUMUTCBUPULJUAUBUCUDAUPCBUEUFUG $.
  $}

  $( Membership in the span of a singleton.  All members are collinear with the
     generating vector.  (Contributed by NM, 5-Jun-2004.)
     (New usage is discouraged.) $)
  elspansn2 $p |- ( ( A e. ~H /\ B e. ~H /\ B =/= 0h ) ->
  ( A e. ( span ` { B } ) <-> A = ( ( ( A .ih B ) / ( B .ih B ) ) .h B ) ) ) $=
    ( chba wcel c0v wne csn cfv cort csp co cdiv csm wceq wb eleq2d wi id oveq1
    cif w3a cspn spansn 3ad2ant2 eleq1 oveq1d eqeq12d bibi12d imbi2d neeq1 sneq
    fveq2d oveq2 eqtrd oveq12d eqeq2d imbi12d ifhvhv0 h1de2bi dedth2h 3impia
    bitrd ) ACDZBCDZBEFZUAABGZUBHZDZAVFIHZIHZDZAABJKZBBJKZLKZBMKZNZVDVCVHVKOVEV
    DVGVJABUCPUDVCVDVEVKVPOZVCVDVEVQQVEVCAETZVJDZVRVRBJKZVMLKZBMKZNZOZQVDBETZEF
    ZVRWEGZIHZIHZDZVRVRWEJKZWEWEJKZLKZWEMKZNZOZQABEEAVRNZVQWDVEWQVKVSVPWCAVRVJU
    EWQAVRVOWBWQRWQVNWABMWQVLVTVMLAVRBJSUFUFUGUHUIBWENZVEWFWDWPBWEEUJWRVSWJWCWO
    WRVJWIVRWRVIWHIWRVFWGIBWEUKULULPWRWBWNVRWRWAWMBWEMWRVTWKVMWLLBWEVRJUMWRVMWE
    BJKWLBWEBJSBWEWEJUMUNUOWRRUOUPUHUQVRWEAURBURUSUTVAVB $.

  ${
    $d x y z A $.  $d x y z B $.
    $( The singletons of collinear vectors have the same span.  (Contributed by
       NM, 6-Jun-2004.)  (New usage is discouraged.) $)
    spansncol $p |- ( ( A e. ~H /\ B e. CC /\ B =/= 0 ) ->
                    ( span ` { ( B .h A ) } ) = ( span ` { A } ) ) $=
      ( vx vy vz chba wcel cc csm co csn cspn cfv cv wceq wrex wi cmul ancoms
      wa cc0 wne mulcl adantll ax-hvmulass 3com13 3expa eqeq2d biimprd rspceeqv
      w3a oveq1 syl6an rexlimdva 3adant3 cdiv divcl 3expb adantlr simprl simplr
      syl3anc divcan1 oveq1d eqtr3d exp43 com4l 3imp rexlimdv impbid wb hvmulcl
      elspansn syl 3ad2ant1 3bitr4d eqrdv ) AFGZBHGZBUAUBZUKZCBAIJZKLMZAKLMZWAC
      NZDNZWBIJZOZDHPZWEENZAIJZOZEHPZWEWCGZWEWDGZWAWIWMVRVSWIWMQVTVRVSTZWHWMDHW
      PWFHGZTZWFBRJZHGZWHWEWSAIJZOZWMVSWQWTVRWQVSWTWFBUCSUDWRXBWHWRXAWGWEVRVSWQ
      XAWGOZWQVSVRXCWFBAUEUFUGUHUIEWSHWKXAWEWJWSAIULUJUMUNUOWAWLWIEHVRVSVTWJHGZ
      WLWIQZQXDVRVSVTXEXDVRVSVTXEXDVRTZVSVTTZTZWJBUPJZHGZWLWEXIWBIJZOZWIXDXGXJV
      RXDVSVTXJWJBUQURUSZXHXLWLXHXKWKWEXHXIBRJZAIJZXKWKXHXJVSVRXOXKOXMXFVSVTUTX
      DVRXGVAXIBAUEVBXHXNWJAIXDXGXNWJOZVRXDVSVTXPWJBVCURUSVDVEUHUIDXIHWGXKWEWFX
      IWBIULUJUMVFVGVHVIVJVRVSWNWIVKZVTWPWBFGZXQVSVRXRBAVLSDWBWEVMVNUOVRVSWOWMV
      KVTEAWEVMVOVPVQ $.
  $}

  $( Membership relation implied by equality of spans.  (Contributed by NM,
     6-Jun-2004.)  (New usage is discouraged.) $)
  spansneleqi $p |- ( A e. ~H ->
        ( ( span ` { A } ) = ( span ` { B } ) -> A e. ( span ` { B } ) ) ) $=
    ( chba wcel csn cspn cfv wceq spansnid eleq2 syl5ibcom ) ACDAAEFGZDLBEFGZHA
    MDAILMAJK $.

  ${
    $d x A $.  $d x B $.
    $( Membership relation that implies equality of spans.  (Contributed by NM,
       6-Jun-2004.)  (New usage is discouraged.) $)
    spansneleq $p |- ( ( B e. ~H /\ A =/= 0h ) ->
         ( A e. ( span ` { B } ) -> ( span ` { A } ) = ( span ` { B } ) ) ) $=
      ( vx chba wcel c0v wne wa csn cspn cfv csm co wceq cc adantr wi cc0 com23
      ex cv wrex wb elspansn sneq fveq2d ad2antll oveq1 ax-hvmul0 eqeq1 biimprd
      sylan9eqr sylan9 necon3d impd spansncol syld exp4b imp43 eqtrd rexlimdvaa
      3expia sylbid ) BDEZAFGZHZABIJKZEZACUAZBLMZNZCOUBZAIZJKZVGNZVDVHVLUCVECBA
      UDPVFVKVOCOVFVIOEZVKHHVNVJIZJKZVGVKVNVRNVFVPVKVMVQJAVJUEUFUGVDVEVPVKVRVGN
      ZVDVPVEVKVSQVDVPVEVKVSVDVPHVEVKHZVIRGZVSVDVTWAQVPVDVEVKWAVDVKVEWAVDVKVEWA
      QVDVKHVIRAFVDVIRNZVJFNZVKAFNZVDWBWCWBVDVJRBLMFVIRBLUHBUIULTVKWDWCAVJFUJUK
      UMUNTSUOPVDVPWAVSBVIUPVBUQURSUSUTVAVC $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The span of the singleton of an element of a subspace is included in the
       subspace.  (Contributed by NM, 5-Jun-2004.)
       (New usage is discouraged.) $)
    spansnss $p |- ( ( A e. SH /\ B e. A ) -> ( span ` { B } ) C_ A ) $=
      ( vx vy csh wcel wa csn cspn cfv cv csm co wceq cc wrex chba wb syl wi
      shel elspansn w3a shmulcl eleq1a 3exp com23 imp rexlimdv sylbid ssrdv ) A
      EFZBAFZGZCBHIJZAUNCKZUOFZUPDKZBLMZNZDOPZUPAFZUNBQFUQVARBAUADBUPUBSUNUTVBD
      OULUMUROFZUTVBTZTULVCUMVDULVCUMVDULVCUMUCUSAFVDURBAUDUSAUPUESUFUGUHUIUJUK
      $.
  $}

  $( A member of the span of the singleton of a vector is a member of a
     subspace containing the vector.  (Contributed by NM, 16-Dec-2004.)
     (New usage is discouraged.) $)
  elspansn3 $p |- ( ( A e. SH /\ B e. A /\ C e. ( span ` { B } ) ) ->
                   C e. A ) $=
    ( csh wcel csn cspn cfv wa spansnss sseld 3impia ) ADEZBAEZCBFGHZECAEMNIOAC
    ABJKL $.

  $( A span membership condition implying two vectors belong to the same
     subspace.  (Contributed by NM, 17-Dec-2004.)
     (New usage is discouraged.) $)
  elspansn4 $p |- ( ( ( A e. SH /\ B e. ~H ) /\
         ( C e. ( span ` { B } ) /\ C =/= 0h ) ) -> ( B e. A <-> C e. A ) ) $=
    ( csh wcel chba wa csn cspn cfv c0v wne wi elspansn3 3exp ad2ant2r spansnid
    com23 imp ad2antrr wceq spansneleq eleqtrrd 3expia exp4b com24 exp4a impbid
    syl5 imp43 ) ADEZBFEZGCBHIJZEZCKLZGGBAEZCAEZUKUNUPUQMZULUOUKUNURUKUPUNUQUKU
    PUNUQABCNORSPUKULUNUOUQUPMZUKUNULUOUSMUKUNULUOUSUKUQULUOGZUNUPUKUQUTUNUPUTU
    NGZBCHIJZEZUKUQGUPVABUMVBULBUMEUOUNBQTUTUNVBUMUACBUBSUCUKUQVCUPACBNUDUIUEUF
    UGRUJUH $.

  $( A vector belonging to both a subspace and the span of the singleton of a
     vector not in it must be zero.  (Contributed by NM, 17-Dec-2004.)
     (New usage is discouraged.) $)
  elspansn5 $p |- ( A e. SH -> ( ( ( B e. ~H /\ -. B e. A ) /\
         ( C e. ( span ` { B } ) /\ C e. A ) ) -> C = 0h ) ) $=
    ( csh wcel chba wn csn cspn cfv wa c0v wi wne elspansn4 biimprd exp32 com34
    wceq imp32 necon1bd exp31 imp4c ) ADEZBFEZBAEZGZCBHIJEZCAEZKZCLSZUDUEUJUGUK
    UDUEUJUGUKMUDUEKZUJKUFCLULUHUICLNZUFMULUHUMUIUFULUHUMUIUFMULUHUMKKUFUIABCOP
    QRTUAUBRUC $.

  $( The span of the singleton of an element of a subspace is included in the
     subspace.  (Contributed by NM, 16-Dec-2004.)
     (New usage is discouraged.) $)
  spansnss2 $p |- ( ( A e. SH /\ B e. ~H ) ->
                   ( B e. A <-> ( span ` { B } ) C_ A ) ) $=
    ( csh wcel chba wa csn cspn cfv wi spansnss ex adantr spansnid ssel syl5com
    wss adantl impbid ) ACDZBEDZFBADZBGHIZAQZTUBUDJUATUBUDABKLMUAUDUBJTUABUCDUD
    UBBNUCABOPRS $.

  ${
    $d x A $.  $d x B $.
    $( Cancellation-type law that "extracts" a vector ` A ` from its inner
       product with a proportional vector ` B ` .  (Contributed by NM,
       18-Mar-2006.)  (New usage is discouraged.) $)
    normcan $p |- ( ( B e. ~H /\ B =/= 0h /\ A e. ( span ` { B } ) ) ->
            ( ( ( A .ih B ) / ( ( normh ` B ) ^ 2 ) ) .h B ) = A ) $=
      ( vx chba wcel c0v wne csn cfv csp co cdiv csm wceq wa cc adantr ad2antrr
      simpr cc0 cspn cno c2 cexp cv wrex wb elspansn cmul oveq1 ax-his3 syl3anc
      simpl sylan9eqr normsq oveq12d adantllr hicl anidms his6 biimpar divcan4d
      necon3bid eqtrd oveq1d eqtr4d rexlimdva2 sylbid 3impia ) BDEZBFGZABHUAIEZ
      ABJKZBUBIUCUDKZLKZBMKZANZVJVKOZVLACUEZBMKZNZCPUFZVQVJVLWBUGVKCBAUHQVRWAVQ
      CPVRVSPEZOZWAOZVPVTAWEVOVSBMWEVOVSBBJKZUIKZWFLKZVSVJWCWAVOWHNVKVJWCOZWAOV
      MWGVNWFLWAWIVMVTBJKZWGAVTBJUJWIWCVJVJWJWGNVJWCSVJWCUMZWKVSBBUKULUNVJVNWFN
      WCWABUORUPUQWDWHVSNWAWDVSWFVRWCSVJWFPEZVKWCVJWLBBURUSRVRWFTGZWCVJWMVKVJWF
      TBFBUTVCVAQVBQVDVEWDWASVFVGVHVI $.
  $}

  ${
    $d y A $.  $d y B $.
    $( A projection on the span of a singleton.  (The proof ws shortened by
       Mario Carneiro, 15-Dec-2013.)  (Contributed by NM, 28-May-2006.)
       (Revised by Mario Carneiro, 15-Dec-2013.)
       (New usage is discouraged.) $)
    pjspansn $p |- ( ( A e. ~H /\ B e. ~H /\ A =/= 0h ) -> ( ( projh ` ( span `
        { A } ) ) ` B ) = ( ( ( B .ih A ) / ( ( normh ` A ) ^ 2 ) ) .h A ) ) $=
      ( vy chba wcel cfv co wceq csp cdiv csm cch 3ad2ant1 wa syl2anc caddc cc0
      adantr sylan syl3anc c0v wne w3a csn cspn cpjh cva cno cexp cort spansnch
      cv wrex simp2 eqid pjeq mpbii simprd oveq1 ad2antll pjhcl choccl syl chel
      simpl1 ax-his2 csh spansnsh spansnid simpr shocorth 3impib orthcom syldan
      c2 wb mpbid 3ad2antl1 oveq2d cc hicl addid1d 3eqtrd adantrr oveq1d simpl3
      eqtrd axpjcl normcan eqtr2d rexlimddv ) ADEZBDEZAUAUBZUCZBBAUDUEFZUFFFZCU
      LZUGGZHZWQBAIGZAUHFVOUIGZJGZAKGZHCWPUJFZWOWPLEZWMWTCXEUMZWLWMXFWNAUKZMZWL
      WMWNUNZXFWMNZWQWPEZXGXKWQWQHXLXGNWQUOCBWQWPUPUQUROWOWRXEEZWTNZNZXDWQAIGZX
      BJGZAKGZWQXOXCXQAKXOXAXPXBJXOXAWSAIGZXPWTXAXSHWOXMBWSAIUSUTWOXMXSXPHWTWOX
      MNZXSXPWRAIGZPGZXPQPGXPXTWQDEZWRDEZWLXSYBHWOYCXMWOXFWMYCXIXJBWPVAORZWOXEL
      EZXMYDWLWMYFWNWLXFYFXHWPVBVCZMWRXEVDZSWLWMWNXMVEZWQWRAVFTXTYAQXPPWLWMXMYA
      QHZWNWLXMNZAWRIGQHZYJYKWPVGEZAWPEZXMYLWLYMXMAVHRWLYNXMAVIRWLXMVJYMYNXMYLA
      WRWPVKVLTWLXMYDYLYJVPWLYFXMYDYGYHSAWRVMVNVQVRVSXTXPXTYCWLXPVTEYEYIWQAWAOW
      BWCWDWGWEWEXOWLWNXLXRWQHWLWMWNXNVEWLWMWNXNWFWOXLXNWOXFWMXLXIXJBWPWHORWQAW
      ITWJWK $.
  $}

  ${
    spansnpj.1 $e |- A C_ ~H $.
    spansnpj.2 $e |- B e. ~H $.
    $( A subset of Hilbert space is orthogonal to the span of the singleton of
       a projection onto its orthocomplement.  (Contributed by NM, 4-Jun-2004.)
       (Revised by Mario Carneiro, 15-May-2014.)
       (New usage is discouraged.) $)
    spansnpji $p |- A C_
                 ( _|_ ` ( span ` { ( ( projh ` ( _|_ ` A ) ) ` B ) } ) ) $=
      ( cort cfv cpjh csn cspn chba wss ococss ax-mp cch wcel occl chssii snssi
      pjclii spanss mp2an csh chshii spanid sseqtri pjhclii spansnchi chsscon3i
      wceq mpbi sstri ) AAEFZEFZBULGFFZHZIFZEFZAJKZAUMKCALMUPULKUMUQKUPULIFZULU
      LJKUOULKZUPUSKULURULNOCAPMZQUNULOUTBULVADSUNULRMUOULTUAULUBOUSULUIULVAUCU
      LUDMUEUPULUNBULVADUFUGVAUHUJUK $.
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.
    spanunsn.1 $e |- A e. CH $.
    spanunsn.2 $e |- B e. ~H $.
    $( The span of the union of a closed subspace with a singleton equals the
       span of its union with an orthogonal singleton.  (Contributed by NM,
       3-Jun-2004.)  (New usage is discouraged.) $)
    spanunsni $p |- ( span ` ( A u. { B } ) ) =
             ( span ` ( A u. { ( ( projh ` ( _|_ ` A ) ) ` B ) } ) ) $=
      ( vy vz vw vv vu cfv cph co cv wcel cva wceq wrex chba csm cc vx csn cspn
      cort cpjh cun chshii wss csh snssi spancl mp2b shseli wi elspansni pjclii
      wa shmulcl mp3an13 shaddcl syl3an3 mp3an1 choccli pjhclii spansnmul pjpji
      mpan adantl oveq2i ax-hvdistr1 mp3an23 syl5eq oveq2d cheli mpan2 ax-hvass
      hvmulcl jca 3expb syl2an eqtr4d rspceov syl3anc sylibr oveq2 eqeq2d eleq1
      biimpa biimparc exp43 rexlimdv syl5bi rexlimiv sylbi negcl syl3an2 ancoms
      cneg syl c0v c1 hvm1neg hvnegid sylancl ax-hvcom syl2anc 3eqtr3d hvaddid2
      oveq1d hvaddcl anim12i hvadd4 impbii chssii spanuni spanid oveq1i 3eqtr4i
      eqriv ax-mp eqtri ) ABUBZUCJZKLZABAUDJZUEJJZUBZUCJZKLZAYBUFUCJZAYGUFUCJZU
      AYDYIUAMZYDNZYLYINZYMYLEMZFMZOLZPZFYCQZEAQYNEFAYCYLACUGZBRNZYBRUHZYCUINDB
      RUJZYBUKULZUMYSYNEAYOANZYRYNFYCYPYCNYPGMZBSLZPZGTQUUEYRYNUNZGBYPDUOUUEUUH
      UUIGTUUEUUFTNZUUHYRYNUUEUUJUQZYOUUGOLZYINZYLUULPZYNUUHYRUQUUKUULHMIMOLZPI
      YHQHAQZUUMUUKYOUUFBAUEJJZSLZOLZANZUUFYFSLZYHNZUULUUSUVAOLZPUUPAUINZUUEUUJ
      UUTYTUUJUVDUUEUURANZUUTUVDUUJUUQANZUVEYTBACDUPZUUFUUQAURUSYOUURAUTVAVBUUJ
      UVBUUEYFRNZUUJUVBBYEACVCDVDZYFUUFVEVGVHUUKUULYOUURUVAOLZOLZUVCUUKUUGUVJYO
      OUUJUUGUVJPUUEUUJUUGUUFUUQYFOLZSLZUVJBUVLUUFSBACDVFVIUUJUUQRNZUVHUVMUVJPB
      ACDVDZUVIUUFUUQYFVJVKVLVHZVMUUEYORNZUURRNZUVARNZUQUVCUVKPZUUJYOACVNZUUJUV
      RUVSUUJUVNUVRUVOUUFUUQVQVOZUUJUVHUVSUVIUUFYFVQVOZVRUVQUVRUVSUVTYOUURUVAVP
      VSVTWAHIAYHUUSUVAUULOWBWCHIAYHUULYTUVHYGRUHZYHUINUVIYFRUJZYGUKULZUMWDUUHY
      RUUNUUHYQUULYLYPUUGYOOWEWFWHUUNYNUUMYLUULYIWGWIVTWJWKWLWKWMWNYNYRFYHQZEAQ
      YMEFAYHYLYTUWFUMUWGYMEAUUEYRYMFYHYPYHNYPUVAPZGTQUUEYRYMUNZGYFYPUVIUOUUEUW
      HUWIGTUUEUUJUWHYRYMUUKYOUVAOLZYDNZYLUWJPZYMUWHYRUQUUKUWJUUOPIYCQHAQZUWKUU
      KUUFWRZUUQSLZYOOLZANZUUGYCNZUWJUWPUUGOLZPUWMUUJUUEUWQUVDUUJUUEUWQYTUUJUVD
      UWOANZUUEUWQUUJUWNTNZUWTUUFWOZUVDUXAUVFUWTYTUVGUWNUUQAURUSWSUWOYOAUTWPVBW
      QUUJUWRUUEUUAUUJUWRDBUUFVEVGVHUUKUWJUWPUVJOLZUWSUUKWTUWJOLZUWOUUROLZUWJOL
      ZUWJUXCUUKWTUXEUWJOUUJWTUXEPUUEUUJUURXAWRUURSLZOLZUURUWOOLZWTUXEUUJUXGUWO
      UUROUUJUVNUXGUWOPUVOUUFUUQXBVOVMUUJUVRUXHWTPUWBUURXCWSUUJUVRUWORNZUXIUXEP
      UWBUUJUXAUVNUXJUXBUVOUWNUUQVQXDZUURUWOXEXFXGVHXIUUKUWJRNZUXDUWJPUUEUVQUVS
      UXLUUJUWAUWCYOUVAXJVTUWJXHWSUUKUXJUVRUQZUVQUVSUQUXFUXCPUUJUXMUUEUUJUXJUVR
      UXKUWBVRVHUUEUVQUUJUVSUWAUWCXKUWOUURYOUVAXLXFXGUUKUUGUVJUWPOUVPVMWAHIAYCU
      WPUUGUWJOWBWCHIAYCUWJYTUUDUMWDUWHYRUWLUWHYQUWJYLYPUVAYOOWEWFWHUWLYMUWKYLU
      WJYDWGWIVTWJWKWLWKWMWNXMXSYJAUCJZYCKLYDAYBACXNZUUAUUBDUUCXTXOUXNAYCKUVDUX
      NAPYTAXPXTZXQYAYKUXNYHKLYIAYGUXOUVHUWDUVIUWEXTXOUXNAYHKUXPXQYAXR $.
  $}

  ${
    $d x A $.  $d x B $.
    $( The span of a pair of vectors.  (Contributed by NM, 9-Jun-2006.)
       (New usage is discouraged.) $)
    spanpr $p |- ( ( A e. ~H /\ B e. ~H ) ->
                 ( span ` { ( A +h B ) } ) C_ ( span ` { A , B } ) ) $=
      ( vx chba wcel wa cva csn cspn cfv cph csh spansnsh syl2an adantr anim12i
      co spansnid wss snssi cpr cv shscl shsva simpr elspansn3 syl3anc ex ssrdv
      sylc cun df-pr fveq2i wceq spanun eqtr2id sseqtrd ) ADEZBDEZFZABGQZHIJZAH
      ZIJZBHZIJZKQZABUAZIJZUTCVBVGUTCUBZVBEZVJVGEZUTVKFVGLEZVAVGEZVKVLUTVMVKURV
      DLEZVFLEZVMUSAMZBMZVDVFUCNOUTVNVKUTVOVPFAVDEZBVFEZFVNURVOUSVPVQVRPURVSUSV
      TARBRPVDVFABUDUJOUTVKUEVGVAVJUFUGUHUIUTVIVCVEUKZIJZVGVHWAIABULUMURVCDSVED
      SWBVGUNUSADTBDTVCVEUONUPUQ $.
  $}

  ${
    $d x y A $.  $d x y B $.
    h1datom.1 $e |- A e. CH $.
    h1datom.2 $e |- B e. ~H $.
    $( A 1-dimensional subspace is an atom.  (Contributed by NM, 20-Jul-2001.)
       (New usage is discouraged.) $)
    h1datomi $p |- ( A C_ ( _|_ ` ( _|_ ` { B } ) ) ->
                  ( A = ( _|_ ` ( _|_ ` { B } ) ) \/ A = 0H ) ) $=
      ( vx vy cort cfv wss wne c0h wceq wi wa wcel c0v csm co cc cc0 wo cv wrex
      csn chne0i ssel h1de2ci oveq1 chba ax-hvmul0 ax-mp eqtrdi syl5ibr necon3d
      eqeq1 adantl c1 cdiv reccl csh chshii shmulcl mp3an1 ex adantr oveq2 cmul
      simpl ax-hvmulass mp3an3 recid2 oveq1d eqtr3d ax-hvmulid sylan9eqr eleq1d
      syl syl2anc sylibd exp31 com23 imp syld com3r expd rexlimdv syl5bi sylcom
      snssi chssii occon2i ococi sseqtrdi syl6 anc2li eqss syl6ibr necon1d neor
      sylibr ) ABUDZGHGHZIZAXBJAKLZMAXBLZXDUAXCAKAXBXCAKJZXCXBAIZNXEXCXFXGXCXFB
      AOZXGXFEUBZPJZEAUCXCXHEACUEXCXJXHEAXCXIAOZXIXBOZXJXHMZAXBXIUFXLXIFUBZBQRZ
      LZFSUCXKXMFXIBDUGXKXPXMFSXKXNSOZXPXMXQXPNZXJXKXHXRXJXNTJZXKXHMZXPXJXSMXQX
      PXNTXIPXNTLZXIPLXPXOPLYAXOTBQRZPXNTBQUHBUIOZYBPLDBUJUKULXIXOPUOUMUNUPXQXP
      XSXTMXQXSXPXTXQXSXPXTXQXSNZXPNZXKUQXNURRZXIQRZAOZXHYDXKYHMZXPYDYFSOZYIXNU
      SZYJXKYHAUTOYJXKYHACVAYFXIAVBVCVDVQVEYEYGBAXPYDYGYFXOQRZBXIXOYFQVFYDYLUQB
      QRZBYDYFXNVGRZBQRZYLYMYDYJXQYOYLLZYKXQXSVHYJXQYCYPDYFXNBVIVJVRYDYNUQBQXNV
      KVLVMYCYMBLDBVNUKULVOVPVSVTWAWBWCWDWEWFWGWHWFWGXHXBAGHGHZAXHXAAIXBYQIBAWI
      XAAYCXAUIIDBUIWIUKACWJWKVQACWLWMWNWOAXBWPWQWRXDAXBWSWT $.
  $}

  $( A 1-dimensional subspace is an atom.  (Contributed by NM, 22-Jul-2001.)
     (New usage is discouraged.) $)
  h1datom $p |- ( ( A e. CH /\ B e. ~H ) ->
                ( A C_ ( _|_ ` ( _|_ ` { B } ) ) ->
                ( A = ( _|_ ` ( _|_ ` { B } ) ) \/ A = 0H ) ) ) $=
    ( cch wcel chba csn cort cfv wss wceq c0h wo wi cif c0v sseq1 eqeq1 orbi12d
    imbi12d fveq2d sseq2d eqeq2d orbi1d h0elch elimel ifhvhv0 h1datomi dedth2h
    sneq ) ACDZBEDZABFZGHZGHZIZAUNJZAKJZLZMUJAKNZUNIZUSUNJZUSKJZLZMUSUKBONZFZGH
    ZGHZIZUSVGJZVBLZMABKOAUSJZUOUTURVCAUSUNPVKUPVAUQVBAUSUNQAUSKQRSBVDJZUTVHVCV
    JVLUNVGUSVLUMVFGVLULVEGBVDUITTZUAVLVAVIVBVLUNVGUSVMUBUCSUSVDAKCUDUEBUFUGUH
    $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Commutes relation for Hilbert lattice elements
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( Define the commutes relation (on the Hilbert lattice).  Definition of
       commutes in [Kalmbach] p. 20, who uses the notation xCy for "x commutes
       with y."  See ~ cmbri for membership relation.  (Contributed by NM,
       14-Jun-2004.)  (New usage is discouraged.) $)
    df-cm $a |- C_H = { <. x , y >. | ( ( x e. CH /\ y e. CH ) /\
                x = ( ( x i^i y ) vH ( x i^i ( _|_ ` y ) ) ) ) } $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Binary relation expressing ` A ` commutes with ` B ` .  Definition of
       commutes in [Kalmbach] p. 20.  (Contributed by NM, 14-Jun-2004.)
       (New usage is discouraged.) $)
    cmbr $p |- ( ( A e. CH /\ B e. CH ) -> ( A C_H B <->
               A = ( ( A i^i B ) vH ( A i^i ( _|_ ` B ) ) ) ) ) $=
      ( vx vy cch wcel wa ccm wbr cin cort cfv co wceq cv eleq1 oveq12d anbi12d
      chj ineq1 anbi1d id eqeq12d anbi2d ineq2 fveq2 ineq2d df-cm brabg bianabs
      eqeq2d ) AEFZBEFZGZABHIAABJZABKLZJZSMZNZCOZEFZDOZEFZGZUTUTVBJZUTVBKLZJZSM
      ZNZGULVCGZAAVBJZAVFJZSMZNZGUNUSGCDABEEHUTANZVDVJVIVNVOVAULVCUTAEPUAVOUTAV
      HVMVOUBVOVEVKVGVLSUTAVBTUTAVFTQUCRVBBNZVJUNVNUSVPVCUMULVBBEPUDVPVMURAVPVK
      UOVLUQSVBBAUEVPVFUPAVBBKUFUGQUKRCDUHUIUJ $.
  $}

  ${
    $d x A $.  $d x B $.
    pjoml2.1 $e |- A e. CH $.
    pjoml2.2 $e |- B e. CH $.
    $( Variation of orthomodular law.  Definition in [Kalmbach] p. 22.
       (Contributed by NM, 31-Oct-2000.)  (New usage is discouraged.) $)
    pjoml2i $p |- ( A C_ B -> ( A vH ( ( _|_ ` A ) i^i B ) ) = B ) $=
      ( wss cort cfv cin chj co c0h inss2 choccli chincli chlubii mpan2 chdmj1i
      wceq ineq2i incom ineq1i inass chocini 3eqtr3i eqtri chjcli chshii pjomli
      sylancl ) ABEZAAFGZBHZIJZBEZBUMFGZHZKRUMBRUJULBEUNUKBLAULBCUKBACMDNZDOPUP
      BUKULFGZHZHZKUOUSBAULCUQQSBUKHZURHULURHUTKVAULURBUKTUABUKURUBULUQUCUDUEUM
      BAULCUQUFBDUGUHUI $.

    $( Variation of orthomodular law.  (Contributed by NM, 24-Jun-2004.)
       (New usage is discouraged.) $)
    pjoml3i $p |- ( B C_ A -> ( A i^i ( ( _|_ ` A ) vH B ) ) = B ) $=
      ( cort cfv wss cin chj co choccli pjoml2i chsscon3i eqcom chincli chdmj2i
      wceq chdmm4i ineq2i eqtri eqeq1i chjcli chcon2i 3bitr3i 3imtr4i ) AEFZBEF
      ZGUFUFEFZUGHZIJZUGQZBAGAUFBIJZHZBQZUFUGACKZBDKZLBADCMUJEFZBQBUQQUNUKUQBNU
      QUMBUQAUIEFZHUMAUICUHUGUFUOKUPOZPURULAUFBUODRSTUABUJDUFUIUOUSUBUCUDUE $.

    $( Variation of orthomodular law.  (Contributed by NM, 6-Dec-2000.)
       (New usage is discouraged.) $)
    pjoml4i $p |- ( A vH ( B i^i ( ( _|_ ` A ) vH ( _|_ ` B ) ) ) ) =
                 ( A vH B ) $=
      ( cort cfv chj cin wss inss1 choccli chjcli chincli chlej2i ax-mp chdmm1i
      co chub1i ineq1i incom eqtri oveq2i inss2 pjoml2i eqtr3i chlej1i eqsstrri
      wceq chlubii mp2an eqssi ) ABAEFZBEFZGQZHZGQZABGQZUOBIUPUQIBUNJUOBABUNDUL
      UMACKBDKLMZDCNOAUPIBUPIUQUPIAUOCURRBABHZUOGQZUPUSUSEFZBHZGQZUTBVBUOUSGVBU
      NBHUOVAUNBABCDPSUNBTUAUBUSBIVCBUHABUCUSBABCDMZDUDOUEUSAIUTUPIABJUSAUOVDCU
      RUFOUGABUPCDAUOCURLUIUJUK $.

    $( The orthomodular law.  Remark in [Kalmbach] p. 22.  (Contributed by NM,
       12-Jun-2006.)  (New usage is discouraged.) $)
    pjoml5i $p |- ( A vH ( ( _|_ ` A ) i^i ( A vH B ) ) ) = ( A vH B ) $=
      ( chj co wss cort cfv cin wceq chub1i chjcli pjoml2i ax-mp ) AABEFZGAAHIP
      JEFPKABCDLAPCABCDMNO $.

    $( An equivalent of the orthomodular law.  Theorem 29.13(e) of [MaedaMaeda]
       p. 132.  (Contributed by NM, 30-May-2004.)
       (New usage is discouraged.) $)
    pjoml6i $p |- ( A C_ B ->
                  E. x e. CH ( A C_ ( _|_ ` x ) /\ ( A vH x ) = B ) ) $=
      ( wss cort cfv cin cch wcel chj co wceq wa wrex choccli chincli pjoml2i
      cv chub1i chdmm2i sseqtrri jctil fveq2 sseq2d oveq2 eqeq1d anbi12d rspcev
      sylancr ) BCFZBGHZCIZJKBUNGHZFZBUNLMZCNZOZBATZGHZFZBUTLMZCNZOZAJPUMCBDQER
      ULURUPBCDESBBCGHZLMUOBVFDCEQUABCDEUBUCUDVEUSAUNJUTUNNZVBUPVDURVGVAUOBUTUN
      GUEUFVGVCUQCUTUNBLUGUHUIUJUK $.

    $( Binary relation expressing the commutes relation.  Definition of
       commutes in [Kalmbach] p. 20.  (Contributed by NM, 6-Aug-2004.)
       (New usage is discouraged.) $)
    cmbri $p |- ( A C_H B <-> A = ( ( A i^i B ) vH ( A i^i ( _|_ ` B ) ) ) ) $=
      ( cch wcel ccm wbr cin cort cfv chj co wceq wb cmbr mp2an ) AEFBEFABGHAAB
      IABJKILMNOCDABPQ $.

    $( Commutation is symmetric.  Theorem 3.4 of [Beran] p. 45.  (Contributed
       by NM, 3-Nov-2000.)  (New usage is discouraged.) $)
    cmcmlem $p |- ( A C_H B -> B C_H A ) $=
      ( cin cort cfv chj wceq ccm wbr wss choccli chub2i chdmj4i oveq12i chjcli
      co incom cmbri sseqin2 mpbi ineq2i chdmm1i ineq1i 3eqtr4ri chdmj2i eqeq2i
      inass biimpri fveq2d eqtr2di ineq1d syl5eq oveq2d chincli pjoml2i 3eqtr3g
      inss2 ax-mp 3imtr4i ) AABEZABFGZEZHRZIZBBAEZBAFGZEZHRZIABJKBAJKVFVBVBFGZB
      EZHRZVBVHBEZHRBVJVFVLVNVBHVFVLVHVCHRZVHBHRZEZBEZVNVOVPBEZEVOBEVRVLVSBVOBV
      PLVSBIBVHDACMZNBVPUAUBUCVOVPBUIVKVOBABCDUDUEUFVFVQVHBVFVHVOFGZVPFGZHRZFGV
      QVFAWCFAWCIVFWCVEAWAVBWBVDHABCDOABCDUGPUHUJUKVOVPVHVCVTBDMQVHBVTDQOULUMUN
      UOVBBLVMBIABUSVBBABCDUPDUQUTVBVGVNVIHABSVHBSPURABCDTBADCTVA $.

    $( Commutation is symmetric.  Theorem 2(v) of [Kalmbach] p. 22.
       (Contributed by NM, 4-Nov-2000.)  (New usage is discouraged.) $)
    cmcmi $p |- ( A C_H B <-> B C_H A ) $=
      ( ccm wbr cmcmlem impbii ) ABEFBAEFABCDGBADCGH $.

    $( Commutation with orthocomplement.  Theorem 2.3(i) of [Beran] p. 39.
       (Contributed by NM, 4-Nov-2000.)  (New usage is discouraged.) $)
    cmcm2i $p |- ( A C_H B <-> A C_H ( _|_ ` B ) ) $=
      ( cin cort cfv chj co wceq ccm wbr chincli choccli chjcomi pjococi ineq2i
      oveq2i eqtr4i cmbri eqeq2i 3bitr4i ) AABEZABFGZEZHIZJAUEAUDFGZEZHIZJABKLA
      UDKLUFUIAUFUEUCHIUIUCUEABCDMAUDCBDNZMOUHUCUEHUGBABDPQRSUAABCDTAUDCUJTUB
      $.

    $( Commutation with orthocomplement.  Remark in [Kalmbach] p. 23.
       (Contributed by NM, 4-Nov-2000.)  (New usage is discouraged.) $)
    cmcm3i $p |- ( A C_H B <-> ( _|_ ` A ) C_H B ) $=
      ( ccm wbr cort cfv cmcm2i cmcmi choccli 3bitr4i ) BAEFBAGHZEFABEFMBEFBADC
      IABCDJMBACKDJL $.

    $( Commutation with orthocomplement.  Remark in [Kalmbach] p. 23.
       (Contributed by NM, 7-Aug-2004.)  (New usage is discouraged.) $)
    cmcm4i $p |- ( A C_H B <-> ( _|_ ` A ) C_H ( _|_ ` B ) ) $=
      ( ccm wbr cort cfv cmcm2i choccli cmcm3i bitri ) ABEFABGHZEFAGHMEFABCDIAM
      CBDJKL $.

    $( Alternate definition of the commutes relation.  Remark in [Kalmbach]
       p. 23.  (Contributed by NM, 7-Aug-2004.)  (New usage is discouraged.) $)
    cmbr2i $p |- ( A C_H B <-> A = ( ( A vH B ) i^i ( A vH ( _|_ ` B ) ) ) ) $=
      ( ccm wbr cort cfv cin chj wceq cmcm4i choccli cmbri eqcom chjcli chincli
      co chcon3i chdmj1i chdmm1i oveq12i eqtri eqeq2i 3bitrri 3bitri ) ABEFAGHZ
      BGHZEFUGUGUHIZUGUHGHIZJRZKZAABJRZAUHJRZIZKZABCDLUGUHACMBDMZNUPUOAKUGUOGHZ
      KULAUOOUOAUMUNABCDPZAUHCUQPZQCSURUKUGURUMGHZUNGHZJRUKUMUNUSUTUAVAUIVBUJJA
      BCDTAUHCUQTUBUCUDUEUF $.

    ${
      cmcmi.1 $e |- A C_H B $.
      $( Commutation is symmetric.  Theorem 2(v) of [Kalmbach] p. 22.
         (Contributed by NM, 7-Aug-2004.)  (New usage is discouraged.) $)
      cmcmii $p |- B C_H A $=
        ( ccm wbr cmcmi mpbi ) ABFGBAFGEABCDHI $.

      $( Commutation with orthocomplement.  Theorem 2.3(i) of [Beran] p. 39.
         (Contributed by NM, 7-Aug-2004.)  (New usage is discouraged.) $)
      cmcm2ii $p |- A C_H ( _|_ ` B ) $=
        ( ccm wbr cort cfv cmcm2i mpbi ) ABFGABHIFGEABCDJK $.

      $( Commutation with orthocomplement.  Remark in [Kalmbach] p. 23.
         (Contributed by NM, 7-Aug-2004.)  (New usage is discouraged.) $)
      cmcm3ii $p |- ( _|_ ` A ) C_H B $=
        ( ccm wbr cort cfv cmcm3i mpbi ) ABFGAHIBFGEABCDJK $.
    $}

    $( Alternate definition for the commutes relation.  Lemma 3 of [Kalmbach]
       p. 23.  (Contributed by NM, 6-Dec-2000.)  (New usage is discouraged.) $)
    cmbr3i $p |- ( A C_H B
             <-> ( A i^i ( ( _|_ ` A ) vH B ) ) = ( A i^i B ) ) $=
      ( ccm wbr cort cfv chj co wceq cmcmi cmbr2i chjcomi ineq2i choccli eqtr3i
      cin sylbi chincli bitri ineq2 inass chabs2i eqtri ineq12i eqtr2di pjoml2i
      wss inss1 ax-mp chdmm3i incom eqeq1i oveq1 syl5eq cmbri sylibr impbii ) A
      BEFZAAGHZBIJZRZABRZKZUTBBAIJZBVAIJZRZKZVEUTBAEFVIABCDLBADCMUAVIVDAVHRZVCB
      VHAUBAVFRZVGRVJVCAVFVGUCVKAVGVBVKAABIJZRAVFVLABADCNOABCDUDUEBVADACPNUFQUG
      SVEAVDABGHZRZIJZKUTVEAVNGHZARZVNIJZVOVNVQIJZAVRVNAUIVSAKAVMUJVNAAVMCBDPTZ
      CUHUKVNVQVTVPAVNVTPCTNQVEVQVDKVRVOKVCVQVDAVPRVCVQVPVBAABCDULOAVPUMQUNVQVD
      VNIUOSUPABCDUQURUS $.

    $( Alternate definition for the commutes relation.  (Contributed by NM,
       6-Dec-2000.)  (New usage is discouraged.) $)
    cmbr4i $p |- ( A C_H B <-> ( A i^i ( ( _|_ ` A ) vH B ) ) C_ B ) $=
      ( ccm wbr cort cfv chj co cin wceq wss cmbr3i inss2 sseq1 mpbiri wa inss1
      jctl ssin sylib choccli chub2i sslin ax-mp jctir eqss sylibr impbii bitri
      ) ABEFAAGHZBIJZKZABKZLZUNBMZABCDNUPUQUPUQUOBMABOUNUOBPQUQUNUOMZUOUNMZRUPU
      QURUSUQUNAMZUQRURUQUTAUMSTUNABUAUBBUMMUSBULDACUCUDBUMAUEUFUGUNUOUHUIUJUK
      $.

    $( Comparable Hilbert lattice elements commute.  Theorem 2.3(iii) of
       [Beran] p. 40.  (Contributed by NM, 16-Jan-2005.)
       (New usage is discouraged.) $)
    lecmi $p |- ( A C_ B -> A C_H B ) $=
      ( wss cort cfv chj co cin ccm wbr ssinss1 cmbr4i sylibr ) ABEAAFGBHIZJBEA
      BKLAPBMABCDNO $.

    ${
      lecmi.1 $e |- A C_ B $.
      $( Comparable Hilbert lattice elements commute.  Theorem 2.3(iii) of
         [Beran] p. 40.  (Contributed by NM, 7-Aug-2004.)
         (New usage is discouraged.) $)
      lecmii $p |- A C_H B $=
        ( wss ccm wbr lecmi ax-mp ) ABFABGHEABCDIJ $.
    $}

    $( A Hilbert lattice element commutes with its join.  (Contributed by NM,
       7-Aug-2004.)  (New usage is discouraged.) $)
    cmj1i $p |- A C_H ( A vH B ) $=
      ( chj co chjcli chub1i lecmii ) AABEFCABCDGABCDHI $.

    $( A Hilbert lattice element commutes with its join.  (Contributed by NM,
       7-Aug-2004.)  (New usage is discouraged.) $)
    cmj2i $p |- B C_H ( A vH B ) $=
      ( chj co chjcli chub2i lecmii ) BABEFDABCDGBADCHI $.

    $( A Hilbert lattice element commutes with its meet.  (Contributed by NM,
       7-Aug-2004.)  (New usage is discouraged.) $)
    cmm1i $p |- A C_H ( A i^i B ) $=
      ( cin chincli inss1 lecmii cmcmii ) ABEZAABCDFZCJAKCABGHI $.

    $( A Hilbert lattice element commutes with its meet.  (Contributed by NM,
       7-Aug-2004.)  (New usage is discouraged.) $)
    cmm2i $p |- B C_H ( A i^i B ) $=
      ( cin ccm cmm1i incom breqtri ) BBAEABEFBADCGBAHI $.
  $}

  $( Alternate definition for the commutes relation.  Lemma 3 of [Kalmbach]
     p. 23.  (Contributed by NM, 14-Jun-2006.)  (New usage is discouraged.) $)
  cmbr3 $p |- ( ( A e. CH /\ B e. CH ) ->
              ( A C_H B <-> ( A i^i ( ( _|_ ` A ) vH B ) ) = ( A i^i B ) ) ) $=
    ( cch wcel ccm wbr cort cfv chj co cin wceq wb c0h cif breq1 eqeq12d h0elch
    bibi12d elimel fveq2 oveq1d ineq12d ineq1 breq2 oveq2 ineq2d cmbr3i dedth2h
    id ineq2 ) ACDZBCDZABEFZAAGHZBIJZKZABKZLZMULANOZBEFZUTUTGHZBIJZKZUTBKZLZMUT
    UMBNOZEFZUTVBVGIJZKZUTVGKZLZMABNNAUTLZUNVAUSVFAUTBEPVMUQVDURVEVMAUTUPVCVMUJ
    VMUOVBBIAUTGUAUBUCAUTBUDQSBVGLZVAVHVFVLBVGUTEUEVNVDVJVEVKVNVCVIUTBVGVBIUFUG
    BVGUTUKQSUTVGANCRTBNCRTUHUI $.

  $( The zero Hilbert lattice element commutes with every element.
     (Contributed by NM, 16-Jun-2006.)  (New usage is discouraged.) $)
  cm0 $p |- ( A e. CH -> 0H C_H A ) $=
    ( cch wcel c0h ccm wbr cort cfv chj cin wceq h0elch choccli chjcl mpan chm0
    co syl eqtr4d incom 3eqtr4g wb cmbr3 mpbird ) ABCZDAEFZDDGHZAIQZJZDAJZKZUEU
    HDJZADJZUIUJUEULDUMUEUHBCZULDKUGBCUEUNDLMUGANOUHPRAPSDUHTDATUADBCUEUFUKUBLD
    AUCOUD $.

  ${
    cmid.1 $e |- A e. CH $.
    $( The commutes relation is reflexive.  (Contributed by NM, 7-Aug-2004.)
       (New usage is discouraged.) $)
    cmidi $p |- A C_H A $=
      ( ssid lecmii ) AABBACD $.
  $}

  $( Variation of orthomodular law.  Definition in [Kalmbach] p. 22.
     (Contributed by NM, 13-Jun-2006.)  (New usage is discouraged.) $)
  pjoml2 $p |- ( ( A e. CH /\ B e. CH /\ A C_ B ) ->
                ( A vH ( ( _|_ ` A ) i^i B ) ) = B ) $=
    ( cch wcel wss cort cfv cin chj co wi c0h cif sseq1 id fveq2 imbi12d h0elch
    wceq elimel ineq1d oveq12d eqeq1d sseq2 ineq2 oveq2d eqeq12d pjoml2i 3impia
    dedth2h ) ACDZBCDZABEZAAFGZBHZIJZBSZUKULUMUQKUKALMZBEZURURFGZBHZIJZBSZKURUL
    BLMZEZURUTVDHZIJZVDSZKABLLAURSZUMUSUQVCAURBNVIUPVBBVIAURUOVAIVIOVIUNUTBAURF
    PUAUBUCQBVDSZUSVEVCVHBVDURUDVJVBVGBVDVJVAVFURIBVDUTUEUFVJOUGQURVDALCRTBLCRT
    UHUJUI $.

  $( Variation of orthomodular law.  (Contributed by NM, 24-Jun-2004.)
     (New usage is discouraged.) $)
  pjoml3 $p |- ( ( A e. CH /\ B e. CH ) ->
                ( B C_ A -> ( A i^i ( ( _|_ ` A ) vH B ) ) = B ) ) $=
    ( cch wcel wss cort cfv chj co cin wceq wi chba cif sseq2 id oveq1d imbi12d
    fveq2 ifchhv ineq12d eqeq1d sseq1 oveq2 ineq2d eqeq12d pjoml3i dedth2h ) AC
    DZBCDZBAEZAAFGZBHIZJZBKZLBUIAMNZEZUPUPFGZBHIZJZBKZLUJBMNZUPEZUPURVBHIZJZVBK
    ZLABMMAUPKZUKUQUOVAAUPBOVGUNUTBVGAUPUMUSVGPVGULURBHAUPFSQUAUBRBVBKZUQVCVAVF
    BVBUPUCVHUTVEBVBVHUSVDUPBVBURHUDUEVHPUFRUPVBATBTUGUH $.

  $( The orthomodular law.  Remark in [Kalmbach] p. 22.  (Contributed by NM,
     12-Jun-2006.)  (New usage is discouraged.) $)
  pjoml5 $p |- ( ( A e. CH /\ B e. CH ) ->
             ( A vH ( ( _|_ ` A ) i^i ( A vH B ) ) ) = ( A vH B ) ) $=
    ( cch wcel wa chj co wss cort cfv cin wceq simpl chjcl chub1 pjoml2 syl3anc
    ) ACDZBCDZERABFGZCDATHAAIJTKFGTLRSMABNABOATPQ $.

  $( Commutation is symmetric.  Theorem 2(v) of [Kalmbach] p. 22.  (Contributed
     by NM, 13-Jun-2006.)  (New usage is discouraged.) $)
  cmcm $p |- ( ( A e. CH /\ B e. CH ) -> ( A C_H B <-> B C_H A ) ) $=
    ( cch wcel ccm wbr wb c0h cif wceq breq1 breq2 bibi12d h0elch cmcmi dedth2h
    elimel ) ACDZBCDZABEFZBAEFZGRAHIZBEFZBUBEFZGUBSBHIZEFZUEUBEFZGABHHAUBJTUCUA
    UDAUBBEKAUBBELMBUEJUCUFUDUGBUEUBELBUEUBEKMUBUEAHCNQBHCNQOP $.

  $( Commutation with orthocomplement.  Remark in [Kalmbach] p. 23.
     (Contributed by NM, 13-Jun-2006.)  (New usage is discouraged.) $)
  cmcm3 $p |- ( ( A e. CH /\ B e. CH ) ->
               ( A C_H B <-> ( _|_ ` A ) C_H B ) ) $=
    ( cch wcel ccm wbr cort cfv wb c0h cif wceq breq1 fveq2 breq1d breq2 h0elch
    bibi12d elimel cmcm3i dedth2h ) ACDZBCDZABEFZAGHZBEFZIUBAJKZBEFZUGGHZBEFZIU
    GUCBJKZEFZUIUKEFZIABJJAUGLZUDUHUFUJAUGBEMUNUEUIBEAUGGNORBUKLUHULUJUMBUKUGEP
    BUKUIEPRUGUKAJCQSBJCQSTUA $.

  $( Commutation with orthocomplement.  Theorem 2.3(i) of [Beran] p. 39.
     (Contributed by NM, 14-Jun-2006.)  (New usage is discouraged.) $)
  cmcm2 $p |- ( ( A e. CH /\ B e. CH ) ->
               ( A C_H B <-> A C_H ( _|_ ` B ) ) ) $=
    ( cch wcel wa ccm wbr cort cfv wb cmcm3 ancoms cmcm choccl sylan2 3bitr4d )
    ACDZBCDZEBAFGZBHIZAFGZABFGATFGZRQSUAJBAKLABMRQTCDUBUAJBNATMOP $.

  $( Comparable Hilbert lattice elements commute.  Theorem 2.3(iii) of [Beran]
     p. 40.  (Contributed by NM, 13-Jun-2006.)  (New usage is discouraged.) $)
  lecm $p |- ( ( A e. CH /\ B e. CH /\ A C_ B ) -> A C_H B ) $=
    ( cch wcel wss ccm wbr c0h cif wceq sseq1 breq1 imbi12d sseq2 h0elch elimel
    wi breq2 lecmi dedth2h 3impia ) ACDZBCDZABEZABFGZUBUCUDUEQUBAHIZBEZUFBFGZQU
    FUCBHIZEZUFUIFGZQABHHAUFJUDUGUEUHAUFBKAUFBFLMBUIJUGUJUHUKBUIUFNBUIUFFRMUFUI
    AHCOPBHCOPSTUA $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Foulis-Holland theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Foulis-Holland Theorem.  If any 2 pairs in a triple of orthomodular
     lattice elements commute, the triple is distributive.  First of two parts.
     Theorem 5 of [Kalmbach] p. 25.  (Contributed by NM, 14-Jun-2006.)
     (New usage is discouraged.) $)
  fh1 $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\ ( A C_H B /\ A C_H C ) )
             -> ( A i^i ( B vH C ) ) = ( ( A i^i B ) vH ( A i^i C ) ) ) $=
    ( cch wcel ccm wbr wa cin chj cort cfv c0h wceq chincl sylan2 adantr ineq2d
    co eqtrd w3a csh wss chjcl syl2an anandis chsh syl jca 3impb ledi incom a1i
    chdmj1 chdmm1 ineqan12d ineq12d 3impdi inass cmcm2 wb choccl cmbr3 3adantl3
    bitrd biimpa adantrr 3adantl2 adantrl inindi syl5eq in12 eqtrdi chocin chm0
    3eqtr4g eqtr3d sylan9eqr pjoml syl12anc eqcomd ) ADEZBDEZCDEZUAZABFGZACFGZH
    ZHZABIZACIZJSZABCJSZIZWIWLDEZWNUBEZHZWLWNUCZWNWLKLZIZMNWLWNNWEWQWHWBWCWDWQW
    BWCWDHZHZWOWPWBWCWDWOWBWCHZWJDEZWKDEZWOWBWDHZABOZACOZWJWKUDUEUFXBWNDEZWPXAW
    BWMDEZXIBCUDZAWMOPWNUGUHUIUJQWEWRWHABCUKQWIWTWMAIZAKLZBKLZJSZXMCKLZJSZIZIZM
    WEWTXSNZWHWBWCWDXTXCXFHZWNXLWSXRWNXLNYAAWMULUMYAWSWJKLZWKKLZIZXRXCXDXEWSYDN
    XFXGXHWJWKUNUEXCXFYBXOYCXQABUOACUOUPTUQURQWIXSAWMXNXPIZIZIZMWIXSWMAYEIZIZYG
    WIXSWMAXRIZIYIWMAXRUSWIYJYHWMWIAXOIZAXQIZIAXNIZAXPIZIYJYHWIYKYMYLYNWEWFYKYM
    NZWGWBWCWFYOWDXCWFYOXCWFAXNFGZYOABUTWCWBXNDEYPYOVABVBAXNVCPVEVFVDVGWEWGYLYN
    NZWFWBWDWGYQWCXFWGYQXFWGAXPFGZYQACUTWDWBXPDEYRYQVACVBAXPVCPVEVFVHVIUQAXOXQV
    JAXNXPVJVPRVKWMAYEVLVMWEYGMNZWHWBWCWDYSXAWBYGAMIMXAYFMAXAWMWMKLZIZYFMXAYTYE
    WMBCUNRXAXJUUAMNXKWMVNUHVQRAVOVRUJQTTWLWNVSVTWA $.

  $( Foulis-Holland Theorem.  If any 2 pairs in a triple of orthomodular
     lattice elements commute, the triple is distributive.  Second of two
     parts.  Theorem 5 of [Kalmbach] p. 25.  (Contributed by NM, 14-Jun-2006.)
     (New usage is discouraged.) $)
  fh2 $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\ ( B C_H A /\ B C_H C ) )
             -> ( A i^i ( B vH C ) ) = ( ( A i^i B ) vH ( A i^i C ) ) ) $=
    ( cch wcel ccm wbr wa cin chj co cort cfv c0h wceq chincl syl adantr ineq1d
    eqtrd w3a csh wss chjcl syl2an anandis sylan2 chsh 3impb ledi chdmj1 chdmm1
    jca 3impdi ineq2d in4 cmcm2 cmcm choccl cmbr3 3bitr3d biimpa incom 3adantl3
    wb eqtrdi adantrr syl5eq oveq1d 3ad2ant2 cmcm3 sylan bitrd 3adantl1 adantrl
    ococ eqtr3d inass in12 eqtr4i chocin 3adant2 chm0 pjoml syl12anc eqcomd ) A
    DEZBDEZCDEZUAZBAFGZBCFGZHZHZABIZACIZJKZABCJKZIZWNWQDEZWSUBEZHZWQWSUCZWSWQLM
    ZIZNOWQWSOWJXBWMWGWHWIXBWGWHWIHZHZWTXAWGWHWIWTWGWHHZWODEZWPDEZWTWGWIHZABPZA
    CPZWOWPUDUEUFXGWSDEZXAXFWGWRDEXNBCUDAWRPUGWSUHQUMUIRWJXCWMABCUJRWNXEBLMZWRI
    ZAWPLMZIZIZNWNXEXOAIZWRXQIZIZXSWNXEWSALMXOJKZXQIZIZYBWJXEYEOWMWJXDYDWSWGWHW
    IXDYDOXHXKHZXDWOLMZXQIZYDXHXIXJXDYHOXKXLXMWOWPUKUEYFYGYCXQXHYGYCOXKABULRSTU
    NUORWNYEAYCIZYAIYBAWRYCXQUPWNYIXTYAWJWKYIXTOZWLWGWHWKYJWIXHWKHYIAXOIZXTXHWK
    YIYKOZXHABFGAXOFGZWKYLABUQABURWHWGXODEZYMYLVEBUSZAXOUTUGVAVBAXOVCVFVDVGSVHT
    XOAWRXQUPVFWNXSXOCIZXRIZNWNXPYPXRWNXOXOLMZCJKZIZXPYPWJYTXPOZWMWHWGUUAWIWHYS
    WRXOWHYRBCJBVPVIUOVJRWJWLYTYPOZWKWHWIWLUUBWGXFWLUUBXFWLXOCFGZUUBBCVKWHYNWIU
    UCUUBVEYOXOCUTVLVMVBVNVOVQSWJYQNOWMWJYQXONIZNWGWIYQUUDOWHXKYQXOCXRIZIUUDXOC
    XRVRXKUUENXOXKUUEWPXQIZNUUEACXQIIUUFCAXQVSACXQVRVTXKXJUUFNOXMWPWAQVHUOVHWBW
    HWGUUDNOZWIWHYNUUGYOXOWCQVJTRTTWQWSWDWEWF $.

  $( A lattice element that commutes with two others also commutes with their
     join.  Theorem 4.2 of [Beran] p. 49.  (Contributed by NM, 15-Jun-2006.)
     (New usage is discouraged.) $)
  cm2j $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\ ( A C_H B /\ A C_H C ) )
             -> A C_H ( B vH C ) ) $=
    ( cch wcel ccm wbr wa chj co cin wceq cmcm ancoms bitrd biimpa incom chincl
    wb cmbr w3a cort cfv oveq12i eqtrdi 3adantl3 adantrr adantrl oveq12d choccl
    3adantl2 sylan jca syl2an 3impdi adantr fh1 eqtr3di 3anim1i 3adant3 3adant2
    chj4 cmcm3 anbi12d syl2anc 3eqtrd ex chjcl sylan2 3impb sylibrd imp ) ADEZB
    DEZCDEZUAZABFGZACFGZHZABCIJZFGZVPVSVTVTAKZVTAUBUCZKZIJZLZWAVPVSWFVPVSHZVTAB
    KZWCBKZIJZACKZWCCKZIJZIJZWHWKIJZWIWLIJZIJZWEWGBWJCWMIVPVQBWJLZVRVMVNVQWRVOV
    MVNHZVQHBBAKZBWCKZIJZWJWSVQBXBLZWSVQBAFGZXCABMVNVMXDXCSBATNOPWTWHXAWIIBAQBW
    CQUDUEUFUGVPVRCWMLZVQVMVOVRXEVNVMVOHZVRHCCAKZCWCKZIJZWMXFVRCXILZXFVRCAFGZXJ
    ACMVOVMXKXJSCATNOPXGWKXHWLICAQCWCQUDUEUKUHUIVPWNWQLZVSVMVNVOXLWSWHDEZWIDEZH
    WKDEZWLDEZHXLXFWSXMXNABRVMWCDEZVNXNAUJZWCBRULUMXFXOXPACRVMXQVOXPXRWCCRULUMW
    HWIWKWLVBUNUOUPWGWOWBWPWDIWGAVTKWOWBABCUQAVTQURWGWCVTKZWPWDWGXQVNVOUAZWCBFG
    ZWCCFGZHZXSWPLVPXTVSVMXQVNVOXRUSUPVPVSYCVPVQYAVRYBVMVNVQYASVOABVCUTVMVOVRYB
    SVNACVCVAVDPWCBCUQVEWCVTQURUIVFVGVMVNVOWAWFSZVNVOHVMVTDEZYDBCVHVMYEHWAVTAFG
    ZWFAVTMYEVMYFWFSVTATNOVIVJVKVL $.

  ${
    fh1.1 $e |- A e. CH $.
    fh1.2 $e |- B e. CH $.
    fh1.3 $e |- C e. CH $.
    fh1.4 $e |- A C_H B $.
    fh1.5 $e |- A C_H C $.
    $( Foulis-Holland Theorem.  If any 2 pairs in a triple of orthomodular
       lattice elements commute, the triple is distributive.  First of two
       parts.  Theorem 5 of [Kalmbach] p. 25.  (Contributed by NM, 7-Aug-2004.)
       (New usage is discouraged.) $)
    fh1i $p |- ( A i^i ( B vH C ) ) = ( ( A i^i B ) vH ( A i^i C ) ) $=
      ( cch wcel w3a ccm wbr wa chj co cin wceq 3pm3.2i pm3.2i fh1 mp2an ) AIJZ
      BIJZCIJZKABLMZACLMZNABCOPQABQACQOPRUCUDUEDEFSUFUGGHTABCUAUB $.

    $( Foulis-Holland Theorem.  If any 2 pairs in a triple of orthomodular
       lattice elements commute, the triple is distributive.  Second of two
       parts.  Theorem 5 of [Kalmbach] p. 25.  (Contributed by NM, 7-Aug-2004.)
       (New usage is discouraged.) $)
    fh2i $p |- ( B i^i ( A vH C ) ) = ( ( B i^i A ) vH ( B i^i C ) ) $=
      ( cch wcel w3a ccm wbr wa chj co cin wceq 3pm3.2i pm3.2i fh2 mp2an ) BIJZ
      AIJZCIJZKABLMZACLMZNBACOPQBAQBCQOPRUCUDUEEDFSUFUGGHTBACUAUB $.

    $( Variation of the Foulis-Holland Theorem.  (Contributed by NM,
       16-Jan-2005.)  (New usage is discouraged.) $)
    fh3i $p |- ( A vH ( B i^i C ) ) = ( ( A vH B ) i^i ( A vH C ) ) $=
      ( cin chj co wceq cort cfv choccli cmcm3ii cmcm2ii chdmm1i chdmj1i chjcli
      fh1i ineq2i oveq12i 3eqtr4ri chincli 3eqtr4i chcon3i mpbir ) ABCIZJKZABJK
      ZACJKZIZLUMMNZUJMNZLUKMNZULMNZJKZAMNZUIMNZIZUNUOUSBMNZCMNZJKZIUSVBIZUSVCI
      ZJKVAURUSVBVCADOZBEOCFOUSBVGEABDEGPQUSCVGFACDFHPQUAUTVDUSBCEFRUBUPVEUQVFJ
      ABDESACDFSUCUDUKULABDETZACDFTZRAUIDBCEFUEZSUFUJUMAUIDVJTUKULVHVIUEUGUH $.

    $( Variation of the Foulis-Holland Theorem.  (Contributed by NM,
       16-Jan-2005.)  (New usage is discouraged.) $)
    fh4i $p |- ( B vH ( A i^i C ) ) = ( ( B vH A ) i^i ( B vH C ) ) $=
      ( cin chj co wceq cort cfv choccli cmcm3ii cmcm2ii chdmm1i chdmj1i chjcli
      fh2i ineq2i oveq12i 3eqtr4ri chincli 3eqtr4i chcon3i mpbir ) BACIZJKZBAJK
      ZBCJKZIZLUMMNZUJMNZLUKMNZULMNZJKZBMNZUIMNZIZUNUOUSAMNZCMNZJKZIUSVBIZUSVCI
      ZJKVAURVBUSVCADOZBEOCFOVBBVGEABDEGPQVBCVGFACDFHPQUAUTVDUSACDFRUBUPVEUQVFJ
      BAEDSBCEFSUCUDUKULBAEDTZBCEFTZRBUIEACDFUEZSUFUJUMBUIEVJTUKULVHVIUEUGUH $.

    $( A lattice element that commutes with two others also commutes with their
       join.  Theorem 4.2 of [Beran] p. 49.  (Contributed by NM, 11-May-2009.)
       (New usage is discouraged.) $)
    cm2ji $p |- A C_H ( B vH C ) $=
      ( cch wcel w3a ccm wbr wa chj co 3pm3.2i pm3.2i cm2j mp2an ) AIJZBIJZCIJZ
      KABLMZACLMZNABCOPLMUAUBUCDEFQUDUEGHRABCST $.

    $( A lattice element that commutes with two others also commutes with their
       meet.  Theorem 4.2 of [Beran] p. 49.  (Contributed by NM, 11-May-2009.)
       (New usage is discouraged.) $)
    cm2mi $p |- A C_H ( B i^i C ) $=
      ( cin ccm wbr cort cfv chj co choccli cmcm2ii cm2ji chdmm1i breqtrri
      chincli cmcm2i mpbir ) ABCIZJKAUDLMZJKABLMZCLMZNOUEJAUFUGDBEPCFPABDEGQACD
      FHQRBCEFSTAUDDBCEFUAUBUC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Quantum Logic Explorer axioms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    qlax1.1 $e |- A e. CH $.
    $( One of the equations showing ` CH ` is an ortholattice.  (This
       corresponds to axiom "ax-1" in the Quantum Logic Explorer.)
       (Contributed by NM, 4-Aug-2004.)  (New usage is discouraged.) $)
    qlax1i $p |- A = ( _|_ ` ( _|_ ` A ) ) $=
      ( cort cfv ococi eqcomi ) ACDCDAABEF $.
  $}

  ${
    qlax.1 $e |- A e. CH $.
    qlax.2 $e |- B e. CH $.
    $( One of the equations showing ` CH ` is an ortholattice.  (This
       corresponds to axiom "ax-2" in the Quantum Logic Explorer.)
       (Contributed by NM, 4-Aug-2004.)  (New usage is discouraged.) $)
    qlax2i $p |- ( A vH B ) = ( B vH A ) $=
      ( chjcomi ) ABCDE $.

    ${
      qlax.3 $e |- C e. CH $.
      $( One of the equations showing ` CH ` is an ortholattice.  (This
         corresponds to axiom "ax-3" in the Quantum Logic Explorer.)
         (Contributed by NM, 4-Aug-2004.)  (New usage is discouraged.) $)
      qlax3i $p |- ( ( A vH B ) vH C ) = ( A vH ( B vH C ) ) $=
        ( chjassi ) ABCDEFG $.
    $}

    $( One of the equations showing ` CH ` is an ortholattice.  (This
       corresponds to axiom "ax-4" in the Quantum Logic Explorer.)
       (Contributed by NM, 4-Aug-2004.)  (New usage is discouraged.) $)
    qlax4i $p |- ( A vH ( B vH ( _|_ ` B ) ) ) = ( B vH ( _|_ ` B ) ) $=
      ( chba chj co cort cfv chj1i chjoi oveq2i 3eqtr4i ) AEFGEABBHIFGZFGNACJNE
      AFBDKZLOM $.

    $( One of the equations showing ` CH ` is an ortholattice.  (This
       corresponds to axiom "ax-5" in the Quantum Logic Explorer.)
       (Contributed by NM, 4-Aug-2004.)  (New usage is discouraged.) $)
    qlax5i $p |- ( A vH ( _|_ ` ( ( _|_ ` A ) vH B ) ) ) = A $=
      ( cort cfv chj co cin chdmj2i oveq2i choccli chabs1i eqtri ) AAEFBGHEFZGH
      AABEFZIZGHAOQAGABCDJKAPCBDLMN $.
  $}

  ${
    qlaxr1.1 $e |- A e. CH $.
    qlaxr1.2 $e |- B e. CH $.
    qlaxr1.3 $e |- A = B $.
    $( One of the conditions showing ` CH ` is an ortholattice.  (This
       corresponds to axiom "ax-r1" in the Quantum Logic Explorer.)
       (Contributed by NM, 4-Aug-2004.)  (New usage is discouraged.) $)
    qlaxr1i $p |- B = A $=
      ( eqcomi ) ABEF $.
  $}

  ${
    qlaxr2.1 $e |- A e. CH $.
    qlaxr2.2 $e |- B e. CH $.
    qlaxr2.3 $e |- C e. CH $.
    qlaxr2.4 $e |- A = B $.
    qlaxr2.5 $e |- B = C $.
    $( One of the conditions showing ` CH ` is an ortholattice.  (This
       corresponds to axiom "ax-r2" in the Quantum Logic Explorer.)
       (Contributed by NM, 4-Aug-2004.)  (New usage is discouraged.) $)
    qlaxr2i $p |- A = C $=
      ( eqtri ) ABCGHI $.
  $}

  ${
    qlaxr4.1 $e |- A e. CH $.
    qlaxr4.2 $e |- B e. CH $.
    qlaxr4.3 $e |- A = B $.
    $( One of the conditions showing ` CH ` is an ortholattice.  (This
       corresponds to axiom "ax-r4" in the Quantum Logic Explorer.)
       (Contributed by NM, 4-Aug-2004.)  (New usage is discouraged.) $)
    qlaxr4i $p |- ( _|_ ` A ) = ( _|_ ` B ) $=
      ( cort fveq2i ) ABFEG $.
  $}

  ${
    qlaxr5.1 $e |- A e. CH $.
    qlaxr5.2 $e |- B e. CH $.
    qlaxr5.3 $e |- C e. CH $.
    qlaxr5.4 $e |- A = B $.
    $( One of the conditions showing ` CH ` is an ortholattice.  (This
       corresponds to axiom "ax-r5" in the Quantum Logic Explorer.)
       (Contributed by NM, 4-Aug-2004.)  (New usage is discouraged.) $)
    qlaxr5i $p |- ( A vH C ) = ( B vH C ) $=
      ( chj oveq1i ) ABCHGI $.
  $}

  ${
    qlaxr3.1 $e |- A e. CH $.
    qlaxr3.2 $e |- B e. CH $.
    qlaxr3.3 $e |- C e. CH $.
    qlaxr3.4 $e |- ( C vH ( _|_ ` C ) ) =
        ( ( _|_ ` ( ( _|_ ` A ) vH ( _|_ ` B ) ) ) vH ( _|_ ` ( A vH B ) ) ) $.
    $( A variation of the orthomodular law, showing ` CH ` is an orthomodular
       lattice.  (This corresponds to axiom "ax-r3" in the Quantum Logic
       Explorer.)  (Contributed by NM, 7-Aug-2004.)
       (New usage is discouraged.) $)
    qlaxr3i $p |- A = B $=
      ( chj chjcli cort cfv cin c0h wceq choccli cmcmii cmcm2ii eqtr3i chincli
      co chshii chub1i incom cmj1i cmj2i fh1i chba chjoi chdmm1i 3eqtr4i h0elch
      wa choc0 chcon3i mpbir chj00i simpli omlsii chub2i simpri eqtr4i ) AABHTZ
      BAVBDVBABDEIZUAZABDEUBVBAJKZLZMNZVBBJKZLZMNZVGVJULVFVIHTZMNVEVHHTZVBLZVKM
      VBVLLVMVKVBVLUCVBVEVHVCADOZBEOZVBAVCDAVBDVCABDEUDPQVBBVCEBVBEVCABDEUEPQUF
      RVMMNMJKZVMJKZNUGVLJKVBJKHTZVPVQCCJKHTUGVRCFUHGRUMVLVBVEVHVNVOIZVCUIUJVMM
      VLVBVSVCSUKUNUORVFVIVBVEVCVNSVBVHVCVOSUPUOZUQURBVBEVDBAEDUSVGVJVTUTURVA
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Orthogonal subspaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d f j n u x y z A $.  $d z C $.  $d j k x y z F $.  $d f j k n x y z ph $.
    $d f n u x y z B $.  $d k x y G $.  $d j k n u x y z H $.  $d n z N $.
    chscl.1 $e |- ( ph -> A e. CH ) $.
    chscl.2 $e |- ( ph -> B e. CH ) $.
    chscl.3 $e |- ( ph -> B C_ ( _|_ ` A ) ) $.
    ${
      chscl.4 $e |- ( ph -> H : NN --> ( A +H B ) ) $.
      chscl.5 $e |- ( ph -> H ~~>v u ) $.
      chscl.6 $e |- F = ( n e. NN |-> ( ( projh ` A ) ` ( H ` n ) ) ) $.
      $( Lemma for ~ chscl .  (Contributed by Mario Carneiro, 19-May-2014.)
         (New usage is discouraged.) $)
      chscllem1 $p |- ( ph -> F : NN --> A ) $=
        ( vx cn cfv wcel co wceq cph cv cpjh wa cva cort wrex eqid wb ffvelrnda
        cch adantr csh wss chsh syl shocsh shless shscom syl2anc 3sstr4d sselda
        syl31anc syldan pjpreeq mpbii simpld fmptd ) AEOEUAZGPZCUBPPZCFAVHOQZUC
        ZVJCQZVIVJNUAUDRSNCUEPZUFZVLVJVJSZVMVOUCZVJUGVLCUJQZVICVNTRZQZVPVQUHAVR
        VKHUKAVKVICDTRZQVTAOWAVHGKUIAWAVSVIADCTRZVNCTRZWAVSADULQZVNULQZCULQZDVN
        UMWBWCUMADUJQWDIDUNUOZAWFWEAVRWFHCUNUOZCUPUOZWHJDVNCUQVBAWFWDWAWBSWHWGC
        DURUSAWFWEVSWCSWHWICVNURUSUTVAVCNVIVJCVDUSVEVFMVG $.

      $( Lemma for ~ chscl .  (Contributed by Mario Carneiro, 19-May-2014.)
         (New usage is discouraged.) $)
      chscllem2 $p |- ( ph -> F e. dom ~~>v ) $=
        ( vx wcel chba cn cfv co syl vj vk ccauold cv chli wbr wrex cdm cmv cno
        wf clt cuz wral crp chscllem1 cch wss chss wa hlimcaui hcaucvg sylan wi
        fssd eluznn adantll cle c2 cexp caddc cc0 cr cph csh chsh shscl syl2anc
        adantr ffvelrnda sseldd adantrr simprr ffvelrnd hvsubcl normcl addge01d
        shss resqcld mpbid cva csp wceq cort shsubcl syl3anc hvsubsub4 syl22anc
        sqge0d ocsh cpjh 2fveq3 fvex fvmpt eqcomd adantl shless syl31anc shscom
        wb 3sstr4d pjpreeq simprd sselda hvsubadd eqcom 3bitr4g rexbidva mpbird
        risset sylibr eleq1w anbi2d fveq2 oveq12d eleq1d imbi12d chvarvv mp2and
        adantrl eqeltrd shocorth normpyth hvpncan3 fveq2d oveq1d eqtr3d normge0
        mpd adantlr breqtrd le2sqd rpre ad2antlr lelttr anassrs syldan ralimdva
        mpand reximdva ralrimiva hcau sylanbrc ax-hcompl wfn ffn fnbr rexlimivw
        hlimf ax-mp mpan 3syl ) AFUCOZFNUDZUEUFZNPUGFUEUHZOZAQPFUKUAUDZFRZUBUDZ
        FRZUISZUJRZUVDULUFZUBUVHUMRZUNZUAQUGZNUOUNUVCAQCPFABCDEFGHIJKLMUPZACUQO
        ZCPURZHCUSTZVEAUVQNUOAUVDUOOZUTZUVHGRZUVJGRZUISZUJRZUVDULUFZUBUVOUNZUAQ
        UGZUVQAGUCOZUWBUWJAGBUDZUEUFUWKLUWLGVATUAUBUVDGVBVCUWCUWIUVPUAQUWCUVHQO
        ZUTZUWHUVNUBUVOUWNUVJUVOOZUVJQOZUWHUVNVDZUWMUWOUWPUWCUVJUVHVFVGUWCUWMUW
        PUWQUWCUWMUWPUTZUTZUVMUWGVHUFZUWHUVNAUWRUWTUWBAUWRUTZUWTUVMVIVJSZUWGVIV
        JSZVHUFUXAUXBUXBUWFUVLUISZUJRZVIVJSZVKSZUXCVHUXAVLUXFVHUFUXBUXGVHUFUXAU
        XEUXAUXDPOZUXEVMOUXAUWFPOZUVLPOZUXHUXAUWDPOZUWEPOZUXIAUWMUXKUWPAUWMUTZC
        DVNSZPUWDAUXNPURZUWMAUXNVOOZUXOACVOOZDVOOZUXPAUVSUXQHCVPTZADUQOUXRIDVPT
        ZCDVQVRUXNWHTZVSAQUXNUVHGKVTZWAZWBZUXAQPUVJGAQPGUKUWRAQUXNPGKUYAVEVSAUW
        MUWPWCZWDZUWDUWEWEVRZUXAUVIPOZUVKPOZUXJAUWMUYHUWPUXMCPUVIAUVTUWMUWAVSAQ
        CUVHFUVRVTZWAZWBZUXACPUVKAUVTUWRUWAVSZUXAQCUVJFAQCFUKUWRUVRVSUYEWDZWAZU
        VIUVKWEVRZUWFUVLWEVRZUXDWFTZWSUXAUXBUXFUXAUVMUXAUXJUVMVMOZUYPUVLWFTZWIU
        XAUXEUYRWIWGWJUXAUVLUXDWKSZUJRZVIVJSZUXGUXCUXAUVLUXDWLSVLWMZVUCUXGWMZUX
        AUVLCOZUXDCWNRZOZVUDUXAUXQUVICOZUVKCOVUFAUXQUWRUXSVSZAUWMVUIUWPUYJWBUYN
        UVIUVKCWOWPUXAUXDUWDUVIUISZUWEUVKUISZUISZVUGUXAUXKUXLUYHUYIUXDVUMWMUYDU
        YFUYLUYOUWDUWEUVIUVKWQWRUXAVUGVOOZVUKVUGOZVULVUGOZVUMVUGOUXAUVTVUNUYMCW
        TZTAUWMVUOUWPUXMUVDVUKWMZNVUGUGZVUOUXMVUSUWDUVIUVDWKSZWMZNVUGUGZUXMVUIV
        VBUXMUWDCXARZRZUVIWMZVUIVVBUTZUWMVVEAUWMUVIVVDEUVHEUDZGRVVCRVVDQFVVGUVH
        VVCGXBMUWDVVCXCXDXEXFUXMUVSUWDCVUGVNSZOVVEVVFXJAUVSUWMHVSUXMUXNVVHUWDAU
        XNVVHURUWMADCVNSZVUGCVNSZUXNVVHAUXRVUNUXQDVUGURVVIVVJURUXTAUVTVUNUWAVUQ
        TZUXSJDVUGCXGXHAUXQUXRUXNVVIWMUXSUXTCDXIVRAUXQVUNVVHVVJWMUXSVVKCVUGXIVR
        XKVSUYBWANUWDUVICXLVRWJXMUXMVURVVANVUGUXMUVDVUGOZUTZVUKUVDWMZVUTUWDWMZV
        URVVAVVMUXKUYHUVDPOVVNVVOXJUXMUXKVVLUYCVSUXMUYHVVLUYKVSUXMVUGPUVDAVUGPU
        RZUWMAVUNVVPVVKVUGWHTVSXNUWDUVIUVDXOWPUVDVUKXPUWDVUTXPXQXRXSNVUKVUGXTYA
        ZWBAUWPVUPUWMUXMVUOVDAUWPUTZVUPVDUAUBUVHUVJWMZUXMVVRVUOVUPVVSUWMUWPAUAU
        BQYBYCVVSVUKVULVUGVVSUWDUWEUVIUVKUIUVHUVJGYDUVHUVJFYDYEYFYGVVQYHYJVUKVU
        LVUGWOWPYKUXAUXQVUFVUHUTVUDVDVUJUVLUXDCYLTYIUXAUXJUXHVUDVUEVDUYPUYQUVLU
        XDYMVRYSUXAVUBUWGVIVJUXAVUAUWFUJUXAUXJUXIVUAUWFWMUYPUYGUVLUWFYNVRYOYPYQ
        UUAUXAUVMUWGUYTUXAUXIUWGVMOZUYGUWFWFTZUXAUXJVLUVMVHUFUYPUVLYRTUXAUXIVLU
        WGVHUFUYGUWFYRTUUBXSYTUWSUYSVVTUVDVMOZUWTUWHUTUVNVDAUWRUYSUWBUYTYTAUWRV
        VTUWBVWAYTUWBVWBAUWRUVDUUCUUDUVMUWGUVDUUEWPUUIUUFUUGUUHUUJYSUUKNUAUBFUU
        LUUMNFUUNUVEUVGNPUEUVFUUOZUVEUVGUVFPUEUKVWCUUSUVFPUEUUPUUTUVFFUVDUEUUQU
        VAUURUVB $.

      ${
        chscllem3.7 $e |- ( ph -> N e. NN ) $.
        chscllem3.8 $e |- ( ph -> C e. A ) $.
        chscllem3.9 $e |- ( ph -> D e. B ) $.
        chscllem3.10 $e |- ( ph -> ( H ` N ) = ( C +h D ) ) $.
        $( Lemma for ~ chscl .  (Contributed by Mario Carneiro, 19-May-2014.)
           (New usage is discouraged.) $)
        chscllem3 $p |- ( ph -> C = ( F ` N ) ) $=
          ( vz cfv cv cva co wceq cort wcel wrex cpjh wa cn 2fveq3 fvmpt eqcomd
          fvex syl cch cph wb csh wss chsh shocsh shless shscom syl2anc 3sstr4d
          syl31anc ffvelrnd sseldd pjpreeq simprd adantr cin c0h ocin chscllem1
          mpbid simprl simprr eqtr3d shuni simpld rexlimddv ) AJIUBZJHUBZUAUCZU
          DUEZUFZEWGUFZUACUGUBZAWGCUHZWJUAWLUIZAWFCUJUBZUBZWGUFZWMWNUKZAWGWPAJU
          LUHWGWPUFQGJGUCZIUBWOUBWPULHWSJWOIUMPWFWOUPUNUQUOACURUHZWFCWLUSUEZUHW
          QWRUTKACDUSUEZXAWFADCUSUEZWLCUSUEZXBXAADVAUHZWLVAUHZCVAUHZDWLVBZXCXDV
          BADURUHXELDVCUQZAXGXFAWTXGKCVCUQZCVDUQZXJMDWLCVEVIAXGXEXBXCUFXJXICDVF
          VGAXGXFXAXDUFXJXKCWLVFVGVHAULXBJINQVJVKUAWFWGCVLVGVSVMAWHWLUHZWJUKZUK
          ZWKFWHUFXNEFWGWHCWLAXGXMXJVNAXFXMXKVNACWLVOVPUFZXMAXGXOXJCVQUQVNAECUH
          XMRVNXNDWLFAXHXMMVNAFDUHXMSVNVKAWMXMAULCJHABCDGHIKLMNOPVRQVJVNAXLWJVT
          XNWFEFUDUEZWIAWFXPUFXMTVNAXLWJWAWBWCWDWE $.
      $}

      chscl.7 $e |- G = ( n e. NN |-> ( ( projh ` B ) ` ( H ` n ) ) ) $.
      $( Lemma for ~ chscl .  (Contributed by Mario Carneiro, 19-May-2014.)
         (New usage is discouraged.) $)
      chscllem4 $p |- ( ph -> u e. ( A +H B ) ) $=
        ( chli chba cn wcel syl vk vx vy cv cfv cva co cph wfun wbr wceq cdm wf
        hlimf ffun ax-mp funbrfv mpsyl cmpt feqmptd wrex ffvelrnda csh cch chsh
        wa wb shsel syl2anc biimpa syldan w3a simp3 simp1l simp1r simp2l simp2r
        cort chscllem3 chsscon2 mpbid shscom feq3d shss sseldd ax-hvcom oveq12d
        wss 3exp rexlimdvv mpd mpteq2dva chscllem1 fssd chscllem2 funfvbrb eqid
        eqtrd sylib hlimadd eqbrtrd eqtr3d fvex chlimi syl3anc wi shsva eqeltrd
        mp2and ) ABUDZFPUEZGPUEZUFUGZCDUHUGZAHPUEZXJXMPUIZAHXJPUJZXOXJUKPULZQPU
        MXPUNXRQPUOUPZMHXJPUQURXPAHXMPUJXOXMUKXSAHUARUAUDZFUEZXTGUEZUFUGZUSZXMP
        AHUARXTHUEZUSYDAUARXNHLUTAUARYEYCAXTRSZVFZYEUBUDZUCUDZUFUGZUKZUCDVAUBCV
        AZYEYCUKZAYFYEXNSZYLARXNXTHLVBAYNYLACVCSZDVCSZYNYLVGACVDSZYOICVETZADVDS
        ZYPJDVETZUBUCCDYEVHVIVJVKYGYKYMUBUCCDYGYHCSZYIDSZVFZYKYMYGUUCYKVLZYEYJY
        CYGUUCYKVMZUUDYHYAYIYBUFUUDBCDYHYIEFHXTUUDAYQAYFUUCYKVNZITZUUDAYSUUFJTZ
        UUDADCVRUEWHZUUFKTUUDARXNHUMZUUFLTUUDAXQUUFMTZNAYFUUCYKVOZYGUUAUUBYKVPZ
        YGUUAUUBYKVQZUUEVSUUDBDCYIYHEGHXTUUHUUGUUDACDVRUEWHZUUFAUUIUUOKAYSYQUUI
        UUOVGJIDCVTVIWAZTUUDARDCUHUGZHUMZUUFAUUJUURLAXNUUQHRAYOYPXNUUQUKYRYTCDW
        BVIWCWAZTUUKOUULUUNUUMUUDYEYJYIYHUFUGZUUEUUDYHQSYIQSYJUUTUKUUDCQYHUUDAC
        QWHZUUFAYOUVAYRCWDTZTUUMWEUUDDQYIUUDADQWHZUUFAYPUVCYTDWDTZTUUNWEYHYIWFV
        IWRVSWGWRWIWJWKWLWRAXKXLUAFGYDARCQFABCDEFHIJKLMNWMZUVBWNARDQGABDCEGHJIU
        UPUUSMOWMZUVDWNAFXRSZFXKPUJZABCDEFHIJKLMNWOXPUVGUVHVGXSFPWPUPWSZAGXRSZG
        XLPUJZABDCEGHJIUUPUUSMOWOXPUVJUVKVGXSGPWPUPWSZYDWQWTXAHXMPUQURXBAXKCSZX
        LDSZXMXNSZAYQRCFUMUVHUVMIUVEUVIXKFCFPXCXDXEAYSRDGUMUVKUVNJUVFUVLXLGDGPX
        CXDXEAYOYPUVMUVNVFUVOXFYRYTCDXKXLXGVIXIXH $.
    $}

    $( The subspace sum of two closed orthogonal spaces is closed.
       (Contributed by NM, 19-Oct-1999.)  (Proof shortened by Mario Carneiro,
       19-May-2014.)  (New usage is discouraged.) $)
    chscl $p |- ( ph -> ( A +H B ) e. CH ) $=
      ( vf vz vx csh wcel cn cv wa wal cch chsh syl cfv adantr cph co wf wbr wi
      chli shscl syl2anc cpjh cmpt cort wss simprl simprr chscllem4 ex alrimivv
      eqid isch2 sylanbrc ) ABCUAUBZJKZLVAGMZUCZVCHMZUFUDZNZVEVAKZUEZHOGOVAPKAB
      JKZCJKZVBABPKZVJDBQRACPKZVKECQRBCUGUHAVIGHAVGVHAVGNHBCIILIMVCSZBUISSUJZIL
      VNCUISSUJZVCAVLVGDTAVMVGETACBUKSULVGFTAVDVFUMAVDVFUNVOURVPURUOUPUQHGVAUSU
      T $.
  $}

  ${
    osum.1 $e |- A e. CH $.
    osum.2 $e |- B e. CH $.
    $( If two closed subspaces of a Hilbert space are orthogonal, their
       subspace sum equals their subspace join.  Lemma 3 of [Kalmbach] p. 67.
       Note that the (countable) Axiom of Choice is used for this proof via
       ~ pjhth , although "the hard part" of this proof, ~ chscl , requires no
       choice.  (Contributed by NM, 28-Oct-1999.)  (Revised by Mario Carneiro,
       19-May-2014.)  (New usage is discouraged.) $)
    osumi $p |- ( A C_ ( _|_ ` B ) -> ( A +H B ) = ( A vH B ) ) $=
      ( cort cfv wss cph co cch wcel chj wceq a1i chsscon2i biimpi chscl chshii
      shjshseli sylib ) ABEFGZABHIZJKUBABLIMUAABAJKUACNBJKUADNUABAEFGABCDOPQABA
      CRBDRST $.

    $( Corollary of ~ osumi .  (Contributed by NM, 5-Nov-2000.)
       (New usage is discouraged.) $)
    osumcori $p |- ( ( A i^i B ) +H ( A i^i ( _|_ ` B ) ) ) =
                  ( ( A i^i B ) vH ( A i^i ( _|_ ` B ) ) ) $=
      ( cin cort cfv wss cph co chj inss2 choccli chub2i sstri chdmm3i sseqtrri
      wceq chincli osumi ax-mp ) ABEZABFGZEZFGZHUBUDIJUBUDKJRUBAFGZBKJZUEUBBUGA
      BLBUFDACMNOABCDPQUBUDABCDSAUCCBDMSTUA $.

    $( Corollary of ~ osumi , showing it holds under the weaker hypothesis that
       ` A ` and ` B ` commute.  (Contributed by NM, 6-Dec-2000.)
       (New usage is discouraged.) $)
    osumcor2i $p |- ( A C_H B ->
                   ( A +H B ) = ( A vH B ) ) $=
      ( ccm wbr cph co chj wss wceq cort cfv cin choccli chjcli chincli chjcomi
      eqtri chshii cmcm2i cmbr4i bitri osumi ineq2i oveq1i pjoml4i eqeq2i inss1
      wa shlessi ax-mp sseq1 mpbii sylbi syl chsleji jctil eqss sylibr ) ABEFZA
      BGHZABIHZJZVCVBJZUJVBVCKVAVEVDVAAALMZBLMZIHZNZVGJZVEVAAVGEFVJABCDUAAVGCBD
      OZUBUCVJVIBGHZVIBIHZKZVEVIBAVHCVFVGACOZVKPQZDUDVNVLVCKZVEVMVCVLVMBAVGVFIH
      ZNZIHZVCVMVSBIHVTVIVSBIVHVRAVFVGVOVKRUEUFVSBAVRCVGVFVKVOPQDRSVTBAIHVCBADC
      UGBADCRSSUHVQVLVBJZVEVIAJWAAVHUIVIABVIVPTACTBDTUKULVLVCVBUMUNUOUPUOABCDUQ
      URVBVCUSUT $.
  $}

  $( If two closed subspaces of a Hilbert space are orthogonal, their subspace
     sum equals their subspace join.  Lemma 3 of [Kalmbach] p. 67.
     (Contributed by NM, 31-Oct-2005.)  (New usage is discouraged.) $)
  osum $p |- ( ( A e. CH /\ B e. CH /\ A C_ ( _|_ ` B ) ) ->
             ( A +H B ) = ( A vH B ) ) $=
    ( cch wcel cort cfv wss cph co chj wceq wi chba sseq1 oveq1 eqeq12d imbi12d
    cif oveq2 ifchhv fveq2 sseq2d osumi dedth2h 3impia ) ACDZBCDZABEFZGZABHIZAB
    JIZKZUFUGUIULLUFAMRZUHGZUMBHIZUMBJIZKZLUMUGBMRZEFZGZUMURHIZUMURJIZKZLABMMAU
    MKZUIUNULUQAUMUHNVDUJUOUKUPAUMBHOAUMBJOPQBURKZUNUTUQVCVEUHUSUMBUREUAUBVEUOV
    AUPVBBURUMHSBURUMJSPQUMURATBTUCUDUE $.

  ${
    spansnj.1 $e |- A e. CH $.
    spansnj.2 $e |- B e. ~H $.
    $( The subspace sum of a closed subspace and a one-dimensional subspace
       equals their join.  (Proof suggested by Eric Schechter 1-Jun-2004.)
       (Contributed by NM, 1-Jun-2004.)  (New usage is discouraged.) $)
    spansnji $p |- ( A +H ( span ` { B } ) ) = ( A vH ( span ` { B } ) ) $=
      ( csn cspn cfv chj co cph cort chshii spansnchi cun chba wcel snssi ax-mp
      wss spanuni shjshsi cpjh cch chssii choccli pjhclii wceq spanid spansnpji
      csh oveq1i osumi 3eqtrri spanunsni eqtr4i chjcli eqeltri ococi eqtr2i ) A
      BEZFGZHIAVAJIZKGKGVBAVAACLZVABDMLUAVBVBABAKGZUBGGZEZFGZHIZUCVHAUTNFGZAFGZ
      VAJIVBVHAVFNFGZVIVKVJVGJIAVGJIZVHAVFACUDZVEOPVFOSBVDACUEDUFZVEOQRTVJAVGJA
      UJPVJAUGVCAUHRZUKAVGKGSVLVHUGABVMDUIAVGCVEVNMZULRUMABCDUNUOAUTVMBOPUTOSDB
      OQRTVJAVAJVOUKUMAVGCVPUPUQURUS $.
  $}

  $( The subspace sum of a closed subspace and a one-dimensional subspace
     equals their join.  (Contributed by NM, 4-Jun-2004.)
     (New usage is discouraged.) $)
  spansnj $p |- ( ( A e. CH /\ B e. ~H ) ->
              ( A +H ( span ` { B } ) ) = ( A vH ( span ` { B } ) ) ) $=
    ( cch wcel chba csn cspn cfv cph chj wceq cif c0v oveq1 eqeq12d sneq fveq2d
    co oveq2d ifchhv ifhvhv0 spansnji dedth2h ) ACDZBEDZABFZGHZIRZAUGJRZKUDAELZ
    UGIRZUJUGJRZKUJUEBMLZFZGHZIRZUJUOJRZKABEMAUJKUHUKUIULAUJUGINAUJUGJNOBUMKZUK
    UPULUQURUGUOUJIURUFUNGBUMPQZSURUGUOUJJUSSOUJUMATBUAUBUC $.

  $( The subspace sum of a closed subspace and a one-dimensional subspace is
     closed.  (Contributed by NM, 17-Dec-2004.)  (New usage is discouraged.) $)
  spansnscl $p |- ( ( A e. CH /\ B e. ~H ) ->
              ( A +H ( span ` { B } ) ) e. CH ) $=
    ( cch wcel chba wa csn cfv cph co chj spansnj spansnch chjcl sylan2 eqeltrd
    cspn ) ACDZBEDZFABGQHZIJATKJZCABLSRTCDUACDBMATNOP $.

  $( The sum of two vectors belong to the span of one of them iff the other
     vector also belongs.  (Contributed by NM, 1-Nov-2005.)
     (New usage is discouraged.) $)
  sumspansn $p |- ( ( A e. ~H /\ B e. ~H ) ->
           ( ( A +h B ) e. ( span ` { A } ) <-> B e. ( span ` { A } ) ) ) $=
    ( chba wcel wa cva co csn cspn cfv cmv wi csh spansnsh adantr simpr shsubcl
    spansnid syl3anc ex hvpncan2 eleq1d sylibd shaddcl 3expia syl2anc impbid )
    ACDZBCDZEZABFGZAHIJZDZBULDZUJUMUKAKGZULDZUNUHUMUPLUIUHUMUPUHUMEULMDZUMAULDZ
    UPUHUQUMANZOUHUMPUHURUMARZOUKAULQSTOUJUOBULABUAUBUCUHUNUMLZUIUHUQURVAUSUTUQ
    URUNUMABULUDUEUFOUG $.

  ${
    $d x A $.  $d x B $.
    spansnm0.1 $e |- A e. ~H $.
    spansnm0.2 $e |- B e. ~H $.
    $( The meet of different one-dimensional subspaces is the zero subspace.
       (Contributed by NM, 1-Nov-2005.)  (New usage is discouraged.) $)
    spansnm0i $p |- ( -. A e. ( span ` { B } ) ->
                   ( ( span ` { A } ) i^i ( span ` { B } ) ) = 0H ) $=
      ( vx csn cspn cfv wcel wn cin c0h wss wceq cv wa c0v chba csh spansnchi
      wi chshii elspansn5 ax-mp mpanl1 ex elin elch0 3imtr4g ssrdv chle0i sylib
      chincli ) ABFGHZIJZAFGHZUNKZLMUQLNUOEUQLUOEOZUPIURUNIPZURQNZURUQIURLIUOUS
      UTARIZUOUSUTCUNSIVAUOPUSPUTUAUNBDTZUBUNAURUCUDUEUFURUPUNUGURUHUIUJUQUPUNA
      CTVBUMUKUL $.
  $}

  ${
    nonbool.1 $e |- A e. ~H $.
    nonbool.2 $e |- B e. ~H $.
    nonbool.3 $e |- F = ( span ` { A } ) $.
    nonbool.4 $e |- G = ( span ` { B } ) $.
    nonbool.5 $e |- H = ( span ` { ( A +h B ) } ) $.
    $( A Hilbert lattice with two or more dimensions fails the distributive law
       and therefore cannot be a Boolean algebra.  This counterexample
       demonstrates a condition where ` ( ( H i^i F ) vH ( H i^i G ) ) = 0H `
       but ` ( H i^i ( F vH G ) ) =/= 0H ` .  The antecedent specifies that the
       vectors ` A ` and ` B ` are nonzero and non-colinear.  The last three
       hypotheses assign one-dimensional subspaces to ` F ` , ` G ` , and
       ` H ` .  (Contributed by NM, 1-Nov-2005.)
       (New usage is discouraged.) $)
    nonbooli $p |- ( -. ( A e. G \/ B e. F ) ->
                  ( H i^i ( F vH G ) ) =/= ( ( H i^i F ) vH ( H i^i G ) ) ) $=
      ( wcel wn chj co cin wceq c0h csn cspn ax-mp wa wne cva cfv chba hvaddcli
      wo c0v spansnid eleqtrri cph spansnchi chshii eqeltri shsvai mp2an sselii
      csh shsleji elin mpbir2an eleq2 mpbii elch0 sylib cch ch0 eqeltrdi eleq2i
      wb sumspansn bitr4i sylibr con3i adantl ineq12i spansnm0i sylnbi 3bitr4ri
      syl5eq hvcomi eleq1i oveqan12rd h0elch chj0i eqtrdi eqeq2 notbid biimparc
      syl2anc ioran df-ne 3imtr4i ) ADKZLZBCKZLZUAZECDMNZOZECOZEDOZMNZPZLZWNWPU
      GLWTXCUBWRWTQPZLZXCQPZXEWQXGWOXFWPXFABUCNZARSUDZKZWPXFXIUHXJXFXIQKZXIUHPX
      FXIWTKZXLXMXIEKXIWSKXIXIRSUDZEXIUEKXIXNKABFGUFZXIUITJUJCDUKNZWSXICDCXJURH
      XJAFULZUMUNZDBRSUDZURIXSBGULUMUNZUSACKBDKXIXPKAXJCAUEKZAXJKFAUITHUJBXSDBU
      EKZBXSKGBUITIUJCDABXRXTUOUPUQXIEWSUTVAWTQXIVBVCXIVDVEXJVFKUHXJKXQXJVGTVHW
      PBXJKZXKCXJBHVIYAYBXKYCVJFGABVKUPVLZVMVNVOWRXCQQMNQWQWOXAQXBQMWQXAXNXJOZQ
      EXNCXJJHVPWPXKYEQPYDXIAXOFVQVRVTWOXBXNXSOZQEXNDXSJIVPWNXIXSKZYFQPBAUCNZXS
      KZAXSKZYGWNYBYAYIYJVJGFBAVKUPXIYHXSABFGWAWBDXSAIVIVSXIBXOGVQVRVTWCQWDWEWF
      XHXEXGXHXDXFXCQWTWGWHWIWJWNWPWKWTXCWLWM $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    spansncv.1 $e |- A e. CH $.
    spansncv.2 $e |- B e. CH $.
    spansncv.3 $e |- C e. ~H $.
    $( Hilbert space has the covering property (using spans of singletons to
       represent atoms).  Exercise 5 of [Kalmbach] p. 153.  (Contributed by NM,
       7-Jun-2004.)  (New usage is discouraged.) $)
    spansncvi $p |- ( ( A C. B /\ B C_ ( A vH ( span ` { C } ) ) ) ->
                   B = ( A vH ( span ` { C } ) ) ) $=
      ( vx vy vz co wss wa wi cv wcel cva wceq chba imp c0v wpss csn cspn simpr
      cfv chj pssss adantr wn wex pssnel ssel2 wrex cph eleq2i spansnchi chseli
      spansnji bitr3i cmv eleq1 biimpac sselda csh chshii shsubcl mp3an1 syl2an
      exp43 com14 imp45 cheli hvpncan2 eleq1d anandis exp45 imp41 adantrr oveq2
      syl5ib wne ax-hvaddid syl eqeq2d eleq1a sylbid impancom necon3bd spansnss
      sylan9eqr mpan spansneleq sseq1d ancoms exp44 com12 adantrl mpd rexlimivv
      sylan2 sylbi anandirs expimpd exlimdv syl5 pm2.43d impcom chlubii syl2anc
      ex eqssd ) ABUAZBACUBUCUEZUFJZKZLZBXNXLXOUDXPABKZXMBKZXNBKXLXQXOABUGZUHXO
      XLXRXOXLXRXOXLXLXRMXLGNZBOZXTAOZUIZLZGUJXOXLLZXRGABUKYEYDXRGYEYAYCXRXOXLY
      AYCXRMZXOYALZXLYALZYFYGXTXNOZYHYFMZBXNXTULYIXTHNZINZPJZQZIXMUMHAUMZYJYIXT
      AXMUNJZOYOYPXNXTACDFURUOHIAXMXTDCFUPZUQUSYNYJHIAXMYKAOZYLXMOZLZYNYHYCXRYT
      YNLZYHYCLLYLBOZXRUUAYHUUBYCYRYSYNYHUUBYRYSYNYHUUBYRYSYNYHLZUUBYTYRUUCLZUU
      BUUDYMYKUTJZBOZYTUUBYRYNXLYAUUFYAYNXLYRUUFYAYNXLYRUUFYAYNLYMBOZYKBOZUUFXL
      YRLYNYAUUGXTYMBVAVBXLABYKXSVCBVDOZUUGUUHUUFBEVEZYMYKBVFVGVHVIVJVKYTUUEYLB
      YRYKROZYLROUUEYLQYSYKADVLZYLXMYQVLYKYLVMVHVNVTSVOVPVQVRUUAYCUUBXRMZYHYRYS
      YNYCUUMYSYRYNYCUUMMMYSYRYNYCUUMYRYNLZYCLYSYLTWAZUUMUUNYCUUOUUNYBYLTYRYLTQ
      ZYNYBYRUUPLZYNXTYKQZYBUUQYMYKXTUUPYRYMYKTPJZYKYLTYKPVSYRUUKUUSYKQUULYKWBW
      CWJWDYRUURYBMUUPYKAXTWEUHWFWGWHSUUOYSUUMUUBYLUBUCUEZBKZUUOYSLZXRUUIUUBUVA
      UUJBYLWIWKUVBUUTXMBUUOYSUUTXMQZCROUUOYSUVCMFYLCWLWKSWMVTWNWTWOWPVQWQWRVIW
      SXAWCSXBXCXDXEXJXFXGAXMBDYQEXHXIXK $.
  $}

  $( Hilbert space has the covering property (using spans of singletons to
     represent atoms).  Exercise 5 of [Kalmbach] p. 153.  (Contributed by NM,
     9-Jun-2004.)  (New usage is discouraged.) $)
  spansncv $p |- ( ( A e. CH /\ B e. CH /\ C e. ~H ) ->
                  ( ( A C. B /\ B C_ ( A vH ( span ` { C } ) ) )
                 -> B = ( A vH ( span ` { C } ) ) ) ) $=
    ( cch wcel chba wpss csn cspn cfv chj co wss wa wceq cif c0v sseq2d imbi12d
    wi psseq1 oveq1 anbi12d eqeq2d psseq2 sseq1 eqeq1 sneq fveq2d oveq2d anbi2d
    ifchhv ifhvhv0 spansncvi dedth3h ) ADEZBDEZCFEZABGZBACHZIJZKLZMZNZBVBOZTUPA
    FPZBGZBVFVAKLZMZNZBVHOZTVFUQBFPZGZVLVHMZNZVLVHOZTVMVLVFURCQPZHZIJZKLZMZNZVL
    VTOZTABCFFQAVFOZVDVJVEVKWDUSVGVCVIAVFBUAWDVBVHBAVFVAKUBZRUCWDVBVHBWEUDSBVLO
    ZVJVOVKVPWFVGVMVIVNBVLVFUEBVLVHUFUCBVLVHUGSCVQOZVOWBVPWCWGVNWAVMWGVHVTVLWGV
    AVSVFKWGUTVRICVQUHUIUJZRUKWGVHVTVLWHUDSVFVLVQAULBULCUMUNUO $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Orthoarguesian laws 5OA and 3OA
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    5oalem1.1 $e |- A e. SH $.
    5oalem1.2 $e |- B e. SH $.
    5oalem1.3 $e |- C e. SH $.
    5oalem1.4 $e |- R e. SH $.
    $( Lemma for orthoarguesian law 5OA. (Contributed by NM, 1-Apr-2000.)
       (New usage is discouraged.) $)
    5oalem1 $p |- ( ( ( ( x e. A /\ y e. B ) /\ v = ( x +h y ) ) /\
                  ( z e. C /\ ( x -h z ) e. R ) ) ->
                  v e. ( B +H ( A i^i ( C +H R ) ) ) ) $=
      ( cv wcel wa cva co wceq cmv cph cin simplll chba sheli adantr hvaddsub12
      ad2antrr 3anidm23 oveq2d ax-hvaddid sylan9eqr eqtr3d syl2an shsvai adantl
      hvsubid eqeltrrd elind simpllr shscli shincli shscomi eleqtrdi syl2anc wb
      c0v eleq1 ad2antlr mpbird ) AMZENZBMZFNZOZDMZVJVLPQZRZOZCMZGNZVJVSSQZHNZO
      ZOZVOFEGHTQZUAZTQZNZVPWGNZWDVJWFNZVMWIWDEWEVJVKVMVQWCUBWDVSWAPQZVJWEVRVJU
      CNZVSUCNZWKVJRWCVKWLVMVQVJEIUDUGVTWMWBVSGKUDUEWLWMOVJVSVSSQZPQZWKVJWLWMWO
      WKRVJVSVSUFUHWMWLWOVJVFPQVJWMWNVFVJPVSUPUIVJUJUKULUMWCWKWENVRGHVSWAKLUNUO
      UQURVKVMVQWCUSWJVMOVPWFFTQWGWFFVJVLEWEIGHKLUTVAZJUNWFFWPJVBVCVDVQWHWIVEVN
      WCVOVPWGVGVHVI $.
  $}

  ${
    5oalem2.1 $e |- A e. SH $.
    5oalem2.2 $e |- B e. SH $.
    5oalem2.3 $e |- C e. SH $.
    5oalem2.4 $e |- D e. SH $.
    $( Lemma for orthoarguesian law 5OA. (Contributed by NM, 2-Apr-2000.)
       (New usage is discouraged.) $)
    5oalem2 $p |- ( ( ( ( x e. A /\ y e. B ) /\ ( z e. C /\ w e. D ) ) /\
                  ( x +h y ) = ( z +h w ) ) ->
                  ( x -h z ) e. ( ( A +H C ) i^i ( B +H D ) ) ) $=
      ( cv wcel wa cva co wceq cmv chba shsvsi ad2ant2r adantr ancoms eleqtrrdi
      shscomi ad2ant2l wb sheli anim12i oveq1 adantl simpr anim2i hvsub4 syldan
      cph c0v hvsubid oveq2d ad2antlr hvsubcl ax-hvaddid adantlr 3eqtrd adantrr
      syl simpl anim1i syl2anc oveq1d ad2antrl hvaddid2 adantrl adantll 3eqtr3d
      eleq1d sylan mpbird elind ) AMZENZBMZFNZOZCMZGNZDMZHNZOZOZWAWCPQZWFWHPQZR
      ZOZEGUQQZFHUQQZWAWFSQZWKWRWPNZWNWBWGWSWDWIEGWAWFIKUAUBUCWOWRWQNZWHWCSQZWQ
      NZWKXBWNWDWIXBWBWGWDWIOXAHFUQQZWQWIWDXAXCNHFWHWCLJUAUDFHJLUFUEUGUCWKWATNZ
      WCTNZOZWFTNZWHTNZOZOZWNWTXBUHWEXFWJXIWBXDWDXEWAEIUIWCFJUIUJWGXGWIXHWFGKUI
      WHHLUIUJUJXJWNOZWRXAWQXKWLWFWCPQZSQZWMXLSQZWRXAWNXMXNRXJWLWMXLSUKULXJXMWR
      RZWNXFXGXOXHXFXGOXMWRWCWCSQZPQZWRURPQZWRXFXGXGXEOZXMXQRXGXFXSXFXEXGXDXEUM
      UNUDWAWCWFWCUOUPXEXQXRRXDXGXEXPURWRPWCUSUTVAXDXGXRWRRZXEXDXGOWRTNXTWAWFVB
      WRVCVGVDVEVFUCXJXNXARZWNXEXIYAXDXEXIOZXNWFWFSQZXAPQZURXAPQZXAYBXIXSXNYDRX
      EXIUMXIXEXSXIXGXEXGXHVHVIUDWFWHWFWCUOVJXGYDYERXEXHXGYCURXAPWFUSVKVLXEXHYE
      XARZXGXHXEYFXHXEOXATNYFWHWCVBXAVMVGUDVNVEVOUCVPVQVRVSVT $.
  $}

  ${
    5oalem3.1 $e |- A e. SH $.
    5oalem3.2 $e |- B e. SH $.
    5oalem3.3 $e |- C e. SH $.
    5oalem3.4 $e |- D e. SH $.
    5oalem3.5 $e |- F e. SH $.
    5oalem3.6 $e |- G e. SH $.
    $( Lemma for orthoarguesian law 5OA. (Contributed by NM, 2-Apr-2000.)
       (New usage is discouraged.) $)
    5oalem3 $p |- ( ( ( ( ( x e. A /\ y e. B ) /\ ( z e. C /\ w e. D ) )
                    /\ ( f e. F /\ g e. G ) ) /\
                  ( ( x +h y ) = ( f +h g ) /\ ( z +h w ) = ( f +h g ) ) ) ->
                  ( x -h z ) e. ( ( ( A +H F ) i^i ( B +H G ) ) +H
                    ( ( C +H F ) i^i ( D +H G ) ) ) ) $=
      ( wa co cv wcel cva wceq cmv cph cin anandir 5oalem2 anim12i an4s shincli
      sylanb shscli shsvsi syl chba sheli adantr hvsubsub4 anandirs c0v hvsubid
      wb oveq2d hvsubcl hvsub0 sylan9eqr eqtrd syl2an eleq1d mpbid ) AUAZEUBZBU
      AZFUBZSZCUAZGUBZDUAZHUBZSZSZIUAZKUBZJUAZLUBZSZSZVMVOUCTWDWFUCTZUDZVRVTUCT
      WJUDZSZSZVMWDUETZVRWDUETZUETZEKUFTZFLUFTZUGZGKUFTZHLUFTZUGZUFTZUBZVMVRUET
      ZXDUBZWNWOWTUBZWPXCUBZSZXEWIVQWHSZWBWHSZSWMXJVQWBWHUHXKWKXLWLXJXKWKSXHXLW
      LSXIABIJEFKLMNQRUICDIJGHKLOPQRUIUJUKUMWTXCWOWPWRWSEKMQUNFLNRUNULXAXBGKOQU
      NHLPRUNULUOUPWIXEXGVDWMWIWQXFXDWCVMUQUBZVRUQUBZSZWDUQUBZWQXFUDWHVQXMWBXNV
      NXMVPVMEMURUSVSXNWAVRGOURUSUJWEXPWGWDKQURUSXOXPSWQXFWDWDUETZUETZXFXMXNXPW
      QXRUDVMWDVRWDUTVAXPXOXRXFVBUETZXFXPXQVBXFUEWDVCVEXOXFUQUBXSXFUDVMVRVFXFVG
      UPVHVIVJVKUSVL $.

    $( Lemma for orthoarguesian law 5OA. (Contributed by NM, 2-Apr-2000.)
       (New usage is discouraged.) $)
    5oalem4 $p |- ( ( ( ( ( x e. A /\ y e. B ) /\ ( z e. C /\ w e. D ) )
                    /\ ( f e. F /\ g e. G ) ) /\
                  ( ( x +h y ) = ( f +h g ) /\ ( z +h w ) = ( f +h g ) ) ) ->
                  ( x -h z ) e. ( ( ( A +H C ) i^i ( B +H D ) ) i^i
                    ( ( ( A +H F ) i^i ( B +H G ) ) +H
                      ( ( C +H F ) i^i ( D +H G ) ) ) ) ) $=
      ( wcel co cv wa cva wceq cph cin cmv eqtr3 5oalem2 sylan2 adantlr 5oalem3
      elind ) AUAZESBUAZFSUBCUAZGSDUAZHSUBUBZIUAZKSJUAZLSUBZUBUNUOUCTZUSUTUCTZU
      DUPUQUCTZVCUDUBZUBEGUETFHUETUFZEKUETFLUETUFGKUETHLUETUFUETUNUPUGTZURVEVGV
      FSZVAVEURVBVDUDVHVBVDVCUHABCDEFGHMNOPUIUJUKABCDEFGHIJKLMNOPQRULUM $.
  $}

  ${
    5oalem5.1 $e |- A e. SH $.
    5oalem5.2 $e |- B e. SH $.
    5oalem5.3 $e |- C e. SH $.
    5oalem5.4 $e |- D e. SH $.
    5oalem5.5 $e |- F e. SH $.
    5oalem5.6 $e |- G e. SH $.
    5oalem5.7 $e |- R e. SH $.
    5oalem5.8 $e |- S e. SH $.
    $( Lemma for orthoarguesian law 5OA. (Contributed by NM, 2-May-2000.)
       (New usage is discouraged.) $)
    5oalem5 $p |- ( ( ( ( ( x e. A /\ y e. B ) /\ ( z e. C /\ w e. D ) )
                    /\ ( ( f e. F /\ g e. G ) /\ ( v e. R /\ u e. S ) ) ) /\
             ( ( ( x +h y ) = ( v +h u ) /\ ( z +h w ) = ( v +h u ) ) /\
                 ( f +h g ) = ( v +h u ) ) ) ->
                  ( x -h z ) e.
                 ( ( ( ( A +H C ) i^i ( B +H D ) ) i^i
                     ( ( ( A +H R ) i^i ( B +H S ) ) +H
                       ( ( C +H R ) i^i ( D +H S ) ) ) )
                i^i ( ( ( ( A +H F ) i^i ( B +H G ) ) i^i
                        ( ( ( A +H R ) i^i ( B +H S ) ) +H
                          ( ( F +H R ) i^i ( G +H S ) ) ) )
                   +H ( ( ( C +H F ) i^i ( D +H G ) ) i^i
                        ( ( ( C +H R ) i^i ( D +H S ) ) +H
                          ( ( F +H R ) i^i ( G +H S ) ) ) ) ) ) ) $=
      ( cv wcel wa cva wceq cph cin cmv simpr anim2i simpl 5oalem4 syl2an sheli
      co adantr anim12i hvsubsub4 anandirs c0v hvsubid oveq2d hvsubcl sylan9eqr
      chba hvsub0 syl eqtrd adantrr anandir sylib simprr jca anim1i an4s sylanb
      shscli shincli shsvsi eqeltrrd elind ) AUEZGUFZBUEZHUFZUGZCUEZIUFZDUEZJUF
      ZUGZUGZMUEZOUFZNUEZPUFZUGZEUEZKUFFUEZLUFUGZUGZUGZWFWHUHUSXBXCUHUSZUIZWKWM
      UHUSXGUIZUGZWQWSUHUSXGUIZUGZUGZGIUJUSHJUJUSUKGKUJUSZHLUJUSZUKZIKUJUSZJLUJ
      USZUKZUJUSUKZGOUJUSZHPUJUSZUKZXPOKUJUSZPLUJUSZUKZUJUSZUKZIOUJUSZJPUJUSZUK
      ZXSYFUJUSZUKZUJUSZWFWKULUSZXFWPXDUGXJYOXTUFXLXEXDWPXAXDUMUNXJXKUOABCDGHIJ
      EFKLQRSTUCUDUPUQXMWFWQULUSZWKWQULUSZULUSZYOYNXFYRYOUIZXLWPXAYSXDWPWFVIUFZ
      WKVIUFZUGZWQVIUFZYSXAWJYTWOUUAWGYTWIWFGQURUTWLUUAWNWKISURUTVAWRUUCWTWQOUA
      URUTUUBUUCUGYRYOWQWQULUSZULUSZYOYTUUAUUCYRUUEUIWFWQWKWQVBVCUUCUUBUUEYOVDU
      LUSZYOUUCUUDVDYOULWQVEVFUUBYOVIUFUUFYOUIWFWKVGYOVJVKVHVLUQVMUTXMYPYHUFZYQ
      YMUFZUGZYRYNUFXFWJXAUGZWOXAUGZUGZXDUGZXHXKUGZXIXKUGZUGZUUIXLXFUULXDXFWPXA
      UGUULXEXAWPXAXDUOUNWJWOXAVNVOWPXAXDVPVQXLUUNUUOXJXHXKXHXIUOVRXJXIXKXHXIUM
      VRVQUUMUUJXDUGZUUKXDUGZUGUUPUUIUUJUUKXDVNUUQUUNUURUUOUUIUUQUUNUGUUGUURUUO
      UGUUHABMNGHOPEFKLQRUAUBUCUDUPCDMNIJOPEFKLSTUAUBUCUDUPVAVSVTUQYHYMYPYQYCYG
      YAYBGOQUAWAHPRUBWAWBXPYFXNXOGKQUCWAHLRUDWAWBYDYEOKUAUCWAPLUBUDWAWBZWAWBYK
      YLYIYJIOSUAWAJPTUBWAWBXSYFXQXRIKSUCWAJLTUDWAWBUUSWAWBWCVKWDWE $.

    $( Lemma for orthoarguesian law 5OA. (Contributed by NM, 4-May-2000.)
       (New usage is discouraged.) $)
    5oalem6 $p |- ( ( ( ( ( x e. A /\ y e. B ) /\ h = ( x +h y ) ) /\
                        ( ( z e. C /\ w e. D ) /\ h = ( z +h w ) ) ) /\
                      ( ( ( f e. F /\ g e. G ) /\ h = ( f +h g ) ) /\
                        ( ( v e. R /\ u e. S ) /\ h = ( v +h u ) ) ) ) ->
           h e. ( B +H ( A i^i ( C +H
                 ( ( ( ( A +H C ) i^i ( B +H D ) ) i^i
                     ( ( ( A +H R ) i^i ( B +H S ) ) +H
                       ( ( C +H R ) i^i ( D +H S ) ) ) )
                i^i ( ( ( ( A +H F ) i^i ( B +H G ) ) i^i
                        ( ( ( A +H R ) i^i ( B +H S ) ) +H
                          ( ( F +H R ) i^i ( G +H S ) ) ) )
                   +H ( ( ( C +H F ) i^i ( D +H G ) ) i^i
                        ( ( ( C +H R ) i^i ( D +H S ) ) +H
                          ( ( F +H R ) i^i ( G +H S ) ) ) ) ) ) ) ) ) ) $=
      ( cv wcel wa cva wceq cmv cph cin an4 eqeq1 biimpcd anim12d expdcom imp32
      co anim2i an4s syl2anb 5oalem5 syl wi shscli shincli 5oalem1 expr adantrr
      adantr mpd ) AUFZGUGBUFZHUGUHZOUFZVNVOUIUTZUJZUHZCUFZIUGZDUFZJUGZUHZVQWAW
      CUIUTZUJZUHUHZMUFZPUGNUFZQUGUHZVQWIWJUIUTZUJZUHEUFZKUGFUFZLUGUHZVQWNWOUIU
      TZUJZUHUHZUHZVNWAUKUTGIULUTZHJULUTZUMZGKULUTZHLULUTZUMZIKULUTZJLULUTZUMZU
      LUTZUMZGPULUTZHQULUTZUMZXFPKULUTZQLULUTZUMZULUTZUMZIPULUTZJQULUTZUMZXIXQU
      LUTZUMZULUTZUMZUGZVQHGIYFULUTUMULUTUGZWTVPWEUHZWKWPUHZUHZVRWQUJZWFWQUJZUH
      ZWLWQUJZUHZUHZYGWHYIVSWGUHZUHYJWMWRUHZUHYQWSVPVSWEWGUNWKWMWPWRUNYIYJYRYSY
      QYRYSUHYPYKYRWMWRYPWRYRWMYPWRYRYNWMYOWRVSYLWGYMVSWRYLVQVRWQUOUPWGWRYMVQWF
      WQUOUPUQWMWRYOVQWLWQUOUPUQURUSVAVBVCABCDEFGHIJKLMNPQRSTUAUBUCUDUEVDVEWHYG
      YHVFZWSVTWEYTWGVTWBYTWDVTWBYGYHABCOGHIYFRSTXKYEXCXJXAXBGIRTVGHJSUAVGVHXFX
      IXDXEGKRUDVGHLSUEVGVHZXGXHIKTUDVGJLUAUEVGVHZVGVHXSYDXNXRXLXMGPRUBVGHQSUCV
      GVHXFXQUUAXOXPPKUBUDVGQLUCUEVGVHZVGVHYBYCXTYAIPTUBVGJQUAUCVGVHXIXQUUBUUCV
      GVHVGVHVIVJVKVKVLVM $.

    ${
      $d A h f g u v w x y z $.  $d B h f g u v w x y z $.
      $d C h f g u v w x y z $.  $d D h f g u v w x y z $.
      $d F h f g u v w x y z $.  $d G h f g u v w x y z $.
      $d R h f g u v w x y z $.  $d S h f g u v w x y z $.
      $( Lemma for orthoarguesian law 5OA. (Contributed by NM, 4-May-2000.)
         TODO: replace uses of ~ ee4anv with ~ 4exdistrv as in ~ 3oalem3 .
         (New usage is discouraged.) $)
      5oalem7 $p |- ( ( ( A +H B ) i^i ( C +H D ) ) i^i
              ( ( F +H G ) i^i ( R +H S ) ) ) C_ ( B +H ( A i^i ( C +H
                 ( ( ( ( A +H C ) i^i ( B +H D ) ) i^i
                     ( ( ( A +H R ) i^i ( B +H S ) ) +H
                       ( ( C +H R ) i^i ( D +H S ) ) ) )
                i^i ( ( ( ( A +H F ) i^i ( B +H G ) ) i^i
                        ( ( ( A +H R ) i^i ( B +H S ) ) +H
                          ( ( F +H R ) i^i ( G +H S ) ) ) )
                   +H ( ( ( C +H F ) i^i ( D +H G ) ) i^i
                        ( ( ( C +H R ) i^i ( D +H S ) ) +H
                          ( ( F +H R ) i^i ( G +H S ) ) ) ) ) ) ) ) ) $=
        ( cph co wa wex vh vx vy vz vw vf vg vv cin wcel cva wceq ee4anv exrot4
        vu 2exbii bitri elin wrex shseli r2ex anbi12i 3bitr4ri 5oalem6 exlimivv
        cv bitr4i sylbi ssriv ) UAABQRZCDQRZUIZGHQRZEFQRZUIZUIZBACACQRBDQRUIAEQ
        RBFQRUIZCEQRDFQRUIZQRUIAGQRBHQRUIVQGEQRHFQRUIZQRUICGQRDHQRUIVRVSQRUIQRU
        IQRUIQRZUAVFZVPUJZUBVFZAUJUCVFZBUJSWAWCWDUKRULZSZUDVFZCUJUEVFZDUJSWAWGW
        HUKRULZSZSZUFVFZGUJUGVFZHUJSWAWLWMUKRULZSZUHVFZEUJUOVFZFUJSWAWPWQUKRULZ
        SZSZSZUOTUHTZUGTUFTZUETUDTZUCTUBTZWAVTUJZWKUETUDTZWTUOTUHTZSZUGTUFTZUCT
        UBTXGUCTUBTZXHUGTUFTZSZXEWBXGXHUBUCUFUGUMXDXJUBUCXDXBUETUDTZUGTUFTXJXBU
        DUEUFUGUNXNXIUFUGWKWTUDUEUHUOUMUPUQUPWBWAVLUJZWAVOUJZSXMWAVLVOURXKXOXLX
        PWAVJUJZWAVKUJZSWFUCTUBTZWJUETUDTZSXOXKXQXSXRXTXQWEUCBUSUBAUSXSUBUCABWA
        IJUTWEUBUCABVAUQXRWIUEDUSUDCUSXTUDUECDWAKLUTWIUDUECDVAUQVBWAVJVKURWFWJU
        BUCUDUEUMVCWAVMUJZWAVNUJZSWOUGTUFTZWSUOTUHTZSXPXLYAYCYBYDYAWNUGHUSUFGUS
        YCUFUGGHWAMNUTWNUFUGGHVAUQYBWRUOFUSUHEUSYDUHUOEFWAOPUTWRUHUOEFVAUQVBWAV
        MVNURWOWSUFUGUHUOUMVCVBVGVCXDXFUBUCXCXFUDUEXBXFUFUGXAXFUHUOUBUCUDUEUHUO
        ABCDEFUFUGUAGHIJKLMNOPVDVEVEVEVEVHVI $.
    $}
  $}

  ${
    5oa.1 $e |- A e. CH $.
    5oa.2 $e |- B e. CH $.
    5oa.3 $e |- C e. CH $.
    5oa.4 $e |- D e. CH $.
    5oa.5 $e |- F e. CH $.
    5oa.6 $e |- G e. CH $.
    5oa.7 $e |- R e. CH $.
    5oa.8 $e |- S e. CH $.
    5oa.9 $e |- A C_ ( _|_ ` B ) $.
    5oa.10 $e |- C C_ ( _|_ ` D ) $.
    5oa.11 $e |- F C_ ( _|_ ` G ) $.
    5oa.12 $e |- R C_ ( _|_ ` S ) $.
    $( Orthoarguesian law 5OA. This 8-variable inference is called 5OA because
       it can be converted to a 5-variable equation (see Quantum Logic
       Explorer).  (Contributed by NM, 5-May-2000.)
       (New usage is discouraged.) $)
    5oai $p |- ( ( ( A vH B ) i^i ( C vH D ) ) i^i
            ( ( F vH G ) i^i ( R vH S ) ) ) C_ ( B vH ( A i^i ( C vH
               ( ( ( ( A vH C ) i^i ( B vH D ) ) i^i
                   ( ( ( A vH R ) i^i ( B vH S ) ) vH
                     ( ( C vH R ) i^i ( D vH S ) ) ) )
              i^i ( ( ( ( A vH F ) i^i ( B vH G ) ) i^i
                      ( ( ( A vH R ) i^i ( B vH S ) ) vH
                        ( ( F vH R ) i^i ( G vH S ) ) ) )
                 vH ( ( ( C vH F ) i^i ( D vH G ) ) i^i
                      ( ( ( C vH R ) i^i ( D vH S ) ) vH
                        ( ( F vH R ) i^i ( G vH S ) ) ) ) ) ) ) ) ) $=
      ( chj co cin cph cort cfv wss osumi ax-mp ineq12i chshii 5oalem7 eqsstrri
      shscli shincli shsleji chsleji ss2in mp2an shjshcli shlej2i shlej1i sstri
      wceq chjcli chincli shjcli sslin ) ABUAUBZCDUAUBZUCZGHUAUBZEFUAUBZUCZUCZB
      ACACUDUBZBDUDUBZUCZAEUDUBZBFUDUBZUCZCEUDUBZDFUDUBZUCZUDUBZUCZAGUDUBZBHUDU
      BZUCZWAGEUDUBZHFUDUBZUCZUDUBZUCZCGUDUBZDHUDUBZUCZWDWLUDUBZUCZUDUBZUCZUDUB
      ZUCZUDUBZBACACUAUBZBDUAUBZUCZAEUAUBZBFUAUBZUCZCEUAUBZDFUAUBZUCZUAUBZUCZAG
      UAUBZBHUAUBZUCZXJGEUAUBZHFUAUBZUCZUAUBZUCZCGUAUBZDHUAUBZUCZXMYAUAUBZUCZUA
      UBZUCZUAUBZUCZUAUBZVOABUDUBZCDUDUBZUCZGHUDUBZEFUDUBZUCZUCXDYPVKYSVNYNVIYO
      VJABUEUFUGYNVIVDQABIJUHUICDUEUFUGYOVJVDRCDKLUHUIUJYQVLYRVMGHUEUFUGYQVLVDS
      GHMNUHUIEFUEUFUGYRVMVDTEFOPUHUIUJUJABCDEFGHAIUKZBJUKZCKUKZDLUKZGMUKZHNUKZ
      EOUKZFPUKZULUMXDBXCUAUBZYMBXCUUAAXBYTCXAUUBWFWTVRWEVPVQACYTUUBUNBDUUAUUCU
      NUOWAWDVSVTAEYTUUFUNBFUUAUUGUNUOZWBWCCEUUBUUFUNDFUUCUUGUNUOZUNUOWNWSWIWMW
      GWHAGYTUUDUNBHUUAUUEUNUOWAWLUUIWJWKGEUUDUUFUNHFUUEUUGUNUOZUNUOZWQWRWOWPCG
      UUBUUDUNDHUUCUUEUNUOWDWLUUJUUKUNUOZUNUOZUNUOZUPXCYLUGZUUHYMUGXBYKUGUUPXBC
      XAUAUBZYKCXAUUBUUNUPXAYJUGZUUQYKUGWFXOUGZWTYIUGUURVRXGUGZWEXNUGUUSVPXEUGV
      QXFUGUUTACIKUQBDJLUQVPXEVQXFURUSWEWAWDUAUBZXNWAWDUUIUUJUPUVAWAXMUAUBZXNWD
      XMUGZUVAUVBUGWBXKUGWCXLUGUVCCEKOUQDFLPUQWBXKWCXLURUSZWDXMWAUUJXKXLCEUUBUU
      FUTDFUUCUUGUTUOZUUIVAUIWAXJUGZUVBXNUGVSXHUGVTXIUGUVFAEIOUQBFJPUQVSXHVTXIU
      RUSZWAXJXMUUIXHXIAEYTUUFUTBFUUAUUGUTUOZUVEVBUIVCVCVRXGWEXNURUSWTWNWSUAUBZ
      YIWNWSUULUUMUPUVIWNYHUAUBZYIWSYHUGZUVIUVJUGWQYFUGZWRYGUGUVKWOYDUGWPYEUGUV
      LCGKMUQDHLNUQWOYDWPYEURUSWRWDWLUAUBZYGWDWLUUJUUKUPUVMWDYAUAUBZYGWLYAUGZUV
      MUVNUGWJXSUGWKXTUGUVOGEMOUQHFNPUQWJXSWKXTURUSZWLYAWDUUKXSXTGEUUDUUFUTHFUU
      EUUGUTUOZUUJVAUIUVCUVNYGUGUVDWDXMYAUUJUVEUVQVBUIVCVCWQYFWRYGURUSWSYHWNUUM
      YFYGYFYDYECGKMVEDHLNVEVFUKXMYAUVEUVQUTUOZUULVAUIWNYCUGZUVJYIUGWIXRUGZWMYB
      UGUVSWGXPUGWHXQUGUVTAGIMUQBHJNUQWGXPWHXQURUSWMWAWLUAUBZYBWAWLUUIUUKUPUWAW
      AYAUAUBZYBUVOUWAUWBUGUVPWLYAWAUUKUVQUUIVAUIUVFUWBYBUGUVGWAXJYAUUIUVHUVQVB
      UIVCVCWIXRWMYBURUSWNYCYHUULXRYBXRXPXQAGIMVEBHJNVEVFUKXJYAUVHUVQUTUOZUVRVB
      UIVCVCWFXOWTYIURUSXAYJCUUNXOYIXOXGXNXEXFACIKVEBDJLVEVFXJXMUVHUVEVGVFUKYCY
      HUWCUVRUTUOZUUBVAUIVCXBYKAVHUIXCYLBUUOAYKYTCYJUUBUWDUTUOUUAVAUIVCVC $.
  $}

  ${
    $d x y z w v B $.  $d x y z w v C $.  $d x y z w v R $.  $d x y z w v S $.
    3oalem1.1 $e |- B e. CH $.
    3oalem1.2 $e |- C e. CH $.
    3oalem1.3 $e |- R e. CH $.
    3oalem1.4 $e |- S e. CH $.
    $( Lemma for 3OA (weak) orthoarguesian law.  (Contributed by NM,
       19-Oct-1999.)  (New usage is discouraged.) $)
    3oalem1 $p |- ( ( ( ( x e. B /\ y e. R ) /\ v = ( x +h y ) ) /\
                  ( ( z e. C /\ w e. S ) /\ v = ( z +h w ) ) ) ->
                 ( ( ( x e. ~H /\ y e. ~H ) /\ v e. ~H ) /\
                  ( z e. ~H /\ w e. ~H ) ) ) $=
      ( cv wcel wa cva chba cheli anim12i co hvaddcl eleq1 syl5ibrcom imdistani
      wceq sylan adantr ) ANZFOZBNZHOZPZENZUIUKQUAZUFZPUIROZUKROZPZUNROZPZCNZGO
      ZDNZIOZPZUNVBVDQUAUFZPVBROZVDROZPZUMUSUPVAUJUQULURUIFJSUKHLSTUSUPUTUSUTUP
      UOROUIUKUBUNUORUCUDUEUGVFVJVGVCVHVEVIVBGKSVDIMSTUHT $.

    $( Lemma for 3OA (weak) orthoarguesian law.  (Contributed by NM,
       19-Oct-1999.)  (New usage is discouraged.) $)
    3oalem2 $p |- ( ( ( ( x e. B /\ y e. R ) /\ v = ( x +h y ) ) /\
                  ( ( z e. C /\ w e. S ) /\ v = ( z +h w ) ) ) ->
            v e. ( B +H ( R i^i ( S +H ( ( B +H C ) i^i ( R +H S ) ) ) ) ) ) $=
      ( wcel wa cva co wceq cmv c0v cph simplll simpllr chba 3oalem1 hvaddsub12
      cin 3anidm23 hvsubid oveq2d ax-hvaddid sylan9eqr ad2ant2l adantlr simprlr
      cv eqtr3d syl eqtr2 oveq1d anim1i hvsub4 syldan ad2antrr hvsubcl hvaddid2
      simpl adantll 3eqtrd simpr anim2i syl2anc ad2antll ancoms adantrr 3eqtr3d
      ad2ant2rl simpll chshii shsvsi shscomi syl2an eqeltrd simplr elind shscli
      eleqtrrdi shincli shsvai eqeltrrd wb eleq1 ad2antlr mpbird ) AUPZFNZBUPZH
      NZOZEUPZWOWQPQZRZOZCUPZGNZDUPZINZOZWTXDXFPQZRZOZOZWTFHIFGUAQZHIUAQZUGZUAQ
      ZUGZUAQZNZXAXRNZXLWPWQXQNXTWPWRXBXKUBXLHXPWQWPWRXBXKUCXLXFWQXFSQZPQZWQXPX
      LWOUDNZWQUDNZOZWTUDNZOXDUDNZXFUDNZOZOZYBWQRZABCDEFGHIJKLMUEZYEYIYKYFYDYHY
      KYCYGYDYHOZWQXFXFSQZPQZYBWQYDYHYOYBRWQXFXFUFUHYHYDYOWQTPQWQYHYNTWQPXFUIZU
      JWQUKULUQUMUNURXLXGYAXONYBXPNXCXEXGXJUOXLXMXNYAXLYAXDWOSQZXMXLXAWOXFPQZSQ
      ZXIYRSQZYAYQXBXJYSYTRWSXHXBXJOXAXIYRSWTXAXIUSUTUMXLYJYSYARZYLYEYHUUAYFYGY
      EYHOZYSWOWOSQZYAPQZTYAPQZYAYEYHYCYHOZYSUUDRYEYCYHYCYDVGVAWOWQWOXFVBVCUUBU
      UCTYAPYCUUCTRYDYHWOUIVDUTYDYHUUEYARZYCYMYAUDNUUGWQXFVEYAVFURVHVIVQURXLYJY
      TYQRZYLYEYIUUHYFYCYIUUHYDYCYIOZYTYQYNPQZYQTPQZYQUUIYIUUFYTUUJRYCYIVJYIYHY
      CYGYHVJVKXDXFWOXFVBVLUUIYNTYQPYHYNTRYCYGYPVMUJYCYGUUKYQRZYHYGYCUULYGYCOYQ
      UDNUULXDWOVEYQUKURVNVOVIUNUNURVPXCWPXEYQXMNXKWPWRXBVRXEXGXJVRWPXEOYQGFUAQ
      ZXMXEWPYQUUMNGFXDWOGKVSZFJVSZVTVNFGUUOUUNWAWGWBWCXCWRXGYAXNNXKWPWRXBWDXEX
      GXJWDHIWQXFHLVSZIMVSZVTWBWEIXOXFYAUUQXMXNFGUUOUUNWFHIUUPUUQWFWHZWIVLWJWEF
      XQWOWQUUOHXPUUPIXOUUQUURWFWHWIVLXBXSXTWKWSXKWTXAXRWLWMWN $.

    $( Lemma for 3OA (weak) orthoarguesian law.  (Contributed by NM,
       19-Oct-1999.)  (New usage is discouraged.) $)
    3oalem3 $p |- ( ( B +H R ) i^i ( C +H S ) ) C_
                   ( B +H ( R i^i ( S +H ( ( B +H C ) i^i ( R +H S ) ) ) ) ) $=
      ( vv vx vy vz vw cph co cv wcel wa wex wrex cin wceq chseli bitri anbi12i
      cva r2ex elin 4exdistrv 3bitr4i 3oalem2 exlimivv sylbi ssriv ) IACNOZBDNO
      ZUAZACDABNOCDNOUANOUANOZIPZUQQZJPZAQKPZCQRUSVAVBUFOUBZRZLPZBQMPZDQRUSVEVF
      UFOUBZRZRZMSKSZLSJSZUSURQZUSUOQZUSUPQZRVDKSJSZVHMSLSZRUTVKVMVOVNVPVMVCKCT
      JATVOJKACUSEGUCVCJKACUGUDVNVGMDTLBTVPLMBDUSFHUCVGLMBDUGUDUEUSUOUPUHVDVHJK
      LMUIUJVJVLJLVIVLKMJKLMIABCDEFGHUKULULUMUN $.
  $}

  ${
    3oalem4.3 $e |- R = ( ( _|_ ` B ) i^i ( B vH A ) ) $.
    $( Lemma for 3OA (weak) orthoarguesian law.  (Contributed by NM,
       19-Oct-1999.)  (New usage is discouraged.) $)
    3oalem4 $p |- R C_ ( _|_ ` B ) $=
      ( cort cfv chj co cin inss1 eqsstri ) CBEFZBAGHZILDLMJK $.
  $}

  ${
    3oa.1 $e |- A e. CH $.
    3oa.2 $e |- B e. CH $.
    3oa.3 $e |- C e. CH $.
    3oa.4 $e |- R = ( ( _|_ ` B ) i^i ( B vH A ) ) $.
    3oa.5 $e |- S = ( ( _|_ ` C ) i^i ( C vH A ) ) $.
    $( Lemma for 3OA (weak) orthoarguesian law.  (Contributed by NM,
       19-Oct-1999.)  (New usage is discouraged.) $)
    3oalem5 $p |- ( ( B +H R ) i^i ( C +H S ) ) =
                  ( ( B vH R ) i^i ( C vH S ) ) $=
      ( cph co chj cort cfv wss wceq 3oalem4 cin chshii choccli chincli eqeltri
      cch chjcli osumi ax-mp shscomi chjcomi 3eqtr4i ineq12i ) BDKLZBDMLZCEKLZC
      EMLZDBKLZDBMLZULUMDBNOZPUPUQQABDIRDBDURBAMLZSUDIURUSBGUABAGFUEUBUCZGUFUGB
      DBGTDUTTUHBDGUTUIUJECKLZECMLZUNUOECNOZPVAVBQACEJRECEVCCAMLZSUDJVCVDCHUACA
      HFUEUBUCZHUFUGCECHTEVETUHCEHVEUIUJUK $.

    $( Lemma for 3OA (weak) orthoarguesian law.  (Contributed by NM,
       19-Oct-1999.)  (New usage is discouraged.) $)
    3oalem6 $p |- ( B +H ( R i^i ( S +H ( ( B +H C ) i^i ( R +H S ) ) ) ) ) C_
                  ( B vH ( R i^i ( S vH ( ( B vH C ) i^i ( R vH S ) ) ) ) ) $=
      ( cph co cin chj chshii chjcli chincli shscli wss ax-mp cfv choccli ssrin
      cort cch eqeltri shincli shsleji chsleji sslin sstri shlej2i ) BDEBCKLZDE
      KLZMZKLZMZKLBUQNLZBDEBCNLZDENLZMZNLZMZNLZBUQBGOZDUPDDBUDUAZBANLZMUEIVFVGB
      GUBBAGFPQUFZOZEUOEECUDUAZCANLZMUEJVJVKCHUBCAHFPQUFZOZUMUNBCVECHORDEVIVMRU
      GZRUGZUHUQVCSZURVDSUPVBSVPUPEUONLZVBEUOVMVNUHUOVASVQVBSUOUSUNMZVAUMUSSUOV
      RSBCGHUIUMUSUNUCTUNUTSVRVASDEVHVLUIUNUTUSUJTUKUOVAEVNVAUSUTBCGHPDEVHVLPQZ
      OVMULTUKUPVBDUJTUQVCBVOVCDVBVHEVAVLVSPQOVEULTUK $.

    $( 3OA (weak) orthoarguesian law.  Equation IV of [GodowskiGreechie]
       p. 249.  (Contributed by NM, 19-Oct-1999.)
       (New usage is discouraged.) $)
    3oai $p |- ( ( B vH R ) i^i ( C vH S ) ) C_
                  ( B vH ( R i^i ( S vH ( ( B vH C ) i^i ( R vH S ) ) ) ) ) $=
      ( chj co cin cph cort cfv cch choccli chjcli chincli 3oalem5 eqsstrri
      eqeltri 3oalem3 3oalem6 sstri ) BDKLCEKLMBDNLCENLMZBDEBCKLDEKLMKLMKLZABCD
      EFGHIJUAUGBDEBCNLDENLMNLMNLUHBCDEGHDBOPZBAKLZMQIUIUJBGRBAGFSTUCECOPZCAKLZ
      MQJUKULCHRCAHFSTUCUDABCDEFGHIJUEUFUB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Projectors (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    pjorth.1 $e |- A e. ~H $.
    pjorth.2 $e |- B e. ~H $.
    $( Projection components on orthocomplemented subspaces are orthogonal.
       (Contributed by NM, 26-Oct-1999.)  (New usage is discouraged.) $)
    pjorthi $p |- ( H e. CH
      -> ( ( ( projh ` H ) ` A ) .ih ( ( projh ` ( _|_ ` H ) ) ` B ) ) = 0 ) $=
      ( cch wcel csh cpjh cfv cort wa csp co cc0 wceq chsh chba axpjcl mpan2
      choccl sylancl jca shocorth sylc ) CFGZCHGACIJJZCGZBCKJZIJJZUIGZLUGUJMNOP
      CQUFUHUKUFARGUHDACSTUFUIFGBRGUKCUAEBUISUBUCUGUJCUDUE $.
  $}

  $( Property of identity projection.  Remark in [Beran] p. 111.  (Contributed
     by NM, 28-Oct-1999.)  (New usage is discouraged.) $)
  pjch1 $p |- ( A e. ~H -> ( ( projh ` ~H ) ` A ) = A ) $=
    ( chba wcel cpjh cfv wceq wb c0v cif eleq1 fveq2 id eqeq12d bibi12d ifhvhv0
    helch pjchi dedth ibi ) ABCZABDEZEZAFZTTUCGTAHIZBCZUDUAEZUDFZGAHAUDFZTUEUCU
    GAUDBJUHUBUFAUDAUDUAKUHLMNUDBPAOQRS $.

  $( The orthogonal projection.  Lemma 4.4(i) of [Beran] p. 111.  (Contributed
     by NM, 30-Oct-1999.)  (New usage is discouraged.) $)
  pjo $p |- ( ( H e. CH /\ A e. ~H ) -> ( ( projh ` ( _|_ ` H ) ) ` A ) =
             ( ( ( projh ` ~H ) ` A ) -h ( ( projh ` H ) ` A ) ) ) $=
    ( cch wcel chba wa cpjh cfv cmv co cort wceq cva pjch1 adantl axpjpj eqtr2d
    wb helch pjhcl pjcli choccl sylan hvsubadd syl3anc mpbird eqcomd ) BCDZAEDZ
    FZAEGHHZABGHHZIJZABKHZGHHZUJUMUOLZULUOMJZUKLZUJUKAUQUIUKALUHANOABPQUJUKEDZU
    LEDUOEDZUPURRUIUSUHAESUAOABTUHUNCDUIUTBUBAUNTUCUKULUOUDUEUFUG $.

  ${
    pjidm.1 $e |- H e. CH $.
    $( Component of a projection.  (Contributed by NM, 31-Oct-1999.)  (Revised
       by Mario Carneiro, 19-May-2014.)  (New usage is discouraged.) $)
    pjcompi $p |- ( ( A e. H /\ B e. ( _|_ ` H ) ) ->
                 ( ( projh ` H ) ` ( A +h B ) ) = A ) $=
      ( wcel cort cfv wa cva co cpjh wceq cch chba cheli choccli hvaddcl syl2an
      sylancr axpjcl axpjpj eqid wi simpl simpr chocunii syl22anc mpan2i simpld
      mpd ) ACEZBCFGZEZHZABIJZCKGGZALZUOULKGGZBLZUNUOUPURIJLZUQUSHZUNCMEZUONEZU
      TDUKANEBNEVCUMACDOBULCDPZOABQRZUOCUASUNUTUOUOLZVAUOUBUNUPCEZURULEZUKUMUTV
      FHVAUCUNVBVCVGDVEUOCTSUNULMEVCVHVDVEUOULTSUKUMUDUKUMUEUPURABUOCDUFUGUHUJU
      I $.

    pjidm.2 $e |- A e. ~H $.
    $( A projection is idempotent.  Property (ii) of [Beran] p. 109.
       (Contributed by NM, 28-Oct-1999.)  (New usage is discouraged.) $)
    pjidmi $p |- ( ( projh ` H ) ` ( ( projh ` H ) ` A ) ) =
               ( ( projh ` H ) ` A ) $=
      ( cpjh cfv wcel wceq pjclii pjhclii pjchi mpbi ) ABEFZFZBGNMFNHABCDINBCAB
      CDJKL $.

    ${
      pjadj.3 $e |- B e. ~H $.
      $( A projection is self-adjoint.  Property (i) of [Beran] p. 109.
         (Contributed by NM, 30-Oct-1999.)  (New usage is discouraged.) $)
      pjadjii $p |- ( ( ( projh ` H ) ` A ) .ih B ) =
                  ( A .ih ( ( projh ` H ) ` B ) ) $=
        ( cpjh cfv cva csp caddc ccj cc0 wcel wceq pjorthi ax-mp pjhclii chba
        co cort cch fveq2i cj0 eqtri choccli his1i 3eqtr4ri oveq2i his7 ax-his2
        mp3an 3eqtr4i pjpji oveq1i ) ACGHZHZBUPHZBCUAHZGHZHZITZJTZUQAUTHZITZURJ
        TZUQBJTAURJTUQURJTZUQVAJTZKTZVGVDURJTZKTZVCVFVHVJVGKURVDJTZLHZMVJVHVMML
        HMVLMLCUBNZVLMODBACFEPQUCUDUEVDURAUSCDUFZERZBCDFRZUGVNVHMODABCEFPQUHUIU
        QSNZURSNZVASNVCVIOACDERZVQBUSVOFRUQURVAUJULVRVDSNVSVFVKOVTVPVQUQVDURUKU
        LUMBVBUQJBCDFUNUIAVEURJACDEUNUOUM $.

      $( Projection of vector sum is sum of projections.  (Contributed by NM,
         31-Oct-1999.)  (New usage is discouraged.) $)
      pjaddii $p |- ( ( projh ` H ) ` ( A +h B ) ) =
                  ( ( ( projh ` H ) ` A ) +h ( ( projh ` H ) ` B ) ) $=
        ( cva co cpjh cfv cort pjpji pjhclii eqtri wcel csh chshii pjclii mp3an
        shaddcl oveq12i choccli hvadd4i fveq2i wceq pjcompi mp2an ) ABGHZCIJZJA
        UIJZBUIJZGHZACKJZIJZJZBUNJZGHZGHZUIJZULUHURUIUHUJUOGHZUKUPGHZGHURAUTBVA
        GACDELBCDFLUAUJUOUKUPACDEMAUMCDUBZEMBCDFMBUMVBFMUCNUDULCOZUQUMOZUSULUEC
        POUJCOUKCOVCCDQACDERBCDFRUJUKCTSUMPOUOUMOUPUMOVDUMVBQAUMVBERBUMVBFRUOUP
        UMTSULUQCDUFUGN $.
    $}

    $( The inner product of a projection and its argument is the square of the
       norm of the projection.  Remark in [Halmos] p. 44.  (Contributed by NM,
       13-Aug-2000.)  (New usage is discouraged.) $)
    pjinormii $p |- ( ( ( projh ` H ) ` A ) .ih A ) =
                 ( ( normh ` ( ( projh ` H ) ` A ) ) ^ 2 ) $=
      ( cpjh cfv cno c2 cexp csp pjhclii normsqi pjadjii pjidmi oveq1i 3eqtr2ri
      co ) ABEFZFZGFHIQSSJQSRFZAJQSAJQSABCDKZLSABCUADMTSAJABCDNOP $.

    ${
      pjmul.3 $e |- C e. CC $.
      $( Projection of (scalar) product is product of projection.  (Contributed
         by NM, 31-Oct-1999.)  (New usage is discouraged.) $)
      pjmulii $p |- ( ( projh ` H ) ` ( C .h A ) ) =
                  ( C .h ( ( projh ` H ) ` A ) ) $=
        ( csm co cpjh cfv cort cva pjhclii eqtri wcel csh chshii pjclii shmulcl
        mp3an pjpji oveq2i choccli hvdistr1i fveq2i wceq cc pjcompi mp2an ) BAG
        HZCIJZJBAUKJZGHZBACKJZIJJZGHZLHZUKJZUMUJUQUKUJBULUOLHZGHUQAUSBGACDEUAUB
        BULUOFACDEMAUNCDUCZEMUDNUEUMCOZUPUNOZURUMUFCPOBUGOZULCOVACDQFACDERBULCS
        TUNPOVCUOUNOVBUNUTQFAUNUTERBUOUNSTUMUPCDUHUIN $.
    $}

    ${
      pjsub.3 $e |- B e. ~H $.
      $( Projection of vector difference is difference of projections.
         (Contributed by NM, 31-Oct-1999.)  (New usage is discouraged.) $)
      pjsubii $p |- ( ( projh ` H ) ` ( A -h B ) ) =
                  ( ( ( projh ` H ) ` A ) -h ( ( projh ` H ) ` B ) ) $=
        ( c1 cneg csm co cva cpjh cfv neg1cn hvmulcli pjaddii pjmulii hvsubvali
        cmv pjhclii oveq2i eqtri fveq2i 3eqtr4i ) AGHZBIJZKJZCLMZMZAUHMZUEBUHMZ
        IJZKJZABSJZUHMUJUKSJUIUJUFUHMZKJUMAUFCDEUEBNFOPUOULUJKBUECDFNQUAUBUNUGU
        HABEFRUCUJUKACDETBCDFTRUD $.
    $}

    ${
      pjsslem.1 $e |- G e. CH $.
      $( Lemma for subset relationships of projections.  (Contributed by NM,
         31-Oct-1999.)  (New usage is discouraged.) $)
      pjsslem $p |- ( ( ( projh ` ( _|_ ` H ) ) ` A ) -h
                      ( ( projh ` ( _|_ ` G ) ) ` A ) ) =
                    ( ( ( projh ` G ) ` A ) -h ( ( projh ` H ) ` A ) ) $=
        ( cort cfv cpjh cmv co c0v chba cch wcel wceq pjo mp2an pjhclii 3eqtri
        cneg csm oveq12i helch pjclii hvsubsub4i hvsubid ax-mp hvsubcli hv2negi
        c1 oveq1i hvnegdii ) ACGHIHHZABGHIHHZJKZLACIHHZABIHHZJKZJKZUKUAUSUBKURU
        QJKUPAMIHHZUQJKZVAURJKZJKVAVAJKZUSJKUTUNVBUOVCJCNOAMOZUNVBPDEACQRBNOVEU
        OVCPFEABQRUCVAUQVAURAMUDEUEZACDESZVFABFESZUFVDLUSJVAMOVDLPVFVAUGUHULTUS
        UQURVGVHUIUJUQURVGVHUMT $.

      $( Subset relationship for projections.  Theorem 4.5(i)->(ii) of [Beran]
         p. 112.  (Contributed by NM, 31-Oct-1999.)
         (New usage is discouraged.) $)
      pjss2i $p |- ( H C_ G -> ( ( projh ` H ) ` ( ( projh ` G ) ` A ) ) =
                 ( ( projh ` H ) ` A ) ) $=
        ( wss cort cfv cpjh cmv co wcel wceq choccli pjclii chsscon3i c0v bitri
        pjhclii ssel mpi sylbi csh chshii shsubcl mp3an1 sylancr pjsslem eleq1i
        hvsubcli pjoc2i pjsubii eqeq1i hvsubeq0i pjidmi eqeq2i 3bitrri sylibr )
        CBGZACHIZJIIZABHIZJIIZKLZVAMZABJIIZCJIZIZAVHIZNZUTVBVAMZVDVAMZVFAVACDOZ
        EPUTVCVAGZVMCBDFQVOVDVCMVMAVCBFOEPVCVAVDUAUBUCVAUDMVLVMVFVAVNUEVBVDVAUF
        UGUHVFVGVJKLZVHIZRNZVIVJVHIZNZVKVFVPVAMVRVEVPVAABCDEFUIUJVPCDVGVJABFETZ
        ACDETZUKULSVRVIVSKLZRNVTVQWCRVGVJCDWAWBUMUNVIVSVGCDWATVJCDWBTUOSVSVJVIA
        CDEUPUQURUS $.

      $( Projection meet property.  Remark in [Kalmbach] p. 66.  Also Theorem
         4.5(i)->(iv) of [Beran] p. 112.  (Contributed by NM, 31-Oct-1999.)
         (New usage is discouraged.) $)
      pjssmii $p |- ( H C_ G -> ( ( ( projh ` G ) ` A )
    -h ( ( projh ` H ) ` A ) ) = ( ( projh ` ( G i^i ( _|_ ` H ) ) ) ` A ) ) $=
        ( wss cpjh cfv cmv co cort wcel wceq pjclii csh pjhclii c0v ax-mp eqtri
        cin wa ssel mpi chshii shsubcl mp3an1 sylancr pjsslem chsscon3i choccli
        sylbi eqeltrrid jca elin chincli hvsubcli pjchi bitr3i sylib pjsubii c1
        cneg csm hvsubvali inss1 pjss2i shococss inss2 mpbi sstri sselii pjoc2i
        cva oveq2i cc neg1cn hvmul0 oveq12i chba ax-hvaddid eqtr3di ) CBGZABHII
        ZACHIIZJKZBCLIZUAZHIZIZWFAWIIZWCWFBMZWFWGMZUBZWJWFNZWCWLWMWCWDBMZWEBMZW
        LABFEOWCWECMWQACDEOZCBWEUCUDBPMWPWQWLBFUEWDWEBUFUGUHWCWFAWGHIIZABLIZHII
        ZJKZWGABCDEFUIWCWTWGGZXBWGMZCBDFUJXCWSWGMZXAWGMZXDAWGCDUKZEOXCXAWTMXFAW
        TBFUKEOWTWGXAUCUDWGPMXEXFXDWGXGUEWSXAWGUFUGUHULUMUNWNWFWHMWOWFBWGUOWFWH
        BWGFXGUPZWDWEABFEQZACDEQZUQURUSUTWJWDWIIZWEWIIZJKZWKWDWEWHXHXIXJVAXMXKV
        BVCZXLVDKZVNKZWKXKXLWDWHXHXIQWEWHXHXJQVEXPWKRVNKZWKXKWKXORVNWHBGXKWKNBW
        GVFABWHXHEFVGSXOXNRVDKZRXLRXNVDWEWHLIZMXLRNCXSWECWGLIZXSCPMCXTGCDUECVHS
        WHWGGXTXSGBWGVIWHWGXHXGUJVJVKWRVLWEWHXHXJVMVJVOXNVPMXRRNVQXNVRSTVSWKVTM
        XQWKNAWHXHEQWKWASTTTWB $.

      $( Theorem 4.5(iv)->(v) of [Beran] p. 112.  (Contributed by NM,
         13-Aug-2000.)  (New usage is discouraged.) $)
      pjssge0ii $p |- ( ( ( ( projh ` G ) ` A ) -h ( ( projh ` H ) ` A ) )
                    = ( ( projh ` ( G i^i ( _|_ ` H ) ) ) ` A ) ->
   0 <_ ( ( ( ( projh ` G ) ` A ) -h ( ( projh ` H ) ` A ) ) .ih A ) ) $=
        ( cpjh cfv cmv co cort cin wceq cc0 cno c2 cexp csp cle choccli chincli
        pjhclii normcli sqge0i oveq1 pjinormii eqtrdi breqtrrid ) ABGHHACGHHIJZ
        ABCKHZLZGHHZMZNULOHZPQJZUIARJZSUNULAUKBUJFCDTUAZEUBUCUDUMUPULARJUOUIULA
        RUEAUKUQEUFUGUH $.

      $( Theorem 4.5(v)<->(vi) of [Beran] p. 112.  (Contributed by NM,
         13-Aug-2000.)  (New usage is discouraged.) $)
      pjdifnormii $p |- ( 0 <_
            ( ( ( ( projh ` G ) ` A ) -h ( ( projh ` H ) ` A ) ) .ih A )
          <->
    ( normh ` ( ( projh ` H ) ` A ) ) <_ ( normh ` ( ( projh ` G ) ` A ) ) ) $=
        ( cc0 cpjh cfv cno c2 cexp co cmin cle wbr csp pjhclii chba wcel breq2i
        normcli resqcli subge0i wceq his2sub mp3an pjinormii oveq12i wb normge0
        cmv eqtri ax-mp le2sqi mp2an 3bitr4i ) GABHIIZJIZKLMZACHIIZJIZKLMZNMZOP
        VCUTOPZGURVAULMAQMZOPVBUSOPZUTVCUSURABFERZUBZUCVBVAACDERZUBZUCUDVFVDGOV
        FURAQMZVAAQMZNMZVDURSTZVASTZASTVFVNUEVHVJEURVAAUFUGVLUTVMVCNABFEUHACDEU
        HUIUMUAGVBOPZGUSOPZVGVEUJVPVQVJVAUKUNVOVRVHURUKUNVBUSVKVIUOUPUQ $.

      $( The projection on a subspace join is the sum of the projections.
         (Contributed by NM, 1-Nov-1999.)  (New usage is discouraged.) $)
      pjcji $p |- ( H C_ ( _|_ ` G ) -> ( ( projh ` ( H vH G ) ) ` A ) =
                ( ( ( projh ` H ) ` A ) +h ( ( projh ` G ) ` A ) ) ) $=
        ( cort cfv wss cpjh cva chj cmv choccli oveq2i pjhclii chba wcel eqtr4i
        co cin pjssmii oveq2d cneg csm pjpoi hvnegdii hvaddsub12 mp3an hvsubcli
        wceq hvsubvali chjcomi chdmm4i fveq2i fveq1i chincli pjopi eqtri eqcomd
        c1 3eqtr4g ) CBGHZIZACJHHZABJHHZKTZACBLTZJHZHZVDAAVCJHHZVEMTZMTZAAVCCGH
        ZUAZJHHZMTZVGVJVDVLVPAMAVCCDEBFNZUBUCVGAVAUDVLUETZKTZVMVGVEAVKMTZKTZVTV
        FWAVEKABFEUFOVTAVEVKMTZKTZWBVSWCAKVKVEAVCVREPZACDEPZUGOVEQRAQRVKQRWBWDU
        KWFEWEVEAVKUHUISSAVLEVKVEWEWFUJULSVJAVOGHZJHZHVQAVIWHVHWGJVHBCLTWGCBDFU
        MBCFDUNSUOUPAVOVCVNVRCDNUQEURUSVBUT $.
    $}
  $}

  ${
    pjadjt.1 $e |- H e. CH $.
    $( A projection is self-adjoint.  Property (i) of [Beran] p. 109.
       (Contributed by NM, 6-Oct-2000.)  (New usage is discouraged.) $)
    pjadji $p |- ( ( A e. ~H /\ B e. ~H ) -> ( ( ( projh ` H ) ` A ) .ih B ) =
                  ( A .ih ( ( projh ` H ) ` B ) ) ) $=
      ( chba wcel cpjh cfv csp co wceq c0v cif fveq2 oveq1d oveq1 eqeq12d oveq2
      oveq2d ifhvhv0 pjadjii dedth2h ) AEFZBEFZACGHZHZBIJZABUEHZIJZKUCALMZUEHZB
      IJZUJUHIJZKUKUDBLMZIJZUJUNUEHZIJZKABLLAUJKZUGULUIUMURUFUKBIAUJUENOAUJUHIP
      QBUNKZULUOUMUQBUNUKIRUSUHUPUJIBUNUENSQUJUNCDATBTUAUB $.

    $( Projection of vector sum is sum of projections.  (Contributed by NM,
       14-Nov-2000.)  (New usage is discouraged.) $)
    pjaddi $p |- ( ( A e. ~H /\ B e. ~H ) -> ( ( projh ` H ) ` ( A +h B ) ) =
                ( ( ( projh ` H ) ` A ) +h ( ( projh ` H ) ` B ) ) ) $=
      ( chba wcel cva cpjh cfv wceq c0v cif fvoveq1 fveq2 oveq1d eqeq12d fveq2d
      co oveq2 ifhvhv0 oveq2d pjaddii dedth2h ) AEFZBEFZABGRCHIZIZAUFIZBUFIZGRZ
      JUDAKLZBGRZUFIZUKUFIZUIGRZJUKUEBKLZGRZUFIZUNUPUFIZGRZJABKKAUKJZUGUMUJUOAU
      KBUFGMVAUHUNUIGAUKUFNOPBUPJZUMURUOUTVBULUQUFBUPUKGSQVBUIUSUNGBUPUFNUAPUKU
      PCDATBTUBUC $.

    $( The inner product of a projection and its argument is the square of the
       norm of the projection.  Remark in [Halmos] p. 44.  (Contributed by NM,
       2-Jun-2006.)  (New usage is discouraged.) $)
    pjinormi $p |- ( A e. ~H -> ( ( ( projh ` H ) ` A ) .ih A ) =
                 ( ( normh ` ( ( projh ` H ) ` A ) ) ^ 2 ) ) $=
      ( chba wcel cpjh cfv csp co cno c2 cexp wceq c0v cif fveq2 oveq12d 2fveq3
      id oveq1d eqeq12d ifhvhv0 pjinormii dedth ) ADEZABFGZGZAHIZUGJGZKLIZMUEAN
      OZUFGZUKHIZULJGZKLIZMANAUKMZUHUMUJUOUPUGULAUKHAUKUFPUPSQUPUIUNKLAUKJUFRTU
      AUKBCAUBUCUD $.

    $( Projection of vector difference is difference of projections.
       (Contributed by NM, 14-Nov-2000.)  (New usage is discouraged.) $)
    pjsubi $p |- ( ( A e. ~H /\ B e. ~H ) -> ( ( projh ` H ) ` ( A -h B ) ) =
                ( ( ( projh ` H ) ` A ) -h ( ( projh ` H ) ` B ) ) ) $=
      ( chba wcel cmv cpjh cfv wceq c0v cif fvoveq1 fveq2 oveq1d eqeq12d fveq2d
      co oveq2 ifhvhv0 oveq2d pjsubii dedth2h ) AEFZBEFZABGRCHIZIZAUFIZBUFIZGRZ
      JUDAKLZBGRZUFIZUKUFIZUIGRZJUKUEBKLZGRZUFIZUNUPUFIZGRZJABKKAUKJZUGUMUJUOAU
      KBUFGMVAUHUNUIGAUKUFNOPBUPJZUMURUOUTVBULUQUFBUPUKGSQVBUIUSUNGBUPUFNUAPUKU
      PCDATBTUBUC $.

    $( Projection of scalar product is scalar product of projection.
       (Contributed by NM, 26-Nov-2000.)  (New usage is discouraged.) $)
    pjmuli $p |- ( ( A e. CC /\ B e. ~H ) -> ( ( projh ` H ) ` ( A .h B ) ) =
                ( A .h ( ( projh ` H ) ` B ) ) ) $=
      ( cc wcel chba csm cpjh cfv wceq cc0 cif c0v fvoveq1 oveq1 eqeq12d fveq2d
      co oveq2 fveq2 oveq2d ifhvhv0 0cn elimel pjmulii dedth2h ) AEFZBGFZABHSCI
      JZJZABUJJZHSZKUHALMZBHSZUJJZUNULHSZKUNUIBNMZHSZUJJZUNURUJJZHSZKABLNAUNKUK
      UPUMUQAUNBUJHOAUNULHPQBURKZUPUTUQVBVCUOUSUJBURUNHTRVCULVAUNHBURUJUAUBQURU
      NCDBUCALEUDUEUFUG $.

    $( The inner product of a projection and its argument is nonnegative.
       (Contributed by NM, 2-Jun-2006.)  (New usage is discouraged.) $)
    pjige0i $p |- ( A e. ~H -> 0 <_ ( ( ( projh ` H ) ` A ) .ih A ) ) $=
      ( chba wcel cc0 cpjh cfv cno c2 cexp co csp cle cr pjhcli normcl pjinormi
      syl sqge0d breqtrrd ) ADEZFABGHHZIHZJKLUCAMLNUBUDUBUCDEUDOEABCPUCQSTABCRU
      A $.
  $}

  $( The inner product of a projection and its argument is nonnegative.
     (Contributed by NM, 2-Jun-2006.)  (New usage is discouraged.) $)
  pjige0 $p |- ( ( H e. CH /\ A e. ~H ) ->
                0 <_ ( ( ( projh ` H ) ` A ) .ih A ) ) $=
    ( cch wcel chba cc0 cpjh cfv csp co cle wbr wi c0h wceq fveq2 fveq1d oveq1d
    cif breq2d imbi2d h0elch elimel pjige0i dedth imp ) BCDZAEDZFABGHZHZAIJZKLZ
    UGUHULMUHFAUGBNSZGHZHZAIJZKLZMBNBUMOZULUQUHURUKUPFKURUJUOAIURAUIUNBUMGPQRTU
    AAUMBNCUBUCUDUEUF $.

  $( The projection on a subspace join is the sum of the projections.
     (Contributed by NM, 1-Nov-1999.)  (New usage is discouraged.) $)
  pjcjt2 $p |- ( ( H e. CH /\ G e. CH /\ A e. ~H ) ->
            ( H C_ ( _|_ ` G ) -> ( ( projh ` ( H vH G ) ) ` A ) =
            ( ( ( projh ` H ) ` A ) +h ( ( projh ` G ) ` A ) ) ) ) $=
    ( cch wcel chba cort cfv wss chj co cpjh cva wceq wi cif c0v fveq1d eqeq12d
    fveq2 sseq1 fvoveq1 oveq1d imbi12d sseq2d oveq2 fveq2d oveq2d imbi2d ifchhv
    oveq12d ifhvhv0 pjcji dedth3h ) CDEZBDEZAFEZCBGHZIZACBJKLHZHZACLHZHZABLHZHZ
    MKZNZOUOCFPZURIZAVHBJKZLHZHZAVHLHZHZVEMKZNZOVHUPBFPZGHZIZAVHVQJKZLHZHZVNAVQ
    LHZHZMKZNZOVSUQAQPZWAHZWGVMHZWGWCHZMKZNZOCBAFFQCVHNZUSVIVGVPCVHURUAWMVAVLVF
    VOWMAUTVKCVHBLJUBRWMVCVNVEMWMAVBVMCVHLTRUCSUDBVQNZVIVSVPWFWNURVRVHBVQGTUEWN
    VLWBVOWEWNAVKWAWNVJVTLBVQVHJUFUGRWNVEWDVNMWNAVDWCBVQLTRUHSUDAWGNZWFWLVSWOWB
    WHWEWKAWGWATWOVNWIWDWJMAWGVMTAWGWCTUKSUIWGVQVHCUJAULBUJUMUN $.

  ${
    pj0.1 $e |- H e. CH $.
    $( The projection of the zero vector.  (Contributed by NM, 31-Oct-1999.)
       (New usage is discouraged.) $)
    pj0i $p |- ( ( projh ` H ) ` 0h ) = 0h $=
      ( c0v cort cfv wcel cpjh wceq csh chshii oc0 ax-mp ax-hv0cl pjoc2i mpbi )
      CADEFZCAGEECHAIFPABJAKLCABMNO $.
  $}

  $( Projection of a vector in the projection subspace.  Lemma 4.4(ii) of
     [Beran] p. 111.  (Contributed by NM, 30-Oct-1999.)
     (New usage is discouraged.) $)
  pjch $p |- ( ( H e. CH /\ A e. ~H ) ->
              ( A e. H <-> ( ( projh ` H ) ` A ) = A ) ) $=
    ( cch wcel chba cpjh cfv wb cif c0v eleq2 fveq2 fveq1d eqeq1d bibi12d eleq1
    wceq id eqeq12d ifchhv ifhvhv0 pjchi dedth2h ) BCDZAEDZABDZABFGZGZAQZHAUDBE
    IZDZAUJFGZGZAQZHUEAJIZUJDZUOULGZUOQZHBAEJBUJQZUFUKUIUNBUJAKUSUHUMAUSAUGULBU
    JFLMNOAUOQZUKUPUNURAUOUJPUTUMUQAUOAUOULLUTRSOUOUJBTAUAUBUC $.

  $( The projection of a vector in the projection subspace is itself.
     (Contributed by NM, 9-Apr-2006.)  (New usage is discouraged.) $)
  pjid $p |- ( ( H e. CH /\ A e. H ) -> ( ( projh ` H ) ` A ) = A ) $=
    ( cch wcel chba wa cpjh cfv wceq simpl chel jca pjch biimpa sylancom ) BCDZ
    ABDZPAEDZFZABGHHAIZPQFPRPQJABKLSQTABMNO $.

  ${
    $d x H $.
    $( The set of vectors belonging to the subspace of a projection.  Part of
       Theorem 26.2 of [Halmos] p. 44.  (Contributed by NM, 11-Apr-2006.)
       (New usage is discouraged.) $)
    pjvec $p |- ( H e. CH -> H = { x e. ~H | ( ( projh ` H ) ` x ) = x } ) $=
      ( cch wcel chba cin cv cpjh cfv wceq crab wss chss sseqin2 pjch rabbi2dva
      sylib eqtr3d ) BCDZEBFZBAGZBHIIUAJZAEKSBELTBJBMBENQSUBAEBUABOPR $.

    $( The set of vectors belonging to the orthocomplemented subspace of a
       projection.  Second part of Theorem 27.3 of [Halmos] p. 45.
       (Contributed by NM, 24-Apr-2006.)  (New usage is discouraged.) $)
    pjocvec $p |- ( H e. CH -> ( _|_ ` H ) =
                   { x e. ~H | ( ( projh ` H ) ` x ) = 0h } ) $=
      ( cch wcel chba cort cfv cin cv cpjh c0v wceq crab wss choccl syl sseqin2
      chss sylib pjoc2 rabbi2dva eqtr3d ) BCDZEBFGZHZUDAIZBJGGKLZAEMUCUDENZUEUD
      LUCUDCDUHBOUDRPUDEQSUCUGAEUDUFBTUAUB $.
  $}

  ${
    pjocin.1 $e |- G e. CH $.
    pjocin.2 $e |- H e. CH $.
    $( Membership of projection in orthocomplement of intersection.
       (Contributed by NM, 21-Apr-2001.)  (New usage is discouraged.) $)
    pjocini $p |- ( A e. ( _|_ ` ( G i^i H ) ) ->
                 ( ( projh ` G ) ` A ) e. ( _|_ ` ( G i^i H ) ) ) $=
      ( cin cort cfv wcel cpjh cmv cch chba wceq chincli choccli cheli pjpo wss
      co sylancr inss1 chsscon3i mpbi pjcli syl sselid csh chshii shsubcl mpdan
      mp3an1 eqeltrd ) ABCFZGHZIZABJHHZAABGHZJHHZKTZUOUPBLIAMIZUQUTNDAUOUNBCDEO
      ZPZQZABRUAUPUSUOIZUTUOIZUPURUOUSUNBSURUOSBCUBUNBVBDUCUDUPVAUSURIVDAURBDPU
      EUFUGUOUHIUPVEVFUOVCUIAUSUOUJULUKUM $.

    $( Membership of projection in an intersection.  (Contributed by NM,
       22-Apr-2001.)  (New usage is discouraged.) $)
    pjini $p |- ( A e. ( G i^i H ) ->
                 ( ( projh ` G ) ` A ) e. ( G i^i H ) ) $=
      ( cin wcel cpjh cfv cch wceq inss1 sseli pjid sylancr eleq1d ibir ) ABCFZ
      GZABHIIZRGSTARSBJGABGTAKDRBABCLMABNOPQ $.
  $}

  ${
    $d x y z w G $.  $d x y z w H $.
    pjjs.1 $e |- G e. CH $.
    pjjs.2 $e |- H e. SH $.
    $( A sufficient condition for subspace join to be equal to subspace sum.
       (Contributed by NM, 29-May-2004.)  (New usage is discouraged.) $)
    pjjsi $p |- ( A. x e. ( G vH H ) ( ( projh ` ( _|_ ` G ) ) ` x ) e. H ->
               ( G vH H ) = ( G +H H ) ) $=
      ( vw vy vz cv cort cfv cpjh wcel co wss wa wceq cva wrex sylibr chj fveq2
      wral cph eleq1d rspcv chba chshii shjcli cheli pjcli anim1i axpjpj adantr
      cch mpan jca sylan rspceov 3expa shseli ex syldc ssrdv shsleji jctir eqss
      syl ) AIZBJKLKZKZCMZABCUANZUCZVMBCUDNZOZVOVMOZPVMVOQVNVPVQVNFVMVOFIZVMMZV
      NVRVJKZCMZVRVOMZVLWAAVRVMVIVRQVKVTCVIVRVJUBUEUFVSWAWBVSWAPZVRGIHIRNQHCSGB
      SZWBWCVRBLKKZBMZWAPZVRWEVTRNQZPZWDVSVRUGMZWAWIVRVMBCBDUHZEUIUJWJWAPWGWHWJ
      WFWAVRBDUKULWJWHWABUOMWJWHDVRBUMUPUNUQURWFWAWHWDGHBCWEVTVRRUSUTVHGHBCVRWK
      EVATVBVCVDBCWKEVEVFVMVOVGT $.
  $}

  ${
    $d x y z H $.
    pjfn.1 $e |- H e. CH $.
    $( Functionality of a projection.  (Contributed by NM, 30-Oct-1999.)
       (Revised by Mario Carneiro, 23-Dec-2013.)
       (New usage is discouraged.) $)
    pjfni $p |- ( projh ` H ) Fn ~H $=
      ( vx vy vz chba cv cva wceq cort cfv wrex crio cpjh riotaex cch wcel cmpt
      co pjhfval ax-mp fnmpti ) CFCGDGEGHSIEAJKLZDAMZANKZUCDAOAPQUECFUDRIBCEDAT
      UAUB $.

    $( The range of a projection.  Part of Theorem 26.2 of [Halmos] p. 44.
       (Contributed by NM, 30-Oct-1999.)  (Revised by Mario Carneiro,
       10-Sep-2015.)  (New usage is discouraged.) $)
    pjrni $p |- ran ( projh ` H ) = H $=
      ( vx vy cpjh cfv crn chba wf wss wfn wcel wral pjfni pjcli ffnfv mpbir2an
      cv rgen frn ax-mp cch wceq pjid mpan cheli fnfvelrn eqeltrrd ssriv eqssi
      sylancr ) AEFZGZAHAULIZUMAJUNULHKZCRZULFALZCHMABNZUQCHUPABOSCHAULPQHAULTU
      ADAUMDRZALZUSULFZUSUMAUBLUTVAUSUCBUSAUDUEUTUOUSHLVAUMLURUSABUFHUSULUGUKUH
      UIUJ $.

    $( A projection maps onto its subspace.  (Contributed by NM, 24-Apr-2006.)
       (New usage is discouraged.) $)
    pjfoi $p |- ( projh ` H ) : ~H -onto-> H $=
      ( chba cpjh cfv wfo wfn crn wceq pjfni pjrni df-fo mpbir2an ) CAADEZFNCGN
      HAIABJABKCANLM $.

    $( The mapping of a projection.  (Contributed by NM, 11-Nov-2000.)
       (New usage is discouraged.) $)
    pjfi $p |- ( projh ` H ) : ~H --> ~H $=
      ( chba cpjh cfv wf wfn crn wss pjfni pjrni chssii eqsstri df-f mpbir2an )
      CCADEZFPCGPHZCIABJQACABKABLMCCPNO $.

    $( The value of a projection in terms of components.  (Contributed by NM,
       28-Nov-2000.)  (New usage is discouraged.) $)
    pjvi $p |- ( ( A e. H /\ B e. ( _|_ ` H ) ) ->
               ( ( projh ` H ) ` ( A +h B ) ) = A ) $=
      ( pjcompi ) ABCDE $.
  $}

  $( A projection maps onto its subspace.  (Contributed by NM, 24-Apr-2006.)
     (New usage is discouraged.) $)
  pjhfo $p |- ( H e. CH -> ( projh ` H ) : ~H -onto-> H ) $=
    ( cch wcel chba cpjh cfv wfo c0h cif wb fveq2 foeq1 syl foeq3 h0elch elimel
    wceq pjfoi dedth2v ) ABCZDAAEFZGZDATAHIZEFZGZDUCUDGAAHHAUCQUAUDQUBUEJAUCEKD
    AUAUDLMAUCDUDNUCAHBOPRS $.

  $( The range of a projection.  Part of Theorem 26.2 of [Halmos] p. 44.
     (Contributed by NM, 24-Apr-2006.)  (New usage is discouraged.) $)
  pjrn $p |- ( H e. CH -> ran ( projh ` H ) = H ) $=
    ( cch wcel chba cpjh cfv wfo crn wceq pjhfo forn syl ) ABCDAAEFZGMHAIAJDAMK
    L $.

  $( The mapping of a projection.  (Contributed by NM, 24-Apr-2006.)
     (New usage is discouraged.) $)
  pjhf $p |- ( H e. CH -> ( projh ` H ) : ~H --> ~H ) $=
    ( cch wcel chba cpjh cfv wfo wf pjhfo fof syl chss fssd ) ABCZDADAEFZNDAOGD
    AOHAIDAOJKALM $.

  $( Functionality of a projection.  (Contributed by NM, 30-May-2006.)
     (New usage is discouraged.) $)
  pjfn $p |- ( H e. CH -> ( projh ` H ) Fn ~H ) $=
    ( cch wcel chba cpjh cfv pjhf ffnd ) ABCDDAEFAGH $.

  ${
    pjsumt.1 $e |- G e. CH $.
    pjsumt.2 $e |- H e. CH $.
    $( The projection on a subspace sum is the sum of the projections.
       (Contributed by NM, 11-Nov-2000.)  (New usage is discouraged.) $)
    pjsumi $p |- ( A e. ~H ->
            ( G C_ ( _|_ ` H ) -> ( ( projh ` ( G +H H ) ) ` A ) =
            ( ( ( projh ` G ) ` A ) +h ( ( projh ` H ) ` A ) ) ) ) $=
      ( chba wcel cort cfv wss cph co cpjh cva wceq wa chj osumi fveq2d cch imp
      fveq1d adantl wi pjcjt2 mp3an12 eqtrd ex ) AFGZBCHIJZABCKLZMIZIZABMIIACMI
      INLZOUIUJPUMABCQLZMIZIZUNUJUMUQOUIUJAULUPUJUKUOMBCDERSUBUCUIUJUQUNOZBTGCT
      GUIUJURUDDEACBUEUFUAUGUH $.

    $( One-to-one correspondence of projection and subspace.  (Contributed by
       NM, 26-Nov-2000.)  (New usage is discouraged.) $)
    pj11i $p |- ( ( projh ` G ) = ( projh ` H ) <-> G = H ) $=
      ( cpjh cfv wceq crn rneq pjrni 3eqtr3g fveq2 impbii ) AEFZBEFZGZABGPNHOHA
      BNOIACJBDJKABELM $.

    $( Vector decomposition into sum of projections on orthogonal subspaces.
       (Contributed by NM, 21-Jun-2006.)  (New usage is discouraged.) $)
    pjdsi $p |- ( ( A e. ( G vH H ) /\ G C_ ( _|_ ` H ) ) ->
               A = ( ( ( projh ` G ) ` A ) +h ( ( projh ` H ) ` A ) ) ) $=
      ( chj co wcel cort cfv wss wa cph cpjh cva osumi fveq2d fveq1d cch wceq
      chjcli pjid mpan sylan9eqr chba cheli pjsumi imp sylan eqtr3d ) ABCFGZHZB
      CIJKZLABCMGZNJZJZAABNJJACNJJOGZUMULUPAUKNJZJZAUMAUOURUMUNUKNBCDEPQRUKSHUL
      USATBCDEUAZAUKUBUCUDULAUEHZUMUPUQTZAUKUTUFVAUMVBABCDEUGUHUIUJ $.
  $}

  ${
    pjds3.1 $e |- F e. CH $.
    pjds3.2 $e |- G e. CH $.
    pjds3.3 $e |- H e. CH $.
    $( Vector decomposition into sum of projections on orthogonal subspaces.
       (Contributed by NM, 22-Jun-2006.)  (New usage is discouraged.) $)
    pjds3i $p |- ( ( ( A e. ( ( F vH G ) vH H ) /\ F C_ ( _|_ ` G ) ) /\
     ( F C_ ( _|_ ` H ) /\ G C_ ( _|_ ` H ) ) ) -> A = ( ( ( ( projh ` F ) ` A
        )
                +h ( ( projh ` G ) ` A ) ) +h ( ( projh ` H ) ` A ) ) ) $=
      ( chj co wcel cort cfv wss wa cpjh cva cph wceq chjcli oveq1d simpl pjdsi
      choccli chlubii syl2an osumi fveq2d fveq1d ad2antlr chba cheli pjsumi imp
      sylan adantr 3eqtr2d ) ABCHIZDHIZJZBCKLMZNZBDKLZMCVBMNZNAAUQOLZLZADOLLZPI
      ZABCQIZOLZLZVFPIZABOLLACOLLPIZVFPIZVAUSUQVBMAVGRVCUSUTUABCVBEFDGUCUDAUQDB
      CEFSZGUBUEUTVKVGRUSVCUTVJVEVFPUTAVIVDUTVHUQOBCEFUFUGUHTUIVAVKVMRVCVAVJVLV
      FPUSAUJJZUTVJVLRZAURUQDVNGSUKVOUTVPABCEFULUMUNTUOUP $.
  $}

  $( One-to-one correspondence of projection and subspace.  (Contributed by NM,
     24-Apr-2006.)  (New usage is discouraged.) $)
  pj11 $p |- ( ( G e. CH /\ H e. CH ) ->
              ( ( projh ` G ) = ( projh ` H ) <-> G = H ) ) $=
    ( cch wcel cpjh cfv wceq wb c0h cif fveqeq2 eqeq1 fveq2 eqeq2d eqeq2 h0elch
    bibi12d elimel pj11i dedth2h ) ACDZBCDZAEFBEFZGZABGZHUAAIJZEFZUCGZUFBGZHUGU
    BBIJZEFZGZUFUJGZHABIIAUFGUDUHUEUIAUFUCEKAUFBLQBUJGZUHULUIUMUNUCUKUGBUJEMNBU
    JUFOQUFUJAICPRBICPRST $.

  ${
    $d h x y z $.
    $( Functionality of the projection function.  (Contributed by NM,
       24-Apr-2006.)  (New usage is discouraged.) $)
    pjmfn $p |- projh Fn CH $=
      ( vh vx vz vy cch chba cv cva wceq cort cfv wrex crio cmpt ax-hilex mptex
      co cpjh df-pjh fnmpti ) AEBFBGCGDGHQIDAGZJKLCUAMZNRBFUBOPBDCAST $.

    $( The projector function maps one-to-one into the set of Hilbert space
       operators.  (Contributed by NM, 24-Apr-2006.)
       (New usage is discouraged.) $)
    pjmf1 $p |- projh : CH -1-1-> ( ~H ^m ~H ) $=
      ( vx vy cch chba cmap co cpjh wf1 wf cv cfv wceq wral wfn wcel pjmfn pjhf
      wi ax-hilex mpbir2an elmap sylibr rgen ffnfv wa pj11 biimpd rgen2 dff13 )
      CDDEFZGHCUJGIZAJZGKZBJZGKLZULUNLZRZBCMACMUKGCNUMUJOZACMPURACULCOZDDUMIURU
      LQDDUMSSUAUBUCACUJGUDTUQABCCUSUNCOUEUOUPULUNUFUGUHABCUJGUIT $.
  $}

  $( The inner product of projections on orthogonal subspaces vanishes.
     (Contributed by NM, 30-Jun-2006.)  (New usage is discouraged.) $)
  pjoi0 $p |- ( ( ( G e. CH /\ H e. CH /\ A e. ~H ) /\ G C_ ( _|_ ` H ) ) ->
               ( ( ( projh ` G ) ` A ) .ih ( ( projh ` H ) ` A ) ) = 0 ) $=
    ( cch wcel chba w3a cort cfv wss cpjh crn wceq wa pjrn adantr pjfn fnfvelrn
    wfn sylan csp co cc0 fveq2d adantl sseq12d biimpar 3adantl3 id eqeltrd chsh
    csh syl 3ad2ant2 simpr 3adant2 3adant1 jca shorth syl3c syldan ) BDEZCDEZAF
    EZGZBCHIZJZBKIZLZCKIZLZHIZJZAVHIZAVJIZUAUBUCMZVBVCVGVMVDVBVCNZVMVGVQVIBVLVF
    VBVIBMVCBOPVCVLVFMVBVCVKCHCOZUDUEUFUGUHVEVMNVKULEZVMVNVIEZVOVKEZNZVPVEVSVMV
    CVBVSVDVCVKDEVSVCVKCDVRVCUIUJVKUKUMUNPVEVMUOVEWBVMVEVTWAVBVDVTVCVBVHFSVDVTB
    QFAVHRTUPVCVDWAVBVCVJFSVDWACQFAVJRTUQURPVNVOVIVKUSUTVA $.

  ${
    pjoi0.1 $e |- G e. CH $.
    pjoi0.2 $e |- H e. CH $.
    pjoi0.3 $e |- A e. ~H $.
    $( The inner product of projections on orthogonal subspaces vanishes.
       (Contributed by NM, 1-Nov-1999.)  (New usage is discouraged.) $)
    pjoi0i $p |- ( G C_ ( _|_ ` H ) ->
                ( ( ( projh ` G ) ` A ) .ih ( ( projh ` H ) ` A ) ) = 0 ) $=
      ( cch wcel chba w3a cort cfv wss cpjh csp co cc0 wceq 3pm3.2i pjoi0 mpan
      ) BGHZCGHZAIHZJBCKLMABNLLACNLLOPQRUBUCUDDEFSABCTUA $.

    $( Pythagorean theorem for projections on orthogonal subspaces.
       (Contributed by NM, 1-Nov-1999.)  (New usage is discouraged.) $)
    pjopythi $p |- ( G C_ ( _|_ ` H ) ->
       ( ( normh ` ( ( ( projh ` G ) ` A ) +h ( ( projh ` H ) ` A ) ) ) ^ 2 ) =
                 ( ( ( normh ` ( ( projh ` G ) ` A ) ) ^ 2 ) +
                   ( ( normh ` ( ( projh ` H ) ` A ) ) ^ 2 ) ) ) $=
      ( cort cfv wss cpjh csp co cc0 wceq cva cno c2 cexp caddc pjhclii pjoi0i
      normpythi syl ) BCGHIABJHHZACJHHZKLMNUDUEOLPHQRLUDPHQRLUEPHQRLSLNABCDEFUA
      UDUEABDFTACEFTUBUC $.
  $}

  $( Pythagorean theorem for projections on orthogonal subspaces.  (Contributed
     by NM, 2-Nov-1999.)  (New usage is discouraged.) $)
  pjopyth $p |- ( ( H e. CH /\ G e. CH /\ A e. ~H ) -> ( H C_ ( _|_ ` G ) ->
       ( ( normh ` ( ( ( projh ` H ) ` A ) +h ( ( projh ` G ) ` A ) ) ) ^ 2 ) =
                 ( ( ( normh ` ( ( projh ` H ) ` A ) ) ^ 2 ) +
                   ( ( normh ` ( ( projh ` G ) ` A ) ) ^ 2 ) ) ) ) $=
    ( wcel chba cort cfv wss cpjh cva co cno c2 cexp caddc wceq wi fveq2 oveq1d
    fveq2d cch cif c0v sseq1 fveq1d eqeq12d imbi12d sseq2d oveq2d imbi2d ifchhv
    oveq12d ifhvhv0 pjopythi dedth3h ) CUADZBUADZAEDZCBFGZHZACIGZGZABIGZGZJKZLG
    ZMNKZVBLGZMNKZVDLGZMNKZOKZPZQUPCEUBZUSHZAVNIGZGZVDJKZLGZMNKZVQLGZMNKZVKOKZP
    ZQVNUQBEUBZFGZHZVQAWEIGZGZJKZLGZMNKZWBWILGZMNKZOKZPZQWGURAUCUBZVPGZWQWHGZJK
    ZLGZMNKZWRLGZMNKZWSLGZMNKZOKZPZQCBAEEUCCVNPZUTVOVMWDCVNUSUDXIVGVTVLWCXIVFVS
    MNXIVEVRLXIVBVQVDJXIAVAVPCVNIRUEZSTSXIVIWBVKOXIVHWAMNXIVBVQLXJTSSUFUGBWEPZV
    OWGWDWPXKUSWFVNBWEFRUHXKVTWLWCWOXKVSWKMNXKVRWJLXKVDWIVQJXKAVCWHBWEIRUEZUITS
    XKVKWNWBOXKVJWMMNXKVDWILXLTSUIUFUGAWQPZWPXHWGXMWLXBWOXGXMWKXAMNXMWJWTLXMVQW
    RWIWSJAWQVPRZAWQWHRZULTSXMWBXDWNXFOXMWAXCMNXMVQWRLXNTSXMWMXEMNXMWIWSLXOTSUL
    UFUJWQVNWECUKBUKAUMUNUO $.

  ${
    pjnorm.1 $e |- H e. CH $.
    pjnorm.2 $e |- A e. ~H $.
    $( The norm of the projection is less than or equal to the norm.
       (Contributed by NM, 27-Oct-1999.)  (New usage is discouraged.) $)
    pjnormi $p |- ( normh ` ( ( projh ` H ) ` A ) ) <_ ( normh ` A ) $=
      ( cpjh cfv cno cort cva co cle chba wcel csp cc0 wceq wbr pjhclii choccli
      wa pm3.2i cch pjorthi ax-mp normpyc mp2 pjpji fveq2i breqtrri ) ABEFFZGFZ
      UJABHFZEFFZIJZGFZAGFKUJLMZUMLMZTUJUMNJOPZUKUOKQUPUQABCDRAULBCSDRUABUBMURC
      AABDDUCUDUJUMUEUFAUNGABCDUGUHUI $.

    $( Pythagorean theorem for projections.  (Contributed by NM, 27-Oct-1999.)
       (New usage is discouraged.) $)
    pjpythi $p |- ( ( normh ` A ) ^ 2 ) =
                 ( ( ( normh ` ( ( projh ` H ) ` A ) ) ^ 2 ) +
                   ( ( normh ` ( ( projh ` ( _|_ ` H ) ) ` A ) ) ^ 2 ) ) $=
      ( cno cfv c2 cexp co cpjh cort cva caddc pjpji fveq2i oveq1i csh wcel wss
      wceq chshii shococss choccli pjopythi mp2b eqtri ) AEFZGHIABJFFZABKFZJFFZ
      LIZEFZGHIZUHEFGHIUJEFGHIMIZUGULGHAUKEABCDNOPBQRBUIKFSUMUNTBCUABUBABUICBCU
      CDUDUEUF $.

    $( If a vector does not belong to subspace, the norm of its projection is
       less than its norm.  (Contributed by NM, 27-Oct-1999.)
       (New usage is discouraged.) $)
    pjneli $p |- ( -. A e. H <->
                ( normh ` ( ( projh ` H ) ` A ) ) < ( normh ` A ) ) $=
      ( cno cfv cpjh cle wbr wcel wceq c2 cexp caddc normcli chba normge0 ax-mp
      co cc0 wne wa wn clt pjnormi biantrur cort c0v pjoc1i pjpythi sq0 pjhclii
      oveq2i resqcli recni addid1i eqtr2i eqeq12i choccli sqcli addcani wb 0le0
      0cn 0re sq11i mp2an norm-i-i 3bitri bitr2i necon3bbii ltleni 3bitr4i ) AE
      FZABGFFZEFZUAZVPVNHIZVQUBABJZUCVPVNUDIVRVQABCDUEUFVSVNVPVSABUGFZGFFZUHKZV
      NLMSZVPLMSZKZVNVPKZABCDUIWEWDWAEFZLMSZNSZWDTLMSZNSZKZWBWCWIWDWKABCDUJWKWD
      TNSWDWJTWDNUKUMWDWDVPVOABCDULZOZUNUOZUPUQURWLWHWJKZWGTKZWBWDWHWJWOWHWGWAA
      VTBCUSDULZOZUNUOTVDUTVATWGHIZTTHIWPWQVBWAPJWTWRWAQRVCWGTWSVEVFVGWAWRVHVIV
      JTVNHIZTVPHIZWEWFVBAPJXADAQRVOPJXBWMVOQRVNVPADOZWNVFVGVIVKVPVNWNXCVLVM $.
  $}

  $( The norm of the projection is less than or equal to the norm.
     (Contributed by NM, 28-Oct-1999.)  (New usage is discouraged.) $)
  pjnorm $p |- ( ( H e. CH /\ A e. ~H ) ->
                ( normh ` ( ( projh ` H ) ` A ) ) <_ ( normh ` A ) ) $=
    ( cch wcel chba cpjh cfv cno cle wbr wceq fveq2 fveq1d fveq2d breq1d 2fveq3
    cif c0v breq12d ifchhv ifhvhv0 pjnormi dedth2h ) BCDZAEDZABFGZGZHGZAHGZIJAU
    DBEQZFGZGZHGZUIIJUEARQZUKGHGZUNHGZIJBAERBUJKZUHUMUIIUQUGULHUQAUFUKBUJFLMNOA
    UNKUMUOUIUPIAUNHUKPAUNHLSUNUJBTAUAUBUC $.

  $( Pythagorean theorem for projectors.  (Contributed by NM, 11-Apr-2006.)
     (New usage is discouraged.) $)
  pjpyth $p |- ( ( H e. CH /\ A e. ~H ) -> ( ( normh ` A ) ^ 2 ) =
               ( ( ( normh ` ( ( projh ` H ) ` A ) ) ^ 2 ) +
                 ( ( normh ` ( ( projh ` ( _|_ ` H ) ) ` A ) ) ^ 2 ) ) ) $=
    ( wcel chba cno cfv c2 cexp co cpjh cort caddc wceq cif fveq2 fveq1d fveq2d
    c0v oveq1d 2fveq3 cch oveq12d eqeq2d eqeq12d ifchhv ifhvhv0 pjpythi dedth2h
    ) BUACZADCZAEFZGHIZABJFZFZEFZGHIZABKFJFZFZEFZGHIZLIZMULAUIBDNZJFZFZEFZGHIZA
    VBKFJFZFZEFZGHIZLIZMUJARNZEFZGHIZVLVCFEFZGHIZVLVGFEFZGHIZLIZMBADRBVBMZVAVKU
    LVTUPVFUTVJLVTUOVEGHVTUNVDEVTAUMVCBVBJOPQSVTUSVIGHVTURVHEVTAUQVGBVBJKTPQSUB
    UCAVLMZULVNVKVSWAUKVMGHAVLEOSWAVFVPVJVRLWAVEVOGHAVLEVCTSWAVIVQGHAVLEVGTSUBU
    DVLVBBUEAUFUGUH $.

  $( If a vector does not belong to subspace, the norm of its projection is
     less than its norm.  (Contributed by NM, 2-Nov-1999.)
     (New usage is discouraged.) $)
  pjnel $p |- ( ( H e. CH /\ A e. ~H ) -> ( -. A e. H <->
              ( normh ` ( ( projh ` H ) ` A ) ) < ( normh ` A ) ) ) $=
    ( cch wcel chba wn cpjh cfv cno clt wbr wb cif c0v wceq eleq2 notbid fveq1d
    fveq2 bibi12d fveq2d breq1d 2fveq3 breq12d ifchhv ifhvhv0 pjneli dedth2h
    eleq1 ) BCDZAEDZABDZFZABGHZHZIHZAIHZJKZLAUJBEMZDZFZAUSGHZHZIHZUQJKZLUKANMZU
    SDZFZVFVBHIHZVFIHZJKZLBAENBUSOZUMVAURVEVLULUTBUSAPQVLUPVDUQJVLUOVCIVLAUNVBB
    USGSRUAUBTAVFOZVAVHVEVKVMUTVGAVFUSUIQVMVDVIUQVJJAVFIVBUCAVFISUDTVFUSBUEAUFU
    GUH $.

  $( A vector belongs to the subspace of a projection iff the norm of its
     projection equals its norm.  This and ~ pjch yield Theorem 26.3 of
     [Halmos] p. 44.  (Contributed by NM, 7-Apr-2001.)
     (New usage is discouraged.) $)
  pjnorm2 $p |- ( ( H e. CH /\ A e. ~H ) -> ( A e. H <->
              ( normh ` ( ( projh ` H ) ` A ) ) = ( normh ` A ) ) ) $=
    ( cch wcel chba wa cpjh cfv cno wceq cle wbr clt wn pjhcl normcl syl adantl
    cr eqleltd pjnorm biantrurd pjnel con1bid 3bitr2rd ) BCDZAEDZFZABGHHZIHZAIH
    ZJUJUKKLZUJUKMLZNZFUNABDZUHUJUKUHUIEDUJSDABOUIPQUGUKSDUFAPRTUHULUNABUAUBUHU
    OUMABUCUDUE $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Mayet's equation E_3
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x B $.  $d x D $.  $d x G $.  $d x X $.  $d x Y $.
    mayete3.a $e |- A e. CH $.
    mayete3.b $e |- B e. CH $.
    mayete3.c $e |- C e. CH $.
    mayete3.d $e |- D e. CH $.
    mayete3.f $e |- F e. CH $.
    mayete3.g $e |- G e. CH $.
    mayete3.ac $e |- A C_ ( _|_ ` C ) $.
    mayete3.af $e |- A C_ ( _|_ ` F ) $.
    mayete3.cf $e |- C C_ ( _|_ ` F ) $.
    mayete3.ab $e |- A C_ ( _|_ ` B ) $.
    mayete3.cd $e |- C C_ ( _|_ ` D ) $.
    mayete3.fg $e |- F C_ ( _|_ ` G ) $.
    mayete3.x $e |- X = ( ( A vH C ) vH F ) $.
    mayete3.y $e |- Y = ( ( ( A vH B ) i^i ( C vH D ) ) i^i ( F vH G ) ) $.
    mayete3.z $e |- Z = ( ( B vH D ) vH G ) $.
    $( Mayet's equation E_3.  Part of Theorem 4.1 of [Mayet3] p. 1223.
       (Contributed by NM, 22-Jun-2006.)  (New usage is discouraged.) $)
    mayete3i $p |- ( X i^i Y ) C_ Z $=
      ( vx cin chj co cph cv wcel c1 c2 cdiv csm chba wceq wa elin chjcli cheli
      eleq2s adantr sylbi ax-hvmulid cmul cc0 wne 2cn 2ne0 recid2 oveq1i halfcn
      cc mp2an ax-hvmulass mp3an12 eqtr3id eqtr3d syl cpjh cfv cva cmv hv2times
      oveq1d inss2 sseli elin2 cort pjdsi mpan2 oveqan12d inss1 pjhcli syl22anc
      hvadd4 3syl eqtrd hvaddcl syl2anc 3eqtrd eleqtrdi mpanr12 sylancl oveq12d
      pjds3i hvmulcl mpan hvpncan mpancom hvpncan2 chshii shsvai shscli eqeltrd
      wss pjcli csh shmulcl ssriv chsleji shlessi ax-mp sstri sseqtrri ) GHUFZB
      DUGUHZFUGUHZIYGYHFUIUHZYIYGBDUIUHZFUIUHZYJUEYGYLUEUJZYGUKZYMULUMUNUHZUMYM
      UOUHZUOUHZYLYNYMUPUKZYMYQUQYNYMGUKZYMHUKZURYRYMGHUSYSYRYTYRYMACUGUHZEUGUH
      ZGYMUUBUUAEACJLUTNUTVAUBVBVCVDZYRULYMUOUHZYMYQYMVEYRUUDYOUMVFUHZYMUOUHZYQ
      UUEULYMUOUMVNUKZUMVGVHUUEULUQVIVJUMVKVOVLYOVNUKZUUGYRUUFYQUQVMVIYOUMYMVPV
      QVRVSVTYNYPYLUKZYQYLUKZYNYPYMBWAWBWBZYMDWAWBWBZWCUHZYMFWAWBWBZWCUHZYLYNYM
      AWAWBWBZYMCWAWBWBZWCUHZYMEWAWBWBZWCUHZUUOWCUHZUUTWDUHZYPUUOYNYPYMWCUHZYMW
      DUHZUVBYPYNUVCUVAYMUUTWDYNUVCYMYMWCUHZYMWCUHZUURUUMWCUHZUUSUUNWCUHZWCUHZU
      VAYNYRUVCUVFUQUUCYRYPUVEYMWCYMWEWFVTYNYTUVFUVIUQZYGHYMGHWGWHYTYMABUGUHZCD
      UGUHZUFZUKZYMEFUGUHZUKZURUVJYMUVMUVOHUCWIUVNUVPUVEUVGYMUVHWCUVNUVEUUPUUKW
      CUHZUUQUULWCUHZWCUHZUVGUVNYMUVKUKZYMUVLUKZURUVEUVSUQYMUVKUVLUSUVTUWAYMUVQ
      YMUVRWCUVTABWJWBXQYMUVQUQSYMABJKWKWLUWACDWJWBXQYMUVRUQTYMCDLMWKWLWMVDUVNU
      VTYRUVSUVGUQZUVMUVKYMUVKUVLWNWHYMUVKABJKUTVAYRUUPUPUKZUUKUPUKZUUQUPUKZUUL
      UPUKZUWBYMAJWOZYMBKWOZYMCLWOZYMDMWOZUUPUUKUUQUULWQWPWRWSUVPEFWJWBXQYMUVHU
      QUAYMEFNOWKWLWMVDVTYNYRUVIUVAUQZUUCYRUURUPUKZUUMUPUKZUUSUPUKZUUNUPUKZUWKY
      RUWCUWEUWLUWGUWIUUPUUQWTXAZYRUWDUWFUWMUWHUWJUUKUULWTXAZYMENWOZYMFOWOZUURU
      UMUUSUUNWQWPVTXBYNYMUUBUKZACWJWBXQZYMUUTUQZYNYMGUUBYGGYMGHWNWHUBXCPUWTUXA
      URAEWJWBZXQCUXCXQUXBQRYMACEJLNXGXDXEXFYNYRUVDYPUQZUUCYPUPUKZYRUXDUUGYRUXE
      VIUMYMXHXIYPYMXJXKVTVSYNYRUVBUUOUQZUUCYRUUTUPUKZUUOUPUKZUXFYRUWLUWNUXGUWP
      UWRUURUUSWTXAYRUWMUWOUXHUWQUWSUUMUUNWTXAUUTUUOXLXAVTVSYNYRUUOYLUKZUUCYRUU
      MYKUKZUUNFUKUXIYRUUKBUKUULDUKUXJYMBKXRYMDMXRBDUUKUULBKXMZDMXMZXNXAYMFOXRY
      KFUUMUUNBDUXKUXLXOZFOXMZXNXAVTXPYLXSUKUUHUUIUUJYKFUXMUXNXOVMYOYPYLXTVQVTX
      PYAYKYHXQYLYJXQBDKMYBYKYHFUXMYHBDKMUTZXMUXNYCYDYEYHFUXOOYBYEUDYF $.
  $}

  ${
    mayetes3.a $e |- A e. CH $.
    mayetes3.b $e |- B e. CH $.
    mayetes3.c $e |- C e. CH $.
    mayetes3.d $e |- D e. CH $.
    mayetes3.f $e |- F e. CH $.
    mayetes3.g $e |- G e. CH $.
    mayetes3.r $e |- R e. CH $.
    mayetes3.ac $e |- A C_ ( _|_ ` C ) $.
    mayetes3.af $e |- A C_ ( _|_ ` F ) $.
    mayetes3.cf $e |- C C_ ( _|_ ` F ) $.
    mayetes3.ab $e |- A C_ ( _|_ ` B ) $.
    mayetes3.cd $e |- C C_ ( _|_ ` D ) $.
    mayetes3.fg $e |- F C_ ( _|_ ` G ) $.
    mayetes3.rx $e |- R C_ ( _|_ ` X ) $.
    mayetes3.x $e |- X = ( ( A vH C ) vH F ) $.
    mayetes3.y $e |- Y = ( ( ( A vH B ) i^i ( C vH D ) ) i^i ( F vH G ) ) $.
    mayetes3.z $e |- Z = ( ( B vH D ) vH G ) $.
    $( Mayet's equation E^*_3, derived from E_3.  Solution, for n = 3, to open
       problem in Remark (b) after Theorem 7.1 of [Mayet3] p. 1240.
       (Contributed by NM, 10-May-2009.)  (New usage is discouraged.) $)
    mayetes3i $p |- ( ( X vH R ) i^i Y ) C_ ( Z vH R ) $=
      ( chj co cin wss chjcli chjcomi eqimssi chub1i chjassi chub2i sstri ss2in
      sseqtri mp2an chincli ccm wbr cfv cch eqeltri choccli lecmii cmcm2i mpbir
      cort breqtri cm2mi fh3i ineq1i ineq2i eqtr2i sseqtrri chsscon3i chsscon2i
      eqtri mpbi ssini chdmj1i chjjdiri oveq1i mayete3i chlubii ineq12i 3sstr4i
      eqid ) ACUHUIZFUHUIZEUHUIZABUHUIZCDUHUIZUJZFGUHUIZUJZUJZBDUHUIZGUHUIZEUHU
      IZHEUHUIZIUJJEUHUIXAEWNABEUHUIZUHUIZCDEUHUIZUHUIZUJZFGEUHUIZUHUIZUJZUJZUH
      UIZXDXAEWNUHUIZEXGUHUIZEXIUHUIZUJZEXLUHUIZUJZUJZXOWOXPUKWTYAUKZXAYBUKWOXP
      WNEWMFACKMULZOULZQUMUNWRXSUKZWSXTUKYCWPXQUKWQXRUKYFWPXGXQWPWPEUHUIXGWPEAB
      KLULQUOABEKLQUPUTXGEAXFKBELQULZULZQUQURWQXIXRWQWQEUHUIXIWQECDMNULQUOCDEMN
      QUPUTXIECXHMDENQULZULZQUQURWPXQWQXRUSVAWSXLXTWSWSEUHUIXLWSEFGOPULQUOFGEOP
      QUPUTXLEFXKOGEPQULZULZQUQURWRXSWSXTUSVAWOXPWTYAUSVAXOXPEXMUHUIZUJYBEWNXMQ
      YEXJXLXGXIYHYJVBZYLVBZEHWNVCEHVCVDEHVLVEZVCVDEYPQHHWNVFUEYEVGZVHUDVIEHQYQ
      VJVKUEVMEXJXLQYNYLEXGXIQYHYJEXGQYHEXFXGEBQLUQXFAYGKUQURVIZEXIQYJEXHXIEDQN
      UQXHCYIMUQURVIZVNZEXLQYLEXKXLEGQPUQXKFYKOUQURVIZVNVOYMYAXPYMEXJUHUIZXTUJY
      AEXJXLQYNYLYTUUAVOUUBXSXTEXGXIQYHYJYRYSVOVPWBVQVRUTEXDUKXNXDUKXOXDUKEXCQX
      BGBDLNULZPULZUQAXFCXHFXKWNXMXDKYGMYIOYKRSTABVLVEZEVLVEZUJXFVLVEAUUEUUFUAE
      AVLVEZUKAUUFUKEYPUUGUDAHUKYPUUGUKAWMHACKMUOWMWNHWMFYDOUOUEVSZURAHKYQVTWCU
      REAQKWAWCWDBELQWEVSCDVLVEZUUFUJXHVLVECUUIUUFUBECVLVEZUKCUUFUKEYPUUJUDCHUK
      YPUUJUKCWMHCAMKUQUUHURCHMYQVTWCURECQMWAWCWDDENQWEVSFGVLVEZUUFUJXKVLVEFUUK
      UUFUCEFVLVEZUKFUUFUKEYPUULUDFHUKYPUULUKFWNHFWMOYDUQUEVSFHOYQVTWCUREFQOWAW
      CWDGEPQWEVSWNWLXMWLXDXBEUHUIZXKUHUIXFXHUHUIZXKUHUIXBGEUUCPQWFUUMUUNXKUHBD
      ELNQWFWGWBWHEXNXDQWNXMYEYOVBXCEUUDQULWIVAURXEWOIWTHWNEUHUEWGUFWJJXCEUHUGW
      GWK $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Operators on Hilbert spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Operator sum, difference, and scalar multiplication
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  _Note on operators_.  Unlike some authors, we use the term "operator" to
  mean any function from ` ~H ` to ` ~H ` .  This is the definition of
  operator in [Hughes] p. 14, the definition of operator in
  [AkhiezerGlazman] p. 30, and the definition of operator in [Goldberg]
  p. 10.  For Reed and Simon, an operator is linear (definition of
  operator in [ReedSimon] p. 2).  For Halmos, an operator is bounded and
  linear (definition of operator in [Halmos] p. 35).  For Kalmbach and
  Beran, an operator is continuous and linear (definition of operator in
  [Kalmbach] p. 353; definition of operator in [Beran] p. 99).  Note that
  "bounded and linear" and "continuous and linear" are equivalent by
  ~ lncnbd .

$)

  ${
    $d f g x $.
    $( Define the sum of two Hilbert space operators.  Definition of [Beran]
       p. 111.  (Contributed by NM, 9-Nov-2000.)
       (New usage is discouraged.) $)
    df-hosum $a |- +op = ( f e. ( ~H ^m ~H ) , g e. ( ~H ^m ~H ) |->
          ( x e. ~H |-> ( ( f ` x ) +h ( g ` x ) ) ) ) $.

    $( Define the scalar product with a Hilbert space operator.  Definition of
       [Beran] p. 111.  (Contributed by NM, 20-Feb-2006.)
       (New usage is discouraged.) $)
    df-homul $a |- .op = ( f e. CC , g e. ( ~H ^m ~H ) |->
          ( x e. ~H |-> ( f .h ( g ` x ) ) ) ) $.

$(
    @( Define the difference of two Hilbert space operators.  Definition of
       [Beran] p. 111. @)
    df-hodif @a |- -op = { <. <. f , g >. , h >. | ( ( f : ~H --> ~H /\
          g : ~H --> ~H ) /\ h = ( f +op ( -u 1 .op g ) ) ) } @.
$)

    $( Define the difference of two Hilbert space operators.  Definition of
       [Beran] p. 111.  (Contributed by NM, 9-Nov-2000.)
       (New usage is discouraged.) $)
    df-hodif $a |- -op = ( f e. ( ~H ^m ~H ) , g e. ( ~H ^m ~H ) |->
          ( x e. ~H |-> ( ( f ` x ) -h ( g ` x ) ) ) ) $.

    $( Define the sum of two Hilbert space functionals.  Definition of [Beran]
       p. 111.  Note that unlike some authors, we define a functional as any
       function from ` ~H ` to ` CC ` , not just linear (or bounded linear)
       ones.  (Contributed by NM, 23-May-2006.)  (New usage is discouraged.) $)
    df-hfsum $a |- +fn = ( f e. ( CC ^m ~H ) , g e. ( CC ^m ~H ) |->
          ( x e. ~H |-> ( ( f ` x ) + ( g ` x ) ) ) ) $.

    $( Define the scalar product with a Hilbert space functional.  Definition
       of [Beran] p. 111.  (Contributed by NM, 23-May-2006.)
       (New usage is discouraged.) $)
    df-hfmul $a |- .fn = ( f e. CC , g e. ( CC ^m ~H ) |->
          ( x e. ~H |-> ( f x. ( g ` x ) ) ) ) $.
  $}

  ${
    $d f g x A $.  $d f g x S $.  $d f g x T $.
    $( Value of the sum of two Hilbert space operators.  (Contributed by NM,
       9-Nov-2000.)  (Revised by Mario Carneiro, 23-Aug-2014.)
       (New usage is discouraged.) $)
    hosmval $p |- ( ( S : ~H --> ~H /\ T : ~H --> ~H ) -> ( S +op T ) =
                    ( x e. ~H |-> ( ( S ` x ) +h ( T ` x ) ) ) ) $=
      ( vf vg chba wf cmap co wcel chos cv cfv cva cmpt ax-hilex elmap mpteq2dv
      wceq fveq1 oveq1d oveq2d df-hosum mptex ovmpo syl2anbr ) FFBGBFFHIZJCUGJB
      CKIAFALZBMZUHCMZNIZOZSFFCGFFBPPQFFCPPQDEBCUGUGAFUHDLZMZUHELZMZNIZOULKAFUI
      UPNIZOUMBSZAFUQURUSUNUIUPNUHUMBTUARUOCSZAFURUKUTUPUJUINUHUOCTUBRADEUCAFUK
      PUDUEUF $.

    $( Value of the scalar product with a Hilbert space operator.  (Contributed
       by NM, 20-Feb-2006.)  (Revised by Mario Carneiro, 23-Aug-2014.)
       (New usage is discouraged.) $)
    hommval $p |- ( ( A e. CC /\ T : ~H --> ~H ) -> ( A .op T ) =
                    ( x e. ~H |-> ( A .h ( T ` x ) ) ) ) $=
      ( vf vg chba wf cc wcel cmap co chot cfv csm cmpt ax-hilex elmap mpteq2dv
      cv wceq oveq1 fveq1 oveq2d df-homul mptex ovmpo sylan2br ) FFCGBHICFFJKZI
      BCLKAFBASZCMZNKZOZTFFCPPQDEBCHUHAFDSZUIESZMZNKZOULLAFBUONKZOUMBTAFUPUQUMB
      UONUARUNCTZAFUQUKURUOUJBNUIUNCUBUCRADEUDAFUKPUEUFUG $.

    $( Value of the difference of two Hilbert space operators.  (Contributed by
       NM, 9-Nov-2000.)  (Revised by Mario Carneiro, 23-Aug-2014.)
       (New usage is discouraged.) $)
    hodmval $p |- ( ( S : ~H --> ~H /\ T : ~H --> ~H ) -> ( S -op T ) =
                    ( x e. ~H |-> ( ( S ` x ) -h ( T ` x ) ) ) ) $=
      ( vf vg chba wf cmap co wcel chod cv cfv cmv cmpt ax-hilex elmap mpteq2dv
      wceq fveq1 oveq1d oveq2d df-hodif mptex ovmpo syl2anbr ) FFBGBFFHIZJCUGJB
      CKIAFALZBMZUHCMZNIZOZSFFCGFFBPPQFFCPPQDEBCUGUGAFUHDLZMZUHELZMZNIZOULKAFUI
      UPNIZOUMBSZAFUQURUSUNUIUPNUHUMBTUARUOCSZAFURUKUTUPUJUINUHUOCTUBRADEUCAFUK
      PUDUEUF $.

    $( Value of the sum of two Hilbert space functionals.  (Contributed by NM,
       23-May-2006.)  (Revised by Mario Carneiro, 23-Aug-2014.)
       (New usage is discouraged.) $)
    hfsmval $p |- ( ( S : ~H --> CC /\ T : ~H --> CC ) -> ( S +fn T ) =
                    ( x e. ~H |-> ( ( S ` x ) + ( T ` x ) ) ) ) $=
      ( vf vg chba cc wf co wcel chfs caddc cmpt wceq cnex ax-hilex elmap fveq1
      cv cfv cmap oveq1d mpteq2dv oveq2d df-hfsum mptex ovmpo syl2anbr ) FGBHBG
      FUAIZJCUIJBCKIAFASZBTZUJCTZLIZMZNFGCHGFBOPQGFCOPQDEBCUIUIAFUJDSZTZUJESZTZ
      LIZMUNKAFUKURLIZMUOBNZAFUSUTVAUPUKURLUJUOBRUBUCUQCNZAFUTUMVBURULUKLUJUQCR
      UDUCADEUEAFUMPUFUGUH $.

    $( Value of the scalar product with a Hilbert space functional.
       (Contributed by NM, 23-May-2006.)  (Revised by Mario Carneiro,
       23-Aug-2014.)  (New usage is discouraged.) $)
    hfmmval $p |- ( ( A e. CC /\ T : ~H --> CC ) -> ( A .fn T ) =
                    ( x e. ~H |-> ( A x. ( T ` x ) ) ) ) $=
      ( vf vg chba cc wf wcel cmap co chft cfv cmul cmpt wceq ax-hilex mpteq2dv
      cv cnex elmap oveq1 fveq1 oveq2d df-hfmul mptex ovmpo sylan2br ) FGCHBGIC
      GFJKZIBCLKAFBASZCMZNKZOZPGFCTQUADEBCGUIAFDSZUJESZMZNKZOUMLAFBUPNKZOUNBPAF
      UQURUNBUPNUBRUOCPZAFURULUSUPUKBNUJUOCUCUDRADEUEAFULQUFUGUH $.
  $}

  ${
    $d x A $.  $d x B $.  $d x S $.  $d x T $.
    $( Value of the sum of two Hilbert space operators.  (Contributed by NM,
       10-Nov-2000.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    hosval $p |- ( ( S : ~H --> ~H /\ T : ~H --> ~H /\ A e. ~H ) ->
        ( ( S +op T ) ` A ) = ( ( S ` A ) +h ( T ` A ) ) ) $=
      ( vx chba wf wcel chos co cfv cva wceq wa cv hosmval fveq1d fveq2 oveq12d
      cmpt eqid ovex fvmpt sylan9eq 3impa ) EEBFZEECFZAEGZABCHIZJZABJZACJZKIZLU
      EUFMZUGUIADEDNZBJZUNCJZKIZSZJULUMAUHURDBCOPDAUQULEURUNALUOUJUPUKKUNABQUNA
      CQRURTUJUKKUAUBUCUD $.

    $( Value of the scalar product with a Hilbert space operator.  (Contributed
       by NM, 20-Feb-2006.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    homval $p |- ( ( A e. CC /\ T : ~H --> ~H /\ B e. ~H ) ->
        ( ( A .op T ) ` B ) = ( A .h ( T ` B ) ) ) $=
      ( vx cc wcel chba wf chot co cfv csm wceq wa cv cmpt hommval fveq1d fveq2
      oveq2d eqid ovex fvmpt sylan9eq 3impa ) AEFZGGCHZBGFZBACIJZKZABCKZLJZMUFU
      GNZUHUJBDGADOZCKZLJZPZKULUMBUIUQDACQRDBUPULGUQUNBMUOUKALUNBCSTUQUAAUKLUBU
      CUDUE $.

    $( Value of the difference of two Hilbert space operators.  (Contributed by
       NM, 10-Nov-2000.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    hodval $p |- ( ( S : ~H --> ~H /\ T : ~H --> ~H /\ A e. ~H ) ->
        ( ( S -op T ) ` A ) = ( ( S ` A ) -h ( T ` A ) ) ) $=
      ( vx chba wf wcel chod co cfv cmv wceq wa cv hodmval fveq1d fveq2 oveq12d
      cmpt eqid ovex fvmpt sylan9eq 3impa ) EEBFZEECFZAEGZABCHIZJZABJZACJZKIZLU
      EUFMZUGUIADEDNZBJZUNCJZKIZSZJULUMAUHURDBCOPDAUQULEURUNALUOUJUPUKKUNABQUNA
      CQRURTUJUKKUAUBUCUD $.

    $( Value of the sum of two Hilbert space functionals.  (Contributed by NM,
       23-May-2006.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    hfsval $p |- ( ( S : ~H --> CC /\ T : ~H --> CC /\ A e. ~H ) ->
        ( ( S +fn T ) ` A ) = ( ( S ` A ) + ( T ` A ) ) ) $=
      ( vx chba cc wf wcel chfs co caddc wceq wa cv cmpt hfsmval fveq1d oveq12d
      cfv fveq2 eqid ovex fvmpt sylan9eq 3impa ) EFBGZEFCGZAEHZABCIJZSZABSZACSZ
      KJZLUFUGMZUHUJADEDNZBSZUOCSZKJZOZSUMUNAUIUSDBCPQDAURUMEUSUOALUPUKUQULKUOA
      BTUOACTRUSUAUKULKUBUCUDUE $.

    $( Value of the scalar product with a Hilbert space functional.
       (Contributed by NM, 23-May-2006.)  (Revised by Mario Carneiro,
       16-Nov-2013.)  (New usage is discouraged.) $)
    hfmval $p |- ( ( A e. CC /\ T : ~H --> CC /\ B e. ~H ) ->
        ( ( A .fn T ) ` B ) = ( A x. ( T ` B ) ) ) $=
      ( vx cc wcel chba wf chft co cfv cmul wceq wa cv cmpt fveq1d fveq2 oveq2d
      hfmmval eqid ovex fvmpt sylan9eq 3impa ) AEFZGECHZBGFZBACIJZKZABCKZLJZMUF
      UGNZUHUJBDGADOZCKZLJZPZKULUMBUIUQDACTQDBUPULGUQUNBMUOUKALUNBCRSUQUAAUKLUB
      UCUDUE $.
  $}

  $( Closure of the sum of two Hilbert space operators.  (Contributed by NM,
     12-Nov-2000.)  (New usage is discouraged.) $)
  hoscl $p |- ( ( ( S : ~H --> ~H /\ T : ~H --> ~H ) /\ A e. ~H ) ->
      ( ( S +op T ) ` A ) e. ~H ) $=
    ( chba wf wa wcel chos co cfv cva wceq hosval 3expa ffvelrn anim12i hvaddcl
    anandirs syl eqeltrd ) DDBEZDDCEZFADGZFZABCHIJZABJZACJZKIZDUAUBUCUEUHLABCMN
    UDUFDGZUGDGZFZUHDGUAUBUCUKUAUCFUIUBUCFUJDDABODDACOPRUFUGQST $.

  $( Closure of the scalar product of a Hilbert space operator.  (Contributed
     by NM, 20-Feb-2006.)  (New usage is discouraged.) $)
  homcl $p |- ( ( A e. CC /\ T : ~H --> ~H /\ B e. ~H ) ->
      ( ( A .op T ) ` B ) e. ~H ) $=
    ( cc wcel chba wf w3a co cfv csm homval wa ffvelrn anim2i 3impb hvmulcl syl
    chot eqeltrd ) ADEZFFCGZBFEZHZBACSIJABCJZKIZFABCLUDUAUEFEZMZUFFEUAUBUCUHUBU
    CMUGUAFFBCNOPAUEQRT $.

  $( Closure of the difference of two Hilbert space operators.  (Contributed by
     NM, 15-Nov-2002.)  (New usage is discouraged.) $)
  hodcl $p |- ( ( ( S : ~H --> ~H /\ T : ~H --> ~H ) /\ A e. ~H ) ->
      ( ( S -op T ) ` A ) e. ~H ) $=
    ( chba wcel chod cfv w3a cmv hodval ffvelrn 3adant2 3adant1 hvsubcl syl2anc
    wf co eqeltrd 3expa ) DDBPZDDCPZADEZABCFQGZDETUAUBHZUCABGZACGZIQZDABCJUDUED
    EZUFDEZUGDETUBUHUADDABKLUAUBUITDDACKMUEUFNORS $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Zero and identity operators
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the Hilbert space zero operator.  See ~ df0op2 for alternate
     definition.  (Contributed by NM, 7-Feb-2006.)
     (New usage is discouraged.) $)
  df-h0op $a |- 0hop = ( projh ` 0H ) $.

  $( Define the Hilbert space identity operator.  See ~ dfiop2 for alternate
     definition.  (Contributed by NM, 15-Nov-2000.)
     (New usage is discouraged.) $)
  df-iop $a |- Iop = ( projh ` ~H ) $.

  $( Value of the zero Hilbert space operator (null projector).  Remark in
     [Beran] p. 111.  (Contributed by NM, 7-Feb-2006.)
     (New usage is discouraged.) $)
  ho0val $p |- ( A e. ~H -> ( 0hop ` A ) = 0h ) $=
    ( chba wcel ch0o cfv cpjh cmv co c0v c0h choc1 fveq2i df-h0op eqtr4i fveq1i
    cort cch wceq helch pjo mpan eqtr3id pjhcli hvsubid syl eqtrd ) ABCZADEZABF
    EEZUIGHZIUGUHABPEZFEZEZUJAULDULJFEDUKJFKLMNOBQCUGUMUJRSABTUAUBUGUIBCUJIRABS
    UCUIUDUEUF $.

  $( Functionality of the zero Hilbert space operator.  (Contributed by NM,
     10-Mar-2006.)  (New usage is discouraged.) $)
  ho0f $p |- 0hop : ~H --> ~H $=
    ( chba ch0o wf c0h cpjh cfv h0elch pjfi df-h0op feq1i mpbir ) AABCAADEFZCDG
    HAABLIJK $.

  $( Alternate definition of Hilbert space zero operator.  (Contributed by NM,
     7-Aug-2006.)  (New usage is discouraged.) $)
  df0op2 $p |- 0hop = ( ~H X. 0H ) $=
    ( vx ch0o chba c0v csn cxp c0h wf wceq wfn cv cfv wral ho0f ffn ho0val rgen
    ax-mp fconstfv mpbir2an ax-hv0cl elexi fconst2 mpbi df-ch0 xpeq2i eqtr4i )
    BCDEZFZCGFCUHBHZBUIIUJBCJZAKZBLDIZACMCCBHUKNCCBORUMACULPQACDBSTCDBDCUAUBUCU
    DGUHCUEUFUG $.

  $( Alternate definition of Hilbert space identity operator.  (Contributed by
     NM, 7-Aug-2006.)  (New usage is discouraged.) $)
  dfiop2 $p |- Iop = ( _I |` ~H ) $=
    ( vx chio chba cpjh cfv cid cres df-iop wfn wceq helch pjfni fnresi wa wral
    cv wcel pjch1 fvresi eqtr4d rgen eqfnfv mpbiri mp2an eqtri ) BCDEZFCGZHUFCI
    ZUGCIZUFUGJZCKLCMUHUINUJAPZUFEZUKUGEZJZACOUNACUKCQULUKUMUKRCUKSTUAACUFUGUBU
    CUDUE $.

  $( Functionality of the Hilbert space identity operator.  (Contributed by NM,
     8-Aug-2006.)  (New usage is discouraged.) $)
  hoif $p |- Iop : ~H -1-1-onto-> ~H $=
    ( chba chio wf1o cid cres f1oi wceq wb dfiop2 f1oeq1 ax-mp mpbir ) AABCZAAD
    AEZCZAFBNGMOHIAABNJKL $.

  $( The value of the Hilbert space identity operator.  (Contributed by NM,
     8-Aug-2006.)  (New usage is discouraged.) $)
  hoival $p |- ( A e. ~H -> ( Iop ` A ) = A ) $=
    ( chba wcel chio cfv cpjh df-iop fveq1i pjch1 syl5eq ) ABCADEABFEZEAADKGHAI
    J $.

  $( Composition with the Hilbert space identity operator.  (Contributed by NM,
     24-Aug-2006.)  (New usage is discouraged.) $)
  hoico1 $p |- ( T : ~H --> ~H -> ( T o. Iop ) = T ) $=
    ( chba wf chio ccom cid cres dfiop2 coeq2i fcoi1 syl5eq ) BBACADEAFBGZEADLA
    HIBBAJK $.

  $( Composition with the Hilbert space identity operator.  (Contributed by NM,
     24-Aug-2006.)  (New usage is discouraged.) $)
  hoico2 $p |- ( T : ~H --> ~H -> ( Iop o. T ) = T ) $=
    ( chba wf chio ccom cid cres dfiop2 coeq1i fcoi2 syl5eq ) BBACDAEFBGZAEADLA
    HIBBAJK $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Operations on Hilbert space operators
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.  $d x S $.  $d x T $.
    $( The sum of Hilbert space operators is an operator.  (Contributed by NM,
       21-Feb-2006.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    hoaddcl $p |- ( ( S : ~H --> ~H /\ T : ~H --> ~H ) ->
                ( S +op T ) : ~H --> ~H ) $=
      ( vx chba wf wa chos co cfv cva cmpt wcel ffvelrn adantlr adantll hvaddcl
      cv syl2anc fmpttd hosmval feq1d mpbird ) DDAEZDDBEZFZDDABGHZEDDCDCQZAIZUG
      BIZJHZKZEUECDUJDUEUGDLZFUHDLZUIDLZUJDLUCULUMUDDDUGAMNUDULUNUCDDUGBMOUHUIP
      RSUEDDUFUKCABTUAUB $.

    $( The scalar product of a Hilbert space operator is an operator.
       (Contributed by NM, 21-Feb-2006.)  (Revised by Mario Carneiro,
       16-Nov-2013.)  (New usage is discouraged.) $)
    homulcl $p |- ( ( A e. CC /\ T : ~H --> ~H ) ->
                   ( A .op T ) : ~H --> ~H ) $=
      ( vx cc wcel chba wf wa chot co cv cfv csm ffvelrn hvmulcl sylan2 anassrs
      cmpt fmpttd hommval feq1d mpbird ) ADEZFFBGZHZFFABIJZGFFCFACKZBLZMJZRZGUE
      CFUIFUCUDUGFEZUIFEZUDUKHUCUHFEULFFUGBNAUHOPQSUEFFUFUJCABTUAUB $.
  $}

  ${
    $d x T $.  $d x U $.
    $( Equality of Hilbert space operators.  (Contributed by NM, 12-Aug-2006.)
       (New usage is discouraged.) $)
    hoeq $p |- ( ( T : ~H --> ~H /\ U : ~H --> ~H ) ->
                ( A. x e. ~H ( T ` x ) = ( U ` x ) <-> T = U ) ) $=
      ( chba wf wfn cv cfv wceq wral wb ffn wa eqfnfv bicomd syl2an ) DDBEBDFZC
      DFZAGZBHSCHIADJZBCIZKDDCEDDBLDDCLQRMUATADBCNOP $.
  $}

  ${
    $d x S $.  $d x T $.
    hoeq.1 $e |- S : ~H --> ~H $.
    hoeq.2 $e |- T : ~H --> ~H $.
    $( Equality of Hilbert space operators.  (Contributed by NM, 14-Nov-2000.)
       (New usage is discouraged.) $)
    hoeqi $p |- ( A. x e. ~H ( S ` x ) = ( T ` x ) <-> S = T ) $=
      ( chba wf cv cfv wceq wral wb hoeq mp2an ) FFBGFFCGAHZBIOCIJAFKBCJLDEABCM
      N $.

    $( Closure of Hilbert space operator sum.  (Contributed by NM,
       12-Nov-2000.)  (New usage is discouraged.) $)
    hoscli $p |- ( A e. ~H -> ( ( S +op T ) ` A ) e. ~H ) $=
      ( chba wf wcel chos co cfv hoscl mpanl12 ) FFBGFFCGAFHABCIJKFHDEABCLM $.

    $( Closure of Hilbert space operator difference.  (Contributed by NM,
       12-Nov-2000.)  (New usage is discouraged.) $)
    hodcli $p |- ( A e. ~H -> ( ( S -op T ) ` A ) e. ~H ) $=
      ( chba wf wcel chod co cfv hodcl mpanl12 ) FFBGFFCGAFHABCIJKFHDEABCLM $.

    $( Composition of Hilbert space operators.  (Contributed by NM,
       12-Nov-2000.)  (New usage is discouraged.) $)
    hocoi $p |- ( A e. ~H -> ( ( S o. T ) ` A ) = ( S ` ( T ` A ) ) ) $=
      ( chba wf wcel ccom cfv wceq fvco3 mpan ) FFCGAFHABCIJACJBJKEFFABCLM $.

    $( Closure of composition of Hilbert space operators.  (Contributed by NM,
       12-Nov-2000.)  (New usage is discouraged.) $)
    hococli $p |- ( A e. ~H -> ( ( S o. T ) ` A ) e. ~H ) $=
      ( chba wcel ccom cfv hocoi ffvelrni syl eqeltrd ) AFGZABCHIACIZBIZFABCDEJ
      NOFGPFGFFACEKFFOBDKLM $.

    $( Mapping of composition of Hilbert space operators.  (Contributed by NM,
       14-Nov-2000.)  (New usage is discouraged.) $)
    hocofi $p |- ( S o. T ) : ~H --> ~H $=
      ( chba wf ccom fco mp2an ) EEAFEEBFEEABGFCDEEEABHI $.

    $( Functionality of composition of Hilbert space operators.  (Contributed
       by NM, 12-Nov-2000.)  (New usage is discouraged.) $)
    hocofni $p |- ( S o. T ) Fn ~H $=
      ( chba ccom wf wfn hocofi ffn ax-mp ) EEABFZGLEHABCDIEELJK $.

    $( Mapping of sum of Hilbert space operators.  (Contributed by NM,
       14-Nov-2000.)  (New usage is discouraged.) $)
    hoaddcli $p |- ( S +op T ) : ~H --> ~H $=
      ( chba wf chos co hoaddcl mp2an ) EEAFEEBFEEABGHFCDABIJ $.

    $( Mapping of difference of Hilbert space operators.  (Contributed by NM,
       14-Nov-2000.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    hosubcli $p |- ( S -op T ) : ~H --> ~H $=
      ( vx chba cv cfv co chod wf cmpt wceq hodmval mp2an wcel ffvelrni hvsubcl
      cmv syl2anc fmpti ) EFFEGZAHZUBBHZSIZABJIZFFAKFFBKUFEFUELMCDEABNOUBFPUCFP
      UDFPUEFPFFUBACQFFUBBDQUCUDRTUA $.

    $( Functionality of sum of Hilbert space operators.  (Contributed by NM,
       14-Nov-2000.)  (New usage is discouraged.) $)
    hoaddfni $p |- ( S +op T ) Fn ~H $=
      ( chba chos co wf wfn hoaddcli ffn ax-mp ) EEABFGZHMEIABCDJEEMKL $.

    $( Functionality of difference of Hilbert space operators.  (Contributed by
       NM, 2-Jun-2006.)  (New usage is discouraged.) $)
    hosubfni $p |- ( S -op T ) Fn ~H $=
      ( chba chod co wf wfn hosubcli ffn ax-mp ) EEABFGZHMEIABCDJEEMKL $.

    $( Commutativity of sum of Hilbert space operators.  (Contributed by NM,
       15-Nov-2000.)  (New usage is discouraged.) $)
    hoaddcomi $p |- ( S +op T ) = ( T +op S ) $=
      ( vx cv chos cfv wceq chba wral wcel cva ffvelrni ax-hvcom hosval mp3an12
      co wf hoaddcli syl2anc 3eqtr4d rgen hoeqi mpbi ) EFZABGRZHZUFBAGRZHZIZEJK
      UGUIIUKEJUFJLZUFAHZUFBHZMRZUNUMMRZUHUJULUMJLUNJLUOUPIJJUFACNJJUFBDNUMUNOU
      AJJASZJJBSZULUHUOICDUFABPQURUQULUJUPIDCUFBAPQUBUCEUGUIABCDTBADCTUDUE $.
  $}

  $( Mapping of difference of Hilbert space operators.  (Contributed by NM,
     23-Aug-2006.)  (New usage is discouraged.) $)
  hosubcl $p |- ( ( S : ~H --> ~H /\ T : ~H --> ~H ) ->
              ( S -op T ) : ~H --> ~H ) $=
    ( chba wf chod ch0o cif wceq oveq1 feq1d oveq2 ho0f elimf hosubcli dedth2h
    co ) CCADZCCBDZCCABEPZDCCQAFGZBEPZDCCTRBFGZEPZDABFFATHCCSUAATBEIJBUBHCCUAUC
    BUBTEKJTUBCCAFLMCCBFLMNO $.

  $( Commutativity of sum of Hilbert space operators.  (Contributed by NM,
     24-Aug-2006.)  (New usage is discouraged.) $)
  hoaddcom $p |- ( ( S : ~H --> ~H /\ T : ~H --> ~H ) ->
                ( S +op T ) = ( T +op S ) ) $=
    ( chba wf chos co wceq ch0o cif oveq1 oveq2 eqeq12d elimf hoaddcomi dedth2h
    ho0f ) CCADZCCBDZABEFZBAEFZGQAHIZBEFZBUAEFZGUARBHIZEFZUDUAEFZGABHHAUAGSUBTU
    CAUABEJAUABEKLBUDGUBUEUCUFBUDUAEKBUDUAEJLUAUDCCAHPMCCBHPMNO $.

  ${
    $d x R $.  $d x S $.  $d x T $.
    hods.1 $e |- R : ~H --> ~H $.
    hods.2 $e |- S : ~H --> ~H $.
    hods.3 $e |- T : ~H --> ~H $.
    $( Relationship between Hilbert space operator difference and sum.
       (Contributed by NM, 17-Nov-2000.)  (New usage is discouraged.) $)
    hodsi $p |- ( ( R -op S ) = T <-> ( S +op T ) = R ) $=
      ( vx cv chod co cfv wceq chba wral wcel ffvelrni wf mp3an12 eqeq1d hoeqi
      chos cmv cva wb hvsubadd syl3anc hodval 3bitr4d ralbiia hosubcli hoaddcli
      hosval 3bitr3i ) GHZABIJZKZUNCKZLZGMNUNBCUAJZKZUNAKZLZGMNUOCLUSALURVBGMUN
      MOZVAUNBKZUBJZUQLZVDUQUCJZVALZURVBVCVAMOVDMOUQMOVFVHUDMMUNADPMMUNBEPMMUNC
      FPVAVDUQUEUFVCUPVEUQMMAQMMBQZVCUPVELDEUNABUGRSVCUTVGVAVIMMCQVCUTVGLEFUNBC
      ULRSUHUIGUOCABDEUJFTGUSABCEFUKDTUM $.

    $( Associativity of sum of Hilbert space operators.  (Contributed by NM,
       26-Nov-2000.)  (New usage is discouraged.) $)
    hoaddassi $p |- ( ( R +op S ) +op T ) = ( R +op ( S +op T ) ) $=
      ( vx chos cfv wceq chba wcel cva hosval mp3an12 hoaddcli ffvelrni 3eqtr4d
      co wf cv wral oveq1d oveq2d ax-hvass syl3anc rgen hoeqi mpbi ) GUAZABHSZC
      HSZIZUJABCHSZHSZIZJZGKUBULUOJUQGKUJKLZUJUKIZUJCIZMSZUJAIZUJBIZMSZUTMSZUMU
      PURUSVDUTMKKATZKKBTZURUSVDJDEUJABNOUCKKUKTKKCTZURUMVAJABDEPZFUJUKCNOURVBU
      JUNIZMSZVBVCUTMSZMSZUPVEURVJVLVBMVGVHURVJVLJEFUJBCNOUDVFKKUNTURUPVKJDBCEF
      PZUJAUNNOURVBKLVCKLUTKLVEVMJKKUJADQKKUJBEQKKUJCFQVBVCUTUEUFRRUGGULUOUKCVI
      FPAUNDVNPUHUI $.

    $( Commutative/associative law for Hilbert space operator sum that swaps
       the first two terms.  (Contributed by NM, 27-Aug-2004.)
       (New usage is discouraged.) $)
    hoadd12i $p |- ( R +op ( S +op T ) ) = ( S +op ( R +op T ) ) $=
      ( chos co hoaddcomi oveq1i hoaddassi 3eqtr3i ) ABGHZCGHBAGHZCGHABCGHGHBAC
      GHGHMNCGABDEIJABCDEFKBACEDFKL $.

    $( Commutative/associative law for Hilbert space operator sum that swaps
       the second and third terms.  (Contributed by NM, 27-Jul-2006.)
       (New usage is discouraged.) $)
    hoadd32i $p |- ( ( R +op S ) +op T ) = ( ( R +op T ) +op S ) $=
      ( chos co hoaddcomi oveq2i hoaddassi 3eqtr4i ) ABCGHZGHACBGHZGHABGHCGHACG
      HBGHMNAGBCEFIJABCDEFKACBDFEKL $.

    $( Distributive law for Hilbert space operator sum.  (Contributed by NM,
       26-Nov-2000.)  (New usage is discouraged.) $)
    hocadddiri $p |- ( ( R +op S ) o. T ) = ( ( R o. T ) +op ( S o. T ) ) $=
      ( vx chos co ccom cfv wceq chba wcel hoaddcli hocoi cva wf hocofi eqtr4d
      cv wral hosval mp3an12 ffvelrni syl oveq12d rgen hoeqi mpbi ) GUAZABHIZCJ
      ZKZUKACJZBCJZHIZKZLZGMUBUMUQLUSGMUKMNZUNUKCKZULKZURUKULCABDEOZFPUTURUKUOK
      ZUKUPKZQIZVBMMUORMMUPRUTURVFLACDFSZBCEFSZUKUOUPUCUDUTVBVAAKZVABKZQIZVFUTV
      AMNZVBVKLZMMUKCFUEMMARMMBRVLVMDEVAABUCUDUFUTVDVIVEVJQUKACDFPUKBCEFPUGTTTU
      HGUMUQULCVCFSUOUPVGVHOUIUJ $.

    $( Distributive law for Hilbert space operator difference.  (Contributed by
       NM, 26-Nov-2000.)  (New usage is discouraged.) $)
    hocsubdiri $p |- ( ( R -op S ) o. T ) = ( ( R o. T ) -op ( S o. T ) ) $=
      ( vx chod co ccom cfv wceq chba wcel hosubcli hocoi cmv wf hocofi eqtr4d
      cv wral hodval mp3an12 ffvelrni syl oveq12d rgen hoeqi mpbi ) GUAZABHIZCJ
      ZKZUKACJZBCJZHIZKZLZGMUBUMUQLUSGMUKMNZUNUKCKZULKZURUKULCABDEOZFPUTURUKUOK
      ZUKUPKZQIZVBMMUORMMUPRUTURVFLACDFSZBCEFSZUKUOUPUCUDUTVBVAAKZVABKZQIZVFUTV
      AMNZVBVKLZMMUKCFUEMMARMMBRVLVMDEVAABUCUDUFUTVDVIVEVJQUKACDFPUKBCEFPUGTTTU
      HGUMUQULCVCFSUOUPVGVHOUIUJ $.

    $( Double composition of Hilbert space operators.  (Contributed by NM,
       1-Dec-2000.)  (New usage is discouraged.) $)
    ho2coi $p |- ( A e. ~H -> ( ( ( R o. S ) o. T ) ` A ) =
                 ( R ` ( S ` ( T ` A ) ) ) ) $=
      ( chba wcel ccom cfv hocofi hocoi wceq ffvelrni syl eqtrd ) AHIZABCJZDJKA
      DKZSKZTCKBKZASDBCEFLGMRTHIUAUBNHHADGOTBCEFMPQ $.
  $}

  $( Associativity of sum of Hilbert space operators.  (Contributed by NM,
     24-Aug-2006.)  (New usage is discouraged.) $)
  hoaddass $p |- ( ( R : ~H --> ~H /\ S : ~H --> ~H /\ T : ~H --> ~H ) ->
                ( ( R +op S ) +op T ) = ( R +op ( S +op T ) ) ) $=
    ( chba wf chos co wceq ch0o cif oveq1 oveq1d eqeq12d oveq2 oveq2d hoaddassi
    ho0f elimf dedth3h ) DDAEZDDBEZDDCEZABFGZCFGZABCFGZFGZHTAIJZBFGZCFGZUGUEFGZ
    HUGUABIJZFGZCFGZUGUKCFGZFGZHULUBCIJZFGZUGUKUPFGZFGZHABCIIIAUGHZUDUIUFUJUTUC
    UHCFAUGBFKLAUGUEFKMBUKHZUIUMUJUOVAUHULCFBUKUGFNLVAUEUNUGFBUKCFKOMCUPHZUMUQU
    OUSCUPULFNVBUNURUGFCUPUKFNOMUGUKUPDDAIQRDDBIQRDDCIQRPS $.

  $( Commutative/associative law for Hilbert space operator sum that swaps the
     second and third terms.  (Contributed by NM, 24-Aug-2006.)
     (New usage is discouraged.) $)
  hoadd32 $p |- ( ( R : ~H --> ~H /\ S : ~H --> ~H /\ T : ~H --> ~H ) ->
                ( ( R +op S ) +op T ) = ( ( R +op T ) +op S ) ) $=
    ( chba wf w3a chos co wceq hoaddcom 3adant1 oveq2d hoaddass 3com23 3eqtr4d
    ) DDAEZDDBEZDDCEZFZABCGHZGHACBGHZGHZABGHCGHACGHBGHZSTUAAGQRTUAIPBCJKLABCMPR
    QUCUBIACBMNO $.

  $( Rearrangement of 4 terms in a sum of Hilbert space operators.
     (Contributed by NM, 24-Aug-2006.)  (New usage is discouraged.) $)
  hoadd4 $p |- ( ( ( R : ~H --> ~H /\ S : ~H --> ~H ) /\
      ( T : ~H --> ~H /\ U : ~H --> ~H ) ) -> ( ( R +op S ) +op ( T +op U ) ) =
                ( ( R +op T ) +op ( S +op U ) ) ) $=
    ( chba wf wa chos co wceq w3a hoadd32 oveq1d 3expa adantrr hoaddcl hoaddass
    3expb sylan an4s 3eqtr3d ) EEAFZEEBFZGZEECFZEEDFZGZGABHIZCHIZDHIZACHIZBHIZD
    HIZUHCDHIHIZUKBDHIHIZUDUEUJUMJZUFUBUCUEUPUBUCUEKUIULDHABCLMNOUDEEUHFZUGUJUN
    JZABPUQUEUFURUHCDQRSUBUEUCUFUMUOJZUBUEGEEUKFZUCUFGUSACPUTUCUFUSUKBDQRSTUA
    $.

  $( Distributive law for Hilbert space operator difference.  (Contributed by
     NM, 23-Aug-2006.)  (New usage is discouraged.) $)
  hocsubdir $p |- ( ( R : ~H --> ~H /\ S : ~H --> ~H /\ T : ~H --> ~H ) ->
                ( ( R -op S ) o. T ) = ( ( R o. T ) -op ( S o. T ) ) ) $=
    ( chba wf chod co ccom wceq ch0o cif oveq1 coeq1d coeq1 eqeq12d oveq2 coeq2
    oveq1d ho0f elimf oveq2d oveq12d hocsubdiri dedth3h ) DDAEZDDBEZDDCEZABFGZC
    HZACHZBCHZFGZIUEAJKZBFGZCHZUMCHZUKFGZIUMUFBJKZFGZCHZUPURCHZFGZIUSUGCJKZHZUM
    VCHZURVCHZFGZIABCJJJAUMIZUIUOULUQVHUHUNCAUMBFLMVHUJUPUKFAUMCNROBURIZUOUTUQV
    BVIUNUSCBURUMFPMVIUKVAUPFBURCNUAOCVCIZUTVDVBVGCVCUSQVJUPVEVAVFFCVCUMQCVCURQ
    UBOUMURVCDDAJSTDDBJSTDDCJSTUCUD $.

  ${
    $d x T $.
    hoaddid1.1 $e |- T : ~H --> ~H $.
    $( Sum of a Hilbert space operator with the zero operator.  (Contributed by
       NM, 15-Nov-2000.)  (New usage is discouraged.) $)
    hoaddid1i $p |- ( T +op 0hop ) = T $=
      ( vx cv ch0o chos co cfv wceq chba wral wcel cva wf hosval mp3an12 ho0val
      c0v ho0f oveq2d ffvelrni ax-hvaddid syl 3eqtrd rgen hoaddcli hoeqi mpbi )
      CDZAEFGZHZUIAHZIZCJKUJAIUMCJUIJLZUKULUIEHZMGZULRMGZULJJANJJENUNUKUPIBSUIA
      EOPUNUORULMUIQTUNULJLUQULIJJUIABUAULUBUCUDUECUJAAEBSUFBUGUH $.

    $( Difference of a Hilbert space operator from itself.  (Contributed by NM,
       10-Mar-2006.)  (New usage is discouraged.) $)
    hodidi $p |- ( T -op T ) = 0hop $=
      ( chod co ch0o wceq chos hoaddid1i ho0f hodsi mpbir ) AACDEFAEGDAFABHAAEB
      BIJK $.

    $( Composition of the zero operator and a Hilbert space operator.
       (Contributed by NM, 9-Aug-2006.)  (New usage is discouraged.) $)
    ho0coi $p |- ( 0hop o. T ) = 0hop $=
      ( vx ch0o ccom cfv wceq chba wral wcel c0v ffvelrni ho0val syl ho0f hocoi
      cv 3eqtr4d rgen hocofi hoeqi mpbi ) CQZDAEZFZUCDFZGZCHIUDDGUGCHUCHJZUCAFZ
      DFZKUEUFUHUIHJUJKGHHUCABLUIMNUCDAOBPUCMRSCUDDDAOBTOUAUB $.

    $( Composition of Hilbert space operator with unit identity.  (Contributed
       by NM, 15-Nov-2000.)  (New usage is discouraged.) $)
    hoid1i $p |- ( T o. Iop ) = T $=
      ( vx chio ccom chba cpjh df-iop coeq2i cv wceq wral wcel helch pjfi hocoi
      cfv pjch1 fveq2d eqtrd rgen hocofi hoeqi mpbi eqtri ) ADEAFGQZEZADUFAHICJ
      ZUGQZUHAQZKZCFLUGAKUKCFUHFMZUIUHUFQZAQUJUHAUFBFNOZPULUMUHAUHRSTUACUGAAUFB
      UNUBBUCUDUE $.

    $( Composition of Hilbert space operator with unit identity.  (Contributed
       by NM, 15-Nov-2000.)  (New usage is discouraged.) $)
    hoid1ri $p |- ( Iop o. T ) = T $=
      ( vx chio ccom chba cpjh df-iop coeq1i cv wceq wral wcel helch pjfi hocoi
      cfv ffvelrni pjch1 syl eqtrd rgen hocofi hoeqi mpbi eqtri ) DAEFGQZAEZADU
      GAHICJZUHQZUIAQZKZCFLUHAKULCFUIFMZUJUKUGQZUKUIUGAFNOZBPUMUKFMUNUKKFFUIABR
      UKSTUAUBCUHAUGAUOBUCBUDUEUF $.
  $}

  $( Sum of a Hilbert space operator with the zero operator.  (Contributed by
     NM, 25-Jul-2006.)  (New usage is discouraged.) $)
  hoaddid1 $p |- ( T : ~H --> ~H -> ( T +op 0hop ) = T ) $=
    ( chba wf ch0o chos co wceq cif oveq1 id eqeq12d ho0f elimf hoaddid1i dedth
    ) BBACZADEFZAGPADHZDEFZRGADARGZQSARARDEITJKRBBADLMNO $.

  $( Difference of a Hilbert space operator from itself.  (Contributed by NM,
     23-Jul-2006.)  (New usage is discouraged.) $)
  hodid $p |- ( T : ~H --> ~H -> ( T -op T ) = 0hop ) $=
    ( chba wf chod co ch0o wceq cif id oveq12d eqeq1d ho0f elimf hodidi dedth )
    BBACZAADEZFGPAFHZRDEZFGAFARGZQSFTARARDTIZUAJKRBBAFLMNO $.

  $( A Hilbert space operator is not empty.  (Contributed by NM, 24-Mar-2006.)
     (New usage is discouraged.) $)
  hon0 $p |- ( T : ~H --> ~H -> -. T = (/) ) $=
    ( chba wf c0 wceq c0v ax-hv0cl n0ii wfn fn0 wi ffn fndmu syl syl5bir mtoi
    ex ) BBACZADEZBDEZFBGHSADIZRTAJRABIZUATKBBALUBUATBDAMQNOP $.

  ${
    $d x S $.  $d x T $.
    hodseq.2 $e |- S : ~H --> ~H $.
    hodseq.3 $e |- T : ~H --> ~H $.
    $( Subtraction and addition of equal Hilbert space operators.  (Contributed
       by NM, 27-Aug-2004.)  (New usage is discouraged.) $)
    hodseqi $p |- ( S +op ( T -op S ) ) = T $=
      ( chod co wceq chos eqid hosubcli hodsi mpbi ) BAEFZMGAMHFBGMIBAMDCBADCJK
      L $.

    $( Subtraction of Hilbert space operators expressed in terms of difference
       from zero.  (Contributed by NM, 10-Mar-2006.)
       (New usage is discouraged.) $)
    ho0subi $p |- ( S -op T ) = ( S +op ( 0hop -op T ) ) $=
      ( chod co ch0o chos wceq ho0f hosubcli hoadd12i oveq2i hoaddid1i hoaddcli
      hodseqi 3eqtri hodsi mpbir ) ABEFAGBEFZHFZIBUAHFZAIUBABTHFZHFAGHFABATDCGB
      JDKZLUCGAHBGDJPMACNQABUACDATCUDORS $.

    $( Relationship between Hilbert operator addition and subtraction.
       (Contributed by NM, 24-Aug-2006.)  (New usage is discouraged.) $)
    honegsubi $p |- ( S +op ( -u 1 .op T ) ) = ( S -op T ) $=
      ( vx cv c1 cneg chot co cfv wceq chba wcel cva wf neg1cn mp3an12 ffvelrni
      eqtr4d chos chod wral cmv cc homulcl mp2an hosval hvsubval syl2anc homval
      csm oveq2d hodval rgen hoaddcli hosubcli hoeqi mpbi ) EFZAGHZBIJZUAJZKZUT
      ABUBJZKZLZEMUCVCVELVGEMUTMNZVDUTAKZUTBKZUDJZVFVHVDVIUTVBKZOJZVKMMAPZMMVBP
      ZVHVDVMLCVAUENZMMBPZVOQDVABUFUGZUTAVBUHRVHVKVIVAVJULJZOJZVMVHVIMNVJMNVKVT
      LMMUTACSMMUTBDSVIVJUIUJVHVLVSVIOVPVQVHVLVSLQDVAUTBUKRUMTTVNVQVHVFVKLCDUTA
      BUNRTUOEVCVEAVBCVRUPABCDUQURUS $.

$(
    @( Distributive law for Hilbert space operators. @)
    hosdi @p |- ( A e. CC ->
                 ( A .op ( S +op T ) ) = ( ( A .op S ) +op ( A .op T ) ) ) @=
?@.

    @( Distributive law for Hilbert space operators. @)
    hoddii @p |- ( A e. CC ->
                 ( A .op ( S -op T ) ) = ( ( A .op S ) -op ( A .op T ) ) ) @=
?@.
$)
  $}

  $( Subtraction of Hilbert space operators expressed in terms of difference
     from zero.  (Contributed by NM, 25-Jul-2006.)
     (New usage is discouraged.) $)
  ho0sub $p |- ( ( S : ~H --> ~H /\ T : ~H --> ~H ) ->
                ( S -op T ) = ( S +op ( 0hop -op T ) ) ) $=
    ( chba wf chod co ch0o chos wceq cif oveq1 eqeq12d oveq2 ho0f elimf ho0subi
    oveq2d dedth2h ) CCADZCCBDZABEFZAGBEFZHFZISAGJZBEFZUDUBHFZIUDTBGJZEFZUDGUGE
    FZHFZIABGGAUDIUAUEUCUFAUDBEKAUDUBHKLBUGIZUEUHUFUJBUGUDEMUKUBUIUDHBUGGEMQLUD
    UGCCAGNOCCBGNOPR $.

  $( The zero operator subtracted from a Hilbert space operator.  (Contributed
     by NM, 25-Jul-2006.)  (New usage is discouraged.) $)
  hosubid1 $p |- ( T : ~H --> ~H -> ( T -op 0hop ) = T ) $=
    ( chba wf ch0o chod co chos wceq ho0sub mpan2 hodidi oveq2i hoaddid1 syl5eq
    ho0f eqtrd ) BBACZADEFZADDEFZGFZAQBBDCRTHOADIJQTADGFASDAGDOKLAMNP $.

  $( Relationship between Hilbert space operator addition and subtraction.
     (Contributed by NM, 24-Aug-2006.)  (New usage is discouraged.) $)
  honegsub $p |- ( ( T : ~H --> ~H /\ U : ~H --> ~H ) ->
                ( T +op ( -u 1 .op U ) ) = ( T -op U ) ) $=
    ( chba wf c1 cneg chot co chos chod wceq ch0o cif oveq1 eqeq12d oveq2d ho0f
    oveq2 elimf honegsubi dedth2h ) CCADZCCBDZAEFZBGHZIHZABJHZKUBALMZUEIHZUHBJH
    ZKUHUDUCBLMZGHZIHZUHUKJHZKABLLAUHKUFUIUGUJAUHUEINAUHBJNOBUKKZUIUMUJUNUOUEUL
    UHIBUKUDGRPBUKUHJROUHUKCCALQSCCBLQSTUA $.

  ${
    $d x A $.  $d x B $.  $d x T $.  $d x U $.
    $( An operator equals its scalar product with one.  (Contributed by NM,
       12-Aug-2006.)  (New usage is discouraged.) $)
    homulid2 $p |- ( T : ~H --> ~H -> ( 1 .op T ) = T ) $=
      ( vx chba wf cv c1 chot co cfv wceq wral wcel wa csm ax-1cn homval mp3an1
      cc ffvelrn ax-hvmulid syl eqtrd ralrimiva homulcl mpan hoeq mpancom mpbid
      wb ) CCADZBEZFAGHZIZUKAIZJZBCKZULAJZUJUOBCUJUKCLZMZUMFUNNHZUNFRLZUJURUMUT
      JOFUKAPQUSUNCLUTUNJCCUKASUNTUAUBUCCCULDZUJUPUQUIVAUJVBOFAUDUEBULAUFUGUH
      $.

    $( Associative law for scalar product and composition of operators.
       (Contributed by NM, 13-Aug-2006.)  (New usage is discouraged.) $)
    homco1 $p |- ( ( A e. CC /\ T : ~H --> ~H /\ U : ~H --> ~H ) ->
                  ( ( A .op T ) o. U ) = ( A .op ( T o. U ) ) ) $=
      ( vx wcel chba wf chot co ccom cfv wceq csm fvco3 3ad2antl3 homval eqtr4d
      wa fco 3impb cc w3a wral oveq2d ffvelrn syl3an3 3expa exp43 3imp1 syl3an2
      cv wi 3expia imp ralrimiva wb homulcl stoic3 sylan2 hoeq syl2anc mpbid )
      AUAEZFFBGZFFCGZUBZDUKZABHIZCJZKZVGABCJZHIZKZLZDFUCZVIVLLZVFVNDFVFVGFEZRZV
      JAVGVKKZMIZVMVRVJVGCKZVHKZVTVEVCVQVJWBLVDFFVGVHCNOVRVTAWABKZMIZWBVRVSWCAM
      VEVCVQVSWCLVDFFVGBCNOUDVCVDVEVQWBWDLZVCVDVEVQWEVCVDVEVQRZWEWFVCVDWAFEWEFF
      VGCUEAWABPUFUGUHUIQQVFVQVMVTLZVCVDVEVQWGULVCVDVERZVQWGWHVCFFVKGZVQWGFFFBC
      SZAVGVKPUJUMTUNQUOVFFFVIGZFFVLGZVOVPUPVCVDFFVHGVEWKABUQFFFVHCSURVCVDVEWLW
      HVCWIWLWJAVKUQUSTDVIVLUTVAVB $.

    $( Scalar product associative law for Hilbert space operators.
       (Contributed by NM, 12-Aug-2006.)  (New usage is discouraged.) $)
    homulass $p |- ( ( A e. CC /\ B e. CC /\ T : ~H --> ~H ) ->
                  ( ( A x. B ) .op T ) = ( A .op ( B .op T ) ) ) $=
      ( vx cc wcel chba wf w3a co chot cfv wceq wa csm wi homval 3expia homulcl
      eqtr4d cv cmul wral mulcl syl3an1 3impa imp oveq2d 3expa 3adantl1 ffvelrn
      ax-hvmulass syl3an3 exp43 3imp1 syl3an2 3impb ralrimiva wb stoic3 syl2anc
      sylan2 hoeq mpbid ) AEFZBEFZGGCHZIZDUAZABUBJZCKJZLZVIABCKJZKJZLZMZDGUCZVK
      VNMZVHVPDGVHVIGFZNZVLAVIVMLZOJZVOVTVLVJVICLZOJZWBVHVSVLWDMZVEVFVGVSWEPVEV
      FNZVGVSWEWFVJEFZVGVSWEABUDZVJVICQUERUFUGVTWBABWCOJZOJZWDVFVGVSWBWJMZVEVFV
      GVSWKVFVGVSIWAWIAOBVICQUHUIUJVEVFVGVSWDWJMZVEVFVGVSWLVEVFVGVSNZWLWMVEVFWC
      GFWLGGVICUKABWCULUMUIUNUOTTVHVSVOWBMZVEVFVGVSWNPVEVFVGNZVSWNWOVEGGVMHZVSW
      NBCSZAVIVMQUPRUQUGTURVHGGVKHZGGVNHZVQVRUSVEVFWGVGWRWHVJCSUTVEVFVGWSWOVEWP
      WSWQAVMSVBUQDVKVNVCVAVD $.

    $( Scalar product distributive law for Hilbert space operators.
       (Contributed by NM, 12-Aug-2006.)  (New usage is discouraged.) $)
    hoadddi $p |- ( ( A e. CC /\ T : ~H --> ~H /\ U : ~H --> ~H ) ->
                 ( A .op ( T +op U ) ) = ( ( A .op T ) +op ( A .op U ) ) ) $=
      ( vx wcel chba wf w3a chos co chot cfv wceq csm cva ffvelrn 3expa homulcl
      wa homval cc cv wral simpl1 3ad2antl2 3ad2antl3 ax-hvdistr1 hosval oveq2d
      syl3anc 3adantl1 3adantl3 3adantl2 oveq12d 3eqtr4d hoaddcl anim2i anim12i
      3impb sylan 3impdi ralrimiva wb sylan2 syl2an hoeq syl2anc mpbid ) AUAEZF
      FBGZFFCGZHZDUBZABCIJZKJZLZVMABKJZACKJZIJZLZMZDFUCZVOVSMZVLWADFVLVMFEZSZAV
      MVNLZNJZVMVQLZVMVRLZOJZVPVTWEAVMBLZVMCLZOJZNJZAWKNJZAWLNJZOJZWGWJWEVIWKFE
      ZWLFEZWNWQMVIVJVKWDUDVJVIWDWRVKFFVMBPUEVKVIWDWSVJFFVMCPUFAWKWLUGUJVJVKWDW
      GWNMZVIVJVKWDWTVJVKWDHWFWMANVMBCUHUIQUKWEWHWOWIWPOVIVJWDWHWOMZVKVIVJWDXAA
      VMBTQULVIVKWDWIWPMZVJVIVKWDXBAVMCTQUMUNUOVLVIFFVNGZSZWDVPWGMZVIVJVKXDVJVK
      SZXCVIBCUPZUQUSVIXCWDXEAVMVNTQUTVLFFVQGZFFVRGZSZWDVTWJMZVIVJVKXJVIVJSZXHV
      IVKSZXIABRZACRZURVAXHXIWDXKVMVQVRUHQUTUOVBVLFFVOGZFFVSGZWBWCVCVIVJVKXPXFV
      IXCXPXGAVNRVDUSVIVJVKXQXLXHXIXQXMXNXOVQVRUPVEVADVOVSVFVGVH $.

    $( Scalar product reverse distributive law for Hilbert space operators.
       (Contributed by NM, 25-Aug-2006.)  (New usage is discouraged.) $)
    hoadddir $p |- ( ( A e. CC /\ B e. CC /\ T : ~H --> ~H ) ->
                 ( ( A + B ) .op T ) = ( ( A .op T ) +op ( B .op T ) ) ) $=
      ( vx cc wcel chba wf co chot cfv wceq cva csm homval 3expa eqtr4d homulcl
      wa sylan w3a caddc chos wral addcl anim1i 3impa 3adantl2 3adantl1 oveq12d
      cv ffvelrn ax-hvdistr2 syl3an3 3exp exp4a 3imp1 anim12i 3impdir ralrimiva
      hosval wb stoic3 hoaddcl syl2an hoeq syl2anc mpbid ) AEFZBEFZGGCHZUAZDUKZ
      ABUBIZCJIZKZVMACJIZBCJIZUCIZKZLZDGUDZVOVSLZVLWADGVLVMGFZSZVPVMVQKZVMVRKZM
      IZVTWEVPVNVMCKZNIZWHVLVNEFZVKSZWDVPWJLZVIVJVKWLVIVJSWKVKABUEZUFUGWKVKWDWM
      VNVMCOPTWEWHAWINIZBWINIZMIZWJWEWFWOWGWPMVIVKWDWFWOLZVJVIVKWDWRAVMCOPUHVJV
      KWDWGWPLZVIVJVKWDWSBVMCOPUIUJVIVJVKWDWJWQLZVIVJVKWDWTVIVJVKWDSZWTXAVIVJWI
      GFWTGGVMCULABWIUMUNUOUPUQQQVLGGVQHZGGVRHZSZWDVTWHLZVIVKVJXDVIVKSZXBVJVKSZ
      XCACRZBCRZURUSXBXCWDXEVMVQVRVAPTQUTVLGGVOHZGGVSHZWBWCVBVIVJWKVKXJWNVNCRVC
      VIVKVJXKXFXBXCXKXGXHXIVQVRVDVEUSDVOVSVFVGVH $.
  $}

  $( Swap first and second factors in a nested operator scalar product.
     (Contributed by NM, 12-Aug-2006.)  (New usage is discouraged.) $)
  homul12 $p |- ( ( A e. CC /\ B e. CC /\ T : ~H --> ~H ) ->
                ( A .op ( B .op T ) ) = ( B .op ( A .op T ) ) ) $=
    ( cc wcel chba wf w3a cmul co chot wa mulcom oveq1d 3adant3 homulass 3com12
    wceq 3eqtr3d ) ADEZBDEZFFCGZHABIJZCKJZBAIJZCKJZABCKJKJBACKJKJZTUAUDUFRUBTUA
    LUCUECKABMNOABCPUATUBUFUGRBACPQS $.

  $( Double negative of a Hilbert space operator.  (Contributed by NM,
     24-Aug-2006.)  (New usage is discouraged.) $)
  honegneg $p |- ( T : ~H --> ~H -> ( -u 1 .op ( -u 1 .op T ) ) = T ) $=
    ( chba wf c1 cneg cmul co chot neg1mulneg1e1 oveq1i cc wcel neg1cn homulass
    wceq mp3an12 homulid2 3eqtr3a ) BBACZDEZTFGZAHGZDAHGTTAHGHGZAUADAHIJTKLZUDS
    UBUCOMMTTANPAQR $.

  $( Relationship between operator subtraction and negative.  (Contributed by
     NM, 25-Aug-2006.)  (New usage is discouraged.) $)
  hosubneg $p |- ( ( T : ~H --> ~H /\ U : ~H --> ~H ) ->
                  ( T -op ( -u 1 .op U ) ) = ( T +op U ) ) $=
    ( chba wf wa c1 cneg chot co chos chod wceq cc wcel neg1cn homulcl honegsub
    mpan sylan2 honegneg oveq2d adantl eqtr3d ) CCADZCCBDZEAFGZUFBHIZHIZJIZAUGK
    IZABJIZUEUDCCUGDZUIUJLUFMNUEULOUFBPRAUGQSUEUIUKLUDUEUHBAJBTUAUBUC $.

  $( Scalar product distributive law for operator difference.  (Contributed by
     NM, 12-Aug-2006.)  (New usage is discouraged.) $)
  hosubdi $p |- ( ( A e. CC /\ T : ~H --> ~H /\ U : ~H --> ~H ) ->
               ( A .op ( T -op U ) ) = ( ( A .op T ) -op ( A .op U ) ) ) $=
    ( cc wcel chba wf w3a c1 cneg chot co chos chod wceq neg1cn oveq2d honegsub
    homulcl wa mpan hoadddi syl3an3 homul12 mp3an2 3adant2 eqtrd 3adant1 syl2an
    3impdi 3eqtr3d ) ADEZFFBGZFFCGZHZABIJZCKLZMLZKLZABKLZUPACKLZKLZMLZABCNLZKLZ
    UTVANLZUOUSUTAUQKLZMLZVCUNULUMFFUQGZUSVHOUPDEZUNVIPUPCSUAABUQUBUCUOVGVBUTMU
    LUNVGVBOZUMULVJUNVKPAUPCUDUEUFQUGUMUNUSVEOULUMUNTURVDAKBCRQUHULUMUNVCVFOZUL
    UMTFFUTGFFVAGVLULUNTABSACSUTVARUIUJUK $.

  $( Distribution of negative over addition.  (Contributed by NM, 24-Aug-2006.)
     (New usage is discouraged.) $)
  honegdi $p |- ( ( T : ~H --> ~H /\ U : ~H --> ~H ) ->
          ( -u 1 .op ( T +op U ) ) = ( ( -u 1 .op T ) +op ( -u 1 .op U ) ) ) $=
    ( c1 cneg cc wcel chba wf chos co chot wceq neg1cn hoadddi mp3an1 ) CDZEFGG
    AHGGBHPABIJKJPAKJPBKJIJLMPABNO $.

  $( Distribution of negative over subtraction.  (Contributed by NM,
     24-Aug-2006.)  (New usage is discouraged.) $)
  honegsubdi $p |- ( ( T : ~H --> ~H /\ U : ~H --> ~H ) ->
                    ( -u 1 .op ( T -op U ) ) = ( ( -u 1 .op T ) +op U ) ) $=
    ( chba wf wa c1 cneg chot co chos chod wceq wcel neg1cn homulcl mpan sylan2
    cc honegdi oveq2d honegsub honegneg adantl 3eqtr3d ) CCADZCCBDZEZFGZAUHBHIZ
    JIZHIZUHAHIZUHUIHIZJIZUHABKIZHIULBJIUFUECCUIDZUKUNLUHRMUFUPNUHBOPAUISQUGUJU
    OUHHABUATUGUMBULJUFUMBLUEBUBUCTUD $.

  $( Distribution of negative over subtraction.  (Contributed by NM,
     24-Aug-2006.)  (New usage is discouraged.) $)
  honegsubdi2 $p |- ( ( T : ~H --> ~H /\ U : ~H --> ~H ) ->
                     ( -u 1 .op ( T -op U ) ) = ( U -op T ) ) $=
    ( chba wf wa c1 cneg chod co chot chos honegsubdi wceq cc wcel homulcl mpan
    neg1cn hoaddcom sylan honegsub ancoms 3eqtrd ) CCADZCCBDZEFGZABHIJIUFAJIZBK
    IZBUGKIZBAHIZABLUDCCUGDZUEUHUIMUFNOUDUKRUFAPQUGBSTUEUDUIUJMBAUAUBUC $.

  $( Law for double subtraction of Hilbert space operators.  (Contributed by
     NM, 24-Aug-2006.)  (New usage is discouraged.) $)
  hosubsub2 $p |- ( ( S : ~H --> ~H /\ T : ~H --> ~H /\ U : ~H --> ~H ) ->
                  ( S -op ( T -op U ) ) = ( S +op ( U -op T ) ) ) $=
    ( chba wf w3a c1 cneg chod co chot chos wceq wa honegsub sylan2 honegsubdi2
    hosubcl 3impb oveq2d 3adant1 eqtr3d ) DDAEZDDBEZDDCEZFAGHBCIJZKJZLJZAUFIJZA
    CBIJZLJZUCUDUEUHUIMZUDUENZUCDDUFEULBCRAUFOPSUDUEUHUKMUCUMUGUJALBCQTUAUB $.

  $( Rearrangement of 4 terms in a mixed addition and subtraction of Hilbert
     space operators.  (Contributed by NM, 24-Aug-2006.)
     (New usage is discouraged.) $)
  hosub4 $p |- ( ( ( R : ~H --> ~H /\ S : ~H --> ~H ) /\
      ( T : ~H --> ~H /\ U : ~H --> ~H ) ) -> ( ( R +op S ) -op ( T +op U ) ) =
                ( ( R -op T ) +op ( S -op U ) ) ) $=
    ( chba wf wa chos co c1 cneg chot chod wceq honegdi neg1cn homulcl honegsub
    mpan hoaddcl adantl oveq2d wcel anim12i hoadd4 sylan2 eqtrd syl2an ad2ant2r
    cc ad2ant2l oveq12d 3eqtr3d ) EEAFZEEBFZGZEECFZEEDFZGZGZABHIZJKZCDHIZLIZHIZ
    AVBCLIZHIZBVBDLIZHIZHIZVAVCMIZACMIZBDMIZHIUTVEVAVFVHHIZHIZVJUTVDVNVAHUSVDVN
    NUPCDOUAUBUSUPEEVFFZEEVHFZGVOVJNUQVPURVQVBUJUCZUQVPPVBCQSVRURVQPVBDQSUDABVF
    VHUEUFUGUPEEVAFEEVCFVEVKNUSABTCDTVAVCRUHUTVGVLVIVMHUNUQVGVLNUOURACRUIUOURVI
    VMNUNUQBDRUKULUM $.

  $( Rearrangement of 4 terms in a mixed addition and subtraction of Hilbert
     space operators.  (Contributed by NM, 24-Aug-2006.)
     (New usage is discouraged.) $)
  hosubadd4 $p |- ( ( ( R : ~H --> ~H /\ S : ~H --> ~H ) /\
      ( T : ~H --> ~H /\ U : ~H --> ~H ) ) -> ( ( R -op S ) -op ( T -op U ) ) =
                ( ( R +op U ) -op ( S +op T ) ) ) $=
    ( chba wf wa chod co chos hosubcl hosubsub2 3expb sylan hosub4 an42s eqtr4d
    wceq ) EEAFZEEBFZGZEECFZEEDFZGZGABHIZCDHIHIZUEDCHIJIZADJIBCJIHIZUAEEUEFZUDU
    FUGRZABKUIUBUCUJUECDLMNSUCTUBUHUGRADBCOPQ $.

  $( Associative-type law for addition and subtraction of Hilbert space
     operators.  (Contributed by NM, 25-Aug-2006.)
     (New usage is discouraged.) $)
  hoaddsubass $p |- ( ( S : ~H --> ~H /\ T : ~H --> ~H /\ U : ~H --> ~H ) ->
                  ( ( S +op T ) -op U ) = ( S +op ( T -op U ) ) ) $=
    ( chba wf chos co ch0o chod wceq ho0f hosubcl mpan hoaddass syl3an3 hoaddcl
    w3a ho0sub stoic3 3adant1 oveq2d 3eqtr4d ) DDAEZDDBEZDDCEZQZABFGZHCIGZFGZAB
    UHFGZFGZUGCIGZABCIGZFGUEUCUDDDUHEZUIUKJDDHEUEUNKHCLMABUHNOUCUDDDUGEUEULUIJA
    BPUGCRSUFUMUJAFUDUEUMUJJUCBCRTUAUB $.

  $( Law for operator addition and subtraction of Hilbert space operators.
     (Contributed by NM, 25-Aug-2006.)  (New usage is discouraged.) $)
  hoaddsub $p |- ( ( S : ~H --> ~H /\ T : ~H --> ~H /\ U : ~H --> ~H ) ->
                  ( ( S +op T ) -op U ) = ( ( S -op U ) +op T ) ) $=
    ( chba wf w3a chos co chod wa hoaddcom oveq1d 3adant3 hoaddsubass 3com12 wi
    wceq hosubcl ex syl5 expd com12 3imp 3eqtrd ) DDAEZDDBEZDDCEZFABGHZCIHZBAGH
    ZCIHZBACIHZGHZULBGHZUEUFUIUKQUGUEUFJUHUJCIABKLMUFUEUGUKUMQBACNOUEUFUGUMUNQZ
    UFUEUGUOPUFUEUGUOUEUGJDDULEZUFUOACRUFUPUOBULKSTUAUBUCUD $.

  $( Law for double subtraction of Hilbert space operators.  (Contributed by
     NM, 25-Aug-2006.)  (New usage is discouraged.) $)
  hosubsub $p |- ( ( S : ~H --> ~H /\ T : ~H --> ~H /\ U : ~H --> ~H ) ->
                  ( S -op ( T -op U ) ) = ( ( S -op T ) +op U ) ) $=
    ( chba wf w3a chod co chos hosubsub2 wceq hoaddsubass hoaddsub eqtr3d eqtrd
    3com23 ) DDAEZDDBEZDDCEZFABCGHGHACBGHIHZABGHCIHZABCJQSRTUAKQSRFACIHBGHTUAAC
    BLACBMNPO $.

  $( Law for double subtraction of Hilbert space operators.  (Contributed by
     NM, 25-Aug-2006.)  (New usage is discouraged.) $)
  hosubsub4 $p |- ( ( S : ~H --> ~H /\ T : ~H --> ~H /\ U : ~H --> ~H ) ->
                  ( ( S -op T ) -op U ) = ( S -op ( T +op U ) ) ) $=
    ( chba wf w3a c1 cneg chot chod chos wceq wcel neg1cn homulcl mpan hosubsub
    co cc syl3an3 hosubneg 3adant1 oveq2d hosubcl honegsub stoic3 3eqtr3rd ) DD
    AEZDDBEZDDCEZFZABGHZCIRZJRZJRZABJRZUMKRZABCKRZJRUPCJRZUJUHUIDDUMEZUOUQLULSM
    UJUTNULCOPABUMQTUKUNURAJUIUJUNURLUHBCUAUBUCUHUIDDUPEUJUQUSLABUDUPCUEUFUG $.

  $( Two times a Hilbert space operator.  (Contributed by NM, 26-Aug-2006.)
     (New usage is discouraged.) $)
  ho2times $p |- ( T : ~H --> ~H -> ( 2 .op T ) = ( T +op T ) ) $=
    ( chba wf c2 chot co c1 chos caddc df-2 oveq1i cc wcel wceq ax-1cn hoadddir
    mp3an12 syl5eq hoadddi anidms mp3an1 hoaddcl homulid2 syl 3eqtr2d ) BBACZDA
    EFZGAEFZUHHFZGAAHFZEFZUJUFUGGGIFZAEFZUIDULAEJKGLMZUNUFUMUINOOGGAPQRUFUKUINZ
    UNUFUFUOOGAASUATUFBBUJCZUKUJNUFUPAAUBTUJUCUDUE $.

  ${
    hoaddsubass.1 $e |- R : ~H --> ~H $.
    hoaddsubass.2 $e |- S : ~H --> ~H $.
    hoaddsubass.3 $e |- T : ~H --> ~H $.
    $( Associativity of sum and difference of Hilbert space operators.
       (Contributed by NM, 27-Aug-2004.)  (New usage is discouraged.) $)
    hoaddsubassi $p |- ( ( R +op S ) -op T ) = ( R +op ( S -op T ) ) $=
      ( chba wf chos co chod wceq hoaddsubass mp3an ) GGAHGGBHGGCHABIJCKJABCKJI
      JLDEFABCMN $.

    $( Law for sum and difference of Hilbert space operators.  (Contributed by
       NM, 27-Aug-2004.)  (New usage is discouraged.) $)
    hoaddsubi $p |- ( ( R +op S ) -op T ) = ( ( R -op T ) +op S ) $=
      ( chos co chod hoaddcomi oveq1i hoaddsubassi hosubcli 3eqtri ) ABGHZCIHBA
      GHZCIHBACIHZGHQBGHOPCIABDEJKBACEDFLBQEACDFMJN $.
  $}

  ${
    hosd1.2 $e |- T : ~H --> ~H $.
    hosd1.3 $e |- U : ~H --> ~H $.
    $( Hilbert space operator sum expressed in terms of difference.
       (Contributed by NM, 27-Aug-2004.)  (New usage is discouraged.) $)
    hosd1i $p |- ( T +op U ) = ( T -op ( 0hop -op U ) ) $=
      ( ch0o chod co chos wceq hosubcli hoaddcomi hoaddsubassi eqtr4i hoaddid1i
      ho0f hoaddcli oveq1i hoaddsubi hodseqi 3eqtri hodsi mpbir eqcomi ) AEBFGZ
      FGZABHGZUEUFIUDUFHGZAIUGUFEHGZBFGZUFBFGZAUGUFUDHGUIUDUFEBODJZABCDPZKUFEBU
      LODLMUHUFBFUFULNQUJABFGZBHGBUMHGAABBCDDRUMBABCDJDKBADCSTTAUDUFCUKULUAUBUC
      $.

    $( Hilbert space operator sum expressed in terms of difference.
       (Contributed by NM, 27-Aug-2004.)  (New usage is discouraged.) $)
    hosd2i $p |- ( T +op U ) = ( T -op ( ( U -op U ) -op U ) ) $=
      ( chos co ch0o chod hosd1i hodidi oveq1i oveq2i eqtr4i ) ABEFAGBHFZHFABBH
      FZBHFZHFABCDIPNAHOGBHBDJKLM $.

    $( Hilbert space operator cancellation law.  (Contributed by NM,
       10-Mar-2006.)  (New usage is discouraged.) $)
    hopncani $p |- ( ( T +op U ) -op U ) = T $=
      ( chos co chod ch0o hoaddsubassi hodidi oveq2i hoaddid1i 3eqtri ) ABEFBGF
      ABBGFZEFAHEFAABBCDDINHAEBDJKACLM $.

    $( Hilbert space operator cancellation law.  (Contributed by NM,
       11-Mar-2006.)  (New usage is discouraged.) $)
    honpcani $p |- ( ( T -op U ) +op U ) = T $=
      ( chos co chod hoaddsubi hopncani eqtr3i ) ABEFBGFABGFBEFAABBCDDHABCDIJ
      $.

    $( If the difference between two operators is zero, they are equal.
       (Contributed by NM, 27-Jul-2006.)  (New usage is discouraged.) $)
    hosubeq0i $p |- ( ( T -op U ) = 0hop <-> T = U ) $=
      ( chod co ch0o wceq c1 cneg chot chos honegsubi eqeq1i oveq1 sylbir eqtri
      chba wf hoaddid1i cc wcel neg1cn homulcl hoadd32i hoaddassi hodidi oveq2i
      mp2an ho0f hoaddcomi 3eqtr3g eqtrdi impbii ) ABEFZGHZABHZUPAIJZBKFZLFZBLF
      ZGBLFZABUPUTGHVAVBHUTUOGABCDMNUTGBLOPVAABLFUSLFZAAUSBCURUAUBRRBSRRUSSUCDU
      RBUDUIZDUEVCABUSLFZLFZAABUSCDVDUFVFAGLFAVEGALVEBBEFZGBBDDMBDUGZQUHACTQQQV
      BBGLFBGBUJDUKBDTQULUQUOVGGABBEOVHUMUN $.
  $}

  ${
    honpncan.1 $e |- R : ~H --> ~H $.
    honpncan.2 $e |- S : ~H --> ~H $.
    honpncan.3 $e |- T : ~H --> ~H $.
    $( Hilbert space operator cancellation law.  (Contributed by NM,
       11-Mar-2006.)  (New usage is discouraged.) $)
    honpncani $p |- ( ( R -op S ) +op ( S -op T ) ) = ( R -op T ) $=
      ( chod co chos hosubcli hoaddsubassi honpcani oveq1i eqtr3i ) ABGHZBIHZCG
      HOBCGHIHACGHOBCABDEJEFKPACGABDELMN $.
  $}

  ${
    $d x y T $.
    ho0.1 $e |- T : ~H --> ~H $.
    $( A condition implying that a Hilbert space operator is identically zero.
       Lemma 3.2(S8) of [Beran] p. 95.  (Contributed by NM, 28-Jan-2006.)
       (New usage is discouraged.) $)
    ho01i $p |- ( A. x e. ~H A. y e. ~H ( ( T ` x ) .ih y ) = 0 <->
               T = 0hop ) $=
      ( chba c0v csn cxp wceq cv cfv wral ch0o wfn wb wf ffn ax-mp c0h wcel csp
      co ax-hv0cl elexi fconst eqfnfv mp2an df0op2 df-ch0 xpeq2i eqtri ffvelrni
      cc0 eqeq2i hial0 syl fvconst2 eqeq2d bitr4d ralbiia 3bitr4ri ) CEFGZHZIZA
      JZCKZVEVCKZIZAELZCMIVFBJUAUBUMIBELZAELCENZVCENZVDVIOEECPVKDEECQREVBVCPVLE
      FFEUCUDZUEEVBVCQRAECVCUFUGMVCCMESHVCUHSVBEUIUJUKUNVJVHAEVEETZVJVFFIZVHVNV
      FETVJVOOEEVECDULBVFUOUPVNVGFVFEFVEVMUQURUSUTVA $.

    $( A condition implying that a Hilbert space operator is identically zero.
       Lemma 3.2(S10) of [Beran] p. 95.  (Contributed by NM, 28-Jan-2006.)
       (New usage is discouraged.) $)
    ho02i $p |- ( A. x e. ~H A. y e. ~H ( x .ih ( T ` y ) ) = 0 <->
               T = 0hop ) $=
      ( cv cfv csp co cc0 wceq chba wral ch0o ralcom wcel wb ffvelrni c0v hial0
      hial02 bitr4d syl ralbiia ho01i 3bitri ) AEZBEZCFZGHIJZBKLAKLUIAKLZBKLUHU
      FGHIJAKLZBKLCMJUIABKKNUJUKBKUGKOUHKOZUJUKPKKUGCDQULUJUHRJUKAUHTAUHSUAUBUC
      BACDUDUE $.
  $}

  ${
    $d x y z S $.  $d u v x y z T $.
    $( A condition implying that two Hilbert space operators are equal.  Lemma
       3.2(S9) of [Beran] p. 95.  (Contributed by NM, 15-Feb-2006.)
       (New usage is discouraged.) $)
    hoeq1 $p |- ( ( S : ~H --> ~H /\ T : ~H --> ~H ) -> ( A. x e. ~H
          A. y e. ~H ( ( S ` x ) .ih y ) = ( ( T ` x ) .ih y ) <-> S = T ) ) $=
      ( chba wf wa cv cfv csp co wceq wral wcel ffvelrn hial2eq syl2an wfn ffn
      wb anandirs ralbidva eqfnfv bitr4d ) EECFZEEDFZGZAHZCIZBHZJKUHDIZUJJKLBEM
      ZAEMUIUKLZAEMZCDLZUGULUMAEUEUFUHENZULUMTZUEUPGUIENUKENUQUFUPGEEUHCOEEUHDO
      BUIUKPQUAUBUECERDERUOUNTUFEECSEEDSAECDUCQUD $.

    $( A condition implying that two Hilbert space operators are equal.  Lemma
       3.2(S11) of [Beran] p. 95.  (Contributed by NM, 15-Feb-2006.)
       (New usage is discouraged.) $)
    hoeq2 $p |- ( ( S : ~H --> ~H /\ T : ~H --> ~H ) -> ( A. x e. ~H
          A. y e. ~H ( x .ih ( S ` y ) ) = ( x .ih ( T ` y ) ) <-> S = T ) ) $=
      ( chba wf wa cv cfv csp co wceq wral ralcom wcel ffvelrn hial2eq2 hial2eq
      wb a1i bitr4d syl2an anandirs ralbidva hoeq1 3bitrd ) EECFZEEDFZGZAHZBHZC
      IZJKUJUKDIZJKLZBEMAEMZUNAEMZBEMZULUJJKUMUJJKLAEMZBEMCDLUOUQSUIUNABEENTUIU
      PURBEUGUHUKEOZUPURSZUGUSGULEOZUMEOZUTUHUSGEEUKCPEEUKDPVAVBGUPULUMLURAULUM
      QAULUMRUAUBUCUDBACDUEUF $.

    $( Every Hilbert space operator has at most one adjoint.  (Contributed by
       NM, 18-Feb-2006.)  (New usage is discouraged.) $)
    adjmo $p |- E* u ( u : ~H --> ~H /\
           A. x e. ~H A. y e. ~H ( x .ih ( T ` y ) ) = ( ( u ` x ) .ih y ) ) $=
      ( vv chba cv wf cfv csp co wceq wral wa wmo wi wal r19.26-2 eqtr2 2ralimi
      sylbir hoeq1 biimpa sylan2 an4s gen2 fveq1 oveq1d eqeq2d 2ralbidv anbi12d
      feq1 mo4 mpbir ) FFCGZHZAGZBGZDIJKZUQUOIZURJKZLZBFMAFMZNZCOVDFFEGZHZUSUQV
      EIZURJKZLZBFMAFMZNZNUOVELZPZEQCQVMCEUPVFVCVJVLVCVJNZUPVFNZVAVHLZBFMAFMZVL
      VNVBVINZBFMAFMVQVBVIABFFRVRVPABFFUSVAVHSTUAVOVQVLABUOVEUBUCUDUEUFVDVKCEVL
      UPVFVCVJFFUOVEULVLVBVIABFFVLVAVHUSVLUTVGURJUQUOVEUGUHUIUJUKUMUN $.

    $( Symmetry property of an adjoint.  (Contributed by NM, 18-Feb-2006.)
       (New usage is discouraged.) $)
    adjsym $p |- ( ( S : ~H --> ~H /\ T : ~H --> ~H ) ->
          ( A. x e. ~H A. y e. ~H ( x .ih ( S ` y ) ) = ( ( T ` x ) .ih y ) <->
         A. x e. ~H A. y e. ~H ( x .ih ( T ` y ) ) = ( ( S ` x ) .ih y ) ) ) $=
      ( vz chba wf wa cv cfv csp co wceq wral weq fveq2 eqeq12d cbvralvw wcel
      wb ralcom oveq2d oveq2 ralbidv bitr4i oveq1 oveq1d ralbii ffvelrn ax-his1
      3bitri ccj adantrl sylan2 adantll ancoms cc hicl cj11 syl2anc bitr2d an4s
      sylan anassrs eqcom bitrdi ralbidva bitr4id ) FFCGZFFDGZHZAIZBIZCJZKLZVLD
      JZVMKLZMZBFNAFNZVMVLCJZKLZVMDJZVLKLZMZBFNZAFNZVLWBKLZVTVMKLZMZBFNZAFNVSVL
      EIZCJZKLZVPWKKLZMZAFNZEFNZVMWLKLZWBWKKLZMZBFNZEFNWFVSVRAFNZBFNWQVRABFFUAW
      PXBEBFEBOZWOVRAFXCWMVOWNVQXCWLVNVLKWKVMCPUBWKVMVPKUCQUDRUEWPXAEFWOWTABFAB
      OZWMWRWNWSVLVMWLKUFXDVPWBWKKVLVMDPUGQRUHXAWEEAFEAOZWTWDBFXEWRWAWSWCXEWLVT
      VMKWKVLCPUBWKVLWBKUCQUDRUKVKWJWEAFVKVLFSZHZWIWDBFXGVMFSZHWIWCWAMZWDVKXFXH
      WIXITZVIXFVJXHXJVIXFHZVJXHHZHZXIWGULJZWHULJZMZWIXLXKXIXPTXLXKHWCXNWAXOXLX
      FWCXNMZVIXLWBFSZXFXQFFVMDUIZWBVLUJVCUMXHXKWAXOMZVJXKXHVTFSZXTFFVLCUIZVMVT
      UJUNUOQUPXMWGUQSZWHUQSZXPWITXFXLYCVIXLXFXRYCXSVLWBURUNUOXKXHYDVJXKYAXHYDY
      BVTVMURVCUMWGWHUSUTVAVBVDWCWAVEVFVGVGVH $.
  $}

  ${
    eigre.1 $e |- A e. ~H $.
    eigre.2 $e |- B e. CC $.
    $( A necessary and sufficient condition (that holds when ` T ` is a
       Hermitian operator) for an eigenvalue ` B ` to be real.  Generalization
       of Equation 1.30 of [Hughes] p. 49.  (Contributed by NM, 21-Jan-2005.)
       (New usage is discouraged.) $)
    eigrei $p |- ( ( ( T ` A ) = ( B .h A ) /\ A =/= 0h ) ->
                 ( ( A .ih ( T ` A ) ) = ( ( T ` A ) .ih A ) <-> B e. RR ) ) $=
      ( cfv csm co wceq c0v wne wa csp ccj wcel cmul cc mp3an eqtrdi cc0 cr clt
      oveq2 chba his5 oveq1 ax-his3 eqeq12d wb hicli ax-his4 mpan gt0ne0d cjcli
      wbr mulcan2 mp3an12 sylancr sylan9bb cjrebi bitr4di ) ACFZBAGHZIZAJKZLAVB
      MHZVBAMHZIZBNFZBIZBUAOVDVHVIAAMHZPHZBVKPHZIZVEVJVDVFVLVGVMVDVFAVCMHZVLVBV
      CAMUCBQOZAUDOZVQVOVLIEDDBAAUERSVDVGVCAMHZVMVBVCAMUFVPVQVQVRVMIEDDBAAUGRSU
      HVEVKQOZVKTKZVNVJUIZAADDUJVEVKVQVETVKUBUODAUKULUMVIQOVPVSVTLWABEUNEVIBVKU
      PUQURUSBEUTVA $.
  $}

  $( A necessary and sufficient condition (that holds when ` T ` is a Hermitian
     operator) for an eigenvalue ` B ` to be real.  Generalization of Equation
     1.30 of [Hughes] p. 49.  (Contributed by NM, 19-Mar-2006.)
     (New usage is discouraged.) $)
  eigre $p |- ( ( ( A e. ~H /\ B e. CC ) /\ ( ( T ` A ) = ( B .h A ) /\ A =/=
       0h ) ) -> ( ( A .ih ( T ` A ) ) = ( ( T ` A ) .ih A ) <-> B e. RR ) ) $=
    ( wcel cc wa cfv csm co wceq c0v wne csp cr wb wi cif cc0 eqeq12d oveq12d
    chba fveq2 oveq2 neeq1 anbi12d id bibi1d imbi12d oveq1 eqeq2d anbi1d bibi2d
    eleq1 ifhvhv0 0cn elimel eigrei dedth2h imp ) AUADZBEDZFACGZBAHIZJZAKLZFZAV
    BMIZVBAMIZJZBNDZOZUTVAVFVKPUTAKQZCGZBVLHIZJZVLKLZFZVLVMMIZVMVLMIZJZVJOZPVMV
    ABRQZVLHIZJZVPFZVTWBNDZOZPABKRAVLJZVFVQVKWAWHVDVOVEVPWHVBVMVCVNAVLCUBZAVLBH
    UCSAVLKUDUEWHVIVTVJWHVGVRVHVSWHAVLVBVMMWHUFZWITWHVBVMAVLMWIWJTSUGUHBWBJZVQW
    EWAWGWKVOWDVPWKVNWCVMBWBVLHUIUJUKWKVJWFVTBWBNUMULUHVLWBCAUNBREUOUPUQURUS $.

  ${
    eigpos.1 $e |- A e. ~H $.
    eigpos.2 $e |- B e. CC $.
    $( A sufficient condition (first conjunct pair, that holds when ` T ` is a
       positive operator) for an eigenvalue ` B ` (second conjunct pair) to be
       nonnegative.  Remark (ii) in [Hughes] p. 137.  (Contributed by NM,
       2-Jul-2005.)  (New usage is discouraged.) $)
    eigposi $p |- ( ( ( ( A .ih ( T ` A ) ) e. RR /\ 0 <_ ( A .ih ( T ` A ) ) )
      /\ ( ( T ` A ) = ( B .h A ) /\ A =/= 0h ) ) -> ( B e. RR /\ 0 <_ B ) ) $=
      ( cfv csp co cr wcel cc0 cle wbr wa csm wceq wb chba bitrd cmul c0v oveq2
      eleq1d hvmulcli mp2an oveq1 eqeq12d bitr4id adantr eigrei biimpac adantlr
      wne hire hiidrcl mp1i clt ax-his4 mpan ad2antll elrpd simplr ad2antrl ccj
      cc his5 mp3an cjred oveq1d syl5eq eqtrd breqtrd prodge0ld jca ) AACFZGHZI
      JZKVPLMZNZVOBAOHZPZAUAUMZNZNZBIJZKBLMVQWCWEVRWCVQWEWCVQVPVOAGHZPZWEWAVQWG
      QWBWAVQAVTGHZIJZWGWAVPWHIVOVTAGUBZUCWAWIWHVTAGHZPZWGARJZVTRJWIWLQDBAEDUDA
      VTUNUEWAVPWHWFWKWJVOVTAGUFUGUHSUIABCDEUJSUKULZWDBAAGHZWNWDWOWMWOIJWDDAUOU
      PWBKWOUQMZVSWAWMWBWPDAURUSUTVAWDKVPBWOTHZLVQVRWCVBWDVPWHWQWAVPWHPVSWBWJVC
      WDWHBVDFZWOTHZWQBVEJWMWMWHWSPEDDBAAVFVGWDWRBWOTWDBWNVHVIVJVKVLVMVN $.
  $}

  ${
    eigorthi.1 $e |- A e. ~H $.
    eigorthi.2 $e |- B e. ~H $.
    eigorthi.3 $e |- C e. CC $.
    eigorthi.4 $e |- D e. CC $.
    $( A necessary and sufficient condition (that holds when ` T ` is a
       Hermitian operator) for two eigenvectors ` A ` and ` B ` to be
       orthogonal.  Generalization of Equation 1.31 of [Hughes] p. 49.
       (Contributed by NM, 23-Jan-2005.)  (New usage is discouraged.) $)
    eigorthi $p |- ( ( ( ( T ` A ) = ( C .h A ) /\ ( T ` B ) = ( D .h B ) )
                     /\ C =/= ( * ` D ) ) ->
         ( ( A .ih ( T ` B ) ) = ( ( T ` A ) .ih B ) <-> ( A .ih B ) = 0 ) ) $=
      ( cfv csm co wceq csp cmul cc0 oveq2 cc wcel eqtrdi wa ccj wne chba mp3an
      his5 oveq1 ax-his3 eqeqan12rd wb hicli cjcli mulcan2 mp3an12 eqcom bitrdi
      mpan biimpcd necon1d com12 mul01i eqtr4i eqtr4d impbid1 sylan9bb ) AEJZCA
      KLZMZBEJZDBKLZMZUAAVINLZVFBNLZMDUBJZABNLZOLZCVOOLZMZCVNUCZVOPMZVKVHVLVPVM
      VQVKVLAVJNLZVPVIVJANQDRSAUDSZBUDSZWAVPMIFGDABUFUETVHVMVGBNLZVQVFVGBNUGCRS
      ZWBWCWDVQMHFGCABUHUETUIVSVRVTVRVSVTVRVOPCVNVOPUCZVRCVNMZWFVRVNCMZWGVORSZW
      FVRWHUJZABFGUKVNRSWEWIWFUAWJDIULZHVNCVOUMUNUQVNCUOUPURUSUTVTVPVNPOLZVQVOP
      VNOQVTVQCPOLZWLVOPCOQWMPWLCHVAVNWKVAVBTVCVDVE $.
  $}

  $( A necessary and sufficient condition (that holds when ` T ` is a Hermitian
     operator) for two eigenvectors ` A ` and ` B ` to be orthogonal.
     Generalization of Equation 1.31 of [Hughes] p. 49.  (Contributed by NM,
     23-Mar-2006.)  (New usage is discouraged.) $)
  eigorth $p |- ( ( ( ( A e. ~H /\ B e. ~H ) /\ ( C e. CC /\ D e. CC ) ) /\
                 ( ( ( T ` A ) = ( C .h A ) /\ ( T ` B ) = ( D .h B ) )
                   /\ C =/= ( * ` D ) ) ) ->
         ( ( A .ih ( T ` B ) ) = ( ( T ` A ) .ih B ) <-> ( A .ih B ) = 0 ) ) $=
    ( wcel wa cc cfv csm co wceq csp cc0 wi c0v cif oveq2 eqeq12d anbi1d ccj wb
    chba fveq2 oveq1 oveq1d eqeq1d bibi12d imbi12d anbi2d oveq2d eqeq2d anbi12d
    wne neeq1 imbi1d neeq2d ifhvhv0 0cn elimel eigorthi dedth4h imp ) AUCFZBUCF
    ZGCHFZDHFZGGAEIZCAJKZLZBEIZDBJKZLZGZCDUAIZUNZGZAVKMKZVHBMKZLZABMKZNLZUBZVDV
    EVFVGVQWCOVDAPQZEIZCWDJKZLZVMGZVPGZWDVKMKZWEBMKZLZWDBMKZNLZUBZOWGVEBPQZEIZD
    WPJKZLZGZVPGZWDWQMKZWEWPMKZLZWDWPMKZNLZUBZOWEVFCNQZWDJKZLZWSGZXHVOUNZGZXGOX
    JWQVGDNQZWPJKZLZGZXHXNUAIZUNZGZXGOABCDPPNNAWDLZVQWIWCWOYAVNWHVPYAVJWGVMYAVH
    WEVIWFAWDEUDZAWDCJRSTTYAVTWLWBWNYAVRWJVSWKAWDVKMUEYAVHWEBMYBUFSYAWAWMNAWDBM
    UEUGUHUIBWPLZWIXAWOXGYCWHWTVPYCVMWSWGYCVKWQVLWRBWPEUDZBWPDJRSUJTYCWLXDWNXFY
    CWJXBWKXCYCVKWQWDMYDUKBWPWEMRSYCWMXENBWPWDMRUGUHUICXHLZXAXMXGYEWTXKVPXLYEWG
    XJWSYEWFXIWECXHWDJUEULTCXHVOUOUMUPDXNLZXMXTXGYFXKXQXLXSYFWSXPXJYFWRXOWQDXNW
    PJUEULUJYFVOXRXHDXNUAUDUQUMUPWDWPXHXNEAURBURCNHUSUTDNHUSUTVAVBVC $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Linear, continuous, bounded, Hermitian, unitary operators and norms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d t u w x y z $.
    $( Define the norm of a Hilbert space operator.  (Contributed by NM,
       18-Jan-2006.)  (New usage is discouraged.) $)
    df-nmop $a |- normop = ( t e. ( ~H ^m ~H ) |-> sup (
       { x | E. z e. ~H ( ( normh ` z ) <_ 1 /\ x = ( normh ` ( t ` z ) ) ) } ,
              RR* , < ) ) $.

    $( Define the set of continuous operators on Hilbert space.  For every
       "epsilon" ( ` y ` ) there is a "delta" ( ` z ` ) such that...
       (Contributed by NM, 28-Jan-2006.)  (New usage is discouraged.) $)
    df-cnop $a |- ContOp = { t e. ( ~H ^m ~H ) | A. x e. ~H A. y e. RR+
                E. z e. RR+ A. w e. ~H ( ( normh ` ( w -h x ) ) < z ->
                ( normh ` ( ( t ` w ) -h ( t ` x ) ) ) < y ) } $.

    $( Define the set of linear operators on Hilbert space.  (See ~ df-hosum
       for definition of operator.)  (Contributed by NM, 18-Jan-2006.)
       (New usage is discouraged.) $)
    df-lnop $a |- LinOp = { t e. ( ~H ^m ~H ) |
           A. x e. CC A. y e. ~H A. z e. ~H
       ( t ` ( ( x .h y ) +h z ) ) = ( ( x .h ( t ` y ) ) +h ( t ` z ) ) } $.

    $( Define the set of bounded linear Hilbert space operators.  (See
       ~ df-hosum for definition of operator.)  (Contributed by NM,
       18-Jan-2006.)  (New usage is discouraged.) $)
    df-bdop $a |- BndLinOp = { t e. LinOp | ( normop ` t ) < +oo } $.

    $( Define the set of unitary operators on Hilbert space.  (Contributed by
       NM, 18-Jan-2006.)  (New usage is discouraged.) $)
    df-unop $a |- UniOp = { t | ( t : ~H -onto-> ~H /\
         A. x e. ~H A. y e. ~H ( ( t ` x ) .ih ( t ` y ) ) = ( x .ih y ) ) } $.

    $( Define the set of Hermitian operators on Hilbert space.  Some books call
       these "symmetric operators" and others call them "self-adjoint
       operators", sometimes with slightly different technical meanings.
       (Contributed by NM, 18-Jan-2006.)  (New usage is discouraged.) $)
    df-hmop $a |- HrmOp = { t e. ( ~H ^m ~H ) | A. x e. ~H A. y e. ~H
                   ( x .ih ( t ` y ) ) = ( ( t ` x ) .ih y ) } $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Linear and continuous functionals and norms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

    $( Define the norm of a Hilbert space functional.  (Contributed by NM,
       11-Feb-2006.)  (New usage is discouraged.) $)
    df-nmfn $a |- normfn = ( t e. ( CC ^m ~H ) |-> sup (
         { x | E. z e. ~H ( ( normh ` z ) <_ 1 /\ x = ( abs ` ( t ` z ) ) ) } ,
              RR* , < ) ) $.

    $( Define the null space of a Hilbert space functional.  (Contributed by
       NM, 11-Feb-2006.)  (New usage is discouraged.) $)
    df-nlfn $a |- null = ( t e. ( CC ^m ~H ) |-> ( `' t " { 0 } ) ) $.

    $( Define the set of continuous functionals on Hilbert space.  For every
       "epsilon" ( ` y ` ) there is a "delta" ( ` z ` ) such that...
       (Contributed by NM, 11-Feb-2006.)  (New usage is discouraged.) $)
    df-cnfn $a |- ContFn = { t e. ( CC ^m ~H ) | A. x e. ~H A. y e. RR+
      E. z e. RR+ A. w e. ~H ( ( normh ` ( w -h x ) ) < z ->
      ( abs ` ( ( t ` w ) - ( t ` x ) ) ) < y ) } $.

    $( Define the set of linear functionals on Hilbert space.  (Contributed by
       NM, 11-Feb-2006.)  (New usage is discouraged.) $)
    df-lnfn $a |- LinFn = { t e. ( CC ^m ~H ) |
           A. x e. CC A. y e. ~H A. z e. ~H
       ( t ` ( ( x .h y ) +h z ) ) = ( ( x x. ( t ` y ) ) + ( t ` z ) ) } $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Adjoint
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

    $( Define the adjoint of a Hilbert space operator (if it exists).  The
       domain of ` adjh ` is the set of all adjoint operators.  Definition of
       adjoint in [Kalmbach2] p. 8.  Unlike Kalmbach (and most authors), we do
       not demand that the operator be linear, but instead show (in ~ adjbdln )
       that the adjoint exists for a bounded linear operator.  (Contributed by
       NM, 20-Feb-2006.)  (New usage is discouraged.) $)
    df-adjh $a |- adjh = { <. t , u >. | ( t : ~H --> ~H /\ u : ~H --> ~H /\
         A. x e. ~H A. y e. ~H ( ( t ` x ) .ih y ) = ( x .ih ( u ` y ) ) ) } $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Dirac bra-ket notation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

    $( Define the bra of a vector used by Dirac notation.  Based on definition
       of bra in [Prugovecki] p. 186 (p. 180 in 1971 edition).  In Dirac
       bra-ket notation, ` <. A | B >. ` is a complex number equal to the inner
       product ` ( B .ih A ) ` .  But physicists like to talk about the
       individual components ` <. A | ` and ` | B >. ` , called bra and ket
       respectively.  In order for their properties to make sense formally, we
       define the ket ` | B >. ` as the vector ` B ` itself, and the bra
       ` <. A | ` as a functional from ` ~H ` to ` CC ` .  We represent the
       Dirac notation ` <. A | B >. ` by ` ( ( bra `` A ) `` B ) ` ; see
       ~ braval .  The reversal of the inner product arguments not only makes
       the bra-ket behavior consistent with physics literature (see comments
       under ~ ax-his3 ) but is also required in order for the associative law
       ~ kbass2 to work.

       Our definition of bra and the associated outer product ~ df-kb differs
       from, but is equivalent to, a common approach in the literature that
       makes use of mappings to a dual space.  Our approach eliminates the need
       to have a parallel development of this dual space and instead keeps
       everything in Hilbert space.

       _For an extensive discussion about how our notation maps to the bra-ket
       notation in physics textbooks, see ~ mmnotes.txt , under the 17-May-2006
       entry_.  (Contributed by NM, 15-May-2006.)
       (New usage is discouraged.) $)
    df-bra $a |- bra = ( x e. ~H |-> ( y e. ~H |-> ( y .ih x ) ) ) $.

    $( Define a commuted bra and ket juxtaposition used by Dirac notation.  In
       Dirac notation, ` | A >. <. B | ` is an operator known as the outer
       product of ` A ` and ` B ` , which we represent by ` ( A ketbra B ) ` .
       Based on Equation 8.1 of [Prugovecki] p. 376.  This definition, combined
       with Definition ~ df-bra , allows any legal juxtaposition of bras and
       kets to make sense formally and also to obey the associative law when
       mapped back to Dirac notation.  (Contributed by NM, 15-May-2006.)
       (New usage is discouraged.) $)
    df-kb $a |- ketbra = ( x e. ~H , y e. ~H |->
                          ( z e. ~H |-> ( ( z .ih y ) .h x ) ) ) $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Positive operators
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

    $( Define positive operator ordering.  Definition VI.1 of [Retherford]
       p. 49.  Note that ` ( ~H X. 0H ) <_op T ` means that ` T ` is a positive
       operator.  (Contributed by NM, 23-Jul-2006.)
       (New usage is discouraged.) $)
    df-leop $a |- <_op = { <. t , u >. | ( ( u -op t ) e. HrmOp /\
               A. x e. ~H 0 <_ ( ( ( u -op t ) ` x ) .ih x ) ) } $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Eigenvectors, eigenvalues, spectrum
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

    $( Define the eigenvector function.  Theorem ~ eleigveccl shows that
       ` eigvec `` T ` , the set of eigenvectors of Hilbert space operator
       ` T ` , are Hilbert space vectors.  (Contributed by NM, 11-Mar-2006.)
       (New usage is discouraged.) $)
    df-eigvec $a |- eigvec = ( t e. ( ~H ^m ~H ) |->
         { x e. ( ~H \ 0H ) | E. z e. CC ( t ` x ) = ( z .h x ) } ) $.

    $( Define the eigenvalue function.  The range of ` eigval `` T ` is the set
       of eigenvalues of Hilbert space operator ` T ` .  Theorem ~ eigvalcl
       shows that ` ( eigval `` T ) `` A ` , the eigenvalue associated with
       eigenvector ` A ` , is a complex number.  (Contributed by NM,
       11-Mar-2006.)  (New usage is discouraged.) $)
    df-eigval $a |- eigval = ( t e. ( ~H ^m ~H ) |->
                     ( x e. ( eigvec ` t ) |->
                   ( ( ( t ` x ) .ih x ) / ( ( normh ` x ) ^ 2 ) ) ) ) $.

    $( Define the spectrum of an operator.  Definition of spectrum in [Halmos]
       p. 50.  (Contributed by NM, 11-Apr-2006.)
       (New usage is discouraged.) $)
    df-spec $a |- Lambda = ( t e. ( ~H ^m ~H ) |->
        { x e. CC | -. ( t -op ( x .op ( _I |` ~H ) ) ) : ~H -1-1-> ~H } ) $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Theorems about operators and functionals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d t u w x y z T $.
    $( Value of the norm of a Hilbert space operator.  (Contributed by NM,
       18-Jan-2006.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    nmopval $p |- ( T : ~H --> ~H -> ( normop ` T ) = sup ( { x | E. y e. ~H
         ( ( normh ` y ) <_ 1 /\ x = ( normh ` ( T ` y ) ) ) } , RR* , < ) ) $=
      ( vt cv cno cfv c1 cle wbr wceq chba wrex cab cxr clt csup cnop ax-hilex
      wa xrltso supex fveq1 fveq2d eqeq2d anbi2d rexbidv abbidv supeq1d df-nmop
      fvmptmap ) DCBEZFGHIJZAEZULDEZGZFGZKZTZBLMZANZOPQUMUNULCGZFGZKZTZBLMZANZO
      PQLLROVGPUAUBSSUOCKZOVAVGPVHUTVFAVHUSVEBLVHURVDUMVHUQVCUNVHUPVBFULUOCUCUD
      UEUFUGUHUIABDUJUK $.

    $( Property defining a continuous Hilbert space operator.  (Contributed by
       NM, 28-Jan-2006.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    elcnop $p |- ( T e. ContOp <-> ( T : ~H --> ~H /\ A. x e. ~H A. y e. RR+
                   E. z e. RR+ A. w e. ~H ( ( normh ` ( w -h x ) ) < z ->
                     ( normh ` ( ( T ` w ) -h ( T ` x ) ) ) < y ) ) ) $=
      ( vt ccop wcel chba co cv cmv cno cfv clt wbr wi wral crp wrex cmap wa wf
      wceq fveq1 oveq12d fveq2d breq1d imbi2d rexralbidv 2ralbidv df-cnop elmap
      elrab2 ax-hilex anbi1i bitri ) EGHEIIUAJZHZDKZAKZLJMNCKOPZUTENZVAENZLJZMN
      ZBKZOPZQZDIRCSTZBSRAIRZUBIIEUCZVKUBVBUTFKZNZVAVMNZLJZMNZVGOPZQZDIRCSTZBSR
      AIRVKFEURGVMEUDZVTVJABISWAVSVICDSIWAVRVHVBWAVQVFVGOWAVPVEMWAVNVCVOVDLUTVM
      EUEVAVMEUEUFUGUHUIUJUKABCDFULUNUSVLVKIIEUOUOUMUPUQ $.

    $( Property defining a linear Hilbert space operator.  (Contributed by NM,
       18-Jan-2006.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    ellnop $p |- ( T e. LinOp <-> ( T : ~H --> ~H /\
        A. x e. CC A. y e. ~H A. z e. ~H
       ( T ` ( ( x .h y ) +h z ) ) = ( ( x .h ( T ` y ) ) +h ( T ` z ) ) ) ) $=
      ( vt clo wcel chba cmap co cv csm cva cfv wceq wral cc wa fveq1 ax-hilex
      oveq2d oveq12d eqeq12d ralbidv 2ralbidv df-lnop elrab2 elmap anbi1i bitri
      wf ) DFGDHHIJZGZAKZBKZLJCKZMJZDNZUNUODNZLJZUPDNZMJZOZCHPZBHPAQPZRHHDUKZVE
      RUQEKZNZUNUOVGNZLJZUPVGNZMJZOZCHPZBHPAQPVEEDULFVGDOZVNVDABQHVOVMVCCHVOVHU
      RVLVBUQVGDSVOVJUTVKVAMVOVIUSUNLUOVGDSUAUPVGDSUBUCUDUEABCEUFUGUMVFVEHHDTTU
      HUIUJ $.

    $( A linear Hilbert space operator is a Hilbert space operator.
       (Contributed by NM, 18-Jan-2006.)  (New usage is discouraged.) $)
    lnopf $p |- ( T e. LinOp -> T : ~H --> ~H ) $=
      ( vx vy vz clo wcel chba wf cv csm co cva cfv wceq wral cc ellnop simplbi
      ) AEFGGAHBIZCIZJKDIZLKAMSTAMJKUAAMLKNDGOCGOBPOBCDAQR $.

    $( Property defining a bounded linear Hilbert space operator.  (Contributed
       by NM, 18-Jan-2006.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    elbdop $p |- ( T e. BndLinOp <->
                  ( T e. LinOp /\ ( normop ` T ) < +oo ) ) $=
      ( vt cv cnop cfv cpnf clt wbr clo cbo wceq fveq2 breq1d df-bdop elrab2 )
      BCZDEZFGHADEZFGHBAIJPAKQRFGPADLMBNO $.

    $( A bounded linear Hilbert space operator is a linear operator.
       (Contributed by NM, 18-Feb-2006.)  (New usage is discouraged.) $)
    bdopln $p |- ( T e. BndLinOp -> T e. LinOp ) $=
      ( cbo wcel clo cnop cfv cpnf clt wbr elbdop simplbi ) ABCADCAEFGHIAJK $.

    $( A bounded linear Hilbert space operator is a Hilbert space operator.
       (Contributed by NM, 2-Feb-2006.)  (New usage is discouraged.) $)
    bdopf $p |- ( T e. BndLinOp -> T : ~H --> ~H ) $=
      ( cbo wcel clo chba wf bdopln lnopf syl ) ABCADCEEAFAGAHI $.

    $( The set in the supremum of the operator norm definition ~ df-nmop is a
       set of reals.  (Contributed by NM, 2-Feb-2006.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    nmopsetretALT $p |- ( T : ~H --> ~H -> { x | E. y e. ~H
           ( ( normh ` y ) <_ 1 /\ x = ( normh ` ( T ` y ) ) ) } C_ RR ) $=
      ( chba wf cv cno cfv c1 cle wbr wceq wa wrex cr wcel ffvelrn normcl eleq1
      syl syl5ibr impcom adantrl exp31 rexlimdv abssdv ) DDCEZBFZGHIJKZAFZUHCHZ
      GHZLZMZBDNAOUGUNUJOPZBDUGUHDPZUNUOUGUPMZUMUOUIUMUQUOUQUOUMULOPZUQUKDPURDD
      UHCQUKRTUJULOSUAUBUCUDUEUF $.

    $( The set in the supremum of the operator norm definition ~ df-nmop is a
       set of reals.  (Contributed by NM, 2-Feb-2006.)
       (New usage is discouraged.) $)
    nmopsetretHIL $p |- ( T : ~H --> ~H -> { x | E. y e. ~H
           ( ( normh ` y ) <_ 1 /\ x = ( normh ` ( T ` y ) ) ) } C_ RR ) $=
      ( cva csm cop cno cnv wcel chba wf cv cfv c1 cle wbr wceq wa wrex cab wss
      cr eqid hhnv df-hba hhnm nmosetre mpan ) DEFGFZHIJJCKBLZGMNOPALUJCMGMQRBJ
      SATUBUAUIUIUCZUDABCGGUIJJUEUIUKUFUGUH $.

    $( The set in the supremum of the operator norm definition ~ df-nmop is
       nonempty.  (Contributed by NM, 9-Feb-2006.)
       (New usage is discouraged.) $)
    nmopsetn0 $p |- ( normh ` ( T ` 0h ) ) e.
      { x | E. y e. ~H ( ( normh ` y ) <_ 1 /\ x = ( normh ` ( T ` y ) ) ) } $=
      ( c0v cfv cno cv c1 cle wbr wceq wa chba wrex cab wcel ax-hv0cl cc0 norm0
      0le1 eqbrtri pm3.2i fveq2 breq1d 2fveq3 eqeq2d anbi12d rspcev mp2an eqeq1
      eqid fvex anbi2d rexbidv elab mpbir ) DCEZFEZBGZFEZHIJZAGZUSCEFEZKZLZBMNZ
      AOPVAURVCKZLZBMNZDMPDFEZHIJZURURKZLZVIQVKVLVJRHISTUAURUKUBVHVMBDMUSDKZVAV
      KVGVLVNUTVJHIUSDFUCUDVNVCURURUSDFCUEUFUGUHUIVFVIAURUQFULVBURKZVEVHBMVOVDV
      GVAVBURVCUJUMUNUOUP $.

    $( The norm of a Hilbert space operator is an extended real.  (Contributed
       by NM, 9-Feb-2006.)  (New usage is discouraged.) $)
    nmopxr $p |- ( T : ~H --> ~H -> ( normop ` T ) e. RR* ) $=
      ( vy vx chba wf cnop cfv cv cno c1 cle wbr wceq wrex cab cxr csup nmopval
      wa clt wss wcel cr nmopsetretHIL ressxr sstrdi supxrcl syl eqeltrd ) DDAE
      ZAFGBHZIGJKLCHUKAGIGMSBDNCOZPTQZPCBARUJULPUAUMPUBUJULUCPCBAUDUEUFULUGUHUI
      $.

    $( The norm of a Hilbert space operator is either real or plus infinity.
       (Contributed by NM, 5-Feb-2006.)  (New usage is discouraged.) $)
    nmoprepnf $p |- ( T : ~H --> ~H ->
                   ( ( normop ` T ) e. RR <-> ( normop ` T ) =/= +oo ) ) $=
      ( vy vx chba wf cv cno cfv c1 cle wbr wceq wa wrex cab cxr wcel cpnf wne
      cr clt csup cnop wss c0 wb nmopsetretHIL nmopsetn0 ne0ii supxrre2 sylancl
      c0v nmopval eleq1d neeq1d 3bitr4d ) DDAEZBFZGHIJKCFURAHGHLMBDNCOZPUAUBZTQ
      ZUTRSZAUCHZTQVCRSUQUSTUDUSUESVAVBUFCBAUGULAHGHUSCBAUHUIUSUJUKUQVCUTTCBAUM
      ZUNUQVCUTRVDUOUP $.

    $( The norm of a Hilbert space operator is not minus infinity.
       (Contributed by NM, 2-Feb-2006.)  (New usage is discouraged.) $)
    nmopgtmnf $p |- ( T : ~H --> ~H -> -oo < ( normop ` T ) ) $=
      ( chba wf cnop cfv cr wcel cpnf wceq wn wb wo clt wbr wne nmoprepnf df-ne
      cmnf bitrdi xor3 nbior sylbir mnfltxr 3syl ) BBACZADEZFGZUFHIZJZKZUGUHLZR
      UFMNUEUGUFHOUIAPUFHQSUJUGUHKJUKUGUHTUGUHUAUBUFUCUD $.

    $( The norm of a Hilbert space operator is real iff it is less than
       infinity.  (Contributed by NM, 14-Feb-2006.)
       (New usage is discouraged.) $)
    nmopreltpnf $p |- ( T : ~H --> ~H ->
                   ( ( normop ` T ) e. RR <-> ( normop ` T ) < +oo ) ) $=
      ( chba wf cnop cfv cr wcel cpnf wne clt wbr nmoprepnf cxr wceq wn nltpnft
      wb nmopxr syl necon2abid bitr4d ) BBACZADEZFGUCHIUCHJKZALUBUDUCHUBUCMGUCH
      NUDOQARUCPSTUA $.

    $( The norm of a bounded operator is a real number.  (Contributed by NM,
       29-Jan-2006.)  (New usage is discouraged.) $)
    nmopre $p |- ( T e. BndLinOp -> ( normop ` T ) e. RR ) $=
      ( cbo wcel cnop cfv cr cmnf clt wbr cpnf chba wf nmopgtmnf syl clo elbdop
      bdopf simprbi cxr wa wb nmopxr xrrebnd 3syl mpbir2and ) ABCZADEZFCZGUGHIZ
      UGJHIZUFKKALZUIAQZAMNUFAOCUJAPRUFUKUGSCUHUIUJTUAULAUBUGUCUDUE $.

    $( Property defining a bounded linear Hilbert space operator.  (Contributed
       by NM, 14-Feb-2006.)  (New usage is discouraged.) $)
    elbdop2 $p |- ( T e. BndLinOp <->
                   ( T e. LinOp /\ ( normop ` T ) e. RR ) ) $=
      ( cbo wcel clo cnop cfv cpnf clt wbr wa cr elbdop wf wb lnopf nmopreltpnf
      chba syl pm5.32i bitr4i ) ABCADCZAEFZGHIZJUAUBKCZJALUAUDUCUAQQAMUDUCNAOAP
      RST $.

    $( Property defining a unitary Hilbert space operator.  (Contributed by NM,
       18-Jan-2006.)  (New usage is discouraged.) $)
    elunop $p |- ( T e. UniOp <-> ( T : ~H -onto-> ~H /\
        A. x e. ~H A. y e. ~H ( ( T ` x ) .ih ( T ` y ) ) = ( x .ih y ) ) ) $=
      ( vt cuo wcel cvv chba wfo cv cfv csp co wceq wral wa elex wf fof fveq1
      ax-hilex fex sylancl adantr foeq1 oveq12d eqeq1d 2ralbidv anbi12d df-unop
      elab2g pm5.21nii ) CEFCGFZHHCIZAJZCKZBJZCKZLMZUOUQLMZNZBHOAHOZPZCEQUNUMVB
      UNHHCRHGFUMHHCSUAHHGCUBUCUDHHDJZIZUOVDKZUQVDKZLMZUTNZBHOAHOZPVCDCEGVDCNZV
      EUNVJVBHHVDCUEVKVIVAABHHVKVHUSUTVKVFUPVGURLUOVDCTUQVDCTUFUGUHUIABDUJUKUL
      $.

    $( Property defining a Hermitian Hilbert space operator.  (Contributed by
       NM, 18-Jan-2006.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    elhmop $p |- ( T e. HrmOp <-> ( T : ~H --> ~H /\ A. x e. ~H A. y e. ~H
                   ( x .ih ( T ` y ) ) = ( ( T ` x ) .ih y ) ) ) $=
      ( vt cho wcel chba cmap co cv cfv csp wceq wral wa wf fveq1 oveq2d oveq1d
      ax-hilex eqeq12d 2ralbidv df-hmop elrab2 elmap anbi1i bitri ) CEFCGGHIZFZ
      AJZBJZCKZLIZUJCKZUKLIZMZBGNAGNZOGGCPZUQOUJUKDJZKZLIZUJUSKZUKLIZMZBGNAGNUQ
      DCUHEUSCMZVDUPABGGVEVAUMVCUOVEUTULUJLUKUSCQRVEVBUNUKLUJUSCQSUAUBABDUCUDUI
      URUQGGCTTUEUFUG $.

    $( A Hermitian operator is a Hilbert space operator (mapping).
       (Contributed by NM, 19-Mar-2006.)  (New usage is discouraged.) $)
    hmopf $p |- ( T e. HrmOp -> T : ~H --> ~H ) $=
      ( vx vy cho wcel chba wf cv cfv csp co wceq wral elhmop simplbi ) ADEFFAG
      BHZCHZAIJKPAIQJKLCFMBFMBCANO $.

    $( The class of Hermitian operators is a set.  (Contributed by NM,
       17-Aug-2006.)  (New usage is discouraged.) $)
    hmopex $p |- HrmOp e. _V $=
      ( vt chba cmap co ovex cv wcel wf hmopf ax-hilex elmap sylibr ssriv ssexi
      cho ) OBBCDZBBCEAOPAFZOGBBQHQPGQIBBQJJKLMN $.

    $( Value of the norm of a Hilbert space functional.  (Contributed by NM,
       11-Feb-2006.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    nmfnval $p |- ( T : ~H --> CC -> ( normfn ` T ) = sup ( { x | E. y e. ~H
           ( ( normh ` y ) <_ 1 /\ x = ( abs ` ( T ` y ) ) ) } , RR* , < ) ) $=
      ( vt cv cno cfv c1 cle wbr cabs wceq wa chba wrex cab cxr clt csup cc
      cnmf xrltso supex ax-hilex cnex fveq1 fveq2d eqeq2d anbi2d rexbidv abbidv
      supeq1d df-nmfn fvmptmap ) DCBEZFGHIJZAEZUODEZGZKGZLZMZBNOZAPZQRSUPUQUOCG
      ZKGZLZMZBNOZAPZQRSNTUAQVJRUBUCUDUEURCLZQVDVJRVKVCVIAVKVBVHBNVKVAVGUPVKUTV
      FUQVKUSVEKUOURCUFUGUHUIUJUKULABDUMUN $.

    $( The set in the supremum of the functional norm definition ~ df-nmfn is a
       set of reals.  (Contributed by NM, 14-Feb-2006.)
       (New usage is discouraged.) $)
    nmfnsetre $p |- ( T : ~H --> CC -> { x | E. y e. ~H
           ( ( normh ` y ) <_ 1 /\ x = ( abs ` ( T ` y ) ) ) } C_ RR ) $=
      ( chba cc wf cv cno cfv c1 cle wbr cabs wceq wa wrex wcel ffvelrn abscld
      cr eleq1 syl5ibr impcom adantrl rexlimdva2 abssdv ) DECFZBGZHIJKLZAGZUHCI
      ZMIZNZOZBDPATUGUNUJTQZBDUGUHDQOZUMUOUIUMUPUOUPUOUMULTQUPUKDEUHCRSUJULTUAU
      BUCUDUEUF $.

    $( The set in the supremum of the functional norm definition ~ df-nmfn is
       nonempty.  (Contributed by NM, 14-Feb-2006.)
       (New usage is discouraged.) $)
    nmfnsetn0 $p |- ( abs ` ( T ` 0h ) ) e.
      { x | E. y e. ~H ( ( normh ` y ) <_ 1 /\ x = ( abs ` ( T ` y ) ) ) } $=
      ( c0v cfv cabs cv cno c1 cle wbr wceq wa chba wrex cab ax-hv0cl cc0 norm0
      wcel eqbrtri pm3.2i fveq2 breq1d 2fveq3 eqeq2d anbi12d rspcev mp2an eqeq1
      0le1 eqid fvex anbi2d rexbidv elab mpbir ) DCEZFEZBGZHEZIJKZAGZUTCEFEZLZM
      ZBNOZAPTVBUSVDLZMZBNOZDNTDHEZIJKZUSUSLZMZVJQVLVMVKRIJSUKUAUSULUBVIVNBDNUT
      DLZVBVLVHVMVOVAVKIJUTDHUCUDVOVDUSUSUTDFCUEUFUGUHUIVGVJAUSURFUMVCUSLZVFVIB
      NVPVEVHVBVCUSVDUJUNUOUPUQ $.

    $( The norm of any Hilbert space functional is an extended real.
       (Contributed by NM, 9-Feb-2006.)  (New usage is discouraged.) $)
    nmfnxr $p |- ( T : ~H --> CC -> ( normfn ` T ) e. RR* ) $=
      ( vy vx chba cc wf cnmf cfv cv cno c1 cle wbr cabs wceq wrex cab cxr clt
      wa csup nmfnval wss wcel cr nmfnsetre ressxr sstrdi supxrcl syl eqeltrd )
      DEAFZAGHBIZJHKLMCIUMAHNHOTBDPCQZRSUAZRCBAUBULUNRUCUORUDULUNUERCBAUFUGUHUN
      UIUJUK $.

    $( The norm of a Hilbert space functional is either real or plus infinity.
       (Contributed by NM, 8-Dec-2007.)  (New usage is discouraged.) $)
    nmfnrepnf $p |- ( T : ~H --> CC ->
                   ( ( normfn ` T ) e. RR <-> ( normfn ` T ) =/= +oo ) ) $=
      ( vy vx chba cc wf cv cno cfv c1 cle wbr cabs wceq wa wrex wcel cpnf wne
      cr cab cxr clt csup cnmf wss c0 wb nmfnsetre c0v nmfnsetn0 ne0ii supxrre2
      sylancl nmfnval eleq1d neeq1d 3bitr4d ) DEAFZBGZHIJKLCGUTAIMINOBDPCUAZUBU
      CUDZTQZVBRSZAUEIZTQVERSUSVATUFVAUGSVCVDUHCBAUIUJAIMIVACBAUKULVAUMUNUSVEVB
      TCBAUOZUPUSVEVBRVFUQUR $.

    $( Value of the null space of a Hilbert space functional.  (Contributed by
       NM, 11-Feb-2006.)  (New usage is discouraged.) $)
    nlfnval $p |- ( T : ~H --> CC -> ( null ` T ) = ( `' T " { 0 } ) ) $=
      ( vt chba cc wf cmap co wcel cnl cfv ccnv cc0 csn cima wceq cnex ax-hilex
      elmap cvv cnvexg imaexg syl cv cnveq imaeq1d df-nlfn fvmptg mpdan sylbir
      ) CDAEADCFGZHZAIJAKZLMZNZOZDCAPQRUKUNSHZUOUKULSHUPAUJTULUMSUAUBBABUCZKZUM
      NUNUJSIUQAOURULUMUQAUDUEBUFUGUHUI $.

    $( Property defining a continuous functional.  (Contributed by NM,
       11-Feb-2006.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    elcnfn $p |- ( T e. ContFn <-> ( T : ~H --> CC /\ A. x e. ~H A. y e. RR+
                   E. z e. RR+ A. w e. ~H ( ( normh ` ( w -h x ) ) < z ->
                     ( abs ` ( ( T ` w ) - ( T ` x ) ) ) < y ) ) ) $=
      ( vt ccnfn wcel cc chba co cv cfv clt wbr cmin cabs wi wral crp cmap wrex
      cmv cno wa wf wceq fveq1 oveq12d fveq2d breq1d imbi2d rexralbidv 2ralbidv
      df-cnfn elrab2 cnex ax-hilex elmap anbi1i bitri ) EGHEIJUAKZHZDLZALZUCKUD
      MCLNOZVDEMZVEEMZPKZQMZBLZNOZRZDJSCTUBZBTSAJSZUEJIEUFZVOUEVFVDFLZMZVEVQMZP
      KZQMZVKNOZRZDJSCTUBZBTSAJSVOFEVBGVQEUGZWDVNABJTWEWCVMCDTJWEWBVLVFWEWAVJVK
      NWEVTVIQWEVRVGVSVHPVDVQEUHVEVQEUHUIUJUKULUMUNABCDFUOUPVCVPVOIJEUQURUSUTVA
      $.

    $( Property defining a linear functional.  (Contributed by NM,
       11-Feb-2006.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    ellnfn $p |- ( T e. LinFn <-> ( T : ~H --> CC /\
        A. x e. CC A. y e. ~H A. z e. ~H
       ( T ` ( ( x .h y ) +h z ) ) = ( ( x x. ( T ` y ) ) + ( T ` z ) ) ) ) $=
      ( vt clf wcel cc chba cmap co cv csm cfv cmul caddc wceq wral wa fveq1 wf
      cva oveq2d oveq12d eqeq12d ralbidv 2ralbidv df-lnfn elrab2 ax-hilex elmap
      cnex anbi1i bitri ) DFGDHIJKZGZALZBLZMKCLZUBKZDNZUQURDNZOKZUSDNZPKZQZCIRZ
      BIRAHRZSIHDUAZVHSUTELZNZUQURVJNZOKZUSVJNZPKZQZCIRZBIRAHRVHEDUOFVJDQZVQVGA
      BHIVRVPVFCIVRVKVAVOVEUTVJDTVRVMVCVNVDPVRVLVBUQOURVJDTUCUSVJDTUDUEUFUGABCE
      UHUIUPVIVHHIDULUJUKUMUN $.

    $( A linear Hilbert space functional is a functional.  (Contributed by NM,
       25-Apr-2006.)  (New usage is discouraged.) $)
    lnfnf $p |- ( T e. LinFn -> T : ~H --> CC ) $=
      ( vx vy vz clf wcel chba cc wf cv csm cva cfv cmul caddc wceq wral ellnfn
      co simplbi ) AEFGHAIBJZCJZKSDJZLSAMUAUBAMNSUCAMOSPDGQCGQBHQBCDART $.

    $( Alternate definition of the adjoint of a Hilbert space operator.
       (Contributed by NM, 20-Feb-2006.)  (New usage is discouraged.) $)
    dfadj2 $p |- adjh = { <. t , u >. | ( t : ~H --> ~H /\ u : ~H --> ~H /\
         A. x e. ~H A. y e. ~H ( x .ih ( t ` y ) ) = ( ( u ` x ) .ih y ) ) } $=
      ( cado chba cv wf cfv csp co wceq wral w3a copab df-adjh wa eqcom 2ralbii
      df-3an adjsym bitr4id pm5.32i 3bitr4i opabbii eqtri ) EFFDGZHZFFCGZHZAGZU
      GIBGZJKZUKULUIIJKZLZBFMAFMZNZDCOUHUJUKULUGIJKUKUIIULJKLBFMAFMZNZDCOABCDPU
      QUSDCUHUJQZUPQUTURQUQUSUTUPURUTUPUNUMLZBFMAFMURUOVAABFFUMUNRSABUGUIUAUBUC
      UHUJUPTUHUJURTUDUEUF $.

    $( Functionality of the adjoint function.  (Contributed by NM,
       15-Feb-2006.)  (New usage is discouraged.) $)
    funadj $p |- Fun adjh $=
      ( vt vu vx vy cado wfun chba cv wf cfv csp co wceq wral w3a copab funopab
      wmo wa adjmo 3simpc moimi ax-mp mpgbir dfadj2 funeqi mpbir ) EFGGAHZIZGGB
      HZIZCHZDHZUHJKLULUJJUMKLMDGNCGNZOZABPZFZUQUOBRZAUOABQUKUNSZBRURCDBUHTUOUS
      BUIUKUNUAUBUCUDEUPCDBAUEUFUG $.

    $( The domain of the adjoint function is a subset of the maps from ` ~H `
       to ` ~H ` .  (Contributed by NM, 15-Feb-2006.)
       (New usage is discouraged.) $)
    dmadjss $p |- dom adjh C_ ( ~H ^m ~H ) $=
      ( vt vu vx vy cado cdm cv chba cmap co wcel wf cfv csp wceq wral wa copab
      w3a ax-hilex dfadj2 3anass elmap anbi1i bitr4i opabbii dmopabss eqsstri
      eqtri dmeqi ) EFAGZHHIJZKZHHBGZLZCGZDGZUKMNJUPUNMUQNJODHPCHPZQZQZABRZFULE
      VAEHHUKLZUOURSZABRVACDBAUAVCUTABVCVBUSQUTVBUOURUBUMVBUSHHUKTTUCUDUEUFUIUJ
      USABULUGUH $.

    $( A member of the domain of the adjoint function is a Hilbert space
       operator.  (Contributed by NM, 15-Feb-2006.)
       (New usage is discouraged.) $)
    dmadjop $p |- ( T e. dom adjh -> T : ~H --> ~H ) $=
      ( cado cdm wcel chba cmap co wf dmadjss sseli ax-hilex elmap sylib ) ABCZ
      DAEEFGZDEEAHNOAIJEEAKKLM $.

    $( Elementhood in the domain of the adjoint function.  (Contributed by
       Mario Carneiro, 11-Sep-2015.)  (Revised by Mario Carneiro, 24-Dec-2016.)
       (New usage is discouraged.) $)
    adjeu $p |- ( T : ~H --> ~H -> ( T e. dom adjh <-> E! u e. ( ~H ^m ~H )
       A. x e. ~H A. y e. ~H ( x .ih ( T ` y ) ) = ( ( u ` x ) .ih y ) ) ) $=
      ( vt chba wf cado cdm wcel cv cfv csp co wceq wral wa wex cvv ax-hilex wb
      cmap wreu fex2 mp3an23 feq1 oveq2d eqeq1d 2ralbidv 3anbi13d 3anass bitrdi
      w3a fveq1 exbidv 19.42v copab cab dfadj2 dmeqi dmopab eqtri baibd mpancom
      elab2g weu df-reu elmap anbi1i eubii adjmo df-eu mpbiran2 3bitri bitr4di
      wmo ) FFDGZDHIZJZFFCKZGZAKZBKZDLZMNZWBVTLWCMNZOZBFPAFPZQZCRZWHCFFUBNZUCZD
      SJZVQVSWJUAVQFSJZWNWMTTFFDSSUDUEWMVSVQWJFFEKZGZWAWBWCWOLZMNZWFOZBFPAFPZUM
      ZCRZVQWJQZEDVRSWODOZXBVQWIQZCRXCXDXAXECXDXAVQWAWHUMXEXDWPVQWTWHWAFFWODUFX
      DWSWGABFFXDWRWEWFXDWQWDWBMWCWODUNUGUHUIUJVQWAWHUKULUOVQWICUPULVRXAECUQZIX
      BEURHXFABCEUSUTXAECVAVBVEVCVDWLVTWKJZWHQZCVFWICVFZWJWHCWKVGXHWICXGWAWHFFV
      TTTVHVIVJXIWJWICVPABCDVKWICVLVMVNVO $.

    $( Value of the adjoint function for ` T ` in the domain of ` adjh ` .
       (Contributed by NM, 19-Feb-2006.)  (Revised by Mario Carneiro,
       24-Dec-2016.)  (New usage is discouraged.) $)
    adjval $p |- ( T e. dom adjh -> ( adjh ` T ) = ( iota_ u e. ( ~H ^m ~H )
       A. x e. ~H A. y e. ~H ( x .ih ( T ` y ) ) = ( ( u ` x ) .ih y ) ) ) $=
      ( vt cado cdm wcel cv chba co cfv csp wceq wral wa cio wf w3a ax-hilex
      cmap crio dmadjop biantrurd elmap anbi1i 3anass 3bitr4g iotabidv df-riota
      a1i dfadj2 feq1 fveq1 oveq2d eqeq1d 2ralbidv 3anbi13d fvopab5 3eqtr4rd )
      DFGZHZCIZJJUAKZHZAIZBIZDLZMKZVFVCLVGMKZNZBJOAJOZPZCQZJJDRZJJVCRZVLSZCQVLC
      VDUBZDFLVBVMVQCVBVPVLPZVOVSPVMVQVBVOVSDUCUDVEVPVLJJVCTTUEUFVOVPVLUGUHUIVR
      VNNVBVLCVDUJUKJJEIZRZVPVFVGVTLZMKZVJNZBJOAJOZSVQECDFVAABCEULVTDNZWAVOWEVL
      VPJJVTDUMWFWDVKABJJWFWCVIVJWFWBVHVFMVGVTDUNUOUPUQURUSUT $.

    $( Value of the adjoint function.  (Contributed by NM, 19-Feb-2006.)
       (New usage is discouraged.) $)
    adjval2 $p |- ( T e. dom adjh -> ( adjh ` T ) = ( iota_ u e. ( ~H ^m ~H )
      A. x e. ~H A. y e. ~H ( ( T ` x ) .ih y ) = ( x .ih ( u ` y ) ) ) ) $=
      ( cado cdm wcel cfv cv csp co wceq chba wral cmap crio adjval wf dmadjop
      wb elmapi wa adjsym eqcom 2ralbii bitrdi syl2an riotabidva eqtrd ) DEFGZD
      EHAIZBIZDHJKUKCIZHULJKLBMNAMNZCMMOKZPUKDHULJKZUKULUMHJKZLZBMNAMNZCUOPABCD
      QUJUNUSCUOUJMMDRZMMUMRZUNUSTUMUOGDSUMMMUAUTVAUBUNUQUPLZBMNAMNUSABDUMUCVBU
      RABMMUQUPUDUEUFUGUHUI $.

    $( The adjoint function equals its converse.  (Contributed by NM,
       15-Feb-2006.)  (New usage is discouraged.) $)
    cnvadj $p |- `' adjh = adjh $=
      ( vu vt vx vy chba cv wf cfv csp co wceq wral w3a copab ccnv cado wa wcel
      wb ccj cnvopab 3ancoma ffvelrn ax-his1 sylan adantrl adantll eqeq12d hicl
      sylan2 ancoms cc cj11 syl2anc bitr2d anassrs eqcom bitrdi ralbidva ralcom
      an4s pm5.32i df-3an 3bitr4i bitri opabbii eqtri dfadj2 cnveqi 3eqtr4i ) E
      EAFZGZEEBFZGZCFZDFZVKHZIJZVOVMHZVPIJZKZDELZCELZMZABNZOZVNVLVPVSIJZVQVOIJZ
      KZCELDELZMZBANZPOPWFWDBANWLWDABUAWDWKBAWDVNVLWCMZWKVLVNWCUBVNVLQZWCQWNWJQ
      WMWKWNWCWJWNWCWIDELZCELWJWNWBWOCEWNVOERZQZWAWIDEWQVPERZQWAWHWGKZWIWNWPWRW
      AWSSZVNWPVLWRWTVNWPQZVLWRQZQZWSVRTHZVTTHZKZWAXBXAWSXFSXBXAQWHXDWGXEXBWPWH
      XDKZVNXBVQERZWPXGEEVPVKUCZVQVOUDUEUFWRXAWGXEKZVLXAWRVSERZXJEEVOVMUCZVPVSU
      DUJUGUHUKXCVRULRZVTULRZXFWASWPXBXMVNXBWPXHXMXIVOVQUIUJUGXAWRXNVLXAXKWRXNX
      LVSVPUIUEUFVRVTUMUNUOVAUPWHWGUQURUSUSWICDEEUTURVBVNVLWCVCVNVLWJVCVDVEVFVG
      PWECDBAVHVIDCABVHVJ $.

    $( The converse of the adjoint function is a function.  (Contributed by NM,
       25-Jan-2006.)  (New usage is discouraged.) $)
    funcnvadj $p |- Fun `' adjh $=
      ( cado ccnv wfun funadj cnvadj funeqi mpbir ) ABZCACDHAEFG $.

    $( The adjoint function maps one-to-one onto its domain.  (Contributed by
       NM, 15-Feb-2006.)  (New usage is discouraged.) $)
    adj1o $p |- adjh : dom adjh -1-1-onto-> dom adjh $=
      ( cado cdm wf1o wfn ccnv wfun crn wceq funadj funfn mpbi funcnvadj cnvadj
      df-rn dmeqi eqtri dff1o2 mpbir3an ) ABZSACASDZAEZFAGZSHAFTIAJKLUBUABSANUA
      AMOPSSAQR $.

    $( The adjoint of an operator belongs to the adjoint function's domain.
       (Contributed by NM, 15-Feb-2006.)  (New usage is discouraged.) $)
    dmadjrn $p |- ( T e. dom adjh -> ( adjh ` T ) e. dom adjh ) $=
      ( cado cdm wf1o wf adj1o f1of ax-mp ffvelrni ) BCZJABJJBDJJBEFJJBGHI $.

    $( The set of eigenvectors of a Hilbert space operator.  (Contributed by
       NM, 11-Mar-2006.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    eigvecval $p |- ( T : ~H --> ~H -> ( eigvec ` T ) =
           { x e. ( ~H \ 0H ) | E. y e. CC ( T ` x ) = ( y .h x ) } ) $=
      ( vt cv cfv csm wceq wrex chba c0h cdif crab cei cvv wcel ax-hilex difexg
      co cc ax-mp rabex fveq1 eqeq1d rexbidv rabbidv df-eigvec fvmptmap ) DCAEZ
      DEZFZBEUIGSZHZBTIZAJKLZMUICFZULHZBTIZAUOMJJNURAUOJOPUOOPQJKORUAUBQQUJCHZU
      NURAUOUSUMUQBTUSUKUPULUIUJCUCUDUEUFABDUGUH $.

    $( The eigenvalues of eigenvectors of a Hilbert space operator.
       (Contributed by NM, 11-Mar-2006.)  (New usage is discouraged.) $)
    eigvalfval $p |- ( T : ~H --> ~H -> ( eigval ` T ) = ( x e. ( eigvec ` T )
                    |-> ( ( ( T ` x ) .ih x ) / ( ( normh ` x ) ^ 2 ) ) ) ) $=
      ( vt cv cei cfv csp co cno c2 cexp cdiv cmpt chba cel fvex mptex ax-hilex
      wceq oveq1d fveq2 fveq1 mpteq12dv df-eigval fvmptmap ) CBACDZEFZADZUFFZUH
      GHZUHIFJKHZLHZMABEFZUHBFZUHGHZUKLHZMNNOAUMUPBEPQRRUFBSZAUGULUMUPUFBEUAUQU
      JUOUKLUQUIUNUHGUHUFBUBTTUCACUDUE $.

    $( The value of the spectrum of an operator.  (Contributed by NM,
       11-Apr-2006.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    specval $p |- ( T : ~H --> ~H -> ( Lambda ` T ) = { x e. CC |
                   -. ( T -op ( x .op ( _I |` ~H ) ) ) : ~H -1-1-> ~H } ) $=
      ( vt chba cv cid cres chot co chod wf1 wn cc crab cspc cnex ax-hilex wceq
      rabex wb oveq1 f1eq1 syl notbid rabbidv df-spec fvmptmap ) CBDDCEZAEFDGHI
      ZJIZKZLZAMNDDBUIJIZKZLZAMNDDOUOAMPSQQUHBRZULUOAMUPUKUNUPUJUMRUKUNTUHBUIJU
      ADDUJUMUBUCUDUEACUFUG $.

    $( The spectrum of an operator is a set of complex numbers.  (Contributed
       by NM, 11-Apr-2006.)  (New usage is discouraged.) $)
    speccl $p |- ( T : ~H --> ~H -> ( Lambda ` T ) C_ CC ) $=
      ( vx chba wf cspc cfv cv cid cres chot co chod wf1 wn crab specval ssrab2
      cc eqsstrdi ) CCADAEFCCABGHCIJKLKMNZBRORBAPTBRQS $.
  $}

  ${
    $d t x y z U $.
    hhlno.1 $e |- U = <. <. +h , .h >. , normh >. $.
    hhlno.2 $e |- L = ( U LnOp U ) $.
    $( The linear operators of Hilbert space.  (Contributed by NM,
       19-Nov-2007.)  (Revised by Mario Carneiro, 19-Nov-2013.)
       (New usage is discouraged.) $)
    hhlnoi $p |- LinOp = L $=
      ( vx vy vz vt clo cv csm co cva cfv wceq chba wral cc cmap crab wcel hhnv
      df-lnop cnv hhba hhva hhsm lnoval mp2an eqtr4i ) IEJZFJZKLGJZMLHJZNUKULUN
      NKLUMUNNMLOGPQFPQERQHPPSLTZBEFGHUCAUDUAZUPBUOOACUBZUQEFGHKKAMMBAPPACUEZUR
      ACUFZUSACUGZUTDUHUIUJ $.
  $}

  ${
    $d t x y U $.
    hhnmo.1 $e |- U = <. <. +h , .h >. , normh >. $.
    ${
      hhnmo.2 $e |- N = ( U normOpOLD U ) $.
      $( The norm of an operator in Hilbert space.  (Contributed by NM,
         19-Nov-2007.)  (Revised by Mario Carneiro, 17-Nov-2013.)
         (New usage is discouraged.) $)
      hhnmoi $p |- normop = N $=
        ( vt vy vx cnop chba cmap co cv cno cfv c1 cle wbr wceq wa wrex cab cxr
        clt csup cmpt df-nmop cnv wcel hhnv hhba hhnm nmoofval mp2an eqtr4i ) H
        EIIJKFLZMNOPQGLUOELNMNRSFITGUAUBUCUDUEZBGFEUFAUGUHZUQBUPRACUIZURGFEAMMB
        AIIACUJZUSACUKZUTDULUMUN $.
    $}

    ${
      hhblo.2 $e |- B = ( U BLnOp U ) $.
      $( A bounded linear operator in Hilbert space.  (Contributed by NM,
         19-Nov-2007.)  (Revised by Mario Carneiro, 19-Nov-2013.)
         (New usage is discouraged.) $)
      hhbloi $p |- BndLinOp = B $=
        ( vx cbo cv cnop cfv cpnf clt wbr clo crab df-bdop cnv wcel wceq eqid
        co hhnv cnmoo hhnmoi clno hhlnoi bloval mp2an eqtr4i ) FEGHIJKLEMNZAEOB
        PQZUJAUIRBCUAZUKEABMHBBBBUBTZCULSUCBBBUDTZCUMSUEDUFUGUH $.
    $}

    ${
      hh0o.2 $e |- Z = ( U 0op U ) $.
      $( The zero operator in Hilbert space.  (Contributed by NM, 7-Dec-2007.)
         (New usage is discouraged.) $)
      hh0oi $p |- 0hop = Z $=
        ( chba c0h cxp cba cfv cn0v csn ch0o hhba c0v df-ch0 hh0v sneqi xpeq12i
        eqtri eqid df0op2 cnv wcel wceq hhnv 0ofval mp2an 3eqtr4i ) EFGAHIZAJIZ
        KZGZLBEUIFUKACMFNKUKONUJACPQSRUAAUBUCZUMBULUDACUEZUNABAUIUJUITUJTDUFUGU
        H $.
    $}
  $}

  ${
    $d w x y z D $.  $d t w x y z J $.  $d t w x y z K $.
    hhcn.1 $e |- D = ( normh o. -h ) $.
    hhcn.2 $e |- J = ( MetOpen ` D ) $.
    $( The continuous operators of Hilbert space.  (Contributed by Mario
       Carneiro, 19-May-2014.)  (New usage is discouraged.) $)
    hhcno $p |- ContOp = ( J Cn J ) $=
      ( vw vx vz vt vy cv cmv co cno cfv clt chba wral crp wcel wa wi wrex cmap
      wbr crab cab ccop df-rab df-cnop wf wceq hilmetdval normsub eqtrd adantll
      ccn breq1d ffvelrn anim12dan syl anassrs imbi12d ralbidva rexbidv ralbidv
      pm5.32i cxmet wb hilxmet metcn mp2an ax-hilex elmap anbi1i 3bitr4i abbi2i
      3eqtr4i ) EJZFJZKLMNZGJZOUDZVRHJZNZVSWCNZKLMNZIJZOUDZUAZEPQZGRUBZIRQZFPQZ
      HPPUCLZUEWCWNSZWMTZHUFUGBBUPLZWMHWNUHFIGEHUIWPHWQPPWCUJZVSVRALZWAOUDZWEWD
      ALZWGOUDZUAZEPQZGRUBZIRQZFPQZTZWRWMTWCWQSZWPWRXGWMWRXFWLFPWRVSPSZTZXEWKIR
      XKXDWJGRXKXCWIEPXKVRPSZTZWTWBXBWHXMWSVTWAOXJXLWSVTUKWRXJXLTZWSVSVRKLMNVTV
      SVRACULVSVRUMUNUOUQXMXAWFWGOWRXJXLXAWFUKZWRXNTWEPSZWDPSZTZXOWRXJXPXLXQPPV
      SWCURPPVRWCURUSXRXAWEWDKLMNWFWEWDACULWEWDUMUNUTVAUQVBVCVDVEVCVFAPVGNSZXSX
      IXHVHACVIZXTFIGEAAWCBBPPDDVJVKWOWRWMPPWCVLVLVMVNVOVPVQ $.

    hhcn.4 $e |- K = ( TopOpen ` CCfld ) $.
    $( The continuous functionals of Hilbert space.  (Contributed by Mario
       Carneiro, 19-May-2014.)  (New usage is discouraged.) $)
    hhcnf $p |- ContFn = ( J Cn K ) $=
      ( vw vx vz vt vy co cfv clt chba wral crp cc wcel wa cv cmv cno cmin cabs
      wbr wi wrex cmap crab cab ccnfn df-rab df-cnfn wf ccom hilmetdval normsub
      ccn wceq eqtrd adantll breq1d ffvelrn anim12dan eqid cnmetdval abssub syl
      anassrs imbi12d ralbidva rexbidv ralbidv pm5.32i hilxmet cnxmet cnfldtopn
      cxmet wb metcn mp2an cnex ax-hilex elmap anbi1i 3bitr4i abbi2i 3eqtr4i )
      GUAZHUAZUBLUCMZIUAZNUFZWJJUAZMZWKWOMZUDLUEMZKUAZNUFZUGZGOPZIQUHZKQPZHOPZJ
      ROUILZUJWOXFSZXETZJUKULBCUSLZXEJXFUMHKIGJUNXHJXIORWOUOZWKWJALZWMNUFZWQWPU
      EUDUPZLZWSNUFZUGZGOPZIQUHZKQPZHOPZTZXJXETWOXISZXHXJXTXEXJXSXDHOXJWKOSZTZX
      RXCKQYDXQXBIQYDXPXAGOYDWJOSZTZXLWNXOWTYFXKWLWMNYCYEXKWLUTXJYCYETZXKWKWJUB
      LUCMWLWKWJADUQWKWJURVAVBVCYFXNWRWSNXJYCYEXNWRUTZXJYGTWQRSZWPRSZTZYHXJYCYI
      YEYJORWKWOVDORWJWOVDVEYKXNWQWPUDLUEMWRWQWPXMXMVFVGWQWPVHVAVIVJVCVKVLVMVNV
      LVOAOVSMSXMRVSMSYBYAVTADVPVQHKIGAXMWOBCORECFVRWAWBXGXJXEROWOWCWDWEWFWGWHW
      I $.
  $}

  $( The adjoint of an operator belongs to the adjoint function's domain.
     (Note: the converse is dependent on our definition of function value,
     since it uses ~ ndmfv .)  (Contributed by NM, 19-Feb-2006.)
     (New usage is discouraged.) $)
  dmadjrnb $p |- ( T e. dom adjh <-> ( adjh ` T ) e. dom adjh ) $=
    ( cado cdm wcel cfv dmadjrn wn c0 chba wf wceq c0v ax-hv0cl eqcom mtbir dm0
    n0ii eqeq1i fdm mto dmadjop ndmfv eleq1d mtbiri con4i impbii ) ABCZDZABEZUG
    DZAFUHUJUHGZUJHUGDZULIIHJZUMHCZIKZUOHIKZUPIHKLIMQHINOUNHIPROIIHSTHUATUKUIHU
    GABUBUCUDUEUF $.

  ${
    $d w x y z A $.  $d w x y z B $.  $d x y z C $.  $d w x y z S $.
    $d x y z w T $.
    $( A lower bound for an operator norm.  (Contributed by NM, 7-Feb-2006.)
       (New usage is discouraged.) $)
    nmoplb $p |- ( ( T : ~H --> ~H /\ A e. ~H /\ ( normh ` A ) <_ 1 ) ->
                  ( normh ` ( T ` A ) ) <_ ( normop ` T ) ) $=
      ( vy vx chba wf wcel cno cfv c1 cle wbr w3a cv wceq wrex cab cxr 3ad2ant1
      wa clt csup wss cr nmopsetretHIL ressxr sstrdi fveq2 breq1d 2fveq3 eqeq2d
      cnop anbi12d eqid biantru bitr4di rspcev fvex eqeq1 anbi2d rexbidv sylibr
      elab 3adant1 supxrub syl2anc nmopval breqtrrd ) EEBFZAEGZAHIZJKLZMZABIZHI
      ZCNZHIZJKLZDNZVPBIHIZOZTZCEPZDQZRUAUBZBULIZKVMWDRUCZVOWDGZVOWEKLVIVJWGVLV
      IWDUDRDCBUEUFUGSVJVLWHVIVJVLTVRVOVTOZTZCEPZWHWJVLCAEVPAOZWJVLVOVOOZTVLWLV
      RVLWIWMWLVQVKJKVPAHUHUIWLVTVOVOVPAHBUJUKUMWMVLVOUNUOUPUQWCWKDVOVNHURVSVOO
      ZWBWJCEWNWAWIVRVSVOVTUSUTVAVCVBVDWDVOVEVFVIVJWFWEOVLDCBVGSVH $.

    $( An upper bound for an operator norm.  (Contributed by NM, 7-Mar-2006.)
       (New usage is discouraged.) $)
    nmopub $p |- ( ( T : ~H --> ~H /\ A e. RR* ) -> ( ( normop ` T ) <_ A <->
      A. x e. ~H ( ( normh ` x ) <_ 1 -> ( normh ` ( T ` x ) ) <_ A ) ) ) $=
      ( vy vz chba wf cxr wa cfv cle wbr cv cno wceq wrex wi wral wal albii cab
      wcel cnop c1 clt nmopval adantr breq1d wss wb nmopsetretALT ressxr sstrdi
      cr supxrleub sylan ancom eqeq1 anbi1d syl5bb rexbidv ralab ralcom4 impexp
      csup fvex breq1 imbi2d ceqsalv bitri ralbii r19.23v 3bitr3i bitr4i bitrdi
      bitrd ) FFCGZBHUBZIZCUCJZBKLAMZNJUDKLZDMZWACJZNJZOZIZAFPZDUAZHUEVEZBKLZWB
      WEBKLZQZAFRZVSVTWJBKVQVTWJOVRDACUFUGUHVSWKEMZBKLZEWIRZWNVQWIHUIVRWKWQUJVQ
      WIUNHDACUKULUMEWIBUOUPWQWOWEOZWBIZAFPZWPQZESZWNWHWTWPEDWCWOOZWGWSAFWGWFWB
      IXCWSWBWFUQXCWFWRWBWCWOWEURUSUTVAVBWSWPQZESZAFRXDAFRZESWNXBXDAEFVCXEWMAFX
      EWRWBWPQZQZESWMXDXHEWRWBWPVDTXGWMEWEWDNVFWRWPWLWBWOWEBKVGVHVIVJVKXFXAEWSW
      PAFVLTVMVNVOVP $.

    $( An upper bound for an operator norm.  (Contributed by NM, 12-Apr-2006.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    nmopub2tALT $p |- ( ( T : ~H --> ~H /\ ( A e. RR /\ 0 <_ A ) /\ A. x e. ~H
  ( normh ` ( T ` x ) ) <_ ( A x. ( normh ` x ) ) ) -> ( normop ` T ) <_ A ) $=
      ( chba cr wcel cle wbr wa cfv cno cmul co wral c1 wi normcl sylan2 adantr
      adantlr wf cc0 cv cnop ad2antlr simpllr 1re lemul2a mp3anl2 syl21anc wceq
      ax-1rid ad2antrl ad2antrr breqtrd ffvelrn remulcl adantll simplrl syl3anc
      simpr syl letr mpan2d ex com23 ralimdva imp wb rexr nmopub biimpar syldan
      cxr 3impa ) DDCUAZBEFZUBBGHZIZAUCZCJZKJZBVTKJZLMZGHZADNZCUDJBGHZVPVSIZWFW
      COGHZWBBGHZPZADNZWGWHWFWLWHWEWKADWHVTDFZIZWIWEWJWNWIWEWJPWNWIIZWEWDBGHZWJ
      WOWDBOLMZBGWOWCEFZVSWIWDWQGHZWMWRWHWIVTQZUEVPVSWMWIUFWNWIVAWROEFVSWIWSUGW
      COBUHUIUJWHWQBUKZWMWIVQXAVPVRBULUMUNUOWNWEWPIWJPZWIWNWBEFZWDEFZVQXBVPWMXC
      VSVPWMIWADFXCDDVTCUPWAQVBTVSWMXDVPVQWMXDVRWMVQWRXDWTBWCUQRTURVPVQVRWMUSWB
      WDBVCUTSVDVEVFVGVHWHWGWLVSVPBVNFZWGWLVIVQXEVRBVJSABCVKRVLVMVO $.

    $( An upper bound for an operator norm.  (Contributed by NM, 13-Dec-2007.)
       (New usage is discouraged.) $)
    nmopub2tHIL $p |- ( ( T : ~H --> ~H /\ ( A e. RR /\ 0 <_ A ) /\ A. x e. ~H
  ( normh ` ( T ` x ) ) <_ ( A x. ( normh ` x ) ) ) -> ( normop ` T ) <_ A ) $=
      ( cva csm cop cno cnop chba df-hba eqid hhnm cnmoo co hhnmoi hhnv nmoub2i
      ) ABCDEFGFZGGHRIIJJRRKZLZTRRRMNZSUAKORSPZUBQ $.

    $( The norm of any Hilbert space operator is nonnegative.  (Contributed by
       NM, 9-Feb-2006.)  (New usage is discouraged.) $)
    nmopge0 $p |- ( T : ~H --> ~H -> 0 <_ ( normop ` T ) ) $=
      ( chba wf cc0 c0v cfv cno cle wbr cnop ax-hv0cl ffvelrn mpan2 normge0 syl
      wcel c1 norm0 0le1 cxr eqbrtri nmoplb wa wi cr normcl rexrd nmopxr xrletr
      mp3an23 0xr mp3an1 syl2anc mp2and ) BBACZDEAFZGFZHIZUQAJFZHIZDUSHIZUOUPBP
      ZURUOEBPZVBKBBEALMZUPNOUOVCEGFZQHIUTKVEDQHRSUAEAUBUJUOUQTPZUSTPZURUTUCVAU
      DZUOUQUOVBUQUEPVDUPUFOUGAUHDTPVFVGVHUKDUQUSUIULUMUN $.

    $( A linear Hilbert space operator that is not identically zero has a
       positive norm.  (Contributed by NM, 9-Feb-2006.)
       (New usage is discouraged.) $)
    nmopgt0 $p |- ( T : ~H --> ~H ->
                  ( ( normop ` T ) =/= 0 <-> 0 < ( normop ` T ) ) ) $=
      ( chba wf cc0 cnop cfv clt wbr wne cxr cle wb nmopxr nmopge0 0xr xrleltne
      wcel mp3an1 syl2anc bicomd ) BBACZDAEFZGHZUBDIZUAUBJQZDUBKHZUCUDLZAMANDJQ
      UEUFUGODUBPRST $.

    $( Basic continuity property of a continuous Hilbert space operator.
       (Contributed by NM, 2-Feb-2006.)  (Revised by Mario Carneiro,
       16-Nov-2013.)  (New usage is discouraged.) $)
    cnopc $p |- ( ( T e. ContOp /\ A e. ~H /\ B e. RR+ ) ->
               E. x e. RR+ A. y e. ~H ( ( normh ` ( y -h A ) ) < x ->
               ( normh ` ( ( T ` y ) -h ( T ` A ) ) ) < B ) ) $=
      ( vz vw wcel chba crp cv cmv co cno cfv clt wbr wi wral wrex wa wf elcnop
      simprbi oveq2 fveq2d breq1d fveq2 oveq2d imbi12d rexralbidv imbi2d rspc2v
      ccop wceq breq2 syl5com 3impib ) EUNHZCIHZDJHZBKZCLMZNOZAKZPQZVBEOZCEOZLM
      ZNOZDPQZRZBISAJTZUSVBFKZLMZNOZVEPQZVGVNEOZLMZNOZGKZPQZRZBISAJTZGJSFISZUTV
      AUAVMUSIIEUBWEFGABEUCUDWDVMVFVJWAPQZRZBISAJTFGCDIJVNCUOZWCWGABJIWHVQVFWBW
      FWHVPVDVEPWHVOVCNVNCVBLUEUFUGWHVTVJWAPWHVSVINWHVRVHVGLVNCEUHUIUFUGUJUKWAD
      UOZWGVLABJIWIWFVKVFWADVJPUPULUKUMUQUR $.

    $( Basic linearity property of a linear Hilbert space operator.
       (Contributed by NM, 22-Jan-2006.)  (New usage is discouraged.) $)
    lnopl $p |- ( ( ( T e. LinOp /\ A e. CC ) /\ ( B e. ~H /\ C e. ~H ) ) ->
         ( T ` ( ( A .h B ) +h C ) ) = ( ( A .h ( T ` B ) ) +h ( T ` C ) ) ) $=
      ( vx vy vz wcel cc chba wa csm co cva cfv wceq cv wral oveq1 eqeq12d syl5
      clo wi wf ellnop simprbi fvoveq1d oveq1d oveq2 fveq2 oveq2d fveq2d rspc3v
      w3a 3expb impcom anassrs ) DUBHZAIHZBJHZCJHZKZABLMZCNMZDOZABDOZLMZCDOZNMZ
      PZUSVBKURVJUSUTVAURVJUCUREQZFQZLMZGQZNMDOZVKVLDOZLMZVNDOZNMZPZGJRFJREIRZU
      SUTVAUNVJURJJDUDWAEFGDUEUFVTVJAVLLMZVNNMDOZAVPLMZVRNMZPVCVNNMZDOZVGVRNMZP
      EFGABCIJJVKAPZVOWCVSWEWIVMWBVNDNVKAVLLSUGWIVQWDVRNVKAVPLSUHTVLBPZWCWGWEWH
      WJWBVCVNDNVLBALUIUGWJWDVGVRNWJVPVFALVLBDUJUKUHTVNCPZWGVEWHVIWKWFVDDVNCVCN
      UIULWKVRVHVGNVNCDUJUKTUMUAUOUPUQ $.

    $( Basic inner product property of a unitary operator.  (Contributed by NM,
       22-Jan-2006.)  (New usage is discouraged.) $)
    unop $p |- ( ( T e. UniOp /\ A e. ~H /\ B e. ~H ) ->
                ( ( T ` A ) .ih ( T ` B ) ) = ( A .ih B ) ) $=
      ( vx vy cuo wcel chba w3a cv cfv csp wceq wral wfo elunop simprbi eqeq12d
      co fveq2 3ad2ant1 wi oveq1d oveq1 oveq2d oveq2 rspc2v 3adant1 mpd ) CFGZA
      HGZBHGZIDJZCKZEJZCKZLSZUMUOLSZMZEHNDHNZACKZBCKZLSZABLSZMZUJUKUTULUJHHCOUT
      DECPQUAUKULUTVEUBUJUSVEVAUPLSZAUOLSZMDEABHHUMAMZUQVFURVGVHUNVAUPLUMACTUCU
      MAUOLUDRUOBMZVFVCVGVDVIUPVBVALUOBCTUEUOBALUFRUGUHUI $.

    $( A unitary operator in Hilbert space is one-to-one and onto.
       (Contributed by NM, 22-Jan-2006.)  (New usage is discouraged.) $)
    unopf1o $p |- ( T e. UniOp -> T : ~H -1-1-onto-> ~H ) $=
      ( vx vy wcel chba cv cfv wceq wral csp co syl cmv caddc cmin unop oveq12d
      wa cc0 wb cuo wf1 wfo wf1o wf elunop simplbi fof 3anidm23 3adant3 3adant2
      wi 3com23 3expb ffvelrn anim12dan sylan normlem9at adantl 3eqtr4rd eqeq1d
      w3a hvsubcl his6 hvsubeq0 bitrd 3bitr3rd biimpd ralrimivva dff13 sylanbrc
      c0v df-f1o ) AUADZEEAUBZEEAUCZEEAUDVNEEAUEZBFZAGZCFZAGZHZVRVTHZULZCEIBEIV
      OVNVPVQVNVPVSWAJKZVRVTJKZHCEIBEIBCAUFUGZEEAUHLZVNWDBCEEVNVREDZVTEDZRZRZWB
      WCWLVRVTMKZWMJKZSHZVSWAMKZWPJKZSHZWCWBWLWNWQSWLVSVSJKZWAWAJKZNKZWEWAVSJKZ
      NKZOKZVRVRJKZVTVTJKZNKZWFVTVRJKZNKZOKZWQWNVNWIWJXDXJHVNWIWJVBZXAXGXCXIOXK
      WSXEWTXFNVNWIWSXEHZWJVNWIXLVRVRAPUIUJVNWJWTXFHZWIVNWJXMVTVTAPUIUKQXKWEWFX
      BXHNVRVTAPVNWJWIXBXHHVTVRAPUMQQUNWLVSEDZWAEDZRZWQXDHVNVQWKXPWHVQWIXNWJXOE
      EVRAUOEEVTAUOUPUQZVSWAURLWKWNXJHVNVRVTURUSUTVAWKWOWCTVNWKWOWMVLHZWCWKWMED
      WOXRTVRVTVCWMVDLVRVTVEVFUSWLXPWRWBTXQXPWRWPVLHZWBXPWPEDWRXSTVSWAVCWPVDLVS
      WAVEVFLVGVHVIBCEEAVJVKWGEEAVMVK $.

    $( A unitary operator is idempotent in the norm.  (Contributed by NM,
       25-Feb-2006.)  (New usage is discouraged.) $)
    unopnorm $p |- ( ( T e. UniOp /\ A e. ~H ) ->
                ( normh ` ( T ` A ) ) = ( normh ` A ) ) $=
      ( wcel chba cfv cno cr syl normcl adantl cc0 cle wbr normge0 co cexp wceq
      csp c2 normsq cuo wa wf1o wf unopf1o f1of ffvelrnda unop 3anidm23 3eqtr4d
      sq11d ) BUACZADCZUBZABEZFEZAFEZUNUODCZUPGCULDDABULDDBUCDDBUDBUEDDBUFHUGZU
      OIHUMUQGCULAIJUNURKUPLMUSUONHUMKUQLMULANJUNUOUOROZAAROZUPSPOZUQSPOZULUMUT
      VAQAABUHUIUNURVBUTQUSUOTHUMVCVAQULATJUJUK $.

    $( The inverse (converse) of a unitary operator in Hilbert space is
       unitary.  Theorem in [AkhiezerGlazman] p. 72.  (Contributed by NM,
       22-Jan-2006.)  (New usage is discouraged.) $)
    cnvunop $p |- ( T e. UniOp -> `' T e. UniOp ) $=
      ( vx vy cuo wcel chba ccnv cv cfv csp co wceq wral wf1o ffvelrnda adantrr
      syl wa adantrl f1ocnvfv2 wfo unopf1o f1ocnv f1ofo wf unop syl3anc oveq12d
      simpl fof sylan eqtr3d ralrimivva elunop sylanbrc ) ADEZFFAGZUAZBHZUQIZCH
      ZUQIZJKZUSVAJKZLZCFMBFMUQDEUPFFANZURAUBZVFFFUQNURFFAUCFFUQUDQQZUPVEBCFFUP
      USFEZVAFEZRZRZUTAIZVBAIZJKZVCVDVLUPUTFEZVBFEZVOVCLUPVKUIUPVIVPVJUPFFUSUQU
      PURFFUQUEVHFFUQUJQZOPUPVJVQVIUPFFVAUQVROSUTVBAUFUGUPVFVKVOVDLVGVFVKRVMUSV
      NVAJVFVIVMUSLVJFFUSATPVFVJVNVALVIFFVAATSUHUKULUMBCUQUNUO $.

    $( The inverse (converse) of a unitary operator is its adjoint.  Equation 2
       of [AkhiezerGlazman] p. 72.  (Contributed by NM, 22-Jan-2006.)
       (New usage is discouraged.) $)
    unopadj $p |- ( ( T e. UniOp /\ A e. ~H /\ B e. ~H ) ->
                  ( ( T ` A ) .ih B ) = ( A .ih ( `' T ` B ) ) ) $=
      ( cuo wcel chba w3a cfv ccnv co wceq wf1o unopf1o f1ocnvfv2 sylan 3adant2
      csp oveq2d wf f1ocnv f1of 3syl ffvelrnda unop syld3an3 eqtr3d ) CDEZAFEZB
      FEZGZACHZBCIZHZCHZQJZUKBQJAUMQJZUJUNBUKQUGUIUNBKZUHUGFFCLZUIUQCMZFFBCNOPR
      UGUHUIUMFEZUOUPKUGUIUTUHUGFFBULUGURFFULLFFULSUSFFCTFFULUAUBUCPAUMCUDUEUF
      $.

    $( A unitary operator is linear.  Theorem in [AkhiezerGlazman] p. 72.
       (Contributed by NM, 22-Jan-2006.)  (New usage is discouraged.) $)
    unoplin $p |- ( T e. UniOp -> T e. LinOp ) $=
      ( vx vy vz vw wcel chba cv co cfv wceq wral cc wa csp cmul adantr unopadj
      caddc ad2antrr cuo csm cva clo wf1o unopf1o f1of syl ccnv simplll hvmulcl
      hvaddcl sylan adantll syl3anc simprl simprr simplr cnvunop 3syl ffvelrnda
      wf simpr adantlr adantllr hiassdi syl22anc adantrl 3expa adantlrl oveq12d
      oveq2d eqtr2d 3eqtrd ralrimiva wb ffvelrn anassrs syl2anc hial2eq sylanl1
      sylan2 an12s mpbid ralrimivva ellnop sylanbrc ) AUAFZGGAVBZBHZCHZUBIZDHZU
      CIZAJZWJWKAJZUBIZWMAJZUCIZKZDGLZCGLBMLAUDFWHGGAUEWIAUFGGAUGUHZWHXABCMGWHW
      JMFZWKGFZNZNZWTDGXFWMGFZNZWOEHZOIZWSXIOIZKZEGLZWTXHXLEGXHXIGFZNZXJWNXIAUI
      ZJZOIZWJWKXQOIZPIZWMXQOIZSIZXKXOWHWNGFZXNXJXRKWHXEXGXNUJXHYCXNXEXGYCWHXEW
      LGFXGYCWJWKUKWLWMULUMZUNQXHXNVCZWNXIARUOXOXCXDXGXQGFZXRYBKXFXCXGXNWHXCXDU
      PTZXFXDXGXNWHXCXDUQTXFXGXNURWHXGXNYFXEWHXNYFXGWHGGXIXPWHXPUAFGGXPUEGGXPVB
      AUSXPUFGGXPUGUTVAVDVEWJWKWMXQVFVGXOXKWJWPXIOIZPIZWRXIOIZSIZYBXOXCWPGFZWRG
      FZXNXKYKKYGXFYLXGXNWHXDYLXCWHGGWKAXBVAVHTWHXGXNYMXEWHXGNYMXNWHGGWMAXBVAQV
      EYEWJWPWRXIVFVGXOYIXTYJYASXFXNYIXTKZXGWHXDXNYNXCWHXDNXNNYHXSWJPWHXDXNYHXS
      KWKXIARVIVLVJVDWHXGXNYJYAKZXEWHXGXNYOWMXIARVIVEVKVMVNVOWHWIXEXGXMWTVPZXBW
      IXENZXGNZWOGFZWSGFZYPWIXEXGYSXEXGNWIYCYSYDGGWNAVQWBVRYRWQGFZYMYTYQUUAXGXC
      WIXDUUAWIXDNXCYLUUAGGWKAVQWJWPUKWBWCQWIXGYMXEGGWMAVQVDWQWRULVSEWOWSVTVSWA
      WDVOWEBCDAWFWG $.

    $( The composition of two unitary operators is unitary.  (Contributed by
       NM, 22-Jan-2006.)  (New usage is discouraged.) $)
    counop $p |- ( ( S e. UniOp /\ T e. UniOp ) -> ( S o. T ) e. UniOp ) $=
      ( vx vy cuo wcel wa chba cv cfv csp co wceq wral unopf1o syl2an syl fvco3
      wf1o ffvelrn ccom wfo f1oco f1ofo wf adantl simpl simpr oveq12d anim12dan
      f1of sylan 3expb sylan2 anassrs adantll 3eqtrd ralrimivva elunop sylanbrc
      unop ) AEFZBEFZGZHHABUAZUBZCIZVEJZDIZVEJZKLZVGVIKLZMZDHNCHNVEEFVDHHVESZVF
      VBHHASHHBSZVNVCAOBOZHHHABUCPHHVEUDQVDVMCDHHVDVGHFZVIHFZGZGZVKVGBJZAJZVIBJ
      ZAJZKLZWAWCKLZVLVTVHWBVJWDKVDHHBUEZVQVHWBMVSVCWGVBVCVOWGVPHHBUKQZUFZVQVRU
      GHHVGABRPVDWGVRVJWDMVSWIVQVRUHHHVIABRPUIVBVCVSWEWFMZVCVSGVBWAHFZWCHFZGZWJ
      VCWGVSWMWHWGVQWKVRWLHHVGBTHHVIBTUJULVBWKWLWJWAWCAVAUMUNUOVCVSWFVLMZVBVCVQ
      VRWNVGVIBVAUMUPUQURCDVEUSUT $.

    $( Basic inner product property of a Hermitian operator.  (Contributed by
       NM, 19-Mar-2006.)  (New usage is discouraged.) $)
    hmop $p |- ( ( T e. HrmOp /\ A e. ~H /\ B e. ~H ) ->
                ( A .ih ( T ` B ) ) = ( ( T ` A ) .ih B ) ) $=
      ( vx vy cho wcel chba w3a cv cfv csp co wceq wral wf elhmop simprbi fveq2
      eqeq12d 3ad2ant1 wi oveq1 oveq1d oveq2d oveq2 rspc2v 3adant1 mpd ) CFGZAH
      GZBHGZIDJZEJZCKZLMZUMCKZUNLMZNZEHODHOZABCKZLMZACKZBLMZNZUJUKUTULUJHHCPUTD
      ECQRUAUKULUTVEUBUJUSVEAUOLMZVCUNLMZNDEABHHUMANZUPVFURVGUMAUOLUCVHUQVCUNLU
      MACSUDTUNBNZVFVBVGVDVIUOVAALUNBCSUEUNBVCLUFTUGUHUI $.

    $( The inner product of the value and argument of a Hermitian operator is
       real.  (Contributed by NM, 23-Jul-2006.)  (New usage is discouraged.) $)
    hmopre $p |- ( ( T e. HrmOp /\ A e. ~H ) -> ( ( T ` A ) .ih A ) e. RR ) $=
      ( cho wcel chba wa cfv co cr wceq hmop 3anidm23 eqcomd wb hmopf ffvelrnda
      csp hire sylancom mpbird ) BCDZAEDZFZABGZAQHZIDZUEAUDQHZJZUCUGUEUAUBUGUEJ
      AABKLMUAUBUDEDUFUHNUAEEABBOPUDARST $.

    $( A lower bound for a functional norm.  (Contributed by NM, 14-Feb-2006.)
       (New usage is discouraged.) $)
    nmfnlb $p |- ( ( T : ~H --> CC /\ A e. ~H /\ ( normh ` A ) <_ 1 ) ->
                  ( abs ` ( T ` A ) ) <_ ( normfn ` T ) ) $=
      ( vy vx chba cc wf wcel cno cfv c1 cle wbr cabs cv wceq wrex cxr 3ad2ant1
      wa w3a cab clt csup cnmf wss nmfnsetre ressxr sstrdi breq1d 2fveq3 eqeq2d
      fveq2 anbi12d eqid biantru bitr4di rspcev fvex anbi2d rexbidv elab sylibr
      cr eqeq1 3adant1 supxrub syl2anc nmfnval breqtrrd ) EFBGZAEHZAIJZKLMZUAZA
      BJZNJZCOZIJZKLMZDOZVRBJNJZPZTZCEQZDUBZRUCUDZBUEJZLVOWFRUFZVQWFHZVQWGLMVKV
      LWIVNVKWFVDRDCBUGUHUISVLVNWJVKVLVNTVTVQWBPZTZCEQZWJWLVNCAEVRAPZWLVNVQVQPZ
      TVNWNVTVNWKWOWNVSVMKLVRAIUMUJWNWBVQVQVRANBUKULUNWOVNVQUOUPUQURWEWMDVQVPNU
      SWAVQPZWDWLCEWPWCWKVTWAVQWBVEUTVAVBVCVFWFVQVGVHVKVLWHWGPVNDCBVISVJ $.

    $( An upper bound for the norm of a functional.  (Contributed by NM,
       24-May-2006.)  (Revised by Mario Carneiro, 7-Sep-2014.)
       (New usage is discouraged.) $)
    nmfnleub $p |- ( ( T : ~H --> CC /\ A e. RR* ) -> ( ( normfn ` T ) <_ A <->
      A. x e. ~H ( ( normh ` x ) <_ 1 -> ( abs ` ( T ` x ) ) <_ A ) ) ) $=
      ( vy vz chba cc cxr wa cfv cle wbr cv cabs wceq wrex wi wral wal albii wf
      wcel cnmf cno c1 cab clt nmfnval adantr breq1d wss wb cr nmfnsetre ressxr
      csup sstrdi supxrleub sylan ancom eqeq1 anbi1d rexbidv ralab ralcom4 fvex
      syl5bb impexp breq1 imbi2d ceqsalv ralbii r19.23v 3bitr3i bitr4i bitrdi
      bitri bitrd ) FGCUAZBHUBZIZCUCJZBKLAMZUDJUEKLZDMZWCCJZNJZOZIZAFPZDUFZHUGU
      PZBKLZWDWGBKLZQZAFRZWAWBWLBKVSWBWLOVTDACUHUIUJWAWMEMZBKLZEWKRZWPVSWKHUKVT
      WMWSULVSWKUMHDACUNUOUQEWKBURUSWSWQWGOZWDIZAFPZWRQZESZWPWJXBWREDWEWQOZWIXA
      AFWIWHWDIXEXAWDWHUTXEWHWTWDWEWQWGVAVBVGVCVDXAWRQZESZAFRXFAFRZESWPXDXFAEFV
      EXGWOAFXGWTWDWRQZQZESWOXFXJEWTWDWRVHTXIWOEWGWFNVFWTWRWNWDWQWGBKVIVJVKVQVL
      XHXCEXAWRAFVMTVNVOVPVR $.

    $( An upper bound for the norm of a functional.  (Contributed by NM,
       24-May-2006.)  (New usage is discouraged.) $)
    nmfnleub2 $p |- ( ( T : ~H --> CC /\ ( A e. RR /\ 0 <_ A ) /\ A. x e. ~H
    ( abs ` ( T ` x ) ) <_ ( A x. ( normh ` x ) ) ) -> ( normfn ` T ) <_ A ) $=
      ( chba cc wf cr wcel cle wbr wa cfv cmul co wral c1 adantlr sylan2 adantr
      wi cc0 cv cabs cno cnmf normcl ad2antlr simpllr simpr 1re lemul2a mp3anl2
      syl21anc ax-1rid ad2antrl ad2antrr breqtrd ffvelrn abscld remulcl adantll
      wceq simplrl syl3anc mpan2d ex com23 ralimdva imp cxr wb nmfnleub biimpar
      letr rexr syldan 3impa ) DECFZBGHZUABIJZKZAUBZCLZUCLZBWBUDLZMNZIJZADOZCUE
      LBIJZVRWAKZWHWEPIJZWDBIJZTZADOZWIWJWHWNWJWGWMADWJWBDHZKZWKWGWLWPWKWGWLTWP
      WKKZWGWFBIJZWLWQWFBPMNZBIWQWEGHZWAWKWFWSIJZWOWTWJWKWBUFZUGVRWAWOWKUHWPWKU
      IWTPGHWAWKXAUJWEPBUKULUMWJWSBVBZWOWKVSXCVRVTBUNUOUPUQWPWGWRKWLTZWKWPWDGHZ
      WFGHZVSXDVRWOXEWAVRWOKWCDEWBCURUSQWAWOXFVRVSWOXFVTWOVSWTXFXBBWEUTRQVAVRVS
      VTWOVCWDWFBVNVDSVEVFVGVHVIWJWIWNWAVRBVJHZWIWNVKVSXGVTBVOSABCVLRVMVPVQ $.

    $( The norm of any Hilbert space functional is nonnegative.  (Contributed
       by NM, 24-May-2006.)  (New usage is discouraged.) $)
    nmfnge0 $p |- ( T : ~H --> CC -> 0 <_ ( normfn ` T ) ) $=
      ( chba cc wf cc0 c0v cfv cabs cle wbr cnmf ax-hv0cl ffvelrn mpan2 absge0d
      wcel cno c1 norm0 cxr 0le1 eqbrtri nmfnlb mp3an23 wa wi abscld nmfnxr 0xr
      rexrd xrletr mp3an1 syl2anc mp2and ) BCADZEFAGZHGZIJZUQAKGZIJZEUSIJZUOUPU
      OFBPZUPCPLBCFAMNZOUOVBFQGZRIJUTLVDERISUAUBFAUCUDUOUQTPZUSTPZURUTUEVAUFZUO
      UQUOUPVCUGUJAUHETPVEVFVGUIEUQUSUKULUMUN $.

    $( Membership in the null space of a Hilbert space functional.
       (Contributed by NM, 11-Feb-2006.)  (Revised by Mario Carneiro,
       17-Nov-2013.)  (New usage is discouraged.) $)
    elnlfn $p |- ( T : ~H --> CC ->
                   ( A e. ( null ` T ) <-> ( A e. ~H /\ ( T ` A ) = 0 ) ) ) $=
      ( vx chba cc wf cnl cfv wcel wa cc0 wceq cdm ccnv csn nlfnval wb wi bitrd
      cima cnvimass eqsstrdi fdm sseqtrd sseld pm4.71rd eleq2d adantr wfn eleq1
      ffn cv fveqeq2 bibi12d imbi2d wbr 0cn vex eliniseg fnbrfvb bitr4id expcom
      ax-mp vtoclga mpan9 pm5.32da ) DEBFZABGHZIZADIZVIJVJABHKLZJVGVIVJVGVHDAVG
      VHBMZDVGVHBNKOZTZVLBPZBVMUAUBDEBUCUDUEUFVGVJVIVKVGVJJVIAVNIZVKVGVIVPQVJVG
      VHVNAVOUGUHVGBDUIZVJVPVKQZDEBUKVQCULZVNIZVSBHKLZQZRVQVRRCADVSALZWBVRVQWCV
      TVPWAVKVSAVNUJVSAKBUMUNUOVQVSDIZWBVQWDJVTVSKBUPZWAKEIVTWEQUQBKVSECURUSVCD
      VSKBUTVAVBVDVESVFS $.

    $( Membership in the null space of a Hilbert space functional.
       (Contributed by NM, 11-Feb-2006.)  (Revised by Mario Carneiro,
       17-Nov-2013.)  (New usage is discouraged.) $)
    elnlfn2 $p |- ( ( T : ~H --> CC /\ A e. ( null ` T ) ) ->
                   ( T ` A ) = 0 ) $=
      ( chba cc wf cnl cfv wcel cc0 wceq elnlfn simplbda ) CDBEABFGHACHABGIJABK
      L $.

    $( Basic continuity property of a continuous functional.  (Contributed by
       NM, 11-Feb-2006.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    cnfnc $p |- ( ( T e. ContFn /\ A e. ~H /\ B e. RR+ ) ->
                  E. x e. RR+ A. y e. ~H ( ( normh ` ( y -h A ) ) < x ->
                    ( abs ` ( ( T ` y ) - ( T ` A ) ) ) < B ) ) $=
      ( vz vw wcel chba crp cv cmv co cno cfv clt wbr cmin cabs wral ccnfn wrex
      wi wa cc elcnfn simprbi wceq oveq2 fveq2d breq1d fveq2 imbi12d rexralbidv
      wf oveq2d breq2 imbi2d rspc2v syl5com 3impib ) EUAHZCIHZDJHZBKZCLMZNOZAKZ
      PQZVEEOZCEOZRMZSOZDPQZUCZBITAJUBZVBVEFKZLMZNOZVHPQZVJVQEOZRMZSOZGKZPQZUCZ
      BITAJUBZGJTFITZVCVDUDVPVBIUEEUOWHFGABEUFUGWGVPVIVMWDPQZUCZBITAJUBFGCDIJVQ
      CUHZWFWJABJIWKVTVIWEWIWKVSVGVHPWKVRVFNVQCVELUIUJUKWKWCVMWDPWKWBVLSWKWAVKV
      JRVQCEULUPUJUKUMUNWDDUHZWJVOABJIWLWIVNVIWDDVMPUQURUNUSUTVA $.

    $( Basic linearity property of a linear functional.  (Contributed by NM,
       11-Feb-2006.)  (New usage is discouraged.) $)
    lnfnl $p |- ( ( ( T e. LinFn /\ A e. CC ) /\ ( B e. ~H /\ C e. ~H ) ) ->
         ( T ` ( ( A .h B ) +h C ) ) = ( ( A x. ( T ` B ) ) + ( T ` C ) ) ) $=
      ( vx vy vz wcel cc chba csm co cva cfv cmul caddc wceq cv wral eqeq12d wa
      clf wi w3a ellnfn simprbi oveq1 fvoveq1d oveq1d oveq2 fveq2 oveq2d fveq2d
      wf rspc3v syl5 3expb impcom anassrs ) DUBHZAIHZBJHZCJHZUAZABKLZCMLZDNZABD
      NZOLZCDNZPLZQZVAVDUAUTVLVAVBVCUTVLUCUTERZFRZKLZGRZMLDNZVMVNDNZOLZVPDNZPLZ
      QZGJSFJSEISZVAVBVCUDVLUTJIDUNWCEFGDUEUFWBVLAVNKLZVPMLDNZAVROLZVTPLZQVEVPM
      LZDNZVIVTPLZQEFGABCIJJVMAQZVQWEWAWGWKVOWDVPDMVMAVNKUGUHWKVSWFVTPVMAVROUGU
      ITVNBQZWEWIWGWJWLWDVEVPDMVNBAKUJUHWLWFVIVTPWLVRVHAOVNBDUKULUITVPCQZWIVGWJ
      VKWMWHVFDVPCVEMUJUMWMVTVJVIPVPCDUKULTUOUPUQURUS $.

    $( Closure of the adjoint of a Hilbert space operator.  (Contributed by NM,
       17-Jun-2006.)  (New usage is discouraged.) $)
    adjcl $p |- ( ( T e. dom adjh /\ A e. ~H ) ->
                 ( ( adjh ` T ) ` A ) e. ~H ) $=
      ( cado cdm wcel chba cfv wf dmadjrn dmadjop syl ffvelrnda ) BCDZEZFFABCGZ
      NOMEFFOHBIOJKL $.

    $( Property of an adjoint Hilbert space operator.  (Contributed by NM,
       15-Feb-2006.)  (New usage is discouraged.) $)
    adj1 $p |- ( ( T e. dom adjh /\ A e. ~H /\ B e. ~H ) ->
               ( A .ih ( T ` B ) ) = ( ( ( adjh ` T ) ` A ) .ih B ) ) $=
      ( vx vy vz vw cado wcel chba cfv csp co wceq cv wral wf w3a cvv feq1 wfun
      cdm wa cop copab funadj funfvop mpan dfadj2 eleqtrdi wb fvex fveq1 oveq2d
      eqeq1d 2ralbidv 3anbi13d oveq1d eqeq2d opelopabg mpan2 mpbid simp3d oveq1
      3anbi23d fveq2 eqeq12d oveq2 rspc2v syl5com 3impib ) CHUBZIZAJIZBJIZABCKZ
      LMZACHKZKZBLMZNZVMDOZEOZCKZLMZWBVRKZWCLMZNZEJPDJPZVNVOUCWAVMJJCQZJJVRQZWI
      VMCVRUDZJJFOZQZJJGOZQZWBWCWMKZLMZWBWOKZWCLMZNZEJPDJPZRZFGUEZIZWJWKWIRZVMW
      LHXDHUAVMWLHIUFCHUGUHDEGFUIUJVMVRSIXEXFUKCHULXCWJWPWEWTNZEJPDJPZRXFFGCVRV
      LSWMCNZWNWJXBXHWPJJWMCTXIXAXGDEJJXIWRWEWTXIWQWDWBLWCWMCUMUNUOUPUQWOVRNZWP
      WKXHWIWJJJWOVRTXJXGWHDEJJXJWTWGWEXJWSWFWCLWBWOVRUMURUSUPVEUTVAVBVCWHWAAWD
      LMZVSWCLMZNDEABJJWBANZWEXKWGXLWBAWDLVDXMWFVSWCLWBAVRVFURVGWCBNZXKVQXLVTXN
      WDVPALWCBCVFUNWCBVSLVHVGVIVJVK $.

    $( Property of an adjoint Hilbert space operator.  (Contributed by NM,
       15-Feb-2006.)  (New usage is discouraged.) $)
    adj2 $p |- ( ( T e. dom adjh /\ A e. ~H /\ B e. ~H ) ->
                ( ( T ` A ) .ih B ) = ( A .ih ( ( adjh ` T ) ` B ) ) ) $=
      ( cado cdm wcel chba cfv csp co wceq w3a ccj adj1 dmadjop ax-his1 syl2anc
      simp2 cc hicl ffvelrnda 3adant2 adjcl 3adant3 simp3 3eqtr3d wb cj11 mpbid
      3com23 ) CDEFZBGFZAGFZACHZBIJZABCDHHZIJZKZUKULUMLZUOMHZUQMHZKZURUSBUNIJZU
      PAIJZUTVABACNUSULUNGFZVCUTKUKULUMRZUKUMVEULUKGGACCOUAUBZBUNPQUSUPGFZUMVDV
      AKUKULVHUMBCUCUDZUKULUMUEZUPAPQUFUSUOSFZUQSFZVBURUGUSVEULVKVGVFUNBTQUSUMV
      HVLVJVIAUPTQUOUQUHQUIUJ $.

    $( A property that determines the adjoint of a Hilbert space operator.
       (Contributed by NM, 20-Feb-2006.)  (New usage is discouraged.) $)
    adjeq $p |- ( ( T : ~H --> ~H /\ S : ~H --> ~H /\ A. x e. ~H A. y e. ~H
           ( ( T ` x ) .ih y ) = ( x .ih ( S ` y ) ) ) -> ( adjh ` T ) = S ) $=
      ( vz vw cado chba wf cv cfv csp co wceq wral w3a wcel cvv ax-hilex fex wa
      wfun cop funadj copab df-adjh eleq2i wb mpan2 feq1 oveq1d eqeq1d 2ralbidv
      fveq1 3anbi13d oveq2d eqeq2d 3anbi23d syl2an syl5bb df-3an baibr biimp3ar
      opelopabg bitr4d funopfv mpsyl ) GUBHHDIZHHCIZAJZDKZBJZLMZVJVLCKZLMZNZBHO
      AHOZPZDCUCZGQZDGKCNUDVHVIVTVQVHVIUAZVTVRVQVTVSHHEJZIZHHFJZIZVJWBKZVLLMZVJ
      VLWDKZLMZNZBHOAHOZPZEFUEZQZWAVRGWMVSABFEUFUGVHDRQZCRQZWNVRUHVIVHHRQZWOSHH
      RDTUIVIWQWPSHHRCTUIWLVHWEVMWINZBHOAHOZPVREFDCRRWBDNZWCVHWKWSWEHHWBDUJWTWJ
      WRABHHWTWGVMWIWTWFVKVLLVJWBDUNUKULUMUOWDCNZWEVIWSVQVHHHWDCUJXAWRVPABHHXAW
      IVOVMXAWHVNVJLVLWDCUNUPUQUMURVDUSUTVRWAVQVHVIVQVAVBVEVCDCGVFVG $.

    $( Double adjoint.  Theorem 3.11(iv) of [Beran] p. 106.  (Contributed by
       NM, 15-Feb-2006.)  (New usage is discouraged.) $)
    adjadj $p |- ( T e. dom adjh -> ( adjh ` ( adjh ` T ) ) = T ) $=
      ( vx vy cado cdm wcel cv cfv csp wceq chba wral adj2 dmadjrn adj1 syl3an1
      co w3a wf dmadjop eqtr2d 3expib ralrimivv wb 3syl hoeq1 syl2anc mpbid ) A
      DEZFZBGZADHZDHZHCGZIQZUKAHUNIQZJZCKLBKLZUMAJZUJUQBCKKUJUKKFZUNKFZUQUJUTVA
      RUPUKUNULHIQZUOUKUNAMUJULUIFZUTVAVBUOJANZUKUNULOPUAUBUCUJKKUMSZKKASURUSUD
      UJVCUMUIFVEVDULNUMTUEATBCUMAUFUGUH $.

    $( Value of the value of the adjoint function.  (Contributed by NM,
       22-Feb-2006.)  (Proof shortened by Mario Carneiro, 10-Sep-2015.)
       (New usage is discouraged.) $)
    adjvalval $p |- ( ( T e. dom adjh /\ A e. ~H ) -> ( ( adjh ` T ) ` A ) =
            ( iota_ w e. ~H A. x e. ~H ( ( T ` x ) .ih A ) = ( x .ih w ) ) ) $=
      ( cado cdm wcel chba wa cv cfv csp co wceq wral crio adjcl eqcom adantr
      wb adj2 3com23 3expa eqeq2d syl5bb ralbidva simpr hial2eq2 syl2anc riota5
      bitrd eqcomd ) DEFGZCHGZIZAJZDKCLMZUPBJZLMZNZAHOZBHPCDEKKZUOVABHVBCDQZUOU
      RHGZIZVAUSUPVBLMZNZAHOZURVBNZUOVAVHTVDUOUTVGAHUTUSUQNUOUPHGZIZVGUQUSRVKUQ
      VFUSUMUNVJUQVFNZUMVJUNVLUPCDUAUBUCUDUEUFSVEVDVBHGZVHVITUOVDUGUOVMVDVCSAUR
      VBUHUIUKUJUL $.

    $( The adjoint of a unitary operator is its inverse (converse).  Equation 2
       of [AkhiezerGlazman] p. 72.  (Contributed by NM, 23-Feb-2006.)
       (New usage is discouraged.) $)
    unopadj2 $p |- ( T e. UniOp -> ( adjh ` T ) = `' T ) $=
      ( vx vy cuo wcel chba wf ccnv cv cfv csp wceq wral cado clo unoplin lnopf
      co syl cnvunop 3syl unopadj 3expib ralrimivv adjeq syl3anc ) ADEZFFAGZFFA
      HZGZBIZAJCIZKRUKULUIJKRLZCFMBFMANJUILUGAOEUHAPAQSUGUIDEUIOEUJATUIPUIQUAUG
      UMBCFFUGUKFEULFEUMUKULAUBUCUDBCUIAUEUF $.

    $( A Hermitian operator is self-adjoint.  (Contributed by NM, 24-Mar-2006.)
       (New usage is discouraged.) $)
    hmopadj $p |- ( T e. HrmOp -> ( adjh ` T ) = T ) $=
      ( vx vy cho wcel chba wf cv cfv csp co wceq wral cado hmopf eqcomd 3expib
      w3a hmop ralrimivv adjeq syl3anc ) ADEZFFAGZUDBHZAICHZJKZUEUFAIJKZLZCFMBF
      MANIALAOZUJUCUIBCFFUCUEFEZUFFEZUIUCUKULRUHUGUEUFASPQTBCAAUAUB $.

    $( Every Hermitian operator has an adjoint.  (Contributed by NM,
       24-Mar-2006.)  (New usage is discouraged.) $)
    hmdmadj $p |- ( T e. HrmOp -> T e. dom adjh ) $=
      ( cho wcel cado cfv c0 wceq cdm chba wf wn hon0 syl hmopadj eqeq1d mtbird
      hmopf ndmfv nsyl2 ) ABCZADEZFGZADHCTUBAFGZTIIAJUCKAQALMTUAAFANOPADRS $.

    $( An operator is Hermitian iff it is self-adjoint.  Definition of
       Hermitian in [Halmos] p. 41.  (Contributed by NM, 9-Apr-2006.)
       (New usage is discouraged.) $)
    hmopadj2 $p |- ( T e. dom adjh -> ( T e. HrmOp <-> ( adjh ` T ) = T ) ) $=
      ( vx vy cado cdm wcel cho cfv wceq hmopadj wa chba wf cv csp wral dmadjop
      co adantr adj1 3expb adantlr fveq1 oveq1d ad2antlr ralrimivva sylanbrc ex
      eqtrd elhmop impbid2 ) ADEFZAGFZADHZAIZAJULUOUMULUOKZLLAMZBNZCNZAHORZURAH
      ZUSORZIZCLPBLPUMULUQUOAQSUPVCBCLLUPURLFZUSLFZKZKUTURUNHZUSORZVBULVFUTVHIZ
      UOULVDVEVIURUSATUAUBUOVHVBIULVFUOVGVAUSOURUNAUCUDUEUIUFBCAUJUGUHUK $.

    $( A Hermitian operator is linear.  (Contributed by NM, 24-Mar-2006.)
       (New usage is discouraged.) $)
    hmoplin $p |- ( T e. HrmOp -> T e. LinOp ) $=
      ( vx vy vz vw wcel chba cv co cfv wceq wral cc csp cmul caddc adantr hmop
      wa w3a cho csm cva clo hmopf simplll hvmulcl hvaddcl sylan adantll eqcomd
      wf simpr syl3anc simprl ad2antrr simprr simplr ffvelrnda adantlr adantllr
      hiassdi syl22anc adantrl 3expa oveq2d adantlrl eqtr2d 3eqtrd ralrimiva wb
      oveq12d ffvelrn sylan2 anassrs an12s syl2anc hial2eq sylanl1 mpbid ellnop
      ralrimivva sylanbrc ) AUAFZGGAULZBHZCHZUBIZDHZUCIZAJZWFWGAJZUBIZWIAJZUCIZ
      KZDGLZCGLBMLAUDFAUEZWDWQBCMGWDWFMFZWGGFZSZSZWPDGXBWIGFZSZWKEHZNIZWOXENIZK
      ZEGLZWPXDXHEGXDXEGFZSZXFWJXEAJZNIZWFWGXLNIZOIZWIXLNIZPIZXGXKWDWJGFZXJXFXM
      KWDXAXCXJUFXDXRXJXAXCXRWDXAWHGFXCXRWFWGUGWHWIUHUIZUJQXDXJUMZWDXRXJTXMXFWJ
      XEARUKUNXKWSWTXCXLGFZXMXQKXBWSXCXJWDWSWTUOUPZXBWTXCXJWDWSWTUQUPXBXCXJURWD
      XCXJYAXAWDXJYAXCWDGGXEAWRUSUTVAWFWGWIXLVBVCXKXGWFWLXENIZOIZWNXENIZPIZXQXK
      WSWLGFZWNGFZXJXGYFKYBXBYGXCXJWDWTYGWSWDGGWGAWRUSVDUPWDXCXJYHXAWDXCSYHXJWD
      GGWIAWRUSQVAXTWFWLWNXEVBVCXKYDXOYEXPPXBXJYDXOKZXCWDWTXJYIWSWDWTSXJSYCXNWF
      OWDWTXJYCXNKWDWTXJTXNYCWGXEARUKVEVFVGUTWDXCXJYEXPKZXAWDXCXJYJWDXCXJTXPYEW
      IXEARUKVEVAVLVHVIVJWDWEXAXCXIWPVKZWRWEXASZXCSZWKGFZWOGFZYKWEXAXCYNXAXCSWE
      XRYNXSGGWJAVMVNVOYMWMGFZYHYOYLYPXCWSWEWTYPWEWTSWSYGYPGGWGAVMWFWLUGVNVPQWE
      XCYHXAGGWIAVMUTWMWNUHVQEWKWOVRVQVSVTVJWBBCDAWAWC $.

    $( The bra of a vector, expressed as ` <. A | ` in Dirac notation.  See
       ~ df-bra .  (Contributed by NM, 15-May-2006.)  (Revised by Mario
       Carneiro, 23-Aug-2014.)  (New usage is discouraged.) $)
    brafval $p |- ( A e. ~H ->
            ( bra ` A ) = ( x e. ~H |-> ( x .ih A ) ) ) $=
      ( vy chba cv csp cmpt cbr wceq oveq2 mpteq2dv df-bra ax-hilex mptex fvmpt
      co ) CBADAEZCEZFPZGADQBFPZGDHRBIADSTRBQFJKCALADTMNO $.

    $( A bra-ket juxtaposition, expressed as ` <. A | B >. ` in Dirac notation,
       equals the inner product of the vectors.  Based on definition of bra in
       [Prugovecki] p. 186.  (Contributed by NM, 15-May-2006.)  (Revised by
       Mario Carneiro, 17-Nov-2013.)  (New usage is discouraged.) $)
    braval $p |- ( ( A e. ~H /\ B e. ~H ) ->
                  ( ( bra ` A ) ` B ) = ( B .ih A ) ) $=
      ( vx chba wcel cbr cfv cv co cmpt brafval fveq1d oveq1 eqid ovex sylan9eq
      csp fvmpt ) ADEZBDEBAFGZGBCDCHZAQIZJZGBAQIZSBTUCCAKLCBUBUDDUCUABAQMUCNBAQ
      ORP $.

    $( Linearity property of bra for addition.  (Contributed by NM,
       23-May-2006.)  (New usage is discouraged.) $)
    braadd $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) -> ( ( bra ` A ) `
              ( B +h C ) ) = ( ( ( bra ` A ) ` B ) + ( ( bra ` A ) ` C ) ) ) $=
      ( chba wcel w3a cva co csp caddc cbr wceq ax-his2 3comr wa hvaddcl braval
      cfv sylan2 3impb 3adant3 3adant2 oveq12d 3eqtr4d ) ADEZBDEZCDEZFZBCGHZAIH
      ZBAIHZCAIHZJHZUIAKRZRZBUNRZCUNRZJHUFUGUEUJUMLBCAMNUEUFUGUOUJLZUFUGOUEUIDE
      URBCPAUIQSTUHUPUKUQULJUEUFUPUKLUGABQUAUEUGUQULLUFACQUBUCUD $.

    $( Linearity property of bra for multiplication.  (Contributed by NM,
       23-May-2006.)  (New usage is discouraged.) $)
    bramul $p |- ( ( A e. ~H /\ B e. CC /\ C e. ~H ) -> ( ( bra ` A ) `
              ( B .h C ) ) = ( B x. ( ( bra ` A ) ` C ) ) ) $=
      ( chba wcel cc w3a csm csp cmul cbr cfv wceq ax-his3 3comr hvmulcl braval
      co wa sylan2 3impb 3adant2 oveq2d 3eqtr4d ) ADEZBFEZCDEZGZBCHRZAIRZBCAIRZ
      JRZUIAKLZLZBCUMLZJRUFUGUEUJULMBCANOUEUFUGUNUJMZUFUGSUEUIDEUPBCPAUIQTUAUHU
      OUKBJUEUGUOUKMUFACQUBUCUD $.

    $( The bra function is a functional.  (Contributed by NM, 23-May-2006.)
       (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    brafn $p |- ( A e. ~H -> ( bra ` A ) : ~H --> CC ) $=
      ( vx chba wcel cv csp co cc cbr cfv brafval hicl ancoms fmpt3d ) ACDZBCBE
      ZAFGZHAIJBAKPCDOQHDPALMN $.

    $( The Dirac bra function is a linear functional.  (Contributed by NM,
       23-May-2006.)  (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    bralnfn $p |- ( A e. ~H -> ( bra ` A ) e. LinFn ) $=
      ( vx vy vz chba wcel cc cbr cfv wf cv csm co cva cmul caddc wceq wral clf
      wa brafn simpll hvmulcl simprr braadd syl3anc bramul 3expa adantrr oveq1d
      ad2ant2lr eqtrd ralrimivva ralrimiva ellnfn sylanbrc ) AEFZEGAHIZJBKZCKZL
      MZDKZNMURIZUSUTURIOMZVBURIZPMZQZDERCERZBGRURSFAUAUQVHBGUQUSGFZTZVGCDEEVJU
      TEFZVBEFZTZTZVCVAURIZVEPMZVFVNUQVAEFZVLVCVPQUQVIVMUBVIVKVQUQVLUSUTUCUKVJV
      KVLUDAVAVBUEUFVNVOVDVEPVJVKVOVDQZVLUQVIVKVRAUSUTUGUHUIUJULUMUNBCDURUOUP
      $.

    $( Closure of the bra function.  (Contributed by NM, 23-May-2006.)
       (New usage is discouraged.) $)
    bracl $p |- ( ( A e. ~H /\ B e. ~H ) -> ( ( bra ` A ) ` B ) e. CC ) $=
      ( chba wcel cc cbr cfv brafn ffvelrnda ) ACDCEBAFGAHI $.

    $( The Dirac bra of the zero vector.  (Contributed by NM, 25-May-2006.)
       (Revised by Mario Carneiro, 23-Aug-2014.)
       (New usage is discouraged.) $)
    bra0 $p |- ( bra ` 0h ) = ( ~H X. { 0 } ) $=
      ( vx c0v cbr cfv chba cc0 cmpt csn cxp wcel wceq ax-hv0cl cv brafval hi02
      csp co mpteq2ia eqtrdi ax-mp fconstmpt eqtr4i ) BCDZAEFGZEFHIBEJZUCUDKLUE
      UCAEAMZBPQZGUDABNAEUGFUFORSTAEFUAUB $.

    $( Anti-linearity property of bra functional for multiplication.
       (Contributed by NM, 31-May-2006.)  (Revised by Mario Carneiro,
       16-Nov-2013.)  (New usage is discouraged.) $)
    brafnmul $p |- ( ( A e. CC /\ B e. ~H ) ->
                    ( bra ` ( A .h B ) ) = ( ( * ` A ) .fn ( bra ` B ) ) ) $=
      ( vx cc wcel chba wa csm co cbr cfv csp cmpt ccj chft wceq hvmulcl eqtr4d
      cv cmul brafval syl wf cjcl brafn hfmmval syl2an his5 3expa an32s adantll
      braval oveq2d mpteq2dva ) ADEZBFEZGZABHIZJKZCFCSZURLIZMZANKZBJKZOIZUQURFE
      USVBPABQCURUAUBUQVECFVCUTVDKZTIZMZVBUOVCDEFDVDUCVEVHPUPAUDBUECVCVDUFUGUQC
      FVAVGUQUTFEZGZVAVCUTBLIZTIZVGUOVIUPVAVLPZUOVIUPVMAUTBUHUIUJVJVFVKVCTUPVIV
      FVKPUOBUTULUKUMRUNRR $.

    $( The outer product of two vectors, expressed as ` | A >. <. B | ` in
       Dirac notation.  See ~ df-kb .  (Contributed by NM, 15-May-2006.)
       (Revised by Mario Carneiro, 23-Aug-2014.)
       (New usage is discouraged.) $)
    kbfval $p |- ( ( A e. ~H /\ B e. ~H ) -> ( A ketbra B ) =
                ( x e. ~H |-> ( ( x .ih B ) .h A ) ) ) $=
      ( vy vz chba cv csp co csm cmpt wceq oveq2 mpteq2dv oveq1d df-kb ax-hilex
      ck mptex ovmpo ) DEBCFFAFAGZEGZHIZDGZJIZKAFUACHIZBJIZKRAFUCBJIZKUDBLAFUEU
      HUDBUCJMNUBCLZAFUHUGUIUCUFBJUBCUAHMONDEAPAFUGQST $.

    $( The outer product of two vectors, expressed as ` | A >. <. B | ` in
       Dirac notation, is an operator.  (Contributed by NM, 30-May-2006.)
       (Revised by Mario Carneiro, 16-Nov-2013.)
       (New usage is discouraged.) $)
    kbop $p |- ( ( A e. ~H /\ B e. ~H ) -> ( A ketbra B ) : ~H --> ~H ) $=
      ( vx chba wcel wa cv csp co csm ck kbfval hicl hvmulcl sylan an31s fmpt3d
      cc ) ADEZBDEZFCDCGZBHIZAJIZDABKICABLUADEZTSUCDEZUDTFUBRESUEUABMUBANOPQ $.

    $( The value of the operator resulting from the outer product ` | A >. `
       ` <. B | ` of two vectors.  Equation 8.1 of [Prugovecki] p. 376.
       (Contributed by NM, 15-May-2006.)  (Revised by Mario Carneiro,
       16-Nov-2013.)  (New usage is discouraged.) $)
    kbval $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
                 ( ( A ketbra B ) ` C ) = ( ( C .ih B ) .h A ) ) $=
      ( vx chba wcel ck co cfv csp csm wceq wa cv cmpt kbfval fveq1d oveq1 eqid
      oveq1d ovex fvmpt sylan9eq 3impa ) AEFZBEFZCEFZCABGHZIZCBJHZAKHZLUEUFMZUG
      UICDEDNZBJHZAKHZOZIUKULCUHUPDABPQDCUOUKEUPUMCLUNUJAKUMCBJRTUPSUJAKUAUBUCU
      D $.

    $( Multiplication property of outer product.  (Contributed by NM,
       31-May-2006.)  (New usage is discouraged.) $)
    kbmul $p |- ( ( A e. CC /\ B e. ~H /\ C e. ~H ) ->
                ( ( A .h B ) ketbra C ) = ( B ketbra ( ( * ` A ) .h C ) ) ) $=
      ( vx cc wcel chba w3a csm co ck csp cmpt wceq hvmulcl kbfval syl2anc cmul
      syl3anc eqtr4d cv ccj cfv stoic3 simp2 cjcl 3ad2ant1 simp3 wa simpl3 hicl
      simpr simpl1 simpl2 ax-hvmulass mulcomd his52 oveq1d eqtr3d mpteq2dva ) A
      EFZBGFZCGFZHZABIJZCKJZDGDUAZCLJZVEIJZMZBAUBUCZCIJZKJZVAVBVEGFVCVFVJNABODV
      ECPUDVDVMDGVGVLLJZBIJZMZVJVDVBVLGFZVMVPNVAVBVCUEVDVKEFZVCVQVAVBVRVCAUFUGV
      AVBVCUHVKCOQDBVLPQVDDGVIVOVDVGGFZUIZVHARJZBIJZVIVOVTVHEFZVAVBWBVINVTVSVCW
      CVDVSULZVAVBVCVSUJZVGCUKQZVAVBVCVSUMZVAVBVCVSUNVHABUOSVTWAVNBIVTWAAVHRJZV
      NVTVHAWFWGUPVTVAVSVCVNWHNWGWDWEAVGCUQSTURUSUTTT $.

    $( If a vector ` A ` has norm 1, the outer product ` | A >. <. A | ` is the
       projector onto the subspace spanned by ` A ` .
       ~ http://en.wikipedia.org/wiki/Bra-ket#Linear%5Foperators .
       (Contributed by NM, 30-May-2006.)  (New usage is discouraged.) $)
    kbpj $p |- ( ( A e. ~H /\ ( normh ` A ) = 1 ) -> ( A ketbra A ) =
                ( projh ` ( span ` { A } ) ) ) $=
      ( vx chba wcel cno cfv c1 wceq wa ck csn cexp cdiv csm wne cc0 adantr wfn
      co c2 cspn cpjh cv wral csp oveq1 sq1 eqtrdi oveq2d hicl ancoms sylan9eqr
      div1d an32s oveq1d c0v simpll simpr ax-1ne0 neeq1 mpbiri normne0 pjspansn
      cc syl5ib imp syl3anc kbval 3anidm12 adantlr 3eqtr4rd ralrimiva wb anidms
      wf kbop ffnd cch spansnch pjfn syl eqfnfv syl2anc mpbird ) ACDZAEFZGHZIZA
      AJSZAKUAFZUBFZHZBUCZWIFZWMWKFZHZBCUDZWHWPBCWHWMCDZIZWMAUESZWFTLSZMSZANSZW
      TANSZWOWNWSXBWTANWEWRWGXBWTHWGWEWRIZXBWTGMSWTWGXAGWTMWGXAGTLSGWFGTLUFUGUH
      UIXEWTWRWEWTVDDWMAUJUKUMULUNUOWSWEWRAUPOZWOXCHWEWGWRUQWHWRURWHXFWRWEWGXFW
      GWFPOZWEXFWGXGGPOUSWFGPUTVAAVBVEVFQAWMVCVGWEWRWNXDHZWGWEWRXHAAWMVHVIVJVKV
      LWEWLWQVMZWGWEWICRWKCRZXIWECCWIWECCWIVOAAVPVNVQWEWJVRDXJAVSWJVTWABCWIWKWB
      WCQWD $.

    $( Membership in the set of eigenvectors of a Hilbert space operator.
       (Contributed by NM, 11-Mar-2006.)  (Revised by Mario Carneiro,
       16-Nov-2013.)  (New usage is discouraged.) $)
    eleigvec $p |- ( T : ~H --> ~H -> ( A e. ( eigvec ` T ) <->
            ( A e. ~H /\ A =/= 0h /\ E. x e. CC ( T ` A ) = ( x .h A ) ) ) ) $=
      ( vy chba wf cei cfv wcel cv csm co wceq cc wrex c0h cdif crab c0v wa wne
      w3a eigvecval eleq2d wn eldif elch0 necon3bbii anbi2i bitri fveq2 eqeq12d
      anbi1i oveq2 rexbidv elrab df-3an 3bitr4i bitrdi ) EECFZBCGHZIBDJZCHZAJZV
      BKLZMZANOZDEPQZRZIZBEIZBSUAZBCHZVDBKLZMZANOZUBZUTVAVIBDACUCUDBVHIZVPTVKVL
      TZVPTVJVQVRVSVPVRVKBPIZUEZTVSBEPUFWAVLVKVTBSBUGUHUIUJUMVGVPDBVHVBBMZVFVOA
      NWBVCVMVEVNVBBCUKVBBVDKUNULUOUPVKVLVPUQURUS $.

    $( Membership in the set of eigenvectors of a Hilbert space operator.
       (Contributed by NM, 18-Mar-2006.)  (New usage is discouraged.) $)
    eleigvec2 $p |- ( T : ~H --> ~H -> ( A e. ( eigvec ` T ) <->
            ( A e. ~H /\ A =/= 0h /\ ( T ` A ) e. ( span ` { A } ) ) ) ) $=
      ( vx chba wf cei cfv wcel c0v wne cv csm co wceq cc wrex w3a csn df-3an
      wa cspn eleigvec wb elspansn adantr pm5.32i 3bitr4i bitr4di ) DDBEABFGHAD
      HZAIJZABGZCKALMNCOPZQZUIUJUKARUAGHZQZCABUBUIUJTZUNTUPULTUOUMUPUNULUIUNULU
      CUJCAUKUDUEUFUIUJUNSUIUJULSUGUH $.

    $( Closure of an eigenvector of a Hilbert space operator.  (Contributed by
       NM, 23-Mar-2006.)  (New usage is discouraged.) $)
    eleigveccl $p |- ( ( T : ~H --> ~H /\ A e. ( eigvec ` T ) ) ->
                      A e. ~H ) $=
      ( chba wf cei cfv wcel wa c0v wne csn cspn w3a eleigvec2 biimpa simp1d )
      CCBDZABEFGZHACGZAIJZABFAKLFGZQRSTUAMABNOP $.

    $( The eigenvalue of an eigenvector of a Hilbert space operator.
       (Contributed by NM, 11-Mar-2006.)  (New usage is discouraged.) $)
    eigvalval $p |- ( ( T : ~H --> ~H /\ A e. ( eigvec ` T ) ) ->
  ( ( eigval ` T ) ` A ) = ( ( ( T ` A ) .ih A ) / ( ( normh ` A ) ^ 2 ) ) ) $=
      ( vx chba wf cei cfv wcel cel cv csp co cno c2 cexp cdiv eigvalfval fveq2
      cmpt oveq12d fveq1d wceq id oveq1d eqid ovex fvmpt sylan9eq ) DDBEZABFGZH
      ABIGZGACUJCJZBGZULKLZULMGZNOLZPLZSZGABGZAKLZAMGZNOLZPLZUIAUKURCBQUACAUQVC
      UJURULAUBZUNUTUPVBPVDUMUSULAKULABRVDUCTVDUOVANOULAMRUDTURUEUTVBPUFUGUH $.

    $( An eigenvalue is a complex number.  (Contributed by NM, 11-Mar-2006.)
       (New usage is discouraged.) $)
    eigvalcl $p |- ( ( T : ~H --> ~H /\ A e. ( eigvec ` T ) )
     -> ( ( eigval ` T ) ` A ) e. CC ) $=
      ( vx chba wf cei cfv wcel wa cel csp co cno c2 cexp cc syl wne cc0 biimpa
      cdiv eigvalval eleigveccl ffvelrn hicl sylancom syldan normcl recnd sqcld
      c0v cv csm wceq wrex w3a eleigvec wb sqne0 normne0 bitr2d 3adant3 eqeltrd
      divcld ) DDBEZABFGHZIZABJGGABGZAKLZAMGZNOLZUALPABUBVGVIVKVEVFADHZVIPHZABU
      CZVEVLVHDHVMDDABUDVHAUEUFUGVGVJVGVLVJPHZVNVLVJAUHUIZQUJVGVLAUKRZVHCULAUML
      UNCPUOZUPZVKSRZVEVFVSCABUQTVLVQVTVRVLVQVTVLVTVJSRZVQVLVOVTWAURVPVJUSQAUTV
      ATVBQVDVC $.

    $( Property of an eigenvector.  (Contributed by NM, 12-Mar-2006.)
       (New usage is discouraged.) $)
    eigvec1 $p |- ( ( T : ~H --> ~H /\ A e. ( eigvec ` T ) ) ->
            ( ( T ` A ) = ( ( ( eigval ` T ) ` A ) .h A ) /\ A =/= 0h ) ) $=
      ( chba wf cei cfv wcel wa cel csm co wceq c0v wne csp cexp cdiv eigvalval
      cno c2 oveq1d csn cspn w3a eleigvec2 biimpa normcan syl eqtr2d simp2d jca
      ) CCBDZABEFGZHZABFZABIFFZAJKZLAMNZUNUQUOAOKASFTPKQKZAJKZUOUNUPUSAJABRUAUN
      ACGZURUOAUBUCFGZUDZUTUOLULUMVCABUEUFZUOAUGUHUIUNVAURVBVDUJUK $.

    $( The eigenvalues of a Hermitian operator are real.  Equation 1.30 of
       [Hughes] p. 49.  (Contributed by NM, 19-Mar-2006.)
       (New usage is discouraged.) $)
    eighmre $p |- ( ( T e. HrmOp /\ A e. ( eigvec ` T ) ) ->
                    ( ( eigval ` T ) ` A ) e. RR ) $=
      ( cho wcel cei cfv wa chba cel cc csm co wceq c0v wne csp cr wf jca sylan
      hmopf eleigveccl eigvalcl eigvec1 hmop 3expb syldan eigre biimpa syl2anc
      ) BCDZABEFDZGAHDZABIFFZJDZGZABFZUNAKLMANOGZGZAUQPLUQAPLMZUNQDZUKHHBRZULUS
      BUAZVBULGZUPURVDUMUOABUBZABUCSABUDSTUKULUMUMGZUTUKVBULVFVCVDUMUMVEVESTUKU
      MUMUTAABUEUFUGUSUTVAAUNBUHUIUJ $.

    $( Eigenvectors of a Hermitian operator with distinct eigenvalues are
       orthogonal.  Equation 1.31 of [Hughes] p. 49.  (Contributed by NM,
       23-Mar-2006.)  (New usage is discouraged.) $)
    eighmorth $p |- ( ( ( T e. HrmOp /\ A e. ( eigvec ` T ) ) /\
                     ( B e. ( eigvec ` T ) /\
                  ( ( eigval ` T ) ` A ) =/= ( ( eigval ` T ) ` B ) ) ) ->
                     ( A .ih B ) = 0 ) $=
      ( wcel cfv wa wne chba cc csm co wceq csp eleigveccl sylan adantr adantlr
      jca eighmre adantrr cho cei cel ccj cc0 wf hmopf recnd c0v eigvec1 simpld
      cjred neeq2d biimpar anasss simpll hmop syl3anc eigorth biimpa syl21anc )
      CUADZACUBEZDZFZBVCDZACUCEZEZBVGEZGZFZFZAHDZBHDZFZVHIDZVIIDZFZFZACEZVHAJKL
      ZBCEZVIBJKLZFZVHVIUDEZGZFZAWBMKVTBMKLZABMKUELZVEVFVSVJVEVFFZVOVRWJVMVNVEV
      MVFVBHHCUFZVDVMCUGZACNOPZVBVFVNVDVBWKVFVNWLBCNOQZRWJVPVQVEVPVFVEVHACSUHPV
      BVFVQVDVBVFFZVIBCSZUHQRRTVLWDWFVEVFWDVJWJWAWCVEWAVFVBWKVDWAWLWKVDFWAAUIGA
      CUJUKOPVBVFWCVDVBWKVFWCWLWKVFFWCBUIGBCUJUKOQRTVBVKWFVDVBVFVJWFWOWFVJWOWEV
      IVHWOVIWPULUMUNUOQRVEVFWHVJWJVBVMVNWHVBVDVFUPWMWNABCUQURTVSWGFWHWIABVHVIC
      USUTVA $.
  $}

  ${
    $d x y T $.
    nmopneg.1 $e |- T : ~H --> ~H $.
    $( Value of the norm of the negative of a Hilbert space operator.  Unlike
       ~ nmophmi , the operator does not have to be bounded.  (Contributed by
       NM, 10-Mar-2006.)  (New usage is discouraged.) $)
    nmopnegi $p |- ( normop ` ( -u 1 .op T ) ) = ( normop ` T ) $=
      ( vy vx cv cno cfv c1 co wceq wa chba wrex cab cxr clt csup cnop wcel wf
      cle wbr cneg chot csm neg1cn homval mp3an12 fveq2d ffvelrni normneg eqtrd
      cc syl eqeq2d anbi2d rexbiia abbii supeq1i homulcl mp2an nmopval 3eqtr4i
      ax-mp ) CEZFGHUAUBZDEZVEHUCZAUDIZGZFGZJZKZCLMZDNZOPQZVFVGVEAGZFGZJZKZCLMZ
      DNZOPQZVIRGZARGZOVOWBPVNWADVMVTCLVELSZVLVSVFWFVKVRVGWFVKVHVQUEIZFGZVRWFVJ
      WGFVHUMSZLLATZWFVJWGJUFBVHVEAUGUHUIWFVQLSWHVRJLLVEABUJVQUKUNULUOUPUQURUSL
      LVITZWDVPJWIWJWKUFBVHAUTVADCVIVBVDWJWEWCJBDCAVBVDVC $.
  $}

  $( The value of a linear Hilbert space operator at zero is zero.  Remark in
     [Beran] p. 99.  (Contributed by NM, 13-Aug-2006.)
     (New usage is discouraged.) $)
  lnop0 $p |- ( T e. LinOp -> ( T ` 0h ) = 0h ) $=
    ( clo wcel c0v cfv cmv co cva c1 csm chba wceq ax-hv0cl hvmulcli ax-hvmulid
    ax-1cn ax-mp mpan2 syl oveq1d ax-hvaddid eqtri fveq2i cc wa mpanr12 eqtr3id
    lnopl wf lnopf ffvelrn eqtrd hvsubid hvpncan anidms 3eqtr3rd ) ABCZDAEZURFG
    ZURURHGZURFGZDURUQURUTURFUQURIURJGZURHGZUTUQURIDJGZDHGZAEZVCVEDAVEVDDVDKCVE
    VDLIDPMNVDUAQDKCZVDDLMDOQUBUCUQIUDCZVFVCLZPUQVHUEVGVGVIMMIDDAUHUFRUGUQVBURU
    RHUQURKCZVBURLUQKKAUIZVJAUJVKVGVJMKKDAUKRSZUROSTULTUQVJUSDLVLURUMSUQVJVAURL
    ZVLVJVMURURUNUOSUP $.

  $( Multiplicative property of a linear Hilbert space operator.  (Contributed
     by NM, 13-Aug-2006.)  (New usage is discouraged.) $)
  lnopmul $p |- ( ( T e. LinOp /\ A e. CC /\ B e. ~H ) ->
       ( T ` ( A .h B ) ) = ( A .h ( T ` B ) ) ) $=
    ( clo wcel cc chba w3a csm co c0v cva cfv wceq wa ax-hv0cl lnopl ax-hvaddid
    hvmulcl syl mpanr2 3impa 3adant1 fveq2d lnop0 oveq2d lnopf ffvelrnda sylan2
    3ad2ant1 3impb 3com12 eqtrd 3eqtr3d ) CDEZAFEZBGEZHZABIJZKLJZCMZABCMZIJZKCM
    ZLJZUSCMVCUOUPUQVAVENZUOUPOUQKGEVFPABKCQUAUBURUTUSCUPUQUTUSNZUOUPUQOUSGEVGA
    BSUSRTUCUDURVEVCKLJZVCUOUPVEVHNUQUOVDKVCLCUEUFUJURVCGEZVHVCNUPUOUQVIUPUOUQV
    IUOUQOUPVBGEVIUOGGBCCUGUHAVBSUIUKULVCRTUMUN $.

  ${
    lnopl.1 $e |- T e. LinOp $.
    $( Basic scalar product property of a linear Hilbert space operator.
       (Contributed by NM, 23-Jan-2006.)  (New usage is discouraged.) $)
    lnopli $p |- ( ( A e. CC /\ B e. ~H /\ C e. ~H ) ->
         ( T ` ( ( A .h B ) +h C ) ) = ( ( A .h ( T ` B ) ) +h ( T ` C ) ) ) $=
      ( cc wcel chba csm co cva cfv wceq clo wa lnopl mpanl1 3impb ) AFGZBHGZCH
      GZABIJCKJDLABDLIJCDLKJMZDNGSTUAOUBEABCDPQR $.

    $( A linear Hilbert space operator is a Hilbert space operator.
       (Contributed by NM, 23-Jan-2006.)  (New usage is discouraged.) $)
    lnopfi $p |- T : ~H --> ~H $=
      ( clo wcel chba wf lnopf ax-mp ) ACDEEAFBAGH $.

    $( The value of a linear Hilbert space operator at zero is zero.  Remark in
       [Beran] p. 99.  (Contributed by NM, 11-May-2005.)
       (New usage is discouraged.) $)
    lnop0i $p |- ( T ` 0h ) = 0h $=
      ( clo wcel c0v cfv wceq lnop0 ax-mp ) ACDEAFEGBAHI $.

    $( Additive property of a linear Hilbert space operator.  (Contributed by
       NM, 11-May-2005.)  (New usage is discouraged.) $)
    lnopaddi $p |- ( ( A e. ~H /\ B e. ~H ) ->
         ( T ` ( A +h B ) ) = ( ( T ` A ) +h ( T ` B ) ) ) $=
      ( chba wcel wa c1 csm co cva cfv ax-1cn lnopli mp3an1 ax-hvmulid fvoveq1d
      cc wceq adantr lnopfi ffvelrni syl oveq1d 3eqtr3d ) AEFZBEFZGZHAIJZBKJCLZ
      HACLZIJZBCLZKJZABKJCLZUKUMKJHRFUFUGUJUNSMHABCDNOUFUJUOSUGUFUIABCKAPQTUHUL
      UKUMKUFULUKSZUGUFUKEFUPEEACCDUAUBUKPUCTUDUE $.

    $( Multiplicative property of a linear Hilbert space operator.
       (Contributed by NM, 11-May-2005.)  (New usage is discouraged.) $)
    lnopmuli $p |- ( ( A e. CC /\ B e. ~H ) ->
         ( T ` ( A .h B ) ) = ( A .h ( T ` B ) ) ) $=
      ( clo wcel cc chba csm co cfv wceq lnopmul mp3an1 ) CEFAGFBHFABIJCKABCKIJ
      LDABCMN $.

    $( Sum/product property of a linear Hilbert space operator.  (Contributed
       by NM, 1-Jul-2005.)  (New usage is discouraged.) $)
    lnopaddmuli $p |- ( ( A e. CC /\ B e. ~H /\ C e. ~H ) ->
         ( T ` ( B +h ( A .h C ) ) ) = ( ( T ` B ) +h ( A .h ( T ` C ) ) ) ) $=
      ( cc wcel chba w3a csm co cva cfv wa hvmulcl lnopaddi sylan2 3impb 3com12
      wceq lnopmuli 3adant2 oveq2d eqtrd ) AFGZBHGZCHGZIZBACJKZLKDMZBDMZUIDMZLK
      ZUKACDMJKZLKUFUEUGUJUMTZUFUEUGUOUEUGNUFUIHGUOACOBUIDEPQRSUHULUNUKLUEUGULU
      NTUFACDEUAUBUCUD $.

    $( Subtraction property for a linear Hilbert space operator.  (Contributed
       by NM, 1-Jul-2005.)  (New usage is discouraged.) $)
    lnopsubi $p |- ( ( A e. ~H /\ B e. ~H ) ->
         ( T ` ( A -h B ) ) = ( ( T ` A ) -h ( T ` B ) ) ) $=
      ( chba wcel wa c1 cneg csm co cva cfv cc wceq neg1cn lnopaddmuli hvsubval
      cmv ffvelrni mp3an1 fveq2d lnopfi syl2an 3eqtr4d ) AEFZBEFZGZAHIZBJKLKZCM
      ZACMZUIBCMZJKLKZABSKZCMULUMSKZUINFUFUGUKUNOPUIABCDQUAUHUOUJCABRUBUFULEFUM
      EFUPUNOUGEEACCDUCZTEEBCUQTULUMRUDUE $.

    $( Subtraction/product property of a linear Hilbert space operator.
       (Contributed by NM, 2-Jul-2005.)  (New usage is discouraged.) $)
    lnopsubmuli $p |- ( ( A e. CC /\ B e. ~H /\ C e. ~H ) ->
         ( T ` ( B -h ( A .h C ) ) ) = ( ( T ` B ) -h ( A .h ( T ` C ) ) ) ) $=
      ( cc wcel chba w3a csm co cmv cfv wa hvmulcl lnopsubi sylan2 3impb 3com12
      wceq lnopmuli oveq2d 3adant2 eqtrd ) AFGZBHGZCHGZIBACJKZLKDMZBDMZUHDMZLKZ
      UJACDMJKZLKZUFUEUGUIULTZUFUEUGUOUEUGNZUFUHHGUOACOBUHDEPQRSUEUGULUNTUFUPUK
      UMUJLACDEUAUBUCUD $.

    $( Product/subtraction property of a linear Hilbert space operator.
       (Contributed by NM, 2-Jul-2005.)  (New usage is discouraged.) $)
    lnopmulsubi $p |- ( ( A e. CC /\ B e. ~H /\ C e. ~H ) ->
         ( T ` ( ( A .h B ) -h C ) ) = ( ( A .h ( T ` B ) ) -h ( T ` C ) ) ) $=
      ( wcel chba w3a csm cmv cfv wceq hvmulcl lnopsubi stoic3 lnopmuli 3adant3
      cc co oveq1d eqtrd ) ARFZBGFZCGFZHZABISZCJSDKZUFDKZCDKZJSZABDKISZUIJSUBUC
      UFGFUDUGUJLABMUFCDENOUEUHUKUIJUBUCUHUKLUDABDEPQTUA $.
  $}

  ${
    $d x A $.  $d x T $.  $d x U $.
    $( Move a scalar product out of a composition of operators.  The operator
       ` T ` must be linear, unlike ~ homco1 that works for any operators.
       (Contributed by NM, 13-Aug-2006.)  (New usage is discouraged.) $)
    homco2 $p |- ( ( A e. CC /\ T e. LinOp /\ U : ~H --> ~H ) ->
                  ( T o. ( A .op U ) ) = ( A .op ( T o. U ) ) ) $=
      ( vx wcel chba wf chot co ccom cfv wceq csm syl3anc homulcl fvco3 syl2anc
      homval fco 3eqtr4d cc clo w3a cv wral wa simpl1 simpl3 simpr fveq2d sylan
      3adant2 oveq2d lnopf 3ad2ant2 simp3 adantr ffvelrnda lnopmul ralrimiva wb
      simpl2 simp1 hoeq mpbid ) AUAEZBUBEZFFCGZUCZDUDZBACHIZJZKZVJABCJZHIZKZLZD
      FUEZVLVOLZVIVQDFVIVJFEZUFZVJVKKZBKZAVJCKZMIZBKZVMVPWAWBWEBWAVFVHVTWBWELVF
      VGVHVTUGZVFVGVHVTUHZVIVTUIZAVJCRNUJVIFFVKGZVTVMWCLVFVHWJVGACOULZFFVJBVKPU
      KWAAVJVNKZMIZAWDBKZMIZVPWFWAWLWNAMWAVHVTWLWNLWHWIFFVJBCPQUMWAVFFFVNGZVTVP
      WMLWGVIWPVTVIFFBGZVHWPVGVFWQVHBUNUOZVFVGVHUPZFFFBCSQZUQWIAVJVNRNWAVGVFWDF
      EWFWOLVFVGVHVTVBWGVIFFVJCWSURAWDBUSNTTUTVIFFVLGZFFVOGZVRVSVAVIWQWJXAWRWKF
      FFBVKSQVIVFWPXBVFVGVHVCWTAVNOQDVLVOVDQVE $.
  $}

  ${
    $d x y z w $.
    $( The identity function (restricted to Hilbert space) is a unitary
       operator.  (Contributed by NM, 21-Jan-2006.)
       (New usage is discouraged.) $)
    idunop $p |- ( _I |` ~H ) e. UniOp $=
      ( vx vy cid chba cres cuo wcel wfo cv cfv wceq wral wf1o f1oi f1ofo ax-mp
      csp co fvresi oveqan12d rgen2 elunop mpbir2an ) CDEZFGDDUDHZAIZUDJZBIZUDJ
      ZQRUFUHQRKZBDLADLDDUDMUEDNDDUDOPUJABDDUFDGUHDGUGUFUIUHQDUFSDUHSTUAABUDUBU
      C $.

    $( The identically zero function is a continuous Hilbert space operator.
       (Contributed by NM, 7-Feb-2006.)  (New usage is discouraged.) $)
    0cnop $p |- 0hop e. ContOp $=
      ( vw vx vz vy ch0o wcel chba cv cmv co cno cfv clt wbr wi wral crp c1 cc0
      c0v ccop wf wrex ho0f 1rp wceq ho0val oveqan12rd adantlr ax-hv0cl hvsubid
      wa ax-mp eqtrdi fveq2d norm0 rpgt0 ad2antlr a1d ralrimiva breq2 rspceaimv
      eqbrtrd sylancr rgen2 elcnop mpbir2an ) EUAFGGEUBAHZBHZIJKLZCHZMNZVHELZVI
      ELZIJZKLZDHZMNZOAGPCQUCZDQPBGPUDVSBDGQVIGFZVQQFZULZRQFVJRMNZVROZAGPVSUEWB
      WDAGWBVHGFZULZVRWCWFVPSVQMWFVPTKLSWFVOTKWFVOTTIJZTVTWEVOWGUFWAWEVTVMTVNTI
      VHUGVIUGUHUITGFWGTUFUJTUKUMUNUOUPUNWASVQMNVTWEVQUQURVCUSUTVLWCVRCARQGVKRV
      JMVAVBVDVEBDCAEVFVG $.

    $( The identically zero function is a continuous Hilbert space functional.
       (Contributed by NM, 7-Feb-2006.)  (New usage is discouraged.) $)
    0cnfn $p |- ( ~H X. { 0 } ) e. ContFn $=
      ( vw vx vz vy chba cc0 wcel cc cv co cfv clt wbr cmin cabs wi wral crp wa
      c1 csn cxp ccnfn wf cmv cno wrex 0cn fconst6 1rp wceq fvconst2 oveqan12rd
      c0ex adantlr 0m0e0 eqtrdi abs0 rpgt0 ad2antlr eqbrtrd a1d ralrimiva breq2
      fveq2d rspceaimv sylancr rgen2 elcnfn mpbir2an ) EFUAUBZUCGEHVKUDAIZBIZUE
      JUFKZCIZLMZVLVKKZVMVKKZNJZOKZDIZLMZPAEQCRUGZDRQBEQEFHUHUIWCBDERVMEGZWARGZ
      SZTRGVNTLMZWBPZAEQWCUJWFWHAEWFVLEGZSZWBWGWJVTFWALWJVTFOKFWJVSFOWJVSFFNJZF
      WDWIVSWKUKWEWIWDVQFVRFNEFVLUNULEFVMUNULUMUOUPUQVEURUQWEFWALMWDWIWAUSUTVAV
      BVCVPWGWBCATREVOTVNLVDVFVGVHBDCAVKVIVJ $.

    $( The identity function (restricted to Hilbert space) is a continuous
       operator.  (Contributed by NM, 7-Feb-2006.)
       (New usage is discouraged.) $)
    idcnop $p |- ( _I |` ~H ) e. ContOp $=
      ( vw vx vz vy cid chba cres ccop wcel cv cmv co cno cfv clt wbr wi fvresi
      wral crp wf wrex wf1o f1oi f1of ax-mp id oveqan12rd fveq2d breq1d biimprd
      wa ralrimiva breq2 rspceaimv syl2anr rgen2 elcnop mpbir2an ) EFGZHIFFUTUA
      ZAJZBJZKLZMNZCJZOPZVBUTNZVCUTNZKLZMNZDJZOPZQAFSCTUBZDTSBFSFFUTUCVAFUDFFUT
      UEUFVNBDFTVLTIZVOVEVLOPZVMQZAFSVNVCFIZVOUGVRVQAFVRVBFIZULZVMVPVTVKVEVLOVT
      VJVDMVSVRVHVBVIVCKFVBRFVCRUHUIUJUKUMVGVPVMCAVLTFVFVLVEOUNUOUPUQBDCAUTURUS
      $.

    $( The Hilbert space identity operator is a Hermitian operator.
       (Contributed by NM, 22-Apr-2006.)  (New usage is discouraged.) $)
    idhmop $p |- Iop e. HrmOp $=
      ( vx vy chio cho wcel chba wf cv cfv csp wceq wral wf1o hoif ax-mp hoival
      co f1of eqcomd oveqan12d rgen2 elhmop mpbir2an ) CDEFFCGZAHZBHZCIZJQUECIZ
      UFJQKZBFLAFLFFCMUDNFFCROUIABFFUEFEZUFFEUEUHUGUFJUJUHUEUEPSUFPTUAABCUBUC
      $.

    $( The identically zero function is a Hermitian operator.  (Contributed by
       NM, 8-Aug-2006.)  (New usage is discouraged.) $)
    0hmop $p |- 0hop e. HrmOp $=
      ( vx vy ch0o cho wcel chba wf cv cfv csp co wceq wral ho0f cc0 c0v ho0val
      wa oveq2d hi02 sylan9eqr oveq1d sylan9eq eqtr4d rgen2 elhmop mpbir2an
      hi01 ) CDEFFCGAHZBHZCIZJKZUICIZUJJKZLZBFMAFMNUOABFFUIFEZUJFEZRULOUNUQUPUL
      UIPJKOUQUKPUIJUJQSUITUAUPUQUNPUJJKOUPUMPUJJUIQUBUJUHUCUDUEABCUFUG $.

    $( The identically zero function is a linear Hilbert space operator.
       (Contributed by NM, 7-Feb-2006.)  (New usage is discouraged.) $)
    0lnop $p |- 0hop e. LinOp $=
      ( ch0o cho wcel clo 0hmop hmoplin ax-mp ) ABCADCEAFG $.

    $( The identically zero function is a linear Hilbert space functional.
       (Contributed by NM, 14-Feb-2006.)  (New usage is discouraged.) $)
    0lnfn $p |- ( ~H X. { 0 } ) e. LinFn $=
      ( vx vy vz chba cc0 csn cxp clf wcel cc cv co cfv cmul caddc wceq wral wa
      c0ex fvconst2 wf csm cva 0cn fconst6 hvmulcl hvaddcl syl oveq2d sylan9eqr
      sylan mul01 oveqan12d 00id eqtrdi eqtr4d 3impa rgen3 ellnfn mpbir2an ) DE
      FGZHIDJVAUAAKZBKZUBLZCKZUCLZVAMZVBVCVAMZNLZVEVAMZOLZPZCDQBDQAJQDEJUDUEVLA
      BCJDDVBJIZVCDIZVEDIZVLVMVNRZVORZVGEVKVQVFDIZVGEPVPVDDIVOVRVBVCUFVDVEUGUKD
      EVFSTUHVQVKEEOLEVPVOVIEVJEOVNVMVIVBENLEVNVHEVBNDEVCSTUIVBULUJDEVESTUMUNUO
      UPUQURABCVAUSUT $.

    $( The norm of the zero operator is zero.  (Contributed by NM, 8-Feb-2006.)
       (New usage is discouraged.) $)
    nmop0 $p |- ( normop ` 0hop ) = 0 $=
      ( vy vx ch0o cfv cv cno c1 cle wbr wceq wa chba wrex cab cxr clt csup cc0
      wcel c0v cnop csn wf ho0f nmopval ax-mp ho0val fveq2d norm0 eqtrdi eqeq2d
      anbi2d rexbiia 0le1 fveq2 breq1d rspcev mp2an r19.41v mpbiran bitri abbii
      ax-hv0cl df-sn eqtr4i supeq1i wor xrltso 0xr supsn 3eqtri ) CUADZAEZFDZGH
      IZBEZVMCDZFDZJZKZALMZBNZOPQZRUBZOPQZRLLCUCVLWCJUDBACUEUFOWBWDPWBVPRJZBNWD
      WAWFBWAVOWFKZALMZWFVTWGALVMLSZVSWFVOWIVRRVPWIVRTFDZRWIVQTFVMUGUHUIUJUKULU
      MWHVOALMZWFTLSRGHIZWKVCUNVOWLATLVMTJZVNRGHWMVNWJRVMTFUOUIUJUPUQURVOWFALUS
      UTVAVBBRVDVEVFOPVGROSWERJVHVIORPVJURVK $.

    $( The norm of the identically zero functional is zero.  (Contributed by
       NM, 25-Apr-2006.)  (New usage is discouraged.) $)
    nmfn0 $p |- ( normfn ` ( ~H X. { 0 } ) ) = 0 $=
      ( vy vx chba cc0 cfv cv cno c1 cle wbr cabs wceq wa wrex cab cxr clt csup
      wcel c0v csn cxp cnmf cc wf 0lnfn lnfnf nmfnval mp2b c0ex fvconst2 fveq2d
      abs0 eqtrdi eqeq2d anbi2d rexbiia ax-hv0cl 0le1 fveq2 norm0 breq1d rspcev
      clf mp2an r19.41v mpbiran bitri abbii df-sn eqtr4i supeq1i wor xrltso 0xr
      supsn 3eqtri ) CDUAZUBZUCEZAFZGEZHIJZBFZWAVSEZKEZLZMZACNZBOZPQRZVRPQRZDVS
      VDSCUDVSUEVTWKLUFVSUGBAVSUHUIPWJVRQWJWDDLZBOVRWIWMBWIWCWMMZACNZWMWHWNACWA
      CSZWGWMWCWPWFDWDWPWFDKEDWPWEDKCDWAUJUKULUMUNUOUPUQWOWCACNZWMTCSDHIJZWQURU
      SWCWRATCWATLZWBDHIWSWBTGEDWATGUTVAUNVBVCVEWCWMACVFVGVHVIBDVJVKVLPQVMDPSWL
      DLVNVOPDQVPVEVQ $.
  $}

  ${
    $d x y T $.
    $( A Hermitian operator is a bounded linear operator (Hellinger-Toeplitz
       Theorem).  (Contributed by NM, 18-Jan-2008.)
       (New usage is discouraged.) $)
    hmopbdoptHIL $p |- ( T e. HrmOp -> T e. BndLinOp ) $=
      ( vx vy cho wcel clo cv cfv csp co wceq chba wral cbo hmoplin hmop 3expib
      ralrimivv cop eqid cva csm chlo hilhl df-hba hhip clno hhlnoi cblo hhbloi
      cno htth mp3an1 syl2anc ) ADEZAFEZBGZCGZAHIJUQAHURIJKZCLMBLMZANEZAOUOUSBC
      LLUOUQLEURLEUSUQURAPQRUAUBSUKSZUCEUPUTVAUDBCNIAVBFLUEVBVBTZUFVBVBVBUGJZVC
      VDTUHVBVBUIJZVBVCVETUJULUMUN $.
  $}

  ${
    $d x R $.  $d x S $.  $d x T $.
    hoddi.1 $e |- R e. LinOp $.
    hoddi.2 $e |- S : ~H --> ~H $.
    hoddi.3 $e |- T : ~H --> ~H $.
    $( Distributive law for Hilbert space operator difference.  (Interestingly,
       the reverse distributive law ~ hocsubdiri does not require linearity.)
       (Contributed by NM, 11-Mar-2006.)  (New usage is discouraged.) $)
    hoddii $p |- ( R o. ( S -op T ) ) = ( ( R o. S ) -op ( R o. T ) ) $=
      ( vx chod co ccom cfv wceq chba wcel cmv ffvelrni wf hodval hocoi hocofi
      wral lnopsubi syl2anc mp3an12 fveq2d lnopfi oveq12d 3eqtr4d hosubcli rgen
      cv hoeqi mpbi ) GUKZABCHIZJZKZUNABJZACJZHIZKZLZGMUAUPUTLVBGMUNMNZUNUOKZAK
      ZUNURKZUNUSKZOIZUQVAVCUNBKZUNCKZOIZAKZVIAKZVJAKZOIZVEVHVCVIMNVJMNVLVOLMMU
      NBEPMMUNCFPVIVJADUBUCVCVDVKAMMBQMMCQVCVDVKLEFUNBCRUDUEVCVFVMVGVNOUNABADUF
      ZESUNACVPFSUGUHUNAUOVPBCEFUIZSMMURQMMUSQVCVAVHLABVPETZACVPFTZUNURUSRUDUHU
      JGUPUTAUOVPVQTURUSVRVSUIULUM $.
  $}

  $( Distributive law for Hilbert space operator difference.  (Interestingly,
     the reverse distributive law ~ hocsubdiri does not require linearity.)
     (Contributed by NM, 23-Aug-2006.)  (New usage is discouraged.) $)
  hoddi $p |- ( ( R e. LinOp /\ S : ~H --> ~H /\ T : ~H --> ~H ) ->
              ( R o. ( S -op T ) ) = ( ( R o. S ) -op ( R o. T ) ) ) $=
    ( clo wcel chba wf chod co ccom wceq cif coeq1 oveq12d eqeq12d coeq2d coeq2
    ch0o ho0f elimf oveq1 oveq1d oveq2 oveq2d 0lnop elimel hoddii dedth3h ) ADE
    ZFFBGZFFCGZABCHIZJZABJZACJZHIZKUIARLZULJZUQBJZUQCJZHIZKUQUJBRLZCHIZJZUQVBJZ
    UTHIZKUQVBUKCRLZHIZJZVEUQVGJZHIZKABCRRRAUQKZUMURUPVAAUQULMVLUNUSUOUTHAUQBMA
    UQCMNOBVBKZURVDVAVFVMULVCUQBVBCHUAPVMUSVEUTHBVBUQQUBOCVGKZVDVIVFVKVNVCVHUQC
    VGVBHUCPVNUTVJVEHCVGUQQUDOUQVBVGARDUEUFFFBRSTFFCRSTUGUH $.

  $( The norm of any operator on the trivial Hilbert space is zero.  (This is
     the reason we need ` ~H =/= 0H ` in ~ nmopun .)  (Contributed by NM,
     24-Feb-2006.)  (New usage is discouraged.) $)
  nmop0h $p |- ( ( ~H = 0H /\ T : ~H --> ~H ) -> ( normop ` T ) = 0 ) $=
    ( chba c0h wceq wf wa cnop cfv ch0o cc0 c0v csn wb df-ch0 eqeq2i feq3 sylbi
    cxp ax-hv0cl elexi fconst2 df0op2 xpeq2i bitr4i bitrdi biimpa fveq2d eqtrdi
    eqtri nmop0 ) BCDZBBAEZFZAGHIGHJUMAIGUKULAIDZUKULBKLZAEZUNUKBUODULUPMCUOBNO
    BUOBAPQUPABUORZDUNBKAKBSTUAIUQAIBCRUQUBCUOBNUCUIOUDUEUFUGUJUH $.

  $( The identity function (restricted to Hilbert space) is a linear operator.
     (Contributed by NM, 24-Jan-2006.)  (New usage is discouraged.) $)
  idlnop $p |- ( _I |` ~H ) e. LinOp $=
    ( cid chba cres cuo wcel clo idunop unoplin ax-mp ) ABCZDEJFEGJHI $.

  $( The identically zero operator is bounded.  (Contributed by NM,
     14-Feb-2006.)  (New usage is discouraged.) $)
  0bdop $p |- 0hop e. BndLinOp $=
    ( ch0o cbo wcel clo cnop cfv cpnf clt wbr 0lnop nmop0 0ltpnf eqbrtri elbdop
    cc0 mpbir2an ) ABCADCAEFZGHIJQOGHKLMANP $.

  ${
    $d x y $.
    $( Adjoint of the zero operator.  (Contributed by NM, 20-Feb-2006.)
       (New usage is discouraged.) $)
    adj0 $p |- ( adjh ` 0hop ) = 0hop $=
      ( vx vy chba ch0o wf cv cfv csp co wceq wral cado ho0f wcel wa cc0 ho0val
      c0v oveq1d hi01 sylan9eq oveq2d hi02 sylan9eqr eqtr4d rgen2 adjeq mp3an )
      CCDEZUIAFZDGZBFZHIZUJULDGZHIZJZBCKACKDLGDJMMUPABCCUJCNZULCNZOUMPUOUQURUMR
      ULHIPUQUKRULHUJQSULTUAURUQUOUJRHIPURUNRUJHULQUBUJUCUDUEUFABDDUGUH $.
  $}

  ${
    $d x y z T $.
    nmlnop0.1 $e |- T e. LinOp $.
    $( A linear operator with a zero norm is identically zero.  (Contributed by
       NM, 8-Feb-2006.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    nmlnop0iALT $p |- ( ( normop ` T ) = 0 <-> T = 0hop ) $=
      ( vx vz vy cfv cc0 wceq ch0o chba wcel wa c0v wne c1 cno wbr syl2anc cle
      cr cnop cv wral wn cdiv co csm clt wi cc normcl recnd adantr norm-i fveq2
      lnop0i eqtrdi syl6bi necon3d recne0d simpr wo wb reccld ffvelrni hvmul0or
      imp lnopfi necon3abid neanior bitr4di mpbir2and hvmulcl normgt0 syl mpbid
      ex adantl wrex cab cxr csup wss wf nmopsetretHIL ax-mp ressxr sstri simpl
      necon3i sylan2 eqeltrdi eqle lnopmuli eqcomd fveq2d breq1d eqeq2d anbi12d
      norm1 1re rspcev syl12anc fvex anbi2d rexbidv elab sylibr supxrub sylancr
      eqeq1 adantll nmopval eqeq1i biimpi breqtrd 0re lenlt sylancl pm2.65d nne
      ad2antrr sylib ho0val eqtr4d ralrimiva wfn ho0f eqfnfv mp2an nmop0 impbii
      ffn ) AUAFZGHZAIHZYOCUBZAFZYQIFZHZCJUCZYPYOYTCJYOYQJKZLZYRMYSUUCYRMNZUDYR
      MHZUUCUUDGOYQPFZUEUFZYRUGUFZPFZUHQZUUBUUDUUJUIYOUUBUUDUUJUUBUUDLZUUHMNZUU
      JUUKUULUUGGNZUUDUUKUUFUUBUUFUJKUUDUUBUUFYQUKULUMZUUBUUDUUFGNUUBUUFGYRMUUB
      UUFGHYQMHZUUEYQUNUUOYRMAFMYQMAUOABUPUQZURUSVGZUTUUBUUDVAUUKUULUUGGHUUEVBZ
      UDUUMUUDLUUKUURUUHMUUKUUGUJKZYRJKZUUHMHUURVCUUKUUFUUNUUQVDZUUBUUTUUDJJYQA
      ABVHZVEUMZUUGYRVFRVIUUGGYRMVJVKVLUUKUUHJKZUULUUJVCUUKUUSUUTUVDUVAUVCUUGYR
      VMRZUUHVNVOVPVQVRUUCUUDUUJUDZUUCUUDLZUUIGSQZUVFUVGUUIDUBZPFZOSQZEUBZUVIAF
      ZPFZHZLZDJVSZEVTZWAUHWBZGSUUBUUDUUIUVSSQZYOUUKUVRWAWCUUIUVRKZUVTUVRTWAJJA
      WDZUVRTWCUVBEDAWEWFWGWHUUKUVKUUIUVNHZLZDJVSZUWAUUKUUGYQUGUFZJKZUWFPFZOSQZ
      UUIUWFAFZPFZHZUWEUUKUUSUUBUWGUVAUUBUUDWIZUUGYQVMRUUKUWHTKUWHOHZUWIUUKUWHO
      TUUDUUBYQMNUWNYQMYRMUUPWJYQWTWKZXAWLUWOUWHOWMRUUKUUHUWJPUUKUWJUUHUUKUUSUU
      BUWJUUHHUVAUWMUUGYQABWNRWOWPUWDUWIUWLLDUWFJUVIUWFHZUVKUWIUWCUWLUWPUVJUWHO
      SUVIUWFPUOWQUWPUVNUWKUUIUWPUVMUWJPUVIUWFAUOWPWRWSXBXCUVQUWEEUUIUUHPXDUVLU
      UIHZUVPUWDDJUWQUVOUWCUVKUVLUUIUVNXKXEXFXGXHUVRUUIXIXJXLYOUVSGHZUUBUUDYOUW
      RYNUVSGUWBYNUVSHUVBEDAXMWFXNXOYBXPUUBUUDUVHUVFVCZYOUUKUUITKZGTKUWSUUKUVDU
      WTUVEUUHUKVOXQUUIGXRXSXLVPVQXTYRMYAYCUUBYSMHYOYQYDVRYEYFAJYGZIJYGZYPUUAVC
      UWBUXAUVBJJAYMWFJJIWDUXBYHJJIYMWFCJAIYIYJXHYPYNIUAFGAIUAUOYKUQYL $.

    $( A linear operator with a zero norm is identically zero.  (Contributed by
       NM, 18-Jan-2008.)  (New usage is discouraged.) $)
    nmlnop0iHIL $p |- ( ( normop ` T ) = 0 <-> T = 0hop ) $=
      ( clo wcel cnop cfv cc0 wceq ch0o wb cva csm cop cno cnmoo co eqid hhnmoi
      c0o hh0oi clno hhlnoi hhnv nmlno0i ax-mp ) ACDAEFGHAIHJBAKLMNMZCEUFIUFUFU
      FOPZUFQZUGQRUFUFUFSPZUHUIQTUFUFUFUAPZUHUJQUBUFUHUCZUKUDUE $.

    $( A linear Hilbert space operator that is not identically zero has a
       positive norm.  (Contributed by NM, 9-Feb-2006.)
       (New usage is discouraged.) $)
    nmlnopgt0i $p |- ( T =/= 0hop <-> 0 < ( normop ` T ) ) $=
      ( ch0o wne cnop cfv cc0 clt wbr nmlnop0iHIL necon3bii chba lnopfi nmopgt0
      wf wb ax-mp bitr3i ) ACDAEFZGDZGSHIZSGACABJKLLAOTUAPABMANQR $.
  $}

  $( A linear operator with a zero norm is identically zero.  (Contributed by
     NM, 12-Aug-2006.)  (New usage is discouraged.) $)
  nmlnop0 $p |- ( T e. LinOp -> ( ( normop ` T ) = 0 <-> T = 0hop ) ) $=
    ( clo wcel cnop cfv cc0 wceq ch0o wb cif fveqeq2 eqeq1 bibi12d 0lnop elimel
    nmlnop0iHIL dedth ) ABCZADEFGZAHGZIRAHJZDEFGZUAHGZIAHAUAGSUBTUCAUAFDKAUAHLM
    UAAHBNOPQ $.

  $( A linear operator with a nonzero norm is nonzero.  (Contributed by NM,
     12-Aug-2006.)  (New usage is discouraged.) $)
  nmlnopne0 $p |- ( T e. LinOp -> ( ( normop ` T ) =/= 0 <-> T =/= 0hop ) ) $=
    ( clo wcel cnop cfv cc0 ch0o nmlnop0 necon3bid ) ABCADEFAGAHI $.

  ${
    $d x y z A $.  $d x y z T $.
    lnopm.1 $e |- T e. LinOp $.
    $( The scalar product of a linear operator is a linear operator.
       (Contributed by NM, 10-Mar-2006.)  (New usage is discouraged.) $)
    lnopmi $p |- ( A e. CC -> ( A .op T ) e. LinOp ) $=
      ( vx vy vz cc wcel chba co wf cv csm cva cfv wceq wral wa homval mp3an2
      chot clo lnopfi homulcl mpan2 hvmulcl hvaddcl sylan sylan2 id ax-hvdistr1
      ffvelrni syl3an 3expb lnopli 3expa oveq2d adantl adantrl hvmulcom syl3an3
      eqtr4d oveqan12d anandis 3eqtr4rd ralrimdv ralrimivv ellnop sylanbrc
      exp32 ) AGHZIIABUAJZKZDLZELZMJZFLZNJZVLOZVNVOVLOZMJZVQVLOZNJZPZFIQZEIQDGQ
      VLUBHVKIIBKZVMBCUCZABUDUEVKWEDEGIVKVNGHZVOIHZRZWDFIVKWJVQIHZWDVKWJWKRZRZV
      SAVRBOZMJZWCWLVKVRIHZVSWOPZWJVPIHWKWPVNVOUFVPVQUGUHVKWFWPWQWGAVRBSTUIWMAV
      NVOBOZMJZVQBOZNJZMJZAWSMJZAWTMJZNJZWOWCVKWJWKXBXEPZVKVKWJWSIHZWKWTIHXFVKU
      JWIWHWRIHZXGIIVOBWGULZVNWRUFUIIIVQBWGULAWSWTUKUMUNWLWOXBPVKWLWNXAAMWHWIWK
      WNXAPVNVOVQBCUOUPUQURVKWJWKWCXEPVKWJRZVKWKRWAXCWBXDNXJWAVNAWRMJZMJZXCXJVT
      XKVNMVKWIVTXKPZWHVKWFWIXMWGAVOBSTUSUQVKWHWIXCXLPZWIVKWHXHXNXIAVNWRUTVAUNV
      BVKWFWKWBXDPWGAVQBSTVCVDVEVBVJVFVGDEFVLVHVI $.
  $}

  ${
    $d x y z S $.  $d x y z T $.
    lnopco.1 $e |- S e. LinOp $.
    lnopco.2 $e |- T e. LinOp $.
    $( The sum of two linear operators is linear.  (Contributed by NM,
       10-Mar-2006.)  (New usage is discouraged.) $)
    lnophsi $p |- ( S +op T ) e. LinOp $=
      ( vx vy vz co wcel chba wf cv csm cva cfv wceq wral cc wa ffvelrni lnopfi
      chos clo hoaddcli hvmulcl lnopaddi oveq12d sylan syl anim12i hvadd4 eqtrd
      syl2anc hvaddcl hosval mp3an12 jca ax-hvdistr1 3expb sylan2 oveq2d adantl
      lnopmuli 3eqtr4d oveqan12d ralrimiva rgen2 ellnop mpbir2an ) ABUBHZUCIJJV
      JKELZFLZMHZGLZNHZVJOZVKVLVJOZMHZVNVJOZNHZPZGJQZFJQERQABACUAZBDUAZUDWBEFRJ
      VKRIZVLJIZSZWAGJWGVNJIZSZVOAOZVOBOZNHZVMAOZVMBOZNHZVNAOZVNBOZNHZNHZVPVTWI
      WLWMWPNHZWNWQNHZNHZWSWGVMJIZWHWLXBPVKVLUEZXCWHSWJWTWKXANVMVNACUFVMVNBDUFU
      GUHWIWMJIZWPJIZSWNJIZWQJIZSXBWSPWGXEWHXFWGXCXEXDJJVMAWCTUIJJVNAWCTUJWGXGW
      HXHWGXCXGXDJJVMBWDTUIJJVNBWDTUJWMWPWNWQUKUMULWIVOJIZVPWLPZWGXCWHXIXDVMVNU
      NUHJJAKZJJBKZXIXJWCWDVOABUOUPUIWGWHVRWOVSWRNWGVKVLAOZVLBOZNHZMHZVKXMMHZVK
      XNMHZNHZVRWOWFWEXMJIZXNJIZSXPXSPZWFXTYAJJVLAWCTJJVLBWDTUQWEXTYAYBVKXMXNUR
      USUTWFVRXPPWEWFVQXOVKMXKXLWFVQXOPWCWDVLABUOUPVAVBWGWMXQWNXRNVKVLACVCVKVLB
      DVCUGVDXKXLWHVSWRPWCWDVNABUOUPVEVDVFVGEFGVJVHVI $.

    $( The difference of two linear operators is linear.  (Contributed by NM,
       27-Jul-2006.)  (New usage is discouraged.) $)
    lnophdi $p |- ( S -op T ) e. LinOp $=
      ( c1 cneg chot co chos chod clo lnopfi honegsubi wcel neg1cn lnopmi ax-mp
      cc lnophsi eqeltrri ) AEFZBGHZIHABJHKABACLBDLMAUBCUARNUBKNOUABDPQST $.

    $( The composition of two linear operators is linear.  (Contributed by NM,
       8-Mar-2006.)  (New usage is discouraged.) $)
    lnopcoi $p |- ( S o. T ) e. LinOp $=
      ( vx vy vz wcel chba cv csm co cva cfv wceq wral cc lnopfi wa hocoi wf id
      ccom clo hocofi lnopli fveq2d ffvelrni syl3an eqtrd 3expa hvmulcl hvaddcl
      w3a sylan syl oveq2d adantl oveqan12d 3eqtr4d 3impa rgen3 ellnop mpbir2an
      ) ABUCZUDHIIVEUAEJZFJZKLZGJZMLZVENZVFVGVENZKLZVIVENZMLZOZGIPFIPEQPABACRZB
      DRZUEVPEFGQIIVFQHZVGIHZVIIHZVPVSVTSZWASZVJBNZANZVFVGBNZANZKLZVIBNZANZMLZV
      KVOVSVTWAWEWKOVSVTWAUNZWEVFWFKLWIMLZANZWKWLWDWMAVFVGVIBDUFUGVSVSVTWFIHWAW
      IIHWNWKOVSUBIIVGBVRUHIIVIBVRUHVFWFWIACUFUIUJUKWCVJIHZVKWEOWBVHIHWAWOVFVGU
      LVHVIUMUOVJABVQVRTUPWBWAVMWHVNWJMVTVMWHOVSVTVLWGVFKVGABVQVRTUQURVIABVQVRT
      USUTVAVBEFGVEVCVD $.

    $( The composition of a linear operator with one whose norm is zero.
       (Contributed by NM, 10-Mar-2006.)  (New usage is discouraged.) $)
    lnopco0i $p |- ( ( normop ` T ) = 0 -> ( normop ` ( S o. T ) ) = 0 ) $=
      ( vx ch0o wceq ccom cnop cfv cc0 chba wfn wf lnopcoi lnopfi ffn ax-mp c0v
      ho0f coeq2 cv wral wb 0lnop eqfnfv mp2an wcel ho0val fveq2d lnop0i eqtrdi
      hocoi 3eqtr4d mprgbir nmlnop0iHIL 3imtr4i ) BFGZABHZFGBIJKGUSIJKGURUSAFHZ
      FBFAUAUTFGZEUBZUTJZVBFJZGZELUTLMZFLMZVAVEELUCUDLLUTNVFUTAFCUEOPLLUTQRLLFN
      VGTLLFQRELUTFUFUGVBLUHZVDAJZSVCVDVHVISAJSVHVDSAVBUIZUJACUKULVBAFACPTUMVJU
      NUOULBDUPUSABCDOUPUQ $.
  $}

  ${
    $d x y z T $.
    lnopeq0.1 $e |- T e. LinOp $.
    ${
      lnopeq0lem1.2 $e |- A e. ~H $.
      lnopeq0lem1.3 $e |- B e. ~H $.
      $( Lemma for ~ lnopeq0i .  Apply the generalized polarization identity
         ~ polid2i to the quadratic form ` ( ( T `` x ) , x ) ` .  (Contributed
         by NM, 26-Jul-2006.)  (New usage is discouraged.) $)
      lnopeq0lem1 $p |- ( ( T ` A ) .ih B ) =
             ( ( ( ( ( T ` ( A +h B ) ) .ih ( A +h B ) ) -
                   ( ( T ` ( A -h B ) ) .ih ( A -h B ) ) ) + ( _i x.
        ( ( ( T ` ( A +h ( _i .h B ) ) ) .ih ( A +h ( _i .h B ) ) ) -
      ( ( T ` ( A -h ( _i .h B ) ) ) .ih ( A -h ( _i .h B ) ) ) ) ) ) / 4 ) $=
        ( cfv csp co cva cmv cmin ci cmul caddc c4 chba wcel wceq oveq1i lnopfi
        cdiv ffvelrni ax-mp polid2i lnopaddi mp2an lnopsubi oveq12i lnopaddmuli
        csm cc ax-icn mp3an lnopsubmuli oveq2i eqtr4i ) ACGZBHIURBCGZJIZABJIZHI
        ZURUSKIZABKIZHIZLIZMURMUSUKIZJIZAMBUKIZJIZHIZURVGKIZAVIKIZHIZLIZNIZOIZP
        UBIVACGZVAHIZVDCGZVDHIZLIZMVJCGZVJHIZVMCGZVMHIZLIZNIZOIZPUBIURBUSAAQRZU
        RQREQQACCDUAZUCUDFBQRZUSQRFQQBCWKUCUDEUEWIVQPUBWBVFWHVPOVSVBWAVELVRUTVA
        HWJWLVRUTSEFABCDUFUGTVTVCVDHWJWLVTVCSEFABCDUHUGTUIWGVOMNWDVKWFVNLWCVHVJ
        HMULRZWJWLWCVHSUMEFMABCDUJUNTWEVLVMHWMWJWLWEVLSUMEFMABCDUOUNTUIUPUITUQ
        $.
    $}

    $( Lemma for ~ lnopeq0i .  (Contributed by NM, 26-Jul-2006.)
       (New usage is discouraged.) $)
    lnopeq0lem2 $p |- ( ( A e. ~H /\ B e. ~H ) -> ( ( T ` A ) .ih B ) =
           ( ( ( ( ( T ` ( A +h B ) ) .ih ( A +h B ) ) -
                 ( ( T ` ( A -h B ) ) .ih ( A -h B ) ) ) + ( _i x.
      ( ( ( T ` ( A +h ( _i .h B ) ) ) .ih ( A +h ( _i .h B ) ) ) -
     ( ( T ` ( A -h ( _i .h B ) ) ) .ih ( A -h ( _i .h B ) ) ) ) ) ) / 4 ) ) $=
      ( cfv csp co cva cmv cmin ci cmul caddc c4 cdiv c0v fvoveq1 oveq1 oveq12d
      wceq chba wcel csm fveq2 oveq1d oveq2d eqeq12d fveq2d ifhvhv0 lnopeq0lem1
      cif oveq2 dedth2h ) AUAUBZBUAUBZACEZBFGZABHGZCEZURFGZABIGZCEZVAFGZJGZKAKB
      UCGZHGZCEZVFFGZAVEIGZCEZVIFGZJGZLGZMGZNOGZTUNAPUKZCEZBFGZVPBHGZCEZVSFGZVP
      BIGZCEZWBFGZJGZKVPVEHGZCEZWFFGZVPVEIGZCEZWIFGZJGZLGZMGZNOGZTVQUOBPUKZFGZV
      PWPHGZCEZWRFGZVPWPIGZCEZXAFGZJGZKVPKWPUCGZHGZCEZXFFGZVPXEIGZCEZXIFGZJGZLG
      ZMGZNOGZTABPPAVPTZUQVRVOWOXPUPVQBFAVPCUDUEXPVNWNNOXPVDWEVMWMMXPUTWAVCWDJX
      PUSVTURVSFAVPBCHQAVPBHRSXPVBWCVAWBFAVPBCIQAVPBIRSSXPVLWLKLXPVHWHVKWKJXPVG
      WGVFWFFAVPVECHQAVPVEHRSXPVJWJVIWIFAVPVECIQAVPVEIRSSUFSUEUGBWPTZVRWQWOXOBW
      PVQFULXQWNXNNOXQWEXDWMXMMXQWAWTWDXCJXQVTWSVSWRFXQVSWRCBWPVPHULZUHXRSXQWCX
      BWBXAFXQWBXACBWPVPIULZUHXSSSXQWLXLKLXQWHXHWKXKJXQWGXGWFXFFXQWFXFCXQVEXEVP
      HBWPKUCULZUFZUHYASXQWJXJWIXIFXQWIXICXQVEXEVPIXTUFZUHYBSSUFSUEUGVPWPCDAUIB
      UIUJUM $.

    $( A condition implying that a linear Hilbert space operator is identically
       zero.  Unlike ~ ho01i for arbitrary operators, when the operator is
       linear we need to consider only the values of the quadratic form
       ` ( T `` x ) .ih x ) ` .  (Contributed by NM, 26-Jul-2006.)
       (New usage is discouraged.) $)
    lnopeq0i $p |- ( A. x e. ~H ( ( T ` x ) .ih x ) = 0 <-> T = 0hop ) $=
      ( vy vz cfv csp co cc0 wceq chba wcel cmin ci fveq2 oveq12d sylan2 eqtrdi
      c4 id cv wral ch0o cva cmv csm cmul caddc cdiv lnopeq0lem2 adantl hvaddcl
      wa eqeq1d rspccva hvsubcl 0m0e0 cc ax-icn hvmulcl mpan oveq2d 00id oveq1d
      it0e0 4cn 4ne0 div0i eqtrd ralrimivva lnopfi ho01i sylib c0v fveq1 ho0val
      sylan9eq hi01 ralrimiva impbii ) AUAZBFZWAGHZIJZAKUBZBUCJZWEDUAZBFEUAZGHZ
      IJZEKUBDKUBWFWEWJDEKKWEWGKLZWHKLZUMZUMZWIWGWHUDHZBFZWOGHZWGWHUEHZBFZWRGHZ
      MHZNWGNWHUFHZUDHZBFZXCGHZWGXBUEHZBFZXFGHZMHZUGHZUHHZSUIHZIWMWIXLJWEWGWHBC
      UJUKWNXLISUIHIWNXKISUIWNXKIIUHHIWNXAIXJIUHWNXAIIMHZIWNWQIWTIMWMWEWOKLWQIJ
      ZWGWHULWDXNAWOKWAWOJZWCWQIXOWBWPWAWOGWAWOBOXOTPUNUOQWMWEWRKLWTIJZWGWHUPWD
      XPAWRKWAWRJZWCWTIXQWBWSWAWRGWAWRBOXQTPUNUOQPUQRWNXJNIUGHIWNXIINUGWNXIXMIW
      NXEIXHIMWMWEXCKLZXEIJZWLWKXBKLZXRNURLWLXTUSNWHUTVAZWGXBULQWDXSAXCKWAXCJZW
      CXEIYBWBXDWAXCGWAXCBOYBTPUNUOQWMWEXFKLZXHIJZWLWKXTYCYAWGXBUPQWDYDAXFKWAXF
      JZWCXHIYEWBXGWAXFGWAXFBOYETPUNUOQPUQRVBVERPVCRVDSVFVGVHRVIVJDEBBCVKVLVMWF
      WDAKWFWAKLZUMZWCVNWAGHZIYGWBVNWAGWFYFWBWAUCFVNWABUCVOWAVPVQVDYFYHIJWFWAVR
      UKVIVSVT $.
  $}

  ${
    $d x T $.  $d x U $.
    lnopeq.1 $e |- T e. LinOp $.
    lnopeq.2 $e |- U e. LinOp $.
    $( Two linear Hilbert space operators are equal iff their quadratic forms
       are equal.  (Contributed by NM, 27-Jul-2006.)
       (New usage is discouraged.) $)
    lnopeqi $p |- ( A. x e. ~H ( ( T ` x ) .ih x ) = ( ( U ` x ) .ih x ) <->
                  T = U ) $=
      ( cv cfv csp co wceq chba wral cc0 wcel cc lnopfi ffvelrni hicl mpancom
      wf chod ch0o subeq0ad cmv hodval mp3an12 oveq1d id his2sub syl3anc eqtr2d
      cmin eqeq1d bitr3d ralbiia lnophdi lnopeq0i hosubeq0i 3bitri ) AFZBGZUTHI
      ZUTCGZUTHIZJZAKLUTBCUAIZGZUTHIZMJZAKLVFUBJBCJVEVIAKUTKNZVBVDULIZMJVEVIVJV
      BVDVAKNZVJVBONKKUTBBDPZQZVAUTRSVCKNZVJVDONKKUTCCEPZQZVCUTRSUCVJVKVHMVJVHV
      AVCUDIZUTHIZVKVJVGVRUTHKKBTKKCTVJVGVRJVMVPUTBCUEUFUGVJVLVOVJVSVKJVNVQVJUH
      VAVCUTUIUJUKUMUNUOAVFBCDEUPUQBCVMVPURUS $.
  $}

  ${
    $d x T $.  $d x U $.
    $( Two linear Hilbert space operators are equal iff their quadratic forms
       are equal.  (Contributed by NM, 27-Jul-2006.)
       (New usage is discouraged.) $)
    lnopeq $p |- ( ( T e. LinOp /\ U e. LinOp ) ->
        ( A. x e. ~H ( ( T ` x ) .ih x ) = ( ( U ` x ) .ih x ) <-> T = U ) ) $=
      ( clo wcel cfv csp co wceq chba wral wb ch0o fveq1 oveq1d ralbidv bibi12d
      cif 0lnop elimel cv eqeq1d eqeq1 eqeq2d eqeq2 lnopeqi dedth2h ) BDEZCDEZA
      UAZBFZUJGHZUJCFZUJGHZIZAJKZBCIZLUJUHBMRZFZUJGHZUNIZAJKZURCIZLUTUJUICMRZFZ
      UJGHZIZAJKZURVDIZLBCMMBURIZUPVBUQVCVJUOVAAJVJULUTUNVJUKUSUJGUJBURNOUBPBUR
      CUCQCVDIZVBVHVCVIVKVAVGAJVKUNVFUTVKUMVEUJGUJCVDNOUDPCVDURUEQAURVDBMDSTCMD
      STUFUG $.
  $}

  ${
    $d y A $.  $d y B $.  $d y C $.  $d x y T $.
    lnopunilem.1 $e |- T e. LinOp $.
    lnopunilem.2 $e |- A. x e. ~H ( normh ` ( T ` x ) ) = ( normh ` x ) $.
    lnopunilem.3 $e |- A e. ~H $.
    lnopunilem.4 $e |- B e. ~H $.
    ${
      lnopunilem1.5 $e |- C e. CC $.
      $( Lemma for ~ lnopunii .  (Contributed by NM, 14-May-2005.)
         (New usage is discouraged.) $)
      lnopunilem1 $p |- ( Re ` ( C x. ( ( T ` A ) .ih ( T ` B ) ) ) ) =
                      ( Re ` ( C x. ( A .ih B ) ) ) $=
        ( vy cfv csp co cmul caddc wcel wceq chba mp3an cre c2 cdiv cc ffvelrni
        ccj lnopfi ax-mp hicli mulcli reval cv wral cno 2fveq3 eqeq12d cbvralvw
        fveq2 mpbi cexp oveq1 normsq syl syl5ib ralimia oveq12d id rspcv oveq2i
        mp2 oveq12i oveq1i cjcli csm cva hvmulcli hvaddcli ax-his2 ax-his3 his7
        add42i adddii 3eqtri cjmuli eqtr4i 3eqtrri lnopli eqtr3i addcli addcani
        his5 eqtri his1i ) DBELZCELZMNZONZUALZWQWQUFLZPNZUBUCNZDBCMNZONZUALZWQU
        DQWRXARDWPJWNWOBSQZWNSQZHSSBEEFUGZUEUHZCSQZWOSQZISSCEXGUEUHZUIZUJZWQUKU
        HXDXCXCUFLZPNZUBUCNZXAXCUDQXDXPRDXBJBCHIUIZUJZXCUKUHWTXOUBUCDDUFLZBBMNZ
        ONZONZCCMNZPNZWTPNZYDXOPNZRWTXORDXSWNWNMNZONZONZWOWOMNZPNZWTPNZYEYFYKYD
        WTPYIYBYJYCPYHYADOYGXTXSOXEKULZELZYNMNZYMYMMNZRZKSUMZYGXTRZHYNUNLZYMUNL
        ZRZKSUMZYRAULZELUNLZUUDUNLZRZASUMUUCGUUGUUBAKSUUDYMRUUEYTUUFUUAUUDYMUNE
        UOUUDYMUNURUPUQUSUUBYQKSUUBYTUBUTNZUUAUBUTNZRYMSQZYQYTUUAUBUTVAUUJUUHYO
        UUIYPUUJYNSQUUHYORSSYMEXGUEYNVBVCYMVBUPVDVEUHZYQYSKBSYMBRZYOYGYPXTUULYN
        WNYNWNMYMBEURZUUMVFUULYMBYMBMUULVGZUUNVFUPVHVJVIVIXIYRYJYCRZIUUKYQUUOKC
        SYMCRZYOYJYPYCUUPYNWOYNWOMYMCEURZUUQVFUUPYMCYMCMUUPVGZUURVFUPVHVJVKVLYL
        YIWQPNZWSYJPNZPNZYFYIYJWQWSDYHJXSYGDJVMZWNWNXHXHUIUJZUJWOWOXKXKUIXMWQXM
        VMZWAYFYBXCPNZXNYCPNZPNZUVAYBYCXCXNDYAJXSXTUVBBBHHUIUJZUJZCCIIUIZXRXCXR
        VMZWAUVGDBVNNZCVONZELZUVNMNZDWNVNNZUVPWOVONZMNZWOUVQMNZPNZUVAUVOUVMUVMM
        NZUVLUVMMNZCUVMMNZPNZUVGUVMSQZYRUVOUWARZUVLCDBJHVPZIVQZUUKYQUWFKUVMSYMU
        VMRZYOUVOYPUWAUWIYNUVNYNUVNMYMUVMEURZUWJVFUWIYMUVMYMUVMMUWIVGZUWKVFUPVH
        VJUVLSQZXIUWEUWAUWDRUWGIUWHUVLCUVMVRTUWBUVEUWCUVFPUWBDBUVMMNZONZDYAXBPN
        ZONUVEDUDQZXEUWEUWBUWNRJHUWHDBUVMVSTUWMUWODOUWMBUVLMNZXBPNZUWOXEUWLXIUW
        MUWRRHUWGIBUVLCVTTUWQYAXBPUWPXEXEUWQYARJHHDBBWKTVLWLVIDYAXBJUVHXQWBWCUW
        CCUVLMNZYCPNZUVFXIUWLXIUWCUWTRIUWGICUVLCVTTUWSXNYCPUWSXSCBMNZONZXNUWPXI
        XEUWSUXBRJIHDCBWKTXNXSXBUFLZONUXBDXBJXQWDUXAUXCXSOCBIHWMVIWEWEVLWLVKWFU
        VOUVQUVQMNZUVTUVNUVQUVNUVQMUWPXEXIUVNUVQRJHIDBCEFWGTZUXEVKUVPSQZXJUVQSQ
        ZUXDUVTRDWNJXHVPZXKUVPWOUXHXKVQZUVPWOUVQVRTWLUVRUUSUVSUUTPUVRDWNUVQMNZO
        NZDYHWPPNZONUUSUWPXFUXGUVRUXKRJXHUXIDWNUVQVSTUXJUXLDOUXJWNUVPMNZWPPNZUX
        LXFUXFXJUXJUXNRXHUXHXKWNUVPWOVTTUXMYHWPPUWPXFXFUXMYHRJXHXHDWNWNWKTVLWLV
        IDYHWPJUVCXLWBWCUVSWOUVPMNZYJPNZUUTXJUXFXJUVSUXPRXKUXHXKWOUVPWOVTTUXOWS
        YJPUXOXSWOWNMNZONZWSUWPXJXFUXOUXRRJXKXHDWOWNWKTWSXSWPUFLZONUXRDWPJXLWDU
        XQUXSXSOWOWNXKXHWMVIWEWEVLWLVKWFWEWEWHYDWTXOYBYCUVIUVJWIWQWSXMUVDWIXCXN
        XRUVKWIWJUSVLWEWE $.
    $}

    $( Lemma for ~ lnopunii .  (Contributed by NM, 12-May-2005.)
       (New usage is discouraged.) $)
    lnopunilem2 $p |- ( ( T ` A ) .ih ( T ` B ) ) = ( A .ih B ) $=
      ( vy cfv csp co cmul cre wceq cc wcel cc0 fvoveq1 chba cv cif eqeq12d 0cn
      wral elimel lnopunilem1 dedth rgen lnopfi ffvelrni ax-mp hicli recan mpbi
      wb mp2an ) IUAZBDJZCDJZKLZMLNJZURBCKLZMLNJZOZIPUEZVAVCOZVEIPURPQZVEVHURRU
      BZVAMLNJZVIVCMLNJZOURRURVIOVBVJVDVKURVIVANMSURVIVCNMSUCABCVIDEFGHURRPUDUF
      UGUHUIVAPQVCPQVFVGUPUSUTBTQUSTQGTTBDDEUJZUKULCTQUTTQHTTCDVLUKULUMBCGHUMIV
      AVCUNUQUO $.
  $}

  ${
    $d x y T $.
    lnopuni.1 $e |- T e. LinOp $.
    lnopuni.2 $e |- T : ~H -onto-> ~H $.
    lnopuni.3 $e |- A. x e. ~H ( normh ` ( T ` x ) ) = ( normh ` x ) $.
    $( If a linear operator (whose range is ` ~H ` ) is idempotent in the norm,
       the operator is unitary.  Similar to theorem in [AkhiezerGlazman] p. 73.
       (Contributed by NM, 23-Jan-2006.)  (New usage is discouraged.) $)
    lnopunii $p |- T e. UniOp $=
      ( vy cuo wcel chba cv cfv csp co wceq wral c0v cif fveq2 eqeq12d ifhvhv0
      wfo oveq1d oveq1 oveq2d oveq2 lnopunilem2 dedth2h rgen2 elunop mpbir2an )
      BGHIIBUAAJZBKZFJZBKZLMZUKUMLMZNZFIOAIODUQAFIIUKIHZUMIHZUQURUKPQZBKZUNLMZU
      TUMLMZNVAUSUMPQZBKZLMZUTVDLMZNUKUMPPUKUTNZUOVBUPVCVHULVAUNLUKUTBRUBUKUTUM
      LUCSUMVDNZVBVFVCVGVIUNVEVALUMVDBRUDUMVDUTLUESAUTVDBCEUKTUMTUFUGUHAFBUIUJ
      $.
  $}

  ${
    $d w x y z T $.
    $( An operator is unitary iff it is linear, onto, and idempotent in the
       norm.  Similar to theorem in [AkhiezerGlazman] p. 73, and its converse.
       (Contributed by NM, 24-Feb-2006.)  (New usage is discouraged.) $)
    elunop2 $p |- ( T e. UniOp <-> ( T e. LinOp /\ T : ~H -onto-> ~H /\
                 A. x e. ~H ( normh ` ( T ` x ) ) = ( normh ` x ) ) ) $=
      ( vy cuo wcel clo chba wfo cv cfv cno wceq wral w3a csp eleq1 foeq1 fveq1
      co fveqeq2d unoplin elunop simplbi unopnorm ralrimiva 3jca cid cif 2fveq3
      cres fveq2 eqeq12d cbvralvw syl5bb 3anbi123d idlnop wf1o f1oi f1ofo ax-mp
      ralbidv fvresi fveq2d 3pm3.2i elimhyp simp1i simp2i simp3i lnopunii dedth
      rgen impbii ) BDEZBFEZGGBHZAIZBJZKJZVPKJZLZAGMZNZVMVNVOWABUAVMVOVQCIZBJZO
      SVPWCOSLCGMAGMACBUBUCVMVTAGVPBUDUEUFWBVMWBBUGGUJZUHZDEBWEBWFDPCWFWFFEZGGW
      FHZWCWFJZKJWCKJZLZCGMZWBWGWHWLNWEFEZGGWEHZWCWEJZKJWJLZCGMZNBWEBWFLZVNWGVO
      WHWAWLBWFFPGGBWFQWAWDKJZWJLZCGMWRWLVTWTACGVPWCLVRWSVSWJVPWCKBUIVPWCKUKULU
      MWRWTWKCGWRWDWIWJKWCBWFRTVAUNUOWEWFLZWMWGWNWHWQWLWEWFFPGGWEWFQXAWPWKCGXAW
      OWIWJKWCWEWFRTVAUOWMWNWQUPGGWEUQWNGURGGWEUSUTWPCGWCGEWOWCKGWCVBVCVKVDVEZV
      FWGWHWLXBVGWGWHWLXBVHVIVJVL $.

    $( Norm of a unitary Hilbert space operator.  (Contributed by NM,
       25-Feb-2006.)  (New usage is discouraged.) $)
    nmopun $p |- ( ( ~H =/= 0H /\ T e. UniOp ) -> ( normop ` T ) = 1 ) $=
      ( vy vx vz vw chba wcel wa cfv cv c1 cle wbr wceq wrex cxr clt syl adantl
      cr c0h wne cuo cnop cno cab csup wf clo unoplin lnopf nmopval wss wral wi
      nmopsetretHIL ressxr sstrdi 1xr jctir anbi2d rexbidv elab unopnorm eqeq2d
      vex eqeq1 breq1 biimparc syl6bi rexlimdva sylan2b ralrimiva hne0 norm1hex
      imp c0v sylbb adantr mpbiri a1i wb eqeq2 mpbid eqcomd ex adantll reximdva
      1le1 jcad mpd 1ex sylibr breq2 rspcev sylan supxr2 syl12anc eqtrd ) FUAUB
      ZAUCGZHZAUDIZBJZUEIZKLMZCJZXDAIUEIZNZHZBFOZCUFZPQUGZKXAXCXMNZWTXAFFAUHZXN
      XAAUIGXOAUJAUKRZCBAULRSXBXLPUMZKPGZHDJZKLMZDXLUNZXSKQMZXSEJZQMZEXLOZUOZDT
      UNXMKNXBXQXRXAXQWTXAXOXQXPXOXLTPCBAUPUQURRSUSUTXAYAWTXAXTDXLXSXLGXAXFXSXH
      NZHZBFOZXTXKYICXSDVFXGXSNZXJYHBFYJXIYGXFXGXSXHVGVAVBVCXAYIXTXAYHXTBFXAXDF
      GZHZYHXFXSXENZHXTYLYGYMXFYLXHXEXSXDAVDZVEVAYMXTXFXSXEKLVHVIVJVKVPVLVMSXBY
      FDTXBXSTGZHZYBYEYPKXLGZYBYEXBYQYOXBXFKXHNZHZBFOZYQXBXEKNZBFOZYTWTUUBXAWTX
      DVQUBBFOUUBBVNBBVOVRVSXBUUAYSBFXAYKUUAYSUOWTYLUUAXFYRUUAXFUOYLUUAXFKKLMWI
      XEKKLVHVTWAYLUUAYRYLUUAHZXHKUUCXHXENZXHKNZYLUUDUUAYNVSUUAUUDUUEWBYLXEKXHW
      CSWDWEWFWJWGWHWKXKYTCKWLXGKNZXJYSBFUUFXIYRXFXGKXHVGVAVBVCWMVSYDYBEKXLYCKX
      SQWNWOWPWFVMDEXLKWQWRWS $.
  $}

  $( A unitary operator is a bounded linear operator.  (Contributed by NM,
     10-Mar-2006.)  (New usage is discouraged.) $)
  unopbd $p |- ( T e. UniOp -> T e. BndLinOp ) $=
    ( cuo wcel clo cnop cfv cr cbo unoplin chba c0h wceq wf wf1o unopf1o syl wa
    f1of cc0 eqeltrdi nmop0h 0re sylan2 wn wne df-ne nmopun 1re sylanbr elbdop2
    c1 pm2.61ian sylanbrc ) ABCZADCAEFZGCZAHCAIJKLZUNUPUNUQJJAMZUPUNJJANURAOJJA
    RPUQURQUOSGAUAUBTUCUQUDJKUEZUNUPJKUFUSUNQUOUKGAUGUHTUIULAUJUM $.

  ${
    $d x A $.  $d x B $.  $d x T $.
    lnophmlem.1 $e |- A e. ~H $.
    lnophmlem.2 $e |- B e. ~H $.
    lnophmlem.3 $e |- T e. LinOp $.
    lnophmlem.4 $e |- A. x e. ~H ( x .ih ( T ` x ) ) e. RR $.
    $( Lemma for ~ lnophmi .  (Contributed by NM, 24-Jan-2006.)
       (New usage is discouraged.) $)
    lnophmlem1 $p |- ( A .ih ( T ` A ) ) e. RR $=
      ( chba wcel cv cfv csp co cr wral wceq id fveq2 oveq12d eleq1d rspcv mp2
      ) BIJAKZUDDLZMNZOJZAIPBBDLZMNZOJZEHUGUJABIUDBQZUFUIOUKUDBUEUHMUKRUDBDSTUA
      UBUC $.

    $( Lemma for ~ lnophmi .  (Contributed by NM, 24-Jan-2006.)
       (New usage is discouraged.) $)
    lnophmlem2 $p |- ( A .ih ( T ` B ) ) = ( ( T ` A ) .ih B ) $=
      ( cva co cfv csp cmin ci csm cmul chba oveq2i ax-icn c1 cmv caddc c4 cdiv
      ccj wcel lnopfi ffvelrni ax-mp polid2i hvcomi wceq lnopaddi mp2an oveq12i
      eqtr4i hisubcomi lnopsubi hvmulcli hvsubcli his35i hvsubdistr1i hvsubvali
      cneg hvmulassi ixi ax-1cn mul2negi 3eqtri oveq1i neg1cn mulcli ax-hvmulid
      1t1e1 3eqtr3i eqtr3i eqtri fveq2i lnopmuli lnopaddmuli mp3an cji mulneg2i
      cc negeqi negneg1e1 lnophmlem1 recni mulid2i 3eqtr4i hvaddcli lnopmulsubi
      hvdistr1i cc0 wne resubcli addcli 4re cjdivi cr cjreim negsubi negsubdi2i
      4ne0 lnopsubmuli cjre 3eqtrri his1i ) BCIJZBDKZCDKZIJZLJZBCUAJZXJXKUAJZLJ
      ZMJZNBNCOJZIJZXJNXKOJZIJZLJZBXRUAJZXJXTUAJZLJZMJZPJZUBJZUCUDJZCXJLJZUEKZB
      XKLJXJCLJYKXIXIDKZLJZXNXNDKZLJZMJZNYCYCDKZLJZXSXSDKZLJZMJZPJZUBJZUCUDJZUE
      KZUUCUEKZUCUEKZUDJZYIYJUUDUEYJCBIJZXKXJIJZLJZCBUAJXKXJUAJLJZMJZNCNBOJZIJZ
      XKNXJOJZIJZLJZCUUNUAJXKUUPUAJLJZMJZPJZUBJZUCUDJUUDCXJBXKFBQUFZXJQUFEQQBDD
      GUGZUHUIZECQUFZXKQUFFQQCDUVDUHUIZUJUVBUUCUCUDUUMYPUVAUUBUBUUKYMUULYOMUUIX
      IUUJYLLCBFEUKUUJXLYLXKXJUVGUVEUKUVCUVFYLXLULEFBCDGUMUNZUPUOUULXPYOCBXKXJF
      EUVGUVEUQYNXOXNLUVCUVFYNXOULEFBCDGURUNRZUPUOUUTUUANPUURYRUUSYTMNYCOJZNYQO
      JZLJNNUEKZPJZYRPJZUURYRNNYCYQSSBXRENCSFUSZUTZYCQUFZYQQUFUVPQQYCDUVDUHUIVA
      UVJUUOUVKUUQLUVJUUNNXROJZUAJZUUNCIJZUUONBXRSEUVOVBUVSUUNTVDZUVROJZIJUVTUU
      NUVRNBSEUSZNXRSUVOUSVCUWBCUUNIUWANNPJZCOJZOJZUWBCUWEUVRUWAONNCSSFVEZRUWAU
      WDPJZCOJTCOJZUWFCUWHTCOUWHUWAUWAPJTTPJTUWDUWAUWAPVFRTTVGVGVHVNVIVJUWAUWDC
      VKNNSSVLFVEUVFUWICULFCVMUIVOVPRVQUUNCUWCFUKVIZUVJDKZUUODKZUVKUUQUVJUUODUW
      JVRNWDUFZUVQUWKUVKULSUVPNYCDGVSUNUWMUVFUVCUWLUUQULSFENCBDGVTWAVOUOUVNTYRP
      JYRUVMTYRPUVMNNVDZPJUWDVDZTUVLUWNNPWBRNNSSWCUWOUWAVDTUWDUWAVFWEWFVQVIZVJY
      RYRAYCBDUVPEGHWGZWHZWIVQVOUUSNXSOJZNYSOJZLJZUVMYTPJZYTUUSUUNCUAJZUUPXKUAJ
      ZLJUXACUUNXKUUPFUWCUVGNXJSUVEUSUQUWSUXCUWTUXDLUUNUVRIJUUNUWACOJZIJUWSUXCU
      VRUXEUUNIUWEUVRUXEUWGUWDUWACOVFVJVPRNBXRSEUVOWMUUNCUWCFVCWJZUWSDKZUXCDKZU
      WTUXDUWSUXCDUXFVRUWMXSQUFZUXGUWTULSBXREUVOWKZNXSDGVSUNUWMUVCUVFUXHUXDULSE
      FNBCDGWLWAVOUOUPNNXSYSSSUXJUXIYSQUFUXJQQXSDUVDUHUIVAUXBTYTPJYTUVMTYTPUWPV
      JYTYTAXSBDUXJEGHWGZWHZWIVQVIUORUOVJVQVRUCWNWOUUEUUHULXDUUCUCYPUUBYPYMYOAX
      IBDBCEFWKEGHWGAXNBDBCEFUTEGHWGWPZWHZNUUASUUAYRYTUWQUXKWPZWHZVLWQUCWRWHWSU
      IUUFYHUUGUCUDUUFYPUUBVDZUBJZYPNYTYRMJZPJZUBJYHUUFYPUUBMJZUXRYPWTUFUUAWTUF
      UUFUYAULUXMUXOYPUUAXAUNYPUUBUXNNUUASUUAYRYTUWQAXSCDUXJFGHWGWPWHVLXBUPUXQU
      XTYPUBNUUAVDZPJUXQUXTNUUASUXPWCUYBUXSNPYRYTUWRUXLXCRVPRYPXQUXTYGUBYMXMYOX
      PMYLXLXILUVHRUVIUOUXSYFNPYTYBYRYEMYSYAXSLUWMUVCUVFYSYAULSEFNBCDGVTWARYQYD
      YCLUWMUVCUVFYQYDULSEFNBCDGXEWARUORUOVIUCWTUFUUGUCULWRUCXFUIUOXGBXKCXJEUVG
      FUVEUJXJCUVEFXHWJ $.
  $}

  ${
    $d x y z T $.
    lnophm.1 $e |- T e. LinOp $.
    lnophm.2 $e |- A. x e. ~H ( x .ih ( T ` x ) ) e. RR $.
    $( A linear operator is Hermitian if ` x .ih ( T `` x ) ` takes only real
       values.  Remark in [ReedSimon] p. 195.  (Contributed by NM,
       24-Jan-2006.)  (New usage is discouraged.) $)
    lnophmi $p |- T e. HrmOp $=
      ( vy vz cho wcel chba cv cfv csp wceq wral c0v cif fveq2 eqeq12d ifhvhv0
      co wf lnopfi oveq1 oveq1d oveq2d oveq2 lnophmlem2 dedth2h elhmop mpbir2an
      rgen2 ) BGHIIBUAEJZFJZBKZLTZULBKZUMLTZMZFINEINBCUBUREFIIULIHZUMIHZURUSULO
      PZUNLTZVABKZUMLTZMVAUTUMOPZBKZLTZVCVELTZMULUMOOULVAMZUOVBUQVDULVAUNLUCVIU
      PVCUMLULVABQUDRUMVEMZVBVGVDVHVJUNVFVALUMVEBQUEUMVEVCLUFRAVAVEBULSUMSCDUGU
      HUKEFBUIUJ $.
  $}

  ${
    $d x y A $.  $d x y T $.  $d x y U $.
    $( A linear operator is Hermitian if ` x .ih ( T `` x ) ` takes only real
       values.  Remark in [ReedSimon] p. 195.  (Contributed by NM,
       24-Jan-2006.)  (New usage is discouraged.) $)
    lnophm $p |- ( ( T e. LinOp /\ A. x e. ~H ( x .ih ( T ` x ) ) e. RR ) ->
                   T e. HrmOp ) $=
      ( vy clo wcel cv cfv csp co cr chba wral wa cho eleq1 eleq1d fveq1 oveq2d
      wceq ralbidv cid cres cif id fveq2 oveq12d cbvralvw syl5bb anbi12d idlnop
      fvresi hiidrcl eqeltrd rgen pm3.2i elimhyp simpli simpri lnophmi dedth )
      BDEZAFZVBBGZHIZJEZAKLZMZBNEVGBUAKUBZUCZNEBVHBVINOCVIVIDEZCFZVKVIGZHIZJEZC
      KLZVGVJVOMVHDEZVKVKVHGZHIZJEZCKLZMBVHBVISZVAVJVFVOBVIDOVFVKVKBGZHIZJEZCKL
      WAVOVEWDACKVBVKSZVDWCJWEVBVKVCWBHWEUDVBVKBUEUFPUGWAWDVNCKWAWCVMJWAWBVLVKH
      VKBVIQRPTUHUIVHVISZVPVJVTVOVHVIDOWFVSVNCKWFVRVMJWFVQVLVKHVKVHVIQRPTUIVPVT
      UJVSCKVKKEZVRVKVKHIJWGVQVKVKHKVKUKRVKULUMUNUOUPZUQVJVOWHURUSUT $.

    $( The sum of two Hermitian operators is Hermitian.  (Contributed by NM,
       23-Jul-2006.)  (New usage is discouraged.) $)
    hmops $p |- ( ( T e. HrmOp /\ U e. HrmOp ) -> ( T +op U ) e. HrmOp ) $=
      ( vx vy cho wcel wa chba co wf cfv csp wceq wral hmopf caddc hmop ffvelrn
      cv 3expb chos hoaddcl syl2an oveqan12d anandirs anim12i cva hosval oveq2d
      3expa adantrl simprl ad2ant2rl ad2ant2l his7 syl3anc eqtrd oveq1d adantrr
      w3a ad2ant2r ad2ant2lr simprr ax-his2 3eqtr4d ralrimivva elhmop sylanbrc
      sylan ) AEFZBEFZGZHHABUAIZJZCSZDSZVMKZLIZVOVMKZVPLIZMZDHNCHNVMEFVJHHAJZHH
      BJZVNVKAOZBOZABUBUCVLWACDHHVLVOHFZVPHFZGZGVOVPAKZLIZVOVPBKZLIZPIZVOAKZVPL
      IZVOBKZVPLIZPIZVRVTVJVKWHWMWRMVJWHGVKWHGWJWOWLWQPVJWFWGWJWOMVOVPAQTVKWFWG
      WLWQMVOVPBQTUDUEVLWBWCGZWHVRWMMVJWBVKWCWDWEUFZWSWHGZVRVOWIWKUGIZLIZWMWSWG
      VRXCMZWFWBWCWGXDWBWCWGUTVQXBVOLVPABUHUIUJUKXAWFWIHFZWKHFZXCWMMWSWFWGULWBW
      GXEWCWFHHVPARUMWCWGXFWBWFHHVPBRUNVOWIWKUOUPUQVIVLWSWHVTWRMWTXAVTWNWPUGIZV
      PLIZWRWSWFVTXHMZWGWBWCWFXIWBWCWFUTVSXGVPLVOABUHURUJUSXAWNHFZWPHFZWGXHWRMW
      BWFXJWCWGHHVOARVAWCWFXKWBWGHHVOBRVBWSWFWGVCWNWPVPVDUPUQVIVEVFCDVMVGVH $.

    $( The scalar product of a Hermitian operator with a real is Hermitian.
       (Contributed by NM, 23-Jul-2006.)  (New usage is discouraged.) $)
    hmopm $p |- ( ( A e. RR /\ T e. HrmOp ) -> ( A .op T ) e. HrmOp ) $=
      ( vx vy wcel cho wa chba co wf cv cfv csp wceq wral cmul csm homval 3expa
      ffvelrn cr chot recn hmopf homulcl syl2an ccj cjre hmop oveqan12d anassrs
      cc 3expb anim12i adantrl oveq2d simpll simprl ad2ant2l his5 syl3anc eqtrd
      sylan adantrr oveq1d ad2ant2lr simprr ax-his3 3eqtr4d ralrimivva sylanbrc
      elhmop ) AUAEZBFEZGZHHABUBIZJZCKZDKZVPLZMIZVRVPLZVSMIZNZDHOCHOVPFEVMAULEZ
      HHBJZVQVNAUCZBUDZABUEUFVOWDCDHHVOVRHEZVSHEZGZGAUGLZVRVSBLZMIZPIZAVRBLZVSM
      IZPIZWAWCVMVNWKWOWRNVMVNWKGWLAWNWQPAUHVNWIWJWNWQNVRVSBUIUMUJUKVOWEWFGZWKW
      AWONVMWEVNWFWGWHUNZWSWKGZWAVRAWMQIZMIZWOXAVTXBVRMWSWJVTXBNZWIWEWFWJXDAVSB
      RSUOUPXAWEWIWMHEZXCWONWEWFWKUQZWSWIWJURWFWJXEWEWIHHVSBTUSAVRWMUTVAVBVCVOW
      SWKWCWRNWTXAWCAWPQIZVSMIZWRXAWBXGVSMWSWIWBXGNZWJWEWFWIXIAVRBRSVDVEXAWEWPH
      EZWJXHWRNXFWFWIXJWEWJHHVRBTVFWSWIWJVGAWPVSVHVAVBVCVIVJCDVPVLVK $.

    $( The difference of two Hermitian operators is Hermitian.  (Contributed by
       NM, 23-Jul-2006.)  (New usage is discouraged.) $)
    hmopd $p |- ( ( T e. HrmOp /\ U e. HrmOp ) -> ( T -op U ) e. HrmOp ) $=
      ( wcel wa c1 cneg chot co chos chod chba wf wceq hmopf honegsub syl2an cr
      cho neg1rr hmopm mpan hmops sylan2 eqeltrrd ) ARCZBRCZDAEFZBGHZIHZABJHZRU
      EKKALKKBLUIUJMUFANBNABOPUFUEUHRCZUIRCUGQCUFUKSUGBTUAAUHUBUCUD $.

    $( The composition of two commuting Hermitian operators is Hermitian.
       (Contributed by NM, 22-Aug-2006.)  (New usage is discouraged.) $)
    hmopco $p |- ( ( T e. HrmOp /\ U e. HrmOp /\ ( T o. U ) = ( U o. T ) ) ->
                   ( T o. U ) e. HrmOp ) $=
      ( vx vy cho wcel ccom wceq chba wf cv cfv co wral hmopf wa fvco3 ad2ant2l
      csp sylan w3a fco syl2an 3adant3 oveq2d simpll simprl hmop syl3anc simplr
      ffvelrnda ad2ant2r simprr 3eqtrd oveq1d eqtr4d 3adantl3 adantr ralrimivva
      fveq1 3ad2ant3 elhmop sylanbrc ) AEFZBEFZABGZBAGZHZUAZIIVFJZCKZDKZVFLZSMZ
      VKVFLZVLSMZHZDINCINVFEFVDVEVJVHVDIIAJZIIBJZVJVEAOZBOZIIIABUBUCUDVIVQCDIIV
      IVKIFZVLIFZPZPVNVKVGLZVLSMZVPVDVEWDVNWFHVHVDVEPZWDPZVNVKALZBLZVLSMZWFWHVN
      VKVLBLZALZSMZWIWLSMZWKVEWCVNWNHVDWBVEWCPVMWMVKSVEVSWCVMWMHWAIIVLABQTUERWH
      VDWBWLIFZWNWOHVDVEWDUFWGWBWCUGVEWCWPVDWBVEIIVLBWAUKRVKWLAUHUIWHVEWIIFZWCW
      OWKHVDVEWDUJVDWBWQVEWCVDIIVKAVTUKULWGWBWCUMWIVLBUHUIUNVDWBWFWKHVEWCVDWBPW
      EWJVLSVDVRWBWEWJHVTIIVKBAQTUOULUPUQVIVPWFHZWDVHVDWRVEVHVOWEVLSVKVFVGUTUOV
      AURUPUSCDVFVBVC $.
  $}

  ${
    nmbdoplb.1 $e |- T e. BndLinOp $.
    $( A lower bound for the norm of a bounded linear operator.  (Contributed
       by NM, 14-Feb-2006.)  (New usage is discouraged.) $)
    nmbdoplbi $p |- ( A e. ~H ->
              ( normh ` ( T ` A ) ) <_ ( ( normop ` T ) x. ( normh ` A ) ) ) $=
      ( chba wcel cfv cno cmul co cle wbr c0v c1 cr normcl adantr recnd syl2anc
      wceq cc0 cnop fveq2 fveq2d oveq2d breq12d wne wa csm cbo clo bdopln ax-mp
      cdiv lnopfi ffvelrni syl normne0 biimpar divrec2d rereccld simpl lnopmuli
      cabs norm-iii clt normgt0 biimpa recgt0d 0re ltle mpan sylc absidd oveq1d
      cc wi 3eqtrrd eqtrd hvmulcl norm1 eqle wf nmoplb mp3an1 eqbrtrd wb nmopre
      a1i ledivmul2 syl112anc mpbid 0le0 lnop0i fveq2i norm0 eqtri oveq2i recni
      mul01i 3brtr4i pm2.61ne ) ADEZABFZGFZBUAFZAGFZHIZJKZLBFZGFZXELGFZHIZJKZAL
      ALSZXDXJXGXLJXNXCXIGALBUBUCXNXFXKXEHALGUBUDUEXBALUFZUGZXDXFUMIZXEJKZXHXPX
      QMXFUMIZAUHIZBFZGFZXEJXPXQXSXDHIZYBXPXDXFXPXDXBXDNEZXOXBXCDEZYDDDABBBUIEZ
      BUJECBUKULZUNZUOZXCOUPPZQXPXFXBXFNEZXOAOPZQXBXFTUFXOAUQURZUSXPYBXSXCUHIZG
      FZXSVCFZXDHIZYCXPYAYNGXPXSVOEZXBYAYNSXPXSXPXFYLYMUTZQZXBXOVAZXSABYGVBRUCX
      PYRYEYOYQSYTXBYEXOYIPXSXCVDRXPYPXSXDHXPXSYSXPXSNEZTXSVEKZTXSJKZYSXPXFYLXB
      XOTXFVEKZAVFVGZVHTNEUUBUUCUUDVPVITXSVJVKVLVMVNVQVRXPXTDEZXTGFZMJKZYBXEJKZ
      XPYRXBUUGYTUUAXSAVSRZXPUUHNEZUUHMSUUIXPUUGUULUUKXTOUPAVTUUHMWARDDBWBUUGUU
      IUUJYHXTBWCWDRWEXPYDXENEZYKUUEXRXHWFYJUUMXPYFUUMCBWGULZWHYLUUFXDXEXFWIWJW
      KXMXBTTXJXLJWLXJXKTXILGBYGWMWNWOWPXLXETHITXKTXEHWOWQXEXEUUNWRWSWPWTWHXA
      $.
  $}

  $( A lower bound for the norm of a bounded linear Hilbert space operator.
     (Contributed by NM, 18-Feb-2006.)  (New usage is discouraged.) $)
  nmbdoplb $p |- ( ( T e. BndLinOp /\ A e. ~H ) ->
              ( normh ` ( T ` A ) ) <_ ( ( normop ` T ) x. ( normh ` A ) ) ) $=
    ( cbo wcel chba cfv cno cnop cmul co cle wbr wi ch0o cif fveq1 fveq2d fveq2
    wceq oveq1d breq12d imbi2d 0bdop elimel nmbdoplbi dedth imp ) BCDZAEDZABFZG
    FZBHFZAGFZIJZKLZUHUIUOMUIAUHBNOZFZGFZUPHFZUMIJZKLZMBNBUPSZUOVAUIVBUKURUNUTK
    VBUJUQGABUPPQVBULUSUMIBUPHRTUAUBAUPBNCUCUDUEUFUG $.

  ${
    $d m n x y z N $.  $d m n x y z T $.
    nmcex.1 $e |- E. y e. RR+ A. z e. ~H
                    ( ( normh ` z ) < y -> ( N ` ( T ` z ) ) < 1 ) $.
    nmcex.2 $e |- ( S ` T ) = sup ( { m | E. x e. ~H
      ( ( normh ` x ) <_ 1 /\ m = ( N ` ( T ` x ) ) ) } , RR* , < ) $.
    nmcex.3 $e |- ( x e. ~H -> ( N ` ( T ` x ) ) e. RR ) $.
    nmcex.4 $e |- ( N ` ( T ` 0h ) ) = 0 $.
    nmcex.5 $e |- ( ( ( y / 2 ) e. RR+ /\ x e. ~H ) ->
   ( ( y / 2 ) x. ( N ` ( T ` x ) ) ) = ( N ` ( T ` ( ( y / 2 ) .h x ) ) ) ) $.
    $( Lemma for ~ nmcopexi and ~ nmcfnexi .  The norm of a continuous linear
       Hilbert space operator or functional exists.  Theorem 3.5(i) of [Beran]
       p. 99.  (Contributed by Mario Carneiro, 17-Nov-2013.)  (Proof shortened
       by Mario Carneiro, 23-Dec-2013.)  (New usage is discouraged.) $)
    nmcexi $p |- ( S ` T ) e. RR $=
      ( cfv c1 cle wbr wceq chba cr wcel vn cv cno wa wrex cab clt csup cxr wss
      c0 wne wral eleq1 syl5ibrcom imp adantrl rexlimiva abssi cc0 c0v ax-hv0cl
      norm0 0le1 eqbrtri eqcomi pm3.2i fveq2 breq1d 2fveq3 eqeq2d anbi12d mp2an
      rspcev c0ex eqeq1 anbi2d rexbidv elab mpbir ne0ii wi crp cdiv wal rpdivcl
      c2 co 2rp mpan rpred adantr csm cc rehalfcld recnd simprl hvmulcl syl2anc
      rpre normcl syl cmul simprr ad2antrl 1red rphalfcl lemul2d mpbid norm-iii
      sylan rpge0 absidd oveq1d eqtr2d mulid1d 3brtr3d rphalflt lelttrd imbi12d
      cabs rpcn rspcv mpid ltmuldiv2d rprecred ltle sylbid rpne0 recdiv mpanr12
      2cn 2ne0 breq2d 3imtr3d syld an32s anassrs breq1 mp3an ralab breq2 imbi2d
      expimpd rexlimdva alrimiv albidv syl5bb ax-mp supxrre suprcl eqeltri
      eqtri ) EDMZAUBZUCMZNOPZFUBZUUOEMGMZQZUDZARUEZFUFZSUGUHZSUUNUVCUIUGUHZUVD
      IUVCSUJZUVCUKULZUAUBZCUBZOPZUAUVCUMZCSUEZUVEUVDQUVBFSUVAUURSTZARUUORTZUUT
      UVMUUQUVNUUTUVMUVNUVMUUTUUSSTZJUURUUSSUNUOUPUQURUSZUTUVCUTUVCTUUQUTUUSQZU
      DZARUEZVARTVAUCMZNOPZUTVAEMGMZQZUDZUVSVBUWAUWCUVTUTNOVCVDVEUWBUTKVFVGUVRU
      WDAVARUUOVAQZUUQUWAUVQUWCUWEUUPUVTNOUUOVAUCVHVIUWEUUSUWBUTUUOVAGEVJVKVLVN
      VMUVBUVSFUTVOUURUTQZUVAUVRARUWFUUTUVQUUQUURUTUUSVPVQVRVSVTWAZUVIUCMZBUBZU
      GPZUVIEMGMZNUGPZWBZCRUMZBWCUEUVLHUWNUVLBWCUWIWCTZUWNUDZWGUWIWDWHZSTZUUQUV
      HUUSQZUDZARUEZUVHUWQOPZWBZUAWEZUVLUWOUWRUWNUWOUWQWGWCTUWOUWQWCTWIWGUWIWFW
      JWKWLUWPUXCUAUWPUWTUXBARUWPUVNUDZUUQUWSUXBUXEUUQUDUXBUWSUUSUWQOPZUWPUVNUU
      QUXFUWOUVNUUQUDZUWNUXFUWOUXGUDZUWNUXFUXHUWNUWIWGWDWHZUUOWMWHZEMGMZNUGPZUX
      FUXHUWNUXJUCMZUWIUGPZUXLUXHUXMUXIUWIUXHUXJRTZUXMSTUXHUXIWNTZUVNUXOUXHUXIU
      XHUWIUWOUWISTUXGUWIWTWLZWOZWPZUWOUVNUUQWQZUXIUUOWRWSZUXJXAXBUXRUXQUXHUXIU
      UPXCWHZUXINXCWHZUXMUXIOUXHUUQUYBUYCOPUWOUVNUUQXDUXHUUPNUXIUVNUUPSTUWOUUQU
      UOXAXEUXHXFZUWOUXIWCTZUXGUWIXGWLZXHXIUXHUYEUVNUYBUXMQUYFUXTUYEUVNUDUXMUXI
      YAMZUUPXCWHZUYBUYEUXPUVNUXMUYHQUXIYBUXIUUOXJXKUYEUYHUYBQUVNUYEUYGUXIUUPXC
      UYEUXIUXIWTUXIXLXMXNWLXOWSUXHUXIUXSXPXQUWOUXIUWIUGPUXGUWIXRWLXSUXHUXOUWNU
      XNUXLWBZWBUYAUWMUYICUXJRUVIUXJQZUWJUXNUWLUXLUYJUWHUXMUWIUGUVIUXJUCVHVIUYJ
      UWKUXKNUGUVIUXJGEVJVIXTYCXBYDUXHUXIUUSXCWHZNUGPZUUSNUXIWDWHZOPZUXLUXFUXHU
      YLUUSUYMUGPZUYNUXHUUSNUXIUVNUVOUWOUUQJXEZUYDUYFYEUXHUVOUYMSTUYOUYNWBUYPUX
      HUXIUYFYFUUSUYMYGWSYHUXHUYKUXKNUGUXHUYEUVNUYKUXKQUYFUXTLWSVIUXHUYMUWQUUSO
      UWOUYMUWQQZUXGUWOUWIWNTZUWIUTULZUYQUWIYBUWIYIUYRUYSUDWGWNTWGUTULUYQYLYMUW
      IWGYJYKWSWLYNYOYPUPYQYRUVHUUSUWQOYSUOUUDUUEUUFUVKUXDCUWQSUVKUXAUVJWBZUAWE
      UVIUWQQZUXDUVBUXAUVJUAFUURUVHQZUVAUWTARVUBUUTUWSUUQUURUVHUUSVPVQVRUUAVUAU
      YTUXCUAVUAUVJUXBUXAUVIUWQUVHOUUBUUCUUGUUHVNWSURUUIZCUAUVCUUJYTUUMUVFUVGUV
      LUVDSTUVPUWGVUCCUAUVCUUKYTUUL $.
  $}

  ${
    $d m x y z T $.
    nmcopex.1 $e |- T e. LinOp $.
    nmcopex.2 $e |- T e. ContOp $.
    $( The norm of a continuous linear Hilbert space operator exists.  Theorem
       3.5(i) of [Beran] p. 99.  (Contributed by NM, 5-Feb-2006.)  (Proof
       shortened by Mario Carneiro, 17-Nov-2013.)
       (New usage is discouraged.) $)
    nmcopexi $p |- ( normop ` T ) e. RR $=
      ( vx vy vz vm cno cv c0v cmv co cfv clt wbr c1 chba crp wcel wceq cnop wi
      wral wrex ccop ax-hv0cl cnopc hvsub0 fveq2d breq1d lnop0i oveq2i ffvelrni
      1rp mp3an lnopfi syl syl5eq imbi12d ralbiia rexbii mpbi wf cle wa cab cxr
      csup nmopval ax-mp cr normcl cc0 fveq2i norm0 eqtri c2 cdiv csm cabs cmul
      cc rpcn lnopmuli sylan norm-iii syl2an rpge0 absidd adantr oveq1d 3eqtrrd
      rpre nmcexi ) DEFUAAGHFIZJKLZHMZEIZNOZWOAMZJAMZKLZHMZPNOZUBZFQUCZERUDZWOH
      MZWRNOZWTHMZPNOZUBZFQUCZERUDAUESJQSPRSXGCUFUNEFJPAUGUOXFXMERXEXLFQWOQSZWS
      XIXDXKXNWQXHWRNXNWPWOHWOUHUIUJXNXCXJPNXNXBWTHXNXBWTJKLZWTXAJWTKABUKZULXNW
      TQSXOWTTQQWOAABUPZUMWTUHUQURUIUJUSUTVAVBQQAVCAUAMDIZHMPVDOGIXRAMZHMZTVEDQ
      UDGVFVGNVHTXQGDAVIVJXRQSZXSQSZXTVKSQQXRAXQUMZXSVLUQXAHMJHMVMXAJHXPVNVOVPW
      RVQVRLZRSZYAVEZYDXRVSLAMZHMYDXSVSLZHMZYDVTMZXTWALZYDXTWALYFYGYHHYEYDWBSZY
      AYGYHTYDWCZYDXRABWDWEUIYEYLYBYIYKTYAYMYCYDXSWFWGYFYJYDXTWAYEYJYDTYAYEYDYD
      WMYDWHWIWJWKWLWN $.

    $( A lower bound for the norm of a continuous linear operator.  Theorem
       3.5(ii) of [Beran] p. 99.  (Contributed by NM, 7-Feb-2006.)  (Revised by
       Mario Carneiro, 17-Nov-2013.)  (New usage is discouraged.) $)
    nmcoplbi $p |- ( A e. ~H ->
              ( normh ` ( T ` A ) ) <_ ( ( normop ` T ) x. ( normh ` A ) ) ) $=
      ( chba wcel cfv cno cmul co cle wbr c0v wceq cc0 eqtrdi c1 normcl syl2anc
      cr cnop 0le0 a1i fveq2 lnop0i fveq2d norm0 oveq2d nmcopexi mul01i 3brtr4d
      recni adantl wne wa cdiv csm cabs adantr normne0 biimpar rereccld normgt0
      clt biimpa recgt0d wi 0re ltle mpan absidd oveq1d cc recnd simpl lnopmuli
      sylc lnopfi ffvelrni norm-iii eqtrd syl divrec2d 3eqtr4rd hvmulcl eqle wf
      norm1 nmoplb mp3an1 eqbrtrd wb ledivmul2 syl112anc mpbid pm2.61dane ) AEF
      ZABGZHGZBUAGZAHGZIJZKLZAMAMNZXCWQXDOOWSXBKOOKLXDUBUCXDWSMHGZOXDWRMHXDWRMB
      GMAMBUDBCUEPUFUGPXDXBWTOIJOXDXAOWTIXDXAXEOAMHUDUGPUHWTWTBCDUIZULUJPUKUMWQ
      AMUNZUOZWSXAUPJZWTKLZXCXHXIQXAUPJZAUQJZBGZHGZWTKXHXKURGZWSIJZXKWSIJXNXIXH
      XOXKWSIXHXKXHXAWQXATFZXGARUSZWQXAOUNXGAUTVAZVBZXHXKTFZOXKVDLZOXKKLZXTXHXA
      XRWQXGOXAVDLZAVCVEZVFOTFYAYBYCVGVHOXKVIVJVQVKVLXHXNXKWRUQJZHGZXPXHXMYFHXH
      XKVMFZWQXMYFNXHXKXTVNZWQXGVOZXKABCVPSUFXHYHWREFZYGXPNYIWQYKXGEEABBCVRZVSZ
      USXKWRVTSWAXHWSXAXHWSWQWSTFZXGWQYKYNYMWRRWBUSZVNXHXAXRVNXSWCWDXHXLEFZXLHG
      ZQKLZXNWTKLZXHYHWQYPYIYJXKAWESZXHYQTFZYQQNYRXHYPUUAYTXLRWBAWHYQQWFSEEBWGY
      PYRYSYLXLBWIWJSWKXHYNWTTFZXQYDXJXCWLYOUUBXHXFUCXRYEWSWTXAWMWNWOWP $.
  $}

  $( The norm of a continuous linear Hilbert space operator exists.  Theorem
     3.5(i) of [Beran] p. 99.  (Contributed by NM, 7-Feb-2006.)
     (New usage is discouraged.) $)
  nmcopex $p |- ( ( T e. LinOp /\ T e. ContOp ) -> ( normop ` T ) e. RR ) $=
    ( clo wcel ccop wa cin cnop cfv cr elin cid chba cres cif wceq fveq2 eleq1d
    idlnop idcnop mpbir2an elimel mpbi simpli simpri nmcopexi dedth sylbir ) AB
    CADCEABDFZCZAGHZICZABDJUIUKUIAKLMZNZGHZICAULAUMOUJUNIAUMGPQUMUMBCZUMDCZUMUH
    CUOUPEAULUHULUHCULBCULDCRSULBDJTUAUMBDJUBZUCUOUPUQUDUEUFUG $.

  $( A lower bound for the norm of a continuous linear Hilbert space operator.
     Theorem 3.5(ii) of [Beran] p. 99.  (Contributed by NM, 7-Feb-2006.)
     (New usage is discouraged.) $)
  nmcoplb $p |- ( ( T e. LinOp /\ T e. ContOp /\ A e. ~H ) ->
              ( normh ` ( T ` A ) ) <_ ( ( normop ` T ) x. ( normh ` A ) ) ) $=
    ( clo wcel ccop chba cfv cno cnop cmul co cle wbr wa cin elin cid cres cif
    wi wceq fveq1 fveq2d fveq2 oveq1d imbi2d idlnop idcnop mpbir2an elimel mpbi
    breq12d simpli simpri nmcoplbi dedth imp sylanbr 3impa ) BCDZBEDZAFDZABGZHG
    ZBIGZAHGZJKZLMZUTVANBCEOZDZVBVHBCEPVJVBVHVJVBVHTVBAVJBQFRZSZGZHGZVLIGZVFJKZ
    LMZTBVKBVLUAZVHVQVBVRVDVNVGVPLVRVCVMHABVLUBUCVRVEVOVFJBVLIUDUEULUFAVLVLCDZV
    LEDZVLVIDVSVTNBVKVIVKVIDVKCDVKEDUGUHVKCEPUIUJVLCEPUKZUMVSVTWAUNUOUPUQURUS
    $.

  ${
    $d x A $.  $d x T $.
    nmophm.1 $e |- T e. BndLinOp $.
    $( The norm of the scalar product of a bounded linear operator.
       (Contributed by NM, 10-Mar-2006.)  (New usage is discouraged.) $)
    nmophmi $p |- ( A e. CC ->
              ( normop ` ( A .op T ) ) = ( ( abs ` A ) x. ( normop ` T ) ) ) $=
      ( vx wcel co cfv cabs cmul wceq cle wbr cno chba wa adantr cr cc0 syl wb
      cc chot cnop cv c1 wi wral csm wf cbo bdopf homval mp3an2 fveq2d ffvelrni
      ax-mp norm-iii sylan2 eqtrd normcl ad2antlr absge0 ad2antrr nmoplb mp3an1
      jca adantll nmopre lemul2a mp3anl2 syl21anc eqbrtrd ralrimiva cxr homulcl
      abscl mpan2 remulcl sylancl rexrd nmopub syl2anc mpbird fveq2 abs0 eqtrdi
      ex oveq1d recni mul02i adantl nmopge0 wne syl3an1 3expa eqbrtrrd adantllr
      cdiv clt cmnf nmopxr nmopgtmnf syl22anc absgt0 biimpa lemuldiv2 syl112anc
      xrre mpbid abs00 necon3bid biimpar redivcld sylancr a1i letri3d mpbir2and
      pm2.61dane ) AUAEZABUBFZUCGZAHGZBUCGZIFZJYAYDKLZYDYAKLZXSYEDUDZMGUEKLZYGX
      TGZMGZYDKLZUFZDNUGZXSYLDNXSYGNEZOZYHYKYOYHOZYJYBYGBGZMGZIFZYDKYOYJYSJYHYO
      YJAYQUHFZMGZYSYOYIYTMXSNNBUIZYNYIYTJBUJEZUUBCBUKUPZAYGBULUMUNYNXSYQNEZUUA
      YSJNNYGBUUDUOZAYQUQURUSPZYPYRQEZYBQEZRYBKLZOZYRYCKLZYSYDKLZYNUUHXSYHYNUUE
      UUHUUFYQUTSZVAXSUUKYNYHXSUUIUUJAVPZAVBVFVCYNYHUULXSUUBYNYHUULUUDYGBVDVEVG
      UUHYCQEZUUKUULUUMUUCUUPCBVHUPZYRYCYBVIVJVKVLWGVMXSNNXTUIZYDVNEYEYMTXSUUBU
      URUUDABVOVQZXSYDXSUUIUUPYDQEZUUOUUQYBYCVRVSZVTDYDXTWAWBWCZXSYFARXSARJZOYD
      RYAKUVCYDRJXSUVCYDRYCIFRUVCYBRYCIUVCYBRHGRARHWDWEWFWHYCYCUUQWIWJWFWKXSRYA
      KLZUVCXSUURUVDUUSXTWLSPVLXSARWMZOZYFYCYAYBWRFZKLZUVFUVHYHYRUVGKLZUFZDNUGZ
      UVFUVJDNUVFYNOZYHUVIUVLYHOYSYAKLZUVIXSYNYHUVMUVEYPYJYSYAKUUGXSYNYHYJYAKLZ
      XSUURYNYHUVNUUSYGXTVDWNWOWPWQUVLUVMUVITZYHUVLUUHYAQEZUUIRYBWSLZUVOYNUUHUV
      FUUNWKXSUVPUVEYNXSYAVNEZUUTWTYAWSLZYEUVPXSUURUVRUUSXTXASUVAXSUURUVSUUSXTX
      BSUVBYAYDXHXCZVCXSUUIUVEYNUUOVCUVFUVQYNXSUVEUVQAXDXEZPYRYAYBXFXGPXIWGVMUV
      FUUBUVGVNEUVHUVKTUUDUVFUVGUVFYAYBXSUVPUVEUVTPZXSUUIUVEUUOPZXSYBRWMUVEXSYB
      RARAXJXKXLXMVTDUVGBWAXNWCUVFUUPUVPUUIUVQYFUVHTUUPUVFUUQXOUWBUWCUWAYCYAYBX
      FXGWCXRXSYAYDUVTUVAXPXQ $.

    $( The scalar product of a bounded linear operator is a bounded linear
       operator.  (Contributed by NM, 10-Mar-2006.)
       (New usage is discouraged.) $)
    bdophmi $p |- ( A e. CC -> ( A .op T ) e. BndLinOp ) $=
      ( cc wcel chot co clo cnop cfv cr cbo bdopln ax-mp lnopmi cabs cmul abscl
      nmophmi nmopre remulcl sylancl eqeltrd elbdop2 sylanbrc ) ADEZABFGZHEUGIJ
      ZKEUGLEABBLEZBHECBMNOUFUHAPJZBIJZQGZKABCSUFUJKEUKKEZULKEARUIUMCBTNUJUKUAU
      BUCUGUDUE $.
  $}

  ${
    $d n w x y z N $.  $d n y M $.  $d n w x y z T $.  $d x y S $.  $d y C $.
    lncon.1 $e |- ( T e. C -> S e. RR ) $.
    lncon.2 $e |- ( ( T e. C /\ y e. ~H ) ->
                    ( N ` ( T ` y ) ) <_ ( S x. ( normh ` y ) ) ) $.
    lncon.3 $e |- ( T e. C <-> A. x e. ~H A. z e. RR+ E. y e. RR+ A. w e. ~H
   ( ( normh ` ( w -h x ) ) < y -> ( N ` ( ( T ` w ) M ( T ` x ) ) ) < z ) ) $.
    lncon.4 $e |- ( y e. ~H -> ( N ` ( T ` y ) ) e. RR ) $.
    lncon.5 $e |- ( ( w e. ~H /\ x e. ~H ) ->
                    ( T ` ( w -h x ) ) = ( ( T ` w ) M ( T ` x ) ) ) $.
    $( Lemma for ~ lnopconi and ~ lnfnconi .  (Contributed by NM, 7-Feb-2006.)
       (New usage is discouraged.) $)
    lnconi $p |- ( T e. C <->
     E. x e. RR A. y e. ~H ( N ` ( T ` y ) ) <_ ( x x. ( normh ` y ) ) ) $=
      ( wcel cfv wbr chba cr wa vn cv cno cmul co cle wral wrex ralrimiva oveq1
      wceq breq2d ralbidv rspcev syl2anc cn arch adantr wi nnre simplll simpllr
      clt normcl adantl cc0 normge0 ltle imp lemul1ad simpll syl2an simplr letr
      remulcl syl3anc mpan2d ralimdva impancom an32s reximdva mpd rexlimiva cmv
      sylan2 crp cdiv simprr nnrpd rpdivcld simprll hvsubcl 2fveq3 fveq2 oveq2d
      breq12d rspcva sylan eleq1d vtoclga simprlr rpred lelttr adantlr mpand wb
      syl nnrp rpregt0d ltmuldiv2 fveq2d breq1d 3imtr3d anassrs breq2 rspceaimv
      ralrimivva sylibr impbii ) GEOZBUBZGPIPZAUBZYAUCPZUDUEZUFQZBRUGZASUHZXTFS
      OYBFYDUDUEZUFQZBRUGZYHJXTYJBRKUIYGYKAFSYCFUKZYFYJBRYLYEYIYBUFYCFYDUDUJULU
      MUNUOYHYBUAUBZYDUDUEZUFQZBRUGZUAUPUHZXTYGYQASYCSOZYGTZYCYMVCQZUAUPUHZYQYR
      UUAYGYCUAUQURYSYTYPUAUPYMUPOZYSYMSOZYTYPUSZYMUTZYRUUCYGUUDYRUUCTZYTYGYPUU
      FYTTZYFYOBRUUGYAROZTZYFYEYNUFQZYOUUIYCYMYDYRUUCYTUUHVAYRUUCYTUUHVBUUHYDSO
      ZUUGYAVDZVEUUHVFYDUFQUUGYAVGVEUUGYCYMUFQZUUHUUFYTUUMYCYMVHVIURVJUUIYBSOZY
      ESOZYNSOZYFUUJTYOUSUUHUUNUUGMVEUUGYRUUKUUOUUHYRUUCYTVKUULYCYDVOVLUUGUUCUU
      KUUPUUHYRUUCYTVMUULYMYDVOVLYBYEYNVNVPVQVRVSVTWEWAWBWCYQDUBZYCWDUEZUCPZYAV
      CQZUUQGPYCGPHUEZIPZCUBZVCQZUSDRUGBWFUHZCWFUGARUGZXTYPUVFUAUPUUBYPTZUVEACR
      WFUVGYCROZUVCWFOZTZTZUVCYMWGUEZWFOUUSUVLVCQZUVDUSZDRUGUVEUVKUVCYMUVGUVHUV
      IWHUVKYMUUBYPUVJVKWIWJUVKUVNDRUVGUVJUUQROZUVNUVGUVJUVOTZTZYMUUSUDUEZUVCVC
      QZUURGPZIPZUVCVCQZUVMUVDUVQUWAUVRUFQZUVSUWBUUBUVPYPUWCUUBUVPTZUURROZYPUWC
      UWDUVOUVHUWEUUBUVJUVOWHZUUBUVHUVIUVOWKZUUQYCWLUOZYOUWCBUURRYAUURUKZYBUWAY
      NUVRUFYAUURIGWMZUWIYDUUSYMUDYAUURUCWNWOWPWQWRVTUUBUVPUWCUVSTUWBUSZYPUWDUW
      ASOZUVRSOZUVCSOZUWKUWDUWEUWLUWHUUNUWLBUURRUWIYBUWASUWJWSMWTXGUWDUUCUUSSOZ
      UWMUUBUUCUVPUUEURUWDUWEUWOUWHUURVDXGZYMUUSVOUOUWDUVCUUBUVHUVIUVOXAXBZUWAU
      VRUVCXCVPXDXEUUBUVPUVSUVMXFZYPUWDUWOUWNUUCVFYMVCQTZUWRUWPUWQUUBUWSUVPUUBY
      MYMXHXIURUUSUVCYMXJVPXDUVQUWAUVBUVCVCUVQUVTUVAIUUBUVPUVTUVAUKZYPUWDUVOUVH
      UWTUWFUWGNUOXDXKXLXMXNUIUUTUVMUVDBDUVLWFRYAUVLUUSVCXOXPUOXQWCLXRXGXS $.
  $}

  ${
    $d w x y z T $.
    lnopcon.1 $e |- T e. LinOp $.
    $( A condition equivalent to " ` T ` is continuous" when ` T ` is linear.
       Theorem 3.5(iii) of [Beran] p. 99.  (Contributed by NM, 7-Feb-2006.)
       (Proof shortened by Mario Carneiro, 17-Nov-2013.)
       (New usage is discouraged.) $)
    lnopconi $p |- ( T e. ContOp <->
     E. x e. RR A. y e. ~H ( normh ` ( T ` y ) ) <_ ( x x. ( normh ` y ) ) ) $=
      ( vz vw ccop cnop cfv cmv cno wcel cr cv chba co wbr clt wral crp nmcopex
      clo mpan cmul cle nmcoplb mp3an1 wf wi wrex lnopfi elcnop ffvelrni normcl
      mpbiran syl lnopsubi lnconi ) ABEFGCHIZCJKCUBLZCGLZUSMLDCUAUCUTVABNZOLZVB
      CIZKIZUSVBKIUDPUEQDVBCUFUGVAOOCUHFNZANZJPKIVBRQVFCIVGCIJPKIENRQUIFOSBTUJE
      TSAOSCDUKZAEBFCULUOVCVDOLVEMLOOVBCVHUMVDUNUPVFVGCDUQUR $.
  $}

  ${
    $d x y T $.
    $( A condition equivalent to " ` T ` is continuous" when ` T ` is linear.
       Theorem 3.5(iii) of [Beran] p. 99.  (Contributed by NM, 14-Feb-2006.)
       (New usage is discouraged.) $)
    lnopcon $p |- ( T e. LinOp -> ( T e. ContOp <->
   E. x e. RR A. y e. ~H ( normh ` ( T ` y ) ) <_ ( x x. ( normh ` y ) ) ) ) $=
      ( clo wcel ccop cv cfv cno cmul co cle wbr chba wral cr wrex wb cid cres
      cif wceq eleq1 fveq1 fveq2d breq1d rexralbidv bibi12d idlnop elimel dedth
      lnopconi ) CDEZCFEZBGZCHZIHZAGUOIHJKZLMZBNOAPQZRUMCSNTZUAZFEZUOVBHZIHZURL
      MZBNOAPQZRCVACVBUBZUNVCUTVGCVBFUCVHUSVFABPNVHUQVEURLVHUPVDIUOCVBUDUEUFUGU
      HABVBCVADUIUJULUK $.

    $( A linear operator is continuous iff it is bounded.  (Contributed by NM,
       14-Feb-2006.)  (New usage is discouraged.) $)
    lnopcnbd $p |- ( T e. LinOp -> ( T e. ContOp <-> T e. BndLinOp ) ) $=
      ( vy vx clo wcel ccop cbo cnop cfv cr nmcopex ex cv cno cmul cle wbr chba
      co wral elbdop2 baibr sylibd wrex nmopre nmbdoplb ralrimiva oveq1 ralbidv
      wceq breq2d rspcev syl2anc lnopcon syl5ibr impbid ) ADEZAFEZAGEZUQURAHIZJ
      EZUSUQURVAAKLUSUQVAAUAUBUCUSURUQBMZAINIZCMZVBNIZOSZPQZBRTZCJUDZUSVAVCUTVE
      OSZPQZBRTZVIAUEUSVKBRVBAUFUGVHVLCUTJVDUTUJZVGVKBRVMVFVJVCPVDUTVEOUHUKUIUL
      UMCBAUNUOUP $.
  $}

  $( A continuous linear operator is a bounded linear operator.  This theorem
     justifies our use of "bounded linear" as an interchangeable condition for
     "continuous linear" used in some textbook proofs.  (Contributed by NM,
     18-Feb-2006.)  (New usage is discouraged.) $)
  lncnopbd $p |- ( T e. ( LinOp i^i ContOp ) <-> T e. BndLinOp ) $=
    ( clo ccop cin wcel wa cbo lnopcnbd biimpa bdopln biimparc mpdan jca impbii
    elin bitri ) ABCDEABEZACEZFZAGEZABCOSTQRTAHZITQRAJZTQRUBQRTUAKLMNP $.

  $( A continuous linear operator is a bounded linear operator.  (Contributed
     by NM, 18-Feb-2006.)  (New usage is discouraged.) $)
  lncnbd $p |- ( LinOp i^i ContOp ) = BndLinOp $=
    ( vt clo ccop cin cbo cv lncnopbd eqriv ) ABCDEAFGH $.

  $( A linear operator is continuous iff it is bounded.  (Contributed by NM,
     14-Feb-2006.)  (New usage is discouraged.) $)
  lnopcnre $p |- ( T e. LinOp -> ( T e. ContOp <-> ( normop ` T ) e. RR ) ) $=
    ( clo wcel ccop cbo cnop cfv cr lnopcnbd elbdop2 baib bitrd ) ABCZADCAECZAF
    GHCZAINMOAJKL $.

  ${
    lnfnl.1 $e |- T e. LinFn $.
    $( Basic property of a linear Hilbert space functional.  (Contributed by
       NM, 11-Feb-2006.)  (New usage is discouraged.) $)
    lnfnli $p |- ( ( A e. CC /\ B e. ~H /\ C e. ~H ) ->
         ( T ` ( ( A .h B ) +h C ) ) = ( ( A x. ( T ` B ) ) + ( T ` C ) ) ) $=
      ( cc wcel chba csm co cva cfv cmul caddc wceq clf wa lnfnl mpanl1 3impb )
      AFGZBHGZCHGZABIJCKJDLABDLMJCDLNJOZDPGUAUBUCQUDEABCDRST $.

    $( A linear Hilbert space functional is a functional.  (Contributed by NM,
       11-Feb-2006.)  (New usage is discouraged.) $)
    lnfnfi $p |- T : ~H --> CC $=
      ( clf wcel chba cc wf lnfnf ax-mp ) ACDEFAGBAHI $.

    $( The value of a linear Hilbert space functional at zero is zero.  Remark
       in [Beran] p. 99.  (Contributed by NM, 11-Feb-2006.)
       (New usage is discouraged.) $)
    lnfn0i $p |- ( T ` 0h ) = 0 $=
      ( c0v cfv caddc co cmin cc0 chba wcel ax-hv0cl lnfnfi ffvelrni ax-mp wceq
      cc c1 ax-1cn eqtr3i oveq1i pncan3oi cmul lnfnli mp3an hvmulcli ax-hvaddid
      csm cva ax-hvmulid eqtri fveq2i mulid2i subidi ) CADZUNEFZUNGFZUNHUNUNCIJ
      ZUNPJKIPCAABLMNZURUAUNUNGFUPHUNUOUNGQUNUBFZUNEFZUNUOQCUGFZCUHFZADZUTUNQPJ
      UQUQVCUTORKKQCCABUCUDVBCAVBVACVAIJVBVAOQCRKUEVAUFNUQVACOKCUINUJUKSUSUNUNE
      UNURULTSTUNURUMSS $.

    $( Additive property of a linear Hilbert space functional.  (Contributed by
       NM, 11-Feb-2006.)  (New usage is discouraged.) $)
    lnfnaddi $p |- ( ( A e. ~H /\ B e. ~H ) ->
         ( T ` ( A +h B ) ) = ( ( T ` A ) + ( T ` B ) ) ) $=
      ( chba wcel wa c1 csm cva cfv cmul caddc wceq ax-1cn lnfnli mp3an1 adantr
      co cc ax-hvmulid fvoveq1d lnfnfi ffvelrni mulid2d oveq1d 3eqtr3d ) AEFZBE
      FZGZHAISZBJSCKZHACKZLSZBCKZMSZABJSCKZUMUOMSHTFUHUIULUPNOHABCDPQUHULUQNUIU
      HUKABCJAUAUBRUJUNUMUOMUHUNUMNUIUHUMETACCDUCUDUERUFUG $.

    $( Multiplicative property of a linear Hilbert space functional.
       (Contributed by NM, 11-Feb-2006.)  (New usage is discouraged.) $)
    lnfnmuli $p |- ( ( A e. CC /\ B e. ~H ) ->
         ( T ` ( A .h B ) ) = ( A x. ( T ` B ) ) ) $=
      ( cc wcel chba wa csm co c0v cva cfv cmul wceq ax-hv0cl lnfnli mp3an3 cc0
      caddc hvmulcl ax-hvaddid syl fveq2d lnfn0i oveq2i lnfnfi ffvelrni addid1d
      mulcl sylan2 syl5eq 3eqtr3d ) AEFZBGFZHZABIJZKLJZCMZABCMZNJZKCMZTJZUQCMVA
      UNUOKGFUSVCOPABKCDQRUPURUQCUPUQGFURUQOABUAUQUBUCUDUPVCVASTJVAVBSVATCDUEUF
      UPVAUOUNUTEFVAEFGEBCCDUGUHAUTUJUKUIULUM $.

    $( Sum/product property of a linear Hilbert space functional.  (Contributed
       by NM, 13-Feb-2006.)  (New usage is discouraged.) $)
    lnfnaddmuli $p |- ( ( A e. CC /\ B e. ~H /\ C e. ~H ) ->
         ( T ` ( B +h ( A .h C ) ) ) = ( ( T ` B ) + ( A x. ( T ` C ) ) ) ) $=
      ( cc wcel chba w3a csm co cva cfv caddc cmul wceq hvmulcl lnfnaddi sylan2
      wa 3impb 3com12 lnfnmuli 3adant2 oveq2d eqtrd ) AFGZBHGZCHGZIZBACJKZLKDMZ
      BDMZUKDMZNKZUMACDMOKZNKUHUGUIULUOPZUHUGUIUQUGUITUHUKHGUQACQBUKDERSUAUBUJU
      NUPUMNUGUIUNUPPUHACDEUCUDUEUF $.

    $( Subtraction property for a linear Hilbert space functional.
       (Contributed by NM, 13-Feb-2006.)  (New usage is discouraged.) $)
    lnfnsubi $p |- ( ( A e. ~H /\ B e. ~H ) ->
         ( T ` ( A -h B ) ) = ( ( T ` A ) - ( T ` B ) ) ) $=
      ( chba wcel wa c1 cneg csm co cva cfv cmul caddc cmv cmin wceq ffvelrni
      cc neg1cn mp3an1 hvsubval fveq2d lnfnfi mulm1 oveq2d adantl negsub eqtr2d
      lnfnaddmuli syl2an 3eqtr4d ) AEFZBEFZGZAHIZBJKLKZCMZACMZUQBCMZNKZOKZABPKZ
      CMUTVAQKZUQTFUNUOUSVCRUAUQABCDUKUBUPVDURCABUCUDUNUTTFZVATFZVEVCRUOETACCDU
      EZSETBCVHSVFVGGVCUTVAIZOKZVEVGVCVJRVFVGVBVIUTOVAUFUGUHUTVAUIUJULUM $.
  $}

  $( The value of a linear Hilbert space functional at zero is zero.  Remark in
     [Beran] p. 99.  (Contributed by NM, 25-Apr-2006.)
     (New usage is discouraged.) $)
  lnfn0 $p |- ( T e. LinFn -> ( T ` 0h ) = 0 ) $=
    ( clf wcel c0v cfv cc0 wceq chba csn fveq1 eqeq1d 0lnfn elimel lnfn0i dedth
    cxp cif ) ABCZDAEZFGDRAHFIPZQZEZFGATAUAGSUBFDAUAJKUAATBLMNO $.

  $( Multiplicative property of a linear Hilbert space functional.
     (Contributed by NM, 30-May-2006.)  (New usage is discouraged.) $)
  lnfnmul $p |- ( ( T e. LinFn /\ A e. CC /\ B e. ~H ) ->
                 ( T ` ( A .h B ) ) = ( A x. ( T ` B ) ) ) $=
    ( clf wcel cc chba csm co cfv cmul wceq wa wi cc0 csn cxp cif fveq1 oveq2d
    eqeq12d imbi2d 0lnfn elimel lnfnmuli dedth 3impib ) CDEZAFEZBGEZABHIZCJZABC
    JZKIZLZUHUIUJMZUONUPUKUHCGOPQZRZJZABURJZKIZLZNCUQCURLZUOVBUPVCULUSUNVAUKCUR
    SVCUMUTAKBCURSTUAUBABURCUQDUCUDUEUFUG $.

  ${
    nmbdfnlb.1 $e |- ( T e. LinFn /\ ( normfn ` T ) e. RR ) $.
    $( A lower bound for the norm of a bounded linear functional.  (Contributed
       by NM, 25-Apr-2006.)  (New usage is discouraged.) $)
    nmbdfnlbi $p |- ( A e. ~H ->
                ( abs ` ( T ` A ) ) <_ ( ( normfn ` T ) x. ( normh ` A ) ) ) $=
      ( chba wcel cfv cabs cno cmul co cle wbr c0v wceq cr c1 cc adantr syl2anc
      cc0 cnmf fveq2 clf simpli lnfn0i eqtrdi abs00bd norm0 oveq2d simpri recni
      0le0 mul01i eqtr2di breqtrid eqbrtrd adantl wne wa cdiv csm lnfnfi abscld
      ffvelrni normcl normne0 biimpar divrec2d rereccld lnfnmuli fveq2d absmuld
      recnd simpl clt normgt0 biimpa recgt0d wi ltle mpan absidd oveq1d 3eqtrrd
      0re sylc eqtrd hvmulcl norm1 eqle wf nmfnlb mp3an1 wb ledivmul2 syl112anc
      syl a1i mpbid pm2.61dane ) ADEZABFZGFZBUAFZAHFZIJZKLZAMAMNZXGXAXHXCTXFKXH
      XBXHXBMBFTAMBUBBBUCEZXDOEZCUDZUEUFUGXHTTXFKULXHXFXDTIJTXHXETXDIXHXEMHFTAM
      HUBUHUFUIXDXDXIXJCUJZUKUMUNUOUPUQXAAMURZUSZXCXEUTJZXDKLZXGXNXOPXEUTJZAVAJ
      ZBFZGFZXDKXNXOXQXCIJZXTXNXCXEXNXCXAXCOEZXMXAXBDQABBXKVBZVDZVCRZVMXNXEXAXE
      OEZXMAVERZVMXAXETURXMAVFVGZVHXNXTXQXBIJZGFXQGFZXCIJYAXNXSYIGXNXQQEZXAXSYI
      NXNXQXNXEYGYHVIZVMZXAXMVNZXQABXKVJSVKXNXQXBYMXAXBQEXMYDRVLXNYJXQXCIXNXQYL
      XNXQOEZTXQVOLZTXQKLZYLXNXEYGXAXMTXEVOLZAVPVQZVRTOEYOYPYQVSWETXQVTWAWFWBWC
      WDWGXNXRDEZXRHFZPKLZXTXDKLZXNYKXAYTYMYNXQAWHSZXNUUAOEZUUAPNUUBXNYTUUEUUDX
      RVEWQAWIUUAPWJSDQBWKYTUUBUUCYCXRBWLWMSUPXNYBXJYFYRXPXGWNYEXJXNXLWRYGYSXCX
      DXEWOWPWSWT $.
  $}

  $( A lower bound for the norm of a bounded linear functional.  (Contributed
     by NM, 25-Apr-2006.)  (New usage is discouraged.) $)
  nmbdfnlb $p |- ( ( T e. LinFn /\ ( normfn ` T ) e. RR /\ A e. ~H ) ->
              ( abs ` ( T ` A ) ) <_ ( ( normfn ` T ) x. ( normh ` A ) ) ) $=
    ( clf wcel cnmf cfv cr chba cabs cmul co cle wbr wa wi cc0 wceq fveq2 eleq1
    eleq1d cno csn cxp cif fveq1 fveq2d oveq1d breq12d imbi2d anbi12d 0lnfn 0re
    nmfn0 eqeltri pm3.2i elimhyp nmbdfnlbi dedth 3impia ) BCDZBEFZGDZAHDZABFZIF
    ZVAAUAFZJKZLMZUTVBNZVCVHOVCAVIBHPUBUCZUDZFZIFZVKEFZVFJKZLMZOBVJBVKQZVHVPVCV
    QVEVMVGVOLVQVDVLIABVKUEUFVQVAVNVFJBVKERZUGUHUIAVKVIVKCDZVNGDZNVJCDZVJEFZGDZ
    NBVJVQUTVSVBVTBVKCSVQVAVNGVRTUJVJVKQZWAVSWCVTVJVKCSWDWBVNGVJVKERTUJWAWCUKWB
    PGUMULUNUOUPUQURUS $.

  ${
    $d m x y z T $.
    nmcfnex.1 $e |- T e. LinFn $.
    nmcfnex.2 $e |- T e. ContFn $.
    $( The norm of a continuous linear Hilbert space functional exists.
       Theorem 3.5(i) of [Beran] p. 99.  (Contributed by NM, 14-Feb-2006.)
       (Proof shortened by Mario Carneiro, 17-Nov-2013.)
       (New usage is discouraged.) $)
    nmcfnexi $p |- ( normfn ` T ) e. RR $=
      ( vx vy vz vm cabs cv co cfv clt wbr c1 chba crp wcel cc0 cc wceq c0v cmv
      cnmf cno cmin wi wral ccnfn ax-hv0cl 1rp cnfnc mp3an hvsub0 fveq2d breq1d
      wrex lnfn0i oveq2i lnfnfi ffvelrni subid1d syl5eq imbi12d ralbiia mpbi wf
      rexbii cle wa cab cxr csup nmfnval ax-mp abscld fveq2i abs0 eqtri c2 cdiv
      cmul rpcn lnfnmuli sylan absmul syl2an rpge0 absidd adantr oveq1d 3eqtrrd
      csm rpre nmcexi ) DEFUCAGHFIZUAUBJZUDKZEIZLMZWOAKZUAAKZUEJZHKZNLMZUFZFOUG
      ZEPUPZWOUDKZWRLMZWTHKZNLMZUFZFOUGZEPUPAUHQUAOQNPQXGCUIUJEFUANAUKULXFXMEPX
      EXLFOWOOQZWSXIXDXKXNWQXHWRLXNWPWOUDWOUMUNUOXNXCXJNLXNXBWTHXNXBWTRUEJWTXAR
      WTUEABUQZURXNWTOSWOAABUSZUTVAVBUNUOVCVDVGVEOSAVFAUCKDIZUDKNVHMGIXQAKZHKZT
      VIDOUPGVJVKLVLTXPGDAVMVNXQOQZXROSXQAXPUTZVOXAHKRHKRXARHXOVPVQVRWRVSVTJZPQ
      ZXTVIZYBXQWLJAKZHKYBXRWAJZHKZYBHKZXSWAJZYBXSWAJYDYEYFHYCYBSQZXTYEYFTYBWBZ
      YBXQABWCWDUNYCYJXRSQYGYITXTYKYAYBXRWEWFYDYHYBXSWAYCYHYBTXTYCYBYBWMYBWGWHW
      IWJWKWN $.

    $( A lower bound for the norm of a continuous linear functional.  Theorem
       3.5(ii) of [Beran] p. 99.  (Contributed by NM, 14-Feb-2006.)
       (New usage is discouraged.) $)
    nmcfnlbi $p |- ( A e. ~H ->
                ( abs ` ( T ` A ) ) <_ ( ( normfn ` T ) x. ( normh ` A ) ) ) $=
      ( chba wcel c0v wceq cfv cabs cno cmul co cle wbr cc0 c1 cr cc syl2anc wn
      cnmf fveq2 lnfn0i eqtrdi abs00bd 0le0 norm0 oveq2d nmcfnexi recni eqtr2di
      mul01i breqtrid eqbrtrd adantl wa csm lnfnfi ffvelrni abscld adantr recnd
      cdiv normcl norm-i notbid biimpar neqned divrec2d rereccld simpl lnfnmuli
      fveq2d absmuld clt wne df-ne normgt0 bitr3id biimpa recgt0d 0re ltle mpan
      wi sylc absidd oveq1d 3eqtrrd eqtrd hvmulcl norm1 sylan2br eqle wf nmfnlb
      syl mp3an1 wb a1i ledivmul2 syl112anc mpbid pm2.61dan ) AEFZAGHZABIZJIZBU
      BIZAKIZLMZNOZXGXMXFXGXIPXLNXGXHXGXHGBIPAGBUCBCUDUEUFXGPPXLNUGXGXLXJPLMPXG
      XKPXJLXGXKGKIPAGKUCUHUEUIXJXJBCDUJZUKUMULUNUOUPXFXGUAZUQZXIXKVDMZXJNOZXMX
      PXQQXKVDMZAURMZBIZJIZXJNXPXQXSXILMZYBXPXIXKXPXIXFXIRFZXOXFXHESABBCUSZUTZV
      AVBZVCXPXKXFXKRFZXOAVEVBZVCXPXKPXFXKPHZUAXOXFYJXGAVFVGVHVIZVJXPYBXSXHLMZJ
      IXSJIZXILMYCXPYAYLJXPXSSFZXFYAYLHXPXSXPXKYIYKVKZVCZXFXOVLZXSABCVMTVNXPXSX
      HYPXFXHSFXOYFVBVOXPYMXSXILXPXSYOXPXSRFZPXSVPOZPXSNOZYOXPXKYIXFXOPXKVPOZXO
      AGVQZXFUUAAGVRZAVSVTWAZWBPRFYRYSYTWFWCPXSWDWEWGWHWIWJWKXPXTEFZXTKIZQNOZYB
      XJNOZXPYNXFUUEYPYQXSAWLTZXPUUFRFZUUFQHZUUGXPUUEUUJUUIXTVEWRXOXFUUBUUKUUCA
      WMWNUUFQWOTESBWPUUEUUGUUHYEXTBWQWSTUOXPYDXJRFZYHUUAXRXMWTYGUULXPXNXAYIUUD
      XIXJXKXBXCXDXE $.
  $}

  $( The norm of a continuous linear Hilbert space functional exists.  Theorem
     3.5(i) of [Beran] p. 99.  (Contributed by NM, 14-Feb-2006.)
     (New usage is discouraged.) $)
  nmcfnex $p |- ( ( T e. LinFn /\ T e. ContFn ) -> ( normfn ` T ) e. RR ) $=
    ( clf wcel ccnfn wa cin cnmf cfv cr elin chba cc0 csn cxp wceq fveq2 eleq1d
    cif 0lnfn 0cnfn mpbir2an elimel mpbi simpli simpri nmcfnexi dedth sylbir )
    ABCADCEABDFZCZAGHZICZABDJUJULUJAKLMNZRZGHZICAUMAUNOUKUOIAUNGPQUNUNBCZUNDCZU
    NUICUPUQEAUMUIUMUICUMBCUMDCSTUMBDJUAUBUNBDJUCZUDUPUQURUEUFUGUH $.

  $( A lower bound of the norm of a continuous linear Hilbert space functional.
     Theorem 3.5(ii) of [Beran] p. 99.  (Contributed by NM, 14-Feb-2006.)
     (New usage is discouraged.) $)
  nmcfnlb $p |- ( ( T e. LinFn /\ T e. ContFn /\ A e. ~H ) ->
                ( abs ` ( T ` A ) ) <_ ( ( normfn ` T ) x. ( normh ` A ) ) ) $=
    ( clf wcel ccnfn chba cfv cabs cnmf cno cmul co cle wbr wa cin elin cc0 csn
    wi cxp cif wceq fveq1 fveq2d fveq2 oveq1d breq12d imbi2d 0lnfn 0cnfn elimel
    mpbir2an mpbi simpli simpri nmcfnlbi dedth imp sylanbr 3impa ) BCDZBEDZAFDZ
    ABGZHGZBIGZAJGZKLZMNZVBVCOBCEPZDZVDVJBCEQVLVDVJVLVDVJTVDAVLBFRSUAZUBZGZHGZV
    NIGZVHKLZMNZTBVMBVNUCZVJVSVDVTVFVPVIVRMVTVEVOHABVNUDUEVTVGVQVHKBVNIUFUGUHUI
    AVNVNCDZVNEDZVNVKDWAWBOBVMVKVMVKDVMCDVMEDUJUKVMCEQUMULVNCEQUNZUOWAWBWCUPUQU
    RUSUTVA $.

  ${
    $d x y z w T $.
    lnfncon.1 $e |- T e. LinFn $.
    $( A condition equivalent to " ` T ` is continuous" when ` T ` is linear.
       Theorem 3.5(iii) of [Beran] p. 99.  (Contributed by NM, 14-Feb-2006.)
       (Proof shortened by Mario Carneiro, 17-Nov-2013.)
       (New usage is discouraged.) $)
    lnfnconi $p |- ( T e. ContFn <->
       E. x e. RR A. y e. ~H ( abs ` ( T ` y ) ) <_ ( x x. ( normh ` y ) ) ) $=
      ( vz vw ccnfn cfv cmin cabs wcel cv chba cno co wbr cc clt wral crp cr wf
      cnmf clf nmcfnex mpan cmul cle nmcfnlb mp3an1 cmv wi wrex lnfnfi ffvelrni
      elcnfn mpbiran abscld lnfnsubi lnconi ) ABEFGCUCHZCIJCUDKZCGKZVAUAKDCUEUF
      VBVCBLZMKZVDCHZJHVAVDNHUGOUHPDVDCUIUJVCMQCUBFLZALZUKONHVDRPVGCHVHCHIOJHEL
      RPULFMSBTUMETSAMSCDUNZAEBFCUPUQVEVFMQVDCVIUOURVGVHCDUSUT $.
  $}

  ${
    $d x y T $.
    $( A condition equivalent to " ` T ` is continuous" when ` T ` is linear.
       Theorem 3.5(iii) of [Beran] p. 99.  (Contributed by NM, 16-Feb-2006.)
       (New usage is discouraged.) $)
    lnfncon $p |- ( T e. LinFn -> ( T e. ContFn <->
     E. x e. RR A. y e. ~H ( abs ` ( T ` y ) ) <_ ( x x. ( normh ` y ) ) ) ) $=
      ( clf wcel ccnfn cv cfv cabs cno cmul co cle wbr chba wral cr wrex wb cc0
      csn cxp wceq eleq1 fveq1 fveq2d breq1d rexralbidv bibi12d elimel lnfnconi
      cif 0lnfn dedth ) CDEZCFEZBGZCHZIHZAGUQJHKLZMNZBOPAQRZSUOCOTUAUBZULZFEZUQ
      VDHZIHZUTMNZBOPAQRZSCVCCVDUCZUPVEVBVICVDFUDVJVAVHABQOVJUSVGUTMVJURVFIUQCV
      DUEUFUGUHUIABVDCVCDUMUJUKUN $.

    $( A linear functional is continuous iff it is bounded.  (Contributed by
       NM, 25-Apr-2006.)  (New usage is discouraged.) $)
    lnfncnbd $p |- ( T e. LinFn ->
                    ( T e. ContFn <-> ( normfn ` T ) e. RR ) ) $=
      ( vy vx clf wcel ccnfn cnmf cfv cr nmcfnex ex cv cabs cno cmul co cle wbr
      chba wral wrex wa simpr nmbdfnlb 3expa ralrimiva wceq oveq1 breq2d rspcev
      ralbidv syl2anc lnfncon sylibrd impbid ) ADEZAFEZAGHZIEZUPUQUSAJKUPUSBLZA
      HMHZCLZUTNHZOPZQRZBSTZCIUAZUQUPUSVGUPUSUBZUSVAURVCOPZQRZBSTZVGUPUSUCVHVJB
      SUPUSUTSEVJUTAUDUEUFVFVKCURIVBURUGZVEVJBSVLVDVIVAQVBURVCOUHUIUKUJULKCBAUM
      UNUO $.
  $}

  ${
    $d u v x y T $.  $d u v x y A $.
    rnelsh.1 $e |- T e. LinOp $.
    ${
      imaelsh.2 $e |- A e. SH $.
      $( The image of a subspace under a linear operator is a subspace.
         (Contributed by Mario Carneiro, 19-May-2014.)
         (New usage is discouraged.) $)
      imaelshi $p |- ( T " A ) e. SH $=
        ( vu vv vx vy wcel chba wss c0v wa cv cva co wral ax-mp cfv mp2an cc wf
        cima csh csm crn imassrn lnopfi frn sstri lnop0i sh0 wfun cdm wi shssii
        ffun fdmi sseqtrri funfvima2 eqeltrri pm3.2i wfn ffn wceq oveq1 ralbidv
        wb eleq1d ralima sheli lnopaddi syl2an shaddcl eqeltrrd ralrimiva oveq2
        mp3an1 syl sylibr mprgbir lnopmuli sylan2 shmulcl rgen issh2 mpbir2an )
        BAUCZUDIWHJKZLWHIZMENZFNZOPZWHIZFWHQZEWHQZWKWLUEPZWHIZFWHQZEUAQZMWIWJWH
        BUFZJBAUGJJBUBZXAJKBCUHZJJBUIRUJLBSZLWHBCUKLAIZXDWHIZAUDIZXEDAULRBUMZAB
        UNZKZXEXFUOXBXHXCJJBUQRZAJXIADUPZJJBXCURUSZALBUTTRVAVBWPWTWPGNZBSZWLOPZ
        WHIZFWHQZGABJVCZAJKZWPXRGAQVHXBXSXCJJBVDRZXLWOXREGJABWKXOVEZWNXQFWHYBWM
        XPWHWKXOWLOVFVIVGVJTXNAIZXOHNZBSZOPZWHIZHAQZXRYCYGHAYCYDAIZMZXNYDOPZBSZ
        YFWHYCXNJIYDJIZYLYFVEYIXNADVKYDADVKZXNYDBCVLVMYJYKAIZYLWHIZXGYCYIYODXNY
        DAVNVRXHXJYOYPUOXKXMAYKBUTTVSVOVPXSXTXRYHVHYAXLXQYGFHJABWLYEVEZXPYFWHWL
        YEXOOVQVIVJTVTWAWSEUAWKUAIZWKYEUEPZWHIZHAQZWSYRYTHAYRYIMZWKYDUEPZBSZYSW
        HYIYRYMUUDYSVEYNWKYDBCWBWCUUBUUCAIZUUDWHIZXGYRYIUUEDWKYDAWDVRXHXJUUEUUF
        UOXKXMAUUCBUTTVSVOVPXSXTWSUUAVHYAXLWRYTFHJABYQWQYSWHWLYEWKUEVQVIVJTVTWE
        VBEFWHWFWG $.
    $}

    $( The range of a linear operator is a subspace.  (Contributed by Mario
       Carneiro, 17-Nov-2013.)  (New usage is discouraged.) $)
    rnelshi $p |- ran T e. SH $=
      ( cdm cima crn imadmrn chba lnopfi fdmi helsh eqeltri imaelshi eqeltrri
      csh ) AACZDAENAFOABOGNGGAABHIJKLM $.
  $}

  ${
    $d x y T $.
    nlelsh.1 $e |- T e. LinFn $.
    $( The null space of a linear functional is a subspace.  (Contributed by
       NM, 11-Feb-2006.)  (Revised by Mario Carneiro, 17-Nov-2013.)
       (New usage is discouraged.) $)
    nlelshi $p |- ( null ` T ) e. SH $=
      ( vx vy cfv wcel c0v cv co wral cc wa chba cc0 wceq wb elnlfn ax-mp caddc
      cmul cnl csh cva csm ax-hv0cl lnfn0i wf lnfnfi mpbir2an cdm ccnv csn cima
      nlfnval cnvimass eqsstri sseqtri sseli hvaddcl lnfnaddi simprbi oveqan12d
      fdmi syl2an eqtrd 00id eqtrdi sylanbrc rgen2 sylan2 lnfnmuli oveq2d mul01
      hvmulcl sylan9eqr pm3.2i wss issh3 ) AUAEZUBFZGVSFZCHZDHZUCIZVSFZDVSJCVSJ
      ZWBWCUDIZVSFZDVSJCKJZLZWAGMFZGAENOZUEABUFMKAUGZWAWKWLLPABUHZGAQRUIWFWIWEC
      DVSVSWBVSFZWCVSFZLZWDMFZWDAEZNOZWEWOWBMFZWCMFZWRWPVSMWBVSAUJZMVSAUKNULZUM
      ZXCWMVSXEOWNAUNRAXDUOUPMKAWNVCUQZURZVSMWCXFURZWBWCUSVDWQWSNNSIZNWQWSWBAEZ
      WCAEZSIZXIWOXAXBWSXLOWPXGXHWBWCABUTVDWOWPXJNXKNSWOXAXJNOZWMWOXAXMLPWNWBAQ
      RVAWPXBXKNOZWMWPXBXNLPWNWCAQRVAZVBVEVFVGWMWEWRWTLPWNWDAQRVHVIWHCDKVSWBKFZ
      WPLZWGMFZWGAEZNOZWHWPXPXBXRXHWBWCVNVJXQXSWBXKTIZNWPXPXBXSYAOXHWBWCABVKVJW
      PXPYAWBNTINWPXKNWBTXOVLWBVMVOVEWMWHXRXTLPWNWGAQRVHVIVPVSMVQVTWAWJLPXFCDVS
      VRRUI $.
  $}

  ${
    $d f n u v w x T $.
    nlelch.1 $e |- T e. LinFn $.
    nlelch.2 $e |- T e. ContFn $.
    $( The null space of a continuous linear functional is a closed subspace.
       Remark 3.8 of [Beran] p. 103.  (Contributed by NM, 11-Feb-2006.)  (Proof
       shortened by Mario Carneiro, 19-May-2014.)
       (New usage is discouraged.) $)
    nlelchi $p |- ( null ` T ) e. CH $=
      ( vf vx vn cfv wcel cn cv wf chli wbr wa chba cc0 wceq adantl eqid cc cnl
      cch csh wi wal nlelshi vex hlimveci ccom ccnfld cha cnfldhaus a1i cno cmv
      ctopn cmopn clm cmap co cres cva csm hhims hhlm resss eqsstri ssbri ccnfn
      cop ccn hhcnf eleqtri lmcn csn cxp lnfnfi ffvelrn adantlr elnlfn2 sylancr
      wral fvco3 c0ex fvconst2 3eqtr4d ralrimiva wfn ffn ax-mp wss simpl shssii
      wb sylancl fnfco fconst eqfnfv mpbird ctopon c1 cnfldtopon 0cnd 1zzd nnuz
      fss cz lmconst syl3anc eqbrtrd lmmo elnlfn sylanbrc gen2 isch2 mpbir2an )
      AUAGZUBHXQUCHIXQDJZKZXREJZLMZNZXTXQHZUDZEUEDUEABUFZYDDEYBXTOHZXTAGZPQZYCY
      AYFXSXTXREUGUHRYBYGPAXRUIZUJUPGZYJUKHYBYJYJSZULUMYBXTXRAUNUOUIZUQGZYJYAXR
      XTYMURGZMXSLYNXRXTLYNOIUSUTZVAYNYLVBVCVJUNVJZYMYPSZYLYPYQYLSZVDYMSZVEYNYO
      VFVGVHRAYMYJVKUTZHYBAVIYTCYLYMYJYRYSYKVLVMUMVNYBYIIPVOZVPZPYJURGZYBYIUUBQ
      ZFJZYIGZUUEUUBGZQZFIWBZYBUUHFIYBUUEIHZNZUUEXRGZAGZPUUFUUGUUKOTAKZUULXQHZU
      UMPQABVQZXSUUJUUOYAIXQUUEXRVRVSUULAVTWAXSUUJUUFUUMQYAIXQUUEAXRWCVSUUJUUGP
      QYBIPUUEWDWERWFWGYBYIIWHZUUBIWHZUUDUUIWNYBAOWHZIOXRKZUUQUUNUUSUUPOTAWIWJY
      BXSXQOWKUUTXSYAWLXQYEWMIXQOXRXFWOOIAXRWPWAIUUAUUBKUURIPWDWQIUUAUUBWIWJFIY
      IUUBWRWOWSYBYJTWTGHZPTHXAXGHUUBPUUCMUVAYBYJYKXBUMYBXCYBXDPYJXATIXEXHXIXJX
      KUUNYCYFYHNWNUUPXTAXLWJXMXNEDXQXOXP $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Riesz lemma
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

    $( A continuous linear functional can be expressed as an inner product.
       Existence part of Theorem 3.9 of [Beran] p. 104.  (Contributed by NM,
       13-Feb-2006.)  (New usage is discouraged.) $)
    riesz3i $p |- E. w e. ~H A. v e. ~H ( T ` v ) = ( v .ih w ) $=
      ( cfv csp co wceq chba c0h c0v wcel wa cc0 cc adantr cmul cmin syl3anc vu
      cv wral wrex cnl cort ax-hv0cl wf lnfnfi fveq2 nlelchi ococi choc0 eleq2d
      3eqtr3g biimpar elnlfn2 sylancr hi02 adantl eqtr4d ralrimiva oveq2 eqeq2d
      ralbidv rspcev wne choccli chne0i cheli cdiv ccj csm ffvelrni hicl anidms
      wi his6 necon3bid divcld cjcld simpl hvmulcl syl2anc adantll sylan ancoms
      cmv his2sub simpr ax-his3 oveq12d eqtr2d hvsubcl lnfnsubi lnfnmuli mulcom
      sylan2 eqtrd mulcl syl2an subidd 3eqtrd wb elnlfn ax-mp wss chssii ocorth
      sylanbrc anassrs mulcld syl2anr subeq0ad mpbid adantlr jca divmul3 mpbird
      adantlll div23 simpll his52 eqtr3d ex mpdan rexlimiv sylbi pm2.61ine ) BU
      BZCFZYJAUBZGHZIZBJUCZAJUDZCUEFZUFFZKYRKIZLJMYKYJLGHZIZBJUCZYPUGYSUUABJYSY
      JJMZNZYKOYTUUDJPCUHZYJYQMZYKOICDUIZYSUUFUUCYSYQJYJYSYRUFFKUFFYQJYRKUFUJYQ
      CDEUKZULUMUOUNUPYJCUQURUUCYTOIYSYJUSUTVAVBYOUUBALJYLLIZYNUUABJUUIYMYTYKYL
      LYJGVCVDVEVFURYRKVGUAUBZLVGZUAYRUDYPUAYRYQUUHVHZVIUUKYPUAYRUUJYRMZUUJJMZU
      UKYPVQUUJYRUULVJUUMUUNNZUUKYPUUOUUKNZUUJCFZUUJUUJGHZVKHZVLFZUUJVMHZJMZYKY
      JUVAGHZIZBJUCZYPUUNUUKUVBUUMUUNUUKNZUUTPMUUNUVBUVFUUSUVFUUQUURUUNUUQPMZUU
      KJPUUJCUUGVNZQZUUNUURPMZUUKUUNUVJUUJUUJVOVPZQZUUNUUROVGZUUKUUNUUROUUJLUUJ
      VRVSUPZVTZWAUUNUUKWBUUTUUJWCWDWEUUPUVDBJUUPUUCNZUUQYJUUJGHZRHZUURVKHZYKUV
      CUVPUVSYKIZUVRYKUURRHZIZUUOUUCUWBUUKUUOUUCNZUVRUWASHZOIZUWBUWCUWDUUQYJVMH
      ZYKUUJVMHZWHHZUUJGHZOUUNUUCUWDUWIIUUMUUNUUCNZUWIUWFUUJGHZUWGUUJGHZSHZUWDU
      WJUWFJMZUWGJMZUUNUWIUWMIUUNUVGUUCUWNUVHUUQYJWCWFZUUCUUNUWOUUCYKPMZUUNUWOJ
      PYJCUUGVNZYKUUJWCWFWGZUUNUUCWBZUWFUWGUUJWITUWJUWKUVRUWLUWASUWJUVGUUCUUNUW
      KUVRIUUNUVGUUCUVHQZUUNUUCWJUWTUUQYJUUJWKTUWJUWQUUNUUNUWLUWAIUUCUWQUUNUWRU
      TUWTUWTYKUUJUUJWKTWLWMWEUUMUUNUUCUWIOIZUWJUUMUXBUWJUWHYQMZUUMUXBUWJUWHJMZ
      UWHCFZOIZUXCUWJUWNUWOUXDUWPUWSUWFUWGWNWDUWJUXEUWFCFZUWGCFZSHZUUQYKRHZUXJS
      HOUWJUWNUWOUXEUXIIUWPUWSUWFUWGCDWOWDUWJUXGUXJUXHUXJSUUNUVGUUCUXGUXJIUVHUU
      QYJCDWPWFUUCUUNUXHUXJIZUUCUWQUUNUXKUWRUWQUUNNUXHYKUUQRHZUXJYKUUJCDWPUUNUW
      QUVGUXLUXJIUVHYKUUQWQWRWSWFWGWLUWJUXJUUNUVGUWQUXJPMUUCUVHUWRUUQYKWTXAXBXC
      UUEUXCUXDUXFNXDUUGUWHCXEXFXJYQJXGUXCUUMNUXBVQYQUUHXHUWHUUJYQXIXFWFWGXKWSU
      UNUUCUWEUWBXDUUMUWJUVRUWAUWJUUQUVQUXAUUCUUNUVQPMZYJUUJVOWGZXLZUUCUWQUVJUW
      APMUUNUWRUVKYKUURWTXMXNWEXOXPUUNUUKUUCUVTUWBXDZUUMUVFUUCNZUVRPMZUWQUVJUVM
      NZUXPUUNUUCUXRUUKUXOXPUUCUWQUVFUWRUTUVFUXSUUCUVFUVJUVMUVLUVNXQQZUVRYKUURX
      RTXTXSUUNUUKUUCUVSUVCIUUMUXQUVSUUSUVQRHZUVCUXQUVGUXMUXSUVSUYAIUVFUVGUUCUV
      IQUUNUUCUXMUUKUXNXPUXTUUQUVQUURYATUXQUUSPMZUUCUUNUVCUYAIUVFUYBUUCUVOQUVFU
      UCWJUUNUUKUUCYBUUSYJUUJYCTVAXTYDVBYOUVEAUVAJYLUVAIZYNUVDBJUYCYMUVCYKYLUVA
      YJGVCVDVEVFWDYEYFYGYHYI $.

    $( A continuous linear functional can be expressed as an inner product.
       Uniqueness part of Theorem 3.9 of [Beran] p. 104.  (Contributed by NM,
       13-Feb-2006.)  (New usage is discouraged.) $)
    riesz4i $p |- E! w e. ~H A. v e. ~H ( T ` v ) = ( v .ih w ) $=
      ( vu cv cfv csp co wceq chba wral wa wi cmin cc0 wcel cc syl wreu riesz3i
      r19.26 oveq12 adantl lnfnfi ffvelrni subidd adantr eqtr3d ralimiaa sylbir
      wrex cmv hvsubcl oveq1 oveq12d eqeq1d rspcv cno c2 c0v normcl recnd sqeq0
      cexp wb norm-i bitrd normsq simpl simpr his2sub2 syl3anc hvsubeq0 3bitr3d
      eqtrd sylibd syl5 rgen2 oveq2 eqeq2d ralbidv reu4 mpbir2an ) BGZCHZWFAGZI
      JZKZBLMZALUAWKALUMWKWGWFFGZIJZKZBLMZNZWHWLKZOZFLMALMABCDEUBWRAFLLWPWIWMPJ
      ZQKZBLMZWHLRZWLLRZNZWQWPWJWNNZBLMXAWJWNBLUCXEWTBLWFLRZXENWGWGPJZWSQXEXGWS
      KXFWGWIWGWMPUDUEXFXGQKXEXFWGLSWFCCDUFUGUHUIUJUKULXDXAWHWLUNJZWHIJZXHWLIJZ
      PJZQKZWQXDXHLRZXAXLOWHWLUOZWTXLBXHLWFXHKZWSXKQXOWIXIWMXJPWFXHWHIUPWFXHWLI
      UPUQURUSTXDXHUTHZVAVFJZQKZXHVBKZXLWQXDXMXRXSVGXNXMXRXPQKZXSXMXPSRXRXTVGXM
      XPXHVCVDXPVETXHVHVITXDXQXKQXDXQXHXHIJZXKXDXMXQYAKXNXHVJTXDXMXBXCYAXKKXNXB
      XCVKXBXCVLXHWHWLVMVNVQURWHWLVOVPVRVSVTWKWOAFLWQWJWNBLWQWIWMWGWHWLWFIWAWBW
      CWDWE $.
  $}

  ${
    $d w v T $.
    $( A continuous linear functional can be expressed as an inner product.
       Uniqueness part of Theorem 3.9 of [Beran] p. 104.  See ~ riesz2 for the
       bounded linear functional version.  (Contributed by NM, 16-Feb-2006.)
       (New usage is discouraged.) $)
    riesz4 $p |- ( T e. ( LinFn i^i ContFn ) ->
                   E! w e. ~H A. v e. ~H ( T ` v ) = ( v .ih w ) ) $=
      ( clf ccnfn cin wcel cv cfv csp co wceq chba wral wreu cc0 csn cxp sselii
      cif fveq1 eqeq1d ralbidv reubidv inss1 0lnfn elin mpbir2an elimel riesz4i
      0cnfn inss2 dedth ) CDEFZGZBHZCIZUPAHJKZLZBMNZAMOUPUOCMPQRZTZIZURLZBMNZAM
      OCVACVBLZUTVEAMVFUSVDBMVFUQVCURUPCVBUAUBUCUDABVBUNDVBDEUECVAUNVAUNGVADGVA
      EGUFUKVADEUGUHUIZSUNEVBDEULVGSUJUM $.
  $}

  ${
    $d x y z T $.
    $( Part 1 of the Riesz representation theorem for bounded linear
       functionals.  A linear functional is bounded iff its value can be
       expressed as an inner product.  Part of Theorem 17.3 of [Halmos] p. 31.
       For part 2, see ~ riesz2 .  For the continuous linear functional
       version, see ~ riesz3i and ~ riesz4 .  (Contributed by NM, 25-Apr-2006.)
       (New usage is discouraged.) $)
    riesz1 $p |- ( T e. LinFn -> ( ( normfn ` T ) e. RR <->
                  E. y e. ~H A. x e. ~H ( T ` x ) = ( x .ih y ) ) ) $=
      ( vz clf wcel ccnfn cfv cr cv co wceq chba wral wrex wa cabs cmul cle wbr
      cnmf csp lnfncnbd cin cc0 csn cxp cif fveq1 eqeq1d rexralbidv inss1 0lnfn
      0cnfn mpbir2an elimel sselii inss2 riesz3i dedth sylbir cno normcl adantl
      elin ex wi fveq2 bcs cc recn mulcom syl2an breqtrd adantll adantr eqbrtrd
      an32s oveq1 breq2d ralbidv rspcev syl6an rexlimdva lnfncon sylibrd impbid
      ralimdva bitr3d ) CEFZCGFZCUAHIFAJZCHZWLBJZUBKZLZAMNZBMOZCUCWJWKWRWJWKWRW
      JWKPCEGUDZFZWRCEGVEWTWRWLWTCMUEUFUGZUHZHZWOLZAMNBMOCXACXBLZWPXDBAMMXEWMXC
      WOWLCXBUIUJUKBAXBWSEXBEGULCXAWSXAWSFXAEFXAGFUMUNXAEGVEUOUPZUQWSGXBEGURXFU
      QUSUTVAVFWJWRWMQHZDJZWLVBHZRKZSTZAMNZDIOZWKWJWQXMBMWJWNMFZPZWNVBHZIFZWQXG
      XPXIRKZSTZAMNZXMXNXQWJWNVCZVDXOWPXSAMWJWLMFZXNWPXSVGWJYBPXNPZWPXSYCWPPXGW
      OQHZXRSWPXGYDLYCWMWOQVHVDYCYDXRSTZWPYBXNYEWJYBXNPYDXIXPRKZXRSWLWNVIYBXIIF
      ZXQYFXRLZXNWLVCYAYGXIVJFXPVJFYHXQXIVKXPVKXIXPVLVMVMVNVOVPVQVFVRWHXLXTDXPI
      XHXPLZXKXSAMYIXJXRXGSXHXPXIRVSVTWAWBWCWDDACWEWFWGWI $.

    $( Part 2 of the Riesz representation theorem for bounded linear
       functionals.  The value of a bounded linear functional corresponds to a
       unique inner product.  Part of Theorem 17.3 of [Halmos] p. 31.  For part
       1, see ~ riesz1 .  (Contributed by NM, 25-Apr-2006.)
       (New usage is discouraged.) $)
    riesz2 $p |- ( ( T e. LinFn /\ ( normfn ` T ) e. RR ) ->
                   E! y e. ~H A. x e. ~H ( T ` x ) = ( x .ih y ) ) $=
      ( clf wcel cnmf cfv cr wa ccnfn cin csp wceq chba wral wreu elin lnfncnbd
      cv co pm5.32i bitri riesz4 sylbir ) CDEZCFGHEZIZCDJKEZASZCGUIBSLTMANOBNPU
      HUECJEZIUGCDJQUEUJUFCRUAUBBACUCUD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Adjoints (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d f g v w y z A $.  $d z B $.  $d f t w x z F $.  $d f g t v w x y z T $.
    $d f C $.  $d f v w x z G $.
    cnlnadjlem.1 $e |- T e. LinOp $.
    cnlnadjlem.2 $e |- T e. ContOp $.
    cnlnadjlem.3 $e |- G = ( g e. ~H |-> ( ( T ` g ) .ih y ) ) $.
    $( Lemma for ~ cnlnadji (Theorem 3.10 of [Beran] p. 104: every continuous
       linear operator has an adjoint).  The value of the auxiliary functional
       ` G ` .  (Contributed by NM, 16-Feb-2006.)
       (New usage is discouraged.) $)
    cnlnadjlem1 $p |- ( A e. ~H -> ( G ` A ) = ( ( T ` A ) .ih y ) ) $=
      ( cv cfv csp co chba wceq fveq2 oveq1d ovex fvmpt ) DBDIZCJZAIZKLBCJZUAKL
      MESBNTUBUAKSBCOPHUBUAKQR $.

    $( Lemma for ~ cnlnadji . ` G ` is a continuous linear functional.
       (Contributed by NM, 16-Feb-2006.)  (New usage is discouraged.) $)
    cnlnadjlem2 $p |- ( y e. ~H -> ( G e. LinFn /\ G e. ContFn ) ) $=
      ( vx vz chba wcel cc co cfv cmul wceq csp wa cle cr vw cv clf ccnfn caddc
      csm cva wral lnopfi ffvelrni hicl sylan ancoms fmptd hvmulcl w3a lnopaddi
      wf 3adant3 oveq1d id ax-his2 syl3an eqtrd 3comr 3expa sylanl2 cnlnadjlem1
      hvaddcl syl adantll ax-his3 syl3an2 3expb lnopmuli adantl oveq2d ad2antll
      3eqtr4rd oveqan12d 3eqtr4d ralrimiva ralrimivva ellnfn sylanbrc cabs wrex
      cno wbr cnop nmcopexi normcl remulcl sylancr adantr eqeltrd abscld syl2an
      bcs eqbrtrd cc0 normge0 nmcoplbi lemul1a syl31anc letrd recnd recni mul32
      fveq2d jca mp3an1 breqtrd breq2d ralbidv rspcev syl2anc wb lnfncon mpbird
      oveq1 ) AUBZJKZDUCKZDUDKZYCJLDURHUBZUAUBZUFMZIUBZUGMZDNZYFYGDNZOMZYIDNZUE
      MZPZIJUHZUAJUHHLUHYDYCCJCUBZBNZYBQMZLDYRJKZYCYTLKZUUAYSJKYCUUBJJYRBBEUIZU
      JYSYBUKULUMGUNYCYQHUALJYCYFLKZYGJKZRZRZYPIJUUGYIJKZRYJBNZYBQMZYHBNZYBQMZY
      IBNZYBQMZUEMZYKYOUUFYCYHJKZUUHUUJUUOPZYFYGUOZYCUUPUUHUUQUUPUUHYCUUQUUPUUH
      YCUPZUUJUUKUUMUGMZYBQMZUUOUUSUUIUUTYBQUUPUUHUUIUUTPYCYHYIBEUQUSUTUUPUUKJK
      UUHUUMJKZYCYCUVAUUOPJJYHBUUCUJJJYIBUUCUJZYCVAUUKUUMYBVBVCVDVEVFVGUUFUUHYK
      UUJPZYCUUFUUHRYJJKZUVDUUFUUPUUHUVEUURYHYIVIULAYJBCDEFGVHVJVKUUGUUHYMUULYN
      UUNUEUUGYFYGBNZUFMZYBQMZYFUVFYBQMZOMZUULYMYCUUDUUEUVHUVJPZUUDUUEYCUVKUUEU
      UDUVFJKYCUVKJJYGBUUCUJYFUVFYBVLVMVEVNUUFUULUVHPYCUUFUUKUVGYBQYFYGBEVOUTVP
      UUEYMUVJPYCUUDUUEYLUVIYFOAYGBCDEFGVHVQVRVSAYIBCDEFGVHZVTWAWBWCHUAIDWDWEZY
      CYEYNWFNZYFYIWHNZOMZSWIZIJUHZHTWGZYCBWJNZYBWHNZOMZTKZUVNUWBUVOOMZSWIZIJUH
      ZUVSYCUVTTKZUWATKZUWCBEFWKZYBWLZUVTUWAWMWNYCUWEIJUUHYCUWEUUHYCRZUVNUVTUVO
      OMZUWAOMZUWDSUWKUVNUUMWHNZUWAOMZUWMUWKYNUWKYNUUNLUUHYNUUNPYCUVLWOZUUHUVBY
      CUUNLKUVCUUMYBUKULWPWQUUHUWNTKZUWHUWOTKYCUUHUVBUWQUVCUUMWLVJZUWJUWNUWAWMW
      RUUHUWLTKZUWHUWMTKYCUUHUWGUVOTKUWSUWIYIWLZUVTUVOWMWNZUWJUWLUWAWMWRUWKUVNU
      UNWFNZUWOSUWKYNUUNWFUWPXJUUHUVBYCUXBUWOSWIUVCUUMYBWSULWTUWKUWQUWSUWHXAUWA
      SWIZRZUWNUWLSWIZUWOUWMSWIUUHUWQYCUWRWOUUHUWSYCUXAWOYCUXDUUHYCUWHUXCUWJYBX
      BXKVPUUHUXEYCYIBEFXCWOUWNUWLUWAXDXEXFUUHUVOLKZUWALKZUWMUWDPZYCUUHUVOUWTXG
      YCUWAUWJXGUVTLKUXFUXGUXHUVTUWIXHUVTUVOUWAXIXLWRXMUMWBUVRUWFHUWBTYFUWBPZUV
      QUWEIJUXIUVPUWDUVNSYFUWBUVOOYAXNXOXPXQYCYDYEUVSXRUVMHIDXSVJXTXK $.

    ${
      cnlnadjlem.4 $e |- B = ( iota_ w e. ~H A. v e. ~H ( ( T ` v ) .ih y )
                         = ( v .ih w ) ) $.
      $( Lemma for ~ cnlnadji .  By ~ riesz4 , ` B ` is the unique vector such
         that ` ( T `` v ) .ih y ) = ( v .ih w ) ` for all ` v ` .
         (Contributed by NM, 17-Feb-2006.)  (New usage is discouraged.) $)
      cnlnadjlem3 $p |- ( y e. ~H -> B e. ~H ) $=
        ( cv chba wcel cfv csp co wceq clf ccnfn wral crio wreu cin cnlnadjlem2
        elin sylibr riesz4 syl cnlnadjlem1 eqeq1d ralbiia reubii sylib eqeltrid
        wa riotacl ) ALZMNZDCLZEOURPQZUTBLPQZRZCMUAZBMUBZMKUSVDBMUCZVEMNUSUTGOZ
        VBRZCMUAZBMUCZVFUSGSTUDNZVJUSGSNGTNUPVKAEFGHIJUEGSTUFUGBCGUHUIVIVDBMVHV
        CCMUTMNVGVAVBAUTEFGHIJUJUKULUMUNVDBMUQUIUO $.

      cnlnadjlem.5 $e |- F = ( y e. ~H |-> B ) $.
      $( Lemma for ~ cnlnadji .  The values of auxiliary function ` F ` are
         vectors.  (Contributed by NM, 17-Feb-2006.)  (Proof shortened by Mario
         Carneiro, 10-Sep-2015.)  (New usage is discouraged.) $)
      cnlnadjlem4 $p |- ( A e. ~H -> ( F ` A ) e. ~H ) $=
        ( chba cnlnadjlem3 fmpti ffvelrni ) OODHAOOEHNABCEFGIJKLMPQR $.

      $( Lemma for ~ cnlnadji . ` F ` is an adjoint of ` T ` (later, we will
         show it is unique).  (Contributed by NM, 18-Feb-2006.)
         (New usage is discouraged.) $)
      cnlnadjlem5 $p |- ( ( A e. ~H /\ C e. ~H ) -> ( ( T ` C ) .ih A ) =
                        ( C .ih ( F ` A ) ) ) $=
        ( vf chba wcel csp wceq cv cfv co wral nfcv cmpt nfmpt1 nffv nfov nfeq2
        nfcxfr nfralw oveq2 fveq2 eqeq12d ralbidv crab cvv crio riotaex eqeltri
        oveq2d fvmpt2 mpan2 wb oveq1d oveq1 cbvralvw cnlnadjlem1 eqeq1d ralbiia
        a1i bitr4di riotabiia eqtri clf ccnfn wreu wa cnlnadjlem2 sylibr riesz4
        cin elin riotacl2 3syl eqeltrid eqeltrd eqeq2d syl5bb elrab simprbi syl
        vtoclgaf rspccva sylan ) DQRPUAZGUBZDSUCZWQDIUBZSUCZTZPQUDZFQRFGUBZDSUC
        ZFWTSUCZTZWRAUAZSUCZWQXHIUBZSUCZTZPQUDZXCADQADUEZXBAPQAQUEAWSXAAWQWTSAW
        QUEASUEADIAIAQEUFOAQEUGUKXNUHUIUJULXHDTZXLXBPQXOXIWSXKXAXHDWRSUMXOXJWTW
        QSXHDIUNVBUOUPXHQRZXJWQJUBZWQBUAZSUCZTZPQUDZBQUQZRZXMXPXJEYBXPEURRXJETE
        CUAZGUBZXHSUCZYDXRSUCZTZCQUDZBQUSZURNYIBQUTVAAQEURIOVCVDXPEYABQUSZYBEYJ
        YKNYIYABQXRQRZYIXIXSTZPQUDZYAYIYNVEYLYHYMCPQYDWQTZYFXIYGXSYOYEWRXHSYDWQ
        GUNVFYDWQXRSVGUOVHVLXTYMPQWQQRXQXIXSAWQGHJKLMVIVJVKZVMVNVOXPJVPVQWCRZYA
        BQVRYKYBRXPJVPRJVQRVSYQAGHJKLMVTJVPVQWDWABPJWBYABQWEWFWGWHYCXJQRXMYAXMB
        XJQYAYNXRXJTZXMYPYRYMXLPQYRXSXKXIXRXJWQSUMWIUPWJWKWLWMWNXBXGPFQWQFTZWSX
        EXAXFYSWRXDDSWQFGUNVFWQFWTSVGUOWOWP $.

      $( Lemma for ~ cnlnadji . ` F ` is linear.  (Contributed by NM,
         17-Feb-2006.)  (New usage is discouraged.) $)
      cnlnadjlem6 $p |- F e. LinOp $=
        ( vx wcel chba co cfv wceq csp vf vz vt clo wf csm cva wral cnlnadjlem3
        cv cc fmpti wa caddc lnopfi ffvelrni adantl hvmulcl simplr his7 syl3anc
        ad2antrr hvaddcl sylan cnlnadjlem5 ccj cmul simpll cnlnadjlem4 ad2antlr
        simpr adantll oveq2d eqtr4d adantlr oveq12d sylan2 3eqtr3d ralrimiva wb
        his5 syl syl2an hial2eq2 syl2anc mpbid rgen2 ellnop mpbir2an ) GUDOPPGU
        ENUJZUAUJZUFQZUBUJZUGQZGRZWJWKGRZUFQZWMGRZUGQZSZUBPUHZUAPUHNUKUHAPPDGMA
        BCDEFHIJKLUIULXANUAUKPWJUKOZWKPOZUMZWTUBPXDWMPOZUMZUCUJZWOTQZXGWSTQZSZU
        CPUHZWTXFXJUCPXFXGPOZUMZXGERZWNTQZXNWLTQZXNWMTQZUNQZXHXIXMXNPOZWLPOZXEX
        OXRSXLXSXFPPXGEEIUOUPZUQXDXTXEXLWJWKURZVBXDXEXLUSXNWLWMUTVAXFWNPOZXLXOX
        HSXDXTXEYCYBWLWMVCVDZABCWNDXGEFGHIJKLMVEVDXMXRXGWQTQZXGWRTQZUNQZXIXMXPY
        EXQYFUNXDXLXPYESXEXDXLUMZXPWJVFRZXNWKTQZVGQZYEYHXBXSXCXPYKSXBXCXLVHZXLX
        SXDYAUQXBXCXLUSWJXNWKWAVAYHYEYIXGWPTQZVGQZYKYHXBXLWPPOZYEYNSYLXDXLVKXCY
        OXBXLABCWKDEFGHIJKLMVIZVJWJXGWPWAVAYHYJYMYIVGXCXLYJYMSXBABCWKDXGEFGHIJK
        LMVEVLVMVNVNVOXEXLXQYFSXDABCWMDXGEFGHIJKLMVEVLVPXMXLWQPOZWRPOZXIYGSXFXL
        VKXDYQXEXLXCXBYOYQYPWJWPURVQZVBXEYRXDXLABCWMDEFGHIJKLMVIZVJXGWQWRUTVAVN
        VRVSXFWOPOZWSPOZXKWTVTXFYCUUAYDABCWNDEFGHIJKLMVIWBXDYQYRUUBXEYSYTWQWRVC
        WCUCWOWSWDWEWFVSWGNUAUBGWHWI $.

      $( Lemma for ~ cnlnadji .  Helper lemma to show that ` F ` is continuous.
         (Contributed by NM, 18-Feb-2006.)  (New usage is discouraged.) $)
      cnlnadjlem7 $p |- ( A e. ~H -> ( normh ` ( F ` A ) ) <_
                        ( ( normop ` T ) x. ( normh ` A ) ) ) $=
        ( wcel cfv co cle wbr cc0 chba cno cnop cmul breq1 wne cabs cnlnadjlem4
        wa csp lnopfi ffvelrni syl hicl mpancom abscld normcl remulcld nmcopexi
        cc remulcl sylancr bcs normge0 nmcoplbi lemul1ad letrd wceq cnlnadjlem5
        cr mpdan fveq2d hiidrcl hiidge0 absidd cexp normsq sqvald eqtr3d 3eqtrd
        c2 recnd recni mul32 mp3an1 syl2anc 3brtr3d adantr clt 0re leltne sylan
        wb biimpar lemul1 syl112anc mpbird wf nmopge0 mulge0 mpanl12 pm2.61ne
        ax-mp ) DUAOZDHPZUBPZFUCPZDUBPZUDQZRSZTXIRSZXFTXFTXIRUEXDXFTUFZUIZXJXFX
        FUDQZXIXFUDQZRSZXDXPXLXDXEFPZDUJQZUGPZXGXFUDQZXHUDQZXNXORXDXSXQUBPZXHUD
        QZYAXDXRXQUAOZXDXRUTOXDXEUAOZYDABCDEFGHIJKLMNUHZUAUAXEFFJUKZULUMZXQDUNU
        OUPXDYBXHXDYDYBVJOYHXQUQUMZDUQZURXDXTXHXDXGVJOZXFVJOZXTVJOFJKUSZXDYEYLY
        FXEUQZUMZXGXFVAVBZYJURYDXDXSYCRSYHXQDVCUOXDYBXTXHYIYPYJDVDZXDYEYBXTRSYF
        XEFJKVEUMVFVGXDXSXEXEUJQZUGPYRXNXDXRYRUGXDYEXRYRVHYFABCDEXEFGHIJKLMNVIV
        KVLXDYRXDYEYRVJOYFXEVMUMXDYETYRRSYFXEVNUMVOXDXFWAVPQZYRXNXDYEYSYRVHYFXE
        VQUMXDXFXDXFYOWBZVRVSVTXDXFUTOZXHUTOZYAXOVHZYTXDXHYJWBXGUTOUUAUUBUUCXGY
        MWCXGXFXHWDWEWFWGWHXMYLXIVJOZYLTXFWISZXJXPWMXDYLXLYOWHZXDUUDXLXDYKXHVJO
        ZUUDYMYJXGXHVAVBWHUUFXDYEXLUUEYFYEUUEXLYEYLTXFRSZUUEXLWMZYNXEVDTVJOYLUU
        HUUIWJTXFWKWEWFWNWLXFXIXFWOWPWQXDUUGTXHRSZXKYJYQYKTXGRSZUUGUUJUIXKYMUAU
        AFWRUUKYGFWSXCXGXHWTXAWFXB $.

      $( Lemma for ~ cnlnadji . ` F ` is continuous.  (Contributed by NM,
         17-Feb-2006.)  (New usage is discouraged.) $)
      cnlnadjlem8 $p |- F e. ContOp $=
        ( vz vx cfv cmul cle chba cr ccop wcel cv cno co wbr wral wrex nmcopexi
        cnop cnlnadjlem7 oveq1 breq2d ralbidv rspcev mp2an cnlnadjlem6 lnopconi
        rgen wceq mpbir ) GUAUBNUCZGPUDPZOUCZVBUDPZQUEZRUFZNSUGZOTUHZEUJPZTUBVC
        VJVEQUEZRUFZNSUGZVIEIJUIVLNSABCVBDEFGHIJKLMUKUSVHVMOVJTVDVJUTZVGVLNSVNV
        FVKVCRVDVJVEQULUMUNUOUPONGABCDEFGHIJKLMUQURVA $.

      $( Lemma for ~ cnlnadji . ` F ` provides an example showing the existence
         of a continuous linear adjoint.  (Contributed by NM, 18-Feb-2006.)
         (New usage is discouraged.) $)
      cnlnadjlem9 $p |- E. t e. ( LinOp i^i ContOp )
             A. x e. ~H A. z e. ~H ( ( T ` x ) .ih z ) = ( x .ih ( t ` z ) ) $=
        ( wcel csp chba wral clo ccop cin cfv wceq wrex cnlnadjlem6 cnlnadjlem8
        cv co elin mpbir2an cnlnadjlem5 ancoms rgen2 fveq1 oveq2d eqeq2d rspcev
        2ralbidv mp2an ) JUAUBUCZQZAUIZHUDCUIZRUJZVDVEJUDZRUJZUEZCSTASTZVFVDVEF
        UIZUDZRUJZUEZCSTASTZFVBUFVCJUAQJUBQBDEGHIJKLMNOPUGBDEGHIJKLMNOPUHJUAUBU
        KULVIACSSVESQVDSQVIBDEVEGVDHIJKLMNOPUMUNUOVOVJFJVBVKJUEZVNVIACSSVPVMVHV
        FVPVLVGVDRVEVKJUPUQURUTUSVA $.
    $}
  $}

  ${
    $d f g t v w x y z T $.
    cnlnadj.1 $e |- T e. LinOp $.
    cnlnadj.2 $e |- T e. ContOp $.
    $( Every continuous linear operator has an adjoint.  Theorem 3.10 of
       [Beran] p. 104.  (Contributed by NM, 18-Feb-2006.)
       (New usage is discouraged.) $)
    cnlnadji $p |- E. t e. ( LinOp i^i ContOp )
             A. x e. ~H A. y e. ~H ( ( T ` x ) .ih y ) = ( x .ih ( t ` y ) ) $=
      ( vz vw vv vf vg cv cfv csp co wceq chba wral cmpt eqid crio oveq2 eqeq2d
      ralbidv cbvriotavw cnlnadjlem9 ) AGBHICILZDMGLZNOZUGJLZNOZPZIQRZJQUAZDKGQ
      UNSZKQKLDMUHNOSZEFUPTUMUIUGHLZNOZPZIQRJHQUJUQPZULUSIQUTUKURUIUJUQUGNUBUCU
      DUEUOTUF $.

    $( Every continuous linear operator has a unique adjoint.  Theorem 3.10 of
       [Beran] p. 104.  (Contributed by NM, 18-Feb-2006.)
       (New usage is discouraged.) $)
    cnlnadjeui $p |- E! t e. ( LinOp i^i ContOp )
             A. x e. ~H A. y e. ~H ( ( T ` x ) .ih y ) = ( x .ih ( t ` y ) ) $=
      ( cv cfv csp co wceq chba wral clo ccop cin wf wa wmo wcel wreu wrex wrmo
      cnlnadji adjmo inss1 sseli lnopf syl simpl eqcom 2ralbii wb lnopfi adjsym
      mpan2 syl5bb biimpa jca sylan moimi df-rmo sylibr ax-mp reu5 mpbir2an ) A
      GZDHBGZIJZVGVHCGZHIJZKZBLMALMZCNOPZUAVMCVNUBVMCVNUCZABCDEFUDLLVJQZVGVHDHI
      JVGVJHVHIJKBLMALMZRZCSZVOABCDUEVSVJVNTZVMRZCSVOWAVRCVTVPVMVRVTVJNTVPVNNVJ
      NOUFUGVJUHUIVPVMRVPVQVPVMUJVPVMVQVMVKVIKZBLMALMZVPVQVLWBABLLVIVKUKULVPLLD
      QWCVQUMDEUNABVJDUOUPUQURUSUTVAVMCVNVBVCVDVMCVNVEVF $.
  $}

  ${
    $d t x y T $.
    $( Every continuous linear operator has a unique adjoint.  Theorem 3.10 of
       [Beran] p. 104.  (Contributed by NM, 19-Feb-2006.)
       (New usage is discouraged.) $)
    cnlnadjeu $p |- ( T e. ( LinOp i^i ContOp ) -> E! t e. ( LinOp i^i ContOp )
           A. x e. ~H A. y e. ~H ( ( T ` x ) .ih y ) = ( x .ih ( t ` y ) ) ) $=
      ( clo ccop cin wcel cv cfv csp wceq chba wral wreu ch0o cif fveq1 sselii
      co oveq1d eqeq1d 2ralbidv reubidv inss1 0lnop 0cnop mpbir2an elimel inss2
      elin cnlnadjeui dedth ) DEFGZHZAIZDJZBIZKTZUPURCIJKTZLZBMNAMNZCUNOUPUODPQ
      ZJZURKTZUTLZBMNAMNZCUNODPDVCLZVBVGCUNVHVAVFABMMVHUSVEUTVHUQVDURKUPDVCRUAU
      BUCUDABCVCUNEVCEFUEDPUNPUNHPEHPFHUFUGPEFUKUHUIZSUNFVCEFUJVISULUM $.

    $( Every continuous linear operator has an adjoint.  Theorem 3.10 of
       [Beran] p. 104.  (Contributed by NM, 18-Feb-2006.)
       (New usage is discouraged.) $)
    cnlnadj $p |- ( T e. ( LinOp i^i ContOp ) -> E. t e. ( LinOp i^i ContOp )
           A. x e. ~H A. y e. ~H ( ( T ` x ) .ih y ) = ( x .ih ( t ` y ) ) ) $=
      ( clo ccop cin wcel cfv csp wceq chba wral wreu wrex cnlnadjeu reurex syl
      cv co ) DEFGZHASZDIBSZJTUBUCCSIJTKBLMALMZCUANUDCUAOABCDPUDCUAQR $.
  $}

  ${
    $d t u v x y z $.
    $( Every continuous linear Hilbert space operator has an adjoint.
       (Contributed by NM, 18-Feb-2006.)  (New usage is discouraged.) $)
    cnlnssadj $p |- ( LinOp i^i ContOp ) C_ dom adjh $=
      ( vy vt vx vz vu vv clo ccop cado cv wcel wex cfv csp co wceq chba wf w3a
      wral cin cdm cop wa cnlnadj df-rex sylib inss1 sseli lnopf syl a1d wi a1i
      adantrd eqcom biimpi 2ralimi wb adjsym syl2anr syl5ib expimpd 3jcad copab
      wrex dfadj2 eleq2i vex feq1 oveq2d eqeq1d 2ralbidv 3anbi13d oveq1d eqeq2d
      fveq1 3anbi23d opelopab bitr2i syl6ib eximdv mpd eldm2 sylibr ssriv ) AGH
      UAZIUBZAJZWGKZWIBJZUCZIKZBLZWIWHKWJWKWGKZCJZWIMDJZNOZWPWQWKMNOZPZDQTCQTZU
      DZBLZWNWJXABWGVFXCCDBWIUEXABWGUFUGWJXBWMBWJXBQQWIRZQQWKRZWPWQWIMZNOZWPWKM
      ZWQNOZPZDQTCQTZSZWMWJXBXDXEXKWJXDXBWJWIGKXDWGGWIGHUHZUIWIUJUKZULWJWOXEXAW
      OXEUMWJWOWKGKXEWGGWKXMUIWKUJUKZUNUOWJWOXAXKXAWSWRPZDQTCQTZWJWOUDXKWTXPCDQ
      QWTXPWRWSUPUQURWOXEXDXQXKUSWJXOXNCDWKWIUTVAVBVCVDWMWLQQEJZRZQQFJZRZWPWQXR
      MZNOZWPXTMZWQNOZPZDQTCQTZSZEFVEZKXLIYIWLCDFEVGVHYHXDYAXGYEPZDQTCQTZSXLEFW
      IWKAVIZBVIXRWIPZXSXDYGYKYAQQXRWIVJYMYFYJCDQQYMYCXGYEYMYBXFWPNWQXRWIVQVKVL
      VMVNXTWKPZYAXEYKXKXDQQXTWKVJYNYJXJCDQQYNYEXIXGYNYDXHWQNWPXTWKVQVOVPVMVRVS
      VTWAWBWCBWIIYLWDWEWF $.
  $}

  $( Every bounded linear Hilbert space operator has an adjoint.  (Contributed
     by NM, 19-Feb-2006.)  (New usage is discouraged.) $)
  bdopssadj $p |- BndLinOp C_ dom adjh $=
    ( cbo clo ccop cin cado cdm lncnbd cnlnssadj eqsstrri ) ABCDEFGHI $.

  $( Every bounded linear Hilbert space operator has an adjoint.  (Contributed
     by NM, 22-Feb-2006.)  (New usage is discouraged.) $)
  bdopadj $p |- ( T e. BndLinOp -> T e. dom adjh ) $=
    ( cbo cado cdm bdopssadj sseli ) BCDAEF $.

  ${
    $d t w x y z T $.
    $( The adjoint of a bounded linear operator is a bounded linear operator.
       (Contributed by NM, 19-Feb-2006.)  (New usage is discouraged.) $)
    adjbdln $p |- ( T e. BndLinOp -> ( adjh ` T ) e. BndLinOp ) $=
      ( vx vy vt cbo wcel cado cfv cv csp co wceq chba wral crio syl wrex wa wf
      wreu cmap cdm bdopadj adjval clo ccop cin cnlnadj lncnopbd lncnbd 3imtr3i
      rexeqi wb bdopf adjsym syl2an eqcom 2ralbii bitr4di rexbidva mpbird adjeu
      mpbid wss wi ax-hilex elmap sylibr ssriv id rgenw riotass2 mpanl12 eqtr4d
      syl2anc a1i reuss syl3anc riotacl eqeltrd ) AEFZAGHZBIZCIZAHJKWCDIZHWDJKL
      CMNBMNZDEOZEWAWBWFDMMUAKZOZWGWAAGUBFZWBWILAUCZBCDAUDPWAWFDEQZWFDWHTZWGWIL
      ZWAWLWCAHWDJKZWCWDWEHJKZLZCMNBMNZDEQZAUEUFUGZFWRDWTQWAWSBCDAUHAUIWRDWTEUJ
      ULUKWAWFWRDEWAWEEFZRWFWPWOLZCMNBMNZWRWAMMASZMMWESZWFXCUMXAAUNZWEUNZBCAWEU
      OUPWQXBBCMMWOWPUQURUSUTVAZWAWJWMWKWAXDWJWMUMXFBCDAVBPVCZEWHVDZWFWFVEZDENW
      LWMRWNDEWHXAXEWEWHFXGMMWEVFVFVGVHVIZXKDEWFVJVKWFWFDEWHVLVMVOVNWAWFDETZWGE
      FWAXJWLWMXMXJWAXLVPXHXIWFDEWHVQVRWFDEVSPVT $.

    $( An operator is bounded and linear iff its adjoint is.  (Contributed by
       NM, 19-Feb-2006.)  (New usage is discouraged.) $)
    adjbdlnb $p |- ( T e. BndLinOp <-> ( adjh ` T ) e. BndLinOp ) $=
      ( cbo wcel cado cfv adjbdln bdopadj dmadjrnb sylibr wa ccnv cnvadj fveq1i
      cdm wf1o wceq adj1o simpl f1ocnvfv1 sylancr eqtr3id adantl mpancom impbii
      eqeltrrd ) ABCZADEZBCZAFADNZCZUHUFUHUGUICUJUGGAHIUJUHJZUGDEZABUKULUGDKZEZ
      AUGUMDLMUKUIUIDOUJUNAPQUJUHRUIUIADSTUAUHULBCUJUGFUBUEUCUD $.

    $( The mapping of adjoints of bounded linear operators is one-to-one onto.
       (Contributed by NM, 19-Feb-2006.)  (New usage is discouraged.) $)
    adjbd1o $p |- ( adjh |` BndLinOp ) : BndLinOp -1-1-onto-> BndLinOp $=
      ( vy vx cbo cado cima cres wf1o cdm wf1 adj1o f1of1 ax-mp wceq wb cv wcel
      wss wrex cfv bdopadj bdopssadj f1ores mp2an wbr vex elima fnbrfvb sylancr
      wfn f1ofn rexbiia adjbdlnb syl5bb biimpcd rexlimiv adjbdln adjadj fveqeq2
      eleq1 syl rspcev syl2anc impbii 3bitr2i eqriv f1oeq3 mpbi ) CDCEZDCFZGZCC
      VIGZDHZVLDIZCVLQVJVLVLDGZVMJVLVLDKLUAVLVLCDUBUCVHCMVJVKNAVHCAOZVHPBOZVODU
      DZBCRVPDSZVOMZBCRZVOCPZBVODCAUEUFVSVQBCVPCPZDVLUIZVPVLPVSVQNVNWCJVLVLDUJL
      VPTVLVPVODUGUHUKVTWAVSWABCVSWBWAWBVRCPVSWAVPULVRVOCUSUMUNUOWAVODSZCPWDDSV
      OMZVTVOUPWAVOVLPWEVOTVOUQUTVSWEBWDCVPWDVODURVAVBVCVDVEVHCCVIVFLVG $.

    $( The adjoint of an operator is linear.  Proposition 1 of
       [AkhiezerGlazman] p. 80.  (Contributed by NM, 17-Jun-2006.)
       (New usage is discouraged.) $)
    adjlnop $p |- ( T e. dom adjh -> ( adjh ` T ) e. LinOp ) $=
      ( vx vy vz vw wcel chba cfv cv co wceq wral cc wa csp caddc adjcl 3adant2
      syl3anc cmul cado cdm wf csm cva clo dmadjrn dmadjop syl w3a simp2 sylan2
      hvmulcl an12s adantrr adantrl his7 adj2 3adant3l oveq2d ffvelrnda 3adant3
      simp3l simp3r his5 3eqtr4d 3adant3r oveq12d adantr 3ad2ant3 hvaddcl sylan
      syl3an3 eqtr3d 3eqtr2rd 3com23 3expa ralrimiva wb syl2an anandis hial2eq2
      ccj syl2anc mpbid exp32 ralrimdv ralrimivv ellnop sylanbrc ) AUAUBZFZGGAU
      AHZUCZBIZCIZUDJZDIZUEJZWMHZWOWPWMHZUDJZWRWMHZUEJZKZDGLZCGLBMLWMUFFWLWMWKF
      WNAUGWMUHUIWLXFBCMGWLWOMFZWPGFZNZXEDGWLXIWRGFZXEWLXIXJNZNZEIZWTOJZXMXDOJZ
      KZEGLZXEXLXPEGWLXKXMGFZXPWLXRXKXPWLXRXKUJZXOXMXBOJZXMXCOJZPJZXMAHZWQOJZYC
      WROJZPJZXNXSXRXBGFZXCGFZXOYBKWLXRXKUKWLXKYGXRWLXIYGXJXGWLXHYGWLXHNXGXAGFZ
      YGWPAQZWOXAUMULUNZUORWLXKYHXRWLXJYHXIWRAQZUPRXMXBXCUQSXSYDXTYEYAPWLXRXIYD
      XTKXJWLXRXIUJZWOWCHZYCWPOJZTJZYNXMXAOJZTJZYDXTYMYOYQYNTWLXRXHYOYQKXGXMWPA
      URUSUTYMXGYCGFZXHYDYPKWLXRXGXHVCZWLXRYSXIWLGGXMAAUHVAZVBWLXRXGXHVDWOYCWPV
      ESYMXGXRYIXTYRKYTWLXRXIUKWLXIYIXRWLXHYIXGYJUPRWOXMXAVESVFVGWLXRXJYEYAKXIX
      MWRAURUSVHXSYCWSOJZYFXNXSYSWQGFZXJUUBYFKWLXRYSXKUUAVBXKWLUUCXRXIUUCXJWOWP
      UMZVIVJWLXRXIXJVDYCWQWRUQSXKWLXRWSGFZUUBXNKXIUUCXJUUEUUDWQWRVKVLZXMWSAURV
      MVNVOVPVQVRXLWTGFZXDGFZXQXEVSXKWLUUEUUGUUFWSAQULWLXIXJUUHWLXINYGYHUUHWLXJ
      NYKYLXBXCVKVTWAEWTXDWBWDWEWFWGWHBCDWMWIWJ $.

    $( Every operator with an adjoint is linear.  (Contributed by NM,
       17-Jun-2006.)  (New usage is discouraged.) $)
    adjsslnop $p |- dom adjh C_ LinOp $=
      ( vt cado cdm clo cv wcel cfv adjadj dmadjrn adjlnop syl eqeltrrd ssriv )
      ABCZDAEZNFZOBGZBGZODOHPQNFRDFOIQJKLM $.
  $}

  ${
    $d f g v w z A $.  $d f g v w y z T $.
    nmopadjle.1 $e |- T e. BndLinOp $.
    $( Property of the norm of an adjoint.  Part of proof of Theorem 3.10 of
       [Beran] p. 104.  (Contributed by NM, 22-Feb-2006.)
       (New usage is discouraged.) $)
    nmopadjlei $p |- ( A e. ~H -> ( normh ` ( ( adjh ` T ) ` A ) ) <_
                        ( ( normop ` T ) x. ( normh ` A ) ) ) $=
      ( vz vv vf vw vg chba wcel cfv cno cv csp co wceq wral sselii clo ccop
      cado crio cmpt cnop cmul cle cdm bdopssadj adjvalval oveq2 eqeq1d ralbidv
      cbo mpan riotabidv eqid riotaex fvmpt eqtr4d fveq2d inss1 lncnbd eleqtrri
      cin inss2 eqeq2d cbvriotavw cnlnadjlem7 eqbrtrd ) AIJZABUAKKZLKADIEMZBKZD
      MZNOZVLFMZNOZPZEIQZFIUBZUCZKZLKBUDKALKUEOUFVJVKWBLVJVKVMANOZVQPZEIQZFIUBZ
      WBBUAUGZJVJVKWFPUMWGBUHCREFABUIUNDAVTWFIWAVNAPZVSWEFIWHVRWDEIWHVOWCVQVNAV
      MNUJUKULUOWAUPZWEFIUQURUSUTDGEAVTBHWAHIHMBKVNNOUCZSTVDZSBSTVABUMWKCVBVCZR
      WKTBSTVEWLRWJUPVSVOVLGMZNOZPZEIQFGIVPWMPZVRWOEIWPVQWNVOVPWMVLNUJVFULVGWIV
      HVI $.

    $( Lemma for ~ nmopadji .  (Contributed by NM, 22-Feb-2006.)
       (New usage is discouraged.) $)
    nmopadjlem $p |- ( normop ` ( adjh ` T ) ) <_ ( normop ` T ) $=
      ( vy cfv cnop cle wbr cno c1 chba wf wcel bdopf mp2b wa cmul co cr adantr
      cbo cado cv wi wral wb adjbdln nmopxr nmopub mp2an ffvelrni normcl nmopre
      cxr syl ax-mp remulcl sylancr 1re remulcli a1i nmopadjlei nmopge0 lemul2a
      cc0 pm3.2i mp3anl3 mpanl2 sylan letrd recni mulid1i breqtrdi ex mprgbir )
      AUADZEDAEDZFGZCUBZHDZIFGZVRVODZHDZVPFGZUCZCJJJVOKZVPUMLZVQWDCJUDUEATLZVOT
      LWEBAUFVOMNZWGJJAKZWFBAMZAUGNCVPVOUHUIVRJLZVTWCWKVTOZWBVPIPQZVPFWLWBVPVSP
      QZWMWKWBRLZVTWKWAJLWOJJVRVOWHUJWAUKUNSWKWNRLZVTWKVPRLZVSRLZWPWGWQBAULUOZV
      RUKZVPVSUPUQSWMRLWLVPIWSURUSUTWKWBWNFGVTVRABVASWKWRVTWNWMFGZWTWRIRLZVTXAU
      RWRXBWQVDVPFGZOVTXAWQXCWSWGWIXCBWJAVBNVEVSIVPVCVFVGVHVIVPVPWSVJVKVLVMVN
      $.

    $( Property of the norm of an adjoint.  Theorem 3.11(v) of [Beran] p. 106.
       (Contributed by NM, 22-Feb-2006.)  (New usage is discouraged.) $)
    nmopadji $p |- ( normop ` ( adjh ` T ) ) = ( normop ` T ) $=
      ( cado cfv cnop wceq cle wbr nmopadjlem cdm wcel cbo bdopadj ax-mp adjadj
      fveq2i adjbdln eqbrtrri cr nmopre letri3i mpbir2an ) ACDZEDZAEDZFUDUEGHUE
      UDGHABIUCCDZEDUEUDGUFAEACJKZUFAFALKZUGBAMNAONPUCUHUCLKZBAQNZIRUDUEUIUDSKU
      JUCTNUHUESKBATNUAUB $.
  $}

  $( An operator is zero iff its adjoint is zero.  Theorem 3.11(i) of [Beran]
     p. 106.  (Contributed by NM, 20-Feb-2006.)  (New usage is discouraged.) $)
  adjeq0 $p |- ( T = 0hop <-> ( adjh ` T ) = 0hop ) $=
    ( ch0o wceq cado cfv fveq2 adj0 eqtrdi cdm cbo bdopssadj 0bdop sselii eleq1
    wcel mpbiri dmadjrnb sylibr adjadj syl a1i 3eqtr3d impbii ) ABCZADEZBCZUDUE
    BDEZBABDFGHUFUEDEZUGABUEBDFUFADIZOZUHACUFUEUIOZUJUFUKBUIOJUIBKLMUEBUINPAQRA
    STUGBCUFGUAUBUC $.

  ${
    $d x y A $.  $d x y T $.
    $( The adjoint of the scalar product of an operator.  Theorem 3.11(ii) of
       [Beran] p. 106.  (Contributed by NM, 21-Feb-2006.)
       (New usage is discouraged.) $)
    adjmul $p |- ( ( A e. CC /\ T e. dom adjh ) ->
                 ( adjh ` ( A .op T ) ) = ( ( * ` A ) .op ( adjh ` T ) ) ) $=
      ( vx vy cc wcel cado wa chba chot co wf cfv csp wceq wral dmadjop homulcl
      cv cmul cdm ccj sylan2 cjcl dmadjrn syl syl2an csm adj2 adantll oveq2d wi
      3expb ffvelrnda ax-his3 syl3an2 3exp expd imp43 simpll simprl adjcl his52
      ad2ant2l syl3anc 3eqtr4d homval 3expa adantrr oveq1d id syl3an ralrimivva
      adantrl adjeq ) AEFZBGUAZFZHZIIABJKZLZIIAUBMZBGMZJKZLZCSZVTMZDSZNKZWFWHWD
      MZNKZOZDIPCIPVTGMWDOVRVPIIBLZWABQZABRUCVPWBEFZIIWCLZWEVRAUDZVRWCVQFWPBUEW
      CQUFZWBWCRUGVSWLCDIIVSWFIFZWHIFZHZHZAWFBMZUHKZWHNKZWFWBWHWCMZUHKZNKZWIWKX
      BAXCWHNKZTKZAWFXFNKZTKZXEXHXBXIXKATVRXAXIXKOZVPVRWSWTXMWFWHBUIUMUJUKVPVRW
      SWTXEXJOZVPVRWSWTXNULVPVRWSHZWTXNXOVPXCIFWTXNVRIIWFBWNUNAXCWHUOUPUQURUSXB
      VPWSXFIFZXHXLOVPVRXAUTVSWSWTVAVRWTXPVPWSWHBVBVDAWFXFVCVEVFXBWGXDWHNVSWSWG
      XDOZWTVPVRWSXQVRVPWMWSXQWNAWFBVGUPVHVIVJXBWJXGWFNVSWTWJXGOZWSVPVRWTXRVPWO
      VRWPWTWTXRWQWRWTVKWBWHWCVGVLVHVNUKVFVMCDWDVTVOVE $.
  $}

  ${
    $d x y S $.  $d x y T $.
    $( The adjoint of the sum of two operators.  Theorem 3.11(iii) of [Beran]
       p. 106.  (Contributed by NM, 22-Feb-2006.)
       (New usage is discouraged.) $)
    adjadd $p |- ( ( S e. dom adjh /\ T e. dom adjh ) ->
                ( adjh ` ( S +op T ) ) = ( ( adjh ` S ) +op ( adjh ` T ) ) ) $=
      ( vx vy cado wcel wa chba chos co wf cfv cv csp wceq wral dmadjop hoaddcl
      caddc syl3anc cdm syl2an dmadjrn syl adj2 3expb adantlr adantll ffvelrnda
      oveq12d ad2ant2r ad2ant2lr simprr ax-his2 simprl adjcl ad2ant2rl ad2ant2l
      cva 3eqtr4rd anim12i hosval 3expa sylan adantrl oveq2d adantrr ralrimivva
      his7 oveq1d adjeq ) AEUAZFZBVLFZGZHHABIJZKZHHAELZBELZIJZKZCMZVPLZDMZNJZWB
      WDVTLZNJZOZDHPCHPVPELVTOVMHHAKZHHBKZVQVNAQZBQZABRUBVMHHVRKZHHVSKZWAVNVMVR
      VLFWMAUCVRQUDZVNVSVLFWNBUCVSQUDZVRVSRUBVOWHCDHHVOWBHFZWDHFZGZGZWBWDVRLZWD
      VSLZUSJZNJZWBALZWBBLZUSJZWDNJZWGWEWTXEWDNJZXFWDNJZSJZWBXANJZWBXBNJZSJZXHX
      DWTXIXLXJXMSVMWSXIXLOZVNVMWQWRXOWBWDAUEUFUGVNWSXJXMOZVMVNWQWRXPWBWDBUEUFU
      HUJWTXEHFZXFHFZWRXHXKOVMWQXQVNWRVMHHWBAWKUIUKVNWQXRVMWRVNHHWBBWLUIULVOWQW
      RUMXEXFWDUNTWTWQXAHFZXBHFZXDXNOVOWQWRUOVMWRXSVNWQWDAUPUQVNWRXTVMWQWDBUPUR
      WBXAXBVITUTWTWFXCWBNVOWRWFXCOZWQVOWMWNGWRYAVMWMVNWNWOWPVAWMWNWRYAWDVRVSVB
      VCVDVEVFWTWCXGWDNVOWQWCXGOZWRVOWIWJGWQYBVMWIVNWJWKWLVAWIWJWQYBWBABVBVCVDV
      GVJUTVHCDVTVPVKT $.
  $}

  ${
    $d x y S $.  $d x y T $.
    nmoptri.1 $e |- S e. BndLinOp $.
    nmoptri.2 $e |- T e. BndLinOp $.
    $( Triangle inequality for the norms of bounded linear operators.
       (Contributed by NM, 10-Mar-2006.)  (New usage is discouraged.) $)
    nmoptrii $p |- ( normop ` ( S +op T ) ) <_
                  ( ( normop ` S ) + ( normop ` T ) ) $=
      ( vx co cnop cfv cle wbr cno chba wf wcel ax-mp cr wa normcl syl adantr
      chos caddc cv c1 wi cxr wral wb cbo bdopf hoaddcli nmopre readdcli nmopub
      rexri hoscli ffvelrni readdcld a1i cva wceq hosval mp3an12 fveq2d norm-ii
      mp2an syl2anc eqbrtrd nmoplb mp3an1 le2add mpanr12 mp2and letrd mprgbir
      ex ) ABUAFZGHAGHZBGHZUBFZIJZEUCZKHUDIJZWBVQHZKHZVTIJZUEZELLLVQMVTUFNWAWGE
      LUGUHABAUINZLLAMZCAUJOZBUINZLLBMZDBUJOZUKVTVRVSWHVRPNZCAULOZWKVSPNZDBULOZ
      UMZUOEVTVQUNVFWBLNZWCWFWSWCQZWEWBAHZKHZWBBHZKHZUBFZVTWSWEPNZWCWSWDLNXFWBA
      BWJWMUPWDRSTWSXEPNWCWSXBXDWSXALNZXBPNZLLWBAWJUQZXARSZWSXCLNZXDPNZLLWBBWMU
      QZXCRSZURTVTPNWTWRUSWSWEXEIJWCWSWEXAXCUTFZKHZXEIWSWDXOKWIWLWSWDXOVAWJWMWB
      ABVBVCVDWSXGXKXPXEIJXIXMXAXCVEVGVHTWTXBVRIJZXDVSIJZXEVTIJZWIWSWCXQWJWBAVI
      VJWLWSWCXRWMWBBVIVJWSXQXRQXSUEZWCWSXHXLXTXJXNXHXLQWNWPXTWOWQXBXDVRVSVKVLV
      GTVMVNVPVO $.

    $( Upper bound for the norm of the composition of two bounded linear
       operators.  (Contributed by NM, 10-Mar-2006.)
       (New usage is discouraged.) $)
    nmopcoi $p |- ( normop ` ( S o. T ) ) <_
                   ( ( normop ` S ) x. ( normop ` T ) ) $=
      ( cfv cmul co cle wbr cno c1 chba wcel ax-mp cr cc0 wceq adantrr eqtr4d
      wa vx ccom cnop cv wi wf cxr wral wb cbo clo bdopln lnopcoi lnopfi nmopre
      remulcli rexri nmopub mp2an 0le0 a1i lnopco0i nmlnop0iHIL sylib fveq1 c0v
      ch0o fveq2d ho0val norm0 eqtrdi sylan9eq sylan oveq2 recni mul01i 3brtr4d
      adantr wn wne df-ne cdiv csm cabs cc ffvelrni normcl recnd divrec2 mp3an2
      syl ancoms rerecclzi clt bdopf nmopgt0 recgt0i sylbi 0re ltle mpan absidd
      sylc oveq1d recclzi norm-iii syl2an lnopmuli oveq2d adantl hvmulcl nmoplb
      hocoi mp3an1 mulid2i breqtrrdi biimpi ledivmul2 syl112anc eqbrtrd syl2anc
      1red mpbird ad2antrl jctil syl3anc mpbid sylanbr pm2.61ian ex mprgbir ) A
      BUBZUCEZAUCEZBUCEZFGZHIZUAUDZJEKHIZYRYLEZJEZYPHIZUEZUALLLYLUFYPUGMYQUUCUA
      LUHUIYLABAUJMZAUKMCAULNZBUJMZBUKMDBULNZUMZUNZYPYNYOUUDYNOMZCAUONZUUFYOOMZ
      DBUONZUPUQUAYPYLURUSYRLMZYSUUBYOPQZUUNYSTZUUBUUOUUNUUBYSUUOUUNTZPPUUAYPHP
      PHIUUQUTVAUUOYLVGQZUUNUUAPQUUOYMPQUURABUUEUUGVBYLUUHVCVDUURUUNUUAYRVGEZJE
      ZPUURYTUUSJYRYLVGVEVHUUNUUTVFJEPUUNUUSVFJYRVIVHVJVKVLVMUUOYPPQUUNUUOYPYNP
      FGPYOPYNFVNYNYNUUKVOVPVKVRVQRUUOVSYOPVTZUUPUUBYOPWAUVAUUPTZUUAYOWBGZYNHIZ
      UUBUVBUVCKYOWBGZYRBEZWCGZAEZJEZYNHUVAUUNUVCUVIQYSUVAUUNTZUVCUVEYTWCGZJEZU
      VIUVJUVCUVEWDEZUUAFGZUVLUVJUVCUVEUUAFGZUVNUUNUVAUVCUVOQZUUNUUAWEMZUVAUVPU
      UNUUAUUNYTLMZUUAOMZLLYRYLUUIWFZYTWGWKZWHUVQYOWEMZUVAUVPYOUUMVOZUUAYOWIWJV
      MWLUVJUVMUVEUUAFUVAUVMUVEQUUNUVAUVEYOUUMWMZUVAUVEOMZPUVEWNIZPUVEHIZUWDUVA
      PYOWNIZUWFLLBUFZUVAUWHUIUUFUWIDBWONZBWPNZYOUUMWQWRPOMUWEUWFUWGUEWSPUVEWTX
      AXCXBVRZXDSUVAUVEWEMZUVRUVLUVNQUUNYOUWCXEZUVTUVEYTXFXGSUVJUVHUVKJUVJUVHUV
      EUVFAEZWCGZUVKUVAUWMUVFLMZUVHUWPQUUNUWNLLYRBUWJWFZUVEUVFAUUEXHXGUUNUVKUWP
      QUVAUUNYTUWOUVEWCYRABUUDLLAUFZCAWONZUWJXMXIXJSVHSRUVBUVGLMZUVGJEZKHIZUVIY
      NHIZUVAUUNUXAYSUVAUWMUWQUXAUUNUWNUWRUVEUVFXKXGRUVBUXBUVFJEZYOWBGZKHUVAUUN
      UXBUXFQYSUVJUXBUVMUXEFGZUXFUVAUWMUWQUXBUXGQUUNUWNUWRUVEUVFXFXGUVJUXFUVEUX
      EFGZUXGUUNUVAUXFUXHQZUUNUXEWEMZUVAUXIUUNUXEUUNUWQUXEOMZUWRUVFWGWKZWHUXJUW
      BUVAUXIUWCUXEYOWIWJVMWLUVJUVMUVEUXEFUWLXDSSRUVBUXFKHIZUXEKYOFGZHIZUUPUXOU
      VAUUPUXEYOUXNHUWIUUNYSUXEYOHIUWJYRBXLXNYOUWCXOXPXJUVAUUNUXMUXOUIZYSUUNUVA
      UXPUUNUVATZUXKKOMUULUWHUXPUUNUXKUVAUXLVRUXQYBUULUXQUUMVAUVAUWHUUNUVAUWHUW
      KXQZXJUXEKYOXRXSWLRYCXTUWSUXAUXCUXDUWTUVGAXLXNYAXTUVBUVSUUJUULUWHTUVDUUBU
      IUUNUVSUVAYSUWAYDUUJUVBUUKVAUVBUWHUULUVAUWHUUPUXRVRUUMYEUUAYNYOXRYFYGYHYI
      YJYK $.

    $( The sum of two bounded linear operators is a bounded linear operator.
       (Contributed by NM, 9-Mar-2006.)  (New usage is discouraged.) $)
    bdophsi $p |- ( S +op T ) e. BndLinOp $=
      ( chos co cbo wcel clo cnop cfv cr bdopln ax-mp lnophsi wbr chba wf bdopf
      nmopre cxr caddc cmnf clt cle hoaddcli nmopxr readdcli nmopgtmnf nmoptrii
      xrre mp4an elbdop2 mpbir2an ) ABEFZGHUOIHUOJKZLHZABAGHZAIHCAMNBGHZBIHDBMN
      OUPUAHZAJKZBJKZUBFZLHUCUPUDPZUPVCUEPUQQQUORZUTABURQQARCASNUSQQBRDBSNUFZUO
      UGNVAVBURVALHCATNUSVBLHDBTNUHVEVDVFUOUINABCDUJUPVCUKULUOUMUN $.

    $( The difference between two bounded linear operators is bounded.
       (Contributed by NM, 10-Mar-2006.)  (New usage is discouraged.) $)
    bdophdi $p |- ( S -op T ) e. BndLinOp $=
      ( c1 cneg chot co chos chod cbo wcel chba wf bdopf ax-mp honegsubi neg1cn
      cc bdophmi bdophsi eqeltrri ) AEFZBGHZIHABJHKABAKLMMANCAOPBKLMMBNDBOPQAUD
      CUCSLUDKLRUCBDTPUAUB $.

    $( The composition of two bounded linear operators is bounded.
       (Contributed by NM, 9-Mar-2006.)  (New usage is discouraged.) $)
    bdopcoi $p |- ( S o. T ) e. BndLinOp $=
      ( ccom cbo wcel clo cnop cfv cr bdopln ax-mp lnopcoi cxr cmul chba lnopfi
      wbr nmopre co cmnf clt cle hocofi nmopxr remulcli nmopgtmnf nmopcoi mp4an
      wf xrre elbdop2 mpbir2an ) ABEZFGUOHGUOIJZKGZABAFGZAHGCALMZBFGZBHGDBLMZNU
      POGZAIJZBIJZPUAZKGUBUPUCSZUPVEUDSUQQQUOUKZVBABAUSRBVARUEZUOUFMVCVDURVCKGC
      ATMUTVDKGDBTMUGVGVFVHUOUHMABCDUIUPVEULUJUOUMUN $.

    $( Triangle-type inequality for the norms of bounded linear operators.
       (Contributed by NM, 10-Mar-2006.)  (New usage is discouraged.) $)
    nmoptri2i $p |- ( ( normop ` S ) - ( normop ` T ) ) <_
                  ( normop ` ( S +op T ) ) $=
      ( cnop cfv cmin co chos cle wbr caddc wcel cbo ax-mp chba wf bdopf nmopre
      cr c1 cneg chot bdophsi cc neg1cn bdophmi nmoptrii chod hoaddcli hopncani
      honegsubi eqtri fveq2i nmopnegi oveq2i 3brtr3i lesubaddi mpbir ) AEFZBEFZ
      GHABIHZEFZJKUTVCVALHZJKVBUAUBZBUCHZIHZEFVCVFEFZLHUTVDJVBVFABCDUDZVEUEMVFN
      MUFVEBDUGOUHVGAEVGVBBUIHAVBBABANMZPPAQCAROZBNMZPPBQDBROZUJVMULABVKVMUKUMU
      NVHVAVCLBVMUOUPUQUTVAVCVJUTTMCASOVLVATMDBSOVBNMVCTMVIVBSOURUS $.

    $( The adjoint of a composition of bounded linear operators.  Theorem
       3.11(viii) of [Beran] p. 106.  (Contributed by NM, 10-Mar-2006.)
       (New usage is discouraged.) $)
    adjcoi $p |- ( adjh ` ( S o. T ) ) = ( ( adjh ` T ) o. ( adjh ` S ) ) $=
      ( vx vy cado cfv csp co wceq chba wcel cbo wf adjbdln bdopf ax-mp bdopadj
      mp2b cv ccom wral wa oveq2d adantl oveq1d adantr ffvelrni cdm adj2 mp3an1
      hocoi sylan sylan2 3eqtrd bdopcoi 3eqtr2rd rgen2 hocofi hoeq2 mp2an mpbi
      wb ) EUAZFUAZABUBZGHZHIJZVEVFBGHZAGHZUBZHZIJZKZFLUCELUCZVHVLKZVOEFLLVELMZ
      VFLMZUDZVNVEVFVKHZVJHZIJZVEVGHZVFIJZVIVSVNWCKVRVSVMWBVEIVFVJVKBNMZVJNMLLV
      JODBPVJQTZANMZVKNMLLVKOCAPVKQTZUMUEUFVTWEVEBHZAHZVFIJZWJWAIJZWCVRWEWLKVSV
      RWDWKVFIVEABWHLLAOCAQRWFLLBODBQRZUMUGUHVRWJLMZVSWLWMKZLLVEBWNUIAGUJZMZWOV
      SWPWHWRCASRWJVFAUKULUNVSVRWALMZWMWCKZLLVFVKWIUIBWQMZVRWSWTWFXADBSRVEWABUK
      ULUOUPVGWQMZVRVSWEVIKVGNMZXBABCDUQZVGSRVEVFVGUKULURUSLLVHOZLLVLOVPVQVDXCV
      HNMXEXDVGPVHQTVJVKWGWIUTEFVHVLVAVBVC $.
  $}

  ${
    $d x T $.
    nmopcoadj.1 $e |- T e. BndLinOp $.
    $( The norm of an operator composed with its adjoint.  Part of Theorem
       3.11(vi) of [Beran] p. 106.  (Contributed by NM, 8-Mar-2006.)
       (New usage is discouraged.) $)
    nmopcoadji $p |- ( normop ` ( ( adjh ` T ) o. T ) )
                    = ( ( normop ` T ) ^ 2 ) $=
      ( vx cfv co wceq cle wbr cno c1 chba wcel ax-mp cr wa cmul adantr syl cc0
      mp2b cado ccom cnop c2 cexp cv wi wf cxr wral wb cbo adjbdlnb mpbi hocofi
      bdopf nmopre resqcli rexr nmopub mp2an hocoi fveq2d ffvelrni 3syl remulcl
      normcl sylancr remulcli a1i nmbdoplbi nmopge0 pm3.2i lemul2a mpanl2 sylan
      1re mp3anl3 recni mulid1i breqtrdi letrd syl21anc eqbrtrd nmopadji oveq1i
      sqvali eqtr4i ex mprgbir csqrt bdopcoi sqrtcli csp cabs cc mpancom abscld
      hicl remulcld bcs hococli normge0 jca simpr mp3anl2 recnd mulid1d breqtrd
      eqtr4d resqcl sqge0 absidd normsq cdm bdopadj mp3an1 adjadj fveq1i oveq2i
      adj2 eqtr2di eqtrd eqtr3d sqsqrti 3brtr4d sqrtge0i mpanr12 syl2anc mpbird
      le2sq le2sqi breqtri letri3i mpbir2an ) AUADZAUBZUCDZAUCDZUDUEEZFYRYTGHZY
      TYRGHUUACUFZIDZJGHZUUBYQDZIDZYTGHZUGZCKKKYQUHZYTUILZUUAUUHCKUJUKYPAYPULLZ
      KKYPUHZAULLZUUKBAUMUNZYPUPZMZUUMKKAUHZBAUPZMZUOZYTNLUUJYSUUMYSNLZBAUQMZUR
      ZYTUSMCYTYQUTVAUUBKLZUUDUUGUVDUUDOZUUFYPUCDZYSPEZYTGUVEUUFUUBADZYPDZIDZUV
      GGUVDUUFUVJFUUDUVDUUEUVIIUUBYPAUUPUUSVBVCZQUVEUVJUVFUVHIDZPEZUVGUVDUVJNLZ
      UUDUVDUVHKLZUVIKLZUVNKKUUBAUUSVDZKKUVHYPUUPVDZUVIVGVEZQUVDUVMNLZUUDUVDUVF
      NLZUVLNLZUVTUUKUWAUUNYPUQMZUVDUVOUWBUVQUVHVGZRZUVFUVLVFVHQUVGNLUVEUVFYSUW
      CUVBVIVJUVDUVJUVMGHZUUDUVDUVOUWFUVQUVHYPUUNVKRQUVEUWBUVAUVLYSGHZUVMUVGGHZ
      UVDUWBUUDUWEQZUVAUVEUVBVJZUVEUVLYSUUCPEZYSUWIUVDUWKNLZUUDUVDUVAUUCNLZUWLU
      VBUUBVGZYSUUCVFVHQUWJUVDUVLUWKGHUUDUUBABVKQUVEUWKYSJPEZYSGUVDUWMUUDUWKUWO
      GHZUWNUWMJNLZUUDUWPVQUWMUWQUVASYSGHZOUUDUWPUVAUWRUVBUUMUUQUWRBUURAVLTZVMU
      UCJYSVNVRVOVPYSYSUVBVSZVTWAWBUWBUVAUWASUVFGHZOUWGUWHUWAUXAUWCUUKUULUXAUUN
      UUOYPVLTVMUVLYSUVFVNVRWCWBWDUVGYSYSPEYTUVFYSYSPABWEWFYSUWTWGWHWAWIWJYTYRW
      KDZUDUEEZYRGYSUXBGHZYTUXCGHZUXDUUDUVLUXBGHZUGZCKUUQUXBUILZUXDUXGCKUJUKUUS
      SYRGHZUXBNLZUXHUUIUXIUUTYQVLZMZYRYQULLYRNLZYPAUUNBWLZYQUQMZWMZUXBUSTCUXBA
      UTVAUVDUUDUXFUVEUXFUVLUDUEEZUXCGHZUVEUVIUUBWNEZWODZYRUXQUXCGUVEUXTUVJUUCP
      EZYRUVDUXTNLUUDUVDUXSUVPUVDUXSWPLUVDUVOUVPUVQUVRRZUVIUUBWSWQWRQUVDUYANLUU
      DUVDUVJUUCUVSUWNWTQZUXMUVEUXOVJZUVDUXTUYAGHZUUDUVPUVDUYEUYBUVIUUBXAWQQUVE
      UYAUUFYRUYCUVDUUFNLZUUDUVDUUEKLUYFUUBYPAUUPUUSXBUUEVGRQZUYDUVEUYAUVJJPEZU
      UFGUVEUWMUVNSUVJGHZOZUUDUYAUYHGHZUVDUWMUUDUWNQUVDUYJUUDUVDUVNUYIUVSUVDUVO
      UVPUYIUVQUVRUVIXCVEXDQUVDUUDXEUWMUWQUYJUUDUYKVQUUCJUVJVNXFWCUVDUYHUUFFUUD
      UVDUYHUVJUUFUVDUVJUVDUVJUVSXGXHUVKXJQXIUVEUUFYRUUCPEZYRUYGUVDUYLNLZUUDUVD
      UXMUWMUYMUXOUWNYRUUCVFVHQUYDUVDUUFUYLGHUUDUUBYQUXNVKQUVEUYLYRJPEZYRGUVDUW
      MUUDUYLUYNGHZUWNUWMUWQUUDUYOVQUWMUWQUXMUXIOUUDUYOUXMUXIUXOUXLVMUUCJYRVNVR
      VOVPYRYRUXOVSVTWAWBWBWBUVDUXQUXTFUUDUVDUXQWODZUXQUXTUVDUVOUWBUYPUXQFUVQUW
      DUWBUXQUVLXKUVLXLXMVEUVDUXQUXSWOUVDUXQUVHUVHWNEZUXSUVDUVOUXQUYQFUVQUVHXNR
      UVDUXSUVHUUBYPUADZDZWNEZUYQUVOUVDUXSUYTFZUVQYPUAXOZLZUVOUVDVUAUUKVUCUUNYP
      XPMUVHUUBYPYAXQWQUYSUVHUVHWNUUBUYRAUUMAVUBLUYRAFBAXPAXRTXSXTYBYCVCYDQUXCY
      RFZUVEUUIUXIVUDUUTUXKYRUXOYETZVJYFUVDUXFUXRUKZUUDUVDUWBSUVLGHZVUFUWEUVDUV
      OVUGUVQUVHXCRUWBVUGOUXJSUXBGHZVUFUUIUXIUXJUUTUXKUXPTZUUIUXIVUHUUTUXKYRUXO
      YGTZUVLUXBYKYHYIQYJWIWJUWRVUHUXDUXEUKUWSVUJYSUXBUVBVUIYLVAUNVUEYMYRYTUXOU
      VCYNYO $.

    $( The norm of an operator composed with its adjoint.  Part of Theorem
       3.11(vi) of [Beran] p. 106.  (Contributed by NM, 10-Mar-2006.)
       (New usage is discouraged.) $)
    nmopcoadj2i $p |- ( normop ` ( T o. ( adjh ` T ) ) )
                    = ( ( normop ` T ) ^ 2 ) $=
      ( cado cfv ccom cnop c2 cexp co cbo wcel adjbdln ax-mp nmopcoadji bdopadj
      cdm wceq adjadj coeq1i fveq2i nmopadji oveq1i 3eqtr3i ) ACDZCDZUDEZFDUDFD
      ZGHIAUDEZFDAFDZGHIUDAJKZUDJKBALMNUFUHFUEAUDACPKZUEAQUJUKBAOMARMSTUGUIGHAB
      UAUBUC $.

    $( An operator composed with its adjoint is zero iff the operator is zero.
       Theorem 3.11(vii) of [Beran] p. 106.  (Contributed by NM, 10-Mar-2006.)
       (New usage is discouraged.) $)
    nmopcoadj0i $p |- ( ( T o. ( adjh ` T ) ) = 0hop <-> T = 0hop ) $=
      ( cado cfv ccom cnop cc0 wceq ch0o c2 cexp co nmopcoadj2i eqeq1i cbo wcel
      ax-mp clo bdopln nmlnop0iHIL cr nmopre recni sqeq0i bitri adjbdln lnopcoi
      3bitr3i ) AACDZEZFDZGHZAFDZGHZUJIHAIHULUMJKLZGHUNUKUOGABMNUMUMAOPZUMUAPBA
      UBQUCUDUEUJAUIUPARPBASQZUIOPZUIRPUPURBAUFQUISQUGTAUQTUH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Quantum computation error bound theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    unierr.1 $e |- F e. UniOp $.
    unierr.2 $e |- G e. UniOp $.
    unierr.3 $e |- S e. UniOp $.
    unierr.4 $e |- T e. UniOp $.
    $( If we approximate a chain of unitary transformations (quantum computer
       gates) ` F ` , ` G ` by other unitary transformations ` S ` , ` T ` ,
       the error increases at most additively.  Equation 4.73 of
       [NielsenChuang] p. 195.  (Contributed by NM, 10-Mar-2006.)
       (New usage is discouraged.) $)
    unierri $p |- ( normop ` ( ( F o. G ) -op ( S o. T ) ) ) <_
                 ( ( normop ` ( F -op S ) ) + ( normop ` ( G -op T ) ) ) $=
      ( co cnop cfv cle chba cc0 wf cbo wcel ax-mp cr nmopre ccom caddc wbr c0h
      chod wceq cuo unopbd bdopf hocofi hosubcli nmop0h mpan2 0le0 00id oveq12d
      breqtrri breqtrrid eqbrtrd wne cmul chos honpncani fveq2i bdopcoi bdophdi
      nmoptrii hocsubdiri nmopcoi eqbrtrri bdopln hoddii remulcli le2addi mp2an
      clo bdophsi readdcli letri c1 nmopun oveq2d mulid1i eqtrdi oveq1d mulid2i
      recni breqtrid pm2.61ine ) CDUAZABUAZUEIZJKZCAUEIZJKZDBUEIZJKZUBIZLUCMUDM
      UDUFZWMNWRLWSMMWLOWMNUFWJWKCDCPQZMMCOCUGQWTECUHRZCUIRZDPQZMMDODUGQZXCFDUH
      RZDUIRZUJZABAPQZMMAOAUGQZXHGAUHRZAUIRZBPQZMMBOBUGQXLHBUHRZBUIRZUJZUKWLULU
      MWSNNNUBIZWRLNNXPLUNUOUQWSWONWQNUBWSMMWNOWONUFCAXBXKUKWNULUMWSMMWPOWQNUFD
      BXFXNUKWPULUMUPURUSMUDUTZWMWODJKZVAIZAJKZWQVAIZUBIZWRLWJADUAZUEIZYCWKUEIZ
      VBIZJKZWMYBLYFWLJWJYCWKXGADXKXFUJXOVCVDYGYDJKZYEJKZUBIZLUCYJYBLUCZYGYBLUC
      YDYEWJYCCDXAXEVEADXJXEVEZVFZYCWKYLABXJXMVEVFZVGYHXSLUCYIYALUCYKWNDUAZJKYH
      XSLYOYDJCADXBXKXFVHVDWNDCAXAXJVFZXEVIVJAWPUAZJKYIYALYQYEJADBXHAVPQXJAVKRX
      FXNVLVDAWPXJDBXEXMVFZVIVJYHYIXSYAYDPQYHSQYMYDTRZYEPQYISQYNYETRZWOXRWNPQWO
      SQYPWNTRZXCXRSQXEDTRVMZXTWQXHXTSQXJATRWPPQWQSQYRWPTRZVMZVNVOYGYJYBYFPQYGS
      QYDYEYMYNVQYFTRYHYIYSYTVRXSYAUUBUUDVRVSVOVJXQXSWOYAWQUBXQXSWOVTVAIWOXQXRV
      TWOVAXQXDXRVTUFFDWAUMWBWOWOUUAWGWCWDXQYAVTWQVAIWQXQXTVTWQVAXQXIXTVTUFGAWA
      UMWEWQWQUUCWGWFWDUPWHWI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Dirac bra-ket notation (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x S $.
    $d t u x y T $.  $d t u x U $.  $d t x y z $.
    $( The norm of the bra function.  (Contributed by NM, 24-May-2006.)
       (New usage is discouraged.) $)
    branmfn $p |- ( A e. ~H -> ( normfn ` ( bra ` A ) ) = ( normh ` A ) ) $=
      ( vy vx vz chba wcel cfv cno wceq c0v wa c1 cle wbr clt adantr cr co cmul
      cc0 vw cbr cnmf 2fveq3 fveq2 eqeq12d wne cv cabs wrex cab cxr cc wf brafn
      csup nmfnval syl wss wral wi nmfnsetre ressxr sstrdi normcl rexrd jca vex
      eqeq1 anbi2d rexbidv elab id braval fveq2d sylan9eqr bcs2 ancom1s eqbrtrd
      csp 3expa exp41 imp4a rexlimdv imp sylan2b ralrimiva cdiv normne0 biimpar
      recnd reccld simpl hvmulcl syl2anc 1le1 eqbrtrdi ax-his3 syl3anc rereccld
      csm hiidrcl remulcld eqeltrd normgt0 biimpa recgt0d 0re ltle mpan hiidge0
      norm1 sylc mulge0d breqtrrd absidd recid2d oveq2d mul12d c2 sqvald normsq
      cexp eqtr3d eqtrd mulid1d 3eqtr3rd 3eqtr4rd breq1d fvoveq1 eqeq2d anbi12d
      rspcev syl12anc wb rexbidva mpbird elabd breq2 sylan adantlr supxr2 nmfn0
      ex csn cxp bra0 fveq2i norm0 3eqtr4i a1i pm2.61ne ) AEFZAUBGZUCGZAHGZIJUB
      GZUCGZJHGZIZAJAJIUUOUURUUPUUSAJUCUBUDAJHUEUFUUMAJUGZKZUUOBUHZHGZLMNZCUHZU
      VCUUNGZUIGZIZKZBEUJZCUKZULOUPZUUPUUMUUOUVMIZUVAUUMEUMUUNUNZUVNAUOZCBUUNUQ
      URPUVBUVLULUSZUUPULFZKZDUHZUUPMNZDUVLUTZUVTUUPONZUVTUAUHZONZUAUVLUJZVAZDQ
      UTUVMUUPIUUMUVSUVAUUMUVQUVRUUMUVLQULUUMUVOUVLQUSUVPCBUUNVBURVCVDUUMUUPAVE
      ZVFVGPUUMUWBUVAUUMUWADUVLUVTUVLFUUMUVEUVTUVHIZKZBEUJZUWAUVKUWKCUVTDVHUVFU
      VTIZUVJUWJBEUWLUVIUWIUVEUVFUVTUVHVIVJVKVLUUMUWKUWAUUMUWJUWABEUUMUVCEFZUVE
      UWIUWAUUMUWMUVEUWIUWAUUMUWMKZUVEKZUWIKUVTUVCAVTRZUIGZUUPMUWIUWOUVTUVHUWQU
      WIVMUWNUVHUWQIUVEUWNUVGUWPUIAUVCVNVOZPVPUWOUWQUUPMNZUWIUWMUUMUVEUWSUWMUUM
      UVEUWSUVCAVQWAVRPVSWBWCWDWEWFWGPUVBUWGDQUVBUVTQFZKUWCUWFUVBUWCUWFUWTUVBUU
      PUVLFUWCUWFUVBUVKUVEUUPUVHIZKZBEUJZCUUPUMUUMUUPUMFUVAUUMUUPUWHWKZPZUVBUXC
      UVEUUPUWQIZKZBEUJZUVBLUUPWHRZAXARZEFZUXJHGZLMNZUUPUXJAVTRZUIGZIZUXHUVBUXI
      UMFZUUMUXKUVBUUPUXEUUMUUPTUGUVAAWIWJZWLZUUMUVAWMZUXIAWNWOUVBUXLLLMAXLWPWQ
      UVBUXNUXIAAVTRZSRZUXOUUPUVBUXQUUMUUMUXNUYBIUXSUXTUXTUXIAAWRWSZUVBUXNUVBUX
      NUYBQUYCUVBUXIUYAUVBUUPUUMUUPQFUVAUWHPZUXRWTZUUMUYAQFUVAAXBPZXCXDUVBTUYBU
      XNMUVBUXIUYAUYEUYFUVBUXIQFZTUXIONZTUXIMNZUYEUVBUUPUYDUUMUVATUUPONAXEXFXGT
      QFUYGUYHUYIVAXHTUXIXIXJXMUUMTUYAMNUVAAXKPXNUYCXOXPUVBUUPUXIUUPSRZSRZUUPLS
      RZUYBUUPUVBUYJLUUPSUVBUUPUXEUXRXQXRUVBUYKUXIUUPUUPSRZSRUYBUVBUUPUXIUUPUXE
      UXSUXEXSUVBUYMUYAUXISUUMUYMUYAIUVAUUMUUPXTYCRUYMUYAUUMUUPUXDYAAYBYDPXRYEU
      UMUYLUUPIUVAUUMUUPUXDYFPYGYHUXGUXMUXPKBUXJEUVCUXJIZUVEUXMUXFUXPUYNUVDUXLL
      MUVCUXJHUEYIUYNUWQUXOUUPUVCUXJAUIVTYJYKYLYMYNUUMUXCUXHYOUVAUUMUXBUXGBEUWN
      UXAUXFUVEUWNUVHUWQUUPUWRYKVJYPPYQUVFUUPIZUVJUXBBEUYOUVIUXAUVEUVFUUPUVHVIV
      JVKYRUWEUWCUAUUPUVLUWDUUPUVTOYSYMYTUUAUUDWGDUAUVLUUPUUBYNYEUUTUUMETUUEUUF
      ZUCGTUURUUSUUCUUQUYPUCUUGUUHUUIUUJUUKUUL $.

    $( The bra of a vector is a bounded functional.  (Contributed by NM,
       26-May-2006.)  (New usage is discouraged.) $)
    brabn $p |- ( A e. ~H -> ( normfn ` ( bra ` A ) ) e. RR ) $=
      ( chba wcel cbr cfv cnmf cno cr branmfn normcl eqeltrd ) ABCADEFEAGEHAIAJ
      K $.

    $( The set of bras equals the set of continuous linear functionals.
       (Contributed by NM, 26-May-2006.)  (New usage is discouraged.) $)
    rnbra $p |- ran bra = ( LinFn i^i ContFn ) $=
      ( vt vx vy cbr clf ccnfn cv wcel wa cnmf cfv cr wceq chba wrex wb wral wi
      wfn cc crn cin lnfncnbd pm5.32i elin co cmpt ax-hilex mptex df-bra fnmpti
      csp fvelrnb ax-mp bralnfn brabn jca eleq1 fveq2 eleq1d syl5ibcom rexlimiv
      anbi12d riesz1 biimpa braval eqtr3 ex syl ralimdva adantl wf brafn adantr
      lnfnf ffn eqfnfv syl2an syl2anr sylibrd reximdva mpd bitri 3bitr4ri eqriv
      impbii ) ADUAZEFUBZAGZEHZWIFHZIWJWIJKZLHZIZWIWHHWIWGHZWJWKWMWIUCUDWIEFUEW
      OBGZDKZWIMZBNOZWNDNSWOWSPBNCNCGZWPULUFZUGDCNXAUHUIBCUJUKBNWIDUMUNWSWNWRWN
      BNWPNHZWQEHZWQJKZLHZIWRWNXBXCXEWPUOWPUPUQWRXCWJXEWMWQWIEURWRXDWLLWQWIJUSU
      TVCVAVBWNWTWIKZXAMZCNQZBNOZWSWJWMXICBWIVDVEWNXHWRBNWNXBIXHWTWQKZXFMZCNQZW
      RXBXHXLRWNXBXGXKCNXBWTNHIXJXAMZXGXKRWPWTVFXMXGXKXJXFXAVGVHVIVJVKXBNTWQVLZ
      NTWIVLZWRXLPZWNWPVMWJXOWMWIVOVNXNWQNSWINSXPXONTWQVPNTWIVPCNWQWIVQVRVSVTWA
      WBWFWCWDWE $.

    $( The bra function maps vectors one-to-one onto the set of continuous
       linear functionals.  (Contributed by NM, 26-May-2006.)  (Proof shortened
       by Mario Carneiro, 16-Nov-2013.)  (New usage is discouraged.) $)
    bra11 $p |- bra : ~H -1-1-onto-> ( LinFn i^i ContFn ) $=
      ( vx vy vz chba clf ccnfn cin cbr wf1o wfn crn wceq cv cfv wral csp co wa
      wcel braval cmpt ax-hilex mptex df-bra fnmpti rnbra fveq1 adantlr adantll
      wi eqeq12d syl5ib ralrimdva hial2eq2 sylibd rgen2 dff1o6 mpbir3an ) DEFGZ
      HIHDJHKUSLAMZHNZBMZHNZLZUTVBLZUJZBDOADOADBDVBUTPQZUAHBDVGUBUCABUDUEUFVFAB
      DDUTDSZVBDSZRZVDCMZUTPQZVKVBPQZLZCDOVEVJVDVNCDVDVKVANZVKVCNZLVJVKDSZRZVNV
      KVAVCUGVRVOVLVPVMVHVQVOVLLVIUTVKTUHVIVQVPVMLVHVBVKTUIUKULUMCUTVBUNUOUPABD
      USHUQUR $.

    $( A bra is a continuous linear functional.  (Contributed by NM,
       30-May-2006.)  (New usage is discouraged.) $)
    bracnln $p |- ( A e. ~H -> ( bra ` A ) e. ( LinFn i^i ContFn ) ) $=
      ( chba clf ccnfn cin cbr wf1o wf bra11 f1of ax-mp ffvelrni ) BCDEZAFBMFGB
      MFHIBMFJKL $.

    $( Value of the converse of the bra function.  Based on the Riesz Lemma
       ~ riesz4 , this very important theorem not only justifies the Dirac
       bra-ket notation, but allows us to extract a unique vector from any
       continuous linear functional from which the functional can be recovered;
       i.e. a single vector can "store" _all_ of the information contained in
       any entire continuous linear functional (mapping from ` ~H ` to
       ` CC ` ).  (Contributed by NM, 26-May-2006.)
       (New usage is discouraged.) $)
    cnvbraval $p |- ( T e. ( LinFn i^i ContFn ) ->
     ( `' bra ` T ) = ( iota_ y e. ~H A. x e. ~H ( T ` x ) = ( x .ih y ) ) ) $=
      ( clf wcel cv cfv csp co wceq chba wral cbr wa bra11 adantll adantr ax-mp
      mpan wb ccnfn cin crio ccnv wf1o f1ocnvfv imp oveq2d braval ancoms adantl
      wi fveq1 3eqtr2rd wrex crn rnbra eleq2i wfn wf ffn fvelrnb sylbb1 r19.29a
      f1of ralrimiva f1ocnvdm riesz4 oveq2 eqeq2d ralbidv riota2 syl2anc eqcomd
      wreu mpbid ) CDUAUBZEZAFZCGZVSBFZHIZJZAKLZBKUCZCMUDGZVRVTVSWFHIZJZAKLZWEW
      FJZVRWHAKVRVSKEZNZWAMGZCJZWHBKWLWAKEZNZWNNWGWBVSWMGZVTWOWNWGWBJWLWOWNNWFW
      AVSHWOWNWFWAJZKVQMUEZWOWNWRULOKVQWACMUFSUGUHPWPWQWBJZWNWKWOWTVRWOWKWTWAVS
      UIUJPQWNWQVTJWPVSWMCUMUKUNVRWNBKUOZWKCMUPZEZVRXAXBVQCUQURMKUSZXCXATKVQMUT
      ZXDWSXEOKVQMVERKVQMVARBKCMVBRVCQVDVFVRWFKEZWDBKVOWIWJTWSVRXFOKVQCMVGSBACV
      HWDWIBKWFWAWFJZWCWHAKXGWBWGVTWAWFVSHVIVJVKVLVMVPVN $.

    $( Closure of the converse of the bra function.  (Contributed by NM,
       26-May-2006.)  (New usage is discouraged.) $)
    cnvbracl $p |- ( T e. ( LinFn i^i ContFn ) -> ( `' bra ` T ) e. ~H ) $=
      ( chba clf ccnfn cin cbr wf1o wcel ccnv cfv bra11 f1ocnvdm mpan ) BCDEZFG
      ANHAFIJBHKBNAFLM $.

    $( The converse bra of the bra of a vector is the vector itself.
       (Contributed by NM, 30-May-2006.)  (New usage is discouraged.) $)
    cnvbrabra $p |- ( A e. ~H -> ( `' bra ` ( bra ` A ) ) = A ) $=
      ( chba clf ccnfn cin cbr wf1o wcel cfv ccnv wceq bra11 f1ocnvfv1 mpan ) B
      CDEZFGABHAFIFJIAKLBOAFMN $.

    $( The bra of the converse bra of a continuous linear functional.
       (Contributed by NM, 31-May-2006.)  (New usage is discouraged.) $)
    bracnvbra $p |- ( T e. ( LinFn i^i ContFn ) ->
                     ( bra ` ( `' bra ` T ) ) = T ) $=
      ( chba clf ccnfn cin cbr wf1o wcel ccnv cfv wceq bra11 f1ocnvfv2 mpan ) B
      CDEZFGAOHAFIJFJAKLBOAFMN $.

    $( The vector that a continuous linear functional is the bra of.
       (Contributed by NM, 26-May-2006.)  (New usage is discouraged.) $)
    bracnlnval $p |- ( T e. ( LinFn i^i ContFn ) ->
        T = ( bra ` ( iota_ y e. ~H A. x e. ~H ( T ` x ) = ( x .ih y ) ) ) ) $=
      ( clf ccnfn cin wcel cv cfv csp co wceq chba wral crio cbr ccnv cnvbraval
      wb cnvbracl eqeltrrd wf1o bra11 f1ocnvfvb mp3an1 mpancom mpbird eqcomd )
      CDEFZGZAHZCIUKBHJKLAMNBMOZPIZCUJUMCLZCPQIZULLZABCRZULMGZUJUNUPSZUJUOULMUQ
      CTUAMUIPUBURUJUSUCMUIULCPUDUEUFUGUH $.

    $( Multiplication property of the converse bra function.  (Contributed by
       NM, 31-May-2006.)  (New usage is discouraged.) $)
    cnvbramul $p |- ( ( A e. CC /\ T e. ( LinFn i^i ContFn ) ) ->
       ( `' bra ` ( A .fn T ) ) = ( ( * ` A ) .h ( `' bra ` T ) ) ) $=
      ( cc wcel clf ccnfn cin ccj cfv cbr ccnv csm chft chba wceq cnvbracl cjcl
      wa co eqtrd brafnmul sylan cjcj adantr oveq1d sylan2 oveq2d adantl fveq2d
      bracnvbra hvmulcl syl2an cnvbrabra syl eqtr3d ) ACDZBEFGDZRZAHIZBJKZIZLSZ
      JIZUTIZABMSZUTIVBURVCVEUTURVCAVAJIZMSZVEUQUPVANDZVCVGOBPZUPVHRZVCUSHIZVFM
      SZVGUPUSCDZVHVCVLOAQZUSVAUAUBVJVKAVFMUPVKAOVHAUCUDUETUFUQVGVEOUPUQVFBAMBU
      JUGUHTUIURVBNDZVDVBOUPVMVHVOUQVNVIUSVAUKULVBUMUNUO $.

    $( Dirac bra-ket associative law
       ` ( | A >. <. B | ) | C >. = | A >. ( <. B | C >. ) ` , i.e., the
       juxtaposition of an outer product with a ket equals a bra juxtaposed
       with an inner product.  Since ` <. B | C >. ` is a complex number, it is
       the first argument in the inner product ` .h ` that it is mapped to,
       although in Dirac notation it is placed after the ket.  (Contributed by
       NM, 15-May-2006.)  (New usage is discouraged.) $)
    kbass1 $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
                 ( ( A ketbra B ) ` C ) = ( ( ( bra ` B ) ` C ) .h A ) ) $=
      ( chba wcel w3a ck co cfv csp csm kbval wceq braval 3adant1 oveq1d eqtr4d
      cbr ) ADEZBDEZCDEZFZCABGHICBJHZAKHCBRIIZAKHABCLUBUDUCAKTUAUDUCMSBCNOPQ $.

    $( Dirac bra-ket associative law
       ` ( <. A | B >. ) <. C | = <. A | ( | B >. <. C | ) ` , i.e., the
       juxtaposition of an inner product with a bra equals a ket juxtaposed
       with an outer product.  (Contributed by NM, 23-May-2006.)
       (New usage is discouraged.) $)
    kbass2 $p |- ( ( A e. ~H /\ B e. ~H /\ C e. ~H ) ->
                  ( ( ( bra ` A ) ` B ) .fn ( bra ` C ) ) =
                  ( ( bra ` A ) o. ( B ketbra C ) ) ) $=
      ( vx chba wcel cbr cfv co wfn cmul wceq wa cc wf brafn csp braval syl2anc
      syl3anc w3a chft ck ccom cmpt ovex eqid fnmpti bracl hfmmval syl2an 3impa
      fneq1d mpbiri kbop fco 3impb ffnd simpl1 simpl2 simpl3 simpr oveq12d hicl
      cv eqeltrd syl hfmval csm ax-his3 3adant1 fvco3 sylan kbval fveq2d 3eqtrd
      hvmulcl mulcomd 3eqtr4d eqfnfvd ) AEFZBEFZCEFZUAZDEBAGHZHZCGHZUBIZWEBCUCI
      ZUDZWDWHEJDEWFDVEZWGHZKIZUEZEJDEWMWNWFWLKUFWNUGUHWDEWHWNWAWBWCWHWNLZWAWBM
      WFNFZENWGOZWOWCABUICPZDWFWGUJUKULUMUNWDENWJWAWBWCENWJOZWAENWEOEEWIOZWSWBW
      CMAPBCUOZEENWEWIUPUKUQURWDWKEFZMZWMBAQIZWKCQIZKIZWKWHHZWKWJHZXCWFXDWLXEKX
      CWAWBWFXDLWAWBWCXBUSZWAWBWCXBUTZABRSZXCWCXBWLXELWAWBWCXBVAZWDXBVBZCWKRSVC
      XCWPWQXBXGWMLXCWFXDNXKXCWBWAXDNFXJXIBAVDSZVFXCWCWQXLWRVGXMWFWKWGVHTXCXEBV
      IIZAQIZXEXDKIZXHXFXCXENFZWBWAXPXQLXCXBWCXRXMXLWKCVDSZXJXIXEBAVJTXCXHWKWIH
      ZWEHZXOWEHZXPWDWTXBXHYALWBWCWTWAXAVKEEWKWEWIVLVMXCXTXOWEXCWBWCXBXTXOLXJXL
      XMBCWKVNTVOXCWAXOEFZYBXPLXIXCXRWBYCXSXJXEBVQSAXORSVPXCXDXEXNXSVRVSVSVT $.

    $( Dirac bra-ket associative law
       ` <. A | B >. <. C | D >. = ( <. A | B >. <. C | ) | D >. ` .
       (Contributed by NM, 30-May-2006.)  (New usage is discouraged.) $)
    kbass3 $p |- ( ( ( A e. ~H /\ B e. ~H ) /\ ( C e. ~H /\ D e. ~H ) ) ->
                  ( ( ( bra ` A ) ` B ) x. ( ( bra ` C ) ` D ) ) =
         ( ( ( ( bra ` A ) ` B ) .fn ( bra ` C ) ) ` D ) ) $=
      ( chba wcel wa cbr cfv chft co cmul cc bracl adantr brafn ad2antrl simprr
      wf wceq hfmval syl3anc eqcomd ) AEFBEFGZCEFZDEFZGZGZDBAHIIZCHIZJKIZUIDUJI
      LKZUHUIMFZEMUJSZUFUKULTUDUMUGABNOUEUNUDUFCPQUDUEUFRUIDUJUAUBUC $.

    $( Dirac bra-ket associative law
       ` <. A | B >. <. C | D >. = <. A | ( | B >. <. C | D >. ) ` .
       (Contributed by NM, 30-May-2006.)  (New usage is discouraged.) $)
    kbass4 $p |- ( ( ( A e. ~H /\ B e. ~H ) /\ ( C e. ~H /\ D e. ~H ) ) ->
                  ( ( ( bra ` A ) ` B ) x. ( ( bra ` C ) ` D ) ) =
            ( ( bra ` A ) ` ( ( ( bra ` C ) ` D ) .h B ) ) ) $=
      ( chba wcel wa cbr cfv cmul co csm cc wceq mulcom syl2an bralnfn ad2antrr
      bracl clf adantl simplr lnfnmul syl3anc eqtr4d ) AEFZBEFZGZCEFDEFGZGZBAHI
      ZIZDCHIIZJKZUMULJKZUMBLKUKIZUHULMFUMMFZUNUONUIABSCDSZULUMOPUJUKTFZUQUGUPU
      ONUFUSUGUIAQRUIUQUHURUAUFUGUIUBUMBUKUCUDUE $.

    $( Dirac bra-ket associative law ` ( | A >. <. B | ) ( | C >. <. D | ) = `
       ` ( ( | A >. <. B | ) | C >. ) <. D | ` .  (Contributed by NM,
       30-May-2006.)  (New usage is discouraged.) $)
    kbass5 $p |- ( ( ( A e. ~H /\ B e. ~H ) /\ ( C e. ~H /\ D e. ~H ) ) ->
                  ( ( A ketbra B ) o. ( C ketbra D ) ) =
                  ( ( ( A ketbra B ) ` C ) ketbra D ) ) $=
      ( vx chba wcel wa ck co cfv wceq csp csm kbval cc syl2anc syl3anc wf kbop
      ccom wral 3expa adantll fveq2d simplll simpllr simpr simplrr hicl simplrl
      cv hvmulcl eqtrd adantl fvco3 sylan oveq2d ffvelrnda adantrr cmul ax-his3
      adantr oveq1d ax-hvmulass 3eqtr4d fco syl2an anasss wfn ffn eqfnfv mpbird
      ralrimiva wb ) AFGZBFGZHZCFGZDFGZHZHZABIJZCDIJZUAZCWCKZDIJZLZEULZWEKZWIWG
      KZLZEFUBZWBWLEFWBWIFGZHZWIWDKZWCKZWIDMJZCNJZBMJZANJZWJWKWOWQWSWCKZXAWOWPW
      SWCWAWNWPWSLZVRVSVTWNXCCDWIOUCUDUEWOVPVQWSFGZXBXALVPVQWAWNUFZVPVQWAWNUGZW
      OWRPGZVSXDWOWNVTXGWBWNUHZVRVSVTWNUIZWIDUJQZVRVSVTWNUKZWRCUMQABWSORUNWBFFW
      DSZWNWJWQLWAXLVRCDTZUOFFWIWCWDUPUQWOWRWFNJZWRCBMJZANJZNJZWKXAWOWFXPWRNWOV
      PVQVSWFXPLXEXFXKABCORURWOWFFGZVTWNWKXNLWBXRWNVRVSXRVTVRFFCWCABTZUSZUTVCXI
      XHWFDWIORWOXAWRXOVAJZANJZXQWOWTYAANWOXGVSVQWTYALXJXKXFWRCBVBRVDWOXGXOPGZV
      PYBXQLXJWOVSVQYCXKXFCBUJQXEWRXOAVERUNVFVFVNWBFFWESZFFWGSZWHWMVOZVRFFWCSXL
      YDWAXSXMFFFWCWDVGVHVRVSVTYEVRVSHXRVTYEXTWFDTUQVIYDWEFVJWGFVJYFYEFFWEVKFFW
      GVKEFWEWGVLVHQVM $.

    $( Dirac bra-ket associative law ` ( | A >. <. B | ) ( | C >. <. D | ) = `
       ` | A >. ( <. B | ( | C >. <. D | ) ) ` .  (Contributed by NM,
       30-May-2006.)  (New usage is discouraged.) $)
    kbass6 $p |- ( ( ( A e. ~H /\ B e. ~H ) /\ ( C e. ~H /\ D e. ~H ) ) ->
                  ( ( A ketbra B ) o. ( C ketbra D ) ) =
               ( A ketbra ( `' bra ` ( ( bra ` B ) o. ( C ketbra D ) ) ) ) ) $=
      ( chba wcel wa ck co ccom cfv csp csm cbr wceq ccj wi cc fveq2d eqtr2d ex
      ccnv kbass5 kbval 3expa adantrr oveq1d hicl kbmul syl3an1 3exp com13 chft
      imp43 clf ccnfn bracl bracnln cnvbramul syl2an braval cnvbrabra oveqan12d
      cin anasss kbass2 3expb adantll oveq2d eqtr4d 3eqtrd ) AEFZBEFZGZCEFZDEFZ
      GZGZABHIZCDHIZJCVSKZDHICBLIZAMIZDHIZABNKZVTJZNUBZKZHIZABCDUCVRWAWCDHVNVOW
      AWCOZVPVLVMVOWJABCUDUEUFUGVRWDAWBPKZDMIZHIZWIVLVMVOVPWDWMOZVOVMVLVPWNQZVO
      VMVLWOQVOVMGZVLVPWNWPWBRFVLVPWNCBUHWBADUIUJUKUAULUNVRWHWLAHVMVQWHWLOVLVMV
      QGZWLCWEKZDNKZUMIZWGKZWHVMVOVPWLXAOVMVOGZVPGXAWRPKZWSWGKZMIZWLXBWRRFWSUOU
      PVDFXAXEOVPBCUQDURWRWSUSUTXBVPXCWKXDDMXBWRWBPBCVASDVBVCTVEWQWTWFWGVMVOVPW
      TWFOBCDVFVGSTVHVIVJVK $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Positive operators (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

    $( Ordering relation for positive operators.  Definition of positive
       operator ordering in [Kreyszig] p. 470.  (Contributed by NM,
       23-Jul-2006.)  (New usage is discouraged.) $)
    leopg $p |- ( ( T e. A /\ U e. B ) -> ( T <_op U <-> ( ( U -op T ) e.
                HrmOp /\ A. x e. ~H 0 <_ ( ( ( U -op T ) ` x ) .ih x ) ) ) ) $=
      ( vu vt cv chod co cho wcel cc0 cfv csp cle wbr chba wral wa oveq2 eleq1d
      cleo wceq fveq1d oveq1d breq2d ralbidv anbi12d oveq1 df-leop brabg ) FHZG
      HZIJZKLZMAHZUONZUQOJZPQZARSZTUMDIJZKLZMUQVBNZUQOJZPQZARSZTEDIJZKLZMUQVHNZ
      UQOJZPQZARSZTGFDEBCUCUNDUDZUPVCVAVGVNUOVBKUNDUMIUAZUBVNUTVFARVNUSVEMPVNUR
      VDUQOVNUQUOVBVOUEUFUGUHUIUMEUDZVCVIVGVMVPVBVHKUMEDIUJZUBVPVFVLARVPVEVKMPV
      PVDVJUQOVPUQVBVHVQUEUFUGUHUIAFGUKUL $.

    $( Ordering relation for operators.  Definition of positive operator
       ordering in [Kreyszig] p. 470.  (Contributed by NM, 23-Jul-2006.)
       (New usage is discouraged.) $)
    leop $p |- ( ( T e. HrmOp /\ U e. HrmOp ) -> ( T <_op U <->
                A. x e. ~H 0 <_ ( ( ( U -op T ) ` x ) .ih x ) ) ) $=
      ( cho wcel wa cleo wbr chod co cc0 cv cfv csp cle chba leopg hmopd ancoms
      wral biantrurd bitr4d ) BDEZCDEZFZBCGHCBIJZDEZKALZUFMUHNJOHAPTZFUIADDBCQU
      EUGUIUDUCUGCBRSUAUB $.

    $( Ordering relation for operators.  Definition of operator ordering in
       [Young] p. 141.  (Contributed by NM, 23-Jul-2006.)
       (New usage is discouraged.) $)
    leop2 $p |- ( ( T e. HrmOp /\ U e. HrmOp ) -> ( T <_op U <->
                A. x e. ~H ( ( T ` x ) .ih x ) <_ ( ( U ` x ) .ih x ) ) ) $=
      ( cho wcel wa wbr cc0 co cfv csp cle chba wral wceq hmopf ffvelrn adantll
      wf adantlr cleo cv chod leop anim12i cmv hodval 3com12 3expa oveq1d simpr
      cmin his2sub syl3anc eqtrd sylan breq2d cr hmopre subge0d bitrd ralbidva
      ) BDEZCDEZFZBCUAGHAUBZCBUCIJZVFKIZLGZAMNVFBJZVFKIZVFCJZVFKIZLGZAMNABCUDVE
      VIVNAMVEVFMEZFZVIHVMVKULIZLGVNVPVHVQHLVEMMBSZMMCSZFZVOVHVQOVCVRVDVSBPCPUE
      VTVOFZVHVLVJUFIZVFKIZVQWAVGWBVFKVRVSVOVGWBOZVSVRVOWDVFCBUGUHUIUJWAVLMEZVJ
      MEZVOWCVQOVSVOWEVRMMVFCQRVRVOWFVSMMVFBQTVTVOUKVLVJVFUMUNUOUPUQVPVMVKVDVOV
      MUREVCVFCUSRVCVOVKUREVDVFBUSTUTVAVBVA $.

    $( Operator ordering in terms of a positive operator.  Definition of
       operator ordering in [Retherford] p. 49.  (Contributed by NM,
       23-Jul-2006.)  (New usage is discouraged.) $)
    leop3 $p |- ( ( T e. HrmOp /\ U e. HrmOp ) -> ( T <_op U <->
                0hop <_op ( U -op T ) ) ) $=
      ( vx cho wcel wa cleo wbr cc0 cv chod cfv csp cle chba wral ch0o leop c0v
      co wb 0hmop hmopd ancoms leop2 sylancr ho0val oveq1d eqtrd breq1d ralbiia
      hi01 bitr2di bitrd ) ADEZBDEZFZABGHICJZBAKTZLURMTZNHZCOPZQUSGHZCABRUQVCUR
      QLZURMTZUTNHZCOPZVBUQQDEUSDEZVCVGUAUBUPUOVHBAUCUDCQUSUEUFVFVACOUROEZVEIUT
      NVIVESURMTIVIVDSURMURUGUHURULUIUJUKUMUN $.

    $( Binary relation defining a positive operator.  Definition VI.1 of
       [Retherford] p. 49.  (Contributed by NM, 25-Jul-2006.)
       (New usage is discouraged.) $)
    leoppos $p |- ( T e. HrmOp -> ( 0hop <_op T <->
                A. x e. ~H 0 <_ ( ( T ` x ) .ih x ) ) ) $=
      ( cho wcel ch0o cleo wbr cc0 cv chod co cfv csp chba wral 0hmop leop mpan
      cle wb wf wceq hmopf hosubid1 syl fveq1d oveq1d breq2d ralbidv bitrd ) BC
      DZEBFGZHAIZBEJKZLZUMMKZSGZANOZHUMBLZUMMKZSGZANOECDUKULURTPAEBQRUKUQVAANUK
      UPUTHSUKUOUSUMMUKUMUNBUKNNBUAUNBUBBUCBUDUEUFUGUHUIUJ $.

    $( The ordering relation for operators is reflexive.  (Contributed by NM,
       24-Jul-2006.)  (New usage is discouraged.) $)
    leoprf2 $p |- ( T : ~H --> ~H -> T <_op T ) $=
      ( vx chba wf cleo wbr chod co cho wcel cc0 cfv csp cle ch0o wa c0v adantl
      wceq cvv wral hodid 0hmop eqeltrdi 0le0 adantr fveq1d ho0val eqtrd oveq1d
      cv hi01 eqtr2d breqtrid ralrimiva wb ax-hilex fex mpan2 syl2anc mpbir2and
      leopg ) CCADZAAEFZAAGHZIJZKBUKZVELZVGMHZNFZBCUAZVCVEOIAUBZUCUDVCVJBCVCVGC
      JZPZKKVINUEVNVIQVGMHZKVNVHQVGMVNVHVGOLZQVNVGVEOVCVEOSVMVLUFUGVMVPQSVCVGUH
      RUIUJVMVOKSVCVGULRUMUNUOVCATJZVQVDVFVKPUPVCCTJVQUQCCTAURUSZVRBTTAAVBUTVA
      $.

    $( The ordering relation for operators is reflexive.  (Contributed by NM,
       23-Jul-2006.)  (New usage is discouraged.) $)
    leoprf $p |- ( T e. HrmOp -> T <_op T ) $=
      ( vx cho wcel cleo wbr cc0 cv chod co cfv csp cle chba wral c0v ch0o wceq
      wa adantl 0le0 wf hmopf hodid syl adantr fveq1d ho0val oveq1d hi01 eqtr2d
      eqtrd breqtrid ralrimiva wb leop anidms mpbird ) ACDZAAEFZGBHZAAIJZKZVALJ
      ZMFZBNOZUSVEBNUSVANDZSZGGVDMUAVHVDPVALJZGVHVCPVALVHVCVAQKZPVHVAVBQUSVBQRZ
      VGUSNNAUBVKAUCAUDUEUFUGVGVJPRUSVAUHTULUIVGVIGRUSVAUJTUKUMUNUSUTVFUOBAAUPU
      QUR $.

    $( The square of a Hermitian operator is positive.  (Contributed by NM,
       23-Aug-2006.)  (New usage is discouraged.) $)
    leopsq $p |- ( T e. HrmOp -> 0hop <_op ( T o. T ) ) $=
      ( vx cho wcel ch0o ccom cleo wbr cc0 cv cfv csp co cle chba wral wa hmopf
      syl wceq ffvelrnda hiidge0 simpl simpr hmop syl3anc wf fvco3 sylan oveq1d
      eqtr4d breqtrd ralrimiva wb eqid hmopco mp3an3 anidms leoppos mpbird ) AC
      DZEAAFZGHZIBJZVBKZVDLMZNHZBOPZVAVGBOVAVDODZQZIVDAKZVKLMZVFNVJVKODZIVLNHVA
      OOVDAARZUAZVKUBSVJVLVKAKZVDLMZVFVJVAVMVIVLVQTVAVIUCVOVAVIUDVKVDAUEUFVJVEV
      PVDLVAOOAUGVIVEVPTVNOOVDAAUHUIUJUKULUMVAVBCDZVCVHUNVAVRVAVAVBVBTVRVBUOAAU
      PUQURBVBUSSUT $.

    $( The zero operator is a positive operator.  (The literature calls it
       "positive", even though in some sense it is really "nonnegative".)  Part
       of Example 12.2(i) in [Young] p. 142.  (Contributed by NM, 23-Jul-2006.)
       (New usage is discouraged.) $)
    0leop $p |- 0hop <_op 0hop $=
      ( ch0o cho wcel cleo wbr 0hmop leoprf ax-mp ) ABCAADEFAGH $.

    $( The identity operator is a positive operator.  Part of Example 12.2(i)
       in [Young] p. 142.  (Contributed by NM, 23-Jul-2006.)
       (New usage is discouraged.) $)
    idleop $p |- 0hop <_op Iop $=
      ( vx ch0o chio cleo wbr cv cfv csp co cle chba cho wcel wral 0hmop idhmop
      wb cc0 c0v oveq1d leop2 mp2an hiidge0 ho0val eqtrd hoival 3brtr4d mprgbir
      hi01 ) BCDEZAFZBGZUKHIZUKCGZUKHIZJEZAKBLMCLMUJUPAKNQOPABCUAUBUKKMZRUKUKHI
      UMUOJUKUCUQUMSUKHIRUQULSUKHUKUDTUKUIUEUQUNUKUKHUKUFTUGUH $.

    $( The sum of two positive operators is positive.  Exercise 1(i) of
       [Retherford] p. 49.  (Contributed by NM, 25-Jul-2006.)
       (New usage is discouraged.) $)
    leopadd $p |- ( ( ( T e. HrmOp /\ U e. HrmOp ) /\ ( 0hop <_op T
               /\ 0hop <_op U ) ) -> 0hop <_op ( T +op U ) ) $=
      ( vx cho wcel wa ch0o cleo wbr co cc0 cfv csp chba wral cr hmopre leoppos
      cle wceq chos cv r19.26 caddc wi addge0 ex syl2an anandirs wf anim12i cva
      hmopf w3a hosval oveq1d 3expa ffvelrn adantlr adantll simpr ax-his2 eqtrd
      syl3anc sylan breq2d sylibrd ralimdva syl5bir bi2anan9 wb syl 3imtr4d imp
      hmops ) ADEZBDEZFZGAHIZGBHIZFZGABUAJZHIZVRKCUBZALZWDMJZSIZCNOZKWDBLZWDMJZ
      SIZCNOZFZKWDWBLZWDMJZSIZCNOZWAWCWMWGWKFZCNOVRWQWGWKCNUCVRWRWPCNVRWDNEZFZW
      RKWFWJUDJZSIZWPVPVQWSWRXBUEZVPWSFWFPEZWJPEZXCVQWSFWDAQWDBQXDXEFWRXBWFWJUF
      UGUHUIWTWOXAKSVRNNAUJZNNBUJZFZWSWOXATVPXFVQXGAUMBUMUKXHWSFZWOWEWIULJZWDMJ
      ZXAXFXGWSWOXKTXFXGWSUNWNXJWDMWDABUOUPUQXIWENEZWINEZWSXKXATXFWSXLXGNNWDAUR
      USXGWSXMXFNNWDBURUTXHWSVAWEWIWDVBVDVCVEVFVGVHVIVPVSWHVQVTWLCARCBRVJVRWBDE
      WCWQVKABVOCWBRVLVMVN $.

    $( The scalar product of a nonnegative real and a positive operator is a
       positive operator.  Exercise 1(ii) of [Retherford] p. 49.  (Contributed
       by NM, 25-Jul-2006.)  (New usage is discouraged.) $)
    leopmuli $p |- ( ( ( A e. RR /\ T e. HrmOp ) /\ ( 0 <_ A /\
                0hop <_op T ) ) -> 0hop <_op ( A .op T ) ) $=
      ( vx cr wcel cho wa cc0 cle wbr ch0o cleo co cfv csp chba wral wb leoppos
      wceq chot cv cmul wi hmopre mulge0 sylanr1 expr an4s anassrs recn anim12i
      cc wf hmopf csm homval 3expa oveq1d ffvelrn adantll simpr ax-his3 syl3anc
      simpll eqtrd sylan breq2d adantlr sylibrd expimpd adantl anbi2d hmopm syl
      ralimdva 3imtr4d imp ) ADEZBFEZGZHAIJZKBLJZGZKABUAMZLJZWAWBHCUBZBNZWGOMZI
      JZCPQZGHWGWENZWGOMZIJZCPQZWDWFWAWBWKWOWAWBGZWJWNCPWPWGPEZGWJHAWIUCMZIJZWN
      WAWBWQWJWSUDZVSWBVTWQWTVSWBGZVTWQGZWJWSXBXAWIDEWJWSWGBUEAWIUFUGUHUIUJWAWQ
      WNWSRWBWAWQGWMWRHIWAAUMEZPPBUNZGZWQWMWRTVSXCVTXDAUKBUOULXEWQGZWMAWHUPMZWG
      OMZWRXFWLXGWGOXCXDWQWLXGTAWGBUQURUSXFXCWHPEZWQXHWRTXCXDWQVEXDWQXIXCPPWGBU
      TVAXEWQVBAWHWGVCVDVFVGVHVIVJVPVKWAWCWKWBVTWCWKRVSCBSVLVMWAWEFEWFWORABVNCW
      ESVOVQVR $.

    $( The scalar product of a positive real and a positive operator is a
       positive operator.  Exercise 1(ii) of [Retherford] p. 49.  (Contributed
       by NM, 23-Aug-2006.)  (New usage is discouraged.) $)
    leopmul $p |- ( ( A e. RR /\ T e. HrmOp /\ 0 < A ) ->
                ( 0hop <_op T <-> 0hop <_op ( A .op T ) ) ) $=
      ( cr wcel cho cc0 clt wbr ch0o cleo chot co wa cle adantr ltle 3adant2 c1
      0re wceq w3a 3simpa 3impia mp3an1 anim1i leopmuli syl2anc cdiv wne gt0ne0
      rereccl syldan hmopm 3adant3 recgt0 wi sylancr mpd jca31 anassrs sylan cc
      cmul recn recid2d oveq1d chba wf 3ad2ant1 hmopf 3ad2ant2 homulass syl3anc
      reccld homulid2 syl 3eqtr3d breqtrd impbida ) ACDZBEDZFAGHZUAZIBJHZIABKLZ
      JHZWCWDMVTWAMZFANHZWDMWFWCWGWDVTWAWBUBOWCWHWDVTWBWHWAFCDZVTWBWHSWIVTWBWHF
      APUCUDQUEABUFUGWCWFMIRAUHLZWEKLZBJWCWJCDZWEEDZMZFWJNHZMWFIWKJHZWCWLWMWOVT
      WBWLWAVTWBAFUIWLAUJZAUKULZQVTWAWMWBABUMUNVTWBWOWAVTWBMZFWJGHZWOAUOWSWIWLW
      TWOUPSWRFWJPUQURQUSWNWOWFWPWJWEUFUTVAWCWKBTWFWCWJAVCLZBKLZRBKLZWKBVTWBXBX
      CTWAWSXARBKWSAVTAVBDZWBAVDZOZWQVEVFQWCWJVBDZXDVGVGBVHZXBWKTVTWBXGWAWSAXFW
      QVNQVTWAXDWBXEVIWAVTXHWBBVJZVKWJABVLVMWAVTXCBTZWBWAXHXJXIBVOVPVKVQOVRVS
      $.

    $( Scalar product applied to operator ordering.  (Contributed by NM,
       12-Aug-2006.)  (New usage is discouraged.) $)
    leopmul2i $p |- ( ( ( A e. RR /\ T e. HrmOp /\ U e. HrmOp ) /\ ( 0 <_ A /\
                T <_op U ) ) -> ( A .op T ) <_op ( A .op U ) ) $=
      ( wcel cho wbr cleo chot co wa ch0o chod wi 3adant1 wb leop3 adantr hmopm
      chba wf w3a cc0 cle simp1 hmopd ancoms leopmuli syl2anc imp syl2an 3impdi
      cr exp32 wceq recn hmopf hosubdi syl3an 3com23 breq2d bitr4d 3imtr4d impr
      cc ) AULDZBEDZCEDZUAZUBAUCFZBCGFZABHIZACHIZGFZVHVIJKCBLIZGFZKAVNHIZGFZVJV
      MVHVIVOVQMZVHVEVNEDZVIVRMVEVFVGUDVFVGVSVEVGVFVSCBUEUFNVEVSJVIVOVQAVNUGUMU
      HUIVHVJVOOZVIVFVGVTVEBCPNQVHVMVQOVIVHVMKVLVKLIZGFZVQVEVFVGVMWBOZVEVFJVKED
      VLEDWCVEVGJABRACRVKVLPUJUKVHVPWAKGVEVGVFVPWAUNZVEAVDDVGSSCTVFSSBTWDAUOCUP
      BUPACBUQURUSUTVAQVBVC $.

    $( The positive operator ordering relation satisfies trichotomy.  Exercise
       1(iii) of [Retherford] p. 49.  (Contributed by NM, 25-Jul-2006.)
       (New usage is discouraged.) $)
    leoptri $p |- ( ( T e. HrmOp /\ U e. HrmOp ) ->
           ( ( T <_op U /\ U <_op T ) <-> T = U ) ) $=
      ( vx cho wcel wa cleo wbr cfv csp co cle chba wral leop2 wb cr hmopre clo
      wceq ancoms anbi12d adantlr adantll letri3d r19.26 bitr2di hmoplin lnopeq
      cv ralbidva syl2an 3bitrd ) ADEZBDEZFZABGHZBAGHZFCUJZAIUSJKZUSBIUSJKZLHZC
      MNZVAUTLHZCMNZFZUTVATZCMNZABTZUPUQVCURVECABOUOUNURVEPCBAOUAUBUPVHVBVDFZCM
      NVFUPVGVJCMUPUSMEZFUTVAUNVKUTQEUOUSARUCUOVKVAQEUNUSBRUDUEUKVBVDCMUFUGUNAS
      EBSEVHVIPUOAUHBUHCABUIULUM $.

    $( The positive operator ordering relation is transitive.  Exercise 1(iv)
       of [Retherford] p. 49.  (Contributed by NM, 25-Jul-2006.)
       (New usage is discouraged.) $)
    leoptr $p |- ( ( ( S e. HrmOp /\ T e. HrmOp /\ U e. HrmOp ) /\
           ( S <_op T /\ T <_op U ) ) -> S <_op U ) $=
      ( vx cho wcel w3a cleo wbr wa cfv csp co cle chba wral cr hmopre wb leop2
      cv r19.26 wi letr syl3an ralimdva syl5bir 3adant3 3adant1 anbi12d 3adant2
      3anandirs 3imtr4d imp ) AEFZBEFZCEFZGZABHIZBCHIZJZACHIZURDUAZAKVCLMZVCBKV
      CLMZNIZDOPZVEVCCKVCLMZNIZDOPZJZVDVHNIZDOPZVAVBVKVFVIJZDOPURVMVFVIDOUBURVN
      VLDOUOUPUQVCOFZVNVLUCZUOVOJVDQFUPVOJVEQFUQVOJVHQFVPVCARVCBRVCCRVDVEVHUDUE
      ULUFUGURUSVGUTVJUOUPUSVGSUQDABTUHUPUQUTVJSUODBCTUIUJUOUQVBVMSUPDACTUKUMUN
      $.

    $( A bounded Hermitian operator is less than or equal to its norm times the
       identity operator.  (Contributed by NM, 11-Aug-2006.)
       (New usage is discouraged.) $)
    leopnmid $p |- ( ( T e. HrmOp /\ ( normop ` T ) e. RR ) ->
                    T <_op ( ( normop ` T ) .op Iop ) ) $=
      ( vx cho wcel cfv cr wa chio co wbr csp cle chba adantlr recnd sylan cmul
      adantl csm wceq cnop chot cleo wral cabs hmopre abscld idhmop hmopm mpan2
      cv adantll leabsd cno wf ffvelrn normcl syl remulcld bcs sylancom remulcl
      hmopf cc0 sylan2 normge0 jca cbo hmoplin elbdop2 biimpri nmbdoplb lemul1a
      clo syl31anc cc recn ad2antlr mulassd simpr ax-his3 syl3anc sqvald normsq
      cexp eqtr3d oveq2d eqtr4d wf1o hoif f1of mp1i homval hoival eqtrd breqtrd
      c2 oveq1d letrd ralrimiva wb leop2 mpbird ) ACDZAUAEZFDZGZAXEHUBIZUCJZBUK
      ZAEZXJKIZXJXHEZXJKIZLJZBMUDZXGXOBMXGXJMDZGZXLXLUEEZXNXDXQXLFDXFXJAUFZNXDX
      QXSFDXFXDXQGZXLYAXLXTOUGNZXFXQXNFDZXDXFXHCDZXQYCXFHCDYDUHXEHUIUJZXJXHUFPU
      LZXDXQXLXSLJXFYAXLXTUMNXRXSXKUNEZXJUNEZQIZXNYBXRYGYHXDXQYGFDZXFXDMMAUOZXQ
      YJAVCZYKXQGXKMDZYJMMXJAUPZXKUQURPNZXQYHFDZXGXJUQZRZUSYFXDXQXSYILJZXFXDXQY
      MYSXDYKXQYMYLYNPXKXJUTVANXRYIXEYHQIZYHQIZXNLXRYJYTFDZYPVDYHLJZGZYGYTLJZYI
      UUALJYOXFXQUUBXDXQXFYPUUBYQXEYHVBVEULXQUUDXGXQYPUUCYQXJVFVGRXGAVHDZXQUUEX
      DAVNDZXFUUFAVIUUFUUGXFGAVJVKPXJAVLPYGYTYHVMVOXRUUAXEXJSIZXJKIZXNXRUUAXEYH
      YHQIZQIZUUIXRXEYHYHXFXEVPDZXDXQXEVQVRZXRYHYROZUUNVSXRUUIXEXJXJKIZQIZUUKXR
      UULXQXQUUIUUPTUUMXGXQVTZUUQXEXJXJWAWBXQUUKUUPTXGXQUUJUUOXEQXQYHWQWEIUUJUU
      OXQYHXQYHYQOWCXJWDWFWGRWHWHXRXMUUHXJKXRXMXEXJHEZSIZUUHXRUULMMHUOZXQXMUUST
      UUMMMHWIUUTXRWJMMHWKWLUUQXEXJHWMWBXQUUSUUHTXGXQUURXJXESXJWNWGRWOWRWHWPWSW
      SWTXFXDYDXIXPXAYEBAXHXBVEXC $.

    $( A nonzero, bounded Hermitian operator divided by its norm is less than
       or equal to the identity operator.  (Contributed by NM, 12-Aug-2006.)
       (New usage is discouraged.) $)
    nmopleid $p |- ( ( T e. HrmOp /\ ( normop ` T ) e. RR /\ T =/= 0hop ) ->
                    ( ( 1 / ( normop ` T ) ) .op T ) <_op Iop ) $=
      ( cho wcel cr wne c1 co chot chio cleo wbr cc0 sylan adantlr adantll chba
      wa clt wf wceq cnop cfv ch0o clo hmoplin nmlnopne0 biimpar rereccl simpll
      cdiv cle idhmop hmopm mpan2 ad2antlr simplr nmopgt0 biimpa recgt0d wi 0re
      hmopf ltle sylancr mpd leopnmid adantr leopmul2i syl32anc recn cmul reccl
      simpl wf1o hoif f1of ax-mp homulass mp3an3 syl2anc recid2 oveq1d homulid2
      cc eqtr3d eqtrdi breqtrd syldan 3impa ) ABCZAUAUBZDCZAUCEZFWKUJGZAHGZIJKZ
      WJWLQZWMWKLEZWPWJWMWRWLWJAUDCZWMWRAUEWSWRWMAUFUGMNWQWRQZWOWNWKIHGZHGZIJWT
      WNDCZWJXABCZLWNUKKZAXAJKZWOXBJKWLWRXCWJWKUHZOWJWLWRUIWLXDWJWRWLIBCXDULWKI
      UMUNUOWTLWNRKZXEWTWKWJWLWRUPWJWRLWKRKZWLWJPPASZWRXIAVBXJWRXIAUQURMNUSWLWR
      XHXEUTZWJWLWRQLDCXCXKVAXGLWNVCVDOVEWQXFWRAVFVGWNAXAVHVIWLWRXBITZWJWLWKWDC
      ZWRXLWKVJXMWRQZXBFIHGZIXNWNWKVKGZIHGZXBXOXNWNWDCZXMXQXBTZWKVLXMWRVMXRXMPP
      ISZXSPPIVNXTVOPPIVPVQZWNWKIVRVSVTXNXPFIHWKWAWBWEXTXOITYAIWCVQWFMOWGWHWI
      $.
  $}

  ${
    $d u v T $.
    opsqrlem1.1 $e |- T e. HrmOp $.
    opsqrlem1.2 $e |- ( normop ` T ) e. RR $.
    opsqrlem1.3 $e |- 0hop <_op T $.
    opsqrlem1.4 $e |- R = ( ( 1 / ( normop ` T ) ) .op T ) $.
    opsqrlem1.5 $e |- ( T =/= 0hop -> E. u e. HrmOp ( 0hop <_op u /\
                      ( u o. u ) = R ) ) $.
    $( Lemma for opsqri .  (Contributed by NM, 9-Aug-2006.)
       (New usage is discouraged.) $)
    opsqrlem1 $p |- ( T =/= 0hop ->
                   E. v e. HrmOp ( 0hop <_op v /\ ( v o. v ) = T ) ) $=
      ( ch0o wbr ccom wceq wa cho wcel chot co chba ax-mp wne cv cleo wrex cnop
      cfv csqrt cr cc0 wf hmopf nmopge0 sqrtcli mpan ad2antlr sqrtge0i leopmuli
      cle hmopm mpanr1 mpanl1 ad2ant2lr cc recni homulcl homco1 mp3an1 syl2anc2
      clo hmoplin homco2 syl2anc oveq2d fco homulass mp3an12 syl sqrtthi oveq1i
      cmul eqtr3di 3eqtrd cdiv eqtrdi nmlnopne0 recidzi sylbir oveq1d rerecclzi
      c1 id recnd mp3an13 homulid2 mp1i 3eqtr3d sylan9eqr adantlr eqtrd adantrl
      wb breq2 coeq1 coeq2 eqeq1d anbi12d rspcev syl12anc r19.29a ) DJUAZJBUBZU
      CKZXKXKLZCMZNZJAUBZUCKZXPXPLZDMZNZAOUDZBOXJXKOPZNZXONDUEUFZUGUFZXKQRZOPZJ
      YFUCKZYFYFLZDMZYAYBYGXJXOYEUHPZYBYGUIYDURKZYKSSDUJZYLDOPZYMEDUKTZDULTZYDF
      UMTZYEXKUSUNUOYBXLYHXJXNYKYBXLYHYQYKYBNUIYEURKZXLYHYLYRYPYDFUPTYEXKUQUTVA
      VBYCXNYJXLYCXNNYIYDXMQRZDYBYIYSMXJXNYBYIYEXKYFLZQRZYEYEXMQRZQRZYSYBSSXKUJ
      ZSSYFUJZYIUUAMZXKUKZYEVCPZUUDUUEYEYQVDZYEXKVEUNUUHUUDUUEUUFUUIYEXKYFVFVGV
      HYBYTUUBYEQYBXKVIPZUUDYTUUBMZXKVJUUGUUHUUJUUDUUKUUIYEXKXKVKVGVLVMYBYEYEVT
      RZXMQRZUUCYSYBSSXMUJZUUMUUCMZYBUUDUUDUUNUUGUUGSSSXKXKVNVLUUHUUHUUNUUOUUIU
      UIYEYEXMVOVPVQUULYDXMQYLUULYDMYPYDFVRTVSWAWBUOXJXNYSDMYBXNXJYSYDWJYDWCRZD
      QRZQRZDXNXMUUQYDQXNXMCUUQXNWKHWDVMXJYDUUPVTRZDQRZWJDQRZUURDXJUUSWJDQXJYDU
      IUAZUUSWJMDVIPZUVBXJXAYNUVCEDVJTDWETZYDYDFVDZWFWGWHXJUUPVCPZUUTUURMZXJUUP
      XJUVBUUPUHPUVDYDFWIWGWLYDVCPUVFYMUVGUVEYOYDUUPDVOWMVQYMUVADMXJYODWNWOWPWQ
      WRWSWTXTYHYJNAYFOXPYFMZXQYHXSYJXPYFJUCXBUVHXRYIDUVHXRYFXPLYIXPYFXPXCXPYFY
      FXDWSXEXFXGXHIXI $.
  $}

  ${
    $d j k F $.  $d w z G $.  $d j k N $.  $d w z S $.  $d w x y z T $.
    $d w z H $.
    opsqrlem2.1 $e |- T e. HrmOp $.
    opsqrlem2.2 $e |- S = ( x e. HrmOp , y e. HrmOp |->
          ( x +op ( ( 1 / 2 ) .op ( T -op ( x o. x ) ) ) ) ) $.
    opsqrlem2.3 $e |- F = seq 1 ( S , ( NN X. { 0hop } ) ) $.
    $( Lemma for opsqri . ` F `` N ` is the recursive function A_n (starting at
       n=1 instead of 0) of Theorem 9.4-2 of [Kreyszig] p. 476.  (Contributed
       by NM, 17-Aug-2006.)  (New usage is discouraged.) $)
    opsqrlem2 $p |- ( F ` 1 ) = 0hop $=
      ( c1 cfv cn ch0o csn cxp cseq fveq1i cz wcel wceq ax-mp 1z seq1 1nn 0hmop
      cho elexi fvconst2 3eqtri ) IEJICKLMNZIOZJZIUIJZLIEUJHPIQRUKULSUACUIIUBTI
      KRULLSUCKLILUEUDUFUGTUH $.

    $( Lemma for opsqri .  (Contributed by NM, 22-Aug-2006.)
       (New usage is discouraged.) $)
    opsqrlem3 $p |- ( ( G e. HrmOp /\ H e. HrmOp ) ->
              ( G S H ) = ( G +op ( ( 1 / 2 ) .op ( T -op ( G o. G ) ) ) ) ) $=
      ( vz vw cho cv co ccom chod chot chos oveq2d c1 cdiv wceq coeq12d oveq12d
      c2 id eqidd cmpo weq cbvmpov eqtri ovex ovmpo ) KLFGMMKNZUAUFUBOZDUOUOPZQ
      OZROZSOZFUPDFFPZQOZROZSOZCVDUOFUCZUOFUSVCSVEUGZVEURVBUPRVEUQVADQVEUOFUOFV
      FVFUDTTUELNGUCVDUHCABMMANZUPDVGVGPZQOZROZSOZUIKLMMUTUIIABKLMMVKUTUTAKUJZV
      GUOVJUSSVLUGZVLVIURUPRVLVHUQDQVLVGUOVGUOVMVMUDTTUEBLUJUTUHUKULFVCSUMUN $.

    $( Lemma for opsqri .  (Contributed by NM, 17-Aug-2006.)
       (New usage is discouraged.) $)
    opsqrlem4 $p |- F : NN --> HrmOp $=
      ( vz vw cn cho wf ch0o c1 wtru cv wcel 0hmop co csn cxp cseq cfv fvconst2
      nnuz 1zzd elexi eqeltrdi adantl cdiv ccom chod chot chos opsqrlem3 halfre
      wa c2 cr wceq simpl eqidd hmopco syl3anc hmopd sylancr hmopm hmops syldan
      eqeltrd seqf mptru feq1i mpbir ) KLEMKLCKNUAUBZOUCZMZVRPIJCLVPOKUFPUGIQZK
      RZVSVPUDZLRPVTWANLKNVSNLSUHUESUIUJVSLRZJQZLRZURZVSWCCTZLRPWEWFVSOUSUKTZDV
      SVSULZUMTZUNTZUOTZLABCDEVSWCFGHUPWBWDWJLRZWKLRWEWGUTRWILRZWLUQWEDLRWHLRZW
      MFWEWBWBWHWHVAWNWBWDVBZWOWEWHVCVSVSVDVEDWHVFVGWGWIVHVGVSWJVIVJVKUJVLVMKLE
      VQHVNVO $.

    $( Lemma for opsqri .  (Contributed by NM, 17-Aug-2006.)
       (New usage is discouraged.) $)
    opsqrlem5 $p |- ( N e. NN -> ( F ` ( N + 1 ) ) =
  ( ( F ` N ) +op ( ( 1 / 2 ) .op ( T -op ( ( F ` N ) o. ( F ` N ) ) ) ) ) ) $=
      ( cn wcel c1 caddc co cfv ch0o wceq fveq1i cho 0hmop csn cxp c2 cdiv ccom
      chod chot chos cseq elnnuz seqp1 sylbi oveq1i opsqrlem4 ffvelrni peano2nn
      cuz 3eqtr4g elexi fvconst2 syl eqeltrdi opsqrlem3 syl2anc eqtrd ) FJKZFLM
      NZEOZFEOZVGJPUAUBZOZCNZVILUCUDNDVIVIUEUFNUGNUHNZVFVGCVJLUIZOZFVNOZVKCNZVH
      VLVFFLUQOKVOVQQFUJCVJLFUKULVGEVNIRVIVPVKCFEVNIRUMURVFVISKVKSKVLVMQJSFEABC
      DEGHIUNUOVFVKPSVFVGJKVKPQFUPJPVGPSTUSUTVATVBABCDEVIVKGHIVCVDVE $.

    ${
      opsqrlem6.4 $e |- T <_op Iop $.
      $( Lemma for opsqri .  (Contributed by NM, 23-Aug-2006.)
         (New usage is discouraged.) $)
      opsqrlem6 $p |- ( N e. NN -> ( F ` N ) <_op Iop ) $=
        ( chio cleo co wceq wcel chod c2 chos syl chba vj vk cv cfv caddc fveq2
        wbr breq1d ch0o opsqrlem2 idleop eqbrtri chot ccom cho idhmop opsqrlem4
        c1 cn ffvelrni hmopd sylancr eqid hmopco mp3an3 syl2anc leopsq wb leop3
        mp2an mpbi wa leopadd mpanl2 mpanr2 cdiv wf 2cn hmopf homulcl ax-mp fco
        cc hosubcl hosubsub4 mp3an1 hoadd32 mp3an13 ho2times oveq1i hoaddsubass
        eqtr4di eqtr4d oveq1d hoaddcl mp3an23 3eqtr3d mpanr1 mpanl1 halfcn cmul
        hosubadd4 hoadddi recidi homulass mp3an12 homulid2 3eqtr3a oveq2d eqtrd
        2ne0 3eqtr4d hosubdi hocsubdir clo hmoplin hoid1i hoico2 oveq12d mp3an2
        hoddi a1i hoico1 syl12anc 3eqtr2d opsqrlem5 breqtrd peano2nn cr cc0 clt
        jctil 2re 2pos leopmul mpbird sylancl nn1suc ) UAUCZEUDZKLUGUREUDZKLUGU
        BUCZURUEMZEUDZKLUGZFEUDZKLUGUAUBFYSURNYTUUAKLYSUREUFUHYSUUCNYTUUDKLYSUU
        CEUFUHYSFNYTUUFKLYSFEUFUHUUAUIKLABCDEGHIUJUKULUUBUSOZUUEUIKUUDPMZLUGZUU
        GUUIUIQUUHUMMZLUGZUUGUIKUUBEUDZPMZUUMUNZKDPMZRMZUUJLUUGUUNUOOZUIUUNLUGZ
        UIUUPLUGZUUGUUMUOOZUUTUUQUUGKUOOZUULUOOZUUTUPUSUOUUBEABCDEGHIUQZUTZKUUL
        VAVBZUVEUUTUUTUUNUUNNUUQUUNVCUUMUUMVDVEVFUUGUUTUURUVEUUMVGSUUQUURUIUUOL
        UGZUUSDKLUGZUVFJDUOOZUVAUVGUVFVHGUPDKVIVJVKUUQUUOUOOZUURUVFVLUUSUVAUVHU
        VIUPGKDVAVJUUNUUOVMVNVOVFUUGKUULUULUNZQUULUMMZPMZRMZUUORMZQKUULURQVPMZD
        UVJPMZUMMZRMZPMZUMMZUUPUUJUUGUVNQKUMMZQUVRUMMZPMZUVTUUGUWAUVKPMUVPPMZUW
        AUVKUVPRMZPMZUVNUWCUUGTTUVKVQZTTUVPVQZUWDUWFNZUUGQWCOZTTUULVQZUWGVRUUGU
        VBUWKUVDUULVSSZQUULVTVBZUUGTTDVQZTTUVJVQZUWHUVHUWNGDVSWAZUUGUWKUWKUWOUW
        LUWLTTTUULUULWBVFZDUVJWDVBZTTUWAVQZUWGUWHUWIUWJTTKVQZUWSVRUVAUWTUPKVSWA
        ZQKVTVJZUWAUVKUVPWEWFVFUUGUVNUWAUVJRMZUVKDRMPMZUWDUUGUVMKRMZDPMZUXCUVKP
        MZDPMZUVNUXDUUGUXEUXGDPUUGUXEUWAUVLRMZUXGUUGUXEKKRMZUVLRMZUXIUUGTTUVLVQ
        ZUXEUXKNZUUGUWOUWGUXLUWQUWMUVJUVKWDVFZUWTUXLUWTUXMUXAUXAKUVLKWGWHSUWAUX
        JUVLRUWTUWAUXJNUXAKWIWAWJWLUUGUWOUWGUXGUXINZUWQUWMUWSUWOUWGUXOUXBUWAUVJ
        UVKWKWFVFWMWNUUGTTUVMVQZUXFUVNNZUUGUWTUXLUXPUXAUXNKUVLWOVBUXPUWTUWNUXQU
        XAUWPUVMKDWKWPSUUGTTUXCVQZUWGUXHUXDNZUUGUWSUWOUXRUXBUWQUWAUVJWOVBUWMUXR
        UWGUWNUXSUWPUXCUVKDWEVEVFWQUUGUWGUWOUWDUXDNZUWMUWQUWSUWGUWOUXTUXBUWSUWG
        VLUWNUWOUXTUWPUWAUVKDUVJXBWRWSVFWMUUGUWBUWEUWAPUUGUWBUVKQUVQUMMZRMZUWEU
        UGUWKTTUVQVQZUWBUYBNZUWLUUGUVOWCOZUWHUYCWTUWRUVOUVPVTVBZUWJUWKUYCUYDVRQ
        UULUVQXCWFVFUUGUYAUVPUVKRUUGQUVOXAMZUVPUMMZURUVPUMMZUYAUVPUYGURUVPUMQVR
        XKXDWJUUGUWHUYHUYANZUWRUWJUYEUWHUYJVRWTQUVOUVPXEXFSUUGUWHUYIUVPNUWRUVPX
        GSXHXIXJXIXLUUGTTUVRVQZUVTUWCNZUUGUWKUYCUYKUWLUYFUULUVQWOVFUWJUWTUYKUYL
        VRUXAQKUVRXMXFSWMUUGUUNUVMUUORUUGUUNKUUMUNZUULUUMUNZPMZUVMUUGUWKTTUUMVQ
        ZUUNUYONZUWLUUGUWTUWKUYPUXAUWLKUULWDVBUWTUWKUYPUYQUXAKUULUUMXNWFVFUUGUY
        OKUVJRMZUULUULRMZPMZUYRUVKPMZUVMUUGUYOUUMUULUVJPMZPMZUYTUUGUYMUUMUYNVUB
        PUUGUYMKKUNZKUULUNZPMZUUMUUGUWKUYMVUFNZUWLKXOOZUWTUWKVUGUVAVUHUPKXPWAUX
        AKKUULYAXFSUUGVUDKVUEUULPVUDKNUUGKUXAXQYBUUGUWKVUEUULNUWLUULXRSXSXJUUGU
        YNUULKUNZUVJPMZVUBUUGUULXOOZUWKUYNVUJNZUUGUVBVUKUVDUULXPSUWLVUKUWTUWKVU
        LUXAUULKUULYAXTVFUUGVUIUULUVJPUUGUWKVUIUULNUWLUULYCSWNXJXSUUGUWTUWKVLUW
        KUWOVUCUYTNUUGUWKUWTUWLUXAYLUWLUWQKUULUULUVJXBYDXJUUGUVKUYSUYRPUUGUWKUV
        KUYSNUWLUULWISXIUUGUWOUWGVUAUVMNZUWQUWMUWTUWOUWGVUMUXAKUVJUVKWKWFVFYEXJ
        WNUUGUUHUVSQUMUUGUUDUVRKPABCDEUUBGHIYFXIXIXLYGUUGUUHUOOZUUIUUKVHZUUGUVA
        UUDUOOZVUNUPUUGUUCUSOVUPUUBYHUSUOUUCEUVCUTSZKUUDVAVBQYIOVUNYJQYKUGVUOYM
        YNQUUHYOWHSYPUUGVUPUVAUUEUUIVHVUQUPUUDKVIYQYPYR $.
    $}
  $}

$(
  @{
    opsqrlem8.1 @e |- T e. HrmOp @.
    opsqrlem8.2 @e |- 0hop <_op T @.
    opsqrlem8.3 @e |- T <_op Iop @.
    @( Lemma for ~ opsqri . @)
    opsqrlem8 @p |- E. u e. HrmOp ( 0hop <_op u /\
                    ( u o. u ) = T ) @=
      (  ) ? @.
      @( [ ?] @) @( [17-Aug-2006] @)
  @}

  @{
    @d u T @.
    @( Lemma for ~ opsqri . @)
    opsqrlem9 @p |- ( ( T e. HrmOp /\ 0hop <_op T /\ T <_op Iop ) ->
                 E. u e. HrmOp ( 0hop <_op u /\ ( u o. u ) = T ) ) @=
      ( cho wcel ch0o cleo wbr chio w3a cv ccom wceq wa wrex cif eqeq2 anbi2d
      rexbidv eleq1 breq2 breq1 3anbi123d 0hmop 0leop idleop 3pm3.2i elimhyp
      simp1i simp2i simp3i opsqrlem8 dedth ) BCDZEBFGZBHFGZIZEAJZFGZUQUQKZBL
      ZMZACNURUSUPBEOZLZMZACNBEBVBLZVAVDACVEUTVCURBVBUSPQRAVBVBCDZEVBFGZVBHFGZU
      PVFVGVHIECDZEEFGZEHFGZIBEVEUMVFUNVGUOVHBVBCSBVBEFTBVBHFUAUBEVBLVIVFVJVGVK
      VHEVBCSEVBEFTEVBHFUAUBVIVJVKUCUDUEUFUGZUHVFVGVHVLUIVFVGVHVLUJUKUL @.
      @( [ ?] @) @( [8-Aug-2006] @)
  @}

  @{
    @d u v T @.
    opsqr.1 @e |- T e. HrmOp @.
    opsqr.2 @e |- ( normop ` T ) e. RR @.
    opsqr.3 @e |- 0hop <_op T @.
    @( Square root lemma. @)
    opsqri @p |- E. u e. HrmOp ( 0hop <_op u /\
                    ( u o. u ) = T ) @=
      ( vv ch0o wceq cv cleo wbr ccom wa cho wrex eqid eqeq2 anbi2d rexbidv
      wne c1 cnop cfv cdiv co chot wcel chio opsqrlem9 cr cc0 clo hmoplin
      ax-mp nmlnop0iHIL biimpi necon3i rerecclzi syl hmopm mpan2 cle leopmuli
  mpanr2 mpanl2 clt wi 0re ltle mpan nmlnopgt0i recgt0i sylbi sylcOLD sylancOLD
    nmopleid mp3an12 syl3ancOLD opsqrlem1 adantl 0hmop 0leop ho0f ho0coi pm3.2i
      breq2 coeq1 coeq2 eqtrd eqeq1d anbi12d rspcev mp2an a1i pm2.61ne ) GGHZG
      AIZJKZWQWQLZBHZMZANOZGPWPXBWRWSGHZMZANOZBGBGHZXAXDANXFWTXCWRBGWSQRSBGTZXB
      WPAFUABUBUCZUDUEZBUFUEZBCDEXJPXJNUGZGXJJKZXJUHJKZGFIZJKXNXNLXJHMFNOXGFXJU
      IXGXIUJUGZXKXGXHUKTXOXHUKBGXHUKHXFBBNUGZBULUGCBUMUNZUOUPUQXHDURUSZXOXPXKC
      XIBUTVAUSXOUKXIVBKZXLXGXOXPXSXLCXOXPMXSGBJKXLEXIBVCVDVEXRXOUKXIVFKZXSXGUK
      UJUGXOXTXSVGVHUKXIVIVJXRXGUKXHVFKXTBXQVKXHDVLVMVNVOXPXHUJUGXGXMCDBVPVQVRV
      SVTXEWPGNUGGGJKZGGLZGHZMZXEWAYAYCWBGWCWDWEXDYDAGNWQGHZWRYAXCYCWQGGJWFYEWS
      YBGYEWSGWQLYBWQGWQWGWQGGWHWIWJWKWLWMWNWOUN @.
      @( [ ?] @) @( [8-Aug-2006] @)
  @}
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Projectors as operators
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d w x y z H $.
    pjhmop.1 $e |- H e. CH $.
    $( A projector is a Hermitian operator.  (Contributed by NM, 24-Mar-2006.)
       (New usage is discouraged.) $)
    pjhmopi $p |- ( projh ` H ) e. HrmOp $=
      ( vx vy cpjh cfv cho wcel chba wf cv csp co wceq wral pjadji eqcomd rgen2
      pjfi wa elhmop mpbir2an ) AEFZGHIIUCJCKZDKZUCFLMZUDUCFUELMZNZDIOCIOABSUHC
      DIIUDIHUEIHTUGUFUDUEABPQRCDUCUAUB $.

    $( A projector is a linear operator.  (Contributed by NM, 24-Mar-2006.)
       (New usage is discouraged.) $)
    pjlnopi $p |- ( projh ` H ) e. LinOp $=
      ( cpjh cfv cho wcel clo pjhmopi hmoplin ax-mp ) ACDZEFKGFABHKIJ $.

    $( The operator norm of a projector on a nonzero closed subspace is one.
       Part of Theorem 26.1 of [Halmos] p. 43.  (Contributed by NM,
       9-Apr-2006.)  (New usage is discouraged.) $)
    pjnmopi $p |- ( H =/= 0H -> ( normop ` ( projh ` H ) ) = 1 ) $=
      ( vy vx vz vw cfv cv cno c1 cle wbr wceq wa chba wrex cxr clt cr wcel c0h
      wne cpjh cnop cab csup wf pjfi nmopval ax-mp wral wi eqeq1 anbi2d rexbidv
      vex elab cch pjnorm mpan pjhcli normcl syl 1re mp3an3 syl2anc mpand breq1
      letr imp biimparc sylan expl rexlimiv sylbi rgen cheli adantr eqle fveq2d
      simpr eqtr2d jca32 reximi2 c0v chne0i chshii norm1exi bitri 3imtr4i breq2
      1ex rspcev ex ralrimivw wss nmopsetretHIL ressxr sstri 1xr supxr2 mpanl12
      pjid sylancr syl5eq ) AUAUBZAUCGZUDGZCHZIGZJKLZDHZXIXGGZIGZMZNZCOPZDUEZQR
      UFZJOOXGUGZXHXSMABUHZDCXGUIUJXFEHZJKLZEXRUKZYBJRLZYBFHZRLZFXRPZULZESUKZXS
      JMZYCEXRYBXRTXKYBXNMZNZCOPZYCXQYNDYBEUPXLYBMZXPYMCOYOXOYLXKXLYBXNUMUNUOUQ
      YMYCCOXIOTZXKYLYCYPXKNXNJKLZYLYCYPXKYQYPXNXJKLZXKYQAURTZYPYRBXIAUSUTYPXNS
      TZXJSTZYRXKNYQULZYPXMOTYTXIABVAXMVBVCXIVBZYTUUAJSTUUBVDXNXJJVIVEVFVGVJYLY
      CYQYBXNJKVHVKVLVMVNVOVPXFYIESXFYEYHXFJXRTZYEYHXJJMZCAPZXKJXNMZNZCOPZXFUUD
      UUEUUHCAOXIATZUUENZYPXKUUGUUJYPUUEXIABVQZVRUUJUUAUUEXKUUJYPUUAUULUUCVCXJJ
      VSVLUUKXNXJJUUJXNXJMUUEUUJXMXIIYSUUJXMXIMBXIAXCUTVTVRUUJUUEWAWBWCWDXFXIWE
      UBCAPUUFCABWFCCAABWGWHWIXQUUIDJWLXLJMZXPUUHCOUUMXOUUGXKXLJXNUMUNUOUQWJYGY
      EFJXRYFJYBRWKWMVLWNWOXRQWPJQTYDYJNYKXRSQXTXRSWPYADCXGWQUJWRWSWTEFXRJXAXBX
      DXE $.

    $( A projector is a bounded linear operator.  (Contributed by NM,
       3-Jun-2006.)  (New usage is discouraged.) $)
    pjbdlni $p |- ( projh ` H ) e. BndLinOp $=
      ( cpjh cfv cbo wcel clo cnop cr pjlnopi cch c0h wceq 2fveq3 eleq1d wne c1
      pjnmopi cc0 ch0o 1re eqeltrdi adantl df-h0op fveq2i nmop0 0re eqeltri a1i
      eqtr3i pm2.61ne ax-mp elbdop2 mpbir2an ) ACDZEFUOGFUOHDZIFZABJAKFZUQBURUQ
      LCDZHDZIFZALALMUPUTIALHCNOALPZUQURVBUPQIABRUAUBUCVAURUTSITHDUTSTUSHUDUEUF
      UJUGUHUIUKULUOUMUN $.
  $}

  $( A projection is a Hermitian operator.  (Contributed by NM, 24-Apr-2006.)
     (New usage is discouraged.) $)
  pjhmop $p |- ( H e. CH -> ( projh ` H ) e. HrmOp ) $=
    ( cch wcel cpjh cfv cho c0h wceq fveq2 eleq1d h0elch elimel pjhmopi dedth
    cif ) ABCZADEZFCPAGOZDEZFCAGARHQSFARDIJRAGBKLMN $.

  ${
    $d f k x y z T $.
    hmopidmch.1 $e |- T e. HrmOp $.
    hmopidmch.2 $e |- ( T o. T ) = T $.
    $( An idempotent Hermitian operator generates a closed subspace.  Part of
       proof of Theorem of [AkhiezerGlazman] p. 64.  (Contributed by NM,
       21-Apr-2006.)  (Proof shortened by Mario Carneiro, 19-May-2014.)
       (New usage is discouraged.) $)
    hmopidmchi $p |- ran T e. CH $=
      ( vf vx vy vk wcel cn cv wf ax-mp cfv cmv co c0v wceq chba eqid wb crn wa
      cch csh chli wbr wal cho clo hmoplin rnelshi csn cxp cno ccom cmopn cxmet
      wi cha hilxmet methaus mp1i cmpt clm cmap cres cva csm hhims hhlm eqsstri
      cop resss ssbri adantl ctopon mopntopon ccn a1i feqmptd ccop hmopbdoptHIL
      cbo lnopcnbd mpbir hhcno eleqtri eqeltrrdi cnmptid cnv ctx hhnv hhvs vmcn
      lnopfi cnmpt12f lmcn wral wss simpl shssii fss sylancl ffvelrnda fveq2 id
      oveq12d ovex fvmpt syl wfn ffn eqeq12d ralrn hocoi fveq1i eqtr3di mprgbir
      ffvelrn adantlr rspccv mpsyl eqeltrd hvsubeq0 mpbird eqtrd fvco3 ax-hv0cl
      syl2anc elexi fvconst2 3eqtr4d ralrimiva fnmpti sylancr fconst eqfnfv vex
      fnfco c1 hlimveci 3brtr3d cz 1zzd lmconst syl3anc ffvelrni mpbid fnfvelrn
      nnuz lmmo eqeltrrd gen2 isch2 mpbir2an ) AUAZUCHUUPUDHIUUPDJZKZUUQEJZUEUF
      ZUBZUUSUUPHURZEUGDUGAAUHHZAUIHZBAUJLZUKZUVBDEUVAUUSAMZUUSUUPUVAUVGUUSNOZP
      QZUVGUUSQZUVAUVHPIPULZUMZUNNUOZUPMZUVMRUQMHZUVNUSHUVAUVMUVMSZUTZUVMUVNRUV
      NSZVAVBUVAFRFJZAMZUVSNOZVCZUUQUOZUUSUWBMZUVLUVHUVNVDMZUVAUUSUUQUWBUVNUVNU
      UTUUQUUSUWEUFUURUEUWEUUQUUSUEUWERIVEOZVFUWEUVMVGVHVLUNVLZUVNUWGSZUVMUWGUW
      HUVPVIZUVRVJUWEUWFVMVKVNVOUVAFUVTUVSNUVNUVNUVNUVNRUVOUVNRVPMHZUVAUVQUVMUV
      NRUVRVQVBZUVAFRUVTVCAUVNUVNVROZUVAFRRARRAKZUVAAUVEWOZVSVTAWAUWLAWAHZAWCHZ
      UVCUWPBAWBLUVDUWOUWPTUVEAWDLWEUVMUVNUVPUVRWFWGWHUVAFUVNRUWKWIUWGWJHNUVNUV
      NWKOUVNVROHUVAUWGUWHWLUVMUWGUVNNUWIUVRUWGUWHWMWNVBWPWQUVAUWCUVLQZGJZUWCMZ
      UWRUVLMZQZGIWRZUVAUXAGIUVAUWRIHZUBZUWRUUQMZUWBMZPUWSUWTUXDUXFUXEAMZUXENOZ
      PUXDUXERHZUXFUXHQUVAIRUWRUUQUVAUURUUPRWSIRUUQKZUURUUTWTUUPUVFXAIUUPRUUQXB
      XCZXDZFUXEUWAUXHRUWBUVSUXEQZUVTUXGUVSUXENUVSUXEAXEZUXMXFZXGUWBSZUXGUXENXH
      XIXJUXDUXHPQZUXGUXEQZUVTUVSQZFUUPWRZUXDUXEUUPHZUXRUXTUVGAMZUVGQZERARXKZUX
      TUYCERWRTUWMUYDUWNRRAXLLZUXSUYCFERAUVSUVGQZUVTUYBUVSUVGUVSUVGAXEUYFXFXMXN
      LUUSRHZUUSAAUOZMUYBUVGUUSAAUWNUWNXOUUSUYHACXPXQXRUURUXCUYAUUTIUUPUWRUUQXS
      XTUXSUXRFUXEUUPUXMUVTUXGUVSUXEUXNUXOXMYAYBZUXDUXGRHUXIUXQUXRTUXDUXGUXERUY
      IUXLYCUXLUXGUXEYDYIYEYFUURUXCUWSUXFQUUTIUUPUWRUWBUUQYGXTUXCUWTPQUVAIPUWRP
      RYHYJZYKVOYLYMUVAUWCIXKZUVLIXKZUWQUXBTUVAUWBRXKUXJUYKFRUWAUWBUVTUVSNXHUXP
      YNUXKRIUWBUUQYSYOIUVKUVLKUYLIPUYJYPIUVKUVLXLLGIUWCUVLYQXCYEUVAUYGUWDUVHQU
      UTUYGUURUUSUUQEYRUUAVOZFUUSUWAUVHRUWBUVSUUSQZUVTUVGUVSUUSNUVSUUSAXEUYNXFX
      GUXPUVGUUSNXHXIXJUUBUVAUWJPRHZYTUUCHUVLPUWEUFUWKUYOUVAYHVSUVAUUDPUVNYTRIU
      UJUUEUUFUUKUVAUVGRHZUYGUVIUVJTUVAUYGUYPUYMRRUUSAUWNUUGXJUYMUVGUUSYDYIUUHU
      VAUYDUYGUVGUUPHUYEUYMRUUSAUUIYOUULUUMEDUUPUUNUUO $.

    $( An idempotent Hermitian operator is a projection operator.  Theorem 26.4
       of [Halmos] p. 44.  (Halmos seems to omit the proof that ` H ` is a
       closed subspace, which is not trivial as ~ hmopidmchi shows.)
       (Contributed by NM, 22-Apr-2006.)  (Revised by Mario Carneiro,
       19-May-2014.)  (New usage is discouraged.) $)
    hmopidmpji $p |- T = ( projh ` ran T ) $=
      ( vx vz vy cfv wceq cv chba wfn wral wb wcel ax-mp csp cc0 syl2anc cmin
      co crn cpjh wf cho clo hmoplin lnopfi ffn hmopidmchi pjfni eqfnfv cmv cva
      mp2an cort fnfvelrn mpan id ffvelrni hvsubcl simpl adantr his2sub syl3anc
      wa adantl hmop mp3an1 sylan2 ccom hocoi fveq1i eqtr3di oveq2d eqtr3d hicl
      cc subidd 3eqtrd ralrimiva oveq2 eqeq1d ralrn sylibr chssii ocel sylanbrc
      wss pjcompi hvpncan3 fveq2d mprgbir ) AAUAZUBGZHZDIZAGZWPWNGZHZDJAJKZWNJK
      WOWSDJLMJJAUCWTAAUDNZAUENBAUFOUGZJJAUHOZWMABCUIZUJDJAWNUKUNWPJNZWQWPWQULT
      ZUMTZWNGZWQWRXEWQWMNZXFWMUOGNZXHWQHWTXEXIXCJWPAUPUQXEXFJNZXFEIZPTZQHZEWML
      ZXJXEXEWQJNZXKXEURZJJWPAXBUSZWPWQUTRXEXFFIZAGZPTZQHZFJLZXOXEYBFJXEXSJNZVE
      ZYAWPXTPTZWQXTPTZSTZYFYFSTQYEXEXPXTJNZYAYHHXEYDVAXEXPYDXRVBYDYIXEJJXSAXBU
      SZVFWPWQXTVCVDYEYGYFYFSYEWPXTAGZPTZYGYFYDXEYIYLYGHZYJXAXEYIYMBWPXTAVGVHVI
      YEYKXTWPPYDYKXTHXEYDXSAAVJZGYKXTXSAAXBXBVKXSYNACVLVMVFVNVOVNYEYFYDXEYIYFV
      QNYJWPXTVPVIVRVSVTWTXOYCMXCXNYBEFJAXLXTHXMYAQXLXTXFPWAWBWCOWDWMJWHXJXKXOV
      EMWMXDWEEXFWMWFOWGWQXFWMXDWIRXEXGWPWNXEXPXEXGWPHXRXQWQWPWJRWKVOWL $.
  $}

  $( An idempotent Hermitian operator generates a closed subspace.  Part of
     proof of Theorem of [AkhiezerGlazman] p. 64.  (Contributed by NM,
     24-Apr-2006.)  (New usage is discouraged.) $)
  hmopidmch $p |- ( ( T e. HrmOp /\ ( T o. T ) = T ) -> ran T e. CH ) $=
    ( cho wcel ccom wceq wa crn cch chio cif rneq eleq1 coeq12d eqeq12d anbi12d
    eleq1d id idhmop chba wf1o wf hoif f1of hoid1i pm3.2i elimhyp simpli simpri
    ax-mp hmopidmchi dedth ) ABCZAADZAEZFZAGZHCUOAIJZGZHCAIAUQEZUPURHAUQKPUQUQB
    CZUQUQDZUQEZUOUTVBFIBCZIIDZIEZFAIUSULUTUNVBAUQBLUSUMVAAUQUSAUQAUQUSQZVFMVFN
    OIUQEZVCUTVEVBIUQBLVGVDVAIUQVGIUQIUQVGQZVHMVHNOVCVERISSITSSIUAUBSSIUCUIUDUE
    UFZUGUTVBVIUHUJUK $.

  $( An idempotent Hermitian operator is a projection operator.  Theorem 26.4
     of [Halmos] p. 44.  (Contributed by NM, 22-Apr-2006.)
     (New usage is discouraged.) $)
  hmopidmpj $p |- ( ( T e. HrmOp /\ ( T o. T ) = T ) ->
                  T = ( projh ` ran T ) ) $=
    ( cho wcel ccom wceq wa crn cpjh cfv chio cif id rneq eqeq12d eleq1 coeq12d
    fveq2d anbi12d idhmop chba wf1o hoif f1of ax-mp hoid1i pm3.2i simpli simpri
    wf elimhyp hmopidmpji dedth ) ABCZAADZAEZFZAAGZHIZEUPAJKZUSGZHIZEAJAUSEZAUS
    URVAVBLZVBUQUTHAUSMQNUSUSBCZUSUSDZUSEZUPVDVFFJBCZJJDZJEZFAJVBUMVDUOVFAUSBOV
    BUNVEAUSVBAUSAUSVCVCPVCNRJUSEZVGVDVIVFJUSBOVJVHVEJUSVJJUSJUSVJLZVKPVKNRVGVI
    SJTTJUATTJUIUBTTJUCUDUEUFUJZUGVDVFVLUHUKUL $.

  ${
    $d x H $.  $d x S $.  $d x T $.
    pjsdi.1 $e |- H e. CH $.
    pjsdi.2 $e |- S : ~H --> ~H $.
    pjsdi.3 $e |- T : ~H --> ~H $.
    $( Distributive law for Hilbert space operator sum.  (Contributed by NM,
       12-Nov-2000.)  (New usage is discouraged.) $)
    pjsdii $p |- ( ( projh ` H ) o. ( S +op T ) ) =
                ( ( ( projh ` H ) o. S ) +op ( ( projh ` H ) o. T ) ) $=
      ( vx cfv chos co ccom wceq chba wcel cva ffvelrni wf hosval hocoi hocofi
      cv cpjh wral pjaddi syl2anc mp3an12 fveq2d oveq12d 3eqtr4d hoaddcli hoeqi
      pjfi rgen mpbi ) GUAZCUBHZABIJZKZHZUOUPAKZUPBKZIJZHZLZGMUCURVBLVDGMUOMNZU
      OUQHZUPHZUOUTHZUOVAHZOJZUSVCVEUOAHZUOBHZOJZUPHZVKUPHZVLUPHZOJZVGVJVEVKMNV
      LMNVNVQLMMUOAEPMMUOBFPVKVLCDUDUEVEVFVMUPMMAQMMBQVEVFVMLEFUOABRUFUGVEVHVOV
      IVPOUOUPACDULZESUOUPBVRFSUHUIUOUPUQVRABEFUJZSMMUTQMMVAQVEVCVJLUPAVRETZUPB
      VRFTZUOUTVARUFUIUMGURVBUPUQVRVSTUTVAVTWAUJUKUN $.

    $( Distributive law for Hilbert space operator difference.  (Contributed by
       NM, 24-Nov-2000.)  (New usage is discouraged.) $)
    pjddii $p |- ( ( projh ` H ) o. ( S -op T ) ) =
                ( ( ( projh ` H ) o. S ) -op ( ( projh ` H ) o. T ) ) $=
      ( vx cfv chod co ccom wceq chba wcel cmv ffvelrni wf hodval hocoi hocofi
      cv cpjh wral pjsubi syl2anc mp3an12 fveq2d oveq12d 3eqtr4d hosubcli hoeqi
      pjfi rgen mpbi ) GUAZCUBHZABIJZKZHZUOUPAKZUPBKZIJZHZLZGMUCURVBLVDGMUOMNZU
      OUQHZUPHZUOUTHZUOVAHZOJZUSVCVEUOAHZUOBHZOJZUPHZVKUPHZVLUPHZOJZVGVJVEVKMNV
      LMNVNVQLMMUOAEPMMUOBFPVKVLCDUDUEVEVFVMUPMMAQMMBQVEVFVMLEFUOABRUFUGVEVHVOV
      IVPOUOUPACDULZESUOUPBVRFSUHUIUOUPUQVRABEFUJZSMMUTQMMVAQVEVCVJLUPAVRETZUPB
      VRFTZUOUTVARUFUIUMGURVBUPUQVRVSTUTVAVTWAUJUKUN $.
  $}

  ${
    pjsdi2.1 $e |- H e. CH $.
    pjsdi2.2 $e |- R : ~H --> ~H $.
    pjsdi2.3 $e |- S : ~H --> ~H $.
    pjsdi2.4 $e |- T : ~H --> ~H $.
    $( Chained distributive law for Hilbert space operator difference.
       (Contributed by NM, 30-Nov-2000.)  (New usage is discouraged.) $)
    pjsdi2i $p |- ( ( R o. ( S +op T ) ) = ( ( R o. S ) +op ( R o. T ) )
     -> ( ( ( projh ` H ) o. R ) o. ( S +op T ) ) = ( ( ( ( projh ` H ) o. R )
         o. S ) +op ( ( ( projh ` H ) o. R ) o. T ) ) ) $=
      ( chos co ccom wceq cpjh cfv coeq2 hocofi pjsdii eqtrdi coass oveq12i
      3eqtr4g ) ABCIJZKZABKZACKZIJZLZDMNZUCKZUHUDKZUHUEKZIJZUHAKZUBKUMBKZUMCKZI
      JUGUIUHUFKULUCUFUHOUDUEDEABFGPACFHPQRUHAUBSUNUJUOUKIUHABSUHACSTUA $.
  $}

  ${
    $d x y H $.  $d x y G $.
    pjco.1 $e |- G e. CH $.
    pjco.2 $e |- H e. CH $.
    $( Composition of projections.  (Contributed by NM, 16-Aug-2000.)
       (New usage is discouraged.) $)
    pjcoi $p |- ( A e. ~H -> ( ( ( projh ` G ) o. ( projh ` H ) ) ` A ) =
               ( ( projh ` G ) ` ( ( projh ` H ) ` A ) ) ) $=
      ( cpjh cfv pjfi hocoi ) ABFGCFGBDHCEHI $.

    $( Closure of composition of projections.  (Contributed by NM,
       29-Nov-2000.)  (New usage is discouraged.) $)
    pjcocli $p |- ( A e. ~H ->
                 ( ( ( projh ` G ) o. ( projh ` H ) ) ` A ) e. G ) $=
      ( chba wcel cpjh cfv ccom pjcoi pjhcli pjcli syl eqeltrd ) AFGZABHIZCHIZJ
      IARIZQIZBABCDEKPSFGTBGACELSBDMNO $.

    $( Closure of composition of projections.  (Contributed by NM, 7-Oct-2000.)
       (New usage is discouraged.) $)
    pjcohcli $p |- ( A e. ~H ->
                 ( ( ( projh ` G ) o. ( projh ` H ) ) ` A ) e. ~H ) $=
      ( cpjh cfv pjfi hococli ) ABFGCFGBDHCEHI $.

    $( Adjoint of composition of projections.  Special case of Theorem
       3.11(viii) of [Beran] p. 106.  (Contributed by NM, 6-Oct-2000.)
       (New usage is discouraged.) $)
    pjadjcoi $p |- ( ( A e. ~H /\ B e. ~H ) ->
                  ( ( ( ( projh ` G ) o. ( projh ` H ) ) ` A ) .ih B ) =
                  ( A .ih ( ( ( projh ` H ) o. ( projh ` G ) ) ` B ) ) ) $=
      ( chba wcel wa cpjh cfv csp co ccom wceq pjhcli pjadji sylan sylan2 pjcoi
      eqtrd oveq1d adantr oveq2d adantl 3eqtr4d ) AGHZBGHZIZADJKZKZCJKZKZBLMZAB
      ULKZUJKZLMZAULUJNKZBLMZABUJULNKZLMZUIUNUKUOLMZUQUGUKGHUHUNVBOADFPUKBCEQRU
      HUGUOGHVBUQOBCEPAUODFQSUAUGUSUNOUHUGURUMBLACDEFTUBUCUHVAUQOUGUHUTUPALBDCF
      ETUDUEUF $.

    $( Functionality of composition of projections.  (Contributed by NM,
       1-Oct-2000.)  (New usage is discouraged.) $)
    pjcofni $p |- ( ( projh ` G ) o. ( projh ` H ) ) Fn ~H $=
      ( cpjh cfv pjfi hocofni ) AEFBEFACGBDGH $.

    $( Subset relationship for projections.  Theorem 4.5(i)<->(iii) of [Beran]
       p. 112.  (Contributed by NM, 1-Oct-2000.)
       (New usage is discouraged.) $)
    pjss1coi $p |- ( G C_ H <->
                 ( ( projh ` H ) o. ( projh ` G ) ) = ( projh ` G ) ) $=
      ( vx wss cpjh cfv ccom wceq cv chba wral wcel pjcoi adantl pjfi crn pjrni
      wa cch pjcli ssel2 sylan2 pjid sylancr eqtrd ralrimiva hocofi hoeqi sylib
      rneq rncoss eqsstrrdi 3sstr3g impbii ) ABFZBGHZAGHZIZUSJZUQEKZUTHZVBUSHZJ
      ZELMVAUQVEELUQVBLNZTZVCVDURHZVDVFVCVHJUQVBBADCOPVGBUANVDBNZVHVDJDVFUQVDAN
      VIVBACUBABVDUCUDVDBUEUFUGUHEUTUSURUSBDQACQZUIVJUJUKVAUSRZURRZABVAVKUTRVLU
      TUSULURUSUMUNACSBDSUOUP $.

    $( Subset relationship for projections.  Theorem 4.5(i)<->(ii) of [Beran]
       p. 112.  (Contributed by NM, 7-Oct-2000.)
       (New usage is discouraged.) $)
    pjss2coi $p |- ( G C_ H <->
                 ( ( projh ` G ) o. ( projh ` H ) ) = ( projh ` G ) ) $=
      ( vx vy cpjh cfv ccom wceq cv chba wral wcel wa wi c0v pjfi csp co adantl
      wss pjcoi cif 2fveq3 fveq2 eqeq12d imbi2d ifhvhv0 pjss2i impcom ralrimiva
      dedth eqtrd hocofi hoeqi sylib fveq1 oveq2d ad2antlr adantlr pjadji exp31
      pjadjcoi 3eqtr4d ralrimdv wb pjcohcli pjhcli hial2eq syl2anc sylibd com12
      ralrimiv pjss1coi sylibr impbii ) ABUBZAGHZBGHZIZVSJZVREKZWAHZWCVSHZJZELM
      WBVRWFELVRWCLNZOWDWCVTHVSHZWEWGWDWHJVRWCABCDUCUAWGVRWHWEJZWGVRWIPVRWGWCQU
      DZVTHVSHZWJVSHZJZPWCQWCWJJZWIWMVRWNWHWKWEWLWCWJVSVTUEWCWJVSUFUGUHWJBACWCU
      IDUJUMUKUNULEWAVSVSVTACRZBDRZUOWOUPUQWBVTVSIZVSJZVRWBWCWQHZWEJZELMWRWBWTE
      LWGWBWTWGWBWSFKZSTZWEXASTZJZFLMZWTWGWBXDFLWGWBXALNZXDWGWBOXFOWCXAWAHZSTZW
      CXAVSHZSTZXBXCWBXHXJJWGXFWBXGXIWCSXAWAVSURUSUTWGXFXBXHJWBWCXABADCVDVAWGXF
      XCXJJWBWCXAACVBVAVEVCVFWGWSLNWELNXEWTVGWCBADCVHWCACVIFWSWEVJVKVLVMVNEWQVS
      VTVSWPWOUOWOUPUQABCDVOVPVQ $.

    $( Projection meet property.  Remark in [Kalmbach] p. 66.  Also Theorem
       4.5(i)->(iv) of [Beran] p. 112.  (Contributed by NM, 26-Sep-2001.)
       (New usage is discouraged.) $)
    pjssmi $p |- ( A e. ~H -> ( H C_ G ->
               ( ( ( projh ` G ) ` A ) -h ( ( projh ` H ) ` A ) )
                = ( ( projh ` ( G i^i ( _|_ ` H ) ) ) ` A ) ) ) $=
      ( chba wcel wss cpjh cfv cmv co cort cin wceq wi c0v cif fveq2 oveq12d
      eqeq12d imbi2d ifhvhv0 pjssmii dedth ) AFGZCBHZABIJZJZACIJZJZKLZABCMJNIJZ
      JZOZPUGUFAQRZUHJZUPUJJZKLZUPUMJZOZPAQAUPOZUOVAUGVBULUSUNUTVBUIUQUKURKAUPU
      HSAUPUJSTAUPUMSUAUBUPBCEAUCDUDUE $.

    $( Theorem 4.5(iv)->(v) of [Beran] p. 112.  (Contributed by NM,
       26-Sep-2001.)  (New usage is discouraged.) $)
    pjssge0i $p |- ( A e. ~H ->
                 ( ( ( ( projh ` G ) ` A ) -h ( ( projh ` H ) ` A ) )
                  = ( ( projh ` ( G i^i ( _|_ ` H ) ) ) ` A ) ->
       0 <_ ( ( ( ( projh ` G ) ` A ) -h ( ( projh ` H ) ` A ) ) .ih A ) ) ) $=
      ( chba wcel cpjh cfv cmv co wceq cc0 csp cle wbr wi c0v fveq2 oveq12d cin
      cort cif eqeq12d id breq2d imbi12d ifhvhv0 pjssge0ii dedth ) AFGZABHIZIZA
      CHIZIZJKZABCUBIUAHIZIZLZMUPANKZOPZQUKARUCZULIZVBUNIZJKZVBUQIZLZMVEVBNKZOP
      ZQARAVBLZUSVGVAVIVJUPVEURVFVJUMVCUOVDJAVBULSAVBUNSTZAVBUQSUDVJUTVHMOVJUPV
      EAVBNVKVJUETUFUGVBBCEAUHDUIUJ $.

    $( Theorem 4.5(v)<->(vi) of [Beran] p. 112.  (Contributed by NM,
       26-Sep-2001.)  (New usage is discouraged.) $)
    pjdifnormi $p |- ( A e. ~H -> ( 0 <_
                ( ( ( ( projh ` G ) ` A ) -h ( ( projh ` H ) ` A ) ) .ih A )
        <->
  ( normh ` ( ( projh ` H ) ` A ) ) <_ ( normh ` ( ( projh ` G ) ` A ) ) ) ) $=
      ( chba cc0 cpjh cfv cmv co csp cle wbr cno wb c0v fveq2 oveq12d 2fveq3 id
      wcel cif wceq breq2d breq12d bibi12d ifhvhv0 pjdifnormii dedth ) AFUBZGAB
      HIZIZACHIZIZJKZALKZMNZUOOIZUMOIZMNZPGUKAQUCZULIZVBUNIZJKZVBLKZMNZVDOIZVCO
      IZMNZPAQAVBUDZURVGVAVJVKUQVFGMVKUPVEAVBLVKUMVCUOVDJAVBULRAVBUNRSVKUASUEVK
      USVHUTVIMAVBOUNTAVBOULTUFUGVBBCEAUHDUIUJ $.

    $( Theorem 4.5(i)<->(vi) of [Beran] p. 112.  (Contributed by NM,
       26-Sep-2001.)  (New usage is discouraged.) $)
    pjnormssi $p |- ( G C_ H <-> A. x e. ~H ( normh ` ( ( projh ` G ) ` x ) )
        <_ ( normh ` ( ( projh ` H ) ` x ) ) ) $=
      ( wss cpjh cfv cno cle wbr chba wcel cc0 co wceq wi wa syl wb cv wral cmv
      csp cort cin pjssmi pjssge0i pjdifnormi sylibd com12 ralrimiv wal choccli
      syld cheli breq2 biimpac pjhcli normge0 normcl 0re letri3 biimprd sylancl
      cr sylan2i anabsi6 sylan2 expr c0v norm-i cch pjoc2 bitr4d adantr 3imtr3d
      mpan a2i syl5 pm2.43d alimi df-ral dfss2 3imtr4i chsscon3i sylibr impbii
      ex ) BCFZAUAZBGHHZIHZWKCGHHZIHZJKZALUBZWJWPALWKLMZWJWPWRWJNWNWLUCOZWKUDOJ
      KZWPWRWJWSWKCBUEHZUFGHHPWTWKCBEDUGWKCBEDUHUOWKCBEDUIUJUKULWQCUEHZXAFZWJWR
      WPQZAUMWKXBMZWKXAMZQZAUMWQXCXDXGAXDXEXFXEWRXDXGWKXBCEUNUPWRWPXGWRWPXGWRWP
      RWONPZWMNPZXEXFWRWPXHXIWPXHRWRWMNJKZXIXHWPXJWONWMJUQURWRXJXIWRWRXJNWMJKZX
      IWRWLLMZXKWKBDUSZWLUTSWRWMVFMZNVFMZXJXKRZXIQWRXLXNXMWLVASVBXNXORXIXPWMNVC
      VDVEVGVHVIVJWRXHXETWPWRXHWNVKPZXEWRWNLMXHXQTWKCEUSWNVLSCVMMWRXEXQTEWKCVNV
      RVOVPWRXIXFTWPWRXIWLVKPZXFWRXLXIXRTXMWLVLSBVMMWRXFXRTDWKBVNVRVOVPVQWIVSVT
      WAWBWPALWCAXBXAWDWEBCDEWFWGWH $.

    $( Composition of projections of orthogonal subspaces.  Part (i)->(iia) of
       Theorem 27.4 of [Halmos] p. 45.  (Contributed by NM, 6-Nov-2000.)
       (New usage is discouraged.) $)
    pjorthcoi $p |- ( G C_ ( _|_ ` H ) ->
                 ( ( projh ` G ) o. ( projh ` H ) ) = 0hop ) $=
      ( vx cort cfv wss cv cpjh ccom ch0o wceq chba wral wcel c0v adantl pjfi
      wa pjcli wi chsscon2i ssel sylbi syl5com cch pjhcli sylancr sylibd impcom
      wb pjoc2 pjcoi ho0val 3eqtr4d ralrimiva hocofi ho0f hoeqi sylib ) ABFGHZE
      IZAJGZBJGZKZGZVCLGZMZENOVFLMVBVIENVBVCNPZTVCVEGZVDGZQVGVHVJVBVLQMZVJVBVKA
      FGZPZVMVJVKBPZVBVOVCBDUAVBBVNHVPVOUBABCDUCBVNVKUDUEUFVJAUGPVKNPVOVMULCVCB
      DUHVKAUMUIUJUKVJVGVLMVBVCABCDUNRVJVHQMVBVCUORUPUQEVFLVDVEACSBDSURUSUTVA
      $.

    $( The projection of orthogonal subspaces is the sum of the projections.
       (Contributed by NM, 11-Nov-2000.)  (New usage is discouraged.) $)
    pjscji $p |- ( G C_ ( _|_ ` H ) -> ( projh ` ( G vH H ) ) =
              ( ( projh ` G ) +op ( projh ` H ) ) ) $=
      ( vx cort cfv wss cv chj co cpjh chos wceq chba wcel cch mp3an12 wf pjfi
      wa cva pjcjt2 impcom hosval adantl eqtr4d ralrimiva chjcli hoaddcli hoeqi
      wral wi sylib ) ABFGHZEIZABJKZLGZGZUPALGZBLGZMKZGZNZEOULURVBNUOVDEOUOUPOP
      ZUAUSUPUTGUPVAGUBKZVCVEUOUSVFNZAQPBQPVEUOVGUMCDUPBAUCRUDVEVCVFNZUOOOUTSOO
      VASVEVHACTZBDTZUPUTVAUERUFUGUHEURVBUQABCDUITUTVAVIVJUJUKUN $.

    $( The projection on a subspace sum is the sum of the projections.
       (Contributed by NM, 11-Nov-2000.)  (New usage is discouraged.) $)
    pjssumi $p |- ( G C_ ( _|_ ` H ) -> ( projh ` ( G +H H ) ) =
              ( ( projh ` G ) +op ( projh ` H ) ) ) $=
      ( cort cfv wss cph co cpjh chj chos osumi fveq2d pjscji eqtrd ) ABEFGZABH
      IZJFABKIZJFAJFBJFLIQRSJABCDMNABCDOP $.

    $( Projector ordering can be expressed by the subset relationship between
       their projection subspaces.  (i)<->(iii) of Theorem 29.2 of [Halmos]
       p. 48.  (Contributed by NM, 2-Jun-2006.)  (New usage is discouraged.) $)
    pjssposi $p |- ( A. x e. ~H
           0 <_ ( ( ( ( projh ` H ) -op ( projh ` G ) ) ` x ) .ih x )
        <-> G C_ H ) $=
      ( cc0 cpjh cfv co csp cle wbr chba wral cno wcel c2 cexp cmin syl cv chod
      wss cr pjhcli normcl resqcld subge0d cmv wf wceq hodval mp3an12 oveq1d id
      pjfi his2sub syl3anc oveq12d 3eqtrd breq2d normge0 le2sqd 3bitr4d ralbiia
      pjinormi pjnormssi bitr4i ) FAUAZCGHZBGHZUBIHZVIJIZKLZAMNVIVKHZOHZVIVJHZO
      HZKLZAMNBCUCVNVSAMVIMPZFVRQRIZVPQRIZSIZKLWBWAKLVNVSVTWAWBVTVRVTVQMPZVRUDP
      VICEUEZVQUFTZUGVTVPVTVOMPZVPUDPVIBDUEZVOUFTZUGUHVTVMWCFKVTVMVQVOUIIZVIJIZ
      VQVIJIZVOVIJIZSIZWCVTVLWJVIJMMVJUJMMVKUJVTVLWJUKCEUPBDUPVIVJVKULUMUNVTWDW
      GVTWKWNUKWEWHVTUOVQVOVIUQURVTWLWAWMWBSVICEVFVIBDVFUSUTVAVTVPVRWIWFVTWGFVP
      KLWHVOVBTVTWDFVRKLWEVQVBTVCVDVEABCDEVGVH $.

    $( The definition of projector ordering in [Halmos] p. 42 is equivalent to
       the definition of projector ordering in [Beran] p. 110.  (We will
       usually express projector ordering with the even simpler equivalent
       ` G C_ H ` ; see ~ pjssposi ).  (Contributed by NM, 2-Jun-2006.)
       (New usage is discouraged.) $)
    pjordi $p |- ( A. x e. ~H
        0 <_ ( ( ( ( projh ` H ) -op ( projh ` G ) ) ` x ) .ih x ) <->
        ( ( projh ` G ) " ~H ) C_ ( ( projh ` H ) " ~H ) ) $=
      ( cc0 cv cpjh cfv chod co csp chba wss cima wfo wceq pjfoi foima ax-mp
      cle wbr wral pjssposi sseq12i bitr4i ) FAGZCHIZBHIZJKIUGLKUAUBAMUCBCNUIMO
      ZUHMOZNABCDEUDUJBUKCMBUIPUJBQBDRMBUISTMCUHPUKCQCERMCUHSTUEUF $.

    $( The projection subspace of the difference between two projectors.  Part
       2 of Theorem 29.3 of [Halmos] p. 48 (shortened with ~ pjssposi ).
       (Contributed by NM, 2-Jun-2006.)  (New usage is discouraged.) $)
    pjssdif2i $p |- ( G C_ H <-> ( ( projh ` H ) -op ( projh ` G ) )
        = ( projh ` ( H i^i ( _|_ ` G ) ) ) ) $=
      ( vx cpjh cfv co wceq chba wral wa pjfi adantl ralrimiva wfn cc0 csp cle
      wf wss chod cort cin wcel cmv hodval mp3an12 pjssmi impcom eqtrd hosubfni
      cv wb choccli chincli pjfni eqfnfv mp2an sylibr wbr pjige0i oveq1d adantr
      fveq1 breqtrrd pjssposi sylib impbii ) ABUAZBFGZAFGZUBHZBAUCGZUDZFGZIZVJE
      UMZVMGZVRVPGZIZEJKZVQVJWAEJVJVRJUEZLVSVRVKGVRVLGUFHZVTWCVSWDIZVJJJVKTJJVL
      TWCWEBDMZACMZVRVKVLUGUHNWCVJWDVTIVRBADCUIUJUKOVMJPVPJPVQWBUNVKVLWFWGULVOB
      VNDACUOUPZUQEJVMVPURUSUTVQQVSVRRHZSVAZEJKVJVQWJEJVQWCLQVTVRRHZWISWCQWKSVA
      VQVRVOWHVBNVQWIWKIWCVQVSVTVRRVRVMVPVEVCVDVFOEABCDVGVHVI $.

    $( A necessary and sufficient condition for the difference between two
       projectors to be a projector.  Part 1 of Theorem 29.3 of [Halmos] p. 48
       (shortened with ~ pjssposi ).  (Contributed by NM, 2-Jun-2006.)
       (New usage is discouraged.) $)
    pjssdif1i $p |- ( G C_ H <->
                  ( ( projh ` H ) -op ( projh ` G ) ) e. ran projh ) $=
      ( vy vx cpjh cfv co wceq wcel cch pjmfn cc0 cv csp cle wbr chba wb mpbiri
      wss chod cort cin crn pjssdif2i choccli chincli fnfvelrn mp2an eleq1 wral
      wfn wrex fvelrnb ax-mp wa pjige0 adantlr oveq1d breq2d ad2antlr ralrimiva
      fveq1 mpbid rexlimiva sylbi pjssposi bitri sylib impbii ) ABUBZBGHAGHUCIZ
      BAUDHZUEZGHZJZVNGUFZKZABCDUGZVRVTVRVTVQVSKZGLUNZVPLKWBMBVODACUHUILVPGUJUK
      VNVQVSULUAVTNEOZVNHZWDPIZQRZESUMZVRVTFOZGHZVNJZFLUOZWHWCVTWLTMFLVNGUPUQWK
      WHFLWILKZWKURZWGESWNWDSKZURNWDWJHZWDPIZQRZWGWMWOWRWKWDWIUSUTWKWRWGTWMWOWK
      WQWFNQWKWPWEWDPWDWJVNVEVAVBVCVFVDVGVHWHVMVREABCDVIWAVJVKVLVJ $.
  $}

  ${
    $d u v w A $.  $d u v w B $.
    pjima.1 $e |- A e. SH $.
    pjima.2 $e |- B e. CH $.
    $( The image of a projection.  Lemma 5 in Daniel Lehmann, "A presentation
       of Quantum Logic based on an _and then_ connective",
       ~ https://doi.org/10.48550/arXiv.quant-ph/0701113 .  (Contributed by NM,
       20-Jan-2007.)  (New usage is discouraged.) $)
    pjimai $p |- ( ( projh ` B ) " A ) = ( ( A +H ( _|_ ` B ) ) i^i B ) $=
      ( vu vv vw cfv co cv wcel wa wceq wrex cva chba wb w3a cheli bitr4d sheli
      cpjh cima cort cph cin cmv cch pjeq sylancr ibar bicomd sylan9bbr choccli
      hvsubadd 3comr ax-hvcom 3adant2 eqeq1d syl3an eqcom 3bitr4g 3expa wfn wss
      rexbidva pjfni shssii fvelimab mp2an csh chshii shsel3 pm5.32ri crn pjrni
      imassrn sseqtri sseli pm4.71i elin 3bitr4i eqriv ) EBUBHZAUCZABUDHZUEIZBU
      FZEJZWEKZWIBKZLWIWGKZWKLWJWIWHKWKWJWLWKFJZWDHWIMZFANZWIWMGJZUGIZMZGWFNZFA
      NZWJWLWKWNWSFAWKWMAKZLZWNWMWIWPOIZMZGWFNZWSXAWNWKXELZWKXEXABUHKWMPKZWNXFQ
      DWMACUAZGWMWIBUIUJWKXEXFWKXEUKULUMXBWRXDGWFWKXAWPWFKZWRXDQWKXAXIRWQWIMZXC
      WMMZWRXDWKWIPKZXAXGXIWPPKZXJXKQWIBDSXHWPWFBDUNZSXLXGXMRZXJWPWIOIZWMMZXKXG
      XMXLXJXQQWMWPWIUOUPXOXCXPWMXLXMXCXPMXGWIWPUQURUSTUTWIWQVAWMXCVAVBVCVFTVFW
      DPVDAPVEWJWOQBDVGACVHFPAWIWDVIVJAVKKWFVKKWLWTQCWFXNVLFGAWFWIVMVJVBVNWJWKW
      EBWIWEWDVOBWDAVQBDVPVRVSVTWIWGBWAWBWC $.
  $}

  ${
    $d x H $.
    pjidmco.1 $e |- H e. CH $.
    $( A projection is idempotent.  Property (ii) of [Beran] p. 109.
       (Contributed by NM, 1-Oct-2000.)  (New usage is discouraged.) $)
    pjidmcoi $p |- ( ( projh ` H ) o. ( projh ` H ) ) = ( projh ` H ) $=
      ( wss cpjh cfv ccom wceq ssid pjss2coi mpbi ) AACADEZKFKGAHAABBIJ $.

    $( Composition of projections of a subspace and its orthocomplement.
       (Contributed by NM, 14-Nov-2000.)  (New usage is discouraged.) $)
    pjoccoi $p |- ( ( projh ` H ) o. ( projh ` ( _|_ ` H ) ) ) = 0hop $=
      ( chba wss cort cpjh ccom ch0o wceq chssii ococss choccli pjorthcoi mp2b
      cfv ) ACDAAEOZEODAFOPFOGHIABJAKAPBABLMN $.

    $( Subspace sum of projection and projection of orthocomplement.
       (Contributed by NM, 16-Nov-2000.)  (New usage is discouraged.) $)
    pjtoi $p |- ( ( projh ` H ) +op ( projh ` ( _|_ ` H ) ) )
        = ( projh ` ~H ) $=
      ( vx cv cpjh cfv cort chos co chba wceq wral wcel cva cch axpjpj pjch1 wf
      mpan pjfi choccli hosval mp3an12 3eqtr4rd rgen hoaddcli helch hoeqi mpbi
      ) CDZAEFZAGFZEFZHIZFZUJJEFZFZKZCJLUNUPKURCJUJJMZUJUJUKFUJUMFNIZUQUOAOMUSU
      JUTKBUJAPSUJQJJUKRJJUMRUSUOUTKABTZULABUATZUJUKUMUBUCUDUECUNUPUKUMVAVBUFJU
      GTUHUI $.

    $( Projection of orthocomplement.  First part of Theorem 27.3 of [Halmos]
       p. 45.  (Contributed by NM, 26-Nov-2000.)
       (New usage is discouraged.) $)
    pjoci $p |- ( ( projh ` ~H ) -op ( projh ` H ) )
        = ( projh ` ( _|_ ` H ) ) $=
      ( chba cpjh cfv chod cort wceq chos pjtoi helch pjfi choccli hodsi mpbir
      co ) CDEZADEZFPAGEZDEZHRTIPQHABJQRTCKLABLSABMLNO $.
  $}

  $( A projection operator is idempotent.  Property (ii) of [Beran] p. 109.
     (Contributed by NM, 24-Apr-2006.)  (New usage is discouraged.) $)
  pjidmco $p |- ( H e. CH ->
                 ( ( projh ` H ) o. ( projh ` H ) ) = ( projh ` H ) ) $=
    ( cch wcel cpjh cfv ccom wceq c0h cif fveq2 coeq12d eqeq12d h0elch pjidmcoi
    elimel dedth ) ABCZADEZRFZRGQAHIZDEZUAFZUAGAHATGZSUBRUAUCRUARUAATDJZUDKUDLT
    AHBMONP $.

  ${
    $d t x T $.
    $( Definition of projection operator in [Hughes] p. 47, except that we do
       not need linearity to be explicit by virtue of ~ hmoplin .  (Contributed
       by NM, 24-Apr-2006.)  (Revised by Mario Carneiro, 19-May-2014.)
       (New usage is discouraged.) $)
    dfpjop $p |- ( T e. ran projh <-> ( T e. HrmOp /\ ( T o. T ) = T ) ) $=
      ( vx cpjh crn wcel cho ccom wceq wa cv cfv cch wfn wb pjmfn fvelrnb ax-mp
      wrex pjhmop pjidmco jca eleq1 id coeq12d eqeq12d syl5ibcom rexlimiv sylbi
      anbi12d hmopidmpj hmopidmch fnfvelrn sylancr eqeltrd impbii ) ACDZEZAFEZA
      AGZAHZIZUQBJZCKZAHZBLRZVACLMZUQVENOBLACPQVDVABLVBLEZVCFEZVCVCGZVCHZIVDVAV
      GVHVJVBSVBTUAVDVHURVJUTVCAFUBVDVIUSVCAVDVCAVCAVDUCZVKUDVKUEUIUFUGUHVAAADZ
      CKZUPAUJVAVFVLLEVMUPEOAUKLVLCULUMUNUO $.

    $( Two ways to express the set of all projection operators.  (Contributed
       by NM, 24-Apr-2006.)  (Proof shortened by Mario Carneiro, 19-May-2014.)
       (New usage is discouraged.) $)
    pjhmopidm $p |- ran projh = { t e. HrmOp | ( t o. t ) = t } $=
      ( cpjh crn cv cho wcel ccom wceq wa cab crab dfpjop abbi2i df-rab eqtr4i
      ) BCZADZEFQQGQHZIZAJRAEKSAPQLMRAENO $.
  $}

  $( A projection operator is idempotent.  Part of Theorem 26.1 of [Halmos]
     p. 43.  (Contributed by NM, 24-Apr-2006.)  (New usage is discouraged.) $)
  elpjidm $p |- ( T e. ran projh -> ( T o. T ) = T ) $=
    ( cpjh crn wcel cho ccom wceq dfpjop simprbi ) ABCDAEDAAFAGAHI $.

  $( A projection operator is Hermitian.  Part of Theorem 26.1 of [Halmos]
     p. 43.  (Contributed by NM, 24-Apr-2006.)  (New usage is discouraged.) $)
  elpjhmop $p |- ( T e. ran projh -> T e. HrmOp ) $=
    ( cpjh crn wcel cho ccom wceq dfpjop simplbi ) ABCDAEDAAFAGAHI $.

  $( A projector is a positive operator.  (Contributed by NM, 27-Sep-2008.)
     (New usage is discouraged.) $)
  0leopj $p |- ( T e. ran projh -> 0hop <_op T ) $=
    ( cpjh crn wcel ch0o ccom cleo cho wbr elpjhmop leopsq syl elpjidm breqtrd
    ) ABCDZEAAFZAGOAHDEPGIAJAKLAMN $.

  $( A projector is self-adjoint.  Property (i) of [Beran] p. 109.
     (Contributed by NM, 3-Jun-2006.)  (New usage is discouraged.) $)
  pjadj2 $p |- ( T e. ran projh -> ( adjh ` T ) = T ) $=
    ( cpjh crn wcel cho cado cfv wceq elpjhmop hmopadj syl ) ABCDAEDAFGAHAIAJK
    $.

  $( A projector is self-adjoint.  Property (i) of [Beran] p. 109.
     (Contributed by NM, 20-Feb-2006.)  (New usage is discouraged.) $)
  pjadj3 $p |- ( H e. CH -> ( adjh ` ( projh ` H ) ) = ( projh ` H ) ) $=
    ( cch wcel cpjh cfv crn cado wceq wfn pjmfn fnfvelrn mpan pjadj2 syl ) ABCZ
    ADEZDFCZPGEPHDBIOQJBADKLPMN $.

  ${
    $d x y T $.
    $( Reconstruction of the subspace of a projection operator.  Part of
       Theorem 26.2 of [Halmos] p. 44.  (Contributed by NM, 24-Apr-2006.)
       (New usage is discouraged.) $)
    elpjch $p |- ( T e. ran projh -> ( ran T e. CH /\
                T = ( projh ` ran T ) ) ) $=
      ( cpjh crn wcel cho ccom wceq wa cch cfv dfpjop hmopidmch hmopidmpj sylbi
      jca ) ABCDAEDAAFAGHZACZIDZAQBJGZHAKPRSALAMON $.

    $( Reconstruction of the subspace of a projection operator.  (Contributed
       by NM, 24-Apr-2006.)  (Revised by Mario Carneiro, 19-May-2014.)
       (New usage is discouraged.) $)
    elpjrn $p |- ( T e. ran projh -> ran T = { x e. ~H | ( T ` x ) = x } ) $=
      ( vy cpjh crn wcel cv chba cfv wceq wa cab crab cch wss elpjch simpld syl
      sylan syl5ibcom chss sseld wrex wfn wb cho wf elpjhmop hmopf ffnd fvelrnb
      ccom fvco3 elpjidm adantr fveq1d eqtr3d fveq2 id eqeq12d rexlimdva sylbid
      jcad fnfvelrn eleq1 expimpd impbid abbi2dv df-rab eqtr4di ) BDEFZBEZAGZHF
      ZVMBIZVMJZKZALVPAHMVKVQAVLVKVMVLFZVQVKVRVNVPVKVLHVMVKVLNFZVLHOVKVSBVLDIJB
      PQVLUARUBVKVRCGZBIZVMJZCHUCZVPVKBHUDZVRWCUEVKHHBVKBUFFHHBUGZBUHBUIRZUJZCH
      VMBUKRVKWBVPCHVKVTHFZKZWABIZWAJWBVPWIVTBBULZIZWJWAVKWEWHWLWJJWFHHVTBBUMSW
      IVTWKBVKWKBJWHBUNUOUPUQWBWJVOWAVMWAVMBURWBUSUTTVAVBVCVKVNVPVRVKVNKVOVLFZV
      PVRVKWDVNWMWGHVMBVDSVOVMVLVETVFVGVHVPAHVIVJ $.
  $}

  ${
    $d x H $.  $d x S $.  $d x T $.
    pjinvar.1 $e |- S : ~H --> ~H $.
    pjinvar.2 $e |- H e. CH $.
    pjinvar.3 $e |- T = ( projh ` H ) $.
    $( A closed subspace ` H ` with projection ` T ` is invariant under an
       operator ` S ` iff ` S T = T S T ` .  Theorem 27.1 of [Halmos] p. 45.
       (Contributed by NM, 24-Apr-2006.)  (New usage is discouraged.) $)
    pjinvari $p |- ( ( S o. T ) : ~H --> H <->
                  ( S o. T ) = ( T o. ( S o. T ) ) ) $=
      ( vx chba ccom wf wceq cv cfv wral wcel wa cpjh wfn mp2an hocofni ffvelrn
      fveq1i cch pjid sylancr eqtr2id fvco3 eqtr4d ralrimiva wb wss pjfoi ax-mp
      wfo fof feq1i mpbir chssii fss hocofi eqfnfv sylibr feq1 mpbiri impbii
      fco ) HCABIZJZVGBVGIZKZVHGLZVGMZVKVIMZKZGHNZVJVHVNGHVHVKHOPZVLVLBMZVMVPVQ
      VLCQMZMZVLVLBVRFUBVPCUCOVLCOVSVLKEHCVKVGUAVLCUDUEUFHCVKBVGUGUHUIVGHRVIHRV
      JVOUJABDHCBJZCHUKHHBJVTHCVRJZHCVRUNWACEULHCVRUOUMHCBVRFUPUQZCEURHCHBUSSZT
      BVGWCABDWCUTZTGHVGVIVASVBVJVHHCVIJZVTHHVGJWEWBWDHHCBVGVFSHCVGVIVCVDVE $.
  $}

  ${
    pjin1.1 $e |- G e. CH $.
    pjin1.2 $e |- H e. CH $.
    $( Lemma for Theorem 1.22 of Mittelstaedt, p. 20.  (Contributed by NM,
       22-Apr-2001.)  (New usage is discouraged.) $)
    pjin1i $p |- ( projh ` ( G i^i H ) ) =
                ( ( projh ` G ) o. ( projh ` ( G i^i H ) ) ) $=
      ( cpjh cfv cin ccom wss wceq inss1 chincli pjss1coi mpbi eqcomi ) AEFABGZ
      EFZHZQPAIRQJABKPAABCDLCMNO $.

    $( Lemma for Theorem 1.22 of Mittelstaedt, p. 20.  (Contributed by NM,
       22-Apr-2001.)  (New usage is discouraged.) $)
    pjin2i $p |- ( ( ( projh ` G ) = ( ( projh ` G ) o. ( projh ` H ) ) /\
                    ( projh ` H ) = ( ( projh ` H ) o. ( projh ` G ) ) ) <->
                ( projh ` G ) = ( projh ` H ) ) $=
      ( cpjh cfv ccom wceq wa wss eqss pjss2coi eqcom bitri anbi12i fveq2 sylbi
      bitr2i pjidmcoi coeq2 eqtr3id eqtr2di jca impbii ) AEFZUEBEFZGZHZUFUFUEGZ
      HZIZUEUFHZUKABHZULUMABJZBAJZIUKABKUNUHUOUJUNUGUEHUHABCDLUGUEMNUOUIUFHUJBA
      DCLUIUFMNORABEPQULUHUJULUEUEUEGUGACSUEUFUETUAULUIUFUFGUFUEUFUFTBDSUBUCUD
      $.
  $}

  ${
    pjin3.1 $e |- F e. CH $.
    pjin3.2 $e |- G e. CH $.
    pjin3.3 $e |- H e. CH $.
    $( Lemma for Theorem 1.22 of Mittelstaedt, p. 20.  (Contributed by NM,
       22-Apr-2001.)  (New usage is discouraged.) $)
    pjin3i $p |- ( ( ( projh ` F ) = ( ( projh ` F ) o. ( projh ` G ) ) /\
                    ( projh ` F ) = ( ( projh ` F ) o. ( projh ` H ) ) )
          <-> ( projh ` F ) = ( ( projh ` F ) o. ( projh ` ( G i^i H ) ) ) ) $=
      ( wss wa cin cpjh cfv ccom wceq ssin pjss2coi eqcom bitri anbi12i chincli
      3bitr3i ) ABGZACGZHABCIZGZAJKZUEBJKLZMZUEUECJKLZMZHUEUEUCJKLZMZABCNUAUGUB
      UIUAUFUEMUGABDEOUFUEPQUBUHUEMUIACDFOUHUEPQRUDUJUEMUKAUCDBCEFSOUJUEPQT $.
  $}

  ${
    $d x y G $.  $d x y H $.
    pjclem1.1 $e |- G e. CH $.
    pjclem1.2 $e |- H e. CH $.
    $( Lemma for projection commutation theorem.  (Contributed by NM,
       16-Nov-2000.)  (New usage is discouraged.) $)
    pjclem1 $p |- ( G C_H H
       -> ( ( projh ` G ) o. ( projh ` H ) ) = ( projh ` ( G i^i H ) ) ) $=
      ( cpjh cfv ccom cort chos co cin ch0o chj wceq sylbi chincli ax-mp eqeq2i
      wss pjfi ccm wbr cmbri fveq2 inss2 choccli chub2i chdmm3i sseqtrri pjscji
      sstri coeq2 pjsdii pjss1coi mpbi pjorthcoi oveq12i hoaddid1i 3eqtri inss1
      eqtrdi syl cmcm3i bitri chdmm4i chub1i chdmm2i oveq12d chba df-iop coeq2i
      chio hoid1i eqtr3i pjtoi hocofi eqtr2i 3eqtr3g ) ABUAUBZAEFZBEFZVTGZGZVTW
      AAHFZEFZGZGZIJZABKZEFZLIJZVTWAGZWJVSWCWJWGLIVSVTWIABHFZKZMJZEFZNZWCWJNZVS
      AWONWQABCDUCAWOEUDOWQVTWJWNEFZIJZNZWRWPWTVTWIWNHFZSWPWTNWIBXBABUEZBWDBMJX
      BBWDDACUFZUGABCDUHUIZUKWIWNABCDPZAWMCBDUFZPZUJQRXAWBWAWTGZNZWRVTWTWAULXJW
      BWJNZWRXIWJWBXIWAWJGZWAWSGZIJWKWJWJWSBDWIXFTZWNXHTUMXLWJXMLIWIBSXLWJNXCWI
      BXFDUNUOBXBSXMLNXEBWNDXHUPQUQWJXNURZUSRXKWCVTWJGZWJWBWJVTULWIASXPWJNABUTW
      IAXFCUNUOVAOVBOVBVSWDWDBKZWDWMKZMJZNZWGLNZVSWDBUAUBXTABCDVCWDBXDDUCVDXTWE
      XSEFZNZYAWDXSEUDYCWEXQEFZXREFZIJZNZYAYBYFWEXQXRHFZSYBYFNXQBYHWDBUEZBABMJY
      HBADCUGABCDVEUIZUKXQXRWDBXDDPZWDWMXDXGPZUJQRYGWFWAYFGZNZYAWEYFWAULYNWFYDN
      ZYAYMYDWFYMWAYDGZWAYEGZIJYDLIJYDYDYEBDXQYKTZXRYLTUMYPYDYQLIXQBSYPYDNYIXQB
      YKDUNUOBYHSYQLNYJBXRDYLUPQUQYDYRURUSRYOWGVTYDGZLWFYDVTULAXQHFZSYSLNAAWMMJ
      YTAWMCXGVFABCDVGUIAXQCYKUPQVAOVBOVBOVHWLVTWBWFIJZGWHWAUUAVTWAVIEFZGZWAUUA
      WAVLGUUCWAVLUUBWAVJVKWABDTZVMVNWAVTWEIJZGUUCUUAUUEUUBWAACVOVKVTWEBDACTZWD
      XDTZUMVNVNVKWBWFACWAVTUUDUUFVPWAWEUUDUUGVPUMVQXOVR $.

    $( Lemma for projection commutation theorem.  (Contributed by NM,
       17-Nov-2000.)  (New usage is discouraged.) $)
    pjclem2 $p |- ( G C_H H ->
       ( ( projh ` G ) o. ( projh ` H ) ) = ( ( projh ` H ) o. ( projh ` G ) )
        ) $=
      ( ccm wbr cin cpjh cfv ccom incom fveq2i pjclem1 wceq cmcmi sylbi 3eqtr4a
      ) ABEFZABGZHIBAGZHIZAHIZBHIZJUCUBJZSTHABKLABCDMRBAEFUDUANABCDOBADCMPQ $.

    $( Lemma for projection commutation theorem.  (Contributed by NM,
       26-Nov-2000.)  (New usage is discouraged.) $)
    pjclem3 $p |- ( ( ( projh ` G ) o. ( projh ` H ) ) =
                    ( ( projh ` H ) o. ( projh ` G ) ) ->
                     ( ( projh ` G ) o. ( projh ` ( _|_ ` H ) ) ) =
                     ( ( projh ` ( _|_ ` H ) ) o. ( projh ` G ) ) ) $=
      ( cpjh cfv ccom wceq chba chod cort chio df-iop coeq2i pjfi hoid1i eqtr3i
      co hoid1ri coeq1i 3eqtr2i oveq1i syl5eq pjddii hocsubdiri 3eqtr4g 3eqtr3g
      oveq2 helch pjoci ) AEFZBEFZGZULUKGZHZUKIEFZULJRZGZUQUKGZUKBKFEFZGUTUKGUO
      UKUPGZUMJRZUPUKGZUNJRZURUSUOVBVCUMJRVDVAVCUMJVAUKLUKGVCUKLGVAUKLUPUKMNUKA
      COZPQUKVESLUPUKMTUAUBUMUNVCJUHUCUPULACIUIOZBDOZUDUPULUKVFVGVEUEUFUQUTUKBD
      UJZNUQUTUKVHTUG $.

    $( Lemma for projection commutation theorem.  (Contributed by NM,
       2-Dec-2000.)  (New usage is discouraged.) $)
    pjclem4a $p |- ( A e. ( G i^i H ) ->
               ( ( ( projh ` G ) o. ( projh ` H ) ) ` A ) = A ) $=
      ( cin wcel wa cpjh cfv ccom wceq elin chba cheli adantl syl cch pjid mpan
      pjcoi wi eleq1 syl6bir eqeq2 sylibd impcom eqtrd sylbi ) ABCFGABGZACGZHZA
      BIJZCIJZKJZALABCMULUOAUNJZUMJZAULANGZUOUQLUKURUJACEOPABCDEUAQUKUJUQALZUKU
      PALZUJUSUBCRGUKUTEACSTUTUJUQUPLZUSUTUJUPBGZVAUPABUCBRGVBVADUPBSTUDUPAUQUE
      UFQUGUHUI $.

    $( Lemma for projection commutation theorem.  (Contributed by NM,
       26-Nov-2000.)  (New usage is discouraged.) $)
    pjclem4 $p |- ( ( ( projh ` G ) o. ( projh ` H ) ) =
                    ( ( projh ` H ) o. ( projh ` G ) ) ->
                     ( ( projh ` G ) o. ( projh ` H ) ) =
                     ( projh ` ( G i^i H ) ) ) $=
      ( vx vy cpjh cfv wceq chba wcel wa co cva adantl csp cmin syl c0v pjfi cv
      ccom cin wral cmv cort pjcocli fveq1 eleq1d syl5ibr imp elind cc0 hvsubcl
      pjcohcli mpdan w3a simpl adantr chincli cheli 3jca oveq1d pjadjcoi sylan2
      his2sub pjclem4a oveq2d eqtrd sylan9eq cc anim12i subidd 3eqtr2d ralrimiv
      hicl expr wb chshii shocel ax-mp sylanbrc pjvi syl2anc hvaddsub12 syl3anc
      csh hvsubid ax-hvaddid 3eqtrd fveq2d eqtr3d ralrimiva hocofi hoeqi sylib
      id ) AGHZBGHZUBZWSWRUBZIZEUAZWTHZXCABUCZGHZHZIZEJUDWTXFIXBXHEJXBXCJKZLZXD
      XCXDUEMZNMZXFHZXDXGXJXDXEKXKXEUFHKZXMXDIXJABXDXIXDAKXBXCABCDUGOXBXIXDBKZX
      IXOXBXCXAHZBKXCBADCUGXBXDXPBXCWTXAUHZUIUJUKULXJXKJKZXKFUAZPMZUMIZFXEUDZXN
      XIXRXBXIXDJKZXRXCABCDUOZXCXDUNUPOXJYAFXEXBXIXSXEKZYAXBXIYELZLZXTXCXSPMZXD
      XSPMZQMZYIYIQMUMYGXIYCXSJKZUQZXTYJIYFYLXBYFXIYCYKXIYEURXIYCYEYDUSYEYKXIXS
      XEABCDUTZVAZOVBOXCXDXSVFRYGYIYHYIQXBYFYIXPXSPMZYHXBXDXPXSPXQVCYFYOXCXSWTH
      ZPMZYHYEXIYKYOYQIYNXCXSBADCVDVEYEYQYHIXIYEYPXSXCPXSABCDVGVHOVIVJVCYGYIYGY
      CYKLZYIVKKYFYRXBXIYCYEYKYDYNVLOXDXSVPRVMVNVQVOXEWGKXNXRYBLVRXEYMVSFXKXEVT
      WAWBXDXKXEYMWCWDXIXMXGIXBXIXLXCXFXIXLXCXDXDUEMZNMZXCSNMXCXIYCXIYCXLYTIYDX
      IWQYDXDXCXDWEWFXIYSSXCNXIYCYSSIYDXDWHRVHXCWIWJWKOWLWMEWTXFWRWSACTBDTWNXEY
      MTWOWP $.

    $( Two subspaces commute iff their projections commute.  Lemma 4 of
       [Kalmbach] p. 67.  (Contributed by NM, 26-Nov-2000.)
       (New usage is discouraged.) $)
    pjci $p |- ( G C_H H <->
       ( ( projh ` G ) o. ( projh ` H ) ) = ( ( projh ` H ) o. ( projh ` G ) )
        ) $=
      ( cpjh cfv ccom wceq cin cort chj chos pjclem4 choccli chio coeq2i eqtr3i
      co pjfi chincli ccm wbr pjclem2 pjclem3 oveq12d chba df-iop hoid1i pjsdii
      syl pjtoi inss2 chub2i sstri chdmm3i sseqtrri pjscji ax-mp 3eqtr4g chjcli
      wss pj11i sylib cmbri sylibr impbii ) ABUAUBZAEFZBEFZGZVIVHGHZABCDUCVKAAB
      IZABJFZIZKRZHZVGVKVHVOEFZHVPVKVJVHVMEFZGZLRZVLEFZVNEFZLRZVHVQVKVJWAVSWBLA
      BCDMVKVSVRVHGHVSWBHABCDUDAVMCBDNZMUJUEVHUFEFZGZVHVTVHOGWFVHOWEVHUGPVHACSU
      HQVHVIVRLRZGWFVTWGWEVHBDUKPVIVRACBDSVMWDSUIQQVLVNJFZVAVQWCHVLAJFZBKRZWHVL
      BWJABULBWIDACNUMUNABCDUOUPVLVNABCDTZAVMCWDTZUQURUSAVOCVLVNWKWLUTVBVCABCDV
      DVEVF $.

    $( A necessary and sufficient condition for the product of two projectors
       to be a projector is that the projectors commute.  Part 1 of Theorem 1
       of [AkhiezerGlazman] p. 65.  (Contributed by NM, 3-Jun-2006.)
       (New usage is discouraged.) $)
    pjcmul1i $p |- ( ( ( projh ` G ) o. ( projh ` H ) ) =
                   ( ( projh ` H ) o. ( projh ` G ) ) <->
                   ( ( projh ` G ) o. ( projh ` H ) ) e. ran projh ) $=
      ( cpjh cfv ccom wceq crn cin pjclem4 cch wfn pjmfn chincli pjbdlni pjadj3
      wcel cado ax-mp fnfvelrn mp2an pjadj2 adjcoi coeq12i eqtri eqtr3di impbii
      eqeltrdi ) AEFZBEFZGZUKUJGZHZULEIZRZUNULABJZEFZUOABCDKELMUQLRURUORNABCDOL
      UQEUAUBUIUPULSFZULUMULUCUSUKSFZUJSFZGUMUJUKACPBDPUDUTUKVAUJBLRUTUKHDBQTAL
      RVAUJHCAQTUEUFUGUH $.

    $( The projection subspace of the difference between two projectors.  Part
       2 of Theorem 1 of [AkhiezerGlazman] p. 65.  (Contributed by NM,
       3-Jun-2006.)  (New usage is discouraged.) $)
    pjcmul2i $p |- ( ( ( projh ` G ) o. ( projh ` H ) ) =
                   ( ( projh ` H ) o. ( projh ` G ) )
        <-> ( ( projh ` G ) o. ( projh ` H ) ) = ( projh ` ( G i^i H ) ) ) $=
      ( cpjh cfv ccom wceq cin pjclem4 crn cch wfn pjmfn chincli fnfvelrn mp2an
      wcel eleq1 mpbiri pjcmul1i sylibr impbii ) AEFZBEFZGZUEUDGHZUFABIZEFZHZAB
      CDJUJUFEKZRZUGUJULUIUKRZELMUHLRUMNABCDOLUHEPQUFUIUKSTABCDUAUBUC $.
  $}

  ${
    pjcohocl.1 $e |- H e. CH $.
    pjcohocl.2 $e |- T : ~H --> ~H $.
    $( Closure of composition of projection and Hilbert space operator.
       (Contributed by NM, 3-Dec-2000.)  (New usage is discouraged.) $)
    pjcohocli $p |- ( A e. ~H ->
         ( ( ( projh ` H ) o. T ) ` A ) e. H ) $=
      ( chba wcel cpjh cfv ccom pjfi hocoi ffvelrni pjcli syl eqeltrd ) AFGZACH
      IZBJIABIZRIZCARBCDKELQSFGTCGFFABEMSCDNOP $.
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y H $.
    pjadj2co.1 $e |- F e. CH $.
    pjadj2co.2 $e |- G e. CH $.
    pjadj2co.3 $e |- H e. CH $.
    $( Adjoint of double composition of projections.  Generalization of special
       case of Theorem 3.11(viii) of [Beran] p. 106.  (Contributed by NM,
       1-Dec-2000.)  (New usage is discouraged.) $)
    pjadj2coi $p |- ( ( A e. ~H /\ B e. ~H ) ->
      ( ( ( ( ( projh ` F ) o. ( projh ` G ) ) o. ( projh ` H ) ) ` A ) .ih B )
        =
 ( A .ih ( ( ( ( projh ` H ) o. ( projh ` G ) ) o. ( projh ` F ) ) ` B ) ) ) $=
      ( chba wcel wa cpjh cfv ccom csp co wceq pjfi hocofi hocoi pjadjcoi sylan
      pjhcli pjcohcli pjadji sylan2 oveq1d adantr fveq1i syl5eq oveq2d 3eqtr4d
      eqtrd coass adantl ) AIJZBIJZKZAELMZMZCLMZDLMZNZMZBOPZABVBVANZMZUSMZOPZAV
      CUSNMZBOPZABUSVBNVANZMZOPZURVEUTVGOPZVIUPUTIJUQVEVOQAEHUCUTBCDFGUAUBUQUPV
      GIJVOVIQBDCGFUDAVGEHUEUFUMUPVKVEQUQUPVJVDBOAVCUSVAVBCFRZDGRZSEHRZTUGUHUQV
      NVIQUPUQVMVHAOUQVMBUSVFNZMVHBVLVSUSVBVAUNUIBUSVFVRVBVAVQVPSTUJUKUOUL $.

    $( Closure of double composition of projections.  (Contributed by NM,
       2-Dec-2000.)  (New usage is discouraged.) $)
    pj2cocli $p |- ( A e. ~H
   -> ( ( ( ( projh ` F ) o. ( projh ` G ) ) o. ( projh ` H ) ) ` A ) e. F ) $=
      ( chba wcel cpjh cfv ccom pjfi ho2coi pjhcli pjcli 3syl eqeltrd ) AHIZABJ
      KZCJKZLDJKZLKAUBKZUAKZTKZBATUAUBBEMCFMDGMNSUCHIUDHIUEBIADGOUCCFOUDBEPQR
      $.

    $( Lemma for projection triplet theorem.  (Contributed by NM, 2-Dec-2000.)
       (New usage is discouraged.) $)
    pj3lem1 $p |- ( A e. ( ( F i^i G ) i^i H )
    -> ( ( ( ( projh ` F ) o. ( projh ` G ) ) o. ( projh ` H ) ) ` A ) = A ) $=
      ( cin wcel cpjh cfv ccom coass fveq1i wceq wa elin chba pjfi syl cheli wi
      adantr hocofi hocoi pjclem4a eleq1 pjid syl6bir eqeq2 sylibd impcom eqtrd
      cch mpan sylbi inass eleq2s syl5eq ) ABCHDHZIABJKZCJKZLDJKZLZKAVAVBVCLZLZ
      KZAAVDVFVAVBVCMNVGAOZABCDHZHZUTAVJIABIZAVIIZPZVHABVIQVMVGAVEKZVAKZAVMARIZ
      VGVOOVKVPVLABEUAUCAVAVEBESVBVCCFSDGSUDUETVLVKVOAOZVLVNAOZVKVQUBACDFGUFVRV
      KVOVNOZVQVRVKVNBIZVSVNABUGBUNIVTVSEVNBUHUOUIVNAVOUJUKTULUMUPBCDUQURUS $.

    $( Stronger projection triplet theorem.  (Contributed by NM, 2-Dec-2000.)
       (New usage is discouraged.) $)
    pj3si $p |- ( ( ( ( ( projh ` F ) o. ( projh ` G ) ) o. ( projh ` H ) ) =
                  ( ( ( projh ` H ) o. ( projh ` G ) ) o. ( projh ` F ) ) /\
         ran ( ( ( projh ` F ) o. ( projh ` G ) ) o. ( projh ` H ) ) C_ G ) ->
       ( ( ( projh ` F ) o. ( projh ` G ) ) o. ( projh ` H ) ) =
       ( projh ` ( ( F i^i G ) i^i H ) ) ) $=
      ( vx vy cpjh cfv ccom wceq wa chba wcel co cva adantl pjfi csp crn wss cv
      cin wral cmv cort pj2cocli wfn hocofi hocofni fnfvelrn mpan ssel syl5 imp
      elind adantll fveq1 eleq1d syl5ibr adantlr cc0 hococli hvsubcl mpdan cmin
      w3a simpl adantr chincli 3jca his2sub syl oveq1d pjadj2coi sylan2 pj3lem1
      cheli oveq2d eqtrd sylan9eq anim12i hicl subidd 3eqtr2d expr ralrimiv csh
      cc wb chshii shocel ax-mp sylanbrc pjvi syl2anc id hvaddsub12 syl3anc c0v
      hvsubid ax-hvaddid fveq2d eqtr3d ralrimiva hoeqi sylib ) AIJZBIJZKZCIJZKZ
      XLXJKXIKZLZXMUAZBUBZMZGUCZXMJZXSABUDZCUDZIJZJZLZGNUEXMYCLXRYEGNXRXSNOZMZX
      TXSXTUFPZQPZYCJZXTYDYGXTYBOYHYBUGJOZYJXTLYGYACXTXQYFXTYAOXOXQYFMABXTYFXTA
      OXQXSABCDEFUHRXQYFXTBOZYFXTXPOZXQYLXMNUIYFYMXKXLXIXJADSBESUJZCFSZUKNXSXMU
      LUMXPBXTUNUOUPUQURXOYFXTCOZXQXOYFYPYFYPXOXSXNJZCOXSCBAFEDUHXOXTYQCXSXMXNU
      SZUTVAUPVBUQYGYHNOZYHHUCZTPZVCLZHYBUEZYKYFYSXRYFXTNOZYSXSXKXLYNYOVDZXSXTV
      EVFRYGUUBHYBXRYFYTYBOZUUBXRYFUUFMZMZUUAXSYTTPZXTYTTPZVGPZUUJUUJVGPVCUUHYF
      UUDYTNOZVHZUUAUUKLUUGUUMXRUUGYFUUDUULYFUUFVIYFUUDUUFUUEVJUUFUULYFYTYBYACA
      BDEVKFVKZVSZRVLRXSXTYTVMVNUUHUUJUUIUUJVGXRUUGUUJYQYTTPZUUIXRXTYQYTTXOXTYQ
      LXQYRVJVOUUGUUPXSYTXMJZTPZUUIUUFYFUULUUPUURLUUOXSYTCBAFEDVPVQUUFUURUUILYF
      UUFUUQYTXSTYTABCDEFVRVTRWAWBVOUUHUUJUUHUUDUULMZUUJWJOUUGUUSXRYFUUDUUFUULU
      UEUUOWCRXTYTWDVNWEWFWGWHYBWIOYKYSUUCMWKYBUUNWLHYHYBWMWNWOXTYHYBUUNWPWQYFY
      JYDLXRYFYIXSYCYFYIXSXTXTUFPZQPZXSYFUUDYFUUDYIUVALUUEYFWRUUEXTXSXTWSWTYFUV
      AXSXAQPXSYFUUTXAXSQYFUUDUUTXALUUEXTXBVNVTXSXCWAWAXDRXEXFGXMYCXKXLYNYOUJYB
      UUNSXGXH $.

    $( Projection triplet theorem.  (Contributed by NM, 2-Dec-2000.)
       (New usage is discouraged.) $)
    pj3i $p |- ( ( ( ( ( projh ` F ) o. ( projh ` G ) ) o. ( projh ` H ) ) =
                  ( ( ( projh ` H ) o. ( projh ` G ) ) o. ( projh ` F ) ) /\
                  ( ( ( projh ` F ) o. ( projh ` G ) ) o. ( projh ` H ) ) =
                  ( ( ( projh ` G ) o. ( projh ` F ) ) o. ( projh ` H ) ) ) ->
       ( ( ( projh ` F ) o. ( projh ` G ) ) o. ( projh ` H ) ) =
       ( projh ` ( ( F i^i G ) i^i H ) ) ) $=
      ( cpjh cfv ccom crn wss cin coass eqeq1 mpbiri rneqd rncoss pjrni sseqtri
      wceq eqsstrdi pj3si sylan2 ) AGHZBGHZICGHZIZUEUDIUFIZTZUGUFUEIUDITUGJZBKU
      GABLCLGHTUIUJUEUDUFIZIZJZBUIUGULUIUGULTUHULTUEUDUFMUGUHULNOPUMUEJBUEUKQBE
      RSUAABCDEFUBUC $.

    $( Projection triplet corollary.  (Contributed by NM, 2-Dec-2000.)
       (New usage is discouraged.) $)
    pj3cor1i $p |- ( ( ( ( ( projh ` F ) o. ( projh ` G ) ) o. ( projh ` H ) )
        =
                  ( ( ( projh ` H ) o. ( projh ` G ) ) o. ( projh ` F ) ) /\
                  ( ( ( projh ` F ) o. ( projh ` G ) ) o. ( projh ` H ) ) =
                  ( ( ( projh ` G ) o. ( projh ` F ) ) o. ( projh ` H ) ) ) ->
       ( ( ( projh ` F ) o. ( projh ` G ) ) o. ( projh ` H ) ) =
       ( ( ( projh ` H ) o. ( projh ` F ) ) o. ( projh ` G ) ) ) $=
      ( vx vy cpjh cfv ccom wceq wa chba wcel csp co ad2antlr pjfi hocofi fveq1
      cv wral oveq2d adantl chincli pjadji adantlr pj3i fveq1d oveq1d pjadj2coi
      cin 3eqtr4d exp31 ralrimdv wb hococli hial2eq sylibd com12 ralrimiv hoeqi
      syl2anc sylib ) AIJZBIJZKZCIJZKZVIVGKVFKLZVJVGVFKVIKZLZMZGUBZVJJZVOVIVFKZ
      VGKZJZLZGNUCVJVRLVNVTGNVONOZVNVTWAVNVPHUBZPQZVSWBPQZLZHNUCZVTWAVNWEHNWAVN
      WBNOZWEWAVNMWGMZVOWBVJJZPQZVOWBVLJZPQZWCWDVNWJWLLZWAWGVMWMVKVMWIWKVOPWBVJ
      VLUAUDUERWHVOABUMZCUMZIJZJZWBPQZVOWBWPJZPQZWCWJWAWGWRWTLVNVOWBWOWNCABDEUF
      FUFUGUHVNWCWRLWAWGVNVPWQWBPVNVOVJWPABCDEFUIZUJUKRVNWJWTLWAWGVNWIWSVOPVNWB
      VJWPXAUJUDRUNWAWGWDWLLVNVOWBCABFDEULUHUNUOUPWAVPNOVSNOWFVTUQVOVHVIVFVGADS
      ZBESZTZCFSZURVOVQVGVIVFXEXBTZXCURHVPVSUSVDUTVAVBGVJVRVHVIXDXETVQVGXFXCTVC
      VE $.
  $}

  ${
    pjs14.1 $e |- G e. CH $.
    pjs14.2 $e |- H e. CH $.
    $( Theorem S-14 of Watanabe, p. 486.  (Contributed by NM, 26-Sep-2001.)
       (New usage is discouraged.) $)
    pjs14i $p |- ( A e. ~H ->
                ( normh ` ( ( ( projh ` H ) o. ( projh ` G ) ) ` A ) )
                <_ ( normh ` ( ( projh ` G ) ` A ) ) ) $=
      ( chba wcel cpjh cfv ccom cno cle pjcoi fveq2d cch pjhcli sylancr eqbrtrd
      wbr pjnorm ) AFGZACHIZBHIZJIZKIAUCIZUBIZKIZUEKIZLUAUDUFKACBEDMNUACOGUEFGU
      GUHLSEABDPUECTQR $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  States on a Hilbert lattice and Godowski's equation
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  States on a Hilbert lattice
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d f x y $.
    $( Define the set of states on a Hilbert lattice.  Definition of [Kalmbach]
       p. 266.  (Contributed by NM, 23-Oct-1999.)
       (New usage is discouraged.) $)
    df-st $a |- States = { f e. ( ( 0 [,] 1 ) ^m CH ) | ( ( f ` ~H ) = 1 /\
          A. x e. CH A. y e. CH ( x C_ ( _|_ ` y ) ->
            ( f ` ( x vH y ) ) = ( ( f ` x ) + ( f ` y ) ) ) ) } $.

    $( Define the set of complex Hilbert-space-valued states on a Hilbert
       lattice.  Definition of CH-states in [Mayet3] p. 9.  (Contributed by NM,
       25-Jun-2006.)  (New usage is discouraged.) $)
    df-hst $a |- CHStates = { f e. ( ~H ^m CH ) |
        ( ( normh ` ( f ` ~H ) ) = 1 /\ A. x e. CH A. y e. CH
          ( x C_ ( _|_ ` y ) -> ( ( ( f ` x ) .ih ( f ` y ) ) = 0 /\
              ( f ` ( x vH y ) ) = ( ( f ` x ) +h ( f ` y ) ) ) ) ) } $.
  $}

  ${
    $d x y A $.  $d x y f S $.  $d y B $.
    $( Property of a state.  (Contributed by NM, 23-Oct-1999.)  (Revised by
       Mario Carneiro, 23-Dec-2013.)  (New usage is discouraged.) $)
    isst $p |- ( S e. States <-> ( S : CH --> ( 0 [,] 1 ) /\
            ( S ` ~H ) = 1 /\ A. x e. CH A. y e. CH ( x C_ ( _|_ ` y ) ->
            ( S ` ( x vH y ) ) = ( ( S ` x ) + ( S ` y ) ) ) ) ) $=
      ( vf cc0 c1 cicc co cch wcel chba cfv wceq cv caddc wi wral wa cst fveq1
      cmap cort wss chj wf ovex chex elmap anbi1i eqeq1d oveq12d eqeq12d imbi2d
      w3a 2ralbidv anbi12d df-st elrab2 3anass 3bitr4i ) CEFGHZIUAHZJZKCLZFMZAN
      ZBNZUBLUCZVFVGUDHZCLZVFCLZVGCLZOHZMZPZBIQAIQZRZRIVACUEZVQRCSJVRVEVPUNVCVR
      VQVAICEFGUFUGUHUIKDNZLZFMZVHVIVSLZVFVSLZVGVSLZOHZMZPZBIQAIQZRVQDCVBSVSCMZ
      WAVEWHVPWIVTVDFKVSCTUJWIWGVOABIIWIWFVNVHWIWBVJWEVMVIVSCTWIWCVKWDVLOVFVSCT
      VGVSCTUKULUMUOUPABDUQURVRVEVPUSUT $.

    $( Property of a complex Hilbert-space-valued state.  Definition of
       CH-states in [Mayet3] p. 9.  (Contributed by NM, 25-Jun-2006.)
       (New usage is discouraged.) $)
    ishst $p |- ( S e. CHStates <-> ( S : CH --> ~H /\
          ( normh ` ( S ` ~H ) ) = 1 /\
          A. x e. CH A. y e. CH ( x C_ ( _|_ ` y ) ->
          ( ( ( S ` x ) .ih ( S ` y ) ) = 0 /\
            ( S ` ( x vH y ) ) = ( ( S ` x ) +h ( S ` y ) ) ) ) ) ) $=
      ( vf chba cch co wcel cfv cno c1 wceq cv csp cc0 cva wa wi wral fveq1 wss
      cmap cort chj chst w3a ax-hilex chex elmap anbi1i fveqeq2d oveq12d eqeq1d
      wf eqeq12d anbi12d imbi2d 2ralbidv df-hst elrab2 3anass 3bitr4i ) CEFUBGZ
      HZECIZJIKLZAMZBMZUCIUAZVGCIZVHCIZNGZOLZVGVHUDGZCIZVJVKPGZLZQZRZBFSAFSZQZQ
      FECUNZWAQCUEHWBVFVTUFVDWBWAEFCUGUHUIUJEDMZIZJIKLZVIVGWCIZVHWCIZNGZOLZVNWC
      IZWFWGPGZLZQZRZBFSAFSZQWADCVCUEWCCLZWEVFWOVTWPWDVEKJEWCCTUKWPWNVSABFFWPWM
      VRVIWPWIVMWLVQWPWHVLOWPWFVJWGVKNVGWCCTZVHWCCTZULUMWPWJVOWKVPVNWCCTWPWFVJW
      GVKPWQWRULUOUPUQURUPABDUSUTWBVFVTVAVB $.

    $( ` [ 0 , 1 ] ` closure of the value of a state.  (Contributed by Mario
       Carneiro, 23-Dec-2013.)  (New usage is discouraged.) $)
    sticl $p |- ( S e. States -> ( A e. CH -> ( S ` A ) e. ( 0 [,] 1 ) ) ) $=
      ( vx vy cst wcel cch cc0 c1 cicc co wf cfv wi chba wceq cv cort wss wral
      chj caddc isst simp1bi ffvelrn ex syl ) BEFZGHIJKZBLZAGFZABMUIFZNUHUJOBMI
      PCQZDQZRMSUMUNUAKBMUMBMUNBMUBKPNDGTCGTCDBUCUDUJUKULGUIABUEUFUG $.

    $( Real closure of the value of a state.  (Contributed by NM, 24-Oct-1999.)
       (Revised by Mario Carneiro, 23-Dec-2013.)
       (New usage is discouraged.) $)
    stcl $p |- ( S e. States -> ( A e. CH -> ( S ` A ) e. RR ) ) $=
      ( cst wcel cch cfv cc0 c1 cicc co cr sticl unitssre sseli syl6 ) BCDAEDAB
      FZGHIJZDPKDABLQKPMNO $.

    $( Closure of the value of a Hilbert-space-valued state.  (Contributed by
       NM, 25-Jun-2006.)  (New usage is discouraged.) $)
    hstcl $p |- ( ( S e. CHStates /\ A e. CH ) -> ( S ` A ) e. ~H ) $=
      ( vx vy chst wcel cch chba wf cfv cno c1 wceq cv cort wss csp co cc0 wral
      chj cva wa wi ishst simp1bi ffvelrnda ) BEFZGHABUHGHBIHBJKJLMCNZDNZOJPUIB
      JZUJBJZQRSMUIUJUARBJUKULUBRMUCUDDGTCGTCDBUEUFUG $.

    $( Unit value of a Hilbert-space-valued state.  (Contributed by NM,
       25-Jun-2006.)  (New usage is discouraged.) $)
    hst1a $p |- ( S e. CHStates -> ( normh ` ( S ` ~H ) ) = 1 ) $=
      ( vx vy chst wcel cch chba wf cfv cno c1 wceq cv cort wss csp co cc0 wral
      chj cva wa wi ishst simp2bi ) ADEFGAHGAIJIKLBMZCMZNIOUFAIZUGAIZPQRLUFUGTQ
      AIUHUIUAQLUBUCCFSBFSBCAUDUE $.

    $( Properties of a Hilbert-space-valued state.  (Contributed by NM,
       25-Jun-2006.)  (New usage is discouraged.) $)
    hstel2 $p |- ( ( ( S e. CHStates /\ A e. CH ) /\ ( B e. CH
       /\ A C_ ( _|_ ` B ) ) ) -> ( ( ( S ` A ) .ih ( S ` B ) ) = 0 /\
                    ( S ` ( A vH B ) ) = ( ( S ` A ) +h ( S ` B ) ) ) ) $=
      ( vx vy wcel cch wa cort cfv wss cv csp co cc0 wceq chj cva wi fveq2 chst
      wral wf cno c1 ishst simp3bi ad2antrr sseq1 oveq1d eqeq1d fvoveq1 eqeq12d
      chba anbi12d imbi12d sseq2d oveq2d oveq2 fveq2d rspc2v com23 impr adantll
      mpd ) CUAFZAGFZHBGFZABIJZKZHZHDLZELZIJZKZVLCJZVMCJZMNZOPZVLVMQNCJZVPVQRNZ
      PZHZSZEGUBDGUBZACJZBCJZMNZOPZABQNZCJZWFWGRNZPZHZVFWEVGVKVFGUNCUCUNCJUDJUE
      PWEDECUFUGUHVGVKWEWNSZVFVGVHVJWOVGVHHWEVJWNWDVJWNSAVNKZWFVQMNZOPZAVMQNZCJ
      ZWFVQRNZPZHZSDEABGGVLAPZVOWPWCXCVLAVNUIXDVSWRWBXBXDVRWQOXDVPWFVQMVLACTZUJ
      UKXDVTWTWAXAVLAVMCQULXDVPWFVQRXEUJUMUOUPVMBPZWPVJXCWNXFVNVIAVMBITUQXFWRWI
      XBWMXFWQWHOXFVQWGWFMVMBCTZURUKXFWTWKXAWLXFWSWJCVMBAQUSUTXFVQWGWFRXGURUMUO
      UPVAVBVCVDVE $.

    $( Orthogonality property of a Hilbert-space-valued state.  This is a key
       feature distinguishing it from a real-valued state.  (Contributed by NM,
       25-Jun-2006.)  (New usage is discouraged.) $)
    hstorth $p |- ( ( ( S e. CHStates /\ A e. CH ) /\ ( B e. CH
       /\ A C_ ( _|_ ` B ) ) ) -> ( ( S ` A ) .ih ( S ` B ) ) = 0 ) $=
      ( chst wcel cch wa cort cfv wss csp co cc0 wceq chj cva hstel2 simpld ) C
      DEAFEGBFEABHIJGGACIZBCIZKLMNABOLCISTPLNABCQR $.

    $( Orthogonal sum property of a Hilbert-space-valued state.  (Contributed
       by NM, 25-Jun-2006.)  (New usage is discouraged.) $)
    hstosum $p |- ( ( ( S e. CHStates /\ A e. CH ) /\ ( B e. CH
                         /\ A C_ ( _|_ ` B ) ) ) ->
                    ( S ` ( A vH B ) ) = ( ( S ` A ) +h ( S ` B ) ) ) $=
      ( chst wcel cch wa cort cfv wss csp co cc0 wceq chj cva hstel2 simprd ) C
      DEAFEGBFEABHIJGGACIZBCIZKLMNABOLCISTPLNABCQR $.

    $( Sum of a Hilbert-space-valued state of a lattice element and its
       orthocomplement.  (Contributed by NM, 25-Jun-2006.)
       (New usage is discouraged.) $)
    hstoc $p |- ( ( S e. CHStates /\ A e. CH ) ->
                  ( ( S ` A ) +h ( S ` ( _|_ ` A ) ) ) = ( S ` ~H ) ) $=
      ( chst wcel cch cort cfv chj cva chba wss wceq choccl adantl csh shococss
      wa co chsh syl jca hstosum mpdan chjo fveq2d eqtr3d ) BCDZAEDZQZAAFGZHRZB
      GZABGUJBGIRZJBGZUIUJEDZAUJFGKZQULUMLUIUOUPUHUOUGAMNUHUPUGUHAODUPASAPTNUAA
      UJBUBUCUHULUNLUGUHUKJBAUDUENUF $.

    $( Sum of norms of a Hilbert-space-valued state.  (Contributed by NM,
       25-Jun-2006.)  (New usage is discouraged.) $)
    hstnmoc $p |- ( ( S e. CHStates /\ A e. CH ) -> ( ( ( normh `
         ( S ` A ) ) ^ 2 ) + ( ( normh ` ( S ` ( _|_ ` A ) ) ) ^ 2 ) ) = 1 ) $=
      ( chst wcel cch wa cfv cort cva co cno c2 cexp chba oveq1d wceq hstcl jca
      c1 adantl caddc hstoc fveq2d csp cc0 choccl wss csh chsh shococss hstorth
      sylan2 syl mpdan normpyth sylc hst1a sq1 eqtrdi adantr 3eqtr3d ) BCDZAEDZ
      FZABGZAHGZBGZIJZKGZLMJZNBGZKGZLMJZVEKGLMJVGKGLMJUAJZSVDVIVLLMVDVHVKKABUBU
      COVDVENDZVGNDZFVEVGUDJUEPZVJVNPVDVOVPABQVCVBVFEDZVPAUFZVFBQULRVDVRAVFHGUG
      ZFVQVDVRVTVCVRVBVSTVCVTVBVCAUHDVTAUIAUJUMTRAVFBUKUNVEVGUOUPVBVMSPVCVBVMSL
      MJSVBVLSLMBUQOURUSUTVA $.

    $( The value of a state is nonnegative.  (Contributed by NM, 24-Oct-1999.)
       (Revised by Mario Carneiro, 23-Dec-2013.)
       (New usage is discouraged.) $)
    stge0 $p |- ( S e. States -> ( A e. CH -> 0 <_ ( S ` A ) ) ) $=
      ( cst wcel cch cfv cc0 c1 cicc co cle wbr sticl cr elicc01 simp2bi syl6 )
      BCDAEDABFZGHIJDZGRKLZABMSRNDTRHKLROPQ $.

    $( The value of a state is less than or equal to one.  (Contributed by NM,
       24-Oct-1999.)  (Revised by Mario Carneiro, 23-Dec-2013.)
       (New usage is discouraged.) $)
    stle1 $p |- ( S e. States -> ( A e. CH -> ( S ` A ) <_ 1 ) ) $=
      ( cst wcel cch cfv cc0 c1 cicc co cle wbr sticl cr elicc01 simp3bi syl6 )
      BCDAEDABFZGHIJDZRHKLZABMSRNDGRKLTROPQ $.

    $( The norm of the value of a Hilbert-space-valued state is less than or
       equal to one.  (Contributed by NM, 25-Jun-2006.)
       (New usage is discouraged.) $)
    hstle1 $p |- ( ( S e. CHStates /\ A e. CH ) ->
                   ( normh ` ( S ` A ) ) <_ 1 ) $=
      ( wcel cch wa cfv cno c1 cle wbr c2 cexp co cc0 chba hstcl normcl resqcld
      cr syl chst caddc choccl sylan2 sqge0d addge01d mpbid hstnmoc sq1 eqtr4di
      cort breqtrd wb normge0 1re 0le1 le2sq mpanr12 syl2anc mpbird ) BUACZADCZ
      EZABFZGFZHIJZVEKLMZHKLMZIJZVCVGVGAUKFZBFZGFZKLMZUBMZVHIVCNVMIJVGVNIJVCVLV
      CVKOCZVLSCVBVAVJDCVOAUCVJBPUDVKQTZUEVCVGVMVCVEVCVDOCZVESCZABPZVDQTZRVCVLV
      PRUFUGVCVNHVHABUHUIUJULVCVRNVEIJZVFVIUMZVTVCVQWAVSVDUNTVRWAEHSCNHIJWBUOUP
      VEHUQURUSUT $.

    $( The norm of a Hilbert-space-valued state equals one iff the state value
       equals the state value of the lattice unit.  (Contributed by NM,
       25-Jun-2006.)  (New usage is discouraged.) $)
    hst1h $p |- ( ( S e. CHStates /\ A e. CH ) ->
                  ( ( normh ` ( S ` A ) ) = 1 <-> ( S ` A ) = ( S ` ~H ) ) ) $=
      ( wcel cfv cno c1 wceq chba c0v cva co syl adantr c2 cexp cc0 cmin eqtr3d
      caddc cc chst cch wa hstcl ax-hvaddid cort ax-1cn cr choccl sylan2 normcl
      resqcld recnd pncan2 sylancr oveq1 eqtr2di oveq1d hstnmoc sylan9eqr 1m1e0
      sq1 eqtrdi ex wb sqeq0 norm-i bitrd sylibd imp oveq2d hstoc fveq2 impbida
      hst1a ) BUACZAUBCZUCZABDZEDZFGZVSHBDZGZVRWAUCZVSIJKZVSWBVRWEVSGZWAVRVSHCW
      FABUDVSUELMWDVSAUFDZBDZJKZWEWBWDWHIVSJVRWAWHIGZVRWAWHEDZNOKZPGZWJVRWAWMWD
      WLFFQKZPWDFWLSKZFQKZWLWNVRWPWLGZWAVRFTCWLTCWQUGVRWLVRWKVRWHHCZWKUHCVQVPWG
      UBCWRAUIWGBUDUJZWHUKLZULUMFWLUNUOMWDWOFFQWAVRWOVTNOKZWLSKFWAFXAWLSWAXAFNO
      KFVTFNOUPVBUQURABUSUTURRVAVCVDVRWMWKPGZWJVRWKTCWMXBVEVRWKWTUMWKVFLVRWRXBW
      JVEWSWHVGLVHVIVJVKVRWIWBGWAABVLMRRWCVRVTWBEDZFVSWBEVMVPXCFGVQBVOMUTVN $.

    $( The norm of a Hilbert-space-valued state equals zero iff the state value
       equals zero.  (Contributed by NM, 30-Jun-2006.)
       (New usage is discouraged.) $)
    hst0h $p |- ( ( S e. CHStates /\ A e. CH ) ->
                  ( ( normh ` ( S ` A ) ) = 0 <-> ( S ` A ) = 0h ) ) $=
      ( chst wcel cch wa cfv chba cno cc0 wceq c0v wb hstcl norm-i syl ) BCDAED
      FABGZHDQIGJKQLKMABNQOP $.

    $( Pythagorean property of a Hilbert-space-valued state for orthogonal
       vectors ` A ` and ` B ` .  (Contributed by NM, 26-Jun-2006.)
       (New usage is discouraged.) $)
    hstpyth $p |- ( ( ( S e. CHStates /\ A e. CH ) /\ ( B e. CH /\
               A C_ ( _|_ ` B ) ) ) -> ( ( normh ` ( S ` ( A vH B ) ) ) ^ 2 ) =
         ( ( ( normh ` ( S ` A ) ) ^ 2 ) + ( ( normh ` ( S ` B ) ) ^ 2 ) ) ) $=
      ( chst wcel cch wa cort cfv wss chj co cno cexp cva caddc chba wceq hstcl
      c2 hstosum fveq2d oveq1d csp cc0 adantr ad2ant2r hstorth normpyth syl3anc
      3impia eqtrd ) CDEZAFEZGZBFEZABHIJZGZGZABKLCIZMIZTNLACIZBCIZOLZMIZTNLZVBM
      ITNLVCMITNLPLZUSVAVETNUSUTVDMABCUAUBUCUSVBQEZVCQEZVBVCUDLUERZVFVGRZUOVHUR
      ACSUFUMUPVIUNUQBCSUGABCUHVHVIVJVKVBVCUIUKUJUL $.

    $( Ordering property of a Hilbert-space-valued state.  (Contributed by NM,
       26-Jun-2006.)  (New usage is discouraged.) $)
    hstle $p |- ( ( ( S e. CHStates /\ A e. CH ) /\ ( B e. CH /\ A C_ B ) )
                   -> ( normh ` ( S ` A ) ) <_ ( normh ` ( S ` B ) ) ) $=
      ( wcel cch wa cfv cno cle wbr c2 cexp co caddc adantlr syl sylan2 adantrr
      c1 cr chst wss cort wceq hstnmoc oveq2d hstcl normcl resqcld adantr recnd
      chba choccl add12d eqtr3d chj ococ sseq2d biimpar jca hstpyth cc0 anassrs
      chjcl normge0 hstle1 le2sq2 mpanr1 syl21anc breqtrdi eqbrtrrd wb readdcld
      1re sq1 leadd2 mp3an2 syl2anc mpbid eqbrtrd leadd1 mp3an3 mpbird le2sq )
      CUADZAEDZFZBEDZABUBZFZFZACGZHGZBCGZHGZIJZWMKLMZWOKLMZIJZWKWSWQSNMZWRSNMZI
      JZWKWTWRWQBUCGZCGZHGZKLMZNMZNMZXAIWGWHWTXHUDWIWGWHFZWQWRXFNMZNMWTXHXIXJSW
      QNWEWHXJSUDWFBCUEOUFXIWQWRXFXIWQWGWQTDZWHWGWMWGWLULDZWMTDZACUGZWLUHPZUIUJ
      ZUKXIWRWEWHWRTDZWFWEWHFZWOXRWNULDZWOTDZBCUGZWNUHPZUIOZUKXIXFWEWHXFTDWFXRX
      EXRXDULDZXETDWHWEXCEDZYDBUMZXCCUGQXDUHPUIOZUKUNUORWKXGSIJZXHXAIJZWKAXCUPM
      ZCGZHGZKLMZXGSIWJWGYEAXCUCGZUBZFYMXGUDWJYEYOWHYEWIYFUJWHYOWIWHYNBABUQURUS
      UTAXCCVAQWGWHYMSIJWIXIYMSKLMZSIXIYLTDZVBYLIJZYLSIJZYMYPIJZXIYKULDZYQWEWFW
      HUUAWFWHFZWEYJEDZUUAWHWFYEUUCYFAXCVDQZYJCUGQVCZYKUHPXIUUAYRUUEYKVEPWEWFWH
      YSUUBWEUUCYSUUDYJCVFQVCYQYRFSTDZYSYTVNYLSVGVHVIVOVJRVKWGWHYHYIVLZWIXIXGTD
      ZXQUUGXIWQXFXPYGVMYCUUHUUFXQUUGVNXGSWRVPVQVRRVSVTWGWHWSXBVLZWIXIXKXQUUIXP
      YCXKXQUUFUUIVNWQWRSWAWBVRRWCWGWHWPWSVLZWIXIXMVBWMIJZFZXTVBWOIJZFZUUJWGUUL
      WHWGXMUUKXOWGXLUUKXNWLVEPUTUJWEWHUUNWFXRXTUUMYBXRXSUUMYAWNVEPUTOWMWOWDVRR
      WC $.

    $( Ordering property of a Hilbert-space-valued state.  (Contributed by NM,
       30-Jun-2006.)  (New usage is discouraged.) $)
    hstles $p |- ( ( ( S e. CHStates /\ A e. CH ) /\ ( B e. CH /\ A C_ B ) )
             -> ( ( normh ` ( S ` A ) ) = 1 -> ( normh ` ( S ` B ) ) = 1 ) ) $=
      ( chst wcel cch wa wss cfv cno wceq cle wbr simpr hstle eqbrtrrd ad2ant2r
      c1 adantr cr ex hstle1 jctild wb chba hstcl normcl 1re mpan2 3syl sylibrd
      letri3 ) CDEZAFEZGBFEZABHZGGZACIJIZRKZBCIZJIZRLMZRVALMZGZVARKZUQUSVCVBUQU
      SVCUQUSGURRVALUQUSNUQURVALMUSABCOSPUAUMUOVBUNUPBCUBQUCUMUOVEVDUDZUNUPUMUO
      GUTUEEVATEZVFBCUFUTUGVGRTEVFUHVARULUIUJQUK $.

    $( A Hilbert-space-valued state orthogonal to the state of the lattice unit
       is zero.  (Contributed by NM, 25-Jun-2006.)
       (New usage is discouraged.) $)
    hstoh $p |- ( ( S e. CHStates /\ A e. CH /\ ( ( S ` A ) .ih ( S ` ~H ) ) =
                  0 ) -> ( S ` A ) = 0h ) $=
      ( chst wcel cch cfv chba csp co cc0 wceq wa cort caddc hstcl syl recnd wb
      3adant3 mpbid w3a cno c0v c2 cexp cva choccl sylan2 syl3anc normsq eqcomd
      his7 wss ococ eqimss2 jca adantl hstorth mpdan oveq12d cr resqcld addid1d
      normcl 3eqtrrd hstoc oveq2d eqtrd id sylan9eq 3impa cc sqeq0 hst0h ) BCDZ
      AEDZABFZGBFZHIZJKZUAZVQUBFZJKZVQUCKZWAWBUDUEIZJKZWCVOVPVTWFVOVPLZVTWEVSJW
      GWEVQVQAMFZBFZUFIZHIZVSWGWKVQVQHIZVQWIHIZNIZWEJNIWEWGVQGDZWOWIGDZWKWNKABO
      ZWQVPVOWHEDZWPAUGZWHBOUHVQVQWIULUIWGWLWEWMJNWGWEWLWGWOWEWLKWQVQUJPUKWGWRA
      WHMFZUMZLZWMJKVPXBVOVPWRXAWSVPWTAKXAAUNAWTUOPUPUQAWHBURUSUTWGWEWGWEWGWBWG
      WOWBVADWQVQVDPZVBQVCVEWGWJVRVQHABVFVGVHVTVIVJVKVOVPWFWCRZVTWGWBVLDXDWGWBX
      CQWBVMPSTVOVPWCWDRVTABVNST $.

    $( A Hilbert-space-valued state is zero at the zero subspace.  (Contributed
       by NM, 30-Jun-2006.)  (New usage is discouraged.) $)
    hst0 $p |- ( S e. CHStates -> ( S ` 0H ) = 0h ) $=
      ( chst wcel c0h cfv chba csp co cc0 wceq c0v cch h0elch wa cort wss helch
      choccli ch0lei hstorth mpanr12 mpan2 hstoh mp3an2 mpdan ) ABCZDAEZFAEGHIJ
      ZUGKJZUFDLCZUHMUFUJNFLCDFOEZPUHQUKFQRSDFATUAUBUFUJUHUIMDAUCUDUE $.

    $( The value of a state at the full Hilbert space.  (Contributed by NM,
       23-Oct-1999.)  (New usage is discouraged.) $)
    sthil $p |- ( S e. States -> ( S ` ~H ) = 1 ) $=
      ( vx vy cst wcel cch cc0 c1 cicc co wf chba cfv wceq cv cort wss chj wral
      caddc wi isst simp2bi ) ADEFGHIJAKLAMHNBOZCOZPMQUDUERJAMUDAMUEAMTJNUACFSB
      FSBCAUBUC $.

    $( The value of a state on a join.  (Contributed by NM, 23-Oct-1999.)
       (New usage is discouraged.) $)
    stj $p |- ( S e. States ->
         ( ( ( A e. CH /\ B e. CH ) /\ A C_ ( _|_ ` B ) ) ->
         ( S ` ( A vH B ) ) = ( ( S ` A ) + ( S ` B ) ) ) ) $=
      ( vx vy wcel cch cort cfv wss chj co caddc wceq cv wi wral fveq2 eqeq12d
      c1 cst wa cc0 cicc wf chba isst simp3bi sseq1 fvoveq1 oveq1d sseq2d oveq2
      imbi12d fveq2d oveq2d rspc2v syl5com impd ) CUAFZAGFBGFUBZABHIZJZABKLZCIZ
      ACIZBCIZMLZNZUTDOZEOZHIZJZVJVKKLCIZVJCIZVKCIZMLZNZPZEGQDGQZVAVCVIPZUTGUCT
      UDLCUEUFCITNVTDECUGUHVSWAAVLJZAVKKLZCIZVFVPMLZNZPDEABGGVJANZVMWBVRWFVJAVL
      UIWGVNWDVQWEVJAVKCKUJWGVOVFVPMVJACRUKSUNVKBNZWBVCWFVIWHVLVBAVKBHRULWHWDVE
      WEVHWHWCVDCVKBAKUMUOWHVPVGVFMVKBCRUPSUNUQURUS $.
  $}

  ${
    sto1.1 $e |- A e. CH $.
    $( The state of a subspace plus the state of its orthocomplement.
       (Contributed by NM, 24-Oct-1999.)  (New usage is discouraged.) $)
    sto1i $p |- ( S e. States -> ( ( S ` A ) + ( S ` ( _|_ ` A ) ) ) = 1 ) $=
      ( cst wcel cort cfv chj co chba caddc c1 chjoi fveq2i cch wa wceq choccli
      wss pm3.2i csh chshii shococss ax-mp stj mp2ani sthil 3eqtr3a ) BDEZAAFGZ
      HIZBGZJBGABGUJBGKIZLUKJBACMNUIAOEZUJOEZPAUJFGSZULUMQUNUOCACRTAUAEUPACUBAU
      CUDAUJBUEUFBUGUH $.

    $( The state of the orthocomplement.  (Contributed by NM, 24-Oct-1999.)
       (New usage is discouraged.) $)
    sto2i $p |- ( S e. States ->
               ( S ` ( _|_ ` A ) ) = ( 1 - ( S ` A ) ) ) $=
      ( cst wcel c1 cfv cmin co cort wceq caddc sto1i cc wb cch stcl mpi recnd
      cr choccli ax-1cn subadd mp3an1 syl2anc mpbird eqcomd ) BDEZFABGZHIZAJGZB
      GZUHUJULKZUIULLIFKZABCMUHUINEZULNEZUMUNOZUHUIUHAPEUITECABQRSUHULUHUKPEULT
      EACUAUKBQRSFNEUOUPUQUBFUIULUCUDUEUFUG $.

    $( If a state is greater than or equal to 1, it is 1.  (Contributed by NM,
       11-Nov-1999.)  (New usage is discouraged.) $)
    stge1i $p |- ( S e. States ->
                ( 1 <_ ( S ` A ) <-> ( S ` A ) = 1 ) ) $=
      ( cst wcel c1 cfv cle wbr wceq wa cch stle1 mpi anim1i ex cr wb stcl 1re
      letri3 sylancl sylibrd 1le1 breq2 mpbiri impbid1 ) BDEZFABGZHIZUIFJZUHUJU
      IFHIZUJKZUKUHUJUMUHULUJUHALEZULCABMNOPUHUIQEZFQEUKUMRUHUNUOCABSNTUIFUAUBU
      CUKUJFFHIUDUIFFHUEUFUG $.

    $( If a state is less than or equal to 0, it is 0.  (Contributed by NM,
       11-Nov-1999.)  (New usage is discouraged.) $)
    stle0i $p |- ( S e. States ->
                ( ( S ` A ) <_ 0 <-> ( S ` A ) = 0 ) ) $=
      ( cst wcel cfv cc0 cle wbr wceq wa cch stge0 mpi anim2i expcom cr wb stcl
      0re letri3 sylancl sylibrd 0le0 breq1 mpbiri impbid1 ) BDEZABFZGHIZUIGJZU
      HUJUJGUIHIZKZUKUJUHUMUHULUJUHALEZULCABMNOPUHUIQEZGQEUKUMRUHUNUOCABSNTUIGU
      AUBUCUKUJGGHIUDUIGGHUEUFUG $.
  $}

  ${
    stle.1 $e |- A e. CH $.
    stle.2 $e |- B e. CH $.
    $( Ordering law for states.  (Contributed by NM, 24-Oct-1999.)
       (New usage is discouraged.) $)
    stlei $p |- ( S e. States -> ( A C_ B -> ( S ` A ) <_ ( S ` B ) ) ) $=
      ( wcel wss cfv cle wbr wa cort caddc co cch mpi c1 adantr cr stcl cst chj
      wceq csh chshii shococss ax-mp sstr2 choccli pm3.2i jctil stj syl5 chjcli
      imp stle1 sto1i breqtrrd eqbrtrrd w3a wb 3jca leadd1 syl mpbird ex ) CUAF
      ZABGZACHZBCHZIJZVGVHKZVKVIBLHZCHZMNZVJVNMNZIJZVLAVMUBNZCHZVOVPIVGVHVSVOUC
      ZVHAOFZVMOFZKZAVMLHZGZKVGVTVHWEWCVHBWDGZWEBUDFWFBEUEBUFUGABWDUHPWAWBDBEUI
      ZUJUKAVMCULUMUOVGVSVPIJVHVGVSQVPIVGVROFVSQIJAVMDWGUNVRCUPPBCEUQURRUSVLVIS
      FZVJSFZVNSFZUTZVKVQVAVGWKVHVGWHWIWJVGWAWHDACTPVGBOFWIEBCTPVGWBWJWGVMCTPVB
      RVIVJVNVCVDVEVF $.

    $( Ordering law for states.  (Contributed by NM, 24-Oct-1999.)
       (New usage is discouraged.) $)
    stlesi $p |- ( S e. States ->
                ( A C_ B -> ( ( S ` A ) = 1 -> ( S ` B ) = 1 ) ) ) $=
      ( cst wcel wss cfv c1 wceq wa cle wbr cch stle1 mpi adantr wb cr ad2antll
      stlei imp adantrr breq1 mpbid stcl 1re jctir letri3 syl mpbir2and exp32 )
      CFGZABHZACIZJKZBCIZJKZUNUOUQLZLZUSURJMNZJURMNZUNVBUTUNBOGZVBEBCPQRVAUPURM
      NZVCUNUOVEUQUNUOVEABCDEUBUCUDUQVEVCSUNUOUPJURMUEUAUFVAURTGZJTGZLZUSVBVCLS
      UNVHUTUNVFVGUNVDVFEBCUGQUHUIRURJUJUKULUM $.

    $( Join of components of Sasaki arrow ->1.  (Contributed by NM,
       24-Oct-1999.)  (New usage is discouraged.) $)
    stji1i $p |- ( S e. States -> ( S ` ( ( _|_ ` A ) vH ( A i^i B ) ) ) =
         ( ( S ` ( _|_ ` A ) ) + ( S ` ( A i^i B ) ) ) ) $=
      ( cst wcel cort cfv cch cin wa wss chj caddc wceq choccli chincli pm3.2i
      co inss1 chsscon3i mpbi stj mp2ani ) CFGAHIZJGZABKZJGZLUFUHHIMZUFUHNTCIUF
      CIUHCIOTPUGUIADQABDERZSUHAMUJABUAUHAUKDUBUCUFUHCUDUE $.

    $( State of component of unit meet.  (Contributed by NM, 11-Nov-1999.)
       (New usage is discouraged.) $)
    stm1i $p |- ( S e. States ->
               ( ( S ` ( A i^i B ) ) = 1 -> ( S ` A ) = 1 ) ) $=
      ( cst wcel cin cfv c1 cle wbr wss inss1 chincli stlei mpi breq1 syl5ibcom
      wceq stge1i sylibd ) CFGZABHZCIZJTZJACIZKLZUGJTUCUEUGKLZUFUHUCUDAMUIABNUD
      ACABDEODPQUEJUGKRSACDUAUB $.

    $( State of component of unit meet.  (Contributed by NM, 11-Nov-1999.)
       (New usage is discouraged.) $)
    stm1ri $p |- ( S e. States ->
               ( ( S ` ( A i^i B ) ) = 1 -> ( S ` B ) = 1 ) ) $=
      ( cin cfv c1 wceq cst wcel incom fveq2i eqeq1i stm1i syl5bi ) ABFZCGZHIBA
      FZCGZHICJKBCGHIRTHQSCABLMNBACEDOP $.

    $( Sum of states whose meet is 1.  (Contributed by NM, 11-Nov-1999.)
       (New usage is discouraged.) $)
    stm1addi $p |- ( S e. States -> ( ( S ` ( A i^i B ) ) = 1 ->
                  ( ( S ` A ) + ( S ` B ) ) = 2 ) ) $=
      ( cst wcel cin cfv c1 wceq wa caddc co c2 stm1i stm1ri jcad oveq12 df-2
      eqtr4di syl6 ) CFGZABHCIJKZACIZJKZBCIZJKZLZUEUGMNZOKUCUDUFUHABCDEPABCDEQR
      UIUJJJMNOUEJUGJMSTUAUB $.

    $( If the sum of 2 states is 2, then each state is 1.  (Contributed by NM,
       12-Nov-1999.)  (New usage is discouraged.) $)
    staddi $p |- ( S e. States -> ( ( ( S ` A ) + ( S ` B ) ) = 2 ->
                ( S ` A ) = 1 ) ) $=
      ( wcel cfv caddc co c2 wceq clt wbr wn c1 cr mpi wa cle 1re stcl readdcld
      cst wne cch ltne necomd sylan ex necon2bd stle1 leadd2dd adantr wi ltadd1
      a1i w3a biimpd syl3anc imp readdcl sylancl readdcli lelttr df-2 breqtrrdi
      mp2and con3d wo wb leloe mpbid ord 3syld ) CUCFZACGZBCGZHIZJKVRJLMZNVPOLM
      ZNVPOKZVOVSVRJVOVSVRJUDZVOVRPFZVSWBVOVPVQVOAUEFZVPPFZDACUAQZVOBUEFZVQPFEB
      CUAQZUBZWCVSRJVRVRJUFUGUHUIUJVOVTVSVOVTVSVOVTRZVROOHIZJLWJVRVPOHIZSMZWLWK
      LMZVRWKLMZVOWMVTVOVQOVPWHOPFZVOTUPZWFVOWGVQOSMEBCUKQULUMVOVTWNVOWEWPWPVTW
      NUNWFWQWQWEWPWPUQVTWNVPOOUOURUSUTVOWMWNRWOUNZVTVOWCWLPFZWKPFZWRWIVOWEWPWS
      WFTVPOVAVBWTVOOOTTVCUPVRWLWKVDUSUMVGVEVFUIVHVOVTWAVOVPOSMZVTWAVIZVOWDXADA
      CUKQVOWEWPXAXBVJWFTVPOVKVBVLVMVN $.

    ${
      stm1add3.3 $e |- C e. CH $.
      $( Sum of states whose meet is 1.  (Contributed by NM, 11-Nov-1999.)
         (New usage is discouraged.) $)
      stm1add3i $p |- ( S e. States -> ( ( S ` ( ( A i^i B ) i^i C ) ) = 1 ->
                  ( ( ( S ` A ) + ( S ` B ) ) + ( S ` C ) ) = 3 ) ) $=
        ( cst wcel cin cfv c1 wceq caddc co c2 wa c3 chincli stm1i syld eqtr4di
        stm1addi stm1ri jcad oveq12 df-3 syl6 ) DHIZABJZCJDKLMZADKBDKNOZPMZCDKZ
        LMZQZULUNNOZRMUIUKUMUOUIUKUJDKLMUMUJCDABEFSZGTABDEFUCUAUJCDURGUDUEUPUQP
        LNORULPUNLNUFUGUBUH $.

      $( If the sum of 3 states is 3, then each state is 1.  (Contributed by
         NM, 13-Nov-1999.)  (New usage is discouraged.) $)
      stadd3i $p |- ( S e. States ->
  ( ( ( ( S ` A ) + ( S ` B ) ) + ( S ` C ) ) = 3 -> ( S ` A ) = 1 ) ) $=
        ( wcel cfv caddc co c3 wceq c1 cr mpi clt wbr cle 1re cst recnd addassd
        cch stcl eqeq1d wn eqcom wne wi readdcld ltne ex syl necon2bd syl5bi wa
        readdcli a1i 1red le2addd leadd2dd adantr w3a ltadd1 biimpd syl3anc imp
        stle1 readdcl sylancl lelttr mp2and c2 df-3 df-2 oveq1i addassi 3eqtrri
        ax-1cn breqtrdi con3d wo wb leloe mpbid ord 3syld sylbid ) DUAHZADIZBDI
        ZJKCDIZJKZLMWKWLWMJKZJKZLMZWKNMZWJWNWPLWJWKWLWMWJWKWJAUDHZWKOHZEADUEPZU
        BWJWLWJBUDHZWLOHFBDUEPZUBWJWMWJCUDHZWMOHGCDUEPZUBUCUFWJWQWPLQRZUGZWKNQR
        ZUGWRWQLWPMWJXGWPLUHWJXFLWPWJWPOHZXFLWPUIZUJWJWKWOXAWJWLWMXCXEUKZUKZXIX
        FXJWPLULUMUNUOUPWJXHXFWJXHXFWJXHUQZWPNNNJKZJKZLQXMWPWKXNJKZSRZXPXOQRZWP
        XOQRZWJXQXHWJWOXNWKXKXNOHZWJNNTTURZUSZXAWJWLWMNNXCXEWJUTZYCWJXBWLNSRFBD
        VIPWJXDWMNSRGCDVIPVAVBVCWJXHXRWJWTNOHZXTXHXRUJXAYCYBWTYDXTVDXHXRWKNXNVE
        VFVGVHWJXQXRUQXSUJZXHWJXIXPOHZXOOHZYEXLWJWTXTYFXAYAWKXNVJVKYGWJNXNTYAUR
        USWPXPXOVLVGVCVMLVNNJKXNNJKXOVOVNXNNJVPVQNNNVTVTVTVRVSWAUMWBWJXHWRWJWKN
        SRZXHWRWCZWJWSYHEADVIPWJWTYDYHYIWDXATWKNWEVKWFWGWHWI $.
    $}
  $}

  $( The state of the zero subspace.  (Contributed by NM, 24-Oct-1999.)
     (New usage is discouraged.) $)
  st0 $p |- ( S e. States -> ( S ` 0H ) = 0 ) $=
    ( cst wcel chba cort cfv c1 co c0h cc0 helch sto2i sthil oveq2d eqtrd choc1
    cmin fveq2i 1m1e0 3eqtr3g ) ABCZDEFZAFZGGQHZIAFJUAUCGDAFZQHUDDAKLUAUEGGQAMN
    OUBIAPRST $.

  ${
    $d u x A $.  $d u x B $.
    strlem1.1 $e |- A e. CH $.
    strlem1.2 $e |- B e. CH $.
    $( Lemma for strong state theorem: if closed subspace ` A ` is not
       contained in ` B ` , there is a unit vector ` u ` in their difference.
       (Contributed by NM, 25-Oct-1999.)  (New usage is discouraged.) $)
    strlem1 $p |- ( -. A C_ B -> E. u e. ( A \ B ) ( normh ` u ) = 1 ) $=
      ( vx wn wcel cno cfv c1 wceq co csm wa 3syl cc0 c0v syl cmul wss cdif wex
      cv wrex c0 neq0 ssdif0 xchnxbir cdiv cc wi cr eldifi cheli normcl cch ch0
      chba ax-mp eldifn mt2 eleq1 mtbiri con2i wb norm-i mtbird neqned rereccld
      csh chshii shmulcl mp3an1 ex recidd oveq1d ax-hvmulass syl3anc ax-hvmulid
      recnd 3eqtr3d eleq1d con3d anim12d eldif 3imtr4g pm2.43i norm-iii syl2anc
      sylibd cabs clt wbr cle wne necon2ai normgt0 mpbid 1re 0le1 divge0 absidd
      mpanl12 recid2d 3eqtrd fveqeq2 rspcev exlimiv sylbi ) BCUAZGFUDZBCUBZHZFU
      CZAUDZIJKLZAXMUEZXMUFLXOXKFXMUGBCUHUIXNXRFXNKXLIJZUJMZXLNMZXMHZYAIJZKLZXR
      XNYBXNXLBHZXLCHZGZOYABHZYACHZGZOXNYBXNYEYHYGYJXNXTUKHZYEYHULXNXTXNXSXNYEX
      LUSHZXSUMHZXLBCUNZXLBDUOZXLUPPZXNXSQXNXSQLZXLRLZYRXNYRXNRXMHZYSRCHZCUQHYT
      ECURUTRBCVAVBXLRXMVCVDZVEXNYEYLYQYRVFYNYOXLVGPVHVIZVJZWAZYKYEYHBVKHYKYEYH
      BDVLXTXLBVMVNVOSXNYIYFXNYIXSYANMZCHZYFXNXSUKHZYIUUFULXNXSYPWAZUUGYIUUFCVK
      HUUGYIUUFCEVLXSYACVMVNVOSXNUUEXLCXNXSXTTMZXLNMZKXLNMZUUEXLXNUUIKXLNXNXSUU
      HUUBVPVQXNUUGYKYLUUJUUELUUHUUDXNYEYLYNYOSZXSXTXLVRVSXNYEYLUUKXLLYNYOXLVTP
      WBWCWKWDWEXLBCWFYABCWFWGWHXNYCXTWLJZXSTMZXTXSTMKXNYKYLYCUUNLUUDUULXTXLWIW
      JXNUUMXTXSTXNXTUUCXNYMQXSWMWNZQXTWOWNZYPXNXLRWPZUUOXNXLRUUAWQXNYEYLUUQUUO
      VFYNYOXLWRPWSKUMHQKWOWNYMUUOOUUPWTXAKXSXBXDWJXCVQXNXSUUHUUBXEXFXQYDAYAXMX
      PYAKIXGXHWJXIXJ $.
  $}

  ${
    $d x C $.  $d x u $.
    strlem2.1 $e |- S = ( x e. CH |->
                           ( ( normh ` ( ( projh ` x ) ` u ) ) ^ 2 ) ) $.
    $( Lemma for strong state theorem.  (Contributed by NM, 28-Oct-1999.)
       (New usage is discouraged.) $)
    strlem2 $p |- ( C e. CH ->
                  ( S ` C ) = ( ( normh ` ( ( projh ` C ) ` u ) ) ^ 2 ) ) $=
      ( cv cpjh cfv cno c2 cexp cch wceq fveq2 fveq1d fveq2d oveq1d ovex fvmpt
      co ) ACBFZAFZGHZHZIHZJKTUACGHZHZIHZJKTLDUBCMZUEUHJKUIUDUGIUIUAUCUFUBCGNOP
      QEUHJKRS $.
  $}

  ${
    $d x z w u $.  $d z w S $.
    strlem3a.1 $e |- S = ( x e. CH |->
                           ( ( normh ` ( ( projh ` x ) ` u ) ) ^ 2 ) ) $.
    $( Lemma for strong state theorem: the function ` S ` , that maps a closed
       subspace to the square of the norm of its projection onto a unit vector,
       is a state.  (Contributed by NM, 28-Oct-1999.)
       (New usage is discouraged.) $)
    strlem3a $p |- ( ( u e. ~H /\ ( normh ` u ) = 1 ) -> S e. States ) $=
      ( vz vw cv chba wcel cno cfv c1 wceq cch co cpjh c2 cexp cle wbr cc0 cicc
      wa wf cort wss chj caddc wi wral cst cr id simpl pjhcl syl2anr normcl syl
      resqcld sqge0d normge0 pjnorm simplr breqtrd w3a cn0 exple1 mpan2 syl3anc
      elicc01 syl3anbrc fmptd helch strlem2 ax-mp pjch1 fveq2d oveq1d oveq1 sq1
      2nn0 eqtrdi sylan9eq syl5eq cva pjcjt2 pjopyth eqtrd chjcl 3adant3 adantr
      imp 3simpa oveqan12d 3eqtr4d 3exp1 com3r ralrimdv ralrimiv isst ) BGZHIZX
      AJKZLMZUCZNUALUBOZCUDHCKZLMEGZFGZUEKUFZXHXIUGOZCKZXHCKZXICKZUHOZMZUIZFNUJ
      ZENUJCUKIXEANXAAGZPKKZJKZQROZXFCXEXSNIZUCZYBULIUAYBSTYBLSTZYBXFIYDYAYDXTH
      IZYAULIZYCYCXBYFXEYCUMZXBXDUNZXAXSUOUPZXTUQURZUSYDYAYKUTYDYGUAYASTZYALSTZ
      YEYKYDYFYLYJXTVAURYDYAXCLSYCYCXBYAXCSTXEYHYIXAXSVBUPXBXDYCVCVDYGYLYMVEQVF
      IYEWAYAQVGVHVIYBVJVKDVLXEXGXAHPKKZJKZQROZLHNIXGYPMVMABHCDVNVOXBXDYPXCQROZ
      LXBYOXCQRXBYNXAJXAVPVQVRXDYQLQROLXCLQRVSVTWBWCWDXEXRENXEXHNIZXQFNXBYRXINI
      ZXQUIUIXDYRYSXBXQYRYSXBXJXPYRYSXBVEZXJUCZXAXKPKKZJKZQROZXAXHPKKZJKQROZXAX
      IPKKZJKQROZUHOZXLXOUUAUUDUUEUUGWEOZJKZQROZUUIUUAUUCUUKQRUUAUUBUUJJYTXJUUB
      UUJMXAXIXHWFWLVQVRYTXJUULUUIMXAXIXHWGWLWHUUAXKNIZXLUUDMYTUUMXJYRYSUUMXBXH
      XIWIWJWKABXKCDVNURUUAYRYSUCZXOUUIMYTUUNXJYRYSXBWMWKYRYSXMUUFXNUUHUHABXHCD
      VNABXICDVNWNURWOWPWQWKWRWSEFCWTVK $.
  $}

  ${
    $d x ph $.  $d x u $.  $d x A $.  $d x B $.
    strlem3.1 $e |- S = ( x e. CH |->
                          ( ( normh ` ( ( projh ` x ) ` u ) ) ^ 2 ) ) $.
    strlem3.2 $e |- ( ph <-> ( u e. ( A \ B ) /\ ( normh ` u ) = 1 ) ) $.
    strlem3.3 $e |- A e. CH $.
    strlem3.4 $e |- B e. CH $.
    $( Lemma for strong state theorem: the function ` S ` , that maps a closed
       subspace to the square of the norm of its projection onto a unit vector,
       is a state.  This lemma restates the hypotheses in a more convenient
       form to work with.  (Contributed by NM, 28-Oct-1999.)
       (New usage is discouraged.) $)
    strlem3 $p |- ( ph -> S e. States ) $=
      ( cv cdif wcel cno cfv c1 wceq wa cst chba cheli syl strlem3a sylan sylbi
      eldifi ) ACKZDELMZUGNOPQZRFSMZHUHUGTMZUIUJUHUGDMUKUGDEUFUGDIUAUBBCFGUCUDU
      E $.

    $( Lemma for strong state theorem.  (Contributed by NM, 2-Nov-1999.)
       (New usage is discouraged.) $)
    strlem4 $p |- ( ph -> ( S ` A ) = 1 ) $=
      ( cfv cv cpjh cno c2 cexp co c1 wcel wceq cch strlem2 cdif wa eldifi pjid
      ax-mp mpan fveq2d eqeq2 syl5ib mpan9 sylbi oveq1d sq1 eqtrdi syl5eq ) ADF
      KZCLZDMKKZNKZOPQZRDUASZURVBTIBCDFGUBUGAVBROPQRAVAROPAUSDEUCSZUSNKZRTZUDVA
      RTZHVDUSDSZVFVGUSDEUEVHVAVETVFVGVHUTUSNVCVHUTUSTIUSDUFUHUIVERVAUJUKULUMUN
      UOUPUQ $.

    $( Lemma for strong state theorem.  (Contributed by NM, 2-Nov-1999.)
       (New usage is discouraged.) $)
    strlem5 $p |- ( ph -> ( S ` B ) < 1 ) $=
      ( wcel cno cfv c1 wceq wa clt wbr c2 cexp cv cdif co cch strlem2 ax-mp wn
      cpjh eldif chba cheli pjnel biimpa sylan sylbi breq2 syl5ib impcom eldifi
      wb mpan cc0 cle pjhcli normcl syl normge0 0le1 lt2sq mpanr12 syl2anc 3syl
      cr 1re adantr mpbid eqbrtrid sq1 breqtrdi ) ACUAZDEUBKZVTLMZNOZPZEFMZNQRH
      WDWENSTUCZNQWDWEVTEUHMMZLMZSTUCZWFQEUDKZWEWIOJBCEFGUEUFWDWHNQRZWIWFQRZWCW
      AWKWAWHWBQRZWCWKWAVTDKZVTEKUGZPWMVTDEUIWNVTUJKZWOWMVTDIUKZWPWOWMWJWPWOWMU
      TJVTEULVAUMUNUOWBNWHQUPUQURWAWKWLUTZWCWAWNWPWRVTDEUSWQWPWHVMKZVBWHVCRZWRW
      PWGUJKZWSVTEJVDZWGVEVFWPXAWTXBWGVGVFWSWTPNVMKVBNVCRWRVNVHWHNVIVJVKVLVOVPV
      QVRVSUO $.

    $( Lemma for strong state theorem.  (Contributed by NM, 2-Nov-1999.)
       (New usage is discouraged.) $)
    strlem6 $p |- ( ph -> -. ( ( S ` A ) = 1 -> ( S ` B ) = 1 ) ) $=
      ( cfv c1 wceq strlem4 cst wcel cch cr strlem3 stcl mpisyl strlem5 neneqd
      ltned jcnd ) ADFKLMEFKZLMABCDEFGHIJNAUFLAUFLAFOPEQPUFRPABCDEFGHIJSJEFTUAA
      BCDEFGHIJUBUDUCUE $.
  $}

  ${
    $d x u f A $.  $d x u f B $.
    str.1 $e |- A e. CH $.
    str.2 $e |- B e. CH $.
    $( Strong state theorem.  The states on a Hilbert lattice define an
       ordering.  Remark in [Mayet] p. 370.  (Contributed by NM, 2-Nov-1999.)
       (New usage is discouraged.) $)
    stri $p |- ( A. f e. States ( ( f ` A ) = 1 -> ( f ` B ) = 1 ) ->
              A C_ B ) $=
      ( vu vx cv cfv c1 wceq wi cst wral wn wrex cno wcel fveq1 eqeq1d wss cdif
      dfral2 strlem1 wa cch cpjh c2 cexp cmpt eqid biid strlem3 strlem6 imbi12d
      co notbid rspcev syl2anc rexlimiva syl con1i sylbi ) ACHZIZJKZBVDIZJKZLZC
      MNVIOZCMPZOABUAZVICMUCVLVKVLOFHZQIJKZFABUBZPVKFABDEUDVNVKFVOVMVORVNUEZGUF
      VMGHUGIIQIUHUIUPUJZMRAVQIZJKZBVQIZJKZLZOZVKVPGFABVQVQUKZVPULZDEUMVPGFABVQ
      WDWEDEUNVJWCCVQMVDVQKZVIWBWFVFVSVHWAWFVEVRJAVDVQSTWFVGVTJBVDVQSTUOUQURUSU
      TVAVBVC $.

    $( Strong state theorem (bidirectional version).  (Contributed by NM,
       7-Apr-2001.)  (New usage is discouraged.) $)
    strb $p |- ( A. f e. States ( ( f ` A ) = 1 -> ( f ` B ) = 1 ) <->
              A C_ B ) $=
      ( cv cfv c1 wceq wi cst wral wss stri wcel stlesi com12 ralrimiv impbii )
      ACFZGHIBTGHIJZCKLABMZABCDENUBUACKTKOUBUAABTDEPQRS $.
  $}

  ${
    $d x C $.  $d x u $.
    hstrlem2.1 $e |- S = ( x e. CH |-> ( ( projh ` x ) ` u ) ) $.
    $( Lemma for strong set of CH states theorem.  (Contributed by NM,
       30-Jun-2006.)  (New usage is discouraged.) $)
    hstrlem2 $p |- ( C e. CH ->
                  ( S ` C ) = ( ( projh ` C ) ` u ) ) $=
      ( cv cpjh cfv cch wceq fveq2 fveq1d fvex fvmpt ) ACBFZAFZGHZHOCGHZHIDPCJO
      QRPCGKLEORMN $.
  $}

  ${
    $d x z w u $.  $d z w S $.
    hstrlem3a.1 $e |- S = ( x e. CH |-> ( ( projh ` x ) ` u ) ) $.
    $( Lemma for strong set of CH states theorem: the function ` S ` , that
       maps a closed subspace to the square of the norm of its projection onto
       a unit vector, is a state.  (Contributed by NM, 30-Jun-2006.)
       (New usage is discouraged.) $)
    hstrlem3a $p |- ( ( u e. ~H /\ ( normh ` u ) = 1 ) -> S e. CHStates ) $=
      ( vz vw cv chba wcel cno cfv c1 wceq wa cch csp co cpjh hstrlem2 adantr
      wf cort wss cc0 chj cva wral chst pjhcl ancoms adantlr fmptd helch fveq2i
      wi ax-mp pjch1 fveq2d id sylan9eq syl5eq w3a oveqan12d pjoi0 eqtrd pjcjt2
      3adant3 imp chjcl syl 3eqtr4d jca 3exp1 com3r ralrimdv ralrimiv syl3anbrc
      ishst ) BGZHIZVSJKZLMZNZOHCUAHCKZJKZLMEGZFGZUBKUCZWFCKZWGCKZPQZUDMZWFWGUE
      QZCKZWIWJUFQZMZNZUOZFOUGZEOUGCUHIWCAOVSAGZRKKZHCVTWTOIZXAHIZWBXBVTXCVSWTU
      IUJUKDULWCWEVSHRKKZJKZLWDXDJHOIWDXDMUMABHCDSUPUNVTWBXEWALVTXDVSJVSUQURWBU
      SUTVAWCWSEOWCWFOIZWRFOVTXFWGOIZWRUOUOWBXFXGVTWRXFXGVTWHWQXFXGVTVBZWHNZWLW
      PXIWKVSWFRKKZVSWGRKKZPQZUDXHWKXLMZWHXFXGXMVTXFXGWIXJWJXKPABWFCDSZABWGCDSZ
      VCVGTVSWFWGVDVEXIVSWMRKKZXJXKUFQZWNWOXHWHXPXQMVSWGWFVFVHXHWNXPMZWHXFXGXRV
      TXFXGNWMOIXRWFWGVIABWMCDSVJVGTXHWOXQMZWHXFXGXSVTXFXGWIXJWJXKUFXNXOVCVGTVK
      VLVMVNTVOVPEFCVRVQ $.
  $}

  ${
    $d x ph $.  $d x u $.  $d x A $.  $d x B $.
    hstrlem3.1 $e |- S = ( x e. CH |-> ( ( projh ` x ) ` u ) ) $.
    hstrlem3.2 $e |- ( ph <-> ( u e. ( A \ B ) /\ ( normh ` u ) = 1 ) ) $.
    hstrlem3.3 $e |- A e. CH $.
    hstrlem3.4 $e |- B e. CH $.
    $( Lemma for strong set of CH states theorem: the function ` S ` , that
       maps a closed subspace to the square of the norm of its projection onto
       a unit vector, is a state.  This lemma restates the hypotheses in a more
       convenient form to work with.  (Contributed by NM, 30-Jun-2006.)
       (New usage is discouraged.) $)
    hstrlem3 $p |- ( ph -> S e. CHStates ) $=
      ( cv cdif wcel cno cfv c1 wceq wa chst chba eldifi cheli hstrlem3a sylan
      syl sylbi ) ACKZDELMZUGNOPQZRFSMZHUHUGTMZUIUJUHUGDMUKUGDEUAUGDIUBUEBCFGUC
      UDUF $.

    $( Lemma for strong set of CH states theorem.  (Contributed by NM,
       30-Jun-2006.)  (New usage is discouraged.) $)
    hstrlem4 $p |- ( ph -> ( normh ` ( S ` A ) ) = 1 ) $=
      ( cfv cno cv cpjh c1 cch wcel wceq hstrlem2 ax-mp fveq2i cdif eldifi pjid
      wa mpan fveq2d eqeq2 syl5ib mpan9 sylbi syl5eq ) ADFKZLKCMZDNKKZLKZOUMUOL
      DPQZUMUORIBCDFGSTUAAUNDEUBQZUNLKZORZUEUPORZHURUNDQZUTVAUNDEUCVBUPUSRUTVAV
      BUOUNLUQVBUOUNRIUNDUDUFUGUSOUPUHUIUJUKUL $.

    $( Lemma for strong set of CH states theorem.  (Contributed by NM,
       30-Jun-2006.)  (New usage is discouraged.) $)
    hstrlem5 $p |- ( ph -> ( normh ` ( S ` B ) ) < 1 ) $=
      ( cv wcel cno cfv c1 wceq wa clt wbr sylbi cdif cch hstrlem2 fveq2d ax-mp
      cpjh wn eldif chba cheli wb pjnel mpan biimpa sylan breq2 syl5ib eqbrtrid
      impcom ) ACKZDEUALZUTMNZOPZQZEFNZMNZORSHVDVFUTEUFNNZMNZOREUBLZVFVHPJVIVEV
      GMBCEFGUCUDUEVCVAVHORSZVAVHVBRSZVCVJVAUTDLZUTELUGZQVKUTDEUHVLUTUILZVMVKUT
      DIUJVNVMVKVIVNVMVKUKJUTEULUMUNUOTVBOVHRUPUQUSURT $.

    $( Lemma for strong set of CH states theorem.  (Contributed by NM,
       30-Jun-2006.)  (New usage is discouraged.) $)
    hstrlem6 $p |- ( ph -> -. ( ( normh ` ( S ` A ) ) = 1 ->
                    ( normh ` ( S ` B ) ) = 1 ) ) $=
      ( cfv cno c1 wceq hstrlem4 chba wcel cr chst cch hstcl sylancl normcl syl
      hstrlem3 hstrlem5 ltned neneqd jcnd ) ADFKLKMNEFKZLKZMNABCDEFGHIJOAUKMAUK
      MAUJPQZUKRQAFSQETQULABCDEFGHIJUEJEFUAUBUJUCUDABCDEFGHIJUFUGUHUI $.
  $}

  ${
    $d x u f A $.  $d x u f B $.
    hstr.1 $e |- A e. CH $.
    hstr.2 $e |- B e. CH $.
    $( Hilbert space admits a strong set of Hilbert-space-valued states
       (CH-states).  Theorem in [Mayet3] p. 10.  (Contributed by NM,
       30-Jun-2006.)  (New usage is discouraged.) $)
    hstri $p |- ( A. f e. CHStates ( ( normh ` ( f ` A ) ) = 1 ->
                ( normh ` ( f ` B ) ) = 1 ) -> A C_ B ) $=
      ( vu vx cv cfv cno c1 wceq wi chst wral wn wrex wcel fveq1 fveqeq2d con1i
      wss dfral2 cdif strlem1 cch cpjh cmpt eqid biid hstrlem3 hstrlem6 imbi12d
      wa notbid rspcev syl2anc rexlimiva syl sylbi ) ACHZIZJIKLZBVAIZJIKLZMZCNO
      VFPZCNQZPABUBZVFCNUCVIVHVIPFHZJIKLZFABUDZQVHFABDEUEVKVHFVLVJVLRVKUNZGUFVJ
      GHUGIIUHZNRAVNIZJIKLZBVNIZJIKLZMZPZVHVMGFABVNVNUIZVMUJZDEUKVMGFABVNWAWBDE
      ULVGVTCVNNVAVNLZVFVSWCVCVPVEVRWCVBVOKJAVAVNSTWCVDVQKJBVAVNSTUMUOUPUQURUSU
      AUT $.

    $( Strong CH-state theorem (bidirectional version).  Theorem in [Mayet3]
       p. 10 and its converse.  (Contributed by NM, 30-Jun-2006.)
       (New usage is discouraged.) $)
    hstrbi $p |- ( A. f e. CHStates ( ( normh ` ( f ` A ) ) = 1 ->
              ( normh ` ( f ` B ) ) = 1 ) <-> A C_ B ) $=
      ( cv cfv cno c1 wceq wi chst wral wss hstri wcel cch wa hstles mpanr1
      mpanl2 expcom ralrimiv impbii ) ACFZGHGIJBUEGHGIJKZCLMABNZABCDEOUGUFCLUEL
      PZUGUFUHAQPZUGUFDUHUIRBQPUGUFEABUESTUAUBUCUD $.
  $}

  ${
    $d f A $.
    large.1 $e |- A e. CH $.
    $( A Hilbert lattice admits a largei set of states.  Remark in [Mayet]
       p. 370.  (Contributed by NM, 7-Apr-2001.)
       (New usage is discouraged.) $)
    largei $p |- ( -. A = 0H <-> E. f e. States ( f ` A ) = 1 ) $=
      ( cv cfv c1 wceq cst wrex c0h wn wral ralnex wi wss wcel cc0 ax-1ne0 neii
      wb st0 eqeq1d eqcom bitrdi mtbiri mtt ralbiia h0elch chle0i 3bitri bitr3i
      syl strb con1bii ) ABDZEFGZBHIZAJGZUQKUPKZBHLZURUPBHMUTUPJUOEZFGZNZBHLAJO
      URUSVCBHUOHPZVBKUSVCTVDVBFQGZFQRSVDVBQFGVEVDVAQFUOUAUBQFUCUDUEVBUPUFULUGA
      JBCUHUMACUIUJUKUN $.
  $}

  ${
    jplem1.1 $e |- A e. CH $.
    $( Lemma for Jauch-Piron theorem.  (Contributed by NM, 8-Apr-2001.)
       (New usage is discouraged.) $)
    jplem1 $p |- ( ( u e. ~H /\ ( normh ` u ) = 1 ) ->
          ( u e. A <-> ( ( normh ` ( ( projh ` A ) ` u ) ) ^ 2 ) = 1 ) ) $=
      ( cv chba wcel cno cfv c1 wceq wa c2 cexp co wb cr cc0 cle wbr syl eqeq2i
      cpjh cch pjnorm2 mpan sylan9bb sq1 pjhcli normcl normge0 1re 0le1 mpanr12
      eqeq2 sq11 syl2anc bitr3id adantr bitr4d ) ADZEFZUTGHZIJZKUTBFZUTBUBHHZGH
      ZIJZVFLMNZIJZVAVDVFVBJZVCVGBUCFVAVDVJOCUTBUDUEVBIVFUNUFVAVIVGOVCVIVHILMNZ
      JZVAVGVKIVHUGUAVAVFPFZQVFRSZVLVGOZVAVEEFZVMUTBCUHZVEUITVAVPVNVQVEUJTVMVNK
      IPFQIRSVOUKULVFIUOUMUPUQURUS $.
  $}

  ${
    $d x u $.  $d x u $.  $d x A $.  $d x B $.
    jp.1 $e |- S = ( x e. CH |-> ( ( normh ` ( ( projh ` x ) ` u ) ) ^ 2 ) ) $.
    jp.2 $e |- A e. CH $.
    $( Lemma for Jauch-Piron theorem.  (Contributed by NM, 8-Apr-2001.)
       (New usage is discouraged.) $)
    jplem2 $p |- ( ( u e. ~H /\ ( normh ` u ) = 1 ) ->
                 ( u e. A <-> ( S ` A ) = 1 ) ) $=
      ( cv chba wcel cno cfv c1 wceq wa cpjh c2 cexp co jplem1 cch ax-mp eqeq1i
      strlem2 bitr4di ) BGZHIUEJKLMNUECIUECOKKJKPQRZLMCDKZLMBCFSUGUFLCTIUGUFMFA
      BCDEUCUAUBUD $.

    ${
      jp.3 $e |- B e. CH $.
      $( The function ` S ` , that maps a closed subspace to the square of the
         norm of its projection onto a unit vector, is a Jauch-Piron state.
         Remark in [Mayet] p. 370.  (See ~ strlem3a for the proof that ` S ` is
         a state.)  (Contributed by NM, 8-Apr-2001.)
         (New usage is discouraged.) $)
      jpi $p |- ( ( u e. ~H /\ ( normh ` u ) = 1 ) -> ( ( ( S ` A ) = 1
               /\ ( S ` B ) = 1 ) <-> ( S ` ( A i^i B ) ) = 1 ) ) $=
        ( cv chba wcel cno cfv c1 wceq wa cin elin jplem2 anbi12d syl5bb bitr3d
        chincli ) BIZJKUDLMNOPZUDCDQZKZCEMNOZDEMNOZPZUFEMNOUGUDCKZUDDKZPUEUJUDC
        DRUEUKUHULUIABCEFGSABDEFHSTUAABUFEFCDGHUCSUB $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Godowski's equation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    golem1.1 $e |- A e. CH $.
    golem1.2 $e |- B e. CH $.
    golem1.3 $e |- C e. CH $.
    golem1.4 $e |- F = ( ( _|_ ` A ) vH ( A i^i B ) ) $.
    golem1.5 $e |- G = ( ( _|_ ` B ) vH ( B i^i C ) ) $.
    golem1.6 $e |- H = ( ( _|_ ` C ) vH ( C i^i A ) ) $.
    golem1.7 $e |- D = ( ( _|_ ` B ) vH ( B i^i A ) ) $.
    golem1.8 $e |- R = ( ( _|_ ` C ) vH ( C i^i B ) ) $.
    golem1.9 $e |- S = ( ( _|_ ` A ) vH ( A i^i C ) ) $.
    $( Lemma for Godowski's equation.  (Contributed by NM, 10-Nov-2002.)
       (New usage is discouraged.) $)
    golem1 $p |- ( f e. States -> ( ( ( f ` F ) + ( f ` G ) ) + ( f ` H ) ) =
                 ( ( ( f ` D ) + ( f ` R ) ) + ( f ` S ) ) ) $=
      ( caddc cv cst wcel cort cfv cin chj co cch cr choccli stcl recnd addassd
      mpi addcld addcomd eqtrd oveq1d chincli add4d 3eqtr4d stji1i incom fveq2i
      oveq12d oveq2i eqtrdi oveq12i 3eqtr4g ) GUAZUBUCZAUDUEZABUFZUGUHZVKUEZBUD
      UEZBCUFZUGUHZVKUEZTUHZCUDUEZCAUFZUGUHZVKUEZTUHZVQBAUFZUGUHZVKUEZWBCBUFZUG
      UHZVKUEZTUHZVMACUFZUGUHZVKUEZTUHZHVKUEZIVKUEZTUHZJVKUEZTUHDVKUEZEVKUEZTUH
      ZFVKUEZTUHVLVMVKUEZVNVKUEZTUHZVQVKUEZVRVKUEZTUHZTUHZWBVKUEZWCVKUEZTUHZTUH
      ZXIXGTUHZXMXJTUHZTUHZXFXNTUHZTUHZWFWQVLXFXITUHZXGXJTUHZTUHZXOTUHZXIXMTUHZ
      YCTUHZXTTUHZXPYAVLYBXMTUHZYCXNTUHZTUHYFXFTUHZYJTUHYEYHVLYIYKYJTVLYIXFYFTU
      HYKVLXFXIXMVLXFVLVMUIUCXFUJUCAKUKVMVKULUOUMZVLXIVLVQUIUCXIUJUCBLUKVQVKULU
      OUMZVLXMVLWBUIUCXMUJUCCMUKWBVKULUOUMZUNVLXFYFYLVLXIXMYMYNUPZUQURUSVLYBYCX
      MXNVLXFXIYLYMUPVLXGXJVLXGVLVNUIUCXGUJUCABKLUTVNVKULUOUMZVLXJVLVRUIUCXJUJU
      CBCLMUTVRVKULUOUMZUPZYNVLXNVLWCUIUCXNUJUCCAMKUTWCVKULUOUMZVAVLYFYCXFXNYOY
      RYLYSVAVBVLXLYDXOTVLXFXGXIXJYLYPYMYQVAUSVLXSYGXTTVLXIXGXMXJYMYPYNYQVAUSVB
      VLWAXLWEXOTVLVPXHVTXKTABVKKLVCBCVKLMVCVFCAVKMKVCVFVLWMXSWPXTTVLWIXQWLXRTV
      LWIXIWGVKUEZTUHXQBAVKLKVCYTXGXITWGVNVKBAVDVEVGVHVLWLXMWJVKUEZTUHXRCBVKMLV
      CUUAXJXMTWJVRVKCBVDVEVGVHVFVLWPXFWNVKUEZTUHXTACVKKMVCUUBXNXFTWNWCVKACVDVE
      VGVHVFVBWTWAXAWETWRVPWSVTTHVOVKNVEIVSVKOVEVIJWDVKPVEVIXDWMXEWPTXBWIXCWLTD
      WHVKQVEEWKVKRVEVIFWOVKSVEVIVJ $.

    $( Lemma for Godowski's equation.  (Contributed by NM, 13-Nov-1999.)
       (New usage is discouraged.) $)
    golem2 $p |- ( f e. States ->
              ( ( f ` ( ( F i^i G ) i^i H ) ) = 1 -> ( f ` D ) = 1 ) ) $=
      ( cfv cv cst wcel cin c1 wceq caddc co c3 cort chj choccli chincli chjcli
      cch eqeltri stm1add3i golem1 eqeq1d sylibd stadd3i syld ) GUAZUBUCZHIUDJU
      DVCTUEUFZDVCTZEVCTUGUHFVCTUGUHZUIUFZVFUEUFVDVEHVCTIVCTUGUHJVCTUGUHZUIUFVH
      HIJVCHAUJTZABUDZUKUHUONVJVKAKULZABKLUMUNUPIBUJTZBCUDZUKUHUOOVMVNBLULZBCLM
      UMUNUPJCUJTZCAUDZUKUHUOPVPVQCMULZCAMKUMUNUPUQVDVIVGUIABCDEFGHIJKLMNOPQRSU
      RUSUTDEFVCDVMBAUDZUKUHUOQVMVSVOBALKUMUNUPEVPCBUDZUKUHUORVPVTVRCBMLUMUNUPF
      VJACUDZUKUHUOSVJWAVLACKMUMUNUPVAVB $.
  $}

  ${
    $d f F $.  $d f G $.  $d f H $.  $d f D $.
    goeq.1 $e |- A e. CH $.
    goeq.2 $e |- B e. CH $.
    goeq.3 $e |- C e. CH $.
    goeq.4 $e |- F = ( ( _|_ ` A ) vH ( A i^i B ) ) $.
    goeq.5 $e |- G = ( ( _|_ ` B ) vH ( B i^i C ) ) $.
    goeq.6 $e |- H = ( ( _|_ ` C ) vH ( C i^i A ) ) $.
    goeq.7 $e |- D = ( ( _|_ ` B ) vH ( B i^i A ) ) $.
    $( Godowski's equation, shown here as a variant equivalent to Equation SF
       of [Godowski] p. 730.  (Contributed by NM, 10-Nov-2002.)
       (New usage is discouraged.) $)
    goeqi $p |- ( ( F i^i G ) i^i H ) C_ D $=
      ( vf cin cfv chj co chincli cv c1 wceq wi wss cst cort cch choccli chjcli
      eqeltri stri eqid golem2 mprg ) EFPZGPZOUAZQUBUCDURQUBUCUDUQDUEOUFUQDOUPG
      EFEAUGQZABPZRSUHKUSUTAHUIABHITUJUKFBUGQZBCPZRSUHLVAVBBIUIZBCIJTUJUKTGCUGQ
      ZCAPZRSUHMVDVECJUICAJHTUJUKTDVABAPZRSUHNVAVFVCBAIHTUJUKULABCDVDCBPRSZUSAC
      PRSZOEFGHIJKLMNVGUMVHUMUNUO $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y S $.
    stcltr1.1 $e |- ( ph <-> ( S e. States /\ A. x e. CH A. y e. CH
                ( ( ( S ` x ) = 1 -> ( S ` y ) = 1 ) -> x C_ y ) ) ) $.
    stcltr1.2 $e |- A e. CH $.
    ${
      stcltr1.3 $e |- B e. CH $.
      $( Property of a strong classical state.  (Contributed by NM,
         24-Oct-1999.)  (New usage is discouraged.) $)
      stcltr1i $p |- ( ph ->
               ( ( ( S ` A ) = 1 -> ( S ` B ) = 1 ) -> A C_ B ) ) $=
        ( wcel cv cfv c1 wceq wi wss cch wral fveqeq2 imbi12d cst imbi1d imbi2d
        sseq1 sseq2 rspc2v mp2an simplbiim ) AFUAJBKZFLMNZCKZFLMNZOZUIUKPZOZCQR
        BQRZDFLMNZEFLMNZOZDEPZOZGDQJEQJUPVAOHIUOVAUQULOZDUKPZOBCDEQQUIDNZUMVBUN
        VCVDUJUQULUIDMFSUBUIDUKUDTUKENZVBUSVCUTVEULURUQUKEMFSUCUKEDUETUFUGUH $.
    $}

    $( Property of a strong classical state.  (Contributed by NM, 24-Oct-1999.)
       (New usage is discouraged.) $)
    stcltr2i $p |- ( ph -> ( ( S ` A ) = 1 -> A = ~H ) ) $=
      ( cfv c1 wceq chba wss wi ax-1 helch stcltr1i syl5 chssii eqss mpbiran
      syl6ibr ) ADEHIJZKDLZDKJZUBKEHIJZUBMAUCUBUENABCKDEFOGPQUDDKLUCDGRDKSTUA
      $.

    ${
      stcltrlem1.3 $e |- B e. CH $.
      $( Lemma for strong classical state theorem.  (Contributed by NM,
         24-Oct-1999.)  (New usage is discouraged.) $)
      stcltrlem1 $p |- ( ph -> ( ( S ` B ) = 1 ->
                    ( S ` ( ( _|_ ` A ) vH ( A i^i B ) ) ) = 1 ) ) $=
        ( cfv c1 wceq cin co caddc wcel cch syl chba eqtrd chj wa cst cv wi wss
        cort wral simplbi stji1i adantr stcltr2i imp ineq2 eqtrdi fveq2d oveq2d
        chm1i cr choccli stcl mpi recnd addcomd sto1i ex ) AEFJKLZDUGJZDEMZUANF
        JZKLAVGUBZVJVHFJZVIFJZONZKAVJVNLZVGAFUCPZVOAVPBUDZFJKLCUDZFJKLUEVQVRUFU
        ECQUHBQUHGUIZDEFHIUJRUKVKVNVLDFJZONZKVKVMVTVLOVKVIDFVKESLZVIDLAVGWBABCE
        FGIULUMWBVIDSMDESDUNDHURUORUPUQVKVPWAKLAVPVGVSUKVPWAVTVLONKVPVLVTVPVLVP
        VHQPVLUSPDHUTVHFVAVBVCVPVTVPDQPVTUSPHDFVAVBVCVDDFHVETRTTVF $.

      $( Lemma for strong classical state theorem.  (Contributed by NM,
         24-Oct-1999.)  (New usage is discouraged.) $)
      stcltrlem2 $p |- ( ph -> B C_ ( ( _|_ ` A ) vH ( A i^i B ) ) ) $=
        ( cfv c1 wceq cort cin chj co wi wss stcltrlem1 choccli chjcli stcltr1i
        chincli mpd ) AEFJKLDMJZDENZOPZFJKLQEUGRABCDEFGHISABCEUGFGIUEUFDHTDEHIU
        CUAUBUD $.
    $}
  $}

  ${
    $d x y s A $.  $d x y s B $.
    stcltrth.1 $e |- A e. CH $.
    stcltrth.2 $e |- B e. CH $.
    stcltrth.3 $e |- E. s e. States A. x e. CH A. y e. CH
                ( ( ( s ` x ) = 1 -> ( s ` y ) = 1 ) -> x C_ y ) $.
    $( Theorem for classically strong set of states.  If there exists a
       "classically strong set of states" on lattice ` CH ` (or actually any
       ortholattice, which would have an identical proof), then any two
       elements of the lattice commute, i.e., the lattice is distributive.
       (Proof due to Mladen Pavicic.)  Theorem 3.3 of [MegPav2000] p. 2344.
       (Contributed by NM, 24-Oct-1999.)  (New usage is discouraged.) $)
    stcltrthi $p |- B C_ ( ( _|_ ` A ) vH ( A i^i B ) ) $=
      ( cv cfv c1 wceq wi wss cch wral cst wrex cort cin chj co wcel stcltrlem2
      wa biid rexlimiva ax-mp ) AIZEIZJKLBIZUJJKLMUIUKNMBOPAOPZEQRDCSJCDTUAUBNZ
      HULUMEQUJQUCULUEZABCDUJUNUFFGUDUGUH $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Cover relation, atoms, exchange axiom, and modular symmetry
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Covers relation; modular pairs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( Define the covers relation (on the Hilbert lattice).  Definition 3.2.18
       of [PtakPulmannova] p. 68, whose notation we use.  Ptak/Pulmannova's
       notation ` A <oH B ` is read " ` B ` covers ` A ` " or " ` A ` is
       covered by ` B ` " , and it means that ` B ` is larger than ` A ` and
       there is nothing in between.  See ~ cvbr and ~ cvbr2 for membership
       relations.  (Contributed by NM, 4-Jun-2004.)
       (New usage is discouraged.) $)
    df-cv $a |- <oH = { <. x , y >. | ( ( x e. CH /\ y e. CH ) /\
              ( x C. y /\ -. E. z e. CH ( x C. z /\ z C. y ) ) ) } $.

    $( Define the modular pair relation (on the Hilbert lattice).  Definition
       1.1 of [MaedaMaeda] p. 1, who use the notation (x,y)M for "the ordered
       pair <x,y> is a modular pair."  See ~ mdbr for membership relation.
       (Contributed by NM, 14-Jun-2004.)  (New usage is discouraged.) $)
    df-md $a |- MH = { <. x , y >. | ( ( x e. CH /\ y e. CH ) /\
    A. z e. CH ( z C_ y -> ( ( z vH x ) i^i y ) = ( z vH ( x i^i y ) ) ) ) } $.

    $( Define the dual modular pair relation (on the Hilbert lattice).
       Definition 1.1 of [MaedaMaeda] p. 1, who use the notation (x,y)M* for
       "the ordered pair <x,y> is a dual modular pair."  See ~ dmdbr for
       membership relation.  (Contributed by NM, 27-Apr-2006.)
       (New usage is discouraged.) $)
    df-dmd $a |- MH* = { <. x , y >. | ( ( x e. CH /\ y e. CH ) /\
    A. z e. CH ( y C_ z -> ( ( z i^i x ) vH y ) = ( z i^i ( x vH y ) ) ) ) } $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x C $.
    $( Binary relation expressing ` B ` covers ` A ` , which means that ` B `
       is larger than ` A ` and there is nothing in between.  Definition 3.2.18
       of [PtakPulmannova] p. 68.  (Contributed by NM, 4-Jun-2004.)
       (New usage is discouraged.) $)
    cvbr $p |- ( ( A e. CH /\ B e. CH ) -> ( A <oH B <->
              ( A C. B /\ -. E. x e. CH ( A C. x /\ x C. B ) ) ) ) $=
      ( vy vz cch wcel wa ccv wpss cv wrex wn wceq anbi1d psseq1 rexbidv notbid
      eleq1 anbi12d wbr anbi2d psseq2 df-cv brabg bianabs ) BFGZCFGZHZBCIUABCJZ
      BAKZJZUKCJZHZAFLZMZHZDKZFGZEKZFGZHZURUTJZURUKJZUKUTJZHZAFLZMZHZHUGVAHZBUT
      JZULVEHZAFLZMZHZHUIUQHDEBCFFIURBNZVBVJVIVOVPUSUGVAURBFSOVPVCVKVHVNURBUTPV
      PVGVMVPVFVLAFVPVDULVEURBUKPOQRTTUTCNZVJUIVOUQVQVAUHUGUTCFSUBVQVKUJVNUPUTC
      BUCVQVMUOVQVLUNAFVQVEUMULUTCUKUCUBQRTTDEAUDUEUF $.

    $( Binary relation expressing ` B ` covers ` A ` .  Definition of covers in
       [Kalmbach] p. 15.  (Contributed by NM, 9-Jun-2004.)
       (New usage is discouraged.) $)
    cvbr2 $p |- ( ( A e. CH /\ B e. CH ) -> ( A <oH B <->
             ( A C. B /\ A. x e. CH ( ( A C. x /\ x C_ B ) -> x = B ) ) ) ) $=
      ( cch wcel wa ccv wbr wpss cv wrex wn wceq wi wral cvbr iman anass anbi2i
      wss dfpss2 bitr4i xchbinx ralbii ralnex bitri bitr4di ) BDECDEFBCGHBCIZBA
      JZIZUICIZFZADKLZFUHUJUICTZFZUICMZNZADOZFABCPURUMUHURULLZADOUMUQUSADUQUOUP
      LZFZULUOUPQVAUJUNUTFZFULUJUNUTRUKVBUJUICUASUBUCUDULADUEUFSUG $.

    $( Contraposition law for the covers relation.  (Contributed by NM,
       12-Jun-2004.)  (New usage is discouraged.) $)
    cvcon3 $p |- ( ( A e. CH /\ B e. CH ) ->
                   ( A <oH B <-> ( _|_ ` B ) <oH ( _|_ ` A ) ) ) $=
      ( vx vy cch wcel wa wpss cv wrex wn cort cfv ccv wbr chpsscon3 wb adantlr
      anbi12d choccl ancoms adantll wi wceq psseq2 psseq1 rspcev ancomsd adantl
      sylan ex sylbid rexlimdva chpsscon1 chpsscon2 impbid cvbr syl2anr 3bitr4d
      notbid ) AEFZBEFZGZABHZACIZHZVEBHZGZCEJZKZGBLMZALMZHZVKDIZHZVNVLHZGZDEJZK
      ZGZABNOVKVLNOZVCVDVMVJVSABPVCVIVRVCVIVRVCVHVRCEVCVEEFZGZVHVELMZVLHZVKWDHZ
      GZVRWCVFWEVGWFVAWBVFWEQVBAVEPRVBWBVGWFQZVAWBVBWHVEBPUAUBSWBWGVRUCVCWBWFWE
      VRWBWFWEGZVRWBWDEFWIVRVETVQWIDWDEVNWDUDVOWFVPWEVNWDVKUEVNWDVLUFSUGUJUKUHU
      IULUMVCVQVIDEVCVNEFZGZVQVNLMZBHZAWLHZGZVIWKVOWMVPWNVBWJVOWMQVABVNUNUBVAWJ
      VPWNQZVBWJVAWPVNAUOUARSWJWOVIUCVCWJWNWMVIWJWNWMGZVIWJWLEFWQVIVNTVHWQCWLEV
      EWLUDVFWNVGWMVEWLAUEVEWLBUFSUGUJUKUHUIULUMUPUTSCABUQVBVKEFVLEFWAVTQVABTAT
      DVKVLUQURUS $.

    $( The covers relation implies proper subset.  (Contributed by NM,
       10-Jun-2004.)  (New usage is discouraged.) $)
    cvpss $p |- ( ( A e. CH /\ B e. CH ) -> ( A <oH B -> A C. B ) ) $=
      ( vx cch wcel wa ccv wbr wpss cv wrex wn cvbr simpl syl6bi ) ADEBDEFABGHA
      BIZACJZIQBIFCDKLZFPCABMPRNO $.

    $( The covers relation implies no in-betweenness.  (Contributed by NM,
       12-Jun-2004.)  (New usage is discouraged.) $)
    cvnbtwn $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) -> ( A <oH B ->
                  -. ( A C. C /\ C C. B ) ) ) $=
      ( vx cch wcel ccv wpss wa wn wi cv wrex cvbr psseq2 psseq1 anbi12d rspcev
      wbr wceq ex con3rr3 adantl syl6bi com23 3impia ) AEFZBEFZCEFZABGSZACHZCBH
      ZIZJZKUGUHIZUJUIUNUOUJABHZADLZHZUQBHZIZDEMZJZIUIUNKZDABNVBVCUPUIUMVAUIUMV
      AUTUMDCEUQCTURUKUSULUQCAOUQCBPQRUAUBUCUDUEUF $.
  $}

  $( The covers relation implies no in-betweenness.  (Contributed by NM,
     12-Jun-2004.)  (New usage is discouraged.) $)
  cvnbtwn2 $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) -> ( A <oH B ->
                ( ( A C. C /\ C C_ B ) -> C = B ) ) ) $=
    ( cch wcel w3a ccv wbr wpss wa wn wss wceq cvnbtwn iman anass dfpss2 anbi2i
    wi bitr4i notbii bitr2i syl6ib ) ADEBDECDEFABGHACIZCBIZJZKZUDCBLZJZCBMZSZAB
    CNUKUIUJKZJZKUGUIUJOUMUFUMUDUHULJZJUFUDUHULPUEUNUDCBQRTUAUBUC $.

  $( The covers relation implies no in-betweenness.  (Contributed by NM,
     12-Jun-2004.)  (New usage is discouraged.) $)
  cvnbtwn3 $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) -> ( A <oH B ->
                ( ( A C_ C /\ C C. B ) -> C = A ) ) ) $=
    ( cch wcel w3a ccv wbr wpss wa wn wss wceq cvnbtwn iman eqcom imbi2i dfpss2
    wi anbi1i an32 bitri notbii 3bitr4ri syl6ib ) ADEBDECDEFABGHACIZCBIZJZKZACL
    ZUGJZCAMZSZABCNUKACMZSUKUNKZJZKUMUIUKUNOULUNUKCAPQUHUPUHUJUOJZUGJUPUFUQUGAC
    RTUJUOUGUAUBUCUDUE $.

  $( The covers relation implies no in-betweenness.  Part of proof of Lemma
     7.5.1 of [MaedaMaeda] p. 31.  (Contributed by NM, 12-Jun-2004.)
     (New usage is discouraged.) $)
  cvnbtwn4 $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) -> ( A <oH B ->
                ( ( A C_ C /\ C C_ B ) -> ( C = A \/ C = B ) ) ) ) $=
    ( cch wcel w3a ccv wbr wpss wa wn wss wceq wo wi cvnbtwn iman notbii dfpss2
    an4 ioran eqcom anbi1i bitri anbi2i anbi12i 3bitr4i bitr2i syl6ib ) ADEBDEC
    DEFABGHACIZCBIZJZKZACLZCBLZJZCAMZCBMZNZOZABCPUTUPUSKZJZKUMUPUSQVBULUPACMZKZ
    URKZJZJUNVDJZUOVEJZJVBULUNUOVDVETVAVFUPVAUQKZVEJVFUQURUAVIVDVEUQVCCAUBRUCUD
    UEUJVGUKVHACSCBSUFUGRUHUI $.

  $( The covers relation is not symmetric.  (Contributed by NM, 26-Jun-2004.)
     (New usage is discouraged.) $)
  cvnsym $p |- ( ( A e. CH /\ B e. CH ) -> ( A <oH B -> -. B <oH A ) ) $=
    ( cch wcel wa ccv wbr wpss wn cvpss ancoms pssn2lp imnani syl6 con2d syld
    wi ) ACDZBCDZEZABFGABHZBAFGZIABJTUBUATUBBAHZUAISRUBUCQBAJKUCUABALMNOP $.

  $( The covers relation is not reflexive.  (Contributed by NM, 26-Jun-2004.)
     (New usage is discouraged.) $)
  cvnref $p |- ( A e. CH -> -. A <oH A ) $=
    ( cch wcel ccv wbr wn wi cvnsym anidms pm2.01d ) ABCZAADEZKLLFGAAHIJ $.

  $( The covers relation is not transitive.  (Contributed by NM, 26-Jun-2004.)
     (New usage is discouraged.) $)
  cvntr $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) ->
                ( ( A <oH B /\ B <oH C ) -> -. A <oH C ) ) $=
    ( cch wcel w3a ccv wpss wn wi cvpss 3adant3 3adant1 wa cvnbtwn 3com23 con2d
    wbr syl2and ) ADEZBDEZCDEZFZABGRZABHZBCGRZBCHZACGRZITUAUDUEJUBABKLUAUBUFUGJ
    TBCKMUCUHUEUGNZTUBUAUHUIIJACBOPQS $.

  ${
    $d x A $.  $d x B $.
    $( Hilbert space has the covering property (using spans of singletons to
       represent atoms).  Proposition 1(ii) of [Kalmbach] p. 153.  (Contributed
       by NM, 9-Jun-2004.)  (New usage is discouraged.) $)
    spansncv2 $p |- ( ( A e. CH /\ B e. ~H ) -> ( -. ( span ` { B } ) C_ A ->
                     A <oH ( A vH ( span ` { B } ) ) ) ) $=
      ( vx cch wcel chba wa csn cspn cfv chj co wpss cv wss wceq wi wral sylan2
      wb wn ccv spansncv 3exp com23 ralrimiv anim2i expcom spansnch chnle chjcl
      wbr imp cvbr2 syldan 3imtr4d ) ADEZBFEZGZAABHIJZKLZMZVBACNZMVCVAOGVCVAPQZ
      CDRZGZUTAOUAZAVAUBULZVBUSVFUSVEVBUSVDCDUQURVCDEZVDQUQVIURVDUQVIURVDAVCBUC
      UDUEUMUFUGUHURUQUTDEZVGVBTBUIZAUTUJSUQURVADEZVHVFTURUQVJVLVKAUTUKSCAVAUNU
      OUP $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x C $.
    $( Binary relation expressing ` <. A , B >. ` is a modular pair.
       Definition 1.1 of [MaedaMaeda] p. 1.  (Contributed by NM, 14-Jun-2004.)
       (New usage is discouraged.) $)
    mdbr $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH B <->
    A. x e. CH ( x C_ B -> ( ( x vH A ) i^i B ) = ( x vH ( A i^i B ) ) ) ) ) $=
      ( vy vz cch wcel wa cmd cv wss chj co cin wceq wral eleq1 oveq2d eqeq12d
      wi wbr anbi1d oveq2 ineq1d ineq1 imbi2d ralbidv anbi12d sseq2 ineq2 df-md
      anbi2d imbi12d brabg bianabs ) BFGZCFGZHZBCIUAAJZCKZUSBLMZCNZUSBCNZLMZOZT
      ZAFPZDJZFGZEJZFGZHZUSVJKZUSVHLMZVJNZUSVHVJNZLMZOZTZAFPZHUPVKHZVMVAVJNZUSB
      VJNZLMZOZTZAFPZHURVGHDEBCFFIVHBOZVLWAVTWGWHVIUPVKVHBFQUBWHVSWFAFWHVRWEVMW
      HVOWBVQWDWHVNVAVJVHBUSLUCUDWHVPWCUSLVHBVJUERSUFUGUHVJCOZWAURWGVGWIVKUQUPV
      JCFQULWIWFVFAFWIVMUTWEVEVJCUSUIWIWBVBWDVDVJCVAUJWIWCVCUSLVJCBUJRSUMUGUHDE
      AUKUNUO $.

    $( Consequence of the modular pair property.  (Contributed by NM,
       22-Jun-2004.)  (New usage is discouraged.) $)
    mdi $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\ ( A MH B /\
              C C_ B ) ) -> ( ( C vH A ) i^i B ) = ( C vH ( A i^i B ) ) ) $=
      ( vx cch wcel w3a cmd wbr wss chj co cin wceq wi wa cv wral mdbr oveq1
      biimpd sseq1 ineq1d eqeq12d imbi12d rspcv sylan9 3impa imp32 ) AEFZBEFZCE
      FZGABHIZCBJZCAKLZBMZCABMZKLZNZUJUKULUMUNUSOZOUJUKPZUMDQZBJZVBAKLZBMZVBUQK
      LZNZOZDERZULUTVAUMVIDABSUAVHUTDCEVBCNZVCUNVGUSVBCBUBVJVEUPVFURVJVDUOBVBCA
      KTUCVBCUQKTUDUEUFUGUHUI $.

    $( Binary relation expressing the modular pair property.  This version has
       a weaker constraint than ~ mdbr .  (Contributed by NM, 15-Jun-2004.)
       (New usage is discouraged.) $)
    mdbr2 $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH B <->
   A. x e. CH ( x C_ B -> ( ( x vH A ) i^i B ) C_ ( x vH ( A i^i B ) ) ) ) ) $=
      ( cch wcel wa cmd wbr cv wss chj co cin wceq wi wral mdbr ancoms chincl
      wb chub1 iba ssin bitrdi syl5ibcom chub2 ssrind jctird simpr adantr chjcl
      adantlr sylan an32s chlub syl3anc sylibd eqss rbaib syl6 pm5.74d ralbidva
      bitrd ) BDEZCDEZFZBCGHAIZCJZVGBKLZCMZVGBCMZKLZNZOZADPVHVJVLJZOZADPABCQVFV
      NVPADVFVGDEZFZVHVMVOVRVHVLVJJZVMVOTVRVHVGVJJZVKVJJZFZVSVDVQVHWBOVEVDVQFZV
      HVTWAWCVGVIJZVHVTVQVDWDVGBUARVHWDWDVHFVTVHWDUBVGVICUCUDUEWCBVICBVGUFUGUHU
      LVRVQVKDEZVJDEZWBVSTVFVQUIVFWEVQBCSUJVDVQVEWFWCVIDEZVEWFVQVDWGVGBUKRVICSU
      MUNVGVKVJUOUPUQVMVOVSVJVLURUSUTVAVBVC $.

    $( Binary relation expressing the modular pair property.  This version
       quantifies an equality instead of an inference.  (Contributed by NM,
       6-Jul-2004.)  (New usage is discouraged.) $)
    mdbr3 $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH B <-> A. x e. CH
         ( ( ( x i^i B ) vH A ) i^i B ) = ( ( x i^i B ) vH ( A i^i B ) ) ) ) $=
      ( vy cch wcel wa cv wss chj co cin wceq wral sseq1 ineq1d eqeq12d imbi12d
      wi oveq1 cmd wbr mdbr wb chincl inss2 rspcv mpii ex com3l ralrimdv biimpi
      syl dfss oveq1d biimprcd ralimi cbvralvw sylib impbid1 adantl bitrd ) BEF
      ZCEFZGBCUAUBDHZCIZVEBJKZCLZVEBCLZJKZMZSZDENZAHZCLZBJKZCLZVOVIJKZMZAENZDBC
      UCVDVMVTUDVCVDVMVTVDVMVSAEVNEFZVDVMVSWAVDVMVSSZWAVDGVOEFZWBVNCUEWCVMVOCIZ
      VSVNCUFVLWDVSSDVOEVEVOMZVFWDVKVSVEVOCOWEVHVQVJVRWEVGVPCVEVOBJTPVEVOVIJTQR
      UGUHUMUIUJUKVTVNCIZVNBJKZCLZVNVIJKZMZSZAENVMVSWKAEWFWJVSWFWHVQWIVRWFWGVPC
      WFVNVOBJWFVNVOMVNCUNULZUOPWFVNVOVIJWLUOQUPUQWKVLADEVNVEMZWFVFWJVKVNVECOWM
      WHVHWIVJWMWGVGCVNVEBJTPVNVEVIJTQRURUSUTVAVB $.

    $( Binary relation expressing the modular pair property.  This version
       quantifies an ordering instead of an inference.  (Contributed by NM,
       6-Jul-2004.)  (New usage is discouraged.) $)
    mdbr4 $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH B <-> A. x e. CH
        ( ( ( x i^i B ) vH A ) i^i B ) C_ ( ( x i^i B ) vH ( A i^i B ) ) ) ) $=
      ( vy cch wcel wa cv wss chj co cin wral wceq sseq1 ineq1d sseq12d imbi12d
      wi oveq1 cmd wbr mdbr2 wb chincl inss2 rspcv mpii syl com3l ralrimdv dfss
      ex biimpi oveq1d biimprcd ralimi cbvralvw sylib impbid1 adantl bitrd ) BE
      FZCEFZGBCUAUBDHZCIZVEBJKZCLZVEBCLZJKZIZSZDEMZAHZCLZBJKZCLZVOVIJKZIZAEMZDB
      CUCVDVMVTUDVCVDVMVTVDVMVSAEVNEFZVDVMVSWAVDVMVSSZWAVDGVOEFZWBVNCUEWCVMVOCI
      ZVSVNCUFVLWDVSSDVOEVEVONZVFWDVKVSVEVOCOWEVHVQVJVRWEVGVPCVEVOBJTPVEVOVIJTQ
      RUGUHUIUMUJUKVTVNCIZVNBJKZCLZVNVIJKZIZSZAEMVMVSWKAEWFWJVSWFWHVQWIVRWFWGVP
      CWFVNVOBJWFVNVONVNCULUNZUOPWFVNVOVIJWLUOQUPUQWKVLADEVNVENZWFVFWJVKVNVECOW
      MWHVHWIVJWMWGVGCVNVEBJTPVNVEVIJTQRURUSUTVAVB $.

    $( Binary relation expressing the dual modular pair property.  (Contributed
       by NM, 27-Apr-2006.)  (New usage is discouraged.) $)
    dmdbr $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH* B <->
    A. x e. CH ( B C_ x -> ( ( x i^i A ) vH B ) = ( x i^i ( A vH B ) ) ) ) ) $=
      ( vy vz cch wcel wa cdmd cv wss cin chj co wceq wral eleq1 ineq2d eqeq12d
      wi wbr anbi1d ineq2 oveq1d oveq1 imbi2d ralbidv anbi2d sseq1 oveq2 df-dmd
      anbi12d imbi12d brabg bianabs ) BFGZCFGZHZBCIUACAJZKZUSBLZCMNZUSBCMNZLZOZ
      TZAFPZDJZFGZEJZFGZHZVJUSKZUSVHLZVJMNZUSVHVJMNZLZOZTZAFPZHUPVKHZVMVAVJMNZU
      SBVJMNZLZOZTZAFPZHURVGHDEBCFFIVHBOZVLWAVTWGWHVIUPVKVHBFQUBWHVSWFAFWHVRWEV
      MWHVOWBVQWDWHVNVAVJMVHBUSUCUDWHVPWCUSVHBVJMUERSUFUGULVJCOZWAURWGVGWIVKUQU
      PVJCFQUHWIWFVFAFWIVMUTWEVEVJCUSUIWIWBVBWDVDVJCVAMUJWIWCVCUSVJCBMUJRSUMUGU
      LDEAUKUNUO $.

    $( The dual modular pair property expressed in terms of the modular pair
       property, that hold in Hilbert lattices.  Remark 29.6 of [MaedaMaeda]
       p. 130.  (Contributed by NM, 27-Apr-2006.)
       (New usage is discouraged.) $)
    dmdmd $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH* B <->
                   ( _|_ ` A ) MH ( _|_ ` B ) ) ) $=
      ( vy vx cch wcel wa cort cfv wss chj co cin wceq wi eqeq12d choccl adantl
      wb eqtrd wral cmd wbr cdmd sseq1 oveq1 ineq1d imbi12d rspccv imim1i com12
      cv chsscon3 biimpd adantll fveq2 chjcl syl2an chdmm3 chdmj4 adantr oveq1d
      sylan anasss chincl chdmj2 sylan2 chdmm4 ineq2d ancoms imim12d syld com23
      syl5ib ex syl5 ralrimdv sseq2 ineq1 chsscon2 biimprd chdmj1 chdmm2 oveq2d
      impbid mdbr dmdbr 3bitr4rd ) AEFZBEFZGZCULZBHIZJZWLAHIZKLZWMMZWLWOWMMZKLZ
      NZOZCEUAZBDULZJZXCAMZBKLZXCABKLZMZNZOZDEUAZWOWMUBUCZABUDUCWKXBXKWKXBXJDEX
      BXCHIZEFZXMWMJZXMWOKLZWMMZXMWRKLZNZOZOZWKXCEFZXJOXAXTCXMEWLXMNZWNXOWTXSWL
      XMWMUEYCWQXQWSXRYCWPXPWMWLXMWOKUFUGWLXMWRKUFPUHUIWKYBYAXJWKYBYAXJOWKYBGZY
      AXTXJYBYAXTOWKYAYBXTYBXNXTXCQZUJUKRYDXDXOXSXIWJYBXDXOOWIWJYBGXDXOBXCUMUNU
      OXSXQHIZXRHIZNZYDXIXQXRHUPYBWKYHXISYBWKGZYFXFYGXHYBWIWJYFXFNYBWIGZWJGZYFX
      PHIZBKLZXFYJXPEFZWJYFYMNYBXNWOEFZYNWIYEAQZXMWOUQURXPBUSVCYKYLXEBKYJYLXENW
      JXCAUTVAVBTVDYIYGXCWRHIZMZXHWKYBWREFZYGYRNWIYOWMEFZYSWJYPBQZWOWMVEURXCWRV
      FVGYIYQXGXCWKYQXGNYBABVHRVITPVJVNVKVLVOVMVPVQWKXKXACEXKWLHIZEFZBUUBJZUUBA
      MZBKLZUUBXGMZNZOZOZWKWLEFZXAOXJUUIDUUBEXCUUBNZXDUUDXIUUHXCUUBBVRUULXFUUFX
      HUUGUULXEUUEBKXCUUBAVSVBXCUUBXGVSPUHUIWKUUKUUJXAWKUUKUUJXAOWKUUKGZUUJUUIX
      AUUKUUJUUIOWKUUJUUKUUIUUKUUCUUIWLQZUJUKRUUMWNUUDUUHWTWJUUKWNUUDOWIWJUUKGU
      UDWNBWLVTWAUOUUHUUFHIZUUGHIZNZUUMWTUUFUUGHUPUUKWKUUQWTSUUKWKGZUUOWQUUPWSU
      UKWIWJUUOWQNUUKWIGZWJGZUUOUUEHIZWMMZWQUUSUUEEFZWJUUOUVBNUUKUUCWIUVCUUNUUB
      AVEVCUUEBWBVCUUTUVAWPWMUUSUVAWPNWJWLAWCVAUGTVDUURUUPWLXGHIZKLZWSWKUUKXGEF
      UUPUVENABUQWLXGWCVGUURUVDWRWLKWKUVDWRNUUKABWBRWDTPVJVNVKVLVOVMVPVQWEWIYOY
      TXLXBSWJYPUUACWOWMWFURDABWGWH $.

    $( The modular pair property expressed in terms of the dual modular pair
       property.  (Contributed by NM, 27-Apr-2006.)
       (New usage is discouraged.) $)
    mddmd $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH B <->
                   ( _|_ ` A ) MH* ( _|_ ` B ) ) ) $=
      ( cch wcel wa cort cfv cdmd wbr cmd wb choccl dmdmd syl2an ococ breqan12d
      bitr2d ) ACDZBCDZEAFGZBFGZHIZTFGZUAFGZJIZABJIRTCDUACDUBUEKSALBLTUAMNRSUCA
      UDBJAOBOPQ $.

    $( Consequence of the dual modular pair property.  (Contributed by NM,
       27-Apr-2006.)  (New usage is discouraged.) $)
    dmdi $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\ ( A MH* B /\
              B C_ C ) ) -> ( ( C i^i A ) vH B ) = ( C i^i ( A vH B ) ) ) $=
      ( vx cch wcel w3a cdmd wbr wss cin chj co wceq wi wa cv wral dmdbr ineq1
      biimpd sseq2 oveq1d eqeq12d imbi12d rspcv sylan9 3impa imp32 ) AEFZBEFZCE
      FZGABHIZBCJZCAKZBLMZCABLMZKZNZUJUKULUMUNUSOZOUJUKPZUMBDQZJZVBAKZBLMZVBUQK
      ZNZOZDERZULUTVAUMVIDABSUAVHUTDCEVBCNZVCUNVGUSVBCBUBVJVEUPVFURVJVDUOBLVBCA
      TUCVBCUQTUDUEUFUGUHUI $.

    $( Binary relation expressing the dual modular pair property.  This version
       has a weaker constraint than ~ dmdbr .  (Contributed by NM,
       30-Jun-2004.)  (New usage is discouraged.) $)
    dmdbr2 $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH* B <->
   A. x e. CH ( B C_ x -> ( x i^i ( A vH B ) ) C_ ( ( x i^i A ) vH B ) ) ) ) $=
      ( cch wcel wa cdmd wbr cv wss cin chj co wceq wi wral dmdbr w3a syl3anc
      wb chincl ancoms simplr simpr inss1 chlub biimpd mpani simpll inss2 mpan2
      adantlr chlej1 jctird ssin syl6ib eqss baib syl6 pm5.74d ralbidva bitrd )
      BDEZCDEZFZBCGHCAIZJZVFBKZCLMZVFBCLMZKZNZOZADPVGVKVIJZOZADPABCQVEVMVOADVEV
      FDEZFZVGVLVNVQVGVIVKJZVLVNTVQVGVIVFJZVIVJJZFVRVQVGVSVTVQVHDEZVDVPVGVSOVCV
      PWAVDVPVCWAVFBUAUBULZVCVDVPUCZVEVPUDWAVDVPRZVHVFJZVGVSVFBUEWDWEVGFVSVHCVF
      UFUGUHSVQWAVCVDVTWBVCVDVPUIWCWAVCVDRVHBJVTVFBUJVHBCUMUKSUNVIVFVJUOUPVLVRV
      NVIVKUQURUSUTVAVB $.

    $( Consequence of the dual modular pair property.  (Contributed by NM,
       14-Jan-2005.)  (New usage is discouraged.) $)
    dmdi2 $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\ ( A MH* B /\ B C_ C
         ) ) -> ( C i^i ( A vH B ) ) C_ ( ( C i^i A ) vH B ) ) $=
      ( cch wcel w3a cdmd wbr wss wa cin chj co wceq dmdi eqimss2 syl ) ADEBDEC
      DEFABGHBCIJJCAKBLMZCABLMKZNSRIABCOSRPQ $.

    $( Binary relation expressing the dual modular pair property.  This version
       quantifies an equality instead of an inference.  (Contributed by NM,
       6-Jul-2004.)  (New usage is discouraged.) $)
    dmdbr3 $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH* B <-> A. x e. CH
           ( ( ( x vH B ) i^i A ) vH B ) = ( ( x vH B ) i^i ( A vH B ) ) ) ) $=
      ( vy cch wcel wa cv wss cin chj co wceq wral sseq2 oveq1d eqeq12d imbi12d
      wi ineq1 cdmd wbr dmdbr wb chub2 ancoms chjcl rspcv syl ex com3l ralrimdv
      chlejb2 biimpa ineq1d biimpd com23 ralimdva cbvralvw syl6ib impbid adantl
      mpid bitrd ) BEFZCEFZGBCUAUBCDHZIZVGBJZCKLZVGBCKLZJZMZSZDENZAHZCKLZBJZCKL
      ZVQVKJZMZAENZDBCUCVFVOWBUDVEVFVOWBVFVOWAAEVPEFZVFVOWAWCVFVOWASWCVFGZVOCVQ
      IZWAVFWCWECVPUEUFWDVQEFVOWEWASZSVPCUGVNWFDVQEVGVQMZVHWEVMWAVGVQCOWGVJVSVL
      VTWGVIVRCKVGVQBTPVGVQVKTQRUHUIVCUJUKULVFWBCVPIZVPBJZCKLZVPVKJZMZSZAENVOVF
      WAWMAEVFWCGZWHWAWLWNWHWAWLSWNWHGZWAWLWOVSWJVTWKWOVRWICKWOVQVPBWNWHVQVPMCV
      PUMUNZUOPWOVQVPVKWPUOQUPUJUQURWMVNADEVPVGMZWHVHWLVMVPVGCOWQWJVJWKVLWQWIVI
      CKVPVGBTPVPVGVKTQRUSUTVAVBVD $.

    $( Binary relation expressing the dual modular pair property.  This version
       quantifies an ordering instead of an inference.  (Contributed by NM,
       6-Jul-2004.)  (New usage is discouraged.) $)
    dmdbr4 $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH* B <-> A. x e. CH
          ( ( x vH B ) i^i ( A vH B ) ) C_ ( ( ( x vH B ) i^i A ) vH B ) ) ) $=
      ( vy cch wcel wa cv wss chj co cin wral wceq sseq2 oveq1d sseq12d imbi12d
      wi ineq1 cdmd wbr dmdbr2 wb chub2 ancoms chjcl rspcv syl mpid ex ralrimdv
      com3l chlejb2 biimpa ineq1d biimpd ralimdva cbvralvw syl6ib impbid adantl
      com23 bitrd ) BEFZCEFZGBCUAUBCDHZIZVGBCJKZLZVGBLZCJKZIZSZDEMZAHZCJKZVILZV
      QBLZCJKZIZAEMZDBCUCVFVOWBUDVEVFVOWBVFVOWAAEVPEFZVFVOWAWCVFVOWASWCVFGZVOCV
      QIZWAVFWCWECVPUEUFWDVQEFVOWEWASZSVPCUGVNWFDVQEVGVQNZVHWEVMWAVGVQCOWGVJVRV
      LVTVGVQVITWGVKVSCJVGVQBTPQRUHUIUJUKUMULVFWBCVPIZVPVILZVPBLZCJKZIZSZAEMVOV
      FWAWMAEVFWCGZWHWAWLWNWHWAWLSWNWHGZWAWLWOVRWIVTWKWOVQVPVIWNWHVQVPNCVPUNUOZ
      UPWOVSWJCJWOVQVPBWPUPPQUQUKVCURWMVNADEVPVGNZWHVHWLVMVPVGCOWQWIVJWKVLVPVGV
      ITWQWJVKCJVPVGBTPQRUSUTVAVBVD $.

    $( Consequence of the dual modular pair property.  (Contributed by NM,
       14-Jan-2005.)  (New usage is discouraged.) $)
    dmdi4 $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) ->
              ( A MH* B ->
         ( ( C vH B ) i^i ( A vH B ) ) C_ ( ( ( C vH B ) i^i A ) vH B ) ) ) $=
      ( vx cch wcel cdmd wbr chj co cin wi wa cv wral dmdbr4 biimpd wceq ineq1d
      wss oveq1 oveq1d sseq12d rspcv sylan9 3impa ) AEFZBEFZCEFZABGHZCBIJZABIJZ
      KZUKAKZBIJZTZLUGUHMZUJDNZBIJZULKZUSAKZBIJZTZDEOZUIUPUQUJVDDABPQVCUPDCEURC
      RZUTUMVBUOVEUSUKULURCBIUAZSVEVAUNBIVEUSUKAVFSUBUCUDUEUF $.

    $( Binary relation expressing the dual modular pair property.  (Contributed
       by NM, 15-Jan-2005.)  (New usage is discouraged.) $)
    dmdbr5 $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH* B <->
    A. x e. CH ( x C_ ( A vH B ) -> x C_ ( ( ( x vH B ) i^i A ) vH B ) ) ) ) $=
      ( vy cch wcel wa cv chj co wss wi wral dmdbr4 ancoms ex com23 wceq adantr
      cin cdmd wbr chub1 ssin sstr2 sylbi sylan ralimdva adantl sylbid sseq1 id
      oveq1 ineq1d oveq1d sseq12d imbi12d rspccv chjcl chincl inss2 pm2.27 mpii
      adantll syl2anc syl chub2 ssind wb simplr mpbid inass incom chabs2 syl5eq
      chlejb2 ineq2d eqtrd sseq2d sylibd syl5 ralrimdv sylibrd impbid ) BEFZCEF
      ZGZBCUAUBZAHZBCIJZKZWIWICIJZBTZCIJZKZLZAEMZWGWHWLWJTZWNKZAEMZWQABCNWFWTWQ
      LWEWFWSWPAEWFWIEFZGZWKWSWOXBWKWSWOLZXBWIWLKZWKXCXAWFXDWICUCOXDWKGWIWRKXCW
      IWLWJUDWIWRWNUEUFUGPQUHUIUJWGWQDHZCIJZWJTZXFBTZCIJZKZDEMWHWGWQXJDEWQXGEFZ
      XGWJKZXGXGCIJZBTZCIJZKZLZLZWGXEEFZXJLWPXQAXGEWIXGRZWKXLWOXPWIXGWJUKXTWIXG
      WNXOXTULXTWMXNCIXTWLXMBWIXGCIUMUNUOUPUQURWGXSXRXJWGXSXRXJLWGXSGZXRXPXJYAX
      KXRXPLYAXFEFZWJEFZXKWFXSYBWEXSWFYBXECUSOVDWGYCXSBCUSSXFWJUTVEZXKXRXLXPXFW
      JVAXKXQVBVCVFYAXOXIXGYAXNXHCIYAXNXGBTZXHYAXMXGBYACXGKZXMXGRZYACXFWJWFXSCX
      FKWECXEVGVDWGCWJKZXSWFWEYHCBVGOSVHYAWFXKYFYGVIWEWFXSVJYDCXGVPVEVKUNWGYEXH
      RXSWGYEXFWJBTZTXHXFWJBVLWGYIBXFWGYIBWJTBWJBVMBCVNVOVQVOSVRUOVSVTPQWAWBDBC
      NWCWD $.

    $( Relationship between modular pairs and dual-modular pairs.  Lemma 1.2 of
       [MaedaMaeda] p. 1.  (Contributed by NM, 21-Jun-2004.)
       (New usage is discouraged.) $)
    mddmd2 $p |- ( A e. CH -> ( A. x e. CH A MH x <->
                A. x e. CH A MH* x ) ) $=
      ( vy cch wcel cv cmd wbr wral cin chj co wceq wi wa chjcom eqtr3di bitrdi
      incom ralbidva wss cdmd breq2 cbvralvw ineq1d adantlr chincl sylan oveq1i
      mdbr eqeq12d eqcom imbi2d bitrd syl5bb ralcom dmdbr bitr4d ) BDEZBAFZGHZA
      DIZUTCFZUAZVCBJZUTKLZVCBUTKLZJZMZNZCDIZADIZBUTUBHZADIUSVBVJADIZCDIZVLVBBV
      CGHZCDIUSVOVAVPACDUTVCBGUCUDUSVPVNCDUSVCDEZOZVPVDUTBKLZVCJZUTBVCJZKLZMZNZ
      ADIVNABVCUJVRWDVJADVRUTDEZOZWCVIVDWFWCVHVFMVIWFVTVHWBVFUSWEVTVHMVQUSWEOZV
      GVCJVTVHWGVGVSVCBUTPUEVGVCSQUFWFWAUTKLZWBVFVRWADEWEWHWBMBVCUGWAUTPUHWAVEU
      TKBVCSUIQUKVHVFULRUMTUNTUOVJCADDUPRUSVMVKADCBUTUQTUR $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x D $.
    $( A sublattice condition that transfers the modular pair property.
       Exercise 12 of [Kalmbach] p. 103.  Also Lemma 1.5.3 of [MaedaMaeda]
       p. 2.  (Contributed by NM, 22-Jun-2004.)  (New usage is discouraged.) $)
    mdsl0 $p |- ( ( ( A e. CH /\ B e. CH ) /\ ( C e. CH /\ D e. CH ) ) -> (
  ( ( ( C C_ A /\ D C_ B ) /\ ( A i^i B ) = 0H ) /\ A MH B ) -> C MH D ) ) $=
      ( vx cch wcel wa wss cin c0h wceq cmd wbr chj co wi wral sstr2 ad2antlr
      cv com12 w3a chlej2 ss2in ex syl 3expia ad2ant2r imp43 adantrr oveq2 chj0
      ancoms sylan9eqr adantl chincl chub1 eqsstrd adantll anassrs adantrl syl6
      sylan com23 sylc an32s imim12d ralimdva wb mdbr2 ad2antrr 3imtr4d expimpd
      ) AFGZBFGZHZCFGZDFGZHZHZCAIZDBIZHZABJZKLZHZABMNZCDMNZWAWGHZEUAZBIZWKAOPZB
      JZWKWEOPZIZQZEFRZWKDIZWKCOPZDJZWKCDJZOPZIZQZEFRZWHWIWJWQXEEFWJWKFGZHWSWLW
      PXDWGWSWLQZWAXGWCXHWBWFWSWCWLWKDBSUBTTWAXGWGWPXDQZWAXGHZWGHXAWNIZWOXCIZXI
      XJWDXKWFWAXGWBWCXKVOVRXGWBWCXKQZQZQZVPVSVRVOXOVRVOXGXNVRVOXGUCZWBXMXPWBHW
      TWMIZXMCAWKUDXQWCXKWTWMDBUEUFUGUFUHUNUIUJUKXJWFXLWDWAXGWFXLVTXGWFHZXLVQVT
      XRHWOWKXCXRWOWKLVTWFXGWOWKKOPWKWEKWKOULWKUMUOUPVTXGWKXCIZWFVTXBFGZXGXSCDU
      QXGXTXSWKXBURUNVDUKUSUTVAVBXKWPXLXDXKWPXAWOIXLXDQXAWNWOSXAWOXCSVCVEVFVGVH
      VIVQWHWRVJVTWGEABVKVLVTWIXFVJVQWGECDVKTVMVN $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Ordering implies the modular pair property.  Remark in [MaedaMaeda]
       p. 1.  (Contributed by NM, 21-Jun-2004.)  (New usage is discouraged.) $)
    ssmd1 $p |- ( ( A e. CH /\ B e. CH /\ A C_ B ) -> A MH B ) $=
      ( vx cch wcel wss cmd wbr wa cv chj co cin wi wral inss1 wceq dfss biimpi
      oveq2d sseqtrid a1d ralrimivw mdbr2 syl5ibr 3impia ) ADEZBDEZABFZABGHZUIU
      JUGUHICJZBFZUKAKLZBMZUKABMZKLZFZNZCDOUIURCDUIUQULUIUMUNUPUMBPUIAUOUKKUIAU
      OQABRSTUAUBUCCABUDUEUF $.

    $( Ordering implies the modular pair property.  Remark in [MaedaMaeda]
       p. 1.  (Contributed by NM, 21-Jun-2004.)  (New usage is discouraged.) $)
    ssmd2 $p |- ( ( A e. CH /\ B e. CH /\ A C_ B ) -> B MH A ) $=
      ( vx cch wcel wss cmd wbr wa cv chj co wi wral inss2 chub2 sstrid adantrl
      cin wceq simpl sseqin2 sylib adantl oveq2d sseqtrrd exp32 ralrimdv adantr
      a1d wb mdbr2 ancoms sylibrd 3impia ) ADEZBDEZABFZBAGHZUPUQIURCJZAFZUTBKLZ
      ASZUTBASZKLZFZMZCDNZUSUPURVHMUQUPURVGCDUPURUTDEZVGUPURVIIZIZVFVAVKVCUTAKL
      ZVEUPVIVCVLFURUPVIIVCAVLVBAOAUTPQRVKVDAUTKVJVDATZUPVJURVMURVIUAABUBUCUDUE
      UFUJUGUHUIUQUPUSVHUKCBAULUMUNUO $.
  $}

  $( Ordering implies the dual modular pair property.  Remark in [MaedaMaeda]
     p. 1.  (Contributed by NM, 22-Jun-2004.)  (New usage is discouraged.) $)
  ssdmd1 $p |- ( ( A e. CH /\ B e. CH /\ A C_ B ) ->
                  A MH* B ) $=
    ( cch wcel wss cdmd wbr wa cort cfv wi choccl ssmd2 3expia syl2anr chsscon3
    cmd dmdmd 3imtr4d 3impia ) ACDZBCDZABEZABFGZUAUBHBIJZAIJZEZUFUEQGZUCUDUBUEC
    DZUFCDZUGUHKUABLALUIUJUGUHUEUFMNOABPABRST $.

  $( Ordering implies the dual modular pair property.  Remark in [MaedaMaeda]
     p. 1.  (Contributed by NM, 22-Jun-2004.)  (New usage is discouraged.) $)
  ssdmd2 $p |- ( ( A e. CH /\ B e. CH /\ A C_ B ) ->
               ( _|_ ` B ) MH ( _|_ ` A ) ) $=
    ( cch wcel wss cort cfv cmd wbr wa chsscon3 wi choccl 3expia syl2anr sylbid
    ssmd1 3impia ) ACDZBCDZABEZBFGZAFGZHIZSTJUAUBUCEZUDABKTUBCDZUCCDZUEUDLSBMAM
    UFUGUEUDUBUCQNOPR $.

  $( Sublattice mapping for a dual-modular pair.  Part of Theorem 1.3 of
     [MaedaMaeda] p. 2.  (Contributed by NM, 26-Apr-2006.)
     (New usage is discouraged.) $)
  dmdsl3 $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\
               ( B MH* A /\ A C_ C /\ C C_ ( A vH B ) ) ) ->
                   ( ( C i^i B ) vH A ) = C ) $=
    ( cch wcel w3a cdmd wbr wss chj co wa cin wceq wi dmdi exp32 imp32 3adantr3
    3com12 chjcom ineq2d 3adant3 df-ss biimpi sylan9req 3ad2antr3 eqtrd ) ADEZB
    DEZCDEZFZBAGHZACIZCABJKZIZFLCBMAJKZCBAJKZMZCULUMUNUQUSNZUPULUMUNUTUJUIUKUMU
    NUTOOUJUIUKFUMUNUTBACPQTRSULUMUPUSCNUNULUPUSCUOMZCUIUJVAUSNUKUIUJLUOURCABUA
    UBUCUPVACNCUOUDUEUFUGUH $.

  $( Sublattice mapping for a modular pair.  Part of Theorem 1.3 of
     [MaedaMaeda] p. 2.  (Contributed by NM, 26-Apr-2006.)
     (New usage is discouraged.) $)
  mdsl3 $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\
               ( A MH B /\ ( A i^i B ) C_ C /\ C C_ B ) ) ->
                   ( ( C vH A ) i^i B ) = C ) $=
    ( cch wcel w3a cmd wbr cin wss wa chj co wceq mdi 3adantr2 wb chincl stoic3
    chlejb2 biimpa 3ad2antr2 eqtrd ) ADEZBDEZCDEZFZABGHZABIZCJZCBJZFKCALMBIZCUI
    LMZCUGUHUKULUMNUJABCOPUGUHUJUMCNZUKUGUJUNUDUEUIDEUFUJUNQABRUICTSUAUBUC $.

  ${
    mdslle1.1 $e |- A e. CH $.
    mdslle1.2 $e |- B e. CH $.
    mdslle1.3 $e |- C e. CH $.
    mdslle1.4 $e |- D e. CH $.
    $( Order preservation of the one-to-one onto mapping between the two
       sublattices in Lemma 1.3 of [MaedaMaeda] p. 2.  (Contributed by NM,
       27-Apr-2006.)  (New usage is discouraged.) $)
    mdslle1i $p |- ( ( B MH* A /\ A C_ ( C i^i D ) /\ ( C vH D )
            C_ ( A vH B ) ) -> ( C C_ D <-> ( C i^i B ) C_ ( D i^i B ) ) ) $=
      ( cin wss chj co w3a chincli wceq wa bicomi simplbi cch wcel cdmd chlej1i
      wbr ssrin id ssin chjcli chlubi 3pm3.2i dmdsl3 mpan syl3an simprbi syl5ib
      sseq12d impbid2 ) BAUAUCZACDIJZCDKLABKLZJZMZCDJZCBIZDBIZJZCDBUDVEVCAKLZVD
      AKLZJVAVBVCVDACBGFNDBHFNEUBVAVFCVGDUQUQURACJZUTCUSJZVFCOZUQUEZURVHADJZVHV
      LPURACDUFQZRUTVIDUSJZVIVNPUTCDUSGHABEFUGUHQZRASTZBSTZCSTZMUQVHVIMVJVPVQVR
      EFGUIABCUJUKULUQUQURVLUTVNVGDOZVKURVHVLVMUMUTVIVNVOUMVPVQDSTZMUQVLVNMVSVP
      VQVTEFHUIABDUJUKULUOUNUP $.

    $( Order preservation of the one-to-one onto mapping between the two
       sublattices in Lemma 1.3 of [MaedaMaeda] p. 2.  (Contributed by NM,
       27-Apr-2006.)  (New usage is discouraged.) $)
    mdslle2i $p |- ( ( A MH B /\ ( A i^i B ) C_ ( C i^i D ) /\ ( C vH D )
            C_ B ) -> ( C C_ D <-> ( C vH A ) C_ ( D vH A ) ) ) $=
      ( cin wss chj co w3a wceq wa bicomi simplbi cch wcel 3pm3.2i cmd ssrin id
      wbr chlej1i ssin chlubi mdsl3 mpan syl3an simprbi sseq12d syl5ib impbid2
      ) ABUAUDZABIZCDIJZCDKLBJZMZCDJZCAKLZDAKLZJZCDAGHEUEVCVABIZVBBIZJUSUTVAVBB
      UBUSVDCVEDUOUOUQUPCJZURCBJZVDCNZUOUCZUQVFUPDJZVFVJOUQUPCDUFPZQURVGDBJZVGV
      LOURCDBGHFUGPZQARSZBRSZCRSZMUOVFVGMVHVNVOVPEFGTABCUHUIUJUOUOUQVJURVLVEDNZ
      VIUQVFVJVKUKURVGVLVMUKVNVODRSZMUOVJVLMVQVNVOVREFHTABDUHUIUJULUMUN $.

    $( Join preservation of the one-to-one onto mapping between the two
       sublattices in Lemma 1.3 of [MaedaMaeda] p. 2.  (Contributed by NM,
       27-Apr-2006.)  (New usage is discouraged.) $)
    mdslj1i $p |- ( ( ( A MH B /\ B MH* A ) /\
                ( A C_ ( C i^i D ) /\ ( C vH D ) C_ ( A vH B ) ) ) ->
                ( ( C vH D ) i^i B ) = ( ( C i^i B ) vH ( D i^i B ) ) ) $=
      ( wa cin wss chj co bicomi chjcli chlubi w3a wceq cch wcel cmd cdmd simpr
      ssin anbi12i simpl 3pm3.2i dmdsl3 mpan syl3an chincli chub1i chlej1i mp1i
      wbr eqsstrrd chub2i sylib ssrind ssrin sstrdi adantr inss2 mpbir2an mdsl3
      jca a1i sseqtrd 3expb sylan2b lediri eqssd ) ABUAUOZBAUBUOZIZACDJKZCDLMZA
      BLMZKZIZIZVQBJZCBJZDBJZLMZVTVOACKZADKZIZCVRKZDVRKZIZIWBWEKZVPWHVSWKWHVPAC
      DUDNWKVSCDVRGHABEFOPNUEVOWHWKWLVOWHWKQZWBWEALMZBJZWEWMVQWNBWMCWNKZDWNKZIV
      QWNKWMWPWQWMCWCALMZWNVOVNWHWFWKWIWRCRZVMVNUCZWFWGUFWIWJUFASTZBSTZCSTZQVNW
      FWIQWSXAXBXCEFGUGABCUHUIUJWCWEKWRWNKWMWCWDCBGFUKZDBHFUKZULZWCWEAXDWCWDXDX
      EOZEUMUNUPWMDWDALMZWNVOVNWHWGWKWJXHDRZWTWFWGUCWIWJUCXAXBDSTZQVNWGWJQXIXAX
      BXJEFHUGABDUHUIUJWDWEKXHWNKWMWDWCXEXDUQWDWEAXEXGEUMUNUPVFCDWNGHWEAXGEOPUR
      USVOVMWHABJZWEKZWKWEBKZWOWERZVMVNUFWFXLWGWFXKWCWEACBUTXFVAVBXMWKXMWCBKZWD
      BKZCBVCDBVCXOXPIXMWCWDBXDXEFPNVDVGXAXBWESTZQVMXLXMQXNXAXBXQEFXGUGABWEVEUI
      UJVHVIVJWEWBKWACDBGHFVKVGVL $.

    $( Meet preservation of the reverse mapping between the two sublattices in
       Lemma 1.3 of [MaedaMaeda] p. 2.  (Contributed by NM, 27-Apr-2006.)
       (New usage is discouraged.) $)
    mdslj2i $p |- ( ( ( A MH B /\ B MH* A ) /\
                ( ( A i^i B ) C_ ( C i^i D ) /\ ( C vH D ) C_ B ) ) ->
                ( ( C i^i D ) vH A ) = ( ( C vH A ) i^i ( D vH A ) ) ) $=
      ( wa cin wss chj co w3a wceq simpr cch wcel chincli 3pm3.2i cmd cdmd ssin
      wbr lejdiri bicomi chlubi anbi12i chub2i chlej1i chjcomi sseqtrdi ssinss1
      a1i ssini syl adantr chjcli dmdsl3 mpan syl3an inss1 ssrin ax-mp sseqtrid
      simpl mdsl3 inss2 ssind eqsstrrd 3expb sylan2b eqssd ) ABUAUDZBAUBUDZIZAB
      JZCDJZKZCDLMBKZIZIZVRALMZCALMZDALMZJZWCWFKWBCDAGHEUEUNWAVPVQCKZVQDKZIZCBK
      ZDBKZIZIWFWCKZVSWIVTWLWIVSVQCDUCUFWLVTCDBGHFUGUFUHVPWIWLWMVPWIWLNZWFWFBJZ
      ALMZWCVPVOWIAWFKZWLWFABLMZKZWPWFOZVNVOPWQWIAWDWEACEGUIADEHUIUOUNWJWSWKWJW
      DWRKWSWJWDBALMWRCBAGFEUJBAFEUKULWDWEWRUMUPUQAQRZBQRZWFQRZNVOWQWSNWTXAXBXC
      EFWDWECAGEURDAHEURSZTABWFUSUTVAWNWOVRKWPWCKWNWOCDWNWDBJZWOCWFWDKWOXEKWDWE
      VBWFWDBVCVDVPVNWIWGWLWJXECOZVNVOVFZWGWHVFWJWKVFXAXBCQRZNVNWGWJNXFXAXBXHEF
      GTABCVGUTVAVEWNWEBJZWODWFWEKWOXIKWDWEVHWFWEBVCVDVPVNWIWHWLWKXIDOZXGWGWHPW
      JWKPXAXBDQRZNVNWHWKNXJXAXBXKEFHTABDVGUTVAVEVIWOVRAWFBXDFSCDGHSEUJUPVJVKVL
      VM $.
  $}

  ${
    $d x y A $.  $d x y B $.
    mdsl.1 $e |- A e. CH $.
    mdsl.2 $e |- B e. CH $.
    $( If the modular pair property holds in a sublattice, it holds in the
       whole lattice.  Lemma 1.4 of [MaedaMaeda] p. 2.  (Contributed by NM,
       27-Apr-2006.)  (New usage is discouraged.) $)
    mdsl1i $p |- ( A. x e. CH ( ( ( A i^i B ) C_ x /\ x C_ ( A vH B ) ) ->
   ( x C_ B -> ( ( x vH A ) i^i B ) = ( x vH ( A i^i B ) ) ) ) <-> A MH B ) $=
      ( vy cin cv wss chj co wa wceq wi cch wral wcel sseq1 wb mp3an23 cmd sstr
      wbr sseq2 anbi12d oveq1 ineq1d eqeq12d imbi12d rspccv impexp bitr2i inss2
      chlub biimpd mpan2i chub2i mpan2 syl6 chub2 mpan jctild chjcl jcad chjass
      chincli chjcomi chabs1i oveq2i eqtrdi chjidmi imim12d syl5bi syl5com mdbr
      eqtri ralrimiv mp2an sylibr ax-1 ralimi sylbi impbii ) BCGZAHZIZWEBCJKZIZ
      LZWECIZWEBJKZCGZWEWDJKZMZNZNZAOPZBCUAUCZWQFHZCIZWSBJKZCGZWSWDJKZMZNZFOPZW
      RWQXEFOWQXCOQZWDXCIZXCWGIZLZXCCIZXCBJKZCGZXCWDJKZMZNZNZNZWSOQZXEWPXQAXCOW
      EXCMZWIXJWOXPXTWFXHWHXIWEXCWDUDWEXCWGRUEXTWJXKWNXOWEXCCRXTWLXMWMXNXTWKXLC
      WEXCBJUFUGWEXCWDJUFUHUIUIUJXRXGXJLZXKLZXONZXSXEYCYAXPNXRYAXKXOUKXGXJXPUKU
      LXSWTYBXOXDXSWTYAXKXSWTXJXGXSWTXIXHXSWTXKXIXSWTWDCIZXKBCUMXSWTYDLZXKXSWDO
      QZCOQZYEXKSBCDEVFZEWSWDCUNTUOUPZXKCWGIXICBEDUQXCCWGUBURUSYFXSXHYHWDWSUTVA
      VBXSYFXGYHWSWDVCURVBYIVDXSXOXDXSXMXBXNXCXSXLXACXSXLWSWDBJKZJKZXAXSYFBOQZX
      LYKMYHDWSWDBVETYJBWSJYJBWDJKBWDBYHDVGBCDEVHVPVIVJUGXSXNWSWDWDJKZJKZXCXSYF
      YFXNYNMYHYHWSWDWDVETYMWDWSJWDYHVKVIVJUHUOVLVMVNVQYLYGWRXFSDEFBCVOVRVSWRWO
      AOPZWQYLYGWRYOSDEABCVOVRWOWPAOWOWIVTWAWBWC $.

    $( If the modular pair property holds in a sublattice, it holds in the
       whole lattice.  Lemma 1.4 of [MaedaMaeda] p. 2.  (Contributed by NM,
       28-Apr-2006.)  (New usage is discouraged.) $)
    mdsl2i $p |- ( A MH B <-> A. x e. CH ( ( ( A i^i B ) C_ x /\ x C_ B ) ->
                ( ( x vH A ) i^i B ) C_ ( x vH ( A i^i B ) ) ) ) $=
      ( cin cv wss wa chj co wi cch wral wceq cmd wcel wb mpan2 bitrdi wbr ssin
      chub1 iba syl5ibcom chub2 ssrind jctird chjcl chincl chincli chlub mp3an2
      mpan syl mpdan sylibd eqss rbaib syl6 adantld chub2i sstr pm4.71ri anbi2i
      pm5.74d anass bitr4i imbi1i bitr3di impexp ralbiia mdsl1i bitr2i ) BCFZAG
      ZHZVPCHZIZVPBJKZCFZVPVOJKZHZLZAMNVQVPBCJKZHZIZVRWAWBOZLLZAMNBCPUAWDWIAMVP
      MQZWDWGVRIZWHLZWIWJVSWHLWDWLWJVSWHWCWJVRWHWCRZVQWJVRWBWAHZWMWJVRVPWAHZVOW
      AHZIZWNWJVRWOWPWJVPVTHZVRWOWJBMQZWRDVPBUCSVRWRWRVRIWOVRWRUDVPVTCUBTUEWJBV
      TCWSWJBVTHDBVPUFUNUGUHWJWAMQZWQWNRZWJVTMQZWTWJWSXBDVPBUISXBCMQWTEVTCUJSUO
      WJVOMQWTXABCDEUKVPVOWAULUMUPUQWHWCWNWAWBURUSUTVAVFVSWKWHVSVQWFVRIZIWKVRXC
      VQVRWFVRCWEHWFCBEDVBVPCWEVCSVDVEVQWFVRVGVHVIVJWGVRWHVKTVLABCDEVMVN $.

    $( If the modular pair property holds in a sublattice, it holds in the
       whole lattice.  Lemma 1.4 of [MaedaMaeda] p. 2.  (Contributed by NM,
       24-Dec-2006.)  (New usage is discouraged.) $)
    mdsl2bi $p |- ( A MH B <-> A. x e. CH ( ( ( A i^i B ) C_ x /\ x C_ B ) ->
                ( ( x vH A ) i^i B ) = ( x vH ( A i^i B ) ) ) ) $=
      ( cmd wbr cin cv wss wa chj co wi cch wral wceq wcel wb adantr mdsl2i w3a
      chincli inss1 chlej2 mpan2 mp3an12 simpr inss2 jctir chlub mpbid biantrud
      mp3an23 ssind eqss bitr4di ex adantld pm5.74d ralbiia bitri ) BCFGBCHZAIZ
      JZVDCJZKZVDBLMZCHZVDVCLMZJZNZAOPVGVIVJQZNZAOPABCDEUAVLVNAOVDORZVGVKVMVOVF
      VKVMSZVEVOVFVPVOVFKZVKVKVJVIJZKVMVQVRVKVQVJVHCVOVJVHJZVFVCORZBORZVOVSBCDE
      UCZDVTWAVOUBVCBJVSBCUDVCBVDUEUFUGTVQVFVCCJZKZVJCJZVQVFWCVOVFUHBCUIUJVOWDW
      ESZVFVOVTCORWFWBEVDVCCUKUNTULUOUMVIVJUPUQURUSUTVAVB $.

    $( The covering property implies the modular pair property.  Lemma 7.5.1 of
       [MaedaMaeda] p. 31.  (Contributed by NM, 16-Jun-2004.)
       (New usage is discouraged.) $)
    cvmdi $p |- ( ( A i^i B ) <oH B -> A MH B ) $=
      ( vx cin wbr wss chj co wa wceq wi cch chabs1i eqtri oveq1 ineq1d 3eqtr4a
      wcel ccv cv wral cmd anass chub2i mpan2 pm4.71ri anbi2i bitr4i wo chincli
      sstr cvnbtwn4 mp3an12 impcom chjcomi ineq1i chjidmi eqtr4i chabs2i oveq2i
      incom 3eqtr2i jaoi syl6 syl5bi exp4b ralrimiv mdsl1i sylib ) ABFZBUAGZVLE
      UBZHZVNABIJZHZKZVNBHZVNAIJZBFZVNVLIJZLZMMZENUCABUDGVMWDENVMVNNTZVRVSWCVRV
      SKZVOVSKZVMWEKZWCWFVOVQVSKZKWGVOVQVSUEVSWIVOVSVQVSBVPHVQBADCUFVNBVPUMUGUH
      UIUJWHWGVNVLLZVNBLZUKZWCWEVMWGWLMZVLNTBNTWEVMWMMABCDULZDVLBVNUNUOUPWJWCWK
      WJVLAIJZBFZVLVLIJZWAWBWPVLWQWOABWOAVLIJAVLAWNCUQABCDOPURVLWNUSUTWJVTWOBVN
      VLAIQRVNVLVLIQSWKBAIJZBFZBVLIJZWAWBWSBWRFZWTWRBVCXABBBAFZIJWTBADCVABADCOX
      BVLBIBAVCVBVDPWKVTWRBVNBAIQRVNBVLIQSVEVFVGVHVIEABCDVJVK $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.
    mdslmd.1 $e |- A e. CH $.
    mdslmd.2 $e |- B e. CH $.
    mdslmd.3 $e |- C e. CH $.
    mdslmd.4 $e |- D e. CH $.
    ${
      mdslmd1lem.5 $e |- R e. CH $.
      $( TODO:  This proof was done quickly and is inefficient.
         Need to use ~ adantr, etc. earlier for unused antecedent pieces. $)
      $( Lemma for ~ mdslmd1i .  (Contributed by NM, 29-Apr-2006.)
         (New usage is discouraged.) $)
      mdslmd1lem1 $p |- ( ( ( A MH B /\ B MH* A ) /\ ( ( A C_ C /\ A C_
         D ) /\ ( C C_ ( A vH B ) /\ D C_ ( A vH B ) ) ) ) -> ( ( (
         R vH A ) C_ D -> ( ( ( R vH A ) vH C ) i^i D ) C_ ( ( R vH A ) vH ( C
         i^i D ) ) ) -> ( ( ( ( C i^i B ) i^i ( D i^i B ) ) C_ R /\ R C_ ( D
         i^i B ) ) -> ( ( R vH ( C i^i B ) ) i^i ( D i^i B ) ) C_ ( R vH ( ( C
         i^i B ) i^i ( D i^i B ) ) ) ) ) ) $=
        ( wa wss chj co cin wceq cch wcel ssin sylib cmd wbr wi chincli chlej1i
        cdmd simpr w3a 3pm3.2i dmdsl3 syl3an 3expb sseq2d syl5ib adantld imim1d
        mpan simpll ad2antlr chub2i jctil inss1 sstr mpan2 sylan ancoms adantll
        ad2ant2l chub1i jctir chjcli chlubi simprrl adantr jca mdslj1i syl12anc
        simplll simplrl ssrind inindir sseqtrdi simprl sstrd inss2 mdsl3 oveq1d
        ad2antll syl3anc eqtr2d ineq1d eqtr4di ssinss1 ad2antrl oveq12d sseq12d
        a1i wb simpllr simplr sstri mdslle1i bitr4d exbiri a2d syld ) ABUAUBZBA
        UFUBZKZACLZADLZKZCABMNZLZDXMLZKZKZKZEAMNZDLZXSCMNZDOZXSCDOZMNZLZUCCBOZD
        BOZOZELZEYGLZKZYEUCYKEYFMNZYGOZEYHMNZLZUCXRYKXTYEXRYJXTYIYJXSYGAMNZLXRX
        TEYGAJDBIGUDFUEXRYPDXSXIXLXPYPDPZXIXHXLXKXPXOYQXGXHUGXJXKUGXNXOUGAQRZBQ
        RZDQRZUHXHXKXOUHYQYRYSYTFGIUIABDUJUQUKULUMUNUOUPXRYKYEYOXRYKYOYEXRYKKZY
        OYBBOZYDBOZLZYEUUAYMUUBYNUUCUUAYMYABOZYGOUUBUUAYLUUEYGUUAUUEXSBOZYFMNZY
        LUUAXIAXSCOLZYAXMLZUUEUUGPXIXQYKURZUUAAXSLZXJKUUHUUAXJUUKXQXJXIYKXJXKXP
        URUSAEFJUTZVAAXSCSTUUAXSXMLZXNKUUIUUAUUMXNUUAEXMLZAXMLZKUUMUUAUUNUUOXQY
        JUUNXIYIXPYJUUNXLXOYJUUNXNYJXOUUNYJEDLZXOUUNYJYGDLUUPDBVBEYGDVCVDEDXMVC
        VEVFVGVGVHABFGVIVJEAXMJFABFGVKZVLTZXRXNYKXIXLXNXOVMVNVOXSCXMEAJFVKZHUUQ
        VLTABXSCFGUUSHVPVQUUAUUFEYFMUUAXGABOZELZEBLZUUFEPZXGXHXQYKVRUUAUUTYHEUU
        AUUTYCBOZYHUUAAYCBUUAXLAYCLZXIXLXPYKVSACDSTZVTCDBWAZWBXRYIYJWCWDYJUVBXR
        YIYJYGBLUVBDBWEEYGBVCVDWHYRYSEQRZUHXGUVAUVBUHUVCYRYSUVHFGJUIABEWFUQWIZW
        GWJWKYADBWAWLUUAUUCUUFUVDMNZYNUUAXIAXSYCOLZYDXMLZUUCUVJPUUJUUAUUKUVEKUV
        KUUAUVEUUKUVFUULVAAXSYCSTUUAUUMYCXMLZKUVLUUAUUMUVMUURXQUVMXIYKXNUVMXLXO
        CDXMWMWNUSVOXSYCXMUUSCDHIUDZUUQVLTZABXSYCFGUUSUVNVPVQUUAUUFEUVDYHMUVIUV
        DYHPUUAUVGWQWOWJWPUUAXHAYBYDOLZYBYDMNXMLZYEUUDWRXGXHXQYKWSUUAAYBLZAYDLZ
        KUVPUUAUVRUVSUUAAYALZXKKUVRUUAXKUVTXQXKXIYKXJXKXPWTUSAXSYAUULXSCUUSHVIX
        AVAAYADSTAXSYDUULXSYCUUSUVNVIXAVJAYBYDSTUUAYBXMLZUVLKUVQUUAUWAUVLXQUWAX
        IYKXOUWAXLXNYBDLXOUWAYADWEYBDXMVCUQWHUSUVOVOYBYDXMYADXSCUUSHVKIUDZXSYCU
        USUVNVKZUUQVLTABYBYDFGUWBUWCXBWIXCXDXEXF $.

      $( TODO:  This proof was done quickly and is inefficient.
         Need to use ~ adantr, etc. earlier for unused antecedent pieces. $)
      $( Lemma for ~ mdslmd1i .  (Contributed by NM, 29-Apr-2006.)
         (New usage is discouraged.) $)
      mdslmd1lem2 $p |- ( ( ( A MH B /\ B MH* A ) /\ ( ( A C_
         C /\ A C_ D ) /\ ( C C_ ( A vH B ) /\ D C_ ( A vH B ) ) ) ) ->
         ( ( ( R i^i B ) C_ ( D i^i B ) -> ( ( ( R i^i B ) vH ( C i^i B ) ) i^i
         ( D i^i B ) ) C_ ( ( R i^i B ) vH ( ( C i^i B ) i^i ( D i^i B ) ) ) )
         -> ( ( ( C i^i D ) C_ R /\ R C_ D ) -> ( ( R vH C ) i^i D ) C_ ( R vH
         ( C i^i D ) ) ) ) ) $=
        ( cin wss chj co wa sstr ad2antlr ssind jca sylib wi cmd wbr cdmd ssrin
        adantl imim1i wb simpllr chub2i mpan2 ad2antrr simplr ssin sylbi adantr
        chincli ad2antll ancoms ad2ant2l adantll ssinss1 ad2antrl chjcli chlubi
        inss2 mpan mdslle1i syl3anc inindir wceq sylanb simplll simplrl mdslj1i
        ad2ant2r sylan2 anassrs ineq1d eqtr2id biimpi anim12i a1i oveq2d eqtr2d
        an4s sseq12d bitr4d exbiri a2d syl5 ) EBKZDBKZLZWLCBKZMNZWMKZWLWOWMKZMN
        ZLZUACDKZELZEDLZOZWTUAABUBUCZBAUDUCZOZACLZADLZOZCABMNZLZDXKLZOZOZOZXDEC
        MNZDKZEXAMNZLZUAXDWNWTXCWNXBEDBUEUFUGXPXDWTXTXPXDXTWTXPXDOZXTXRBKZXSBKZ
        LZWTYAXFAXRXSKLXRXSMNXKLZXTYDUHXEXFXOXDUIYAAXRXSYAAXQDXOAXQLZXGXDXHYFXI
        XNXHCXQLYFCEHJUJACXQPUKULQXOXIXGXDXHXIXNUMQRXOAXSLZXGXDXJYGXNXJAXALZYGA
        CDUNZYHXAXSLYGXAECDHIUQZJUJAXAXSPUKUOUPQRYAXRXKLZXSXKLZOYEYAYKYLXOYKXGX
        DXMYKXJXLXRDLXMYKXQDVFXRDXKPVGURQYAEXKLZXAXKLZOZYLYAYMYNXOXDYMXGXNXDYMX
        JXMXCYMXLXBXCXMYMEDXKPUSZUTVAZVAXOYNXGXDXLYNXJXMCDXKVBZVCQSEXAXKJYJABFG
        VDZVEZTSXRXSXKXQDECJHVDIUQZEXAJYJVDZYSVETABXRXSFGUUAUUBVHVIYAWQYBWSYCYA
        YBXQBKZWMKWQXQDBVJYAUUCWPWMXGXOXDUUCWPVKZXOXDOZXGAECKLZXQXKLZOUUDUUEUUF
        UUGUUEAECXJXBAELZXNXCXJYHXBUUHYIAXAEPVLZVPXHXIXNXDVMRUUEYMXLOUUGUUEYMXL
        YQXJXLXMXDVNSECXKJHYSVETSABECFGJHVOVQVRVSVTYAYCWLXABKZMNZWSXGXOXDYCUUKV
        KZUUEXGAEXAKLZYLOZUULXJXBXNXCUUNXJXBOZUUMXNXCOZYLUUOAEXAUUIXJYHXBXJYHYI
        WAUPRUUPYOYLUUPYMYNXMXCYMXLYPVAXLYNXMXCYRULSYTTWBWFABEXAFGJYJVOVQVRYAUU
        JWRWLMUUJWRVKYACDBVJWCWDWEWGWHWIWJWK $.
    $}

    $( Lemma for ~ mdslmd1i .  (Contributed by NM, 29-Apr-2006.)
       (New usage is discouraged.) $)
    mdslmd1lem3 $p |- ( ( x e. CH /\ ( ( A MH B /\ B MH* A ) /\ ( ( A C_ C /\ A
        C_ D ) /\ ( C C_ ( A vH B ) /\ D C_ ( A vH B ) ) ) ) ) -> ( ( (
        x vH A ) C_ D -> ( ( ( x vH A ) vH C ) i^i D ) C_ ( ( x vH A ) vH ( C
        i^i D ) ) ) -> ( ( ( ( C i^i B ) i^i ( D i^i B ) ) C_ x /\ x C_ ( D i^i
        B ) ) -> ( ( x vH ( C i^i B ) ) i^i ( D i^i B ) ) C_ ( x vH ( ( C i^i B
        ) i^i ( D i^i B ) ) ) ) ) ) $=
      ( cch wbr wa wss chj co cin wi c0h oveq1 imbi12d wcel cmd cdmd cif sseq1d
      wceq oveq1d ineq1d sseq12d sseq2 anbi12d imbi2d h0elch elimel mdslmd1lem1
      cv sseq1 dedth imp ) AUPZJUAZBCUBKCBUCKLBDMBEMLDBCNOZMEVBMLLLZUTBNOZEMZVD
      DNOZEPZVDDEPZNOZMZQZDCPZECPZPZUTMZUTVMMZLZUTVLNOZVMPZUTVNNOZMZQZQZVAVCWCQ
      VCVAUTRUDZBNOZEMZWEDNOZEPZWEVHNOZMZQZVNWDMZWDVMMZLZWDVLNOZVMPZWDVNNOZMZQZ
      QZQUTRUTWDUFZWCWTVCXAVKWKWBWSXAVEWFVJWJXAVDWEEUTWDBNSZUEXAVGWHVIWIXAVFWGE
      XAVDWEDNXBUGUHXAVDWEVHNXBUGUITXAVQWNWAWRXAVOWLVPWMUTWDVNUJUTWDVMUQUKXAVSW
      PVTWQXAVRWOVMUTWDVLNSUHUTWDVNNSUITTULBCDEWDFGHIUTRJUMUNUOURUS $.

    $( Lemma for ~ mdslmd1i .  (Contributed by NM, 29-Apr-2006.)
       (New usage is discouraged.) $)
    mdslmd1lem4 $p |- ( ( x e. CH /\ ( ( A MH B /\ B MH* A ) /\ ( ( A C_
       C /\ A C_ D ) /\ ( C C_ ( A vH B ) /\ D C_ ( A vH B ) ) ) ) ) -> ( ( ( x
       i^i B ) C_ ( D i^i B ) -> ( ( ( x i^i B ) vH ( C i^i B ) ) i^i ( D i^i B
       ) ) C_ ( ( x i^i B ) vH ( ( C i^i B ) i^i ( D i^i B ) ) ) ) -> ( ( ( C
       i^i D ) C_ x /\ x C_ D ) -> ( ( x vH C ) i^i D ) C_ ( x vH ( C i^i D ) )
       ) ) ) $=
      ( cch wbr wa wss chj co cin wi c0h oveq1d imbi12d wcel cmd cdmd cif ineq1
      wceq sseq1d ineq1d sseq12d sseq2 sseq1 anbi12d oveq1 imbi2d h0elch elimel
      cv mdslmd1lem2 dedth imp ) AUQZJUAZBCUBKCBUCKLBDMBEMLDBCNOZMEVCMLLLZVACPZ
      ECPZMZVEDCPZNOZVFPZVEVHVFPZNOZMZQZDEPZVAMZVAEMZLZVADNOZEPZVAVONOZMZQZQZVB
      VDWDQVDVBVARUDZCPZVFMZWFVHNOZVFPZWFVKNOZMZQZVOWEMZWEEMZLZWEDNOZEPZWEVONOZ
      MZQZQZQVARVAWEUFZWDXAVDXBVNWLWCWTXBVGWGVMWKXBVEWFVFVAWECUEZUGXBVJWIVLWJXB
      VIWHVFXBVEWFVHNXCSUHXBVEWFVKNXCSUITXBVRWOWBWSXBVPWMVQWNVAWEVOUJVAWEEUKULX
      BVTWQWAWRXBVSWPEVAWEDNUMUHVAWEVONUMUITTUNBCDEWEFGHIVARJUOUPURUSUT $.

    $( Preservation of the modular pair property in the one-to-one onto mapping
       between the two sublattices in Lemma 1.3 of [MaedaMaeda] p. 2 (meet
       version).  (Contributed by NM, 27-Apr-2006.)
       (New usage is discouraged.) $)
    mdslmd1i $p |- ( ( ( A MH B /\ B MH* A ) /\
                ( A C_ ( C i^i D ) /\ ( C vH D ) C_ ( A vH B ) ) ) ->
                ( C MH D <-> ( C i^i B ) MH ( D i^i B ) ) ) $=
      ( vy vx cin wss chj co wa wbr wi cch wral wcel cdmd wb ssin chjcli chlubi
      cmd anbi12i chjcl mpan2 wceq sseq1 oveq1 ineq1d sseq12d imbi12d rspcv syl
      cv adantr mdslmd1lem3 syld ex com3l ralrimdv mdbr2 chincli mdsl2i 3imtr4g
      mp2an chincl mdslmd1lem4 impbid sylan2br ) ACDKZLZCDMNABMNZLZOABUFPBAUAPO
      ZACLADLOZCVPLDVPLOZOZCDUFPZCBKZDBKZUFPZUBVSVOVTVQACDUCCDVPGHABEFUDUEUGVRW
      AOZWBWEWFIURZDLZWGCMNZDKZWGVNMNZLZQZIRSZWCWDKZJURZLWPWDLOWPWCMNWDKWPWOMNL
      QZJRSWBWEWFWNWQJRWPRTZWFWNWQWRWFWNWQQWRWFOZWNWPAMNZDLZWTCMNZDKZWTVNMNZLZQ
      ZWQWRWNXFQZWFWRWTRTZXGWRARTXHEWPAUHUIWMXFIWTRWGWTUJZWHXAWLXEWGWTDUKXIWJXC
      WKXDXIWIXBDWGWTCMULUMWGWTVNMULUNUOUPUQUSJABCDEFGHUTVAVBVCVDCRTDRTWBWNUBGH
      ICDVEVIJWCWDCBGFVFZDBHFVFZVGVHWFWGWDLZWGWCMNZWDKZWGWOMNZLZQZIRSZVNWPLWPDL
      OWPCMNDKWPVNMNLQZJRSWEWBWFXRXSJRWRWFXRXSWRWFXRXSQWSXRWPBKZWDLZXTWCMNZWDKZ
      XTWOMNZLZQZXSWRXRYFQZWFWRXTRTZYGWRBRTYHFWPBVJUIXQYFIXTRWGXTUJZXLYAXPYEWGX
      TWDUKYIXNYCXOYDYIXMYBWDWGXTWCMULUMWGXTWOMULUNUOUPUQUSJABCDEFGHVKVAVBVCVDW
      CRTWDRTWEXRUBXJXKIWCWDVEVIJCDGHVGVHVLVM $.

    $( Preservation of the modular pair property in the one-to-one onto mapping
       between the two sublattices in Lemma 1.3 of [MaedaMaeda] p. 2 (join
       version).  (Contributed by NM, 29-Apr-2006.)
       (New usage is discouraged.) $)
    mdslmd2i $p |- ( ( ( A MH B /\ B MH* A ) /\
                ( ( A i^i B ) C_ ( C i^i D ) /\ ( C vH D ) C_ B ) ) ->
                ( C MH D <-> ( C vH A ) MH ( D vH A ) ) ) $=
      ( cmd wbr wa cin wss chj co w3a sstr mpan cch wcel cdmd wb chjcli chlej1i
      chjjdiri chjcomi 3sstr3g adantl chub2i ssini jctil mdslmd1i wceq id inss1
      sylan2 mpan2 chub1i 3pm3.2i mdsl3 syl3an inss2 breq12d adantlr bitr2d
      3expb ) ABIJZBAUAJZKZABLZCDLZMZCDNOZBMZKZKCANOZDANOZIJZVPBLZVQBLZIJZCDIJZ
      VOVIAVPVQLMZVPVQNOZABNOZMZKVRWAUBVOWFWCVNWFVLVNVMANOBANOWDWEVMBACDGHUCFEU
      DCDAGHEUEBAFEUFUGUHAVPVQACEGUIADEHUIUJUKABVPVQEFCAGEUCDAHEUCULUPVGVOWAWBU
      BZVHVGVLVNWGVGVLVNPVSCVTDIVGVGVLVJCMZVNCBMZVSCUMZVGUNZVLVKCMWHCDUOVJVKCQU
      QCVMMVNWICDGHURCVMBQRASTZBSTZCSTZPVGWHWIPWJWLWMWNEFGUSABCUTRVAVGVGVLVJDMZ
      VNDBMZVTDUMZWKVLVKDMWOCDVBVJVKDQUQDVMMVNWPDCHGUIDVMBQRWLWMDSTZPVGWOWPPWQW
      LWMWREFHUSABDUTRVAVCVFVDVE $.

    $( Preservation of the dual modular pair property in the one-to-one onto
       mapping between the two sublattices in Lemma 1.3 of [MaedaMaeda] p. 2.
       (Contributed by NM, 29-Apr-2006.)  (New usage is discouraged.) $)
    mdsldmd1i $p |- ( ( ( A MH B /\ B MH* A ) /\
                ( A C_ ( C i^i D ) /\ ( C vH D ) C_ ( A vH B ) ) ) ->
                ( C MH* D <-> ( C i^i B ) MH* ( D i^i B ) ) ) $=
      ( cmd wbr wa cin wss chj co cort cfv wb cch wcel cdmd mddmd mp2an chincli
      dmdmd anbi12ci chsscon3i chdmm1i sseq1i bitri chdmj1i incom eqtri sseq12i
      chjcli choccli mdslmd2i syl2anb breq12i 3bitr4g ) ABIJZBAUAJZKZACDLZMZCDN
      OZABNOZMZKZKCPQZDPQZIJZVJBPQZNOZVKVMNOZIJZCDUAJZCBLZDBLZUAJZVCVMAPQZIJZWA
      VMUAJZKVMWALZVJVKLZMZVJVKNOZWAMZKVLVPRVIVAWCVBWBASTZBSTZVAWCREFABUBUCWJWI
      VBWBRFEBAUEUCUFVEWHVHWFVEVDPQZWAMWHAVDECDGHUDUGWKWGWACDGHUHUIUJVHVGPQZVFP
      QZMWFVFVGCDGHUOABEFUOUGWLWDWMWEWLWAVMLWDABEFUKWAVMULUMCDGHUKUNUJUFVMWAVJV
      KBFUPAEUPCGUPDHUPUQURCSTDSTVQVLRGHCDUEUCVTVRPQZVSPQZIJZVPVRSTVSSTVTWPRCBG
      FUDDBHFUDVRVSUEUCWNVNWOVOICBGFUHDBHFUHUSUJUT $.

    $( Modular pair conditions that imply the modular pair property in a
       sublattice.  Lemma 1.5.1 of [MaedaMaeda] p. 2.  (Contributed by NM,
       23-Dec-2006.)  (New usage is discouraged.) $)
    mdslmd3i $p |- ( ( ( A MH B /\ ( A i^i B ) MH C ) /\ ( ( A i^i C ) C_ D /\
                  D C_ A ) ) -> D MH ( B i^i C ) ) $=
      ( vx cmd wbr cin wa wss chj co cch wcel wceq inass cv wi wral w3a mp3an12
      chlej2 ex impcom ssrind adantll adantr ssin mp3anl1 mpanl1 ineq1d eqtr3id
      mdi adantrlr adantrrr chincli oveq2i eqtrdi adantrll adantrrl eqtrd an32s
      ancoms sylan2br adantllr inidm ineq2i eqtri eqtr2i ssrin eqsstrid anim12i
      in12 eqss sylibr oveq2d ad3antlr sseqtrd ralrimiva wb mdbr2 mp2an ) ABJKZ
      ABLZCJKZMZACLZDNZDANZMZMZIUAZBCLZNZWPDOPZWQLZWPDWQLZOPZNZUBZIQUCZDWQJKZWO
      XDIQWOWPQRZMZWRXCXHWRMZWTWPAOPZWQLZXBXHWTXKNZWRWNXGXLWJWMXGXLWLWMXGMWSXJW
      QXGWMWSXJNZDQRZAQRZXGWMXMUBHEXNXOXGUDWMXMDAWPUFUGUEUHUIUJUJUKXIXKWPAWQLZO
      PZXBWJXGWRXKXQSZWNWRWJXGMWPBNZWPCNZMZXRWPBCULWJYAXGXRXGWJYAMZXRXGYBMXKWPW
      HOPZCLZXQXGWJXSXKYDSZXTXGWGXSYEWIXGWGXSMZMZXKXJBLZCLYDXJBCTYGYHYCCBQRZXGY
      FYHYCSZFXOYIXGYFYJEABWPUQUMUNUOUPURUSXGWJXTYDXQSZXSXGWIXTYKWGXGWIXTMZMYDW
      PWHCLZOPZXQCQRZXGYLYDYNSZGWHQRYOXGYLYPABEFUTWHCWPUQUMUNYMXPWPOABCTVAVBVCV
      DVEVGVFVHVIWNXQXBSWJXGWRWNXPXAWPOWNXPXANZXAXPNZMXPXASWLYQWMYRWLXPWKWQLZXA
      YSACWQLZLXPACWQTYTWQAYTBCCLZLWQCBCVQUUACBCVJVKVLVKVMWKDWQVNVODAWQVNVPXPXA
      VRVSVTWAVEWBUGWCXNWQQRXFXEWDHBCFGUTIDWQWEWFVS $.

    $( Modular pair condition that implies the modular pair property in a
       sublattice.  Lemma 1.5.2 of [MaedaMaeda] p. 2.  (Contributed by NM,
       24-Dec-2006.)  (New usage is discouraged.) $)
    mdslmd4i $p |- ( ( A MH B /\ ( ( A i^i B ) C_ C /\ C C_ A ) /\
                  ( ( A i^i B ) C_ D /\ D C_ B ) ) -> C MH D ) $=
      ( cmd wbr cin wss wa w3a simp1 cch wcel chincli ssmd1 3ad2ant3 sslin sstr
      mp3an12 adantr sylan ancoms 3adant1 simp2r mdslmd3i syl22anc wceq sseqin2
      ad2ant2rl biimpi adantl breqtrd ) ABIJZABKZCLZCALZMZURDLZDBLZMZNZCBDKZDIV
      EUQURDIJZADKZCLZUTCVFIJUQVAVDOVDUQVGVAVBVGVCURPQDPQVBVGABEFRHURDSUCUDTVAV
      DVIUQUSVCVIUTVBVCUSVIVCVHURLUSVIDBAUAVHURCUBUEUFUMUGUQUSUTVDUHABDCEFHGUIU
      JVDUQVFDUKZVAVCVJVBVCVJDBULUNUOTUP $.
  $}

  ${
    $d x A $.  $d c x B $.
    csmdsym.1 $e |- A e. CH $.
    csmdsym.2 $e |- B e. CH $.
    $( Cross-symmetry implies M-symmetry.  Theorem 1.9.1 of [MaedaMaeda] p. 3.
       (Contributed by NM, 24-Dec-2006.)  (New usage is discouraged.) $)
    csmdsymi $p |- ( ( A. c e. CH ( c MH B -> B MH* c ) /\ A MH B ) ->
                   B MH A ) $=
      ( vx cmd wbr cdmd wi cch wa cin wss chj co wceq wcel ad2antlr w3a cv wral
      incom sseq1i biimpri chjcom mpan2 ineq1d eqtrdi id 3jca inss2 ssid pm3.2i
      a1i c0h cif sseq2 sseq1 anbi12d 3anbi2d breq1 imbi12d h0elch elimel dedth
      mdslmd4i com12 mp3an3 imp an32s adantlll breq2 rspccva adantlr adantr mpd
      simprr dmdi syl12anc chincli mpan oveq2i 3eqtr2d sylani ralrimiva mdsl2bi
      ex sylibr ) CUAZBGHZBWJIHZJZCKUBZABGHZLZBAMZFUAZNZWRANZLWRBOPZAMZWRWQOPZQ
      ZJZFKUBBAGHWPXEFKWSWPWRKRZLZABMZWRNZWTXDXIWSXHWQWRABUCZUDUEXGXIWTLZXDXGXK
      LZXBABWROPZMZXHWROPZXCXFXBXNQWPXKXFXBXMAMXNXFXAXMAXFBKRZXAXMQEWRBUFUGUHXM
      AUCUISXLXPXFAKRZTZBWRIHZWTXOXNQXFXRWPXKXFXPXFXQXPXFEUOXFUJXQXFDUOUKSXLWRB
      GHZXSWOXFXKXTWNWOXKXFXTWOXKLXFXTWOXKXHBNZBBNZLZXFXTJYAYBABULBUMUNXFWOXKYC
      TZXTXFYDXTJWOXHXFWRUPUQZNZYEANZLZYCTZYEBGHZJWRUPWRYEQZYDYIXTYJYKXKYHWOYCY
      KXIYFWTYGWRYEXHURWRYEAUSUTVAWRYEBGVBVCABYEBDEWRUPKVDVEEVGVFVHVIVJVKVLXGXT
      XSJZXKWNXFYLWOWMYLCWRKWJWRQWKXTWLXSWJWRBGVBWJWRBIVMVCVNVOVPVQXGXIWTVRBWRA
      VSVTXFXOXCQWPXKXFXOWRXHOPZXCXHKRXFXOYMQABDEWAXHWRUFWBXHWQWROXJWCUISWDWHWE
      WFFBAEDWGWI $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    mdexch.1 $e |- A e. CH $.
    mdexch.2 $e |- B e. CH $.
    mdexch.3 $e |- C e. CH $.
    $( An exchange lemma for modular pairs.  Lemma 1.6 of [MaedaMaeda] p. 2.
       (Contributed by NM, 22-Jun-2004.)  (New usage is discouraged.) $)
    mdexchi $p |- ( ( A MH B /\ C MH ( A vH B ) /\ ( C i^i ( A vH B ) ) C_ A )
      -> ( ( C vH A ) MH B /\ ( ( C vH A ) i^i B ) = ( A i^i B ) ) ) $=
      ( vx cmd chj co cin wss w3a wceq wi cch wcel wa mp3an12 chjcom wbr chjass
      cv wral chjcli mpan2 chjcl mpan sylancl 3eqtr4d ineq1d inass incom ineq2i
      chjcomi chabs2i eqtri eqtr4di ad2antrr chlej2 mp3an23 mdi exp32 syl com23
      ex syld imp31 adantrr chincli chjidmi oveq1i 3eqtr3a eqtrd adantr sseqtrd
      imp ad2ant2rl eqsstrd ssrind adantrl chub2i ssrin ax-mp sstrd exp31 com3r
      mpi 3impb ralrimiv wb mdbr2 mp2an sylibr 3eqtr3ri ineq12i chub1i chlejb1i
      mp3an biimpi syl5eq sylan9eq eqtr3id 3adant1 jca ) ABHUAZCABIJZHUAZCXGKZA
      LZMZCAIJZBHUAZXLBKZABKZNZXKGUCZBLZXQXLIJZBKZXQXNIJZLZOZGPUDZXMXKYCGPXFXHX
      JXQPQZYCOYEXRXFXHXJRZRZYBYEXRYGYBYEXRRZYGRXTXQAIJZBKZYAYHYFXTYJLXFYHYFRZX
      TAXQIJZCIJZXGKZBKZYJYEXTYONXRYFYEXTYMBKZYOYEXSYMBYEXLXQIJZCYLIJZXSYMCPQZA
      PQZYEYQYRNFDCAXQUBSYEXLPQZXSYQNCAFDUEZXQXLTUFYEYLPQZYSYMYRNYTYEUUCDAXQUGU
      HZFYLCTUIUJUKYOYMXGBKZKYPYMXGBULUUEBYMUUEBXGKZBXGBUMUUFBBAIJZKZBXGUUGBABD
      EUOUNZBAEDUPZUQUQUNUQURUSYKYNYIBYKYNYLXIIJZYIYHXHYNUUKNZXJYEXRXHUULYEXRYL
      XGLZXHUULOYEBPQZYTXRUUMOEDYEUUNYTMXRUUMXQBAUTVFVAYEXHUUMUULYEUUCXHUUMUULO
      OZUUDYSXGPQZUUCUUOFABDEUEZYSUUPUUCMXHUUMUULCXGYLVBVCSVDVEVGVHVIYEXJUUKYIL
      XRXHYEXJRUUKYLAIJZYIYEXJUUKUURLZYEUUCXJUUSOZUUDXIPQZYTUUCUUTCXGFUUQVJZDUV
      AYTUUCMXJUUSXIAYLUTVFSVDVQYEUURYINXJYEUURAYLIJZYIYEUUCYTUURUVCNUUDDYLATUI
      YEAAIJZXQIJZYLUVCYIUVDAXQIADVKVLYTYTYEUVEUVCNDDAAXQUBSYTYEYLYINDAXQTUHVMV
      NVOVPVRVSVTVSWAYHXFYJYALYFYHXFRYJXQXOIJZYAYEXRXFYJUVFNZYEXFXRUVGYTUUNYEXF
      XRUVGOODEYTUUNYEMXFXRUVGABXQVBVCSVEVHYEUVFYALZXRXFYEXOXNLZUVHAXLLUVIACDFW
      BAXLBWCWDXOPQZXNPQZYEUVIUVHOABDEVJXLBUUBEVJUVJUVKYEMUVIUVHXOXNXQUTVFSWHUS
      VSVIWEWFWGWIWJUUAUUNXMYDWKUUBEGXLBWLWMWNXHXJXPXFYFXNACIJZUUEKZXOXLUVLBUUE
      CAFDUOUUFUUHUUEBUUIBXGUMUUJWOWPYFUVMUVLXGKZBKXOUVLXGBULYFUVNABXHXJUVNAXII
      JZAXHAXGLZUVNUVONZABDEWQYSUUPYTXHUVPUVQOOFUUQDYSUUPYTMXHUVPUVQCXGAVBVCWSW
      HXJUVOXIAIJZAAXIDUVBUOXJUVRANXIAUVBDWRWTXAXBUKXCXAXDXE $.
  $}

  $( The covering property implies the modular pair property.  Lemma 7.5.1 of
     [MaedaMaeda] p. 31.  (Contributed by NM, 21-Jun-2004.)
     (New usage is discouraged.) $)
  cvmd $p |- ( ( A e. CH /\ B e. CH /\ ( A i^i B ) <oH B ) -> A MH B ) $=
    ( cch wcel cin ccv wbr cmd wi chba wceq ineq1 breq1d breq1 imbi12d ineq2 id
    cif breq12d ifchhv breq2 cvmdi dedth2h 3impia ) ACDZBCDZABEZBFGZABHGZUEUFUH
    UIIUEAJRZBEZBFGZUJBHGZIUJUFBJRZEZUNFGZUJUNHGZIABJJAUJKZUHULUIUMURUGUKBFAUJB
    LMAUJBHNOBUNKZULUPUMUQUSUKUOBUNFBUNUJPUSQSBUNUJHUAOUJUNATBTUBUCUD $.

  $( The covering property implies the dual modular pair property.  Lemma 7.5.2
     of [MaedaMaeda] p. 31.  (Contributed by NM, 21-Jun-2004.)
     (New usage is discouraged.) $)
  cvdmd $p |- ( ( A e. CH /\ B e. CH /\ B <oH ( A vH B ) ) -> A MH* B ) $=
    ( cch wcel chj co ccv wbr cdmd wa cort cfv cin wi choccl cvmd 3expia syl2an
    cmd wb simpr chjcl cvcon3 syl2anc chdmj1 breq1d bitrd dmdmd 3imtr4d 3impia
    ) ACDZBCDZBABEFZGHZABIHZUKULJZAKLZBKLZMZURGHZUQURSHZUNUOUKUQCDZURCDZUTVANUL
    AOBOVBVCUTVAUQURPQRUPUNUMKLZURGHZUTUPULUMCDUNVETUKULUAABUBBUMUCUDUPVDUSURGA
    BUEUFUGABUHUIUJ $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Atoms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the set of atoms in a Hilbert lattice.  An atom is a nonzero
     element of a lattice such that anything less than it is zero, i.e. it is
     the smallest nonzero element of the lattice.  Definition of atom in
     [Kalmbach] p. 15.  See ~ ela and ~ elat2 for membership relations.
     (Contributed by NM, 14-Aug-2002.)  (New usage is discouraged.) $)
  df-at $a |- HAtoms = { x e. CH | 0H <oH x } $.

  ${
    $d x A $.  $d x B $.
    $( Atoms in a Hilbert lattice are the elements that cover the zero
       subspace.  Definition of atom in [Kalmbach] p. 15.  (Contributed by NM,
       9-Jun-2004.)  (New usage is discouraged.) $)
    ela $p |- ( A e. HAtoms <-> ( A e. CH /\ 0H <oH A ) ) $=
      ( vx c0h cv ccv wbr cch cat breq2 df-at elrab2 ) CBDZEFCAEFBAGHLACEIBJK
      $.

    $( Expanded membership relation for the set of atoms, i.e. the predicate
       "is an atom (of the Hilbert lattice)."  An atom is a nonzero element of
       a lattice such that anything less than it is zero, i.e. it is the
       smallest nonzero element of the lattice.  (Contributed by NM,
       9-Jun-2004.)  (New usage is discouraged.) $)
    elat2 $p |- ( A e. HAtoms <-> ( A e. CH /\ ( A =/= 0H /\
                 A. x e. CH ( x C_ A -> ( x = A \/ x = 0H ) ) ) ) ) $=
      ( cat wcel cch c0h ccv wbr wa wne cv wceq wo wi wral wpss wb ch0pss bitri
      wss ela h0elch cvbr2 mpan imbi1d imbi2d impexp bi2.04 neor imbi2i 3bitr4g
      orcom ralbiia a1i anbi12d bitr2d pm5.32i bitr4i ) BCDBEDZFBGHZIUSBFJZAKZB
      TZVBBLZVBFLZMZNZAEOZIZIBUAUSVIUTUSUTFBPZFVBPZVCIVDNZAEOZIZVIFEDUSUTVNQUBA
      FBUCUDUSVJVAVMVHBRVMVHQUSVLVGAEVBEDZVCVKVDNZNZVCVBFJZVDNZNVLVGVOVPVSVCVOV
      KVRVDVBRUEUFVLVKVCVDNNVQVKVCVDUGVKVCVDUHSVFVSVCVFVEVDMVSVDVEULVDVBFUISUJU
      KUMUNUOUPUQUR $.

    $( A Hilbert lattice element is an atom iff it covers the zero subspace.
       (Contributed by NM, 26-Jun-2004.)  (New usage is discouraged.) $)
    elatcv0 $p |- ( A e. CH -> ( A e. HAtoms <-> 0H <oH A ) ) $=
      ( cat wcel cch c0h ccv wbr ela baib ) ABCADCEAFGAHI $.

    $( An atom covers the zero subspace.  (Contributed by NM, 26-Jun-2004.)
       (New usage is discouraged.) $)
    atcv0 $p |- ( A e. HAtoms -> 0H <oH A ) $=
      ( cat wcel cch c0h ccv wbr ela simprbi ) ABCADCEAFGAHI $.

    $( Atoms are a subset of the Hilbert lattice.  (Contributed by NM,
       14-Aug-2002.)  (New usage is discouraged.) $)
    atssch $p |- HAtoms C_ CH $=
      ( vx c0h cv ccv wbr cch cat df-at ssrab3 ) BACDEAFGAHI $.

    $( An atom is a Hilbert lattice element.  (Contributed by NM, 22-Jun-2004.)
       (New usage is discouraged.) $)
    atelch $p |- ( A e. HAtoms -> A e. CH ) $=
      ( cat cch atssch sseli ) BCADE $.

    $( An atom is not the Hilbert lattice zero.  (Contributed by NM,
       13-Aug-2002.)  (New usage is discouraged.) $)
    atne0 $p |- ( A e. HAtoms -> A =/= 0H ) $=
      ( vx cat wcel cch c0h wne cv wss wceq wo wi wral wa elat2 simprl sylbi )
      ACDAEDZAFGZBHZAITAJTFJKLBEMZNNSBAORSUAPQ $.

    $( A lattice element smaller than an atom is either the atom or zero.
       (Contributed by NM, 25-Jun-2004.)  (New usage is discouraged.) $)
    atss $p |- ( ( A e. CH /\ B e. HAtoms ) ->
               ( A C_ B -> ( A = B \/ A = 0H ) ) ) $=
      ( vx cat wcel cch c0h wne cv wceq wo wi wral wa elat2 sseq1 eqeq1 orbi12d
      wss adantld imbi12d rspcv imp sylan2b ) BDEAFEZBFEZBGHZCIZBSZUHBJZUHGJZKZ
      LZCFMZNZNZABSZABJZAGJZKZLZCBOUEUPVAUEUOVAUFUEUNVAUGUMVACAFUHAJZUIUQULUTUH
      ABPVBUJURUKUSUHABQUHAGQRUAUBTTUCUD $.
  $}

  $( Two atoms in a subset relationship are equal.  (Contributed by NM,
     26-Jun-2004.)  (New usage is discouraged.) $)
  atsseq $p |- ( ( A e. HAtoms /\ B e. HAtoms ) -> ( A C_ B <-> A = B ) ) $=
    ( cat wcel wa wss wceq c0h wne atne0 ad2antrr wo cch wi atelch atss imp ord
    sylan necon1ad mpd ex eqimss impbid1 ) ACDZBCDZEZABFZABGZUGUHUIUGUHEZAHIZUI
    UEUKUFUHAJKUJUIAHUJUIAHGZUGUHUIULLZUEAMDUFUHUMNAOABPSQRTUAUBABUCUD $.

  $( A Hilbert lattice element covered by an atom must be the zero subspace.
     (Contributed by NM, 11-Jun-2004.)  (New usage is discouraged.) $)
  atcveq0 $p |- ( ( A e. CH /\ B e. HAtoms ) -> ( A <oH B <-> A = 0H ) ) $=
    ( cch wcel cat wa ccv wbr c0h wceq wpss wi atelch cvpss sylan2 ch0le adantr
    wss jctild atcv0 h0elch cvnbtwn3 mp3an1 sylan ancoms syld syl5ibrcom adantl
    mpd breq1 impbid ) ACDZBEDZFZABGHZAIJZUNUOIARZABKZFZUPUNUOURUQUMULBCDZUOURL
    BMZABNOULUQUMAPQSUMULUSUPLZUMULFIBGHZVBUMVCULBTZQUMUTULVCVBLZVAICDUTULVEUAI
    BAUBUCUDUIUEUFUMUPUOLULUMUOUPVCVDAIBGUJUGUHUK $.

  ${
    $d x A $.
    $( A 1-dimensional subspace is an atom.  (Contributed by NM, 22-Jul-2001.)
       (New usage is discouraged.) $)
    h1da $p |- ( ( A e. ~H /\ A =/= 0h ) ->
                ( _|_ ` ( _|_ ` { A } ) ) e. HAtoms ) $=
      ( vx chba wcel c0v wne wa csn cort cfv cch c0h cv wss wceq wo wi wral cat
      adantr snssi occl choccl h1dn0 h1datom expcom ralrimiv jca elat2 sylanbrc
      3syl ) ACDZAEFZGZAHZIJZIJZKDZUQLFZBMZUQNUTUQOUTLOPQZBKRZGUQSDULURUMULUOCN
      UPKDURACUAUOUBUPUCUKTUNUSVBAUDULVBUMULVABKUTKDULVAUTAUEUFUGTUHBUQUIUJ $.
  $}

  $( The span of the singleton of a vector is an atom.  (Contributed by NM,
     18-Dec-2004.)  (New usage is discouraged.) $)
  spansna $p |- ( ( A e. ~H /\ A =/= 0h ) -> ( span ` { A } ) e. HAtoms ) $=
    ( chba wcel c0v wne csn cspn cfv cort cat wceq spansn adantr h1da eqeltrd
    wa ) ABCZADEZPAFZGHZSIHIHZJQTUAKRALMANO $.

  $( A 1-dimensional subspace is less than or equal to any subspace containing
     its generating vector.  (Contributed by NM, 24-Nov-2004.)
     (New usage is discouraged.) $)
  sh1dle $p |- ( ( A e. SH /\ B e. A ) -> ( _|_ ` ( _|_ ` { B } ) ) C_ A ) $=
    ( csh wcel wa csn cort cfv cspn chba wceq shel spansn syl spansnss eqsstrrd
    ) ACDBADEZBFZGHGHZRIHZAQBJDTSKBALBMNABOP $.

  $( A 1-dimensional subspace is less than or equal to any member of ` CH `
     containing its generating vector.  (Contributed by NM, 30-May-2004.)
     (New usage is discouraged.) $)
  ch1dle $p |- ( ( A e. CH /\ B e. A ) -> ( _|_ ` ( _|_ ` { B } ) ) C_ A ) $=
    ( cch wcel csh csn cort cfv wss chsh sh1dle sylan ) ACDAEDBADBFGHGHAIAJABKL
    $.

  ${
    $d x y A $.
    $( The 1-dimensional subspaces of Hilbert space are its atoms.  Part of
       Remark 10.3.5 of [BeltramettiCassinelli] p. 107.  (Contributed by NM,
       4-Jun-2004.)  (New usage is discouraged.) $)
    atom1d $p |- ( A e. HAtoms <->
                E. x e. ~H ( x =/= 0h /\ A = ( span ` { x } ) ) ) $=
      ( vy cat wcel cv wne cort cfv wceq wa chba wrex cch c0h wss wo wi adantrr
      nfv c0v csn cspn wral elat2 chne0 nfre1 nfim chel simprlr h1dn0 anasss wn
      sylan ch1dle snssi occl 3syl choccl sseq1 eqeq1 orbi12d imbi12d mpid impr
      rspcv adantrlr ord syl6ibr mt4d eqcomd rspe syl12anc exp44 rexlimd sylbid
      imp32 sylbi h1da eleq1 syl5ibr expdcom impd rexlimiv impbii spansn eqeq2d
      nne anbi2d rexbiia bitr4i ) BDEZAFZUAGZBWMUBZHIZHIZJZKZALMZWNBWOUCIZJZKZA
      LMWLWTWLBNEZBOGZCFZBPZXFBJZXFOJZQZRZCNUDZKKWTCBUEXDXEXLWTXDXEWNABMXLWTRZA
      BUFXDWNXMABXDATXLWTAXLATWSALUGUHXDWMBEZWNXLWTXDXNWNKZXLKKZWMLEZWNWRWTXDXO
      XQXLXDXNXQWNWMBUIZSSXDXNWNXLUJXPWQBXPWQOGZWQBJZXDXOXSXLXDXNWNXSXDXNKZXQWN
      XSXRWMUKUNULSXPXTUMWQOJZXSUMXPXTYBXDXNXLXTYBQZWNXDXNXLYCYAXLWQBPZYCBWMUOY
      AWPNEZWQNEXLYDYCRZRYAXQWOLPYEXRWMLUPWOUQURWPUSXKYFCWQNXFWQJZXGYDXJYCXFWQB
      UTYGXHXTXIYBXFWQBVAXFWQOVAVBVCVFURVDVEVGVHWQOWHVIVJVKWSALVLVMVNVOVPVQVRWS
      WLALXQWNWRWLWRXQWNWLXQWNKWLWRWQDEWMVSBWQDVTWAWBWCWDWEXCWSALXQXBWRWNXQXAWQ
      BWMWFWGWIWJWK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Superposition principle
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z A $.  $d x y z B $.  $d v w x y z $.
    $( Superposition Principle.  If ` A ` and ` B ` are distinct atoms, there
       exists a third atom, distinct from ` A ` and ` B ` , that is the
       superposition of ` A ` and ` B ` .  Definition 3.4-3(a) in [MegPav2000]
       p. 2345 (PDF p. 8).  (Contributed by NM, 9-Jun-2006.)
       (New usage is discouraged.) $)
    superpos $p |- ( ( A e. HAtoms /\ B e. HAtoms /\ A =/= B )
        -> E. x e. HAtoms ( x =/= A /\ x =/= B /\ x C_ ( A vH B ) ) ) $=
      ( vy vz vw vv wcel wne co wrex cspn wceq wa chba wi wb adantr csm cc cneg
      cat chj wss w3a c0v csn cfv atom1d reeanv an4 neeq1 neeq2 sylan9bb adantl
      cv cva hvaddcl c1 hvaddeq0 sneq fveq2d neg1cn neg1ne0 spansncol sylan9eqr
      cc0 mp3an23 sylbid necon3d imp spansna syl2anc adantlr biimpd spansneleqi
      ex eqeq2 syl elspansn caddc addcl mpan2 ad2antlr cmv ancoms simpll simplr
      hvmulcl hvsubadd syl3anc biimpar hvsubval ax-hvdistr2 mp3an2 eqtr4d oveq1
      sylancom eqtr3d rspceeqv rexlimdva2 syld sylibrd spansneleq eqcom sylan9r
      syl6ib adantlrl adantrr adantll ax-hvcom eqeq1d bitr4d adantrl cpr spanpr
      adantlrr oveq12 cph cun df-pr fveq2i snssi spanun syl2an spansnch spansnj
      syl5eq cch sylan eqtr2d sseqtrrd 3anbi123d rspcev syl13anc expl rexlimivv
      sseq1 syl5bi sylbir syl2anb 3impia ) BUBHZCUBHZBCIZAUPZBIZUUFCIZUUFBCUCJZ
      UDZUEZAUBKZUUCDUPZUFIZBUUMUGZLUHZMZNZDOKZEUPZUFIZCUUTUGZLUHZMZNZEOKZUUEUU
      LPZUUDDBUIECUIUUSUVFNUURUVENZEOKDOKUVGUURUVEDEOOUJUVHUVGDEOOUVHUUNUVANZUU
      QUVDNZNUUMOHZUUTOHZNZUVGUUNUUQUVAUVDUKUVMUVIUVJUVGUVMUVINZUVJNZUUEUUPUVCI
      ZUULUVJUUEUVPQUVNUUQUUEUUPCIUVDUVPBUUPCULCUVCUUPUMUNUOUVOUVPUULUVOUVPNUUM
      UUTUQJZUGLUHZUBHZUVRBIZUVRCIZUVRUUIUDZUULUVNUVPUVSUVJUVMUVPUVSUVIUVMUVPNU
      VQOHZUVQUFIZUVSUVMUWCUVPUUMUUTURZRUVMUVPUWDUVMUVQUFUUPUVCUVMUVQUFMUUMUSUA
      ZUUTSJZMZUUPUVCMZUUMUUTUTUVLUWHUWIPUVKUVLUWHUWIUWHUVLUUPUWGUGZLUHZUVCUWHU
      UOUWJLUUMUWGVAVBUVLUWFTHZUWFVGIUWKUVCMVCVDUUTUWFVEVHVFVQUOVIVJVKUVQVLVMVN
      VNUVOUVPUVTUVNUUQUVPUVTPZUVDUVMUVAUUQUWMUUNUVMUVANZUUQNUVRBUUPUVCUUQUVRBM
      ZUVRUUPMZUWNUWIUUQUWOUWPBUUPUVRVRVOUWNUWPUUTUUPHZUWIUVMUWPUWQPUVAUVMUWPUU
      TFUPZUUMSJZMFTKZUWQUVMUWPUVQUUPHZUWTUVMUWCUWPUXAPUWEUVQUUMVPVSUVMUXAUVQGU
      PZUUMSJZMZGTKZUWTUVKUXAUXEQUVLGUUMUVQVTRUVMUXDUWTGTUVMUXBTHZNZUXDNZUXBUWF
      WAJZTHZUUTUXIUUMSJZMUWTUXFUXJUVMUXDUXFUWLUXJVCUXBUWFWBWCZWDUXHUXCUUMWEJZU
      UTUXKUXGUXMUUTMZUXDUXGUXCOHZUVKUVLUXNUXDQUVKUXFUXOUVLUXFUVKUXOUXBUUMWIZWF
      VNUVKUVLUXFWGZUVKUVLUXFWHZUXCUUMUUTWJWKWLUXGUXMUXKMZUXDUVKUXFUXSUVLUXFUVK
      UXSUXFUVKNUXMUXCUWFUUMSJUQJZUXKUXFUVKUXOUXMUXTMUXPUXCUUMWMWRUXFUWLUVKUXKU
      XTMVCUXBUWFUUMWNWOWPWFVNRWSFUXITUWSUXKUUTUWRUXIUUMSWQWTVMXAVIXBUVKUWQUWTQ
      UVLFUUMUUTVTRXCRUVKUVAUWQUWIPUVLUVKUVANUWQUVCUUPMUWIUUTUUMXDUVCUUPXEXGVNX
      BXFVJXHXIVKUVOUVPUWAUVNUVDUVPUWAPZUUQUVMUUNUVDUYAUVAUVMUUNNZUVDNUVRCUUPUV
      CUVDUVRCMZUVRUVCMZUYBUWIUVDUYCUYDCUVCUVRVRVOUYBUYDUUMUVCHZUWIUVMUYDUYEPUU
      NUVMUYDUUMUWRUUTSJZMFTKZUYEUVMUYDUVQUVCHZUYGUVMUWCUYDUYHPUWEUVQUUTVPVSUVM
      UYHUVQUXBUUTSJZMZGTKZUYGUVLUYHUYKQUVKGUUTUVQVTUOUVMUYJUYGGTUXGUYJNZUXJUUM
      UXIUUTSJZMUYGUXFUXJUVMUYJUXLWDUYLUYIUUTWEJZUUMUYMUXGUYNUUMMZUYJUXGUYOUUTU
      UMUQJZUYIMZUYJUXGUYIOHZUVLUVKUYOUYQQUVLUXFUYRUVKUXFUVLUYRUXBUUTWIZWFXJUXR
      UXQUYIUUTUUMWJWKUXGUVQUYPUYIUVMUVQUYPMUXFUUMUUTXKRXLXMWLUXGUYNUYMMZUYJUVL
      UXFUYTUVKUXFUVLUYTUXFUVLNUYNUYIUWGUQJZUYMUXFUVLUYRUYNVUAMUYSUYIUUTWMWRUXF
      UWLUVLUYMVUAMVCUXBUWFUUTWNWOWPWFXJRWSFUXITUYFUYMUUMUWRUXIUUTSWQWTVMXAVIXB
      UVLUYEUYGQUVKFUUTUUMVTUOXCRUVLUUNUYEUWIPUVKUUMUUTXDXJXBXFVJXQXNVKUVOUWBUV
      PUVMUVJUWBUVIUVMUVJNUVRUUMUUTXOZLUHZUUIUVMUVRVUCUDUVJUUMUUTXPRUVJUVMUUIUU
      PUVCUCJZVUCBUUPCUVCUCXRUVMVUCUUPUVCXSJZVUDUVMVUCUUOUVBXTZLUHZVUEVUBVUFLUU
      MUUTYAYBUVKUUOOUDUVBOUDVUGVUEMUVLUUMOYCUUTOYCUUOUVBYDYEYHUVKUUPYIHUVLVUEV
      UDMUUMYFUUPUUTYGYJYKVFYLVNRUUKUVTUWAUWBUEAUVRUBUUFUVRMUUGUVTUUHUWAUUJUWBU
      UFUVRBULUUFUVRCULUUFUVRUUIYRYMYNYOVQVIYPYSYQYTUUAUUB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Atoms, exchange and covering properties, atomicity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.  $d x B $.
    $( The Hilbert lattice has the covering property.  Proposition 1(ii) of
       [Kalmbach] p. 140 (and its converse).  (Contributed by NM, 11-Jun-2004.)
       (New usage is discouraged.) $)
    chcv1 $p |- ( ( A e. CH /\ B e. HAtoms ) ->
                ( -. B C_ A <-> A <oH ( A vH B ) ) ) $=
      ( vx cch wcel cat wa wss wn chj co ccv wbr cv c0v wne csn cspn chba wi
      wceq wrex atom1d spansncv2 sseq1 notbid breq2d imbi12d syl5ibrcom adantld
      cfv oveq2 rexlimdva sylan2b atelch wpss chjcl cvpss syldan sylibrd sylan2
      imp chnle impbid ) ADEZBFEZGBAHZIZAABJKZLMZVFVECNZOPZBVKQRUKZUAZGZCSUBZVH
      VJTZCBUCVEVPVQVEVOVQCSVEVKSEGZVNVQVLVRVQVNVMAHZIZAAVMJKZLMZTAVKUDVNVHVTVJ
      WBVNVGVSBVMAUEUFVNVIWAALBVMAJULUGUHUIUJUMVBUNVFVEBDEZVJVHTBUOVEWCGVJAVIUP
      ZVHVEWCVIDEVJWDTABUQAVIURUSABVCUTVAVD $.

    $( The Hilbert lattice has the covering property.  (Contributed by NM,
       11-Jun-2004.)  (New usage is discouraged.) $)
    chcv2 $p |- ( ( A e. CH /\ B e. HAtoms ) ->
                ( A C. ( A vH B ) <-> A <oH ( A vH B ) ) ) $=
      ( cch wcel cat wa wss wn chj co wpss ccv wbr wb atelch chnle sylan2 chcv1
      bitr3d ) ACDZBEDZFBAGHZAABIJZKZAUCLMUATBCDUBUDNBOABPQABRS $.
  $}

  ${
    $d x A $.  $d x B $.
    $( The join of a closed subspace and an atom equals their subspace sum.
       Special case of remark in [Kalmbach] p. 65, stating that if ` A ` or
       ` B ` is finite-dimensional, then this equality holds.  (Contributed by
       NM, 4-Jun-2004.)  (New usage is discouraged.) $)
    chjatom $p |- ( ( A e. CH /\ B e. HAtoms ) -> ( A +H B ) = ( A vH B ) ) $=
      ( vx cch wcel cat cph co chj wceq cv c0v wne csn cspn cfv wa chba oveq2
      wi wrex atom1d spansnj eqeq12d syl5ibr expd adantl com3l rexlimdv syl5bi
      imp ) ADEZBFEZABGHZABIHZJZUMCKZLMZBUQNOPZJZQZCRUAULUPCBUBULVAUPCRVAULUQRE
      ZUPUTULVBUPTTURUTULVBUPULVBQUPUTAUSGHZAUSIHZJAUQUCUTUNVCUOVDBUSAGSBUSAISU
      DUEUFUGUHUIUJUK $.
  $}

  ${
    $d x y A $.
    shatomic.1 $e |- A e. SH $.
    $( The lattice of Hilbert subspaces is atomic, i.e. any nonzero element is
       greater than or equal to some atom.  Part of proof of Theorem 16.9 of
       [MaedaMaeda] p. 70.  (Contributed by NM, 24-Nov-2004.)
       (New usage is discouraged.) $)
    shatomici $p |- ( A =/= 0H -> E. x e. HAtoms x C_ A ) $=
      ( vy c0h wne cv c0v wrex wss cat shne0i wcel csn cort cfv chba sheli h1da
      wa sylan csh sh1dle mpan adantr sseq1 rspcev syl2anc rexlimiva sylbi ) BE
      FDGZHFZDBIAGZBJZAKIZDBCLULUODBUKBMZULTUKNOPOPZKMZUQBJZUOUPUKQMULURUKBCRUK
      SUAUPUSULBUBMUPUSCBUKUCUDUEUNUSAUQKUMUQBUFUGUHUIUJ $.
  $}

  ${
    $d x A $.
    hatomic.1 $e |- A e. CH $.
    $( The Hilbert lattice is atomic, i.e. any nonzero element is greater than
       or equal to some atom.  Remark in [Kalmbach] p. 140.  (Contributed by
       NM, 22-Jul-2001.)  (New usage is discouraged.) $)
    hatomici $p |- ( A =/= 0H -> E. x e. HAtoms x C_ A ) $=
      ( chshii shatomici ) ABBCDE $.
  $}

  ${
    $d x A $.
    $( A Hilbert lattice is atomic, i.e. any nonzero element is greater than or
       equal to some atom.  Remark in [Kalmbach] p. 140.  Also Definition 3.4-2
       in [MegPav2000] p. 2345 (PDF p. 8).  (Contributed by NM, 24-Jun-2004.)
       (New usage is discouraged.) $)
    hatomic $p |- ( ( A e. CH /\ A =/= 0H ) -> E. x e. HAtoms x C_ A ) $=
      ( cch wcel c0h wne cv wss cat wrex wi cif wceq neeq1 sseq2 rexbidv h0elch
      imbi12d elimel hatomici dedth imp ) BCDZBEFZAGZBHZAIJZUCUDUGKUCBELZEFZUEU
      HHZAIJZKBEBUHMZUDUIUGUKBUHENULUFUJAIBUHUEOPRAUHBECQSTUAUB $.
  $}

  ${
    $d x y A $.
    shatomistic.1 $e |- A e. SH $.
    $( The lattice of Hilbert subspaces is atomistic, i.e. any element is the
       supremum of its atoms.  Part of proof of Theorem 16.9 of [MaedaMaeda]
       p. 70.  (Contributed by NM, 26-Nov-2004.)
       (New usage is discouraged.) $)
    shatomistici $p |- A = ( span ` U. { x e. HAtoms | x C_ A } ) $=
      ( vy wss cat crab cuni cspn cfv wcel c0v wceq chba csh spanid 3syl adantr
      cv mpan eleq1 wne wa sheli spansnsh spansna sylan spansnss sseq1 sylanbrc
      csn elrab elssuni cch atssch chsssh sstri rabss2 uniss mp2b unimax shssii
      ax-mp eqsstri spanss eqsstrrd spansnid syl sseldd spancl sh0 a1i pm2.61ne
      ssriv mp2an fveq2i eqtri sseqtri eqssi ) BASZBEZAFGZHZIJZDBWDDSZBKZWEWDKL
      WDKZWELWELWDUAWFWELUBZUCZWEUKIJZWDWEWIWJWJIJZWDWFWKWJMZWHWFWENKZWJOKWLWEB
      CUDZWEUEWJPQRWIWJWBKZWJWCEZWKWDEZWIWJFKZWJBEZWOWFWMWHWRWNWEUFUGWFWSWHBOKZ
      WFWSCBWEUHTRWAWSAWJFVTWJBUIULUJWJWBUMWCNEZWPWQWCWAAOGZHZNFOEWBXBEWCXCEZFU
      NOUOUPUQWAAFOURWBXBUSUTZXCBNWTXCBMCABOVAVCZBCVBVDZUQZWJWCVETQVFWFWEWJKZWH
      WFWMXIWNWEVGVHRVIWGWFXAWDOKWGXHWCVJWDVKUTVLVMVNWDXCIJZBXCNEXDWDXJEXGXEWCX
      CVEVOXJBIJZBXCBIXFVPWTXKBMCBPVCVQVRVS $.
  $}

  ${
    $d x y A $.
    hatomistic.1 $e |- A e. CH $.
    $( ` CH ` is atomistic, i.e. any element is the supremum of its atoms.
       Remark in [Kalmbach] p. 140.  (Contributed by NM, 14-Aug-2002.)
       (New usage is discouraged.) $)
    hatomistici $p |- A = ( \/H ` { x e. HAtoms | x C_ A } ) $=
      ( vy cv wss cat crab chsup cfv cch wcel ssrab2 ax-mp wa elrab wi wceq c0h
      wn atssch sstri chsupcl chshii atelch sseq1 3imtr4i ssriv chsupss chsupid
      anim1i mp2an sseqtri cort cin wrex elssuni sylbir chsupunss sstrdi ex wne
      cuni atne0 adantr ssin chocini sseq2i bitr2i wb chle0 bitr3id biimpa expr
      syl necon3ad mpd syld imnan sylnib nrex choccli chincli hatomici necon1bi
      sylib omlsii eqcomi ) AEZBFZAGHZIJZBWLBWKKFZWLKLWKGKWJAGMUAUBZWKUCNZBCUDW
      LWJAKHZIJZBWKWPFZWLWQFZDWKWPDEZGLZWTBFZOZWTKLZXBOWTWKLZWTWPLXAXDXBWTUEZUK
      WJXBAWTGWIWTBUFZPZWJXBAWTKXGPUGUHWMWPKFWRWSQWNWJAKMWKWPUIULNBKLWQBRCABUJN
      UMWTBWLUNJZUOZFZDGUPZTXJSRXKDGXAXBWTXIFZOZXKXAXBXMTZQXNTXAXBWTWLFZXOXAXBX
      PXCWTWKVCZWLXCXEWTXQFXHWTWKUQURWMXQWLFWNWKUSNUTVAXAXPXOXAXPOZWTSVBZXOXAXS
      XPWTVDVEXRXMWTSXAXPXMWTSRZXAXPXMOZXTYAWTSFZXAXTYAWTWLXIUOZFYBWTWLXIVFYCSW
      TWLWOVGVHVIXAXDYBXTVJXFWTVKVOVLVMVNVPVQVAVRXBXMVSWFWTBXIVFVTWAXLXJSDXJBXI
      CWLWOWBWCWDWENWGWH $.
  $}

  ${
    $d x A $.  $d x B $.
    chpssat.1 $e |- A e. CH $.
    chpssat.2 $e |- B e. CH $.
    $( Two Hilbert lattice elements in a proper subset relationship imply the
       existence of an atom less than or equal to one but not the other.
       (Contributed by NM, 10-Jun-2004.)  (New usage is discouraged.) $)
    chpssati $p |- ( A C. B -> E. x e. HAtoms ( x C_ B /\ -. x C_ A ) ) $=
      ( wpss wss wn cat wral crab chsup cfv cch ssrab2 atssch sstri hatomistici
      wi sylbir cv wrex dfpss3 simprbi iman ralbii ss2rab chsupss mp2an 3sstr4g
      wa con3i dfrex2 sylibr syl ) BCFZCBGZHZAUAZCGZUSBGZHUKZAIUBZUPBCGURBCUCUD
      URVBHZAIJZHVCVEUQVEUTVASZAIJZUQVFVDAIUTVAUEUFVGUTAIKZVAAIKZGZUQUTVAAIUGVJ
      VHLMZVILMZCBVHNGVINGVJVKVLGSVHINUTAIOPQVIINVAAIOPQVHVIUHUIACERABDRUJTTULV
      BAIUMUNUO $.

    $( The Hilbert lattice is relatively atomic.  Remark 2 of [Kalmbach]
       p. 149.  (Contributed by NM, 11-Jun-2004.)
       (New usage is discouraged.) $)
    chrelati $p |- ( A C. B ->
                  E. x e. HAtoms ( A C. ( A vH x ) /\ ( A vH x ) C_ B ) ) $=
      ( wpss cv wss wn wa cat wrex chj co chpssati wcel ancom cch wb pssss mpan
      atelch chnle adantl chlub mp3an13 sylan9bb anbi12d syl2an syl5bb rexbidva
      ibar mpbid ) BCFZAGZCHZUOBHIZJZAKLBBUOMNZFZUSCHZJZAKLABCDEOUNURVBAKURUQUP
      JZUNUOKPZJVBUPUQQUNBCHZUORPZVCVBSVDBCTUOUBVEVFJUQUTUPVAVFUQUTSZVEBRPZVFVG
      DBUOUCUAUDVEUPVEUPJZVFVAVEUPULVHVFCRPVIVASDEBUOCUEUFUGUHUIUJUKUM $.

    $( A consequence of relative atomicity.  (Contributed by NM, 30-Jun-2004.)
       (New usage is discouraged.) $)
    chrelat2i $p |- ( -. A C_ B <-> E. x e. HAtoms ( x C_ A /\ -. x C_ B ) ) $=
      ( wss wn wa cat wrex wpss wcel cch wi wb syl6bir wo sylib con2i syl cv co
      cin nssinpss chj chincli chrelati atelch chlub mp3an13 simpr adantld ssin
      notbii chnle mpan syl5bb anbi12d pm3.21 pm4.55 imor 3bitr4ri adantrl jcad
      orcom reximia sylbi wral sstr2 com12 ralrimivw ralbii ralnex bitri impbii
      iman ) BCFZGZAUAZBFZVSCFZGZHZAIJZVRBCUCZBKZWDBCUDWFWEWEVSUEUBZKZWGBFZHZAI
      JWDAWEBBCDEUFZDUGWJWCAIVSILVSMLZWJWCNVSUHWLWJVTWBWLWIVTWHWLWIWEBFZVTHZVTW
      EMLZWLBMLWNWIOWKDWEVSBUIUJZWMVTUKPULWLWJVTWAHZGZWNHWBWLWRWHWNWIWRVSWEFZGZ
      WLWHWQWSVSBCUMUNWOWLWTWHOWKWEVSUOUPUQWPURWRVTWBWMWAWRVTHZWAVTWQNZXAGZWAVT
      USWQVTGZQXDWQQXCXBWQXDVEWQVTUTVTWQVAVBRSVCPVDTVFTVGVQWDVQVTWANZAIVHZWDGZV
      QXEAIVTVQWAVSBCVIVJVKXFWCGZAIVHXGXEXHAIVTWAVPVLWCAIVMVNRSVO $.

    $( If a Hilbert lattice element covers another, it equals the other joined
       with some atom.  This is a consequence of the relative atomicity of
       Hilbert space.  (Contributed by NM, 30-Nov-2004.)
       (New usage is discouraged.) $)
    cvati $p |- ( A <oH B -> E. x e. HAtoms ( A vH x ) = B ) $=
      ( ccv wbr cv chj co wpss wss wa cat wrex wceq cch wcel wi cvpss mp2an syl
      chrelati cvnbtwn2 mp3an12 atelch chjcl sylancr syl11 reximdvai mpd ) BCFG
      ZBBAHZIJZKUNCLMZANOZUNCPZANOULBCKZUPBQRZCQRZULURSDEBCTUAABCDEUCUBULUOUQAN
      UNQRZULUOUQSZUMNRZUSUTVAULVBSDEBCUNUDUEVCUSUMQRVADUMUFBUMUGUHUIUJUK $.

    $( An alternate way to express the covering property.  (Contributed by NM,
       30-Nov-2004.)  (New usage is discouraged.) $)
    cvbr4i $p |- ( A <oH B <-> ( A C. B /\ E. x e. HAtoms ( A vH x ) = B ) ) $=
      ( ccv wbr wpss cv chj co wceq cat wrex wa cch wcel wi wb adantl cvpss jca
      mp2an cvati chcv2 mpan adantr psseq2 breq2 3bitr3d biimpd ex rexlimdv imp
      com3r impbii ) BCFGZBCHZBAIZJKZCLZAMNZOUQURVBBPQZCPQUQURRDEBCUAUCABCDEUDU
      BURVBUQURVAUQAMUSMQZVAURUQVDVAURUQRVDVAOZURUQVEBUTHZBUTFGZURUQVDVFVGSZVAV
      CVDVHDBUSUEUFUGVAVFURSVDUTCBUHTVAVGUQSVDUTCBFUITUJUKULUOUMUNUP $.

    $( Lemma for ~ cvexchi .  (Contributed by NM, 10-Jun-2004.)
       (New usage is discouraged.) $)
    cvexchlem $p |- ( ( A i^i B ) <oH B -> A <oH ( A vH B ) ) $=
      ( vx wss wn wa cat ccv wbr chj co wpss cch wcel wi wb mpan wceq cin cvpss
      cv wrex chincli mp2an chpssati syl ssin ancom bitr3i baibr notbid biimpar
      biimpa sylan2 adantrr atelch chjass mp3an12 chabs1i oveq1i eqtr3di adantr
      chcv1 chnle inss2 biantrur chlub mp3an13 syl5bb anbi12d chjcl com23 imp32
      cvnbtwn2 sylbid oveq2d eqtr3d sylan breqtrd exp32 rexlimiv mpcom ) EUCZBF
      ZWEABUAZFZGZHZEIUDZWGBJKZAABLMZJKZWLWGBNZWKWGOPZBOPZWLWOQABCDUEZDWGBUBUFE
      WGBWRDUGUHWJWLWNQEIWEIPZWJWLWNWSWJWLHZHAAWELMZWMJWSWJAXAJKZWLWJWSWEAFZGZX
      BWFXDWIWFXCWHWHWFXCWHXCWFHWFXCHWEABUIXCWFUJUKULUMUNWSXDXBAOPZWSXDXBRCAWEV
      ESUOUPUQWSWEOPZWTXAWMTWEURXFWTHZAWGWELMZLMZXAWMXFXIXATWTXFAWGLMZWELMZXIXA
      XEWPXFXKXITCWRAWGWEUSUTXJAWELABCDVAVBVCVDXGXHBALXFWJWLXHBTZXFWJWGXHNZXHBF
      ZHZWLXLQWJWIWFHXFXOWFWIUJXFWIXMWFXNWPXFWIXMRWRWGWEVFSWFWGBFZWFHZXFXNXPWFA
      BVGVHWPXFWQXQXNRWRDWGWEBVIVJVKVLVKXFWLXOXLXFXHOPZWLXOXLQQZWPXFXRWRWGWEVMS
      WPWQXRXSWRDWGBXHVPUTUHVNVQVOVRVSVTWAWBWCWD $.

    $( The Hilbert lattice satisfies the exchange axiom.  Proposition 1(iii) of
       [Kalmbach] p. 140 and its converse.  Originally proved by Garrett
       Birkhoff in 1933.  (Contributed by NM, 12-Jun-2004.)
       (New usage is discouraged.) $)
    cvexchi $p |- ( ( A i^i B ) <oH B <-> A <oH ( A vH B ) ) $=
      ( cin ccv wbr chj co cvexchlem cort cfv choccli eqtri 3imtr4i cch wcel wb
      cvcon3 mp2an chdmj1i breq1i chdmm1i chjcomi breq2i chjcli chincli impbii
      incom ) ABEZBFGZAABHIZFGZABCDJULKLZAKLZFGZBKLZUJKLZFGZUMUKUQUOEZUOFGUQUQU
      OHIZFGUPUSUQUOBDMZACMZJUNUTUOFUNUOUQEUTABCDUAUOUQUINUBURVAUQFURUOUQHIVAAB
      CDUCUOUQVCVBUDNUEOAPQULPQUMUPRCABCDUFAULSTUJPQBPQUKUSRABCDUGDUJBSTOUH $.
  $}

  ${
    $d x A $.  $d x B $.
    $( A consequence of relative atomicity.  (Contributed by NM, 1-Jul-2004.)
       (New usage is discouraged.) $)
    chrelat2 $p |- ( ( A e. CH /\ B e. CH ) ->
                  ( -. A C_ B <-> E. x e. HAtoms ( x C_ A /\ -. x C_ B ) ) ) $=
      ( cch wcel wss wn cv wa cat wrex wb chba cif notbid sseq2 rexbidv bibi12d
      wceq ifchhv sseq1 anbi1d anbi2d chrelat2i dedth2h ) BDEZCDEZBCFZGZAHZBFZU
      JCFZGZIZAJKZLUFBMNZCFZGZUJUPFZUMIZAJKZLUPUGCMNZFZGZUSUJVBFZGZIZAJKZLBCMMB
      UPSZUIURUOVAVIUHUQBUPCUAOVIUNUTAJVIUKUSUMBUPUJPUBQRCVBSZURVDVAVHVJUQVCCVB
      UPPOVJUTVGAJVJUMVFUSVJULVECVBUJPOUCQRAUPVBBTCTUDUE $.

    $( A consequence of relative atomicity.  (Contributed by NM, 2-Jul-2004.)
       (New usage is discouraged.) $)
    chrelat3 $p |- ( ( A e. CH /\ B e. CH ) ->
                   ( A C_ B <-> A. x e. HAtoms ( x C_ A -> x C_ B ) ) ) $=
      ( cch wcel wa wss cv wn cat wral wrex chrelat2 dfrex2 bitrdi con4bid iman
      wi ralbii bitr4di ) BDECDEFZBCGZAHZBGZUCCGZIFZIZAJKZUDUERZAJKUAUBUHUAUBIU
      FAJLUHIABCMUFAJNOPUIUGAJUDUEQST $.
  $}

  ${
    $d x A $.  $d x B $.
    chrelat3.1 $e |- A e. CH $.
    chrelat3.2 $e |- B e. CH $.
    $( A consequence of the relative atomicity of Hilbert space: the ordering
       of Hilbert lattice elements is completely determined by the atoms they
       majorize.  (Contributed by NM, 30-Jun-2004.)
       (New usage is discouraged.) $)
    chrelat3i $p |- ( A C_ B <-> A. x e. HAtoms ( x C_ A -> x C_ B ) ) $=
      ( cch wcel wss cv wi cat wral wb chrelat3 mp2an ) BFGCFGBCHAIZBHPCHJAKLMD
      EABCNO $.

    $( A consequence of relative atomicity.  Extensionality principle: two
       lattice elements are equal iff they majorize the same atoms.
       (Contributed by NM, 30-Jun-2004.)  (New usage is discouraged.) $)
    chrelat4i $p |- ( A = B <-> A. x e. HAtoms ( x C_ A <-> x C_ B ) ) $=
      ( wss wa cv wi cat wral wceq wb chrelat3i anbi12i eqss ralbiim 3bitr4i )
      BCFZCBFZGAHZBFZUACFZIAJKZUCUBIAJKZGBCLUBUCMAJKSUDTUEABCDENACBEDNOBCPUBUCA
      JQR $.
  $}

  $( The Hilbert lattice satisfies the exchange axiom.  Proposition 1(iii) of
     [Kalmbach] p. 140 and its converse.  Originally proved by Garrett Birkhoff
     in 1933.  (Contributed by NM, 21-Jun-2004.)
     (New usage is discouraged.) $)
  cvexch $p |- ( ( A e. CH /\ B e. CH ) ->
                ( ( A i^i B ) <oH B <-> A <oH ( A vH B ) ) ) $=
    ( cch wcel cin ccv wbr chj co wb chba cif wceq ineq1 breq1d breq12d bibi12d
    id oveq1 ifchhv ineq2 oveq2 breq2d cvexchi dedth2h ) ACDZBCDZABEZBFGZAABHIZ
    FGZJUFAKLZBEZBFGZULULBHIZFGZJULUGBKLZEZUQFGZULULUQHIZFGZJABKKAULMZUIUNUKUPV
    BUHUMBFAULBNOVBAULUJUOFVBRAULBHSPQBUQMZUNUSUPVAVCUMURBUQFBUQULUAVCRPVCUOUTU
    LFBUQULHUBUCQULUQATBTUDUE $.

  $( The Hilbert lattice satisfies the covering property of Definition 7.4 of
     [MaedaMaeda] p. 31 and its converse.  (Contributed by NM, 21-Jun-2004.)
     (New usage is discouraged.) $)
  cvp $p |- ( ( A e. CH /\ B e. HAtoms ) ->
            ( ( A i^i B ) = 0H <-> A <oH ( A vH B ) ) ) $=
    ( cch wcel cat wa cin ccv wbr c0h wceq chj co atelch chincl sylan2 sylancom
    wb atcveq0 cvexch bitr3d ) ACDZBEDZFABGZBHIZUDJKZAABLMHIZUBUCUDCDZUEUFRUCUB
    BCDZUHBNZABOPUDBSQUCUBUIUEUGRUJABTPUA $.

  $( The meet of a Hilbert lattice element and an incomparable atom is the zero
     subspace.  (Contributed by NM, 30-Jun-2004.)
     (New usage is discouraged.) $)
  atnssm0 $p |- ( ( A e. CH /\ B e. HAtoms ) ->
             ( -. B C_ A <-> ( A i^i B ) = 0H ) ) $=
    ( cch wcel cat wa wss wn chj co ccv wbr cin c0h wceq chcv1 cvp bitr4d ) ACD
    BEDFBAGHAABIJKLABMNOABPABQR $.

  $( The meet of distinct atoms is the zero subspace.  (Contributed by NM,
     25-Jun-2004.)  (New usage is discouraged.) $)
  atnemeq0 $p |- ( ( A e. HAtoms /\ B e. HAtoms ) ->
             ( A =/= B <-> ( A i^i B ) = 0H ) ) $=
    ( cat wcel wa wss wn wne cin c0h wceq atsseq eqcom bitrdi ancoms necon3bbid
    wb cch atelch atnssm0 sylan bitr3d ) ACDZBCDZEZBAFZGZABHABIJKZUEUFABUDUCUFA
    BKZQUDUCEUFBAKUIBALBAMNOPUCARDUDUGUHQASABTUAUB $.

  $( The meet with an atom's superset is the atom.  (Contributed by NM,
     12-Jun-2006.)  (New usage is discouraged.) $)
  atssma $p |- ( ( A e. HAtoms /\ B e. CH ) ->
            ( A C_ B <-> ( A i^i B ) e. HAtoms ) ) $=
    ( cat wcel cch wa wss cin wi wceq df-ss biimpi eleq1d biimprcd adantr incom
    c0h wn eleq1i atne0 neneqd sylbi wb atnssm0 ancoms biimpd con1d syl5 impbid
    ) ACDZBEDZFZABGZABHZCDZUJUMUOIUKUMUOUJUMUNACUMUNAJABKLMNOUOBAHZQJZRZULUMUOU
    PCDZURUNUPCABPSUSUPQUPTUAUBULUMUQULUMRZUQUKUJUTUQUCBAUDUEUFUGUHUI $.

  $( Two atoms covering the zero subspace are equal.  (Contributed by NM,
     26-Jun-2004.)  (New usage is discouraged.) $)
  atcv0eq $p |- ( ( A e. HAtoms /\ B e. HAtoms ) ->
               ( 0H <oH ( A vH B ) <-> A = B ) ) $=
    ( cat wcel wa c0h chj co ccv wbr wne wn cin atnemeq0 cch wb atelch atcv0 wi
    wceq sylan adantr biantrurd 3bitrd chjcl h0elch mp3an1 syldan syl2an sylbid
    cvp cvntr necon4ad oveq1 chjidm syl sylan9eq eqcomd eleq1d ex adantl impbid
    ibd syl6com ) ACDZBCDZEZFABGHZIJZABTZVGVIABVGABKZFAIJZAVHIJZEZVILZVGVKABMFT
    ZVMVNABNVEAODZVFVPVMPAQZABUKUAVGVLVMVEVLVFARUBUCUDVEVQBODZVNVOSZVFVRBQZVQVS
    VHODZVTABUEFODVQWBVTUFFAVHULUGUHUIUJUMVFVJVISVEVJVFVHCDZVIVJVFWCVJVFVFWCPVJ
    VFEZBVHCWDVHBVJVFVHBBGHZBABBGUNVFVSWEBTWABUOUPUQURUSUTVCVHRVDVAVB $.

  $( Two atoms covering the zero subspace are equal.  (Contributed by NM,
     26-Jun-2004.)  (New usage is discouraged.) $)
  atcv1 $p |- ( ( ( A e. CH /\ B e. HAtoms /\ C e. HAtoms ) /\
                A <oH ( B vH C ) ) -> ( A = 0H <-> B = C ) ) $=
    ( cch wcel cat w3a chj co ccv wbr wa c0h wceq wi breq1 biimpd ex imp wb syl
    atcv0eq sylan9bbr com23 3adant1 atelch chjidm sylan9eq eqcomd eleq1d impcom
    oveq1 ibd atcveq0 sylan2 exp32 com34 3adant2 impbid ) ADEZBFEZCFEZGZABCHIZJ
    KZLAMNZBCNZVCVEVFVGOZVAVBVEVHOUTVAVBLZVFVEVGVIVFVEVGOVIVFLVEVGVFVEMVDJKVIVG
    AMVDJPBCUBUCQRUDUESVCVEVGVFOZUTVBVEVJOZVAUTVBVKUTVBVGVEVFUTVBVGVEVFOUTVBVGL
    ZLVEVFVLUTVDFEZVEVFTVGVBVMVGVBVMVGVBVBVMTVGVBLZCVDFVNVDCVGVBVDCCHIZCBCCHULV
    BCDEVOCNCUFCUGUAUHUIUJRUMUKAVDUNUOQUPUQSURSUS $.

  $( The Hilbert lattice satisfies the atom exchange property.  Proposition
     1(i) of [Kalmbach] p. 140.  A version of this theorem related to vector
     analysis was originally proved by Hermann Grassmann in 1862.  Also
     Definition 3.4-3(b) in [MegPav2000] p. 2345 (PDF p. 8) (use ~ atnemeq0 to
     obtain atom inequality).  (Contributed by NM, 27-Jun-2004.)
     (New usage is discouraged.) $)
  atexch $p |- ( ( A e. CH /\ B e. HAtoms /\ C e. HAtoms ) ->
            ( ( B C_ ( A vH C ) /\ ( A i^i B ) = 0H ) -> C C_ ( A vH B ) ) ) $=
    ( cch wcel cat w3a chj co wss wceq wa atelch sylan2 3adant2 wpss wi ccv wbr
    chjcl cin c0h chub2 ancoms adantr cvpss syldan sylbid 3adant3 adantld chub1
    cvp id a1d ancrd wb chlub syld3an3 sylibd syl3an adantrd jcad simp1 anim12d
    imp 3jca ancomsd psssstr syl6 chcv2 cvnbtwn2 sylsyld mpd sseqtrrd ex ) ADEZ
    BFEZCFEZGZBACHIZJZABUAUBKZLZCABHIZJVSWCLZCVTWDVSCVTJZWCVPVRWFVQVRVPCDEZWFCM
    ZWGVPWFCAUCUDNOUEWEAWDPZWDVTJZLZWDVTKZVSWCWKVSWCWIWJVSWBWIWAVPVQWBWIQVRVPVQ
    LWBAWDRSZWIABULVPVQWDDEZWMWIQVQVPBDEZWNBMZABTZNAWDUFUGUHUIZUJVSWAWJWBVPVPVQ
    WOVRWGWAWJQVPUMZWPWHVPWOWGGZWAAVTJZWALZWJWTWAXAWTXAWAVPWGXAWOACUKOUNUOVPWOW
    GVTDEZXBWJUPVPWGXCWOACTOZABVTUQURUSUTZVAVBVEVSWCWKWLQZVSVPXCWNGZWCAVTRSZXFV
    PVPVQWOVRWGXGWSWPWHWTVPXCWNVPWOWGVCXDVPWOWNWGWQUIVFUTVSWCAVTPZXHVSWCWKXIVSW
    BWAWKVSWBWIWAWJWRXEVDVGAWDVTVHVIVPVRXIXHUPVQACVJOUSAVTWDVKVLVEVMVNVO $.

  ${
    $d x A $.  $d x B $.  $d x C $.
    atoml.1 $e |- A e. CH $.
    $( An assertion holding in atomic orthomodular lattices that is equivalent
       to the exchange axiom.  Proposition 3.2.17 of [PtakPulmannova] p. 66.
       (Contributed by NM, 24-Jun-2004.)  (New usage is discouraged.) $)
    atomli $p |- ( B e. HAtoms ->
                ( ( A vH B ) i^i ( _|_ ` A ) ) e. ( HAtoms u. { 0H } ) ) $=
      ( vx cat wcel chj co cort cin c0h wceq wa wss cch sylancr wi wb mpan imp
      cfv wo csn cun wne wrex atelch chjcl choccli chincl sylancl hatomic sylan
      cv inss2 mpan2 pjococi oveq1i ineq1i incom eqtr3i pjoml3 syl5eq ad2ant2lr
      syl2an inss1 chub1 adantr chlub mp3an1 sylan2 biimpd ancoms mpand adantrr
      sstr anim12i ad2antlr pm3.22 adantl csh chsh chshii orthin jca sylc syl3c
      atexch eqssd ineq1d eqtr3d eleq1d exp43 com24 imp31 ibd ex com23 rexlimdv
      expd mpd necon1bd orrd elun fvex inex2 elsn orbi2i bitri sylibr ) BEFZABG
      HZAIUAZJZEFZXNKLZUBZXNEKUCZUDFZXKXOXPXKXOXNKXKXNKUEZXOXKXTMZDUNZXNNZDEUFZ
      XOXKXNOFZXTYDXKXLOFZXMOFZYEXKAOFZBOFZYFCBUGZABUHZPACUIZXLXMUJUKDXNULUMYAY
      CXODEYAYCYBEFZXOYAYCYMXOQYAYCMYMXOXKXTYCYMYMXORZQXKYMYCXTYNXKYMYCXTYNXKYM
      MZYCXTMZMZYBXNEYQAYBGHZXMJZYBXNYMYCYSYBLZXKXTYMYBOFZYBXMNZYTYCYBUGZYCXNXM
      NUUBXLXMUOYBXNXMVPUPZUUAUUBMZYSXMXMIUAZYBGHZJZYBUUGXMJYSUUHUUGYRXMUUFAYBG
      ACUQURUSUUGXMUTVAUUAUUBUUHYBLZYGUUAUUBUUIQYLXMYBVBSTVCVEVDYQYRXLXMYQYRXLY
      OYCYRXLNZXTYCYOYBXLNZUUJYCXNXLNUUKXLXMVFYBXNXLVPUPZYOUUKUUJXKYIUUAUUKUUJQ
      YMYJUUCYIUUAMAXLNZUUKUUJYIUUMUUAYHYIUUMCABVGSVHUUAYIUUMUUKMZUUJQUUAYIMUUN
      UUJYIUUAYFUUNUUJRZYHYIYFCYKSYHUUAYFUUOCAYBXLVIVJVKVLVMVNVETVKVOYQYIYROFZM
      ZAYRNZBYRNZXLYRNZYOUUQYPXKYIYMUUPYJYMYHUUAUUPCUUCAYBUHPVQVHYMUURXKYPYMYHU
      UAUURCUUCAYBVGPVRYQYMXKMZUUKAYBJZKLZMZUUSYOUVAYPXKYMVSVHYMYCUVDXKXTYMYCMU
      UKUVCYCUUKYMUULVTYMUUAUUBUVCYCUUCUUDUUEUVBYBAJZKAYBUTUUAUUBUVEKLZUUAYBWAF
      AWAFUUBUVFQYBWBACWCYBAWDUKTVCVEWEVDYHYMXKUVDUUSQCAYBBWHVJWFUUQUURUUSUUTUU
      QUURUUSMZUUTYHYIUUPUVGUUTRCABYRVIVJVLWTWGWIWJWKWLWMWNWOWPWQWRWSXAWQXBXCXS
      XOXNXRFZUBXQXNEXRXDUVHXPXOXNKXMXLAIXEXFXGXHXIXJ $.

    $( An assertion holding in atomic orthomodular lattices that is equivalent
       to the exchange axiom.  Proposition P8(ii) of [BeltramettiCassinelli1]
       p. 400.  (Contributed by NM, 12-Jun-2006.)
       (New usage is discouraged.) $)
    atoml2i $p |- ( ( B e. HAtoms /\ -. B C_ A ) ->
                ( ( A vH B ) i^i ( _|_ ` A ) ) e. HAtoms ) $=
      ( cat wcel wss wn chj co cort cfv cin c0h cch atelch pjoml5 sylancr incom
      wceq wo eqeq1i biimpi oveq2d chj0i eqtrdi sylan9req ex wb chlejb2 sylancl
      sylibrd con3d csn cun atomli h0elch elexi elsn2 orbi2i orcom 3bitri sylib
      elun ord syld imp ) BDEZBAFZGZABHIZAJKZLZDEZVGVIVLMSZGVMVGVNVHVGVNVJASZVH
      VGVNVOVGVNVJAVKVJLZHIZAVGANEZBNEZVQVJSCBOZABPQVNVQAMHIAVNVPMAHVNVPMSVLVPM
      VJVKRUAUBUCACUDUEUFUGVGVSVRVHVOUHVTCBAUIUJUKULVGVNVMVGVLDMUMZUNEZVNVMTZAB
      CUOWBVMVLWAEZTVMVNTWCVLDWAVCWDVNVMVLMMNUPUQURUSVMVNUTVAVBVDVEVF $.

    $( An ordering law for a Hilbert lattice atom and a commuting subspace.
       (Contributed by NM, 12-Jun-2006.)  (New usage is discouraged.) $)
    atordi $p |- ( ( B e. HAtoms /\ A C_H B ) ->
                ( B C_ A \/ B C_ ( _|_ ` A ) ) ) $=
      ( cat wcel ccm wbr wa wss cort cfv cin chj co cch c0h incom eqtrdi adantr
      wceq wn atelch choccli chincl mpan chj0 syl h0elch chjcom sylancl chocini
      eqtr3d eqtri oveq1i eqtr4di w3a cmidi cmcm2ii mpanr1 mp3anl2 mpanl1 sylan
      fh2 eqtr4d atoml2i adantlr eqeltrd wb atssma mpan2 ad2antrr mpbird orrd
      ex ) BDEZABFGZHZBAIZBAJKZIZVQVRUAZVTVQWAHZVTBVSLZDEZWBWCABMNZVSLZDVQWCWFT
      WAVQWCVSWELZWFVOBOEZVPWCWGTBUBWHVPHWCVSALZVSBLZMNZWGWHWCWKTVPWHWCPWJMNZWK
      WHWJPMNZWCWLWHWMWJWCWHWJOEZWMWJTVSOEZWHWNACUCZVSBUDUEZWJUFUGVSBQRWHWNPOEW
      MWLTWQUHWJPUIUJULWIPWJMWIAVSLPVSAQACUKUMUNUOSWOWHVPWGWKTZWPWOAOEZWHVPWRCW
      OWSWHUPAVSFGVPWRAACCACUQURVSABVCUSUTVAVDVBVSWEQRSVOWAWFDEVPABCVEVFVGVOVTW
      DVHZVPWAVOWOWTWPBVSVIVJVKVLVNVM $.

    $( Lemma for ~ atcvati .  (Contributed by NM, 27-Jun-2004.)
       (New usage is discouraged.) $)
    atcvatlem $p |- ( ( ( B e. HAtoms /\ C e. HAtoms ) /\
        ( A =/= 0H /\ A C. ( B vH C ) ) ) -> ( -. B C_ A -> A e. HAtoms ) ) $=
      ( vx cat wcel wa c0h chj co wss wi ccv wceq cch wb atelch imp adantr wpss
      wne wn cv wrex hatomici wbr cin nssne2 adantrl atnemeq0 syl5ib cvp chjcom
      sylan2 breq2d bitrd sylan sylibd ancoms adantlr chub1 syl2an 3adant3 sstr
      pssss adantl incom syl5eq adantrr atexch syl3an1 mp2and simp1 simp3 chjcl
      w3a 3jca syl3an chlub syl mpbi2and 3adant2 anim12i syld3an3 mpbid syl3anl
      eqssd anassrs psseq2d ex ibd exp32 3expa an32s com34 imp45 simpr cvnbtwn3
      jca mp3an3 exp4a com23 imp4a eleq1d biimprcd exp4c pm2.43b rexlimdva syl5
      exp4d imp32 ) BFGZCFGZHZAIUBZABCJKZUAZBALUCZAFGZMZXPEUDZALZEFUEXOXRYAMZEA
      DUFXOYCYDEFXOYBFGZHZYCXRXSXTXOYEYCXRXSHZHZXTMZXOYEYIYEXOYEYHXTYFYHHZXTYEY
      JAYBFYJYBBYBJKZNUGZAYKUAZAYBOZYFYHYLXMYEYHYLMZXNYEXMYOYEXMHZYHYBBUHZIOZYL
      YHYBBUBZYPYRYCXSYSXRYBBAUIZUJYBBUKZULYEYBPGZXMYRYLQYBRZUUBXMHZYRYBYBBJKZN
      UGYLYBBUMUUDUUEYKYBNXMUUBBPGZUUEYKOBRZYBBUNUOUPUQURUSUTVASYFYCXRXSYMYFYCX
      SXRYMXMYEXNYCXSXRYMMZMMZXMYEXNUUIXMYEXNVQZYCXSUUHUUJYCXSHZHZXRYMUULXRXRYM
      QUULXRHXQYKAUUJUUKXRXQYKOUUJUUKXRHZHZXQYKUUNBYKLZCYKLZXQYKLZUUJUUOUUMXMYE
      UUOXNXMUUFUUBUUOYEUUGUUCBYBVBVCVDTUUNYBXQLZBYBUHZIOZUUPUUMUURUUJYCXRUURXS
      XRYCAXQLUURAXQVFYBAXQVEUOVAZVGUUJUUKUUTXRUULUUSYQIBYBVHUUJUUKYRXMYEUUKYRM
      ZXNYEXMUVBUUKYSYPYRYTUUAULUTVDSVIVJUUJUURUUTHUUPMZUUMXMUUFYEXNUVCUUGBYBCV
      KVLTVMUUJUUOUUPHUUQQZUUMUUJUUFCPGZYKPGZVQZUVDXMUUFYEUUBXNUVEUVGUUGUUCCRZU
      UFUUBUVEVQZUUFUVEUVFUUFUUBUVEVNUUFUUBUVEVOUUFUUBUVFUVEBYBVPZVDVRVSBCYKVTW
      ATWBXMUUFYEUUBXNUVEUUMYKXQLZUUGUUCUVHUVIUUMHBXQLZUURHZUVKUVIUVLUUMUURUUFU
      VEUVLUUBBCVBWCUVAWDUVIUVMUVKQZUUMUUFUUBUVEXQPGZUVNUUFUVEUVOUUBBCVPWCBYBXQ
      VTWETWFWGWHWIWJWKWLWMWNWOWPWQYFYCYLYMHYNMZYGYFYCUVPXMYEYCUVPMZXNXMYEHUUBU
      VFHZUVQXMUUFUUBUVRYEUUGUUCUUFUUBHUUBUVFUUFUUBWRUVJWTVCUVRYCYLYMYNUVRYLYCY
      MYNMUVRYLYCYMYNUUBUVFAPGYLYCYMHYNMMDYBYKAWSXAXBXCXDWAVASVJVMXEXFXGXHSXKXI
      XJXL $.

    $( A nonzero Hilbert lattice element less than the join of two atoms is an
       atom.  (Contributed by NM, 28-Jun-2004.)  (New usage is discouraged.) $)
    atcvati $p |- ( ( B e. HAtoms /\ C e. HAtoms ) ->
                 ( ( A =/= 0H /\ A C. ( B vH C ) ) -> A e. HAtoms ) ) $=
      ( cat wcel wa c0h chj co wpss wss wn atcvatlem wi cch atelch syl2an imp
      ex wne wceq chjcom psseq2d anbi2d sylbird ancoms wo wb chlub 3comr ssnpss
      w3a syl6bi con2d ianor syl6ib mp3an1 adantrl mpjaod ) BEFZCEFZGZAHUAZABCI
      JZKZGZAEFZVCVGGBALZMZVHCALZMZABCDNVCVGVLVHOZVBVAVGVMOVBVAGZVGVDACBIJZKZGZ
      VMVNVPVFVDVNVOVEAVBCPFZBPFZVOVEUBVACQZBQZCBUCRUDUEVNVQVMACBDNTUFUGSVCVFVJ
      VLUHZVDVCVFWBVAVSVRVFWBOZVBWAVTAPFZVSVRWCDWDVSVRUMZVFVIVKGZMWBWEWFVFWEWFV
      EALZVFMVSVRWDWFWGUIBCAUJUKVEAULUNUOVIVKUPUQURRSUSUTT $.

    $( A Hilbert lattice element covered by the join of two distinct atoms is
       an atom.  (Contributed by NM, 26-Jun-2004.)
       (New usage is discouraged.) $)
    atcvat2i $p |- ( ( B e. HAtoms /\ C e. HAtoms ) ->
                 ( ( -. B = C /\ A <oH ( B vH C ) ) -> A e. HAtoms ) ) $=
      ( cat wcel wa wceq wn chj co ccv wbr wi c0h wne cch wb atcv1 atelch chjcl
      mp3anl1 necon3abid wpss syl2an cvpss sylancr atcvati expcomd syld sylbird
      imp ex com23 impd ) BEFZCEFZGZBCHZIZABCJKZLMZAEFZURVBUTVCURVBUTVCNURVBGZU
      TAOPZVCVDUSAOAQFZUPUQVBAOHUSRDABCSUBUCURVBVEVCNZURVBAVAUDZVGURVFVAQFZVBVH
      NDUPBQFCQFVIUQBTCTBCUAUEAVAUFUGURVEVHVCABCDUHUIUJULUKUMUNUO $.
  $}

  $( An ordering law for a Hilbert lattice atom and a commuting subspace.
     (Contributed by NM, 12-Jun-2006.)  (New usage is discouraged.) $)
  atord $p |- ( ( A e. CH /\ B e. HAtoms /\ A C_H B ) ->
              ( B C_ A \/ B C_ ( _|_ ` A ) ) ) $=
    ( cch wcel cat ccm wbr wss cort cfv wo wa wi c0h cif wceq breq1 sseq2 fveq2
    anbi2d sseq2d orbi12d imbi12d h0elch elimel atordi dedth 3impib ) ACDZBEDZA
    BFGZBAHZBAIJZHZKZUIUJUKLZUOMUJUIANOZBFGZLZBUQHZBUQIJZHZKZMANAUQPZUPUSUOVCVD
    UKURUJAUQBFQTVDULUTUNVBAUQBRVDUMVABAUQISUAUBUCUQBANCUDUEUFUGUH $.

  $( A Hilbert lattice element covered by the join of two distinct atoms is an
     atom.  (Contributed by NM, 29-Jun-2004.)  (New usage is discouraged.) $)
  atcvat2 $p |- ( ( A e. CH /\ B e. HAtoms /\ C e. HAtoms ) ->
               ( ( -. B = C /\ A <oH ( B vH C ) ) -> A e. HAtoms ) ) $=
    ( cch wcel cat wceq wn chj co ccv wbr wa c0h cif breq1 anbi2d eleq1 imbi12d
    wi imbi2d h0elch elimel atcvat2i dedth 3impib ) ADEZBFEZCFEZBCGHZABCIJZKLZM
    ZAFEZTZUGUHUIMZUOTUPUJUGANOZUKKLZMZUQFEZTZTANAUQGZUOVAUPVBUMUSUNUTVBULURUJA
    UQUKKPQAUQFRSUAUQBCANDUBUCUDUEUF $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Irreducibility
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d p q r x A $.
    chirred.1 $e |- A e. CH $.
    $( Lemma for ~ chirredi .  (Contributed by NM, 14-Jun-2006.)
       (New usage is discouraged.) $)
    chirredlem1 $p |- ( ( ( p e. HAtoms /\ ( q e. CH /\ q C_ ( _|_ ` A ) ) )
     /\ ( ( r e. HAtoms /\ r C_ A ) /\ r C_ ( p vH q ) ) ) ->
       ( p i^i ( _|_ ` r ) ) = 0H ) $=
      ( cv cat wcel cch cort cfv wss wa chj co cin c0h wceq wi wb atelch biimpa
      chsscon3 mpan2 sylan sstr2 wn atne0 neneqd ad3antrrr simplr choccl chlej1
      syl5 syl 3exp1 syl5com imp42 adantllr adantlr sstrd chlejb2 sylanl1 an32s
      ancoms adantrl ad2antrr sseqtrd ex chssoc syld mtod sylanr1 atnssm0 incom
      biimpd eqeq1i bitrdi ad2ant2r sylibd exp43 adantr sylcom com4t impd imp43
      ) DFZGHZCFZIHZWIAJKZLZMBFZGHZWMALZMZWMWGWINOZLZWGWMJKZPZQRZWHWJWLWPWRXASZ
      SWLWPWHWJXBWLWPWIWSLZWHWJXBSSZWPWKWSLZWLXCWNWMIHZWOXEWMUAZXFWOXEXFAIHWOXE
      TEWMAUCUDUBUEWIWKWSUFUNWNXCXDSWOWNXCWHWJXBWNXCMZWHWJMMWRWGWSLZUGZXAWHXHWG
      IHZWJWRXJSWGUAXHXKWJMZMZWRXJXMWRMZXIWMQRZWNXOUGXCXLWRWNWMQWMUHUIUJXNXIWMW
      SLZXOXNXIXPXNXIMZWMWSWINOZWSXQWMWQXRXMWRXIUKXMXIWQXRLZWRWNXLXIXSXCWNXKWJX
      IXSWNWSIHZXKWJXIXSSSWNXFXTXGWMULUOZXKXTWJXIXSWGWSWIUMUPUQURUSUTVAXMXRWSRZ
      WRXIXHWJYBXKWNWJXCYBWNXTWJXCYBYAXTWJMXCYBWJXTXCYBTWIWSVBVEUBVCVDVFVGVHVIW
      NXPXOSZXCXLWRWNXFYCXGXFXPXOWMVJVPUOUJVKVLVIVMWNWHXJXATZXCWJWNXTWHYDYAXTWH
      MXJWSWGPZQRXAWSWGVNYEWTQWSWGVOVQVRUEVSVTWAWBWCWDWEWF $.

    $( Lemma for ~ chirredi .  (Contributed by NM, 15-Jun-2006.)
       (New usage is discouraged.) $)
    chirredlem2 $p |- ( ( ( ( p e. HAtoms /\ p C_ A ) /\ ( q e. CH /\
      q C_ ( _|_ ` A ) ) ) /\ ( ( r e. HAtoms /\ r C_ A ) /\ r C_ ( p vH q ) )
        )
                  -> ( ( _|_ ` r ) i^i ( p vH q ) ) = q ) $=
      ( cv wcel wss wa cch cort cfv chj co cin wceq adantr ccm wbr c0h ad2ant2r
      cat atelch chjcom sylan ineq2d w3a choccl syl id 3anim123i 3expa adantllr
      3com13 adantlrr adantrr simpll ad2antrl wb chsscon3 sylancl biimpa sylan2
      sstr adantll lecm syl3anc ad2ant2lr mpan2 an12s ancom2s wi syl3an2 3expia
      cmcm2 sylibrd mpd sylanl2 ancom1s an4s syl12anc sseqin2 sylib chirredlem1
      fh2 incom syl5eq oveq12d chj0 ad2antlr eqtrd 3eqtrd ) DFZUBGZWMAHZIZCFZJG
      ZWQAKLZHZIZIZBFZUBGZXCAHZIZXCWMWQMNZHZIZIZXCKLZXGOXKWQWMMNZOZXKWQOZXKWMOZ
      MNZWQXJXGXLXKXBXGXLPZXIWNWRXQWOWTWNWMJGZWRXQWMUCZWMWQUDUEUAQUFXJXKJGZWRXR
      UGZWQXKRSZWQWMRSZXMXPPXBXFYAXHXBXDYAXEWPWRXDYAWTWNWRXDYAWOWNWRXDYAXDWRWNY
      AXDXTWRWRWNXRXDXCJGZXTXCUCZXCUHUIZWRUJXSUKUNULUMUOUPUPXAXFYBWPXHXAXFIZWRX
      TWQXKHZYBWRWTXFUQXDXTXAXEYFURWTXFYHWRXFWTWSXKHZYHXDXEYIXDYDAJGZXEYIUSYEEX
      CAUTVAVBWQWSXKVDVCVEZWQXKVFVGVHXBYCXIWNWRWOWTYCWRWNWOWTIZYCWNWRXRYLYCXSWR
      XRIZYLIWQWMKLZHZYCXRYLYOWRXRWTWOYOWTXRWOYOXRWOIWTWSYNHZYOXRWOYPXRYJWOYPUS
      EWMAUTVIVBWQWSYNVDVCVJVKVEYMYOYCVLYLYMYOWQYNRSZYCWRXRYOYQXRWRYNJGYOYQWMUH
      WQYNVFVMVNWQWMVOVPQVQVRVSVTQXKWQWMWEWAXJXPWQTMNZWQXJXNWQXOTMXAXFXNWQPZWPX
      HYGYHYSYKWQXKWBWCVHXJXOWMXKOZTXKWMWFWNXAXIYTTPWOABCDEWDUMWGWHXAYRWQPZWPXI
      WRUUAWTWQWIQWJWKWL $.

    ${
      chirred.2 $e |- ( x e. CH -> A C_H x ) $.
      $( Lemma for ~ chirredi .  (Contributed by NM, 15-Jun-2006.)
         (New usage is discouraged.) $)
      chirredlem3 $p |- ( ( ( ( p e. HAtoms /\ p C_ A ) /\ ( q e. HAtoms /\
        q C_ ( _|_ ` A ) ) ) /\ ( r e. HAtoms /\ r C_ ( p vH q ) ) )
                    -> ( r C_ A -> r = p ) ) $=
        ( cv wcel wss wa chj co wceq wi cch c0h cin ccm wbr cat cort cfv atelch
        chirredlem2 oveq2d adantr chjcl ad2ant2r id pjoml2 syl3an 3com12 eqtr3d
        sylan 3expb ineq2d breq2 vtoclga anim12i mp3anl1 ancoms adantrr adantll
        fh1 mpdan 3eqtr3d sseqin2 biimpi ad2antlr adantl csh chsh chshii orthin
        incom sylancl imp syl5eq oveq12d ad2antrr ad3antrrr exp44 com34 sylanr1
        chj0 syl imp32 ) EHZUAIZWIBJZKZDHZUAIZWMBUBUCJZKKCHZUAIZWPWIWMLMZJZWPBJ
        ZWPWINZOZWNWLWMPIZWOWQWSXBOOWMUDWLXCWOKZKZWQWTWSXAXEWQWTWSXAXEWQWTKZWSK
        ZKZWPQLMZWIQLMZWPWIXHBWPRZBWMRZLMZBWIRZXLLMZXIXJXHBWPWMLMZRZBWRRZXMXOXH
        XPWRBXHWPWPUBUCWRRZLMZXPWRXHXSWMWPLBCDEFUEUFXEXFWSXTWRNZXFXEWSYAXFWPPIZ
        XEWRPIZWSWSYAWQYBWTWPUDZUGWJXCYCWKWOWJWIPIZXCYCWIUDZWIWMUHUOUIWSUJWPWRU
        KULUMUPUNUQXDXGXQXMNZWLXCXFYGWOWSXCWQYGWTWQXCYGWQYBXCYGYDYBXCKBWPSTZBWM
        STZKZYGYBYHXCYIBAHZSTZYHAWPPYKWPBSURGUSYLYIAWMPYKWMBSURGUSZUTBPIZYBXCYJ
        YGFBWPWMVEVAVFUOVBVCUIVDXEXRXONZXGWJXCYOWKWOWJYEXCYOYFYEXCKBWISTZYIKZYO
        YEYPXCYIYLYPAWIPYKWIBSURGUSYMUTYNYEXCYQYOFBWIWMVEVAVFUOUIUGVGXHXKWPXLQL
        XGXKWPNZXEWTYRWQWSWTYRWPBVHVIVJVKXDXLQNWLXGXDXLWMBRZQBWMVPXCWOYSQNZXCWM
        VLIBVLIWOYTOWMVMBFVNWMBVOVQVRVSVJZVTXHXNWIXLQLWLXNWINZXDXGWKUUBWJWKUUBW
        IBVHVIVKWAUUAVTVGXGXIWPNZXEWQUUCWTWSWQYBUUCYDWPWFWGWAVKWJXJWINZWKXDXGWJ
        YEUUDYFWIWFWGWBVGWCWDWEWH $.

      $( Lemma for ~ chirredi .  (Contributed by NM, 15-Jun-2006.)
         (New usage is discouraged.) $)
      chirredlem4 $p |- ( ( ( ( p e. HAtoms /\ p C_ A ) /\ ( q e. HAtoms /\
        q C_ ( _|_ ` A ) ) ) /\ ( r e. HAtoms /\
              r C_ ( p vH q ) ) ) -> ( r = p \/ r = q ) ) $=
        ( cv cat wcel wss wa cort cfv chj wceq ccm wbr cch atelch co wo vtoclga
        breq2 syl atordi mpdan ad2antrl chirredlem3 ococi sseq2i biimpri chjcom
        wi wb syl2an sseq2d anbi2d ad2ant2r choccli cmcm3 mpan mpbid ex sylbird
        sylanr2 imp ancom1s orim12d mpd ) EHZIJZVKBKZLZDHZIJZVOBMNZKZLZLZCHZIJZ
        WAVKVOOUAZKZLZLZWABKZWAVQKZUBZWAVKPZWAVOPZUBWBWIVTWDWBBWAQRZWIWBWASJWLW
        ATBAHZQRZWLAWASWMWABQUDGUCUEBWAFUFUGUHWFWGWJWHWKABCDEFGUIVSVNWEWHWKUNZV
        SVNLWEWOVMVSVLVKVQMNZKZWEWOUNWQVMWPBVKBFUJUKULVSVLWQLLZWEWBWAVOVKOUAZKZ
        LZWOVPVLXAWEUOVRWQVPVLLZWTWDWBXBWSWCWAVPVOSJVKSJWSWCPVLVOTVKTVOVKUMUPUQ
        URUSWRXAWOAVQCEDBFUTWMSJZWNVQWMQRZGBSJXCWNXDUOFBWMVAVBVCUIVDVEVFVGVHVIV
        J $.

      $( The Hilbert lattice is irreducible: any element that commutes with all
         elements must be zero or one.  Theorem 14.8.4 of
         [BeltramettiCassinelli] p. 166.  (Contributed by NM, 15-Jun-2006.)
         (New usage is discouraged.) $)
      chirredi $p |- ( A = 0H \/ A = ~H ) $=
        ( vp vq vr c0h wceq cort cfv wo wn wne wa cv wss cat wrex wcel hatomici
        chba eqid ioran anbi12i bitr4i choccli anim12i reeanv sylibr chj co w3a
        df-ne simpll simprl cch wb atelch chsscon3 sylancl biimpa sylan2 ancoms
        atne0 adantr sseq1 bicomd chssoc syl sylan9bbr an32s ex necon3d adantlr
        sstr mpd syldan adantrl superpos syl3anc df-3an neanior anbi1i bitri wi
        chirredlem4 anassrs pm2.24d com23 impd syl5bi rexlimdva rexlimivv sylbi
        an4s mt4 fveq2 ococi choc0 3eqtr3g orim2i ax-mp ) BHIZBJKZHIZLZXDBUBIZL
        HHIZXGHUCXGMZBHNZXEHNZOZXIMZXJXDMZXFMZOXMXDXFUDXKXOXLXPBHUNXEHUNUEUFXME
        PZBQZFPZXEQZOZFRSERSZXNXMXRERSZXTFRSZOYBXKYCXLYDEBCUAFXEBCUGUAUHXRXTEFR
        RUIUJYAXNEFRRXQRTZXSRTZOYAXNYEXRYFXTXNYEXROZYFXTOZOZGPZXQNZYJXSNZYJXQXS
        UKULQZUMZGRSZXNYIYEYFXQXSNZYOYEXRYHUOYGYFXTUPYGXTYPYFYGXTXSXQJKZQZYPXTY
        GYRYGXTXEYQQZYRYEXRYSYEXQUQTZBUQTXRYSURXQUSZCXQBUTVAVBXSXEYQVPVCVDYEYRY
        PXRYEYROZXQHNZYPYEUUCYRXQVEVFUUBXQXSXQHUUBXQXSIZXQHIZYEUUDYRUUEYEUUDOYR
        UUEUUDYRXQYQQZYEUUEUUDUUFYRXQXSYQVGVHYEYTUUFUUEURUUAXQVIVJVKVBVLVMVNVQV
        OVRVSGXQXSVTWAYIYNXNGRYNYJXQIYJXSILZMZYMOZYIYJRTZOZXNYNYKYLOZYMOUUIYKYL
        YMWBUULUUHYMYJXQYJXSWCWDWEUUKUUHYMXNUUKYMUUHXNUUKYMUUHXNWFUUKYMOUUGXNYI
        UUJYMUUGABGFECDWGWHWIVMWJWKWLWMVQWPVMWNVJWOWQXFXHXDXFXEJKHJKBUBXEHJWRBC
        WSWTXAXBXC $.
    $}
  $}

  ${
    $d x y A $.
    $( The Hilbert lattice is irreducible: any element that commutes with all
       elements must be zero or one.  Theorem 14.8.4 of [BeltramettiCassinelli]
       p. 166.  (Contributed by NM, 16-Jun-2006.)
       (New usage is discouraged.) $)
    chirred $p |- ( ( A e. CH /\ A. x e. CH A C_H x ) ->
                 ( A = 0H \/ A = ~H ) ) $=
      ( vy cch wcel cv ccm wbr wral wa c0h wceq chba wo eqeq1 eleq1 nfeq2 breq1
      nfcv ralbid cif orbi12d nfv nfra1 nfan nfif anbi12d h0elch pm3.2i elimhyp
      cm0 rgen simpli simpri nfbr breq2 rspc mpi chirredi dedth ) BDEZBAFZGHZAD
      IZJZBKLZBMLZNVEBKUAZKLZVHMLZNBKBVHLZVFVIVGVJBVHKOBVHMOUBCVHVHDEZVHVBGHZAD
      IZVEVLVNJKDEZKVBGHZADIZJBKVKVAVLVDVNBVHDPVKVCVMADABVHVEABKVAVDAVAAUCVCADU
      DUEABSAKSUFZQBVHVBGRTUGKVHLZVOVLVQVNKVHDPVSVPVMADAKVHVRQKVHVBGRTUGVOVQUHV
      PADVBUKULUIUJZUMCFZDEVNVHWAGHZVLVNVTUNVMWBAWADAVHWAGVRAGSAWASUOVBWAVHGUPU
      QURUSUT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Atoms (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.  $d x B $.  $d x C $.
    atcvat3.1 $e |- A e. CH $.
    $( A condition implying that a certain lattice element is an atom.  Part of
       Lemma 3.2.20 of [PtakPulmannova] p. 68.  (Contributed by NM,
       2-Jul-2004.)  (New usage is discouraged.) $)
    atcvat3i $p |- ( ( B e. HAtoms /\ C e. HAtoms ) ->
          ( ( ( -. B = C /\ -. C C_ A ) /\ B C_ ( A vH C ) ) ->
          ( A i^i ( B vH C ) ) e. HAtoms ) ) $=
      ( cat wcel wa wceq wn wss chj co ccv wbr wi cch wb mpan atelch adantr cin
      biimpa ad2ant2lr anim12i chjcom oveq2d chjass mp3an1 ancoms eqtr4d adantl
      chcv1 simpl w3a chlej2 ex syl3anc imp eqsstrd chjidm syl ad2antlr sseqtrd
      chjcl simpr chub2 mp3anl3 syl21anc eqssd sylan breq2d mpbird jctil syl2an
      adantrl cvexch sylibrd chincl sylancr atcvat2 expdimp syld exp4b imp4c )
      BEFZCEFZGZBCHIZCAJIZBACKLZJZABCKLZUAZEFZWGWHWIWKWNWGWHGWIWKGZWMWLMNZWNWGW
      OWPOWHWGWOAAWLKLZMNZWPWGWOWRWGWOGWRAWJMNZWFWIWSWEWKWFWIWSAPFZWFWIWSQDACUL
      RUBUCWGWKWRWSQWIWGWKGWQWJAMWGBPFZCPFZGZWKWQWJHWEXAWFXBBSZCSZUDXCWKGZWQWJX
      FWQWJWJKLZWJXFWQWJBKLZXGXCWQXHHWKXCWQACBKLZKLZXHXCWLXIAKBCUEUFXBXAXHXJHZW
      TXBXAXKDACBUGUHUIUJTXCWKXHXGJZXCXAWJPFZXMWKXLOXAXBUMXBXMXAWTXBXMDACVDRZUK
      ZXOXAXMXMUNWKXLBWJWJUOUPUQURUSXBXGWJHZXAWKXBXMXPXNWJUTVAVBVCXCWJWQJZWKXCX
      BWLPFZCWLJZXQXAXBVEBCVDZXBXAXSCBVFUIXBXRWTXSXQDCWLAUOVGVHTVIVJVKVOVLUPWGW
      TXRGZWPWRQWEXAXBYAWFXDXEXCXRWTXTDVMVNAWLVPVAVQTWGWHWPWNWGWMPFZWEWFWHWPGWN
      OWEXAXBYBWFXDXEXCWTXRYBDXTAWLVRVSVNWEWFUMWEWFVEWMBCVTUQWAWBWCWD $.

    $( A condition implying existence of an atom with the properties shown.
       Lemma 3.2.20 of [PtakPulmannova] p. 68.  (Contributed by NM,
       2-Jul-2004.)  (New usage is discouraged.) $)
    atcvat4i $p |- ( ( B e. HAtoms /\ C e. HAtoms ) ->
          ( ( A =/= 0H /\ B C_ ( A vH C ) ) ->
          E. x e. HAtoms ( x C_ A /\ B C_ ( C vH x ) ) ) ) $=
      ( cat wcel wa wceq wss c0h chj co wi cch atelch syl2an sseq1 adantl cin
      wne wrex hatomici chub1 syl5ibr expd impcom anim2d expcomd reximdvai syl5
      cv ex a1i com4l imp4a chlejb2 mpan2 biimpa sseq2d expl chub2 jctird simpl
      wb jctild impl oveq2 anbi12d rspcev adantrl exp31 wo simpr ioran atcvat3i
      syl wn w3a ad2antlr simpll 3jca inss2 chjcom sseqtrid adantr atnssm0 mpan
      inss1 sslin ax-mp incom sseqtri sseq2 mpbii chincl sylancr syl2anc syl5ib
      imp chjcl chle0 sylbid adantrr atexch sylc jctil jcad syl6 syl5bi ecase3d
      jca syl7 ) CFGZDFGZHZCDIZDBJZBKUAZCBDLMZJZHZAULZBJZCDYCLMZJZHZAFUBZNZXOXQ
      YINXNXOXQXSYAYHYAXOXQXSYHXOXQXSYHNZNNYAXOXQYJXSYDAFUBXOXQHZYHABEUCYKYDYGA
      FYKYDYCFGZYGYKYLYFYDXQXOYLYFNXQXOYLYFXOYLHYFXQDYEJZXODOGZYCOGYMYLDPZYCPDY
      CUDQCDYERUEUFUGUHUIUJUKUMUNUOUPSXPXRYBYHXPXRHZYAYHXSYPYAHXNCBJZCDCLMZJZHZ
      HZYHXPXRYAUUAXPXRYAHZYTXNXNCOGZYNUUBYTNXOCPZYOUUCYNHZUUBYQYSYNUUBYQNUUCYN
      XRYAYQYNXRHZYAYQUUFXTBCYNXRXTBIZYNBOGZXRUUGVEEDBUQURUSUTUSVASCDVBVCQXNXOV
      DVFVGYGYTACFYCCIZYDYQYFYSYCCBRUUIYEYRCYCCDLVHUTVIVJVQVKVLYBYAXPXQXRVMVRZY
      HXSYAVNUUJXQVRZXRVRZHZXPYAYHNXQXRVOXPUUMYAYHXPUUMYAHZBCDLMZTZFGZUUPBJZCDU
      UPLMZJZHZHYHXPUUNUUQUVABCDEVPZXPUUNUVAXPUUNHZUUTUURUVCYNUUQXNVSUUPYRJZDUU
      PTZKIZHUUTUVCYNUUQXNXOYNXNUUNYOVTXPUUNUUQUVBWTXNXOUUNWAWBUVCUVDUVFXPUVDUU
      NXPUUOUUPYRBUUOWCXNUUCYNUUOYRIXOUUDYOCDWDQWEWFXPUUMUVFYAXPUULUVFUUKXPUULU
      VFXPUULBDTZKIZUVFXOUULUVHVEZXNUUHXOUVIEBDWGWHSUVHUVEKJZXPUVFUVHUVEUVGJUVJ
      UVEDBTZUVGUURUVEUVKJBUUOWIZUUPBDWJWKDBWLWMUVGKUVEWNWOXPUVEOGZUVJUVFVEXNUU
      CYNUVMXOUUDYOUUEYNUUPOGZUVMUUCYNVNUUEUUHUUOOGUVNECDXABUUOWPWQDUUPWPWRQUVE
      XBVQWSXCWTVKXDXLDUUPCXEXFUVLXGUMXHYGUVAAUUPFYCUUPIZYDUURYFUUTYCUUPBRUVOYE
      UUSCYCUUPDLVHUTVIVJXIUFXJXMXK $.
  $}

  $( Two Hilbert lattice elements have the dual modular pair property if the
     first is an atom.  Theorem 7.6(c) of [MaedaMaeda] p. 31.  (Contributed by
     NM, 22-Jun-2004.)  (New usage is discouraged.) $)
  atdmd $p |- ( ( A e. HAtoms /\ B e. CH ) -> A MH* B ) $=
    ( cat wcel cch wa cin c0h wceq wbr chj co ccv wb ancoms 3expia sylan sylbid
    wi wn cdmd cvp atelch chjcom sylan2 breq2d bitrd wss atnssm0 con1bid ssdmd1
    cvdmd pm2.61d ) ACDZBEDZFZBAGHIZABUAJZUPUQBABKLZMJZURUOUNUQUTNUOUNFZUQBBAKL
    ZMJUTBAUBVAVBUSBMUNUOAEDZVBUSIAUCZBAUDUEUFUGOUNVCUOUTURSVDVCUOUTURABULPQRUP
    UQTABUHZURUPVEUQUOUNVETUQNBAUIOUJUNVCUOVEURSVDVCUOVEURABUKPQRUM $.

  ${
    $d x A $.  $d x B $.
    $( Two Hilbert lattice elements have the modular pair property if the first
       is an atom.  Theorem 7.6(b) of [MaedaMaeda] p. 31.  (Contributed by NM,
       22-Jun-2004.)  (New usage is discouraged.) $)
    atmd $p |- ( ( A e. HAtoms /\ B e. CH ) -> A MH B ) $=
      ( vx cat wcel cv cmd wbr cch wral atdmd ralrimiva wb atelch mddmd2 mpbird
      cdmd syl breq2 rspcv mpan9 ) ADEZACFZGHZCIJZBIEABGHZUBUEAUCQHZCIJZUBUGCIA
      UCKLUBAIEUEUHMANCAORPUDUFCBIUCBAGSTUA $.
  $}

  $( Two Hilbert lattice elements have the dual modular pair property if the
     second is an atom.  Part of Exercise 6 of [Kalmbach] p. 103.  (Contributed
     by NM, 22-Jun-2004.)  (New usage is discouraged.) $)
  atmd2 $p |- ( ( A e. CH /\ B e. HAtoms ) -> A MH B ) $=
    ( cch wcel cat cin c0h wceq cmd wbr chj ccv cvp atelch cvexch 3expia sylbid
    wa co wi sylbird sylan2 wn wss atnssm0 con1bid ssmd2 3com12 syl3an2 pm2.61d
    cvmd ) ACDZBEDZRZABFZGHZABIJZUNUPAABKSLJZUQABMUMULBCDZURUQTBNZULUSRURUOBLJZ
    UQABOULUSVAUQABUKPUAUBQUNUPUCBAUDZUQUNVBUPABUEUFULUMVBUQUMULUSVBUQUTUSULVBU
    QBAUGUHUIPQUJ $.

  ${
    atabs.1 $e |- A e. CH $.
    atabs.2 $e |- B e. CH $.
    $( Absorption of an incomparable atom.  Similar to Exercise 7.1 of
       [MaedaMaeda] p. 34.  (Contributed by NM, 15-Jul-2004.)
       (New usage is discouraged.) $)
    atabsi $p |- ( C e. HAtoms -> ( -. C C_ ( A vH B ) ->
                ( ( A vH C ) i^i B ) = ( A i^i B ) ) ) $=
      ( cat wcel chj co wss wn cin wceq wa inass incom cch wi c0h syl5eq ineq1i
      chjcomi chabs2i 3eqtri ineq2i eqtr2i chub1i cmd wbr atelch atmd mpan2 w3a
      chjcli mdi exp32 mp3an23 sylc mpi adantr atnssm0 mpan biimpa oveq2d chj0i
      wb eqtrdi eqtrd ineq1d ex ) CFGZCABHIZJKZACHIZBLZABLZMVKVMNZVOVNVLLZBLZVP
      VSVNVLBLZLVOVNVLBOVTBVNVTBAHIZBLBWALBVLWABABDEUBUAWABPBAEDUCUDUEUFVQVRABV
      QVRACVLLZHIZAVKVRWCMZVMVKAVLJZWDABDEUGVKCQGZCVLUHUIZWEWDRZCUJVKVLQGZWGABD
      EUNZCVLUKULWFWIAQGZWGWHRWJDWFWIWKUMWGWEWDCVLAUOUPUQURUSUTVQWCASHIAVQWBSAH
      VQWBVLCLZSCVLPVKVMWLSMZWIVKVMWMVFWJVLCVAVBVCTVDADVEVGVHVITVJ $.

    $( Absorption of an incomparable atom.  (Contributed by NM, 18-Jul-2004.)
       (New usage is discouraged.) $)
    atabs2i $p |- ( C e. HAtoms -> ( -. C C_ ( A vH B ) ->
                ( ( A vH C ) i^i ( A vH B ) ) = A ) ) $=
      ( cat wcel chj co wss wn wceq chjcli atabsi chjassi chjidmi oveq1i eqtr3i
      cin sseq2i notbii chabs2i eqeq2i 3imtr3g ) CFGCAABHIZHIZJZKACHIUESZAUESZL
      CUEJZKUHALAUECDABDEMNUGUJUFUECAAHIZBHIUFUEAABDDEOUKABHADPQRTUAUIAUHABDEUB
      UCUD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Modular symmetry
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d q r C $.  $d c p q r A $.  $d c p q r B $.
    mdsymlem1.1 $e |- A e. CH $.
    mdsymlem1.2 $e |- B e. CH $.
    mdsymlem1.3 $e |- C = ( A vH p ) $.
    $( Lemma for ~ mdsymi .  (Contributed by NM, 1-Jul-2004.)
       (New usage is discouraged.) $)
    mdsymlem1 $p |- ( ( ( p e. CH /\ ( B i^i C ) C_ A ) /\
            ( B MH* A /\ p C_ ( A vH B ) ) ) -> p C_ A ) $=
      ( cv cch wcel cin wss wa chj co mpan2 sseqtrrdi wceq mpan adantr cdmd wbr
      chub2 chjcomi sseq2i biimpi anim12i sylib ad2ant2rl chjcl eqeltrid anim2i
      ssin chub1 ancoms dmdi mp3anl1 mpanl1 syl2anc adantlr incom oveq1i chincl
      wb chlejb1 3syl biimpa syl5eq eqtr3d adantrr sseqtrd ) DHZIJZBCKZALZMZBAU
      AUBZVLABNOZLZMMVLCBANOZKZAVMVSVLWALZVOVQVMVSMVLCLZVLVTLZMWBVMWCVSWDVMVLAV
      LNOZCVMAIJZVLWELEVLAUCPGQVSWDVRVTVLABEFUDUEUFUGVLCVTUMUHUIVPVQWAARVSVPVQM
      CBKZANOZWAAVMVQWHWARZVOVMVQMCIJZVQACLZMZWIVMWJVQVMCWEIGWFVMWEIJEAVLUJSUKZ
      TVQVMWLVMWKVQVMAWECWFVMAWELEAVLUNSGQULUOWFWJWLWIEBIJZWFWJWLWIFBACUPUQURUS
      UTVPWHARVQVPWHVNANOZAWGVNANCBVAVBVMVOWOARZVMWJVNIJZVOWPVDZWMWNWJWQFBCVCSW
      QWFWREVNAVEPVFVGVHTVIVJVK $.

    $( Lemma for ~ mdsymi .  (Contributed by NM, 1-Jul-2004.)
       (New usage is discouraged.) $)
    mdsymlem2 $p |- ( ( ( p e. HAtoms /\ ( B i^i C ) C_ A ) /\
         ( B MH* A /\ p C_ ( A vH B ) ) ) -> ( B =/= 0H -> E. r e. HAtoms
         E. q e. HAtoms ( p C_ ( q vH r ) /\ ( q C_ A /\ r C_ B ) ) ) ) $=
      ( cv wss cat wrex wcel wa chj co cch atelch adantlr c0h wne cdmd hatomici
      cin wbr simplll chub1 syl2an mdsymlem1 sylanl1 adantr anim1i anass anasss
      jca sylib weq oveq1 sseq2d sseq1 anbi1d anbi12d rspcev syl2anc exp32 syl5
      reximdvai ) BUAUBDJZBKZDLMFJZLNZBCUEAKZOZBAUCUFVKABPQKOZOZVKEJZVIPQZKZVQA
      KZVJOZOZELMZDLMDBHUDVPVJWCDLVPVILNZVJWCVPWDVJOZOVLVKVKVIPQZKZVKAKZVJOZOZW
      CVLVMVOWEUGVPWDVJWJVPWDOZVJOWGWHOZVJOWJWKWLVJWKWGWHVNWDWGVOVLWDWGVMVLVKRN
      ZVIRNWGWDVKSZVISVKVIUHUITTVPWHWDVLWMVMVOWHWNABCFGHIUJUKULUPUMWGWHVJUNUQUO
      WBWJEVKLEFURZVSWGWAWIWOVRWFVKVQVKVIPUSUTWOVTWHVJVQVKAVAVBVCVDVEVFVHVG $.

    $( Lemma for ~ mdsymi .  (Contributed by NM, 2-Jul-2004.)
       (New usage is discouraged.) $)
    mdsymlem3 $p |- ( ( ( ( p e. HAtoms /\ -. ( B i^i C ) C_ A ) /\
             p C_ ( A vH B ) ) /\ A =/= 0H )
        -> E. r e. HAtoms E. q e. HAtoms ( p C_ ( q vH r )
             /\ ( q C_ A /\ r C_ B ) ) ) $=
      ( cv cat wcel wss wa chj co wrex wi adantlr cch cin c0h wne sseq2i biimpi
      wn ssin adantl sylbir atcvat4i exp4b com34 com23 imp4b sylan2 adantrr imp
      com12 wceq nssne2 adantrl wb atnemeq0 ancoms syl5ib adantll adantr atelch
      chjcom syl2an sseq2d atexch syl3an1 3com13 3expa expd sylbid exp31 anasss
      syld com24 impd simprl a1i simpl ad2antrl jctird jcad reximdvai mpd chjcl
      mpan eqeltrid chincl sylancr chrelat2 sylancl biimpa ad2antrr reximddv
      syl ) FJZKLZBCUAZAMUFZNZXBABOPMZNZAUBUCZNZDJZXDMZXKAMUFZNZXBEJZXKOPMZXOAM
      ZXKBMZNZNZEKQZDKXJXKKLZXNNZNZXQXKXBXOOPZMZNZEKQZYAXJYCYHXFXIYCYHRZXGXCXIY
      IXEYCXCXINZYHYBXLYJYHRZXMXLYBXKAXBOPZMZYKXLXRXKCMZNZYMXKBCUGZYNYMXRYNYMCY
      LXKIUDUEUHUIYBYMXCXIYHYBXCYMXIYHRYBXCXIYMYHYBXCXIYMYHEAXKXBGUJUKULUMUNUOU
      PURSSUQYDYGXTEKXHYCXOKLZYGXTRRZXIXFYCYRXGXCYCYRXEXCYCNZYQYGXTYSYQYGNZXPXS
      XCYBXNYTXPRXCYBNZXNYQYGXPUUAYGYQXNXPUUAXQYFYQXNXPRZRUUAYQYFXQUUBUUAYQYFXQ
      UUBRUUAYQNZYFNZXQXNXPUUDXQXNNZXOXKUAUBUSZXPUUCUUEUUFRZYFYBYQUUGXCUUEXOXKU
      CZYBYQNUUFXQXMUUHXLXOXKAUTVAYQYBUUHUUFVBXOXKVCVDVEVFVGUUCYFUUFXPRZUUCYFXK
      XOXBOPZMZUUIUUCYEUUJXKXCYQYEUUJUSZYBXCXBTLZXOTLZUULYQXBVHZXOVHZXBXOVIVJSV
      KUUCUUKUUFXPXCYBYQUUKUUFNXPRZYQYBXCUUQYQUUNYBXCUUQUUPXOXKXBVLVMVNVOVPVQUQ
      VTVPVRWAWBWAUNVSYSYTXQXRYTXQRYSYQXQYFWCWDYCXRXCXLXRYBXMXLYOXRYPXRYNWEUIWF
      UHWGWHVPSSSWIWJXFXNDKQZXGXIXCXEUURXCXDTLZATLZXEUURVBXCUUMUUSUUOUUMBTLCTLU
      USHUUMCYLTIUUTUUMYLTLGAXBWKWLWMBCWNWOXAGDXDAWPWQWRWSWT $.

    $( Lemma for ~ mdsymi .  This is the forward direction of Lemma 4(i) of
       [Maeda] p. 168.  (Contributed by NM, 2-Jul-2004.)
       (New usage is discouraged.) $)
    mdsymlem4 $p |- ( p e. HAtoms -> ( ( B MH* A /\
          ( ( A =/= 0H /\ B =/= 0H ) /\ p C_ ( A vH B ) ) ) -> E. q e. HAtoms
              E. r e. HAtoms ( p C_ ( q vH r ) /\ ( q C_ A /\ r C_ B ) ) ) ) $=
      ( cv cat c0h wne wa chj co wss wrex wi exp31 wcel wbr cin mdsymlem2 com4t
      cdmd ex com23 imp44 com3l wn mdsymlem3 anasss com3r ancoms adantlr adantl
      a1d pm2.61d rexcom syl6ib ) FJZKUAZBAUFUBZALMZBLMZNVBABOPQZNZNZVBEJZDJZOP
      QVJAQVKBQNNZEKRDKRZVLDKREKRVCBCUCAQZVIVMSVIVCVNVMVDVEVFVGVCVNVMSSZVDVFVGV
      OSSVEVDVGVFVOVDVGVFVOSVCVNVDVGNZVFVMVCVNVPVFVMSABCDEFGHIUDTUEUGUHURUIUJVI
      VCVNUKZVMVHVCVQVMSSZVDVEVGVRVFVGVEVRVCVQVGVENZVMVCVQVSVMVCVQNVGVEVMABCDEF
      GHIULUMTUNUOUPUQUJUSVLDEKKUTVA $.

    $( Lemma for ~ mdsymi .  (Contributed by NM, 2-Jul-2004.)
       (New usage is discouraged.) $)
    mdsymlem5 $p |- ( ( q e. HAtoms /\ r e. HAtoms ) -> ( -. q = p ->
                    ( ( p C_ ( q vH r ) /\ ( q C_ A /\ r C_ B ) ) ->
                    ( ( ( c e. CH /\ A C_ c ) /\ p e. HAtoms ) ->
                    ( p C_ c -> p C_ ( ( c i^i B ) vH A ) ) ) ) ) ) $=
      ( cv wcel wa cch wss chj co wi adantrl adantrr cat wceq wn cin w3a c0h wb
      df-ne atnemeq0 bitr3id anbi2d 3adant3 atelch atexch syl3an1 sylbid 3com23
      wne expd 3expa adantrd imp32 simplrl anim1i ancoms chub2 mpan sstr sylan2
      chub1 mpan2 anim12i anandirs adantll chjcl chlub syl3an3 adantr ad2ant2lr
      mpbid chlejb2 biimpa sseqtrd exp45 anasss syl2an adantlr syl7 imp44 sstrd
      simplrr ad2antlr adantl ssind chincl chlej1 syl3an2 3comr mp3anl2 sylanl2
      chlej2 adantllr sstr2 syl5com chjcom ad2antrr sylibrd syld ad2antrl exp32
      ex sseq1d sylan imp31 mpd exp4d com34 imp4c com24 ) EKZUALZDKZUALZMZGKZNL
      ZAYEOZMFKZUALZMYHXTYBPQZOZXTAOZYBBOZMZMZXTYHUBUCZYHYEOZYHYEBUDZAPQZOZRZYD
      YFYGYIYOYPUUARRZYDYFYIYGUUBYDYFYIYGUUBRYDYFYIMZMZYGYOYPUUAUUDYGYOYPMZMZYQ
      YTUUDUUFYQMZMZYBYROZYTUUHYBYEBUUHYBXTYHPQZYEUUDUUFYBUUJOZYQUUDUUEUUKYGUUD
      YOYPUUKUUDYKYPUUKRZYNYDYIYKUULRZYFYAYCYIUUMYAYIYCUUMYAYIYCUEZYKYPUUKUUNYK
      YPMZYKXTYHUDUFUBZMZUUKYAYIUUOUUQUGYCYAYIMZYPUUPYKYPXTYHURUURUUPXTYHUHXTYH
      UIUJUKULYAXTNLZYIYCUUQUUKRXTUMZXTYHYBUNUOUPUSUQUTSVAVBSTUUDYGUUEYQUUJYEOZ
      UUEYLUUDYGYQUVARZYKYLYMYPVCYAUUCYGYLUVBRRZYCYAUUSYHNLZYFMZUVCUUCUUTYIYFUV
      EYIUVDYFYHUMVDVEUUSUVDYFUVCUUSUVDMZYFMZYGYLYQUVAUVGYGYLYQMZMMUUJYEAPQZYEU
      VGUVHUUJUVIOZYGUVGUVHMXTUVIOZYHUVIOZMZUVJYFUVHUVMUVFUVHYFUVMYLYQYFUVMYLYF
      MUVKYQYFMUVLYFYLAUVIOZUVKANLZYFUVNHAYEVFVGXTAUVIVHVIYFYQYEUVIOZUVLYFUVOUV
      PHYEAVJVKYHYEUVIVHVIVLVMVEVNUVGUVMUVJUGZUVHUUSUVDYFUVQYFUUSUVDUVINLZUVQYF
      UVOUVRHYEAVOVKXTYHUVIVPVQUTVRVTSYFYGUVIYEUBZUVFUVHYFYGUVSUVOYFYGUVSUGHAYE
      WAVGWBVSWCWDWEWFWGWHWIWJUUGYMUUDUUEYMYGYQYKYLYMYPWKWLWMWNUUDUUFUUIYTRZYQU
      UDUUEUVTYGUUDYOUVTYPUUDYKYNUVTUUDYKMYLUVTYMUUDYKYLUVTYDYFYKYLUVTRRZYIYDUU
      SYBNLZMZYFUWAYAUUSYCUWBUUTYBUMVLUWCYFMZYKYLUVTUWDYKYLMMUUIYJYSOZYTUWDYLUU
      IUWERYKUWDYLMZUUIYBXTPQZYRXTPQZOZUWEUWDUUIUWIRZYLUUSUWBYFUWJUWBYFUUSUWJYF
      UWBYRNLZUUSUWJYFBNLUWKIYEBWOVKZUWBUWKUUSUEUUIUWIYBYRXTWPXKWQWRUTVRUWFUWIU
      WGYSOZUWEUWFUWHYSOZUWIUWMUUSYFYLUWNUWBYFUUSUWKYLUWNUWLUUSUVOUWKYLUWNHXTAY
      RXAWSWTXBUWGUWHYSXCXDUWFYJUWGYSUWCYJUWGUBYFYLXTYBXEXFXLXGXHSYKUWEYTRUWDYL
      YHYJYSXCXIXHXJXMTXNTWETSTXOXJXPXJXQXRXS $.

    $( Lemma for ~ mdsymi .  This is the converse direction of Lemma 4(i) of
       [Maeda] p. 168, and is based on the proof of Theorem 1(d) to (e) of
       [Maeda] p. 167.  (Contributed by NM, 2-Jul-2004.)
       (New usage is discouraged.) $)
    mdsymlem6 $p |- ( A. p e. HAtoms ( p C_ ( A vH B ) ->
      E. q e. HAtoms E. r e. HAtoms ( p C_ ( q vH r ) /\ ( q C_ A /\ r C_ B ) )
        )
                   -> B MH* A ) $=
      ( vc cv chj co wss wa cat wi wral cch wcel wrex cin chjcomi sseq2i anbi2i
      cdmd wbr ssin bitri mdsymlem5 sseq1 chincl mpan2 chub2 sylancr sstr2 syl5
      weq impd a1i com13 adantrr ad2ant2r adantll com12 expd pm2.61d2 rexlimivv
      syl6bi imim2d com34 imp4b syl5bir ex ralimdva wb sylancl chrelat3 syl2anc
      chjcli chjcl adantr sylibrd com3r ralrimiv dmdbr2 mp2an sylibr ) FKZABLMZ
      NZWIEKZDKZLMNZWLANZWMBNZOZOZDPUAEPUAZQZFPRZAJKZNZXBBALMZUBZXBBUBZALMZNZQZ
      JSRZBAUFUGZXAXIJSXBSTZXCXAXHXLXCXAXHQXLXCOZXAWIXENZWIXGNZQZFPRZXHXMWTXPFP
      XMWIPTZOZWTXPXNWIXBNZWKOZXSWTOXOYAXTWIXDNZOXNWKYBXTWJXDWIABGHUCUDUEWIXBXD
      UHUIXSWTXTWKXOXSWTWKXTXOXSWSXTXOQZWKWSXSYCWRXSYCQZEDPPWLPTWMPTOEFURZWRYDQ
      ABCDEFJGHIUJYEWRXSYCWRXSOYEYCWQXSYEYCQZWNWOXMYFWPXRWOXLYFXCXTYEWOXLOZXOYE
      YGXOQQXTYEWOXLXOYEWOWIANZXLXOQWLWIAUKXLAXGNZYHXOXLASTZXFSTZYIGXLBSTZYKHXB
      BULUMZAXFUNUOWIAXGUPUQVIUSUTVAVBVCVDVEVFVGVHVEVJVKVLVMVNVOXLXHXQVPZXCXLXE
      STZXGSTZYNXLXDSTYOBAHGVTXBXDULUMXLYKYJYPYMGXFAWAVQFXEXGVRVSWBWCVNWDWEYLYJ
      XKXJVPHGJBAWFWGWH $.

    $( Lemma for ~ mdsymi .  Lemma 4(i) of [Maeda] p. 168.  Note that Maeda's
       1965 definition of dual modular pair has reversed arguments compared to
       the later (1970) definition given in Remark 29.6 of [MaedaMaeda] p. 130,
       which is the one that we use.  (Contributed by NM, 3-Jul-2004.)
       (New usage is discouraged.) $)
    mdsymlem7 $p |- ( ( A =/= 0H /\ B =/= 0H ) ->
                    ( B MH* A <->
   A. p e. HAtoms ( p C_ ( A vH B ) -> E. q e. HAtoms E. r e. HAtoms
            ( p C_ ( q vH r ) /\ ( q C_ A /\ r C_ B ) ) ) ) ) $=
      ( c0h wne wa cdmd wbr cv chj co wss cat wrex wi wral wcel mdsymlem4 exp4d
      com13 ralrimdv mdsymlem6 impbid1 ) AJKBJKLZBAMNZFOZABPQRZULEOZDOZPQRUNARU
      OBRLLDSTESTZUAZFSUBUJUKUQFSULSUCZUKUJUQURUKUJUMUPABCDEFGHIUDUEUFUGABCDEFG
      HIUHUI $.

    $( Lemma for ~ mdsymi .  Lemma 4(ii) of [Maeda] p. 168.  (Contributed by
       NM, 3-Jul-2004.)  (New usage is discouraged.) $)
    mdsymlem8 $p |- ( ( A =/= 0H /\ B =/= 0H ) -> ( B MH* A <-> A MH* B ) ) $=
      ( vq vr c0h wne wa cv chj co wss cat wrex wb wcel wi wral cdmd wbr sseq2i
      chjcomi cch atelch chjcom syl2an sseq2d ancom a1i anbi12d 2rexbiia rexcom
      wceq bitri imbi12i ralbii mdsymlem7 eqid ancoms 3bitr4d ) AJKZBJKZLZDMZAB
      NOZPZVHHMZIMZNOZPZVKAPZVLBPZLZLZIQRHQRZUAZDQUBZVHBANOZPZVHVLVKNOZPZVPVOLZ
      LZHQRIQRZUAZDQUBZBAUCUDABUCUDZWAWJSVGVTWIDQVJWCVSWHVIWBVHABEFUFUEVSWGIQRH
      QRWHVRWGHIQQVKQTZVLQTZLZVNWEVQWFWNVMWDVHWLVKUGTVLUGTVMWDUQWMVKUHVLUHVKVLU
      IUJUKVQWFSWNVOVPULUMUNUOWGHIQQUPURUSUTUMABCIHDEFGVAVFVEWKWJSBABVHNOZHIDFE
      WOVBVAVCVD $.
  $}

  ${
    $d x A $.  $d x B $.
    mdsym.1 $e |- A e. CH $.
    mdsym.2 $e |- B e. CH $.
    $( M-symmetry of the Hilbert lattice.  Lemma 5 of [Maeda] p. 168.
       (Contributed by NM, 3-Jul-2004.)  (New usage is discouraged.) $)
    mdsymi $p |- ( A MH B <-> B MH A ) $=
      ( vx cmd wbr wb cort cfv c0h wne cdmd choccli cch wcel mddmd chba mp3an12
      wa cv chj co eqid mdsymlem8 mp2an 3bitr4g wceq chssii fveq2 pjococi choc0
      wss 3eqtr3g sseqtrrid ssmd1 ssmd2 jca pm5.1 3syl pm2.61iine ) ABFGZBAFGZH
      ZBIJZAIJZKKVEKLVFKLTVFVEMGZVEVFMGZVBVCVEVFVEEUAUBUCZEBDNACNVIUDUEAOPZBOPZ
      VBVGHCDABQUFVKVJVCVHHDCBAQUFUGVEKUHZABUMZVBVCTZVDVLRABACUIVLVEIJKIJZBRVEK
      IUJBDUKULUNUOVMVBVCVJVKVMVBCDABUPSVJVKVMVCCDABUQSURVBVCUSZUTVFKUHZBAUMZVN
      VDVQRBABDUIVQVFIJVOARVFKIUJACUKULUNUOVRVBVCVKVJVRVBDCBAUQSVKVJVRVCDCBAUPS
      URVPUTVA $.
  $}

  $( M-symmetry of the Hilbert lattice.  Lemma 5 of [Maeda] p. 168.
     (Contributed by NM, 6-Jul-2004.)  (New usage is discouraged.) $)
  mdsym $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH B <-> B MH A ) ) $=
    ( cch wcel cmd wbr chba cif wceq breq1 breq2 bibi12d ifchhv mdsymi dedth2h
    wb ) ACDZBCDZABEFZBAEFZPQAGHZBEFZBUAEFZPUARBGHZEFZUDUAEFZPABGGAUAISUBTUCAUA
    BEJAUABEKLBUDIUBUEUCUFBUDUAEKBUDUAEJLUAUDAMBMNO $.

  $( Dual M-symmetry of the Hilbert lattice.  (Contributed by NM, 25-Jul-2007.)
     (New usage is discouraged.) $)
  dmdsym $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH* B <-> B MH* A ) ) $=
    ( cch wcel wa cort cfv cmd cdmd wb choccl mdsym syl2an dmdmd ancoms 3bitr4d
    wbr ) ACDZBCDZEAFGZBFGZHQZUATHQZABIQBAIQZRTCDUACDUBUCJSAKBKTUALMABNSRUDUCJB
    ANOP $.

  $( Two Hilbert lattice elements have the dual modular pair property if the
     second is an atom.  (Contributed by NM, 6-Jul-2004.)
     (New usage is discouraged.) $)
  atdmd2 $p |- ( ( A e. CH /\ B e. HAtoms ) -> A MH* B ) $=
    ( cch wcel cat wa cdmd wbr atdmd ancoms wb atelch dmdsym sylan2 mpbird ) AC
    DZBEDZFABGHZBAGHZQPSBAIJQPBCDRSKBLABMNO $.

  ${
    $d x y z w A $.  $d x y z w B $.  $d y z w C $.
    sumdmdi.1 $e |- A e. CH $.
    sumdmdi.2 $e |- B e. CH $.
    $( If the subspace sum of two Hilbert lattice elements is closed, then the
       elements are a dual modular pair.  Remark in [MaedaMaeda] p. 139.
       (Contributed by NM, 12-Jul-2004.)  (New usage is discouraged.) $)
    sumdmdii $p |- ( ( A +H B ) = ( A vH B ) -> A MH* B ) $=
      ( vx vy vz vw co wceq cv wss cin wi cch wcel wa wrex csh wb cph wral cdmd
      chj wbr ineq2 adantr wel elin cva chseli cmv ssel2 chsh shsubcl 3exp syl7
      syl exp4a com23 imp41 adantlr chba chel cheli w3a hvsubadd ax-hvcom eqcom
      eqeq1d bitrdi 3adant1 bitrd 3com23 syl3an 3expa eleq1 syl6bir mpbid simpr
      imp jca exp31 reximdvai r19.42v syl6ib reximdva ancom bitri anass rexbii2
      anbi1i syl6ibr chshii shincl sylancl ad2antrr shsel sylibrd expimpd ssrdv
      syl5bi adantl eqsstrrd chincl mpan2 chslej ad2antrl sstrd ralrimiv dmdbr2
      exp32 mp2an sylibr ) ABUAIZABUDIZJZBEKZLZXRXPMZXRAMZBUDIZLZNZEOUBZABUCUEZ
      XQYDEOXQXROPZXSYCXQYGXSQZQZXTYABUAIZYBYIXTXRXOMZYJXQYKXTJYHXOXPXRUFUGYHYK
      YJLXQYHFYKYJFKZYKPFEUHZYLXOPZQYHYLYJPZYLXRXOUIYHYMYNYOYNYLGKZHKZUJIZJZHBR
      ZGARZYHYMQZYOGHABYLCDUKUUBUUAYTGYARZYOUUBUUAGEUHZYTQZGARUUCUUBYTUUEGAUUBY
      PAPZQZYTUUDYSQZHBRUUEUUGYSUUHHBUUGYQBPZYSUUHUUGUUIQZYSQZUUDYSUUKYLYQULIZX
      RPZUUDUUJUUMYSUUBUUIUUMUUFYGXSYMUUIUUMYGYMXSUUIUUMNYGYMXSUUIUUMXSUUIQHEUH
      ZYGYMUUMBXRYQUMYGXRSPZYMUUNUUMNNXRUNZUUOYMUUNUUMYLYQXRUOUPURUQUSUTVAVBUGU
      UJYSUUMUUDTZUUJYSUULYPJZUUQUUBUUFUUIUURYSTZUUBYLVCPZUUFYPVCPZUUIYQVCPZUUS
      YGYMUUTXSYLXRVDVBYPACVEYQBDVEUUTUVBUVAUUSUUTUVBUVAVFUURYQYPUJIZYLJZYSYLYQ
      YPVGUVBUVAUVDYSTUUTUVBUVAQZUVDYRYLJYSUVEUVCYRYLYQYPVHVJYRYLVIVKVLVMVNVOVP
      UULYPXRVQVRWAVSUUJYSVTWBWCWDUUDYSHBWEWFWGYTUUEGYAAYPYAPZYTQUUFUUDQZYTQUUF
      UUEQUVFUVGYTUVFUUDUUFQUVGYPXRAUIUUDUUFWHWIWLUUFUUDYTWJWIWKWMUUBYASPZBSPYO
      UUCTYGUVHXSYMYGUUOASPUVHUUPACWNXRAWOWPWQBDWNGHYABYLWRWPWSXBWTXBXAXCXDYGYJ
      YBLZXQXSYGYAOPZBOPZUVIYGAOPZUVJCXRAXEXFDYABXGWPXHXIXLXJUVLUVKYFYETCDEABXK
      XMXN $.

    $( Commuting subspaces form a modular pair.  (Contributed by NM,
       16-Jan-2005.)  (New usage is discouraged.) $)
    cmmdi $p |- ( A C_H B -> A MH B ) $=
      ( ccm wbr cort cfv cdmd cmd cph co chj cmcm4i choccli osumcor2i sylbi cch
      wceq wcel sumdmdii syl wb mddmd mp2an sylibr ) ABEFZAGHZBGHZIFZABJFZUGUHU
      IKLUHUIMLSZUJUGUHUIEFULABCDNUHUIACOZBDOZPQUHUIUMUNUAUBARTBRTUKUJUCCDABUDU
      EUF $.

    $( Commuting subspaces form a dual modular pair.  (Contributed by NM,
       25-Apr-2006.)  (New usage is discouraged.) $)
    cmdmdi $p |- ( A C_H B -> A MH* B ) $=
      ( cort cfv ccm wbr cmd cdmd choccli cmmdi cmcm4i wcel dmdmd mp2an 3imtr4i
      cch wb ) AEFZBEFZGHTUAIHZABGHABJHZTUAACKBDKLABCDMARNBRNUCUBSCDABOPQ $.

    $( Lemma for ~ sumdmdi .  The span of vector ` C ` not in the subspace sum
       is "trimmed off."  (Contributed by NM, 18-Dec-2004.)
       (New usage is discouraged.) $)
    sumdmdlem $p |- ( ( C e. ~H /\ -. C e. ( A +H B ) ) ->
                    ( ( B +H ( span ` { C } ) ) i^i A ) = ( B i^i A ) ) $=
      ( vz vw chba wcel co wa cv wi cva wceq csh wb c0v adantr exp32 vy cph csn
      cspn cfv cin elin wrex chshii spansnsh shsel sylancr cmv cheli elspansncl
      w3a hvsubadd eqcom bitrdi syl3an 3expa shsvsi eleq1 syl5ibcom com4r imp31
      wn sylbird adantrr shscli elspansn5 ax-mp mpdd oveq2 ax-hvaddid sylan9eqr
      adantl sylan eqeq2d adantll biimpac biimparc biimpri ancoms expr ad2antrl
      sylan2 mpd a1d com23 com4l imp4c exp4a expd rexlimdvv sylbid imp4b syl5bi
      ex ssrdv wss shsub1 ssrind eqssd ) CHIZCABUBJZIVGZKZBCUCUDUEZUBJZAUFZBAUF
      ZXHUAXKXLUALZXKIXMXJIZXMAIZKXHXMXLIZXMXJAUGXEXGXNXOXPXEXNXGXOXPMZXEXNXMFL
      ZGLZNJZOZGXIUHFBUHZXGXQMZXEBPIZXIPIZXNYBQBEUIZCUJZFGBXIXMUKULXEYAYCFGBXIX
      EXRBIZXSXIIZKZYAYCXOXEYJYAKZXGXPXOYKXEXGXPMXOYKXEXGXPXOYHYIYAXHXPMZYAXOYH
      YIYLYAXOYHYIYLMYAXOYHKZKZXHYIXPYNXHYIXPMYNXHKZYIXSROZXPYOYIXSXFIZYPYNXEYI
      YQMZXGYAYMXEYRYMXEYIYAYQYMXEYIYAYQMYMXEYIKZKYAXMXRUMJZXSOZYQXOYHYSUUAYAQZ
      XOXMHIZYHXRHIZYSXSHIZUUBXMADUNXRBEUNZCXSUOUUCUUDUUEUPUUAXTXMOYAXMXRXSUQXT
      XMURUSUTVAYMUUAYQMYSYMYTXFIUUAYQABXMXRADUIZYFVBYTXSXFVCVDSVHTVEVFVIXHYIYQ
      YPMMYNXHYIYQYPXFPIXHYIYQKKYPMABUUGYFVJXFCXSVKVLTVQVMYNYIYPXPMZMXHYNUUHYIY
      AYMYPXPYAYMYPKZKXMXROZXPUUIYAUUJYHYPYAUUJQXOYHYPKXTXRXMYHUUDYPXTXROUUFYPU
      UDXTXRRNJXRXSRXRNVNXRVOVPVRVSVTWAYMUUJXPMYAYPXOYHUUJXPYHUUJKXOXMBIZXPUUJU
      UKYHXMXRBVCWBUUKXOXPXPUUKXOKXMBAUGWCWDWGWEWFWHWEWISVMWSWJTWKWLWMWJWKWNWOW
      PWJWQWRWTXEXLXKXAXGXEBXJAXEYDYEBXJXAYFYGBXIXBULXCSXD $.

    $( Lemma for ~ sumdmdi .  (Contributed by NM, 23-Dec-2004.)
       (New usage is discouraged.) $)
    sumdmdlem2 $p |- ( A. x e. HAtoms ( ( x vH B ) i^i ( A vH B ) ) C_
                  ( ( ( x vH B ) i^i A ) vH B ) -> ( A +H B ) = ( A vH B ) ) $=
      ( chj co cin wss cat cph wa wceq wcel wi cspn c0v ineq1d oveq1d eqtrdi vy
      cv wral chba chjcli cheli wn csn cfv csh spansnsh chshii sylancl spansnid
      shsub2 sseldd ad2antrl wne df-ne spansna sylan2br oveq1 sseq12d rspcv syl
      elin cch spansnj spansnch chjcom sylan2 eqtrd mpan adantr sylibrd expdimp
      wb com12 ssid sneq fveq2d spansn0 oveq2d shs0i inss1 chub2i ssini chincli
      c0h eqssi chjcomi chabs1i eqtri mpbiri pm2.61d2 adantrr sumdmdlem shsub2i
      eqsstrdi adantl sstrd sseld syl5bir mpand exp32 com34 pm2.18 syl8 pm2.43d
      syl5 ssrdv chsleji jctil eqss sylibr ) AUBZCFGZBCFGZHZXQBHZCFGZIZAJUCZBCK
      GZXRIZXRYDIZLYDXRMYCYFYEYCUAXRYDYCUAUBZXRNZYGYDNZYHYGUDNZYCYHYIOZYGXRBCDE
      UEUFYCYJYHYIUGZYIOYIYCYJYLYHYIYCYJYLYKYCYJYLLZLZYGCYGUHZPUIZKGZNZYHYIYJYR
      YCYLYJYPYQYGYJYPUJNCUJNYPYQIYGUKCEULZYPCUOUMYGUNUPUQYRYHLYGYQXRHZNYNYIYGY
      QXRVFYNYTYDYGYNYTYQBHZCFGZYDYCYJYTUUBIZYLYCYJLYGQMZUUCYCYJUUDUGZUUCYJUUEL
      ZYCUUCUUFYCYPCFGZXRHZUUGBHZCFGZIZUUCUUFYPJNZYCUUKOUUEYJYGQURUULYGQUSYGUTV
      AYBUUKAYPJXPYPMZXSUUHYAUUJUUMXQUUGXRXPYPCFVBZRUUMXTUUICFUUMXQUUGBUUNRSVCV
      DVEYJUUCUUKVQUUEYJYTUUHUUBUUJYJYQUUGXRCVGNZYJYQUUGMEUUOYJLYQCYPFGZUUGCYGV
      HYJUUOYPVGNUUPUUGMYGVICYPVJVKVLVMZRYJUUAUUICFYJYQUUGBUUQRSVCVNVOVRVPUUDUU
      CCCICVSZUUDYTCUUBCUUDYTCXRHZCUUDYQCXRUUDYQCWIKGCUUDYPWICKUUDYPQUHZPUIWIUU
      DYOUUTPYGQVTWAWBTWCCYSWDTZRUUSCCXRWECCXRUURCBEDWFWGWJTUUDUUBCBHZCFGZCUUDU
      UAUVBCFUUDYQCBUVARSUVCCUVBFGCUVBCCBEDWHEWKCBEDWLWMZTVCWNWOWPYMUUBYDIYCYMU
      UBCYDYMUUBUVCCYMUUAUVBCFBCYGDEWQSUVDTCBYSBDULWRWSWTXAXBXCXDXEXFYIXGXHXJXI
      XKBCDEXLXMYDXRXNXO $.

    $( The subspace sum of two Hilbert lattice elements is closed iff the
       elements are a dual modular pair.  Theorem 2 of [Holland] p. 1519.
       (Contributed by NM, 14-Dec-2004.)  (New usage is discouraged.) $)
    sumdmdi $p |- ( ( A +H B ) = ( A vH B ) <-> A MH* B ) $=
      ( vx cph co chj wceq cdmd wbr sumdmdii cv cin wss cat wral cch wcel wb
      dmdbr4 mp2an atelch imim1i ralimi2 sylbi sumdmdlem2 syl impbii ) ABFGABHG
      ZIZABJKZABCDLULEMZBHGZUJNUNANBHGOZEPQZUKULUOERQZUPARSBRSULUQTCDEABUAUBUOU
      OERPUMPSUMRSUOUMUCUDUEUFEABCDUGUHUI $.

    $( Dual modular pair property in terms of atoms.  (Contributed by NM,
       15-Jan-2005.)  (New usage is discouraged.) $)
    dmdbr4ati $p |- ( A MH* B <-> A. x e. HAtoms
            ( ( x vH B ) i^i ( A vH B ) ) C_ ( ( ( x vH B ) i^i A ) vH B ) ) $=
      ( cdmd wbr cv chj co cin wss cat wral cch wcel wb dmdbr4 mp2an atelch cph
      imim1i ralimi2 sylbi wceq sumdmdlem2 sumdmdi sylib impbii ) BCFGZAHZCIJZB
      CIJZKULBKCIJLZAMNZUJUNAONZUOBOPCOPUJUPQDEABCRSUNUNAOMUKMPUKOPUNUKTUBUCUDU
      OBCUAJUMUEUJABCDEUFBCDEUGUHUI $.

    $( Dual modular pair property in terms of atoms.  (Contributed by NM,
       14-Jan-2005.)  (New usage is discouraged.) $)
    dmdbr5ati $p |- ( A MH* B <-> A. x e. HAtoms ( x C_ ( A vH B )
        -> x C_ ( ( ( x vH B ) i^i A ) vH B ) ) ) $=
      ( chj co wss cin wi cat wral wcel cch wceq wa sylancr adantr sylancl wb
      cdmd wbr cv dmdi4 mp3an12 atelch syl11 a1dd ralrimiv cph wn chjcom ineq1d
      chjcomi ineq2i eqtr4di sseq2i notbii atabs2i sylan2b eqtr3d chjcl eqsstrd
      imp chincl chub2 ex biantrud pm4.83 bitrdi ralbiia sumdmdlem2 sylbi sylib
      sumdmdi impbii chub2i biantru chjcli chlub mp3an23 syl5bb ssid ssin bitri
      biantrur biimpa inss1 jctil sylibr sseq1d mpan2 mp3an2 mpdan bitrd bitr4d
      eqss pm5.74da syl ) BCUAUBZAUCZBCFGZHZXACFGZXBIZXDBIZCFGZHZJZAKLZXCXAXGHZ
      JZAKLWTXJWTXIAKWTXAKMZXHXCXANMZWTXHXMBNMZCNMZXNWTXHJDEBCXAUDUEXAUFZUGUHUI
      XJBCUJGXBOZWTXJXHAKLXRXIXHAKXMXIXIXCUKZXHJZPXHXMXTXIXMXSXHXMXSPZXECXGYACX
      AFGZCBFGZIZXECXMYDXEOXSXMYDXDYCIXEXMYBXDYCXMXPXNYBXDOEXQCXAULQUMXBYCXDBCD
      EUNZUOUPRXSXMXAYCHZUKZYDCOZXCYFXBYCXAYEUQURXMYGYHCBXAEDUSVDUTVAXMCXGHZXSX
      MXPXFNMZYIEXMXDNMZXOYJXMXNXPYKXQEXACVBZSDXDBVEZSCXFVFZQRVCVGVHXCXHVIVJVKA
      BCDEVLVMBCDEVOVNVPXIXLAKXMXNXIXLTXQXNXCXHXKXNXCPZXHXDXGHZXKYOXEXDXGYOXEXD
      HZXDXEHZPXEXDOYOYRYQXNXCYRXNXCXDXBHZYRXCXCCXBHZPZXNYSYTXCCBEDVQVRXNXPXBNM
      UUAYSTEBCDEVSXACXBVTWAWBYSXDXDHZYSPYRUUBYSXDWCWFXDXDXBWDWEVJWGXDXBWHWIXEX
      DWQWJWKXNXKYPTXCXNXKXKYIPZYPXNYIXKXNXPYJYIEXNYKXOYJXNXPYKEYLWLDYMSZYNQVHX
      NXGNMZUUCYPTZXNYJXPUUEUUDEXFCVBSXNXPUUEUUFEXACXGVTWMWNWORWPWRWSVKWE $.

    $( Dual modular pair property in terms of atoms.  The modular law takes the
       form of the shearing identity.  (Contributed by NM, 18-Jan-2005.)
       (New usage is discouraged.) $)
    dmdbr6ati $p |- ( A MH* B <-> A. x e. HAtoms
            ( ( A vH B ) i^i x ) = ( ( ( ( x vH B ) i^i A ) vH B ) i^i x ) ) $=
      ( cdmd wbr chj co cv cin wceq cat wral cch wcel wb dmdbr3 incom wss mp2an
      wa chabs2 mpan2 ineq2d inass 3eqtri eqtr3di adantr adantl eqtr4d ralimiaa
      ineq1 sylbi atelch imim1i ralimi2 syl wi inss1 sseq1 mpbiri biimpi syl5eq
      df-ss sseq1d syl5ibcom ralimi dmdbr5ati sylibr impbii ) BCFGZBCHIZAJZKZVN
      CHIZBKCHIZVNKZLZAMNZVLVSAONZVTVLVQVPVMKZLZAONZWABOPCOPZVLWDQDEABCRUAWCVSA
      OVNOPZWCUBVOWBVNKZVRWFVOWGLWCWFVMVNVPKZKZVOWGWFWHVNVMWFWEWHVNLEVNCUCUDUEW
      IWHVMKVNWBKWGVMWHSVNVPVMUFVNWBSUGUHUIWCVRWGLWFVQWBVNUMUJUKULUNVSVSAOMVNMP
      WFVSVNUOUPUQURVTVNVMTZVNVQTZUSZAMNVLVSWLAMVSVOVQTZWJWKVSWMVRVQTVQVNUTVOVR
      VQVAVBWJVOVNVQWJVOVNVMKZVNVMVNSWJWNVNLVNVMVEVCVDVFVGVHABCDEVIVJVK $.

    $( Dual modular pair property in terms of atoms.  (Contributed by NM,
       18-Jan-2005.)  (New usage is discouraged.) $)
    dmdbr7ati $p |- ( A MH* B <-> A. x e. HAtoms ( ( A vH B ) i^i x )
        C_ ( ( ( x vH B ) i^i A ) vH B ) ) $=
      ( cdmd wbr chj co cv cin wss cat wral dmdbr6ati inss1 sseq1 mpbiri ralimi
      wceq sylbi wi sseqin2 biimpi sseq1d biimpcd dmdbr5ati sylibr impbii ) BCF
      GZBCHIZAJZKZULCHIBKCHIZLZAMNZUJUMUNULKZTZAMNUPABCDEOURUOAMURUOUQUNLUNULPU
      MUQUNQRSUAUPULUKLZULUNLZUBZAMNUJUOVAAMUSUOUTUSUMULUNUSUMULTULUKUCUDUEUFSA
      BCDEUGUHUI $.
  $}

  ${
    mdoc1.1 $e |- A e. CH $.
    $( Orthocomplements form a modular pair.  (Contributed by NM, 29-Apr-2006.)
       (New usage is discouraged.) $)
    mdoc1i $p |- A MH ( _|_ ` A ) $=
      ( cort cfv ccm wbr cmd cmidi cmcm2ii choccli cmmdi ax-mp ) AACDZEFAMGFAAB
      BABHIAMBABJKL $.

    $( Orthocomplements form a modular pair.  (Contributed by NM, 29-Apr-2006.)
       (New usage is discouraged.) $)
    mdoc2i $p |- ( _|_ ` A ) MH A $=
      ( cort cfv cmd choccli mdoc1i ococi breqtri ) ACDZJCDAEJABFGABHI $.

    $( Orthocomplements form a dual modular pair.  (Contributed by NM,
       29-Apr-2006.)  (New usage is discouraged.) $)
    dmdoc1i $p |- A MH* ( _|_ ` A ) $=
      ( cort cfv ccm wbr cdmd cmidi cmcm2ii choccli cmdmdi ax-mp ) AACDZEFAMGFA
      ABBABHIAMBABJKL $.

    $( Orthocomplements form a dual modular pair.  (Contributed by NM,
       29-Apr-2006.)  (New usage is discouraged.) $)
    dmdoc2i $p |- ( _|_ ` A ) MH* A $=
      ( cort cfv cdmd choccli dmdoc1i ococi breqtri ) ACDZJCDAEJABFGABHI $.
  $}

  ${
    mdcompl.1 $e |- A e. CH $.
    mdcompl.2 $e |- B e. CH $.
    $( A condition equivalent to the modular pair property.  Part of proof of
       Theorem 1.14 of [MaedaMaeda] p. 4.  (Contributed by NM, 29-Apr-2006.)
       (New usage is discouraged.) $)
    mdcompli $p |- ( A MH B <-> ( A i^i ( _|_ ` ( A i^i B ) ) ) MH
                  ( B i^i ( _|_ ` ( A i^i B ) ) ) ) $=
      ( cin cort cfv cmd wbr cdmd wss chj co chincli mdoc1i dmdoc2i ssid chjcli
      wb chba chssii chjoi sseqtrri choccli mdslmd1i mp4an ) ABEZUGFGZHIUHUGJIU
      GUGKABLMZUGUHLMZKABHIAUHEBUHEHISUGABCDNZOUGUKPUGQUITUJUIABCDRUAUGUKUBUCUG
      UHABUKUGUKUDCDUEUF $.

    $( A condition equivalent to the dual modular pair property.  (Contributed
       by NM, 29-Apr-2006.)  (New usage is discouraged.) $)
    dmdcompli $p |- ( A MH* B <-> ( A i^i ( _|_ ` ( A i^i B ) ) ) MH*
                  ( B i^i ( _|_ ` ( A i^i B ) ) ) ) $=
      ( cin cort cfv cmd wbr cdmd wss chj co chincli mdoc1i dmdoc2i ssid chjcli
      wb chba chssii chjoi sseqtrri choccli mdsldmd1i mp4an ) ABEZUGFGZHIUHUGJI
      UGUGKABLMZUGUHLMZKABJIAUHEBUHEJISUGABCDNZOUGUKPUGQUITUJUIABCDRUAUGUKUBUCU
      GUHABUKUGUKUDCDUEUF $.
  $}

  ${
    $d x y A $.  $d x y B $.
    mddmdin0.1 $e |- A e. CH $.
    mddmdin0.2 $e |- B e. CH $.
    mddmdin0.3 $e |- A. x e. CH A. y e. CH ( ( x MH* y /\ ( x i^i y ) = 0H ) ->
                     x MH y ) $.
    $( If dual modular implies modular whenever meet is zero, then dual modular
       implies modular for arbitrary lattice elements.  This theorem is needed
       for the remark after Lemma 7 of [Holland] p. 1524 to hold.  (Contributed
       by NM, 29-Apr-2006.)  (New usage is discouraged.) $)
    mddmdin0i $p |- ( A MH* B -> A MH B ) $=
      ( cin cdmd wbr cmd c0h wceq chincli cv wa wi cch wral wcel inindir eqtr3i
      cfv chocini choccli breq1 ineq1 eqeq1d anbi12d imbi12d breq2 ineq2 rspc2v
      cort mp2an ax-mp mpan2 dmdcompli mdcompli 3imtr4i ) CCDHZUNUCZHZDVBHZIJZV
      CVDKJZCDIJCDKJVEVCVDHZLMZVFVAVBHVGLCDVBUAVACDEFNZUDUBAOZBOZIJZVJVKHZLMZPZ
      VJVKKJZQZBRSARSZVEVHPZVFQZGVCRTVDRTVRVTQCVBEVAVIUEZNDVBFWANVQVTVCVKIJZVCV
      KHZLMZPZVCVKKJZQABVCVDRRVJVCMZVOWEVPWFWGVLWBVNWDVJVCVKIUFWGVMWCLVJVCVKUGU
      HUIVJVCVKKUFUJVKVDMZWEVSWFVFWHWBVEWDVHVKVDVCIUKWHWCVGLVKVDVCULUHUIVKVDVCK
      UKUJUMUOUPUQCDEFURCDEFUSUT $.
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.
    cdjreu.1 $e |- A e. SH $.
    cdjreu.2 $e |- B e. SH $.
    $( A member of the sum of disjoint subspaces has a unique decomposition.
       Part of Lemma 5 of [Holland] p. 1520.  (Contributed by NM, 20-May-2005.)
       (New usage is discouraged.) $)
    cdjreui $p |- ( ( C e. ( A +H B ) /\ ( A i^i B ) = 0H ) ->
                 E! x e. A E. y e. B C = ( x +h y ) ) $=
      ( vz vw co wcel c0h wceq wa cv cva wrex wi chba sheli cph cin wral shseli
      weq wreu biimpi reeanv eqtr2 cmv wb anim12i hvaddsub4 syl2an an4s adantll
      shsubcl mp3an1 ancoms eleq1 syl5ibrcom adantl adantr jctild eleq2 bitr3id
      csh elin ad2antrr sylibd elch0 hvsubeq0 syl5bb ad2antlr sylbid rexlimdvva
      syl5 syl5bir ralrimivva oveq1 eqeq2d rexbidv oveq2 cbvrexvw bitrdi sylibr
      c0v reu4 ) ECDUAJKZCDUBZLMZNEAOZBOZPJZMZBDQZACQZWPEHOZIOZPJZMZIDQZNZAHUEZ
      RZHCUCACUCZNWPACUFWIWQWKXFWIWQABCDEFGUDUGWKXEAHCCXCWOXANZIDQBDQWKWLCKZWRC
      KZNZNZXDWOXABIDDUHXKXGXDBIDDXGWNWTMZXKWMDKZWSDKZNZNZXDEWNWTUIXPXLWLWRUJJZ
      WSWMUJJZMZXDXJXOXLXSUKZWKXHXMXIXNXTXHXMNWLSKZWMSKZNWRSKZWSSKZNXTXIXNNXHYA
      XMYBWLCFTZWMDGTULXIYCXNYDWRCFTZWSDGTULWLWMWRWSUMUNUOUPXPXSXQLKZXDXPXSXQCK
      ZXQDKZNZYGXJXOXSYJRWKXJXONXSYIYHXOXSYIRXJXOYIXSXRDKZXNXMYKDVGKXNXMYKGWSWM
      DUQURUSXQXRDUTVAVBXJYHXOCVGKXHXIYHFWLWRCUQURVCVDUPWKYJYGUKXJXOYJXQWJKWKYG
      XQCDVHWJLXQVEVFVIVJXJYGXDUKZWKXOXHYAYCYLXIYEYFYGXQWGMYAYCNXDXQVKWLWRVLVMU
      NVNVJVOVQVPVRVSULWPXBAHCXDWPEWRWMPJZMZBDQXBXDWOYNBDXDWNYMEWLWRWMPVTWAWBYN
      XABIDBIUEYMWTEWMWSWRPWCWAWDWEWHWF $.
  $}

  ${
    $d x y z w A $.  $d x y z w v B $.
    cdj1.1 $e |- A e. SH $.
    cdj1.2 $e |- B e. SH $.
    $( Two ways to express " ` A ` and ` B ` are completely disjoint
       subspaces."  (1) => (2) in Lemma 5 of [Holland] p. 1520.  (Contributed
       by NM, 21-May-2005.)  (New usage is discouraged.) $)
    cdj1i $p |- ( E. w e. RR ( 0 < w /\ A. y e. A A. v e. B
      ( ( normh ` y ) + ( normh ` v ) ) <_ ( w x. ( normh ` ( y +h v ) ) ) ) ->
                    E. x e. RR ( 0 < x /\ A. y e. A A. z e. B
                    ( ( normh ` y ) = 1 -> x <_ ( normh ` ( y -h z ) ) ) ) ) $=
      ( cc0 wbr cno cfv co cle wa c1 wceq cr wcel cv clt caddc cva cmul wral wi
      cmv wrex cdiv wne gt0ne0 rereccl syldan adantrr recgt0 cneg csm 1red chba
      1re neg1cn sheli hvmulcl sylancr normcl syl adantl readdcl adantr hvsubcl
      cc syl2an remulcl sylan2 anassrs normge0 wb addge01 mpan syl2anc ad2antlr
      biimpa csh shmulcl mp3an12 fveq2 oveq2d oveq2 breq12d rspcv imp ad2ant2lr
      fveq2d oveq1 eqcoms ad2antll hvsubval adantll 3brtr4d ex adantllr simplll
      letrd simpllr lediv1 mp3an1 syl12anc sylibd recnd recn ad3antrrr ad2antrr
      divcan3d breqtrd exp43 com23 ralrimdv ralimdva jca32 breq2 breq1 2ralbidv
      impr imbi2d anbi12d rspcev syl6 rexlimiv ) JDUAZUBKZBUAZLMZEUAZLMZUCNZYJY
      LYNUDNZLMZUENZOKZEGUFZBFUFZPZJAUAZUBKZYMQRZUUDYLCUAZUHNZLMZOKZUGZCGUFBFUF
      ZPZASUIZDSYJSTZUUCQYJUJNZSTZJUUPUBKZUUFUUPUUIOKZUGZCGUFZBFUFZPZPZUUNUUOUU
      CUVDUUOUUCPUUQUURUVBUUOYKUUQUUBUUOYKYJJUKZUUQYJULZYJUMUNUOUUOYKUURUUBYJUP
      UOUUOYKUUBUVBUUOYKPZUUAUVABFUVGYLFTZPZUUAUUTCGUVIUUGGTZUUAUUTUVIUVJUUAUUF
      UUSUVIUVJPZUUAUUFPZPUUPYJUUIUENZYJUJNZUUIOUVKUVLUUPUVNOKZUVKUVLQUVMOKZUVO
      UUOUVHUVJUVLUVPUGYKUUOUVHPZUVJPZUVLUVPUVRUVLPZQQQUQZUUGURNZLMZUCNZUVMUVSU
      SUVRUWCSTZUVLUVRQSTZUWBSTZUWDVAUVJUWFUVQUVJUWAUTTZUWFUVJUVTVLTZUUGUTTZUWG
      VBUUGGIVCZUVTUUGVDVEZUWAVFVGZVHQUWBVIVEVJUVRUVMSTZUVLUUOUVHUVJUWMUVHUVJPZ
      UUOUUISTZUWMUWNUUHUTTZUWOUVHYLUTTZUWIUWPUVJYLFHVCZUWJYLUUGVKVMZUUHVFZVGZY
      JUUIVNZVOVPVJUVJQUWCOKZUVQUVLUVJUWFJUWBOKZUXCUWLUVJUWGUXDUWKUWAVQVGUWFUXD
      UXCUWEUWFUXDUXCVRVAQUWBVSVTWCWAWBUVSYMUWBUCNZYJYLUWAUDNZLMZUENZUWCUVMOUVJ
      UUAUXEUXHOKZUVQUUFUVJUUAUXIUVJUWAGTZUUAUXIUGGWDTUWHUVJUXJIVBUVTUUGGWEWFYT
      UXIEUWAGYNUWARZYPUXEYSUXHOUXKYOUWBYMUCYNUWALWGWHUXKYRUXGYJUEUXKYQUXFLYNUW
      AYLUDWIWNWHWJWKVGWLWMUUFUWCUXERZUVRUUAUXLQYMQYMUWBUCWOWPWQUVRUVMUXHRZUVLU
      VHUVJUXMUUOUWNUUIUXGYJUEUWNUUHUXFLUVHUWQUWIUUHUXFRUVJUWRUWJYLUUGWRVMWNWHW
      SVJWTXDXAXBUVKUWMUUOYKUVPUVOVRZUVKUUOUWOUWMUUOYKUVHUVJXCZUVKUWPUWOUVHUVJU
      WPUVGUWSWSUWTVGUXBWAUXOUUOYKUVHUVJXEUWEUWMUVGUXNVAQUVMYJXFXGXHXIWLUVKUVNU
      UIRUVLUVKUUIYJUVHUVJUUIVLTUVGUWNUUIUXAXJWSUUOYJVLTYKUVHUVJYJXKXLUVGUVEUVH
      UVJUVFXMXNVJXOXPXQXRXSYDXTXAUUMUVCAUUPSUUDUUPRZUUEUURUULUVBUUDUUPJUBYAUXP
      UUKUUTBCFGUXPUUJUUSUUFUUDUUPUUIOYBYEYCYFYGYHYI $.

    $( A property of " ` A ` and ` B ` are completely disjoint subspaces."
       Part of Lemma 5 of [Holland] p. 1520.  (Contributed by NM, 23-May-2005.)
       (New usage is discouraged.) $)
    cdj3lem1 $p |- ( E. x e. RR ( 0 < x /\ A. y e. A A. z e. B
      ( ( normh ` y ) + ( normh ` z ) ) <_ ( x x. ( normh ` ( y +h z ) ) ) ) ->
                    ( A i^i B ) = 0H ) $=
      ( cc0 wbr cno cfv caddc co cva cmul cle wa wceq cr wcel vw cv clt cin c0h
      wral wss c0v c1 cneg csm wi elin csh cc neg1cn shmulcl anim2i sylbi fveq2
      mp3an12 oveq1d fvoveq1 oveq2d breq12d oveq2 fveq2d rspc2v syl adantl chba
      wb shincli sheli normneg normcl recnd 2timesd eqtr4d hvnegid norm0 eqtrdi
      c2 mul01d sylan9eqr 2t0e0 eqtr4di 0re letri3 sylancl normge0 biantrud 2re
      recn 2pos pm3.2i lemul2 mp3an23 3bitr2rd norm-i bitrd sylan2 sylibd elch0
      impancom syl6ibr ssrdv ex shle0 ax-mp syl6ib adantld rexlimiv ) HAUBZUCIZ
      BUBZJKZCUBZJKZLMZXNXPXRNMJKZOMZPIZCEUFBDUFZQDEUDZUERZASXNSTZYDYFXOYGYDYEU
      EUGZYFYGYDYHYGYDQZUAYEUEYIUAUBZYETZYJUHRZYJUETYGYKYDYLYGYKQYDYJJKZUIUJZYJ
      UKMZJKZLMZXNYJYONMZJKZOMZPIZYLYKYDUUAULZYGYKYJDTZYOETZQZUUBYKUUCYJETZQUUE
      YJDEUMUUFUUDUUCEUNTYNUOTUUFUUDGUPYNYJEUQVAURUSYCUUAYMXSLMZXNYJXRNMZJKZOMZ
      PIBCYJYODEXPYJRZXTUUGYBUUJPUUKXQYMXSLXPYJJUTVBUUKYAUUIXNOXPYJXRJNVCVDVEXR
      YORZUUGYQUUJYTPUULXSYPYMLXRYOJUTVDUULUUIYSXNOUULUUHYRJXRYOYJNVFVGVDVEVHVI
      VJYKYGYJVKTZUUAYLVLYJYEDEFGVMZVNYGUUMQZUUAWCYMOMZWCHOMZPIZYLUUOYQUUPYTUUQ
      PUUMYQUUPRYGUUMYQYMYMLMUUPUUMYPYMYMLYJVOVDUUMYMUUMYMYJVPZVQVRVSVJUUOYTHUU
      QUUMYGYTXNHOMHUUMYSHXNOUUMYSUHJKHUUMYRUHJYJVTVGWAWBVDYGXNXNWNWDWEWFWGVEUU
      MUURYLVLYGUUMUURYMHRZYLUUMUUTYMHPIZHYMPIZQZUVAUURUUMYMSTZHSTZUUTUVCVLUUSW
      HYMHWIWJUUMUVBUVAYJWKWLUUMUVDUVAUURVLZUUSUVDUVEWCSTZHWCUCIZQUVFWHUVGUVHWM
      WOWPYMHWCWQWRVIWSYJWTXAVJXAXBXCXEYJXDXFXGXHYEUNTYHYFVLUUNYEXIXJXKXLXM $.
  $}

  ${
    $d x y z w v u t h A $.  $d x y z w v u t h B $.  $d x y z w v u C $.
    $d x y z w D $.
    cdj3lem2.1 $e |- A e. SH $.
    cdj3lem2.2 $e |- B e. SH $.
    ${
      $d v u t h S $.
      cdj3lem2.3 $e |- S = ( x e. ( A +H B ) |->
        ( iota_ z e. A E. w e. B x = ( z +h w ) ) ) $.
      $( Lemma for ~ cdj3i .  Value of the first-component function ` S ` .
         (Contributed by NM, 23-May-2005.)  (New usage is discouraged.) $)
      cdj3lem2 $p |- ( ( C e. A /\ D e. B /\ ( A i^i B ) = 0H ) ->
                    ( S ` ( C +h D ) ) = C ) $=
        ( wcel cin wceq cva co cv wrex crio rexbidv c0h w3a cfv wa shsvai eqeq1
        cph riotabidv riotaex fvmpt syl eqid oveq2 rspceeqv mpan2 3ad2ant2 wreu
        3adant3 wb simp1 cdjreui stoic3 oveq1 eqeq2d riota2 syl2anc mpbid eqtrd
        ) FDLZGELZDEMUANZUBZFGOPZHUCZVMBQZCQZOPZNZCERZBDSZFVIVJVNVTNZVKVIVJUDVM
        DEUGPZLZWADEFGIJUEZAVMAQZVQNZCERZBDSVTWBHWEVMNZWGVSBDWHWFVRCEWEVMVQUFTU
        HKVSBDUIUJUKURVLVMFVPOPZNZCERZVTFNZVJVIWKVKVJVMVMNWKVMULCGEWIVMVMVPGFOU
        MUNUOUPVLVIVSBDUQZWKWLUSVIVJVKUTVIVJWCVKWMWDBCDEVMIJVAVBVSWKBDFVOFNZVRW
        JCEWNVQWIVMVOFVPOVCVDTVEVFVGVH $.

      $( Lemma for ~ cdj3i .  Closure of the first-component function ` S ` .
         (Contributed by NM, 25-May-2005.)  (New usage is discouraged.) $)
      cdj3lem2a $p |- ( ( C e. ( A +H B ) /\ ( A i^i B ) = 0H ) ->
                    ( S ` C ) e. A ) $=
        ( vv vu cin wceq co wcel cfv cv wrex wa c0h cph cva shseli w3a cdj3lem2
        simp1 eqeltrd 3expa fveq2 eleq1d syl5ibr com13 rexlimdvv syl5bi impcom
        expd ) DEMUANZFDEUBOPZFGQZDPZUSFKRZLRZUCOZNZLESKDSURVAKLDEFHIUDURVEVAKL
        DEVEVBDPZVCEPZTZURVAVEVHURVAVHURTVAVEVDGQZDPZVFVGURVJVFVGURUEVIVBDABCDE
        VBVCGHIJUFVFVGURUGUHUIVEUTVIDFVDGUJUKULUQUMUNUOUP $.

      $( Lemma for ~ cdj3i .  The first-component function ` S ` is bounded if
         the subspaces are completely disjoint.  (Contributed by NM,
         26-May-2005.)  (New usage is discouraged.) $)
      cdj3lem2b $p |- ( E. v e. RR ( 0 < v /\ A. x e. A A. y e. B
      ( ( normh ` x ) + ( normh ` y ) ) <_ ( v x. ( normh ` ( x +h y ) ) ) ) ->
                    E. v e. RR ( 0 < v /\ A. u e. ( A +H B )
                      ( normh ` ( S ` u ) ) <_ ( v x. ( normh ` u ) ) ) ) $=
        ( wbr cno cfv co cle wa cr wcel vt vh cin c0h wceq cc0 cv clt caddc cva
        cmul wral wrex cph cdj3lem1 shseli biimpi oveq1d fvoveq1 oveq2d breq12d
        wi fveq2 oveq2 fveq2d rspc2v cdj3lem2 3expa ad2ant2r chba sheli normge0
        syl adantl normcl addge01 syl2an mpbid ad2antrr readdcl hvaddcl remulcl
        wb adantr sylan2 ancoms letr syl3anc mpand an32s adantrl eqbrtrd 2fveq3
        imp syl5ibrcom exp31 syld com14 com4t rexlimdvv syl5com ralrimdv anim2d
        com3l reximdva mpcom ) GHUCUDUEZUFEUGZUHMZAUGZNOZBUGZNOZUIPZXHXJXLUJPNO
        ZUKPZQMZBHULAGULZRZESUMXIFUGZIONOZXHXTNOZUKPZQMZFGHUNPZULZRZESUMEABGHJK
        UOXGXSYGESXGXHSTZRZXRYFXIYIXRYDFYEXTYETZYIXRYDYJXTUAUGZUBUGZUJPZUEZUBHU
        MUAGUMZYIXRYDVBZYJYOUAUBGHXTJKUPUQYIYNYPUAUBGHYNXRYIYKGTZYLHTZRZYDYSXRY
        IYNYDYSXRYKNOZYLNOZUIPZXHYMNOZUKPZQMZYIYNYDVBZVBXQUUEYTXMUIPZXHYKXLUJPZ
        NOZUKPZQMABYKYLGHXJYKUEZXNUUGXPUUJQUUKXKYTXMUIXJYKNVCURUUKXOUUIXHUKXJYK
        XLNUJUSUTVAXLYLUEZUUGUUBUUJUUDQUULXMUUAYTUIXLYLNVCUTUULUUIUUCXHUKUULUUH
        YMNXLYLYKUJVDVEUTVAVFYSUUEYIUUFYSUUERZYIRZYDYNYMIOZNOZUUDQMUUNUUPYTUUDQ
        YSXGUUPYTUEUUEYHYSXGRUUOYKNYQYRXGUUOYKUEACDGHYKYLIJKLVGVHVEVIUUMYHYTUUD
        QMZXGYSYHUUEUUQYSYHRZUUEUUQUURYTUUBQMZUUEUUQYSUUSYHYSUFUUAQMZUUSYRUUTYQ
        YRYLVJTZUUTYLHKVKZYLVLVMVNYQYTSTZUUASTZUUTUUSWCYRYQYKVJTZUVCYKGJVKZYKVO
        VMZYRUVAUVDUVBYLVOVMZYTUUAVPVQVRWDUURUVCUUBSTZUUDSTZUUSUUERUUQVBYQUVCYR
        YHUVGVSYSUVIYHYQUVCUVDUVIYRUVGUVHYTUUAVTVQWDYHYSUVJYSYHUUCSTZUVJYSYMVJT
        ZUVKYQUVEUVAUVLYRUVFUVBYKYLWAVQYMVOVMXHUUCWBWEWFYTUUBUUDWGWHWIWNWJWKWLY
        NYAUUPYCUUDQXTYMNIWMYNYBUUCXHUKXTYMNVCUTVAWOWPWQWRWSWTXAXDXBXCXEXF $.
    $}

    ${
      $d v u t h T $.
      cdj3lem3.3 $e |- T = ( x e. ( A +H B ) |->
        ( iota_ w e. B E. z e. A x = ( z +h w ) ) ) $.
      $( Lemma for ~ cdj3i .  Value of the second-component function ` T ` .
         (Contributed by NM, 23-May-2005.)  (New usage is discouraged.) $)
      cdj3lem3 $p |- ( ( C e. A /\ D e. B /\ ( A i^i B ) = 0H ) ->
                    ( T ` ( C +h D ) ) = D ) $=
        ( wcel cin c0h wceq cva co chba sheli cv cfv incom eqeq1i w3a wa syl2an
        ax-hvcom fveq2d 3adant3 cph wrex crio shscomi eqeq2d rexbidva riotabiia
        cmpt mpteq12i eqtr4i cdj3lem2 eqtr3d syl3an3b 3com12 ) GELZFDLZDEMZNOZF
        GPQZHUAZGOZVGVDVEEDMZNOZVJVFVKNDEUBUCVDVEVLUDGFPQZHUAZVIGVDVEVNVIOVLVDV
        EUEVMVHHVDGRLFRLVMVHOVEGEJSFDISGFUGUFUHUIACBEDGFHJIHADEUJQZATZBTZCTZPQZ
        OZBDUKZCEULZUQAEDUJQZVPVRVQPQZOZBDUKZCEULZUQKAWCWGVOWBEDJIUMWFWACEVRELZ
        WEVTBDWHVQDLZUEWDVSVPWHVRRLVQRLWDVSOWIVREJSVQDISVRVQUGUFUNUOUPURUSUTVAV
        BVC $.

      $( Lemma for ~ cdj3i .  Closure of the second-component function ` T ` .
         (Contributed by NM, 26-May-2005.)  (New usage is discouraged.) $)
      cdj3lem3a $p |- ( ( C e. ( A +H B ) /\ ( A i^i B ) = 0H ) ->
                    ( T ` C ) e. B ) $=
        ( vv vu cin wceq co wcel cfv cv wrex wa c0h cph cva shseli w3a cdj3lem3
        simp2 eqeltrd 3expa fveq2 eleq1d syl5ibr com13 rexlimdvv syl5bi impcom
        expd ) DEMUANZFDEUBOPZFGQZEPZUSFKRZLRZUCOZNZLESKDSURVAKLDEFHIUDURVEVAKL
        DEVEVBDPZVCEPZTZURVAVEVHURVAVHURTVAVEVDGQZEPZVFVGURVJVFVGURUEVIVCEABCDE
        VBVCGHIJUFVFVGURUGUHUIVEUTVIEFVDGUJUKULUQUMUNUOUP $.

      $( Lemma for ~ cdj3i .  The second-component function ` T ` is bounded if
         the subspaces are completely disjoint.  (Contributed by NM,
         31-May-2005.)  (New usage is discouraged.) $)
      cdj3lem3b $p |- ( E. v e. RR ( 0 < v /\ A. x e. A A. y e. B
      ( ( normh ` x ) + ( normh ` y ) ) <_ ( v x. ( normh ` ( x +h y ) ) ) ) ->
                    E. v e. RR ( 0 < v /\ A. u e. ( A +H B )
                      ( normh ` ( T ` u ) ) <_ ( v x. ( normh ` u ) ) ) ) $=
        ( cno cfv co cva cmul cle wral wcel vt vh cc0 cv clt wbr caddc wrex cph
        wa cr wceq crio cmpt shscomi chba sheli ax-hvcom syl2an eqeq2d rexbidva
        riotabiia mpteq12i eqtr4i cdj3lem2b fveq2 oveq1d fvoveq1 oveq2d breq12d
        oveq2 fveq2d cbvral2vw ralcom cc normcl syl recnd addcom ralbiia bitr2i
        ralbidva 3bitri anbi2i rexbii raleqi 3imtr4i ) UCEUDZUEUFZAUDZMNZBUDZMN
        ZUGOZWHWJWLPOZMNZQOZRUFZBGSZAHSZUJZEUKUHWIFUDZINMNWHXBMNQORUFZFHGUIOZSZ
        UJZEUKUHWIWRBHSAGSZUJZEUKUHWIXCFGHUIOZSZUJZEUKUHABDCEFHGIKJIAXIWJCUDZDU
        DZPOZULZCGUHZDHUMZUNAXDWJXMXLPOZULZCGUHZDHUMZUNLAXDYAXIXQHGKJUOXTXPDHXM
        HTZXSXOCGYBXLGTZUJXRXNWJYBXMUPTXLUPTXRXNULYCXMHKUQXLGJUQXMXLURUSUTVAVBV
        CVDVEXHXAEUKXGWTWIXGUAUDZMNZUBUDZMNZUGOZWHYDYFPOZMNZQOZRUFZUBHSUAGSYLUA
        GSUBHSZWTWRYLYEWMUGOZWHYDWLPOZMNZQOZRUFABUAUBGHWJYDULZWNYNWQYQRYRWKYEWM
        UGWJYDMVFVGYRWPYPWHQWJYDWLMPVHVIVJWLYFULZYNYHYQYKRYSWMYGYEUGWLYFMVFVIYS
        YPYJWHQYSYOYIMWLYFYDPVKVLVIVJVMYLUAUBGHVNWTWMWKUGOZWHWLWJPOZMNZQOZRUFZB
        GSZAHSYMWSUUEAHWJHTZWRUUDBGUUFWLGTZUJZWNYTWQUUCRUUFWKVOTWMVOTWNYTULUUGU
        UFWKUUFWJUPTZWKUKTWJHKUQZWJVPVQVRUUGWMUUGWLUPTZWMUKTWLGJUQZWLVPVQVRWKWM
        VSUSUUHWPUUBWHQUUHWOUUAMUUFUUIUUKWOUUAULUUGUUJUULWJWLURUSVLVIVJWBVTUUDY
        LWMYGUGOZWHWLYFPOZMNZQOZRUFABUBUAHGWJYFULZYTUUMUUCUUPRUUQWKYGWMUGWJYFMV
        FVIUUQUUBUUOWHQUUQUUAUUNMWJYFWLPVKVLVIVJWLYDULZUUMYHUUPYKRUURWMYEYGUGWL
        YDMVFVGUURUUOYJWHQWLYDYFMPVHVIVJVMWAWCWDWEXKXFEUKXJXEWIXCFXIXDGHJKUOWFW
        DWEWG $.
    $}
  $}

  ${
    $d x y z w v u t h f g A $.  $d x y z w v u t h f g B $.
    $d v u t h f g S $.  $d v u t h f g T $.
    cdj3.1 $e |- A e. SH $.
    cdj3.2 $e |- B e. SH $.
    cdj3.3 $e |- S = ( x e. ( A +H B ) |->
                       ( iota_ z e. A E. w e. B x = ( z +h w ) ) ) $.
    cdj3.4 $e |- T = ( x e. ( A +H B ) |->
                       ( iota_ w e. B E. z e. A x = ( z +h w ) ) ) $.
    cdj3.5 $e |- ( ph <-> E. v e. RR ( 0 < v /\ A. u e. ( A +H B )
                      ( normh ` ( S ` u ) ) <_ ( v x. ( normh ` u ) ) ) ) $.
    cdj3.6 $e |- ( ps <-> E. v e. RR ( 0 < v /\ A. u e. ( A +H B )
                      ( normh ` ( T ` u ) ) <_ ( v x. ( normh ` u ) ) ) ) $.
    $( Two ways to express " ` A ` and ` B ` are completely disjoint
       subspaces."  (1) <=> (3) in Lemma 5 of [Holland] p. 1520.  (Contributed
       by NM, 1-Jun-2005.)  (New usage is discouraged.) $)
    cdj3i $p |- ( E. v e. RR ( 0 < v /\ A. x e. A A. y e. B
      ( ( normh ` x ) + ( normh ` y ) ) <_ ( v x. ( normh ` ( x +h y ) ) ) )
         <-> ( ( A i^i B ) = 0H /\ ph /\ ps ) ) $=
      ( cle cr vf vg vt vh cc0 cv clt wbr cno cfv caddc co cva cmul wral wa cin
      wrex c0h wceq w3a cdj3lem1 cph cdj3lem2b sylibr cdj3lem3b weq breq2 oveq1
      3jca breq2d ralbidv anbi12d cbvrexvw bitri anbi12i reeanv bitr4i wcel an4
      wi addgt0 ex adantl shsvai 2fveq3 fveq2 oveq2d breq12d rspcv anim12d chba
      sheli normcl anim12i hvaddcl syl2an remulcl sylan2 adantlr adantll le2add
      syl syl12anc wb cdj3lem2 fveq2d breq1d cdj3lem3 3expa ancoms recnd adddir
      recn syl3an 3imtr4d syld ralrimdvva readdcl oveq1d fvoveq1 oveq2 2ralbidv
      cc cbvral2vw syl5bb rspcev syl2and syl5bi rexlimdvva 3impib impbii ) UEGU
      FZUGUHZCUFZUIUJZDUFZUIUJZUKULZYMYOYQUMULUIUJZUNULZSUHZDJUOCIUOZUPZGTURZIJ
      UQUSUTZABVAUUEUUFABGCDIJMNVBUUEYNHUFZKUJUIUJZYMUUGUIUJZUNULZSUHZHIJVCULZU
      OZUPZGTURZACDEFGHIJKMNOVDQVEUUEYNUUGLUJUIUJZUUJSUHZHUULUOZUPZGTURZBCDEFGH
      IJLMNPVFRVEVJUUFABUUEABUPZUEUAUFZUGUHZUUHUVBUUIUNULZSUHZHUULUOZUPZUEUBUFZ
      UGUHZUUPUVHUUIUNULZSUHZHUULUOZUPZUPZUBTURUATURZUUFUUEUVAUVGUATURZUVMUBTUR
      ZUPUVOAUVPBUVQAUUOUVPQUUNUVGGUATGUAVGZYNUVCUUMUVFYMUVBUEUGVHUVRUUKUVEHUUL
      UVRUUJUVDUUHSYMUVBUUIUNVIVKVLVMVNVOBUUTUVQRUUSUVMGUBTGUBVGZYNUVIUURUVLYMU
      VHUEUGVHUVSUUQUVKHUULUVSUUJUVJUUPSYMUVHUUIUNVIVKVLVMVNVOVPUVGUVMUAUBTTVQV
      RUUFUVNUUEUAUBTTUVNUVCUVIUPZUVFUVLUPZUPUUFUVBTVSZUVHTVSZUPZUPZUUEUVCUVFUV
      IUVLVTUWEUVTUEUVBUVHUKULZUGUHZUWAUCUFZUIUJZUDUFZUIUJZUKULZUWFUWHUWJUMULZU
      IUJZUNULZSUHZUDJUOUCIUOZUUEUWDUVTUWGWAUUFUWDUVTUWGUVBUVHWBWCWDUWEUWAUWPUC
      UDIJUWEUWHIVSZUWJJVSZUPZUPZUWAUWMKUJZUIUJZUVBUWNUNULZSUHZUWMLUJZUIUJZUVHU
      WNUNULZSUHZUPZUWPUWTUWAUXJWAZUWEUWTUWMUULVSZUXKIJUWHUWJMNWEUXLUVFUXEUVLUX
      IUVEUXEHUWMUULUUGUWMUTZUUHUXCUVDUXDSUUGUWMUIKWFUXMUUIUWNUVBUNUUGUWMUIWGZW
      HWIWJUVKUXIHUWMUULUXMUUPUXGUVJUXHSUUGUWMUILWFUXMUUIUWNUVHUNUXNWHWIWJWKXCW
      DUXAUWIUXDSUHZUWKUXHSUHZUPZUWLUXDUXHUKULZSUHZUXJUWPUWDUWTUXQUXSWAZUUFUWDU
      WTUPZUWITVSZUWKTVSZUPZUXDTVSZUXHTVSZUXTUWTUYDUWDUWRUYBUWSUYCUWRUWHWLVSZUY
      BUWHIMWMZUWHWNXCUWSUWJWLVSZUYCUWJJNWMZUWJWNXCWOWDUWBUWTUYEUWCUWTUWBUWNTVS
      ZUYEUWTUWMWLVSZUYKUWRUYGUYIUYLUWSUYHUYJUWHUWJWPWQUWMWNXCZUVBUWNWRWSWTUWCU
      WTUYFUWBUWTUWCUYKUYFUYMUVHUWNWRWSXAUWIUWKUXDUXHXBXDXAUUFUWTUXJUXQXEZUWDUW
      TUUFUYNUWRUWSUUFUYNUWRUWSUUFVAZUXEUXOUXIUXPUYOUXCUWIUXDSUYOUXBUWHUICEFIJU
      WHUWJKMNOXFXGXHUYOUXGUWKUXHSUYOUXFUWJUICEFIJUWHUWJLMNPXIXGXHVMXJXKWTUWDUW
      TUWPUXSXEUUFUYAUWOUXRUWLSUWBUWCUWTUWOUXRUTZUWBUVBYDVSUWCUVHYDVSUWTUWNYDVS
      UYPUVBXNUVHXNUWTUWNUYMXLUVBUVHUWNXMXOXJVKXAXPXQXRUWDUWGUWQUPZUUEWAZUUFUWD
      UWFTVSZUYRUVBUVHXSUYSUYQUUEUUDUYQGUWFTYMUWFUTZYNUWGUUCUWQYMUWFUEUGVHUUCUW
      LYMUWNUNULZSUHZUDJUOUCIUOUYTUWQUUBVUBUWIYRUKULZYMUWHYQUMULZUIUJZUNULZSUHC
      DUCUDIJCUCVGZYSVUCUUAVUFSVUGYPUWIYRUKYOUWHUIWGXTVUGYTVUEYMUNYOUWHYQUIUMYA
      WHWIDUDVGZVUCUWLVUFVUASVUHYRUWKUWIUKYQUWJUIWGWHVUHVUEUWNYMUNVUHVUDUWMUIYQ
      UWJUWHUMYBXGWHWIYEUYTVUBUWPUCUDIJUYTVUAUWOUWLSYMUWFUWNUNVIVKYCYFVMYGWCXCW
      DYHYIYJYIYKYL $.
  $}
$( End $[ set-hilsp.mm $] $)


$( Begin $[ set-mbox.mm $] $)
$(
###############################################################################
  SUPPLEMENTARY MATERIAL (USERS' MATHBOXES)
###############################################################################
$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathboxes for user contributions
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Mathbox guidelines
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    mathbox.1 $e |- ph $.
    $( (_This theorem is a dummy placeholder for these guidelines.  The label
       of this theorem, "mathbox", is hard-coded into the Metamath program to
       identify the start of the mathbox section for web page generation_.)

       A "mathbox" is a user-contributed section that is maintained by its
       contributor independently from the main part of set.mm.

       _For contributors_:

       By making a contribution, you agree to release it into the public
       domain, according to the statement at the beginning of set.mm.

       Mathboxes are provided to help keep your work synchronized with changes
       in set.mm while allowing you to work independently without affecting
       other contributors.  Even though in a sense your mathbox belongs to you,
       it is still part of the shared body of knowledge contained in set.mm,
       and occasionally other people may make maintenance edits to your mathbox
       for things like keeping it synchronized with the rest of set.mm,
       reducing proof lengths, moving your theorems to the main part of set.mm
       when needed, and fixing typos or other errors.  If you want to preserve
       it the way you left it, you can keep a local copy or keep track of the
       GitHub commit number.

       _Guidelines_:

       1.  See ~ conventions for our general style guidelines.  For
       contributing via GitHub, see
       ~ https://github.com/metamath/set.mm/blob/develop/CONTRIBUTING.md .  The
       Metamath program command "verify markup *" will check that you have
       followed many of of the conventions we use.

       2.  If at all possible, please use only nullary class constants for new
       definitions, for example as in ~ df-div .

       3.  Each $p and $a statement must be immediately preceded with the
       comment that will be shown on its web page description.  The Metamath
       program "MM> WRITE SOURCE set.mm / REWRAP" command will take care of
       indentation conventions and line wrapping.

       4.  All mathbox content will be on public display and should hopefully
       reflect the overall quality of the website.

       5.  Mathboxes must be independent from one another (checked by "verify
       markup *").  If you need a theorem from another mathbox, typically it is
       moved to the main part of set.mm.  New users should consult with more
       experienced users before doing this.

       6.  If a contributor is no longer active, we will continue the usual
       maintenance edits.  As time goes on, often theorems will be moved to
       main or removed in favor of similar replacements.  But we are also
       willing to maintain mathboxes in place, as work by others from years ago
       may form the foundation of future work; you could even argue that all of
       mathematics is like that.

       7.  For theorems of importance (for example, a Metamath 100 theorem or a
       dependency of one), we prefer to eventually move them out of mathboxes
       (although a mathbox is perfectly appropriate as proofs are being
       developed and refined).  (Contributed by NM, 20-Feb-2007.)  (Revised by
       the Metamath team, 9-Sep-2023.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    mathbox $p |- ph $=
      (  ) B $.
  $}


$( Begin $[ set-mbox-sa.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Stefan Allan
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  ${
    sa-abvi.1 $e |- ph $.
    $( A theorem about the universal class.  Inference associated with ~ bj-abv
       (which is proved from fewer axioms).  (Contributed by Stefan Allan,
       9-Dec-2008.) $)
    sa-abvi $p |- _V = { x | ph } $=
      ( cvv weq cab df-v equid 2th abbii eqtri ) DBBEZBFABFBGLABLABHCIJK $.
  $}

  $( A partial converse to ~ 19.9t .  (Contributed by Stefan Allan,
     21-Dec-2008.)  (Revised by Mario Carneiro, 11-Dec-2016.) $)
  xfree $p |- ( A. x ( ph -> A. x ph ) <-> A. x ( E. x ph -> ph ) ) $=
    ( wal wi wnf wex nf5 nf6 bitr3i ) AABCDBCABEABFADBCABGABHI $.

  $( A partial converse to ~ 19.9t .  (Contributed by Stefan Allan,
     21-Dec-2008.) $)
  xfree2 $p |- ( A. x ( ph -> A. x ph ) <-> A. x ( -. ph -> A. x -. ph ) ) $=
    ( wal wi wex wn xfree eximal albii bitri ) AABCDBCABEADZBCAFZLBCDZBCABGKMBA
    ABHIJ $.

  $( A proof readability experiment for ~ addltmul .  (Contributed by Stefan
     Allan, 30-Oct-2010.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  addltmulALT $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 2 < A /\ 2 < B ) )
              -> ( A + B ) < ( A x. B ) ) $=
    ( cr wcel wa c2 clt wbr c1 cmin co caddc cmul a1i syl3anc ax-1cn syl adantr
    wb wceq simpr 2re simpl 1re ltsub1 df-2 eqcomi subaddrii breq1i bitrd mpbid
    2cn anim12i an4s wi peano2rem anim1i mulgt1 ex cc recn mulsub breq2d biimpd
    jca mulid2i eqcom biimpi mp1i oveq2d mulid1 oveq12d readdcl remulcl syl2anc
    adantl ltaddsub2 ltadd1 bicomd sylbird 3syld mpd ) ACDZBCDZEZFAGHZFBGHZEZEZ
    IAIJKZGHZIBIJKZGHZEZABLKZABMKZGHZWCWFWDWGWNWCWFEZWKWDWGEZWMWRWFWKWCWFUAWRWF
    FIJKZWJGHZWKWRFCDZWCICDZWFXASXBWRUBNWCWFUCXCWRUDNFAIUEOXAWKSWRWTIWJGFIIULPP
    FIILKUFUGUHZUINUJUKWSWGWMWDWGUAWSWGWTWLGHZWMWSXBWDXCWGXESXBWSUBNWDWGUCXCWSU
    DNFBIUEOXEWMSWSWTIWLGXDUINUJUKUMUNWIWNIWJWLMKZGHZIWPIIMKZLKZAIMKZBIMKZLKZJK
    ZGHZWQWEWNXGUOWHWEWNXGWEWNEWJCDZWLCDZEZWNEXGWEXQWNWCXOWDXPAUPBUPUMUQWJWLURQ
    USRWEXGXNUOWHWEXGXNWEXFXMIGWEAUTDZIUTDZEZBUTDZXSEZEXFXMTWCXTWDYBWCXRXSAVAZX
    SWCPNVEWDYAXSBVAZXSWDPNVEUMAIBIVBQVCVDRWEXNWQUOWHWEXNIWPILKZWOJKZGHZWQWEYFX
    MIGWEYEXIWOXLJWEIXHWPLXHITZIXHTZWEIPVFYHYIXHIVGVHVIVJWEAXJBXKLWCAXJTZWDWCXR
    YJYCXRXJATZYJAVKYKYJXJAVGVHQQRWDBXKTZWCWDXKBTZYLWDYAYMYDBVKQYMYLXKBVGVHQVPV
    LVLVCWEYGWOILKYEGHZWQWEWOCDZXCYECDZYNYGSABVMZXCWEUDNZWEWPCDZXCYPABVNZYRWPIV
    MVOWOIYEVQOWEYNWQWEWQYNWEYOYSXCWQYNSYQYTYRWOWPIVROVSVDVTVTRWAWB $.

$( (End of Stefan Allan's mathbox.) $)
$( End $[ set-mbox-sa.mm $] $)


$( Begin $[ set-mbox-ta.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Thierry Arnoux
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $( Declare additional constants to be used as STS context-specific.
     These constants are used only in the STS MathML typesetting file,
     set-mathml.mmts, to describe alternate ways for expressions to be
     displayed. $)

  $( Constant used for displaying numbers only. MathML <mn> $)
  $c class-n $.

  $( Constant used for displaying formulas "on their own rows", where no
     brackets are necessary, like for example under/over a fraction bar, or
     below a square root radical. $)
  $c class-o $.

  $( Warn the parser about which particular formula prefixes are ambiguous.
     The set.mm grammar itself is not ambiguous, but some strings of symbols
     might be prefixes for entirely different expressions. For example,
     ` ( x e. A ` is a prefix for both the maps-to ` ( x e. A |-> B ) = C `
     and the expression ( x e. A /\ x e. B ) ` .
     Mario mentioned the name "garden path sentences" for those.

     LALR parsers would normally detect them as shift-reduce or
     reduce-reduce conflicts, but the current implementation of metamath-knife
     cannot, and therefore requires those hints. $)
  $( $j garden_path ( A   =>   ( ph ;
        type_conversions;
        garden_path ( x e. A   =>   ( ph ;
        garden_path { <.   =>   { A ;
        garden_path { <. <.   =>   { A ;
  $)


$( Begin $[ set-mbox-ta-basics.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Propositional Calculus - misc additions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    bian1d.1 $e |- ( ph -> ( ps <-> ( ch /\ th ) ) ) $.
    $( Adding a superfluous conjunct in a biconditional.  (Contributed by
       Thierry Arnoux, 26-Feb-2017.) $)
    bian1d $p |- ( ph -> ( ( ch /\ ps ) <-> ( ch /\ th ) ) ) $=
      ( wa biimpd adantld wi simpl a1i biimprd jcad impbid ) ACBFCDFZABOCABOEGH
      AOCBOCIACDJKABOELMN $.
  $}

  $( Distributive law for disjunction.  (Contributed by Thierry Arnoux,
     3-Jul-2017.) $)
  or3di $p |- ( ( ph \/ ( ps /\ ch /\ ta ) ) <->
                          ( ( ph \/ ps ) /\ ( ph \/ ch ) /\ ( ph \/ ta ) ) ) $=
    ( w3a wo wa df-3an orbi2i ordi anbi1i 3bitri bitr4i ) ABCDEZFZABFZACFZGZADF
    ZGZPQSEOABCGZDGZFAUAFZSGTNUBABCDHIAUADJUCRSABCJKLPQSHM $.

  $( Distributive law for disjunction.  (Contributed by Thierry Arnoux,
     3-Jul-2017.) $)
  or3dir $p |- ( ( ( ph /\ ps /\ ch ) \/ ta ) <->
              ( ( ph \/ ta ) /\ ( ps \/ ta ) /\ ( ch \/ ta ) ) ) $=
    ( w3a wo or3di orcom 3anbi123i 3bitr3i ) DABCEZFDAFZDBFZDCFZEKDFADFZBDFZCDF
    ZEDABCGDKHLOMPNQDAHDBHDCHIJ $.

  ${
    3o1cs.1 $e |- ( ( ph \/ ps \/ ch ) -> th ) $.
    $( Deduction eliminating disjunct.  (Contributed by Thierry Arnoux,
       19-Dec-2016.) $)
    3o1cs $p |- ( ph -> th ) $=
      ( wo w3o df-3or sylbir orcs ) ABDABFZCDKCFABCGDABCHEIJJ $.

    $( Deduction eliminating disjunct.  (Contributed by Thierry Arnoux,
       19-Dec-2016.) $)
    3o2cs $p |- ( ps -> th ) $=
      ( wo w3o df-3or sylbir orcs olcs ) ABDABFZCDLCFABCGDABCHEIJK $.

    $( Deduction eliminating disjunct.  (Contributed by Thierry Arnoux,
       19-Dec-2016.) $)
    3o3cs $p |- ( ch -> th ) $=
      ( wo w3o df-3or sylbir olcs ) ABFZCDKCFABCGDABCHEIJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Predicate Calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Predicate Calculus - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A x y $.  $d B x y $.
    sbc2iedf.1 $e |- F/ x ph $.
    sbc2iedf.2 $e |- F/ y ph $.
    sbc2iedf.3 $e |- F/ x ch $.
    sbc2iedf.4 $e |- F/ y ch $.
    sbc2iedf.5 $e |- ( ph -> A e. V ) $.
    sbc2iedf.6 $e |- ( ph -> B e. W ) $.
    sbc2iedf.7 $e |- ( ( ph /\ ( x = A /\ y = B ) ) -> ( ps <-> ch ) ) $.
    $( Conversion of implicit substitution to explicit class substitution.
       (Contributed by Thierry Arnoux, 4-Jul-2023.) $)
    sbc2iedf $p |- ( ph -> ( [. A / x ]. [. B / y ]. ps <-> ch ) ) $=
      ( cv wceq wnf a1i wsbc wa wcel adantr wb anassrs nfv nfan sbciedf ) ABEGU
      ACDFHNADQFRZUBZBCEGIAGIUCUJOUDAUJEQGRBCUEPUFAUJEKUJEUGUHCESUKMTUIJCDSALTU
      I $.

    $d V x $.  $d W x y $.
    rspc2daf.8 $e |- ( ph -> A. x e. V A. y e. W ps ) $.
    $( Double restricted specialization, using implicit substitution.
       (Contributed by Thierry Arnoux, 4-Jul-2023.) $)
    rspc2daf $p |- ( ph -> ch ) $=
      ( wsbc wral nfsbc1v nfcv nfralw cv wceq wa nfv nfan sbceq1a adantl ralbid
      wb rspcdf mpd sbc2iedf sbccom bitr3di mpbird ) ACBDFRZEGRZAUREISZUSABEISZ
      DHSUTQAVAUTDFHJURDEIDIUABDFTUBNADUCFUDZUEBUREIAVBEKVBEUFUGVBBURUKABDFUHUI
      UJULUMAURUSEGIKUREGTOEUCGUDURUSUKAUREGUHUIULUMABEGRDFRCUSABCDEFGHIJKLMNOP
      UNBDEFGUOUPUQ $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Obsolete version of ~ nelb as of 23-Jan-2024.  (Contributed by Thierry
       Arnoux, 20-Nov-2023.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    nelbOLDOLD $p |- ( -. A e. B <-> A. x e. B x =/= A ) $=
      ( cv wceq wn wral wcel wi wal wne df-ral df-ne ralbii wa wex dfclel alnex
      notbii imnan ancom bitr2i albii 3bitr2i 3bitr4ri ) ADZBEZFZACGUFCHZUHIZAJ
      ZUFBKZACGBCHZFZUHACLULUHACUFBMNUNUGUIOZAPZFUOFZAJUKUMUPABCQSUOARUQUJAUJUI
      UGOZFUQUIUGTURUOUIUGUASUBUCUDUE $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Restricted quantification - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y $.
    ralcom4f.1 $e |- F/_ y A $.
    $( Commutation of restricted and unrestricted universal quantifiers.
       (Contributed by NM, 26-Mar-2004.)  (Proof shortened by Andrew Salmon,
       8-Jun-2011.)  (Revised by Thierry Arnoux, 8-Mar-2017.) $)
    ralcom4f $p |- ( A. x e. A A. y ph <-> A. y A. x e. A ph ) $=
      ( cvv wral wal nfcv ralcomf ralv ralbii 3bitr3i ) ACFGZBDGABDGZCFGACHZBDG
      OCHABCDFEBFIJNPBDACKLOCKM $.

    $( Commutation of restricted and unrestricted existential quantifiers.
       (Contributed by NM, 12-Apr-2004.)  (Proof shortened by Andrew Salmon,
       8-Jun-2011.)  (Revised by Thierry Arnoux, 8-Mar-2017.) $)
    rexcom4f $p |- ( E. x e. A E. y ph <-> E. y E. x e. A ph ) $=
      ( cvv wrex wex nfcv rexcomf rexv rexbii 3bitr3i ) ACFGZBDGABDGZCFGACHZBDG
      OCHABCDFEBFIJNPBDACKLOCKM $.
  $}

  ${
    19.9d2rf.0 $e |- F/ y ph $.
    19.9d2rf.1 $e |- ( ph -> F/ x ps ) $.
    19.9d2rf.2 $e |- ( ph -> F/ y ps ) $.
    19.9d2rf.3 $e |- ( ph -> E. x e. A E. y e. B ps ) $.
    $( A deduction version of one direction of ~ 19.9 with two variables.
       (Contributed by Thierry Arnoux, 20-Mar-2017.) $)
    19.9d2rf $p |- ( ph -> ps ) $=
      ( wex wrex rexex eximi 3syl nfexd 19.9d mpd ) ABDKZBASCKZSABDFLZCELUACKTJ
      UACEMUASCBDFMNOSACABCDGHPQRBADIQR $.
  $}

  ${
    $d y ph $.
    19.9d2r.1 $e |- ( ph -> F/ x ps ) $.
    19.9d2r.2 $e |- ( ph -> F/ y ps ) $.
    19.9d2r.3 $e |- ( ph -> E. x e. A E. y e. B ps ) $.
    $( A deduction version of one direction of ~ 19.9 with two variables.
       (Contributed by Thierry Arnoux, 30-Jan-2017.) $)
    19.9d2r $p |- ( ph -> ps ) $=
      ( nfv 19.9d2rf ) ABCDEFADJGHIK $.
  $}

  ${
    $d A y $.  $d ph x y $.  $d ch x y $.
    r19.29ffa.3 $e |- ( ( ( ( ph /\ x e. A ) /\ y e. B ) /\ ps ) -> ch ) $.
    $( A commonly used pattern based on ~ r19.29 , version with two restricted
       quantifiers.  (Contributed by Thierry Arnoux, 26-Nov-2017.) $)
    r19.29ffa $p |- ( ( ph /\ E. x e. A E. y e. B ps ) -> ch ) $=
      ( wrex wa wi wral cv wcel ex ralrimiva adantr simpr r19.29d2r rexlimivw
      pm3.35 ancoms syl ) ABEGIDFIZJZBCKZBJZEGIZDFICUEUFBDEFGAUFEGLZDFLUDAUIDFA
      DMFNJZUFEGUJEMGNJBCHOPPQAUDRSUHCDFUGCEGBUFCBCUAUBTTUC $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Equality
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( A transposition of equality.  (Contributed by Thierry Arnoux,
     20-Aug-2023.) $)
  eqtrb $p |- ( ( A = B /\ A = C ) <-> ( A = B /\ B = C ) ) $=
    ( wceq wa simpl eqtr2 jca eqtr impbii ) ABDZACDZEZKBCDZEZMKNKLFABCGHOKLKNFA
    BCIHJ $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Double restricted existential uniqueness quantification
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d a b p $.  $d a b ph $.  $d b x $.
    opsbc2ie.a $e |- ( p = <. a , b >. -> ( ph <-> ch ) ) $.
    $( Conversion of implicit substitution to explicit class substitution for
       ordered pairs.  (Contributed by Thierry Arnoux, 4-Jul-2023.) $)
    opsbc2ie $p |- ( p = <. x , y >. -> ( ph <-> [. y / b ]. [. x / a ]. ch ) )
       $=
      ( cv cop wceq wsbc wb wi cvv wcel sbcth sbcim1 csb bitrd csbopg csbconstg
      syl sbceq2g csbvarg opeq12d eqtrd eqeq2d sbcbig sbcg bibi1d 3imtr3d elv )
      EIZCIZDIZJZKZABFUOLZGUPLZMZNDUPOPZUNUOGIZJZKZGUPLZAUSMZGUPLZURVAVBVEVGNZG
      UPLVFVHNVIGUPOVICUOOPZUNFIZVCJZKZFUOLZABMZFUOLZVEVGVJVMVONZFUOLVNVPNVQFUO
      OHQVMVOFUORUCVJVNUNFUOVLSZKVEFUOUNVLOUDVJVRVDUNVJVRFUOVKSZFUOVCSZJVDFUOVK
      VCOUAVJVSUOVTVCFUOOUEFUOVCOUBUFUGUHTVJVPAFUOLZUSMVGABFUOOUIVJWAAUSAFUOOUJ
      UKTULUMQVEVGGUPRUCVBVFUNGUPVDSZKURGUPUNVDOUDVBWBUQUNVBWBGUPUOSZGUPVCSZJUQ
      GUPUOVCOUAVBWCUOWDUPGUPUOOUBGUPOUEUFUGUHTVBVHAGUPLZUTMVAAUSGUPOUIVBWEAUTA
      GUPOUJUKTULUM $.

    $d A a b p x y $.  $d B a b p x y $.  $d a b ch p x y $.  $d ph x y $.
    $( Correspondence between uniqueness of ordered pairs and double restricted
       existential uniqueness quantification.  Alternate proof of one direction
       only, use ~ opreu2reurex instead.  (Contributed by Thierry Arnoux,
       4-Jul-2023.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    opreu2reuALT $p |- ( ( E! a e. A E. b e. B ch /\ E! b e. B E. a e. A ch )
       -> E! p e. ( A X. B ) ph ) $=
      ( vx vy wrex wa wceq wcel nfre1 nfv nfan nfra1 nfcv simpr wreu cv wi wral
      cxp 2reu4 cop wsbc w3a simpllr simplr opelxpi syl2anc nfsbc1v nfsbc nfrex
      nfral rspa ad5ant23 imp syl21anc simprd simpld sbceq1a adantllr r19.29af2
      biimpa simplll c1st cfv c2nd 1st2nd2 ad2antlr xp1st xp2nd eqcom eqopi syl
      wb bicomd ancoms ex syl2anbr impcom ad4ant24 simpl eqeq1d anbi12d imbi12d
      adantl rspc2daf com12 anabsi7 opeq12d eqtrd ralrimiva 3jca opsbc2ie eqreu
      r19.29ffa sylbi ) BGDKZFCUABFCKGDUALXBFCKZBFUBZIUBZMZGUBZJUBZMZLZUCZGDUDZ
      FCUDZJDKICKLAECDUEZUAZBFGIJCDUFXCXMXOIJCDXCXECNZLZXHDNZLZXMLZXEXHUGZXNNZB
      FXEUHZGXHUHZAEUBZYAMZUCZEXNUDZUIXOXTYBYDYHXTXPXRYBXCXPXRXMUJXQXRXMUKXEXHC
      DULUMXTXBYDFCXSXMFXQXRFXCXPFXBFCOXPFPQXRFPQXLFCRQYCFGXHFXHSBFXEUNUOXTXDCN
      ZLZXBLBYDGDYJXBGXTYIGXSXMGXQXRGXCXPGXBGFCGCSBGDOUPXPGPQXRGPQXLGFCGCSXKGDR
      UQQYIGPQBGDOQYCGXHUNYJXGDNZBYDXBYJYKLZBLZXIYCYDYMXFXIYMXLYKBXJXMYIXLXSYKB
      XLFCURUSYJYKBUKYLBTXLYKLZBXJXKGDURUTVAVBYMXFBYCYMXFXIYMXLYKBXJXMYIXLXSYKB
      XLFCURUSYJYKBUKYLBTYNBXJXKGDURUTVAVCYLBTXFBYCBFXEVDVGUMXIYCYDYCGXHVDVGUMV
      EYJXBTVFXCXPXRXMVHVFXTYGEXNXTYEXNNZLZAYFYPALZYEYEVIVJZYEVKVJZUGZYAYOYEYTM
      XTAYECDVLVMYQYRXEYSXHYQYRXEMZYSXHMZYPAUUAUUBLZYQAUUCYQXKAUUCUCZFGYRYSCDYP
      AFXTYOFXSXMFXQXRFXCXPFXBFCOXPFPQXRFPQXLFCRQYOFPQAFPQYPAGXTYOGXSXMGXQXRGXC
      XPGXBGFCGCSBGDOUPXPGPQXRGPQXLGFCGCSXKGDRUQQYOGPQAGPQUUDFPUUDGPYOYRCNZXTAY
      ECDVNVMYOYSDNZXTAYECDVOVMYQXDYRMZXGYSMZLZLZBAXJUUCYOUUIBAVSZXTAUUIYOUUKUU
      GYRXDMZYSXGMZYOUUKUCZUUHYRXDVPYSXGVPUULUUMLZYOUUKYOUUOUUKYOUUOLZABUUPYEXD
      XGUGMZABVSZYEXDXGCDVQHVRVTWAWBWCWDWEUUIXJUUCVSZYQUUIXFUUAXIUUBUUIXDYRXEUU
      GUUHWFWGUUIXGYSXHUUGUUHTWGWHWJWIXSXMYOAUJWKWLWMVCYQUUAUUBYPAUUCYQAUUCYQXK
      UUDFGYRYSCDYPAFXTYOFXSXMFXQXRFXCXPFXBFCOXPFPQXRFPQXLFCRQYOFPQAFPQYPAGXTYO
      GXSXMGXQXRGXCXPGXBGFCGCSBGDOUPXPGPQXRGPQXLGFCGCSXKGDRUQQYOGPQAGPQUUDFPUUD
      GPYOUUEXTAYECDVNVMYOUUFXTAYECDVOVMUUJBAXJUUCYOUUIUUKXTAUUIYOUUKUUGUULUUMU
      UNUUHYRXDVPYSXGVPUUOYOUUKYOUUOUUKUUPABUUPUUQUURYEXDXGCDVQHVRVTWAWBWCWDWEU
      UIUUSYQUUIXFUUAXIUUBUUIXDYRXEUUGUUHWFWGUUIXGYSXHUUGUUHTWGWHWJWIXSXMYOAUJW
      KWLWMVBWNWOWBWPWQAYDEXNYAABIJEFGHWRWSVRWTXA $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Double restricted existential uniqueness quantification syntax
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Syntax for double restricted existential uniqueness quantification. $)
  w2reu $a wff E! x e. A , y e. B ph $.

  $( Define the double restricted existential uniqueness quantifier.
     (Contributed by Thierry Arnoux, 4-Jul-2023.) $)
  df-2reu $a |- ( E! x e. A , y e. B ph
    <-> ( E! x e. A E. y e. B ph /\ E! y e. B E. x e. A ph ) ) $.

  $( Double restricted existential uniqueness commutes.  (Contributed by
     Thierry Arnoux, 4-Jul-2023.) $)
  2reucom $p |- ( E! x e. A , y e. B ph <-> E! y e. B , x e. A ph ) $=
    ( wrex wreu wa w2reu ancom df-2reu 3bitr4i ) ACEFBDGZABDFCEGZHNMHABCDEIACBE
    DIMNJABCDEKACBEDKL $.

  $( Double restricted existential uniqueness implies double restricted
     existence.  (Contributed by Thierry Arnoux, 4-Jul-2023.) $)
  2reu2rex1 $p |- ( E! x e. A , y e. B ph -> E. x e. A E. y e. B ph ) $=
    ( w2reu wrex wreu df-2reu simplbi reurex syl ) ABCDEFZACEGZBDHZNBDGMOABDGCE
    HABCDEIJNBDKL $.

  $( Double restricted existential uniqueness implies restricted existential
     uniqueness with restricted existence.  (Contributed by AV, 5-Jul-2023.) $)
  2reureurex $p |- ( E! x e. A , y e. B ph -> E! x e. A E. y e. B ph ) $=
    ( w2reu wrex wreu df-2reu simplbi ) ABCDEFACEGBDHABDGCEHABCDEIJ $.

  ${
    $d A y $.  $d B x $.  $d x y $.
    $( Double restricted existential uniqueness implies two nested restricted
       existential uniqueness.  (Contributed by AV, 5-Jul-2023.) $)
    2reu2reu2 $p |- ( E! x e. A , y e. B ph -> E! x e. A E! y e. B ph ) $=
      ( w2reu wrex wreu wa df-2reu 2rexreu sylbi ) ABCDEFACEGBDHABDGCEHIACEHBDH
      ABCDEJABCDEKL $.
  $}

  ${
    $d A p x y $.  $d B p x y $.  $d ch x y $.  $d p ph x y $.
    opreu2reu1.a $e |- ( p = <. x , y >. -> ( ch <-> ph ) ) $.
    $( Equivalent definition of the double restricted existential uniqueness
       quantifier, using uniqueness of ordered pairs.  (Contributed by Thierry
       Arnoux, 4-Jul-2023.) $)
    opreu2reu1 $p |- ( E! x e. A , y e. B ph <-> E! p e. ( A X. B ) ch ) $=
      ( w2reu wrex wreu wa cxp df-2reu opreu2reurex bitr4i ) ACDEFIADFJCEKACEJD
      FKLBGEFMKACDEFNBAEFGCDHOP $.
  $}

  ${
    $d P a b $.
    $( There exists a unique decomposition of a prime as a sum of squares of
       two different positive integers iff the prime is of the form
       ` 4 k + 1 ` .  Double restricted existential uniqueness variant of
       ~ 2sqreunnltb .  (Contributed by AV, 5-Jul-2023.) $)
    sq2reunnltb $p |- ( P e. Prime -> ( ( P mod 4 ) = 1
                                        <-> E! a e. NN , b e. NN
                              ( a < b /\ ( ( a ^ 2 ) + ( b ^ 2 ) ) = P ) ) ) $=
      ( cprime wcel c4 cmo co c1 wceq cv clt wbr c2 cexp caddc wa cn wrex wreu
      w2reu biid 2sqreunnltb df-2reu bitr4di ) ADEAFGHIJBKZCKZLMUFNOHUGNOHPHAJQ
      ZCRSBRTUHBRSCRTQUHBCRRUAUHABCUHUBUCUHBCRRUDUE $.
  $}

  ${
    $d C a b $.
    $( For each complex number ` C ` , there does not uniquely exist two
       complex numbers ` a ` and ` b ` , with ` b ` squared and added to ` a `
       resulting in the given complex number ` C ` .  Double restricted
       existential uniqueness variant of ~ addsqn2reurex2 .  (Contributed by
       AV, 5-Jul-2023.) $)
    addsqnot2reu $p |- ( C e. CC -> -. E! a e. CC , b e. CC
                                       ( a + ( b ^ 2 ) ) = C ) $=
      ( cc wcel cv c2 cexp co caddc wceq wrex wreu w2reu addsqn2reurex2 df-2reu
      wa sylnibr ) ADEBFCFGHIJIAKZCDLBDMSBDLCDMQSBCDDNABCOSBCDDPR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Substitution (without distinct variables) - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    sbceqbidf.1 $e |- F/ x ph $.
    sbceqbidf.2 $e |- ( ph -> A = B ) $.
    sbceqbidf.3 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equality theorem for class substitution.  (Contributed by Thierry
       Arnoux, 4-Sep-2018.) $)
    sbceqbidf $p |- ( ph -> ( [. A / x ]. ps <-> [. B / x ]. ch ) ) $=
      ( cab wcel wsbc abbid eleq12d df-sbc 3bitr4g ) AEBDJZKFCDJZKBDELCDFLAEFQR
      HABCDGIMNBDEOCDFOP $.
  $}

  ${
    $d a w $.  $d a E $.  $d a W $.  $d a ph $.
    sbcies.a $e |- A = ( E ` W ) $.
    sbcies.1 $e |- ( a = A -> ( ph <-> ps ) ) $.
    $( A special version of class substitution commonly used for structures.
       (Contributed by Thierry Arnoux, 14-Mar-2019.) $)
    sbcies $p |- ( w = W -> ( [. ( E ` w ) / a ]. ps <-> ph ) ) $=
      ( cv wceq cfv cvv fvexd wa wb simpr fveq2 eqtr4id adantr eqtr4d bicomd
      syl sbcied ) CJZFKZBAGUEELZMUFUEENUFGJZUGKZOZABUJUHDKABPUJUHUGDUFUIQUFDUG
      KUIUFDFELUGHUEFERSTUAIUCUBUD $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Existential "at most one" - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d i j x $.
    mo5f.1 $e |- F/ i ph $.
    mo5f.2 $e |- F/ j ph $.
    $( Alternate definition of "at most one."  (Contributed by Thierry Arnoux,
       1-Mar-2017.) $)
    mo5f $p |- ( E* x ph <->
                   A. i A. j ( ( [ i / x ] ph /\ [ j / x ] ph ) -> i = j ) ) $=
      ( wmo wsb wa weq wi wal mo3 nfsbv nfan nfv nfim nfal sb8v sbim sban nfs1v
      sbf bicomi anbi2i bitr4i equsb3 imbi12i bitri sbalv albii 3bitri ) ABGAAB
      DHZIZBDJZKZDLZBLUQBCHZCLABCHZUMIZCDJZKZDLZCLABDFMUQBCUPCDUNUOCAUMCEABDCEN
      OUOCPQRSURVCCUPVBBCDUPBCHUNBCHZUOBCHZKVBUNUOBCTVDUTVEVAVDUSUMBCHZIUTAUMBC
      UAUMVFUSVFUMUMBCABDUBUCUDUEUFBCDUGUHUIUJUKUL $.
  $}

  ${
    $d x y $.
    nmo.1 $e |- F/ y ph $.
    $( Negation of "at most one".  (Contributed by Thierry Arnoux,
       26-Feb-2017.) $)
    nmo $p |- ( -. E* x ph <-> A. y E. x ( ph /\ x =/= y ) ) $=
      ( wmo wn weq wi wal wex cv wne wa mof notbii alnex pm4.61 biid necon3bbii
      exnal anbi2i bitri exbii bitr3i albii 3bitr2i ) ABEZFABCGZHZBIZCJZFUJFZCI
      ABKZCKZLZMZBJZCIUGUKABCDNOUJCPULUQCULUIFZBJUQUIBTURUPBURAUHFZMUPAUHQUSUOA
      UHUMUNUHRSUAUBUCUDUEUF $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Existential uniqueness - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y ph $.  $d x ps $.  $d x A $.  $d x B $.  $d x y C $.
    reuxfrdf.0 $e |- F/_ y B $.
    reuxfrdf.1 $e |- ( ( ph /\ y e. C ) -> A e. B ) $.
    reuxfrdf.2 $e |- ( ( ph /\ x e. B ) -> E* y e. C x = A ) $.
    $( Transfer existential uniqueness from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  Cf. ~ reuxfrd
       (Contributed by Thierry Arnoux, 7-Apr-2017.)  (Revised by Thierry
       Arnoux, 8-Oct-2017.)  (Revised by Thierry Arnoux, 30-Mar-2018.) $)
    reuxfrdf $p |- ( ph
        -> ( E! x e. B E. y e. C ( x = A /\ ps ) <-> E! y e. C ps ) ) $=
      ( wa wrex wi ancom wmo wal wex weu bitri eubii cv wceq wreu wrmo wral syl
      wcel rmoan rmobii sylib ralrimiva df-rmo ralbii df-ral nfcri moanim albii
      bitr4i 2euswapv df-reu r19.41 rexbii 3bitr4i df-rex bitr3i an12 exbii nfv
      3imtr4g sylbi moanimv r19.42v moeq moani mobii mpbi mprg impbid1 wb biidd
      a1i ceqsrexv reubidva bitrd ) ACUAZEUBZBKZDGLZCFUCZWGCFLZDGUCZBDGUCAWIWKA
      WGDGUDZCFUEZWIWKMZAWLCFAWEFUGZKZBWFKZDGUDZWLWPWFDGUDWRJWFBDGUHUFWQWGDGBWF
      NUIUJUKWMDUAGUGZWGKZDOZCFUEZWNWLXACFWGDGULUMXBWOWTKZDOZCPZWNXBWOXAMZCPXEX
      ACFUNXDXFCWOWTDDCFHUOZUPUQURXEXCDQZCRZXCCQZDRZWIWKXCCDUSWIWOWHKZCRZXIWHCF
      UTZXLXHCXLWSWOWGKZKZDQZXHXLXODGLZXQWGWOKZDGLWHWOKXRXLWGWODGXGVAXOXSDGWOWG
      NVBWOWHNVCXODGVDVEZXPXCDWSWOWGVFVGSTSWKWSWJKZDRZXKWJDGUTZYAXJDYAWTCFLZXJW
      GWSKZCFLWJWSKYDYAWGWSCFWSCVHVAWTYECFWSWGNVBWSWJNVCWTCFVDZVETSVIVJVJUFXOCO
      ZWKWIMZDGYGDGUEZXPCOZDPZYHYIWSYGMZDPYKYGDGUNYJYLDWSXOCVKUQURYKXPCQZDRZXQC
      RZWKWIXPDCUSWKYBYNYCYAYMDYAXJYMYAYDXJWSWGCFVLYFVEXCXPCWOWSWGVFVGSTSWIXMYO
      XNXLXQCXTTSVIVJYGWSWOBKZWFKZCOYGWFYPCCEVMVNYQXOCYQWFYPKXOYPWFNWFWOBVFSVOV
      PWAVQVRAWJBDGAWSKEFUGWJBVSIBBCEFWFBVTWBUFWCWD $.
  $}

  ${
    $d b x y $.  $d y A $.  $d b B $.  $d x b F $.  $d x b ph $.
    rexunirn.1 $e |- F = ( x e. A |-> B ) $.
    rexunirn.2 $e |- ( x e. A -> B e. V ) $.
    $( Restricted existential quantification over the union of the range of a
       function.  Cf. ~ rexrn and ~ eluni2 .  (Contributed by Thierry Arnoux,
       19-Sep-2017.) $)
    rexunirn $p |- ( E. x e. A E. y e. B ph -> E. y e. U. ran F ph ) $=
      ( vb wrex cv wcel wa wex crn cuni df-rex bitr4i exbii 19.42v anbi2i mpdan
      elrnmpt1 wceq eleq2 anbi1d rspcev sylan r19.41v sylib eximi eluni2 anbi1i
      bitri sylibr exlimiv sylbi ) ACEKZBDKZBLDMZCLZEMZANZNZCOZBOZACFPZQZKZUTVA
      USNZBOVGUSBDRVFVKBVFVAVDCOZNVKVAVDCUAUSVLVAACERUBSTSVFVJBVFVBJLZMZJVHKZAN
      ZCOZVJVEVPCVEVNANZJVHKZVPVAEVHMZVDVSVAEGMVTIBDEFGHUDUCVRVDJEVHVMEUEVNVCAV
      MEVBUFUGUHUIVNAJVHUJUKULVJVBVIMZANZCOVQACVIRWBVPCWAVOAJVBVHUMUNTUOUPUQUR
      $.
  $}

$(
  @{
    @( Restricted existential quantification for ordered pair abstract builders
       moving one condition outside of the abstract builder. @)
    reuopan @p |- ( E! p e. { <. x , y >. | ( ( x e. A /\ y e. B ) /\ ph ) } ps
      <-> E! p e. { <. x , y >. | ( x e. A /\ y e. B ) } ( ph /\ ps ) ) @=
      ? @.

    @( Restricted existential quantification for ordered pair abstract builders
       @)
    reuopab @p |- ( E! p e. { <. x , y >. | ( x e. A /\ y e. B ) } ph
      <-> ( E! x e. A E! y e. B ( p = <. x , y >. /\ ph )
         /\ A. x e. A E* y e. B ( p = <. x , y >. /\ ph ) ) ) @=
      ? @.
  @}
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Restricted "at most one" - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x A $.  $d x y B $.  $d x y C $.  $d x y ph $.  $d y ps $.  $d x ch $.
    rmoxfrd.1 $e |- ( ( ph /\ y e. C ) -> A e. B ) $.
    rmoxfrd.2 $e |- ( ( ph /\ x e. B ) -> E! y e. C x = A ) $.
    rmoxfrd.3 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    $( Transfer "at most one" restricted quantification from a variable ` x `
       to another variable ` y ` contained in expression ` A ` .  (Contributed
       by Thierry Arnoux, 7-Apr-2017.)  (Revised by Thierry Arnoux,
       8-Oct-2017.) $)
    rmoxfrd $p |- ( ph -> ( E* x e. B ps <-> E* y e. C ch ) ) $=
      ( cv wcel wa wmo wrmo wex weu wrex wreu wi wceq reurex syl rexxfrd df-rex
      3bitr3g reuxfr1d df-reu imbi12d moeu 3bitr4g df-rmo ) ADLZGMZBNZDOZELHMCN
      ZEOZBDGPCEHPAUPDQZUPDRZUAUREQZURERZUAUQUSAUTVBVAVCABDGSCEHSUTVBABCDEFGHIA
      UONUNFUBZEHTVDEHSJVDEHUCUDKUEBDGUFCEHUFUGABDGTCEHTVAVCABCDEFGHIJKUHBDGUIC
      EHUIUGUJUPDUKUREUKULBDGUMCEHUMUL $.
  $}

  $( "At most one" restricted existential quantifier for a union implies the
     same quantifier on both sets.  (Contributed by Thierry Arnoux,
     27-Nov-2023.) $)
  rmoun $p |- ( E* x e. ( A u. B ) ph -> ( E* x e. A ph /\ E* x e. B ph ) )
      $=
    ( cv wcel wa wo wmo cun wrmo mooran2 df-rmo elun anbi1i andir bitri anbi12i
    mobii 3imtr4i ) BEZCFZAGZUADFZAGZHZBIZUCBIZUEBIZGABCDJZKZABCKZABDKZGUCUEBLU
    KUAUJFZAGZBIUGABUJMUOUFBUOUBUDHZAGUFUNUPAUACDNOUBUDAPQSQULUHUMUIABCMABDMRT
    $.

  ${
    $d ph x $.
    rmounid.1 $e |- ( ( ph /\ x e. B ) -> -. ps ) $.
    $( A case where an "at most one" restricted existential quantifier for a
       union is equivalent to such a quantifier for one of the sets.
       (Contributed by Thierry Arnoux, 27-Nov-2023.) $)
    rmounid $p |- ( ph -> ( E* x e. ( A u. B ) ps <-> E* x e. A ps ) ) $=
      ( cv cun wcel wa wmo wrmo wo wn wb ex con2d bitr4di biancomd df-rmo biorf
      imp orcom syl elun pm5.32da bicomd mobidv 3bitr4g ) ACGZDEHZIZBJZCKUJDIZB
      JZCKBCUKLBCDLAUMUOCAUMUNBABUNJZUMAUPULBABUNULABJZUNUNUJEIZMZULUQURNZUNUSO
      ABUTAURBAURBNFPQUBUTUNURUNMUSURUNUAUNURUCRUDUJDEUERUFSUGSUHBCUKTBCDTUI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  General Set Theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Class abstractions (a.k.a. class builders)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A x y z $.  $d B x y z $.  $d ph x y $.  $d ps z $.
    dmrab.1 $e |- ( z = <. x , y >. -> ( ph <-> ps ) ) $.
    $( Domain of a restricted class abstraction over a cartesian product.
       (Contributed by Thierry Arnoux, 3-Jul-2023.) $)
    dmrab $p |- dom { z e. ( A X. B ) | ph } = { x e. A | E. y e. B ps } $=
      ( cv cop cxp crab wcel wex cab wrex wa anbi1i ancom 3bitri opelxp r19.41v
      cdm elrab anass anbi2i exbii df-rex 3bitr2i biancomi abbii df-rab 3eqtr4i
      dfdm3 ) CIZDIZJZAEFGKZLZMZDNZCOUOFMZBDGPZQZCOUSUCVCCFLVAVDCVAVBVCVAUPGMZB
      VBQZQZDNVFDGPVCVBQUTVGDUTVEVBQZBQZVEVBBQZQVGUTUQURMZBQVBVEQZBQVIABEUQURHU
      DVKVLBUOUPFGUARVLVHBVBVESRTVEVBBUEVJVFVEVBBSUFTUGVFDGUHBVBDGUBUIUJUKCDUSU
      NVCCFULUM $.
  $}

  $( Difference of two restricted class abstractions.  Compare with ~ difrab .
     (Contributed by Thierry Arnoux, 3-Jan-2022.) $)
  difrab2 $p |- ( { x e. A | ph } \ { x e. B | ph } )
    = { x e. ( A \ B ) | ph } $=
    ( crab cdif nfrab1 nfdif cv wcel wa wn eldif anbi1i andi pm3.24 anass rabid
    wo biorfi ancom 3bitr2i anbi2i 3bitr4i bitr4i ianor xchnxbir bitri 3bitr4ri
    anbi12i eqri ) BABCEZABDEZFZABCDFZEZBULUMABCGABDGHABUOGBIZUOJZAKZUQCJZAKZUQ
    DJZLZALZSZKZUQUPJUQUNJZUSUTVCKZAKZVFURVHAUQCDMNUTAVEKZKUTVCAKZKVFVIVJVKUTVJ
    AVCKZAVDKZSVLVKAVCVDOVMVLAPTAVCUAUBUCUTAVEQUTVCAQUDUEABUORVGUQULJZUQUMJZLZK
    VFUQULUMMVNVAVPVEABCRVBAKVEVOVBAUFABDRUGUJUHUIUK $.

  ${
    rabexgfGS.1 $e |- F/_ x A $.
    $( Separation Scheme in terms of a restricted class abstraction.  To be
       removed in profit of Glauco's equivalent version.  (Contributed by
       Thierry Arnoux, 11-May-2017.) $)
    rabexgfGS $p |- ( A e. V -> { x e. A | ph } e. _V ) $=
      ( wcel crab wss cvv cv nfrab1 dfss2f rabidim1 mpgbir elex ssexg sylancr
      wi ) CDFABCGZCHZCIFSIFTBJZSFUACFRBBSCABCKELABCMNCDOSCIPQ $.
  $}

  ${
    $d x A $.  $d x B $.
    rabsnel.1 $e |- B e. _V $.
    $( Truth implied by equality of a restricted class abstraction and a
       singleton.  (Contributed by Thierry Arnoux, 15-Sep-2018.) $)
    rabsnel $p |- ( { x e. A | ph } = { B } -> B e. A ) $=
      ( crab csn wceq wcel snid eleq2 mpbiri elrabi syl ) ABCFZDGZHZDOIZDCIQRDP
      IDEJOPDKLABDCMN $.
  $}

  ${
    $d B x $.  $d ph x $.
    rabeqsnd.0 $e |- ( x = B -> ( ps <-> ch ) ) $.
    rabeqsnd.1 $e |- ( ph -> B e. A ) $.
    rabeqsnd.2 $e |- ( ph -> ch ) $.
    rabeqsnd.3 $e |- ( ( ( ph /\ x e. A ) /\ ps ) -> x = B ) $.
    $( Conditions for a restricted class abstraction to be a singleton, in
       deduction form.  (Contributed by Thierry Arnoux, 2-Dec-2021.) $)
    rabeqsnd $p |- ( ph -> { x e. A | ps } = { B } ) $=
      ( cv wcel wa wceq wb wal wi alrimiv jca sylibr crab csn a1d eleq1 anbi12d
      expl pm5.74i albii albiim rabeqsn ) ADKZELZBMZUKFNZODPZBDEUAFUBNAUMUNQZDP
      ZUNUMQZDPZMUOAUQUSAUPDAULBUNJUFRAUNFELZCMZQZDPUSAVBDAVAUNAUTCHISUCRURVBDU
      NUMVAUNULUTBCUKFEUDGUEUGUHTSUMUNDUITBDEFUJT $.
  $}

  ${
    $d B x $.  $d ph x $.
    eqrrabd.1 $e |- ( ph -> B C_ A ) $.
    eqrrabd.2 $e |- ( ( ph /\ x e. A ) -> ( x e. B <-> ps ) ) $.
    $( Deduce equality with a restricted abstraction.  (Contributed by Thierry
       Arnoux, 11-Apr-2024.) $)
    eqrrabd $p |- ( ph -> B = { x e. A | ps } ) $=
      ( crab nfcv nfrab1 cv wcel wa sseld pm4.71rd pm5.32da bitrd rabid bitr4di
      nfv eqrd ) ACEBCDHZACTCEIBCDJACKZELZUCDLZBMZUCUBLAUDUEUDMUFAUDUEAEDUCFNOA
      UEUDBGPQBCDRSUA $.
  $}

  ${
    $d A g x y z $.  $d B g x y z $.  $d F g x y z $.  $d V g y z $.
    $( From a surjective function, *choose* a subset of the domain, such that
       the restricted function is bijective.  (Contributed by Thierry Arnoux,
       27-Jan-2020.) $)
    foresf1o $p |- ( ( A e. V /\ F : A -onto-> B )
      -> E. x e. ~P A ( F |` x ) : x -1-1-onto-> B ) $=
      ( vg vy vz wcel wa cv wf cfv wrex wceq fveq2d nfv nfan syl2anc eqtrd ccnv
      wfo csn cima wral cres wf1o cpw cvv wex fornex imp foelrn wi wfn fniniseg
      fofn eqcom biimpar anassrs sylan2br sylanl1 reximdva adantr mpd ralrimiva
      ex adantll eleq1 ac6sg sylc crn wss frn ad2antrl vex rnex elpw sylibr fof
      ad2antlr fssresd dffn3 sylib fvres adantl nfra1 ad5antlr simplrr ad2antrr
      simpr simplr rspa simplbda eqtr3d fvelrnb biimpa sylan r19.29af ffvelrnda
      ffn syl ad3antlr ralrimi 2fvidf1od reseq2 eqidd f1oeq123d rspcev exlimddv
      id ) BEIZBCDUBZJZCBFKZLZGKZXOMZDUAXQUCUDZIZGCUEZJZAKZCDYCUFZUGZABUHZNZFXN
      CUIIZHKZXSIZHBNZGCUEYBFUJXLXMYHBCEDUKULXNYKGCXMXQCIZYKXLXMYLJXQYIDMZOZHBN
      ZYKHBCXQDUMXMYOYKUNYLXMYNYJHBXMYIBIZJYNYJXMDBUOZYPYNYJBCDUQZYNYQYPJYMXQOZ
      YJYMXQURYQYPYSYJYQYJYPYSJBXQYIDUPUSUTVAVBVGVCVDVEVHVFYJXTGHCBFUIYIXRXSVIV
      JVKXNYBJZXOVLZYFIZUUACDUUAUFZUGZYGYTUUABVMZUUBXPUUEXNYACBXOVNVOZUUABXOFVP
      VQVRVSYTUUACUUCXOHGYTBCUUADXMBCDLXLYBBCDVTWAUUFWBYTXOCUOZCUUAXOLXPUUGXNYA
      CBXOXAVOZCXOWCWDZYTYIUUCMZXOMZYIOHUUAYTYIUUAIZJZUUKYMXOMZYIUUMUUJYMXOUULU
      UJYMOYTYIUUADWEWFPUUMXRYIOZUUNYIOGCYTUULGXNYBGXNGQXPYAGXPGQXTGCWGRRZUULGQ
      RUUMYLJZUUOJZUUNXRYIUURYMXQXOUURXRDMZYMXQUURXRYIDUUQUUOWKZPUURYQXTUUSXQOZ
      XMYQXLYBUULYLUUOYRWHUURYAYLXTUUMYAYLUUOXNXPYAUULWIWJUUMYLUUOWLXTGCWMZSYQX
      TXRBIUVABXQXRDUPWNZSWOPUUTTYTUUGUULUUOGCNZUUHUUGUULUVDGCYIXOWPWQWRWSTVFYT
      XRUUCMZXQOZGCUUPYTYLUVFYTYLJZUVEUUSXQUVGXRUUAIUVEUUSOYTCUUAXQXOUUIWTXRUUA
      DWEXBUVGYQXTUVAXMYQXLYBYLYRXCUVGYAYLXTXNXPYAYLWIYTYLWKUVBSUVCSTVGXDXEYEUU
      DAUUAYFYCUUAOZYCUUACCYDUUCYCUUADXFUVHXKUVHCXGXHXISXJ $.
  $}

  ${
    $d A a x y $.  $d B a x y $.  $d F a x y $.  $d V a x y $.  $d a x y ph $.
    $d a y ps $.  $d a x ch $.
    rabfodom.1 $e |- ( ( ph /\ x e. A /\ y = ( F ` x ) ) -> ( ch <-> ps ) ) $.
    rabfodom.2 $e |- ( ph -> A e. V ) $.
    rabfodom.3 $e |- ( ph -> F : A -onto-> B ) $.
    $( Domination relation for restricted abstract class builders, based on a
       surjective function.  (Contributed by Thierry Arnoux, 27-Jan-2020.) $)
    rabfodom $p |- ( ph -> { y e. B | ch } ~<_ { x e. A | ps } ) $=
      ( va cv cres wf1o crab wbr wcel cvv cdom cpw cen cfv cmpt rabex eqid wceq
      wa vex wfo wf fof syl feqmptd ad2antrr reseq1d wss elpwi ad2antlr resmptd
      eqtrd f1oeq1 biimpa sylancom w3a wb simp1ll 3ad2ant1 simp2 sseldd syl3anc
      f1oresrab f1oeng sylancr ensymd rabexg rabss2 ssdomg sylc endomtr syl2anc
      simp3 wrex foresf1o r19.29a ) AMNZGHWGOZPZCEGQZBDFQZUARZMFUBZAWGWMSZUIZWI
      UIZWJBDWGQZUCRWQWKUARZWLWPWQWJWPWQTSWQWJDWGDNZHUDZUEZWQOZPWQWJUCRBDWGMUJU
      FWPBCDEWGGWTXAXAUGWOWIWHXAUHZWGGXAPZWPWHDFWTUEZWGOXAWPHXEWGAHXEUHWNWIADFG
      HAFGHUKZFGHULLFGHUMUNUOUPUQWPDFWGWTWNWGFURZAWIWGFUSUTZVAVBXCWIXDWGGWHXAVC
      VDVEWPWSWGSZENWTUHZVFZAWSFSXJCBVGAWNWIXIXJVHXKWGFWSWPXIXGXJXHVIWPXIXJVJVK
      WPXIXJWCJVLVMWQWJTXBVNVOVPWPWKTSZWQWKURZWRAXLWNWIAFISZXLKBDFIVQUNUPWPXGXM
      XHBDWGFVRUNWQWKTVSVTWJWQWKWAWBAXNXFWIMWMWDKLMFGHIWEWBWF $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Image Sets
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A x y $.
    abrexdomjm.1 $e |- ( y e. A -> E* x ph ) $.
    $( An indexed set is dominated by the indexing set.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    abrexdomjm $p |- ( A e. V -> { x | E. y e. A ph } ~<_ A ) $=
      ( wcel wrex cab cv wa copab crn cdom wex df-rex abbii wbr cvv wmo cdm wfn
      rnopab eqtr4i wss dmopabss ssexg mpan funopab wi moanimv mpbir mpgbir a1i
      wfun funfn sylib fnrndomg sylc ssdomg mpi domtr syl2anc eqbrtrid ) DEGZAC
      DHZBIZCJDGZAKZCBLZMZDNVGVICOZBIVKVFVLBACDPQVICBUCUDVEVKVJUAZNRZVMDNRZVKDN
      RVEVMSGZVJVMUBZVNVMDUEZVEVPACBDUFZVMDEUGUHVEVJUOZVQVTVEVTVIBTZCVICBUIWAVH
      ABTUJFVHABUKULUMUNVJUPUQVMSVJURUSVEVRVOVSVMDEUTVAVKVMDVBVCVD $.
  $}

  ${
    $d A x y $.  $d B x $.
    $( An indexed set is dominated by the indexing set.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    abrexdom2jm $p |- ( A e. V -> { x | E. y e. A x = B } ~<_ A ) $=
      ( cv wceq wmo wcel moeq a1i abrexdomjm ) AFDGZABCEMAHBFCIADJKL $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.
    abrexexd.0 $e |- F/_ x A $.
    abrexexd.1 $e |- ( ph -> A e. _V ) $.
    $( Existence of a class abstraction of existentially restricted sets.
       (Contributed by Thierry Arnoux, 10-May-2017.) $)
    abrexexd $p |- ( ph -> { y | E. x e. A y = B } e. _V ) $=
      ( cv wceq wrex cab cmpt crn cvv wcel wa copab wex rnopab df-mpt rneqi cdm
      df-rex abbii 3eqtr4i wfun funmpt crab eqid dmmpt rabexgfGS eqeltrid funex
      sylancr rnexg 3syl eqeltrrid ) ACHEIZBDJZCKZBDELZMZNBHDOURPZBCQZMVCBRZCKV
      BUTVCBCSVAVDBCDETUAUSVECURBDUCUDUEADNOZVANOZVBNOGVFVAUFVAUBZNOVGBDEUGVFVH
      ENOZBDUHNBDEVAVAUIUJVIBDNFUKULNVAUMUNVANUOUPUQ $.
  $}

  ${
    $d x y A $.  $d y B $.  $d y C $.
    elabreximd.1 $e |- F/ x ph $.
    elabreximd.2 $e |- F/ x ch $.
    elabreximd.3 $e |- ( A = B -> ( ch <-> ps ) ) $.
    elabreximd.4 $e |- ( ph -> A e. V ) $.
    elabreximd.5 $e |- ( ( ph /\ x e. C ) -> ps ) $.
    $( Class substitution in an image set.  (Contributed by Thierry Arnoux,
       30-Dec-2016.) $)
    elabreximd $p |- ( ( ph /\ A e. { y | E. x e. C y = B } ) -> ch ) $=
      ( cv wceq wrex cab wcel wa wb eqeq1 rexbidv elabg syl biimpa simpr adantr
      biimpar syl2anc exp31 rexlimd imp syldan ) AFEOZGPZDHQZERSZFGPZDHQZCAURUT
      AFISURUTUAMUQUTEFIUOFPUPUSDHUOFGUBUCUDUEUFAUTCAUSCDHJKADOHSZUSCAVATZUSTUS
      BCVBUSUGVBBUSNUHUSCBLUIUJUKULUMUN $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x ch $.  $d x ph $.
    elabreximdv.1 $e |- ( A = B -> ( ch <-> ps ) ) $.
    elabreximdv.2 $e |- ( ph -> A e. V ) $.
    elabreximdv.3 $e |- ( ( ph /\ x e. C ) -> ps ) $.
    $( Class substitution in an image set.  (Contributed by Thierry Arnoux,
       30-Dec-2016.) $)
    elabreximdv $p |- ( ( ph /\ A e. { y | E. x e. C y = B } ) -> ch ) $=
      ( nfv elabreximd ) ABCDEFGHIADMCDMJKLN $.
  $}

  ${
    abrexss.1 $e |- F/_ x C $.
    $d x y z $.  $d y z A $.  $d z C $.  $d y z B $.
    $( A necessary condition for an image set to be a subset.  (Contributed by
       Thierry Arnoux, 6-Feb-2017.) $)
    abrexss $p |- ( A. x e. A B e. C -> { y | E. x e. A y = B } C_ C ) $=
      ( vz wcel wral cv wceq wrex cab cvv nfra1 nfcri eleq1 vex a1i rspa ssrdv
      elabreximd ex ) DEHZACIZGBJDKACLBMZEUEGJZUFHUGEHZUEUDUHABUGDCNUDACOAGEFPU
      GDEQUGNHUEGRSUDACTUBUCUA $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Set relations and operations - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Elementhood to a union with a singleton.  (Contributed by Thierry Arnoux,
     14-Dec-2023.) $)
  elunsn $p |- ( A e. V -> ( A e. ( B u. { C } ) <-> ( A e. B \/ A = C ) ) )
      $=
    ( csn cun wcel wo wceq elun elsng orbi2d syl5bb ) ABCEZFGABGZANGZHADGZOACIZ
    HABNJQPROACDKLM $.

  $( Negated membership for a union.  (Contributed by Thierry Arnoux,
     13-Dec-2023.) $)
  nelun $p |- ( A = ( B u. C ) -> ( -. X e. A <-> ( -. X e. B /\ -. X e. C )
      ) ) $=
    ( cun wceq wcel wn wo wa eleq2 elun bitrdi notbid ioran ) ABCEZFZDAGZHDBGZD
    CGZIZHSHTHJQRUAQRDPGUAAPDKDBCLMNSTOM $.

  $( If a singleton is a subset of another, their members are equal.
     (Contributed by NM, 28-May-2006.)  (Revised by Thierry Arnoux,
     11-Apr-2024.) $)
  snsssng $p |- ( ( A e. V /\ { A } C_ { B } ) -> A = B ) $=
    ( csn wss wcel c0 wceq wo sssn snnzg neneqd pm2.21d sneqrg jaod imp sylan2b
    ) ADZBDZEACFZRGHZRSHZIZABHZRBJTUCUDTUAUDUBTUAUDTRGACKLMABCNOPQ $.

  ${
    $d x A $.  $d x B $.  $d x ph $.
    rabss3d.1 $e |- ( ( ph /\ ( x e. A /\ ps ) ) -> x e. B ) $.
    $( Subclass law for restricted abstraction.  (Contributed by Thierry
       Arnoux, 25-Sep-2017.) $)
    rabss3d $p |- ( ph -> { x e. A | ps } C_ { x e. B | ps } ) $=
      ( crab nfv nfrab1 cv wcel wa simprr jca ex rabid 3imtr4g ssrd ) ACBCDGZBC
      EGZACHBCDIBCEIACJZDKZBLZUAEKZBLZUASKUATKAUCUEAUCLUDBFAUBBMNOBCDPBCEPQR $.
  $}

  $( Intersection with an intersection.  (Contributed by Thierry Arnoux,
     27-Dec-2016.) $)
  inin $p |- ( A i^i ( A i^i B ) ) = ( A i^i B ) $=
    ( cin in13 inidm ineq2i incom 3eqtri ) AABCZCBAACZCBACIAABDJABAEFBAGH $.

  $( See ~ inundif .  (Contributed by Thierry Arnoux, 13-Sep-2017.) $)
  inindif $p |- ( ( A i^i C ) i^i ( A \ C ) ) = (/) $=
    ( cin wss cdif c0 wceq wo inss2 orci inss ax-mp inssdif0 mpbi ) ABCZACBDZOA
    BECFGOBDZABDZHPQRABIJOABKLOABMN $.

  $( Condition for the intersections of two sets with a given set to be equal.
     (Contributed by Thierry Arnoux, 28-Dec-2021.) $)
  difininv $p |- ( ( ( ( A \ C ) i^i B ) = (/) /\ ( ( C \ A ) i^i B ) = (/) )
    -> ( A i^i B ) = ( C i^i B ) ) $=
    ( cdif cin c0 wceq wa indif1 eqeq1i ssdif0 sylbb2 adantr inss2 ssind adantl
    wss a1i eqssd ) ACDBEZFGZCADBEZFGZHZABEZCBEZUDUECBUAUECQZUCUAUECDZFGUGTUHFA
    BCIJUECKLMUEBQUDABNROUDUFABUCUFAQZUAUCUFADZFGUIUBUJFCBAIJUFAKLPUFBQUDCBNROS
    $.

  $( Rewriting an equation with class difference, without using quantifiers.
     (Contributed by Thierry Arnoux, 24-Sep-2017.) $)
  difeq $p |- ( ( A \ B ) = C <->
                         ( ( C i^i B ) = (/) /\ ( C u. B ) = ( A u. B ) ) ) $=
    ( cdif wceq cin c0 wa ineq1 disjdifr eqtr3di uneq1 undif1 simpl disj3 eqcom
    cun jca bitri difun2 sylib wb difeq1 3eqtr3g eqeq1d adantl mpbid impbii ) A
    BDZCEZCBFZGEZCBQZABQZEZHZUJULUOUJUIBFUKGUICBIBAJKUJUIBQUMUNUICBLABMKRUPCBDZ
    CEZUJUPULURULUONULCUQEURCBOCUQPSUAUOURUJUBULUOUQUICUOUMBDUNBDUQUIUMUNBUCCBT
    ABTUDUEUFUGUH $.

  $( If both set differences of two sets are empty, those sets are equal.
     (Contributed by Thierry Arnoux, 16-Nov-2023.) $)
  eqdif $p |- ( ( ( A \ B ) = (/) /\ ( B \ A ) = (/) ) -> A = B ) $=
    ( wceq wss wa cdif c0 eqss ssdif0 anbi12i sylbbr ) ABCABDZBADZEABFGCZBAFGCZ
    EABHLNMOABIBAIJK $.

  $( An equality involving class union and class difference.  (Contributed by
     Thierry Arnoux, 26-Jun-2024.) $)
  undif5 $p |- ( ( A i^i B ) = (/) -> ( ( A u. B ) \ B ) = A ) $=
    ( cin c0 wceq cun cdif difun2 disjdif2 syl5eq ) ABCDEABFBGABGAABHABIJ $.

  $( Two ways to express equality relative to a class ` A ` .  (Contributed by
     Thierry Arnoux, 23-Jun-2024.) $)
  indifbi $p |- ( ( A i^i B ) = ( A i^i C ) <-> ( A \ B ) = ( A \ C ) ) $=
    ( cin wceq cdif wss wb inss1 rcompleq mp2an difin eqeq12i bitri ) ABDZACDZE
    ZAOFZAPFZEZABFZACFZEOAGPAGQTHABIACIOPAJKRUASUBABLACLMN $.

  $( Case where ~ diffi is a biconditional.  (Contributed by Thierry Arnoux,
     27-Jun-2024.) $)
  diffib $p |- ( B e. Fin -> ( A e. Fin <-> ( A \ B ) e. Fin ) ) $=
    ( cfn wcel cdif diffi adantl wn difinf ancoms ex con4d imp impbida ) BCDZAC
    DZABECDZPQOABFGOQPOPQOPHZQHZROSABIJKLMN $.

  $( Difference law for Cartesian products.  (Contributed by Thierry Arnoux,
     24-Jul-2023.) $)
  difxp1ss $p |- ( ( A \ C ) X. B ) C_ ( A X. B ) $=
    ( cdif cxp difxp1 difss eqsstri ) ACDBEABEZCBEZDIACBFIJGH $.

  $( Difference law for Cartesian products.  (Contributed by Thierry Arnoux,
     24-Jul-2023.) $)
  difxp2ss $p |- ( A X. ( B \ C ) ) C_ ( A X. B ) $=
    ( cdif cxp difxp2 difss eqsstri ) ABCDEABEZACEZDIABCFIJGH $.

  $( Union of complementary parts into whole.  (Contributed by Thierry Arnoux,
     21-Nov-2023.) $)
  undifr $p |- ( A C_ B <-> ( ( B \ A ) u. A ) = B ) $=
    ( wss cdif cun wceq undif uncom eqeq1i bitri ) ABCABADZEZBFKAEZBFABGLMBAKHI
    J $.

  $( A remarkable equation with sets.  (Contributed by Thierry Arnoux,
     18-May-2020.) $)
  indifundif $p |- ( ( ( A i^i B ) \ C ) u. ( A \ B ) ) = ( A \ ( B i^i C ) )
    $=
    ( cin cdif cun difindi difundir inundif difeq1i uncom uneq2i unass undifabs
    3eqtr3i uneq1i 3eqtr2i 3eqtrri ) ABCDEABEZACEZFZSABDZCEZFZUCSFABCGUASSCEZUC
    FZFSUEFZUCFUDTUFSUBSFZCEUCUEFTUFUBSCHUHACABIJUCUEKOLSUEUCMUGSUCSCNPQSUCKR
    $.

  ${
    elpwincl.1 $e |- ( ph -> A e. ~P C ) $.
    $( Closure of intersection with regard to elementhood to a power set.
       (Contributed by Thierry Arnoux, 18-May-2020.) $)
    elpwincl1 $p |- ( ph -> ( A i^i B ) e. ~P C ) $=
      ( cin cpw wcel wss elpwi ssinss1 3syl cvv wb inex1g elpwg mpbird ) ABCFZD
      GZHZRDIZABSHZBDIUAEBDJBCDKLAUBRMHTUANEBCSORDMPLQ $.

    $( Closure of class difference with regard to elementhood to a power set.
       (Contributed by Thierry Arnoux, 18-May-2020.) $)
    elpwdifcl $p |- ( ph -> ( A \ B ) e. ~P C ) $=
      ( cdif cpw wcel wss elpwid ssdifssd cvv wb difexg elpwg 3syl mpbird ) ABC
      FZDGZHZRDIZABDCABDEJKABSHRLHTUAMEBCSNRDLOPQ $.
  $}

  ${
    $d A k $.  $d C k $.  $d k ph $.
    elpwiuncl.1 $e |- ( ph -> A e. V ) $.
    elpwiuncl.2 $e |- ( ( ph /\ k e. A ) -> B e. ~P C ) $.
    $( Closure of indexed union with regard to elementhood to a power set.
       (Contributed by Thierry Arnoux, 27-May-2020.) $)
    elpwiuncl $p |- ( ph -> U_ k e. A B e. ~P C ) $=
      ( ciun cpw wcel wss wral cv wa elpwid ralrimiva iunss sylibr cvv wb elpwg
      jca iunexg 3syl mpbird ) AEBCIZDJZKZUGDLZACDLZEBMUJAUKEBAENBKOCDHPQEBCDRS
      ABFKZCUHKZEBMZOUGTKUIUJUAAULUNGAUMEBHQUCEBCFUHUDUGDTUBUEUF $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Unordered pairs
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A x $.  $d B x $.  $d ph x $.
    eqsnd.1 $e |- ( ( ph /\ x e. A ) -> x = B ) $.
    eqsnd.2 $e |- ( ph -> B e. A ) $.
    $( Deduce that a set is a singleton.  (Contributed by Thierry Arnoux,
       10-May-2023.) $)
    eqsnd $p |- ( ph -> A = { B } ) $=
      ( csn cv wcel wceq wa simpr adantr eqeltrd impbida velsn bitr4di eqrdv )
      ABCDGZABHZCIZTDJZTSIAUAUBEAUBKTDCAUBLADCIUBFMNOBDPQR $.
  $}

  ${
    elpreq.1 $e |- ( ph -> X e. { A , B } ) $.
    elpreq.2 $e |- ( ph -> Y e. { A , B } ) $.
    elpreq.3 $e |- ( ph -> ( X = A <-> Y = A ) ) $.
    $( Equality wihin a pair.  (Contributed by Thierry Arnoux, 23-Aug-2017.) $)
    elpreq $p |- ( ph -> X = Y ) $=
      ( wceq wa simpr biimpa eqtr4d wn cpr wcel wo elpri syl orcanai simpl 3syl
      notbid wi pm2.53 sylc pm2.61dan ) ADBIZDEIAUHJDBEAUHKAUHEBIZHLMAUHNZJZDCE
      AUHDCIZADBCOZPUHULQFDBCRSTUKAUINZECIZAUJUAAUJUNAUHUIHUCLAEUMPUIUOQUNUOUDG
      EBCRUIUOUEUBUFMUG $.
  $}

  $( A set ` A ` not in a pair is neither element of the pair.  (Contributed by
     Thierry Arnoux, 20-Nov-2023.) $)
  nelpr $p |- ( A e. V -> ( -. A e. { B , C } <-> ( A =/= B /\ A =/= C ) ) )
      $=
    ( wcel cpr wn wceq wo wne wa elprg notbid neanior bitr4di ) ADEZABCFEZGABHA
    CHIZGABJACJKPQRABCDLMABACNO $.

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Rewrite an empty intersection with a pair.  (Contributed by Thierry
       Arnoux, 20-Nov-2023.) $)
    inpr0 $p |- ( ( A i^i { B , C } ) = (/) <-> ( -. B e. A /\ -. C e. A ) ) $=
      ( vx cv wne wa wral cpr cin c0 wceq wcel wn r19.26 wi wal wb 3bitr4i nelb
      cvv nelpr elv imbi2i albii disj1 df-ral anbi12i ) DEZBFZUICFZGZDAHZUJDAHZ
      UKDAHZGABCIZJKLZBAMNZCAMNZGUJUKDAOUIAMZUIUPMNZPZDQUTULPZDQUQUMVBVCDVAULUT
      VAULRDUIBCUAUBUCUDUEDAUPUFULDAUGSURUNUSUODBATDCATUHS $.
  $}

  $( The first element of a pair is not an element of a difference with this
     pair.  (Contributed by Thierry Arnoux, 20-Nov-2023.) $)
  neldifpr1 $p |- -. A e. ( C \ { A , B } ) $=
    ( cpr cdif wcel wne neirr eldifpr simp2bi mto ) ACABDEFZAAGZAHLACFMABGACABI
    JK $.

  $( The second element of a pair is not an element of a difference with this
     pair.  (Contributed by Thierry Arnoux, 20-Nov-2023.) $)
  neldifpr2 $p |- -. B e. ( C \ { A , B } ) $=
    ( cpr cdif wcel wne neirr eldifpr simp3bi mto ) BCABDEFZBBGZBHLBCFBAGMBCABI
    JK $.

  ${
    $d P x $.  $d X x $.
    $( The other element of a pair is an element of the pair.  (Contributed by
       Thierry Arnoux, 26-Aug-2017.) $)
    unidifsnel $p |- ( ( X e. P /\ P ~~ 2o ) -> U. ( P \ { X } ) e. P ) $=
      ( wcel c2o cen wbr csn wceq cuni c1o ccrd cfv cfn 2onn adantl csuc eqtrdi
      vx wa sylib cdif cv wex com nnfi ax-mp enfi mpbiri diffi syl ensymd simpl
      cardidd dif1card syl2anc cardennn mpan2 df-2o eqtr3d suc11reg breqtrd en1
      simpr unieqd vex unisn wss difssd eqsstrrd vsnid sylancl eqeltrd exlimddv
      ssel2 ) BACZADEFZSZABGZUAZRUBZGZHZVSIZACRVQVSJEFWBRUCVQVSVSKLZJEVQWDVSVQV
      SMVQAMCZVSMCVPWEVOVPWEDMCZDUDCZWFNDUEUFADUGUHOZAVRUIUJUMUKVQWDPZJPZHWDJHV
      QAKLZWIWJVQWEVOWKWIHWHVOVPULABUNUOVPWKWJHVOVPWKDWJVPWGWKDHNADUPUQURQOUSWD
      JUTTVARVSVBTVQWBSZWCVTAWLWCWAIVTWLVSWAVQWBVCZVDVTRVEVFQWLWAAVGVTWACVTACWL
      WAVSAWMWLAVRVHVIRVJWAAVTVNVKVLVM $.

    $( The other element of a pair is not the known element.  (Contributed by
       Thierry Arnoux, 26-Aug-2017.) $)
    unidifsnne $p |- ( ( X e. P /\ P ~~ 2o ) -> U. ( P \ { X } ) =/= X ) $=
      ( wcel c2o cen wbr csn wceq cuni c1o ccrd cfv cfn 2onn adantl csuc eqtrdi
      vx wa c0 cdif wne wex com nnfi ax-mp enfi mpbiri diffi syl cardidd ensymd
      simpl dif1card syl2anc cardennn mpan2 df-2o eqtr3d suc11reg sylib breqtrd
      cv en1 cvv simplll elexd cin simplr sneqbg biimpar ad4ant14 eqtr4d ineq2d
      wn disjdif inidm 3eqtr3g eqcomd snprc sylibr pm2.65da neqned simpr unieqd
      vex unisn neeqtrrd necomd exlimddv ) BACZADEFZSZABGZUAZRVCZGZHZWOIZBUBRWM
      WOJEFWRRUCWMWOWOKLZJEWMWTWOWMWOMWMAMCZWOMCWLXAWKWLXADMCZDUDCZXBNDUEUFADUG
      UHOZAWNUIUJUKULWMWTPZJPZHWTJHWMAKLZXEXFWMXAWKXGXEHXDWKWLUMABUNUOWLXGXFHWK
      WLXGDXFWLXCXGDHNADUPUQURQOUSWTJUTVAVBRWOVDVAWMWRSZBWSXHBWPWSXHBWPXHBWPHZB
      VECZXHXISZBAWKWLWRXIVFVGXKWNTHXJVOXKTWNXKWNWOVHWNWNVHTWNXKWOWNWNXKWOWQWNW
      MWRXIVIWKXIWNWQHZWLWRWKXLXIBWPAVJVKVLVMVNWNAVPWNVQVRVSBVTWAWBWCXHWSWQIWPX
      HWOWQWMWRWDWEWPRWFWGQWHWIWJ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Conditional operator - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d a x $.  $d x C $.  $d x X $.  $d x Y $.  $d x V $.  $d x W $.
    $d x ps $.  $d x th $.
    ifeqeqx.1 $e |- ( x = X -> A = C ) $.
    ifeqeqx.2 $e |- ( x = Y -> B = a ) $.
    ifeqeqx.3 $e |- ( x = X -> ( ch <-> th ) ) $.
    ifeqeqx.4 $e |- ( x = Y -> ( ch <-> ps ) ) $.
    ifeqeqx.5 $e |- ( ph -> a = C ) $.
    ifeqeqx.6 $e |- ( ( ph /\ ps ) -> th ) $.
    ifeqeqx.y $e |- ( ph -> Y e. V ) $.
    ifeqeqx.x $e |- ( ph -> X e. W ) $.
    $( An equality theorem tailored for ~ ballotlemsf1o .  (Contributed by
       Thierry Arnoux, 14-Apr-2017.) $)
    ifeqeqx $p |- ( ( ph /\ x = if ( ps , X , Y ) )
                                                  -> a = if ( ch , A , B ) ) $=
      ( cv wceq cif wa eqeq2 csb simplr wsbc simpll simpr sbceq1a biimpd dfsbcq
      sylc wi csbeq1 eqeq2d imbi12d wcel nfcvd csbiegf syl eqtr4d adantr eqcomd
      a1d wn pm3.24 wb sbcieg anbi1d mtbiri pm2.21d anass1rs ex csbeq1a biimprd
      imp ifbothda notbid nsyld anim2d mtoi expdimp ) CMUBZFUCZWFGUCZWFCFGUDZUC
      AEUBBKLUDZUCZUEZFGFWIWFUFGWIWFUFWLCUEZWKWFEWJFUGZUCZWGAWKCUHZWMACEWJUIZWO
      AWKCUJWMWKCWQWPWLCUKWKCWQCEWJULZUMUOBCEKUIZWFEKFUGZUCZUPCELUIZWFELFUGZUCZ
      UPWQWOUPAKLKWJUCZWSWQXAWOCEKWJUNZXEWTWNWFEKWJFUQURUSLWJUCZXBWQXDWOCELWJUN
      ZXGXCWNWFELWJFUQURUSABUEZXAWSXIWTWFAWTWFUCBAWTHWFAKJUTZWTHUCUAEKFHJXJEHVA
      NVBVCRVDVEVFVGABVHZUEZXBXDAXBXKXDAXBXKUEZXDAXMXDAXMBXKUEZBVIZAXBBXKALIUTZ
      XBBVJTCBELIQVKVCVLVMVNVSVOVPVTUOWKWGWOWKFWNWFEWJFVQURVRUOWLCVHZUEZWKWFEWJ
      GUGZUCZWHAWKXQUHZXRAWQVHZXTAWKXQUJXRWKXQYBYAWLXQUKWKXQYBWKCWQWRWAUMUOBWSV
      HZWFEKGUGZUCZUPXBVHZWFELGUGZUCZUPYBXTUPAKLXEYCYBYEXTXEWSWQXFWAXEYDXSWFEKW
      JGUQURUSXGYFYBYHXTXGXBWQXHWAXGYGXSWFELWJGUQURUSABYCYEABYCUEZYEAYIXNXOAYCX
      KBAYCDBAYCDVHAWSDAXJWSDVJUACDEKJPVKVCWAUMABDSVPWBWCWDVNWEXLYHYFXLYGWFAYGW
      FUCZXKAXPYJTELGWFIXPEWFVAOVBVCVEVFVGVTUOWKWHXTWKGXSWFEWJGVQURVRUOVT $.
  $}

  ${
    elimifd.1 $e |- ( ph -> ( if ( ps , A , B ) = A -> ( ch <-> th ) ) ) $.
    elimifd.2 $e |- ( ph -> ( if ( ps , A , B ) = B -> ( ch <-> ta ) ) ) $.
    $( Elimination of a conditional operator contained in a wff ` ch ` .
       (Contributed by Thierry Arnoux, 25-Jan-2017.) $)
    elimifd $p |- ( ph -> ( ch <-> ( ( ps /\ th ) \/ ( -. ps /\ ta ) ) ) ) $=
      ( wn wo wa wb exmid biantrur a1i andir wceq syl5 pm5.32d iffalse orbi12d
      cif iftrue 3bitrd ) ACBBJZKZCLZBCLZUFCLZKZBDLZUFELZKCUHMAUGCBNOPUHUKMABUF
      CQPAUIULUJUMABCDBBFGUCZFRACDMBFGUDHSTAUFCEUFUNGRACEMBFGUAISTUBUE $.
  $}

  ${
    elim2if.1 $e |- ( if ( ph , A , if ( ps , B , C ) ) = A ->
                                                             ( ch <-> th ) ) $.
    elim2if.2 $e |- ( if ( ph , A , if ( ps , B , C ) ) = B ->
                                                             ( ch <-> ta ) ) $.
    elim2if.3 $e |- ( if ( ph , A , if ( ps , B , C ) ) = C ->
                                                             ( ch <-> et ) ) $.
    $( Elimination of two conditional operators contained in a wff ` ch ` .
       (Contributed by Thierry Arnoux, 25-Jan-2017.) $)
    elim2if $p |- ( ch <-> ( ( ph /\ th ) \/
                       ( -. ph /\ ( ( ps /\ ta ) \/ ( -. ps /\ et ) ) ) ) ) $=
      ( wa wn wo cif wceq wb eqeq1d syl6bir iftrue syl iffalse elimifd cases )
      ACDBEMBNFMOAAGBHIPZPZGQCDRAGUFUAJUBANZBCEFHIUHUFHQUGHQCERUHUGUFHAGUFUCZSK
      TUHUFIQUGIQCFRUHUGUFIUISLTUDUE $.

    elim2ifim.1 $e |- ( ph -> th ) $.
    elim2ifim.2 $e |- ( ( -. ph /\ ps ) -> ta ) $.
    elim2ifim.3 $e |- ( ( -. ph /\ -. ps ) -> et ) $.
    $( Elimination of two conditional operators for an implication.
       (Contributed by Thierry Arnoux, 25-Jan-2017.) $)
    elim2ifim $p |- ch $=
      ( wa wn wo ancli ex exmid pm4.42 ancld orim12i sylbi ax-mp elim2if mpbir
      imp ) CADPZAQZBEPZBQZFPZRZPZRZAUKRUQAUAAUJUKUPADMSUKUOUKUKBPZUKUMPZRUOUKB
      UBURULUSUNUKBULUKBEUKBENTUCUIUKUMUNUKUMFUKUMFOTUCUIUDUESUDUFABCDEFGHIJKLU
      GUH $.
  $}

  ${
    ifeq3da.1 $e |- ( if ( ps , E , F ) = E -> C = G ) $.
    ifeq3da.2 $e |- ( if ( ps , E , F ) = F -> C = H ) $.
    ifeq3da.3 $e |- ( ph -> G = A ) $.
    ifeq3da.4 $e |- ( ph -> H = B ) $.
    $( Given an expression ` C ` containing ` if ( ps , E , F ) ` , substitute
       (hypotheses .1 and .2) and evaluate (hypotheses .3 and .4) it for both
       cases at the same time.  (Contributed by Thierry Arnoux,
       13-Dec-2021.) $)
    ifeq3da $p |- ( ph -> if ( ps , A , B ) = C ) $=
      ( wa wceq cif syl adantl adantr eqtr2d iftrue wn iffalse ifeqda ) ABCDEAB
      NEHCBEHOZABBFGPZFOUEBFGUAJQRAHCOBLSTABUBZNEIDUGEIOZAUGUFGOUHBFGUCKQRAIDOU
      GMSTUD $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Set union
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A x $.  $d B x $.
    $( Sufficient and necessary condition for a union to intersect with a given
       set.  (Contributed by Thierry Arnoux, 27-Jan-2020.) $)
    uniinn0 $p |- ( ( U. A i^i B ) =/= (/) <-> E. x e. A ( x i^i B ) =/= (/) )
      $=
      ( cv cin c0 wne wrex cuni wral wceq nne ralbii ralnex cvv cdif wss unissb
      wn disj2 3bitr4ri 3bitr3i necon1abii ) ADZCEZFGZABHZBIZCEZFUFSZABJUEFKZAB
      JZUGSUIFKZUJUKABUEFLMUFABNUHOCPZQUDUNQZABJUMULABUNRUHCTUKUOABUDCTMUAUBUC
      $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Union of intersection.  Generalization of half of theorem "Distributive
       laws" in [Enderton] p. 30.  (Contributed by Thierry Arnoux,
       21-Jun-2020.) $)
    uniin1 $p |- U_ x e. A ( x i^i B ) = ( U. A i^i B ) $=
      ( cv cin ciun cuni iunin1 uniiun ineq1i eqtr4i ) ABADZCEFABLFZCEBGZCEABCL
      HNMCABIJK $.

    $( Union of intersection.  Generalization of half of theorem "Distributive
       laws" in [Enderton] p. 30.  (Contributed by Thierry Arnoux,
       21-Jun-2020.) $)
    uniin2 $p |- U_ x e. B ( A i^i x ) = ( A i^i U. B ) $=
      ( cv cin ciun cuni iunin2 uniiun ineq2i eqtr4i ) ACBADZEFBACLFZEBCGZEACBL
      HNMBACIJK $.
  $}

  $( Express a class difference using unions and class complements.
     (Contributed by Thierry Arnoux, 21-Jun-2020.) $)
  difuncomp $p |- ( A C_ C -> ( A \ B ) = ( C \ ( ( C \ A ) u. B ) ) ) $=
    ( wss cdif cin cun wceq sseqin2 biimpi incom eqtr3di difeq1d difundi ineq1d
    dfss4 syl5eq indif2 eqtrdi eqtr4d ) ACDZABEACFZBEZCCAEZBGEZUAAUBBUACAFZAUBU
    AUFAHACIJCAKLMUAUEACBEZFZUCUAUECUDEZUGFUHCUDBNUAUIAUGUAUIAHACPJOQACBRST $.

  ${
    elpwunicl.1 $e |- ( ph -> A e. ~P ~P B ) $.
    $( Closure of a set union with regard to elementhood to a power set.
       (Contributed by Thierry Arnoux, 21-Jun-2020.)  (Proof shortened by BJ,
       6-Apr-2024.) $)
    elpwunicl $p |- ( ph -> U. A e. ~P B ) $=
      ( cpw wcel cuni elpwpwel sylib ) ABCEZEFBGJFDBCHI $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Indexed union - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y z $.  $d z A $.  $d z B $.  $d z C $.
    cbviunf.x $e |- F/_ x A $.
    cbviunf.y $e |- F/_ y A $.
    cbviunf.1 $e |- F/_ y B $.
    cbviunf.2 $e |- F/_ x C $.
    cbviunf.3 $e |- ( x = y -> B = C ) $.
    $( Rule used to change the bound variables in an indexed union, with the
       substitution specified implicitly by the hypothesis.  (Contributed by
       NM, 26-Mar-2006.)  (Revised by Andrew Salmon, 25-Jul-2011.) $)
    cbviunf $p |- U_ x e. A B = U_ y e. A C $=
      ( vz cv wcel wrex cab ciun nfcri weq eleq2d df-iun cbvrexfw abbii 3eqtr4i
      ) KLZDMZACNZKOUDEMZBCNZKOACDPBCEPUFUHKUEUGABCFGBKDHQAKEIQABRDEUDJSUAUBAKC
      DTBKCETUC $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.  $d y D $.  $d y ph $.
    iuneq12daf.1 $e |- F/ x ph $.
    iuneq12daf.2 $e |- F/_ x A $.
    iuneq12daf.3 $e |- F/_ x B $.
    iuneq12daf.4 $e |- ( ph -> A = B ) $.
    iuneq12daf.5 $e |- ( ( ph /\ x e. A ) -> C = D ) $.
    $( Equality deduction for indexed union, deduction version.  (Contributed
       by Thierry Arnoux, 13-Mar-2017.) $)
    iuneq12daf $p |- ( ph -> U_ x e. A C = U_ x e. B D ) $=
      ( vy cv wcel wrex wb ciun wceq syl cab wal wa eleq2d rexbida rexeqf bitrd
      alrimiv abbi1 df-iun 3eqtr4g ) ALMZENZBCOZUKFNZBDOZPZLUAZBCEQZBDFQZRAUPLA
      UMUNBCOZUOAULUNBCGABMCNUBEFUKKUCUDACDRUTUOPJUNBCDHIUESUFUGUQUMLTUOLTURUSU
      MUOLUHBLCEUIBLDFUIUJS $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.
    iunin1f.1 $e |- F/_ x C $.
    $( Indexed union of intersection.  Generalization of half of theorem
       "Distributive laws" in [Enderton] p. 30.  Use ~ uniiun to recover
       Enderton's theorem.  (Contributed by NM, 26-Mar-2004.)  (Revised by
       Thierry Arnoux, 2-May-2020.) $)
    iunin1f $p |- U_ x e. A ( B i^i C ) = ( U_ x e. A B i^i C ) $=
      ( vy cin ciun cv wcel wrex wa nfcri r19.41 elin rexbii eliun anbi1i eqriv
      3bitr4i ) FABCDGZHZABCHZDGZFIZUAJZABKZUEUCJZUEDJZLZUEUBJUEUDJUECJZUILZABK
      UKABKZUILUGUJUKUIABAFDEMNUFULABUECDOPUHUMUIAUEBCQRTAUEBUAQUEUCDOTS $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.
    $( Subset equivalence for an indexed union.  (Contributed by Thierry
       Arnoux, 17-Oct-2016.) $)
    ssiun3 $p |- ( A. y e. C E. x e. A y e. B <-> C C_ U_ x e. A B ) $=
      ( ciun wss cv wcel wi wal wral wrex dfss2 df-ral eliun ralbii 3bitr2ri )
      EACDFZGBHZEITSIZJBKUABELTDIACMZBELBESNUABEOUAUBBEATCDPQR $.
  $}

  ${
    ssiun2sf.1 $e |- F/_ x A $.
    ssiun2sf.2 $e |- F/_ x C $.
    ssiun2sf.3 $e |- F/_ x D $.
    ssiun2sf.4 $e |- ( x = C -> B = D ) $.
    $( Subset relationship for an indexed union.  (Contributed by Thierry
       Arnoux, 31-Dec-2016.) $)
    ssiun2sf $p |- ( C e. A -> D C_ U_ x e. A B ) $=
      ( wcel ciun wss cv wi nfel nfiu1 nfss nfim wceq eleq1 imbi12d vtoclgf
      sseq1d ssiun2 pm2.43i ) DBJZEABCKZLZAMZBJZCUGLZNUFUHNADBGUFUHAADBGFOAEUGH
      ABCPQRUIDSZUJUFUKUHUIDBTULCEUGIUCUAABCUDUBUE $.
  $}

  ${
    $d i j n $.  $d j k n F $.  $d j k n ph $.
    iuninc.1 $e |- ( ph -> F Fn NN ) $.
    iuninc.2 $e |- ( ( ph /\ n e. NN ) -> ( F ` n ) C_ ( F ` ( n + 1 ) ) ) $.
    $( The union of an increasing collection of sets is its last element.
       (Contributed by Thierry Arnoux, 22-Jan-2017.) $)
    iuninc $p |- ( ( ph /\ i e. NN ) ->
      U_ n e. ( 1 ... i ) ( F ` n ) = ( F ` i ) ) $=
      ( vk wcel c1 cfz co cfv ciun wceq wi caddc iuneq1d fveq2 wa wsb vj imbi2d
      cv cn oveq2 eqeq12d csn cz 1z fzsn iuneq1 1ex iunxsn eqtri a1i cun simpll
      mp2b cuz elnnuz fzsuc sylbi iunxun ovex uneq2i eqtrdi simpr uneq1d simplr
      syl wss sbt sbim sban sbv clelsb1 anbi12i bitr2i wsbc csb sbsbc wb sbcssg
      cvv elv csbfv2g csbov1g fveq2i vex csbvargi oveq1i 3eqtri sseq12i 3bitrri
      csbfv imbi12i bitr4i mpbi ssequn1 sylib syl2anc 3eqtrd exp31 nnind impcom
      a2d ) BUCZUDHACIXGJKZCUCZDLZMZXGDLZNZACIUAUCZJKZXJMZXNDLZNZOACIIJKZXJMZID
      LZNZOACIGUCZJKZXJMZYCDLZNZOACIYCIPKZJKZXJMZYHDLZNZOAXMOUAGXGXNINZXRYBAYMX
      PXTXQYAYMCXOXSXJXNIIJUEQXNIDRUFUBXNYCNZXRYGAYNXPYEXQYFYNCXOYDXJXNYCIJUEQX
      NYCDRUFUBXNYHNZXRYLAYOXPYJXQYKYOCXOYIXJXNYHIJUEQXNYHDRUFUBXNXGNZXRXMAYPXP
      XKXQXLYPCXOXHXJXNXGIJUEQXNXGDRUFUBYBAXTCIUGZXJMZYAIUHHXSYQNXTYRNUIIUJCXSY
      QXJUKURCIXJYAULXIIDRUMUNUOYCUDHZAYGYLYSAYGYLYSASZYGSZYJYEYKUPZYFYKUPZYKUU
      AYSYJUUBNYSAYGUQZYSYJCYDYHUGZUPZXJMZUUBYSCYIUUFXJYSYCIUSLHYIUUFNYCUTIYCVA
      VBQUUGYECUUEXJMZUPUUBCYDUUEXJVCUUHYKYECYHXJYKYCIPVDXIYHDRUMVEUNVFVJUUAYEY
      FYKYTYGVGVHUUAAYSUUCYKNZYSAYGVIUUDAYSSZYFYKVKZUUIAXIUDHZSZXJXIIPKZDLZVKZO
      ZCGTZUUJUUKOZUUQCGFVLUURUUMCGTZUUPCGTZOUUSUUMUUPCGVMUUJUUTUUKUVAUUTACGTZU
      ULCGTZSUUJAUULCGVNUVBAUVCYSACGVOCGUDVPVQVRUVAUUPCYCVSZCYCXJVTZCYCUUOVTZVK
      ZUUKUUPCGWAUVDUVGWBGCYCXJUUOWDWCWEUVEYFUVFYKCYCDWOUVFCYCUUNVTZDLZCYCXIVTZ
      IPKZDLYKUVFUVINGCYCUUNWDDWFWEUVHUVKDUVHUVKNGCYCXIIPWDWGWEWHUVKYHDUVJYCIPC
      YCGWIWJWKWHWLWMWNWPWQWRYFYKWSWTXAXBXCXFXDXE $.
  $}

  ${
    $d x A $.  $d x O $.
    $( The intersection of a set is the complement of the union of the
       complements.  (Contributed by Thierry Arnoux, 19-Dec-2016.) $)
    iundifdifd $p |- ( A C_ ~P O ->
      ( A =/= (/) -> |^| A = ( O \ U_ x e. A ( O \ x ) ) ) ) $=
      ( cpw wss c0 cint cv cdif ciun wceq wa ciin iundif2 intiin difeq2i eqtr4i
      wne cuni intssuni2 unipw sseqtrdi dfss4 sylib eqtr2id ex ) BCDZEZBFRZBGZC
      ABCAHZIJZIZKUHUILZUMCCUJIZIZUJULUOCULCABUKMZIUOABCUKNUJUQCABOPQPUNUJCEUPU
      JKUNUJUGSCBUGTCUAUBUJCUCUDUEUF $.
  $}

  ${
    $d x A $.  $d x O $.
    iundifdif.o $e |- O e. _V $.
    iundifdif.2 $e |- A C_ ~P O $.
    $( The intersection of a set is the complement of the union of the
       complements.  TODO: shorten using ~ iundifdifd .  (Contributed by
       Thierry Arnoux, 4-Sep-2016.) $)
    iundifdif $p |- ( A =/= (/) -> |^| A = ( O \ U_ x e. A ( O \ x ) ) ) $=
      ( c0 wne cv cdif ciun cint ciin iundif2 intiin difeq2i eqtr4i wss wceq wa
      cpw cuni jctl intssuni2 unipw sseq2i biimpi 3syl dfss4 sylib eqtr2id ) BF
      GZCABCAHZIJZICCBKZIZIZUNUMUOCUMCABULLZIUOABCULMUNUQCABNOPOUKUNCQZUPUNRUKB
      CTZQZUKSUNUSUAZQZURUKUTEUBBUSUCVBURVACUNCUDUEUFUGUNCUHUIUJ $.
  $}

  ${
    $d x y z A $.  $d y z B $.  $d x y z C $.  $d x z D $.  $d x y F $.
    $d x y z ph $.
    iunrdx.1 $e |- ( ph -> F : A -onto-> C ) $.
    iunrdx.2 $e |- ( ( ph /\ y = ( F ` x ) ) -> D = B ) $.
    $( Re-index an indexed union.  (Contributed by Thierry Arnoux,
       6-Apr-2017.) $)
    iunrdx $p |- ( ph -> U_ x e. A B = U_ y e. C D ) $=
      ( vz cv wcel wrex cab ciun cfv wfo wf df-iun fof syl ffvelrnda wceq sylan
      foelrn wa eleq2d rexxfrd bicomd abbidv 3eqtr4g ) AKLZEMZBDNZKOUMGMZCFNZKO
      BDEPCFGPAUOUQKAUQUOAUPUNCBBLZHQZFDADFURHADFHRZDFHSIDFHUAUBUCAUTCLZFMVAUSU
      DZBDNIBDFVAHUFUEAVBUGGEUMJUHUIUJUKBKDETCKFGTUL $.
  $}

  ${
    $d A x y $.  $d B y $.  $d F x y $.
    $( Preimage of an indexed union.  (Contributed by Thierry Arnoux,
       27-Mar-2018.) $)
    iunpreima $p |- ( Fun F
      -> ( `' F " U_ x e. A B ) = U_ x e. A ( `' F " B ) ) $=
      ( vy wfun ccnv ciun cima cv cfv wcel cdm crab wrex wb a1i fncnvima2 sylbi
      wceq eliun rabbidv wfn funfn iunrab 3eqtr4d iuneq2d eqtr4d ) DFZDGZABCHZI
      ZABEJDKZCLZEDMZNZHZABUJCIZHUIUMUKLZEUONZUNABOZEUONZULUQUIUSVAEUOUSVAPUIAU
      MBCUAQUBUIDUOUCZULUTTDUDZEUOUKDRSUQVBTUIUNAEBUOUEQUFUIABURUPUIVCURUPTVDEU
      OCDRSUGUH $.
  $}

  ${
    $d A y z $.  $d B z $.  $d C x z $.  $d D y z $.  $d ph x y z $.
    iunrnmptss.1 $e |- ( y = B -> C = D ) $.
    iunrnmptss.2 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    $( A subset relation for an indexed union over the range of function
       expressed as a mapping.  (Contributed by Thierry Arnoux,
       27-Mar-2018.) $)
    iunrnmptss $p |- ( ph -> U_ y e. ran ( x e. A |-> B ) C C_ U_ x e. A D ) $=
      ( vz cv wcel cmpt wrex cab ciun wa wex df-iun wceq wral wb ralrimiva eqid
      crn df-rex elrnmptg syl anbi1d exbidv r19.41v eleq2d biimpa reximi sylbir
      exlimiv syl6bi syl5bi ss2abdv 3sstr4g ) AKLZFMZCBDENZUFZOZKPVBGMZBDOZKPCV
      EFQBDGQAVFVHKVFCLZVEMZVCRZCSZAVHVCCVEUGAVLVIEUAZBDOZVCRZCSVHAVKVOCAVJVNVC
      AEHMZBDUBVJVNUCAVPBDJUDBDEVIVDHVDUEUHUIUJUKVOVHCVOVMVCRZBDOVHVMVCBDULVQVG
      BDVMVCVGVMFGVBIUMUNUOUPUQURUSUTCKVEFTBKDGTVA $.
  $}

  ${
    $d C x $.  $d X x $.
    iunxunsn.1 $e |- ( x = X -> B = C ) $.
    $( Appending a set to an indexed union.  (Contributed by Thierry Arnoux,
       20-Nov-2023.) $)
    iunxunsn $p |- ( X e. V -> U_ x e. ( A u. { X } ) B = ( U_ x e. A B u. C )
       ) $=
      ( wcel csn cun ciun iunxun iunxsng uneq2d syl5eq ) FEHZABFIZJCKABCKZAQCKZ
      JRDJABQCLPSDRAFCDEGMNO $.

    $d D x $.  $d Y x $.
    iunxunpr.2 $e |- ( x = Y -> B = D ) $.
    $( Appending two sets to an indexed union.  (Contributed by Thierry Arnoux,
       20-Nov-2023.) $)
    iunxunpr $p |- ( ( X e. V /\ Y e. W )
       -> U_ x e. ( A u. { X , Y } ) B = ( U_ x e. A B u. ( C u. D ) ) ) $=
      ( wcel wa cpr cun ciun iunxun iunxprg uneq2d syl5eq ) HFLIGLMZABHINZOCPAB
      CPZAUBCPZOUCDEOZOABUBCQUAUDUEUCAHICDEFGJKRST $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Indexed intersection - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A t x y z $.  $d B t y z $.  $d V t $.
    $( Rewriting an indexed intersection into an intersection of its image set.
       (Contributed by Thierry Arnoux, 15-Jun-2024.) $)
    iinabrex $p |- ( A. x e. A B e. V
               -> |^|_ x e. A B = |^| { y | E. x e. A y = B } ) $=
      ( vt vz wcel wral cv cab wceq wi wal cvv nfra1 a1i ex wa wtru nfv alrimiv
      wrex ciin cint eleq2 vex rspa elabreximd adantl nfci nfre1 nfab nfel nfim
      nfal nfan elexd adantlr simplr wb tbtru sylib elabgt sylibr syl2anc eleq1
      rspe imbi12d spcgv syl21anc ralrimi impbida abbidv df-iin df-int 3eqtr4d
      imp ) DEHZACIZFJZDHZACIZFKZGJZBJDLZACUCZBKZHZWAWEHZMZGNZFKZACDUDZWHUEZVTW
      CWLFVTWCWLWCWLVTWCWKGWCWIWJWCWBWJABWEDCOWBACPWJAUAZWEDWAUFZWEOHWCGUGQWBAC
      UHUIRUBUJVTWLSZWBACVTWLAVSACPWKAGWIWJAAWEWHAFWEWPUKWGABWFACULUMUNWPUOUPUQ
      WRAJCHZWBWRWSSZDOHZWLDWHHZWBVTWSXAWLVTWSSDEVSACUHURUSZVTWLWSUTWTXAWFWGTVA
      ZMZBNZXBXCWSXFWRWSXEBWSWFXDWSWFSWGXDWFACVHWGVBVCRUBUJXAXFSXBTVAXBWGTBDOVD
      XBVBVEVFXAWLSXBWBXAWLXBWBMZWKXGGDOWEDLWIXBWJWBWEDWHVGWQVIVJVRVRVKRVLVMVNW
      NWDLVTAFCDVOQWOWMLVTFGWHVPQVQ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Disjointness - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y A $.  $d x y B $.
    $( In case ` x ` is not free in ` B ` , disjointness is not so interesting
       since it reduces to cases where ` A ` is a singleton.  (Google Groups
       discussion with Peter Mazsa.)  (Contributed by Thierry Arnoux,
       26-Jul-2018.) $)
    disjnf $p |- ( Disj_ x e. A B <-> ( B = (/) \/ E* x x e. A ) ) $=
      ( vy cin c0 wceq cv wral wdisj wcel wmo inidm eqeq1i orbi1i disjor ralbii
      wo eqidd r19.32v orcom bitri 3bitri moel orbi2i 3bitr4i ) CCEZFGZAHZDHGZD
      BIZABIZRZCFGZULRABCJZUNUIBKALZRUHUNULUGCFCMNOUOUJUHRZDBIZABIUHUKRZABIUMBC
      CADUJCSPURUSABURUHUJRZDBIUSUQUTDBUJUHUAQUHUJDBTUBQUHUKABTUCUPULUNADBUDUEU
      F $.
  $}

  ${
    $d x y z $.  $d y z A $.  $d z B $.  $d z C $.
    cbvdisjf.1 $e |- F/_ x A $.
    cbvdisjf.2 $e |- F/_ y B $.
    cbvdisjf.3 $e |- F/_ x C $.
    cbvdisjf.4 $e |- ( x = y -> B = C ) $.
    $( Change bound variables in a disjoint collection.  (Contributed by
       Thierry Arnoux, 6-Apr-2017.) $)
    cbvdisjf $p |- ( Disj_ x e. A B <-> Disj_ y e. A C ) $=
      ( vz cv wcel wrmo wal wdisj wa wmo nfcri nfan df-rmo eleq1w eleq2d cbvmow
      nfv weq anbi12d 3bitr4i albii df-disj ) JKZDLZACMZJNUJELZBCMZJNACDOBCEOUL
      UNJAKCLZUKPZAQBKCLZUMPZBQULUNUPURABUOUKBUOBUDBJDGRSUQUMAABCFRAJEHRSABUEZU
      OUQUKUMABCUAUSDEUJIUBUFUCUKACTUMBCTUGUHAJCDUIBJCEUIUG $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.
    disjss1f.1 $e |- F/_ x A $.
    disjss1f.2 $e |- F/_ x B $.
    $( A subset of a disjoint collection is disjoint.  (Contributed by Thierry
       Arnoux, 6-Apr-2017.) $)
    disjss1f $p |- ( A C_ B -> ( Disj_ x e. B C -> Disj_ x e. A C ) ) $=
      ( vy wss cv wcel wrmo wal wdisj ssrmof alimdv df-disj 3imtr4g ) BCHZGIDJZ
      ACKZGLSABKZGLACDMABDMRTUAGSABCEFNOAGCDPAGBDPQ $.

    $( Equality theorem for disjoint collection.  (Contributed by Mario
       Carneiro, 14-Nov-2016.) $)
    disjeq1f $p |- ( A = B -> ( Disj_ x e. A C <-> Disj_ x e. B C ) ) $=
      ( wceq wdisj wss wi eqimss2 disjss1f syl eqimss impbid ) BCGZABDHZACDHZPC
      BIQRJCBKACBDFELMPBCIRQJBCNABCDEFLMO $.
  $}

  ${
    $d A y $.  $d B y $.  $d C y $.  $d ph x y $.
    disjxun0.1 $e |- ( ( ph /\ x e. B ) -> C = (/) ) $.
    $( Simplify a disjoint union.  (Contributed by Thierry Arnoux,
       27-Nov-2023.) $)
    disjxun0 $p |- ( ph -> ( Disj_ x e. ( A u. B ) C <-> Disj_ x e. A C ) ) $=
      ( vy cv wcel cun wrmo wal wdisj wa c0 wceq wn nel02 syl df-disj rmounid
      albidv 3bitr4g ) AGHZEIZBCDJZKZGLUEBCKZGLBUFEMBCEMAUGUHGAUEBCDABHDINEOPUE
      QFEUDRSUAUBBGUFETBGCETUC $.
  $}

  ${
    $d x A $.  $d x B $.
    $( A trivial partition into a subset and its complement.  (Contributed by
       Thierry Arnoux, 25-Dec-2016.) $)
    disjdifprg $p |- ( ( A e. V /\ B e. W ) ->
        Disj_ x e. { ( B \ A ) , A } x ) $=
      ( wcel wa c0 wceq cdif cpr wdisj simpr wb cvv id 0ex a1i adantr mpbiri cv
      csn disjxsn eqidd preqsnd mpbir2and disjeq1d wne cin elex disjprg syl3anc
      in0 pm2.61dane ad2antlr difeq2 dif0 eqtrdi preq12d adantl mpbird disjdifr
      difexg ad2antrr wss ssid ssdifeq0 notbii nssne2 sylan2br mpan pm2.61dan
      wn ) BDFZCEFZGZBHIZACBJZBKZAUAZLZVPVQGWAACHKZVTLZVOWCVNVQVOWCCHVOCHIZGZWC
      AHUBZVTLAHVTUCWEAWBWFVTWEWBWFIZWDHHIZVOWDMWEHUDVOWGWDWHGNWDVOCHHEOVOPHOFZ
      VOQRUESUFUGTVOCHUHZGZWCCHUIHIZCUMWKCOFZWIWJWCWLNVOWMWJCEUJSWIWKQRVOWJMACH
      VTCHOVTCIPVTHIPUKULTUNUOVQWAWCNVPVQAVSWBVTVQVRCBHVQVRCHJCBHCUPCUQURVQPUSU
      GUTVAVPVQVMZGZWAVRBUIHIZBCVBWOVROFZBOFZVRBUHZWAWPNVOWQVNWNCBEVCUOVNWRVOWN
      BDUJVDWNWSVPVRVRVEZWNWSVRVFWNWTBVRVEZVMWSXAVQBCVGVHVRBVRVIVJVKUTAVRBVTVRB
      OVTVRIPVTBIPUKULTVL $.
  $}

  ${
    $d x A $.  $d x B $.
    $( A trivial partition of a set into its difference and intersection with
       another set.  (Contributed by Thierry Arnoux, 25-Dec-2016.) $)
    disjdifprg2 $p |-
        ( A e. V -> Disj_ x e. { ( A \ B ) , ( A i^i B ) } x ) $=
      ( wcel cin cdif cpr wdisj cvv inex1g elex disjdifprg syl2anc difin preq1i
      cv wceq a1i disjeq1d mpbid ) BDEZABBCFZGZUCHZAQZIZABCGZUCHZUFIUBUCJEBJEUG
      BCDKBDLAUCBJJMNUBAUEUIUFUEUIRUBUDUHUCBCOPSTUA $.
  $}

  ${
    $d x y z A $.  $d y z B $.  $d z C $.  $d x z Y $.
    disjif.1 $e |- F/_ x C $.
    disjif.2 $e |- ( x = Y -> B = C ) $.
    $( Property of a disjoint collection: if ` B ( x ) = C ` and
       ` B ( Y ) = D ` , and ` x =/= Y ` , then ` B ` and ` C ` are disjoint.
       (Contributed by Thierry Arnoux, 30-Dec-2016.) $)
    disji2f $p |- ( ( Disj_ x e. A B /\ ( x e. A /\ Y e. A ) /\
      x =/= Y ) -> ( B i^i C ) = (/) ) $=
      ( vy vz cv wcel wa cin c0 wceq wo weq csb wral eqeq1d wdisj df-ne disjors
      wn equequ1 csbeq1 csbid eqtrdi ineq1d orbi12d eqeq2 csbhypf ineq2d rspc2v
      wne nfcv syl5bi impcom ord 3impia ) ABCUAZAJZBKEBKLZVBEUOZCDMZNOZVDVBEOZU
      DVAVCLZVFVBEUBVHVGVFVCVAVGVFPZVAHIQZAHJZCRZAIJZCRZMZNOZPZIBSHBSVCVIABCHIU
      CVQVIAIQZCVNMZNOZPHIVBEBBHAQZVJVRVPVTHAIUEWAVOVSNWAVLCVNWAVLAVBCRCAVKVBCU
      FACUGUHUITUJVMEOZVRVGVTVFVMEVBUKWBVSVENWBVNDCAIECDAEUPFGULUMTUJUNUQURUSUQ
      UT $.

    $( Property of a disjoint collection: if ` B ( x ) ` and ` B ( Y ) = D `
       have a common element ` Z ` , then ` x = Y ` .  (Contributed by Thierry
       Arnoux, 30-Dec-2016.) $)
    disjif $p |- ( ( Disj_ x e. A B /\ ( x e. A /\ Y e. A ) /\
      ( Z e. B /\ Z e. C ) ) -> x = Y ) $=
      ( wcel wa wdisj cv cin c0 wne wceq inelcm disji2f 3expia necon1d syl3an3
      3impia ) FCIFDIJABCKZALZBIEBIJZCDMZNOZUDEPZFCDQUCUEUGUHUCUEJUDEUFNUCUEUDE
      OUFNPABCDEGHRSTUBUA $.
  $}

  ${
    $d i j x $.  $d x A $.  $d j x B $.  $d i x C $.
    disjorf.1 $e |- F/_ i A $.
    disjorf.2 $e |- F/_ j A $.
    disjorf.3 $e |- ( i = j -> B = C ) $.
    $( Two ways to say that a collection ` B ( i ) ` for ` i e. A ` is
       disjoint.  (Contributed by Thierry Arnoux, 8-Mar-2017.) $)
    disjorf $p |- ( Disj_ i e. A B <->
      A. i e. A A. j e. A ( i = j \/ ( B i^i C ) = (/) ) ) $=
      ( vx cv wcel wal wceq wo wral wi ralcom4 wex bitri bitr4i wrmo c0 df-disj
      wdisj cin wa wn orcom df-or neq0 exbii imbi1i 19.23v 3bitri ralbii eleq2d
      elin nfv rmo4f albii 3bitr4i ) DABUDIJZBKZDAUAZILZDJEJMZBCUEZUBMZNZEAOZDA
      OZDIABUCVCVBCKZUFZVFPZEAOZILZDAOVODAOZILVKVEVODIAQVJVPDAVJVNILZEAOVPVIVRE
      AVIVHVFNVHUGZVFPZVRVFVHUHVHVFUIVTVMIRZVFPVRVSWAVFVSVBVGKZIRWAIVGUJWBVMIVB
      BCUQUKSULVMVFIUMTUNUOVNEIAQSUOVDVQIVCVLDEAFGVLDURVFBCVBHUPUSUTVAT $.
  $}

  ${
    $d i j x $.  $d i j A $.  $d i j B $.
    disjorsf.1 $e |- F/_ x A $.
    $( Two ways to say that a collection ` B ( i ) ` for ` i e. A ` is
       disjoint.  (Contributed by Thierry Arnoux, 8-Mar-2017.) $)
    disjorsf $p |- ( Disj_ x e. A B <-> A. i e. A A. j e. A
      ( i = j \/ ( [_ i / x ]_ B i^i [_ j / x ]_ B ) = (/) ) ) $=
      ( wdisj cv csb wceq cin c0 wo wral nfcsb1v csbeq1a cbvdisjf csbeq1 disjor
      nfcv bitri ) ABCGDBADHZCIZGUBEHZJUCAUDCIZKLJMEBNDBNADBCUCFDCTAUBCOAUBCPQB
      UCUEDEAUBUDCRSUA $.
  $}

  ${
    $d x y z $.  $d y z A $.  $d y z B $.  $d z C $.  $d x z Y $.
    disjif2.1 $e |- F/_ x A $.
    disjif2.2 $e |- F/_ x C $.
    disjif2.3 $e |- ( x = Y -> B = C ) $.
    $( Property of a disjoint collection: if ` B ( x ) ` and ` B ( Y ) = D `
       have a common element ` Z ` , then ` x = Y ` .  (Contributed by Thierry
       Arnoux, 6-Apr-2017.) $)
    disjif2 $p |- ( ( Disj_ x e. A B /\ ( x e. A /\ Y e. A ) /\
      ( Z e. B /\ Z e. C ) ) -> x = Y ) $=
      ( vy vz wcel wa cv cin c0 wceq wo weq csb wdisj wne wral disjorsf equequ1
      inelcm csbeq1 csbid eqtrdi ineq1d eqeq1d orbi12d eqeq2 nfcv ineq2d rspc2v
      csbhypf syl5bi impcom ord necon1ad 3impia syl3an3 ) FCLFDLMABCUAZANZBLEBL
      MZCDOZPUBZVEEQZFCDUFVDVFVHVIVDVFMZVIVGPVJVIVGPQZVFVDVIVKRZVDJKSZAJNZCTZAK
      NZCTZOZPQZRZKBUCJBUCVFVLABCJKGUDVTVLAKSZCVQOZPQZRJKVEEBBJASZVMWAVSWCJAKUE
      WDVRWBPWDVOCVQWDVOAVECTCAVNVECUGACUHUIUJUKULVPEQZWAVIWCVKVPEVEUMWEWBVGPWE
      VQDCAKECDAEUNHIUQUOUKULUPURUSUTVAVBVC $.
  $}

  ${
    $d i j x y z A $.  $d i j y z B $.
    $( Rewriting a disjoint collection into a partition of its image set.
       (Contributed by Thierry Arnoux, 30-Dec-2016.) $)
    disjabrex $p |- ( Disj_ x e. A B
                                   -> Disj_ y e. { z | E. x e. A z = B } y ) $=
      ( vi vj wdisj cv wcel csb wa cab cuni wceq wral cvv vex simpllr syl nfcri
      wrex nfdisj1 nfcv nfcsb1v nfan nfuni nfcsb1 nfeq1 nfralw eqeq2 raleqbi1dv
      nfv a1i csn simplll simprl simplr simprr csbeq1a syl122anc simpr eqeltrrd
      nfab disjif wb eleq2d mpbid jca impbida equcom bitrdi abbidv df-sn unieqd
      eqtr4di unisn eqtrdi csbeq1 csbid ralrimiva elabreximd invdisj ) ADEHZAFI
      ZDJZGIZAWEEKZJZLZFMZNZEKZBIZOZGWNPZBCIEOADUBCMZPBWQWNHWDWPBWQWDWMEOZGEPWP
      ACWNEDQADEUCWOAGWNAWNUDAWMWNAWLEAWKWJAFWFWIAWFAUMAGWHAWEEUEZUAUFVDUGUHUIU
      JWOWRGWNEWNEWMUKULWNQJWDBRUNWDAIZDJZLZWRGEXBWGEJZLZWLWTOZWRXDWLWTUOZNWTXD
      WKXFXDWKWEWTOZFMXFXDWJXGFXDWJWTWEOZXGXDWJXHXDWJLWDXAWFXCWIXHWDXAXCWJUPWDX
      AXCWJSXDWFWIUQXBXCWJURXDWFWIUSADEWHWEWGWSAWEEUTZVEVAXDXHLZWFWIXJWTWEDXDXH
      VBZWDXAXCXHSVCXJXCWIXBXCXHURXJXHXCWIVFXKXHEWHWGXIVGTVHVIVJAFVKVLVMFWTVNVP
      VOWTARVQVRXEWMAWTEKEAWLWTEVSAEVTVRTWAWBWABGWQWNWMWCT $.
  $}

  ${
    $d i j x y z $.  $d i j y z A $.  $d i j y z B $.
    disjabrexf.1 $e |- F/_ x A $.
    $( Rewriting a disjoint collection into a partition of its image set.
       (Contributed by Thierry Arnoux, 30-Dec-2016.)  (Revised by Thierry
       Arnoux, 9-Mar-2017.) $)
    disjabrexf $p |- ( Disj_ x e. A B
                                   -> Disj_ y e. { z | E. x e. A z = B } y ) $=
      ( vi vj wdisj cv wcel csb wa cab cuni wceq wral cvv nfcri syl wrex nfcsb1
      nfdisj1 nfcv nfcsb1v nfan nfuni nfeq1 nfralw eqeq2 raleqbi1dv vex a1i csn
      nfab simplll simpllr simprl simplr simprr csbeq1a disjif2 syl122anc simpr
      eqeltrrd wb eleq2d mpbid impbida equcom bitrdi abbidv df-sn eqtr4di unisn
      jca unieqd eqtrdi csbeq1 csbid ralrimiva elabreximd invdisj ) ADEIZAGJZDK
      ZHJZAWEELZKZMZGNZOZELZBJZPZHWNQZBCJEPADUACNZQBWQWNIWDWPBWQWDWMEPZHEQWPACW
      NEDRADEUCWOAHWNAWNUDAWMWNAWLEAWKWJAGWFWIAAGDFSAHWHAWEEUEZSUFUOUGUBUHUIWOW
      RHWNEWNEWMUJUKWNRKWDBULUMWDAJZDKZMZWRHEXBWGEKZMZWLWTPZWRXDWLWTUNZOWTXDWKX
      FXDWKWEWTPZGNXFXDWJXGGXDWJWTWEPZXGXDWJXHXDWJMWDXAWFXCWIXHWDXAXCWJUPWDXAXC
      WJUQXDWFWIURXBXCWJUSXDWFWIUTADEWHWEWGFWSAWEEVAZVBVCXDXHMZWFWIXJWTWEDXDXHV
      DZWDXAXCXHUQVEXJXCWIXBXCXHUSXJXHXCWIVFXKXHEWHWGXIVGTVHVPVIAGVJVKVLGWTVMVN
      VQWTAULVOVRXEWMAWTELEAWLWTEVSAEVTVRTWAWBWABHWQWNWMWCT $.
  $}

  ${
    $d x y z A $.  $d x y z F $.  $d y z B $.
    $( A preimage of a disjoint set is disjoint.  (Contributed by Thierry
       Arnoux, 7-Feb-2017.) $)
    disjpreima $p |- ( ( Fun F /\ Disj_ x e. A B )
                                              -> Disj_ x e. A ( `' F " B ) ) $=
      ( vy vz wdisj cima cv wceq csb cin c0 wral csbima12 cvv csbconstg imaeq1i
      wo elv wfun ccnv inpreima imaeq2 eqtrdi sylan9req ex eqtri ineq12i eqeq1i
      ima0 syl6ibr orim2d ralimdv disjors 3imtr4g imp ) DUAZABCGZABDUBZCHZGZURE
      IZFIZJZAVCCKZAVDCKZLZMJZSZFBNZEBNVEAVCVAKZAVDVAKZLZMJZSZFBNZEBNUSVBURVKVQ
      EBURVJVPFBURVIVOVEURVIUTVFHZUTVGHZLZMJZVOURVIWAURVIVTUTVHHZMVFVGDUCVIWBUT
      MHMVHMUTUDUTUKUEUFUGVNVTMVLVRVMVSVLAVCUTKZVFHVRAVCCUTOWCUTVFWCUTJEAVCUTPQ
      TRUHVMAVDUTKZVGHVSAVDCUTOWDUTVGWDUTJFAVDUTPQTRUHUIUJULUMUNUNABCEFUOABVAEF
      UOUPUQ $.
  $}

  ${
    $d A x y z $.  $d B y z $.
    $( Rewriting a disjoint collection using the range of a mapping.
       (Contributed by Thierry Arnoux, 27-May-2020.) $)
    disjrnmpt $p |- ( Disj_ x e. A B -> Disj_ y e. ran ( x e. A |-> B ) y ) $=
      ( vz wdisj cv wceq wrex cab cmpt crn disjabrex wb eqid rnmpt ax-mp sylibr
      disjeq1 ) ACDFBEGDHACIEJZBGZFZBACDKZLZUAFZABECDMUDTHUEUBNAECDUCUCOPBUDTUA
      SQR $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.
    $( If a collection is disjoint, so is the collection of the intersections
       with a given set.  (Contributed by Thierry Arnoux, 14-Feb-2017.) $)
    disjin $p |- ( Disj_ x e. B C -> Disj_ x e. B ( C i^i A ) ) $=
      ( vy cv wcel wrmo wal cin wdisj elinel1 rmoimi alimi df-disj 3imtr4i ) EF
      ZDGZACHZEIQDBJZGZACHZEIACDKACTKSUBEUARACQDBLMNAECDOAECTOP $.

    $( If a collection is disjoint, so is the collection of the intersections
       with a given set.  (Contributed by Thierry Arnoux, 21-Jun-2020.) $)
    disjin2 $p |- ( Disj_ x e. B C -> Disj_ x e. B ( A i^i C ) ) $=
      ( vy cv wcel wrmo wal cin wdisj elinel2 rmoimi alimi df-disj 3imtr4i ) EF
      ZDGZACHZEIQBDJZGZACHZEIACDKACTKSUBEUARACQBDLMNAECDOAECTOP $.
  $}

  ${
    $d a c p q r x A $.  $d b d p q r y B $.  $d a c p C $.  $d b d p D $.
    $d q r x E $.  $d q r y F $.  $d q r ph $.
    disjxpin.1 $e |- ( x = ( 1st ` p ) -> C = E ) $.
    disjxpin.2 $e |- ( y = ( 2nd ` p ) -> D = F ) $.
    disjxpin.3 $e |- ( ph -> Disj_ x e. A C ) $.
    disjxpin.4 $e |- ( ph -> Disj_ y e. B D ) $.
    $( Derive a disjunction over a Cartesian product from the disjunctions over
       its first and second elements.  (Contributed by Thierry Arnoux,
       9-Mar-2018.) $)
    disjxpin $p |- ( ph -> Disj_ p e. ( A X. B ) ( E i^i F ) ) $=
      ( wceq cin csb c0 wo wa vq vr va vc vb vd cv cxp wral wdisj wcel c1st cfv
      c2nd xp1st ad2antrl ad2antll simpl sylib eqeq1 csbeq1 ineq1d eqeq1d eqeq2
      disjors orbi12d ineq2d rspc2v syl5 imp syl21anc xp2nd jca anddi wb xpopth
      orass adantl biimpd wss inss2 csbin ineq12i in4 eqtri cvv csbnestgw ax-mp
      wi vex fvex csbie csbeq2i csbfv 3eqtr3ri 3sstr4i sseq0 mpan adantld inss1
      a1i adantrd jaod orim12d mpd ralrimivva sylibr ) AUAUGZUBUGZOZJXHHIPZQZJX
      IXKQZPZROZSZUBDEUHZUIUAXQUIJXQXKUJAXPUAUBXQXQAXHXQUKZXIXQUKZTZTZXHULUMZXI
      ULUMZOZXHUNUMZXIUNUMZOZTZYDCYEGQZCYFGQZPZROZTZBYBFQZBYCFQZPZROZYGTZYQYLTZ
      SZSZSZXPYAYHYMSYTSZUUBYAYDYQSZYGYLSZTUUCYAUUDUUEYAYBDUKZYCDUKZAUUDXRUUFAX
      SXHDEUOUPXSUUGAXRXIDEUOUQAXTURZUUFUUGTZAUUDAUCUGZUDUGZOZBUUJFQZBUUKFQZPZR
      OZSZUDDUIUCDUIZUUIUUDABDFUJUURMBDFUCUDVEUSUUQUUDYBUUKOZYNUUNPZROZSUCUDYBY
      CDDUUJYBOZUULUUSUUPUVAUUJYBUUKUTUVBUUOUUTRUVBUUMYNUUNBUUJYBFVAVBVCVFUUKYC
      OZUUSYDUVAYQUUKYCYBVDUVCUUTYPRUVCUUNYOYNBUUKYCFVAVGVCVFVHVIVJVKYAYEEUKZYF
      EUKZAUUEXRUVDAXSXHDEVLUPXSUVEAXRXIDEVLUQUUHUVDUVETZAUUEAUEUGZUFUGZOZCUVGG
      QZCUVHGQZPZROZSZUFEUIUEEUIZUVFUUEACEGUJUVONCEGUEUFVEUSUVNUUEYEUVHOZYIUVKP
      ZROZSUEUFYEYFEEUVGYEOZUVIUVPUVMUVRUVGYEUVHUTUVSUVLUVQRUVSUVJYIUVKCUVGYEGV
      AVBVCVFUVHYFOZUVPYGUVRYLUVHYFYEVDUVTUVQYKRUVTUVKYJYICUVHYFGVAVGVCVFVHVIVJ
      VKVMYDYQYGYLVNUSYHYMYTVQUSYAYHXJUUAXOYAYHXJXTYHXJVOAXHXIDEDEVPVRVSYAYMXOY
      TYAYLXOYDYLXOWIYAXNYKVTYLXOJXHHQZJXIHQZPZJXHIQZJXIIQZPZPZUWFXNYKUWCUWFWAX
      NUWAUWDPZUWBUWEPZPUWGXLUWHXMUWIJXHHIWBJXIHIWBWCUWAUWDUWBUWEWDWEZYIUWDYJUW
      EJXHCJUGZUNUMZGQZQZCJXHUWLQZGQZUWDYIXHWFUKZUWNUWPOUAWJZJCXHUWLGWFWGWHJXHU
      WMICUWLGIUWKUNWKLWLZWMUWOYEOUWPYIOJXHUNWNCUWOYEGVAWHWOJXIUWMQZCJXIUWLQZGQ
      ZUWEYJXIWFUKZUWTUXBOUBWJZJCXIUWLGWFWGWHJXIUWMIUWSWMUXAYFOUXBYJOJXIUNWNCUX
      AYFGVAWHWOWCWPXNYKWQWRXAZWSYAYRXOYSYAYQXOYGYQXOWIYAXNYPVTYQXOUWGUWCXNYPUW
      CUWFWTUWJYNUWAYOUWBJXHBUWKULUMZFQZQZBJXHUXFQZFQZUWAYNUWQUXHUXJOUWRJBXHUXF
      FWFWGWHJXHUXGHBUXFFHUWKULWKKWLZWMUXIYBOUXJYNOJXHULWNBUXIYBFVAWHWOJXIUXGQZ
      BJXIUXFQZFQZUWBYOUXCUXLUXNOUXDJBXIUXFFWFWGWHJXIUXGHUXKWMUXMYCOUXNYOOJXIUL
      WNBUXMYCFVAWHWOWCWPXNYPWQWRXAXBYAYLXOYQUXEWSXCXCXDXEXFJXQXKUAUBVEXG $.
  $}

  ${
    $d a b k m n x y $.  $d a b m x y A $.  $d a b m x y B $.
    iundisjf.1 $e |- F/_ k A $.
    iundisjf.2 $e |- F/_ n B $.
    iundisjf.3 $e |- ( n = k -> A = B ) $.
    $( Rewrite a countable union as a disjoint union.  Cf. ~ iundisj .
       (Contributed by Thierry Arnoux, 31-Dec-2016.) $)
    iundisjf $p |- U_ n e. NN A = U_ n e. NN ( A \ U_ k e. ( 1 ..^ n ) B ) $=
      ( vx vm cn ciun c1 cv cfzo wcel wrex cr clt nfcv nfcri cdif csb crab cinf
      co wa cuz cfv wss wne ssrab2 nnuz sseqtri rabn0 biimpri infssuzcl sylancr
      c0 nfrab1 nfinf nfcsb1 wceq csbeq1a eleq2d elrabf sylib simpld simprd wbr
      nnred ltnrd eliun nfrex nfrabw nfbr ad2antrr eleqtrrdi ad2antlr cle simpr
      elfzouz sylanbrc elfzolt2 lelttrd exp31 rexlimd syl5bi mtod eldifd csbeq1
      infssuzle nfeq2 oveq2 eqidd iuneq12df difeq12d rspcev syl2anc nfv nfcsb1v
      nfiun nfdif iuneq1d cbvrexw sylibr eldifi reximi impbii 3bitr4i eqriv
      nfov ) HDJAKZDJACLDMZNUEZBKZUAZKZHMZAOZDJPZXRXPOZDJPZXRXLOXRXQOXTYBXTXRDI
      MZAUBZCLYCNUEZBKZUAZOZIJPZYBXTXSDJUCZQRUDZJOZXRDYKAUBZCLYKNUEZBKZUAZOZYIX
      TYLXRYMOZXTYKYJOZYLYRUFXTYJLUGUHZUIZYJURUJZYSYJJYTXSDJUKULUMZUUBXTXSDJUNU
      OYJLUPUQXSYRDYKJDYJQRXSDJUSDQSDRSUTZDJSZDHYMDYKAUUDVATXMYKVBAYMXRDYKAVCVD
      VEVFZVGZXTXRYMYOXTYLYRUUFVHXTXRYOOZYKYKRVIZXTYKXTYKUUGVJZVKUUHXRBOZCYNPXT
      UUICXRYNBVLXTUUKUUICYNXSCDJCJSZCHAETZVMCYKYKRCYJQRXSCDJUUMUULVNCQSCRSZUTZ
      UUNUUOVOXTCMZYNOZUUKUUIXTUUQUFZUUKUFZYKUUPYKXTYKQOUUQUUKUUJVPZUUSUUPUUQUU
      PJOZXTUUKUUQUUPYTJUUPLYKWAULVQVRZVJUUTUUSUUAUUPYJOZYKUUPVSVIUUCUUSUVAUUKU
      VCUVBUURUUKVTXSUUKDUUPJDUUPSUUEDHBFTXMUUPVBABXRGVDVEWBUUPYJLWKUQUUQUUPYKR
      VIXTUUKUUPLYKWCVRWDWEWFWGWHWIYHYQIYKJYCYKVBZYGYPXRUVDYDYMYFYODYCYKAWJUVDC
      YEYNBBCYCYKUUOWLCYESCLYKNCLSCNSUUOXKYCYKLNWMUVDBWNWOWPVDWQWRYAYHDIJYAIWSD
      HYGDYDYFDYCAWTCDYEBDYESFXAXBTXMYCVBZXPYGXRUVEAYDXOYFDYCAVCUVECXNYEBXMYCLN
      WMXCWPVDXDXEYAXSDJXRAXOXFXGXHDXRJAVLDXRJXPVLXIXJ $.

    $( A disjoint union is disjoint.  Cf. ~ iundisj2 .  (Contributed by Thierry
       Arnoux, 30-Dec-2016.) $)
    iundisj2f $p |- Disj_ n e. NN ( A \ U_ k e. ( 1 ..^ n ) B ) $=
      ( vx vy va vb cn c1 cv cfzo weq csb cin c0 wcel ciun cdif wdisj wceq wral
      co wo wtru tru eqeq12 csbeq1 ineqan12d eqeq1d orbi12d equcom bitrdi incom
      wa eqtrdi cr wss nnssre a1i biidd cle wbr w3a wn wne nesym clt wb nnre id
      leltne syl3an vex nfcsb1v nfcv nfiun nfdif csbeq1a oveq2 iuneq1d difeq12d
      wi csbief ineq12i cuz cfv simp1 nnuz eleqtrdi simp2 nnzd elfzo2 syl3anbrc
      simp3 nfcsbw csbhypf equcoms eqcomd ssiun2sf syl ssdifssd ssrind eqsstrid
      cz disjdif sylancl 3expia 3adant3 sylbird syl5bir orrd adantl wlogle mpan
      sseq0 rgen2 disjors mpbir ) DLACMDNZOUFZBUAZUBZUCHIPZDHNZYFQZDINZYFQZRZSU
      DZUGZILUEHLUEYNHILLUHYHLTZYJLTZURZYNUIUHJKPZDJNZYFQZDKNZYFQZRZSUDZUGYNYNH
      IJKLJHPZKIPZURZYRYGUUDYMYSYHUUAYJUJUUGUUCYLSUUEUUFYTYIUUBYKDYSYHYFUKDUUAY
      JYFUKULUMUNJIPZKHPZURZYRYGUUDYMUUJYRIHPYGYSYJUUAYHUJIHUOUPUUJUUCYLSUUJUUC
      YKYIRYLUUHUUIYTYKUUBYIDYSYJYFUKDUUAYHYFUKULYKYIUQUSUMUNLUTVAUHVBVCUHYQURY
      NVDYOYPYHYJVEVFZVGZYNUHUULYGYMYGVHYJYHVIZUULYMYJYHVJUULUUMYHYJVKVFZYMYOYH
      UTTYPYJUTTUUKUUKUUNUUMVLYHVMYJVMUUKVNYHYJVOVPYOYPUUNYMWFUUKYOYPUUNYMYOYPU
      UNVGZYLCMYJOUFZBUAZDYJAQZUUQUBZRZVAUUTSUDYMUUOYLDYHAQZCMYHOUFZBUAZUBZUUSR
      UUTYIUVDYKUUSDYHYFUVDHVQDUVAUVCDYHAVRCDUVBBDUVBVSFVTWADHPZAUVAYEUVCDYHAWB
      UVECYDUVBBYCYHMOWCWDWEWGDYJYFUUSIVQDUURUUQDYJAVRCDUUPBDUUPVSFVTWADIPZAUUR
      YEUUQDYJAWBUVFCYDUUPBYCYJMOWCWDWEWGWHUUOUVDUUQUUSUUOUVAUUQUVCUUOYHUUPTZUV
      AUUQVAUUOYHMWIWJZTYJXHTUUNUVGUUOYHLUVHYOYPUUNWKWLWMUUOYJYOYPUUNWNWOYOYPUU
      NWRYHMYJWPWQCUUPBYHUVACUUPVSCYHVSZCDYHAUVIEWSCHPUVABUVABUDHCDHCNZABDUVJVS
      FGWTXAXBXCXDXEXFXGUUQUURXIYLUUTXSXJXKXLXMXNXOXPXQXRXTDLYFHIYAYB $.
  $}

  ${
    $d x y z A $.  $d y z B $.  $d x y z C $.  $d x z D $.  $d x y F $.
    $d x y z ph $.
    disjrdx.1 $e |- ( ph -> F : A -1-1-onto-> C ) $.
    disjrdx.2 $e |- ( ( ph /\ y = ( F ` x ) ) -> D = B ) $.
    $( Re-index a disjunct collection statement.  (Contributed by Thierry
       Arnoux, 7-Apr-2017.) $)
    disjrdx $p |- ( ph -> ( Disj_ x e. A B <-> Disj_ y e. C D ) ) $=
      ( vz cv wcel wrmo wal wdisj wa wceq wreu df-disj cfv wf1o wf f1of f1ofveu
      ffvelrnda sylan eqcom reubii sylib eleq2d rmoxfrd bicomd albidv 3bitr4g
      syl ) AKLZEMZBDNZKOUQGMZCFNZKOBDEPCFGPAUSVAKAVAUSAUTURCBBLZHUAZFDADFVBHAD
      FHUBZDFHUCIDFHUDUPUFACLZFMZQVCVERZBDSZVEVCRZBDSAVDVFVHIBDFVEHUEUGVGVIBDVC
      VEUHUIUJAVIQGEUQJUKULUMUNBKDETCKFGTUO $.
  $}

  ${
    $d z A $.  $d z B $.
    $( Two ways to say that two classes are disjoint (or equal).  (Contributed
       by Thierry Arnoux, 4-Oct-2016.) $)
    disjex $p |- ( ( E. z ( z e. A /\ z e. B ) -> A = B ) <->
      ( A = B \/ ( A i^i B ) = (/) ) ) $=
      ( wceq cv wcel wa wex wn wo cin c0 orcom wne cab df-in neeq1i abn0 bitr2i
      wi necon2bbii orbi2i imor 3bitr4ri ) BCDZAEZBFUFCFGZAHZIZJUIUEJUEBCKZLDZJ
      UHUETUEUIMUKUIUEUHUJLUJLNUGAOZLNUHUJULLABCPQUGARSUAUBUHUEUCUD $.

    disjexc.1 $e |- ( x = y -> A = B ) $.
    $( A variant of ~ disjex , applicable for more generic families.
       (Contributed by Thierry Arnoux, 4-Oct-2016.) $)
    disjexc $p |- ( ( E. z ( z e. A /\ z e. B ) -> x = y ) ->
      ( A = B \/ ( A i^i B ) = (/) ) ) $=
      ( cv wcel wa wex wceq wi cin c0 wo imim2i wn orcom wne cab neeq1i 3bitr4i
      df-in abn0 bitr2i necon2bbii orbi2i imor sylibr ) CGZDHUJEHIZCJZAGBGKZLUL
      DEKZLZUNDEMZNKZOZUMUNULFPUNULQZOUSUNOURUOUNUSRUQUSUNULUPNUPNSUKCTZNSULUPU
      TNCDEUCUAUKCUDUEUFUGULUNUHUBUI $.
  $}

  ${
    $d i j x A $.  $d i j B $.  $d i j x C $.  $d i j x M $.  $d i j x V $.
    disjunsn.s $e |- ( x = M -> B = C ) $.
    $( Append an element to a disjoint collection.  Similar to ~ ralunsn ,
       ~ gsumunsn , etc.  (Contributed by Thierry Arnoux, 28-Mar-2018.) $)
    disjunsn $p |- ( ( M e. V /\ -. M e. A ) -> ( Disj_ x e. ( A u. { M } ) B
      <-> ( Disj_ x e. A B /\ ( U_ x e. A B i^i C ) = (/) ) ) ) $=
      ( vi vj wa wceq cin c0 wo wral wb ineq1d eqeq1d ralbidv bitrdi wn csn cun
      wcel wdisj cv csb ciun disjors eqeq1 csbeq1 orbi12d ralunsn syl5bb ineq2d
      eqeq2 eqid orci biantru bitr4di anbi12d bitrd r19.26 anbi1i bitr4i adantr
      orcom ralbii r19.30 risset biorf sylnbi adantl syl5ibr syl5bir olc ralimi
      wrex impbid1 nfv nfcsb1v nfcv nfin nfeq1 csbeq1a cbvralw a1i iunss iunin1
      wss eqeq1i 3bitr3ri bitri nfcvd csbiegf 3bitr4d bitr4d anbi2d clel5 incom
      ss0b anass anidm anbi2i ) EFUDZEBUDZUAZJZABEUBUCZCUEZABCUEZHUFZEKZAXLCUGZ
      AECUGZLZMKZNZHBOZJZEIUFZKZXOAYACUGZLZMKZNZIBOZJZXKABCUHDLZMKZJZXEXJYHPXGX
      EXJXLYAKZXNYCLZMKZNZIBOZXRJZHBOZYGJZYHXEXJYOIXIOZHBOZYFIXIOZJZYSXJYTHXIOX
      EUUCAXICHIUIYTUUBHBEFXMYOYFIXIXMYLYBYNYEXLEYAUJXMYMYDMXMXNXOYCAXLECUKQRUL
      SUMUNXEUUAYRUUBYGXEYTYQHBYOXRIBEFYAEKZYLXMYNXQYAEXLUPUUDYMXPMUUDYCXOXNAYA
      ECUKZUORULUMSXEUUBYGEEKZXOXOLZMKZNZJYGYFUUIIBEFUUDYBUUFYEUUHYAEEUPUUDYDUU
      GMUUDYCXOXOUUEUORULUMUUIYGUUFUUHEUQURUSUTVAVBYRXTYGYRYPHBOZXSJXTYPXRHBVCX
      KUUJXSABCHIUIVDVEVDTVFXHYHYKYJJZYKXHXTYKYGYJXHXSYJXKXHXSXQHBOZYJXHXSUULXS
      XQXMNZHBOZXHUULUUMXRHBXQXMVGVHUUNUULXHUULXMHBVRZNZXQXMHBVIXHUULUUOUULNZUU
      PXGUULUUQPZXEXFUUOUURHEBVJUUOUULVKVLVMUUOUULVGTVNVOXQXRHBXQXMVPVQVSXEYJUU
      LPXGXECDLZMKZABOZXNDLZMKZHBOZYJUULUVAUVDPXEUUTUVCAHBUUTHVTAUVBMAXNDAXLCWA
      ADWBZWCWDAUFZXLKZUUSUVBMUVGCXNDAXLCWEQRWFWGYJUVAPXEYJUUSMWJZABOZUVAABUUSU
      HZMWJUVJMKUVIYJUVJXAABUUSMWHUVJYIMABDCWIWKWLUVHUUTABUUSXAVHWMWGZXEXQUVCHB
      XEXPUVBMXEXODXNAECDFXEADWNGWOZUORSWPVFWQWRXHYGYEIBOZYJXHYGUVMYGYEYBNZIBOZ
      XHUVMUVNYFIBYEYBVGVHUVOUVMXHUVMYBIBVRZNZYEYBIBVIXHUVMUVPUVMNZUVQXGUVMUVRP
      ZXEXFUVPUVSIBEWSUVPUVMVKVLVMUVPUVMVGTVNVOYEYFIBYEYBVPVQVSXEYJUVMPXGXEUVAD
      YCLZMKZIBOZYJUVMXEUVAYCDLZMKZIBOZUWBUVAUWEPXEUUTUWDAIBUUTIVTAUWCMAYCDAYAC
      WAUVEWCWDUVFYAKZUUSUWCMUWFCYCDAYACWEQRWFWGUWDUWAIBUWCUVTMYCDWTWKVHTUVKXEY
      EUWAIBXEYDUVTMXEXODYCUVLQRSWPVFWQVAUUKXKYJYJJZJYKXKYJYJXBUWGYJXKYJXCXDWMT
      VB $.
  $}

  ${
    $d A x $.
    $( Adding the empty element preserves disjointness.  (Contributed by
       Thierry Arnoux, 30-May-2020.) $)
    disjun0 $p |- ( Disj_ x e. A x -> Disj_ x e. ( A u. { (/) } ) x ) $=
      ( cv wdisj c0 wcel csn cun wss wceq snssi ssequn2 sylib disjeq1d biimparc
      wn wa ciun cin cvv simpl in0 a1i wb 0ex id disjunsn mpan adantl mpbir2and
      pm2.61dan ) ABACZDZEBFZABEGZHZULDZUNUQUMUNAUPBULUNUOBIUPBJEBKUOBLMNOUMUNP
      ZQZUQUMABULRZESEJZUMURUAVAUSUTUBUCURUQUMVAQUDZUMETFURVBUEABULEETULEJUFUGU
      HUIUJUK $.
  $}

  ${
    $d A x $.  $d D x $.  $d E x $.  $d Y x $.
    disjiunel.1 $e |- ( ph -> Disj_ x e. A B ) $.
    disjiunel.2 $e |- ( x = Y -> B = D ) $.
    disjiunel.3 $e |- ( ph -> E C_ A ) $.
    disjiunel.4 $e |- ( ph -> Y e. ( A \ E ) ) $.
    $( A set of elements B of a disjoint set A is disjoint with another element
       of that set.  (Contributed by Thierry Arnoux, 24-May-2020.) $)
    disjiunel $p |- ( ph -> ( U_ x e. E B i^i D ) = (/) ) $=
      ( wdisj ciun cin c0 wceq csn cun wa wcel eldifad snssd unssd disjss1 sylc
      wss wn wb eldifbd disjunsn syl2anc mpbid simprd ) ABFDLZBFDMENOPZABFGQZRZ
      DLZUNUOSZAUQCUFBCDLURAFUPCJAGCAGCFKUAZUBUCHBUQCDUDUEAGCTGFTUGURUSUHUTAGCF
      KUIBFDEGCIUJUKULUM $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.
    disjuniel.1 $e |- ( ph -> Disj_ x e. A x ) $.
    disjuniel.2 $e |- ( ph -> B C_ A ) $.
    disjuniel.3 $e |- ( ph -> C e. ( A \ B ) ) $.
    $( A set of elements B of a disjoint set A is disjoint with another element
       of that set.  (Contributed by Thierry Arnoux, 24-May-2020.) $)
    disjuniel $p |- ( ph -> ( U. B i^i C ) = (/) ) $=
      ( cuni cin cv ciun c0 uniiun ineq1i wceq id disjiunel syl5eq ) ADIZEJBDBK
      ZLZEJMTUBEBDNOABCUAEDEFUAEPQGHRS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Relations and Functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Relations - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Restriction of a constant function (or other Cartesian product) outside of
     its domain.  (Contributed by Thierry Arnoux, 25-Jan-2017.) $)
  xpdisjres $p |- ( ( A i^i C ) = (/) -> ( ( A X. B ) |` C ) = (/) ) $=
    ( cin c0 wceq cxp cres cvv df-res xpdisj1 syl5eq ) ACDEFABGZCHMCIGDEMCJACBI
    KL $.

  $( Ordered pair elementhood outside of the diagonal.  (Contributed by Thierry
     Arnoux, 1-Jan-2020.) $)
  opeldifid $p |- ( Rel A -> ( <. X , Y >. e. ( A \ _I ) <-> ( <. X , Y >. e. A
    /\ X =/= Y ) ) ) $=
    ( wrel cid cdif wbr wne wa cop wcel cvv reldif brrelex2 sylan adantrr brdif
    wn ideqg df-br necon3bbid anbi2d syl5bb pm5.21nd anbi1i 3bitr3g ) ADZBCAEFZ
    GZBCAGZBCHZIZBCJZUHKUMAKZUKIUGUIULCLKZUGUHDUIUOAEMBCUHNOUGUJUOUKBCANPUIUJBC
    EGZRZIUOULBCAEQUOUQUKUJUOUPBCBCLSUAUBUCUDBCUHTUJUNUKBCATUEUF $.

  $( Case when class difference in unaffected by restriction.  (Contributed by
     Thierry Arnoux, 1-Jan-2020.) $)
  difres $p |- ( A C_ ( B X. _V ) -> ( A \ ( C |` B ) ) = ( A \ C ) ) $=
    ( cvv cxp wss cres cdif cin df-res difeq2i cun difindi ssdif difid sseqtrdi
    c0 wceq ss0 syl5eq syl uneq2d un0 eqtrdi ) ABDEZFZACBGZHACUEIZHZACHZUGUHACB
    JKUFUIUJQLZUJUFUIUJAUEHZLUKACUEMUFULQUJUFULQFULQRUFULUEUEHQAUEUENUEOPULSUAU
    BTUJUCUDT $.

  $( Image of the difference with a Cartesian product.  (Contributed by Thierry
     Arnoux, 13-Dec-2017.) $)
  imadifxp $p |- ( C C_ A ->
    ( ( R \ ( A X. B ) ) " C ) = ( ( R " C ) \ B ) ) $=
    ( wss cxp cdif cima wceq ima0 imaeq2 eqtrdi difeq1d wne cun cin syl5eq cvv
    c0 crn 0dif 3eqtr4a adantl uncom un0 eqtr2i inundif imaeq1i imaundir eqtr3i
    wa difeq1i difundir eqtri inss2 imass1 ssdif mp2b cif xpima wn incom biimpi
    df-ss eqtr3id simpl eqnetrd neneq iffalse 3syl sseqtrid ss0 syl cres df-ima
    difid df-res rneqi ineq1i xpss1 sslin rnss ancoms inss1 ax-mp indif2 difxp2
    ssn0 3sstr4i sseqtrd disj2 sylibr ssdisj syl2an2 disj3 sylib eqcomd uneq12d
    mp1i rnxp eqtr4id pm2.61dane ) CAEZDABFZGZCHZDCHZBGZIZCSCSIZXIXCXJXESHSXFXH
    XEJCSXEKXJXHSBGSXJXGSBXJXGDSHSCSDKDJLMBUALUBUCCSNZXCXIXKXCUKZXFSXFOZXHXMXFS
    OXFSXFUDXFUEUFXLXHDXDPZCHZBGZXFBGZOZXMXHXOXFOZBGXRXGXSBXNXEOZCHXGXSXTDCDXDU
    GUHXNXECUIUJULXOXFBUMUNXLXPSXQXFXLXPSEXPSIXLXDCHZBGZXPSXNXDEXOYAEXPYBEDXDUO
    XNXDCUPXOYABUQURXLYBBBGSXLYABBXLYAACPZSIZSBUSZBABCUTXLYCSNYDVAYEBIXLYCCSXCY
    CCIXKXCYCCAPZCCAVBXCYFCICAVDVCVEUCXKXCVFVGYCSVHYDSBVIVJQMBVPLVKXPVLVMXLXFXQ
    XLXFBPZSIXFXQIXLYGXECRFZPZTZBPZSXFYJBXFXECVNZTYJXECVOYLYIXECVQVRUNVSXCYJXEA
    RFZPZTZEZXKYOBPSIZYKSIXCYHYMEYIYNEYPCARVTYHYMXEWAYIYNWBVJXLASNZYQXCXKYRCAWH
    WCYRYORBGZEYQYRYOAYSFZTZYSYNYTEYOUUAEYRYMDPZXDGZYMXDGZYNYTUUBYMEUUCUUDEYMDW
    DUUBYMXDUQWEYMXEPYNUUCYMXEVBYMDXDWFUJARBWGWIYNYTWBWSAYSWTWJYOBWKWLVMYJYOBWM
    WNQXFBWOWPWQWRQXAWCXB $.

  $( A relation (set) is finite if and only if both its domain and range are
     finite.  (Contributed by Thierry Arnoux, 27-Aug-2017.) $)
  relfi $p |- ( Rel A ->
                       ( A e. Fin <-> ( dom A e. Fin /\ ran A e. Fin ) ) ) $=
    ( wrel cfn wcel cdm crn wa dmfi rnfi jca cxp xpfi relssdmrn ssfi syl2anr ex
    wss impbid2 ) ABZACDZAEZCDZAFZCDZGZTUBUDAHAIJSUETUEUAUCKZCDAUFQTSUAUCLAMUFA
    NOPR $.

  $( Split a relation into two disjoint parts based on its domain.
     (Contributed by Thierry Arnoux, 9-Oct-2023.) $)
  reldisjun $p |- ( ( Rel R /\ dom R = ( A u. B ) /\ ( A i^i B ) = (/) )
                 -> R = ( ( R |` A ) u. ( R |` B ) ) ) $=
    ( wrel cdm cun wceq cin w3a cres reseq2 3ad2ant2 resdm 3ad2ant1 resundi a1i
    c0 3eqtr3d ) CDZCEZABFZGZABHQGZIZCTJZCUAJZCCAJCBJFZUBSUEUFGUCTUACKLSUBUECGU
    CCMNUFUGGUDCABOPR $.

  $( Restriction of the empty function.  (Contributed by Thierry Arnoux,
     20-Nov-2023.) $)
  0res $p |- ( (/) |` A ) = (/) $=
    ( c0 cres cvv cxp cin df-res 0in eqtri ) BACBADEZFBBAGJHI $.

  $( Restriction of a disjoint union to the domain of the first term.
     (Contributed by Thierry Arnoux, 9-Dec-2021.) $)
  funresdm1 $p |- ( ( Rel A /\ ( dom A i^i dom B ) = (/) )
    -> ( ( A u. B ) |` dom A ) = A ) $=
    ( wrel cdm cin c0 wceq wa cun cres resundir resdm adantr dmres simpr syl5eq
    wb relres reldm0 ax-mp sylibr uneq12d un0 eqtrdi ) ACZADZBDEZFGZHZABIUFJAUF
    JZBUFJZIZAABUFKUIULAFIAUIUJAUKFUEUJAGUHALMUIUKDZFGZUKFGZUIUMUGFBUFNUEUHOPUK
    CUOUNQBUFRUKSTUAUBAUCUDP $.

  $( Restriction of a disjoint union to the domain of the first function.
     (Contributed by Thierry Arnoux, 9-Dec-2021.) $)
  fnunres1 $p |- ( ( F Fn A /\ G Fn B /\ ( A i^i B ) = (/) )
    -> ( ( F u. G ) |` A ) = F ) $=
    ( wfn cin c0 wceq w3a cun cdm cres fndm 3ad2ant1 reseq2d wrel fnrel ineq12d
    3ad2ant2 simp3 eqtrd funresdm1 syl2anc eqtr3d ) CAEZDBEZABFZGHZIZCDJZCKZLZU
    JALCUIUKAUJUEUFUKAHUHACMNZOUICPZUKDKZFZGHULCHUEUFUNUHACQNUIUPUGGUIUKAUOBUMU
    FUEUOBHUHBDMSRUEUFUHTUACDUBUCUD $.

  $( Build an equivalence relation from a function.  Two values are equivalent
     if they have the same image by the function.  See also ~ fcoinvbr .
     (Contributed by Thierry Arnoux, 3-Jan-2020.) $)
  fcoinver $p |- ( F Fn X -> ( `' F o. F ) Er X ) $=
    ( wfn ccnv ccom wrel cdm wceq cun wss wer relco a1i cima dmco df-rn eqtr3id
    crn syl5eq coass imaeq2i cnvimarndm fndm cnvco cnvcnvss coss2 ax-mp eqsstri
    cid cres wfun fnfun funcocnv2 coeq1d wf dffn3 fcoi2 sylbi eqtrd coeq2d ssid
    syl eqsstrdi unssd df-er syl3anbrc ) ABCZADZAEZFZVIGZBHVIDZVIVIEZIVIJBVIKVJ
    VGVHALMVGVKVHVHGZNZBVHAOVGVOVHARZNZBVPVNVHAPUAVGVQAGBAUBBAUCSQSVGVLVMVIVLVI
    JVGVLVHVHDZEZVIVHAUDVRAJVSVIJAUEVRAVHUFUGUHMVGVMVIVIVGVMVHAVIEZEVIVHAVITVGV
    TAVHVGVTAVHEZAEZAAVHATVGWBUIVPUJZAEZAVGWAWCAVGAUKWAWCHBAULAUMVBUNVGBVPAUOWD
    AHBAUPBVPAUQURUSQUTSVIVAVCVDBVIVEVF $.

  ${
    $d A z $.  $d F z $.  $d X z $.  $d Y z $.
    fcoinvbr.e $e |- .~ = ( `' F o. F ) $.
    $( Binary relation for the equivalence relation from ~ fcoinver .
       (Contributed by Thierry Arnoux, 3-Jan-2020.) $)
    fcoinvbr $p |- ( ( F Fn A /\ X e. A /\ Y e. A )
       -> ( X .~ Y <-> ( F ` X ) = ( F ` Y ) ) ) $=
      ( vz wfn wcel wbr wa wex cfv wceq wb syl5bb eqcom fnbrfvb cvv bitr4d ccnv
      w3a cv ccom breqi brcog 3adant1 fvex eqvinc anbi12i exbii 3adant3 3adant2
      bitri anbi12d vex brcnvg mpan 3ad2ant3 anbi2d exbidv ) CAHZDAIZEAIZUBZDEB
      JZDGUCZCJZVGECUAZJZKZGLZDCMZECMZNZVCVDVFVLOVBVFDEVICUDZJVCVDKVLDEBVPFUEGD
      EVICAAUFPUGVOVMVGNZVNVGNZKZGLZVEVLVOVGVMNZVGVNNZKZGLVTGVMVNDCUHUIWCVSGWAV
      QWBVRVGVMQVGVNQUJUKUNVEVSVKGVEVSVHEVGCJZKVKVEVQVHVRWDVBVCVQVHOVDADVGCRULV
      BVDVRWDOVCAEVGCRUMUOVEVJWDVHVDVBVJWDOZVCVGSIVDWEGUPVGESACUQURUSUTTVAPT $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y ps $.
    brabgaf.0 $e |- F/ x ps $.
    brabgaf.1 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    brabgaf.2 $e |- R = { <. x , y >. | ph } $.
    $( The law of concretion for a binary relation.  (Contributed by Mario
       Carneiro, 19-Dec-2013.)  (Revised by Thierry Arnoux, 17-May-2020.) $)
    brabgaf $p |- ( ( A e. V /\ B e. W ) -> ( A R B <-> ps ) ) $=
      ( cop wcel wa cv wceq wex wb elisset copab df-br eleq2i bitri elopab nfe1
      wbr exdistrv nfbi nfex opeq12 copsexgw eqcoms bitr3d exlimi sylbir syl2an
      nfv syl syl5bb ) EFGUGZEFMZACDUAZNZEHNZFINZOZBVAVBGNVDEFGUBGVCVBLUCUDVDVB
      CPZDPZMZQAOZDRZCRZVGBACDVBUEVEVHEQZCRZVIFQZDRZVMBSZVFCEHTDFITVOVQOVNVPOZD
      RZCRVRVNVPCDUHVTVRCVMBCVLCUFJUIVSVRDVMBDVLDCVKDUFUJBDURUIVSAVMBVSVJVBQAVM
      SZVHVIEFUKWAVBVJACDVBULUMUSKUNUOUOUPUQUTUT $.
  $}

  $( Two things in a binary relation belong to the relation's domain.
     (Contributed by Thierry Arnoux, 29-Aug-2017.) $)
  brelg $p |- ( ( R C_ ( C X. D ) /\ A R B ) -> ( A e. C /\ B e. D ) ) $=
    ( cxp wss wbr wa wcel ssbr imp brxp sylib ) ECDFZGZABEHZIABOHZACJBDJIPQREOA
    BKLABCDMN $.

  ${
    $d a b c d e f g h p q A $.  $d a b c d e f g h p q B $.
    $d a b c d e f g h p q C $.  $d a b c d e f g h p q D $.
    $d a b c d e f g h p q E $.  $d a b c d e f g h p q F $.
    $d a b c d e f g h p q G $.  $d a b c d e f g h p q H $.
    $d a b c d e f g h p q P $.  $d a ch $.  $d b th $.  $d c ta $.  $d d et $.
    $d e ze $.  $d f si $.  $d g rh $.  $d p q ps $.  $d a b c d e f g h mu $.
    br8d.1 $e |- ( a = A -> ( ps <-> ch ) ) $.
    br8d.2 $e |- ( b = B -> ( ch <-> th ) ) $.
    br8d.3 $e |- ( c = C -> ( th <-> ta ) ) $.
    br8d.4 $e |- ( d = D -> ( ta <-> et ) ) $.
    br8d.5 $e |- ( e = E -> ( et <-> ze ) ) $.
    br8d.6 $e |- ( f = F -> ( ze <-> si ) ) $.
    br8d.7 $e |- ( g = G -> ( si <-> rh ) ) $.
    br8d.8 $e |- ( h = H -> ( rh <-> mu ) ) $.
    br8d.10 $e |- ( ph -> R = { <. p , q >. |
       E. a e. P E. b e. P E. c e. P E. d e. P E. e e. P
       E. f e. P E. g e. P E. h e. P ( p = <. <. a , b >. , <. c , d >. >. /\
       q = <. <. e , f >. , <. g , h >. >. /\ ps ) } ) $.
    br8d.11 $e |- ( ph -> A e. P ) $.
    br8d.12 $e |- ( ph -> B e. P ) $.
    br8d.13 $e |- ( ph -> C e. P ) $.
    br8d.14 $e |- ( ph -> D e. P ) $.
    br8d.15 $e |- ( ph -> E e. P ) $.
    br8d.16 $e |- ( ph -> F e. P ) $.
    br8d.17 $e |- ( ph -> G e. P ) $.
    br8d.18 $e |- ( ph -> H e. P ) $.
    $( Substitution for an eight-place predicate.  (Contributed by Scott
       Fenton, 26-Sep-2013.)  (Revised by Mario Carneiro, 3-May-2015.)
       (Revised by Thierry Arnoux, 21-Mar-2019.) $)
    br8d $p |- ( ph ->
      ( <. <. A , B >. , <. C , D >. >. R <. <. E , F >. , <. G , H >. >. <->
        mu ) ) $=
      ( cop wbr cv wceq w3a wrex copab breqd opex eqeq1 3anbi1d rexbidv 3anbi2d
      2rexbidv eqid brab bitrdi wcel wb wa wi vex sylan9bb sylbi eqcoms biimp3a
      opth rexlimdva rexlimdvva simpl1l simpl1r simpl21 simpl22 simpl23 simpl31
      simpl32 simpl33 eqidd simpr opeq1 opeq2d 3anbi23d opeq2 rspc2ev syl113anc
      a1i eqeq2d 3anbi13d opeq1d rspc3ev syl31anc ex impbid syl233anc bitrd ) A
      KLVHZMNVHZVHZUAUBVHZUCUDVHZVHZPVIZYEUGVJZUHVJZVHZUIVJZUJVJZVHZVHZVKZYHQVJ
      ZRVJZVHZSVJZTVJZVHZVHZVKZBVLZTOVMZSOVMROVMZQOVMUJOVMZUIOVMUHOVMZUGOVMZJAY
      IYEYHUFVJZYPVKZUEVJZUUDVKZBVLZTOVMZSOVMROVMZQOVMUJOVMZUIOVMUHOVMZUGOVMZUF
      UEVNZVIUUKAPUVBYEYHUSVOUVAYQUUOBVLZTOVMZSOVMROVMZQOVMUJOVMZUIOVMUHOVMZUGO
      VMUUKUFUEYEYHUVBYCYDVPYFYGVPUULYEVKZUUTUVGUGOUVHUUSUVFUHUIOOUVHUURUVEUJQO
      OUVHUUQUVDRSOOUVHUUPUVCTOUVHUUMYQUUOBUULYEYPVQVRVSWAWAWAVSUUNYHVKZUVGUUJU
      GOUVIUVFUUIUHUIOOUVIUVEUUHUJQOOUVIUVDUUGRSOOUVIUVCUUFTOUVIUUOUUEYQBUUNYHU
      UDVQVTVSWAWAWAVSUVBWBWCWDAKOWEZLOWEZMOWEZNOWEZUAOWEZUBOWEZUCOWEZUDOWEZUUK
      JWFUTVAVBVCVDVEVFVGUVJUVKWGZUVLUVMUVNVLZUVOUVPUVQVLZVLZUUKJUWAUUJJUGOUWAY
      JOWEWGZUUIJUHUIOOUWBYKOWEYMOWEWGWGZUUHJUJQOOUWCYNOWEYROWEWGWGZUUGJRSOOUWD
      YSOWEUUAOWEWGWGZUUFJTOUUFJWHUWEUUBOWEWGYQUUEBJYQBFUUEJBFWFZYPYEYPYEVKYLYC
      VKZYOYDVKZWGUWFYLYOYCYDYJYKVPYMYNVPWNUWGBDUWHFUWGYJKVKZYKLVKZWGBDWFYJYKKL
      UGWIUHWIWNUWIBCUWJDUKULWJWKUWHYMMVKZYNNVKZWGDFWFYMYNMNUIWIUJWIWNUWKDEUWLF
      UMUNWJWKWJWKWLFJWFZUUDYHUUDYHVKYTYFVKZUUCYGVKZWGUWMYTUUCYFYGYRYSVPUUAUUBV
      PWNUWNFHUWOJUWNYRUAVKZYSUBVKZWGFHWFYRYSUAUBQWIRWIWNUWPFGUWQHUOUPWJWKUWOUU
      AUCVKZUUBUDVKZWGHJWFUUAUUBUCUDSWITWIWNUWRHIUWSJUQURWJWKWJWKWLWJWMXMWOWPWP
      WPWOUWAJUUKUWAJWGZUVJUVKUVLYEYCMYNVHZVHZVKZUUEEVLZTOVMZSOVMZROVMZQOVMUJOV
      MZUUKUVJUVKUVSUVTJWQUVJUVKUVSUVTJWRUVLUVMUVNUVRUVTJWSUWTUVMUVNUVOYEYEVKZY
      HYFUUCVHZVKZHVLZTOVMSOVMZUXHUVLUVMUVNUVRUVTJWTUVLUVMUVNUVRUVTJXAUVOUVPUVQ
      UVRUVSJXBUWTUVPUVQUXIYHYHVKZJUXMUVOUVPUVQUVRUVSJXCUVOUVPUVQUVRUVSJXDUWTYE
      XEUWTYHXEUWAJXFUXLUXIUXNJVLUXIYHYFUCUUBVHZVHZVKZIVLSTUCUDOOUWRUXKUXQHIUXI
      UWRUXJUXPYHUWRUUCUXOYFUUAUCUUBXGXHXNUQXIUWSUXQUXNIJUXIUWSUXPYHYHUWSUXOYGY
      FUUBUDUCXJXHXNURXIXKXLUXFUXMUXIUUEFVLZTOVMSOVMUXIYHUAYSVHZUUCVHZVKZGVLZTO
      VMSOVMUJQRNUAUBOOOUWLUXDUXRSTOOUWLUXCUXIEFUUEUWLUXBYEYEUWLUXAYDYCYNNMXJXH
      XNUNXOWAUWPUXRUYBSTOOUWPUUEUYAFGUXIUWPUUDUXTYHUWPYTUXSUUCYRUAYSXGXPXNUOXI
      WAUWQUYBUXLSTOOUWQUYAUXKGHUXIUWQUXTUXJYHUWQUXSYFUUCYSUBUAXJXPXNUPXIWAXQXR
      UUIUXHYEKYKVHZYOVHZVKZUUECVLZTOVMZSOVMROVMZQOVMUJOVMYEYCYOVHZVKZUUEDVLZTO
      VMZSOVMROVMZQOVMUJOVMUGUHUIKLMOOOUWIUUHUYHUJQOOUWIUUGUYGRSOOUWIUUFUYFTOUW
      IYQUYEBCUUEUWIYPUYDYEUWIYLUYCYOYJKYKXGXPXNUKXOVSWAWAUWJUYHUYMUJQOOUWJUYGU
      YLRSOOUWJUYFUYKTOUWJUYEUYJCDUUEUWJUYDUYIYEUWJUYCYCYOYKLKXJXPXNULXOVSWAWAU
      WKUYMUXGUJQOOUWKUYLUXERSOOUWKUYKUXDTOUWKUYJUXCDEUUEUWKUYIUXBYEUWKYOUXAYCY
      MMYNXGXHXNUMXOVSWAWAXQXRXSXTYAYB $.
  $}

  ${
    $d x y R $.
    $( Domain of an ordered-pair class abstraction.  (Contributed by Thierry
       Arnoux, 31-Aug-2017.) $)
    opabdm $p |- ( R = { <. x , y >. | ph } -> dom R = { x | E. y ph } ) $=
      ( copab wceq cdm wbr wex cab df-dm nfopab1 nfeq2 nfopab2 wcel df-br eleq2
      cv cop opabidw bitrdi syl5bb exbid abbid syl5eq ) DABCEZFZDGBRZCRZDHZCIZB
      JACIZBJBCDKUGUKULBBDUFABCLMUGUJACCDUFABCNMUJUHUISZDOZUGAUHUIDPUGUNUMUFOAD
      UFUMQABCTUAUBUCUDUE $.

    $( Range of an ordered-pair class abstraction.  (Contributed by Thierry
       Arnoux, 31-Aug-2017.) $)
    opabrn $p |- ( R = { <. x , y >. | ph } -> ran R = { y | E. x ph } ) $=
      ( copab wceq crn wbr wex cab dfrn2 nfopab2 nfeq2 nfopab1 wcel df-br eleq2
      cv cop opabidw bitrdi syl5bb exbid abbid syl5eq ) DABCEZFZDGBRZCRZDHZBIZC
      JABIZCJBCDKUGUKULCCDUFABCLMUGUJABBDUFABCNMUJUHUISZDOZUGAUHUIDPUGUNUMUFOAD
      UFUMQABCTUAUBUCUDUE $.
  $}

  ${
    $d A x y z $.  $d ph z $.
    opabssi.1 $e |- ( ph -> <. x , y >. e. A ) $.
    $( Sufficient condition for a collection of ordered pairs to be a subclass
       of a relation.  (Contributed by Peter Mazsa, 21-Oct-2019.)  (Revised by
       Thierry Arnoux, 18-Feb-2022.) $)
    opabssi $p |- { <. x , y >. | ph } C_ A $=
      ( vz copab cv cop wceq wa wex cab df-opab wcel eleq1 impel exlimivv abssi
      biimprd eqsstri ) ABCGFHZBHCHIZJZAKZCLBLZFMDABCFNUFFDUEUBDOZBCUDUCDOZUGAU
      DUGUHUBUCDPTEQRSUA $.
  $}

  ${
    $d A x y $.
    $( One direction of ~ opabid2 which holds without a ` Rel A ` requirement.
       (Contributed by Thierry Arnoux, 18-Feb-2022.) $)
    opabid2ss $p |- { <. x , y >. | <. x , y >. e. A } C_ A $=
      ( cv cop wcel id opabssi ) ADBDECFZABCIGH $.
  $}

  ${
    $d x y z $.  $d z A $.  $d z B $.
    eqrelrd2.1 $e |- F/ x ph $.
    eqrelrd2.2 $e |- F/ y ph $.
    eqrelrd2.3 $e |- F/_ x A $.
    eqrelrd2.4 $e |- F/_ y A $.
    eqrelrd2.5 $e |- F/_ x B $.
    eqrelrd2.6 $e |- F/_ y B $.
    $( A subclass relationship depends only on a relation's ordered pairs.
       Theorem 3.2(i) of [Monk1] p. 33.  (Contributed by NM, 2-Aug-1994.)
       (Proof shortened by Andrew Salmon, 27-Aug-2011.)  (Revised by Thierry
       Arnoux, 6-Nov-2017.) $)
    ssrelf $p |- ( Rel A -> ( A C_ B <->
                A. x A. y ( <. x , y >. e. A -> <. x , y >. e. B ) ) ) $=
      ( vz wss cv wcel wi wal nfss alrimi nfcri wrel cop ssel wex eleq1 imbi12d
      wceq biimprcd 2alimi nfim 19.23 albii bitri sylib com23 a2d alimdv df-rel
      cvv cxp dfss2 elvv imbi2i 3bitri 3imtr4g com12 impbid2 ) DUAZDEMZBNCNUBZD
      OZVJEOZPZCQZBQZVIVNBBDEHJRVIVMCCDEIKRDEVJUCSSVOVHVIVOLNZDOZVPVJUGZCUDZBUD
      ZPZLQZVQVPEOZPZLQVHVIVOWAWDLVOVQVTWCVOVTVQWCVOVRWDPZCQZBQZVTWDPZVMWEBCVRW
      DVMVRVQVKWCVLVPVJDUEVPVJEUEUFUHUIWGVSWDPZBQWHWFWIBVRWDCVQWCCCLDITCLEKTUJU
      KULVSWDBVQWCBBLDHTBLEJTUJUKUMUNUOUPUQVHDUSUSUTZMVQVPWJOZPZLQWBDURLDWJVAWL
      WALWKVTVQBCVPVBVCULVDLDEVAVEVFVG $.

    eqrelrd2.7 $e |- ( ph -> ( <. x , y >. e. A <-> <. x , y >. e. B ) ) $.
    $( A version of ~ eqrelrdv2 with explicit nonfree declarations.
       (Contributed by Thierry Arnoux, 28-Aug-2017.) $)
    eqrelrd2 $p |- ( ( ( Rel A /\ Rel B ) /\ ph ) -> A = B ) $=
      ( wrel wa cv wcel wb wal alrimi wss cop adantl wi ssrelf bi2anan9 2albiim
      wceq eqss 3bitr4g adantr mpbird ) DMZEMZNZANDEUGZBOCOUAZDPZUPEPZQZCRZBRZA
      VAUNAUTBFAUSCGLSSUBUNUOVAQAUNDETZEDTZNUQURUCCRBRZURUQUCCRBRZNUOVAULVBVDUM
      VCVEABCDEFGHIJKUDABCEDFGJKHIUDUEDEUHUQURBCUFUIUJUK $.
  $}

  $( Biconditional for equivalent elements.  (Contributed by Thierry Arnoux,
     6-Jan-2020.) $)
  erbr3b $p |- ( ( R Er X /\ A R B ) -> ( A R C <-> B R C ) ) $=
    ( wer wbr wa simpll simplr simpr ertr3d ertrd impbida ) EDFZABDGZHZACDGZBCD
    GZQRHBACDEOPRIOPRJQRKLQSHABCDEOPSIOPSJQSKMN $.

  ${
    $d A y $.  $d B y $.  $d ph y $.  $d x y $.
    iunsnima.1 $e |- ( ph -> A e. V ) $.
    iunsnima.2 $e |- ( ( ph /\ x e. A ) -> B e. W ) $.
    $( Image of a singleton by an indexed union involving that singleton.
       (Contributed by Thierry Arnoux, 10-Apr-2020.) $)
    iunsnima $p |- ( ( ph /\ x e. A )
      -> ( U_ x e. A ( { x } X. B ) " { x } ) = B ) $=
      ( vy cv wcel wa csn cxp ciun cima cop vex elimasn wb opeliunxp baib eqrdv
      adantl syl5bb ) ABJZCKZLZIBCUFMZDNOZUIPZDIJZUKKUFULQUJKZUHULDKZUJUFULBRIR
      SUGUMUNTAUMUGUNBCDULUAUBUDUEUC $.

    $d A x z $.  $d B z $.  $d C z $.  $d Y x z $.  $d ph z $.
    iunsnima2.1 $e |- F/_ x C $.
    iunsnima2.2 $e |- ( x = Y -> B = C ) $.
    $( Version of ~ iunsnima with different variables.  (Contributed by Thierry
       Arnoux, 22-Jun-2024.) $)
    iunsnima2 $p |- ( ( ph /\ Y e. A )
                   -> ( U_ x e. A ( { x } X. B ) " { Y } ) = C ) $=
      ( vz wcel wa cv csn cxp wb adantl ciun cima cop elimasng elvd opeliunxp2f
      cvv baib bitrd eqrdv ) AHCNZOZMBCBPQDRUAZHQUBZEULMPZUNNZHUOUCUMNZUOENZUKU
      PUQSZAUKUSMUMHUOCUGUDUETUKUQURSAUQUKURBCDHUOEKLUFUHTUIUJ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Functions - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d f x z A $.  $d x f z B $.  $d f z ph $.  $d z ps $.  $d x y f z $.
    ac6sf2.y $e |- F/_ y B $.
    ac6sf2.1 $e |- F/ y ps $.
    ac6sf2.2 $e |- A e. _V $.
    ac6sf2.3 $e |- ( y = ( f ` x ) -> ( ph <-> ps ) ) $.
    $( Alternate version of ~ ac6 with bound-variable hypothesis.  (Contributed
       by NM, 2-Mar-2008.)  (Revised by Thierry Arnoux, 17-May-2020.) $)
    ac6sf2 $p |- ( A. x e. A E. y e. B ph ->
                E. f ( f : A --> B /\ A. x e. A ps ) ) $=
      ( vz wrex wral wsb cv wf wa wex nfcv nfs1v sbequ12 cbvrexfw ralbii sbhypf
      nfv cfv ac6s sylbi ) ADFMZCENADLOZLFMZCENEFGPZQBCENRGSUJULCEAUKDLFHLFTALU
      FADLUAADLUBUCUDUKBCLEFGJABDLCPUMUGIKUEUHUI $.
  $}

  $( Restriction of a function with a subclass of its domain.  (Contributed by
     Thierry Arnoux, 10-Oct-2017.) $)
  fnresin $p |- ( F Fn A -> ( F |` B ) Fn ( A i^i B ) ) $=
    ( wfn cin cres fnresin1 resindi fnresdm ineq1d incom wss resss df-ss eqtr3i
    wceq mpbi eqtrdi syl5eq fneq1d mpbid ) CADZCABEZFZUCDCBFZUCDABCGUBUCUDUEUBU
    DCAFZUEEZUECABHUBUGCUEEZUEUBUFCUEACIJUECEZUHUEUECKUECLUIUEPCBMUECNQORSTUA
    $.

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.  $d x y ph $.
    f1o3d.1 $e |- ( ph -> F = ( x e. A |-> C ) ) $.
    f1o3d.2 $e |- ( ( ph /\ x e. A ) -> C e. B ) $.
    f1o3d.3 $e |- ( ( ph /\ y e. B ) -> D e. A ) $.
    f1o3d.4 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) ->
                    ( x = D <-> y = C ) ) $.
    $( Describe an implicit one-to-one onto function.  (Contributed by Thierry
       Arnoux, 23-Apr-2017.) $)
    f1o3d $p |- ( ph -> ( F : A -1-1-onto-> B /\ `' F = ( y e. B |-> D ) ) ) $=
      ( ccnv wceq wfn wcel syl wa copab wi wf1o cmpt wral ralrimiva eqid fneq1d
      fnmpt mpbird cv eleq1a impr biimpar exp42 com34 imp32 jcai biimpa impbida
      com23 opabbidv df-mpt eqtrdi cnveqd cnvopab a1i 3eqtr4d dff1o4 sylanbrc
      jca ) ADEHUAZHMZCEGUBZNAHDOZVKEOZVJAVMBDFUBZDOZAFEPZBDUCVPAVQBDJUDBDFVOEV
      OUEUGQADHVOIUFUHAVNVLEOZAGDPZCEUCVRAVSCEKUDCEGVLDVLUEUGQAEVKVLABUIZDPZCUI
      ZFNZRZCBSZWBEPZVTGNZRZCBSZVKVLAWDWHCBAWDWHAWDRWFWGAWAWCWFAWARVQWCWFTJFEWB
      UJQUKAWAWCWFWGTAWAWFWCWGAWAWFWCWGAWAWFRRZWGWCLULUMUNUOUPAWHRWAWCAWFWGWAAW
      FRVSWGWATKGDVTUJQUKAWFWGWAWCTAWFWAWGWCAWAWFWGWCTAWAWFWGWCWJWGWCLUQUMUSUNU
      OUPURUTAVKWDBCSZMWEAHWKAHVOWKIBCDFVAVBVCWDBCVDVBVLWINACBEGVAVEVFZUFUHDEHV
      GVHWLVI $.
  $}

  $( A function of nonempty domain is not empty.  (Contributed by Thierry
     Arnoux, 20-Nov-2023.) $)
  eldmne0 $p |- ( X e. dom F -> F =/= (/) ) $=
    ( cdm wcel c0 wne ne0i wceq dmeq dm0 eqtrdi necon3i syl ) BACZDNEFAEFNBGAEN
    EAEHNECEAEIJKLM $.

  $( Equinumerosity of the range of an injective function.  (Contributed by
     Thierry Arnoux, 7-Jul-2023.) $)
  f1rnen $p |- ( ( F : A -1-1-> B /\ A e. V ) -> ran F ~~ A ) $=
    ( wf1 wcel wa cima crn cen wfn wceq f1fn adantr fnima syl wss ssid f1imaeng
    wbr mp3an2 eqbrtrrd ) ABCEZADFZGZCAHZCIZAJUECAKZUFUGLUCUHUDABCMNACOPUCAAQUD
    UFAJTARABACDSUAUB $.

  ${
    rinvbij.1 $e |- Fun F $.
    rinvbij.2 $e |- `' F = F $.
    rinvbij.3a $e |- ( F " A ) C_ B $.
    rinvbij.3b $e |- ( F " B ) C_ A $.
    rinvbij.4a $e |- A C_ dom F $.
    rinvbij.4b $e |- B C_ dom F $.
    $( Sufficient conditions for the restriction of an involution to be a
       bijection.  (Contributed by Thierry Arnoux, 7-Dec-2016.) $)
    rinvf1o $p |- ( F |` A ) : A -1-1-onto-> B $=
      ( cima cres wf1o cdm crn wf1 wss wfun mpbi mp2an wb wf fdmrn funeqi mpbir
      ccnv df-f1 mpbir2an f1ores funimass3 imaeq1i sseqtri eqssi f1oeq3 ax-mp
      wceq ) ACAJZCAKZLZABUQLZCMZCNZCOZAUTPURVBUTVACUAZCUEZQZCQZVCDCUBRVEVFDVDC
      EUCUDUTVACUFUGHUTVAACUHSUPBUOURUSTUPBFBVDAJZUPCBJAPZBVGPZGVFBUTPVHVITDIBA
      CUISRVDCAEUJUKULUPBAUQUMUNR $.
  $}

  $( Conditions for a restriction to be a one-to-one onto function.
     (Contributed by Thierry Arnoux, 7-Dec-2016.) $)
  fresf1o $p |- ( ( Fun F /\ C C_ ran F /\ Fun ( `' F |` C ) )
    -> ( F |` ( `' F " C ) ) : ( `' F " C ) -1-1-onto-> C ) $=
    ( wfun crn wss ccnv cres w3a cima wf1o wfn wceq funfn biimpi 3ad2ant3 simp2
    cdm df-rn mpbid syl sseqtrdi ssdmres sylib fneq2d funresd funcnvres2 funeqd
    simp1 mpbird df-ima eqcomi a1i dff1o2 syl3anbrc f1ocnv wb f1oeq1 3syl ) BCZ
    ABDZEZBFZAGZCZHZVBAIZAVCFZJZVFABVFGZJZVEAVFVCJZVHVEVCAKZVGCZVCDZVFLZVKVEVCV
    CQZKZVLVDUSVQVAVDVQVCMNOVEVPAVCVEAVBQZEVPALVEAUTVRUSVAVDPBRUAAVBUBUCUDSVEVM
    VICVEVFBUSVAVDUHZUEVEVGVIVEUSVGVILZVSABUFZTUGUIVOVEVFVNVBAUJUKULAVFVCUMUNAV
    FVCUOTVEUSVTVHVJUPVSWAVFAVGVIUQURS $.

  ${
    $d A x $.  $d F x $.
    $( The set of fixed points of ` F ` is the complement of the set of points
       moved by ` F ` .  (Contributed by Thierry Arnoux, 17-Nov-2023.) $)
    nfpconfp $p |- ( F Fn A -> ( A \ dom ( F \ _I ) ) = dom ( F i^i _I ) ) $=
      ( vx wfn cid cdif cdm cin cv wcel wn eldif cfv wceq fnelfp pm5.32da inss1
      wa wss dmss ax-mp sseqtrid sseld pm4.71rd wne fnelnfp notbid nne 3bitr4rd
      fndm bitrdi syl5bb eqrdv ) BADZCABEFGZFZBEHZGZCIZUPJUSAJZUSUOJZKZRZUNUSUR
      JZUSAUOLUNUTVDRUTUSBMZUSNZRVDVCUNUTVDVFABUSOPUNVDUTUNURAUSUNBGZURAUQBSURV
      GSBEQUQBTUAABUJUBUCUDUNUTVBVFUNUTRZVBVEUSUEZKVFVHVAVIABUSUFUGVEUSUHUKPUIU
      LUM $.
  $}

  ${
    $d A f g $.  $d B f g $.  $d T f g $.  $d f g ph $.
    fmptco1f1o.a $e |- A = ( R ^m E ) $.
    fmptco1f1o.b $e |- B = ( R ^m D ) $.
    fmptco1f1o.f $e |- F = ( f e. A |-> ( f o. T ) ) $.
    fmptco1f1o.d $e |- ( ph -> D e. V ) $.
    fmptco1f1o.e $e |- ( ph -> E e. W ) $.
    fmptco1f1o.r $e |- ( ph -> R e. X ) $.
    fmptco1f1o.t $e |- ( ph -> T : D -1-1-onto-> E ) $.
    $( The action of composing (to the right) with a bijection is itself a
       bijection of functions.  (Contributed by Thierry Arnoux, 3-Jan-2021.) $)
    fmptco1f1o $p |- ( ph -> F : A -1-1-onto-> B ) $=
      ( wcel vg wf1o ccnv cv ccom cmpt wceq wa cmap co wf adantr simpr eleqtrdi
      a1i elmapi syl f1of syl2anc elmapg biimpar syl21anc eleqtrrdi f1ocnv 3syl
      fco coass cid cres ad2antrr f1ococnv1 coeq2d adantlr fcoi1 eqtr2id eqeq1d
      wb eqtrd eqcom wfo wfn f1ofo simplr elmapfn cocan2 syl3anc 3bitrrd anasss
      f1o3d simpld ) ABCIUBIUCUACUAUDZFUCZUEZUFUGAGUABCGUDZFUEZWMIIGBWOUFUGAOUO
      AWNBTZUHZWOEDUIUJZCWQELTZDJTZDEWOUKZWOWRTZAWSWPRULAWTWPPULWQHEWNUKZDHFUKZ
      XAWQWNEHUIUJZTZXCWQWNBXEAWPUMMUNWNEHUPUQAXDWPADHFUBZXDSDHFURUQULDHEWNFVFU
      SWSWTUHXBXAEDWOLJUTVAVBNVCAWKCTZUHZWMXEBXIWSHKTZHEWMUKZWMXETZAWSXHRULAXJX
      HQULXIDEWKUKZHDWLUKZXKXIWKWRTXMXIWKCWRAXHUMNUNWKEDUPUQZAXNXHAXGHDWLUBXNSD
      HFVDHDWLURVEULHDEWKWLVFUSWSXJUHXLXKEHWMLKUTVAVBZMVCAWPXHWNWMUGZWKWOUGZVQW
      QXHUHZXRWMFUEZWOUGZWOXTUGZXQXSWKXTWOXSXTWKWLFUEZUEZWKWKWLFVGXSYDWKVHDVIZU
      EZWKXSXGYDYFUGAXGWPXHSVJZXGYCYEWKDHFVKVLUQXSXMYFWKUGAXHXMWPXOVMDEWKVNUQVR
      VOVPYAYBVQXSXTWOVSUOXSDHFVTZWNHWAZWMHWAZYBXQVQXSXGYHYGDHFWBUQXSXFYIXSWNBX
      EAWPXHWCMUNWNEHWDUQAXHYJWPXIXLYJXPWMEHWDUQVMDHFWNWMWEWFWGWHWIWJ $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x $.  $d D y $.  $d E x y $.  $d F x y $.
    $d ph x y $.
    cofmpt2.1 $e |- ( ( ph /\ y = ( F ` x ) ) -> C = D ) $.
    cofmpt2.2 $e |- ( ( ph /\ y e. B ) -> C e. E ) $.
    cofmpt2.3 $e |- ( ph -> F : A --> B ) $.
    cofmpt2.4 $e |- ( ph -> D e. V ) $.
    $( Express composition of a maps-to function with another function in a
       maps-to notation.  (Contributed by Thierry Arnoux, 15-Jul-2023.) $)
    cofmpt2 $p |- ( ph -> ( ( y e. B |-> C ) o. F ) = ( x e. A |-> D ) ) $=
      ( cmpt cv cfv wf wceq wcel ccom fmpttd fcompt syl2anc eqid adantlr adantr
      wa ffvelrnda fvmptd2 mpteq2dva eqtrd ) ACEFOZIUAZBDBPZIQZUMQZOZBDGOAEHUMR
      DEIRUNURSACEFHLUBMBUMIDEHUCUDABDUQGAUODTZUHCUPFGEUMJUMUEACPUPSFGSUSKUFADE
      UOIMUIAGJTUSNUGUJUKUL $.
  $}

  ${
    $d A x y $.  $d B y $.  $d C x y $.  $d ph x y $.
    f1mptrn.1 $e |- ( ( ph /\ x e. A ) -> B e. C ) $.
    f1mptrn.2 $e |- ( ( ph /\ y e. C ) -> E! x e. A y = B ) $.
    $( Express injection for a mapping operation.  (Contributed by Thierry
       Arnoux, 3-May-2020.) $)
    f1mptrn $p |- ( ph -> Fun `' ( x e. A |-> B ) ) $=
      ( wcel wral cv wceq wreu cmpt ccnv wfun ralrimiva wa wf1o eqid f1ompt wfn
      crn dff1o2 simp2bi sylbir syl2anc ) AEFIZBDJZCKELBDMZCFJZBDENZOPZAUHBDGQA
      UJCFHQUIUKRDFULSZUMBCDFEULULTUAUNULDUBUMULUCFLDFULUDUEUFUG $.
  $}

  ${
    $d x y z $.  $d y z A $.  $d y z F $.
    dfimafnf.1 $e |- F/_ x A $.
    dfimafnf.2 $e |- F/_ x F $.
    $( Alternate definition of the image of a function.  (Contributed by Raph
       Levien, 20-Nov-2006.)  (Revised by Thierry Arnoux, 24-Apr-2017.) $)
    dfimafnf $p |- ( ( Fun F /\ A C_ dom F ) ->
                  ( F " A ) = { y | E. x e. A y = ( F ` x ) } ) $=
      ( vz wfun cdm wss wa cima cv cfv wceq wrex cab wbr wcel nfcv dfima2 eqcom
      wb ssel funbrfvb bitr3id ex syl9r imp31 rexbidva abbidv eqtr4id nfeq2 nfv
      nffv fveq2 eqeq2d cbvrexfw abbii eqtrdi ) DHZCDIZJZKZDCLZBMZGMZDNZOZGCPZB
      QZVFAMZDNZOZACPZBQVDVEVGVFDRZGCPZBQVKGBDCUAVDVJVQBVDVIVPGCVAVCVGCSZVIVPUC
      ZVCVRVGVBSZVAVSCVBVGUDVAVTVSVIVHVFOVAVTKVPVHVFUBVGVFDUEUFUGUHUIUJUKULVJVO
      BVIVNGACGCTEAVFVHAVGDFAVGTUOUMVNGUNVGVLOVHVMVFVGVLDUPUQURUSUT $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y F $.
    funimass4f.1 $e |- F/_ x A $.
    funimass4f.2 $e |- F/_ x B $.
    funimass4f.3 $e |- F/_ x F $.
    $( use ~ ffnfvf $)
    $( Membership relation for the values of a function whose image is a
       subclass.  (Contributed by Thierry Arnoux, 24-Apr-2017.) $)
    funimass4f $p |- ( ( Fun F /\ A C_ dom F ) ->
                    ( ( F " A ) C_ B <-> A. x e. A ( F ` x ) e. B ) ) $=
      ( vy wfun cdm wss wa cima cv cfv wcel wral nfss nfan wceq nffun funfvima2
      nfdm nfima ssel sylan9 ralrimi cab dfimafnf adantr abrexss adantl eqsstrd
      wrex impbida ) DIZBDJZKZLZDBMZCKZANZDOZCPZABQZUSVALVDABUSVAAUPURAADGUAABU
      QEADGUCRSAUTCADBGEUDFRSUSVBBPVCUTPVAVDBVBDUBUTCVCUEUFUGUSVELUTHNVCTABUNHU
      HZCUSUTVFTVEAHBDEGUIUJVEVFCKUSAHBVCCFUKULUMUO $.
  $}

  ${
    $d A x $.  $d C x $.  $d D x $.
    elimampt.f $e |- F = ( x e. A |-> B ) $.
    elimampt.c $e |- ( ph -> C e. W ) $.
    elimampt.d $e |- ( ph -> D C_ A ) $.
    $( Membership in the image of a mapping.  (Contributed by Thierry Arnoux,
       3-Jan-2022.) $)
    elimampt $p |- ( ph -> ( C e. ( F " D ) <-> E. x e. D C = B ) ) $=
      ( cima wcel cres crn wceq wrex cmpt wb syl df-ima eleq2i wss resmpt rneqd
      reseq1i syl5eq eleq2d eqid elrnmpt bitrd syl5bb ) EGFLZMEGFNZOZMZAEDPBFQZ
      UMUOEGFUAUBAUPEBFDRZOZMZUQAFCUCZUPUTSKVAUOUSEVAUNURVAUNBCDRZFNURGVBFIUFBC
      FDUDUGUEUHTAEHMUTUQSJBFDEURHURUIUJTUKUL $.
  $}

  ${
    $d l A $.  $d l B $.  $d l W $.  $d k l Z $.  $d l ph $.
    suppss2f.p $e |- F/ k ph $.
    suppss2f.a $e |- F/_ k A $.
    suppss2f.w $e |- F/_ k W $.
    suppss2f.n $e |- ( ( ph /\ k e. ( A \ W ) ) -> B = Z ) $.
    suppss2f.v $e |- ( ph -> A e. V ) $.
    $( Show that the support of a function is contained in a set.  (Contributed
       by Thierry Arnoux, 22-Jun-2017.)  (Revised by AV, 1-Sep-2020.) $)
    suppss2f $p |- ( ph -> ( ( k e. A |-> B ) supp Z ) C_ W ) $=
      ( vl cmpt csupp co wa wi wsb bitri cv nfcv nfcsb1v csbeq1a cbvmptf oveq1i
      csb cdif wcel wceq sbt sbim sban sbf nfdif clelsb1fw anbi12i sbsbc wb cvv
      wsbc sbceq1g elv imbi12i mpbi suppss2 eqsstrid ) ADBCNZGOPMBDMUAZCUGZNZGO
      PFVHVKGODMBCVJIMBUBMCUBDVICUCDVICUDUEUFABVJMEFGADUABFUHZUIZQZCGUJZRZDMSZA
      VIVLUIZQZVJGUJZRZVPDMKUKVQVNDMSZVODMSZRWAVNVODMULWBVSWCVTWBADMSZVMDMSZQVS
      AVMDMUMWDAWEVRADMHUNDMVLDBFIJUOUPUQTWCVODVIVAZVTVODMURWFVTUSMDVICGUTVBVCT
      VDTVELVFVG $.
  $}

$(
  @{
    f1iniseg.g @e |- G = ( x e. B |-> ( `' F " { x } ) ) @.
    @( The initial segment, i.e. the preimage of singleton, is injective.
       (Contributed by Thierry Arnoux, 27-Jan-2020.) @)
    f1iniseg @p |- ( F : A --> B -> G : B -1-1-> ~P A ) @=
      ? @.
  @}
$)

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x y F $.  $d x y R $.  $d x y S $.
    fovcld.1 $e |- ( ph -> F : ( R X. S ) --> C ) $.
    $( Closure law for an operation.  (Contributed by NM, 19-Apr-2007.)
       (Revised by Thierry Arnoux, 17-Feb-2017.) $)
    fovcld $p |- ( ( ph /\ A e. R /\ B e. S ) -> ( A F B ) e. C ) $=
      ( vx vy wcel w3a wa cv co wral 3simpc cxp wceq eleq1d wf simprbi 3ad2ant1
      wfn ffnov syl oveq1 oveq2 rspc2v sylc ) ABEKZCFKZLUKULMINZJNZGOZDKZJFPIEP
      ZBCGOZDKZAUKULQAUKUQULAEFRZDGUAZUQHVAGUTUDUQIJEFDGUEUBUFUCUPUSBUNGOZDKIJB
      CEFUMBSUOVBDUMBUNGUGTUNCSVBURDUNCBGUHTUIUJ $.
  $}

  ${
    $d x y B $.  $d x y C $.  $d x y F $.  $d y G $.  $d x y .+ $.
    $d x y ph $.
    ofrn.1 $e |- ( ph -> F : A --> B ) $.
    ofrn.2 $e |- ( ph -> G : A --> B ) $.
    ofrn.3 $e |- ( ph -> .+ : ( B X. B ) --> C ) $.
    ofrn.4 $e |- ( ph -> A e. V ) $.
    $( The range of the function operation.  (Contributed by Thierry Arnoux,
       8-Jan-2017.) $)
    ofrn $p |- ( ph -> ran ( F oF .+ G ) C_ C ) $=
      ( vx vy cof co cv fovrnda inidm off frnd ) ABDFGEOPAMNBBBECCDFGHHAMQNQDCC
      EKRIJLLBSTUA $.

    $d a z A $.  $d z B $.  $d a z F $.  $d a x z G $.  $d a z .+ $.
    $d a z ph $.  $d x y z a $.
    $( The range of the function operation.  (Contributed by Thierry Arnoux,
       21-Mar-2017.) $)
    ofrn2 $p |- ( ph -> ran ( F oF .+ G ) C_ ( .+ " ( ran F X. ran G ) ) ) $=
      ( vz va vx vy cv co crn wcel cfv wceq wrex cab cof cxp cima wa wfn simprl
      ffnd fnfvelrn syl2an2r simprr rspceov syl3anc rexlimdvaa cmpt inidm eqidd
      ss2abdv offval rneqd eqid rnmpt eqtrdi wss wb frnd xpss12 syl2anc abbi2dv
      ovelimab 3sstr4d ) AMQZNQZFUAZVPGUAZERZUBZNBUCZMUDZVOOQPQERUBPGSZUCOFSZUC
      ZMUDFGEUERZSZEWDWCUFZUGZAWAWEMAVTWENBAVPBTZVTUHZUHVQWDTZVRWCTZVTWEAFBUIWK
      WJWLABCFIUKZAWJVTUJZBVPFULUMAGBUIWKWJWMABCGJUKZWOBVPGULUMAWJVTUNOPWDWCVQV
      RVOEUOUPUQVAAWGNBVSURZSWBAWFWQANBBVQVREBFGHHWNWPLLBUSAWJUHZVQUTWRVRUTVBVC
      NMBVSWQWQVDVEVFAWEMWIAECCUFZUIWHWSVGZVOWITWEVHAWSDEKUKAWDCVGWCCVGWTABCFIV
      IABCGJVIWDCWCCVJVKOPWSWDWCVOEVMVKVLVN $.
  $}

  ${
    $d z A $.  $d z B $.  $d z C $.  $d y z G $.  $d x y z ph $.  $d x y S $.
    $d x y T $.  $d x y z F $.  $d x y z R $.  $d x y z U $.
    off2.1 $e |- ( ( ph /\ ( x e. S /\ y e. T ) ) -> ( x R y ) e. U ) $.
    off2.2 $e |- ( ph -> F : A --> S ) $.
    off2.3 $e |- ( ph -> G : B --> T ) $.
    off2.4 $e |- ( ph -> A e. V ) $.
    off2.5 $e |- ( ph -> B e. W ) $.
    off2.6 $e |- ( ph -> ( A i^i B ) = C ) $.
    $( The function operation produces a function - alternative form with all
       antecedents as deduction.  (Contributed by Thierry Arnoux,
       17-Feb-2017.) $)
    off2 $p |- ( ph -> ( F oF R G ) : C --> U ) $=
      ( vz cv cfv co cof cmpt ffnd eqid wcel wa eqidd offval mpteq1d eqtrd wral
      cin wf adantr inss1 eqsstrrdi ffvelrnd inss2 ralrimivva ovrspc2v syl21anc
      sselda fmpt3d ) AUAFUAUBZKUCZVHLUCZGUDZJKLGUEUDZAVLUADEUPZVKUFUAFVKUFAUAD
      EVIVJGVMKLMNADHKPUGAEILQUGRSVMUHAVHDUIUJVIUKAVHEUIUJVJUKULAUAVMFVKTUMUNAV
      HFUIZUJZVIHUIVJIUIBUBCUBGUDJUIZCIUOBHUOZVKJUIVODHVHKADHKUQVNPURAFDVHAFVMD
      TDEUSUTVFVAVOEIVHLAEILUQVNQURAFEVHAFVMETDEVBUTVFVAAVQVNAVPBCHIOVCURBCHIJG
      VIVJVDVEVG $.
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.  $d x G $.  $d x R $.  $d x ph $.
    ofresid.1 $e |- ( ph -> F : A --> B ) $.
    ofresid.2 $e |- ( ph -> G : A --> B ) $.
    ofresid.3 $e |- ( ph -> A e. V ) $.
    $( Applying an operation restricted to the range of the functions does not
       change the function operation.  (Contributed by Thierry Arnoux,
       14-Feb-2018.) $)
    ofresid $p |- ( ph -> ( F oF R G ) = ( F oF ( R |` ( B X. B ) ) G ) ) $=
      ( vx cfv co cmpt cof ffvelrnda df-ov ffnd eqidd offval cv cxp cres wa cop
      wcel opelxpd fvresd eqcomd 3eqtr4g mpteq2dva inidm 3eqtr4d ) AKBKUAZELZUN
      FLZDMZNKBUOUPDCCUBZUCZMZNEFDOMEFUSOMAKBUQUTAUNBUFUDZUOUPUEZDLZVBUSLZUQUTV
      AVDVCVAVBURDVAUOUPCCABCUNEHPABCUNFIPUGUHUIUOUPDQUOUPUSQUJUKAKBBUOUPDBEFGG
      ABCEHRZABCFIRZJJBULZVAUOSZVAUPSZTAKBBUOUPUSBEFGGVEVFJJVGVHVITUM $.
  $}

  $(
    $d x y ph $.  $d x C $.  $d x D $.  $d y A $.  $d y B $.
    mptcnv.1 $e |- ( ph -> ( ( x e. A /\ y = B ) <-> ( y e. C /\ x = D ) ) ) $.
    #( The converse of a mapping function.
       (Contributed by Thierry Arnoux, 16-Jan-2017.) #)
    mptcnv   $p |- ( ph -> `' ( x e. A |-> B ) = ( y e. C |-> D ) ) $=
      ( cv wcel wceq wa copab ccnv cmpt cnvopab opabbidv eqtrd df-mpt
      a1i cnveqi 3eqtr4d ) ABIZDJCIZEKLZBCMZNZUDFJUCGKLZCBMZBDEOZNZCF
      GOZAUGUECBMZUIUGUMKAUEBCPTAUEUHCBHQRUKUGKAUJUFBCDESUATULUIKACBF
      GSTUB $.
      #( [16-Jan-2017] #)
  $)

  ${
    $d A y $.  $d B y $.  $d F x y $.  $d X x y $.
    $( Expressing the image of a set as a restricted abstract builder.
       (Contributed by Thierry Arnoux, 27-Jan-2020.) $)
    fimarab $p |- ( ( F : A --> B /\ X C_ A )
      -> ( F " X ) = { y e. B | E. x e. X ( F ` x ) = y } ) $=
      ( wf wss wa cima cv cfv wceq wrex crab nfv nfcv nfrab1 wcel wb wfn anbi2d
      ffn fvelimab sylan fimass adantr sseld pm4.71rd rabid a1i 3bitr4d eqrd )
      CDEGZFCHZIZBEFJZAKELBKZMAFNZBDOZUPBPBUQQUSBDRUPURDSZURUQSZIZVAUSIZVBURUTS
      ZUNECUAZUOVCVDTCDEUCVFUOIVBUSVAACFUREUDUBUEUPVBVAUPUQDURUNUQDHUOCDEFUFUGU
      HUIVEVDTUPUSBDUJUKULUM $.
  $}

  ${
    $d x y F $.  $d x y A $.
    $( Preimage of a class union.  (Contributed by Thierry Arnoux,
       7-Feb-2017.) $)
    unipreima $p |- ( Fun F -> ( `' F " U. A ) = U_ x e. A ( `' F " x ) ) $=
      ( vy wfun cdm wfn ccnv cuni cima cv ciun wceq wcel wa wrex wb a1i 3bitr4d
      elpreima funfn cfv r19.42v bicomi eluni2 anbi2i rexbidv eliun eqrdv sylbi
      ) CECCFZGZCHZBIZJZABUMAKZJZLZMCUAULDUOURULDKZUKNZUSCUBZUNNZOZUSUQNZABPZUS
      UONUSURNZULUTVAUPNZABPZOZUTVGOZABPZVCVEVIVKQULVKVIUTVGABUCUDRVCVIQULVBVHU
      TAVABUEUFRULVDVJABUKUSUPCTUGSUKUSUNCTVFVEQULAUSBUQUHRSUIUJ $.
  $}

  $( Value of a function producing ordered pairs.  (Contributed by Thierry
     Arnoux, 3-Jan-2017.) $)
  opfv $p |- ( ( ( Fun F /\ ran F C_ ( _V X. _V ) ) /\ x e. dom F ) ->
             ( F ` x ) = <. ( ( 1st o. F ) ` x ) , ( ( 2nd o. F ) ` x ) >. ) $=
    ( wfun crn cvv cxp wss wa cv cdm wcel cfv c1st c2nd cop ccom simplr adantlr
    wceq fvco fvelrn sseldd 1st2ndb sylib opeq12d eqtr4d ) BCZBDZEEFZGZHAIZBJKZ
    HZUKBLZUNMLZUNNLZOZUKMBPLZUKNBPLZOZUMUNUIKUNUQSUMUHUIUNUGUJULQUGULUNUHKUJUK
    BUARUBUNUCUDUGULUTUQSUJUGULHURUOUSUPUKMBTUKNBTUERUF $.

  ${
    $d x F $.  $d x Y $.  $d x Z $.
    $( The preimage of a Cartesian product is the intersection of the preimages
       of each component function.  (Contributed by Thierry Arnoux,
       6-Jun-2017.) $)
    xppreima $p |- ( ( Fun F /\ ran F C_ ( _V X. _V ) ) ->
      ( `' F " ( Y X. Z ) ) =
                   ( ( `' ( 1st o. F ) " Y ) i^i ( `' ( 2nd o. F ) " Z ) ) ) $=
      ( vx wfun cvv wss wa ccnv cima c1st wcel c2nd cdm crab cin wceq adantr wb
      cfv crn cxp cv ccom wfn funfn fncnvima2 sylbi elxp6 opeq12d eqeq2d eleq1d
      cop fvco anbi12d bitr4id adantlr opfv biantrurd wfo fo1st fofun ax-mp ssv
      funco mpan wf fof fdm mp2b sseqtrri ssid funimass3 mpan2 sselda eleqtrrdi
      mpbii dmco fvimacnv syl2anc fo2nd 3bitr2d rabbidva eqtrd ineq12i cnvimass
      dfin5 dmcoss sstri sseqin2 mpbi inrab 3eqtr3ri eqtrdi ) AEZAUAFFUBGZHZAIZ
      BCUBZJZDUCZKAUDZIBJZLZXAMAUDZICJZLZHZDANZOZXCXFPZWQWTXAATZWSLZDXIOZXJWOWT
      XNQZWPWOAXIUEXOAUFDXIWSAUGUHRWQXMXHDXIWQXAXILZHZXMXLXAXBTZXAXETZUMZQZXRBL
      ZXSCLZHZHZYDXHWOXPXMYESWPWOXPHZXMXLXLKTZXLMTZUMZQZYGBLZYHCLZHZHYEXLBCUIYF
      YAYJYDYMYFXTYIXLYFXRYGXSYHXAKAUNZXAMAUNZUJUKYFYBYKYCYLYFXRYGBYNULYFXSYHCY
      OULUOUOUPUQXQYAYDDAURUSWOXPYDXHSWPYFYBXDYCXGYFXBEZXAXBNZLYBXDSWOYPXPKEZWO
      YPFFKUTZYRVAFFKVBVCKAVEVFRYFXAWRKNZJZYQWOXIUUAXAWOAXIJZYTGZXIUUAGZUUBFYTU
      UBVDZYSFFKVGYTFQVAFFKVHFFKVIVJVKWOXIXIGZUUCUUDSXIVLZXIYTAVMVNVQVOKAVRVPXA
      BXBVSVTYFXEEZXAXENZLYCXGSWOUUHXPMEZWOUUHFFMUTZUUJWAFFMVBVCMAVEVFRYFXAWRMN
      ZJZUUIWOXIUUMXAWOUUBUULGZXIUUMGZUUBFUULUUEUUKFFMVGUULFQWAFFMVHFFMVIVJVKWO
      UUFUUNUUOSUUGXIUULAVMVNVQVOMAVRVPXACXEVSVTUOUQWBWCWDXIXCPZXIXFPZPXDDXIOZX
      GDXIOZPXKXJUUPUURUUQUUSDXIXCWGDXIXFWGWEUUPXCUUQXFXCXIGUUPXCQXCYQXIXBBWFKA
      WHWIXCXIWJWKXFXIGUUQXFQXFUUIXIXECWFMAWHWIXFXIWJWKWEXDXGDXIWLWMWN $.
  $}

  ${
    $d A p x y $.  $d B p x y $.
    $( Image of a cartesian product by ` 2nd ` .  (Contributed by Thierry
       Arnoux, 23-Jun-2024.) $)
    2ndimaxp $p |- ( A =/= (/) -> ( 2nd " ( A X. B ) ) = B ) $=
      ( vy vp vx c0 wne c2nd cxp cima wceq adantl wa cv wcel cfv wb cvv a1i vex
      ima0 xpeq2 xp0 eqtrdi imaeq2d id 3eqtr4a wrex xpnz wfo wfn fo2nd fofn wss
      mp1i ssv fvelimabd sylbi simpr xp2nd ad2antlr eqeltrrd r19.29an n0 biimpi
      wex ad2antrr cop opelxpi ancoms adantll fveqeq2 rspcedvd exlimddv impbida
      op2nd bitrd eqrdv pm2.61dane ) AFGZHABIZJZBKZBFBFKZWCVTWDHFJFWBBHUAWDWAFH
      WDWAAFIFBFAUBAUCUDUEWDUFUGLVTBFGZMZCWBBWFCNZWBOZDNZHPZWGKZDWAUHZWGBOZWFWA
      FGZWHWLQABUIWNDRWAWGHRRHUJHRUKWNULRRHUMUOWARUNWNWAUPSUQURWFWLWMWFWKWMDWAW
      FWIWAOZMZWKMWJWGBWPWKUSWOWJBOWFWKWIABUTVAVBVCWFWMMZENZAOZWLEVTWSEVFZWEWMV
      TWTEAVDVEVGWQWSMZWKWRWGVHZHPWGKZDXBWAWMWSXBWAOZWFWSWMXDWRWGABVIVJVKWIXBKW
      KXCQXAWIXBWGHVLLXCXAWRWGETCTVPSVMVNVOVQVRVS $.
  $}

  ${
    $d A k $.
    $( Stronger version of ~ djussxp .  (Contributed by Thierry Arnoux,
       23-Jun-2024.) $)
    djussxp2 $p |- U_ k e. A ( { k } X. B ) C_ ( A X. U_ k e. A B ) $=
      ( cv csn cxp ciun nfcv nfiu1 nfxp iunssf wcel snssi ssiun2 xpss12 syl2anc
      wss mprgbir ) CACDZEZBFZGACABGZFZQUAUCQZCACAUAUCCAUBCAHCABIJKSALTAQBUBQUD
      SAMCABNTABUBOPR $.
  $}

  ${
    $d A u x $.  $d C c d y $.  $d U c d u y $.  $d U c d v y $.
    $d X c d x y $.  $d c d ph u v x y $.
    2ndresdju.u $e |- U = U_ x e. X ( { x } X. C ) $.
    2ndresdju.a $e |- ( ph -> A e. V ) $.
    2ndresdju.x $e |- ( ph -> X e. W ) $.
    2ndresdju.1 $e |- ( ph -> Disj_ x e. X C ) $.
    2ndresdju.2 $e |- ( ph -> U_ x e. X C = A ) $.
    $( The ` 2nd ` function restricted to a disjoint union is injective.
       (Contributed by Thierry Arnoux, 23-Jun-2024.) $)
    2ndresdju $p |- ( ph -> ( 2nd |` U ) : U -1-1-> A ) $=
      ( vu vy vd c2nd wcel cvv wa vv vc cres wf cv cfv wceq wi wral wf1 wfn wfo
      fo2nd fofn mp1i wss ssv a1i fnssresd simpr fvresd cxp csn djussxp2 xpeq2d
      ciun sseqtrid eqsstrid xp2nd syl eqeltrd ralrimiva ffnfv sylanbrc cop wex
      sselda nfv nfiu1 nfcxfr nfcri nfan nfcv nffv nfeq eleq2i eliunxp ad3antlr
      nfres sylbb bitri nfcsb1v nfex opeq1 eqeq2d eleq1w csbeq1a eleq2d anbi12d
      csb exbidv cbvexv1 ad5antlr wdisj ad9antr simp-5r simp-4r simp-7r simp-9r
      simplr simp-6r fveq2d op2nd eqtrdi eqtrd simp-8r simpllr disjif syl122anc
      vex 3eqtr3d opeq12d 3eqtr4d anasss expl exlimdvv mpd exlimdv exlimimdd ex
      ralrimivva dff13 ) AECQEUCZUDZNUEZYMUFZUAUEZYMUFZUGZYOYQUGZUHZUAEUINEUIEC
      YMUJAYMEUKYPCRZNEUIYNASEQSSQULQSUKAUMSSQUNUOESUPAEUQURUSAUUBNEAYOERZTZYPY
      OQUFZCUUDYOEQAUUCUTVAUUDYOHCVBZRUUECRAEUUFYOAEBHBUEZVCDVBZVFZUUFIAHBHDVFZ
      VBUUIUUFHDBVDAUUJCHMVEVGVHVQYOHCVIVJVKVLNECYMVMVNAUUANUAEEAUUCYQERZUUAUUD
      UUKTZYSYTUULYSTZYOUUGUBUEZVOZUGZUUGHRZUUNDRZTZTZUBVPZYTBUULYSBUUDUUKBAUUC
      BABVRBNEBEUUIIBHUUHVSVTZWAWBBUAEUVBWAWBBYPYRBYOYMBQEBQWCUVBWIZBYOWCWDBYQY
      MUVCBYQWCWDWEWBYTBVRUUCUVABVPZAUUKYSUUCYOUUIRUVDEUUIYOIWFBUBHDYOWGWJWHUUM
      UUTYTUBUUMUUPUUSYTUUMUUPTZUUQUURYTUVEUUQTZUURTZYQOUEZPUEZVOZUGZUVHHRZUVIB
      UVHDWTZRZTZTZPVPZOVPZYTUUKUVRUUDYSUUPUUQUURUUKYQUUGUVIVOZUGZUUQUVIDRZTZTZ
      PVPZBVPZUVRUUKYQUUIRUWEEUUIYQIWFBPHDYQWGWKUWDUVQBOUWDOVRUVPBPUVKUVOBUVKBV
      RUVLUVNBUVLBVRBPUVMBUVHDWLZWAWBWBWMUUGUVHUGZUWCUVPPUWGUVTUVKUWBUVOUWGUVSU
      VJYQUUGUVHUVIWNWOUWGUUQUVLUWAUVNBOHWPUWGDUVMUVIBUVHDWQZWRWSWSXAXBWJXCUVGU
      VPYTOPUVGUVKUVOYTUVGUVKTZUVLUVNYTUWIUVLTZUVNTZUUOUVJYOYQUWKUUGUVHUUNUVIUW
      KBHDXDZUUQUVLUURUUNUVMRUWGAUWLUUCUUKYSUUPUUQUURUVKUVLUVNLXEUVEUUQUURUVKUV
      LUVNXFUWIUVLUVNXJUVFUURUVKUVLUVNXGUWKUUNUVIUVMUWKYPYRUUNUVIUULYSUUPUUQUUR
      UVKUVLUVNXHUWKYPUUEUUNUWKYOEQAUUCUUKYSUUPUUQUURUVKUVLUVNXIVAUWKUUEUUOQUFU
      UNUWKYOUUOQUUMUUPUUQUURUVKUVLUVNXKZXLUUGUUNBXTUBXTXMXNXOUWKYRYQQUFZUVIUWK
      YQEQUUDUUKYSUUPUUQUURUVKUVLUVNXPVAUWKUWNUVJQUFUVIUWKYQUVJQUVGUVKUVLUVNXQZ
      XLUVHUVIOXTPXTXMXNXOYAZUWJUVNUTVKBHDUVMUVHUUNUWFUWHXRXSUWPYBUWMUWOYCYDYEY
      FYGYDYEYHYIYJYDYKNUAECYMYLVN $.

    $( The ` 2nd ` function restricted to a disjoint union is a bijection.  See
       also e.g. ~ 2ndconst .  (Contributed by Thierry Arnoux, 23-Jun-2024.) $)
    2ndresdjuf1o $p |- ( ph -> ( 2nd |` U ) : U -1-1-onto-> A ) $=
      ( c2nd cres wf1 wfo wf1o 2ndresdju ciun iunfo foeq3 biimpa sylancl df-f1o
      wceq sylanbrc ) AECNEOZPECUHQZECUHRABCDEFGHIJKLMSABHDTZCUFZEUJUHQZUIMBHDE
      IUAUKULUIUJCEUHUBUCUDECUHUEUG $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x F $.  $d x G $.  $d x H $.
    $d x ph $.
    xppreima2.1 $e |- ( ph -> F : A --> B ) $.
    xppreima2.2 $e |- ( ph -> G : A --> C ) $.
    xppreima2.3 $e |- H = ( x e. A |-> <. ( F ` x ) , ( G ` x ) >. ) $.
    $( The preimage of a Cartesian product is the intersection of the preimages
       of each component function.  (Contributed by Thierry Arnoux,
       7-Jun-2017.) $)
    xppreima2 $p |- ( ph -> ( `' H " ( Y X. Z ) ) =
                                         ( ( `' F " Y ) i^i ( `' G " Z ) ) ) $=
      ( ccnv cima c1st c2nd cvv wceq cfv cxp ccom cin wfun crn wss funmpt2 wcel
      cv cop wa ffvelrnda opelxp sylanbrc frnd xpss sstrdi xppreima sylancr wfn
      fmptd wfo fo1st fofn ax-mp opex fnmpti ssv fnco mp3an a1i ffnd cdm adantr
      simpr dmmpti eleqtrrdi opfv syl21anc fvmpt2 eqtr3d fvex opth sylib simpld
      syl2anc eqfnfvd cnveqd imaeq1d fo2nd simprd ineq12d eqtrd ) AHNIJUAOZPHUB
      ZNZIOZQHUBZNZJOZUCZFNZIOZGNZJOZUCAHUDZHUEZRRUAZUFZWNXASBCBUIZFTZXJGTZUJZH
      MUGZAXGDEUAZXHACXOHABCXMXOHAXJCUHZUKZXKDUHXLEUHXMXOUHZACDXJFKULACEXJGLULX
      KXLDEUMUNZMVAUODEUPUQZHIJURUSAWQXCWTXEAWPXBIAWOFABCWOFWOCUTZAPRUTZHCUTZXG
      RUFZYARRPVBYBVCRRPVDVEBCXMHXKXLVFZMVGZXGVHZRCPHVIVJVKACDFKVLXQXJWOTZXKSZX
      JWRTZXLSZXQYHYJUJZXMSYIYKUKXQXJHTZYLXMXQXFXIXJHVMZUHYMYLSXFXQXNVKAXIXPXTV
      NXQXJCYNAXPVOZBCXMHYEMVPVQBHVRVSXQXPXRYMXMSYOXSBCXMXOHMVTWFWAYHYJXKXLXJWO
      WBXJWRWBWCWDZWEWGWHWIAWSXDJAWRGABCWRGWRCUTZAQRUTZYCYDYQRRQVBYRWJRRQVDVEYF
      YGRCQHVIVJVKACEGLVLXQYIYKYPWKWGWHWIWLWM $.
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.
    $( Condition for the membership in the union of the range of a function.
       (Contributed by Thierry Arnoux, 13-Nov-2016.) $)
    elunirn2 $p |- ( ( Fun F /\ B e. ( F ` A ) ) -> B e. U. ran F ) $=
      ( vx wfun cfv wcel wa crn cuni cdm wrex elfvdm wceq eleq2d rspcev mpancom
      cv fveq2 adantl wb elunirn adantr mpbird ) CEZBACFZGZHBCIJGZBDRZCFZGZDCKZ
      LZUGUMUEAULGUGUMBACMUKUGDAULUIANUJUFBUIACSOPQTUEUHUMUAUGDBCUBUCUD $.
  $}

  ${
    $d x y B $.  $d x y F $.  $d x y V $.  $d y ps $.
    abfmpunirn.1 $e |- F = ( x e. V |-> { y | ph } ) $.
    abfmpunirn.2 $e |- { y | ph } e. _V $.
    abfmpunirn.3 $e |- ( y = B -> ( ph <-> ps ) ) $.
    $( Membership in a union of a mapping function-defined family of sets.
       (Contributed by Thierry Arnoux, 28-Sep-2016.) $)
    abfmpunirn $p |- ( B e. U. ran F <-> ( B e. _V /\ E. x e. V ps ) ) $=
      ( crn cuni wcel cvv wrex elex cab cv cfv wfn wb fnmpti fnunirn ax-mp wceq
      fvmpt2 mpan2 eleq2d rexbiia bitri elabg rexbidv syl5bb biadanii ) EFKLZMZ
      ENMZBCGOZEUOPUPEADQZMZCGOZUQURUPECRZFSZMZCGOZVAFGTUPVEUACGUSFIHUBCEFGUCUD
      VDUTCGVBGMZVCUSEVFUSNMVCUSUEICGUSNFHUFUGUHUIUJUQUTBCGABDENJUKULUMUN $.
  $}

  ${
    $d x y B $.  $d x y F $.  $d x y V $.  $d y W $.  $d y ps $.
    rabfmpunirn.1 $e |- F = ( x e. V |-> { y e. W | ph } ) $.
    rabfmpunirn.2 $e |- W e. _V $.
    rabfmpunirn.3 $e |- ( y = B -> ( ph <-> ps ) ) $.
    $( Membership in a union of a mapping function-defined family of sets.
       (Contributed by Thierry Arnoux, 30-Sep-2016.) $)
    rabfmpunirn $p |- ( B e. U. ran F <-> E. x e. V ( B e. W /\ ps ) ) $=
      ( crn cuni wcel cvv wa wrex cv crab cmpt cab df-rab mpteq2i eqtri zfausab
      wceq eleq1 anbi12d abfmpunirn elex adantr rexlimivw pm4.71ri bitr4i ) EFL
      MNEONZEHNZBPZCGQZPURDRZHNZAPZUQCDEFGFCGADHSZTCGVADUAZTICGVBVCADHUBUCUDADH
      JUEUSEUFUTUPABUSEHUGKUHUIURUOUQUOCGUPUOBEHUJUKULUMUN $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y F $.  $d x y V $.  $d y W $.  $d x y ch $.
    $d x y ch $.  $d x y ph $.
    abfmpeld.1 $e |- F = ( x e. V |-> { y | ps } ) $.
    abfmpeld.2 $e |- ( ph -> { y | ps } e. _V ) $.
    abfmpeld.3 $e |- ( ph -> ( ( x = A /\ y = B ) -> ( ps <-> ch ) ) ) $.
    $( Membership in an element of a mapping function-defined family of sets.
       (Contributed by Thierry Arnoux, 19-Oct-2016.) $)
    abfmpeld $p |- ( ph -> ( ( A e. V /\ B e. W ) ->
        ( B e. ( F ` A ) <-> ch ) ) ) $=
      ( wcel wa wb cab cvv wceq wal cfv wsbc alrimiv csbexg fvmpts sylan2 csbab
      csb eqtrdi eleq2d adantl cv wi simpll ancomsd impl sbcied ex elabgt bitrd
      syl an13s ) AFINZGJNZOGFHUAZNZCPZVDVCAVGVDVCAOZOVFGBDFUBZEQZNZCVHVFVKPVDV
      HVEVJGVHVEDFBEQZUHZVJAVCVMRNZVEVMSAVLRNZDTVNAVODLUCDFVLRUDVADFVLIHRKUEUFB
      DEFUGUIUJUKVHVDEULGSZVICPZUMZETVKCPVHVREVHVPVQVHVPOBCDFIVCAVPUNVHVPDULFSZ
      BCPZAVPVSOVTUMVCAVSVPVTMUOUKUPUQURUCVICEGJUSUFUTVBUR $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y F $.  $d x y V $.  $d y W $.  $d x y ps $.
    $d y W $.
    abfmpel.1 $e |- F = ( x e. V |-> { y | ph } ) $.
    abfmpel.2 $e |- { y | ph } e. _V $.
    abfmpel.3 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( Membership in an element of a mapping function-defined family of sets.
       (Contributed by Thierry Arnoux, 19-Oct-2016.) $)
    abfmpel $p |- ( ( A e. V /\ B e. W ) -> ( B e. ( F ` A ) <-> ps ) ) $=
      ( wcel wa cab wb cvv wceq cv ancoms cfv wsbc csb csbex fvmpts mpan2 csbab
      eqtrdi eleq2d adantr wi wal simpl adantll sbcied ex alrimiv elabgt sylan2
      bitrd ) EHMZFIMZNFEGUAZMZFACEUBZDOZMZBVAVDVGPVBVAVCVFFVAVCCEADOZUCZVFVAVI
      QMVCVIRCEVHKUDCEVHHGQJUEUFACDEUGUHUIUJVBVAVGBPZVAVBDSFRZVEBPZUKZDULVJVAVM
      DVAVKVLVAVKNABCEHVAVKUMVKCSERZABPZVAVNVKVOLTUNUOUPUQVEBDFIURUSTUT $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.  $d y ph $.
    fmptdF.p $e |- F/ x ph $.
    fmptdF.a $e |- F/_ x A $.
    fmptdF.c $e |- F/_ x C $.
    fmptdF.1 $e |- ( ( ph /\ x e. A ) -> B e. C ) $.
    fmptdF.2 $e |- F = ( x e. A |-> B ) $.
    $( Domain and codomain of the mapping operation; deduction form.  This
       version of ~ fmptd uses bound-variable hypothesis instead of distinct
       variable conditions.  (Contributed by Thierry Arnoux, 28-Mar-2017.) $)
    fmptdF $p |- ( ph -> F : A --> C ) $=
      ( vy wf cv csb wcel wa wsb bitri nfcv cmpt wral sbimi sban clelsb1fw wsbc
      sbf anbi12i sbsbc sbcel12 csbgfi eleq2i 3imtr3i ralrimiva nfcsb1v csbeq1a
      vex cbvmptf fmpt sylib feq1i sylibr ) ACEBCDUAZMZCEFMABLNZDOZEPZLCUBVDAVG
      LCABNCPZQZBLRZDEPZBLRZAVECPZQZVGVIVKBLJUCVJABLRZVHBLRZQVNAVHBLUDVOAVPVMAB
      LGUGBLCHUEUHSVLVKBVEUFZVGVKBLUIVQVFBVEEOZPVGBVEDEUJVREVFBVEELUQIUKULSSUMU
      NLCEVFVCBLCDVFHLCTLDTBVEDUOBVEDUPURUSUTCEFVCKVAVB $.
  $}

  ${
    $d u v w x y z $.  $d u v w z A $.  $d u y B $.  $d u w z F $.
    $d u w z G $.  $d u y R $.  $d u S $.  $d u v w z T $.  $d u w z ph $.
    fmptcof2.x $e |- F/_ x S $.
    fmptcof2.y $e |- F/_ y T $.
    fmptcof2.1 $e |- F/_ x A $.
    fmptcof2.2 $e |- F/_ x B $.
    fmptcof2.3 $e |- F/ x ph $.
    fmptcof2.4 $e |- ( ph -> A. x e. A R e. B ) $.
    fmptcof2.5 $e |- ( ph -> F = ( x e. A |-> R ) ) $.
    fmptcof2.6 $e |- ( ph -> G = ( y e. B |-> S ) ) $.
    fmptcof2.7 $e |- ( y = R -> S = T ) $.
    $( Composition of two functions expressed as ordered-pair class
       abstractions.  (Contributed by FL, 21-Jun-2012.)  (Revised by Mario
       Carneiro, 24-Jul-2014.)  (Revised by Thierry Arnoux, 10-May-2017.) $)
    fmptcof2 $p |- ( ph -> ( G o. F ) = ( x e. A |-> T ) ) $=
      ( wceq vz vw vu vv ccom cmpt relco mptrel cv wbr wa wex wcel csb cop wfun
      cfv wf r19.21bi eqid fmptdF feq1d mpbird ffund funbrfv imp eqcomd expimpd
      sylan a1d pm4.71rd exbidv breq2 breq1 anbi12d ceqsexv cdm wb funfvbrb syl
      fvex fdmd eleq2d bitr3d fveq1d eqidd breq123d wi nfcri nffvmpt1 nfcv nfbr
      nfmpt nfcsb1v nfeq2 nfbi nfim eleq1w breq1d csbeq1a eqeq2d bibi12d imbi2d
      fveq2 imbi12d cvv vex nfv nfan simpl eleq1d adantr eqeq12d df-mpt brabgaf
      simpr sylancl fvmpt2f syl2anc 3bitr4d expcom impcom pm5.32da bitrd syl5bb
      biantrurd chvarfv opelco copab eleq2i eqeq1 anbi2d bitri 3bitr4g eqrelrdv
      opelopabf ) AUAUBJIUEZBDHUFZJIUGBDHUHAUAUIZUCUIZIUJZYTUBUIZJUJZUKZUCULZYS
      DUMZUUBBYSHUNZTZUKZYSUUBUOZYQUMUUJYRUMZAUUEYTYSIUQZTZUUDUKZUCULZUUIAUUDUU
      NUCAUUDUUMAUUAUUCUUMAUUAUKZUUMUUCUUPUULYTAIUPZUUAUULYTTZADEIADEIURDEBDFUF
      ZURABDFEUUSOMNAFEUMZBDPUSZUUSUTVAADEIUUSQVBVCZVDZUUQUUAUURYSYTIVEVFVIVGVJ
      VHVKVLUUOYSUULIUJZUULUUBJUJZUKZAUUIUUDUVFUCUULYSIWAUUMUUAUVDUUCUVEYTUULYS
      IVMYTUULUUBJVNVOVPAUVFUUFYSUUSUQZUUBCEGUFZUJZUKUUIAUVDUUFUVEUVIAYSIVQZUMZ
      UVDUUFAUUQUVKUVDVRUVCYSIVSVTAUVJDYSADEIUVBWBWCWDAUULUVGUUBUUBJUVHAYSIUUSQ
      WERAUUBWFWGVOAUUFUVIUUHUUFAUVIUUHVRZBUIZDUMZAUVMUUSUQZUUBUVHUJZUUBHTZVRZW
      HZWHUUFAUVLWHZWHBUAUUFUVTBBUADMWIZAUVLBOUVIUUHBBUVGUUBUVHBDFYSWJBCEGNKWMB
      UUBWKWLBUUBUUGBYSHWNZWOWPWQWQUVMYSTZUVNUUFUVSUVTBUADWRZUWCUVRUVLAUWCUVPUV
      IUVQUUHUWCUVOUVGUUBUVHUVMYSUUSXDWSUWCHUUGUUBBYSHWTZXAXBXCXEAUVNUVRAUVNUKZ
      FUUBUVHUJZUUTUVQUKZUVPUVQUWFUUTUUBXFUMUWGUWHVRUVAUBXGZCUIZEUMZYTGTZUKUWHC
      UCFUUBUVHEXFUUTUVQCUUTCXHCUUBHLWOXIUWJFTZYTUUBTZUKZUWKUUTUWLUVQUWOUWJFEUW
      MUWNXJXKUWOYTUUBGHUWMUWNXPUWMGHTUWNSXLXMVOCUCEGXNXOXQUWFUVOFUUBUVHUWFUVNU
      UTUVOFTAUVNXPUVABDFEMXRXSWSUWFUUTUVQUVAYFXTYAYGYBYCYDYEYDUCYSUUBJIUAXGZUW
      IYHUUKUUJUVNUDUIZHTZUKZBUDYIZUMUUIYRUWTUUJBUDDHXNYJUWSUUFUWQUUGTZUKUUIBUD
      YSUUBUUFUXABUWABUWQUUGUWBWOXIUUIUDXHUWPUWIUWCUVNUUFUWRUXAUWDUWCHUUGUWQUWE
      XAVOUWQUUBTUXAUUHUUFUWQUUBUUGYKYLYPYMYNYO $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x C $.  $d x y D $.  $d x E $.
    fcomptf.1 $e |- F/_ x B $.
    $( Express composition of two functions as a maps-to applying both in
       sequence.  This version has one less distinct variable restriction
       compared to ~ fcompt .  (Contributed by Thierry Arnoux, 30-Jun-2017.) $)
    fcomptf $p |- ( ( A : D --> E /\ B : C --> D ) -> ( A o. B ) = ( x e. C |->
        ( A ` ( B ` x ) ) ) ) $=
      ( vy wf wa cv cfv wcel nfcv nff wfn cmpt wceq ffn sylib ffvelrn ex adantl
      nfan adantll ralrimi dffn5f adantr dffn5 fveq2 fmptcof ) EFBIZDECIZJZAHDE
      AKZCLZHKZBLZUPBLCBUNUPEMZADULUMAAEFBABNAENZAFNOADECGADNUTOUDUNUODMZUSUMVA
      USULDEUOCUAUEUBUFUNCDPZCADUPQRUMVBULDECSUCADCGUGTUNBEPZBHEURQRULVCUMEFBSU
      HHEBUITUQUPBUJUK $.
  $}

$(
  @{
    acrnmpt.0 @e |- ( ph -> A e. V ) @.
    acrnmpt.1 @e |- ( ( ph /\ j e. A ) -> B e. W ) @.
    acrnmpt.2 @e |- C = ran ( j e. A |-> B ) @.
    @( Axiom of choice for the range of a mapping to function.  (Contributed by
       Thierry Arnoux, 26-Jul-2020.) @)
    acrnmpt @p |- ( ph -> E. f ( f : C -1-1-onto-> ran f /\ ran f C_ A ) ) @=
      ? @.
  @}
$)

  ${
    acunirnmpt.0 $e |- ( ph -> A e. V ) $.
    acunirnmpt.1 $e |- ( ( ph /\ j e. A ) -> B =/= (/) ) $.
    ${
      $d j A $.  $d c f j y C $.  $d f j y ph $.
      acunirnmpt.2 $e |- C = ran ( j e. A |-> B ) $.
      $( Axiom of choice for the union of the range of a mapping to function.
         (Contributed by Thierry Arnoux, 6-Nov-2019.) $)
      acunirnmpt $p |- ( ph
        -> E. f ( f : C --> U. C /\ A. y e. C E. j e. A ( f ` y ) e. B ) ) $=
        ( vc cv wcel wral wa wex c0 cvv mpd cuni wf cfv wrex wceq simpr simplll
        wne simplr syl2anc eqnetrd cmpt crn eleq2i vex eqid elrnmpt ax-mp bitri
        wb biimpi adantl r19.29a ralrimiva wi mptexg rnexg eqeltrid raleq unieq
        3syl id feq23d anbi12d exbidv imbi12d vtoclg syl adantr simpllr eleqtrd
        ac5b ex reximdva ralimdva anim2d eximdv ) AEEUAZFMZUBZBMZWIUCZWKNZBEOZP
        ZFQZWJWLDNZGCUDZBEOZPZFQAWKRUHZBEOZWPAXABEAWKENZPZWKDUEZXAGCXDGMCNZPZXE
        PZWKDRXGXEUFXHAXFDRUHAXCXFXEUGXDXFXEUIJUJUKXCXEGCUDZAXCXIXCWKGCDULZUMZN
        ZXIEXKWKKUNWKSNXLXIUTBUOGCDWKXJSXJUPUQURUSVAVBZVCVDAESNXBWPVEZAEXKSKACH
        NXJSNXKSNIGCDHVFXJSVGVKVHXABLMZOZXOXOUAZWIUBZWMBXOOZPZFQZVEXNLESXOEUEZX
        PXBYAWPXABXOEVIYBXTWOFYBXRWJXSWNYBXOXQEWHWIYBVLXOEVJVMWMBXOEVIVNVOVPBXO
        FLUOWBVQVRTAWOWTFAWNWSWJAWMWRBEXDWMWRXDWMPZXIWRXDXIWMXMVSYCXEWQGCYCXFPZ
        XEWQYDXEPWLWKDXDWMXFXEVTYDXEUFWAWCWDTWCWEWFWGT $.
    $}

    ${
      $d c f j x y A $.  $d c f y B $.  $d c f j x y C $.  $d c j D $.
      $d f j x y ph $.
      acunirnmpt2.2 $e |- C = U. ran ( j e. A |-> B ) $.
      acunirnmpt2.3 $e |- ( j = ( f ` x ) -> B = D ) $.
      $( Axiom of choice for the union of the range of a mapping to function.
         (Contributed by Thierry Arnoux, 7-Nov-2019.) $)
      acunirnmpt2 $p |- ( ph -> E. f ( f : C --> A /\ A. x e. C x e. D ) ) $=
        ( vy vc cv wcel wral wa cvv wrex wf wex cmpt crn wceq simplr wb elrnmpt
        vex eqid ax-mp sylib nfv nfcv nfmpt1 nfrn nfel wi simpllr simpr eleqtrd
        nfan ex reximdai mpd cuni eleq2i biimpi eluni2 adantl r19.29a ralrimiva
        mptexg rnexg uniexg 4syl eqeltrid id raleqdv anbi12d exbidv imbi12d cfv
        feq2d eleq2d ac6s vtoclg syl ) ABPZDQZHCUAZBERZECGPZUBZWJFQZBERZSZGUCZA
        WLBEAWJEQZSZWJNPZQZWLNHCDUDZUEZXAXBXEQZSZXCSZXBDUFZHCUAZWLXHXFXJXAXFXCU
        GXBTQXFXJUHNUJHCDXBXDTXDUKUIULUMXHXIWKHCXGXCHXAXFHXAHUNHXBXEHXBUOHXDHCD
        UPUQURVCXCHUNVCXHHPZCQZXIWKUSXHXLSZXIWKXMXISWJXBDXGXCXLXIUTXMXIVAVBVDVD
        VEVFWTXCNXEUAZAWTWJXEVGZQZXNWTXPEXOWJLVHVINWJXEVJUMVKVLVMAETQWMWSUSZAEX
        OTLACIQXDTQXETQXOTQJHCDIVNXDTVOXETVPVQVRWLBOPZRZXRCWNUBZWPBXRRZSZGUCZUS
        XQOETXREUFZXSWMYCWSYDWLBXREYDVSZVTYDYBWRGYDXTWOYAWQYDXRECWNYEWEYDWPBXRE
        YEVTWAWBWCWKWPBHXRCGOUJXKWJWNWDUFDFWJMWFWGWHWIVF $.
    $}

    aciunf1lem.a $e |- F/_ j A $.
    ${
      $d c f x y k A $.  $d c f k y B $.  $d c f x y C $.  $d c D $.
      $d f j k x y ph $.  $d j c $.
      acunirnmpt2f.c $e |- F/_ j C $.
      acunirnmpt2f.d $e |- F/_ j D $.
      acunirnmpt2f.2 $e |- C = U_ j e. A B $.
      acunirnmpt2f.3 $e |- ( j = ( f ` x ) -> B = D ) $.
      acunirnmpt2f.4 $e |- ( ( ph /\ j e. A ) -> B e. W ) $.
      $( Axiom of choice for the union of the range of a mapping to function.
         (Contributed by Thierry Arnoux, 7-Nov-2019.) $)
      acunirnmpt2f $p |- ( ph -> E. f ( f : C --> A /\ A. x e. C x e. D ) ) $=
        ( wcel cvv vy vk vc cv wrex wral wf wa wex cmpt crn wceq simplr wb eqid
        vex elrnmpt ax-mp sylib nfv nfcri nfan nfcv nfmpt1 nfrn nfel wi simpllr
        simpr eleqtrd ex reximdai mpd cuni ciun ralrimiva dfiun3g syl5eq eleq2d
        syl biimpa eluni2 r19.29a nfcsb1v csbeq1a cbvmptf mptexg eqeltrid rnexg
        csb uniexg 4syl eqeltrd raleqdv feq2d anbi12d exbidv imbi12d cfv ac6sf2
        id vtoclg ) ABUDZDSZHCUEZBEUFZECGUDZUGZXCFSZBEUFZUHZGUIZAXEBEAXCESZUHZX
        CUAUDZSZXEUAHCDUJZUKZXNXOXRSZUHZXPUHZXODULZHCUEZXEYAXSYCXNXSXPUMXOTSXSY
        CUNUAUPHCDXOXQTXQUOUQURUSYAYBXDHCXTXPHXNXSHAXMHAHUTHBENVAVBHXOXRHXOVCHX
        QHCDVDVEVFVBXPHUTVBYAHUDZCSZYBXDVGYAYEUHZYBXDYFYBUHXCXODXTXPYEYBVHYFYBV
        IVJVKVKVLVMXNXCXRVNZSZXPUAXRUEAXMYHAEYGXCAEHCDVOZYGPADJSZHCUFYIYGULAYJH
        CRVPHCDJVQVTVRZVSWAUAXCXRWBUSWCVPAETSXFXLVGZAEYGTYKACISZXQTSXRTSYGTSKYM
        XQUBCHUBUDZDWJZUJTHUBCDYOMUBCVCUBDVCHYNDWDHYNDWEWFUBCYOIWGWHXQTWIXRTWKW
        LWMXEBUCUDZUFZYPCXGUGZXIBYPUFZUHZGUIZVGYLUCETYPEULZYQXFUUAXLUUBXEBYPEUU
        BXAZWNUUBYTXKGUUBYRXHYSXJUUBYPECXGUUCWOUUBXIBYPEUUCWNWPWQWRXDXIBHYPCGMH
        BFOVAUCUPYDXCXGWSULDFXCQVSWTXBVTVM $.
    $}

    $d f j k y $.  $d f g k x y A $.  $d f g k x y B $.  $d g j k x ph $.
    $d j W $.
    aciunf1lem.1 $e |- ( ( ph /\ j e. A ) -> B e. W ) $.
    $( Choice in an index union.  (Contributed by Thierry Arnoux,
       8-Nov-2019.) $)
    aciunf1lem $p |- ( ph
      -> E. f ( f : U_ j e. A B -1-1-> U_ j e. A ( { j } X. B )
            /\ A. x e. U_ j e. A B ( 2nd ` ( f ` x ) ) = x ) ) $=
      ( vk cfv wcel wral wa wceq nfcv cvv vg vy ciun cv wf csb csn cxp wf1 c2nd
      wex nfiu1 nfcsb1v eqid csbeq1a acunirnmpt2f cop cmpt wi nfv nfan nff nfel
      nfra1 nfralw wrex simplr simpld ad2antrr simpllr ffvelrnd fvex a1i simprd
      snid rsp sylc jca opelxp sylibr sneq csbeq1 xpeq12d eleq2d rspcev syl2anc
      simpr eliun cbvrexfw bitri biimpi adantl r19.29af2 ex ralrimi vex simprbi
      nfxp opth rgen2w fveq2 opeq12d f1mpt fvmpt2 mpan2 syl fveq2d op2nd eqtrdi
      opex nfim eleq1w anbi2d eleq1d imbi12d chvarfv ralrimiva cbviunf eqeltrid
      iunexg mptexg f1eq1 nfmpt1 nfeq fveq1 fveqeq2d ralbid anbi12d spcegv 3syl
      id adantr mpd exlimddv ) AFCDUCZCUAUDZUEZBUDZFYRYPNZDUFZOZBYOPZQZYOFCFUDZ
      UGZDUHZUCZEUDZUIZYRUUHNZUJNYRRZBYOPZQZEUKZUAABCDYOYTUAFGHIJKFCDULZFYSDUMZ
      YOUNFYSDUOLUPAUUCQZYOUUGBYOYSYRUQZURZUIZYRUUSNZUJNZYRRZBYOPZQZUUNUUQUUTUV
      DUUQUURUUGOZBYOPZUURUBUDZYPNZUVHUQZRZYRUVHRZUSZUBYOPBYOPZQUUTUUQUVGUVNUUQ
      UVFBYOAUUCBABUTYQUUBBYQBUTUUABYOVDVAVAZUUQYRYOOZUVFUUQUVPQZYRDOZUVFFCUUQU
      VPFAUUCFAFUTZYQUUBFFYOCYPFYPSUUOKVBUUAFBYOUUOFYRYTFYRSZUUPVCVEVAVAFYRYOUV
      TUUOVCVAFUURUUGFUURSZFCUUFULVCUVQUUDCOZQUVRQZUURMUDZUGZFUWDDUFZUHZOZMCVFZ
      UVFUWCYSCOUURYSUGZYTUHZOZUWIUWCYOCYRYPUVQYQUWBUVRUVQYQUUBAUUCUVPVGZVHVIUU
      QUVPUWBUVRVJVKUWCYSUWJOZUUAQUWLUWCUWNUUAUWNUWCYSYRYPVLZVOVMUVQUUAUWBUVRUV
      QUUBUVPUUAUVQYQUUBUWMVNUUQUVPWGZUUABYOVPVQVIVRYSYRUWJYTVSVTUWHUWLMYSCUWDY
      SRZUWGUWKUURUWQUWEUWJUWFYTUWDYSWAFUWDYSDWBWCWDWEWFUVFUURUUFOZFCVFUWIFUURC
      UUFWHUWRUWHFMCKMCSZUWRMUTFUURUWGUWAFUWEUWFFUWESFUWDDUMZWRVCUUDUWDRZUUFUWG
      UURUXAUUEUWEDUWFUUDUWDWAFUWDDUOZWCWDWIWJVTUVPUVRFCVFZUUQUVPUXCFYRCDWHWKWL
      WMWNWOUVNUUQUVMBUBYOYOUVKYSUVIRUVLYSYRUVIUVHUWOBWPZWSWQWTVMVRBUBYOUUGUURU
      VJUUSUUSUNZUVLYSUVIYRUVHYRUVHYPXAUVLYKXBXCVTUUQUVCBYOUVOUUQUVPUVCUVQUVBUU
      RUJNYRUVQUVAUURUJUVQUVPUVAUURRZUWPUVPUURTOUXFYSYRXJBYOUURTUUSUXEXDXEXFXGY
      SYRUWOUXDXHXIWNWOVRAUVEUUNUSZUUCAYOTOZUUSTOUXGACGOZUWFHOZMCPZUXHIAUXJMCAU
      WBQZDHOZUSAUWDCOZQZUXJUSFMUXOUXJFAUXNFUVSFUWDCFUWDSKVCVAFUWFHUWTFHSVCXKUX
      AUXLUXOUXMUXJUXAUWBUXNAFMCXLXMUXADUWFHUXBXNXOLXPXQUXIUXKQYOMCUWFUCTFMCDUW
      FKUWSMDSUWTUXBXRMCUWFGHXTXSWFBYOUURTYAUUMUVEEUUSTUUHUUSRZUUIUUTUULUVDYOUU
      GUUHUUSYBUXPUUKUVCBYOBUUHUUSBUUHSBYOUURYCYDUXPUUJUVAYRUJYRUUHUUSYEYFYGYHY
      IYJYLYMYN $.
  $}

  ${
    $d A j k f $.  $d B f k $.  $d W j $.  $d f j k ph $.
    aciunf1.0 $e |- ( ph -> A e. V ) $.
    aciunf1.1 $e |- ( ( ph /\ j e. A ) -> B e. W ) $.
    $( Choice in an index union.  (Contributed by Thierry Arnoux,
       4-May-2020.) $)
    aciunf1 $p |- ( ph
        -> E. f ( f : U_ j e. A B -1-1-> U_ j e. A ( { j } X. B )
           /\ A. k e. U_ j e. A B ( 2nd ` ( f ` k ) ) = k ) ) $=
      ( c0 crab ciun cv wceq wral wa wcel eqidd wtru wne csn cxp wf1 cfv ssrab2
      wex cvv wss ssexg sylancr rabid biimpi adantl simprd nfrab1 simpld syldan
      c2nd aciunf1lem cdif nfv nfcv nfdif wn difrab rabtru difeq1i truan bitr4i
      df-ne rabbii 3eqtr3i a1i iuneq12df ralrimiva syl eqtr3d xpeq2d xp0 eqtrdi
      iunxdif3 f1eq123d raleqdv anbi12d exbidv mpbid ) AECKUAZEBLZCMZEWIENZUBZC
      UCZMZDNZUDZFNZWOUEUSUEWQOZFWJPZQZDUGEBCMZEBWMMZWOUDZWRFXAPZQZDUGAFWICDEUH
      HAWIBUIBGRWIUHRWHEBUFIWIBGUJUKAWKWIRZQZWKBRZWHXFXHWHQZAXFXIWHEBULUMUNZUOW
      HEBUPZAXFXHCHRXGXHWHXJUQJURUTAWTXEDAWPXCWSXDAWJXAWNXBWOWOAWOSAEBCKOZEBLZV
      AZCMZWJXAAEXNWICCAEVBZEBXMEBVCZXLEBUPZVDZXKXNWIOATEBLZXMVATXLVEZQZEBLXNWI
      TXLEBVFXTBXMEBXQVGVHYBWHEBYBYAWHYAVICKVKVJVLVMVNZACSVOAXLEXMPXOXAOAXLEXMA
      WKXMRZQZXHXLYDXHXLQZAYDYFXLEBULUMUNUOZVPEBCXMXRWBVQVRZAEXNWMMZWNXBAEXNWIW
      MWMXPXSXKYCAWMSVOAWMKOZEXMPYIXBOAYJEXMYEWMWLKUCKYECKWLYGVSWLVTWAVPEBWMXMX
      RWBVQVRWCAWRFWJXAYHWDWEWFWG $.
  $}

  ${
    $d a x y A $.  $d a x y B $.  $d a x y C $.  $d a x y F $.  $d a x y G $.
    $d a N $.  $d a x y R $.  $d a x y ph $.
    ofoprabco.1 $e |- F/_ a M $.
    ofoprabco.2 $e |- ( ph -> F : A --> B ) $.
    ofoprabco.3 $e |- ( ph -> G : A --> C ) $.
    ofoprabco.4 $e |- ( ph -> A e. V ) $.
    ofoprabco.5 $e |- ( ph ->
                            M = ( a e. A |-> <. ( F ` a ) , ( G ` a ) >. ) ) $.
    ofoprabco.6 $e |- ( ph -> N = ( x e. B , y e. C |-> ( x R y ) ) ) $.
    $( Function operation as a composition with an operation.  (Contributed by
       Thierry Arnoux, 4-Jun-2017.) $)
    ofoprabco $p |- ( ph -> ( F oF R G ) = ( N o. M ) ) $=
      ( cvv cv cfv cmpt ccom cof wcel cop cxp ffvelrnda opelxpi syl2anc fvmpt2d
      co fveq2d wceq df-ov a1i cmpo adantr simprl simprr oveq12d ovmpod 3eqtr2d
      wa ovexd mpteq2dva wf wral ovex rgen2w eqid fmpo mpbi feq1d mpbiri fmpt3d
      fcomptf feqmptd offval2 3eqtr4rd ) AMDMUAZJUBZKUBZUCZMDWBHUBZWBIUBZGUMZUC
      KJUDZHIGUEUMAMDWDWHAWBDUFZVEZWDWFWGUGZKUBZWFWGKUMZWHWKWCWLKAMDWLJEFUHZRWK
      WFEUFWGFUFWLWOUFADEWBHOUIZADFWBIPUIZWFWGEFUJUKZULUNWNWMUOWKWFWGKUPUQWKBCW
      FWGEFBUAZCUAZGUMZWHKTAKBCEFXAURZUOWJSUSWKWSWFUOZWTWGUOZVEVEWSWFWTWGGWKXCX
      DUTWKXCXDVAVBWPWQWKWFWGGVFVCVDVGAWOTKVHZDWOJVHWIWEUOAXEWOTXBVHZXATUFZCFVI
      BEVIXFXGBCEFWSWTGVJVKBCEFXATXBXBVLVMVNAWOTKXBSVOVPAMDWLWOJRWRVQMKJDWOTNVR
      UKAMDWFWGGHILEFQWPWQAMDEHOVSAMDFIPVSVTWA $.
  $}

  ${
    $d p q s x y A $.  $d s x y B $.  $d s x y C $.  $d p q D $.
    $d p q s x y F $.  $d p q s x y G $.  $d p q s x y R $.  $d p q s x y ph $.
    ofpreima.1 $e |- ( ph -> F : A --> B ) $.
    ofpreima.2 $e |- ( ph -> G : A --> C ) $.
    ofpreima.3 $e |- ( ph -> A e. V ) $.
    ofpreima.4 $e |- ( ph -> R Fn ( B X. C ) ) $.
    $( Express the preimage of a function operation as a union of preimages.
       (Contributed by Thierry Arnoux, 8-Mar-2018.) $)
    ofpreima $p |- ( ph -> ( `' ( F oF R G ) " D ) = U_ p e. ( `' R " D )
         ( ( `' F " { ( 1st ` p ) } ) i^i ( `' G " { ( 2nd ` p ) } ) ) ) $=
      ( vs vq cfv wceq wcel wa vx vy cof co ccnv cima cv cop cmpt c1st csn c2nd
      cin ciun ccom nfmpt1 eqidd cxp wfn cmpo fnov sylib ofoprabco cnveqd cnvco
      eqtrdi imaeq1d imaco wbr wrex cab dfima2 vex cdm wfun wb funmpt funbrfv2b
      brcnv ax-mp dmmpti eleq2i anbi1i bitri fveq2 opeq12d fvmpt eqeq1d pm5.32i
      opex eqid 3bitri rexbii abbii nfv nfab1 nfcv wf ffn fniniseg 3syl anbi12d
      eliun elin anandi 3bitr4g adantr cnvimass fndmd sselda 1st2nd2 eqeq2 fvex
      sseqtrid opth bitrdi anbi2d bitr4d abid bitr4di bitr2id eqrd syl5eq eqtrd
      rexbidva ) AGHFUCUDZUEZEUFZOBOUGZGQZYIHQZUHZUIZUEZFUEZEUFZUFZJYPGUEJUGZUJ
      QZUKUFZHUEYRULQZUKUFZUMZUNZAYHYNYOUOZEUFYQAYGUUEEAYGFYMUOZUEUUEAYFUUFAUAU
      BBCDFGHYMFIOOBYLUPKLMAYMUQAFCDURZUSFUAUBCDUAUGUBUGFUDUTRNUAUBCDFVAVBVCVDF
      YMVEVFVGYNYOEVHVFAYQYRPUGZYNVIZJYPVJZPVKZUUDJPYNYPVLAUUKUUHBSZUUHGQZUUHHQ
      ZUHZYRRZTZJYPVJZPVKZUUDUUJUURPUUIUUQJYPUUIUUHYRYMVIZUULUUHYMQZYRRZTZUUQYR
      UUHYMJVMPVMVSUUTUUHYMVNZSZUVBTZUVCYMVOUUTUVFVPOBYLVQUUHYRYMVRVTUVEUULUVBU
      VDBUUHOBYLYMYJYKWJYMWKZWAWBWCWDUULUVBUUPUULUVAUUOYROUUHYLUUOBYMYIUUHRYJUU
      MYKUUNYIUUHGWEYIUUHHWEWFUVGUUMUUNWJWGWHWIWLWMWNAPUUSUUDAPWOUURPWPPUUDWQUU
      HUUDSUUHUUCSZJYPVJZAUUHUUSSZJUUHYPUUCXCAUVIUURUVJAUVHUUQJYPAYRYPSZTZUVHUU
      LUUMYSRZUUNUUARZTZTZUUQAUVHUVPVPUVKAUUHYTSZUUHUUBSZTUULUVMTZUULUVNTZTUVHU
      VPAUVQUVSUVRUVTABCGWRGBUSUVQUVSVPKBCGWSBYSUUHGWTXAABDHWRHBUSUVRUVTVPLBDHW
      SBUUAUUHHWTXAXBUUHYTUUBXDUULUVMUVNXEXFXGUVLUUPUVOUULUVLUUPUUOYSUUAUHZRZUV
      OUVLYRUUGSYRUWARUUPUWBVPAYPUUGYRAFVNYPUUGFEXHAUUGFNXIXNXJYRCDXKYRUWAUUOXL
      XAUUMUUNYSUUAUUHGXMUUHHXMXOXPXQXRYEUURPXSXTYAYBYCYCYD $.

    $( Express the preimage of a function operation as a union of preimages.
       This version of ~ ofpreima iterates the union over a smaller set.
       (Contributed by Thierry Arnoux, 8-Mar-2018.) $)
    ofpreima2 $p |- ( ph -> ( `' ( F oF R G ) " D ) =
         U_ p e. ( ( `' R " D ) i^i ( ran F X. ran G ) )
         ( ( `' F " { ( 1st ` p ) } ) i^i ( `' G " { ( 2nd ` p ) } ) ) ) $=
      ( cin ciun wceq eqtrdi c0 wcel cof co ccnv cima crn cxp c1st cfv csn c2nd
      cv cun ofpreima inundif iuneq1 ax-mp iunxun eqtr3i wa wo wn simpr eldifbd
      cop wi cdm cnvimass fndmd sseqtrid ssdifssd sselda 1st2nd2 elxp6 simplbi2
      cdif 3syl mtod ianor sylib disjsn orbi12i sylibr wf wfn ffnd dffn3 adantr
      fimacnvdisj ineq1 0in syl ex ineq2 in0 jaao syl2an2r iuneq2dv iun0 uneq2d
      mpd un0 eqtrd ) AGHFUAUBUCEUDZJFUCEUDZGUEZHUEZUFZOZGUCJUKZUGUHZUIZUDZHUCX
      IUJUHZUIZUDZOZPZJXDXGVOZXPPZULZXQAXCJXDXPPZXTABCDEFGHIJKLMNUMJXHXRULZXPPZ
      YAXTYBXDQYCYAQXDXGUNJYBXDXPUOUPJXHXRXPUQURRAXTXQSULXQAXSSXQAXSJXRSPSAJXRX
      PSAXIXRTZUSZXEXKOSQZXFXNOSQZUTZXPSQZYEXJXETZVAZXMXFTZVAZUTZYHYEYJYLUSZVAY
      NYEYOXIXGTZYEXIXDXGAYDVBVCYEXICDUFZTXIXJXMVDQZYOYPVEAXRYQXIAXDYQXGAFVFXDY
      QFEVGAYQFNVHVIVJVKXICDVLYPYRYOXIXEXFVMVNVPVQYJYLVRVSYFYKYGYMXEXJVTXFXMVTW
      AWBABXEGWCZYDBXFHWCZYHYIVEAGBWDYSABCGKWEBGWFVSAYTYDAHBWDYTABDHLWEBHWFVSWG
      YSYFYIYTYGYSYFYIYSYFUSXLSQZYIBXEXKGWHUUAXPSXOOSXLSXOWIXOWJRWKWLYTYGYIYTYG
      USXOSQZYIBXFXNHWHUUBXPXLSOSXOSXLWMXLWNRWKWLWOWPWTWQJXRWRRWSXQXARXB $.
  $}

  ${
    $d x y z $.  $d y F $.  $d y z ph $.
    funcnvmpt.0 $e |- F/ x ph $.
    funcnvmpt.1 $e |- F/_ x A $.
    funcnvmpt.2 $e |- F/_ x F $.
    funcnvmpt.3 $e |- F = ( x e. A |-> B ) $.
    funcnvmpt.4 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    $( Condition for a function in maps-to notation to be single-rooted.
       (Contributed by Thierry Arnoux, 28-Feb-2017.) $)
    funcnvmpt $p |- ( ph -> ( Fun `' F <-> A. y E* x e. A y = B ) ) $=
      ( wfun cv wbr wmo wal wceq wcel wa ccnv wrmo relcnv nfcnv dffun6f mpbiran
      wrel nfcv vex brcnv mobii albii bitri cfv cdm funmpt2 funbrfv2b ax-mp cvv
      crab dmmpt wral elexd ralrimi rabid2f sylibr eqtr4id eleq2d anbi1d syl5bb
      wb bian1d simpr cmpt fveq1i fvmpt2f syl5eq syl2anc eqcom biimpar funbrfvb
      ex eqeq2d sylancr bitr3id bitr3d pm5.32da 3bitr4rd df-rmo bitr4di albidv
      mobid ) FUAZMZBNZCNZFOZBPZCQZAWPERZBDUBZCQWNWPWOWMOZBPZCQZWSWNWMUGXDFUCCB
      WMCWMUHBFJUDUEUFXCWRCXBWQBWPWOFCUIBUIUJUKULUMAWRXACAWRWODSZWTTZBPXAAWQXFB
      HAXEWQTXEWOFUNZWPRZTZXFWQAWQXEXHWQWOFUOZSZXHTZAXIFMZWQXLVKBDEFKUPZWOWPFUQ
      URAXKXEXHAXJDWOAXJEUSSZBDUTZDBDEFKVAAXOBDVBDXPRAXOBDHAXEXOAXETZEGLVCWBVDX
      OBDIVEVFVGVHZVIVJZVLAXEWTWQXQWPXGRZWTWQXQXGEWPXQXEEGSZXGERAXEVMLXEYATXGWO
      BDEVNZUNEWOFYBKVOBDEGIVPVQVRWCXTXHXQWQXGWPVSXQXMXKXHWQVKXNAXKXEXRVTWOWPFW
      AWDWEWFWGXSWHWLWTBDWIWJWKVJ $.

    ${
      $d y z A $.  $d y z B $.  $d x y C $.
      funcnv5mpt.1 $e |- ( x = z -> B = C ) $.
      $( Two ways to say that a function in maps-to notation is single-rooted.
         (Contributed by Thierry Arnoux, 1-Mar-2017.) $)
      funcnv5mpt $p |- ( ph -> ( Fun `' F <->
                                A. x e. A A. z e. A ( x = z \/ B =/= C ) ) ) $=
        ( vy cv wceq wal wral wi ccnv wfun wrmo wne wo funcnvmpt wa wcel wn wex
        nne eqvincg syl syl5bb imbi1d orcom df-or bitri 3bitr4g ralbidv ralcom4
        19.23v bitrdi ralbida nfcv nfv eqeq2d rmo4f albii bitr4i bitr4di bitr4d
        wb ) AGUAUBOPZEQZBDUCZORZBPZCPQZEFUDZUEZCDSZBDSZABODEGHIJKLMUFAWCVOVNFQ
        ZUGZVSTZCDSZORZBDSZVQAWBWHBDIAVRDUHUGZWBWFORZCDSWHWJWAWKCDWJVTUIZVSTZWE
        OUJZVSTWAWKWJWLWNVSWLEFQZWJWNEFUKWJEHUHWOWNVMMOEFHULUMUNUOWAVTVSUEWMVSV
        TUPVTVSUQURWEVSOVBUSUTWFCODVAVCVDVQWGBDSZORWIVPWPOVOWDBCDJCDVEWDBVFVSEF
        VNNVGVHVIWGBODVAVJVKVL $.
    $}

    ${
      $d i j x $.  $d i j A $.  $d i j B $.  $d i F $.  $d x V $.  $d i j ph $.
      $( Two ways to say that a function in maps-to notation is single-rooted.
         (Contributed by Thierry Arnoux, 2-Mar-2017.) $)
      funcnv4mpt $p |- ( ph -> ( Fun `' F <->
        A. i e. A A. j e. A ( i = j \/ [_ i / x ]_ B =/= [_ j / x ]_ B ) ) ) $=
        ( cv csb nfcv cmpt wcel wa wsb nfcsb1v csbeq1a cbvmptf eqtri sbimi nfel
        nfv nfan weq eleq1w anbi2d sbiev eleq1d 3imtr3i csbeq1 funcnv5mpt ) AEF
        CBENZDOZBFNZDOGHAEUGECPZEGPGBCDQECURQLBECDURJUTEDPBUQDUAZBUQDUBZUCUDABN
        CRZSZBETDHRZBETAUQCRZSZURHRZVDVEBEMUEVDVGBEAVFBIBUQCBUQPJUFUHBEUIZVCVFA
        BECUJUKULVEVHBEBURHVABHPUFVIDURHVBUMULUNBUQUSDUOUP $.
    $}
  $}

  ${
    preimane.f $e |- ( ph -> Fun F ) $.
    preimane.x $e |- ( ph -> X =/= Y ) $.
    preimane.y $e |- ( ph -> X e. ran F ) $.
    preimane.1 $e |- ( ph -> Y e. ran F ) $.
    $( Different elements have different preimages.  (Contributed by Thierry
       Arnoux, 7-May-2023.) $)
    preimane $p |- ( ph -> ( `' F " { X } ) =/= ( `' F " { Y } ) ) $=
      ( csn cima wne wceq syl cin funimacnv wss snssd df-ss sylib eqtrd ccnv wi
      crn wcel sneqrg necon3d mpd wfun 3netr4d imaeq2 necon3i ) ABBUAZCIZJZJZBU
      LDIZJZJZKUNUQKAUMUPUOURACDKUMUPKFAUMUPCDACBUCZUDUMUPLCDLUBGCDUSUEMUFUGAUO
      UMUSNZUMABUHZUOUTLEUMBOMAUMUSPUTUMLACUSGQUMUSRSTAURUPUSNZUPAVAURVBLEUPBOM
      AUPUSPVBUPLADUSHQUPUSRSTUIUNUQUOURUNUQBUJUKM $.
  $}

  ${
    $d A f t u v x y z $.  $d B f t u v x y z $.  $d F f k t u v x y z $.
    $d V f t u v y z $.
    $( Choose a set ` x ` containing a preimage of each element of a given set
       ` B ` .  (Contributed by Thierry Arnoux, 7-May-2023.) $)
    fnpreimac $p |- ( ( A e. V /\ F Fn A /\ B C_ ran F )
      -> E. x e. ~P A ( x ~~ B /\ ( F " x ) = B ) ) $=
      ( vy vf vz wcel wss cv cima cfv wral wa cen wceq cvv syl syl2anc vu vv vt
      vk wfn crn w3a ccnv csn cmpt cuni wf wex wbr cpw wrex cid c0 eqid elrnmpt
      wne wb simpr simpl3 sseldd inisegn0 sylib adantr eqnetrd r19.29an sylan2b
      elv ralrimiva simp2 simp1 jca fnex rnexg 3syl simp3 mptexg raleqdv mpbird
      ssexd fvi fvex ac5b unieqd feq23d anbi12d exbidv mpbid vex a1i simplr frn
      rnex nfv nfcv nfmpt1 nfrn nfuni nff nfan nfralw ad3antrrr cnvexg cnvimass
      imaexg cdm fndmd sseqtrd elpwd ex ralrimi rnmptss sspwuni sstrd wf1 wdisj
      wf1o wi wfun fnfun ad5antr simpllr fveq2 eleq12d rspcv imp anasss f1f1orn
      id sylibr f1oen3g ensymd ad2antrr ciun imaeq2 rspcev disjpreima disjrnmpt
      sylancl simp-4r eqeltrd disji syl122anc ralrimivva dff13 sylancr preimane
      sndisj necon4d sneq imaeq2d f1mpt entr imass2 imauni iunrnmptss funimacnv
      cin snssd df-ss eqtrd iuneq2dv iunid eqtrdi eqsstrid ffund elrnmpt1s fdmd
      eleqtrrd fvelrn fniniseg simplbda fveqeq2 fvelimabd ssrdv eqssd breq1 mpd
      eqeq1d exlimdv ) BEIZDBUEZCDUFZJZUGZFCDUHZFKZUIZLZUJZUFZUWOUKZGKZULZHKZUW
      QMZUWSIZHUWONZOZGUMZAKZCPUNZDUXELZCQZOZABUOZUPZUWIUWOUQMZUXLUKZUWQULZUXAH
      UXLNZOZGUMZUXDUWIUWSURVAZHUXLNZUXQUWIUXSUXRHUWONUWIUXRHUWOUWSUWOIZUWIUWSU
      WMQZFCUPZUXRUXTUYBVBHFCUWMUWSUWNRUWNUSZUTVLUWIUYAUXRFCUWIUWKCIZOZUYAOUWSU
      WMURUYEUYAVCUYEUWMURVAZUYAUYEUWKUWGIUYFUYECUWGUWKUWEUWFUWHUYDVDZUWIUYDVCZ
      VEUWKDVFVGVHVIVJVKVMUWIUXRHUXLUWOUWIUWORIZUXLUWOQUWICRIZUWNRIZUYIUWICUWGR
      UWIUWFUWEOZDRIZUWGRIUWIUWFUWEUWEUWFUWHVNZUWEUWFUWHVOVPZBEDVQZDRVRVSUWEUWF
      UWHVTZWDZFCUWMRWAZUWNRVRVSUWORWESZWBWCHUXLGUWOUQWFWGSUWIUXPUXCGUWIUXNUWRU
      XOUXBUWIUXLUXMUWOUWPUWQUYTUWIUXLUWOUYTWHWIUWIUXAHUXLUWOUYTWBWJWKWLUWIUXCU
      XKGUWIUXCUXKUWIUWRUXBUXKUWIUWROZUXBOZUWQUFZUXJIVUCCPUNZDVUCLZCQZOZUXKVUBV
      UCBRVUCRIVUBUWQGWMZWQWNVUBVUCUWPBVUBUWRVUCUWPJZUWIUWRUXBWOZUWOUWPUWQWPZSV
      UBUWOUXJJZUWPBJVUBUWMUXJIZFCNVULVUBVUMFCVUAUXBFUWIUWRFUWIFWRFUWOUWPUWQFUW
      QWSFUWNFCUWMWTXAZFUWOVUNXBXCXDUXAFHUWOVUNUXAFWRXEXDZVUBUYDVUMVUBUYDOZUWMB
      RVUPUYMUWJRIZUWMRIZUWIUYMUWRUXBUYDUWIUYLUYMUYOUYPSZXFDRXGZUWJUWLRXIZVSZVU
      PUWMDXJZBUWMVVCJVUPDUWLXHWNUWIVVCBQUWRUXBUYDUWIBDUYNXKXFXLXMXNXOFCUWMUXJU
      WNUYCXPSUWOBXQVGXRZXMVUBVUDVUFVUBVUCUWOPUNUWOCPUNVUDVUBUWOVUCVUBUWQRIUWOV
      UCUWQYAZUWOVUCPUNVUHVUBUWOUWPUWQXSZVVEVUBUWRUAKZUWQMZUBKZUWQMZQZVVGVVIQZY
      BZUBUWONUAUWONZOVVFVUBUWRVVNVUJVUBVVMUAUBUWOUWOVUBVVGUWOIZVVIUWOIZVVMVUBV
      VOOZVVPOZVVKVVLVVRVVKOZHUWOUWSXTZVVOVVPVVHVVGIZVVHVVIIVVLVVSFCUWMXTZVVTVV
      SDYCZFCUWLXTVWBUWIVWCUWRUXBVVOVVPVVKUWIUWFVWCUYNBDYDSZYEFCUULFCUWLDUUAUUC
      FHCUWMUUBSVUBVVOVVPVVKYFZVVQVVPVVKWOZVVSVVOUXBVWAVWEVUAUXBVVOVVPVVKUUDZVV
      OUXBVWAUXAVWAHVVGUWOUWSVVGQZUWTVVHUWSVVGUWSVVGUWQYGVWHYMZYHYIYJTVVSVVHVVJ
      VVIVVRVVKVCVVSVVPUXBVVJVVIIZVWFVWGVVPUXBVWJUXAVWJHVVIUWOUWSVVIQZUWTVVJUWS
      VVIUWSVVIUWQYGVWKYMZYHYIYJTUUEHUWOUWSVVGVVIVVGVVIVVHVWIVWLUUFUUGXNYKUUHVP
      UAUBUWOUWPUWQUUIYNUWOUWPUWQYLSUWOVUCUWQRYOUUJYPVUBCUWOVUBUYKCUWOUWNYAZCUW
      OPUNUWIUYKUWRUXBUWIUYJUYKUYRUYSSYQVUBCRUWNXSZVWMVUBVURFCNZUWMUWJUCKZUIZLZ
      QUWKVWPQZYBZUCCNZFCNZOVWNVUBVWOVXBVUBVURFCVUOVUBUYDVURVVBXNXOVUBVXAFCVUOV
      UBUYDVXAVUPVWTUCCVUPVWPCIZOZUWKVWPUWMVWRVXDUWKVWPVAZUWMVWRVAVXDVXEOZDUWKV
      WPUWIVWCUWRUXBUYDVXCVXEVWDYEVXDVXEVCVXFCUWGUWKUWIUWHUWRUXBUYDVXCVXEUYQYEZ
      VUBUYDVXCVXEYFVEVXFCUWGVWPVXGVUPVXCVXEWOVEUUKXNUUMVMXNXOVPFUCCRUWMVWRUWNU
      YCVWSUWLVWQUWJUWKVWPUUNUUOZUUPYNCRUWNYLSCUWOUWNRYOTYPVUCUWOCUUQTVUBVUECVU
      BVUEDUWPLZCVUBUWRVUEVXIJZVUJUWRVUIVXJVUKVUCUWPDUURSSVUBVXIHUWODUWSLZYRZCH
      DUWOUUSUWIVXLCJUWRUXBUWIVXLFCDUWMLZYRZCUWIFHCUWMVXKVXMRUWSUWMDYSUYEUYMVUQ
      VURUWIUYMUYDVUSVHVUTVVAVSUUTUWIVXNFCUWLYRCUWIFCVXMUWLUYEVXMUWLUWGUVBZUWLU
      WIVXMVXOQZUYDUWIVWCVXPVWDUWLDUVASVHUYEUWLUWGJVXOUWLQUYEUWLCUWGUYEUWKCUYHU
      VCUYGXRUWLUWGUVDVGUVEUVFFCUVGUVHXLYQUVIXRVUBUCCVUEVUBVXCVWPVUEIZVUBVXCOZV
      XQUDKZDMVWPQZUDVUCUPZVXRVWRUWQMZVUCIZVYBDMVWPQZVYAVXRUWQYCVWRUWQXJZIVYCVX
      RUWOUWPUWQVUBUWRVXCVUJVHZUVJVXRVWRUWOVYEVXRVXCVWRRIZVWRUWOIZVUBVXCVCVXRVU
      QVYGUWIVUQUWRUXBVXCUWIUYMVUQVUSVUTSXFUWJVWQRXISFCUWMVWRVWPUWNRUYCVXHUVKTZ
      VXRUWOUWPUWQVYFUVLUVMVWRUWQUVNTVXRUWFVYBVWRIZVYDUWIUWFUWRUXBVXCUYNXFZVXRV
      YHUXBVYJVYIVUAUXBVXCWOVYHUXBVYJUXAVYJHVWRUWOUWSVWRQZUWTVYBUWSVWRUWSVWRUWQ
      YGVYLYMYHYIYJTUWFVYJVYBBIVYDBVWPVYBDUVOUVPTVXTVYDUDVYBVUCVXSVYBVWPDUVQYTT
      VXRUDBVUCVWPDVYKVUBVUCBJVXCVVDVHUVRWCXNUVSUVTVPUXIVUGAVUCUXJUXEVUCQZUXFVU
      DUXHVUFUXEVUCCPUWAVYMUXGVUECUXEVUCDYSUWCWJYTTYKXNUWDUWB $.
  $}

  ${
    $d p q F $.  $d p q X $.
    $( Exactly one point of a function's graph has a given first element.
       (Contributed by Thierry Arnoux, 1-Apr-2018.) $)
    fgreu $p |- ( ( Fun F /\ X e. dom F ) -> E! p e. F X = ( 1st ` p ) ) $=
      ( vq wfun cdm wcel wa cv c1st cfv wceq wral wrex cop syl2anc simpr eqtr4d
      wb cvv wreu funfvop c2nd wrel simplll funrel simplr 1st2nd simpllr opeq1d
      syl eqeltrrd funopfvb biimpar syl21anc opeq12d fveq2d fvex mpan2 ad3antlr
      op1stg eqtr2d impbida ralrimiva eqeq2 bibi2d ralbidv rspcev reu6 sylibr )
      AEZBAFZGZHZBCIZJKZLZVODIZLZSZCAMZDANZVQCAUAVNBBAKZOZAGVQVOWDLZSZCAMZWBBAU
      BVNWFCAVNVOAGZHZVQWEWIVQHZVOVPVOUCKZOZWDWJAUDZWHVOWLLWJVKWMVKVMWHVQUEZAUF
      UKVNWHVQUGZVOAUHPZWJBVPWCWKWIVQQZWJVKVMBWKOZAGZWCWKLZWNVKVMWHVQUIWJVOWRAW
      JVOWLWRWPWJBVPWKWQUJRWOULVNWTWSBWKAUMUNUOUPRWIWEHZVPWDJKZBXAVOWDJWIWEQUQV
      MXBBLZVKWHWEVMWCTGXCBAURBWCVLTVAUSUTVBVCVDWAWGDWDAVRWDLZVTWFCAXDVSWEVQVRW
      DVOVEVFVGVHPVQCDAVIVJ $.
  $}

  ${
    $d p q r A $.  $d p q Y $.
    $( If the converse of a relation ` A ` is a function, exactly one point of
       its graph has a given second element (that is, function value).
       (Contributed by Thierry Arnoux, 1-Apr-2018.) $)
    fcnvgreu $p |- ( ( ( Rel A /\ Fun `' A ) /\ Y e. ran A )
      -> E! p e. A Y = ( 2nd ` p ) ) $=
      ( vq vr ccnv wa wcel cv c2nd cfv wceq wreu c1st wb csn cxp simpr syl12anc
      cuni wrel wfun crn cdm df-rn fgreu adantll sylan2b cop cnvcnvss cnvssrndm
      eleq2i sseli dfdm4 xpeq12i eleqtrdi 2nd1st eqcomd relcnv cnvf1olem simpld
      syl mpan mpdan sselid adantl wral wrex simpll wss relssdmrn adantr sselda
      a1i simplr ad2antlr simprd sneqd cnveqd unieqd ad2antrr 3eqtr2d ralrimiva
      impbida eqeq2 bibi2d ralbidv rspcev syl2anc sylibr op2ndd eqeq2d reuxfr1d
      reu6 fvex mpbird ) AUAZAFZUBZGZBAUCZHZGBCIZJKZLZCAMZBDIZNKZLZDWRMZXBWTBWR
      UDZHZXJXAXKBAUEZULWSXLXJWQWRBDUFUGUHWTXFXJOXBWTXEXICDXGJKZXHUIZAWRXGWRHZX
      OAHWTXPWRFZAXOAUJXPXOXGPZFZTZLZXOXQHZXPXTXOXPXGXKWRUCZQZHXTXOLZXPXGXAAUDZ
      QZYDWRYGXGAUKUMXAXKYFYCXMAUNUOUPXGXKYCUQVBZURZWRUAZXPYAGZYBAUSZYJYKGZYBXG
      XOPZFZTZLZWRXGXOUTZVAVCVDVEVFWTXCAHZGZXCXOLZXGEIZLZOZDWRVGZEWRVHZUUADWRMY
      TXDXCNKUIZWRHZUUAXGUUGLZOZDWRVGZUUFYTWQYSUUGXCPZFZTZLZUUHWQWSYSVIZWTYSRZY
      TUUNUUGYTXCYFXAQZHUUNUUGLZWTAUURXCWQAUURVJWSAVKVLVMXCYFXAUQVBZURZWQYSUUOG
      GZUUHXCUUGPZFZTZLZAXCUUGUTZVASYTUUJDWRYTXPGZUUAUUIUVHUUAGZXGYPUUNUUGUVIYJ
      XPYAYQYJUVIYLVNYTXPUUAVOXPYAYTUUAYIVPYMYBYQYRVQSUVIUUMYOUVIUULYNUVIXCXOUV
      HUUARVRVSVTYTUUSXPUUAUUTWAWBUVHUUIGZXCUVEXTXOYTUVFXPUUIYTWQYSUUOUVFUUPUUQ
      UVAUVBUUHUVFUVGVQSWAUVJXSUVDUVJXRUVCUVJXGUUGUVHUUIRVRVSVTXPYEYTUUIYHVPWBW
      DWCUUEUUKEUUGWRUUBUUGLZUUDUUJDWRUVKUUCUUIUUAUUBUUGXGWEWFWGWHWIUUADEWRWNWJ
      UUAXEXIOWTUUAXDXHBXNXHXCXGJWOXGNWOWKWLVFWMVLWP $.
  $}

  ${
    $d y z A $.  $d z B $.  $d z C $.  $d x y z D $.  $d z F $.
    rnmposs.1 $e |- F = ( x e. A , y e. B |-> C ) $.
    $( The range of an operation given by the maps-to notation as a subset.
       (Contributed by Thierry Arnoux, 23-May-2017.) $)
    rnmposs $p |- ( A. x e. A A. y e. B C e. D -> ran F C_ D ) $=
      ( vz wcel wral crn cv wceq wrex rnmpo abeq2i wa 2r19.29 wi eleq1 biimparc
      a1i rexlimivv syl ex syl5bi ssrdv ) EFJZBDKACKZIGLZFIMZUKJULENZBDOACOZUJU
      LFJZUNIUKABICDEGHPQUJUNUOUJUNRUIUMRZBDOACOUOUIUMABCDSUPUOABCDUPUOTAMCJBMD
      JRUMUOUIULEFUAUBUCUDUEUFUGUH $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C y $.
    $( Deduce subset relation of mapping-to function graphs from a subset
       relation of domains.  Alternative proof of ~ mptss .  (Contributed by
       Thierry Arnoux, 30-May-2020.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    mptssALT $p |- ( A C_ B -> ( x e. A |-> C ) C_ ( x e. B |-> C ) ) $=
      ( vy wss cv wcel wceq wa copab cmpt ssel anim1d ssopab2dv df-mpt 3sstr4g
      ) BCFZAGZBHZEGDIZJZAEKSCHZUAJZAEKABDLACDLRUBUDAERTUCUABCSMNOAEBDPAECDPQ
      $.
  $}

  ${
    $d x y z A $.  $d x y z R $.
    $( Alternative definition of the converse of a relation.  (Contributed by
       Thierry Arnoux, 31-Mar-2018.) $)
    dfcnv2 $p |- ( ran R C_ A ->
      `' R = U_ x e. A ( { x } X. ( `' R " { x } ) ) ) $=
      ( vz vy crn wss ccnv cv csn cima cxp ciun relcnv wrel wral wa vex bitr4di
      wcel relxp rgenw reliun mpbir cop cdm opeldm df-rn eleqtrrdi ssel2 sylan2
      ex pm4.71rd elimasn anbi2i weq sneq imaeq2d opeliunxp2 eqrelrdv ) CFZBGZD
      ECHZABAIZJZVCVEKZLZMZCNVHOVGOZABPVIABVEVFUAUBABVGUCUDVBDIZEIZUEZVCTZVJBTZ
      VKVCVJJZKZTZQZVLVHTVBVMVNVMQVRVBVMVNVBVMVNVMVBVJVATVNVMVJVCUFVAVJVKVCDRZE
      RZUGCUHUIVABVJUJUKULUMVQVMVNVCVJVKVSVTUNUOSABVFVJVKVPADUPVEVOVCVDVJUQURUS
      SUT $.
  $}

  ${
    fnimatp.1 $e |- ( ph -> F Fn D ) $.
    fnimatp.2 $e |- ( ph -> A e. D ) $.
    fnimatp.3 $e |- ( ph -> B e. D ) $.
    fnimatp.4 $e |- ( ph -> C e. D ) $.
    $( The image of an unordered triple under a function.  (Contributed by
       Thierry Arnoux, 19-Sep-2023.) $)
    fnimatp $p |- ( ph -> ( F " { A , B , C } ) = { ( F ` A ) , ( F ` B ) , ( F
       ` C ) } ) $=
      ( cpr cima csn cun cfv ctp wfn wcel wceq df-tp fnimapr syl3anc syl2anc
      fnsnfv eqcomd uneq12d imaeq2i imaundi eqtri 3eqtr4g ) AFBCKZLZFDMZLZNZBFO
      ZCFOZKZDFOZMZNFBCDPZLZUPUQUSPAULURUNUTAFEQZBERCERULURSGHIEBCFUAUBAUTUNAVC
      DERUTUNSGJEDFUDUCUEUFVBFUKUMNZLUOVAVDFBCDTUGFUKUMUHUIUPUQUSTUJ $.
  $}

  $( Restriction of a disjoint union to the domain of the second function.
     (Contributed by Thierry Arnoux, 12-Oct-2023.) $)
  fnunres2 $p |- ( ( F Fn A /\ G Fn B /\ ( A i^i B ) = (/) ) -> ( ( F u. G )
      |` B ) = G ) $=
    ( wfn cin c0 wceq w3a cres uncom reseq1i simp2 simp1 incom eqtr3id fnunres1
    cun simp3 syl3anc syl5eq ) CAEZDBEZABFZGHZIZCDRZBJDCRZBJZDUGUHBCDKLUFUCUBBA
    FZGHUIDHUBUCUEMUBUCUENUFUJUDGABOUBUCUESPBADCQTUA $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Operations - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d w x y z A $.  $d w y z B $.  $d w C $.  $d w z D $.
    mpomptxf.0 $e |- F/_ x C $.
    mpomptxf.1 $e |- F/_ y C $.
    mpomptxf.2 $e |- ( z = <. x , y >. -> C = D ) $.
    $( Express a two-argument function as a one-argument function, or
       vice-versa.  In this version ` B ( x ) ` is not assumed to be constant
       w.r.t ` x ` .  (Contributed by Mario Carneiro, 29-Dec-2014.)  (Revised
       by Thierry Arnoux, 31-Mar-2018.) $)
    mpomptxf $p |- ( z e. U_ x e. A ( { x } X. B ) |-> C ) =
      ( x e. A , y e. B |-> D ) $=
      ( vw cv wcel wceq wa copab wex nfeq2 19.41 eqtr4i ciun cmpt df-mpt coprab
      csn cxp df-mpo cop eliunxp anbi1i exbii bitri anass eqeq2d anbi2d pm5.32i
      cmpo 2exbii 3bitr2i opabbii dfoprab2 ) CADALZUEEUFUAZFUBCLZVCMZKLZFNZOZCK
      PZABDEGUQZCKVCFUCVJVBDMBLZEMOZVFGNZOZABKUDZVIABKDEGUGVIVDVBVKUHNZVNOZBQAQ
      ZCKPVOVHVRCKVHVPVLOZBQZAQZVGOZVSVGOZBQZAQZVRVEWAVGABDEVDUIUJWEVTVGOZAQWBW
      DWFAVSVGBBVFFIRSUKVTVGAAVFFHRSULWCVQABWCVPVLVGOZOVQVPVLVGUMVPWGVNVPVGVMVL
      VPFGVFJUNUOUPULURUSUTVNABKCVATTT $.
  $}

  ${
    $d A k x y $.  $d B k x y z $.  $d D x y $.  $d F x y z $.  $d G k x y z $.
    $d Z k x y z $.  $d k ph x y z $.
    suppovss.f $e |- F = ( x e. A , y e. B |-> C ) $.
    suppovss.g $e |- G = ( x e. A |-> ( y e. B |-> C ) ) $.
    suppovss.a $e |- ( ph -> A e. V ) $.
    suppovss.b $e |- ( ph -> B e. W ) $.
    suppovss.z $e |- ( ph -> Z e. D ) $.
    suppovss.1 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> C e. D ) $.
    $( A bound for the support of an operation.  (Contributed by Thierry
       Arnoux, 19-Jul-2023.) $)
    suppovss $p |- ( ph -> ( F supp Z ) C_ ( ( G supp ( B X. { Z } ) ) X. U_ k
       e. ( G supp ( B X. { Z } ) ) ( ( G ` k ) supp Z ) ) ) $=
      ( wcel vz cxp csn csupp co cv cfv ciun wral wf ralrimivva fmpo sylib cdif
      wa cop simpr fveq2d df-ov simpllr eldifad simplr simplll syl12anc ovmpt4g
      wceq syl3anc eqtr3id cvv cmpt adantr mptexd fmptd ssidd a1i xpexd suppssr
      snex fveq1d syl2anc fvmpt2 anassrs fvmpt2d syl21anc syl fvconst2g 3eqtr3d
      3eqtrd adantl3r elxp2 biimpi adantl r19.29vva adantlr fvexd fmpt2d ssiun2
      wss fveq2 oveq1d cbviunv sseqtrdi c0 simpl wfn wb wi eleq1w anbi2d fneq1d
      wrex imbi12d ffnd chvarvv fnsuppeq0 biimpar ralrimiva nfcv iunxdif3 dfin4
      cin suppssdm fssdm sseqin2 iuneq1d eqtr3d sseqtrd cun difxp eleqtrdi elun
      wo mpjaodan suppss ) ADEUBZGUAIJEMUCZUBZUDUEZHYRHUFZJUGZMUDUEZUHZUBZMAFGT
      ZCEUIBDUIYOGIUJAUUDBCDESUKBCDEFGINULUMAUAUFZYOUUCUNZTZUOZUUEDYRUNZEUBZTZU
      UEIUGZMVFZUUEDEUUBUNZUBZTZAUUKUUMUUGAUUKUOUUEBUFZCUFZUPZVFZUUMBCUUIEAUUQU
      UITZUURETZUUTUUMUUKAUVAUOZUVBUOZUUTUOZUULUUSIUGZFMUVEUUEUUSIUVDUUTUQURUVE
      UVFUUQUURIUEZFUUQUURIUSZUVEUUQDTZUVBUUDUVGFVFZUVEUUQDYRAUVAUVBUUTUTZVAZUV
      CUVBUUTVBZUVEAUVIUVBUUDAUVAUVBUUTVCZUVLUVMSVDBCDEFIGNVEZVGVHUVEUURUUQJUGZ
      UGZUURYQUGZFMUVEAUVAUVQUVRVFUVNUVKUVCUURUVPYQADVIVIJKYRUUQYQABDCEFVJZVIJA
      UVIUOZCEFLAELTZUVIQVKZVLZOVMZAYRVNZPAEYPLVIQYPVITAMVRVOVPZVQVSVTUVEAUVIUV
      BUVQFVFZUVNUVLUVMUVTCEFUVPGUVTUVIUVSVITUVPUVSVFAUVIUQUWCBDUVSVIJOWAVTZAUV
      IUVBUUDSWBZWCZWDUVEMGTZUVBUVRMVFUVEAUWKUVNRWEUVMEMUURGWFVTWGWHWIUUKUUTCEX
      KBUUIXKZAUUKUWLBCUUEUUIEWJWKWLWMWNAUUPUUMUUGAUUPUOUUTUUMBCDUUNAUVIUURUUNT
      ZUUTUUMUUPUVTUWMUOZUUTUOZUULUVFFMUWOUUEUUSIUWNUUTUQURUWOUVFUVGFUVHUWOUVIU
      VBUUDUVJAUVIUWMUUTUTZUWOUUREUUBUVTUWMUUTVBVAZUWOAUVIUVBUUDAUVIUWMUUTVCZUW
      PUWQSVDUVOVGVHUWOUVQFMUWOAUVIUVBUWGUWRUWPUWQUWJWDUWNUVQMVFUUTUVTEVIGUVPLU
      UBUURMUVTCCEFVIUVPGUWIUWHUVTUVBUOUURUVPWOWPZUVTUVPMUDUEZHDUUAUHZUUBUVTUWT
      BDUWTUHZUXAUVIUWTUXBWRABDUWTWQWLBHDUWTUUAUUQYSVFZUVPYTMUDUUQYSJWSZWTXAXBA
      UXAUUBVFUVIAHDUUIUNZUUAUHZUXAUUBAUUAXCVFZHUUIUIUXFUXAVFAUXGHUUIAYSUUITZUO
      ZAYSDTZYTYQVFZUXGAUXHXDUXIYSDYRAUXHUQVAADVIVIJKYRYSYQUWDUWEPUWFVQAUXJUOZU
      XGUXKUXLYTEXEZUWAUWKUXGUXKXFUVTUVPEXEZXGUXLUXMXGBHUXCUVTUXLUXNUXMUXCUVIUX
      JABHDXHXIUXCEUVPYTUXDXJXLUVTEVIUVPUWSXMXNAUWAUXJQVKAUWKUXJRVKEYTGLMXOVGXP
      WDXQHDUUAUUIHUUIXRXSWEAHUXEYRUUAAUXEDYRYAZYRDYRXTAYRDWRUXOYRVFADVIYRJJYQY
      BUWDYCYRDYDUMVHYEYFVKYGUWBAUWKUVIRVKVQVKYFWHWIUUPUUTCUUNXKBDXKZAUUPUXPBCU
      UEDUUNWJWKWLWMWNUUHUUEUUJUUOYHZTUUKUUPYLUUHUUEUUFUXQAUUGUQYRUUBDEYIYJUUEU
      UJUUOYKUMYMYN $.
  $}

  ${
    fvdifsupp.1 $e |- ( ph -> F Fn A ) $.
    fvdifsupp.2 $e |- ( ph -> A e. V ) $.
    fvdifsupp.3 $e |- ( ph -> Z e. W ) $.
    fvdifsupp.4 $e |- ( ph -> X e. ( A \ ( F supp Z ) ) ) $.
    $( Function value is zero outside of its support.  (Contributed by Thierry
       Arnoux, 21-Jan-2024.) $)
    fvdifsupp $p |- ( ph -> ( F ` X ) = Z ) $=
      ( cfv wceq csupp co wcel wn eldifbd wne eldifad elsuppfn syl3anc mpbirand
      wfn wa wb necon2bbid mpbird ) AFCLZGMFCGNOZPZQAFBUJKRAUKUIGAUKFBPZUIGSZAF
      BUJKTACBUDBDPGEPUKULUMUEUFHIJFCDEBGUAUBUCUGUH $.
  $}

  ${
    $d A x $.  $d C x $.
    fmptssfisupp.1 $e |- ( ph -> ( x e. A |-> B ) finSupp Z ) $.
    fmptssfisupp.2 $e |- ( ph -> C C_ A ) $.
    fmptssfisupp.3 $e |- ( ph -> Z e. V ) $.
    $( The restriction of a mapping function has finite support if that
       function has finite support.  (Contributed by Thierry Arnoux,
       21-Jan-2024.) $)
    fmptssfisupp $p |- ( ph -> ( x e. C |-> B ) finSupp Z ) $=
      ( cmpt cres cfsupp resmptd fsuppres eqbrtrrd ) ABCDKZELBEDKGMABCEDINAQFEG
      HJOP $.
  $}

  ${
    $d F x $.  $d V x $.  $d W x $.  $d Z x $.
    $( Relation between the support ` ( F supp Z ) ` and the initial segment
       ` ( ``' F " { Z } ) ` .  (Contributed by Thierry Arnoux,
       25-Jun-2024.) $)
    suppiniseg $p |- ( ( Fun F /\ F e. V /\ Z e. W )
                    -> ( dom F \ ( F supp Z ) ) = ( `' F " { Z } ) ) $=
      ( vx wfun wcel w3a cdm csupp co cdif ccnv csn cima cv cfv wa wn wb biimpi
      eldif wceq wne wfn funfn elsuppfng syl3an1 notbid nne bitrdi fvex bitr4di
      baibd elsn pm5.32da syl5bb 3ad2ant1 elpreima syl bitr4d eqrdv ) AFZABGZDC
      GZHZEAIZADJKZLZAMDNZOZVFEPZVIGZVLVGGZVLAQZVJGZRZVLVKGZVMVNVLVHGZSZRVFVQVL
      VGVHUBVFVNVTVPVFVNRZVTVODUCZVPWAVTVODUDZSWBWAVSWCVFVSVNWCVCAVGUEZVDVEVSVN
      WCRTVCWDAUFUAZVLABCVGDUGUHUNUIVODUJUKVODVLAULUOUMUPUQVFWDVRVQTVCVDWDVEWEU
      RVGVLVJAUSUTVAVB $.
  $}

  ${
    fsuppinisegfi.1 $e |- ( ph -> F e. V ) $.
    fsuppinisegfi.2 $e |- ( ph -> .0. e. W ) $.
    fsuppinisegfi.3 $e |- ( ph -> Y e. ( _V \ { .0. } ) ) $.
    fsuppinisegfi.4 $e |- ( ph -> F finSupp .0. ) $.
    $( The initial segment ` ( ``' F " { Y } ) ` of a nonzero ` Y ` is finite
       if ` F ` has finite support.  (Contributed by Thierry Arnoux,
       21-Jun-2024.) $)
    fsuppinisegfi $p |- ( ph -> ( `' F " { Y } ) e. Fin ) $=
      ( csupp co ccnv csn cima fsuppimpd cvv cdif wss wcel snssd imass2 syl2anc
      syl suppimacnvss sstrd ssfid ) ABFKLZBMZENZOZABFJPAUKUIQFNRZOZUHAUJULSUKU
      MSAEULIUAUJULUIUBUDABCTFDTUMUHSGHBCDFUEUCUFUG $.
  $}

  $( The restriction of a function to its support.  (Contributed by Thierry
     Arnoux, 25-Jun-2024.) $)
  fressupp $p |- ( ( Fun F /\ F e. V /\ Z e. W )
                -> ( F |` ( F supp Z ) ) = ( F \ ( _V X. { Z } ) ) ) $=
    ( wfun wcel w3a cdm csupp co cdif cres cun wceq cin 3ad2ant1 wss mp1i ccnv
    c0 cvv csn cxp wrel funrel suppssdm undif biimpi eqcomd disjdif a1i syl3anc
    reldisjun difeq1d sseqin2 mpbi cima suppiniseg reseq2d cnvrescnv funcnvres2
    resss eqtr3id eqtr4d syl5eq indifbi reseq2i resindi 3eqtr3i undif5 3eqtr3rd
    sylib res0 ) AEZABFZDCFZGZAAAHZADIJZKZLZKZAVSLZWAMZWAKZAUADUBZUCZKZWCVQAWDW
    AVQAUDZVRVSVTMZNZVSVTOZTNZAWDNVNVOWIVPAUEPVSVRQZWKVQADUFWNWJVRWNWJVRNVSVRUG
    UHUIRWMVQVSVRUJZUKVSVTAUMULUNVQAWAOZAWGOZNWBWHNVQWPWAWQWAAQWPWANAVTVBWAAUOU
    PVQWAAASZWFUQZLZWQVQVTWSAABCDURUSVNVOWQWTNVPVNWQWRWFLSWTWFAUTWFAVAVCPVDVEAW
    AWGVFVLWCWAOZTNWEWCNVQAWLLATLXATWLTAWOVGAVSVTVHAVMVIWCWAVJRVK $.

  ${
    $d A x $.  $d F x $.  $d V x $.  $d W x $.  $d Z x $.
    fdifsuppconst.1 $e |- A = ( dom F \ ( F supp Z ) ) $.
    $( A function is a zero constant outside of its support.  (Contributed by
       Thierry Arnoux, 22-Jun-2024.) $)
    fdifsuppconst $p |- ( ( Fun F /\ F e. V /\ Z e. W )
                       -> ( F |` A ) = ( A X. { Z } ) ) $=
      ( vx wfun wcel cres csn cxp wceq wa cdm wfn biimpi adantl cfv cvv co cdif
      funfn ad2antrr csupp difssd eqsstrid fnssresd fnconstg cv adantr ad3antlr
      dmexg simplr eleq2i fvdifsupp simpr fvresd adantll 3eqtr4d eqfnfvd 3impa
      fvconst2g ) BHZBCIZEDIZBAJZAEKLZMVDVENZVFNZGAVGVHVJBOZABVDBVKPZVEVFVDVLBU
      CQUDZVJAVKBEUEUAZUBZVKFVJVKVNUFUGUHVFVHAPVIAEDUIRVJGUJZAIZNZVPBSEVPVGSVPV
      HSZVRVKBTDVPEVJVLVQVMUKVEVKTIVDVFVQBCUMULVIVFVQUNVQVPVOIZVJVQVTAVOVPFUOQR
      UPVRVPABVJVQUQURVFVQVSEMVIAEVPDVCUSUTVAVB $.
  $}

  ${
    $d .0. x y $.  $d F x y $.  $d V x y $.  $d W x y $.
    $( The range of a function restricted to its support.  (Contributed by
       Thierry Arnoux, 25-Jun-2024.) $)
    ressupprn $p |- ( ( Fun F /\ F e. V /\ .0. e. W )
                   -> ran ( F |` ( F supp .0. ) ) = ( ran F \ { .0. } ) ) $=
      ( vy vx wcel crn cv cfv wceq wrex wne wa wfn cvv anbi1d pm5.32da fvelrnb
      wb wfun w3a csupp co cres cdif funfn biimpi 3ad2ant1 dmexg 3ad2ant2 simp3
      csn cdm elsuppfn syl3anc anass a1i biimprd impl fvresd eqeq1d ancom simpr
      neeq1d syl5bb bitrd rexbidv2 wss suppssdm fnssres sylancl eldifsn r19.41v
      3bitrd syl 3bitr4g 3bitr4d eqrdv ) AUAZABGZDCGZUBZEAADUCUDZUEZHZAHZDUMUFZ
      WCFIZWEJZEIZKZFWDLZWIAJZWKKZWKDMZNZFAUNZLZWKWFGZWKWHGZWCWLWQFWDWRWCWIWDGZ
      WLNWIWRGZWNDMZNZWLNZXCXDWLNZNZXCWQNWCXBXEWLWCAWROZWRPGZWBXBXETVTWAXIWBVTX
      IAUGUHUIZWAVTXJWBABUJUKVTWAWBULWIAPCWRDUOUPZQXFXHTWCXCXDWLUQURWCXCXGWQWCX
      CNZXGXDWONZWQXMXDWLWOXMXDNZWJWNWKXOWIWDAWCXCXDXBWCXBXEXLUSUTVAVBRXNWOXDNX
      MWQXDWOVCXMWOXDWPXMWONWNWKDXMWOVDVERVFVGRVOVHWCWEWDOZWTWMTWCXIWDWRVIXPXKA
      DVJWRWDAVKVLFWDWKWESVPWCXIXAWSTXKXIWKWGGZWPNWOFWRLZWPNXAWSXIXQXRWPFWRWKAS
      QWKWGDVMWOWPFWRVNVQVPVRVS $.
  $}

  $( Express the support of a function as the preimage of its range except
     zero.  (Contributed by Thierry Arnoux, 24-Jun-2024.) $)
  supppreima $p |- ( ( Fun F /\ F e. V /\ Z e. W )
                            -> ( F supp Z ) = ( `' F " ( ran F \ { Z } ) ) ) $=
    ( wfun wcel w3a ccnv crn cima csn cdif cdm csupp co wceq cnvimarndm difeq1d
    a1i difpreima 3ad2ant1 wss suppssdm dfss4 mpbi suppiniseg difeq2d 3eqtr4rd
    eqtr3id ) AEZABFZDCFZGZAHZAIZJZUNDKZJZLZAMZURLZUNUOUQLJZADNOZUMUPUTURUPUTPU
    MAQSRUJUKVBUSPULUOUQATUAUMVCUTUTVCLZLZVAVCUTUBVEVCPADUCVCUTUDUEUMVDURUTABCD
    UFUGUIUH $.

  $( Finite support implies finite range.  (Contributed by Thierry Arnoux,
     24-Jun-2024.) $)
  fsupprnfi $p |- ( ( ( Fun F /\ F e. V ) /\ ( .0. e. W /\ F finSupp .0. ) )
                 -> ran F e. Fin ) $=
    ( wfun wcel wa cfsupp wbr csn cfn crn cdif snfi csupp wceq wfo cdm sylancr
    co cres simpll simplr simprl ressupprn syl3anc simprr fsuppimpd wss ssdmres
    suppssdm funresd funforn sylib foeq2 biimpa syl2anc eqeltrrd diffib biimpar
    mpbi fofi ) AEZABFZGZDCFZADHIZGZGZDJZKFZALZVJMZKFZVLKFZDNVIAADOTZUAZLZVMKVI
    VCVDVFVRVMPVCVDVHUBZVCVDVHUCVEVFVGUDABCDUEUFVIVPKFVPVRVQQZVRKFVIADVEVFVGUGU
    HVIVQRZVPPZWAVRVQQZVTVPARUIWBADUKVPAUJVAVIVQEWCVIVPAVSULVQUMUNWBWCVTWAVPVRV
    QUOUPSVPVRVQVBUQURVKVOVNVLVJUSUTS $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Explicit Functions with one or two points as a domain
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    cosnopne.b $e |- ( ph -> B e. W ) $.
    cosnopne.c $e |- ( ph -> C e. X ) $.
    cosnopne.1 $e |- ( ph -> A =/= D ) $.
    $( Composition of two ordered pair singletons with non-matching domain and
       range.  (Contributed by Thierry Arnoux, 24-Sep-2023.) $)
    cosnopne $p |- ( ph -> ( { <. A , B >. } o. { <. C , D >. } ) = (/) ) $=
      ( cop csn cdm crn cin c0 wcel wceq dmsnopg syl rnsnopg wne eqtrd coemptyd
      ineq12d disjsn2 ) ABCKLZDEKLZAUGMZUHNZOBLZELZOZPAUIUKUJULACFQUIUKRHBCFSTA
      DGQUJULRIDEGUATUEABEUBUMPRJBEUFTUCUD $.
  $}

  ${
    cosnop.a $e |- ( ph -> A e. V ) $.
    cosnop.b $e |- ( ph -> B e. W ) $.
    cosnop.c $e |- ( ph -> C e. X ) $.
    $( Composition of two ordered pair singletons with matching domain and
       range.  (Contributed by Thierry Arnoux, 24-Sep-2023.) $)
    cosnop $p |- ( ph -> ( { <. A , B >. } o. { <. C , A >. } ) = { <. C , B >.
       } ) $=
      ( csn cxp ccom cop wcel c0 wne wceq xpsng syl2anc snnzg xpco 3syl coeq12d
      3eqtr3d ) ABKZCKZLZDKZUFLZMZUIUGLZBCNKZDBNKZMDCNKZABEOZUFPQUKULRHBEUAUIUF
      UGUBUCAUHUMUJUNAUPCFOZUHUMRHIBCEFSTADGOZUPUJUNRJHDBGESTUDAURUQULUORJIDCGF
      STUE $.
  $}

  ${
    $( Converse of a pair of ordered pairs.  (Contributed by Thierry Arnoux,
       24-Sep-2023.) $)
    cnvprop $p |- ( ( ( A e. V /\ B e. W ) /\ ( C e. V /\ D e. W ) )
       -> `' { <. A , B >. , <. C , D >. } = { <. B , A >. , <. D , C >. } ) $=
      ( wcel wa cop csn ccnv cun wceq cnvsng adantr adantl uneq12d df-pr cnveqi
      cpr cnvun eqtri 3eqtr4g ) AEGBFGHZCEGDFGHZHZABIZJZKZCDIZJZKZLZBAIZJZDCIZJ
      ZLUGUJTZKZUNUPTUFUIUOULUQUDUIUOMUEABEFNOUEULUQMUDCDEFNPQUSUHUKLZKUMURUTUG
      UJRSUHUKUAUBUNUPRUC $.
  $}

  ${
    brprop.a $e |- ( ph -> A e. V ) $.
    brprop.b $e |- ( ph -> B e. W ) $.
    brprop.c $e |- ( ph -> C e. V ) $.
    brprop.d $e |- ( ph -> D e. W ) $.
    $( Binary relation for a pair of ordered pairs.  (Contributed by Thierry
       Arnoux, 24-Sep-2023.) $)
    brprop $p |- ( ph -> ( X { <. A , B >. , <. C , D >. } Y
                        <-> ( ( X = A /\ Y = B ) \/ ( X = C /\ Y = D ) ) ) ) $=
      ( cop wbr csn wo wceq wa wcel cpr cun df-pr breqi bitri wb brsnop syl2anc
      brun orbi12d syl5bb ) HIBCNZDENZUAZOZHIULPZOZHIUMPZOZQZAHBRICRSZHDRIERSZQ
      UOHIUPURUBZOUTHIUNVCULUMUCUDHIUPURUIUEAUQVAUSVBABFTCGTUQVAUFJKBCFGHIUGUHA
      DFTEGTUSVBUFLMDEFGHIUGUHUJUK $.

    $d A x $.  $d B x $.  $d C x $.  $d D x $.  $d ph x $.
    mptprop.1 $e |- ( ph -> A =/= C ) $.
    $( Rewrite pairs of ordered pairs as mapping to functions.  (Contributed by
       Thierry Arnoux, 24-Sep-2023.) $)
    mptprop $p |- ( ph -> { <. A , B >. , <. C , D >. }
                        = ( x e. { A , C } |-> if ( x = A , B , D ) ) ) $=
      ( cop cpr csn cun wceq cmpt wcel cv cif df-pr cin cdif fmptsn syl2anc wss
      incom prid1g snssi 3syl df-ss eqtr3id mpteq1d eqtr4d wne difprsn1 uneq12d
      sylib syl partfun eqtr4di wb elsn2g ifbid mpteq2dv eqtrd syl5eq ) ACDNZEF
      NZOVJPZVKPZQZBCEOZBUAZCRZDFUBZSZVJVKUCAVNBVOVPCPZTZDFUBZSZVSAVNBVOVTUDZDS
      ZBVOVTUEZFSZQWCAVLWEVMWGAVLBVTDSZWEACGTZDHTVLWHRIJBCDGHUFUGABWDVTDAWDVTVO
      UDZVTVTVOUIAVTVOUHZWJVTRAWICVOTWKICEGUJCVOUKULVTVOUMUTUNUOUPAVMBEPZFSZWGA
      EGTFHTVMWMRKLBEFGHUFUGABWFWLFACEUQWFWLRMCEURVAUOUPUSBVOVTDFVBVCABVOWBVRAW
      AVQDFAWIWAVQVDIVPCGVEVAVFVGVHVI $.

    coprprop.e $e |- ( ph -> E e. X ) $.
    coprprop.f $e |- ( ph -> F e. X ) $.
    coprprop.1 $e |- ( ph -> E =/= F ) $.
    $( Composition of two pairs of ordered pairs with matching domain and
       range.  (Contributed by Thierry Arnoux, 24-Sep-2023.) $)
    coprprop $p |- ( ph -> ( { <. A , B >. , <. C , D >. } o. { <. E , A >. ,
       <. F , C >. } ) = { <. E , B >. , <. F , D >. } ) $=
      ( cun ccom cop csn cpr coundir c0 cosnop necomd uneq12d un0 eqtrdi syl5eq
      cosnopne 0un df-pr coeq12i coundi eqtri 3eqtr4g ) ABCUAZUBZDEUAZUBZSZFBUA
      ZUBZTZVCGDUAZUBZTZSZFCUAZUBZGEUAZUBZSUSVAUCZVDVGUCZTZVKVMUCAVFVLVIVNAVFUT
      VETZVBVETZSZVLUTVBVEUDAVTVLUESVLAVRVLVSUEABCFHIJKLPUFADEFBIJNPABDOUGULUHV
      LUIUJUKAVIUTVHTZVBVHTZSZVNUTVBVHUDAWCUEVNSVNAWAUEWBVNABCGDIJLQOULADEGHIJM
      NQUFUHVNUMUJUKUHVQVCVEVHSZTVJVOVCVPWDUSVAUNVDVGUNUOVCVEVHUPUQVKVMUNUR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Isomorphisms - misc. add.
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Two ways to write a strictly decreasing function on the reals.
     (Contributed by Thierry Arnoux, 6-Apr-2017.) $)
  gtiso $p |- ( ( A C_ RR* /\ B C_ RR* ) ->
    ( F Isom < , `' < ( A , B ) <-> F Isom <_ , `' <_ ( A , B ) ) ) $=
    ( cxr wss clt ccnv wiso cle cxp cin cdif eqid wceq df-le wrel dfrel2 ineq1i
    wb mpbi isocnv3 a1i cnveqi cnvdif cnvxp ltrel difeq12i 3eqtri indif1 xpss12
    eqtri anidms sseqin2 difeq1d eqtr2id adantr isoeq2 syl adantl isoeq3 3bitrd
    wa sylib isocnv2 isores2 isores1 bitri lerel ax-mp 3bitr3ri bitr4di ) ADEZB
    DEZVBZABFFGZCHZABIGZAAJZKZIBBJZKZCHZABIVQCHZVNVPABVRFLZVTVOLZCHZABVSWECHZWB
    VPWFSVNABWDWEFVOCWDMWEMUAUBVNWDVSNZWFWGSVLWHVMVLVSDDJZVRKZFLZWDVSWIFLZVRKWK
    VQWLVRVQWIVOLZGWIGZVOGZLWLIWMOUCWIVOUDWNWIWOFDDUEFPWOFNUFFQTUGUHRWIVRFUIUKV
    LWJVRFVLVRWIEZWJVRNVLWPADADUJULVRWIUMVCUNUOUPABWDWEVSCUQURVNWEWANZWGWBSVMWQ
    VLVMWAWIVTKZVOLZWEWAWMVTKWSIWMVTORWIVTVOUIUKVMWRVTVOVMVTWIEZWRVTNVMWTBDBDUJ
    ULVTWIUMVCUNUOUSABVSWEWACUTURVAABVQICHZABVQGZVQCHZWBWCABVQICVDXAABVQWACHWBA
    BVQICVEABVQWACVFVGXBINZXCWCSIPXDVHIQTABXBVQICUQVIVJVK $.

  ${
    $d x y A $.  $d w x y z B $.  $d x y C $.  $d w x y z D $.  $d w x y z G $.
    $d w x y z H $.  $d x y R $.  $d w x y z S $.  $d w x y z ph $.
    isoun.1 $e |- ( ph -> H Isom R , S ( A , B ) ) $.
    isoun.2 $e |- ( ph -> G Isom R , S ( C , D ) ) $.
    isoun.3 $e |- ( ( ph /\ x e. A /\ y e. C ) -> x R y ) $.
    isoun.4 $e |- ( ( ph /\ z e. B /\ w e. D ) -> z S w ) $.
    isoun.5 $e |- ( ( ph /\ x e. C /\ y e. A ) -> -. x R y ) $.
    isoun.6 $e |- ( ( ph /\ z e. D /\ w e. B ) -> -. z S w ) $.
    isoun.7 $e |- ( ph -> ( A i^i C ) = (/) ) $.
    isoun.8 $e |- ( ph -> ( B i^i D ) = (/) ) $.
    $( Infer an isomorphism from a union of two isomorphisms.  (Contributed by
       Thierry Arnoux, 30-Mar-2017.) $)
    isoun $p |- ( ph -> ( H u. G ) Isom R , S ( ( A u. C ) , ( B u. D ) ) ) $=
      ( cun wf1o cv wbr cfv wb wral wiso cin c0 wceq isof1o f1oun syl22anc wcel
      syl wa wo elun isorel sylan wfn f1ofn adantr anim1i fvun1 syl3anc adantrr
      wi adantrl breq12d bitr4d anassrs 3expb 3expia ralrimiv ralrimiva wf f1of
      ffvelrnda breq1 breq2 rspc2v syl2anc fvun2 3brtr4d 2thd jaodan sylan2b ex
      mpd wn notbid mtbird 2falsed df-isom sylanbrc ) AFHUBZGIUBZMLUBZUCZBUDZCU
      DZJUEZXCXAUFZXDXAUFZKUEZUGZCWSUHZBWSUHWSWTJKXAUIAFGMUCZHILUCZFHUJUKULZGIU
      JUKULXBAFGJKMUIZXKNFGJKMUMUQZAHIJKLUIZXLOHIJKLUMUQZTUAFGHIMLUNUOAXJBWSAXC
      WSUPZURXICWSXRAXCFUPZXCHUPZUSXDWSUPZXIVJZXCFHUTAXSYBXTAXSURZYAXIYAYCXDFUP
      ZXDHUPZUSZXIXDFHUTZYCYDXIYEAXSYDXIAXSYDURZURZXEXCMUFZXDMUFZKUEZXHAXNYHXEY
      LUGNFGXCXDJKMVAVBYIXFYJXGYKKAXSXFYJULZYDYCMFVCZLHVCZXMXSURYMAYNXSAXKYNXOF
      GMVDUQZVEAYOXSAXLYOXQHILVDUQZVEAXMXSTVFFHMLXCVGVHZVIAYDXGYKULZXSAYDURYNYO
      XMYDURYSAYNYDYPVEAYOYDYQVEAXMYDTVFFHMLXDVGVHZVKVLVMVNAXSYEXIAXSYEURZURZXE
      XHAXSYEXEPVOUUBYJXDLUFZXFXGKUUBDUDZEUDZKUEZEIUHZDGUHZYJUUCKUEZAUUHUUAAUUG
      DGAUUDGUPZURUUFEIAUUJUUEIUPUUFQVPVQVRVEUUBYJGUPZUUCIUPZUUHUUIVJAXSUUKYEAF
      GXCMAXKFGMVSXOFGMVTUQZWAVIAYEUULXSAHIXDLAXLHILVSXQHILVTUQZWAVKUUFUUIYJUUE
      KUEDEYJUUCGIUUDYJUUEKWBUUEUUCYJKWCWDWEWLAXSYMYEYRVIAYEXGUUCULZXSAYEURYNYO
      XMYEURUUOAYNYEYPVEAYOYEYQVEAXMYETVFFHMLXDWFVHZVKWGWHVNWIWJWKAXTURZYAXIYAU
      UQYFXIYGUUQYDXIYEAXTYDXIAXTYDURZURZXEXHAXTYDXEWMRVOUUSXHXCLUFZYKKUEZUUSUU
      FWMZEGUHZDIUHZUVAWMZAUVDUURAUVCDIAUUDIUPZURUVBEGAUVFUUEGUPUVBSVPVQVRVEUUS
      UUTIUPZYKGUPZUVDUVEVJAXTUVGYDAHIXCLUUNWAVIAYDUVHXTAFGXDMUUMWAVKUVBUVEUUTU
      UEKUEZWMDEUUTYKIGUUDUUTULUUFUVIUUDUUTUUEKWBWNUUEYKULUVIUVAUUEYKUUTKWCWNWD
      WEWLUUSXFUUTXGYKKAXTXFUUTULZYDUUQYNYOXMXTURUVJAYNXTYPVEAYOXTYQVEAXMXTTVFF
      HMLXCWFVHZVIAYDYSXTYTVKVLWOWPVNAXTYEXIAXTYEURZURZXEUUTUUCKUEZXHAXPUVLXEUV
      NUGOHIXCXDJKLVAVBUVMXFUUTXGUUCKAXTUVJYEUVKVIAYEUUOXTUUPVKVLVMVNWIWJWKWIWJ
      VQVRBCWSWTJKXAWQWR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Disjointness (additional proof requiring functions)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d i j x $.  $d i j A $.  $d i j B $.  $d x V $.  $d i j ph $.
    disjdsct.0 $e |- F/ x ph $.
    disjdsct.1 $e |- F/_ x A $.
    disjdsct.2 $e |- ( ( ph /\ x e. A ) -> B e. ( V \ { (/) } ) ) $.
    disjdsct.3 $e |- ( ph -> Disj_ x e. A B ) $.
    $( A disjoint collection is distinct, i.e. each set in this collection is
       different of all others, provided that it does not contain the empty set
       This can be expressed as "the converse of the mapping function is a
       function", or "the mapping function is single-rooted".  (Cf. ~ funcnv )
       (Contributed by Thierry Arnoux, 28-Feb-2017.) $)
    disjdsct $p |- ( ph -> Fun `' ( x e. A |-> B ) ) $=
      ( vi vj cv wceq csb wne wral wcel wa c0 wsb cmpt ccnv wfun wdisj disjorsf
      wo cin sylib r19.21bi w3a simpr3 csn cdif eldifsni syl sban sbf clelsb1fw
      sbimi anbi12i bitri wsbc sbsbc sbcne12 csb0 neeq2i 3bitri 3ad2antr1 disj3
      3imtr3i biimpi neeq1d biimpa syl2anc 3anassrs orim2d mpd ralrimiva nfmpt1
      difn0 ex eqid funcnv4mpt mpbird ) ABCDUAZUBUCJLZKLZMZBWFDNZBWGDNZOZUFZKCP
      ZJCPAWMJCAWFCQZRZWLKCWOWGCQZRZWHWIWJUGSMZUFZWLWOWSKCAWSKCPZJCABCDUDWTJCPI
      BCDJKGUEUHUIUIWQWRWKWHWQWRWKAWNWPWRWKAWNWPWRUJRWRWISOZWKAWNWPWRUKAWPWNXAW
      RABLCQZRZBJTZDSOZBJTZWOXAXCXEBJXCDESULUMZQXEHDESUNUOUSXDABJTZXBBJTZRWOAXB
      BJUPXHAXIWNABJFUQBJCGURUTVAXFXEBWFVBWIBWFSNZOXAXEBJVCBWFDSVDXJSWIBWFVEVFV
      GVJVHWRXARWIWJUMZSOZWKWRXAXLWRWIXKSWRWIXKMWIWJVIVKVLVMWIWJVTUOVNVOWAVPVQV
      RVRABCDJKWEXGFGBCDVSWEWBHWCWD $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  First and second members of an ordered pair - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y z A $.  $d x y z B $.
    $( Definition for a restriction of the ` 1st ` (first member of an ordered
       pair) function.  (Contributed by Thierry Arnoux, 27-Sep-2017.) $)
    df1stres $p |- ( 1st |` ( A X. B ) ) = ( x e. A , y e. B |-> x ) $=
      ( vz c1st cxp cres cv wcel wa wceq coprab cvv df1st2 reseq1i resoprab cin
      cmpo resres incom wss xpss df-ss mpbi eqtr3i eqtri 3eqtr3ri df-mpo eqtr4i
      reseq2i ) FCDGZHZAIZCJBIDJKEIUNLZKABEMZABCDUNSUOABEMZULHFNNGZHZULHZUPUMUQ
      USULABEOPUOABECDQUTFURULRZHUMFURULTVAULFULURRZVAULULURUAULURUBVBULLCDUCUL
      URUDUEUFUKUGUHABECDUNUIUJ $.

    $( Definition for a restriction of the ` 2nd ` (second member of an ordered
       pair) function.  (Contributed by Thierry Arnoux, 27-Sep-2017.) $)
    df2ndres $p |- ( 2nd |` ( A X. B ) ) = ( x e. A , y e. B |-> y ) $=
      ( vz c2nd cxp cres cv wcel wa wceq coprab cvv df2nd2 reseq1i resoprab cin
      cmpo resres incom wss xpss df-ss mpbi eqtr3i eqtri 3eqtr3ri df-mpo eqtr4i
      reseq2i ) FCDGZHZAICJBIZDJKEIUNLZKABEMZABCDUNSUOABEMZULHFNNGZHZULHZUPUMUQ
      USULABEOPUOABECDQUTFURULRZHUMFURULTVAULFULURRZVAULULURUAULURUBVBULLCDUCUL
      URUDUEUFUKUGUHABECDUNUIUJ $.
  $}

  ${
    $d A x z $.  $d V x z $.  $d X x z $.
    $( The preimage of a singleton.  (Contributed by Thierry Arnoux,
       27-Apr-2020.) $)
    1stpreimas $p |- ( ( Rel A /\ X e. V ) ->
      ( `' ( 1st |` A ) " { X } ) = ( { X } X. ( A " { X } ) ) ) $=
      ( vz vx wcel wa c1st cima cxp cv cvv cfv cop biimpi ad2antrl opeq1d eqtrd
      wceq jca wrel cres ccnv csn c2nd 1st2ndb fvex elsn adantl simplr elimasng
      simprrr biimpa syl21anc eqeltrd fvres syl wss df-rel adantr sselda simprr
      adantrr eqtr3d sylibr wrex eqeltrrd simpr eleq1d 1st2nd ad2ant2r rspcedvd
      wex simprl df-rex sylib elima3 impbida elxp7 a1i wfn wfo fo1st fofn ax-mp
      wb ssv fnssres mp2an fniniseg 3bitr4rd eqrdv ) AUAZCBFZGZDHAUBZUCCUDZIZWQ
      AWQIZJZWODKZLLJZFZXAHMZWQFZXAUEMZWSFZGZGZXAAFZXAWPMZCSZGZXAWTFZXAWRFZWOXI
      XMWOXIGZXJXLXPXACXFNZAXPXAXDXFNZXQXCXAXRSZWOXHXCXSXAUFOPXPXDCXFXIXDCSZWOX
      EXTXCXGXEXTXDCXAHUGUHZOPUIZQRXPWNXGXGXQAFZWMWNXIUJWOXCXEXGULZYDWNXGGXGYCA
      CXFBWSUKUMUNUOZXPXKXDCXPXJXKXDSZYEXAAHUPZUQYBRTWOXMGZXCXHWOXJXCXLWOAXBXAW
      MAXBURZWNWMYIAUSOUTVAVCYHXEXGYHXTXEYHXKXDCXJYFWOXLYGPWOXJXLVBVDZYAVEZYHEK
      ZWQFYLXFNZAFZGEVMZXGYHYNEWQVFYOYHYNYCECWQYHXDCWQYJYKVGYHYLCSZGZYMXQAYQYLC
      XFYHYPVHQVIYHXAXQAYHXAXRXQWMXJXSWNXLXAAVJVKYHXDCXFYJQRWOXJXLVNVGVLYNEWQVO
      VPEXFAWQXAUEUGVQVETTVRXNXIWFWOXAWQWSVSVTXOXMWFZWOWPAWAZYRHLWAZALURYSLLHWB
      YTWCLLHWDWEAWGLAHWHWIACXAWPWJWEVTWKWL $.
  $}

  ${
    $d w A $.  $d w B $.  $d w C $.
    $( TODO shorten like in proof for ~ 1stmbfm ! $)
    $( The preimage by ` 1st ` is a 'vertical band'.  (Contributed by Thierry
       Arnoux, 13-Oct-2017.) $)
    1stpreima $p |- ( A C_ B ->
      ( `' ( 1st |` ( B X. C ) ) " A ) = ( A X. C ) ) $=
      ( vw wss c1st cxp cres ccnv cima cv cfv wcel wa cvv elxp7 anbi2i a1i an12
      wb c2nd anass ssel pm4.71d anbi1d 3bitr4d bitr4id bitrdi cnvresima eleq2i
      cin elin vex wfo wfn fo1st fofn elpreima mp2b mpbiran anbi1i 3bitri eqrdv
      3bitr4g ) ABEZDFBCGZHIAJZACGZVEDKZFLZAMZVIVFMZNZVIOOGMZVKVIUALCMZNNZVIVGM
      ZVIVHMVEVMVKVNVONZNZVPVEVMVKVNVJBMZVONNZNZVSVLWAVKVIBCPQVEVKVTNZVRNZVKVTV
      RNZNZVSWBWDWFTVEVKVTVRUBRVEVKWCVRVEVKVTABVJUCUDUEWBWFTVEWAWEVKVNVTVOSQRUF
      UGVKVNVOSUHVQVIFIAJZVFUKZMVIWGMZVLNVMVGWHVIVFAFUIUJVIWGVFULWIVKVLWIVIOMZV
      KDUMOOFUNFOUOWIWJVKNTUPOOFUQOVIAFURUSUTVAVBVIACPVDVC $.

    $( The preimage by ` 2nd ` is an 'horizontal band'.  (Contributed by
       Thierry Arnoux, 13-Oct-2017.) $)
    2ndpreima $p |- ( A C_ C ->
      ( `' ( 2nd |` ( B X. C ) ) " A ) = ( B X. A ) ) $=
      ( vw wss c2nd cxp cres ccnv cima cv cfv wcel wa cvv elxp7 anbi1i wb anass
      a1i c1st ssel pm4.71rd anbi2d bicomi 3bitrd bitr4id 3bitr3g cin cnvresima
      ancom eleq2i elin vex wfo fo2nd fofn elpreima mp2b mpbiran 3bitri 3bitr4g
      wfn eqrdv ) ACEZDFBCGZHIAJZBAGZVEDKZFLZAMZVIVFMZNZVIOOGMZVIUALBMZVKNNZVIV
      GMZVIVHMVEVLVKNZVNVONZVKNZVMVPVEVRVNVOVJCMZNNZVKNZVTVLWBVKVIBCPQVEVTVSWAV
      KNZNZVSWANZVKNZWCVEVKWDVSVEVKWAACVJUBUCUDWEWGRVEWGWEVSWAVKSUETWGWCRVEWFWB
      VKVNVOWASQTUFUGVLVKUKVNVOVKSUHVQVIFIAJZVFUIZMVIWHMZVLNVMVGWIVIVFAFUJULVIW
      HVFUMWJVKVLWJVIOMZVKDUNOOFUOFOVCWJWKVKNRUPOOFUQOVIAFURUSUTQVAVIBAPVBVD $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x y F $.
    $d x y G $.
    curry2ima.1 $e |- G = ( F o. `' ( 1st |` ( _V X. { C } ) ) ) $.
    $( The image of a curried function with a constant second argument.
       (Contributed by Thierry Arnoux, 25-Sep-2017.) $)
    curry2ima $p |- ( ( F Fn ( A X. B ) /\ C e. B /\ D C_ A ) ->
        ( G " D ) = { y | E. x e. D y = ( x F C ) } ) $=
      ( cxp wfn wcel wss cv wceq wrex cab cvv wf syl2anc w3a cima co wfun simp1
      cfv dffn2 sylib simp2 curry2f ffund simp3 fdmd sseqtrrd dfimafn curry2val
      cdm 3adant3 eqeq1d eqcom bitrdi rexbidv abbidv eqtrd ) GCDJZKZEDLZFCMZUAZ
      HFUBZANZHUFZBNZOZAFPZBQZVMVKEGUCZOZAFPZBQVIHUDFHUQZMVJVPOVICRHVIVERGSZVGC
      RHSVIVFWAVFVGVHUEVEGUGUHVFVGVHUICDERGHIUJTZUKVIFCVTVFVGVHULVICRHWBUMUNABF
      HUOTVIVOVSBVIVNVRAFVIVNVQVMOVRVIVLVQVMVFVGVLVQOVHCDEVKGHIUPURUSVQVMUTVAVB
      VCVD $.
  $}

  $( The preimage of a nonempty set is nonempty.  (Contributed by Thierry
     Arnoux, 9-Jun-2024.) $)
  preiman0 $p |- ( ( Fun F /\ A C_ ran F /\ A =/= (/) )
                -> ( `' F " A ) =/= (/) ) $=
    ( wfun crn wss c0 wne ccnv cima wceq w3a cin cdm df-rn ineq1i biimpi ineq2d
    wa df-ss sseqin2 3ad2ant2 fimacnvinrn eqeq1d biimpa 3adant2 imadisj 3eqtr3a
    eqtrd sylib 3expia necon3d 3impia ) BCZABDZEZAFGBHZAIZFGUMUORUQFAFUMUOUQFJZ
    AFJUMUOURKZUNAUNLZLZUPMZUTLZAFUNVBUTBNOUOUMVAAJURUOVAUNALZAUOUTAUNUOUTAJAUN
    SPQUOVDAJAUNTPUHUAUSUPUTIZFJZVCFJUMURVFUOUMURVFUMUQVEFABUBUCUDUEUPUTUFUIUGU
    JUKUL $.

  ${
    $d A x y $.  $d F x y $.
    $( The intersection of an image set, as an indexed intersection of function
       values.  (Contributed by Thierry Arnoux, 15-Jun-2024.) $)
    intimafv $p |- ( ( Fun F /\ A C_ dom F )
                  -> |^| ( F " A ) = |^|_ x e. A ( F ` x ) ) $=
      ( vy wfun cdm wss wa cima cint cfv wceq wrex cab ciin dfimafn inteqd wcel
      cv cvv wral rgenw iinabrex ax-mp eqcom rexbii abbii inteqi eqtr4i eqtr4di
      fvex ) CEBCFGHZCBIZJASZCKZDSZLZABMZDNZJZABUOOZULUMUSADBCPQVAUPUOLZABMZDNZ
      JZUTUOTRZABUAVAVELVFABUNCUKUBADBUOTUCUDUSVDURVCDUQVBABUOUPUEUFUGUHUIUJ $.
  $}

$(
  @{
    coswap.1 @e |- ( ( x = ( 1st ` p ) /\ y = ( 2nd ` p ) )
                     -> ( ps <-> ch ) ) @.
    coswap.2 @e |- ( ( x = ( 2nd ` p ) /\ y = ( 1st ` p ) )
                     -> ( ps <-> th ) ) @.
    coswap.3 @e |- ( ( ph /\ p e. A ) -> ch ) @.
    @( A scheme that can be used for swapping ` 1st ` and ` 2nd ` arguments
       in a proof. @)
    coswap @p |- ( ( ph /\ p e. `' A ) -> th ) @=
      ? @.
  @}
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Supremum - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.  $d z ph $.
    supssd.0 $e |- ( ph -> R Or A ) $.
    supssd.1 $e |- ( ph -> B C_ C ) $.
    supssd.2 $e |- ( ph -> C C_ A ) $.
    supssd.3 $e |- ( ph -> E. x e. A ( A. y e. B -. x R y
                               /\ A. y e. A ( y R x -> E. z e. B y R z ) ) ) $.
    supssd.4 $e |- ( ph -> E. x e. A ( A. y e. C -. x R y
                               /\ A. y e. A ( y R x -> E. z e. C y R z ) ) ) $.
    $( Inequality deduction for supremum of a subset.  (Contributed by Thierry
       Arnoux, 21-Mar-2017.) $)
    supssd $p |- ( ph -> -. sup ( C , A , R ) R sup ( B , A , R ) ) $=
      ( csup wcel cv wbr wn wral supcl sseld supub syld ralrimiv supnub mp2and
      ) AGEHNZEOUGDPZHQRZDFSUGFEHNHQRABCDEGHIMTAUIDFAUHFOUHGOUIAFGUHJUAABCDEGUH
      HIMUBUCUDABCDEFUGHILUEUF $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.  $d z ph $.
    infssd.0 $e |- ( ph -> R Or A ) $.
    infssd.1 $e |- ( ph -> C C_ B ) $.
    infssd.3 $e |- ( ph -> E. x e. A ( A. y e. C -. y R x
                               /\ A. y e. A ( x R y -> E. z e. C z R y ) ) ) $.
    infssd.4 $e |- ( ph -> E. x e. A ( A. y e. B -. y R x
                               /\ A. y e. A ( x R y -> E. z e. B z R y ) ) ) $.
    $( Inequality deduction for infimum of a subset.  (Contributed by AV,
       4-Oct-2020.) $)
    infssd $p |- ( ph -> -. inf ( C , A , R ) R inf ( B , A , R ) ) $=
      ( cinf wcel cv wbr wn wral infcl sseld inflb syld ralrimiv infnlb mp2and
      ) AFEHMZENDOZUFHPQZDGRGEHMUFHPQABCDEFHILSAUHDGAUGGNUGFNUHAGFUGJTABCDEFUGH
      ILUAUBUCABCDEGUFHIKUDUE $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Finite Sets
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The image by a finite set is finite.  See also ~ imafi .  (Contributed by
     Thierry Arnoux, 25-Apr-2020.) $)
  imafi2 $p |- ( A e. Fin -> ( A " B ) e. Fin ) $=
    ( cfn wcel cima cres crn df-ima wss resss ssfi mpan2 rnfi syl eqeltrid ) AC
    DZABEABFZGZCABHPQCDZRCDPQAISABJAQKLQMNO $.

  ${
    $d x A $.
    $( If a union is finite, then all its elements are finite.  See ~ unifi .
       (Contributed by Thierry Arnoux, 27-Aug-2017.) $)
    unifi3 $p |- ( U. A e. Fin -> A C_ Fin ) $=
      ( vx cuni cfn wcel cv wss elssuni ssfi ex syl5 ssrdv ) ACZDEZBADBFZAEOMGZ
      NODEZOAHNPQMOIJKL $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Countable Sets
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( TODO - remove antecedent! $)
  $( A singleton is countable.  (Contributed by Thierry Arnoux,
     16-Sep-2016.) $)
  snct $p |- ( A e. V -> { A } ~<_ _om ) $=
    ( wcel csn c1o cen wbr com cdom ensn1g c0 csdm wne peano1 ne0ii 0sdom mpbir
    omex 0sdom1dom mpbi endomtr sylancl ) ABCADZEFGEHIGZUCHIGABJKHLGZUDUEHKMKHN
    OHRPQHSTUCEHUAUB $.

  $( TODO - remove antecedent! $)
  $( An unordered pair is countable.  (Contributed by Thierry Arnoux,
     16-Sep-2016.) $)
  prct $p |- ( ( A e. V /\ B e. W ) -> { A , B } ~<_ _om ) $=
    ( wcel wa cpr csn cun com cdom df-pr wbr snct unctb syl2an eqbrtrid ) ACEZB
    DEZFABGAHZBHZIZJKABLRTJKMUAJKMUBJKMSACNBDNTUAOPQ $.

  ${
    $d x y A $.  $d y B $.
    ${
      $d x B $.
      mpocti.1 $e |- A. x e. A A. y e. B C e. V $.
      $( An operation is countable if both its domains are countable.
         (Contributed by Thierry Arnoux, 17-Sep-2017.) $)
      mpocti $p |- ( ( A ~<_ _om /\ B ~<_ _om ) ->
                                         ( x e. A , y e. B |-> C ) ~<_ _om ) $=
        ( com cdom wbr wa cmpo cxp wfn wcel wral eqid fnmpo ax-mp xpct sylancr
        fnct ) CHIJDHIJKABCDELZCDMZNZUDHIJUCHIJEFOBDPACPUEGABCDEUCFUCQRSCDTUDUC
        UBUA $.
    $}

    $( An image set of a countable set is countable.  (Contributed by Thierry
       Arnoux, 29-Dec-2016.) $)
    abrexct $p |- ( A ~<_ _om -> { y | E. x e. A y = B } ~<_ _om ) $=
      ( com cdom wbr cv wceq wrex cab cmpt crn eqid rnmpt 1stcrestlem eqbrtrrid
      ) CEFGBHDIACJBKACDLZMEFABCDRRNOACDPQ $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.
    mptctf.1 $e |- F/_ x A $.
    $( A countable mapping set is countable, using bound-variable hypotheses
       instead of distinct variable conditions.  (Contributed by Thierry
       Arnoux, 8-Mar-2017.) $)
    mptctf $p |- ( A ~<_ _om -> ( x e. A |-> B ) ~<_ _om ) $=
      ( com cdom wbr cmpt wfun cdm funmpt cvv wcel wss ctex crab eqid dmmpt cab
      eqsstri cv df-rab simpl ss2abi abid2f sseqtri ssdomg mpisyl domtr mpancom
      wa wfn funfn fnct sylanb sylancr ) BEFGZABCHZIZURJZEFGZUREFGZABCKUTBFGZUQ
      VAUQBLMUTBNVCBOUTCLMZABPZBABCURURQRVEAUABMZVDUKZASZBVDABUBVHVFASBVGVFAVFV
      DUCUDABDUEUFTTUTBLUGUHUTBEUIUJUSURUTULVAVBURUMUTURUNUOUP $.

    $( An image set of a countable set is countable, using bound-variable
       hypotheses instead of distinct variable conditions.  (Contributed by
       Thierry Arnoux, 8-Mar-2017.) $)
    abrexctf $p |- ( A ~<_ _om -> { y | E. x e. A y = B } ~<_ _om ) $=
      ( com cdom wbr cv wceq wrex cab cmpt crn eqid rnmpt mptctf rnct eqbrtrrid
      syl ) CFGHZBIDJACKBLACDMZNZFGABCDUBUBOPUAUBFGHUCFGHACDEQUBRTS $.
  $}

  ${
    $d A f g x $.  $d V f g $.  $d Z f g x $.
    $( Index a countable set with integers and pad with ` Z ` .  (Contributed
       by Thierry Arnoux, 1-Jun-2020.) $)
    padct $p |- ( ( A ~<_ _om /\ Z e. V /\ -. Z e. A ) ->
     E. f ( f : NN --> ( A u. { Z } ) /\ A C_ ran f /\ Fun ( `' f |` A ) ) ) $=
      ( vg com wbr cen wcel cn cun wf wss ccnv cres wa c0 wceq syl 3syl vx cdom
      csdm wo wn csn cv crn wfun w3a wex brdom2 wi c1 chash cfv cfz co wf1o nfv
      cfn isfinite2 isfinite4 adantr bren 3adant3 cdif cmpt cin f1of adantl cxp
      sylib fconstmpt eqcomi wb simplr fconst2g mpbiri disjdif a1i fun syl21anc
      fz1ssnn undif mpbi feq2i 3adantl3 ssid wfo simpr forn sseqtrrid orcd ssun
      f1ofo rnun sseqtrrdi dff1o3 simprbi cnvun reseq1i resundir dff1o4 fnresdm
      eqtri wfn simpl3 cnveqi cnvxp incom disjsn biimpri eqtr3id syl5eq uneq12d
      xpdisjres un0 eqtrdi funeqd mpbird nnex difexg ax-mp mptex unex feq1 rneq
      vex cvv sseq2d cnveq eqidd reseq12d 3anbi123d spcev syl3anc ex exlimimdd
      mpan2 3expia nnenom simpl ensymd entr sylancr ssun1 fss cima f1ocnv f1of1
      wf1 f1ores f1ofun 3jca eximd mpd a1d jaoian 3impia syl3an1b ) AFUBGAFUCGZ
      AFHGZUDZDCIZDAIUEZJADUFZKZBUGZLZAUVIUHZMZUVINZAOZUIZUJZBUKZAFULUVDUVEUVFU
      VQUVBUVEUVFUVQUMUVCUVBUVEUVFUVQUVBUVEUVFUJZUNAUOUPZUQURZAEUGZUSZUVQEUVREU
      TUVQEUTUVBUVEUWBEUKZUVFUVBUVEPZUVTAHGZUWCUVBUWEUVEUVBAVAIUWEAVBAVCVMVDUVT
      AEVEVMVFUVRUWBUVQUVRUWBPZJUVHUWAUAJUVTVGZDVHZKZLZAUWIUHZMZUWINZAOZUIZUVQU
      VBUVEUWBUWJUVFUWDUWBPZUVTUWGKZUVHUWILZUWJUWPUVTAUWALZUWGUVGUWHLZUVTUWGVIQ
      RZUWRUWBUWSUWDUVTAUWAVJVKUWPUWTUWHUWGUVGVLZRZUXBUWHUAUWGDVNVOZUWPUVEUWTUX
      CVPUVBUVEUWBVQUWGDCUWHVRSVSUXAUWPUVTJVTWAUVTUWGAUVGUWAUWHWBWCUWQJUVHUWIUV
      TJMUWQJRUVSWDUVTJWEWFWGVMWHUVBUVEUWBUWLUVFUWPAUWAUHZUWHUHZKZUWKUWPAUXEMZA
      UXFMZUDAUXGMUWPUXHUXIUWPAAUXEAWIZUWPUWBUVTAUWAWJZUXEARUWDUWBWKUVTAUWAWPUV
      TAUWAWLTWMWNAUXEUXFWOSUWAUWHWQWRWHUWFUWOUWANZUIZUWBUXMUVRUWBUXKUXMUVTAUWA
      WSWTVKUWFUWNUXLUWFUWNUXLAOZUWHNZAOZKZUXLUWNUXLUXOKZAOUXQUWMUXRAUWAUWHXAXB
      UXLUXOAXCXFUWFUXQUXLQKUXLUWFUXNUXLUXPQUWBUXNUXLRZUVRUWBUXLAXGZUXSUWBUWAUV
      TXGUXTUVTAUWAXDWTAUXLXESVKUWFUVFUXPQRUVBUVEUVFUWBXHUVFUXPUVGUWGVLZAOZQUXO
      UYAAUXOUXBNUYAUWHUXBUXDXIUWGUVGXJXFXBUVFUVGAVIZQRUYBQRUVFUYCAUVGVIZQAUVGX
      KUYDQRUVFADXLXMXNUVGUWGAXQSXOSXPUXLXRXSXOXTYAUVPUWJUWLUWOUJBUWIUWAUWHEYIU
      AUWGDJYJIUWGYJIYBJUVTYJYCYDYEYFUVIUWIRZUVJUWJUVLUWLUVOUWOJUVHUVIUWIYGUYEU
      VKUWKAUVIUWIYHYKUYEUVNUWNUYEUVMUWMAAUVIUWIYLUYEAYMYNXTYOYPYQYRYSUUAUVCUVE
      PZUVQUVFUYFJAUVIUSZBUKZUVQUYFJAHGZUYHUYFJFHGFAHGUYIUUBUYFAFUVCUVEUUCUUDJF
      AUUEUUFJABVEVMUYFUYGUVPBUYFBUTUYFUYGUVPUYFUYGPZUVJUVLUVOUYJUYGJAUVILZUVJU
      YFUYGWKZJAUVIVJUYKAUVHMUVJAUVGUUGJAUVHUVIUUHYTTUYJAAUVKUXJUYJUYGJAUVIWJUV
      KARUYLJAUVIWPJAUVIWLTWMUYJAJUVMUULZAUVMAUUIZUVNUSZUVOUYJUYGAJUVMUSUYMUYLJ
      AUVIUUJAJUVMUUKTUYMAAMUYOUXJAJAUVMUUMYTAUYNUVNUUNTUUOYRUUPUUQUURUUSUUTUVA
      $.
  $}

  ${
    $d a w x y z $.  $d a w ph $.  $d w ps $.
    cnvoprabOLD.x $e |- F/ x ps $.
    cnvoprabOLD.y $e |- F/ y ps $.
    cnvoprabOLD.1 $e |- ( a = <. x , y >. -> ( ps <-> ph ) ) $.
    cnvoprabOLD.2 $e |- ( ps -> a e. ( _V X. _V ) ) $.
    $( The converse of a class abstraction of nested ordered pairs.  Obsolete
       version of ~ cnvoprab as of 16-Oct-2022, which has nonfreeness
       hypotheses instead of disjoint variable conditions.  (Contributed by
       Thierry Arnoux, 17-Aug-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    cnvoprabOLD $p |- `' { <. <. x , y >. , z >. | ph } = { <. z , a >. | ps }
      $=
      ( vw copab ccnv cv cop wceq wa wex cvv wcel coprab cab nfv nfan nfex opex
      excom opeq1 eqeq2d anbi12d spcev exlimi cxp adantl c1st cfv c2nd wi eqcom
      fvex wb anbi12i eqopi sylan2br bicomd spc2ed mpanr12 mpcom exlimiv impbii
      syl exbii exrot3 3bitr2ri df-oprab df-opab 3eqtr4ri cnveqi cnvopab eqtr3i
      abbii ) BFELZMACDEUAZMBEFLWBWCKNZCNZDNZOZENZOZPZAQZERDRCRZKUBWDFNZWHOZPZB
      QZERFRZKUBWCWBWLWQKWQWPFRZERWKDRZCRZERWLWPFEUGWTWREWTWRWSWRCWPCFWOBCWOCUC
      GUDZUEWKWRDWPDFWOBDWODUCHUDZUEWPWKFWGWEWFUFWMWGPZWOWJBAXCWNWIWDWMWGWHUHUI
      IUJZUKULULWPWTFWMSSUMTZWPWTBXEWOJUNXEWMUOUPZSTWMUQUPZSTWPWTURWMUOUTWMUQUT
      XEWKWPCDXFXGSSXAXBXEWEXFPZWFXGPZQZQXCWKWPVAXJXEXFWEPZXGWFPZQXCXKXHXLXIXFW
      EUSXGWFUSVBWMWEWFSSVCVDXCWPWKXDVEVKVFVGVHVIVJVLWKECDVMVNWAACDEKVOBFEKVPVQ
      VRBFEVSVT $.
  $}

  ${
    $d a i j x y z A $.  $d a i j x y z B $.  $d a i j z C $.  $d a x y z D $.
    $d a x y I $.  $d a x y J $.  $d a x y z ph $.
    f1od2.1 $e |- F = ( x e. A , y e. B |-> C ) $.
    f1od2.2 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> C e. W ) $.
    f1od2.3 $e |- ( ( ph /\ z e. D ) -> ( I e. X /\ J e. Y ) ) $.
    f1od2.4 $e |- ( ph -> ( ( ( x e. A /\ y e. B ) /\ z = C ) <->
                            ( z e. D /\ ( x = I /\ y = J ) ) ) ) $.
    $( Sufficient condition for a binary function expressed in maps-to notation
       to be bijective.  (Contributed by Thierry Arnoux, 17-Aug-2017.) $)
    f1od2 $p |- ( ph -> F : ( A X. B ) -1-1-onto-> D ) $=
      ( wa wsbc va vi cxp wfn ccnv wf1o wcel wral ralrimivva fnmpo syl cop cmpt
      vj cv opelxpi ralrimiva eqid fnmpt c1st cfv c2nd csb wceq copab cvv elxp7
      anbi1i anass sbcbidv sbcan fvex sbcg ax-mp sbcel1v anbi12i sbceq2g sbcbii
      wb bitri 3bitri sbceq1g csbvargi eqeq1i 3bitr3g anbi2d syl5bb xpss simprr
      adantrr eqeltrd sselid ex pm4.71rd eqop pm5.32i bitr2di bitrd coprab cmpo
      opabbidv df-mpo eqtri cnveqi nfcsb1v nfeq2 nfan nfcsbw simpl eleq1d simpr
      nfv nfcv anbi12d csbeq1a sylan9eqr eqeq2d cbvoprab12 opelxp bitrdi csbcom
      eleq1 csbcow csbeq2i csbopeq1a eqtr3id sseli adantr 3eqtri df-mpt 3eqtr4g
      cnvoprab fneq1d mpbird dff1o4 sylanbrc ) AIEFUCZUDZIUEZHUDZYQHIUFAGLUGZCF
      UHBEUHYRAUUABCEFPUIBCEFGILOUJUKAYTDHJKULZUMZHUDZAUUBMNUCZUGZDHUHUUDAUUFDH
      ADUOZHUGZSJMUGKNUGSUUFQJKMNUPUKZUQDHUUBUUCUUEUUCURUSUKAHYSUUCAUAUOZYQUGZU
      UGBUUJUTVAZCUUJVBVAZGVCZVCZVDZSZDUAVEZUUHUUJUUBVDZSZDUAVEYSUUCAUUQUUTDUAU
      UQUUJVFVFUCZUGZUULEUGZUUMFUGZSZSZUUPSZAUUTUUKUVFUUPUUJEFVGVHAUVGUVBUUHUUL
      JVDZUUMKVDZSZSZSZUUTUVGUVBUVEUUPSZSAUVLUVBUVEUUPVIAUVMUVKUVBABUOZEUGZCUOZ
      FUGZSZUUGGVDZSZCUUMTZBUULTZUUHUVNJVDZUVPKVDZSZSZCUUMTZBUULTZUVMUVKAUWAUWG
      BUULAUVTUWFCUUMRVJVJUWBUVOUVDSZUUGUUNVDZSZBUULTUWIBUULTZUWJBUULTZSUVMUWAU
      WKBUULUWAUVRCUUMTZUVSCUUMTZSUWKUVRUVSCUUMVKUWNUWIUWOUWJUWNUVOCUUMTZUVQCUU
      MTZSUWIUVOUVQCUUMVKUWPUVOUWQUVDUUMVFUGZUWPUVOVSUUJVBVLZUVOCUUMVFVMVNCUUMF
      VOVPVTUWRUWOUWJVSUWSCUUMUUGGVFVQVNVPVTVRUWIUWJBUULVKUWLUVEUWMUUPUWLUVOBUU
      LTZUVDBUULTZSUVEUVOUVDBUULVKUWTUVCUXAUVDBUULEVOUULVFUGZUXAUVDVSUUJUTVLZUV
      DBUULVFVMVNVPVTUXBUWMUUPVSUXCBUULUUGUUNVFVQVNVPWAUWHUUHUWCUVISZSZBUULTUUH
      BUULTZUXDBUULTZSUVKUWGUXEBUULUWGUUHCUUMTZUWECUUMTZSUXEUUHUWECUUMVKUXHUUHU
      XIUXDUWRUXHUUHVSUWSUUHCUUMVFVMVNUXIUWCCUUMTZUWDCUUMTZSUXDUWCUWDCUUMVKUXJU
      WCUXKUVIUWRUXJUWCVSUWSUWCCUUMVFVMVNUXKCUUMUVPVCZKVDZUVIUWRUXKUXMVSUWSCUUM
      UVPKVFWBVNUXLUUMKCUUMUWSWCWDVTVPVTVPVTVRUUHUXDBUULVKUXFUUHUXGUVJUXBUXFUUH
      VSUXCUUHBUULVFVMVNUXGUWCBUULTZUVIBUULTZSUVJUWCUVIBUULVKUXNUVHUXOUVIUXNBUU
      LUVNVCZJVDZUVHUXBUXNUXQVSUXCBUULUVNJVFWBVNUXPUULJBUULUXCWCWDVTUXBUXOUVIVS
      UXCUVIBUULVFVMVNVPVTVPWAWEWFWGAUUTUVBUUTSUVLAUUTUVBAUUTUVBAUUTSZUUEUVAUUJ
      MNWHUXRUUJUUBUUEAUUHUUSWIAUUHUUFUUSUUIWJWKWLWMWNUVBUUTUVKUVBUUSUVJUUHUUJJ
      KVFVFWOWFWPWQWRWGXAYSUVTBCDWSZUEUBUOZEUGZUNUOZFUGZSZUUGBUXTCUYBGVCZVCZVDZ
      SZUBUNDWSZUEUURIUXSIBCEFGWTUXSOBCDEFGXBXCXDUXSUYIUVTUYHBCDUBUNUVTUBXLUVTU
      NXLUYDUYGBUYDBXLBUUGUYFBUXTUYEXEXFXGUYDUYGCUYDCXLCUUGUYFCBUXTUYECUXTXMCUY
      BGXEXHXFXGUVNUXTVDZUVPUYBVDZSZUVRUYDUVSUYGUYLUVOUYAUVQUYCUYLUVNUXTEUYJUYK
      XIXJUYLUVPUYBFUYJUYKXKXJXNUYLGUYFUUGUYKUYJGUYEUYFCUYBGXOBUXTUYEXOXPXQXNXR
      XDUYHUUQUBUNDUAUUJUXTUYBULZVDZUUKUYDUUPUYGUYNUUKUYMYQUGUYDUUJUYMYQYBUXTUY
      BEFXSXTUYNUUOUYFUUGUYNUUOUBUULUNUUMUYFVCZVCZUYFUYPUBUULBUXTUUNVCZVCUUOUBU
      ULUYOUYQUYOBUXTUNUUMUYEVCZVCUYQUNBUUMUXTUYEYABUXTUYRUUNCUNUUMGYCYDXCYDBUB
      UULUUNYCXCUBUNUUJUYFYEYFXQXNUUKUVBUUPYQUVAUUJEFWHYGYHYLYIDUAHUUBYJYKYMYNY
      QHIYOYP $.
  $}

  ${
    $d f h G $.  $d f h R $.  $d f h S $.  $d f h T $.  $d f h ph $.
    fcobij.1 $e |- ( ph -> G : S -1-1-onto-> T ) $.
    fcobij.2 $e |- ( ph -> R e. U ) $.
    fcobij.3 $e |- ( ph -> S e. V ) $.
    fcobij.4 $e |- ( ph -> T e. W ) $.
    $( Composing functions with a bijection yields a bijection between sets of
       functions.  (Contributed by Thierry Arnoux, 25-Aug-2017.) $)
    fcobij $p |- ( ph -> ( f e. ( S ^m R ) |-> ( G o. f ) ) :
                                         ( S ^m R ) -1-1-onto-> ( T ^m R ) ) $=
      ( ccom wcel wa wf adantr elmapd wceq vh cmap ccnv cmpt eqid wf1o f1of syl
      co cv biimpa fco syl2anc mpbird f1ocnv 3syl cid cres simpr coeq2d eqtr4di
      wb coass simpll f1ococnv2 simplrr fcoi2 3eqtrrd f1ococnv1 simplrl impbida
      coeq1d f1o2d ) AFUACBUBUIZDBUBUIZGFUJZNZGUCZUAUJZNZFVNVQUDZWAUEAVPVNOZPZV
      QVOOZBDVQQZWCCDGQZBCVPQZWEAWFWBACDGUFZWFJCDGUGUHRAWBWGACBVPHELKSUKZBCDGVP
      ULUMAWDWEVBWBADBVQIEMKSRUNAVSVOOZPZVTVNOZBCVTQZWKDCVRQZBDVSQZWMAWNWJAWHDC
      VRUFWNJCDGUODCVRUGUPRAWJWOADBVSIEMKSUKZBDCVRVSULUMAWLWMVBWJACBVTHELKSRUNA
      WBWJPZPZVPVTTZVSVQTZWRWSPZVQGVRNZVSNZUQDURZVSNZVSXAVQGVTNXCXAVPVTGWRWSUSU
      TGVRVSVCVAXAXBXDVSXAAWHXBXDTAWQWSVDZJCDGVEUPVLXAWOXEVSTXAAWJWOXFAWBWJWSVF
      WPUMBDVSVGUHVHWRWTPZVTVRGNZVPNZUQCURZVPNZVPXGVTVRVQNXIXGVSVQVRWRWTUSUTVRG
      VPVCVAXGXHXJVPXGAWHXHXJTAWQWTVDZJCDGVIUPVLXGWGXKVPTXGAWBWGXLAWBWJWTVJWIUM
      BCVPVGUHVHVKVM $.

    $d f h O $.  $d f h Q $.  $d g h O $.  $d g h R $.  $d g h S $.  $d f X $.
    $d f Y $.
    fcobijfs.5 $e |- ( ph -> O e. S ) $.
    fcobijfs.6 $e |- Q = ( G ` O ) $.
    fcobijfs.7 $e |- X = { g e. ( S ^m R ) | g finSupp O } $.
    fcobijfs.8 $e |- Y = { h e. ( T ^m R ) | h finSupp Q } $.
    $( Composing finitely supported functions with a bijection yields a
       bijection between sets of finitely supported functions.  See also
       ~ mapfien .  (Contributed by Thierry Arnoux, 25-Aug-2017.)  (Revised by
       Thierry Arnoux, 1-Sep-2019.) $)
    fcobijfs $p |- ( ph -> ( f e. X |-> ( G o. f ) ) : X -1-1-onto-> Y ) $=
      ( cv cid cres ccom cmpt wf1o cfsupp wbr cmap co crab breq1 cbvrabv eqtr4i
      f1oi a1i mapfien wcel wceq ssrab3 sseli wa coass wf syl elmapi fco syl2an
      f1of fcoi1 eqtr3id sylan2 mpteq2dva f1oeq1d mpbid ) ANOGNJGUDZUECUFZUGUGZ
      UHZUINOGNJVSUGZUHZUIAICDCENOFGVTJLBFMKNHUDZKUJUKZHDCULUMZUNIUDZKUJUKZIWGU
      NUBWIWFIHWGWHWEKUJUOUPUQUCUACCVTUIACURUSPQRQSTUTANOWBWDAGNWAWCVSNVAAVSWGV
      AZWAWCVBNWGVSWFHWGNUBVCVDAWJVEZWAWCVTUGZWCJVSVTVFWKCEWCVGZWLWCVBADEJVGZCD
      VSVGWMWJADEJUIWNPDEJVLVHVSDCVICDEJVSVJVKCEWCVMVHVNVOVPVQVR $.
  $}

  ${
    $d x A $.  $d x F $.  $d x Z $.  $d x ph $.
    suppss3.1 $e |- G = ( x e. A |-> B ) $.
    suppss3.a $e |- ( ph -> A e. V ) $.
    suppss3.z $e |- ( ph -> Z e. W ) $.
    suppss3.2 $e |- ( ph -> F Fn A ) $.
    suppss3.3 $e |- ( ( ph /\ x e. A /\ ( F ` x ) = Z ) -> B = Z ) $.
    $( Deduce a function's support's inclusion in another function's support.
       (Contributed by Thierry Arnoux, 7-Sep-2017.)  (Revised by Thierry
       Arnoux, 1-Sep-2019.) $)
    suppss3 $p |- ( ph -> ( G supp Z ) C_ ( F supp Z ) ) $=
      ( csupp co wcel wa wceq cvv cmpt oveq1i cv cfv simpl eldifi adantl wn csn
      cdif ccnv cima wfn fnex syl2anc suppimacnv eleq2d wb elpreima bitrd baibd
      syl notbid biimpd expimpd wne fvex eldifsn mpbiran necon2bbii 3imtr4g imp
      eldif syl3anc suppss2 eqsstrid ) AFIOPBCDUAZIOPEIOPZFVQIOJUBACDBGVRIABUCZ
      CVRUJQZRAVSCQZVSEUDZISZDISAVTUEVTWAAVSCVRUFUGAVTWCAWAVSVRQZUHZRWBTIUIUJZQ
      ZUHZVTWCAWAWEWHAWARZWEWHWIWDWGAWDWAWGAWDVSEUKWFULZQZWAWGRZAVRWJVSAETQZIHQ
      VRWJSAECUMZCGQWMMKCGEUNUOLETHIUPUOUQAWNWKWLURMCVSWFEUSVBUTVAVCVDVEVSCVRVM
      WGWBIWGWBTQWBIVFVSEVGWBTIVHVIVJVKVLNVNKVOVP $.
  $}

  ${
    $d B x y z $.  $d C x y z $.  $d F x $.  $d F y z $.  $d G y z $.
    $d Z y z $.  $d ph y z $.
    fsuppcurry1.g $e |- G = ( x e. B |-> ( C F x ) ) $.
    fsuppcurry1.z $e |- ( ph -> Z e. U ) $.
    fsuppcurry1.a $e |- ( ph -> A e. V ) $.
    fsuppcurry1.b $e |- ( ph -> B e. W ) $.
    fsuppcurry1.f $e |- ( ph -> F Fn ( A X. B ) ) $.
    fsuppcurry1.c $e |- ( ph -> C e. A ) $.
    fsuppcurry1.1 $e |- ( ph -> F finSupp Z ) $.
    $( Finite support of a curried function with a constant first argument.
       (Contributed by Thierry Arnoux, 7-Jul-2023.) $)
    fsuppcurry1 $p |- ( ph -> G finSupp Z ) $=
      ( cvv wcel vy vz wfun c2nd cxp cres csupp co cima cfn wss cfsupp wbr cmpt
      cv oveq2 cbvmptv eqtri mptexd eqeltrid funmpt2 a1i wfo fo2nd fofun funres
      ax-mp mp1i fsuppimpd imafi syl2anc wa ovexd fmptd cdif wn wceq eldif wrex
      cfv cop wne ad2antrr simplr opelxpd df-ov simpr neqned eqnetrrd eqnetrrid
      fvmptd3 wb wfn xpexd elsuppfn syl3anc mpbir2and fveq2d xpss adantr sselid
      fvresd op2ndg 3eqtrd rspcedeq1vd cin fofn fnresin mp2b ssv sseqin2 fneq2i
      mpbi cdm suppssdm fndmd sseqtrid sstrdi fvelimabd mpbird ex con1d sylan2b
      impr suppss suppssfifsupp syl32anc ) AHSTHUCZKFTZUDSSUEZUFZGKUGUHZUIZUJTZ
      HKUGUHYMUKHKULUMAHUADEUAUOZGUHZUNZSHBDEBUOZGUHZUNYQLBUADYSYPYRYOEGUPZUQUR
      ZAUADYPJOUSUTYHABDYSHLVAVBMAYKUCZYLUJTYNUDUCZUUBASSUDVCZUUCVDSSUDVEVGYJUD
      VFVHAGKRVIYKYLVJVKADSUAHYMKAUADYPSHAYODTZVLZEYOGVMUUAVNYODYMVOTAUUEYOYMTZ
      VPZVLYOHVTZKVQZYODYMVRAUUEUUHUUJUUFUUJUUGUUFUUJVPZUUGUUFUUKVLZUUGUBUOZYKV
      TZYOVQUBYLVSZUULUBEYOWAZYLUUNYOUULUUPYLTZUUPCDUEZTZUUPGVTZKWBZUULEYOCDAEC
      TZUUEUUKQWCZAUUEUUKWDZWEZUULUUTYPKEYOGWFUULUUIYPKUULBYOYSYPDHSLYTUVDUULEY
      OGVMWKUULUUIKUUFUUKWGWHWIWJAUUQUUSUVAVLWLZUUEUUKAGUURWMUURSTYIUVFPACDIJNO
      WNMUUPGSFUURKWOWPWCWQUULUUMUUPVQZVLZUUNUUPYKVTUUPUDVTZYOUVHUUMUUPYKUULUVG
      WGWRUVHUUPYJUDUVHUURYJUUPCDWSZUULUUSUVGUVEWTXAXBUVHUVBUUEUVIYOVQUULUVBUVG
      UVCWTUULUUEUVGUVDWTEYOCDXCVKXDXEAUUGUUOWLUUEUUKAUBYJYLYOYKYKYJWMZAYKSYJXF
      ZWMZUVKUUDUDSWMUVMVDSSUDXGSYJUDXHXIUVLYJYKYJSUKUVLYJVQYJXJYJSXKXMXLXMVBAY
      LUURYJAGXNYLUURGKXOAUURGPXPXQUVJXRXSWCXTYAYBYDYCYEYMHSFKYFYG $.
  $}

  ${
    $d A x y z $.  $d C x y z $.  $d F x y $.  $d F z $.  $d G y z $.
    $d Z y z $.  $d ph y z $.
    fsuppcurry2.g $e |- G = ( x e. A |-> ( x F C ) ) $.
    fsuppcurry2.z $e |- ( ph -> Z e. U ) $.
    fsuppcurry2.a $e |- ( ph -> A e. V ) $.
    fsuppcurry2.b $e |- ( ph -> B e. W ) $.
    fsuppcurry2.f $e |- ( ph -> F Fn ( A X. B ) ) $.
    fsuppcurry2.c $e |- ( ph -> C e. B ) $.
    fsuppcurry2.1 $e |- ( ph -> F finSupp Z ) $.
    $( Finite support of a curried function with a constant second argument.
       (Contributed by Thierry Arnoux, 7-Jul-2023.) $)
    fsuppcurry2 $p |- ( ph -> G finSupp Z ) $=
      ( cvv wcel vy vz wfun c1st cxp cres csupp co cima cfn wss cfsupp wbr cmpt
      cv oveq1 cbvmptv eqtri mptexd eqeltrid funmpt2 a1i wfo fo1st fofun funres
      ax-mp mp1i fsuppimpd imafi syl2anc wa ovexd fmptd cdif wn wceq eldif wrex
      cfv cop wne simplr ad2antrr opelxpd df-ov simpr neqned eqnetrrd eqnetrrid
      fvmptd3 wb wfn xpexd elsuppfn syl3anc mpbir2and fveq2d xpss adantr sselid
      fvresd op1stg 3eqtrd rspcedeq1vd cin fofn fnresin mp2b ssv sseqin2 fneq2i
      mpbi cdm suppssdm fndmd sseqtrid sstrdi fvelimabd mpbird ex con1d sylan2b
      impr suppss suppssfifsupp syl32anc ) AHSTHUCZKFTZUDSSUEZUFZGKUGUHZUIZUJTZ
      HKUGUHYMUKHKULUMAHUACUAUOZEGUHZUNZSHBCBUOZEGUHZUNYQLBUACYSYPYRYOEGUPZUQUR
      ZAUACYPINUSUTYHABCYSHLVAVBMAYKUCZYLUJTYNUDUCZUUBASSUDVCZUUCVDSSUDVEVGYJUD
      VFVHAGKRVIYKYLVJVKACSUAHYMKAUACYPSHAYOCTZVLZYOEGVMUUAVNYOCYMVOTAUUEYOYMTZ
      VPZVLYOHVTZKVQZYOCYMVRAUUEUUHUUJUUFUUJUUGUUFUUJVPZUUGUUFUUKVLZUUGUBUOZYKV
      TZYOVQUBYLVSZUULUBYOEWAZYLUUNYOUULUUPYLTZUUPCDUEZTZUUPGVTZKWBZUULYOECDAUU
      EUUKWCZAEDTZUUEUUKQWDZWEZUULUUTYPKYOEGWFUULUUIYPKUULBYOYSYPCHSLYTUVBUULYO
      EGVMWKUULUUIKUUFUUKWGWHWIWJAUUQUUSUVAVLWLZUUEUUKAGUURWMUURSTYIUVFPACDIJNO
      WNMUUPGSFUURKWOWPWDWQUULUUMUUPVQZVLZUUNUUPYKVTUUPUDVTZYOUVHUUMUUPYKUULUVG
      WGWRUVHUUPYJUDUVHUURYJUUPCDWSZUULUUSUVGUVEWTXAXBUVHUUEUVCUVIYOVQUULUUEUVG
      UVBWTUULUVCUVGUVDWTYOECDXCVKXDXEAUUGUUOWLUUEUUKAUBYJYLYOYKYKYJWMZAYKSYJXF
      ZWMZUVKUUDUDSWMUVMVDSSUDXGSYJUDXHXIUVLYJYKYJSUKUVLYJVQYJXJYJSXKXMXLXMVBAY
      LUURYJAGXNYLUURGKXOAUURGPXPXQUVJXRXSWDXTYAYBYDYCYEYMHSFKYFYG $.
  $}

  ${
    $d F i j $.  $d G i x $.  $d G j $.  $d R i x $.  $d R j $.  $d S i $.
    $d S j $.  $d T i x $.  $d T j $.  $d Y i x $.  $d Z i x $.  $d i ph x $.
    $d j ph $.
    offinsupp1.a $e |- ( ph -> A e. V ) $.
    offinsupp1.y $e |- ( ph -> Y e. U ) $.
    offinsupp1.z $e |- ( ph -> Z e. W ) $.
    offinsupp1.f $e |- ( ph -> F : A --> S ) $.
    offinsupp1.g $e |- ( ph -> G : A --> T ) $.
    offinsupp1.1 $e |- ( ph -> F finSupp Y ) $.
    offinsupp1.2 $e |- ( ( ph /\ x e. T ) -> ( Y R x ) = Z ) $.
    $( Finite support for a function operation.  (Contributed by Thierry
       Arnoux, 8-Jul-2023.) $)
    offinsupp1 $p |- ( ph -> ( F oF R G ) finSupp Z ) $=
      ( vi vj cof co cfsupp wbr csupp wcel fsuppimpd ssidd suppssof1 ssfid wfun
      cfn cvv wb cv wa ovexd inidm off ffund funisfsupp syl3anc mpbird ) AHIDUC
      ZUDZMUEUFZVGMUGUDZUNUHZAHLUGUDZVIAHLSUIABHICFGVKDEJLMAVKUJTQRNOUKULAVGUMV
      GUOUHMKUHVHVJUPACUOVGAUAUBCCCDEFUOHIJJAUAUQZEUHUBUQZFUHURURVLVMDUSQRNNCUT
      VAVBAHIVFUSPVGUOKMVCVDVE $.
  $}

  ${
    ffs2.1 $e |- C = ( B \ { Z } ) $.
    $( Rewrite a function's support based with its range rather than the
       universal class.  See also ~ frnsuppeq .  (Contributed by Thierry
       Arnoux, 27-Aug-2017.)  (Revised by Thierry Arnoux, 1-Sep-2019.) $)
    ffs2 $p |- ( ( A e. V /\ Z e. W /\ F : A --> B )
      -> ( F supp Z ) = ( `' F " C ) ) $=
      ( wcel wf w3a csupp co ccnv csn cdif cima wceq frnsuppeq 3impia imaeq2i
      eqtr4di ) AEIZGFIZABDJZKDGLMZDNZBGOPZQZUGCQUCUDUEUFUIRBDAEFGSTCUHUGHUAUB
      $.
  $}

  ${
    ffsrn.z $e |- ( ph -> Z e. W ) $.
    ffsrn.0 $e |- ( ph -> F e. V ) $.
    ffsrn.1 $e |- ( ph -> Fun F ) $.
    ffsrn.2 $e |- ( ph -> ( F supp Z ) e. Fin ) $.
    $( The range of a finitely supported function is finite.  (Contributed by
       Thierry Arnoux, 27-Aug-2017.) $)
    ffsrn $p |- ( ph -> ran F e. Fin ) $=
      ( crn cvv cima cres cun cfn wceq eqtri wss wcel syl2anc ccnv csn cdif cdm
      wfun dfdm4 dfrn4 wa wfn fnresdm sylbir sylancl imaundi reseq2i undif1 ssv
      df-fn ssequn2 mpbi imaeq2i resundi 3eqtr3i eqtr3di rneqd rnun eqtrdi cdom
      wbr csupp co suppimacnv eqeltrrd cnvexg imaexg 3syl wfo cnvimass fofn syl
      fores fnrndomg sylc domfi snfi cin df-ima funimacnv eqtr3id eqsstrdi ssfi
      inss1 sylancr unfi eqeltrd ) ABJZBBUAZKEUBZUCZLZMZJZBWPWQLZMZJZNZOAWOWTXC
      NZJXEABXFABWPKLZMZBXFABUEZBUDZXGPZXHBPZHXJWPJXGBUFWPUGQXIXKUHBXGUIXLBXGUQ
      XGBUJUKULBWPWRWQNZLZMBWSXBNZMXHXFXNXOBWPWRWQUMUNXNXGBXMKWPXMKWQNZKKWQUOWQ
      KRXPKPWQUPWQKURUSQUTUNBWSXBVAVBVCVDWTXCVEVFAXAOSZXDOSZXEOSAWSOSXAWSVGVHZX
      QABEVIVJZWSOABCSZEDSXTWSPGFBCDEVKTIVLAWSKSZWTWSUIZXSAYAWPKSYBGBCVMWPWRKVN
      VOAWSBWSLZWTVPZYCAXIWSXJRYEHBWRVQWSBVTULWSYDWTVRVSWSKWTWAWBWSXAWCTAWQOSXD
      WQRXREWDAXDWQWOWEZWQAXDBXBLZYFBXBWFAXIYGYFPHWQBWGVSWHWQWOWKWIWQXDWJWLXAXD
      WMTWN $.
  $}

  ${
    $d f g x A $.  $d f g x B $.  $d f g x C $.  $d f g x V $.  $d f g x W $.
    $d f g X $.  $d f g x Z $.
    resf1o.1 $e |- X = { f e. ( B ^m A ) | ( `' f " ( B \ { Z } ) ) C_ C } $.
    resf1o.2 $e |- F = ( f e. X |-> ( f |` C ) ) $.
    $( Restriction of functions to a superset of their support creates a
       bijection.  (Contributed by Thierry Arnoux, 12-Sep-2017.) $)
    resf1o $p |- ( ( ( A e. V /\ B e. W /\ C C_ A ) /\ Z e. B )
                                 -> F : X -1-1-onto-> ( B ^m C ) ) $=
      ( wcel wa cres cvv wceq wf syl ad2antrr c0 vg vx wss w3a cmap co cdif csn
      cv cxp cun resexg adantl simpr difexg 3ad2ant1 xpexg sylancl adantr unexg
      snex syl2anc adantlr ccnv cima rabeq2i anbi1i simprr simprll elmapi simp3
      fssresd wb simp2 simp1 ssexd elmapg mpbird eqeltrd biimpi reseq2d wfn ffn
      undif fnresdm 3syl eqtr2d resundi eqtrdi eqcomd csupp simprlr simplr eqid
      cin syl3anc sseqin2 3sstr4d simpl inundif fneq2i sylibr vex a1i fnsuppres
      ffs2 inindif syl121anc mpbid uneq12d eqtrd ad2antrl fconst6g disjdif fun2
      jca syl21anc feq12d biimpar cfv fveq1d fconstg ad3antlr syl112anc fvconst
      ffnd fvun2 3eqtrd suppss eqsstrrd reseq1d res0 eqtr4i reseq2i fresaunres1
      3eqtr4ri jca31 impbida syl5bb f1od ) AFLZBGLZCAUCZUDZIBLZMZDUAHBCUEUFZDUI
      ZCNZUAUIZACUGZIUHZUJZUKZEOOKUUHHLZUUIOLUUFUUHCHULUMUUDUUJUUGLZUUNOLZUUEUU
      DUUPMUUPUUMOLZUUQUUDUUPUNUUDUURUUPUUDUUKOLZUULOLUURUUAUUBUUSUUCACFUOUPIVA
      UUKUULOOUQURUSUUJUUMUUGOUTVBVCUUOUUJUUIPZMUUHBAUEUFZLZUUHVDBUULUGZVEZCUCZ
      MZUUTMZUUFUUPUUHUUNPZMZUUOUVFUUTUVEDHUVAJVFVGUUFUVGUVIUUFUVGMZUUPUVHUVJUU
      JUUIUUGUUFUVFUUTVHZUVJUUIUUGLZCBUUIQZUVJABCUUHUVJUVBABUUHQZUUFUVBUVEUUTVI
      ZUUHBAVJZRZUUDUUCUUEUVGUUAUUBUUCVKZSZVLUUDUVLUVMVMZUUEUVGUUDUUBCOLUVTUUAU
      UBUUCVNZUUDCAFUUAUUBUUCVOZUVRVPBCUUIGOVQVBSVRVSUVJUUHUUIUUHUUKNZUKZUUNUVJ
      UUHUUHCUUKUKZNZUWDUVJUWFUUHANZUUHUVJUUCUWFUWGPUVSUUCUWEAUUHUUCUWEAPZCAWDV
      TZWARUVJUVNUUHAWBZUWGUUHPUVQABUUHWCZAUUHWEWFWGUUHCUUKWHWIUVJUUIUUJUWCUUMU
      VJUUJUUIUVKWJUVJUUHIWKUFZACWOZUCZUWCUUMPZUVJUVDCUWLUWMUUFUVBUVEUUTWLUVJUU
      AUUEUVNUWLUVDPZUUDUUAUUEUVGUWBSUUDUUEUVGWMZUVQABUVCUUHFBIUVCWNXFZWPUVJUUC
      UWMCPZUVSUUCUWSCAWQVTRWRUVJUVBUUEUWNUWOVMZUVOUWQUVBUUEMZUUHUWMUUKUKZWBZUU
      HOLZUUEUWMUUKWOTPZUWTUXAUWJUXCUXAUVBUVNUWJUVBUUEWSUVPUWKWFUXBAUUHACWTXAXB
      UXDUXADXCXDUVBUUEUNUXEUXAACXGXDUWMUUKUUHBOIXEXHVBXIXJXKXPUUFUVIMZUVBUVEUU
      TUXFUUBUUAUVNUVBUUDUUBUUEUVIUWASUUDUUAUUEUVIUWBSZUXFUWEBUUNQZUVNUXFCBUUJQ
      ZUUKBUUMQZCUUKWOZTPZUXHUUPUXIUUFUVHUUJBCVJXLZUXFUUEUXJUUDUUEUVIWMZUUKIBXM
      RZUXLUXFCAXNZXDCUUKBUUJUUMXOXQUXFUWEABUUNUUHUXFUUHUUNUUFUUPUVHVHZWJUXFUUC
      UWHUUDUUCUUEUVIUVRSUWIRXRXIZUUBUUAMUVBUVNBAUUHGFVQXSXQUXFUVDUWLCUXFUUAUUE
      UVNUWPUXGUXNUXRUWRWPUXFABUBUUHCIUXRUXFUBUIZUUKLZMZUXSUUHXTUXSUUNXTZUXSUUM
      XTZIUYAUXSUUHUUNUXFUVHUXTUXQUSYAUYAUUJCWBUUMUUKWBUXLUXTUYBUYCPUYACBUUJUXF
      UXIUXTUXMUSYFUYAUUKUULUUMUUEUUKUULUUMQZUUDUVIUXTUUKIBYBYCZYFUXLUYAUXPXDUX
      FUXTUNZCUUKUUJUUMUXSYGYDUYAUYDUXTUYCIPUYEUYFUUKIUXSUUMYEVBYHYIYJUXFUUIUUN
      CNZUUJUXFUUHUUNCUXQYKUXFUXIUXJUUJUXKNZUUMUXKNZPZUYGUUJPUXMUXOUYJUXFUUMTNZ
      UUJTNZUYIUYHUYKTUYLUUMYLUUJYLYMUXKTUUMUXPYNUXKTUUJUXPYNYPXDCUUKBUUJUUMYOW
      PWGYQYRYSYT $.
  $}

  ${
    $d f A $.  $d f B $.  $d f C $.
    maprnin.1 $e |- A e. _V $.
    maprnin.2 $e |- B e. _V $.
    $( Restricting the range of the mapping operator.  (Contributed by Thierry
       Arnoux, 30-Aug-2017.) $)
    maprnin $p |- ( ( B i^i C ) ^m A ) = { f e. ( B ^m A ) | ran f C_ C } $=
      ( cin cv wf cab cmap co wcel crn wss wa crab wfn wb ffn baibr syl pm5.32i
      df-f elmap anbi1i fin 3bitr4ri abbii inex1 mapval df-rab 3eqtr4i ) ABCGZD
      HZIZDJUOBAKLZMZUONCOZPZDJUNAKLUSDUQQUPUTDABUOIZUSPVAACUOIZPUTUPVAUSVBVAUO
      ARZUSVBSABUOTVBVCUSACUOUDUAUBUCURVAUSBAUOFEUEUFABCUOUGUHUIUNADBCFUJEUKUSD
      UQULUM $.
  $}

  ${
    $d w x y z A $.  $d w x y z F $.  $d x y R $.  $d w ph $.
    fpwrelmapffslem.1 $e |- A e. _V $.
    fpwrelmapffslem.2 $e |- B e. _V $.
    fpwrelmapffslem.3 $e |- ( ph -> F : A --> ~P B ) $.
    fpwrelmapffslem.4 $e |- ( ph ->
                        R = { <. x , y >. | ( x e. A /\ y e. ( F ` x ) ) } ) $.
    $( Lemma for ~ fpwrelmapffs .  For this theorem, the sets ` A ` and ` B `
       could be infinite, but the relation ` R ` itself is finite.
       (Contributed by Thierry Arnoux, 1-Sep-2017.)  (Revised by Thierry
       Arnoux, 1-Sep-2019.) $)
    fpwrelmapffslem $p |- ( ph -> ( R e. Fin
              <-> ( ran F C_ Fin /\ ( F supp (/) ) e. Fin ) ) ) $=
      ( vz cfn wcel wa c0 wceq wb wex cvv vw cdm crn csupp co wss cv copab wrel
      cfv relopabv releq mpbiri relfi 3syl cab wrex cuni ancom exbii fvex eleq2
      rexcom4 ceqsexv bitr3i rexbii r19.42v df-rex bitr2i a1i vex eleq1w anbi2d
      3bitr3ri exbidv elab eluniab 3bitr4g eqrdv eleq1d adantr wi cpw wf fnrnfv
      wfn ffn 0ex fex sylancl wfun ffund syl csn cdif crab cmpt ccnv cima mpan2
      opabdm suppimacnv feqmptd cnveqd imaeq1d eqtrd mptpreima eqtrdi suppvalfn
      eqid wne mp3an23 rabbii 3eqtr3d df-rab 19.42v eqtr4i 3eqtrd eqtr4d biimpa
      n0 abbii ffsrn eqeltrrd unifi unifi3 impbid1 bitr4d opabrn sseq1d 3bitr4d
      ex pm5.32da anbi1d bitrd 3bitrd ) AFMNZFUBZMNZFUCZMNZOZGPUDUEZMNZGUCZMUFZ
      OZUUFUUDOZAFBUGZDNZCUGZUUIGUJZNZOZBCUHZQZFUIZYQUUBRKUUPUUQUUOUIUUNBCUKFUU
      OULUMFUNUOAUUBYSUUFOUUGAYSUUAUUFAYSOZUUNBSZCUPZMNZLUGZUULQZBDUQZLUPZMUFZU
      UAUUFUURUVAUVEURZMNZUVFAUVAUVHRYSAUUTUVGMAUAUUTUVGAUUJUAUGZUULNZOZBSZUVIU
      VBNZUVDOZLSZUVIUUTNUVIUVGNUVLUVORAUVOUVJBDUQZUVLUVMUVCOZLSZBDUQUVQBDUQZLS
      UVPUVOUVQBLDVCUVRUVJBDUVRUVCUVMOZLSUVJUVTUVQLUVCUVMUSUTUVMUVJLUULUUIGVAUV
      BUULUVIVBVDVEVFUVSUVNLUVMUVCBDVGUTVNUVJBDVHVIVJUUSUVLCUVIUAVKUUKUVIQZUUNU
      VKBUWAUUMUVJUUJCUAUULVLVMVOVPUVDLUVIVQVRVSVTWAUURUVFUVHUURUVEMNZUVFUVHWBU
      URUUEUVEMAUUEUVEQZYSADEWCZGWDZGDWFZUWCJDUWDGWGZBLDGWEUOWAZUURGTTPPTNZUURW
      HVJAGTNZYSAUWEDTNZUWJJHDUWDTGWIZWJWAAGWKYSADUWDGJWLWAAYSUUDAYRUUCMAYRUUNC
      SZBUPZUUCAUUPYRUWNQKUUNBCFXAWMAUUCUULTPWNWOZNBDWPZUUMCSZBDWPZUWNAUUCBDUUL
      WQZWRZUWOWSZUWPAUUCGWRZUWOWSZUXAAUWEUWJUUCUXCQZJUWEUWKUWJHUWLWTUWJUWIUXDW
      HGTTPXBWTUOAUXBUWTUWOAGUWSABDUWDGJXCXDXEXFBDUULUWOUWSUWSXJXGXHZAUUCUULPXK
      ZBDWPZUWPUWRAUWEUWFUUCUXGQZJUWGUWFUWKUWIUXHHWHBGTTDPXIXLUOUXEUXGUWRQAUXFU
      WQBDCUULYAXMVJXNUWRUWNQAUWRUUJUWQOZBUPUWNUWQBDXOUWMUXIBUUJUUMCXPYBXQVJXRX
      SVTZXTYCYDUWBUVFUVHUVEYEYLWMUVEYFYGYHAUUAUVARYSAYTUUTMAUUPYTUUTQKUUNBCFYI
      WMVTWAUURUUEUVEMUWHYJYKYMAYSUUDUUFUXJYNYOUUGUUHRAUUDUUFUSVJYP $.
  $}

  ${
    $d f r x y A $.  $d f r x y B $.
    fpwrelmap.1 $e |- A e. _V $.
    fpwrelmap.2 $e |- B e. _V $.
    fpwrelmap.3 $e |- M = ( f e. ( ~P B ^m A ) |->
       { <. x , y >. | ( x e. A /\ y e. ( f ` x ) ) } ) $.
    $( Define a canonical mapping between functions from ` A ` into subsets of
       ` B ` and the relations with domain ` A ` and range within ` B ` .  Note
       that the same relation is used in ~ axdc2lem and ~ marypha2lem1 .
       (Contributed by Thierry Arnoux, 28-Aug-2017.) $)
    fpwrelmap $p |- M : ( ~P B ^m A ) -1-1-onto-> ~P ( A X. B ) $=
      ( wtru cv wcel wa cvv a1i simpr adantr wceq nfv nfan vr cpw cmap cxp wf1o
      co cfv copab wbr crab cmpt wi wal cab elmapi ffvelrnda elelpwi syl2anc ex
      alrimiv wss abss sylbir syl opabex3d adantl mptex wb imdistanda ssopab2dv
      ssex df-xp 3sstr4d velpw sylibr feqmptd nfopab1 nfeq2 df-rab adantllr cop
      nfopab2 df-br opabidw bitrdi syl5bb ad2antlr elfvdm fdmd eleqtrd pm4.71rd
      eleq2 cdm ad2antrr bitr4d biimpar jca biimpd adantld abbid abid2 3eqtr2rd
      impbid mpteq2da eqtrd wf ssrab2 elpwi2 fmpttd feq1d pwex elmap wrel elpwi
      mpbird xpss sstrdi df-rel relopabv id nfmpt1 nfci nfrab1 nfmpt nfcv brelg
      sylan adantlr simpld simprd fveq1d rabex eqid fvmpt2 mpan2 sylan9eq rabid
      eleq2d syldan mpbir2and simplbda bitr3id bitr4di eqrelrd2 syl21anc impbii
      expl f1od mptru ) DUBZCUCUFZCDUDZUBZFUEJEUAUUKUUMAKZCLZBKZUUNEKZUGZLZMZAB
      UHZACUUNUUPUAKZUIZBDUJZUKZFNNIUUQUUKLZUVANLJUVFUUSABCNCNLUVFGOUVFUUOMZUUS
      UUPDLZULZBUMZUUSBUNZNLZUVGUVIBUVGUUSUVHUVGUUSMUUSUURUUJLZUVHUVGUUSPUVGUVM
      UUSUVFCUUJUUNUUQUUQUUJCUOZUPQUUPUURDUQURZUSZUTUVJUVKDVAUVLUUSBDVBUVKDHVKV
      CVDVEVFUVENLJUVBUUMLZMACUVDGVGOUVFUVBUVARZMZUVQUUQUVERZMZVHJUVSUWAUVSUVQU
      VTUVSUVBUULVAZUVQUVSUVAUUOUVHMZABUHZUVBUULUVFUVAUWDVAUVRUVFUUTUWCABUVFUUO
      UUSUVHUVPVIVJQUVFUVRPUULUWDRUVSABCDVLOVMUAUULVNVOUVSUUQACUURUKZUVEUVFUUQU
      WERUVRUVFACUUJUUQUVNVPQUVSACUURUVDUVFUVRAUVFASAUVBUVAUUTABVQZVRTUVSUUOMZU
      VDUVHUVCMZBUNZUVKUURUVDUWIRUWGUVCBDVSOUWGUUSUWHBUVSUUOBUVFUVRBUVFBSBUVBUV
      AUUTABWBZVRTUUOBSZTUWGUUSUWHUWGUUSUWHUWGUUSMUVHUVCUVFUUOUUSUVHUVRUVOVTUWG
      UVCUUSUWGUVCUUTUUSUVRUVCUUTVHUVFUUOUVCUUNUUPWAZUVBLZUVRUUTUUNUUPUVBWCZUVR
      UWMUWLUVALZUUTUVBUVAUWLWLUUTABWDZWEWFWGUVFUUSUUTVHUVRUUOUVFUUSUUOUVFUUSUU
      OUVFUUSMUUNUUQWMZCUUSUUNUWQLUVFUUPUUNUUQWHVFUVFUWQCRUUSUVFCUUJUUQUVNWIQWJ
      USWKWNWOZWPWQUSUWGUVCUUSUVHUWGUVCUUSUWRWRWSXCWTUVKUURRUWGBUURXAOXBXDXEWQU
      WAUVFUVRUWACUUJUUQXFZUVFUWAUWSCUUJUVEXFZUVQUWTUVTUVQACUVDUUJUVDUUJLUVQUUO
      MUVDDNHUVCBDXGXHOXIQUWACUUJUUQUVEUVQUVTPZXJXOUUJCUUQDHXKGXLVOUWAUVBXMZUVA
      XMZUWAUVRUWAUVBNNUDZVAUXBUWAUVBUULUXDUVQUWBUVTUVBUULXNZQCDXPXQUVBXRVOUXCU
      WAUUTABXSOUWAXTUWAABUVBUVAUVQUVTAUVQASAUUQUVEACUVDYAVRTUVQUVTBUVQBSBUUQUV
      EBACUVDBACUWKYBUVCBDYCYDVRTAUVBYEBUVBYEUWFUWJUWAUWMUUTUWOUWMUVCUWAUUTUWNU
      WAUVCUUTUWAUVCUUTUWAUVCMZUUOUUSUXFUUOUVHUVQUVCUWCUVTUVQUWBUVCUWCUXEUUNUUP
      CDUVBYFYGYHZYIZUXFUUSUVHUVCUXFUUOUVHUXGYJUWAUVCPUWAUVCUUOUUSUWHVHUXHUWAUU
      OMZUUSUUPUVDLUWHUXIUURUVDUUPUWAUUOUURUUNUVEUGZUVDUWAUUNUUQUVEUXAYKUUOUVDN
      LUXJUVDRUVCBDHYLACUVDNUVEUVEYMYNYOYPYRUVCBDYQWEZYSYTWQUSUWAUUOUUSUVCUXIUU
      SUVHUVCUXKUUAUUGXCUUBUWPUUCUUDUUEWQUUFOUUHUUI $.

    fpwrelmapffs.1 $e |- S = { f e. ( ( ~P B i^i Fin ) ^m A ) |
       ( f supp (/) ) e. Fin } $.
    $( Define a canonical mapping between finite relations (finite subsets of a
       cartesian product) and functions with finite support into finite
       subsets.  (Contributed by Thierry Arnoux, 28-Aug-2017.)  (Revised by
       Thierry Arnoux, 1-Sep-2019.) $)
    fpwrelmapffs $p |- ( M |` S ) : S -1-1-onto-> ( ~P ( A X. B ) i^i Fin ) $=
      ( vr cv cfn co wcel wa crab wf1o wceq crn wss csupp cpw cmap cxp cres cin
      c0 wtru cfv copab fpwrelmap a1i wb simpl pwex elmap sylib fpwrelmapffslem
      wf simpr 3adant1 f1oresrab mptru maprnin nfcv nfrab1 rabeqf rabrab 3eqtri
      ax-mp dfin5 f1oeq23 mp2an reseq2i f1oeq1 bitr2i mpbi ) FMZUANUBZVTUIUCONP
      ZQZFDUDZCUEOZRZLMZNPZLCDUFUDZRZGWFUGZSZEWINUHZGEUGZSZWLUJWCWHFLWEWIAMZCPB
      MWPVTUKPQABULZGJWEWIGSUJABCDFGHIJUMUNVTWEPZWGWQTZWHWCUOUJWRWSQZABCDWGVTHI
      WTWRCWDVTVAWRWSUPWDCVTDIUQZHURUSWRWSVBUTVCVDVEWOWFWJWNSZWLEWFTWMWJTWOXBUO
      EWBFWDNUHCUEOZRZWBFWAFWERZRZWFKXCXETXDXFTCWDNFHXAVFWBFXCXEFXCVGWAFWEVHVIV
      LWAWBFWEVJVKZLWINVMEWFWMWJWNVNVOWNWKTXBWLUOEWFGXGVPWFWJWNWKVQVLVRVS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Real and Complex Numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Complex operations - misc. additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The real representation of complex numbers is zero iff both its terms are
     zero.  Cf. ~ crne0 .  (Contributed by Thierry Arnoux, 20-Aug-2023.) $)
  creq0 $p |- ( ( A e. RR /\ B e. RR ) ->
                 ( ( A = 0 /\ B = 0 ) <-> ( A + ( _i x. B ) ) = 0 ) ) $=
    ( cr wcel wa cc0 wceq wne wo wn ci cmul co caddc neorian con2bii necon2bbid
    crne0 bitr4id ) ACDBCDEZAFGBFGEZAFHBFHIZJAKBLMNMZFGUBUAAFBFOPTUBUCFABRQS $.

  $( The imaginary unit ` _i ` is not one.  (Contributed by Thierry Arnoux,
     20-Aug-2023.) $)
  1nei $p |- 1 =/= _i $=
    ( c1 ci wceq cneg c2 cc0 0ne2 nesymi caddc oveq2 1p1e2 1pneg1e0 3eqtr3g mto
    co cmul id oveq12d 1t1e1 ixi neir ) ABABCZAADZCZUDEFCFEGHUDAAIOAUCIOEFAUCAI
    JKLMNUBAAPOBBPOAUCUBABABPUBQZUERSTMNUA $.

  $( An integer unit times itself.  (Contributed by Thierry Arnoux,
     23-Aug-2020.) $)
  1neg1t1neg1 $p |- ( N e. { -u 1 , 1 } -> ( N x. N ) = 1 ) $=
    ( c1 cneg cpr wcel wceq wo cmul co elpri oveq12d neg1mulneg1e1 eqtrdi 1t1e1
    id jaoi syl ) ABCZBDEARFZABFZGAAHIZBFZARBJSUBTSUARRHIBSARARHSOZUCKLMTUABBHI
    BTABABHTOZUDKNMPQ $.

  $( Multiplying by a positive integer ` M ` yields greater than or equal
     nonnegative integers.  (Contributed by Thierry Arnoux, 13-Dec-2021.) $)
  nnmulge $p |- ( ( M e. NN /\ N e. NN0 ) -> N <_ ( M x. N ) ) $=
    ( cn wcel cn0 wa c1 cmul co simpr nn0cnd mulid2d 1red cr nnre adantr nn0red
    cle nn0ge0d wbr nnge1 lemul1ad eqbrtrrd ) ACDZBEDZFZGBHIBABHIRUFBUFBUDUEJZK
    LUFGABUFMUDANDUEAOPUFBUGQUFBUGSUDGARTUEAUAPUBUC $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Ordering on reals - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d b c A $.  $d b c B $.  $d b c C $.
    lt2addrd.1 $e |- ( ph -> A e. RR ) $.
    lt2addrd.2 $e |- ( ph -> B e. RR ) $.
    lt2addrd.3 $e |- ( ph -> C e. RR ) $.
    lt2addrd.4 $e |- ( ph -> A < ( B + C ) ) $.
    $( If the right-hand side of a 'less than' relationship is an addition,
       then we can express the left-hand side as an addition, too, where each
       term is respectively less than each term of the original right side.
       (Contributed by Thierry Arnoux, 15-Mar-2017.) $)
    lt2addrd $p |- ( ph -> E. b e. RR E. c e. RR
      ( A = ( b + c ) /\ b < B /\ c < C ) ) $=
      ( caddc co cmin cr wcel wceq clt wbr w3a resubcld cdiv readdcld rehalfcld
      c2 cv wrex recnd addcld subcld halfcld subsub4d oveq2d subadd23d 2halvesd
      cc eqeltrd addsubassd 3eqtr4d nncand 3eqtrrd crp wb difrp mpbid rphalfcld
      syl2anc ltsubrpd oveq1 eqeq2d breq1 3anbi12d 3anbi13d rspc2ev syl113anc
      oveq2 ) ACCDKLZBMLZUDUALZMLZNODVRMLZNOBVSVTKLZPZVSCQRZVTDQRZBEUEZFUEZKLZP
      ZWECQRZWFDQRZSZFNUFENUFACVRHAVQAVPBACDHIUBZGTUCZTADVRIWMTAWAVPVRVRKLZMLZV
      PVQMLBACVTVRMLZKLCDWNMLZKLWAWOAWPWQCKADVRVRADIUGZAVQAVPBACDACHUGZWRUHZABG
      UGZUIZUJZXCUKULACVRVTWSXCADVRWRXCUIUMACDWNWSWRAWNVQUOAVQXBUNZXBUPUQURAWNV
      QVPMXDULAVPBWTXAUSUTACVRHAVQABVPQRZVQVAOZJABNOVPNOXEXFVBGWLBVPVCVFVDVEZVG
      ADVRIXGVGWKWBWCWDSBVSWFKLZPZWCWJSEFVSVTNNWEVSPZWHXIWIWCWJXJWGXHBWEVSWFKVH
      VIWEVSCQVJVKWFVTPZXIWBWJWDWCXKXHWABWFVTVSKVOVIWFVTDQVJVLVMVN $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Extended reals - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Trichotomy law for extended reals.  (Contributed by Thierry Arnoux,
     12-Sep-2017.) $)
  xrlelttric $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A <_ B \/ B < A ) ) $=
    ( cxr wcel wa cle wbr clt wo wn pm2.1 xrlenlt orbi1d mpbiri ) ACDBCDEZABFGZ
    BAHGZIQJZQIQKOPRQABLMN $.

  $( Two extended reals which add up to zero are each other's negatives.
     (Contributed by Thierry Arnoux, 13-Jun-2017.) $)
  xaddeq0 $p |-
    ( ( A e. RR* /\ B e. RR* ) -> ( ( A +e B ) = 0 <-> A = -e B ) ) $=
    ( cxr wcel wa cxad cc0 wceq cxne cpnf cmnf syl simplr syl2anc oveq1d eqtr3d
    co simpr ex wne cr w3o wi elxr simpll rexrd xnegneg xnegcld xaddid2 xaddcom
    xpncan ancoms adantr 3eqtr3d xnegeq wn renepnf mp1i eqnetrd neneqd xaddpnf2
    0re stoic1a nne sylib xnegmnf eqtr2di eqtrd renemnf xaddmnf2 xnegpnf sylanb
    3jaoian xnegcl ad2antlr xnegid 3eqtrd impbid ) ACDZBCDZEZABFQZGHZABIZHZVSAU
    ADZAJHZAKHZUBVTWCWEUCZAUDWFVTWIWGWHWFVTEZWCWEWJWCEZAIZIZAWDWKVSWMAHWKAWFVTW
    CUEUFZAUGLWKWLBHWMWDHWKGWLFQZWLBWKWLCDWOWLHWKAWNUHWLUILWKWBWLFQBAFQZWLFQZWO
    BWKWBWPWLFWKVSVTWBWPHWNWFVTWCMABUJNOWKWBGWLFWJWCROWJWQBHZWCVTWFWRBAUKULUMUN
    PWLBUOLPSWGVTEZWCWEWSWCEZAJWDWGVTWCUEZWTWDKIZJWTBKHZWDXBHWTBKTZUPZXCWTVTJBF
    QZJHZUPXEWGVTWCMWTXFJWTXFGJWTWBXFGWTAJBFXAOWSWCRPGUADZGJTWTVBGUQURUSUTVTXDX
    GBVAVCNBKVDVEBKUOLVFVGVHSWHVTEZWCWEXIWCEZAKWDWHVTWCUEZXJWDJIZKXJBJHZWDXLHXJ
    BJTZUPZXMXJVTKBFQZKHZUPXOWHVTWCMXJXPKXJXPGKXJWBXPGXJAKBFXKOXIWCRPXHGKTXJVBG
    VIURUSUTVTXNXQBVJVCNBJVDVEBJUOLVKVGVHSVMVLWAWEWCWAWEEZWBWDBFQZBWDFQZGXRAWDB
    FWAWEROXRWDCDZVTXSXTHVTYAVSWEBVNVOVSVTWEMWDBUJNVTXTGHVSWEBVPVOVQSVR $.

  $( The extended real numbers are unbounded below.  (Contributed by Thierry
     Arnoux, 18-Feb-2018.)  (Revised by AV, 28-Sep-2020.) $)
  xrinfm $p |- inf ( RR* , RR* , < ) = -oo $=
    ( cxr wss cmnf wcel clt cinf wceq ssid mnfxr infxrmnf mp2an ) AABCADAAEFCGA
    HIAJK $.

  ${
    le2halvesd.1 $e |- ( ph -> A e. RR ) $.
    le2halvesd.2 $e |- ( ph -> B e. RR ) $.
    le2halvesd.3 $e |- ( ph -> C e. RR ) $.
    le2halvesd.4 $e |- ( ph -> A <_ ( C / 2 ) ) $.
    le2halvesd.5 $e |- ( ph -> B <_ ( C / 2 ) ) $.
    $( A sum is less than the whole if each term is less than half.
       (Contributed by Thierry Arnoux, 29-Nov-2017.) $)
    le2halvesd $p |- ( ph -> ( A + B ) <_ C ) $=
      ( caddc co c2 cdiv cle rehalfcld le2addd recnd 2halvesd breqtrd ) ABCJKDL
      MKZTJKDNABCTTEFADGOZUAHIPADADGQRS $.
  $}

  $( A number is less than or equal to itself plus a nonnegative number.
     (Contributed by Thierry Arnoux, 28-Dec-2016.) $)
  xraddge02 $p |- ( ( A e. RR* /\ B e. RR* ) ->
    ( 0 <_ B -> A <_ ( A +e B ) ) ) $=
    ( cxr wcel wa cc0 cle wbr cxad co xrleid adantr simpl jctir xle2add mpancom
    wi 0xr mpand wb xaddid1 breq1d sylibd ) ACDZBCDZEZFBGHZAFIJZABIJZGHZAUIGHZU
    FAAGHZUGUJUDULUEAKLUDFCDZEUFULUGEUJQUFUDUMUDUEMRNAFABOPSUDUJUKTUEUDUHAUIGAU
    AUBLUC $.

  $( A number is less than or equal to itself plus a nonnegative number.
     (Contributed by Thierry Arnoux, 19-Jul-2020.) $)
  xrge0addge $p |- ( ( A e. RR* /\ B e. ( 0 [,] +oo ) ) -> A <_ ( A +e B ) ) $=
    ( cc0 cpnf cicc co wcel cxr cle wbr wa cxad elxrge0 biimpi xraddge02 sylan2
    impr ) BCDEFGZAHGZBHGZCBIJZKZAABLFIJZRUBBMNSTUAUCABOQP $.

  ${
    $d b c A $.  $d b c B $.  $d b c C $.
    xlt2addrd.1 $e |- ( ph -> A e. RR ) $.
    xlt2addrd.2 $e |- ( ph -> B e. RR* ) $.
    xlt2addrd.3 $e |- ( ph -> C e. RR* ) $.
    xlt2addrd.4 $e |- ( ph -> B =/= -oo ) $.
    xlt2addrd.5 $e |- ( ph -> C =/= -oo ) $.
    xlt2addrd.6 $e |- ( ph -> A < ( B +e C ) ) $.
    $( If the right-hand side of a 'less than' relationship is an addition,
       then we can express the left-hand side as an addition, too, where each
       term is respectively less than each term of the original right side.
       (Contributed by Thierry Arnoux, 15-Mar-2017.) $)
    xlt2addrd $p |- ( ph -> E. b e. RR* E. c e. RR*
      ( A = ( b +e c ) /\ b < B /\ c < C ) ) $=
      ( cxad co wceq clt cxr wcel ad2antrr cr cv wbr w3a wrex cpnf wa cc0 rexrd
      0xr a1i xaddid1 eqcomd ltpnf simplr breqtrrd 0ltpnf simpr breqtrrid oveq1
      syl eqeq2d breq1 3anbi12d oveq2 3anbi13d rspc2ev syl113anc wne c1 xnegcld
      cxne xaddcld cmnf renemnfd cneg cmin wo wn xrnepnf biimpi sylancom orcomd
      1xr neneqd pm2.53 sylc 1re rexsub sylancl resubcl eqeltrd rexneg renegcld
      xaddass syl222anc xaddcom syl2anc xnegid 3eqtrrd resubcld 3brtr4d eqbrtrd
      eqtrd oveq2d ltm1d pm2.61dane caddc breqtrd lt2addrd 3anbi1d 2rexbiia wss
      rexadd sylibr wi ressxr ssrexv ax-mp reximi 3syl ) ABEUAZFUAZMNZOZYACPUBZ
      YBDPUBZUCZFQUDZEQUDZCUEACUEOZUFZYIDUEYKDUEOZUFZBQRZUGQRZBBUGMNZOZBCPUBZUG
      DPUBZYIAYNYJYLABGUHZSZYOYMUIUJYMYNYQUUAYNYPBBUKZULUTYMBUECPYMBTRZBUEPUBAU
      UCYJYLGSBUMUTAYJYLUNUOYMUGUEDPUPYKYLUQURYGYQYRYSUCBBYBMNZOZYRYFUCEFBUGQQY
      ABOZYDUUEYEYRYFUUFYCUUDBYABYBMUSVAYABCPVBVCYBUGOZUUEYQYFYSYRUUGUUDYPBYBUG
      BMVDVAYBUGDPVBVEVFVGYKDUEVHZUFZBDVIVKZMNZVKZMNZQRUUKQRZBUUMUUKMNZOZUUMCPU
      BZUUKDPUBZYIUUIBUULAYNYJUUHYTSZUUIUUKUUIDUUJADQRZYJUUHISZUUIVIVIQRZUUIWCU
      JVJVLZVJZVLUVCUUIUUOBUULUUKMNZMNZYPBUUIYNBVMVHZUULQRZUULVMVHUUNUUKVMVHUUO
      UVFOUUSUUIBAUUCYJUUHGSZVNUVDUUIUULUUIUULUUKVOZTUUIUUKTRZUULUVJOUUIUUKDVIV
      PNZTUUIDTRZVITRZUUKUVLOUUIDVMOZUVMVQZUVOVRZUVMUUIUVMUVOYKUUHUUTUVMUVOVQZU
      VAUUTUUHUFUVRDVSVTZWAWBUUIDVMADVMVHZYJUUHKSWDUVOUVMWEZWFZWGDVIWHWIZUUIUVM
      UVNUVLTRUWBWGDVIWJWIZWKZUUKWLUTUUIUUKUWEWMWKVNUVCUUIUUKUWEVNBUULUUKWNWOUU
      IUVEUGBMUUIUVEUUKUULMNZUGUUIUVHUUNUVEUWFOUVDUVCUULUUKWPWQUUIUUNUWFUGOUVCU
      UKWRUTXCXDUUIYNYPBOZUUSUUBUTWSUUIBUVLVPNZUEUUMCPUUIUWHTRUWHUEPUBUUIBUVLUV
      IUWDWTUWHUMUTUUIUUMBUUKVPNZUWHUUIUUCUVKUUMUWIOUVIUWEBUUKWHWQUUIUUKUVLBVPU
      WCXDXCAYJUUHUNXAUUIUUKUVLDPUWCUUIDUWBXEXBYGUUPUUQUURUCBUUMYBMNZOZUUQYFUCE
      FUUMUUKQQYAUUMOZYDUWKYEUUQYFUWLYCUWJBYAUUMYBMUSVAYAUUMCPVBVCYBUUKOZUWKUUP
      YFUURUUQUWMUWJUUOBYBUUKUUMMVDVAYBUUKDPVBVEVFVGXFACUEVHZUFZYIDUEUWOYLUFZCU
      UJMNZQRZBUWQVKZMNZQRZBUWQUWTMNZOZUWQCPUBZUWTDPUBZYIUWPCUUJACQRZUWNYLHSZUW
      PVIUVBUWPWCUJVJVLZUWPBUWSAYNUWNYLYTSZUWPUWQUXHVJZVLZUWPUXBUWTUWQMNZBUWSUW
      QMNZMNZBUWPUWRUXAUXBUXLOUXHUXKUWQUWTWPWQUWPYNUVGUWSQRZUWSVMVHUWRUWQVMVHUX
      LUXNOUXIUWPBAUUCUWNYLGSZVNUXJUWPUWSUWPUWSUWQVOZTUWPUWQTRZUWSUXQOUWPUWQCVI
      VPNZTUWPCTRZUVNUWQUXSOUWPCVMOZUXTVQZUYAVRZUXTUWPUXTUYAUWPUXFUWNUXTUYAVQZU
      XGAUWNYLUNUXFUWNUFUYDCVSVTZWQWBUWPCVMACVMVHZUWNYLJSWDUYAUXTWEZWFZWGCVIWHW
      IZUWPUXTUVNUXSTRUYHWGCVIWJWIZWKZUWQWLUTUWPUWQUYKWMWKVNUXHUWPUWQUYKVNBUWSU
      WQWNWOUWPUXNYPBUWPUXMUGBMUWPUXMUWQUWSMNZUGUWPUXOUWRUXMUYLOUXJUXHUWSUWQWPW
      QUWPUWRUYLUGOUXHUWQWRUTXCXDUWPYNUWGUXIUUBUTXCWSUWPUWQUXSCPUYIUWPCUYHXEXBU
      WPBUXSVPNZUEUWTDPUWPUYMTRUYMUEPUBUWPBUXSUXPUYJWTUYMUMUTUWPUWTBUWQVPNZUYMU
      WPUUCUXRUWTUYNOUXPUYKBUWQWHWQUWPUWQUXSBVPUYIXDXCUWOYLUQXAYGUXCUXDUXEUCBUW
      QYBMNZOZUXDYFUCEFUWQUWTQQYAUWQOZYDUYPYEUXDYFUYQYCUYOBYAUWQYBMUSVAYAUWQCPV
      BVCYBUWTOZUYPUXCYFUXEUXDUYRUYOUXBBYBUWTUWQMVDVAYBUWTDPVBVEVFVGUWOUUHUFZYG
      FTUDZETUDZYHETUDZYIUYSBYAYBXGNZOZYEYFUCZFTUDETUDVUAUYSBCDEFAUUCUWNUUHGSUY
      SUYBUYCUXTUYSUXTUYAUYSUXFUWNUYDAUXFUWNUUHHSAUWNUUHUNUYEWQWBUYSCVMAUYFUWNU
      UHJSWDUYGWFZUYSUVPUVQUVMUYSUVMUVOUWOUUHUUTUVRAUUTUWNUUHISUVSWAWBUYSDVMAUV
      TUWNUUHKSWDUWAWFZUYSBCDMNZCDXGNZPABVUHPUBUWNUUHLSUYSUXTUVMVUHVUIOVUFVUGCD
      XMWQXHXIYGVUEEFTTYATRYBTRUFZYDVUDYEYFVUJYCVUCBYAYBXMVAXJXKXNUYTYHETTQXLZU
      YTYHXOXPYGFTQXQXRXSVUKVUBYIXOXPYHETQXQXRXTXFXF $.
  $}

  ${
    $d x y z B $.  $d x y z C $.  $d z ph $.
    xrsupssd.1 $e |- ( ph -> B C_ C ) $.
    xrsupssd.2 $e |- ( ph -> C C_ RR* ) $.
    $( Inequality deduction for supremum of an extended real subset.
       (Contributed by Thierry Arnoux, 21-Mar-2017.) $)
    xrsupssd $p |- ( ph -> sup ( B , RR* , < ) <_ sup ( C , RR* , < ) ) $=
      ( vx vy vz cxr clt csup wbr wn wss cv wral wrex wi wa xrsupss cle wor a1i
      xrltso sstrd syl supssd wcel wb supcl xrlenlt syl2anc mpbird ) ABIJKZCIJK
      ZUALZUOUNJLMZAFGHIBCJIJUBAUDUCZDEABINFOZGOZJLMZGBPUTUSJLZUTHOJLZHBQRGIPSF
      IQABCIDEUEFGHBTUFZACINVAGCPVBVCHCQRGIPSFIQEFGHCTUFZUGAUNIUHUOIUHUPUQUIAFG
      HIBJURVDUJAFGHICJURVEUJUNUOUKULUM $.
  $}

  ${
    $d w x y z A $.
    $( Any subset of nonnegative extended reals has an infimum.  (Contributed
       by Thierry Arnoux, 16-Sep-2019.)  (Revised by AV, 4-Oct-2020.) $)
    xrge0infss $p |- ( A C_ ( 0 [,] +oo ) -> E. x e. ( 0 [,] +oo )
      ( A. y e. A -. y < x /\
        A. y e. ( 0 [,] +oo ) ( x < y -> E. z e. A z < y ) ) ) $=
      ( vw cc0 cpnf wss cv clt wbr wn wral wrex wi cxr wa wcel 0xr ralbidv cicc
      co ssel2 pnfxr iccgelb mp3an12 wb eliccxr xrlenlt sylancr mpbid ralrimiva
      cle syl ad3antrrr iccssxr ssralv ax-mp simplll a1i simplr simpr xrlelttrd
      sselid simpllr ex imim1d ralimdva syl5 adantll imp adantrl 0e0iccpnf wceq
      an32s breq2 notbid breq1 imbi1d anbi12d rspcev mpan syl2anc anim2d adantr
      elxrge0 sylanbrc weq wo xrletri mpjaodan sstr mpan2 xrinfmss r19.29a ) DF
      GUAUBZHZBIZEIZJKZLZBDMZWSWRJKZCIWRJKCDNZOZBPMZQZWRAIZJKZLZBDMZXHWRJKZXDOZ
      BWPMZQZAWPNZEPWQWSPRZQZXGQZWSFUMKZXPFWSUMKZXSXTQWRFJKZLZBDMZFWRJKZXDOZBWP
      MZXPWQYDXQXGXTWQYCBDWQWRDRQWRWPRZYCDWPWRUCYHFWRUMKZYCFPRZGPRYHYISUDFGWRUE
      UFYHYJWRPRYIYCUGSWRFGUHFWRUIUJUKUNULUOXRXTXGYGXRXTQZXFYGXBYKXFYGXQXTXFYGO
      WQXFXEBWPMZXQXTQZYGWPPHZXFYLOZFGUPZXEBWPPUQURZYMXEYFBWPYMYHQZYEXCXDYRYEXC
      YRYEQZWSFWRXQXTYHYEUSYJYSSUTYSWPPWRYPYMYHYEVAVDXQXTYHYEVEYRYEVBVCVFVGVHVI
      VJVKVLVOFWPRYDYGQZXPVMXOYTAFWPXHFVNZXKYDXNYGUUAXJYCBDUUAXIYBXHFWRJVPVQTUU
      AXMYFBWPUUAXLYEXDXHFWRJVRVSTVTWAWBWCXSYAQZWSWPRZXBYLQZXPUUBXQYAUUCWQXQXGY
      AVEXSYAVBWSWFWGXSUUDYAXRXGUUDWQXGUUDOXQWQXFYLXBYOWQYQUTWDWEVKWEXOUUDAWSWP
      AEWHZXKXBXNYLUUEXJXABDUUEXIWTXHWSWRJVPVQTUUEXMXEBWPUUEXLXCXDXHWSWRJVRVSTV
      TWAWCXSXQYJXTYAWIWQXQXGVAYJXSSUTWSFWJWCWKWQDPHZXGEPNWQYNUUFYPDWPPWLWMEBCD
      WNUNWO $.
  $}

  ${
    $d x y z B $.  $d x y z C $.  $d z ph $.
    xrge0infssd.1 $e |- ( ph -> C C_ B ) $.
    xrge0infssd.2 $e |- ( ph -> B C_ ( 0 [,] +oo ) ) $.
    $( Inequality deduction for infimum of a nonnegative extended real subset.
       (Contributed by Thierry Arnoux, 16-Sep-2019.)  (Revised by AV,
       4-Oct-2020.) $)
    xrge0infssd $p |- ( ph -> inf ( B , ( 0 [,] +oo ) , < )
                              <_ inf ( C , ( 0 [,] +oo ) , < ) ) $=
      ( vx vy vz cc0 cpnf clt cinf cxr wor wss cv wbr wral wrex wi cicc iccssxr
      co xrltso mp2 a1i wn wa xrge0infss syl infcl sselid sstrd infssd xrnltled
      soss ) ABIJUAUCZKLZCUQKLZAUQMURIJUBZAFGHUQBKUQKNZAUQMOMKNVAUTUDUQMKUPUEUF
      ZABUQOGPZFPZKQUGZGBRVDVCKQZHPVCKQZHBSTGUQRUHFUQSEFGHBUIUJZUKULAUQMUSUTAFG
      HUQCKVBACUQOVEGCRVFVGHCSTGUQRUHFUQSACBUQDEUMFGHCUIUJZUKULAFGHUQBCKVBDVIVH
      UNUO $.
  $}

  ${
    xrge0addcld.a $e |- ( ph -> A e. ( 0 [,] +oo ) ) $.
    xrge0addcld.b $e |- ( ph -> B e. ( 0 [,] +oo ) ) $.
    $( Nonnegative extended reals are closed under addition.  (Contributed by
       Thierry Arnoux, 16-Sep-2019.) $)
    xrge0addcld $p |- ( ph -> ( A +e B ) e. ( 0 [,] +oo ) ) $=
      ( cxad co cxr wcel cc0 cle wbr cpnf cicc wa elxrge0 simpld xaddcld simprd
      sylib xaddge0 syl22anc sylanbrc ) ABCFGZHIJUDKLZUDJMNGZIABCABHIZJBKLZABUF
      IUGUHODBPTZQZACHIZJCKLZACUFIUKULOECPTZQZRAUGUKUHULUEUJUNAUGUHUISAUKULUMSB
      CUAUBUDPUC $.
  $}

  ${
    xrge0subcld.a $e |- ( ph -> A e. ( 0 [,] +oo ) ) $.
    xrge0subcld.b $e |- ( ph -> B e. ( 0 [,] +oo ) ) $.
    xrge0subcld.c $e |- ( ph -> B <_ A ) $.
    $( Condition for closure of nonnegative extended reals under subtraction.
       (Contributed by Thierry Arnoux, 27-May-2020.) $)
    xrge0subcld $p |- ( ph -> ( A +e -e B ) e. ( 0 [,] +oo ) ) $=
      ( cxne cxad co cxr wcel cc0 cle wbr wa cpnf cicc iccssxr sselid xnegcld
      xaddcld wb xsubge0 syl2anc mpbird jca elxrge0 sylibr ) ABCGZHIZJKZLUJMNZO
      UJLPQIZKAUKULABUIAUMJBLPRZDSZACAUMJCUNESZTUAAULCBMNZFABJKCJKULUQUBUOUPBCU
      CUDUEUFUJUGUH $.
  $}

$(
  @{
    supxrge0ub.a @e |- ( ph -> A C_ ( 0 [,] +oo ) ) @.
    supxrge0ub.b @e |- ( ph -> B e. A ) @.
    @( A member of a set of nonnegative extended reals is less than or equal to
       the set's supremum.  (Contributed by Thierry Arnoux, 29-Jul-2020.) @)
    supxrge0ub @p |- ( ph -> B <_ sup ( A , ( 0 [,] +oo ) , < ) ) @=
      ? @.
  @}

  @{
    supxrge0lub.a @e |- ( ph -> A C_ ( 0 [,] +oo ) ) @.
    supxrge0lub.b @e |- ( ph -> B e. ( 0 [,] +oo ) ) @.
    @( The supremum of a set of nonnegative extended reals is less than or
       equal to an upper bound.  (Contributed by Thierry Arnoux,
       29-Jul-2020.) @)
    supxrge0lub @p |- ( ph ->
                 ( B < sup ( A , ( 0 [,] +oo ) , < ) <-> E. x e. A B < x ) ) @=
      ? @.

    @( The supremum of a set of nonnegative extended reals is less than or
       equal to an upper bound.  (Contributed by Thierry Arnoux,
       29-Jul-2020.) @)
    supxrge0leub @p |- ( ph ->
               ( sup ( A , ( 0 [,] +oo ) , < ) <_ B <-> A. x e. A x <_ B ) ) @=
      ? @.
  @}
$)

  ${
    $d A x y z $.
    infxrge0lb.a $e |- ( ph -> A C_ ( 0 [,] +oo ) ) $.
    infxrge0lb.b $e |- ( ph -> B e. A ) $.
    $( A member of a set of nonnegative extended reals is greater than or equal
       to the set's infimum.  (Contributed by Thierry Arnoux, 19-Jul-2020.)
       (Revised by AV, 4-Oct-2020.) $)
    infxrge0lb $p |- ( ph -> inf ( A , ( 0 [,] +oo ) , < ) <_ B ) $=
      ( vx vy vz cc0 cpnf clt cxr wor wss cv wbr wn wral wrex sselid co iccssxr
      cicc cinf xrltso soss mp2 a1i wi wa xrge0infss syl infcl sseldd inflb mpd
      wcel xrnltled ) ABIJUCUAZKUDZCAUSLUTIJUBZAFGHUSBKUSKMZAUSLNLKMVBVAUEUSLKU
      FUGUHZABUSNGOZFOZKPQGBRVEVDKPHOVDKPHBSUIGUSRUJFUSSDFGHBUKULZUMTAUSLCVAABU
      SCDEUNTACBUQCUTKPQEAFGHUSBCKVCVFUOUPUR $.
  $}

  ${
    $d A x y z $.  $d B x z $.  $d ph z $.
    infxrge0glb.a $e |- ( ph -> A C_ ( 0 [,] +oo ) ) $.
    infxrge0glb.b $e |- ( ph -> B e. ( 0 [,] +oo ) ) $.
    $( The infimum of a set of nonnegative extended reals is the greatest lower
       bound.  (Contributed by Thierry Arnoux, 19-Jul-2020.)  (Revised by AV,
       4-Oct-2020.) $)
    infxrge0glb $p |- ( ph ->
                 ( inf ( A , ( 0 [,] +oo ) , < ) < B <-> E. x e. A x < B ) ) $=
      ( vz vy cc0 cpnf cicc co clt wbr cv wrex wor cxr wss wral cinf wb iccssxr
      wcel xrltso soss mp2 a1i wn wi wa xrge0infss infglbb mpdan breq1 cbvrexvw
      syl bitr4di ) ACIJKLZMUADMNZGOZDMNZGCPZBOZDMNZBCPADUSUDUTVCUBFABHGUSCDMUS
      MQZAUSRSRMQVFIJUCUEUSRMUFUGUHACUSSHOZVDMNUIHCTVDVGMNVAVGMNGCPUJHUSTUKBUSP
      EBHGCULUQEUMUNVEVBBGCVDVADMUOUPUR $.

    $d ph x $.
    $( The infimum of a set of nonnegative extended reals is greater than or
       equal to a lower bound.  (Contributed by Thierry Arnoux, 19-Jul-2020.)
       (Revised by AV, 4-Oct-2020.) $)
    infxrge0gelb $p |- ( ph ->
               ( B <_ inf ( A , ( 0 [,] +oo ) , < ) <-> A. x e. A B <_ x ) ) $=
      ( vy vz cc0 cpnf clt wbr wn cv wrex cle wral cxr sselid wor cicc cinf wss
      co infxrge0glb notbid iccssxr xrltso soss mp2 a1i wi xrge0infss syl infcl
      wa xrlenltd wcel adantr sstrdi sselda ralbidva ralnex bitrdi 3bitr4d ) AC
      IJUAUDZKUBZDKLZMBNZDKLZBCOZMZDVGPLDVIPLZBCQZAVHVKABCDEFUEUFADVGAVFRDIJUGZ
      FSZAVFRVGVOABGHVFCKVFKTZAVFRUCRKTVQVOUHVFRKUIUJUKACVFUCGNZVIKLMGCQVIVRKLH
      NVRKLHCOULGVFQUPBVFOEBGHCUMUNUOSUQAVNVJMZBCQVLAVMVSBCAVICURZUPDVIADRURVTV
      PUSACRVIACVFREVOUTVAUQVBVJBCVCVDVE $.
  $}

  ${
    $d a b k u v w x y z X $.  $d a b k u v w x y z Y $.  $d k v w z Z $.
    $d k v w x y z ph $.
    xrofsup.1 $e |- ( ph -> X C_ RR* ) $.
    xrofsup.2 $e |- ( ph -> Y C_ RR* ) $.
    xrofsup.3 $e |- ( ph -> sup ( X , RR* , < ) =/= -oo ) $.
    xrofsup.4 $e |- ( ph -> sup ( Y , RR* , < ) =/= -oo ) $.
    xrofsup.5 $e |- ( ph -> Z = ( +e " ( X X. Y ) ) ) $.
    $( The supremum is preserved by extended addition set operation.  (Provided
       minus infinity is not involved as it does not behave well with
       addition.)  (Contributed by Thierry Arnoux, 20-Mar-2017.) $)
    xrofsup $p |- ( ph -> sup ( Z , RR* , < ) =
      ( sup ( X , RR* , < ) +e sup ( Y , RR* , < ) ) ) $=
      ( vx vy va vb cxr clt cxad wcel wbr wrex wa vz vk vu vv vw wss csup co cv
      cle wral wi wceq cxp cima cfv sseld anim12d imp xaddcl syl ralrimivva cop
      cr fveq2 df-ov eqtr4di eleq1d ralxp sylibr wfun cdm wb xaddf ax-mp xpss12
      wf ffun syl2anc sseqtrrdi funimass4 sylancr mpbird eqsstrd supxrcl eleq2d
      fdmi xaddcld pm5.32i nfvd ad2antrr simprl supxrub simprr xle2add syl22anc
      sseldd mp2and fvelima mpan adantl eqeq1d rexxp sylib ancom 2rexbii biimpa
      r19.29d2r breq1 reximi 19.9d2r sylbi ralrimiva w3a simplr simpr xlt2addrd
      cmnf wne nfv nfcv nfre1 nfrex id ralrimivw adantr simplrr 3anassrs simp1d
      simp-4l simplrl simpld simpllr simprd jca32 xlt2add supxrlub syl21anc ex
      nfan biimpar syl12anc simplll simplr2 simplr3 sylanbrc reximddv2 reximdva
      sylan2 reeanv ancoms reximia 19.9d2rf a1i elovimad rspcedv rexlimdvva mpd
      breq2d supxr2 ) ADNUFBNOUGZCNOUGZPUHZNQUAUIZUVCUJRZUADUKUVDUVCORZUVDUBUIZ
      ORZUBDSZULZUAVDUKDNOUGUVCUMADPBCUNZUOZNIAUVLNUFZUCUIZPUPZNQZUCUVKUKZAJUIZ
      KUIZPUHZNQZKCUKJBUKUVQAUWAJKBCAUVRBQZUVSCQZTZTUVRNQZUVSNQZTZUWAAUWDUWGAUW
      BUWEUWCUWFABNUVREUQACNUVSFUQURUSUVRUVSUTVAVBUVPUWAUCJKBCUVNUVRUVSVCZUMZUV
      OUVTNUWIUVOUWHPUPUVTUVNUWHPVEUVRUVSPVFVGZVHVIVJAPVKZUVKPVLZUFZUVMUVQVMNNU
      NZNPVQUWKVNUWNNPVRVOZAUVKUWNUWLABNUFZCNUFZUVKUWNUFEFBNCNVPVSUWNNPVNWGVTZU
      CUVKNPWAWBWCWDAUVAUVBAUWPUVANQZEBWEZVAZAUWQUVBNQZFCWEZVAZWHAUVEUADAUVDDQZ
      TAUVDUVLQZTZUVEAUXEUXFADUVLUVDIWFWIUXGUVEJKBCUXGUVEJWJUXGUVEKWJUXGUVTUVDU
      MZUVTUVCUJRZTZKCSZJBSZUVEKCSZJBSUXGUXIUXHTZKCSJBSUXLUXGUXIUXHJKBCUXGUXIJK
      BCUXGUWDTZUVRUVAUJRZUVSUVBUJRZUXIUXOUWPUWBUXPAUWPUXFUWDEWKZUXGUWBUWCWLZBU
      VRWMVSUXOUWQUWCUXQAUWQUXFUWDFWKZUXGUWBUWCWNZCUVSWMVSUXOUWEUWFUWSUXBUXPUXQ
      TUXIULUXOBNUVRUXRUXSWQUXOCNUVSUXTUYAWQUXOUWPUWSUXRUWTVAUXOUWQUXBUXTUXCVAU
      VRUVSUVAUVBWOWPWRVBUXGUVOUVDUMZUCUVKSZUXHKCSJBSUXFUYCAUWKUXFUYCUWOUCUVDUV
      KPWSWTXAUYBUXHUCJKBCUWIUVOUVTUVDUWJXBXCXDXHUXNUXJJKBCUXIUXHXEXFXDUXKUXMJB
      UXJUVEKCUXHUXIUVEUVTUVDUVCUJXIXGXJXJVAXKXLXMAUVJUAVDAUVDVDQZTZUVFUVIUYEUV
      FTZUVDUDUIZUEUIZPUHZORZUECSUDBSZUVIUYFUWPUWQUVDLUIZMUIZPUHZUMZUYLUVAORZUY
      MUVBORZXNZMNSZLNSZUYKAUWPUYDUVFEWKAUWQUYDUVFFWKUYFUVDUVAUVBLMAUYDUVFXOAUW
      SUYDUVFUXAWKAUXBUYDUVFUXDWKAUVAXRXSUYDUVFGWKAUVBXRXSUYDUVFHWKUYEUVFXPXQUW
      PUWQTZUYTTZUYKLMNNVUAUYTMVUAMXTUYSMLNMNYAUYRMNYBYCYTVUBUYKLWJVUBUYKMWJVUB
      VUAUYRTZMNSZLNSUYKMNSZLNSVUBVUAUYRLMNNVUAVUAMNUKZLNUKUYTVUAVUFLNVUAVUAMNV
      UAYDYEYEYFVUAUYTXPXHVUDVUELNUYLNQZVUCUYKMNVUGUYMNQZTZVUCUYKVUIVUCTZUYLUYG
      ORZUYMUYHORZTZUYJUDUEBCVUJUYGBQZTZUYHCQZTZVUMTZUYOVUIUYGNQZUYHNQZTTZVUMUY
      JVURUYOUYPUYQVUJVUNVUPVUMUYRVUIVUAUYRVUNVUPVUMXNZYGYHYIVURVUIVUSVUTVUIVUC
      VUNVUPVUMYJVURBNUYGVURUWPUWQVUJVUNVUPVUMVUAVUIVUAUYRVVBYKYHZYLVUJVUNVUPVU
      MYMWQVURCNUYHVURUWPUWQVVCYNVUOVUPVUMXOWQYOVUQVUMXPVVAVUMTUYOUYNUYIORZUYJV
      VAVUMVVDUYLUYMUYGUYHYPUSUYOUYJVVDUVDUYNUYIOXIUUAUUIUUBVUCVUIVUMUECSUDBSZV
      UCVUITZVUKUDBSZVULUECSZVVEVVFUWPVUGUYPVVGUWPUWQUYRVUIUUCVUCVUGVUHWLUYOUYP
      UYQVUAVUIUUDUWPVUGTUYPVVGUDBUYLYQXGYRVVFUWQVUHUYQVVHUWPUWQUYRVUIYMVUCVUGV
      UHWNUYOUYPUYQVUAVUIUUEUWQVUHTUYQVVHUECUYMYQXGYRVUKVULUDUEBCUUJUUFUUKUUGYS
      UUHUULVAUUMYRAUYKUVIULUYDUVFAUYJUVIUDUEBCAVUNVUPTZTZUVHUYJUBUYIDVVJUYIDQZ
      UYIUVLQZVVJUYGUYHBCPAVUNVUPWLAVUNVUPWNUWKVVJUWOUUNAUWMVVIUWRYFUUOAVVKVVLV
      MVVIADUVLUYIIWFYFWCVVJUVGUYIUMZTUVGUYIUVDOVVJVVMXPUUSUUPUUQWKUURYSXMUAUBD
      UVCUUTWP $.
  $}

  ${
    $d x A $.
    $( The supremum of a nonempty set of extended reals which does not contain
       minus infinity is not minus infinity.  (Contributed by Thierry Arnoux,
       21-Mar-2017.) $)
    supxrnemnf $p |- ( ( A C_ RR* /\ A =/= (/) /\ -. -oo e. A ) ->
                     sup ( A , RR* , < ) =/= -oo ) $=
      ( vx cxr wss c0 wne cmnf wcel w3a clt csup wbr mnfxr a1i supxrcl 3ad2ant1
      wn wa biimprd sylc wrex simp1 jctir wceq simpl sselda simpr simplr nelneq
      cv syl2anc ngtmnft con1d reximdva0 3impa 3com23 supxrlub xrltne syl3anc )
      ACDZAEFZGAHQZIZGCHZACJKZCHZGVEJLZVEGFVDVCMNUTVAVFVBAOPVCUTVDRZGBUJZJLZBAU
      AZVGVCUTVDUTVAVBUBMUCUTVBVAVKUTVBVAVKUTVBRZVJBAVLVIAHZRZVICHZVIGUDZQZVJVL
      ACVIUTVBUEUFVNVMVBVQVLVMUGUTVBVMUHVIGAUIUKVOVJVPVOVPVJQVIULSUMTUNUOUPVHVG
      VKBAGUQSTGVEURUS $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Extended nonnegative integers - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Nonzero extended nonnegative integers are strictly greater than zero.
     (Contributed by Thierry Arnoux, 30-Jul-2023.) $)
  xnn0gt0 $p |- ( ( N e. NN0* /\ N =/= 0 ) -> 0 < N ) $=
    ( cxnn0 wcel cn0 cpnf wceq wo cc0 wne clt elxnn0 wa cn elnnne0 nngt0 sylbir
    wbr ancoms adantll 0ltpnf breq2 mpbiri adantl simpl mpjaodan sylanb ) ABCAD
    CZAEFZGZAHIZHAJQZAKUIUJLZUGUKUHUJUGUKUIUGUJUKUGUJLAMCUKANAOPRSUHUKULUHUKHEJ
    QTAEHJUAUBUCUIUJUDUEUF $.

  $( An extended nonnegative integer is neither 0 nor 1 if and only if it is
     greater than 1.  (Contributed by Thierry Arnoux, 21-Nov-2023.) $)
  xnn01gt $p |- ( N e. NN0* -> ( -. N e. { 0 , 1 } <-> 1 < N ) ) $=
    ( cxnn0 wcel cc0 c1 cpr wn wne wa c2 cle wbr clt nelpr xnn0n0n1ge2b cmin co
    cn0 wb 2nn0 xnn0lem1lt mpan 2m1e1 breq1i bitrdi 3bitrd ) ABCZADEFCGADHAEHIJ
    AKLZEAMLZADEBNAOUGUHJEPQZAMLZUIJRCUGUHUKSTJAUAUBUJEAMUCUDUEUF $.

  $( Finite multiplication in the extended nonnegative integers.  (Contributed
     by Thierry Arnoux, 30-Jul-2023.) $)
  nn0xmulclb $p |- ( ( ( A e. NN0* /\ B e. NN0* ) /\ ( A =/= 0 /\ B =/= 0 ) )
       -> ( ( A *e B ) e. NN0 <-> ( A e. NN0 /\ B e. NN0 ) ) ) $=
    ( cxnn0 wcel wa cc0 wne cxmu co cn0 wn cpnf wceq simpr cxr syl2anc cr nn0re
    clt eqneltrd simplr oveq1d xnn0xr ad5antlr simp-5r simprr ad3antrrr xnn0gt0
    wbr xmulpnf2 pnfnre2 mto oveq2d ad5antr simp-5l simprl xmulpnf1 xnn0nnn0pnf
    a1i wo ad5ant15 ad5ant25 orim12d pm3.13 impel mpjaodan condan cmul ad2antrl
    ex ad2antll rexmul nn0mulcl adantl eqeltrd impbida ) ACDZBCDZEZAFGZBFGZEZEZ
    ABHIZJDZAJDZBJDZEZWCWEEZWHWEWCWEWHKZUAWIWJEZALMZWEKBLMZWKWLEZWDLBHIZJWNALBH
    WKWLNUBWNWOLJWNBODZFBSUIZWOLMVRWPVQWBWEWJWLBUCUDWNVRWAWQVQVRWBWEWJWLUEWCWAW
    EWJWLVSVTWAUFUGBUHPBUJPLJDZKZWNWRLQDUKLRULZUSTTWKWMEZWDALHIZJXABLAHWKWMNUMX
    AXBLJXAAODZFASUIZXBLMVQXCVRWBWEWJWMAUCUNXAVQVTXDVQVRWBWEWJWMUOWCVTWEWJWMVSV
    TWAUPUGAUHPAUQPWSXAWTUSTTWIWFKZWGKZUTWLWMUTWJWIXEWLXFWMWIXEWLVQXEWLVRWBWEAU
    RVAVJWIXFWMVRXFWMVQWBWEBURVBVJVCWFWGVDVEVFVGWCWHEZWDABVHIZJXGAQDZBQDZWDXHMW
    FXIWCWGARVIWGXJWCWFBRVKABVLPWHXHJDWCABVMVNVOVP $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Real number intervals - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d a b w x A $.  $d a b w x B $.  $d a b w x C $.
    $( Disjoint joining an open interval with a closed-below, open-above
       interval to form a closed-below, open-above interval.  (Contributed by
       Thierry Arnoux, 26-Sep-2017.) $)
    joiniooico $p |- ( ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\
      ( A < B /\ B <_ C ) ) -> ( ( ( A (,) B ) i^i ( B [,) C ) ) = (/)
      /\ ( ( A (,) B ) u. ( B [,) C ) ) = ( A (,) C ) ) ) $=
      ( va vb vx vw cxr wcel w3a clt wbr cle wa cioo co cico cin wceq xrltletr
      c0 cun df-ioo df-ico cv xrlenlt ixxdisj adantr ixxun jca ) AHIBHICHIJZABK
      LBCMLNZNABOPZBCQPZRUASZUMUNUBACOPSUKUOULDEFGABCQKKMKODEFUCZDEFUDZBGUEZUFZ
      UGUHDEFGABCQOKKMKOKMUPUQUSUPURBCTABURTUIUJ $.
  $}

  $( A right-open interval does not contain its right endpoint.  (Contributed
     by Thierry Arnoux, 5-Apr-2017.) $)
  ubico $p |- ( ( A e. RR /\ B e. RR* ) -> -. B e. ( A [,) B ) ) $=
    ( cr wcel cxr wa co cle wbr clt w3a simp3 simp1 ltnrd pm2.65i elico2 mtbiri
    cico ) ACDBEDFBABRGDBCDZABHIZBBJIZKZUBUASTUALUBBSTUAMNOABBPQ $.

  $( Equality in terms of 'less than or equal to', 'less than'.  (Contributed
     by Thierry Arnoux, 5-Jul-2017.) $)
  xeqlelt $p |- ( ( A e. RR* /\ B e. RR* ) ->
               ( A = B <-> ( A <_ B /\ -. A < B ) ) ) $=
    ( cxr wcel wa wceq cle wbr clt wn xrletri3 wb xrlenlt ancoms anbi2d bitrd )
    ACDZBCDZEZABFABGHZBAGHZETABIHJZEABKSUAUBTRQUAUBLBAMNOP $.

  $( Relate elementhood to a closed interval with elementhood to the same
     closed-below, open-above interval or to its upper bound.  (Contributed by
     Thierry Arnoux, 3-Jul-2017.) $)
  eliccelico $p |- ( ( A e. RR* /\ B e. RR* /\ A <_ B ) ->
                    ( C e. ( A [,] B ) <-> ( C e. ( A [,) B ) \/ C = B ) ) ) $=
    ( cxr wcel cle wbr w3a co wn wa simpl1 simpl2 biimpa syl21anc syl2anc sylib
    wi syl22anc ex cicc cico wceq wo clt simprl elicc1 simp1d simp3d jca simprr
    simp2d elico1 notbid df-3an notbii imnan imp xeqlelt biimpar pm5.6 icossicc
    bitr4i simpr sselid eqeltrd simpl3 breqtrrd xrleidd mpbir3and jaodan impbid
    eqbrtrd wb ) ADEZBDEZABFGZHZCABUAIZEZCABUBIZEZCBUCZUDZVRVTWBJZKZWCRVTWDRVRW
    FWCVRWFKZCDEZVPCBFGZCBUEGZJZWCWGVOVPVTWHVOVPVQWFLZVOVPVQWFMZVRVTWEUFZVOVPKZ
    VTKZWHACFGZWIWOVTWHWQWIHZABCUGZNZUHOZWMWGVOVPVTWIWLWMWNWPWHWQWIWTUIOWGWOWEW
    HWQWKWGVOVPWLWMUJZVRVTWEUKXAWGWOVTWQXBWNWPWHWQWIWTULPWOWEKZWHWQKZWKXCWHWQWJ
    HZJZXDWKRZWOWEXFWOWBXEABCUMUNNXFXDWJKZJXGXEXHWHWQWJUOUPXDWJUQVCQURSWHVPKWCW
    IWKKCBUSUTSTVTWBWCVAQVRWDVTVRWBVTWCVRWBKWAVSCABVBVRWBVDVEVRWCKZVTWHWQWIXICB
    DVRWCVDZVOVPVQWCMZVFXIABCFVOVPVQWCVGXJVHXICBBFXJXIBXKVIVMXIVOVPVTWRVNVOVPVQ
    WCLXKWSPVJVKTVL $.

  $( Relate elementhood to a closed-below, open-above interval with elementhood
     to the same open interval or to its lower bound.  (Contributed by Thierry
     Arnoux, 6-Jul-2017.) $)
  elicoelioo $p |- ( ( A e. RR* /\ B e. RR* /\ A < B ) ->
                    ( C e. ( A [,) B ) <-> ( C = A \/ C e. ( A (,) B ) ) ) ) $=
    ( cxr wcel clt wbr w3a co wceq wo wn wa wi cle simpl1 simpl2 biimpa syl2anc
    syl21anc cico cioo simprl elico1 simp1d simp2d simprr simp3d elioo1 3anan32
    jca notbid notbii imnan bitr4i sylib imp syl22anc xeqlelt biimpar ex syl6ib
    eqcom pm5.6 orcom simpr eqeltrd xrleidd breqtrrd simpl3 eqbrtrd wb ioossico
    mpbir3and sselid jaodan impbid ) ADEZBDEZABFGZHZCABUAIZEZCAJZCABUBIZEZKZWAW
    CWFWDKZWGWAWCWFLZMZWDNWCWHNWAWJACJZWDWAWJWKWAWJMZVRCDEZACOGZACFGZLZWKVRVSVT
    WJPZWLVRVSWCWMWQVRVSVTWJQZWAWCWIUCZVRVSMZWCMZWMWNCBFGZWTWCWMWNXBHZABCUDZRZU
    ETZWLVRVSWCWNWQWRWSXAWMWNXBXEUFTWLWTWIWMXBWPWLVRVSWQWRUKZWAWCWIUGXFWLWTWCXB
    XGWSXAWMWNXBXEUHSWTWIMZWMXBMZWPXHWMWOXBHZLZXIWPNZWTWIXKWTWFXJABCUIULRXKXIWO
    MZLXLXJXMWMWOXBUJUMXIWOUNUOUPUQURVRWMMWKWNWPMACUSUTURVAACVCVBWCWFWDVDUPWFWD
    VEVBWAWGWCWAWDWCWFWAWDMZWCWMWNXBXNCADWAWDVFZVRVSVTWDPZVGXNAACOXNAXPVHXOVIXN
    CABFXOVRVSVTWDVJVKXNVRVSWCXCVLXPVRVSVTWDQXDSVNWAWFMWEWBCABVMWAWFVFVOVPVAVQ
    $.

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Intersection between two open-below, closed-above intervals sharing the
       same upper bound.  (Contributed by Thierry Arnoux, 7-Aug-2017.) $)
    iocinioc2 $p |- ( ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\ A <_ B )
      -> ( ( A (,] C ) i^i ( B (,] C ) ) = ( B (,] C ) ) $=
      ( vx cxr wcel w3a cle wbr wa cioc co cin cv clt wb elioc1 syl2anc 3adant3
      bitr4d simpl1 simpl3 simpl2 anbi12d simp31 simp32 xrlelttrd simp33 3expia
      elin simp2 3jca pm4.71rd syl5bb eqrdv ) AEFZBEFZCEFZGZABHIZJZDACKLZBCKLZM
      ZVCVADNZVDFZVEEFZBVEOIZVECHIZGZVEVCFZVFVEVBFZVKJZVAVJVEVBVCUJVAVMVGAVEOIZ
      VIGZVJJVJVAVLVOVKVJVAUPURVLVOPUPUQURUTUAZUPUQURUTUBZACVEQRVAUQURVKVJPUPUQ
      URUTUCZVQBCVEQRZUDVAVJVOUSUTVJVOUSUTVJGZVGVNVIUSUTVGVHVIUEZVTABVEUSUTUPVJ
      VPSUSUTUQVJVRSWAUSUTVJUKUSUTVGVHVIUFUGUSUTVGVHVIUHULUIUMTUNVSTUO $.
  $}

  ${
    $d x A $.
    xrdifh.1 $e |- A e. RR* $.
    $( Class difference of a half-open interval in the extended reals.
       (Contributed by Thierry Arnoux, 1-Aug-2017.) $)
    xrdifh $p |- ( RR* \ ( A [,] +oo ) ) = ( -oo [,) A ) $=
      ( vx cxr cpnf cicc co cdif cmnf wcel wn wa wbr cle wo w3a pm5.32i 3bitr4i
      wb mp2an cico clt biortn pnfge notnotd biorf syl orcom bitr4di w3o elicc1
      pnfxr notbii 3ianor 3orass 3bitri a1i 3bitr4rd xrltnle mpan2 bitr4d eldif
      cv 3anass mnfxr elico1 mnfle biantrurd eqriv ) CDAEFGZHZIAUAGZCVCZDJZVMVJ
      JZKZLVNVMAUBMZLZVMVKJVMVLJZVNVPVQVNVPAVMNMZKZVQVNWAVMENMZKZOZVNKZWDOZWAVP
      VNWDUCVNWAWCWAOZWDVNWCKWAWGSVNWBVMUDUEWCWAUFUGWAWCUHUIVPWFSVNVPVNVTWBPZKW
      EWAWCUJWFVOWHADJZEDJVOWHSBULAEVMUKTUMVNVTWBUNWEWAWCUOUPUQURVNWIVQWASBVMAU
      SUTVAQVMDVJVBVNIVMNMZVQPZVNWJVQLZLVSVRVNWJVQVDIDJWIVSWKSVEBIAVMVFTVNVQWLV
      NWJVQVMVGVHQRRVI $.
  $}

  $( Relate intersection of two open-below, closed-above intervals with the
     same upper bound with a conditional construct.  (Contributed by Thierry
     Arnoux, 7-Aug-2017.) $)
  iocinif $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
      ( ( A (,] C ) i^i ( B (,] C ) )
                                = if ( A < B , ( B (,] C ) , ( A (,] C ) ) ) $=
    ( cxr wcel w3a clt wbr cioc co cin wceq wa wn wo cle iocinioc2 syldan ancld
    ex cif exmid xrltle 3adantl3 simpl2 simpl1 xrlenlt biimpar syl21anc 3ancoma
    imp simpr incom eqtr3id sylanbr orim12d mpi eqif sylibr ) ADEZBDEZCDEZFZABG
    HZACIJZBCIJZKZVFLZMZVDNZVGVELZMZOZVGVDVFVEUALVCVDVJOVMVDUBVCVDVIVJVLVCVDVHV
    CVDVHVCVDABPHZVHUTVAVDVNVBUTVAMVDVNABUCUKUDABCQRTSVCVJVKVCVJVKVCVJBAPHZVKVC
    VJMVAUTVJVOUTVAVBVJUEUTVAVBVJUFVCVJULVAUTMVOVJBAUGUHUIVCVAUTVBFZVOVKVAUTVBU
    JVPVOMVGVFVEKVEVFVEUMBACQUNUORTSUPUQVDVGVFVEURUS $.

  $( The difference between two open intervals sharing the same lower bound.
     (Contributed by Thierry Arnoux, 26-Sep-2017.) $)
  difioo $p |- ( ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\ A < B )
            -> ( ( A (,) C ) \ ( A (,) B ) ) = ( B [,) C ) ) $=
    ( cxr wcel clt wbr wa cle cioo co wceq cin c0 cun wss simpll1 xrleidd simpr
    adantr w3a cdif incom joiniooico anassrs simpld eqtr3id simprd uncom simpl3
    cico ioossioo syl22anc ssequn2 sylib 3eqtr4d sylanbrc simpl2 xrltled ssdif0
    a1i difeq ico0 biimpar syl21anc eqtr4d wo xrlelttric syl2anc mpjaodan ) ADE
    ZBDEZCDEZUAZABFGZHZBCIGZACJKZABJKZUBZBCUKKZLZCBFGZVPVQHZWAVSMZNLWAVSOZVRVSO
    ZLWBWDWEVSWAMZNVSWAUCWDWHNLZVSWAOZVRLZVNVOVQWIWKHABCUDUEZUFUGWDWJVRWFWGWDWI
    WKWLUHWFWJLWDWAVSUIVAWDVSVRPZWGVRLWDVKVMAAIGZVQWMVKVLVMVOVQQZVPVMVQVKVLVMVO
    UJZTWDAWORVPVQSACABULUMVSVRUNUOUPVRVSWAVBUQVPWCHZVTNWAWQVRVSPZVTNLWQVKVLWNC
    BIGZWRVKVLVMVOWCQZVPVLWCVKVLVMVOURZTZWQAWTRWQCBVPVMWCWPTZXBVPWCSUSZABACULUM
    VRVSUTUOWQVLVMWSWANLZXBXCXDVLVMHXEWSBCVCVDVEVFVPVLVMVQWCVGXAWPBCVHVIVJ $.

  $( The difference between two closed-below, open-above intervals sharing the
     same upper bound.  (Contributed by Thierry Arnoux, 13-Oct-2017.) $)
  difico $p |- ( ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\
    ( A <_ B /\ B <_ C ) ) -> ( ( A [,) C ) \ ( B [,) C ) ) = ( A [,) B ) ) $=
    ( cxr wcel w3a cle wbr wa cico co cdif cun cin c0 icodisj undif4 syl adantr
    wceq difid uneq2i un0 eqtri a1i icoun difeq1d 3eqtr3rd ) ADEBDECDEFZABGHBCG
    HIZIZABJKZBCJKZUMLZMZULUMMZUMLZULACJKZUMLUIUOUQTZUJUIULUMNOTUSABCPULUMUMQRS
    UOULTUKUOULOMULUNOULUMUAUBULUCUDUEUKUPURUMABCUFUGUH $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Finite intervals of integers - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d M x $.
    $( Upper integer sets are a subset of the corresponding closed-below,
       open-above intervals.  (Contributed by Thierry Arnoux, 29-Dec-2021.) $)
    uzssico $p |- ( M e. ZZ -> ( ZZ>= ` M ) C_ ( M [,) +oo ) ) $=
      ( vx cz wcel cuz cfv cpnf cico co cv cle wbr wa cr zssre sseli a1i anim1d
      wi eluz1 wb zre elicopnf syl 3imtr4d ssrdv ) ACDZBAEFZAGHIZUGBJZCDZAUJKLZ
      MUJNDZULMZUJUHDUJUIDZUGUKUMULUKUMSUGCNUJOPQRAUJTUGANDUOUNUAAUBAUJUCUDUEUF
      $.
  $}

  $( A finite set of sequential integers that is a subset of ` NN0 ` .
     (Contributed by Thierry Arnoux, 8-Dec-2021.) $)
  fz2ssnn0 $p |- ( M e. NN0 -> ( M ... N ) C_ NN0 ) $=
    ( cn0 wcel cfz co cuz cfv fzssuz cc0 wss nn0uz eleq2i biimpi uzss sseqtrrdi
    syl sstrid ) ACDZABEFAGHZCABISTJGHZCSAUADZTUAKSUBCUAALMNJAOQLPR $.

  ${
    $d j N $.
    $( Upper set of the positive integers.  (Contributed by Thierry Arnoux,
       22-Aug-2017.) $)
    nndiffz1 $p |- ( N e. NN0 -> ( NN \ ( 1 ... N ) ) = ( ZZ>= ` ( N + 1 ) ) )
      $=
      ( vj cn0 wcel cn c1 cfz co caddc cz cle wbr wn wa wb baibd simpr pm5.32da
      zred cc0 cdif cuz cfv cv 1z nn0z elfz1 sylancr 3anass bitrdi notbid simpl
      w3a ltnled zltp1le bitr3d sylan adantr 1red simpll nn0red readdcld simplr
      clt bitrd 0p1e1 nn0ge0d leadd1dd eqbrtrrid letrd ex pm4.71rd bitr4d eldif
      0red elnnz1 anbi1i anass 3bitri a1i peano2nn0 nn0zd eluz1 3bitr4d eqrdv
      syl ) ACDZBEFAGHZUAZAFIHZUBUCZWGBUDZJDZFWLKLZWLWHDZMZNZNZWMWJWLKLZNZWLWID
      ZWLWKDZWGWMWQWSWGWMNZWQWNWSNWSXCWNWPWSXCWNNZWPWLAKLZMZWSXDWOXEXCWOWNXEWGW
      OWMWNXENZWGWOWMWNXEUMZWMXGNWGFJDAJDZWOXHOUEAUFZWLFAUGUHWMWNXEUIUJPPUKXCXF
      WSOZWNWGXIWMXKXJXIWMNZAWLVDLXFWSXLAWLXLAXIWMULSXLWLXIWMQSUNAWLUOUPUQURVER
      XCWSWNXCWSWNXCWSNZFWJWLXMUSZXMAFXMAWGWMWSUTZVAZXNVBXMWLWGWMWSVCSXMFTFIHWJ
      KVFXMTAFXMVOXPXNXMAXOVGVHVIXCWSQVJVKVLVMRXAWROWGXAWLEDZWPNWMWNNZWPNWRWLEW
      HVNXQXRWPWLVPVQWMWNWPVRVSVTWGWJJDXBWTOWGWJAWAWBWJWLWCWFWDWE $.
  $}

  ${
    $d n x y z A $.
    $( For any finite subset of ` NN ` , find a superset in the form of a set
       of sequential integers.  (Contributed by Thierry Arnoux,
       13-Sep-2017.) $)
    ssnnssfz $p |- ( A e. ( ~P NN i^i Fin ) -> E. n e. NN A C_ ( 1 ... n ) ) $=
      ( vx vy vz cn cfn wcel c1 cv cfz co wss wrex c0 wceq wa clt adantr wbr cr
      cpw cin 1nn simpr 0ss eqsstrdi oveq2 sseq2d sylancr wne csup elin simplbi
      rspcev elpwid wor nnssre ltso mp2 a1i simprbi fisupcl syl13anc sseldd cuz
      soss cfv sselda nnuz eleqtrdi cz cle nnzd wn wral wi fisup2g ssrexv supub
      sylc imp nnred lenltd mpbird eluz2 syl3anbrc eluzfz syl2anc ex pm2.61dane
      ssrdv ) AFUBZGUCHZAIBJZKLZMZBFNZAOWNAOPZQZIFHAIIKLZMZWRUDWTAOXAWNWSUEXAUF
      UGWQXBBIFWOIPWPXAAWOIIKUHUIUOUJWNAOUKZQZAFRULZFHAIXEKLZMZWRXDAFXEXDAFWNAW
      MHZXCWNXHAGHZAWMGUMZUNSUPZXDFRUQZXIXCAFMZXEAHZXLXDFUAMUARUQXLURUSFUARVGUT
      VAZWNXIXCWNXHXIXJVBSZWNXCUEZXKFARVCVDZVEXDCAXFXDCJZAHZXSXFHZXDXTQZXSIVFVH
      ZHXEXSVFVHHZYAYBXSFYCXDAFXSXKVIZVJVKYBXSVLHXEVLHXSXEVMTZYDYBXSYEVNYBXEYBA
      FXEXDXMXTXKSXDXNXTXRSVEZVNYBYFXEXSRTVOZXDXTYHXDCDEFAXSRXOXDXMXSDJZRTVODAV
      PYIXSRTYIEJRTEANVQDFVPQZCANZYJCFNXKXDXLXIXCXMYKXOXPXQXKCDEFARVRVDYJCAFVSW
      AVTWBYBXSXEYBXSYEWCYBXEYGWCWDWEXSXEWFWGXSIXEWHWIWJWLWQXGBXEFWOXEPWPXFAWOX
      EIKUHUIUOWIWK $.
  $}

  $( Elementhood in a finite set of sequential integers, except its lower
     bound.  (Contributed by Thierry Arnoux, 1-Jan-2024.) $)
  fzne1 $p |- ( ( K e. ( M ... N ) /\ K =/= M ) -> K e. ( ( M + 1 ) ... N ) )
      $=
    ( wne cfz co wcel wceq wn c1 caddc df-ne wo cuz cfv elfzuz2 elfzp12 syl ibi
    wb orcanai sylan2b ) ABDABCEFGZABHZIABJKFCEFGZABLUCUDUEUCUDUEMZUCCBNOGUCUFT
    ABCPABCQRSUAUB $.

  $( Elementhood of an integer and its predecessor in finite intervals of
     integers.  (Contributed by Thierry Arnoux, 1-Jan-2024.) $)
  fzm1ne1 $p |- ( ( K e. ( M ... N ) /\ K =/= M )
                -> ( K - 1 ) e. ( M ... ( N - 1 ) ) ) $=
    ( cfz co wcel wne wa c1 cmin caddc fzne1 cz elfzel1 elfzel2 elfzelz 1zzd id
    fzsubel biimp3a syl221anc syl adantr zcnd 1cnd pncand oveq1d eleqtrd ) ABCD
    EFZABGZHZAIJEZBIKEZIJEZCIJEZDEZBUODEUKAUMCDEFZULUPFZABCLUQUMMFZCMFZAMFZIMFZ
    UQURAUMCNAUMCOAUMCPUQQUQRUSUTHVAVBHUQURAIUMCSTUAUBUKUNBUODUKBIUKBUIBMFUJABC
    NUCUDUKUEUFUGUH $.

  $( Split the last element of a finite set of sequential integers.  More
     generic than ~ fzsuc .  (Contributed by Thierry Arnoux, 7-Nov-2016.) $)
  fzspl $p |- ( N e. ( ZZ>= ` M ) ->
                ( M ... N ) = ( ( M ... ( N - 1 ) ) u. { N } ) ) $=
    ( cuz cfv wcel cfz co c1 cmin caddc cun csn wceq eluzelz zcnd npcand cz syl
    1zzd eqtrd eleq1d ibir cle wbr eluzelre lem1d wa wb zsubcld eluz1 mpbir2and
    fzsplit2 syl2anc oveq1d fzsn uneq2d ) BACDZEZABFGZABHIGZFGZUTHJGZBFGZKZVABL
    ZKURVBUQEZBUTCDEZUSVDMURVFURVBBUQURBHURBABNZOURHURSZOPZUAUBURVGBQEZUTBUCUDZ
    VHURBABUEUFURUTQEVGVKVLUGUHURBHVHVIUIUTBUJRUKUTABULUMURVCVEVAURVCBBFGZVEURV
    BBBFVJUNURVKVMVEMVHBUORTUPT $.

  $( Split the last element of a finite set of sequential integers.  More
     generic than ~ fzsuc .  (Contributed by Thierry Arnoux, 22-Aug-2020.) $)
  fzdif2 $p |- ( N e. ( ZZ>= ` M )
     -> ( ( M ... N ) \ { N } ) = ( M ... ( N - 1 ) ) ) $=
    ( cuz cfv wcel cfz co csn cdif c1 cmin cun fzspl difeq1d difun2 eqtrdi wceq
    cin c0 wn cz eluzelz uzid uznfz 3syl disjsn sylibr disjdif2 syl eqtrd ) BAC
    DEZABFGZBHZIZABJKGFGZUMIZUOUKUNUOUMLZUMIUPUKULUQUMABMNUOUMOPUKUOUMRSQZUPUOQ
    UKBUOETZURUKBUAEBBCDEUSABUBBUCBABUDUEUOBUFUGUOUMUHUIUJ $.

  $( Split the last element of a half-open range of sequential integers.
     (Contributed by Thierry Arnoux, 5-Dec-2021.) $)
  fzodif2 $p |- ( N e. ( ZZ>= ` M ) -> ( ( M ..^ ( N + 1 ) ) \ { N } )
     = ( M ..^ N ) ) $=
    ( cuz cfv wcel caddc cfzo csn cdif cun fzosplitsn difeq1d difun2 eqtrdi cin
    c1 co c0 wceq wn fzonel disjsn mpbir disjdif2 mp1i eqtrd ) BACDEZABPFQGQZBH
    ZIZABGQZUIIZUKUGUJUKUIJZUIIULUGUHUMUIABKLUKUIMNUKUIORSZULUKSUGUNBUKETABUAUK
    BUBUCUKUIUDUEUF $.

  $( Set difference of two half-open range of sequential integers sharing the
     same starting value.  (Contributed by Thierry Arnoux, 2-Oct-2023.) $)
  fzodif1 $p |- ( K e. ( M ... N )
               -> ( ( M ..^ N ) \ ( M ..^ K ) ) = ( K ..^ N ) ) $=
    ( cfz co wcel cfzo cdif cun fzosplit difeq1d c0 difundir difid wceq fzodisj
    cin incom eqtri disj3 mpbi eqcomi uneq12i 0un 3eqtri eqtrdi ) ABCDEFZBCGEZB
    AGEZHUIACGEZIZUIHZUJUGUHUKUIBCAJKULUIUIHZUJUIHZILUJIUJUIUJUIMUMLUNUJUINUJUN
    UJUIQZLOUJUNOUOUIUJQLUJUIRBACPSUJUITUAUBUCUJUDUEUF $.

  ${
    $d x K $.  $d x M $.  $d x N $.
    $( Split a finite interval of integers into two parts.  (Contributed by
       Thierry Arnoux, 2-May-2017.) $)
    fzsplit3 $p |- ( K e. ( M ... N ) ->
      ( M ... N ) = ( ( M ... ( K - 1 ) ) u. ( K ... N ) ) ) $=
      ( vx cfz co wcel c1 wo wa cle wbr syl2anr cuz cz wb elfzuz elfzuz3 adantl
      cfv cmin cun cv cr elfzelz zred 1red resubcld lelttric 1zzd zsubcld elfz5
      clt elfzuzb syl eluz syl2an zlem1lt 3bitrd orbi12d mpbird adantr peano2uz
      rbaib caddc recnd npcand eleq1d mpbid uztrn syl2anc sylanbrc impbida elun
      jaodan bitr4di eqrdv ) ABCEFZGZDVRBAHUAFZEFZACEFZUBZVSDUCZVRGZWDWAGZWDWBG
      ZIZWDWCGVSWEWHVSWEJZWHWDVTKLZVTWDUMLZIZWEWDUDGVTUDGWLVSWEWDWDBCUEZUFVSAHV
      SAABCUEZUFZVSUGZUHWDVTUIMWIWFWJWGWKWEWDBNTZGZVTOGWFWJPVSWDBCQVSAHWNVSUJUK
      WDBVTULMWIWGWDANTZGZAWDKLZWKWICWDNTZGZWGWTPWEXCVSWDBCRSWGWTXCWDACUNVDUOVS
      AOGZWDOGZWTXAPWEWNWMAWDUPUQVSXDXEXAWKPWEWNWMAWDURUQUSUTVAVSWFWEWGVSWFJZWR
      XCWEWFWRVSWDBVTQSXFCWSGZAXBGZXCVSXGWFABCRVBXFVTHVEFZXBGZXHXFVTXBGZXJWFXKV
      SWDBVTRSWDVTVCUOVSXJXHPWFVSXIAXBVSAHVSAWOVFVSHWPVFVGVHVBVIACWDVJVKWDBCUNZ
      VLVSWGJWRXCWEWGWTAWQGWRVSWDACQABCQAWDBVJMWGXCVSWDACRSXLVLVOVMWDWAWBVNVPVQ
      $.
  $}

  $( The proportion of one binomial coefficient to another with ` N ` decreased
     by 1.  (Contributed by Thierry Arnoux, 9-Nov-2016.) $)
  bcm1n $p |- ( ( K e. ( 0 ... ( N - 1 ) ) /\ N e. NN ) ->
    ( ( ( N - 1 ) _C K ) / ( N _C K ) ) = ( ( N - K ) / N ) ) $=
    ( cc0 c1 cmin co cfz wcel cn wa cbc cdiv wceq cmul cc wbr adantr clt mpbird
    nnne0d caddc bcp1n nnz zcnd adantl 1cnd npcand oveq1d oveq12d oveq2d syl5ib
    eqeq12d 3impia 3anidm13 wne wb crp cn0 elfznn0 simpr nnnn0d cz elfzelz zred
    cle elfzle2 zltlem1 syl2an ltled elfz2nn0 syl3anbrc bcrpcl syl rpcnd subcld
    cneg negsubdi2d resubcld recnd addid2d breqtrrd 0red lt0ne0d negne0d divcld
    ltsubaddd eqnetrrd rpcnne0d divmul2 syl3anc bccl2 recdivd 3eqtr3d ) ACBDEFZ
    GFHZBIHZJZDBAKFZWNAKFZLFZLFDBBAEFZLFZLFWSWRLFXABLFWQWTXBDLWQWTXBMZWRWSXBNFZ
    MZWOWPXEWOWPWOXEWOWNDUAFZAKFZWSXFXFAEFZLFZNFZMWQXEAWNUBWQXGWRXJXDWQXFBAKWQB
    DWPBOHWOWPBBUCZUDUEZWQUFUGZUHWQXIXBWSNWQXFBXHXALXMWQXFBAEXMUHUIUJULUKUMUNWQ
    WROHXBOHWSOHWSCUOZJXCXEUPWQWRWQACBGFHZWRUQHWQAURHZBURHABVEPXOWOXPWPAWNUSQWQ
    BWOWPUTZVAWQABWQAWOAVBHZWPACWNVCZQVDZWQBWPBVBHZWOXKUEVDZWQABRPZAWNVEPZWOYDW
    PACWNVFQWOXRYAYCYDUPWPXSXKABVGVHSZVIABVJVKZABVLVMVNZWQBXAXLWQBAXLWOAOHWPWOA
    XSUDQZVOZWQABEFZVPXACWQABYHXLVQWQYJWQYJWQABXTYBVRVSWQYJWQYJCRPACBUAFZRPWQAB
    YKRYEWQBXLVTWAWQABCXTYBWQWBWFSWCWDWGZWEWQWSWOWSUQHWPAWNVLQZWHWRXBWSWIWJSUJW
    QWRWSYGWQWSYMVNWQWRWQXOWRIHYFABWKVMTWOXNWPWOWSAWNWKTQWLWQBXAXLYIWQBXQTYLWLW
    M $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Half-open integer ranges - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d k m n x N $.  $d k m x A $.  $d m x B $.
    iundisj3.0 $e |- F/_ n B $.
    iundisj3.1 $e |- ( n = k -> A = B ) $.
    $( Rewrite a countable union as a disjoint union, finite version.  Cf.
       ~ iundisj .  (Contributed by Thierry Arnoux, 15-Feb-2017.) $)
    iundisjfi $p |- U_ n e. ( 1 ..^ N ) A =
      U_ n e. ( 1 ..^ N ) ( A \ U_ k e. ( 1 ..^ n ) B ) $=
      ( vx vm c1 cfzo co ciun cv wcel wrex cr clt cn nfcv cdif crab cinf ssrab2
      csb cuz cfv wss c0 wne fzossnn nnuz sseqtri sstri rabn0 biimpri infssuzcl
      sylancr sselid nfrab1 nfinf nfcsb1 nfcri wceq csbeq1a eleq2d elrabf sylib
      simprd wbr nnssre ltnrd eliun ad2antrr elfzouz2 fzoss2 3syl sselda adantr
      wa nnred cle simpr sylanbrc infssuzle elfzolt2 ad2antlr rexlimdva2 syl5bi
      lelttrd eldifd csbeq1 oveq2 iuneq1d difeq12d rspcev syl2anc nfcsb1v nfiun
      mtod nfv nfdif cbvrexw sylibr eldifi reximi impbii 3bitr4i eqriv ) HDJEKL
      ZAMZDXJACJDNZKLZBMZUAZMZHNZAOZDXJPZXQXOOZDXJPZXQXKOXQXPOXSYAXSXQDINZAUEZC
      JYBKLZBMZUAZOZIXJPZYAXSXRDXJUBZQRUCZXJOZXQDYJAUEZCJYJKLZBMZUAZOZYHXSYIXJY
      JXRDXJUDZXSYIJUFUGZUHZYIUIUJZYJYIOZYIXJYRYQXJSYREUKZULUMUNZYTXSXRDXJUOUPY
      IJUQURZUSZXSXQYLYNXSYKXQYLOZXSUUAYKUUFVTUUDXRUUFDYJXJDYIQRXRDXJUTDQTDRTVA
      ZDXJTZDHYLDYJAUUGVBVCXLYJVDAYLXQDYJAVEVFVGVHVIXSXQYNOZYJYJRVJZXSYJXSYIQYJ
      YISQYIXJSYQUUBUNVKUNUUDUSZVLUUIXQBOZCYMPXSUUJCXQYMBVMXSUULUUJCYMXSCNZYMOZ
      VTZUULVTZYJUUMYJXSYJQOUUNUULUUKVNZUUPUUMUUPXJSUUMUUBUUOUUMXJOZUULXSYMXJUU
      MXSYKEYJUFUGOYMXJUHUUEYJJEVOYJJEVPVQVRVSZUSWAUUQUUPYSUUMYIOZYJUUMWBVJUUCU
      UPUURUULUUTUUSUUOUULWCXRUULDUUMXJDUUMTUUHDHBFVCXLUUMVDABXQGVFVGWDUUMYIJWE
      URUUNUUMYJRVJXSUULUUMJYJWFWGWJWHWIWTWKYGYPIYJXJYBYJVDZYFYOXQUVAYCYLYEYNDY
      BYJAWLUVACYDYMBYBYJJKWMWNWOVFWPWQXTYGDIXJXTIXADHYFDYCYEDYBAWRCDYDBDYDTFWS
      XBVCXLYBVDZXOYFXQUVBAYCXNYEDYBAVEUVBCXMYDBXLYBJKWMWNWOVFXCXDXTXRDXJXQAXNX
      EXFXGDXQXJAVMDXQXJXOVMXHXI $.
  $}

  ${
    $d a b k n x y N $.  $d a b k x y A $.  $d a b x y B $.  $d k n x N $.
    iundisj2fi.0 $e |- F/_ n B $.
    iundisj2fi.1 $e |- ( n = k -> A = B ) $.
    $( A disjoint union is disjoint, finite version.  Cf. ~ iundisj2 .
       (Contributed by Thierry Arnoux, 16-Feb-2017.) $)
    iundisj2fi $p |- Disj_ n e. ( 1 ..^ N ) ( A \ U_ k e. ( 1 ..^ n ) B ) $=
      ( vx vy va vb c1 cfzo cv weq csb cin c0 wcel cr ciun cdif wdisj wceq wral
      co wo wtru tru eqeq12 csbeq1 ineqan12d eqeq1d orbi12d equcom bitrdi incom
      wa eqtrdi wss cn fzossnn nnssre sstri a1i biidd cle wbr w3a wne nesym clt
      wn wb sseli id leltne syl3an vex nfcsb1v nfcv nfiun nfdif csbeq1a iuneq1d
      wi oveq2 difeq12d csbief ineq12i cuz cfv simp1 sselid nnuz eleqtrdi simp2
      cz nnzd simp3 elfzo2 syl3anbrc csbhypf equcoms eqcomd syl ssdifssd ssrind
      ssiun2s eqsstrid disjdif sseq0 sylancl 3expia 3adant3 sylbird orrd adantl
      syl5bir wlogle mpan rgen2 disjors mpbir ) DLEMUFZACLDNZMUFZBUAZUBZUCHIOZD
      HNZYIPZDINZYIPZQZRUDZUGZIYEUEHYEUEYQHIYEYEUHYKYESZYMYESZURZYQUIUHJKOZDJNZ
      YIPZDKNZYIPZQZRUDZUGYQYQHIJKYEJHOZKIOZURZUUAYJUUGYPUUBYKUUDYMUJUUJUUFYORU
      UHUUIUUCYLUUEYNDUUBYKYIUKDUUDYMYIUKULUMUNJIOZKHOZURZUUAYJUUGYPUUMUUAIHOYJ
      UUBYMUUDYKUJIHUOUPUUMUUFYORUUMUUFYNYLQYOUUKUULUUCYNUUEYLDUUBYMYIUKDUUDYKY
      IUKULYNYLUQUSUMUNYETUTUHYEVATEVBZVCVDZVEUHYTURYQVFYRYSYKYMVGVHZVIZYQUHUUQ
      YJYPYJVMYMYKVJZUUQYPYMYKVKUUQUURYKYMVLVHZYPYRYKTSYSYMTSUUPUUPUUSUURVNYETY
      KUUOVOYETYMUUOVOUUPVPYKYMVQVRYRYSUUSYPWFUUPYRYSUUSYPYRYSUUSVIZYOCLYMMUFZB
      UAZDYMAPZUVBUBZQZUTUVERUDYPUUTYODYKAPZCLYKMUFZBUAZUBZUVDQUVEYLUVIYNUVDDYK
      YIUVIHVSDUVFUVHDYKAVTCDUVGBDUVGWAFWBWCDHOZAUVFYHUVHDYKAWDUVJCYGUVGBYFYKLM
      WGWEWHWIDYMYIUVDIVSDUVCUVBDYMAVTCDUVABDUVAWAFWBWCDIOZAUVCYHUVBDYMAWDUVKCY
      GUVABYFYMLMWGWEWHWIWJUUTUVIUVBUVDUUTUVFUVBUVHUUTYKUVASZUVFUVBUTUUTYKLWKWL
      ZSYMWRSUUSUVLUUTYKVAUVMUUTYEVAYKUUNYRYSUUSWMWNWOWPUUTYMUUTYEVAYMUUNYRYSUU
      SWQWNWSYRYSUUSWTYKLYMXAXBCUVABYKUVFCHOUVFBUVFBUDHCDHCNZABDUVNWAFGXCXDXEXI
      XFXGXHXJUVBUVCXKYOUVEXLXMXNXOXPXSXQXRXTYAYBDYEYIHIYCYD $.
  $}

  ${
    $d k A $.  $d k n M $.  $d k n N $.
    iundisjcnt.0 $e |- F/_ n B $.
    iundisjcnt.1 $e |- ( n = k -> A = B ) $.
    iundisjcnt.2 $e |- ( ph -> ( N = NN \/ N = ( 1 ..^ M ) ) ) $.
    $( Rewrite a countable union as a disjoint union.  (Contributed by Thierry
       Arnoux, 16-Feb-2017.) $)
    iundisjcnt $p |- ( ph -> U_ n e. N A =
      U_ n e. N ( A \ U_ k e. ( 1 ..^ n ) B ) ) $=
      ( cn wceq ciun c1 cfzo co wa simpr iuneq1d 3eqtr4a cv cdif nfcv iundisjfi
      iundisjf mpjaodan ) AGKLZEGBMZEGBDNEUAOPCMUBZMZLGNFOPZLZAUGQZEKBMEKUIMUHU
      JBCDEDBUCHIUEUMEGKBAUGRZSUMEGKUIUNSTAULQZEUKBMEUKUIMUHUJBCDEFHIUDUOEGUKBA
      ULRZSUOEGUKUIUPSTJUF $.
  $}

  ${
    $d k n M $.  $d k A $.  $d n N $.
    iundisj2cnt.0 $e |- F/_ n B $.
    iundisj2cnt.1 $e |- ( n = k -> A = B ) $.
    iundisj2cnt.2 $e |- ( ph -> ( N = NN \/ N = ( 1 ..^ M ) ) ) $.
    $( A countable disjoint union is disjoint.  Cf. ~ iundisj2 .  (Contributed
       by Thierry Arnoux, 16-Feb-2017.) $)
    iundisj2cnt $p |- ( ph -> Disj_ n e. N ( A \ U_ k e. ( 1 ..^ n ) B ) ) $=
      ( cn wceq c1 cfzo co wo cv wdisj disjeq1 mpbiri ciun cdif nfcv iundisj2fi
      iundisj2f jaoi syl ) AGKLZGMFNOZLZPEGBDMEQNOCUAUBZRZJUHULUJUHULEKUKRBCDED
      BUCHIUEEGKUKSTUJULEUIUKRBCDEFHIUDEGUIUKSTUFUG $.
  $}

  $( Elementhood in a half-open interval, except its lower bound.  (Contributed
     by Thierry Arnoux, 1-Jan-2024.) $)
  fzone1 $p |- ( ( K e. ( M ..^ N ) /\ K =/= M ) -> K e. ( ( M + 1 ) ..^ N )
      ) $=
    ( cfzo co wcel wne wa c1 caddc wo w3o cfz elfzofz adantr elfzlmr syl df-3or
    wceq neneqd sylib elfzelzd zred clt wbr elfzolt2 ltned olcnd simpr orcnd )
    ABCDEFZABGZHZABSZABIJECDEFZUMUNUOKZACSZUMUNUOUQLZUPUQKUMABCMEFZURUKUSULABCN
    OZABCPQUNUOUQRUAUMACUMACUMAUMABCUTUBUCUKACUDUEULABCUFOUGTUHUMABUKULUITUJ $.

  $( Elementhood in a half-open interval, except the lower bound, shifted by
     one.  (Contributed by Thierry Arnoux, 1-Jan-2024.) $)
  fzom1ne1 $p |- ( ( K e. ( M ..^ N ) /\ K =/= M )
                 -> ( K - 1 ) e. ( M ..^ ( N - 1 ) ) ) $=
    ( cfzo co wcel wne wa c1 cmin caddc fzone1 fzosubel sylancl elfzoel1 adantr
    cz 1z zcnd 1cnd pncand oveq1d eleqtrd ) ABCDEFZABGZHZAIJEZBIKEZIJEZCIJEZDEZ
    BUJDEUFAUHCDEFIQFUGUKFABCLRAUHCIMNUFUIBUJDUFBIUFBUDBQFUEABCOPSUFTUAUBUC $.

  ${
    $( TODO shorten theorems using ~ iundisjcnt or ~ iundisj2cnt with ~ f1ocnt
       $)
    $d A f g $.
    $( Given a countable set ` A ` , number its elements by providing a
       one-to-one mapping either with ` NN ` or an integer range starting from
       1.  The domain of the function can then be used with ~ iundisjcnt or
       ~ iundisj2cnt .  (Contributed by Thierry Arnoux, 25-Jul-2020.) $)
    f1ocnt $p |- ( A ~<_ _om -> E. f ( f : dom f -1-1-onto-> A
      /\ ( dom f = NN \/ dom f = ( 1 ..^ ( ( # ` A ) + 1 ) ) ) ) ) $=
      ( vg com wbr wcel wf1o cn wceq c1 chash caddc co cfzo wo wa wex c0 adantl
      cc0 cdom cfn cv cdm cfv cfz eqidd dm0 a1i id f1oeq123d mpbiri fveq2 hash0
      f1o0 eqtrdi oveq1d 0p1e1 oveq2d fzo0 eqtr4d olcd jca dmeq orbi12d anbi12d
      0ex eqeq1d spcev syl f1odm f1oeq2d ibir cz simpl nnzd fzval3 eqtrd eximdv
      ex imp fz1f1o mpjaodan wn csdm isfinite notbii biimpi anim2i bren2 sylibr
      cen nnenom ensymi entr sylancl bren sylib f1oexbi orcd eximi pm2.61dan )
      ADUAEZAUBFZBUCZUDZAXEGZXFHIZXFJAKUEZJLMZNMZIZOZPZBQZXCXDPZARIZXOXIHFZJXIU
      FMZAXEGZBQZPZXQXOXPXQRUDZARGZYCHIZYCXKIZOZPZXOXQYDYGXQYDRRRGUOXQYCRARRRXQ
      RUGYCRIXQUHUIZXQUJUKULXQYFYEXQYCRXKYIXQXKJJNMRXQXJJJNXQXJTJLMJXQXITJLXQXI
      RKUETARKUMUNUPUQURUPUSJUTUPVAVBVCXNYHBRVGXERIZXGYDXMYGYJXFYCAAXERYJUJXERV
      DZYJAUGUKYJXHYEXLYFYJXFYCHYKVHYJXFYCXKYKVHVEVFVIVJSYBXOXPXRYAXOXRXTXNBXRX
      TXNXRXTPZXGXMXTXGXRXTXGXTXFXSAXEXSAXEVKZVLVMSYLXLXHYLXFXSXKXTXFXSIXRYMSYL
      XIVNFXSXKIYLXIXRXTVOVPJXIVQVJVRVBVCVTVSWASXDXQYBOXCABWBSWCXCXDWDZPZHAXEGZ
      BQZXOYOAHCUCGCQZYQYOAHWLEZYRYOADWLEZDHWLEYSYOXCADWEEZWDZPYTYNUUBXCYNUUBXD
      UUAAWFWGWHWIADWJWKHDWMWNADHWOWPAHCWQWRAHCBWSWRYPXNBYPXGXMYPXGYPXFHAXEHAXE
      VKZVLVMYPXHXLUUCWTVCXAVJXB $.
  $}

  $( NN and integer ranges starting from 1 are countable.  (Contributed by
     Thierry Arnoux, 25-Jul-2020.) $)
  fz1nnct $p |- ( ( A = NN \/ A = ( 1 ..^ M ) ) -> A ~<_ _om ) $=
    ( cn wceq com cdom wbr c1 cfzo nnct breq1 mpbiri wcel fzofi fict ax-mp jaoi
    co cfn ) ACDZAEFGZAHBIRZDZTUACEFGJACEFKLUCUAUBEFGZUBSMUDHBNUBOPAUBEFKLQ $.

  $( NN and integer ranges starting from 1 are a transitive family of set.
     (Contributed by Thierry Arnoux, 25-Jul-2020.) $)
  fz1nntr $p |- ( ( ( A = NN \/ A = ( 1 ..^ M ) ) /\ N e. A )
    -> ( 1 ..^ N ) C_ A ) $=
    ( cn wceq wcel c1 cfzo co wss fzossnn sseq2 mpbiri adantr wi cuz cfv fzoss2
    elfzouz2 syl eleq2 imbi12d imp jaoian ) ADEZCAFZGCHIZAJZAGBHIZEZUEUHUFUEUHU
    GDJCKADUGLMNUJUFUHUJUFUHOCUIFZUGUIJZOUKBCPQFULCGBSCGBRTUJUFUKUHULAUICUAAUIU
    GLUBMUCUD $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The ` # ` (set size) function - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y A $.  $d y ph $.
    hashiunf.1 $e |- F/ x ph $.
    hashiunf.3 $e |- ( ph -> A e. Fin ) $.
    hashunif.4 $e |- ( ph -> A C_ Fin ) $.
    hashunif.5 $e |- ( ph -> Disj_ x e. A x ) $.
    $( The cardinality of a disjoint finite union of finite sets.  Cf.
       ~ hashuni .  (Contributed by Thierry Arnoux, 17-Feb-2017.) $)
    hashunif $p |- ( ph -> ( # ` U. A ) = sum_ x e. A ( # ` x ) ) $=
      ( vy cuni chash cfv cv ciun csu uniiun fveq2i cfn wdisj wceq a1i cbvdisjv
      sselda id sylib hashiun cbviunv fveq2d fveq2 cbvsumv 3eqtr4d syl5eq ) ACI
      ZJKBCBLZMZJKZCUMJKZBNZULUNJBCOPAHCHLZMZJKCURJKZHNZUOUQAHCUREACQURFUBABCUM
      RHCURRGBHCUMURUMURSUCZUAUDUEAUNUSJUNUSSABHCUMURVBUFTUGUQVASACUPUTBHUMURJU
      HUITUJUK $.
  $}

  $( The size of the Cartesian product of two finite sets is the product of
     their sizes.  This is a version of ~ hashxp valid for infinite sets, which
     uses extended real numbers.  (Contributed by Thierry Arnoux,
     27-May-2023.) $)
  hashxpe $p |- ( ( A e. V /\ B e. W )
                      -> ( # ` ( A X. B ) ) = ( ( # ` A ) *e ( # ` B ) ) ) $=
    ( wcel wa cfn chash cfv cxmu co wceq wn simpr syl cc0 eqtrdi cpnf syl2anc
    c0 cxp hashxp cr cn0 nn0ssre hashcl sselid anim12i rexmul eqtr4d wne xpeq2d
    cmul xp0 fveq2d hash0 simpl hashinf sylan adantr oveq12d pnfxr xmul01 ax-mp
    cxr clt wbr ad2antrr hashxrcl hashgt0 sylancom xmulpnf2 oveq1d xpexd simplr
    cvv 0fin eleq1 mpbiri necon3bi ioran xpeq0 necon3abii df-ne anbi12i 3bitr4i
    wo biimpri intnanrd wi pm4.61 xpfir ex sylbir 3eqtr4rd exmidne a1i mpjaodan
    con3i adantlr xpeq1d xmul02 ad3antrrr ad4ant14 xmulpnf1 intnand ianor sylib
    0xp oveq2d exmidd ) ACEZBDEZFZAGEZBGEZFZABUAZHIZAHIZBHIZJKZLZXQMZXNXQFZXSXT
    YAUMKZYBYEXQXSYFLXNXQNZABUBOYEXTUCEZYAUCEZFZYBYFLYEXQYJYGXOYHXPYIXOUDUCXTUE
    AUFUGXPUDUCYAUEBUFUGUHOXTYAUIOUJXNYDFZXOMZYCXPMZXNYLYCYDXNYLFZBTLZYCBTUKZYN
    YOFZXSPYBYQXSTHIZPYQXRTHYQXRATUATYQBTAYNYONZULAUNQUOUPQYQYBRPJKZPYQXTRYAPJY
    NXTRLZYOXNXLYLUUAXLXMUQZACURUSZUTYQYAYRPYQBTHYSUOUPQVARVEEZYTPLVBRVCVDQUJYN
    YPFZRYAJKZRYBXSUUEYAVEEZPYAVFVGZUUFRLUUEXMUUGXNXMYLYPXLXMNZVHZBDVIOYNYPXMUU
    HUUJBDVJVKYAVLSUUEXTRYAJYNUUAYPUUCUTVMUUEXRVPEZXRGEZMZXSRLZUUEABCDXNXLYLYPU
    UBVHUUJVNUUEXRTUKZYDUUMUUEATUKZYPUUOUUEYLUUPXNYLYPVOZXOATATLZXOTGEZVQATGVRV
    SVTOYNYPNUUOUUPYPFZUURYOWGZMUURMZYOMZFUUOUUTUURYOWAUVAXRTABWBWCUUPUVBYPUVCA
    TWDBTWDWEWFWHZSUUEXOXPUUQWIUUOYDFUUOXQWJZMUUMUUOXQWKUULUVEUULUUOXQABWLWMWSW
    NZSXRVPURZSWOYOYPWGYNBTWPWQWRWTXNYMYCYDXNYMFZUURYCUUPUVHUURFZXSPYBUVIXSYRPU
    VIXRTHUVIXRTBUATUVIATBUVHUURNZXABXIQUOUPQUVIYBPRJKZPUVIXTPYARJUVIXTYRPUVIAT
    HUVJUOUPQUVHYARLZUURXNXMYMUVLUUIBDURUSZUTVAUUDUVKPLVBRXBVDQUJUVHUUPFZXTRJKZ
    RYBXSUVNXTVEEZPXTVFVGZUVORLXLUVPXMYMUUPACVIXCXLUUPUVQXMYMACVJXDXTXESUVNYARX
    TJUVHUVLUUPUVMUTXJUVNUUKUUMUUNUVNABCDXNXLYMUUPUUBVHXNXMYMUUPUUIVHVNUVNUUOYD
    UUMUVNUUPYPUUOUVHUUPNUVNYMYPXNYMUUPVOZXPBTYOXPUUSVQBTGVRVSVTOUVDSUVNXPXOUVR
    XFUVFSUVGSWOUURUUPWGUVHATWPWQWRWTYKYDYLYMWGXNYDNXOXPXGXHWRXNXQXKWR $.

  $( Restate "set contains at least two elements" in terms of elementhood.
     (Contributed by Thierry Arnoux, 21-Nov-2023.) $)
  hashgt1 $p |- ( A e. V
               -> ( -. A e. ( `' # " { 0 , 1 } ) <-> 1 < ( # ` A ) ) ) $=
    ( wcel chash ccnv cc0 c1 cpr cima wn cfv clt wbr cvv wa cn0 cpnf csn cun wb
    wf wfn hashf ffn elpreima mp2b elex biantrurd bitr4id notbid cxnn0 hashxnn0
    xnn01gt syl bitrd ) ABCZADEFGHZICZJADKZUQCZJZGUSLMZUPURUTUPURANCZUTOZUTNPQR
    SZDUADNUBURVDTUCNVEDUDNAUQDUEUFUPVCUTABUGUHUIUJUPUSUKCVAVBTABULUSUMUNUO $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The greatest common divisor operator - misc. add
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    dvdszzq.1 $e |- N = ( A / B ) $.
    dvdszzq.2 $e |- ( ph -> P e. Prime ) $.
    dvdszzq.3 $e |- ( ph -> N e. ZZ ) $.
    dvdszzq.4 $e |- ( ph -> B e. ZZ ) $.
    dvdszzq.5 $e |- ( ph -> B =/= 0 ) $.
    dvdszzq.6 $e |- ( ph -> P || A ) $.
    dvdszzq.7 $e |- ( ph -> -. P || B ) $.
    $( Divisibility for an integer quotient.  (Contributed by Thierry Arnoux,
       17-Sep-2023.) $)
    dvdszzq $p |- ( ph -> P || N ) $=
      ( cdvds wbr wo wcel cz co wceq zcnd cprime cmul cdiv dvdszrcl simprd ldiv
      wn syl mpbiri breqtrrd euclemma biimpa syl31anc wi orcom df-or sylbb sylc
      w3a ) ADEMNZDCMNZOZVAUGZUTADUAPZEQPZCQPZDECUBRZMNZVBGHIADBVGMKAVGBSEBCUCR
      SFAECBAEHTACITABADBMNZBQPZKVIDQPVJDBUDUEUHTJUFUIUJVDVEVFUSVHVBDECUKULUMLV
      BVAUTOVCUTUNUTVAUOVAUTUPUQUR $.
  $}

  ${
    $( Condition for a prime number to divide a binomial coefficient.
       (Contributed by Thierry Arnoux, 17-Sep-2023.) $)
    prmdvdsbc $p |- ( ( P e. Prime /\ N e. ( 1 ... ( P - 1 ) ) ) -> P || ( P _C
       N ) ) $=
      ( wcel c1 co cfz wa cfa cfv cdvds cz cc0 cn0 nnzd syl adantr wbr syl21anc
      imp wn cprime cmin cmul cdiv cbc eqid simpl wceq cuz prmnn eluzmn sylancl
      wss 1nn0 fz1ssfz0 sstrdi sselda bcval2 nnnn0d elfzelz adantl bccl syl2anc
      fzss2 nn0zd eqeltrrd clt cn elfznn 1zzd simpr cle elfzm11 biimpa ltsubnn0
      w3a simp3d faccld zmulcld zcnd wne facne0 mulne0d dvdsfac nn0red ltsubrpd
      uzid nnrpd prmndvdsfaclt wo ioran euclemma con3d syl5bir syl32anc dvdszzq
      biimpd breqtrrd ) AUACZBDADUBEZFEZCZGZAAHIZABUBEZHIZBHIZUCEZUDEZABUEEZJXC
      XDXHAXIXIUFWSXBUGZXCXJXIKXCBLAFEZCXJXIUHWSXAXLBWSXADAFEZXLWSAWTUIICZXAXMU
      MWSAKCZDMCXNWSAAUJZNZUNADUKULWTDAVDOAUOUPUQBAUROZXCXJXCAMCZBKCZXJMCWSXSXB
      WSAXPUSPZXBXTWSBDWTUTVABAVBVCVEVFXCXFXGXCXFXCXEXCXSBMCZBAVGQZXEMCZYAXCBXB
      BVHCWSBWTVIVAZUSZXCDKCZXOXBYCXCVJWSXOXBXQPWSXBVKYGXOGZXBGXTDBVLQZYCYHXBXT
      YIYCVPBDAVMVNVQRZXSYBGYCYDABVOSRZVRNZXCXGXCBYFVRNZVSXCXFXGXCXFYLVTXCXGYMV
      TXCYDXFLWAYKXEWBOXCYBXGLWAYFBWBOWCWSAXDJQZXBWSAVHCAAUIICZYNXPWSXOYOXQAWGO
      AAWDVCPXCWSXFKCZXGKCZAXFJQZTZAXGJQZTZAXHJQZTZXKYLYMXCWSYDXEAVGQZYSXKYKXCA
      BXCAYAWEXCBYEWHWFWSYDGUUDYSAXEWISRXCWSYBYCUUAXKYFYJWSYBGYCUUAABWISRWSYPYQ
      VPZYSUUAGZUUCUUFYRYTWJZTUUEUUCYRYTWKUUEUUBUUGUUEUUBUUGAXFXGWLWQWMWNSWOWPX
      RWR $.
  $}

  $( Numerator and denominator of the negative.  (Contributed by Thierry
     Arnoux, 27-Oct-2017.) $)
  numdenneg $p |- ( Q e. QQ -> ( ( numer ` -u Q ) = -u ( numer ` Q )
    /\ ( denom ` -u Q ) = ( denom ` Q ) ) ) $=
    ( cq wcel cneg cnumer cfv cz cdenom cn cgcd wceq cdiv qnegcl qnumcl znegcld
    co c1 wa qdencl eqtrd neggcd syl2anc qnumdencoprm qeqnumdivden negeqd nncnd
    nnzd zcnd nnne0d divnegd w3a qnumdenbi biimpa syl32anc ) ABCZADZBCZAEFZDZGC
    ZAHFZICZUSVAJPZQKZUPUSVALPZKZUPEFUSKUPHFVAKRZAMUOURANZOASZUOVCURVAJPZQUOURG
    CVAGCVCVJKVHUOVAVIUGURVAUAUBAUCTUOUPURVALPZDVEUOAVKAUDUEUOURVAUOURVHUHUOVAV
    IUFUOVAVIUIUJTUQUTVBUKVDVFRVGUPUSVAULUMUN $.

  $( Calculate the reduced form of a quotient using ` gcd ` .  This version
     extends ~ divnumden for the negative integers.  (Contributed by Thierry
     Arnoux, 25-Oct-2017.) $)
  divnumden2 $p |- ( ( A e. ZZ /\ B e. ZZ /\ -u B e. NN ) ->
       ( ( numer ` ( A / B ) ) = -u ( A / ( A gcd B ) )
      /\ ( denom ` ( A / B ) ) = -u ( B / ( A gcd B ) ) ) ) $=
    ( cz wcel cneg cdiv co cnumer cfv cgcd wceq cdenom cc0 wne zcnd syl 3adant2
    cq wa divneg2d cn zssq simp1 sselid simp2 nnne0 3ad2ant3 neg0 neeq2i sylibr
    w3a neneqd 0cnd neg11ad mtbid neqned qdivcl syl3anc qnumcl cc gcdcld nn0cnd
    simpl negcld intnand gcdeq0 necon3abid 3adant3 mpbird negne0d divcld fveq2d
    wn wb numdenneg simpld gcdneg oveq2d divnegd div2negd eqtrd 3eqtr4d 3eqtr3d
    divnumden neg11d eqtr4d simprd eqtr3d jca ) ACDZBCDZBEZUADZUKZABFGZHIZAABJG
    ZFGZEZKWOLIZBWQFGEZKWNWPAWQEZFGZWSWNWPXCWNWPWNWORDZWPCDWNARDBRDBMNXDWNCRAUB
    WJWKWMUCZUDWNCRBUBWJWKWMUEZUDWNBMWNWLMEZKBMKZWNWLXGWNWLMNZWLXGNWMWJXIWKWLUF
    UGXGMWLUHUIUJULWNBMWNBXFOZWNUMUNUOZUPZABUQURZWOUSPOWNAXBWJWMAUTDWKWJWMSZAWJ
    WMVCOQZWNWQWNWQWNABXEXFVAVBZVDZWNWQXPWNWQMNZAMKZXHSZVMZWNXHXSXKVEWJWKXRYAVN
    WMWJWKSXTWQMABVFVGVHVIZVJZVKWNWOEZHIZAWLFGZHIZWPEZXCEZWNYDYFHWNABXOXJXLTZVL
    WNXDYEYHKZXMXDYKYDLIZWTKZWOVOZVPPWNAAWLJGZFGZWRYGYIWNYOWQAFWJWKYOWQKWMABVQV
    HZVRWJWMYGYPKZWKXNYRYFLIZWLYOFGZKZAWLWDZVPQWNYIAEXBFGWRWNAXBXOXQYCVSWNAWQXO
    XPYBVTWAWBWCWEWNAWQXOXPYBTWFWNWTBXBFGZXAWNYLYSWTUUCWNYDYFLYJVLWNXDYMXMXDYKY
    MYNWGPWNYTWLWQFGZYSUUCWNYOWQWLFYQVRWJWMUUAWKXNYRUUAUUBWGQWNXAUUCUUDWNBWQXJX
    PYBTZWNBWQXJXPYBVSWHWBWCUUEWFWI $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Integers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d w x y $.  $d x A $.  $d w ph $.  $d x ch $.  $d x ps $.  $d x ta $.
    $d x th $.
    nnindf.x $e |- F/ y ph $.
    $( Substitutions. $)
    nnindf.1 $e |- ( x = 1 -> ( ph <-> ps ) ) $.
    nnindf.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    nnindf.3 $e |- ( x = ( y + 1 ) -> ( ph <-> th ) ) $.
    nnindf.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    nnindf.5 $e |- ps $.
    $( Induction step. $)
    nnindf.6 $e |- ( y e. NN -> ( ch -> th ) ) $.
    $( Principle of Mathematical Induction, using a bound-variable hypothesis
       instead of distinct variables.  (Contributed by Thierry Arnoux,
       6-May-2018.) $)
    nnindf $p |- ( A e. NN -> ta ) $=
      ( vw cn wcel c1 elrab crab wa caddc wral wss 1nn mpbir2an elrabi peano2nn
      cv a1d anim12d 3imtr4g mpcom rgen nfcv nfrabw nfv nfel2 wceq oveq1 eleq1d
      co cbvralfw mpbi peano5nni mp2an sseli sylib simprd ) HQRZVKEVKHAFQUAZRVK
      EUBQVLHSVLRZPUJZSUCVCZVLRZPVLUDZQVLUEVMSQRBUFNABFSQJTUGGUJZSUCVCZVLRZGVLU
      DVQVTGVLVRQRZVRVLRZVTAFVRQUHWAWACUBVSQRZDUBWBVTWAWAWCCDWAWCWAVRUIUKOULACF
      VRQKTADFVSQLTUMUNUOVTVPGPVLAGFQIGQUPUQZPVLUPVTPURGVOVLWDUSVRVNUTVSVOVLVRV
      NSUCVAVBVDVEPVLVFVGVHAEFHQMTVIVJ $.
  $}

  ${
    $d k m n ph $.  $d k m ps $.  $d k n ta $.  $d k n th $.  $d m n ch $.
    nn0min.0 $e |- ( n = 0 -> ( ps <-> ch ) ) $.
    nn0min.1 $e |- ( n = m -> ( ps <-> th ) ) $.
    nn0min.2 $e |- ( n = ( m + 1 ) -> ( ps <-> ta ) ) $.
    nn0min.3 $e |- ( ph -> -. ch ) $.
    nn0min.4 $e |- ( ph -> E. n e. NN ps ) $.
    $( Extracting the minimum positive integer for which a property ` ch ` does
       not hold.  This uses substitutions similar to ~ nn0ind .  (Contributed
       by Thierry Arnoux, 6-May-2018.) $)
    nn0min $p |- ( ph -> E. m e. NN0 ( -. th /\ ta ) ) $=
      ( vk wn cn0 wi cn c1 wceq notbid wa wral wrex adantr wsb wsbc cv nfv nfan
      nfra1 nfim dfsbcq2 imbi2d sbhypf caddc co sbequ12r cc0 wcel sbiev bitr3id
      0nn0 wb oveq1 0p1e1 eqtrdi 1nn eleq1 mpbiri sbcieg sbceq1d bitr3d imbi12d
      3syl rspcv ax-mp mpan9 cbvralsvw nnnn0 syl syl5bi adantld a2d nnindf rgen
      r19.21v mpbi ralnex sylib pm2.65da imnan ralbii sylnib dfrex2 sylibr ) AD
      NZEUAZNZFOUBZNWQFOUCAWPENZPZFOUBZWSAXBBGQUCZAXCXBLUDAXBUAZBNZGQUBZXCNXDXE
      PZGQUBXDXFPXGGQXDBGMUEZNZPXDBGRUFZNZPXDWPPXDWTPXGMFGUGZXDXIFAXBFAFUHXAFOU
      JUIXIFUHUKMUGZRSZXIXKXDXNXHXJBGMRULTUMXMFUGZSZXIWPXDXPXHDBDGMXODGUHZIUNTU
      MXMXORUOUPZSZXIWTXDXSXHEBEGMXREGUHJUNTUMXMXLSZXIXEXDXTXHBBMGUQTUMACNZXBXK
      KUROUSXBYAXKPZPVBXAYBFUROXOURSZWPYAWTXKYCDCDBGFUEYCCBDGFXQIUTBCGFURCGUHHU
      NVATYCEXJYCBGXRUFZEXJYCXRRSZXRQUSZYDEVCYCXRURRUOUPRXOURRUOVDVEVFZYEYFRQUS
      VGXRRQVHVIBEGXRQJVJVNYCBGXRRYGVKVLTVMVOVPVQXOQUSZXDWPWTYHXBXAAXBXAFMUEZMO
      UBZYHXAXAFMOVRYHXOOUSYJXAPXOVSYIXAMXOOXAMFUQVOVTWAWBWCWDWEXDXEGQWFWGBGQWH
      WIWJXAWRFOWPEWKWLWMWQFOWNWO $.
  $}

  ${
    subne0nn.1 $e |- ( ph -> M e. CC ) $.
    subne0nn.2 $e |- ( ph -> N e. CC ) $.
    subne0nn.3 $e |- ( ph -> ( M - N ) e. NN0 ) $.
    subne0nn.4 $e |- ( ph -> M =/= N ) $.
    $( A nonnegative difference is positive if the two numbers are not equal.
       (Contributed by Thierry Arnoux, 17-Dec-2023.) $)
    subne0nn $p |- ( ph -> ( M - N ) e. NN ) $=
      ( cmin co cn0 wcel cc0 wne cn subne0d elnnne0 sylanbrc ) ABCHIZJKRLMRNKFA
      BCDEGORPQ $.
  $}

  ${
    ltesubnnd.1 $e |- ( ph -> M e. ZZ ) $.
    ltesubnnd.2 $e |- ( ph -> N e. NN ) $.
    $( Subtracting an integer number from another number decreases it.  See
       ~ ltsubrpd .  (Contributed by Thierry Arnoux, 18-Apr-2017.) $)
    ltesubnnd $p |- ( ph -> ( ( M + 1 ) - N ) <_ M ) $=
      ( c1 caddc co cmin cle zcnd 1cnd nncnd addsubd clt wbr zred nnrpd cz wcel
      ltsubrpd wb nnzd zsubcld zltp1le syl2anc mpbid eqbrtrd ) ABFGHCIHBCIHZFGH
      ZBJABFCABDKALACEMNAUIBOPZUJBJPZABCABDQACERUAAUISTBSTUKULUBABCDACEUCUDDUIB
      UEUFUGUH $.
  $}

  ${
    $d A k $.  $d C k $.  $d K k $.  $d ph k $.
    fprodeq02.1 $e |- ( k = K -> B = C ) $.
    fprodeq02.a $e |- ( ph -> A e. Fin ) $.
    fprodeq02.b $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fprodeq02.k $e |- ( ph -> K e. A ) $.
    fprodeq02.c $e |- ( ph -> C = 0 ) $.
    $( If one of the factors is zero the product is zero.  (Contributed by
       Thierry Arnoux, 11-Dec-2021.) $)
    fprodeq02 $p |- ( ph -> prod_ k e. A B = 0 ) $=
      ( cprod csn cmul co cc0 wceq wcel cc cfn cin c0 disjdif a1i cun wss snssd
      cdif undif sylib eqcomd fprodsplit 0cnd eqeltrd prodsn eqtrd oveq1d diffi
      syl2anc syl cv difssd sselda syldan fprodcl mul02d 3eqtrd ) ABCELFMZCELZB
      VHUHZCELZNOPVKNOPAVHVJCBEVHVJUAUBQAVHBUCUDAVHVJUEZBAVHBUFVLBQAFBJUGVHBUIU
      JUKHIULAVIPVKNAVIDPAFBRDSRVIDQJADPSKAUMUNCDEFBGUOUSKUPUQAVKAVJCEABTRVJTRH
      BVHURUTAEVAZVJRVMBRCSRAVJBVMABVHVBVCIVDVEVFVG $.
  $}

  $( The range of the indicator function is a subset of ` RR ` .  (Contributed
     by Thierry Arnoux, 14-Aug-2017.) $)
  pr01ssre $p |- { 0 , 1 } C_ RR $=
    ( cc0 cr wcel c1 cpr wss 0re 1re prssi mp2an ) ABCDBCADEBFGHADBIJ $.

  ${
    $d A k l $.  $d B l $.  $d C k $.  $d k l ph $.
    fprodex01.1 $e |- ( k = l -> B = C ) $.
    fprodex01.a $e |- ( ph -> A e. Fin ) $.
    fprodex01.b $e |- ( ( ph /\ k e. A ) -> B e. { 0 , 1 } ) $.
    $( A product of factors equal to zero or one is zero exactly when one of
       the factors is zero.  (Contributed by Thierry Arnoux, 11-Dec-2021.) $)
    fprodex01 $p |- ( ph -> prod_ k e. A B = if ( A. l e. A C = 1 , 1 , 0 ) )
      $=
      ( c1 wceq wral cc0 cprod wa simpr wcel adantr cc adantlr cv eqeq1d sylibr
      cif cbvralvw prodeq2d cfn cuz cfv wss prod1 olcs syl eqtr2d nfv nfra1 nfn
      wn nfan ad2antrr cr pr01ssre ax-resscn sstri sselid simplr fprodeq02 wrex
      cpr rexnal biimpri adantl wi wo ralrimiva eleq1d sylib r19.21bi 1ex elpr2
      c0ex orcomd ord reximdva mpd r19.29af2 eqcomd ifeqda ) ADJKZFBLZJMUDBCENZ
      AWJJMWKAWJOZWKBJENZJWLBCJEWLWJCJKZEBLAWJPWNWIEFBEUAZFUAZKZCDJGUBUEUCUFAWM
      JKZWJABUGQZWRHBMUHUIUJWSWRBEMUKULUMRUNAWJURZOZWKMXADMKZWKMKZFBAWTFAFUOWJF
      WIFBUPUQUSXCFUOXAWPBQZOZXBOBCDEWPGXAWSXDXBAWSWTHRUTXEWOBQZCSQZXBXAXFXGXDA
      XFXGWTAXFOMJVIZSCXHVASVBVCVDIVETTTXAXDXBVFXEXBPVGXAWIURZFBVHZXBFBVHZWTXJA
      XJWTWIFBVJVKVLAXJXKVMWTAXIXBFBAXDOZWIXBXLXBWIXLDXHQZXBWIVNAXMFBACXHQZEBLX
      MFBLAXNEBIVOXNXMEFBWQCDXHGVPUEVQVRDMJWAVSVTVQWBWCWDRWEWFWGWHWG $.
  $}

  ${
    $d A k $.  $d B k $.  $d C k $.  $d E k $.  $d F k $.  $d G k $.  $d V k $.
    $d W k $.  $d X k $.  $d ph k $.
    prodpr.1 $e |- ( k = A -> D = E ) $.
    prodpr.2 $e |- ( k = B -> D = F ) $.
    prodpr.a $e |- ( ph -> A e. V ) $.
    prodpr.b $e |- ( ph -> B e. W ) $.
    prodpr.e $e |- ( ph -> E e. CC ) $.
    prodpr.f $e |- ( ph -> F e. CC ) $.
    prodpr.3 $e |- ( ph -> A =/= B ) $.
    $( A product over a pair is the product of the elements.  (Contributed by
       Thierry Arnoux, 1-Jan-2022.) $)
    prodpr $p |- ( ph -> prod_ k e. { A , B } D = ( E x. F ) ) $=
      ( cprod wceq wcel cc cpr csn cmul co wne cin c0 disjsn2 syl cun df-pr a1i
      cfn prfi cv wo vex elpr wa adantl adantr eqeltrd jaodan fprodsplit prodsn
      sylan2b syl2anc oveq12d eqtrd ) ABCUAZDEQBUBZDEQZCUBZDEQZUCUDFGUCUDAVKVMD
      VJEABCUEVKVMUFUGRPBCUHUIVJVKVMUJRABCUKULVJUMSABCUNULEUOZVJSAVOBRZVOCRZUPD
      TSZVOBCEUQURAVPVRVQAVPUSDFTVPDFRAJUTAFTSZVPNVAVBAVQUSDGTVQDGRAKUTAGTSZVQO
      VAVBVCVFVDAVLFVNGUCABHSVSVLFRLNDFEBHJVEVGACISVTVNGRMODGECIKVEVGVHVI $.

    prodtp.1 $e |- ( k = C -> D = G ) $.
    prodtp.c $e |- ( ph -> C e. X ) $.
    prodtp.g $e |- ( ph -> G e. CC ) $.
    prodtp.2 $e |- ( ph -> A =/= C ) $.
    prodtp.3 $e |- ( ph -> B =/= C ) $.
    $( A product over a triple is the product of the elements.  (Contributed by
       Thierry Arnoux, 1-Jan-2022.) $)
    prodtp $p |- ( ph -> prod_ k e. { A , B , C } D = ( ( E x. F ) x. G ) ) $=
      ( ctp cprod cpr csn cmul co wne cin c0 disjprsn syl2anc cun df-tp a1i cfn
      wceq wcel tpfi cv w3o cc vex eltp adantl adantr eqeltrd adantlr mpjao3dan
      wa simpr sylan2b fprodsplit prodpr prodsn oveq12d eqtrd ) ABCDUEZEFUFBCUG
      ZEFUFZDUHZEFUFZUIUJGHUIUJZIUIUJAWBWDEWAFABDUKCDUKWBWDULUMUTUCUDBCDUNUOWAW
      BWDUPUTABCDUQURWAUSVAABCDVBURFVCZWAVAAWGBUTZWGCUTZWGDUTZVDZEVEVAZWGBCDFVF
      VGAWKVMWHWLWIWJAWHWLWKAWHVMEGVEWHEGUTAMVHAGVEVAWHQVIVJVKAWIWLWKAWIVMEHVEW
      IEHUTANVHAHVEVAWIRVIVJVKAWJWLWKAWJVMEIVEWJEIUTATVHAIVEVAZWJUBVIVJVKAWKVNV
      LVOVPAWCWFWEIUIABCEFGHJKMNOPQRSVQADLVAWMWEIUTUAUBEIFDLTVRUOVSVT $.
  $}

  ${
    $d A k $.  $d D k $.  $d K k $.  $d k ph $.
    fsumub.1 $e |- ( k = K -> B = D ) $.
    fsumub.2 $e |- ( ph -> A e. Fin ) $.
    fsumub.3 $e |- ( ph -> sum_ k e. A B = C ) $.
    fsumub.4 $e |- ( ( ph /\ k e. A ) -> B e. RR+ ) $.
    fsumub.k $e |- ( ph -> K e. A ) $.
    $( An upper bound for a term of a positive finite sum.  (Contributed by
       Thierry Arnoux, 27-Dec-2021.) $)
    fsumub $p |- ( ph -> D <_ C ) $=
      ( csu cle cv wcel wa rpred rpge0d fsumge1 breqtrd ) AEBCFMDNABCEFGIAFOBPQ
      ZCKRUBCKSHLTJUA $.
  $}

  ${
    $d A f k l x y z $.  $d B f k l y z $.  $d C f x y z $.
    $d ph f k l x y z $.
    fsumiunle.1 $e |- ( ph -> A e. Fin ) $.
    fsumiunle.2 $e |- ( ( ph /\ x e. A ) -> B e. Fin ) $.
    fsumiunle.3 $e |- ( ( ( ph /\ x e. A ) /\ k e. B ) -> C e. RR ) $.
    fsumiunle.4 $e |- ( ( ( ph /\ x e. A ) /\ k e. B ) -> 0 <_ C ) $.
    $( Upper bound for a sum of nonnegative terms over an indexed union.  The
       inequality may be strict if the indexed union is non-disjoint, since in
       the right hand side, a summand may be counted several times.
       (Contributed by Thierry Arnoux, 1-Jan-2021.) $)
    fsumiunle $p |- ( ph ->
        sum_ k e. U_ x e. A B C <_ sum_ x e. A sum_ k e. B C ) $=
      ( vy cfv wceq wa csu cle cfn nfcv wcel syl2anc vf vl vz ciun cv wf1o c2nd
      crn wral csn cxp wss wbr wf1 wex aciunf1 f1f1orn anim1i frnd adantr eximi
      f1f jca syl csb csbeq1a nfcsb1v cbvsum ccnv csbeq1 snfi sylancr ralrimiva
      xpfi iunfi simprr ssfid simprl f1ocnv adantrlr nfv nfiu1 nfrn nfralw nfan
      nff1o nfss fveq2d simplr simp-4r simpld simprd ad2antrr 2fveq3 id eqeq12d
      simpr rspcva eqtr3d f1ocnvfv1 3eqtr2rd wrex f1ofn simpllr fvelrnb r19.29a
      wfn biimpa sselda eliun sylib r19.29af cc nfel nfim eleq1w anbi2d imbi12d
      wi eleq1d cr adantllr biimpi adantl chvarfv adantlr fsumf1o syl5eq eqcomd
      recnd xp2nd nfel1 rspc imp cc0 c1st xp1st elsni simplll vex sylan2 breq2d
      fsumless eqbrtrrd a1i sumeq2sdv cop op2ndd csbeq1d anasss fsum2d breqtrrd
      nfbr eqtrd exlimddv ) ABCDUDZUAUEZUHZUUQUFZUBUEZUUQLUGLZUUTMZUBUUPUIZNZUU
      RBCBUEZUJZDUKZUDZULZNZUUPEFOZCDEFOZBOZPUMUAAUUPUVHUUQUNZUVCNZUAUOUVJUAUOA
      CDUABUBQQGHUPUVOUVJUAUVOUVDUVIUVNUUSUVCUUPUVHUUQUQURUVNUVIUVCUVNUUPUVHUUQ
      UUPUVHUUQVBUSUTVCVAVDAUVJNZUVKUVHFUCUEZUGLZEVEZUCOZUVMPUVPUURUVSUCOZUVKUV
      TPUVPUVKUWAUVPUVKUUPFKUEZEVEZKOUWAUUPEUWCFKFUWBEVFZKUUPRFUUPRKERZFUWBEVGZ
      VHUVPUUPUWCUURUVSKUCUUQVIZUVRFUWBUVREVJUVPUVHUURAUVHQSZUVJACQSUVGQSZBCUIU
      WHGAUWIBCAUVECSZNZUVFQSDQSUWIUVEVKHUVFDVNVLVMBCUVGVOTUTZAUVDUVIVPZVQAUUSU
      VIUURUUPUWGUFZUVCAUUSUVINNUUSUWNAUUSUVIVRUUPUURUUQVSVDVTUVPUVQUURSZNZUVQU
      VGSZUVQUWGLZUVRMZBCUVPUWOBAUVJBABWAZUVDUVIBUUSUVCBBUUPUURUUQBUUQRZBCDWBZB
      UUQUXAWCWFUVBBUBUUPUXBUVBBWAWDWEBUURUVHBUURRBCUVGWBZWGWEWEUWOBWAWEUWPUWJN
      UWQNZFUEZUUQLZUVQMZUWSFUUPUXDUXEUUPSZNZUXGNZUVRUXEUXFUWGLZUWRUXJUXFUGLZUV
      RUXEUXJUXFUVQUGUXIUXGWQZWHUXJUXHUVCUXLUXEMZUXDUXHUXGWIZUXDUVCUXHUXGUXDUUS
      UVCUXDUVDUVIAUVJUWOUWJUWQWJWKZWLWMUVBUXNUBUXEUUPUUTUXEMZUVAUXLUUTUXEUUTUX
      EUGUUQWNUXQWOWPWRTWSUXJUUSUXHUXKUXEMUXDUUSUXHUXGUXDUUSUVCUXPWKZWMUXOUUPUU
      RUXEUUQWTTUXJUXFUVQUWGUXMWHXAUXDUUQUUPXGZUWOUXGFUUPXBZUXDUUSUXSUXRUUPUURU
      UQXCVDUVPUWOUWJUWQXDUXSUWOUXTFUUPUVQUUQXEXHTXFUWPUVQUVHSZUWQBCXBZUVPUURUV
      HUVQUWMXIBUVQCUVGXJZXKXLAUWBUUPSZUWCXMSZUVJAUXHNZEXMSZXSAUYDNZUYEXSFKUYHU
      YEFUYHFWAFUWCXMUWFFXMRXNXOUXEUWBMZUYFUYHUYGUYEUYIUXHUYDAFKUUPXPXQUYIEUWCX
      MUWDXTZXRUYFUXEDSZUYGBCAUXHBUWTBUXEUUPBUXERUXBXNWEUYFUWJNUYKNEAUWJUYKEYAS
      ZUXHIYBYJUXHUYKBCXBZAUXHUYMBUXECDXJYCYDXLYEYFYGYHYIUVPUVHUVSUURUCUWLAUYAU
      VSYASZUVJAUYANZUWQUYNBCAUYABUWTBUVQUVHBUVQRUXCXNWEZUYOUWJNZUWQNZUVRDSZUYL
      FDUIZUYNUWQUYSUYQUVQUVFDYKZYDZUYQUYTUWQAUWJUYTUYAUWKUYLFDIVMYFUTUYSUYTUYN
      UYLUYNFUVRDFUVSYAFUVREVGZYLUXEUVRMZEUVSYAFUVREVFZXTYMYNTUYAUYBAUYAUYBUYCY
      CYDZXLYFAUYAYOUVSPUMZUVJUYOUWQVUGBCUYPUYRUYSYOEPUMZFDUIZVUGVUBUWQUYQUVQYP
      LZUVEMZUYSNZVUIUWQVUKUYSUWQVUJUVFSVUKUVQUVFDYQVUJUVEYRVDVUAVCUYQVULNAUWJV
      UIAUYAUWJVULYSUYOUWJVULWIUWKVUHFDJVMTUUAUYSVUIVUGVUHVUGFUVRDFYOUVSPFYORFP
      RVUCUUMVUDEUVSYOPVUEUUBYMYNTVUFXLYFUWMUUCUUDAUVMUVTMUVJAUVMCDUWCKOZBOUVTA
      CUVLVUMBUVLVUMMADEUWCFKUWDKDRFDRUWEUWFVHUUEUUFAUCCDUWCUVSBKUVQUVEUWBUUGMZ
      UWCUVSVUNFUWBUVREVUNUVRUWBUVEUWBUVQBYTKYTUUHYIUUIYIGHAUWJUWBDSZUYEUWKUYKN
      ZUYGXSUWKVUONZUYEXSFKVUQUYEFVUQFWAFUWCXMUWFYLXOUYIVUPVUQUYGUYEUYIUYKVUOUW
      KFKDXPXQUYJXRVUPEIYJYEUUJUUKUUNUTUULUUO $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Decimal numbers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    dfdec100.a $e |- A e. NN0 $.
    dfdec100.b $e |- B e. NN0 $.
    dfdec100.c $e |- C e. RR $.
    $( Split the hundreds from a decimal value.  (Contributed by Thierry
       Arnoux, 25-Dec-2021.) $)
    dfdec100 $p |- ; ; A B C = ( ( ; ; 1 0 0 x. A ) + ; B C ) $=
      ( c1 cc0 cmul co caddc dfdec10 oveq2i cc 10nn0 dec0u nn0cni mulcli oveq1i
      cdc eqeltrri recni addassi adddii mulassi eqtr3i 3eqtri eqtr2i 3eqtr2ri )
      GHTZHTZAIJZBCTZKJULUJBIJZCKJZKJULUNKJZCKJZABTZCTZUMUOULKBCLMULUNCUKAUJUJI
      JZUKNUJOPZUJUJUJOQZVBRUAADQZRUJBVBBEQZRCFUBUCUSUJURIJZCKJUQURCLVEUPCKVEUJ
      UJAIJZBKJZIJUJVFIJZUNKJUPURVGUJIABLMUJVFBVBUJAVBVCRVDUDVHULUNKUTAIJVHULUJ
      UJAVBVBVCUEUTUKAIVASUFSUGSUHUI $.
  $}

$( End $[ set-mbox-ta-basics.mm $] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Decimal expansion
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Define a decimal expansion constructor.  The decimal expansions built with
  this constructor are not meant to be used alone outside of this chapter.
  Rather, they are meant to be used exclusively as part of a decimal number
  with a decimal fraction, for example ` ( 3 . _ 1 _ 4 _ 1 _ 5 9 ) ` .

  That decimal point operator is defined in the next section.  The bulk of
  these constructions have originally been proposed by David A. Wheeler on
  12-May-2015, and discussed with Mario Carneiro in this thread:
  ~ https://groups.google.com/g/metamath/c/2AW7T3d2YiQ .

$)

  $c _ $. $( Decimal fraction indicator for digits after decimal point $)

  $( Constant used for decimal fraction constructor.  See ~ df-dp2 . $)
  cdp2 $a class _ A B $.

  $( Define the "decimal fraction constructor", which is used to build up
     "decimal fractions" in base 10.  This is intentionally similar to
     ~ df-dec .  (Contributed by David A. Wheeler, 15-May-2015.)  (Revised by
     AV, 9-Sep-2021.) $)
  df-dp2 $a |- _ A B = ( A + ( B / ; 1 0 ) ) $.

  $( Equality theorem for the decimal expansion constructor.  (Contributed by
     David A. Wheeler, 15-May-2015.) $)
  dp2eq1 $p |- ( A = B -> _ A C = _ B C ) $=
    ( wceq c1 cc0 cdc cdiv co caddc cdp2 oveq1 df-dp2 3eqtr4g ) ABDACEFGHIZJIBO
    JIACKBCKABOJLACMBCMN $.

  $( Equality theorem for the decimal expansion constructor.  (Contributed by
     David A. Wheeler, 15-May-2015.) $)
  dp2eq2 $p |- ( A = B -> _ C A = _ C B ) $=
    ( wceq c1 cc0 cdc cdiv co caddc cdp2 oveq1 oveq2d df-dp2 3eqtr4g ) ABDZCAEF
    GZHIZJICBQHIZJICAKCBKPRSCJABQHLMCANCBNO $.

  ${
    dp2eq1i.1 $e |- A = B $.
    $( Equality theorem for the decimal expansion constructor.  (Contributed by
       David A. Wheeler, 15-May-2015.) $)
    dp2eq1i $p |- _ A C = _ B C $=
      ( wceq cdp2 dp2eq1 ax-mp ) ABEACFBCFEDABCGH $.

    $( Equality theorem for the decimal expansion constructor.  (Contributed by
       David A. Wheeler, 15-May-2015.) $)
    dp2eq2i $p |- _ C A = _ C B $=
      ( wceq cdp2 dp2eq2 ax-mp ) ABECAFCBFEDABCGH $.

    dp2eq12i.2 $e |- C = D $.
    $( Equality theorem for the decimal expansion constructor.  (Contributed by
       David A. Wheeler, 15-May-2015.) $)
    dp2eq12i $p |- _ A C = _ B D $=
      ( cdp2 dp2eq1i dp2eq2i eqtri ) ACGBCGBDGABCEHCDBFIJ $.
  $}

  ${
    dp20u.1 $e |- A e. NN0 $.
    $( Add a zero in the tenths (lower) place.  (Contributed by Thierry Arnoux,
       16-Dec-2021.) $)
    dp20u $p |- _ A 0 = A $=
      ( cc0 cdp2 c1 cdc cdiv co caddc df-dp2 cc wcel wne 10nn0 nn0rei recni 0re
      wceq 10pos gtneii div0 mp2an oveq2i nn0cni addid1i 3eqtri ) ACDACECFZGHZI
      HACIHAACJUHCAIUGKLUGCMUHCRUGUGNOPCUGQSTUGUAUBUCAABUDUEUF $.
  $}

  ${
    dp20h.1 $e |- A e. RR+ $.
    $( Add a zero in the unit places.  (Contributed by Thierry Arnoux,
       16-Dec-2021.) $)
    dp20h $p |- _ 0 A = ( A / ; 1 0 ) $=
      ( cc0 cdp2 c1 cdc cdiv co caddc df-dp2 crp wcel cc ax-mp 10nn0 nn0cni 0re
      rpcn 10pos gtneii divcli addid2i eqtri ) CADCAECFZGHZIHUECAJUEAUDAKLAMLBA
      RNUDOPCUDQSTUAUBUC $.
  $}

  $( Closure for the decimal fraction constructor if both values are reals.
     (Contributed by David A. Wheeler, 15-May-2015.) $)
  dp2cl $p |- ( ( A e. RR /\ B e. RR ) -> _ A B e. RR ) $=
    ( cr wcel wa cdp2 c1 cc0 cdc cdiv co caddc df-dp2 wne 10re gt0ne0ii redivcl
    10pos mp3an23 readdcl sylan2 eqeltrid ) ACDZBCDZEABFABGHIZJKZLKZCABMUDUCUFC
    DZUGCDUDUECDUEHNUHOUEORPBUEQSAUFTUAUB $.

  ${
    dp2clq.a $e |- A e. NN0 $.
    dp2clq.b $e |- B e. QQ $.
    $( Closure for a decimal fraction.  (Contributed by Thierry Arnoux,
       16-Dec-2021.) $)
    dp2clq $p |- _ A B e. QQ $=
      ( cdp2 c1 cc0 cdc cdiv co caddc cq df-dp2 cn0 nn0ssq sselii wne 10nn0 0re
      wcel 10pos gtneii qdivcl mp3an qaddcl mp2an eqeltri ) ABEABFGHZIJZKJZLABM
      ALTUILTZUJLTNLAOCPBLTUHLTUHGQUKDNLUHORPGUHSUAUBBUHUCUDAUIUEUFUG $.
  $}

  ${
    rpdp2cl.a $e |- A e. NN0 $.
    rpdp2cl.b $e |- B e. RR+ $.
    $( Closure for a decimal fraction in the positive real numbers.
       (Contributed by Thierry Arnoux, 16-Dec-2021.) $)
    rpdp2cl $p |- _ A B e. RR+ $=
      ( cdp2 c1 cc0 cdc cdiv co caddc crp wcel cr clt wbr ax-mp mp2an wa pm3.2i
      df-dp2 nn0rei rpssre cn 10nn nnrp rpdivcl sselii readdcl nn0ge0i addgegt0
      cle rpgt0 elrp mpbir2an eqeltri ) ABEABFGHZIJZKJZLABUAUSLMUSNMZGUSOPZANMZ
      URNMZUTACUBZLNURUCBLMUQLMZURLMZDUQUDMVEUEUQUFQBUQUGRZUHZAURUIRVBVCSGAULPZ
      GUROPZSVAVBVCVDVHTVIVJACUJVFVJVGURUMQTAURUKRUSUNUOUP $.
  $}

  ${
    rpdp2cl2.a $e |- A e. NN $.
    $( Closure for a decimal fraction with no decimal expansion in the positive
       real numbers.  (Contributed by Thierry Arnoux, 25-Dec-2021.) $)
    rpdp2cl2 $p |- _ A 0 e. RR+ $=
      ( cc0 cdp2 crp nnnn0i dp20u cn wcel nnrp ax-mp eqeltri ) ACDAEAABFGAHIAEI
      BAJKL $.
  $}

  ${
    dp2lt10.a $e |- A e. NN0 $.
    dp2lt10.b $e |- B e. RR+ $.
    dp2lt10.1 $e |- A < ; 1 0 $.
    dp2lt10.2 $e |- B < ; 1 0 $.
    $( Decimal fraction builds real numbers less than 10.  (Contributed by
       Thierry Arnoux, 16-Dec-2021.) $)
    dp2lt10 $p |- _ A B < ; 1 0 $=
      ( c1 cc0 co caddc clt c9 wbr 9p1e10 cz wcel wb mp2an cr wa cdc df-dp2 cle
      cdp2 cdiv breqtrri nn0zi 9nn0 zleltp1 mpbir crp rpssre sselii 10re elrpii
      divlt1lt wi nn0rei 0re gtneii redivcli pm3.2i 9re leltadd breqtri eqbrtri
      10pos 1re ) ABUDABGHUAZUEIZJIZVIKABUBVKLGJIZVIKALUCMZVJGKMZVKVLKMZVMAVLKM
      ZAVIVLKENUFAOPLOPVMVPQACUGLUHUGALUIRUJVNBVIKMZFBSPVIUKPVNVQQUKSBULDUMZVIU
      NVGUOBVIUPRUJASPZVJSPZTLSPZGSPZTVMVNTVOUQVSVTACURBVIVRUNHVIUSVGUTVAVBWAWB
      VCVHVBAVJLGVDRRNVEVF $.
  $}

  ${
    dp2lt.a $e |- A e. NN0 $.
    dp2lt.b $e |- B e. RR+ $.
    ${
      dp2lt.c $e |- C e. RR+ $.
      dp2lt.l $e |- B < C $.
      $( Comparing two decimal fractions (equal unit places).  (Contributed by
         Thierry Arnoux, 16-Dec-2021.) $)
      dp2lt $p |- _ A B < _ A C $=
        ( cc0 cdiv co caddc cdp2 clt cr wcel wbr crp rpssre 10re mp3an c1 10pos
        cdc w3a wne sselii 0re gtneii redivcl nn0rei 3pm3.2i pm3.2i ltdiv1 mpbi
        wa wb axltadd imp mp2an df-dp2 3brtr4i ) ABUAHUCZIJZKJZACVBIJZKJZABLACL
        MVCNOZVENOZANOZUDZVCVEMPZVDVFMPZVGVHVIBNOZVBNOZVBHUEZVGQNBREUFZSHVBUGUB
        UHZBVBUITCNOZVNVOVHQNCRFUFZSVQCVBUITADUJUKBCMPZVKGVMVRVNHVBMPZUOVTVKUPV
        PVSVNWASUBULBCVBUMTUNVJVKVLVCVEAUQURUSABUTACUTVA $.
    $}

    ${
      dp2ltsuc.1 $e |- B < ; 1 0 $.
      dp2ltsuc.2 $e |- ( A + 1 ) = C $.
      $( Comparing a decimal fraction with the next integer.  (Contributed by
         Thierry Arnoux, 25-Dec-2021.) $)
      dp2ltsuc $p |- _ A B < C $=
        ( c1 cc0 cdc cdiv co caddc cdp2 clt wbr crp wcel 10re mpbi cr rpre 10nn
        ax-mp 10pos ltdiv1ii recni nnne0i dividi breqtri redivcli nn0rei df-dp2
        1re ltadd2i eqcomi 3brtr4i ) ABHIJZKLZMLZAHMLZABNCOUSHOPUTVAOPUSURURKLZ
        HOBUROPUSVBOPFBURURBQRBUAREBUBUDZSSUEUFTURURSUGURUCUHZUIUJUSHABURVCSVDU
        KUNADULUOTABUMVACGUPUQ $.
    $}

    ${
      dp2ltc.c $e |- C e. NN0 $.
      dp2ltc.d $e |- D e. RR+ $.
      dp2ltc.s $e |- B < ; 1 0 $.
      dp2ltc.l $e |- A < C $.
      $( Comparing two decimal expansions (unequal higher places).
         (Contributed by Thierry Arnoux, 16-Dec-2021.) $)
      dp2ltc $p |- _ A B < _ C D $=
        ( c1 co caddc clt wbr cr wcel crp 10re mp2an cc0 cdc cdiv cle wb rpssre
        cdp2 sselii 10pos elrp mpbir2an divlt1lt mpbir gt0ne0ii redivcli nn0rei
        1re ltadd2 mp3an mpbi cz nn0zi zltp1le readdcli ltletri wa pm3.2i ax-mp
        rpdivcl ltaddrp lttri df-dp2 3brtr4i ) ABKUAUBZUCLZMLZCDVNUCLZMLZABUGCD
        UGNVPCNOZCVRNOZVPVRNOVPAKMLZNOZWACUDOZVSVOKNOZWBWDBVNNOZIBPQVNRQZWDWEUE
        RPBUFFUHZWFVNPQUAVNNOSUIVNUJUKZBVNULTUMVOPQKPQAPQWDWBUEBVNWGSVNSUIUNZUO
        ZUQAEUPZVOKAURUSUTACNOZWCJAVAQCVAQWLWCUEAEVBCGVBACVCTUTVPWACAVOWKWJVDZA
        KWKUQVDCGUPZVETCPQVQRQZVTWNDRQZWFVFWOWPWFHWHVGDVNVIVHCVQVJTVPCVRWMWNCVQ
        WNDVNRPDUFHUHSWIUOVDVKTABVLCDVLVM $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Decimal point
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Define the decimal point operator and the decimal fraction constructor.  This
  can model traditional decimal point notation, and serve as a convenient way
  to write some fractional numbers.  See ~ df-dp and ~ df-dp2 for more
  information; ~ dpval2 and ~ dpfrac1 provide a more convenient way to obtain a
  value.  This is intentionally similar to ~ df-dec .

$)

  $c . $. $( Decimal point. $)

  $( Decimal point operator.  See ~ df-dp . $)
  cdp $a class . $.

  ${
    $d x y $.

    $( Define the ` . ` (decimal point) operator.  For example,
       ` ( 1 . 5 ) = ( 3 / 2 ) ` , and
       ` -u ( ; 3 2 . _ 7 _ 1 8 ) = -u ( ; ; ; ; 3 2 7 1 8 / ; ; ; 1 0 0 0 ) `
       Unary minus, if applied, should normally be applied in front of the
       parentheses.

       Metamath intentionally does not have a built-in construct for numbers,
       so it can show that numbers are something you can build based on set
       theory.  However, that means that Metamath has no built-in way to parse
       and handle decimal numbers as traditionally written, e.g., "2.54".  Here
       we create a system for modeling traditional decimal point notation; it
       is not syntactically identical, but it is sufficiently similar so it is
       a reasonable model of decimal point notation.  It should also serve as a
       convenient way to write some fractional numbers.

       The RHS is ` RR ` , not ` QQ ` ; this should simplify some proofs.  The
       LHS is ` NN0 ` , since that is what is used in practice.  The definition
       intentionally does not allow negative numbers on the LHS; if it did,
       nonzero fractions would produce the wrong results.  (It would be
       possible to define the decimal point to do this, but using it would be
       more complicated, and the expression ` -u ( A . B ) ` is just as
       convenient.)  (Contributed by David A. Wheeler, 15-May-2015.) $)
    df-dp $a |- . = ( x e. NN0 , y e. RR |-> _ x y ) $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Define the value of the decimal point operator.  See ~ df-dp .
       (Contributed by David A. Wheeler, 15-May-2015.) $)
    dpval $p |- ( ( A e. NN0 /\ B e. RR ) -> ( A . B ) = _ A B ) $=
      ( vx vy cn0 cr cv cdp2 cdp c1 cc0 cdc cdiv caddc wceq df-dp2 oveq1 syl5eq
      co oveq2d eqtr4di df-dp ovexi ovmpo ) CDABEFCGZDGZHZABHZIAUFJKLZMSZNSZUEA
      OUGUEUJNSUKUEUFPUEAUJNQRUFBOZUKABUIMSZNSUHULUJUMANUFBUIMQTABPZUACDUBUHAUM
      NUNUCUD $.
  $}

  $( Prove that the closure of the decimal point is ` RR ` as we have defined
     it.  See ~ df-dp .  (Contributed by David A. Wheeler, 15-May-2015.) $)
  dpcl $p |- ( ( A e. NN0 /\ B e. RR ) -> ( A . B ) e. RR ) $=
    ( cn0 wcel cr wa cdp co cdp2 dpval nn0re dp2cl sylan eqeltrd ) ACDZBEDZFABG
    HABIZEABJOAEDPQEDAKABLMN $.

  $( Prove a simple equivalence involving the decimal point.  See ~ df-dp and
     ~ dpcl .  (Contributed by David A. Wheeler, 15-May-2015.)  (Revised by AV,
     9-Sep-2021.) $)
  dpfrac1 $p |- ( ( A e. NN0 /\ B e. RR ) -> ( A . B ) = ( ; A B / ; 1 0 ) ) $=
    ( cn0 wcel cr wa cdp2 c1 cc0 cdc cdiv co caddc df-dp2 dpval wceq nn0cn 10re
    cdp cc recn cmul dfdec10 oveq1i recni a1i id mulcld wne 10pos pm3.2i divdir
    gt0ne0ii mp3an3 sylan divcan3 mp3an23 oveq1d adantr syl5eq syl2an 3eqtr4a
    eqtrd ) ACDZBEDZFABGABHIJZKLZMLZABSLABJZVFKLZABNABOVDATDZBTDZVJVHPVEAQBUAVK
    VLFZVJVFAUBLZBMLZVFKLZVHVIVOVFKABUCUDVMVPVNVFKLZVGMLZVHVKVNTDZVLVPVRPZVKVFA
    VFTDZVKVFRUEZUFVKUGUHVSVLWAVFIUIZFVTWAWCWBVFRUJUMZUKVNBVFULUNUOVKVRVHPVLVKV
    QAVGMVKWAWCVQAPWBWDAVFUPUQURUSVCUTVAVB $.

  $( TODO: Work out conversions and demos. E.G.,

     dpval.1 $e |- A e. NN0 $.
     dpval.2 $e |- B e. QQ $.
     dpval $p |- ( A . B ) = _ A B $.

     dpcl $p |- ( A . B ) e. QQ $.

     dpfracp1.1 $e |- ( ; A B . C ) = ( D / E ) $.
     dpfracp1 $p |- ( A . _ B C ) = ( D / ; E 0 ) $.
  $)

  ${
    dpval2.a $e |- A e. NN0 $.
    dpval2.b $e |- B e. RR $.
    $( Value of the decimal point construct.  (Contributed by Thierry Arnoux,
       16-Dec-2021.) $)
    dpval2 $p |- ( A . B ) = ( A + ( B / ; 1 0 ) ) $=
      ( cdp co cdp2 c1 cc0 cdc cdiv caddc wcel cr wceq dpval mp2an df-dp2 eqtri
      cn0 ) ABEFZABGZABHIJKFLFATMBNMUAUBOCDABPQABRS $.

    $( Value of the decimal point construct.  (Contributed by Thierry Arnoux,
       16-Dec-2021.) $)
    dpval3 $p |- ( A . B ) = _ A B $=
      ( cdp co c1 cc0 cdc cdiv caddc cdp2 dpval2 df-dp2 eqtr4i ) ABEFABGHIJFKFA
      BLABCDMABNO $.

    $( Multiply by 10 a decimal expansion.  (Contributed by Thierry Arnoux,
       25-Dec-2021.) $)
    dpmul10 $p |- ( ( A . B ) x. ; 1 0 ) = ; A B $=
      ( c1 cc0 cdc cmul co cdiv caddc cdp recni 10nn nncni nnne0i divcan2i wcel
      oveq2i cr dpval2 dpcl mp2an mulcomi nn0cni divcli 3eqtr3i dfdec10 3eqtr4i
      cn0 adddii ) EFGZAHIZULBULJIZHIZKIZUMBKIABLIZULHIZABGUOBUMKBULBDMZULNOZUL
      NPZQSULUQHIULAUNKIZHIURUPUQVBULHABCDUASULUQUTUQAUJRBTRUQTRCDABUBUCMUDULAU
      NUTACUEBULUSUTVAUFUKUGABUHUI $.

    $( Divide a decimal number by 10.  (Contributed by Thierry Arnoux,
       25-Dec-2021.) $)
    decdiv10 $p |- ( ; A B / ; 1 0 ) = ( A . B ) $=
      ( cdp co c1 cc0 cdc cmul cdiv dpmul10 oveq1i cn0 wcel cr dpcl mp2an recni
      10nn nncni nnne0i divcan4i eqtr3i ) ABEFZGHIZJFZUFKFABIZUFKFUEUGUHUFKABCD
      LMUEUFUEANOBPOUEPOCDABQRSUFTUAUFTUBUCUD $.
  $}

  ${
    dp3mul10.a $e |- A e. NN0 $.
    dp3mul10.b $e |- B e. NN0 $.
    dp3mul10.c $e |- C e. RR $.
    $( Multiply by 100 a decimal expansion.  (Contributed by Thierry Arnoux,
       25-Dec-2021.) $)
    dpmul100 $p |- ( ( A . _ B C ) x. ; ; 1 0 0 ) = ; ; A B C $=
      ( cdp2 cdp co cc0 cdc cmul caddc wcel nn0cni 10nn0 oveq1i eqtri dpmul10
      cr c1 cdiv cc nn0rei dp2cl mp2an dpval2 10nn nnne0i divcli addcli eqeltri
      recni mulassi dfdec100 mul32i dec0u dpval3 eqtr3i oveq12i dfdec10 adddiri
      mulcli eqtr2i 3eqtr2ri oveq2i 3eqtr3ri ) ABCGZHIZUAJKZLIZVJLIZVIVJVJLIZLI
      ABKCKZVIVJJKZLIVIVJVJVIAVHVJUBIZMIUCAVHDBTNCTNVHTNBEUDFBCUEUFZUGAVPADOZVH
      VJVHVQUMZVJPOZVJUHUIUJUKULVTVTUNVNVOALIZBCKZMIVJALIZVJLIZVHVJLIZMIZVLABCD
      EFUOWDWAWEWBMWDVMALIWAVJAVJVTVRVTUPVMVOALVJPUQZQRBCHIZVJLIWEWBWHVHVJLBCEF
      URQBCEFSUSUTVLWCVHMIZVJLIWFVKWIVJLVKAVHKWIAVHDVQSAVHVARQWCVHVJVJAVTVRVCVS
      VTVBVDVEVMVOVILWGVFVG $.

    $( Multiply by 10 a decimal expansion with 3 digits.  (Contributed by
       Thierry Arnoux, 25-Dec-2021.) $)
    dp3mul10 $p |- ( ( A . _ B C ) x. ; 1 0 ) = ( ; A B . C ) $=
      ( cdp2 cdp co c1 cc0 cdc cmul caddc cr wcel nn0rei dfdec10 10nn recni
      dp2cl mp2an dpmul10 cdiv nncni nn0cni mulcli nnne0i divcli addassi oveq1i
      df-dp2 oveq2i 3eqtr4ri deccl dpval2 eqtr4i 3eqtri ) ABCGZHIJKLZMIAUSLUTAM
      IZUSNIZABLZCHIZAUSDBOPCOPUSOPBEQZFBCUAUBUCAUSRVBVCCUTUDIZNIZVDVABNIZVFNIV
      ABVFNIZNIVGVBVABVFUTAUTSUEZADUFUGBVETCUTCFTVJUTSUHUIUJVCVHVFNABRUKUSVIVAN
      BCULUMUNVCCABDEUOFUPUQUR $.
  $}

  ${
    dpmul1000.a $e |- A e. NN0 $.
    dpmul1000.b $e |- B e. NN0 $.
    dpmul1000.c $e |- C e. NN0 $.
    dpmul1000.d $e |- D e. RR $.
    $( Multiply by 1000 a decimal expansion.  (Contributed by Thierry Arnoux,
       25-Dec-2021.) $)
    dpmul1000 $p |- ( ( A . _ B _ C D ) x. ; ; ; 1 0 0 0 ) = ; ; ; A B C D $=
      ( cdc cc0 cmul co wcel cr mp2an 10nn0 nn0cni oveq1i caddc eqtr3i cdp2 cdp
      c1 cn0 nn0rei dp2cl dpcl recni 0nn0 deccl mulassi dpmul100 dec0u mulcomli
      oveq2i 3eqtr3i dfdec10 mulcli adddiri dfdec100 dpmul10 wceq dpval oveq12i
      mul32i eqtr2i 3eqtri ) ABIZCDUAZIZUCJIZKLZABVIUAZUBLZVKJIZJIZKLZVHCIDIZVN
      VOKLZVKKLVNVOVKKLZKLVLVQVNVOVKVNAUDMVMNMZVNNMEBNMVINMZWABFUECNMDNMZWBCGUE
      HCDUFOZBVIUFOAVMUGOUHVOVKJPUIUJZQZVKPQZUKVSVJVKKABVIEFWDULRVTVPVNKVKVOVPW
      GWFVOWEUMUNUOUPVLVKVHKLZVISLZVKKLWHVKKLZVIVKKLZSLZVRVJWIVKKVHVIUQRWHVIVKV
      KVHWGVHABEFUJZQZURVIWDUHWGUSVRVOVHKLZCDIZSLWLVHCDWMGHUTWOWJWPWKSVKVKKLZVH
      KLWOWJWQVOVHKVKPUMRVKVKVHWGWGWNVETCDUBLZVKKLWPWKCDGHVAWRVIVKKCUDMWCWRVIVB
      GHCDVCORTVDVFVGT $.
  $}

  ${
    dpval3rp.a $e |- A e. NN0 $.
    dpval3rp.b $e |- B e. RR+ $.
    $( Value of the decimal point construct.  (Contributed by Thierry Arnoux,
       16-Dec-2021.) $)
    dpval3rp $p |- ( A . B ) = _ A B $=
      ( crp wcel cr rpre ax-mp dpval3 ) ABCBEFBGFDBHIJ $.
  $}

  ${
    dp0u.1 $e |- A e. NN0 $.
    $( Add a zero in the tenths place.  (Contributed by Thierry Arnoux,
       16-Dec-2021.) $)
    dp0u $p |- ( A . 0 ) = A $=
      ( cc0 cdp co cdp2 0re dpval3 dp20u eqtri ) ACDEACFAACBGHABIJ $.
  $}

  ${
    dp0h.1 $e |- A e. RR+ $.
    $( Remove a zero in the units places.  (Contributed by Thierry Arnoux,
       16-Dec-2021.) $)
    dp0h $p |- ( 0 . A ) = ( A / ; 1 0 ) $=
      ( cc0 cdp co cdp2 c1 cdc cdiv 0nn0 dpval3rp dp20h eqtri ) CADECAFAGCHIECA
      JBKABLM $.
  $}

  ${
    rpdpcl.a $e |- A e. NN0 $.
    rpdpcl.b $e |- B e. RR+ $.
    $( Closure of the decimal point in the positive real numbers.  (Contributed
       by Thierry Arnoux, 16-Dec-2021.) $)
    rpdpcl $p |- ( A . B ) e. RR+ $=
      ( cdp co cdp2 crp dpval3rp rpdp2cl eqeltri ) ABEFABGHABCDIABCDJK $.
  $}

  ${
    dplt.a $e |- A e. NN0 $.
    dplt.b $e |- B e. RR+ $.
    dplt.d $e |- C e. RR+ $.
    dplt.1 $e |- B < C $.
    $( Comparing two decimal expansions (equal higher places).  (Contributed by
       Thierry Arnoux, 16-Dec-2021.) $)
    dplt $p |- ( A . B ) < ( A . C ) $=
      ( cdp2 cdp co clt dp2lt dpval3rp 3brtr4i ) ABHACHABIJACIJKABCDEFGLABDEMAC
      DFMN $.
  $}

  ${
    dplti.a $e |- A e. NN0 $.
    dplti.b $e |- B e. RR+ $.
    dplti.c $e |- C e. NN0 $.
    dplti.1 $e |- B < ; 1 0 $.
    dplti.2 $e |- ( A + 1 ) = C $.
    $( Comparing a decimal expansions with the next higher integer.
       (Contributed by Thierry Arnoux, 16-Dec-2021.) $)
    dplti $p |- ( A . B ) < C $=
      ( co c1 caddc clt cc0 crp wcel cr wbr 10re 10pos mpbir cdp cdc cdiv ax-mp
      rpre dpval2 wb pm3.2i elrp divlt1lt mp2an 0re gtneii redivcli 1re nn0ssre
      wa cn0 sselii ltadd2i mpbi eqbrtri breqtri ) ABUAIZAJKIZCLVDABJMUBZUCIZKI
      ZVELABDBNOBPOZEBUEUDZUFVGJLQZVHVELQVKBVFLQZGVIVFNOZVKVLUGVJVMVFPOZMVFLQZU
      QVNVORSUHVFUITBVFUJUKTVGJABVFVJRMVFULSUMUNUOURPAUPDUSUTVAVBHVC $.
  $}

  ${
    dpgti.a $e |- A e. NN0 $.
    dpgti.b $e |- B e. RR+ $.
    $( Comparing a decimal expansions with the next lower integer.
       (Contributed by Thierry Arnoux, 16-Dec-2021.) $)
    dpgti $p |- A < ( A . B ) $=
      ( c1 cc0 cdc cdiv co caddc cdp clt cr wcel crp wbr nn0rei wa 10re mp2an
      10pos pm3.2i elrp mpbir rpdivcl ltaddrp rpre ax-mp dpval2 breqtrri ) AABE
      FGZHIZJIZABKILAMNULONZAUMLPACQBONZUKONZUNDUPUKMNZFUKLPZRUQURSUAUBUKUCUDBU
      KUETAULUFTABCUOBMNDBUGUHUIUJ $.
  $}

  ${
    dpltc.a $e |- A e. NN0 $.
    dpltc.b $e |- B e. RR+ $.
    dpltc.c $e |- C e. NN0 $.
    dpltc.d $e |- D e. RR+ $.
    dpltc.1 $e |- A < C $.
    dpltc.2 $e |- B < ; 1 0 $.
    $( Comparing two decimal integers (unequal higher places).  (Contributed by
       Thierry Arnoux, 16-Dec-2021.) $)
    dpltc $p |- ( A . B ) < ( C . D ) $=
      ( cdp2 cdp co clt dp2ltc dpval3rp 3brtr4i ) ABKCDKABLMCDLMNABCDEFGHJIOABE
      FPCDGHPQ $.
  $}

  ${
    dpexpp1.a $e |- A e. NN0 $.
    dpexpp1.b $e |- B e. RR+ $.
    dpexpp1.1 $e |- ( P + 1 ) = Q $.
    dpexpp1.p $e |- P e. ZZ $.
    dpexpp1.q $e |- Q e. ZZ $.
    $( Add one zero to the mantisse, and a one to the exponent in a scientific
       notation.  (Contributed by Thierry Arnoux, 16-Dec-2021.) $)
    dpexpp1 $p |- ( ( A . B ) x. ( ; 1 0 ^ P ) )
      = ( ( 0 . _ A B ) x. ( ; 1 0 ^ Q ) ) $=
      ( cdp2 cc0 cexp co cmul wceq crp wcel ax-mp cc oveq1i c1 cdc cdiv cdp wne
      0re 10pos gtneii cr rpdp2cl rpre recni cz clt wa 10re pm3.2i elrp rpexpcl
      mpbir mp2an rpcn mulcli 10nn0 nn0cni divcan1zi div23 mp3an eqtr3i mulassi
      wbr divcli caddc expp1z oveq2i 3eqtri dpval3rp 0nn0 dp20h eqtri 3eqtr4i )
      ABJZUAKUBZCLMZNMZWBWCUCMZWCDLMZNMZABUDMZWDNMKWBUDMZWGNMWEWFWDNMZWCNMZWFWD
      WCNMZNMWHWEWCUCMZWCNMZWEWLWCKUEZWOWEOKWCUFUGUHZWEWCWBWDWBWBPQWBUIQABEFUJZ
      WBUKRULZWDPQZWDSQZWCPQZCUMQZWTXBWCUIQZKWCUNVKZUOXDXEUPUGUQWCURUTHWCCUSVAW
      DVBRZVCWCVDVEZVFRWNWKWCNWBSQXAWCSQZWPUOWNWKOWSXFXHWPXGWQUQWBWDWCVGVHTVIWF
      WDWCWBWCWSXGWQVLXFXGVJWMWGWFNWCCUAVMMZLMZWMWGXHWPXCXJWMOXGWQHWCCVNVHXIDWC
      LGVOVIVOVPWIWBWDNABEFVQTWJWFWGNWJKWBJWFKWBVRWRVQWBWRVSVTTWA $.
  $}

  ${
    0dp2dp.a $e |- A e. NN0 $.
    0dp2dp.b $e |- B e. RR+ $.
    $( Multiply by 10 a decimal expansion which starts with a zero.
       (Contributed by Thierry Arnoux, 16-Dec-2021.) $)
    0dp2dp $p |- ( ( 0 . _ A B ) x. ; 1 0 ) = ( A . B ) $=
      ( cc0 cdp2 cdp co c1 cdc cmul cexp 0p1e1 0z 1z cc wcel wceq ax-mp oveq2i
      dpexpp1 10nn0 nn0cni exp0 exp1 3eqtr3ri crp rpdpcl rpcn mulid1 eqtri ) EA
      BFGHZIEJZKHZABGHZIKHZUOUOUMELHZKHULUMILHZKHUPUNABEICDMNOUAUQIUOKUMPQZUQIR
      UMUBUCZUMUDSTURUMULKUSURUMRUTUMUESTUFUOPQZUPUORUOUGQVAABCDUHUOUISUOUJSUK
      $.
  $}

  ${
    dpadd2.a $e |- A e. NN0 $.
    dpadd2.b $e |- B e. RR+ $.
    dpadd2.c $e |- C e. NN0 $.
    dpadd2.d $e |- D e. RR+ $.
    dpadd2.e $e |- E e. NN0 $.
    dpadd2.f $e |- F e. RR+ $.
    dpadd2.g $e |- G e. NN0 $.
    dpadd2.h $e |- H e. NN0 $.
    dpadd2.i $e |- ( G + H ) = I $.
    dpadd2.1 $e |- ( ( A . B ) + ( C . D ) ) = ( E . F ) $.
    $( Addition with one decimal, no carry.  (Contributed by Thierry Arnoux,
       29-Dec-2021.) $)
    dpadd2 $p |- ( ( G . _ A B ) + ( H . _ C D ) ) = ( I . _ E F ) $=
      ( co cdp2 cdp caddc c1 cc0 cdc cdiv cr wcel nn0rei rpre ax-mp dp2cl mp2an
      crp dpval2 oveq12i nn0cni recni 10nn nncni nnne0i divcli divdiri cn0 wceq
      add4i dpval 3eqtr3i oveq1i eqtr3i nn0addcli eqeltrri eqtr4i 3eqtri ) GABU
      AZUBTZHCDUAZUBTZUCTGVPUDUEUFZUGTZUCTZHVRVTUGTZUCTZUCTGHUCTZWAWCUCTZUCTZIE
      FUAZUBTZVQWBVSWDUCGVPPAUHUIBUHUIZVPUHUIAJUJBUOUIWJKBUKULZABUMUNZUPHVRQCUH
      UIDUHUIZVRUHUICLUJDUOUIWMMDUKULZCDUMUNZUPUQGWAHWCGPURVPVTVPWLUSZVTUTVAZVT
      UTVBZVCHQURVRVTVRWOUSZWQWRVCVGWGIWHVTUGTZUCTWIWEIWFWTUCRVPVRUCTZVTUGTWFWT
      VPVRVTWPWSWQWRVDXAWHVTUGABUBTZCDUBTZUCTEFUBTZXAWHSXBVPXCVRUCAVEUIWJXBVPVF
      JWKABVHUNCVEUIWMXCVRVFLWNCDVHUNUQEVEUIFUHUIZXDWHVFNFUOUIXEOFUKULZEFVHUNVI
      VJVKUQIWHWEIVERGHPQVLVMEUHUIXEWHUHUIENUJXFEFUMUNUPVNVO $.
  $}

  ${
    dpmul.a $e |- A e. NN0 $.
    dpmul.b $e |- B e. NN0 $.
    dpmul.c $e |- C e. NN0 $.
    dpmul.d $e |- D e. NN0 $.
    dpmul.e $e |- E e. NN0 $.
    ${
      dpadd.f $e |- F e. NN0 $.
      dpadd.1 $e |- ( ; A B + ; C D ) = ; E F $.
      $( Addition with one decimal.  (Contributed by Thierry Arnoux,
         27-Dec-2021.) $)
      dpadd $p |- ( ( A . B ) + ( C . D ) ) = ( E . F ) $=
        ( cdc cdiv co caddc cdp nn0rei decdiv10 c1 cc0 deccl nn0cni 10nn nnne0i
        nncni divdiri oveq1i eqtr3i oveq12i 3eqtr3i ) ABNZUAUBNZOPZCDNZUNOPZQPZ
        EFNZUNOPZABRPZCDRPZQPEFRPUMUPQPZUNOPURUTUMUPUNUMABGHUCUDUPCDIJUCUDUNUEU
        GUNUEUFUHVCUSUNOMUIUJUOVAUQVBQABGBHSTCDIDJSTUKEFKFLSTUL $.
    $}

    dpmul.g $e |- G e. NN0 $.
    ${
      dpadd3.f $e |- F e. NN0 $.
      dpadd3.h $e |- H e. NN0 $.
      dpadd3.i $e |- I e. NN0 $.
      dpadd3.1 $e |- ( ; ; A B C + ; ; D E F ) = ; ; G H I $.
      $( Addition with two decimals.  (Contributed by Thierry Arnoux,
         27-Dec-2021.) $)
      dpadd3 $p |- ( ( A . _ B C ) + ( D . _ E F ) ) = ( G . _ H I ) $=
        ( wcel cdp2 cdp co caddc cc c1 cc0 cdc wne wa w3a cmul cn0 nn0rei dp2cl
        wceq mp2an dpcl recni addcli 10nn decnncl2 nncni nnne0i 3pm3.2i adddiri
        cr pm3.2i dpmul100 oveq12i 3eqtr4i eqtri mulcan2 biimpa ) ABCUAZUBUCZDE
        FUAZUBUCZUDUCZUETZGHIUAZUBUCZUETZUFUGUHZUGUHZUETZWEUGUIZUJZUKZVSWEULUCZ
        WBWEULUCZUPZVSWBUPZVTWCWHVPVRVPAUMTVOVGTZVPVGTJBVGTCVGTWNBKUNCLUNZBCUOU
        QAVOURUQUSZVRDUMTVQVGTZVRVGTMEVGTFVGTWQENUNFPUNZEFUOUQDVQURUQUSZUTWBGUM
        TWAVGTZWBVGTOHVGTIVGTWTHQUNIRUNZHIUOUQGWAURUQUSWFWGWEWDVAVBZVCZWEXBVDVH
        VEWJVPWEULUCZVRWEULUCZUDUCZWKVPVRWEWPWSXCVFABUHCUHZDEUHFUHZUDUCGHUHIUHX
        FWKSXDXGXEXHUDABCJKWOVIDEFMNWRVIVJGHIOQXAVIVKVLWIWLWMVSWBWEVMVNUQ $.
    $}

    dpmul.j $e |- J e. NN0 $.
    dpmul.k $e |- K e. NN0 $.
    ${
      dpmul.1 $e |- ( A x. C ) = F $.
      dpmul.2 $e |- ( A x. D ) = M $.
      dpmul.3 $e |- ( B x. C ) = L $.
      dpmul.4 $e |- ( B x. D ) = ; E K $.
      dpmul.5 $e |- ( ( L + M ) + E ) = ; G J $.
      dpmul.6 $e |- ( F + G ) = I $.
      $( Multiplication with one decimal point.  (Contributed by Thierry
         Arnoux, 26-Dec-2021.) $)
      dpmul $p |- ( ( A . B ) x. ( C . D ) ) = ( I . _ J K ) $=
        ( cdp co cmul cc0 cdc cdp2 wceq caddc deccl eqid cn0 nn0mulcli eqeltrri
        c1 nn0addcli decmul1 oveq1i dfdec10 10nn0 nn0cni mulcli 3eqtr3ri oveq2i
        addassi adddii eqtr3i 3eqtr2ri 3eqtr2i 3eqtri decmul1c decmul2c wcel cr
        nn0rei mp2an recni mul4i dec0u dpmul10 oveq12i 3eqtr3i dpmul100 3eqtr4i
        dpcl cc wne wa wb dp2cl 10nn decnncl2 nncni nnne0i pm3.2i mulcan2 mp3an
        mpbi ) ABUGUHZCDUGUHZUIUHZUTUJUKZUJUKZUIUHZHIJULZUGUHZXHUIUHZUMZXFXKUMZ
        ABUKZCDUKZUIUHZHIUKZJUKXIXLCDXRJXOLEUNUHZXPABMNUOOPXPUPTLEADUIUHZLUQUBA
        DMPURUSZQVAZXOCUIUHZXSUNUHFKUKZXSUNUHXGFUIUHZKUNUHZXSUNUHZXRYCYDXSUNABF
        KCXOOMNXOUPZUAUCVBVCYDYFXSUNFKVDVCYGYEKXSUNUHZUNUHYEXGGUIUHZIUNUHZUNUHZ
        XRYEKXSXGFXGVEVFZFACUIUHFUQUAACMOURUSZVFZVGZKBCUIUHKUQUCBCNOURUSVFZXSYB
        VFVJYKYIYEUNKLUNUHEUNUHGIUKYIYKUEKLEYQLYAVFEQVFVJGIVDVHVIXRXGHUIUHZIUNU
        HYEYJUNUHZIUNUHYLHIVDYSYRIUNXGFGUNUHZUIUHYSYRXGFGYMYOGRVFZVKYTHXGUIUFVI
        VLVCYEYJIYPXGGYMUUAVGISVFVJVMVNVOABXSJDEXOPMNYHTQXTLEUNUBVCUDVPVQXFXGXG
        UIUHZUIUHXDXGUIUHZXEXGUIUHZUIUHXIXQXDXEXGXGXDAUQVRBVSVRXDVSVRMBNVTZABWJ
        WAWBZXECUQVRDVSVRXEVSVRODPVTZCDWJWAWBZYMYMWCUUBXHXFUIXGVEWDVIUUCXOUUDXP
        UIABMUUEWECDOUUGWEWFWGHIJYTHUQUFFGYNRVAUSZSJTVTZWHWIXFWKVRXKWKVRXHWKVRZ
        XHUJWLZWMXMXNWNXDXEUUFUUHVGXKHUQVRXJVSVRZXKVSVRUUIIVSVRJVSVRUUMISVTUUJI
        JWOWAHXJWJWAWBUUKUULXHXGWPWQZWRXHUUNWSWTXFXKXHXAXBXC $.
    $}

    dpmul4.f $e |- F e. NN0 $.
    dpmul4.h $e |- H e. NN0 $.
    dpmul4.i $e |- I e. NN0 $.
    dpmul4.l $e |- L e. NN0 $.
    dpmul4.m $e |- M e. NN0 $.
    dpmul4.n $e |- N e. NN0 $.
    dpmul4.o $e |- O e. NN0 $.
    dpmul4.p $e |- P e. NN0 $.
    dpmul4.q $e |- Q e. NN0 $.
    dpmul4.r $e |- R e. NN0 $.
    dpmul4.s $e |- S e. NN0 $.
    dpmul4.t $e |- T e. NN0 $.
    dpmul4.u $e |- U e. NN0 $.
    dpmul4.w $e |- W e. NN0 $.
    dpmul4.x $e |- X e. NN0 $.
    dpmul4.y $e |- Y e. NN0 $.
    dpmul4.z $e |- Z e. NN0 $.
    dpmul4.a $e |- U < ; 1 0 $.
    dpmul4.b $e |- P < ; 1 0 $.
    dpmul4.c $e |- Q < ; 1 0 $.
    dpmul4.1 $e |- ( ; ; L M N + O ) = ; ; ; R S T U $.
    dpmul4.2 $e |- ( ( A . B ) x. ( E . F ) ) = ( I . _ J K ) $.
    dpmul4.3 $e |- ( ( C . D ) x. ( G . H ) ) = ( O . _ P Q ) $.
    dpmul4.4 $e |- ( ; ; ; I J K 1 + ; ; R S T ) = ; ; ; W X Y Z $.
    dpmul4.5 $e |- ( ( ( A . B ) + ( C . D ) ) x. ( ( E . F ) + ( G . H ) ) )
      = ( ( ( I . _ J K ) + ( L . _ M N ) ) + ( O . _ P Q ) ) $.
    $( An upper bound to multiplication of decimal numbers with 4 digits.
       (Contributed by Thierry Arnoux, 25-Dec-2021.) $)
    dpmul4 $p |-
             ( ( A . _ B _ C D ) x. ( E . _ F _ G H ) ) < ( W . _ X _ Y Z ) $=
      ( cdp2 cdp co cdc cmul c1 cc0 cdiv clt wbr caddc cmin c2 deccl cn0 nn0rei
      wcel cr dpcl mp2an recni 10nn mul4i mulcli oveq1i dp3mul10 eqtri 3eqtr2ri
      mulassi dpmul10 oveq12i 3eqtr3ri adddiri eqtr2i addcli 3eqtri 10nn0 dec0u
      oveq2i cc eqeltrri dp2cl 0nn0 nn0cni dpmul100 sq10 eqtr4i dfdec100 ax-1cn
      mulcomi addcomi eqtr3i eqid addassi 3eqtr4i subcli remulcli readdcli mpbi
      mp3an dpmul1000 divcan4i cexp 2nn0 nncni sqvali decsuc mvlladdi karatsuba
      addid2i 1nn0 subdiri 3eqtrri wceq subsub 3eqtr4ri crp 1re resubcli adddii
      sqcli 3decltc ltadd2i dfdec10 mulid2i 3brtr4i eqbrtri posdifi mpbir2an wa
      ltsubrp wb decnncl2 nngt0i pm3.2i ltdiv1 gt0ne0ii div23i 3brtr3i divassi
      elrp ) ABCDVSZVSZVTWAZKLWBZMWBZNWBZWCWAZWDWEWBZWEWBZWEWBZWFWAZUBUCWBZUDWB
      ZUEWBZUWIWFWAZUWBKLMNVSZVSZVTWAZWCWAZUBUCUDUEVSZVSZVTWAZWGUWFUWMWGWHZUWJU
      WNWGWHZABWBZCWBZDWBZUWEWCWAZUWIWFWAZUWMUWIWCWAZUWIWFWAZUWFUWMWGUXGUXIWGWH
      ZUXHUXJWGWHZUXGUXIGHWBZIWBZWDWIWAZUWIWCWAZUWHRSWBZTWBZWCWAZUWHUAWCWAZEFWB
      ZWIWAZWIWAZWJWAZWJWAZUXIWGUXGUWMUXOWJWAZUWGWCWAZUXRWIWAZUWGWKUUAWAZWCWAZU
      AEWBZFWBZWIWAZUYEUXDCDWBZUWCMNWBZOPWBZQWBZUXRUYLWKUYHUXFUWEUYMABUFUGWLZCD
      UHUIWLKLUJUNWLZMNUKUOWLUXQTRSUQURWLUSWLZUUBUYPQVTWAZUWGWCWAZABVTWAZUWGWCW
      AZKLVTWAZUWGWCWAZWCWAZUYQUXDUWCWCWAVUGVUCVUEWCWAZUWGUWGWCWAZWCWAVUHUWGWCW
      AZUWGWCWAVUBVUCUWGVUEUWGVUCAWMWOZBWPWOZVUCWPWOUFBUGWNZABWQWRWSZUWGWTUUCZV
      UEKWMWOZLWPWOZVUEWPWOUJLUNWNZKLWQWRWSZVUOXAVUHUWGUWGVUCVUEVUNVUSXBZVUOVUO
      XGVUJVUAUWGWCVUJOPQVSVTWAZUWGWCWAVUAVUHVVAUWGWCVOXCOPQUPULQUMWNZXDXEXCXFU
      YPQOPUPULWLZVVBXHVUDUXDVUFUWCWCABUFVUMXHZKLUJVURXHZXIXJUYKFVTWAZUWGWCWAZC
      DVTWAZUWGWCWAZMNVTWAZUWGWCWAZWCWAZUYLUYNUYOWCWAVVLVVHVVJWCWAZVUIWCWAVVMUW
      GWCWAZUWGWCWAVVGVVHUWGVVJUWGVVHCWMWODWPWOZVVHWPWOUHDUIWNZCDWQWRWSZVUOVVJM
      WMWONWPWOZVVJWPWOUKNUOWNZMNWQWRWSZVUOXAVVMUWGUWGVVHVVJVVQVVTXBZVUOVUOXGVV
      NVVFUWGWCVVNUAEFVSVTWAZUWGWCWAVVFVVMVWBUWGWCVPXCUAEFUTVAFVBWNZXDXEXCXFUYK
      FUAEUTVAWLZVWCXHVVIUYNVVKUYOWCCDUHVVPXHZMNUKVVSXHZXIXJUXDUYNWIWAZUWCUYOWI
      WAZWCWAZVVARSTVSZVTWAZWIWAZVWBWIWAZVUIWCWAZVWMUWHWCWAZUYQUXRWIWAZUYLWIWAZ
      VWIVUCVVHWIWAZUWGWCWAZVUEVVJWIWAZUWGWCWAZWCWAVWRVWTWCWAZVUIWCWAVWNVWGVWSV
      WHVXAWCVWSVUDVVIWIWAVWGVUCVVHUWGVUNVVQVUOXKVUDUXDVVIUYNWIVVDVWEXIXLVXAVUF
      VVKWIWAVWHVUEVVJUWGVUSVVTVUOXKVUFUWCVVKUYOWIVVEVWFXIXLXIVWRUWGVWTUWGVUCVV
      HVUNVVQXMVUOVUEVVJVUSVVTXMVUOXAVXBVWMVUIWCVRXCXNVUIUWHVWMWCUWGXOXPXQVWOVW
      LUWHWCWAZVWBUWHWCWAZWIWAVVAUWHWCWAZVWKUWHWCWAZWIWAZVXDWIWAVWQVWLVWBUWHVVA
      VWKVUHVVAXRVOVUTXSZVWKRWMWOVWJWPWOZVWKWPWOUQSWPWOTWPWOVXISURWNTUSWNZSTXTW
      RRVWJWQWRWSZXMVVMVWBXRVPVWAXSUWHUWGWEXOYAWLZYBZXKVXCVXGVXDWIVVAVWKUWHVXHV
      XKVXMXKXCVXGVWPVXDUYLWIVXEUYQVXFUXRWIOPQUPULVVBYCRSTUQURVXJYCXIUAEFUTVAVW
      CYCXIXNXNUXDUYIWCWAZUYNWIWAUWHUXDWCWAZUYNWIWAUXFVXNVXOUYNWIVXNUXDUWHWCWAV
      XOUYIUWHUXDWCYDXQUWHUXDVXMUXDUYRYBYHYEXCUXDCDUYRUHVVPYFYEUWCUYIWCWAZUYOWI
      WAUWHUWCWCWAZUYOWIWAUWEVXPVXQUYOWIVXPUWCUWHWCWAVXQUYIUWHUWCWCYDXQUWHUWCVX
      MUWCUYSYBYHYEXCUWCMNUYSUKVVSYFYEUYQUYIWCWAZUYGUXRWIVXRUYQUWGWCWAZUWGWCWAZ
      UYGVXRUYQVUIWCWAVXTUYIVUIUYQWCUWGVUOUUDXQUYQUWGUWGUYQUYPQVVCUMWLZYBZVUOVU
      OXGYEVXSUYFUWGWCUXOVXSUWMUXNWDUXNUXMIGHVCVDWLVEWLZYBZYGXMZUYQUWGVYBVUOXBZ
      UXOVXSWIWAZUYQWDWBZUXNWIWAZUWMUXNWDVXSWIWAZWIWAUXNVYHWIWAVYGVYIVYJVYHUXNW
      IVYJVXSWDWIWAUYQWEWBZWDWIWAVYHWDVXSYGVYFYIVXSVYKWDWIUWGUYQWCWAVXSVYKUWGUY
      QVUOVYBYHUYQVYAXPYJXCUYQWEWDVYKVYAYAWDYGUUHVYKYKUUEXNXQUXNWDVXSVYDYGVYFYL
      VYHUXNVYHUYQWDVYAUUIWLYBVYDYIYMVQXEUUFXCXEZXCUYMYKUUGUXIUXPWJWAZUXSWIWAZU
      YBWIWAVYMUYCWIWAZUYMUYEVYMUXSUYBUXIUXPUWMUWIUWMUWLUEUWKUDUBUCVGVHWLVIWLVJ
      WLZYBZUWIUWHWEVXLYAWLZYBZXBZUXOUWIVYEVYSXBZYNUWHUXRVXMUXRUYTYBZXBZUYLUYBX
      RUAEFUTVAVWCYFZUYLUYKFVWDVBWLYBXSZYLUYJVYNUYLUYBWIUYHUWHWCWAUYGUWHWCWAZUX
      RUWHWCWAZWIWAUYJVYNUYGUXRUWHVXRUYGXRVYLUYQUYIVYBUWGVUOUUSXBXSWUBVXMXKUYIU
      WHUYHWCYDXQVYMWUFUXSWUGWIWUFUYFUWGUWHWCWAZWCWAUYFUWIWCWAVYMUYFUWGUWHUWMUX
      OVYQVYEYNVUOVXMXGWUHUWIUYFWCUWHVXLXPZXQUWMUXOUWIVYQVYEVYSUUJUUKUWHUXRVXMW
      UBYHXIYMWUDXIUXIXRWOUXPXRWOUYCXRWOUYEVYOUULVYTWUAUXSUYBWUCWUEXMUXIUXPUYCU
      UMYRUUNYEUXIWPWOZUYDUUOWOZUYEUXIWGWHUWMUWIUWMVYPWNZUWIVYRWNZYOZWUKUYDWPWO
      WEUYDWGWHZUXPUYCUXOUWIUXNWDUXNVYCWNZUUPYPWUMYOZUXSUYBUWHUXRUWHVXLWNZUXRUY
      TWNYOUXTUYAUWHUAWURUAUTWNZYOZUYAEFVAVBWLWNZYPYPZUUQUYCUXPWGWHWUOUYCUWHUXN
      JWBZWCWAZUYAWIWAZUXPWGUXSUXTWIWAZUYAWIWAUYCWVEUXSUXTUYAWUCUXTWUTWSUYAWVAW
      SZYLWVFWVDUYAWIUWHUXRUAWIWAZWCWAWVFWVDUWHUXRUAVXMWUBUAWUSWSUURWVHWVCUWHWC
      VNXQYJXCYJUXNUWIWCWAZJEWBZFWBZWIWAZWVIUWIWIWAZWVEUXPWGWVKUWIWGWHWVLWVMWGW
      HJUWGEWEFWEVFXOVAYAVBYAVKVLVMUUTWVKUWIWVIWVKWVJFJEVFVAWLVBWLWNWUMUXNUWIWU
      PWUMYOUVAYQWVIUWHJWCWAZWIWAZUYAWIWAWVIWVNUYAWIWAZWIWAWVEWVLWVIWVNUYAUXNUW
      IVYDVYSXBUWHJVXMJVFYBZXBWVGYLWVDWVOUYAWIWVDUWHUWGUXNWCWAZJWIWAZWCWAUWHWVR
      WCWAZWVNWIWAWVOWVCWVSUWHWCUXNJUVBXQUWHWVRJVXMUWGUXNVUOVYDXBWVQUURWVTWVIWV
      NWIWVIUWIUXNWCWAUWHUWGWCWAZUXNWCWAWVTUXNUWIVYDVYSYHWWAUWIUXNWCWUHWWAUWIUW
      GUWHVUOVXMYHWUIYJXCUWHUWGUXNVXMVUOVYDXGXFXCXNXCWVKWVPWVIWIJEFVFVAVWCYFXQY
      MUXPWVIWDUWIWCWAZWIWAWVMUXNWDUWIVYDYGVYSXKWWBUWIWVIWIUWIVYSUVCXQXEUVDUVEU
      YCUXPWVBWUQUVFYQUYDUVSUVGUXIUYDUVIWRUVEUXGWPWOWUJUWIWPWOZWEUWIWGWHZUVHZUX
      KUXLUVJUXFUWEUXFUXEDUXDCUYRUHWLUIWLZWNUWEUWDNUWCMUYSUKWLUOWLZWNZYOWUNWWCW
      WDWUMUWIUWHUWGWTUVKUVKUVLZUVMZUXGUXIUWIUVNYRYQUXHUXFUWIWFWAZUWEWCWAUWFUXF
      UWEUWIUXFWWFYBUWEWWGYBZVYSUWIWUMWWIUVOZUVPWWKUWBUWEWCUWBUWIWCWAZUWIWFWAWW
      KUWBWWNUXFUWIWFABCDUFUGUHVVPYSXCUWBUWIUWBVUKUWAWPWOZUWBWPWOUFVULUVTWPWOZW
      WOVUMCWPWOVVOWWPCUHWNVVPCDXTWRBUVTXTWRAUWAWQWRZWSZVYSWWMYTYJXCXEUWMUWIVYQ
      VYSWWMYTUVQUWFWPWOUWMWPWOWWEUXBUXCUVJUWBUWEWWQWWHYOWULWWJUWFUWMUWIUVNYRYQ
      UWJUWBUWEUWIWFWAZWCWAUWRUWBUWEUWIWWRWWLVYSWWMUVRWWSUWQUWBWCUWQUWIWCWAZUWI
      WFWAWWSUWQWWTUWEUWIWFKLMNUJUNUKVVSYSXCUWQUWIUWQVUPUWPWPWOZUWQWPWOUJVUQUWO
      WPWOZWXAVURMWPWOVVRWXBMUKWNVVSMNXTWRLUWOXTWRKUWPWQWRWSVYSWWMYTYJXQXEUXAUW
      IWCWAZUWIWFWAUWNUXAWXCUWMUWIWFUBUCUDUEVGVHVIUEVJWNZYSXCUXAUWIUXAUBWMWOUWT
      WPWOZUXAWPWOVGUCWPWOUWSWPWOZWXEUCVHWNUDWPWOUEWPWOWXFUDVIWNWXDUDUEXTWRUCUW
      SXTWRUBUWTWQWRWSVYSWWMYTYJUVQ $.
  $}

  $( Example theorem demonstrating decimal expansions.  (Contributed by Thierry
     Arnoux, 27-Dec-2021.) $)
  threehalves $p |- ( 3 / 2 ) = ( 1 . 5 ) $=
    ( c3 c2 co cc wcel c1 c5 cdp cc0 cmul wceq 3re 2ne0 recni 1nn0 mp2an 2cnne0
    cr caddc 5nn0 cdiv wne w3a 2re redivcli cn0 5re dpcl 3pm3.2i 3nn0 0nn0 eqid
    cdc df-2 oveq1i 2p1e3 eqtr3i 5p5e10 decaddc dpadd dp0u eqtri times2i simpli
    wa divcan1i 3eqtr4ri mulcan2 biimpa ) ABUACZDEZFGHCZDEZBDEZBIUBZVEZUCZVJBJC
    ZVLBJCZKZVJVLKZVKVMVPVJABLUDMUENVLFUFEGREVLREOUGFGUHPNZQUIVLVLSCZAVSVRWCAIH
    CAFGFGAIOTOTUJUKFGFGAIFGUMZWDOTOTWDULZWEBFSCFFSCZFSCABWFFSUNUOUPUQUKURUSUTA
    UJVAVBVLWBVCABALNVNVOQVDMVFVGVQVTWAVJVLBVHVIP $.

  $( Example theorem demonstrating decimal expansions.  (Contributed by Thierry
     Arnoux, 27-Dec-2021.) $)
  1mhdrd $p |- ( ( 0 . _ 9 9 ) + ( 0 . _ 0 1 ) ) = 1 $=
    ( cc0 c9 cdp2 cdp co c1 caddc 0nn0 9nn0 1nn0 cdc eqcomi deceq1i 9cn addid1i
    dec0h oveq1i 9p1e10 eqtri decaddc dpadd3 dp20u oveq2i dp0u 3eqtri ) ABBCDEA
    AFCDEGEFAACZDEFADEFABBAAFFAAHIIHHJJHHBBAFFAKZAABKZBKAAKZFKIIHJUHBBBUHBIPLMU
    IAFAUIAHPLMBAGEZFGEBFGEUGUJBFGBNOQRSHRTUAUFAFDAHUBUCFJUDUE $.


$( Begin $[ set-mbox-ta-xdiv.mm $] $)
$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Division in the extended real number system
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c /e $. $( Division of extended real numbers. $)

  $( Extend class notation to include division of extended reals. $)
  cxdiv $a class /e $.

  ${
    $d x y z $.
    $( Define division over extended real numbers.  (Contributed by Thierry
       Arnoux, 17-Dec-2016.) $)
    df-xdiv $a |- /e = ( x e. RR* , y e. ( RR \ { 0 } ) |->
                   ( iota_ z e. RR* ( y *e z ) = x ) ) $.
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( Value of division: the (unique) element ` x ` such that
       ` ( B x. x ) = A ` .  This is meaningful only when ` B ` is nonzero.
       (Contributed by Thierry Arnoux, 17-Dec-2016.) $)
    xdivval $p |- ( ( A e. RR* /\ B e. RR /\ B =/= 0 ) ->
                   ( A /e B ) = ( iota_ x e. RR* ( B *e x ) = A ) ) $=
      ( vy vz cxr wcel cr cc0 wne cxdiv co cv cxmu wceq wa csn simpl riotabidva
      crio eldifsn eqeq2d oveq1d eqeq1d df-xdiv riotaex ovmpo sylan2br 3impb
      cdif ) BFGZCHGZCIJZBCKLCAMZNLZBOZAFTZOZULUMPUKCHIQUJZGURCHIUADEBCFUSEMZUN
      NLZDMZOZAFTUQKVABOZAFTVBBOZVCVDAFVEUNFGZPVBBVAVEVFRUBSUTCOZVDUPAFVGVFPZVA
      UOBVHUTCUNNVGVFRUCUDSDEAUEUPAFUFUGUHUI $.
  $}

  ${
    $d x A $.
    $( Existence of reciprocal of nonzero real number.  (Contributed by Thierry
       Arnoux, 17-Dec-2016.) $)
    xrecex $p |- ( ( A e. RR /\ A =/= 0 ) -> E. x e. RR ( A *e x ) = 1 ) $=
      ( cr wcel cc0 wne wa cv cxmu co c1 wceq wrex cmul ax-rrecex rexmul eqeq1d
      wb wi ex adantr pm5.32d rexbidv2 mpbird ) BCDZBEFZGZBAHZIJZKLZACMBUHNJZKL
      ZACMABOUGUJULACCUGUHCDZUJULUEUMUJULRZSUFUEUMUNUEUMGUIUKKBUHPQTUAUBUCUD $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x ph $.
    xmulcand.1 $e |- ( ph -> A e. RR* ) $.
    xmulcand.2 $e |- ( ph -> B e. RR* ) $.
    xmulcand.3 $e |- ( ph -> C e. RR ) $.
    xmulcand.4 $e |- ( ph -> C =/= 0 ) $.
    $( Cancellation law for extended multiplication.  (Contributed by Thierry
       Arnoux, 17-Dec-2016.) $)
    xmulcand $p |- ( ph -> ( ( C *e A ) = ( C *e B ) <-> A = B ) ) $=
      ( vx cxmu co wceq c1 cr wcel syl2anc wa oveq2 cxr adantr cv wi cc0 xrecex
      wne wrex simprl rexrd xmulcom simprr eqtrd oveq1d xmulass syl3anc xmulid2
      syl 3eqtr3d eqeq12d syl5ib rexlimddv impbid1 ) ADBJKZDCJKZLZBCLZADIUAZJKZ
      MLZVDVEUBINADNOZDUCUEVHINUFGHIDUDPVDVFVBJKZVFVCJKZLAVFNOZVHQZQZVEVBVCVFJR
      VNVJBVKCVNVFDJKZBJKZMBJKZVJBVNVOMBJVNVOVGMVNVFSOZDSOZVOVGLVNVFAVLVHUGUHZV
      NDAVIVMGTUHZVFDUIPAVLVHUJUKZULVNVRVSBSOZVPVJLVTWAAWCVMETZVFDBUMUNVNWCVQBL
      WDBUOUPUQVNVOCJKZMCJKZVKCVNVOMCJWBULVNVRVSCSOZWEVKLVTWAAWGVMFTZVFDCUMUNVN
      WGWFCLWHCUOUPUQURUSUTBCDJRVA $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Existential uniqueness of reciprocals.  Theorem I.8 of [Apostol] p. 18.
       (Contributed by Thierry Arnoux, 17-Dec-2016.) $)
    xreceu $p |- ( ( A e. RR* /\ B e. RR /\ B =/= 0 ) ->
                  E! x e. RR* ( B *e x ) = A ) $=
      ( vy cxr wcel cr w3a cv cxmu co wceq wrex wa wi wral 3adant1 oveq2 eqeq1d
      c1 cc0 wne wreu ressxr xrecex ssrexv mpsyl simprl simpll xmulcld ad2antll
      wss oveq1 simplr rexrd xmulass syl3anc xmulid2 syl 3eqtr3d rspcev syl2anc
      rexlimdvaa 3adant3 eqtr3 simp1 simp2 simp3l simp3r xmulcand syl5ib expcom
      mpd 3expa ralrimivv reu4 sylanbrc ) BEFZCGFZCUAUBZHZCAIZJKZBLZAEMZWDCDIZJ
      KZBLZNZWBWFLZOZDEPAEPWDAEUCWAWGTLZDEMZWEGEULWAWLDGMZWMUDVSVTWNVRDCUEQWLDG
      EUFUGVRVSWMWEOVTVRVSNZWLWEDEWOWFEFZWLNZNZWFBJKZEFCWSJKZBLZWEWRWFBWOWPWLUH
      ZVRVSWQUIZUJWRWGBJKZTBJKZWTBWLXDXELWOWPWGTBJUMUKWRCEFWPVRXDWTLWRCVRVSWQUN
      UOXBXCCWFBUPUQWRVRXEBLXCBURUSUTWDXAAWSEWBWSLWCWTBWBWSCJRSVAVBVCVDVMWAWKAD
      EEVSVTWBEFZWPNZWKOVRXGVSVTNZWKXFWPXHWKWIWCWGLXFWPXHHZWJWCWGBVEXIWBWFCXFWP
      XHVFXFWPXHVGXFWPVSVTVHXFWPVSVTVIVJVKVNVLQVOWDWHADEWJWCWGBWBWFCJRSVPVQ $.
  $}

  ${
    $d x A $.  $d x B $.
    xdivcld.1 $e |- ( ph -> A e. RR* ) $.
    xdivcld.2 $e |- ( ph -> B e. RR ) $.
    xdivcld.3 $e |- ( ph -> B =/= 0 ) $.
    $( Closure law for the extended division.  (Contributed by Thierry Arnoux,
       15-Mar-2017.) $)
    xdivcld $p |- ( ph -> ( A /e B ) e. RR* ) $=
      ( vx cxdiv co cv cxmu wceq cxr crio wcel cr cc0 wne xdivval syl3anc wreu
      xreceu riotacl syl eqeltrd ) ABCHIZCGJKIBLZGMNZMABMOZCPOZCQRZUFUHLDEFGBCS
      TAUGGMUAZUHMOAUIUJUKULDEFGBCUBTUGGMUCUDUE $.
  $}

  $( Closure law for the extended division.  (Contributed by Thierry Arnoux,
     15-Mar-2017.) $)
  xdivcl $p |- ( ( A e. RR* /\ B e. RR /\ B =/= 0 ) -> ( A /e B ) e. RR* ) $=
    ( cxr wcel cr cc0 wne w3a simp1 simp2 simp3 xdivcld ) ACDZBEDZBFGZHABMNOIMN
    OJMNOKL $.

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Relationship between division and multiplication.  (Contributed by
       Thierry Arnoux, 24-Dec-2016.) $)
    xdivmul $p |- ( ( A e. RR* /\ B e. RR* /\ ( C e. RR /\ C =/= 0 ) )
                 -> ( ( A /e C ) = B <-> ( C *e B ) = A ) ) $=
      ( vx cxr wcel cr cc0 wne wa w3a cxdiv co wceq cv cxmu crio 3adant2 eqeq1d
      3expb xdivval wreu wb simp2 xreceu oveq2 riota2 syl2anc bitr4d ) AEFZBEFZ
      CGFZCHIZJZKZACLMZBNCDOZPMZANZDEQZBNZCBPMZANZUOUPUTBUJUNUPUTNZUKUJULUMVDDA
      CUATRSUOUKUSDEUBZVCVAUCUJUKUNUDUJUNVEUKUJULUMVEDACUETRUSVCDEBUQBNURVBAUQB
      CPUFSUGUHUI $.
  $}

  ${
    $d x A $.  $d x B $.
    $( The extended real division operation when both arguments are real.
       (Contributed by Thierry Arnoux, 18-Dec-2016.) $)
    rexdiv $p |- ( ( A e. RR /\ B e. RR /\ B =/= 0 )
                                                 -> ( A /e B ) = ( A / B ) ) $=
      ( vx cr wcel w3a cmul co wceq crio cc wreu recn id syl eqeq1d syl2anc wss
      wi cxr cc0 wne cv cxdiv cdiv redivcl 3anim123i divcan2 oveq2 rspcev receu
      wrex wral wa ax-resscn rgenw riotass2 mpanl12 cxmu xdivval syl3an1 ressxr
      rexr a1i rexmul biimprd ralrimiva 3ad2ant2 xreceu syl22anc eqtr4d 3eqtr4d
      divval ) ADEZBDEZBUAUBZFZBCUCZGHZAIZCDJZVTCKJZABUDHZABUEHZVQVTCDULZVTCKLZ
      WAWBIZVQWDDEBWDGHZAIZWEABUFVQAKEZBKEZVPFZWIVNWJVOWKVPVPAMBMVPNUGZABUHOVTW
      ICWDDVRWDIVSWHAVRWDBGUIPUJQZVQWLWFWMCABUKODKRVTVTSZCDUMWEWFUNWGUOWOCDVTNU
      PVTVTCDKUQURQVQWCBVRUSHZAIZCTJZWAVNATEZVOVPWCWRIAVCZCABUTVAVQDTRZVTWQSZCD
      UMZWEWQCTLZWAWRIXAVQVBVDVOVNXCVPVOXBCDVOVRDEUNZWQVTXEWPVSABVRVEPVFVGVHWNV
      NWSVOVPXDWTCABVIVAVTWQCDTUQVJVKVQWLWDWBIWMCABVMOVL $.
  $}

  $( Relationship between division and reciprocal.  (Contributed by Thierry
     Arnoux, 5-Jul-2017.) $)
  xdivrec $p |- ( ( A e. RR* /\ B e. RR /\ B =/= 0 ) ->
                                          ( A /e B ) = ( A *e ( 1 /e B ) ) ) $=
    ( cxr wcel cr cc0 wne w3a cxdiv co c1 cxmu simp2 xmulcom syl2anc wb xdivmul
    wceq syl112anc eqtrd rexrd simp1 1xr a1i simp3 xdivcld xmulcld xmulass eqid
    syl3anc mpbii oveq2d 3eqtrd xmulid1 syl mpbird ) ACDZBEDZBFGZHZABIJAKBIJZLJ
    ZRZBVBLJZARZUTVDAKLJZAUTVDVBBLJZAVABLJZLJZVFUTBCDZVBCDZVDVGRUTBUQURUSMZUAZU
    TAVAUQURUSUBZUTKBKCDZUTUCUDZVLUQURUSUEZUFZUGZBVBNOUTUQVACDZVJVGVIRVNVRVMAVA
    BUHUJUTVHKALUTVHBVALJZKUTVTVJVHWARVRVMVABNOUTVAVARZWAKRZVAUIUTVOVTURUSWBWCP
    VPVRVLVQKVABQSUKTULUMUTUQVFARVNAUNUOTUTUQVKURUSVCVEPVNVSVLVQAVBBQSUP $.

  $( A number divided by itself is one.  (Contributed by Thierry Arnoux,
     18-Dec-2016.) $)
  xdivid $p |- ( ( A e. RR /\ A =/= 0 ) -> ( A /e A ) = 1 ) $=
    ( cr wcel cc0 wne wa cxdiv co cdiv c1 wceq rexdiv 3anidm12 recn divid sylan
    cc eqtrd ) ABCZADEZFAAGHZAAIHZJSTUAUBKAALMSAQCTUBJKANAOPR $.

  $( Division into zero is zero.  (Contributed by Thierry Arnoux,
     18-Dec-2016.) $)
  xdiv0 $p |- ( ( A e. RR /\ A =/= 0 ) -> ( 0 /e A ) = 0 ) $=
    ( cr wcel cc0 wne wa cxdiv co cdiv wceq rexdiv mp3an1 recn div0 sylan eqtrd
    0re cc ) ABCZADEZFDAGHZDAIHZDDBCSTUAUBJQDAKLSARCTUBDJAMANOP $.

  $( Division into zero is zero.  (Contributed by Thierry Arnoux,
     18-Dec-2016.) $)
  xdiv0rp $p |- ( A e. RR+ -> ( 0 /e A ) = 0 ) $=
    ( crp wcel cr cc0 wne wa cxdiv co wceq rprene0 xdiv0 syl ) ABCADCAEFGEAHIEJ
    AKALM $.

  $( A positive real number divided by plus infinity is zero.
  The definition of /e needs to be extended to prove such a theorem.
  xdivrppnf @p |- ( A e. RR+ -> ( A /e +oo ) = 0 ) @=
    ? $)

  $( Membership in a closed interval of extended reals versus the same open
     interval.  (Contributed by Thierry Arnoux, 18-Dec-2016.) $)
  eliccioo $p |- ( ( A e. RR* /\ B e. RR* /\ A <_ B ) ->
    ( C e. ( A [,] B ) <-> ( C = A \/ C e. ( A (,) B ) \/ C = B ) ) ) $=
    ( cxr wcel cle wbr w3a cicc co wceq w3o wa wo wb adantl adantr eleq1 mpbird
    cioo cpr cun prunioo eleq2d biimpar elun elprg orbi2d syl5bb 3orass 3orcoma
    mpbid bitr3i sylib lbicc2 ioossicc sseli ubicc2 3jaodan impbida ) ADEBDEABF
    GHZCABIJZEZCAKZCABTJZEZCBKZLZVAVCMZVFVDVGNZNZVHVICVEABUAZUBZEZVKVAVNVCVAVMV
    BCABUCUDUEVCVNVKOVAVNVFCVLEZNVCVKCVEVLUFVCVOVJVFCABVBUGUHUIPULVKVFVDVGLVHVF
    VDVGUJVFVDVGUKUMUNVAVDVCVFVGVAVDMVCAVBEZVAVPVDABUOQVDVCVPOVACAVBRPSVFVCVAVE
    VBCABUPUQPVAVGMVCBVBEZVAVQVGABURQVGVCVQOVACBVBRPSUSUT $.

  $( Elementhood in the set of nonnegative extended reals.  (Contributed by
     Thierry Arnoux, 18-Dec-2016.) $)
  elxrge02 $p |- ( A e. ( 0 [,] +oo ) <-> ( A = 0 \/ A e. RR+ \/ A = +oo ) ) $=
    ( cc0 cpnf cicc co wcel wceq cioo w3o crp cxr cle wbr wb 0xr pnfxr eliccioo
    0lepnf mp3an biid ioorp eleq2i 3orbi123i bitri ) ABCDEFZABGZABCHEZFZACGZIZU
    FAJFZUIIBKFCKFBCLMUEUJNOPRBCAQSUFUFUHUKUIUIUFTUGJAUAUBUITUCUD $.

  ${
    $d x A $.
    $( Plus infinity divided by a positive real number is plus infinity.
       (Contributed by Thierry Arnoux, 18-Dec-2016.) $)
    xdivpnfrp $p |- ( A e. RR+ -> ( +oo /e A ) = +oo ) $=
      ( vx crp wcel cpnf cxdiv co cv cxmu wceq cxr crio cc0 wa pnfxr syl cle wb
      wbr xgepnf wne w3a rprene0 jctil 3anass sylibr xdivval a1i xlemul2 mp3an1
      ancoms clt rpxr rpgt0 xmulpnf1 syl2anc adantr breq1d bitr2d xmulcl adantl
      cr sylan 3bitr3d riota5 eqtrd ) ACDZEAFGZABHZIGZEJZBKLZEVGEKDZAVBDZAMUAZU
      BZVHVLJVGVMVNVONZNVPVGVQVMAUCOUDVMVNVOUEUFBEAUGPVGVKBKEVMVGOUHVGVIKDZNZEV
      JQSZEVIQSZVKVIEJZVSWAAEIGZVJQSZVTVRVGWAWDRZVMVRVGWEOEVIAUIUJUKVSWCEVJQVGW
      CEJZVRVGAKDZMAULSWFAUMZAUNAUOUPUQURUSVSVJKDZVTVKRVGWGVRWIWHAVIUTVCVJTPVRW
      AWBRVGVITVAVDVEVF $.
  $}

  ${
    rpxdivcld.1 $e |- ( ph -> A e. RR+ ) $.
    rpxdivcld.2 $e |- ( ph -> B e. RR+ ) $.
    $( Closure law for extended division of positive reals.  (Contributed by
       Thierry Arnoux, 18-Dec-2016.) $)
    rpxdivcld $p |- ( ph -> ( A /e B ) e. RR+ ) $=
      ( cxdiv co cdiv crp cr wcel cc0 wceq rpred rpne0d rexdiv syl3anc rpdivcld
      wne eqeltrd ) ABCFGZBCHGZIABJKCJKCLSUAUBMABDNACENACEOBCPQABCDERT $.
  $}

  ${
    xrpxdivcld.1 $e |- ( ph -> A e. ( 0 [,] +oo ) ) $.
    xrpxdivcld.2 $e |- ( ph -> B e. RR+ ) $.
    $( Closure law for extended division of positive extended reals.
       (Contributed by Thierry Arnoux, 18-Dec-2016.) $)
    xrpxdivcld $p |- ( ph -> ( A /e B ) e. ( 0 [,] +oo ) ) $=
      ( cc0 wceq cxdiv co cpnf cicc wcel crp wa oveq1 xdiv0rp syl sylan9eqr w3o
      elxrge02 biimpri 3o1cs simpr adantr rpxdivcld 3o2cs xdivpnfrp 3o3cs sylib
      mpjao3dan ) ABFGZBCHIZFJKIZLZBMLZBJGZAUKNULFGZUNUKAULFCHIZFBFCHOACMLZURFG
      ECPQRUQULMLZULJGZUNUNUQUTVASULTUAZUBQAUONZUTUNVCBCAUOUCAUSUOEUDUEUQUTVAUN
      VBUFQAUPNVAUNUPAULJCHIZJBJCHOAUSVDJGECUGQRUQUTVAUNVBUHQABUMLUKUOUPSDBTUIU
      J $.
  $}

$(
  @{
    xltmul1d.1 @e |- ( ph -> A e. RR ) $@
    xltmul1d.2 @e |- ( ph -> B e. RR* ) $@
    xltmul1d.3 @e |- ( ph -> C e. ( 0 [,] +oo ) ) $@
    @( 'Less than' relationship between division and multiplication.
       (Contributed by Mario Carneiro, 28-May-2016.) @)
    xltdivmul2d @p |- ( ph -> ( ( A /e C ) < B <-> A < ( B *e C ) ) ) @=
      ? @.
  @}
$)

$( End $[ set-mbox-ta-xdiv.mm $] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Words over a set - misc additions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    wrdfd.n $e |- ( ph -> N = ( # ` W ) ) $.
    wrdfd.w $e |- ( ph -> W e. Word S ) $.
    $( A word is a zero-based sequence with a recoverable upper limit,
       deduction version.  (Contributed by Thierry Arnoux, 22-Dec-2021.) $)
    wrdfd $p |- ( ph -> W : ( 0 ..^ N ) --> S ) $=
      ( cc0 cfzo co wf chash cfv cword wcel wrdf syl oveq2d feq2d mpbird ) AGCH
      IZBDJGDKLZHIZBDJZADBMNUCFBDOPATUBBDACUAGHEQRS $.
  $}

  $( Condition for the restriction of a word to be a word itself.  (Contributed
     by Thierry Arnoux, 5-Oct-2018.) $)
  wrdres $p |- ( ( W e. Word S /\ N e. ( 0 ... ( # ` W ) ) )
    -> ( W |` ( 0 ..^ N ) ) e. Word S ) $=
    ( cword wcel cc0 chash cfv cfz co cfzo cres wss wrdf cuz elfzuz3 fzoss2 syl
    wa wf fssres syl2an iswrdi ) CADZEZBFCGHZIJEZSFBKJZACUHLZTZUIUDEUEFUFKJZACT
    UHUKMZUJUGACNUGUFBOHEULBFUFPBFUFQRUKAUHCUAUBABUIUCR $.

  ${
    $d v N $.  $d v S $.  $d v W $.
    $( Existence of a split of a word at a given index.  (Contributed by
       Thierry Arnoux, 11-Oct-2018.)  (Proof shortened by AV, 3-Nov-2022.) $)
    wrdsplex $p |- ( ( W e. Word S /\ N e. ( 0 ... ( # ` W ) ) )
      -> E. v e. Word S W = ( ( W |` ( 0 ..^ N ) ) ++ v ) ) $=
      ( cword wcel chash cfv cop csubstr co cc0 cfz cfzo cres cconcat wceq wrex
      cv cpfx swrdcl wa cuz simpr elfzuz2 eluzfz2 ccatpfx mpd3an3 pfxres oveq1d
      3syl pfxid adantr 3eqtr3rd oveq2 rspceeqv syl2an2r ) DBEZFZDCDGHZIJKZURFC
      LUTMKZFZDDLCNKOZVAPKZQDVDASZPKZQAURRBDCUTUAUSVCUBZDCTKZVAPKZDUTTKZVEDUSVC
      UTVBFZVJVKQVHVCUTLUCHFVLUSVCUDCLUTUELUTUFUKBDCUTUGUHVHVIVDVAPBDCUIUJUSVKD
      QVCBDULUMUNAVAURVGVEDVFVAVDPUOUPUQ $.
  $}

  $( The prefix of length 1 of a length 2 word.  (Contributed by Thierry
     Arnoux, 19-Sep-2023.) $)
  pfx1s2 $p |- ( ( A e. V /\ B e. V ) -> ( <" A B "> prefix 1 ) = <" A "> )
      $=
    ( wcel wa cs2 c1 cpfx co cc0 cfv cs1 cword c0 wne wceq s2cl c2 chash cle
    wbr leidi s2len breqtrri wrdlenge2n0 mpan2 pfx1 syl2anc2 s2fv0 adantr s1eqd
    2re eqtrd ) ACDZBCDZEZABFZGHIZJUQKZLZALUPUQCMDZUQNOZURUTPABCQVARUQSKZTUAVBR
    RVCTRULUBABUCUDCUQUEUFCUQUGUHUPUSAUNUSAPUOABCUIUJUKUM $.

  $( The range of a prefix of a word is a subset of the range of that word.
     Stronger version of ~ pfxrn .  (Contributed by Thierry Arnoux,
     12-Dec-2023.) $)
  pfxrn2 $p |- ( ( W e. Word S /\ L e. ( 0 ... ( # ` W ) ) )
               -> ran ( W prefix L ) C_ ran W ) $=
    ( cword wcel cc0 chash cfv cfz co wa cpfx crn cfzo pfxres rneqd resss rnssi
    cres eqsstrdi ) CADEBFCGHIJEKZCBLJZMCFBNJZSZMCMUAUBUDACBOPUDCCUCQRT $.

  $( Express the range of a prefix of a word.  Stronger version of ~ pfxrn2 .
     (Contributed by Thierry Arnoux, 13-Dec-2023.) $)
  pfxrn3 $p |- ( ( W e. Word S /\ L e. ( 0 ... ( # ` W ) ) )
               -> ran ( W prefix L ) = ( W " ( 0 ..^ L ) ) ) $=
    ( cword wcel cc0 chash cfv cfz co wa cpfx crn cfzo cres pfxres rneqd df-ima
    cima eqtr4di ) CADEBFCGHIJEKZCBLJZMCFBNJZOZMCUCSUAUBUDACBPQCUCRT $.

  ${
    pfxf1.1 $e |- ( ph -> W e. Word S ) $.
    pfxf1.2 $e |- ( ph -> W : dom W -1-1-> S ) $.
    pfxf1.3 $e |- ( ph -> L e. ( 0 ... ( # ` W ) ) ) $.
    $( Condition for a prefix to be injective.  (Contributed by Thierry Arnoux,
       13-Dec-2023.) $)
    pfxf1 $p |- ( ph -> ( W prefix L ) : dom ( W prefix L ) -1-1-> S ) $=
      ( cpfx co cdm wf1 cc0 cfzo wss wf cfv wcel wceq syl syl2anc chash cfz cuz
      cres elfzuz3 fzoss2 3syl cword wrddm sseqtrrd wrdf fssresd f1resf1 pfxres
      syl3anc wfn pfxfn fndmd eqidd f1eq123d mpbird ) ADCHIZJZBVBKLCMIZBDVDUDZK
      ZADJZBDKVDVGNVDBVEOVFFAVDLDUAPZMIZVGACLVHUBIQZVHCUCPQVDVINGCLVHUECLVHUFUG
      ZADBUHQZVGVIREBDUISUJAVIBVDDAVLVIBDOEBDUKSVKULVGBVDBDUMUOAVCVDBBVBVEAVLVJ
      VBVEREGBDCUNTAVDVBAVLVJVBVDUPEGDCBUQTURABUSUTVA $.
  $}

  ${
    s1f1.1 $e |- ( ph -> I e. D ) $.
    $( Conditions for a length 1 string to be a one-to-one function.
       (Contributed by Thierry Arnoux, 11-Dec-2023.) $)
    s1f1 $p |- ( ph -> <" I "> : dom <" I "> -1-1-> D ) $=
      ( cs1 cdm wf1 cc0 csn cop wss wf1o cn0 wcel 0nn0 a1i f1osng syl2anc wceq
      syl f1of1 snssd f1ss s1val s1dm eqidd f1eq123d mpbird ) ACEZFZBUIGHIZBHCJ
      IZGZAUKCIZULGZUNBKUMAUKUNULLZUOAHMNZCBNZUPUQAOPDHCMBQRUKUNULUATACBDUBUKUN
      BULUCRAUJUKBBUIULAURUIULSDCBUDTUJUKSACUEPABUFUGUH $.
  $}

  ${
    s2rn.i $e |- ( ph -> I e. D ) $.
    s2rn.j $e |- ( ph -> J e. D ) $.
    $( Range of a length 2 string.  (Contributed by Thierry Arnoux,
       19-Sep-2023.) $)
    s2rn $p |- ( ph -> ran <" I J "> = { I , J } ) $=
      ( cs2 cima cpr cc0 c1 cfv wcel cfzo co wfn c2 wceq a1i syl crn cdm oveq2i
      imadmrn cword chash s2cld wrdfn s2len fzo0to2pr eqtri fneq2i biimpi fndmd
      3syl imaeq2d c0ex prid1 prid2 fnimapr syl3anc s2fv0 s2fv1 preq12d eqtr3id
      1ex 3eqtrd ) ACDGZUAVHVHUBZHZCDIZVHUDAVJVHJKIZHZJVHLZKVHLZIZVKAVIVLVHAVLV
      HAVHBUEMVHJVHUFLZNOZPZVHVLPZACDBEFUGBVHUHVSVTVRVLVHVRJQNOVLVQQJNCDUIUCUJU
      KULUMUOZUNUPAVTJVLMZKVLMZVMVPRWAWBAJKUQURSWCAJKVFUSSVLJKVHUTVAAVNCVODACBM
      VNCRECDBVBTADBMVODRFCDBVCTVDVGVE $.
  $}

  ${
    s2f1.i $e |- ( ph -> I e. D ) $.
    s2f1.j $e |- ( ph -> J e. D ) $.
    s2f1.1 $e |- ( ph -> I =/= J ) $.
    $( Conditions for a length 2 string to be a one-to-one function.
       (Contributed by Thierry Arnoux, 19-Sep-2023.) $)
    s2f1 $p |- ( ph -> <" I J "> : dom <" I J "> -1-1-> D ) $=
      ( wf1 cc0 c1 cpr wf1o cop cn0 wcel wne a1i wa wceq syl cs2 0nn0 1nn0 0ne1
      cdm wss f1oprg 3impia syl222anc s2prop syl2anc f1oeq1d mpbird f1of1 prssd
      f1ss wb f1dm f1eq2 ) ACDUAZUEZBUTHZIJKZBUTHZAVCCDKZUTHZVEBUFVDAVCVEUTLZVF
      AVGVCVEICMJDMKZLZAINOZCBOZJNOZDBOZIJPZCDPZVIVJAUBQEVLAUCQFVNAUDQGVJVKRVLV
      MRVNVORVIICJDNBNBUGUHUIAVCVEUTVHAVKVMUTVHSEFCDBUJUKULUMVCVEUTUNTACDBEFUOV
      CVEBUTUPUKZAVAVCSZVBVDUQAVDVQVPVCBUTURTVAVCBUTUSTUM $.
  $}

  ${
    s3rn.i $e |- ( ph -> I e. D ) $.
    s3rn.j $e |- ( ph -> J e. D ) $.
    s3rn.k $e |- ( ph -> K e. D ) $.
    $( Range of a length 3 string.  (Contributed by Thierry Arnoux,
       19-Sep-2023.) $)
    s3rn $p |- ( ph -> ran <" I J K "> = { I , J , K } ) $=
      ( cima ctp cc0 c1 c2 cfv wcel cfzo co a1i wceq syl cs3 crn cdm imadmrn c3
      cword chash s3cld wrdfn s3len oveq2i fzo0to3tp fneq2i biimpi 3syl imaeq2d
      wfn eqtri fndmd c0ex tpid1 1ex tpid2 2ex tpid3 s3fv0 s3fv1 s3fv2 tpeq123d
      fnimatp 3eqtrd eqtr3id ) ACDEUAZUBVMVMUCZIZCDEJZVMUDAVOVMKLMJZIKVMNZLVMNZ
      MVMNZJVPAVNVQVMAVQVMAVMBUFOVMKVMUGNZPQZUQZVMVQUQZACDEBFGHUHBVMUIWCWDWBVQV
      MWBKUEPQVQWAUEKPCDEUJUKULURUMUNUOZUSUPAKLMVQVMWEKVQOAKLMUTVARLVQOAKLMVBVC
      RMVQOAKLMVDVERVJAVRCVSDVTEACBOVRCSFCDEBVFTADBOVSDSGCDEBVGTAEBOVTESHCDEBVH
      TVIVKVL $.
  $}

  ${
    $d I i j $.  $d J i j $.  $d K i j $.  $d i j ph $.
    s3f1.i $e |- ( ph -> I e. D ) $.
    s3f1.j $e |- ( ph -> J e. D ) $.
    s3f1.k $e |- ( ph -> K e. D ) $.
    s3f1.1 $e |- ( ph -> I =/= J ) $.
    s3f1.2 $e |- ( ph -> J =/= K ) $.
    s3f1.3 $e |- ( ph -> K =/= I ) $.
    $( Conditions for a length 3 string to be a one-to-one function.
       (Contributed by Thierry Arnoux, 19-Sep-2023.) $)
    s3f1 $p |- ( ph -> <" I J K "> : dom <" I J K "> -1-1-> D ) $=
      ( cfv wceq cc0 wcel wa c1 c2 simpr adantlr vi vj cs3 cdm wf cv wral chash
      wi wf1 cfzo cword s3cld wrdf syl ffdmd simplr eqtr4d simpllr fveq2d s3fv0
      co ad4antr eqtrd adantr s3fv1 3eqtr3d wne ad5antr pm2.21ddne 3eqtr3rd w3o
      s3fv2 ctp wrddm c3 s3len oveq2i fzo0to3tp eqtri eqtrdi eleq2d biimpa eltp
      vex sylib ad2antrr mpjao3dan ex anasss ralrimivva dff13 sylanbrc ) ACDEUC
      ZUDZBWNUEUAUFZWNLZUBUFZWNLZMZWPWRMZUIZUBWOUGUAWOUGWOBWNUJANWNUHLZUKVBZBWN
      AWNBULOZXDBWNUEACDEBFGHUMZBWNUNUOUPAXBUAUBWOWOAWPWOOZWRWOOZXBAXGPZXHPZWTX
      AXJWTPZWPNMZXAWPQMZWPRMZXKXLPZWRNMZXAWRQMZWRRMZXOXPPWPNWRXKXLXPUQXOXPSURX
      OXQPZXACDXSWQWSCDXJWTXLXQUSXOWQCMZXQXOWQNWNLZCXOWPNWNXKXLSUTAYACMZXGXHWTX
      LACBOYBFCDEBVAUOZVCVDZVEXKXQWSDMZXLXKXQPZWSQWNLZDYFWRQWNXKXQSUTAYGDMZXGXH
      WTXQADBOYHGCDEBVFUOZVCVDZTVGACDVHZXGXHWTXLXQIVIVJXOXRPZXAECYLWQWSCEXJWTXL
      XRUSXOXTXRYDVEXKXRWSEMZXLXKXRPZWSRWNLZEYNWRRWNXKXRSUTAYOEMZXGXHWTXRAEBOYP
      HCDEBVMUOZVCVDZTVKAECVHZXGXHWTXLXRKVIVJXJXPXQXRVLZWTXLAXHYTXGAXHPWRNQRVNZ
      OZYTAXHUUBAWOUUAWRAWOXDUUAAXEWOXDMXFBWNVOUOXDNVPUKVBUUAXCVPNUKCDEVQVRVSVT
      WAZWBWCWRNQRUBWEWDWFTZWGWHXKXMPZXPXAXQXRUUEXPPZXACDUUFWQWSDCXJWTXMXPUSUUE
      WQDMZXPUUEWQYGDUUEWPQWNXKXMSUTAYHXGXHWTXMYIVCVDZVEXKXPWSCMZXMXKXPPZWSYACU
      UJWRNWNXKXPSUTAYBXGXHWTXPYCVCVDZTVKAYKXGXHWTXMXPIVIVJUUEXQPWPQWRXKXMXQUQU
      UEXQSURUUEXRPZXADEUULWQWSDEXJWTXMXRUSUUEUUGXRUUHVEXKXRYMXMYRTVGADEVHZXGXH
      WTXMXRJVIVJXJYTWTXMUUDWGWHXKXNPZXPXAXQXRUUNXPPZXAECUUOWQWSECXJWTXNXPUSUUN
      WQEMZXPUUNWQYOEUUNWPRWNXKXNSUTAYPXGXHWTXNYQVCVDZVEXKXPUUIXNUUKTVGAYSXGXHW
      TXNXPKVIVJUUNXQPZXADEUURWQWSEDXJWTXNXQUSUUNUUPXQUUQVEXKXQYEXNYJTVKAUUMXGX
      HWTXNXQJVIVJUUNXRPWPRWRXKXNXRUQUUNXRSURXJYTWTXNUUDWGWHXIXLXMXNVLZXHWTXIWP
      UUAOZUUSAXGUUTAWOUUAWPUUCWBWCWPNQRUAWEWDWFWGWHWIWJWKUAUBWOBWNWLWM $.
  $}

  ${
    $( Closure of the words of length 3 in a preimage using the hash function.
       (Contributed by Thierry Arnoux, 27-Sep-2023.) $)
    s3clhash $p |- <" I J K "> e. ( `' # " { 3 } ) $=
      ( cs3 chash ccnv c3 csn cima wcel cvv cfv wceq cword s3cli elexi cn0 cpnf
      s3len cun wf wfn wa wb hashf ffn fniniseg mp2b mpbir2an ) ABCDZEFGHIJZUJK
      JZUJELGMZUJKNABCOPABCSKQRHTZEUAEKUBUKULUMUCUDUEKUNEUFKGUJEUGUHUI $.
  $}

  ${
    $d A i j $.  $d B i j $.  $d i j ph $.
    ccatf1.s $e |- ( ph -> S e. V ) $.
    ccatf1.a $e |- ( ph -> A e. Word S ) $.
    ccatf1.b $e |- ( ph -> B e. Word S ) $.
    ccatf1.1 $e |- ( ph -> A : dom A -1-1-> S ) $.
    ccatf1.2 $e |- ( ph -> B : dom B -1-1-> S ) $.
    ccatf1.3 $e |- ( ph -> ( ran A i^i ran B ) = (/) ) $.
    $( Conditions for a concatenation to be injective.  (Contributed by Thierry
       Arnoux, 11-Dec-2023.) $)
    ccatf1 $p |- ( ph -> ( A ++ B ) : dom ( A ++ B ) -1-1-> S ) $=
      ( vi vj co cfv wceq wcel syl wa adantr cconcat cdm wf cv weq wral wf1 cc0
      wi chash cfzo cword ccatcl syl2anc wrdf ffdmd ccatval1 syl2an3an ad4ant13
      simpllr id ad4ant14 3eqtr3d wrddm f1eq2 biimpa dff13 simprbi r19.21bi mpd
      adantllr ex c0 crn wfun f1fun simpr eleqtrrd fvelrn syl2an2r cmin ccatlen
      cin caddc oveq2d eleqtrd ccatval2 syl3anc cn0 lencl nn0zd fzosubel3 elind
      cz eqeltrd ad3antrrr wn noel pm2.21dd wo eleq2d fzospliti ad2antrr mpjaod
      a1i adantlrl 3eqtr3rd cc elfzoelz ad2antlr adantl nn0cnd jca f1veqaeq imp
      zcnd syl21anc subcan2d adantrr ralrimivva sylanbrc ) ABCUANZUBZDYBUCLUDZY
      BOZMUDZYBOZPZLMUEZUIZMYCUFLYCUFYCDYBUGAUHYBUJOZUKNZDYBAYBDULZQZYLDYBUCABY
      MQZCYMQZYNGHDBCUMUNZDYBUORUPAYJLMYCYCAYDYCQZYFYCQZSSZYHYIYTYHSYDUHBUJOZUK
      NZQZYIYDUUAYKUKNZQZAYSYHUUCYIUIYRAYSSZYHSZUUCYIUUGUUCSYFUUBQZYIYFUUDQZAYH
      UUCUUHYIUIZYSAYHSZUUCSZUUHYIUULUUHSZYDBOZYFBOZPZYIUUMYEYGUUNUUOAYHUUCUUHU
      TAUUCYEUUNPZYHUUHAYOYPUUCUUCUUQGHUUCVADDBCYDUQURZUSAUUHYGUUOPZYHUUCAYOYPU
      UHUUHUUSGHUUHVADDBCYFUQURZVBVCAUUCUUHUUPYIUIZYHAUUCSZUVAMUUBAUVAMUUBUFZLU
      UBAUUBDBUGZUVCLUUBUFZABUBZUUBPZUVFDBUGZUVDAYOUVGGDBVDRZIUVGUVHUVDUVFUUBDB
      VEVFUNUVDUUBDBUCUVELMUUBDBVGVHRVIVIVKVJVLVKAYHUUCUUIYIUIZYSUULUUIYIUULUUI
      SZUUNVMQZYIUVKUUNBVNZCVNZWCZVMUVKUVMUVNUUNAUUCUUNUVMQZYHUUIABVOZUUCYDUVFQ
      UVPAUVHUVQIUVFDBVPRZUVBYDUUBUVFAUUCVQAUVGUUCUVITVRYDBVSVTUSUVKUUNYFUUAWAN
      ZCOZUVNUVKYEYGUUNUVTAYHUUCUUIUTAUUCUUQYHUUIUURUSAUUIYGUVTPZYHUUCAUUISZYOY
      PYFUUAUUACUJOZWDNZUKNZQZUWAAYOUUIGTAYPUUIHTUWBYFUUDUWEAUUIVQAUUDUWEPZUUIA
      YKUWDUUAUKAYOYPYKUWDPGHDDBCWBUNWEZTWFZDBCYFWGWHZVBVCAUUIUVTUVNQZYHUUCACVO
      ZUUIUVSCUBZQZUWKAUWMDCUGZUWLJUWMDCVPRZUWBUVSUHUWCUKNZUWMUWBUWFUWCWNQZUVSU
      WQQUWIAUWRUUIAUWCAYPUWCWIQHDCWJRWKZTYFUUAUWCWLUNAUWMUWQPZUUIAYPUWTHDCVDRZ
      TVRZUVSCVSVTVBWOWMAUVOVMPZYHUUCUUIKWPWFUVLWQUVKUUNWRXEWSVLVKUUFUUHUUIWTZY
      HUUCUUFYFYLQZUUAWNQZUXDAYSUXEAYCYLYFAYNYCYLPYQDYBVDRZXAVFAUXFYSAUUAAYOUUA
      WIQGDBWJRZWKZTYFUHYKUUAXBUNZXCXDVLXFAYSYHUUEYIUIYRUUGUUEYIUUGUUESUUHYIUUI
      AYHUUEUUJYSUUKUUESZUUHYIUXKUUHSZUUOVMQZYIUXLUUOUVOVMUXLUVMUVNUUOAUUHUUOUV
      MQZYHUUEAUVQUUHYFUVFQUXNUVRAUUHSYFUUBUVFAUUHVQAUVGUUHUVITVRYFBVSVTVBUXLUU
      OYDUUAWANZCOZUVNUXLYEYGUXPUUOAYHUUEUUHUTAUUEYEUXPPZYHUUHAUUESZYOYPYDUWEQZ
      UXQAYOUUEGTAYPUUEHTUXRYDUUDUWEAUUEVQAUWGUUEUWHTWFZDBCYDWGWHZUSAUUHUUSYHUU
      EUUTVBXGAUUEUXPUVNQZYHUUHAUWLUUEUXOUWMQZUYBUWPUXRUXOUWQUWMUXRUXSUWRUXOUWQ
      QUXTAUWRUUEUWSTYDUUAUWCWLUNAUWTUUEUXATVRZUXOCVSVTUSWOWMAUXCYHUUEUUHKWPWFU
      XMWQUXLUUOWRXEWSVLVKAYHUUEUVJYSUXKUUIYIUXKUUISZYDYFUUAUUEYDXHQUUKUUIUUEYD
      YDUUAYKXIXPXJUUIYFXHQUXKUUIYFYFUUAYKXIXPXKAUUAXHQYHUUEUUIAUUAUXHXLWPUYEUW
      OUYCUWNSZUXPUVTPZUXOUVSPZAUWOYHUUEUUIJWPUYEUYCUWNAUUEUYCYHUUIUYDUSAUUIUWN
      YHUUEUXBVBXMUYEYEYGUXPUVTAYHUUEUUIUTAUUEUXQYHUUIUYAUSAUUIUWAYHUUEUWJVBVCU
      WOUYFSUYGUYHUWMDUXOUVSCXNXOXQXRVLVKUUFUXDYHUUEUXJXCXDVLXFYTUUCUUEWTZYHAYR
      UYIYSAYRSYDYLQZUXFUYIAYRUYJAYCYLYDUXGXAVFAUXFYRUXITYDUHYKUUAXBUNXSTXDVLXT
      LMYCDYBVGYA $.
  $}

  ${
    pfxlsw2ccat.n $e |- N = ( # ` W ) $.
    $( Reconstruct a word from its prefix and its last two symbols.
       (Contributed by Thierry Arnoux, 26-Sep-2023.) $)
    pfxlsw2ccat $p |- ( ( W e. Word V /\ 2 <_ N )
          -> W = ( ( W prefix ( N - 2 ) )
                            ++ <" ( W ` ( N - 2 ) ) ( W ` ( N - 1 ) ) "> ) ) $=
      ( wcel c2 cle wbr cfv c1 cmin cpfx cs1 cconcat wceq syl2anc syl cn0 cc0
      co cword wa chash cs2 clsw c0 simpl simpr breqtrdi wrdlenge2n0 pfxlswccat
      wne lsw oveq1i fveq2i eqtr4di s1eqd oveq2d eqtr3d pfxcl cn lencl eqeltrid
      nn0ge2m1nn eqeltrrid nn0red lem1d syl3anc cfz ige2m1fz pfxlen nn0ge2m1nn0
      pfxn0 oveq1d 0zd nn0zd 1zzd zsubcld a1i nn0sub biimpa syl21anc nn0ge0d cc
      2nn0 nn0cnd sub1m1 breqtrrd nnred elfzd eqeltrd pfxpfx pfxtrcfvl fvoveq1d
      eqtrd eqtr4d oveq12d ccatw2s1ccatws2 3eqtrd ) CBUAZEZFAGHZUBZCCCUCIZJKTZL
      TZAJKTZCIZMZNTZCAFKTZLTZXKCIZMZNTZXINTZXLXMXHUDNTZXCXFCUEIZMZNTZCXJXCXACU
      FULZXTCOXAXBUGZXCXAFXDGHZYAYBXCFAXDGXAXBUHZDUIZBCUJPBCUKPXCXSXIXFNXCXRXHX
      CXAXRXHOYBXAXRXECIXHCWTUMXGXECAXDJKDUNZUOUPQUQURUSXCXFXOXINXCXFXFUCIZJKTZ
      LTZXFUEIZMZNTZXFXOXCXFWTEZXFUFULZYLXFOXCXAYMYBBCXEUTQXCXAXEVAEXEXDGHYNYBX
      CXEXGVAYFXCAREZXBXGVAEXCAXDRDXCXAXDREZYBBCVBQZVCZYDAVDPVEZXCXDXCXDYQVFVGX
      EBCVMVHBXFUKPXCYIXLYKXNNXCYICYHLTZXLXCXAXESXDVITEZYHSXEVITZEYIYTOYBXCYPYC
      UUAYQYEXDVJPZXCYHXEJKTZUUBXCYGXEJKXCXAUUAYGXEOYBUUCBCXEVKPZVNXCUUDSXEXCVO
      XCXEXCXEXGRYFXCYOXBXGREYRYDAVLPVEVPZXCXEJUUFXCVQVRXCSXGJKTZUUDGXCSXKUUGGX
      CXKXCFREZYOXBXKREZUUHXCWEVSYRYDUUHYOUBXBUUIFAVTWAWBWCXCAWDEUUGXKOXCAYRWFA
      WGQZWHXGXEJKYFUNUIXCXEXCXEYSWIVGWJWKYHXEBCWLVHXCYHXKCLXCYHUUGXKXCYGXGJKXC
      YGXEXGUUEYFUPVNUUJWOURWOXCYJXMXCYJXDFKTCIZXMXCXAYCYJUUKOYBYEBCWMPXCAXDFCK
      AXDOXCDVSWNWPUQWQUSVNXCXLWTEZXPXQOXCXAUULYBBCXKUTQBXLXMXHWRQWS $.
  $}

  ${
    $d A i x $.  $d A m n x $.  $d B i j x y $.  $d B k x y $.  $d B m n x $.
    $d ch x $.  $d i ph $.  $d j ph $.  $d k n x $.  $d k ph $.  $d m n ta x $.
    $d n ph $.  $d n ps $.  $d ph y $.  $d th x $.
    wrdt2ind.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    wrdt2ind.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    wrdt2ind.3 $e |- ( x = ( y ++ <" i j "> ) -> ( ph <-> th ) ) $.
    wrdt2ind.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    wrdt2ind.5 $e |- ps $.
    wrdt2ind.6 $e |- ( ( y e. Word B /\ i e. B /\ j e. B ) -> ( ch -> th ) ) $.
    $( Perform an induction over the structure of a word of even length.
       (Contributed by Thierry Arnoux, 26-Sep-2023.) $)
    wrdt2ind $p |- ( ( A e. Word B /\ 2 || ( # ` A ) ) -> ta ) $=
      ( c2 co wceq vm vn vk cword wcel chash cfv cdvds wbr wa cmul cn0 wral cc0
      cv wi c1 caddc oveq2 eqeq1d imbi1d ralbidv c0 2t0e0 eqeq1i hasheq0 syl5bb
      eqcom bitri mpbiri syl6bi rgen fveq2 eqeq2d imbi12d cbvralvw cmin cconcat
      cpfx cs2 wsbc cfz simprl 0zd lencl syl nn0zd cz 2z a1i zsubcld cle cr 2re
      nn0re 0le2 nn0ge0 mulge0d adantr simpl nn0cnd adddid simprr 2t1e2 3eqtr3d
      2cnd 1cnd oveq2d oveq1d mulcld pncand eqtrd breqtrrd zred nn0red clt 2pos
      ltsubposd mpbii ltled syl2anc adantlr sbcie mpd biimpa eqbrtrd nn0p1elfzo
      syl3anc wrdsymbcl leidd sbceq1d id eqidd s2eqd imbi2d wb eqbrtrrid eqcomd
      0red adantl elfzd pfxlen eqtr2d vex dfsbcq bitr3id pfxcl ad2antrl rspcdva
      simplr cfzo 2nn0 addid2d eqeltrrd leadd1dd eqbrtrrd nn0sub syl21anc recnd
      subsubd 2m1e1 eqtr3d lem1d nn0ge2m1nn0 npcand oveq1 ovex 3imtr4g vtocl3ga
      w3a 1red readdcld 0p1e1 nn0ge0d le2addd lemul2ad breqtrd eqid pfxlsw2ccat
      simpll sbceq1a mpbird expr ralrimiva ex syl5bi nn0ind rspcdv imp adantllr
      wrex evennn02n sylan r19.29a ) HIUDZUEZRHUFUGZUHUIZUJRUAUOZUKSZUWQTZEUAUL
      UWPUWSULUEZUXAEUWRUWPUXBUJZUXAEUXCUWTFUOZUFUGZTZAUPZFUWOUMZUXAEUPZUXBUXHU
      WPRUBUOZUKSZUXETZAUPZFUWOUMRUNUKSZUXETZAUPZFUWOUMRUCUOZUKSZUXETZAUPZFUWOU
      MZRUXQUQURSZUKSZUXETZAUPZFUWOUMZUXHUBUCUWSUXJUNTZUXMUXPFUWOUYGUXLUXOAUYGU
      XKUXNUXEUXJUNRUKUSUTVAVBUXJUXQTZUXMUXTFUWOUYHUXLUXSAUYHUXKUXRUXEUXJUXQRUK
      USUTVAVBUXJUYBTZUXMUYEFUWOUYIUXLUYDAUYIUXKUYCUXEUXJUYBRUKUSUTVAVBUXJUWSTZ
      UXMUXGFUWOUYJUXLUXFAUYJUXKUWTUXEUXJUWSRUKUSUTVAVBUXPFUWOUXDUWOUEZUXOUXDVC
      TZAUXOUXEUNTZUYKUYLUXOUNUXETUYMUXNUNUXEVDVEUNUXEVHVIUXDUWOVFVGUYLABPLVJVK
      VLUYAUXRGUOZUFUGZTZCUPZGUWOUMZUXQULUEZUYFUXTUYQFGUWOUXDUYNTZUXSUYPACUYTUX
      EUYOUXRUXDUYNUFVMVNMVOVPUYSUYRUYFUYSUYRUJZUYEFUWOVUAUYKUYDAVUAUYKUYDUJZUJ
      ZAAFUXDUXERVQSZVSSZVUDUXDUGZUXEUQVQSZUXDUGZVTZVRSZWAZVUCAFVUEWAZVUKVUCUXR
      VUEUFUGZTZVULUYSVUBVUNUYRUYSVUBUJZVUMVUDUXRVUOUYKVUDUNUXEWBSUEVUMVUDTUYSU
      YKUYDWCZVUOVUDUNUXEVUOWDVUOUXEVUOUYKUXEULUEZVUPIUXDWEWFZWGZVUOUXERVUSRWHU
      EVUOWIWJWKZVUOUNUXRVUDWLUYSUNUXRWLUIVUBUYSRUXQRWMUEZUYSWNWJUXQWOUNRWLUIZU
      YSWPWJUXQWQWRWSZVUOVUDUXRRURSZRVQSUXRVUOUXEVVDRVQVUOUYCUXRRUQUKSZURSUXEVV
      DVUORUXQUQVUOXFZVUOUXQUYSVUBWTXAZVUOXGZXBUYSUYKUYDXCVUOVVERUXRURVVERTVUOX
      DWJXHXEZXIVUOUXRRVUORUXQVVFVVGXJVVFXKXLZXMVUOVUDUXEVUOVUDVUTXNZVUOUXEVURX
      OZVUOUNRXPUIVUDUXEXPUIXQVUORUXEVVAVUOWNWJZVVLXRXSXTUUAIUXDVUDUUBYAVVJUUCY
      BVUCUYQVUNVULUPGUWOVUEUYNVUETZUYPVUNCVULVVNUYOVUMUXRUYNVUEUFVMVNCAFUYNWAZ
      VVNVULACFUYNGUUDMYCZAFUYNVUEUUEZUUFVOUYSUYRVUBUUJUYKVUEUWOUEZVUAUYDIUXDVU
      DUUGUUHZUUIYDVUCVVRVUFIUEZVUHIUEZVULVUKUPZVVSUYSVUBVVTUYRVUOUYKVUDUNUXEUU
      KSZUEZVVTVUPVUOVUDULUEZVUQVUDUQURSZUXEWLUIVWDVUORULUEZVUQRUXEWLUIZVWEVWGV
      UOUULWJVURVUORVVDUXEWLVUOUNRURSRVVDWLVUORVVFUUMVUOUNUXRRVUOYSVUOVUDUXRWMV
      VJVVKUUNVVMVVCUUOUUPVVIXMZVWGVUQUJVWHVWERUXEUUQYEUURVURVUOVWFVUGUXEWLVUOU
      XERUQVQSZVQSVWFVUGVUOUXERUQVUOUXEVVLUUSZVVFVVHUUTVUOVWJUQUXEVQVWJUQTVUOUV
      AWJXHUVBVUOUXEVVLUVCYFVUDUXEYGYHVUDIUXDYIYAYBUYSVUBVWAUYRVUOUYKVUGVWCUEZV
      WAVUPVUOVUGULUEZVUQVUGUQURSZUXEWLUIVWLVUOVUQVWHVWMVURVWIUXEUVDYAVURVUOVWN
      UXEUXEWLVUOUXEUQVWKVVHUVEVUOUXEVVLYJYFVUGUXEYGYHVUGIUXDYIYAYBVVOAFUYNJUOZ
      KUOZVTZVRSZWAZUPVULAFVUEVWQVRSZWAZUPVULAFVUEVUFVWPVTZVRSZWAZUPVWBGJKVUEVU
      FVUHUWOIIVVNVVOVULVWSVXAVVQVVNAFVWRVWTUYNVUEVWQVRUVFYKVOVWOVUFTZVXAVXDVUL
      VXEAFVWTVXCVXEVWQVXBVUEVRVXEVWOVWPVUFVWPVXEYLVXEVWPYMYNXHYKYOVWPVUHTZVXDV
      UKVULVXFAFVXCVUJVXFVXBVUIVUEVRVXFVUFVWPVUFVUHVXFVUFYMVXFYLYNXHYKYOUYNUWOU
      EVWOIUEVWPIUEUVJCDVVOVWSQVVPADFVWRUYNVWQVRUVGNYCUVHUVIYHYDVUCUXDVUJTZAVUK
      YPVUCUYKVWHVXGVUAUYKUYDWCVUCRUYCUXEWLVUCRVVEUYCWLXDVUCUQUYBRVUCUVKZVUCUXQ
      UQVUCUXQUYSUYRVUBUVTZXOZVXHUVLVVAVUCWNWJVVBVUCWPWJVUCUQUNUQURSUYBWLUVMVUC
      UNUQUXQUQVUCYSVXHVXJVXHVUCUXQVXIUVNVUCUQVXHYJUVOYQUVPYQVUAUYKUYDXCUVQUYKV
      WHUJZVUJUXDVXKUXDVUJUXEIUXDUXEUVRUVSYRYRYAAFVUJUWAWFUWBUWCUWDUWEUWFUWGYTU
      XCUXGUXIFHUWOUWPUXBWTUXDHTZUXGUXIYPUXCVXLUXFUXAAEVXLUXEUWQUWTUXDHUFVMVNOV
      OYTUWHYDUWIUWJUWPUWQULUEZUWRUXAUAULUWKZIHWEVXMUWRVXNUAUWQUWLYEUWMUWN $.
  $}

  ${
    $d M x $.  $d N x $.  $d V x $.  $d W x $.
    $( The range of a subword is a subset of the range of that word.  Stronger
       version of ~ swrdrn .  (Contributed by Thierry Arnoux, 12-Dec-2023.) $)
    swrdrn2 $p |- ( ( W e. Word V /\ M e. ( 0 ... N ) /\ N e. ( 0 ... ( # ` W )
       ) ) -> ran ( W substr <. M , N >. ) C_ ran W ) $=
      ( vx cword wcel cc0 cfz co cfv crn cfzo wss cuz adantr cz elfzelzd sseldd
      syl chash w3a cop csubstr cmin cv caddc cmpt swrdval2 rneqd wral wfun cdm
      wa eqidd simpl1 wrdfd ffund elfzuz3 3ad2ant3 fzoss2 elfzuz 3ad2ant2 simpr
      fzoss1 simpl3 simpl2 fzoaddel2 syl3anc wceq wrddm 3ad2ant1 fvelrn syl2anc
      eleqtrrd ralrimiva eqid rnmptss eqsstrd ) DCFGZAHBIJGZBHDUAKZIJGZUBZDABUC
      UDJZLEHBAUEJMJZEUFZAUGJZDKZUHZLZDLZWDWEWJECDABUIUJWDWIWLGZEWFUKWKWLNWDWME
      WFWDWGWFGZUNZDULWHDUMZGWMWOHWBMJZCDWOCWBDWOWBUOVTWAWCWNUPUQURWOWHWQWPWOHB
      MJZWQWHWOWBBOKGZWRWQNWDWSWNWCVTWSWABHWBUSUTPBHWBVATWOABMJZWRWHWOAHOKGZWTW
      RNWDXAWNWAVTXAWCAHBVBVCPAHBVETWOWNBQGAQGWHWTGWDWNVDWOBHWBVTWAWCWNVFRWOAHB
      VTWAWCWNVGRWGBAVHVISSWDWPWQVJZWNVTWAXBWCCDVKVLPVOWHDVMVNVPEWFWIWLWJWJVQVR
      TVS $.
  $}

  ${
    $d M i j y $.  $d N i j y $.  $d V i j y $.  $d W i j y $.
    $( Express the range of a subword.  Stronger version of ~ swrdrn2 .
       (Contributed by Thierry Arnoux, 13-Dec-2023.) $)
    swrdrn3 $p |- ( ( W e. Word V /\ M e. ( 0 ... N ) /\ N e. ( 0 ... ( # ` W )
       ) ) -> ran ( W substr <. M , N >. ) = ( W " ( M ..^ N ) ) ) $=
      ( vy vj vi wcel cc0 co cfv cfzo cv wceq caddc wa cz simpr elfzelzd zcnd
      cword cfz w3a cop csubstr crn cima wrex cmin cmpt simpl3 simpl2 fzoaddel2
      chash syl3anc pncan3d oveq2d eleqtrrd zsubcld oveq1d eqeq2d fzossz sselid
      fzosubel3 syl2anc npcand eqcomd rspcedvd fveq2d bitr3id rexxfrd eqid fvex
      elrnmpti bitr4di wf wrdf 3ad2ant1 ffnd cuz wss elfzuz 3ad2ant2 fzoss1 syl
      eqcom elfzuz3 3ad2ant3 fzoss2 sstrd fvelimabd swrdval2 rneqd eleq2d eqrdv
      3bitr4rd ) DCUAHZAIBUBJHZBIDUNKZUBJHZUCZEDABUDUEJZUFZDABLJZUGZXAFMZDKZEMZ
      NZFXDUHZXHGIBAUIJZLJZGMZAOJZDKZUJZUFZHZXHXEHXHXCHXAXJXHXONZGXLUHXRXAXIXSF
      GXNXDXLXAXMXLHZPZXTBQHAQHXNXDHXAXTRYABIWSWQWRWTXTUKSYAAIBWQWRWTXTULSXMBAU
      MUOXAXFXDHZPZXFXNNZXFXFAUIJZAOJZNGYEXLYCXFAAXKOJZLJZHXKQHYEXLHYCXFXDYHXAY
      BRZYCYGBALYCABYCAYCAIBWQWRWTYBULSZTZYCBYCBIWSWQWRWTYBUKSZTUPUQURYCBAYLYJU
      SXFAXKVDVEYCXMYENZPZXNYFXFYNXMYEAOYCYMRUTVAYCYFXFYCXFAYCXFYCXDQXFABVBYIVC
      TYKVFVGVHXIXHXGNXAYDPZXSXHXGWFYOXGXOXHYOXFXNDXAYDRVIVAVJVKGXLXOXHXPXPVLXN
      DVMVNVOXAFIWSLJZXDXHDXAYPCDWQWRYPCDVPWTCDVQVRVSXAXDIBLJZYPXAAIVTKHZXDYQWA
      WRWQYRWTAIBWBWCAIBWDWEXAWSBVTKHZYQYPWAWTWQYSWRBIWSWGWHBIWSWIWEWJWKXAXCXQX
      HXAXBXPGCDABWLWMWNWPWO $.
  $}

  ${
    $d M i j $.  $d N i j $.  $d W i j $.  $d i j ph $.
    swrdf1.w $e |- ( ph -> W e. Word D ) $.
    swrdf1.m $e |- ( ph -> M e. ( 0 ... N ) ) $.
    swrdf1.n $e |- ( ph -> N e. ( 0 ... ( # ` W ) ) ) $.
    swrdf1.1 $e |- ( ph -> W : dom W -1-1-> D ) $.
    $( Condition for a subword to be injective.  (Contributed by Thierry
       Arnoux, 12-Dec-2023.) $)
    swrdf1 $p |- ( ph
       -> ( W substr <. M , N >. ) : dom ( W substr <. M , N >. ) -1-1-> D ) $=
      ( vi vj co cfv wceq cc0 cfzo wcel wa cz ad3antrrr cop csubstr cdm wf wral
      cv wi wf1 cmin cword cfz chash swrdf syl3anc ffdmd fzossz simpllr eleqtrd
      fdmd sselid zcnd simplr elfzelzd caddc wss cuz elfzuz fzoss1 3syl elfzuz3
      fzoss2 sstrd fzoaddel2 sseldd wrddm syl eleqtrrd swrdfv syl31anc f1veqaeq
      simpr 3eqtr3d anassrs imp syl1111anc addcan2ad ex anasss ralrimivva dff13
      sylanbrc ) AECDUAUBLZUCZBWLUDJUFZWLMZKUFZWLMZNZWNWPNZUGZKWMUEJWMUEWMBWLUH
      AODCUILZPLZBWLAEBUJQZCODUKLQZDOEULMZUKLQZXBBWLUDFGHCDBEUMUNZUOAWTJKWMWMAW
      NWMQZWPWMQZWTAXHRZXIRZWRWSXKWRRZWNWPCXLWNXLXBSWNOXAUPZXLWNWMXBAXHXIWRUQAW
      MXBNXHXIWRAXBBWLXGUSTZURZUTVAXLWPXLXBSWPXMXLWPWMXBXJXIWRVBXNURZUTVAXLCACS
      QZXHXIWRACODGVCTZVAXLEUCZBEUHZWNCVDLZXSQZWPCVDLZXSQZYAEMZYCEMZNZYAYCNZAXT
      XHXIWRITXLYAOXEPLZXSXLCDPLZYIYAAYJYIVEXHXIWRAYJODPLZYIAXDCOVFMQYJYKVEGCOD
      VGCODVHVIAXFXEDVFMQYKYIVEHDOXEVJDOXEVKVIVLTZXLWNXBQZDSQZXQYAYJQXOAYNXHXIW
      RADOXEHVCTZXRWNDCVMUNVNAXSYINZXHXIWRAXCYPFBEVOVPTZVQXLYCYIXSXLYJYIYCYLXLW
      PXBQZYNXQYCYJQXPYOXRWPDCVMUNVNYQVQXLWOWQYEYFXKWRWAXLXCXDXFYMWOYENAXCXHXIW
      RFTZAXDXHXIWRGTZAXFXHXIWRHTZXOBECDWNVRVSXLXCXDXFYRWQYFNYSYTUUAXPBECDWPVRV
      SWBXTYBRYDRYGYHXTYBYDYGYHUGXSBYAYCEVTWCWDWEWFWGWHWIJKWMBWLWJWK $.

    swrdrndisj.1 $e |- ( ph -> O e. ( N ... P ) ) $.
    swrdrndisj.2 $e |- ( ph -> P e. ( N ... ( # ` W ) ) ) $.
    $( Condition for the range of two subwords of an injective word to be
       disjoint.  (Contributed by Thierry Arnoux, 13-Dec-2023.) $)
    swrdrndisj $p |- ( ph -> ( ran ( W substr <. M , N >. )
                                  i^i ran ( W substr <. O , P >. ) ) = (/) ) $=
      ( co c0 wcel cc0 cfz wss 3syl cop csubstr crn cin cfzo cima cword swrdrn3
      chash cfv wceq syl3anc cuz elfzuz fzss1 sseldd ineq12d cdm wf1 ccnv df-f1
      wfun simprbi imain fzoss1 elfzuz3 fzoss2 sstrd sslin syl fzodisj sseqtrdi
      wf ss0 imaeq2d ima0 eqtrdi 3eqtr2d ) AGDEUAUBNUCZGFCUAUBNUCZUDGDEUENZUFZG
      FCUENZUFZUDZGWAWCUDZUFZOAVSWBVTWDAGBUGPZDQERNPEQGUIUJZRNZPZVSWBUKHIJDEBGU
      HULAWHFQCRNZPCWJPVTWDUKHAECRNZWLFAWKEQUMUJPZWMWLSJEQWIUNZEQCUOTLUPAEWIRNZ
      WJCAWKWNWPWJSJWOEQWIUOTMUPFCBGUHULUQAGURZBGUSZGUTVBZWGWEUKKWRWQBGVMWSWQBG
      VAVCWAWCGVDTAWGGOUFOAWFOGAWFOSWFOUKAWFWAEWIUENZUDZOAWCWTSWFXASAWCECUENZWT
      AFWMPFEUMUJPWCXBSLFECUNFECVETACWPPWICUMUJPXBWTSMCEWIVFCEWIVGTVHWCWTWAVIVJ
      DEWIVKVLWFVNVJVOGVPVQVR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Splicing words (substring replacement)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    splfv3.s $e |- ( ph -> S e. Word A ) $.
    splfv3.f $e |- ( ph -> F e. ( 0 ... T ) ) $.
    splfv3.t $e |- ( ph -> T e. ( 0 ... ( # ` S ) ) ) $.
    splfv3.r $e |- ( ph -> R e. Word A ) $.
    splfv3.x $e |- ( ph -> X e. ( 0 ..^ ( ( # ` S ) - T ) ) ) $.
    splfv3.k $e |- ( ph -> K = ( F + ( # ` R ) ) ) $.
    $( Symbols to the right of a splice are unaffected.  (Contributed by
       Thierry Arnoux, 14-Dec-2023.) $)
    splfv3 $p |- ( ph -> ( ( S splice <. F , T , R >. ) ` ( X + K ) )
                         = ( S ` ( X + T ) ) ) $=
      ( caddc co cfv wcel cc0 wceq cotp csplice cconcat chash cop csubstr cword
      cpfx cfz splval syl13anc cuz wss elfzuz3 fzss2 3syl sseldd pfxlen syl2anc
      oveq1d pfxcl syl ccatlen 3eqtr4rd oveq2d fveq12d cfzo ccatcl swrdcl lencl
      cn0 nn0fz0 sylib swrdlen syl3anc eleqtrrd ccatval3 swrdfv syl31anc 3eqtrd
      cmin ) AHGOPZDFECUAUBPZQHDFUHPZCUCPZUDQZOPZWEDEDUDQZUEUFPZUCPZQZHWIQZHEOP
      DQZAWBWGWCWJADBUGZRZFSEUIPZRESWHUIPZRZCWNRZWCWJTIJKLCDEFWNWPWQWNUJUKAGWFH
      OAWDUDQZCUDQZOPZFXAOPWFGAWTFXAOAWOFWQRWTFTIAWPWQFAWRWHEULQRWPWQUMKESWHUNE
      SWHUOUPJUQBDFURUSUTAWDWNRZWSWFXBTAWOXCIBDFVAVBZLBBWDCVCUSNVDVEVFAWEWNRZWI
      WNRZHSWIUDQZVGPZRWKWLTAXCWSXEXDLBWDCVHUSAWOXFIBDEWHVIVBAHSWHEWAPZVGPZXHMA
      XGXISVGAWOWRWHWQRZXGXITIKAWOXKIWOWHVKRXKBDVJWHVLVMVBZBDEWHVNVOVEVPBWEWIHV
      QVOAWOWRXKHXJRWLWMTIKXLMBDEWHHVRVSVT $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Cyclic shift of words
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Cyclically shifting a single letter word keeps it unchanged.  (Contributed
     by Thierry Arnoux, 21-Nov-2023.) $)
  1cshid $p |- ( ( W e. Word V /\ N e. ZZ /\ ( # ` W ) = 1 )
              -> ( W cyclShift N ) = W ) $=
    ( cword wcel cz chash cfv c1 wceq w3a ccsh co cmo cc0 cshwmodn simp3 oveq2d
    3adant3 zmod10 3ad2ant2 eqtrd cshw0 3ad2ant1 3eqtrd ) CBDEZAFEZCGHZIJZKZCAL
    MZCAUHNMZLMZCOLMZCUFUGUKUMJUIABCPSUJULOCLUJULAINMZOUJUHIANUFUGUIQRUGUFUOOJU
    IATUAUBRUFUGUNCJUIBCUCUDUE $.

  ${
    $d A i $.  $d B i $.  $d V i $.
    $( Cyclically shifting a length 2 word swaps its symbols.  (Contributed by
       Thierry Arnoux, 19-Sep-2023.) $)
    cshw1s2 $p |- ( ( A e. V /\ B e. V )
                 -> ( <" A B "> cyclShift 1 ) = <" B A "> ) $=
      ( vi wcel c1 cfv cmo co cop csubstr cpfx cconcat c2 oveq2i cc0 wceq caddc
      cfzo csn wa cs2 chash cs1 ccsh s2len cr crp cle wbr clt 1re 2rp 0le1 1lt2
      modid mp4an eqtri opeq12i cmin cmpt cword s2cl cfz ctp tpid2g ax-mp fz0tp
      eleqtrri tpid3g swrdval2 mp3an23 syl 2m1e1 fzo01 a1i simpr eleqtrdi elsni
      cv oveq1d 0p1e1 eqtrdi fveq2d s2fv1 ad2antlr mpteq12dva cxp fconstmpt cn0
      eqtrd 0nn0 xpsng sylancr s1val adantl eqtr4d eqtr3id 3eqtrd syl5eq pfx1s2
      oveq12d cz 1z cshword sylancl df-s2 3eqtr4d ) ACEZBCEZUAZABUBZFXLUCGZHIZX
      MJZKIZXLXNLIZMIZBUDZAUDZMIZXLFUEIZBAUBZXKXPXSXQXTMXKXPXLFNJZKIZXSXOYDXLKX
      NFXMNXNFNHIZFXMNFHABUFZOFUGEZNUHEZPFUIUJFNUKUJYFFQULUMUNUOFNUPUQURZYGUSOX
      KYEDPNFUTIZSIZDVTZFRIZXLGZVAZDPTZBVAZXSXKXLCVBEZYEYPQZABCVCZYSFPNVDIZENPX
      MVDIZEYTFPFNVEZUUBYHFUUDEULFUGPNVFVGVHVINUUBUUCNUUDUUBYINUUDEUMNUHPFVJVGV
      HVIXMNPVDYGOVIDCXLFNVKVLVMXKDYLYOYQBYLYQQXKYLPFSIYQYKFPSVNOVOURZVPXKYMYLE
      ZUAZYOFXLGZBUUGYNFXLUUGYNPFRIFUUGYMPFRUUGYMYQEYMPQUUGYMYLYQXKUUFVQUUEVRYM
      PVSVMWAWBWCWDXJUUHBQXIUUFABCWEWFWKWGXKYRYQBTWHZXSDYQBWIXKUUIPBJTZXSXKPWJE
      XJUUIUUJQWLXIXJVQPBWJCWMWNXJXSUUJQXIBCWOWPWQWRWSWTXKXQXLFLIXTXNFXLLYJOABC
      XAWTXBXKYSFXCEYBXRQUUAXDFCXLXEXFYCYAQXKBAXGVPXH $.
  $}

  ${
    $d N c i j $.  $d V c i j $.  $d W c i j $.
    $( Cyclically shifting a word preserves its range.  (Contributed by Thierry
       Arnoux, 19-Sep-2023.) $)
    cshwrnid $p |- ( ( W e. Word V /\ N e. ZZ )
                  -> ran ( W cyclShift N ) = ran W ) $=
      ( vc vj vi wcel cz wa cv co cfv wceq cc0 wrex cab cmin cmo adantl oveq1d
      cword ccsh chash cfzo crn w3a elfzoelz 3ad2ant3 simp2 zsubcld cn0 clt wbr
      cn elfzo0 simp2bi zmodfzo syl2anc 3expa caddc simplr zaddcld simpr eqeq2d
      cr zred readdcld nnrpd modsubmod syl3anc zcnd pncand zmodidfzoimp 3eqtrrd
      crp rspcedvd simp3 fveq2d simp1l simp1r cshwidxmodr eqtrd rexxfrd2 abbidv
      wfn cshwfn fnrnfv syl wrdfn adantr 3eqtr4d ) CBUAGZAHGZIZDJZEJZCAUBKZLZMZ
      ENCUCLZUDKZOZDPZWOFJZCLZMZFXAOZDPZWQUEZCUEZWNXBXGDWNWSXFEFXDAQKZWTRKZXAXA
      WLWMXDXAGZXLXAGZWLWMXMUFZXKHGWTUNGZXNXOXDAXMWLXDHGWMXDNWTUGUHWLWMXMUIUJXM
      WLXPWMXMXDUKGXPXDWTULUMXDWTUOUPUHXKWTUQURUSWNWPXAGZIZWPXLMZWPWPAUTKZWTRKZ
      AQKZWTRKZMFYAXAXRXTHGXPYAXAGXRWPAXQWPHGWNWPNWTUGSZWLWMXQVAZVBXQXPWNXQWPUK
      GXPWPWTULUMWPWTUOUPSZXTWTUQURXRXDYAMZIZXLYCWPYHXKYBWTRYHXDYAAQXRYGVCTTVDX
      RYCXTAQKZWTRKZWPWTRKZWPXRXTVEGAVEGWTVOGYCYJMXRWPAXRWPYDVFXRAYEVFZVGYLXRWT
      YFVHXTAWTVIVJXRYIWPWTRXRWPAXRWPYDVKXRAYEVKVLTXQYKWPMWNWPWTVMSVNVPWNXMXSUF
      ZWRXEWOYMWRXLWQLZXEYMWPXLWQWNXMXSVQVRYMWLWMXMYNXEMWLWMXMXSVSWLWMXMXSVTWNX
      MXSUIXDABCWAVJWBVDWCWDWNWQXAWEXIXCMABCWFEDXAWQWGWHWNCXAWEZXJXHMWLYOWMBCWI
      WJFDXACWGWHWK $.
  $}

  $( Condition for the cyclic shift to be a bijection.  (Contributed by Thierry
     Arnoux, 4-Oct-2023.) $)
  cshf1o $p |- ( ( W e. Word D /\ W : dom W -1-1-> D /\ N e. ZZ ) -> ( W
      cyclShift N ) : dom W -1-1-onto-> ran W ) $=
    ( cword wcel cdm wf1 cz w3a ccsh co wceq wf1o cshwrnid 3adant2 f1eq2 biimpa
    crn cc0 syl2anc chash cfv cfzo wrddm 3ad2ant1 simp2 simp3 eqid cshf1 mp3an3
    biimpar f1f1orn syl f1oeq3 ) CADEZCFZACGZBHEZIZCBJKZRZCRZLZUPVAUTMZUPVBUTMZ
    UOURVCUQBACNOUSUPAUTGZVDUSUPSCUAUBUCKZLZVGAUTGZVFUOUQVHURACUDUEZUSVGACGZURV
    IUSVHUQVKVJUOUQURUFVHUQVKUPVGACPQTUOUQURUGVKURUTUTLVIUTUHABCUTUIUJTVHVFVIUP
    VGAUTPUKTUPAUTULUMVCVDVEVAVBUPUTUNQT $.

$( Begin $[ set-mbox-ta-algtop.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Extensible Structures
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Structure restriction operator
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y .+^ $.  $d x y A $.  $d x y B $.  $d x y H $.
    ressplusf.1 $e |- B = ( Base ` G ) $.
    ressplusf.2 $e |- H = ( G |`s A ) $.
    ressplusf.3 $e |- .+^ = ( +g ` G ) $.
    ressplusf.4 $e |- .+^ Fn ( B X. B ) $.
    ressplusf.5 $e |- A C_ B $.
    $( The group operation function ` +f ` of a structure's restriction is the
       operation function's restriction to the new base.  (Contributed by
       Thierry Arnoux, 26-Mar-2017.) $)
    ressplusf $p |- ( +f ` H ) = ( .+^ |` ( A X. A ) ) $=
      ( vx vy cv cmpo cxp cres cfv wceq cbs ax-mp co cplusf wss resmpo wfn fnov
      mp2an mpbi reseq1i ressbas2 cvv wcel fvexi ssexi eqid ressplusg plusffval
      cplusg eqtri 3eqtr4ri ) KLBBKMLMCUAZNZAAOZPZKLAAVANZCVCPEUBQZABUCZVGVDVER
      JJKLBBAAVAUDUGCVBVCCBBOUECVBRIKLBBCUFUHUIKLACVFEVGAESQRJABEDGFUJTCDURQZEU
      RQZHAUKULVHVIRABBDSFUMJUNAVHDEUKGVHUOUPTUSVFUOUQUT $.
  $}

  ${
    $d x .0. $.  $d x A $.  $d x B $.  $d x G $.  $d x H $.
    ressnm.1 $e |- H = ( G |`s A ) $.
    ressnm.2 $e |- B = ( Base ` G ) $.
    ressnm.3 $e |- .0. = ( 0g ` G ) $.
    ressnm.4 $e |- N = ( norm ` G ) $.
    $( The norm in a restricted structure.  (Contributed by Thierry Arnoux,
       8-Oct-2017.) $)
    ressnm $p |- ( ( G e. Mnd /\ .0. e. A /\ A C_ B )
                   -> ( N |` A ) = ( norm ` H ) ) $=
      ( vx wcel cds cfv co cmpt cbs wceq 3ad2ant3 eqid cmnd wss w3a cv c0g cres
      cnm ressbas2 cvv fvexi ssex ressds eqidd ress0g oveq123d mpteq12dv nmfval
      syl reseq1i resmpt syl5eq a1i 3eqtr4d ) CUALZFALZABUBZUCZKAKUDZFCMNZOZPZK
      DQNZVHDUENZDMNZOZPZEAUFZDUGNZVGKAVJVLVOVFVDAVLRVEABDCGHUHSVGVHVHFVMVIVNVF
      VDVIVNRZVEVFAUILVSABBCQHUJUKAVICDUIGVITZULURSVGVHUMABCDFGHIUNUOUPVFVDVQVK
      RVEVFVQKBVJPZAUFVKEWAAKVIECBFJHIVTUQUSKBAVJUTVASVRVPRVGKVNVRDVLVMVRTVLTVM
      TVNTUQVBVC $.
  $}

  ${
    $d x y K $.  $d x y L $.  $d x y ph $.
    abvpropd2.1 $e |- ( ph -> ( Base ` K ) = ( Base ` L ) ) $.
    abvpropd2.2 $e |- ( ph -> ( +g ` K ) = ( +g ` L ) ) $.
    abvpropd2.3 $e |- ( ph -> ( .r ` K ) = ( .r ` L ) ) $.
    $( Weaker version of ~ abvpropd .  (Contributed by Thierry Arnoux,
       8-Nov-2017.) $)
    abvpropd2 $p |- ( ph -> ( AbsVal ` K ) = ( AbsVal ` L ) ) $=
      ( vx vy cbs cfv eqidd cv wcel wa cplusg oveqdr cmulr abvpropd ) AGHBIJZBC
      ASKDAGLSMHLSMNZGHBOJCOJEPATGHBQJCQJFPR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The opposite group
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    oppglt.1 $e |- O = ( oppG ` R ) $.
    ${
      oppgle.2 $e |- .<_ = ( le ` R ) $.
      $( less-than relation of an opposite group.  (Contributed by Thierry
         Arnoux, 13-Apr-2018.) $)
      oppgle $p |- .<_ = ( le ` O ) $=
        ( cple cplusg ctpos eqid oppgval pleid plendxnplusgndx setsplusg eqtri
        cfv ) BAFOCFOEAAGOZHFCPACPIDJKLMN $.

      $( Obsolete version of ~ oppgle as of 27-Oct-2024. less-than relation of
         an opposite group.  (Contributed by Thierry Arnoux, 13-Apr-2018.)
         (Proof modification is discouraged.)  (New usage is discouraged.) $)
      oppgleOLD $p |- .<_ = ( le ` O ) $=
        ( cple cfv c1 cc0 cdc df-ple 10nn c2 2re 2lt10 gtneii oppglemOLD eqtri
        ) BAFGCFGEAFHIJZCDKLMSNOPQR $.
    $}

    ${
      oppglt.2 $e |- .< = ( lt ` R ) $.
      $( less-than relation of an opposite group.  (Contributed by Thierry
         Arnoux, 13-Apr-2018.) $)
      oppglt $p |- ( R e. V -> .< = ( lt ` O ) ) $=
        ( wcel cple cfv cid cdif cplt eqid pltfval cvv coppg fvexi oppgle ax-mp
        wceq eqtr4di ) ADGBAHIZJKZCLIZDBAUBUBMZFNCOGUDUCTCAPEQOUDCUBAUBCEUERUDM
        NSUA $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Posets
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y z A $.  $d x y z B $.  $d x y z K $.
    ressprs.b $e |- B = ( Base ` K ) $.
    $( The restriction of a proset is a proset.  (Contributed by Thierry
       Arnoux, 11-Sep-2015.) $)
    ressprs $p |- ( ( K e. Proset /\ A C_ B ) -> ( K |`s A ) e. Proset ) $=
      ( vx vy vz wcel cvv cfv wbr wral sseldd eqid r19.21bi ralrimiva raleqbidv
      wa cv breqd cproset wss cress co wi cbs ovexd simp-4l simp-4r simpllr jca
      cple simplr simpr isprs simprbi syl21anc wceq ressbas2 adantl ssex ressle
      fvexi syl anbi12d imbi12d anbi2d mpbi2and sylibr ) CUAHZABUBZRZCAUCUDZIHZ
      ESZVOVMULJZKZVOFSZVPKZVRGSZVPKZRZVOVTVPKZUEZRZGVMUFJZLZFWFLZEWFLZRZVMUAHV
      LVNVOVOCULJZKZVOVRWKKZVRVTWKKZRZVOVTWKKZUEZRZGALZFALZEALZWJVLCAUCUGVLWTEA
      VLVOAHZRZWSFAXCVRAHZRZWRGAXEVTAHZRZVJVOBHZRZVRBHZVTBHWRXGVJXHVJVKXBXDXFUH
      XGABVOVJVKXBXDXFUIZVLXBXDXFUJMUKXGABVRXKXCXDXFUMMXGABVTXKXEXFUNMXIXJRWRGB
      XIWRGBLZFBVJXLFBLZEBVJCIHXMEBLEFGBCWKDWKNZUOUPOOOUQPPPVLXAWIVNVLWTWHEAWFV
      KAWFURVJABVMCVMNZDUSUTZVLWSWGFAWFXPVLWRWEGAWFXPVLWLVQWQWDVLWKVPVOVOVKWKVP
      URZVJVKAIHXQABBCUFDVCVAACWKIVMXOXNVBVDUTZTVLWOWBWPWCVLWMVSWNWAVLWKVPVOVRX
      RTVLWKVPVRVTXRTVEVLWKVPVOVTXRTVFVEQQQVGVHEFGWFVMVPWFNVPNUOVI $.
  $}

  ${
    $d x y z D $.  $d x y z K $.
    oduprs.d $e |- D = ( ODual ` K ) $.
    $( Being a proset is a self-dual property.  (Contributed by Thierry Arnoux,
       13-Sep-2018.) $)
    oduprs $p |- ( K e. Proset -> D e. Proset ) $=
      ( vx vy vz cproset wcel cvv cv wbr wa wral isprs r19.21bi vex brcnv an32s
      wi ralrimiva cple cfv ccnv cbs eqid simprbi simpld sylibr simprd anbi12ci
      ex imp 3imtr4g jca codu fvexi jctil odubas oduleval ) BGHZAIHZDJZVBBUAUBZ
      UCZKZVBEJZVDKZVFFJZVDKZLZVBVHVDKZSZLZFBUDUBZMZEVNMZDVNMZLAGHUTVQVAUTVPDVN
      UTVBVNHZLZVOEVNVSVFVNHZLZVMFVNWAVHVNHZLZVEVLWCVBVBVCKZVEWCWDVBVFVCKVFVHVC
      KLVBVHVCKSZWAWDWELZFVNVSWFFVNMZEVNUTWGEVNMZDVNUTBIHZWHDVNMDEFVNBVCVNUEZVC
      UEZNUFOOOUGVBVBVCDPZWLQUHWCVHVFVCKZVFVBVCKZLZVHVBVCKZVJVKVSWBVTWOWPSZVSWB
      LVTWQUTWBVRVTWQSUTWBLZVRLVTWQWRVTVRWQWRVTLZVRLVHVHVCKZWQWSWTWQLZDVNWRXADV
      NMZEVNUTXBEVNMZFVNUTWIXCFVNMFEDVNBVCWJWKNUFOOOUIRUKRULRVGWNVIWMVBVFVCWLEP
      ZQVFVHVCXDFPZQUJVBVHVCWLXEQUMUNTTTABUOCUPUQDEFVNAVDVNABCWJURAVCBCWKUSNUH
      $.
  $}

  ${
    posrasymb.b $e |- B = ( Base ` K ) $.
    posrasymb.l $e |- .<_ = ( ( le ` K ) i^i ( B X. B ) ) $.
    $( A poset ordering is asymetric.  (Contributed by Thierry Arnoux,
       13-Sep-2018.) $)
    posrasymb $p |- ( ( K e. Poset /\ X e. B /\ Y e. B )
                -> ( ( X .<_ Y /\ Y .<_ X ) <-> X = Y ) ) $=
      ( cpo wcel w3a wbr wa breqi wb brxp sylanbrc brin rbaib syl syl5bb simp2
      cple cfv wceq cxp cin simp3 anbi12d eqid posasymb bitrd ) BHIZDAIZEAIZJZD
      ECKZEDCKZLDEBUBUCZKZEDURKZLDEUDUOUPUSUQUTUPDEURAAUEZUFZKZUOUSDECVBGMUODEV
      AKZVCUSNUOUMUNVDULUMUNUAZULUMUNUGZDEAAOPVCUSVDDEURVAQRSTUQEDVBKZUOUTEDCVB
      GMUOEDVAKZVGUTNUOUNUMVHVFVEEDAAOPVGUTVHEDURVAQRSTUHABURDEFURUIUJUK $.
  $}

  ${
    $d x y z A $.  $d x y z F $.
    $( The restriction of a Poset is a Poset.  (Contributed by Thierry Arnoux,
       20-Jan-2018.) $)
    resspos $p |- ( ( F e. Poset /\ A e. V ) -> ( F |`s A ) e. Poset ) $=
      ( vx vy vz cpo wcel wa cress cvv cv cple cfv wbr wi wral eqid ssralv breq
      co wceq w3a cbs ovexd wss cin ressbas inss2 eqsstrrdi adantl ispos adantr
      simprbi ralimdv syld sylc ressle anbi12d imbi1d imbi12d 3anbi123d ralbidv
      wb 2ralbidv syl mpbid sylanbrc ) BGHZACHZIZBAJUAZKHDLZVMVLMNZOZVMELZVNOZV
      PVMVNOZIZVMVPUBZPZVQVPFLZVNOZIZVMWBVNOZPZUCZFVLUDNZQZEWHQDWHQZVLGHVKBAJUE
      VKVMVMBMNZOZVMVPWKOZVPVMWKOZIZVTPZWMVPWBWKOZIZVMWBWKOZPZUCZFWHQZEWHQZDWHQ
      ZWJVKWHBUDNZUFZXAFXEQZEXEQZDXEQZXDVJXFVIVJWHAXEUGXEAXEVLCBVLRZXERZUHAXEUI
      UJUKVIXIVJVIBKHXIDEFXEBWKXKWKRZULUNUMXFXIXCDXEQXDXFXHXCDXEXFXHXBEXEQXCXFX
      GXBEXEXAFWHXESUOXBEWHXESUPUOXCDWHXESUPUQVKWKVNUBZXDWJVDVJXMVIABWKCVLXJXLU
      RUKXMXBWIDEWHWHXMXAWGFWHXMWLVOWPWAWTWFVMVMWKVNTXMWOVSVTXMWMVQWNVRVMVPWKVN
      TZVPVMWKVNTUSUTXMWRWDWSWEXMWMVQWQWCXNVPWBWKVNTUSVMWBWKVNTVAVBVCVEVFVGDEFW
      HVLVNWHRVNRULVH $.

    $d x y V $.
    $( The restriction of a Toset is a Toset.  (Contributed by Thierry Arnoux,
       20-Jan-2018.) $)
    resstos $p |- ( ( F e. Toset /\ A e. V ) -> ( F |`s A ) e. Toset ) $=
      ( vx vy ctos wcel cpo cv cple cfv wbr wo cbs wral eqid adantl istos breqd
      ssralv wa cress co tospos resspos sylan wss cin ressbas eqsstrrdi simprbi
      inss2 adantr ralimdv syld sylc wb ressle orbi12d 2ralbidv mpbid sylanbrc
      ) BFGZACGZUAZBAUBUCZHGZDIZEIZVFJKZLZVIVHVJLZMZEVFNKZODVNOZVFFGVCBHGZVDVGB
      UDABCUEUFVEVHVIBJKZLZVIVHVQLZMZEVNOZDVNOZVOVEVNBNKZUGZVTEWCOZDWCOZWBVDWDV
      CVDVNAWCUHWCAWCVFCBVFPZWCPZUIAWCULUJQVCWFVDVCVPWFDEWCBVQWHVQPZRUKUMWDWFWE
      DVNOWBWEDVNWCTWDWEWADVNVTEVNWCTUNUOUPVDWBVOUQVCVDVTVMDEVNVNVDVRVKVSVLVDVQ
      VJVHVIABVQCVFWGWIURZSVDVQVJVIVHWJSUSUTQVADEVNVFVJVNPVJPRVB $.
  $}

  ${
    $d x y K $.
    odutos.d $e |- D = ( ODual ` K ) $.
    $( Being a toset is a self-dual property.  (Contributed by Thierry Arnoux,
       13-Sep-2018.) $)
    odutos $p |- ( K e. Toset -> D e. Toset ) $=
      ( vx vy ctos wcel cpo cv cple cfv ccnv wbr cbs wral tospos eqid vex brcnv
      wo odupos syl w3a tleile orbi12i sylibr 3com23 ralrimivva odubas oduleval
      3expb istos sylanbrc ) BFGZAHGZDIZEIZBJKZLZMZUQUPUSMZTZEBNKZODVCOAFGUNBHG
      UOBPABCUAUBUNVBDEVCVCUNUPVCGZUQVCGZVBUNVEVDVBUNVEVDUCUQUPURMZUPUQURMZTVBV
      CBURUQUPVCQZURQZUDUTVFVAVGUPUQURDRZERZSUQUPURVKVJSUEUFUGUKUHDEVCAUSVCABCV
      HUIAURBCVIUJULUM $.
  $}

  ${
    tlt2.b $e |- B = ( Base ` K ) $.
    tlt2.e $e |- .<_ = ( le ` K ) $.
    tlt2.l $e |- .< = ( lt ` K ) $.
    $( In a Toset, two elements must compare.  (Contributed by Thierry Arnoux,
       13-Apr-2018.) $)
    tlt2 $p |- ( ( K e. Toset /\ X e. B /\ Y e. B )
      -> ( X .<_ Y \/ Y .< X ) ) $=
      ( ctos wcel w3a wbr wo wn exmidd wb tltnle 3com23 orbi2d mpbird ) CJKZEAK
      ZFAKZLZEFDMZFEBMZNUFUFOZNUEUFPUEUGUHUFUBUDUCUGUHQABCDFEGHIRSTUA $.
  $}

  ${
    tlt3.b $e |- B = ( Base ` K ) $.
    tlt3.l $e |- .< = ( lt ` K ) $.
    $( In a Toset, two elements must compare strictly, or be equal.
       (Contributed by Thierry Arnoux, 13-Apr-2018.) $)
    tlt3 $p |- ( ( K e. Toset /\ X e. B /\ Y e. B )
      -> ( X = Y \/ X .< Y \/ Y .< X ) ) $=
      ( ctos wcel w3a wceq wbr wo w3o cple cfv eqid tlt2 cpo wb pleval2 syl3an1
      tospos orcom bitrdi orbi1d mpbid df-3or sylibr ) CHIZDAIZEAIZJZDEKZDEBLZM
      ZEDBLZMZUNUOUQNUMDECOPZLZUQMURABCUSDEFUSQZGRUMUTUPUQUJCSIZUKULUTUPTCUCVBU
      KULJUTUOUNMUPABCUSDEFVAGUAUOUNUDUEUBUFUGUNUOUQUHUI $.
  $}

  ${
    trleile.b $e |- B = ( Base ` K ) $.
    trleile.l $e |- .<_ = ( ( le ` K ) i^i ( B X. B ) ) $.
    $( In a Toset, two elements must compare.  (Contributed by Thierry Arnoux,
       12-Sep-2018.) $)
    trleile $p |- ( ( K e. Toset /\ X e. B /\ Y e. B )
      -> ( X .<_ Y \/ Y .<_ X ) ) $=
      ( ctos wcel w3a wbr wo wb wa brxp sylibr brin rbaib syl breqi cfv cxp cin
      cple eqid tleile 3simpc ancomd orbi12d mpbird orbi12i ) BHIZDAIZEAIZJZDEB
      UDUAZAAUBZUCZKZEDURKZLZDECKZEDCKZLUOVADEUPKZEDUPKZLABUPDEFUPUEUFUOUSVDUTV
      EUODEUQKZUSVDMUOUMUNNVFULUMUNUGZDEAAOPUSVDVFDEUPUQQRSUOEDUQKZUTVEMUOUNUMN
      VHUOUMUNVGUHEDAAOPUTVEVHEDUPUQQRSUIUJVBUSVCUTDECURGTEDCURGTUKP $.
  $}

  ${
    $d a b c d .< $.  $d a b c d A $.  $d a b c d B $.  $d a b c K $.
    $d a b c ph $.
    toslub.b $e |- B = ( Base ` K ) $.
    toslub.l $e |- .< = ( lt ` K ) $.
    toslub.1 $e |- ( ph -> K e. Toset ) $.
    toslub.2 $e |- ( ph -> A C_ B ) $.
    ${
      toslub.e $e |- .<_ = ( le ` K ) $.
      $( Lemma for ~ toslub and ~ xrsclat .  (Contributed by Thierry Arnoux,
         17-Feb-2018.)  (Revised by NM, 15-Sep-2018.) $)
      toslublem $p |- ( ( ph /\ a e. B ) -> ( ( A. b e. A b .<_ a
            /\ A. c e. B ( A. b e. A b .<_ c -> a .<_ c ) )
     <-> ( A. b e. A -. a .< b
            /\ A. b e. B ( b .< a -> E. d e. A b .< d ) ) ) ) $=
        ( wcel wa wbr wral wn cv wi wrex ctos ad2antrr simplr wss adantr sselda
        tltnle syl3anc con2bid ralbidva simpr sseldd syl3an1 3expa syldan breq2
        wb weq notbid cbvralvw ralnex bitri bitrdi adantlr imbi12d con34b breq1
        bitr4di rexbidv anbi12d ) AGUAZCPZQZHUAZVNFRZHBSVNVQDRZTZHBSVQIUAZFRZHB
        SZVNWAFRZUBZICSZVQVNDRZVQJUAZDRZJBUCZUBZHCSZVPVRVTHBVPVQBPZQZVSVRWNEUDP
        ZVOVQCPZVSVRTUTAWOVOWMMUEAVOWMUFVPBCVQABCUGZVONUHUICDEFVNVQKOLUJUKULUMV
        PWFWAVNDRZWAWHDRZJBUCZUBZICSWLVPWEXAICVPWACPZQZWEWTTZWRTZUBXAXCWCXDWDXE
        AXBWCXDUTVOAXBQZWCWAVQDRZTZHBSZXDXFWBXHHBXFWMWPWBXHUTXFWMQBCVQAWQXBWMNU
        EXFWMUNUOXFWPQXGWBAXBWPXGWBTUTZAWOXBWPXJMCDEFWAVQKOLUJUPUQULURUMXIWSTZJ
        BSXDXHXKHJBHJVAXGWSVQWHWADUSVBVCWSJBVDVEVFVGXCWRWDXCWOXBVOWRWDTUTAWOVOX
        BMUEVPXBUNAVOXBUFCDEFWAVNKOLUJUKULVHWRWTVIVKUMWKXAHICHIVAZWGWRWJWTVQWAV
        NDVJXLWIWSJBVQWAWHDVJVLVHVCVKVM $.
    $}

    $( In a toset, the lowest upper bound ` lub ` , defined for partial orders
       is the supremum, ` sup ( A , B , .< ) ` , defined for total orders.
       (these are the set.mm definitions: lowest upper bound and supremum are
       normally synonymous).  Note that those two values are also equal if such
       a supremum does not exist: in that case, both are equal to the empty
       set.  (Contributed by Thierry Arnoux, 15-Feb-2018.)  (Revised by Thierry
       Arnoux, 24-Sep-2018.) $)
    toslub $p |- ( ph -> ( ( lub ` K ) ` A ) = sup ( A , B , .< ) ) $=
      ( vb va vc vd cv cfv wbr wral wi wa ctos cple crio wn wrex club csup eqid
      toslublem riotabidva biid lubval wcel wor wceq cid cres wss ibi simpld id
      tosso supval2 3syl 3eqtr4d ) AJNZKNZEUAOZPJBQVELNZVGPJBQVFVHVGPRLCQSZKCUB
      VFVEDPUCJBQVEVFDPVEMNDPMBUDRJCQSZKCUBZBEUEOZOBCDUFZAVIVJKCABCDEVGKJLMFGHI
      VGUGZUHUIAVIKJLCBVLEVGTFVNVLUGVIUJHIUKAETULZCDUMZVMVKUNHVOVPUOCUPVGUQZVOV
      PVQSCDEVGTFVNGVAURUSVPKJMCBDVPUTVBVCVD $.
  $}

  ${
    $d a b c d .< $.  $d a b c d A $.  $d a b c d B $.  $d a b c K $.
    $d a b c ph $.
    tosglb.b $e |- B = ( Base ` K ) $.
    tosglb.l $e |- .< = ( lt ` K ) $.
    tosglb.1 $e |- ( ph -> K e. Toset ) $.
    tosglb.2 $e |- ( ph -> A C_ B ) $.
    ${
      tosglb.e $e |- .<_ = ( le ` K ) $.
      $( Lemma for ~ tosglb and ~ xrsclat .  (Contributed by Thierry Arnoux,
         17-Feb-2018.)  (Revised by NM, 15-Sep-2018.) $)
      tosglblem $p |- ( ( ph /\ a e. B ) -> ( ( A. b e. A a .<_ b
             /\ A. c e. B ( A. b e. A c .<_ b -> c .<_ a ) )
       <-> ( A. b e. A -. a `' .< b
             /\ A. b e. B ( b `' .< a -> E. d e. A b `' .< d ) ) ) ) $=
        ( wcel wa wbr wral wn cv wi wrex ccnv ad2antrr wss adantr sselda simplr
        ctos tltnle syl3anc con2bid ralbidva simpr sseldd syl3an1 3com23 syldan
        wb 3expa weq breq1 notbid cbvralvw ralnex bitrdi adantlr imbi12d con34b
        bitri bitr4di breq2 rexbidv anbi12d brcnv notbii ralbii imbi12i anbi12i
        vex rexbii ) AGUAZCPZQZWCHUAZFRZHBSZIUAZWFFRZHBSZWIWCFRZUBZICSZQWFWCDRZ
        TZHBSZWCWFDRZJUAZWFDRZJBUCZUBZHCSZQWCWFDUDZRZTZHBSZWFWCXDRZWFWSXDRZJBUC
        ZUBZHCSZQWEWHWQWNXCWEWGWPHBWEWFBPZQZWOWGXNEUJPZWFCPZWDWOWGTUTAXOWDXMMUE
        WEBCWFABCUFZWDNUGUHAWDXMUICDEFWFWCKOLUKULUMUNWEWNWCWIDRZWSWIDRZJBUCZUBZ
        ICSXCWEWMYAICWEWICPZQZWMXTTZXRTZUBYAYCWKYDWLYEAYBWKYDUTWDAYBQZWKWFWIDRZ
        TZHBSZYDYFWJYHHBYFXMXPWJYHUTYFXMQBCWFAXQYBXMNUEYFXMUOUPYFXPQYGWJAYBXPYG
        WJTUTZAXPYBYJAXOXPYBYJMCDEFWFWIKOLUKUQURVAUMUSUNYIXSTZJBSYDYHYKHJBHJVBY
        GXSWFWSWIDVCVDVEXSJBVFVKVGVHYCXRWLYCXOWDYBXRWLTUTAXOWDYBMUEAWDYBUIWEYBU
        OCDEFWCWIKOLUKULUMVIXRXTVJVLUNXBYAHICHIVBZWRXRXAXTWFWIWCDVMYLWTXSJBWFWI
        WSDVMVNVIVEVLVOXGWQXLXCXFWPHBXEWOWCWFDGWAZHWAZVPVQVRXKXBHCXHWRXJXAWFWCD
        YNYMVPXIWTJBWFWSDYNJWAVPWBVSVRVTVL $.
    $}

    $( Same theorem as ~ toslub , for infinimum.  (Contributed by Thierry
       Arnoux, 17-Feb-2018.)  (Revised by AV, 28-Sep-2020.) $)
    tosglb $p |- ( ph -> ( ( glb ` K ) ` A ) = inf ( A , B , .< ) ) $=
      ( va vb vc vd cfv cv wbr wral wi wa ctos cglb ccnv csup cinf cple crio wn
      wrex eqid tosglblem riotabidva biid glbval wcel wor wceq cid cres wss ibi
      tosso simpld cnvso sylib id supval2 3syl 3eqtr4d df-inf eqcomi a1i eqtrd
      ) ABEUANZNZBCDUBZUCZBCDUDZAJOZKOZEUENZPKBQLOZVSVTPKBQWAVRVTPRLCQSZJCUFVRV
      SVOPUGKBQVSVRVOPVSMOVOPMBUHRKCQSZJCUFZVNVPAWBWCJCABCDEVTJKLMFGHIVTUIZUJUK
      AWBJKLCBVMEVTTFWEVMUIWBULHIUMAETUNZCVOUOZVPWDUPHWFCDUOZWGWFWHUQCURVTUSZWF
      WHWISCDEVTTFWEGVAUTVBCDVCVDWGJKMCBVOWGVEVFVGVHVPVQUPAVQVPBCDVIVJVKVL $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Complete lattices
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    clatp0cl.b $e |- B = ( Base ` W ) $.
    clatp0cl.0 $e |- .0. = ( 0. ` W ) $.
    $( The poset zero of a complete lattice belongs to its base.  (Contributed
       by Thierry Arnoux, 17-Feb-2018.) $)
    clatp0cl $p |- ( W e. CLat -> .0. e. B ) $=
      ( ccla wcel cglb cfv eqid p0val wss ssid clatglbcl mpan2 eqeltrd ) BFGZCA
      BHIZIZAARBFCDRJZEKQAALSAGAMAARBDTNOP $.
  $}

  ${
    clatp1cl.b $e |- B = ( Base ` W ) $.
    clatp1cl.1 $e |- .1. = ( 1. ` W ) $.
    $( The poset one of a complete lattice belongs to its base.  (Contributed
       by Thierry Arnoux, 17-Feb-2018.) $)
    clatp1cl $p |- ( W e. CLat -> .1. e. B ) $=
      ( ccla wcel club cfv eqid p1val wss ssid clatlubcl mpan2 eqeltrd ) CFGZBA
      CHIZIZAARBCFDRJZEKQAALSAGAMAARCDTNOP $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Order Theory
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c Monot MGalConn $.
  $v .c_ $.

  $( Define a connective symbol for use as a class variable. $)
  c.le2 $f class .c_ $.

  $( Extend class notation with monotone functions. $)
  cmnt $a class Monot $.

  $( Extend class notation with the monotone Galois connection. $)
  cmgc $a class MGalConn $.

  ${
    $d a f v w x y $.
    $( Define a monotone function between two ordered sets.  (Contributed by
       Thierry Arnoux, 20-Apr-2024.) $)
    df-mnt $a |- Monot = ( v e. _V , w e. _V |-> [_ ( Base ` v ) / a ]_
      { f e. ( ( Base ` w ) ^m a ) | A. x e. a A. y e. a ( x ( le ` v ) y
         -> ( f ` x ) ( le ` w ) ( f ` y ) ) } ) $.
  $}

  ${
    $d v w a b f g x y $.
    $( Define monotone Galois connections.  See ~ mgcval for an expanded
       version.  (Contributed by Thierry Arnoux, 20-Apr-2024.) $)
    df-mgc $a |- MGalConn = ( v e. _V , w e. _V |-> [_ ( Base ` v ) / a ]_
      [_ ( Base ` w ) / b ]_ { <. f , g >. |
       ( ( f e. ( b ^m a ) /\ g e. ( a ^m b ) ) /\ A. x e. a A. y e. b
       ( ( f ` x ) ( le ` w ) y <-> x ( le ` v ) ( g ` y ) ) ) } ) $.
  $}

  ${
    $d .<_ a v w $.  $d .c_ a v w $.  $d A a v w x y $.  $d A f $.
    $d B a v w $.  $d B f $.  $d V a f v w $.  $d V a v w x y $.
    $d W a v w x y $.  $d W f $.  $d X v w $.  $d Y v w $.  $d f x y $.
    mntoval.1 $e |- A = ( Base ` V ) $.
    mntoval.2 $e |- B = ( Base ` W ) $.
    mntoval.3 $e |- .<_ = ( le ` V ) $.
    mntoval.4 $e |- .c_ = ( le ` W ) $.
    $( Operation value of the monotone function.  (Contributed by Thierry
       Arnoux, 23-Apr-2024.) $)
    mntoval $p |- ( ( V e. X /\ W e. Y ) -> ( V Monot W ) = { f e. ( B ^m A ) |
       A. x e. A A. y e. A ( x .<_ y -> ( f ` x ) .c_ ( f ` y ) ) } ) $=
      ( cvv cv cbs cfv cple vv vw va wcel wa wbr wi wral cmap co crab cmnt cmpo
      csb wceq df-mnt a1i fvexd fveq2 eqtr4di adantr simplr fveq2d simpr simpll
      oveq12d breqd imbi12d raleqbidv rabeqbidv csbied2 adantl elex eqid rabexd
      ovexd ovmpod ) GIUDZHJUDZUEZUAUBGHPPUCUAQZRSZAQZBQZWATSZUFZWCEQZSZWDWGSZU
      BQZTSZUFZUGZBUCQZUHZAWNUHZEWJRSZWNUIUJZUKZUNZWCWDFUFZWHWIKUFZUGZBCUHZACUH
      ZEDCUIUJZUKZULPULUAUBPPWTUMUOVTABUBUAEUCUPUQWAGUOZWJHUOZUEZWTXGUOVTXJUCWB
      CWSXGPXJWARURXHWBCUOXIXHWBGRSCWAGRUSLUTVAXJWNCUOZUEZWPXEEWRXFXLWQDWNCUIXL
      WQHRSDXLWJHRXHXIXKVBZVCMUTXJXKVDZVFXLWOXDAWNCXNXLWMXCBWNCXNXLWFXAWLXBXLWE
      FWCWDXLWEGTSFXLWAGTXHXIXKVEVCNUTVGXLWKKWHWIXLWKHTSKXLWJHTXMVCOUTVGVHVIVIV
      JVKVLVRGPUDVSGIVMVAVSHPUDVRHJVMVLVTXEEXFXGPXGVNVTDCUIVPVOVQ $.

    $d .<_ f $.  $d .c_ f $.  $d A f x y $.  $d B f $.  $d F f x y $.
    $d V f x y $.  $d W f x y $.

    $( Express the statement " ` F ` is monotone".  (Contributed by Thierry
       Arnoux, 23-Apr-2024.) $)
    ismnt $p |- ( ( V e. X /\ W e. Y ) -> ( F e. ( V Monot W ) <-> ( F : A -->
       B /\ A. x e. A A. y e. A ( x .<_ y -> ( F ` x ) .c_ ( F ` y ) ) ) ) ) $=
      ( vf wcel wa cfv wral cmnt co cmap cv wbr wi wf crab mntoval eleq2d fveq1
      wceq breq12d imbi2d 2ralbidv elrab bitrdi cbs fvexi elmap anbi1i ) GIQHJQ
      RZEGHUAUBZQZEDCUCUBZQZAUDZBUDZFUEZVGESZVHESZKUEZUFZBCTACTZRZCDEUGZVNRVBVD
      EVIVGPUDZSZVHVQSZKUEZUFZBCTACTZPVEUHZQVOVBVCWCEABCDPFGHIJKLMNOUIUJWBVNPEV
      EVQEULZWAVMABCCWDVTVLVIWDVRVJVSVKKVGVQEUKVHVQEUKUMUNUOUPUQVFVPVNDCEDHURMU
      SCGURLUSUTVAUQ $.
  $}

  ${
    $d .<_ x y $.  $d .c_ x y $.  $d A x y $.  $d F x y $.  $d V x y $.
    $d W x y $.  $d X x y $.  $d Y y $.  $d ph x $.
    ismntd.1 $e |- A = ( Base ` V ) $.
    ismntd.2 $e |- B = ( Base ` W ) $.
    ismntd.3 $e |- .<_ = ( le ` V ) $.
    ismntd.4 $e |- .c_ = ( le ` W ) $.
    ismntd.5 $e |- ( ph -> V e. C ) $.
    ismntd.6 $e |- ( ph -> W e. D ) $.
    ismntd.7 $e |- ( ph -> F e. ( V Monot W ) ) $.
    ismntd.8 $e |- ( ph -> X e. A ) $.
    ismntd.9 $e |- ( ph -> Y e. A ) $.
    ismntd.10 $e |- ( ph -> X .<_ Y ) $.
    $( Property of being a monotone increasing function, deduction version.
       (Contributed by Thierry Arnoux, 24-Apr-2024.) $)
    ismntd $p |- ( ph -> ( F ` X ) .c_ ( F ` Y ) ) $=
      ( vx vy cv wbr cfv wi wral wcel co w3a wf wa ismnt biimp3a simprd syl3anc
      cmnt wceq breq1 fveq2 breq1d imbi12d breq2 breq2d eqidd rspc2vd mp2d ) AU
      CUEZUDUEZGUFZVJFUGZVKFUGZLUFZUHZUDBUIUCBUIZJKGUFZJFUGZKFUGZLUFZAHDUJZIEUJ
      ZFHIUSUKUJZVQQRSWBWCWDULBCFUMZVQWBWCWDWEVQUNUCUDBCFGHIDELMNOPUOUPUQURUBAV
      RWAUHJVKGUFZVSVNLUFZUHVPUCUDJKBBBVJJUTZVLWFVOWGVJJVKGVAWHVMVSVNLVJJFVBVCV
      DVKKUTZWFVRWGWAVKKJGVEWIVNVTVSLVKKFVBVFVDTAWHUNBVGUAVHVI $.
  $}

  ${
    $d A x y $.  $d F x y $.  $d V x y $.  $d W x y $.
    mntf.1 $e |- A = ( Base ` V ) $.
    mntf.2 $e |- B = ( Base ` W ) $.
    $( A monotone function is a function.  (Contributed by Thierry Arnoux,
       24-Apr-2024.) $)
    mntf $p |- ( ( V e. X /\ W e. Y /\ F e. ( V Monot W ) ) -> F : A --> B ) $=
      ( vx vy wcel cmnt co cv cple cfv wbr wral eqid w3a wf wi wa ismnt biimp3a
      simpld ) DFLZEGLZCDEMNLZUAABCUBZJOZKOZDPQZRULCQUMCQEPQZRUCKASJASZUHUIUJUK
      UPUDJKABCUNDEFGUOHIUNTUOTUEUFUG $.
  $}

  ${
    $d .<_ a b v w $.  $d .c_ a b v w $.  $d A a b f g v w x y $.
    $d B a b f g v w x y $.  $d V a b f g v w x y $.  $d W a b f g v w x y $.
    $d X a b f g v w x y $.  $d Y a b f g v w x y $.
    mgcoval.1 $e |- A = ( Base ` V ) $.
    mgcoval.2 $e |- B = ( Base ` W ) $.
    mgcoval.3 $e |- .<_ = ( le ` V ) $.
    mgcoval.4 $e |- .c_ = ( le ` W ) $.
    $( Operation value of the monotone Galois connection.  (Contributed by
       Thierry Arnoux, 23-Apr-2024.) $)
    mgcoval $p |- ( ( V e. X /\ W e. Y ) -> ( V MGalConn W ) = { <. f , g >. |
       ( ( f e. ( B ^m A ) /\ g e. ( A ^m B ) ) /\ A. x e. A A. y e. B ( ( f `
       x ) .c_ y <-> x .<_ ( g ` y ) ) ) } ) $=
      ( wa cvv cv cfv vv vw va vb wcel cbs cmap co cple wbr wral copab csb cmgc
      wb cmpo wceq df-mgc a1i fvexd simprl fveq2d eqtr4di simplrr simpr oveq12d
      simplr eleq2d anbi12d adantr breqd ad2antrr bibi12d raleqbidv simpl elexd
      opabbidv csbied2 ovexd simprll simprlr opabex2 ovmpod ) HJUEZIKUEZQZUAUBH
      IRRUCUASZUFTZUDUBSZUFTZESZUDSZUCSZUGUHZUEZFSZWMWLUGUHZUEZQZASZWKTZBSZWIUI
      TZUJZWTXBWPTZWGUITZUJZUOZBWLUKZAWMUKZQZEFULZUMZUMZWKDCUGUHZUEZWPCDUGUHZUE
      ZQZXAXBLUJZWTXEGUJZUOZBDUKZACUKZQZEFULZUNRUNUAUBRRXNUPUQWFABUBUAEFUCUDURU
      SWFWGHUQZWIIUQZQQZUCWHCXMYFRYIWGUFUTYIWHHUFTCYIWGHUFWFYGYHVAZVBMVCYIWMCUQ
      ZQZUDWJDXLYFRYLWIUFUTYLWJIUFTDYLWIIUFWFYGYHYKVDZVBNVCYLWLDUQZQZXKYEEFYOWS
      XSXJYDYOWOXPWRXRYOWNXOWKYOWLDWMCUGYLYNVEZYIYKYNVGZVFVHYOWQXQWPYOWMCWLDUGY
      QYPVFVHVIYOXIYCAWMCYQYOXHYBBWLDYPYOXDXTXGYAYOXCLXAXBYOXCIUITLYOWIIUIYLYHY
      NYMVJVBPVCVKYOXFGWTXEYOXFHUITGYOWGHUIYIYGYKYNYJVLVBOVCVKVMVNVNVIVQVRVRWFH
      JWDWEVOVPWFIKWDWEVEVPWFYEEFXOXQRRWFDCUGVSWFCDUGVSWFXPXRYDVTWFXPXRYDWAWBWC
      $.

    $d .<_ f g $.  $d .c_ f g $.  $d A f g x y $.  $d B f g x y $.
    $d F f g x y $.  $d G f g x y $.  $d V f g x y $.  $d W f g x y $.
    $d f g ph $.
    mgcval.1 $e |- H = ( V MGalConn W ) $.
    mgcval.2 $e |- ( ph -> V e. Proset ) $.
    mgcval.3 $e |- ( ph -> W e. Proset ) $.
    $( Monotone Galois connection between two functions ` F ` and ` G ` .  If
       this relation is satisfied, ` F ` is called the lower adjoint of ` G ` ,
       and ` G ` is called the upper adjoint of ` F ` .

       Technically, this is implemented as an operation taking a pair of
       structures ` V ` and ` W ` , expected to be posets, which gives a
       relation between pairs of functions ` F ` and ` G ` .

       If such a relation exists, it can be proven to be unique.

       Galois connections generalize the fundamental theorem of Galois theory
       about the correspondence between subgroups and subfields.  (Contributed
       by Thierry Arnoux, 23-Apr-2024.) $)
    mgcval $p |- ( ph -> ( F H G <-> ( ( F : A --> B /\ G : B --> A ) /\ A. x
       e. A A. y e. B ( ( F ` x ) .c_ y <-> x .<_ ( G ` y ) ) ) ) ) $=
      ( wa vf vg wbr cv cmap co wcel wb wral copab wf cmgc cproset wceq mgcoval
      cfv syl2anc syl5eq breqd fveq1 adantr breq1d adantl bibi12d 2ralbidv eqid
      breq2d brab2a cbs fvexi elmap anbi12i anbi1i bitr2i bitr4di ) AFGHUCFGUAU
      DZEDUEUFZUGUBUDZDEUEUFZUGTBUDZVPUPZCUDZLUCZVTWBVRUPZIUCZUHZCEUIBDUIZTUAUB
      UJZUCZDEFUKZEDGUKZTZVTFUPZWBLUCZVTWBGUPZIUCZUHZCEUIBDUIZTZAHWHFGAHJKULUFZ
      WHQAJUMUGKUMUGWTWHUNRSBCDEUAUBIJKUMUMLMNOPUOUQURUSWIFVQUGZGVSUGZTZWRTWSWG
      WRUAUBFGVQVSWHVPFUNZVRGUNZTZWFWQBCDEXFWCWNWEWPXFWAWMWBLXDWAWMUNXEVTVPFUTV
      AVBXFWDWOVTIXEWDWOUNXDWBVRGUTVCVGVDVEWHVFVHXCWLWRXAWJXBWKEDFEKVINVJZDJVIM
      VJZVKDEGXHXGVKVLVMVNVO $.

    ${
      $d A x y $.  $d B x y $.  $d F x y $.  $d G x y $.  $d V x y $.
      $d W x y $.
      mgccole.1 $e |- ( ph -> F H G ) $.
      $( The lower adjoint ` F ` of a Galois connection is a function.
         (Contributed by Thierry Arnoux, 24-Apr-2024.) $)
      mgcf1 $p |- ( ph -> F : A --> B ) $=
        ( vx vy wf cv cfv wbr wb wral wa mgcval mpbid simplld ) ABCDUAZCBEUAZSU
        BZDUCTUBZJUDUMUNEUCGUDUETCUFSBUFZADEFUDUKULUGUOUGRASTBCDEFGHIJKLMNOPQUH
        UIUJ $.

      $( The upper adjoint ` G ` of a Galois connection is a function.
         (Contributed by Thierry Arnoux, 24-Apr-2024.) $)
      mgcf2 $p |- ( ph -> G : B --> A ) $=
        ( vx vy wf cv cfv wbr wb wral wa mgcval mpbid simplrd ) ABCDUAZCBEUAZSU
        BZDUCTUBZJUDUMUNEUCGUDUETCUFSBUFZADEFUDUKULUGUOUGRASTBCDEFGHIJKLMNOPQUH
        UIUJ $.

      ${
        $d .<_ x y $.  $d .c_ x y $.  $d A x y $.  $d B x y $.  $d F x y $.
        $d G x y $.  $d V x y $.  $d W x y $.  $d X x y $.  $d ph x y $.
        mgccole1.2 $e |- ( ph -> X e. A ) $.
        $( An inequality for the kernel operator ` G o. F ` .  (Contributed by
           Thierry Arnoux, 26-Apr-2024.) $)
        mgccole1 $p |- ( ph -> X .<_ ( G ` ( F ` X ) ) ) $=
          ( vx vy cfv wbr cproset wcel wf cv wb wral wa mgcval simplld ffvelrnd
          mpbid prsref syl2anc wceq fveq2 breq1d bibi12d ralbidv simprd rspcdva
          breq1 simpr breq2d fveq2d rspcdv mpd ) AJDUCZVKKUDZJVKEUCZGUDZAIUEUFV
          KCUFVLRABCJDABCDUGZCBEUGZUAUHZDUCZUBUHZKUDZVQVSEUCZGUDZUIZUBCUJZUABUJ
          ZADEFUDVOVPUKZWEUKSAUAUBBCDEFGHIKLMNOPQRULUOZUMTUNZCIKVKMOUPUQAVKVSKU
          DZJWAGUDZUIZUBCUJZVLVNUIZAWDWLUABJVQJURZWCWKUBCWNVTWIWBWJWNVRVKVSKVQJ
          DUSUTVQJWAGVEVAVBAWFWEWGVCTVDAWKWMUBVKCWHAVSVKURZUKZWIVLWJVNWPVSVKVKK
          AWOVFZVGWPWAVMJGWPVSVKEWQVHVGVAVIVJUO $.
      $}

      ${
        $d .<_ x y $.  $d .c_ x y $.  $d A x y $.  $d B x y $.  $d F x y $.
        $d G x y $.  $d V x y $.  $d W x y $.  $d Y x y $.  $d ph x y $.
        mgccole2.1 $e |- ( ph -> Y e. B ) $.
        $( Inequality for the closure operator ` ( F o. G ) ` of the Galois
           connection ` H ` .  (Contributed by Thierry Arnoux, 26-Apr-2024.) $)
        mgccole2 $p |- ( ph -> ( F ` ( G ` Y ) ) .c_ Y ) $=
          ( vx vy cfv wbr cproset wcel wf cv wb wral wa mgcval simplrd ffvelrnd
          mpbid prsref syl2anc simprd fveq2 breq1d breq1 bibi12d adantl ralbidv
          wceq rspcdv mpd simpr breq2d mpbird ) AJEUCZDUCZJKUDZVKVKGUDZAHUEUFVK
          BUFVNQACBJEABCDUGZCBEUGZUAUHZDUCZUBUHZKUDZVQVSEUCZGUDZUIZUBCUJZUABUJZ
          ADEFUDVOVPUKZWEUKSAUAUBBCDEFGHIKLMNOPQRULUOZUMTUNZBHGVKLNUPUQAVLVSKUD
          ZVKWAGUDZUIZUBCUJZVMVNUIZAWEWLAWFWEWGURAWDWLUAVKBWHAVQVKVEZUKWCWKUBCW
          NWCWKUIAWNVTWIWBWJWNVRVLVSKVQVKDUSUTVQVKWAGVAVBVCVDVFVGAWKWMUBJCTAVSJ
          VEZUKZWIVMWJVNWPVSJVLKAWOVHVIWPWAVKVKGWOWAVKVEAVSJEUSVCVIVBVFVGVJ $.
      $}

      ${
        $d .<_ x y $.  $d .c_ x y $.  $d A x y $.  $d B x y $.  $d F x y $.
        $d G x y $.  $d V x y $.  $d W x y $.  $d X x y $.  $d Y y $.
        $d ph x y $.
        mgcmnt1.1 $e |- ( ph -> X e. A ) $.
        mgcmnt1.2 $e |- ( ph -> Y e. A ) $.
        mgcmnt1.3 $e |- ( ph -> X .<_ Y ) $.
        $( The lower adjoint ` F ` of a Galois connection is monotonically
           increasing.  (Contributed by Thierry Arnoux, 26-Apr-2024.) $)
        mgcmnt1 $p |- ( ph -> ( F ` X ) .c_ ( F ` Y ) ) $=
          ( vx vy cfv wbr cproset wcel wf cv wb wa mgcval mpbid simplrd simplld
          wral ffvelrnd mgccole1 prstr syl132anc simprd wceq fveq2 breq1d breq1
          bibi12d adantl ralbidv rspcdv mpd simpr breq2d fveq2d mpbird ) AJDUFZ
          KDUFZLUGZJVREUFZGUGZAHUHUIJBUIKBUIVTBUIJKGUGKVTGUGWARUAUBACBVREABCDUJ
          ZCBEUJZUDUKZDUFZUEUKZLUGZWDWFEUFZGUGZULZUECURZUDBURZADEFUGWBWCUMZWLUM
          TAUDUEBCDEFGHILMNOPQRSUNUOZUPABCKDAWBWCWLWNUQUBUSZUSUCABCDEFGHIKLMNOP
          QRSTUBUTBHGJKVTMOVAVBAVQWFLUGZJWHGUGZULZUECURZVSWAULZAWLWSAWMWLWNVCAW
          KWSUDJBUAAWDJVDZUMWJWRUECXAWJWRULAXAWGWPWIWQXAWEVQWFLWDJDVEVFWDJWHGVG
          VHVIVJVKVLAWRWTUEVRCWOAWFVRVDZUMZWPVSWQWAXCWFVRVQLAXBVMZVNXCWHVTJGXCW
          FVREXDVOVNVHVKVLVP $.
      $}

      ${
        $d .<_ x y $.  $d .c_ x y $.  $d A x y $.  $d B x y $.  $d F x y $.
        $d G x y $.  $d V x y $.  $d W x y $.  $d X x y $.  $d Y y $.
        $d ph x y $.
        mgcmnt2.1 $e |- ( ph -> X e. B ) $.
        mgcmnt2.2 $e |- ( ph -> Y e. B ) $.
        mgcmnt2.3 $e |- ( ph -> X .c_ Y ) $.
        $( The upper adjoint ` G ` of a Galois connection is monotonically
           increasing.  (Contributed by Thierry Arnoux, 26-Apr-2024.) $)
        mgcmnt2 $p |- ( ph -> ( G ` X ) .<_ ( G ` Y ) ) $=
          ( vx vy cfv wbr cproset wcel wf cv wb wa mgcval mpbid simplld simplrd
          wral ffvelrnd mgccole2 prstr syl132anc wceq breq2 fveq2 breq2d breq1d
          bibi12d breq1 ralbidv simprd rspcdva ) AJEUFZDUFZKLUGZVMKEUFZGUGZAIUH
          UIVNCUIJCUIKCUIVNJLUGJKLUGVOSABCVMDABCDUJZCBEUJZUDUKZDUFZUEUKZLUGZVTW
          BEUFZGUGZULZUECURZUDBURZADEFUGVRVSUMZWHUMTAUDUEBCDEFGHILMNOPQRSUNUOZU
          PACBJEAVRVSWHWJUQUAUSZUSUAUBABCDEFGHIJLMNOPQRSTUAUTUCCILVNJKNPVAVBAVN
          WBLUGZVMWDGUGZULZVOVQULUECKWBKVCZWLVOWMVQWBKVNLVDWOWDVPVMGWBKEVEVFVHA
          WGWNUECURUDBVMVTVMVCZWFWNUECWPWCWLWEWMWPWAVNWBLVTVMDVEVGVTVMWDGVIVHVJ
          AWIWHWJVKWKVLUBVLUO $.
      $}

      ${
        $d .< x y $.  $d A x y $.  $d B x y $.  $d F x y $.  $d G x y $.
        $d K x y $.  $d L x y $.  $d ph x y $.
        mgcmntco.1 $e |- C = ( Base ` X ) $.
        mgcmntco.2 $e |- .< = ( le ` X ) $.
        mgcmntco.3 $e |- ( ph -> X e. Proset ) $.
        mgcmntco.4 $e |- ( ph -> K e. ( V Monot X ) ) $.
        mgcmntco.5 $e |- ( ph -> L e. ( W Monot X ) ) $.
        $( A Galois connection like statement, for two functions with same
           range.  (Contributed by Thierry Arnoux, 26-Apr-2024.) $)
        mgcmntco $p |- ( ph -> ( A. x e. A ( K ` x ) .< ( L ` ( F ` x ) )
            <-> A. y e. B ( K ` ( G ` y ) ) .< ( L ` y ) ) ) $=
          ( cv cfv wbr wral wa wcel cproset ad2antrr wf cmnt mntf syl3anc mgcf2
          co adantr ffvelrnda ffvelrnd mgcf1 wceq wb fveq2 2fveq3 adantl rspcdv
          breq12d an32s simpr mgccole2 ismntd prstr syl132anc ralrimiva impbida
          imp mgccole1 ) ABUKZKULZWFHULZLULZGUMZBDUNZCUKZIULZKULZWLLULZGUMZCEUN
          ZAWKUOZWPCEWRWLEUPZUOZPUQUPZWNFUPWMHULZLULZFUPWOFUPWNXCGUMZXCWOGUMWPA
          XAWKWSUHURZWTDFWMKADFKUSZWKWSANUQUPZXAKNPUTVDUPZXFUCUHUIDFKNPUQUQRUFV
          AVBZURWREDWLIAEDIUSZWKADEHIJMNOQRSTUAUBUCUDUEVCZVEVFZVGWTEFXBLAEFLUSZ
          WKWSAOUQUPZXALOPUTVDUPZXMUDUHUJEFLOPUQUQSUFVAVBZURWTDEWMHADEHUSZWKWSA
          DEHIJMNOQRSTUAUBUCUDUEVHZURXLVGZVGWREFWLLAXMWKXPVEVFAWSWKXDAWSUOZWKXD
          XTWJXDBWMDAEDWLIXKVFWFWMVIZWJXDVJXTYAWGWNWIXCGWFWMKVKWFWMLHVLVOVMVNWD
          VPWTEFUQUQLQOPXBWLGSUFUAUGAXNWKWSUDURZXEAXOWKWSUJURXSWRWSVQZWTDEHIJMN
          OWLQRSTUAUBAXGWKWSUCURYBAHIJUMZWKWSUEURYCVRVSFPGWNXCWOUFUGVTWAWBAWQUO
          ZWJBDYEWFDUPZUOZXAWGFUPWHIULZKULZFUPWIFUPWGYIGUMYIWIGUMZWJAXAWQYFUHUR
          ZYGDFWFKAXFWQYFXIURZYEYFVQZVGYGDFYHKYLYGEDWHIAXJWQYFXKURYEDEWFHAXQWQX
          RVEVFZVGZVGYGEFWHLAXMWQYFXPURYNVGYGDFUQUQKMNPWFYHGRUFTUGAXGWQYFUCURZY
          KAXHWQYFUIURYMYOYGDEHIJMNOWFQRSTUAUBYPAXNWQYFUDURAYDWQYFUEURYMWEVSAYF
          WQYJAYFUOZWQYJYQWPYJCWHEADEWFHXRVFWLWHVIZWPYJVJYQYRWNYIWOWIGWLWHKIVLW
          LWHLVKVOVMVNWDVPFPGWGYIWIUFUGVTWAWBWC $.
      $}
    $}

    ${
      $d .<_ u v $.  $d .<_ x y $.  $d .c_ u v $.  $d .c_ x y $.  $d A u w z $.
      $d A w x y z $.  $d B u v $.  $d B w x z $.  $d F u v $.  $d F w x y z $.
      $d G u v $.  $d G w x y z $.  $d V w z $.  $d W w z $.  $d ph u $.
      $d ph w x z $.  $d v w z $.
      dfmgc2lem.1 $e |- ( ph -> F : A --> B ) $.
      dfmgc2lem.2 $e |- ( ph -> G : B --> A ) $.
      dfmgc2lem.3 $e |- ( ph
             -> A. x e. A A. y e. A ( x .<_ y -> ( F ` x ) .c_ ( F ` y ) ) ) $.
      dfmgc2lem.4 $e |- ( ph
             -> A. u e. B A. v e. B ( u .c_ v -> ( G ` u ) .<_ ( G ` v ) ) ) $.
      dfmgc2lem.5 $e |- ( ( ph /\ x e. A ) -> x .<_ ( G ` ( F ` x ) ) ) $.
      dfmgc2lem.6 $e |- ( ( ph /\ u e. B ) -> ( F ` ( G ` u ) ) .c_ u ) $.
      $( Lemma for dfmgc2, backwards direction.  (Contributed by Thierry
         Arnoux, 26-Apr-2024.) $)
      dfmgc2lem $p |- ( ph -> F H G ) $=
        ( vz vw wbr wf wa cv cfv wb wral wcel cproset ad3antrrr simplr ffvelrnd
        jca adantr ad2antrr simpr ralrimiva wceq fveq2d breq12d rspcdv wi breq1
        mpd fveq2 breq1d imbi12d breq2 breq2d ffvelrnda eqidd rspc2vd imp prstr
        syl132anc impbida anasss ralrimivva mgcval mpbir2and ) AHIJUJFGHUKZGFIU
        KZULUHUMZHUNZUIUMZNUJZWLWNIUNZKUJZUOZUIGUPUHFUPAWJWKUBUCVBAWRUHUIFGAWLF
        UQZWNGUQZWRAWSULZWTULZWOWQXBWOULZLURUQZWSWMIUNZFUQWPFUQZWLXEKUJZXEWPKUJ
        ZWQAXDWSWTWOTUSXBWSWOAWSWTUTZVCZXCGFWMIAWKWSWTWOUCUSXCFGWLHAWJWSWTWOUBU
        SXJVAVAXBXFWOXBGFWNIAWKWSWTUCVDXAWTVEZVAZVCXCBUMZXMHUNZIUNZKUJZBFUPZXGA
        XQWSWTWOAXPBFUFVFUSXCXPXGBWLFXJXCXMWLVGZULZXMWLXOXEKXCXRVEZXSXNWMIXSXMW
        LHXTVHVHVIVJVMXBWOXHXBEUMZDUMZNUJZYAIUNZYBIUNZKUJZVKZDGUPEGUPZWOXHVKZAY
        HWSWTUEVDXBYIWMYBNUJZXEYEKUJZVKYGEDWMWNGGGYAWMVGZYCYJYFYKYAWMYBNVLYLYDX
        EYEKYAWMIVNVOVPYBWNVGZYJWOYKXHYBWNWMNVQYMYEWPXEKYBWNIVNVRVPXAWMGUQZWTAF
        GWLHUBVSZVCXBYLULGVTXKWAVMWBFLKWLXEWPOQWCWDXBWQULZMURUQZYNWPHUNZGUQWTWM
        YRNUJZYRWNNUJZWOAYQWSWTWQUAUSXAYNWTWQYOVDYPFGWPHAWJWSWTWQUBUSXBXFWQXLVC
        VAXAWTWQUTZXBWQYSXBXMCUMZKUJZXNUUBHUNZNUJZVKZCFUPBFUPZWQYSVKZAUUGWSWTUD
        VDXBUUHWLUUBKUJZWMUUDNUJZVKUUFBCWLWPFFFXRUUCUUIUUEUUJXMWLUUBKVLXRXNWMUU
        DNXMWLHVNVOVPUUBWPVGZUUIWQUUJYSUUBWPWLKVQUUKUUDYRWMNUUBWPHVNVRVPXIXBXRU
        LFVTXLWAVMWBYPYDHUNZYANUJZEGUPZYTAUUNWSWTWQAUUMEGUGVFUSYPUUMYTEWNGUUAYP
        YAWNVGZULZUULYRYAWNNUUPYDWPHUUPYAWNIYPUUOVEZVHVHUUQVIVJVMGMNWMYRWNPRWCW
        DWEWFWGAUHUIFGHIJKLMNOPQRSTUAWHWI $.
    $}

    $d .<_ i u v $.  $d .<_ i x y $.  $d .<_ j $.  $d .<_ m n $.  $d .c_ i j $.
    $d .c_ j v $.  $d .c_ m u v $.  $d .c_ n $.  $d .c_ x y $.  $d A i x y $.
    $d A m x y j $.  $d A n y $.  $d B i u v $.  $d B i x y $.  $d B j n $.
    $d B m $.  $d F i u v $.  $d F i x y $.  $d F j $.  $d F m n $.
    $d G i u v $.  $d G i x y $.  $d G j $.  $d G m n $.  $d H u v $.
    $d H x y $.  $d V x y j m n $.  $d W x y j m n $.  $d i ph u v $.
    $d i ph x y $.  $d m ph $.
    $( Alternate definition of the monotone Galois connection.  (Contributed by
       Thierry Arnoux, 26-Apr-2024.) $)
    dfmgc2 $p |- ( ph -> ( F H G <-> ( ( F : A --> B /\ G : B --> A )
           /\ ( ( A. x e. A A. y e. A ( x .<_ y -> ( F ` x ) .c_ ( F ` y ) )
               /\ A. u e. B A. v e. B ( u .c_ v -> ( G ` u ) .<_ ( G ` v ) ) )
             /\ ( A. u e. B ( F ` ( G ` u ) ) .c_ u
               /\ A. x e. A x .<_ ( G ` ( F ` x ) ) ) ) ) ) ) $=
      ( vm vn vj vi wbr wf wa cv cfv wi wral wb mgcval simprbda cproset ad4antr
      wcel simp-4r simpllr simplr mgcmnt1 ex anasss ralrimivva mgcmnt2 ad2antrr
      simpr jca mgccole2 ralrimiva simpld simprd weq breq1 fveq2 breq1d imbi12d
      mgccole1 breq2 breq2d cbvral2vw sylib id 2fveq3 breq12d rspcdva dfmgc2lem
      impbida ) AHIJUFZFGHUGZGFIUGZUHZBUIZCUIZKUFZWNHUJZWOHUJZNUFZUKZCFULBFULZE
      UIZDUIZNUFZXBIUJZXCIUJZKUFZUKZDGULEGULZUHZXEHUJZXBNUFZEGULZWNWQIUJZKUFZBF
      ULZUHZUHZUHAWJUHZWMXRAWJWMWQWONUFWNWOIUJKUFUMCGULBFULABCFGHIJKLMNOPQRSTUA
      UNUOXSXJXQXSXAXIXSWTBCFFXSWNFURZWOFURZWTXSXTUHZYAUHZWPWSYCWPUHFGHIJKLMWNW
      ONOPQRSALUPURZWJXTYAWPTUQAMUPURZWJXTYAWPUAUQAWJXTYAWPUSXSXTYAWPUTYBYAWPVA
      YCWPVHVBVCVDVEXSXHEDGGXSXBGURZXCGURZXHXSYFUHZYGUHZXDXGYIXDUHFGHIJKLMXBXCN
      OPQRSAYDWJYFYGXDTUQAYEWJYFYGXDUAUQAWJYFYGXDUSXSYFYGXDUTYHYGXDVAYIXDVHVFVC
      VDVEVIXSXMXPXSXLEGYHFGHIJKLMXBNOPQRSAYDWJYFTVGAYEWJYFUAVGAWJYFVAXSYFVHVJV
      KXSXOBFYBFGHIJKLMWNNOPQRSAYDWJXTTVGAYEWJXTUAVGAWJXTVAXSXTVHVSVKVIVIVIAWMX
      RWJAWMUHZXJXQWJYJXJUHZXMXPWJYKXMUHZXPUHZUBUCUDUEFGHIJKLMNOPQRSAYDWMXJXMXP
      TUQAYEWMXJXMXPUAUQYMWKWLAWMXJXMXPUSZVLYMWKWLYNVMYMXAUBUIZUCUIZKUFZYOHUJZY
      PHUJZNUFZUKZUCFULUBFULYMXAXIYJXJXMXPUTZVLWTUUAYOWOKUFZYRWRNUFZUKBCUBUCFFB
      UBVNZWPUUCWSUUDWNYOWOKVOUUEWQYRWRNWNYOHVPVQVRCUCVNZUUCYQUUDYTWOYPYOKVTUUF
      WRYSYRNWOYPHVPWAVRWBWCYMXIUEUIZUDUIZNUFZUUGIUJZUUHIUJZKUFZUKZUDGULUEGULYM
      XAXIUUBVMXHUUMUUGXCNUFZUUJXFKUFZUKEDUEUDGGEUEVNZXDUUNXGUUOXBUUGXCNVOUUPXE
      UUJXFKXBUUGIVPVQVRDUDVNZUUNUUIUUOUULXCUUHUUGNVTUUQXFUUKUUJKXCUUHIVPWAVRWB
      WCYMYOFURZUHXOYOYRIUJZKUFBFYOUUEWNYOXNUUSKUUEWDWNYOIHWEWFYLXPUURVAYMUURVH
      WGYMUUGGURZUHXLUUJHUJZUUGNUFEGUUGUUPXKUVAXBUUGNXBUUGHIWEUUPWDWFYKXMXPUUTU
      TYMUUTVHWGWHVDVDVDWI $.
  $}

  ${
    $d F u v $.  $d F x y $.  $d G u v $.  $d G x y $.  $d H u v $.
    $d H x y $.  $d V u v $.  $d V v x y $.  $d W u v $.  $d W x y $.
    $d ph u v $.  $d ph x y $.
    mgcmntd.1 $e |- H = ( V MGalConn W ) $.
    mgcmntd.2 $e |- ( ph -> V e. Proset ) $.
    mgcmntd.3 $e |- ( ph -> W e. Proset ) $.
    mgcmntd.4 $e |- ( ph -> F H G ) $.
    $( Galois connection implies monotonicity of the left adjoint.
       (Contributed by Thierry Arnoux, 21-Jul-2024.) $)
    mgcmnt1d $p |- ( ph -> F e. ( V Monot W ) ) $=
      ( vx vy vu cproset cfv cv wbr wral eqid wa vv wcel cbs wf cple wi cmnt co
      mgcf1 dfmgc2 mpbid simprld simpld ismnt biimpar syl22anc ) AENUBZFNUBZEUC
      OZFUCOZBUDZKPZLPZEUEOZQVBBOZVCBOFUEOZQUFLUSRKUSRZBEFUGUHUBZHIAUSUTBCDVDEF
      VFUSSZUTSZVDSZVFSZGHIJUIAVGMPZUAPZVFQVMCOZVNCOVDQUFUAUTRMUTRZAVAUTUSCUDTZ
      VGVPTZVOBOVMVFQMUTRVBVECOVDQKUSRTZABCDQVQVRVSTTJAKLUAMUSUTBCDVDEFVFVIVJVK
      VLGHIUJUKULUMUQURTVHVAVGTKLUSUTBVDEFNNVFVIVJVKVLUNUOUP $.

    $( Galois connection implies monotonicity of the right adjoint.
       (Contributed by Thierry Arnoux, 21-Jul-2024.) $)
    mgcmnt2d $p |- ( ph -> G e. ( W Monot V ) ) $=
      ( vu vv vx cproset cfv cv wbr wral eqid wa vy wcel cbs wf cple wi cmnt co
      mgcf2 dfmgc2 mpbid simprld simprd ismnt biimpar syl22anc ) AFNUBZENUBZFUC
      OZEUCOZCUDZKPZLPZFUEOZQVBCOZVCCOEUEOZQUFLUSRKUSRZCFEUGUHUBZIHAUTUSBCDVFEF
      VDUTSZUSSZVFSZVDSZGHIJUIAMPZUAPZVFQVMBOZVNBOVDQUFUAUTRMUTRZVGAUTUSBUDVATZ
      VPVGTZVEBOVBVDQKUSRVMVOCOVFQMUTRTZABCDQVQVRVSTTJAMUALKUTUSBCDVFEFVDVIVJVK
      VLGHIUJUKULUMUQURTVHVAVGTKLUSUTCVDFENNVFVJVIVLVKUNUOUP $.
  $}

  ${
    $d F x y $.  $d G x y $.  $d V x y $.  $d W x y $.
    mgccnv.1 $e |- H = ( V MGalConn W ) $.
    mgccnv.2 $e |- M = ( ( ODual ` W ) MGalConn ( ODual ` V ) ) $.
    $( The inverse Galois connection is the Galois connection of the dual
       orders.  (Contributed by Thierry Arnoux, 26-Apr-2024.) $)
    mgccnv $p |- ( ( V e. Proset /\ W e. Proset ) -> ( F H G <-> G M F ) ) $=
      ( vx vy cproset wcel wa cbs cfv wbr wb wral a1i eqid wf cple ancom ralcom
      cv ccnv bicom fvex vex brcnv bicomi bibi12d syl5bb ralbidva anbi12d simpl
      simpr mgcval codu odubas oduleval oduprs syl 3bitr4d ) EKLZFKLZMZENOZFNOZ
      AUAZVIVHBUAZMZIUEZAOZJUEZFUBOZPZVMVOBOZEUBOZPZQZJVIRIVHRZMVKVJMZVRVMVSUFZ
      PZVOVNVPUFZPZQZIVHRZJVIRZMABCPBADPVGVLWCWBWJVLWCQVGVJVKUCSWBWAIVHRZJVIRVG
      WJWAIJVHVIUDVGWKWIJVIVGVOVILMZWAWHIVHWAVTVQQWLVMVHLMZWHVQVTUGWMVTWEVQWGVT
      WEQWMWEVTVRVMVSVOBUHIUIUJUKSVQWGQWMWGVQVOVNVPJUIVMAUHUJUKSULUMUNUNUMUOVGI
      JVHVIABCVSEFVPVHTZVITZVSTZVPTZGVEVFUPZVEVFUQZURVGJIVIVHBADWFFUSOZEUSOZWDV
      IWTFWTTZWOUTVHXAEXATZWNUTWTVPFXBWQVAXAVSEXCWPVAHVGVFWTKLWSWTFXBVBVCVGVEXA
      KLWRXAEXCVBVCURVD $.
  $}

  ${
    $d F i $.  $d F j $.  $d F m y $.  $d F n $.  $d G u v $.  $d H u v $.
    $d V i $.  $d V j $.  $d V m u v y $.  $d V n $.  $d W i $.  $d W j $.
    $d W m u v y $.  $d W n $.  $d X m $.  $d X n $.  $d Y i $.  $d Y j $.
    $d Y m y $.  $d Y n $.  $d i ph u v y $.  $d j ph u v y $.
    $d m ph u v y $.  $d n ph u v $.
    pwrssmgc.1 $e |- G = ( n e. ~P Y |-> ( `' F " n ) ) $.
    pwrssmgc.2 $e |- H = ( m e. ~P X |-> { y e. Y | ( `' F " { y } ) C_ m } )
       $.
    pwrssmgc.3 $e |- V = ( toInc ` ~P Y ) $.
    pwrssmgc.4 $e |- W = ( toInc ` ~P X ) $.
    pwrssmgc.5 $e |- ( ph -> X e. A ) $.
    pwrssmgc.6 $e |- ( ph -> Y e. B ) $.
    pwrssmgc.7 $e |- ( ph -> F : X --> Y ) $.
    $( Given a function ` F ` , exhibit a Galois connection between subsets of
       its domain and subsets of its range.  (Contributed by Thierry Arnoux,
       26-Apr-2024.) $)
    pwrssmgc $p |- ( ph -> G ( V MGalConn W ) H ) $=
      ( vu vv vj vi cmgc co wbr cbs cfv wf wa cv cple wral cpw ccnv cima adantr
      wb wcel wss cnvimass fssdm sselpwd fmptd cvv wceq pwexg ipobas 3syl mpbid
      feq23d csn crab ssrab2 a1i jca sneq imaeq2d sseq1d simplr ad2antrr elpwid
      eleqtrrd sselda wfun ffund ad4antr snssi adantl sspreima syl2anc sstrd ex
      elrabd ssrdv wfn simpr elpreima biimpa simprd sseldd elrab simprbi simpld
      ffnd eqidd fniniseg biimpar syl12anc impbida cnvexg imaexg fvmptd2 sseq2d
      syl fexd rabbidv 3bitr4d ffvelrnd ipole syl3anc anasss ralrimivva cproset
      eqid cpo ipopos posprs mp1i mgcval mpbir2and ) AHIJKUEUFZUGJUHUIZKUHUIZHU
      JZYOYNIUJZUKUAULZHUIZUBULZKUMUIZUGZYRYTIUIZJUMUIZUGZUSZUBYOUNUAYNUNAYPYQA
      MUOZLUOZHUJZYPAFUUGGUPZFULZUQZUUHHAUUKUUGUTZUKUULLCALCUTZUUMRURAUULLVAUUM
      ALMUULGGUUKVBTVCURVDNVEZAUUGUUHYNYOHAMDUTZUUGVFUTZUUGYNVGZSMDVHZUUGJVFPVI
      VJZAUUNUUHVFUTZUUHYOVGZRLCVHZUUHKVFQVIZVJZVLVKAUUHUUGIUJZYQAEUUHUUJBULZVM
      ZUQZEULZVAZBMVNZUUGIAUVJUUHUTZUKZUVLMDAUUPUVMSURUVLMVAUVNUVKBMVOVPVDOVEZA
      UUHUUGYOYNIUVEUUTVLVKVQAUUFUAUBYNYOAYRYNUTZYTYOUTZUUFAUVPUKZUVQUKZYSYTVAZ
      YRUUCVAZUUBUUEUVSUUJYRUQZYTVAZYRUVIYTVAZBMVNZVAZUVTUWAUVSUWCUWFUVSUWCUKZU
      CYRUWEUWGUCULZYRUTZUWHUWEUTUWGUWIUKZUWDUUJUWHVMZUQZYTVABUWHMUVGUWHVGZUVIU
      WLYTUWMUVHUWKUUJUVGUWHVRVSVTUWGYRMUWHUWGYRMUVSYRUUGUTZUWCUVSYRYNUUGAUVPUV
      QWAAUURUVPUVQUUTWBWDZURWCWEUWJUWLUWBYTUWJGWFZUWKYRVAZUWLUWBVAAUWPUVPUVQUW
      CUWIALMGTWGWHUWIUWQUWGUWHYRWIWJUWKYRGWKWLUVSUWCUWIWAWMWOWNWPUVSUWFUKZUDUW
      BYTUWRUDULZUWBUTZUWSYTUTUWRUWTUKZUUJUWSGUIZVMZUQZYTUWSUXAUXBUWEUTZUXDYTVA
      ZUXAYRUWEUXBUVSUWFUWTWAUXAUWSLUTZUXBYRUTZUXAGLWQZUWTUXGUXHUKZAUXIUVPUVQUW
      FUWTALMGTXFWHZUWRUWTWRUXIUWTUXJLUWSYRGWSWTWLZXAXBUXEUXBMUTUXFUWDUXFBUXBMU
      VGUXBVGZUVIUXDYTUXMUVHUXCUUJUVGUXBVRVSVTXCXDXPUXAUXIUXGUXBUXBVGZUWSUXDUTZ
      UXKUXAUXGUXHUXLXEUXAUXBXGUXIUXOUXGUXNUKLUXBUWSGXHXIXJXBWNWPXKUVSYSUWBYTUV
      SFYRUULUWBUUGHVFNUVSUUKYRVGZUKUUKYRUUJUVSUXPWRVSUWOAUWBVFUTZUVPUVQAGVFUTU
      UJVFUTUXQALMCGTRXQGVFXLUUJYRVFXMVJWBXNVTUVSUUCUWEYRUVSEYTUVLUWEUUHIUUGOUV
      SUVJYTVGZUKZUVKUWDBMUXSUVJYTUVIUVSUXRWRXOXRUVSYTYOUUHUVRUVQWRUVSUVAUVBAUV
      AUVPUVQAUUNUVARUVCXPWBZUVDXPWDZUVSUWEMDAUUPUVPUVQSWBUWEMVAUVSUWDBMVOVPVDX
      NXOXSUVSUVAYSUUHUTYTUUHUTUUBUVTUSUXTUVSUUGUUHYRHAUUIUVPUVQUUOWBUWOXTUYAUU
      HKUUAVFYSYTQUUAYFZYAYBUVSUUQUWNUUCUUGUTUUEUWAUSAUUQUVPUVQAUUPUUQSUUSXPWBU
      WOUVSUUHUUGYTIAUVFUVPUVQUVOWBUYAXTUUGJUUDVFYRUUCPUUDYFZYAYBXSYCYDAUAUBYNY
      OHIYMUUDJKUUAYNYFYOYFUYCUYBYMYFJYGUTJYEUTAUUGJPYHJYIYJKYGUTKYEUTAUUHKQYHK
      YIYJYKYL $.
  $}

  ${
    $d .<_ u $.  $d .<_ v x y $.  $d .c_ u $.  $d .c_ v x y $.  $d A v x y $.
    $d B u $.  $d B v x y $.  $d F u $.  $d F v x y $.  $d G u v $.
    $d G v x y $.  $d H u $.  $d H v x y $.  $d V v x y $.  $d W v x y $.
    $d X u $.  $d X x $.  $d Y x $.  $d ph u $.  $d ph v x y $.
    mgcf1o.h $e |- H = ( V MGalConn W ) $.
    mgcf1o.a $e |- A = ( Base ` V ) $.
    mgcf1o.b $e |- B = ( Base ` W ) $.
    mgcf1o.1 $e |- .<_ = ( le ` V ) $.
    mgcf1o.2 $e |- .c_ = ( le ` W ) $.
    mgcf1o.v $e |- ( ph -> V e. Poset ) $.
    mgcf1o.w $e |- ( ph -> W e. Poset ) $.
    mgcf1o.f $e |- ( ph -> F H G ) $.
    ${
      mgcf1olem1.1 $e |- ( ph -> X e. A ) $.
      $( Property of a Galois connection, lemma for ~ mgcf1o .  (Contributed by
         Thierry Arnoux, 26-Jul-2024.) $)
      mgcf1olem1 $p |- ( ph -> ( F ` ( G ` ( F ` X ) ) ) = ( F ` X ) ) $=
        ( vx vy vu vv cpo wcel cfv wbr wceq wf cv wi wral wa cproset posprs syl
        dfmgc2 mpbid simplld simplrd ffvelrnd mgccole2 mgccole1 posasymb biimpa
        mgcmnt1 w3a syl32anc ) AIUEUFZJDUGZEUGZDUGZCUFZVKCUFZVMVKKUHZVKVMKUHZVM
        VKUIZRABCVLDABCDUJZCBEUJZUAUKZUBUKZGUHWADUGZWBDUGKUHULUBBUMUABUMUCUKZUD
        UKZKUHWDEUGZWEEUGGUHULUDCUMUCCUMUNWFDUGWDKUHUCCUMWAWCEUGGUHUABUMUNUNZAD
        EFUHVSVTUNWGUNSAUAUBUDUCBCDEFGHIKMNOPLAHUEUFHUOUFQHUPUQZAVJIUOUFRIUPUQZ
        URUSZUTZACBVKEAVSVTWGWJVAABCJDWKTVBZVBZVBWLABCDEFGHIVKKMNOPLWHWISWLVCAB
        CDEFGHIJVLKMNOPLWHWISTWMABCDEFGHIJKMNOPLWHWISTVDVGVJVNVOVHVPVQUNVRCIKVM
        VKNPVEVFVI $.
    $}

    ${
      mgcf1olem2.1 $e |- ( ph -> Y e. B ) $.
      $( Property of a Galois connection, lemma for ~ mgcf1o .  (Contributed by
         Thierry Arnoux, 26-Jul-2024.) $)
      mgcf1olem2 $p |- ( ph -> ( G ` ( F ` ( G ` Y ) ) ) = ( G ` Y ) ) $=
        ( vx vy vu vv cpo wcel cfv wbr wceq wf cv wi wral wa cproset posprs syl
        dfmgc2 mpbid simplrd simplld ffvelrnd mgccole2 mgccole1 posasymb biimpa
        mgcmnt2 w3a syl32anc ) AHUEUFZJEUGZDUGZEUGZBUFZVKBUFZVMVKGUHZVKVMGUHZVM
        VKUIZQACBVLEABCDUJZCBEUJZUAUKZUBUKZGUHWADUGZWBDUGKUHULUBBUMUABUMUCUKZUD
        UKZKUHWDEUGZWEEUGGUHULUDCUMUCCUMUNWFDUGWDKUHUCCUMWAWCEUGGUHUABUMUNUNZAD
        EFUHVSVTUNWGUNSAUAUBUDUCBCDEFGHIKMNOPLAVJHUOUFQHUPUQZAIUEUFIUOUFRIUPUQZ
        URUSZUTZABCVKDAVSVTWGWJVAACBJEWKTVBZVBZVBWLABCDEFGHIVLJKMNOPLWHWISWMTAB
        CDEFGHIJKMNOPLWHWISTVCVGABCDEFGHIVKKMNOPLWHWISWLVDVJVNVOVHVPVQUNVRBHGVM
        VKMOVEVFVI $.
    $}

    $d .<_ u v x y $.  $d .c_ u v x y $.  $d A u v x y $.  $d B u v x y $.
    $d F u v x y $.  $d G u v x y $.  $d H u v x y $.  $d V v x y $.
    $d W v x y $.  $d ph u v x y $.
    $( Given a Galois connection, exhibit an order isomorphism.  (Contributed
       by Thierry Arnoux, 26-Jul-2024.) $)
    mgcf1o $p |- ( ph -> ( F |` ran G ) Isom .<_ , .c_ ( ran G , ran F ) ) $=
      ( wcel wa vx vy vu vv crn cres wf1o cv wbr cfv wb wral wiso cmpt eqid wfn
      wf cpo cproset posprs syl dfmgc2 mpbid simplld ffnd simplrd frnd fnfvelrn
      wi sselda syl2an2r wceq ad4antr simplr mgcf1olem1 fveq2d simpllr 3eqtr3rd
      simpr eqtr4d wrex ad2antrr simplrr fvelrnb biimpa syl2anc r19.29a simplrl
      mgcf1olem2 impbida feqresmpt f1oeq1d mpbird simplll sseldd adantr simprld
      wss simpld r19.21bi imp syl1111anc fvresd 3brtr4d breq12d ad7antr cmnt co
      f1o2d mgcmnt2d simp-4r ffvelrnd ismntd ad3antrrr syldan anasss ralrimivva
      3brtr3d df-isom sylanbrc ) AEUEZDUEZDYAUFZUGZUAUHZUBUHZGUIZYEYCUJZYFYCUJZ
      JUIZUKZUBYAULUAYAULYAYBGJYCUMAYDYAYBUAYAYEDUJZUNZUGAUAUCYAYBYLUCUHZEUJZYM
      YMUOADBUPZYEYASZYEBSZYLYBSABCDABCDUQZCBEUQZYGYLYFDUJZJUIZVIZUBBULZUABULZY
      NUDUHZJUIYOUUFEUJZGUIVIUDCULUCCULZTZYODUJZYNJUIUCCULYEYLEUJGUIUABULTZTZAD
      EFUIZYSYTTZUULTRAUAUBUDUCBCDEFGHIJLMNOKAHURSZHUSSPHUTVAZAIURSZIUSSQIUTVAZ
      VBVCZVDZVEZAYABYEACBEAYSYTUULUUSVFZVGZVJBYEDVHVKAECUPZYNYBSZYNCSZYOYASACB
      EUVBVEZAYBCYNABCDUUTVGVJCYNEVHVKAYQUVETZTZYEYOVLZYNYLVLZUVIUVJTZUUAYNVLZU
      VKUBBUVLYFBSZTZUVMTZUUAEUJZDUJUUAYLYNUVPBCDEFGHIYFJKLMNOAUUOUVHUVJUVNUVMP
      VMAUUQUVHUVJUVNUVMQVMAUUMUVHUVJUVNUVMRVMUVLUVNUVMVNVOUVPUVQYEDUVPUVQYOYEU
      VPUUAYNEUVOUVMVSZVPUVIUVJUVNUVMVQVTVPUVRVRUVLYPUVEUVMUBBWAZAYPUVHUVJUVAWB
      AYQUVEUVJWCYPUVEUVSUBBYNDWDWEWFWGUVIUVKTZUUGYEVLZUVJUDCUVTUUFCSZTZUWATZUU
      GDUJZEUJZUUGYOYEUWDBCDEFGHIUUFJKLMNOAUUOUVHUVKUWBUWAPVMAUUQUVHUVKUWBUWAQV
      MAUUMUVHUVKUWBUWARVMUVTUWBUWAVNWIUWDUWEYNEUWDUWEYLYNUWDUUGYEDUWCUWAVSZVPU
      VIUVKUWBUWAVQVTVPUWGVRUVTUVDYQUWAUDCWAZAUVDUVHUVKUVGWBAYQUVEUVKWHUVDYQUWH
      UDCYEEWDWEWFWGWJXIAYAYBYCYMAUABCYADUUTUVCWKWLWMAYKUAUBYAYAAYQYFYASZYKAYQT
      ZUWITZYGYJUWKYGTZYLUUAYHYIJUWLAYRUVNYGUUBAYQUWIYGWNUWKYRYGUWKYABYEAYABWRY
      QUWIUVCWBZAYQUWIVNZWOWPUWKUVNYGUWKYABYFUWMUWJUWIVSZWOWPUWKYGVSAYRTZUVNTYG
      UUBUWPUUCUBBAUUDUABAUUEUUHAUUNUUIUUKUUSWQWSWTWTXAXBUWKYHYLVLYGUWKYEYADUWN
      XCZWPUWKYIUUAVLYGUWKYFYADUWOXCZWPXDUWKYJUUBYGUWKYJUUBUWKYHYLYIUUAJUWQUWRX
      EWEUWKUUBTZYOYEVLZYGUCCUWSUVFTZUWTTZUUGYFVLZYGUDCUXBUWBTZUXCTZYOUUGYEYFGU
      XEUUJEUJUWFYOUUGGUXECBURUREJIHUUJUWEGMLONAUUQYQUWIUUBUVFUWTUWBUXCQXFZAUUO
      YQUWIUUBUVFUWTUWBUXCPXFZAEIHXGXHSYQUWIUUBUVFUWTUWBUXCADEFHIKUUPUURRXJXFUX
      EBCYODAYSYQUWIUUBUVFUWTUWBUXCUUTXFZUXECBYNEAYTYQUWIUUBUVFUWTUWBUXCUVBXFZU
      WSUVFUWTUWBUXCXKZXLXLUXEBCUUGDUXHUXECBUUFEUXIUXBUWBUXCVNZXLXLUXEYLUUAUUJU
      WEJUWSUUBUVFUWTUWBUXCUWKUUBVSVMUXEYOYEDUXAUWTUWBUXCVQZVPUXEUUGYFDUXDUXCVS
      ZVPXDXMUXEBCDEFGHIYNJKLMNOUXGUXFAUUMYQUWIUUBUVFUWTUWBUXCRXFZUXJWIUXEBCDEF
      GHIUUFJKLMNOUXGUXFUXNUXKWIXRUXLUXMXRUXBUVDUWIUXCUDCWAZUWSUVDUVFUWTAUVDYQU
      WIUUBUVGXNZWBUWJUWIUUBUVFUWTXKUVDUWIUXOUDCYFEWDWEWFWGUWSUVDYQUWTUCCWAZUXP
      AYQUWIUUBVQUVDYQUXQUCCYEEWDWEWFWGXOWJXPXQUAUBYAYBGJYCXSXT $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Extended reals Structure - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Assume the scalar component of the extended real structure is the field of
     the real numbers (this has to be defined in the main body of set.mm).
     (Contributed by Thierry Arnoux, 22-Oct-2017.) $)
  ax-xrssca $a |- RRfld = ( Scalar ` RR*s ) $.

  $( Assume the scalar product of the extended real structure is the extended
     real number multiplication operation (this has to be defined in the main
     body of set.mm).  (Contributed by Thierry Arnoux, 22-Oct-2017.) $)
  ax-xrsvsca $a |- *e = ( .s ` RR*s ) $.

  $( The zero of the extended real numbers.  The extended real is not a group,
     as its addition is not associative.  (cf. ~ xaddass and ~ df-xrs ),
     however it has a zero.  (Contributed by Thierry Arnoux, 13-Jun-2017.) $)
  xrs0 $p |- 0 = ( 0g ` RR*s ) $=
    ( cc0 cxrs c0g cfv wceq wtru cxr cxad cbs xrsbas a1i cplusg xrsadd wcel 0xr
    vx cv co xaddid2 adantl xaddid1 grpidd mptru ) ABCDEFPGHBAGBIDEFJKHBLDEFMKA
    GNFOKPQZGNZAUDHRUDEFUDSTUEUDAHRUDEFUDUATUBUC $.

  $( The "strictly less than" relation for the extended real structure.
     (Contributed by Thierry Arnoux, 30-Jan-2018.) $)
  xrslt $p |- < = ( lt ` RR*s ) $=
    ( clt cle cid cdif cxrs cplt cfv dflt2 cvv wcel wceq xrsex xrsle eqid ax-mp
    pltfval eqtr4i ) ABCDZEFGZHEIJSRKLISEBMSNPOQ $.

  ${
    $d x B $.
    $( The inversion operation in the extended real numbers.  The extended real
       is not a group, as its addition is not associative.  (cf. ~ xaddass and
       ~ df-xrs ), however it has an inversion operation.  (Contributed by
       Thierry Arnoux, 13-Jun-2017.) $)
    xrsinvgval $p |- ( B e. RR* -> ( ( invg ` RR*s ) ` B ) = -e B ) $=
      ( vx cxr wcel cxrs cminusg cfv cxad cc0 wceq crio cxne xrsbas xrsadd xrs0
      cv co eqid grpinvval xnegcl wb xaddeq0 ancoms riota5 eqtrd ) ACDZAEFGZGBP
      ZAHQIJZBCKALZBCHEUGAIMNOUGRSUFUIBCUJATUHCDUFUIUHUJJUAUHAUBUCUDUE $.
  $}

  ${
    $d n A $.  $d m n x y B $.
    $( The "multiple" function in the extended real numbers structure.
       (Contributed by Thierry Arnoux, 14-Jun-2017.) $)
    xrsmulgzz $p |- ( ( A e. ZZ /\ B e. RR* ) ->
                                        ( A ( .g ` RR*s ) B ) = ( A *e B ) ) $=
      ( cxr wcel cxrs co cxmu wceq cv cc0 c1 oveq1 eqeq12d xrsbas wa cxad simpr
      oveq1d adantl cr vn vm vx vy cz cmg cfv cneg caddc xrs0 eqid mulg0 xmul02
      eqtr4d cn simpll xrsadd mulgnnp1 syl2anc xaddid2 simpl eqtrd 0p1e1 eqtrdi
      cn0 mulg1 3eqtr4rd wo elnn0 mpjaodan adantr cle wbr nn0ssre ressxr sselid
      sylib sstri nn0ge0 ad2antlr 1xr a1i xadddi2r syl221anc 1re rexadd xmulid2
      0le1 syl oveq2d 3eqtr3d 3eqtr4d exp31 xnegeq cminusg mulgnegnn ancoms cvv
      cxne xrsex ssidd simp2 simp3 xaddcld mulgnnsubcl 3anidm12 xrsinvgval nnre
      w3a rexneg nnssre xmulneg1 eqtr3d zindd impcom ) BCDZAUEDABEUFUGZFZABGFZH
      ZUAIZBXQFZYABGFZHJBXQFZJBGFZHUBIZBXQFZYFBGFZHZYFUHZBXQFZYJBGFZHZYFKUIFZBX
      QFZYNBGFZHZXTXPUAUBAYAJHYBYDYCYEYAJBXQLYAJBGLMYAYFHYBYGYCYHYAYFBXQLYAYFBG
      LMYAYNHYBYOYCYPYAYNBXQLYAYNBGLMYAYJHYBYKYCYLYAYJBXQLYAYJBGLMYAAHYBXRYCXSY
      AABXQLYAABGLMXPYDJYECXQEBJNUJXQUKZULZBUMUNXPYFVEDZYIYQXPYTOZYIOZYGBPFZYHB
      PFZYOYPUUBYGYHBPUUAYIQRUUAYOUUCHZYIUUAYFUODZUUEYFJHZUUAUUFOUUFXPUUEUUAUUF
      QXPYTUUFUPCPXQEYFBNYRUQURUSUUAUUGOUUGXPUUEUUAUUGQXPYTUUGUPUUGXPOZJBPFZBUU
      CYOXPUUIBHUUGBUTSUUHYGJBPUUHYGYDJUUHYFJBXQUUGXPVAZRXPYDJHUUGYSSVBRUUHYOKB
      XQFZBUUHYNKBXQUUHYNJKUIFKUUHYFJKUIUUJRVCVDRXPUUKBHUUGCXQEBNYRVFSVBVGUSUUA
      YTUUFUUGVHXPYTQZYFVIVQVJVKUUBYFKPFZBGFZYHKBGFZPFZYPUUDUUBYFCDZJYFVLVMZKCD
      ZJKVLVMZXPUUNUUPHUUBVECYFVETCVNVOVRUUAYTYIUULVKZVPYTUURXPYIYFVSVTUUSUUBWA
      WBUUTUUBWHWBXPYTYIUPZYFKBWCWDUUBUUMYNBGUUBYFTDZKTDZUUMYNHUUBVETYFVNUVAVPU
      VDUUBWEWBYFKWFUSRUUBUUOBYHPUUBXPUUOBHUVBBWGWIWJWKWLWMXPUUFYIYMXPUUFOZYIOY
      GWSZYHWSZYKYLYIUVFUVGHUVEYGYHWNSUVEYKUVFHYIUVEYKYGEWOUGZUGZUVFUUFXPYKUVIH
      CXQEUVHYFBNYRUVHUKWPWQUVEYGCDZUVIUVFHUUFXPUVJUUFXPUVJUUFUCUDCPCXQEYFWRBNY
      RUQEWRDUUFWTWBUUFCXAUUFUCIZCDZUDIZCDZXIUVKUVMUUFUVLUVNXBUUFUVLUVNXCXDXEXF
      WQYGXGWIVBVKUVEYLUVGHYIUVEYFWSZBGFZYLUVGUVEUVOYJBGUVEUVCUVOYJHUUFUVCXPYFX
      HSYFXJWIRUVEUUQXPUVPUVGHUVEUOCYFUOTCXKVOVRXPUUFQVPXPUUFVAYFBXLUSXMVKWLWMX
      NXO $.
  $}

  ${
    $d x y z $.
    $( The extended real numbers form a toset.  (Contributed by Thierry Arnoux,
       15-Feb-2018.) $)
    xrstos $p |- RR*s e. Toset $=
      ( vx vy vz cxrs ctos wcel cpo cv cle wbr wo cxr xrsex xrsbas xrsle xrleid
      wral wa wceq xrletri3 biimprd xrletr isposi xrletri rgen2 istos mpbir2an
      ) DEFDGFAHZBHZIJZUIUHIJZKZBLQALQABCLDIMNOUHPUHLFUILFRUHUISUJUKRUHUITUAUHU
      ICHUBUCULABLLUHUIUDUEABLDINOUFUG $.
  $}

  ${
    $d a b c d x $.
    $( The extended real numbers form a complete lattice.  (Contributed by
       Thierry Arnoux, 15-Feb-2018.) $)
    xrsclat $p |- RR*s e. CLat $=
      ( vb va vx vc vd cxrs wcel cxr wceq wa xrstos cv cle wbr wral wreu xrsbas
      wi xrsle clt ccla cpo club cfv cdm cglb ctos tospos ax-mp crab eqid lubdm
      cpw biid rabid2 wss velpw wn wor xrltso a1i xrsupss supeu xrslt toslublem
      wrex reubidva mpbird sylbi mprgbir eqtr4i glbdm ccnv cnvso mpbi xrinfmss2
      id tosglblem pm3.2i isclat mpbir2an ) FUAGFUBGZFUCUDZUEZHUMZIZFUFUDZUEZWE
      IZJFUGGZWBKFUHZUIWFWIWDALZBLZMNACLZOWLDLZMNAWNOWMWOMNRDHOJZBHPZCWEUJZWEWJ
      WDWRIKWJWPBADHWCFMUBCQSWCUKZWPUNWKULUIWEWRIWQCWEWQCWEUOWNWEGZWNHUPZWQCHUQ
      ZXAWQWMWLTNURAWNOWLWMTNWLELZTNEWNVFRAHOJZBHPXABAEHWNTHTUSZXAUTVABAEWNVBVC
      XAWPXDBHXAWNHTFMBADEQVDWJXAKVAZXAVQZSVEVGVHVIVJVKWHWMWLMNAWNOWOWLMNAWNOWO
      WMMNRDHOJZBHPZCWEUJZWEWJWHXJIKWJXHBADHWGFMUBCQSWGUKZXHUNWKVLUIWEXJIXICWEX
      ICWEUOWTXAXIXBXAXIWMWLTVMZNURAWNOWLWMXLNWLXCXLNEWNVFRAHOJZBHPXABAEHWNXLHX
      LUSZXAXEXNUTHTVNVOVABAEWNVPVCXAXHXMBHXAWNHTFMBADEQVDXFXGSVRVGVHVIVJVKVSHW
      CWGFQWSXKVTWA $.
  $}

  $( The poset 0 of the extended real numbers is minus infinity.  (Contributed
     by Thierry Arnoux, 18-Feb-2018.)  (Proof shortened by AV, 28-Sep-2020.) $)
  xrsp0 $p |- -oo = ( 0. ` RR*s ) $=
    ( cxrs cp0 cfv cxr cglb clt cinf cmnf cvv wcel wceq xrsex xrsbas eqid p0val
    ax-mp wss ssid xrslt ctos xrstos a1i id tosglb xrinfm 3eqtrri ) ABCZDAECZCZ
    DDFGZHAIJUGUIKLDUHAIUGMUHNUGNOPDDQZUIUJKDRUKDDFAMSATJUKUAUBUKUCUDPUEUF $.

  $( The poset 1 of the extended real numbers is plus infinity.  (Contributed
     by Thierry Arnoux, 18-Feb-2018.) $)
  xrsp1 $p |- +oo = ( 1. ` RR*s ) $=
    ( cxrs cp1 cfv cxr club clt csup cpnf cvv wcel wceq xrsex xrsbas eqid p1val
    ax-mp wss ssid xrslt ctos xrstos a1i id toslub xrsup 3eqtrri ) ABCZDAECZCZD
    DFGZHAIJUGUIKLDUHUGAIMUHNUGNOPDDQZUIUJKDRUKDDFAMSATJUKUAUBUKUCUDPUEUF $.

  ${
    ressmulgnn.1 $e |- H = ( G |`s A ) $.
    ressmulgnn.2 $e |- A C_ ( Base ` G ) $.
    ressmulgnn.3 $e |- .* = ( .g ` G ) $.
    ressmulgnn.4 $e |- I = ( invg ` G ) $.
    $( Values for the group multiple function in a restricted structure.
       (Contributed by Thierry Arnoux, 12-Jun-2017.) $)
    ressmulgnn $p |-
                ( ( N e. NN /\ X e. A ) -> ( N ( .g ` H ) X ) = ( N .* X ) ) $=
      ( cn wcel cfv co c1 cbs wceq eqid ax-mp cmg csn cxp cseq wss ressbas2 cvv
      wa cplusg fvex ssexi ressplusg seqeq2 mulgnn simpr sselid syldan eqtr4d )
      FLMZGAMZUHZFGCUANZOFBUINZLGUBUCZPUDZNZFGEOZACUINZVEVBCFGABQNZUEACQNRIAVIC
      BHVISZUFTVHSVBSVCVHRZVEVHVDPUDRAUGMVKAVIBQUJIUKAVCBCUGHVCSZULTVCVHVDPUMTU
      NUSUTGVIMVGVFRVAAVIGIUSUTUOUPVIVCVEEBFGVJVLJVESUNUQUR $.

    ressmulgnn0.4 $e |- ( 0g ` G ) = ( 0g ` H ) $.
    $( Values for the group multiple function in a restricted structure.
       (Contributed by Thierry Arnoux, 14-Jun-2017.) $)
    ressmulgnn0 $p |-
               ( ( N e. NN0 /\ X e. A ) -> ( N ( .g ` H ) X ) = ( N .* X ) ) $=
      ( wcel wa cfv co wceq cc0 simpr eqid cn0 cn cmg simplr ressmulgnn syl2anc
      c0g cbs wss ressbas2 ax-mp mulg0 syl oveq1d sselid eqtr4d wo elnn0 biimpi
      3eqtr4d adantr mpjaodan ) FUAMZGAMZNZFUBMZFGCUCOZPZFGEPZQZFRQZVEVFNVFVDVJ
      VEVFSVCVDVFUDABCDEFGHIJKUEUFVEVKNZVHRGEPZVIVLRGVGPZBUGOZVHVMVLVDVNVOQVCVD
      VKUDZAVGCGVOABUHOZUIACUHOQIAVQCBHVQTZUJUKLVGTULUMVLFRGVGVEVKSZUNVLGVQMVMV
      OQVLAVQGIVPUOVQEBGVOVRVOTJULUMUTVLFRGEVSUNUPVCVFVKUQZVDVCVTFURUSVAVB $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The extended nonnegative real numbers commutative monoid
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The base of the extended nonnegative real numbers.  (Contributed by
     Thierry Arnoux, 30-Jan-2017.) $)
  xrge0base $p |- ( 0 [,] +oo ) = ( Base ` ( RR*s |`s ( 0 [,] +oo ) ) ) $=
    ( cc0 cpnf cicc cxr cin cxrs cress cbs cfv wss wceq iccssxr df-ss mpbi wcel
    co cvv ovex eqid xrsbas ressbas ax-mp eqtr3i ) ABCPZDEZUDFUDGPZHIZUDDJUEUDK
    ABLUDDMNUDQOUEUGKABCRUDDUFQFUFSTUAUBUC $.

  $( The zero of the extended nonnegative real numbers monoid.  (Contributed by
     Thierry Arnoux, 30-Jan-2017.) $)
  xrge00 $p |- 0 = ( 0g ` ( RR*s |`s ( 0 [,] +oo ) ) ) $=
    ( cxrs cxr cmnf cdif cress co cmnd wcel cc0 cpnf cicc wss cfv wceq ax-mp wn
    wbr mpbi cin cvv csn c0g eqid xrs1mnd ccmn xrge0cmn cmnmnd cle wa mnflt0 wb
    clt mnfxr 0xr xrltnle mp2an intnan elxrge0 mtbir iccssxr eqsstrri 0e0iccpnf
    difsn ssdif cbs difss df-ss xrex difexg xrsbas ressbas eqtr3i ovex ressress
    xrs10 dfss incom eqtr2i oveq2i submnd0 mp4an ) ABCUAZDZEFZGHAIJKFZEFZGHZWEW
    CLZIWEHIWFUBMNWDWDUCZUDWFUEHWGUFWFUGOWEWEWBDZWCCWEHZPWJWENWKCBHZICUHQZUIWMW
    LCIULQZWMPZUJWLIBHWNWOUKUMUNCIUOUPRUQCURUSCWEVCOWEBLWJWCLIJUTWEBWBVDOVAZVBW
    CWEWDWFIWCBSZWCWDVEMZWCBLWQWCNBWBVFWCBVGRWCTHZWQWRNBTHWSVHBWBTVIOZWCBWDTAWI
    VJVKOVLWDWIVOWDWEEFZAWCWESZEFZWFWSWETHXAXCNWTIJKVMWCWEATTVNUPXBWEAEWEWEWCSZ
    XBWHWEXDNWPWEWCVPRWEWCVQVRVSVRVTWA $.

  $( The additive law of the extended nonnegative real numbers monoid is the
     addition in the extended real numbers.  (Contributed by Thierry Arnoux,
     20-Mar-2017.) $)
  xrge0plusg $p |- +e = ( +g ` ( RR*s |`s ( 0 [,] +oo ) ) ) $=
    ( cc0 cpnf cicc co cvv wcel cxad cxrs cress cplusg wceq ovex eqid ressplusg
    cfv xrsadd ax-mp ) ABCDZEFGHRIDZJOKABCLRGHSESMPNQ $.

  $( The "less than or equal to" relation in the extended real numbers.
     (Contributed by Thierry Arnoux, 14-Mar-2018.) $)
  xrge0le $p |- <_ = ( le ` ( RR*s |`s ( 0 [,] +oo ) ) ) $=
    ( cc0 cpnf cicc co cvv wcel cle cxrs cress cple wceq ovex eqid xrsle ressle
    cfv ax-mp ) ABCDZEFGHRIDZJPKABCLRHGESSMNOQ $.

  $( The group multiple function in the extended nonnegative real numbers.
     (Contributed by Thierry Arnoux, 14-Jun-2017.) $)
  xrge0mulgnn0 $p |- ( ( A e. NN0 /\ B e. ( 0 [,] +oo ) ) ->
                  ( A ( .g ` ( RR*s |`s ( 0 [,] +oo ) ) ) B ) = ( A *e B ) ) $=
    ( cn0 wcel cc0 cpnf cicc co wa cxrs cress cmg cfv cxmu cminusg eqid cxr cbs
    iccssxr c0g xrsbas sseqtri xrs0 xrge00 eqtr3i ressmulgnn0 wceq nn0z eliccxr
    cz xrsmulgzz syl2an eqtrd ) ACDZBEFGHZDZIABJUOKHZLMHABJLMZHZABNHZUOJUQJOMZU
    RABUQPUOQJRMEFSUAUBURPVAPEJTMUQTMUCUDUEUFUNAUJDBQDUSUTUGUPAUHBEFUIABUKULUM
    $.

  $( Associativity of extended nonnegative real addition.  (Contributed by
     Thierry Arnoux, 8-Jun-2017.) $)
  xrge0addass $p |- ( ( A e. ( 0 [,] +oo ) /\ B e. ( 0 [,] +oo ) /\
    C e. ( 0 [,] +oo ) ) -> ( ( A +e B ) +e C ) = ( A +e ( B +e C ) ) ) $=
    ( cc0 cpnf co wcel cxr cmnf wne cxad sselid cle wbr wa elicc4 syl3anc mpbid
    wb simpld cicc w3a iccssxr simp1 0xr a1i pnfxr ge0nemnf syl2anc simp2 simp3
    wceq xaddass syl222anc ) ADEUAFZGZBUOGZCUOGZUBZAHGZAIJZBHGZBIJZCHGZCIJZABKF
    CKFABCKFKFULUSUOHADEUCZUPUQURUDZLZUSUTDAMNZVAVHUSVIAEMNZUSUPVIVJOZVGUSDHGZE
    HGZUTUPVKSVLUSUEUFZVMUSUGUFZVHDEAPQRTAUHUIUSUOHBVFUPUQURUJZLZUSVBDBMNZVCVQU
    SVRBEMNZUSUQVRVSOZVPUSVLVMVBUQVTSVNVOVQDEBPQRTBUHUIUSUOHCVFUPUQURUKZLZUSVDD
    CMNZVEWBUSWCCEMNZUSURWCWDOZWAUSVLVMVDURWESVNVOWBDECPQRTCUHUIABCUMUN $.

  $( The sum of nonnegative and positive numbers is positive.  See ~ addgtge0 .
     (Contributed by Thierry Arnoux, 6-Jul-2017.) $)
  xrge0addgt0 $p |- ( ( ( A e. ( 0 [,] +oo ) /\ B e. ( 0 [,] +oo ) ) /\ 0 < A )
                                                         -> 0 < ( A +e B ) ) $=
    ( cc0 cpnf cicc co wcel wa clt wbr cxad wceq cxr 0xr xaddid1 simplr simplll
    a1i sselid breq2d ax-mp simpr wi iccssxr simpllr xlt2add syl22anc eqbrtrrid
    mp2and oveq2 adantl syl bitr3d mpbird cle wo iccgelb syl3anc xrleloe biimpa
    pnfxr syl21anc mpjaodan ) ACDEFZGZBVDGZHZCAIJZHZCBIJZCABKFZIJZCBLZVIVJHZCCC
    KFZVKICMGZVOCLNCOUAVNVHVJVOVKIJZVGVHVJPVIVJUBVNVPVPAMGZBMGZVHVJHVQUCVPVNNRZ
    VTVNVDMACDUDZVEVFVHVJQSVNVDMBWAVEVFVHVJUESCCABUFUGUIUHVIVMHZVLVHVGVHVMPWBCA
    CKFZIJVLVHWBWCVKCIVMWCVKLVICBAKUJUKTWBWCACIWBVRWCALWBVDMAWAVEVFVHVMQSAOULTU
    MUNVIVPVSCBUOJZVJVMUPZVPVINRZVIVDMBWAVEVFVHPZSVIVPDMGZVFWDWFWHVIVARWGCDBUQU
    RVPVSHWDWECBUSUTVBVC $.

  $( Right-distributivity of extended nonnegative real multiplication over
     addition.  (Contributed by Thierry Arnoux, 30-Jun-2017.) $)
  xrge0adddir $p |- ( ( A e. ( 0 [,] +oo ) /\ B e. ( 0 [,] +oo ) /\ C e.
    ( 0 [,] +oo ) ) -> ( ( A +e B ) *e C ) = ( ( A *e C ) +e ( B *e C ) ) ) $=
    ( cc0 cpnf co wcel cxad cxmu wceq wa cxr cr simpl1 sselid simpr wbr syl2anc
    syl oveq1d cicc w3a iccssxr simpl2 rge0ssre xadddir syl3anc simpll1 simpll2
    cico clt xaddcld xrge0addgt0 syl21anc xmulpnf1 oveq2 ad2antlr wne ge0xmulcl
    cmnf simpll3 xrge0neqmnf xaddpnf2 3eqtr4d eqtrd eqtr4d xmul02 oveq1 xmulcld
    adantl xaddid2 3eqtr3d 3eqtr2rd cle wo 0xr a1i pnfxr iccgelb xrleloe biimpa
    mpjaodan wb 0lepnf eliccelico mp3an 3anbi3i simp3bi ) ADEUAFZGZBWIGZCWIGZUB
    ZCDEUJFZGZABHFZCIFZACIFZBCIFZHFZJZCEJZWMWOKZALGZBLGZCMGXAXCWILADEUCZWJWKWLW
    ONOXCWILBXFWJWKWLWOUDOXCWNMCUEWMWOPOABCUFUGWMXBKZDAUKQZXADAJZXGXHKZWQEWSHFZ
    WTXJWPEIFZEWQXKXJWPLGDWPUKQZXLEJXJABXJWILAXFWJWKWLXBXHUHZOZXJWILBXFWJWKWLXB
    XHUIZOULXJWJWKXHXMXNXPXGXHPZABUMUNWPUORXBWQXLJWMXHCEWPIUPUQXJWSLGZWSUTURZXK
    EJXJWILWSXFXJWKWLWSWIGZXPWJWKWLXBXHVABCUSRZOXJXTXSYAWSVBSWSVCRVDXJWREWSHXJW
    RAEIFZEXBWRYBJWMXHCEAIUPUQXJXDXHYBEJXOXQAUORVETVFXGXIKZWTWSDBHFZCIFZWQYCDCI
    FZWSHFDWSHFZWTWSYCYFDWSHYCCLGYFDJYCWILCXFWJWKWLXBXIVAOZCVGSTYCYFWRWSHXIYFWR
    JXGDACIVHVJTYCXRYGWSJYCBCYCWILBXFWJWKWLXBXIUIOZYHVIWSVKSVLYCYDBCIYCXEYDBJYI
    BVKSTXIYEWQJXGXIYDWPCIDABHVHTVJVMXGDLGZXDDAVNQZXHXIVOZYJXGVPVQZXGWILAXFWJWK
    WLXBNZOXGYJELGZWJYKYMYOXGVRVQYNDEAVSUGYJXDKYKYLDAVTWAUNWBWMWJWKWOXBVOZWLYPW
    JWKYJYODEVNQWLYPWCVPVRWDDECWEWFWGWHWB $.

  $( Left-distributivity of extended nonnegative real multiplication over
     addition.  (Contributed by Thierry Arnoux, 6-Sep-2018.) $)
  xrge0adddi $p |- ( ( A e. ( 0 [,] +oo ) /\ B e. ( 0 [,] +oo ) /\ C e.
    ( 0 [,] +oo ) ) -> ( C *e ( A +e B ) ) = ( ( C *e A ) +e ( C *e B ) ) ) $=
    ( cc0 cpnf cicc co wcel w3a cxad cxmu xrge0adddir wceq iccssxr simp1 sselid
    cxr simp2 xmulcom syl2anc xaddcld simp3 oveq12d 3eqtr3d ) ADEFGZHZBUEHZCUEH
    ZIZABJGZCKGZACKGZBCKGZJGCUJKGZCAKGZCBKGZJGABCLUIUJQHCQHZUKUNMUIABUIUEQADENZ
    UFUGUHOPZUIUEQBURUFUGUHRPZUAUIUEQCURUFUGUHUBPZUJCSTUIULUOUMUPJUIAQHUQULUOMU
    SVAACSTUIBQHUQUMUPMUTVABCSTUCUD $.

  $( Extended nonnegative real version of ~ npcan .  (Contributed by Thierry
     Arnoux, 9-Jun-2017.) $)
  xrge0npcan $p |- ( ( A e. ( 0 [,] +oo ) /\ B e. ( 0 [,] +oo ) /\ B <_ A ) ->
     ( ( A +e -e B ) +e B ) = A ) $=
    ( cc0 cpnf co wcel cle wbr wceq cxne wa cxr simpl1 sselid simpr syl2anc syl
    cxad cmnf wne cicc w3a iccssxr simpl3 eqbrtrrd xgepnf biimpa xnegeq oveq12d
    pnfxr xnegid eqtrdi oveq1d oveq2d xaddid2 mp1i 3eqtrd eqtr4d wn xrge0neqmnf
    ax-mp simpl2 xnegcld xnegneg xnegmnf stoic1a neqned xaddass xaddcom mpancom
    sylan9req syl222anc xnegcl eqtrd xaddid1 sylan9eqr pm2.61dan ) ACDUAEZFZBVR
    FZBAGHZUBZBDIZABJZREZBREZAIWBWCKZWFDAWGWFCBRECDREZDWGWECBRWGWEDDJZREZCWGADW
    DWIRWGALFZDAGHZADIZWGVRLACDUCZVSVTWAWCMNWGBDAGWBWCOZVSVTWAWCUDUEWKWLWMAUFUG
    PZWGWCWDWIIWOBDUHQUIDLFZWJCIUJDUKVAULUMWGBDCRWOUNWQWHDIWGUJDUOUPUQWPURWBWCU
    SZKZWFAWDBREZREZAWSWKASTZWDLFZWDSTZBLFZBSTZWFXAIWSVRLAWNVSVTWAWRMZNZWSVSXBX
    GAUTQWSBWSVRLBWNVSVTWAWRVBZNZVCWSXEWRXDXJWBWROXEWRKWDSXEWDSIZWCXEXKKBSJZDXE
    XKBWDJXLBVDWDSUHVKVEULVFVGPXJWSVTXFXIBUTQAWDBVHVLWSWKXEXAAIXHXJXEWKXAACREAX
    EWTCARXEWTBWDREZCXCXEWTXMIBVMWDBVIVJBUKVNUNAVOVPPVNVQ $.

  ${
    $d k x y A $.  $d x y B $.  $d k x y ph $.
    fsumrp0cl.1 $e |- ( ph -> A e. Fin ) $.
    fsumrp0cl.2 $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,) +oo ) ) $.
    $( Closure of a finite sum of nonnegative reals.  (Contributed by Thierry
       Arnoux, 25-Jun-2017.) $)
    fsumrp0cl $p |- ( ph -> sum_ k e. A B e. ( 0 [,) +oo ) ) $=
      ( cc0 cpnf cr rge0ssre wcel cxr cle wbr clt w3a wb 0xr pnfxr elico1 vx vy
      cico co cc wss ax-resscn sstri a1i cv caddc simprl sselid simprr readdcld
      wa rexrd mp2an simp2bi syl addge0d ltpnf syl3anbrc 0e0icopnf fsumcllem )
      AUAUBBCGHUCUDZDVFUEUFAVFIUEJUGUHUIAUAUJZVFKZUBUJZVFKZUPUPZVGVIUKUDZLKZGVL
      MNZVLHONZVLVFKZVKVLVKVGVIVKVFIVGJAVHVJULZUMZVKVFIVIJAVHVJUNZUMZUOZUQVKVGV
      IVRVTVKVHGVGMNZVQVHVGLKZWBVGHONZGLKZHLKZVHWCWBWDPQRSGHVGTURUSUTVKVJGVIMNZ
      VSVJVILKZWGVIHONZWEWFVJWHWGWIPQRSGHVITURUSUTVAVKVLIKVOWAVLVBUTWEWFVPVMVNV
      OPQRSGHVLTURVCEFGVFKAVDUIVE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Algebra
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Monoids Homomorphisms
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y F $.  $d x y M $.  $d x y N $.
    $( The image of an Abelian group by a group isomorphism is also Abelian.
       (Contributed by Thierry Arnoux, 8-Mar-2018.) $)
    abliso $p |- ( ( M e. Abel /\ F e. ( M GrpIso N ) ) -> N e. Abel ) $=
      ( vx vy cabl wcel cgim co wa cghm gimghm syl cv cplusg wceq eqid ad2antlr
      cfv syl3anc cgrp ccmn ghmgrp2 adantl cmnd cbs wral grpmndd ccnv simpll wf
      wf1o gimf1o f1ocnv f1of 3syl simprl ffvelrnd simprr ablcom gimcnv 3eqtr4d
      ghmlin fveq2d grpcl f1ocnvfv2 syl2anc 3eqtr3d ralrimivva iscmn sylanbrc
      isabl ) BFGZABCHIGZJZCUAGZCUBGZCFGVNVPVMVNABCKIGVPBCALBCAUCMZUDZVOCUEGDNZ
      ENZCOSZIZWAVTWBIZPZECUFSZUGDWFUGVQVOCVSUHVOWEDEWFWFVOVTWFGZWAWFGZJZJZWCAU
      IZSZASZWDWKSZASZWCWDWJWLWNAWJVTWKSZWAWKSZBOSZIZWQWPWRIZWLWNWJVMWPBUFSZGWQ
      XAGWSWTPVMVNWIUJWJWFXAVTWKVNWFXAWKUKZVMWIVNXAWFAULZWFXAWKULXBXAWFBCAXAQZW
      FQZUMZXAWFAUNWFXAWKUOUPRZVOWGWHUQZURWJWFXAWAWKXGVOWGWHUSZURXAWRBWPWQXDWRQ
      ZUTTWJWKCBKIGZWGWHWLWSPWJWKCBHIGZXKVNXLVMWIBCAVARCBWKLMZXHXIWBWRCBVTWKWAW
      FXEWBQZXJVCTWJXKWHWGWNWTPXMXIXHWBWRCBWAWKVTWFXEXNXJVCTVBVDWJXCWCWFGZWMWCP
      VNXCVMWIXFRZWJVPWGWHXOVNVPVMWIVRRZXHXIWFWBCVTWAXEXNVETXAWFWCAVFVGWJXCWDWF
      GZWOWDPXPWJVPWHWGXRXQXIXHWFWBCWAVTXEXNVETXAWFWDAVFVGVHVIDEWFWBCXEXNVJVKCV
      LVK $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Finitely supported group sums - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d B x $.  $d G x $.  $d H x $.  $d ph x $.
    gsumsubg.1 $e |- H = ( G |`s B ) $.
    gsumsubg.a $e |- ( ph -> A e. V ) $.
    gsumsubg.f $e |- ( ph -> F : A --> B ) $.
    gsumsubg.b $e |- ( ph -> B e. ( SubGrp ` G ) ) $.
    $( The group sum in a subgroup is the same as the group sum.  (Contributed
       by Thierry Arnoux, 28-May-2023.) $)
    gsumsubg $p |- ( ph -> ( G gsum F ) = ( H gsum F ) ) $=
      ( vx cfv eqid csubg wcel syl co wceq wa cbs cplusg cvv c0g elfvexd subgss
      wss subg0cl cgrp cv subgrcl grplid grprid jca sylan gsumress ) ALBEUAMZEU
      BMZCDEFUCGEUDMZUQNZURNZHACOEKUEIACEOMPZCUQUGKUQCEUTUFQJAVBUSCPKCEUSUSNZUH
      QAEUIPZLUJZUQPZUSVEURRVESZVEUSURRVESZTAVBVDKCEUKQVDVFTVGVHUQUREVEUSUTVAVC
      ULUQUREVEUSUTVAVCUMUNUOUP $.
  $}

  ${
    gsumsra.1 $e |- A = ( ( subringAlg ` R ) ` B ) $.
    gsumsra.2 $e |- ( ph -> F e. U ) $.
    gsumsra.3 $e |- ( ph -> R e. V ) $.
    gsumsra.4 $e |- ( ph -> A e. W ) $.
    gsumsra.5 $e |- ( ph -> B C_ ( Base ` R ) ) $.
    $( The group sum in a subring algebra is the same as the ring's group sum.
       (Contributed by Thierry Arnoux, 28-May-2023.) $)
    gsumsra $p |- ( ph -> ( R gsum F ) = ( A gsum F ) ) $=
      ( csra cfv wceq a1i srabase sraaddg gsumpropd ) AFDBEGHJKLABCDBCDNOOPAIQZ
      MRABCDUAMST $.
  $}

  ${
    $d .0. x y z $.  $d A p x y z $.  $d B p x y z $.  $d C p y z $.
    $d E p x y z $.  $d F p x y z $.  $d V y z $.  $d W x y z $.
    $d ph p x z $.
    gsummpt2co.b $e |- B = ( Base ` W ) $.
    gsummpt2co.z $e |- .0. = ( 0g ` W ) $.
    gsummpt2co.w $e |- ( ph -> W e. CMnd ) $.
    gsummpt2co.a $e |- ( ph -> A e. Fin ) $.
    gsummpt2co.e $e |- ( ph -> E e. V ) $.
    gsummpt2co.1 $e |- ( ( ph /\ x e. A ) -> C e. B ) $.
    gsummpt2co.2 $e |- ( ( ph /\ x e. A ) -> D e. E ) $.
    gsummpt2co.3 $e |- F = ( x e. A |-> D ) $.
    $( Split a finite sum into a sum of a collection of sums over disjoint
       subsets.  (Contributed by Thierry Arnoux, 27-Mar-2018.) $)
    gsummpt2co $p |- ( ph -> ( W gsum ( x e. A |-> C ) ) =
      ( W gsum ( y e. E |-> ( W gsum ( x e. ( `' F " { y } ) |-> C ) ) ) ) ) $=
      ( vz vp cmpt cgsu co ccnv cv csn cima c2nd cfv cmpo nfcsb1v csbeq1a ssidd
      csb wcel cop wbr wa wex elcnv vex op2ndd adantr cdm dmmptss breldm sselid
      wceq adantl eqeltrd exlimivv sylbi wfun crn funmpt2 funcnvcnv ax-mp dfdm4
      wreu a1i dmeqi wral ralrimiva dmmptg syl5eq eqtr3id eleq2d biimpar relcnv
      syl wrel fcnvgreu mpanl1 syl2anc gsummptf1o cxp ciun rnmptss mpteq1d nfcv
      wss dfcnv2 csbeq1 csbid eqtrdi mpomptxf cvv cfn mptfi eqeltrid cnvfi 3syl
      oveq2d imaexg simpll imassrn sseqtrri sstri biimpi sylibr anasss wn df-br
      elimasn pm2.24d imp gsum2d2 3eqtrd sneq imaeq2d cbvmpt oveq2i eqtr4di ) A
      KBDFUCUDUEZKUAHKBIUFZUAUGZUHZUIZFUCZUDUEZUCZUDUEZKCHKBYQCUGZUHZUIZFUCZUDU
      EZUCZUDUEAYPKUBYQBUBUGZUJUKZFUPZUCZUDUEKUABHYTFULZUDUEUUDABUBDEFYQUULEKUU
      MLBUULFUMZMNBUULFUNOPAEUORUUKYQUQZUULDUQZAUUQUUKYRBUGZURZVJZUUSYRIUSZUTZB
      VAUAVAUURUABUUKIVBUVCUURUABUVCUULUUSDUVAUULUUSVJZUVBYRUUSUUKUAVCZBVCZVDZV
      EUVBUUSDUQZUVAUVBIVFZDUUSBDGITVGZUUSYRIUVFUVEVHVIVKVLVMVNVKAUVHUTZYQUFVOZ
      UUSYQVPZUQZUUSUULVJUBYQWAZUVLUVKIVOUVLBDGITVQIVRVSWBAUVNUVHAUVMDUUSAUVMUV
      IDIVTZAUVIBDGUCZVFZDIUVQTWCAGHUQZBDWDZUVRDVJAUVSBDSWEZBDGHWFWLWGWHWIWJYQW
      MUVLUVNUVOIWKYQUUSUBWNWOWPWQAUUNUUOKUDAUUNUBUAHYSYTWRWSZUUMUCUUOAUBYQUWBU
      UMAIVPHXCZYQUWBVJAUVTUWCUWABDGHITWTWLUAHIXDWLXAUABUBHYTUUMFUAUUMXBUUPUVAU
      UMBUUSFUPZFUVAUVDUUMUWDVJUVGBUULUUSFXEWLBFXFXGXHXGXOAHEYTYQUABKJXIFLMNOQA
      YTXIUQZYRHUQZAYQXJUQZUWEADXJUQZIXJUQUWGPUWHIUVQXJTBDGXKXLIXMXNZYQYSXJXPWL
      VEAUWFUUSYTUQZFEUQZAUWFUTZUWJUTZAUVHUWKAUWFUWJXQUWMYTDUUSYTUVIDYTUVMUVIYQ
      YSXRUVPXSUVJXTUWMUUTYQUQZUWJUWJUWNUWLUWJUWNYQYRUUSUVEUVFYFZYAVKZUWOYBVIRW
      PYCUWIAUWFUWJUTZYRUUSYQUSZYDZFLVJZAUWQUTZUWSUWTUXAUWRUWTAUWFUWJUWRUWMUWNU
      WRUWPYRUUSYQYEYBYCYGYHYCYIYJUUJUUCKUDCUAHUUIUUBUAUUIXBCUUBXBUUEYRVJZUUHUU
      AKUDUXBBUUGYTFUXBUUFYSYQUUEYRYKYLXAXOYMYNYO $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C y $.  $d D x $.  $d W x y $.
    $d ph x z $.
    gsummpt2d.c $e |- F/_ z C $.
    gsummpt2d.0 $e |- F/ y ph $.
    gsummpt2d.b $e |- B = ( Base ` W ) $.
    gsummpt2d.1 $e |- ( x = <. y , z >. -> C = D ) $.
    gsummpt2d.r $e |- ( ph -> Rel A ) $.
    gsummpt2d.2 $e |- ( ph -> A e. Fin ) $.
    gsummpt2d.m $e |- ( ph -> W e. CMnd ) $.
    gsummpt2d.3 $e |- ( ( ph /\ x e. A ) -> C e. B ) $.
    $( Express a finite sum over a two-dimensional range as a double sum.  See
       also ~ gsum2d .  (Contributed by Thierry Arnoux, 27-Apr-2020.) $)
    gsummpt2d $p |- ( ph -> ( W gsum ( x e. A |-> C ) ) =
     ( W gsum ( y e. dom A |-> ( W gsum ( z e. ( A " { y } ) |-> D ) ) ) ) ) $=
      ( cvv wcel wceq cmpt cgsu co cdm c1st cres ccnv csn cima cfv c0g eqid cfn
      cv dmexd wrel 1stdm sylan wfo wfn fo1st fofn dffn5 biimpi reseq1i wss ssv
      mp2b resmpt ax-mp eqtri gsummpt2co wa c2nd ccom cxp adantr imaexg syl cop
      ccmn adantl simp-4l simplr syl2anc eqeltrrd elimasn simpr eqeq1d rspcedvd
      vex eqidd r19.29a fmpttd imafi2 fvex a1i fsuppmptdm wf1o 2ndconst reseq2d
      1stpreimas f1oeq1d mpbird gsumf1o csb eleqtrd xp2nd ralrimiva fmptcos nfv
      fo2nd wnfc xp1st elsn sylib eqcomd eqopi syl12anc csbiedf mpteq2dva eqtrd
      oveq2d eqtr2d mpteq2da ) AIBEGUAUBUCICEUDZIBUEEUFZUGCUNZUHZUIZGUAZUBUCZUA
      ZUBUCICYFIDEYIUIZHUAZUBUCZUAZUBUCABCEFGBUNZUEUJZYFYGRIIUKUJZLYTULZPOAEUMO
      UOQAEUPZYRESZYSYFSNYREUQURYGBRYSUAZEUFZBEYSUAZUEUUDERRUEUSUERUTZUEUUDTZVA
      RRUEVBUUGUUHBRUEVCVDVHVEERVFUUEUUFTEVGBREYSVIVJVKVLAYMYQIUBACYFYLYPKAYHYF
      SZVMZYPIYOVNYJUFZVOZUBUCYLUUJYNFYIYNVPZYOIUUKRYTLUUAAIWASUUIPVQUUJEUMSZYN
      RSAUUNUUIOVQEYIUMVRVSUUJDYNHFUUJDUNZYNSZVMZYRYHUUOVTZTZHFSBEUUQUUCVMZUUSV
      MZGHFUUSGHTZUUTMWBUVAAUUCGFSAUUIUUPUUCUUSWCUUQUUCUUSWDQWEWFUUQUUSUURUURTB
      UUREUUPUURESZUUJUUPUVCEYHUUOCWKDWKWGVDWBUUQUUSVMYRUURUURUUQUUSWHWIUUQUURW
      LWJWMZWNUUJDYNYOFRHYTYOULAYNUMSZUUIAUUNUVEOEYIWOVSVQUVDYTRSUUJIUKWPWQWRUU
      JUUMYNUUKWSUUMYNVNUUMUFZWSZUUIUVGAYHYNYFWTWBUUJUUMYNUUKUVFUUJYJUUMVNAUUBU
      UIYJUUMTZNEYFYHXBURZXAXCXDXEUUJUULYKIUBUUJUULBYJDYRVNUJZHXFZUAYKUUJBDYJYN
      UVJHUUKYOUUJUVJYNSZBYJUUJYRYJSZVMZYRUUMSZUVLUVNYRYJUUMUUJUVMWHUUJUVHUVMUV
      IVQXGZYRYIYNXHVSZXIUUKBYJUVJUAZTUUJUUKBRUVJUAZYJUFZUVRVNUVSYJRRVNUSVNRUTZ
      VNUVSTZXLRRVNVBUWAUWBBRVNVCVDVHVEYJRVFUVTUVRTYJVGBRYJUVJVIVJVKWQUUJYOWLXJ
      UUJBYJUVKGUVNDUVJHGYNUVNDXKDGXMUVNJWQUVQUVNUUOUVJTZVMZGHUWDUUSUVBUWDUVOYS
      YHTZUVJUUOTUUSUVNUVOUWCUVPVQZUWDYSYISZUWEUWDUVOUWGUWFYRYIYNXNVSYSYHYRUEWP
      XOXPUWDUUOUVJUVNUWCWHXQYRYHUUOYIYNXRXSMVSXQXTYAYBYCYDYEYCYB $.
  $}

  ${
    $d .x. i j x $.  $d F i j x $.  $d K i j x $.  $d V i j x $.  $d W i j x $.
    $d Y i j x $.
    lmodvslmhm.v $e |- V = ( Base ` W ) $.
    lmodvslmhm.f $e |- F = ( Scalar ` W ) $.
    lmodvslmhm.s $e |- .x. = ( .s ` W ) $.
    lmodvslmhm.k $e |- K = ( Base ` F ) $.
    $( Scalar multiplication in a left module by a fixed element is a group
       homomorphism.  (Contributed by Thierry Arnoux, 12-Jun-2023.) $)
    lmodvslmhm $p |- ( ( W e. LMod /\ Y e. V )
                           -> ( x e. K |-> ( x .x. Y ) ) e. ( F GrpHom W ) ) $=
      ( wcel wa cfv cv co eqid wceq cvv simpr vi vj cplusg cmpt lmodfgrp adantr
      clmod cgrp lmodgrp lmodvscl 3expa an32s fmptd simpll simprl simprr simplr
      lmodvsdir syl13anc a1i oveq1d lmodacl 3expb adantlr ovexd oveq12d 3eqtr4d
      fvmptd isghmd ) FUGLZGELZMZUAUBCUCNZFUCNZCFADAOZGBPZUDZDEKHVMQZVNQZVJCUHL
      VKCFIUEUFVJFUHLVKFUIUFVLADVPEVQVJVODLZVKVPELZVJVTVKWAVOBCDEFGHIJKUJUKULVQ
      QZUMVLUAOZDLZUBOZDLZMZMZWCWEVMPZGBPZWCGBPZWEGBPZVNPZWIVQNWCVQNZWEVQNZVNPW
      HVJWDWFVKWJWMRVJVKWGUNVLWDWFUOZVLWDWFUPZVJVKWGUQVNVMWCWEBCDEFGHVSIJKVRURU
      SWHAWIVPWJDVQSVQVQRWHWBUTZWHVOWIRZMVOWIGBWHWSTVAVJWGWIDLZVKVJWDWFWTVMCDFW
      CWEIKVRVBVCVDWHWIGBVEVHWHWNWKWOWLVNWHAWCVPWKDVQSWRWHVOWCRZMVOWCGBWHXATVAW
      PWHWCGBVEVHWHAWEVPWLDVQSWRWHVOWERZMVOWEGBWHXBTVAWQWHWEGBVEVHVFVGVI $.
  $}

  ${
    $d .x. k $.  $d .x. x $.  $d A k x $.  $d B x $.  $d K k x $.  $d R k x $.
    $d S x $.  $d X x $.  $d Y k x $.  $d k ph $.
    gsumvsmul1.b $e |- B = ( Base ` R ) $.
    gsumvsmul1.s $e |- S = ( Scalar ` R ) $.
    gsumvsmul1.k $e |- K = ( Base ` S ) $.
    gsumvsmul1.z $e |- .0. = ( 0g ` S ) $.
    gsumvsmul1.t $e |- .x. = ( .s ` R ) $.
    gsumvsmul1.r $e |- ( ph -> R e. LMod ) $.
    gsumvsmul1.1 $e |- ( ph -> S e. CMnd ) $.
    gsumvsmul1.a $e |- ( ph -> A e. V ) $.
    gsumvsmul1.x $e |- ( ph -> Y e. B ) $.
    gsumvsmul1.y $e |- ( ( ph /\ k e. A ) -> X e. K ) $.
    gsumvsmul1.n $e |- ( ph -> ( k e. A |-> X ) finSupp .0. ) $.
    $( Pull a scalar multiplication out of a sum of vectors.  This theorem
       properly generalizes ~ gsummulc1 , since every ring is a left module
       over itself.  (Contributed by Thierry Arnoux, 12-Jun-2023.) $)
    gsumvsmul1 $p |- ( ph -> ( R gsum ( k e. A |-> ( X .x. Y ) ) )
                         = ( ( S gsum ( k e. A |-> X ) ) .x. Y ) ) $=
      ( vx cv cmpt cgsu wcel ccmn cmnd lmodcmn cmnmnd 3syl cghm cmhm lmodvslmhm
      co clmod syl2anc ghmmhm syl oveq1 gsummhm2 ) AUDBHUDUEZKFUQZJKFUQGEGBJUFU
      GUQZKFUQEDIJLOPSADURUHZDUIUHDUJUHRDUKDULUMTAUDHVEUFZEDUNUQUHZVHEDUOUQUHAV
      GKCUHVIRUAUDFEHCDKMNQOUPUSEDVHUTVAUBUCVDJKFVBVDVFKFVBVC $.
  $}

  ${
    $d A x $.  $d B x $.  $d D x $.  $d G x $.  $d ph x $.
    gsummptres.0 $e |- B = ( Base ` G ) $.
    gsummptres.1 $e |- .0. = ( 0g ` G ) $.
    gsummptres.2 $e |- ( ph -> G e. CMnd ) $.
    gsummptres.3 $e |- ( ph -> A e. Fin ) $.
    gsummptres.4 $e |- ( ( ph /\ x e. A ) -> C e. B ) $.
    gsummptres.5 $e |- ( ( ph /\ x e. ( A \ D ) ) -> C = .0. ) $.
    $( Extend a finite group sum by padding outside with zeroes.  Proof
       generated using OpenAI's proof assistant.  (Contributed by Thierry
       Arnoux, 11-Jul-2020.) $)
    gsummptres $p |- ( ph ->
      ( G gsum ( x e. A |-> C ) ) = ( G gsum ( x e. ( A i^i D ) |-> C ) ) ) $=
      ( cmpt cgsu co cfn wcel wceq cin cdif cplusg cfv cvv c0g fvexi fsuppmptdm
      eqid a1i inindif cun inundif eqcomi gsumsplit2 mpteq2dva oveq2d cmnd ccmn
      c0 cmnmnd syl diffi gsumz syl2anc eqtrd infi inss1 sseli sylan2 ralrimiva
      cv gsummptcl mndrid ) AGBCEOZPQGBCFUAZEOPQZGBCFUBZEOZPQZGUCUDZQZVQACDVPVR
      WABGREHIJWAUIZKLMABCVODUEEHVOUILMHUESAHGUFJUGUJUHVPVRUAUTTACFUKUJCVPVRULZ
      TAWDCCFUMUNUJUOAWBVQHWAQZVQAVTHVQWAAVTGBVRHOZPQZHAVSWFGPABVREHNUPUQAGURSZ
      VRRSZWGHTAGUSSWHKGVAVBZACRSZWILCFVCVBVRBGRHJVDVEVFUQAWHVQDSWEVQTWJADBGVPE
      IKAWKVPRSLCFVGVBAEDSZBVPBVLZVPSAWMCSWLVPCWMCFVHVIMVJVKVMDWAGVQHIWCJVNVEVF
      VF $.
  $}

  ${
    $d .0. x $.  $d A x $.  $d B x $.  $d G x $.  $d S x $.  $d ph x $.
    gsummptres2.b $e |- B = ( Base ` G ) $.
    gsummptres2.z $e |- .0. = ( 0g ` G ) $.
    gsummptres2.g $e |- ( ph -> G e. CMnd ) $.
    gsummptres2.a $e |- ( ph -> A e. V ) $.
    gsummptres2.0 $e |- ( ( ph /\ x e. ( A \ S ) ) -> Y = .0. ) $.
    gsummptres2.1 $e |- ( ph -> S e. Fin ) $.
    gsummptres2.y $e |- ( ( ph /\ x e. A ) -> Y e. B ) $.
    gsummptres2.2 $e |- ( ph -> S C_ A ) $.
    $( Extend a finite group sum by padding outside with zeroes.  (Contributed
       by Thierry Arnoux, 22-Jun-2024.) $)
    gsummptres2 $p |- ( ph
              -> ( G gsum ( x e. A |-> Y ) ) = ( G gsum ( x e. S |-> Y ) ) ) $=
      ( co cvv wcel cmpt cgsu cdif cplusg cfv eqid wfun cfn csupp cfsupp mptexd
      wss wbr funmpt a1i c0g suppss2 suppssfifsupp syl32anc cin c0 wceq disjdif
      fvexi undif sylib eqcomd gsumsplit2 mpteq2dva oveq2d cmnmndd difexd gsumz
      cun cmnd syl2anc eqtrd wral ralrimiva ssralv sylc gsummptcl mndrid 3eqtrd
      ) AFBCHUAZUBRFBEHUAUBRZFBCEUCZHUAZUBRZFUDUEZRWFIWJRZWFACDEWGWJBFGHIJKWJUF
      ZLMPAWESTWEUGZISTZEUHTWEIUIREULWEIUJUMABCHGMUKWMABCHUNUOWNAIFUPKVDUOOACHB
      GEINMUQEWESSIURUSEWGUTVAVBAECVCUOAEWGVNZCAECULZWOCVBQECVEVFVGVHAWIIWFWJAW
      IFBWGIUAZUBRZIAWHWQFUBABWGHINVIVJAFVOTZWGSTWRIVBAFLVKZACEGMVLWGBFSIKVMVPV
      QVJAWSWFDTWKWFVBWTADBFEHJLOAWPHDTZBCVRXABEVRQAXABCPVSXABECVTWAWBDWJFWFIJW
      LKWCVPWD $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d F x $.  $d G x $.  $d X x $.  $d Y x $.
    $d ph x $.
    gsumzresunsn.b $e |- B = ( Base ` G ) $.
    gsumzresunsn.p $e |- .+ = ( +g ` G ) $.
    gsumzresunsn.z $e |- Z = ( Cntz ` G ) $.
    gsumzresunsn.y $e |- Y = ( F ` X ) $.
    gsumzresunsn.f $e |- ( ph -> F : C --> B ) $.
    gsumzresunsn.1 $e |- ( ph -> A C_ C ) $.
    gsumzresunsn.g $e |- ( ph -> G e. Mnd ) $.
    gsumzresunsn.a $e |- ( ph -> A e. Fin ) $.
    gsumzresunsn.2 $e |- ( ph -> -. X e. A ) $.
    gsumzresunsn.3 $e |- ( ph -> X e. C ) $.
    gsumzresunsn.4 $e |- ( ph -> Y e. B ) $.
    gsumzresunsn.5 $e |- ( ph
               -> ( F " ( A u. { X } ) ) C_ ( Z ` ( F " ( A u. { X } ) ) ) ) $.
    $( Append an element to a finite group sum expressed as a function
       restriction.  (Contributed by Thierry Arnoux, 20-Nov-2023.) $)
    gsumzresunsn $p |- ( ph -> ( G gsum ( F |` ( A u. { X } ) ) )
                                 = ( ( G gsum ( F |` A ) ) .+ Y ) ) $=
      ( vx csn cun cv cfv cmpt cgsu co cres eqid cima crn snssd unssd feqresmpt
      df-ima rneqd syl5eq fveq2d 3sstr3d wcel wa wf adantr sselda ffvelrnd wceq
      simpr eqtr4di gsumzunsnd oveq2d oveq1d 3eqtr4d ) AGUCBHUDZUEZUCUFZFUGZUHZ
      UIUJGUCBVSUHZUIUJZIEUJGFVQUKZUIUJGFBUKZUIUJZIEUJABCEUCVTGHDVSIJKLMVTULQRA
      FVQUMZWFJUGVTUNZWGJUGUBAWFWCUNWGFVQURAWCVTAUCDCVQFOABVPDPAHDTUOUPUQZUSUTZ
      AWFWGJWIVAVBAVRBVCZVDDCVRFADCFVEWJOVFABDVRPVGVHTSUAAVRHVIZVDZVSHFUGIWLVRH
      FAWKVJVANVKVLAWCVTGUIWHVMAWEWBIEAWDWAGUIAUCDCBFOPUQVMVNVO $.
  $}

  ${
    $d .0. y z $.  $d A x z $.  $d B y z $.  $d C y z $.  $d F x y z $.
    $d G x y z $.  $d X x y z $.  $d ph x y z $.
    gsumpart.b $e |- B = ( Base ` G ) $.
    gsumpart.z $e |- .0. = ( 0g ` G ) $.
    gsumpart.g $e |- ( ph -> G e. CMnd ) $.
    gsumpart.a $e |- ( ph -> A e. V ) $.
    gsumpart.x $e |- ( ph -> X e. W ) $.
    gsumpart.f $e |- ( ph -> F : A --> B ) $.
    gsumpart.w $e |- ( ph -> F finSupp .0. ) $.
    gsumpart.1 $e |- ( ph -> Disj_ x e. X C ) $.
    gsumpart.2 $e |- ( ph -> U_ x e. X C = A ) $.
    $( Express a group sum as a double sum, grouping along a (possibly
       infinite) partition.  (Contributed by Thierry Arnoux, 22-Jun-2024.) $)
    gsumpart $p |- ( ph
         -> ( G gsum F ) = ( G gsum ( x e. X |-> ( G gsum ( F |` C ) ) ) ) ) $=
      ( vy vz cgsu co c2nd cv csn ciun cres ccom cima cmpt 2ndresdjuf1o gsumf1o
      cxp eqid cvv wcel wral snex a1i adantr ssidd eqsstrd iunss sylib r19.21bi
      wa wss ssexd xpexd ralrimiva iunexg syl2anc relxp reliun sylibr cdm dmiun
      wrel dmxpss rgenw ss2iun ax-mp eqsstri iunid sseqtri wfn wf wfo fo2nd fof
      ssv fssres mp2an ffn mp1i djussxp2 imass2 wceq c0 ima0 0xp eqtrdi imaeq2d
      xpeq1 iuneq1 0iun 3eqtr4a adantl wne 2ndimaxp pm2.61dane sseqtrid resssxp
      eqtrd dff2 sylanbrc fcod 2ndresdju c0g fvexi fexd fsuppco csb cfv nfcsb1v
      gsum2d csbeq1a iunsnima2 cop df-ov ad2antrr wrex simplr eleq2d vex oveq2d
      nfcv crn vsnid biimpa opelxpd nfxp nfel2 sneq xpeq12d rspce fvco3d fvresd
      eliun op2nd fveq2d syl5eq mpteq12dva xpeq2d rnss syl rnxpss sstrdi sstrid
      imassrn eqsstrrd feqresmpt eqtr4d mpteq2dva reseq2d cbvmpt eqtr4di 3eqtrd
      nfres nfov ) AGFUCUDGFUEBJBUFZUGZEUOZUHZUIZUJZUCUDGUAJGUBUVPUAUFZUGZUKZUV
      SUBUFZUVRUDZULZUCUDZULZUCUDGBJGFEUIZUCUDZULZUCUDACDUVPFGUVQHKLMNOQRABCEUV
      PHIJUVPUPZOPSTUMUNAUVPDJUAUBUVRGUQIKLMNAJIURUVOUQURZBJUSUVPUQURPAUWKBJAUV
      MJURZVHZUVNEUQUQUVNUQURUWMUVMUTVAUWMECHACHURUWLOVBAECVIZBJABJEUHZCVIUWNBJ
      USAUWOCCTACVCVDBJECVEVFVGVJZVKVLBJUVOIUQVMVNAUVOVTZBJUSUVPVTAUWQBJUWQUWMU
      VNEVOVAVLBJUVOVPVQPUVPVRZJVIAUWRBJUVNUHZJUWRBJUVOVRZUHZUWSBJUVOVSUWTUVNVI
      ZBJUSUXAUWSVIUXBBJUVNEWAWBBJUWTUVNWCWDWEBJWFWGVAAUVPCDFUVQQAUVQUVPWHZUVQU
      VPCUOVIZUVPCUVQWIZUVPUQUVQWIZUXCAUQUQUEWIZUVPUQVIUXFUQUQUEWJUXGWKUQUQUEWL
      WDUVPWMUQUQUVPUEWNWOUVPUQUVQWPWQAUEUVPUKZCVIUXDAUEJUWOUOZUKZUXHCUVPUXIVIU
      XHUXJVIJEBWRZUVPUXIUEWSWDAUXJUWOCAUXJUWOWTZJXAJXAWTZUXLAUXMUEXAUKXAUXJUWO
      UEXBUXMUXIXAUEUXMUXIXAUWOUOXAJXAUWOXFUWOXCXDXEUXMUWOBXAEUHXABJXAEXGBEXHXD
      XIXJJXAXKUXLAJUWOXLXJXMTXPXNUVPCUEXOVFUVPCUVQXQXRZXSAFUVQUQUQUVPCKRABCEUV
      PHIJUWJOPSTXTKUQURAKGYAMYBVAACDHFQOYCYDYHAUWFUWIGUCAUWFUAJGFBUVSEYEZUIZUC
      UDZULUWIAUAJUWEUXQAUVSJURZVHZUWDUXPGUCUXSUWDUBUXOUWBFYFZULUXPUXSUBUWAUWCU
      XOUXTABJEUXOIUQUVSPUWPBUVSEYGZBUVSEYIZYJZUXSUWBUWAURZVHZUWCUVSUWBYKZUVRYF
      ZUXTUVSUWBUVRYLUYEUYGUYFUVQYFZFYFUXTUYEUVPCUYFFUVQAUXEUXRUYDUXNYMUYEUYFUV
      OURZBJYNZUYFUVPURUYEUXRUYFUVTUXOUOZURZUYJAUXRUYDYOUYEUVSUWBUVTUXOUVSUVTUR
      UYEUAUUAVAUXSUYDUWBUXOURUXSUWAUXOUWBUYCYPUUBUUCUYIUYLBUVSJBUYFUYKBUVTUXOB
      UVTYSUYAUUDUUEUVMUVSWTZUVOUYKUYFUYMUVNUVTEUXOUVMUVSUUFUYBUUGYPUUHVNBUYFJU
      VOUUKVQZUUIUYEUYHUWBFUYEUYHUYFUEYFUWBUYEUYFUVPUEUYNUUJUVSUWBUAYQUBYQUULXD
      UUMXPUUNUUOUXSUBCDUXOFACDFWIUXRQVBUXSUXOUWACUYCUXSUWAUVPYTZCUVPUVTUVBUXSU
      YOJCUOZYTZCAUYOUYQVIZUXRAUVPUYPVIUYRAUXIUVPUYPUXKAUWOCJTUUPXNUVPUYPUUQUUR
      VBJCUUSUUTUVAUVCUVDUVEYRUVFBUAJUWHUXQUAUWHYSBGUXPUCBGYSBUCYSBFUXOBFYSUYAU
      VKUVLUYMUWGUXPGUCUYMEUXOFUYBUVGYRUVHUVIYRUVJ $.
  $}

  ${
    $d .0. t u $.  $d .0. v $.  $d .0. x y z $.  $d A x $.  $d B x y z $.
    $d F t u $.  $d F v $.  $d F x y z $.  $d G x y z $.  $d ph t u z $.
    $d ph v x z $.  $d ph x y z $.
    gsumhashmul.b $e |- B = ( Base ` G ) $.
    gsumhashmul.z $e |- .0. = ( 0g ` G ) $.
    gsumhashmul.x $e |- .x. = ( .g ` G ) $.
    gsumhashmul.g $e |- ( ph -> G e. CMnd ) $.
    gsumhashmul.f $e |- ( ph -> F : A --> B ) $.
    gsumhashmul.1 $e |- ( ph -> F finSupp .0. ) $.
    $( Express a group sum by grouping by nonzero values.  (Contributed by
       Thierry Arnoux, 22-Jun-2024.) $)
    gsumhashmul $p |- ( ph -> ( G gsum F ) = ( G gsum ( x e. ( ran F \ { .0. }
       ) |-> ( ( # ` ( `' F " { x } ) ) .x. x ) ) ) ) $=
      ( vz cgsu cvv wcel wa wceq vy vt vv vu co csupp cres ccnv cv c1st cfv cdm
      cmpt csn cima crn cdif chash cxp c2nd suppssdm fssdm feqresmpt oveq2d wbr
      cfsupp relfsupp brrelex1i ffnd fndmexd ssidd gsumres nfcv fveq2 fsuppimpd
      syl adantr sselda ffvelrnd wrel wfun ffund funrel reldif 3syl 1stdm sylan
      wf c0g fvexi a1i fressupp syl3anc wss sylib eleqtrd wb wral wrex wreu cop
      eleq2d simpr biimpa bibi2d ralbidv adantl ad3antrrr simplr 1st2nd syl2anc
      eqeq2 eqtr4d difssd eqeltrrd vex sylibr ad2antrr fveq2d eqtr2di ralrimiva
      fvex impbida rspcedvd reu6 gsummptf1o syl2an2r eqtrd cfn relcnv mp1i cuni
      cnvf1olem syl12anc sseldd simprd 3eqtrd cin eqtr3id df-ss ssdmres funresd
      dmeqd eqtr3d biimpar fvresd funopfvb syl21anc wex fvexd jca eqeq2d eleq1d
      opeq1 opeq2 anbi12d elsnres wfn fnressn elsni 3eqtr3d eldifad funfv1st2nd
      spcedv op1st mpteq2dva op2ndd resfnfinfin rneqd rnresss frnd sstrid 2ndrn
      eqsstrrd cnvdif cnvxp difeq2i eqtri eqimss2i eqidd simpld eleqtrdi df-rel
      opelcnv 2nd1st cbvmptv cnveqd mpteq1d syl5eq op1std cnvfi df-rn eleqtrrdi
      nfv sselid gsummpt2d df-ima supppreima imaeq2d funimacnv imafi2 eqsstrrid
      cmnd cmnmndd gsumconst cnvresima snssd sspreima eqtr2id oveq1d mpteq12dva
      sseqtrrd ) AGFPUEZGOFFHUFUEZUGZUHZOUIZUJUKZUMZPUEZGBUXPULZGUAUXPBUIZUNZUO
      ZUYBUMPUEZUMZPUEGBFUPZHUNZUQZFUHZUYCUOZURUKZUYBEUEZUMZPUEAUXMGOFQUYHUSZUQ
      ZUXQUTUKZUMZPUEZGUBUYJUYHQUSZUQZUBUIZUJUKZUMZPUEUXTAUXMGOUYPUXRFUKZUMZPUE
      ZUYSAGUXOPUEGBUXNUYBFUKZUMZPUEUXMVUGAUXOVUIGPABCDUXNFMACDUXNFFHVAZMVBZVCV
      DACDFGQUXNHIJLACFQAFHVFVEFQRZNFHVFVGVHVPZACDFMVIZVJMAUXNVKNVLABOUXNDVUHUY
      PUXRDGVUEHBVUEVMIJUYBUXRFVNLAFHNVOZADVKAUYBUXNRZSZCDUYBFACDFWHVUPMVQAUXNC
      UYBVUKVRZVSAUXQUYPRZSZUXRUYPULZUXNAUYPVTZVUSUXRVVARAFWAZFVTVVBACDFMWBZFWC
      FUYOWDWEZUXQUYPWFWGAVVAUXNTVUSAUXOULZVVAUXNAUXOUYPAVVCVULHQRZUXOUYPTZVVDV
      UMVVGAHGWIJWJWKZFQQHWLWMZUUCAUXNFULWNZVVFUXNTVVKAVUJWKUXNFUUAWOZUUDVQWPVU
      QUYBUXRTZUXQUCUIZTZWQZOUYPWRZUCUYPWSVVMOUYPWTVUQVVQVVMUXQUYBVUHXAZTZWQZOU
      YPWRZUCVVRUYPVUQVVRUXOUYPVUQUXOWAZUYBVVFRZUYBUXOUKVUHTZVVRUXORZAVWBVUPAUX
      NFVVDUUBVQAVWCVUPAVVFUXNUYBVVLXBUUEVUQUYBUXNFAVUPXCUUFVWBVWCSVWDVWEUYBVUH
      UXOUUGXDUUHAVVHVUPVVJVQWPVVNVVRTZVVQVWAWQVUQVWFVVPVVTOUYPVWFVVOVVSVVMVVNV
      VRUXQXLXEXFXGVUQVVTOUYPVUQVUSSZVVMVVSVWGVVMSZUXQVVRUNZRVVSVWHUXQFUYCUGZVW
      IVWHUXQUYBUAUIZXAZTZVWLFRZSZUAUUIUXQVWJRVWHVWOUXQUYBUYQXAZTZVWPFRZSUAQUYQ
      VWHUXQUTUUJVWHVWQVWRVWHUXQUXRUYQXAZVWPVWHVVBVUSUXQVWSTAVVBVUPVUSVVMVVEXHV
      UQVUSVVMXIUXQUYPXJXKVVMVWPVWSTVWGUYBUXRUYQUUNXGXMZVWHUXQVWPFVWTVWGUXQFRZV
      VMVUQUYPFUXQVUQFUYOXNVRVQXOUUKVWKUYQTZVWMVWQVWNVWRVXBVWLVWPUXQVWKUYQUYBUU
      OZUULVXBVWLVWPFVXCUUMUUPUVDUAUXQFUYBBXPZUUQXQVWHFCUURZUYBCRZVWJVWITAVXEVU
      PVUSVVMVUNXHVUQVXFVUSVVMVURXRCUYBFUUSXKWPUXQVVRUUTVPVWGVVSSZUXRVVRUJUKUYB
      VXGUXQVVRUJVWGVVSXCXSUYBVUHVXDUYBFYBUVEXTYCYAYDVVMOUCUYPYEXQYFUVAAVUFUYRG
      PAOUYPVUEUYQAVVCVUSVXAVUEUYQTVVDVUTUXQFUYOAVUSXCZUVBFUXQUVCYGUVFVDYHAOUBU
      YPDUYQVUAVUBUTUKZVUCXAZUYPUPZGVUCHOVUCVMIJVXIVUCUXQVUBUTYBZVUBUJYBZUVGLAU
      XOUYPYIVVJAVXEUXNYIRUXOYIRZVUNVUOCUXNFUVHXKZXOAVXKUXOUPZDAUXOUYPVVJUVIAVX
      PUYGDFUXNUVJZACDFMUVKZUVLZUVNAVVBVUSUYQVXKRVVEUXQUYPUVMWGAVUBVUARZSZVUCVX
      IXAZUYPUHZRVXJUYPRVYAVUBVYBVYCAVUAVTZVXTVUBVYBTUYJVTZVYDAFYJZUYJUYTWDZYKZ
      VUBVUAXJWGAVUAVYCVUBVUAVYCWNAVYCVUAVYCUYJUYOUHZUQVUAFUYOUVOVYIUYTUYJQUYHU
      VPUVQUVRZUVSWKVRXOVUCVXIUYPVXMVXLUWDWOVUTUXQVXJTZVUBUDUIZTZWQZUBVUAWRZUDV
      UAWSVYKUBVUAWTVUTVYOVYKVUBUXQUNUHYLZTZWQZUBVUAWRZUDVYPVUAVUTVYPVYCVUAVUTV
      VBVUSVYPVYPTZVYPVYCRZAVVBVUSVVEVQVXHVUTVYPUVTVVBVUSVYTSSWUAUXQVYPUNUHYLTU
      YPUXQVYPYMUWAYNVYJUWBVYLVYPTZVYOVYSWQVUTWUBVYNVYRUBVUAWUBVYMVYQVYKVYLVYPV
      UBXLXEXFXGVUTVYRUBVUAVUTVXTSZVYKVYQWUCVYKSZVYDVXTUXQVUBUNUHYLZTZVYQVYEVYD
      WUDVYFVYGYKVUTVXTVYKXIZWUDUXQVXJWUEWUCVYKXCWUDVUBQQUSZRZWUEVXJTZWUDVUAWUH
      VUBAVUAWUHWNZVUSVXTVYKAVYDWUKVYHVUAUWCWOZXHWUGYOVUBQQUWEZVPXMVYDVXTWUFSSU
      XQVUAUHRVYQVUAVUBUXQYMYPYNWUCVYQSZUXQWUEVXJWUNVVBVUSVYQWUFAVVBVUSVXTVYQVV
      EXHVUTVUSVXTVYQVXHXRWUCVYQXCVVBVUSVYQSSVUBVYCRWUFUYPUXQVUBYMYPYNWUNWUIWUJ
      WUNVUAWUHVUBAWUKVUSVXTVYQWULXHVUTVXTVYQXIYOWUMVPYHYCYAYDVYKUBUDVUAYEXQYFA
      VUDUXSGPAVUDOVUAUXRUMUXSUBOVUAVUCUXRVUBUXQUJVNUWFAOVUAUXPUXRAUXPVYCVUAAUX
      OUYPVVJUWGVYJXTUWHUWIVDYQAOBUAUXPDUXRUYBGUAUXRVMABUWNIUYBVWKUXQVXDUAXPUWJ
      UXPVTZAUXOYJZWKAVXNUXPYIRZVXOUXOUWKZVPLAUXQUXPRZSZUYGDUXRAUYGDWNWUSVXRVQW
      UTVXPUYGUXRVXQWUTUXRUYAVXPWUTWUOWUSUXRUYARWUOWUTWUPWKAWUSXCUXQUXPWFXKUXOU
      WLZUWMUWOYOUWPAUYFUYNGPABUYAUYEUYIUYMAUYAVXPUYIWVAAVXPFUYJUYIUOZUOZUYIUYG
      YRZUYIAVXPFUXNUOWVCFUXNUWQAUXNWVBFAVVCVULVVGUXNWVBTZVVDVUMVVIFQQHUWRWMZUW
      SYSAVVCWVCWVDTVVDUYIFUWTVPAUYIUYGWNWVDUYITAUYGUYHXNUYIUYGYTWOYQYSZAUYBUYA
      RZSZUYEUYDURUKZUYBEUEZUYMWVIGUXCRZUYDYIRZUYBDRUYEWVKTAWVLWVHAGLUXDVQWVIVX
      NWUQWVMAVXNWVHVXOVQWURUXPUYCUXAWEAUYADUYBAUYAVXPDWVAVXSUXBVRUYDDEUAGUYBIK
      UXEWMWVIUYLWVJUYBEWVIUYKUYDURWVIUYDUYKUXNYRZUYKUXNUYCFUXFWVIUYKUXNWNWVNUY
      KTWVIUYKWVBUXNAVVCWVHUYCUYIWNUYKWVBWNVVDWVIUYBUYIAWVHUYBUYIRAUYAUYIUYBWVG
      XBXDUXGUYCUYIFUXHYGAWVEWVHWVFVQUXLUYKUXNYTWOUXIXSUXJXMUXKVDYQ $.
  $}

  ${
    $d r s u v w y z A $.  $d r s u v w y z F $.  $d r s u v w y z ph $.
    $d r s u v w y z G $.  $d r u v w y z S $.
    xrge0tsmsd.g $e |- G = ( RR*s |`s ( 0 [,] +oo ) ) $.
    xrge0tsmsd.a $e |- ( ph -> A e. V ) $.
    xrge0tsmsd.f $e |- ( ph -> F : A --> ( 0 [,] +oo ) ) $.
    xrge0tsmsd.s $e |- ( ph -> S = sup (
      ran ( s e. ( ~P A i^i Fin ) |-> ( G gsum ( F |` s ) ) ) , RR* , < ) ) $.
    $( Any finite or infinite sum in the nonnegative extended reals is uniquely
       convergent to the supremum of all finite sums.  (Contributed by Mario
       Carneiro, 13-Sep-2015.)  (Revised by Thierry Arnoux, 30-Jan-2017.) $)
    xrge0tsmsd $p |- ( ph -> ( G tsums F ) = { S } ) $=
      ( co wcel cc0 cxr wbr clt wa cvv syl vu vz vy vx vv vr ctsu csn wceq cpnf
      vw cicc cv wss cres cgsu wi cpw cfn cin wral wrex cle cordt cfv crest crn
      cmpt csup iccssxr c0g cxrs ax-mp eqid ccmn cress eqeltri simpr wf simplbi
      a1i elfpw elinel2 fvexd fdmfifsupp gsumcl sselid c0 cc reseq2 eqtrdi cmnf
      oveq2d wne ge0nemnf elxrge0 mp2an elrnmpt1s supxrub sylancl breqtrrd ctop
      jca wb letop ovex cr simplrl simplrr elind syl2anc simprrr adantr simprrl
      cioo fssresd ad2antrr simprll simprlr xrge0gsumle xrltletrd w3a mpbir3and
      sstrd sseldd expr ralrimiva breqtrd mpbid sylib reximddv eleq2 syl5ibrcom
      ad3antrrr syl5bi mpd simprr ad2antrl ctps cha xrsbas fssres syl2an adantl
      cbs ressbas2 xrge0cmn fmpttd frnd supxrcl eqeltrd 0fin mpbir2an res0 cdif
      0ss 0cn csubmnd xrge0subm xrex difexg simpl eldifsn 3imtr4i ssriv ressabs
      eqtr4i xrs10 subm0 gsum0 sylanbrc elrest elinel1 ctg reex elrestr mp3an12
      xrtgioo eleqtrrdi tg2 cxp wfn ioof ovelrn mp2b inss1 sstrdi simp-4l ffund
      wfun c0ex resfifsupp ssfi eliooord simprd xrlelttrd elioo1 anassrs simpld
      supxrlub rgenw cbvmptv breq2 rexrnmptw anbi12d imbi1d rexlimdvva rexlimdv
      sseq1 cioc eqeltrrd pnfnei simprl simp-5l pnfge pnfxr elioc1 ltpnf simplr
      ffn rexr rexlimddv wo xrnemnf mpjaodan imbi2d rexralbidv imbi12d ralrimiv
      syl5 rexlimdva cts xrstset resstset topnval xrstps resstps mpbir2and ctsr
      eltsms letsr ordthaus mp1i resthaus haustsms2 ) ACEDUGLZMZVUFCUHUIAVUGCNU
      JULLZMZCUAUMZMZUBUMZUCUMZUNZEDVUMUOZUPLZVUJMZUQZUCBURZUSUTZVAUBVUTVBZUQZU
      AVCVDVEZVUHVFLZVAACOMZNCVCPZVUIACGVUTEDGUMZUOZUPLZVHZVGZOQVIZOKAVVKOUNZVV
      LOMAVUTOVVJAGVUTVVIOAVVGVUTMZRZVUHOVVINUJVJZVVOVVGVUHVVHEVUTEVKVEZVUHOUNV
      UHEUUEVEUIVVPVUHOEVLHUUAUUFVMZVVQVNZEVOMZVVOEVLVUHVPLZVOHUUGVQZWAAVVNVRAB
      VUHDVSZVVGBUNZVVGVUHVVHVSVVNJVVNVWDVVGUSMZVVGBWBVTBVUHVVGDUUBUUCZVVOVVGVU
      HVVHSVVQVWFVVNVWEAVVGVUSUSWCUUDVVOEVKWDWEWFWGUUHUUIZVVKUUJTUUKZANVVLCVCAV
      VMNVVKMZNVVLVCPVWGWHVUTMZNWIMVWIVWJWHBUNWHUSMBUUPUULWHBWBUUMUUQGVUTVVINWH
      VVJWIVVJVNZVVGWHUIZVVIEWHUPLNVWLVVHWHEUPVWLVVHDWHUOWHVVGWHDWJDUUNWKWMENVU
      HVLOWLUHZUUOZVPLZUURVEMNVVQUIVWOVWOVNZUUSVUHEVWONEVWAVWOVUHVPLZHVWNSMZVUH
      VWNUNVWQVWAUIOSMVWRUUTOVWMSUVAVMUDVUHVWNUDUMZOMZNVWSVCPZRZVWTVWSWLWNZRVWS
      VUHMVWSVWNMVXBVWTVXCVWTVXAUVBVWSWOXCVWSWPVWSOWLUVCUVDUVEVWNVUHVLSUVFWQUVG
      VWOVWPUVHUVIVMZUVJWKWRWQVVKNWSWTKXAZCWPUVKAVVBUAVVDVUJVVDMZVUJUEUMZVUHUTZ
      UIZUEVVCVBZAVVBVVCXBMZVUHSMZVXFVXJXDXENUJULXFZUEVUJVUHVVCXBSUVLWQAVXIVVBU
      EVVCAVXGVVCMZRZVVBVXICVXHMZVUNVUPVXHMZUQZUCVUTVAZUBVUTVBZUQVXPCVXGMZVXOVX
      TCVXGVUHUVMAVXNVYAVXTAVXNVYARZRZCXGMZVXTCUJUIZVYCVYDRZVUKVUJVXGXGUTZUNZRZ
      UAXOVGZVBZVXTVYFVYGVYJUVNVEZMCVYGMVYKVYFVYGVVCXGVFLZVYLVYFVXNVYGVYMMZAVXN
      VYAVYDXHVXKXGSMVXNVYNXEUVOVXGXGVVCXBSUVPUVQTVYMVYMVNUVRUVSVYFVXGXGCAVXNVY
      AVYDXIVYCVYDVRXJUAVYGVYJCUVTXKVYFVYIVXTUAVYJVUJVYJMZVUJUFUMZUKUMZXOLZUIZU
      KOVBUFOVBZVYFVYIVXTUQZOOUWAZXGURZXOVSXOWUBUWBVYOVYTXDUWCWUBWUCXOUXTUFUKOO
      VUJXOUWDUWEVYFVYSWUAUFUKOOVYFVYPOMZVYQOMZRZRWUAVYSCVYRMZVYRVYGUNZRZVXTUQV
      YFWUFWUIVXTVYFWUFWUIRZRZVYPEDVULUOZUPLZQPZVXSUBVUTWUKVULVUTMZWUNRZRZVXRUC
      VUTWUQVUMVUTMZVUNVXQWUKWUPWURVUNRZVXQWUKWUPWUSRZRZVXGVUHVUPWVAVYRVXGVUPWV
      AVYRVYGVXGWUKWUHWUTVYFWUFWUGWUHXLXMVXGXGUWFUWGWVAVUPVYRMZVUPOMZVYPVUPQPZV
      UPVYQQPZWVAVUHOVUPVVPWVAVUMVUHVUOEUSNVVRVXDVVTWVAVWBWAZWVAWURVUMUSMZWUKWU
      PWURVUNXNZVUMVUSUSWCZTZWVABVUHVUMDWVAAVWCAVYBVYDWUJWUTUWHZJTZWVAWURVUMBUN
      ZWVHWURWVMWVGVUMBWBVTZTZXPWVADSVUMNVYFDUWJZWUJWUTAWVPVYBVYDABVUHDJUWIXQXQ
      WVJNSMWVAUWKWAUWLWFZWGZWVAVYPWUMVUPWUKWUDWUTVYFWUDWUEWUIXRZXMZWVAVUHOWUMV
      VPWVAVULVUHWULEVUTVVQVVRVVSWVFWUKWUOWUNWUSXRWVABVUHVULDWVLWVAVULVUMBWUKWU
      PWURVUNXLZWVOYDXPZWVAVULVUHWULSVVQWWBWVAWVGVUNVULUSMZWVJWWAVUMVULUWMZXKWV
      AEVKWDWEWFWGWVRWUKWUOWUNWUSXSWVABVUMVULDEFHWVAABFMZWVKITWVLWVHWWAXTYAWVAV
      UPCVYQWVRWVAAVVEWVKVWHTWUKWUEWUTVYFWUDWUEWUIXSXMZWVAVUPVVLCVCWVAVVMVUPVVK
      MZVUPVVLVCPWVAAVVMWVKVWGTWVAWURVUPSMWWGWVHEVUOUPXFGVUTVVIVUPVUMVVJSVWKVVG
      VUMUIVVHVUOEUPVVGVUMDWJWMWRWTVVKVUPWSXKWVAACVVLUIZWVKKTXAWUKCVYQQPZWUTWUK
      VYPCQPZWWIWUKWUGWWJWWIRVYFWUFWUGWUHXNCVYPVYQUWNTZUWOXMUWPWVAWUDWUEWVBWVCW
      VDWVEYBXDWVTWWFVYPVYQVUPUWQXKYCYEWVQXJUWRYFYGWUKVYPVYQQPZUKVVKVBZWUNUBVUT
      VBZWUKVYPVVLQPZWWMWUKVYPCVVLQWUKWWJWWIWWKUWSAWWHVYBVYDWUJKYNYHWUKVVMWUDWW
      OWWMXDZAVVMVYBVYDWUJVWGYNWVSUKVVKVYPUWTZXKYIWUMSMZUBVUTVAWWMWWNXDWWRUBVUT
      EWULUPXFUXAWWLWUNUBUKVUTWUMVVJSGUBVUTVVIWUMVVGVULUIVVHWULEUPVVGVULDWJWMUX
      BVYQWUMVYPQUXCUXDVMZYJYKYFVYSVYIWUIVXTVYSVUKWUGVYHWUHVUJVYRCYLVUJVYRVYGUX
      IUXEUXFYMUXGYOUXHYPVYCVYERZVYPUJUXJLZVXGUNZVXTUFXGWWTVXNUJVXGMWXBUFXGVBAV
      XNVYAVYEXHWWTCUJVXGVYCVYEVRAVXNVYAVYEXIUXKUFVXGUXLXKWWTVYPXGMZWXBRZRZWUNV
      XSUBVUTWXEWUPRZVXRUCVUTWXFWURVUNVXQWXFWUSRZVXGVUHVUPWXGWXAVXGVUPWXEWXBWUP
      WUSWWTWXCWXBYQXQWXGVUPWXAMZWVCWVDVUPUJVCPZWXGVUHOVUPVVPWXGVUMVUHVUOEVUTVV
      QVVRVVSVVTWXGVWBWAZWXFWURVUNUXMZWXGBVUHVUMDWXGAVWCAVYBVYEWXDWUPWUSUXNZJTZ
      WURWVMWXFVUNWVNYRZXPZWXGVUMVUHVUOSVVQWXOWURWVGWXFVUNWVIYRZWXGEVKWDZWEWFZW
      GZWXGVYPWUMVUPWXEWUDWUPWUSWXCWUDWWTWXBVYPUYAYRZXQZWXGVUHOWUMVVPWXGVULVUHW
      ULEVUTVVQVVRVVSWXJWXEWUOWUNWUSXHWXGBVUHVULDWXMWXGVULVUMBWXFWURVUNYQZWXNYD
      XPZWXGVULVUHWULSVVQWYCWXGWVGVUNWWCWXPWYBWWDXKWXQWEWFWGWXSWXEWUOWUNWUSXIWX
      GBVUMVULDEFHWXGAWWEWXLITWXMWXKWYBXTYAWXGWVCWXIWXSVUPUXOTWXGWUDUJOMWXHWVCW
      VDWXIYBXDWYAUXPVYPUJVUPUXQWTYCYEWXRXJYFYGWXEWWMWWNWXEWWOWWMWXEVYPCVVLQWXE
      VYPUJCQWXCVYPUJQPWWTWXBVYPUXRYRVYCVYEWXDUXSXAAWWHVYBVYEWXDKYNYHWXEVVMWUDW
      WPAVVMVYBVYEWXDVWGYNWXTWWQXKYIWWSYJYKUYBVYCVVECWLWNZRZVYDVYEUYCAWYEVYBAVV
      EWYDVWHAVVEVVFWYDVWHVXECWOXKXCXMCUYDYJUYEYFUYJVXIVUKVXPVVAVXTVUJVXHCYLVXI
      VURVXRUBUCVUTVUTVXIVUQVXQVUNVUJVXHVUPYLUYFUYGUYHYMUYKYOUYIAUCUBUABVUHCVUT
      DEVVDFVVRVUHVVCEVVRVXLVVCEUYLVEUIVXMVUHVLEVVCSHUYMUYNVMUYOZVUTVNVVTAVWBWA
      ZEYSMAEVWAYSHVLYSMVXLVWAYSMUYPVXMVUHVLSUYQWQVQWAZIJUYTUYRABVUHDEVVDFCVVRW
      YGWYHIJWYFAVVCYTMZVXLVVDYTMVCUYSMWYIAVUAVCVUBVUCVXMVUHVVCSVUDWTVUEYP $.
  $}

  ${
    xrge0tsmseq.g $e |- G = ( RR*s |`s ( 0 [,] +oo ) ) $.
    xrge0tsmseq.a $e |- ( ph -> A e. V ) $.
    xrge0tsmseq.f $e |- ( ph -> F : A --> ( 0 [,] +oo ) ) $.
    $( Any limit of a finite or infinite sum in the nonnegative extended reals
       is the union of the sets limits, since this set is a singleton.
       (Contributed by Thierry Arnoux, 23-Jun-2017.) $)
    xrge0tsmsbi $p |- ( ph ->
                           ( C e. ( G tsums F ) <-> C = U. ( G tsums F ) ) ) $=
      ( ctsu co wcel cuni csn wceq c1o cen wbr cc0 cvv cpnf wf xrge0tsms2 sylib
      cicc syl2anc en1b eleq2d wb ovex uniex eleq1 mpbiri elsng syl ibir impbii
      elsni bitr4di ) ACEDJKZLCUTMZNZLZCVAOZAUTVBCAUTPQRZUTVBOABFLBSUAUEKDUBVEH
      IBDEFGUCUFUTUGUDUHVDVCVDVCVDCTLZVCVDUIVDVFVATLUTEDJUJUKCVATULUMCVATUNUOUP
      CVAURUQUS $.
    ${
      xrge0tsmseq.h $e |- ( ph -> C e. ( G tsums F ) ) $.
      $( Any limit of a finite or infinite sum in the nonnegative extended
         reals is the union of the sets limits, since this set is a singleton.
         (Contributed by Thierry Arnoux, 24-Mar-2017.) $)
      xrge0tsmseq $p |- ( ph -> C = U. ( G tsums F ) ) $=
        ( ctsu co cuni csn wcel c1o cen wbr wceq syl2anc cc0 cpnf wf xrge0tsms2
        cicc en1eqsn unieqd unisng syl eqtr2d ) AEDKLZMCNZMZCAUKULACUKOZUKPQRZU
        KULSJABFOBUAUBUELDUCUOHIBDEFGUDTCUKUFTUGAUNUMCSJCUKUHUIUJ $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Centralizers and centers - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d B x $.  $d M y $.  $d X x y $.  $d Y x $.  $d Y y $.  $d Z x $.
    cntzun.b $e |- B = ( Base ` M ) $.
    cntzun.z $e |- Z = ( Cntz ` M ) $.
    $( The centralizer of a union is the intersection of the centralizers.
       (Contributed by Thierry Arnoux, 27-Nov-2023.) $)
    cntzun $p |- ( ( X C_ B /\ Y C_ B ) -> ( Z ` ( X u. Y ) )
                                            = ( ( Z ` X ) i^i ( Z ` Y ) ) ) $=
      ( vx vy wss wa cun cfv cin cv wcel co wral wb elcntz cplusg wceq pm5.32da
      ralunb anandi bitrdi unss eqid sylbi bi2anan9 3bitr4d elin bitr4di eqrdv
      a1i ) CAJZDAJZKZHCDLZEMZCEMZDEMZNZURHOZUTPZVDVAPZVDVBPZKZVDVCPURVDAPZVDIO
      ZBUAMZQVJVDVKQUBZIUSRZKZVIVLICRZKZVIVLIDRZKZKZVEVHURVNVIVOVQKZKVSURVIVMVT
      VMVTSURVIKVLICDUDUOUCVIVOVQUEUFURUSAJVEVNSCDAUGIVDAVKUSBEFVKUHZGTUIUPVFVP
      UQVGVRIVDAVKCBEFWAGTIVDAVKDBEFWAGTUJUKVDVAVBULUMUN $.

    $d .0. x $.  $d B x $.  $d M x $.  $d Z x $.
    cntzsnid.1 $e |- .0. = ( 0g ` M ) $.
    $( The centralizer of the identity element is the whole base set.
       (Contributed by Thierry Arnoux, 27-Nov-2023.) $)
    cntzsnid $p |- ( M e. Mnd -> ( Z ` { .0. } ) = B ) $=
      ( vx cmnd wcel csn cfv cv cplusg co wceq wa wb mndidcl eqid mndrid mndlid
      elcntzsn syl eqtr4d ex pm4.71d bitr4d eqrdv ) BIJZHCKDLZAUJHMZUKJZULAJZUL
      CBNLZOZCULUOOZPZQZUNUJCAJUMUSRABCEGSAUOBULCDEUOTZFUCUDUJUNURUJUNURUJUNQUP
      ULUQAUOBULCEUTGUAAUOBULCEUTGUBUEUFUGUHUI $.
  $}

  ${
    cntrcrng.z $e |- Z = ( R |`s ( Cntr ` ( mulGrp ` R ) ) ) $.
    $( The center of a ring is a commutative ring.  (Contributed by Thierry
       Arnoux, 21-Aug-2023.) $)
    cntrcrng $p |- ( R e. Ring -> Z e. CRing ) $=
      ( crg wcel cmgp cfv ccmn ccrg ccntr csubrg cbs ccntz mgpbas cntrval mpan2
      eqid wss syl cvv ssid cntzsubr eqeltrrid subrgring wceq fvex mgpress cmnd
      cress co ringmgp cntrcmnd eqeltrrd iscrng sylanbrc ) ADEZBDEZBFGZHEBIEUPA
      FGZJGZAKGZEUQUPUTALGZUSMGZGZVAVBUSVCVBAUSUSQZVBQZNVCQZOUPVBVBRVDVAEVBUAVB
      AVBUSVCVFVEVGUBPUCUTABCUDSUPUSUTUIUJZURHUPUTTEVHURUEUSJUFUTABUSDTCVEUGPUP
      USUHEVHHEAUSVEUKUSVHVHQULSUMBURURQUNUO $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Totally ordered monoids and groups
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c oMnd $.
  $c oGrp $.

  $( Extend class notation with the class of all right ordered monoids. $)
  comnd $a class oMnd $.

  $( Extend class notation with the class of all right ordered groups. $)
  cogrp $a class oGrp $.

  ${
    $d a b c g l p v $.
    $( TODO - this could be generalized to posets! $)
    $( Define class of all right ordered monoids.  An ordered monoid is a
       monoid with a total ordering compatible with its operation.  It is
       possible to use this definition also for left ordered monoids, by
       applying it to ` ( oppG `` M ) ` .  (Contributed by Thierry Arnoux,
       13-Mar-2018.) $)
    df-omnd $a |- oMnd = { g e. Mnd | [. ( Base ` g ) / v ].
      [. ( +g ` g ) / p ]. [. ( le ` g ) / l ]. ( g e. Toset /\
      A. a e. v A. b e. v A. c e. v ( a l b -> ( a p c ) l ( b p c ) ) ) } $.

    $( Define class of all ordered groups.  An ordered group is a group with a
       total ordering compatible with its operation.  (Contributed by Thierry
       Arnoux, 13-Mar-2018.) $)
    df-ogrp $a |- oGrp = ( Grp i^i oMnd ) $.
  $}

  ${
    $d a b c l m p v B $.  $d a b c l m p v M $.  $d l m p .+ $.  $d l m .<_ $.
    isomnd.0 $e |- B = ( Base ` M ) $.
    isomnd.1 $e |- .+ = ( +g ` M ) $.
    isomnd.2 $e |- .<_ = ( le ` M ) $.
    $( A (left) ordered monoid is a monoid with a total ordering compatible
       with its operation.  (Contributed by Thierry Arnoux, 30-Jan-2018.) $)
    isomnd $p |- ( M e. oMnd <-> ( M e. Mnd /\ M e. Toset /\
      A. a e. B A. b e. B A. c e. B ( a .<_ b -> ( a .+ c ) .<_ ( b .+ c ) )
      ) ) $=
      ( vl vp vv cv wbr wral wa cfv wsbc wceq vm comnd wcel cmnd ctos co wi w3a
      cplusg cbs cvv fvexd wb simpr fveq2 adantr eqtrd eqtr4di raleq raleqbi1dv
      cple syl anbi2d sbcbidv sbcied oveqd breq12d imbi2d 2ralbidv simpl fveq2d
      ralbidv breqd imbi12d eleq1 anbi1d 3bitrd df-omnd elrab2 3anass bitr4i
      bitrd ) DUBUCDUDUCZDUEUCZENZFNZCOZWEGNZBUFZWFWHBUFZCOZUGZGAPZFAPEAPZQZQWC
      WDWNUHUANZUEUCZWEWFKNZOZWEWHLNZUFZWFWHWTUFZWROZUGZGMNZPZFXEPZEXEPZQZKWPVA
      RZSZLWPUIRZSZMWPUJRZSZWOUADUDUBWPDTZXOWQXDGAPZFAPZEAPZQZKXJSZLXLSZWQWSWIW
      JWROZUGZGAPZFAPEAPZQZKXJSZWOXPXMYBMXNUKXPWPUJULXPXEXNTZQZXKYALXLYJXIXTKXJ
      YJXHXSWQYJXEATXHXSUMYJXEDUJRZAYJXEXNYKXPYIUNXPXNYKTYIWPDUJUOUPUQHURXGXREX
      EAXFXQFXEAXDGXEAUSUTUTVBVCVDVDVEXPYAYHLXLUKXPWPUIULXPWTXLTZQZXTYGKXJYMXSY
      FWQYMXQYEEFAAYMXDYDGAYMXCYCWSYMXAWIXBWJWRYMWTBWEWHYMWTDUIRZBYMWTXLYNXPYLU
      NXPXLYNTYLWPDUIUOUPUQIURZVFYMWTBWFWHYOVFVGVHVLVIVCVDVEXPYHWQWNQZWOXPYGYPK
      XJUKXPWPVAULXPWRXJTZQZYFWNWQYRYEWMEFAAYRYDWLGAYRWSWGYCWKYRWRCWEWFYRWRDVAR
      ZCYRWRXJYSXPYQUNYRWPDVAXPYQVJVKUQJURZVMYRWRCWIWJYTVMVNVLVIVCVEXPWQWDWNWPD
      UEVOVPWBVQMUALEFGKVRVSWCWDWNVTWA $.
  $}

  $( A (left-)ordered group is a group with a total ordering compatible with
     its operations.  (Contributed by Thierry Arnoux, 23-Mar-2018.) $)
  isogrp $p |- ( G e. oGrp <-> ( G e. Grp /\ G e. oMnd ) ) $=
    ( cgrp comnd cogrp df-ogrp elin2 ) ABCDEF $.

  $( A left-ordered group is a group.  (Contributed by Thierry Arnoux,
     9-Jul-2018.) $)
  ogrpgrp $p |- ( G e. oGrp -> G e. Grp ) $=
    ( cogrp wcel cgrp comnd isogrp simplbi ) ABCADCAECAFG $.

  ${
    $d a b c M $.
    $( A left-ordered monoid is a monoid.  (Contributed by Thierry Arnoux,
       13-Mar-2018.) $)
    omndmnd $p |- ( M e. oMnd -> M e. Mnd ) $=
      ( va vb vc comnd wcel cmnd ctos cv cple cfv wbr cplusg co cbs wral isomnd
      wi eqid simp1bi ) AEFAGFAHFBIZCIZAJKZLUADIZAMKZNUBUDUENUCLRDAOKZPCUFPBUFP
      UFUEUCABCDUFSUESUCSQT $.

    $( A left-ordered monoid is a totally ordered set.  (Contributed by Thierry
       Arnoux, 13-Mar-2018.) $)
    omndtos $p |- ( M e. oMnd -> M e. Toset ) $=
      ( va vb vc comnd wcel cmnd ctos cv cple cfv wbr cplusg co cbs wral isomnd
      wi eqid simp2bi ) AEFAGFAHFBIZCIZAJKZLUADIZAMKZNUBUDUENUCLRDAOKZPCUFPBUFP
      UFUEUCABCDUFSUESUCSQT $.

    $d a b c X $.  $d b c Y $.  $d c Z $.  $d a b c .+ $.  $d a b c .<_ $.
    $d a b c B $.
    omndadd.0 $e |- B = ( Base ` M ) $.
    omndadd.1 $e |- .<_ = ( le ` M ) $.
    omndadd.2 $e |- .+ = ( +g ` M ) $.
    $( In an ordered monoid, the ordering is compatible with group addition.
       (Contributed by Thierry Arnoux, 30-Jan-2018.) $)
    omndadd $p |- ( ( M e. oMnd /\ ( X e. B /\ Y e. B /\ Z e. B )
      /\ X .<_ Y ) -> ( X .+ Z ) .<_ ( Y .+ Z ) ) $=
      ( va vb vc wcel wbr co cv wi wral wceq comnd w3a cmnd ctos isomnd simp3bi
      breq1 oveq1 breq1d imbi12d breq2 breq2d oveq2 breq12d imbi2d rspc3v mpan9
      3impia ) DUANZEANFANGANUBZEFCOZEGBPZFGBPZCOZUSKQZLQZCOZVEMQZBPZVFVHBPZCOZ
      RZMASLASKASZUTVAVDRZUSDUCNDUDNVMABCDKLMHJIUEUFVLVNEVFCOZEVHBPZVJCOZRVAVPF
      VHBPZCOZRKLMEFGAAAVEETZVGVOVKVQVEEVFCUGVTVIVPVJCVEEVHBUHUIUJVFFTZVOVAVQVS
      VFFECUKWAVJVRVPCVFFVHBUHULUJVHGTZVSVDVAWBVPVBVRVCCVHGEBUMVHGFBUMUNUOUPUQU
      R $.

    $( In a right ordered monoid, the ordering is compatible with group
       addition.  (Contributed by Thierry Arnoux, 30-Jan-2018.) $)
    omndaddr $p |- ( ( ( oppG ` M ) e. oMnd /\ ( X e. B /\ Y e. B /\ Z e. B )
      /\ X .<_ Y ) -> ( Z .+ X ) .<_ ( Z .+ Y ) ) $=
      ( coppg cfv comnd wcel w3a wbr cplusg co eqid oppgplus oppgbas omndadd
      oppgle 3brtr3g ) DKLZMNEANFANGANOEFCPOEGUEQLZRFGUFRGEBRGFBRCAUFCUEEFGADUE
      UESZHUADCUEUGIUCUFSZUBBUFDUEEGJUGUHTBUFDUEFGJUGUHTUD $.

    ${
      omndadd2d.m $e |- ( ph -> M e. oMnd ) $.
      omndadd2d.w $e |- ( ph -> W e. B ) $.
      omndadd2d.x $e |- ( ph -> X e. B ) $.
      omndadd2d.y $e |- ( ph -> Y e. B ) $.
      omndadd2d.z $e |- ( ph -> Z e. B ) $.
      omndadd2d.1 $e |- ( ph -> X .<_ Z ) $.
      omndadd2d.2 $e |- ( ph -> Y .<_ W ) $.

      ${
        omndadd2d.c $e |- ( ph -> M e. CMnd ) $.
        $( In a commutative left ordered monoid, the ordering is compatible
           with monoid addition.  Double addition version.  (Contributed by
           Thierry Arnoux, 30-Jan-2018.) $)
        omndadd2d $p |- ( ph -> ( X .+ Y ) .<_ ( Z .+ W ) ) $=
          ( cpo wcel co w3a wbr comnd ctos omndtos tospos 3syl cmnd omndmnd syl
          mndcl syl3anc 3jca omndadd syl131anc ccmn cmncom 3brtr3d wa postr imp
          wceq syl22anc ) AEUAUBZGHCUCZBUBZIHCUCZBUBZIFCUCZBUBZUDZVHVJDUEZVJVLD
          UEZVHVLDUEZAEUFUBZEUGUBVGMEUHEUIUJAVIVKVMAEUKUBZGBUBZHBUBZVIAVRVSMEUL
          UMZOPBCEGHJLUNUOAVSIBUBZWAVKWBQPBCEIHJLUNUOAVSWCFBUBZVMWBQNBCEIFJLUNU
          OUPAVRVTWCWAGIDUEVOMOQPRBCDEGIHJKLUQURAHICUCZFICUCZVJVLDAVRWAWDWCHFDU
          EWEWFDUEMPNQSBCDEHFIJKLUQURAEUSUBZWAWCWEVJVETPQBCEHIJLUTUOAWGWDWCWFVL
          VETNQBCEFIJLUTUOVAVGVNVBVOVPVBVQBEDVHVJVLJKVCVDVF $.
      $}

      ${
        omndadd2rd.c $e |- ( ph -> ( oppG ` M ) e. oMnd ) $.
        $( In a left- and right- ordered monoid, the ordering is compatible
           with monoid addition.  Double addition version.  (Contributed by
           Thierry Arnoux, 2-May-2018.) $)
        omndadd2rd $p |- ( ph -> ( X .+ Y ) .<_ ( Z .+ W ) ) $=
          ( cpo wcel co w3a wbr comnd ctos omndtos tospos 3syl cmnd omndmnd syl
          mndcl syl3anc 3jca coppg omndaddr syl131anc omndadd wa postr syl22anc
          cfv imp ) AEUAUBZGHCUCZBUBZGFCUCZBUBZIFCUCZBUBZUDZVGVIDUEZVIVKDUEZVGV
          KDUEZAEUFUBZEUGUBVFMEUHEUIUJAVHVJVLAEUKUBZGBUBZHBUBZVHAVQVRMEULUMZOPB
          CEGHJLUNUOAVRVSFBUBZVJWAONBCEGFJLUNUOAVRIBUBZWBVLWAQNBCEIFJLUNUOUPAEU
          QVDUFUBVTWBVSHFDUEVNTPNOSBCDEHFGJKLURUSAVQVSWCWBGIDUEVOMOQNRBCDEGIFJK
          LUTUSVFVMVAVNVOVAVPBEDVGVIVKJKVBVEVC $.
      $}
    $}
  $}

  ${
    $d a b c A $.  $d a b c M $.
    $( A submonoid of an ordered monoid is also ordered.  (Contributed by
       Thierry Arnoux, 23-Mar-2018.) $)
    submomnd $p |- ( ( M e. oMnd /\ ( M |`s A ) e. Mnd )
      -> ( M |`s A ) e. oMnd ) $=
      ( va vb vc wcel co wa cv cfv wbr cbs wral cvv adantr wceq eqid syl sseldd
      c0 comnd cress cmnd ctos cple cplusg wi simpr omndtos wn reldmress ovprc2
      fveq2d adantl eqtr4di wne c0g mndidcl ne0d ad2antlr neneqd condan resstos
      base0 syl2anc w3a simplll wss cin ressbas inss2 eqsstrrdi simplr1 simplr2
      ad2antrr simplr3 ressle breqd biimpar omndadd syl131anc wb oveqd breq123d
      ressplusg mpbid ex ralrimivvva isomnd syl3anbrc ) BUAFZBAUBGZUCFZHZWMWLUD
      FZCIZDIZWLUEJZKZWPEIZWLUFJZGZWQWTXAGZWRKZUGZEWLLJZMDXFMCXFMWLUAFWKWMUHWNB
      UDFZANFZWOWKXGWMBUIOWNXHXFTPWNXHUJZHZXFTLJZTXIXFXKPWNXIWLTLBAUBUKULUMUNVD
      UOXJXFTWMXFTUPWKXIWMXFWLUQJZXFWLXLXFQZXLQURUSUTVAVBZABNVCVEWNXECDEXFXFXFW
      NWPXFFZWQXFFZWTXFFZVFZHZWSXDXSWSHZWPWTBUFJZGZWQWTYAGZBUEJZKZXDXTWKWPBLJZF
      WQYFFWTYFFWPWQYDKZYEWKWMXRWSVGXTXFYFWPWNXFYFVHZXRWSWNXHYHXNXHXFAYFVIYFAYF
      WLNBWLQZYFQZVJAYFVKVLRVOZXOXPXQWNWSVMSXTXFYFWQYKXOXPXQWNWSVNSXTXFYFWTYKXO
      XPXQWNWSVPSXSYGWSXSYDWRWPWQWNYDWRPZXRWNXHYLXNABYDNWLYIYDQZVQZROVRVSYFYAYD
      BWPWQWTYJYMYAQZVTWAXSYEXDWBWSXSYBXBYCXCYDWRXSYAXAWPWTXSXHYAXAPWNXHXRXNOZA
      YABWLNYIYOWERZWCXSXHYLYPYNRXSYAXAWQWTYQWCWDOWFWGWHXFXAWRWLCDEXMXAQWRQWIWJ
      $.
  $}

  ${
    $d x y z $.
    $( The nonnegative extended real numbers form an ordered monoid.
       (Contributed by Thierry Arnoux, 22-Mar-2018.) $)
    xrge0omnd $p |- ( RR*s |`s ( 0 [,] +oo ) ) e. oMnd $=
      ( vx vy vz cxrs cc0 cpnf co cress wcel cv cle cxad wral xrge0base xrge0le
      wbr wi eliccxr cxr wa cicc comnd cmnd ctos ccmn xrge0cmn cmnmnd ax-mp cpo
      wo ovex xrleidd wceq xrletri3 biimprd syl2an xrletr syl3an isposi xrletri
      rgen2 istos mpbir2an w3a xleadd1a ex rgen3 xrge0plusg isomnd mpbir3an ) D
      EFUAGZHGZUBIVLUCIZVLUDIZAJZBJZKPZVOCJZLGVPVRLGKPZQZCVKMBVKMAVKMVLUEIVMUFV
      LUGUHVNVLUIIVQVPVOKPZUJZBVKMAVKMABCVKVLKDVKHUKNOVOVKIZVOVOEFRZULWCVOSIZVP
      SIZVQWATZVOVPUMZQVPVKIZWDVPEFRZWEWFTWHWGVOVPUNUOUPWCWEWIWFVRVKIZVRSIZVQVP
      VRKPTVOVRKPQWDWJVREFRZVOVPVRUQURUSWBABVKVKWCWEWFWBWIWDWJVOVPUTUPVAABVKVLK
      NOVBVCVTABCVKVKVKWCWEWIWFWKWLVTWDWJWMWEWFWLVDVQVSVOVPVRVEVFURVGVKLKVLABCN
      VHOVIVJ $.
  $}

  ${
    $d m n B $.  $d m n M $.  $d m n N $.  $d m n X $.  $d m n Y $.
    $d m n .0. $.  $d m n .<_ $.  $d m n .x. $.  $d m n ph $.
    omndmul.0 $e |- B = ( Base ` M ) $.
    omndmul.1 $e |- .<_ = ( le ` M ) $.
    ${
      omndmul2.2 $e |- .x. = ( .g ` M ) $.
      omndmul2.3 $e |- .0. = ( 0g ` M ) $.
      $( In an ordered monoid, the ordering is compatible with group power.
         This version does not require the monoid to be commutative.
         (Contributed by Thierry Arnoux, 23-Mar-2018.) $)
      omndmul2 $p |- ( ( M e. oMnd /\ ( X e. B /\ N e. NN0 ) /\ .0. .<_ X ) ->
        .0. .<_ ( N .x. X ) ) $=
        ( wcel cn0 wa wbr w3a co c1 wceq syl vm vn comnd df-3an anass anbi1i cv
        bitr4i simplr cc0 caddc oveq1 breq2d cpo omndtos tospos omndmnd mndidcl
        ctos posref syl2anc ad3antrrr mulg0 ad3antlr breqtrrd ad5antr mulgnn0cl
        cmnd simp-5r syl3anc simpr32 1nn0 a1i nn0addcld 3anassrs 3jca simpr cfv
        cplusg simp-4l ad4antr simp-4r eqid omndadd syl131anc mndlid mulgnn0dir
        syl13anc 1cnd simpr3 nn0cnd addcomd oveq1d mulg1 3eqtr3rd 3brtr3d postr
        adantr imp syl22anc nn0indd mpdan sylbi ) DUCLZFALZEMLZNZGFCOZPZXDXENZX
        FNZXHNZGEFBQZCOZXIXDXGNZXHNXLXDXGXHUDXKXOXHXDXEXFUEUFUHXLXFXNXJXFXHUIXL
        GUAUGZFBQZCOGUJFBQZCOGUBUGZFBQZCOZGXSRUKQZFBQZCOZXNUAUBEXPUJSXQXRGCXPUJ
        FBULUMXPXSSXQXTGCXPXSFBULUMXPYBSXQYCGCXPYBFBULUMXPESXQXMGCXPEFBULUMXLGG
        XRCXDGGCOZXEXFXHXDDUNLZGALZYEXDDUSLYFDUODUPTZXDDVHLZYGDUQZADGHKURZTADCG
        HIUTVAVBXEXRGSXDXFXHABDFGHKJVCVDVEXLXSMLZNZYANZYFYGXTALZYCALZPZYAXTYCCO
        ZYDXDYFXEXFXHYLYAYHVFYNYGYOYPYNYIYGXDYIXEXFXHYLYAYJVFZYKTYNYIYLXEYOYSXL
        YLYAUIXDXEXFXHYLYAVIZABDXSFHJVGZVJYNYIYBMLZXEYPYSXKXHYLYAUUBXDXEXFXHYLY
        APZUUBXDXEXFUUCPNZXSRXHYLYAXEXFXDVKRMLZUUDVLVMVNVOVOYTABDYBFHJVGVJVPYMY
        AVQYMYRYAYMGXTDVSVRZQZFXTUUFQZXTYCCYMXDYGXEYOXHUUGUUHCOXDXEXFXHYLVTYMYI
        YGXDYIXEXFXHYLYJWAZYKTXDXEXFXHYLWBZYMYIYLXEYOUUIXLYLVQZUUJUUAVJZXKXHYLU
        IAUUFCDGFXTHIUUFWCZWDWEYMYIYOUUGXTSUUIUULAUUFDXTGHUUMKWFVAYMRXSUKQZFBQZ
        RFBQZXTUUFQZYCUUHYMYIUUEYLXEUUOUUQSUUIUUEYMVLVMUUKUUJAUUFBDRXSFHJUUMWGW
        HYMUUNYBFBXJXFXHYLUUNYBSXJXFXHYLPNZRXSUURWIUURXSXJXFXHYLWJWKWLVOWMYMUUP
        FXTUUFYMXEUUPFSUUJABDFHJWNTWMWOWPWRYFYQNYAYRNYDADCGXTYCHIWQWSWTXAXBXC
        $.
    $}

    ${
      omndmul3.m $e |- .x. = ( .g ` M ) $.
      omndmul3.0 $e |- .0. = ( 0g ` M ) $.
      omndmul3.o $e |- ( ph -> M e. oMnd ) $.
      omndmul3.1 $e |- ( ph -> N e. NN0 ) $.
      omndmul3.2 $e |- ( ph -> P e. NN0 ) $.
      omndmul3.3 $e |- ( ph -> N <_ P ) $.
      omndmul3.4 $e |- ( ph -> X e. B ) $.
      omndmul3.5 $e |- ( ph -> .0. .<_ X ) $.
      $( In an ordered monoid, the ordering is compatible with group power.
         This version does not require the monoid to be commutative.
         (Contributed by Thierry Arnoux, 23-Mar-2018.) $)
      omndmul3 $p |- ( ph -> ( N .x. X ) .<_ ( P .x. X ) ) $=
        ( wcel co cplusg cfv cmin comnd wbr cmnd omndmnd syl mndidcl cn0 cle wa
        nn0sub biimpa syl21anc mulgnn0cl omndmul2 syl121anc eqid syl131anc wceq
        syl3anc omndadd mndlid syl2anc mulgnn0dir syl13anc nn0cnd npcand oveq1d
        caddc eqtr3d 3brtr3d ) AIGHDUAZFUBUCZUAZCGUDUAZHDUAZVOVPUAZVOCHDUAZEAFU
        ETZIBTZVSBTZVOBTZIVSEUFZVQVTEUFNAFUGTZWCAWBWGNFUHUIZBFIJMUJUIAWGVRUKTZH
        BTZWDWHAGUKTZCUKTZGCULUFZWIOPQWKWLUMWMWIGCUNUOUPZRBDFVRHJLUQVCAWGWKWJWE
        WHORBDFGHJLUQVCZAWBWJWIIHEUFWFNRWNSBDEFVRHIJKLMURUSBVPEFIVSVOJKVPUTZVDV
        AAWGWEVQVOVBWHWOBVPFVOIJWPMVEVFAVRGVLUAZHDUAZVTWAAWGWIWKWJWRVTVBWHWNORB
        VPDFVRGHJLWPVGVHAWQCHDACGACPVIAGOVIVJVKVMVN $.
    $}

    ${
      omndmul.2 $e |- .x. = ( .g ` M ) $.
      omndmul.o $e |- ( ph -> M e. oMnd ) $.
      omndmul.c $e |- ( ph -> M e. CMnd ) $.
      omndmul.x $e |- ( ph -> X e. B ) $.
      omndmul.y $e |- ( ph -> Y e. B ) $.
      omndmul.n $e |- ( ph -> N e. NN0 ) $.
      omndmul.l $e |- ( ph -> X .<_ Y ) $.
      $( In a commutative ordered monoid, the ordering is compatible with group
         power.  (Contributed by Thierry Arnoux, 30-Jan-2018.) $)
      omndmul $p |- ( ph -> ( N .x. X ) .<_ ( N .x. Y ) ) $=
        ( wcel co wceq vm vn cn0 wbr cv cc0 c1 caddc oveq1 breq12d ctos omndtos
        cpo comnd tospos 3syl c0g cfv eqid mulg0 omndmnd mndidcl eqeltrd posref
        syl cmnd syl2anc wb wa adantr adantl eqtr4d breq1d mpbird cplusg simplr
        ad2antrr mulgnn0cl syl3anc simpr ccmn omndadd2d mulgnn0p1 3brtr4d mpdan
        nn0indd ) AFUCRFGCSZFHCSZDUDZPAUAUEZGCSZWJHCSZDUDUFGCSZUFHCSZDUDZUBUEZG
        CSZWPHCSZDUDZWPUGUHSZGCSZWTHCSZDUDWIUAUBFWJUFTWKWMWLWNDWJUFGCUIWJUFHCUI
        UJWJWPTWKWQWLWRDWJWPGCUIWJWPHCUIUJWJWTTWKXAWLXBDWJWTGCUIWJWTHCUIUJWJFTW
        KWGWLWHDWJFGCUIWJFHCUIUJAWOWNWNDUDZAEUMRZWNBRXCAEUNRZEUKRXDLEULEUOUPAWN
        EUQURZBAHBRZWNXFTZOBCEHXFIXFUSZKUTZVEAXEEVFRZXFBRLEVAZBEXFIXIVBUPVCBEDW
        NIJVDVGAGBRZXGWOXCVHNOXMXGVIZWMWNWNDXNWMXFWNXMWMXFTXGBCEGXFIXIKUTVJXGXH
        XMXJVKVLVMVGVNAWPUCRZVIZWSVIZWQGEVOURZSZWRHXRSZXAXBDXQBXRDEHWQGWRIJXRUS
        ZAXEXOWSLVQZAXGXOWSOVQZXQXKXOXMWQBRXQXEXKYBXLVEZAXOWSVPZAXMXOWSNVQZBCEW
        PGIKVRVSYFXQXKXOXGWRBRYDYEYCBCEWPHIKVRVSXPWSVTAGHDUDXOWSQVQAEWARXOWSMVQ
        WBXQXKXOXMXAXSTYDYEYFBXRCEWPGIKYAWCVSXQXKXOXGXBXTTYDYEYCBXRCEWPHIKYAWCV
        SWDWFWE $.
    $}
  $}

  ${
    ogrpsub.0 $e |- B = ( Base ` G ) $.
    ogrpsub.1 $e |- .<_ = ( le ` G ) $.
    ${
      ogrpinv.2 $e |- I = ( invg ` G ) $.
      ogrpinv.3 $e |- .0. = ( 0g ` G ) $.
      $( In an ordered group, the ordering is compatible with group inverse.
         (Contributed by Thierry Arnoux, 3-Sep-2018.) $)
      ogrpinv0le $p |- ( ( G e. oGrp /\ X e. B )
        -> ( .0. .<_ X <-> ( I ` X ) .<_ .0. ) ) $=
        ( wcel wa wbr cfv co ad2antrr 3syl simplr syl2anc wceq cogrp comnd cgrp
        cplusg simprbi cmnd omndmnd mndidcl ogrpgrp grpinvcl simpr eqid omndadd
        isogrp syl131anc grplid grprinv 3brtr3d grplinv impbida ) BUAKZEAKZLZFE
        DMZECNZFDMZVCVDLZFVEBUDNZOZEVEVHOZVEFDVGBUBKZFAKZVBVEAKZVDVIVJDMVAVKVBV
        DVABUCKZVKBUNUEZPZVGVKBUFKZVLVPBUGZABFGJUHZQVAVBVDRZVGVNVBVMVAVNVBVDBUI
        ZPZVTABCEGIUJZSZVCVDUKAVHDBFEVEGHVHULZUMUOVGVNVMVIVETWBWDAVHBVEFGWEJUPS
        VGVNVBVJFTWBVTAVHBCEFGWEJIUQSURVCVFLZVEEVHOZFEVHOZFEDWFVKVMVLVBVFWGWHDM
        VAVKVBVFVOPZWFVNVBVMVAVNVBVFWAPZVAVBVFRZWCSWFVKVQVLWIVRVSQWKVCVFUKAVHDB
        VEFEGHWEUMUOWFVNVBWGFTWJWKAVHBCEFGWEJIUSSWFVNVBWHETWJWKAVHBEFGWEJUPSURU
        T $.
    $}

    ${
      ogrpsub.2 $e |- .- = ( -g ` G ) $.
      $( In an ordered group, the ordering is compatible with group
         subtraction.  (Contributed by Thierry Arnoux, 30-Jan-2018.) $)
      ogrpsub $p |- ( ( G e. oGrp /\ ( X e. B /\ Y e. B /\ Z e. B )
        /\ X .<_ Y ) -> ( X .- Z ) .<_ ( Y .- Z ) ) $=
        ( wcel w3a wbr cfv co 3ad2ant1 eqid syl2anc wceq grpsubval cogrp cplusg
        cminusg comnd cgrp isogrp simprbi simp21 simp22 ogrpgrp simp23 grpinvcl
        simp3 omndadd syl131anc 3brtr4d ) BUAKZEAKZFAKZGAKZLZEFCMZLZEGBUCNZNZBU
        BNZOZFVEVFOZEGDOZFGDOZCVCBUDKZURUSVEAKZVBVGVHCMUQVAVKVBUQBUEKZVKBUFUGPU
        QURUSUTVBUHZUQURUSUTVBUIZVCVMUTVLUQVAVMVBBUJPUQURUSUTVBUKZABVDGHVDQZULR
        UQVAVBUMAVFCBEFVEHIVFQZUNUOVCURUTVIVGSVNVPAVFBVDDEGHVRVQJTRVCUSUTVJVHSV
        OVPAVFBVDDFGHVRVQJTRUP $.
    $}
  $}

  ${
    ogrpaddlt.0 $e |- B = ( Base ` G ) $.
    ogrpaddlt.1 $e |- .< = ( lt ` G ) $.
    ogrpaddlt.2 $e |- .+ = ( +g ` G ) $.
    $( In an ordered group, strict ordering is compatible with group addition.
       (Contributed by Thierry Arnoux, 20-Jan-2018.) $)
    ogrpaddlt $p |- ( ( G e. oGrp /\ ( X e. B /\ Y e. B /\ Z e. B )
      /\ X .< Y ) -> ( X .+ Z ) .< ( Y .+ Z ) ) $=
      ( cogrp wcel w3a wbr co wne 3ad2ant1 imp wa cvv cple comnd isogrp simprbi
      cfv cgrp simp2 simp1 simp21 simp22 simp3 eqid pltle omndadd syl3anc pltne
      syl31anc wceq wi ogrpgrp grprcan biimpd sylan necon3d 3impia ovex mp3an23
      wb pltval mpbir2and ) DKLZEALZFALZGALZMZEFCNZMZEGBOZFGBOZCNZVRVSDUAUEZNZV
      RVSPZVQDUBLZVOEFWANZWBVKVOWDVPVKDUFLZWDDUCUDQVKVOVPUGZVQVKVLVMVPWEVKVOVPU
      HZVKVLVMVNVPUIZVKVLVMVNVPUJZVKVOVPUKZVKVLVMMZVPWEKAACDWAEFWAULZIUMRUQABWA
      DEFGHWMJUNUOVQVKVOEFPZWCWHWGVQVKVLVMVPWNWHWIWJWKWLVPWNKAACDEFIUPRUQVKVOWN
      WCVKVOSVRVSEFVKWFVOVRVSURZEFURZUSDUTWFVOSWOWPABDEFGHJVAVBVCVDVEUOVKVOVTWB
      WCSVHZVPVKVRTLVSTLWQEGBVFFGBVFKTTCDWAVRVSWMIVIVGQVJ $.

    $( In a right ordered group, strict ordering is compatible with group
       addition.  (Contributed by Thierry Arnoux, 3-Sep-2018.) $)
    ogrpaddltbi $p |- ( ( G e. oGrp /\ ( X e. B /\ Y e. B /\ Z e. B ) )
       -> ( X .< Y <-> ( X .+ Z ) .< ( Y .+ Z ) ) ) $=
      ( wcel wa wbr co ogrpaddlt cfv grpcl syl3anc syl2anc wceq cogrp w3a 3expa
      cminusg cgrp ogrpgrp syl simplr1 simplr3 simplr2 grpinvcl simpr syl131anc
      simpll eqid grpass syl13anc grprinv oveq2d grprid 3eqtrd 3brtr3d impbida
      c0g ) DUAKZEAKZFAKZGAKZUBZLZEFCMZEGBNZFGBNZCMZVEVIVKVNABCDEFGHIJOUCVJVNLZ
      VLGDUDPZPZBNZVMVQBNZEFCVOVEVLAKZVMAKZVQAKZVNVRVSCMVEVIVNUNZVODUEKZVFVHVTV
      OVEWDWCDUFUGZVFVGVHVEVNUHZVFVGVHVEVNUIZABDEGHJQRVOWDVGVHWAWEVFVGVHVEVNUJZ
      WGABDFGHJQRVOWDVHWBWEWGADVPGHVPUOZUKSZVJVNULABCDVLVMVQHIJOUMVOVREGVQBNZBN
      ZEDVDPZBNZEVOWDVFVHWBVRWLTWEWFWGWJABDEGVQHJUPUQVOWKWMEBVOWDVHWKWMTWEWGABD
      VPGWMHJWMUOZWIURSZUSVOWDVFWNETWEWFABDEWMHJWOUTSVAVOVSFWKBNZFWMBNZFVOWDVGV
      HWBVSWQTWEWHWGWJABDFGVQHJUPUQVOWKWMFBWPUSVOWDVGWRFTWEWHABDFWMHJWOUTSVAVBV
      C $.

    ogrpaddltrd.1 $e |- ( ph -> G e. V ) $.
    ogrpaddltrd.2 $e |- ( ph -> ( oppG ` G ) e. oGrp ) $.
    ogrpaddltrd.3 $e |- ( ph -> X e. B ) $.
    ogrpaddltrd.4 $e |- ( ph -> Y e. B ) $.
    ogrpaddltrd.5 $e |- ( ph -> Z e. B ) $.
    ${
      ogrpaddltrd.6 $e |- ( ph -> X .< Y ) $.
      $( In a right ordered group, strict ordering is compatible with group
         addition.  (Contributed by Thierry Arnoux, 3-Sep-2018.) $)
      ogrpaddltrd $p |- ( ph -> ( Z .+ X ) .< ( Z .+ Y ) ) $=
        ( wbr wcel coppg cfv cplt cplusg cogrp wceq eqid oppglt syl breqd mpbid
        co oppgbas ogrpaddlt syl131anc oppgplus 3brtr3g mpbird ) AIGCULZIHCULZD
        SUSUTEUAUBZUCUBZSAGIVAUDUBZULZHIVCULZUSUTVBAVAUETGBTHBTIBTGHVBSZVDVEVBS
        NOPQAGHDSVFRADVBGHAEFTDVBUFMEDVAFVAUGZKUHUIZUJUKBVCVBVAGHIBEVAVGJUMVBUG
        VCUGZUNUOCVCEVAGILVGVIUPCVCEVAHILVGVIUPUQADVBUSUTVHUJUR $.
    $}

    $( In a right ordered group, strict ordering is compatible with group
       addition.  (Contributed by Thierry Arnoux, 4-Sep-2018.) $)
    ogrpaddltrbid $p |- ( ph -> ( X .< Y <-> ( Z .+ X ) .< ( Z .+ Y ) ) ) $=
      ( co wcel adantr wbr wa coppg cfv cogrp simpr ogrpaddltrd cminusg ogrpgrp
      cgrp syl w3a cplusg eqid oppgplus oppgbas grpcl eqeltrrid oppggrpb sylibr
      syl3anc grpinvcl syl2anc c0g wceq grplinv oveq1d syl13anc 3eqtr3d 3brtr3d
      grpass grplid impbida ) AGHDUAZIGCRZIHCRZDUAZAVNUBBCDEFGHIJKLAEFSZVNMTAEU
      CUDZUESZVNNTAGBSZVNOTAHBSZVNPTAIBSZVNQTAVNUFUGAVQUBZIEUHUDZUDZVOCRZWFVPCR
      ZGHDWDBCDEFVOVPWFJKLAVRVQMTAVTVQNTWDVSUJSZWAWCVOBSAWIVQAVTWINVSUIUKTZAWAV
      QOTZAWCVQQTZWIWAWCULVOGIVSUMUDZRBCWMEVSGILVSUNZWMUNZUOBWMVSGIBEVSWNJUPZWO
      UQURVAWDWIWBWCVPBSWJAWBVQPTZWLWIWBWCULVPHIWMRBCWMEVSHILWNWOUOBWMVSHIWPWOU
      QURVAWDEUJSZWCWFBSZWDWIWRWJEVSWNUSUTZWLBEWEIJWEUNZVBVCZAVQUFUGWDWFICRZGCR
      ZEVDUDZGCRZWGGWDXCXEGCWDWRWCXCXEVEWTWLBCEWEIXEJLXEUNZXAVFVCZVGWDWRWSWCWAX
      DWGVEWTXBWLWKBCEWFIGJLVKVHWDWRWAXFGVEWTWKBCEGXEJLXGVLVCVIWDXCHCRZXEHCRZWH
      HWDXCXEHCXHVGWDWRWSWCWBXIWHVEWTXBWLWQBCEWFIHJLVKVHWDWRWBXJHVEWTWQBCEHXEJL
      XGVLVCVIVJVM $.
  $}

  ${
    ogrpsublt.0 $e |- B = ( Base ` G ) $.
    ogrpsublt.1 $e |- .< = ( lt ` G ) $.
    ogrpsublt.2 $e |- .- = ( -g ` G ) $.
    $( In an ordered group, strict ordering is compatible with group addition.
       (Contributed by Thierry Arnoux, 3-Sep-2018.) $)
    ogrpsublt $p |- ( ( G e. oGrp /\ ( X e. B /\ Y e. B /\ Z e. B )
      /\ X .< Y ) -> ( X .- Z ) .< ( Y .- Z ) ) $=
      ( cogrp wcel w3a wbr co wne wa wb pltval syl3anc cple simp3 simp21 simp22
      cfv simp1 eqid mpbid simpld ogrpsub syld3an3 simprd cgrp wceq ogrpgrp syl
      simp23 grpsubrcan syl13anc necon3bid mpbird grpsubcl mpbir2and ) CKLZEALZ
      FALZGALZMZEFBNZMZEGDOZFGDOZBNZVKVLCUAUEZNZVKVLPZVDVHVIEFVNNZVOVJVQEFPZVJV
      IVQVRQZVDVHVIUBVJVDVEVFVIVSRVDVHVIUFZVDVEVFVGVIUCZVDVEVFVGVIUDZKAABCVNEFV
      NUGZISTUHZUIACVNDEFGHWCJUJUKVJVPVRVJVQVRWDULVJVKVLEFVJCUMLZVEVFVGVKVLUNEF
      UNRVJVDWEVTCUOUPZWAWBVDVEVFVGVIUQZACDEFGHJURUSUTVAVJVDVKALZVLALZVMVOVPQRV
      TVJWEVEVGWHWFWAWGACDEGHJVBTVJWEVFVGWIWFWBWGACDFGHJVBTKAABCVNVKVLWCISTVC
      $.
  $}

  ${
    ogrpinvlt.0 $e |- B = ( Base ` G ) $.
    ogrpinvlt.1 $e |- .< = ( lt ` G ) $.
    ogrpinvlt.2 $e |- I = ( invg ` G ) $.
    ${
      ogrpinv0lt.3 $e |- .0. = ( 0g ` G ) $.
      $( In an ordered group, the ordering is compatible with group inverse.
         (Contributed by Thierry Arnoux, 3-Sep-2018.) $)
      ogrpinv0lt $p |- ( ( G e. oGrp /\ X e. B )
        -> ( .0. .< X <-> ( I ` X ) .< .0. ) ) $=
        ( wcel wa wbr cfv co simpll syl simplr syl2anc wceq cplusg cgrp ogrpgrp
        cogrp grpidcl grpinvcl simpr ogrpaddlt syl131anc grplid grprinv 3brtr3d
        eqid 3syl grplinv impbida ) CUDKZEAKZLZFEBMZEDNZFBMZUSUTLZFVACUANZOZEVA
        VDOZVAFBVCUQFAKZURVAAKZUTVEVFBMUQURUTPZVCCUBKZVGVCUQVJVICUCZQZACFGJUEZQ
        UQURUTRZVCVJURVHVLVNACDEGIUFZSZUSUTUGAVDBCFEVAGHVDUMZUHUIVCVJVHVEVATVLV
        PAVDCVAFGVQJUJSVCVJURVFFTVLVNAVDCDEFGVQJIUKSULUSVBLZVAEVDOZFEVDOZFEBVRU
        QVHVGURVBVSVTBMUQURVBPZVRVJURVHVRUQVJWAVKQZUQURVBRZVOSVRUQVJVGWAVKVMUNW
        CUSVBUGAVDBCVAFEGHVQUHUIVRVJURVSFTWBWCAVDCDEFGVQJIUOSVRVJURVTETWBWCAVDC
        EFGVQJUJSULUP $.
    $}

    $( In an ordered group, the ordering is compatible with group inverse.
       (Contributed by Thierry Arnoux, 3-Sep-2018.) $)
    ogrpinvlt $p |- ( ( ( G e. oGrp /\ ( oppG ` G ) e. oGrp )
      /\ X e. B /\ Y e. B ) -> ( X .< Y <-> ( I ` Y ) .< ( I ` X ) ) ) $=
      ( cogrp wcel coppg cfv wbr co grpinvcl syl2anc eqid syl13anc wceq w3a c0g
      wa cplusg wb simp1l simp2 simp3 ogrpgrp ogrpaddltbi grprinv breq2d simp1r
      cgrp syl grpcl syl3anc grpidcl ogrpaddltrbid 3bitrd grplinv oveq1d grpass
      3syl grplid 3eqtr3d grprid breq12d bitrd ) CJKZCLMJKZUCZEAKZFAKZUAZEFBNZE
      DMZEFDMZCUDMZOZVSOZVQCUBMZVSOZBNZVRVQBNVOVPVTFVRVSOZBNZVTWBBNWDVOVJVMVNVR
      AKZVPWFUEVJVKVMVNUFZVLVMVNUGZVLVMVNUHZVOCUNKZVNWGVOVJWKWHCUIZUOZWJACDFGIP
      QZAVSBCEFVRGHVSRZUJSVOWEWBVTBVOWKVNWEWBTWMWJAVSCDFWBGWOWBRZIUKQULVOAVSBCJ
      VTWBVQGHWOWHVJVKVMVNUMVOWKVMWGVTAKWMWIWNAVSCEVRGWOUPUQVOVJWKWBAKWHWLACWBG
      WPURVDVOWKVMVQAKZWMWIACDEGIPQZUSUTVOWAVRWCVQBVOVQEVSOZVRVSOZWBVRVSOZWAVRV
      OWSWBVRVSVOWKVMWSWBTWMWIAVSCDEWBGWOWPIVAQVBVOWKWQVMWGWTWATWMWRWIWNAVSCVQE
      VRGWOVCSVOWKWGXAVRTWMWNAVSCVRWBGWOWPVEQVFVOWKWQWCVQTWMWRAVSCVQWBGWOWPVGQV
      HVI $.
  $}

  ${
    $( TA: TODO can be shortened using ~ gsumunsn .  AV: Although ~ gsumunsn is
       used now, the proof is not shorter (but a little bit longer).  Maybe
       other improvements can be made... $)
    $d a e y z .<_ $.  $d a e x y z A $.  $d x z B $.  $d a e x y z F $.
    $d a e x y z G $.  $d a e x y z M $.  $d a e y z ph $.
    gsumle.b $e |- B = ( Base ` M ) $.
    gsumle.l $e |- .<_ = ( le ` M ) $.
    gsumle.m $e |- ( ph -> M e. oMnd ) $.
    gsumle.n $e |- ( ph -> M e. CMnd ) $.
    gsumle.a $e |- ( ph -> A e. Fin ) $.
    gsumle.f $e |- ( ph -> F : A --> B ) $.
    gsumle.g $e |- ( ph -> G : A --> B ) $.
    gsumle.c $e |- ( ph -> F oR .<_ G ) $.
    $( A finite sum in an ordered monoid is monotonic.  This proof would be
       much easier in an ordered group, where an inverse element would be
       available.  (Contributed by Thierry Arnoux, 13-Mar-2018.) $)
    gsumle $p |- ( ph -> ( M gsum F ) .<_ ( M gsum G ) ) $=
      ( cgsu co wcel wceq oveq2d va ve vy vz vx cres cfn wbr wss ssid wa cv csn
      wi c0 cun sseq1 anbi2d reseq2 breq12d imbi12d cpo comnd ctos omndtos 3syl
      tospos c0g cfv res0 oveq2i eqid gsum0 eqtri cmnd omndmnd mndidcl eqeltrid
      posref syl2anc eqtr4i breqtrdi adantr wn ssun1 sstr2 anim2i imim1i simplr
      ax-mp simpllr simpr cplusg ad3antrrr wf ad2antrr ssun2 vex snss mpbir a1i
      sseldd ffvelrnd ccmn sstrid fssresd fvexd fdmfifsupp fsuppres gsumcl ssfi
      cvv cofr simpll ffnd inidm eqidd ofrval syl3anc omndadd2d elun1 adantl ex
      cmpt imp gsumunsn wb feqresmpt oveq1d eqeq12d mpbird adantlr resabs1 mp1i
      fveq2 eqtrd syl gsumsnd wfn fnresdm oveq12d oveq12i eqtrdi cmnmnd 3brtr4d
      gsumsn syl21anc exp31 a2d syl5 findcard2s mpanr2 mpancom 3brtr3d ) AGDBUF
      ZPQZGEBUFZPQZGDPQGEPQFBUGRZAUUPUURFUHZLUUSABBUIZUUTBUJUUSAUVAUKZUUTAUAULZ
      BUIZUKZGDUVCUFZPQZGEUVCUFZPQZFUHZUNAUOBUIZUKZGDUOUFZPQZGEUOUFZPQZFUHZUNAU
      BULZBUIZUKZGDUVRUFZPQZGEUVRUFZPQZFUHZUNZAUVRUCULZUMZUPZBUIZUKZGDUWIUFZPQZ
      GEUWIUFZPQZFUHZUNZUVBUUTUNUAUBUCBUVCUOSZUVEUVLUVJUVQUWRUVDUVKAUVCUOBUQURU
      WRUVGUVNUVIUVPFUWRUVFUVMGPUVCUODUSTUWRUVHUVOGPUVCUOEUSTUTVAUVCUVRSZUVEUVT
      UVJUWEUWSUVDUVSAUVCUVRBUQURUWSUVGUWBUVIUWDFUWSUVFUWAGPUVCUVRDUSTUWSUVHUWC
      GPUVCUVREUSTUTVAUVCUWISZUVEUWKUVJUWPUWTUVDUWJAUVCUWIBUQURUWTUVGUWMUVIUWOF
      UWTUVFUWLGPUVCUWIDUSTUWTUVHUWNGPUVCUWIEUSTUTVAUVCBSZUVEUVBUVJUUTUXAUVDUVA
      AUVCBBUQURUXAUVGUUPUVIUURFUXAUVFUUOGPUVCBDUSTUXAUVHUUQGPUVCBEUSTUTVAAUVQU
      VKAUVNUVNUVPFAGVBRZUVNCRUVNUVNFUHAGVCRZGVDRUXBJGVEGVGVFAUVNGVHVIZCUVNGUOP
      QUXDUVMUOGPDVJZVKGUXDUXDVLZVMVNAUXCGVORZUXDCRJGVPZCGUXDHUXFVQVFVRCGFUVNHI
      VSVTUVMUVOGPUVMUOUVOUXEEVJWAVKWBWCUWFUWKUWEUNUVRUGRZUWGUVRRWDZUKZUWQUWKUV
      TUWEUWJUVSAUVRUWIUIZUWJUVSUNUVRUWHWEZUVRUWIBWFWJZWGWHUXKUWKUWEUWPUXKUWKUW
      EUWPUXKUWKUKZUWEUKUWKUXJUWEUWPUXKUWKUWEWIUXIUXJUWKUWEWKUXOUWEWLUWKUXJUKZU
      WEUKZUWBUWGDVIZGWMVIZQZUWDUWGEVIZUXSQZUWMUWOFUXQCUXSFGUYAUWBUXRUWDHIUXSVL
      ZAUXCUWJUXJUWEJWNUXPUYACRZUWEUXPBCUWGEABCEWOZUWJUXJNWPZUXPUWIBUWGAUWJUXJW
      IZUWGUWIRZUXPUYHUWHUWIUIZUWHUVRWQZUWGUWIUCWRZWSWTZXAXBZXCZWCUXPUWBCRUWEUX
      PUVRCUWAGXLUXDHUXFAGXDRZUWJUXJKWPZUVRXLRUXPUBWRXAZUXPBCUVRDABCDWOZUWJUXJM
      WPZUXPUVRUWIBUXMUYGXEZXFUXPDXLUVRUXDUXPBCDXLUXDUYSAUUSUWJUXJLWPZUXPGVHXGZ
      XHVUBXIXJWCUXPUXRCRUWEUXPBCUWGDUYSUYMXCWCZUXPUWDCRUWEUXPUVRCUWCGXLUXDHUXF
      UYPUYQUXPBCUVREUYFUYTXFZUXPUVRCUWCXLUXDVUDUXPUUSUVSUXIVUAUYTBUVRXKVTZVUBX
      HXJWCUXPUWEWLUXPUXRUYAFUHZUWEUXPADEFXMUHZUWGBRZVUFAUWJUXJXNAVUGUWJUXJOWPU
      YMABBUXRUYAFBDEUGUGUWGABCDMXOZABCENXOZLLBXPAVUHUKZUXRXQVUKUYAXQXRXSWCUXPU
      YOUWEUYPWCZXTUXQUWMUXTSZGUDUWIUDULZDVIZYDZPQZGUDUVRVUOYDZPQZUXRUXSQZSZUXQ
      UVRCUXSUDGUWGXLVUOUXRHUYCVULUXPUXIUWEVUEWCUXQVUNUVRRZVUOCRZUWKVVBVVCUNUXJ
      UWEUWKVVBVVCUWKVVBUKZBCVUNDAUYRUWJVVBMWPVVDUWIBVUNAUWJVVBWIVVBVUNUWIRUWKV
      UNUVRUWHYAYBXBZXCYCWPYEUWGXLRZUXQUYKXAUWKUXJUWEWIVUCVUNUWGDYOYFUXPVUMVVAY
      GUWEUXPUWMVUQUXTVUTUXPUWLVUPGPUXPUDBCUWIDUYSUYGYHTUXPUWBVUSUXRUXSUXPUWAVU
      RGPUXPUDBCUVRDUYSUYTYHTYIYJWCYKUXPUWOUYBSUWEUXPUWOUWDGEUWHUFZPQZUXSQZUYBU
      XPUWOGUWNUVRUFZPQZGUWNUWHUFZPQZUXSQZVVIUXPUWOVVNSZGUDUWIVUNEVIZYDZPQZGUDU
      VRVVPYDZPQZUYAUXSQZSZUXPUVRCUXSUDGUWGXLVVPUYAHUYCUYPVUEUXPVVBUKBCVUNEUWKU
      YEUXJVVBAUYEUWJNWCZWPUWKVVBVUNBRUXJVVEYLXCVVFUXPUYKXAZUWKUXJWLUYNVUNUWGEY
      OZYFUWKVVOVWBYGUXJUWKUWOVVRVVNVWAUWKUWNVVQGPUWKUDBCUWIEVWCAUWJWLZYHTUWKVV
      KVVTVVMUYAUXSUWKVVJVVSGPUWKVVJUWCVVSUXLVVJUWCSZUWKUXMEUVRUWIYMZYNUWKUDBCU
      VREVWCUWJUVSAUXNYBYHYPTUWKVVMGUDUWHVVPYDZPQUYAUWKVVLVWIGPUWKVVLVVGVWIUYIV
      VLVVGSZUWKUYJEUWHUWIYMZYNUWKUDBCUWHEVWCUWKUWHUWIBUYJVWFXEYHYPTUWKVVPCUYAU
      DGUWGXLHAUXGUWJAUXCUXGJUXHYQWCVVFUWKUYKXAUWKBCUWGEVWCUWKUWIBUWGVWFUYHUWKU
      YLXAXBXCVUNUWGSVVPUYASUWKVWEYBYRYPUUAYJWCYKVVKUWDVVMVVHUXSVVJUWCGPUXLVWGU
      XMVWHWJVKVVLVVGGPUYIVWJUYJVWKWJVKUUBUUCUXPVVHUYAUWDUXSUXPVVHGUEUWHUEULZEV
      IZYDZPQZUYAUXPVVGVWNGPUXPUEBCUWHEUYFUXPUWHUWIBUYJUYGXEYHTUXPUXGVVFUYDVWOU
      YASUXPUYOUXGUYPGUUDYQVWDUYNVWMCUYAUEGUWGXLHVWLUWGEYOUUFXSYPTYPWCUUEUUGUUH
      UUIUUJUUKYEUULUUMAUUODGPADBYSUUODSVUIBDYTYQTAUUQEGPAEBYSUUQESVUJBEYTYQTUU
      N $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The symmetric group
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d D p $.  $d G p $.  $d P p $.  $d Q p $.  $d V p $.
    symgfcoeu.g $e |- G = ( Base ` ( SymGrp ` D ) ) $.
    $( Uniqueness property of permutations.  (Contributed by Thierry Arnoux,
       22-Aug-2020.) $)
    symgfcoeu $p |- ( ( D e. V /\ P e. G /\ Q e. G )
      -> E! p e. G Q = ( P o. p ) ) $=
      ( wcel ccom wceq cfv eqid syl2anc eqeltrrd wa wf1o symgbasf1o 3syl coeq1d
      coass w3a ccnv cv wi wral csymg cminusg symginv 3ad2ant2 symggrp 3ad2ant1
      wreu cgrp simp2 grpinvcl simp3 cplusg co symgov symgcl cid cres f1ococnv2
      eqtr3id wf f1of fcoi2 syl eqtr2d coeq2d f1ococnv1 ad2antrr simplr 3eqtrrd
      simpr ex ralrimiva coeq2 eqeq2d eqreu syl3anc ) AEHZBDHZCDHZUAZBUBZCIZDHZ
      CBWGIZJZCBFUCZIZJZWKWGJZUDZFDUEWMFDULWEWFDHZWDWHWEBAUFKZUGKZKZWFDWCWBWSWF
      JWDADBWQWRWQLZGWRLZUHUIWEWQUMHZWCWSDHWBWCXBWDAWQEWTUJUKWBWCWDUNZDWQWRBGXA
      UOMNWBWCWDUPZWPWDOWFCWQUQKZURWGDADXEWQWFCWTGXELZUSADXEWQWFCWTGXFUTNMWEWIV
      AAVBZCIZCWEWIBWFIZCIXHBWFCTWEXIXGCWEWCAABPZXIXGJXCADBWQWTGQZAABVCRSVDWEAA
      CVEZXHCJWEWDAACPXLXDADCWQWTGQAACVFRAACVGVHVIWEWOFDWEWKDHZOZWMWNXNWMOZWGWF
      WLIZXGWKIZWKXOCWLWFXNWMVOVJXOXPWFBIZWKIZXQWFBWKTWEXSXQJXMWMWEXRXGWKWEWCXJ
      XRXGJXCXKAABVKRSVLVDXOAAWKVEZXQWKJXOXMAAWKPXTWEXMWMVMADWKWQWTGQAAWKVFRAAW
      KVGVHVNVPVQWMWJFDWGWNWLWICWKWGBVRVSVTWA $.
  $}

  ${
    symgcom.g $e |- G = ( SymGrp ` A ) $.
    symgcom.b $e |- B = ( Base ` G ) $.
    symgcom.x $e |- ( ph -> X e. B ) $.
    symgcom.y $e |- ( ph -> Y e. B ) $.
    ${
      symgcom.1 $e |- ( ph -> ( X |` E ) = ( _I |` E ) ) $.
      symgcom.2 $e |- ( ph -> ( Y |` F ) = ( _I |` F ) ) $.
      symgcom.3 $e |- ( ph -> ( E i^i F ) = (/) ) $.
      symgcom.4 $e |- ( ph -> ( E u. F ) = A ) $.
      $( Two permutations ` X ` and ` Y ` commute if their orbits are disjoint.
         (Contributed by Thierry Arnoux, 15-Oct-2023.) $)
      symgcom $p |- ( ph -> ( X o. Y ) = ( Y o. X ) ) $=
        ( cres ccom wceq wf1o cun reseq2d resundi cid crn wss wf cdif ccnv wfun
        resco wfo wcel symgbasf1o syl f1ocnv 3syl wfn f1ofn fnresdm f1ofo foeq1
        f1ofun biimpar syl2anc f1oi mp1i resdif syl3anc c0 ssun2 sseqtrid incom
        cin eqtr3id uncom wa uneqdifeq syl21anc f1oeq123d mpbid f1of frnd cores
        biimpa eqtr4id coeq1d fcoi2 3eqtrd coeq2d coires1 eqtrdi syl5eq uneq12d
        f1oco 3eqtr3d ssun1 eqtr3d ) AHDQZGEQZUAZGHRZHGRZAXBDEUAZQZXBBQZXAXBAXD
        BXBPUBAXEXBDQZXBEQZUAXAXBDEUCAXGWSXHWTAXGGDQZWSRZUDDQZWSRZWSAXGGWSRZXJG
        HDUKAWSUEDUFXJXMSADDWSADDWSTZDDWSUGZABEUHZXPHXPQZTZXNAHUIZUJZBBHBQZULZE
        EHEQZULZXRABBHTZBBXSTXTAHCUMYELBCHFIJUNUOZBBHUPBBXSVCUQAYAHSZBBHULZYBAY
        EHBURYGYFBBHUSBHUTUQAYEYHYFBBHVAUOYGYBYHBBYAHVBVDVEAYCUDEQZSZEEYIULZYDN
        EEYITYKAEVFEEYIVAVGYJYDYKEEYCYIVBVDVEBEBEHVHVIAXPDXPDXQWSAXPDHAEBUFZEDV
        NZVJSZEDUAZBSZXPDSZAXDEBEDVKPVLAYMDEVNZVJDEVMOVOAYOXDBDEVPPVOYLYNVQYPYQ
        EDBVRWEVSZUBYSYSVTWADDWSWBUOZWCGWSDWDUOWFAXIXKWSMWGAXOXLWSSYTDDWSWHUOWI
        AXHGYCRZWTGHEUKAUUAGYIRWTAYCYIGNWJGEWKWLWMWNWMABBXBTZXBBURXFXBSABBGTZYE
        UUBAGCUMUUCKBCGFIJUNUOZYFBBBGHWOVEBBXBUSBXBUTUQWPAXCXDQZXCBQZXAXCAXDBXC
        PUBAUUEXCDQZXCEQZUAXAXCDEUCAUUGWSUUHWTAUUGHXIRZWSHGDUKAUUIHXKRWSAXIXKHM
        WJHDWKWLWMAUUHYCWTRZYIWTRZWTAUUHHWTRZUUJHGEUKAWTUEEUFUUJUULSAEEWTAEEWTT
        ZEEWTUGZABDUHZUUOGUUOQZTZUUMAGUIZUJZBBGBQZULZDDXIULZUUQAUUCBBUURTUUSUUD
        BBGUPBBUURVCUQAUUTGSZBBGULZUVAAUUCGBURUVCUUDBBGUSBGUTUQAUUCUVDUUDBBGVAU
        OUVCUVAUVDBBUUTGVBVDVEAXIXKSZDDXKULZUVBMDDXKTUVFADVFDDXKVAVGUVEUVBUVFDD
        XIXKVBVDVEBDBDGVHVIAUUOEUUOEUUPWTAUUOEGADBUFZYRVJSZXDBSZUUOESZAXDDBDEWQ
        PVLOPUVGUVHVQUVIUVJDEBVRWEVSZUBUVKUVKVTWAEEWTWBUOZWCHWTEWDUOWFAYCYIWTNW
        GAUUNUUKWTSUVLEEWTWHUOWIWNWMABBXCTZXCBURUUFXCSAYEUUCUVMYFUUDBBBHGWOVEBB
        XCUSBXCUTUQWPWR $.
    $}

    ${
      symgcom2.1 $e |- ( ph -> ( dom ( X \ _I ) i^i dom ( Y \ _I ) ) = (/) ) $.
      $( Two permutations ` X ` and ` Y ` commute if their orbits are disjoint.
         (Contributed by Thierry Arnoux, 17-Nov-2023.) $)
      symgcom2 $p |- ( ph -> ( X o. Y ) = ( Y o. X ) ) $=
        ( cid cdif cdm cres wfn wss cin wceq syl wcel wf symgbasf fnresi difssd
        ffnd a1i ssidd nfpconfp inres wrel reli ax-mp eqsstrrd relssres sylancr
        relin2 syl5eq dmeqd eqtr4d sseqtrd w3a fnreseql syl31anc resabs1d eqtrd
        biimpar difss dmss fdm 3syl sseqtrid c0 wb reldisj mpbid sseqtrrd difid
        difin2 eqtr3di cun undif1 ssequn2 sylib symgcom ) ABCBELMZNZMZWGDEFGHIJ
        AEWHOZLBOZWHOZLWHOAEBPZWJBPZWHBQZWHEWJRZNZQZWIWKSZABBEAECUAZBBEUBZIBCED
        GHUCZTUFZWMABUDUGZABWGUEZAWHWHWPAWHUHAWHELRZNZWPAWLWHXFSXBBEUITZAWOXEAW
        OXEBOZXEELBUJAXEUKZXFBQXHXESLUKZXIULELUQUMAXFWHBXGXDUNXEBUOUPURUSUTVAWL
        WMWNVBWRWQBEWJWHVCVGVDALWHBXDVEVFAFWGOZWJWGOZLWGOAFBPZWMWGBQZWGFWJRZNZQ
        ZXKXLSZABBFAFCUABBFUBJBCFDGHUCTUFZXCAENZWGBWFEQWGXTQELVHWFEVIUMAWSWTXTB
        SIXABBEVJVKVLZAWGFLRZNZXPAWGBFLMNZMZYCAWGYDRVMSZWGYEQZKAXNYFYGVNYAWGYDB
        VOTVPAXMYEYCSXSBFUITZVAAXOYBAXOYBBOZYBFLBUJAYBUKZYCBQYIYBSXJYJULFLUQUMA
        YCYEBYHABYDUEUNYBBUOUPURUSVQXMWMXNVBXRXQBFWJWGVCVGVDALWGBYAVEVFAWGWGMZW
        HWGRZVMAXNYKYLSYAWGWGBVSTWGVRVTAWHWGWABWGWAZBBWGWBAXNYMBSYAWGBWCWDURWE
        $.
    $}
  $}

  ${
    $d A c d x $.  $d B c $.  $d S c d $.  $d c d ph $.
    symgcntz.s $e |- S = ( SymGrp ` D ) $.
    symgcntz.b $e |- B = ( Base ` S ) $.
    symgcntz.z $e |- Z = ( Cntz ` S ) $.
    symgcntz.a $e |- ( ph -> A C_ B ) $.
    symgcntz.1 $e |- ( ph -> Disj_ x e. A dom ( x \ _I ) ) $.
    $( All elements of a (finite) set of permutations commute if their orbits
       are disjoint.  (Contributed by Thierry Arnoux, 20-Nov-2023.) $)
    symgcntz $p |- ( ph -> A C_ ( Z ` A ) ) $=
      ( vc vd cv co wceq wcel wa cid cfv cplusg wral simpr oveq1d oveq2d eqtr4d
      wss wne ccom ad2antrr simplrl sseldd simplrr cdif cdm wdisj cin c0 difeq1
      dmeqd disji2 syl121anc symgcom2 eqid symgov syl2anc pm2.61dane ralrimivva
      3eqtr4d wb sscntz mpbird ) ACCGUAUHZMOZNOZFUBUAZPZVPVOVQPZQZNCUCMCUCZAVTM
      NCCAVOCRZVPCRZSZSZVTVOVPWEVOVPQZSZVRVPVPVQPVSWGVOVPVPVQWEWFUDZUEWGVOVPVPV
      QWHUFUGWEVOVPUIZSZVOVPUJZVPVOUJZVRVSWJEDFVOVPHIWJCDVOACDUHZWDWIKUKZAWBWCW
      IULZUMZWJCDVPWNAWBWCWIUNZUMZWJBCBOZTUOZUPZUQZWBWCWIVOTUOZUPZVPTUOZUPZURUS
      QAXBWDWILUKWOWQWEWIUDBCXAXDXFVOVPWSVOQWTXCWSVOTUTVAWSVPQWTXEWSVPTUTVAVBVC
      VDWJVODRZVPDRZVRWKQWPWREDVQFVOVPHIVQVEZVFVGWJXHXGVSWLQWRWPEDVQFVPVOHIXIVF
      VGVJVHVIAWMWMVNWAVKKKMNDVQCCFGIXIJVLVGVM $.
  $}

  ${
    odpmco.s $e |- S = ( SymGrp ` D ) $.
    odpmco.b $e |- B = ( Base ` S ) $.
    odpmco.a $e |- A = ( pmEven ` D ) $.
    $( The composition of two odd permutations is even.  (Contributed by
       Thierry Arnoux, 15-Oct-2023.) $)
    odpmco $p |- ( ( D e. Fin /\ X e. ( B \ A ) /\ Y e. ( B \ A ) )
                      -> ( X o. Y ) e. A ) $=
      ( wcel cdif cfv c1 wceq co eldifad eqid syl2anc cmul eleqtrd cfn w3a ccom
      cevpm cpsgn simp1 cplusg simp2 symgov symgcl eqeltrrd psgnco syl3anc cneg
      simp3 a1i difeq2d psgnodpm oveq12d neg1mulneg1e1 eqtrdi psgnevpmb biimpar
      eqtrd wa syl12anc eleqtrrdi ) CUAJZEBAKZJZFVIJZUBZEFUCZCUDLZAVLVHVMBJZVMC
      UELZLZMNZVMVNJZVHVJVKUFZVLEFDUGLZOZVMBVLEBJZFBJZWBVMNVLEBAVHVJVKUHZPZVLFB
      AVHVJVKUOZPZCBWADEFGHWAQZUIRVLWCWDWBBJWFWHCBWADEFGHWIUJRUKVLVQEVPLZFVPLZS
      OZMVLVHWCWDVQWLNVTWFWHCBDEFVPGVPQZHULUMVLWLMUNZWNSOMVLWJWNWKWNSVLVHEBVNKZ
      JWJWNNVTVLEVIWOWEVLAVNBAVNNVLIUPUQZTCBDEVPGHWMURRVLVHFWOJWKWNNVTVLFVIWOWG
      WPTCBDFVPGHWMURRUSUTVAVDVHVSVOVRVECBDVMVPGHWMVBVCVFIVG $.
  $}

  ${
    symgsubg.g $e |- G = ( SymGrp ` A ) $.
    symgsubg.b $e |- B = ( Base ` G ) $.
    symgsubg.m $e |- .- = ( -g ` G ) $.
    $( The value of the group subtraction operation of the symmetric group.
       (Contributed by Thierry Arnoux, 15-Oct-2023.) $)
    symgsubg $p |- ( ( X e. B /\ Y e. B ) -> ( X .- Y ) = ( X o. `' Y ) ) $=
      ( wcel wa co cminusg cfv cplusg ccnv ccom eqid wceq cvv grpsubval symginv
      adantl oveq2d cgrp csymg elbasfv symggrp syl grpinvcl sylan symgov syldan
      eqeltrrd 3eqtrd ) EBJZFBJZKZEFDLEFCMNZNZCONZLEFPZVALZEVBQZBVACUSDEFHVARZU
      SRZIUAURUTVBEVAUQUTVBSUPABFCUSGHVFUBUCZUDUPUQVBBJVCVDSURUTVBBVGUPCUEJZUQU
      TBJUPATJVHBCUFEAGHUGACTGUHUIBCUSFHVFUJUKUNABVACEVBGHVEULUMUO $.
  $}

  ${
    pmtrprfv2.t $e |- T = ( pmTrsp ` D ) $.
    $( In a transposition of two given points, each maps to the other.
       (Contributed by Thierry Arnoux, 22-Aug-2020.) $)
    pmtrprfv2 $p |- ( ( D e. V /\ ( X e. D /\ Y e. D /\ X =/= Y ) )
                   -> ( ( T ` { X , Y } ) ` Y ) = X ) $=
      ( wcel wne w3a wa cpr prcom fveq2i fveq1i wceq ancom necom anbi12i df-3an
      cfv 3bitr4i pmtrprfv sylan2b eqtr3id ) ACGZDAGZEAGZDEHZIZJEDEKZBTZTEEDKZB
      TZTZDEUMUKULUJBEDLMNUIUEUGUFEDHZIZUNDOUFUGJZUHJUGUFJZUOJUIUPUQURUHUOUFUGP
      DEQRUFUGUHSUGUFUOSUAABCEDFUBUCUD $.
  $}

  ${
    $d F x $.  $d I x $.  $d J x $.  $d T x $.  $d ph x $.
    pmtrcnel.s $e |- S = ( SymGrp ` D ) $.
    pmtrcnel.t $e |- T = ( pmTrsp ` D ) $.
    pmtrcnel.b $e |- B = ( Base ` S ) $.
    pmtrcnel.j $e |- J = ( F ` I ) $.
    pmtrcnel.d $e |- ( ph -> D e. V ) $.
    pmtrcnel.f $e |- ( ph -> F e. B ) $.
    pmtrcnel.i $e |- ( ph -> I e. dom ( F \ _I ) ) $.
    $( Composing a permutation ` F ` with a transposition which results in
       moving at least one less point.  Here the set of points moved by a
       permutation ` F ` is expressed as ` dom ( F \ _I ) ` .  (Contributed by
       Thierry Arnoux, 16-Nov-2023.) $)
    pmtrcnel $p |- ( ph -> dom ( ( ( T ` { I , J } ) o. F ) \ _I )
                                C_ ( dom ( F \ _I ) \ { I } ) ) $=
      ( cfv cid wcel wceq vx cpr ccom cdif cdm csn cv wne cun mvdco wss c2o cen
      wa wbr difss dmss ax-mp sselid wf1o wf symgbasf1o f1of 3syl fdmd ffvelrnd
      eleqtrd eqeltrid prssd wfn ffnd fnelnfp biimpa syl21anc neeqtrrd pr2nelem
      necomd a1i syl3anc pmtrmvd syl f1omvdmvd syl2anc eldifad eqsstrd sseqtrid
      ssequn1 sylib sselda wn simpr crn eqid pmtrrn pmtrff1o f1oco f1ofn fvco3d
      eqcomd fveq2d pmtrprfv2 syl13anc 3eqtrd nne sylibr notbid adantr eqneltrd
      biimpar ex necon2ad imp eldifsn sylanbrc ssrdv ) AUAGHUBZEQZFUCZRUDUEZFRU
      DZUEZGUFZUDZAUAUGZXSSZYDYCSZAYEUNYDYASYDGUHZYFAXSYAYDAXQRUDUEZYAUIZXSYAXQ
      FUJAYHYAUKYIYATAYHXPYAACISZXPCUKZXPULUMUOZYHXPTNAGHCAGFUEZCAYAYMGXTFUKYAY
      MUKFRUPXTFUQURPUSACCFAFBSZCCFUTZCCFVAOCBFDJLVBZCCFVCVDZVEVGZAHGFQZCMACCGF
      YQYRVFVHZVIZAGCSZHCSZGHUHZYLYRYTAGYSHAYSGAFCVJZUUBGYASZYSGUHZACCFYQVKYRPU
      UEUUBUNUUFUUGCFGVLVMVNVQHYSTAMVRZVOZGHCCVPVSZCXPEIKVTVSAGHYAPAHYAYBAHYSYC
      MAYOUUFYSYCSAYNYOOYPWAZPCFGWBWCVHWDVIWEYHYAWGWHWFWIAYEYGAYEYDGAYDGTZYEWJA
      UULUNYDGXSAUULWKAGXSSZWJZUULAXRCVJZUUBGXRQZGUHZWJZUUNACCXRUTZUUOACCXQUTZY
      OUUSAXQEWLZSZUUTAYJYKYLUVBNUUAUUJCXPUVAEIKUVAWMZWNVSCUVAEXQKUVCWOWAUUKCCC
      XQFWPWCCCXRWQWAYRAUUPGTUURAUUPYSXQQHXQQZGACCGXQFYQYRWRAYSHXQAHYSUUHWSWTAY
      JUUBUUCUUDUVDGTNYRYTUUICEIGHKXAXBXCUUPGXDXEUUOUUBUNZUUNUURUVEUUMUUQCXRGVL
      XFXIVNXGXHXJXKXLYDYAGXMXNXJXO $.

    $( Variation on ~ pmtrcnel .  (Contributed by Thierry Arnoux,
       16-Nov-2023.) $)
    pmtrcnel2 $p |- ( ph -> ( dom ( F \ _I ) \ { I , J } )
                                C_ dom ( ( ( T ` { I , J } ) o. F ) \ _I ) ) $=
      ( cid cdif cdm wcel cpr cfv ccom cun ccnv wss mvdco a1i cres crn wf1o c2o
      coass wceq cen wbr difss dmss sselid wf symgbasf1o f1of 3syl fdmd eleqtrd
      ax-mp ffvelrnd eqeltrid prssd wne wfn ffnd fnelnfp biimpa syl21anc necomd
      wa neeqtrrd pr2nelem syl3anc eqid pmtrrn pmtrff1o f1ococnv1 eqtr3id fcoi2
      coeq1d syl eqtrd difeq1d dmeqd pmtrmvd uneq1d uncom eqtrdi 3sstr3d ssdifd
      pmtrfcnv difun2 eqsstri sstrdi ) AFQRZSZGHUAZRXDEUBZFUCZQRSZXDUDZXDRZXGAX
      CXHXDAXEUEZXFUCZQRZSZXJQRZSZXGUDZXCXHXMXPUFAXJXFUGUHAXLXBAXKFQAXKQCUIZFUC
      ZFAXKXJXEUCZFUCXRXJXEFUMAXSXQFAXEEUJZTZCCXEUKXSXQUNACITZXDCUFZXDULUOUPZYA
      NAGHCAGFSZCAXCYEGXBFUFXCYEUFFQUQXBFURVFPUSACCFAFBTCCFUKCCFUTZOCBFDJLVACCF
      VBVCZVDVEZAHGFUBZCMACCGFYGYHVGVHZVIZAGCTZHCTGHVJYDYHYJAGYIHAYIGAFCVKZYLGX
      CTZYIGVJZACCFYGVLYHPYMYLVQYNYOCFGVMVNVOVPHYIUNAMUHVRGHCCVSVTZCXDXTEIKXTWA
      ZWBVTZCXTEXEKYQWCCCXEWDVCWGWEAYFXRFUNYGCCFWFWHWIWJWKAXPXDXGUDXHAXOXDXGAXO
      XEQRZSZXDAXNYSAXJXEQAYAXJXEUNYRCXTEXEKYQWRWHWJWKAYBYCYDYTXDUNNYKYPCXDEIKW
      LVTWIWMXDXGWNWOWPWQXIXGXDRXGXGXDWSXGXDUQWTXA $.

    pmtrcnel.e $e |- E = dom ( F \ _I ) $.
    pmtrcnel.a $e |- A = dom ( ( ( T ` { I , J } ) o. F ) \ _I ) $.
    $( Composing a permutation ` F ` with a transposition which results in
       moving one or two less points.  (Contributed by Thierry Arnoux,
       16-Nov-2023.) $)
    pmtrcnelor $p |- ( ph -> ( A = ( E \ { I , J } ) \/ A = ( E \ { I } ) ) )
       $=
      ( cpr cdif c0 wceq csn wo wss cfv cid cdm pmtrcnel difeq1i 3sstr4g ssdifd
      ccom difpr difeq2i wcel wne wf1o symgbasf1o syl f1omvdmvd syl2anc eldifad
      eqeltrid eleqtrrdi a1i wfn f1of ffnd difss dmss ax-mp sselid fdmd eleqtrd
      wf wa fnelnfp biimpa syl21anc eqnetrd eldifsn sylanbrc snssd dfss4 syl5eq
      sylib sseqtrd sssn simpr pmtrcnel2 ssdif0 adantr ex cun eqsstrrid ssundif
      eqdif sylibr ssidd sseqtrrd difss2d ssequn1 eqssd orim12d mpd ) ABGIJUAZU
      BZUBZUCUDZXKJUEZUDZUFZBXJUDZBGIUEZUBZUDZUFAXKXMUGXOAXKXRXJUBZXMABXRXJAXIF
      UHHUOUIUBUJZHUIUBZUJZXQUBZBXRACDEFHIJKLMNOPQRUKTGYCXQSULUMZUNAXTXRXRXMUBZ
      UBZXMXJYFXRGIJUPZUQAXMXRUGYGXMUDAJXRAJGURJIUSJXRURAJYCGAJYCXQAJIHUHZYDOAD
      DHUTZIYCURZYIYDURAHCURYJQDCHELNVAVBZRDHIVCVDVFVESVGAJYIIJYIUDAOVHAHDVIZID
      URZYKYIIUSZADDHAYJDDHVRYLDDHVJVBZVKAIHUJZDAYCYQIYBHUGYCYQUGHUIVLYBHVMVNRV
      OADDHYPVPVQRYMYNVSYKYODHIVTWAWBWCJGIWDWEWFXMXRWGWIWHWJXKJWKWIAXLXPXNXSAXL
      XPAXLVSXLXJBUBUCUDZXPAXLWLAYRXLAXJBUGYRAYCXIUBYAXJBACDEFHIJKLMNOPQRWMGYCX
      ISULTUMZXJBWNWIWOBXJWTVDWPAXNXSAXNVSZBXRABXRUGXNYEWOYTXRXMBWQZBYTYFBUGZXR
      UUAUGAUUBXNAYFXJBYHYSWRWOXRXMBWSXAYTXMBUGUUABUDYTXMBXJYTXMXMXKYTXMXBAXNWL
      XCXDXMBXEWIWJXFWPXGXH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Transpositions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    pmtridf1o.a $e |- ( ph -> A e. V ) $.
    pmtridf1o.x $e |- ( ph -> X e. A ) $.
    pmtridf1o.y $e |- ( ph -> Y e. A ) $.
    pmtridf1o.t $e |- T = if ( X = Y , ( _I |` A )
                                          , ( ( pmTrsp ` A ) ` { X , Y } ) ) $.
    $( Transpositions of ` X ` and ` Y ` (understood to be the identity when
       ` X = Y ` ), are bijections.  (Contributed by Thierry Arnoux,
       1-Jan-2022.) $)
    pmtridf1o $p |- ( ph -> T : A -1-1-onto-> A ) $=
      ( wf1o wceq wa cfv syl5eq wcel syl adantr syl3anc eqid cid cres cpr cpmtr
      cif iftrue adantl f1oi a1i f1oeq1 biimpar syl2anc wne crn wn simpr neneqd
      iffalse wss c2o cen wbr prssd pr2nelem pmtrrn eqeltrd pmtrff1o pm2.61dane
      ) ABBCKZEFAEFLZMZCUABUBZLZBBVLKZVIVKCVJVLEFUCZBUDNZNZUEZVLJVJVRVLLAVJVLVQ
      UFUGOVNVKBUHUIVMVIVNBBCVLUJUKULAEFUMZMZCVPUNZPVIVTCVQWAVTCVRVQJVTVJUOVRVQ
      LVTEFAVSUPZUQVJVLVQURQOVTBDPZVOBUSVOUTVAVBZVQWAPAWCVSGRVTEFBAEBPZVSHRZAFB
      PZVSIRZVCVTWEWGVSWDWFWHWBEFBBVDSBVOWAVPDVPTZWATZVESVFBWAVPCWIWJVGQVH $.

    $( Value at X of the transposition of ` X ` and ` Y ` (understood to be the
       identity when X = Y ).  (Contributed by Thierry Arnoux, 3-Jan-2022.) $)
    pmtridfv1 $p |- ( ph -> ( T ` X ) = Y ) $=
      ( cfv wceq wa cid cres simpr syl5eq fveq1d wcel adantr cpr iftrued fvresi
      cpmtr cif syl 3eqtrd wne iffalsed eqid pmtrprfv syl13anc eqtrd pm2.61dane
      neneqd ) AECKZFLEFAEFLZMZUPENBOZKZEFURECUSURCUQUSEFUABUDKZKZUEZUSJURUQUSV
      BAUQPZUBQRAUTELZUQAEBSZVEHBEUCUFTVDUGAEFUHZMZUPEVBKZFVHECVBVHCVCVBJVHUQUS
      VBVHEFAVGPZUOUIQRVHBDSZVFFBSZVGVIFLAVKVGGTAVFVGHTAVLVGITVJBVADEFVAUJUKULU
      MUN $.

    $( Value at Y of the transposition of ` X ` and ` Y ` (understood to be the
       identity when X = Y ).  (Contributed by Thierry Arnoux, 3-Jan-2022.) $)
    pmtridfv2 $p |- ( ph -> ( T ` Y ) = X ) $=
      ( cfv wceq wa cid cres wcel adantr simpr syl5eq fveq1d fvresi syl cpr cif
      cpmtr iftrued 3eqtr4d wne neneqd iffalsed eqid pmtrprfv2 eqtrd pm2.61dane
      syl13anc ) AFCKZELEFAEFLZMZFNBOZKZFUPEAUTFLZUQAFBPZVAIBFUAUBQURFCUSURCUQU
      SEFUCBUEKZKZUDZUSJURUQUSVDAUQRZUFSTVFUGAEFUHZMZUPFVDKZEVHFCVDVHCVEVDJVHUQ
      USVDVHEFAVGRZUIUJSTVHBDPZEBPZVBVGVIELAVKVGGQAVLVGHQAVBVGIQVJBVCDEFVCUKULU
      OUMUN $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Permutation Signs
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    psgnid.s $e |- S = ( pmSgn ` D ) $.
    $( Permutation sign of the identity.  (Contributed by Thierry Arnoux,
       21-Aug-2020.) $)
    psgnid $p |- ( D e. Fin -> ( S ` ( _I |` D ) ) = 1 ) $=
      ( cfn wcel cid cres cfv csymg c1 eqid symgid fveq2d ccnfld cmgp cneg wceq
      c0g co cc cpr cress cghm psgnghm2 cmnd wss crg cnring ringmgp ax-mp prid1
      1ex ax-1cn neg1cn prssi mp2an cnfldbas mgpbas cnfld1 ringidval ress0g syl
      mp3an ghmid eqtrd ) ADEZFAGZBHAIHZRHZBHZJVFVGVIBAVHDVHKZLMVFBVHNOHZJJPZUA
      ZUBSZUCSEVJJQAVHVOBVKCVOKZUDVHVOBVIJVIKVLUEEZJVNEVNTUFZJVORHQNUGEVQUHNVLV
      LKZUIUJJVMULUKJTEVMTEVRUMUNJVMTUOUPVNTVLVOJVPTNVLVSUQURNJVLVSUSUTVAVCVDVB
      VE $.
  $}

  ${
    $d D p $.  $d G p $.
    psgndmfi.s $e |- S = ( pmSgn ` D ) $.
    psgndmfi.g $e |- G = ( Base ` ( SymGrp ` D ) ) $.
    $( For a finite base set, the permutation sign is defined for all
       permutations.  (Contributed by Thierry Arnoux, 22-Aug-2020.) $)
    psgndmfi $p |- ( D e. Fin -> S Fn G ) $=
      ( vp cfn wcel cv cid cdif cdm crab wfn csymg cfv eqid psgnfn wral wceq
      sygbasnfpfi ralrimiva rabid2 sylibr eqcomd fneq2d mpbii ) AGHZBFIZJKLGHZF
      CMZNBCNCAUKAOPZBFULQZEUKQDRUHUKCBUHCUKUHUJFCSCUKTUHUJFCCAUIULUMEUAUBUJFCU
      CUDUEUFUG $.
  $}

  ${
    psgnfzto1st.d $e |- D = ( 1 ... N ) $.
    ${
      pmtrto1cl.t $e |- T = ( pmTrsp ` D ) $.
      $( Useful lemma for the following theorems.  (Contributed by Thierry
         Arnoux, 21-Aug-2020.) $)
      pmtrto1cl $p |- ( ( K e. NN /\ ( K + 1 ) e. D )
        -> ( T ` { K , ( K + 1 ) } ) e. ran T ) $=
        ( cn wcel c1 caddc co wa cfn cpr wbr cle w3a elfz1b nnred syl3anc simpl
        wss c2o cen cfv crn cfz fzfi eqeltri a1i simpr eleqtrdi simp2d readdcld
        sylib 1red lep1d simp3d letrd 3jca sylibr eleqtrrdi prssi syl2anc ltp1d
        wne ltned pr2nelem eqid pmtrrn ) CGHZCIJKZAHZLZAMHZCVLNZAUBZVPUCUDOZVPB
        UEBUFZHVOVNAIDUGKZMEIDUHUIUJVNCAHZVMVQVNCVTAVNVKDGHZCDPOZQCVTHVNVKWBWCV
        KVMUAZVNVLGHZWBVLDPOZVNVLVTHWEWBWFQVNVLAVTVKVMUKZEULDVLRUOZUMZVNCVLDVNC
        WDSZVNCIWJVNUPUNVNDWISVNCWJUQVNWEWBWFWHURUSUTDCRVAEVBZWGCVLAVCVDVNWAVMC
        VLVFVRWKWGVNCVLWJVNCWJVEVGCVLAAVHTAVPVSBMFVSVIVJT $.
    $}

    $d D i x $.  $d K i x $.
    $( Lemma for ~ psgnfzto1st .  Our permutation of rank ` ( n + 1 ) ` can be
       written as a permutation of rank ` n ` composed with a transposition.
       (Contributed by Thierry Arnoux, 21-Aug-2020.) $)
    psgnfzto1stlem $p |- ( ( K e. NN /\ ( K + 1 ) e. D ) -> ( i e. D |->
      if ( i = 1 , ( K + 1 ) , if ( i <_ ( K + 1 ) , ( i - 1 ) , i ) ) )
      = ( ( ( pmTrsp ` D ) ` { K , ( K + 1 ) } ) o. ( i e. D |->
      if ( i = 1 , K , if ( i <_ K , ( i - 1 ) , i ) ) ) ) ) $=
      ( cn wcel c1 wa wceq cle wbr cmin cif cfv a1i simpr nnred syl ad3antrrr
      vx caddc co cv cmpt cpr cpmtr ccom wfn ovex vex ifex eqid fnmpti crn wf1o
      wss pmtrto1cl pmtrff1o f1ofn 3syl iftrued cfz simpl fz1ssnn eleq2i biimpi
      wral adantl sselid elfz1b simp2bi lep1d elfzle2 letrd nnzd fznn mpbir2and
      cz eleqtrrdi ad2antrr eqeltrd iffalsed adantr eqsstri simpllr nn1m1nn ord
      wb wn wo mpd cr lem1d eleqtrdi jca pm2.61dan ralrimiva fnmpt rnmptss fnco
      mpbird syl3anc fveq2d cfn wne fzfi eqeltri sylibr ltp1d pmtrprfv syl13anc
      ltned eqtr2d ad4antr pmtrprfv2 clt breqtrrd ltnled mpbid eqtrd recnd 1cnd
      oveq1d pncand 3eqtr4rd simplr necomd syl2anc w3a 3jca ex pmtrprfv3 ifeqda
      imp eqtr4d cvv breq1 ifbieq12d ifbieq2d ltlend simpll nnleltp1 simp-5r c2
      cuz elnn1uz2 sylib uz2m1nn cc npcand necon3d pm2.61dane con3d lttrd eqidd
      lelttrd eqeq1 oveq1 id ifcli ifexd fvmptd wfun cdm funmpt dmmptg eleqtrrd
      fvmpt fvco 3eqtr4d eqfnfvd ) CFGZCHUBUCZAGZIZUAABABUDZHJZUVNUVQUVNKLZUVQH
      MUCZUVQNZNZUEZCUVNUFAUGOZOZBAUVRCUVQCKLZUVTUVQNZNZUEZUHZUWCAUIUVPBAUWBUWC
      UVRUVNUWACHUBUJZUVSUVTUVQUVQHMUJBUKULULUWCUMZUNPUVPUWEAUIZUWIAUIZUWIUOAUQ
      ZUWJAUIUVPUWEUWDUOZGAAUWEUPUWMAUWDCDEUWDUMZURAUWPUWDUWEUWQUWPUMUSAAUWEUTV
      AUVPUWHAGZBAVHZUWNUVPUWRBAUVPUVQAGZIZUVRUWRUXAUVRIZUWHCAUXBUVRCUWGUXAUVRQ
      VBUVPCAGZUWTUVRUVPCHDVCUCZAUVPCUXDGZUVMCDKLZUVMUVOVDZUVPCUVNDUVPCUXGRZUVP
      UVNUVPUXDFUVNDVEZUVOUVNUXDGZUVMUVOUXJAUXDUVNEVFZVGZVIZVJRZUVPDUVODFGZUVMU
      VOUXJUXOUXLUXJUVNFGUXOUVNDKLZDUVNVKVLSZVIZRZUVPCUXHVMZUVPUXJUXPUXMUVNHDVN
      SVOUVPDVSGZUXEUVMUXFIWIUVPDUXRVPZCDVQSVREVTZWAWBUXAUVRWJZIZUWHUWGAUYEUVRC
      UWGUXAUYDQZWCUYEUWFUWGAGUYEUWFIZUWGUVTAUYGUWFUVTUVQUYEUWFQVBUYGUVTUXDAUYG
      UVTUXDGZUVTFGZUVTDKLZIZUYGUYIUYJUYGUYDUYIUYEUYDUWFUYFWDUYGUVRUYIUYGUVQFGU
      VRUYIWKUYGAFUVQAUXDFEUXIWEZUVPUWTUYDUWFWFZVJZUVQWGSWHWLZUYGUVTUVQDUYGUVTU
      YORUYGUVQUYNRZUVPDWMGZUWTUYDUWFUXSTUYGUVQUYPWNUYGUVQUXDGUVQDKLUYGUVQAUXDU
      YMEWOUVQHDVNSVOWPUVPUYHUYKWIZUWTUYDUWFUVPUYAUYRUYBUVTDVQSTXBEVTWBUYEUWFWJ
      ZIZUWGUVQAUYTUWFUVTUVQUYEUYSQWCUVPUWTUYDUYSWFWBWQWBWQWRZBAUWHUWIAUWIUMZWS
      SUVPUWSUWOVUABAUWHAUWIVUBWTSAAUWEUWIXAXCUVPUAUDZAGZIZVUCHJZUVNVUCUVNKLZVU
      CHMUCZVUCNZNZVUCUWIOZUWEOZVUCUWCOZVUCUWJOZVUEVUJVUFCVUCCKLZVUHVUCNZNZUWEO
      ZVULVUEVUFUVNVUIVURVUEVUFIZVURCUWEOZUVNVUSVUQCUWEVUSVUFCVUPVUEVUFQVBXDUVP
      VUTUVNJZVUDVUFUVPAXEGZUXCUVOCUVNXFZVVAVVBUVPAUXDXEEHDXGXHZPUYCUVPUXJUVOUX
      MUXKXIZUVPCUVNUXHUVPCUXHXJZXMZAUWDXECUVNUWQXKXLWAXNVUEVUFWJZIZVUIVUPUWEOZ
      VURVVIVUGVUHVUCVVJVVIVUGIZVUHVVJJVUCUVNVVKVUCUVNJZIZUVNUWEOZCVVJVUHVVMVVB
      UXCUVOVVCVVNCJVVBVVMVVDPUVPUXCVUDVVHVUGVVLUYCXOUVPUVOVUDVVHVUGVVLVVEXOUVP
      VVCVUDVVHVUGVVLVVGXOAUWDXECUVNUWQXPXLVVMVUPUVNUWEVVMVUPVUCUVNVVMVUOVUHVUC
      VVMCVUCXQLVUOWJZVVMCUVNVUCXQUVPCUVNXQLZVUDVVHVUGVVLVVFXOVVKVVLQZXRVVMCVUC
      UVPCWMGZVUDVVHVUGVVLUXHXOZVUEVUCWMGZVVHVUGVVLVUEVUCVUEAFVUCUYLUVPVUDQZVJZ
      RZTXSXTWCVVQYAXDVVMVUHUVNHMUCCVVMVUCUVNHMVVQYDVVMCHVVMCVVSYBVVMYCYEYAYFVV
      KVUCUVNXFZIZVVJVUHUWEOZVUHVWEVUPVUHUWEVWEVUOVUHVUCVWEVUOVUCUVNXQLZVWEVWGV
      UGUVNVUCXFZVVIVUGVWDYGVWEVUCUVNVVKVWDQYHVWEVUCUVNVUEVVTVVHVUGVWDVWCTZUVPU
      VNWMGZVUDVVHVUGVWDUXNXOZUUAVRZVWEVUCFGZUVMVUOVWGWIVUEVWMVVHVUGVWDVWBTZVUE
      UVMVVHVUGVWDUVMUVOVUDUUBZTZVUCCUUCYIXBVBXDVWEVVBUXCUVOVUHAGZYJVVCCVUHXFZU
      VNVUHXFZYJVWFVUHJVVBVWEVVDPVWEUXCUVOVWQUVPUXCVUDVVHVUGVWDUYCXOUVMUVOVUDVV
      HVUGVWDUUDZVWEVUHUXDAVWEVUHFGZUXOVUHDKLZYJVUHUXDGVWEVXAUXOVXBVWEVUCUUEUUF
      OGZVXAVWEVVHVXCVVIVVHVUGVWDVUEVVHQZWAVWEVUFVXCVWEVWMVUFVXCWKVWNVUCUUGUUHW
      HWLVUCUUISZVWEUVOUXOVWTUXQSVWEVUHVUCDVWEVUHVXERZVWIVWEUVMUVOUYQVWPVWTUXSY
      IVWEVUCVWIWNZVWEVUCUXDGVUCDKLVWEVUCAUXDVUEVUDVVHVUGVWDVWATEWOVUCHDVNSVOYK
      DVUHVKXIEVTYKVWEVVCVWRVWSVWEUVMUVOVVCVWPVWTVVGYIVVKVWDVWRVVKCVUHVUCUVNVVK
      CVUHJZVVLVVKVXHIZUVNVUHHUBUCVUCVXICVUHHUBVVKVXHQYDVXIVUCHVUEVUCUUJGVVHVUG
      VXHVUEVUCVWCYBTVXIYCUUKXNYLUULYOVWEVUHUVNVWEVUHUVNVXFVWEVUHVUCUVNVXFVWIVW
      KVXGVWLUUQXMYHYKAUWDXECUVNVUHUWQYMXCXNUUMVVIVUGWJZIZVVJVUCUWEOZVUCVXKVUPV
      UCUWEVXKVUOVUHVUCVVIVXJVVOVVIVUOVUGVVIVUOVUGVVIVUOIVUCCUVNVUEVVTVVHVUOVWC
      WAUVPVVRVUDVVHVUOUXHTUVPVWJVUDVVHVUOUXNTVVIVUOQUVPCUVNKLVUDVVHVUOUXTTVOYL
      UUNYOWCXDVXKVVBUXCUVOVUDYJVVCCVUCXFZVWHYJVXLVUCJVVBVXKVVDPVXKUXCUVOVUDUVP
      UXCVUDVVHVXJUYCTUVPUVOVUDVVHVXJVVETVUEVUDVVHVXJVWAWAYKVXKVVCVXMVWHUVPVVCV
      UDVVHVXJVVGTVXKCVUCUVPVVRVUDVVHVXJUXHTZVXKCUVNVUCVXNUVPVWJVUDVVHVXJUXNTZV
      UEVVTVVHVXJVWCWAZUVPVVPVUDVVHVXJVVFTVXKUVNVUCXQLVXJVVIVXJQVXKUVNVUCVXOVXP
      XSXBZUUOXMVXKUVNVUCVXOVXQXMYKAUWDXECUVNVUCUWQYMXCXNYNVVIVUQVUPUWEVVIVUFCV
      UPVXDWCXDYPYNVUEVUKVUQUWEVUEBVUCUWHVUQAUWIYQVUEUWIUUPUVQVUCJZUWHVUQJVUEVX
      RUVRVUFUWGVUPCUVQVUCHUURZVXRUWFVUOUVTUVQVUHVUCUVQVUCCKYRUVQVUCHMUUSZVXRUU
      TZYSYTVIVWAVUEVUFCVUPFYQVWOVUPYQGVUEVUOVUHVUCYQVUCHMUJZUAUKZUVAPUVBUVCXDY
      PVUDVUMVUJJUVPBVUCUWBVUJAUWCVXRUVRVUFUWAVUIUVNVXSVXRUVSVUGUVTUVQVUHVUCUVQ
      VUCUVNKYRVXTVYAYSYTUWLVUFUVNVUIUWKVUGVUHVUCVYBVYCULULUVIVIVUEUWIUVDZVUCUW
      IUVEZGVUNVULJVYDVUEBAUWHUVFPVUEVUCAVYEVWAVUEUWSVYEAJUVPUWSVUDVUAWDBAUWHAU
      VGSUVHVUCUWEUWIUVJYIUVKUVL $.

    $d I i $.  $d N i $.
    psgnfzto1st.p $e |- P = ( i e. D |-> if ( i = 1 , I ,
      if ( i <_ I , ( i - 1 ) , i ) ) ) $.
    $( Value of our permutation ` P ` at 1.  (Contributed by Thierry Arnoux,
       23-Aug-2020.) $)
    fzto1stfv1 $p |- ( I e. D -> ( P ` 1 ) = I ) $=
      ( wcel c1 cv wceq cle wbr cmin co cif iftrue cuz cfv cfz eleq2s eleqtrrdi
      elfzuz2 eluzfz1 syl id fvmptd3 ) DAHZCICJZIKZDUIDLMUIINOUIPZPDABAGUJDUKQU
      HEIRSHZIAHULDIETOZADIEUCFUAULIUMAIEUDFUBUEUHUFUG $.

    $( Special case where the permutation defined in ~ psgnfzto1st is the
       identity.  (Contributed by Thierry Arnoux, 21-Aug-2020.) $)
    fzto1st1 $p |- ( I = 1 -> P = ( _I |` D ) ) $=
      ( c1 wceq cv cle wbr co cif cmpt wcel wa simpr wn ifeqda cmin cres simpll
      cid eqtr4d simplll breqtrd cfz simpllr eleqtrdi elfzle1 cn fz1ssnn sselid
      syl nnred 1red letri3d mpbir2and simplr pm2.21dd eqidd mpteq2dva mptresid
      3eqtr4g ) DHIZCACJZHIZDVGDKLZVGHUAMZVGNZNZOCAVGOBUDAUBVFCAVLVGVFVGAPZQZVH
      DVKVGVNVHQDHVGVFVMVHUCVNVHRUEVNVHSZQZVIVJVGVGVPVIQZVHVJVGIVQVHVGHKLHVGKLZ
      VQVGDHKVPVIRVFVMVOVIUFUGVQVGHEUHMZPVRVQVGAVSVFVMVOVIUIFUJZVGHEUKUOVQVGHVQ
      VGVQVSULVGEUMVTUNUPVQUQURUSVNVOVIUTVAVPVISQVGVBTTVCGCAVDVE $.

    $d B m i n $.  $d D m n $.  $d I m $.  $d N m n $.  $d P m $.
    psgnfzto1st.g $e |- G = ( SymGrp ` D ) $.
    psgnfzto1st.b $e |- B = ( Base ` G ) $.
    $( The function moving one element to the first position (and shifting all
       elements before it) is a permutation.  (Contributed by Thierry Arnoux,
       21-Aug-2020.) $)
    fzto1st $p |- ( I e. D -> P e. B ) $=
      ( wcel cle wbr c1 wa wceq cif cmpt wi vm vn w3a cfz elfz1b biimpi 3ancoma
      cn co eleq2s sylibr df-3an cmin cid cres caddc breq1 simpl breq2d ifeq12d
      ifbid mpteq2dva eqid fzto1st1 ax-mp eqtrdi eleq1d imbi12d eqtr4di cbs cfv
      cv cfn fzfi eqeltri idresperm eleqtrri 2a1i cpmtr simplr peano2nnd simpll
      cpr ccom simpr eleqtrrdi psgnfzto1stlem syl2anc adantlr symgtrf pmtrto1cl
      3jca sselid nnred 1red readdcld lep1d letrd cplusg symgov symgcl eqeltrrd
      crn mpd eqeltrd ex nnindd imp sylbi syl ) FBLZGUHLZFUHLZFGMNZUCZCALZXKXMX
      LXNUCZXOXQFOGUDUIZBFXRLXQGFUEUFHUJXLXMXNUGUKXOXLXMPZXNPXPXLXMXNULXSXNXPXL
      UAVLZGMNZDBDVLZOQZXTYBXTMNZYBOUMUIZYBRZRZSZALZTOGMNZUNBUOZALZTUBVLZGMNZDB
      YCYMYBYMMNZYEYBRZRZSZALZTZYMOUPUIZGMNZDBYCUUAYBUUAMNZYEYBRZRZSZALZTXNXPTU
      AUBFXTOQZYAYJYIYLXTOGMUQUUHYHYKAUUHYHDBYCOYBOMNZYEYBRZRZSZYKUUHDBYGUUKUUH
      YBBLZPZYCXTOYFUUJUUHUUMURZUUNYDUUIYEYBUUNXTOYBMUUOUSVAUTVBOOQUULYKQOVCBUU
      LDOGHUULVCVDVEVFVGVHXTYMQZYAYNYIYSXTYMGMUQUUPYHYRAUUPDBYGYQUUPUUMPZYCXTYM
      YFYPUUPUUMURZUUQYDYOYEYBUUQXTYMYBMUURUSVAUTVBVGVHXTUUAQZYAUUBYIUUGXTUUAGM
      UQUUSYHUUFAUUSDBYGUUEUUSUUMPZYCXTUUAYFUUDUUSUUMURZUUTYDUUCYEYBUUTXTUUAYBM
      UVAUSVAUTVBVGVHXTFQZYAXNYIXPXTFGMUQUVBYHCAUVBYHDBYCFYBFMNZYEYBRZRZSCUVBDB
      YGUVEUVBUUMPZYCXTFYFUVDUVBUUMURZUVFYDUVCYEYBUVFXTFYBMUVGUSVAUTVBIVIVGVHYL
      XLYJYKEVJVKZABVMLYKUVHLBXRVMHOGVNVOBEVMJVPVEKVQVRXLYMUHLZPZYTPZUUBUUGUVKU
      UBPZUUFYMUUAWCBVSVKZVKZYRWDZAUVJUUBUUFUVOQZYTUVJUUBPZUVIUUABLZUVPXLUVIUUB
      VTZUVQUUAXRBUVQUUAUHLZXLUUBUCUUAXRLUVQUVTXLUUBUVQYMUVSWAXLUVIUUBWBZUVJUUB
      WEZWLGUUAUEUKHWFZBDYMGHWGWHWIUVLUVNALZYSUVOALUVLUVMXCZAUVNABUWEEUWEVCJKWJ
      UVJUUBUVNUWELZYTUVQUVIUVRUWFUVSUWCBUVMYMGHUVMVCWKWHWIWMUVLYNYSUVJUUBYNYTU
      VQYMUUAGUVQYMUVSWNZUVQYMOUWGUVQWOWPUVQGUWAWNUVQYMUWGWQUWBWRWIUVJYTUUBVTXD
      UWDYSPUVNYREWSVKZUIUVOABAUWHEUVNYRJKUWHVCZWTBAUWHEUVNYRJKUWIXAXBWHXEXFXGX
      HXIXJ $.

    $( Value of the inverse of our permutation ` P ` at ` I ` .  (Contributed
       by Thierry Arnoux, 23-Aug-2020.) $)
    fzto1stinvn $p |- ( I e. D -> ( `' P ` I ) = 1 ) $=
      ( wcel c1 cfv ccnv fzto1stfv1 fveq2d wf1o wceq syl fzto1st symgbasf1o cuz
      cfz co elfzuz2 eleq2s eluzfz1 eleqtrrdi f1ocnvfv1 syl2anc eqtr3d ) FBLZMC
      NZCOZNZFUONMUMUNFUOBCDFGHIPQUMBBCRZMBLZUPMSUMCALUQABCDEFGHIJKUABACEJKUBTU
      MGMUCNLZURUSFMGUDUEZBFMGUFHUGUSMUTBMGUHHUITBBMCUJUKUL $.

    $d S m n $.
    psgnfzto1st.s $e |- S = ( pmSgn ` D ) $.
    $( The permutation sign for moving one element to the first position.
       (Contributed by Thierry Arnoux, 21-Aug-2020.) $)
    psgnfzto1st $p |- ( I e. D -> ( S ` P ) = ( -u 1 ^ ( I + 1 ) ) ) $=
      ( wcel cle wbr c1 co cexp wceq vm vn w3a cfv cneg caddc cfz elfz1b biimpi
      cn eleq2s 3ancoma sylibr wa df-3an cv cmin cmpt wi breq1 id breq2 ifeq12d
      cif ifbid mpteq2dv fveq2d oveq1 eqeq12d imbi12d eqtr4di cid cres cfn fzfi
      oveq2d eqeltri psgnid ax-mp eqid fzto1st1 fveq2i c2 1p1e2 oveq2i neg1sqe1
      eqtri 3eqtr4i 2a1i cpr cpmtr ccom cmul simplr peano2nnd simpll simpr 3jca
      eleqtrrdi psgnfzto1stlem syl2anc adantlr a1i crn symgtrf pmtrto1cl sselid
      nnred 1red readdcld lep1d fzto1st syl psgnco syl3anc psgnpmtr mpd oveq12d
      letrd cc cn0 neg1cn peano2nn nnnn0d expp1 sylancr expcld mulcomd ad3antlr
      eqtr2d eqtrd 3eqtrd ex nnindd imp sylbi ) GBNZHUJNZGUJNZGHOPZUCZCDUDZQUEZ
      GQUFRZSRZTZYQYSYRYTUCZUUAUUGGQHUGRZBGUUHNUUGHGUHUIIUKYRYSYTULUMUUAYRYSUNZ
      YTUNUUFYRYSYTUOUUIYTUUFYRUAUPZHOPZEBEUPZQTZUUJUULUUJOPZUULQUQRZUULVDZVDZU
      RZDUDZUUCUUJQUFRZSRZTZUSQHOPZEBUUMQUULQOPZUUOUULVDZVDZURZDUDZUUCQQUFRZSRZ
      TZUSUBUPZHOPZEBUUMUVLUULUVLOPZUUOUULVDZVDZURZDUDZUUCUVLQUFRZSRZTZUSZUVSHO
      PZEBUUMUVSUULUVSOPZUUOUULVDZVDZURZDUDZUUCUVSQUFRZSRZTZUSYTUUFUSUAUBGUUJQT
      ZUUKUVCUVBUVKUUJQHOUTUWLUUSUVHUVAUVJUWLUURUVGDUWLEBUUQUVFUWLUUMUUJQUUPUVE
      UWLVAUWLUUNUVDUUOUULUUJQUULOVBVEVCVFVGUWLUUTUVIUUCSUUJQQUFVHVPVIVJUUJUVLT
      ZUUKUVMUVBUWAUUJUVLHOUTUWMUUSUVRUVAUVTUWMUURUVQDUWMEBUUQUVPUWMUUMUUJUVLUU
      PUVOUWMVAUWMUUNUVNUUOUULUUJUVLUULOVBVEVCVFVGUWMUUTUVSUUCSUUJUVLQUFVHVPVIV
      JUUJUVSTZUUKUWCUVBUWKUUJUVSHOUTUWNUUSUWHUVAUWJUWNUURUWGDUWNEBUUQUWFUWNUUM
      UUJUVSUUPUWEUWNVAUWNUUNUWDUUOUULUUJUVSUULOVBVEVCVFVGUWNUUTUWIUUCSUUJUVSQU
      FVHVPVIVJUUJGTZUUKYTUVBUUFUUJGHOUTUWOUUSUUBUVAUUEUWOUURCDUWOUUREBUUMGUULG
      OPZUUOUULVDZVDZURCUWOEBUUQUWRUWOUUMUUJGUUPUWQUWOVAUWOUUNUWPUUOUULUUJGUULO
      VBVEVCVFJVKVGUWOUUTUUDUUCSUUJGQUFVHVPVIVJUVKYRUVCVLBVMZDUDZQUVHUVJBVNNZUW
      TQTBUUHVNIQHVOVQZBDMVRVSUVGUWSDQQTUVGUWSTQVTBUVGEQHIUVGVTWAVSWBUVJUUCWCSR
      QUVIWCUUCSWDWEWFWGWHWIYRUVLUJNZUNZUWBUNZUWCUWKUXEUWCUNZUWHUVLUVSWJBWKUDZU
      DZUVQWLZDUDZUXHDUDZUVRWMRZUWJUXFUWGUXIDUXDUWCUWGUXITZUWBUXDUWCUNZUXCUVSBN
      ZUXMYRUXCUWCWNZUXNUVSUUHBUXNUVSUJNZYRUWCUCUVSUUHNUXNUXQYRUWCUXNUVLUXPWOYR
      UXCUWCWPZUXDUWCWQZWRHUVSUHUMIWSZBEUVLHIWTXAXBVGUXFUXAUXHANUVQANZUXJUXLTUX
      AUXFUXBXCUXFUXGXDZAUXHABUYBFUYBVTZKLXEUXDUWCUXHUYBNZUWBUXNUXCUXOUYDUXPUXT
      BUXGUVLHIUXGVTXFXAZXBXGUXFUVLBNZUYAUXDUWCUYFUWBUXNUVLUUHBUXNUXCYRUVMUCUVL
      UUHNUXNUXCYRUVMUXPUXRUXNUVLUVSHUXNUVLUXPXHZUXNUVLQUYGUXNXIXJUXNHUXRXHUXNU
      VLUYGXKUXSXSZWRHUVLUHUMIWSXBABUVQEFUVLHIUVQVTKLXLXMBAFUXHUVQDKMLXNXOUXFUX
      LUUCUVTWMRZUWJUXFUXKUUCUVRUVTWMUXDUWCUXKUUCTZUWBUXNUYDUYJUYEBUXHUYBFDKUYC
      MXPXMXBUXFUVMUWAUXDUWCUVMUWBUYHXBUXDUWBUWCWNXQXRUXCUYIUWJTYRUWBUWCUXCUWJU
      VTUUCWMRZUYIUXCUUCXTNZUVSYANUWJUYKTYBUXCUVSUVLYCYDZUUCUVSYEYFUXCUVTUUCUXC
      UUCUVSUYLUXCYBXCZUYMYGUYNYHYJYIYKYLYMYNYOYPXM $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Permutation cycles
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c toCyc $.

  $( Extend class notation with the permutation cycle builder. $)
  ctocyc $a class toCyc $.

  ${
    $d d w u $.
    $( Define a convenience permutation cycle builder.  Given a list of
       elements to be cycled, in the form of a word, this function produces the
       corresponding permutation cycle.  See definition in [Lang] p. 30.
       (Contributed by Thierry Arnoux, 19-Sep-2023.) $)
    df-tocyc $a |- toCyc = ( d e. _V |-> ( w e.
          { u e. Word d | u : dom u -1-1-> d } |-> ( ( _I |` ( d \ ran w ) )
            u. ( ( w cyclShift 1 ) o. `' w ) ) ) ) $.
  $}

  ${
    $d D d u w $.  $d V d $.  $d d u w $.
    tocycval.1 $e |- C = ( toCyc ` D ) $.
    $( Value of the cycle builder.  (Contributed by Thierry Arnoux,
       22-Sep-2023.) $)
    tocycval $p |- ( D e. V -> C = ( w e. { u e. Word D | u : dom u -1-1-> D }
       |-> ( ( _I |` ( D \ ran w ) ) u. ( ( w cyclShift 1 ) o. `' w ) ) ) ) $=
      ( vd wcel ctocyc cfv cv wf1 cword crab cid cdif cres cun cmpt cvv cdm crn
      c1 ccsh co ccnv ccom df-tocyc wrdeq f1eq3 rabeqbidv difeq1 reseq2d uneq1d
      wceq mpteq12dv elex eqid wrdexg rabexd mptexd fvmptd3 syl5eq ) DEHZCDIJAB
      KZUAZDVELZBDMZNZODAKZUBZPZQZVJUCUDUEVJUFUGZRZSZFVDGDAVFGKZVELZBVQMZNZOVQV
      KPZQZVNRZSVPTITABGUHVQDUOZAVTWCVIVOWDVRVGBVSVHVQDUIVQDVFVEUJUKWDWBVMVNWDW
      AVLOVQDVKULUMUNUPDEUQVDAVIVOTVDVGBVHVITVIURDEUSUTVAVBVC $.

    $d W u w $.  $d ph w $.
    tocycfv.d $e |- ( ph -> D e. V ) $.
    tocycfv.w $e |- ( ph -> W e. Word D ) $.
    tocycfv.1 $e |- ( ph -> W : dom W -1-1-> D ) $.
    $( Function value of a permutation cycle built from a word.  (Contributed
       by Thierry Arnoux, 18-Sep-2023.) $)
    tocycfv $p |- ( ph -> ( C ` W ) = ( ( _I |` ( D \ ran W ) ) u. ( ( W
       cyclShift 1 ) o. `' W ) ) ) $=
      ( vw vu cid cv crn c1 ccsh cvv wcel wceq syl cdif cres co ccnv ccom cword
      cun cdm wf1 crab cmpt tocycval simpr rneqd difeq2d reseq2d oveq1d coeq12d
      wa cnveqd uneq12d dmeq eqidd f1eq123d elrabd difexd resiexd cshwcl cnvexg
      id coexg syl2anc unexg fvmptd ) AJELCJMZNZUAZUBZVOOPUCZVOUDZUEZUGZLCENZUA
      ZUBZEOPUCZEUDZUEZUGZKMZUHZCWJUIZKCUFZUJZBQACDRBJWNWBUKSGJKBCDFULTAVOESZUS
      ZVRWEWAWHWPVQWDLWPVPWCCWPVOEAWOUMZUNUOUPWPVSWFVTWGWPVOEOPWQUQWPVOEWQUTURV
      AAWLEUHZCEUIKEWMWJESZWKWRCCWJEWSVJWJEVBWSCVCVDHIVEAWEQRWHQRZWIQRAWDQACWCD
      GVFVGAWFWMRZWGQRZWTAEWMRZXAHOCEVHTAXCXBHEWMVITWFWGWMQVKVLWEWHQQVMVLVN $.

    $( A cyclic permutation is a cyclic shift on its orbit.  (Contributed by
       Thierry Arnoux, 15-Oct-2023.) $)
    tocycfvres1 $p |- ( ph -> ( ( C ` W ) |` ran W )
                     = ( ( W cyclShift 1 ) o. `' W ) ) $=
      ( cfv crn cres c1 co wfn wceq a1i wcel wf1o syl3anc cid cdif ccsh tocycfv
      ccnv ccom cun reseq1d cin c0 fnresi cc0 chash cfzo wss cword 1zzd syl2anc
      cz cshwfn cdm wf1 f1f1orn f1ocnv f1ofn 4syl dfdm4 wrddm syl ssidd eqsstrd
      eqsstrrid fnco disjdifr fnunres2 eqtrd ) AEBJZEKZLUACVRUBZLZEMUCNZEUEZUFZ
      UGZVRLZWCAVQWDVRABCDEFGHIUDUHAVTVSOZWCVROZVSVRUIUJPZWEWCPWFAVSUKQAWAULEUM
      JUNNZOZWBVROZWBKZWIUOWGAECUPRZMUSRWJHAUQMCEUTURAEVAZCEVBWNVRESVRWNWBSWKIW
      NCEVCWNVREVDVRWNWBVEVFAWLWNWIEVGAWNWIWIAWMWNWIPHCEVHVIAWIVJVKVLWIVRWAWBVM
      TWHAVRCVNQVSVRVTWCVOTVP $.

    $( A cyclic permutation is the identity outside of its orbit.  (Contributed
       by Thierry Arnoux, 15-Oct-2023.) $)
    tocycfvres2 $p |- ( ph -> ( ( C ` W ) |` ( D \ ran W ) )
                     = ( _I |` ( D \ ran W ) ) ) $=
      ( cfv crn cres c1 co wfn wceq a1i wcel wf1o syl3anc cdif cid ccsh tocycfv
      ccnv ccom cun reseq1d cin c0 fnresi cc0 chash cfzo wss cword 1zzd syl2anc
      cz cshwfn cdm wf1 f1f1orn f1ocnv f1ofn 4syl dfdm4 wrddm syl ssidd eqsstrd
      eqsstrrid fnco disjdifr fnunres1 eqtrd ) AEBJZCEKZUAZLUBVSLZEMUCNZEUEZUFZ
      UGZVSLZVTAVQWDVSABCDEFGHIUDUHAVTVSOZWCVROZVSVRUIUJPZWEVTPWFAVSUKQAWAULEUM
      JUNNZOZWBVROZWBKZWIUOWGAECUPRZMUSRWJHAUQMCEUTURAEVAZCEVBWNVRESVRWNWBSWKIW
      NCEVCWNVREVDVRWNWBVEVFAWLWNWIEVGAWNWIWIAWMWNWIPHCEVHVIAWIVJVKVLWIVRWAWBVM
      TWHAVRCVNQVSVRVTWCVOTVP $.

    ${
      cycpmfvlem.1 $e |- ( ph -> N e. ( 0 ..^ ( # ` W ) ) ) $.
      $( Lemma for ~ cycpmfv1 and ~ cycpmfv2 .  (Contributed by Thierry Arnoux,
         22-Sep-2023.) $)
      cycpmfvlem $p |- ( ph -> ( ( C ` W ) ` ( W ` N ) )
                     = ( ( ( W cyclShift 1 ) o. `' W ) ` ( W ` N ) ) ) $=
        ( cfv crn c1 co wfn wceq wcel wf syl2anc cid cdif cres ccsh cun tocycfv
        ccnv ccom fveq1d cin wf1o f1oi f1ofn mp1i cc0 chash cfzo wss cword 1zzd
        c0 cz cshwf ffnd cdm wfun wf1 wa df-f1 sylib simprd funfnd df-rn fneq2i
        sylibr dfdm4 eqimss2i wrdfn syl sseqtrid fnco syl3anc disjdifr fnfvelrn
        fndmd a1i fvun2 syl112anc eqtrd ) ADFLZFBLZLWJUACFMZUBZUCZFNUDOZFUGZUHZ
        UEZLZWJWQLZAWJWKWRABCEFGHIJUFUIAWNWMPZWQWLPZWMWLUJVAQZWJWLRZWSWTQWMWMWN
        UKXAAWMULWMWMWNUMUNAWOUOFUPLUQOZPWPWLPZWPMZXEURXBAXECWOAFCUSRZNVBRXECWO
        SIAUTCNFVCTVDAWPWPVEZPXFAWPAFVEZCFSZWPVFZAXJCFVGXKXLVHJXJCFVIVJVKVLWLXI
        WPFVMVNVOAXJXGXEXJXGFVPVQAXEFAXHFXEPZICFVRVSZWEVTXEWLWOWPWAWBXCAWLCWCWF
        AXMDXERXDXNKXEDFWDTWMWLWNWQWJWGWHWI $.
    $}

    ${
      cycpmfv1.1 $e |- ( ph -> N e. ( 0 ..^ ( ( # ` W ) - 1 ) ) ) $.
      $( Value of a cycle function for any element but the last.  (Contributed
         by Thierry Arnoux, 22-Sep-2023.) $)
      cycpmfv1 $p |- ( ph -> ( ( C ` W ) ` ( W ` N ) ) = ( W ` ( N + 1 ) ) ) $=
        ( cfv c1 co cc0 cfzo wcel syl wceq syl2anc ccsh ccnv ccom caddc cmin cz
        chash wss cword cn0 lencl nn0zd fzossrbm1 sseldd cycpmfvlem wfun cdm wf
        wf1 wa df-f1 sylib simprd crn wfn wrdfn fnfvelrn eleqtrdi fvco cmo wf1o
        df-rn f1f1orn eleqtrrd f1ocnvfv1 fveq2d 1zzd cshwidxmod syl3anc fzo0ss1
        fndmd fzoaddel2 sselid zmodidfzoimp 3eqtrd ) ADFLZFBLLWFFMUANZFUBZUCLZW
        FWHLZWGLZDMUDNZFLZABCDEFGHIJAOFUGLZMUENPNZOWNPNZDAWNUFQZWOWPUHAWNAFCUIQ
        ZWNUJQICFUKRULZWNUMRKUNZUOAWHUPZWFWHUQZQWIWKSAFUQZCFURZXAAXCCFUSZXDXAUT
        JXCCFVAVBVCAWFFVDZXBAFWPVEZDWPQZWFXFQAWRXGICFVFRZWTWPDFVGTFVLVHWFWGWHVI
        TAWKDWGLZWLWNVJNZFLZWMAWJDWGAXCXFFVKZDXCQWJDSAXEXMJXCCFVMRADWPXCWTAWPFX
        IWAVNXCXFDFVOTVPAWRMUFQZXHXJXLSIAVQZWTDMCFVRVSAXKWLFAWLWPQXKWLSAMWNPNZW
        PWLWNVTADWOQWQXNWLXPQKWSXODWNMWBVSWCWLWNWDRVPWEWE $.
    $}

    ${
      cycpmfv2.1 $e |- ( ph -> 0 < ( # ` W ) ) $.
      cycpmfv2.2 $e |- ( ph -> N = ( ( # ` W ) - 1 ) ) $.
      $( Value of a cycle function for the last element of the orbit.
         (Contributed by Thierry Arnoux, 22-Sep-2023.) $)
      cycpmfv2 $p |- ( ph -> ( ( C ` W ) ` ( W ` N ) ) = ( W ` 0 ) ) $=
        ( cfv c1 co cc0 wcel syl wceq cmo ccsh ccnv ccom chash cmin cfzo cfz cn
        cn0 clt wbr cword lencl elnnnn0b sylanbrc elfz1end fz1fzo0m1 cycpmfvlem
        sylib eqeltrd cdm wf wf1 wa df-f1 simprd crn wfn wrdfn fnfvelrn syl2anc
        wfun df-rn eleqtrdi fvco caddc wf1o f1f1orn fndmd eleqtrrd f1ocnvfv1 cz
        fveq2d 1zzd cshwidxmod syl3anc cr fzossfz fzssz sstri sselid zred nnrpd
        crp oveq1d zmodidfzoimp eqtrd modm1p1mod0 imp syl21anc 3eqtrd ) ADFMZFB
        MMXBFNUAOZFUBZUCMZXBXDMZXCMZPFMZABCDEFGHIJADFUDMZNUEOZPXIUFOZLAXINXIUGO
        QZXJXKQZAXIUHQZXLAXIUIQZPXIUJUKXNAFCULQZXOICFUMRKXIUNUOZXIUPUSXIXIUQRZU
        TZURAXDVLZXBXDVAZQXEXGSAFVAZCFVBZXTAYBCFVCZYCXTVDJYBCFVEUSVFAXBFVGZYAAF
        XKVHZDXKQZXBYEQAXPYFICFVIRZXSXKDFVJVKFVMVNXBXCXDVOVKAXGDXCMZDNVPOXITOZF
        MZXHAXFDXCAYBYEFVQZDYBQXFDSAYDYLJYBCFVRRADXKYBXSAXKFYHVSVTYBYEDFWAVKWCA
        XPNWBQYGYIYKSIAWDXSDNCFWEWFAYJPFADWGQZXIWNQZDXITOZXJSZYJPSZADAXKWBDXKPX
        IUGOWBPXIWHPXIWIWJXSWKWLAXIXQWMAYOXJXITOZXJADXJXITLWOAXMYRXJSXRXJXIWPRW
        QYMYNVDYPYQDXIWRWSWTWCXAXA $.
    $}

    ${
      cycpmfv3.1 $e |- ( ph -> X e. D ) $.
      cycpmfv3.2 $e |- ( ph -> -. X e. ran W ) $.
      $( Values outside of the orbit are unchanged by a cycle.  (Contributed by
         Thierry Arnoux, 22-Sep-2023.) $)
      cycpmfv3 $p |- ( ph -> ( ( C ` W ) ` X ) = X ) $=
        ( cfv crn c1 co wfn wceq wcel wf cid cdif cres ccsh ccnv tocycfv fveq1d
        ccom cun cin c0 wf1o f1oi f1ofn mp1i cc0 chash cfzo cword cz 1zzd cshwf
        wss syl2anc ffnd cdm wfun wf1 wa df-f1 sylib simprd funfnd df-rn fneq2i
        sylibr dfdm4 eqimss2i wrdfn fndmd sseqtrid fnco syl3anc disjdifr eldifd
        syl a1i fvun1 syl112anc fvresi 3eqtrd ) AFEBMZMFUACENZUBZUCZEOUDPZEUEZU
        HZUIZMZFWOMZFAFWLWSABCDEGHIJUFUGAWOWNQZWRWMQZWNWMUJUKRZFWNSZWTXARWNWNWO
        ULXBAWNUMWNWNWOUNUOAWPUPEUQMURPZQWQWMQZWQNZXFVCXCAXFCWPAECUSSZOUTSXFCWP
        TIAVACOEVBVDVEAWQWQVFZQXGAWQAEVFZCETZWQVGZAXKCEVHXLXMVIJXKCEVJVKVLVMWMX
        JWQEVNVOVPAXKXHXFXKXHEVQVRAXFEAXIEXFQICEVSWFVTWAXFWMWPWQWBWCXDAWMCWDWGA
        FCWMKLWEZWNWMWOWRFWHWIAXEXAFRXNWNFWJWFWK $.
    $}

    ${
      cycpmcl.s $e |- S = ( SymGrp ` D ) $.
      $( Cyclic permutations are permutations.  (Contributed by Thierry Arnoux,
         24-Sep-2023.) $)
      cycpmcl $p |- ( ph -> ( C ` W ) e. ( Base ` S ) ) $=
        ( cfv wf1o wcel crn cun c1 wceq wf syl2anc cbs cdif cres ccsh ccnv ccom
        cid co cin c0 f1oi a1i cdm cc0 chash cfzo wfun cword cz 1zzd cshwf ffnd
        wfn wf1 df-f1 sylib simprd w3a eqid cshinj syl3anc f1orn sylanbrc eqidd
        mpi wrdf syl fdmd cshwrnid eqcomd f1oeq123d mpbird f1f1orn f1ocnv f1oco
        wa 3syl disjdifr f1oun syl22anc tocycfv wss frnd undif uncom eqtr3di wb
        cvv fvex elsymgbas2 ax-mp sylibr ) ACCFBLZMZXCDUALZNZAXDCFOZUBZXGPZXIUG
        XHUCZFQUDUHZFUEZUFZPZMZAXHXHXJMZXGXGXMMZXHXGUIUJRZXRXOXPAXHUKULAFUMZXGX
        KMZXGXSXLMZXQAXTUNFUOLUPUHZXKOZXKMZAXKYBVCXKUEUQZYDAYBCXKAFCURNZQUSNZYB
        CXKSIAUTZCQFVATVBAYFXLUQZYGYEIAXSCFSZYIAXSCFVDZYJYIWFJXSCFVEVFVGYHYFYIY
        GVHXKXKRYEXKVICQFXKVJVOVKYBXKVLVMAXSYBXGYCXKXKAXKVNAYBCFAYFYBCFSICFVPVQ
        ZVRAYCXGAYFYGYCXGRIYHQCFVSTVTWAWBAYKXSXGFMYAJXSCFWCXSXGFWDWGXGXSXGXKXLW
        ETXRAXGCWHULZYMXHXHXGXGXJXMWIWJACXICXIXCXNABCEFGHIJWKAXGXHPZCXIAXGCWLYN
        CRAYBCFYLWMXGCWNVFXGXHWOWPZYOWAWBXCWRNXFXDWQFBWSCXEXCDWRKXEVIWTXAXB $.
    $}
  $}

  ${
    $d B u $.  $d D u w $.  $d V u $.
    tocycf.c $e |- C = ( toCyc ` D ) $.
    tocycf.s $e |- S = ( SymGrp ` D ) $.
    tocycf.b $e |- B = ( Base ` S ) $.
    $( The permutation cycle builder as a function.  (Contributed by Thierry
       Arnoux, 25-Sep-2023.) $)
    tocycf $p |- ( D e. V -> C : { w e. Word D | w : dom w -1-1-> D } --> B )
       $=
      ( vu wcel cv cdm wf1 cid wa c0 wceq eqtrdi cvv crab crn cdif cres c1 ccsh
      cword co ccnv ccom cun tocycval simpr rneqd rn0 difeq2d dif0 reseq2d cnv0
      cnveqd coeq2d co02 uneq12d un0 cbs cfv idresperm eleqtrrdi eqeltrd difexg
      ad2antrr wne resiexd ovex cnvex coex sylancl adantr fvmpt2d simpll simplr
      unexg id dmeq eqidd f1eq123d elrab sylib simpld simprd cycpmcl pm2.61dane
      vex eqeltrrd fmpt3d ) DFKZJALZMZDWQNZADUGZUAZODJLZUBZUCZUDZXBUEUFUHZXBUIZ
      UJZUKZBCJACDFGULZWPXBXAKZPZXIBKXBQXLXBQRZPZXIODUDZBXNXIXOQUKXOXNXEXOXHQXN
      XDDOXNXDDQUCDXNXCQDXNXCQUBQXNXBQXLXMUMZUNUOSUPDUQSURXNXHXFQUJQXNXGQXFXNXG
      QUIQXNXBQXPUTUSSVAXFVBSVCXOVDSWPXOBKXKXMWPXOEVEVFZBDEFHVGIVHVKVIXLXBQVLZP
      ZXBCVFZXIBXLXTXIRXRWPJXAXICTXJWPXITKZXKWPXETKXHTKYAWPXDTDXCFVJVMXFXGXBUEU
      FVNXBJWMVOVPXEXHTTWBVQVRVSVRXSXTXQBXSCDEFXBGWPXKXRVTXSXBWTKZXBMZDXBNZXSXK
      YBYDPWPXKXRWAWSYDAXBWTWQXBRZWRYCDDWQXBYEWCWQXBWDYEDWEWFWGWHZWIXSYBYDYFWJH
      WKIVHWNWLWO $.
  $}

  ${
    $d D w $.  $d W w $.
    tocyc01.1 $e |- C = ( toCyc ` D ) $.
    $( Permutation cycles built from the empty set or a singleton are the
       identity.  (Contributed by Thierry Arnoux, 21-Nov-2023.) $)
    tocyc01 $p |- ( ( D e. V /\ W e. ( dom C i^i ( `' # " { 0 , 1 } ) ) )
                 -> ( C ` W ) = ( _I |` D ) ) $=
      ( vw wcel cdm chash cc0 c1 wa cfv wceq cid cres cun c0 eqtrdi cvv cpr cin
      ccnv cima crn cdif ccsh co ccom simpl cword wf1 cv simpr elin1d csymg cbs
      crab wf eqid tocycf fdm 3syl eleqtrd id eqidd f1eq123d elrab sylib simpld
      dmeq simprd tocycfv adantr wb hasheq0 syl biimpa rneq rn0 difeq2d reseq2d
      dif0 cnveq cnv0 coeq2d co02 uneq12d un0 eqtrd cz 1zzd 1cshid syl3anc cfzo
      coeq1d wfun wrdf ffun funcocnv2 4syl uneq2d resundi wss frn undifr 3eqtrd
      eqtr3id wo elin2d cn0 cpnf csn wfn hashf ffn elpreima mp2b elpri mpjaodan
      ) BCGZDAHZIUCJKUAZUDZUBZGZLZDIMZJNZDAMZOBPZNYHKNZYGYILZYJOBDUEZUFZPZDKUGU
      HZDUCZUIZQZYKYGYJYTNZYIYGABCDEYAYFUJZYGDBUKZGZDHZBDULZYGDFUMZHZBUUGULZFUU
      CURZGUUDUUFLYGDYBUUJYGYBYDDYAYFUNZUOYGYAUUJBUPMZUQMZAUSYBUUJNUUBFUUMABUUL
      CEUULUTUUMUTVAUUJUUMAVBVCVDUUIUUFFDUUCUUGDNZUUHUUEBBUUGDUUNVEUUGDVKUUNBVF
      VGVHVIZVJZYGUUDUUFUUOVLVMZVNYMDRNZYTYKNYGYIUURYGYFYIUURVOUUKDYEVPVQVRUURY
      TYKRQYKUURYPYKYSRUURYOBOUURYOBRUFBUURYNRBUURYNRUERDRVSVTSWABWCSWBUURYSYQR
      UIRUURYRRYQUURYRRUCRDRWDWESWFYQWGSWHYKWISVQWJYGYLLZYJYTYPOYNPZQZYKYGUUAYL
      UUQVNUUSYSUUTYPUUSYSDYRUIZUUTUUSYQDYRUUSUUDKWKGYLYQDNYGUUDYLUUPVNZUUSWLYG
      YLUNKBDWMWNWPUUSUUDJYHWOUHZBDUSZDWQUVBUUTNUVCBDWRZUVDBDWSDWTXAWJXBUUSUVAO
      YOYNQZPYKOYOYNXCUUSUVGBOUUSUUDUVEUVGBNZUVCUVFUVEYNBXDUVHUVDBDXEYNBXFVIVCW
      BXHXGYGYHYCGZYIYLXIYGDTGZUVIYGDYDGZUVJUVILZYGYBYDDUUKXJTXKXLXMQZIUSITXNUV
      KUVLVOXOTUVMIXPTDYCIXQXRVIVLYHJKXSVQXT $.
  $}

  ${
    $d D x $.  $d I x $.  $d J x $.  $d T x $.  $d V x $.  $d ph x $.
    cycpm2.c $e |- C = ( toCyc ` D ) $.
    cycpm2.d $e |- ( ph -> D e. V ) $.
    cycpm2.i $e |- ( ph -> I e. D ) $.
    cycpm2.j $e |- ( ph -> J e. D ) $.
    cycpm2.1 $e |- ( ph -> I =/= J ) $.
    ${
      cycpm2tr.t $e |- T = ( pmTrsp ` D ) $.
      $( A cyclic permutation of 2 elements is a transposition.  (Contributed
         by Thierry Arnoux, 24-Sep-2023.) $)
      cycpm2tr $p |- ( ph -> ( C ` <" I J "> ) = ( T ` { I , J } ) ) $=
        ( vx cdif c1 wcel wceq cc0 cop cid cs2 crn cres ccsh co ccnv cun cv cpr
        ccom csn cuni cif cmpt cfv cin partfun cshw1s2 syl2anc coeq1d 0nn0 1nn0
        a1i cn0 wne 0ne1 coprprop s2prop cnvprop syl22anc eqtrd coeq12d mptprop
        cnveqd wss prssd df-ss sylib incom eqtr3di simpr sneqd difeq2d difprsn1
        wa unieqd syl unisng ad2antrr eqtr2d wn wo vex elpr df-or sylbb adantll
        wi imp difprsn2 ifeqda mpteq12dva 3eqtr4d s2rn reseq2d mptresid uneq12d
        eqtrdi uncom 3eqtr2rd s2f1 tocycfv c2o cen wbr pr2nelem syl3anc pmtrval
        s2cld ) AUACEFUBZUCZOZUDZYAPUEUFZYAUGZUKZUHZNCNUIZEFUJZQZYJYIULZOZUMZYI
        UNUOZYABUPYJDUPZAYONCYJUQZYNUOZNCYJOZYIUOZUHZYGYDUHZYHYOUUARANCYJYNYIUR
        VDAYGYRYDYTAYGFEUBZYFUKZYRAYEUUCYFAECQZFCQZYEUUCRJKEFCUSUTVAASFTPETUJZE
        STFPTUJZUKEFTFETUJZUUDYRASFPEEFVECCSVEQZAVBVDZKPVEQZAVCVDZJSPVFAVGVDJKL
        VHAUUCUUGYFUUHAUUFUUEUUCUUGRKJFECVIUTAYFSETPFTUJZUGZUUHAYAUUNAUUEUUFYAU
        UNRJKEFCVIUTVOAUUJUUEUULUUFUUOUUHRUUKJUUMKSEPFVECVJVKVLVMAUUINYJYIERZFE
        UNZUOYRANEFFECCJKKJLVNANYJUUQYQYNAYJCUQZYJYQAYJCVPZUURYJRAEFCJKVQZYJCVR
        VSYJCVTWAAYKWFZUUPFEYNUVAUUPWFZYNYJEULZOZUMZFUVBYMUVDUVBYLUVCYJUVBYIEUV
        AUUPWBWCWDWGAUVEFRYKUUPAUVEFULZUMZFAEFVFZUVEUVGRLUVHUVDUVFEFWEWGWHAUUFU
        VGFRKFCWIWHVLWJWKUVAUUPWLZWFZYNYJUVFOZUMZEUVJYMUVKUVJYLUVFYJUVJYIFYKUVI
        YIFRZAYKUVIUVMYKUUPUVMWMUVIUVMWSYIEFNWNWOUUPUVMWPWQWTWRWCWDWGAUVLERYKUV
        IAUVLUVCUMZEAUVHUVLUVNRLUVHUVKUVCEFXAWGWHAUUEUVNERJECWIWHVLWJWKXBXCWKXD
        VLAYDUAYSUDYTAYCYSUAAYBYJCACEFJKXEWDXFNYSXGXIXHUUBYHRAYGYDXJVDXKABCGYAH
        IAEFCJKXTACEFJKLXLXMACGQUUSYJXNXOXPZYPYORIUUTAUUEUUFUVHUVOJKLEFCCXQXRNC
        YJDGMXSXRXD $.
    $}

    ${
      cycpm2cl.s $e |- S = ( SymGrp ` D ) $.
      $( Closure for the 2-cycles.  (Contributed by Thierry Arnoux,
         24-Sep-2023.) $)
      cycpm2cl $p |- ( ph -> ( C ` <" I J "> ) e. ( Base ` S ) ) $=
        ( cs2 s2cld s2f1 cycpmcl ) ABCDGEFNHIAEFCJKOACEFJKLPMQ $.

      $( Function value of a 2-cycle at the first point.  (Contributed by
         Thierry Arnoux, 24-Sep-2023.) $)
      cyc2fv1 $p |- ( ph -> ( ( C ` <" I J "> ) ` I ) = J ) $=
        ( cc0 cfv c1 co cmin cfzo wcel cs2 caddc s2cld s2f1 chash csn c0ex snid
        c2 s2len oveq1i 2m1e1 eqtr2i oveq2i fzo01 eqtr3i eleqtrri cycpmfv1 wceq
        a1i s2fv0 syl fveq2d 0p1e1 fveq2i s2fv1 syl5eq 3eqtr3d ) ANEFUAZOZVIBOZ
        ONPUBQZVIOZEVKOFABCNGVIHIAEFCJKUCACEFJKLUDNNVIUEOZPRQZSQZTANNUFZVPNUGUH
        NPSQVPVQPVONSVOUIPRQPVNUIPREFUJUKULUMUNUOUPUQUTURAVJEVKAECTVJEUSJEFCVAV
        BVCAVMPVIOZFVLPVIVDVEAFCTVRFUSKEFCVFVBVGVH $.

      $( Function value of a 2-cycle at the second point.  (Contributed by
         Thierry Arnoux, 24-Sep-2023.) $)
      cyc2fv2 $p |- ( ph -> ( ( C ` <" I J "> ) ` J ) = I ) $=
        ( c1 cfv cc0 clt c2 cmin wceq cs2 s2cld s2f1 chash wbr 2pos breqtrri co
        s2len a1i oveq1i 2m1e1 eqtr2i cycpmfv2 wcel s2fv1 fveq2d s2fv0 3eqtr3d
        syl ) ANEFUAZOZVABOZOPVAOZFVCOEABCNGVAHIAEFCJKUBACEFJKLUCPVAUDOZQUEAPRV
        EQUFEFUIZUGUJNVENSUHZTAVGRNSUHNVERNSVFUKULUMUJUNAVBFVCAFCUOVBFTKEFCUPUT
        UQAECUOVDETJEFCURUTUS $.
    $}

  $}

  ${
    $d C p $.  $d D i j p y z $.  $d P i j p $.  $d T i j p $.  $d V i j p z $.
    trsp2cyc.t $e |- T = ran ( pmTrsp ` D ) $.
    trsp2cyc.c $e |- C = ( toCyc ` D ) $.
    $( Exhibit the word a transposition corresponds to, as a cycle.
       (Contributed by Thierry Arnoux, 25-Sep-2023.) $)
    trsp2cyc $p |- ( ( D e. V /\ P e. T )
               -> E. i e. D E. j e. D ( i =/= j /\ P = ( C ` <" i j "> ) ) ) $=
      ( vz vp vy wcel wa cv wceq cfv c2o cen wex csn cdif cuni cif cmpt wne cs2
      wrex wbr cpw crab cpr simplr breq1 elrab simprd en2 syl wss simpld elpwid
      sylib adantr vex prid1 simpr eleqtrrid sseldd prid2 eqbrtrrd pr2ne biimpa
      syl21anc cpmtr simp-4l pmtrval syl3anc fveq2d 3eqtr2d cycpm2tr eqtr4d jca
      eqid jca31 ex 2eximdv mpd r2ex sylibr crn pmtrfval syl5eq eleqtrd elrnmpt
      rneqd wb adantl mpbid r19.29a ) BGMZCDMZNZCJBJOZKOZMXDXCUAUBUCXCUDUEZPZEO
      ZFOZUFZCXGXHUGAQZPZNZFBUHEBUHZKLOZRSUIZLBUJZUKZXBXDXQMZNZXFNZXGBMZXHBMZNZ
      XLNZFTETZXMXTXDXGXHULZPZFTETZYEXTXDRSUIZYHXTXDXPMZYIXTXRYJYINXBXRXFUMXOYI
      LXDXPXNXDRSUNUOVBZUPZEFXDUQURXTYGYDEFXTYGYDXTYGNZYAYBXLYMXDBXGXTXDBUSZYGX
      TXDBXTYJYIYKUTVAVCZYMXGYFXDXGXHEVDVEXTYGVFZVGVHZYMXDBXHYOYMXHYFXDXGXHFVDV
      IYPVGVHZYMXIXKYMYAYBYFRSUIZXIYQYRYMXDYFRSYPXTYIYGYLVCZVJYCYSXIXGXHBBVKVLV
      MZYMCYFBVNQZQZXJYMCXEXDUUBQZUUCXSXFYGUMYMWTYNYIUUDXEPWTXAXRXFYGVOZYOYTJBX
      DUUBGUUBWCZVPVQYMXDYFUUBYPVRVSYMABUUBXGXHGIUUEYQYRUUAUUFVTWAWBWDWEWFWGXLE
      FBBWHWIXBCKXQXEUEZWJZMZXFKXQUHZXBCDUUHWTXAVFXBDUUBWJUUHHXBUUBUUGWTUUBUUGP
      XALJBUUBGKUUFWKVCWOWLWMXAUUIUUJWPWTKXQXECUUGDUUGWCWNWQWRWS $.
  $}

  ${
    $d D i $.  $d D w $.  $d I i $.  $d J i $.  $d M i $.  $d U i $.  $d W i $.
    $d W w $.  $d i ph $.
    cycpmco2.c $e |- M = ( toCyc ` D ) $.
    cycpmco2.s $e |- S = ( SymGrp ` D ) $.
    cycpmco2.d $e |- ( ph -> D e. V ) $.
    cycpmco2.w $e |- ( ph -> W e. dom M ) $.
    cycpmco2.i $e |- ( ph -> I e. ( D \ ran W ) ) $.
    cycpmco2.j $e |- ( ph -> J e. ran W ) $.
    cycpmco2.e $e |- E = ( ( `' W ` J ) + 1 ) $.
    cycpmco2.1 $e |- U = ( W splice <. E , E , <" I "> >. ) $.
    $( The word U used in ~ cycpmco2 is injective, so it can represent a cycle
       and form a cyclic permutation ` ( M `` U ) ` .  (Contributed by Thierry
       Arnoux, 4-Jan-2024.) $)
    cycpmco2f1 $p |- ( ph -> U : dom U -1-1-> D ) $=
      ( wcel c0 vw cdm wf1 cpfx co cs1 cconcat chash cfv cop csubstr cword crab
      cv ssrab2 cbs eqid tocycf syl fdmd eleqtrd sselid pfxcl crn eldifad s1cld
      wf ccatcl syl2anc swrdcl wa wceq id dmeq eqidd f1eq123d elrab simprd ccnv
      sylib caddc cc0 cfzo wf1o f1cnv f1of 3syl ffvelrnd wrddm fzofzp1 eqeltrid
      c1 cfz pfxf1 s1f1 cin csn s1rn ineq2d wss pfxrn2 ssrind wn eldifbd disjsn
      sylibr sseqtrd ss0 eqtrd ccatf1 cn0 lencl nn0fz0 biimpi swrdf1 cun ccatrn
      ineq1d indir eqtrdi pfxval rneqd 0elfz elfzuz3 eluzfz1 eluzfz2 swrdrndisj
      fz0ssnn0 cuz incom swrdrn2 syl3anc syl5eq uneq12d a1i 3eqtrd cotp csplice
      unidm cvv ovexd splval syl13anc dmeqd mpbird ) ADUBZBDUCJEUDUEZFUFZUGUEZJ
      EJUHUIZUJUKUEZUGUEZUBZBUULUCAUUIUUKBIMAUUGBULZSZUUHUUNSZUUIUUNSAJUUNSZUUO
      AUAUNZUBZBUURUCZUAUUNUMZUUNJUUTUAUUNUOAJHUBZUVANAUVACUPUIZHABISUVAUVCHVGM
      UAUVCHBCIKLUVCUQURUSUTVAZVBZBJEVCUSZAFBAFBJVDZOVEZVFZBUUGUUHVHVIAUUQUUKUU
      NSUVEBJEUUJVJUSAUUGUUHBIMUVFUVIABEJUVEAUUQJUBZBJUCZAJUVASUUQUVKVKUVDUUTUV
      KUAJUUNUURJVLZUUSUVJBBUURJUVLVMUURJVNUVLBVOVPVQVTVRZAEGJVSZUIZWLWAUEZWBUU
      JWMUEZQAUVOWBUUJWCUEZSUVPUVQSAUVOUVJUVRAUVGUVJGUVNAUVKUVGUVJUVNWDUVGUVJUV
      NVGUVMUVJBJWEUVGUVJUVNWFWGPWHAUUQUVJUVRVLUVEBJWIUSVAWBUUJUVOWJUSWKZWNABFU
      VHWOAUUGVDZUUHVDZWPUVTFWQZWPZTAUWAUWBUVTAFBSUWAUWBVLUVHFBWRUSZWSAUWCTWTUW
      CTVLAUWCUVGUWBWPZTAUVTUVGUWBAUUQEUVQSZUVTUVGWTUVEUVSBEJXAVIXBAFUVGSXCUWET
      VLAFBUVGOXDUVGFXEXFZXGUWCXHUSXIXJABEUUJJUVEUVSAUUQUUJXKSZUUJUVQSZUVEBJXLU
      WHUWIUUJXMXNWGZUVMXOAUUIVDZUUKVDZWPZUVTUWLWPZUWAUWLWPZXPZTTXPZTAUWMUVTUWA
      XPZUWLWPUWPAUWKUWRUWLAUUOUUPUWKUWRVLUVFUVIBUUGUUHXQVIXRUVTUWAUWLXSXTAUWNT
      UWOTAUWNJWBEUJUKUEZVDZUWLWPTAUVTUWTUWLAUUGUWSAUUQEXKSZUUGUWSVLUVEAUVQXKEU
      UJYHUVSVBZJEUUNYAVIYBXRABUUJWBEEJUVEAUXAWBWBEWMUESUXBEYCUSUVSUVMAUWFUUJEY
      IUISZEEUUJWMUEZSUVSEWBUUJYDZEUUJYEWGAUWFUXCUUJUXDSUVSUXEEUUJYFWGYGXIAUWOU
      WLUWAWPZTUWAUWLYJAUXFUWLUWBWPZTAUWAUWBUWLUWDWSAUXGTWTUXGTVLAUXGUWETAUWLUV
      GUWBAUUQUWFUWIUWLUVGWTUVEUVSUWJEUUJBJYKYLXBUWGXGUXGXHUSXIYMYNUWQTVLATYSYO
      YPXJAUUFUUMBBDUULADJEEUUHYQYRUEZUULRAJUVBSEYTSZUXIUUPUXHUULVLNAEUVPYTQAUV
      OWLWAUUAWKZUXJUVIUUHJEEUVBYTYTUUNUUBUUCYMZADUULUXKUUDABVOVPUUE $.

    $( The orbit of the composition of a cyclic permutation and a well-chosen
       transposition is one element more than the orbit of the original
       permutation.  (Contributed by Thierry Arnoux, 4-Jan-2024.) $)
    cycpmco2rn $p |- ( ph -> ran U = ( ran W u. { I } ) ) $=
      ( wcel wceq vw cc0 cfzo co cima csn cun cfv crn un23 cpfx cs1 cconcat cop
      chash csubstr cotp csplice cdm cword ccnv c1 caddc ovexd eqeltrid eldifad
      cvv s1cld splval syl13anc syl5eq rneqd cv wf1 crab ssrab2 cbs eqid tocycf
      wf syl fdmd eleqtrd sselid pfxcl ccatcl syl2anc swrdcl ccatrn cfz wf1o wa
      id dmeq eqidd f1eq123d elrab sylib f1cnv f1of 3syl ffvelrnd wrddm fzofzp1
      simprd pfxrn3 s1rn uneq12d eqtrd cn0 nn0fz0 biimpi swrdrn3 syl3anc 3eqtrd
      lencl fzosplit imaeq2d wfn wrdf ffnd fnima wss cuz elfzuz3 fz0ssnn0 nn0uz
      fzoss2 eleqtrdi fzoss1 unima 3eqtr3d uneq1d 3eqtr4a ) AJUBEUCUDZUEZFUFZUG
      ZJEJUOUHZUCUDZUEZUGZYPUUAUGZYQUGDUIZJUIZYQUGYPYQUUAUJAUUDJEUKUDZFULZUMUDZ
      JEYSUNUPUDZUMUDZUIZUUHUIZUUIUIZUGZUUBADUUJADJEEUUGUQURUDZUUJRAJHUSZSEVGSZ
      UUQUUGBUTZSZUUOUUJTNAEGJVAZUHZVBVCUDZVGQAUVAVBVCVDVEZUVCAFBAFBUUEOVFZVHZU
      UGJEEUUPVGVGUURVIVJVKVLAUUHUURSZUUIUURSZUUKUUNTAUUFUURSZUUSUVFAJUURSZUVHA
      UAVMZUSZBUVJVNZUAUURVOZUURJUVLUAUURVPAJUUPUVMNAUVMCVQUHZHABISUVMUVNHVTMUA
      UVNHBCIKLUVNVRVSWAWBWCZWDZBJEWEWAZUVEBUUFUUGWFWGAUVIUVGUVPBJEYSWHWABUUHUU
      IWIWGAUULYRUUMUUAAUULUUFUIZUUGUIZUGZYRAUVHUUSUULUVTTUVQUVEBUUFUUGWIWGAUVR
      YPUVSYQAUVIEUBYSWJUDZSZUVRYPTUVPAEUVBUWAQAUVAUBYSUCUDZSUVBUWASAUVAJUSZUWC
      AUUEUWDGUUTAUWDBJVNZUUEUWDUUTWKUUEUWDUUTVTAUVIUWEAJUVMSUVIUWEWLUVOUVLUWEU
      AJUURUVJJTZUVKUWDBBUVJJUWFWMUVJJWNUWFBWOWPWQWRXEUWDBJWSUUEUWDUUTWTXAPXBAU
      VIUWDUWCTUVPBJXCWAWCUBYSUVAXDWAVEZBEJXFWGAFBSUVSYQTUVDFBXGWAXHXIAUVIUWBYS
      UWASZUUMUUATUVPUWGAUVIYSXJSZUWHUVPBJXPUWIUWHYSXKXLXAEYSBJXMXNXHXOAUUEUUCY
      QAJUWCUEZJYOYTUGZUEZUUEUUCAUWCUWKJAUWBUWCUWKTUWGUBYSEXQWAXRAJUWCXSZUWJUUE
      TAUWCBJAUVIUWCBJVTUVPBJXTWAYAZUWCJYBWAAUWMYOUWCYCZYTUWCYCZUWLUUCTUWNAUWBY
      SEYDUHSUWOUWGEUBYSYEEUBYSYHXAAEUBYDUHZSUWPAEXJUWQAUWAXJEYSYFUWGWDYGYIEUBY
      SYJWAUWCYOYTJYKXNYLYMYN $.

    $( Lemma for ~ cycpmco2 .  (Contributed by Thierry Arnoux, 4-Jan-2024.) $)
    cycpmco2lem1 $p |- ( ph -> ( ( M ` W ) ` ( ( M ` <" I J "> ) ` I ) ) = ( (
       M ` W ) ` J ) ) $=
      ( vw wcel cs2 cfv crn eldifad cdm wf1 wf cword cv crab ssrab2 eqid tocycf
      cbs fdmd eleqtrd sselid wceq id dmeq eqidd f1eq123d elrab3 biimpa syl2anc
      syl f1f frnd sseldd wn wne eldifbd nelne2 necomd cyc2fv1 fveq2d ) AFFGUAH
      UBUBGJHUBAHBCFGIKMAFBJUCZOUDAVQBGAJUEZBJAVRBJUFZVRBJUGAJBUHZTZJSUIZUEZBWB
      UFZSVTUJZTZVSAWEVTJWDSVTUKAJHUEWENAWECUNUBZHABITWEWGHUGMSWGHBCIKLWGULUMVF
      UOUPZUQWHWAWFVSWDVSSJVTWBJURZWCVRBBWBJWIUSWBJUTWIBVAVBVCVDVEVRBJVGVFVHPVI
      AGFAGVQTFVQTVJGFVKPAFBVQOVLGFVQVMVEVNLVOVP $.

    $( Lemma for ~ cycpmco2 .  (Contributed by Thierry Arnoux, 4-Jan-2024.) $)
    cycpmco2lem2 $p |- ( ph -> ( U ` E ) = I ) $=
      ( co wcel vw cfv cpfx chash cmin cs1 cc0 cconcat cop csubstr cotp csplice
      cdm cvv cword wceq ccnv c1 caddc ovexd eqeltrid crn s1cld splval syl13anc
      eldifad syl5eq fveq1d cfzo cv wf1 crab ssrab2 cbs wf eqid tocycf syl fdmd
      eleqtrd sselid pfxcl ccatcl syl2anc swrdcl cn0 cfz fz0ssnn0 wf1o wa eqidd
      id dmeq f1eq123d elrab sylib simprd f1cnv ffvelrnd wrddm fzofzp1 fzonn0p1
      f1of 3syl ccatws1len pfxlen oveq1d eqtrd oveq2d eleqtrrd ccatval1 syl3anc
      cz nn0zd elfzomin s1len oveq12d ccatval2 3eqtrd nn0cnd subidd fveq2d cdif
      a1i s1fv ) AEDUBZEJEUCSZUDUBZUESZFUFZUBZUGYJUBZFAYFEYGYJUHSZJEJUDUBZUIUJS
      ZUHSZUBZEYMUBZYKAEDYPADJEEYJUKULSZYPRAJHUMZTEUNTZUUAYJBUOZTZYSYPUPNAEGJUQ
      ZUBZURUSSZUNQAUUEURUSUTVAZUUGAFBAFBJVBZOVFVCZYJJEEYTUNUNUUBVDVEVGVHAYMUUB
      TZYOUUBTZEUGYMUDUBZVISZTYQYRUPAYGUUBTZUUCUUJAJUUBTZUUNAUAVJZUMZBUUPVKZUAU
      UBVLZUUBJUURUAUUBVMAJYTUUSNAUUSCVNUBZHABITUUSUUTHVOMUAUUTHBCIKLUUTVPVQVRV
      SVTZWAZBJEWBZVRZUUIBYGYJWCWDAUUOUUKUVBBJEYNWEVRAEUGEURUSSZVISZUUMAEWFTEUV
      FTAUGYNWGSZWFEYNWHAEUUFUVGQAUUEUGYNVISZTUUFUVGTAUUEJUMZUVHAUUHUVIGUUDAUVI
      BJVKZUUHUVIUUDWIUUHUVIUUDVOAUUOUVJAJUUSTUUOUVJWJUVAUURUVJUAJUUBUUPJUPZUUQ
      UVIBBUUPJUVKWLUUPJWMUVKBWKWNWOWPWQUVIBJWRUUHUVIUUDXCXDPWSAUUOUVIUVHUPUVBB
      JWTVRVTUGYNUUEXAVRVAZWAZEXBVRAUULUVEUGVIAUULYHURUSSZUVEAUUOUUNUULUVNUPUVB
      UVCBYGFXEXDAYHEURUSAUUOEUVGTYHEUPUVBUVLBJEXFWDZXGXHXIXJBBYMYOEXKXLAUUNUUC
      EYHYHYJUDUBZUSSZVISZTYRYKUPUVDUUIAEEUVEVISZUVRAEXMTEUVSTAEUVMXNEXOVRAYHEU
      VQUVEVIUVOAYHEUVPURUSUVOUVPURUPAFXPYDXQXQXJBYGYJEXRXLXSAYIUGYJAYIEEUESUGA
      YHEEUEUVOXIAEAEUVMXTYAXHYBAFBUUHYCZTYLFUPOFUVTYEVRXS $.

    $( Lemma for ~ cycpmco2 .  (Contributed by Thierry Arnoux, 4-Jan-2024.) $)
    cycpmco2lem3 $p |- ( ph -> ( ( # ` U ) - 1 ) = ( # ` W ) ) $=
      ( wcel co vw chash cfv c1 cword cn0 cv cdm wf1 crab ssrab2 wf eqid tocycf
      cbs syl fdmd eleqtrd sselid lencl nn0cnd 1cnd caddc cmin cpfx cs1 cconcat
      cop csubstr cotp csplice cvv wceq ovexd eqeltrid crn eldifad s1cld splval
      syl13anc syl5eq fveq2d pfxcl ccatcl syl2anc swrdcl ccatlen ccatws1len cc0
      ccnv cfz cfzo wf1o wa dmeq eqidd f1eq123d elrab sylib f1cnv simpl2im f1of
      ffvelrnd wrddm fzofzp1 pfxlen oveq1d eqtrd nn0fz0 swrdlen syl3anc oveq12d
      id 3eqtrd fz0ssnn0 nn0zd peano2zd zcnd addsubassd addassd 3eqtr2d pncan2d
      addcld addcomd mvrraddd ) ADUBUCZJUBUCZUDAYGAJBUEZSZYGUFSZAUAUGZUHZBYKUIZ
      UAYHUJZYHJYMUAYHUKAJHUHZYNNAYNCUOUCZHABISYNYPHULMUAYPHBCIKLYPUMUNUPUQURZU
      SZBJUTUPZVAZAVBZAYFEUDYGVCTZVCTZEVDTZUUBYGUDVCTAYFEUDVCTZYGEVDTZVCTZUUEYG
      VCTZEVDTUUDAYFJEVETZFVFZVGTZJEYGVHVITZVGTZUBUCZUUKUBUCZUULUBUCZVCTZUUGADU
      UMUBADJEEUUJVJVKTZUUMRAJYOSEVLSZUUSUUJYHSZUURUUMVMNAEGJWJZUCZUDVCTZVLQAUV
      BUDVCVNVOZUVDAFBAFBJVPZOVQVRZUUJJEEYOVLVLYHVSVTWAWBAUUKYHSZUULYHSZUUNUUQV
      MAUUIYHSZUUTUVGAYIUVIYRBJEWCUPZUVFBUUIUUJWDWEAYIUVHYRBJEYGWFUPBBUUKUULWGW
      EAUUOUUEUUPUUFVCAUUOUUIUBUCZUDVCTZUUEAUVIUUOUVLVMUVJBUUIFWHUPAUVKEUDVCAYI
      EWIYGWKTZSZUVKEVMYRAEUVCUVMQAUVBWIYGWLTZSUVCUVMSAUVBJUHZUVOAUVEUVPGUVAAUV
      EUVPUVAWMZUVEUVPUVAULAYIUVPBJUIZUVQAJYNSYIUVRWNYQYMUVRUAJYHYKJVMZYLUVPBBY
      KJUVSXMYKJWOUVSBWPWQWRWSUVPBJWTXAUVEUVPUVAXBUPPXCAYIUVPUVOVMYRBJXDUPURWIY
      GUVBXEUPVOZBJEXFWEXGXHAYIUVNYGUVMSZUUPUUFVMYRUVTAYJUWAYSYGXIWSBJEYGXJXKXL
      XNAUUEYGEAUUEAEAEAUVMUFEYGXOUVTUSZXPXQXRYTAEUWBVAZXSAUUHUUCEVDAEUDYGUWCUU
      AYTXTXGYAAEUUBUWCAUDYGUUAYTYCYBAUDYGUUAYTYDXNYE $.

    $( Lemma for ~ cycpmco2 .  (Contributed by Thierry Arnoux, 4-Jan-2024.) $)
    cycpmco2lem4 $p |- ( ph -> ( ( M ` W ) ` ( ( M ` <" I J "> ) ` I ) ) = ( (
       M ` U ) ` I ) ) $=
      ( cc0 co vw cs2 cfv cycpmco2lem1 chash cfzo wcel wa c1 caddc adantr cword
      wceq cs1 cotp csplice cv cdm wf1 crab ssrab2 cbs eqid tocycf fdmd eleqtrd
      syl sselid crn eldifad s1cld splcl syl2anc eqeltrid cycpmco2f1 cmin simpr
      cycpmco2lem3 oveq2d eleqtrrd cycpmfv1 cycpmco2lem2 fveq2d cop csubstr cfz
      cn0 lencl nn0fz0 sylib swrdfv0 syl3anc cpfx cconcat cvv ccnv ovexd splval
      wf syl13anc syl5eq fveq1d pfxcl ccatcl swrdcl cz fzoaddel mpan2 elfzolt2b
      1z adantl ccatws1len wf1o id dmeq eqidd f1eq123d elrab3 biimpa f1cnv f1of
      ffvelrnd wrddm oveq1d eqtrd oveq12d 3eqtrd nn0cnd 3eqtr2d 3eqtr3rd oveq1i
      clt wbr nn0p1gt0 cycpmfv2 cn nn0p1nn lbfzo0 sylibr ccatval1 fzofzp1 nn0zd
      pfxlen ccatlen swrdlen fz0ssnn0 peano2zd zcnd 1cnd addassd addcld pncan2d
      addsubassd addcomd ccatval2 subidd fveq2i a1i elfzonn0 pncand eqtr2id wne
      breqtrrdi gt0ne0d sylanbrc elfzo1elm1fzo0 eqeltrd f1f1orn 3eqtr4d breqtrd
      fzo1fzo0n0 f1ocnvfv2 3eqtr2rd oveq1 sylan9eq eqtr3d breqtrrd eqtr4d fzne1
      0p1e1 eleqtrdi pfxfv0 wo elfzr mpjaodan ) AFFGUBHUCUCJHUCZUCGUWFUCZFDHUCZ
      UCZABCDEFGHIJKLMNOPQRUDAESJUEUCZUFTZUGZUWGUWIUMEUWJUMZAUWLUHZEDUCZUWHUCZE
      UIUJTZDUCZUWIUWGUWNHBEIDKABIUGZUWLMUKZADBULZUGZUWLADJEEFUNZUOUPTZUXARAJUX
      AUGZUXCUXAUGZUXDUXAUGAUAUQZURZBUXGUSZUAUXAUTZUXAJUXIUAUXAVAAJHURZUXJNAUXJ
      CVBUCZHAUWSUXJUXLHWSMUAUXLHBCIKLUXLVCVDVGVEVFZVHZAFBAFBJVIZOVJVKZBUXCJEEV
      LVMVNZUKADURBDUSZUWLABCDEFGHIJKLMNOPQRVOZUKUWNEUWKSDUEUCZUIVPTZUFTZAUWLVQ
      ZAUYBUWKUMUWLAUYAUWJSUFABCDEFGHIJKLMNOPQRVRZVSUKVTWAAUWPUWIUMZUWLAUWOFUWH
      ABCDEFGHIJKLMNOPQRWBWCZUKUWNSJEUWJWDWETZUCZEJUCZUWRUWGUWNUXEUWLUWJSUWJWFT
      ZUGZUYHUYIUMAUXEUWLUXNUKZUYCAUYKUWLAUWJWGUGZUYKAUXEUYMUXNBJWHVGZUWJWIWJZU
      KBJEUWJWKWLUWNUWRUWQJEWMTZUXCWNTZUYGWNTZUCZUWQUYQUEUCZVPTZUYGUCZUYHAUWRUY
      SUMUWLAUWQDUYRADUXDUYRRAJUXKUGEWOUGZVUCUXFUXDUYRUMNAEGJWPZUCZUIUJTZWOQAVU
      EUIUJWQVNZVUGUXPUXCJEEUXKWOWOUXAWRWTXAZXBUKUWNUYQUXAUGZUYGUXAUGZUWQUYTUYT
      UYGUEUCZUJTZUFTZUGUYSVUBUMAVUIUWLAUYPUXAUGZUXFVUIAUXEVUNUXNBJEXCVGZUXPBUY
      PUXCXDVMZUKAVUJUWLAUXEVUJUXNBJEUWJXEVGZUKUWNUWQUWQUWJUIUJTZUFTZVUMUWLUWQV
      USUGZAUWLUWQSUIUJTZVURUFTUGZVUTUWLUIXFUGVVBXJESUWJUIXGXHUWQVVAVURXIVGXKUW
      NUYTUWQVULVURUFAUYTUWQUMUWLAUYTUYPUEUCZUIUJTZUWQAVUNUYTVVDUMVUOBUYPFXLVGA
      VVCEUIUJAUXEEUYJUGZVVCEUMUXNAEVUFUYJQAVUEUWKUGZVUFUYJUGAVUEJURZUWKAUXOVVG
      GVUDAUXOVVGVUDXMZUXOVVGVUDWSAVVGBJUSZVVHAUXEJUXJUGZVVIUXNUXMUXEVVJVVIUXIV
      VIUAJUXAUXGJUMZUXHVVGBBUXGJVVKXNUXGJXOVVKBXPXQXRXSVMZVVGBJXTVGUXOVVGVUDYA
      VGPYBAUXEVVGUWKUMUXNBJYCVGVFZSUWJVUEUUAVGVNZBJEUUCVMZYDYEZUKAVULVURUMUWLA
      UXTUYRUEUCZVURVULADUYRUEVUHWCZAUXTEUIUWJUJTZUJTZEVPTZVVSVURAUXTUWQUWJEVPT
      ZUJTZUWQUWJUJTZEVPTVWAAUXTVVQVULVWCVVRAVUIVUJVVQVULUMVUPVUQBBUYQUYGUUDVMZ
      AUYTUWQVUKVWBUJVVPAUXEVVEUYKVUKVWBUMUXNVVNUYOBJEUWJUUEWLYFYGAUWQUWJEAUWQA
      EAEAUYJWGEUWJUUFVVNVHZUUBUUGUUHZAUWJUYNYHZAEVWFYHZUUMAVWDVVTEVPAEUIUWJVWI
      AUUIZVWHUUJYDYIAEVVSVWIAUIUWJVWJVWHUUKUULAUIUWJVWJVWHUUNYGZVWEYJUKYFVTBUY
      QUYGUWQUUOWLAVUBUYHUMUWLAVUASUYGAVUAUWQUWQVPTSAUYTUWQUWQVPVVPVSAUWQVWGUUP
      YEWCUKYGUWNUYIVUFJUCZVUEJUCZUWFUCZUWGUYIVWLUMUWNEVUFJQUUQUURUWNHBVUEIJKUW
      TUYLAVVIUWLVVLUKUWNVUEEUIVPTZSUWJUIVPTZUFTZAVUEVWOUMUWLAVWOVUFUIVPTVUEEVU
      FUIVPQYKAVUEUIAVUEAVVFVUEWGUGZVVMVUEUWJUUSVGZYHVWJUUTUVAZUKUWNEUIUWJUFTUG
      ZVWOVWQUGUWNUWLESUVBZVXAUYCAVXBUWLAEASVUFEYLAVWRSVUFYLYMVWSVUEYNVGQUVCZUV
      DZUKEUWJUVKUVEEUWJUVFVGUVGWAAVWNUWGUMZUWLAVWMGUWFAVVGUXOJXMZGUXOUGVWMGUMA
      VVIVXFVVLVVGBJUVHVGPVVGUXOGJUVLVMWCZUKUVMUVIYJAUWMUHZUWGSJUCZUWPUWIVXHVWN
      UWGVXIAVXEUWMVXGUKVXHHBVUEIJKAUWSUWMMUKZAUXEUWMUXNUKAVVIUWMVVLUKVXHSEUWJY
      LASEYLYMUWMVXCUKAUWMVQZUVJAUWMVUEVWOVWPVWTEUWJUIVPUVNUVOYOUVPVXHUWPSDUCZS
      UYRUCZVXIVXHHBEIDKVXJAUXBUWMUXQUKAUXRUWMUXSUKASUXTYLYMUWMASVURUXTYLAUYMSV
      URYLYMUYNUWJYNVGVWKUVQUKVXHEUWJUYAVXKAUYAUWJUMUWMUYDUKUVRYOAVXLVXMUMUWMAS
      DUYRVUHXBUKAVXMVXIUMUWMAVXMSUYQUCZSUYPUCZVXIAVUIVUJSSUYTUFTZUGVXMVXNUMVUP
      VUQASSUWQUFTZVXPAUWQYPUGZSVXQUGAEWGUGVXRVWFEYQVGUWQYRYSAUYTUWQSUFVVPVSVTB
      BUYQUYGSYTWLAVUNUXFSSVVCUFTZUGVXNVXOUMVUOUXPASSEUFTZVXSAEYPUGSVXTUGAEVUFY
      PQAVWRVUFYPUGVWSVUEYQVGVNEYRYSAVVCESUFVVOVSVTBBUYPUXCSYTWLAUXEEUIUWJWFTZU
      GVXOVXIUMUXNAEVVAUWJWFTZVYAAVVEVXBEVYBUGVVNVXDESUWJUVSVMVVAUIUWJWFUVTYKUW
      AEBJUWBVMYGUKYGAUYEUWMUYFUKYIAVVEUWLUWMUWCVVNESUWJUWDVGUWEYE $.

    ${
      cycpmco2lem.1 $e |- ( ph -> K e. ran W ) $.
      ${
        cycpmco2lem5.1 $e |- ( ph -> ( `' U ` K ) = ( ( # ` U ) - 1 ) ) $.
        $( Lemma for ~ cycpmco2 .  (Contributed by Thierry Arnoux,
           4-Jan-2024.) $)
        cycpmco2lem5 $p |- ( ph -> ( ( M ` U ) ` K ) = ( ( M ` W ) ` K ) ) $=
          ( vw chash cfv c1 cmin co wceq crn wcel adantr caddc cpfx cs1 cconcat
          wa cop csubstr cotp csplice cdm cvv cword ccnv ovexd eqeltrid eldifad
          s1cld splval syl13anc syl5eq fveq2d cv wf1 crab ssrab2 wf eqid tocycf
          cbs syl eleqtrd sselid pfxcl ccatcl syl2anc swrdcl ccatlen ccatws1len
          fdmd cc0 cfz cfzo wf1o id dmeq eqidd f1eq123d elrab sylib simprd f1of
          f1cnv ffvelrnd wrddm fzofzp1 pfxlen oveq1d eqtrd lencl nn0fz0 swrdlen
          cn0 syl3anc oveq12d 3eqtrd fz0ssnn0 peano2zd zcnd nn0cnd 1cnd addcomd
          nn0zd 3eqtr3d wne clt wbr nn0p1gt0 breqtrrd cycpmfv2 oveq2d npcand cc
          a1i cn nn0p1nn lbfzo0 sylibr eleqtrrd ccatval1 addassd 3eqtr2d addcld
          addsubassd pncan2d oveq1 sylan9eq pncand cycpmco2f1 f1f1orn csn ssun1
          cun cycpmco2rn sseqtrrid sselda f1ocnvfv2 syl2an2r mpdan cycpmco2lem2
          eqtr3d wn eldifbd eqneltrd pm2.21dd splcl f1f frnd ssexd ne0d hashgt0
          c0 dmexd hashf1rn cycpmco2lem3 subcld nppcan3d eqtr4d sub32d fznn0sub
          fveq12d subne0nn fzo0end eqeltrd eqcomi oveq2i splfv3 fveq1d elfzonn0
          simpr s1len breqtrrdi gt0ne0d fzne1 oveq1i eleqtrdi pfxfv0 pm2.61dane
          0p1e1 3eqtr4rd ) ADUCUDZUEUFUGZDUDZDIUDZUDZUXCKIUDZUDZHUXDUDHUXFUDAUX
          EUXGUHZKUCUDZEAUXIEUHZUPZHKUIZUJZUXHAUXMUXJTUKUXKHFUXLUXKUXCEDUDZHFUX
          KUXBEDUXKUXBEUEULUGZUEUFUGZEUXKUXAUXOUEUFAUXJUXAUXIUEULUGZUXOAUXAEUEU
          XIULUGZULUGZEUFUGZUXRUXQAUXAUXOUXIEUFUGZULUGZUXOUXIULUGZEUFUGUXTAUXAK
          EUMUGZFUNZUOUGZKEUXIUQURUGZUOUGZUCUDZUYFUCUDZUYGUCUDZULUGZUYBADUYHUCA
          DKEEUYEUSUTUGZUYHSAKIVAZUJEVBUJZUYOUYEBVCZUJZUYMUYHUHOAEGKVDZUDZUEULU
          GZVBRAUYSUEULVEVFZVUAAFBAFBUXLPVGVHZUYEKEEUYNVBVBUYPVIVJVKZVLAUYFUYPU
          JZUYGUYPUJZUYIUYLUHAUYDUYPUJZUYQVUDAKUYPUJZVUFAUBVMZVAZBVUHVNZUBUYPVO
          ZUYPKVUJUBUYPVPAKUYNVUKOAVUKCVTUDZIABJUJVUKVULIVQNUBVULIBCJLMVULVRVSW
          AWJWBZWCZBKEWDWAZVUBBUYDUYEWEWFZAVUGVUEVUNBKEUXIWGWAZBBUYFUYGWHWFAUYJ
          UXOUYKUYAULAUYJUYDUCUDZUEULUGZUXOAVUFUYJVUSUHVUOBUYDFWIWAAVUREUEULAVU
          GEWKUXIWLUGZUJZVUREUHVUNAEUYTVUTRAUYSWKUXIWMUGZUJZUYTVUTUJAUYSKVAZVVB
          AUXLVVDGUYRAUXLVVDUYRWNZUXLVVDUYRVQAVVDBKVNZVVEAVUGVVFAKVUKUJVUGVVFUP
          VUMVUJVVFUBKUYPVUHKUHZVUIVVDBBVUHKVVGWOVUHKWPVVGBWQWRWSWTXAZVVDBKXCWA
          UXLVVDUYRXBWAQXDAVUGVVDVVBUHVUNBKXEWAWBZWKUXIUYSXFWAVFZBKEXGWFZXHXIZA
          VUGVVAUXIVUTUJZUYKUYAUHVUNVVJAUXIXMUJZVVMAVUGVVNVUNBKXJWAZUXIXKWTBKEU
          XIXLXNXOXPAUXOUXIEAUXOAEAEAVUTXMEUXIXQVVJWCZYCXRXSAUXIVVOXTZAEVVPXTZU
          UDAUYCUXSEUFAEUEUXIVVRAYAZVVQUUAXHUUBAEUXRVVRAUEUXIVVSVVQUUCUUEAUEUXI
          VVSVVQYBXPZUXIEUEULUUFUUGXHAUXPEUHUXJAEUEVVRVVSUUHUKXIVLAUXCHUHUXJAHD
          VDUDZDUDZUXCHAVWAUXBDUAVLAUXMVWBHUHZTADVAZDUIZDWNZUXMHVWEUJVWCAVWDBDV
          NVWFABCDEFGIJKLMNOPQRSUUIZVWDBDUUJWAAUXLVWEHAUXLFUUKZUUMUXLVWEUXLVWHU
          ULABCDEFGIJKLMNOPQRSUUNUUOUUPVWDVWEHDUUQUURUUSUVAZUKAUXNFUHUXJABCDEFG
          IJKLMNOPQRSUUTUKYDAFUXLUJUVBUXJAFBUXLPUVCUKUVDUVEAUXIEYEZUPZUXEWKDUDZ
          UXGAUXEVWLUHVWJAIBUXBJDLNADUYMUYPSAVUGUYQUYMUYPUJVUNVUBBUYEKEEUVFWFVF
          VWGAWKUXQUXAYFAVVNWKUXQYFYGVVOUXIYHWAVVTYIAUXBWQYJUKVWKUXIUEUFUGZKUDZ
          UXFUDZWKKUDZUXGVWLAVWOVWPUHVWJAIBVWMJKLNVUNVVHAWKUXLUCUDZUXIYFAUXLVBU
          JUXLUVLYEWKVWQYFYGAUXLBJNAVVDBKAVVFVVDBKVQVVHVVDBKUVGWAUVHUVIAUXLGQUV
          JUXLVBUVKWFAVVDVBUJVVFUXIVWQUHAKUYNOUVMVVHVVDBKVBUVNWFYIAVWMWQYJUKVWK
          UXCVWNUXFVWKUXCVWMEUFUGZUXOULUGZUYMUDVWREULUGZKUDZVWNVWKUXBVWSDUYMDUY
          MUHVWKSYNAUXBVWSUHVWJAUXBUXIVWSABCDEFGIJKLMNOPQRSUVOAVWSVWRUEEULUGZUL
          UGVWMUEULUGUXIAUXOVXBVWRULAEUEVVRVVSYBYKAVWMEUEAUXIUEVVQVVSUVPZVVRVVS
          UVQAUXIUEVVQVVSYLXPUVRUKUWAVWKBUYEKEEUXOVWRAVUGVWJVUNUKAEWKEWLUGUJZVW
          JAEXMUJZVXDVVPEXKWTUKAVVAVWJVVJUKAUYQVWJVUBUKVWKVWRUYAUEUFUGZWKUYAWMU
          GZVWKUXIUEEAUXIYMUJVWJVVQUKZVWKYAAEYMUJVWJVVRUKZUVSVWKUYAYOUJVXFVXGUJ
          VWKUXIEVXHVXIAUYAXMUJZVWJAVVAVXJVVJEWKUXIUVTWAUKAVWJUWJUWBUYAUWCWAUWD
          UXOEUYEUCUDZULUGUHVWKUEVXKEULVXKUEFUWKUWEUWFYNUWGAVXAVWNUHVWJAVWTVWMK
          AVWMEVXCVVRYLVLUKXPVLAVWLVWPUHVWJAVWLWKUYHUDZVWPAWKDUYHVUCUWHAVXLWKUY
          FUDZWKUYDUDZVWPAVUDVUEWKWKUYJWMUGZUJVXLVXMUHVUPVUQAWKWKUXOWMUGZVXOAUX
          OYOUJZWKVXPUJAVXEVXQVVPEYPWAUXOYQYRAUYJUXOWKWMVVLYKYSBBUYFUYGWKYTXNAV
          UFUYQWKWKVURWMUGZUJVXMVXNUHVUOVUBAWKWKEWMUGZVXRAEYOUJWKVXSUJAEUYTYORA
          UYSXMUJZUYTYOUJAVVCVXTVVIUYSUXIUWIWAZUYSYPWAVFEYQYRAVUREWKWMVVKYKYSBB
          UYDUYEWKYTXNAVUGEUEUXIWLUGZUJVXNVWPUHVUNAEWKUEULUGZUXIWLUGZVYBAVVAEWK
          YEEVYDUJVVJAEAWKUYTEYFAVXTWKUYTYFYGVYAUYSYHWARUWLUWMEWKUXIUWNWFVYCUEU
          XIWLUWSUWOUWPEBKUWQWFXPXIUKUWTXIUWRAUXCHUXDVWIVLAUXCHUXFVWIVLYD $.
      $}

      cycpmco2lem6.2 $e |- ( ph -> K =/= I ) $.
      cycpmco2lem6.1 $e |- ( ph -> ( `' U ` K ) e. ( E ..^ ( ( # ` U ) - 1 ) )
        ) $.
      $( Lemma for ~ cycpmco2 .  (Contributed by Thierry Arnoux,
         4-Jan-2024.) $)
      cycpmco2lem6 $p |- ( ph -> ( ( M ` U ) ` K ) = ( ( M ` W ) ` K ) ) $=
        ( vw cfv ccnv cmin co c1 caddc cs1 cotp csplice cword wcel cdm wf1 crab
        cv ssrab2 cbs wf eqid tocycf syl eleqtrd sselid crn eldifad s1cld splcl
        fdmd syl2anc eqeltrid cycpmco2f1 cfzo cc0 cuz wss cn0 cfz fz0ssnn0 wf1o
        chash wa wceq id dmeq eqidd f1eq123d elrab sylib simprd f1cnv f1of 3syl
        ffvelrnd wrddm fzofzp1 nn0uz eleqtrdi fzoss1 cycpmfv1 f1f1orn csn ssun1
        sseldd cycpmco2rn sseqtrrid sselda f1ocnvfv2 syl2an2r mpdan fveq2d zcnd
        cun cz nn0cnd fveq12d 3eqtr3d npcand nn0fz0 cconcat oveq1d 3eqtrd nn0zd
        cvv peano2zd addcld addcomd oveq2d splfv3 wne cle wbr cn fzoss2 eqeltrd
        zred eleqtrrd zsubcld a1i fzossz 1cnd nppcan3d eqcomd lencl cop csubstr
        cpfx ovexd splval syl13anc syl5eq pfxcl ccatcl swrdcl ccatws1len pfxlen
        ccatlen eqtrd swrdlen syl3anc oveq12d addassd 3eqtr2d mvrraddd fzosubel
        addsubassd pncan2d subidd s1len oveq2i eqtr4di eqsstrd f1ocnvdm nn0p1nn
        elfzonn0 nnred elfzle2 leadd1dd syl3anbrc fzonn0p1 cycpmco2lem2 3netr4d
        1red eluz2 f1fveq necon3bid biimp3a syl121anc fzom1ne1 subsub4d pncan3d
        eqtr2d 1zzd clt cr ltm1d breqtrd ltled eluz1 biimpar syl12anc fzosubel3
        subcld eqtr3d 3eqtr4rd eqtr4d ) AHDIUDZUDZHDUEUDZEUFUGZUHEUIUGZUIUGZKEE
        FUJZUKULUGZUDZHKIUDZUDZAUXKDUDZUXIUDUXKUHUIUGZDUDUXJUXQAIBUXKJDLNADUXPB
        UMZSAKUYBUNZUXOUYBUNZUXPUYBUNAUCURZUOZBUYEUPZUCUYBUQZUYBKUYGUCUYBUSAKIU
        OZUYHOAUYHCUTUDZIABJUNUYHUYJIVANUCUYJIBCJLMUYJVBVCVDVKVEZVFZAFBAFBKVGZP
        VHVIZBUXOKEEVJVLVMZABCDEFGIJKLMNOPQRSVNZAEDWCUDZUHUFUGZVOUGZVPUYRVOUGZU
        XKAEVPVQUDZUNZUYSUYTVRAEVSVUAAVPKWCUDZVTUGZVSEVUCWAAEGKUEZUDZUHUIUGZVUD
        RAVUFVPVUCVOUGZUNZVUGVUDUNAVUFKUOZVUHAUYMVUJGVUEAVUJBKUPZUYMVUJVUEWBUYM
        VUJVUEVAAUYCVUKAKUYHUNUYCVUKWDUYKUYGVUKUCKUYBUYEKWEZUYFVUJBBUYEKVULWFUY
        EKWGVULBWHWIWJWKWLZVUJBKWMUYMVUJVUEWNWOQWPAUYCVUJVUHWEUYLBKWQVDVEZVPVUC
        VUFWRVDVMZVFZWSWTZEVPUYRXAVDUBXFXBAUXTHUXIAHUYMUNZUXTHWEZTADUOZDVGZDWBZ
        VURHVVAUNZVUSAVUTBDUPZVVBUYPVUTBDXCVDZAUYMVVAHAUYMFXDZXOUYMVVAUYMVVFXEA
        BCDEFGIJKLMNOPQRSXGXHXIZVUTVVAHDXJXKXLZXMAUYAUXNDUXPDUXPWEASUUAZAUXNUYA
        AUXKEUHAUXKAUYSXPUXKEUYRUUBUBVFXNZAEVUPXQZAUUCZUUDUUEXRXSAUXLEUIUGZKUDU
        XKKUDZUXQUXSAVVMUXKKAUXKEVVJVVKXTXMABUXOKEEUXMUXLUYLAEVSUNZEVPEVTUGUNVU
        PEYAWKZVUOUYNAUXLEEUFUGZVUCEUFUGZVOUGZVPVVRVOUGZAUXKEVUCVOUGZUNEXPUNUXL
        VVSUNAUXKUYSVWAUBAUYRVUCEVOAUYQVUCUHAVUCAUYCVUCVSUNZUYLBKUUFVDZXQZVVLAU
        YQEUHVUCUIUGZUIUGZEUFUGZVWEVUCUHUIUGZAUYQEUHUIUGZVVRUIUGZVWIVUCUIUGZEUF
        UGVWGAUYQKEUUIUGZUXOYBUGZKEVUCUUGUUHUGZYBUGZWCUDZVWMWCUDZVWNWCUDZUIUGZV
        WJADVWOWCADUXPVWOSAKUYIUNEYFUNZVWTUYDUXPVWOWEOAEVUGYFRAVUFUHUIUUJVMZVXA
        UYNUXOKEEUYIYFYFUYBUUKUULUUMXMAVWMUYBUNZVWNUYBUNZVWPVWSWEAVWLUYBUNZUYDV
        XBAUYCVXDUYLBKEUUNZVDUYNBVWLUXOUUOVLAUYCVXCUYLBKEVUCUUPVDBBVWMVWNUUSVLA
        VWQVWIVWRVVRUIAVWQVWLWCUDZUHUIUGZVWIAUYCVXDVWQVXGWEUYLVXEBVWLFUUQWOAVXF
        EUHUIAUYCEVUDUNZVXFEWEUYLVUOBKEUURVLYCUUTAUYCVXHVUCVUDUNZVWRVVRWEUYLVUO
        AVWBVXIVWCVUCYAWKBKEVUCUVAUVBUVCYDAVWIVUCEAVWIAEAEVUPYEZYGZXNVWDVVKUVHA
        VWKVWFEUFAEUHVUCVVKVVLVWDUVDYCUVEAEVWEVVKAUHVUCVVLVWDYHUVIAUHVUCVVLVWDY
        IYDZUVFZYJVEVXJUXKEVUCEUVGVLAVVQVPVVRVOAEVVKUVJYCVEAUXMVWIEUXOWCUDZUIUG
        AUHEVVLVVKYIVXNUHEUIFUVKUVLUVMZYKAUXKUHUFUGZKUDZUXRUDVXPUHUIUGZKUDUXSVV
        NAIBVXPJKLNUYLVUMAEUYRUHUFUGZVOUGZVPVUCUHUFUGZVOUGZVXPAVXTEVYAVOUGZVYBA
        VXSVYAEVOAUYRVUCUHUFVXMYCYJAVUBVYCVYBVRVUQEVPVYAXAVDUVNAUXKUYSUNUXKEYLZ
        VXPVXTUNUBAVVDUXKVUTUNZEVUTUNZUXTEDUDZYLZVYDUYPAVURVYETAVVBVURVVCVYEVVE
        VVGVUTVVAHDUVOXKXLAEVPUYQVOUGZVUTAEVPVWHVOUGZVYIAVPVWIVOUGZVYJEAVWHVWIV
        QUDUNZVYKVYJVRAVWIXPUNVWHXPUNVWIVWHYMYNVYLVXKAVUCAVUCVWCYEZYGAEVUCUHAEA
        EVUGYORAVUIVUFVSUNVUGYOUNVUNVUFVUCUVQVUFUVPWOVMUVRAVUCVYMYRZAUWEAVXHEVU
        CYMYNVUOEVPVUCUVSVDUVTVWIVWHUWFUWAVWIVPVWHYPVDAVVOEVYKUNVUPEUWBVDXFAUYQ
        VWHVPVOVXLYJYSADUYBUNVUTVYIWEUYOBDWQVDYSAHFUXTVYGUAVVHABCDEFGIJKLMNOPQR
        SUWCUWDVVDVYEVYFWDZVYHVYDVVDVYOWDUXTVYGUXKEVUTBUXKEDUWGUWHUWIUWJUXKEUYR
        UWKVLZXFXBAVXQHUXRAUXTVXQHAUXTVXPEUFUGZUXMUIUGZUXPUDVYQEUIUGZKUDVXQAUXK
        VYRDUXPVVIAVYRUXKUXMUFUGZUXMUIUGUXKAVYQVYTUXMUIAUXKUHEVVJVVLVVKUWLYCAUX
        KUXMVVJAUHEVVLVVKYHXTUWNXRABUXOKEEUXMVYQUYLVVPVUOUYNAVXPEEVVRUIUGZVOUGZ
        UNVVRXPUNVYQVVTUNAVXTWUBVXPAWUAVXSVQUDZUNVXTWUBVRAWUAVUCWUCAEVUCVVKVWDU
        WMAVXSXPUNZVUCXPUNZVXSVUCYMYNZVUCWUCUNZAUYRUHAUYRVUCXPVXMVYMYQAUWOYTZVY
        MAVXSVUCAVXSWUHYRVYNAVXSUYRVUCUWPAUYRAUYRVUCUWQVXMVYNYQUWRVXMUWSUWTWUDW
        UGWUEWUFWDVXSVUCUXAUXBUXCYQVXSEWUAYPVDVYPXFAVUCEVYMVXJYTVXPEVVRUXDVLVXO
        YKAVYSVXPKAVXPEAUXKUHVVJVVLUXEVVKXTXMYDVVHUXFXMAVXRUXKKAUXKUHVVJVVLXTXM
        XSUXGUXH $.
    $}

    ${
      cycpmco2lem7.1 $e |- ( ph -> K e. ran W ) $.
      cycpmco2lem7.2 $e |- ( ph -> K =/= J ) $.
      cycpmco2lem7.3 $e |- ( ph -> ( `' U ` K ) e. ( 0 ..^ E ) ) $.
      $( Lemma for ~ cycpmco2 .  (Contributed by Thierry Arnoux,
         4-Jan-2024.) $)
      cycpmco2lem7 $p |- ( ph -> ( ( M ` U ) ` K ) = ( ( M ` W ) ` K ) ) $=
        ( vw cfv ccnv c1 caddc co cs1 cotp csplice cword wcel cv cdm wf1 ssrab2
        crab cbs wf eqid tocycf syl fdmd eleqtrd sselid crn eldifad s1cld splcl
        syl2anc eqeltrid cycpmco2f1 cc0 cfzo chash cmin cfz cuz wf1o wa wceq id
        dmeq eqidd f1eq123d elrab sylib simprd f1cnv f1of 3syl ffvelrnd fzofzp1
        wss elfzuz3 fzoss2 cycpmco2lem3 oveq2d sseqtrrd sseldd cycpmfv1 f1f1orn
        wrddm ssun1 cycpmco2rn sseqtrrid sselda f1ocnvfv2 syl2an2r fveq2d mpdan
        csn cun f1ocnvfv1 fveq1i cn0 nn0fz0 splfv1 syl5eq eqtr3d oveq1d 3eqtr3d
        fz0ssnn0 a1i fveq1d elfzelzd simpr elfzonn0 nn0cnd 1cnd adantr 3eqtr2rd
        cz cn cvv eqeltrrd cle wbr zsubcld pncand eqtr2d wne pm2.21ddne nn0p1nn
        wo 0p1e1 fveq2i nnuz eqtr4i eleqtrrdi fzosplitsnm1 wb fvex elunsn ax-mp
        mpjaodan elfzom1elp1fzo eqtrd 1zzd lencl biimpi nnred zred 1red elfzle2
        0zd lesub1dd eluz biimpar syl21anc eqtr4d ) AHDIUDZUDZHKUEZUDZUFUGUHZDU
        DZHKIUDZUDZAHDUEZUDZDUDZUVMUDZUWBUFUGUHZDUDUVNUVRAIBUWBJDLNADKEEFUIZUJU
        KUHZBULZSAKUWHUMZUWFUWHUMUWGUWHUMAUCUNZUOZBUWJUPZUCUWHURZUWHKUWLUCUWHUQ
        AKIUOUWMOAUWMCUSUDZIABJUMUWMUWNIUTNUCUWNIBCJLMUWNVAVBVCVDVEZVFZAFBAFBKV
        GZPVHVIZBUWFKEEVJVKVLABCDEFGIJKLMNOPQRSVMZAVNEVOUHZVNDVPUDUFVQUHZVOUHZU
        WBAUWTVNKVPUDZVOUHZUXBAEVNUXCVRUHZUMZUXCEVSUDUMUWTUXDWOAEGUVOUDZUFUGUHZ
        UXERAUXGUXDUMZUXHUXEUMAUXGKUOZUXDAUWQUXJGUVOAUXJBKUPZUWQUXJUVOVTUWQUXJU
        VOUTAUWIUXKAKUWMUMUWIUXKWAUWOUWLUXKUCKUWHUWJKWBZUWKUXJBBUWJKUXLWCUWJKWD
        UXLBWEWFWGWHWIZUXJBKWJUWQUXJUVOWKWLQWMAUWIUXJUXDWBUWPBKXDVCZVEZVNUXCUXG
        WNVCVLZEVNUXCWPEVNUXCWQWLZAUXAUXCVNVOABCDEFGIJKLMNOPQRSWRWSWTUBXAXBAHUW
        QUMZUWDUVNWBTAUXRWAUWCHUVMADUOZDVGZDVTZUXRHUXTUMUWCHWBZAUXSBDUPUYAUWSUX
        SBDXCVCAUWQUXTHAUWQFXMZXNUWQUXTUWQUYCXEABCDEFGIJKLMNOPQRSXFXGXHUXSUXTHD
        XIXJZXKXLAUWEUVQDAUWBUVPUFUGAUWBKUDZUVOUDZUWBUVPAUXJUWQKVTZUWBUXJUMUYFU
        WBWBAUXKUYGUXMUXJBKXCVCZAUWTUXJUWBAUWTUXDUXJUXQUXNWTUBXAUXJUWQUWBKXOVKA
        UYEHUVOAUWCUYEHAUWCUWBUWGUDUYEUWBDUWGSXPABUWFKEEUWBUWPAEXQUMEVNEVRUHUMA
        UXEXQEUXCYDUXPVFEXRWHZUXPUWRUBXSXTAUXRUYBTUYDXLYAXKYAZYBZXKYCAUVRUVQKUD
        ZUVPKUDZUVSUDUVTAUVRUVQUWGUDUYLAUVQDUWGDUWGWBASYEYFABUWFKEEUVQUWPUYIUXP
        UWRAUWEUVQUWTUYKAEYNUMUWBVNEUFVQUHZVOUHZUMZUWEUWTUMAEVNUXCUXPYGZAUYPUYP
        UWBUYNWBZAUYPYHAUYRWAZUYPHGUYSUYMUXGKUDZHGUYSUVPUXGKUYSUXGUYNUWBUVPAUXG
        UYNWBUYRAUYNUXHUFVQUHUXGAEUXHUFVQEUXHWBARYEYBAUXGUFAUXGAUXIUXGXQUMZUXOU
        XGUXCYIVCZYJAYKUUAUUBYLAUYRYHAUWBUVPWBUYRUYJYLYMXKAUYMHWBZUYRAUYGUXRVUC
        UYHTUXJUWQHKXIVKZYLAUYTGWBZUYRAUYGGUWQUMVUEUYHQUXJUWQGKXIVKYLYCAHGUUCUY
        RUAYLUUDAUWBUYOUYNXMXNZUMZUYPUYRUUFZAUWBUWTVUFUBAVNYNUMEVNUFUGUHZVSUDZU
        MUWTVUFWBAUVGAEYOVUJAEUXHYORAVUAUXHYOUMVUBUXGUUEVCVLZVUJUFVSUDYOVUIUFVS
        UUGUUHUUIUUJUUKVNEUULVKVEUWBYPUMVUGVUHUUMHUWAUUNUWBUYOUYNYPUUOUUPWHUUQZ
        UWBEUURVKYQXSUUSAIBUVPJKLNUWPUXMAUWBUVPVNUXCUFVQUHZVOUHZUYJAUYOVUNUWBAV
        UMUYNVSUDUMZUYOVUNWOAUYNYNUMZVUMYNUMZUYNVUMYRYSZVUOAEUFUYQAUUTZYTAUXCUF
        AUXCVNUXCAUWIUXCXQUMZUXCUXEUMZUWPBKUVAVUTVVAUXCXRUVBWLYGZVUSYTAEUXCUFAE
        VUKUVCAUXCVVBUVDAUVEAUXFEUXCYRYSUXPEVNUXCUVFVCUVHVUPVUQWAVUOVURUYNVUMUV
        IUVJUVKUYNVNVUMWQVCVULXAYQXBAUYMHUVSVUDXKYMUVL $.
    $}

    $( The composition of a cyclic permutation and a transposition of one
       element in the cycle and one outside the cycle results in a cyclic
       permutation with one more element in its orbit.  (Contributed by Thierry
       Arnoux, 2-Jan-2024.) $)
    cycpmco2 $p |- ( ph -> ( ( M ` W ) o. ( M ` <" I J "> ) ) = ( M ` U ) ) $=
      ( cfv wcel vi vw cs2 ccom wfn crn wss cbs wf cv cdm wf1 cword crab tocycf
      eqid fdmd eleqtrd ffvelrnd symgbasf ffnd eldifad ssrab2 sselid wceq eqidd
      syl id dmeq f1eq123d elrab3 biimpa syl2anc f1f frnd sseldd wn wne eldifbd
      nelne2 necomd cycpm2cl fnco syl3anc cs1 cotp csplice s1cld splcl eqeltrid
      co cycpmco2f1 cycpmcl wa fvco3 sylan ccnv fveq2d c1 caddc chash cfzo cmin
      cc0 wf1o wrddm cn0 nn0cnd cconcat cvv cfz oveq1d eqtrd sylib 3eqtrd nn0zd
      3syl peano2zd 3eqtr2d eleqtrrd cycpmfv3 3eqtr4d ccatval1 f1f1orn ad2antrr
      oveq2d sselda adantr nelprd eleq2d mpbird ad3antrrr simpllr simplr wo cun
      simpr cz pm2.61dane adantlr cdif cyc2fv2 cycpmco2lem2 f1cnv f1of 1cnd cop
      lencl csubstr ovexd splval syl13anc syl5eq pfxcl ccatcl swrdcl ccatws1len
      ccatlen fzofzp1 pfxlen nn0fz0 swrdlen oveq12d fz0ssnn0 addsubassd addassd
      addcld pncan2d addcomd mvrraddd cycpmfv1 fveq2i eqtr4di fveq1d fzossfzop1
      cpfx zcnd elfzonn0 fzonn0p1 oveq2i eleqtrrdi pfxfv f1ocnvfv2 s2cld cpr wb
      s2f1 s2rn cycpmco2lem7 cycpmco2lem6 cycpmco2lem5 w3o csn ssun1 cycpmco2rn
      notbid sseqtrrid f1ocnvdm syl2an2r eqeltrd fzoval fzospliti ex orim1d mpd
      elfzr df-3or sylibr eqtr4d cycpmco2lem4 eldifn syl2an nelsn nelun biimpar
      mpjao3dan adantl syl12anc undif elun bitr3di mpjaodan eqfnfvd ) AUABJHSZF
      GUCZHSZUDZDHSZAUYDBUEUYFBUEUYFUFBUGUYGBUEABBUYDAUYDCUHSZTBBUYDUIAUBUJZUKZ
      BUYJULZUBBUMZUNZUYIJHABITZUYNUYIHUIMUBUYIHBCIKLUYIUPZUOVGZAJHUKZUYNNAUYNU
      YIHUYQUQURZUSBUYIUYDCLUYPUTVGVAABBUYFAUYFUYITBBUYFUIZAHBCFGIKMAFBJUFZOVBZ
      AVUABGAJUKZBJAVUCBJULZVUCBJUIAJUYMTZJUYNTZVUDAUYNUYMJUYLUBUYMVCUYSVDZUYSV
      UEVUFVUDUYLVUDUBJUYMUYJJVEZUYKVUCBBUYJJVUHVHUYJJVIVUHBVFVJVKVLVMZVUCBJVNV
      GVOZPVPZAGFAGVUATZFVUATVQZGFVRPAFBVUAOVSZGFVUAVTVMWAZLWBBUYIUYFCLUYPUTVGZ
      VAABBUYFVUPVOBBUYDUYFWCWDABBUYHAUYHUYITBBUYHUIAHBCIDKMADJEEFWEZWFWGWKZUYM
      RAVUEVUQUYMTZVURUYMTVUGAFBVUBWHZBVUQJEEWIVMWJZABCDEFGHIJKLMNOPQRWLZLWMBUY
      IUYHCLUYPUTVGVAAUAUJZBTZWNZVVCUYGSZVVCUYFSZUYDSZVVCUYHSZAUYTVVDVVFVVHVEVU
      PBBVVCUYDUYFWOWPVVEVVCVUATZVVHVVIVEZVVCBVUAUUAZTZAVVJVVKVVDAVVJWNZVVKVVCG
      VVNVVCGVEZWNZGUYFSZUYDSZGUYHSZVVHVVIAVVRVVSVEVVJVVOAVVRFUYDSZGJWQZSZDSZUY
      HSZVVSAVVQFUYDAHBCFGIKMVUBVUKVUOLUUBWRAEDSZFVWDVVTABCDEFGHIJKLMNOPQRUUCAV
      WDVWBWSWTWKZDSVWEAHBVWBIDKMVVAVVBAVWBXDJXASZXBWKZXDDXASZWSXCWKZXBWKZAVWBV
      UCVWHAVUAVUCGVWAAVUDVUAVUCVWAXEVUAVUCVWAUIVUIVUCBJUUDVUAVUCVWAUUEXQPUSAVU
      EVUCVWHVEVUGBJXFVGURZAVWJVWGXDXBAVWIVWGWSAVWGAVUEVWGXGTZVUGBJUUHVGZXHZAUU
      FZAVWIEWSVWGWTWKZWTWKZEXCWKZVWQVWGWSWTWKZAVWIEWSWTWKZVWGEXCWKZWTWKZVXAVWG
      WTWKZEXCWKVWSAVWIJEUVPWKZVUQXIWKZJEVWGUUGUUIWKZXIWKZXASZVXFXASZVXGXASZWTW
      KZVXCADVXHXAADVURVXHRAJUYRTZEXJTZVXNVUSVURVXHVENAEVWFXJQAVWBWSWTUUJWJZVXO
      VUTVUQJEEUYRXJXJUYMUUKUULUUMZWRAVXFUYMTZVXGUYMTZVXIVXLVEAVXEUYMTZVUSVXQAV
      UEVXSVUGBJEUUNZVGZVUTBVXEVUQUUOVMZAVUEVXRVUGBJEVWGUUPVGZBBVXFVXGUURVMAVXJ
      VXAVXKVXBWTAVXJVXEXASZWSWTWKZVXAAVUEVXSVXJVYEVEVUGVXTBVXEFUUQXQAVYDEWSWTA
      VUEEXDVWGXKWKZTZVYDEVEVUGAEVWFVYFQAVWBVWHTZVWFVYFTVWLXDVWGVWBUUSVGWJZBJEU
      UTVMZXLXMZAVUEVYGVWGVYFTZVXKVXBVEVUGVYIAVWMVYLVWNVWGUVAXNBJEVWGUVBWDUVCXO
      AVXAVWGEAVXAAEAEAVYFXGEVWGUVDVYIVDZXPZXRUVQVWOAEVYMXHZUVEAVXDVWREXCAEWSVW
      GVYOVWPVWOUVFXLXSAEVWQVYOAWSVWGVWPVWOUVGUVHAWSVWGVWPVWOUVIXOZUVJYFXTUVKEV
      WFDQUVLUVMAHBIJFKMVUGVUIVUBVUNYAYBAVWCGUYHAVWCVWBVXESZVWBJSZGAVWCVWBVXHSZ
      VWBVXFSZVYQAVWBDVXHVXPUVNAVXQVXRVWBXDVXJXBWKZTVYSVYTVEVYBVYCAVWBXDVXAXBWK
      ZWUAAXDEXBWKZWUBVWBAEXGTWUCWUBUGVYMEUVOVGAVWBXDVWFXBWKZWUCAVYHVWBXGTVWBWU
      DTVWLVWBVWGUVRVWBUVSXQEVWFXDXBQUVTUWAZVPAVXJVXAXDXBVYKYFXTBBVXFVXGVWBYCWD
      AVXSVUSVWBXDVYDXBWKZTVYTVYQVEVYAVUTAVWBWUCWUFWUEAVYDEXDXBVYJYFXTBBVXEVUQV
      WBYCWDXOAVUEVYGVWBWUCTVYQVYRVEVUGVYIWUEVWBEBJUWBWDAVUCVUAJXEZVULVYRGVEAVU
      DWUGVUIVUCBJYDVGPVUCVUAGJUWCVMXOWRXSYEVVPVVGVVQUYDVVPVVCGUYFVVNVVOYQZWRWR
      VVPVVCGUYHWUHWRYBVVNVVCGVRZWNZVVHVVCUYDSZVVIWUJVVGVVCUYDWUJHBIUYEVVCKAUYO
      VVJWUIMYEAUYEUYMTZVVJWUIAFGBVUBVUKUWDZYEAUYEUKBUYEULZVVJWUIABFGVUBVUKVUOU
      WGZYEVVNVVDWUIAVUABVVCVUJYGYHWUJVVCUYEUFZTZVQZVVCFGUWEZTZVQZWUJVVCFGVVNVV
      CFVRZWUIVVNVVJVUMWVBAVVJYQAVUMVVJVUNYHVVCFVUAVTVMZYHVVNWUIYQYIAWURWVAUWFZ
      VVJWUIAWUQWUTAWUPWUSVVCABFGVUBVUKUWHYJUWPZYEYKYAWRWUJVVCDWQSZWUCTZVVIWUKV
      EWVFEVWJXBWKTZWVFVWJVEZWUJWVGWNBCDEFGVVCHIJKLAUYOVVJWUIWVGMYLAVXMVVJWUIWV
      GNYLAFVVLTZVVJWUIWVGOYLAVULVVJWUIWVGPYLQRAVVJWUIWVGYMVVNWUIWVGYNWUJWVGYQU
      WIWUJWVHWNBCDEFGVVCHIJKLAUYOVVJWUIWVHMYLAVXMVVJWUIWVHNYLAWVJVVJWUIWVHOYLA
      VULVVJWUIWVHPYLQRAVVJWUIWVHYMVVNWVBWUIWVHWVCYEWUJWVHYQUWJWUJWVIWNBCDEFGVV
      CHIJKLAUYOVVJWUIWVIMYLAVXMVVJWUIWVINYLAWVJVVJWUIWVIOYLAVULVVJWUIWVIPYLQRA
      VVJWUIWVIYMWUJWVIYQUWKVVNWVGWVHWVIUWLZWUIVVNWVGWVHYOZWVIYOZWVKVVNWVFVWKTZ
      WVIYOZWVMVVNWVFXDVWJXKWKZTWVOVVNWVFXDVWIXBWKZWVPVVNWVFDUKZWVQAWVRDUFZDXEZ
      VVJVVCWVSTZWVFWVRTAWVRBDULZWVTVVBWVRBDYDVGAVUAWVSVVCAVUAFUWMZYPZVUAWVSVUA
      WWCUWNABCDEFGHIJKLMNOPQRUWOZUWQYGWVRWVSVVCDUWRUWSAWVRWVQVEZVVJADUYMTZWWFV
      VABDXFVGYHURAWVQWVPVEZVVJAVWIYRTWWHAVWIVWTYRVYPAVWGAVWGVWNXPXRUWTXDVWIUXA
      VGYHURWVFXDVWJUXFVGVVNWVNWVLWVIVVNWVNWVLVVNWVNWNWVNEYRTZWVLVVNWVNYQAWWIVV
      JWVNVYNYEWVFXDVWJEUXBVMUXCUXDUXEWVGWVHWVIUXGUXHYHUXPUXIYSYTAVVMVVKVVDAVVM
      WNZVVKVVCFWWJVVCFVEZWNZFUYFSZUYDSZFUYHSZVVHVVIAWWNWWOVEVVMWWKABCDEFGHIJKL
      MNOPQRUXJYEWWLVVGWWMUYDWWLVVCFUYFWWJWWKYQZWRWRWWLVVCFUYHWWPWRYBWWJWVBWNZW
      UKVVCVVHVVIWWQHBIJVVCKAUYOVVMWVBMYEZAVUEVVMWVBVUGYEAVUDVVMWVBVUIYEWWQVVCB
      VUAAVVMWVBYNZVBZWWQVVCBVUAWWSVSZYAWWQVVGVVCUYDWWQHBIUYEVVCKWWRAWULVVMWVBW
      UMYEAWUNVVMWVBWUOYEWWTWWQWURWVAWWQVVCFGWWJWVBYQWWJWUIWVBWWJGVVCAVULVVJVQZ
      GVVCVRVVMPVVCBVUAUXKGVVCVUAVTUXLWAYHYIAWVDVVMWVBWVEYEYKYAWRWWQHBIDVVCKWWR
      AWWGVVMWVBVVAYEAWWBVVMWVBVVBYEWWTWWQWVSWWDVEZWXBVVCWWCTVQZWWAVQZAWXCVVMWV
      BWWEYEWXAWVBWXDWWJVVCFUXMUXQWXCWXEWXBWXDWNWVSVUAWWCVVCUXNUXOUXRYAYBYSYTAV
      VDVVJVVMYOZAVVCVUAVVLYPZTVVDWXFAWXGBVVCAVUABUGWXGBVEVUJVUABUXSXNYJVVCVUAV
      VLUXTUYAVLUYBXMUYC $.
  $}

  ${
    cycpm3.c $e |- C = ( toCyc ` D ) $.
    cycpm3.s $e |- S = ( SymGrp ` D ) $.
    cycpm3.d $e |- ( ph -> D e. V ) $.
    cycpm3.i $e |- ( ph -> I e. D ) $.
    cycpm3.j $e |- ( ph -> J e. D ) $.
    cycpm3.k $e |- ( ph -> K e. D ) $.
    cycpm3.1 $e |- ( ph -> I =/= J ) $.
    cycpm3.2 $e |- ( ph -> J =/= K ) $.
    cycpm3.3 $e |- ( ph -> K =/= I ) $.
    $( Function value of a 2-cycle outside of its orbit.  (Contributed by
       Thierry Arnoux, 19-Sep-2023.) $)
    cyc2fvx $p |- ( ph -> ( ( C ` <" I J "> ) ` K ) = K ) $=
      ( cs2 s2cld s2f1 crn cpr necomd nelprd s2rn neleqtrrd cycpmfv3 ) ABCHEFRZ
      GIKAEFCLMSACEFLMOTNAUHUAEFUBGAGEFQAFGPUCUDACEFLMUEUFUG $.

    $( Closure of the 3-cycles in the permutations.  (Contributed by Thierry
       Arnoux, 19-Sep-2023.) $)
    cycpm3cl $p |- ( ph -> ( C ` <" I J K "> ) e. ( Base ` S ) ) $=
      ( cs3 s3cld s3f1 cycpmcl ) ABCDHEFGRIKAEFGCLMNSACEFGLMNOPQTJUA $.

    $d D w $.  $d I w $.  $d J w $.  $d K w $.
    $( Closure of the 3-cycles in the class of 3-cycles.  (Contributed by
       Thierry Arnoux, 19-Sep-2023.) $)
    cycpm3cl2 $p |- ( ph -> ( C ` <" I J K "> ) e. ( C " ( `' # " { 3 } ) ) )
       $=
      ( vw cdm wf1 cv cword crab cs3 chash ccnv c3 csn cima cbs cfv wcel tocycf
      wf eqid syl ffnd wceq id dmeq eqidd f1eq123d s3cld s3f1 s3clhash fnfvimad
      elrabd a1i ) ARUAZSZCVITZRCUBZUCZEFGUDZUEUFUGUHUIZBAVMDUJUKZBACHULVMVPBUN
      KRVPBCDHIJVPUOUMUPUQAVKVNSZCVNTRVNVLVIVNURZVJVQCCVIVNVRUSVIVNUTVRCVAVBAEF
      GCLMNVCACEFGLMNOPQVDVGVNVOULAEFGVEVHVF $.

    $( Function value of a 3-cycle at the first point.  (Contributed by Thierry
       Arnoux, 19-Sep-2023.) $)
    cyc3fv1 $p |- ( ph -> ( ( C ` <" I J K "> ) ` I ) = J ) $=
      ( cc0 cfv c1 cs3 caddc co s3cld s3f1 chash cmin cfzo wcel cpr prid1 c2 c3
      c0ex s3len oveq1i 3m1e2 eqtri oveq2i fzo0to2pr eleqtrri a1i cycpmfv1 wceq
      s3fv0 syl fveq2d 0p1e1 fveq2i s3fv1 syl5eq 3eqtr3d ) AREFGUAZSZVMBSZSRTUB
      UCZVMSZEVOSFABCRHVMIKAEFGCLMNUDACEFGLMNOPQUERRVMUFSZTUGUCZUHUCZUIARRTUJZV
      TRTUNUKVTRULUHUCWAVSULRUHVSUMTUGUCULVRUMTUGEFGUOUPUQURUSUTURVAVBVCAVNEVOA
      ECUIVNEVDLEFGCVEVFVGAVQTVMSZFVPTVMVHVIAFCUIWBFVDMEFGCVJVFVKVL $.

    $( Function value of a 3-cycle at the second point.  (Contributed by
       Thierry Arnoux, 19-Sep-2023.) $)
    cyc3fv2 $p |- ( ph -> ( ( C ` <" I J K "> ) ` J ) = K ) $=
      ( c1 cfv co cs3 caddc s3cld s3f1 cc0 chash cmin cfzo wcel cpr prid2 c2 c3
      1ex s3len oveq1i 3m1e2 eqtri oveq2i fzo0to2pr eleqtrri a1i cycpmfv1 s3fv1
      wceq syl fveq2d 1p1e2 fveq2i s3fv2 syl5eq 3eqtr3d ) AREFGUAZSZVMBSZSRRUBT
      ZVMSZFVOSGABCRHVMIKAEFGCLMNUCACEFGLMNOPQUDRUEVMUFSZRUGTZUHTZUIARUERUJZVTU
      ERUNUKVTUEULUHTWAVSULUEUHVSUMRUGTULVRUMRUGEFGUOUPUQURUSUTURVAVBVCAVNFVOAF
      CUIVNFVEMEFGCVDVFVGAVQULVMSZGVPULVMVHVIAGCUIWBGVENEFGCVJVFVKVL $.

    $( Function value of a 3-cycle at the third point.  (Contributed by Thierry
       Arnoux, 19-Sep-2023.) $)
    cyc3fv3 $p |- ( ph -> ( ( C ` <" I J K "> ) ` K ) = I ) $=
      ( c2 cfv cc0 cs3 s3cld s3f1 chash clt wbr c3 3pos s3len breqtrri a1i cmin
      c1 wceq oveq1i 3m1e2 eqtr2i cycpmfv2 wcel s3fv2 syl fveq2d s3fv0 3eqtr3d
      co ) AREFGUAZSZVFBSZSTVFSZGVHSEABCRHVFIKAEFGCLMNUBACEFGLMNOPQUCTVFUDSZUEU
      FATUGVJUEUHEFGUIZUJUKRVJUMULVEZUNAVLUGUMULVERVJUGUMULVKUOUPUQUKURAVGGVHAG
      CUSVGGUNNEFGCUTVAVBAECUSVIEUNLEFGCVCVAVD $.

    $d .x. x $.  $d C x $.  $d D x $.  $d I x $.  $d J x $.  $d K x $.
    $d ph x $.
    cyc3co2.t $e |- .x. = ( +g ` S ) $.
    $( Represent a 3-cycle as a composition of two 2-cycles.  (Contributed by
       Thierry Arnoux, 19-Sep-2023.) $)
    cyc3co2 $p |- ( ph -> ( C ` <" I J K "> ) = ( ( C ` <" I K "> ) .x. ( C `
       <" I J "> ) ) ) $=
      ( adantr vx cs3 cfv cs2 co cbs wcel wf cycpm3cl eqid symgbasf syl symggrp
      ffnd cgrp necomd cycpm2cl grpcl syl3anc cv wa ctp wceq cdif cyc3fv1 simpr
      fveq2d ccom symgov syl2anc fveq1d wfun cdm ffund 3eltr4d syl2an2r cyc2fv1
      fdmd fvco eqtrd cyc2fvx 3eqtr4d adantlr cyc3fv2 cyc2fv2 cyc3fv3 w3o eltpi
      3eqtrd adantl mpjao3dan eldifad eleqtrrd cword s2cld wf1 s2f1 crn wss cpr
      tpid1g tpid2g s2rn eqcomd s3rn 3sstr3d eldifbd neleqtrrd ssneldd cycpmfv3
      prssd tpid3g s3cld s3f1 3eqtr4rd wo tpssi undif sylib eleq2d biimpar elun
      cun mpjaodan eqfnfvd ) AUACFGHUBZBUCZFHUDZBUCZFGUDZBUCZEUEZACCYGAYGDUFUCZ
      UGCCYGUHABCDFGHIJKLMNOPQRUICYMYGDKYMUJZUKULUNACCYLAYLYMUGZCCYLUHADUOUGZYI
      YMUGZYKYMUGZYOACIUGZYPLCDIKUMULABCDFHIJLMOAHFRUPZKUQZABCDFGIJLMNPKUQZYMED
      YIYKYNSURUSCYMYLDKYNUKULUNAUAUTZCUGZVAZUUCFGHVBZUGZUUCYGUCZUUCYLUCZVCZUUC
      CUUFVDZUGZAUUGUUJUUDAUUGVAUUCFVCZUUJUUCGVCZUUCHVCZAUUMUUJUUGAUUMVAZFYGUCZ
      GUUHUUIAUUQGVCUUMABCDFGHIJKLMNOPQRVETUUPUUCFYGAUUMVFZVGUUPUUIUUCYIYKVHZUC
      ZGUUPUUCYLUUSAYLUUSVCZUUMAYQYRUVAUUAUUBCYMEDYIYKKYNSVIVJZTVKUUPUUTUUCYKUC
      ZYIUCZGYIUCZGAYKVLZUUMUUCYKVMZUGZUUTUVDVCZACCYKAYRCCYKUHZUUBCYMYKDKYNUKZU
      LZVNZUUPFCUUCUVGAFCUGZUUMMTUURAUVGCVCZUUMAYRUVOUUBYRCCYKUVKVRULZTVOUUCYIY
      KVSZVPUUPUVCGYIUUPUVCFYKUCZGUUPUUCFYKUURVGAUVRGVCUUMABCDFGIJLMNPKVQTVTVGA
      UVEGVCUUMABCDFHGIJKLMONYTAGHQUPAFGPUPWATWIVTWBWCAUUNUUJUUGAUUNVAZGYGUCZHU
      UHUUIAUVTHVCUUNABCDFGHIJKLMNOPQRWDTUVSUUCGYGAUUNVFZVGUVSUUIUUTHUVSUUCYLUU
      SAUVAUUNUVBTVKUVSUUTUVDFYIUCZHAUVFUUNUVHUVIUVMUVSGCUUCUVGAGCUGZUUNNTUWAAU
      VOUUNUVPTVOUVQVPUVSUVCFYIUVSUVCGYKUCZFUVSUUCGYKUWAVGAUWDFVCUUNABCDFGIJLMN
      PKWETVTVGAUWBHVCUUNABCDFHIJLMOYTKVQTWIVTWBWCAUUOUUJUUGAUUOVAZHYGUCZFUUHUU
      IAUWFFVCUUOABCDFGHIJKLMNOPQRWFTUWEUUCHYGAUUOVFZVGUWEUUIUUTFUWEUUCYLUUSAUV
      AUUOUVBTVKUWEUUTUVDHYIUCZFAUVFUUOUVHUVIUVMUWEHCUUCUVGAHCUGZUUOOTUWGAUVOUU
      OUVPTVOUVQVPUWEUVCHYIUWEUVCHYKUCZHUWEUUCHYKUWGVGAUWJHVCUUOABCDFGHIJKLMNOP
      QRWATVTVGAUWHFVCUUOABCDFHIJLMOYTKWETWIVTWBWCUUGUUMUUNUUOWGAUUCFGHWHWJWKWC
      AUULUUJUUDAUULVAZUUTUUCUUIUUHUWKUUTUVDUUCYIUCUUCUWKUVFUVHUVIUWKCCYKAUVJUU
      LUVLTVNUWKUUCCUVGUWKUUCCUUFAUULVFZWLZAUVOUULUVPTWMUVQVJUWKUVCUUCYIUWKBCIY
      JUUCJAYSUULLTZAYJCWNZUGUULAFGCMNWOTAYJVMCYJWPUULACFGMNPWQTUWMUWKYJWRZYFWR
      ZUUCAUWPUWQWSUULAFGWTZUUFUWPUWQAFGUUFAUVNFUUFUGMFCGHXAULZAUWCGUUFUGNGCFHX
      BULXKAUWPUWRACFGMNXCXDAUWQUUFACFGHMNOXEZXDZXFTUWKUWQUUFUUCUWKUUCCUUFUWLXG
      AUWQUUFVCUULUWTTXHZXIXJVGUWKBCIYHUUCJUWNAYHUWOUGUULAFHCMOWOTAYHVMCYHWPUUL
      ACFHMOYTWQTUWMUWKYHWRZUWQUUCUWKFHWTZUUFUXCUWQAUXDUUFWSUULAFHUUFUWSAUWIHUU
      FUGOHCFGXLULXKTAUXDUXCVCUULAUXCUXDACFHMOXCXDTAUUFUWQVCUULUXATXFUXBXIXJWIU
      WKUUCYLUUSAUVAUULUVBTVKUWKBCIYFUUCJUWNAYFUWOUGUULAFGHCMNOXMTAYFVMCYFWPUUL
      ACFGHMNOPQRXNTUWMUXBXJXOWCUUEUUCUUFUUKYCZUGZUUGUULXPAUXFUUDAUXECUUCAUUFCW
      SZUXECVCAUVNUWCUWIUXGMNOFGHCXQUSUUFCXRXSXTYAUUCUUFUUKYBXSYDYE $.
  $}

  ${
    cycpmconjvlem.f $e |- ( ph -> F : D -1-1-onto-> D ) $.
    cycpmconjvlem.b $e |- ( ph -> B C_ D ) $.
    $( Lemma for ~ cycpmconjv .  (Contributed by Thierry Arnoux,
       9-Oct-2023.) $)
    cycpmconjvlem $p |- ( ph -> ( ( F |` ( D \ B ) ) o. `' F )
                       = ( _I |` ( D \ ran ( F |` B ) ) ) ) $=
      ( cdif cres ccnv ccom crn wfun wceq wf1o syl sylib wss sseqtrrd wfo 3syl
      cid f1ofun funrel dfrel2 reseq1d cnveqd coeq2d difssd f1odm ssdmres ssidd
      wrel cdm eqsstrd cores2 f1ocnv fores syl2anc wb df-ima foeq3 ax-mp resdif
      cima syl3anc wfn f1ofn fnresdm rneqd f1ofo forn difeq1d f1oeq3d f1ococnv2
      eqtrd mpbid 3eqtr3d ) ADCBGZHZDIZIZVRHZIZJZVSVSIZJZVSVTJZUACDBHZKZGZHZADL
      ZWDWFMACCDNZWLECCDUBOZWLWCWEVSWLWBVSWLWADVRWLDULWADMDUCDUDPUEUFUGOAVSUMZV
      RQWDWGMAWOVRVRAVRDUMZQWOVRMAVRCWPACBUHAWMWPCMECCDUIOZRVRDUJPAVRUKUNVSVTVR
      UOOAVRWJVSNZWFWKMAVRDCHZKZWIGZVSNZWRAVTLZCWTWSSZBWIWHSZXBAWMCCVTNXCECCDUP
      CCVTUBTACDCVDZWSSZXDAWLCWPQXGWNACCWPACUKWQRCDUQURXFWTMXGXDUSDCUTXFWTCWSVA
      VBPABDBVDZWHSZXEAWLBWPQXIWNABCWPFWQRBDUQURXHWIMXIXEUSDBUTXHWIBWHVAVBPCBWT
      WIDVCVEAXAWJVRVSAWTCWIAWTDKZCAWSDAWMDCVFWSDMECCDVGCDVHTVIAWMCCDSXJCMECCDV
      JCCDVKTVOVLVMVPVRWJVSVNOVQ $.
  $}

  ${
    $d D w $.  $d W w $.
    cycpmconjv.s $e |- S = ( SymGrp ` D ) $.
    cycpmconjv.m $e |- M = ( toCyc ` D ) $.
    cycpmconjv.p $e |- .+ = ( +g ` S ) $.
    cycpmconjv.l $e |- .- = ( -g ` S ) $.
    cycpmconjv.b $e |- B = ( Base ` S ) $.
    $( A formula for computing conjugacy classes of cyclic permutations.
       Formula in property (b) of [Lang] p. 32.  (Contributed by Thierry
       Arnoux, 9-Oct-2023.) $)
    cycpmconjv $p |- ( ( D e. V /\ G e. B /\ W e. dom M )
                    -> ( ( G .+ ( M ` W ) ) .- G ) = ( M ` ( G o. W ) ) ) $=
      ( wcel ccom co wceq syl syl2anc vw cdm w3a crn cdif cres ccnv c1 ccsh cun
      cid cfv wf1o symgbasf1o 3ad2ant2 wf1 wf cword cv wa simp3 tocycf 3ad2ant1
      crab fdmd eleqtrd id dmeq eqidd f1eq123d elrab sylib simprd cycpmconjvlem
      f1f frnd rnco difeq2i reseq2i eqtr4di coass coeq2i eqtr4i uneq12d cminusg
      cnvco simp2 ffvelrnd symgcl eqid grpsubval symginv oveq2d simp1 elsymgbas
      f1ocnv biimpar symgov 3eqtrd simpld tocycfv coeq2d coundi coires1 cz 1zzd
      a1i f1of cshco syl3anc coeq1d eqtr3id eqtrd coundir eqtrdi wrdco f1of1 wb
      f1co wss sseqtrrd dmcosseq f1eq2 mpbird 3eqtr4d ) BHOZEAOZIFUBZOZUCZEBIUD
      ZUEZUFZEUGZPZEIPZUHUIQZIUGZPZYNPZUJZUKBYPUDZUEZUFZYQYPUGZPZUJEIFULZCQZEGQ
      ZYPFULYJYOUUDYTUUFYJYOUKBEYKUFUDZUEZUFUUDYJYKBEYGYFBBEUMZYIBAEDJNUNUOZYJI
      UBZBIYJUUNBIUPZUUNBIUQYJIBURZOZUUOYJIUAUSZUBZBUURUPZUAUUPVDZOUUQUUOUTYJIY
      HUVAYFYGYIVAYJUVAAFYFYGUVAAFUQYIUAAFBDHKJNVBVCZVEVFZUUTUUOUAIUUPUURIRZUUS
      UUNBBUURIUVDVGUURIVHUVDBVIVJVKVLZVMZUUNBIVOSVPZVNUUCUUKUKUUBUUJBEIVQVRVSV
      TYTUUFRYJYTYQYRYNPZPUUFYQYRYNWAUUEUVHYQEIWFWBWCXGWDYJUUIYMYSUJZYNPZUUAYJU
      UIUUHYNPZUVJYJUUIUUHEDWEULZULZCQZUUHYNCQZUVKYJUUHAOZYGUUIUVNRYJYGUUGAOZUV
      PYFYGYIWGZYJUVAAIFUVBUVCWHZBACDEUUGJNLWITZUVRACDUVLGUUHENLUVLWJZMWKTYJUVM
      YNUUHCYGYFUVMYNRYIBAEDUVLJNUWAWLUOWMYJUVPYNAOZUVOUVKRUVTYJYFBBYNUMZUWBYFY
      GYIWNZYJUULUWCUUMBBEWPSYFUWBUWCBAYNDHJNWOWQTBACDUUHYNJNLWRTWSYJUUHUVIYNYJ
      UUHEUKYLUFZPZEIUHUIQZYRPZPZUJZUVIYJUUHEUUGPZEUWEUWHUJZPZUWJYJYGUVQUUHUWKR
      UVRUVSBACDEUUGJNLWRTYJUUGUWLEYJFBHIKUWDYJUUQUUOUVEWTZUVFXAXBUWMUWJRYJEUWE
      UWHXCXGWSYJUWFYMUWIYSUWFYMRYJEYLXDXGYJUWIEUWGPZYRPYSEUWGYRWAYJUWOYQYRYJUU
      QUHXEOBBEUQZUWOYQRUWNYJXFYJUULUWPUUMBBEXHSZBBEUHIXIXJXKXLWDXMXKXMYMYSYNXN
      XOYJFBHYPKUWDYJUUQUWPYPUUPOUWNUWQBBEIXPTYJYPUBZBYPUPZUUNBYPUPZYJBBEUPZUUO
      UWTYJUULUXAUUMBBEXQSUVFUUNBBEIXSTYJUWRUUNRZUWSUWTXRYJYKEUBZXTUXBYJYKBUXCU
      VGYJBBEUWQVEYAEIYBSUWRUUNBYPYCSYDXAYE $.
  $}

  ${
    $d M x y $.  $d W x y $.  $d ph x y $.
    cycpmrn.1 $e |- M = ( toCyc ` D ) $.
    cycpmrn.2 $e |- ( ph -> D e. V ) $.
    cycpmrn.3 $e |- ( ph -> W e. Word D ) $.
    cycpmrn.4 $e |- ( ph -> W : dom W -1-1-> D ) $.
    cycpmrn.5 $e |- ( ph -> 1 < ( # ` W ) ) $.
    $( The range of the word used to build a cycle is the cycle's orbit, i.e.,
       the set of points it moves.  (Contributed by Thierry Arnoux,
       20-Nov-2023.) $)
    cycpmrn $p |- ( ph -> ran W = dom ( ( M ` W ) \ _I ) ) $=
      ( cfv cid cdif wcel wa wne cc0 c1 co ad4antr vy vx crn cv wceq chash cmin
      cdm cfzo caddc wf1 simpllr fzo0ss1 cz simpr cn0 cword lencl syl fzoaddel2
      nn0zd 1zzd syl3anc sselid wrddm eleqtrrd fzossz zred ltp1d ltned f1veqaeq
      wi necon3d anassrs imp syl1111anc cycpmfv1 neeqtrrd necomd simplr 3netr4d
      fveq2d cn ad3antrrr eldmne0 ad2antlr lennncl syl2anc lbfzo0 sylibr adantr
      c0 0red clt wbr nn0red posdifd mpbid nngt0d cycpmfv2 eqtrd csn wo eleqtrd
      1red cun cuz 0p1e1 fveq2i nnuz eqtr4i eleqtrrdi fzosplitsnm1 sylancr elun
      0z sylib velsn orbi2i mpjaodan wrex wfun wb f1fun elrnrexdmb 3syl r19.29a
      biimpa wfn wf1o csymg cbs eqid cycpmcl elsymgbas f1ofn wf wss cres 3eqtri
      wrdf frn sselda fnelnfp mpbird ssrdv ccsh ccnv ccom tocycfv difeq1d dmeqd
      difundir resdifcom difid reseq1i 0res uneq1i 0un dmeqi difss ax-mp dmcoss
      ex dmss df-rn sseqtrri sstri eqsstri eqsstrdi eqssd ) AEUCZECKZLMZUHZAUAU
      VLUVOAUAUDZUVLNZUVPUVONZAUVQOZUVRUVPUVMKZUVPPZUVSUVPUBUDZEKZUEZUWAUBEUHZU
      VSUWBUWENZOZUWDOZUWBQEUFKZRUGSZUISZNZUWAUWBUWJUEZUWHUWLOZUWCUVMKZUWCUVTUV
      PUWNUWCUWOUWNUWCUWBRUJSZEKZUWOUWNUWEBEUKZUWFUWPUWENZUWBUWPPZUWCUWQPZAUWRU
      VQUWFUWDUWLITZUVSUWFUWDUWLULUWNUWPQUWIUISZUWEUWNRUWIUISZUXCUWPUWIUMUWNUWL
      UWIUNNRUNNUWPUXDNUWHUWLUOZUWNUWIAUWIUPNZUVQUWFUWDUWLAEBUQNZUXFHBEURUSZTVA
      UWNVBUWBUWIRUTVCVDUWNUXGUWEUXCUEZAUXGUVQUWFUWDUWLHTZBEVEZUSVFUWNUWBUWPUWN
      UWBUWNUWKUNUWBQUWJVGUXEVDVHZUWNUWBUXLVIVJUWRUWFOUWSOUWTUXAUWRUWFUWSUWTUXA
      VLUWRUWFUWSOOUWCUWQUWBUWPUWEBUWBUWPEVKVMVNVOVPUWNCBUWBDEFABDNZUVQUWFUWDUW
      LGTUXJUXBUXEVQVRVSUWNUVPUWCUVMUWGUWDUWLVTZWBUXNWAUWHUWMOZQEKZUWCUVTUVPUXO
      UWRQUWENZUWFQUWBPZUXPUWCPZAUWRUVQUWFUWDUWMITZUWHUXQUWMUWHQUXCUWEUWHUWIWCN
      ZQUXCNUWHUXGEWLPZUYAAUXGUVQUWFUWDHWDZUWFUYBUVSUWDEUWBWEWFBEWGWHZUWIWIWJUW
      HUXGUXIUYCUXKUSZVFWKUVSUWFUWDUWMULUXOQUWJUWBAQUWJPUVQUWFUWDUWMAQUWJAWMARU
      WIWNWOQUWJWNWOJARUWIAXEAUWIUXHWPWQWRVJTUWHUWMUOZVRUWRUXQOUWFOUXRUXSUWRUXQ
      UWFUXRUXSVLUWRUXQUWFOOUXPUWCQUWBUWEBQUWBEVKVMVNVOVPUXOUVTUWOUXPUXOUVPUWCU
      VMUWGUWDUWMVTZWBUXOCBUWBDEFAUXMUVQUWFUWDUWMGTAUXGUVQUWFUWDUWMHTUXTUWHQUWI
      WNWOUWMUWHUWIUYDWSWKUYFWTXAUYGWAUWHUWLUWBUWJXBZNZXCZUWLUWMXCUWHUWBUWKUYHX
      FZNUYJUWHUWBUXCUYKUWHUWBUWEUXCUVSUWFUWDVTUYEXDUWHQUNNUWIQRUJSZXGKZNUXCUYK
      UEXPUWHUWIWCUYMUYDUYMRXGKWCUYLRXGXHXIXJXKXLQUWIXMXNXDUWBUWKUYHXOXQUYIUWMU
      WLUBUWJXRXSXQXTAUVQUWDUBUWEYAZAUWREYBUVQUYNYCIUWEBEYDUBEUVPYEYFYHYGUVSUVM
      BYIZUVPBNUVRUWAYCAUYOUVQABBUVMYJZUYOAUVMBYKKZYLKZNZUYPACBUYQDEFGHIUYQYMZY
      NAUXMUYSUYPYCGBUYRUVMUYQDUYTUYRYMYOUSWRBBUVMYPUSWKAUVLBUVPAUXGUXCBEYQUVLB
      YRHBEUUAUXCBEUUBYFUUCBUVMUVPUUDWHUUEUVDUUFAUVOLBUVLMZYSZERUUGSZEUUHZUUIZX
      FZLMZUHZUVLAUVNVUGAUVMVUFLACBDEFGHIUUJUUKUULVUHVUELMZUHZUVLVUGVUIVUGVUBLM
      ZVUIXFWLVUIXFVUIVUBVUELUUMVUKWLVUIVUKLLMZVUAYSWLVUAYSWLLVUALUUNVULWLVUALU
      UOUUPVUAUUQYTUURVUIUUSYTUUTVUJVUEUHZUVLVUIVUEYRVUJVUMYRVUELUVAVUIVUEUVEUV
      BVUMVUDUHUVLVUCVUDUVCEUVFUVGUVHUVIUVJUVK $.
  $}

  ${
    $d A c s x $.  $d A y $.  $d D c $.  $d M c s x $.  $d c ph s x $.
    $d s x y $.
    tocyccntz.s $e |- S = ( SymGrp ` D ) $.
    tocyccntz.z $e |- Z = ( Cntz ` S ) $.
    tocyccntz.m $e |- M = ( toCyc ` D ) $.
    tocyccntz.1 $e |- ( ph -> D e. V ) $.
    tocyccntz.2 $e |- ( ph -> Disj_ x e. A ran x ) $.
    tocyccntz.a $e |- ( ph -> A C_ dom M ) $.
    $( All elements of a (finite) set of cycles commute if their orbits are
       disjoint.  (Contributed by Thierry Arnoux, 27-Nov-2023.) $)
    tocyccntz $p |- ( ph -> ( M " A ) C_ ( Z ` ( M " A ) ) ) $=
      ( vc wcel cid wa wceq c0 vs vy cima cbs cfv eqid cv cdm wf1 cword crab wf
      wss tocycf fimass 3syl chash ccnv cc0 c1 cpr cdif cin cun wdisj crn difss
      cres disjss1 mpsyl adantr simpr eldifad sseldd fdm eleqtrd weq dmeq eqidd
      id f1eq123d elrab sylib simpld simprd clt wbr eldifbd cvv hashgt1 cycpmrn
      wn wb elv fvresd difeq1d dmeqd eqtr4d disjeq2dv mpbid wf1o wral syl ffdmd
      wi ssdifssd fssresd wrel cfzo fssdmd ad4antr simp-4r wrdf simplr ad5ant13
      co 3eqtr3rd ssdifd sselda ad3antrrr biimpa syl2anc 3eqtr4rd ineq2d eqtrdi
      frel inidm wne rneq cbvdisjv neqned necomd disji2 syl121anc eqtr3d relrn0
      eqtrd biimpar a1i mpbird pm2.18da anasss ralrimivva dff13 sylanbrc df-ima
      f1f1orn f1oeq3d disjrdx ssrind tocyc01 resdifcom difid reseq1i 0res dmeqi
      3eqtri eqtri wfun wrex ffund fvelima sylan r19.29a disjxun0 uncom imaundi
      ex dm0 inundif imaeq2i 3eqtr2i disjeq1d symgcntz ) AOFCUCZEUDUEZDEHIUVPUF
      ZJADGPZOUGZUHZDUVSUIZODUJZUKZUVPFULZUVOUVPUMLOUVPFDEGKIUVQUNZUWCUVPFCUOUP
      AOFCUQURUSUTVAUCZVBZUCZFCUWFVCZUCZVDZUVSQVBZUHZVEZOUVOUWMVEAUWNOUWHUWMVEZ
      ABUWGBUGZFUWGVHZUEZQVBZUHZVEZUWOABUWGUWPVFZVEZUXAUWGCUMABCUXBVEZUXCCUWFVG
      MBUWGCUXBVIVJABUWGUXBUWTAUWPUWGPZRZUXBUWPFUEZQVBZUHZUWTUXFDFGUWPKAUVRUXEL
      VKZUXFUWPUWBPZUWPUHZDUWPUIZUXFUWPUWCPZUXKUXMRZUXFUWPFUHZUWCUXFCUXPUWPACUX
      PUMUXENVKUXFUWPCUWFAUXEVLZVMZVNUXFUVRUWDUXPUWCSUXJUWEUWCUVPFVOUPVPUWAUXMO
      UWPUWBOBVQZUVTUXLDDUVSUWPUXSVTUVSUWPVRUXSDVSWAWBZWCZWDUXFUXKUXMUYAWEUXFUW
      PUWFPWLZUTUWPUQUEZWFWGZUXFUWPCUWFUXQWHUYBUYDWMBUWPWIWJWNWCZWKUXFUWSUXHUXF
      UWRUXGQUXFUWPUWGFUXQWOWPWQWRWSWTABOUWGUWTUWHUWMUWQAUWGUWHUWQXAUWGUWQVFZUW
      QXAZAUWGUVPUWQUIZUYGAUWGUVPUWQULUAUGZUWQUEZUWRSZUABVQZXEZBUWGXBUAUWGXBUYH
      AUXPUVPUWGFAUWCUVPFAUVRUWDLUWEXCZXDACUXPUWFNXFXGAUYMUABUWGUWGAUYIUWGPZUXE
      UYMAUYORZUXERZUYKUYLUYQUYKRZUYLUYRUYLWLZRZUYITUWPUYTUYIXHZUYIVFZTSZUYITSZ
      UYTUYIUWBPZUSUYIUQUEZXIXPZDUYIULVUAUYTVUEUYIUHZDUYIUIZUYTUYIUWCPVUEVUIRUY
      TCUWCUYIACUWCUMUYOUXEUYKUYSAUWCUVPCFUYNNXJXKZUYTUYICUWFAUYOUXEUYKUYSXLZVM
      ZVNUWAVUIOUYIUWBOUAVQZUVTVUHDDUVSUYIVUMVTUVSUYIVRVUMDVSWAWBWCZWDZDUYIXMVU
      GDUYIYFUPUYTVUBUXBTUYTUXIUYIFUEZQVBZUHUXBVUBUYTUXHVUQUYTUXGVUPQUYTUYJUWRV
      UPUXGUYQUYKUYSXNUYTUYIUWGFVUKWOUYTUWPUWGFAUXEUXEUYOUYKUYSUXQXOWOXQWPWQUYT
      DFGUWPKAUVRUYOUXEUYKUYSLXKZUYTUXKUXMUYTUXNUXOUYTCUWCUWPVUJAUXEUWPCPZUYOUY
      KUYSUXRXOZVNUXTWCZWDZUYTUXKUXMVVAWEAUXEUYDUYOUYKUYSUYEXOWKUYTDFGUYIKVURVU
      OUYTVUEVUIVUNWEUYTUYICPZUYIUWFPWLZUTVUFWFWGZVULUYTUYIUXPUWFUYPUYIUXPUWFVB
      ZPUXEUYKUYSAUWGVVFUYIACUXPUWFNXRXSXTWHVVCVVDVVEUYICWJYAYBWKYCZUYTUXBVUBVC
      ZUXBTUYTVVHUXBUXBVCUXBUYTVUBUXBUXBVVGYDUXBYGYEUYTUBCUBUGZVFZVEZVUSVVCUWPU
      YIYHVVHTSAVVKUYOUXEUYKUYSAUXDVVKMBUBCUXBVVJUWPVVIYIYJWCXKVUTVULUYTUYIUWPU
      YTUYIUWPUYRUYSVLYKYLUBCVVJUXBVUBUWPUYIVVIUWPYIVVIUYIYIYMYNYOZYQVUAVUDVUCU
      YIYPYRYBUYTUWPXHZUXBTSZUWPTSZUYTUXKUSUYCXIXPZDUWPULVVMVVBDUWPXMVVPDUWPYFU
      PVVLVVMVVOVVNUWPYPYRYBWRUUAUVHUUBUUCUABUWGUVPUWQUUDUUEUWGUVPUWQUUGXCAUWHU
      YFUWGUWQUWHUYFSAFUWGUUFYSUUHYTAUVSUWRSZRZUWLUWSVVRUVSUWRQAVVQVLWPWQUUIWTA
      OUWHUWJUWMAUVSUWJPZRZUXGUVSSZUWMTSBUWIVVTUWPUWIPZRZVWARZUWMQDVHZQVBZUHZTV
      WDUWLVWFVWDUVSVWEQVWDUXGUVSVWEVWCVWAVLVWDUVRUWPUXPUWFVCZPUXGVWESAUVRVVSVW
      BVWALXTVWDUWIVWHUWPAUWIVWHUMVVSVWBVWAACUXPUWFNUUJXTVVTVWBVWAXNVNFDGUWPKUU
      KYBYOWPWQVWGTUHTVWFTVWFQQVBZDVHTDVHTQDQUULVWITDQUUMUUNDUUOUUQUUPUVIUURYEA
      FUUSVVSVWABUWIUUTAUWCUVPFUYNUVABUVSUWIFUVBUVCUVDUVEYTAOUWKUVOUWMUWKUVOSAU
      WKUWJUWHVDFUWIUWGVDZUCUVOUWHUWJUVFFUWIUWGUVGVWJCFCUWFUVJUVKUVLYSUVMWTUVN
      $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The Alternating Group
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d D d $.
    evpmval.1 $e |- A = ( pmEven ` D ) $.
    $( Value of the set of even permutations, the alternating group.
       (Contributed by Thierry Arnoux, 1-Nov-2023.) $)
    evpmval $p |- ( D e. V -> A = ( `' ( pmSgn ` D ) " { 1 } ) ) $=
      ( vd wcel cevpm cfv cpsgn ccnv c1 csn cima cvv wceq elex cv fveq2 imaeq1d
      cnveqd df-evpm fvex cnvex imaex fvmpt syl syl5eq ) BCFZABGHZBIHZJZKLZMZDU
      HBNFUIUMOBCPEBEQZIHZJZULMUMNGUNBOZUPUKULUQUOUJUNBIRTSEUAUKULUJBIUBUCUDUEU
      FUG $.
  $}

  ${
    cnmsgn0g.1 $e |- U = ( ( mulGrp ` CCfld ) |`s { 1 , -u 1 } ) $.
    $( The neutral element of the sign subgroup of the complex numbers.
       (Contributed by Thierry Arnoux, 1-Nov-2023.) $)
    cnmsgn0g $p |- 1 = ( 0g ` U ) $=
      ( ccnfld cmgp cfv cmnd wcel cneg cpr wss c0g wceq crg cnring eqid ringmgp
      c1 cc ax-mp 1ex prid1 ax-1cn neg1cn prssi mp2an cnfldbas mgpbas ringidval
      cnfld1 ress0g mp3an ) CDEZFGZQQQHZIZGUORJZQAKELCMGUMNCULULOZPSQUNTUAQRGUN
      RGUPUBUCQUNRUDUEUORULAQBRCULUQUFUGCQULUQUIUHUJUK $.
  $}

  ${
    evpmsubg.s $e |- S = ( SymGrp ` D ) $.
    evpmsubg.a $e |- A = ( pmEven ` D ) $.
    $( The alternating group is a subgroup of the symmetric group.
       (Contributed by Thierry Arnoux, 1-Nov-2023.) $)
    evpmsubg $p |- ( D e. Fin -> A e. ( SubGrp ` S ) ) $=
      ( cfn wcel cpsgn cfv ccnv c1 csn cima csubg evpmval ccnfld cmgp cneg eqid
      co cpr cress cghm psgnghm2 cnmsgngrp cnmsgn0g 0subg ax-mp sylancl eqeltrd
      cgrp ghmpreima ) BFGZABHIZJKLZMZCNIZABFEOUMUNCPQIKKRUAUBTZUCTGUOURNIGZUPU
      QGBCURUNDUNSURSZUDURUKGUSURUTUEURKURUTUFUGUHCURUNUOULUIUJ $.
  $}

  ${
    evpmid.1 $e |- S = ( SymGrp ` D ) $.
    $( The identity is an even permutation.  (Contributed by Thierry Arnoux,
       18-Sep-2023.) $)
    evpmid $p |- ( D e. Fin -> ( _I |` D ) e. ( pmEven ` D ) ) $=
      ( cfn wcel cid cres cevpm cfv cbs c1 wceq idresperm eqid psgnid psgnevpmb
      cpsgn mpbir2and ) ADEFAGZAHIESBJIZESAQIZIKLABDCMAUAUANZOATBSUACTNUBPR $.

    $d D d $.
    $( The alternating group ` ( pmEven `` D ) ` is a normal subgroup of the
       symmetric group.  (Contributed by Thierry Arnoux, 18-Sep-2023.) $)
    altgnsg $p |- ( D e. Fin -> ( pmEven ` D ) e. ( NrmSGrp ` S ) ) $=
      ( vd cfn wcel cevpm cfv cpsgn ccnv c1 cima cvv wceq syl ccnfld co eqid cc
      ax-mp csn cnsg elex cv fveq2 cnveqd imaeq1d df-evpm fvex cnvex imaex cmgp
      fvmpt cneg cpr cress cghm psgnghm2 cmnd wss c0g crg cnring ringmgp ax-1cn
      prid1g neg1cn prssi mp2an cnfldbas mgpbas cnfld1 ringidval ress0g eqeltrd
      mp3an ghmker ) AEFZAGHZAIHZJZKUAZLZBUBHZVRAMFVSWCNAEUCDADUDZIHZJZWBLWCMGW
      EANZWGWAWBWHWFVTWEAIUEUFUGDUHWAWBVTAIUIUJUKUMOVRVTBPULHZKKUNZUOZUPQZUQQFW
      CWDFABWLVTCVTRWLRZURBWLVTKWIUSFZKWKFZWKSUTZKWLVAHNPVBFWNVCPWIWIRZVDTKSFZW
      OVEKWJSVFTWRWJSFWPVEVGKWJSVHVIWKSWIWLKWMSPWIWQVJVKPKWIWQVLVMVNVPVQOVO $.
  $}

  ${
    $d A p u $.  $d C p u $.  $d D p u $.  $d D w $.  $d p u $.  $d u w $.
    cyc3evpm.t $e |- C = ( ( toCyc ` D ) " ( `' # " { 3 } ) ) $.
    cyc3evpm.a $e |- A = ( pmEven ` D ) $.
    $( 3-Cycles are even permutations.  (Contributed by Thierry Arnoux,
       24-Sep-2023.) $)
    cyc3evpm $p |- ( D e. Fin -> C C_ A ) $=
      ( vw cfn wcel wa cfv wceq chash c3 c1 eqid syl cc0 c2 cvv wne vp vu cword
      cv ctocyc cdm wf1 crab ccnv csn cima simpr cevpm csymg cpsgn simpl elin1d
      cin cbs elrabi id dmeq eqidd f1eq123d elrab simprbi cycpmcl cs2 ccom cmul
      cs3 cplusg w3a cfzo ctp c0ex tpid1 fzo0to3tp eleqtrri elin2d cn0 cpnf cun
      co wf wfn wb hashf elpreima mp2b elsni oveq2d eleqtrrid wrdsymbcl syl2anc
      ffn 3syl 1ex tpid2 tpid3 3jca eqwrds3 biimpar syl22anc fveq2d wrddm eqtrd
      2ex eqtrdi f1eq2 biimpa 3pm3.2i 0ne1 0ne2 1ne2 f13dfv mp2an simp1d simp3d
      simp2d necomd cyc3co2 cycpm2cl symgov 3eqtrd psgnco syl3anc cneg cycpm2tr
      cpmtr cpr wss c2o cen wbr prssd pr2nelem pmtrrn eqeltrd psgnpmtr syl12anc
      crn oveq12d neg1mulneg1e1 psgnevpmb eleqtrrdi ad4ant13 eqeltrrd nfcv ffnd
      tocycf adantr eleqtrdi fvelimad r19.29a ex ssrdv ) CGHZUABAUURUAUDZBHZUUS
      AHZUURUUTIZUBUDZCUEJZJZUUSKZUVAUBFUDZUFZCUVGUGZFCUCZUHZLUIMUJZUKZURZUVBUV
      CUVNHZIZUVFIUVEUUSAUVPUVFULUURUVOUVEAHUUTUVFUURUVOIZUVECUMJZAUVQUURUVECUN
      JZUSJZHZUVECUOJZJZNKZUVEUVRHZUURUVOUPZUVQUVDCUVSGUVCUVDOZUWFUVQUVCUVKHZUV
      CUVJHZUVQUVKUVMUVCUURUVOULZUQZUVIFUVCUVJUTPZUVQUWHUVCUFZCUVCUGZUWKUWHUWIU
      WNUVIUWNFUVCUVJUVGUVCKZUVHUWMCCUVGUVCUWOVAUVGUVCVBUWOCVCVDVEVFPZUVSOZVGUV
      QUWCQUVCJZRUVCJZVHUVDJZUWRNUVCJZVHUVDJZVIZUWBJZUWTUWBJZUXBUWBJZVJWDZNUVQU
      VEUXCUWBUVQUVEUWRUXAUWSVKZUVDJUWTUXBUVSVLJZWDZUXCUVQUVCUXHUVDUVQUWIUWRCHZ
      UXACHZUWSCHZVMZUVCLJZMKZUWRUWRKZUXAUXAKZUWSUWSKZVMZUVCUXHKZUWLUVQUXKUXLUX
      MUVQUWIQQUXOVNWDZHUXKUWLUVQQQMVNWDZUYBQQNRVOZUYCQNRVPVQVRVSUVQUXOMQVNUVQU
      VCUVMHZUXOUVLHZUXPUVQUVKUVMUVCUWJVTUYEUVCSHZUYFSWAWBUJWCZLWELSWFUYEUYGUYF
      IWGWHSUYHLWPSUVCUVLLWIWJVFUXOMWKWQZWLZWMQCUVCWNWOZUVQUWINUYBHUXLUWLUVQNUY
      CUYBNUYDUYCQNRWRWSVRVSUYJWMNCUVCWNWOZUVQUWIRUYBHUXMUWLUVQRUYCUYBRUYDUYCQN
      RXHWTVRVSUYJWMRCUVCWNWOZXAUYIUVQUXQUXRUXSUVQUWRVCUVQUXAVCUVQUWSVCXAUWIUXN
      IUYAUXPUXTIUWRUXAUWSCUVCXBXCXDXEUVQUVDCUVSUXIUWRUXAUWSGUWGUWQUWFUYKUYLUYM
      UVQUWRUXATZUWRUWSTZUXAUWSTZUVQUYDCUVCUGZUYNUYOUYPVMZUVQUWMUYDKZUWNUYQUVQU
      WMUYCUYDUVQUWMUYBUYCUVQUWIUWMUYBKUWLCUVCXFPUYJXGVRXIUWPUYSUWNUYQUWMUYDCUV
      CXJXKWOUYQUYDCUVCWEZUYRQSHZNSHZRSHZVMQNTZQRTZNRTZVMUYQUYTUYRIWGVUAVUBVUCV
      PWRXHXLVUDVUEVUFXMXNXOXLUYDCSUVCSSQNRUYDOXPXQVFPZXRZUVQUYNUYOUYPVUGXSUVQU
      WRUWSUVQUYNUYOUYPVUGXTZYAUXIOZYBUVQUWTUVTHZUXBUVTHZUXJUXCKUVQUVDCUVSUWRUW
      SGUWGUWFUYKUYMVUIUWQYCZUVQUVDCUVSUWRUXAGUWGUWFUYKUYLVUHUWQYCZCUVTUXIUVSUW
      TUXBUWQUVTOZVUJYDWOYEXEUVQUURVUKVULUXDUXGKUWFVUMVUNCUVTUVSUWTUXBUWBUWQUWB
      OZVUOYFYGUVQUXGNYHZVUQVJWDNUVQUXEVUQUXFVUQVJUVQUWTCYJJZUUBZHUXEVUQKUVQUWT
      UWRUWSYKZVURJZVUSUVQUVDCVURUWRUWSGUWGUWFUYKUYMVUIVUROZYIUVQUURVUTCYLVUTYM
      YNYOZVVAVUSHUWFUVQUWRUWSCUYKUYMYPUVQUXKUXMUYOVVCUYKUYMVUIUWRUWSCCYQYGCVUT
      VUSVURGVVBVUSOZYRYGYSCUWTVUSUVSUWBUWQVVDVUPYTPUVQUXBVUSHUXFVUQKUVQUXBUWRU
      XAYKZVURJZVUSUVQUVDCVURUWRUXAGUWGUWFUYKUYLVUHVVBYIUVQUURVVECYLVVEYMYNYOZV
      VFVUSHUWFUVQUWRUXACUYKUYLYPUVQUXKUXLUYNVVGUYKUYLVUHUWRUXACCYQYGCVVEVUSVUR
      GVVBVVDYRYGYSCUXBVUSUVSUWBUWQVVDVUPYTPUUCUUDXIYEUURUWEUWAUWDICUVTUVSUVEUW
      BUWQVUOVUPUUEXCUUAEUUFUUGUUHUVBUBUVKUVMUUSUVDUBUVDUUIUURUVDUVKWFUUTUURUVK
      UVTUVDFUVTUVDCUVSGUWGUWQVUOUUKUUJUULUVBUUSBUVDUVMUKUURUUTULDUUMUUNUUOUUPU
      UQ $.
  $}

  ${
    cyc3genpm.t $e |- C = ( M " ( `' # " { 3 } ) ) $.
    cyc3genpm.a $e |- A = ( pmEven ` D ) $.
    cyc3genpm.s $e |- S = ( SymGrp ` D ) $.
    cyc3genpm.n $e |- N = ( # ` D ) $.
    cyc3genpm.m $e |- M = ( toCyc ` D ) $.

    ${
      $d .x. c $.  $d C c $.  $d D c $.  $d E c $.  $d F c $.  $d I c $.
      $d J c $.  $d K c $.  $d L c $.  $d M c $.  $d S c $.  $d c ph $.
      cyc3genpmlem.t $e |- .x. = ( +g ` S ) $.
      cyc3genpmlem.i $e |- ( ph -> I e. D ) $.
      cyc3genpmlem.j $e |- ( ph -> J e. D ) $.
      cyc3genpmlem.k $e |- ( ph -> K e. D ) $.
      cyc3genpmlem.l $e |- ( ph -> L e. D ) $.
      cyc3genpmlem.e $e |- ( ph -> E = ( M ` <" I J "> ) ) $.
      cyc3genpmlem.f $e |- ( ph -> F = ( M ` <" K L "> ) ) $.
      cyc3genpmlem.d $e |- ( ph -> D e. V ) $.
      cyc3genpmlem.1 $e |- ( ph -> I =/= J ) $.
      cyc3genpmlem.2 $e |- ( ph -> K =/= L ) $.
      $( Lemma for ~ cyc3genpm .  (Contributed by Thierry Arnoux,
         24-Sep-2023.) $)
      cyc3genpmlem $p |- ( ph -> E. c e. Word C ( E .x. F ) = ( S gsum c ) ) $=
        ( cpr wcel co cv cgsu wceq cword wrex wa c0 a1i simpr oveq2d eqeq2d cid
        wrd0 cres ccom cpmtr cfv cbs cs2 cycpm2cl eqeltrd eqid syl2anc ad2antrr
        symgov cycpm2tr eqtrd wne wss simplr prssd w3a ssprsseq biimpa syl31anc
        fveq2d 3eqtr4d coeq12d crn c2o cen wbr pr2nelem syl3anc pmtrrn pmtrfinv
        syl 3eqtrd c0g symgid gsum0 eqtr4di rspcedvd wn csn cdif cuni cs3 chash
        cs1 ccnv c3 cima unidifsnel sseldd unidifsnne necomd sylancom cycpm3cl2
        eleqtrrdi s1cld cyc3co2 cycpm3cl gsumws1 en2eleq oveq12d 3eqtr4rd prcom
        nelne2 pm2.61dan fveq2i 3eqtr4a oveq1d eqtr4d grpass syl13anc cgrp cmnd
        nelpr1 prid1g prid2g s2cld symggrp grplid symgtrf sselid grpcl 3eqtr2rd
        eqtr3d grpmndd gsumws2 ) AIKLULZUMZGHFUNZEPUOZUPUNZUQZPCURZUSZAUUQUTZJU
        UPUMZUVCUVDUVEUTZUVAUUREVAUPUNZUQPVAUVBVAUVBUMUVFCVGVBUVFUUSVAUQZUTZUUT
        UVGUURUVIUUSVAEUPUVFUVHVCVDVEUVFUURVFDVHZUVGUVFUURGHVIZIJULZDVJVKZVKZUV
        NVIZUVJAUURUVKUQZUUQUVEAGEVLVKZUMHUVQUMUVPAGIJVMMVKZUVQUGAMDEIJOUAUIUCU
        DUJSVNZVOAHKLVMMVKZUVQUHAMDEKLOUAUIUEUFUKSVNZVODUVQFEGHSUVQVPZUBVSVQVRU
        VFGUVNHUVNUVFGUVRUVNAGUVRUQZUUQUVEUGVRAUVRUVNUQUUQUVEAMDUVMIJOUAUIUCUDU
        JUVMVPZVTZVRWAUVFUVTUUPUVMVKZHUVNAUVTUWFUQUUQUVEAMDUVMKLOUAUIUEUFUKUWDV
        TZVRAHUVTUQUUQUVEUHVRUVFUVLUUPUVMUVFIDUMZJDUMZIJWBZUVLUUPWCZUVLUUPUQZAU
        WHUUQUVEUCVRZAUWIUUQUVEUDVRZAUWJUUQUVEUJVRZUVFIJUUPAUUQUVEWDUVDUVEVCWEU
        WHUWIUWJWFUWKUWLIJKLDDWGWHWIWJWKWLUVFUVNUVMWMZUMZUVOUVJUQUVFDOUMZUVLDWC
        UVLWNWOWPZUWQAUWRUUQUVEUIVRZUVFIJDUWMUWNWEUVFUWHUWIUWJUWSUWMUWNUWOIJDDW
        QWRDUVLUWPUVMOUWDUWPVPZWSWRDUWPUVMUVNUWDUXAWTXAXBUVFUVJEXCVKZUVGUVFUWRU
        VJUXBUQZUWTDEOSXDZXAEUXBUXBVPZXEXFWAXGUVDUVEXHZUTZUVAUUREIUUPIXIXJXKZJX
        LMVKZXNZUPUNZUQPUXJUVBUXGUXICUXGUXIMXMXOXPXIXQXQZCUXGMDEIUXHJOUASAUWRUU
        QUXFUIVRZAUWHUUQUXFUCVRZUXGUUPDUXHAUUPDWCZUUQUXFAKLDUEUFWEZVRUXGUUQUUPW
        NWOWPZUXHUUPUMZAUUQUXFWDZAUXQUUQUXFAKDUMZLDUMZKLWBZUXQUEUFUKKLDDWQWRZVR
        ZUUPIXRVQZXSZAUWIUUQUXFUDVRZUXGUXHIUXGUUQUXQUXHIWBUXSUYDUUPIXTVQYAZUVDU
        XFUXRUXHJWBUYEUXHJUUPYMYBZAJIWBUUQUXFAIJUJYAZVRZYCQYDYEUXGUUSUXJUQZUTZU
        UTUXKUURUYMUUSUXJEUPUXGUYLVCVDVEUXGUXIUVRIUXHVMMVKZFUNUXKUURUXGMDEFIUXH
        JOUASUXMUXNUYFUYGUYHUYIUYKUBYFUXGUXIUVQUMUXKUXIUQUXGMDEIUXHJOUASUXMUXNU
        YFUYGUYHUYIUYKYGUVQUXIEUWBYHXAUXGGUVRHUYNFAUWCUUQUXFUGVRUXGUWFIUXHULZUV
        MVKHUYNUXGUUPUYOUVMUXGUUQUXQUUPUYOUQUXSUYDUUPIYIVQWJAHUWFUQZUUQUXFAHUVT
        UWFUHUWGWAZVRUXGMDUVMIUXHOUAUXMUXNUYFUYHUWDVTWKYJYKXGYNAUUQXHZUTZUVEUVC
        UYSUVEUTZUVAUUREJUUPJXIXJXKZIXLMVKZXNZUPUNZUQPVUCUVBUYTVUBCUYTVUBUXLCUY
        TMDEJVUAIOUASAUWRUYRUVEUIVRZAUWIUYRUVEUDVRZUYTUUPDVUAAUXOUYRUVEUXPVRUYT
        UVEUXQVUAUUPUMZUYSUVEVCZAUXQUYRUVEUYCVRZUUPJXRVQZXSZAUWHUYRUVEUCVRZUYTV
        UAJUYTUVEUXQVUAJWBVUHVUIUUPJXTVQYAZUYTVUGUYRVUAIWBVUJAUYRUVEWDVUAIUUPYM
        VQZAUWJUYRUVEUJVRZYCQYDYEUYTUUSVUCUQZUTZUUTVUDUURVUQUUSVUCEUPUYTVUPVCVD
        VEUYTVUBJIVMMVKZJVUAVMMVKZFUNVUDUURUYTMDEFJVUAIOUASVUEVUFVUKVULVUMVUNVU
        OUBYFUYTVUBUVQUMVUDVUBUQUYTMDEJVUAIOUASVUEVUFVUKVULVUMVUNVUOYGUVQVUBEUW
        BYHXAUYTGVURHVUSFAGVURUQUYRUVEAGUVRVURUGAUVNJIULZUVMVKUVRVURUVLVUTUVMIJ
        YLYOUWEAMDUVMJIOUAUIUDUCUYJUWDVTYPZWAVRUYTUWFJVUAULZUVMVKHVUSUYTUUPVVBU
        VMUYTUVEUXQUUPVVBUQVUHVUIUUPJYIVQWJAUYPUYRUVEUYQVRUYTMDUVMJVUAOUAVUEVUF
        VUKVUMUWDVTWKYJYKXGUYSUXFUTZUVAUUREJKIXLMVKZKLJXLMVKZVMZUPUNZUQPVVFUVBV
        VCVVDVVECVVCVVDUXLCVVCMDEJKIOUASAUWRUYRUXFUIVRZAUWIUYRUXFUDVRZAUXTUYRUX
        FUEVRZAUWHUYRUXFUCVRZVVCJKLDVVIUYSUXFVCUUCZVVCKUUPUMZUYRKIWBAVVMUYRUXFA
        UXTVVMUEKLDUUDXAVRAUYRUXFWDKIUUPYMVQZAUWJUYRUXFUJVRZYCQYDVVCVVEUXLCVVCM
        DEKLJOUASVVHVVJAUYAUYRUXFUFVRZVVIAUYBUYRUXFUKVRZUYSUXFLUUPUMZLJWBVVCUYA
        VVRVVPKLDUUEXALJUUPYMYBZVVLYCQYDUUFVVCUUSVVFUQZUTZUUTVVGUURVWAUUSVVFEUP
        VVCVVTVCVDVEVVCUURVVDVVEFUNZVVGVVCUVRUVTFUNZUVRJKVMMVKZFUNZKJVMMVKZUVTF
        UNZFUNZUURVWBVVCUVRUVJUVTFUNZFUNZVWCVWHVVCVWIUVTUVRFVVCVWIUXBUVTFUNZUVT
        VVCUVJUXBUVTFVVCUWRUXCVVHUXDXAYQVVCEUUAUMZUVTUVQUMZVWKUVTUQAVWLUYRUXFAU
        WRVWLUIDEOSUUGXAZVRZAVWMUYRUXFUWAVRZUVQFEUVTUXBUWBUBUXEUUHVQWAVDVVCVWHU
        VRVWDVWGFUNZFUNZUVRVWDVWFFUNZUVTFUNZFUNVWJVVCVWLUVRUVQUMZVWDUVQUMZVWGUV
        QUMZVWHVWRUQVWOAVXAUYRUXFUVSVRVVCVWDJKULZUVMVKZUVQVVCMDUVMJKOUAVVHVVIVV
        JVVLUWDVTZVVCUWPUVQVXEUVQDUWPEUXASUWBUUIVVCUWRVXDDWCZVXDWNWOWPZVXEUWPUM
        ZVVHAVXGUYRUXFAJKDUDUEWEVRVVCUWIUXTJKWBVXHVVIVVJVVLJKDDWQWRDVXDUWPUVMOU
        WDUXAWSWRZUUJZVOZVVCVWLVWFUVQUMZVWMVXCVWOVVCVWFVXEUVQVVCVWFKJULZUVMVKVX
        EVVCMDUVMKJOUAVVHVVJVVIVVCJKVVLYAUWDVTVVCVXDVXNUVMVXDVXNUQVVCJKYLVBWJYR
        ZVXKVOZVWPUVQFEVWFUVTUWBUBUUKWRZUVQFEUVRVWDVWGUWBUBYSYTVVCVWTVWQUVRFVVC
        VWLVXBVXMVWMVWTVWQUQVWOVXLVXPVWPUVQFEVWDVWFUVTUWBUBYSYTVDVVCVWTVWIUVRFV
        VCVWSUVJUVTFVVCVWSVXEVXEFUNZVXEVXEVIZUVJVVCVWDVXEVWFVXEFVXFVXOYJVVCVXEU
        VQUMZVXTVXRVXSUQVXKVXKDUVQFEVXEVXESUWBUBVSVQVVCVXIVXSUVJUQVXJDUWPUVMVXE
        UWDUXAWTXAXBYQVDUULUUMAUURVWCUQUYRUXFAGUVRHUVTFUGUHYJVRVVCVVDVWEVVEVWGF
        VVCVVDVURVWDFUNZVWEVVCMDEFJKIOUASVVHVVIVVJVVKVVLVVNVVOUBYFAVWEVYAUQUYRU
        XFAUVRVURVWDFVVAYQVRYRVVCMDEFKLJOUASVVHVVJVVPVVIVVQVVSVVLUBYFZYJWKVVCEU
        UBUMZVVDUVQUMVVEUVQUMVVGVWBUQAVYCUYRUXFAEVWNUUNVRVVCMDEJKIOUASVVHVVIVVJ
        VVKVVLVVNVVOYGVVCVVEVWGUVQVYBVXQVOUVQFVVDVVEEUWBUBUUOWRYRXGYNYN $.
    $}

    $d A i u $.  $d A u v w $.  $d C c e f g h $.  $d C i j u x $.
    $d C u v w $.  $d D c e f g h $.  $d D i j u x $.  $d D u v w $.
    $d M c g h $.  $d N c e f g h i $.  $d N c e f g h u $.  $d N j v w x $.
    $d Q i u v w $.  $d Q u v w $.  $d S c e f g h $.  $d S i j u x $.
    $d S u v w $.  $d c e f g h j $.  $d c v w $.  $d e f g h v $.
    $( The alternating group ` A ` is generated by 3-cycles.  Property (a) of
       [Lang] p. 32 .  (Contributed by Thierry Arnoux, 27-Sep-2023.) $)
    cyc3genpm $p |- ( D e. Fin
                  -> ( Q e. A <-> E. w e. Word C Q = ( S gsum w ) ) ) $=
      ( wcel cgsu co wceq wrex wa cfv vv vx vu vi vj vc ve vf vg vh cword cpmtr
      cfn cv crn c2 chash cdvds wbr simplr cz c1 cneg cexp lencl ad2antlr nn0zd
      cn0 cpsgn simpr fveq2d simplll simpllr eleqtrdi cbs eqid psgnevpm syl2anc
      cevpm psgnvalii 3eqtr3rd m1exp1 biimpa wi c0 cconcat oveq2 eqeq1d rexbidv
      cs2 imbi2d a1i oveq2d eqeq2d eqidd rspcedvd cplusg ccatcl ad5ant24 adantl
      wrd0 wb cmnd cgrp ad2antrr symggrp grpmnd 3syl wss symgtrf simp-5r sseldd
      simp-6r gsumws2 syl3anc eqtrd oveq12d sswrd syl simp-7l s2cld gsumccat c3
      ccnv csn cima ctocyc imaeq1i eqtri cyc3evpm evpmss eqsstri sstrdi simp-4r
      3eqtr4d wne trsp2cyc r19.29vva r19.29a adantr simprd simprr simpld simprl
      ad6antr cyc3genpmlem simp-7r adantl3r mpd cbvrexvw sylibr ex ex3 wrdt2ind
      syl21anc mpbird sseli psgnfitr sylan2 csubmnd cnsg csubg altgnsg eqeltrid
      imp nsgsubg subgsubm sselda gsumwsubmcl eqeltrd r19.29an impbida ) DUMNZE
      BNZEFAUNZOPZQZACUKZRZUVMUVNSZEFUAUNZOPZQZUVSUADULTUOZUKZUVTUWAUWENZSZUWCS
      ZUVSUWBUVPQZAUVRRZUWHUWFUPUWAUQTZURUSZUVMUWJUVTUWFUWCUTZUWHUWKVANZVBVCUWK
      VDPZVBQZUWLUWHUWKUWFUWKVHNUVTUWCUWDUWAVEVFVGUWHEDVITZTZUWBUWQTZVBUWOUWHEU
      WBUWQUWGUWCVJZVKUWHUVMEDVSTZNUWRVBQUVMUVNUWFUWCVLZUWHEBUXAUVMUVNUWFUWCVMJ
      VNDFVOTZFEUWQKUXCVPZUWQVPZVQVRUWHUVMUWFUWSUWOQUXBUWMDUWDFUWQUMUWAKUWDVPZU
      XEVTVRWAUWNUWPUWLUWKWBWCVRUXBUWFUWLSUVMUWJUVMFUBUNZOPZUVPQZAUVRRZWDUVMFWE
      OPZUVPQZAUVRRZWDUVMFUCUNZOPZUVPQZAUVRRZWDZUVMFUXNUDUNZUEUNZWJZWFPZOPZUVPQ
      ZAUVRRZWDZUVMUWJWDUBUCUWAUWDUDUEUXGWEQZUXJUXMUVMUYGUXIUXLAUVRUYGUXHUXKUVP
      UXGWEFOWGWHWIWKUXGUXNQZUXJUXQUVMUYHUXIUXPAUVRUYHUXHUXOUVPUXGUXNFOWGWHWIWK
      UXGUYBQZUXJUYEUVMUYIUXIUYDAUVRUYIUXHUYCUVPUXGUYBFOWGWHWIWKUXGUWAQZUXJUWJU
      VMUYJUXIUWIAUVRUYJUXHUWBUVPUXGUWAFOWGWHWIWKUVMUXLUXKUXKQAWEUVRWEUVRNUVMCX
      AWLUVMUVOWEQZSZUVPUXKUXKUYLUVOWEFOUVMUYKVJWMWNUVMUXKWOWPUXNUWENZUXSUWDNZU
      XTUWDNZUXRUYFUYMUYNSZUYOSZUXRSZUVMUYEUYRUVMSZUXOUWBQZUYEUAUVRUYQUVMUWAUVR
      NZUYTUYEUXRUYQUVMSZVUASZUYTSZUXSUXTFWQTZPZFUFUNZOPZQZUYEUFUVRVUDVUGUVRNZS
      ZVUISZUYDUYCFUWAVUGWFPZOPZQZAVUMUVRVUAVUJVUMUVRNVUBUYTVUICUWAVUGWRWSUVOVU
      MQZUYDVUOXBVULVUPUVPVUNUYCUVOVUMFOWGWNWTVULUXOFUYAOPZVUEPZUWBVUHVUEPZUYCV
      UNVULUXOUWBVUQVUHVUEVUCUYTVUJVUIVMVULVUQVUFVUHVULFXCNZUXSUXCNUXTUXCNVUQVU
      FQVULUVMFXDNVUTVUDUVMVUJVUIUYQUVMVUAUYTVMZXEZDFUMKXFFXGXHZVULUWDUXCUXSUWD
      UXCXIZVULUXCDUWDFUXFKUXDXJWLZVUDUYNVUJVUIUYMUYNUYOUVMVUAUYTXKZXEXLZVULUWD
      UXCUXTVVEUYPUYOUVMVUAUYTVUJVUIXMXLZUXCVUEUXSUXTFUXDVUEVPZXNXOVUKVUIVJXPXQ
      VULVUTUXNUXCUKZNUYAVVJNUYCVURQVVCVULUWEVVJUXNVULVVDUWEVVJXIVVEUWDUXCXRXSU
      YMUYNUYOUVMVUAUYTVUJVUIXTXLVULUXSUXTUXCVVGVVHYAUXCVUEFUXNUYAUXDVVIYBXOVUL
      VUTUWAVVJNVUGVVJNVUNVUSQVVCVULUVRVVJUWAVULUVMCUXCXIUVRVVJXIVVBUVMCBUXCBCD
      CGUQYDYCYEYFZYFDYGTZVVKYFIGVVLVVKMYHYIJYJZBUXAUXCJDUXCFKUXDYKYLZYMCUXCXRX
      HZVUBVUAUYTVUJVUIYNXLVULUVRVVJVUGVVOVUDVUJVUIUTXLUXCVUEFUWAVUGUXDVVIYBXOY
      OWPVUDUGUNZUHUNZYPZUXSVVPVVQWJGTQZSZVUIUFUVRRZUGUHDDVUDVVPDNZSZVVQDNZSZVV
      TSZUIUNZUJUNZYPZUXTVWGVWHWJGTQZSZVWAUIUJDDVWFVWGDNZSZVWHDNZSZVWKSZBCDFVUE
      UXSUXTVVPVVQVWGVWHGHUMUFIJKLMVVIVUDVWBVWDVVTVWLVWNVWKXMVWCVWDVVTVWLVWNVWK
      XKVWFVWLVWNVWKVMVWMVWNVWKUTVWPVVRVVSVWEVVTVWLVWNVWKYNZUUAVWOVWIVWJUUBVUDU
      VMVWBVWDVVTVWLVWNVWKVVAUUEVWPVVRVVSVWQUUCVWOVWIVWJUUDUUFVWFUVMUYOVWKUJDRU
      IDRUYQUVMVUAUYTVWBVWDVVTXMUYPUYOUVMVUAUYTVWBVWDVVTUUGGDUXTUWDUIUJUMUXFMYQ
      VRYRVUDUVMUYNVVTUHDRUGDRVVAVVFGDUXSUWDUGUHUMUXFMYQVRYRYSUUHUYSUXQUYTUAUVR
      RUYSUVMUXQUYRUVMVJUYQUXRUVMUTUUIUYTUXPUAAUVRUWAUVOQUWBUVPUXOUWAUVOFOWGWNU
      UJUUKYSUULUUMUUNUVEUUOUWHUVQUWIAUVRUWHEUWBUVPUWTWHWIUUPUVNUVMEUXCNZUWCUAU
      WERZBUXCEVVNUUQUVMVWRVWSUAUXCEUWDFDKUXDUXFUURWCUUSYSUVMUVQUVNAUVRUVMUVOUV
      RNZSZUVQSEUVPBVXAUVQVJVXAUVPBNZUVQVXABFUUTTNZUVOBUKZNVXBUVMVXCVWTUVMBFUVA
      TZNBFUVBTNVXCUVMBUXAVXEJDFKUVCUVDBFUVFBFUVGXHYTUVMUVRVXDUVOUVMCBXIUVRVXDX
      IVVMCBXRXSUVHBFUVOUVIVRYTUVJUVKUVL $.
  $}

  ${
    cycpmconjs.c $e |- C = ( M " ( `' # " { P } ) ) $.
    cycpmconjs.s $e |- S = ( SymGrp ` D ) $.
    cycpmconjs.n $e |- N = ( # ` D ) $.
    cycpmconjs.m $e |- M = ( toCyc ` D ) $.

    ${
      $d B p u $.  $d C p u $.  $d D p u $.  $d D w $.  $d M u $.  $d N p u $.
      $d P p u $.  $d V p u $.  $d u w $.
      cycpmgcl.b $e |- B = ( Base ` S ) $.
      $( Cyclic permutations are permutations, similar to ~ cycpmcl , but where
         the set of cyclic permutations of length ` P ` is expressed in terms
         of a preimage.  (Contributed by Thierry Arnoux, 13-Oct-2023.) $)
      cycpmgcl $p |- ( ( D e. V /\ P e. ( 0 ... N ) ) -> C C_ B ) $=
        ( vp vu vw wcel wa cv cfv cc0 cfz co wceq cdm wf1 cword crab chash ccnv
        csn cima cin simpr cbs simplll elin1d elrabi syl id dmeq eqidd f1eq123d
        elrab simprbi cycpmcl adantr eleqtrrdi eqeltrrd wfn wf simpl tocycf ffn
        nfcv 3syl wb eleq2i a1i biimpa fvelimad r19.29a ex ssrdv ) CHQZDUAGUBUC
        QZRZNBAWGNSZBQZWHAQZWGWIRZOSZFTZWHUDZWJOPSZUEZCWOUFZPCUGZUHZUIUJDUKULZU
        MZWKWLXAQZRZWNRZWMWHAXCWNUNXDWMEUOTZAXCWMXEQWNXCFCEHWLLWEWFWIXBUPXCWLWS
        QZWLWRQZXCWSWTWLWKXBUNUQZWQPWLWRURUSXCXFWLUEZCWLUFZXHXFXGXJWQXJPWLWRWOW
        LUDZWPXICCWOWLXKUTWOWLVAXKCVBVCVDVEUSJVFVGMVHVIWKOWSWTWHFOFVOWGFWSVJZWI
        WGWEWSAFVKXLWEWFVLPAFCEHLJMVMWSAFVNVPVGWGWIWHFWTULZQZWIXNVQWGBXMWHIVRVS
        VTWAWBWCWD $.
    $}

    ${
      cycpmconjslem1.d $e |- ( ph -> D e. V ) $.
      cycpmconjslem1.w $e |- ( ph -> W e. Word D ) $.
      cycpmconjslem1.1 $e |- ( ph -> W : dom W -1-1-> D ) $.
      cycpmconjslem1.2 $e |- ( ph -> ( # ` W ) = P ) $.
      $( Lemma for ~ cycpmconjs .  (Contributed by Thierry Arnoux,
         14-Oct-2023.) $)
      cycpmconjslem1 $p |- ( ph -> ( ( `' W o. ( M ` W ) ) o. W )
                          = ( ( _I |` ( 0 ..^ P ) ) cyclShift 1 ) ) $=
        ( ccom c1 co ccnv cfv ccsh cid cc0 cfzo cres crn resco coeq1i wceq ssid
        wss cores ax-mp coass 3eqtr3i cdm tocycfvres1 coeq1d wf1 wf1o f1ococnv1
        f1f1orn 3syl coeq2d coires1 eqtr2di eqtr4id wfn chash cword wcel cshwfn
        cz 1zzd syl2anc wrddm fneq2d mpbird fnresdm 3eqtrd syl5eq wf wrdfn df-f
        sylanblrc iswrdi f1ocnv f1of cshco syl3anc oveq2d eqtrd reseq2d oveq1d
        syl ) AIUAZIFUBZRZIRZWRISUCTZRZWRIRZSUCTZUDUEDUFTZUGZSUCTAXAWRWSIUHZUGZ
        IRZRZXCWTXHUGZIRZWRXIRZIRXAXKXLXNIWRWSXHUIUJXHXHUMZXMXAUKXHULZWTIXHUNUO
        WRXIIUPUQAXJXBWRAXJXBWRRZIRZXBIURZUGZXBAXIXQIAFCHIMNOPUSUTAXRXBXDRZXTXB
        WRIUPAYAXBUDXSUGZRXTAXDYBXBAXSCIVAZXSXHIVBZXDYBUKPXSCIVDZXSXHIVCVEZVFXB
        XSVGVHVIAXBXSVJZXTXBUKAYGXBUEIVKUBZUFTZVJZAICVLVMZSVOVMZYJOAVPZSCIVNVQA
        XSYIXBAYKXSYIUKOCIVRWQZVSVTXSXBWAWQWBVFWCAIXHVLVMZYLXHXSWRWDZXCXEUKAYIX
        HIWDZYOAIYIVJZXOYQAYKYROCIWEWQXPYIXHIWFWGXHYHIWHWQYMAXHXSWRVBZYPAYCYDYS
        PYEXSXHIWIVEXHXSWRWJWQXHXSWRSIWKWLAXDXGSUCAXDYBXGYFAXSXFUDAXSYIXFYNAYHD
        UEUFQWMWNWOWNWPWB $.
    $}

    ${
      $d .+ f u $.  $d .+ q $.  $d D f q $.  $d D f u w $.  $d M f q u $.
      $d N f q $.  $d N f u $.  $d P f u $.  $d P q $.  $d Q f q u $.
      $d f ph u $.
      cycpmconjs.b $e |- B = ( Base ` S ) $.
      cycpmconjs.a $e |- .+ = ( +g ` S ) $.
      cycpmconjs.l $e |- .- = ( -g ` S ) $.
      cycpmconjs.p $e |- ( ph -> P e. ( 0 ... N ) ) $.
      cycpmconjs.d $e |- ( ph -> D e. Fin ) $.
      cycpmconjs.q $e |- ( ph -> Q e. C ) $.
      $( Lemma for ~ cycpmconjs .  (Contributed by Thierry Arnoux,
         14-Oct-2023.) $)
      cycpmconjslem2 $p |- ( ph -> E. q ( q : ( 0 ..^ N ) -1-1-onto-> D
         /\ ( ( `' q o. Q ) o. q ) = ( ( ( _I |` ( 0 ..^ P ) ) cyclShift 1 )
           u. ( _I |` ( P ..^ N ) ) ) ) ) $=
        ( vu vw vf cv cfv wceq cc0 cfzo co wf1o ccnv ccom cid cres ccsh cun wex
        c1 cdm wf1 cword crab chash csn cima cin wcel cdif crn fzofi diffi mp1i
        cfn syl ad2antrr cmin cn0 hashcl eqeltrid hashfzo0 eqtrdi simplr elin1d
        wa wfun elrabi wrdfin 3syl id dmeq eqidd f1eq123d elrab simprbi hashfun
        f1fun biimpa syl2anc cvv eqtr3d wss a1i cle wbr nn0zd hashssdif disjdif
        cz c0 adantr undif sylib mpbid f1ocnv ad3antrrr f1oco eqtrd resco f1ofn
        wfn wf ffn fnunres1 syl3anc coeq2d reseq1i reseq1d rneqd eqsstrdi cores
        coeq12d syl5eq coeq1d 3eqtrd reseq2d fnunres2 f1of vex hashf1rn oveq12d
        dmexd wrddm 4syl wrdf frnd hashss 3brtr4d eluz1 biimpar syl12anc fzoss2
        cuz eqsstrd 3eqtr4d hasheqf1o syl21anc f1f1orn simpr syl22anc f1oeq123d
        f1oun wrel cfz cycpmgcl sseldd symgbasf1o f1ofun f1odm fzosplit fzodisj
        funrel reldisjun mp3an3 wrdfn elin2d cpnf wb hashf fniniseg mp2b oveq2d
        fneq2d ineq1d cnvun eqtr2id tocycfvres1 wfo 1zzd cshf1o f1ofo forn ssid
        3eqtrrd cycpmconjslem1 3eqtr3d difeq2d fzodif1 tocycfvres2 rnresi fcoi1
        eqimssi eqtr4di f1ococnv1 frn 3eqtr3rd uneq12d unex f1oeq1 cnveq eqeq1d
        anbi12d spcev exlimddv nfcv tocycf eleqtrdi fvelimad r19.29a ) AUCUFZIU
        GZGUHZUIKUJUKZDLUFZULZUYEUMZGUNZUYEUNZUOUIEUJUKZUPUTUQUKZUOEKUJUKZUPZUR
        ZUHZWFZLUSZUCUDUFZVAZDUYRVBZUDDVCZVDZVEUMEVFVGZVHZAUYAVUDVIZWFZUYCWFZUY
        DUYAVAZVJZDUYAVKZVJZUEUFZULZUYQUEVUGVUIVOVIZVUKVOVIZVUIVEUGZVUKVEUGZUHZ
        VUMUEUSZUYDVOVIZVUNVUGUIKVLZUYDVUHVMVNAVUOVUEUYCADVOVIZVUOUADVUJVMVPVQV
        UGUYDVEUGZVUHVEUGZVRUKZDVEUGZVUJVEUGZVRUKZVUPVUQVUGVVCVVFVVDVVGVRAVVCVV
        FUHVUEUYCAVVCKVVFAKVSVIVVCKUHAKVVFVSOAVVBVVFVSVIUADVTVPZWAKWBVPOWCVQVUG
        UYAVEUGZVVDVVGVUGUYAVOVIZUYAWGZVVJVVDUHZVUGUYAVUBVIZUYAVUAVIZVVKVUGVUBV
        UCUYAAVUEUYCWDZWEZUYTUDUYAVUAWHZDUYAWIZWJVUGVUHDUYAVBZVVLVUGVVNVVTVVQVV
        NVVOVVTUYTVVTUDUYAVUAUYRUYAUHZUYSVUHDDUYRUYAVWAWKUYRUYAWLVWADWMWNWOWPVP
        ZVUHDUYAWRVPVVKVVLVVMUYAWQWSWTVUGVUHXAVIVVTVVJVVGUHVUGUYAVUDVVPUUCVWBVU
        HDUYAXAUUAWTZXBUUBVUGVUTVUHUYDXCZVUPVVEUHVUTVUGVVAXDVUGVUHUIVVJUJUKZUYD
        VUGVVNVVOVUHVWEUHVVQVVRDUYAUUDWJZVUGKVVJUUNUGVIZVWEUYDXCVUGVVJXJVIZKXJV
        IZVVJKXEXFZVWGVUGVVJVUGVVNVVOVVKVVJVSVIVVQVVRVVSUYAVTUUEXGAVWIVUEUYCAKV
        VFXJOAVVFVVIXGWAVQVUGVVGVVFVVJKXEVUGVVBVUJDXCZVVGVVFXEXFAVVBVUEUYCUAVQZ
        VUGVVNVVOVWKVVQVVRVVOVWEDUYADUYAUUFUUGWJZDVUJVOUUHWTVWCKVVFUHVUGOXDUUIV
        WHVWGVWIVWJWFVVJKUUJUUKUULVVJUIKUUMVPUUOZUYDVUHXHWTVUGVVBVWKVUQVVHUHVWL
        VWMDVUJXHWTUUPVUNVUOWFVURVUSVUIVUKUEUUQWSUURVUGVUMWFZUYDDUYAVULURZULZVW
        PUMZGUNZVWPUNZUYNUHZUYQVWOVUHVUIURZVUJVUKURZVWPULZVWQVWOVUHVUJUYAULZVUM
        VUHVUIVHZXKUHZVUJVUKVHXKUHZVXDVWOVVTVXEVUGVVTVUMVWBXLZVUHDUYAUUSVPZVUGV
        UMUUTZVXGVWOVUHUYDXIZXDVXHVWOVUJDXIXDZVUHVUJVUIVUKUYAVULUVCUVAVWOVXBUYD
        VXCDVWPVWPVWOVWPWMVWOVWDVXBUYDUHVUGVWDVUMVWNXLVUHUYDXMXNVUGVXCDUHZVUMVU
        GVWKVXNVWMVUJDXMXNXLUVBXOZVWOVWTVWTUYJUPZVWTUYLUPZURZUYNVWOVWTUVDZVWTVA
        ZUYJUYLURZUHZVWTVXRUHZVWOUYDUYDVWTULZVWTWGVXSVWODUYDVWSULZVWQVYDVWODUYD
        VWRULZDDGULZVYEVWOVWQVYFVXOUYDDVWPXPVPAVYGVUEUYCVUMAGBVIVYGACBGAVVBEUIK
        UVEUKVIZCBXCUATBCDEHIKVOMNOPQUVFWTUBUVGDBGHNQUVHVPXQDDUYDVWRGXRWTVXOUYD
        DUYDVWSVWPXRWTZUYDUYDVWTUVIVWTUVMWJVWOVXTUYDVYAVWOVYDVXTUYDUHVYIUYDUYDV
        WTUVJVPAUYDVYAUHZVUEUYCVUMAVYHVYJTUIKEUVKVPXQXSVXSVYBUYJUYLVHXKUHVYCUIE
        KUVLUYJUYLVWTUVNUVOWTVWOVXPUYKVXQUYMVWOVXPVWSVWPUYJUPZUNZVWSUYAUNZUYKVX
        PVYLUHVWOVWSVWPUYJXTXDVWOVYKUYAVWSVWOUYAUYJYBZVULVUIYBZUYJVUIVHZXKUHZVY
        KUYAUHVUGVYNVUMVUGUYAVWEYBZVYNVUGVVOVYRVUGVVNVVOVVQVVRVPZDUYAUVPVPVUGVW
        EUYJUYAVUGVVJEUIUJVUGUYAVUCVIZVVJEUHZVUGVUBVUCUYAVVPUVQVYTUYAXAVIZWUAXA
        VSUVRVFURZVEYCVEXAYBVYTWUBWUAWFUVSUVTXAWUCVEYDXAEUYAVEUWAUWBWPVPZUWCZUW
        DXOXLZVWOVUMVYOVXKVUIVUKVULYAVPZVUGVYQVUMVUGVXFVYPXKVUGVUHUYJVUIVUGVUHV
        WEUYJVWFWUEXSZUWEVXGVUGVXLXDXBXLZUYJVUIUYAVULYEYFYGVWOVWSVUJUPZUYAUNZUY
        AUMZUYBUNZUYAUNZVYMUYKVWOWUKWUMVUJUPZUYAUNZWUNVWOWUJWUOUYAVWOWUJVWRGVUJ
        UPZUNZWUOVWRGVUJXTVWOWUOWULUYBVUJUPZUNZVWRVUJUPZWUQUNZWURWUOWUTUHVWOWUL
        UYBVUJXTXDVWOWULWVAWUSWUQVWOWVAWULVULUMZURZVUJUPZWULVWRWVDVUJUYAVULUWFZ
        YHVWOWULVUJYBZWVCVUKYBZVXHWVEWULUHVWOVXEVUJVUHWULULZWVGVXJVUHVUJUYAXPZV
        UJVUHWULYAWJZVWOVUMVUKVUIWVCULZWVHVXKVUIVUKVULXPZVUKVUIWVCYAWJZVXMVUJVU
        KWULWVCYEYFUWGVWOUYBGVUJVUFUYCVUMWDZYIZYMVWOWUQVKZVUJXCWVBWURUHVWOWVQVU
        JVUJVWOWVQUYAUTUQUKZWULUNZVKZVUJVWOWUQWVSVWOWUSWUQWVSWVPVWOIDVOUYAPVUGV
        VBVUMVWLXLZVUGVVOVUMVYSXLZVXIUWHXBYJVWOVUJVUJWVSULZVUJVUJWVSUWIWVTVUJUH
        VWOVUHVUJWVRULZWVIWWCVWOVVOVVTUTXJVIWWDWWBVXIVWOUWJDUTUYAUWKYFVWOVXEWVI
        VXJWVJVPVUJVUHVUJWVRWULXRWTVUJVUJWVSUWLVUJVUJWVSUWMWJXSVUJUWNZYKVWRWUQV
        UJYLVPUWOYNYOVUJVUJXCZWUPWUNUHVWOWWEWUMUYAVUJYLVNXSWWFWUKVYMUHVWOWWEVWS
        UYAVUJYLVNVWOCDEHIKVOUYAMNOPWWAWWBVXIVUGWUAVUMWUDXLUWPUWQYPVWOVXQVWSVUL
        UNZUYMVWOVXQVWSVWPUYLUPZUNWWGVWSVWPUYLXTVWOWWHVULVWSVWOVWPVUIUPZWWHVULV
        WOVUIUYLVWPVWOVUIUYDUYJVJZUYLVWOVUHUYJUYDVUGVUHUYJUHVUMWUHXLUWRAWWJUYLU
        HZVUEUYCVUMAVYHWWKTEUIKUWSVPXQXSZYQVWOVYNVYOVYQWWIVULUHWUFWUGWUIUYJVUIU
        YAVULYRYFXBYGYNVWOWVCUOVUKUPZUNZVULUNZVWSVUKUPZVULUNZUYMWWGVWOWWNWWPVUL
        VWOVWRVUKUPZGVUKUPZUNZWWNWWPVWOWWRWVCWWSWWMVWOWWRWVDVUKUPZWVCVWRWVDVUKW
        VFYHVWOWVGWVHVXHWXAWVCUHWVKWVNVXMVUJVUKWULWVCYRYFYNVWOUYBVUKUPWWSWWMVWO
        UYBGVUKWVOYIVWOIDVOUYAPWWAWWBVXIUWTXBZYMVWOWWTVWRWWSUNZWWPVWOWWSVKZVUKX
        CWWTWXCUHVWOWXDWWMVKZVUKVWOWWSWWMWXBYJWXEVUKVUKUXAUXCYKVWRWWSVUKYLVPVWR
        GVUKXTUXDXBYOVWOWWOWVCVULUNZUOVUIUPZUYMVWOWWNWVCVULVWOVUKVUIWVCYCZWWNWV
        CUHVWOVUMWVLWXHVXKWVMVUKVUIWVCYSWJVUKVUIWVCUXBVPYOVWOVUMWXFWXGUHVXKVUIV
        UKVULUXEVPVWOVUIUYLUOWWLYQYPVWOVULVKVUKXCZWWQWWGUHVWOVUMVUIVUKVULYCWXIV
        XKVUIVUKVULYSVUIVUKVULUXFWJVWSVULVUKYLVPUXGXSUXHXSUYPVWQVXAWFLVWPUYAVUL
        UCYTUEYTUXIUYEVWPUHZUYFVWQUYOVXAUYDDUYEVWPUXJWXJUYIVWTUYNWXJUYHVWSUYEVW
        PWXJUYGVWRGUYEVWPUXKYOWXJWKYMUXLUXMUXNWTUXOAUCVUBVUCGIUCIUXPAVVBVUBBIYC
        IVUBYBUAUDBIDHVOPNQUXQVUBBIYDWJAGCIVUCVGUBMUXRUXSUXT $.

      $d .+ p q t $.  $d .- p q t $.  $d B p q t $.  $d D p q t $.
      $d M p q t $.  $d N p q t $.  $d P p q t $.  $d Q p q t $.  $d T p q t $.
      $d p ph q t $.
      cycpmconjs.t $e |- ( ph -> T e. C ) $.
      $( All cycles of the same length are conjugate in the symmetric group.
         (Contributed by Thierry Arnoux, 14-Oct-2023.) $)
      cycpmconjs $p |- ( ph -> E. p e. B Q = ( ( p .+ T ) .- p ) ) $=
        ( vq vt cc0 cfzo co cv wf1o ccnv ccom cid cres c1 ccsh cun wceq wa wrex
        cycpmconjslem2 wex ad2antrr cfn ad4antr simp-4r f1ocnv ad2antlr syl2anc
        wcel f1oco elsymgbas biimpar simpr oveq1d oveq12d eqeq2d simpllr eqtr4d
        coeq1d coeq2d coass coeq1i coeq2i 3eqtr4ri f1ococnv2 syl cfz wss sseldd
        wf cycpmgcl biimpa f1of fcoi2 eqtrd coeq12d fcoi1 syl5eq 3eqtr4i symgov
        3syl cgrp symggrp grpcl syl3anc eqeltrrd cnvco wrel f1orel dfrel2 sylib
        symgsubg 3eqtrrd eqtr3id 3eqtr3d rspcedvd anasss exlimddv ) AUGLUHUIZDU
        EUJZUKZYBULZGUMZYBUMZUNUGEUHUIUOUPUQUIUNELUHUIUOURZUSZUTGMUJZIFUIZYIKUI
        ZUSZMBVAZUEABCDEFGHJKLUENOPQRSTUAUBUCVBAYCYHYMAYCUTZYHUTZYADUFUJZUKZYPU
        LZIUMZYPUMZYGUSZUTZYMUFAUUBUFVCYCYHABCDEFIHJKLUFNOPQRSTUAUBUDVBVDYOYQUU
        AYMYOYQUTZUUAUTZYLGYBYRUMZIFUIZUUEKUIZUSMUUEBUUDDVEVKZDDUUEUKZUUEBVKZAU
        UHYCYHYQUUAUBVFUUDYCDYAYRUKZUUIAYCYHYQUUAVGZYQUUKYOUUAYADYPVHVIDYADYBYR
        VLVJUUHUUJUUIDBUUEHVEORVMVNVJZUUDYIUUEUSZUTZYKUUGGUUOYJUUFYIUUEKUUOYIUU
        EIFUUDUUNVOZVPUUPVQVRUUDYBYFYDUMZUMZYBYTYDUMZUMZGUUGUUDUUQUUSYBUUDYFYTY
        DUUDYFYGYTYNYHYQUUAVSUUCUUAVOVTWAWBUUDUURYBYDUMZGUMZUVAUMZGYBYEUMZUVAUM
        YBYEUVAUMZUMUVCUURYBYEUVAWCUVBUVDUVAYBYDGWCWDUUQUVEYBYEYBYDWCWEWFUUDUVC
        GUNDUOZUMZGUUDUVBGUVAUVFUUDUVBUVFGUMZGUUDUVAUVFGUUDYCUVAUVFUSUULYADYBWG
        WHZWAAUVHGUSZYCYHYQUUAADDGUKZDDGWLZUVJAUUHGBVKZUVKUBACBGAUUHEUGLWIUIVKC
        BWJUBUABCDEHJLVENOPQRWMVJZUCWKUUHUVMUVKDBGHVEORVMWNVJZDDGWOZDDGWPXCVFWQ
        UVIWRAUVGGUSZYCYHYQUUAAUVKUVLUVQUVOUVPDDGWSXCVFWQWTUUDUUTUUEIUMZYPYDUMZ
        UMZUUGYBYSUMZUVSUMYBYSUVSUMZUMUVTUUTYBYSUVSWCUVRUWAUVSYBYRIWCWDUUSUWBYB
        YSYPYDWCWEXAUUDUUGUVRUUEKUIZUVRUUEULZUMZUVTUUDUUFUVRUUEKUUDUUJIBVKZUUFU
        VRUSUUMAUWFYCYHYQUUAACBIUVNUDWKVFZDBFHUUEIORSXBVJZVPUUDUVRBVKUUJUWCUWEU
        SUUDUUFUVRBUWHUUDHXDVKZUUJUWFUUFBVKAUWIYCYHYQUUAAUUHUWIUBDHVEOXEWHVFUUM
        UWGBFHUUEIRSXFXGXHUUMDBHKUVRUUEORTXNVJYQUWEUVTUSYOUUAYQUWDUVSUVRYQUWDYR
        ULZYDUMUVSYBYRXIYQUWJYPYDYQYPXJUWJYPUSYADYPXKYPXLXMWAWTWBVIXOXPXQXRXSXT
        XSXT $.
    $}
  $}

  ${
    $d .+ g p u x y $.  $d .- g p u x y $.  $d A g p u x y $.
    $d D g p u x y $.  $d D u w x y $.  $d M g p u x y $.  $d N g $.
    $d Q g p u x y $.  $d S g p u x y $.  $d T g p u x y $.  $d g p ph u x y $.
    $d p u w x y $.
    cyc3conja.c $e |- C = ( M " ( `' # " { 3 } ) ) $.
    cyc3conja.a $e |- A = ( pmEven ` D ) $.
    cyc3conja.s $e |- S = ( SymGrp ` D ) $.
    cyc3conja.n $e |- N = ( # ` D ) $.
    cyc3conja.m $e |- M = ( toCyc ` D ) $.
    cyc3conja.p $e |- .+ = ( +g ` S ) $.
    cyc3conja.l $e |- .- = ( -g ` S ) $.
    cyc3conja.1 $e |- ( ph -> 5 <_ N ) $.
    cyc3conja.d $e |- ( ph -> D e. Fin ) $.
    cyc3conja.q $e |- ( ph -> Q e. C ) $.
    cyc3conja.t $e |- ( ph -> T e. C ) $.
    $( All 3-cycles are conjugate in the alternating group A_n for n>= 5.
       Property (b) of [Lang] p. 32.  (Contributed by Thierry Arnoux,
       15-Oct-2023.) $)
    cyc3conja $p |- ( ph -> E. p e. A Q = ( ( p .+ T ) .- p ) ) $=
      ( vg vu vw vx vy cv co wceq wrex cbs cfv wcel wa simpr weq oveq1d oveq12d
      eqeq2d simplr rspcedvd cdm wf1 cword crab chash ccnv csn cima cin wne crn
      wn cdif cpr cpmtr ccom cfn ad5antr ad3antrrr simp-8r simp-6r eldifd cevpm
      c3 wss c2o cen wbr simpllr eldifad prssd pr2nelem syl3anc pmtrrn pmtrodpm
      syl2anc difeq2i eleqtrrdi odpmco cc0 cfz 0zd cn0 hashcl syl a1i clt ltled
      eqid c5 cr ad8antr cres reseq1d tocycfvres2 wf sylib 3syl biimpa resabs1d
      cid eqtr3d cun coeq2d symgov symgcl eqeltrrd 3eqtr4d symgsubg cvv c2 cmin
      coass cle wfn ffn r19.29a eqeltrid nn0zd cz 3z 0red zred 3pos nn0red 3lt5
      5re letrd elfzd cycpmgcl sseldd cs2 cycpm2tr s2cld s2f1 elin1d dmeq eqidd
      id f1eq123d elrab simprd f1f frn ssconb syl21anc difeq2d sseqtrrd 3eqtr3d
      s2rn simp-4r simpld c0 disjdif undif symgcom eqtrdi coeq12d coeq1i eqtr3i
      cnvco symgbasf wf1o elsymgbas f1ococnv2 coeq1d eqtr4d 3eqtrd cgrp symggrp
      fcoi1 grpcl simp-7r 3eqtr4rd difexd caddc 3p2e5 eqbrtrid leaddsub2d mpbid
      2re elin2d cpnf hashf fniniseg mp2b simprbi dmex hashf1rn sylancr breqtrd
      wb vex hashssdif breqtrrd hashge2el2dif r19.29vva nfcv eleqtrdi pm2.61dan
      tocycf fvelimad cycpmconjs ) AFUDUIZHEUJZUYGJUJZUKZFLUIZHEUJZUYKJUJZUKZLB
      ULZUDGUMUNZAUYGUYPUOZUPZUYJUPZUYGBUOZUYOUYSUYTUPZUYNUYJLUYGBUYSUYTUQVUALU
      DURZUPZUYMUYIFVUCUYLUYHUYKUYGJVUCUYKUYGHEVUAVUBUQZUSVUDUTVAUYRUYJUYTVBVCU
      YSUYTVOZUPZUEUIZIUNZHUKZUYOUEUFUIZVDZDVUJVEZUFDVFZVGZVHVIWGVJVKZVLZVUFVUG
      VUPUOZUPZVUIUPZUGUIZUHUIZVMZUYOUGUHDVUGVNZVPZVVDVUSVUTVVDUOZUPZVVAVVDUOZU
      PZVVBUPZUYNFUYGVUTVVAVQZDVRUNZUNZVSZHEUJZVVMJUJZUKLVVMBVVIDVTUOZUYGUYPBVP
      ZUOVVLVVQUOVVMBUOVUSVVPVVEVVGVVBAVVPUYQUYJVUEVUQVUIUAWAZWBZVVIUYGUYPBAUYQ
      UYJVUEVUQVUIVVEVVGVVBWCZUYSVUEVUQVUIVVEVVGVVBWDWEVVIVVLUYPDWFUNZVPZVVQVVI
      VVPVVLVVKVNZUOZVVLVWBUOVVSVVIVVPVVJDWHZVVJWIWJWKZVWDVVSVVIVUTVVADVVIVUTDV
      VCVUSVVEVVGVVBWLZWMZVVIVVADVVCVVFVVGVVBVBZWMZWNZVVIVVEVVGVVBVWFVWGVWIVVHV
      VBUQZVUTVVAVVDVVDWOWPDVVJVWCVVKVTVVKXLZVWCXLZWQWPDUYPGVWCVVLOUYPXLZVWNWRW
      SZBVWAUYPNWTXABUYPDGUYGVVLOVWONXBWPVVIUYKVVMUKZUPZUYMVVOFVWRUYLVVNUYKVVMJ
      VWRUYKVVMHEVVIVWQUQZUSVWSUTVAVVIVVNVVMVIZVSZUYIVVOFVVIVXAUYGHVSZVVLVSZVVL
      VIZUYGVIZVSZVSZVXBVVLVXDVSZVSZVXEVSZUYIVVIVVNVXCVWTVXFVVIUYGVVLHVSZVSZUYG
      HVVLVSZVSZVVNVXCVVIVXKVXMUYGVVIDUYPVVCVVDGVVLHOVWOVVIVVLUYPVWAVWPWMZAHUYP
      UOZUYQUYJVUEVUQVUIVVEVVGVVBACUYPHAVVPWGXCKXDUJUOCUYPWHUAAWGXCKAXEAKAKDVHU
      NZXFPAVVPVXQXFUOUADXGXHUUAZUUBWGUUCUOAUUDXIZAXCWGAUUEAWGVXSUUFZXCWGXJWKAU
      UGXIXKAWGXMKVXTXMXNUOAUUJXIZAKVXRUUHZAWGXMVXTVYAWGXMXJWKAUUIXIXKTUUKUULZU
      YPCDWGGIKVTMOPQVWOUUMWSUCUUNXOZVVIVUTVVAUUOZIUNZVVCXPZVVLVVCXPYDVVCXPZVVI
      VYFVVLVVCVVIIDVVKVUTVVAVTQVVSVWHVWJVWLVWMUUPXQVVIVYFDVYEVNZVPZXPZVVCXPYDV
      YJXPZVVCXPVYGVYHVVIVYKVYLVVCVVIIDVTVYEQVVSVVIVUTVVADVWHVWJUUQVVIDVUTVVAVW
      HVWJVWLUURXRXQVVIVYFVVCVYJVVIVVCDVVJVPZVYJVVIVWEVVCDWHZVVJVVDWHZVVCVYMWHZ
      VWKVUSVYNVVEVVGVVBVUSVUGVDZDVUGVEZVYQDVUGXSVYNVUSVUGVUMUOZVYRVUSVUGVUNUOV
      YSVYRUPVUSVUNVUOVUGVUFVUQVUIVBZUUSVULVYRUFVUGVUMUFUEURZVUKVYQDDVUJVUGWUAU
      VBVUJVUGUUTWUADUVAUVCUVDXTZUVEZVYQDVUGUVFVYQDVUGUVGYAZWBZVVIVUTVVAVVDVWGV
      WIWNVWEVYNUPVYOVYPVVJVVCDUVHYBUVIVVIVYIVVJDVVIVVDVUTVVAVWGVWIUVMUVJUVKZYC
      VVIYDVVCVYJWUFYCUVLYEVVIVUHVVDXPHVVDXPYDVVDXPVVIVUHHVVDVURVUIVVEVVGVVBUVN
      XQVVIIDVTVUGQVVSVUSVYSVVEVVGVVBVUSVYSVYRWUBUVOWBVUSVYRVVEVVGVVBWUCWBXRYEV
      VCVVDVLUVPUKVVIVVCDUVQXIVVIVYNVVCVVDYFDUKWUEVVCDUVRXTUVSYGVVIVVNVVMHVSZVX
      LVVIVVMUYPUOZVXPVVNWUGUKVVIUYGVVLEUJZVVMUYPVVIUYQVVLUYPUOZWUIVVMUKVVTVXOD
      UYPEGUYGVVLOVWORYHWSVVIUYQWUJWUIUYPUOVVTVXODUYPEGUYGVVLOVWORYIWSYJZVYDDUY
      PEGVVMHOVWORYHWSUYGVVLHYPUVTVXCVXNUKVVIUYGHVVLYPXIYKVWTVXFUKVVIUYGVVLUWDX
      IUWAVXGVXJUKVVIVXCVXDVSZVXEVSVXGVXJVXCVXDVXEYPWULVXIVXEVXBVVLVXDYPUWBUWCX
      IVVIVXJUYHVXEVSZUYIVVIVXIUYHVXEVVIVXBYDDXPZVSZVXBVXIUYHVVIVXBUYPUODDVXBXS
      WUOVXBUKVVIUYHVXBUYPVVIUYQVXPUYHVXBUKVVTVYDDUYPEGUYGHOVWORYHWSZVVIUYQVXPU
      YHUYPUOZVVTVYDDUYPEGUYGHOVWORYIWSZYJDUYPVXBGOVWOUWEDDVXBUWNYAVVIVXHWUNVXB
      VVIDDVVLUWFZVXHWUNUKVVIVVPWUJWUSVVSVXOVVPWUJWUSDUYPVVLGVTOVWOUWGYBWSDDVVL
      UWHXHYGWUPYKUWIVVIWUQUYQUYIWUMUKWURVVTDUYPGJUYHUYGOVWOSYLWSUWJUWKVVIVVNUY
      PUOZWUHVVOVXAUKVVIGUWLUOZWUHVXPWUTAWVAUYQUYJVUEVUQVUIVVEVVGVVBAVVPWVAUADG
      VTOUWMXHXOWUKVYDUYPEGVVMHVWORUWOWPWUKDUYPGJVVNVVMOVWOSYLWSUYRUYJVUEVUQVUI
      VVEVVGVVBUWPUWQVCVUSVVDYMUOZYNVVDVHUNZYQWKVVBUHVVDULUGVVDULAWVBUYQUYJVUEV
      UQVUIADVVCVTUAUWRWAVUSYNVXQVVCVHUNZYOUJZWVCYQVUSYNKWGYOUJZWVEYQAYNWVFYQWK
      ZUYQUYJVUEVUQVUIAWGYNUWSUJZKYQWKWVGAWVHXMKYQUWTTUXAAWGYNKVXTYNXNUOAUXDXIV
      YBUXBUXCWAVUSKVXQWGWVDYOKVXQUKVUSPXIVUSVUGVHUNZWGWVDVUSVUGVUOUOZWVIWGUKZV
      USVUNVUOVUGVYTUXEWVJVUGYMUOZWVKYMXFUXFVJYFZVHXSVHYMYRWVJWVLWVKUPUXOUXGYMW
      VMVHYSYMWGVUGVHUXHUXIUXJXHVUSVYQYMUOVYRWVIWVDUKVUGUEUXPUXKWUCVYQDVUGYMUXL
      UXMYEUTUXNVUSVVPVYNWVCWVEUKVVRWUDDVVCUXQWSUXRUGUHVVDYMUXSWSUXTAVUIUEVUPUL
      UYQUYJVUEAUEVUNVUOHIUEIUYAAVVPVUNUYPIXSIVUNYRUAUFUYPIDGVTQOVWOUYDVUNUYPIY
      SYAAHCIVUOVKUCMUYBUYEWBYTUYCAUYPCDWGEFGHIJKUDMOPQVWORSVYCUAUBUCUYFYT $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Signum in an ordered monoid
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c sgns $. $( Signum function, often written "sgn" or "sign". $)

  $( Extend class notation to include the Signum function. $)
  csgns $a class sgns $.

  ${
    $d r x $.
    $( Signum function for a structure.  See also ~ df-sgn for the version for
       extended reals.  (Contributed by Thierry Arnoux, 10-Sep-2018.) $)
    df-sgns $a |- sgns = ( r e. _V |-> ( x e. ( Base ` r ) |->
   if ( x = ( 0g ` r ) , 0 , if ( ( 0g ` r ) ( lt ` r ) x , 1 , -u 1 ) ) ) ) $.
  $}

  ${
    $d r x .0. $.  $d r x .< $.  $d r x B $.  $d r x R $.  $d x V $.  $d x X $.
    sgnsval.b $e |- B = ( Base ` R ) $.
    sgnsval.0 $e |- .0. = ( 0g ` R ) $.
    sgnsval.l $e |- .< = ( lt ` R ) $.
    sgnsval.s $e |- S = ( sgns ` R ) $.
    $( The sign mapping.  (Contributed by Thierry Arnoux, 9-Sep-2018.) $)
    sgnsv $p |- ( R e. V -> S = ( x e. B |->
      if ( x = .0. , 0 , if ( .0. .< x , 1 , -u 1 ) ) ) ) $=
      ( vr wcel cfv wceq cc0 c1 cif cbs c0g csgns wbr cneg cmpt elex cplt fveq2
      cv cvv eqtr4di wa adantr eqidd breq123d ifbid ifbieq2d mpteq12dva df-sgns
      eqeq2d mptfvmpt syl syl5eq ) CFMZDCUANZABAUHZGOZPGVEEUBZQQUCZRZRZUDZKVCCU
      IMVDVKOCFUEALVJSUAALUHZSNZVEVLTNZOZPVNVEVLUFNZUBZQVHRZRZUDBUICCVLCOZAVMVS
      BVJVTVMCSNBVLCSUGHUJVTVEVMMZUKZVOVFVRVIPWBVNGVEVTVNGOWAVTVNCTNGVLCTUGIUJU
      LZUSWBVQVGQVHWBVNGVEVEVPEWCVTVPEOWAVTVPCUFNEVLCUFUGJUJULWBVEUMUNUOUPUQALU
      RHUTVAVB $.

    $( The sign value.  (Contributed by Thierry Arnoux, 9-Sep-2018.) $)
    sgnsval $p |- ( ( R e. V /\ X e. B ) -> ( S ` X ) = if ( X = .0. , 0 ,
      if ( .0. .< X , 1 , -u 1 ) ) ) $=
      ( vx wcel wa wceq cc0 c1 cif cvv a1i cv wbr cneg sgnsv adantr eqeq1 breq2
      cmpt ifbid ifbieq2d adantl simpr c0ex wn 1ex negex ifclda fvmptd ) BEMZFA
      MZNZLFLUAZGOZPGVBDUBZQQUCZRZRZFGOZPGFDUBZQVERZRZACSUSCLAVGUHOUTLABCDEGHIJ
      KUDUEVBFOZVGVKOVAVLVCVHVFVJPVBFGUFVLVDVIQVEVBFGDUGUIUJUKUSUTULVAVHPVJSPSM
      VAVHNUMTVAVHUNNZVIQVESQSMVMVINUOTVESMVMVIUNNQUPTUQUQUR $.

    $d x S $.
    $( The sign function.  (Contributed by Thierry Arnoux, 9-Sep-2018.) $)
    sgnsf $p |- ( R e. V -> S : B --> { -u 1 , 0 , 1 } ) $=
      ( vx wcel cv wceq cc0 wbr c1 cneg cif ifcli ctp sgnsv wa c0ex tpid2 tpid3
      1ex negex tpid1 a1i fmpt3d ) BELZKAKMZFNZOFUMDPZQQRZSZSZUPOQUAZCKABCDEFGH
      IJUBURUSLULUMALUCUNOUQUSUPOQUDUEUOQUPUSUPOQUGUFUPOQQUHUITTUJUK $.

$(
    @( Only zero has a sign equal to ` 0 ` . @)
    sgns0 @p |- ( R e. V -> ( X e. ( `' S " { 0 } ) <-> X = .0. ) ) @=
      ? @.

    @( The (strictly) positive cone. @)
    sgnsp @p |- ( R e. V ->
      ( X e. ( `' S " { 1 } ) <-> ( X e. B /\ .0. .< X ) ) ) @=
      ? @.

    @( The (strictly) negative cone. @)
    sgnsn @p |- ( R e. V ->
      ( X e. ( `' S " { -u 1 } ) <-> ( X e. B /\ X .< .0. ) ) ) @=
      ? @.

    @{
      @d x .0. @.  @d x .< @.  @d x B @.
      sgnsmulpp.2 @e |- R e. oRing @.
      sgnsmulpp.3 @e |- ( ph -> X e. ( `' S " { 1 } ) ) @.
      sgnsmulpp.4 @e |- ( ph -> Y e. ( `' S " { 1 } ) ) @.
      @( In an ordered ring, the product of two positive elements is positive.
         (Contributed by Thierry Arnoux, 9-Sep-2018.) @)
      sgnsmulpp @p |- ( ph -> ( X .x. Y ) e. ( `' S " { 1 } ) ) @=
        ( c1 wcel wb ccnv csn cima wa co cfv wceq wbr cofld corng cfield isofld
        simprbi mp1i cdr simplbi ccrg isfld mp2b a1i cneg cc0 ctp wf wfn signsf
        simpl ffn elpreima sylib simpld simpr elsni syl signsvp mpbid orngmullt
        simprd crg orngring ringcl syl3anc mpbird fvex elsn sylibr baib )
        HDUARU
        BZUCZSZIWISZUDZHIFUEZWISZWMDUFZWHSZWLWORUGZWPWLWQJWMEUHZWLBCEFHIJLMPOCU
        ISZCUJSZWLKWSCUKSZWTCULZUMUNZCUOSZWLWSXAXDKWSXAWTXBUPXAXDCUQSCURUPUSUTW
        LHBSZHDUFZWHSZWLWJXEXGUDZWJWKVGBRVAVBRVCZDVDZDBVEZWJXHTABCDEFGJKLMNOPQV
        FZBXIDVHZBHWHDVIUSVJZVKZWLIBSZIDUFZWHSZWLWKXPXRUDZWJWKVLXJXKWKXSTXLXMBI
        WHDVIUSVJZVKZWLXFRUGZJHEUHZWLXGYBWLXEXGXNVRXFRVMVNWLXEYBYCTXOABCDEFGHJK
        LMNOPQVOVNVPWLXQRUGZJIEUHZWLXRYDWLXPXRXTVRXQRVMVNWLXPYDYETYAABCDEFGIJKL
        MNOPQVOVNVPVQWLWMBSZWQWRTWLCVSSZXEXPYFWLWTYGXCCVTVNXOYABCFHILMWAWBZABCD
        EFGWMJKLMNOPQVOVNWCWORWMDWDWEWFWLYFWNWPTYHWNYFWPXJXKWNYFWPUDTXLXMBWMWHD
        VIUSWGVNWC @.
    @}
$)
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The Archimedean property for generic ordered algebraic structures
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c <<< $.
  $c Archi $.

  $( Class notation for the infinitesimal relation. $)
  cinftm $a class <<< $.

  $( Class notation for the Archimedean property. $)
  carchi $a class Archi $.

  ${
    $d n w x y $.
    $( Define the relation " ` x ` is infinitesimal with respect to ` y ` " for
       a structure ` w ` .  (Contributed by Thierry Arnoux, 30-Jan-2018.) $)
    df-inftm $a |- <<< = ( w e. _V |-> { <. x , y >. | ( ( x e. ( Base ` w ) /\
      y e. ( Base ` w ) ) /\ ( ( 0g ` w ) ( lt ` w ) x /\
      A. n e. NN ( n ( .g ` w ) x ) ( lt ` w ) y ) ) } ) $.
  $}

  $( A structure said to be Archimedean if it has no infinitesimal elements.
     (Contributed by Thierry Arnoux, 30-Jan-2018.) $)
  df-archi $a |- Archi = { w | ( <<< ` w ) = (/) } $.

  ${
    $d w x y B $.  $d n w x y W $.  $d n x y X $.  $d n x y Y $.
    $d w x y .< $.  $d w x y .x. $.  $d w x y .0. $.
    inftm.b $e |- B = ( Base ` W ) $.
    $( The infinitesimal relation for a structure ` W ` .  (Contributed by
       Thierry Arnoux, 30-Jan-2018.) $)
    inftmrel $p |- ( W e. V -> ( <<< ` W ) C_ ( B X. B ) ) $=
      ( vx vy vn vw wcel cfv cv wa c0g cplt wbr cmg cn cbs fveq2 anbi12d cinftm
      wral copab cxp cvv wceq elex eqtr4di eleq2d eqidd breq123d oveqd opabbidv
      co ralbidv df-inftm fvexi xpex opabssxp ssexi fvmpt syl eqsstrdi ) CBIZCU
      AJZEKZAIZFKZAIZLZCMJZVFCNJZOZGKZVFCPJZUNZVHVLOZGQUBZLZLZEFUCZAAUDZVDCUEIV
      EWAUFCBUGHCVFHKZRJZIZVHWDIZLZWCMJZVFWCNJZOZVNVFWCPJZUNZVHWIOZGQUBZLZLZEFU
      CWAUEUAWCCUFZWPVTEFWQWGVJWOVSWQWEVGWFVIWQWDAVFWQWDCRJAWCCRSDUHZUIWQWDAVHW
      RUITWQWJVMWNVRWQWHVKVFVFWIVLWCCMSWCCNSZWQVFUJUKWQWMVQGQWQWLVPVHVHWIVLWQWK
      VOVNVFWCCPSULWSWQVHUJUKUOTTUMEFHGUPWAWBAAACRDUQZWTURVSEFAAUSZUTVAVBXAVC
      $.

    inftm.0 $e |- .0. = ( 0g ` W ) $.
    inftm.x $e |- .x. = ( .g ` W ) $.
    inftm.l $e |- .< = ( lt ` W ) $.
    $( Express ` x ` is infinitesimal with respect to ` y ` for a structure
       ` W ` .  (Contributed by Thierry Arnoux, 30-Jan-2018.) $)
    isinftm $p |- ( ( W e. V /\ X e. B /\ Y e. B ) ->
      ( X ( <<< ` W ) Y <-> ( .0. .< X /\ A. n e. NN ( n .x. X ) .< Y ) ) ) $=
      ( vx vy wcel wa wbr cn cfv vw cv co wral copab cinftm wceq eleq1 bi2anan9
      w3a simpl breq2d oveq2d simpr breq12d ralbidv anbi12d eqid brabga 3adant1
      wb cvv elex 3ad2ant1 cbs c0g cplt cmg fveq2 eqtr4di eleq2d eqidd breq123d
      oveqd opabbidv df-inftm cxp fvexi xpex opabssxp ssexi fvmpt syl biantrurd
      breqd 3simpc 3bitr4d ) FEPZGAPZHAPZUJZGHNUBZAPZOUBZAPZQZIWLBRZDUBZWLCUCZW
      NBRZDSUDZQZQZNOUEZRZWIWJQZIGBRZWRGCUCZHBRZDSUDZQZQZGHFUFTZRXKWIWJXEXLVAWH
      XCXLNOGHXDAAWLGUGZWNHUGZQZWPXFXBXKXNWMWIXOWOWJWLGAUHWNHAUHUIXPWQXGXAXJXPW
      LGIBXNXOUKZULXPWTXIDSXPWSXHWNHBXPWLGWRCXQUMXNXOUNUOUPUQUQXDURUSUTWKXMXDGH
      WKFVBPZXMXDUGWHWIXRWJFEVCVDUAFWLUAUBZVETZPZWNXTPZQZXSVFTZWLXSVGTZRZWRWLXS
      VHTZUCZWNYERZDSUDZQZQZNOUEXDVBUFXSFUGZYLXCNOYMYCWPYKXBYMYAWMYBWOYMXTAWLYM
      XTFVETAXSFVEVIJVJZVKYMXTAWNYNVKUQYMYFWQYJXAYMYDIWLWLYEBYMYDFVFTIXSFVFVIKV
      JYMYEFVGTBXSFVGVIMVJZYMWLVLVMYMYIWTDSYMYHWSWNWNYEBYMYGCWRWLYMYGFVHTCXSFVH
      VILVJVNYOYMWNVLVMUPUQUQVONOUADVPXDAAVQAAAFVEJVRZYPVSXBNOAAVTWAWBWCWEWKXFX
      KWHWIWJWFWDWG $.
  $}

  ${
    $d x y B $.  $d x y w W $.
    isarchi.b $e |- B = ( Base ` W ) $.
    isarchi.0 $e |- .0. = ( 0g ` W ) $.
    isarchi.i $e |- .< = ( <<< ` W ) $.
    $( Express the predicate " ` W ` is Archimedean ".  (Contributed by Thierry
       Arnoux, 30-Jan-2018.) $)
    isarchi $p |- ( W e. V -> ( W e. Archi <-> A. x e. B A. y e. B -. x .< y )
      ) $=
      ( vw wcel carchi cinftm cfv c0 wceq cv wbr wral wn fveqeq2 elab2g cxp wss
      df-archi wb inftmrel cop wi ss0b ssrel2 bitr3id noel breqi df-br xchnxbir
      nbn bitri pm2.21i dfbi2 mpbiran2 2ralbii bitr4di syl bitrd ) FELZFMLFNOZP
      QZARZBRZDSZUAZBCTACTZKRZNOPQVIKFMEVOFPNUBKUFUCVGVHCCUDUEZVIVNUGCEFHUHVPVI
      VJVKUIZVHLZVQPLZUJZBCTACTZVNVIVHPUEVPWAVHUKABCCVHPULUMVMVTABCCVMVRVSUGZVT
      VRWBVLVSVRVQUNZURVLVJVKVHSVRVJVKDVHJUOVJVKVHUPUSUQWBVTVSVRUJVSVRWCUTVRVSV
      AVBUSVCVDVEVF $.
  $}

  ${
    $d n A $.
    $( Plus infinity is an infinite for the completed real line, as any real
       number is infinitesimal compared to it.  (Contributed by Thierry Arnoux,
       1-Feb-2018.) $)
    pnfinf $p |- ( A e. RR+ -> A ( <<< ` RR*s ) +oo ) $=
      ( vn crp wcel cpnf cfv wbr cc0 clt co cn wa cr cxr adantr syl2anc eqeltrd
      cxrs syl cvv cinftm cv cmg wral rpgt0 cxmu wceq nnz adantl rpxr xrsmulgzz
      cz zred rpre cmul rexmul remulcl ltpnf ralrimiva wb xrsex pnfxr xrs0 eqid
      xrsbas xrslt isinftm mp3an13 mpbir2and ) ACDZAERUAFGZHAIGZBUBZARUCFZJZEIG
      ZBKUDZAUEVJVPBKVJVMKDZLZVOMDVPVSVOVMAUFJZMVSVMULDZANDZVOVTUGVRWAVJVMUHUIZ
      VJWBVRAUJZOVMAUKPVSVMMDZAMDZVTMDVSVMWCUMVJWFVRAUNOWEWFLVTVMAUOJMVMAUPVMAU
      QQPQVOURSUSVJWBVKVLVQLUTZWDRTDWBENDWGVAVBNIVNBTRAEHVEVCVNVDVFVGVHSVI $.
  $}

  ${
    $d x y $.
    $( The completed real line is not Archimedean.  (Contributed by Thierry
       Arnoux, 1-Feb-2018.) $)
    xrnarchi $p |- -. RR*s e. Archi $=
      ( vx vy cv cxrs cinftm cfv wbr cxr wrex carchi wcel wn cpnf 1xr pnfxr crp
      c1 ax-mp wral cvv 1rp pnfinf breq1 breq2 mp3an rexnal dfrex2 rexbii xrsex
      rspc2ev wb cc0 xrsbas xrs0 eqid isarchi notbii 3bitr4i mpbi ) ACZBCZDEFZG
      ZBHIZAHIZDJKZLZQHKMHKQMVBGZVENOQPKVHUAQUBRVCVHQVAVBGABQMHHUTQVAVBUCVAMQVB
      UDUJUEVCLBHSZLZAHIVIAHSZLVEVGVIAHUFVDVJAHVCBHUGUHVFVKDTKVFVKUKUIABHVBTDUL
      UMUNVBUOUPRUQURUS $.
  $}

  ${
    $d n x y B $.  $d n x y W $.
    isarchi2.b $e |- B = ( Base ` W ) $.
    isarchi2.0 $e |- .0. = ( 0g ` W ) $.
    isarchi2.x $e |- .x. = ( .g ` W ) $.
    isarchi2.l $e |- .<_ = ( le ` W ) $.
    isarchi2.t $e |- .< = ( lt ` W ) $.
    $( Alternative way to express the predicate " ` W ` is Archimedean ", for
       Tosets.  (Contributed by Thierry Arnoux, 30-Jan-2018.) $)
    isarchi2 $p |- ( ( W e. Toset /\ W e. Mnd ) -> ( W e. Archi <->
      A. x e. B A. y e. B ( .0. .< x -> E. n e. NN y .<_ ( n .x. x ) ) ) ) $=
      ( wcel wbr wn wral cn wb ctos cmnd wa carchi cv cinftm co wrex wi isarchi
      cfv eqid adantr w3a simpl1l simpl1r simpr nnnn0d simpl2 mulgnn0cl syl3anc
      simpl3 tltnle con2bid rexbidva imbi2d isinftm notbid rexnal imbi2i bitr2i
      cn0 imnan bitrdi 3adant1r bitr4d 3expb 2ralbidva ) HUAOZHUBOZUCZHUDOZAUEZ
      BUEZHUFUKZPZQZBCRACRZIWCDPZWDFUEZWCEUGZGPZFSUHZUIZBCRACRVSWBWHTVTABCWEUAH
      IJKWEULUJUMWAWNWGABCCWAWCCOZWDCOZWNWGTWAWOWPUNZWNWIWKWDDPZQZFSUHZUIZWGWQW
      MWTWIWQWLWSFSWQWJSOZUCZVSWKCOZWPWLWSTVSVTWOWPXBUOXCVTWJVLOWOXDVSVTWOWPXBU
      PXCWJWQXBUQURWAWOWPXBUSCEHWJWCJLUTVAWAWOWPXBVBVSXDWPUNWRWLCDHGWKWDJMNVCVD
      VAVEVFVSWOWPWGXATVTVSWOWPUNZWGWIWRFSRZUCZQZXAXEWFXGCDEFUAHWCWDIJKLNVGVHXA
      WIXFQZUIXHWTXIWIWRFSVIVJWIXFVMVKVNVOVPVQVRVP $.
  $}

  ${
    $d n x y A $.  $d n x y W $.
    $( A submonoid is archimedean.  (Contributed by Thierry Arnoux,
       16-Sep-2018.) $)
    submarchi $p |- ( ( ( W e. Toset /\ W e. Archi ) /\ A e. ( SubMnd ` W ) )
      -> ( W |`s A ) e. Archi ) $=
      ( vx vy vn wcel wa cfv co cv wbr cn wi wral cmnd wb eqid syl adantl wceq
      ctos carchi csubmnd c0g cplt cmg cple wrex submrcl isarchi2 sylan2 biimpa
      cress cbs an32s wss submbas submss eqsstrrd ssralv ralimdv subm0 ad2antrr
      syld cdif ressle difeq1d pltfval submmnd 3eqtr4d eqidd breq123d ad3antrrr
      cid cn0 simplll nnnn0d simpllr eleqtrrd submmulg syl3anc rexbidva imbi12d
      simpr ralbidva sylibd mpd resstos syl2anc adantlr mpbird ) BUAFZBUBFZGZAB
      UCHZFZGZBAUMIZUBFZWRUDHZCJZWRUEHZKZDJZEJZXAWRUFHZIZWRUGHZKZELUHZMZDWRUNHZ
      NZCXLNZWQBUDHZXABUEHZKZXDXEXABUFHZIZBUGHZKZELUHZMZDBUNHZNZCYDNZXNWLWPWMYF
      WLWPGZWMYFWPWLBOFZWMYFPABUIZCDYDXPXREXTBXOYDQZXOQZXRQZXTQZXPQZUJUKULUOWQY
      FYCDXLNZCXLNZXNWPYFYPMZWNWPXLYDUPZYQWPXLAYDAWRBWRQZUQZYDABYJURUSYRYFYOCYD
      NYPYRYEYOCYDYCDXLYDUTVAYOCXLYDUTVDRSWPYPXNPWNWPYOXMCXLWPXAXLFZGZYCXKDXLUU
      BXDXLFZGZXQXCYBXJUUDXOWTXAXAXPXBWPXOWTTUUAUUCAWRBXOYSYKVBVCWPXPXBTUUAUUCW
      PXTVNVEZXHVNVEZXPXBWPXTXHVNABXTWOWRYSYMVFZVGWPYHXPUUETYIOXPBXTYMYNVHRWPWR
      OFZXBUUFTAWRBYSVIZOXBWRXHXHQZXBQZVHRVJVCUUDXAVKVLUUDYAXIELUUDXELFZGZXDXDX
      SXGXTXHUUMXDVKWPXTXHTUUAUUCUULUUGVMUUMWPXEVOFXAAFXSXGTWPUUAUUCUULVPZUUMXE
      UUDUULWDVQUUMXAXLAWPUUAUUCUULVRUUMWPAXLTUUNYTRVSAXRXFBWRXEXAYLYSXFQZVTWAV
      LWBWCWEWESWFWGWLWPWSXNPZWMYGWRUAFUUHUUPABWOWHWPUUHWLUUISCDXLXBXFEXHWRWTXL
      QWTQUUOUUJUUKUJWIWJWK $.
  $}

  ${
    $d m n x y $.  $d n x y B $.  $d n x y W $.  $d m n .< $.  $d m n .x. $.
    $d n .0. $.
    isarchi3.b $e |- B = ( Base ` W ) $.
    isarchi3.0 $e |- .0. = ( 0g ` W ) $.
    isarchi3.i $e |- .< = ( lt ` W ) $.
    isarchi3.x $e |- .x. = ( .g ` W ) $.
    $( This is the usual definition of the Archimedean property for an ordered
       group.  (Contributed by Thierry Arnoux, 30-Jan-2018.) $)
    isarchi3 $p |- ( W e. oGrp -> ( W e. Archi <->
      A. x e. B A. y e. B ( .0. .< x -> E. n e. NN y .< ( n .x. x ) ) ) ) $=
      ( wcel wbr co cn wa adantr c1 wceq vm cogrp carchi cv cple wrex wral ctos
      cfv wi cmnd wb comnd cgrp isogrp simprbi omndtos syl grpmnd eqid isarchi2
      sylbi syl2anc caddc peano2nnd cplusg simp-4l ogrpgrp grpidcl 3syl simp-4r
      simpr ad4antr nnzd mulgcl syl3anc simpllr ogrpaddlt syl131anc grplid nncn
      cz cc ax-1cn addcom sylancl oveq1d csgrp grpsgrp mulgnndir syl13anc mulg1
      1nn a1i 3eqtrrd 3brtr3d tospos peano2zd plelttr mpdan oveq1 breq2d rspcev
      cpo impl r19.29an cbvrexvw sylib pltle reximdva impbida pm5.74da ralbidva
      imp bitrd ) GUBMZGUCMZHAUDZDNZBUDZFUDZXREOZGUEUIZNZFPUFZUJZBCUGZACUGZXSXT
      YBDNZFPUFZUJZBCUGZACUGXPGUHMZGUKMZXQYHULXPGUMMZYMXPGUNMZYOGUOZUPGUQURZXPY
      PYOQYNYQYPYNYOGUSRVBABCDEFYCGHIJLYCUTZKVAVCXPYGYLACXPXRCMZQZYFYKBCUUAXTCM
      ZQZXSYEYJUUCXSQZYEYJUUDYEQXTUAUDZXREOZDNZUAPUFZYJUUDYDUUHFPUUDYAPMZQZYDQZ
      YASVDOZPMXTUULXREOZDNZUUHUUKYAUUJUUIYDUUDUUIVLZRZVEUUKYBUUMDNZUUNUUKHYBGV
      FUIZOZXRYBUUROZYBUUMDUUKXPHCMZYTYBCMZXSUUSUUTDNUUJXPYDXPYTUUBXSUUIVGZRZUU
      KXPYPUVAUVDGVHZCGHIJVIVJUUJYTYDXPYTUUBXSUUIVKZRZUUJUVBYDUUJYPYAWBMYTUVBXP
      YPYTUUBXSUUIUVEVMZUUJYAUUOVNZUVFCEGYAXRILVOVPZRZUUCXSUUIYDVQCUURDGHXRYBIK
      UURUTZVRVSUUKYPUVBUUSYBTUUKXPYPUVDUVEURUVKCUURGYBHIUVLJVTVCUUKUUMSYAVDOZX
      REOZSXREOZYBUUROZUUTUUKUUIUUMUVNTUUPUUIUULUVMXREUUIYAWCMSWCMUULUVMTYAWAWD
      YASWEWFWGURUUKGWHMZSPMZUUIYTUVNUVPTUUKXPYPUVQUVDUVEGWIVJUVRUUKWMWNUUPUVGC
      UUREGSYAXRILUVLWJWKUUKUVOXRYBUURUUKYTUVOXRTUVGCEGXRILWLURWGWOWPUUJYDUUQUU
      NUUJGXDMZUUBUVBUUMCMZYDUUQQUUNUJUUJXPYMUVSUVCYRGWQVJUUAUUBXSUUIVQZUVJUUJY
      PUULWBMYTUVTUVHUUJYAUVIWRUVFCEGUULXRILVOVPCDGYCXTYBUUMIYSKWSWKXEWTUUGUUNU
      AUULPUUEUULTUUFUUMXTDUUEUULXREXAXBXCVCXFUUGYIUAFPUUEYATUUFYBXTDUUEYAXREXA
      XBXGXHUUDYJYEUUDYIYDFPUUJXPUUBUVBYIYDUJUVCUWAUVJUBCCDGYCXTYBYSKXIVPXJXNXK
      XLXMXMXO $.
  $}

  ${
    $d m x y B $.  $d m x y W $.  $d m n x y X $.  $d m n y Y $.  $d m n ph $.
    $d m n x y .0. $.  $d m n x y .<_ $.  $d m n x y .< $.  $d m n x y .x. $.
    archirng.b $e |- B = ( Base ` W ) $.
    archirng.0 $e |- .0. = ( 0g ` W ) $.
    archirng.i $e |- .< = ( lt ` W ) $.
    archirng.l $e |- .<_ = ( le ` W ) $.
    archirng.x $e |- .x. = ( .g ` W ) $.
    archirng.1 $e |- ( ph -> W e. oGrp ) $.
    archirng.2 $e |- ( ph -> W e. Archi ) $.
    archirng.3 $e |- ( ph -> X e. B ) $.
    archirng.4 $e |- ( ph -> Y e. B ) $.
    archirng.5 $e |- ( ph -> .0. .< X ) $.
    ${
      archirng.6 $e |- ( ph -> .0. .< Y ) $.
      $( Property of Archimedean ordered groups, framing positive ` Y ` between
         multiples of ` X ` .  (Contributed by Thierry Arnoux, 12-Apr-2018.) $)
      archirng $p |- ( ph -> E. n e. NN0 ( ( n .x. X ) .< Y
        /\ Y .<_ ( ( n + 1 ) .x. X ) ) ) $=
        ( vm vx vy cv co wbr c1 caddc wa cn0 wrex wn cc0 wceq oveq1 breq2d ctos
        wcel wb cogrp comnd cgrp isogrp simprbi omndtos 3syl ogrpgrp syl tltnle
        grpidcl syl3anc mpbid mulg0 mtbird cn wi wral jca cmnd omndmnd isarchi2
        carchi biimpa syl21anc breq2 oveq2 rexbidv imbi12d imbi2d rspc2v nn0min
        breq1 syl3c adantr cz simpr nn0zd mulgcl anbi1d rexbidva mpbird ) AEUEZ
        HDUFZICUGZIXCUHUIUFZHDUFZFUGZUJZEUKULIXDFUGZUMZXHUJZEUKULAIUBUEZHDUFZFU
        GZIUNHDUFZFUGZXJXHEUBXMUNUOXNXPIFXMUNHDUPUQXMXCUOXNXDIFXMXCHDUPUQXMXFUO
        XNXGIFXMXFHDUPUQAXQIJFUGZAJICUGZXRUMZUAAGURUSZJBUSZIBUSZXSXTUTAGVAUSZGV
        BUSZYAPYDGVCUSZYEGVDVEZGVFVGZAYFYBAYDYFPGVHVIZBGJKLVKVISBCGFJIKNMVJVLVM
        AXPJIFAHBUSZXPJUORBDGHJKLOVNVIUQVOAYJYCUJJUCUEZCUGZUDUEZXMYKDUFZFUGZUBV
        PULZVQZUDBVRUCBVRZJHCUGZXOUBVPULZAYJYCRSVSAYAGVTUSZGWCUSZYRYHAYDYEUUAPY
        GGWAVGQYAUUAUJUUBYRUCUDBCDUBFGJKLONMWBWDWETYQYSYTVQYSYMXNFUGZUBVPULZVQU
        CUDHIBBYKHUOZYLYSYPUUDYKHJCWFUUEYOUUCUBVPUUEYNXNYMFYKHXMDWGUQWHWIYMIUOZ
        UUDYTYSUUFUUCXOUBVPYMIXNFWMWHWJWKWNWLAXIXLEUKAXCUKUSZUJZXEXKXHUUHYAXDBU
        SZYCXEXKUTAYAUUGYHWOUUHYFXCWPUSYJUUIAYFUUGYIWOUUHXCAUUGWQWRAYJUUGRWOBDG
        XCHKOWSVLAYCUUGSWOBCGFXDIKNMVJVLWTXAXB $.
    $}

    archirngz.1 $e |- ( ph -> ( oppG ` W ) e. oGrp ) $.
    $( Property of Archimedean left and right ordered groups.  (Contributed by
       Thierry Arnoux, 6-May-2018.) $)
    archirngz $p |- ( ph -> E. n e. ZZ ( ( n .x. X ) .< Y
      /\ Y .<_ ( ( n + 1 ) .x. X ) ) ) $=
      ( vm wceq cv co wbr c1 caddc wa cz wrex cneg wcel neg1z cminusg cfv cogrp
      cgrp ogrpgrp syl 1zzd eqid mulgneg syl3anc mulg1 fveq2d ogrpinv0lt biimpa
      eqtrd syl21anc eqbrtrd adantr simpr breqtrrd comnd isogrp simprbi omndtos
      cpo ctos 3syl tospos grpidcl posref syl2anc 1m1e0 negeqi ax-1cn negsubdii
      cc0 cmin neg0 3eqtr3i oveq1i mulg0 syl5eq 3brtr4d jca oveq1 breq1d oveq1d
      breq2d anbi12d rspcev sylancr cn0 c2 nn0zd ad2antrr znegcld 2z zsubcld cc
      a1i nn0cn adantl 2cnd negdi2d peano2zd mulgcl zaddcld 1cnd addassd oveq2i
      coppg addcld 3eqtrrd 3brtr3d ogrpinvlt syl31anc eqbrtrrd ad4antr syl12anc
      w3a eqcomd wb negcld cvv biimpar archirng cplusg ogrpaddlt grplid addcomd
      syl131anc 1p1e2 eqtrdi eqtr3d mulgdir syl13anc grpinvcl posasymb syl32anc
      simplrr grpinvinv 3eqtr2rd 2m1e1 eqtr2di negeqd negsubdid simp-4l adantrr
      addsubassd 3anassrs negdi sylancl addid1d 3eqtrd wi ovexd pltle sylc tlt2
      mpjaodan carchi syldan r19.29a wss nn0ssz ssrexv mpsyl w3o tlt3 mpjao3dan
      wo ) AIJUCZEUDZHDUEZICUFZIUWGUGUHUEZHDUEZFUFZUIZEUJUKZIJCUFZJICUFZAUWFUIZ
      UGULZUJUMUWRHDUEZICUFZIUWRUGUHUEZHDUEZFUFZUIZUWNUNUWQUWTUXCUWQUWSJICAUWSJ
      CUFUWFAUWSHGUOUPZUPZJCAUWSUGHDUEZUXEUPZUXFAGURUMZUGUJUMZHBUMZUWSUXHUCAGUQ
      UMZUXIPGUSZUTZAVARBDGUXEUGHKOUXEVBZVCVDAUXGHUXEAUXKUXGHUCZRBDGHKOVEZUTVFV
      IAUXLUXKJHCUFZUXFJCUFZPRTUXLUXKUIUXRUXSBCGUXEHJKMUXOLVGVHVJVKVLAUWFVMZVNU
      WQJJIUXBFAJJFUFZUWFAGVSUMZJBUMZUYAAGVTUMZUYBAUXLGVOUMZUYDPUXLUXIUYEGVPVQG
      VRWAZGWBZUTZAUXLUXIUYCPUXMBGJKLWCZWAZBGFJKNWDWEVLUXTAUXBJUCUWFAUXBWJHDUEZ
      JUXAWJHDUGUGWKUEZULWJULUXAWJUYLWJWFWGUGUGWHWHWIWLWMZWNAUXKUYKJUCRBDGHJKLO
      WOUTWPVLWQWRUWMUXDEUWRUJUWGUWRUCZUWIUWTUWLUXCUYNUWHUWSICUWGUWRHDWSWTUYNUW
      KUXBIFUYNUWJUXAHDUWGUWRUGUHWSXAXBXCXDXEAUWOUIZUBUDZHDUEZIUXEUPZCUFZUYRUYP
      UGUHUEZHDUEZFUFZUIZUWNUBXFUYOUYPXFUMZUIZVUCUIZVUAUYRFUFZUWNUYRVUACUFZVUFV
      UGUIZUYPULZXGWKUEZUJUMVUKHDUEZICUFZIVUKUGUHUEZHDUEZFUFZUWNVUIVUJXGVUIUYPV
      UEUYPUJUMZVUCVUGVUEUYPUYOVUDVMXHZXIXJXGUJUMZVUIXKXNXLVUIVULUYTULZHDUEZICV
      UEVULVVACUFVUCVUGVUEUYPXGUHUEZULZHDUEZVULVVACVUEVVCVUKHDVUEUYPXGVUDUYPXMU
      MZUYOUYPXOZXPZVUEXQZXRZXAVUEVVBHDUEZUXEUPZVUAUXEUPZVVDVVACVUEUXLGYEUPUQUM
      ZUIZVUABUMZVVJBUMZVUAVVJCUFZVVKVVLCUFZVUEUXLVVMAUXLUWOVUDPXIZAVVMUWOVUDUA
      XIWRZVUEUXIUYTUJUMZUXKVVOAUXIUWOVUDUXNXIZVUEUYPVURXSZAUXKUWOVUDRXIZBDGUYT
      HKOXTVDZVUEUXIVVBUJUMZUXKVVPVWBVUEUYPXGVURVUSVUEXKXNZYAZVWDBDGVVBHKOXTVDV
      UEJVUAGUUAUPZUEZHVUAVWIUEZVUAVVJCVUEUXLUYCUXKVVOUXRVWJVWKCUFVVSVUEUXIUYCV
      WBUYIUTVWDVWEAUXRUWOVUDTXIBVWICGJHVUAKMVWIVBZUUBUUEVUEUXIVVOVWJVUAUCVWBVW
      EBVWIGVUAJKVWLLUUCWEVUEVVJUGUYTUHUEZHDUEZUXGVUAVWIUEZVWKVUDVVJVWNUCUYOVUD
      VVBVWMHDVUDUYTUGUHUEZVVBVWMVUDVWPUYPUGUGUHUEZUHUEVVBVUDUYPUGUGVVFVUDYBZVW
      RYCVWQXGUYPUHUUFYDUUGVUDUYTUGVUDUYPUGVVFVWRYFVWRUUDUUHXAXPVUEUXIUXJVWAUXK
      VWNVWOUCVWBVUEVAVWCVWDBVWIDGUGUYTHKOVWLUUIUUJVUEUXGHVUAVWIVUEUXKUXPVWDUXQ
      UTXAYGYHVVNVVOVVPYNVVQVVRBCGUXEVUAVVJKMUXOYIVHYJVUEUXIVWFUXKVVDVVKUCVWBVW
      HVWDBDGUXEVVBHKOUXOVCVDVUEUXIVWAUXKVVAVVLUCZVWBVWCVWDBDGUXEUYTHKOUXOVCVDZ
      WQYKXIVUIVVAVVLUYRUXEUPZIVUEVWSVUCVUGVWTXIVUIUYRVUAUXEVUIUYBUYRBUMZVVOVUB
      VUGUYRVUAUCZAUYBUWOVUDVUCVUGUYHYLVUEVXBVUCVUGAVXBUWOVUDAUXIIBUMZVXBUXNSBG
      UXEIKUXOUUKWEZXIZXIVUEVVOVUCVUGVWEXIVUEUYSVUBVUGUUNVUFVUGVMUYBVXBVVOYNVUB
      VUGUIVXCBGFUYRVUAKNUULVHUUMVFAVXAIUCZUWOVUDVUCVUGAUXIVXDVXGUXNSBGUXEIKUXO
      UUOWEZYLUUPZVNVUIIVVAVUOFVXIVUEVVAVUOFUFVUCVUGVUEVUOVVAVUOFVUEVUNVUTHDVUE
      VUTVVBUGWKUEZULVVCUGUHUEVUNVUEUYTVXJVUEVXJUYPXGUGWKUEZUHUEUYTVUEUYPXGUGVV
      GVVHVUEYBZUVCVXKUGUYPUHUUQYDUURUUSVUEVVBUGVUEUYPXGVVGVVHYFVXLUUTVUEVVCVUK
      UGUHVVIXAYGXAVUEUYBVUOBUMZVUOVUOFUFVUEUYDUYBAUYDUWOVUDUYFXIZUYGUTVUEUXIVU
      NUJUMUXKVXMVWBVUEVUKVUEVUJXGVUEUYPVURXJVWGXLXSVWDBDGVUNHKOXTVDBGFVUOKNWDW
      EYKXIVKUWMVUMVUPUIEVUKUJUWGVUKUCZUWIVUMUWLVUPVXOUWHVULICUWGVUKHDWSWTVXOUW
      KVUOIFVXOUWJVUNHDUWGVUKUGUHWSXAXBXCXDYMVUFVUHUIZVUTUJUMVVAICUFZIVUTUGUHUE
      ZHDUEZFUFZUWNVXPUYTVUEVWAVUCVUHVWCXIXJVXPVVLVXAVVAICVXPVVNVXBVVOVUHVVLVXA
      CUFZUYOVUDVUCVUHVVNUYOVUDVUCVUHYNZUIUXLVVMAUXLUWOVYBPXIAVVMUWOVYBUAXIWRUV
      DVUEVXBVUCVUHVXFXIVUEVVOVUCVUHVWEXIVUFVUHVMVVNVXBVVOYNVUHVYABCGUXEUYRVUAK
      MUXOYIVHYJVXPVVAVVLVUEVWSVUCVUHVWTXIYOAVXGUWOVUDVUCVUHVXHYLZYHVXPAIVXSCUF
      ZVXTAUWOVUDVUCVUHUVAVXPVXAUYQUXEUPZIVXSCVUFVXAVYECUFZVUHVUEUYSVYFVUBVUEUY
      SVYFVUEVVNUYQBUMZVXBUYSVYFYPVVTVUEUXIVUQUXKVYGVWBVURVWDBDGUYPHKOXTVDVXFBC
      GUXEUYQUYRKMUXOYIVDVHUVBVLVYCVXPVXSVYEVUEVXSVYEUCVUCVUHVUEVXSVUJHDUEZVYEV
      UDVXSVYHUCUYOVUDVXRVUJHDVUDVXRVUJUWRUHUEZUGUHUEZVUJVUDVUTVYIUGUHVUDVVEUGX
      MUMVUTVYIUCVVFWHUYPUGUVEUVFXAVUDVYJVUJUXAUHUEZVUJWJUHUEZVUJVUDVUJUWRUGVUD
      UYPVVFYQZVUDUGVWRYQVWRYCVYKVYLUCVUDUXAWJVUJUHUYMYDXNVUDVUJVYMUVGUVHVIXAXP
      VUEUXIVUQUXKVYHVYEUCVWBVURVWDBDGUXEUYPHKOUXOVCVDVIXIYOYHAUXLVXDVXSYRUMVYD
      VXTUVIPSAVXRHDUVJUQBYRCGFIVXSNMUVKVDUVLUWMVXQVXTUIEVUTUJUWGVUTUCZUWIVXQUW
      LVXTVYNUWHVVAICUWGVUTHDWSWTVYNUWKVXSIFVYNUWJVXRHDUWGVUTUGUHWSXAXBXCXDYMVU
      EVUGVUHUWEZVUCVUEUYDVVOVXBVYOVXNVWEVXFBCGFVUAUYRKNMUVMVDVLUVNUYOBCDUBFGHU
      YRJKLMNOAUXLUWOPVLAGUVOUMZUWOQVLAUXKUWORVLAVXBUWOVXEVLAUXRUWOTVLAUWOVXAJC
      UFZJUYRCUFZAVYQUWOAVXAIJCVXHWTYSAVYRVYQAUXLVXBVYRVYQYPPVXEBCGUXEUYRJKMUXO
      LVGWEYSUVPYTUVQXFUJUVRAUWPUIZUWMEXFUKUWNUVSVYSBCDEFGHIJKLMNOAUXLUWPPVLAVY
      PUWPQVLAUXKUWPRVLAVXDUWPSVLAUXRUWPTVLAUWPVMYTUWMEXFUJUVTUWAAUYDVXDUYCUWFU
      WOUWPUWBUYFSUYJBCGIJKMUWCVDUWD $.
  $}

  ${
    $d n x y B $.  $d n x y W $.  $d n x y X $.  $d n y Y $.  $d n x y .0. $.
    $d n x y .< $.  $d n x y .x. $.
    archiexdiv.b $e |- B = ( Base ` W ) $.
    archiexdiv.0 $e |- .0. = ( 0g ` W ) $.
    archiexdiv.i $e |- .< = ( lt ` W ) $.
    archiexdiv.x $e |- .x. = ( .g ` W ) $.
    $( In an Archimedean group, given two positive elements, there exists a
       "divisor" ` n ` .  (Contributed by Thierry Arnoux, 30-Jan-2018.) $)
    archiexdiv $p |- ( ( ( W e. oGrp /\ W e. Archi ) /\ ( X e. B /\ Y e. B )
      /\ .0. .< X ) -> E. n e. NN Y .< ( n .x. X ) ) $=
      ( vx vy wcel wbr cv cn wrex wi cogrp carchi wa w3a wral isarchi3 3ad2ant1
      co biimpa simp3 breq2 oveq2 breq2d rexbidv imbi12d imbi2d rspc2v 3ad2ant2
      wceq breq1 mp2d ) EUAOZEUBOZUCZFAOGAOUCZHFBPZUDHMQZBPZNQZDQZVGCUHZBPZDRSZ
      TZNAUEMAUEZVFGVJFCUHZBPZDRSZVDVEVOVFVBVCVOMNABCDEHIJKLUFUIUGVDVEVFUJVEVDV
      OVFVRTZTVFVNVSVFVIVPBPZDRSZTMNFGAAVGFUSZVHVFVMWAVGFHBUKWBVLVTDRWBVKVPVIBV
      GFVJCULUMUNUOVIGUSZWAVRVFWCVTVQDRVIGVPBUTUNUPUQURVA $.
  $}

  ${
    $d a b m n x y z $.  $d m n x y z B $.  $d m n x U $.  $d m n x y z W $.
    $d m n x X $.  $d m n x y z ph $.  $d m n x .x. $.  $d m n x .0. $.
    $d m n x .< $.  $d m x .<_ $.
    archiabllem.b $e |- B = ( Base ` W ) $.
    archiabllem.0 $e |- .0. = ( 0g ` W ) $.
    archiabllem.e $e |- .<_ = ( le ` W ) $.
    archiabllem.t $e |- .< = ( lt ` W ) $.
    archiabllem.m $e |- .x. = ( .g ` W ) $.
    archiabllem.g $e |- ( ph -> W e. oGrp ) $.
    archiabllem.a $e |- ( ph -> W e. Archi ) $.
    ${
      archiabllem1.u $e |- ( ph -> U e. B ) $.
      archiabllem1.p $e |- ( ph -> .0. .< U ) $.
      archiabllem1.s $e |- ( ( ph /\ x e. B /\ .0. .< x ) -> U .<_ x ) $.
      ${
        archiabllem1a.x $e |- ( ph -> X e. B ) $.
        archiabllem1a.c $e |- ( ph -> .0. .< X ) $.
        $( Lemma for ~ archiabl :  In case an archimedean group ` W ` admits a
           smallest positive element ` U ` , then any positive element ` X ` of
           ` W ` can be written as ` ( n .x. U ) ` with ` n e. NN ` .  Since
           the reciprocal holds for negative elements, ` W ` is then isomorphic
           to ` ZZ ` .  (Contributed by Thierry Arnoux, 12-Apr-2018.) $)
        archiabllem1a $p |- ( ph -> E. n e. NN X = ( n .x. U ) ) $=
          ( vm cv co wbr c1 caddc wceq wrex cn0 wcel simplr nn0p1nn syl csg cfv
          wa cn cplusg ad2antrr mulg1 oveq1d cgrp cogrp ogrpgrp 1zzd nn0zd eqid
          cz mulgdir syl13anc cpo comnd ctos isogrp simprbi omndtos tospos 3syl
          mulgcl syl3anc grpsubcl peano2zd simprr ogrpsub syl131anc cmin nn0cnd
          1cnd pncan2d mulgsubdir 3eqtr3d breqtrd wral 3expia ralrimiva syl2anc
          grpsubid simprl ogrpsublt eqbrtrrd breq2 imbi12d rspcv syl3c posasymb
          w3a biimpa syl32anc 3eqtr4rd grpnpcan addcomd oveq1 rspceeqv archirng
          wi r19.29a ) AUDUEZFEUFZJDUGZJXTUHUIUFZFEUFZHUGZUSZJGUEZFEUFZUJGUTUKZ
          UDULAXTULUMZUSZYFUSZYCUTUMZJYDUJYIYLYJYMAYJYFUNZXTUOUPYLJYAIUQURZUFZY
          AIVAURZUFZUHXTUIUFZFEUFZJYDYLUHFEUFZYAYQUFZFYAYQUFYTYRYLUUAFYAYQYLFCU
          MZUUAFUJAUUCYJYFSVBZCEIFLPVCUPZVDYLIVEUMZUHVKUMXTVKUMZUUCYTUUBUJYLIVF
          UMZUUFAUUHYJYFQVBZIVGUPZYLVHYLXTYNVIZUUDCYQEIUHXTFLPYQVJZVLVMYLYPFYAY
          QYLIVNUMZYPCUMZUUCYPFHUGZFYPHUGZYPFUJZYLUUHUUMUUIUUHIVOUMZIVPUMUUMUUH
          UUFUURIVQVRIVSIVTWAUPYLUUFJCUMZYACUMZUUNUUJAUUSYJYFUBVBZYLUUFUUGUUCUU
          TUUJUUKUUDCEIXTFLPWBWCZCIYOJYALYOVJZWDWCZUUDYLYPYDYAYOUFZFHYLUUHUUSYD
          CUMZUUTYEYPUVEHUGUUIUVAYLUUFYCVKUMZUUCUVFUUJYLXTUUKWEZUUDCEIYCFLPWBWC
          UVBYKYBYEWFCIHYOJYDYALNUVCWGWHYLYCXTWIUFZFEUFZUUAUVEFYLUVIUHFEYLXTUHY
          LXTYNWJZYLWKZWLVDYLUUFUVGUUGUUCUVJUVEUJUUJUVHUUKUUDCEIYCYOXTFLPUVCWMV
          MUUEWNWOYLUUNKBUEZDUGZFUVMHUGZXRZBCWPZKYPDUGZUUPUVDAUVQYJYFAUVPBCAUVM
          CUMUVNUVOUAWQWRVBYLYAYAYOUFZKYPDYLUUFUUTUVSKUJUUJUVBCIYOYAKLMUVCWTWSY
          LUUHUUTUUSUUTYBUVSYPDUGUUIUVBUVAUVBYKYBYEXACDIYOYAJYALOUVCXBWHXCUVPUV
          RUUPXRBYPCUVMYPUJUVNUVRUVOUUPUVMYPKDXDUVMYPFHXDXEXFXGUUMUUNUUCXIUUOUU
          PUSUUQCIHYPFLNXHXJXKVDXLYLUUFUUSUUTYRJUJUUJUVAUVBCYQIYOJYALUULUVCXMWC
          YLYSYCFEYLUHXTUVLUVKXNVDWNGYCUTYHYDJYGYCFEXOXPWSACDEUDHIFJKLMONPQRSUB
          TUCXQXS $.
      $}

      $( Lemma for ~ archiabl .  (Contributed by Thierry Arnoux,
         13-Apr-2018.) $)
      archiabllem1b $p |- ( ( ph /\ y e. B ) -> E. n e. ZZ y = ( n .x. U ) ) $=
        ( vm cv wcel wa wceq co cz wrex wbr cc0 0zd simpr mulg0 ad2antrr eqtr4d
        syl oveq1 rspceeqv syl2anc w3a cminusg cfv cn cneg simplr nnzd 3ad2ant1
        znegcld eqid mulgnegnn fveq2d cgrp cogrp ogrpgrp simp2 grpinvinv carchi
        3eqtr2rd simp1 syl3an1 cplusg grpidcl simp3 ogrpaddlt syl131anc grprinv
        grpinvcl grplid 3brtr3d archiabllem1a 3expa wss nnssz ssrexv mpsyl ctos
        r19.29a comnd isogrp simprbi omndtos 3syl adantr tlt3 syl3anc mpjao3dan
        w3o ) ACUCZDUDZUEZXIKUFZXIHUCZGFUGZUFZHUHUIZXIKEUJZKXIEUJZXKXLUEZUKUHUD
        XIUKGFUGZUFXPXSULXSXIKXTXKXLUMAXTKUFZXJXLAGDUDZYASDFJGKLMPUNUQUOUPHUKUH
        XNXTXIXMUKGFURUSUTAXJXQXPAXJXQVAZXIJVBVCZVCZUBUCZGFUGZUFZXPUBVDYCYFVDUD
        ZUEZYHUEZYFVEZUHUDXIYLGFUGZUFXPYKYFYKYFYCYIYHVFZVGVIYKYMYGYDVCZYEYDVCZX
        IYKYIYBYMYOUFYNYCYBYIYHAXJYBXQSVHZUODFJYDYFGLPYDVJZVKUTYKYEYGYDYJYHUMVL
        YCYPXIUFZYIYHYCJVMUDZXJYSYCJVNUDZYTAXJUUAXQQVHZJVOZUQZAXJXQVPZDJYDXILYR
        VQUTUOVSHYLUHXNYMXIXMYLGFURUSUTYCBDEFGUBIJYEKLMNOPUUBAXJJVRUDZXQRVHYQAX
        JKGEUJZXQTVHYCABUCZDUDZKUUHEUJZGUUHIUJZAXJXQVTUAWAYCYTXJYEDUDZUUDUUEDJY
        DXILYRWHUTZYCXIYEJWBVCZUGZKYEUUNUGZKYEEYCUUAXJKDUDZUULXQUUOUUPEUJUUBUUE
        YCYTUUQUUDDJKLMWCZUQUUMAXJXQWDDUUNEJXIKYELOUUNVJZWEWFYCYTXJUUOKUFUUDUUE
        DUUNJYDXIKLUUSMYRWGUTYCYTUULUUPYEUFUUDUUMDUUNJYEKLUUSMWIUTWJWKWRWLVDUHW
        MXKXRUEXOHVDUIZXPWNAXJXRUUTAXJXRVAZBDEFGHIJXIKLMNOPAXJUUAXRQVHAXJUUFXRR
        VHAXJYBXRSVHAXJUUGXRTVHUVAAUUIUUJUUKAXJXRVTUAWAAXJXRVPAXJXRWDWKWLXOHVDU
        HWOWPXKJWQUDZXJUUQXLXQXRXHAUVBXJAUUAJWSUDZUVBQUUAYTUVCJWTXAJXBXCXDAXJUM
        AUUQXJAUUAYTUUQQUUCUURXCXDDEJXIKLOXEXFXG $.

      $( Archimedean ordered groups with a minimal positive value are abelian.
         (Contributed by Thierry Arnoux, 13-Apr-2018.) $)
      archiabllem1 $p |- ( ph -> W e. Abel ) $=
        ( co vy vz vm vn cgrp wcel cv cplusg cfv wceq wral cogrp ogrpgrp syl wa
        cabl cz caddc simplr zcnd addcomd oveq1d ad2antrr eqid mulgdir syl13anc
        3eqtr3d adantllr adantlr adantr simpllr oveq12d 3eqtr4d simplll simpr1r
        wrex 3anassrs archiabllem1b syl2anc r19.29a adantrr ralrimivva sylanbrc
        simpr isabl2 ) AHUEUFZUAUGZUBUGZHUHUIZTZWHWGWITZUJZUBCUKUACUKHUPUFAHULU
        FWFOHUMUNZAWLUAUBCCAWGCUFZWHCUFZUOZUOZWGUCUGZFETZUJZWLUCUQWQWRUQUFZUOZW
        TUOZWHUDUGZFETZUJZWLUDUQXCXDUQUFZUOZXFUOZWSXEWITZXEWSWITZWJWKXHXJXKUJZX
        FXBXGXLWTAXAXGXLWPAXAUOZXGUOZWRXDURTZFETZXDWRURTZFETZXJXKXNXOXQFEXNWRXD
        XNWRAXAXGUSZUTXNXDXMXGWDZUTVAVBXNWFXAXGFCUFZXPXJUJAWFXAXGWMVCZXSXTAYAXA
        XGQVCZCWIEHWRXDFJNWIVDZVEVFXNWFXGXAYAXRXKUJYBXTXSYCCWIEHXDWRFJNYDVEVFVG
        VHVIVJXIWGWSWHXEWIXBWTXGXFVKZXHXFWDZVLXIWHXEWGWSWIYFYEVLVMXCAWOXFUDUQVP
        AWPXAWTVNAWPXAWTWOWNWOXAWTAVOVQABUBCDEFUDGHIJKLMNOPQRSVRVSVTAWNWTUCUQVP
        WOABUACDEFUCGHIJKLMNOPQRSVRWAVTWBUAUBCWIHJYDWEWC $.
    $}

    ${
      $d m n t $.  $d a b c t B $.  $d a b c t W $.  $d a b c t X $.
      $d a b m n t Y $.  $d a b t ph $.  $d a b c t m n .+ $.
      $d a b c t m n .<_ $.  $d a b c t m n .< $.  $d a b c t .0. $.
      archiabllem2.1 $e |- .+ = ( +g ` W ) $.
      archiabllem2.2 $e |- ( ph -> ( oppG ` W ) e. oGrp ) $.
      archiabllem2.3 $e |- ( ( ph /\ a e. B /\ .0. .< a )
                                       -> E. b e. B ( .0. .< b /\ b .< a ) ) $.
      ${
        archiabllem2a.4 $e |- ( ph -> X e. B ) $.
        archiabllem2a.5 $e |- ( ph -> .0. .< X ) $.
        $( Lemma for ~ archiabl , which requires the group to be both left- and
           right-ordered.  (Contributed by Thierry Arnoux, 13-Apr-2018.) $)
        archiabllem2a $p |- ( ph
          -> E. c e. B ( .0. .< c /\ ( c .+ c ) .<_ X ) ) $=
          ( cv wbr wa wrex wcel simpllr simplrl simpr wceq breq2 oveq12d breq1d
          co id anbi12d rspcev syl12anc csg cfv cgrp cogrp simplll ogrpgrp 3syl
          syl eqid grpsubcl syl3anc grpsubid syl2anc simplrr ogrpsublt eqbrtrrd
          syl131anc coppg grpcl grpaddsubass syl13anc oveq2d grprid ogrpaddltrd
          3eqtrd breqtrd grpnpcan cvv wi ovexd pltle mpd ctos wo comnd ad2antrr
          isogrp simprbi omndtos simplr tlt2 mpjaodan ralrimiva rexbidv imbi12d
          wral 3expia anbi2d rspcv syl3c r19.29a ) AIKUEZDUFZXMHDUFZUGZILUEZDUF
          ZXQXQCUQZHFUFZUGZLBUHZKBAXMBUIZUGZXPUGZXMXMCUQZHFUFZYBHYFDUFZYEYGUGYC
          XNYGYBAYCXPYGUJYDXNXOYGUKYEYGULYAXNYGUGLXMBXQXMUMZXRXNXTYGXQXMIDUNYIX
          SYFHFYIXQXMXQXMCYIURZYJUOUPUSUTVAYEYHUGZHXMGVBVCZUQZBUIZIYMDUFZYMYMCU
          QZHFUFZYBYKGVDUIZHBUIZYCYNYKAGVEUIZYRAYCXPYHVFZRGVGZVHZYKAYSUUAUCVIZA
          YCXPYHUJZBGYLHXMMYLVJZVKVLZYKXMXMYLUQZIYMDYKYRYCUUHIUMUUCUUEBGYLXMIMN
          UUFVMVNZYKYTYCYSYCXOUUHYMDUFYKAYTUUARVIZUUEUUDUUEYDXNXOYHVOBDGYLXMHXM
          MPUUFVPVRVQYKYPHDUFZYQYKYPYMXMCUQZHDYKBCDGVDYMXMYMMPTUUCYKAGVSVCVEUIU
          UAUAVIUUGUUEUUGYKYMYFXMYLUQZXMDYKYTYSYFBUIZYCYHYMUUMDUFUUJUUDYKYRYCYC
          UUNUUCUUEUUEBCGXMXMMTVTZVLUUEYEYHULBDGYLHYFXMMPUUFVPVRYKUUMXMUUHCUQZX
          MICUQZXMYKYRYCYCYCUUMUUPUMUUCUUEUUEUUEBCGYLXMXMXMMTUUFWAWBYKUUHIXMCUU
          IWCYKYRYCUUQXMUMUUCUUEBCGXMIMTNWDVNWFWGWEYKYRYSYCUULHUMUUCUUDUUEBCGYL
          HXMMTUUFWHVLWGYKYRYPWIUIYSUUKYQWJUUCYKYMYMCWKUUDVDWIBDGFYPHOPWLVLWMYA
          YOYQUGLYMBXQYMUMZXRYOXTYQXQYMIDUNUURXSYPHFUURXQYMXQYMCUURURZUUSUOUPUS
          UTVAYEGWNUIZUUNYSYGYHWOYEYTGWPUIZUUTAYTYCXPRWQZYTYRUVAGWRWSGWTVHYEYRY
          CYCUUNYEYTYRUVBUUBVIAYCXPXAZUVCUUOVLAYSYCXPUCWQBDGFYFHMOPXBVLXCAYSIJU
          EZDUFZXNXMUVDDUFZUGZKBUHZWJZJBXGIHDUFZXPKBUHZUCAUVIJBAUVDBUIUVEUVHUBX
          HXDUDUVIUVJUVKWJJHBUVDHUMZUVEUVJUVHUVKUVDHIDUNUVLUVGXPKBUVLUVFXOXNUVD
          HXMDUNXIXEXFXJXKXL $.
      $}

      ${
        archiabllem2b.4 $e |- ( ph -> X e. B ) $.
        archiabllem2b.5 $e |- ( ph -> Y e. B ) $.
        $( Lemma for ~ archiabl .  (Contributed by Thierry Arnoux,
           1-May-2018.) $)
        archiabllem2c $p |- ( ph -> -. ( X .+ Y ) .< ( Y .+ X ) ) $=
          ( vt vn vm co wbr wa cv csg cfv wfal wcel simprr wn w3a c1 caddc cneg
          cminusg cogrp simpl1l syl simpl1r cgrp adantr ogrpgrp syl3anc syl2anc
          grpcl 3syl simpr2 peano2zd simp2 mulgcl simpr1 3ad2ant1 comnd simprbi
          cz isogrp simpr3 simprd simpld omndadd2rd eqid ogrpsub syl131anc zcnd
          coppg c2 1cnd add4d wceq 1p1e2 oveq2i addcom oveq1d syl5eq 2cnd simpr
          cc simpl addcld addcomd eqtr4d eqtr3d 2z a1i zaddcld mulgdir syl13anc
          eqtrd 3eqtr3d breqtrd eqeltrrd grpsubval grpinvcl znegcld ogrpaddltrd
          mulg2 ogrpaddlt cpo wi omndtos tospos plttr mp2and eqbrtrd wb eqeltrd
          ctos ogrpinvlt syl211anc mpbid cc0 wrex archirngz grpass negidd mulg0
          mulgneg breqtrrd grpsubcl plelttr oveq2d grprid 3eqtrd 3anassrs simp3
          carchi reeanv sylanbrc r19.29vva adantrr pm2.21fal 3adant1r ogrpsublt
          tltnle 3expa grpsubid eqbrtrrd archiabllem2a r19.29a inegd ) AHICUHZI
          HCUHZDUIZAUVJUJZJUEUKZDUIZUVLUVLCUHZUVIUVHGULUMZUHZFUIZUJZUNUEBUVKUVL
          BUOZUJZUVRUJUVQUVTUVMUVQUPUVTUVMUVQUQZUVQUVKUVSUVMUWAUVKUVSUVMURZUVPU
          VNDUIZUWAUWBUFUKZUVLEUHZHDUIZHUWDUSUTUHZUVLEUHZFUIZUJZUGUKZUVLEUHZIDU
          IZIUWKUSUTUHZUVLEUHZFUIZUJZUJZUWCUFUGWBWBUWBUWDWBUOZUWKWBUOZUWRUWCUWB
          UWSUWTUWRURZUJZUVPUVNUWDUWKUTUHZUVLEUHZCUHZUXCVAZUVLEUHZCUHZUVNDUXBUV
          PUXEUVHGVBUMZUMZCUHZFUIZUXKUXHDUIZUVPUXHDUIZUXBUVPUXEUVHUVOUHZUXKFUXB
          UVPUWOUWHCUHZUVHUVOUHZUXOFUXBGVCUOZUVIBUOZUXPBUOZUVHBUOZUVIUXPFUIUVPU
          XQFUIUXBAUXRAUVJUVSUVMUXAVDZRVEZUXBAUVJUXSUYBAUVJUVSUVMUXAVFUVKGVGUOZ
          IBUOZHBUOZUXSUVKUXRUYDAUXRUVJRVHZGVIZVEZAUYEUVJUDVHZAUYFUVJUCVHZBCGIH
          MTVLVJZVKZUXBUYDUWOBUOZUWHBUOZUXTUXBAUXRUYDUYBRUYHVMZUXBUYDUWNWBUOZUV
          SUYNUYPUXBUWKUWBUWSUWTUWRVNZVOZUWBUVSUXAUVKUVSUVMVPZVHZBEGUWNUVLMQVQV
          JZUXBUYDUWGWBUOZUVSUYOUYPUXBUWDUWBUWSUWTUWRVRZVOZVUABEGUWGUVLMQVQVJZB
          CGUWOUWHMTVLVJZUXBUYDUYFUYEUYAUYPUWBUYFUXAUVKUVSUYFUVMUYKVSZVHZUWBUYE
          UXAUVKUVSUYEUVMUYJVSZVHZBCGHIMTVLZVJZUXBBCFGUWHIHUWOMOTUXBAUXRGVTUOZU
          YBRUXRUYDVUNGWCWAZVMZVUFVUKVUIVUBUXBUWMUWPUXBUWJUWQUWBUWSUWTUWRWDZWEZ
          WEUXBUWFUWIUXBUWJUWQVUQWFZWEUXBAGWLUMZVCUOZVUTVTUOZUYBUAVVAVUTVGUOVVB
          VUTWCWAVMWGBGFUVOUVIUXPUVHMOUVOWHZWIWJUXBUXPUXEUVHUVOUXBUWNUWGUTUHZUV
          LEUHZWMUVLEUHZUXDCUHZUXPUXEUXBVVEWMUXCUTUHZUVLEUHZVVGUXBVVDVVHUVLEUXB
          UWKUWDUTUHZUSUSUTUHZUTUHZVVDVVHUXBUWKUWDUSUSUXBUWKUYRWKZUXBUWDVUDWKZU
          XBWNZVVOWOUXBUWKXDUOZUWDXDUOZVVLVVHWPVVMVVNVVPVVQUJZVVLUXCWMUTUHZVVHV
          VRVVLVVJWMUTUHVVSVVKWMVVJUTWQWRVVRVVJUXCWMUTUWKUWDWSWTXAVVRWMUXCVVRXB
          VVRUWDUWKVVPVVQXCVVPVVQXEXFXGXHVKXIWTUXBUYDWMWBUOZUXCWBUOZUVSVVIVVGWP
          UYPVVTUXBXJXKUXBUWDUWKVUDUYRXLZVUABCEGWMUXCUVLMQTXMXNXOUXBUYDUYQVUCUV
          SVVEUXPWPUYPUYSVUEVUABCEGUWNUWGUVLMQTXMXNUXBVVFUVNUXDCUXBUVSVVFUVNWPV
          UABCEGUVLMQTYCVEWTXPZWTXQUXBUXEBUOZUYAUXOUXKWPUXBUXPUXEBVWCVUGXRZVUMB
          CGUXIUVOUXEUVHMTUXIWHZVVCXSVKXQUXBBCDGVCUXJUXGUXEMPTUYCUXBAVVAUYBUAVE
          ZUXBUYDUYAUXJBUOZUYPVUMBGUXIUVHMVWFXTVKZUXBUYDUXFWBUOZUVSUXGBUOZUYPUX
          BUXCVWBYAZVUABEGUXFUVLMQVQVJZVWEUXBUXJUXDUXIUMZUXGDUXBUXDUVHDUIZUXJVW
          NDUIZUXBUXDUWEUWLCUHZUVHDUXBUYDUWSUWTUVSUXDVWQWPUYPVUDUYRVUABCEGUWDUW
          KUVLMQTXMXNZUXBVWQHUWLCUHZDUIZVWSUVHDUIZVWQUVHDUIZUXBUXRUWEBUOZUYFUWL
          BUOZUWFVWTUYCUXBUYDUWSUVSVXCUYPVUDVUABEGUWDUVLMQVQVJZVUIUXBUYDUWTUVSV
          XDUYPUYRVUABEGUWKUVLMQVQVJZUXBUWFUWIVUSWFBCDGUWEHUWLMPTYDWJUXBBCDGVCU
          WLIHMPTUYCVWGVXFVUKVUIUXBUWMUWPVURWFYBUXBGYEUOZVWQBUOZVWSBUOZUYAVWTVX
          AUJVXBYFUXBVUNGYNUOZVXGVUPGYGZGYHVMZUXBUYDVXCVXDVXHUYPVXEVXFBCGUWEUWL
          MTVLVJZUXBUYDUYFVXDVXIUYPVUIVXFBCGHUWLMTVLVJVUMBDGVWQVWSUVHMPYIXNYJYK
          UXBUXRVVAUXDBUOZUYAVWOVWPYLUYCVWGUXBUXDVWQBVWRVXMYMZVUMBDGUXIUXDUVHMP
          VWFYOYPYQUXBUYDVWAUVSUXGVWNWPUYPVWBVUABEGUXIUXCUVLMQVWFUUDVJUUEYBUXBV
          XGUVPBUOZUXKBUOZUXHBUOZUXLUXMUJUXNYFVXLUXBUYDUXSUYAVXPUYPUYMVUMBGUVOU
          VIUVHMVVCUUFZVJUXBUYDVWDVWHVXQUYPVWEVWIBCGUXEUXJMTVLVJUXBUYDVWDVWKVXR
          UYPVWEVWMBCGUXEUXGMTVLVJBDGFUVPUXKUXHMOPUUGXNYJUXBUXHUVNUXDUXGCUHZCUH
          ZUVNJCUHZUVNUXBUYDUVNBUOZVXNVWKUXHVYAWPUYPUXBUYDUVSUVSVYCUYPVUAVUABCG
          UVLUVLMTVLZVJZVXOVWMBCGUVNUXDUXGMTUUAXNUXBVXTJUVNCUXBUXCUXFUTUHZUVLEU
          HZYRUVLEUHZVXTJUXBVYFYRUVLEUXBUXCUXBUWDUWKVVNVVMXFUUBWTUXBUYDVWAVWJUV
          SVYGVXTWPUYPVWBVWLVUABCEGUXCUXFUVLMQTXMXNUXBUVSVYHJWPVUABEGUVLJMNQUUC
          VEXPUUHUXBUYDVYCVYBUVNWPUYPVYEBCGUVNJMTNUUIVKUUJXQUUKUWBUWJUFWBYSUWQU
          GWBYSUWRUGWBYSUFWBYSUWBBDEUFFGUVLHJMNPOQUVKUVSUXRUVMUYGVSZUVKUVSGUUMU
          OZUVMAVYJUVJSVHZVSZUYTVUHUVKUVSUVMUULZUVKUVSVVAUVMAVVAUVJUAVHZVSZYTUW
          BBDEUGFGUVLIJMNPOQVYIVYLUYTVUJVYMVYOYTUWJUWQUFUGWBWBUUNUUOUUPUWBVXJVX
          PVYCUWCUWAYLUWBUXRVUNVXJVYIVUOVXKVMUVKUVSVXPUVMUVKUYDUXSUYAVXPUYIUYLU
          VKUYDUYFUYEUYAUYIUYKUYJVULVJZVXSVJZVSUWBUYDUVSUVSVYCUWBUXRUYDVYIUYHVE
          UYTUYTVYDVJBDGFUVPUVNMOPUVAVJYQUVBUUQUURUVKBCDEFGUVPJKLUEMNOPQUYGVYKT
          VYNAKUKZBUOJVYRDUIJLUKZDUIVYSVYRDUIUJLBYSUVJUBUUSVYQUVKUVHUVHUVOUHZJU
          VPDUVKUYDUYAVYTJWPUYIVYPBGUVOUVHJMNVVCUVCVKUVKUXRUYAUXSUYAUVJVYTUVPDU
          IUYGVYPUYLVYPAUVJXCBDGUVOUVHUVIUVHMPVVCUUTWJUVDUVEUVFUVG $.

        $( Lemma for ~ archiabl .  (Contributed by Thierry Arnoux,
           1-May-2018.) $)
        archiabllem2b $p |- ( ph -> ( X .+ Y ) = ( Y .+ X ) ) $=
          ( co wceq wbr archiabllem2c ctos wcel cogrp comnd cgrp isogrp simprbi
          w3o omndtos 3syl ogrpgrp syl grpcl syl3anc tlt3 ecase23d ) AHICUEZIHC
          UEZUFZVEVFDUGZVFVEDUGZABCDEFGHIJKLMNOPQRSTUAUBUCUDUHABCDEFGIHJKLMNOPQ
          RSTUAUBUDUCUHAGUIUJZVEBUJZVFBUJZVGVHVIUPAGUKUJZGULUJZVJRVMGUMUJZVNGUN
          UOGUQURAVOHBUJZIBUJZVKAVMVORGUSUTZUCUDBCGHIMTVAVBAVOVQVPVLVRUDUCBCGIH
          MTVAVBBDGVEVFMPVCVBVD $.
      $}

      $( Archimedean ordered groups with no minimal positive value are abelian.
         (Contributed by Thierry Arnoux, 1-May-2018.) $)
      archiabllem2 $p |- ( ph -> W e. Abel ) $=
        ( vx vy cgrp wcel cv co wceq wral cogrp ogrpgrp syl w3a 3ad2ant1 carchi
        cabl coppg cfv wbr wa wrex simp1 syl3an1 simp2 archiabllem2b ralrimivva
        simp3 3expb isabl2 sylanbrc ) AGUCUDZUAUEZUBUEZCUFVLVKCUFUGZUBBUHUABUHG
        UOUDAGUIUDZVJPGUJUKAVMUAUBBBAVKBUDZVLBUDZVMAVOVPULZBCDEFGVKVLHIJKLMNOAV
        OVNVPPUMAVOGUNUDVPQUMRAVOGUPUQUIUDVPSUMVQAIUEZBUDHVRDURHJUEZDURVSVRDURU
        SJBUTAVOVPVATVBAVOVPVCAVOVPVFVDVGVEUAUBBCGKRVHVI $.
    $}
  $}

  ${
    $d u v x y W $.
    $( Archimedean left- and right- ordered groups are Abelian.  (Contributed
       by Thierry Arnoux, 1-May-2018.) $)
    archiabl $p |- ( ( W e. oGrp /\ ( oppG ` W ) e. oGrp /\ W e. Archi )
      -> W e. Abel ) $=
      ( vu vx vv vy cogrp wcel cfv w3a cv wi wral wa wrex eqid simp2 wceq breq2
      wbr wn coppg carchi c0g cplt cple cbs cabl simpll1 simpll3 simplr simp1rr
      simprl simp3 imbi12d rspcv syl3c archiabllem1 adantllr simpr breq1 imbi2d
      ralbidv anbi12d cbvrexvw sylib r19.29a cplusg simpl1 simpl3 simpl2 ralnex
      sylibr rexanali imbi2i imnan bitri ralbii notbid anbi2d cbvralvw r19.21bi
      cmg rexbidv syl6ib 3impia ctos wb comnd simp1l1 cgrp simprbi omndtos 3syl
      isogrp tltnle bicomd 3com23 3expa rexbidva syl2anc archiabllem2 pm2.61dan
      mpbid ) AFGZAUAHFGZAUBGZIZAUCHZBJZAUDHZSZXHCJZXJSZXIXLAUEHZSZKZCAUFHZLZMZ
      BXQNZAUGGZXGXTMZXHDJZXJSZXMYCXLXNSZKZCXQLZMZYADXQXGYCXQGZYHYAXTXGYIMZYHMZ
      EXQXJAWBHZYCXNAXHXQOZXHOZXNOZXJOZYLOZXDXEXFYIYHUHXDXEXFYIYHUIXGYIYHUJYJYD
      YGULYKEJZXQGZXHYRXJSZIYSYGYTYCYRXNSZYKYSYTPYDYGYJYSYTUKYKYSYTUMYFYTUUAKCY
      RXQXLYRQZXMYTYEUUAXLYRXHXJRZXLYRYCXNRZUNUOUPUQURYBXTYHDXQNXGXTUSXSYHBDXQX
      IYCQZXKYDXRYGXIYCXHXJRZUUEXPYFCXQUUEXOYEXMXIYCXLXNUTZVAVBVCVDVEVFXGXTTZMZ
      XQAVGHZXJYLXNAXHDEYMYNYOYPYQXDXEXFUUHVHXDXEXFUUHVIUUJOXDXEXFUUHVJUUIYIYDI
      ZYTUUATZMZEXQNZYTYRYCXJSZMZEXQNZUUIYIYDUUNUUIYIMYDXMYETZMZCXQNZUUNUUIYDUU
      TKZDXQUUIXKXMXOTZMZCXQNZKZBXQLZUVADXQLUUIXSTZBXQLZUVFUUIUUHUVHXGUUHUSXSBX
      QVKVLUVEUVGBXQUVEXKXRTZKUVGUVDUVIXKXMXOCXQVMVNXKXRVOVPVQVLUVEUVABDXQUUEXK
      YDUVDUUTUUFUUEUVCUUSCXQUUEUVBUURXMUUEXOYEUUGVRVSWCUNVTVEWAUUSUUMCEXQUUBXM
      YTUURUULUUCUUBYEUUAUUDVRVCVDWDWEUUKAWFGZYIUUNUUQWGUUKXDAWHGZUVJXDXEXFUUHY
      IYDWIXDAWJGUVKAWNWKAWLWMUUIYIYDPUVJYIMZUUMUUPEXQUVLYSMUULUUOYTUVJYIYSUULU
      UOWGZUVJYSYIUVMUVJYSYIIUUOUULXQXJAXNYRYCYMYOYPWOWPWQWRVSWSWTXCXAXB $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Semiring left modules
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c SLMod $.

  $( Extend class notation with class of all semimodules. $)
  cslmd $a class SLMod $.

  ${
    $d a f g k p q r s t v w x $.
    $( Define the class of all (left) modules over semirings, i.e. semimodules,
       which are generalizations of left modules.  A semimodule is a
       commutative monoid (=vectors) together with a semiring (=scalars) and a
       left scalar product connecting them. ` ( 0 [,] +oo ) ` for example is
       not a full fledged left module, but is a semimodule.  Definition of
       [Golan] p. 149.  (Contributed by Thierry Arnoux, 21-Mar-2018.) $)
    df-slmd $a |- SLMod = { g e. CMnd | [. ( Base ` g ) / v ].
      [. ( +g ` g ) / a ]. [. ( .s ` g ) / s ]. [. ( Scalar ` g ) / f ].
      [. ( Base ` f ) / k ]. [. ( +g ` f ) / p ]. [. ( .r ` f ) / t ].
      ( f e. SRing /\ A. q e. k A. r e. k A. x e. v A. w e. v
                ( ( ( r s w ) e. v
                 /\ ( r s ( w a x ) ) = ( ( r s w ) a ( r s x ) )
                 /\ ( ( q p r ) s w ) = ( ( q s w ) a ( r s w ) )
               ) /\ ( ( ( q t r ) s w ) = ( q s ( r s w ) )
                 /\ ( ( 1r ` f ) s w ) = w
                 /\ ( ( 0g ` f ) s w ) = ( 0g ` g ) ) ) ) } $.
  $}

  ${
    $d a f g k p q r s t v w x .X. $.  $d a f g k p q r s v w x .+ $.
    $d a f g k p q r s v w x .+^ $.  $d a f g k p q r s v w x .1. $.
    $d a f g k p q r s v w x .x. $.  $d a f g k p q r s t v w x F $.
    $d a f g k p q r s v w x K $.  $d a f g k p q r s v w x V $.
    $d a f g q r s v w x W $.  $d g q r w x .0. $.  $d g q r w x O $.
    $d q r w x Q $.  $d r w x R $.  $d w x X $.  $d w Y $.
    isslmd.v $e |- V = ( Base ` W ) $.
    isslmd.a $e |- .+ = ( +g ` W ) $.
    isslmd.s $e |- .x. = ( .s ` W ) $.
    isslmd.0 $e |- .0. = ( 0g ` W ) $.
    isslmd.f $e |- F = ( Scalar ` W ) $.
    isslmd.k $e |- K = ( Base ` F ) $.
    isslmd.p $e |- .+^ = ( +g ` F ) $.
    isslmd.t $e |- .X. = ( .r ` F ) $.
    isslmd.u $e |- .1. = ( 1r ` F ) $.
    isslmd.o $e |- O = ( 0g ` F ) $.
    $( The predicate "is a semimodule".  (Contributed by NM, 4-Nov-2013.)
       (Revised by Mario Carneiro, 19-Jun-2014.)  (Revised by Thierry Arnoux,
       1-Apr-2018.) $)
    isslmd $p |- ( W e. SLMod <->
      ( W e. CMnd /\ F e. SRing /\ A. q e. K A. r e. K A. x e. V A. w e. V
                ( ( ( r .x. w ) e. V
                 /\ ( r .x. ( w .+ x ) ) = ( ( r .x. w ) .+ ( r .x. x ) )
                 /\ ( ( q .+^ r ) .x. w ) = ( ( q .x. w ) .+ ( r .x. w ) )
               ) /\ ( ( ( q .X. r ) .x. w ) = ( q .x. ( r .x. w ) )
                 /\ ( .1. .x. w ) = w
                 /\ ( O .x. w ) = .0. ) ) ) ) $=
      ( vf vs vv va vp vt vg vk cslmd wcel ccmn csrg cv co wceq w3a wa wral cur
      cfv c0g cmulr wsbc cplusg csca cvsca fvex simp1 simp2 oveqd oveq1d eqeq1d
      cbs 3anbi3d simp3 3anbi1d anbi12d 2ralbidv raleqbidv anbi2d sbc3ie eleq1d
      simpr fveq2d simpl oveq12d eqeq12d eqidd oveq123d 3anbi123d syl5bb sbc2ie
      eleq2d oveq2d eqeq2d anbi1d eqtr4di eleq12d df-slmd elrab2 3anass bitr4i
      fveq2 ) LUNUOLUPUOZHUQUOZNURZBURZEUSZKUOZXKXLAURZCUSZEUSZXMXKXOEUSZCUSZUT
      ZOURZXKDUSZXLEUSZYAXLEUSZXMCUSZUTZVAZYAXKFUSZXLEUSZYAXMEUSZUTZGXLEUSZXLUT
      ZJXLEUSZMUTZVAZVBZBKVCZAKVCZNIVCZOIVCZVBZVBXIXJUUAVAUFURZUQUOZXKXLUGURZUS
      ZUHURZUOZXKXLXOUIURZUSZUUEUSZUUFXKXOUUEUSZUUIUSZUTZYAXKUJURZUSZXLUUEUSZYA
      XLUUEUSZUUFUUIUSZUTZVAZYAXKUKURZUSZXLUUEUSZYAUUFUUEUSZUTZUUCVDVEZXLUUEUSZ
      XLUTZUUCVFVEZXLUUEUSZULURZVFVEZUTZVAZVBZBUUGVCAUUGVCZNUMURZVCZOUVRVCZVBZU
      KUUCVGVEZVHUJUUCVIVEZVHUMUUCVRVEZVHZUFUVLVJVEZVHUGUVLVKVEZVHZUIUVLVIVEZVH
      UHUVLVRVEZVHZUUBULLUPUNUWKUWFUQUOZXKXLUWGUSZUWJUOZXKXLXOUWIUSZUWGUSZUWMXK
      XOUWGUSZUWIUSZUTZYAXKUWFVIVEZUSZXLUWGUSZYAXLUWGUSZUWMUWIUSZUTZVAZYAXKUWFV
      GVEZUSZXLUWGUSZYAUWMUWGUSZUTZUWFVDVEZXLUWGUSZXLUTZUWFVFVEZXLUWGUSZUVMUTZV
      AZVBZBUWJVCZAUWJVCZNUWFVRVEZVCZOUYBVCZVBZUVLLUTZUUBUWHUYEUHUIUWJUWIUVLVRV
      LUVLVIVLUWHUWLUWMUUGUOZXKUUJUWGUSZUWMUWQUUIUSZUTZUXBUXCUWMUUIUSZUTZVAZUXR
      VBZBUUGVCZAUUGVCZNUYBVCZOUYBVCZVBZUUGUWJUTZUUIUWIUTZVBZUYEUWEUYSUGUFUWGUW
      FUVLVKVLUVLVJVLUWEUUDUUHUUNYAXKUWCUSZXLUUEUSZUUSUTZVAZYAXKUWBUSZXLUUEUSZU
      VEUTZUVIUVNVAZVBZBUUGVCAUUGVCZNUWDVCZOUWDVCZVBZUUEUWGUTZUUCUWFUTZVBZUYSUW
      AVUOUMUJUKUWDUWCUWBUUCVRVLUUCVIVLUUCVGVLUVRUWDUTZUUOUWCUTZUVBUWBUTZVAZUVT
      VUNUUDVVBUVSVUMOUVRUWDVUSVUTVVAVMZVVBUVQVULNUVRUWDVVCVVBUVPVUKABUUGUUGVVB
      UVAVUFUVOVUJVVBUUTVUEUUHUUNVVBUUQVUDUUSVVBUUPVUCXLUUEVVBUUOUWCYAXKVUSVUTV
      VAVNVOVPVQVSVVBUVFVUIUVIUVNVVBUVDVUHUVEVVBUVCVUGXLUUEVVBUVBUWBYAXKVUSVUTV
      VAVTVOVPVQWAWBWCWDWDWEWFVURUUDUWLVUNUYRVURUUCUWFUQVUPVUQWHZWGVURVUMUYQOUW
      DUYBVURUUCUWFVRVVDWIZVURVULUYPNUWDUYBVVEVURVUKUYNABUUGUUGVURVUFUYMVUJUXRV
      URUUHUYGUUNUYJVUEUYLVURUUFUWMUUGVURUUEUWGXKXLVUPVUQWJZVOZWGVURUUKUYHUUMUY
      IVURUUEUWGXKUUJVVFVOVURUUFUWMUULUWQUUIVVGVURUUEUWGXKXOVVFVOWKWLVURVUDUXBU
      USUYKVURVUCUXAXLXLUUEUWGVVFVURUWCUWTYAXKVURUUCUWFVIVVDWIVOVURXLWMZWNVURUU
      RUXCUUFUWMUUIVURUUEUWGYAXLVVFVOVVGWKWLWOVURVUIUXKUVIUXNUVNUXQVURVUHUXIUVE
      UXJVURVUGUXHXLXLUUEUWGVVFVURUWBUXGYAXKVURUUCUWFVGVVDWIVOVVHWNVURYAYAUUFUW
      MUUEUWGVVFVURYAWMVVGWNWLVURUVHUXMXLVURUVGUXLXLXLUUEUWGVVFVURUUCUWFVDVVDWI
      VVHWNVQVURUVKUXPUVMVURUVJUXOXLXLUUEUWGVVFVURUUCUWFVFVVDWIVVHWNVQWOWBWCWDW
      DWBWPWQVUBUYRUYDUWLVUBUYPUYAONUYBUYBVUBUYOUXTAUUGUWJUYTVUAWJZVUBUYNUXSBUU
      GUWJVVIVUBUYMUXFUXRVUBUYGUWNUYJUWSUYLUXEVUBUUGUWJUWMVVIWRVUBUYHUWPUYIUWRV
      UBUUJUWOXKUWGVUBUUIUWIXLXOUYTVUAWHZVOWSVUBUUIUWIUWMUWQVVJVOWLVUBUYKUXDUXB
      VUBUUIUWIUXCUWMVVJVOWTWOXAWDWDWCWEWPWQUYFUWLXJUYDUUAUYFUWFHUQUYFUWFLVJVEH
      UVLLVJXHTXBZWGUYFUYCYTOUYBIUYFUYBHVRVEIUYFUWFHVRVVKWIUAXBZUYFUYAYSNUYBIVV
      LUYFUXTYRAUWJKUYFUWJLVRVEKUVLLVRXHPXBZUYFUXSYQBUWJKVVMUYFUXFYGUXRYPUYFUWN
      XNUWSXTUXEYFUYFUWMXMUWJKUYFUWGEXKXLUYFUWGLVKVEEUVLLVKXHRXBZVOZVVMXCUYFUWP
      XQUWRXSUYFXKXKUWOXPUWGEVVNUYFXKWMUYFUWICXLXOUYFUWILVIVECUVLLVIXHQXBZVOWNU
      YFUWMXMUWQXRUWICVVPVVOUYFUWGEXKXOVVNVOWNWLUYFUXBYCUXDYEUYFUXAYBXLXLUWGEVV
      NUYFUWTDYAXKUYFUWTHVIVEDUYFUWFHVIVVKWIUBXBVOUYFXLWMZWNUYFUXCYDUWMXMUWICVV
      PUYFUWGEYAXLVVNVOVVOWNWLWOUYFUXKYKUXNYMUXQYOUYFUXIYIUXJYJUYFUXHYHXLXLUWGE
      VVNUYFUXGFYAXKUYFUXGHVGVEFUYFUWFHVGVVKWIUCXBVOVVQWNUYFYAYAUWMXMUWGEVVNUYF
      YAWMVVOWNWLUYFUXMYLXLUYFUXLGXLXLUWGEVVNUYFUXLHVDVEGUYFUWFHVDVVKWIUDXBVVQW
      NVQUYFUXPYNUVMMUYFUXOJXLXLUWGEVVNUYFUXOHVFVEJUYFUWFHVFVVKWIUEXBVVQWNUYFUV
      MLVFVEMUVLLVFXHSXBWLWOWBWDWDWDWDWBWPABUHUKUFULUMUGNOUJUIXDXEXIXJUUAXFXG
      $.

    $( Lemma for properties of a semimodule.  (Contributed by NM, 8-Dec-2013.)
       (Revised by Mario Carneiro, 19-Jun-2014.)  (Revised by Thierry Arnoux,
       1-Apr-2018.) $)
    slmdlema $p |- ( ( W e. SLMod /\ ( Q e. K /\ R e. K )
          /\ ( X e. V /\ Y e. V ) ) ->
                ( ( ( R .x. Y ) e. V
                 /\ ( R .x. ( Y .+ X ) ) = ( ( R .x. Y ) .+ ( R .x. X ) )
                 /\ ( ( Q .+^ R ) .x. Y ) = ( ( Q .x. Y ) .+ ( R .x. Y ) )
               ) /\ ( ( ( Q .X. R ) .x. Y ) = ( Q .x. ( R .x. Y ) )
                 /\ ( .1. .x. Y ) = Y
                 /\ ( O .x. Y ) = .0. ) ) ) $=
      ( vw vx vr vq cslmd wcel wa co wceq w3a cv wral ccmn isslmd simp3bi oveq1
      csrg oveq1d eqeq12d 3anbi3d 3anbi1d anbi12d 2ralbidv eleq1d oveq12d oveq2
      oveq2d 3anbi123d rspc2v mpan9 3anbi2d anbi1d id eqeq1d syl5com 3impia ) L
      UJUKZCIUKDIUKULZMKUKNKUKULZDNEUMZKUKZDNMAUMZEUMZWEDMEUMZAUMZUNZCDBUMZNEUM
      ZCNEUMZWEAUMZUNZUOZCDFUMZNEUMZCWEEUMZUNZGNEUMZNUNZJNEUMZOUNZUOZULZWBWCULD
      UFUPZEUMZKUKZDXHUGUPZAUMZEUMZXIDXKEUMZAUMZUNZWLXHEUMZCXHEUMZXIAUMZUNZUOZW
      RXHEUMZCXIEUMZUNZGXHEUMZXHUNZJXHEUMZOUNZUOZULZUFKUQUGKUQZWDXGWBUHUPZXHEUM
      ZKUKZYLXLEUMZYMYLXKEUMZAUMZUNZUIUPZYLBUMZXHEUMZYSXHEUMZYMAUMZUNZUOZYSYLFU
      MZXHEUMZYSYMEUMZUNZYFYHUOZULZUFKUQUGKUQZUHIUQUIIUQZWCYKWBLURUKHVBUKUUMUGU
      FABEFGHIJKLOUHUIPQRSTUAUBUCUDUEUSUTUULYKYNYRCYLBUMZXHEUMZXRYMAUMZUNZUOZCY
      LFUMZXHEUMZCYMEUMZUNZYFYHUOZULZUFKUQUGKUQUIUHCDIIYSCUNZUUKUVDUGUFKKUVEUUE
      UURUUJUVCUVEUUDUUQYNYRUVEUUAUUOUUCUUPUVEYTUUNXHEYSCYLBVAVCUVEUUBXRYMAYSCX
      HEVAVCVDVEUVEUUIUVBYFYHUVEUUGUUTUUHUVAUVEUUFUUSXHEYSCYLFVAVCYSCYMEVAVDVFV
      GVHYLDUNZUVDYJUGUFKKUVFUURYAUVCYIUVFYNXJYRXPUUQXTUVFYMXIKYLDXHEVAZVIUVFYO
      XMYQXOYLDXLEVAUVFYMXIYPXNAUVGYLDXKEVAVJVDUVFUUOXQUUPXSUVFUUNWLXHEYLDCBVKV
      CUVFYMXIXRAUVGVLVDVMUVFUVBYDYFYHUVFUUTYBUVAYCUVFUUSWRXHEYLDCFVKVCUVFYMXIC
      EUVGVLVDVFVGVHVNVOYJXGXJDXHMAUMZEUMZXIWIAUMZUNZXTUOZYIULUGUFMNKKXKMUNZYAU
      VLYIUVMXPUVKXJXTUVMXMUVIXOUVJUVMXLUVHDEXKMXHAVKVLUVMXNWIXIAXKMDEVKVLVDVPV
      QXHNUNZUVLWQYIXFUVNXJWFUVKWKXTWPUVNXIWEKXHNDEVKZVIUVNUVIWHUVJWJUVNUVHWGDE
      XHNMAVAVLUVNXIWEWIAUVOVCVDUVNXQWMXSWOXHNWLEVKUVNXRWNXIWEAXHNCEVKUVOVJVDVM
      UVNYDXAYFXCYHXEUVNYBWSYCWTXHNWREVKUVNXIWECEUVOVLVDUVNYEXBXHNXHNGEVKUVNVRV
      DUVNYGXDOXHNJEVKVSVMVGVNVTWA $.
  $}

  ${
    $d q r w x W $.
    $( Left semimodules generalize the notion of left modules.  (Contributed by
       Thierry Arnoux, 1-Apr-2018.) $)
    lmodslmd $p |- ( W e. LMod -> W e. SLMod ) $=
      ( vr vw vx vq wcel cfv cv co cbs cplusg wceq w3a c0g wral r19.21bi simpld
      wa eqid ralrimiva clmod ccmn csca csrg cvsca cmulr cslmd lmodcmn lmodring
      cur crg ringsrg syl cgrp islmod simp3bi simp-4l lmod0vs sylancom 3jca jca
      simprd isslmd syl3anbrc ) AUAFZAUBFAUCGZUDFZBHZCHZAUEGZIZAJGZFVHVIDHZAKGZ
      IVJIVKVHVMVJIVNILEHZVHVFKGZIVIVJIVOVIVJIVKVNILMZVOVHVFUFGZIVIVJIVOVKVJILZ
      VFUJGZVIVJIVILZVFNGZVIVJIANGZLZMZRZCVLOZDVLOZBVFJGZOZEWIOAUGFAUHVEVFUKFZV
      GVFAVFSZUIVFULUMVEWJEWIVEVOWIFZRZWHBWIWNVHWIFZRZWGDVLWPVMVLFZRZWFCVLWRVIV
      LFZRZVQWEWTVQVSWARZWRVQXARZCVLWPXBCVLOZDVLWNXCDVLOZBWIVEXDBWIOZEWIVEAUNFW
      KXEEWIODCVNVPVJVRVTVFWIVLABEVLSZVNSZVJSZWLWISZVPSZVRSZVTSZUOUPPPPPZQWTVSW
      AWDWTVSWAWTVQXAXMVBZQWTVSWAXNVBWRWSVEWDVEWMWOWQWSUQVJVFWBVLAVIWCXFWLXHWBS
      ZWCSZURUSUTVATTTTDCVNVPVJVRVTVFWIWBVLAWCBEXFXGXHXPWLXIXJXKXLXOVCVD $.
  $}

  ${
    $d w x y z F $.  $d w x y z W $.
    $( A semimodule is a commutative monoid.  (Contributed by Thierry Arnoux,
       1-Apr-2018.) $)
    slmdcmn $p |- ( W e. SLMod -> W e. CMnd ) $=
      ( vz vy vx vw cslmd wcel ccmn csca cfv csrg cv co cbs cplusg wceq w3a c0g
      wral eqid cvsca cmulr cur wa isslmd simp1bi ) AFGAHGAIJZKGBLZCLZAUAJZMZAN
      JZGUHUIDLZAOJZMUJMUKUHUMUJMUNMPELZUHUGOJZMUIUJMUOUIUJMUKUNMPQUOUHUGUBJZMU
      IUJMUOUKUJMPUGUCJZUIUJMUIPUGRJZUIUJMARJZPQUDCULSDULSBUGNJZSEVASDCUNUPUJUQ
      URUGVAUSULAUTBEULTUNTUJTUTTUGTVATUPTUQTURTUSTUEUF $.

    $( A semimodule is a monoid.  (Contributed by Thierry Arnoux,
       1-Apr-2018.) $)
    slmdmnd $p |- ( W e. SLMod -> W e. Mnd ) $=
      ( cslmd wcel ccmn cmnd slmdcmn cmnmnd syl ) ABCADCAECAFAGH $.

    slmdsrg.1 $e |- F = ( Scalar ` W ) $.
    $( The scalar component of a semimodule is a semiring.  (Contributed by NM,
       8-Dec-2013.)  (Revised by Mario Carneiro, 19-Jun-2014.)  (Revised by
       Thierry Arnoux, 1-Apr-2018.) $)
    slmdsrg $p |- ( W e. SLMod -> F e. SRing ) $=
      ( vz vy vx vw cslmd wcel ccmn cv cfv co cbs cplusg wceq w3a c0g wral eqid
      csrg cvsca cmulr cur wa isslmd simp2bi ) BHIBJIAUAIDKZEKZBUBLZMZBNLZIUHUI
      FKZBOLZMUJMUKUHUMUJMUNMPGKZUHAOLZMUIUJMUOUIUJMUKUNMPQUOUHAUCLZMUIUJMUOUKU
      JMPAUDLZUIUJMUIPARLZUIUJMBRLZPQUEEULSFULSDANLZSGVASFEUNUPUJUQURAVAUSULBUT
      DGULTUNTUJTUTTCVATUPTUQTURTUSTUFUG $.
  $}

  ${
    slmdbn0.b $e |- B = ( Base ` W ) $.
    $( The base set of a semimodule is nonempty.  (Contributed by Thierry
       Arnoux, 1-Apr-2018.)  (Proof shortened by AV, 10-Jan-2023.) $)
    slmdbn0 $p |- ( W e. SLMod -> B =/= (/) ) $=
      ( cslmd wcel cmnd c0 wne slmdmnd mndbn0 syl ) BDEBFEAGHBIABCJK $.
  $}

  ${
    slmdacl.f $e |- F = ( Scalar ` W ) $.
    slmdacl.k $e |- K = ( Base ` F ) $.
    slmdacl.p $e |- .+ = ( +g ` F ) $.
    $( Closure of ring addition for a semimodule.  (Contributed by Thierry
       Arnoux, 1-Apr-2018.) $)
    slmdacl $p |- ( ( W e. SLMod /\ X e. K /\ Y e. K ) -> ( X .+ Y ) e. K ) $=
      ( cslmd wcel cmnd co csrg slmdsrg srgmnd syl mndcl syl3an1 ) DJKZBLKZECKF
      CKEFAMCKTBNKUABDGOBPQCABEFHIRS $.
  $}

  ${
    slmdmcl.f $e |- F = ( Scalar ` W ) $.
    slmdmcl.k $e |- K = ( Base ` F ) $.
    slmdmcl.t $e |- .x. = ( .r ` F ) $.
    $( Closure of ring multiplication for a semimodule.  (Contributed by NM,
       14-Jan-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.)  (Revised by
       Thierry Arnoux, 1-Apr-2018.) $)
    slmdmcl $p |- ( ( W e. SLMod /\ X e. K /\ Y e. K ) -> ( X .x. Y ) e. K ) $=
      ( cslmd wcel csrg co slmdsrg srgcl syl3an1 ) DJKBLKECKFCKEFAMCKBDGNCBAEFH
      IOP $.
  $}

  ${
    slmdsn0.f $e |- F = ( Scalar ` W ) $.
    slmdsn0.b $e |- B = ( Base ` F ) $.
    $( The set of scalars in a semimodule is nonempty.  (Contributed by Thierry
       Arnoux, 1-Apr-2018.)  (Proof shortened by AV, 10-Jan-2023.) $)
    slmdsn0 $p |- ( W e. SLMod -> B =/= (/) ) $=
      ( cslmd wcel csrg cmnd c0 wne slmdsrg srgmnd mndbn0 3syl ) CFGBHGBIGAJKBC
      DLBMABENO $.
  $}

  ${
    slmdvacl.v $e |- V = ( Base ` W ) $.
    slmdvacl.a $e |- .+ = ( +g ` W ) $.
    $( Closure of vector addition for a semiring left module.  (Contributed by
       NM, 8-Dec-2013.)  (Revised by Mario Carneiro, 19-Jun-2014.)  (Revised by
       Thierry Arnoux, 1-Apr-2018.) $)
    slmdvacl $p |- ( ( W e. SLMod /\ X e. V /\ Y e. V ) -> ( X .+ Y ) e. V ) $=
      ( cslmd wcel cmnd co slmdmnd mndcl syl3an1 ) CHICJIDBIEBIDEAKBICLBACDEFGM
      N $.

    $( Semiring left module vector sum is associative.  (Contributed by NM,
       10-Jan-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.)  (Revised by
       Thierry Arnoux, 1-Apr-2018.) $)
    slmdass $p |- ( ( W e. SLMod /\ ( X e. V /\ Y e. V /\ Z e. V ) ) ->
                    ( ( X .+ Y ) .+ Z ) = ( X .+ ( Y .+ Z ) ) ) $=
      ( cslmd wcel cmnd w3a co wceq slmdmnd mndass sylan ) CIJCKJDBJEBJFBJLDEAM
      FAMDEFAMAMNCOBACDEFGHPQ $.
  $}

  ${
    slmdvscl.v $e |- V = ( Base ` W ) $.
    slmdvscl.f $e |- F = ( Scalar ` W ) $.
    slmdvscl.s $e |- .x. = ( .s ` W ) $.
    slmdvscl.k $e |- K = ( Base ` F ) $.
    $( Closure of scalar product for a semiring left module.  ( ~ hvmulcl
       analog.)  (Contributed by NM, 8-Dec-2013.)  (Revised by Mario Carneiro,
       19-Jun-2014.)  (Revised by Thierry Arnoux, 1-Apr-2018.) $)
    slmdvscl $p |- ( ( W e. SLMod /\ R e. K /\ X e. V )
                   -> ( R .x. X ) e. V ) $=
      ( wcel wa co pm4.24 w3a cplusg cfv wceq eqid cslmd cmulr cur c0g slmdlema
      biid simpld simp1d syl3anb ) FUALZUJADLZUKUKMZGELZUMUMMZAGBNZELZUJUFUKOUM
      OUJULUNPZUPAGGFQRZNBNUOUOURNZSZAACQRZNGBNUSSZUQUPUTVBPAACUBRZNGBNAUOBNSCU
      CRZGBNGSCUDRZGBNFUDRZSPURVAAABVCVDCDVEEFGGVFHURTJVFTIKVATVCTVDTVETUEUGUHU
      I $.
  $}

  ${
    slmdvsdi.v $e |- V = ( Base ` W ) $.
    slmdvsdi.a $e |- .+ = ( +g ` W ) $.
    slmdvsdi.f $e |- F = ( Scalar ` W ) $.
    slmdvsdi.s $e |- .x. = ( .s ` W ) $.
    slmdvsdi.k $e |- K = ( Base ` F ) $.
    $( Distributive law for scalar product.  ( ~ ax-hvdistr1 analog.)
       (Contributed by NM, 10-Jan-2014.)  (Revised by Mario Carneiro,
       22-Sep-2015.)  (Revised by Thierry Arnoux, 1-Apr-2018.) $)
    slmdvsdi $p |- ( ( W e. SLMod /\ ( R e. K /\ X e. V /\ Y e. V ) ) ->
                     ( R .x. ( X .+ Y ) ) = ( ( R .x. X ) .+ ( R .x. Y ) ) ) $=
      ( wcel co wceq w3a cfv eqid cslmd wa cplusg cmulr cur c0g slmdlema simpld
      wi simp2d 3expia anabsan2 exp4b com34 3imp2 ) GUAOZBEOZHFOZIFOZBHIAPCPBHC
      PZBICPAPQZUPUQUSURVAUPUQUSURVAUPUQUSURUBZVAUIUPUQUQUBZVBVAUPVCVBRZUTFOZVA
      BBDUCSZPHCPUTUTAPQZVDVEVAVGRBBDUDSZPHCPBUTCPQDUESZHCPHQDUFSZHCPGUFSZQRAVF
      BBCVHVIDEVJFGIHVKJKMVKTLNVFTVHTVITVJTUGUHUJUKULUMUNUO $.
  $}

  ${
    slmdvsdir.v $e |- V = ( Base ` W ) $.
    slmdvsdir.a $e |- .+ = ( +g ` W ) $.
    slmdvsdir.f $e |- F = ( Scalar ` W ) $.
    slmdvsdir.s $e |- .x. = ( .s ` W ) $.
    slmdvsdir.k $e |- K = ( Base ` F ) $.
    slmdvsdir.p $e |- .+^ = ( +g ` F ) $.
    $( Distributive law for scalar product.  ( ~ ax-hvdistr1 analog.)
       (Contributed by NM, 10-Jan-2014.)  (Revised by Mario Carneiro,
       22-Sep-2015.)  (Revised by Thierry Arnoux, 1-Apr-2018.) $)
    slmdvsdir $p |- ( ( W e. SLMod /\ ( Q e. K /\ R e. K /\ X e. V ) ) ->
                    ( ( Q .+^ R ) .x. X ) = ( ( Q .x. X ) .+ ( R .x. X ) ) ) $=
      ( wcel co wceq cfv cslmd wa w3a cmulr cur c0g eqid slmdlema simpld simp3d
      3expa anabsan2 exp42 3imp2 ) IUAQZCGQZDGQZJHQZCDBRJERCJERDJERZARSZUOUPUQU
      RUTUOUPUQUBZUBURUTUOVAURURUBZUTUOVAVBUCZUSHQZDJJARERUSUSARSZUTVCVDVEUTUCC
      DFUDTZRJERCUSERSFUETZJERJSFUFTZJERIUFTZSUCABCDEVFVGFGVHHIJJVIKLNVIUGMOPVF
      UGVGUGVHUGUHUIUJUKULUMUN $.
  $}

  ${
    slmdvsass.v $e |- V = ( Base ` W ) $.
    slmdvsass.f $e |- F = ( Scalar ` W ) $.
    slmdvsass.s $e |- .x. = ( .s ` W ) $.
    slmdvsass.k $e |- K = ( Base ` F ) $.
    slmdvsass.t $e |- .X. = ( .r ` F ) $.
    $( Associative law for scalar product.  ( ~ ax-hvmulass analog.)
       (Contributed by NM, 10-Jan-2014.)  (Revised by Mario Carneiro,
       22-Sep-2015.)  (Revised by Thierry Arnoux, 1-Apr-2018.) $)
    slmdvsass $p |- ( ( W e. SLMod /\ ( Q e. K /\ R e. K /\ X e. V ) ) ->
                      ( ( Q .X. R ) .x. X ) = ( Q .x. ( R .x. X ) ) ) $=
      ( wcel co wceq wa cfv eqid cslmd w3a cur c0g cplusg slmdlema simprd 3expa
      simp1d anabsan2 exp42 3imp2 ) HUAOZAFOZBFOZIGOZABDPICPABICPZCPQZUMUNUOUPU
      RUMUNUORZRUPURUMUSUPUPRZURUMUSUTUBZUREUCSZICPIQZEUDSZICPHUDSZQZVAUQGOBIIH
      UESZPCPUQUQVGPQABEUESZPICPAICPUQVGPQUBURVCVFUBVGVHABCDVBEFVDGHIIVEJVGTLVE
      TKMVHTNVBTVDTUFUGUIUHUJUKUL $.
  $}

  ${
    slmd0cl.f $e |- F = ( Scalar ` W ) $.
    slmd0cl.k $e |- K = ( Base ` F ) $.
    slmd0cl.z $e |- .0. = ( 0g ` F ) $.
    $( The ring zero in a semimodule belongs to the ring base set.
       (Contributed by NM, 11-Jan-2014.)  (Revised by Mario Carneiro,
       19-Jun-2014.)  (Revised by Thierry Arnoux, 1-Apr-2018.) $)
    slmd0cl $p |- ( W e. SLMod -> .0. e. K ) $=
      ( cslmd wcel csrg slmdsrg srg0cl syl ) CHIAJIDBIACEKBADFGLM $.
  $}

  ${
    slmd1cl.f $e |- F = ( Scalar ` W ) $.
    slmd1cl.k $e |- K = ( Base ` F ) $.
    slmd1cl.u $e |- .1. = ( 1r ` F ) $.
    $( The ring unit in a semiring left module belongs to the ring base set.
       (Contributed by NM, 11-Jan-2014.)  (Revised by Mario Carneiro,
       19-Jun-2014.)  (Revised by Thierry Arnoux, 1-Apr-2018.) $)
    slmd1cl $p |- ( W e. SLMod -> .1. e. K ) $=
      ( cslmd wcel csrg slmdsrg srgidcl syl ) DHIBJIACIBDEKCBAFGLM $.
  $}

  ${
    slmdvs1.v $e |- V = ( Base ` W ) $.
    slmdvs1.f $e |- F = ( Scalar ` W ) $.
    slmdvs1.s $e |- .x. = ( .s ` W ) $.
    slmdvs1.u $e |- .1. = ( 1r ` F ) $.
    $( Scalar product with ring unit.  ( ~ ax-hvmulid analog.)  (Contributed by
       NM, 10-Jan-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.)  (Revised
       by Thierry Arnoux, 1-Apr-2018.) $)
    slmdvs1 $p |- ( ( W e. SLMod /\ X e. V ) -> ( .1. .x. X ) = X ) $=
      ( cslmd wcel wa cfv co wceq eqid w3a c0g cplusg simpl slmd1cl simpr cmulr
      cbs adantr slmdlema simprd simp2d syl122anc ) EKLZFDLZMUKBCUENZLZUNULULBF
      AOZFPZUKULUAUKUNULBCUMEHUMQZJUBUFZURUKULUCZUSUKUNUNMULULMRZBBCUDNZOFAOBUO
      AOPZUPCSNZFAOESNZPZUTUODLBFFETNZOAOUOUOVFOZPBBCTNZOFAOVGPRVBUPVERVFVHBBAV
      ABCUMVCDEFFVDGVFQIVDQHUQVHQVAQJVCQUGUHUIUJ $.
  $}

  ${
    slmd0vcl.v $e |- V = ( Base ` W ) $.
    slmd0vcl.z $e |- .0. = ( 0g ` W ) $.
    $( The zero vector is a vector.  ( ~ ax-hv0cl analog.)  (Contributed by NM,
       10-Jan-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.)  (Revised by
       Thierry Arnoux, 1-Apr-2018.) $)
    slmd0vcl $p |- ( W e. SLMod -> .0. e. V ) $=
      ( cslmd wcel cmnd slmdmnd mndidcl syl ) BFGBHGCAGBIABCDEJK $.
  $}

  ${
    slmd0vlid.v $e |- V = ( Base ` W ) $.
    slmd0vlid.a $e |- .+ = ( +g ` W ) $.
    slmd0vlid.z $e |- .0. = ( 0g ` W ) $.
    $( Left identity law for the zero vector.  ( ~ hvaddid2 analog.)
       (Contributed by NM, 10-Jan-2014.)  (Revised by Mario Carneiro,
       19-Jun-2014.)  (Revised by Thierry Arnoux, 1-Apr-2018.) $)
    slmd0vlid $p |- ( ( W e. SLMod /\ X e. V ) -> ( .0. .+ X ) = X ) $=
      ( cslmd wcel cmnd co wceq slmdmnd mndlid sylan ) CIJCKJDBJEDALDMCNBACDEFG
      HOP $.

    $( Right identity law for the zero vector.  ( ~ ax-hvaddid analog.)
       (Contributed by NM, 10-Jan-2014.)  (Revised by Mario Carneiro,
       19-Jun-2014.)  (Revised by Thierry Arnoux, 1-Apr-2018.) $)
    slmd0vrid $p |- ( ( W e. SLMod /\ X e. V ) -> ( X .+ .0. ) = X ) $=
      ( cslmd wcel cmnd co wceq slmdmnd mndrid sylan ) CIJCKJDBJDEALDMCNBACDEFG
      HOP $.
  $}

  ${
    slmd0vs.v $e |- V = ( Base ` W ) $.
    slmd0vs.f $e |- F = ( Scalar ` W ) $.
    slmd0vs.s $e |- .x. = ( .s ` W ) $.
    slmd0vs.o $e |- O = ( 0g ` F ) $.
    slmd0vs.z $e |- .0. = ( 0g ` W ) $.
    $( Zero times a vector is the zero vector.  Equation 1a of [Kreyszig]
       p. 51.  ( ~ ax-hvmul0 analog.)  (Contributed by NM, 12-Jan-2014.)
       (Revised by Mario Carneiro, 19-Jun-2014.)  (Revised by Thierry Arnoux,
       1-Apr-2018.) $)
    slmd0vs $p |- ( ( W e. SLMod /\ X e. V ) -> ( O .x. X ) = .0. ) $=
      ( wcel wa cfv co wceq cplusg w3a eqid cslmd cmulr cur simpl slmd0cl simpr
      cbs adantr slmdlema syl122anc simprd simp3d ) EUAMZFDMZNZCCBUBOZPFAPCCFAP
      ZAPQZBUCOZFAPFQZUQGQZUOUQDMCFFEROZPAPUQUQVBPZQCCBROZPFAPVCQSZURUTVASZUOUM
      CBUGOZMZVHUNUNVEVFNUMUNUDUMVHUNBVGECIVGTZKUEUHZVJUMUNUFZVKVBVDCCAUPUSBVGC
      DEFFGHVBTJLIVIVDTUPTUSTKUIUJUKUL $.
  $}

  ${
    slmdvs0.f $e |- F = ( Scalar ` W ) $.
    slmdvs0.s $e |- .x. = ( .s ` W ) $.
    slmdvs0.k $e |- K = ( Base ` F ) $.
    slmdvs0.z $e |- .0. = ( 0g ` W ) $.
    $( Anything times the zero vector is the zero vector.  Equation 1b of
       [Kreyszig] p. 51.  ( ~ hvmul0 analog.)  (Contributed by NM,
       12-Jan-2014.)  (Revised by Mario Carneiro, 19-Jun-2014.)  (Revised by
       Thierry Arnoux, 1-Apr-2018.) $)
    slmdvs0 $p |- ( ( W e. SLMod /\ X e. K ) -> ( X .x. .0. ) = .0. ) $=
      ( cslmd wcel wa c0g cfv cmulr co wceq eqid adantr csrg srgrz sylan oveq1d
      slmdsrg cbs simpl simpr srg0cl slmd0vcl slmdvsass syl13anc slmd0vs syldan
      syl oveq2d eqtrd 3eqtr3d ) DKLZECLZMZEBNOZBPOZQZFAQZVBFAQZEFAQZFVAVDVBFAU
      SBUALZUTVDVBRBDGUEZCBVCEVBIVCSZVBSZUBUCUDVAVEEVFAQZVGVAUSUTVBCLZFDUFOZLZV
      EVLRUSUTUGUSUTUHVAVHVMUSVHUTVITCBVBIVKUIUOUSVOUTVNDFVNSZJUJTZEVBAVCBCVNDF
      VPGHIVJUKULVAVFFEAUSUTVOVFFRVQABVBVNDFFVPGHVKJUMUNZUPUQVRUR $.
  $}

  ${
    $d a e k z .x. $.  $d a e k z A $.  $d a e z P $.  $d a e z Q $.
    $d a e k z W $.  $d a e k z ph $.  $d k B $.
    gsumvsca.b $e |- B = ( Base ` W ) $.
    gsumvsca.g $e |- G = ( Scalar ` W ) $.
    gsumvsca.z $e |- .0. = ( 0g ` W ) $.
    gsumvsca.t $e |- .x. = ( .s ` W ) $.
    gsumvsca.p $e |- .+ = ( +g ` W ) $.
    gsumvsca.k $e |- ( ph -> K C_ ( Base ` G ) ) $.
    gsumvsca.a $e |- ( ph -> A e. Fin ) $.
    gsumvsca.w $e |- ( ph -> W e. SLMod ) $.
    ${
      $d k P $.
      gsumvsca1.n $e |- ( ph -> P e. K ) $.
      gsumvsca1.c $e |- ( ( ph /\ k e. A ) -> Q e. B ) $.
      $( Scalar product of a finite group sum for a left module over a
         semiring.  (Contributed by Thierry Arnoux, 16-Mar-2018.) $)
      gsumvsca1 $p |- ( ph -> ( W gsum ( k e. A |-> ( P .x. Q ) ) ) =
                             ( P .x. ( W gsum ( k e. A |-> Q ) ) ) ) $=
        ( va ve vz cfn wcel co cmpt cgsu wceq wss ssid wa cv wi c0 sseq1 anbi2d
        csn cun mpteq1 oveq2d eqeq12d imbi12d cslmd cbs cfv sseldd eqid slmdvs0
        syl2anc eqcomd mpt0 oveq2i gsum0 eqtri 3eqtr4g adantr ssun1 sstr2 ax-mp
        wn anim2i imim1i csb ad2antrl cvv slmdcmn syl vex simplrl simprr unssad
        ccmn a1i sselda fmpttd simpll c0g fvexi fsuppmptdm gsumcl unssbd sylibr
        wral snss ralrimiva rspcsbela slmdvsdi nfcsb1v simplr csbeq1a gsumunsnf
        syl13anc nfcv nfov slmdvscl syl3anc simpr eqtrd 3eqtr4rd exp31 a2d syl5
        oveq1d findcard2s imp mpanr2 mpancom ) BUFUGZAKHBDFGUHZUIZUJUHZDKHBFUIZ
        UJUHZGUHZUKZSYKABBULZYRBUMYKAYSUNZYRAUCUOZBULZUNZKHUUAYLUIZUJUHZDKHUUAF
        UIZUJUHZGUHZUKZUPAUQBULZUNZKHUQYLUIZUJUHZDKHUQFUIZUJUHZGUHZUKZUPAUDUOZB
        ULZUNZKHUURYLUIZUJUHZDKHUURFUIZUJUHZGUHZUKZUPZAUURUEUOZUTZVAZBULZUNZKHU
        VJYLUIZUJUHZDKHUVJFUIZUJUHZGUHZUKZUPZYTYRUPUCUDUEBUUAUQUKZUUCUUKUUIUUQU
        VTUUBUUJAUUAUQBURUSUVTUUEUUMUUHUUPUVTUUDUULKUJHUUAUQYLVBVCUVTUUGUUODGUV
        TUUFUUNKUJHUUAUQFVBVCVCVDVEUUAUURUKZUUCUUTUUIUVFUWAUUBUUSAUUAUURBURUSUW
        AUUEUVBUUHUVEUWAUUDUVAKUJHUUAUURYLVBVCUWAUUGUVDDGUWAUUFUVCKUJHUUAUURFVB
        VCVCVDVEUUAUVJUKZUUCUVLUUIUVRUWBUUBUVKAUUAUVJBURUSUWBUUEUVNUUHUVQUWBUUD
        UVMKUJHUUAUVJYLVBVCUWBUUGUVPDGUWBUUFUVOKUJHUUAUVJFVBVCVCVDVEUUABUKZUUCY
        TUUIYRUWCUUBYSAUUABBURUSUWCUUEYNUUHYQUWCUUDYMKUJHUUABYLVBVCUWCUUGYPDGUW
        CUUFYOKUJHUUABFVBVCVCVDVEAUUQUUJALDLGUHZUUMUUPAUWDLAKVFUGZDIVGVHZUGZUWD
        LUKTAJUWFDRUAVIZGIUWFKDLNPUWFVJZOVKVLVMUUMKUQUJUHZLUULUQKUJHYLVNVOKLOVP
        ZVQUUOLDGUUOUWJLUUNUQKUJHFVNVOUWKVQVOVRVSUVGUVLUVFUPUURUFUGZUVHUURUGWCZ
        UNZUVSUVLUUTUVFUVKUUSAUURUVJULUVKUUSUPUURUVIVTUURUVJBWAWBWDWEUWNUVLUVFU
        VRUWNUVLUVFUVRUWNUVLUNZUVFUNZDUVDHUVHFWFZEUHZGUHZUVEDUWQGUHZEUHZUVQUVNU
        WOUWSUXAUKZUVFUWOUWEUWGUVDCUGUWQCUGZUXBAUWEUWNUVKTWGZAUWGUWNUVKUWHWGZUW
        OUURCUVCKWHLMOUWOUWEKWOUGUXDKWIWJZUURWHUGUWOUDWKWPUWOHUURFCUWOHUOZUURUG
        ZUNZAUXGBUGFCUGZUWNAUVKUXHWLZUWOUURBUXGUWOUURUVIBUWNAUVKWMZWNWQUBVLZWRU
        WOHUURUVCCWHFLUVCVJUWLUWMUVLWSZUXMLWHUGUWOLKWTOXAWPXBXCUWOUVHBUGZUXJHBX
        FZUXCUWOUVIBULUXOUWOUURUVIBUXLXDUVHBUEWKZXGXEAUXPUWNUVKAUXJHBUBXHWGHUVH
        BFCXIVLZEDGIUWFCKUVDUWQMQNPUWIXJXOVSUWOUVQUWSUKUVFUWOUVPUWRDGUWOUURCEHK
        UVHWHFUWQHUVHFXKZMQUXFUXNUXMUVHWHUGUWOUXQWPZUWLUWMUVLXLZUXRHUVHFXMZXNVC
        VSUWPUVNUVBUWTEUHZUXAUWOUVNUYCUKUVFUWOUURCEHKUVHWHYLUWTHDUWQGHDXPHGXPUX
        SXQMQUXFUXNUXIUWEUWGUXJYLCUGUXIAUWEUXKTWJUXIAUWGUXKUWHWJUXMDGIUWFCKFMNP
        UWIXRXSUXTUYAUWOUWEUWGUXCUWTCUGUXDUXEUXRDGIUWFCKUWQMNPUWIXRXSUXGUVHUKFU
        WQDGUYBVCXNVSUWPUVBUVEUWTEUWOUVFXTYFYAYBYCYDYEYGYHYIYJ $.
    $}

    ${
      $d a e k z G $.  $d k K $.  $d k Q $.
      gsumvsca2.n $e |- ( ph -> Q e. B ) $.
      gsumvsca2.c $e |- ( ( ph /\ k e. A ) -> P e. K ) $.
      $( Scalar product of a finite group sum for a left module over a
         semiring.  (Contributed by Thierry Arnoux, 16-Mar-2018.)  (Proof
         shortened by AV, 12-Dec-2019.) $)
      gsumvsca2 $p |- ( ph -> ( W gsum ( k e. A |-> ( P .x. Q ) ) ) =
                             ( ( G gsum ( k e. A |-> P ) ) .x. Q ) ) $=
        ( va ve vz cfn wcel co cmpt cgsu wceq wss ssid wa cv wi c0 sseq1 anbi2d
        csn cun mpteq1 oveq2d oveq1d eqeq12d imbi12d c0g cfv cslmd eqid slmd0vs
        syl2anc eqcomd oveq2i gsum0 eqtri oveq1i 3eqtr4g adantr wel ssun1 sstr2
        mpt0 wn ax-mp anim2i imim1i csb cplusg cbs ad2antrl csrg slmdsrg srgcmn
        cvv ccmn 3syl vex a1i simplrl simprr unssad sselda sseldd fmpttd simpll
        fsuppmptdm gsumcl wral unssbd snss sylibr ralrimiva rspcsbela slmdvsdir
        fvexd syl13anc nfcsb1v csbeq1a gsumunsnf nfcv nfov slmdcmn syl slmdvscl
        simplr syl3anc simpr eqtrd 3eqtr4rd exp31 a2d findcard2s mpanr2 mpancom
        syl5 imp ) BUFUGZAKHBDFGUHZUIZUJUHZIHBDUIZUJUHZFGUHZUKZSYRABBULZUUEBUMY
        RAUUFUNZUUEAUCUOZBULZUNZKHUUHYSUIZUJUHZIHUUHDUIZUJUHZFGUHZUKZUPAUQBULZU
        NZKHUQYSUIZUJUHZIHUQDUIZUJUHZFGUHZUKZUPAUDUOZBULZUNZKHUVEYSUIZUJUHZIHUV
        EDUIZUJUHZFGUHZUKZUPZAUVEUEUOZUTZVAZBULZUNZKHUVQYSUIZUJUHZIHUVQDUIZUJUH
        ZFGUHZUKZUPZUUGUUEUPUCUDUEBUUHUQUKZUUJUURUUPUVDUWGUUIUUQAUUHUQBURUSUWGU
        ULUUTUUOUVCUWGUUKUUSKUJHUUHUQYSVBVCUWGUUNUVBFGUWGUUMUVAIUJHUUHUQDVBVCVD
        VEVFUUHUVEUKZUUJUVGUUPUVMUWHUUIUVFAUUHUVEBURUSUWHUULUVIUUOUVLUWHUUKUVHK
        UJHUUHUVEYSVBVCUWHUUNUVKFGUWHUUMUVJIUJHUUHUVEDVBVCVDVEVFUUHUVQUKZUUJUVS
        UUPUWEUWIUUIUVRAUUHUVQBURUSUWIUULUWAUUOUWDUWIUUKUVTKUJHUUHUVQYSVBVCUWIU
        UNUWCFGUWIUUMUWBIUJHUUHUVQDVBVCVDVEVFUUHBUKZUUJUUGUUPUUEUWJUUIUUFAUUHBB
        URUSUWJUULUUAUUOUUDUWJUUKYTKUJHUUHBYSVBVCUWJUUNUUCFGUWJUUMUUBIUJHUUHBDV
        BVCVDVEVFAUVDUUQALIVGVHZFGUHZUUTUVCAUWLLAKVIUGZFCUGZUWLLUKTUAGIUWKCKFLM
        NPUWKVJZOVKVLVMUUTKUQUJUHLUUSUQKUJHYSWCVNKLOVOVPUVBUWKFGUVBIUQUJUHUWKUV
        AUQIUJHDWCVNIUWKUWOVOVPVQVRVSUVNUVSUVMUPUVEUFUGZUEUDVTWDZUNZUWFUVSUVGUV
        MUVRUVFAUVEUVQULUVRUVFUPUVEUVPWAUVEUVQBWBWEWFWGUWRUVSUVMUWEUWRUVSUVMUWE
        UWRUVSUNZUVMUNZUVKHUVODWHZIWIVHZUHZFGUHZUVLUXAFGUHZEUHZUWDUWAUWSUXDUXFU
        KZUVMUWSUWMUVKIWJVHZUGUXAUXHUGZUWNUXGAUWMUWRUVRTWKZUWSUVEUXHUVJIWOUWKUX
        HVJZUWOUWSUWMIWLUGIWPUGUXJIKNWMIWNWQZUVEWOUGUWSUDWRWSUWSHUVEDUXHUWSHUDV
        TZUNZAHUOZBUGZDUXHUGZUWRAUVRUXMWTZUWSUVEBUXOUWSUVEUVPBUWRAUVRXAZXBXCZAU
        XPUNJUXHDAJUXHULUXPRVSUBXDZVLZXEUWSHUVEUVJJWODUWKUVJVJUWPUWQUVSXFZUXNAU
        XPDJUGUXRUXTUBVLUWSIVGXPXGXHUWSUVOBUGZUXQHBXIZUXIUWSUVPBULUYDUWSUVEUVPB
        UXSXJUVOBUEWRZXKXLAUYEUWRUVRAUXQHBUYAXMWKHUVOBDUXHXNVLZAUWNUWRUVRUAWKZE
        UXBUVKUXAGIUXHCKFMQNPUXKUXBVJZXOXQVSUWSUWDUXDUKUVMUWSUWCUXCFGUWSUVEUXHU
        XBHIUVOWODUXAHUVODXRZUXKUYIUXLUYCUYBUVOWOUGUWSUYFWSZUWPUWQUVSYFZUYGHUVO
        DXSZXTVDVSUWTUWAUVIUXEEUHZUXFUWSUWAUYNUKUVMUWSUVECEHKUVOWOYSUXEHUXAFGUY
        JHGYAHFYAYBMQUWSUWMKWPUGUXJKYCYDUYCUXNUWMUXQUWNYSCUGUXNAUWMUXRTYDUYBUXN
        AUWNUXRUAYDDGIUXHCKFMNPUXKYEYGUYKUYLUWSUWMUXIUWNUXECUGUXJUYGUYHUXAGIUXH
        CKFMNPUXKYEYGUXOUVOUKDUXAFGUYMVDXTVSUWTUVIUVLUXEEUWSUVMYHVDYIYJYKYLYPYM
        YQYNYO $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Simple groups
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    prmsimpcyc.1 $e |- B = ( Base ` G ) $.
    $( A group of prime order is cyclic if and only if it is simple.  This is
       the first family of finite simple groups.  (Contributed by Thierry
       Arnoux, 21-Sep-2023.) $)
    prmsimpcyc $p |- ( ( # ` B ) e. Prime -> ( G e. SimpGrp <-> G e. CycGrp ) )
       $=
      ( chash cprime wcel csimpg ccyg cgrp simpggrp id prmcyg syl2anr wa cyggrp
      cfv adantl simpl prmgrpsimpgd impbida ) ADPEFZBGFZBHFZUBBIFZUAUCUABJUAKAB
      CLMUAUCNABCUCUDUABOQUAUCRST $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Rings - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x B $.  $d e x R $.  $d e x .1. $.  $d x .x. $.  $d e x ph $.
    rngurd.b $e |- ( ph -> B = ( Base ` R ) ) $.
    rngurd.p $e |- ( ph -> .x. = ( .r ` R ) ) $.
    rngurd.z $e |- ( ph -> .1. e. B ) $.
    rngurd.i $e |- ( ( ph /\ x e. B ) -> ( .1. .x. x ) = x ) $.
    rngurd.j $e |- ( ( ph /\ x e. B ) -> ( x .x. .1. ) = x ) $.
    $( Deduce the unit of a ring from its properties.  (Contributed by Thierry
       Arnoux, 6-Sep-2016.) $)
    rngurd $p |- ( ph -> .1. = ( 1r ` R ) ) $=
      ( ve wcel co wceq wa wral oveqd eqeq1d anbi12d cur cfv cbs cmulr cio eqid
      cv dfur2 eleqtrd jca ralrimiva adantr raleqbidva mpbid wb wi eleq2d simpr
      weu wal oveq2d eqeq12d rspcdv adantrr simprr oveq2 id oveq1 rspcva simprd
      mpd syl2anc eqtr3d ex sylbird alrimiv eleq1 ovanraleqv syl121anc mpbi2and
      eqeu iota2 eqtr2id ) ADUAUBZLUGZDUCUBZMZWEBUGZDUDUBZNZWHOZWHWEWINZWHOZPZB
      WFQZPZLUEZFBWFDWIWDLWFUFWIUFWDUFUHAFWFMZFWHWINZWHOZWHFWINZWHOZPZBWFQZWQFO
      ZAFCWFIGUIZAFWHENZWHOZWHFENZWHOZPZBCQXDAXKBCAWHCMZPZXHXJJKUJUKAXKXCBCWFGX
      MXHWTXJXBXMXGWSWHXMEWIFWHAEWIOXLHULZRSXMXIXAWHXMEWIWHFXNRSTUMUNZAFCMZWPLU
      SZWRXDPZXEUOIAWRWRXDWPWEFOZUPZLUTXQXFXFXOAXTLAWPWECMZWEWHENZWHOZWHWEENZWH
      OZPZBCQZPZXSAYAWGYGWOACWFWEGUQAYFWNBCWFGXMYCWKYEWMXMYBWJWHXMEWIWEWHXNRSXM
      YDWLWHXMEWIWHWEXNRSTUMTAYHXSAYHPZFWEENZWEFAYAYJWEOZYGAYAPZXHBCQZYKAYMYAAX
      HBCJUKULYLXHYKBWECAYAURYLWHWEOZPZXGYJWHWEYOWHWEFEYLYNURZVAYPVBVCVKVDYIXPY
      GYJFOZAXPYHIULAYAYGVEXPYGPWEFENZFOZYQYFYSYQPBFCWHFOZYCYSYEYQYTYBYRWHFWHFW
      EEVFYTVGZVBYTYDYJWHFWHFWEEVHUUAVBTVIVJVLVMVNVOVPWPXRLFWFXSWGWRWOXDWEFWFVQ
      WKWTBWHWEWHWIWFFXSWJWSWHWEFWHWIVHSVRTZWAVSWPXRLFCUUBWBVLVTWC $.
  $}

  ${
    dvdschrmulg.1 $e |- C = ( chr ` R ) $.
    dvdschrmulg.2 $e |- B = ( Base ` R ) $.
    dvdschrmulg.3 $e |- .x. = ( .g ` R ) $.
    dvdschrmulg.4 $e |- .0. = ( 0g ` R ) $.
    $( In a ring, any multiple of the characteristics annihilates all elements.
       (Contributed by Thierry Arnoux, 6-Sep-2016.) $)
    dvdschrmulg $p |- ( ( R e. Ring /\ C || N /\ A e. B ) -> ( N .x. A ) = .0.
       ) $=
      ( wcel cdvds wbr cfv co cz wceq eqid syl crg w3a cur cmulr simp1 dvdszrcl
      simprd 3ad2ant2 ringidcl simp3 mulgass2 syl13anc cod ringgrp chrval simp2
      cgrp eqbrtrid oddvdsi syl3anc oveq1d ringlz 3adant2 eqtrd ringlidm oveq2d
      3eqtr3rd ) DUALZCFMNZABLZUBZFDUCOZEPZADUDOZPZFVLAVNPZEPZGFAEPVKVHFQLZVLBL
      ZVJVOVQRVHVIVJUEZVIVHVRVJVICQLVRCFUFUGUHVKVHVSVTBDVLIVLSZUITZVHVIVJUJBDEV
      NFVLAIJVNSZUKULVKVOGAVNPZGVKVMGAVNVKDUQLZVSVLDUMOZOZFMNVMGRVKVHWEVTDUNTWB
      VKWGCFMCDVLWFWFSZWAHUOVHVIVJUPURVLEDFWFBGIWHJKUSUTVAVHVJWDGRVIBDVNAGIWCKV
      BVCVDVKVPAFEVHVJVPARVIBDVNVLAIWCWAVEVCVFVG $.
  $}

  ${
    $d .+ i $.  $d .^ i $.  $d B i $.  $d P i $.  $d R i $.  $d X i $.
    $d Y i $.  $d i ph $.
    freshmansdream.s $e |- B = ( Base ` R ) $.
    freshmansdream.a $e |- .+ = ( +g ` R ) $.
    freshmansdream.p $e |- .^ = ( .g ` ( mulGrp ` R ) ) $.
    freshmansdream.c $e |- P = ( chr ` R ) $.
    freshmansdream.r $e |- ( ph -> R e. CRing ) $.
    freshmansdream.1 $e |- ( ph -> P e. Prime ) $.
    freshmansdream.x $e |- ( ph -> X e. B ) $.
    freshmansdream.y $e |- ( ph -> Y e. B ) $.
    $( For a prime number ` P ` , if ` X ` and ` Y ` are members of a
       commutative ring ` R ` of characteristic ` P ` , then
       ` ( ( X + Y ) ^ P ) = ( ( X ^ P ) + ( Y ^ P ) ) ` .  This theorem is
       sometimes referred to as "the freshman's dream" .  (Contributed by
       Thierry Arnoux, 18-Sep-2023.) $)
    freshmansdream $p |- ( ph -> ( P .^ ( X .+ Y ) ) = ( ( P .^ X ) .+ ( P .^ Y
       ) ) ) $=
      ( co cc0 wcel wceq vi cfz cv cbc cmin cmulr cfv cmg cmpt cgsu c1 ccrg cn0
      caddc crngring chrcl 3syl cmgp eqid crngbinom syl22anc nn0cnd 1cnd npcand
      crg oveq2d eqcomd mpteq1d ccmn ringcmn cprime cn prmnn nnm1nn0 wa cgrp cz
      csn ringgrp adantr wss fzssz a1i sselda bccl syl2anc nn0zd syl cmnd simpr
      ringmgp eleqtrd mgpbas mulgnn0cl syl3anc elfznn0 adantl ringcl mulgcl c0g
      fznn0sub gsummptfzsplit elfzelz syl2an sseqtrid gsummptfzsplitl cdvds wbr
      fzssp1 prmdvdsbc sylan cuz eluzmn sylancl fzss2 elfznn nnnn0d dvdschrmulg
      1nn0 mpteq2dva cvv ringmnd ovex gsumz eqtrd 0nn0 oveq12d bcn0 cur subid1d
      oveq1d ringidval mulg0 ringridm mulg1 gsumsnd grplid 3eqtrd eqeltrd bcnn
      subidd ringlidm ) ACGHDQFQZEUARCUBQZCUAUCZUDQZCUUEUEQZGFQZUUEHFQZEUFUGZQZ
      EUHUGZQZUIZUJQZEUARCUKUEQZUKUNQZUBQZUUMUIZUJQZCGFQZCHFQZDQZAEULSZCUMSZGBS
      ZHBSZUUCUUOTMAUVDEVESZUVEMEUOZCELUPUQZOPGHDEBUULUUJUAFEURUGZCIUUJUSZUULUS
      ZJUVKUSZKUTVAAUUNUUSEUJAUAUUDUURUUMAUURUUDAUUQCRUBACUKACUVJVBZAVCVDZVFZVG
      VHVFAUUTEUARUUPUBQZUUMUIUJQZEUAUUQVRUUMUIUJQZDQUVCABDUAEUUPUUMIJAUVDUVHEV
      ISMUVIEVJUQZACVKSZCVLSUUPUMSNCVMCVNUQZAUUEUURSZVOZEVPSZUUFVQSZUUKBSZUUMBS
      ZAUWFUWDAUVDUVHUWFMUVIEVSUQZVTUWEUUFUWEUVEUUEVQSZUUFUMSZAUVEUWDUVJVTAUURV
      QUUEUURVQWAARUUQWBWCWDUUECWEZWFWGUWEUVHUUHBSZUUIBSZUWHAUVHUWDAUVDUVHMUVIW
      HZVTUWEUVKWISZUUGUMSZUVFUWNAUWQUWDAUVHUWQUWPEUVKUVNWKZWHZVTZUWEUUEUUDSZUW
      RUWEUUEUURUUDAUWDWJAUURUUDTUWDUVQVTWLUUERCXAZWHAUVFUWDOVTBFUVKUUGGBEUVKUV
      NIWMZKWNZWOUWEUWQUUEUMSZUVGUWOUXAUWDUXFAUUEUUQWPWQAUVGUWDPVTBFUVKUUEHUXDK
      WNZWOBEUUJUUHUUIIUVLWRZWOBUULEUUFUUKIUVMWSZWOXBAUVSUVAUVTUVBDAUVSEUAUKUUP
      UBQZUUMUIZUJQZEUARVRUUMUIUJQZDQEWTUGZUVADQZUVAABDUAEUUPUUMIJUWAUWCAUUEUVR
      SZVOZUWFUWGUWHUWIAUWFUXPUWJVTUXQUUFAUVEUWKUWLUXPUVJUUERUUPXCUWMXDWGUXQUVH
      UWNUWOUWHAUVHUXPUWPVTZUXQUWQUWRUVFUWNUXQUVHUWQUXRUWSWHZUXQUXBUWRAUVRUUDUU
      EAUURUVRUUDRUUPXIUVQXEWDUXCWHAUVFUXPOVTUXEWOUXQUWQUXFUVGUWOUXSUXPUXFAUUEU
      UPWPWQAUVGUXPPVTUXGWOUXHWOUXIWOXFAUXLUXNUXMUVADAUXLEUAUXJUXNUIZUJQZUXNAUX
      KUXTEUJAUAUXJUUMUXNAUUEUXJSZVOZUVHCUUFXGXHZUWHUUMUXNTAUVHUYBUWPVTZAUWBUYB
      UYDNCUUEXJXKUYCUVHUWNUWOUWHUYEUYCUWQUWRUVFUWNUYCUVHUWQUYEUWSWHZUYCUUEUKCU
      BQZSUWRAUXJUYGUUEACUUPXLUGSZUXJUYGWAACVQSUKUMSUYHACUVJWGXSCUKXMXNUUPUKCXO
      WHWDUUEUKCXAWHAUVFUYBOVTUXEWOUYCUWQUXFUVGUWOUYFUYBUXFAUYBUUEUUEUUPXPXQWQA
      UVGUYBPVTUXGWOUXHWOUUKBCEUULUUFUXNLIUVMUXNUSZXRWOXTVFAEWISZUXJYASUYAUXNTA
      UVHUYJUWPEYBWHZUKUUPUBYCUXJUAEYAUXNUYIYDXNYEAUUMBUVAUAERUMIUYKRUMSAYFWCAU
      WQUVEUVFUVABSZUWTUVJOBFUVKCGUXDKWNWOZAUUERTZVOZUUMCRUDQZCRUEQZGFQZRHFQZUU
      JQZUULQZUVAUYOUUFUYPUUKUYTUULUYOUUERCUDAUYNWJZVFUYOUUHUYRUUIUYSUUJUYOUUGU
      YQGFUYOUUERCUEVUBVFYKUYOUUERHFVUBYKYGYGAVUAUVATUYNAVUAUKUVAUULQZUVAAUYPUK
      UYTUVAUULAUVEUYPUKTUVJCYHWHAUYTUVAEYIUGZUUJQZUVAAUYRUVAUYSVUDUUJAUYQCGFAC
      UVOYJYKAUVGUYSVUDTPBFUVKHVUDUXDEVUDUVKUVNVUDUSZYLZKYMWHYGAUVHUYLVUEUVATUW
      PUYMBEUUJVUDUVAIUVLVUFYNWFYEYGAUYLVUCUVATUYMBUULEUVAIUVMYOWHYEVTYEYPYGAUW
      FUYLUXOUVATUWJUYMBDEUVAUXNIJUYIYQWFYRAUUMBUVBUAEUUQUMIUYKAUUQCUMUVPUVJYSA
      UWQUVEUVGUVBBSZUWTUVJPBFUVKCHUXDKWNWOZAUUEUUQTZVOZUUMCCUDQZCCUEQZGFQZUVBU
      UJQZUULQZUVBVUKUUFVULUUKVUOUULVUKUUECCUDVUKUUEUUQCAVUJWJAUUQCTVUJUVPVTYEZ
      VFVUKUUHVUNUUIUVBUUJVUKUUGVUMGFVUKUUECCUEVUQVFYKVUKUUECHFVUQYKYGYGAVUPUVB
      TVUJAVUPUKUVBUULQZUVBAVULUKVUOUVBUULAUVEVULUKTUVJCYTWHAVUOVUDUVBUUJQZUVBA
      VUNVUDUVBUUJAVUNRGFQZVUDAVUMRGFACUVOUUAYKAUVFVUTVUDTOBFUVKGVUDUXDVUGKYMWH
      YEYKAUVHVUHVUSUVBTUWPVUIBEUUJVUDUVBIUVLVUFUUBWFYEYGAVUHVURUVBTVUIBUULEUVB
      IUVMYOWHYEVTYEYPYGYEYR $.
  $}

  ${
    $d .^ x $.  $d B i j x $.  $d F i j $.  $d P x $.  $d R i j x $.
    $d i j ph x $.
    frobrhm.1 $e |- B = ( Base ` R ) $.
    frobrhm.2 $e |- P = ( chr ` R ) $.
    frobrhm.3 $e |- .^ = ( .g ` ( mulGrp ` R ) ) $.
    frobrhm.4 $e |- F = ( x e. B |-> ( P .^ x ) ) $.
    frobrhm.5 $e |- ( ph -> R e. CRing ) $.
    frobrhm.6 $e |- ( ph -> P e. Prime ) $.
    $( In a commutative ring with prime characteristic, the Frobenius function
       ` F ` is a ring endomorphism, thus named the Frobenius endomorphism.
       (Contributed by Thierry Arnoux, 31-May-2024.) $)
    frobrhm $p |- ( ph -> F e. ( R RingHom R ) ) $=
      ( cfv co wceq wa simpr wcel adantr vi vj cplusg cur eqid crngringd oveq2d
      cmulr cv cmgp cmnd cn0 crg ringmgp cprime cn prmnn nnnn0 mgpbas ringidval
      syl 3syl mulgnn0z syl2anc eqtrd ringidcl fvmptd2 ccmn ccrg crngmgp simprl
      simprr mgpplusg mulgnn0di syl13anc ringcl syl3anc ovexd oveq12d mulgnn0cl
      cvv 3eqtr4d fmptd freshmansdream ringacl isrhmd ) AUAUBCCEUCNZWGEEEUHNZWH
      EUDNZGWIHWIUEZWJWHUEZWKAELUFZWLABWIDBUIZFOZWICGCKAWMWIPZQZWNDWIFOZWIWPWMW
      IDFAWORUGAWQWIPZWOAEUJNZUKSZDULSZWRAEUMSZWTWLEWSWSUEZUNVAZADUOSZDUPSXAMDU
      QDURVBZCFWSDWICEWSXCHUSZJEWIWSXCWJUTVCVDTVEAXBWICSWLCEWIHWJVFVAZXHVGAUAUI
      ZCSZUBUIZCSZQZQZDXIXKWHOZFOZDXIFOZDXKFOZWHOZXOGNXIGNZXKGNZWHOXNWSVHSZXAXJ
      XLXPXSPAYBXMAEVISZYBLEWSXCVJVATAXAXMXFTAXJXLVKZAXJXLVLZCWHFWSDXIXKXGJEWHW
      SXCWKVMVNVOXNBXOWNXPCGWAKXNWMXOPZQWMXODFXNYFRUGXNXBXJXLXOCSAXBXMWLTZYDYEC
      EWHXIXKHWKVPVQXNDXOFVRVGXNXTXQYAXRWHXNBXIWNXQCGWAKXNWMXIPZQWMXIDFXNYHRUGY
      DXNDXIFVRVGZXNBXKWNXRCGWAKXNWMXKPZQWMXKDFXNYJRUGYEXNDXKFVRVGZVSWBHWGUEZYL
      ABCWNCGAWMCSZQWTXAYMWNCSAWTYMXDTAXAYMXFTAYMRCFWSDWMXGJVTVQKWCXNDXIXKWGOZF
      OZXQXRWGOYNGNXTYAWGOXNCDWGEFXIXKHYLJIAYCXMLTAXEXMMTYDYEWDXNBYNWNYOCGWAKXN
      WMYNPZQWMYNDFXNYPRUGXNXBXJXLYNCSYGYDYECWGEXIXKHYLWEVQXNDYNFVRVGXNXTXQYAXR
      WGYIYKVSWBWF $.
  $}

  ${
    $d x .1. $.  $d x A $.  $d x B $.  $d x R $.  $d x S $.
    ress1r.s $e |- S = ( R |`s A ) $.
    ress1r.b $e |- B = ( Base ` R ) $.
    ress1r.1 $e |- .1. = ( 1r ` R ) $.
    $( ` 1r ` is unaffected by restriction.  This is a bit more generic than
       ~ subrg1 .  (Contributed by Thierry Arnoux, 6-Sep-2018.) $)
    ress1r $p |- ( ( R e. Ring /\ .1. e. A /\ A C_ B ) -> .1. = ( 1r ` S ) ) $=
      ( vx crg wcel wss w3a cmulr cfv cbs wceq cvv co syl2anc ressbas2 3ad2ant3
      simp3 fvexi ssexg sylancl ressmulr syl simp2 cv wa simpl1 sselda ringlidm
      eqid ringridm rngurd ) CJKZEAKZABLZMZIADCNOZEUTURADPOQUSABDCFGUAUBVAARKZV
      BDNOQVAUTBRKVCURUSUTUCZBCPGUDABRUEUFACDVBRFVBUOZUGUHURUSUTUIVAIUJZAKZUKZU
      RVFBKZEVFVBSVFQURUSUTVGULZVAABVFVDUMZBCVBEVFGVEHUNTVHURVIVFEVBSVFQVJVKBCV
      BEVFGVEHUPTUQ $.
  $}

  ${
    dvrdir.b $e |- B = ( Base ` R ) $.
    dvrdir.u $e |- U = ( Unit ` R ) $.
    dvrdir.p $e |- .+ = ( +g ` R ) $.
    dvrdir.t $e |- ./ = ( /r ` R ) $.
    $( Distributive law for the division operation of a ring.  (Contributed by
       Thierry Arnoux, 30-Oct-2017.) $)
    dvrdir $p |- ( ( R e. Ring /\ ( X e. B /\ Y e. B /\ Z e. U ) ) ->
                     ( ( X .+ Y ) ./ Z ) = ( ( X ./ Z ) .+ ( Y ./ Z ) ) ) $=
      ( crg wcel co cfv wceq eqid dvrval syl2anc w3a cinvr simpr1 simpr2 unitss
      wa cmulr simpl simpr3 unitinvcl syldan sselid ringdir cgrp ringgrp adantr
      syl13anc grpcl syl3anc oveq12d 3eqtr4d ) DMNZFANZGANZHENZUAZUFZFGCOZHDUBP
      ZPZDUGPZOZFVJVKOZGVJVKOZCOZVHHBOZFHBOZGHBOZCOVGVBVCVDVJANVLVOQVBVFUHVBVCV
      DVEUCZVBVCVDVEUDZVGEAVJADEIJUEVBVFVEVJENVBVCVDVEUIZDEVIHJVIRZUJUKULACDVKF
      GVJIKVKRZUMUQVGVHANZVEVPVLQVGDUNNZVCVDWDVBWEVFDUOUPVSVTACDFGIKURUSWAABDVK
      EVIVHHIWCJWBLSTVGVQVMVRVNCVGVCVEVQVMQVSWAABDVKEVIFHIWCJWBLSTVGVDVEVRVNQVT
      WAABDVKEVIGHIWCJWBLSTUTVA $.

    rdivmuldivd.p $e |- .x. = ( .r ` R ) $.
    rdivmuldivd.r $e |- ( ph -> R e. CRing ) $.
    rdivmuldivd.a $e |- ( ph -> X e. B ) $.
    rdivmuldivd.b $e |- ( ph -> Y e. U ) $.
    rdivmuldivd.c $e |- ( ph -> Z e. B ) $.
    rdivmuldivd.d $e |- ( ph -> W e. U ) $.
    $( Multiplication of two ratios.  Theorem I.14 of [Apostol] p. 18.
       (Contributed by Thierry Arnoux, 30-Oct-2017.) $)
    rdivmuldivd $p |- ( ph -> ( ( X ./ Y ) .x. ( Z ./ W ) ) =
                             ( ( X .x. Z ) ./ ( Y .x. W ) ) ) $=
      ( co cinvr cfv wcel wceq eqid dvrval oveq1d syl2anc crg ccrg crngring syl
      wa unitss unitinvcl sselid syl3anc ringass syl13anc crngcom oveq2d 3eqtrd
      dvrcl cmgp cress cgrp unitgrp unitgrpbas invrfval grpinvadd cvv cmulr cui
      cplusg fvexi ressmulr ax-mp mgpplusg mgpress sylancl fveq2d eqtr4id oveqd
      3eqtr4d ringcl unitmulcl eqtr4d 3eqtr3rd 3eqtr4rd eqtrd ) AIJCUBZKHCUBZFU
      BZIWNJEUCUDZUDZFUBZFUBZIKFUBZJHFUBZCUBZAWOIWQFUBZWNFUBZIWQWNFUBZFUBZWSAIB
      UEZJGUEZWOXDUFRSXGXHUOWMXCWNFBCEFGWPIJLPMWPUGZOUHUIUJAEUKUEZXGWQBUEZWNBUE
      ZXDXFUFAEULUEZXJQEUMUNZRAGBWQBEGLMUPZAXJXHWQGUEXNSEGWPJMXIUQUJURZAXJKBUEZ
      HGUEZXLXNTUABCEGKHLMOVEUSZBEFIWQWNLPUTVAAXEWRIFAXMXKXLXEWRUFQXPXSBEFWQWNL
      PVBUSVCVDAWTXAWPUDZFUBZWTHWPUDZWQFUBZFUBZXBWSAXTYCWTFAJHEVFUDZGVGUBZVPUDZ
      UBZWPUDZYBWQYGUBZXTYCAYFVHUEZXHXRYIYJUFAXJYKXNEGYFMYFUGZVIUNSUAGYGYFWPJHE
      GYFMYLVJYGUGEGYFWPMYLXIVKVLUSAXAYHWPAFYGJHAFEGVGUBZVFUDZVPUDYGYMFYNYNUGGV
      MUEZFYMVNUDUFGEVOMVQZGEYMFVMYMUGZPVRVSVTAYFYNVPAXJYOYFYNUFXNYPGEYMYEUKVMY
      QYEUGWAWBWCWDZWEWCAFYGYBWQYRWEWFVCAWTBUEZXAGUEZXBYAUFAXJXGXQYSXNRTBEFIKLP
      WGUSZAXJXHXRYTXNSUAEFGJHMPWHUSBCEFGWPWTXALPMXIOUHUJAWTYBFUBZWQFUBZIWNFUBZ
      WQFUBZYDWSAUUBUUDWQFAUUBIKYBFUBZFUBZUUDAXJXGXQYBBUEZUUBUUGUFXNRTAGBYBXOAX
      JXRYBGUEXNUAEGWPHMXIUQUJURZBEFIKYBLPUTVAAWNUUFIFAXQXRWNUUFUFTUABCEFGWPKHL
      PMXIOUHUJVCWIUIAXJYSUUHXKUUCYDUFXNUUAUUIXPBEFWTYBWQLPUTVAAXJXGXLXKUUEWSUF
      XNRXSXPBEFIWNWQLPUTVAWJWKWL $.
  $}

  ${
    $d y R $.  $d y U $.  $d y X $.
    ringinvval.b $e |- B = ( Base ` R ) $.
    ringinvval.p $e |- .* = ( .r ` R ) $.
    ringinvval.o $e |- .1. = ( 1r ` R ) $.
    ringinvval.n $e |- N = ( invr ` R ) $.
    ringinvval.u $e |- U = ( Unit ` R ) $.
    $( The ring inverse expressed in terms of multiplication.  (Contributed by
       Thierry Arnoux, 23-Oct-2017.) $)
    ringinvval $p |- ( ( R e. Ring /\ X e. U ) ->
                             ( N ` X ) = ( iota_ y e. U ( y .* X ) = .1. ) ) $=
      ( wcel wa cfv co wceq crio eqid crg cv cmgp c0g unitgrpbas cvv cplusg cui
      cress fvexi mgpplusg ressplusg invrfval grpinvval adantl unitgrpid adantr
      ax-mp eqeq2d riotabidva eqtr4d ) CUANZHDNZOHGPZAUBZHFQZCUCPZDUIQZUDPZRZAD
      SZVFERZADSZVCVDVKRVBADFVHGHVICDVHMVHTZUEDUFNFVHUGPRDCUHMUJDFVGVHUFVNCFVGV
      GTJUKULURVITCDVHGMVNLUMUNUOVBVMVKRVCVBVLVJADVBVEDNZOEVIVFVBEVIRVOCDEVHMVN
      KUPUQUSUTUQVA $.
  $}

  ${
    dvrcan5.b $e |- B = ( Base ` R ) $.
    dvrcan5.o $e |- U = ( Unit ` R ) $.
    dvrcan5.d $e |- ./ = ( /r ` R ) $.
    dvrcan5.t $e |- .x. = ( .r ` R ) $.
    $( Cancellation law for common factor in ratio.  ( ~ divcan5 analog.)
       (Contributed by Thierry Arnoux, 26-Oct-2016.) $)
    dvrcan5 $p |- ( ( R e. Ring /\ ( X e. B /\ Y e. U /\ Z e. U ) ) ->
      ( ( X .x. Z ) ./ ( Y .x. Z ) ) = ( X ./ Y ) ) $=
      ( wcel w3a co cfv wceq sselid eqid syl2anc crg wa unitss simpr3 unitmulcl
      cinvr 3adant3r1 dvrval cmgp cress simpl unitgrp syl simpr2 unitgrpbas cvv
      cgrp cplusg cui fvexi mgpplusg ressplusg ax-mp invrfval grpinvadd syl3anc
      oveq2d cur unitrinv oveq1d 3ad2antr3 unitinvcl 3ad2antr2 ringass syl13anc
      ringlidm 3eqtr3d 3eqtrd simpr1 dvrass 3eqtr4d ) CUAMZFAMZGEMZHEMZNZUBZFHG
      HDOZBOZDOZFGCUFPZPZDOZFHDOWHBOZFGBOZWGWIWLFDWGWIHWHWKPZDOZHHWKPZWLDOZDOZW
      LWGHAMZWHEMZWIWQQWGEAHACEIJUCZWBWCWDWEUDZRZWBWDWEXBWCCDEGHJLUEUGZABCDEWKH
      WHILJWKSZKUHTWGCUIPZEUJOZUQMZWDWEWQWTQWGWBXJWBWFUKZCEXIJXISZULUMWBWCWDWEU
      NZXDXJWDWENWPWSHDEDXIWKGHCEXIJXLUOEUPMDXIURPQECUSJUTEDXHXIUPXLCDXHXHSLVAV
      BVCCEXIWKJXLXGVDVEVGVFWGHWRDOZWLDOZCVHPZWLDOZWTWLWBWCWEXOXQQWDWBWEUBXNXPW
      LDCDEXPWKHJXGLXPSZVIVJVKWGWBXAWRAMWLAMZXOWTQXKXEWGEAWRXCWBWCWEWREMWDCEWKH
      JXGVLVKRWGEAWLXCWBWCWDWLEMWECEWKGJXGVLVMRZACDHWRWLILVNVOWGWBXSXQWLQXKXTAC
      DXPWLILXRVPTVQVRVGWGWBWCXAXBWNWJQXKWBWCWDWEVSZXEXFABCDEFHWHIJKLVTVOWGWCWD
      WOWMQYAXMABCDEWKFGILJXGKUHTWA $.
  $}

  $( If ` A ` is a subring of ` R ` , then they have the same characteristic.
     (Contributed by Thierry Arnoux, 24-Feb-2018.) $)
  subrgchr $p |- ( A e. ( SubRing ` R ) ->
    ( chr ` ( R |`s A ) ) = ( chr ` R ) ) $=
    ( csubrg cfv wcel cress co cur cod cchr wceq subrgsubg eqid subrg1cl subgod
    csubg syl2anc subrg1 fveq2d chrval eqtr2d 3eqtr3g ) ABCDEZBAFGZHDZUDIDZDZBH
    DZBIDZDZUDJDZBJDZUCUJUHUFDZUGUCABPDEUHAEUJUMKABLABUHUHMZNUHUFBUDUIAUDMZUIMZ
    UFMZOQUCUHUEUFABUDUHUOUNRSUAUKUDUEUFUQUEMUKMTULBUHUIUPUNULMTUB $.

  ${
    $d A u v $.  $d C u $.  $d M u v $.  $d R u v $.  $d V u v $.  $d X u $.
    $d ph u v $.
    rmfsuppf2.r $e |- R = ( Base ` M ) $.
    rmfsupp2.m $e |- ( ph -> M e. Ring ) $.
    rmfsupp2.v $e |- ( ph -> V e. X ) $.
    rmfsupp2.c $e |- ( ( ph /\ v e. V ) -> C e. R ) $.
    rmfsupp2.a $e |- ( ph -> A : V --> R ) $.
    rmfsupp2.1 $e |- ( ph -> A finSupp ( 0g ` M ) ) $.
    $( A mapping of a multiplication of a constant with a function into a ring
       is finitely supported if the function is finitely supported.
       (Contributed by Thierry Arnoux, 3-Jun-2023.) $)
    rmfsupp2 $p |- ( ph -> ( v e. V |-> ( ( A ` v ) ( .r ` M ) C ) ) finSupp (
       0g ` M ) ) $=
      ( vu co cfn wcel cvv wceq cfv cmulr cmpt c0g cfsupp wbr wfun csupp funmpt
      cv a1i wne cdm crab mptexd crg cgrp ringgrp eqid grpidcl suppval1 syl3anc
      3syl csb ovex dmmpti nfcv nfcsb1v nfov fveq2 csbeq1a oveq12d fvmptf mpan2
      wa eleq2s adantl neeq1d rabeqbidva wss fdmd rabeqdv cmap ffund cbs elmapd
      wf fvexi mpbird fsuppimpd eqeltrrd simpr oveq1d ad2antrr simplr ralrimiva
      wral rspcsbela syl2anc ringlz eqtrd necon3d ss2rabdv ssfi eqeltrd isfsupp
      ex wb mpbir2and ) ABGBUJZCUAZDFUBUAZPZUCZFUDUAZUEUFZXNUGZXNXOUHPZQRZXQABG
      XMUIUKZAXROUJZXNUAZXOULZOXNUMZUNZQAXQXNSRZXOERZXRYETXTABGXMHKUOZAFUPRZFUQ
      RYGJFUREFXOIXOUSZUTVCZOSEXNXOVAVBAYEYACUAZBYADVDZXLPZXOULZOGUNZQAYCYOOYDG
      YDGTABGXMXNXKDXLVEXNUSZVFZUKAYAYDRZVOYBYNXOYSYBYNTZAYTYAGYDYAGRZYNSRYTYLY
      MXLVEBYAXMYNGXNSBYAVGBYLYMXLBYLVGBXLVGBYADVHVIXJYATXKYLDYMXLXJYACVJBYADVK
      VLYQVMVNYRVPVQVRVSAYLXOULZOGUNZQRYPUUCVTYPQRAUUBOCUMZUNZUUCQAUUBOUUDGAGEC
      MWAWBACXOUHPZUUEQACUGCEGWCPZRZYGUUFUUETAGECMWDAUUHGECWGMAEGCSHESRAEFWEIWH
      UKKWFWIYKOUUGECXOVAVBACXONWJWKWKAYOUUBOGAUUAVOZYLXOYNXOUUIYLXOTZYNXOTUUIU
      UJVOZYNXOYMXLPZXOUUKYLXOYMXLUUIUUJWLWMUUKYIYMERZUULXOTAYIUUAUUJJWNUUKUUAD
      ERZBGWQZUUMAUUAUUJWOAUUOUUAUUJAUUNBGLWPWNBYAGDEWRWSEFXLYMXOIXLUSYJWTWSXAX
      GXBXCUUCYPXDWSXEXEAYFYGXPXQXSVOXHYHYKXNSEXOXFWSXI $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Subfields
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d R s $.
    primefldchr.1 $e |- P = ( R |`s |^| ( SubDRing ` R ) ) $.
    $( The characteristic of a prime field is the same as the characteristic of
       the main field.  (Contributed by Thierry Arnoux, 21-Aug-2023.) $)
    primefldchr $p |- ( R e. DivRing -> ( chr ` P ) = ( chr ` R ) ) $=
      ( vs cdr wcel cchr cfv csdrg cint cress fveq2i csubrg wceq wss wne issdrg
      co c0 cv simp2bi ssriv cbs eqid sdrgid ne0d subrgint sylancr subrgchr syl
      syl5eq ) BEFZAGHBBIHZJZKRZGHZBGHZAUOGCLULUNBMHZFZUPUQNULUMUROUMSPUSDUMURD
      TZUMFULUTURFBUTKREFBUTQUAUBULUMBUCHZVABVAUDUEUFBUMUGUHUNBUIUJUK $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Totally ordered rings and fields
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c oRing $.
  $c oField $.

  $( Extend class notation with the class of all ordered rings. $)
  corng $a class oRing $.

  $( Extend class notation with the class of all ordered fields. $)
  cofld $a class oField $.

  ${
    $d a b l r t v z $.
    $( Define class of all ordered rings.  An ordered ring is a ring with a
       total ordering compatible with its operations.  (Contributed by Thierry
       Arnoux, 23-Mar-2018.) $)
    df-orng $a |- oRing = { r e. ( Ring i^i oGrp ) | [. ( Base ` r ) / v ].
      [. ( 0g ` r ) / z ]. [. ( .r ` r ) / t ]. [. ( le ` r ) / l ].
      A. a e. v A. b e. v ( ( z l a /\ z l b ) -> z l ( a t b ) ) } $.

    $( Define class of all ordered fields.  An ordered field is a field with a
       total ordering compatible with its operations.  (Contributed by Thierry
       Arnoux, 18-Jan-2018.) $)
    df-ofld $a |- oField = ( Field i^i oRing ) $.
  $}

  ${
    $d a b l r t v z B $.  $d a b l r t v z R $.  $d l r t z .0. $.
    $d l r .<_ $.  $d l r t .x. $.
    isorng.0 $e |- B = ( Base ` R ) $.
    isorng.1 $e |- .0. = ( 0g ` R ) $.
    isorng.2 $e |- .x. = ( .r ` R ) $.
    isorng.3 $e |- .<_ = ( le ` R ) $.
    $( An ordered ring is a ring with a total ordering compatible with its
       operations.  (Contributed by Thierry Arnoux, 18-Jan-2018.) $)
    isorng $p |- ( R e. oRing <-> ( R e. Ring /\ R e. oGrp /\
      A. a e. B A. b e. B ( ( .0. .<_ a /\ .0. .<_ b )
        -> .0. .<_ ( a .x. b ) ) ) ) $=
      ( vl vt cv wbr wa wral cfv wsbc wceq vz vv vr crg cogrp cin wcel co corng
      wi w3a elin anbi1i cple cmulr c0g cbs cvv fvexd simpr simpl eqtr4di eqtrd
      fveq2d oveqd breq2d imbi2d 2ralbidv sbcbidv sbcied fveq2 raleq raleqbi1dv
      wb adantr syl breq1d anbi12d imbi12d bitr2d 3bitr3d df-orng elrab2 df-3an
      breqd 3bitr4i ) BUDUEUFZUGZEFNZDOZEGNZDOZPZEWIWKCUHZDOZUJZGAQFAQZPBUDUGZB
      UEUGZPZWQPBUIUGWRWSWQUKWHWTWQBUDUEULUMUANZWILNZOZXAWKXBOZPZXAWIWKMNZUHZXB
      OZUJZGUBNZQZFXJQZLUCNZUNRZSZMXMUORZSZUAXMUPRZSZUBXMUQRZSZWQUCBWGUIXMBTZEW
      IXBOZEWKXBOZPZEXGXBOZUJZGAQFAQZLXNSZMXPSZYEEWNXBOZUJZGAQFAQZLXNSZYAWQYBYI
      YNMXPURYBXMUOUSYBXFXPTZPZYHYMLXNYPYGYLFGAAYPYFYKYEYPXGWNEXBYPXFCWIWKYPXFX
      PCYBYOUTYPXPBUORCYPXMBUOYBYOVAVDJVBVCVEVFVGVHVIVJYBYAXIGAQZFAQZLXNSZMXPSZ
      UAXRSZYJYBXSUUAUBXTURYBXMUQUSYBXJXTTZPZXQYTUAXRUUCXOYSMXPUUCXLYRLXNUUCXJA
      TXLYRVNUUCXJXTAYBUUBUTYBXTATUUBYBXTBUQRAXMBUQVKHVBVOVCXKYQFXJAXIGXJAVLVMV
      PVIVIVIVJYBYTYJUAXRURYBXMUPUSYBXAXRTZPZYSYIMXPUUEYRYHLXNUUEXIYGFGAAUUEXEY
      EXHYFUUEXCYCXDYDUUEXAEWIXBUUEXAXREYBUUDUTYBXRETUUDYBXRBUPREXMBUPVKIVBVOVC
      ZVQUUEXAEWKXBUUFVQVRUUEXAEXGXBUUFVQVSVHVIVIVJVTYBYMWQLXNURYBXMUNUSYBXBXNT
      ZPZYLWPFGAAUUHYEWMYKWOUUHYCWJYDWLUUHXBDEWIUUHXBXNDYBUUGUTUUHXNBUNRDUUHXMB
      UNYBUUGVAVDKVBVCZWEUUHXBDEWKUUIWEVRUUHXBDEWNUUIWEVSVHVJWAUAUBMUCFGLWBWCWR
      WSWQWDWF $.
  $}

  ${
    $d a b R $.
    $( An ordered ring is a ring.  (Contributed by Thierry Arnoux,
       23-Mar-2018.) $)
    orngring $p |- ( R e. oRing -> R e. Ring ) $=
      ( va vb corng wcel crg cogrp c0g cfv cv cple wbr wa cmulr co wi wral eqid
      cbs isorng simp1bi ) ADEAFEAGEAHIZBJZAKIZLUBCJZUDLMUBUCUEANIZOUDLPCASIZQB
      UGQUGAUFUDUBBCUGRUBRUFRUDRTUA $.

    $( An ordered ring is an ordered group.  (Contributed by Thierry Arnoux,
       23-Mar-2018.) $)
    orngogrp $p |- ( R e. oRing -> R e. oGrp ) $=
      ( va vb corng wcel crg cogrp c0g cfv cv cple wbr wa cmulr co wi wral eqid
      cbs isorng simp2bi ) ADEAFEAGEAHIZBJZAKIZLUBCJZUDLMUBUCUEANIZOUDLPCASIZQB
      UGQUGAUFUDUBBCUGRUBRUFRUDRTUA $.
  $}

  $( An ordered field is a field with a total ordering compatible with its
     operations.  (Contributed by Thierry Arnoux, 23-Mar-2018.) $)
  isofld $p |- ( F e. oField <-> ( F e. Field /\ F e. oRing ) ) $=
    ( cfield corng cofld df-ofld elin2 ) ABCDEF $.

  ${
    $d a b B $.  $d a b R $.  $d a b X $.  $d b Y $.  $d a b .0. $.
    $d a b .<_ $.  $d a b .x. $.
    orngmul.0 $e |- B = ( Base ` R ) $.
    orngmul.1 $e |- .<_ = ( le ` R ) $.
    orngmul.2 $e |- .0. = ( 0g ` R ) $.
    orngmul.3 $e |- .x. = ( .r ` R ) $.
    $( In an ordered ring, the ordering is compatible with the ring
       multiplication operation.  (Contributed by Thierry Arnoux,
       20-Jan-2018.) $)
    orngmul $p |- ( ( R e. oRing
      /\ ( X e. B /\ .0. .<_ X ) /\ ( Y e. B /\ .0. .<_ Y ) )
      -> .0. .<_ ( X .x. Y ) ) $=
      ( va vb wcel wbr wa co cv wi wral corng simp2r simp3r simp2l simp3l cogrp
      w3a isorng simp3bi 3ad2ant1 wceq breq2 anbi1d oveq1 breq2d imbi12d anbi2d
      crg oveq2 rspc2va syl21anc mp2and ) BUANZEANZGEDOZPZFANZGFDOZPZUGZVEVHGEF
      CQZDOZVCVDVEVIUBVCVFVGVHUCVJVDVGGLRZDOZGMRZDOZPZGVMVOCQZDOZSZMATLATZVEVHP
      ZVLSZVCVDVEVIUDVCVFVGVHUEVCVFWAVIVCBURNBUFNWAABCDGLMHJKIUHUIUJVTWCVEVPPZG
      EVOCQZDOZSLMEFAAVMEUKZVQWDVSWFWGVNVEVPVMEGDULUMWGVRWEGDVMEVOCUNUOUPVOFUKZ
      WDWBWFVLWHVPVHVEVOFGDULUQWHWEVKGDVOFECUSUOUPUTVAVB $.

    $( In an ordered ring, all squares are positive.  (Contributed by Thierry
       Arnoux, 20-Jan-2018.) $)
    orngsqr $p |- ( ( R e. oRing /\ X e. B ) -> .0. .<_ ( X .x. X ) ) $=
      ( wcel wa wbr co cfv syl eqid syl2anc wceq wo corng simpll simplr orngmul
      simpr syl122anc wn cminusg cgrp orngring ad2antrr ringgrp grpinvcl cplusg
      crg comnd cogrp orngogrp isogrp simprbi grpidcl cplt w3a simpl 3syl pltle
      3jca con3dimp sylan w3o wor ctos omndtos cid cres wss ibi simpld syl12anc
      tosso solin 3orass sylib orel1 sylc orcom eqcom orbi2i cpo tospos pleval2
      syl3anc mpbird omndadd syl131anc grprinv grplid 3brtr3d ringm2neg breqtrd
      bitri wb pm2.61dan ) BUAKZEAKZLZFEDMZFEECNZDMZXFXGLXDXEXGXEXGXIXDXEXGUBXD
      XEXGUCZXFXGUEZXJXKABCDEEFGHIJUDUFXFXGUGZLZFEBUHOZOZXOCNZXHDXMXDXOAKZFXODM
      ZXQXRFXPDMXDXEXLUBZXMBUIKZXEXQXMBUOKZXTXDYAXEXLBUJZUKZBULZPZXDXEXLUCZABXN
      EGXNQZUMRZXMEXOBUNOZNZFXOYINZFXODXMBUPKZXEFAKZXQEFDMZYJYKDMXMXDYLXSXDBUQK
      ZYLBURYOXTYLBUSUTPZPYFXMXTYMYEABFGIVAZPZYHXMYNEFBVBOZMZEFSZTZXMFESZYTTZUU
      BXMFEYSMZUGZUUEUUDTZUUDXFXDYMXEVCZXLUUFXFXDYMXEXDXEVDZXFXDYMUUIXDYAXTYMYB
      YDYQVEPXDXEUEVGUUHUUEXGUAAAYSBDFEHYSQZVFVHVIXMUUEUUCYTVJZUUGXMAYSVKZYMXEU
      UKXMXDBVLKZUULXSXDYLUUMYPBVMPZUUMUULVNAVODVPZUUMUULUUOLAYSBDVLGHUUJVTVQVR
      VEYRYFAFEYSWAVSUUEUUCYTWBWCUUEUUDWDWEUUDYTUUCTUUBUUCYTWFUUCUUAYTFEWGWHXAW
      CXMBWIKZXEYMYNUUBXBXMXDUUMUUPXSUUNBWJVEYFYRAYSBDEFGHUUJWKWLWMAYIDBEFXOGHY
      IQZWNWOXMXTXEYJFSYEYFAYIBXNEFGUUQIYGWPRXMXTXQYKXOSYEYHAYIBXOFGUUQIWQRWRZY
      HUURABCDXOXOFGHIJUDUFXMABCXNEEGJYGYCYFYFWSWTXC $.
  $}

  ${
    ornglmullt.b $e |- B = ( Base ` R ) $.
    ornglmullt.t $e |- .x. = ( .r ` R ) $.
    ornglmullt.0 $e |- .0. = ( 0g ` R ) $.
    ornglmullt.1 $e |- ( ph -> R e. oRing ) $.
    ornglmullt.2 $e |- ( ph -> X e. B ) $.
    ornglmullt.3 $e |- ( ph -> Y e. B ) $.
    ornglmullt.4 $e |- ( ph -> Z e. B ) $.
    ${
      orngmulle.l $e |- .<_ = ( le ` R ) $.
      orngmulle.5 $e |- ( ph -> X .<_ Y ) $.
      orngmulle.6 $e |- ( ph -> .0. .<_ Z ) $.
      $( In an ordered ring, multiplication with a positive does not change
         comparison.  (Contributed by Thierry Arnoux, 10-Apr-2018.) $)
      ornglmulle $p |- ( ph -> ( Z .x. X ) .<_ ( Z .x. Y ) ) $=
        ( wcel co cplusg cfv csg comnd wbr cogrp corng orngogrp syl cgrp isogrp
        simprbi crg orngring ringgrp grpidcl ringcl eqid grpsubcl wceq grpsubid
        syl3anc syl2anc ogrpsub syl131anc eqbrtrrd syl122anc ringsubdi grpnpcan
        orngmul breqtrd omndadd grplid 3brtr3d ) AHIFDUAZCUBUCZUAZIGDUAZVPCUDUC
        ZUAZVPVQUAZVPVSEACUETZHBTZWABTZVPBTZHWAEUFVRWBEUFACUGTZWCACUHTZWGMCUIUJ
        ZWGCUKTZWCCULUMUJAWJWDACUNTZWJAWHWKMCUOUJZCUPUJZBCHJLUQUJAWJVSBTZWFWEWM
        AWKIBTZGBTZWNWLPOBCDIGJKURVCZAWKWOFBTZWFWLPNBCDIFJKURVCZBCVTVSVPJVTUSZU
        TVCWSAHIGFVTUAZDUAZWAEAWHWOHIEUFXABTZHXAEUFHXBEUFMPSAWJWPWRXCWMONBCVTGF
        JWTUTVCAFFVTUAZHXAEAWJWRXDHVAWMNBCVTFHJLWTVBVDAWGWRWPWRFGEUFXDXAEUFWINO
        NRBCEVTFGFJQWTVEVFVGBCDEIXAHJQLKVKVHABCDVTIGFJKWTWLPONVIVLBVQECHWAVPJQV
        QUSZVMVFAWJWFVRVPVAWMWSBVQCVPHJXELVNVDAWJWNWFWBVSVAWMWQWSBVQCVTVSVPJXEW
        TVJVCVO $.

      $( In an ordered ring, multiplication with a positive does not change
         comparison.  (Contributed by Thierry Arnoux, 10-Apr-2018.) $)
      orngrmulle $p |- ( ph -> ( X .x. Z ) .<_ ( Y .x. Z ) ) $=
        ( wcel co cplusg cfv csg comnd wbr cogrp corng orngogrp syl cgrp isogrp
        simprbi crg orngring ringgrp grpidcl ringcl eqid grpsubcl wceq grpsubid
        syl3anc syl2anc ogrpsub syl131anc eqbrtrrd syl122anc rngsubdir grpnpcan
        orngmul breqtrd omndadd grplid 3brtr3d ) AHFIDUAZCUBUCZUAZGIDUAZVPCUDUC
        ZUAZVPVQUAZVPVSEACUETZHBTZWABTZVPBTZHWAEUFVRWBEUFACUGTZWCACUHTZWGMCUIUJ
        ZWGCUKTZWCCULUMUJAWJWDACUNTZWJAWHWKMCUOUJZCUPUJZBCHJLUQUJAWJVSBTZWFWEWM
        AWKGBTZIBTZWNWLOPBCDGIJKURVCZAWKFBTZWPWFWLNPBCDFIJKURVCZBCVTVSVPJVTUSZU
        TVCWSAHGFVTUAZIDUAZWAEAWHXABTZHXAEUFWPHIEUFHXBEUFMAWJWOWRXCWMONBCVTGFJW
        TUTVCAFFVTUAZHXAEAWJWRXDHVAWMNBCVTFHJLWTVBVDAWGWRWOWRFGEUFXDXAEUFWINONR
        BCEVTFGFJQWTVEVFVGPSBCDEXAIHJQLKVKVHABCDVTGFIJKWTWLONPVIVLBVQECHWAVPJQV
        QUSZVMVFAWJWFVRVPVAWMWSBVQCVPHJXELVNVDAWJWNWFWBVSVAWMWQWSBVQCVTVSVPJXEW
        TVJVCVO $.
    $}

    ${
      ornglmullt.l $e |- .< = ( lt ` R ) $.
      ornglmullt.d $e |- ( ph -> R e. DivRing ) $.
      ornglmullt.5 $e |- ( ph -> X .< Y ) $.
      ornglmullt.6 $e |- ( ph -> .0. .< Z ) $.
      $( In an ordered ring, multiplication with a positive does not change
         strict comparison.  (Contributed by Thierry Arnoux, 9-Apr-2018.) $)
      ornglmullt $p |- ( ph -> ( Z .x. X ) .< ( Z .x. Y ) ) $=
        ( wbr cple cfv wne eqid corng wcel w3a pltle imp syl31anc cgrp orngring
        co crg syl ringgrp grpidcl 3syl ornglmulle wceq wa cinvr oveq2d cur cui
        simpr pltne necomd drngunit biimpar syl12anc unitlinv syl2anc ringinvcl
        oveq1d ringass syl13anc ringlidm 3eqtr3d adantr neneqd neqned wb ringcl
        cdr pm2.65da syl3anc pltval mpbir2and ) AIFEUNZIGEUNZDUAZWKWLCUBUCZUAZW
        KWLUDZABCEWNFGHIJKLMNOPWNUEZACUFUGZFBUGZGBUGZFGDUAZFGWNUAZMNOSWRWSWTUHZ
        XAXBUFBBDCWNFGWQQUIUJUKAWRHBUGZIBUGZHIDUAZHIWNUAZMACUOUGZCULUGXDAWRXHMC
        UMUPZCUQBCHJLURUSZPTWRXDXEUHZXFXGUFBBDCWNHIWQQUIUJUKUTAWKWLAWKWLVAZFGVA
        AXLVBZICVCUCZUCZWKEUNZXOWLEUNZFGXMWKWLXOEAXLVGVDAXPFVAXLAXOIEUNZFEUNZCV
        EUCZFEUNZXPFAXRXTFEAXHICVFUCZUGZXRXTVAXIACWFUGZXEIHUDZYCRPAHIAWRXDXEXFH
        IUDZMXJPTXKXFYFUFBBDCHIQVHUJUKVIYDYCXEYEVBBCYBIHJYBUEZLVJVKVLZCEYBXTXNI
        YGXNUEZKXTUEZVMVNZVPAXHXOBUGZXEWSXSXPVAXIAXHYCYLXIYHBCYBXNIYGYIJVOVNZPN
        BCEXOIFJKVQVRAXHWSYAFVAXINBCEXTFJKYJVSVNVTWAAXQGVAXLAXRGEUNZXTGEUNZXQGA
        XRXTGEYKVPAXHYLXEWTYNXQVAXIYMPOBCEXOIGJKVQVRAXHWTYOGVAXIOBCEXTGJKYJVSVN
        VTWAVTXMFGAFGUDZXLAWRWSWTXAYPMNOSXCXAYPUFBBDCFGQVHUJUKWAWBWGWCAWRWKBUGZ
        WLBUGZWMWOWPVBWDMAXHXEWSYQXIPNBCEIFJKWEWHAXHXEWTYRXIPOBCEIGJKWEWHUFBBDC
        WNWKWLWQQWIWHWJ $.

      $( In an ordered ring, multiplication with a positive does not change
         strict comparison.  (Contributed by Thierry Arnoux, 9-Apr-2018.) $)
      orngrmullt $p |- ( ph -> ( X .x. Z ) .< ( Y .x. Z ) ) $=
        ( wbr cple cfv wne eqid corng wcel w3a pltle imp syl31anc cgrp orngring
        co crg syl ringgrp grpidcl 3syl orngrmulle wceq wa simpr oveq1d cui cdr
        pltne necomd drngunit biimpar syl12anc dvrcan3 syl3anc 3eqtr3d pm2.65da
        cdvr adantr neneqd neqned wb ringcl pltval mpbir2and ) AFIEUNZGIEUNZDUA
        ZWDWECUBUCZUAZWDWEUDZABCEWGFGHIJKLMNOPWGUEZACUFUGZFBUGZGBUGZFGDUAZFGWGU
        AZMNOSWKWLWMUHZWNWOUFBBDCWGFGWJQUIUJUKAWKHBUGZIBUGZHIDUAZHIWGUAZMACUOUG
        ZCULUGWQAWKXAMCUMUPZCUQBCHJLURUSZPTWKWQWRUHZWSWTUFBBDCWGHIWJQUIUJUKUTAW
        DWEAWDWEVAZFGVAAXEVBZWDICVPUCZUNZWEIXGUNZFGXFWDWEIXGAXEVCVDAXHFVAZXEAXA
        WLICVEUCZUGZXJXBNACVFUGZWRIHUDZXLRPAHIAWKWQWRWSHIUDZMXCPTXDWSXOUFBBDCHI
        QVGUJUKVHXMXLWRXNVBBCXKIHJXKUEZLVIVJVKZBXGCEXKFIJXPXGUEZKVLVMVQAXIGVAZX
        EAXAWMXLXSXBOXQBXGCEXKGIJXPXRKVLVMVQVNXFFGAFGUDZXEAWKWLWMWNXTMNOSWPWNXT
        UFBBDCFGQVGUJUKVQVRVOVSAWKWDBUGZWEBUGZWFWHWIVBVTMAXAWLWRYAXBNPBCEFIJKWA
        VMAXAWMWRYBXBOPBCEGIJKWAVMUFBBDCWGWDWEWJQWBVMWC $.
    $}
  $}

  ${
    orngmullt.b $e |- B = ( Base ` R ) $.
    orngmullt.t $e |- .x. = ( .r ` R ) $.
    orngmullt.0 $e |- .0. = ( 0g ` R ) $.
    orngmullt.l $e |- .< = ( lt ` R ) $.
    orngmullt.1 $e |- ( ph -> R e. oRing ) $.
    orngmullt.4 $e |- ( ph -> R e. DivRing ) $.
    orngmullt.2 $e |- ( ph -> X e. B ) $.
    orngmullt.3 $e |- ( ph -> Y e. B ) $.
    orngmullt.x $e |- ( ph -> .0. .< X ) $.
    orngmullt.y $e |- ( ph -> .0. .< Y ) $.
    $( In an ordered ring, the strict ordering is compatible with the ring
       multiplication operation.  (Contributed by Thierry Arnoux,
       9-Sep-2018.) $)
    orngmullt $p |- ( ph -> .0. .< ( X .x. Y ) ) $=
      ( wbr wcel co cple cfv wne corng wa wb cgrp orngring ringgrp grpidcl 4syl
      crg eqid pltval syl3anc simpld orngmul syl122anc simprd necomd drngmulne0
      mpbid mpbir2and syl ringcl ) AHFGEUAZDSZHVGCUBUCZSZHVGUDZACUETZFBTZHFVISZ
      GBTZHGVISZVJMOAVNHFUDZAHFDSZVNVQUFZQAVLHBTZVMVRVSUGMAVLCUMTZCUHTVTMCUIZCU
      JBCHIKUKULZOUEBBDCVIHFVIUNZLUOUPVCZUQPAVPHGUDZAHGDSZVPWFUFZRAVLVTVOWGWHUG
      MWCPUEBBDCVIHGWDLUOUPVCZUQBCEVIFGHIWDKJURUSAVGHAVGHUDFHUDGHUDAHFAVNVQWEUT
      VAAHGAVPWFWIUTVAABCEFGHIKJNOPVBVDVAAVLVTVGBTZVHVJVKUFUGMWCAWAVMVOWJAVLWAM
      WBVEOPBCEFGIJVFUPUEBBDCVIHVGWDLUOUPVD $.
  $}

  $( An ordered field is a field.  (Contributed by Thierry Arnoux,
     20-Jan-2018.) $)
  ofldfld $p |- ( F e. oField -> F e. Field ) $=
    ( cofld wcel cfield corng isofld simplbi ) ABCADCAECAFG $.

  $( An ordered field is a totally ordered set.  (Contributed by Thierry
     Arnoux, 20-Jan-2018.) $)
  ofldtos $p |- ( F e. oField -> F e. Toset ) $=
    ( cofld wcel comnd ctos corng cogrp cfield isofld orngogrp cgrp isogrp 3syl
    simprbi omndtos syl ) ABCZADCZAECQAFCZAGCZRQAHCSAINAJTAKCRALNMAOP $.

  ${
    orng0le1.1 $e |- .0. = ( 0g ` F ) $.
    orng0le1.2 $e |- .1. = ( 1r ` F ) $.
    ${
      orng0le1.3 $e |- .<_ = ( le ` F ) $.
      $( In an ordered ring, the ring unit is positive.  (Contributed by
         Thierry Arnoux, 21-Jan-2018.) $)
      orng0le1 $p |- ( F e. oRing -> .0. .<_ .1. ) $=
        ( corng wcel cmulr cfv cbs wbr crg orngring eqid ringidcl syl orngsqr
        co mpdan wceq ringlidm syl2anc2 breqtrd ) BHIZDAABJKZTZACUFABLKZIZDUHCM
        UFBNIZUJBOZUIBAUIPZFQZRUIBUGCADUMGEUGPZSUAUFUKUJUHAUBULUNUIBUGAAUMUOFUC
        UDUE $.
    $}

    ${
      ofld0lt1.3 $e |- .< = ( lt ` F ) $.
      $( TODO - this can be generalized to ordered division rings $)
      $( In an ordered field, the ring unit is strictly positive.  (Contributed
         by Thierry Arnoux, 21-Jan-2018.) $)
      ofldlt1 $p |- ( F e. oField -> .0. .< .1. ) $=
        ( cofld wcel wbr cple cfv wne corng cfield isofld simprbi eqid fvexi
        cvv orng0le1 syl cdr ofldfld ccrg isfld simplbi drngunz 3syl necomd c0g
        wa wb cur pltval mp3an23 mpbir2and ) CHIZDBAJZDBCKLZJZDBMZURCNIZVAURCOI
        ZVCCPQBCUTDEFUTRZUAUBURBDURVDCUCIZBDMCUDVDVFCUEICUFUGCBDEFUHUIUJURDTIBT
        IUSVAVBULUMDCUKESBCUNFSHTTACUTDBVEGUOUPUQ $.
    $}
  $}

  ${
    $d m n F $.  $d n y F $.
    $( TODO - this can be generalized to nonzero division rings $)
    $( The characteristic of an ordered field is zero.  (Contributed by Thierry
       Arnoux, 21-Jan-2018.)  (Proof shortened by AV, 6-Oct-2020.) $)
    ofldchr $p |- ( F e. oField -> ( chr ` F ) = 0 ) $=
      ( vy wcel cfv cc0 eqid co wceq cn 3syl wa wbr wi c1 oveq1 breq2d ad2antlr
      imbi2d syl cvv vn vm cofld cchr cur cod chrval cv cmg c0g crab c0 cr cinf
      clt cif crg cbs cfield ofldfld ccrg isfld simplbi drngring ringidcl odval
      cdr wn wral cplt wne caddc ofldlt1 mulg1 breqtrrd cpo ctos ofldtos tospos
      w3a cgrp ringgrp grpidcl cmgm cmnd grpmnd mndmgm simpll syl3anc peano2nnd
      mulgnncl 3jca simpr cplusg cogrp simplr isofld simprbi orngogrp ogrpaddlt
      corng syl131anc grplid syl2anc eqcomd mulgnnp1 ccmn ringcmn eqtrd 3brtr4d
      cmncom plttr imp syl22anc exp31 a2d nnind impcom fvex ovex mp3an23 adantr
      pltne mpd necomd neneqd ralrimiva rabeq0 sylibr iftrued eqtr3id ) AUCCZAU
      DDZAUEDZAUFDZDZEYMAYNYOYOFZYNFZYMFUGYLYPBUHZYNAUIDZGZAUJDZHZBIUKZULHZEUUD
      UMUOUNZUPZEYLAUQCZYNAURDZCZYPUUGHYLAUSCZAVGCZUUHAUTUUKUULAVACAVBVCAVDJZUU
      IAYNUUIFZYRVEZBYNYTAUUDYOUUIUUBUUNYTFZUUBFZYQUUDFVFJYLUUEEUUFYLUUCVHZBIVI
      UUEYLUURBIYLYSICZKZUUAUUBUUTUUBUUAUUTUUBUUAAVJDZLZUUBUUAVKZUUSYLUVBYLUUBU
      AUHZYNYTGZUVALZMYLUUBNYNYTGZUVALZMYLUUBUBUHZYNYTGZUVALZMYLUUBUVINVLGZYNYT
      GZUVALZMYLUVBMUAUBYSUVDNHZUVFUVHYLUVOUVEUVGUUBUVAUVDNYNYTOPRUVDUVIHZUVFUV
      KYLUVPUVEUVJUUBUVAUVDUVIYNYTOPRUVDUVLHZUVFUVNYLUVQUVEUVMUUBUVAUVDUVLYNYTO
      PRUVDYSHZUVFUVBYLUVRUVEUUAUUBUVAUVDYSYNYTOPRYLUUBYNUVGUVAUVAYNAUUBUUQYRUV
      AFZVMZYLUUJUVGYNHYLUUHUUJUUMUUOSZUUIYTAYNUUNUUPVNSVOUVIICZYLUVKUVNUWBYLUV
      KUVNUWBYLKZUVKKZAVPCZUUBUUICZUVJUUICZUVMUUICZVTZUVKUVJUVMUVALZUVNYLUWEUWB
      UVKYLAVQCUWEAVRAVSSQUWDUWFUWGUWHUWDAWACZUWFYLUWKUWBUVKYLUUHUWKUUMAWBSQZUU
      IAUUBUUNUUQWCSZUWDAWDCZUWBUUJUWGUWDUWKUWNUWLUWKAWECUWNAWFAWGSSZUWBYLUVKWH
      ZYLUUJUWBUVKUWAQZUUIYTAUVIYNUUNUUPWKWIZUWDUWNUVLICUUJUWHUWOUWDUVIUWPWJUWQ
      UUIYTAUVLYNUUNUUPWKWIWLUWCUVKWMUWDUUBUVJAWNDZGZYNUVJUWSGZUVJUVMUVAUWDAWOC
      ZUWFUUJUWGUUBYNUVALZUWTUXAUVALUWDYLAXACZUXBUWBYLUVKWPZYLUUKUXDAWQWRAWSJUW
      MUWQUWRYLUXCUWBUVKUVTQUUIUWSUVAAUUBYNUVJUUNUVSUWSFZWTXBUWDUWTUVJUWDUWKUWG
      UWTUVJHUWLUWRUUIUWSAUVJUUBUUNUXFUUQXCXDXEUWDUVMUVJYNUWSGZUXAUWDUWBUUJUVMU
      XGHUWPUWQUUIUWSYTAUVIYNUUNUUPUXFXFXDUWDAXGCZUWGUUJUXGUXAHUWDYLUUHUXHUXEUU
      MAXHJUWRUWQUUIUWSAUVJYNUUNUXFXKWIXIXJUWEUWIKUVKUWJKUVNUUIUVAAUUBUVJUVMUUN
      UVSXLXMXNXOXPXQXRYLUVBUVCMZUUSYLUUBTCUUATCUXIAUJXSYSYNYTXTUCTTUVAAUUBUUAU
      VSYCYAYBYDYEYFYGUUCBIYHYIYJXIYK $.
  $}

  ${
    $d a b A $.  $d a b R $.
    $( Every subring of an ordered ring is also an ordered ring.  (Contributed
       by Thierry Arnoux, 21-Jan-2018.) $)
    suborng $p |- ( ( R e. oRing /\ ( R |`s A ) e. Ring )
      -> ( R |`s A ) e. oRing ) $=
      ( va vb wcel cress co wa c0g cfv wbr cbs cgrp syl cvv c0 wceq eqid adantr
      breq123d corng crg cogrp cv cple cmulr wi wral simpr comnd ringgrp adantl
      cmnd orngogrp isogrp simprbi ringmnd submomnd syl2an sylanbrc simp-4l wss
      wn reldmress ovprc2 fveq2d base0 eqtr4di wne cur ringidcl ad2antlr neneqd
      ne0d condan ressbas inss2 eqsstrrdi ad3antrrr simpllr sseldd simprl csubg
      wb orngring ressinbas oveq2d eqtrd eqeltrrd issubg syl3anbrc subg0 eqtr4d
      cin ad2antrr ressle eqidd mpbird simplr simprr orngmul syl122anc ressmulr
      oveqd mpbid ex anasss ralrimivva isorng ) BUAEZBAFGZUBEZHZXLXKUCEZXKIJZCU
      DZXKUEJZKZXODUDZXQKZHZXOXPXSXKUFJZGZXQKZUGZDXKLJZUHCYFUHXKUAEXJXLUIXMXKME
      ZXKUJEZXNXLYGXJXKUKULZXJBUJEZXKUMEYHXLXJBUCEZYJBUNYKBMEZYJBUOUPNXKUQABURU
      SXKUOUTXMYECDYFYFXMXPYFEZXSYFEZYEXMYMHZYNHZYAYDYPYAHZBIJZXPXSBUFJZGZBUEJZ
      KZYDYQXJXPBLJZEYRXPUUAKZXSUUCEYRXSUUAKZUUBXJXLYMYNYAVAYQYFUUCXPXMYFUUCVBZ
      YMYNYAXMAOEZUUFXMUUGYFPQXMUUGVCZHZYFPLJZPUUHYFUUJQXMUUHXKPLBAFVDVEVFULVGV
      HUUIYFPXLYFPVIXJUUHXLYFXKVJJZYFXKUUKYFRZUUKRVKVNVLVMVOZUUGYFAUUCWNZUUCAUU
      CXKOBXKRZUUCRZVPZAUUCVQVRNZVSZXMYMYNYAVTWAYQUUDXRYPXRXTWBYPUUDXRWDYAYPYRX
      OXPXPUUAXQXMYRXOQZYMYNXMYRBYFFGZIJZXOXMYFBWCJEZYRUVBQXMYLUUFUVAMEUVCXJYLX
      LXJBUBEYLBWEBUKNSUURXMXKUVAMXMUUGXKUVAQUUMUUGXKBUUNFGUVAAUUCBOUUPWFUUGUUN
      YFBFUUQWGWHNZYIWIUUCYFBUUPWJWKYFBUVAYRUVARYRRZWLNXMXKUVAIUVDVFWMWOZYPUUGU
      UAXQQZXMUUGYMYNUUMWOZABUUAOXKUUOUUARZWPNZYPXPWQTSWRYQYFUUCXSUUSYOYNYAWSWA
      YQUUEXTYPXRXTWTYPUUEXTWDYAYPYRXOXSXSUUAXQUVFUVJYPXSWQTSWRUUCBYSUUAXPXSYRU
      UPUVIUVEYSRZXAXBYQYRXOYTYCUUAXQYPUUTYAUVFSYPUVGYAUVJSYQYSYBXPXSYQUUGYSYBQ
      YPUUGYAUVHSABXKYSOUUOUVKXCNXDTXEXFXGXHYFXKYBXQXOCDUULXORYBRXQRXIWK $.
  $}

  $( Every subfield of an ordered field is also an ordered field.  (Contributed
     by Thierry Arnoux, 21-Jan-2018.) $)
  subofld $p |- ( ( F e. oField /\ ( F |`s A ) e. Field )
    -> ( F |`s A ) e. oField ) $=
    ( cofld wcel cress co cfield corng simpr crg isofld simprbi adantr ccrg cdr
    wa isfld crngring 3syl suborng syl2anc sylanbrc ) BCDZBAEFZGDZPZUEUDHDZUDCD
    UCUEIZUFBHDZUDJDZUGUCUIUEUCBGDUIBKLMUFUEUDNDZUJUHUEUDODUKUDQLUDRSABTUAUDKUB
    $.

  ${
    $d n x y z B $.  $d n x y z W $.  $d x y z H $.  $d n x y z .< $.
    isarchiofld.b $e |- B = ( Base ` W ) $.
    isarchiofld.h $e |- H = ( ZRHom ` W ) $.
    isarchiofld.l $e |- .< = ( lt ` W ) $.
    $( Axiom of Archimedes : a characterization of the Archimedean property for
       ordered fields.  (Contributed by Thierry Arnoux, 9-Apr-2018.) $)
    isarchiofld $p |- ( W e. oField ->
      ( W e. Archi <-> A. x e. B E. n e. NN x .< ( H ` n ) ) ) $=
      ( wcel cfv wbr co cn wral eqid 3syl wceq syl wa vy vz cofld carchi c0g cv
      cmg wrex corng cogrp cfield isofld simprbi orngogrp isarchi3 cur orngring
      wi wb crg ringidcl breq2 oveq2 breq2d rexbidv imbi12d ralbidv rspcv pm5.5
      ofldlt1 sylibd cz nnz zrhmulg syl2an rexbidva sylibrd nfv nfra1 nfan cdvr
      cui ad3antrrr simplrr simplrl simpr simplll ringgrp grpidcl pltne syl3anc
      wne cgrp mpd necomd cdr simplbi ccrg isfld drngunit mpbir2and dvrcl breq1
      cbvralvw sylib ad2antrr sylc simp-4l simp-4r simprd simpld simpllr simplr
      cmulr syl2anc mulgcl eqeltrd orngrmullt oveq1d mulgass2 syl13anc ringlidm
      dvrcan1 oveq2d 3eqtrd 3brtr3d ex reximdva adantllr expr ralrimi ralrimiva
      impbid bitrd ) FUCJZFUDJZFUEKZUAUFZCLZAUFZDUFZYRFUGKZMZCLZDNUHZURZABOZUAB
      OZYTUUAEKZCLZDNUHZABOZYOFUIJZFUJJYPUUHUSYOFUKJZUUMFULZUMZFUNUAABCUUBDFYQG
      YQPZIUUBPZUOQYOUUHUULYOUUHYTUUAFUPKZUUBMZCLZDNUHZABOZUULYOUUHYQUUSCLZUVBU
      RZABOZUVCYOUUSBJZUUHUVFURYOUUMFUTJZUVGUUPFUQZBFUUSGUUSPZVAZQUUGUVFUAUUSBY
      RUUSRZUUFUVEABUVLYSUVDUUEUVBYRUUSYQCVBUVLUUDUVADNUVLUUCUUTYTCYRUUSUUAUUBV
      CVDVEVFVGVHSYOUVEUVBABYOUVDUVEUVBUSCUUSFYQUUQUVJIVJUVDUVBVISVGVKYOUUKUVBA
      BYOUUJUVADNYOUUANJZTUUIUUTYTCYOUVHUUAVLJZUUIUUTRZUVMYOUUMUVHUUPUVISZUUAVM
      ZFUUBUUSEUUAHUURUVJVNVOZVDVPVGVQYOUULUUHYOUULTZUUGUABUVSYRBJZTUUFABUVSUVT
      AYOUULAYOAVRUUKABVSVTUVTAVRVTUVSUVTYTBJZUUFUVSUVTUWATZTZYSUUEUWCYSTZYTYRF
      WAKZMZUUICLZDNUHZUUEUWDUWFBJZUBUFZUUICLZDNUHZUBBOZUWHUWDUVHUWAYRFWBKZJZUW
      IYOUVHUULUWBYSUVPWCZUVSUVTUWAYSWDUWDUWOUVTYRYQWLZUVSUVTUWAYSWEZUWDYQYRUWD
      YSYQYRWLZUWCYSWFUWDYOYQBJZUVTYSUWSURZYOUULUWBYSWGZUWDUVHFWMJZUWTUWPFWHZBF
      YQGUUQWIZQUWRUCBBCFYQYRIWJZWKWNWOUWDYOFWPJZUWOUVTUWQTUSZUXBYOUUNUXGYOUUNU
      UMUUOWQUUNUXGFWRJFWSWQSZBFUWNYRYQGUWNPZUUQWTZQXABUWEFUWNYTYRGUXJUWEPZXBZW
      KUVSUWMUWBYSUVSUULUWMYOUULWFUUKUWLAUBBYTUWJRUUJUWKDNYTUWJUUICXCVEXDXEXFUW
      LUWHUBUWFBUWJUWFRUWKUWGDNUWJUWFUUICXCVEVHXGYOUWBYSUWHUUEURUULYOUWBTZYSTZU
      WGUUDDNUXOUVMTZUWGUUDUXPUWGTZUWFYRFXNKZMZUUIYRUXRMZYTUUCCUXQBFCUXRUWFUUIY
      QYRGUXRPZUUQUXQYOUUMYOUWBYSUVMUWGXHZUUPSUXQUVHUWAUWOUWIUXQYOUVHUYBUVPSZUX
      QUVTUWAYOUWBYSUVMUWGXIZXJZUXQUWOUVTUWQUXQUVTUWAUYDXKZUXQYQYRUXQYSUWSUXNYS
      UVMUWGXLZUXQYOUWTUVTUXAUYBUXQUVHUXCUWTUYCUXDUXEQUYFUXFWKWNWOUXQYOUXGUXHUY
      BUXIUXKQXAZUXMWKUXQUUIUUTBUXQYOUVMUVOUYBUXOUVMUWGXMZUVRXOZUXQUXCUVNUVGUUT
      BJUXQUVHUXCUYCUXDSUXQUVMUVNUYIUVQSZUXQUVHUVGUYCUVKSZBUUBFUUAUUSGUURXPWKXQ
      UYFIUXQYOUXGUYBUXISUXPUWGWFUYGXRUXQUVHUWAUWOUXSYTRUYCUYEUYHBUWEFUXRUWNYTY
      RGUXJUXLUYAYCWKUXQUXTUUTYRUXRMZUUAUUSYRUXRMZUUBMZUUCUXQUUIUUTYRUXRUYJXSUX
      QUVHUVNUVGUVTUYMUYORUYCUYKUYLUYFBFUUBUXRUUAUUSYRGUURUYAXTYAUXQUYNYRUUAUUB
      UXQUVHUVTUYNYRRUYCUYFBFUXRUUSYRGUYAUVJYBXOYDYEYFYGYHYIWNYGYJYKYLYGYMYN $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Ring homomorphisms - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d c y A $.  $d c y B $.  $d c y F $.  $d c R $.  $d c y S $.  $d c X $.
    $d c .|| $.
    rhmdvdsr.x $e |- X = ( Base ` R ) $.
    rhmdvdsr.m $e |- .|| = ( ||r ` R ) $.
    rhmdvdsr.n $e |- ./ = ( ||r ` S ) $.
    $( A ring homomorphism preserves the divisibility relation.  (Contributed
       by Thierry Arnoux, 22-Oct-2017.) $)
    rhmdvdsr $p |- ( ( ( F e. ( R RingHom S ) /\ A e. X /\ B e. X )
      /\ A .|| B ) -> ( F ` A ) ./ ( F ` B ) ) $=
      ( vy vc co wcel wa cfv wceq wrex syl2anc crh w3a wbr cbs cv simpl1 simpl2
      cmulr eqid rhmf ffvelrnda wral simpll1 simpr adantr rhmmul syl3anc dvdsr2
      ralrimiva biimpac r19.29 fveq2d eqtr3d reximi syl eqeq1d rspcev rexlimivw
      simpl oveq1 dvdsr sylanbrc ) GEFUANOZAHOZBHOZUBZABCUCZPZAGQZFUDQZOZLUEZVS
      FUHQZNZBGQZRZLVTSZVSWEDUCVRVMVNWAVMVNVOVQUFVMVNVOVQUGZVMHVTAGHVTEFGIVTUIZ
      UJZUKTVRMUEZGQZVTOZWLVSWCNZWERZPZMHSZWGVRWMMHULWOMHSZWQVRWMMHVRWKHOZPZVMW
      SWMVMVNVOVQWSUMZVRWSUNZVMHVTWKGWJUKTUSVRWKAEUHQZNZGQZWNRZMHULZXDBRZMHSZWR
      VRXFMHWTVMWSVNXFXAXBVRVNWSWHUOWKAEFXCWCGHIXCUIZWCUIZUPUQUSVRVQVNXIVPVQUNW
      HVNVQXIMHCEXCABIJXJURUTTXGXIPXFXHPZMHSWRXFXHMHVAXLWOMHXLXEWNWEXFXHVIXLXDB
      GXFXHUNVBVCVDVETWMWOMHVATWPWGMHWFWOLWLVTWBWLRWDWNWEWBWLVSWCVJVFVGVHVELVTD
      FWCVSWEWIKXKVKVL $.
  $}

  ${
    $d x y F $.  $d x y R $.  $d x y S $.
    $( A ring homomorphism is also a ring homomorphism for the opposite rings.
       (Contributed by Thierry Arnoux, 27-Oct-2017.) $)
    rhmopp $p |- ( F e. ( R RingHom S )
       -> F e. ( ( oppR ` R ) RingHom ( oppR ` S ) ) ) $=
      ( vx vy co wcel coppr cfv cbs cmulr cur eqid opprringb sylib oppr1 eqcomi
      crg cv wa rhmrcl1 rhmrcl2 rhm1 wceq simpl simprr opprbas eleqtrrdi simprl
      crh rhmmul syl3anc opprmul fveq2i 3eqtr4g cgrp wf cplusg wral ringgrp syl
      cghm rhmf rhmghm ad2antrr simplr simpr ghmlin ralrimiva jca jca31 oppradd
      isghm sylibr isrhm2d ) CABUJFGZDEAHIZJIZVQBHIZVQKIZVSKIZVQLIZCVSLIZVRMWBM
      WCMVTMZWAMZVPARGVQRGZABCUAAVQVQMZNOZVPBRGVSRGZABCUBBVSVSMZNOZABWBCWCALIZW
      BAWLVQWGWLMPQBLIZWCBWMVSWJWMMPQUCVPDSZVRGZESZVRGZTZTZWPWNAKIZFZCIZWPCIZWN
      CIZBKIZFZWNWPVTFZCIXDXCWAFWSVPWPAJIZGZWNXHGZXBXFUDVPWRUEWSWPVRXHVPWOWQUFX
      HAVQWGXHMZUGZUHWSWNVRXHVPWOWQUIXLUHWPWNABWTXECXHXKWTMZXEMZUKULXGXACXHAVTW
      TVQWNWPXKXMWGWDUMUNBJIZBWAXEVSXDXCXOMZXNWJWEUMUOVPVQUPGZVSUPGZTXHXOCUQZWN
      WPAURIZFCIXDXCBURIZFUDZEXHUSZDXHUSZTZTCVQVSVBFGVPXQXRYEVPWFXQWHVQUTVAVPWI
      XRWKVSUTVAVPXSYDXHXOABCXKXPVCVPYCDXHVPXJTZYBEXHYFXITCABVBFGZXJXIYBVPYGXJX
      IABCVDVEVPXJXIVFYFXIVGXTYAABWNCWPXHXKXTMZYAMZVHULVIVIVJVKEDXTYAVQVSCXHXOX
      LXOBVSWJXPUGXTAVQWGYHVLYABVSWJYIVLVMVNVO $.
  $}

  $( Ring homomorphisms preserve unit elements.  (Contributed by Thierry
     Arnoux, 23-Oct-2017.) $)
  elrhmunit $p |- ( ( F e. ( R RingHom S ) /\ A e. ( Unit ` R ) )
    -> ( F ` A ) e. ( Unit ` S ) ) $=
    ( crh co wcel cui cfv wa cur cdsr wbr coppr isunit rhmdvdsr syl31anc adantr
    eqid wb cbs simpl unitss simpr sselid crg rhmrcl1 ringidcl 3syl simpld rhm1
    sylib breq2d mpbid rhmopp simprd opprbas sylanbrc ) DBCEFGZABHIZGZJZADIZCKI
    ZCLIZMZVCVDCNIZLIZMZVCCHIZGVBVCBKIZDIZVEMZVFVBUSABUAIZGZVKVNGZAVKBLIZMZVMUS
    VAUBZVBUTVNAVNBUTVNSZUTSZUCUSVAUDZUEZVBUSBUFGVPVSBCDUGVNBVKVTVKSZUHUIZVBVRA
    VKBNIZLIZMZVBVAVRWHJWBVQBWFUTVKWGAWAWDVQSZWFSZWGSZOULZUJAVKVQVEBCDVNVTWIVES
    ZPQUSVMVFTVAUSVLVDVCVEBCVKDVDWDVDSZUKZUMRUNVBVCVLVHMZVIVBDWFVGEFGZVOVPWHWPU
    SWQVABCDUORWCWEVBVRWHWLUPAVKWGVHWFVGDVNVNBWFWJVTUQWKVHSZPQUSWPVITVAUSVLVDVC
    VHWOUMRUNVECVGVJVDVHVCVJSWNWMVGSWROUR $.

$(
  @{
    rhmdvr.u @e |- U = ( Unit ` R ) @.
    rhmdvr.x @e |- X = ( Base ` R ) @.
    rhmdvr.m @e |- ./ = ( /r ` R ) @.
    rhmdvr.d @e |- .|| = ( ||r ` R ) @.
    rhmdvr.n @e |- D = ( /r ` S ) @.
    @( A ring homomorphism preserves ring division.  (Contributed  by Thierry
       Arnoux, 22-Oct-2017.) @)
    rhmdvr @p |- ( ( F e. ( R RingHom S ) /\ A e. X /\ B .|| A ) ->
      ( F ` ( A ./ B ) ) = ( ( F ` A ) D ( F ` B ) ) ) @=
      ? @.
  @}
$)

  ${
    rhmdvd.u $e |- U = ( Unit ` S ) $.
    rhmdvd.x $e |- X = ( Base ` R ) $.
    rhmdvd.d $e |- ./ = ( /r ` S ) $.
    rhmdvd.m $e |- .x. = ( .r ` R ) $.
    $( A ring homomorphism preserves ratios.  (Contributed by Thierry Arnoux,
       22-Oct-2017.) $)
    rhmdvd $p |- ( ( F e. ( R RingHom S ) /\ ( A e. X /\ B e. X /\ C e. X )
      /\ ( ( F ` B ) e. U /\ ( F ` C ) e. U ) ) -> ( ( F ` A ) ./ ( F ` B ) )
         = ( ( F ` ( A .x. C ) ) ./ ( F ` ( B .x. C ) ) ) ) $=
      ( co wcel w3a cfv wceq eqid crh cmulr simp21 simp23 rhmmul syl3anc simp22
      wa simp1 oveq12d crg cbs rhmrcl2 3ad2ant1 wf rhmf ffvelrnd simp3l dvrcan5
      simp3r syl13anc eqtr2d ) IEFUAOPZAJPZBJPZCJPZQZBIRZHPZCIRZHPZUHZQZACGOIRZ
      BCGOIRZDOAIRZVJFUBRZOZVHVJVQOZDOZVPVHDOZVMVNVRVOVSDVMVCVDVFVNVRSVCVGVLUIZ
      VCVDVEVFVLUCZVCVDVEVFVLUDZACEFGVQIJLNVQTZUEUFVMVCVEVFVOVSSWBVCVDVEVFVLUGW
      DBCEFGVQIJLNWEUEUFUJVMFUKPZVPFULRZPVIVKVTWASVCVGWFVLEFIUMUNVMJWGAIVCVGJWG
      IUOVLJWGEFILWGTZUPUNWCUQVCVGVIVKURVCVGVIVKUTWGDFVQHVPVHVJWHKMWEUSVAVB $.
  $}

  $( Ring homomorphisms preserve the inverse of unit elements.  (Contributed by
     Thierry Arnoux, 23-Oct-2017.) $)
  rhmunitinv $p |- ( ( F e. ( R RingHom S ) /\ A e. ( Unit ` R ) )
    -> ( F ` ( ( invr ` R ) ` A ) ) = ( ( invr ` S ) ` ( F ` A ) ) ) $=
    ( co wcel cui cfv cinvr cmulr wceq cur eqid unitlinv sylan unitinvcl sselid
    crg adantr elrhmunit crh rhmrcl1 fveq2d cbs simpl unitss simpr syl3anc rhm1
    wa rhmmul 3eqtr3d rhmrcl2 syl2anc eqtr4d cmgp cress cgrp unitgrp syl syldan
    unitgrpbas cvv cplusg fvex mgpplusg ressplusg ax-mp grprcan syl13anc mpbid
    wb ) DBCUAEFZABGHZFZUJZABIHZHZDHZADHZCJHZEZVTCIHZHZVTWAEZKZVSWDKZVPWBCLHZWE
    VPVRABJHZEZDHZBLHZDHZWBWHVPWJWLDVMBRFZVOWJWLKBCDUBZBWIVNWLVQAVNMZVQMZWIMZWL
    MZNOUCVPVMVRBUDHZFAWTFWKWBKVMVOUEVPVNWTVRWTBVNWTMZWPUFZVMWNVOVRVNFZWOBVNVQA
    WPWQPOZQVPVNWTAXBVMVOUGQVRABCWIWADWTXAWRWAMZUKUHVMWMWHKVOBCWLDWHWSWHMZUISUL
    VPCRFZVTCGHZFZWEWHKVMXGVOBCDUMZSZABCDTZCWAXHWHWCVTXHMZWCMZXEXFNUNUOVPCUPHZX
    HUQEZURFZVSXHFZWDXHFZXIWFWGVLVMXQVOVMXGXQXJCXHXPXMXPMZUSUTSVMVOXCXRXDVRBCDT
    VAVPXGXIXSXKXLCXHWCVTXMXNPUNXLXHWAXPVSWDVTCXHXPXMXTVBXHVCFWAXPVDHKCGVEXHWAX
    OXPVCXTCWAXOXOMXEVFVGVHVIVJVK $.

$(
  @{
    rhmuntghm.1 @e |- G = ( ( mulGrp ` R ) |`s ( Unit ` R ) ) @.
    rhmuntghm.2 @e |- H = ( ( mulGrp ` S ) |`s ( Unit ` S ) ) @.
    @( A ring homomorphism induces a group homomorphism on the group units
       @)
    rhmuntghm @p |- ( F e. ( R RingHom S ) -> ( F |` G ) e. ( G GrpHom H ) ) @=
      ? @.
  @}
$)

  ${
    $d x .0. $.  $d x .1. $.  $d x F $.  $d x R $.  $d x S $.  $d x U $.
    kerunit.1 $e |- U = ( Unit ` R ) $.
    kerunit.2 $e |- .0. = ( 0g ` S ) $.
    kerunit.3 $e |- .1. = ( 1r ` S ) $.
    $( If a unit element lies in the kernel of a ring homomorphism, then
       ` 0 = 1 ` , i.e. the target ring is the zero ring.  (Contributed by
       Thierry Arnoux, 24-Oct-2017.) $)
    kerunit $p |- ( ( F e. ( R RingHom S ) /\
      ( U i^i ( `' F " { .0. } ) ) =/= (/) ) -> .1. = .0. ) $=
      ( vx co wcel wa wceq cfv cmulr crg eqid syldan adantr crh ccnv csn cin c0
      cima wne wrex cinvr cur elin biimpi adantl simpld rhmrcl1 unitlinv fveq2d
      cv sylan cbs simpl ringinvcl syl2anc unitcl syl rhmmul syl3anc simprd wfn
      wf wb rhmf elpreima 3syl simplbda fvex elsn sylib oveq2d rhmrcl2 ffvelrnd
      ffn ringrz 3eqtrd rhm1 3eqtr3rd reximdva0 id rexlimivw ) EABUAKLZCEUBFUCZ
      UFZUDZUEUGMDFNZJWMUHWNWJWNJWMWJJURZWMLZMZWOAUIOZOZWOAPOZKZEOZAUJOZEOZFDWJ
      WPWOCLZXBXDNZWQXEWOWLLZWPXEXGMZWJWPXHWOCWLUKULUMZUNZWJAQLZXEXFABEUOZXKXEM
      XAXCEAWTCXCWRWOGWRRZWTRZXCRZUPUQUSSWQXBWSEOZWOEOZBPOZKZXPFXRKZFWQWJWSAUTO
      ZLZWOYALZXBXSNWJWPVAWQXKXEYBWJXKWPXLTXJYAACWRWOGXMYARZVBVCZWQXEYCXJYAACWO
      YDGVDVEWSWOABWTXREYAYDXNXRRZVFVGWQXQFXPXRWQXQWKLZXQFNWJWPXGYGWQXEXGXIVHWJ
      XGYCYGWJYABUTOZEVJZEYAVIXGYCYGMVKYAYHABEYDYHRZVLZYAYHEWBYAWOWKEVMVNVOSXQF
      WOEVPVQVRVSWQBQLZXPYHLXTFNWJYLWPABEVTTWQYAYHWSEWJYIWPYKTYEWAYHBXRXPFYJYFH
      WCVCWDWJXDDNWPABXCEDXOIWETWFWGWNWNJWMWNWHWIVE $.
  $}

$(
  @{
    ker2idl.i @e |- I = ( 2Ideal ` R ) @.
    ker2idl.0 @e |- .0. = ( 0g ` S ) @.
    @( The kernel of a ring homomorphism is a two-sided ideal.
       See also ~ keridl . @)
    ker2idl @p |- ( F e. ( R RingHom S ) -> ( `' F " { .0. } ) e. I ) @=
      ? @.
  @}
$)


$(
  @{
    hrmf1.a @e |- A = ( Base ` R ) @.
    hrmf1.b @e |- B = ( Base ` S ) @.
    @( If ` R ` is a field and ` S ` is a nonzero ring then a ring
       homomorphism between ` R ` and ` S ` is injective. @)
    hrmf1 @p |- ( ( F e. ( R RingHom S ) /\ R e. Field /\ S e. NzRing ) ->
      F : A -1-1-> B ) @=
      ? @.
  @}
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Scalar restriction operation
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c |`v $.

  $( Extend class notation with the scalar restriction operation. $)
  cresv $a class |`v $.

  ${
    $d w x $.
    $( Define an operator to restrict the scalar field component of an extended
       structure.  (Contributed by Thierry Arnoux, 5-Sep-2018.) $)
    df-resv $a |- |`v = ( w e. _V , x e. _V |->
      if ( ( Base ` ( Scalar ` w ) ) C_ x , w , ( w sSet <. ( Scalar ` ndx ) ,
      ( ( Scalar ` w ) |`s x ) >. ) ) ) $.
  $}

  ${
    $d x y $.
    $( The scalar restriction is a proper operator, so it can be used with
       ~ ovprc1 .  (Contributed by Thierry Arnoux, 6-Sep-2018.) $)
    reldmresv $p |- Rel dom |`v $=
      ( vy vx cvv cv csca cfv cbs wss cnx cress cop csts cresv df-resv reldmmpo
      co cif ) ABCCADZEFZGFBDZHRRIEFSTJPKLPQMBANO $.
  $}

  ${
    $d w x A $.  $d w x B $.  $d w x F $.  $d w x W $.
    resvsca.r $e |- R = ( W |`v A ) $.
    resvsca.f $e |- F = ( Scalar ` W ) $.
    resvsca.b $e |- B = ( Base ` F ) $.
    $( Value of structure restriction.  (Contributed by Thierry Arnoux,
       6-Sep-2018.) $)
    resvval $p |- ( ( W e. X /\ A e. Y ) -> R = if ( B C_ A , W ,
            ( W sSet <. ( Scalar ` ndx ) , ( F |`s A ) >. ) ) ) $=
      ( vw vx wcel co csca cfv cress csts cvv wceq wa wss cnx cop cif elex ovex
      cresv ifcl mpan2 adantr cv cbs simpl fveq2d eqtr4di simpr sseq12d oveq12d
      opeq2d ifbieq12d df-resv ovmpoga mpd3an3 syl2an syl5eq ) EFMZAGMZUACEAUHN
      ZBAUBZEEUCOPZDAQNZUDZRNZUEZHVGESMZASMZVIVOTZVHEFUFAGUFVPVQVOSMZVRVPVSVQVP
      VNSMVSEVMRUGVJEVNSUIUJUKKLEASSKULZOPZUMPZLULZUBZVTVTVKWAWCQNZUDZRNZUEVOUH
      SVTETZWCATZUAZWDVJVTWGEVNWJWBBWCAWJWBDUMPBWJWADUMWJWAEOPDWJVTEOWHWIUNZUOI
      UPZUOJUPWHWIUQZURWKWJVTEWFVMRWKWJWEVLVKWJWADWCAQWLWMUSUTUSVALKVBVCVDVEVF
      $.

    $( General behavior of trivial restriction.  (Contributed by Thierry
       Arnoux, 6-Sep-2018.) $)
    resvid2 $p |- ( ( B C_ A /\ W e. X /\ A e. Y ) -> R = W ) $=
      ( wss wcel wceq wa cnx csca cfv cress co cop cif resvval iftrue sylan9eqr
      csts 3impb ) BAKZEFLZAGLZCEMUHUINUGCUGEEOPQDARSTUESZUAEABCDEFGHIJUBUGEUJU
      CUDUF $.

    $( Value of nontrivial structure restriction.  (Contributed by Thierry
       Arnoux, 6-Sep-2018.) $)
    resvval2 $p |- ( ( -. B C_ A /\ W e. X /\ A e. Y ) -> R = ( W sSet
        <. ( Scalar ` ndx ) , ( F |`s A ) >. ) ) $=
      ( wss wn wcel cnx csca cfv cress co cop csts wa resvval iffalse sylan9eqr
      wceq cif 3impb ) BAKZLZEFMZAGMZCENOPDAQRSTRZUEUJUKUAUICUHEULUFULABCDEFGHI
      JUBUHEULUCUDUG $.

    $( Base set of a structure restriction.  (Contributed by Thierry Arnoux,
       6-Sep-2018.) $)
    resvsca $p |- ( A e. V -> ( F |`s A ) = ( Scalar ` R ) ) $=
      ( cvv wcel cress co csca cfv wceq w3a fveq2d 3eqtr4a c0 wss wa fvexi eqid
      wi ressid2 mp3an2 3adant2 resvid2 3expib wn cnx cop csts simp2 ovex scaid
      setsid sylancl resvval2 eqtr4d pm2.61i strfvn ress0 3eqtr4ri fvprc syl5eq
      0fv 0ex oveq1d cresv reldmresv ovprc1 adantr pm2.61ian ) FJKZAEKZDALMZCNO
      ZPZBAUAZVPVQUBVTUEWAVPVQVTWAVPVQQZDFNOZVRVSHWAVQVRDPZVPWADJKVQWDDFNHUCABV
      RDJEVRUDIUFUGUHWBCFNABCDFJEGHIUIRSUJWAUKZVPVQVTWEVPVQQZVRFULNOZVRUMUNMZNO
      ZVSWFVPVRJKVRWIPWEVPVQUODALUPJVRNJFUQURUSWFCWHNABCDFJEGHIUTRVAUJVBVPUKZVT
      VQWJTALMZTNOZVRVSWGTOTWLWKWGVHTNWGVIUQVCAVDVEWJDTALWJDWCTHFNVFVGVJWJCTNWJ
      CFAVKMTGFAVKVLVMVGRSVNVO $.
  $}

  ${
    resvlem.r $e |- R = ( W |`v A ) $.
    resvlem.e $e |- C = ( E ` W ) $.
    resvlem.f $e |- E = Slot ( E ` ndx ) $.
    resvlem.n $e |- ( E ` ndx ) =/= ( Scalar ` ndx ) $.
    $( Other elements of a scalar restriction.  (Contributed by Thierry Arnoux,
       6-Sep-2018.)  (Revised by AV, 31-Oct-2024.) $)
    resvlem $p |- ( A e. V -> C = ( E ` R ) ) $=
      ( wcel cfv cvv csca w3a eqid fveq2d 3expib wn cnx wceq cbs wss wa resvid2
      wi cress co csts resvval2 setsnid eqtr4di pm2.61i cresv c0 str0 reldmresv
      cop eqcomi oveqprc eqcomd adantr pm2.61ian eqtr4id ) AEKZBFDLZCDLZHFMKZVE
      VGVFUAZFNLZUBLZAUCZVHVEUDVIUFVLVHVEVIVLVHVEOCFDAVKCVJFMEGVJPZVKPZUEQRVLSZ
      VHVEVIVOVHVEOZVGFTNLZVJAUGUHZURUIUHZDLVFVPCVSDAVKCVJFMEGVMVNUJQVRVQDFIJUK
      ULRUMVHSZVIVEVTVFVGDUNFACUOUODLDTDLIUPUSGUQUTVAVBVCVD $.
  $}

  ${
    resvlemOLD.r $e |- R = ( W |`v A ) $.
    resvlemOLD.e $e |- C = ( E ` W ) $.
    resvlemOLD.f $e |- E = Slot N $.
    resvlemOLD.n $e |- N e. NN $.
    resvlemOLD.b $e |- N =/= 5 $.
    $( Obsolete version of ~ resvlem as of 31-Oct-2024.  Other elements of a
       structure restriction.  (Contributed by Thierry Arnoux, 6-Sep-2018.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    resvlemOLD $p |- ( A e. V -> C = ( E ` R ) ) $=
      ( wcel cfv cvv csca w3a fveq2d co c0 wceq cbs wss wa wi resvid2 3expib wn
      eqid cnx cress cop csts resvval2 ndxid c5 ndxarg eqnetri neeqtrri setsnid
      scandx eqtr4di pm2.61i cresv reldmresv ovprc1 syl5eq str0 fvprc pm2.61ian
      eqtr4d adantr eqtr4id ) AFMZBGDNZCDNZIGOMZVNVPVOUAZGPNZUBNZAUCZVQVNUDVRUE
      WAVQVNVRWAVQVNQCGDAVTCVSGOFHVSUIZVTUIZUFRUGWAUHZVQVNVRWDVQVNQZVPGUJPNZVSA
      UKSZULUMSZDNVOWECWHDAVTCVSGOFHWBWCUNRWGWFDGDEJKUOUJDNZUPWFWIEUPDEJKUQLURV
      AUSUTVBUGVCVQUHZVRVNWJVPTVOWJVPTDNTWJCTDWJCGAVDSTHGAVDVEVFVGRDEJVHVBGDVIV
      KVLVJVM $.
  $}

  ${
    resvbas.1 $e |- H = ( G |`v A ) $.
    ${
      resvbas.2 $e |- B = ( Base ` G ) $.
      $( ` Base ` is unaffected by scalar restriction.  (Contributed by Thierry
         Arnoux, 6-Sep-2018.)  (Revised by AV, 31-Oct-2024.) $)
      resvbas $p |- ( A e. V -> B = ( Base ` H ) ) $=
        ( cbs baseid cnx csca cfv scandxnbasendx necomi resvlem ) ABDHECFGIJKLJ
        HLMNO $.

      $( Obsolete proof of ~ resvbas as of 31-Oct-2024. ` Base ` is unaffected
         by scalar restriction.  (Contributed by Thierry Arnoux, 6-Sep-2018.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      resvbasOLD $p |- ( A e. V -> B = ( Base ` H ) ) $=
        ( cbs c1 df-base 1nn c5 1re 1lt5 ltneii resvlemOLD ) ABDHIECFGJKILMNOP
        $.
    $}

    ${
      resvplusg.2 $e |- .+ = ( +g ` G ) $.
      $( ` +g ` is unaffected by scalar restriction.  (Contributed by Thierry
         Arnoux, 6-Sep-2018.)  (Revised by AV, 31-Oct-2024.) $)
      resvplusg $p |- ( A e. V -> .+ = ( +g ` H ) ) $=
        ( cplusg plusgid cnx csca cfv scandxnplusgndx necomi resvlem ) ABDHECFG
        IJKLJHLMNO $.

      $( Obsolete proof of ~ resvplusg as of 31-Oct-2024. ` +g ` is unaffected
         by scalar restriction.  (Contributed by Thierry Arnoux, 6-Sep-2018.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      resvplusgOLD $p |- ( A e. V -> .+ = ( +g ` H ) ) $=
        ( cplusg c2 df-plusg 2nn c5 2re 2lt5 ltneii resvlemOLD ) ABDHIECFGJKILM
        NOP $.
    $}

    ${
      resvvsca.2 $e |- .x. = ( .s ` G ) $.
      $( ` .s ` is unaffected by scalar restriction.  (Contributed by Thierry
         Arnoux, 6-Sep-2018.)  (Proof shortened by AV, 31-Oct-2024.) $)
      resvvsca $p |- ( A e. V -> .x. = ( .s ` H ) ) $=
        ( cvsca vscaid vscandxnscandx resvlem ) ABDHECFGIJK $.

      $( Obsolete proof of ~ resvvsca as of 31-Oct-2024. ` .s ` is unaffected
         by scalar restriction.  (Contributed by Thierry Arnoux, 6-Sep-2018.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      resvvscaOLD $p |- ( A e. V -> .x. = ( .s ` H ) ) $=
        ( cvsca c6 df-vsca 6nn c5 5re 5lt6 gtneii resvlemOLD ) ABDHIECFGJKLIMNO
        P $.
    $}

    ${
      resvmulr.2 $e |- .x. = ( .r ` G ) $.
      $( ` .r ` is unaffected by scalar restriction.  (Contributed by Thierry
         Arnoux, 6-Sep-2018.)  (Revised by AV, 31-Oct-2024.) $)
      resvmulr $p |- ( A e. V -> .x. = ( .r ` H ) ) $=
        ( cmulr mulrid cnx csca cfv scandxnmulrndx necomi resvlem ) ABDHECFGIJK
        LJHLMNO $.

      $( Obsolete proof of ~ resvmulr as of 31-Oct-2024. ` .s ` is unaffected
         by scalar restriction.  (Contributed by Thierry Arnoux, 6-Sep-2018.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      resvmulrOLD $p |- ( A e. V -> .x. = ( .r ` H ) ) $=
        ( cmulr c3 df-mulr 3nn c5 3re 3lt5 ltneii resvlemOLD ) ABDHIECFGJKILMNO
        P $.
    $}

    ${
      $d x y A $.  $d x y G $.  $d x y H $.  $d x y V $.
      resv0g.2 $e |- .0. = ( 0g ` G ) $.
      $( ` 0g ` is unaffected by scalar restriction.  (Contributed by Thierry
         Arnoux, 6-Sep-2018.) $)
      resv0g $p |- ( A e. V -> .0. = ( 0g ` H ) ) $=
        ( vx vy wcel c0g cfv cbs eqidd eqid resvbas cv wa cplusg resvplusg
        oveqdr grpidpropd syl5eq ) ADJZEBKLCKLGUDHIBMLZBCUDUENAUEBCDFUEOPUDHQUE
        JIQUEJRHIBSLZCSLAUFBCDFUFOTUAUBUC $.
    $}

    ${
      $d e x A $.  $d e x G $.  $d e x H $.  $d e x V $.
      resv1r.2 $e |- .1. = ( 1r ` G ) $.
      $( ` 1r ` is unaffected by scalar restriction.  (Contributed by Thierry
         Arnoux, 6-Sep-2018.) $)
      resv1r $p |- ( A e. V -> .1. = ( 1r ` H ) ) $=
        ( ve vx wcel cv cbs cfv cmulr co wceq wa wral cio eqid resvbas resvmulr
        cur eleq2d oveqd eqeq1d anbi12d raleqbidv iotabidv dfur2 3eqtr4g ) AEJZ
        HKZCLMZJZUMIKZCNMZOZUPPZUPUMUQOZUPPZQZIUNRZQZHSUMDLMZJZUMUPDNMZOZUPPZUP
        UMVGOZUPPZQZIVERZQZHSBDUCMZULVDVNHULUOVFVCVMULUNVEUMAUNCDEFUNTZUAZUDULV
        BVLIUNVEVQULUSVIVAVKULURVHUPULUQVGUMUPAUQCDEFUQTZUBZUEUFULUTVJUPULUQVGU
        PUMVSUEUFUGUHUGUIIUNCUQBHVPVRGUJIVEDVGVOHVETVGTVOTUJUK $.
    $}

    ${
      $d x y A $.  $d x y G $.  $d x y H $.  $d x y V $.
      $( Scalar restriction preserves commutative monoids.  (Contributed by
         Thierry Arnoux, 6-Sep-2018.) $)
      resvcmn $p |- ( A e. V -> ( G e. CMnd <-> H e. CMnd ) ) $=
        ( vx vy wcel cbs cfv eqidd eqid resvbas cv wa cplusg resvplusg cmnpropd
        oveqdr ) ADHZFGBIJZBCTUAKAUABCDEUALMTFNUAHGNUAHOFGBPJZCPJAUBBCDEUBLQSR
        $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The commutative ring of gaussian integers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The gaussian integers form a commutative ring.  (Contributed by Thierry
     Arnoux, 18-Mar-2018.) $)
  gzcrng $p |- ( CCfld |`s Z[i] ) e. CRing $=
    ( ccnfld ccrg wcel cgz csubrg cfv cress cncrng gzsubrg eqid subrgcrng mp2an
    co ) ABCDAEFCADGMZBCHIDANNJKL $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The archimedean ordered field of real numbers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d a b c $.
    $( The real numbers form an ordered field.  (Contributed by Thierry Arnoux,
       21-Jan-2018.) $)
    reofld $p |- RRfld e. oField $=
      ( va vb vc crefld wcel refld cc0 cv cle wa cmul co wi cr wral ax-mp caddc
      wbr ex rebase cofld cfield corng crg cogrp cdr ccrg simplbi drngring mp2b
      isfld cgrp comnd ringgrp cmnd grpmnd retos w3a simpl simpr1 simpr2 simpr3
      ctos leadd1dd 3anassrs 3impa rgen3 replusg rele2 isomnd mpbir3an mpbir2an
      isogrp mulge0 an4s rgen2 re0g remulr isorng isofld ) DUAEDUBEZDUCEZFWBDUD
      EZDUEEZGAHZIRZGBHZIRZJZGWEWGKLIRZMZBNOANOWADUFEZWCFWAWLDUGEDUKUHDUIUJZWDD
      ULEZDUMEZWCWNWMDUNPZWODUOEZDVCEWEWGIRZWECHZQLWGWSQLIRZMZCNOBNOANOWNWQWPDU
      PPUQXAABCNNNWENEZWGNEZWSNEZXAXBXCJZXDJWRWTXBXCXDWRWTXBXCXDWRURZJWEWGWSXBX
      FUSXBXCXDWRUTXBXCXDWRVAXBXCXDWRVBVDVESVFVGNQIDABCTVHVIVJVKDVMVLWKABNNXEWI
      WJXBWFXCWHWJWEWGVNVOSVPNDKIGABTVQVRVIVSVKDVTVL $.
  $}

  $( The nonnegative integers form an ordered monoid.  (Contributed by Thierry
     Arnoux, 23-Mar-2018.) $)
  nn0omnd $p |- ( CCfld |`s NN0 ) e. oMnd $=
    ( crefld cn0 cress co ccnfld comnd cr df-refld oveq1i cvv wcel wceq nn0ssre
    wss reex ressabs mp2an cmnd simprbi ax-mp eqtri cofld reofld corng orngogrp
    cfield isofld cgrp isogrp 3syl csubmnd cfv nn0subm submmnd eqeltri submomnd
    cogrp eqid eqeltrri ) ABCDZEBCDZFUTEGCDZBCDZVAAVBBCHIGJKBGNVCVALOMGBEJPQUAZ
    AFKZUTRKUTFKAUBKZVEUCVFAUDKZAUQKZVEVFAUFKVGAUGSAUEVHAUHKVEAUISUJTUTVARVDBEU
    KULKVARKUMBVAEVAURUNTUOBAUPQUS $.

  ${
    $d n x $.
    $( The field of the real numbers is Archimedean.  See also ~ arch .
       (Contributed by Thierry Arnoux, 9-Apr-2018.) $)
    rearchi $p |- RRfld e. Archi $=
      ( vx vn crefld carchi wcel cv czrh cfv clt wbr cn wrex cr cofld wral eqid
      wb c1 co wceq reofld rebase relt isarchiofld ax-mp arch cz nnz cmg cfield
      cmul crg cdr refld ccrg isfld simplbi drngring mp2b re1r zrhmulg mpan 1re
      remulg mpan2 zcn mulid1d 3eqtrd breq2d syl rexbiia sylibr mprgbir ) CDEZA
      FZBFZCGHZHZIJZBKLZAMCNEVNVTAMOQUAAMIBVQCUBVQPZUCUDUEVOMEVOVPIJZBKLVTVOBUF
      VSWBBKVPKEVPUGEZVSWBQVPUHWCVRVPVOIWCVRVPRCUIHZSZVPRUKSZVPCULEZWCVRWETCUJE
      ZCUMEZWGUNWHWICUOECUPUQCURUSCWDRVQVPWAWDPUTVAVBWCRMEWEWFTVCRVPVDVEWCVPVPV
      FVGVHVIVJVKVLVM $.
  $}

  $( The monoid of the nonnegative integers is Archimedean.  (Contributed by
     Thierry Arnoux, 16-Sep-2018.) $)
  nn0archi $p |- ( CCfld |`s NN0 ) e. Archi $=
    ( crefld cn0 cress co ccnfld carchi cr df-refld oveq1i csubrg cfv wcel wceq
    wss cdr resubdrg nn0ssre mp2an wa csubmnd simpli ressabs eqtri ctos rearchi
    retos pm3.2i nn0subm wb csubg subrgsubg subgsubm subsubm mpbir2an submarchi
    mp2b ax-mp eqeltrri ) ABCDZEBCDZFUSEGCDZBCDZUTAVABCHIGEJKZLZBGNZVBUTMVDAOLP
    UAZQGBEVCUBRUCAUDLZAFLZSBATKLZUSFLVGVHUFUEUGVIBETKZLZVEUHQGVJLZVIVKVESUIVDG
    EUJKLVLVFGEUKGEULUPBGEAHUMUQUNBAUORUR $.

  ${
    $d q r w x W $.
    xrge0slmod.1 $e |- G = ( RR*s |`s ( 0 [,] +oo ) ) $.
    xrge0slmod.2 $e |- W = ( G |`v ( 0 [,) +oo ) ) $.
    $( The extended nonnegative real numbers form a semiring left module.  One
       could also have used ` subringAlg ` to get the same structure.
       (Contributed by Thierry Arnoux, 6-Sep-2018.) $)
    xrge0slmod $p |- W e. SLMod $=
      ( wcel ccnfld cc0 cpnf co cress cxmu cxad wceq c1 cvv ax-mp sselid cr cxr
      cfv vr vw vx vq cslmd ccmn cico csrg cv cicc caddc w3a cmul wral xrge0cmn
      wa cxrs eqeltri wb ovex resvcmn rge0srg icossicc simplr ge0xmulcl syl2anc
      simprr simprl xrge0adddi rge0ssre simpll rexadd oveq1d xrge0adddir eqtr3d
      mpbi syl3anc 3jca rexmul rexrd iccssxr xmulass xmulid2 syl jca ralrimivva
      xmul02 rgen2 xrge0base fveq2i eqtr4i resvbas cplusg xrge0plusg ax-xrsvsca
      cbs resvplusg cvsca ressvsca resvvsca c0g xrge00 resv0g cin csca df-refld
      crefld oveq1i ressress mp2an eqtri ax-xrssca resssca rebase resvsca incom
      reex wss df-ss eqtr3i oveq2i 3eqtr3ri cc ax-resscn eqid cnfldbas ressbas2
      sstri cnfldadd ressplusg cmulr cnfldmul ressmulr crg cur cdr cndrng mp3an
      wbr 1re drngring cle clt 0le1 ltpnf 3pm3.2i 0re pnfxr elico2 mpbir cnfld1
      ress1r cmnd ringmnd mp2b 0e0icopnf cnfld0 ress0g isslmd mpbir3an ) BUEEBU
      FEZFGHUGIZJIZUHEUAUIZUBUIZKIZGHUJIZEZUVDUVEUCUIZLIKIUVFUVDUVIKILIMZUDUIZU
      VDUKIZUVEKIZUVKUVEKIUVFLIZMZULZUVKUVDUMIZUVEKIZUVKUVFKIZMZNUVEKIUVEMZGUVE
      KIGMZULZUPZUBUVGUNUCUVGUNZUAUVBUNUDUVBUNAUFEZUVAAUQUVGJIZUFCUOURUVBOEZUWF
      UVAUSGHUGUTZUVBABODVAPVPVBUWEUDUAUVBUVBUVKUVBEZUVDUVBEZUPZUWDUCUBUVGUVGUW
      LUVIUVGEZUVEUVGEZUPZUPZUVPUWCUWPUVHUVJUVOUWPUVDUVGEZUWNUVHUWPUVBUVGUVDGHV
      CZUWJUWKUWOVDZQZUWLUWMUWNVGZUVDUVEVEVFUWPUWNUWMUWQUVJUXAUWLUWMUWNVHUWTUVE
      UVIUVDVIVQUWPUVKUVDLIZUVEKIZUVMUVNUWPUXBUVLUVEKUWPUVKREZUVDREZUXBUVLMUWPU
      VBRUVKVJUWJUWKUWOVKZQZUWPUVBRUVDVJUWSQZUVKUVDVLVFVMUWPUVKUVGEUWQUWNUXCUVN
      MUWPUVBUVGUVKUWRUXFQUWTUXAUVKUVDUVEVNVQVOVRUWPUVTUWAUWBUWPUVKUVDKIZUVEKIZ
      UVRUVSUWPUXIUVQUVEKUWPUXDUXEUXIUVQMUXGUXHUVKUVDVSVFVMUWPUVKSEUVDSEUVESEZU
      XJUVSMUWPUVKUXGVTUWPUVDUXHVTUWPUVGSUVEGHWAUXAQZUVKUVDUVEWBVQVOUWPUXKUWAUX
      LUVEWCWDUWPUXKUWBUXLUVEWGWDVRWEWFWHUCUBLUKKUMNUVCUVBGUVGBGUAUDUWHUVGBWPTM
      UWIUVBUVGABODUVGUWGWPTAWPTWIAUWGWPCWJWKWLPUWHLBWMTMUWIUVBLABODLUWGWMTAWMT
      WNAUWGWMCWJWKWQPUWHKBWRTMUWIUVBKABODUVGOEZKAWRTMGHUJUTZUVGKUQAOCWOWSPWTPU
      WHGBXATMUWIUVBABOGDGUWGXATAXATXBAUWGXACWJWKXCPXGUVBJIZFRUVBXDZJIZBXETZUVC
      UXOFRJIZUVBJIZUXQXGUXSUVBJXFXHROEUWHUXTUXQMXQUWIRUVBFOOXIXJXKUWHUXOUXRMUW
      IUVBRBXGOADUXMXGAXETMUXNUVGXGUQAOCXLXMPXNXOPUXPUVBFJUVBRXDZUXPUVBUVBRXPUV
      BRXRUYAUVBMVJUVBRXSVPXTYAYBUVBYCXRZUVBUVCWPTMUVBRYCVJYDYHZUVBYCUVCFUVCYEZ
      YFYGPUWHUKUVCWMTMUWIUVBUKFUVCOUYDYIYJPUWHUMUVCYKTMUWIUVBFUVCUMOUYDYLYMPFY
      NEZNUVBEZUYBNUVCYOTMFYPEZUYEYQFUUAZPUYFNREZGNUUBYSZNHUUCYSZULZUYIUYJUYKYT
      UUDUYIUYKYTNUUEPUUFGREHSEUYFUYLUSUUGUUHGHNUUIXJUUJUYCUVBYCFUVCNUYDYFUUKUU
      LYRFUUMEZGUVBEUYBGUVCXATMUYGUYEUYMYQUYHFUUNUUOUUPUYCUVBYCFUVCGUYDYFUUQUUR
      YRUUSUUT $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The quotient map and quotient modules
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d .0. y $.  $d F y $.  $d G x y $.  $d M x y $.  $d V x y $.
    qusker.b $e |- V = ( Base ` M ) $.
    qusker.f $e |- F = ( x e. V |-> [ x ] ( M ~QG G ) ) $.
    qusker.n $e |- N = ( M /s ( M ~QG G ) ) $.
    qusker.1 $e |- .0. = ( 0g ` N ) $.
    $( The kernel of a quotient map.  (Contributed by Thierry Arnoux,
       20-May-2023.) $)
    qusker $p |- ( G e. ( NrmSGrp ` M ) -> ( `' F " { .0. } ) = G ) $=
      ( vy cfv wcel wceq co cvv cgrp a1i eqid cnsg ccnv csn cima cv cqg cqs wfo
      crab wfn cqus cbs ovex csubg nsgsubg subgrcl syl quslem fofn fniniseg2 wa
      3syl c0g cec qus0 eqtr4id eceq1 ecexg ax-mp fvmpt eqeqan12d eqcom cminusg
      wb wbr cplusg simpl simpr grpidcl w3a subgss eqgval syl2anc adantr df-3an
      wss biancomi bitrdi rbaibd syl22anc wer eqger erth2 grpinvid oveq1d sylan
      grplid eqtrd eleq1d 3bitr3d rabbidva dfss7 sylib 3eqtrd ) CDUAMNZBUBGUCUD
      ZLUEZBMZGOZLFUIZXGCNZLFUIZCXEFFDCUFPZUGZBUHBFUJXFXJOXEAXMDEBFQREDXMUKPOXE
      JSFDULMOXEHSIXMQNZXEDCUFUMZSXECDUNMNZDRNZCDUOZCDUPUQZURFXNBUSLFGBUTVBXEXI
      XKLFXEXGFNZVAZGXHOZDVCMZXMVDZXGXMVDZOZXIXKXEYAGYEXHYFXEGEVCMYEKCDEYDJYDTZ
      VEVFAXGAUEZXMVDYFFBYIXGXMVGIXOYFQNXPXGQXMVHVIVJVKYCXIVNYBGXHVLSYBYDXGXMVO
      ZYDDVMMZMZXGDVPMZPZCNZYGXKYBXEYAYDFNZYAYJYOVNXEYAVQZXEYAVRZYBXEXRYPYQXTFD
      YDHYHVSVBYRYBYJYOYPYAVAZYBYJYPYAYOVTZYOYSVAXEYJYTVNZYAXEXRCFWFZUUAXTXEXQU
      UBXSFCDHWAUQZYDXGYMXMCDYKRFHYKTZYMTZXMTZWBWCWDYTYOYSYPYAYOWEWGWHWIWJYBYDX
      GXMFXEFXMWKZYAXEXQUUGXSXMDFCHUUFWLUQWDYRWMYBYNXGCYBYNYDXGYMPZXGYBYLYDXGYM
      YBXEXRYLYDOYQXTDYKYDYHUUDWNVBWOXEXRYAUUHXGOXTFYMDXGYDHUUEYHWQWPWRWSWTWTXA
      XEUUBXLCOUUCLFCXBXCXD $.
  $}

  ${
    ${
      eqgvscpbl.v $e |- B = ( Base ` M ) $.
      eqgvscpbl.e $e |- .~ = ( M ~QG G ) $.
      eqgvscpbl.s $e |- S = ( Base ` ( Scalar ` M ) ) $.
      eqgvscpbl.p $e |- .x. = ( .s ` M ) $.
      eqgvscpbl.m $e |- ( ph -> M e. LMod ) $.
      eqgvscpbl.g $e |- ( ph -> G e. ( LSubSp ` M ) ) $.
      eqgvscpbl.k $e |- ( ph -> K e. S ) $.
      $( The left coset equivalence relation is compatible with the scalar
         multiplication operation.  (Contributed by Thierry Arnoux,
         18-May-2023.) $)
      eqgvscpbl $p |- ( ph -> ( X .~ Y -> ( K .x. X ) .~ ( K .x. Y ) ) ) $=
        ( wcel cfv co cminusg cplusg w3a wbr wa clmod adantr csca eqid lmodvscl
        simpr1 syl3anc simpr2 wceq ad2antrr lmodgrp syl simplr grpinvcl syl2anc
        cgrp simpr lmodvsdi syl13anc lmodvsinv2 oveq1d eqtrd anasss clss simpr3
        3adantr3 lssvscl syl22anc eqeltrrd 3jca ex wss wb lsssubg subgss eqgval
        csubg 3imtr4d ) AIBRZJBRZIHUASZSZJHUBSZTZFRZUCZGIETZBRZGJETZBRZWLWFSZWN
        WHTZFRZUCZIJCUDZWLWNCUDZAWKWSAWKUEZWMWOWRXBHUFRZGDRZWDWMAXCWKOUGZAXDWKQ
        UGZAWDWEWJUKGEHUHSZDBHIKXGUIZNMUJULXBXCXDWEWOXEXFAWDWEWJUMGEXGDBHJKXHNM
        UJULXBGWIETZWQFAWDWEXIWQUNZWJAWDWEXJAWDUEZWEUEZXIGWGETZWNWHTZWQXLXCXDWG
        BRZWEXIXNUNAXCWDWEOUOZAXDWDWEQUOZXLHVARZWDXOXLXCXRXPHUPZUQAWDWEURZBHWFI
        KWFUIZUSUTXKWEVBWHGEXGDBHWGJKWHUIZXHNMVCVDXLXMWPWNWHXLXCXDWDXMWPUNXPXQX
        TBGEXGDWFHIKXHNYAMVEULVFVGVHVKXBXCFHVISZRZXDWJXIFRXEAYDWKPUGXFAWDWEWJVJ
        DYCEFXGHGWIXHNMYCUIZVLVMVNVOVPAXRFBVQZWTWKVRAXCXROXSUQZAFHWBSRZYFAXCYDY
        HOPYCFHYEVSUTBFHKVTUQZIJWHCFHWFVABKYAYBLWAUTAXRYFXAWSVRYGYIWLWNWHCFHWFV
        ABKYAYBLWAUTWC $.

      qusscaval.n $e |- N = ( M /s ( M ~QG G ) ) $.
      qusscaval.m $e |- .xb = ( .s ` N ) $.
      ${
        $d B x $.  $d G x $.  $d K x $.  $d M x $.  $d U x $.  $d V x $.
        $d ph x $.  $d .x. x $.
        qusvscpbl.f $e |- F = ( x e. B |-> [ x ] ( M ~QG G ) ) $.
        qusvscpbl.u $e |- ( ph -> U e. B ) $.
        qusvscpbl.v $e |- ( ph -> V e. B ) $.
        $( The quotient map distributes over the scalar multiplication.
           (Contributed by Thierry Arnoux, 18-May-2023.) $)
        qusvscpbl $p |- ( ph -> ( ( F ` U ) = ( F ` V )
            -> ( F ` ( K .x. U ) ) = ( F ` ( K .x. V ) ) ) ) $=
          ( cqg co cec wceq cfv wbr eqid eqgvscpbl csubg wcel wer clmod lsssubg
          clss syl2anc eqger syl erth csca lmodvscl syl3anc 3imtr3d cv cvv ovex
          eceq1 ecexg ax-mp fvmpt eqeq12d 3imtr4d ) AHLJUGUHZUIZNVRUIZUJZKHGUHZ
          VRUIZKNGUHZVRUIZUJZHIUKZNIUKZUJWBIUKZWDIUKZUJAHNVRULWBWDVRULWAWFACVRE
          GJKLHNOVRUMZQRSTUAUNAHNVRCAJLUOUKUPZCVRUQALURUPZJLUTUKZUPWLSTWNJLWNUM
          USVAVRLCJOWKVBVCZUEVDAWBWDVRCWOAWMKEUPZHCUPZWBCUPZSUAUEKGLVEUKZECLHOW
          SUMZRQVFVGZVDVHAWGVSWHVTAWQWGVSUJUEBHBVIZVRUIZVSCIXBHVRVLUDVRVJUPZVSV
          JUPLJUGVKZHVJVRVMVNVOVCANCUPZWHVTUJUFBNXCVTCIXBNVRVLUDXDVTVJUPXENVJVR
          VMVNVOVCVPAWIWCWJWEAWRWIWCUJXABWBXCWCCIXBWBVRVLUDXDWCVJUPXEWBVJVRVMVN
          VOVCAWDCUPZWJWEUJAWMWPXFXGSUAUFKGWSECLNOWTRQVFVGBWDXCWECIXBWDVRVLUDXD
          WEVJUPXEWDVJVRVMVNVOVCVPVQ $.
      $}

      ${
        $d ph k u v x $.  $d B k u v x $.  $d M k u v x $.  $d G k u v x $.
        $d S k u v x $.  $d .x. k v x $.  $d .xb k u v $.  $d K k x $.
        $d X k u v x $.
        $( Value of the scalar multiplication operation on the quotient
           structure.  (Contributed by Thierry Arnoux, 18-May-2023.) $)
        qusscaval $p |- ( ( ph /\ K e. S /\ X e. B )
              -> ( K .xb [ X ] ( M ~QG G ) ) = [ ( K .x. X ) ] ( M ~QG G ) ) $=
          ( vx vv vk vu wcel w3a cv cqg co cec cmpt cfv cqs csca clmod cvv cqus
          wceq a1i cbs eqid ovex qusval quslem adantr clss simpr1 simpr2 simpr3
          qusvscpbl imasvscaval eceq1 ecexg ax-mp fvmpt 3ad2ant3 oveq2d syl3an1
          wa lmodvscl syl 3eqtr3d ) AHDUEZKBUEZUFZHKUABUAUGZIGUHUIZUJZUKZULZEUI
          HKFUIZWIULZHKWGUJZEUIWKWGUJZABWGUMIEFJWIIUNULZDBHKUOUBUCUDAUAWGIJWIBU
          PUOJIWGUQUIURASUSZBIUTULURALUSZWIVAZWGUPUEZAIGUHVBZUSZPVCWQAUAWGIJWIB
          UPUOWPWQWRXAPVDPWOVAZNOTAUCUGZDUEZUDUGZBUEZUBUGZBUEZUFZVSUABCDEFXEWIG
          XCIJXGLMNOAIUOUEZXIPVEAGIVFULUEXIQVEAXDXFXHVGSTWRAXDXFXHVHAXDXFXHVIVJ
          VKWEWJWMHEWDAWJWMURWCUAKWHWMBWIWFKWGVLWRWSWMUPUEWTKUPWGVMVNVOVPVQWEWK
          BUEZWLWNURAXJWCWDXKPHFWODBIKLXBONVTVRUAWKWHWNBWIWFWKWGVLWRWSWNUPUEWTW
          KUPWGVMVNVOWAWB $.
      $}
    $}
  $}

  ${
    $d B b k p q u v w x y z $.  $d F a b k p q u x y z $.  $d .+ b k p q $.
    $d M b k p q u v w x z $.  $d N a b k p q u v w x y z $.  $d .0. p q $.
    $d S a b k u v w y z $.  $d V a b k p q u x y z $.  $d .x. b k p q u $.
    $d ph a b k p q u v w x y z $.
    imaslmod.u $e |- ( ph -> N = ( F "s M ) ) $.
    imaslmod.v $e |- V = ( Base ` M ) $.
    imaslmod.k $e |- S = ( Base ` ( Scalar ` M ) ) $.
    imaslmod.p $e |- .+ = ( +g ` M ) $.
    imaslmod.t $e |- .x. = ( .s ` M ) $.
    imaslmod.o $e |- .0. = ( 0g ` M ) $.
    imaslmod.f $e |- ( ph -> F : V -onto-> B ) $.
    imaslmod.e1 $e |- ( ( ph /\ ( a e. V /\ b e. V ) /\ ( p e. V /\ q e. V ) )
      -> ( ( ( F ` a ) = ( F ` p ) /\ ( F ` b ) = ( F ` q ) )
        -> ( F ` ( a .+ b ) ) = ( F ` ( p .+ q ) ) ) ) $.
    imaslmod.e2 $e |- ( ( ph /\ ( k e. S /\ a e. V /\ b e. V ) )
      -> ( ( F ` a ) = ( F ` b )
        -> ( F ` ( k .x. a ) ) = ( F ` ( k .x. b ) ) ) ) $.
    imaslmod.l $e |- ( ph -> M e. LMod ) $.
    $( The image structure of a left module is a left module.  (Contributed by
       Thierry Arnoux, 15-May-2023.) $)
    imaslmod $p |- ( ph -> N e. LMod ) $=
      ( vu vv vw vz vy vx cplusg cfv csca cvsca cmulr cur clmod cbs a1i imasbas
      wceq eqidd eqid imassca wcel crg lmodring syl cgrp lmodgrp imasgrp simpld
      c0g cv adantr simprl simprr lmodvscl syl3anc imasvscaf fovcld w3a simp-5l
      wa co simpllr simp1d ad2antrr simplr simp-4r grpcl imasvscaval imasaddval
      simpr oveq12d eqtr3d oveq2d lmodvsdi syl13anc fveq2d 3eqtr3d 3eqtr2d wrex
      simplll simp2d wfn crn fofn forn eleqtrrd fvelrnb biimpa syl2an2r syl2anc
      wfo r19.29a 3ad2antr3 ad3antrrr lmodacl lmodvsdir lmodmcl lmodvsass eqtrd
      3eqtr4rd ringidcl lmodvs1 islmodd ) AUFUGUHDIULUMZHUNUMZULUMZIUOUMZYJUPUM
      ZYJUQUMZYJBIABHIGJURPJHUSUMVBAQUTZUBUEVAAYIVCABHIGYJJURPYOUBUEYJVDZVEAYLV
      CDYJUSUMVBARUTAYKVCAYMVCAYNVCAHURVFZYJVGVFZUEYJHYPVHVIZAIVJVFKGUMIVNUMVBA
      BCHIGJKLMNOPYOCHULUMVBASUTUBUCAYQHVJVFZUEHVKVIZUAVLVMAUFVOZUGVOZBDBYLABHY
      LEIGYJDJUROFNPYOUBUEYPRTYLVDZUDAFVOZDVFZOVOZJVFZWEZWEYQUUFUUHUUEUUGEWFJVF
      AYQUUIUEVPAUUFUUHVQAUUFUUHVRUUEEYJDJHUUGQYPTRVSVTWAWBAUUBDVFZUUCBVFZUHVOZ
      BVFZWCZWEZUIVOZGUMZUULVBZUUBUUCUULYIWFZYLWFZUUBUUCYLWFZUUBUULYLWFZYIWFZVB
      ZUIJUUOUUPJVFZWEZUURWEZUJVOZGUMZUUCVBZUVDUJJUVGUVHJVFZWEZUVJWEZUUTUUBUVHE
      WFZUUBUUPEWFZCWFZGUMZUVNGUMZUVOGUMZYIWFZUVCUVMUUBUVHUUPCWFZGUMZYLWFZUUBUW
      AEWFZGUMZUUTUVQUVMAUUJUWAJVFZUWCUWEVBAUUNUVEUURUVKUVJWDZUVGUUJUVKUVJUVGUU
      JUUKUUMAUUNUVEUURWGZWHWIZUVMYTUVKUVEUWFUVMAYTUWGUUAVIUVGUVKUVJWJZUUOUVEUU
      RUVKUVJWKZJCHUVHUUPQSWLVTABHYLEIGYJDJUUBUWAUROFNPYOUBUEYPRTUUDUDWMVTUVMUW
      BUUSUUBYLUVMUVIUUQYIWFZUWBUUSUVMAUVKUVEUWLUWBVBUWGUWJUWKABHYICIGJUVHUUPUR
      LMNOUBUCPYOUESYIVDZWNVTUVMUVIUUCUUQUULYIUVLUVJWOZUVFUURUVKUVJWGZWPWQWRUVM
      UWDUVPGUVMYQUUJUVKUVEUWDUVPVBUVMAYQUWGUEVIZUWIUWJUWKCUUBEYJDJHUVHUUPQSYPT
      RWSWTXAXBUVMAUVNJVFZUVOJVFZUVTUVQVBUWGUVMYQUUJUVKUWQUWPUWIUWJUUBEYJDJHUVH
      QYPTRVSVTUVMYQUUJUVEUWRUWPUWIUWKUUBEYJDJHUUPQYPTRVSZVTABHYICIGJUVNUVOURLM
      NOUBUCPYOUESUWMWNVTUVMUVRUVAUVSUVBYIUVMUUBUVIYLWFZUVRUVAUVMAUUJUVKUWTUVRV
      BUWGUWIUWJABHYLEIGYJDJUUBUVHUROFNPYOUBUEYPRTUUDUDWMVTUVMUVIUUCUUBYLUWNWRW
      QUVMUUBUUQYLWFZUVSUVBUVMAUUJUVEUXAUVSVBZUWGUWIUWKABHYLEIGYJDJUUBUUPUROFNP
      YOUBUEYPRTUUDUDWMZVTUVMUUQUULUUBYLUWOWRWQWPXCUVGAUUKUVJUJJXDZAUUNUVEUURXE
      UVGUUJUUKUUMUWHXFAGJXGZUUKUUCGXHZVFZUXDAJBGXPZUXEUBJBGXIVIZAUUKWEUUCBUXFA
      UUKWOAUXFBVBZUUKAUXHUXJUBJBGXJVIZVPXKUXEUXGUXDUJJUUCGXLXMXNXOXQAUUJUUMUUR
      UIJXDZUUKAUXEUUMUULUXFVFZUXLUXIAUUMWEUULBUXFAUUMWOAUXJUUMUXKVPXKUXEUXMUXL
      UIJUULGXLXMXNZXRXQAUUJUUCDVFZUUMWCZWEZUURUUBUUCYKWFZUULYLWFZUVBUUCUULYLWF
      ZYIWFZVBUIJUXQUVEWEZUURWEZUXRUUQYLWFZUXRUUPEWFZGUMZUXSUYAUYCAUXRDVFZUVEUY
      DUYFVBAUXPUVEUURXEZUYCYQUUJUXOUYGAYQUXPUVEUURUEXSZUYCUUJUXOUUMAUXPUVEUURW
      GZWHZUYCUUJUXOUUMUYJXFZYKYJDHUUBUUCYPRYKVDZXTVTUXQUVEUURWJZABHYLEIGYJDJUX
      RUUPUROFNPYOUBUEYPRTUUDUDWMVTUYCUUQUULUXRYLUYBUURWOZWRUYCUYFUVOUUCUUPEWFZ
      CWFZGUMZUVSUYPGUMZYIWFZUYAUYCUYEUYQGUYCYQUUJUXOUVEUYEUYQVBUYIUYKUYLUYNCYK
      UUBUUCEYJDJHUUPQSYPTRUYMYAWTXAUYCAUWRUYPJVFZUYTUYRVBUYHUYCYQUUJUVEUWRUYIU
      YKUYNUWSVTUYCYQUXOUVEVUAUYIUYLUYNUUCEYJDJHUUPQYPTRVSVTZABHYICIGJUVOUYPURL
      MNOUBUCPYOUESUWMWNVTUYCUVSUVBUYSUXTYIUYCUXAUVSUVBUYCAUUJUVEUXBUYHUYKUYNUX
      CVTUYCUUQUULUUBYLUYOWRWQUYCUUCUUQYLWFZUYSUXTUYCAUXOUVEVUCUYSVBUYHUYLUYNAB
      HYLEIGYJDJUUCUUPUROFNPYOUBUEYPRTUUDUDWMVTZUYCUUQUULUUCYLUYOWRZWQWPXCXBAUU
      JUUMUXLUXOUXNXRZXQUXQUURUUBUUCYMWFZUULYLWFZUUBUXTYLWFZVBUIJUYCVUHUUBVUCYL
      WFZVUIUYCVUGUUQYLWFZVUGUUPEWFZGUMZVUHVUJUYCAVUGDVFZUVEVUKVUMVBUYHUYCYQUUJ
      UXOVUNUYIUYKUYLYMYJDHUUBUUCYPRYMVDZYBVTUYNABHYLEIGYJDJVUGUUPUROFNPYOUBUEY
      PRTUUDUDWMVTUYCUUQUULVUGYLUYOWRUYCUUBUYSYLWFZUUBUYPEWFZGUMZVUJVUMUYCAUUJV
      UAVUPVURVBUYHUYKVUBABHYLEIGYJDJUUBUYPUROFNPYOUBUEYPRTUUDUDWMVTUYCVUCUYSUU
      BYLVUDWRUYCVULVUQGUYCYQUUJUXOUVEVULVUQVBUYIUYKUYLUYNUUBUUCEYMYJDJHUUPQYPT
      RVUOYCWTXAYEXBUYCVUCUXTUUBYLVUEWRYDVUFXQAUUBBVFZWEZUKVOZGUMZUUBVBZYNUUBYL
      WFZUUBVBUKJVUTVVAJVFZWEZVVCWEZYNVVBYLWFZYNVVAEWFZGUMZVVDUUBVVGAYNDVFZVVEV
      VHVVJVBAVUSVVEVVCXEAVVKVUSVVEVVCAYRVVKYSDYJYNRYNVDZYFVIXSVUTVVEVVCWJZABHY
      LEIGYJDJYNVVAUROFNPYOUBUEYPRTUUDUDWMVTVVGVVBUUBYNYLVVFVVCWOZWRVVGVVJVVBUU
      BVVGVVIVVAGVVGYQVVEVVIVVAVBAYQVUSVVEVVCUEXSVVMEYNYJJHVVAQYPTVVLYGXOXAVVNY
      DXBAUXEVUSUUBUXFVFZVVCUKJXDZUXIVUTUUBBUXFAVUSWOAUXJVUSUXKVPXKUXEVVOVVPUKJ
      UUBGXLXMXNXQYH $.
  $}

  ${
    $d G a b k p q x $.  $d M a b k p q x $.  $d N a b k p q $.
    $d V a b k p q x $.  $d a b k p q ph x $.
    quslmod.n $e |- N = ( M /s ( M ~QG G ) ) $.
    quslmod.v $e |- V = ( Base ` M ) $.
    quslmod.1 $e |- ( ph -> M e. LMod ) $.
    quslmod.2 $e |- ( ph -> G e. ( LSubSp ` M ) ) $.
    $( If ` G ` is a submodule in ` M ` , then ` N = M / G ` is a left module,
       called the quotient module of ` M ` by ` G ` .  (Contributed by Thierry
       Arnoux, 18-May-2023.) $)
    quslmod $p |- ( ph -> N e. LMod ) $=
      ( vx vq vp co cfv cbs cv cvv eqid wcel wa vk va cqg cqs cplusg csca cvsca
      vb cec cmpt c0g clmod cqus wceq a1i ovexd qusval quslem csubg wer lsssubg
      clss syl2anc eqger syl fvexi cgrp lmodgrp adantr simprl simprr grpcl cnsg
      syl3anc wi cabl lmodabl ablnsg 3syl eleqtrrd eqgcpbl ercpbl simpr1 simpr2
      wbr w3a simpr3 qusvscpbl imaslmod ) AECBUCMZUDCUENZCUFNONZCUGNZUAJEJPWJUI
      UJZCDECUKNZKLUBUHAJWJCDWNEQULDCWJUMMUNAFUOZECONUNAGUOZWNRZACBUCUPZHUQGWLR
      ZWKRZWMRZWORAJWJCDWNEQULWPWQWRWSHURAJUBPZUHPZLPZKPZWKWJWNEQLKABCUSNZSZEWJ
      UTACULSZBCVBNZSZXHHIXJBCXJRVAVCZWJCEBGWJRZVDVEEQSAECOGVFUOWRAXEESZXFESZTZ
      TCVGSZXNXOXEXFWKMZESAXQXPAXIXQHCVHVEVIAXNXOVJAXNXOVKEWKCXEXFGXAVLVNABCVMN
      ZSXCXEWJWEXDXFWJWETXCXDWKMXRWJWEVOABXGXSXLAXICVPSXSXGUNHCVQCVRVSVTXCXDXEX
      FWKWJCEBGXMXAWAVEWBAUAPZWLSZXCESZXDESZWFZTJEWJWLDUGNZWMXCWNBXTCDXDGXMWTXB
      AXIYDHVIAXKYDIVIAYAYBYCWCFYERWRAYAYBYCWDAYAYBYCWGWHHWI $.

    ${
      $d V k u v x y z $.  $d F k u v y z $.  $d G k u v x y z $.
      $d M k u v x y z $.  $d N k u v x y z $.  $d ph k u v x y z $.
      quslmhm.f $e |- F = ( x e. V |-> [ x ] ( M ~QG G ) ) $.
      $( If ` G ` is a submodule of ` M ` , then the "natural map" from
         elements to their cosets is a left module homomorphism from ` M ` to
         ` M / G ` .  (Contributed by Thierry Arnoux, 18-May-2023.) $)
      quslmhm $p |- ( ph -> F e. ( M LMHom N ) ) $=
        ( cfv eqid co cvv clmod wceq wcel cv vy vz vv vk cvsca csca cbs quslmod
        vu cqg cqus ovexd quss eqcomd cnsg cghm csubg clss lsssubg syl2anc cabl
        a1i lmodabl ablnsg 3syl eleqtrrd qusghm syl wa cqs qusval quslem adantr
        w3a simpr1 simpr2 simpr3 qusvscpbl imasvscaval 3expb islmhmd ) AUAUBEFE
        UEMZFUEMZCFUFMZEUFMZWEUGMZGIWBNZWCNZWENZWDNWFNZJADEFGHIJKUHAWEWDAEDUJOZ
        EFWEGPQFEWKUKORAHVBZGEUGMRAIVBZAEDUJULZJWIUMUNADEUOMZSCEFUPOSADEUQMZWOA
        EQSZDEURMZSZDWPSJKWRDEWRNUSUTAWQEVASWOWPRJEVCEVDVEVFBCEFGDIHLVGVHAUATZW
        FSZUBTZGSZVIVIWTXBCMWCOZWTXBWBOCMZAXAXCXDXERAGWKVJEWCWBFCWEWFGWTXBQUCUD
        UIABWKEFCGPQWLWMLWNJVKWMABWKEFCGPQWLWMLWNJVLJWIWJWGWHAUDTZWFSZUITZGSZUC
        TZGSZVNZVIBGWKWFWCWBXHCDXFEFXJIWKNWJWGAWQXLJVMAWSXLKVMAXGXIXKVOHWHLAXGX
        IXKVPAXGXIXKVQVRVSVTUNWA $.
    $}
  $}

  ${
    $d A x $.  $d X x $.
    $( The equivalence class of a cartesian product is the whole set.
       (Contributed by Thierry Arnoux, 15-Jan-2024.) $)
    ecxpid $p |- ( X e. A -> [ X ] ( A X. A ) = A ) $=
      ( vx wcel cxp cec cv wbr cvv wb vex elecg mpan brxp baib bitrd eqrdv ) BA
      DZCBAAEZFZARCGZTDZBUASHZUAADZUAIDRUBUCJCKUABSIALMUCRUDBUAAANOPQ $.
  $}

  ${
    eqg0el.1 $e |- .~ = ( G ~QG H ) $.
    $( Equivalence class of a quotient group for a subgroup.  (Contributed by
       Thierry Arnoux, 15-Jan-2024.) $)
    eqg0el $p |- ( ( G e. Grp /\ H e. ( SubGrp ` G ) )
                -> ( [ X ] .~ = H <-> X e. H ) ) $=
      ( cgrp wcel csubg cfv wa cec wceq c0g wbr cbs wer eqid eqger adantl wb
      grpidcl adantr erth eqgid eqeq1d eqcom a1i 3bitrrd wrel errel 3syl eleq2d
      relelec 3bitr2d ) BFGZCBHIGZJZDAKZCLZBMIZDANZDUTAKZGZDCGUQVAVBURLCURLZUSU
      QUTDABOIZUPVEAPZUOABVECVEQZERZSUOUTVEGUPVEBUTVGUTQZUAUBUCUQVBCURUPVBCLUOA
      BVECUTVGEVIUDSZUEVDUSTUQCURUFUGUHUPVCVATZUOUPVFAUIVKVHVEAUJDUTAUMUKSUQVBC
      DVJULUN $.
  $}

  ${
    $d A x y $.
    $( The quotient set of a cartesian product is trivial.  (Contributed by
       Thierry Arnoux, 16-Jan-2024.) $)
    qsxpid $p |- ( A =/= (/) -> ( A /. ( A X. A ) ) = { A } ) $=
      ( vy vx c0 wne cxp cqs csn cv wceq wrex wcel wa simpr ecxpid adantr eqtrd
      cec adantl wex rexlimiva n0 biimpi simpl eqtr4d ancld eximdv mpan9 df-rex
      ex sylibr impbida vex elqs velsn 3bitr4g eqrdv ) ADEZBAAAFZGZAHZURBIZCIZU
      SRZJZCAKZVBAJZVBUTLVBVALURVFVGVFVGURVEVGCAVCALZVEMZVBVDAVHVENVHVDAJZVEAVC
      OZPQUASURVGMVICTZVFURVHCTZVGVLURVMCAUBUCVGVHVICVGVHVEVGVHVEVGVHMVBAVDVGVH
      UDVHVJVGVKSUEUJUFUGUHVECAUIUKULCAVBUSBUMUNBAUOUPUQ $.
  $}

  ${
    $d B x y $.  $d G x y $.
    qustriv.1 $e |- B = ( Base ` G ) $.
    $( The Group quotient equivalence relation for the whole group is the
       cartesian product, i.e. all elements are in the same equivalence class.
       (Contributed by Thierry Arnoux, 16-Jan-2024.) $)
    qusxpid $p |- ( G e. Grp -> ( G ~QG B ) = ( B X. B ) ) $=
      ( vx vy cgrp wcel cqg co cxp csubg cfv wer wrel eqid a1i cv wa wbr wb w3a
      subgid eqger errel 3syl relxp cminusg cplusg df-3an simpl grpinvcl simprr
      adantrr grpcl syl3anc ex pm4.71d bitr4id wss eqgval mpan2 3bitr4d eqbrrdv
      ssid brxp ) BFGZDEBAHIZAAJZVFABKLGAVGMVGNABCUBVGBAACVGOZUCAVGUDUEVHNVFAAU
      FPVFDQZAGZEQZAGZVJBUGLZLZVLBUHLZIAGZUAZVKVMRZVJVLVGSZVJVLVHSZVFVRVSVQRVSV
      KVMVQUIVFVSVQVFVSVQVFVSRVFVOAGZVMVQVFVSUJVFVKWBVMABVNVJCVNOZUKUMVFVKVMULA
      VPBVOVLCVPOZUNUOUPUQURVFAAUSVTVRTAVDVJVLVPVGABVNFACWCWDVIUTVAWAVSTVFVJVLA
      AVEPVBVC $.

    qustriv.2 $e |- Q = ( G /s ( G ~QG B ) ) $.
    $( The quotient of a group ` G ` by itself is trivial.  (Contributed by
       Thierry Arnoux, 15-Jan-2024.) $)
    qustriv $p |- ( G e. Grp -> ( Base ` Q ) = { B } ) $=
      ( cgrp wcel cqg co cqs cxp cbs cfv csn qusxpid qseq2d cvv cqus wceq a1i
      ovexd id qusbas c0 wne grpbn0 qsxpid syl 3eqtr3d ) CFGZACAHIZJAAAKZJZBLMA
      NZUJUKULAACDOPUJUKCBAQFBCUKRISUJETACLMSUJDTUJCAHUAUJUBUCUJAUDUEUMUNSACDUF
      AUGUHUI $.
  $}

  ${
    qustrivr.1 $e |- B = ( Base ` G ) $.
    qustrivr.2 $e |- Q = ( G /s ( G ~QG H ) ) $.
    $( Converse of ~ qustriv .  (Contributed by Thierry Arnoux,
       15-Jan-2024.) $)
    qustrivr $p |- ( ( G e. Grp /\ H e. ( SubGrp ` G ) /\ ( Base ` Q ) = { H }
       ) -> H = B ) $=
      ( cgrp wcel csubg cfv cbs csn wceq w3a cqg co cuni cvv a1i 3adant3 cqs wa
      cqus ovexd simpl qusbas simp3 eqtrd unieqd wer eqger adantl uniqs2 unisng
      eqid 3ad2ant2 3eqtr3rd ) CGHZDCIJZHZBKJZDLZMZNZACDOPZUAZQZVBQZADVDVFVBVDV
      FVAVBURUTVFVAMVCURUTUBZVECBARGBCVEUCPMVIFSACKJMVIESVICDOUDZURUTUEUFTURUTV
      CUGUHUIURUTVGAMVCVIAVERUTAVEUJURVECADEVEUOUKULVJUMTUTURVHDMVCDUSUNUPUQ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The ring of integers modulo ` N `
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d .^ a $.  $d A a $.  $d B a $.  $d P a $.  $d Z a $.
    znfermltl.z $e |- Z = ( Z/nZ ` P ) $.
    znfermltl.b $e |- B = ( Base ` Z ) $.
    znfermltl.p $e |- .^ = ( .g ` ( mulGrp ` Z ) ) $.
    $( Fermat's little theorem in ` Z/nZ ` .  (Contributed by Thierry Arnoux,
       24-Jul-2024.) $)
    znfermltl $p |- ( ( P e. Prime /\ A e. B ) -> ( P .^ A ) = A ) $=
      ( wcel cfv wceq co cz ccnfld eqid cc syl2anc zring cmo cc0 va cprime czrh
      wa cv cmgp cress cmg cexp cn0 prmnn nnnn0d ad3antrrr simplr cminusg zsscn
      cbs cnfldbas mgpbas sseqtri c0g wss crg cnring ringmgp ax-mp c1 ringidval
      cmnd cnfld1 1z eqeltrri ress0g mp3an ressmulgnn0 zcnd cnfldexp eqtrd cmhm
      fveq2d cn crh nnnn0 zncrng crngringd zrhrhm zringmpg rhmmhm 4syl ressbas2
      syl mhmmulg syl3anc csg cmin simpr adantr zexpcl zringsubgval wbr zred cr
      cdvds zre adantl nnrpd fermltl eqidd modsub12d zcn subidd oveq1d crp 0mod
      3eqtrd zsubcld dvdsval3 mpbird zndvds0 cghm rhmghm 3syl zringbas 3eqtr3rd
      wb ghmsub cgrp ringgrpd wf rhmf ffvelrnd grpsubeq0 mpbid ad4ant13 3eqtr3d
      oveq2 3eqtr4d wfo wrex znzrhfo foelrn sylan r19.29a ) CUBIZABIZUDZAUAUEZE
      UCJZJZKZCADLZAKUAMUUFUUGMIZUDZUUJUDZCUUIDLZUUIUUKAUUNCUUGNUFJZMUGLZUHJZLZ
      UUHJZUUGCUILZUUHJZUUOUUIUUNUUSUVAUUHUUNUUSCUUGUUPUHJZLZUVAUUNCUJIZUULUUSU
      VDKUUDUVEUUEUULUUJUUDCCUKZULUMZUUFUULUUJUNZMUUPUUQUUPUOJZUVCCUUGUUQOZMPUU
      PUQJUPPNUUPUUPOZURUSZUTUVCOUVIOUUPVIIZUUPVAJZMIMPVBZUVNUUQVAJKNVCIUVMVDNU
      UPUVKVEVFVGUVNMNVGUUPUVKVJVHVKVLUPMPUUPUUQUVNUVJUVLUVNOVMVNVOQUUNUUGPIUVE
      UVDUVAKUUNUUGUVHVPUVGUUGCVQQVRVTUUNUUHUUQEUFJZVSLIZUVEUULUUTUUOKUUDUVQUUE
      UULUUJUUDCWAIZUVEUUHREWBLIZUVQUVFCWCZUVEEVCIZUVSUVEECEFWDWEZEUUHUUHOZWFWK
      ZREUUHUUQUVPWGUVPOWHWIUMUVGUVHMUURDUUHUUQUVPCUUGUVOMUUQUQJKUPMPUUQUUPUVJU
      VLWJVFUUROHWLWMUUDUULUVBUUIKZUUEUUJUUDUULUDZUVBUUIEWNJZLZEVAJZKZUWEUWFUVA
      UUGWOLZUUHJZUVAUUGRWNJZLZUUHJZUWIUWHUWFUWKUWNUUHUWFUVAMIZUULUWKUWNKUWFUUL
      UVEUWPUUDUULWPZUWFCUUDUVRUULUVFWQZULZUUGCWRQZUWQUWMUVAUUGUWMOZWSQVTUWFUWL
      UWIKZCUWKXCWTZUWFUXCUWKCSLZTKZUWFUXDUUGUUGWOLZCSLTCSLZTUWFUVAUUGUUGUUGCUW
      FUVAUWTXAUULUUGXBIUUDUUGXDXEZUXHUXHUWFCUWRXFZUUGCXGUWFUUGCSLXHXIUWFUXFTCS
      UULUXFTKUUDUULUUGUUGXJXKXEXLUWFCXMIUXGTKUXICXNWKXOUWFUVRUWKMIZUXCUXEYEUWR
      UWFUVAUUGUWTUWQXPZCUWKXQQXRUWFUVEUXJUXBUXCYEUWSUXKUWKUUHCEUWIFUWCUWIOZXSQ
      XRUWFUUHREXTLIZUWPUULUWOUWHKUWFUVEUVSUXMUWSUWDREUUHYAYBUWTUWQMREUVAUUHUWM
      UWGUUGYCUXAUWGOZYFWMYDUWFEYGIZUVBEUQJZIUUIUXPIUWJUWEYEUUDUXOUULUUDEUUDUVR
      UVEUWAUVFUVTUWBYBYHWQUWFMUXPUVAUUHUWFUVEUVSMUXPUUHYIUWSUWDMUXPREUUHYCUXPO
      ZYJYBZUWTYKUWFMUXPUUGUUHUXRUWQYKUXPEUWGUVBUUIUWIUXQUXLUXNYLWMYMYNYOUUJUUK
      UUOKUUMAUUICDYPXEUUMUUJWPYQUUDMBUUHYRZUUEUUJUAMYSUUDUVRUVEUXSUVFUVTBUUHCE
      FGUWCYTYBUAMBAUUHUUAUUBUUC $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Independent sets and families
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d .0. a v $.  $d .x. a v $.  $d B a v $.  $d F a $.  $d K v $.  $d O a $.
    $d V a v $.  $d W a v $.
    islinds5.b $e |- B = ( Base ` W ) $.
    islinds5.k $e |- K = ( Base ` F ) $.
    islinds5.r $e |- F = ( Scalar ` W ) $.
    islinds5.t $e |- .x. = ( .s ` W ) $.
    islinds5.z $e |- O = ( 0g ` W ) $.
    islinds5.y $e |- .0. = ( 0g ` F ) $.
    $( A set is linearly independent if and only if it has no non-trivial
       representations of zero.  (Contributed by Thierry Arnoux,
       18-May-2023.) $)
    islinds5 $p |- ( ( W e. LMod /\ V C_ B ) -> ( V e. ( LIndS ` W ) <-> A. a
       e. ( K ^m V ) ( ( a finSupp .0. /\ ( W gsum ( v e. V |-> ( ( a ` v ) .x.
       v ) ) ) = O ) -> a = ( V X. { .0. } ) ) ) ) $=
      ( wcel co wi cvv clmod wss wa clinds cfv cid cres clindf wbr cv cgsu wceq
      cof csn cxp cfrlm cbs wral cfsupp cmpt cmap islinds baibd wf wb simpl a1i
      fvexi simpr wf1o f1oi f1of mp1i fssd eqid islindf4 syl3anc csca frlmelbas
      ssexd sylancr imbi1d wfn elmapfn ad2antrl adantr ffnd inidm fvresi adantl
      eqidd offval oveq2d eqeq1d pm5.74da impexp imbi2i bitr4i 3bitrd ralbidv2
      ) HUAQZGBUBZUCZGHUDUEQZUFGUGZHUHUIZHJUJZXECUMRZUKRZFULZXGGIUNUOULZSZJDGUP
      RZUQUEZURZXGIUSUIZHAGAUJZXGUEZXQCRUTZUKRZFULZUCXKSZJEGVARZURXAXDXBXFBUAHG
      KVBVCXCXAGTQZGBXEVDZXFXOVEXAXBVFXCGBTBTQXCBHUQKVHVGXAXBVIZVTZXCGGBXEGGXEV
      JGGXEVDXCGVKGGXEVLVMYFVNZJBDCXEGXNHTIFKMNOPXNVOZVPVQXCXLYBJXNYCXCXGXNQZXL
      SXGYCQZXPUCZXLSYLYAXKSZSZYKYBSZXCYJYLXLXCDTQYDYJYLVEDHVRMVHYGXNDXMGETTXGI
      XMVOLPYIVSWAWBXCYLXLYMXCYLUCZXJYAXKYPXIXTFYPXHXSHUKYPAGGXRXQCGXGXETTYKXGG
      WCXCXPXGEGWDWEYPGBXEXCYEYLYHWFWGXCYDYLYGWFZYQGWHYPXQGQZUCXRWKYRXQXEUEXQUL
      YPGXQWIWJWLWMWNWBWOYNYOVEXCYNYKXPYMSZSYOYKXPYMWPYBYSYKXPYAXKWPWQWRVGWSWTW
      S $.
  $}

  ${
    $d B a $.  $d K a v $.  $d N a $.  $d M a $.  $d S a $.  $d X a $.
    $d V a v $.  $d ph a v $.  $d .0. a $.  $d .x. a v $.
    ellspds.n $e |- N = ( LSpan ` M ) $.
    ellspds.v $e |- B = ( Base ` M ) $.
    ellspds.k $e |- K = ( Base ` S ) $.
    ellspds.s $e |- S = ( Scalar ` M ) $.
    ellspds.z $e |- .0. = ( 0g ` S ) $.
    ellspds.t $e |- .x. = ( .s ` M ) $.
    ellspds.m $e |- ( ph -> M e. LMod ) $.
    ellspds.1 $e |- ( ph -> V C_ B ) $.
    $( Variation on ~ ellspd .  (Contributed by Thierry Arnoux,
       18-May-2023.) $)
    ellspds $p |- ( ph -> ( X e. ( N ` V ) <-> E. a e. ( K ^m V ) ( a finSupp
       .0. /\ X = ( M gsum ( v e. V |-> ( ( a ` v ) .x. v ) ) ) ) ) ) $=
      ( cid cres cima cfv wcel cv cfsupp wbr cof co cgsu wceq wa cmap wrex cmpt
      cvv wf1o wf f1oi f1of mp1i fssd cbs fvexi a1i ssexd ellspd resiima fveq2d
      wss ssid eleq2d wfn elmapfn adantl ffnd adantr inidm fvresi offval oveq2d
      eqidd eqeq2d anbi2d rexbidva 3bitr3d ) AJUAIUBZIUCZHUDZUELUFZKUGUHZJGWKWH
      EUIUJZUKUJZULZUMZLFIUNUJZUOJIHUDZUEWLJGBIBUFZWKUDZWSEUJUPZUKUJZULZUMZLWQU
      OACDELWHIFGHUQJKMNOPQRAIICWHIIWHURZIIWHUSZAIUTZIIWHVAZVBTVCSAICUQCUQUEACG
      VDNVEVFTVGZVHAWJWRJAWIIHIIVKWIIULAIVLIIVIVBVJVMAWPXDLWQAWKWQUEZUMZWOXCWLX
      KWNXBJXKWMXAGUKXKBIIWTWSEIWKWHUQUQXJWKIVNAWKFIVOVPXKIIWHXEXFXKXGXHVBVQAIU
      QUEXJXIVRZXLIVSXKWSIUEZUMWTWCXMWSWHUDWSULXKIWSVTVPWAWBWDWEWFWG $.
  $}

  ${
    0ellsp.1 $e |- .0. = ( 0g ` W ) $.
    0ellsp.b $e |- B = ( Base ` W ) $.
    0ellsp.n $e |- N = ( LSpan ` W ) $.
    $( Zero is in all spans.  (Contributed by Thierry Arnoux, 8-May-2023.) $)
    0ellsp $p |- ( ( W e. LMod /\ S C_ B ) -> .0. e. ( N ` S ) ) $=
      ( clmod wcel wss cfv clss eqid lspcl lss0cl syldan ) DIJBAKBCLZDMLZJERJSB
      CADGSNZHOSRDEFTPQ $.
  $}

  ${
    $d .0. k x $.  $d F k x $.  $d W k x $.
    0nellinds.1 $e |- .0. = ( 0g ` W ) $.
    $( The group identity cannot be an element of an independent set.
       (Contributed by Thierry Arnoux, 8-May-2023.) $)
    0nellinds $p |- ( ( W e. LVec /\ F e. ( LIndS ` W ) ) -> -. .0. e. F ) $=
      ( vk vx clvec wcel cfv wa cv co csn cdif wn cbs wral wceq eqid adantr c0g
      clinds cvsca clspn csca oveq2 sneq difeq2d fveq2d eleq12d notbid islinds2
      ralbidv wss simplbda simpr rspcdva cur wne clmod lveclmod lmod1cl syl cdr
      wrex lvecdrng drngunz eldifsn sylanbrc ad2antrr lmodvs0 syl2anc2 ad2antlr
      linds1 ssdifssd 0ellsp syl2anc eqeltrd oveq1 eleq1d rspcev sylib pm2.65da
      dfrex2 ) BGHZABUBIHZJZCAHZEKZCBUCIZLZACMZNZBUDIZIZHZOZEBUEIZPIZWRUAIZMNZQ
      ZWGWHJZWIFKZWJLZAXDMZNZWNIZHZOZEXAQZXBFACXDCRZXJWQEXAXLXIWPXLXEWKXHWOXDCW
      IWJUFXLXGWMWNXLXFWLAXDCUGUHUIUJUKUMWGXKFAQZWHWEWFABPIZUNZXMFXNWRWJEAWNWSB
      GWTXNSZWJSZWNSZWRSZWSSZWTSZULUOTWGWHUPUQXCWPEXAVEZXBOXCWRURIZXAHZYCCWJLZW
      OHZYBWGYDWHWGYCWSHZYCWTUSZYDWEYGWFWEBUTHZYGBVAZYCWRWSBXSXTYCSZVBZVCTWEYHW
      FWEWRVDHYHWRBXSVFWRYCWTYAYKVGVCTYCWSWTVHVITXCYECWOXCYIYGYECRWEYIWFWHYJVJZ
      YLWJWRWSBYCCXSXQXTDVKVLXCYIWMXNUNCWOHYMXCAXNWLWFXOWEWHXNBAXPVNVMVOXNWMWNB
      CDXPXRVPVQVRWPYFEYCXAWIYCRWKYEWOWIYCCWJVSVTWAVQWPEXAWDWBWC $.
  $}

  ${
    $d .x. x $.  $d B x $.  $d I x $.  $d K x $.  $d R x $.  $d X x $.
    rspsnel.1 $e |- B = ( Base ` R ) $.
    rspsnel.2 $e |- .x. = ( .r ` R ) $.
    rspsnel.3 $e |- K = ( RSpan ` R ) $.
    $( Membership in a principal ideal.  Analogous to ~ lspsnel .  (Contributed
       by Thierry Arnoux, 15-Jan-2024.) $)
    rspsnel $p |- ( ( R e. Ring /\ X e. B ) -> ( I e. ( K ` { X } ) <-> E. x e.
       B I = ( x .x. X ) ) ) $=
      ( crg wcel wa csn cfv wceq cbs wrex eqid eqtri cv co crglmod csca rlmlmod
      clmod simpr eleqtrdi rlmbas cmulr cvsca rlmvsca crsp clspn rspval lspsnel
      wb syl2an2r rlmsca adantr fveq2d eqtr2id rexeqdv bitrd ) CKLZGBLZMZEGNFOL
      ZEAUAGDUBPZACUCOZUDOZQOZRZVIABRVEVJUFLVFGCQOZLVHVMUQCUEVGGBVNVEVFUGHUHDEA
      VKVLFVNVJGVKSVLSCUIDCUJOVJUKOICULTFCUMOVJUNOJCUOTUPURVGVIAVLBVGBVNVLHVGCV
      KQVECVKPVFCKUSUTVAVBVCVD $.
  $}

  ${
    rspsnid.b $e |- B = ( Base ` R ) $.
    rspsnid.k $e |- K = ( RSpan ` R ) $.
    $( A principal ideal contains the element that generates it.  (Contributed
       by Thierry Arnoux, 15-Jan-2024.) $)
    rspsnid $p |- ( ( R e. Ring /\ G e. B ) -> G e. ( K ` { G } ) ) $=
      ( crg wcel wa csn cfv wss snssi rspssid sylan2 wb snssg adantl mpbird ) B
      GHZCAHZICCJZDKZHZUBUCLZUATUBALUECAMABUBDFENOUAUDUEPTCUCAQRS $.
  $}

  ${
    $d .x. a $.  $d .x. i $.  $d B a $.  $d I a $.  $d I i $.  $d N a $.
    $d R a i $.  $d X a $.  $d a ph $.  $d i ph $.
    elrsp.n $e |- N = ( RSpan ` R ) $.
    elrsp.b $e |- B = ( Base ` R ) $.
    elrsp.1 $e |- .0. = ( 0g ` R ) $.
    elrsp.x $e |- .x. = ( .r ` R ) $.
    elrsp.r $e |- ( ph -> R e. Ring ) $.
    elrsp.i $e |- ( ph -> I C_ B ) $.
    $( Write the elements of a ring span as finite linear combinations.
       (Contributed by Thierry Arnoux, 1-Jun-2024.) $)
    elrsp $p |- ( ph -> ( X e. ( N ` I ) <-> E. a e. ( B ^m I ) ( a finSupp .0.
       /\ X = ( R gsum ( i e. I |-> ( ( a ` i ) .x. i ) ) ) ) ) ) $=
      ( cfv co wceq cbs wcel cv crglmod csca c0g cfsupp wbr cmpt cgsu cmap wrex
      crsp clspn rspval eqtri rlmbas eqid cmulr cvsca rlmvsca crg clmod rlmlmod
      syl ellspds rlmsca fveq2d syl5eq oveq1d breq2d cvv fvexi a1i ssexd mptexd
      wa cplusg rlmplusg gsumpropd eqeq2d anbi12d rexeqbidv bitr4d ) AHFGQUAJUB
      ZCUCQZUDQZUEQZUFUGZHWEEFEUBZWDQWIDRZUHZUIRZSZVPZJWFTQZFUJRZUKWDIUFUGZHCWK
      UIRZSZVPZJBFUJRZUKAEBWFDWOWEGFHWGJGCULQWEUMQKCUNUOBCTQZWETQZLCUPZUOWOUQWF
      UQWGUQDCURQWEUSQNCUTUOACVAUAZWEVBUAOCVCVDZPVEAWTWNJXAWPABWOFUJABXBWOLACWF
      TAXECWFSOCVAVFVDZVGVHVIAWQWHWSWMAIWGWDUFAICUEQWGMACWFUEXGVGVHVJAWRWLHAWKC
      WEVKVAVBAEFWJVKAFBVKBVKUAABCTLVLVMPVNVOOXFXBXCSAXDVMCVQQWEVQQSACVRVMVSVTW
      AWBWC $.
  $}

  ${
    rspidlid.1 $e |- K = ( RSpan ` R ) $.
    rspidlid.2 $e |- U = ( LIdeal ` R ) $.
    $( The ideal span of an ideal is the ideal itself.  (Contributed by Thierry
       Arnoux, 1-Jun-2024.) $)
    rspidlid $p |- ( ( R e. Ring /\ I e. U ) -> ( K ` I ) = I ) $=
      ( crg wcel wa cfv wss ssid rspssp mp3an3 eqid lidlss rspssid sylan2 eqssd
      cbs ) AGHZCBHZICDJZCUAUBCCKUCCKCLABCCDEFMNUBUACATJZKCUCKUDCBAUDOZFPUDACDE
      UEQRS $.
  $}

  ${
    pidlnz.1 $e |- B = ( Base ` R ) $.
    pidlnz.2 $e |- .0. = ( 0g ` R ) $.
    pidlnz.3 $e |- K = ( RSpan ` R ) $.
    $( A principal ideal generated by a nonzero element is not the zero ideal.
       (Contributed by Thierry Arnoux, 11-Apr-2024.) $)
    pidlnz $p |- ( ( R e. Ring /\ X e. B /\ X =/= .0. )
                -> ( K ` { X } ) =/= { .0. } ) $=
      ( crg wcel wne w3a csn cfv wceq wa simpl1 simpl2 rspsnid syl2anc pm2.65da
      simpr eleqtrd elsni syl simpl3 neneqd neqned ) BIJZDAJZDEKZLZDMCNZEMZULUM
      UNOZDEOZULUOPZDUNJUPUQDUMUNUQUIUJDUMJUIUJUKUOQUIUJUKUORABDCFHSTULUOUBUCDE
      UDUEUQDEUIUJUKUOUFUGUAUH $.
  $}

  ${
    $d .0. a $.  $d .x. a $.  $d .x. v $.  $d B a $.  $d K a v $.  $d M a $.
    $d S a $.  $d V a $.  $d V v $.  $d X a $.  $d a ph $.  $d ph v $.
    lbslsp.v $e |- B = ( Base ` M ) $.
    lbslsp.k $e |- K = ( Base ` S ) $.
    lbslsp.s $e |- S = ( Scalar ` M ) $.
    lbslsp.z $e |- .0. = ( 0g ` S ) $.
    lbslsp.t $e |- .x. = ( .s ` M ) $.
    lbslsp.m $e |- ( ph -> M e. LMod ) $.
    lbslsp.1 $e |- ( ph -> V e. ( LBasis ` M ) ) $.
    $( Any element of a left module ` M ` can be expressed as a linear
       combination of the elements of a basis ` V ` of ` M ` .  (Contributed by
       Thierry Arnoux, 3-Aug-2023.) $)
    lbslsp $p |- ( ph -> ( X e. B <-> E. a e. ( K ^m V ) ( a finSupp .0. /\ X =
       ( M gsum ( v e. V |-> ( ( a ` v ) .x. v ) ) ) ) ) ) $=
      ( cfv wcel clspn cv cfsupp co cmpt cgsu wceq wa cmap wrex clbs eqid lbssp
      wbr syl eleq2d wss lbsss ellspds bitr3d ) AIHGUASZSZTICTKUBZJUCUNIGBHBUBZ
      VCSVDEUDUEUFUDUGUHKFHUIUDUJAVBCIAHGUKSZTZVBCUGRHVEVACGLVEULZVAULZUMUOUPAB
      CDEFGVAHIJKVHLMNOPQAVFHCUQRHVECGLVGURUOUSUT $.
  $}

  ${
    $d .0. y $.  $d B y $.  $d W x y $.  $d X x y $.
    lindssn.1 $e |- B = ( Base ` W ) $.
    lindssn.2 $e |- .0. = ( 0g ` W ) $.
    $( Any singleton of a nonzero element is an independent set.  (Contributed
       by Thierry Arnoux, 5-Aug-2023.) $)
    lindssn $p |- ( ( W e. LVec /\ X e. B /\ X =/= .0. )
      -> { X } e. ( LIndS ` W ) ) $=
      ( vy vx clvec wcel wne csn cv cfv cdif wn wral wceq eqid c0 w3a wss cvsca
      co clspn csca cbs clinds simp1 snssi 3ad2ant2 wa wo simpr eldifsni neneqd
      c0g syl simpl3 sylanbrc adantr eldifad simpl2 lvecvs0or necon3abid mpbird
      ioran nelsn difid a1i fveq2d clmod lveclmod lsp0 3syl neleqtrrd ralrimiva
      eqtrd oveq2 sneq difeq2d eleq12d notbid ralbidv islinds2 biimpar syl12anc
      wb ralsng ) BIJZCAJZCDKZUAZWJCLZAUBZGMZHMZBUCNZUDZWNWQLZOZBUENZNZJZPZGBUF
      NZUGNZXFUQNZLZOZQZHWNQZWNBUHNJZWJWKWLUIZWKWJWOWLCAUJUKWMXLWPCWRUDZWNWNOZX
      BNZJZPZGXJQZWMXSGXJWMWPXJJZULZXQDLZXOYBXODKZXOYCJPYBYDWPXHRZCDRZUMZPZYBYE
      PYFPYHYBWPXHYBYAWPXHKWMYAUNZWPXGXHUOURUPYBCDWJWKWLYAUSUPYEYFVGUTYBYGXODYB
      WPWRXFXGXHABCDEWRSZXFSZXGSZXHSZFWMWJYAXNVAYBWPXGXIYIVBWJWKWLYAVCVDVEVFXOD
      VHURYBXQTXBNZYCYBXPTXBXPTRYBWNVIVJVKWMYNYCRZYAWMWJBVLJYOXNBVMXBBDFXBSZVNV
      OVAVRVPVQWKWJXLXTWHWLXKXTHCAWQCRZXEXSGXJYQXDXRYQWSXOXCXQWQCWPWRVSYQXAXPXB
      YQWTWNWNWQCVTWAVKWBWCWDWIUKVFWJXMWOXLULHAXFWRGWNXBXGBIXHEYJYPYKYLYMWEWFWG
      $.
  $}

  ${
    lindflbs.b $e |- B = ( Base ` W ) $.
    lindflbs.k $e |- K = ( Base ` F ) $.
    lindflbs.r $e |- S = ( Scalar ` W ) $.
    lindflbs.t $e |- .x. = ( .s ` W ) $.
    lindflbs.z $e |- O = ( 0g ` W ) $.
    lindflbs.y $e |- .0. = ( 0g ` S ) $.
    lindflbs.n $e |- N = ( LSpan ` W ) $.
    lindflbs.1 $e |- ( ph -> W e. LMod ) $.
    lindflbs.2 $e |- ( ph -> S e. NzRing ) $.
    lindflbs.3 $e |- ( ph -> I e. V ) $.
    lindflbs.4 $e |- ( ph -> F : I -1-1-> B ) $.
    $( Conditions for an independent family to be a basis.  (Contributed by
       Thierry Arnoux, 21-Jul-2023.) $)
    lindflbs $p |- ( ph -> ( ran F e. ( LBasis ` W ) <-> ( F LIndF W /\ ( N `
       ran F ) = B ) ) ) $=
      ( crn clbs cfv wcel clinds wceq wa clindf wbr eqid islbs4 cdm cvv wf1 wss
      ssv f1ssr sylancl wb f1dm f1eq2 3syl clmod cnzr islindf3 syl2anc mpbirand
      mpbird anbi1d bitr4id ) AEUDZKUEUFZUGVNKUHUFUGZVNHUFBUIZUJEKUKULZVQUJBVOH
      KVNMVOUMSUNAVRVPVQAVREUOZUPEUQZVPAVTFUPEUQZAFBEUQZVNUPURWAUCVNUSFBUPEUTVA
      AWBVSFUIVTWAVBUCFBEVCVSFUPEVDVEVKAKVFUGCVGUGVRVTVPUJVBTUAECKOVHVIVJVLVM
      $.
  $}

  ${
    $d .0. a b $.  $d .x. a b $.  $d B b $.  $d F a b $.  $d K a b $.
    $d L a b $.  $d W a b $.  $d X a b $.  $d Y a b $.
    linds2eq.1 $e |- F = ( Base ` ( Scalar ` W ) ) $.
    linds2eq.2 $e |- .x. = ( .s ` W ) $.
    linds2eq.3 $e |- .+ = ( +g ` W ) $.
    linds2eq.4 $e |- .0. = ( 0g ` ( Scalar ` W ) ) $.
    linds2eq.5 $e |- ( ph -> W e. LVec ) $.
    linds2eq.6 $e |- ( ph -> B e. ( LIndS ` W ) ) $.
    linds2eq.7 $e |- ( ph -> X e. B ) $.
    linds2eq.8 $e |- ( ph -> Y e. B ) $.
    linds2eq.9 $e |- ( ph -> K e. F ) $.
    linds2eq.10 $e |- ( ph -> L e. F ) $.
    linds2eq.11 $e |- ( ph -> K =/= .0. ) $.
    linds2eq.12 $e |- ( ph -> ( K .x. X ) = ( L .x. Y ) ) $.
    $( Deduce equality of elements in an independent set.  (Contributed by
       Thierry Arnoux, 18-Jul-2023.) $)
    linds2eq $p |- ( ph -> ( X = Y /\ K = L ) ) $=
      ( vb va wceq wa simpr co adantr oveq2d eqtr4d csca cfv cbs c0g eqid clvec
      wcel clinds wss linds1 syl sseldd wne 0nellinds syl2anc nelne2 lvecvscan2
      wn mpbid jca cop cminusg cvv cpr a1i wo animorrl opthneg biimpar syl21anc
      opex csn cxp cfsupp wbr cv cmpt cgsu fvexd fprg syl221anc prfi fdmfifsupp
      cfn fvexi ccmn clmod lveclmod lmodcmn cgrp lmodring ringgrp 3syl grpinvcl
      wf crg prssd fssd eqidd orcd elprg ffvelrnd lmodvscl syl3anc olcd oveq12d
      fveq2 id gsumpr syl132anc fvpr1g oveq1d fvpr2g eqeltrrd grpsubval lmodgrp
      csg wb grpsubeq0 mpbird lmodvsneg 3eqtr3rd 3eqtrd cmap breq1 fveq1 biimpa
      wi mpteq2dv eqeq1d anbi12d eqeq1 imbi12d wral sstrd islinds5 elexd elmapd
      lindsss rspcdva mp2and xpprsng eqtrd opthprneg syl1111anc simpld simplbda
      opthg pm2.21ddne pm2.61dane ) AIJUFZFGUFZUGZIJAUVCUGZUVCUVDAUVCUHZUVFFIDU
      IZGIDUIZUFUVDUVFUVHGJDUIZUVIAUVHUVJUFZUVCUCUJUVFIJGDUVGUKULUVFFGDHUMUNZEH
      UOUNZHIHUPUNZUVMUQZMUVLUQZLUVNUQZAHURUSZUVCPUJAFEUSZUVCTUJAGEUSZUVCUAUJAI
      UVMUSZUVCABUVMIABHUTUNZUSZBUVMVAQUVMHBUVOVBVCZRVDZUJAIUVNVEZUVCAIBUSZUVNB
      USVJZUWFRAUVRUWCUWHPQBHUVNUVQVFVGIUVNBVHVGUJVIVKVLAIJVEZUGZUVEFKUWJUWGUVS
      IFVMZIKVMZUFZFKUFZAUWGUWIRUJZAUVSUWITUJZUWJUWMJGUVLVNUNZUNZVMZJKVMZUFZUWJ
      UWKVOUSZUWSVOUSZUWKUWSVEZUWKUWTVEZUGZUWKUWSVPZUWLUWTVPZUFZUWMUXAUGZUXBUWJ
      IFWCVQUXCUWJJUWRWCVQUWJUXDUXEUWJUWGUVSUWIFUWRVEZVRZUXDUWOUWPAUWIUXKVSUWGU
      VSUGZUXDUXLIFJUWRBEVTWAWBUWJUWGUVSUWIFKVEZVRZUXEUWOUWPAUWIUXNVSUXMUXEUXOI
      FJKBEVTWAWBVLUWJUXGIJVPZKWDWEZUXHUWJUXGKWFWGZHUDUXPUDWHZUXGUNZUXSDUIZWIZW
      JUIZUVNUFZUXGUXQUFZUWJUXPFUWRVPZUXGVOKUWJUWGJBUSZUVSUWRVOUSUWIUXPUYFUXGXG
      UWOAUYGUWISUJZUWPUWJGUWQWKAUWIUHZIJFUWRBBEVOWLWMZUXPWPUSUWJIJWNVQKVOUSZUW
      JKUVLUPOWQVQZWOUWJUYCIUXGUNZIDUIZJUXGUNZJDUIZCUIZUVHUWRJDUIZCUIZUVNUWJHWR
      USZUWGUYGUWIUYNUVMUSZUYPUVMUSZUYCUYQUFAUYTUWIAHWSUSZUYTAUVRVUCPHWTVCZHXAV
      CUJUWOUYHUYIUWJVUCUYMEUSUWAVUAAVUCUWIVUDUJZUWJUXPEIUXGUWJUXPUYFEUXGUYJAUY
      FEVAUWIAFUWRETAUVLXBUSZUVTUWREUSZAVUCUVLXHUSVUFVUDUVLHUVPXCUVLXDXEUAEUVLU
      WQGLUWQUQZXFVGZXIUJXJZUWJUWGIIUFZUVCVRZIUXPUSZUWOUWJVUKUVCUWJIXKXLUWGVUMV
      ULIIJBXMWAVGXNAUWAUWIUWEUJUYMDUVLEUVMHIUVOUVPMLXOXPUWJVUCUYOEUSJUVMUSZVUB
      VUEUWJUXPEJUXGVUJUWJUYGJIUFZJJUFZVRZJUXPUSZUYHUWJVUPVUOUWJJXKXQUYGVURVUQJ
      IJBXMWAVGXNAVUNUWIABUVMJUWDSVDZUJUYODUVLEUVMHJUVOUVPMLXOXPUYAUVMUYNUYPCUD
      HIJBBUVONUXSIUFZUXTUYMUXSIDUXSIUXGXSVUTXTXRUXSJUFZUXTUYOUXSJDUXSJUXGXSVVA
      XTXRYAYBUWJUYNUVHUYPUYRCUWJUYMFIDUWJUWGUVSUWIUYMFUFUWOUWPUYIIJFUWRBEYCXPY
      DUWJUYOUWRJDUWJUYGVUGUWIUYOUWRUFUYHAVUGUWIVUIUJUYIIJFUWRBEYEXPYDXRAUYSUVN
      UFUWIAUVHUVJHYIUNZUIZUVHUVJHVNUNZUNZCUIZUVNUYSAUVHUVMUSZUVJUVMUSZVVCVVFUF
      AVUCUVSUWAVVGVUDTUWEFDUVLEUVMHIUVOUVPMLXOXPZAUVHUVJUVMUCVVIYFZUVMCHVVDVVB
      UVHUVJUVONVVDUQZVVBUQZYGVGAVVCUVNUFZUVKUCAHXBUSZVVGVVHVVMUVKYJAVUCVVNVUDH
      YHVCVVIVVJUVMHVVBUVHUVJUVNUVOUVQVVLYKXPYLAVVEUYRUVHCAUVMGDUVLEUWQVVDHJUVO
      UVPMVVKLVUHVUDVUSUAYMUKYNUJYOUWJUEWHZKWFWGZHUDUXPUXSVVOUNZUXSDUIZWIZWJUIZ
      UVNUFZUGZVVOUXQUFZYTZUXRUYDUGZUYEYTUEEUXPYPUIZUXGVVOUXGUFZVWBVWEVWCUYEVWG
      VVPUXRVWAUYDVVOUXGKWFYQVWGVVTUYCUVNVWGVVSUYBHWJVWGUDUXPVVRUYAVWGVVQUXTUXS
      DUXSVVOUXGYRYDUUAUKUUBUUCVVOUXGUXQUUDUUEAVWDUEVWFUUFZUWIAVUCUXPUVMVAZUXPU
      WBUSZVWHVUDAUXPBUVMAIJBRSXIZUWDUUGAVUCUWCUXPBVAVWJVUDQVWKBUXPHUUKXPZVUCVW
      IUGVWJVWHUDUVMDUVLEUVNUXPHKUEUVOLUVPMUVQOUUHYSWBUJUWJUXGVWFUSUXPEUXGXGVUJ
      UWJEUXPUXGVOVOEVOUSUWJEUVLUOLWQVQAUXPVOUSUWIAUXPUWBVWLUUIUJUUJYLUULUUMUWJ
      UWGUYGUYKUXQUXHUFUWOUYHUYLIJKVOBBUUNXPUUOUXBUXCUGUXFUGUXIUXJUWKUWSUWLUWTV
      OVOUUPYSUUQUURUXMUWMVUKUWNIFIKBEUUTUUSWBAUXNUWIUBUJUVAUVB $.
  $}

  ${
    $d K i k x y z $.  $d L i k x y z $.  $d X i k x y $.  $d i k ph x y z $.
    lindfpropd.1 $e |- ( ph -> ( Base ` K ) = ( Base ` L ) ) $.
    lindfpropd.2 $e |- ( ph
       -> ( Base ` ( Scalar ` K ) ) = ( Base ` ( Scalar ` L ) ) ) $.
    lindfpropd.3 $e |- ( ph
       -> ( 0g ` ( Scalar ` K ) ) = ( 0g ` ( Scalar ` L ) ) ) $.
    lindfpropd.4 $e |- ( ( ph /\ ( x e. ( Base ` K ) /\ y e. ( Base ` K ) ) )
       -> ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    lindfpropd.5 $e |- ( ( ph /\ ( x e. ( Base ` ( Scalar ` K ) ) /\ y e. (
       Base ` K ) ) ) -> ( x ( .s ` K ) y ) e. ( Base ` K ) ) $.
    lindfpropd.6 $e |- ( ( ph /\ ( x e. ( Base ` ( Scalar ` K ) ) /\ y e. (
       Base ` K ) ) ) -> ( x ( .s ` K ) y ) = ( x ( .s ` L ) y ) ) $.
    lindfpropd.k $e |- ( ph -> K e. V ) $.
    lindfpropd.l $e |- ( ph -> L e. W ) $.

    ${
      lindfpropd.x $e |- ( ph -> X e. A ) $.
      $( Property deduction for linearly independent families.  (Contributed by
         Thierry Arnoux, 16-Jul-2023.) $)
      lindfpropd $p |- ( ph -> ( X LIndF K <-> X LIndF L ) ) $=
        ( cfv eqid vk vi cdm cbs wf cv cvsca co csn cdif cima clspn wcel wn c0g
        csca wral clindf wbr wceq sneqd difeq12d ad2antrr simplll simpr eldifad
        wa ffvelrnda adantr oveqrspc2v syl12anc eqidd lsppropd fveq1d ad3antrrr
        ssidd eleq12d notbid raleqbidva ralbidva pm5.32da feq3d anbi1d bitrd wb
        islindf syl2anc 3bitr4d ) AIUCZEUDSZIUEZUAUFZUBUFZISZEUGSZUHZIWIWMUIUJU
        KZEULSZSZUMZUNZUAEUPSZUDSZXBUOSZUIZUJZUQZUBWIUQZVGZWIFUDSZIUEZWLWNFUGSZ
        UHZWQFULSZSZUMZUNZUAFUPSZUDSZXRUOSZUIZUJZUQZUBWIUQZVGZIEURUSZIFURUSZAXI
        WKYDVGYEAWKXHYDAWKVGZXGYCUBWIYHWMWIUMZVGZXAXQUAXFYBAXFYBUTWKYIAXCXSXEYA
        KAXDXTLVAVBVCYJWLXFUMZVGZWTXPYLWPXMWSXOYLAWLXCUMWNWJUMZWPXMUTAWKYIYKVDY
        LWLXCXEYJYKVEVFYJYMYKYHWIWJWMIAWKVEVHVIABCXCWJWOXLWLWNOVJVKAWSXOUTWKYIY
        KAWQWRXNABCWJXCEFWJGHAWJVLJAWJVPMNOAXCVLKPQVMVNVOVQVRVSVTWAAWKXKYDAWJXJ
        IWIJWBWCWDAEGUMIDUMZYFXIWEPRUBWJXBWOUAIWRXCEDGXDWJTWOTWRTXBTXCTXDTWFWGA
        FHUMYNYGYEWEQRUBXJXRXLUAIXNXSFDHXTXJTXLTXNTXRTXSTXTTWFWGWH $.
    $}

    $( Property deduction for linearly independent sets.  (Contributed by
       Thierry Arnoux, 16-Jul-2023.) $)
    lindspropd $p |- ( ph -> ( LIndS ` K ) = ( LIndS ` L ) ) $=
      ( vz clinds cfv wcel cvv cv cbs wss cid cres clindf wbr wa sseq2d vex a1i
      resiexd lindfpropd anbi12d wb eqid islinds syl 3bitr4d eqrdv ) APDQRZEQRZ
      APUAZDUBRZUCZUDVCUEZDUFUGZUHZVCEUBRZUCZVFEUFUGZUHZVCVASZVCVBSZAVEVJVGVKAV
      DVIVCHUIABCTDEFGVFHIJKLMNOAVCTVCTSAPUJUKULUMUNADFSVMVHUONVDFDVCVDUPUQURAE
      GSVNVLUOOVIGEVCVIUPUQURUSUT $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Subgroup sum / Sumset / Minkowski sum
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  The sumset (also called the Minkowski sum) of two subsets ` A ` and ` B ` ,
  is defined to be the set of all sums of an element from ` A ` with an element
  from ` B ` .

  The sumset operation can be used for both group (additive) operations and
  ring (multiplicative) operations.

$)

  ${
    $d .+ x y $.  $d A x y $.  $d B x y $.  $d G x y $.  $d X x y $.
    $d Z x y $.  $d ph x $.
    elgrplsmsn.1 $e |- B = ( Base ` G ) $.
    elgrplsmsn.2 $e |- .+ = ( +g ` G ) $.
    elgrplsmsn.3 $e |- .(+) = ( LSSum ` G ) $.
    elgrplsmsn.4 $e |- ( ph -> G e. V ) $.
    elgrplsmsn.5 $e |- ( ph -> A C_ B ) $.
    elgrplsmsn.6 $e |- ( ph -> X e. B ) $.
    $( Membership in a sumset with a singleton for a group operation.
       (Contributed by Thierry Arnoux, 21-Jan-2024.) $)
    elgrplsmsn $p |- ( ph -> ( Z e. ( A .(+) { X } )
                       <-> E. x e. A Z = ( x .+ X ) ) ) $=
      ( vy co wcel wceq csn cv wrex wss wb snssd lsmelvalx syl3anc oveq2 eqeq2d
      rexsng syl rexbidv bitrd ) AJCIUAZFRSZJBUBZQUBZERZTZQUOUCZBCUCZJUQIERZTZB
      CUCAGHSCDUDUODUDUPVBUENOAIDPUFBQDEFCUOGHJKLMUGUHAVAVDBCAIDSVAVDUEPUTVDQID
      URITUSVCJURIUQEUIUJUKULUMUN $.
  $}

  ${
    $d .(+) k $.  $d .+ g $.  $d .+ h x y $.  $d .~ h k $.  $d A g h k x y $.
    $d B h x y $.  $d G h $.  $d X g h k $.  $d X g h x y $.  $d h k ph $.
    lsmsnorb.1 $e |- B = ( Base ` G ) $.
    lsmsnorb.2 $e |- .+ = ( +g ` G ) $.
    lsmsnorb.3 $e |- .(+) = ( LSSum ` G ) $.
    lsmsnorb.4 $e |- .~ = { <. x , y >. | ( { x , y } C_ B
                                             /\ E. g e. A ( g .+ x ) = y ) } $.
    lsmsnorb.5 $e |- ( ph -> G e. Mnd ) $.
    lsmsnorb.6 $e |- ( ph -> A C_ B ) $.
    lsmsnorb.7 $e |- ( ph -> X e. B ) $.
    $( The sumset of a group with a single element is the element's orbit by
       the group action.  See ~ gaorb .  (Contributed by Thierry Arnoux,
       21-Jan-2024.) $)
    lsmsnorb $p |- ( ph -> ( A .(+) { X } ) = [ X ] .~ ) $=
      ( vh wcel vk csn co cec cv cmnd wss snssd lsmssv syl3anc sselda df-ec crn
      cima imassrn cpr wceq wrex wa copab rneqi wex cab rnopab vex prss biimpri
      simprd adantr exlimiv abssi eqsstri a1i eqsstrid wbr w3a anim1i biantrurd
      sstri gaorb df-3an bitr4di bitr4id cvv wb elecg sylancr elgrplsmsn rexbii
      eqcom bitrdi 3bitr4rd eqrdav ) AUADKUBZGUCZKHUDZEAWOEUAUEZAJUFTZDEUGZWNEU
      GWOEUGPQAKERUHEGDWNJLNUIUJUKAWPEWQAWPHWNUNZEKHULWTEUGAWTHUMZEHWNUOXABUEZC
      UEZUPEUGZIUEXBFUCXCUQIDURZUSZBCUTZUMZEHXGOVAXHXFBVBZCVCEXFBCVDXICEXFXCETZ
      BXDXJXEXDXBETZXJXKXJUSXDXBXCEBVECVEVFVGVHVIVJVKVLVLVSVMVNUKAWQETZUSZKWQHV
      OZSUEKFUCZWQUQZSDURZWQWPTZWQWOTZXMXNKETZXLXQVPZXQBCKWQFHISDEOVTXMXQXTXLUS
      ZXQUSYAXMYBXQAXTXLRVQVRXTXLXQWAWBWCXMWQWDTXTXRXNWEUAVEAXTXLRVIZWQKHWDEWFW
      GXMXSWQXOUQZSDURXQXMSDEFGJUFKWQLMNAWRXLPVIAWSXLQVIYCWHYDXPSDWQXOWJWIWKWLW
      M $.
  $}

  ${
    $d A g x y $.  $d B x y $.  $d G g x y $.  $d X g x y $.
    lsmsnorb2.1 $e |- B = ( Base ` G ) $.
    lsmsnorb2.2 $e |- .+ = ( +g ` G ) $.
    lsmsnorb2.3 $e |- .(+) = ( LSSum ` G ) $.
    lsmsnorb2.4 $e |- .~ = { <. x , y >. | ( { x , y } C_ B /\ E. g e. A ( x .+
       g ) = y ) } $.
    lsmsnorb2.5 $e |- ( ph -> G e. Mnd ) $.
    lsmsnorb2.6 $e |- ( ph -> A C_ B ) $.
    lsmsnorb2.7 $e |- ( ph -> X e. B ) $.
    $( The sumset of a single element with a group is the element's orbit by
       the group action.  See ~ gaorb .  (Contributed by Thierry Arnoux,
       24-Jul-2024.) $)
    lsmsnorb2 $p |- ( ph -> ( { X } .(+) A ) = [ X ] .~ ) $=
      ( co cfv csn coppg clsm cec eqid oppglsm cplusg oppgbas cpr wss wceq wrex
      cv wa copab oppgplus eqeq1i rexbii anbi2i opabbii eqtr4i cmnd oppgmnd syl
      wcel lsmsnorb eqtr3id ) AKUAZDGSDVHJUBTZUCTZSKHUDGDVHJVIVIUEZNUFABCDEVIUG
      TZVJHIVIKEJVIVKLUHVLUEZVJUEHBUMZCUMZUIEUJZVNIUMZFSZVOUKZIDULZUNZBCUOVPVQV
      NVLSZVOUKZIDULZUNZBCUOOWEWABCWDVTVPWCVSIDWBVRVOFVLJVIVQVNMVKVMUPUQURUSUTV
      AAJVBVEVIVBVEPJVIVKVCVDQRVFVG $.
  $}

  ${
    $d .x. x y $.  $d B x y $.  $d E x y $.  $d F x y $.  $d G x y $.
    $d Z x y $.
    elringlsm.1 $e |- B = ( Base ` R ) $.
    elringlsm.2 $e |- .x. = ( .r ` R ) $.
    elringlsm.3 $e |- G = ( mulGrp ` R ) $.
    elringlsm.4 $e |- .X. = ( LSSum ` G ) $.
    elringlsm.6 $e |- ( ph -> E C_ B ) $.
    elringlsm.7 $e |- ( ph -> F C_ B ) $.
    $( Membership in a product of two subsets of a ring.  (Contributed by
       Thierry Arnoux, 20-Jan-2024.) $)
    elringlsm $p |- ( ph -> ( Z e. ( E .X. F )
                            <-> E. x e. E E. y e. F Z = ( x .x. y ) ) ) $=
      ( cvv wcel wss co cv wceq wrex wb fvexi mgpbas mgpplusg lsmelvalx mp3an2i
      cmgp ) JRSAHDTIDTKHIGUASKBUBCUBFUAUCCIUDBHUDUEJEUKNUFPQBCDFGHIJRKDEJNLUGE
      FJNMUHOUIUJ $.

    $d X x y $.  $d Y x y $.
    elringlsmd.1 $e |- ( ph -> X e. E ) $.
    elringlsmd.2 $e |- ( ph -> Y e. F ) $.
    $( Membership in a product of two subsets of a ring, one direction.
       (Contributed by Thierry Arnoux, 13-Apr-2024.) $)
    elringlsmd $p |- ( ph -> ( X .x. Y ) e. ( E .X. F ) ) $=
      ( vx vy co wcel cv wceq wrex eqidd rspceov syl3anc elringlsm mpbird ) AIJ
      DUAZFGEUAUBUKSUCTUCDUAUDTGUESFUEZAIFUBJGUBUKUKUDULQRAUKUFSTFGIJUKDUGUHAST
      BCDEFGHUKKLMNOPUIUJ $.
  $}

  ${
    ringlsmss.1 $e |- B = ( Base ` R ) $.
    ringlsmss.2 $e |- G = ( mulGrp ` R ) $.
    ringlsmss.3 $e |- .X. = ( LSSum ` G ) $.
    ${
      ringlsmss.4 $e |- ( ph -> R e. Ring ) $.
      ringlsmss.5 $e |- ( ph -> E C_ B ) $.
      ringlsmss.6 $e |- ( ph -> F C_ B ) $.
      $( Closure of the product of two subsets of a ring.  (Contributed by
         Thierry Arnoux, 20-Jan-2024.) $)
      ringlsmss $p |- ( ph -> ( E .X. F ) C_ B ) $=
        ( cmnd wcel wss co crg ringmgp syl mgpbas lsmssv syl3anc ) AGNOZEBPFBPE
        FDQBPACROUDKCGISTLMBDEFGBCGIHUAJUBUC $.
    $}

    ${
      $d .X. a $.  $d .X. e i $.  $d B e i $.  $d E a e i $.  $d G e i $.
      $d I a e i $.  $d R e i $.  $d a ph $.  $d e i ph $.
      ringlsmss1.1 $e |- ( ph -> R e. CRing ) $.
      ringlsmss1.2 $e |- ( ph -> E C_ B ) $.
      ringlsmss1.3 $e |- ( ph -> I e. ( LIdeal ` R ) ) $.
      $( The product of an ideal ` I ` of a commutative ring ` R ` with some
         set E is a subset of the ideal.  (Contributed by Thierry Arnoux,
         8-Jun-2024.) $)
      ringlsmss1 $p |- ( ph -> ( I .X. E ) C_ I ) $=
        ( vi ve co cv wcel wa ad2antrr cmulr cfv wceq simpr ccrg sselda adantlr
        va clidl wss eqid lidlss syl adantr crngcom syl3anc crg crngring simplr
        lidlmcl syl22anc eqeltrrd eqeltrd wrex elringlsm biimpa r19.29vva ssrdv
        adantllr ex ) AUHGEDPZGAUHQZVKRZVLGRZAVMSZVLNQZOQZCUAUBZPZUCZVNNOGEVOVP
        GRZSVQERZSZVTSVLVSGWCVTUDWCVSGRZVTAWAWBWDVMAWASZWBSZVQVPVRPZVSGWFCUERZV
        QBRZVPBRZWGVSUCAWHWAWBKTAWBWIWAAEBVQLUFUGZWEWJWBAGBVPAGCUIUBZRZGBUJMBGW
        LCHWLUKZULUMZUFUNBCVRVQVPHVRUKZUOUPWFCUQRZWMWIWAWGGRAWQWAWBAWHWQKCURUMT
        AWMWAWBMTWKAWAWBUSBCVRWLGVQVPWNHWPUTVAVBVIUNVCAVMVTOEVDNGVDANOBCVRDGEFV
        LHWPIJWOLVEVFVGVJVH $.
    $}

    ${
      $d .X. a $.  $d .X. e i $.  $d B e i $.  $d E a e i $.  $d G e i $.
      $d I a e i $.  $d R e i $.  $d a ph $.  $d e i ph $.
      ringlsmss2.1 $e |- ( ph -> R e. Ring ) $.
      ringlsmss2.2 $e |- ( ph -> E C_ B ) $.
      ringlsmss2.3 $e |- ( ph -> I e. ( LIdeal ` R ) ) $.
      $( The product with an ideal of a ring is a subset of that ideal.
         (Contributed by Thierry Arnoux, 2-Jun-2024.) $)
      ringlsmss2 $p |- ( ph -> ( E .X. I ) C_ I ) $=
        ( va ve vi co cv wcel wa cmulr cfv wceq simpr crg clidl ad2antrr sselda
        adantr eqid lidlmcl syl22anc adantllr eqeltrd wrex wss lidlss elringlsm
        syl biimpa r19.29vva ex ssrdv ) ANEGDQZGANRZVDSZVEGSZAVFTZVEORZPRZCUAUB
        ZQZUCZVGOPEGVHVIESZTVJGSZTZVMTVEVLGVPVMUDVPVLGSZVMAVNVOVQVFAVNTZVOTCUES
        ZGCUFUBZSZVIBSZVOVQAVSVNVOKUGAWAVNVOMUGVRWBVOAEBVILUHUIVRVOUDBCVKVTGVIV
        JVTUJZHVKUJZUKULUMUIUNAVFVMPGUOOEUOAOPBCVKDEGFVEHWDIJLAWAGBUPMBGVTCHWCU
        QUSURUTVAVBVC $.
    $}
  $}

  ${
    $d .X. x y $.  $d B x y $.  $d G y $.  $d K x y $.  $d R y $.  $d X x y $.
    $d ph x $.  $d ph y $.
    lsmsnpridl.1 $e |- B = ( Base ` R ) $.
    lsmsnpridl.2 $e |- G = ( mulGrp ` R ) $.
    lsmsnpridl.3 $e |- .X. = ( LSSum ` G ) $.
    lsmsnpridl.4 $e |- K = ( RSpan ` R ) $.
    lsmsnpridl.5 $e |- ( ph -> R e. Ring ) $.
    lsmsnpridl.6 $e |- ( ph -> X e. B ) $.
    $( The product of the ring with a single element is equal to the principal
       ideal generated by that element.  (Contributed by Thierry Arnoux,
       21-Jan-2024.) $)
    lsmsnpridl $p |- ( ph -> ( B .X. { X } ) = ( K ` { X } ) ) $=
      ( vx vy co cfv cv wcel cvv csn cmulr wceq wrex mgpbas eqid mgpplusg fvexi
      cmgp a1i ssidd elgrplsmsn crg wb rspsnel syl2anc bitr4d eqrdv ) ANBGUAZDP
      ZUSFQZANRZUTSVBORGCUBQZPUCOBUDZVBVASZAOBBVCDETGVBBCEIHUECVCEIVCUFZUGJETSA
      ECUIIUHUJABUKMULACUMSGBSVEVDUNLMOBCVCVBFGHVFKUOUPUQUR $.

    $( The product of the ring with a single element is a principal ideal.
       (Contributed by Thierry Arnoux, 21-Jan-2024.) $)
    lsmsnidl $p |- ( ph -> ( B .X. { X } ) e. ( LPIdeal ` R ) ) $=
      ( vy csn co cfv wcel wceq wb clpidl cv wrex sneq fveq2d eqeq2d lsmsnpridl
      adantl rspcedvd crg eqid islpidl syl mpbird ) ABGOZDPZCUAQZRZUPNUBZOZFQZS
      ZNBUCZAVBUPUOFQZSZNGBMUSGSZVBVETAVFVAVDUPVFUTUOFUSGUDUEUFUHABCDEFGHIJKLMU
      GUIACUJRURVCTLBUQCNUPFUQUKKHULUMUN $.
  $}

  ${
    lsmidl.1 $e |- B = ( Base ` R ) $.
    lsmidl.3 $e |- .(+) = ( LSSum ` R ) $.
    lsmidl.4 $e |- K = ( RSpan ` R ) $.
    lsmidl.5 $e |- ( ph -> R e. Ring ) $.
    lsmidl.6 $e |- ( ph -> I e. ( LIdeal ` R ) ) $.
    lsmidl.7 $e |- ( ph -> J e. ( LIdeal ` R ) ) $.
    $( The sum of two ideals is the ideal generated by their union.
       (Contributed by Thierry Arnoux, 21-Jan-2024.) $)
    lsmidllsp $p |- ( ph -> ( I .(+) J ) = ( K ` ( I u. J ) ) ) $=
      ( co cfv clsm crg wcel wceq syl crglmod rlmlsm syl5eq oveqd clmod rlmlmod
      cun clidl lidlval crsp clspn rspval eqtri eqid lsmsp syl3anc eqtrd ) AEFC
      NEFDUAOZPOZNZEFUGGOZACUSEFACDPOZUSIADQRZVBUSSKDQUBTUCUDAURUERZEDUHOZRFVER
      UTVASAVCVDKDUFTLMUSVEEFGURDUIGDUJOURUKOJDULUMUSUNUOUPUQ $.

    $( The sum of two ideals is an ideal.  (Contributed by Thierry Arnoux,
       21-Jan-2024.) $)
    lsmidl $p |- ( ph -> ( I .(+) J ) e. ( LIdeal ` R ) ) $=
      ( cfv wcel wss syl lidlss cbs eqtri cun clidl lsmidllsp crglmod clmod crg
      rlmlmod eqid unssd rlmbas lidlval crsp clspn rspval lspcl syl2anc eqeltrd
      co ) AEFCUREFUAZGNZDUBNZABCDEFGHIJKLMUCADUDNZUEOZUSBPUTVAOADUFOVCKDUGQAEF
      BAEVAOEBPLBEVADHVAUHZRQAFVAOFBPMBFVADHVDRQUIVAUSGBVBBDSNVBSNHDUJTDUKGDULN
      VBUMNJDUNTUOUPUQ $.
  $}

  ${
    $d .(+) a c x y $.  $d .(+) z $.  $d B a b c y $.  $d B z $.
    $d G a b c x y $.  $d G a b c x z $.  $d R a b c x y $.  $d R z $.
    $d T a b c x y $.  $d T z $.  $d U a b c x y $.  $d U z $.
    $d a b c ph x $.
    lsmssass.p $e |- .(+) = ( LSSum ` G ) $.
    lsmssass.b $e |- B = ( Base ` G ) $.
    lsmssass.g $e |- ( ph -> G e. Mnd ) $.
    lsmssass.r $e |- ( ph -> R C_ B ) $.
    lsmssass.t $e |- ( ph -> T C_ B ) $.
    lsmssass.u $e |- ( ph -> U C_ B ) $.
    $( Group sum is associative, subset version (see ~ lsmass ).  (Contributed
       by Thierry Arnoux, 1-Jun-2024.) $)
    lsmssass $p |- ( ph -> ( ( R .(+) T ) .(+) U ) = ( R .(+) ( T .(+) U ) ) )
       $=
      ( vc va vb co wceq wrex wcel vx vy vz cv cplusg cfv cmpo crn cmnd lsmvalx
      wss eqid syl3anc rexeqdv cvv wral wb rgen2w oveq1 eqeq2d rexbidv rexrnmpo
      ovex ax-mp bitrdi wa adantr ad2antrr simplr sseldd simprl simprr syl13anc
      oveq2 mndass 2rexbidva bitr4d rexbidva lsmssv lsmelvalx 3bitr4d eqrdv ) A
      UADECQZFCQZDEFCQZCQZAUAUDZUBUDZNUDZGUEUFZQZRZNFSZUBWCSZWGOUDZUCUDZWJQZRZU
      CWESZODSZWGWDTZWGWFTZAWNWGWOPUDZWJQZWIWJQZRZNFSZPESZODSZWTAWNWMUBOPDEXDUG
      ZUHZSZXIAWMUBWCXKAGUITZDBUKZEBUKZWCXKRJKLOPBWJCDEGUIIWJULZHUJUMUNXDUOTZPE
      UPODUPXLXIUQXQOPDEWOXCWJVCURWMXGOPUBDEXDXJUOXJULWHXDRZWLXFNFXRWKXEWGWHXDW
      IWJUSUTVAVBVDVEAWSXHODAWODTZVFZWSWGWOXCWIWJQZWJQZRZNFSPESZXHAWSYDUQXSAWSW
      RUCPNEFYAUGZUHZSZYDAWRUCWEYFAXMXOFBUKZWEYFRJLMPNBWJCEFGUIIXPHUJUMUNYAUOTZ
      NFUPPEUPYGYDUQYIPNEFXCWIWJVCURWRYCPNUCEFYAYEUOYEULWPYARWQYBWGWPYAWOWJVNUT
      VBVDVEVGXTXFYCPNEFXTXCETZWIFTZVFZVFZXEYBWGYMXMWOBTXCBTWIBTXEYBRAXMXSYLJVH
      YMDBWOAXNXSYLKVHAXSYLVIVJYMEBXCAXOXSYLLVHXTYJYKVKVJYMFBWIAYHXSYLMVHXTYJYK
      VLVJBWJGWOXCWIIXPVOVMUTVPVQVRVQAXMWCBUKZYHXAWNUQJAXMXNXOYNJKLBCDEGIHVSUMM
      UBNBWJCWCFGUIWGIXPHVTUMAXMXNWEBUKZXBWTUQJKAXMXOYHYOJLMBCEFGIHVSUMOUCBWJCD
      WEGUIWGIXPHVTUMWAWB $.
  $}

  ${
    $d .(+) x $.  $d .0. a o x $.  $d A a o x $.  $d B a o x $.  $d G a o x $.
    grplsm0l.b $e |- B = ( Base ` G ) $.
    grplsm0l.p $e |- .(+) = ( LSSum ` G ) $.
    grplsm0l.0 $e |- .0. = ( 0g ` G ) $.
    $( Sumset with the identity singleton is the original set.  (Contributed by
       Thierry Arnoux, 27-Jul-2024.) $)
    grplsm0l $p |- ( ( G e. Grp /\ A C_ B /\ A =/= (/) )
                  -> ( { .0. } .(+) A ) = A ) $=
      ( vx vo va cgrp wcel wss c0 co cv wceq wrex eqeq2d wne w3a csn cplusg cfv
      wb grpidcl snssd lsmelvalx 3expa an32s mpidan 3adant3 simpl1 simp2 sselda
      eqid grplid syl2anc equcom bitrdi rexbidva c0g fvexi oveq1 rexbidv risset
      wa rexsn 3bitr4g bitrd eqrdv ) DLMZABNZAOUAZUBZIEUCZACPZAVPIQZVRMZVSJQZKQ
      ZDUDUEZPZRZKASZJVQSZVSAMZVMVNVTWGUFZVOVMVNVQBNZWIVMEBBDEFHUGUHVMWJVNWIVMW
      JVNWIJKBWCCVQADLVSFWCUQZGUIUJUKULUMVPVSEWBWCPZRZKASZWBVSRZKASWGWHVPWMWOKA
      VPWBAMZVHZWMVSWBRWOWQWLWBVSWQVMWBBMWLWBRVMVNVOWPUNVPABWBVMVNVOUOUPBWCDWBE
      FWKHURUSTIKUTVAVBWFWNJEEDVCHVDWAERZWEWMKAWRWDWLVSWAEWBWCVETVFVIKVSAVGVJVK
      VL $.
  $}

  ${
    $d .(+) x $.  $d A a o x $.  $d G a o x $.  $d X a o x $.
    grplsmid.p $e |- .(+) = ( LSSum ` G ) $.
    $( The direct sum of an element ` X ` of a subgroup ` A ` is the subgroup
       itself.  (Contributed by Thierry Arnoux, 27-Jul-2024.) $)
    grplsmid $p |- ( ( A e. ( SubGrp ` G ) /\ X e. A )
                  -> ( { X } .(+) A ) = A ) $=
      ( vx vo va cfv wcel wa co cv wceq wrex cgrp wb adantr eqid syl3anc cplusg
      csubg csn cbs subgrcl subgss sselda snssd lsmelvalx eqeq2d rexbidv rexsng
      wss oveq1 adantl simpr subgcl ad4ant123 eqeltrd r19.29an simpll subginvcl
      cminusg oveq2 grpasscan1 eqcomd rspcedvd impbida 3bitrd eqrdv ) ACUBIJZDA
      JZKZFDUCZABLZAVMFMZVOJZVPGMZHMZCUAIZLZNZHAOZGVNOZVPDVSVTLZNZHAOZVPAJZVMCP
      JZVNCUDIZUMAWJUMZVQWDQVKWIVLACUERZVMDWJVKAWJDWJACWJSZUFZUGZUHVKWKVLWNRZGH
      WJVTBVNACPVPWMVTSZEUITVLWDWGQVKWCWGGDAVRDNZWBWFHAWRWAWEVPVRDVSVTUNUJUKULU
      OVMWGWHVMWFWHHAVMVSAJZKZWFKVPWEAWTWFUPVKVLWSWEAJWFVTACDVSWQUQURUSUTVMWHKZ
      WFVPDDCVCIZIZVPVTLZVTLZNZHXDAXAVKXCAJZWHXDAJVKVLWHVAVMXGWHACXBDXBSZVBRVMW
      HUPVTACXCVPWQUQTVSXDNZWFXFQXAXIWEXEVPVSXDDVTVDUJUOXAXEVPXAWIDWJJZVPWJJXEV
      PNVMWIWHWLRVMXJWHWORVMAWJVPWPUGWJVTCXBDVPWMWQXHVETVFVGVHVIVJ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The quotient map
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d B i j k $.  $d G i j k $.  $d S i j k $.  $d X i j k $.  $d i j k ph $.
    quslsm.b $e |- B = ( Base ` G ) $.
    quslsm.p $e |- .(+) = ( LSSum ` G ) $.
    quslsm.n $e |- ( ph -> S e. ( SubGrp ` G ) ) $.
    quslsm.s $e |- ( ph -> X e. B ) $.
    $( Express the image by the quotient map in terms of direct sum.
       (Contributed by Thierry Arnoux, 27-Jul-2024.) $)
    quslsm $p |- ( ph -> [ X ] ( G ~QG S ) = ( { X } .(+) S ) ) $=
      ( vi vj vk co cfv wceq wa wcel eqid syl2anc cqg cec cv cpr wss wrex copab
      cplusg csn cminusg csubg subgrcl syl subgss eqgfval simpr wb oveq2 eqeq1d
      cgrp adantl c0g adantr vex bicomi simplbi grprinv oveq1d grpinvcl simprbi
      prss grpass syl13anc grplid 3eqtr3d rspcedvd simpll sselda 3ad2ant1 simp2
      w3a grplinv simp3 syl3anc eqtr3d simplr eqeltrd r19.29an impbida pm5.32da
      opabbidv eqtrd eceq2d grpmndd lsmsnorb2 eqtr4d ) AFEDUANZUBFKUCZLUCZUDBUE
      ZWRMUCZEUHOZNZWSPZMDUFZQZKLUGZUBFUIDCNAWQXGFAWQWTWREUJOZOZWSXBNZDRZQZKLUG
      ZXGAEUTRZDBUEZWQXMPADEUKORZXNIDEULUMZAXPXOIBDEGUNUMZKLXBWQDEXHUTBGXHSZXBS
      ZWQSUOTAXLXFKLAWTXKXEAWTQZXKXEYAXKQZXDWRXJXBNZWSPZMXJDYAXKUPXAXJPZXDYDUQY
      BYEXCYCWSXAXJWRXBURUSVAYAYDXKYAWRXIXBNZWSXBNZEVBOZWSXBNZYCWSYAYFYHWSXBYAX
      NWRBRZYFYHPAXNWTXQVCZWTYJAWTYJWSBRZYJYLQWTWRWSBKVDLVDVKVEZVFVAZBXBEXHWRYH
      GXTYHSZXSVGTVHYAXNYJXIBRZYLYGYCPYKYNYAXNYJYPYKYNBEXHWRGXSVIZTWTYLAWTYJYLY
      MVJVAZBXBEWRXIWSGXTVLVMYAXNYLYIWSPYKYRBXBEWSYHGXTYOVNTVOVCVPYAXDXKMDYAXAD
      RZQZXDQZXJXADUUAXIXCXBNZXJXAXDUUBXJPYTXCWSXIXBURVAYTUUBXAPZXDYTAYJXABRZUU
      CAWTYSVQYAYJYSYNVCYADBXAAXOWTXRVCVRAYJUUDWAZXIWRXBNZXAXBNZYHXAXBNZUUBXAUU
      EUUFYHXAXBUUEXNYJUUFYHPAYJXNUUDXQVSZAYJUUDVTZBXBEXHWRYHGXTYOXSWBTVHUUEXNY
      PYJUUDUUGUUBPUUIUUEXNYJYPUUIUUJYQTUUJAYJUUDWCZBXBEXIWRXAGXTVLVMUUEXNUUDUU
      HXAPUUIUUKBXBEXAYHGXTYOVNTVOWDVCWEYAYSXDWFWGWHWIWJWKWLWMAKLDBXBCXGMEFGXTH
      XGSAEXQWNXRJWOWP $.
  $}

  ${
    $d B i j x $.  $d E g $.  $d F g $.  $d F h $.  $d G i j k $.  $d H g $.
    $d H h x $.  $d N i j k $.  $d S h $.  $d g ph $.  $d h ph x $.  $d k x $.
    qusima.b $e |- B = ( Base ` G ) $.
    qusima.q $e |- Q = ( G /s ( G ~QG N ) ) $.
    qusima.p $e |- .(+) = ( LSSum ` G ) $.
    qusima.e $e |- E = ( h e. S |-> ran ( x e. h |-> ( { x } .(+) N ) ) ) $.
    qusima.f $e |- F = ( x e. B |-> [ x ] ( G ~QG N ) ) $.
    qusima.n $e |- ( ph -> N e. ( NrmSGrp ` G ) ) $.
    qusima.h $e |- ( ph -> H e. S ) $.
    qusima.s $e |- ( ph -> S C_ ( SubGrp ` G ) ) $.
    $( The image of a subgroup by the natural map from elements to their
       cosets.  (Contributed by Thierry Arnoux, 27-Jul-2024.) $)
    qusima $p |- ( ph -> ( E ` H ) = ( F " H ) ) $=
      ( cv csn co cmpt crn cima cvv wceq wa cres cqg cec reseq1i csubg cfv wcel
      wss sseldd subgss syl resmptd cnsg nsgsubg adantr sselda quslsm mpteq2dva
      eqtrd eqtr2id rneqd mpteq1 adantl df-ima a1i 3eqtr4d fvexi eqeltri imaexg
      cbs mptex mp1i fvmptd2 ) AGKBGUAZBUAZUBLDUCZUDZUEZIKUFZFHUGPAWCKUHZUIZBKW
      EUDZUEZIKUJZUEZWGWHWJWKWMAWKWMUHWIAWMBCWDJLUKUCULZUDZKUJZWKIWPKQUMAWQBKWO
      UDWKABCKWOAKJUNUOZUPKCUQAFWRKTSURCKJMUSUTZVAABKWOWEAWDKUPZUICDLJWDMOALWRU
      PZWTALJVBUOUPXARLJVCUTVDAKCWDWSVEVFVGVHVIVDVJWIWGWLUHAWIWFWKBWCKWEVKVJVLW
      HWNUHWJIKVMVNVOSIUGUPWHUGUPAIWPUGQBCWOCJVSMVPVTVQIKUGVRWAWB $.
  $}

  ${
    nsgqus0.q $e |- Q = ( G /s ( G ~QG N ) ) $.
    $( A normal subgroup ` N ` is a member of all subgroups ` F ` of the
       quotient group by ` N ` .  In fact, it is the identity element of the
       quotient group.  (Contributed by Thierry Arnoux, 27-Jul-2024.) $)
    nsgqus0 $p |- ( ( N e. ( NrmSGrp ` G ) /\ F e. ( SubGrp ` Q ) ) -> N e. F )
      $=
      ( cnsg cfv wcel csubg wa c0g csn clsm wceq simpl eqid adantr syl eqeltrrd
      co nsgsubg lsm02 3syl cqg cec qus0 cbs cgrp subgrcl grpidcl quslsm eqtr3d
      subg0cl adantl ) DCFGHZBAIGHZJZCKGZLDCMGZTZDBUQUODCIGHZUTDNUOUPODCUAZUSCD
      URURPZUSPZUBUCUQAKGZUTBUQURCDUDTUEZVEUTUOVFVENUPDCAUREVCUFQUQCUGGZUSDCURV
      GPZVDUOVAUPVBQUQCUHHZURVGHUOVIUPUOVAVIVBDCUIRQVGCURVHVCUJRUKULUPVEBHUOBAV
      EVEPUMUNSS $.
  $}

  ${
    $d .(+) a x y $.  $d B a x y $.  $d F a x y $.  $d G a x y $.
    $d N a x y $.  $d ph x y $.
    nsgmgclem.b $e |- B = ( Base ` G ) $.
    nsgmgclem.q $e |- Q = ( G /s ( G ~QG N ) ) $.
    nsgmgclem.p $e |- .(+) = ( LSSum ` G ) $.
    nsgmgclem.n $e |- ( ph -> N e. ( NrmSGrp ` G ) ) $.
    nsgmgclem.f $e |- ( ph -> F e. ( SubGrp ` Q ) ) $.
    $( Lemma for ~ nsgmgc .  (Contributed by Thierry Arnoux, 27-Jul-2024.) $)
    nsgmgclem $p |- ( ph
                   -> { a e. B | ( { a } .(+) N ) e. F } e. ( SubGrp ` G ) ) $=
      ( csn co wcel cfv wceq sneq oveq1d vx vy cv crab cplusg cress c0g cbs wss
      eqidd ssrab2 a1i sseqtrdi eleq1d cgrp csubg cnsg nsgsubg syl subgrcl eqid
      grpidcl nsgqus0 syl2anc eqeltrd elrabd wa ad2antrr elrabi ad2antlr adantl
      lsm02 grpcl syl3anc cqg quslsm qusadd elrab simprbi subgcl eqeltrrd 3impa
      cec cminusg grpinvcl sylan adantr qusinv fveq2d 3eqtr3d subginvcl sylan2b
      simpr anasss issubgrpd2 ) AUAUBHUCZNZGCOZEPZHBUDZFUEQZFWTUFOZFFUGQZAXBUJA
      XCUJAXAUJAWTBFUHQWTBUIAWSHBUKULIUMAWSXCNZGCOZEPHXCBWPXCRZWRXEEXFWQXDGCWPX
      CSTUNAFUOPZXCBPAGFUPQPZXGAGFUQQPZXHLGFURUSZGFUTUSZBFXCIXCVAZVBUSAXEGEAXHX
      EGRXJCFGXCXLKVLUSAXIEDUPQPZGEPLMDEFGJVCVDVEVFAUAUCZWTPZUBUCZWTPZXNXPXAOZW
      TPAXOVGZXQVGZWSXRNZGCOZEPHXRBWPXRRZWRYBEYCWQYAGCWPXRSTUNXTXGXNBPZXPBPZXRB
      PAXGXOXQXKVHXOYDAXQWSHXNBVIVJZXQYEXSWSHXPBVIVKZBXAFXNXPIXAVAZVMVNZXTXRFGV
      OOZWCZYBEXTBCGFXRIKAXHXOXQXJVHZYIVPXTXNYJWCZXPYJWCZDUEQZOZYKEXTXIYDYEYPYK
      RAXIXOXQLVHYFYGXAYOGFDBXNXPJIYHYOVAZVQVNXTXMYMEPYNEPYPEPAXMXOXQMVHXTYMXNN
      ZGCOZEXTBCGFXNIKYLYFVPXOYSEPZAXQXOYDYTWSYTHXNBWPXNRZWRYSEUUAWQYRGCWPXNSTU
      NVRZVSVJVEXTYNXPNZGCOZEXTBCGFXPIKYLYGVPXQUUDEPZXSXQYEUUEWSUUEHXPBWPXPRZWR
      UUDEUUFWQUUCGCWPXPSTUNVRVSVKVEYOEDYMYNYQVTVNWAWAVFWBXOAYDYTVGXNFWDQZQZWTP
      ZUUBAYDYTUUIAYDVGZYTVGZWSUUHNZGCOZEPHUUHBWPUUHRZWRUUMEUUNWQUULGCWPUUHSTUN
      UUJUUHBPZYTAXGYDUUOXKBFUUGXNIUUGVAZWEWFZWGUUKYSDWDQZQZUUMEUUJUUSUUMRYTUUJ
      YMUURQZUUHYJWCZUUSUUMAXIYDUUTUVARLGFDUUGUURBXNJIUUPUURVAZWHWFUUJYMYSUURUU
      JBCGFXNIKAXHYDXJWGZAYDWMVPWIUUJBCGFUUHIKUVCUUQVPWJWGUUKXMYTUUSEPAXMYDYTMV
      HUUJYTWMEDUURYSUVBWKVDWAVFWNWLXKWO $.
  $}

  ${
    $d .(+) a h x $.  $d .(+) k $.  $d B a h x $.  $d B k $.  $d E a f h x $.
    $d E q $.  $d F f h x $.  $d G a f h x $.  $d G h k x $.  $d N a h x $.
    $d N k $.  $d N q $.  $d Q a f h x $.  $d Q q $.  $d S a f h x $.
    $d S k $.  $d T a f h x $.  $d V f h $.  $d W f h $.  $d a f h ph x $.
    $d f h q $.  $d k ph $.
    nsgmgc.b $e |- B = ( Base ` G ) $.
    nsgmgc.s $e |- S = { h e. ( SubGrp ` G ) | N C_ h } $.
    nsgmgc.t $e |- T = ( SubGrp ` Q ) $.
    nsgmgc.j $e |- J = ( V MGalConn W ) $.
    nsgmgc.v $e |- V = ( toInc ` S ) $.
    nsgmgc.w $e |- W = ( toInc ` T ) $.
    nsgmgc.q $e |- Q = ( G /s ( G ~QG N ) ) $.
    nsgmgc.p $e |- .(+) = ( LSSum ` G ) $.
    nsgmgc.e $e |- E = ( h e. S |-> ran ( x e. h |-> ( { x } .(+) N ) ) ) $.
    nsgmgc.f $e |- F = ( f e. T |-> { a e. B | ( { a } .(+) N ) e. f } ) $.
    nsgmgc.n $e |- ( ph -> N e. ( NrmSGrp ` G ) ) $.
    $( There is a monotone Galois connection between the lattice of subgroups
       of a group ` G ` containing a normal subgroup ` N ` and the lattice of
       subgroups of the quotient group ` G / N ` .  This is sometimes called
       the lattice theorem.  (Contributed by Thierry Arnoux, 27-Jul-2024.) $)
    nsgmgc $p |- ( ph -> E J F ) $=
      ( vk wbr wf wa cv cfv cple wb wral wfn wcel csn co cmpt crn cvv nfv mptex
      vex rnex a1i fnmptd csubg cqg cec cima weq mpteq1 rneqd cbvmptv eqid cnsg
      eqtri adantr simpr wss ssrab3 qusima qusghm sselda ghmima syl2anc eqeltrd
      cghm syl eleqtrrdi ralrimiva ffnfv sylanbrc crab sseq2 eleqtrdi nsgmgclem
      nsgsubg subgss wceq ad2antrr grplsmid nsgqus0 ssrabdv elrabd fmptd fvmpt2
      jca wel ad5ant12 simplr eqsstrrd sneq oveq1d eqeq2d adantl eqidd rspcedvd
      sylancl ovexd elrnmptd sseldd cbs fvexi sseqtrrd eleqtrd mp3an2ani ipobas
      rabex ipole ax-mp cpo cproset ipopos posprs mp1i eleq1d elrab fvex rabex2
      simprbi rnmptss eqsstrd impbida ffvelrnda adantlr anasss mgcval mpbir2and
      3bitr4d ralrimivva ) AJKMUJFGJUKZGFKUKZULIUMZJUNZHUMZPUOUNZUJZUURUUTKUNZO
      UOUNZUJZUPZHGUQIFUQAUUPUUQAJFURUUSGUSZIFUQUUPAIFBUURBUMZUTZNDVAZVBZVCZJVD
      AIVEUVLVDUSZAUURFUSZULZUVKBUURUVJIVGVFVHZVIUFVJAUVGIFUVOUUSEVKUNZGUVOUUSB
      CUVHLNVLVAVMVBZUURVNZUVQUVOBCDEFUIJUVRLUURNRUDUEJIFUVLVBUIFBUIUMZUVJVBZVC
      ZVBUFIUIFUVLUWBIUIVOUVKUWABUURUVTUVJVPVQVRWAUVRVSZANLVTUNUSZUVNUHWBZAUVNW
      CZFLVKUNZWDZUVONUURWDZIUWGFSWEZVIWFUVOUVRLEWLVAUSZUURUWGUSZUVSUVQUSUVOUWD
      UWKUWEBUVRLECNRUDUWCWGWMAFUWGUURUWHAUWJVIWHZLEUURUVRWIWJWKTWNZWOIFGJWPWQA
      HGQUMZUTZNDVAZUUTUSZQCWRZFKAUUTGUSZULZUWSUWIIUWGWRFUXAUWINUWSWDIUWSUWGUUR
      UWSNWSUXACDEUUTLNQRUDUEAUWDUWTUHWBUXAUUTGUVQAUWTWCTWTZXAUXAUWRQCNANCWDZUW
      TANUWGUSZUXCAUWDUXDUHNLXBWMZCNLRXCWMWBUXAUWONUSZULZUWQNUUTUXGUXDUXFUWQNXD
      AUXDUWTUXFUXEXEUXAUXFWCNDLUWOUEXFWJUXGUWDUUTUVQUSZNUUTUSAUWDUWTUXFUHXEUXA
      UXHUXFUXBWBEUUTLNUDXGWJWKXHXISWNUGXJZXLAUVFIHFGAUVNUWTUVFUVOUWTULZUUSUUTW
      DZUURUVCWDZUVBUVEUXJUXKUXLUXJUXKULZUURUWSUVCUXMUWRQCUURUVOUURCWDZUWTUXKUV
      OUWLUXNUWMCUURLRXCWMXEUXMQIXMZULZUVLUUTUWQUXPUVLUUSUUTAUVNUUSUVLXDZUWTUXK
      UXOUVOUVNUVMUXQUWFUVPIFUVLVDJUFXKYCZXNUXJUXKUXOXOXPUXPBUURUVJUWQUVKVDUVKV
      SZUXPUWQUVJXDZUWQUWQXDZBUWOUURUXMUXOWCBQVOZUXTUYAUPUXPUYBUVJUWQUWQUYBUVIU
      WPNDUVHUWOXQXRXSXTUXPUWQYAYBUXPUWPNDYDYEYFXHUXJUVCUWSXDZUXKUXJUWTUWSVDUSU
      YCUVOUWTWCZUWRQCCLYGRYHYMHGUWSVDKUGXKYCZWBYIUXJUXLULZUUSUVLUUTUVOUXQUWTUX
      LUXRXEUYFUVJUUTUSZBUURUQUVLUUTWDUYFUYGBUURUYFBIXMZULZUVHUWSUSZUYGUYIUVHUV
      CUWSUYFUURUVCUVHUXJUXLWCWHUXJUYCUXLUYHUYEXEYJUYJUVHCUSUYGUWRUYGQUVHCQBVOZ
      UWQUVJUUTUYKUWPUVINDUWOUVHXQXRUUAUUBUUEWMWOBUURUVJUUTUVKUXSUUFWMUUGUUHGVD
      USZUVOUVGUWTUWTUVBUXKUPGEVKTYHZUWNUYDGPUVAVDUUSUUTUCUVAVSZYNYKFVDUSZUVOUV
      NUWTUVCFUSZUVEUXLUPUWIIUWGFSLVKUUCUUDZUWFAUWTUYPUVNAGFUUTKUXIUUIUUJFOUVDV
      DUURUVCUBUVDVSZYNYKUUNUUKUUOAIHFGJKMUVDOPUVAUYOFOYGUNXDUYQFOVDUBYLYOUYLGP
      YGUNXDUYMGPVDUCYLYOUYRUYNUAOYPUSOYQUSAFOUBYROYSYTPYPUSPYQUSAGPUCYRPYSYTUU
      LUUM $.
  $}

  ${
    $d .(+) a f h x $.  $d .(+) h i j x y z $.  $d B a f h x i $.
    $d E a f h x $.  $d F f h x $.  $d G a f h x $.  $d G i j y z $.
    $d N a f h x $.  $d N i j y z $.  $d Q a f h x $.  $d Q i j y z $.
    $d S a f h x $.  $d T a f h x $.  $d a f h ph x $.  $d i j ph y z $.
    nsgqusf1o.b $e |- B = ( Base ` G ) $.
    nsgqusf1o.s $e |- S = { h e. ( SubGrp ` G ) | N C_ h } $.
    nsgqusf1o.t $e |- T = ( SubGrp ` Q ) $.
    nsgqusf1o.1 $e |- .<_ = ( le ` ( toInc ` S ) ) $.
    nsgqusf1o.2 $e |- .c_ = ( le ` ( toInc ` T ) ) $.
    nsgqusf1o.q $e |- Q = ( G /s ( G ~QG N ) ) $.
    nsgqusf1o.p $e |- .(+) = ( LSSum ` G ) $.
    nsgqusf1o.e $e |- E = ( h e. S |-> ran ( x e. h |-> ( { x } .(+) N ) ) ) $.
    nsgqusf1o.f $e |- F = ( f e. T |-> { a e. B | ( { a } .(+) N ) e. f } ) $.
    nsgqusf1o.n $e |- ( ph -> N e. ( NrmSGrp ` G ) ) $.
    $( Lemma for ~ nsgqusf1o .  (Contributed by Thierry Arnoux, 4-Aug-2024.) $)
    nsgqusf1olem1 $p |- ( ( ( ph /\ h e. ( SubGrp ` G ) ) /\ N C_ h )
                    -> ran ( x e. h |-> ( { x } .(+) N ) ) e. T ) $=
      ( vi vj vy vz cv csubg cfv wcel wa wss csn co cmpt crn cgrp cbs c0 cplusg
      wne wral cminusg cnsg qusgrp syl ad2antrr wel cqg cec cqs subgss ad2antlr
      sselda ovex ecelqsi nsgsubg ad3antrrr quslsm wceq cvv cqus subgrcl qusbas
      a1i ovexd 3eltr3d ralrimiva eqid rnmptss nfv c0g subg0cl ne0d nfmpt1 nfrn
      rnmptn0 nfan nfralw weq sneq oveq1d cbvmptv simp-4r simplr subgcl syl3anc
      nfel2 wb eqeq2d adantl adantr eqtr4d ad4antr sseldd oveq12d qusadd 3eqtrd
      simpr rspcedvd elrnmptd adantllr wrex elrnmpti r19.29a subginvcl ad5ant24
      biimpi sneqd ad4ant24 fveq2d qusinv syl2anc eqtrd fvexd jca r19.29af2 w3a
      issubg2 biimpar syl13anc eleqtrrdi ) AIUKZLULUMZUNZUONUUGUPZUOZBUUGBUKZUQ
      ZNDURZUSZUTZEULUMZGUUKEVAUNZUUPEVBUMZUPZUUPVCVEZUGUKZUHUKZEVDUMZURZUUPUNZ
      UHUUPVFZUVBEVGUMZUMZUUPUNZUOZUGUUPVFZUUPUUQUNZAUURUUIUUJANLVHUMUNZUURUFNL
      EUBVIVJVKUUKUUNUUSUNZBUUGVFUUTUUKUVOBUUGUUKBIVLZUOZUULLNVMURZVNZCUVRVOZUU
      NUUSUVQUULCUNZUVSUVTUNUUKUUGCUULUUIUUGCUPZAUUJCUUGLQVPZVQZVRZCUULUVRLNVMV
      SVTVJUVQCDNLUULQUCANUUHUNZUUIUUJUVPAUVNUWFUFNLWAZVJZWBZUWEWCZAUVTUUSWDUUI
      UUJUVPAUVRLECWEVAELUVRWFURWDAUBWICLVBUMWDAQWIALNVMWJAUWFLVAUNUWHNLWGVJWHW
      BWKWLBUUGUUNUUSUUOUUOWMZWNVJUUKBUUGUUNUUOWEUUKBWOZUVQUUMNDWJUWKUUIUUGVCVE
      AUUJUUIUUGLWPUMZUUGLUWMUWMWMWQWRVQXAUUKUVKUGUUPUUKUVBUUPUNZUOUVBUUNWDZUVK
      BUUGUUKUWNBUWLBUVBUUPBUUOBUUGUUNWSWTZXLXBUVGUVJBUVFBUHUUPUWPBUVEUUPUWPXLX
      CBUVIUUPUWPXLXBUUKUVPUWOUVKUWNUVQUWOUOZUVGUVJUWQUVFUHUUPUWQUVCUUPUNZUOUVC
      UIUKZUQZNDURZWDZUVFUIUUGUWQUIIVLZUXBUVFUWRUWQUXCUOZUXBUOZUJUUGUJUKZUQZNDU
      RZUVEUUOWEBUJUUGUUNUXHBUJXDUUMUXGNDUULUXFXEXFXGUXEUVEUXHWDZUVEUULUWSLVDUM
      ZURZUQZNDURZWDZUJUXKUUGUXEUUIUVPUXCUXKUUGUNUWQUUIUXCUXBAUUIUUJUVPUWOXHVKZ
      UUKUVPUWOUXCUXBXHUWQUXCUXBXIZUXJUUGLUULUWSUXJWMZXJXKZUXFUXKWDZUXIUXNXMUXE
      UXSUXHUXMUVEUXSUXGUXLNDUXFUXKXEXFXNXOUXEUVEUVSUWSUVRVNZUVDURZUXKUVRVNZUXM
      UXEUVBUVSUVCUXTUVDUWQUVBUVSWDUXCUXBUWQUVBUUNUVSUVQUWOYCUVQUVSUUNWDUWOUWJX
      PXQZVKUXEUVCUXAUXTUXDUXBYCUXECDNLUWSQUCUXEUVNUWFUWQUVNUXCUXBAUVNUUIUUJUVP
      UWOUFXRZVKZUWGVJZUXEUUGCUWSUXEUUIUWBUXOUWCVJZUXPXSZWCXQXTUXEUVNUWAUWSCUNU
      YAUYBWDUYEUWQUWAUXCUXBUVQUWAUWOUWEXPZVKUYHUXJUVDNLECUULUWSUBQUXQUVDWMZYAX
      KUXECDNLUXKQUCUYFUXEUUGCUXKUYGUXRXSWCYBYDUXEUVBUVCUVDWJYEYFUWRUXBUIUUGYGZ
      UWQUWRUYKUIUUGUXAUVCUUOBUIUUGUUNUXABUIXDUUMUWTNDUULUWSXEXFXGZUWTNDVSYHYLX
      OYIWLUWQUIUUGUXAUVIUUOWEUYLUWQUVIUXAWDUVIUULLVGUMZUMZUVRVNZWDUIUYNUUGUUIU
      VPUYNUUGUNZAUUJUWOUUGLUYMUULUYMWMZYJZYKUWQUWSUYNWDZUOZUXAUYOUVIUYTUXAUYNU
      QZNDURZUYOUYTUWTVUANDUYTUWSUYNUWQUYSYCYMXFUVQUYOVUBWDUWOUYSUVQCDNLUYNQUCU
      WIUVQUUGCUYNUUKUWBUVPUWDXPUUIUVPUYPAUUJUYRYNXSWCVKXQXNUWQUVIUVSUVHUMZUYOU
      WQUVBUVSUVHUYCYOUWQUVNUWAVUCUYOWDUYDUYINLEUYMUVHCUULUBQUYQUVHWMZYPYQYRYDU
      WQUVBUVHYSYEYTYFUWNUWOBUUGYGZUUKUWNVUEBUUGUUNUVBUUOUWKUUMNDVSYHYLXOUUAWLU
      URUVMUUTUVAUVLUUBUGUHUUSUVDUUPEUVHUUSWMUYJVUDUUCUUDUUESUUF $.

    $( Lemma for ~ nsgqusf1o .  (Contributed by Thierry Arnoux, 4-Aug-2024.) $)
    nsgqusf1olem2 $p |- ( ph -> ran E = T ) $=
      ( vi crn csubg cfv cv csn co cmpt wceq wrex cab wcel wa simpr wss rabeq2i
      nsgqusf1olem1 anasss eleqtrdi sylan2b adantr eqeltrd crab sseq2 nsgmgclem
      r19.29an cnsg eleq2i nsgsubg syl subgss ad2antrr grplsmid sylancom biimpi
      nsgqus0 syl2an ssrabdv sylan2br elrabd eleqtrrdi mpteq1 eqeq2d adantl cqg
      wb rneqd cec cqs cbs eqid sselda cvv cgrp cqus a1i ovexd subgrcl eleqtrrd
      qusbas elqsi sneq oveq1d eleq1d simplr ad4antr eqtrd simpllr eqeltrrd jca
      quslsm expl reximdv2 mpd elrab sylib adantllr impbida elrnmpt elv bitr4di
      mpdan eqrdv rspcedvd abbidv rnmpt abid1 3eqtr4g eqtr4di ) AJUHZEUIUJZGAHU
      KZBIUKZBUKZULZNDUMZUNZUHZUOZIFUPZHUQYRYQURZHUQYPYQAUUFUUGHAUUFUUGAUUEUUGI
      FAYSFURZUSZUUEUSYRUUDYQUUIUUEUTUUIUUDYQURZUUEUUHAYSLUIUJZURZNYSVAZUSZUUJU
      UMIFUUKRVBAUUNUSUUDGYQAUULUUMUUDGURABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFVCVDSV
      EVFVGVHVLAUUGUSZUUEYRBOUKZULZNDUMZYRURZOCVIZUUBUNZUHZUOZIUUTFUUOUUTUUMIUU
      KVIFUUOUUMNUUTVAZIUUTUUKYSUUTNVJUUOCDEYRLNOQUBUCANLVMUJURZUUGUFVGAUUGUTVK
      UUGAYRGURZUVDGYQYRSVNZAUVFUSZUUSOCNANCVAZUVFANUUKURZUVIAUVEUVJUFNLVOVPZCN
      LQVQVPVGUVHUUPNURZUSUURNYRUVHUVLUVJUURNUOAUVJUVFUVLUVKVRNDLUUPUCVSVTUVHNY
      RURZUVLAUVEUUGUVMUVFUFUVFUUGUVGWAEYRLNUBWBWCVGVHWDWEWFRWGYSUUTUOZUUEUVCWL
      UUOUVNUUDUVBYRUVNUUCUVABYSUUTUUBWHWMWIWJUUOUGYRUVBUUOUGUKZYRURZUVOUUBUOZB
      UUTUPZUVOUVBURZUUOUVPUVRUUOUVPUSZUVOYTLNWKUMZWNZUOZBCUPZUVRUVTUVOCUWAWOZU
      RUWDUVTUVOEWPUJZUWEUUOYRUWFUVOUUGYRUWFVAAUWFYREUWFWQVQWJWRUVTUWALECWSWTEL
      UWAXAUMUOUVTUBXBCLWPUJUOUVTQXBUVTLNWKXCALWTURZUUGUVPAUVJUWGUVKNLXDVPVRXFX
      EBCUVOUWAXGVPUVTUWCUVQBCUUTUVTYTCURZUWCYTUUTURZUVQUSUVTUWHUSZUWCUSZUWIUVQ
      UWKUUSUUBYRURZOYTCUUPYTUOZUURUUBYRUWMUUQUUANDUUPYTXHXIXJZUVTUWHUWCXKZUWKU
      VOUUBYRUWKUVOUWBUUBUWJUWCUTUWKCDNLYTQUCAUVJUUGUVPUWHUWCUVKXLUWOXQXMZUUOUV
      PUWHUWCXNXOWFUWPXPXRXSXTUUOUVQUVPBUUTUUOUWIUSUVQUSZUWHUWLUSZUVPUWQUWIUWRU
      UOUWIUVQXKUUSUWLOYTCUWNYAYBUUOUVQUWRUVPUWIUUOUVQUSZUWHUWLUVPUWSUWHUSZUWLU
      SUVOUUBYRUUOUVQUWHUWLXNUWTUWLUTVHVDYCYHVLYDUVSUVRWLUGBUUTUUBUVOUVAWSUVAWQ
      YEYFYGYIYJYDYKIHFUUDJUDYLHYQYMYNSYO $.

    $( Lemma for ~ nsgqusf1o .  (Contributed by Thierry Arnoux, 4-Aug-2024.) $)
    nsgqusf1olem3 $p |- ( ph -> ran F = S ) $=
      ( crn cv wcel csn co crab wceq wrex cvv elrnmpt elv csubg cfv wss rabeq2i
      wb wa cmpt nsgqusf1olem1 eleq2 rabbidv eqeq2d adantl wel nfv nfmpt1 nfel2
      nfrn nfan cminusg cplusg cgrp nsgsubg syl subgrcl ad4antr adantr ad3antlr
      cnsg subgss sselda simplr eqid grpasscan1 syl3anc simp-5r simp-4r cqg wbr
      ad5antr wer eqger cec erth quslsm eqeq12d bitrd biimpar w3a eqgval biimpa
      ersym simp3d syl21anc sseldd subgcl eqeltrrd adantllr ovex elrnmpti simpr
      biimpi r19.29af ovexd sneq oveq1d eqcomd elrnmptdv impbida rabbidva dfss7
      sylib eqtr2d rspcedvd anasss eleq2i eleq1 mpbird ad2antrr syl2anc nsgqus0
      nsgmgclem grplsmid eqeltrd ssrabdv sseqtrrd r19.29an syl5bb bitr4id eqrdv
      jca ) AIKUGZFAIUHZUUHUIZUUIOUHZUJZNDUKZHUHZUIZOCULZUMZHGUNZUUIFUIZUUJUURV
      BIHGUUPUUIKUOUEUPUQUUSUUILURUSZUIZNUUIUTZVCZAUURUVBIFUUTRVAAUVCUURAUVAUVB
      UURAUVAVCZUVBVCZUUQUUIUUMBUUIBUHZUJZNDUKZVDZUGZUIZOCULZUMZHUVJGABCDEFGHIJ
      KLMNOPQRSTUAUBUCUDUEUFVEUUNUVJUMZUUQUVMVBUVEUVNUUPUVLUUIUVNUUOUVKOCUUNUVJ
      UUMVFVGVHVIUVEUVLOIVJZOCULZUUIUVEUVKUVOOCUVEUUKCUIZVCZUVKUVOUVRUVKVCUUMUV
      HUMZUVOBUUIUVRUVKBUVRBVKBUUMUVJBUVIBUUIUVHVLVNVMVOUVRBIVJZUVSUVOUVKUVRUVT
      VCZUVSVCZUVFUVFLVPUSZUSUUKLVQUSZUKZUWDUKZUUKUUIUWBLVRUIZUVFCUIZUVQUWFUUKU
      MUWAUWGUVSAUWGUVAUVBUVQUVTANUUTUIZUWGANLWEUSUIZUWIUFNLVSVTZNLWAVTWBWCZUWA
      UWHUVSUVRUUICUVFUVAUUICUTZAUVBUVQCUUILQWFZWDWGZWCUWAUVQUVSUVEUVQUVTWHZWCC
      UWDLUWCUVFUUKQUWDWIZUWCWIZWJWKUWBUVAUVTUWEUUIUIUWFUUIUIAUVAUVBUVQUVTUVSWL
      UVRUVTUVSWHUWBNUUIUWEUVDUVBUVQUVTUVSWMUWBUWGNCUTZUVFUUKLNWNUKZWOZUWENUIZU
      WLAUWSUVAUVBUVQUVTUVSAUWIUWSUWKCNLQWFVTZWPUWBUUKUVFUWTCUWACUWTWQZUVSAUXDU
      VAUVBUVQUVTAUWIUXDUWKUWTLCNQUWTWIZWRVTWBZWCUWAUUKUVFUWTWOZUVSUWAUXGUUKUWT
      WSZUVFUWTWSZUMUVSUWAUUKUVFUWTCUXFUWPWTUWAUXHUUMUXIUVHUWACDNLUUKQUCAUWIUVA
      UVBUVQUVTUWKWBZUWPXAUWACDNLUVFQUCUXJUWOXAXBXCXDXHUWGUWSVCZUXAVCUWHUVQUXBU
      XKUXAUWHUVQUXBXEUVFUUKUWDUWTNLUWCVRCQUWRUWQUXEXFXGXIXJXKUWDUUILUVFUWEUWQX
      LWKXMXNUVKUVSBUUIUNZUVRUVKUXLBUUIUVHUUMUVIUVIWIZUVGNDXOXPXRVIXSUVRUVOVCZB
      UUIUVHUUKUUMUVIUOUXMUVRUVOXQUXNUULNDXTUVFUUKUMZUVSUXNUXOUVHUUMUXOUVGUULND
      UVFUUKYAYBYCVIYDYEYFUVDUVPUUIUMZUVBUVDUWMUXPUVAUWMAUWNVIOCUUIYGYHWCYIYJYK
      AUUQUVCHGAUUNGUIZVCZUUQVCZUVAUVBUXSUVAUUPUUTUIZUXRUXTUUQUXRCDEUUNLNOQUBUC
      AUWJUXQUFWCZUXQUUNEURUSZUIZAUXQUYCGUYBUUNSYLXRVIZYRWCUUQUVAUXTVBUXRUUIUUP
      UUTYMVIYNUXSNUUPUUIUXRNUUPUTUUQUXRUUOOCNAUWSUXQUXCWCUXRUUKNUIZVCZUUMNUUNU
      YFUWIUYEUUMNUMAUWIUXQUYEUWKYOUXRUYEXQNDLUUKUCYSYPUXRNUUNUIZUYEUXRUWJUYCUY
      GUYAUYDEUUNLNUBYQYPWCYTUUAWCUXRUUQXQUUBUUGUUCYEUUDUUEUUF $.

    $( The canonical projection homomorphism ` E ` defines a bijective
       correspondence between the set ` S ` of subgroups of ` G ` containing a
       normal subgroup ` N ` and the subgroups of the quotient group
       ` G / N ` .  This theorem is sometimes called the correspondence
       theorem, or the fourth isomorphism theorem.  (Contributed by Thierry
       Arnoux, 4-Aug-2024.) $)
    nsgqusf1o $p |- ( ph -> E : S -1-1-onto-> T ) $=
      ( crn cres wf1o wiso cipo cfv cmgc co eqid cvv wcel cbs wceq cv wss csubg
      fvex rabex2 ipobas ax-mp fvexi cpo ipopos a1i nsgmgc mgcf1o nsgqusf1olem3
      isof1o syl reseq2d wfn csn cmpt nfv wa mptex fnmptd fnresdm nsgqusf1olem2
      vex rnex eqtrd f1oeq123d mpbid ) AKUGZJUGZJWKUHZUIZFGJUIAWKWLMPWMUJWNAFGJ
      KFUKULZGUKULZUMUNZMWOWPPWQUOZFUPUQFWOURULUSNIUTZVAILVBULFRLVBVCVDFWOUPWOU
      OZVEVFGUPUQGWPURULUSGEVBSVGGWPUPWPUOZVEVFTUAWOVHUQAFWOWTVIVJWPVHUQAGWPXAV
      IVJABCDEFGHIJKLWQNWOWPOQRSWRWTXAUBUCUDUEUFVKVLWKWLMPWMVNVOAWKFWLGWMJAWMJF
      UHZJAWKFJABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFVMZVPAJFVQXBJUSAIFBWSBUTVRNDUNZV
      SZUGZJUPAIVTXFUPUQAWSFUQWAXEBWSXDIWFWBWGVJUDWCFJWDVOWHXCABCDEFGHIJKLMNOPQ
      RSTUAUBUCUDUEUFWEWIWJ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Ideals
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d C a b i x $.  $d R a b i x $.
    $( The intersection of a nonempty collection of ideals is an ideal.
       (Contributed by Thierry Arnoux, 8-Jun-2024.) $)
    intlidl $p |- ( ( R e. Ring /\ C =/= (/) /\ C C_ ( LIdeal ` R ) )
                 -> |^| C e. ( LIdeal ` R ) ) $=
      ( vx va vb vi wcel c0 wne cfv wss cv co wral wa eqid ralrimiva sylibr imp
      syl2anc crg clidl w3a cint cbs cmulr cplusg cpw simp3 sselda lidlss pwssb
      syl simp2 intss2 simpl1 lidl0cl fvex elint2 ne0d ad5ant15 simp-4r simpllr
      c0g elinti lidlmcl syl22anc adantll lidlacl ovex anasss ralrimivva islidl
      simpr syl3anbrc ) BUAGZAHIZABUBJZKZUCZAUDZBUEJZKZWAHICLZDLZBUFJZMZELZBUGJ
      ZMZWAGZEWANZDWANCWBNWAVRGVTAWBUHKZVQWCVTFLZWBKZFANWMVTWOFAVTWNAGZOZWNVRGZ
      WOVTAVRWNVPVQVSUIUJZWBWNVRBWBPZVRPZUKUMQFAWBULRVPVQVSUNWMVQWCAWBUOSTVTWAB
      VDJZVTXBWNGZFANXBWAGVTXCFAWQVPWRXCVPVQVSWPUPZWSBVRWNXBXAXBPUQTQFXBABVDURU
      SRUTVTWLCDWBWAVTWDWBGZWEWAGZWLVTXEOZXFOZWKEWAXHWHWAGZOZWJWNGZFANWKXJXKFAX
      JWPOZVPWRWGWNGZWHWNGZXKVTWPVPXEXFXIXDVAZVTWPWRXEXFXIWSVAZXLVPWRXEWEWNGZXM
      XOXPVTXEXFXIWPVBXLXFWPXQXGXFXIWPVCXJWPVNXFWPXQWEAWNVESTWBBWFVRWNWDWEXAWTW
      FPZVFVGXIWPXNXHXIWPXNWHAWNVESVHWIBVRWNWGWHXAWIPZVIVGQFWJAWGWHWIVJUSRQVKVL
      CWBWIBWFVRWADEXAWTXSXRVMVO $.
  $}

  ${
    $d F a b x $.  $d J a b x $.  $d R a b x $.  $d S a b x $.
    rhmpreimaidl.i $e |- I = ( LIdeal ` R ) $.
    $( The preimage of an ideal by a ring homomorphism is an ideal.
       (Contributed by Thierry Arnoux, 30-Jun-2024.) $)
    rhmpreimaidl $p |- ( ( F e. ( R RingHom S ) /\ J e. ( LIdeal ` S ) ) -> (
       `' F " J ) e. I ) $=
      ( vx va vb co wcel cfv wa cv wral eqid adantr wceq eqeltrd syl3anc crh c0
      clidl ccnv cima cbs wss wne cmulr cplusg cnvimass rhmf fssdm c0g wfun cdm
      wf ffund crg rhmrcl1 ring0cl syl fdmd eleqtrrd cghm cmhm rhmghm mhm0 3syl
      ghmmhm rhmrcl2 lidl0cl sylan fvimacnv biimpa syl21anc ne0d ffnd ad3antrrr
      wfn simpllr ad2antrr sselda ringcl ringacl ad4antr ghmlin simpr ffvelrnda
      simp-4l rhmmul simplr elpreima simplbda syl2anc lidlmcl lidlacl elpreimad
      syl22anc anasss ralrimivva ralrimiva islidl syl3anbrc ) CABUAJKZEBUCLZKZM
      ZCUDEUEZAUFLZUGZXIUBUHGNZHNZAUILZJZINZAUJLZJZXIKZIXIOHXIOZGXJOXIDKXEXKXGX
      EXJBUFLZXICCEUKXJYAABCXJPZYAPZULZUMZQXHXIAUNLZXHCUOZYFCUPZKZYFCLZEKZYFXIK
      ZXHXJYACXEXJYACUQXGYDQZURXHYFXJYHXHAUSKZYFXJKXEYNXGABCUTQZXJAYFYBYFPZVAVB
      XHXJYACYMVCVDXHYJBUNLZEXEYJYQRZXGXECABVEJKZCABVFJKYRABCVGZABCVJABCYQYFYPY
      QPZVHVIQXEBUSKZXGYQEKABCVKZBXFEYQXFPZUUAVLVMSYGYIMYKYLYFECVNVOVPVQXHXTGXJ
      XHXLXJKZMZXSHIXIXIUUFXMXIKZXPXIKZXSUUFUUGMZUUHMZXJXRECXHCXJVTZUUEUUGUUHXH
      XJYACYMVRVSZUUJYNXOXJKZXPXJKZXRXJKXHYNUUEUUGUUHYOVSZUUJYNUUEXMXJKZUUMUUOX
      HUUEUUGUUHWAZUUIUUPUUHUUFXIXJXMXEXKXGUUEYEWBZWCQZXJAXNXLXMYBXNPZWDTZUUIXI
      XJXPUUFXKUUGUURQWCZXJXQAXOXPYBXQPZWETUUJXRCLZXOCLZXPCLZBUJLZJZEUUJYSUUMUU
      NUVDUVHRXEYSXGUUEUUGUUHYTWFUVAUVBXQUVGABXOCXPXJYBUVCUVGPZWGTUUJUUBXGUVEEK
      UVFEKZUVHEKUUJXEUUBXEXGUUEUUGUUHWJZUUCVBZXHXGUUEUUGUUHXEXGWHVSZUUJUVEXLCL
      ZXMCLZBUILZJZEUUJXEUUEUUPUVEUVQRUVKUUQUUSXLXMABXNUVPCXJYBUUTUVPPZWKTUUJUU
      BXGUVNYAKZUVOEKZUVQEKUVLUVMUUFUVSUUGUUHXHXJYAXLCYMWIWBUUJUUKUUGUVTUULUUFU
      UGUUHWLUUKUUGUUPUVTXJXMECWMWNWOYABUVPXFEUVNUVOUUDYCUVRWPWSSUUJUUKUUHUVJUU
      LUUIUUHWHUUKUUHUUNUVJXJXPECWMWNWOUVGBXFEUVEUVFUUDUVIWQWSSWRWTXAXBGXJXQAXN
      DXIHIFYBUVCUUTXCXD $.
  $}

  ${
    kerlidl.i $e |- I = ( LIdeal ` R ) $.
    kerlidl.1 $e |- .0. = ( 0g ` S ) $.
    $( The kernel of a ring homomorphism is an ideal.  (Contributed by Thierry
       Arnoux, 1-Jul-2024.) $)
    kerlidl $p |- ( F e. ( R RingHom S ) -> ( `' F " { .0. } ) e. I ) $=
      ( crh co wcel csn clidl cfv ccnv cima crg rhmrcl2 eqid lidl0 syl mpdan
      rhmpreimaidl ) CABHIJZEKZBLMZJZCNUDODJUCBPJUFABCQBUEEUERGSTABCDUDFUBUA $.
  $}

  ${
    $d .0. i $.  $d B i $.  $d R i $.
    0ringidl.1 $e |- B = ( Base ` R ) $.
    0ringidl.2 $e |- .0. = ( 0g ` R ) $.
    $( The zero ideal is the only ideal of the trivial ring.  (Contributed by
       Thierry Arnoux, 1-Jul-2024.) $)
    0ringidl $p |- ( ( R e. Ring /\ ( # ` B ) = 1 )
                  -> ( LIdeal ` R ) = { { .0. } } ) $=
      ( vi crg wcel chash cfv c1 wceq wa clidl csn cv wss eqid lidlss adantr
      adantl 0ring sseqtrd lidl0cl adantlr snssd eqssd lidl0 eqsnd ) BGHZAIJKLZ
      MZFBNJZCOZULFPZUMHZMZUOUNUQUOAUNUPUOAQULAUOUMBDUMRZSUAULAUNLUPABCDEUBTUCU
      QCUOUJUPCUOHUKBUMUOCUREUDUEUFUGUJUNUMHUKBUMCUREUHTUI $.
  $}

  ${
    $d .0. a b f i j k $.  $d .0. l $.  $d .0. m $.  $d .x. a b f i j k $.
    $d .x. l $.  $d B a b f i j k $.  $d B l $.  $d B m $.  $d N b $.
    $d R a b f i j k $.  $d R l $.  $d R m $.  $d S a b f i j k $.  $d S l $.
    $d S m $.  $d X a b f i j k $.  $d X l $.  $d X m $.  $d a b f i j k ph $.
    $d a b j k m ph $.  $d b f i j k l ph $.
    elrspunidl.n $e |- N = ( RSpan ` R ) $.
    elrspunidl.b $e |- B = ( Base ` R ) $.
    elrspunidl.1 $e |- .0. = ( 0g ` R ) $.
    elrspunidl.x $e |- .x. = ( .r ` R ) $.
    elrspunidl.r $e |- ( ph -> R e. Ring ) $.
    elrspunidl.i $e |- ( ph -> S C_ ( LIdeal ` R ) ) $.
    $( Elementhood to the span of a union of ideals.  (Contributed by Thierry
       Arnoux, 30-Jun-2024.) $)
    elrspunidl $p |- ( ph -> ( X e. ( N ` U. S ) <-> E. a e. ( B ^m S )
       ( a finSupp .0. /\ X = ( R gsum a ) /\ A. k e. S ( a ` k ) e. k ) ) ) $=
      ( vj wcel wa cvv vb vi vf vl vm cfv cv cfsupp co cmpt cgsu wceq cmap wrex
      wbr wral w3a wss clidl sselda eqid ralrimiva wf fvexd ssexd biimpi adantl
      syl ccnv csn cima adantr 3syl ad7antr ad7antlr cnvimass sseqtrid ad3antlr
      a1i ffvelrnd sseldd ringcl syl3anc fveq2 cbvmptv fmptd csupp mptexd ffund
      weq wfun simp-5r nfv nfcv nfan cdif ffnd ad2antrr ssdifd fvdifsupp oveq1d
      fvexi eldifad syl2anc eqtrd suppss2f fsuppsssupp syl22anc elmapd wb breq1
      biimpar eqeq2d fveq1 cfn funmpt simplr simp-4r simpllr sseqtrd cin oveq2d
      sstrd ad6antr sylancl ffvelrnda simpr wdisj ciun mpteq2dva 3eqtrd imaeq2d
      wfn biimpa sylancom syl2an2r rspcedvd chash cz ad4antr cuni lidlss unissb
      sylibr elrsp wex uniexd eluni2 eleq2 ac6sg sylc ad3antrrr simp-5l ringcmn
      crg ccmn vex cnvexg imaexg mp2b elmapi cdm fdm oveq12d nfmpt1 nfeq2 nfra1
      id nfov c0g ringlz gsumcl fmpttd oveq2 eleq1d ralbidv 3anbi123d fsuppimpd
      cbs imafi snssi sspreima difpreima suppssdm ad6antlr fdmd sseqtrrd dminss
      fssdm sseqin2 eqsstrrdi sscond fimacnv difeq1d ssidd syldan mpteq2da cmnd
      suppssr cmnmndd gsumz suppss2 ssfid isfsupp cres fmptdf sndisj disjpreima
      ad5antlr iunid imaeq2i iunpreima ad2antlr 3eqtr3a resmptd mpteq1d fvmptd2
      gsumpart sneqd ovexd cnvex imaex csubmnd csubg lidlsubg subgsubm elpreima
      eleq12d rspcdva simpl2im eleqtrd lidlmcl gsumsubmcl eqeltrd 3jca exlimddv
      elsni anasss r19.29an crn czrh cxp cun zring crh zrhrhm zringbas rhmf cn0
      ssv ssdif ax-mp sseli fsuppinisegfi hashcl nn0zd ring0cl fconst6g disjdif
      c0 fun2d simplll elssuni sseld ralimdva imp fnfvrnss ssdifssd undif sylib
      feq2d mpbid mpbird mpteq2dv anbi12d simprd fsupprnfi fdmfifsupp fczfsuppd
      elexd fsuppun funisfsupp syl31anc fvex fnmpti fnconstg fvun1d sneq fveq2d
      diffi fvmptd3 mp3an12 fvconst2 gsummptres2 cmg gsumhashmul sselid zrhmulg
      fvun2 cur simpll ringidcl mulgass2 syl13anc ringlidm syl21anc 3eqtr4d jca
      3eqtr4rd exp41 3imp2 impbida bitrd ) AHDUUAZGUFRUAUGZIUHUOZHCQVXNQUGZVXOU
      FZVXQEUIZUJZUKUIZULZSZUABVXNUMUIZUNZJUGZIUHUOZHCVYFUKUIZULZFUGZVYFUFZVYJR
      ZFDUPZUQZJBDUMUIZUNZABCEQVXNGHIUAKLMNOAUBUGZBURZUBDUPVXNBURZAVYRUBDAVYQDR
      ZSVYQCUSUFZRVYRADWUAVYQPUTBVYQWUACLWUAVAZUUBVHVBUBDBUUCUUDZUUEAVYEVYPAVYC
      VYPUAVYDAVXOVYDRZSZVXPVYBVYPWUEVXPSZVYBSZVXNDUCUGZVCZVXQVXQWUHUFZRZQVXNUP
      ZSZVYPUCAWUMUCUUFZWUDVXPVYBAVXNTRZVXQVYQRZUBDUNZQVXNUPWUNADTADWUATACUSVDP
      VEZUUGZAWUQQVXNVXQVXNRZWUQAWUTWUQUBVXQDUUHVFVGVBWUPWUKQUBVXNDUCTVYQWUJVXQ
      UUIUUJUUKUULWUGWUIWULVYPWUGWUISZWULSZVYNUBDCQWUHVIZVYQVJZVKZVXSUJZUKUIZUJ
      ZIUHUOZHCWVHUKUIZULZVYJWVHUFZVYJRZFDUPZUQZJWVHVYOWVBADBWVHVCZWVHVYORZAWUD
      VXPVYBWUIWULUUMZWVBUBDWVGBWVBVYTSZWVEBWVFCTILMWVSACUUORZCUUPRZWVBAVYTWVRV
      LOCUUNZVMWVETRZWVSWUHTRWVCTRWWCUCUUQZWUHTUURWVCWVDTUUSUUTZVSZWVSUDWVEUDUG
      ZVXOUFZWWGEUIZBWVFWVSWWGWVERZSZWVTWWHBRZWWGBRWWIBRAWVTWUDVXPVYBWUIWULVYTW
      WJOVNWWKVXNBWWGVXOWUDVXNBVXOVCZAVXPVYBWUIWULVYTWWJVXOBVXNUVAZVOWVSWVEVXNW
      WGWUIWVEVXNURZWUGWULVYTWUIWUHUVBZWVEVXNWUHWVDVPVXNDWUHUVCZVQZVRZUTZVTWWKV
      XNBWWGAVYSWUDVXPVYBWUIWULVYTWWJWUCVNWWTWABCEWWHWWGLNWBWCQUDWVEVXSWWIQUDWJ
      ZVXRWWHVXQWWGEVXQWWGVXOWDWXAUVHZUVDZWEWFZWVSWVFTRWVFWKVXPWVFIWGUIVXOIWGUI
      ZURWVFIUHUOWVSQWVEVXSTWWFWHWVSWVEBWVFWXDWIWUEVXPVYBWUIWULVYTWLWVSWVEVXSQT
      WXEIWVBVYTQWVAWULQWUGWUIQWUFVYBQWUFQWMQHVYAQCVXTUKQCWNQUKWNQVXNVXSUVEUVIU
      VFWOWUIQWMWOWUKQVXNUVGWOZVYTQWMWOQWVEWNQWXEWNZWVSVXQWVEWXEWPZRZSZVXSIVXQE
      UIZIWXJVXRIVXQEWXJVXNVXOTTVXQIWXJVXNBVXOWUDWWMAVXPVYBWUIWULVYTWXIWWNVOWQW
      VBWUOVYTWXIWVBAWUOWVRWUSVHZWRITRZWXJICUVJMXBZVSWVSWXHVXNWXEWPZVXQWVSWVEVX
      NWXEWWSWSUTZWTXAWXJWVTVXQBRZWXKIULZAWVTWUDVXPVYBWUIWULVYTWXIOVNWXJVXNBVXQ
      AVYSWUDVXPVYBWUIWULVYTWXIWUCVNWXJVXQVXNWXEWXPXCWABCEVXQILNMUVKZXDXEWWFXFV
      XOWVFTIXGXHUVLUVMAWVQWVPABDWVHTTBTRZABCUVSLXBZVSZWURXIXLXDVYFWVHULZVYNWVO
      XJWVBWYCVYGWVIVYIWVKVYMWVNVYFWVHIUHXKWYCVYHWVJHVYFWVHCUKUVNXMWYCVYLWVMFDW
      YCVYKWVLVYJVYJVYFWVHXNUVOUVPUVQVGWVBWVIWVKWVNWVBWVHTRZWXMWVHWKZWVHIWGUIZX
      ORZWVIWVBUBDWVGTWVBADTRWVRWURVHZWHWXMWVBWXNVSWYEWVBUBDWVGXPVSWVBWUHWXEVKZ
      WYFWVBWUHWKZWXEXORWYIXORWVBVXNDWUHWUGWUIWULXQWIZWVBVXOIWUEVXPVYBWUIWULXRZ
      UVRWUHWXEUVTXDWVBDWVGUBTWYIIWVBVYQDWYIWPZRZSZWVGCQWVEIUJZUKUIZIWYOWVFWYPC
      UKWYOQWVEVXSIWVBWYNQWXFWYNQWMWOWYOVXQWVERZSZVXSWXKIWYSVXRIVXQEWYOWYRVXQWX
      ORZVXRIULWYOWVEWXOVXQWYOWVEWVCDVKZWXEWPZWXOWYOWVEXUAWVCWYIVKZWPZXUBWYOWVE
      WVCWYMVKZXUDWYOWYJWVDWYMURZWVEXUEURWYOVXNDWUHWUGWUIWULWYNXSZWIZWYNXUFWVBV
      YQWYMUWAVGWVDWYMWUHUWBXDWYOWYJXUEXUDULXUHDWYIWUHUWCVHXTWYOWXEXUCXUAWYOWXE
      WWPURZWXEXUCURWYOWXEVXNWWPWYOVXNBWXEVXOVXOIUWDWUDWWMAVXPVYBWUIWULWYNWWNUW
      EZUWIWYOVXNDWUHXUGUWFUWGXUIWXEWWPWXEYAZXUCXUIXUKWXEULWXEWWPUWJVFWXEWUHUWH
      UWKVHUWLYCWYOXUAVXNWXEWYOWUIXUAVXNULZXUGVXNDWUHUWMZVHUWNXTUTWYOVXNBTVXOTW
      XEVXQIXUJWYOWXEUWOWVBWUOWYNWXLVLWXMWYOWXNVSUWSUWPXAWYSWVTWXQWXRAWVTWUDVXP
      VYBWUIWULWYNWYROVNWYSVXNBVXQAVYSWUDVXPVYBWUIWULWYNWYRWUCVNWYOWVEVXNVXQWUI
      WWOWUGWULWYNWWRVRUTWAWXSXDXEUWQYBWYOCUWRRZWWCWYQIULAXUNWUDVXPVYBWUIWULWYN
      ACAWVTWWAOWWBVHZUWTYDWWEWVEQCTIMUXAYEXEWYHUXBUXCWYDWXMSWVIWYEWYGSWVHTTIUX
      DXLXHWVBHVYACUBDCVXTWVEUXEZUKUIZUJZUKUIWVJWUFVYBWUIWULXSWVBUBVXNBWVEVXTCT
      TDILMWVBAWWAWVRXUOVHWXLWYHWVBQVXNVXSBVXTWXFWVBWUTSWVTVXRBRWXQVXSBRAWVTWUD
      VXPVYBWUIWULWUTOYDWVBVXNBVXQVXOWUDWWMAVXPVYBWUIWULWWNUXIZYFWVBVXNBVXQWVBA
      VYSWVRWUCVHZUTBCEVXRVXQLNWBWCVXTVAUXFWVBVXTTRVXTWKZVXPVXTIWGUIWXEURVXTIUH
      UOWVBQVXNVXSTWXLWHXVAWVBQVXNVXSXPVSWYLWVBVXNVXSQTWXEIWXFQVXNWNWXGWVBWYTSZ
      VXSWXKIXVBVXRIVXQEXVBVXNVXOTTVXQIXVBVXNBVXOWVBWWMWYTXUSVLWQWVBWUOWYTWXLVL
      WXMXVBWXNVSWVBWYTYGZWTXAXVBWVTWXQWXRAWVTWUDVXPVYBWUIWULWYTOYDXVBVXNBVXQWV
      BVYSWYTXUTVLXVBVXQVXNWXEXVCXCWAWXSXDXEWXLXFVXOVXTTIXGXHWVBWYJUBDWVDYHUBDW
      VEYHWYKUBDUXGUBDWVDWUHUXHYEWVBWVCUBDWVDYIZVKZXUAUBDWVEYIZVXNXVDDWVCUBDUXJ
      UXKWVBWYJXVEXVFULWYKUBDWVDWUHUXLVHWUIXULWUGWULXUMUXMUXNUXRWVBXURWVHCUKWVB
      UBDXUQWVGWVSXUPWVFCUKWVSQVXNWVEVXSWWSUXOYBYJYBYKWVBWVMFDWVBVYJDRZSZWVLCQW
      VCVYJVJZVKZVXSUJZUKUIZVYJXVHUBVYJWVGXVLDWVHTWVHVAXVHUBFWJZSZWVFXVKCUKXVNQ
      WVEXVJVXSXVNWVDXVIWVCXVNVYQVYJXVHXVMYGUXSYLUXPYBWVBXVGYGXVHCXVKUKUXTUXQXV
      HXVJVYJXVKCTIMAWWAWUDVXPVYBWUIWULXVGXUOYDXVJTRXVHWVCXVIWUHWWDUYAUYBVSZXVH
      WVTVYJWUARZVYJCUYCUFRZAWVTWUDVXPVYBWUIWULXVGOYDZWVBDWUAVYJWVBADWUAURWVRPV
      HUTZWVTXVPSVYJCUYDUFRXVQCWUAVYJWUBUYEVYJCUYFVHXDXVHUDXVJWWIVYJXVKXVHWWGXV
      JRZSZWVTXVPWWLWWGVYJRWWIVYJRXVHWVTXVTXVRVLXVHXVPXVTXVSVLXWAVXNBWWGVXOWUDW
      WMAVXPVYBWUIWULXVGXVTWWNVOXVHXVJVXNWWGWUIXVJVXNURWUGWULXVGWUIWWPXVJVXNWUH
      XVIVPWWQVQVRZUTZVTXWAWWGWWGWUHUFZVYJXWAWUKWWGXWDRQVXNWWGWXAVXQWWGWUJXWDWX
      BVXQWWGWUHWDUYHWVAWULXVGXVTXSXWCUYIXVHXVTWUHVXNYMZXWDVYJULZXWAVXNDWUHWUGW
      UIWULXVGXVTXRWQXWEXVTSWWGVXNRZXWDXVIRZXWFXWEXVTXWGXWHSVXNWWGXVIWUHUYGYNXW
      DVYJUYQUYJYOUYKBCEWUAVYJWWHWWGWUBLNUYLXHQUDXVJVXSWWIWXCWEWFZXVHXVKTRXVKWK
      VXPXVKIWGUIWXEURXVKIUHUOXVHQXVJVXSTXVOWHXVHXVJVYJXVKXWIWIWUEVXPVYBWUIWULX
      VGWLXVHXVJVXSQTWXEIWVBXVGQWXFXVGQWMWOQXVJWNWXGXVHVXQXVJWXEWPZRZSZVXSWXKIX
      WLVXRIVXQEXWLVXNVXOTTVXQIXWLVXNBVXOWUDWWMAVXPVYBWUIWULXVGXWKWWNVOWQWVBWUO
      XVGXWKWXLWRWXMXWLWXNVSXVHXWJWXOVXQXVHXVJVXNWXEXWBWSUTZWTXAXVHWVTXWKWXQWXR
      XVRXWLVXNBVXQAVYSWUDVXPVYBWUIWULXVGXWKWUCVNXWLVXQVXNWXEXWMXCWAWXSYPXEXVOX
      FVXOXVKTIXGXHUYMUYNVBUYOYQUYRUYPUYRUYSAVYNVYEJVYOAVYFVYORZSZVYGVYIVYMVYEX
      WOVYGVYIVYMVYEXWOVYGSZVYISZVYMSZVYCUEVYFUYTZIVJZWPZVYFVIZUEUGZVJZVKZYRUFZ
      CVUAUFZUFZUJZVXNXXAWPZXWTVUBZVUCZIUHUOZHCQVXNVXQXXLUFZVXQEUIZUJZUKUIZULZS
      ZUAXXLVYDXWRXXLVYDRVXNBXXLVCZXWRXXAXXJVUCZBXXLVCXXTXWRXXAXXJBXXIXXKXWRUEX
      XAXXHBXXIXWRXXCXXARZSZYSBXXFXXGXYCWVTXXGVUDCVUEUIRYSBXXGVCXWRWVTXYBAWVTXW
      NVYGVYIVYMOYTZVLCXXGXXGVAZVUFYSBVUDCXXGVUGLVUHVMXYCXXFXYCXXEXORXXFVUIRXYC
      VYFVYOTXXCIAXWNVYGVYIVYMXYBWLWXMXYCWXNVSXYBXXCTXWTWPZRXWRXXAXYFXXCXWSTURX
      XAXYFURXWSVUJXWSTXWTVUKVULZVUMVGXWOVYGVYIVYMXYBXRVUNXXEVUOVHVUPVTXXIVAZWF
      ZXWRWVTIBRXXJBXXKVCXYDBCILMVUQXXJIBVURVMXXAXXJYAVUTULZXWRXXAVXNVUSZVSVVAZ
      XWRXYAVXNBXXLXWRXXAVXNURXYAVXNULXWRXWSVXNXWTXWRVYFDYMVYKVXNRZFDUPZXWSVXNU
      RXWRDBVYFXWRXWODBVYFVCZXWOVYGVYIVYMVVBZAXWNXYOABDVYFTTWYBWURXIYNVHZWQXWQV
      YMXYNXWQVYLXYMFDXWQXVGSVYJVXNVYKXVGVYJVXNURXWQVYJDVVCVGVVDVVEVVFFDVXNVYFV
      VGXDVVHZXXAVXNVVIVVJVVKVVLZXWRBVXNXXLTTWXTXWRWYAVSZAWUOXWNVYGVYIVYMWUSYTZ
      XIVVMZVXOXXLULZVYCXXSXJXWRYUCVXPXXMVYBXXRVXOXXLIUHXKYUCVYAXXQHYUCVXTXXPCU
      KYUCQVXNVXSXXOYUCVXRXXNVXQEVXQVXOXXLXNXAVVNYBXMVVOVGXWRXXMXXRXWRXXLWKZXXL
      TRZWXMXXLIWGUIXORZXXMXWRXYABXXLXYLWIXWRXXLVYDYUBVVTWXMXWRWXNVSZXWRXXIXXKI
      XWRXXABXXITIXYIXWRVYFWKZXWNWXMVYGXXAXORZXWRDBVYFXYQWIXWRAXWNXYPVVPZYUGXWO
      VYGVYIVYMXSZYUHXWNSWXMVYGSSXWSXORYUIVYFVYOTIVVQXWSXWTVWJVHXHZYUGVVRXWRXXJ
      TTIXWRXXJBTXYTAXXJBURXWNVYGVYIVYMAVXNBXXAWUCVVHYTZVEYUGVVSVWAYUDYUEWXMUQX
      XMYUFXXLTTIVWBXLVWCXWRCQXXAXXOUJZUKUICQXXAXXBVXQVJZVKZYRUFZXXGUFZVXQEUIZU
      JZUKUIZXXQHXWRYUNYUTCUKXWRQXXAXXOYUSXWRVXQXXARZSZXXNYURVXQEYVCXXNVXQXXIUF
      YURYVCXXAXXJXXIXXKVXQXXIXXAYMZYVCUEXXAXXHXXIXXFXXGVWDXYHVWEZVSXXKXXJYMZYV
      CWXMYVFWXNXXJITVWFVULZVSXYJYVCXYKVSXWRYVBYGZVWGYVCUEVXQXXHYURXXAXXITXYHUE
      QWJZXXFYUQXXGYVIXXEYUPYRYVIXXDYUOXXBXXCVXQVWHYLVWIVWIYVHYVCYUQXXGVDVWKXEX
      AYJYBXWRQVXNBXXACTXXOILMXWRWVTWWAXYDWWBVHZYUAXWRVXQXXJRZSZXXOWXKIYVLXXNIV
      XQEYVLXXNVXQXXKUFZIXWRYVKXYJXXNYVMULZXYJYVLXYKVSYVDYVFXYJYVKSYVNYVEYVGXXA
      XXJXXIXXKVXQVWSVWLYOYVKYVMIULXWRXXJIVXQWXNVWMVGXEXAXWRWVTYVKWXQWXRXYDXWRX
      XJBVXQYUMUTWXSYPXEYULXWRWUTSWVTXXNBRWXQXXOBRXWRWVTWUTXYDVLXWRVXNBVXQXXLXY
      SYFXWRVXNBVXQAVYSXWNVYGVYIVYMWUCYTZUTBCEXXNVXQLNWBWCXYRVWNXWRVYHCQXXAYUQV
      XQCVWOUFZUIZUJZUKUIHYVAXWRQDBYVPVYFCILMYVPVAZYVJXYQYUKVWPXWPVYIVYMXQXWRYU
      TYVRCUKXWRQXXAYUSYVQYVCWVTYUQYSRZWXQYUSYVQULXWRWVTYVBXYDVLYVCYUQYVCYUPXOR
      YUQVUIRYVCVYFVYOTVXQIXWRXWNYVBYUJVLWXMYVCWXNVSYVCXXAXYFVXQXYGYVHVWQXWRVYG
      YVBYUKVLVUNYUPVUOVHVUPXWRXXABVXQXWRXXAVXNBXYRYVOYCUTWVTYVTSZWXQSZYUSYUQCV
      WTUFZYVPUIZVXQEUIZYUQYWCVXQEUIZYVPUIZYVQYWBYURYWDVXQEYWAYURYWDULWXQCYVPYW
      CXXGYUQXYEYVSYWCVAZVWRVLXAYWBWVTYVTYWCBRZWXQYWEYWGULWVTYVTWXQVXAZWVTYVTWX
      QXQWVTYWIYVTWXQBCYWCLYWHVXBWRYWAWXQYGBCYVPEYUQYWCVXQLYVSNVXCVXDYWBYWFVXQY
      UQYVPYWAWXQWVTYWFVXQULYWJBCEYWCVXQLNYWHVXEYOYBYKVXFYJYBVXGVXIVXHYQVXJVXKU
      YSVXLVXM $.
  $}

  ${
    lidlincl.1 $e |- U = ( LIdeal ` R ) $.
    $( Ideals are closed under intersection.  (Contributed by Thierry Arnoux,
       5-Jul-2024.) $)
    lidlincl $p |- ( ( R e. Ring /\ I e. U /\ J e. U ) -> ( I i^i J ) e. U ) $=
      ( crg wcel cbs cfv cmre cin eqid lidlacs acsmred mreincl syl3an1 ) AFGZBA
      HIZJIGCBGDBGCDKBGQBRRBARLEMNCDBROP $.
  $}

  ${
    $d A a b x $.  $d I a b x $.  $d R a b x $.  $d S a b x $.  $d U a b x $.
    idlinsubrg.s $e |- S = ( R |`s A ) $.
    idlinsubrg.u $e |- U = ( LIdeal ` R ) $.
    idlinsubrg.v $e |- V = ( LIdeal ` S ) $.
    $( The intersection between an ideal and a subring is an ideal of the
       subring.  (Contributed by Thierry Arnoux, 6-Jul-2024.) $)
    idlinsubrg $p |- ( ( A e. ( SubRing ` R ) /\ I e. U ) -> ( I i^i A ) e. V )
       $=
      ( vx va vb cfv wcel wa wss co adantr eqid sselda csubrg cin cbs c0 wne cv
      cmulr cplusg inss2 subrgbas sseqtrid c0g crg subrgrcl lidl0cl sylan csubg
      wral csubmnd subrgsubg subgsubm subm0cl 3syl ne0d wceq ressplusg ressmulr
      elind oveqd eqidd oveq123d ad4antr simp-4r subrgss eqsstrrd inss1 lidlmcl
      ad2antrr a1i syl22anc lidlacl simp-4l eleqtrrd subrgmcl subrgacl eqeltrrd
      simpr syl3anc anasss ralrimivva ralrimiva islidl syl3anbrc ) ABUAMZNZEDNZ
      OZEAUBZCUCMZPZWRUDUEJUFZKUFZCUGMZQZLUFZCUHMZQZWRNZLWRURKWRURZJWSURWRFNWOW
      TWPWOAWRWSEAUIZABCGUJZUKRWQWRBULMZWQEAXLWOBUMNZWPXLENABUNZBDEXLHXLSZUOUPW
      OXLANZWPWOABUQMNABUSMNXPABUTABVAABXLXOVBVCRVHVDWQXIJWSWQXAWSNZOZXHKLWRWRX
      RXBWRNZXEWRNZXHXRXSOZXTOZXAXBBUGMZQZXEBUHMZQZXGWRWOYFXGVEWPXQXSXTWOYDXDXE
      XEYEXFAYEBCWNGYESZVFWOYCXCXAXBABCYCWNGYCSZVGVIWOXEVJVKVLYBEAYFYBXMWPYDENZ
      XEENYFENWOXMWPXQXSXTXNVLZWOWPXQXSXTVMZYBXMWPXABUCMZNZXBENZYIYJYKXRYMXSXTW
      QWSYLXAWOWSYLPWPWOWSAYLXKAYLBYLSZVNVORTVRYAYNXTXRWREXBWREPZXREAVPZVSTRYLB
      YCDEXAXBHYOYHVQVTYAWREXEYPYAYQVSTYEBDEYDXEHYGWAVTYBWOYDANZXEANYFANWOWPXQX
      SXTWBZYBWOXAANZXBANZYRYSXRYTXSXTXRXAWSAWQXQWGWOAWSVEWPXQXKVRWCVRYAUUAXTXR
      WRAXBWRAPZXRXJVSTRABYCXAXBYHWDWHYAWRAXEUUBYAXJVSTAYEBYDXEYGWEWHVHWFWIWJWK
      JWSXFCXCFWRKLIWSSXFSXCSWLWM $.
  $}

  ${
    $d B a b i j x z $.  $d F a b i j x z $.  $d I a b i j x z $.
    $d R a b i j x z $.  $d S a b i j x z $.  $d T a b i j x z $.
    rhmimaidl.b $e |- B = ( Base ` S ) $.
    rhmimaidl.t $e |- T = ( LIdeal ` R ) $.
    rhmimaidl.u $e |- U = ( LIdeal ` S ) $.
    $( The image of an ideal ` I ` by a surjective ring homomorphism ` F ` is
       an ideal.  (Contributed by Thierry Arnoux, 6-Jul-2024.) $)
    rhmimaidl $p |- ( ( F e. ( R RingHom S ) /\ ran F = B /\ I e. T )
                   -> ( F " I ) e. U ) $=
      ( vj vi vz co wcel wceq wa cv cfv wral vx va vb crh crn cima wss c0 cmulr
      wne cplusg cbs eqid rhmf fimass syl ad2antrr c0g wfn ffnd rhmrcl1 ring0cl
      wf crg simpr lidl0cl syl2anc fnfvimad ne0d rhmghm ad4antr lidlss ad4antlr
      simplr sseldd ringcl syl3anc simpllr ghmlin simp-4l rhmmul eqtrd adantl4r
      oveq1d adantl3r adantllr ad4ant13 oveq12d simp-5r ad9antr simp-4r simp-6r
      cghm islidl simp3bi r19.21bi syl1111anc eqeltrrd wfun wrex ffund cdm fdmd
      ad7antr imaeq2d imadmrn eqtr3di biimpar adantlr ad6antr fvelima ad3antrrr
      eqeq1d eleq2d r19.29a ad5antr anasss ralrimivva ralrimiva syl3anbrc 3impa
      ) FBCUDNOZFUEZAPZGDOZFGUFZEOZYBYDQZYEQZYFAUGZYFUHUJUARZUBRZCUISZNZUCRZCUK
      SZNZYFOZUCYFTUBYFTZUAATYGYBYJYDYEYBBULSZAFVCZYJYTABCFYTUMZHUNZYTAFGUOUPUQ
      YIYFBURSZFSYIYTUUDGFYBFYTUSZYDYEYBYTAFUUCUTUQZYIBVDOZUUDYTOYBUUGYDYEBCFVA
      ZUQZYTBUUDUUBUUDUMZVBUPYIUUGYEUUDGOUUIYHYEVEZBDGUUDIUUJVFVGVHVIYIYSUAAYIY
      KAOZQZYRUBUCYFYFUUMYLYFOZYOYFOZYRUUMUUNQZUUOQZKRZFSZYOPZYRKGUUQUURGOZQZUU
      TQZLRZFSZYLPZYRLGUVCUVDGOZQZUVFQZMRZFSZYKPZYRMYTUVIUVJYTOZQZUVLQZUVJUVDBU
      ISZNZUURBUKSZNZFSZYQYFUVOUVTUVKUVEYMNZUUSYPNZYQUVHUVMUVTUWBPZUVFUVLUVBUVG
      UVMUWCUUTUUPUVAUVGUVMUWCUUOUUMUVAUVGUVMUWCUUNYIUVAUVGUVMUWCUULYBYDYEUVAUV
      GUVMUWCYBYEQZUVAQZUVGQZUVMQZUVTUVQFSZUUSYPNZUWBUWGFBCWMNOZUVQYTOZUURYTOUV
      TUWIPYBUWJYEUVAUVGUVMBCFVJVKUWGUUGUVMUVDYTOZUWKYBUUGYEUVAUVGUVMUUHVKUWFUV
      MVEZUWGGYTUVDYEGYTUGZYBUVAUVGUVMYTGDBUUBIVLZVMZUWEUVGUVMVNVOZYTBUVPUVJUVD
      UUBUVPUMZVPVQUWGGYTUURUWPUWDUVAUVGUVMVRVOUVRYPBCUVQFUURYTUUBUVRUMZYPUMZVS
      VQUWGUWHUWAUUSYPUWGYBUVMUWLUWHUWAPYBYEUVAUVGUVMVTUWMUWQUVJUVDBCUVPYMFYTUU
      BUWRYMUMZWAVQWDWBWCWEWEWEWFWGUVOUWAYNUUSYOYPUVOUVKYKUVEYLYMUVNUVLVEUVHUVF
      UVMUVLVRWHUVBUUTUVGUVFUVMUVLWIWHWBUVOYTUVSGFYIUUEUULUUNUUOUVAUUTUVGUVFUVM
      UVLUUFWJUVOGYTUVSYIUWNUULUUNUUOUVAUUTUVGUVFUVMUVLYIYEUWNUUKUWOUPWJUVOYEUV
      MUVGUVAUVSGOZYIYEUULUUNUUOUVAUUTUVGUVFUVMUVLUUKWJUVIUVMUVLVNUVCUVGUVFUVMU
      VLWKUUQUVAUUTUVGUVFUVMUVLWLYEUVMQZUVGQUXBKGUXCUXBKGTZLGYEUXDLGTZMYTYEUWNG
      UHUJUXEMYTTMYTUVRBUVPDGLKIUUBUWSUWRWNWOWPWPWPWQZVOUXFVHWRUVIFWSZYKFYTUFZO
      ZUVLMYTWTYIUXGUULUUNUUOUVAUUTUVGUVFYIYTAFYBUUAYDYEUUCUQXAZXDUUMUXIUUNUUOU
      VAUUTUVGUVFYHUULUXIYEYHUXIUULYHUXHAYKYBUXHAPYDYBUXHYCAYBFFXBZUFUXHYCYBUXK
      YTFYBYTAFUUCXCXEFXFXGXMXHXNXHXIXJMYKYTFXKVGXOUVCUXGUUNUVFLGWTYIUXGUULUUNU
      UOUVAUUTUXJXPUUMUUNUUOUVAUUTWKLYLGFXKVGXOUUQUXGUUOUUTKGWTYIUXGUULUUNUUOUX
      JXLUUPUUOVEKYOGFXKVGXOXQXRXSUAAYPCYMEYFUBUCJHUWTUXAWNXTYA $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Prime Ideals
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c PrmIdeal $.

  $( Extend class notation with the class of prime ideals. $)
  cprmidl $a class PrmIdeal $.

  ${
    $d r i a b x y $.
    $( Define the class of prime ideals of a ring ` R ` .  A proper ideal ` I `
       of ` R ` is prime if whenever ` A B C_ I ` for ideals ` A ` and ` B ` ,
       either ` A C_ I ` or ` B C_ I ` .  The more familiar definition using
       elements rather than ideals is equivalent provided ` R ` is commutative;
       see ~ prmidl2 and ~ isprmidlc .  (Contributed by Jeff Madsen,
       10-Jun-2010.)  (Revised by Thierry Arnoux, 14-Jan-2024.) $)
    df-prmidl $a |- PrmIdeal = ( r e. Ring |->
        { i e. ( LIdeal ` r ) | ( i =/= ( Base ` r ) /\ A. a e. ( LIdeal ` r )
          A. b e. ( LIdeal ` r ) ( A. x e. a A. y e. b ( x ( .r ` r ) y ) e. i
            -> ( a C_ i \/ b C_ i ) ) ) } ) $.
  $}

  ${
    $d .x. r $.  $d B r $.  $d R a b i r x y $.
    prmidlval.1 $e |- B = ( Base ` R ) $.
    prmidlval.2 $e |- .x. = ( .r ` R ) $.
    $( The class of prime ideals of a ring ` R ` .  (Contributed by Jeff
       Madsen, 10-Jun-2010.)  (Revised by Thierry Arnoux, 12-Jan-2024.) $)
    prmidlval $p |- ( R e. Ring -> ( PrmIdeal ` R ) = { i e. ( LIdeal ` R ) | (
       i =/= B /\ A. a e. ( LIdeal ` R ) A. b e. ( LIdeal ` R ) ( A. x e. a A.
       y e. b ( x .x. y ) e. i -> ( a C_ i \/ b C_ i ) ) ) } ) $=
      ( vr crg wcel cv cbs cfv cmulr wral clidl fveq2 wne co wo wi crab cprmidl
      wss wa cvv df-prmidl wceq eqtr4di neeq2d eleq1d 2ralbidv imbi1d raleqbidv
      oveqd anbi12d rabeqbidv id eqid fvexd rabexd fvmptd3 ) DLMZKDFNZKNZOPZUAZ
      ANZBNZVHQPZUBZVGMZBHNZRAGNZRZVQVGUGVPVGUGUCZUDZHVHSPZRZGWARZUHZFWAUEVGCUA
      ZVKVLEUBZVGMZBVPRAVQRZVSUDZHDSPZRZGWJRZUHZFWJUEZLUFUIABFKGHUJVHDUKZWDWMFW
      AWJVHDSTZWOVJWEWCWLWOVICVGWOVIDOPCVHDOTIULUMWOWBWKGWAWJWPWOVTWIHWAWJWPWOV
      RWHVSWOVOWGABVQVPWOVNWFVGWOVMEVKVLWOVMDQPEVHDQTJULURUNUOUPUQUQUSUTVFVAVFW
      MFWJWNUIWNVBVFDSVCVDVE $.

    $d .x. i $.  $d B i $.  $d P a b i x y $.  $d R a b i x y $.
    $( The predicate "is a prime ideal".  (Contributed by Jeff Madsen,
       10-Jun-2010.)  (Revised by Thierry Arnoux, 12-Jan-2024.) $)
    isprmidl $p |- ( R e. Ring -> ( P e. ( PrmIdeal ` R ) <-> ( P e. ( LIdeal `
       R ) /\ P =/= B /\ A. a e. ( LIdeal ` R ) A. b e. ( LIdeal ` R ) ( A. x
       e. a A. y e. b ( x .x. y ) e. P -> ( a C_ P \/ b C_ P ) ) ) ) ) $=
      ( vi wcel cfv wne cv wral wss wo wi wa crg cprmidl clidl co w3a prmidlval
      crab eleq2d wceq neeq1 eleq2 2ralbidv sseq2 orbi12d imbi12d anbi12d elrab
      bitrdi 3anass bitr4di ) EUALZDEUBMZLZDEUCMZLZDCNZAOBOFUDZDLZBHOZPAGOZPZVJ
      DQZVIDQZRZSZHVDPGVDPZTZTZVEVFVPUEVAVCDKOZCNZVGVSLZBVIPAVJPZVJVSQZVIVSQZRZ
      SZHVDPGVDPZTZKVDUGZLVRVAVBWIDABCEFKGHIJUFUHWHVQKDVDVSDUIZVTVFWGVPVSDCUJWJ
      WFVOGHVDVDWJWBVKWEVNWJWAVHABVJVIVSDVGUKULWJWCVLWDVMVSDVJUMVSDVIUMUNUOULUP
      UQURVEVFVPUSUT $.

    $d P a b x y $.  $d R a b x y $.
    $( A prime ideal is a proper ideal.  (Contributed by Jeff Madsen,
       19-Jun-2010.)  (Revised by Thierry Arnoux, 12-Jan-2024.) $)
    prmidlnr $p |- ( ( R e. Ring /\ P e. ( PrmIdeal ` R ) ) -> P =/= B ) $=
      ( vx vy vb va crg wcel cprmidl cfv wa clidl wne cv wral wss co w3a biimpa
      wo wi isprmidl simp2d ) CKLZBCMNLZOBCPNZLZBAQZGRHRDUABLHIRZSGJRZSUNBTUMBT
      UDUEIUJSJUJSZUHUIUKULUOUBGHABCDJIEFUFUCUG $.

    $d .x. a b $.  $d I a b x $.  $d J b x y $.  $d P a b x y $.
    $d R a b x y $.
    $( The main property of a prime ideal.  (Contributed by Jeff Madsen,
       19-Jun-2010.)  (Revised by Thierry Arnoux, 12-Jan-2024.) $)
    prmidl $p |- ( ( ( ( R e. Ring /\ P e. ( PrmIdeal ` R ) ) /\ ( I e. (
       LIdeal ` R ) /\ J e. ( LIdeal ` R ) ) ) /\ A. x e. I A. y e. J ( x .x. y
       ) e. P ) -> ( I C_ P \/ J C_ P ) ) $=
      ( vb va wcel cfv wa cv wral wss wo wi cprmidl clidl co wceq raleq ralbidv
      crg sseq1 orbi2d imbi12d orbi1d wne isprmidl biimpa simp3d adantr rspcdva
      w3a simprl simprr imp ) EUGMZDEUANMZOZGEUBNZMZHVEMZOZOZAPBPFUCDMZBHQZAGQZ
      GDRZHDRZSZVIVJBKPZQZAGQZVMVPDRZSZTZVLVOTKVEHVPHUDZVRVLVTVOWBVQVKAGVJBVPHU
      EUFWBVSVNVMVPHDUHUIUJVIVQALPZQZWCDRZVSSZTZKVEQZWAKVEQLVEGWCGUDZWGWAKVEWIW
      DVRWFVTVQAWCGUEWIWEVMVSWCGDUHUKUJUFVDWHLVEQZVHVDDVEMZDCULZWJVBVCWKWLWJURA
      BCDEFLKIJUMUNUOUPVDVFVGUSUQVDVFVGUTUQVA $.

    $d .x. a b $.  $d B a b x y $.  $d P a b x y $.  $d R a b x y $.
    $( A condition that shows an ideal is prime.  For commutative rings, this
       is often taken to be the definition.  See ~ ispridlc for the equivalence
       in the commutative case.  (Contributed by Jeff Madsen, 19-Jun-2010.)
       (Revised by Thierry Arnoux, 12-Jan-2024.) $)
    prmidl2 $p |- ( ( ( R e. Ring /\ P e. ( LIdeal ` R ) ) /\ ( P =/= B /\ A.
       x e. B A. y e. B ( ( x .x. y ) e. P -> ( x e. P \/ y e. P ) ) ) ) -> P
       e. ( PrmIdeal ` R ) ) $=
      ( vb va wcel cfv wa cv wo wi wral wss lidlss syl crg clidl wne co cprmidl
      simpr simplrr eqid simplrl simpllr ssralv ralimdv r19.26-2 pm3.35 2ralimi
      sylc sylbir syl2anc 2ralor dfss3 orbi12i sylbb2 ex ralrimivva w3a biimpar
      isprmidl 3anassrs syldan anasss ) EUAKZDEUBLZKZMZDCUCZANZBNZFUDDKZVPDKZVQ
      DKZOZPZBCQZACQZDEUELKZVNVOMZWDVRBINZQAJNZQZWHDRZWGDRZOZPZIVLQJVLQZWEWFWDM
      ZWMJIVLVLWOWHVLKZWGVLKZMZMZWIWLWSWIMZWABWGQAWHQZWLWTWIWBBWGQZAWHQZXAWSWIU
      FWTWGCRZWCAWHQZXCWTWQXDWOWPWQWIUGCWGVLEGVLUHZSTWTWHCRZWDXEWTWPXGWOWPWQWIU
      ICWHVLEGXFSTWFWDWRWIUJWCAWHCUKUPXDWCXBAWHWBBWGCUKULUPWIXCMVRWBMZBWGQAWHQX
      AVRWBABWHWGUMXHWAABWHWGVRWAUNUOUQURXAVSAWHQZVTBWGQZOWLVSVTABWHWGUSWJXIWKX
      JAWHDUTBWGDUTVAVBTVCVDVKVMVOWNWEVKWEVMVOWNVEABCDEFJIGHVGVFVHVIVJ $.
  $}

  ${
    $d I x y $.  $d J x y $.  $d P x y $.  $d R x y $.  $d ph x y $.
    idlmulssprm.1 $e |- .X. = ( LSSum ` ( mulGrp ` R ) ) $.
    idlmulssprm.2 $e |- ( ph -> R e. Ring ) $.
    idlmulssprm.3 $e |- ( ph -> P e. ( PrmIdeal ` R ) ) $.
    idlmulssprm.4 $e |- ( ph -> I e. ( LIdeal ` R ) ) $.
    idlmulssprm.5 $e |- ( ph -> J e. ( LIdeal ` R ) ) $.
    idlmulssprm.6 $e |- ( ph -> ( I .X. J ) C_ P ) $.
    $( Let ` P ` be a prime ideal containing the product ` ( I .X. J ) ` of two
       ideals ` I ` and ` J ` .  Then ` I C_ P ` or ` J C_ P ` .  (Contributed
       by Thierry Arnoux, 13-Apr-2024.) $)
    idlmulssprm $p |- ( ph -> ( I C_ P \/ J C_ P ) ) $=
      ( vx vy wcel cfv wa wss ad2antrr eqid crg cprmidl clidl cv cmulr wral jca
      co wo cmgp lidlss simplr simpr elringlsmd sseldd anasss ralrimivva prmidl
      cbs syl syl1111anc ) ACUAOBCUBPOECUCPZOZFVBOZQMUDZNUDZCUEPZUHZBOZNFUFMEUF
      EBRFBRUIHIAVCVDJKUGAVIMNEFAVEEOZVFFOZVIAVJQZVKQZEFDUHZBVHAVNBRVJVKLSVMCUS
      PZCVGDEFCUJPZVEVFVOTZVGTZVPTGAEVORZVJVKAVCVSJVOEVBCVQVBTZUKUTSAFVORZVJVKA
      VDWAKVOFVBCVQVTUKUTSAVJVKULVLVKUMUNUOUPUQMNVOBCVGEFVQVRURVA $.
  $}

  ${
    pridln1.1 $e |- B = ( Base ` R ) $.
    pridln1.2 $e |- .1. = ( 1r ` R ) $.
    $( A proper ideal cannot contain the ring unity.  (Contributed by Thierry
       Arnoux, 9-Apr-2024.) $)
    pridln1 $p |- ( ( R e. Ring /\ I e. ( LIdeal ` R ) /\ I =/= B )
                 -> -. .1. e. I ) $=
      ( crg wcel clidl cfv wn wne wa eqid lidl1el necon3bbid biimp3ar ) BGHZDBI
      JZHZCDHZKDALRTMUADAABSCDSNEFOPQ $.
  $}

  ${
    $d P a b x y $.  $d R a b x y $.
    $( A prime ideal is an ideal.  (Contributed by Jeff Madsen, 19-Jun-2010.)
       (Revised by Thierry Arnoux, 12-Jan-2024.) $)
    prmidlidl $p |- ( ( R e. Ring /\ P e. ( PrmIdeal ` R ) )
                   -> P e. ( LIdeal ` R ) ) $=
      ( vx vy vb va crg wcel cprmidl cfv wa clidl cbs wne cv cmulr co wral eqid
      wss wo wi w3a isprmidl biimpa simp1d ) BGHZABIJHZKABLJZHZABMJZNZCODOBPJZQ
      AHDEOZRCFOZRUOATUNATUAUBEUIRFUIRZUGUHUJULUPUCCDUKABUMFEUKSUMSUDUEUF $.
  $}

  ${
    $d R i $.
    $( Prime ideals as a subset of ideals.  (Contributed by Thierry Arnoux,
       2-Jun-2024.) $)
    prmidlssidl $p |- ( R e. Ring -> ( PrmIdeal ` R ) C_ ( LIdeal ` R ) ) $=
      ( vi crg wcel cprmidl cfv clidl cv prmidlidl ex ssrdv ) ACDZBAEFZAGFZLBHZ
      MDONDOAIJK $.
  $}

  $( An ideal is a normal subgroup.  (Contributed by Thierry Arnoux,
     14-Jan-2024.) $)
  lidlnsg $p |- ( ( R e. Ring /\ I e. ( LIdeal ` R ) )
               -> I e. ( NrmSGrp ` R ) ) $=
    ( crg wcel clidl cfv wa csubg cnsg eqid lidlsubg cabl ringabl adantr ablnsg
    wceq syl eleqtrrd ) ACDZBAEFZDZGZBAHFZAIFZATBTJKUBALDZUDUCPSUEUAAMNAOQR $.

  ${
    cringm4.1 $e |- B = ( Base ` R ) $.
    cringm4.2 $e |- .x. = ( .r ` R ) $.
    $( Commutative/associative law for commutative ring.  (Contributed by
       Thierry Arnoux, 14-Jan-2024.) $)
    cringm4 $p |- ( ( R e. CRing /\ ( X e. B /\ Y e. B ) /\ ( Z e. B /\ W e. B
       ) ) -> ( ( X .x. Y ) .x. ( Z .x. W ) ) = ( ( X .x. Z ) .x. ( Y .x. W ) )
       ) $=
      ( ccrg wcel cmgp cfv ccmn wa co wceq eqid crngmgp mgpbas mgpplusg syl3an1
      cmn4 ) BJKBLMZNKEAKFAKOGAKDAKOEFCPGDCPCPEGCPFDCPCPQBUDUDRZSACUDDEFGABUDUE
      HTBCUDUEIUAUCUB $.
  $}

  ${
    $d .x. m n r s $.  $d B m n r s x y $.  $d P m n r s x y $.
    $d R m n r s x y $.
    isprmidlc.1 $e |- B = ( Base ` R ) $.
    isprmidlc.2 $e |- .x. = ( .r ` R ) $.
    $( The predicate "is prime ideal" for commutative rings.  Alternate
       definition for commutative rings.  See definition in [Lang] p. 92.
       (Contributed by Jeff Madsen, 19-Jun-2010.)  (Revised by Thierry Arnoux,
       12-Jan-2024.) $)
    isprmidlc $p |- ( R e. CRing -> ( P e. ( PrmIdeal ` R ) <-> ( P e. ( LIdeal
       ` R ) /\ P =/= B /\ A. x e. B A. y e. B ( ( x .x. y ) e. P -> ( x e. P
       \/ y e. P ) ) ) ) ) $=
      ( vr vs vm vn wcel cfv cv co wral wa sylan wss ccrg cprmidl clidl wne w3a
      wo crg crngring prmidlidl prmidlnr csn crsp ad4antr simp-4r simpllr snssd
      wi eqid rspcl syl2anc simplr wceq simpr oveq12d simp-10l ad2antrr cringm4
      jca syl122anc syl ad9antr ringcl syl3anc simp-7r lidlmcl syl22anc eqeltrd
      wrex rspsnel biimpa syl21anc r19.29a anasss ralrimivva syl1111anc rspsnid
      prmidl adantr ssel syl5com adantlr orim12d adantllr mpd ex 3anass prmidl2
      3jca sylan2b impbida ) EUAMZDEUBNMZDEUCNZMZDCUDZAOZBOZFPZDMZXFDMZXGDMZUFZ
      UQZBCQACQZUEZXAXBRZXDXEXNXAEUGMZXBXDEUHZDEUISZXAXQXBXEXRCDEFGHUJSXPXMABCC
      XPXFCMZXGCMZXMXPXTRZYARZXIXLYCXIRZXFUKZEULNZNZDTZXGUKZYFNZDTZUFZXLYDXQXBY
      GXCMZYJXCMZRIOZJOZFPZDMZJYJQIYGQYLXAXQXBXTYAXIXRUMZXAXBXTYAXIUNYDYMYNYDXQ
      YECTYMYSYDXFCXPXTYAXIUOZUPCEXCYEYFYFURZGXCURZUSUTYDXQYICTYNYSYDXGCYBYAXIV
      AZUPCEXCYIYFUUAGUUBUSUTVHYDYRIJYGYJYDYOYGMZYPYJMZYRYDUUDRZUUERZYOKOZXFFPZ
      VBZYRKCUUGUUHCMZRZUUJRZYPLOZXGFPZVBZYRLCUUMUUNCMZRZUUPRZYQUUIUUOFPZDUUSYO
      UUIYPUUOFUULUUJUUQUUPUOUURUUPVCVDUUSUUTUUHUUNFPZXHFPZDUUSXAUUKXTUUQYAUUTU
      VBVBXAXBXTYAXIUUDUUEUUKUUJUUQUUPVEZUUGUUKUUJUUQUUPUNZUUGXTUUKUUJUUQUUPYDX
      TUUDUUEYTVFZUMUUMUUQUUPVAZUUMYAUUQUUPYDYAUUDUUEUUKUUJUUCUMZVFCEFXGUUHXFUU
      NGHVGVIUUSXQXDUVACMZXIUVBDMUUSXAXQUVCXRVJZXPXDXTYAXIUUDUUEUUKUUJUUQUUPXSV
      KUUSXQUUKUUQUVHUVIUVDUVFCEFUUHUUNGHVLVMYCXIUUDUUEUUKUUJUUQUUPVNCEFXCDUVAX
      HUUBGHVOVPVQVQUUMXQYAUUEUUPLCVRZUUGXQUUKUUJYDXQUUDUUEYSVFZVFUVGUUFUUEUUKU
      UJUOXQYARUUEUVJLCEFYPYFXGGHUUAVSVTWAWBUUGXQXTUUDUUJKCVRZUVKUVEYDUUDUUEVAX
      QXTRUUDUVLKCEFYOYFXFGHUUAVSVTWAWBWCWDIJCDEFYGYJGHWGWEYCYLXLUQZXIXAXTYAUVM
      XBXAXTRZYARZYHXJYKXKUVOXFYGMZYHXJUVNUVPYAXAXQXTUVPXRCEXFYFGUUAWFSWHYGDXFW
      IWJUVOXGYJMZYKXKXAYAUVQXTXAXQYAUVQXRCEXGYFGUUAWFSWKYJDXGWIWJWLWMWHWNWOWCW
      DWRXAXQXOXBXRXOXQXDXEXNRZRXBXDXEXNWPXQXDUVRXBABCDEFGHWQWCWSSWT $.

    $d .x. a b $.  $d B a b $.  $d I a b $.  $d J a b $.  $d P a b $.
    $d R a b $.
    $( Property of a prime ideal in a commutative ring.  (Contributed by Jeff
       Madsen, 17-Jun-2011.)  (Revised by Thierry Arnoux, 12-Jan-2024.) $)
    prmidlc $p |- ( ( ( R e. CRing /\ P e. ( PrmIdeal ` R ) ) /\ ( I e. B /\ J
       e. B /\ ( I .x. J ) e. P ) ) -> ( I e. P \/ J e. P ) ) $=
      ( va vb wcel cfv wa co w3a cv wo wi wral eleq1d ccrg cprmidl simpr1 clidl
      simpr2 wne isprmidlc biimpa simp3d adantr simpr3 wceq simpl simpr orbi12d
      oveq12 imbi12d rspc2gv imp31 syl1111anc ) CUAKZBCUBLKZMZEAKZFAKZEFDNZBKZO
      ZMVDVEIPZJPZDNZBKZVIBKZVJBKZQZRZJASIASZVGEBKZFBKZQZVCVDVEVGUCVCVDVEVGUEVC
      VQVHVCBCUDLKZBAUFZVQVAVBWAWBVQOIJABCDGHUGUHUIUJVCVDVEVGUKVDVEMVQVGVTVPVGV
      TRIJEFAAVIEULZVJFULZMZVLVGVOVTWEVKVFBVIEVJFDUPTWEVMVRVNVSWEVIEBWCWDUMTWEV
      JFBWCWDUNTUOUQURUSUT $.
  $}

  ${
    $d B i $.  $d R i $.
    0ringprmidl.1 $e |- B = ( Base ` R ) $.
    $( The trivial ring does not have any prime ideal.  (Contributed by Thierry
       Arnoux, 30-Jun-2024.) $)
    0ringprmidl $p |- ( ( R e. Ring /\ ( # ` B ) = 1 )
                     -> ( PrmIdeal ` R ) = (/) ) $=
      ( vi crg wcel chash cfv c1 wa cprmidl cv c0g csn clidl prmidlssidl adantr
      wceq wss eqid 0ringidl sseqtrd elsni syl wne cmulr prmidlnr adantlr 0ring
      sselda neeqtrd neneqd pm2.65da eq0rdv ) BEFZAGHIRZJZDBKHZUQDLZURFZUSBMHZN
      ZRZUQUTJZUSVBNZFVCUQURVEUSUQURBOHZVEUOURVFSUPBPQABVACVATZUAUBUJUSVBUCUDVD
      USVBVDUSAVBUOUTUSAUEUPAUSBBUFHZCVHTUGUHUQAVBRUTABVACVGUIQUKULUMUN $.
  $}

  ${
    $d .0. x y $.  $d R x y $.
    prmidl0.1 $e |- .0. = ( 0g ` R ) $.
    $( The zero ideal of a commutative ring ` R ` is a prime ideal if and only
       if ` R ` is an integral domain.  (Contributed by Thierry Arnoux,
       30-Jun-2024.) $)
    prmidl0 $p |- ( ( R e. CRing /\ { .0. } e. ( PrmIdeal ` R ) )
                    <-> R e. IDomn ) $=
      ( vx vy ccrg wcel cfv wne cv wo wi wral wa wceq cidom chash c1 eqid cdomn
      csn clidl cbs cmulr co cnzr cprmidl df-3an wn crngring ad2antrr 0ringnnzr
      w3a crg biimpar sylancom 0ring syl2anc eqcomd necon1ad impr nzrring lidl0
      ex syl cvv c0g fvexi hashsng ax-mp 1re eqeltri a1i clt isnzr2hash simprbi
      cr wbr eqbrtrid ltned fveq2 necon3i adantl impbida wb elsn2 velsn orbi12i
      jca imbi12i 2ralbii anbi12d syl5bb pm5.32i cin df-idom eleq2i elin isdomn
      isprmidlc anbi2i 3bitri 3bitr4i ) AFGZBUAZAUBHZGZXEAUCHZIZDJZEJZAUDHZUEZX
      EGZXJXEGZXKXEGZKZLZEXHMDXHMZUMZNXDAUFGZXMBOZXJBOZXKBOZKZLZEXHMDXHMZNZNZXD
      XEAUGHGZNAPGZXDXTYHXTXGXINZXSNXDYHXGXIXSUHXDYLYAXSYGXDYLYAXDXGXIYAXDXGNZY
      AXEXHYMYAUIZXEXHOYMYNNZXHXEYOAUNGZXHQHZROZXHXEOXDYPXGYNAUJUKZYMYNYPYRYSYP
      YRYNAULUOUPXHABXHSZCUQURUSVDUTVAYAYLXDYAXGXIYAYPXGAVBAXFBXFSCVCVEYAXEQHZY
      QIXIYAUUAYQUUAVQGYAUUARVQBVFGUUAROBAVGCVHZBVFVIVJZVKVLVMYAUUARYQVNUUCYAYP
      RYQVNVRXHAYTVOVPVSVTXEXHUUAYQXEXHQWAWBVEWIWCWDXSYGWEXDXRYFDEXHXHXNYBXQYEX
      MBUUBWFXOYCXPYDDBWGEBWGWHWJWKVMWLWMWNXDYJXTDEXHXEAXLYTXLSZWTWNYKAFTWOZGXD
      ATGZNYIPUUEAWPWQAFTWRUUFYHXDDEXHAXLBYTUUDCWSXAXBXC $.
  $}

  ${
    $d F a b $.  $d J a b $.  $d R a b $.  $d S a b $.
    rhmpreimaprmidl.p $e |- P = ( PrmIdeal ` R ) $.
    $( The preimage of a prime ideal by a ring homomorphism is a prime ideal.
       (Contributed by Thierry Arnoux, 29-Jun-2024.) $)
    rhmpreimaprmidl $p |- ( ( ( S e. CRing /\ F e. ( R RingHom S ) ) /\ J e. (
       PrmIdeal ` S ) ) -> ( `' F " J ) e. P ) $=
      ( va vb wcel co wa cprmidl cfv crg eqid wceq adantr ad2antrr simpr ex crh
      ccrg ccnv cima clidl cbs wne cv cmulr wo wi wral rhmrcl1 ad2antlr rhmrcl2
      prmidlidl sylan rhmpreimaidl syldan adantll prmidlnr pridln1 syl3anc rhm1
      cur wn wfn rhmf ffnd ringidcl syl eleqtrrd elpreima biimpa syl2anc simprd
      eqeltrrd neqned simp-5l simp-4r wf simp-5r simpllr ffvelrnd simplr rhmmul
      mtand ad5antlr simplbda prmidlc syl23anc elpreimad orim12d mpd ralrimivva
      anasss prmidl2 syl22anc eleqtrrdi ) CUBIZDBCUAJIZKZECLMIZKZDUCEUDZBLMZAXD
      BNIZXEBUEMZIZXEBUFMZUGZGUHZHUHZBUIMZJZXEIZXLXEIZXMXEIZUJZUKZHXJULGXJULXEX
      FIXAXGWTXCBCDUMZUNXAXCXIWTXAXCECUEMIZXIXACNIZXCYBBCDUOZECUPUQZBCDXHEXHOUR
      USUTXAXCXKWTXAXCKZXEXJYFXEXJPZCVEMZEIZYFYCYBECUFMZUGZYIVFXAYCXCYDQYEXAYCX
      CYKYDYJECCUIMZYJOZYLOZVAUQYJCYHEYMYHOZVBVCYFYGKZBVEMZDMZYHEXAYRYHPXCYGBCY
      QDYHYQOZYOVDRYPYQXJIZYREIZYPDXJVGZYQXEIZYTUUAKZXAUUBXCYGXAXJYJDXJYJBCDXJO
      ZYMVHZVIZRYPYQXJXEXAYTXCYGXAXGYTYAXJBYQUUEYSVJVKRYFYGSVLUUBUUCUUDXJYQEDVM
      VNVOVPVQWGVRUTXDXTGHXJXJXDXLXJIZXMXJIZXTXDUUHKZUUIKZXPXSUUKXPKZXLDMZEIZXM
      DMZEIZUJZXSUULWTXCUUMYJIUUOYJIUUMUUOYLJZEIUUQWTXAXCUUHUUIXPVSXBXCUUHUUIXP
      VTUULXJYJXLDUULXAXJYJDWAWTXAXCUUHUUIXPWBZUUFVKZXDUUHUUIXPWCZWDUULXJYJXMDU
      UTUUJUUIXPWEZWDUULXODMZUUREUULXAUUHUUIUVCUURPUUSUVAUVBXLXMBCXNYLDXJUUEXNO
      ZYNWFVCUULUUBXPUVCEIZXAUUBWTXCUUHUUIXPUUGWHZUUKXPSUUBXPXOXJIUVEXJXOEDVMWI
      VOVQYJECYLUUMUUOYMYNWJWKUULUUNXQUUPXRUULUUNXQUULUUNKXJXLEDUULUUBUUNUVFQUU
      LUUHUUNUVAQUULUUNSWLTUULUUPXRUULUUPKXJXMEDUULUUBUUPUVFQUUJUUIXPUUPWCUULUU
      PSWLTWMWNTWPWOGHXJXEBXNUUEUVDWQWRFWS $.
  $}

  ${
    $d I a y $.  $d I b $.  $d I e f x $.  $d I g h $.  $d Q a y $.  $d Q b $.
    $d Q e f x $.  $d Q g h $.  $d R a b $.  $d R a y $.  $d R e f x y $.
    $d R g h $.  $d e f g h $.
    qsidom.1 $e |- Q = ( R /s ( R ~QG I ) ) $.
    $( If the quotient ring of a commutative ring relative to an ideal is an
       integral domain, that ideal must be prime.  (Contributed by Thierry
       Arnoux, 16-Jan-2024.) $)
    qsidomlem1 $p |- ( ( ( R e. CRing /\ I e. ( LIdeal ` R ) ) /\ Q e. IDomn )
       -> I e. ( PrmIdeal ` R ) ) $=
      ( vx vy ccrg wcel cfv wa cbs cv co wceq c1 cqg syl eqid wbr cec vf ve crg
      vg vh clidl cidom cmulr wo wi wral cprmidl crngring ad2antrr simplr chash
      wne csn cqus simpr oveq2d syl5eq cgrp ringgrp ad3antrrr qustriv eqtrd cvv
      fveq2d fvex hashsng ax-mp eqtrdi 1red cnzr cdomn simprbi domnnzr ad2antlr
      clt isidom isnzr2hash gtned neneqd pm2.65da c0g ad4antlr cqs ovex ecelqsi
      neqned ad3antlr simp-5l eqidd ovexd id qusbas eleqtrd csubg 3syl lidlsubg
      a1i sylan ad4antr eqg0el biimpar syl21anc wer eqger simpl crng2idl eleq2d
      biimpa 2idlcpbl syl2an2r simprl simprr ringcl syl3anc qusmulval ad5ant134
      c2idl cnsg lidlnsg qus0 eqgid eqtr3d 3eqtr4d w3a domneq0 syl31anc syl2anc
      wb eqeq2d bitrd orbi12d mpbid ex anasss ralrimivva prmidl2 syl22anc ) BGH
      ZCBUFIZHZJZAUGHZJZBUCHZUUECBKIZUQELZFLZBUHIZMZCHZUUKCHZUULCHZUIZUJZFUUJUK
      EUUJUKCBULIHUUCUUIUUEUUGBUMZUNUUCUUEUUGUOUUHCUUJUUHCUUJNZAKIZUPIZONUUHUVA
      JZUVCUUJURZUPIZOUVDUVBUVEUPUVDUVBBBUUJPMZUSMZKIZUVEUVDAUVHKUVDABBCPMZUSMZ
      UVHDUVDUVJUVGBUSUVDCUUJBPUUHUVAUTVAVAVBVIUVDBVCHZUVIUVENUUCUVLUUEUUGUVAUU
      CUUIUVLUUTBVDZQVEUUJUVHBUUJRZUVHRVFQVGVIUUJVHHUVFONBKVJUUJVHVKVLVMUVDUVCO
      UVDOUVCUVDVNUVDAVOHZOUVCVTSZUUGUVOUUFUVAUUGAVPHZUVOUUGAGHUVQAWAVQZAVRQVSU
      VOAUCHUVPUVBAUVBRZWBVQQWCWDWEWKUUHUUSEFUUJUUJUUHUUKUUJHZUULUUJHZUUSUUHUVT
      JZUWAJZUUOUURUWCUUOJZUUKUVJTZAWFIZNZUULUVJTZUWFNZUIZUURUWDUVQUWEUVBHZUWHU
      VBHZUWEUWHAUHIZMZUWFNZUWJUUGUVQUUFUVTUWAUUOUVRWGUWDUWEUUJUVJWHZUVBUVTUWEU
      WPHUUHUWAUUOUUJUUKUVJBCPWIZWJWLUWDUUCUWPUVBNUUCUUEUUGUVTUWAUUOWMZUUCUVJBA
      UUJVHGAUVKNZUUCDXBUUCUUJWNUUCBCPWOUUCWPWQQZWRUWDUWHUWPUVBUWAUWHUWPHUWBUUO
      UUJUULUVJUWQWJVSUWTWRUWDUUNUVJTZCUWNUWFUWDUVLCBWSIHZUUOUXACNZUWDUUCUUIUVL
      UWRUUTUVMWTUUFUXBUUGUVTUWAUUOUUCUUIUUEUXBUUTBUUDCUUDRZXAXCZXDUWCUUOUTUVLU
      XBJUXCUUOUVJBCUUNUVJRZXEXFXGUUFUVTUWAUWNUXANUUGUUOUUFUVJBUWMUUMAUUJUUKUUL
      GUAUBUDUEUWSUUFDXBUUFUUJWNUUFUXBUUJUVJXHUXEUVJBUUJCUVNUXFXIQUUCUUEXJZUUCU
      UIUUECBYBIZHZUDLZUBLZUVJSUELZUALZUVJSJUXJUXLUUMMUXKUXMUUMMZUVJSUJUUTUUCUU
      EUXIUUCUUDUXHCBUUDUXDXKXLXMUXJUXLUXKUXMBCUUMUVJUXHUUJUVNUXFUXHRUUMRZXNXOU
      UFUXKUUJHZUXMUUJHZJZJUUIUXPUXQUXNUUJHUUCUUIUUEUXRUUTUNUUFUXPUXQXPUUFUXPUX
      QXQUUJBUUMUXKUXMUVNUXOXRXSUXOUWMRZXTYAUUFUWFCNUUGUVTUWAUUOUUFBWFIZUVJTZUW
      FCUUFCBYCIHZUYAUWFNUUCUUIUUEUYBUUTBCYDXCCBAUXTDUXTRZYEQUUFUXBUYACNUXEUVJB
      UUJCUXTUVNUXFUYCYFQYGZXDYHUVQUWKUWLYIUWOUWJUVBAUWMUWEUWHUWFUVSUXSUWFRYJXM
      YKUUFUWJUURYMUUGUVTUWAUUOUUFUWGUUPUWIUUQUUFUWGUWECNZUUPUUFUWFCUWEUYDYNUUF
      UVLUXBUYEUUPYMUUFUUCUUIUVLUXGUUTUVMWTZUXEUVJBCUUKUXFXEYLYOUUFUWIUWHCNZUUQ
      UUFUWFCUWHUYDYNUUFUVLUXBUYGUUQYMUYFUXEUVJBCUULUXFXEYLYOYPXDYQYRYSYTEFUUJC
      BUUMUVNUXOUUAUUB $.

    $d I a b x y $.  $d I e f g h $.  $d Q a b x y $.  $d Q e f g h $.
    $d R a b x y $.  $d R e f x y $.  $d R g h $.
    $( A quotient by a prime ideal is an integral domain.  (Contributed by
       Thierry Arnoux, 16-Jan-2024.) $)
    qsidomlem2 $p |- ( ( R e. CRing /\ I e. ( PrmIdeal ` R ) ) -> Q e. IDomn )
       $=
      ( va vb vx vy ccrg wcel cfv wa eqid cv co wceq wral syl cec syl2anc vf ve
      vg vh cprmidl cdomn cidom clidl crg crngring prmidlidl sylan quscrng cnzr
      syldan cmulr c0g wo cbs csn cdif wex c2idl crng2idl eleq2d biimpa qusring
      wi syl2an2r c0 wne wss ring0cl snssd cqg cnsg lidlnsg qus0 csubg lidlsubg
      eqgid eqtr3d sneqd isprmidlc simp2d cgrp ringgrp ad2antrr adantr qustrivr
      w3a simpr syl3anc mteqand necomd eqnetrd pssdifn0 sylib ringelnzr exlimdv
      n0 ex sylc simp3d ad7antr simp-4r simplr simp-8l cqus a1i eqidd wer eqger
      simpl wbr 2idlcpbl simprl simprr ringcl qusmulval ad4antr simpllr oveq12d
      syl211anc 3eqtr3d eqg0el syl21anc rsp2 impl imp syl1111anc eqeq2d 3bitrrd
      eqeq1d wb wrex eleqtrrd elqsi r19.29a sylanbrc orbi12d mpbid cqs ovexd id
      cvv qusbas anasss ralrimivva isdomn isidom ) BIJZCBUEKJZLZAIJZAUFJZAUGJUU
      LUUMCBUHKZJZUUOUULBUIJZUUMUURBUJZCBUKULZBCAUUQDUUQMZUMUOUUNAUNJZENZFNZAUP
      KZOZAUQKZPZUVDUVHPZUVEUVHPZURZVHZFAUSKZQEUVNQUUPUUNAUIJZGNZUVNUVHUTZVAZJZ
      GVBZUVCUULUUSUUMCBVCKZJZUVOUUTUULUUMUURUWBUVAUULUURUWBUULUUQUWACBUUQUVBVD
      VEVFZUOBCAUWADUWAMZVGVIZUUNUVRVJVKZUVTUUNUVQUVNVLUVQUVNVKUWFUUNUVHUVNUUNU
      VOUVHUVNJUWEUVNAUVHUVNMZUVHMZVMRVNUUNUVQCUTZUVNUUNUVHCUULUUMUURUVHCPZUVAU
      ULUURLZBUQKZBCVOOZSZUVHCUWKCBVPKJZUWNUVHPUULUUSUURUWOUUTBCVQULCBAUWLDUWLM
      ZVRRUWKCBVSKJZUWNCPUULUUSUURUWQUUTBUUQCUVBVTZULZUWMBBUSKZCUWLUWTMZUWMMZUW
      PWARWBZUOWCUUNUVNUWIUUNUVNUWICUWTUUNUURCUWTVKZUVPHNZBUPKZOZCJZUVPCJZUXECJ
      ZURZVHZHUWTQGUWTQZUULUUMUURUXDUXMWKGHUWTCBUXFUXAUXFMZWDVFZWEUUNUVNUWIPZLZ
      BWFJZUWQUXPCUWTPUULUXRUUMUXPUULUUSUXRUUTBWGRZWHUXQUUSUURUWQUULUUSUUMUXPUU
      TWHUUNUURUXPUVAWIUWRTUUNUXPWLUWTABCUXADWJWMWNWOWPUVQUVNWQTGUVRXAWRUVOUVSU
      VCGUVOUVSUVCUVNAUVPUVHUWHUWGWSXBWTXCUUNUVMEFUVNUVNUUNUVDUVNJZUVEUVNJZUVMU
      UNUXTLZUYALZUVIUVLUYCUVILZUVDUVPUWMSZPZUVLGUWTUYDUVPUWTJZLZUYFLZUVEUXEUWM
      SZPZUVLHUWTUYIUXEUWTJZLZUYKLZUXKUVLUYNUXMUYGUYLUXHUXKUUNUXMUXTUYAUVIUYGUY
      FUYLUYKUUNUURUXDUXMUXOXDXEUYDUYGUYFUYLUYKXFZUYIUYLUYKXGZUYNUXRUWQUXGUWMSZ
      CPZUXHUYNUULUXRUULUUMUXTUYAUVIUYGUYFUYLUYKXHZUXSRZUYNUULUURUWQUYSUUNUURUX
      TUYAUVIUYGUYFUYLUYKUVAXEZUWSTZUYNUYEUYJUVFOZUYQCUYNUULUURUYGUYLVUCUYQPUYS
      VUAUYOUYPUWKUWMBUVFUXFAUWTUVPUXEIUAUBUCUDABUWMXIOPZUWKDXJUWKUWTXKUWKUWQUW
      TUWMXLUWSUWMBUWTCUXAUXBXMRUULUURXNUULUUSUURUWBUCNZUBNZUWMXOUDNZUANZUWMXOL
      VUEVUGUXFOVUFVUHUXFOZUWMXOVHUUTUWCVUEVUGVUFVUHBCUXFUWMUWAUWTUXAUXBUWDUXNX
      PVIUWKVUFUWTJZVUHUWTJZLZLUUSVUJVUKVUIUWTJUULUUSUURVULUUTWHUWKVUJVUKXQUWKV
      UJVUKXRUWTBUXFVUFVUHUXAUXNXSWMUXNUVFMZXTYDUYNUVGUVHVUCCUYDUVIUYGUYFUYLUYK
      UYCUVIWLYAUYNUVDUYEUVEUYJUVFUYHUYFUYLUYKYBZUYMUYKWLZYCUYNUULUURUWJUYSVUAU
      XCTZYEWBUXRUWQLUYRUXHUWMBCUXGUXBYFVFYGUXMUYGLUYLLUXHUXKUXMUYGUYLUXLUXLGHU
      WTUWTYHYIYJYKUYNUXIUVJUXJUVKUYNUVJUVDCPUYECPZUXIUYNUVHCUVDVUPYLUYNUVDUYEC
      VUNYNUYNUXRUWQVUQUXIYOUYTVUBUWMBCUVPUXBYFTYMUYNUVKUVECPUYJCPZUXJUYNUVHCUV
      EVUPYLUYNUVEUYJCVUOYNUYNUXRUWQVURUXJYOUYTVUBUWMBCUXEUXBYFTYMUUAUUBUYIUVEU
      WTUWMUUCZJZUYKHUWTYPUYDVUTUYGUYFUYDUVEUVNVUSUYBUYAUVIXGUULVUSUVNPUUMUXTUY
      AUVIUULUWMBAUWTUUFIVUDUULDXJUULUWTXKUULBCVOUUDUULUUEUUGYAZYQWHHUWTUVEUWMY
      RRYSUYDUVDVUSJUYFGUWTYPUYDUVDUVNVUSUUNUXTUYAUVIYBVVAYQGUWTUVDUWMYRRYSXBUU
      HUUIEFUVNAUVFUVHUWGVUMUWHUUJYTAUUKYT $.

    $( An ideal ` I ` in the commutative ring ` R ` is prime if and only if the
       factor ring ` Q ` is an integral domain.  (Contributed by Thierry
       Arnoux, 16-Jan-2024.) $)
    qsidom $p |- ( ( R e. CRing /\ I e. ( LIdeal ` R ) )
                -> ( Q e. IDomn <-> I e. ( PrmIdeal ` R ) ) ) $=
      ( ccrg wcel clidl cfv cidom cprmidl qsidomlem1 qsidomlem2 adantlr impbida
      wa ) BEFZCBGHFZOAIFZCBJHFZABCDKPSRQABCDLMN $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Maximal Ideals
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c MaxIdeal $.

  $( Extend class notation with the class of maximal ideals. $)
  cmxidl $a class MaxIdeal $.

  ${
    $d r i j $.
    $( Define the class of maximal ideals of a ring ` R ` .  A proper ideal is
       called maximal if it is maximal with respect to inclusion among proper
       ideals.  (Contributed by Jeff Madsen, 5-Jan-2011.)  (Revised by Thierry
       Arnoux, 19-Jan-2024.) $)
    df-mxidl $a |- MaxIdeal = ( r e. Ring |->
            { i e. ( LIdeal ` r ) | ( i =/= ( Base ` r ) /\ A. j e. ( LIdeal `
              r ) ( i C_ j -> ( j = i \/ j = ( Base ` r ) ) ) ) } ) $.
  $}

  ${
    $d B r $.  $d R i j r $.
    mxidlval.1 $e |- B = ( Base ` R ) $.
    $( The set of maximal ideals of a ring.  (Contributed by Jeff Madsen,
       5-Jan-2011.)  (Revised by Thierry Arnoux, 19-Jan-2024.) $)
    mxidlval $p |- ( R e. Ring -> ( MaxIdeal ` R ) = { i e. ( LIdeal ` R ) | (
       i =/= B /\ A. j e. ( LIdeal ` R ) ( i C_ j -> ( j = i \/ j = B ) ) ) } )
       $=
      ( vr cv cbs cfv wne wss wceq wo wi clidl wral wa crab crg fveq2 raleqbidv
      cmxidl eqtr4di neeq2d eqeq2d orbi2d anbi12d rabeqbidv df-mxidl fvex rabex
      imbi2d fvmpt ) FBCGZFGZHIZJZUNDGZKZURUNLZURUPLZMZNZDUOOIZPZQZCVDRUNAJZUSU
      TURALZMZNZDBOIZPZQZCVKRSUBUOBLZVFVMCVDVKUOBOTZVNUQVGVEVLVNUPAUNVNUPBHIAUO
      BHTEUCZUDVNVCVJDVDVKVOVNVBVIUSVNVAVHUTVNUPAURVPUEUFULUAUGUHCDFUIVMCVKBOUJ
      UKUM $.

    $d B i $.  $d M i j $.  $d R i j $.
    $( The predicate "is a maximal ideal".  (Contributed by Jeff Madsen,
       5-Jan-2011.)  (Revised by Thierry Arnoux, 19-Jan-2024.) $)
    ismxidl $p |- ( R e. Ring -> ( M e. ( MaxIdeal ` R ) <-> ( M e. ( LIdeal `
       R ) /\ M =/= B /\ A. j e. ( LIdeal ` R ) ( M C_ j -> ( j = M \/ j = B )
       ) ) ) ) $=
      ( vi crg wcel cmxidl cfv cv wne wss wceq wo wi clidl wral wa crab imbi12d
      w3a mxidlval eleq2d neeq1 sseq1 eqeq2 orbi1d ralbidv anbi12d elrab 3anass
      bitr4i bitrdi ) BGHZDBIJZHDFKZALZUQCKZMZUSUQNZUSANZOZPZCBQJZRZSZFVETZHZDV
      EHZDALZDUSMZUSDNZVBOZPZCVERZUBZUOUPVHDABFCEUCUDVIVJVKVPSZSVQVGVRFDVEUQDNZ
      URVKVFVPUQDAUEVSVDVOCVEVSUTVLVCVNUQDUSUFVSVAVMVBUQDUSUGUHUAUIUJUKVJVKVPUL
      UMUN $.

    $( A maximal ideal is an ideal.  (Contributed by Jeff Madsen, 5-Jan-2011.)
       (Revised by Thierry Arnoux, 19-Jan-2024.) $)
    mxidlidl $p |- ( ( R e. Ring /\ M e. ( MaxIdeal ` R ) ) -> M e. ( LIdeal `
       R ) ) $=
      ( vj crg wcel cmxidl cfv wa clidl wne cv wss wceq wo wi wral w3a ismxidl
      biimpa simp1d ) BFGZCBHIGZJCBKIZGZCALZCEMZNUHCOUHAOPQEUERZUCUDUFUGUISABEC
      DTUAUB $.

    $( A maximal ideal is proper.  (Contributed by Jeff Madsen, 16-Jun-2011.)
       (Revised by Thierry Arnoux, 19-Jan-2024.) $)
    mxidlnr $p |- ( ( R e. Ring /\ M e. ( MaxIdeal ` R ) ) -> M =/= B ) $=
      ( vj crg wcel cmxidl cfv wa clidl wne cv wss wceq wo wi wral w3a ismxidl
      biimpa simp2d ) BFGZCBHIGZJCBKIZGZCALZCEMZNUHCOUHAOPQEUERZUCUDUFUGUISABEC
      DTUAUB $.

    $d B j $.  $d I j $.
    $( A maximal ideal is a maximal proper ideal.  (Contributed by Jeff Madsen,
       16-Jun-2011.)  (Revised by Thierry Arnoux, 19-Jan-2024.) $)
    mxidlmax $p |- ( ( ( R e. Ring /\ M e. ( MaxIdeal ` R ) )
         /\ ( I e. ( LIdeal ` R ) /\ M C_ I ) ) -> ( I = M \/ I = B ) ) $=
      ( vj crg wcel cmxidl cfv wa clidl wss wceq wo cv wi sseq2 eqeq1 orbi12d
      imbi12d wral wne w3a ismxidl biimpa simp3d adantr simpr rspcdva impr ) BG
      HZDBIJHZKZCBLJZHZDCMZCDNZCANZOZUNUPKDFPZMZVADNZVAANZOZQZUQUTQFUOCVACNZVBU
      QVEUTVACDRVGVCURVDUSVACDSVACASTUAUNVFFUOUBZUPUNDUOHZDAUCZVHULUMVIVJVHUDAB
      FDEUEUFUGUHUNUPUIUJUK $.

    ${
      mxidln1.1 $e |- .1. = ( 1r ` R ) $.
      $( One is not contained in any maximal ideal.  (Contributed by Jeff
         Madsen, 17-Jun-2011.)  (Revised by Thierry Arnoux, 19-Jan-2024.) $)
      mxidln1 $p |- ( ( R e. Ring /\ M e. ( MaxIdeal ` R ) ) -> -. .1. e. M )
      $=
        ( crg wcel cmxidl cfv wa wn mxidlnr clidl wceq wb mxidlidl eqid lidl1el
        wne syldan necon3bbid mpbird ) BGHZDBIJHZKZCDHZLDATABDEMUFUGDAUDUEDBNJZ
        HUGDAOPABDEQABUHCDUHREFSUAUBUC $.
    $}

    $( A ring with a maximal ideal is a nonzero ring.  (Contributed by Jeff
       Madsen, 17-Jun-2011.)  (Revised by Thierry Arnoux, 19-Jan-2024.) $)
    mxidlnzr $p |- ( ( R e. Ring /\ M e. ( MaxIdeal ` R ) ) -> R e. NzRing ) $=
      ( crg wcel cmxidl cfv cur c0g wne cnzr wa wn mxidlidl eqid lidl0cl syldan
      clidl mxidln1 nelne2 syl2anc necomd isnzr biimpri ) BEFZCBGHFZBIHZBJHZKZB
      LFZUFUGMZUIUHULUICFZUHCFNUIUHKUFUGCBSHZFUMABCDOBUNCUIUNPUIPZQRABUHCDUHPZT
      UIUHCUAUBUCUKUFUJMBUHUIUPUOUDUER $.
  $}

  ${
    $d .X. a k u $.  $d .X. b $.  $d M a k u x y $.  $d M b $.  $d R a b x y $.
    $d R a k u x y $.
    mxidlprm.1 $e |- .X. = ( LSSum ` ( mulGrp ` R ) ) $.
    $( Every maximal ideal is prime.  Statement in [Lang] p. 92.  (Contributed
       by Thierry Arnoux, 21-Jan-2024.) $)
    mxidlprm $p |- ( ( R e. CRing /\ M e. ( MaxIdeal ` R ) )
                  -> M e. ( PrmIdeal ` R ) ) $=
      ( va vb wcel cfv wa cv co eqid wceq syl2anc wss syl syl3anc syl22anc wrex
      wb vx vy vu vk ccrg cmxidl crg clidl cbs wne cmulr wo wi cprmidl crngring
      wral adantr mxidlidl sylan mxidlnr wn cur cplusg csn simpllr simpr oveq2d
      eqtrd oveq1d ad4antr ad5antr simp-8r lidlss simp-5r sseldd simplr simp-4r
      ringlidm ringcl ringdir syl13anc 3eqtr3d simp-10l crngcom lidlmcl ringass
      eqeltrrd simp-7r eqeltrd lidlacl cmgp cvv mgpplusg fvexd ssidd elgrplsmsn
      mgpbas ad3antrrr mpbid r19.29a clsm ringidcl clpidl lpiss lsmsnidl lsmidl
      crsp cun crglmod clmod rlmlmod rlmbas lspssid snssd ringlsmss unssd ssun1
      rspval a1i lspss sstrd lsmidllsp sseqtrrd mxidlmax lidl0cl eqeq2d rexbidv
      c0g oveq1 adantl eqcomd rspcedvd mpbird oveq2 cgrp ringgrp grplid simp-5l
      lsmelvalx ex nelne1 neneqd orcnd r19.29vva orrd anasss ralrimivva prmidl2
      eleqtrrd ) AUEGZCAUFHGZIZAUGGZCAUHHZGZCAUIHZUJZUAJZUBJZAUKHZKZCGZUURCGZUU
      SCGZULZUMZUBUUPUPUAUUPUPCAUNHGUUJUUMUUKAUOZUQZUUJUUMUUKUUOUVGUUPACUUPLZUR
      ZUSZUUJUUMUUKUUQUVGUUPACUVIUTUSUULUVFUAUBUUPUUPUULUURUUPGZUUSUUPGZUVFUULU
      VLIZUVMIZUVBUVEUVOUVBIZUVCUVDUVPUVCVAZUVDUVPUVQIZAVBHZUCJZUDJZAVCHZKZMZUV
      DUCUDCUUPUURVDZBKZUVRUVTCGZIZUWAUWFGZIZUWDIZUWAEJZUURUUTKZMZUVDEUUPUWKUWL
      UUPGZIZUWNIZUUSUVTUUSUUTKZUWMUUSUUTKZUWBKZCUWQUVSUUSUUTKZUVTUWMUWBKZUUSUU
      TKZUUSUWTUWQUVSUXBUUSUUTUWQUVSUWCUXBUWJUWDUWOUWNVEUWQUWAUWMUVTUWBUWPUWNVF
      VGVHVIUWQUUMUVMUXAUUSMUVRUUMUWGUWIUWDUWOUWNUULUUMUVLUVMUVBUVQUVHVJZVKZUVN
      UVMUVBUVQUWGUWIUWDUWOUWNVLZUUPAUUTUVSUUSUVIUUTLZUVSLZVRNUWQUUMUVTUUPGZUWM
      UUPGZUVMUXCUWTMUXEUWQCUUPUVTUVRCUUPOZUWGUWIUWDUWOUWNUULUXKUVLUVMUVBUVQUUL
      UUOUXKUVKUUPCUUNAUVIUUNLZVMPVJZVKUVRUWGUWIUWDUWOUWNVNZVOZUWQUUMUWOUVLUXJU
      XEUWKUWOUWNVPZUVRUVLUWGUWIUWDUWOUWNUULUVLUVMUVBUVQVQZVKZUUPAUUTUWLUURUVIU
      XGVSQUXFUUPUWBAUUTUVTUWMUUSUVIUWBLZUXGVTWAWBUWQUUMUUOUWRCGUWSCGUWTCGUXEUV
      RUUOUWGUWIUWDUWOUWNUVRUUMUUKUUOUXDUUJUUKUVLUVMUVBUVQVNZUVJNZVKZUWQUUSUVTU
      UTKZUWRCUWQUUJUVMUXIUYCUWRMUUJUUKUVLUVMUVBUVQUWGUWIUWDUWOUWNWCUXFUXOUUPAU
      UTUUSUVTUVIUXGWDQUWQUUMUUOUVMUWGUYCCGUXEUYBUXFUXNUUPAUUTUUNCUUSUVTUXLUVIU
      XGWERWGUWQUWSUWLUVAUUTKZCUWQUUMUWOUVLUVMUWSUYDMUXEUXPUXRUXFUUPAUUTUWLUURU
      USUVIUXGWFWAUWQUUMUUOUWOUVBUYDCGUXEUYBUXPUVOUVBUVQUWGUWIUWDUWOUWNWHUUPAUU
      TUUNCUWLUVAUXLUVIUXGWERWIUWBAUUNCUWRUWSUXLUXSWJRWIUWKUWIUWNEUUPSZUWHUWIUW
      DVPUVRUWIUYETUWGUWIUWDUVREUUPUUPUUTBAWKHZWLUURUWAUUPAUYFUYFLZUVIWQZAUUTUY
      FUYGUXGWMZDUVRAWKWNZUVRUUPWOZUXQWPWRWSWTUVRUVSCUWFAXAHZKZGZUWDUDUWFSUCCSZ
      UVRUVSUUPUYMUVRUUMUVSUUPGUXDUUPAUVSUVIUXHXBPZUVRUYMCMZUYMUUPMZUVRUUMUUKUY
      MUUNGCUYMOUYQUYRULUXDUXTUVRUUPUYLACUWFAXGHZUVIUYLLZUYSLZUXDUYAUVRAXCHZUUN
      UWFUVRUUMVUBUUNOUXDVUBAUUNVUBLUXLXDPUVRUUPABUYFUYSUURUVIUYGDVUAUXDUXQXEVO
      ZXFUVRCCUWFXHZUYSHZUYMUVRCCUYSHZVUEUVRAXIHZXJGZUXKCVUFOUVRUUMVUHUXDAXKPZU
      XMCUYSUUPVUGAXLZAXRZXMNUVRVUHVUDUUPOCVUDOZVUFVUEOVUIUVRCUWFUUPUXMUVRUUPAB
      UUPUWEUYFUVIUYGDUXDUYKUVRUURUUPUXQXNXOZXPVULUVRCUWFXQXSCVUDUYSUUPVUGVUJVU
      KXTQYAUVRUUPUYLACUWFUYSUVIUYTVUAUXDUYAVUCYBYCUUPAUYMCUVIYDRUVRUYMCUVRUURU
      YMGZUVQUYMCUJUVRVUNUURUWLFJZUWBKZMZFUWFSZECSZUVRVURUURAYHHZVUOUWBKZMZFUWF
      SZEVUTCUVRUUMUUOVUTCGUXDUYAAUUNCVUTUXLVUTLZYENUWLVUTMZVURVVCTUVRVVEVUQVVB
      FUWFVVEVUPVVAUURUWLVUTVUOUWBYIYFYGYJUVRVVBUURVUTUURUWBKZMZFUURUWFUVRUURUW
      FGUURUWMMZEUUPSUVRVVHUURUVSUURUUTKZMZEUVSUUPUYPUWLUVSMZVVHVVJTUVRVVKUWMVV
      IUURUWLUVSUURUUTYIYFYJUVRVVIUURUVRUUMUVLVVIUURMUXDUXQUUPAUUTUVSUURUVIUXGU
      XHVRNYKYLUVREUUPUUPUUTBUYFWLUURUURUYHUYIDUYJUYKUXQWPYMVUOUURMZVVBVVGTUVRV
      VLVVAVVFUURVUOUURVUTUWBYNYFYJUVRVVFUURUVRAYOGZUVLVVFUURMUVRUUMVVMUXDAYPPU
      XQUUPUWBAUURVUTUVIUXSVVDYQNYKYLYLUVRUUJUXKUWFUUPOZVUNVUSTUUJUUKUVLUVMUVBU
      VQYRZUXMVUMEFUUPUWBUYLCUWFAUEUURUVIUXSUYTYSQYMUVPUVQVFUURUYMCUUANUUBUUCUU
      IUVRUUJUXKVVNUYNUYOTVVOUXMVUMUCUDUUPUWBUYLCUWFAUEUVSUVIUXSUYTYSQWSUUDYTUU
      EYTUUFUUGUAUBUUPCAUUTUVIUXGUUHR $.
  $}

  ${
    ssmxidl.1 $e |- B = ( Base ` R ) $.
    ${
      $d B a b i x $.  $d B j p $.  $d I j p $.  $d R a b i x $.  $d R j p $.
      $d Z a b i x $.  $d Z j p $.  $d a b i j ph x $.
      ssmxidllem.1 $e |- P = { p e. ( LIdeal ` R ) | ( p =/= B /\ I C_ p ) } $.
      ssmxidllem.2 $e |- ( ph -> R e. Ring ) $.
      ssmxidllem.3 $e |- ( ph -> I e. ( LIdeal ` R ) ) $.
      ssmxidllem.4 $e |- ( ph -> I =/= B ) $.
      ssmxidllem2.1 $e |- ( ph -> Z C_ P ) $.
      ssmxidllem2.2 $e |- ( ph -> Z =/= (/) ) $.
      ssmxidllem2.3 $e |- ( ph -> [C.] Or Z ) $.
      $( The set ` P ` used in the proof of ~ ssmxidl satisfies the condition
         of Zorn's Lemma.  (Contributed by Thierry Arnoux, 10-Apr-2024.) $)
      ssmxidllem $p |- ( ph -> U. Z e. P ) $=
        ( vj cv wss wa wcel vx va vb cuni wne clidl cfv crab wceq neeq1 anbi12d
        vi sseq2 c0 cmulr cplusg wral ssrab3 sstrdi sselda lidlss syl ralrimiva
        co eqid unissb sylibr wrex c0g crg adantr lidl0cl syl2anc n0i reximdva0
        mpdan rexnal sylib uni0c necon3abii eluni2 anbi12i an32 ad6antr ad5antr
        simp-4r sseldd simp-6r simpr simplr lidlmcl syl22anc lidlacl elunii wor
        wn crpss sorpssi syl12anc mpjaodan r19.29an an32s sylanb anasss sylan2b
        wo ralrimivva islidl syl3anbrc elrab2 simprld pridln1 syl3anc nrexdv wb
        cur sylnibr lidl1el necon3bbid mpbid cint simprrd ssint intssuni elrabd
        sstrd jca eleqtrrdi ) AFUDZGQZBUEZEYJRZSZGDUFUGZUHCAYMYIBUEZEYIRZSGYIYN
        YJYIUIYKYOYLYPYJYIBUJYJYIEUMUKAYIBRZYIUNUEZUAQZUBQZDUOUGZVDZUCQZDUPUGZV
        DZYITZUCYIUQUBYIUQZUABUQYIYNTZAPQZBRZPFUQYQAUUJPFAUUIFTZSZUUIYNTZUUJAFY
        NUUIAFCYNMYMGYNCIURUSZUTZBUUIYNDHYNVEZVAVBVCPFBVFVGAUUIUNUIZPFUQZWPZYRA
        UUQWPZPFVHZUUSAFUNUEZUVANAUUTPFUULDVIUGZUUITZUUTUULDVJTZUUMUVDAUVEUUKJV
        KZUUODYNUUIUVCUUPUVCVEVLVMUUIUVCVNVBVOVPUUQPFVQVRUURYIUNPFVSVTVGAUUGUAB
        AYSBTZSZUUFUBUCYIYIYTYITZUUCYITZSUVHYTULQZTZULFVHZUUCUUITZPFVHZSUUFUVIU
        VMUVJUVOULYTFWAPUUCFWAWBUVHUVMUVOUUFUVHUVMSZUVNUUFPFUVPUUKSUVHUUKSZUVMS
        UVNUUFUVHUVMUUKWCUVQUVNUVMUUFUVQUVNSZUVLUUFULFUVRUVKFTZSZUVLSZUVKUUIRZU
        UFUUIUVKRZUWAUWBSZUUEUUITZUUKUUFUWDUVEUUMUUBUUITZUVNUWEAUVEUVGUUKUVNUVS
        UVLUWBJWDZUWAUUMUWBUWAFYNUUIAFYNRZUVGUUKUVNUVSUVLUUNWEZUVHUUKUVNUVSUVLW
        FZWGVKZUWDUVEUUMUVGYTUUITUWFUWGUWKAUVGUUKUVNUVSUVLUWBWHUWDUVKUUIYTUWAUW
        BWIUVTUVLUWBWJWGBDUUAYNUUIYSYTUUPHUUAVEZWKWLUVQUVNUVSUVLUWBWFUUDDYNUUIU
        UBUUCUUPUUDVEZWMWLUWAUUKUWBUWJVKUUEUUIFWNVMUWAUWCSZUUEUVKTZUVSUUFUWNUVE
        UVKYNTZUUBUVKTZUUCUVKTUWOAUVEUVGUUKUVNUVSUVLUWCJWDZUWNFYNUVKUWAUWHUWCUW
        IVKUWAUVSUWCUVRUVSUVLWJZVKZWGZUWNUVEUWPUVGUVLUWQUWRUXAAUVGUUKUVNUVSUVLU
        WCWHUVTUVLUWCWJBDUUAYNUVKYSYTUUPHUWLWKWLUWNUUIUVKUUCUWAUWCWIUVQUVNUVSUV
        LUWCWFWGUUDDYNUVKUUBUUCUUPUWMWMWLUWTUUEUVKFWNVMUWAFWQWOZUVSUUKUWBUWCXFA
        UXBUVGUUKUVNUVSUVLOWEUWSUWJFUVKUUIWRWSWTXAXBXCXAXDXEXGVCUABUUDDUUAYNYIU
        BUCUUPHUWMUWLXHXIZAYOYPADXPUGZYITZWPYOAUXDUUITZPFVHUXEAUXFPFUULUVEUUMUU
        IBUEZUXFWPUVFUUOUULUUMUXGEUUIRZUULUUICTUUMUXGUXHSZSAFCUUIMUTYMUXIGUUIYN
        CYJUUIUIYKUXGYLUXHYJUUIBUJYJUUIEUMUKIXJVRZXKBDUXDUUIHUXDVEZXLXMXNPUXDFW
        AXQAUXEYIBAUVEUUHUXEYIBUIXOJUXCBDYNUXDYIUUPHUXKXRVMXSXTAEFYAZYIAUXHPFUQ
        EUXLRAUXHPFUULUUMUXGUXHUXJYBVCPEFYCVGAUVBUXLYIRNFYDVBYFYGYEIYH $.
    $}

    $d B j m p z $.  $d B k $.  $d I j m p z $.  $d I k $.  $d R j k m p $.
    $d R j m p z $.
    $( Let ` R ` be a ring, and let ` I ` be a proper ideal of ` R ` .  Then
       there is a maximal ideal of ` R ` containing ` I ` .  (Contributed by
       Thierry Arnoux, 10-Apr-2024.) $)
    ssmxidl $p |- ( ( R e. Ring /\ I e. ( LIdeal ` R ) /\ I =/= B )
                 -> E. m e. ( MaxIdeal ` R ) I C_ m ) $=
      ( vj vp vz vk wcel wne w3a cv wn wss wa wi neeq1 sseq2 weq crg clidl wpss
      cfv crab wral wrex cmxidl c0 crpss wor cuni wal anbi12d simp2 simp3 ssidd
      wceq jca elrabd ne0d simpl1 simpl2 simpl3 simpr1 simpr2 simpr3 ssmxidllem
      eqid ex alrimiv fvex rabex zornn0 syl2anc elrab anbi2i wo simpll1 simplrl
      simplr simprld psseq2 notbid simp-4r simpllr simpr neqned simp-5r simprrd
      sstrd rspcdva npss biimpi sylc equcomd ralrimiva ismxidl biimpar syl13anc
      orrd orcomd sylanb expl reximdv2 mpd ) BUAJZDBUBUDZJZDAKZLZCMZFMZUCZNZFGM
      ZAKZDXPOZPZGXHUEZUFZCXTUGZDXLOZCBUHUDZUGXKXTUIKHMZXTOZYEUIKZYEUJUKZLZYEUL
      XTJZQZHUMYBXKXTDXKXSXJDDOZPGDXHXPDURXQXJXRYLXPDARXPDDSUNXGXIXJUOXKXJYLXGX
      IXJUPXKDUQUSUTVAXKYKHXKYIYJXKYIPAXTBDYEGEXTVIXGXIXJYIVBXGXIXJYIVCXGXIXJYI
      VDXKYFYGYHVEXKYFYGYHVFXKYFYGYHVGVHVJVKCFHXTXSGXHBUBVLVMVNVOXKYAYCCXTYDXKX
      LXTJZYAXLYDJZYCPZXKYMPXKXLXHJZXLAKZYCPZPZPZYAYOYMYSXKXSYRGXLXHGCTXQYQXRYC
      XPXLARXPXLDSUNVPVQYTYAPZYNYCUUAXGYPYQXLIMZOZICTZUUBAURZVRZQZIXHUFZYNXGXIX
      JYSYAVSXKYPYRYAVTUUAYPYQYCXKYSYAWAZWBUUAUUGIXHUUAUUBXHJZPZUUCUUFUUKUUCPZU
      UEUUDUULUUEUUDUULUUENZUUDUULUUMPZCIUUNXLUUBUCZNZUUCCITZUUNXOUUPFXTUUBFITX
      NUUOXMUUBXLWCWDYTYAUUJUUCUUMWEUUNXSUUBAKZDUUBOZPGUUBXHGITXQUURXRUUSXPUUBA
      RXPUUBDSUNUUAUUJUUCUUMWFUUNUURUUSUUNUUBAUULUUMWGWHUUNDXLUUBUUNYPYQYCXKYSY
      AUUJUUCUUMWIWJUUKUUCUUMWAZWKUSUTWLUUTUUPUUCUUQQXLUUBWMWNWOWPVJXAXBVJWQXGY
      NYPYQUUHLABIXLEWRWSWTUUAYPYQYCUUIWJUSXCXDXEXF $.
  $}

  ${
    $d R m $.
    $( Krull's theorem:  Any nonzero ring has at least one maximal ideal.
       (Contributed by Thierry Arnoux, 10-Apr-2024.) $)
    krull $p |- ( R e. NzRing -> E. m m e. ( MaxIdeal ` R ) ) $=
      ( cnzr wcel c0g cfv csn cv wss cmxidl wrex wex crg eqid syl wceq c1 chash
      wa cvv clidl cbs wne nzrring lidl0 fvex hashsng ax-mp fveq2d eqtr3id 1red
      simpr clt isnzr2hash simprbi adantr ltned neneqd pm2.65da ssmxidl syl3anc
      wbr neqned df-rex exsimpl sylbi ) ACDZAEFZGZBHZIZBAJFZKZVJVLDZBLZVGAMDZVI
      AUAFZDZVIAUBFZUCVMAUDZVGVPVRVTAVQVHVQNVHNUEOVGVIVSVGVIVSPZQVSRFZPVGWASZQV
      IRFZWBVHTDWDQPAEUFVHTUGUHWCVIVSRVGWAULUIUJWCQWBWCQWBWCUKVGQWBUMVBZWAVGVPW
      EVSAVSNZUNUOUPUQURUSVCVSABVIWFUTVAVMVNVKSBLVOVKBVLVDVNVKBVEVFO $.

    $( A ring is nonzero if and only if it has maximal ideals.  (Contributed by
       Thierry Arnoux, 10-Apr-2024.) $)
    mxidlnzrb $p |- ( R e. Ring -> ( R e. NzRing <-> E. m m e. ( MaxIdeal ` R )
       ) ) $=
      ( crg wcel cnzr cv cmxidl cfv wex krull adantl wa 19.42v cbs eqid exlimiv
      mxidlnzr sylbir impbida ) ACDZAEDZBFZAGHDZBIZUAUDTABJKTUDLTUCLZBIUATUCBMU
      EUABANHZAUBUFOQPRS $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The semiring of ideals of a ring
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c IDLsrg Spec $.

  $( Extend class notation with the semiring of ideals of a ring. $)
  cidlsrg $a class IDLsrg $.

  ${
    $d r b i j $.
    $( Define a structure for the ideals of a ring.  (Contributed by Thierry
       Arnoux, 21-Jan-2024.) $)
    df-idlsrg $a |- IDLsrg = ( r e. _V |-> [_ ( LIdeal ` r ) / b ]_
        ( { <. ( Base ` ndx ) , b >. ,
            <. ( +g ` ndx ) , ( LSSum ` r ) >. ,
            <. ( .r ` ndx ) , ( i e. b , j e. b |->
              ( ( RSpan ` r ) ` ( i ( LSSum ` ( mulGrp ` r ) ) j ) ) ) >.
    } u. { <. ( TopSet ` ndx ) , ran ( i e. b |-> { j e. b | -. i C_ j } ) >. ,
            <. ( le ` ndx ) , { <. i , j >. | ( { i , j } C_ b /\ i C_ j ) } >.
     } ) ) $.
  $}

  ${
    idlsrgstr.1 $e |- W = ( { <. ( Base ` ndx ) , B >. , <. ( +g ` ndx ) , .+
       >. , <. ( .r ` ndx ) , .x. >. } u. { <. ( TopSet ` ndx ) , J >. , <. (
       le ` ndx ) , .<_ >. } ) $.
    $( A constructed semiring of ideals is a structure.  (Contributed by
       Thierry Arnoux, 1-Jun-2024.) $)
    idlsrgstr $p |- W Struct <. 1 , ; 1 0 >. $=
      ( cnx cbs cfv cop cplusg cmulr ctp cts cple cpr cun c1 c9 cc0 cdc cstr c3
      eqid rngstr 9nn tsetndx 9lt10 10nn plendx strle2 3lt9 strleun eqbrtri ) F
      HIJAKHLJBKHMJCKNZHOJZDKHPJZEKQZRSSUAUBZKUCGSUDTUTUPUSABUPCUPUEUFUQURTUTDE
      UGUHUIUJUKULUMUNUO $.
  $}

  ${
    $d .(+) b r $.  $d .(x) b r $.  $d I b i j r $.  $d R b i j r $.
    idlsrgval.1 $e |- I = ( LIdeal ` R ) $.
    idlsrgval.2 $e |- .(+) = ( LSSum ` R ) $.
    idlsrgval.3 $e |- G = ( mulGrp ` R ) $.
    idlsrgval.4 $e |- .(x) = ( LSSum ` G ) $.
    $( Lemma for ~ idlsrgbas through ~ idlsrgtset .  (Contributed by Thierry
       Arnoux, 1-Jun-2024.) $)
    idlsrgval $p |- ( R e. V -> ( IDLsrg ` R ) = ( { <. ( Base ` ndx ) , I >. ,
       <. ( +g ` ndx ) , .(+) >. , <. ( .r ` ndx ) , ( i e. I , j e. I |-> ( (
       RSpan ` R ) ` ( i .(x) j ) ) ) >. } u. { <. ( TopSet ` ndx ) , ran ( i
       e. I |-> { j e. I | -. i C_ j } ) >. , <. ( le ` ndx ) , { <. i , j >. |
       ( { i , j } C_ I /\ i C_ j ) } >. } ) ) $=
      ( vb cfv cnx cop cv clsm fveq2d opeq2d vr cvv cidlsrg cbs cplusg cmulr co
      wcel crsp cmpo ctp cts wss wn crab cmpt crn cple cpr copab cun wceq clidl
      wa elex cmgp csb fvexd simpr simpl eqtrd eqtr4di oveqd fveq12d mpoeq123dv
      tpeq123d rabeqdv mpteq12dv rneqd sseq2d anbi1d opabbidv preq12d df-idlsrg
      uneq12d csbied tpex prex unex fvmpt syl ) BHUHBUBUHBUCNOUDNZGPZOUENZAPZOU
      FNZDEGGDQZEQZCUGZBUINZNZUJZPZUKZOULNZDGWQWRUMZUNZEGUOZUPZUQZPZOURNZWQWRUS
      ZGUMZXFVDZDEUTZPZUSZVAZVBBHVEUABMUAQZVCNZWLMQZPZWNXTRNZPZWPDEYBYBWQWRXTVF
      NZRNZUGZXTUINZNZUJZPZUKZXEDYBXGEYBUOZUPZUQZPZXLXMYBUMZXFVDZDEUTZPZUSZVAZV
      GXSUBUCXTBVBZMYAUUCXSUBUUDXTVCVHUUDYBYAVBZVDZYMXDUUBXRUUFYCWMYEWOYLXCUUFY
      BGWLUUFYBBVCNZGUUFYBYAUUGUUDUUEVIUUFXTBVCUUDUUEVJZSVKIVLZTUUFYDAWNUUFYDBR
      NAUUFXTBRUUHSJVLTUUFYKXBWPUUFDEYBYBYJGGXAUUIUUIUUFYHWSYIWTUUFXTBUIUUHSUUF
      YGCWQWRUUFYGFRNCUUFYFFRUUFYFBVFNFUUFXTBVFUUHSKVLSLVLVMVNVOTVPUUFYQXKUUAXQ
      UUFYPXJXEUUFYOXIUUFDYBYNGXHUUIUUFXGEYBGUUIVQVRVSTUUFYTXPXLUUFYSXODEUUFYRX
      NXFUUFYBGXMUUIVTWAWBTWCWEWFDEUAMWDXDXRWMWOXCWGXKXQWHWIWJWK $.
  $}

  ${
    $d I i j $.  $d R i j $.
    idlsrgbas.1 $e |- S = ( IDLsrg ` R ) $.
    idlsrgbas.2 $e |- I = ( LIdeal ` R ) $.
    $( Baae of the ideals of a ring.  (Contributed by Thierry Arnoux,
       1-Jun-2024.) $)
    idlsrgbas $p |- ( R e. V -> I = ( Base ` S ) ) $=
      ( vi vj wcel cnx cbs cfv cop clsm cv wss cpr cvv c1 eqid cplusg cmgp crsp
      cmulr co cmpo ctp cts wn crab cmpt crn cple wa copab cun wceq clidl fvexi
      cc0 cdc idlsrgstr baseid snsstp1 ssun1 sstri strfv ax-mp idlsrgval syl5eq
      csn cidlsrg fveq2d eqtr4id ) ADIZCJKLCMZJUALANLZMZJUDLGHCCGOZHOZAUBLZNLZU
      EAUCLLUFZMZUGZJUHLGCVSVTPZUIHCUJUKULZMJUMLVSVTQCPWFUNGHUOZMQZUPZKLZBKLCRI
      CWKUQCAURFUSCWJKRSSUTVAMCVQWCWGWHWJWJTVBVCVPVKWEWJVPVRWDVDWEWIVEVFVGVHVOB
      WJKVOBAVLLWJEVQAWBGHWACDFVQTWATWBTVIVJVMVN $.
  $}

  ${
    $d R i j $.
    idlsrgplusg.1 $e |- S = ( IDLsrg ` R ) $.
    idlsrgplusg.2 $e |- .(+) = ( LSSum ` R ) $.
    $( Additive operation of the ideals of a ring.  (Contributed by Thierry
       Arnoux, 1-Jun-2024.) $)
    idlsrgplusg $p |- ( R e. V -> .(+) = ( +g ` S ) ) $=
      ( vi vj wcel cnx cfv cop cplusg cv clsm wss cpr cvv c1 eqid clidl cmgp co
      cbs cmulr crsp cmpo ctp cts wn crab cmpt crn cple wa copab cun wceq fvexi
      cc0 cdc idlsrgstr plusgid csn snsstp2 ssun1 sstri strfv cidlsrg idlsrgval
      ax-mp syl5eq fveq2d eqtr4id ) BDIZAJUDKBUAKZLZJMKALZJUEKGHVPVPGNZHNZBUBKZ
      OKZUCBUFKKUGZLZUHZJUIKGVPVSVTPZUJHVPUKULUMZLJUNKVSVTQVPPWFUOGHUPZLQZUQZMK
      ZCMKARIAWKURABOFUSAWJMRSSUTVALVPAWCWGWHWJWJTVBVCVRVDWEWJVQVRWDVEWEWIVFVGV
      HVKVOCWJMVOCBVIKWJEABWBGHWAVPDVPTFWATWBTVJVLVMVN $.
  $}

  ${
    $d .0. i $.  $d R i $.  $d S i $.
    idlsrg0g.1 $e |- S = ( IDLsrg ` R ) $.
    idlsrg0g.2 $e |- .0. = ( 0g ` R ) $.
    $( The zero ideal is the additive identity of the semiring of ideals.
       (Contributed by Thierry Arnoux, 1-Jun-2024.) $)
    idlsrg0g $p |- ( R e. Ring -> { .0. } = ( 0g ` S ) ) $=
      ( vi crg wcel cbs cfv cplusg csn c0g eqid co wceq adantr oveqd syl eqtr3d
      clidl lidl0 idlsrgbas eleqtrd cv wa clsm idlsrgplusg csubg simpr eleqtrrd
      lidlsubg syldan lsm02 lsm01 ismgmid2 ) AGHZFBIJZBKJZCLZBBMJZURNVANUSNUQUT
      AUAJZURAVBCVBNZEUBABVBGDVCUCZUDUQFUEZURHZUFZUTVEAUGJZOZUTVEUSOVEVGVHUSUTV
      EUQVHUSPVFVHABGDVHNZUHQZRVGVEAUIJHZVIVEPUQVFVEVBHVLVGVEURVBUQVFUJUQVBURPV
      FVDQUKAVBVEVCULUMZVHAVECEVJUNSTVGVEUTVHOZVEUTUSOVEVGVHUSVEUTVKRVGVLVNVEPV
      MVHAVECEVJUOSTUP $.
  $}

  ${
    $d B i j $.  $d R i j $.
    idlsrgmulr.1 $e |- S = ( IDLsrg ` R ) $.
    idlsrgmulr.2 $e |- B = ( LIdeal ` R ) $.
    idlsrgmulr.3 $e |- G = ( mulGrp ` R ) $.
    idlsrgmulr.4 $e |- .(x) = ( LSSum ` G ) $.
    $( Multiplicative operation of the ideals of a ring.  (Contributed by
       Thierry Arnoux, 1-Jun-2024.) $)
    idlsrgmulr $p |- ( R e. V -> ( i e. B , j e. B |->
                           ( ( RSpan ` R ) ` ( i .(x) j ) ) ) = ( .r ` S ) ) $=
      ( wcel cv cfv cnx cop cmulr wss cpr co crsp cmpo cbs cplusg clsm ctp crab
      cts wn cmpt crn cple wa copab cun cvv wceq clidl fvexi mpoex cc0 cdc eqid
      c1 idlsrgstr mulrid csn snsstp3 ssun1 sstri strfv ax-mp cidlsrg idlsrgval
      syl5eq fveq2d eqtr4id ) BHMZEFAAENZFNZDUABUBOOZUCZPUDOAQZPUEOBUFOZQZPROWC
      QZUGZPUIOEAVTWASZUJFAUHUKULZQPUMOVTWATASWIUNEFUOZQTZUPZROZCROWCUQMWCWNURE
      FAAWBABUSJUTZWOVAWCWMRUQVEVEVBVCQAWEWCWJWKWMWMVDVFVGWGVHWHWMWDWFWGVIWHWLV
      JVKVLVMVSCWMRVSCBVNOWMIWEBDEFGAHJWEVDKLVOVPVQVR $.
  $}

  ${
    $d I i j $.  $d R i j $.  $d V i $.
    idlsrgtset.1 $e |- S = ( IDLsrg ` R ) $.
    idlsrgtset.2 $e |- I = ( LIdeal ` R ) $.
    idlsrgtset.3 $e |- J = ran ( i e. I |-> { j e. I | -. i C_ j } ) $.
    $( Topology component of the ideals of a ring.  (Contributed by Thierry
       Arnoux, 1-Jun-2024.) $)
    idlsrgtset $p |- ( R e. V -> J = ( TopSet ` S ) ) $=
      ( wcel cv wss cts cfv cnx cop clsm cpr eqid wn crab cmpt crn cplusg cmulr
      cbs cmgp co crsp cmpo ctp cple wa copab cun cvv wceq clidl fvexi mptex c1
      rnex cc0 cdc idlsrgstr tsetid csn snsspr1 ssun2 sstri strfv ax-mp cidlsrg
      idlsrgval syl5eq fveq2d eqtr4id ) AGKZFCECLZDLZMZUADEUBZUCZUDZBNOZJVSWEPU
      GOEQPUEOAROZQPUFOCDEEVTWAAUHOZROZUIAUJOOUKZQULZPNOWEQZPUMOVTWASEMWBUNCDUO
      ZQZSZUPZNOZWFWEUQKWEWQURWDCEWCEAUSIUTVAVCWEWPNUQVBVBVDVEQEWGWJWEWMWPWPTVF
      VGWLVHWOWPWLWNVIWOWKVJVKVLVMVSBWPNVSBAVNOWPHWGAWICDWHEGIWGTWHTWITVOVPVQVR
      VP $.
  $}

  ${
    $d .x. x y $.  $d B x y $.  $d I x y $.  $d J x y $.  $d R x y $.
    $d ph x y $.
    idlsrgmulrval.1 $e |- S = ( IDLsrg ` R ) $.
    idlsrgmulrval.2 $e |- B = ( LIdeal ` R ) $.
    idlsrgmulrval.3 $e |- .(x) = ( .r ` S ) $.
    ${
      idlsrgmulrval.4 $e |- G = ( mulGrp ` R ) $.
      idlsrgmulrval.5 $e |- .x. = ( LSSum ` G ) $.
      idlsrgmulrval.6 $e |- ( ph -> R e. V ) $.
      idlsrgmulrval.7 $e |- ( ph -> I e. B ) $.
      idlsrgmulrval.8 $e |- ( ph -> J e. B ) $.
      $( Value of the ring multiplication for the ideals of a ring ` R ` .
         (Contributed by Thierry Arnoux, 1-Jun-2024.) $)
      idlsrgmulrval $p |- ( ph -> ( I .(x) J ) = ( ( RSpan ` R ) ` ( I .x. J )
        ) ) $=
        ( vx vy cv co crsp cfv cvv cmpo wcel wceq idlsrgmulr syl eqtr4id oveq12
        cmulr wa adantl fveq2d fvexd ovmpod ) ASTHIBBSUAZTUAZEUBZCUCUDZUDZHIEUB
        ZVBUDFUEAFDUMUDZSTBBVCUFZMACJUGVFVEUHPBCDESTGJKLNOUIUJUKAUSHUHUTIUHUNZU
        NVAVDVBVGVAVDUHAUSHUTIEULUOUPQRAVDVBUQUR $.
    $}

    ${
      idlsrgmulrcl.1 $e |- ( ph -> R e. Ring ) $.
      idlsrgmulrcl.2 $e |- ( ph -> I e. B ) $.
      idlsrgmulrcl.3 $e |- ( ph -> J e. B ) $.
      $( Ideals of a ring ` R ` are closed under multiplication.  (Contributed
         by Thierry Arnoux, 1-Jun-2024.) $)
      idlsrgmulrcl $p |- ( ph -> ( I .(x) J ) e. B ) $=
        ( co cfv crg eqid wcel wss lidlss cmgp clsm idlsrgmulrval cbs ringlsmss
        crsp syl rspcl syl2anc eqeltrd ) AFGENFGCUAOZUBOZNZCUFOZOZBABCDULEUKFGP
        HIJUKQZULQZKLMUCACPRUMCUDOZSUOBRKAURCULFGUKURQZUPUQKAFBRFURSLURFBCUSITU
        GAGBRGURSMURGBCUSITUGUEURCBUMUNUNQUSIUHUIUJ $.
    $}
  $}

  ${
    idlsrgmulrss1.1 $e |- S = ( IDLsrg ` R ) $.
    idlsrgmulrss1.2 $e |- B = ( LIdeal ` R ) $.
    idlsrgmulrss1.3 $e |- .(x) = ( .r ` S ) $.
    idlsrgmulrss1.4 $e |- .x. = ( .r ` R ) $.
    idlsrgmulrss1.5 $e |- ( ph -> R e. CRing ) $.
    idlsrgmulrss1.6 $e |- ( ph -> I e. B ) $.
    idlsrgmulrss1.7 $e |- ( ph -> J e. B ) $.
    $( In a commutative ring, the product of two ideals is a subset of the
       first one.  (Contributed by Thierry Arnoux, 16-Jun-2024.) $)
    idlsrgmulrss1 $p |- ( ph -> ( I .(x) J ) C_ I ) $=
      ( cfv eqid wcel wss syl co cmgp clsm crsp idlsrgmulrval crglmod clmod cbs
      ccrg crngring rlmlmod 3syl lidlss clidl eleqtrdi ringlsmss1 rlmbas rspval
      crg lspss syl3anc wceq rspidlid syl2anc sseqtrd eqsstrd ) AGHFUAGHCUBPZUC
      PZUAZCUDPZPZGABCDVHFVGGHUIIJKVGQZVHQZMNOUEAVKGVJPZGACUFPZUGRZGCUHPZSZVIGS
      VKVNSACUIRZCUSRZVPMCUJZCUKULAGBRZVRNVQGBCVQQZJUMTAVQCVHHVGGWCVLVMMAHBRHVQ
      SOVQHBCWCJUMTAGBCUNPNJUOUPVIGVJVQVOCUQCURUTVAAVTWBVNGVBAVSVTMWATNCBGVJVJQ
      JVCVDVEVF $.
  $}

  ${
    idlsrgmulrss2.1 $e |- S = ( IDLsrg ` R ) $.
    idlsrgmulrss2.2 $e |- B = ( LIdeal ` R ) $.
    idlsrgmulrss2.3 $e |- .(x) = ( .r ` S ) $.
    idlsrgmulrss2.5 $e |- .x. = ( .r ` R ) $.
    idlsrgmulrss2.6 $e |- ( ph -> R e. Ring ) $.
    idlsrgmulrss2.7 $e |- ( ph -> I e. B ) $.
    idlsrgmulrss2.8 $e |- ( ph -> J e. B ) $.
    $( The product of two ideals is a subset of the second one.  (Contributed
       by Thierry Arnoux, 2-Jun-2024.) $)
    idlsrgmulrss2 $p |- ( ph -> ( I .(x) J ) C_ J ) $=
      ( cfv eqid wcel wss syl co cmgp clsm crsp crg idlsrgmulrval crglmod clmod
      rlmlmod lidlss clidl eleqtrdi ringlsmss2 rlmbas rspval lspss syl3anc wceq
      cbs rspidlid syl2anc sseqtrd eqsstrd ) AGHFUAGHCUBPZUCPZUAZCUDPZPZHABCDVE
      FVDGHUEIJKVDQZVEQZMNOUFAVHHVGPZHACUGPZUHRZHCUSPZSZVFHSVHVKSACUERZVMMCUITA
      HBRZVOOVNHBCVNQZJUJTAVNCVEGVDHVRVIVJMAGBRGVNSNVNGBCVRJUJTAHBCUKPOJULUMVFH
      VGVNVLCUNCUOUPUQAVPVQVKHURMOCBHVGVGQJUTVAVBVC $.
  $}

  ${
    idlsrgmulrssin.1 $e |- S = ( IDLsrg ` R ) $.
    idlsrgmulrssin.2 $e |- B = ( LIdeal ` R ) $.
    idlsrgmulrssin.3 $e |- .(x) = ( .r ` S ) $.
    idlsrgmulrssin.4 $e |- ( ph -> R e. CRing ) $.
    idlsrgmulrssin.5 $e |- ( ph -> I e. B ) $.
    idlsrgmulrssin.6 $e |- ( ph -> J e. B ) $.
    $( In a commutative ring, the product of two ideals is a subset of their
       intersection.  (Contributed by Thierry Arnoux, 17-Jun-2024.) $)
    idlsrgmulrssin $p |- ( ph -> ( I .(x) J ) C_ ( I i^i J ) ) $=
      ( co cmulr cfv eqid idlsrgmulrss1 crngringd idlsrgmulrss2 ssind ) AFGENFG
      ABCDCOPZEFGHIJUBQZKLMRABCDUBEFGHIJUCACKSLMTUA $.
  $}

  ${
    $d R i j k $.  $d S i j k $.
    idlsrgmnd.1 $e |- S = ( IDLsrg ` R ) $.
    $( The ideals of a ring form a monoid.  (Contributed by Thierry Arnoux,
       1-Jun-2024.) $)
    idlsrgmnd $p |- ( R e. Ring -> S e. Mnd ) $=
      ( vi vj vk crg wcel clidl cfv clsm c0g eqid cv w3a wa wceq lidlsubg syl
      co csn idlsrgbas idlsrgplusg cbs simp1 simp2 simp3 lsmidl csubg 3ad2antr1
      crsp 3ad2antr2 3ad2antr3 lsmass syl3anc lidl0 lsm02 lsm01 ismndd ) AGHZDE
      FAIJZAKJZBALJZUAZABVAGCVAMZUBVBABGCVBMZUCUTDNZVAHZENZVAHZOAUDJZVBAVGVIAUK
      JZVKMVFVLMUTVHVJUEUTVHVJUFUTVHVJUGUHUTVHVJFNZVAHZOPVGAUIJZHZVIVOHZVMVOHZV
      GVIVBTVMVBTVGVIVMVBTVBTQUTVJVHVPVNAVAVGVERZUJUTVHVJVQVNAVAVIVERULUTVHVNVR
      VJAVAVMVERUMVBVGVIVMAVFUNUOAVAVCVEVCMZUPUTVHPZVPVDVGVBTVGQVSVBAVGVCVTVFUQ
      SWAVPVGVDVBTVGQVSVBAVGVCVTVFURSUS $.

    $( The ideals of a ring form a commutative monoid.  (Contributed by Thierry
       Arnoux, 1-Jun-2024.) $)
    idlsrgcmnd $p |- ( R e. Ring -> S e. CMnd ) $=
      ( vi vj crg wcel clidl cfv clsm eqid idlsrgbas idlsrgplusg idlsrgmnd cabl
      cv w3a csubg co lidlsubg ringabl 3ad2ant1 3adant3 3adant2 lsmcom syl3anc
      wceq iscmnd ) AFGZDEAHIZAJIZBABUJFCUJKZLUKABFCUKKZMABCNUIDPZUJGZEPZUJGZQA
      OGZUNARIZGZUPUSGZUNUPUKSUPUNUKSUGUIUOURUQAUAUBUIUOUTUQAUJUNULTUCUIUQVAUOA
      UJUPULTUDUKUNUPAUMUEUFUH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Prime Elements
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Unique factorization domains
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Token for the class of unique factorization domains. $)
  $c UFD $.

  $( Class of unique factorization domains. $)
  cufd $a class UFD $.

  ${
    $d i r $.
    $( Define the class of unique factorization domains.  A unique
       factorization domain (UFD for short), is a commutative ring with an
       absolute value (from ~ abvtriv this is equivalent to being a domain)
       such that every prime ideal contains a prime element (this is a
       characterization due to Irving Kaplansky).  A UFD is sometimes also
       called a "factorial ring" following the terminology of Bourbaki.
       (Contributed by Mario Carneiro, 17-Feb-2015.) $)
    df-ufd $a |- UFD = { r e. CRing | ( ( AbsVal ` r ) =/= (/) /\
               A. i e. ( PrmIdeal ` r ) ( i i^i ( RPrime ` r ) ) =/= (/) ) } $.
  $}

  ${
    $d A r $.  $d I r $.  $d P r $.  $d R i r $.
    isufd.a $e |- A = ( AbsVal ` R ) $.
    isufd.i $e |- I = ( PrmIdeal ` R ) $.
    isufd.3 $e |- P = ( RPrime ` R ) $.
    $( The property of being a Unique Factorization Domain.  (Contributed by
       Thierry Arnoux, 1-Jun-2024.) $)
    isufd $p |- ( R e. UFD
      <-> ( R e. CRing /\ ( A =/= (/) /\ A. i e. I ( i i^i P ) =/= (/) ) ) ) $=
      ( vr cv cabv cfv c0 wne crpm cin cprmidl wral fveq2 eqtr4di neeq1d ineq2d
      wa ccrg cufd wceq raleqbidv anbi12d df-ufd elrab2 ) IJZKLZMNZDJZUKOLZPZMN
      ZDUKQLZRZUCAMNZUNBPZMNZDERZUCICUDUEUKCUFZUMUTUSVCVDULAMVDULCKLAUKCKSFTUAV
      DUQVBDUREVDURCQLEUKCQSGTVDUPVAMVDUOBUNVDUOCOLBUKCOSHTUBUAUGUHDIUIUJ $.
  $}

  ${
    $d .0. b p r $.  $d .x. b d r $.  $d .|| b d r $.  $d B b p r $.
    $d R b d p r x y $.  $d U b p r $.  $d V r $.
    rprmval.b $e |- B = ( Base ` R ) $.
    rprmval.u $e |- U = ( Unit ` R ) $.
    rprmval.1 $e |- .0. = ( 0g ` R ) $.
    rprmval.m $e |- .x. = ( .r ` R ) $.
    rprmval.d $e |- .|| = ( ||r ` R ) $.
    $( The prime elements of a ring ` R ` .  (Contributed by Thierry Arnoux,
       1-Jul-2024.) $)
    rprmval $p |- ( R e. V -> ( RPrime ` R ) = { p e. ( B \ ( U u. { .0. } ) )
       | A. x e. B A. y e. B ( p .|| ( x .x. y ) -> ( p .|| x \/ p .|| y ) ) }
       ) $=
      ( cv cbs cfv wbr wceq vr vb vd wcel cmulr co wo wi cdsr wsbc wral cui c0g
      csn cun cdif crab csb cvv crpm df-rprm fvexd wa simpr fveq2 eqtrd eqtr4di
      adantr sneqd uneq12d difeq12d eqidd ad2antrr oveqd breq123d breqd orbi12d
      imbi12d sbcied raleqbidv rabeqbidv csbied elex fvexi difexi rabex fvmptd3
      a1i ) EHUDZUAEUBUAPZQRZJPZAPZBPZWJUERZUFZUCPZSZWLWMWQSZWLWNWQSZUGZUHZUCWJ
      UIRZUJZBUBPZUKZAXEUKZJXEWJULRZWJUMRZUNZUOZUPZUQZURWLWMWNFUFZDSZWLWMDSZWLW
      NDSZUGZUHZBCUKZACUKZJCGIUNZUOZUPZUQZUSUTUSABUAJUBUCVAWJETZUBWKXMYEUSYFWJQ
      VBYFXEWKTZVCZXGYAJXLYDYHXECXKYCYHXEEQRZCYHXEWKYIYFYGVDYFWKYITYGWJEQVEVHVF
      KVGZYFXKYCTYGYFXHGXJYBYFXHEULRGWJEULVELVGYFXIIYFXIEUMRIWJEUMVEMVGVIVJVHVK
      YHXFXTAXECYJYHXDXSBXECYJYHXBXSUCXCUSYHWJUIVBYHWQXCTZVCZWRXOXAXRYLWLWLWPXN
      WQDYLWLVLYLWQEUIRZDYLWQXCYMYHYKVDYFXCYMTYGYKWJEUIVEVMVFOVGZYLWOFWMWNYFWOF
      TYGYKYFWOEUERFWJEUEVENVGVMVNVOYLWSXPWTXQYLWQDWLWMYNVPYLWQDWLWNYNVPVQVRVSV
      TVTWAWBEHWCYEUSUDWIYAJYDCYCCEQKWDWEWFWHWG $.
  $}

  ${
    $d .0. p $.  $d .x. p $.  $d .|| p $.  $d B p $.  $d P p x y $.
    $d R p x y $.  $d U p $.
    isrprm.1 $e |- B = ( Base ` R ) $.
    isrprm.2 $e |- U = ( Unit ` R ) $.
    isrprm.3 $e |- .0. = ( 0g ` R ) $.
    isrprm.4 $e |- .|| = ( ||r ` R ) $.
    isrprm.5 $e |- .x. = ( .r ` R ) $.
    $( Property for ` P ` to be a prime element in the ring ` R ` .
       (Contributed by Thierry Arnoux, 1-Jul-2024.) $)
    isrprm $p |- ( R e. V -> ( P e. ( RPrime ` R ) <-> ( P e. ( B \ ( U u. {
       .0. } ) ) /\ A. x e. B A. y e. B ( P .|| ( x .x. y ) -> ( P .|| x \/ P
       .|| y ) ) ) ) ) $=
      ( vp wcel cv wbr wral crpm cfv co wo wi csn cun cdif crab wa rprmval wceq
      eleq2d breq1 orbi12d imbi12d 2ralbidv elrab bitrdi ) FIQZEFUAUBZQEPRZARZB
      RZGUCZDSZVBVCDSZVBVDDSZUDZUEZBCTACTZPCHJUFUGUHZUIZQEVLQEVEDSZEVCDSZEVDDSZ
      UDZUEZBCTACTZUJUTVAVMEABCDFGHIJPKLMONUKUMVKVSPEVLVBEULZVJVRABCCVTVFVNVIVQ
      VBEVEDUNVTVGVOVHVPVBEVCDUNVBEVDDUNUOUPUQURUS $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Associative algebras
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    asclmulg.a $e |- A = ( algSc ` W ) $.
    asclmulg.f $e |- F = ( Scalar ` W ) $.
    asclmulg.k $e |- K = ( Base ` F ) $.
    asclmulg.m $e |- .^ = ( .g ` W ) $.
    asclmulg.t $e |- .* = ( .g ` F ) $.
    $( Apply group multiplication to the algebra scalars.  (Contributed by
       Thierry Arnoux, 24-Jul-2024.) $)
    asclmulg $p |- ( ( W e. AssAlg /\ N e. NN0 /\ X e. K ) -> ( A ` ( N .* X )
       ) = ( N .^ ( A ` X ) ) ) $=
      ( wcel cfv co wceq 3ad2ant1 eqid syl cn0 w3a cur cvsca clmod cbs assalmod
      casa simp3 simp2 crg assaring ringidcl lmodvsmmulgdi syl13anc oveq2d ccrg
      asclval assasca crnggrpd nn0zd mulgcld 3eqtr4rd ) GUHNZFUANZHENZUBZFHGUCO
      ZGUDOZPZBPZFHDPZVHVIPZFHAOZBPVLAOZVGGUENZVFVEVHGUFOZNZVKVMQVDVEVPVFGUGRVD
      VEVFUIZVDVEVFUJZVDVEVRVFVDGUKNVRGULVQGVHVQSZVHSZUMTRHVIDBCEFVQGVHWAJVISZK
      LMUNUOVGVNVJFBVGVFVNVJQVSAVIVHCEGHIJKWCWBURTUPVGVLENVOVMQVGEDCFHKMVGCVDVE
      CUQNVFCGJUSRUTVGFVTVAVSVBAVIVHCEGVLIJKWCWBURTVC $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Univariate Polynomials
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    fply1.1 $e |- .0. = ( 0g ` R ) $.
    fply1.2 $e |- B = ( Base ` R ) $.
    fply1.3 $e |- P = ( Base ` ( Poly1 ` R ) ) $.
    fply1.4 $e |- ( ph -> F : ( NN0 ^m 1o ) --> B ) $.
    fply1.5 $e |- ( ph -> F finSupp .0. ) $.
    $( Conditions for a function to be an univariate polynomial.  (Contributed
       by Thierry Arnoux, 19-Aug-2023.) $)
    fply1 $p |- ( ph -> F e. P ) $=
      ( vf c1o co cfv wcel cfn cn0 cmap eqid cmps cbs cfsupp wbr ccnv cima crab
      cv cn wf fvexi ovex elmap sylibr c0 csn df1o2 eqeltri a1i elmapi fisuppfi
      snfi rabeqc oveq2i eleqtrrdi 1oex psrbas eleqtrrd cmpl cpl1 cps1 mplelbas
      cvv ply1bas sylanbrc ) AEMDUANZUBOZPEFUCUDECPAEBLUHZUEUIUFQPZLRMSNZUGZSNZ
      VQAEBVTSNZWBAVTBEUJEWCPJBVTEBDUBHUKRMSULUMUNWAVTBSVSLVTVRVTPZMRUIVRMQPWDM
      UOUPQUQUOVBURUSVRRMUTVAVCVDVEAVQWADVPLMBVMVPTZHWATVQTZMVMPAVFUSVGVHKVQMDV
      INZDVPCMEFWGTWEWFGDVJOZDDVKOZCWHTWITIVNVLVO $.
  $}

  ${
    $d A d $.  $d B d $.  $d E d $.  $d F d $.  $d P d $.  $d R d $.
    ply1scleq.p $e |- P = ( Poly1 ` R ) $.
    ply1scleq.b $e |- B = ( Base ` R ) $.
    ply1scleq.a $e |- A = ( algSc ` P ) $.
    ply1scleq.r $e |- ( ph -> R e. Ring ) $.
    ply1scleq.e $e |- ( ph -> E e. B ) $.
    ply1scleq.f $e |- ( ph -> F e. B ) $.
    $( Equality of a constant polynomial is the same as equality of the
       constant term.  (Contributed by Thierry Arnoux, 24-Jul-2024.) $)
    ply1scleq $p |- ( ph -> ( ( A ` E ) = ( A ` F ) <-> E = F ) ) $=
      ( vd cfv wceq cc0 cn0 wcel syl2anc wa cco1 cv fveq2 eqeq12d wral crg eqid
      cbs wb ply1sclcl ply1coe1eq syl3anc biimpar 0nn0 rspcdva ply1sclid adantr
      a1i 3eqtr4d adantl impbida ) AFBOZGBOZPZFGPZAVEUAZQVCUBOZOZQVDUBOZOZFGVGN
      UCZVHOZVLVJOZPZVIVKPNRQVLQPVMVIVNVKVLQVHUDVLQVJUDUEAVONRUFZVEAEUGSZVCDUIO
      ZSZVDVRSZVPVEUJKAVQFCSZVSKLBVRDEFCHJIVRUHZUKTAVQGCSZVTKMBVRDEGCHJIWBUKTVH
      VRVJDENVCVDHWBVHUHVJUHULUMUNQRSVGUOUSUPAFVIPZVEAVQWAWDKLBDECFHJIUQTURAGVK
      PZVEAVQWCWEKMBDECGHJIUQTURUTVFVEAFGBUDVAVB $.
  $}

  ${
    $d P n $.  $d R n $.
    ply1chr.1 $e |- P = ( Poly1 ` R ) $.
    $( The characteristic of a polynomial ring is the characteristic of the
       underlying ring.  (Contributed by Thierry Arnoux, 24-Jul-2024.) $)
    ply1chr $p |- ( R e. CRing -> ( chr ` P ) = ( chr ` R ) ) $=
      ( vn ccrg wcel cchr cfv cur eqid wceq cmg co wb cn0 cbs syl adantr fveq2d
      syl3anc cod chrval cascl cv cdvds wbr c0g wral wa eqcomi cgrp id crnggrpd
      crngring ringidcl chrcl odeq mpbii r19.21bi grpmndd simpr mulgnn0cl simpl
      crg cmnd ring0cl 3syl ply1scleq csca ply1sca oveqd casa ply1assa asclmulg
      eleqtrd eqtrd ply1scl0 eqeq12d 3bitr2d ralrimiva ply1sclcl syl2anc mpbird
      ply1crng ply1scl1 eqtr2d eqtr3id ) BEFZAGHZAIHZAUAHZHZBGHZWIAWJWKWKJZWJJZ
      WIJUBWHWMBIHZAUCHZHZWKHZWLWHWMWSKZWMDUDZUEUFZXAWRALHZMZAUGHZKZNZDOUHZWHXG
      DOWHXAOFZUIZXBXAWPBLHZMZBUGHZKZXLWQHZXMWQHZKXFWHXBXNNZDOWHWMWPBUAHZHZKZXQ
      DOUHZXSWMWMBWPXRXRJZWPJZWMJZUBUJWHBUKFWPBPHZFZWMOFZXTYANWHBWHULUMZWHBVDFZ
      YFBUNZYEBWPYEJZYCUOQZWHYIYGYJWMBYDUPQZDWPXKBWMXRYEXMYKYBXKJZXMJZUQTURUSXJ
      WQYEABXLXMCYKWQJZWHYIXIYJRXJBVEFZXIYFXLYEFWHYQXIWHBYHUTRWHXIVAZWHYFXIYLRZ
      YEXKBXAWPYKYNVBTXJWHYIXMYEFWHXIVCZYJYEBXMYKYOVFVGVHXJXOXDXPXEXJXOXAWPAVIH
      ZLHZMZWQHZXDXJXLUUCWQXJXKUUBXAWPXJBUUALWHBUUAKXIABECVJRZSVKSXJAVLFZXIWPUU
      APHZFUUDXDKWHUUFXIABCVMRYRXJWPYEUUGYSXJBUUAPUUESVOWQXCUUAUUBUUGXAAWPYPUUA
      JUUGJXCJZUUBJVNTVPXJWHYIXPXEKYTYJWQABXEXMCYPYOXEJZVQVGVRVSVTWHAUKFWRAPHZF
      ZYGWTXHNWHAABCWDUMWHYIYFUUKYJYLWQUUJABWPYECYPYKUUJJZWAWBYMDWRXCAWMWKUUJXE
      UULWNUUHUUIUQTWCWHYIWSWLKYJYIWRWJWKWQABWPWJCYPYCWOWESQWFWG $.
  $}

  ${
    ply1fermltl.z $e |- Z = ( Z/nZ ` P ) $.
    ply1fermltl.w $e |- W = ( Poly1 ` Z ) $.
    ply1fermltl.x $e |- X = ( var1 ` Z ) $.
    ply1fermltl.l $e |- .+ = ( +g ` W ) $.
    ply1fermltl.n $e |- N = ( mulGrp ` W ) $.
    ply1fermltl.t $e |- .^ = ( .g ` N ) $.
    ply1fermltl.c $e |- C = ( algSc ` W ) $.
    ply1fermltl.a $e |- A = ( C ` ( ( ZRHom ` Z ) ` E ) ) $.
    ply1fermltl.p $e |- ( ph -> P e. Prime ) $.
    ply1fermltl.1 $e |- ( ph -> E e. ZZ ) $.
    $( Fermat's little theorem for polynomials.  If ` P ` is prime, Then
       ` ( X + A ) ^ P = ( ( X ^ P ) + A ) ` modulo ` P ` .  (Contributed by
       Thierry Arnoux, 24-Jul-2024.) $)
    ply1fermltl $p |- ( ph -> ( P .^ ( X .+ A ) ) = ( ( P .^ X ) .+ A ) ) $=
      ( cchr cfv co cbs eqid cmg cmgp fveq2i eqtri ccrg wcel cprime prmnn nnnn0
      cn cn0 zncrng 4syl ply1crng syl ply1chr znchr eqtrd eqeltrd crg crngringd
      wceq vr1cl czrh cz zring crh zrhrhm zringbas rhmf 3syl ffvelrnd ply1sclcl
      wf syl2anc eqeltrid freshmansdream oveq1d cmhm csca casa ply1assa asclrhm
      crnggrpd ply1sca eleqtrrd rhmmhm mgpbas mhmmulg syl3anc a1i oveq2d eqtr4d
      cgrp znfermltl fveq2d eqtr4di 3eqtr2d oveq12d 3eqtr3d ) AIUBUCZJBEUDZGUDX
      GJGUDZXGBGUDZEUDDXHGUDDJGUDZBEUDAIUEUCZXGEIGJBXLUFZOGHUGUCIUHUCZUGUCQHXNU
      GPUIUJXGUFAKUKULZIUKULADUMULZDUPULZDUQULZXOTDUNZDUOZDKLURUSZIKMUTVAAXGDUM
      AXGKUBUCZDAXOXGYBVHYAIKMVBVAAXPXQXRYBDVHTXSXTDKLVCUSVDZTVEAKVFULZJXLULAKY
      AVGZXLIKJNMXMVIVAABFKVJUCZUCZCUCZXLSAYDYGKUEUCZULZYHXLULYEAVKYIFYFAYDYFVL
      KVMUDULVKYIYFVTYEKYFYFUFVNVKYIVLKYFVOYIUFZVPVQUAVRZCXLIKYGYIMRYKXMVSWAWBW
      CAXGDXHGYCWDAXIXKXJBEAXGDJGYCWDAXJDBGUDZDYGKUHUCZUGUCZUDZCUCZBAXGDBGYCWDA
      YQDYHGUDZYMACYNHWEUDULZXRYJYQYRVHACKIVMUDZULYSACIWFUCZIVMUDZYTAXOIWGULCUU
      BULYAIKMWHCUUAIRUUAUFWIVQAKUUAIVMAKWTULKUUAVHAKYAWJIKWTMWKVAWDWLKICYNHYNU
      FZPWMVAAXPXQXRTXSXTVQYLYIYOGCYNHDYGYIKYNUUCYKWNYOUFZQWOWPABYHDGBYHVHASWQW
      RWSAYQYHBAYPYGCAXPYJYPYGVHTYLYGYIDYOKLYKUUDXAWAXBSXCXDXEXF $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The subring algebra
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A x y $.  $d W x y $.  $d ph x y $.
    sral1r.a $e |- ( ph -> A = ( ( subringAlg ` W ) ` S ) ) $.
    sral1r.1 $e |- ( ph -> .1. = ( 1r ` W ) ) $.
    sral1r.s $e |- ( ph -> S C_ ( Base ` W ) ) $.
    $( The multiplicative neutral element of a subring algebra.  (Contributed
       by Thierry Arnoux, 24-Jul-2023.) $)
    sra1r $p |- ( ph -> .1. = ( 1r ` A ) ) $=
      ( vx vy cur cfv cbs eqidd srabase cv wcel wa cmulr sramulr oveqdr eqtrd
      rngidpropd ) ADEKLBKLGAIJEMLZEBAUDNABCEFHOAIPUDQJPUDQRIJESLBSLABCEFHTUAUC
      UB $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d R x y $.  $d V x y $.
    sraring.1 $e |- A = ( ( subringAlg ` R ) ` V ) $.
    sraring.2 $e |- B = ( Base ` R ) $.
    $( Condition for a subring algebra to be a ring.  (Contributed by Thierry
       Arnoux, 24-Jul-2023.) $)
    sraring $p |- ( ( R e. Ring /\ V C_ B ) -> A e. Ring ) $=
      ( vx vy wss crg wcel cbs cfv wceq a1i csra cv cplusg oveqdr cmulr srabase
      id sseqtrdi syl5eq wa sraaddg sramulr ringpropd biimpac ) DBIZCJKAJKUJGHB
      CABCLMZNUJFOUJBUKALMFUJADCADCPMMNUJEOZUJDBUKUJUBFUCZUAUDUJGQBKHQBKUEZGHCR
      MARMUJADCULUMUFSUJUNGHCTMATMUJADCULUMUGSUHUI $.

    $( Condition for a subring algebra to be a division ring.  (Contributed by
       Thierry Arnoux, 29-Jul-2023.) $)
    sradrng $p |- ( ( R e. DivRing /\ V C_ B ) -> A e. DivRing ) $=
      ( vx vy cdr wcel wa crg cui cfv cbs c0g csn cdif wceq eqid drngring sylan
      wss sraring isdrng simprbi adantr eqidd csra simpr sseqtrdi srabase cmulr
      a1i cv sramulr oveqdr unitpropd sralmod0 sneqd difeq12d 3eqtr3d sylanbrc
      ) CIJZDBUCZKZALJZAMNZAONZAPNZQZRZSAIJVDCLJZVEVGCUAABCDEFUDUBVFCMNZCONZCPN
      ZQZRZVHVLVDVNVRSZVEVDVMVSVOCVNVPVOTVNTVPTUEUFUGVFGHVOCAVFVOUHVFADCADCUINN
      SVFEUNZVFDBVOVDVEUJFUKZULZVFGUOVOJHUOVOJKGHCUMNAUMNVFADCVTWAUPUQURVFVOVIV
      QVKWBVFVPVJVFADCVPVTVFVPUHWAUSUTVAVBVIAVHVJVITVHTVJTUEVC $.
  $}

  ${
    $d A x y $.  $d W x y $.  $d ph x y $.
    srasubrg.a $e |- ( ph -> A = ( ( subringAlg ` W ) ` S ) ) $.
    srasubrg.u $e |- ( ph -> U e. ( SubRing ` W ) ) $.
    srasubrg.s $e |- ( ph -> S C_ ( Base ` W ) ) $.
    $( A subring of the original structure is also a subring of the constructed
       subring algebra.  (Contributed by Thierry Arnoux, 24-Jul-2023.) $)
    srasubrg $p |- ( ph -> U e. ( SubRing ` A ) ) $=
      ( vx vy csubrg cfv cbs eqidd srabase cv wcel cplusg oveqdr cmulr sraaddg
      wa sramulr subrgpropd eleqtrd ) ADEKLBKLGAIJEMLZEBAUFNABCEFHOAIPUFQJPUFQU
      BZIJERLBRLABCEFHUASAUGIJETLBTLABCEFHUCSUDUE $.
  $}

  ${
    sralvec.a $e |- A = ( ( subringAlg ` E ) ` U ) $.
    sralvec.f $e |- F = ( E |`s U ) $.
    $( Given a sub division ring ` F ` of a division ring ` E ` , ` E ` may be
       considered as a vector space over ` F ` , which becomes the field of
       scalars.  (Contributed by Thierry Arnoux, 24-May-2023.) $)
    sralvec $p |- ( ( E e. DivRing /\ F e. DivRing /\ U e. ( SubRing ` E ) ) ->
       A e. LVec ) $=
      ( cdr wcel csubrg cfv w3a clmod csca clvec csra sralmod 3ad2ant3 eqeltrid
      eqid wceq cress co a1i cbs subrgss srasca syl5eq eqeltrrd islvec sylanbrc
      simp2 ) CGHZDGHZBCIJHZKZALHAMJZGHANHUOABCOJJZLEUNULUQLHUMUQBCUQSPQRUODUPG
      UNULDUPTUMUNDCBUAUBUPFUNABCAUQTUNEUCBCUDJZCURSUEUFUGQULUMUNUKUHUPAUPSUIUJ
      $.

    $( Given a subfield ` F ` of a field ` E ` , ` E ` may be considered as a
       vector space over ` F ` , which becomes the field of scalars.
       (Contributed by Thierry Arnoux, 24-May-2023.) $)
    srafldlvec $p |- ( ( E e. Field /\ F e. Field /\ U e. ( SubRing ` E ) ) ->
       A e. LVec ) $=
      ( cfield wcel cdr csubrg cfv clvec ccrg isfld simplbi id sralvec syl3an )
      CGHZCIHZDGHZDIHZBCJKHZUCALHSTCMHCNOUAUBDMHDNOUCPABCDEFQR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Division Ring Extensions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    drgext.b $e |- B = ( ( subringAlg ` E ) ` U ) $.
    drgext.1 $e |- ( ph -> E e. DivRing ) $.
    drgext.2 $e |- ( ph -> U e. ( SubRing ` E ) ) $.
    $( The additive neutral element of a division ring extension.  (Contributed
       by Thierry Arnoux, 17-Jul-2023.) $)
    drgext0g $p |- ( ph -> ( 0g ` E ) = ( 0g ` B ) ) $=
      ( c0g cfv csra wceq a1i eqidd csubrg wcel cbs wss eqid subrgss syl
      sralmod0 ) ABCDDHIZBCDJIIKAELAUBMACDNIOCDPIZQGCUCDUCRSTUA $.

    $( The scalar multiplication operation of a division ring extension.
       (Contributed by Thierry Arnoux, 17-Jul-2023.) $)
    drgextvsca $p |- ( ph -> ( .r ` E ) = ( .s ` B ) ) $=
      ( csra cfv wceq a1i csubrg wcel cbs wss eqid subrgss syl sravsca ) ABCDBC
      DHIIJAEKACDLIMCDNIZOGCTDTPQRS $.

    $( The additive neutral element of the scalar field of a division ring
       extension.  (Contributed by Thierry Arnoux, 17-Jul-2023.) $)
    drgext0gsca $p |- ( ph -> ( 0g ` B ) = ( 0g ` ( Scalar ` B ) ) ) $=
      ( c0g cfv cress co csca cmnd wcel cbs wss wceq cdr 3syl eqid crg drngring
      ringmnd csubrg subrgsubg subg0cl subrgss syl ress0g syl3anc drgext0g csra
      csubg a1i srasca fveq2d 3eqtr3d ) ADHIZDCJKZHIZBHIBLIZHIADMNZURCNZCDOIZPZ
      URUTQADRNDUANVBFDUBDUCSACDUDINZCDUMINVCGCDUECDURURTZUFSAVFVEGCVDDVDTZUGUH
      ZCVDDUSURUSTVHVGUIUJABCDEFGUKAUSVAHABCDBCDULIIQAEUNVIUOUPUQ $.

    $d B x $.  $d F x $.  $d U x $.  $d ph x $.
    drgext.f $e |- F = ( E |`s U ) $.
    drgext.3 $e |- ( ph -> F e. DivRing ) $.
    $( The scalar field is a subring of a division ring extension.
       (Contributed by Thierry Arnoux, 17-Jul-2023.) $)
    drgextsubrg $p |- ( ph -> U e. ( SubRing ` B ) ) $=
      ( csra cfv wceq a1i csubrg wcel cbs wss eqid subrgss syl srasubrg ) ABCCD
      BCDKLLMAFNHACDOLPCDQLZRHCUCDUCSTUAUB $.

    $d B a b x $.  $d U a b x $.  $d a b ph x $.
    $( The scalar field is a subspace of a subring algebra.  (Contributed by
       Thierry Arnoux, 17-Jul-2023.) $)
    drgextlsp $p |- ( ph -> U e. ( LSubSp ` B ) ) $=
      ( vx cfv cbs eqidd wcel eqid syl wceq co adantr va csca cplusg clss cvsca
      vb csubrg wss subrgss csra a1i srabase sseqtrd cur wne subrg1cl ne0i 3syl
      c0 cv w3a wa cgrp cdr drnggrp sravsca ressmulr eqtr3d oveqdr crg drngring
      cmulr simpr1 srasca syl5eq fveq2d eleqtrrd simpr2 ressbas2 eleqtrd ringcl
      cress syl3anc eqeltrd simpr3 grpcl sraaddg ressplusg oveqd 3eltr4d islssd
      ) AKBUBLZMLZBUCLZBUDLZBUELZCWLBMLZBUAUFAWLNAWMNAWQNAWNNAWPNAWONACDMLZWQAC
      DUGLZOZCWRUHZHCWRDWRPZUIQZABCDBCDUJLLRAFUKZXCULUMAWTDUNLZCOCUSUOHCDXEXEPU
      PCXEUQURAKUTZWMOZUAUTZCOZUFUTZCOZVAZVBZXFXHWPSZXJEUCLZSZEMLZXNXJWNSCXMEVC
      OZXNXQOXJXQOXPXQOAXRXLAEVDOZXRJEVEQTXMXNXFXHEVLLZSZXQAXLKUAWPXTADVLLZWPXT
      ABCDXDXCVFAWTYBXTRHCDEYBWSIYBPVGQVHVIXMEVJOZXFXQOXHXQOYAXQOAYCXLAXSYCJEVK
      QTXMXFWMXQAXGXIXKVMAXQWMRXLAEWLMAEDCWBSWLIABCDXDXCVNVOVPTVQXMXHCXQAXGXIXK
      VRACXQRZXLAXAYDXCCWREDIXBVSQTZVTXQEXTXFXHXQPZXTPWAWCWDXMXJCXQAXGXIXKWEYEV
      TXQXOEXNXJYFXOPWFWCXMWNXOXNXJAWNXORXLADUCLZWNXOABCDXDXCWGAWTYGXORHCYGDEWS
      IYGPWHQVHTWIYEWJWK $.

    ${
      $d X i $.
      drgextgsum.1 $e |- ( ph -> X e. V ) $.
      $( Group sum in a division ring extension.  (Contributed by Thierry
         Arnoux, 17-Jul-2023.) $)
      drgextgsum $p |- ( ph -> ( E gsum ( i e. X |-> Y ) ) = ( B gsum ( i e. X
        |-> Y ) ) ) $=
        ( cvv cdr clvec wcel cfv cmpt mptexd csubrg sralvec syl3anc cbs subrgss
        wss eqid syl gsumsra ) ABCEPDHIUAQRJADHIGOUBKAEQSFQSCEUCTSZBRSKNLBCEFJM
        UDUEAULCEUFTZUHLCUMEUMUIUGUJUK $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Vector Spaces
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d W x y z $.  $d ph x y z $.
    lvecdimfi.j $e |- J = ( LBasis ` W ) $.
    lvecdimfi.w $e |- ( ph -> W e. LVec ) $.
    lvecdimfi.s $e |- ( ph -> S e. J ) $.
    lvecdimfi.t $e |- ( ph -> T e. J ) $.
    lvecdimfi.f $e |- ( ph -> S e. Fin ) $.
    $( Finite version of ~ lvecdim which does not require the axiom of choice.
       The axiom of choice is used in ~ acsmapd , which is required in the
       infinite case.  Suggested by G&eacute;rard Lang.  (Contributed by
       Thierry Arnoux, 24-May-2023.) $)
    lvecdimfi $p |- ( ph -> S ~~ T ) $=
      ( vy vz vx cfv wcel cv wral wa eqid simpld clss cmri cmrc cbs csn cun cpw
      cacs cdif lssacsex syl acsmred simprd wceq lbsacsbs biimpa syl2anc eqtr4d
      clvec mreexfidimd ) AKLEUANZBCVAUBNZVAUCNZEUDNZMAVAVDAVAVDUHNOZKPZMPZLPUE
      UFVCNOLVGVFUEUFVCNVGVCNUIQKVDQMVDUGQZAEUSOZVEVHRGKLVAVCEVDMVASZVCSZVDSZUJ
      UKZTULVKVBSZAVEVHVMUMABVBOZBVCNZVDUNZAVIBDOZVOVQRZGHVIVRVSVABVBDVCEVDVJVK
      VLVNFUOUPUQZTACVBOZCVCNZVDUNZAVICDOZWAWCRZGIVIWDWEVACVBDVCEVDVJVKVLVNFUOU
      PUQZTJAVPVDWBAVOVQVTUMAWAWCWFUMURUT $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Vector Space Dimension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c dim $.

  $( Extend class notation with the dimension of a vector space. $)
  cldim $a class dim $.

  $( Define the dimension of a vector space as the cardinality of its bases.
     Note that by ~ lvecdim , all bases are equinumerous.  (Contributed by
     Thierry Arnoux, 6-May-2023.) $)
  df-dim $a |- dim = ( f e. _V |-> U. ( # " ( LBasis ` f ) ) ) $.

  ${
    $d F t x f $.  $d J t x f $.  $d S t x $.
    dimval.1 $e |- J = ( LBasis ` F ) $.
    $( The dimension of a vector space ` F ` is the cardinality of one of its
       bases.  (Contributed by Thierry Arnoux, 6-May-2023.) $)
    dimval $p |- ( ( F e. LVec /\ S e. J ) -> ( dim ` F ) = ( # ` S ) ) $=
      ( vf vx vt clvec wcel wa cfv chash cuni wceq cvv cv clbs hashf syl c0 csn
      cldim cima elex fveq2 eqtr4di imaeq2d unieqd df-dim cn0 cpnf wf wfun ffun
      cun fvexi funimaex mp2b uniex fvmpt adantr wral cen wbr lvecdim ad4ant124
      hasheni simpr eqtr2d wrex ax-mp fvelima mpan adantl r19.29a ralrimiva wne
      wb ne0i wfn wss ffn ssv fnimaeq0 mp2an necon3bii sylibr eqsn mpbird unisn
      fvex a1i 3eqtrd ) BHIZACIZJZBUBKZLCUCZMZALKZUAZMZWTWNWQWSNZWOWNBOIXCBHUDE
      BLEPZQKZUCZMWSOUBXDBNZXFWRXGXECLXGXEBQKCXDBQUEDUFUGUHEUIWROUJUKUAUOZLULZL
      UMZWROIROXHLUNZLCCBQDUPUQURUSUTSVAWPWRXAWPWRXANZFPZWTNZFWRVBZWPXNFWRWPXMW
      RIZJZGPZLKZXMNZXNGCXQXRCIZJZXTJWTXSXMYBWTXSNZXTYBAXRVCVDZYCWNWOYAYDXPAXRC
      BDVEVFAXRVGSVAYBXTVHVIXPXTGCVJZWPXJXPYEXIXJRXKVKGXMCLVLVMVNVOVPWPWRTVQZXL
      XOVRWPCTVQZYFWOYGWNCAVSVNWRTCTLOVTZCOWAWRTNCTNVRXIYHROXHLWBVKCWCOCLWDWEWF
      WGFWRWTWHSWIUHXBWTNWPWTALWKWJWLWM $.

    $( The dimension of a vector space ` F ` is the cardinality of one of its
       bases.  This version of ~ dimval does not depend on the axiom of choice,
       but it is limited to the case where the base ` S ` is finite.
       (Contributed by Thierry Arnoux, 24-May-2023.) $)
    dimvalfi $p |- ( ( F e. LVec /\ S e. J /\ S e. Fin )
                    -> ( dim ` F ) = ( # ` S ) ) $=
      ( vf vx vt clvec wcel cfv chash cuni wceq cvv cv clbs hashf syl wa c0 cfn
      w3a cldim cima csn elex fveq2 eqtr4di imaeq2d unieqd df-dim cn0 cpnf wfun
      cun wf ffun fvexi funimaex mp2b uniex fvmpt 3ad2ant1 wral cen wbr simpll1
      simpll2 simpr simpll3 lvecdimfi hasheni adantr eqtr2d wrex fvelima adantl
      ax-mp mpan r19.29a ralrimiva wne ne0i 3ad2ant2 wfn wss ffn fnimaeq0 mp2an
      wb ssv necon3bii sylibr eqsn mpbird fvex unisn a1i 3eqtrd ) BHIZACIZAUAIZ
      UBZBUCJZKCUDZLZAKJZUEZLZXGWTXAXDXFMZXBWTBNIXJBHUFEBKEOZPJZUDZLXFNUCXKBMZX
      MXEXNXLCKXNXLBPJCXKBPUGDUHUIUJEUKXENULUMUEUOZKUPZKUNZXENIQNXOKUQZKCCBPDUR
      USUTVAVBRVCXCXEXHXCXEXHMZFOZXGMZFXEVDZXCYAFXEXCXTXEIZSZGOZKJZXTMZYAGCYDYE
      CIZSZYGSXGYFXTYIXGYFMZYGYIAYEVEVFYJYIAYECBDWTXAXBYCYHVGWTXAXBYCYHVHYDYHVI
      WTXAXBYCYHVJVKAYEVLRVMYIYGVIVNYCYGGCVOZXCXQYCYKXPXQQXRVRGXTCKVPVSVQVTWAXC
      XETWBZXSYBWJXCCTWBZYLXAWTYMXBCAWCWDXETCTKNWEZCNWFXETMCTMWJXPYNQNXOKWGVRCW
      KNCKWHWIWLWMFXEXGWNRWOUJXIXGMXCXGAKWPWQWRWS $.
  $}

  ${
    $d V b $.
    $( Closure of the vector space dimension.  (Contributed by Thierry Arnoux,
       18-May-2023.) $)
    dimcl $p |- ( V e. LVec -> ( dim ` V ) e. NN0* ) $=
      ( vb clvec wcel cv clbs cfv cldim cxnn0 c0 wne wex eqid lbsex n0 sylib wa
      chash dimval hashxnn0 adantl eqeltrd exlimddv ) ACDZBEZAFGZDZAHGZIDBUDUFJ
      KUGBLUFAUFMZNBUFOPUDUGQUHUERGZIUEAUFUISUGUJIDUDUEUFTUAUBUC $.
  $}

  ${
    $d V b $.
    lvecdim0.1 $e |- .0. = ( 0g ` V ) $.
    $( A vector space of dimension zero is reduced to its identity element.
       (Contributed by Thierry Arnoux, 31-Jul-2023.) $)
    lvecdim0i $p |- ( ( V e. LVec /\ ( dim ` V ) = 0 )
                      -> ( Base ` V ) = { .0. } ) $=
      ( vb clvec wcel cldim cfv cc0 wceq wa c0 clspn cbs csn clbs adantr eqtr3d
      eqid syl cv wex wne lbsex sylib chash simpr dimval adantlr simplr hasheq0
      n0 biimpa syl2anc eqeltrrd exlimddv lbssp clmod lveclmod lsp0 ) AEFZAGHZI
      JZKZLAMHZHZANHZBOZVDLAPHZFZVFVGJVDDUAZVIFZVJDVAVLDUBZVCVAVILUCVMVIAVISZUD
      DVIULUEQVDVLKZVKLVIVOVLVKUFHZIJZVKLJZVDVLUGZVOVBVPIVAVLVBVPJVCVKAVIVNUHUI
      VAVCVLUJRVLVQVRVKVIUKUMUNVSUOUPLVIVEVGAVGSVNVESZUQTVDAURFZVFVHJVAWAVCAUSQ
      VEABCVTUTTR $.

    $d .0. b $.
    $( A vector space of dimension zero is reduced to its identity element,
       biconditional version.  (Contributed by Thierry Arnoux, 31-Jul-2023.) $)
    lvecdim0 $p |- ( V e. LVec -> ( ( dim ` V ) = 0 <-> ( Base ` V ) = { .0. }
       ) ) $=
      ( vb clvec wcel cldim cfv cc0 wceq wa c0 eqid sylib syl wn simplr syl2anc
      simpr wss cbs csn lvecdim0i chash clbs simpl cv wex wne lbsex n0 c0g snid
      fvexi eleqtrrid clinds simplll lbslinds sselid 0nellinds pm2.65da sseqtrd
      lbsss sssn orcomd ord mpd eqeltrrd exlimddv dimval hash0 eqtrdi impbida
      wo ) AEFZAGHZIJAUAHZBUBZJZABCUCVOVSKZVPLUDHZIVTVOLAUEHZFZVPWAJVOVSUFZVTDU
      GZWBFZWCDVTVOWFDUHZWDVOWBLUIWGWBAWBMZUJDWBUKNOVTWFKZWELWBWIWEVRJZPWELJZWI
      WJBWEFZWIWJKZBVRWEBBAULCUNUMWIWJSUOWMVOWEAUPHZFWLPVOVSWFWJUQWMWBWNWEWBAWH
      URVTWFWJQUSWEABCUTRVAWIWJWKWIWKWJWIWEVRTWKWJVNWIWEVQVRWIWFWEVQTVTWFSZWEWB
      VQAVQMWHVCOVOVSWFQVBWEBVDNVEVFVGWOVHVILAWBWHVJRVKVLVM $.
  $}

  ${
    $d U w x $.  $d W w x $.  $d X w x $.
    lssdimle.x $e |- X = ( W |`s U ) $.
    $( The dimension of a linear subspace is less than or equal to the
       dimension of the parent vector space.  This is corollary 5.4 of [Lang]
       p. 141.  (Contributed by Thierry Arnoux, 20-May-2023.) $)
    lssdimle $p |- ( ( W e. LVec /\ U e. ( LSubSp ` W ) )
                  -> ( dim ` X ) <_ ( dim ` W ) ) $=
      ( vx vw clvec wcel cfv wa cv clbs cldim cle wbr eqid syl wss chash wceq
      c0 wne wex lsslvec lbsex n0 sylib hashss adantll dimval ad2antrr ad5ant14
      clss sylan clinds wrex simpll clmod lveclmod simplr cbs simpr lbsss lssss
      3brtr4d ressbas2 3syl sseqtrrd lbslinds sselid lsslinds syl31anc islinds4
      w3a biimpa syl2anc r19.29a exlimddv ) BGHZABUMIZHZJZEKZCLIZHZCMIZBMIZNOZE
      WBWDUAUBZWEEUCWBCGHZWIVTABCDVTPZUDZWDCWDPZUEQEWDUFUGWBWEJZWCFKZRZWHFBLIZW
      NWOWQHZJWPJWCSIZWOSIZWFWGNWRWPWSWTNOWNWOWCWQUHUIWNWFWSTZWRWPWBWJWEXAWLWCC
      WDWMUJUNUKVSWRWGWTTWAWEWPWOBWQWQPZUJULVEWNVSWCBUOIHZWPFWQUPZVSWAWEUQWNBUR
      HZWAWCARZWCCUOIZHZXCVSXEWAWEBUSUKVSWAWEUTZWNWCCVAIZAWNWEWCXJRWBWEVBZWCWDX
      JCXJPWMVCQWNWAABVAIZRAXJTXIVTAXLBXLPZWKVDAXLCBDXMVFVGVHWNWDXGWCWDCWMVIXKV
      JXEWAXFVNXHXCAVTWCBCWKDVKVOVLVSXCXDWQBWCFXBVMVOVPVQVR $.
  $}

  ${
    $d B x y $.  $d F x y $.  $d G x y $.  $d K x y $.  $d L x y $.
    $d P x y $.  $d W x y $.  $d ph x y $.
    dimpropd.b1 $e |- ( ph -> B = ( Base ` K ) ) $.
    dimpropd.b2 $e |- ( ph -> B = ( Base ` L ) ) $.
    dimpropd.w $e |- ( ph -> B C_ W ) $.
    dimpropd.p $e |- ( ( ph /\ ( x e. W /\ y e. W ) ) -> ( x ( +g ` K ) y ) = (
       x ( +g ` L ) y ) ) $.
    dimpropd.s1 $e |- ( ( ph /\ ( x e. P /\ y e. B ) ) -> ( x ( .s ` K ) y ) e.
       W ) $.
    dimpropd.s2 $e |- ( ( ph /\ ( x e. P /\ y e. B ) ) -> ( x ( .s ` K ) y ) =
       ( x ( .s ` L ) y ) ) $.
    dimpropd.f $e |- F = ( Scalar ` K ) $.
    dimpropd.g $e |- G = ( Scalar ` L ) $.
    dimpropd.p1 $e |- ( ph -> P = ( Base ` F ) ) $.
    dimpropd.p2 $e |- ( ph -> P = ( Base ` G ) ) $.
    dimpropd.a $e |- ( ( ph /\ ( x e. P /\ y e. P ) ) -> ( x ( +g ` F ) y ) = (
       x ( +g ` G ) y ) ) $.
    dimpropd.v1 $e |- ( ph -> K e. LVec ) $.
    dimpropd.v2 $e |- ( ph -> L e. LVec ) $.
    $( If two structures have the same components (properties), they have the
       same dimension.  (Contributed by Thierry Arnoux, 18-May-2023.) $)
    dimpropd $p |- ( ph -> ( dim ` K ) = ( dim ` L ) ) $=
      ( cv clbs cfv wcel cldim wceq c0 wne wex clvec eqid lbsex syl n0 sylib wa
      chash dimval sylan lbspropd eleq2d biimpa syl2an2r eqtr4d exlimddv ) ABUD
      ZHUEUFZUGZHUHUFZIUHUFZUIBAVJUJUKZVKBULAHUMUGZVNUBVJHVJUNZUOUPBVJUQURAVKUS
      VLVIUTUFZVMAVOVKVLVQUIUBVIHVJVPVAVBAIUMUGVKVIIUEUFZUGZVMVQUIUCAVKVSAVJVRV
      IABCDEFGHIJUMUMKLMNOPQRSTUAUBUCVCVDVEVIIVRVRUNVAVFVGVH $.
  $}

  ${
    rgmoddim.1 $e |- V = ( ringLMod ` F ) $.
    $( The left vector space induced by a ring over itself has dimension 1.
       (Contributed by Thierry Arnoux, 5-Aug-2023.) $)
    rgmoddim $p |- ( F e. Field -> ( dim ` V ) = 1 ) $=
      ( cfield wcel cfv cur csn c1 wceq cdr cbs eqid crg 3syl syl3anc clspn syl
      syl2anc cvv cldim chash clvec clbs cress csubrg ccrg isfld simplbi ressid
      eqeltrd drngring subrgid crglmod csra rlmval eqtri sralvec clinds c0g wne
      co wss sraring ringidcl sradrng drngunz lindssn crsp rspval fveq2i eqtr4i
      ssidd fveq1i rsp1 eqtr3id eqidd sra1r sneqd fveq2d srabase 3eqtr3d islbs4
      a1i sylanbrc dimval fvex hashsng ax-mp eqtrdi ) ADEZBUAFZBGFZHZUBFZIWKBUC
      EZWNBUDFZEZWLWOJWKAKEZAALFZUEVBZKEWTAUFFEZWPWKWSAUGEAUHUIZWKXAAKWTADWTMZU
      JXCUKWKWSANEZXBXCAULZWTAXDUMOBWTAXABAUNFZWTAUOFFZCAUPUQZXAMURPZWKWNBUSFEZ
      WNBQFZFZBLFZJWRWKWPWMXNEZWMBUTFZVAZXKXJWKBNEZXOWKXEWTWTVCZXRWKWSXEXCXFRWK
      WTVMZBWTAWTXIXDVDSXNBWMXNMZWMMZVERWKBKEZXQWKWSXSYCXCXTBWTAWTXIXDVFSBWMXPX
      PMZYBVGRXNBWMXPYAYDVHPWKAGFZHZXLFZWTXMXNWKWSXEYGWTJXCXFXEYGYFAVIFZFWTYFYH
      XLYHXGQFXLAVJBXGQCVKVLVNWTAYEYHYHMXDYEMVOVPOWKYFWNXLWKYEWMWKBWTYEABXHJWKX
      IWDZWKYEVQXTVRVSVTWKBWTAYIXTWAWBXNWQXLBWNYAWQMZXLMWCWEWNBWQYJWFSWMTEWOIJB
      GWGWMTWHWIWJ $.
  $}

  ${
    $d I j k $.  $d R j k $.  $d V j $.
    frlmdim.f $e |- F = ( R freeLMod I ) $.
    $( Dimension of a free left module.  (Contributed by Thierry Arnoux,
       20-May-2023.) $)
    frlmdim $p |- ( ( R e. DivRing /\ I e. V ) -> ( dim ` F ) = ( # ` I ) ) $=
      ( vj vk cdr wcel cfv chash wceq eqid sylan syl2anc wfn cv cmpt cvv syl wa
      cldim cuvc co crn clvec clbs frlmlvec crg drngring frlmlbs dimval cbs wf1
      simpr cnzr drngnzr uvcf1 hashf1rn cur c0g cif wral mptexg ralrimiva fnmpt
      ad2antlr uvcfval fneq1d mpbird hashfn 3eqtr2d ) AHIZCDIZUAZBUBJZACUCUDZUE
      ZKJZVQKJZCKJZVOBUFIVRBUGJZIZVPVSLABCDEUHVMAUIIVNWCAUJAVQBCWBDEVQMZWBMZUKN
      VRBWBWEULOVOVNCBUMJZVQUNZVTVSLVMVNUOVMAUPIVNWGAUQWFAVQCDBWDEWFMURNCWFVQDU
      SOVOVQCPZVTWALVOWHFCGCGQFQZLAUTJZAVAJZVBZRZRZCPZVOWMSIZFCVCWOVOWPFCVNWPVM
      WICIGCWLDVDVGVEFCWMWNSWNMVFTVOCVQWNAVQWJFGCHDWKWDWJMWKMVHVIVJCVQVKTVL $.
  $}

  ${
    $d G x y $.  $d N x y $.  $d T x y $.  $d V x y $.
    tnglvec.t $e |- T = ( G toNrmGrp N ) $.
    $( Augmenting a structure with a norm conserves left vector spaces.
       (Contributed by Thierry Arnoux, 20-May-2023.) $)
    tnglvec $p |- ( N e. V -> ( G e. LVec <-> T e. LVec ) ) $=
      ( vx vy wcel cbs cfv csca eqidd tngbas cv wa cplusg tngplusg oveqdr cvsca
      eqid tngsca tngvsca lvecpropd ) CDHZFGBIJZBKJZIJZUFBAUDUELUEABCDEUETMUDFN
      ZUEHGNUEHZOFGBPJZAPJUJABCDEUJTQRUDUFLAUFBCDEUFTUAUGTUDUHUGHUIOFGBSJZASJAU
      KBCDEUKTUBRUC $.

    $( Dimension of a left vector space augmented with a norm.  (Contributed by
       Thierry Arnoux, 20-May-2023.) $)
    tngdim $p |- ( ( G e. LVec /\ N e. V ) -> ( dim ` G ) = ( dim ` T ) ) $=
      ( vx vy clvec wcel wa cbs cfv csca eqidd wceq eqid adantl cplusg oveqdr
      cv tngbas ssidd tngplusg cvsca co clmod lveclmod lmodvscl adantlr tngvsca
      3expb sylan tngsca fveq2d simpl tnglvec biimpac dimpropd ) BHIZCDIZJZFGBK
      LZBMLZKLZVCAMLZBAVBVAVBNUTVBAKLOUSVBABCDEVBPZUAQVAVBUBVAFTZVBIGTZVBIZJFGB
      RLZARLZUTVJVKOUSVJABCDEVJPUCQSUSVGVDIZVIJZVGVHBUDLZUEVBIZUTUSBUFIZVMVOBUG
      VPVLVIVOVGVNVCVDVBBVHVFVCPZVNPZVDPUHUKULUIVAVMFGVNAUDLZUTVNVSOUSAVNBCDEVR
      UJQSVQVEPVAVDNVAVCVEKUTVCVEOUSAVCBCDEVQUMQZUNVAVLVHVDIJFGVCRLVERLVAVCVERV
      TUNSUSUTUOUTUSAHIABCDEUPUQUR $.
  $}

  ${
    $d I x $.
    rrxdim.1 $e |- H = ( RR^ ` I ) $.
    $( Dimension of the generalized Euclidean space.  (Contributed by Thierry
       Arnoux, 20-May-2023.) $)
    rrxdim $p |- ( I e. V -> ( dim ` H ) = ( # ` I ) ) $=
      ( vx wcel cldim cfv crefld cfrlm co cbs cip csqrt cmpt eqid cvv wceq mpan
      cv ctng chash ctcph rrxval tcphval eqtrdi fveq2d clvec cr ccnfld resubdrg
      cdr csubrg simpri frlmlvec tcphex tngdim sylancl frlmdim 3eqtr2d ) BCFZAG
      HIBJKZEVBLHZETZVDVBMHZKNHOZUAKZGHZVBGHZBUBHZVAAVGGVAAVBUCHZVGABCDUDEVKVEV
      CVBVKPVCPZVEPUEUFUGVAVBUHFZVFQFVIVHRIULFZVAVMUIUJUMHFVNUKUNZIVBBCVBPZUOSE
      VEVCVBVLUPVGVBVFQVGPUQURVNVAVIVJRVOIVBBCVPUSSUT $.
  $}

  ${
    $d A x y $.  $d I x y $.  $d R x y $.
    matdim.a $e |- A = ( I Mat R ) $.
    matdim.n $e |- N = ( # ` I ) $.
    $( Dimension of the space of square matrices.  (Contributed by Thierry
       Arnoux, 20-May-2023.) $)
    matdim $p |- ( ( I e. Fin /\ R e. DivRing ) -> ( dim ` A ) = ( N x. N ) )
       $=
      ( vx vy cfn wcel cdr wa cfv cmul co wceq syl2anc eqid cbs cplusg cxp xpfi
      cldim chash cfrlm simpr simpl frlmdim csca matbas eqidd ssidd cv matplusg
      eqcomd oveqdr cvsca clmod clvec frlmlvec syl adantr simprl matsca eleqtrd
      lveclmod fveq2d simprr lmodvscl syl3anc eleqtrrd matvsca drngring matlmod
      sylan2 matsca2 eqeltrrd islvec sylanbrc dimpropd 3eqtr3d oveq12i eqtr4di
      crg hashxp ) CIJZBKJZLZAUCMZCUDMZWJNOZDDNOWHBCCUAZUEOZUCMZWLUDMZWIWKWHWGW
      LIJZWNWOPWFWGUFZWHWFWFWPWFWGUGZWRCCUBQZBWMWLIWMRZUHQWHGHASMZAUIMZSMZWMUIM
      ZXBWMAXAWHWMSMZXAABWMCKEWTUJUOZWHXAUKWHXAULWHGUMZXAJHUMZXAJZLGHWMTMATMABW
      MCKEWTUNUPWHXGXCJZXILZLZXGXHWMUQMZOZXEXAXLWMURJZXGXDSMZJXHXEJXNXEJWHXOXKW
      HWMUSJZXOWHWGWPXQWQWSBWMWLIWTUTQZWMVFVAVBXLXGXCXPWHXJXIVCWHXCXPPXKWHXPXCW
      HXDXBSABWMCKEWTVDZVGUOZVBVEXLXHXAXEWHXJXIVHWHXAXEPXKXFVBZVEXGXMXDXPXEWMXH
      XERXDRZXMRXPRVIVJYAVKWHXKGHXMAUQMABWMCKEWTVLUPYBXBRZXTWHXCUKWHXJXHXCJLGHX
      DTMXBTMWHXDXBTXSVGUPXRWHAURJZXBKJAUSJWGWFBWDJYDBVMABCEVNVOWHBXBKABCKEVPWQ
      VQXBAYCVRVSVTWHWFWFWOWKPWRWRCCWEQWADWJDWJNFFWBWC $.
  $}

  ${
    $d X x $.  $d Y x $.
    lbslsat.v $e |- V = ( Base ` W ) $.
    lbslsat.n $e |- N = ( LSpan ` W ) $.
    lbslsat.z $e |- .0. = ( 0g ` W ) $.
    lbslsat.y $e |- Y = ( W |`s ( N ` { X } ) ) $.
    $( A nonzero vector ` X ` is a basis of a line spanned by the singleton
       ` X ` .  Spans of nonzero singletons are sometimes called "atoms", see
       ~ df-lsatoms and for example ~ lsatlspsn .  (Contributed by Thierry
       Arnoux, 20-May-2023.) $)
    lbslsat $p |- ( ( W e. LVec /\ X e. V /\ X =/= .0. ) -> { X } e. ( LBasis `
       Y ) ) $=
      ( vx wcel csn cfv wss wceq adantr eqid syl2anc 3adant3 clvec wne clspn cv
      w3a cbs cdif wn wral clbs clss clmod lveclmod snssi adantl lsslvec syldan
      wa lspcl lspssid lspssv ressbas2 syl sseqtrd lsslsp syl3anc eqtr3d c0g c0
      difid fveq2i a1i eleq2d biimpa lsp0 3syl eleqtrd cmnd cgrp lmodgrp grpmnd
      elsni 0ellsp ress0g eqtr4d ex necon3ad 3impia sneq difeq2d fveq2d eleq12d
      wb id notbid ralsng 3ad2ant2 mpbird islbs2 biimpar syl13anc ) CUALZDBLZDF
      UBZUEZEUALZDMZEUFNZOZXGEUCNZNZXHPZKUDZXGXMMZUGZXJNZLZUHZKXGUIZXGEUJNZLZXB
      XCXFXDXBXCXGANZCUKNZLZXFXBXCURZCULLZXGBOZYDXBYFXCCUMQZXCYGXBDBUNUOZYCXGAB
      CGYCRZHUSSZYCYBCEJYJUPUQZTXBXCXIXDYEXGYBXHYEYFYGXGYBOZYHYIXGABCGHUTSZYEYB
      BOZYBXHPZYEYFYGYOYHYIXGABCGHVASZYBBECJGVBVCZVDTXEYBXKXHXEYFYDYMYBXKPXBXCY
      FXDYHTXBXCYDXDYKTXBXCYMXDYNTYBXGYCAXJCEJHXJRZYJVEVFXBXCYPXDYRTVGXEXSDXGXG
      UGZXJNZLZUHZXBXCXDUUCYEUUBDFYEUUBDFPYEUUBURZDEVHNZFUUDDUUEMZLDUUEPUUDDVIX
      JNZUUFYEUUBDUUGLYEUUAUUGDUUAUUGPYEYTVIXJXGVJVKVLVMVNYEUUGUUFPZUUBYEXFEULL
      UUHYLEUMXJEUUEUUERYSVOVPQVQDUUEWBVCYEFUUEPZUUBYECVRLZFYBLZYOUUIYEYFCVSLUU
      JYHCVTCWAVPYEYFYGUUKYHYIBXGACFIGHWCSYQYBBCEFJGIWDVFQWEWFWGWHXCXBXSUUCWMXD
      XRUUCKDBXMDPZXQUUBUULXMDXPUUAUULWNUULXOYTXJUULXNXGXGXMDWIWJWKWLWOWPWQWRXF
      YAXIXLXSUEKXGXTXJXHEXHRXTRYSWSWTXA $.

    $( A line, spanned by a nonzero singleton, has dimension 1.  (Contributed
       by Thierry Arnoux, 20-May-2023.) $)
    lsatdim $p |- ( ( W e. LVec /\ X e. V /\ X =/= .0. ) -> ( dim ` Y ) = 1 )
       $=
      ( clvec wcel wne w3a cfv c1 wceq syl eqid syl2anc cldim chash simp1 clmod
      csn clbs clss wss lveclmod simp2 snssd lspcl lsslvec lbslsat dimval eqtrd
      hashsng ) CKLZDBLZDFMZNZEUAOZDUEZUBOZPVAEKLZVCEUFOZLVBVDQVAURVCAOZCUGOZLZ
      VEURUSUTUCZVACUDLZVCBUHVIVAURVKVJCUIRVADBURUSUTUJZUKVHVCABCGVHSZHULTVHVGC
      EJVMUMTABCDEFGHIJUNVCEVFVFSUOTVAUSVDPQVLDBUQRUP $.
  $}

  $( The dimension of a vector space that is also a division ring is greater
     than zero.  (Contributed by Thierry Arnoux, 29-Jul-2023.) $)
  drngdimgt0 $p |- ( ( F e. LVec /\ F e. DivRing ) -> 0 < ( dim ` F ) ) $=
    ( clvec wcel cdr wa cc0 c1 cmin co cldim cfv clt 1m1e0 cle wbr cur csn eqid
    adantr syl2anc clspn cress cbs c0g wne wceq simpl drngring ringidcl drngunz
    crg simpr 3syl lsatdim syl3anc clss clmod wss lveclmod snssd lspcl lssdimle
    adantl eqbrtrrd cn0 cxnn0 wb 1nn0 dimcl xnn0lem1lt sylancr mpbid eqbrtrrid
    ) ABCZADCZEZFGGHIZAJKZLMVPGVRNOZVQVRLOZVPAAPKZQZAUAKZKZUBIZJKZGVRNVPVNWAAUC
    KZCZWAAUDKZUEZWFGUFVNVOUGZVPVOAUKCWHVNVOULAUHWGAWAWGRZWARZUIUMZVOWJVNAWAWIW
    IRZWMUJVCWCWGAWAWEWIWLWCRZWOWERZUNUOVPVNWDAUPKZCZWFVRNOWKVPAUQCZWBWGURWSVNW
    TVOAUSSVPWAWGWNUTWRWBWCWGAWLWRRWPVATWDAWEWQVBTVDVPGVECVRVFCZVSVTVGVHVNXAVOA
    VISGVRVJVKVLVM $.

  $( A homomorphism of left vector spaces has a left vector space as codomain.
     (Contributed by Thierry Arnoux, 7-May-2023.) $)
  lmhmlvec2 $p |- ( ( V e. LVec /\ F e. ( V LMHom U ) ) -> U e. LVec ) $=
    ( clvec wcel clmhm co clmod csca cfv cdr lmhmlmod2 adantl wceq eqid lmhmsca
    wa lvecdrng adantr eqeltrd islvec sylanbrc ) CDEZBCAFGEZQZAHEZAIJZKEADEUDUF
    UCCABLMUEUGCIJZKUDUGUHNUCCABUHUGUHOZUGOZPMUCUHKEUDUHCUIRSTUGAUJUAUB $.

  ${
    kerlmhm.1 $e |- .0. = ( 0g ` U ) $.
    kerlmhm.k $e |- K = ( V |`s ( `' F " { .0. } ) ) $.
    $( The kernel of a vector space homomorphism is a vector space itself.
       (Contributed by Thierry Arnoux, 7-May-2023.) $)
    kerlmhm $p |- ( ( V e. LVec /\ F e. ( V LMHom U ) ) -> K e. LVec ) $=
      ( clmhm wcel clvec ccnv csn cima clss cfv eqid lmhmkerlss lsslvec sylan2
      co ) BDAHTIDJIBKELMZDNOZICJIDAUBBUAEUAPFUBPZQUBUADCGUCRS $.
  $}

  ${
    imlmhm.i $e |- I = ( U |`s ran F ) $.
    $( The image of a vector space homomorphism is a vector space itself.
       (Contributed by Thierry Arnoux, 7-May-2023.) $)
    imlmhm $p |- ( ( V e. LVec /\ F e. ( V LMHom U ) ) -> I e. LVec ) $=
      ( clvec wcel clmhm co wa crn clss lmhmlvec2 lmhmrnlss adantl eqid lsslvec
      cfv syl2anc ) DFGZBDAHIGZJAFGBKZALRZGZCFGABDMUAUDTDABNOUCUBACEUCPQS $.
  $}

  ${
    $d U c k $.  $d V c k $.  $d W c k $.  $d c k ph $.
    lindsun.n $e |- N = ( LSpan ` W ) $.
    lindsun.0 $e |- .0. = ( 0g ` W ) $.
    lindsun.w $e |- ( ph -> W e. LVec ) $.
    lindsun.u $e |- ( ph -> U e. ( LIndS ` W ) ) $.
    lindsun.v $e |- ( ph -> V e. ( LIndS ` W ) ) $.
    lindsun.2 $e |- ( ph -> ( ( N ` U ) i^i ( N ` V ) ) = { .0. } ) $.
    ${
      $d C c k x y $.  $d F c k $.  $d K k x y $.  $d N c k x y $.  $d O c k $.
      $d U x y $.  $d V x y $.  $d W x y $.  $d ph x y $.
      lindsunlem.o $e |- O = ( 0g ` ( Scalar ` W ) ) $.
      lindsunlem.f $e |- F = ( Base ` ( Scalar ` W ) ) $.
      lindsunlem.c $e |- ( ph -> C e. U ) $.
      lindsunlem.k $e |- ( ph -> K e. ( F \ { O } ) ) $.
      lindsunlem.1 $e |- ( ph -> ( K ( .s ` W ) C )
                                         e. ( N ` ( ( U u. V ) \ { C } ) ) ) $.
      $( Lemma for ~ lindsun .  (Contributed by Thierry Arnoux, 9-May-2023.) $)
      lindsunlem $p |- ( ph -> F. ) $=
        ( vx vy vk vc cvsca cfv co cv cplusg wceq wfal csn cdif wcel wa cin csg
        simpr cgrp cbs clmod lveclmod syl lmodgrp ad3antrrr cabl lmodabl clinds
        clvec wss eqid linds1 lspssv syl2anc difssd lspss syl3anc sseldd simplr
        simpllr ablcom eqtr2d eldifad csca lmodvscl w3a grpsubadd biimpar an32s
        syl23anc clss lspcl lspssid lssvscl syl22anc lssvsubcl eqeltrrd eleqtrd
        elind elsni oveq2d grprid 3eqtrd eqeltrd wn wral islinds2 simplbda sneq
        oveq2 difeq2d fveq2d eleq12d notbid oveq1 eleq1d rspc2va syl21anc csubg
        pm2.21fal clsm wrex ssdifssd lsssubg cun lsmsp2 adantr sselda 0nellinds
        c0 wne nelne2 neneqd pm2.65da disjsn sylibr undif4 uncom difeq1i biimpa
        3eqtr4g eqtrd eleqtrrd lsmelval r19.29vva ) AEBIUFUGZUHZUBUIZUCUIZIUJUG
        ZUHZUKZULUBUCCBUMZUNZFUGZHFUGZAUUIUUPUOZUPZUUJUUQUOZUPZUUMUPZUUHUUPUOZU
        VBUUHUUIUUPUVBUUHUULUUIJUUKUHZUUIUVAUUMUSZUVBUUJJUUIUUKUVBUUJJUMZUOUUJJ
        UKUVBUUJCFUGZUUQUQZUVFUVBUVGUUQUUJUVBUUHUUIIURUGZUHZUUJUVGUVBIUTUOZUUJU
        UIUUKUHZUUHUKZUUHIVAUGZUOZUUIUVNUOZUUJUVNUOZUVJUUJUKZAUVKUURUUTUUMAIVBU
        OZUVKAIVJUOZUVSMIVCVDZIVEVDVFZUVBUUHUULUVLUVEUVBIVGUOZUVPUVQUULUVLUKAUW
        CUURUUTUUMAUVSUWCUWAIVHVDVFUVBUVGUVNUUIAUVGUVNVKZUURUUTUUMAUVSCUVNVKZUW
        DUWAACIVIUGZUOZUWENUVNICUVNVLZVMVDZCFUVNIUWHKVNVOVFUVBUUPUVGUUIAUUPUVGV
        KZUURUUTUUMAUVSUWEUUOCVKUWJUWAUWIACUUNVPUUOCFUVNIUWHKVQVRVFAUURUUTUUMWA
        ZVSZVSZUVBUUQUVNUUJAUUQUVNVKZUURUUTUUMAUVSHUVNVKZUWNUWAAHUWFUOUWOOUVNIH
        UWHVMVDZHFUVNIUWHKVNVOVFUUSUUTUUMVTZVSZUVNUUKIUUIUUJUWHUUKVLZWBVRWCAUVO
        UURUUTUUMAUVSEDUOZBUVNUOUVOUWAAEDGUMZTWDZACUVNBUWISVSEUUGIWEUGZDUVNIBUW
        HUXCVLZUUGVLZRWFVRVFUWMUWRUVKUVOUVPUVQWGZUVMUVRUVKUXFUPUVRUVMUVNUUKIUVI
        UUHUUIUUJUWHUWSUVIVLZWHWIWJWKUVBUVSUVGIWLUGZUOZUUHUVGUOZUUIUVGUOUVJUVGU
        OAUVSUURUUTUUMUWAVFZAUXIUURUUTUUMAUVSUWEUXIUWAUWIUXHCFUVNIUWHUXHVLZKWMV
        OVFZUVBUVSUXIUWTBUVGUOZUXJUXKUXMAUWTUURUUTUUMUXBVFAUXNUURUUTUUMACUVGBAU
        VSUWECUVGVKUWAUWICFUVNIUWHKWNVOSVSZVFDUXHUUGUVGUXCIEBUXDUXERUXLWOWPUWLU
        XHUVGUVIIUUHUUIUXGUXLWQWPWRUWQWTAUVHUVFUKZUURUUTUUMPVFWSUUJJXAVDXBUVBUV
        KUVPUVDUUIUKUWBUWMUVNUUKIUUIJUWHUWSLXCVOXDUWKXEUVBBCUOZEDUXAUNZUOZUDUIZ
        UEUIZUUGUHZCUYAUMZUNZFUGZUOZXFZUDUXRXGUECXGZUVCXFZAUXQUURUUTUUMSVFAUXSU
        URUUTUUMTVFUVBUVTUWGUYHAUVTUURUUTUUMMVFAUWGUURUUTUUMNVFUVTUWGUWEUYHUEUV
        NUXCUUGUDCFDIVJGUWHUXEKUXDRQXHXIVOUYGUYIUXTBUUGUHZUUPUOZXFUEUDBECUXRUYA
        BUKZUYFUYKUYLUYBUYJUYEUUPUYABUXTUUGXKUYLUYDUUOFUYLUYCUUNCUYABXJXLXMXNXO
        UXTEUKZUYKUVCUYMUYJUUHUUPUXTEBUUGXPXQXOXRXSYAAUUPIXTUGZUOZUUQUYNUOZUUHU
        UPUUQIYBUGZUHZUOZUUMUCUUQYCUBUUPYCZAUVSUUPUXHUOZUYOUWAAUVSUUOUVNVKZVUAU
        WAACUVNUUNUWIYDZUXHUUOFUVNIUWHUXLKWMVOUXHUUPIUXLYEVOAUVSUUQUXHUOZUYPUWA
        AUVSUWOVUDUWAUWPUXHHFUVNIUWHUXLKWMVOUXHUUQIUXLYEVOAUUHCHYFZUUNUNZFUGZUY
        RUAAUYRUUOHYFZFUGZVUGAUVSVUBUWOUYRVUIUKUWAVUCUWPUYQUUOHFUVNIUWHKUYQVLZY
        GVRAVUHVUFFAHUUOYFZHCYFZUUNUNZVUHVUFAHUUNUQYKUKZVUKVUMUKABHUOZXFVUNAVUO
        BJUKZAVUOUPZBUVFUOVUPVUQBUVHUVFVUQUVGUUQBAUXNVUOUXOYHAHUUQBAUVSUWOHUUQV
        KUWAUWPHFUVNIUWHKWNVOYIWTAUXPVUOPYHWSBJXAVDVUQBJABJYLZVUOAUXQJCUOXFZVUR
        SAUVTUWGVUSMNCIJLYJVOBJCYMVOYHYNYOHBYPYQHCUUNYRVDUUOHYSVUEVULUUNCHYSYTU
        UBXMUUCUUDUYOUYPUPUYSUYTUBUCUUKUYQUUPUUQIUUHUWSVUJUUEUUAXSUUF $.
    $}

    $( Condition for the union of two independent sets to be an independent
       set.  (Contributed by Thierry Arnoux, 9-May-2023.) $)
    lindsun $p |- ( ph -> ( U u. V ) e. ( LIndS ` W ) ) $=
      ( vk vc wcel cfv eqid wa wfal ad3antrrr clmod cun cbs wss cv cvsca co csn
      cdif wn csca c0g wral clinds clvec lveclmod syl linds1 unssd wceq simpllr
      cin simpr simplr lindsunlem adantlr incom eqtr3id difeq1i fveq2i eleqtrdi
      uncom elun biimpi adantl mpjaodan an32s inegd ralrimivva islinds2 biimpar
      wo anasss syl12anc ) AEUAOZBDUBZEUCPZUDZMUEZNUEZEUFPZUGZWFWJUHZUIZCPZOZUJ
      ZMEUKPZUCPZWRULPZUHUIZUMNWFUMZWFEUNPZOZAEUOOZWEIEUPUQABDWGABXCOZBWGUDJWGE
      BWGQZURUQADXCOZDWGUDKWGEDXGURUQUSAWQNMWFXAAWJWFOZWIXAOZWQAXJXIWQAXJRZXIRW
      PXKWPXISXKWPRZXIRWJBOZSWJDOZXLXMSXIXLXMRWJBWSWICWTDEFGHAXEXJWPXMITAXFXJWP
      XMJTAXHXJWPXMKTABCPZDCPZVBZFUHZUTXJWPXMLTWTQZWSQZXLXMVCAXJWPXMVAXKWPXMVDV
      EVFXLXNSXIXLXNRZWJDWSWICWTBEFGHAXEXJWPXNITAXHXJWPXNKTAXFXJWPXNJTAXPXOVBZX
      RUTXJWPXNAYBXQXRXOXPVGLVHTXSXTXLXNVCAXJWPXNVAYAWLWODBUBZWMUIZCPXKWPXNVDWN
      YDCWFYCWMBDVLVIVJVKVEVFXIXMXNWBZXLXIYEWJBDVMVNVOVPVQVRVQWCVSWEXDWHXBRNWGW
      RWKMWFCWSEUAWTXGWKQGWRQXTXSVTWAWD $.
  $}

  ${
    $d B a b c u v x $.  $d J a b u v x $.  $d N a b u v x $.
    $d V a b c u v x $.  $d W a b c u v x $.  $d .0. a b c x $.
    lbsdiflsp0.j $e |- J = ( LBasis ` W ) $.
    lbsdiflsp0.n $e |- N = ( LSpan ` W ) $.
    lbsdiflsp0.1 $e |- .0. = ( 0g ` W ) $.
    $( The linear spans of two disjunct independent sets only have a trivial
       intersection.  This can be seen as the opposite direction of ~ lindsun .
       (Contributed by Thierry Arnoux, 17-May-2023.) $)
    lbsdiflsp0 $p |- ( ( W e. LVec /\ B e. J /\ V C_ B )
                          -> ( ( N ` ( B \ V ) ) i^i ( N ` V ) ) = { .0. } ) $=
      ( vu wcel cfv wceq wa co cmpt cgsu simpr eqid adantr vx va vv vb vc clvec
      wss cdif cin csn csca c0g cfsupp wbr cvsca cbs cmap cminusg simp-4r fveq2
      cv id oveq12d cbvmptv oveq2i eqtr4di cxp cun cres simp-8l ad6antr simp-5r
      wf simplr cvv fvexd ssexd elmapd syl1111anc clmod lveclmod ad2antrr lbsss
      biimpa ad2antlr ssdifssd 0ellsp syl2anc elfvexd disjdif fun2d undif sylib
      a1i feq2d mpbid ffund fsuppunbi mpbir2and cplusg ccmn lmodcmn syl ad9antr
      ad7antr ad8antr wfn elmapfn ad6antlr ad3antlr syl112anc adantlr ad3antrrr
      fvun1 ffvelrnd eqeltrd fvun2 biimpi ad8antlr eqcomd eleqtrd elun mpjaodan
      c0 sseldd lmodvscl syl3anc simp-9l oveq1d mpteq2dva oveq2d eqtrd syl2an2r
      wo wi anasss wrex ellspds syldan r19.29a eqbrtrrd mptscmfsupp0 gsumsplit2
      eqidd feqmptd cgrp lmodgrp 3syl sstrd lspssv elin2d grprinv 3eqtr2d breq1
      fveq1 mpteq2dv eqeq1d anbi12d eqeq1 imbi12d wral clinds lbslinds islinds5
      sselid syl21anc mpbird rspcdva mp2and reseq1d xpssres 3eqtr3d fveq1d fvex
      fnunres1 lmod0vs cmnd cmnmnd gsumz 3eqtrd csubg clss lspcl lsssubg elin1d
      fvconst2 subginvcl elind eqsnd 3impa ) EUFKZABKZDAUGZADUHZCLZDCLZUIZFUJMU
      WKUWLNZUWMNZUAUWQFUWSUAVAZUWQKZNZUBVAZEUKLZULLZUMUNZUWTEUCDUCVAZUXCLZUXGE
      UOLZOZPZQOZMZNZUWTFMZUBUXDUPLZDUQOZUXBUXCUXQKZNZUXFUXMUXOUXSUXFNZUXMNZUDV
      AZUXEUMUNZUWTEURLZLZEUCUWNUXGUYBLZUXGUXIOZPZQOZMZNZUXOUDUXPUWNUQOZUYAUYBU
      YLKZNZUYCUYJUXOUYNUYCNZUYJNZUWTEJDJVAZUXCLZUYQUXIOZPZQOZEJDFPZQOZFUYPUWTU
      XLVUAUXTUXMUYMUYCUYJUSUYTUXKEQJUCDUYSUXJUYQUXGMZUYRUXHUYQUXGUXIUYQUXGUXCU
      TVUDVBZVCVDVEVFZUYPUYTVUBEQUYPJDUYSFUYPUYQDKZNZUYSUXEUYQUXIOZFVUHUYRUXEUY
      QUXIVUHUYRUYQDUXEUJZVGZLZUXEVUHUYQUXCVUKUYPUXCVUKMVUGUYPUXCUYBVHZDVIZAVUJ
      VGZDVIZUXCVUKUYPVUMVUODUYPVUMUXEUMUNZEJAUYQVUMLZUYQUXIOZPZQOZFMZVUMVUOMZU
      YOVUQUYJUYOVUQUXFUYCUXSUXFUXMUYMUYCUSUYNUYCRUYOUXCUYBUXEUYOAUXPVUMUYODUWN
      VHZUXPVUMVMAUXPVUMVMZUYODUWNUXPUXCUYBUYOUWKUWLUWMUXRDUXPUXCVMZUWKUWLUWMUX
      AUXRUXFUXMUYMUYCVJZUWSUWLUXAUXRUXFUXMUYMUYCUWKUWLUWMVNZVKZUWSUWMUXAUXRUXF
      UXMUYMUYCUWRUWMRZVKZUXBUXRUXFUXMUYMUYCVLUWSUXRVVFUWSUXPDUXCVOVOUWSUXDUPVP
      ZUWSDABVVHVVJVQVRWDVSZUYOUWKUWLUWMUYMUWNUXPUYBVMZVVGVVIVVKUYAUYMUYCVNUWSU
      YMVVNUWSUXPUWNUYBVOVOVVLUWSFCUWNUWSEVTKZUWNEUPLZUGZFUWOKUWKVVOUWLUWMEWAZW
      BZUWSAVVPDUWLAVVPUGZUWKUWMABVVPEVVPSZGWCWEZWFZVVPUWNCEFIVWAHWGWHZWIVRWDVS
      ZDUWNUIYDMZUYODAWJZWNWKUYOVVDAUXPVUMUYOUWMVVDAMZVVKDAWLZWMWOWPZWQWRWSTZUY
      PVVAEJDVUSPZQOZEJUWNVUSPZQOZEWTLZOZFUYPAVVPDUWNVWPJEBVUSFVWAIVWPSZUWKEXAK
      ZUWLUWMUXAUXRUXFUXMUYMUYCUYJUWKVVOVWSVVREXBXCXDZUWSUWLUXAUXRUXFUXMUYMUYCU
      YJVVHXEZUYPUYQAKZNZVVOVURUXPKZUYQVVPKZVUSVVPKUWSVVOUXAUXRUXFUXMUYMUYCUYJV
      XBVVSXFVXCVUGVXDUYQUWNKZVXCVUGNZVURUYRUXPUYPVUGVURUYRMZVXBVUHUXCDXGZUYBUW
      NXGZVWFVUGVXHUYPVXIVUGUXRVXIUXBUXFUXMUYMUYCUYJUXCUXPDXHXIZTUYPVXJVUGUYMVX
      JUYAUYCUYJUYBUXPUWNXHXJZTVWFVUHVWGWNUYPVUGRZDUWNUXCUYBUYQXNXKZXLVXGDUXPUY
      QUXCUYOVVFUYJVXBVUGVVMXMVXCVUGRXOXPVXCVXFNZVURUYQUYBLZUXPUYPVXFVURVXPMZVX
      BUYPVXFNZVXIVXJVWFVXFVXQUYPVXIVXFVXKTUYPVXJVXFVXLTVWFVXRVWGWNUYPVXFRDUWNU
      XCUYBUYQXQXKZXLVXOUWNUXPUYQUYBUYOVVNUYJVXBVXFVWEXMVXCVXFRXOXPVXCUYQVVDKVU
      GVXFYNVXCUYQAVVDUYPVXBRZUYPAVVDMVXBUYPVVDAUWMVWHUWRUXAUXRUXFUXMUYMUYCUYJU
      WMVWHVWIXRXSXTZTYAUYQDUWNYBWMYCZVXCAVVPUYQUWSVVTUXAUXRUXFUXMUYMUYCUYJVXBV
      WBXFVXTYEZVURUXIUXDUXPVVPEUYQVWAUXDSZUXISZUXPSZYFYGUYPUXPAEUXDVURJUXIVVPB
      UYQFUXEVXAUYPUWKVVOUWKUWLUWMUXAUXRUXFUXMUYMUYCUYJYHZVVRXCZUYPUXDUUDVWAVYB
      VYCIUXESZVYEUYPVUMJAVURPUXEUMUYPJAUXPVUMUYOVVEUYJVWJTZUUEVWKUUAUUBVWFUYPV
      WGWNZVYAUUCUYPVWQVUAEJUWNVXPUYQUXIOZPZQOZVWPOUWTUYEVWPOZFUYPVWMVUAVWOVYNV
      WPUYPVWLUYTEQUYPJDVUSUYSVUHVURUYRUYQUXIVXNYIYJYKUYPVWNVYMEQUYPJUWNVUSVYLV
      XRVURVXPUYQUXIVXSYIYJYKVCUYPUWTVUAUYEVYNVWPVUFUYPUYEUYIVYNUYOUYJRVYMUYHEQ
      JUCUWNVYLUYGVUDVXPUYFUYQUXGUXIUYQUXGUYBUTVUEVCVDVEVFVCUYPEUUFKZUWTVVPKVYO
      FMUYPUWKVVOVYPVYGVVREUUGUUHUYPUWPVVPUWTUWSUWPVVPUGZUXAUXRUXFUXMUYMUYCUYJU
      WSVVODVVPUGZVYQVVSUWSDAVVPVVJVWBUUIZDCVVPEVWAHUUJWHXEUXBUWTUWPKZUXRUXFUXM
      UYMUYCUYJUXBUWOUWPUWTUWSUXARZUUKZVKZYEVVPVWPEUYDUWTFVWAVWRIUYDSZUULWHUUMY
      LUYPUEVAZUXEUMUNZEJAUYQWUELZUYQUXIOZPZQOZFMZNZWUEVUOMZYOZVUQVVBNZVVCYOUEU
      XPAUQOZVUMWUEVUMMZWULWUOWUMVVCWUQWUFVUQWUKVVBWUEVUMUXEUMUUNWUQWUJVVAFWUQW
      UIVUTEQWUQJAWUHVUSWUQWUGVURUYQUXIUYQWUEVUMUUOYIUUPYKUUQUURWUEVUMVUOUUSUUT
      UWSWUNUEWUPUVAZUXAUXRUXFUXMUYMUYCUYJUWSVVOVVTAEUVBLZKZWURVVSVWBUWSBWUSABE
      GUVCVVHUVEVVOVVTNWUTWURJVVPUXIUXDUXPFAEUXEUEVWAVYFVYDVYEIVYIUVDWDUVFXEUYP
      VUMWUPKVVEVYJUYPUXPAVUMVOBUYPUXDUPVPVXAVRUVGUVHUVIUVJUYPVXIVXJVWFVUNUXCMV
      XKVXLVYKDUWNUXCUYBUVOYGUWMVUPVUKMUWRUXAUXRUXFUXMUYMUYCUYJAVUJDUVKXSUVLTUV
      MVUHVUGVULUXEMVXMDUXEUYQUXDULUVNUWFXCYLYIUYPVVOVUGVXEVUIFMVYHVUHDVVPUYQUW
      SVYRUXAUXRUXFUXMUYMUYCUYJVUGVYSXFVXMYEUXIUXDUXEVVPEUYQFVWAVYDVYEVYIIUVPYM
      YLYJYKUYPEUVQKZDVOKVUCFMUYPVWSWVAVWTEUVRXCUYPUWTCDWUCWIDJEVOFIUVSWHUVTYPU
      XBUYKUDUYLYQZUXRUXFUXMUWSUXAUYEUWOKZWVBUXBUWOEUWALKZUWTUWOKWVCUWSVVOUXAUW
      OEUWBLZKZWVDVVSUWSWVFUXAUWSVVOVVQWVFVVSVWCWVEUWNCVVPEVWAWVESZHUWCWHTWVEUW
      OEWVGUWDYMUXBUWOUWPUWTWUAUWEUWOEUYDUWTWUDUWGWHUWSWVCWVBUWSUCVVPUXDUXIUXPE
      CUWNUYEUXEUDHVWAVYFVYDVYIVYEVVSVWCYRWDYSXMYTYPUWSUXAVYTUXNUBUXQYQZWUBUWSV
      YTWVHUWSUCVVPUXDUXIUXPECDUWTUXEUBHVWAVYFVYDVYIVYEVVSVYSYRWDYSYTUWSUWOUWPF
      VWDUWSVVOVYRFUWPKVVSVYSVVPDCEFIVWAHWGWHUWHUWIUWJ $.
  $}

  ${
    $d F b u v w x y $.  $d I b w $.  $d K b u v w x y $.  $d U b u v w x y $.
    $d V b u v w x y $.  $d .0. x y $.
    dimkerim.0 $e |- .0. = ( 0g ` U ) $.
    dimkerim.k $e |- K = ( V |`s ( `' F " { .0. } ) ) $.
    dimkerim.i $e |- I = ( U |`s ran F ) $.
    $( Given a linear map ` F ` between vector spaces ` V ` and ` U ` , the
       dimension of the vector space ` V ` is the sum of the dimension of ` F `
       's kernel and the dimension of ` F ` 's image.  Second part of theorem
       5.3 in [Lang] p. 141 This can also be described as the Rank-nullity
       theorem, ` ( dim `` I ) ` being the rank of ` F ` (the dimension of its
       image), and ` ( dim `` K ) ` its nullity (the dimension of its kernel).
       (Contributed by Thierry Arnoux, 17-May-2023.) $)
    dimkerim $p |- ( ( V e. LVec /\ F e. ( V LMHom U ) )
      -> ( dim ` V ) = ( ( dim ` K ) +e ( dim ` I ) ) ) $=
      ( wcel co wa cfv wceq eqid syl wss syl3anc syl2anc ad3antrrr vw clbs cxad
      vb vx vy vu vv clvec clmhm cv cldim c0 wne wex kerlmhm lbsex n0 sylib cun
      cdif chash cvv cin simpllr vex difexi disjdif hashunx simp-4l simpr undif
      a1i simplr eqeltrd dimval clspn cres cima imlmhm cress clmim cbs wf1o crn
      clmod clss simp-4r lmhmlmod2 lmhmrnlss imassrn eqsstrrid lveclmod ad4antr
      df-ima clinds lbslinds sselid difssd lindsss linds1 w3a syl31anc wf1 cghm
      biimpa ccnv csn c0g ad4antlr lbsss sstrd wfn fniniseg sylan adantr sseldd
      fvresd eqtr3d biimpar lbssp ad2antrr ad2antlr lsslsp 3eqtr4d eleqtrd cgrp
      ressbas2 eqtrd lmodgrp eqidd cplusg ad6antr fveq2d r19.29a mpbid sylanbrc
      3syl wrex lsslinds lspcl reslmhm reslmhm2b csubg lmghm lsssubg lmhmf ffnd
      resghm wf lspssv fnssres simpld simprd syl12anc elind lmhmkerlss cnvimass
      fssdm sseqtrrd ineq2d lbsdiflsp0 ad5ant145 ssrdv 0ellsp fvexd ghmid elsng
      ex elpreimad snssd eqssd cmnd grpmnd ress0g sneqd kerf1ghm f1eq123d f1ssr
      mpbird f1f1orn ad8antr simplbda oveq1d sseqtrd lmhmlvec2 ad9antr ffvelrnd
      lspss ghmlin eqtr2d grplid 3eqtr3d fnfvimad clsm simp-7l lsmsp2 lsmelvalx
      3eqtrrd r19.29vva fvelrnb eqelssd eqtr3id f1oeq3d f1oeq123d islmim islbs4
      frn lspssid lmimlbs cen wbr f1imaeng hasheni oveq12d wb islinds4 exlimddv
      ) EUIJZBEAUJKJZLZUAUKZDUBMZJZEULMZDULMZCULMZUCKZNZUAUYAUYCUMUNZUYDUAUOUYA
      DUIJZUYJABDEFGHUPZUYCDUYCOZUQPUAUYCURUSUYAUYDLZUYBUDUKZQZUYIUDEUBMZUYNUYO
      UYQJZLZUYPLZUYBUYOUYBVAZUTZVBMZUYBVBMZVUAVBMZUCKZUYEUYHUYTUYDVUAVCJZUYBVU
      AVDUMNZVUCVUFNUYAUYDUYRUYPVEZVUGUYTUYOUYBUDVFVGVMVUHUYTUYBUYOVHVMUYBVUAUY
      CVCVIRUYTUXSVUBUYQJUYEVUCNUXSUXTUYDUYRUYPVJUYTVUBUYOUYQUYTUYPVUBUYONUYSUY
      PVKZUYBUYOVLUSZUYNUYRUYPVNZVOVUBEUYQUYQOZVPSUYTUYFVUDUYGVUEUCUYTUYKUYDUYF
      VUDNUYAUYKUYDUYRUYPUYLTVUIUYBDUYCUYMVPSUYTUYGBVUAEVQMZMZVRZVUAVSZVBMZVUEU
      YTCUIJZVUQCUBMZJZUYGVURNUYAVUSUYDUYRUYPABCEIVTTUYTVUPEVUOWAKZCWBKJZVUAVVB
      UBMZJZVVAUYTVUPVVBCUJKJZVVBWCMZCWCMZVUPWDZVVCUYTAWFJZBWEZAWGMZJZVUPWEZVVK
      QZVUPVVBAUJKJZVVFUYTUXTVVJUXSUXTUYDUYRUYPWHZEABWIPUYTUXTVVMVVQEABWJPUYTVV
      NBVUOVSZVVKBVUOWOZVVRVVKQUYTBVUOWKVMZWLZUYTUXTVUOEWGMZJZVVPVVQUYTEWFJZVUA
      EWCMZQZVWCUXSVWDUXTUYDUYRUYPEWMZWNZUYTVUAEWPMZJZVWFUYTVWDUYOVWIJVUAUYOQVW
      JVWHUYTUYQVWIUYOUYQEVUMWQVULWRUYTUYOUYBWSZUYOVUAEWTRZVWEEVUAVWEOZXAPZVWBV
      UAVUNVWEEVWMVWBOZVUNOZUUAZSZVVBEAVWBBVUOVWOVVBOZUUBSVVJVVMVVOXBVVPVVFVVBA
      CVUPVVLVVKIVVLOUUCXFXCUYTVUOVVKVUPWDZVVIUYTVUOVVNVUPWDZVWTUYTVUOVVKVUPXDZ
      VXAUYTVUOAWCMZVUPXDZVVOVXBUYTVXDVVGVXCVUPXDZUYTVUPVVBAXEKJZVUPXGFXHZVSZVV
      BXIMZXHZNZVXEUYTBEAXEKJZVUOEUUDMJZVXFUXTVXLUXSUYDUYRUYPEABUUEZXJZUYTVWDVW
      CVXMVWHUYTVWDVWFVWCVWHUYTVUAUYOVWEVWKUYTUYRUYOVWEQZVULUYOUYQVWEEVWMVUMXKP
      ZXLZVWQSZVWBVUOEVWOUUFSEAVVBBVUOVWSUUISUYTVXHEXIMZXHZVXJUYTVXHVYAUYTUEVXH
      VYAUYTUEUKZVXHJZVYBVYAJUYTVYCLZVYBVUOBXGVXGVSZVDZVYAVYDVUOVYEVYBVYDVYBVUO
      JZVYBVUPMZFNZUYTVUPVUOXMZVYCVYGVYILZUYTBVWEXMZVUOVWEQZVYJUYTVWEVXCBUXTVWE
      VXCBUUJZUXSUYDUYRUYPVWEVXCEABVWMVXCOZUUGZXJZUUHZUYTVWDVWFVYMVWHVXRVUAVUNV
      WEEVWMVWPUUKZSZVWEVUOBUULSZVYJVYCVYKVUOFVYBVUPXNXFXOZUUMZVYDVYLVYBVWEJZVY
      BBMZFNZVYBVYEJZUYTVYLVYCVYRXPVYDVUOVWEVYBUYTVYMVYCVYTXPWUCXQVYDVYHWUEFVYD
      VYBVUOBWUCXRVYDVYGVYIWUBUUNXSVYLWUGWUDWUFLVWEFVYBBXNXTUUOUUPUYTVYFVYANVYC
      UYTVUOUYBVUNMZVDZVYFVYAUYTWUHVYEVUOUYNWUHVYENZUYRUYPUYNUYBDVQMZMZDWCMZWUH
      VYEUYNUYDWULWUMNUYAUYDVKZUYBUYCWUKWUMDWUMOZUYMWUKOZYAPUYNVWDVYEVWBJZUYBVY
      EQZWUHWULNUXSVWDUXTUYDVWGYBZUXTWUQUXSUYDEAVWBBVYEFVYEOGVWOUUQYCZUYNUYBWUM
      VYEUYNUYDUYBWUMQWUNUYBUYCWUMDWUOUYMXKPUXTVYEWUMNZUXSUYDUXTVYEVWEQZWVAUXTV
      WEVXCVYEBBVXGUURVYPUUSZVYEVWEDEHVWMYHPYCZUUTZVYEUYBVWBVUNWUKEDHVWPWUPVWOY
      DRWVDYEZYBUVAUXSUYRUYPWUIVYANUXTUYDUYOUYQVUNUYBEVXTVUMVWPVXTOZUVBUVCXSXPY
      FUVIUVDUYTVXTVXHUYTVUOVXTVXGVUPWUAUYTVWDVWFVXTVUOJZVWHVXRVWEVUAVUNEVXTWVG
      VWMVWPUVESZUYTVXTVUPMZVCJZWVJFNZWVJVXGJZUYTVXTVUPUVFUYTWVJVXTBMZFUYTVXTVU
      OBWVIXRUXTWVNFNZUXSUYDUYRUYPUXTVXLWVOVXNEABVXTFWVGGUVGPXJYIWVKWVMWVLWVJFV
      CUVHXTSUVJUVKUVLUYTVXTVXIUYTEUVMJZWVHVYMVXTVXINUYTVWDEYGJWVPVWHEYJEUVNYRW
      VIVYTVUOVWEEVVBVXTVWSVWMWVGUVORUVPYIVXFVXEVXKVVGVXCVVBAVUPVXIFVVGOZVYOVXI
      OGUVQXTSUYTVUOVVGVXCVXCVUPVUPUYTVUPYKZUYTVYMVUOVVGNZVYTVUOVWEVVBEVWSVWMYH
      ZPUYTVXCYKUVRUVTVWAVUOVXCVVKVUPUVSSZVUOVVKVUPUWAPUYTVVNVVKVUOVUPUYTVVNVVR
      VVKVVSUYTUFVVRVVKVVTUYTUFUKZVVKJZLZWUEWWBNZWWBVVRJZUEVWEWWDWUDLZWWELZVYBU
      GUKZUHUKZEYLMZKZNZWWFUGUHWUHVUOWWHWWIWUHJZLZWWJVUOJZLZWWMLZWWBWWJBMZVVRWW
      RWUEWWBWWSWWGWWEWWNWWPWWMWHWWRWWIBMZWWSAYLMZKZFWWSWXAKZWUEWWSWWRWWTFWWSWX
      AWWRVYLWWIVYEJZWWTFNZUYTVYLWWCWUDWWEWWNWWPWWMVYRYMZWWRWWIWUHVYEWWHWWNWWPW
      WMVEZUYNWUJUYRUYPWWCWUDWWEWWNWWPWWMWVFUWBYFVYLWXDWWIVWEJZWXEVWEFWWIBXNUWC
      SUWDWWRWUEWWLBMZWXBWWRVYBWWLBWWQWWMVKYNWWRVXLWXHWWJVWEJWXIWXBNUYTVXLWWCWU
      DWWEWWNWWPWWMVXOYMWWRWUHVWEWWIWWHWUHVWEQZWWNWWPWWMUYTWXJWWCWUDWWEUYTWUHUY
      OVUNMZVWEUYTVWDVXPUYPWUHWXKQVWHVXQVUJUYBUYOVUNVWEEVWMVWPUWIRUYTUYRWXKVWEN
      VULUYOUYQVUNVWEEVWMVUMVWPYAPZUWETZTWXGXQWWRVUOVWEWWJWWHVYMWWNWWPWWMUYTVYM
      WWCWUDWWEVYTTZTWWOWWPWWMVNZXQZWWKWXAEAWWIBWWJVWEVWMWWKOZWXAOZUWJRUWKWWRAY
      GJZWWSVXCJWXCWWSNUYAWXSUYDUYRUYPWWCWUDWWEWWNWWPWWMUYAAUIJVVJWXSABEUWFAWMA
      YJYRUWGWWRVWEVXCWWJBUYTVYNWWCWUDWWEWWNWWPWWMVYQYMWXPUWHVXCWXAAWWSFVYOWXRG
      UWLSUWMXSWWRVWEWWJVUOBWXFWXPWXOUWNVOWWHUXSWXJVYMVYBWUHVUOEUWOMZKZJZWWMUHV
      UOYSUGWUHYSZUXSUXTUYDUYRUYPWWCWUDWWEUWPWXMWXNWWHVYBVWEWYAWWDWUDWWEVNUYTVW
      EWYANWWCWUDWWEUYTWYAVUBVUNMZWXKVWEUYTVWDUYBVWEQVWFWYAWYDNVWHUYTUYBVYEVWEU
      YNWURUYRUYPWVEYBUXTWVBUXSUYDUYRUYPWVCXJXLVXRWXTUYBVUAVUNVWEEVWMVWPWXTOZUW
      QRUYTVUBUYOVUNVUKYNWXLUWSTYFUXSWXJVYMXBWYBWYCUGUHVWEWWKWXTWUHVUOEUIVYBVWM
      WXQWYEUWRXFXCUWTUYTVYLWWCWWEUEVWEYSZVYRVYLWWCWYFUEVWEWWBBUXAXFXOYOUXBUXCU
      XDYPUYTVUOVVGVVKVVHVUPVUPWVRUYTVYMWVSUYTVWDVWFVYMVWHVWNVYSSWVTPZUYTUXTVVK
      VVHNZVVQUXTVYNVVKVXCQWYHVYPVWEVXCBUXHVVKVXCCAIVYOYHYRPUXEYPVVGVVHVVBCVUPW
      VQVVHOUXFYQUYTVUAVVBWPMJZVUAVVBVQMZMZVVGNVVEUYTVWDVWCVUAVUOQZVWJWYIVWHVXS
      UYTVWDVWFWYLVWHVWNVUAVUNVWEEVWMVWPUXISZVWLVWDVWCWYLXBWYIVWJVUOVWBVUAEVVBV
      WOVWSYTXTXCUYTVUOWYKVVGUYTVWDVWCWYLVUOWYKNVWHVWRWYMVUOVUAVWBVUNWYJEVVBVWS
      VWPWYJOZVWOYDRWYGXSVVGVVDWYJVVBVUAWVQVVDOZWYNUXGYQVUAVVBCVUPVVDVUTWYOVUTO
      ZUXJSVUQCVUTWYPVPSUYTVXBWYLVWJVURVUENZWWAWYMVWLVXBWYLVWJXBVUQVUAUXKUXLWYQ
      VUOVVKVUAVUPVWIUXMVUQVUAUXNPRYIUXOYEUYNUYBVWIJZUYPUDUYQYSZUYNVWDWUQWURUYB
      DWPMZJZWYRWUSWUTWVEUYNUYCWYTUYBUYCDUYMWQWUNWRVWDWUQWURXBXUAWYRVYEVWBUYBED
      VWOHYTXFXCUXSWYRWYSUXPUXTUYDUYQEUYBUDVUMUXQYBYPYOUXR $.
  $}

  ${
    $d U x $.  $d W x $.  $d Y x $.
    qusdimsum.x $e |- X = ( W |`s U ) $.
    qusdimsum.y $e |- Y = ( W /s ( W ~QG U ) ) $.
    $( Let ` W ` be a vector space, and let ` X ` be a subspace.  Then the
       dimension of ` W ` is the sum of the dimension of ` X ` and the
       dimension of the quotient space of ` X ` .  First part of theorem 5.3 in
       [Lang] p. 141.  (Contributed by Thierry Arnoux, 20-May-2023.) $)
    qusdimsum $p |- ( ( W e. LVec /\ U e. ( LSubSp ` W ) ) -> ( dim ` W ) = (
       ( dim ` X ) +e ( dim ` Y ) ) ) $=
      ( vx clvec wcel cfv cldim cbs cqg co cress cxad wceq eqid syl cvv clss wa
      cec cmpt ccnv c0g csn cima crn clmhm clmod lveclmod adantr simpr dimkerim
      cv quslmhm syldan cnsg csubg lsssubg sylan lmodabl ablnsg eleqtrrd qusker
      cabl oveq2d eqtr4di fveq2d cqs cqus ovexd simpl quslem forn qusbas eqtr2d
      wfo a1i ovexi ressid ax-mp eqtr3di oveq12d eqtrd ) BHIZABUAJZIZUBZBKJZBGB
      LJZGUPBAMNZUCUDZUEDUFJZUGUHZONZKJZDWNUIZONZKJZPNZCKJZDKJZPNWGWIWNBDUJNIWK
      XBQWJGWNABDWLFWLRZWGBUKIZWIBULZUMWGWIUNWNRZUQDWNWTWQBWOWORZWQRWTRUOURWJWR
      XCXAXDPWJWQCKWJWQBAONZCWJABUSJZIZWQXJQWJABUTJZXKWGXFWIAXMIXGWHABWHRVAVBWJ
      BVGIZXKXMQWGXNWIWGXFXNXGBVCSUMBVDSVEXLWPABOGWNABDWLWOXEXHFXIVFVHSEVIVJWJW
      TDKWJDDLJZONZWTDWJXOWSDOWJWSWLWMVKZXOWJWLXQWNVSWSXQQWJGWMBDWNWLTHDBWMVLNQ
      WJFVTZWLWLQWJXEVTZXHWJBAMVMZWGWIVNZVOWLXQWNVPSWJWMBDWLTHXRXSXTYAVQVRVHDTI
      XPDQDBWMVLFWAXODTXORWBWCWDVJWEWF $.
  $}

  ${
    fedgmul.a $e |- A = ( ( subringAlg ` E ) ` V ) $.
    fedgmul.b $e |- B = ( ( subringAlg ` E ) ` U ) $.
    fedgmul.c $e |- C = ( ( subringAlg ` F ) ` V ) $.
    fedgmul.f $e |- F = ( E |`s U ) $.
    fedgmul.k $e |- K = ( E |`s V ) $.
    fedgmul.1 $e |- ( ph -> E e. DivRing ) $.
    fedgmul.2 $e |- ( ph -> F e. DivRing ) $.
    fedgmul.3 $e |- ( ph -> K e. DivRing ) $.
    fedgmul.4 $e |- ( ph -> U e. ( SubRing ` E ) ) $.
    fedgmul.5 $e |- ( ph -> V e. ( SubRing ` F ) ) $.
    ${
      fedgmullem.d $e |- D = ( j e. Y , i e. X |-> ( i ( .r ` E ) j ) ) $.
      fedgmullem.h $e |- H = ( j e. Y , i e. X |-> ( ( G ` j ) ` i ) ) $.
      fedgmullem.x $e |- ( ph -> X e. ( LBasis ` C ) ) $.
      fedgmullem.y $e |- ( ph -> Y e. ( LBasis ` B ) ) $.
      ${
        $d A i j u $.  $d A k l $.  $d B j $.  $d C i j $.  $d C g $.
        $d C w $.  $d D i j u v $.  $d D k $.  $d E i j u $.  $d E k l $.
        $d G g $.  $d G i j u v w $.  $d H i j u $.  $d H k l $.  $d L j $.
        $d U i $.  $d X g $.  $d X i j u v w $.  $d Y i j u v w $.  $d g i j $.
        $d i j ph u v w $.  $d i j $.  $d k l ph $.
        fedgmullem1.a $e |- ( ph -> Z e. ( Base ` A ) ) $.
        fedgmullem1.l $e |- ( ph -> L : Y --> ( Base ` ( Scalar ` B ) ) ) $.
        fedgmullem1.1 $e |- ( ph -> L finSupp ( 0g ` ( Scalar ` B ) ) ) $.
        fedgmullem1.z $e |- ( ph
          -> Z = ( B gsum ( j e. Y |-> ( ( L ` j ) ( .s ` B ) j ) ) ) ) $.
        fedgmullem1.g $e |- ( ph -> G : Y --> ( ( Base ` ( Scalar ` C ) ) ^m X
          ) ) $.
        fedgmullem1.2 $e |- ( ( ph /\ j e. Y )
          -> ( G ` j ) finSupp ( 0g ` ( Scalar ` C ) ) ) $.
        fedgmullem1.3 $e |- ( ( ph /\ j e. Y ) -> ( L ` j )
          = ( C gsum ( i e. X |-> ( ( ( G ` j ) ` i ) ( .s ` C ) i ) ) ) ) $.
        $( Lemma for ~ fedgmul .  (Contributed by Thierry Arnoux,
           20-Jul-2023.) $)
        fedgmullem1 $p |- ( ph -> ( H finSupp ( 0g ` ( Scalar ` A ) )
          /\ Z = ( A gsum ( H oF ( .s ` A ) D ) ) ) ) $=
          ( vw vg vv vu vl vk csca cfv c0g cfsupp wbr cvsca cof co cgsu cbs cxp
          wceq cmap wcel csupp cv ciun cfn wss wf wa simplr ffvelrnd syl anasss
          wral simprr csra a1i csubrg biimpa syl2anc simpld eqid subrgss srasca
          cress syl5eq eqtr3d ad2antrr eleqtrrd ralrimivva fmpo sylib cvv fvexd
          fveq2d clbs adantr simpl ffvelrnda simpr ralrimiva cdr 3syl fsuppimpd
          cmpt syldan 3eqtr3d wi oveq1d oveq2d imbi12d syl3anc weq fveq2 eqtr2d
          mpteq2dva sseldd srabase sravsca oveqd ringcl cmpo ovexd wfun simpllr
          csn elmapi subsubrg simprd ressabs oveq1i 3eqtr4g xpexd elmapd mpbird
          mpdan feq3d biimpar ffund cgrp drngring ringgrp grpidcl eldifad ssidd
          cdif suppssr drgext0g breq1 fveq1 mpteq2dv eqeq1d anbi12d eqeq1 clmod
          crg clinds clvec eqeltrd sralvec lveclmod lbsss clspn islbs4 islinds5
          syl21anc rspcdva mpand imp suppss ssfid suppssdm sselda eleq1w anbi2d
          fssdm breq1d chvarvv iunfi xpfi fveq1d cbvmptv eqtrdi suppovss subrg0
          feqmptd ressbas2 eqsstrrd fssd iuneq12d xpeq12d 3sstr3d suppssfifsupp
          feq1d eqtrd syl32anc breqtrd drgextgsum cmulr csubg csubmnd subrgsubg
          subgsubm lmodvscl fmpttd gsumsubm ressmulr sstrd sseqtrrd syl13anc wb
          ringass cplusg mpbid rmfsupp2 gsummulc1 3eqtr4rd w3a offval22 ovmpt4g
          breq2d ccmn ringcmn eqsstrd simprl inidm off ringlz offinsupp1 gsumxp
          eleqtrd ofeqd 3eqtr2rd elfvexd gsumsra 3eqtr2d jca ) ALBVFVGZVHVGZVIV
          JRBLEBVKVGZVLZVMZVNVMZVQALIVHVGZVUPVIALVUOVOVGZQPVPZVRVMZVSZLUUAVVAIV
          OVGZVSZKPDVFVGZVHVGZUUCVPZVTVMZUTVVKUTWAZKVGZVVIVTVMZWBZVPZWCVSZLVVAV
          TVMZVVPWDLVVAVIVJAQVVHVOVGZPVRVMZKWEZVVEUQAVWAWFZVVEVVCVVBLWEZVWBGWAZ
          HWAZKVGZVGZVVBVSZGPWKZHQWKZVWCVWBVWHHGQPVWBVWEQVSZVWDPVSZWFZWFZVWGVVS
          VVBVWNPVVSVWDVWFVWBVWKVWLPVVSVWFWEZVWBVWKWFVWLWFZVWFVVTVSZVWOVWPQVVTV
          WEKAVWAVWKVWLUUBVWBVWKVWLWGWHVWFVVSPUUDZWIWJVWBVWKVWLWLWHAVVBVVSVQVWA
          VWMAVUOVVHVOAMVUOVVHAMIOXBVMZVUOUCABOIBOIWMVGZVGVQASWNZAOIWOVGZVSZOVV
          FWDZAVXCOFWDZAFVXBVSZOJWOVGVSZVXCVXEWFZUGUHVXFVXGVXHFOIJUBUUEWPWQZWRZ
          OVVFIVVFWSZWTWIZXAXCAJOXBVMZMVVHAIFXBVMZOXBVMZVWSVXMMAVXFVXEVXOVWSVQU
          GAVXCVXEVXIUUFFOIVXBUUGWQJVXNOXBUBUUHUCUUIZADOJDOJWMVGVGVQAUAWNZAVXGO
          JVOVGZWDUHOVXRJVXRWSWTWIZXAXDZXDZXLZXEXFXGHGQPVWGVVBLUJXHZXIVWBVVBVVC
          LXJXJVWBVUOVOXKAVVCXJVSVWAAQPCXMVGZDXMVGZULUKUUJZXNUUKUULUUMAVVCVVBLA
          VWJVWCAVWIHQAVWKWFZVWHGPVYGVWLWFZPVVBVWDVWFVYHAVWOPVVBVWFWEZVYGAVWLAV
          WKXOXNVYGVWOVWLVYGVWQVWOAQVVTVWEKUQXPZVWRWIZXNAVYIVWOAVVBVVSVWFPVYBUU
          NUUOWQVYGVWLXQZWHXRXRVYCXIZUUPAIUVMVSZIUUQVSVVGAIXSVSVYNUDIUURWIZIUUS
          VVFIVVAVXKVVAWSZUUTXTZAVVKWCVSZVVOWCVSZVVQANCVFVGZVHVGZVTVMZVVKANWUAU
          OYAAQVVTHKWUBVVJUQAVWEQWUBUVCVSZWFZAVWKDGPVWGVWDDVKVGZVMZYBZVNVMZDVHV
          GZVQZVWFVVJVQZAWUCXOWUDVWEQWUBAWUCXQUVAZWUDVWENVGZWUAWUHWUIAQVYTVOVGX
          JNVYDWUBVWEWUAUNAWUBUVBULAVYTVHXKUVDAWUCVWKWUMWUHVQWULUSYCAWUAWUIVQWU
          CAJVHVGWUAWUIAJVYTVHAJVXNVYTUBACFICFVWTVGVQATWNZAVXFFVVFWDZUGFVVFIVXK
          WTWIZXAXCXLADOJUAUEUHUVEXDXNYDVYGWUJWUKVYGVWFVVIVIVJZWUJWUKURVYGVAWAZ
          VVIVIVJZDGPVWDWURVGZVWDWUEVMZYBZVNVMZWUIVQZWFZWURVVJVQZYEZWUQWUJWFZWU
          KYEVAVVTVWFWURVWFVQZWVEWVHWVFWUKWVIWUSWUQWVDWUJWURVWFVVIVIUVFWVIWVCWU
          HWUIWVIWVBWUGDVNWVIGPWVAWUFWVIWUTVWGVWDWUEVWDWURVWFUVGYFUVHYGUVIUVJWU
          RVWFVVJUVKYHVYGDUVLVSZPDVOVGZWDZPDUVNVGVSZWVGVAVVTWKZAWVJVWKADUVOVSZW
          VJAJXSVSVXMXSVSVXGWVOUEAVXMMXSVXPUFUVPZUHDOJVXMUAVXMWSZUVQYIDUVRWIZXN
          AWVLVWKAPVYEVSZWVLUKPVYEWVKDWVKWSZVYEWSZUVSWIZXNAWVMVWKAWVMPDUVTVGZVG
          WVKVQZAWVSWVMWWDWFUKWVKVYEWWCDPWVTWWAWWCWSUWAXIWRXNWVJWVLWFWVMWVNGWVK
          WUEVVHVVSWUIPDVVIVAWVTVVSWSZVVHWSZWUEWSZWUIWSVVIWSUWBWPUWCVYJUWDUWEUW
          FUWCUWGUWHZAVYRVVNWCVSZUTVVKWKVYSWWHAWWIUTVVKAVVLVVKVSVVLQVSZWWIAVVKQ
          VVLAQVVTVVKKKVVJUWIUQUWMUWJAWWJWFZVVMVVIVYGWUQYEWWKVVMVVIVIVJZYEHUTHU
          TYJZVYGWWKWUQWWLWWMVWKWWJAHUTQUWKUWLWWMVWFVVMVVIVIVWEVVLKYKUWNYHURUWO
          YAYCXRUTVVKVVNUWPWQVVKVVOUWQWQALVVIVTVMVBQVCPVCWAZVBWAZKVGZVGZYBZYBZV
          VJVTVMZUTWWTVVLWWSVGZVVIVTVMZWBZVPVVRVVPAHGQPVWGXJUTLWWSVYDVYEVVIUJVB
          HQWWRGPVWGYBZVBHYJZWWRVCPWWNVWFVGZYBWXDWXEVCPWWQWXFWXEWWNWWPVWFWWOVWE
          KYKUWRUVHVCGPWXFVWGWWNVWDVWFYKUWSUWTUWSULUKAVVHVHXKAVWMWFVWDVWFXKUXAA
          VVIVVALVTAVVAMVHVGZVVIAVXCVVAWXGVQVXJOIMVVAUCVYPUXBWIAMVVHVHVXTXLYLZY
          GAWWTVVKWXCVVOAWWSKVVJVTAKVBQWWPYBWWSAVBQVVTKUQUXCAVBQWWPWWRAWWOQVSZW
          FZVCPVVFWWPVYGPVVFVWFWEZYEWXJPVVFWWPWEZYEHVBHVBYJZVYGWXJWXKWXLWXMVWKW
          XIAHVBQUWKUWLWXMPVVFVWFWWPVWEWWOKYKUXKYHVYGPVVSVVFVWFVYKAVVSVVFWDZVWK
          AVVSOVVFAOMVOVGZVVSAVXDOWXOVQVXLOVVFMIUCVXKUXDWIAMVVHVOVXTXLUXLVXLUXE
          ZXNUXFZUWOUXCYMYLZYFZAUTWWTVVKWXBVVNWXSAWXAVVMVVIVTAVVLWWSKWXRUWRYFUX
          GUXHUXIVVPLVVDVVFVVAUXJUXMZAVUPVVIVVAAVUOVVHVHVYAXLWXHYLUXNARCHQWUMVW
          ECVKVGZVMZYBZVNVMIWYCVNVMZVUTUPACFHIJVYDQWYBTUDUGUBUEULUXOAIVUSVNVMZW
          YDVUTAWYDIHQIGPVWEVWDLEIUXPVGZVLZVMZVMZYBZVNVMZYBZVNVMIWYHVNVMWYEAWYC
          WYLIVNAHQWYBWYKVYGWUMVWEWYFVMZIGPVWGVWDVWEWYFVMZWYFVMZYBZVNVMZWYBWYKV
          YGIGPVWGVWDWYFVMZYBZVNVMZVWEWYFVMZWUHVWEWYFVMWYQWYMVYGWYTWUHVWEWYFVYG
          IWUGVNVMJWUGVNVMZWYTWUHVYGPFWUGIJVYEAWVSVWKUKXNZVYGVXFFIUXQVGVSFIUXRV
          GVSAVXFVWKUGXNFIUXSFIUXTXTVYGGPWUFFVYHWUFWVKFVYHWVJVWGVVSVSVWDWVKVSWU
          FWVKVSAWVJVWKVWLWVRXEVYGPVVSVWDVWFVYKXPZVYHPWVKVWDAWVLVWKVWLWWBXEVYLY
          NVWGWUEVVHVVSWVKDVWDWVTWWFWWGWWEUYAYIAFWVKVQVWKVWLAFVXRWVKAWUOFVXRVQW
          UPFVVFJIUBVXKUXDWIADOJVXQVXSYOUXLZXEXFUYBUBUYCVYGWUGWYSIVNVYGGPWUFWYR
          VYHWUEWYFVWGVWDAWUEWYFVQVWKVWLAWYFJUXPVGZWUEAVXFWYFXUFVQUGFIJWYFVXBUB
          WYFWSZUYDWIADOJVXQVXSYPYLXEYQYMYGAXUBWUHVQVWKADOGJVXMVYEPWUFUAUEUHWVQ
          WVPUKUXOXNYDYFVYGIGPWYRVWEWYFVMZYBZVNVMWYQXUAVYGXUIWYPIVNVYGGPXUHWYOV
          YHVYNVWGVVFVSZVWDVVFVSZVWEVVFVSZXUHWYOVQAVYNVWKVWLVYOXEZVYHVVSVVFVWGA
          WXNVWKVWLWXPXEXUDYNZVYHPVVFVWDAPVVFWDVWKVWLAPWVKVVFWWBAWVKFVVFXUEWUPU
          XEUYEXEVYLYNZVYHQVVFVWEAQVVFWDVWKVWLAQCVOVGZVVFAQVYDVSQXUPWDZULQVYDXU
          PCXUPWSVYDWSUVSWIZACFIWUNWUPYOZUYFXEAVWKVWLWGZYNZVVFIWYFVWGVWDVWEVXKX
          UGUYIUYGYMYGVYGPVVFIUYJVGZIWYFGVYEWYRVWEVVAVXKVYPXVBWSXUGAVYNVWKVYOXN
          ZXUCVYGQVVFVWEVYGQXUPVVFAXUQVWKXURXNAVVFXUPVQVWKXUSXNUYFAVWKXQYNVYHVY
          NXUJXUKWYRVVFVSXUMXUNXUOVVFIWYFVWGVWDVXKXUGYRYIVYGGVWFVWDVVFIPVYEVXKX
          VCXUCXUOWXQVYGWUQVWFVVAVIVJZURAWUQXVDUYHVWKAVVIVVAVWFVIWXHUYRXNUYKUYL
          UYMXDVYGWUMWUHVWEWYFUSYFUYNVYGWYFWYAWUMVWEAWYFWYAVQVWKACFIWUNWUPYPXNY
          QVYGWYPWYJIVNVYGGPWYOWYIVYHWYIVWEVWDHGQPWYOYSZVMZWYOAWYIXVFVQVWKVWLAW
          YHXVEVWEVWDAHGQPVWGWYNWYFLEVYDVYEXJXJULUKAVWKVWLUYOZVWDVWFXKXVGVWDVWE
          WYFYTLHGQPVWGYSVQAUJWNEHGQPWYNYSVQAUIWNUYPYQXEVYHVWKVWLWYOXJVSXVFWYOV
          QXUTVYLVYHVWGWYNWYFYTHGQPWYOXVEXJXVEWSUYQYIYLYMYGYDYMYGAQVVFPHGWYHIVY
          DVYEVVAVXKVYPAVYNIUYSVSVYOIUYTWIULUKAVDVEVVCVVCVVCWYFVVBBVOVGZVVFLEXJ
          XJAVDWAZVVBVSZVEWAZXVHVSZWFZWFZVYNXVIVVFVSXVKVVFVSXVIXVKWYFVMVVFVSAVY
          NXVMVYOXNXVNVVBVVFXVIAVVBVVFWDXVMAVVBVVSVVFVYBWXPVUAXNAXVJXVLVUBYNXVN
          XVKXVHVVFAXVJXVLWLAVVFXVHVQZXVMABOIVXAVXLYOZXNXFVVFIWYFXVIXVKVXKXUGYR
          YIVYMAWYNXVHVSZGPWKHQWKVVCXVHEWEAXVQHGQPAVWKVWLXVQVYHWYNVVFXVHVYHVYNX
          UKXULWYNVVFVSXUMXUOXVAVVFIWYFVWDVWEVXKXUGYRYIAXVOVWKVWLXVPXEVUHWJXGHG
          QPWYNXVHEUIXHXIZVYFVYFVVCVUCVUDAVCVVCWYFVVBXVHVVFLEXJVVFVVAVVAVYFVYQV
          YQVYMXVRWXTAWWNXVHVSZWFZVYNWWNVVFVSVVAWWNWYFVMVVAVQAVYNXVSVYOXNXVTWWN
          XVHVVFAXVSXQAXVOXVSXVPXNXFVVFIWYFWWNVVAVXKXUGVYPVUEWQVUFVUGAWYHVUSIVN
          AWYGVURLEAWYFVUQABOIVXAVXLYPVUIYQYGVUJABOIXJVUSXSXJSALEVURYTUDARVOBUM
          VUKVXLVULXDVUMVUN $.
      $}

      ${
        $d A b i j $.  $d A i j w $.  $d A k x $.  $d A l $.  $d A y $.
        $d A z $.  $d B b i j $.  $d C i $.  $d C x y $.  $d D x i j $.
        $d E i j $.  $d U i $.  $d U x y $.  $d W b i j $.  $d W k x $.
        $d W w $.  $d W z $.  $d X b i j $.  $d X k z $.  $d X l $.  $d X w $.
        $d Y b i j $.  $d Y k z $.  $d Y l $.  $d Y w $.  $d i j k l ph $.
        $d i z $.  $d k ph x $.  $d ph w $.  $d ph y $.
        fedgmullem2.1 $e |- ( ph
                -> W e. ( Base ` ( ( Scalar ` A ) freeLMod ( Y X. X ) ) ) ) $.
        fedgmullem2.2 $e |- ( ph
                -> ( A gsum ( W oF ( .s ` A ) D ) ) = ( 0g ` A ) ) $.
        $( Lemma for ~ fedgmul .  (Contributed by Thierry Arnoux,
           20-Jul-2023.) $)
        fedgmullem2 $p |- ( ph -> W = ( ( Y X. X ) X. { ( 0g ` ( Scalar ` A ) )
          } ) ) $=
          ( vk vl vw vx vy vz vb csca cfv c0g cmpo wceq cv co wral wcel wa cmpt
          cxp cfsupp wbr cvsca cgsu wi cbs clmod wss clinds clvec csubrg biimpa
          cdr syl2anc sralvec syl3anc lveclmod syl subrgss ressbas2 a1i srabase
          cmap eqid eqtrd cress csubg subrgsubg drgextvsca oveqdr adantr srasca
          sseqtrd eqtr3d fveq2d 3eqtr3rd sseldd cplusg 3eqtr3d eleqtrd syl21anc
          cvv ovexd w3a fvexd wf wb simpr eqidd oveq1d ad2antrr oveqd mpteq2dva
          oveq2d drgextgsum wne crab cfn mptexd fmpttd ovex rgenw mpteqb eqeq1d
          wn ax-mp sylib 3ad2ant1 csn subsubrg simpld clbs lbsss eqsstrrd sstrd
          csra clss srasubrg cmulr simprd simprl ressabs oveq1i 3eqtr4g 3eqtr4d
          syl5eq eleqtrrd simprr subrgmcl eqeltrrd ralrimivva syl12anc sseqtrrd
          islss4 biimpar lbslinds sselid resssca sraaddg eqeltrd lmodvscl 3expb
          ressplusg ressvsca ressmulr lindspropd lsslinds syl31anc islinds5 wfn
          sylan cfrlm xpexd frlmelbas elmapd ffnd cmnd drngring ringmnd subg0cl
          mpbid crg ress0g breqtrrd fsuppcurry1 breqtrd fovrnda anassrs fvmpt2d
          wfun csupp cabl lmodabl 3eltr4d mptscmfsupp0 gsumsubgcl ffund cdm cop
          subrg0 wrex fconstmpt eqeq2i bitri necon3abii df-ov eqcomi necon3abid
          rexbidva rexnal bitr2di syl5bb rabbidva fveq2 dmrab eqtr4di suppvalfn
          neeq1d fsuppimpd dmfi cdif nfv nfcv nfmpt1 nfrabw nfdif nfcri eldifad
          nfne nfan eldifbd oveq1 mpteq2dv elrab sylnib mpnanrd eqtrdi r19.21bi
          weq nne drgext0g drgext0gsca syldanl 3eqtrd mpteq2da cgrp ablgrp 3syl
          lmod0vs grpmnd gsumz suppss2 suppssfifsupp syl32anc oveq123d cof ccmn
          sraring ringcmn ringcl fmpo lcomf lcomfsupp gsumxp eqsstrd fssd simp2
          simp3 fovrnd 3impb ringass syl13anc mpoeq3dva offval22 ofeqd 3eqtr2rd
          simplr ovmpt4g sselda 3brtr4d gsummulc1 gsumsra 3eqtr2d breq1 anbi12d
          fnov nfeq2 fveq1 eqeq1 imbi12d elmapg mp2and jca mpbird breq1d fveq1d
          rspcdva rspcdv mp2d ralrimiva fnmpoovd fconstmpo ) AOUNUOQPBVAVBZVCVB
          ZVDZQPVLZVXPUUAZVLAOVXQVEHVFZGVFZOVGZVXPVEZGPVHZHQVHAVYDHQAVXTQVIZVJZ
          GPVYBVKZGPVXPVKZVEZVYDVYFVYGPVXSVLZVYHVYFUPVFZVXPVMVNZBGPVYAVYKVBZVYA
          BVOVBZVGZVKZVPVGZBVCVBZVEZVJZVYKVYJVEZVQZUPVXOVRVBZPWOVGZVHZVYGVXPVMV
          NZBGPVYAVYGVBZVYAVYNVGZVKZVPVGZVYRVEZVJZVYGVYJVEZAWUEVYEABVSVIZPBVRVB
          ZVTZPBWAVBVIZWUEABWBVIZWUNAIWEVIZMWEVIZNIWCVBZVIZWURUCUEAWVBNFVTZAFWV
          AVIZNJWCVBVIZWVBWVCVJZUFUGWVDWVEWVFFNIJUAUUBWDWFZUUCZBNIMRUBWGWHBWIWJ
          ZAPDVRVBZWUOAPDUUDVBZVIZPWVJVTZUJPWVKWVJDWVJWPZWVKWPZUUEWJZAWVJIVRVBZ
          WUOAWVJFWVQAFJVRVBZWVJAFWVQVTZFWVRVEAWVDWVSUFFWVQIWVQWPZWKWJZFWVQJIUA
          WVTWLWJZADNJDNJUUHVBVBVEATWMZAWVENWVRVTUGNWVRJWVRWPWKWJZWNZWQZWWAUUFZ
          ABNIBNIUUHVBZVBVEARWMZAWVBNWVQVTZWVHNWVQIWVTWKWJZWNZXEUUGAWUNFBUUIVBZ
          VIZPFVTZPBFWRVGZWAVBZVIZWUQWVIAWUNFBWSVBVIZUQVFZURVFZVYNVGZFVIZURFVHU
          QWUCVHZWWNWVIAFBWCVBVIWWSABNFIWWIUFWWKUUJFBWTWJAWXCUQURWUCFAWWTWUCVIZ
          WXAFVIZVJZVJZWWTWXAIUUKVBZVGZWXBFAWXGUQURWXIVYNABNIRUCWVHXAZXBWXHWVDW
          WTFVIWXFWXJFVIAWVDWXGUFXCWXHNFWWTAWVCWXGAWVBWVCWVGUULZXCWXHWWTWUCNAWX
          EWXFUUMANWUCVEWXGAMVRVBZDVAVBZVRVBZNWUCAMWXNVRAJNWRVGZMWXNAIFWRVGZNWR
          VGZINWRVGZWXPMAWVDWVCWXRWXSVEUFWXLFNIWVAUUNWFJWXQNWRUAUUOUBUUPZADNJWW
          CWWDXDZXFZXGZAWWJNWXMVEWWKNWVQMIUBWVTWLWJZAVXOWXNVRAWXPMWXNVXOWXTWYAA
          MWXSVXOUBABNIWWIWWKXDUURXHZXGZUUQXCUUSXIAWXEWXFUUTFIWXIWWTWXAWXIWPZUV
          AWHUVBUVCWUNWWNWWSWXDVJWUCWWMVYNFVXOWUOBUQURVXOWPZWUCWPZWUOWPZVYNWPZW
          WMWPZUVFUVGUVDAPWVJFWVPWWFUVEAPDWAVBZWWQAWVKWYMPWVKDWVOUVHUJUVIAUQURD
          WWPWBXNAFWVRWWPVRVBZWVJWWBAFWUOVTFWYNVEAFWVQWUOWWAWWLXEFWUOWWPBWWPWPZ
          WYJWLWJWWEXHAWXNWWPVAVBZVRAVXOWXNWYPWYEAWVDVXOWYPVEUFFVXOBWWPWVAWYOWY
          HUVJWJXFZXGAWXNWYPVCWYQXGAWWTWVJVIWXAWVJVIZVJUQURDXJVBZWWPXJVBZAWYSBX
          JVBZWYTAIXJVBZJXJVBZXUAWYSAWVDXUBXUCVEUFFXUBIJWVAUAXUBWPZUVOWJABNIWWI
          WWKUVKADNJWWCWWDUVKXHAWVDXUAWYTVEUFFXUABWWPWVAWYOXUAWPUVOWJWQXBADVSVI
          ZWWTWXOVIZWYRVJZWWTWXADVOVBZVGWVJVIZADWBVIZXUEAJWEVIZWXPWEVIWVEXUJUDA
          WXPMWEWXTUEUVLUGDNJWXPTWXPWPWGWHZDWIWJZXUEXUFWYRXUIWWTXUHWXNWXOWVJDWX
          AWVNWXNWPZXUHWPZWXOWPZUVMUVNUWCAXUGUQURXUHWWPVOVBZAVYNCVOVBZXUQXUHAWX
          IVYNXURWXKACFISUCUFXAZXFZAWVDVYNXUQVEUFFVYNBWWPWVAWYOWYKUVPWJAWXIJUUK
          VBZXURXUHAWVDWXIXVAVEUFFIJWXIWVAUAWYGUVQWJXUSADNJTUDUGXAXKZXHXBXULABF
          WRXOUVRXLWUNWWNWWOXPWWRWUQFWWMPBWWPWYLWYOUVSWDUVTWUNWUPVJWUQWUEGWUOVY
          NVXOWUCVYRPBVXPUPWYJWYIWYHWYKVYRWPZVXPWPZUWAWDXMXCVYFWUFWUKVYFVYGJVCV
          BZVXPVMVYFGQPVXTXNOVYGCUUDVBZWVKXVEVYGWPVYFJVCXQAQXVFVIZVYEUKXCAWVLVY
          EUJXCZAOVXRUWBZVYEAVXRWUCOAOWUCVXRWOVGVIZVXRWUCOXRZAXVJOVXPVMVNZAOVXO
          VXRUWDVGZVRVBZVIZXVJXVLVJZULAVXOXNVIVXRXNVIZXVOXVPXSABVAXQAQPXVFWVKUK
          UJUWEZXVNVXOXVMVXRWUCXNXNOVXPXVMWPWYIXVDXVNWPUWFWFUWMZUUCAWUCVXROXNXN
          AVXOVRXQXVRUWGUWMZUWHZXCAVYEXTAOXVEVMVNVYEAOVXPXVEVMAXVJXVLXVSUULZAIV
          CVBZXVEVXPAIUWIVIZXWCFVIWVSXWCXVEVEAIUWNVIZXWDAWUSXWEUCIUWJWJZIUWKWJA
          NFXWCWXLANIWSVBVIZXWCNVIAWVBXWGWVHNIWTWJNIXWCXWCWPZUWLWJXIWWAFWVQIJXW
          CUAWVTXWHUWOWHAMVCVBZWXNVCVBXWCVXPAMWXNVCWYBXGAWVBXWCXWIVEWVHNIMXWCUB
          XWHUXLWJAVXOWXNVCWYEXGUUQZXFZUWPXCUWQZAXVEVXPVEVYEXWKXCUWRVYFWUJCGPVY
          BVYAXURVGZVKZVPVGZCVAVBZVCVBZVYRVYFWUJBXWNVPVGZXWOVYFWUIXWNBVPVYFGPWU
          HXWMVYFVYAPVIZVJZWUHVYBVYAVYNVGZXWMXWTWUGVYBVYAVYNVYFGPVYBVYGWUCVYFVY
          GYAAVYEXWSVYBWUCVIAVXTVYAWUCQPOXVTUWSUWTZUXAYBXWTVYNXURVYBVYAAVYNXURV
          EZVYEXWSXUTYCYDWQYEYFVYFIXWNVPVGXWRXWOVYFBNGIMWVKPXWMRAWUSVYEUCXCZAWV
          BVYEWVHXCUBAWUTVYEUEXCXVHYGVYFCFGIJWVKPXWMSXXDAWVDVYEUFXCUAAXUKVYEUDX
          CXVHYGXFZWQAXWOXWQVEZHQAHQXWOVKZHQXWQVKZVEZXXFHQVHZAXXGQXWQUUAVLZXXHA
          XXGXWQVMVNZCHQVXTXXGVBZVXTXURVGZVKZVPVGZCVCVBZVEZXXGXXKVEZAXXGXNVIXXG
          UXBXWQXNVIGPUNVFZVYAOVGZVKZVYJYHZUNQYIZYJVIXXGXWQUXCVGXYDVTXXLAHQXWOX
          VFUKYKAQXWPVRVBZXXGAHQXWOXYEVYFXWOFXYEVYFPFXWNCWVKXXQXXQWPZVYFCVSVIZC
          UXDVIZAXYGVYEACWBVIZXYGAWUSXUKWVDXYIUCUDUFCFIJSUAWGWHCWIWJZXCZCUXEZWJ
          XVHAFCWSVBVIZVYEAFCWCVBVIXYMACFFICFWWHVBVEASWMZUFWWAUUJFCWTWJXCVYFGPX
          WMFXWTVYBVYAXUHVGZWVJXWMFXWTXUEVYBWXOVIVYAWVJVIXYOWVJVIAXUEVYEXWSXUMY
          CXWTVYBWUCWXOXXBAWUCWXOVEVYEXWSWYFYCXLZXWTPWVJVYAAWVMVYEXWSWVPYCVYFXW
          SXTZXIVYBXUHWXNWXOWVJDVYAWVNXUNXUOXUPUVMWHAXWMXYOVEVYEXWSAXURXUHVYBVY
          AXVBYDYCAFWVJVEVYEXWSWWFYCUXFYLVYFXNPCJVYBGXURCVRVBZWVKVYAXXQXVEXVHXY
          KAJXWPVEVYEAJWXQXWPUAACFIXYNWWAXDUURZXCXYRWPZXWTVXTVYAOXOXWTVYAWVQXYR
          AVYEXWSVYAWVQVIZAVYEXWSVJZVJZPWVQVYAAPWVQVTYUBAPWVJWVQWVPWWGUUGXCAVYE
          XWSUUTXIZUWTZAWVQXYRVEVYEXWSACFIXYNWWAWNZYCXLZXYFXVEWPXURWPZXWLUXGZUX
          HAFXYEVEVYEAFWVRXYEWWBAJXWPVRXYSXGWQXCXLYLZUXIAXWPVCXQAXYDUSVFZOVBZVX
          PYHZUSVXRYIZUXJZYJAXYDXXTVYAUXKZOVBZVXPYHZGPUXMZUNQYIYUOAXYCYUSUNQXYC
          XYAVXPVEZGPVHZYQZAXXTQVIZVJZYUSYVAXYBVYJXYBVYJVEXYBVYHVEZYVAVYJVYHXYB
          GPVXPUXNZUXOXYAXNVIZGPVHYVEYVAXSYVGGPXXTVYAOYMYNGPXYAVXPXNYOYRUXPUXQY
          VDYUSYUTYQZGPUXMYVBYVDYURYVHGPYVDXWSVJZYUTYUQVXPYVIYUQXYAVXPYUQXYAVEY
          VIXYAYUQXXTVYAOUXRUXSWMYPUXTUYAYUTGPUYBUYCUYDUYEYUMYURUNGUSQPYUKYUPVE
          YULYUQVXPYUKYUPOUYFUYJUYGUYHAYUNYJVIYUOYJVIAOVXPUXCVGZYUNYJAXVIXVQVXP
          XNVIYVJYUNVEXWAXVRAVXOVCXQUSOXNXNVXRVXPUYIWHAOVXPXWBUYKUVBYUNUYLWJUVL
          AQXWOHXVFXYDXWQAVXTQXYDUYMZVIZVJZXWOCGPXXQVKZVPVGZXXQXWQYVMXWNYVNCVPY
          VMGPXWMXXQAYVLGAGUYNGHYVKGQXYDGQUYOZXYCGUNQGXYBVYJGPXYAUYPGVYJUYOVUAY
          VPUYQUYRUYSVUBYVMXWSVJZXWMVXPVYAXURVGXWQVYAXURVGZXXQYVQVYBVXPVYAXURYV
          MVYCGPYVMVYIVYDYVMVYGVYJVYHYVMVYGVYJYHZYQWUMYVMVYEYVSYVMVXTQXYDAYVLXT
          ZUYTZYVMVXTXYDVIVYEYVSVJYVMVXTQXYDYVTVUCXYCYVSUNVXTQUNHVUKZXYBVYGVYJY
          WBGPXYAVYBXXTVXTVYAOVUDVUEUYJVUFVUGVUHVYGVYJVULYSYVFVUIVYBXNVIZGPVHVY
          IVYDXSYWCGPVXTVYAOYMYNGPVYBVXPXNYOYRZYSVUJYBYVQVXPXWQVYAXURAVXPXWQVEY
          VLXWSAXWCXXQVXPXWQACFISUCUFVUMZXWJACFISUCUFVUNZXKYCYBYVQXYGVYAXYRVIZY
          VRXXQVEAXYGYVLXWSXYJYCAYVLVYEXWSYWGYWAYUGVUOXURXWPXWQXYRCVYAXXQXYTXWP
          WPZYUHXWQWPZXYFVVAWFVUPVUQYFAYVOXXQVEZYVLACUWIVIZWVLYWJAXYHCVURVIYWKA
          XYGXYHXYJXYLWJCVUSCVVBVUTUJPGCWVKXXQXYFVVCWFXCAXXQXWQVEYVLYWFXCVUPUKV
          VDXYDXXGXNXNXWQVVEVVFAXXPCHQXWOVXTXURVGZVKZVPVGZXXQAXXOYWMCVPAHQXXNYW
          LVYFXXMXWOVXTXURAHQXWOXXGXNAXXGYAVYFCXWNVPXOUXAYBYEYFABHQBGPXXAVKZVPV
          GZVXTVYNVGZVKZVPVGZBYWMVPVGZXXQYWNAYWRYWMBVPAHQYWQYWLVYFYWQXWRVXTXURV
          GYWLVYFYWPXWRVXTVXTVYNXURAXXCVYEXUTXCVYFYWOXWNBVPVYFGPVYBVYAWXIVGZVKZ
          YWOXWNVYFGPYXAXXAXWTWXIVYNVYBVYAAWXIVYNVEZVYEXWSWXKYCYDYEZVYFGPYXAXWM
          VYFWXIXURVYBVYAAWXIXURVEVYEXUSXCYDVUEZXFYFVYFVXTYAZVVGVYFXWRXWOVXTXUR
          XXEYBWQYEYFAYWSVYRXWCXXQABOEVYNVVHZVGZVPVGBHQBGPVXTVYAYXHVGZVKZVPVGZV
          KZVPVGVYRYWSAQWUOPHGYXHBXVFWVKVYRWYJXVCABUWNVIZBVVIVIAXWEWWJYXMXWFWWK
          BWVQINRWVTVVJWFBVVKWJUKUJAWUOVYNVXOOEVXRWUCXNBWYHWYIWYKWYJWVIXVTAVYAV
          XTWXIVGZWUOVIZGPVHHQVHVXRWUOEXRAYXOHGQPYUCYXNWVQWUOYUCXWEYUAVXTWVQVIZ
          YXNWVQVIAXWEYUBXWFXCYUDYUCQWVQVXTAQWVQVTYUBAQXYRWVQAXVGQXYRVTZUKQXVFX
          YRCXYTXVFWPZUUEWJZYUFUVEZXCAVYEXWSUUMXIZWVQIWXIVYAVXTWVTWYGVVLWHAWVQW
          UOVEZYUBWWLXCXLUVCHGQPYXNWUOEUHVVMYSZXVRVVNAWUOVYNVXOOEVXRWUCXNBVXPVY
          RWYHWYIWYKWYJWVIXVTYYCXVRXVCXVDXWBVVOVVPUMAYXLYWRBVPAHQYXKYWQVYFIYXJV
          PVGZIYXBVPVGZVXTWXIVGZYXKYWQVYFYYDIGPYXAVXTWXIVGZVKZVPVGYYFVYFYXJYYHI
          VPVYFGPYXIYYGXWTYXIVXTVYAHGQPYYGVDZVGZYYGXWTYXHYYIVXTVYAAYXHYYIVEVYEX
          WSAYYIHGQPVYBYXNWXIVGZVDOEWXIVVHZVGYXHAHGQPYYGYYKAVYEXWSXPZXWEVYBWVQV
          IZYUAYXPYYGYYKVEAVYEXWEXWSXWFYTYYMVYBWUOWVQYYMVXTVYAWUOQPOYYMVXRWUCWU
          OOAVYEXVKXWSXVTYTAVYEWUCWUOVTXWSAWUCWVQWUOAWUCWXOWVQWYFAWXONWVQANWXMW
          XOWYDWYCWQWWKUUFZVVQWWLXEYTVVRAVYEXWSVVSAVYEXWSVVTVWAAVYEYYBXWSWWLYTU
          USAVYEXWSYUAYUDVWBAVYEXWSYXPYYAVWBWVQIWXIVYBVYAVXTWVTWYGVWCVWDVWEAHGQ
          PVYBYXNWXIOEXVFWVKXNXNUKUJYYMVXTVYAOXOYYMVYAVXTWXIXOAXVIOHGQPVYBVDVEX
          WAHGQPOVWRYSEHGQPYXNVDVEAUHWMVWFAYYLYXGOEAWXIVYNWXKVWGYDVWHYCYDXWTVYE
          XWSYYGXNVIYYJYYGVEAVYEXWSVWIXYQXWTYXAVXTWXIXOHGQPYYGYYIXNYYIWPVWJWHWQ
          YEYFVYFPWVQXUBIWXIGWVKYXAVXTXWCWVTXWHXUDWYGAXWEVYEXWFXCXVHAQWVQVXTYXT
          VWKXWTXWEYYNYUAYXAWVQVIAXWEVYEXWSXWFYCXWTWXOWVQVYBAWXOWVQVTVYEXWSYYOY
          CXYPXIYUEWVQIWXIVYBVYAWVTWYGVVLWHVYFXWNXXQYXBXWCVMYUIYXEAXWCXXQVEVYEY
          WEXCVWLVWMWQVYFBNIXNYXJWEVSRVYFGPYXIWVKXVHYKXXDAWUNVYEWVIXCZAWWJVYEWW
          KXCZVWNVYFYYFBYXBVPVGZVXTWXIVGYWQVYFYYEYYRVXTWXIVYFBNIXNYXBWEVSRVYFGP
          YXAWVKXVHYKXXDYYPYYQVWNYBVYFYYRYWPVXTVXTWXIVYNAYXCVYEWXKXCVYFYXBYWOBV
          PYXDYFYXFVVGWQXKYEYFXHABNIRUCWVHVUMZYWEVWOAIYWMVPVGYWTYWNABNHIMXVFQYW
          LRUCWVHUBUEUKYGACFHIJXVFQYWLSUCUFUAUDUKYGXFXHWQAUTVFZXWQVMVNZCHQVXTYY
          TVBZVXTXURVGZVKZVPVGZXXQVEZVJZYYTXXKVEZVQZXXLXXRVJZXXSVQUTXYEQWOVGZXX
          GYYTXXGVEZUUUGUUUJUUUHXXSUUULUUUAXXLUUUFXXRYYTXXGXWQVMVWPUUULUUUEXXPX
          XQUUULUUUDXXOCVPUUULHQUUUCXXNHYYTXXGHQXWOUYPVWSUUULUUUCXXNVEVYEUUULUU
          UBXXMVXTXURVXTYYTXXGVWTYBXCVUQYFYPVWQYYTXXGXXKVXAVXBAXYGYXQQCWAVBZVIZ
          UUUIUTUUUKVHZXYJYXSAXVFUUUMQXVFCYXRUVHUKUVIXYGYXQVJUUUNUUUOHXYRXURXWP
          XYEXXQQCXWQUTXYTXYEWPYWHYUHXYFYWIUWAWDXMAXYEXNVIZXVGQXYEXXGXRZXXGUUUK
          VIZAXWPVRXQUKYUJUUUPXVGVJUUURUUUQXYEQXXGXNXVFVXCUVGXMVXIVXDHQXWQUXNVU
          IXWOXNVIZHQVHXXIXXJXSUUUSHQCXWNVPYMYNHQXWOXWQXNYOYRYSVUJAXWQVYRVEVYEA
          XWCXXQVYRXWQYWEYYSYWFXHXCVUPVXEVYFWUBWULWUMVQUPVYGWUDVYFVYGWUDVIPWUCV
          YGXRVYFGPVYBWUCXXBYLVYFWUCPVYGXNWVKVYFVXOVRXQXVHUWGVXFVYFVYKVYGVEZVJZ
          VYTWULWUAWUMUUVAVYLWUFVYSWUKUUVAVYKVYGVXPVMVYFUUUTXTZVXGUUVAVYQWUJVYR
          UUVAVYPWUIBVPUUVAGPVYOWUHVYFUUUTGVYFGUYNGVYKVYGGPVYBUYPVWSVUBUUVAXWSV
          JZVYMWUGVYAVYNUUVCVYAVYKVYGVYFUUUTXWSVWIVXHYBVUQYFYPVWQUUVAVYKVYGVYJU
          UVBYPVXBVXJVXKYVFVUIYWDYSVXLAQPVXPVXPXNHGOXNUNUOXWAHUNVUKGUOVUKVJVXPY
          AYYMVXOVCXQAYVCUOVFPVIXPVXOVCXQVXMVXFUNUOQPVXPVXNUYH $.
      $}
    $}

    $d A a c f u x y z $.  $d A f i j u $.  $d B a c f u w x y z $.
    $d B b f i j v w $.  $d B w $.  $d C a b w x y $.
    $d C a c f i j u w x y z $.  $d C a c f u w x y z $.  $d C a f w x y z $.
    $d C c v w x y $.  $d C x z $.  $d E a c f t u w z $.
    $d E f i j t u v w $.  $d E w $.  $d U i $.  $d a c f ph u w x y z $.
    $d b f i j ph v w $.  $d ph w $.  $d v w $.  $d t w x y $.
    $( The multiplicativity formula for degrees of field extensions.  Given
       ` E ` a field extension of ` F ` , itself a field extension of ` K ` ,
       we have ` [ E : K ] = [ E : F ] [ F : K ] ` .  Proposition 1.2 of
       [Lang], p. 224.  Here ` ( dim `` A ) ` is the degree of the extension
       ` E ` of ` K ` , ` ( dim `` B ) ` is the degree of the extension ` E `
       of ` F ` , and ` ( dim `` C ) ` is the degree of the extension ` F ` of
       ` K ` .  This proof is valid for infinite dimensions, and is actually
       valid for division ring extensions, not just field extensions.
       (Contributed by Thierry Arnoux, 25-Jul-2023.) $)
    fedgmul $p |- ( ph -> ( dim ` A ) = ( ( dim ` B ) *e ( dim ` C ) ) ) $=
      ( cfv vx vy vw vt vj vi vv vu vc vf vz va vb cv clbs wcel cldim cxmu wceq
      co c0 wne wex clvec cdr cress csubrg wss wa biimpa syl2anc simprd sralvec
      eqid syl3anc lbsex syl n0 sylib adantr cmpo chash cxp wbr cbs cvv wf wral
      weq wi wel ad4antr simplr lbsss subrgss csra srabase eqtrd ad2antrr simpr
      a1i sseldd sseqtrrd simpld eleqtrd ralrimivva cbvmpov fmpo cvsca csca c0g
      anasss ad5antr simpllr srasca syl5eq fveq2d simp-4r clspn ad7antr oveq12d
      eqtr3d clmod cgsu lveclmod fveq2 cmap wrex cmpt ffvelrnd eleqtrrd cbvmptv
      cfsupp oveq1d oveq2d anbi12d ad8antr exlimddv cnzr dimval subsubrg oveq1i
      ressabs 3eqtr4g eqeltrd crn cen wf1 crg drngring ressbas2 eqsstrrd ringcl
      cmulr sstrd oveq2 oveq1 cplusg clinds lbslinds sselid ad3antrrr wn islbs4
      0nellinds nelne2 drgext0g neeqtrrd ovexd ovmpt4g drgextvsca simprr simprl
      oveqd ovmpod adantllr adantl3r 3eqtr3d linds2eq ex f1opr sylanbrc hasheni
      xpexd f1rnen hashxpe clindf cof csn fveq1d fedgmullem2 ralrimiva islindf4
      cfrlm biimpar syl31anc rnmposs sseqtrd lspssv cima elmapi ad4antlr eqtr4d
      w3a simpl ellspds id oveq2i eqeq12d rexbidv cbvralvw breq1 fveq1 mpteq2dv
      anbi2d vex eqeq2d ac6s sylbir fvexd elmapd mpbird ad5ant15 breq1d ad6antr
      ad5antlr eqtrdi r19.21bi fedgmullem1 rspcedvd r19.29a wb ellspd wfn fnima
      ffnd eqelssd drngnzr eqeltrrd lindflbs mpbir2and 3eqtr4d ) AUAUNZDUOTZUPZ
      BUQTZCUQTZDUQTZURUTZUSZUAAVUDVAVBZVUEUAVCADVDUPZVUKAGVEUPZGIVFUTZVEUPIGVG
      TUPZVULPAVUNHVEAFEVFUTZIVFUTZFIVFUTZVUNHAEFVGTZUPZIEVHZVUQVURUSRAIVUSUPZV
      VAAVUTVUOVVBVVAVIZRSVUTVUOVVCEIFGMUUAVJVKZVLEIFVUSUUCVKGVUPIVFMUUBNUUDZQU
      UESDIGVUNLVUNVNVMVOZVUDDVUDVNZVPVQUAVUDVRVSAVUEVIZUBUNZCUOTZUPZVUJUBAVVKU
      BVCZVUEAVVJVAVBZVVLACVDUPZVVMAFVEUPZVUMVUTVVNOPRCEFGKMVMVOZVVJCVVJVNZVPVQ
      UBVVJVRVSVTVVHVVKVIZUCUDVVIVUCUDUNZUCUNZFUUNTZUTZWAZUUFZWBTZVVIWBTZVUCWBT
      ZURUTZVUFVUIVVRVWEVVIVUCWCZWBTZVWHVVRVWDVWIUUGWDZVWEVWJUSVVRVWIBWETZVWCUU
      HZVWIWFUPZVWKVVRVWIVWLVWCWGZUEUNZUFUNZVWCUTZUGUNZUHUNZVWCUTZUSZUEUGWIZUFU
      HWIZVIZWJZUHVUCWHUGVVIWHZUFVUCWHUEVVIWHVWMVVRVWQVWPVWAUTZVWLUPZUFVUCWHUEV
      VIWHVWOVVRVXIUEUFVVIVUCVVRUEUBWKZUFUAWKZVXIVVRVXJVIZVXKVIZVXHFWETZVWLVXMF
      UUIUPZVWQVXNUPVWPVXNUPVXHVXNUPZAVXOVUEVVKVXJVXKAVVOVXOOFUUJVQWLVXMVUCVXNV
      WQVVRVUCVXNVHVXJVXKVVRVUCDWETZVXNVVRVUEVUCVXQVHAVUEVVKWMZVUCVUDVXQDVXQVNZ
      VVGWNVQZAVXQVXNVHVUEVVKAVXQEVXNAEGWETZVXQAEVXNVHZEVYAUSAVUTVYBREVXNFVXNVN
      ZWOVQZEVXNGFMVYCUUKVQADIGDIGWPTTUSALXAZAVUOIVYAVHSIVYAGVYAVNWOVQZWQZWRVYD
      UULWSUUOWSVXLVXKWTXBVXMVVIVXNVWPVVRVVIVXNVHVXJVXKVVRVVICWETZVXNVVRVVKVVIV
      YHVHVVHVVKWTZVVIVVJVYHCVYHVNZVVQWNVQZAVXNVYHUSVUEVVKACEFCEFWPTZTUSAKXAZVY
      DWQZWSXCWSVVRVXJVXKWMZXBVXNFVWAVWQVWPVYCVWAVNUUMVOZAVXNVWLUSZVUEVVKVXJVXK
      ABIFBIVYLTUSAJXAZAVVBIVXNVHAVVBVVAVVDXDZIVXNFVYCWOVQZWQZWLXEXLXFUEUFVVIVU
      CVXHVWLVWCUCUDUEUFVVIVUCVWBVXHVVSVWPVWAUTVVTVWPVVSVWAUUPVVSVWQVWPVWAUUQXG
      ZXHVSZVVRVXGUEUFVVIVUCVVRVXJVXKVXGVXMVXFUGUHVVIVUCVXMUGUBWKZUHUAWKZVXFVXM
      WUDVIZWUEVIZVXBVXEWUGVXBVIZVVICUURTZCXITZCXJTZWETZVWQVWTCVWPVWSWUKXKTZWUL
      VNZWUJVNZWUIVNWUMVNZVVRVVNVXJVXKWUDWUEVXBAVVNVUEVVKVVPWSZXMVVRVVICUUSTZUP
      ZVXJVXKWUDWUEVXBVVRVVJWURVVIVVJCVVQUUTVYIUVAXMVXMVXJWUDWUEVXBVYOUVBZVXMWU
      DWUEVXBXNWUHVUCWULVWQVVRVUCWULVHVXJVXKWUDWUEVXBVVRVUCVXQWULVXTAWULVXQUSZV
      UEVVKAVYAWULVXQAGWUKWEAGVUPWUKMACEFVYMVYDXOXPZXQVYGYBZWSXCXMZVXLVXKWUDWUE
      VXBXRZXBWUHVUCWULVWTWVDWUFWUEVXBWMXBWUHVWQDXKTZWUMWUHVXKWVFVUCUPUVCZVWQWV
      FVBWVEVVRWVGVXJVXKWUDWUEVXBVVRVULVUCDUUSTUPZWVGAVULVUEVVKVVFWSZVVRWVHVUCD
      XSTZTZVXQUSZVVRVUEWVHWVLVIVXRVXQVUDWVJDVUCVXSVVGWVJVNZUVDVSZXDVUCDWVFWVFV
      NUVEVKXMVWQWVFVUCUVFVKAWUMWVFUSVUEVVKVXJVXKWUDWUEVXBAGXKTWUMWVFAGWUKXKWVB
      XQADIGLPSUVGYBXTUVHWUHVWRVXAVWQVWPWUJUTZVWTVWSWUJUTZWUGVXBWTWUHVWRVXHWVOW
      UHVXJVXKVXHWFUPVWRVXHUSWUTWVEWUHVWQVWPVWAUVIUEUFVVIVUCVXHVWCWFWUBUVJVOAVX
      HWVOUSVUEVVKVXJVXKWUDWUEVXBAVWAWUJVWQVWPACEFKORUVKZUVNXTWRWUHVXAVWTVWSVWA
      UTZWVPWUGVXAWVRUSZVXBVVRVXKWUDWUEWVSVXJVVRWUDWUEWVSVXKVVRWUDVIZWUEVIZUEUF
      VWSVWTVVIVUCVXHWVRVWCWFVWCUEUFVVIVUCVXHWAUSWWAWUBXAWWAVXEVIVWQVWTVWPVWSVW
      AWWAVXCVXDUVLWWAVXCVXDUVMYAVVRWUDWUEWMWVTWUEWTWWAVWTVWSVWAUVIUVOUVPUVQVTA
      WVRWVPUSVUEVVKVXJVXKWUDWUEVXBAVWAWUJVWTVWSWVQUVNXTWRUVRUVSUVTXLXFXLXFUHUG
      VVIVUCVWLVWCUFUEUWAUWBZVVRVVIVUCVVJVUDVYIVXRUWDZVWIVWLVWCWFUWEVKVWDVWIUWC
      VQVVRVVKVUEVWJVWHUSVYIVXRVVIVUCVVJVUDUWFVKWRVVRBVDUPZVWDBUOTZUPZVUFVWEUSA
      WWDVUEVVKAVVOHVEUPZVVBWWDOQVYSBIFHJNVMVOZWSVVRWWFVWCBUWGWDZVWDBXSTZTZVWLU
      SVVRBYCUPZVWNVWOBUIUNZVWCBXITZUWHZUTZYDUTZBXKTZUSZWWMVWIBXJTZXKTZUWIWCUSZ
      WJZUIWWTVWIUWNUTWETZWHZWWIAWWLVUEVVKAWWDWWLWWHBYEVQWSZWWCWUCVVRWXCUIWXDVV
      RWWMWXDUPZVIZWWSWXBWXHWWSVIBCDVWCEUFUEFGUJUNZUCUGVVIVUCVWSVVTWXITZTZWAZHI
      WWMVUCVVIJKLMNAVVOVUEVVKWXGWWSOWLAVUMVUEVVKWXGWWSPWLAWWGVUEVVKWXGWWSQWLAV
      UTVUEVVKWXGWWSRWLAVUOVUEVVKWXGWWSSWLWUBUCUGUEUFVVIVUCWXKVWQVWPWXITZTZVWSW
      XMTUCUEWIZVWSWXJWXMVVTVWPWXIYFZUWJVWSVWQWXMYFXGZAVUEVVKWXGWWSXRVVHVVKWXGW
      WSXNVVRWXGWWSWMWXHWWSWTUWKUVTUWLWWLVWNVWOUXDWWIWXEUIVWLWWTWWNVWCVWIWXDBWF
      WXAWWRVWLVNZWWTVNZWWNVNZWWRVNZWXAVNZWXDVNUWMUWOUWPVVRUKWWKVWLVVRWWLVWDVWL
      VHWWKVWLVHWXFVVRVWDVXNVWLVVRVXPUFVUCWHUEVVIWHVWDVXNVHVVRVXPUEUFVVIVUCVVRV
      XJVXKVXPVYPXLXFUEUFVVIVUCVXHVXNVWCWUBUWQVQAVYQVUEVVKWUAWSUWRVWDWWJVWLBWXR
      WWJVNZUWSVKVVRUKUNZVWLUPZVIZWYDVWCVWIUWTZWWJTZWWKWYFWYDWYHUPZWWMWXAYMWDZW
      YDWWQUSZVIZUIWWTWETZVWIYGUTZYHZWYFULUNZWUMYMWDZWYDCUCVVIVVTWYPTZVVTWUJUTZ
      YIZYDUTZUSZVIZWYOULWULVVIYGUTZWYFWYPXUDUPZVIZWYQXUBWYOXUFWYQVIZXUBVIZVVID
      XJTZWETZVUCYGUTZWXIWGZWXJXUIXKTZYMWDZWYRDUGVUCWXKVWSDXITZUTZYIZYDUTZUSZVI
      ZUCVVIWHZVIZWYOUJXUHUMUNZXUMYMWDZVWPWYPTZDUFVUCVWQXVCTZVWQXUOUTZYIZYDUTZU
      SZVIZUMXUKYHZUEVVIWHZXVBUJVCZXUHXVLUEVVIXUHVXJVIZVVRXVEWVKUPZXVLWYFVVRXUE
      WYQXUBVXJVVRWYEUXEZWLZXVOXVEWULWVKXVOVVIWULVWPWYPXUEVVIWULWYPWGZWYFWYQXUB
      VXJWYPWULVVIUXAZUXBXUHVXJWTYJXVOWVKVXQWULXVOVVRWVLXVRVVRWVHWVLWVNVLVQAWVA
      VUEVVKWYEXUEWYQXUBVXJWVCXTUXCYKVVRXVPXVLVVRUFVXQXUIXUOXUJDWVJVUCXVEXUMUMW
      VMVXSXUJVNXUIVNXUMVNXUOVNADYCUPZVUEVVKAVULXWAVVFDYEVQWSVXTUXFVJVKUWLXVMXV
      DWYRDUGVUCVWSXVCTZVWSXUOUTZYIZYDUTZUSZVIZUMXUKYHZUCVVIWHXVNXWHXVLUCUEVVIW
      XOXWGXVKUMXUKWXOXWFXVJXVDWXOWYRXVEXWEXVIVVTVWPWYPYFZXWEXVIUSWXOXWDXVHDYDU
      GUFVUCXWCXVGUGUFWIZXWBXVFVWSVWQXUOVWSVWQXVCYFXWJUXGZYAYLUXHXAUXIUXOUXJUXK
      XWGXUTUCUMVVIXUKUJUBUXPXVCWXJUSZXVDXUNXWFXUSXVCWXJXUMYMUXLXWLXWEXURWYRXWL
      XWDXUQDYDXWLUGVUCXWCXUPXWLXWBWXKVWSXUOVWSXVCWXJUXMYNUXNYOUXQYPUXRUXSVQXUH
      XULXVAWYOXUHXULVIZXVAVIZWYLWXLWXAYMWDZWYDBWXLVWCWWOUTZYDUTZUSZVIUIWXLWYNX
      UFXUBXULXVAWXLWYNUPZWYQXUFXUBVIXULVIXWSXVAVVRXULXWSWYEXUEXUBVVRXULVIZXWSV
      WIWYMWXLWGZXWTWXNWYMUPZUFVUCWHUEVVIWHXXAXWTXXBUEUFVVIVUCXWTVXJVXKVIZVIZWX
      NXUJWYMXXDVUCXUJVWQWXMXWTVXJVXKVUCXUJWXMWGZXWTVXJVIVXKVIZWXMXUKUPXXEXXFVV
      IXUKVWPWXIVVRXULVXJVXKXNXWTVXJVXKWMYJWXMXUJVUCUXAVQXLXWTVXJVXKUVLYJAWYMXU
      JUSVUEVVKXULXXCAWWTXUIWEAHWWTXUIAHVURWWTNABIFVYRVYTXOXPZAVUNHXUIVVEADIGVY
      EVYFXOYBYBXQWLYKXFUEUFVVIVUCWXNWYMWXLWXQXHVSXWTWYMVWIWXLWFWFXWTWWTWEUXTVV
      RVWNXULWWCVTUYAUYBUYCVTUVQXWNWWMWXLUSZVIZWYJXWOWYKXWRXXIWWMWXLWXAYMXWNXXH
      WTZUYDXXIWWQXWQWYDXXIWWPXWPBYDXXIWWMWXLVWCWWOXXJYNYOUXQYPXWNBCDVWCEUFUEFG
      WXIWXLHWYPIVUCVVIWYDJKLMNAVVOVUEVVKWYEXUEWYQXUBXULXVAOYQAVUMVUEVVKWYEXUEW
      YQXUBXULXVAPYQAWWGVUEVVKWYEXUEWYQXUBXULXVAQYQAVUTVUEVVKWYEXUEWYQXUBXULXVA
      RYQAVUOVUEVVKWYEXUEWYQXUBXULXVASYQWUBWXQVVRVUEWYEXUEWYQXUBXULXVAVXRUYEVVR
      VVKWYEXUEWYQXUBXULXVAVYIUYEWYFWYEXUEWYQXUBXULXVAVVRWYEWTZXMXUEXVSWYFWYQXU
      BXULXVAXVTUYFXUFWYQXUBXULXVAXRXWNWYDXUACUEVVIXVEVWPWUJUTZYIZYDUTXUGXUBXUL
      XVAXNWYTXXMCYDUCUEVVIWYSXXLWXOWYRXVEVVTVWPWUJXWIWXOUXGYAYLUXHUYGXUHXULXVA
      WMXWNVXJVIZWXMXUMYMWDZXVEDUFVUCWXNVWQXUOUTZYIZYDUTZUSZXWNXXOXXSVIZUEVVIXW
      NXVAXXTUEVVIWHXWMXVAWTXUTXXTUCUEVVIWXOXUNXXOXUSXXSWXOWXJWXMXUMYMWXPUYDWXO
      WYRXVEXURXXRXWIWXOXUQXXQDYDWXOXUQUFVUCVWQWXJTZVWQXUOUTZYIXXQUGUFVUCXUPXYB
      XWJWXKXYAVWSVWQXUOVWSVWQWXJYFXWKYAYLWXOUFVUCXYBXXPWXOXYAWXNVWQXUOWXOVWQWX
      JWXMWXPUWJYNUXNXPYOUXIYPUXKVSUYHZXDXXNXXOXXSXYCVLUYIUYJXLYRXLWYFVVRWYDVVI
      CXSTZTZUPZXUCULXUDYHZXVQWYFWYDVWLXYEXXKWYFXYEVYHVWLVVRXYEVYHUSZWYEVVRWUSX
      YHVVRVVKWUSXYHVIVYIVYHVVJXYDCVVIVYJVVQXYDVNZUVDVSVLVTAVWLVYHUSVUEVVKWYEAV
      XNVWLVYHWUAVYNYBUVBUXCYKVVRXYFXYGVVRUCVYHWUKWUJWULCXYDVVIWYDWUMULXYIVYJWU
      NWUKVNWUPWUOACYCUPZVUEVVKAVVNXYJVVPCYEVQWSVYKUXFVJVKUYKVVRWYIWYOUYLWYEVVR
      VWLWWTWWNUIVWCVWIWYMBWWJWFWYDWXAWYCWXRWYMVNWXSWYBWXTWUCWXFWWCUYMVTUYBWYFW
      YGVWDWWJWYFVWCVWIUYNZWYGVWDUSVVRXYKWYEVVRVWIVWLVWCWUCUYPVTVWIVWCUYOVQXQXE
      UYQVVRVWLWWTWWNVWCVWIVWCWETZWWJWWRWFBWXAWXRXYLVNWXSWXTWYAWYBWYCWXFAWWTYSU
      PVUEVVKAHWWTYSXXGAWWGHYSUPQHUYRVQUYSWSWWCWWBUYTVUAVWDBWWEWWEVNYTVKVVRVUGV
      WFVUHVWGURVVRVVNVVKVUGVWFUSWUQVYIVVICVVJVVQYTVKVVRVULVUEVUHVWGUSWVIVXRVUC
      DVUDVVGYTVKYAVUBYRYR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Field Extensions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c /FldExt /FinExt /AlgExt [:] $.

  $( Syntax for the field extension relation. $)
  cfldext $a class /FldExt $.

  $( Syntax for the finite field extension relation. $)
  cfinext $a class /FinExt $.

  $( Syntax for the algebraic field extension relation. $)
  calgext $a class /AlgExt $.

  $( Syntax for the field extension degree operation. $)
  cextdg $a class [:] $.

  ${
    $d e f $.
    $( Definition of the field extension relation.  (Contributed by Thierry
       Arnoux, 29-Jul-2023.) $)
    df-fldext $a |- /FldExt = { <. e , f >. | ( ( e e. Field /\ f e. Field )
      /\ ( f = ( e |`s ( Base ` f ) ) /\ ( Base ` f ) e. ( SubRing ` e ) ) ) }
      $.

    $( Definition of the field extension degree operation.  (Contributed by
       Thierry Arnoux, 29-Jul-2023.) $)
    df-extdg $a |- [:] = ( e e. _V , f e. ( /FldExt " { e } )
      |-> ( dim ` ( ( subringAlg ` e ) ` ( Base ` f ) ) ) ) $.

    $( Definition of the finite field extension relation.  (Contributed by
       Thierry Arnoux, 29-Jul-2023.) $)
    df-finext $a |- /FinExt = { <. e , f >. | ( e /FldExt f
      /\ ( e [:] f ) e. NN0 ) } $.

    $d e f p x $.
    $( Definition of the algebraic extension relation.  (Contributed by Thierry
       Arnoux, 29-Jul-2023.) $)
    df-algext $a |- /AlgExt = { <. e , f >. | ( e /FldExt f
      /\ A. x e. ( Base ` e ) E. p e. ( Poly1 ` f )
        ( ( ( eval1 ` f ) ` p ) ` x ) = ( 0g ` e ) ) } $.
  $}

  ${
    $d E e f $.  $d F e f $.
    $( The field extension is a relation.  (Contributed by Thierry Arnoux,
       29-Jul-2023.) $)
    relfldext $p |- Rel /FldExt $=
      ( ve vf cv cfield wcel wa cbs cress co csubrg cfldext df-fldext relopabiv
      cfv wceq ) ACZDEBCZDEFQPQGNZHIORPJNEFFABKABLM $.

    $( The field extension relation explicited.  (Contributed by Thierry
       Arnoux, 29-Jul-2023.) $)
    brfldext $p |- ( ( E e. Field /\ F e. Field ) -> ( E /FldExt F <-> ( F = (
       E |`s ( Base ` F ) ) /\ ( Base ` F ) e. ( SubRing ` E ) ) ) ) $=
      ( ve vf cfield wcel wa cfldext wbr cbs cfv cress co wceq csubrg cv eleq1d
      simpl anbi12d fveq2d oveq12d eqeq12d eleq12d df-fldext brabga bianabs
      simpr ) AEFZBEFZGZABHIBABJKZLMZNZUKAOKZFZGZCPZEFZDPZEFZGZUSUQUSJKZLMZNZVB
      UQOKZFZGZGUJUPGCDABHEEUQANZUSBNZGZVAUJVGUPVJURUHUTUIVJUQAEVHVIRZQVJUSBEVH
      VIUGZQSVJVDUMVFUOVJUSBVCULVLVJUQAVBUKLVKVJUSBJVLTZUAUBVJVBUKVEUNVMVJUQAOV
      KTUCSSCDUDUEUF $.

    $( The field of the complex numbers is an extension of the field of the
       real numbers.  (Contributed by Thierry Arnoux, 20-Jul-2023.) $)
    ccfldextrr $p |- CCfld /FldExt RRfld $=
      ( ccnfld crefld cfldext wbr cbs cfv cress co wceq csubrg wcel cr df-refld
      rebase oveq2i eqtri cdr resubdrg cfield mpbir2an simpli wa wb ccrg cndrng
      eqeltrri cncrng isfld refld brfldext mp2an ) ABCDZBABEFZGHZIZUMAJFZKZBALG
      HUNMLUMAGNOPLUMUPNLUPKBQKRUAUFASKZBSKULUOUQUBUCURAQKAUDKUEUGAUHTUIABUJUKT
      $.

    $( A field extension is only defined if the extension is a field.
       (Contributed by Thierry Arnoux, 29-Jul-2023.) $)
    fldextfld1 $p |- ( E /FldExt F -> E e. Field ) $=
      ( ve vf cfldext wbr cop cfield cxp wcel cv wa cbs cfv cress co wceq copab
      csubrg opabssxp df-br biimpi df-fldext eleqtrdi sselid opelxp1 syl ) ABEF
      ZABGZHHIZJAHJUHCKZHJDKZHJLULUKULMNZOPQUMUKSNJLZLCDRZUJUIUNCDHHTUHUIEUOUHU
      IEJABEUAUBCDUCUDUEABHHUFUG $.

    $( A field extension is only defined if the subfield is a field.
       (Contributed by Thierry Arnoux, 29-Jul-2023.) $)
    fldextfld2 $p |- ( E /FldExt F -> F e. Field ) $=
      ( ve vf cfldext wbr cop cfield cxp wcel cv wa cbs cfv cress co wceq copab
      csubrg opabssxp df-br biimpi df-fldext eleqtrdi sselid opelxp2 syl ) ABEF
      ZABGZHHIZJBHJUHCKZHJDKZHJLULUKULMNZOPQUMUKSNJLZLCDRZUJUIUNCDHHTUHUIEUOUHU
      IEJABEUAUBCDUCUDUEABHHUFUG $.

    ${
      fldextsubrg.1 $e |- U = ( Base ` F ) $.
      $( Field extension implies a subring relation.  (Contributed by Thierry
         Arnoux, 29-Jul-2023.) $)
      fldextsubrg $p |- ( E /FldExt F -> U e. ( SubRing ` E ) ) $=
        ( cfldext wbr cbs cfv csubrg cress co wceq wcel wa cfield wb fldextfld1
        fldextfld2 brfldext syl2anc ibi simprd eqeltrid ) BCEFZACGHZBIHZDUDCBUE
        JKLZUEUFMZUDUGUHNZUDBOMCOMUDUIPBCQBCRBCSTUAUBUC $.
    $}

    $( Field extension implies a structure restriction relation.  (Contributed
       by Thierry Arnoux, 29-Jul-2023.) $)
    fldextress $p |- ( E /FldExt F -> F = ( E |`s ( Base ` F ) ) ) $=
      ( cfldext wbr cbs cfv cress wceq csubrg wcel cfield fldextfld1 fldextfld2
      co wa wb brfldext syl2anc ibi simpld ) ABCDZBABEFZGNHZUBAIFJZUAUCUDOZUAAK
      JBKJUAUEPABLABMABQRST $.

    $( The finite field extension relation explicited.  (Contributed by Thierry
       Arnoux, 29-Jul-2023.) $)
    brfinext $p |- ( E /FldExt F -> ( E /FinExt F <-> ( E [:] F ) e. NN0 ) ) $=
      ( ve vf cfldext wbr cfinext cextdg co cn0 cfield wa fldextfld1 fldextfld2
      wcel wb cv wceq breq12 oveq12 eleq1d anbi12d df-finext syl2anc bianabs
      brabga ) ABEFZABGFZABHIZJOZUGAKOBKOUHUGUJLZPABMABNCQZDQZEFZULUMHIZJOZLUKC
      DABGKKULARUMBRLZUNUGUPUJULAUMBESUQUOUIJULAUMBHTUAUBCDUCUFUDUE $.

    $( Value of the field extension degree operation.  (Contributed by Thierry
       Arnoux, 29-Jul-2023.) $)
    extdgval $p |- ( E /FldExt F -> ( E [:] F ) = ( dim ` ( ( subringAlg ` E )
       ` ( Base ` F ) ) ) ) $=
      ( ve vf cfldext wbr cvv wcel csn cima cbs cfv csra cldim cextdg relfldext
      co wceq cv fveq2d brrelex1i wb elrelimasn ax-mp biimpri fvexd simpl simpr
      wrel wa fveq12d sneq imaeq2d df-extdg ovmpox syl3anc ) ABEFZAGHBEAIZJZHZB
      KLZAMLZLZNLZGHABOQVDRABEPUAUTUQEUIUTUQUBPABEUCUDUEUQVCNUFCDABGECSZIZJDSZK
      LZVEMLZLZNLVDOGUSVEARZVGBRZUJZVJVCNVMVHVAVIVBVMVEAMVKVLUGTVMVGBKVKVLUHTUK
      TVKVFUREVEAULUMCDUNUOUP $.
  $}

  $( The subring algebra associated with a field extension is a vector space.
     (Contributed by Thierry Arnoux, 3-Aug-2023.) $)
  fldextsralvec $p |- ( E /FldExt F -> ( ( subringAlg ` E ) ` ( Base ` F ) )
      e. LVec ) $=
    ( cfldext wbr cdr wcel cbs cfv cress co csubrg csra clvec ccrg cfield isfld
    wa sylib simpld eqid fldextfld1 fldextress fldextfld2 eqeltrrd fldextsubrg
    sralvec syl3anc ) ABCDZAEFZABGHZIJZEFUJAKHFUJALHHZMFUHUIANFZUHAOFUIUMQABUAA
    PRSUHBUKEABUBUHBEFZBNFZUHBOFUNUOQABUCBPRSUDUJABUJTUEULUJAUKULTUKTUFUG $.

  $( Closure of the field extension degree operation.  (Contributed by Thierry
     Arnoux, 29-Jul-2023.) $)
  extdgcl $p |- ( E /FldExt F -> ( E [:] F ) e. NN0* ) $=
    ( cfldext wbr cextdg co cbs cfv csra cldim cxnn0 wcel cdr ccrg cfield isfld
    wa sylib simpld eqid extdgval clvec csubrg fldextfld1 fldextress fldextfld2
    cress eqeltrrd fldextsubrg sralvec syl3anc dimcl syl eqeltrd ) ABCDZABEFBGH
    ZAIHHZJHZKABUAUOUQUBLZURKLUOAMLZAUPUGFZMLUPAUCHLUSUOUTANLZUOAOLUTVBQABUDAPR
    SUOBVAMABUEUOBMLZBNLZUOBOLVCVDQABUFBPRSUHUPABUPTUIUQUPAVAUQTVATUJUKUQULUMUN
    $.

  $( Degrees of field extension are greater than zero.  (Contributed by Thierry
     Arnoux, 30-Jul-2023.) $)
  extdggt0 $p |- ( E /FldExt F -> 0 < ( E [:] F ) ) $=
    ( cfldext wbr cc0 cbs cfv csra cldim clt wcel cdr cfield ccrg isfld simplbi
    co syl eqid syl2anc cextdg csubrg fldextfld1 fldextress fldextfld2 eqeltrrd
    clvec cress fldextsubrg sralvec syl3anc subrgss sradrng drngdimgt0 extdgval
    wss breqtrrd ) ABCDZEBFGZAHGGZIGZABUAQJURUTUGKZUTLKZEVAJDURALKZAUSUHQZLKUSA
    UBGKZVBURAMKZVDABUCVGVDANKAOPRZURBVELABUDURBMKZBLKZABUEVIVJBNKBOPRUFUSABUSS
    UIZUTUSAVEUTSZVESUJUKURVDUSAFGZUPZVCVHURVFVNVKUSVMAVMSZULRUTVMAUSVLVOUMTUTU
    NTABUOUQ $.

  $( Field extension is a transitive relation.  (Contributed by Thierry Arnoux,
     29-Jul-2023.) $)
  fldexttr $p |- ( ( E /FldExt F /\ F /FldExt K ) -> E /FldExt K ) $=
    ( cfldext wbr wa cbs cfv cress wceq csubrg wcel cin cfield brfldext syl2anc
    co wb syl cvv simpr simpl fldextfld2 simpld fldextfld1 oveq1d fvex ressress
    mpbid mp2an eqtrdi incom wss simprd eqid subrgss df-ss sylib eqtr3id oveq2d
    3eqtrd fveq2d eleqtrd subsubrg simprbda mpbir2and ) ABDEZBCDEZFZACDEZCACGHZ
    IQZJZVKAKHZLZVICBVKIQZABGHZVKMZIQZVLVICVPJZVKBKHZLZVIVHVTWBFZVGVHUAZVIBNLZC
    NLZVHWCRVIVGWEVGVHUBZABUCSZVIVHWFWDBCUCSZBCOPUIZUDVIVPAVQIQZVKIQZVSVIBWKVKI
    VIBWKJZVQVNLZVIVGWMWNFZWGVIANLZWEVGWORVIVGWPWGABUESZWHABOPUIZUDZUFVQTLVKTLW
    LVSJBGUGCGUGVQVKATTUHUJUKVIVRVKAIVIVRVKVQMZVKVKVQULVIVKVQUMZWTVKJVIWBXAVIVT
    WBWJUNZVKVQBVQUOUPSVKVQUQURUSUTVAVIWNVKWKKHZLZVOVIWMWNWRUNVIVKWAXCXBVIBWKKW
    SVBVCWNXDVOXAVQVKAWKWKUOVDVEPVIWPWFVJVMVOFRWQWIACOPVF $.

  $( The field extension relation is reflexive.  (Contributed by Thierry
     Arnoux, 30-Jul-2023.) $)
  fldextid $p |- ( F e. Field -> F /FldExt F ) $=
    ( cfield wcel cfldext wbr cbs cfv co wceq csubrg eqid ressid eqcomd cdr crg
    cress ccrg isfld simplbi drngring subrgid 3syl wa brfldext anidms mpbir2and
    wb ) ABCZAADEZAAAFGZPHZIZUJAJGCZUHUKAUJABUJKZLMUHANCZAOCUMUHUOAQCARSATUJAUN
    UAUBUHUIULUMUCUGAAUDUEUF $.

  $( A trivial field extension has degree one.  (Contributed by Thierry Arnoux,
     4-Aug-2023.) $)
  extdgid $p |- ( E e. Field -> ( E [:] E ) = 1 ) $=
    ( cfield wcel cextdg co cbs cfv csra cldim c1 cfldext wbr fldextid extdgval
    wceq syl crglmod rlmval eqcomi rgmoddim eqtrd ) ABCZAADEZAFGAHGGZIGZJUBAAKL
    UCUEOAMAANPAUDAQGUDARSTUA $.

  $( The multiplicativity formula for degrees of field extensions.  Given ` E `
     a field extension of ` F ` , itself a field extension of ` K ` , the
     degree of the extension ` E /FldExt K ` is the product of the degrees of
     the extensions ` E /FldExt F ` and ` F /FldExt K ` .  Proposition 1.2 of
     [Lang], p. 224.  (Contributed by Thierry Arnoux, 30-Jul-2023.) $)
  extdgmul $p |- ( ( E /FldExt F /\ F /FldExt K ) -> ( E [:] K ) = ( ( E [:]
      F ) *e ( F [:] K ) ) ) $=
    ( cfldext wbr wa cfv csra cldim cxmu cextdg eqid cfield wcel cdr syl csubrg
    co wceq adantl cbs cress simpl fldextfld1 isfld simplbi wb brfldext syl2anc
    mpbid simpld eqeltrrd fldexttr fldextfld2 simprd fldextsubrg fveq2d eleqtrd
    ccrg fedgmul extdgval fveq1d eqtrd oveq12d 3eqtr4d ) ABDEZBCDEZFZCUAGZAHGZG
    ZIGZBUAGZVJGZIGZVIAVMUBRZHGZGZIGZJRACKRZABKRZBCKRZJRVHVKVNVRVMAVPAVIUBRZVIV
    KLVNLVRLVPLWCLVHAMNZAONZVHVFWDVFVGUCZABUDPZWDWEAUSNAUEUFPVHBVPOVHBVPSZVMAQG
    ZNZVHVFWHWJFZWFVHWDBMNZVFWKUGWGVGWLVFBCUDTZABUHUIUJZUKZVHWLBONZWMWLWPBUSNBU
    EUFPULVHCWCOVHCWCSZVIWINZVHACDEZWQWRFZABCUMZVHWDCMNZWSWTUGWGVGXBVFBCUNTZACU
    HUIUJUKVHXBCONZXCXBXDCUSNCUEUFPULVHWHWJWNUOVHVIBQGZVPQGVGVIXENVFVIBCVILUPTV
    HBVPQWOUQURUTVHWSVTVLSXAACVAPVHWAVOWBVSJVHVFWAVOSWFABVAPVHWBVIBHGZGZIGZVSVG
    WBXHSVFBCVATVHXGVRIVHVIXFVQVHBVPHWOUQVBUQVCVDVE $.

  $( The extension ` E ` of ` K ` is finite if and only if ` E ` is finite over
     ` F ` and ` F ` is finite over ` K ` .  Corollary 1.3 of [Lang] , p. 225.
     (Contributed by Thierry Arnoux, 30-Jul-2023.) $)
  finexttrb $p |- ( ( E /FldExt F /\ F /FldExt K ) -> ( E /FinExt K <-> ( E
      /FinExt F /\ F /FinExt K ) ) ) $=
    ( cfldext wbr wa cextdg co cn0 cfinext wb brfinext cxnn0 cc0 extdgcl adantr
    wcel wne adantl clt cxmu extdgmul eleq1d fldexttr bi2anan9 extdggt0 gt0ne0d
    syl nn0xmulclb syl22anc bitr4d 3bitr4d ) ABDEZBCDEZFZACGHZIQZABGHZBCGHZUAHZ
    IQZACJEZABJEZBCJEZFZUOUPUTIABCUBUCUOACDEVBUQKABCUDACLUHUOVEURIQZUSIQZFZVAUM
    VCVFUNVDVGABLBCLUEUOURMQZUSMQZURNRUSNRVAVHKUMVIUNABOPUNVJUMBCOSUOURUMNURTEU
    NABUFPUGUOUSUNNUSTEUMBCUFSUGURUSUIUJUKUL $.

  ${
    $d E a x $.  $d E b i v x $.  $d E b u v x $.  $d F a $.  $d F b u v x $.
    $d F i $.
    $( If the degree of the extension ` E /FldExt F ` is ` 1 ` , then ` E ` and
       ` F ` are identical.  (Contributed by Thierry Arnoux, 6-Aug-2023.) $)
    extdg1id $p |- ( ( E /FldExt F /\ ( E [:] F ) = 1 ) -> E = F ) $=
      ( vb vx vv vi co c1 wceq wa cbs cfv adantr cv wcel eqid syl cgsu ad2antrr
      simpr vu va cfldext wbr cextdg cress fldextress wss csra c0 wne wex clvec
      fldextsralvec lbsex n0 sylib csn chash cldim dimval sylan extdgval eqtr3d
      clbs hash1snb biimpa syl2anc csca c0g cfsupp cvsca cmpt cmap cmulr simplr
      eqidd csubrg fldextsubrg subrgss sravsca eqcomd ad5antr mpteq12dva oveq2d
      wel oveqd cdr cfield fldextfld1 ccrg isfld fldextfld2 eqeltrrd drgextgsum
      simplbi adantlr cvv cmnd crg drngring 3syl ringmnd ad4antr vex a1i elmapi
      ad3antrrr wf adantl vsnid eleqtrrid ffvelrnd srasca eqtrd fveq2d eleqtrrd
      sseldd lbsss eqsstrrd snss sylibr srabase ringcl syl3anc oveq12d ressmulr
      gsumsnd eqtr4d 3eqtr3d cur cinvr cui syl2an2r eqeltrd wrex lbslsp r19.29a
      wn exlimddv simp-5l simprbi crngcom 3eqtr2d simpld unitinvinv cdif simprd
      invrvald sralmod0 clinds lbslinds sselid eqneltrd nelne2 eldifsn sylanbrc
      drnginvrn0 fveq2 eleq1d wral issubdrg rspcdva syl1111anc adantrl ringidcl
      0nellinds eleqtrd clmod lveclmod mpbid anasss eleq2d bitrd ex ssrdv fvexd
      ressid2 mpdan eqtr2d ) ABUCUDZABUEGZHIZJZBABKLZUFGZAUWABUWFIZUWCABUGZMUWD
      AKLZUWEUHZUWFAIZUWDCNZUWEAUILLZVELZOZUWJCUWDUWNUJUKZUWOCULUWDUWMUMOZUWPUW
      AUWQUWCABUNMZUWNUWMUWNPZUOQCUWNUPUQUWDUWOJZUWLDNZURZIZUWJDUWTUWOUWLUSLZHI
      ZUXCDULZUWDUWOTZUWTUWMUTLZUXDHUWDUWQUWOUXHUXDIUWRUWLUWMUWNUWSVAVBUWDUXHHI
      UWOUWDUWBUXHHUWAUWBUXHIUWCABVCMUWAUWCTVDMVDUWOUXEUXFUWLUWNDVFVGVHUWTUXCJZ
      UAUWIUWEUXIUANZUWIOZUXJUWEOZUXIUXKJZENZUWMVILZVJLZVKUDZUXJUWMFUWLFNZUXNLZ
      UXRUWMVLLZGZVMZRGZIZJZUXLEUXOKLZUWLVNGZUXMUXNUYGOZJZUXQUYDUXLUYIUXQJZUYDJ
      UXJUYCUWEUYJUYDTUYIUYCUWEOUXQUYDUYIUYCUXAUXNLZUXABVOLZGZUWEUXIUYHUYCUYMIU
      XKUXIUYHJZAUYBRGZAFUXBUXSUXRAVOLZGZVMZRGZUYCUYMUYNUYBUYRARUYNFUWLUYAUXBUY
      QUWTUXCUYHVPZUYNFCWFZJUXTUYPUXSUXRUWAUXTUYPIUWCUWOUXCUYHVUAUWAUYPUXTUWAUW
      MUWEAUWAUWMVQZUWAUWEAVRLZOZUWEUWIUHZUWEABUWEPZVSZUWEUWIAUWIPZVTQZWAWBWCWG
      WDZWEUWTUYOUYCIZUXCUYHUWAUWOVUKUWCUWAUWOJUWMUWEFAUWFUWNUWLUYAUWMPUWAAWHOZ
      UWOUWAAWIOZVULABWJZVUMVULAWKOZAWLZWPZQMUWAVUDUWOVUGMUWFPZUWAUWFWHOZUWOUWA
      BUWFWHUWHUWABWIOZBWHOZABWMZVUTVVABWKOBWLWPZQWNMUWAUWOTWOWQZSUYNUYSUYKUXAU
      YPGZUYMUYNUYQUWIVVEFAUXAWRVUHUWAAWSOZUWCUWOUXCUYHUWAAWTOZVVFUWAVUMVULVVGV
      UNVUQAXAXBZAXCQXDUXAWROUYNDXEZXFUYNVVGUYKUWIOZUXAUWIOZVVEUWIOUXIVVGUYHUWA
      VVGUWCUWOUXCVVHXHZMZUYNUWEUWIUYKUXIVUEUYHUWAVUEUWCUWOUXCVUIXHZMUYNUYKUYFU
      WEUYNUWLUYFUXAUXNUYHUWLUYFUXNXIUXIUXNUYFUWLXGXJUYNUXAUXBUWLDXKUYTXLZXMUWA
      UWEUYFIUWCUWOUXCUYHUWABUXOKUWABUWFUXOUWHUWAUWMUWEAVUBVUIXNXOXPXDXQZXRZUXI
      VVKUYHUXIUXAUWMKLZUWIUXIUXBVVRUHUXAVVROUXIUXBUWLVVRUWTUXCTUXIUWOUWLVVRUHU
      WDUWOUXCVPZUWLUWNVVRUWMVVRPZUWSXSQXTUXAVVRVVIYAYBUXIUWMUWEAUXIUWMVQVVNYCZ
      XQMZUWIAUYPUYKUXAVUHUYPPZYDYEUYNUXRUXAIZJZUXSUYKUXRUXAUYPVWEUXRUXAUXNUYNV
      WDTZXPVWFYFYHZUYNUYLUYPUYKUXAUWAUYLUYPIUWCUWOUXCUYHUWAUYLUWFVOLZUYPUWABUW
      FVOUWHXPUWAVUDUYPVWHIVUGUWEAUWFUYPVUCVURVWCYGQYIXDWGYIYJWQUYIBWTOZUYKUWEO
      ZUXAUWEOZUYMUWEOUWAVWIUWCUWOUXCUXKUYHUWAVUTVVAVWIVVBVVCBXAXBWCUXIUYHVWJUX
      KVVPWQUXIVWKUXKUYHUXIUXQAYKLZUYCIZJZVWKEUYGUYNVWMVWKUXQUYNVWMJZUXAAYLLZLZ
      VWPLZUXAUWEUYNVVGVWMUXAAYMLZOZVWRUXAIVVMVWOVWTVWQUYKIZVWOUWIAUYPVWSVWLVWP
      UXAUYKVUHVWCVWLPZVWSPZVWPPZVWOUWAVVGUWAUWCUWOUXCUYHVWMUUAZVVHQUYNVVKVWMVW
      BMZUYNVVJVWMVVQMZVWOUXAUYKUYPGZVVEVWLVWOVUOVVKVVJVXHVVEIVWOUWAVUMVUOVXEVU
      NVUMVULVUOVUPUUBXBVXFVXGUWIAUYPUXAUYKVUHVWCUUCYEVWOVWLUYSVVEVWOVWLUYCUYOU
      YSUYNVWMTUWTVUKUXCUYHVWMVVDXHVWOUYBUYRARUYNUYBUYRIVWMVUJMWEUUDUYNUYSVVEIV
      WMVWGMXOZYIVWOVWLVVEVXIWBUUIZUUEAVWSVWPUXAVXCVXDUUFYNVWOVULVUDVUSVWQUWEAV
      JLZURUUGZOZVWRUWEOZVWOUWAVUMVULVXEVUNVUQXBZVWOUWAVUDVXEVUGQVWOBUWFWHVWOUW
      AUWGVXEUWHQVWOUWAVUTVVAVXEVVBVVCXBWNVWOVWQUWEOVWQVXKUKZVXMVWOVWQUYKUWEVWO
      VWTVXAVXJUUHUYNVWJVWMVVPMYOVWOVULVVKUXAVXKUKZVXPVXOVXFUYNDCWFVWMVXKUWLOYS
      ZVXQVVOUWTVXRUXCUYHVWMUWTVXKUWMVJLZUWLUWAVXKVXSIUWCUWOUWAUWMUWEAVXKVUBUWA
      VXKVQVUIUUJSUWDUWQUWOUWLUWMUUKLZOVXSUWLOYSUWRUWTUWNVXTUWLUWNUWMUWSUULUXGU
      UMUWLUWMVXSVXSPUVGYNUUNXHUXAVXKUWLUUOYNUWIAVWPUXAVXKVUHVXKPZVXDUURYEVWQUW
      EVXKUUPUUQVULVUDJZVUSJZVXMJUBNZVWPLZUWEOZVXNUBVXLVWQVYDVWQIVYEVWRUWEVYDVW
      QVWPUUSUUTVYCVYFUBVXLUVAZVXMVYBVUSVYGUBUWEAUWFVWPVXKVURVYAVXDUVBVGMVYCVXM
      TUVCUVDWNUVEUXIVWLVVROVWNEUYGYPUXIVWLUWIVVRUXIVVGVWLUWIOVVLUWIAVWLVUHVXBU
      VFQVWAUVHUXIFVVRUXOUXTUYFUWMUWLVWLUXPEVVTUYFPZUXOPZUXPPZUXTPZUXIUWQUWMUVI
      OUWDUWQUWOUXCUWRSUWMUVJQZVVSYQUVKYRSUWEBUYLUYKUXAVUFUYLPYDYEYOSYOUVLUXIUX
      KUYEEUYGYPZUXIUXKUXJVVROVYMUXIUWIVVRUXJVWAUVMUXIFVVRUXOUXTUYFUWMUWLUXJUXP
      EVVTVYHVYIVYJVYKVYLVVSYQUVNVGYRUVOUVPYTYTUWDUWJJZUWJVUMUWEWROUWKUWDUWJTUW
      AVUMUWCUWJVUNSVYNBKUVQUWEUWIUWFAWIWRVURVUHUVRYEUVSUVT $.
  $}

  $( The degree of the extension ` E /FldExt F ` is ` 1 ` iff ` E ` and ` F `
     are the same structure.  (Contributed by Thierry Arnoux, 6-Aug-2023.) $)
  extdg1b $p |- ( E /FldExt F -> ( ( E [:] F ) = 1 <-> E = F ) ) $=
    ( cfldext cextdg co c1 wceq extdg1id wa oveq1 adantl cfield wcel fldextfld2
    wbr adantr extdgid syl eqtrd impbida ) ABCOZABDEZFGABGZABHUAUCIZUBBBDEZFUCU
    BUEGUAABBDJKUDBLMZUEFGUAUFUCABNPBQRST $.

  $( The characteristic of a subfield is the same as the characteristic of the
     larger field.  (Contributed by Thierry Arnoux, 20-Aug-2023.) $)
  fldextchr $p |- ( E /FldExt F -> ( chr ` F ) = ( chr ` E ) ) $=
    ( cfldext wbr cchr cfv cbs cress co fldextress fveq2d csubrg wcel wceq eqid
    fldextsubrg subrgchr syl eqtrd ) ABCDZBEFABGFZHIZEFZAEFZTBUBEABJKTUAALFMUCU
    DNUAABUAOPUAAQRS $.

  ${
    $d a b x y z $.
    $( The subring algebra of the complex numbers over the real numbers is a
       left vector space.  (Contributed by Thierry Arnoux, 20-Aug-2023.) $)
    ccfldsrarelvec $p |- ( ( subringAlg ` CCfld ) ` RR ) e. LVec $=
      ( vb vy vx va cr ccnfld wcel crefld cv cmul co cc caddc wceq wa wral wtru
      cfv mptru eqtri csra clvec clmod cdr cgrp crg w3a c1 wss cnring ax-resscn
      eqidd cnfldbas sraring mp2an ringgrp ax-mp ccrg cfield refld isfld simpli
      mpbi drngring simpr1 recnd simpr3 mulcld simpr2 adddid simpl adddird 3jca
      mulassd mulid2d jca32 ralrimivvva cbs sseqtri a1i srabase cplusg cnfldadd
      sraaddg cmulr cvsca cnfldmul sravsca cress df-refld srasca rebase replusg
      rgen csca remulr re1r islmod mpbir3an islvec mpbir2an ) EFUARRZUBGXBUCGZH
      UDGZXCXBUEGZHUFGZAIZBIZJKZLGZXGXHCIZMKJKXIXGXKJKMKNZDIZXGMKXHJKXMXHJKXIMK
      NZUGZXMXGJKXHJKXMXIJKNZUHXHJKXHNZOOZBLPCLPAEPZDEPXBUFGZXEFUFGELUIXTUJUKXB
      LFEXBXBNQXBULZSUMUNUOXBUPUQXDXFXDHURGZHUSGXDYBOUTHVAVCVBZHVDUQXSDEXMEGZXR
      ACBELLYDXGEGZXKLGZXHLGZUGZOZXOXPXQYIXJXLXNYIXGXHYIXGYDYEYFYGVEVFZYDYEYFYG
      VGZVHYIXGXHXKYJYKYDYEYFYGVIVJYIXMXGXHYIXMYDYHVKVFZYJYKVLVMYIXMXGXHYLYJYKV
      NYIXHYKVOVPVQWNCBMMJJUHHELXBADLFVRRZXBVRRZUMYMYNNQXBEFYAEYMUIQELYMUKUMVSV
      TZWASTMFWBRZXBWBRZWCYPYQNQXBEFYAYOWDSTJFWERZXBWFRZWGYRYSNQXBEFYAYOWHSTHFE
      WIKZXBWORZWJYTUUANQXBEFYAYOWKSTZWLWMWPWQWRWSYCHXBUUBWTXA $.

    $( The degree of the field extension of the complex numbers over the real
       numbers is 2.  (Suggested by GL, 4-Aug-2023.)  (Contributed by Thierry
       Arnoux, 20-Aug-2023.) $)
    ccfldextdgrr $p |- ( CCfld [:] RRfld ) = 2 $=
      ( vx vy ccnfld crefld co cfv cr wceq c1 ci wcel cc wtru cc0 a1i ax-icn wa
      cmul wrex caddc vz cextdg csra cldim c2 cfldext ccfldextrr extdgval ax-mp
      cbs wbr rebase fveq2i cpr chash clvec ccfldsrarelvec clinds clspn csn cun
      clbs df-pr c0g eqidd cnfld0 wss ax-resscn cnfldbas sseqtri sralmod0 mptru
      eqid wne ax-1cn ax-1ne0 srabase eqtri lindssn mp3an cin cv clmod lveclmod
      ine0 wb cress csca df-refld srasca cmulr cnfldmul sravsca lspsnel anbi12i
      cvsca mp2an reeanv simprl simpll recnd mulid1d eqtrd negeqd simprr simplr
      cneg mulcomd oveq12d cmin eqeltrd subidd negsubdid 3eqtr3d renegcld creq0
      neg0 eqtr3d syl2anc mpbird simpld negcon1ad 3eqtr2d rexlimivv 0red oveq1d
      ex simpr eqeq2d anbi1d rexbidv mul02i eqeq2i rspcedvd impbii eqriv cplusg
      biimpri 1cnd mulcld anbi2d jca 3bitr2i elin velsn 3bitr4i lindsun eqeltri
      cnfldadd sraaddg lspprel simpl addcld syl5ibrcom cre recl cim imcl oveq2d
      eleq1 replim eqtr4d bitri islbs4 mpbir2an dimval 1nei hashprg 3eqtr2i
      mpbi ) CDUBEZDUJFZCUCFZFZUDFZGUVMFZUDFZUECDUFUKUVKUVOHUGCDUHUIUVPUVNUDGUV
      LUVMULUMUMUVQIJUNZUOFZUEUVPUPKZUVRUVPVBFZKZUVQUVSHUQUWBUVRUVPURFZKUVRUVPU
      SFZFZLHUVRIUTZJUTZVAZUWCIJVCUWHUWCKMUWFUWDUWGUVPNUWDVMZNUVPVDFHMUVPGCNMUV
      PVEZNCVDFHMVFOGCUJFZVGMGLUWKVHVIVJOZVKVLZUVTMUQOUWFUWCKZMUVTILKZINVNUWNUQ
      VOVPLUVPINLUWKUVPUJFZVIUWKUWPHMUVPGCUWJUWLVQVLVRZUWMVSVTOUWGUWCKZMUVTJLKZ
      JNVNUWRUQPWELUVPJNUWQUWMVSVTOUWFUWDFZUWGUWDFZWAZNUTZHMUAUXBUXCUAWBZUWTKZU
      XDUXAKZQZUXDNHZUXDUXBKUXDUXCKUXGUXDAWBZIREZHZAGSZUXDBWBZJREZHZBGSZQUXKUXO
      QZBGSZAGSZUXHUXEUXLUXFUXPUVPWCKZUWOUXEUXLWFUVTUXTUQUVPWDUIZVORUXDADGUWDLU
      VPIDCGWGEZUVPWHFZWIUYBUYCHMUVPGCUWJUWLWJVLVRZULUWQRCWKFZUVPWPFZWLUYEUYFHM
      UVPGCUWJUWLWMVLVRZUWIWNWQUXTUWSUXFUXPWFUYAPRUXDBDGUWDLUVPJUYDULUWQUYGUWIW
      NWQWOUXKUXOABGGWRUXSUXHUXQUXHABGGUXIGKZUXMGKZQZUXQUXHUYJUXQQZUXDUXINXGZNU
      YKUXDUXJUXIUYJUXKUXOWSUYKUXIUYKUXIUYHUYIUXQWTZXAZXBXCZUYKUXINUYNUYKUXIXGZ
      NHZUXMNHZUYKUYQUYRQZUYPJUXMREZTEZNHZUYKUXDXGZUXDTEZVUANUYKVUCUYPUXDUYTTUY
      KUXDUXIUYOXDUYKUXDUXNUYTUYJUXKUXOXEUYKUXMJUYKUXMUYHUYIUXQXFZXAUWSUYKPOXHX
      CXIUYKUXDUXDXJEZXGUYLVUDNUYKVUFNUYKUXDUYKUXDUXILUYOUYNXKZXLXDUYKUXDUXDVUG
      VUGXMUYLNHUYKXQOZXNXRUYKUYPGKUYIUYSVUBWFUYKUXIUYMXOVUEUYPUXMXPXSXTYAYBVUH
      YCYGYDUXHUXRUXDNIREZHZUXOQZBGSANGUXHYEZUXHUXINHZQZUXQVUKBGVUNUXKVUJUXOVUN
      UXJVUIUXDVUNUXINIRUXHVUMYHYFYIYJYKUXHVUKVUJUXDNJREZHZQBNGVULUXHUYRQZUXOVU
      PVUJVUQUXNVUOUXDVUQUXMNJRUXHUYRYHYFYIUUAUXHVUJVUPVUJUXHVUINUXDIVOYLYMYRVU
      PUXHVUONUXDJPYLYMYRUUBYNYNYOUUCUXDUWTUXAUUDUANUUEUUFYPOUUGVLUUHUAUWELUXDU
      WEKZUXDUXJUXNTEZHZBGSZAGSZUXDLKZVURVVBWFMTRADGUWDLUVPIJUXDBUWQTCYQFZUVPYQ
      FZUUIVVDVVEHMUVPGCUWJUWLUUJVLVRUYDULUYGUWIUXTMUYAOMYSUWSMPOUUKVLVVBVVCVUT
      VVCABGGUYJVVCVUTVUSLKUYJUXJUXNUYJUXIIUYJUXIUYHUYIUULXAUYJYSYTUYJUXMJUYJUX
      MUYHUYIYHXAUWSUYJPOYTUUMUXDVUSLUUTUUNYDVVCVVAUXDUXDUUOFZIREZUXNTEZHZBGSAV
      VFGUXDUUPZVVCUXIVVFHZQZVUTVVIBGVVLVUSVVHUXDVVLUXJVVGUXNTVVLUXIVVFIRVVCVVK
      YHYFYFYIYKVVCVVIUXDVVGUXDUUQFZJREZTEZHBVVMGUXDUURZVVCUXMVVMHZQZVVHVVOUXDV
      VRUXNVVNVVGTVVRUXMVVMJRVVCVVQYHYFUUSYIVVCUXDVVFJVVMREZTEVVOUXDUVAVVCVVGVV
      FVVNVVSTVVCVVFVVCVVFVVJXAXBVVCVVMJVVCVVMVVPXAUWSVVCPOXHXIUVBYNYNYOUVCYPLU
      WAUWDUVPUVRUWQUWAVMZUWIUVDUVEUVRUVPUWAVVTUVFWQIJVNZUVSUEHZUVGUWOUWSVWAVWB
      WFVOPIJLLUVHWQUVJVRUVI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Matrices
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Submatrices
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c subMat1 $.

  $( Syntax for a function generating submatrices. $)
  csmat $a class subMat1 $.

  ${
    $d i j k l m $.
    $( Define a function generating submatrices of an integer-indexed matrix.
       The function maps an index in ` ( ( 1 ... M ) X. ( 1 ... N ) ) ` into a
       new index in ` ( ( 1 ... ( M - 1 ) ) X. ( 1 ... ( N - 1 ) ) ) ` .  A
       submatrix is obtained by deleting a row and a column of the original
       matrix.  Because this function re-indexes the matrix, the resulting
       submatrix still has the same index set for rows and columns, and its
       determinent is defined, unlike the current ~ df-subma .  (Contributed by
       Thierry Arnoux, 18-Aug-2020.) $)
    df-smat $a |- subMat1 = ( m e. _V |->
       ( k e. NN , l e. NN |-> ( m o. ( i e. NN , j e. NN |->
        <. if ( i < k , i , ( i + 1 ) ) , if ( j < l , j , ( j + 1 ) ) >. ) ) )
       ) $.
  $}

  ${
    $d K i j k l m $.  $d L i j k l $.  $d M k l m $.  $d V k l $.
    $( Value of the submatrix.  (Contributed by Thierry Arnoux,
       19-Aug-2020.) $)
    smatfval $p |- ( ( K e. NN /\ L e. NN /\ M e. V ) ->
      ( K ( subMat1 ` M ) L ) = ( M o. ( i e. NN , j e. NN
        |-> <. if ( i < K , i , ( i + 1 ) ) , if ( j < L , j , ( j + 1 ) ) >.
      ) ) ) $=
      ( vk vl vm cn wcel cv clt wbr cif cop cmpo cvv wceq nnex c1 caddc co ccom
      w3a csmat cfv 3ad2ant3 coeq1 mpoeq3dv df-smat mpoex fvmpt syl breq2 ifbid
      elex opeq1d opeq2d sylan9eq adantl coeq2d simp1 simp2 simp3 coexg syl2anc
      wa a1i ovmpod ) CJKZDJKZEFKZUEZGHCDJJEABJJALZGLZMNZVOVOUAUBUCZOZBLZHLZMNZ
      VTVTUAUBUCZOZPZQZUDZEABJJVOCMNZVOVROZVTDMNZVTWCOZPZQZUDZEUFUGZRVNERKZWOGH
      JJWGQZSVMVKWPVLEFUQUHIEGHJJILZWFUDZQWQRUFWRESGHJJWSWGWREWFUIUJABGIHUKGHJJ
      WGTTULUMUNVNVPCSZWADSZVHZVHWFWMEXBWFWMSVNWTXAWFABJJWIWDPZQWMWTABJJWEXCWTV
      SWIWDWTVQWHVOVRVPCVOMUOUPURUJXAABJJXCWLXAWDWKWIXAWBWJVTWCWADVTMUOUPUSUJUT
      VAVBVKVLVMVCVKVLVMVDVNVMWMRKZWNRKVKVLVMVEXDVNABJJWLTTULVIEWMFRVFVGVJ $.

    $d A x $.  $d K i j x $.  $d L i j x $.  $d M x $.  $d N x $.  $d ph x $.
    smat.s $e |- S = ( K ( subMat1 ` A ) L ) $.
    smat.m $e |- ( ph -> M e. NN ) $.
    smat.n $e |- ( ph -> N e. NN ) $.
    smat.k $e |- ( ph -> K e. ( 1 ... M ) ) $.
    smat.l $e |- ( ph -> L e. ( 1 ... N ) ) $.
    smat.a $e |- ( ph -> A e. ( B ^m ( ( 1 ... M ) X. ( 1 ... N ) ) ) ) $.
    $( Closure of the rectangular submatrix.  (Contributed by Thierry Arnoux,
       19-Aug-2020.) $)
    smatrcl $p |-
      ( ph -> S e. ( B ^m ( ( 1 ... ( M - 1 ) ) X. ( 1 ... ( N - 1 ) ) ) ) ) $=
      ( c1 co wcel cn wbr wa vi vj vx cmin cfz cxp cmap wf crn wss cdm wfun clt
      cv caddc cif cop cmpo ccom elmapi ffun 3syl eqid mpofun a1i funco syl2anc
      csmat cfv wceq fz1ssnn sselid smatfval syl3anc syl5eq funeqd mpbird fdmrn
      sylib dmeqd ccnv cima dmco fdm imaeq2d eleq2d wb wfn opex fnmpoi elpreima
      ax-mp c1st cle breq1 id oveq1 ifbieq12d eqtrd bitrdi wn wo ifel ad3antrrr
      nnred cr simpr ltled elfzle2 syl letrd jca cz nnzd ltletrd nnltlem1 mpbid
      fznn pm5.32da ad2antrr peano2nnd biantrurd zltp1le zltlem1 bitr3d 3bitr2d
      2thd anbi2d orbi12d pm4.42 ancom orbi12i bitri bitr4di syl5bb anbi12d cvv
      zsubcld elxp6 ovex simplr fveq2d df-ov eqtr4di opeq1d opeq2d ovmpo adantl
      c2nd eleq1d opelxp simplrl simprl simplrr simprr bitrd 1zzd adantr bitr4d
      an4 anbi1i anass 3bitr4g 3bitrd eqrdv feq2d rneqd rncoss eqsstrdi frn fss
      sstrd reldmmap ovrcl simpld xpex elmapg sylancl ) ADCOGOUDPZUEPZOHOUDPZUE
      PZUFZUGPQZUWCCDUHZAUWCDUIZDUHZUWFCUJUWEADUKZUWFDUHZUWGADULZUWIAUWJBUAUBRR
      UAUNZEUMSZUWKUWKOUOPZUPZUBUNZFUMSZUWOUWOOUOPZUPZUQZURZUSZULZABULZUWTULZUX
      BABCOGUEPZOHUEPZUFZUGPZQZUXGCBUHZUXCNBCUXGUTZUXGCBVAVBUXDAUAUBRRUWSUWTUWT
      VCZVDVEBUWTVFVGADUXAADEFBVHVIPZUXAIAERQFRQUXIUXMUXAVJAUXEREGVKLVLZAUXFRFH
      VKMVLZNUAUBEFBUXHVMVNVOZVPVQDVRVSAUWHUWCUWFDAUWHUXAUKZUWCADUXAUXPVTAUXQUW
      TWAZBUKZWBZUWCBUWTWCAUCUXTUWCAUCUNZUXTQUYAUXRUXGWBZQZUYARRUFZQZUYAUWTVIZU
      XGQZTZUYAUWCQZAUXTUYBUYAAUXSUXGUXRAUXIUXJUXSUXGVJNUXKUXGCBWDVBWEWFUYCUYHW
      GZAUWTUYDWHUYJUAUBRRUWSUWTUXLUWNUWRWIWJUYDUYAUXGUWTWKWLVEAUYAUYAWMVIZUYAU
      UIVIZUQZVJZUYKRQZUYLRQZTZUYGTZTZUYNUYKUVTQZUYLUWBQZTZTUYHUYIAUYNUYRVUBAUY
      NTZUYRUYQUYKUVSWNSZUYLUWAWNSZTZTZVUBVUCUYQUYGVUFVUCUYQTZUYGUYKEUMSZUYKUYK
      OUOPZUPZUXEQZUYLFUMSZUYLUYLOUOPZUPZUXFQZTZVUFVUHUYGVUKVUOUQZUXGQVUQVUHUYF
      VURUXGVUHUYFUYKUYLUWTPZVURVUHUYFUYMUWTVIVUSVUHUYAUYMUWTAUYNUYQUUAUUBUYKUY
      LUWTUUCUUDUYQVUSVURVJVUCUAUBUYKUYLRRUWSVURUWTVUKUWRUQUWKUYKVJZUWNVUKUWRVU
      TUWLVUIUWKUWMUYKVUJUWKUYKEUMWOVUTWPUWKUYKOUOWQWRUUEUWOUYLVJZUWRVUOVUKVVAU
      WPVUMUWOUWQUYLVUNUWOUYLFUMWOVVAWPUWOUYLOUOWQWRUUFUXLVUKVUOWIUUGUUHWSUUJVU
      KVUOUXEUXFUUKWTVUHVULVUDVUPVUEVULVUIUYKUXEQZTZVUIXAZVUJUXEQZTZXBZVUHVUDVU
      IUYKVUJUXEXCVUHVVGVUIVUDTZVVDVUDTZXBZVUDVUHVVCVVHVVFVVIVUHVUIVVBVUDVUHVUI
      TZVVBVUDVVKVVBUYOUYKGWNSZTZVVKUYOVVLVUCUYOUYPVUIUULZVVKUYKEGVVKUYKVVNXEZA
      EXFQUYNUYQVUIAEUXNXEXDZAGXFQUYNUYQVUIAGJXEXDZVVKUYKEVVOVVPVUHVUIXGZXHAEGW
      NSZUYNUYQVUIAEUXEQVVSLEOGXIXJXDZXKXLAVVBVVMWGZUYNUYQVUIAGXMQZVWAAGJXNZUYK
      GXRXJXDVQVVKUYKGUMSZVUDVVKUYKEGVVOVVPVVQVVRVVTXOVVKUYOGRQZVWDVUDWGVVNAVWE
      UYNUYQVUIJXDUYKGXPVGXQYGXSVUHVVEVUDVVDVUHVVEVUJRQZVUJGWNSZTZVWGVUDAVVEVWH
      WGZUYNUYQAVWBVWIVWCVUJGXRXJXTVUHVWFVWGVUHUYKVUCUYOUYPUUMZYAYBVUHUYKXMQZVW
      BVWGVUDWGVUHUYKVWJXNAVWBUYNUYQVWCXTVWKVWBTVWDVWGVUDUYKGYCUYKGYDYEVGYFYHYI
      VUDVUDVUITZVUDVVDTZXBVVJVUDVUIYJVWLVVHVWMVVIVUDVUIYKVUDVVDYKYLYMYNYOVUPVU
      MUYLUXFQZTZVUMXAZVUNUXFQZTZXBZVUHVUEVUMUYLVUNUXFXCVUHVWSVUMVUETZVWPVUETZX
      BZVUEVUHVWOVWTVWRVXAVUHVUMVWNVUEVUHVUMTZVWNVUEVXCVWNUYPUYLHWNSZTZVXCUYPVX
      DVUCUYOUYPVUMUUNZVXCUYLFHVXCUYLVXFXEZAFXFQUYNUYQVUMAFUXOXEXDZAHXFQUYNUYQV
      UMAHKXEXDZVXCUYLFVXGVXHVUHVUMXGZXHAFHWNSZUYNUYQVUMAFUXFQVXKMFOHXIXJXDZXKX
      LAVWNVXEWGZUYNUYQVUMAHXMQZVXMAHKXNZUYLHXRXJXDVQVXCUYLHUMSZVUEVXCUYLFHVXGV
      XHVXIVXJVXLXOVXCUYPHRQZVXPVUEWGVXFAVXQUYNUYQVUMKXDUYLHXPVGXQYGXSVUHVWQVUE
      VWPVUHVWQVUNRQZVUNHWNSZTZVXSVUEAVWQVXTWGZUYNUYQAVXNVYAVXOVUNHXRXJXTVUHVXR
      VXSVUHUYLVUCUYOUYPUUOZYAYBVUHUYLXMQZVXNVXSVUEWGVUHUYLVYBXNAVXNUYNUYQVXOXT
      VYCVXNTVXPVXSVUEUYLHYCUYLHYDYEVGYFYHYIVUEVUEVUMTZVUEVWPTZXBVXBVUEVUMYJVYD
      VWTVYEVXAVUEVUMYKVUEVWPYKYLYMYNYOYPUUPXSAVUBVUGWGUYNAVUBUYOVUDTZUYPVUETZT
      VUGAUYTVYFVUAVYGAUVSXMQUYTVYFWGAGOVWCAUUQZYRUYKUVSXRXJAUWAXMQVUAVYGWGAHOV
      XOVYHYRUYLUWAXRXJYPUYOVUDUYPVUEUUTWTUURUUSXSUYHUYNUYQTZUYGTUYSUYEVYIUYGUY
      ARRYSUVAUYNUYQUYGUVBYMUYAUVTUWBYSUVCUVDUVEVOWSUVFXQAUWFBUIZCAUWFUXAUIVYJA
      DUXAUXPUVGBUWTUVHUVIAUXIUXJVYJCUJNUXKUXGCBUVJVBUVLUWCUWFCDUVKVGACYQQZUWCY
      QQUWDUWEWGAVYKUXGYQQZAUXIVYKVYLTNCUXGBUGUVMUVNXJUVOUVTUWBOUVSUEYTOUWAUEYT
      UVPCUWCDYQYQUVQUVRVQ $.

    ${
      $d I i j $.  $d J i j $.
      smatlem.i $e |- ( ph -> I e. NN ) $.
      smatlem.j $e |- ( ph -> J e. NN ) $.
      smatlem.1 $e |- ( ph -> if ( I < K , I , ( I + 1 ) ) = X ) $.
      smatlem.2 $e |- ( ph -> if ( J < L , J , ( J + 1 ) ) = Y ) $.
      $( Lemma for the next theorems.  (Contributed by Thierry Arnoux,
         19-Aug-2020.) $)
      smatlem $p |- ( ph -> ( I S J ) = ( X A Y ) ) $=
        ( vi vj co cop cn cv clt wbr caddc cif cmpo cfv ccom csmat wcel cfz cxp
        cmap wceq fz1ssnn sselid smatfval syl3anc syl5eq oveqd df-ov eqtrdi cdm
        c1 wa jca opelxp sylibr eqid opex dmmpo eleqtrrdi wfun mpofun fvco mpan
        syl eqtrd breq1 id oveq1 ifbieq12d opeq1d opeq2d opeq12d eqtr3id fveq2d
        ovmpo eqtr4di ) AEFDUEZEFUFZUCUDUGUGUCUHZGUIUJZWSWSVKUKUEZULZUDUHZHUIUJ
        ZXCXCVKUKUEZULZUFZUMZUNZBUNZKLBUEZAWQWRBXHUOZUNZXJAWQEFXLUEXMADXLEFADGH
        BUPUNUEZXLMAGUGUQHUGUQBCVKIURUEZVKJURUEZUSUTUEZUQXNXLVAAXOUGGIVBPVCAXPU
        GHJVBQVCRUCUDGHBXQVDVEVFVGEFXLVHVIAWRXHVJZUQZXMXJVAZAWRUGUGUSZXRAEUGUQZ
        FUGUQZVLZWRYAUQAYBYCSTVMZEFUGUGVNVOUCUDUGUGXGXHXHVPZXBXFVQVRVSXHVTXSXTU
        CUDUGUGXGXHYFWAWRBXHWBWCWDWEAXJKLUFZBUNXKAXIYGBAXIEFXHUEZYGEFXHVHAYHEGU
        IUJZEEVKUKUEZULZFHUIUJZFFVKUKUEZULZUFZYGAYDYHYOVAYEUCUDEFUGUGXGYOXHYKXF
        UFWSEVAZXBYKXFYPWTYIWSXAEYJWSEGUIWFYPWGWSEVKUKWHWIWJXCFVAZXFYNYKYQXDYLX
        CXEFYMXCFHUIWFYQWGXCFVKUKWHWIWKYFYKYNVQWOWDAYKKYNLUAUBWLWEWMWNKLBVHWPWE
        $.
    $}

    ${
      smattl.i $e |- ( ph -> I e. ( 1 ..^ K ) ) $.
      smattl.j $e |- ( ph -> J e. ( 1 ..^ L ) ) $.
      $( Entries of a submatrix, top left.  (Contributed by Thierry Arnoux,
         19-Aug-2020.) $)
      smattl $p |- ( ph -> ( I S J ) = ( I A J ) ) $=
        ( c1 co cfzo fzossnn sselid clt wbr caddc wcel elfzolt2 iftrued smatlem
        cn syl ) ABCDEFGHIJEFKLMNOPASGUATZUKEGUBQUCASHUATZUKFHUBRUCAEGUDUEZEESU
        FTAEUMUGUOQESGUHULUIAFHUDUEZFFSUFTAFUNUGUPRFSHUHULUIUJ $.
    $}

    ${
      smattr.i $e |- ( ph -> I e. ( K ... M ) ) $.
      smattr.j $e |- ( ph -> J e. ( 1 ..^ L ) ) $.
      $( Entries of a submatrix, top right.  (Contributed by Thierry Arnoux,
         19-Aug-2020.) $)
      smattr $p |- ( ph -> ( I S J ) = ( ( I + 1 ) A J ) ) $=
        ( c1 co caddc cfz cn wcel wss fz1ssnn sselid fzssnn sseldd cfzo fzossnn
        syl clt wbr cle wn elfzle1 nnred lenltd mpbid iffalsed elfzolt2 iftrued
        smatlem ) ABCDEFGHIJESUATZFKLMNOPAGIUBTZUCEAGUCUDVFUCUEASIUBTUCGIUFNUGZ
        GIUHULQUIZASHUJTZUCFHUKRUGAEGUMUNZEVEAGEUOUNZVJUPAEVFUDVKQEGIUQULAGEAGV
        GURAEVHURUSUTVAAFHUMUNZFFSUATAFVIUDVLRFSHVBULVCVD $.
    $}

    ${
      smatbl.i $e |- ( ph -> I e. ( 1 ..^ K ) ) $.
      smatbl.j $e |- ( ph -> J e. ( L ... N ) ) $.
      $( Entries of a submatrix, bottom left.  (Contributed by Thierry Arnoux,
         19-Aug-2020.) $)
      smatbl $p |- ( ph -> ( I S J ) = ( I A ( J + 1 ) ) ) $=
        ( c1 co caddc cfzo cn fzossnn sselid cfz wcel wss fz1ssnn fzssnn sseldd
        syl clt wbr elfzolt2 iftrued cle wn elfzle1 nnred lenltd mpbid iffalsed
        smatlem ) ABCDEFGHIJEFSUATZKLMNOPASGUBTZUCEGUDQUEAHJUFTZUCFAHUCUGVGUCUH
        ASJUFTUCHJUIOUEZHJUJULRUKZAEGUMUNZEESUATAEVFUGVJQESGUOULUPAFHUMUNZFVEAH
        FUQUNZVKURAFVGUGVLRFHJUSULAHFAHVHUTAFVIUTVAVBVCVD $.
    $}

    ${
      smatbr.i $e |- ( ph -> I e. ( K ... M ) ) $.
      smatbr.j $e |- ( ph -> J e. ( L ... N ) ) $.
      $( Entries of a submatrix, bottom right.  (Contributed by Thierry Arnoux,
         19-Aug-2020.) $)
      smatbr $p |- ( ph -> ( I S J ) = ( ( I + 1 ) A ( J + 1 ) ) ) $=
        ( co cn caddc cfz wcel wss fz1ssnn sselid fzssnn syl sseldd clt wbr cle
        c1 wn elfzle1 nnred lenltd mpbid iffalsed smatlem ) ABCDEFGHIJEUMUASZFU
        MUASZKLMNOPAGIUBSZTEAGTUCVCTUDAUMIUBSTGIUENUFZGIUGUHQUIZAHJUBSZTFAHTUCV
        FTUDAUMJUBSTHJUEOUFZHJUGUHRUIZAEGUJUKZEVAAGEULUKZVIUNAEVCUCVJQEGIUOUHAG
        EAGVDUPAEVEUPUQURUSAFHUJUKZFVBAHFULUKZVKUNAFVFUCVLRFHJUOUHAHFAHVGUPAFVH
        UPUQURUSUT $.
    $}
  $}

  ${
    smatcl.a $e |- A = ( ( 1 ... N ) Mat R ) $.
    smatcl.b $e |- B = ( Base ` A ) $.
    smatcl.c $e |- C = ( Base ` ( ( 1 ... ( N - 1 ) ) Mat R ) ) $.
    smatcl.s $e |- S = ( K ( subMat1 ` M ) L ) $.
    smatcl.n $e |- ( ph -> N e. NN ) $.
    smatcl.k $e |- ( ph -> K e. ( 1 ... N ) ) $.
    smatcl.l $e |- ( ph -> L e. ( 1 ... N ) ) $.
    smatcl.m $e |- ( ph -> M e. B ) $.
    $( Closure of the square submatrix: if ` M ` is a square matrix of
       dimension ` N ` with indices in ` ( 1 ... N ) ` , then a submatrix of
       ` M ` is of dimension ` ( N - 1 ) ` .  (Contributed by Thierry Arnoux,
       19-Aug-2020.) $)
    smatcl $p |- ( ph -> S e. C ) $=
      ( co wcel c1 cmin cfz cmat cbs cfv cxp cmap eqid matbas2i syl smatrcl cfn
      cvv wceq fzfi matrcl simprd matbas2 sylancr eleq2d mpbid eleqtrrdi ) AFUA
      JUAUBSZUCSZEUDSZUEUFZDAFEUEUFZVEVEUGUHSZTFVGTAIVHFGHJJNOOPQAICTZIVHUAJUCS
      ZVKUGUHSTRBCEVHIVKKVHUIZLUJUKULAVIVGFAVEUMTEUNTZVIVGUOUAVDUPAVJVMRVJVKUMT
      VMBCEVKIKLUQURUKVFEVHVEUNVFUIVLUSUTVAVBMVC $.
  $}

  ${
    $d A i j $.  $d B i j $.  $d M i j $.  $d N i j $.
    matmpo.a $e |- A = ( N Mat R ) $.
    matmpo.n $e |- B = ( Base ` A ) $.
    $( Write a square matrix as a mapping operation.  (Contributed by Thierry
       Arnoux, 16-Aug-2020.) $)
    matmpo $p |- ( M e. B -> M = ( i e. N , j e. N |-> ( i M j ) ) ) $=
      ( wcel cxp wfn cv co cmpo wceq cbs cfv cmap eqid matbas2i syl fnov sylib
      elmapfn ) FBJZFGGKZLZFDEGGDMEMFNOPUFFCQRZUGSNJUHABCUIFGHUITIUAFUIUGUEUBDE
      GGFUCUD $.
  $}

  ${
    $d .1. i j $.  $d I i j $.  $d N i j $.  $d R i j $.  $d i j ph $.
    1smat1.1 $e |- .1. = ( 1r ` ( ( 1 ... N ) Mat R ) ) $.
    1smat1.r $e |- ( ph -> R e. Ring ) $.
    1smat1.n $e |- ( ph -> N e. NN ) $.
    1smat1.i $e |- ( ph -> I e. ( 1 ... N ) ) $.
    $( The submatrix of the identity matrix obtained by removing the ith row
       and the ith column is an identity matrix.  Cf. ~ 1marepvsma1 .
       (Contributed by Thierry Arnoux, 19-Aug-2020.) $)
    1smat1 $p |- ( ph
     -> ( I ( subMat1 ` .1. ) I ) = ( 1r ` ( ( 1 ... ( N - 1 ) ) Mat R ) ) ) $=
      ( cfv co c1 wceq wcel wa wbr eqid cn adantr simpr vi vj cmin cfz cmat cur
      csmat cv wral clt caddc cif c0g cbs cxp cmap crg cfn fzfi mat1bas sylancl
      matbas2 sylancr eleqtrrd fz1ssnn simprl sselid eqidd smatlem a1i cuz nnuz
      simprr eleqtrdi fznatpl1 syl2anc peano2fzr jca eleq1 ifboth syl mat1ov wb
      iftrued eqeq1d eqeq2d wn iffalsed cr nnred ad2antrr ad3antrrr readdcld cz
      1red cle nnzd nltled zleltp1 biimpa syl21anc lttrd neneqd ltletrd 2falsed
      ltned bitrd pm2.61dan necomd cc nncnd 1cnd addcan2ad oveq1d impbida ifbid
      fzfid eqtr4d 3eqtrd ralrimivva wfn smatrcl elmapfn eqfnov2 mpbird ) ADDCU
      GJKZLELUCKZUDKZBUEKZUFJZMZUAUHZUBUHZYFKZYLYMYJKZMZUBYHUIUAYHUIZAYPUAUBYHY
      HAYLYHNZYMYHNZOZOZYNYLDUJPZYLYLLUKKZULZYMDUJPZYMYMLUKKZULZCKUUDUUGMZBUFJZ
      BUMJZULZYOUUACBUNJZYFYLYMDDEEUUDUUGYFQZAERNZYTHSZUUOADLEUDKZNYTISZUUQACUU
      LUUPUUPUOUPKZNYTACUUPBUEKZUNJZUURABUQNZUUPURNZCUUTNGLEUSZUUSUUTBCUUPUUSQZ
      UUTQFUTVAAUVBUVAUURUUTMUVCGUUSBUULUUPUQUVDUULQZVBVCVDZSUUAYHRYLYGVEZAYRYS
      VFZVGZUUAYHRYMUVGAYRYSVMZVGZUUAUUDVHUUAUUGVHVIUUAUUSBCUUIUUDUUGUUPUUJUVDU
      UIQZUUJQZUVBUUAUVCVJAUVAYTGSZUUAYLUUPNZUUCUUPNZOUUDUUPNZUUAUVOUVPUUAYLLVK
      JZNUVPUVOUUAYLRUVRUVIVLVNUUAUUNYRUVPUUOUVHYLEVOVPZYLLEVQVPUVSVRUUBUVOUVPU
      VQYLUUCYLUUDUUPVSUUCUUDUUPVSVTWAUUAYMUUPNZUUFUUPNZOUUGUUPNZUUAUVTUWAUUAYM
      UVRNUWAUVTUUAYMRUVRUVKVLVNUUAUUNYSUWAUUOUVJYMEVOVPZYMLEVQVPUWCVRUUEUVTUWA
      UWBYMUUFYMUUGUUPVSUUFUUGUUPVSVTWAFWBUUAUUKYLYMMZUUIUUJULYOUUAUUHUWDUUIUUJ
      UUAUUBUUHUWDWCUUAUUBOZUUHYLUUGMZUWDUWEUUDYLUUGUWEUUBYLUUCUUAUUBTZWDWEUWEU
      UEUWFUWDWCUWEUUEOZUUGYMYLUWHUUEYMUUFUWEUUETWDWFUWEUUEWGZOZUWFYLUUFMZUWDUW
      JUUGUUFYLUWJUUEYMUUFUWEUWITZWHWFUWJUWKUWDUWJYLUUFUWJYLUUFUUAYLWINZUUBUWIU
      UAYLUVIWJZWKZUWJYLDUUFUWOADWINZYTUUBUWIADAUUPRDEVEIVGZWJZWLZUWJYMLUUAYMWI
      NZUUBUWIUUAYMUVKWJZWKZUWJWOWMUWEUUBUWIUWGSZUWJDWNNZYMWNNZDYMWPPZDUUFUJPZA
      UXDYTUUBUWIADUWQWQZWLUUAUXEUUBUWIUUAYMUVKWQWKUWJDYMUWSUXBUWLWRZUXDUXEOUXF
      UXGDYMWSWTXAXBXFXCUWJYLYMUWJYLYMUWOUWJYLDYMUWOUWSUXBUXCUXIXDXFXCXEXGXHXGU
      UAUUBWGZOZUUHUUCUUGMZUWDUXKUUDUUCUUGUXKUUBYLUUCUUAUXJTZWHWEUXKUUEUXLUWDWC
      UXKUUEOZUXLUUCYMMZUWDUXNUUGYMUUCUXNUUEYMUUFUXKUUETZWDWFUXNUXOUWDUXNUUCYMU
      XNYMUUCUXNYMUUCUUAUWTUXJUUEUXAWKZUXNYMDUUCUXQAUWPYTUXJUUEUWRWLZUXNYLLUUAU
      WMUXJUUEUWNWKZUXNWOWMUXPUXNUXDYLWNNZDYLWPPZDUUCUJPZAUXDYTUXJUUEUXHWLUUAUX
      TUXJUUEUUAYLUVIWQWKUXNDYLUXRUXSUXKUXJUUEUXMSWRZUXDUXTOUYAUYBDYLWSWTXAXBXF
      XIXCUXNYLYMUXNYMYLUXNYMYLUXQUXNYMDYLUXQUXRUXSUXPUYCXDXFXIXCXEXGUXKUWIOZUX
      LUUCUUFMZUWDUYDUUGUUFUUCUYDUUEYMUUFUXKUWITWHWFUYDUYEUWDUYDUYEOZYLYMLUUAYL
      XJNUXJUWIUYEUUAYLUVIXKWLUUAYMXJNUXJUWIUYEUUAYMUVKXKWLUYFXLUYDUYETXMUYDUWD
      OYLYMLUKUYDUWDTXNXOXGXHXGXHXPUUAYIBYJUUIYLYMYHUUJYIQZUVLUVMUUALYGXQUVNUVH
      UVJYJQZWBXRXSXTAYFYHYHUOZYAZYJUYIYAZYKYQWCAYFUULUYIUPKZNUYJACUULYFDDEEUUM
      HHIIUVFYBYFUULUYIYCWAAYJUYLNUYKAYJYIUNJZUYLAUVAYHURNZYJUYMNGLYGUSZYIUYMBY
      JYHUYGUYMQUYHUTVAAUYNUVAUYLUYMMUYOGYIBUULYHUQUYGUVEVBVCVDYJUULUYIYCWAUAUB
      YHYHYFYJYDVPYE $.
  $}

  ${
    $d A i j $.  $d B i j $.  $d M i j $.  $d N i j $.  $d R i j $.
    submat1n.a $e |- A = ( ( 1 ... N ) Mat R ) $.
    submat1n.b $e |- B = ( Base ` A ) $.
    $( One case where the submatrix with integer indices, ` subMat1 ` , and the
       general submatrix ` subMat ` , agree.  (Contributed by Thierry Arnoux,
       22-Aug-2020.) $)
    submat1n $p |- ( ( N e. NN /\ M e. B ) -> ( N ( subMat1 ` M ) N )
      = ( N ( ( ( 1 ... N ) subMat R ) ` M ) N ) ) $=
      ( vi vj cn wcel wa c1 cfz co cfv wceq adantr eqid syl csn cdif cmpo csmat
      cv cmin csubma cuz fzdif2 nnuz eleq2s cbs elfz1end biimpi sylibr cxp cmap
      matbas2i ad2antlr cfzo simprl cz nnz fzoval eqtr4d eleqtrrd simprr smattl
      eqcomd mpoeq123dva simpr submaval syl3anc cmat smatcl matmpo 3eqtr4rd ) E
      JKZDBKZLZHIMENOZEUAUBZWBHUEZIUEZDOZUCZHIMEMUFONOZWGWCWDEEDUDPOZOZUCZEEDWA
      CUGOZPOZWHVTHIWBWBWEWGWGWIVRWBWGQZVSWMEMUHPJMEUIUJUKZRZVTWMWCWBKZWORVTWPW
      DWBKZLZLZWIWEWSDCULPZWHWCWDEEEEWHSZVTVRWRVTEWAKZVRVRXBVSVRXBEUMZUNZRZXCUO
      ZRZXGWSVRXBXGXDTZXHVSDWTWAWAUPUQOKVRWRABCWTDWAFWTSGURUSWSWCWBMEUTOZVTWPWQ
      VAWSVRXIWBQXGVRXIWGWBVREVBKXIWGQEVCMEVDTWNVETZVFWSWDWBXIVTWPWQVGXJVFVHVIV
      JVTVSXBXBWLWFQVRVSVKZXEXEABWKCHIEEDWAFWKSGVLVMVTWHWGCVNOZULPZKWHWJQVTABXM
      CWHEEDEFGXMSZXAXFXEXEXKVOXLXMCHIWHWGXLSXNVPTVQ $.

    $( Special case where the submatrix is a restriction of the initial matrix,
       and no renumbering occurs.  (Contributed by Thierry Arnoux,
       26-Aug-2020.) $)
    submatres $p |- ( ( N e. NN /\ M e. B ) -> ( N ( subMat1 ` M ) N )
      = ( M |` ( ( 1 ... ( N - 1 ) ) X. ( 1 ... ( N - 1 ) ) ) ) ) $=
      ( vi vj cn wcel cfv co c1 cfz cv cmpo cres wceq adantr wa csubma csn cdif
      csmat cmin cxp submat1n simpr cuz nnuz eleq2i biimpi eluzfz2 syl submaval
      syl3anc fzdif2 difss eqsstrrdi resmpo syl2anc matmpo reseq1d adantl eqidd
      eqid wss mpoeq123dv 3eqtr4rd 3eqtrd ) EJKZDBKZUAZEEDUELMEEDNEOMZCUBMZLMZH
      IVOEUCZUDZVSHPIPDMZQZDNENUFMOMZWBUGZRZABCDEFGUHVNVMEVOKZWEVQWASVLVMUIVLWE
      VMVLENUJLZKZWEVLWGJWFEUKULUMZNEUNUOTZWIABVPCHIEEDVOFVPVGGUPUQVNHIVOVOVTQZ
      WCRZHIWBWBVTQZWDWAVNWBVOVHZWMWKWLSVLWMVMVLWBVSVOVLWGVSWBSZWHNEURUOZVOVRUS
      UTTZWPHIVOVOWBWBVTVAVBVMWDWKSVLVMDWJWCABCHIDVOFGVCVDVEVNHIVSVSVTWBWBVTVLW
      NVMWOTZWQVNVTVFVIVJVK $.
  $}

  ${
    submateqlem1.n $e |- ( ph -> N e. NN ) $.
    submateqlem1.k $e |- ( ph -> K e. ( 1 ... N ) ) $.
    submateqlem1.m $e |- ( ph -> M e. ( 1 ... ( N - 1 ) ) ) $.
    submateqlem1.1 $e |- ( ph -> K <_ M ) $.
    $( Lemma for ~ submateq .  (Contributed by Thierry Arnoux, 25-Aug-2020.) $)
    submateqlem1 $p |- ( ph -> ( M e. ( K ... N )
      /\ ( M + 1 ) e. ( ( 1 ... N ) \ { K } ) ) ) $=
      ( cfz co wcel c1 cn nnzd nnred cle wbr wb mpbid syl2anc caddc csn fz1ssnn
      cdif sselid cmin 1red resubcld elfzle2 syl lem1d letrd elfzd peano2zd cc0
      1zzd nnnn0d nn0ge0d 1re addge02 sylancr clt cn0 nn0ltlem1 mpbird nnltp1le
      cr wne wn nnleltp1 ltned necomd nelsn eldifd jca ) ACBDIJKCLUAJZLDIJZBUBZ
      UDKACBDABAVQMBDUCFUEZNADENZACALDLUFJZIJZMCWAUCGUEZNZHACWADACWCOZADLADEOZA
      UGUHWFACWBKCWAPQZGCLWAUIUJZADWFUKULUMAVPVQVRAVPLDAUPVTACWDUNAUOCPQZLVPPQZ
      ACACWCUQZURALVGKCVGKWIWJRUSWELCUTVASACDVBQZVPDPQZAWLWGWHACVCKDVCKWLWGRWKA
      DEUQCDVDTVEACMKZDMKWLWMRWCECDVFTSUMAVPBVHVPVRKVIABVPABVPABVSOABCPQZBVPVBQ
      ZHABMKWNWOWPRVSWCBCVJTSVKVLVPBVMUJVNVO $.
  $}

  ${
    submateqlem2.n $e |- ( ph -> N e. NN ) $.
    submateqlem2.k $e |- ( ph -> K e. ( 1 ... N ) ) $.
    submateqlem2.m $e |- ( ph -> M e. ( 1 ... ( N - 1 ) ) ) $.
    submateqlem2.1 $e |- ( ph -> M < K ) $.
    $( Lemma for ~ submateq .  (Contributed by Thierry Arnoux, 26-Aug-2020.) $)
    submateqlem2 $p |- ( ph -> ( M e. ( 1 ..^ K )
      /\ M e. ( ( 1 ... N ) \ { K } ) ) ) $=
      ( c1 co wcel cfz wbr cn jca cz wb elfzelzd mpbird syl cfzo csn cle clt wa
      cdif cmin fz1ssnn sselid nnge1d 1zzd elfzo syl3anc wceq orcd cuz cfv nnuz
      wo eleqtrdi fzm1 wne wn nnred ltned nelsn eldifd ) ACIBUAJKZCIDLJZBUBZUFK
      AVHICUCMZCBUDMZUEZAVKVLACAIDIUGJZLJZNCVNUHGUIZUJHOACPKIPKBPKVHVMQACIVNGRA
      UKABIDFRCIBULUMSACVIVJACVIKZCVOKZCDUNZUSZAVRVSGUOADIUPUQZKVQVTQADNWAEURUT
      CIDVATSACBVBCVJKVCACBACVPVDHVECBVFTVGO $.
  $}

  ${
    $d E i j x y $.  $d F i j x y $.  $d I i j x y $.  $d J i j x y $.
    $d M i j $.  $d N i j x y $.  $d ph i j x y $.
    submateq.a $e |- A = ( ( 1 ... N ) Mat R ) $.
    submateq.b $e |- B = ( Base ` A ) $.
    submateq.n $e |- ( ph -> N e. NN ) $.
    submateq.i $e |- ( ph -> I e. ( 1 ... N ) ) $.
    submateq.j $e |- ( ph -> J e. ( 1 ... N ) ) $.
    ${
      submateq.e $e |- ( ph -> E e. B ) $.
      submateq.f $e |- ( ph -> F e. B ) $.
      submateq.1 $e |- ( ( ph
        /\ i e. ( ( 1 ... N ) \ { I } ) /\ j e. ( ( 1 ... N ) \ { J } ) )
        -> ( i E j ) = ( i F j ) ) $.
      $( Sufficient condition for two submatrices to be equal.  (Contributed by
         Thierry Arnoux, 25-Aug-2020.) $)
      submateq $p |- ( ph
        -> ( I ( subMat1 ` E ) J ) = ( I ( subMat1 ` F ) J ) ) $=
        ( wcel vx vy csmat cfv co wceq cv c1 cmin cfz wral wa cle wbr clt caddc
        cdif simprl cn ad2antrr simplr simpr submateqlem1 simprd syldanl adantr
        csn simprr adantlr jca wi cvv ovexd simpl eleq1d anbi12d oveq12 eqeq12d
        imbi12d 3expib vtocl2d ad3antrrr mpd cbs cxp matbas2i syl simpld smatbr
        eqid cmap 3eqtr4d cfzo submateqlem2 vex eqidd eleq12d smattr wo fz1ssnn
        cr sselid nnred lelttric syl2anc mpjaodan smatbl smattl ralrimivva cmat
        a1i wb smatcl eqmat mpbird ) AIJGUCUDUEZIJHUCUDUEZUFZUAUGZUBUGZXPUEZXSX
        TXQUEZUFZUBUHKUHUIUEZUJUEZUKUAYEUKZAYCUAUBYEYEAXSYETZXTYETZULZULZIXSUMU
        NZYCXSIUOUNZYJYKULZJXTUMUNZYCXTJUOUNZYMYNULZXSUHUPUEZXTUHUPUEZGUEZYQYRH
        UEZYAYBYPYQUHKUJUEZIVGUQZTZYRUUAJVGUQZTZULZYSYTUFZYPUUCUUEYMUUCYNAYIYGY
        KUUCAYGYHURZAYGULZYKULZXSIKUJUETZUUCUUJIXSKAKUSTZYGYKNUTAIUUATZYGYKOUTA
        YGYKVAUUIYKVBVCZVDVEZVFYJYNUUEYKAYIYHYNUUEAYGYHVHZAYHULZYNULZXTJKUJUETZ
        UUEUURJXTKAUULYHYNNUTAJUUATZYHYNPUTAYHYNVAUUQYNVBVCZVDVEZVIVJAUUFUUGVKZ
        YIYKYNAEUGZUUBTZFUGZUUDTZULZUVDUVFGUEZUVDUVFHUEZUFZVKZUVCEFYQYRVLVLAXSU
        HUPVMZAXTUHUPVMZUVDYQUFZUVFYRUFZULZUVHUUFUVKUUGUVQUVEUUCUVGUUEUVQUVDYQU
        UBUVOUVPVNVOUVQUVFYRUUDUVOUVPVBVOVPUVQUVIYSUVJYTUVDYQUVFYRGVQUVDYQUVFYR
        HVQVRVSAUVEUVGUVKSVTZWAWBWCYPGDWDUDZXPXSXTIJKKXPWJZAUULYIYKYNNWBZUWAAUU
        MYIYKYNOWBZAUUTYIYKYNPWBZAGUVSUUAUUAWEWKUEZTZYIYKYNAGCTUWEQBCDUVSGUUALU
        VSWJZMWFWGZWBYMUUKYNAYIYGYKUUKUUHUUJUUKUUCUUNWHVEZVFZYJYNUUSYKAYIYHYNUU
        SUUPUURUUSUUEUVAWHVEZVIZWIYPHUVSXQXSXTIJKKXQWJZUWAUWAUWBUWCAHUWDTZYIYKY
        NAHCTUWMRBCDUVSHUUALUWFMWFWGZWBUWIUWKWIWLYMYOULZYQXTGUEZYQXTHUEZYAYBUWO
        UUCXTUUDTZULZUWPUWQUFZUWOUUCUWRYMUUCYOUUOVFYJYOUWRYKAYIYHYOUWRUUPUUQYOU
        LZXTUHJWMUETZUWRUXAJXTKAUULYHYONUTAUUTYHYOPUTAYHYOVAUUQYOVBWNZVDVEZVIVJ
        AUWSUWTVKZYIYKYOAUVLUXEEFYQXTVLVLUVMXTVLTAUBWOXKZUVOUVFXTUFZULZUVHUWSUV
        KUWTUXHUVEUUCUVGUWRUXHUVDYQUUBUVOUXGVNVOUXHUVFXTUUDUUDUVOUXGVBUXHUUDWPW
        QVPUXHUVIUWPUVJUWQUVDYQUVFXTGVQUVDYQUVFXTHVQVRVSUVRWAWBWCUWOGUVSXPXSXTI
        JKKUVTAUULYIYKYONWBZUXIAUUMYIYKYOOWBZAUUTYIYKYOPWBZAUWEYIYKYOUWGWBYMUUK
        YOUWHVFZYJYOUXBYKAYIYHYOUXBUUPUXAUXBUWRUXCWHVEZVIZWRUWOHUVSXQXSXTIJKKUW
        LUXIUXIUXJUXKAUWMYIYKYOUWNWBUXLUXNWRWLYJYNYOWSZYKYJJXATZXTXATUXOAUXPYIA
        JAUUAUSJKWTZPXBXCVFYJXTYJYEUSXTYDWTZUUPXBXCJXTXDXEZVFXFYJYLULZYNYCYOUXT
        YNULZXSYRGUEZXSYRHUEZYAYBUYAXSUUBTZUUEULZUYBUYCUFZUYAUYDUUEUXTUYDYNAYIY
        GYLUYDUUHUUIYLULZXSUHIWMUETZUYDUYGIXSKAUULYGYLNUTAUUMYGYLOUTAYGYLVAUUIY
        LVBWNZVDVEZVFYJYNUUEYLUVBVIVJAUYEUYFVKZYIYLYNAUVLUYKEFXSYRVLVLXSVLTAUAW
        OXKZUVNUVDXSUFZUVPULZUVHUYEUVKUYFUYNUVEUYDUVGUUEUYNUVDXSUUBUYMUVPVNVOUY
        NUVFYRUUDUYMUVPVBVOVPUYNUVIUYBUVJUYCUVDXSUVFYRGVQUVDXSUVFYRHVQVRVSUVRWA
        WBWCUYAGUVSXPXSXTIJKKUVTAUULYIYLYNNWBZUYOAUUMYIYLYNOWBZAUUTYIYLYNPWBZAU
        WEYIYLYNUWGWBUXTUYHYNAYIYGYLUYHUUHUYGUYHUYDUYIWHVEZVFZYJYNUUSYLUWJVIZXG
        UYAHUVSXQXSXTIJKKUWLUYOUYOUYPUYQAUWMYIYLYNUWNWBUYSUYTXGWLUXTYOULZXSXTGU
        EZXSXTHUEZYAYBVUAUYDUWRULZVUBVUCUFZVUAUYDUWRUXTUYDYOUYJVFYJYOUWRYLUXDVI
        VJAVUDVUEVKZYIYLYOAUVLVUFEFXSXTVLVLUYLUXFUYMUXGULZUVHVUDUVKVUEVUGUVEUYD
        UVGUWRVUGUVDXSUUBUYMUXGVNVOVUGUVFXTUUDUYMUXGVBVOVPVUGUVIVUBUVJVUCUVDXSU
        VFXTGVQUVDXSUVFXTHVQVRVSUVRWAWBWCVUAGUVSXPXSXTIJKKUVTAUULYIYLYONWBZVUHA
        UUMYIYLYOOWBZAUUTYIYLYOPWBZAUWEYIYLYOUWGWBUXTUYHYOUYRVFZYJYOUXBYLUXMVIZ
        XHVUAHUVSXQXSXTIJKKUWLVUHVUHVUIVUJAUWMYIYLYOUWNWBVUKVULXHWLYJUXOYLUXSVF
        XFYJIXATZXSXATYKYLWSAVUMYIAIAUUAUSIUXQOXBXCVFYJXSYJYEUSXSUXRUUHXBXCIXSX
        DXEXFXIAXPYEDXJUEZWDUDZTXQVUOTXRYFXLABCVUODXPIJGKLMVUOWJZUVTNOPQXMABCVU
        ODXQIJHKLMVUPUWLNOPRXMVUNVUODUAUBYEXPXQVUNWJVUPXNXEXO $.
    $}

    ${
      submatminr1.r $e |- ( ph -> R e. Ring ) $.
      submatminr1.m $e |- ( ph -> M e. B ) $.
      submatminr1.e $e |- E = ( I ( ( ( 1 ... N ) minMatR1 R ) ` M ) J ) $.
      $( If we take a submatrix by removing the row ` I ` and column ` J ` ,
         then the result is the same on the matrix with row ` I ` and column
         ` J ` modified by the ` minMatR1 ` operator.  (Contributed by Thierry
         Arnoux, 25-Aug-2020.) $)
      submatminr1 $p |- ( ph
        -> ( I ( subMat1 ` M ) J ) = ( I ( subMat1 ` E ) J ) ) $=
        ( co wcel wceq vi vj cur cfv c1 cfz cmarrep cminmar1 eqid minmar1marrep
        crg syl2anc oveqd syl5eq cbs ringidcl syl marrepcl syl32anc eqeltrd csn
        cv w3a c0g cif 3ad2ant1 simp2 eldifad simp3 marrepeval syl222anc wne wa
        cdif eldifsn sylib simprd neneqd iffalsed 3eqtrrd submateq ) ABCDUAUBHE
        FGIJKLMNPAEFGHDUCUDZUEIUFRZDUGRZRZRZCAEFGHWCDUHRUDZRWFQAWGWEFGADUKSZHCS
        ZWGWETOPBCDWBHWCJKWBUIZUJULUMUNZAWHWIWBDUOUDZSZFWCSZGWCSZWFCSOPAWHWMOWL
        DWBWLUIWJUPUQZMNBCDWBFGHWCJKURUSUTAUAVBZWCFVAZVNSZUBVBZWCGVAZVNSZVCZWQW
        TERWQWTWFRZWQFTZWTGTWBDVDUDZVEZWQWTHRZVEZXHXCEWFWQWTAWSEWFTXBWKVFUMXCWI
        WMWNWOWQWCSZWTWCSXDXITAWSWIXBPVFAWSWMXBWPVFAWSWNXBMVFAWSWOXBNVFXCWQWCWR
        AWSXBVGZVHXCWTWCXAAWSXBVIVHBCWDDWBWQWTFGHWCXFJKWDUIXFUIVJVKXCXEXGXHXCWQ
        FXCXJWQFVLZXCWSXJXLVMXKWQWCFVOVPVQVRVSVTWA $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Matrix literals
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c litMat $.

  $( Extend class notation with the literal matrix conversion function. $)
  clmat $a class litMat $.

  ${
    $d i j m $.
    $( Define a function converting words of words into matrices.  (Contributed
       by Thierry Arnoux, 28-Aug-2020.) $)
    df-lmat $a |- litMat = ( m e. _V |-> ( i e. ( 1 ... ( # ` m ) ) , j e.
      ( 1 ... ( # ` ( m ` 0 ) ) ) |-> ( ( m ` ( i - 1 ) ) ` ( j - 1 ) ) ) ) $.
  $}

  ${
    $d M i j m $.
    $( Value of the literal matrix conversion function.  (Contributed by
       Thierry Arnoux, 28-Aug-2020.) $)
    lmatval $p |- ( M e. V -> ( litMat ` M ) = ( i e. ( 1 ... ( # ` M ) ) ,
      j e. ( 1 ... ( # ` ( M ` 0 ) ) ) |-> ( ( M ` ( i - 1 ) ) ` ( j - 1 ) ) )
      ) $=
      ( vm wcel cvv clmat cfv c1 chash cfz co cc0 cmin cmpo wceq oveq2d fveq1
      cv elex fveq2 fveq2d fveq1d mpoeq123dv df-lmat ovex mpoex fvmpt syl ) CDF
      CGFCHIABJCKIZLMZJNCIZKIZLMZBTJOMZATJOMZCIZIZPZQCDUAECABJETZKIZLMZJNVAIZKI
      ZLMZUPUQVAIZIZPUTGHVACQZABVCVFVHULUOUSVIVBUKJLVACKUBRVIVEUNJLVIVDUMKNVACS
      UCRVIUPVGURUQVACSUDUEABEUFABULUOUSJUKLUGJUNLUGUHUIUJ $.

    $d I i j $.  $d J i j $.  $d N i $.  $d W i j $.  $d i j ph $.
    lmatfval.m $e |- M = ( litMat ` W ) $.
    lmatfval.n $e |- ( ph -> N e. NN ) $.
    lmatfval.w $e |- ( ph -> W e. Word Word V ) $.
    lmatfval.1 $e |- ( ph -> ( # ` W ) = N ) $.
    lmatfval.2 $e |- ( ( ph /\ i e. ( 0 ..^ N ) ) -> ( # ` ( W ` i ) ) = N ) $.
    ${
      lmatfval.i $e |- ( ph -> I e. ( 1 ... N ) ) $.
      lmatfval.j $e |- ( ph -> J e. ( 1 ... N ) ) $.
      $( Entries of a literal matrix.  (Contributed by Thierry Arnoux,
         28-Aug-2020.) $)
      lmatfval $p |- ( ph -> ( I M J ) = ( ( W ` ( I - 1 ) ) ` ( J - 1 ) ) ) $=
        ( c1 cfv co cc0 wcel vj chash cfz cv cmin clmat cmpo cword wceq lmatval
        syl syl5eq wa simprl fvoveq1d simprr oveq1d fveq12d eleqtrrd cfzo 1m1e0
        oveq2d cuz cn nnuz eleqtrdi eluzfz1 fz1fzo0m1 eqeltrrid wi simpr eleq1d
        fveq2d fveqeq2d imbi12d ex vtocld mpd wrdsymbcl syl2anc ovmpod ) ABUACD
        PHUBQZUCRZPSHQZUBQZUCRZUAUDZPUERZBUDZPUERHQZQZDPUERZCPUERZHQZQZEGAEHUFQ
        ZBUAWCWFWKUGZIAHGUHZUHZTZWPWQUIKBUAHWSUJUKULAWICUIZWGDUIZUMUMZWHWLWJWNX
        CWICPHUEAXAXBUNUOXCWGDPUEAXAXBUPUQURACPFUCRZWCNAWBFPUCLVBUSADXDWFOAWEFP
        UCASSFUTRZTZWEFUIZASPPUERZXEVAAPXDTZXHXETAFPVCQZTXIAFVDXJJVEVFPFVGUKPFV
        HUKVIZAWIXETZWIHQZUBQFUIZVJZXFXGVJBSXEXKAWISUIZUMZXLXFXNXGXQWISXEAXPVKZ
        VLXQXMWDFUBXQWISHXRVMVNVOAXLXNMVPZVQVRVBUSAWNWRTZWLSWNUBQZUTRZTWOGTAWTW
        MSWBUTRZTXTKAWMXEYCACXDTWMXETZNCFVHUKZAWBFSUTLVBUSWMWRHVSVTAWLXEYBADXDT
        WLXETODFVHUKAYAFSUTAYDYAFUIZYEAXOYDYFVJBWMXEYEAWIWMUIZUMZXLYDXNYFYHWIWM
        XEAYGVKZVLYHXMWNFUBYHWIWMHYIVMVNVOXSVQVRVBUSWLGWNVSVTWA $.
    $}

    ${
      lmatfvlem.1 $e |- K e. NN0 $.
      lmatfvlem.2 $e |- L e. NN0 $.
      lmatfvlem.3 $e |- I <_ N $.
      lmatfvlem.4 $e |- J <_ N $.
      lmatfvlem.5 $e |- ( K + 1 ) = I $.
      lmatfvlem.6 $e |- ( L + 1 ) = J $.
      lmatfvlem.7 $e |- ( W ` K ) = X $.
      lmatfvlem.8 $e |- ( ph -> ( X ` L ) = Y ) $.
      $( Useful lemma to extract literal matrix entries.  Suggested by Mario
         Carneiro.  (Contributed by Thierry Arnoux, 3-Sep-2020.) $)
      lmatfvlem $p |- ( ph -> ( I M J ) = Y ) $=
        ( co c1 cmin cfv cfz wcel cle wbr wa caddc nn0p1nn ax-mp eqeltrri nnge1
        cn cn0 pm3.2i a1i cz wb nnz 1z nnzd elfz syl3anc mpbird lmatfval nn0cni
        wceq ax-1cn pncan3oi oveq1i eqtr3i fveq2i fveq1d fveq2d eqtr3d 3eqtrd )
        ACDGUFDUGUHUFZCUGUHUFZJUIZUIWDKUIZLABCDGHIJMNOPQACUGHUJUFZUKZUGCULUMZCH
        ULUMZUNZWLAWJWKCUTUKZWJEUGUOUFZCUTUBEVAUKWNUTUKREUPUQURZCUSUQTVBVCACVDU
        KZUGVDUKZHVDUKZWIWLVEWPAWMWPWOCVFUQVCWQAVGVCZAHNVHZCUGHVIVJVKADWHUKZUGD
        ULUMZDHULUMZUNZXDAXBXCDUTUKZXBFUGUOUFZDUTUCFVAUKXFUTUKSFUPUQURZDUSUQUAV
        BVCADVDUKZWQWRXAXDVEXHAXEXHXGDVFUQVCWSWTDUGHVIVJVKVLAWDWFKWFKVNAEJUIWFK
        EWEJWNUGUHUFEWEEUGERVMVOVPWNCUGUHUBVQVRVSUDVRVCVTAFKUIWGLAFWDKFWDVNAXFU
        GUHUFFWDFUGFSVMVOVPXFDUGUHUCVQVRVCWAUEWBWC $.
    $}

    $d N i j k $.  $d V j k $.  $d W i j k $.  $d i j k ph $.
    lmatcl.b $e |- V = ( Base ` R ) $.
    lmatcl.1 $e |- O = ( ( 1 ... N ) Mat R ) $.
    lmatcl.2 $e |- P = ( Base ` O ) $.
    lmatcl.r $e |- ( ph -> R e. X ) $.
    $( Closure of the literal matrix.  (Contributed by Thierry Arnoux,
       12-Sep-2020.) $)
    lmatcl $p |- ( ph -> M e. P ) $=
      ( wcel vk vj c1 cfz co cv cmin cfv cmpo chash cc0 clmat cword lmatval syl
      wceq syl5eq oveq2d cfzo cn lbfzo0 sylibr wi cn0 0nn0 a1i wa eleq1d fveq2d
      simpr fveqeq2d imbi12d vtocld eqidd mpoeq123dv eqtrd fzfid 3ad2ant1 simp2
      mpd w3a fz1fzo0m1 eleqtrrd wrdsymbcl syl2anc simp3 cvv eleq12d imp sylan2
      ex ovexd 3adant3 matbas2d eqeltrd ) AEUAUBUCFUDUEZWPUBUFZUCUGUEZUAUFZUCUG
      UEZIUHZUHZUIZBAEUAUBUCIUJUHZUDUEZUCUKIUHZUJUHZUDUEZXBUIZXCAEIULUHZXIKAIHU
      MZUMZTZXJXIUPMUAUBIXLUNUOUQAUAUBXEXHXBWPWPXBAXDFUCUDNURAXGFUCUDAUKUKFUSUE
      ZTZXGFUPZAFUTTXOLFVAVBADUFZXNTZXQIUHZUJUHFUPZVCZXOXPVCDUKVDUKVDTAVEVFAXQU
      KUPZVGZXRXOXTXPYCXQUKXNAYBVJZVHYCXSXFFUJYCXQUKIYDVIVKVLAXRXTOWKZVMVTURAXB
      VNVOVPAUAUBGBXBCHWPJQPRAUCFVQSAWSWPTZWQWPTZWAZXAXKTZWRUKXAUJUHZUSUEZTXBHT
      YHXMWTUKXDUSUEZTYIAYFXMYGMVRYHWTXNYLYHYFWTXNTZAYFYGVSWSFWBZUOYHXDFUKUSAYF
      XDFUPYGNVRURWCWTXKIWDWEYHWRXNYKYHYGWRXNTAYFYGWFWQFWBUOYHYJFUKUSAYFYJFUPZY
      GYFAYMYOYNAYMYOAYAYMYOVCDWTWGAWSUCUGWLAXQWTUPZVGZXRYMXTYOYQXQWTXNXNAYPVJZ
      YQXNVNWHYQXSXAFUJYQXQWTIYRVIVKVLYEVMWIWJWMURWCWRHXAWDWEWNWO $.
  $}

  ${
    $d A i $.  $d B i $.  $d C i $.  $d D i $.  $d M i $.  $d ph i $.
    lmat22.m $e |- M = ( litMat ` <" <" A B "> <" C D "> "> ) $.
    lmat22.a $e |- ( ph -> A e. V ) $.
    lmat22.b $e |- ( ph -> B e. V ) $.
    lmat22.c $e |- ( ph -> C e. V ) $.
    lmat22.d $e |- ( ph -> D e. V ) $.
    $( Lemma for ~ lmat22e11 and co.  (Contributed by Thierry Arnoux,
       28-Aug-2020.) $)
    lmat22lem $p |- ( ( ph /\ i e. ( 0 ..^ 2 ) )
      -> ( # ` ( <" <" A B "> <" C D "> "> ` i ) ) = 2 ) $=
      ( cc0 c2 wcel wceq cfv chash c1 cv cfzo co wa cs2 simpr cword s2cld s2fv0
      fveq2d syl adantr eqtrd s2len eqtrdi adantlr wo cpr fzo0to2pr eleq2i elpr
      s2fv1 vex bitri biimpi adantl mpjaodan ) AFUAZNOUBUCZPZUDVHNQZVHBCUEZDEUE
      ZUEZRZSRZOQZVHTQZAVKVQVJAVKUDZVPVLSROVSVOVLSVSVONVNRZVLVSVHNVNAVKUFUJAVTV
      LQZVKAVLHUGZPWAABCHJKUHVLVMWBUIUKULUMUJBCUNUOUPAVRVQVJAVRUDZVPVMSROWCVOVM
      SWCVOTVNRZVMWCVHTVNAVRUFUJAWDVMQZVRAVMWBPWEADEHLMUHVLVMWBVBUKULUMUJDEUNUO
      UPVJVKVRUQZAVJWFVJVHNTURZPWFVIWGVHUSUTVHNTFVCVAVDVEVFVG $.

    $( Entry of a 2x2 literal matrix.  (Contributed by Thierry Arnoux,
       28-Aug-2020.) $)
    lmat22e11 $p |- ( ph -> ( 1 M 1 ) = A ) $=
      ( c1 co cfv cc0 c2 wcel a1i wceq vi cmin cs2 cn 2nn cword s2cld lmat22lem
      chash s2len cfz 2eluzge1 eluzfz1 ax-mp lmatfval 1m1e0 fveq2i s2fv0 syl5eq
      cuz syl fveq12d 3eqtrd ) AMMFNMMUBNZVDBCUCZDEUCZUCZOZOPVEOZBAUAMMFQGVGHQU
      DRAUESAVEVFGUFZABCGIJUGZADEGKLUGUGVGUIOQTAVEVFUJSABCDEUAFGHIJKLUHMMQUKNRZ
      AQMUTORVLULMQUMUNSZVMUOAVDPVHVEAVHPVGOZVEVDPVGUPUQAVEVJRVNVETVKVEVFVJURVA
      USVDPTAUPSVBABGRVIBTIBCGURVAVC $.

    $( Entry of a 2x2 literal matrix.  (Contributed by Thierry Arnoux,
       12-Sep-2020.) $)
    lmat22e12 $p |- ( ph -> ( 1 M 2 ) = B ) $=
      ( vi c1 c2 cs2 wcel s2cld cfv wceq cc0 cn 2nn cword chash s2len lmat22lem
      a1i 0nn0 1nn0 nnrei leidi 0p1e1 1p1e2 cvv s2cli s2fv0 ax-mp syl lmatfvlem
      1le2 s2fv1 ) AMNOUANFOGBCPZDEPZPZVCCHOUBQAUCUHAVCVDGUDABCGIJRADEGKLRRVEUE
      SOTAVCVDUFUHABCDEMFGHIJKLUGUIUJVAOOUCUKULUMUNVCUOUDZQUAVESVCTBCUPVCVDVFUQ
      URACGQNVCSCTJBCGVBUSUT $.

    $( Entry of a 2x2 literal matrix.  (Contributed by Thierry Arnoux,
       12-Sep-2020.) $)
    lmat22e21 $p |- ( ph -> ( 2 M 1 ) = C ) $=
      ( vi c2 c1 cs2 wcel s2cld cfv wceq cc0 cn 2nn cword chash s2len lmat22lem
      a1i 1nn0 0nn0 nnrei leidi 1p1e2 0p1e1 cvv s2cli s2fv1 ax-mp syl lmatfvlem
      1le2 s2fv0 ) AMNOOUAFNGBCPZDEPZPZVDDHNUBQAUCUHAVCVDGUDABCGIJRADEGKLRRVEUE
      SNTAVCVDUFUHABCDEMFGHIJKLUGUIUJNNUCUKULVAUMUNVDUOUDZQOVESVDTDEUPVCVDVFUQU
      RADGQUAVDSDTKDEGVBUSUT $.

    $( Entry of a 2x2 literal matrix.  (Contributed by Thierry Arnoux,
       12-Sep-2020.) $)
    lmat22e22 $p |- ( ph -> ( 2 M 2 ) = D ) $=
      ( vi c2 c1 cs2 wcel s2cld cfv wceq cn 2nn a1i cword chash s2len lmat22lem
      1nn0 nnrei leidi 1p1e2 cvv s2cli s2fv1 ax-mp syl lmatfvlem ) AMNNOOFNGBCP
      ZDEPZPZUSEHNUAQAUBUCAURUSGUDABCGIJRADEGKLRRUTUESNTAURUSUFUCABCDEMFGHIJKLU
      GUHUHNNUBUIUJZVAUKUKUSULUDZQOUTSUSTDEUMURUSVBUNUOAEGQOUSSETLDEGUNUPUQ $.

    lmat22det.t $e |- .x. = ( .r ` R ) $.
    lmat22det.s $e |- .- = ( -g ` R ) $.
    lmat22det.v $e |- V = ( Base ` R ) $.
    lmat22det.j $e |- J = ( ( 1 ... 2 ) maDet R ) $.
    lmat22det.r $e |- ( ph -> R e. Ring ) $.
    $( The determinant of a literal 2x2 complex matrix.  (Contributed by
       Thierry Arnoux, 1-Sep-2020.) $)
    lmat22det $p |- ( ph -> ( J ` M ) = ( ( A .x. D ) .- ( C .x. B ) ) ) $=
      ( vi cfv c1 co c2 crg wcel cfz cmat cbs wceq cs2 cn 2nn cword s2cld chash
      a1i s2len lmat22lem eqid lmatcl caddc c3 cpr cz fzval3 ax-mp 2p1e3 oveq2i
      2z fzo13pr 3eqtri m2detleib syl2anc lmat22e11 lmat22e22 oveq12d lmat22e21
      cfzo lmat22e12 eqtrd ) AIHUCZUDUDIUEZUFUFIUEZGUEZUFUDIUEZUDUFIUEZGUEZJUEZ
      BEGUEZDCGUEZJUEAFUGUHIUDUFUIUEZFUJUEZUKUCZUHWDWKULUAAWPFUBIUFWOKBCUMZDEUM
      ZUMZUGLUFUNUHAUOUSAWQWRKUPABCKMNUQADEKOPUQUQWSURUCUFULAWQWRUTUSABCDEUBIKL
      MNOPVASWOVBZWPVBZUAVCWOWPHFGIJWNWNUDUFUDVDUEZWAUEZUDVEWAUEUDUFVFUFVGUHWNX
      CULVLUDUFVHVIXBVEUDWAVJVKVMVNTWTXARQVOVPAWGWLWJWMJAWEBWFEGABCDEIKLMNOPVQA
      BCDEIKLMNOPVRVSAWHDWICGABCDEIKLMNOPVTABCDEIKLMNOPWBVSVSWC $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Laplace expansion of determinants
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d .x. p q $.  $d B i j p x $.  $d B p q x $.  $d E p x $.
    $d G i j p q x $.  $d M i j k l p q x $.  $d N i j k l p q x $.
    $d P i j k l p q x $.  $d R i j k l p q x $.  $d S p q $.  $d Z p q $.
    mdetpmtr.a $e |- A = ( N Mat R ) $.
    mdetpmtr.b $e |- B = ( Base ` A ) $.
    mdetpmtr.d $e |- D = ( N maDet R ) $.
    mdetpmtr.g $e |- G = ( Base ` ( SymGrp ` N ) ) $.
    mdetpmtr.s $e |- S = ( pmSgn ` N ) $.
    mdetpmtr.z $e |- Z = ( ZRHom ` R ) $.
    mdetpmtr.t $e |- .x. = ( .r ` R ) $.
    ${
      mdetpmtr1.e $e |- E = ( i e. N , j e. N |-> ( ( P ` i ) M j ) ) $.
      $( The determinant of a matrix with permuted rows is the determinant of
         the original matrix multiplied by the sign of the permutation.
         (Contributed by Thierry Arnoux, 22-Aug-2020.) $)
      mdetpmtr1 $p |- ( ( ( R e. CRing /\ N e. Fin ) /\ ( M e. B /\ P e. G ) )
        -> ( D ` M ) = ( ( ( Z o. S ) ` P ) .x. ( D ` E ) ) ) $=
        ( vp vx vq ccrg wcel cfn wa ccom cfv cv cmgp co cmpt cbs cplusg cvv c0g
        cgsu eqid crg crngring ad2antrr csymg a1i wfun cdm wceq simplr psgndmfi
        fvexi fnfun 3syl simprr fndm eleqtrrd fvco syl2anc zrhpsgnelbas syl3anc
        wfn eqeltrd adantr cofipsgn sylan simpllr mgpbas ccmn crngmgp ad3antrrr
        simpr symgfv adantll cmpo simpll simp1rr simp2 simp1rl matecld matbas2d
        w3a simp3 eqeltrid ralrimiva gsummptcl ringcl symgbasfi syl ovexd fvexd
        fsuppmptdm gsummulc2 fveq2 fveq1 oveq1d mpteq2dv oveq2d oveq12d ringcmn
        nfcv simprl symgov eqeltrrd wreu symgfcoeu gsummptf1o mdetleib ad2antrl
        ssidd symgcl cmul fveq2d zring cz c1 psgnran sselid mpteq2dva 3eqtr4d
        ringass syl13anc psgnco crh zrhrhm cneg cpr wss 1z neg1z prssi zringbas
        mp2an zringmulr rhmmul 3eqtrrd eqtrd wf symgbasf ffun fdm eqtr4d ovmpod
        eqtr3d ) EUFUGZMUHUGZUIZLBUGZDKUGZUIZUIZEUCKDNFUJZUKZUCULZUVLUKZEUMUKZU
        DMUDULZUVNUKZUVQJUNZUOZUTUNZGUNZGUNZUOZUTUNZUVMEUCKUWBUOZUTUNZGUNLCUKZU
        VMJCUKZGUNUVKKEUPUKZEUQUKZEGUCURUWBUVMEUSUKZUWJVAZUWLVAZUWKVAUAUVEEVBUG
        ZUVFUVJEVCVDZKURUGUVKKMVEUKZUPRVLVFUVKUVMDFUKZNUKZUWJUVKFVGZDFVHZUGUVMU
        WSVIZUVKUVFFKWBZUWTUVEUVFUVJVJZMFKSRVKZKFVMVNUVKDKUXAUVGUVHUVIVOZUVKUVF
        UXCUXAKVIUXDUXEKFVPVNVQDNFVRVSZUVKUWOUVFUVIUWSUWJUGUWPUXDUXFKDEFMNRSTVT
        WAWCZUVKUVNKUGZUIZUWOUVOUWJUGZUWAUWJUGZUWBUWJUGUVKUWOUXIUWPWDZUXJUVOUVN
        FUKZNUKZUWJUVKUVFUXIUVOUXOVIUXDKUVNFMNRSWEWFZUXJUWOUVFUXIUXOUWJUGUXMUVE
        UVFUVJUXIWGZUVKUXIWLZKUVNEFMNRSTVTWAWCZUXJUWJUDUVPMUVSUWJEUVPUVPVAZUWMW
        HZUVEUVPWIUGZUVFUVJUXIEUVPUXTWJZWKUXQUXJUVSUWJUGUDMUXJUVQMUGZUIZABEUVRU
        VQUWJJMOUWMPUXIUYDUVRMUGUVKMKUVNUWQUVQUWQVAZRWMWNZUXJUYDWLZUVKJBUGZUXIU
        YDUVKJHIMMHULZDUKZIULZLUNZWOZBUBUVKHIABUYMEUWJMUFOUWMPUXDUVEUVFUVJWPUVK
        UYJMUGZUYLMUGZXBZABEUYKUYLUWJLMOUWMPUYQUVIUYOUYKMUGUVHUVIUVGUYOUYPWQUVK
        UYOUYPWRMKDUWQUYJUYFRWMVSUVKUYOUYPXCUVHUVIUVGUYOUYPWSWTXAXDZVDWTXEXFZUW
        JEGUVOUWAUWMUAXGWAUVKUCKUWFURURUWBUWLUWFVAUVKUVFKUHUGUXDMKUWQUYFRXHXIZU
        XJUVOUWAGXJUVKEUSXKXLXMUVKEUEKUEULZUVLUKZUVPUDMUVQVUAUKZUVQLUNZUOZUTUNZ
        GUNZUOUTUNZEUCKDUVNUJZUVLUKZUVPUDMUVQVUIUKZUVQLUNZUOZUTUNZGUNZUOZUTUNUW
        HUWEUVKUEUCKUWJVUGKVUIUWJEVUOUWLUEVUOYAUWMUWNVUAVUIVIZVUBVUJVUFVUNGVUAV
        UIUVLXNVUQVUEVUMUVPUTVUQUDMVUDVULVUQVUCVUKUVQLUVQVUAVUIXOXPXQXRXSUVKUWO
        EWIUGUWPEXTXIUYTUVKUWJYJUVKVUAKUGZUIZUWOVUBUWJUGVUFUWJUGVUGUWJUGUVKUWOV
        URUWPWDZVUSVUBVUAFUKNUKZUWJUVKUVFVURVUBVVAVIUXDKVUAFMNRSWEWFVUSUWOUVFVU
        RVVAUWJUGVUTUVEUVFUVJVURWGZUVKVURWLZKVUAEFMNRSTVTWAWCVUSUWJUDUVPMVUDUYA
        UVEUYBUVFUVJVURUYCWKVVBVUSVUDUWJUGUDMVUSUYDUIABEVUCUVQUWJLMOUWMPVURUYDV
        UCMUGUVKMKVUAUWQUVQUYFRWMWNVUSUYDWLUVKUVHVURUYDUVGUVHUVIYBVDWTXEXFUWJEG
        VUBVUFUWMUAXGWAUVKUVIUXIVUIKUGZUXFUVIUXIUIDUVNUWQUQUKZUNVUIKMKVVEUWQDUV
        NUYFRVVEVAZYCMKVVEUWQDUVNUYFRVVFYKYDWFZVUSUVFUVIVURVUQUCKYEVVBUVKUVIVUR
        UXFWDVVCMDVUAKUHUCRYFWAYGUVHUWHVUHVIUVGUVIUDABCKEFGUVPLMNUEQOPRTSUAUXTY
        HYIUVKUWDVUPEUTUVKUCKUWCVUOUXJUVMUVOGUNZUWAGUNZUWCVUOUXJUWOUVMUWJUGZUXK
        UXLVVIUWCVIUXMUVKVVJUXIUXHWDUXSUYSUWJEGUVMUVOUWAUWMUAUUAUUBUXJVVHVUJUWA
        VUNGUXJVVHUWSUXOGUNZVUJUXJUVMUWSUVOUXOGUVKUXBUXIUXGWDUXPXSUXJVUJVUIFUKZ
        NUKZUWRUXNYLUNZNUKZVVKUXJUVFVVDVUJVVMVIUXQVVGKVUIFMNRSWEVSUXJVVLVVNNUXJ
        UVFUVIUXIVVLVVNVIUXQUVKUVIUXIUXFWDZUXRMKUWQDUVNFUYFSRUUCWAYMUXJNYNEUUDU
        NUGZUWRYOUGUXNYOUGVVOVVKVIUVKVVQUXIUVKUWOVVQUWPENTUUEXIWDUXJYPYPUUFZUUG
        ZYOUWRYPYOUGVVRYOUGVVSYOUUHUUIUUJYPVVRYOUUKUUMZUXJUVFUVIUWRVVSUGUXQVVPK
        DFMRSYQVSYRUXJVVSYOUXNVVTUVKUVFUXIUXNVVSUGUXDKUVNFMRSYQWFYRUWRUXNYNEYLG
        NYOUULUUNUAUUOWAUUPUUQUXJUVTVUMUVPUTUXJUDMUVSVULUYEHIUVRUVQMMUYMVULJURJ
        UYNVIUYEUBVFUYEUYJUVRVIZUYLUVQVIZUIZUIZUYKVUKUYLUVQLVWDUYKUVRDUKZVUKVWD
        UYJUVRDUYEVWAVWBYBYMVWDUVNVGZUVQUVNVHZUGVUKVWEVIVWDUXIMMUVNUURZVWFUVKUX
        IUYDVWCWGZMKUVNUWQUYFRUUSZMMUVNUUTVNVWDUVQMVWGUXJUYDVWCVJVWDUXIVWHVWGMV
        IVWIVWJMMUVNUVAVNVQUVQDUVNVRVSUVBUYEVWAVWBVOXSUYGUYHUYEVUKUVQLXJUVCYSXR
        XSUVDYSXRYTUVKUWIUWGUVMGUVKUYIUWIUWGVIUYRUDABCKEFGUVPJMNUCQOPRTSUAUXTYH
        XIXRYT $.
    $}

    ${
      mdetpmtr2.e $e |- E = ( i e. N , j e. N |-> ( i M ( P ` j ) ) ) $.
      $( The determinant of a matrix with permuted columns is the determinant
         of the original matrix multiplied by the sign of the permutation.
         (Contributed by Thierry Arnoux, 22-Aug-2020.) $)
      mdetpmtr2 $p |- ( ( ( R e. CRing /\ N e. Fin ) /\ ( M e. B /\ P e. G ) )
        -> ( D ` M ) = ( ( ( Z o. S ) ` P ) .x. ( D ` E ) ) ) $=
        ( ccrg wcel cfn wa ctpos cfv ccom wceq simpll simplr mattposcl ad2antrl
        co simprr cv cmpo ovtpos eqcomi a1i mpoeq3ia tposmpo mdetpmtr1 syl22anc
        eqtri mdettpos ad2ant2r cbs eqid w3a simp2 3ad2ant1 simp3 csymg syl2anc
        symgfv simp1rl matecld matbas2d eqeltrid oveq2d 3eqtr3d ) EUCUDZMUEUDZU
        FZLBUDZDKUDZUFZUFZLUGZCUHZDNFUIUHZJUGZCUHZGUOZLCUHZWMJCUHZGUOWJWDWEWKBU
        DZWHWLWPUJWDWEWIUKZWDWEWIULZWGWSWFWHABELMOPUMUNWFWGWHUPZABCDEFGIHWNKWKM
        NOPQRSTUAHIMMIUQZDUHZHUQZWKUOZJJHIMMXEXDLUOZURZHIMMXFURUBHIMMXGXFXGXFUJ
        XEMUDZXCMUDZUFXFXGXDXELUSUTVAVBVFVCVDVEWDWGWLWQUJWEWHABCELMQOPVGVHWJWOW
        RWMGWJWDJBUDWOWRUJWTWJJXHBUBWJHIABXGEEVIUHZMUCOXKVJZPXAWTWJXIXJVKZABEXE
        XDXKLMOXLPWJXIXJVLXMWHXJXDMUDWJXIWHXJXBVMWJXIXJVNMKDMVOUHZXCXNVJRVQVPWG
        WHWFXIXJVRVSVTWAABCEJMQOPVGVPWBWC $.
    $}

    ${
      $d Q i j k l $.  $d ph i j k l $.
      mdetpmtr12.e $e |- E = ( i e. N , j e. N |-> ( ( P ` i ) M ( Q ` j ) ) )
        $.
      mdetmptr12.r $e |- ( ph -> R e. CRing ) $.
      mdetmptr12.n $e |- ( ph -> N e. Fin ) $.
      mdetmptr12.m $e |- ( ph -> M e. B ) $.
      mdetmptr12.p $e |- ( ph -> P e. G ) $.
      mdetmptr12.q $e |- ( ph -> Q e. G ) $.
      $( The determinant of a matrix with permuted rows and columns is the
         determinant of the original matrix multiplied by the product of the
         signs of the permutations.  (Contributed by Thierry Arnoux,
         22-Aug-2020.) $)
      mdetpmtr12 $p |- ( ph -> ( D ` M )
        = ( ( Z ` ( ( S ` P ) x. ( S ` Q ) ) ) .x. ( D ` E ) ) ) $=
        ( vk vl cfv ccom cv co cmpo cmul ccrg wcel cfn wceq fveq2 oveq2 cbvmpov
        oveq1d mdetpmtr1 syl22anc cbs eqid w3a simp2 csymg symgfv syl2anc simp3
        3ad2ant1 matecld matbas2d mdetpmtr2 ovex ovmpo mpoeq3dva eqtr4id fveq2d
        oveq2d eqtr4d crg crngring syl zrhcopsgnelbas syl3anc eqeltrid syl13anc
        mdetcl ringass cofipsgn oveq12d zring crh cz zrhrhm c1 cpr wss 1z neg1z
        cneg prssi mp2an psgnran sselid zringbas zringmulr rhmmul eqtr3d 3eqtrd
        ) ANDULZEPHUMZULZUJUKOOUJUNZEULZUKUNZNUOZUPZDULZIUOZXSFXRULZLDULZIUOZIU
        OZEHULZFHULZUQUOPULZYHIUOZAGURUSZOUTUSZNCUSZEMUSZXQYFVAUEUFUGUHBCDEGHIJ
        KYDMNOPQRSTUAUBUCUJUKJKOOYCJUNZEULZKUNZNUOYTYBNUOZXTYSVAYAYTYBNXTYSEVBV
        EZYBUUAYTNVCVDVFVGAYEYIXSIAYEYGJKOOYSUUAFULZYDUOZUPZDULZIUOZYIAYOYPYDCU
        SFMUSZYEUUHVAUEUFAUJUKBCYCGGVHULZOURQUUJVIZRUFUEAXTOUSZYBOUSZVJZBCGYAYB
        UUJNOQUUKRUUNYRUULYAOUSAUULYRUUMUHVPAUULUUMVKOMEOVLULZXTUUOVIZTVMVNAUUL
        UUMVOAUULYQUUMUGVPVQVRUIBCDFGHIJKUUFMYDOPQRSTUAUBUCUUFVIVSVGAYHUUGYGIAL
        UUFDALJKOOYTUUDNUOZUPZUUFUDAJKOOUUEUUQAYSOUSZUUAOUSZVJZUUSUUDOUSZUUEUUQ
        VAAUUSUUTVKZUVAUUIUUTUVBAUUSUUIUUTUIVPAUUSUUTVOOMFUUOUUAUUPTVMVNZUJUKYS
        UUDOOYCUUQYDUUBUUCYBUUDYTNVCYDVIYTUUDNVTWAVNWBWCWDWEWFWEAXSYGIUOZYHIUOZ
        YJYNAGWGUSZXSUUJUSZYGUUJUSZYHUUJUSZUVFYJVAAYOUVGUEGWHWIZAUVGYPYRUVHUVKU
        FUHMEGHOPTUAUBWJWKAUVGYPUUIUVIUVKUFUIMFGHOPTUAUBWJWKAYOLCUSUVJUEALUURCU
        DAJKBCUUQGUUJOURQUUKRUFUEUVABCGYTUUDUUJNOQUUKRUVAYRUUSYTOUSAUUSYRUUTUHV
        PUVCOMEUUOYSUUPTVMVNUVDAUUSYQUUTUGVPVQVRWLBCDGUUJLOSQRUUKWNVNUUJGIXSYGY
        HUUKUCWOWMAUVEYMYHIAUVEYKPULZYLPULZIUOZYMAXSUVLYGUVMIAYPYRXSUVLVAUFUHME
        HOPTUAWPVNAYPUUIYGUVMVAUFUIMFHOPTUAWPVNWQAPWRGWSUOUSZYKWTUSYLWTUSYMUVNV
        AAUVGUVOUVKGPUBXAWIAXBXBXGZXCZWTYKXBWTUSUVPWTUSUVQWTXDXEXFXBUVPWTXHXIZA
        YPYRYKUVQUSUFUHMEHOTUAXJVNXKAUVQWTYLUVRAYPUUIYLUVQUSUFUIMFHOTUAXJVNXKYK
        YLWRGUQIPWTXLXMUCXNWKWFVEXOXP $.
    $}
  $}

  ${
    mdetlap1.a $e |- A = ( N Mat R ) $.
    mdetlap1.b $e |- B = ( Base ` A ) $.
    mdetlap1.d $e |- D = ( N maDet R ) $.
    mdetlap1.k $e |- K = ( N maAdju R ) $.
    mdetlap1.t $e |- .x. = ( .r ` R ) $.
    $d .x. j $.  $d A i j $.  $d B i j $.  $d I i j $.  $d K j $.  $d M i j $.
    $d N i j $.  $d R i j $.
    $( A Laplace expansion of the determinant of a matrix, using the adjunct
       (cofactor) matrix.  (Contributed by Thierry Arnoux, 16-Aug-2020.) $)
    mdetlap1 $p |- ( ( R e. CRing /\ M e. B /\ I e. N ) -> ( D ` M )
      = ( R gsum ( j e. N |-> ( ( I M j ) .x. ( j ( K ` M ) I ) ) ) ) ) $=
      ( vi wcel cfv co wtru ccrg w3a cv wceq cif cmpo cmpt cgsu simp2 matmpo wa
      eqid simpr eqcomd oveq1d wn eqidd ifeqda mpoeq123i eqtr4di fveq2d syl cbs
      mptru simp1 simpl3 eleqtrdi adantr matecl syl3anc simp3 madugsum eqtr4d )
      DUAQZIBQZGJQZUBZICRZPFJJPUCZGUDZGFUCZISZVSWAISZUEZUFZCRZDFJWBWAGIHRSESUGU
      HSVQVOVRWFUDVNVOVPUIZVOIWECVOIPFJJWCUFWEABDPFIJKLUJPFJJWDJJWCJULZWHWDWCUD
      TVTWBWCWCTVTUKZGVSWAIWIVSGTVTUMUNUOTVTUPUKWCUQURVDUSUTVAVBVQABCDEFPHDVCRZ
      GIJWBKNLMOWJULZWGVNVOVPVEVQWAJQZUKVPWLIAVCRZQZWBWJQVNVOVPWLVFVQWLUMVQWNWL
      VQIBWMWGLVGVHADGWAWJIJKWKVIVJVNVOVPVKVLVM $.
  $}

  ${
    $d B i j $.  $d I i j k l $.  $d J i j k l $.  $d M i j k l $.
    $d N i j k l $.  $d P i j k l $.  $d Q i j k l $.  $d R i j k l $.
    $d i j ph $.
    madjusmdet.b $e |- B = ( Base ` A ) $.
    madjusmdet.a $e |- A = ( ( 1 ... N ) Mat R ) $.
    madjusmdet.d $e |- D = ( ( 1 ... N ) maDet R ) $.
    madjusmdet.k $e |- K = ( ( 1 ... N ) maAdju R ) $.
    madjusmdet.t $e |- .x. = ( .r ` R ) $.
    madjusmdet.z $e |- Z = ( ZRHom ` R ) $.
    madjusmdet.e $e |- E = ( ( 1 ... ( N - 1 ) ) maDet R ) $.
    madjusmdet.n $e |- ( ph -> N e. NN ) $.
    madjusmdet.r $e |- ( ph -> R e. CRing ) $.
    madjusmdet.i $e |- ( ph -> I e. ( 1 ... N ) ) $.
    madjusmdet.j $e |- ( ph -> J e. ( 1 ... N ) ) $.
    madjusmdet.m $e |- ( ph -> M e. B ) $.
    ${
      $d G i j $.  $d W i j $.  $d U i j $.
      madjusmdetlem1.g $e |- G = ( Base ` ( SymGrp ` ( 1 ... N ) ) ) $.
      madjusmdetlem1.s $e |- S = ( pmSgn ` ( 1 ... N ) ) $.
      madjusmdetlem1.u $e |- U = ( I ( ( ( 1 ... N ) minMatR1 R ) ` M ) J ) $.
      madjusmdetlem1.w $e |- W = ( i e. ( 1 ... N ) , j e. ( 1 ... N ) |->
        ( ( P ` i ) U ( Q ` j ) ) ) $.
      madjusmdetlem1.p $e |- ( ph -> P e. G ) $.
      madjusmdetlem1.q $e |- ( ph -> Q e. G ) $.
      madjusmdetlem1.1 $e |- ( ph -> ( P ` N ) = I ) $.
      madjusmdetlem1.2 $e |- ( ph -> ( Q ` N ) = J ) $.
      madjusmdetlem1.3 $e |- ( ph -> ( I ( subMat1 ` U ) J )
        = ( N ( subMat1 ` W ) N ) ) $.
      $( Lemma for ~ madjusmdet .  (Contributed by Thierry Arnoux,
         22-Aug-2020.) $)
      madjusmdetlem1 $p |- ( ph -> ( J ( K ` M ) I )
        = ( ( Z ` ( ( S ` P ) x. ( S ` Q ) ) )
          .x. ( E ` ( I ( subMat1 ` M ) J ) ) ) ) $=
        ( cfv co cmul csmat c1 cminmar1 wcel wceq maducoevalmin1 syl3anc fveq2i
        cfz eqtr4di fzfid crg ccrg crngring syl minmar1cl syl22anc eqeltrid cur
        mdetpmtr12 cmarrep cv c0g cif w3a simplr fveq2d 3ad2ant1 ad2antrr eqtrd
        cmpo simpr oveq12d eqid minmar1eval syl122anc iftruei eqtri a1i 3eqtrrd
        wa wn oveq1d simp3 csymg syl2anc iftrued ccnv wf1o symgbasf1o f1ocnvfv1
        symgfv cn nnuz eleqtrdi eluzfz2 eqtr3d 3eqtr3d ex con3d iffalsed ifeqda
        cuz imp cvv simp2 adantr ovexd oveqi mpoeq3ia 3eqtr4d cmat cmdat oveq2d
        cbs ovmpt4g mpoeq3dva matecld matbas2d ringidcl marrepval cmin csn cdif
        csubma submaval fzdif2 mpoeq12 difssd eqsstrrd submabas mdetcl ringlidm
        wss eqeltrd cmulr smadiadetr fveq1i eqeq12i sylibr submat1n submatminr1
        fveq1d eqtr4d 3eqtrd ) APORQVCVDZJDVCZEHVCFHVCVEVDUAVCZTDVCZIVDUVMOPRVF
        VCVDZMVCZIVDAUVKOPRVGSVNVDZGVHVDZVCVDZDVCZUVLARCVIZPUVQVIZOUVQVIZUVKUVT
        VJUMULUKBCDGOPQRUVQUCUBUDUEVKVLJUVSDUPVMVOABCDEFGHIKLTNJUVQUAUCUBUDUNUO
        UGUFUQUJAVGSVPZAJUVSCUPAGVQVIZUWAUWCUWBUVSCVIAGVRVIZUWEUJGVSVTZUMUKULBC
        GOPRUVQUCUBWAWBWCZURUSWEAUVNUVPUVMIAUVNSSTVFVCVDZMVCZUVPASSTGWDVCZUVQGW
        FVDZVDVDZDVCZUVNUWJAUWMTDAKLUVQUVQKWGZSVJZLWGZSVJZUWKGWHVCZWIZUWOUWQTVD
        ZWIZWPZKLUVQUVQUWOEVCZUWQFVCZUVSVDZWPZUWMTAKLUVQUVQUXBUXFAUWOUVQVIZUWQU
        VQVIZWJZUWPUWTUXAUXFUXJUWPXFZUWRUWKUWSUXFUXKUWRXFZUXFOPUVSVDZOOVJZPPVJZ
        UWKUWSWIZOPRVDZWIZUWKUXLUXDOUXEPUVSUXLUXDSEVCZOUXLUWOSEUXJUWPUWRWKWLUXJ
        UXSOVJZUWPUWRAUXHUXTUXIUTWMZWNWOUXLUXESFVCZPUXLUWQSFUXKUWRWQWLUXJUYBPVJ
        ZUWPUWRAUXHUYCUXIVAWMWNWOWRUXLUWAUWCUWBUWCUWBUXMUXRVJUXJUWAUWPUWRAUXHUW
        AUXIUMWMZWNUXJUWCUWPUWRAUXHUWCUXIUKWMZWNZUXJUWBUWPUWRAUXHUWBUXIULWMZWNZ
        UYFUYHBCUVRGUWKOPOPRUVQUWSUCUBUVRWSZUWKWSZUWSWSZWTXAUXRUWKVJUXLUXRUXPUW
        KUXNUXPUXQOWSZXBUXOUWKUWSPWSXBXCXDXEUXKUWRXGZXFZUXFOUXEUVSVDZUXNUXEPVJZ
        UWKUWSWIZOUXERVDZWIZUWSUYNUXDOUXEUVSUYNUXDUXSOUYNUWOSEUXJUWPUYMWKWLUXJU
        XTUWPUYMUYAWNWOXHUYNUWAUWCUWBUWCUXEUVQVIZUYOUYSVJUXJUWAUWPUYMUYDWNUXJUW
        CUWPUYMUYEWNZUXJUWBUWPUYMUYGWNVUAUXJUYTUWPUYMUXJFNVIZUXIUYTAUXHVUBUXIUS
        WMZAUXHUXIXIZUVQNFUVQXJVCZUWQVUEWSZUNXQXKZWNBCUVRGUWKOUXEOPRUVQUWSUCUBU
        YIUYJUYKWTXAUYNUYSUYQUWSUYNUXNUYQUYRUXNUYNUYLXDXLUYNUYPUWKUWSUXKUYMUYPX
        GUXKUYPUWRUXKUYPUWRUXKUYPXFZUXEFXMZVCZPVUIVCZUWQSVUHUXEPVUIUXKUYPWQWLVU
        HUVQUVQFXNZUXIVUJUWQVJUXJVULUWPUYPUXJVUBVULVUCUVQNFVUEVUFUNXOZVTWNUXJUX
        IUWPUYPVUDWNUVQUVQUWQFXPXKUXJVUKSVJZUWPUYPAUXHVUNUXIAUYBVUIVCZVUKSAUYBP
        VUIVAWLAVULSUVQVIZVUOSVJAVUBVULUSVUMVTASVGYHVCZVIZVUPASXRVUQUIXSXTZVGSY
        AVTZUVQUVQSFXPXKYBWMWNYCYDYEYIYFWOXEYGUXJUWPXGZXFZUXHUXIUXFYJVIUXAUXFVJ
        UXJUXHVVAAUXHUXIYKZYLUXJUXIVVAVUDYLVVBUXDUXEUVSYMKLUVQUVQUXFTYJTKLUVQUV
        QUXDUXEJVDZWPZUXGUQKLUVQUVQVVDUXFVVDUXFVJUXHUXIXFJUVSUXDUXEUPYNXDYOXCZU
        UAVLYGUUBATCVIZUWKGYTVCZVIZVUPVUPUWMUXCVJATVVECUQAKLBCVVDGVVHUVQVRUCVVH
        WSZUBUWDUJUXJBCGUXDUXEVVHJUVQUCVVJUBUXJENVIZUXHUXDUVQVIAUXHVVKUXIURWMVV
        CUVQNEVUEUWOVUFUNXQXKVUGAUXHJCVIUXIUWHWMUUCUUDWCZAUWEVVIUWGVVHGUWKVVJUY
        JUUEVTZVUTVUTBCUWLGUWKKLSSTUVQUWSUCUBUWLWSUYKUUFWBTUXGVJAVVFXDYPWLAUWKS
        STUVQGUUJVDZVCVDZMVCZIVDZVVPUWNUWJAUWEVVPVVHVIZVVQVVPVJUWGAUWFVVOVGSVGU
        UGVDVNVDZGYQVDZYTVCZVIVVRUJAVVOKLVVSVVSUXAWPZVWAAVVOKLUVQSUUHZUUIZVWDUX
        AWPZVWBAVVGVUPVUPVVOVWEVJVVLVUTVUTBCVVNGKLSSTUVQUCVVNWSUBUUKVLAVWDVVSVJ
        ZVWFVWEVWBVJAVURVWFVUSVGSUULVTZVWGKLVWDVWDVVSVVSUXAUUMXKWOAVVGVVSUVQUUS
        VWBVWAVIVVLAVVSVWDUVQVWGAUVQVWCUUNUUOBCVVSGKLTUVQUCUBUUPXKUUTVVTVWAMGVV
        HVVOVVSUHVVTWSVWAWSVVJUUQXKVVHGIUWKVVPVVJUFUYJUURXKAUWNUWKVVOVWDGYRVDZV
        CZIVDZVVQAUWMUVQGYRVDZVCZUWKVWIGUVAVCZVDZVJZUWNVWJVJAUWFTUVQGYQVDZYTVCZ
        VIVUPVVIVWOUJATCVWQVVLCBYTVCVWQUBBVWPYTUCVMXCXTVUTVVMGUWKSTUVQUVBWBUWNV
        WLVWJVWNUWMDVWKUDUVCIVWMUWKVWIUFYNUVDUVEAVWIVVPUWKIAVVOVWHMAVWHVVSGYRVD
        MAVWDVVSGYRVWGXHUHVOUVHYSWOAUWIVVOMASXRVIVVGUWIVVOVJUIVVLBCGTSUCUBUVFXK
        WLYPYBAUVOUWIMAUVOOPJVFVCVDUWIABCGJOPRSUCUBUIUKULUWGUMUPUVGVBWOWLUVIYSU
        VJ $.
    $}

    ${
      $d I i x $.  $d S i j k l $.  $d T i j k l $.  $d X x $.  $d N x $.
      $d ph i x $.
      madjusmdetlem2.p $e |- P = ( i e. ( 1 ... N ) |->
          if ( i = 1 , I , if ( i <_ I , ( i - 1 ) , i ) ) ) $.
      madjusmdetlem2.s $e |- S = ( i e. ( 1 ... N ) |->
          if ( i = 1 , N , if ( i <_ N , ( i - 1 ) , i ) ) ) $.
      $( Lemma for ~ madjusmdet .  (Contributed by Thierry Arnoux,
         26-Aug-2020.) $)
      madjusmdetlem2 $p |- ( ( ph /\ X e. ( 1 ... ( N - 1 ) ) )
        -> if ( X < I , X , ( X + 1 ) ) = ( ( P o. `' S ) ` X ) ) $=
        ( vx c1 cmin co cfz wcel wa clt wbr caddc cif ccnv ccom wceq wf1o csymg
        cfv cbs cuz cn nnuz eleqtrdi eluzfz2 syl eqid fzto1st symgbasf1o adantr
        fznatpl1 sylan wi cle cmpt eqeq1 breq1 oveq1 ifbieq12d ifbieq2d cbvmptv
        cv eqtri a1i simpr 1red crp fz1ssnn sselid nnrpd ltaddrp2d ltned necomd
        id eqnetrd neneqd iffalsed cn0 nnnn0d elfzle2 biimpar syl21anc nnltp1le
        nn0ltlem1 biimpa eqbrtrd iftrued oveq1d nncnd 1cnd pncand 3eqtrd fvmptd
        eqtrd idi f1ocnvfv imp fveq2d breq1d breqtrrd ad2antrr ad3antrrr simplr
        adantlr eqtr2d wn eqbrtrrd ex con3d an32s ifeqda wfun cdm f1ocnv f1ofun
        3syl wss cdif fzdif2 difss eqsstrrdi f1odm sseqtrrd sseldd fvco syl2anc
        csn eqtr4d ) APUMOUMUNUOZUPUOZUQZURZPKUSUTZPPUMVAUOZVBPGVCZVHZEVHZPEUVD
        VDVHZUVAUVBPUVCUVFUVAUVBURZUVFUVCEVHZPUVAUVFUVIVEZUVBUVAUVEUVCEUVAUMOUP
        UOZUVKGVFZUVCUVKUQZUVCGVHPVEZUVEUVCVEZAUVLUUTAGUVKVGVHZVIVHZUQZUVLAOUVK
        UQZUVRAOUMVJVHZUQZUVSAOVKUVTUEVLVMZUMOVNVOUVQUVKGIUVPOOUVKVPUKUVPVPZUVQ
        VPZVQVOZUVKUVQGUVPUWCUWDVRZVOVSAOVKUQZUUTUVMUEPOVTWAZUVAUVNWBUVAULUVCUL
        WKZUMVEZOUWIOWCUTZUWIUMUNUOZUWIVBZVBZPUVKGUUSGULUVKUWNWDZVEUVAGIUVKIWKZ
        UMVEZOUWPOWCUTZUWPUMUNUOZUWPVBZVBZWDUWOUKIULUVKUXAUWNUWPUWIVEZUWQUWJUWT
        UWMOUWPUWIUMWEZUXBUWRUWKUWSUWPUWLUWIUWPUWIOWCWFUWPUWIUMUNWGZUXBXCZWHWIW
        JWLWMUVAUWIUVCVEZURZUWNUWMUWLPUXGUWJOUWMUXGUWIUMUXGUWIUVCUMUVAUXFWNZUXG
        UMUVCUXGUMUVCUXGWOZUXGUMPUXIUVAPWPUQUXFUVAPUVAUUSVKPUURWQAUUTWNZWRZWSVS
        WTZXAXBXDXEXFUXGUWKUWLUWIUXGUWIUVCOWCUXHUVAUVCOWCUTZUXFUVAPVKUQZUWGPOUS
        UTZUXMUXKAUWGUUTUEVSZUVAPXGUQZOXGUQZPUURWCUTZUXOUVAPUXKXHUVAOUXPXHUVAUU
        TUXSUXJPUMUURXIVOUXQUXRURUXOUXSPOXMXJXKUXNUWGURUXOUXMPOXLXNXKVSXOXPUXGU
        WLUVCUMUNUOZPUXGUWIUVCUMUNUXHXQUVAUXTPVEUXFUVAPUMUVAPUXKXRUVAXSXTVSYCZY
        AUWHUXJYBYDUVLUVMURUVNUVOUVKUVKUVCPGYEYFXKYGZVSUVHULUVCUWJKUWIKWCUTZUWL
        UWIVBZVBZPUVKEUUSEULUVKUYEWDZVEZUVHEIUVKUWQKUWPKWCUTZUWSUWPVBZVBZWDUYFU
        JIULUVKUYJUYEUXBUWQUWJUYIUYDKUXCUXBUYHUYCUWSUWPUWLUWIUXBUWPUWIKWCUXEYHU
        XDUXEWHWIWJWLZWMUVHUXFURZUYEUYDUWLPUVAUXFUYEUYDVEZUVBUXGUWJKUYDUXGUWIUM
        UXGUMUWIUXGUMUWIUXIUXGUMUVCUWIUSUXLUXHYIXAXBXEXFZYMUYLUYCUWLUWIUYLUWIUV
        CKWCUVHUXFWNUYLUXNKVKUQZUVBUVCKWCUTZUVAUXNUVBUXFUXKYJAUYOUUTUVBUXFAUVKV
        KKOWQUGWRZYKUVAUVBUXFYLUXNUYOURZUVBUYPPKXLZXNXKXOXPUVAUXFUWLPVEUVBUYAYM
        YAUVAUVMUVBUWHVSAUUTUVBYLYBYNUVAUVBYOZURZUVFUVIUVCUVAUVJUYTUYBVSVUAULUV
        CUYEUVCUVKEUVKUYGVUAUYKWMVUAUXFURZUYEUYDUVCUVAUXFUYMUYTUYNYMVUBUYDUWIUV
        CVUBUYCUWLUWIUVAUXFUYTUYCYOZUXGUYTVUCUXGUYCUVBUXGUYCUVBUXGUYCURZUXNUYOU
        YPUVBUVAUXNUXFUYCUXKYJAUYOUUTUXFUYCUYQYKVUDUWIUVCKWCUXGUXFUYCUXHVSUXGUY
        CWNYPUYRUVBUYPUYSXJXKYQYRYFYSXFVUAUXFWNYCYCUVAUVMUYTUWHVSZVUEYBYNYTUVAU
        VDUUAZPUVDUUBZUQUVGUVFVEAVUFUUTAUVKUVKUVDVFZVUFAUVRUVLVUHUWEUWFUVKUVKGU
        UCUUEZUVKUVKUVDUUDVOVSUVAUUSVUGPAUUSVUGUUFUUTAUUSUVKVUGAUUSUVKOUUPZUUGZ
        UVKAUWAVUKUUSVEUWBUMOUUHVOUVKVUJUUIUUJAVUHVUGUVKVEVUIUVKUVKUVDUUKVOUULV
        SUXJUUMPEUVDUUNUUOUUQ $.

      madjusmdetlem4.q $e |- Q = ( j e. ( 1 ... N ) |->
          if ( j = 1 , J , if ( j <_ J , ( j - 1 ) , j ) ) ) $.
      madjusmdetlem4.t $e |- T = ( j e. ( 1 ... N ) |->
          if ( j = 1 , N , if ( j <_ N , ( j - 1 ) , j ) ) ) $.
      ${
        $d U i j $.  $d W i j $.
        madjusmdetlem3.w $e |- W = ( i e. ( 1 ... N ) , j e. ( 1 ... N ) |->
          ( ( ( P o. `' S ) ` i ) U ( ( Q o. `' T ) ` j ) ) ) $.
        madjusmdetlem3.u $e |- ( ph -> U e. B ) $.
        $( Lemma for ~ madjusmdet .  (Contributed by Thierry Arnoux,
           27-Aug-2020.) $)
        madjusmdetlem3 $p |- ( ph -> ( I ( subMat1 ` U ) J )
          = ( N ( subMat1 ` W ) N ) ) $=
          ( csmat cfv co c1 cmin cfz cxp cres wceq cv wral wcel wa ccnv cvv wss
          ccom csn cdif cuz cn nnuz eleqtrdi fzdif2 syl eqsstrrdi adantr simprl
          difss sseldd simprr ovexd ovmpt4g syl3anc ovresd clt wbr cif cbs eqid
          caddc cmap fz1ssnn sselid eqidd smatlem madjusmdetlem2 syldan oveq12d
          matbas2i eqtrd 3eqtr4rd ralrimivva cmat wb smatcl cmpo ccrg fzfid w3a
          fzto1st cminusg eluzfz2 symginv cfn symggrp grpinvcl syl2anc eqeltrrd
          csymg cgrp cplusg symgov symgcl 3ad2ant1 simp2 simp3 matecld matbas2d
          symgfv eqeltrid submatres eqmat mpbird eqtr4d ) AOPKUTVAVBZTVCSVCVDVB
          VEVBZUUFVFVGZSSTUTVAVBZAUUEUUGVHZLVIZMVIZUUEVBZUUJUUKUUGVBZVHZMUUFVJL
          UUFVJZAUUNLMUUFUUFAUUJUUFVKZUUKUUFVKZVLZVLZUUJUUKTVBZUUJEHVMZVPZVAZUU
          KFIVMZVPZVAZKVBZUUMUULUUSUUJVCSVEVBZVKZUUKUVHVKZUVGVNVKUUTUVGVHUUSUUF
          UVHUUJAUUFUVHVOUURAUUFUVHSVQZVRZUVHASVCVSVAZVKZUVLUUFVHASVTUVMUIWAWBZ
          VCSWCWDUVHUVKWHWEWFZAUUPUUQWGZWIZUUSUUFUVHUUKUVPAUUPUUQWJZWIZUUSUVCUV
          FKWKLMUVHUVHUVGTVNURWLWMUUSUUJUUKTUUFUVQUVSWNUUSUULUUJOWOWPUUJUUJVCWT
          VBWQZUUKPWOWPUUKUUKVCWTVBWQZKVBUVGUUSKGWRVAZUUEUUJUUKOPSSUWAUWBUUEWSZ
          ASVTVKZUURUIWFZUWFAOUVHVKZUURUKWFAPUVHVKZUURULWFAKUWCUVHUVHVFXAVBVKZU
          URAKCVKZUWIUSBCGUWCKUVHUCUWCWSZUBXIWDWFUUSUVHVTUUJSXBZUVRXCUUSUVHVTUU
          KUWLUVTXCUUSUWAXDUUSUWBXDXEUUSUWAUVCUWBUVFKAUURUUPUWAUVCVHUVQABCDEGHJ
          LNOOQRSUUJUAUBUCUDUEUFUGUHUIUJUKUKUMUNUOXFXGAUURUUQUWBUVFVHUVSABCDFGI
          JMNPPQRSUUKUAUBUCUDUEUFUGUHUIUJULULUMUPUQXFXGXHXJXKXLAUUEUUFGXMVBZWRV
          AZVKUUGUWNVKUUIUUOXNABCUWNGUUEOPKSUCUBUWNWSZUWDUIUKULUSXOAUUHUUGUWNAU
          WETCVKUUHUUGVHUIATLMUVHUVHUVGXPCURALMBCUVGGUWCUVHXQUCUWKUBAVCSXRZUJAU
          VIUVJXSZBCGUVCUVFUWCKUVHUCUWKUBUWQUVBUVHYIVAZWRVAZVKZUVIUVCUVHVKAUVIU
          WTUVJAEUWSVKZUVAUWSVKZUWTAUWGUXAUKUWSUVHELUWROSUVHWSZUNUWRWSZUWSWSZXT
          WDAHUWRYAVAZVAZUVAUWSAHUWSVKZUXGUVAVHASUVHVKZUXHAUVNUXIUVOVCSYBWDZUWS
          UVHHLUWRSSUXCUOUXDUXEXTWDZUVHUWSHUWRUXFUXDUXEUXFWSZYCWDAUWRYJVKZUXHUX
          GUWSVKAUVHYDVKUXMUWPUVHUWRYDUXDYEWDZUXKUWSUWRUXFHUXEUXLYFYGYHUXAUXBVL
          EUVAUWRYKVAZVBUVBUWSUVHUWSUXOUWREUVAUXDUXEUXOWSZYLUVHUWSUXOUWREUVAUXD
          UXEUXPYMYHYGYNAUVIUVJYOUVHUWSUVBUWRUUJUXDUXEYSYGUWQUVEUWSVKZUVJUVFUVH
          VKAUVIUXQUVJAFUWSVKZUVDUWSVKZUXQAUWHUXRULUWSUVHFMUWRPSUXCUPUXDUXEXTWD
          AIUXFVAZUVDUWSAIUWSVKZUXTUVDVHAUXIUYAUXJUWSUVHIMUWRSSUXCUQUXDUXEXTWDZ
          UVHUWSIUWRUXFUXDUXEUXLYCWDAUXMUYAUXTUWSVKUXNUYBUWSUWRUXFIUXEUXLYFYGYH
          UXRUXSVLFUVDUXOVBUVEUWSUVHUWSUXOUWRFUVDUXDUXEUXPYLUVHUWSUXOUWRFUVDUXD
          UXEUXPYMYHYGYNAUVIUVJYPUVHUWSUVEUWRUUKUXDUXEYSYGAUVIUWJUVJUSYNYQYRYTZ
          BCGTSUCUBUUAYGZABCUWNGUUHSSTSUCUBUWOUUHWSUIUXJUXJUYCXOYHUWMUWNGLMUUFU
          UEUUGUWMWSUWOUUBYGUUCUYDUUD $.
      $}

      $( Lemma for ~ madjusmdet .  (Contributed by Thierry Arnoux,
         22-Aug-2020.) $)
      madjusmdetlem4 $p |- ( ph -> ( J ( K ` M ) I ) =
      ( ( Z ` ( -u 1 ^ ( I + J ) ) ) .x. ( E ` ( I ( subMat1 ` M ) J ) ) ) ) $=
        ( vk vl cfv co ccnv ccom cfz cpsgn cmul csmat cneg caddc cminmar1 csymg
        c1 cexp cbs cmpo eqid wceq fveq2 oveq1d oveq2d cbvmpov wcel fzto1st syl
        cv cminusg cuz cn nnuz eleqtrdi eluzfz2 symginv cgrp cfn fzfid grpinvcl
        symggrp syl2anc eqeltrrd cplusg symgov symgcl wfun cdm symgbasf1o f1of1
        wa wf1o wf1 df-f1 simprbi 3syl f1ocnv f1odm eleqtrrd fzto1stinvn fveq2d
        wf fvco fzto1stfv1 3eqtrd crg ccrg minmar1cl psgnco syl3anc psgnfzto1st
        crngring psgninv oveq12d sselid nnnn0d cn0 a1i nn0addcld expcld expaddd
        eqtrd c2 nncnd oveq2i eqtrdi madjusmdetlem3 madjusmdetlem1 1cnd fz1ssnn
        syl22anc negcld 1nn0 mul4d add4d 1p1e2 2nn0 neg1sqe1 mulid1d eqtr3d cpr
        cz nn0zd m1expcl2 1neg1t1neg1 ) AONQPURUSEHUTZVAZVJRVBUSZVCURZURZFIUTZV
        AZUVCURZVDUSZSURZNOQVEURUSMURZJUSVJVFZNOVGUSZVKUSZSURZUVJJUSABCDUVAUVFG
        UVCJNOQUVBGVHUSURUSZKLMUVBVIURZVLURZNOPQRUPUQUVBUVBUPWCZUVAURZUQWCZUVFU
        RZUVOUSZVMZSTUAUBUCUDUEUFUGUHUIUJUKUVQVNZUVCVNZUVOVNUPUQKLUVBUVBUWBKWCZ
        UVAURZLWCZUVFURZUVOUSUWGUWAUVOUSUVRUWFVOUVSUWGUWAUVOUVRUWFUVAVPVQUVTUWH
        VOUWAUWIUWGUVOUVTUWHUVFVPVRVSZAEUVQVTZUUTUVQVTZUVAUVQVTANUVBVTZUWKUIUVQ
        UVBEKUVPNRUVBVNZULUVPVNZUWDWAWBZAHUVPWDURZURZUUTUVQAHUVQVTZUWRUUTVOARUV
        BVTZUWSARVJWEURZVTUWTARWFUXAUGWGWHVJRWIWBZUVQUVBHKUVPRRUWNUMUWOUWDWAWBZ
        UVBUVQHUVPUWQUWOUWDUWQVNZWJWBAUVPWKVTZUWSUWRUVQVTAUVBWLVTZUXEAVJRWMZUVB
        UVPWLUWOWOWBZUXCUVQUVPUWQHUWDUXDWNWPWQZUWKUWLXEEUUTUVPWRURZUSUVAUVQUVBU
        VQUXJUVPEUUTUWOUWDUXJVNZWSUVBUVQUXJUVPEUUTUWOUWDUXKWTWQWPAFUVQVTZUVEUVQ
        VTZUVFUVQVTAOUVBVTZUXLUJUVQUVBFLUVPORUWNUNUWOUWDWAWBZAIUWQURZUVEUVQAIUV
        QVTZUXPUVEVOAUWTUXQUXBUVQUVBILUVPRRUWNUOUWOUWDWAWBZUVBUVQIUVPUWQUWOUWDU
        XDWJWBAUXEUXQUXPUVQVTUXHUXRUVQUVPUWQIUWDUXDWNWPWQZUXLUXMXEFUVEUXJUSUVFU
        VQUVBUVQUXJUVPFUVEUWOUWDUXKWSUVBUVQUXJUVPFUVEUWOUWDUXKWTWQWPARUVAURZRUU
        TURZEURZVJEURZNAUUTXAZRUUTXBZVTUXTUYBVOAUVBUVBHXFZUVBUVBHXGZUYDAUWSUYFU
        XCUVBUVQHUVPUWOUWDXCWBZUVBUVBHXDUYGUVBUVBHXPUYDUVBUVBHXHXIXJARUVBUYEUXB
        AUYFUVBUVBUUTXFUYEUVBVOUYHUVBUVBHXKUVBUVBUUTXLXJXMREUUTXQWPAUYAVJEAUWTU
        YAVJVOUXBUVQUVBHKUVPRRUWNUMUWOUWDXNWBXOAUWMUYCNVOUIUVBEKNRUWNULXRWBXSAR
        UVFURZRUVEURZFURZVJFURZOAUVEXAZRUVEXBZVTUYIUYKVOAUVBUVBIXFZUVBUVBIXGZUY
        MAUXQUYOUXRUVBUVQIUVPUWOUWDXCWBZUVBUVBIXDUYPUVBUVBIXPUYMUVBUVBIXHXIXJAR
        UVBUYNUXBAUYOUVBUVBUVEXFUYNUVBVOUYQUVBUVBIXKUVBUVBUVEXLXJXMRFUVEXQWPAUY
        JVJFAUWTUYJVJVOUXBUVQUVBILUVPRRUWNUOUWOUWDXNWBXOAUXNUYLOVOUJUVBFLORUWNU
        NXRWBXSABCDEFGHIJUVOKLMNOPQRUWCSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUWJAGXTV
        TZQCVTUWMUXNUVOCVTAGYAVTUYRUHGYFWBUKUIUJBCGNOQUVBUATYBUUEUUAUUBAUVIUVNU
        VJJAUVHUVMSAUVHUVKNVJVGUSZVKUSZUVKRVJVGUSZVKUSZVDUSZUVKOVJVGUSZVKUSZVUB
        VDUSZVDUSZUVMAUVDVUCUVGVUFVDAUVDEUVCURZUUTUVCURZVDUSZVUCAUXFUWKUWLUVDVU
        JVOUXGUWPUXIUVBUVQUVPEUUTUVCUWOUWEUWDYCYDAVUHUYTVUIVUBVDAUWMVUHUYTVOUIU
        VQUVBEUVCKUVPNRUWNULUWOUWDUWEYEWBAVUIHUVCURZVUBAUXFUWSVUIVUKVOUXGUXCUVB
        UVQUVPHUVCUWOUWEUWDYGWPAUWTVUKVUBVOUXBUVQUVBHUVCKUVPRRUWNUMUWOUWDUWEYEW
        BYPYHYPAUVGFUVCURZUVEUVCURZVDUSZVUFAUXFUXLUXMUVGVUNVOUXGUXOUXSUVBUVQUVP
        FUVEUVCUWOUWEUWDYCYDAVULVUEVUMVUBVDAUXNVULVUEVOUJUVQUVBFUVCLUVPORUWNUNU
        WOUWDUWEYEWBAVUMIUVCURZVUBAUXFUXQVUMVUOVOUXGUXRUVBUVQUVPIUVCUWOUWEUWDYG
        WPAUWTVUOVUBVOUXBUVQUVBIUVCLUVPRRUWNUOUWOUWDUWEYEWBYPYHYPYHAVUGUYTVUEVD
        USZVUBVUBVDUSZVDUSUVMVJVDUSZUVMAUYTVUBVUEVUBAUVKUYSAVJAUUCZUUFZANVJANAU
        VBWFNRUUDZUIYIZYJZVJYKVTAUUGYLZYMZYNAUVKVUAVUTARVJARUGYJVVDYMZYNZAUVKVU
        DVUTAOVJAOAUVBWFOVVAUJYIZYJZVVDYMZYNVVGUUHAVUPUVMVUQVJVDAUVKUYSVUDVGUSZ
        VKUSZVUPUVMAUVKUYSVUDVUTVVJVVEYOAVVLUVKUVLYQVGUSZVKUSZVURUVMAVVKVVMUVKV
        KAVVKUVLVJVJVGUSZVGUSVVMANVJOVJANVVBYRVUSAOVVHYRVUSUUIVVOYQUVLVGUUJYSYT
        VRAVVNUVMUVKYQVKUSZVDUSVURAUVKUVLYQVUTYQYKVTAUUKYLANOVVCVVIYMZYOVVPVJUV
        MVDUULYSYTAUVMAUVKUVLVUTVVQYNUUMZXSUUNAVUAUUPVTVUBUVKVJUUOVTVUQVJVOAVUA
        VVFUUQVUAUURVUBUUSXJYHVVRXSYPXOVQYP $.
    $}

    $( Express the cofactor of the matrix, i.e. the entries of its adjunct
       matrix, using determinant of submatrices.  (Contributed by Thierry
       Arnoux, 23-Aug-2020.) $)
    madjusmdet $p |- ( ph -> ( J ( K ` M ) I ) = ( ( Z ` ( -u 1 ^ ( I + J ) ) )
      .x. ( E ` ( I ( subMat1 ` M ) J ) ) ) ) $=
      ( vk vl vi vj c1 cfz co wceq cle wbr cmin cif eqeq1 breq1 oveq1 ifbieq12d
      cv cmpt id ifbieq2d cbvmptv madjusmdetlem4 ) ABCDUFUJLUKULZUFVBZUJUMZHVIH
      UNUOZVIUJUPULZVIUQZUQZVCUGVHUGVBZUJUMZIVOIUNUOZVOUJUPULZVOUQZUQZVCEUFVHVJ
      LVILUNUOZVLVIUQZUQZVCUGVHVPLVOLUNUOZVRVOUQZUQZVCFUHUIGHIJKLMNOPQRSTUAUBUC
      UDUEUFUHVHVNUHVBZUJUMZHWGHUNUOZWGUJUPULZWGUQZUQVIWGUMZVJWHVMWKHVIWGUJURZW
      LVKWIVLVIWJWGVIWGHUNUSVIWGUJUPUTZWLVDZVAVEVFUFUHVHWCWHLWGLUNUOZWJWGUQZUQW
      LVJWHWBWQLWMWLWAWPVLVIWJWGVIWGLUNUSWNWOVAVEVFUGUIVHVTUIVBZUJUMZIWRIUNUOZW
      RUJUPULZWRUQZUQVOWRUMZVPWSVSXBIVOWRUJURZXCVQWTVRVOXAWRVOWRIUNUSVOWRUJUPUT
      ZXCVDZVAVEVFUGUIVHWFWSLWRLUNUOZXAWRUQZUQXCVPWSWEXHLXDXCWDXGVRVOXAWRVOWRLU
      NUSXEXFVAVEVFVG $.

    $d .x. j $.  $d A j $.  $d B j $.  $d I j $.  $d K j $.  $d M j $.
    $d N j $.  $d R j $.  $d j ph $.
    $( Laplace expansion of the determinant of a square matrix.  (Contributed
       by Thierry Arnoux, 19-Aug-2020.) $)
    mdetlap $p |- ( ph -> ( D ` M )
      = ( R gsum ( j e. ( 1 ... N ) |-> ( ( Z ` ( -u 1 ^ ( I + j ) ) )
        .x. ( ( I M j ) .x. ( E ` ( I ( subMat1 ` M ) j ) ) ) ) ) ) ) $=
      ( cfv c1 cfz co cv cmpt cgsu cneg caddc cexp csmat ccrg wcel wceq syl3anc
      mdetlap1 wa cn adantr simpr madjusmdet oveq2d cbs matecld cz wf crg zring
      eqid crh crngring syl zrhrhm zringbas rhmf 3syl cn0 1zzd znegcld nnaddcld
      fz1ssnn sselid nnnn0d zexpcl syl2anc ffvelrnd crngcom oveq1d cmin ringass
      cmat smatcl mdetcl syl13anc 3eqtr3d eqtrd mpteq2dva ) ALDUGZEGUHMUIUJZIGU
      KZLUJZXFILKUGUJZFUJZULZUMUJZEGXEUHUNZIXFUOUJZUPUJZNUGZXGIXFLUQUGUJZHUGZFU
      JFUJZULZUMUJAEURUSZLCUSZIXEUSZXDXKUTUCUFUDBCDEFGIKLXEPOQRSVBVAAXJXSEUMAGX
      EXIXRAXFXEUSZVCZXIXGXOXQFUJZFUJZXRYDXHYEXGFYDBCDEFHIXFKLMNOPQRSTUAAMVDUSY
      CUBVEZAXTYCUCVEZAYBYCUDVEZAYCVFZAYAYCUFVEZVGVHYDXGXOFUJZXQFUJZXOXGFUJZXQF
      UJZYFXRYDYLYNXQFYDXTXGEVIUGZUSZXOYPUSZYLYNUTYHYDBCEIXFYPLXEPYPVOZOYIYJYKV
      JZYDVKYPXNNAVKYPNVLZYCAEVMUSZNVNEVPUJUSUUAAXTUUBUCEVQZVRENTVSVKYPVNENVTYS
      WAWBVEYDXLVKUSXMWCUSXNVKUSYDUHYDWDWEYDXMYDIXFYDXEVDIMWGZYIWHYDXEVDXFUUDYJ
      WHWFWIXLXMWJWKWLZYPEFXGXOYSSWMVAWNYDUUBYQYRXQYPUSZYMYFUTYDXTUUBYHUUCVRZYT
      UUEYDXTXPUHMUHWOUJUIUJZEWQUJZVIUGZUSUUFYHYDBCUUJEXPIXFLMPOUUJVOZXPVOYGYIY
      JYKWRUUIUUJHEYPXPUUHUAUUIVOUUKYSWSWKZYPEFXGXOXQYSSWPWTYDUUBYRYQUUFYOXRUTU
      UGUUEYTUULYPEFXOXGXQYSSWPWTXAXBXCVHXB $.
  $}

$(
  ${
    m3det.n @e |- N = ( 1 ... 3 ) @.
    m3det.d @e |- D = ( N maDet R ) @.
    m3det.a @e |- A = ( N Mat R ) @.
    m3det.b @e |- B = ( Base ` A ) @.
    m3det.p @e |- .+ = ( +g ` R ) @.
    m3det.m @e |- .- = ( -g ` R ) @.
    m3det.t @e |- .x. = ( .r ` R ) @.
    @( Rule of Sarrus.  Expanded formula for the computation of the determinent
       of 3x3-matrices.  (Contributed by Thierry Arnoux, 16-Aug-2020.) @)
    m3det @p |- ( ( R e. CRing /\ M e. B ) -> ( D ` M ) = ( (
          ( ( ( ( 1 M 1 ) .x. ( 2 M 2 ) ) .x. ( 3 M 3 ) )
         .- ( ( ( 1 M 1 ) .x. ( 2 M 3 ) ) .x. ( 3 M 2 ) ) )
       .+ ( ( ( ( 1 M 2 ) .x. ( 2 M 3 ) ) .x. ( 3 M 1 ) )
         .- ( ( ( 1 M 2 ) .x. ( 2 M 1 ) ) .x. ( 3 M 3 ) ) ) )
       .+ ( ( ( ( 1 M 3 ) .x. ( 2 M 1 ) ) .x. ( 3 M 2 ) )
         .- ( ( ( 1 M 3 ) .x. ( 2 M 2 ) ) .x. ( 3 M 1 ) ) )
       ) ) @=
      ? @.
  @}
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Topology
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d B x y $.  $d D d o $.  $d J d o x y $.  $d d o ph x y $.
    ist0cls.1 $e |- ( ph -> B = U. J ) $.
    ist0cls.2 $e |- ( ph -> D = ( Clsd ` J ) ) $.
    $( The predicate "is a T_0 space", using closed sets.  (Contributed by
       Thierry Arnoux, 16-Aug-2020.) $)
    ist0cld $p |- ( ph -> ( J e. Kol2 <-> ( J e. Top /\ A. x e. B A. y e. B (
       A. d e. D ( x e. d <-> y e. d ) -> x = y ) ) ) ) $=
      ( vo wcel cv wb wral wceq adantl wa cdif cvv simpr ctop wi cuni eqid ist0
      ct0 simplbi baib adantr eqcomd simp-4r uniexg difexg 3syl wrex ccld iscld
      cfv wss eleq2d difssd eqsstrd r19.29an difeq2d eltopss dfss4 sylib simplr
      ad5ant24 eqeltrd eqeq2d rspcedvd impbida biadanid ad2antrr eldif ad3antlr
      3bitr4d wn bitrd ad2antlr bibi12d notbi ralxfr2d bicomd imbi1d raleqbidva
      bitr4di ) AFUFKZFUAKZBLZGLZKZCLZWLKZMZGENZWKWNOZUBZCDNZBDNZWIWJAWIWJWKJLZ
      KZWNXBKZMZJFNZWRUBZCFUCZNZBXHNZBCJFXHXHUDZUEZUGPAWJQZWIXJXAWJWIXJMAWIWJXJ
      XLUHPXMXIWTBXHDXMDXHADXHOWJHUIUJZXMWKXHKZQZXGWSCXHDXMXHDOXOXNUIXPWNXHKZQZ
      XFWQWRXRWQXFXRWPXEGJXHXBRZEFSXRXBFKZQWJXHSKXSSKAWJXOXQXTUKFUAULXHXBSUMUNX
      MWLEKZWLXSOZJFUOZMXOXQXMWLFUPURZKZWLXHUSZXHWLRZFKZQZYAYCWJYEYIMAWLFXHXKUQ
      PAYAYEMWJAEYDWLIUTUIXMYCYFYHXMYBYFJFXMXTQZYBQZWLXSXHYJYBTYKXHXBVAVBVCXMYF
      QZYCYHYLYBYHJFYLXTQZYBQZYGXHXSRZFYNWLXSXHYMYBTVDYNYOXBFYNXBXHUSZYOXBOWJXT
      YPAYFYBXBFXHXKVEVIXBXHVFVGYLXTYBVHVJVJVCYLYHQZYBWLXHYGRZOJYGFYLYHTYQXBYGO
      ZQZXSYRWLYTXBYGXHYQYSTVDVKYQYRWLYQYFYRWLOXMYFYHVHWLXHVFVGUJVLVMVNVRVOXRYB
      QZWPXCVSZXDVSZMXEUUAWMUUBWOUUCUUAWMWKXSKZUUBUUAWLXSWKXRYBTZUTXOUUDUUBMXMX
      QYBUUDXOUUBWKXHXBVPUHVQVTUUAWOWNXSKZUUCUUAWLXSWNUUEUTXQUUFUUCMXPYBUUFXQUU
      CWNXHXBVPUHWAVTWBXCXDWCWHWDWEWFWGWGVTVN $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Open maps
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A a b c x y z $.  $d F a b x y $.  $d G b x y $.  $d H a b c x y z $.
    $d J x y z $.  $d K x y z $.  $d L a b c x y z $.  $d M a b c x y z $.
    $d X x y $.  $d Y x y $.  $d c ph x y z $.
    txomap.f $e |- ( ph -> F : X --> Z ) $.
    txomap.g $e |- ( ph -> G : Y --> T ) $.
    txomap.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    txomap.k $e |- ( ph -> K e. ( TopOn ` Y ) ) $.
    txomap.l $e |- ( ph -> L e. ( TopOn ` Z ) ) $.
    txomap.m $e |- ( ph -> M e. ( TopOn ` T ) ) $.
    txomap.1 $e |- ( ( ph /\ x e. J ) -> ( F " x ) e. L ) $.
    txomap.2 $e |- ( ( ph /\ y e. K ) -> ( G " y ) e. M ) $.
    txomap.a $e |- ( ph -> A e. ( J tX K ) ) $.
    txomap.h $e |- H = ( x e. X , y e. Y |-> <. ( F ` x ) , ( G ` y ) >. ) $.
    $( Given two open maps ` F ` and ` G ` , ` H ` mapping pairs of sets, is
       also an open map for the product topology.  (Contributed by Thierry
       Arnoux, 29-Dec-2019.) $)
    txomap $p |- ( ph -> ( H " A ) e. ( L tX M ) ) $=
      ( vc va vb vz cima ctx co wcel cxp wss wrex wral cfv wceq simp-6l simpllr
      cv wa syl2anc simplr wfn opex fnmpoi ctopon ad6antr toponss xpss12 simprl
      cop fnfvima mp3an2i simp-4r wf ffn 3syl fimaproj imass2 ad2antll eqsstrrd
      3eltr3d xpeq1 eleq2d sseq1d anbi12d xpeq2 rspc2ev syl112anc wb eltx mpbid
      r19.21bi ad4ant13 r19.29vva wfun mpofun fvelima adantl r19.29a ralrimiva
      mpan mpbird ) AHDUJZKLUKULUMZUFVBZUGVBZUHVBZUNZUMZXLXGUOZVCZUHLUPUGKUPZUF
      XGUQZAXPUFXGAXIXGUMZVCZUIVBZHURZXIUSZXPUIDXSXTDUMZVCZYBVCZXTBVBZCVBZUNZUM
      ZYHDUOZVCZXPBCIJYEYFIUMZVCZYGJUMZVCZYKVCZFYFUJZKUMZGYGUJZLUMZXIYQYSUNZUMZ
      UUAXGUOZXPYPAYLYRAXRYCYBYLYNYKUTZYEYLYNYKVAZUBVDYPAYNYTUUDYMYNYKVEZUCVDYP
      YAHYHUJZXIUUAHMNUNZVFYPYHUUHUOZYIYAUUGUMBCMNYFFURZYGGURZVNZHUEUUJUUKVGVHY
      PYFMUOZYGNUOZUUIYPIMVIURZUMZYLUUMAUUPXRYCYBYLYNYKRVJUUEYFIMVKVDZYPJNVIURZ
      UMZYNUUNAUUSXRYCYBYLYNYKSVJUUFYGJNVKVDZYFMYGNVLVDYOYIYJVMUUHYHHXTVOVPYDYB
      YLYNYKVQYPBCMNFGHYFYGUEYPAMOFVRFMVFUUDPMOFVSVTYPANEGVRGNVFUUDQNEGVSVTUUQU
      UTWAZWEYPUUAUUGXGUVAYJUUGXGUOYOYIYHDHWBWCWDXOUUBUUCVCXIYQXKUNZUMZUVBXGUOZ
      VCUGUHYQYSKLXJYQUSZXMUVCXNUVDUVEXLUVBXIXJYQXKWFZWGUVEXLUVBXGUVFWHWIXKYSUS
      ZUVCUUBUVDUUCUVGUVBUUAXIXKYSYQWJZWGUVGUVBUUAXGUVHWHWIWKWLAYCYKCJUPBIUPZXR
      YBAUVIUIDADIJUKULUMZUVIUIDUQZUDAUUPUUSUVJUVKWMRSBCDIJUUOUURUIWNVDWOWPWQWR
      XRYBUIDUPZAHWSXRUVLBCMNUULHUEWTUIXIDHXAXEXBXCXDAKOVIURZUMLEVIURZUMXHXQWMT
      UAUGUHXGKLUVMUVNUFWNVDXF $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Regular spaces
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

$(
  @{
    regclnei.1 @e |- X = U. J @.
    regclnei.2 @e |- B = ( ( Clsd ` J ) i^i ( ( nei ` J ) ` { A } ) ) @.
    @( For a regular space ` J ` , the set of closed neighborhoods of any point
       ` X ` is a filter base which generates the filter of neighborhoods of
       ` X ` . Condition O_III of [BourbakiTop1] p.  I.56. @)
    regclnei @p |- ( ( J e. Reg /\ A e. X ) ->
      ( B e. ( fBas ` X ) /\ ( X filGen B ) = ( ( nei ` J ) ` { A } ) ) ) @=
      ? @.

    @( Given any point ` A ` and neighborhood ` N ` of ` A ` , there is a
       closed neighborhood ` E ` of ` A `` that is a subset of  ` N ` .
       Same as ~ regsep ??? @)
    regclnei $p |- ( ( J e. Reg /\ A e. X /\ N e. ( ( nei ` J ) ` { A } ) )
      -> E. E e. ( ( Clsd ` J ) i^i ( ( nei ` J ) ` { A } ) ) E C_ N ) @=
      ? @.
  @}
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Topology of the unit circle
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( To be moved just after qtopcmap $)
  ${
    $d F x $.  $d J x $.  $d ph x $.
    qtopt1.x $e |- X = U. J $.
    qtopt1.1 $e |- ( ph -> J e. Fre ) $.
    qtopt1.2 $e |- ( ph -> F : X -onto-> Y ) $.
    qtopt1.3 $e |- ( ( ph /\ x e. Y ) -> ( `' F " { x } ) e. ( Clsd ` J ) ) $.
    $( If every equivalence class is closed, then the quotient space is T_1 .
       (Contributed by Thierry Arnoux, 5-Jan-2020.) $)
    qtopt1 $p |- ( ph -> ( J qTop F ) e. Fre ) $=
      ( ctop wcel ccld cfv cuni ct1 syl syl2anc wa wceq cqtop co csn wral t1top
      cv wfn wfo fofn qtoptop wss ccnv cima simpr qtopuni adantr eleqtrrd snssd
      syldan wb ctopon istopon sylibr qtopcld mpbir2and ralrimiva eqid sylanbrc
      jctir ist1 ) ADCUAUBZKLZBUFZUCZVKMNLZBVKOZUDVKPLADKLZCEUGZVLADPLVQHDUEQZA
      EFCUHZVRIEFCUIQCDEGUJRAVOBVPAVMVPLZSZVOVNFUKZCULVNUMDMNLZWBVMFWBVMVPFAWAU
      NAFVPTZWAAVQVTWEVSICDEFGUORUPUQZURAWAVMFLWDWFJUSAVOWCWDSUTZWAADEVANLZVTWG
      AVQEDOTZSWHAVQWIVSGVIEDVBVCIVNCDEFVDRUPVEVFVKVPBVPVGVJVH $.
  $}

  ${
    $d .~ a b c x y z $.  $d F x y $.  $d H a b c x y z $.  $d J x y $.
    $d X a b c x y z $.  $d Y a b c x y z $.  $d a b c x y z ph $.
    qtophaus.x $e |- X = U. J $.
    qtophaus.e $e |- .~ = ( `' F o. F ) $.
    qtophaus.h $e |- H = ( x e. X , y e. X |-> <. ( F ` x ) , ( F ` y ) >. ) $.
    qtophaus.1 $e |- ( ph -> J e. Haus ) $.
    qtophaus.2 $e |- ( ph -> F : X -onto-> Y ) $.
    qtophaus.3 $e |- ( ( ph /\ x e. J ) -> ( F " x ) e. ( J qTop F ) ) $.
    qtophaus.4 $e |- ( ph -> .~ e. ( Clsd ` ( J tX J ) ) ) $.
    $( If an open map's graph in the product space ` ( J tX J ) ` is closed,
       then its quotient topology is Hausdorff.  (Contributed by Thierry
       Arnoux, 4-Jan-2020.) $)
    qtophaus $p |- ( ph -> ( J qTop F ) e. Haus ) $=
      ( wcel syl2anc wceq wa vc vz va cqtop ctop cid cuni cres ctx ccld cfv cha
      vb co wfn haustop syl wfo fofn qtoptop wss cdif txtop cxp idssxp sseqtrid
      eqid txuni qtopuni sqxpeqd eqtr2d eqcomd reseq2d difeq12d cima cv wrex wb
      cop opex fnmpoi difss fvelimab mp2an wbr wn simp-4r simplr opelxpi sylibr
      df-br wne simpllr opeq12d simp-5r simp-8r eqeltrrd eqeltrd wrel opeldifid
      simpr relxp ax-mp sylib simprd ad8antr fcoinvbr syl3anc necon3bbid mpbird
      brdif bitr3i sylanbrc fvproj 3eqtr4d fveqeq2 rspcev wfun ad4antr ad2antrr
      fofun foima eleqtrrd fvelima r19.29a eldifad r19.29vva fveq2d 3eqtr3d fof
      elxp2 wf ad5antr ffvelrnd mpbid cvv ctopon wral wer iscld2 opelxp simprbi
      eldifi adantl adantr r19.29an impbida bitr4id eqrdv ssv xpss2 difres mp2b
      eqtr4di toptopon qtoptopon ralrimiva imaeq2 eleq1d cbvralvw r19.21bi ccnv
      difeq1d fcoinver ereq1 erssxp sseqtrd txomap biimpar syl21anc hausdiag
      ccom ) AGEUDUNZUEQZUFUVMUGZUHZUVMUVMUIUNZUJUKQZUVMULQAGUEQZEHUOZUVNAGULQU
      VSMGUPUQZAHIEURZUVTNHIEUSUQZEGHJUTRZAUVQUEQZUVPUVQUGZVAZUWFUVPVBZUVQQZUVR
      AUVNUVNUWEUWDUWDUVMUVMVCRAUVOUVOVDZUVPUWFUVOVEAUVNUVNUWJUWFSUWDUWDUVMUVMU
      VOUVOUVOVGZUWKVHRZVFAUWHIIVDZUFIUHZVBZUVQAUWFUWMUVPUWNAUWMUWJUWFAIUVOAUVS
      UWBIUVOSUWANEGHIJVIRZVJUWLVKAUVOIUFAIUVOUWPVLVMVNAFHHVDZDVBZVOZUWOUVQAUWS
      UWMUFVBZUWOAUAUWSUWTAUAVPZUWSQZUBVPZFUKZUXASZUBUWRVQZUXAUWTQZFUWQUOUWRUWQ
      VAUXBUXFVRBCHHBVPZEUKZCVPZEUKZVSZFLUXIUXKVTWAUWQDWBUBUWQUWRUXAFWCWDAUXGUX
      FAUXGTZUXAUCVPZUMVPZVSZSZUXFUCUMIIUXMUXNIQZTZUXOIQZTZUXQTZUXIUXNSZUXFBHUY
      BUXHHQZTZUYCTZUXKUXOSZUXFCHUYFUXJHQZTZUYGTZUXHUXJVSZUWRQZUYKFUKZUXASZUXFU
      YJUXHUXJUWQWEZUXHUXJDWEZWFZUYLUYJUYKUWQQZUYOUYJUYDUYHUYRUYBUYDUYCUYHUYGWG
      ZUYFUYHUYGWHZUXHUXJHHWIRUXHUXJUWQWKWJUYJUYQUXIUXKWLZUYJUXLUWMQZVUAUYJUXLU
      WTQZVUBVUATZUYJUXLUXPUWTUYJUXIUXNUXKUXOUYEUYCUYHUYGWMUYIUYGXAWNZUYJUXAUXP
      UWTUYAUXQUYDUYCUYHUYGWOZAUXGUXRUXTUXQUYDUYCUYHUYGWPWQWRUWMWSVUCVUDVRIIXBU
      WMUXIUXKWTXCZXDXEUYJUYPUXIUXKUYJUVTUYDUYHUYPUXIUXKSVRZAUVTUXGUXRUXTUXQUYD
      UYCUYHUYGUWCXFUYSUYTHDEUXHUXJKXGZXHXIXJUYLUXHUXJUWRWEUYOUYQTUXHUXJUWRWKUX
      HUXJUWQDXKXLZXMUYJUXLUXPUYMUXAVUEUYJBCHHEEFUXHUXJLUYSUYTXNVUFXOUXEUYNUBUY
      KUWRUXCUYKUXAFXPXQRUYFEXRZUXOEHVOZQUYGCHVQUYBVUKUYDUYCAVUKUXGUXRUXTUXQAUW
      BVUKNHIEYAUQXSZXTUYFUXOIVULUXSUXTUXQUYDUYCWGUYBVULISZUYDUYCAVUNUXGUXRUXTU
      XQAUWBVUNNHIEYBUQXSZXTYCCUXOHEYDRYEUYBVUKUXNVULQUYCBHVQVUMUYBUXNIVULUXMUX
      RUXTUXQWMVUOYCBUXNHEYDRYEUXMUXAUWMQUXQUMIVQUCIVQUXMUXAUWMUFAUXGXAYFUCUMUX
      AIIYKXDYGAUXEUXGUBUWRAUXCUWRQZTZUXETZUXCUYKSZUXGBCHHVURUYDTZUYHTZVUSTZUXA
      UXLUWTVVBUXDUYMUXAUXLVVBUXCUYKFVVAVUSXAZYHVUQUXEUYDUYHVUSWGVVBBCHHEEFUXHU
      XJLVURUYDUYHVUSWMZVUTUYHVUSWHZXNYIVVBVUBVUAVUCVVBUXIIQUXKIQVUBVVBHIUXHEAH
      IEYLZVUPUXEUYDUYHVUSAUWBVVFNHIEYJUQZYMZVVDYNVVBHIUXJEVVHVVEYNUXIUXKIIUUAX
      MVVBUYQVUAVVBUYLUYQVVBUXCUYKUWRVVCAVUPUXEUYDUYHVUSWOWQUYLUYOUYQVUJUUBUQVV
      BUYPUXIUXKVVBUVTUYDUYHVUHAUVTVUPUXEUYDUYHVUSUWCYMVVDVVEVUIXHXIYOVUGXMWRVU
      QVUSCHVQBHVQZUXEVUQUXCUWQQZVVIVUPVVJAUXCUWQDUUCUUDBCUXCHHYKXDUUEYGUUFUUGU
      UHUUIIYPVAUWMIYPVDVAUWOUWTSIUUJIYPIUUKUWMIUFUULUUMUUNABCUWRIEEFGGUVMUVMHH
      IVVGVVGAUVSGHYQUKQZUWAGHJUUOXDZVVLAVVKUWBUVMIYQUKQVVLNEGHIUUPRZVVMOAEUXJV
      OZUVMQZCGAEUXHVOZUVMQZBGYRVVOCGYRAVVQBGOUUQVVQVVOBCGUXHUXJSVVPVVNUVMUXHUX
      JEUURUUSUUTXDUVAAUWRGGUIUNZUGZDVBZVVRAUWQVVSDAUVSUVSUWQVVSSUWAUWAGGHHJJVH
      RZUVCADVVRUJUKQZVVTVVRQZPAVVRUEQZDVVSVAVWBVWCVRAUVSUVSVWDUWAUWAGGVCRADUWQ
      VVSAHDYSZDUWQVAAHEUVBEUVLZYSZVWEAUVTVWGUWCEHUVDUQDVWFSVWEVWGVRKHDVWFUVEXC
      WJHDUVFUQVWAUVGDVVRVVSVVSVGYTRYOWRLUVHWQWRUWEUWGTUVRUWIUVPUVQUWFUWFVGYTUV
      IUVJUVMUVOUWKUVKXM $.
  $}

  ${
    $d C x $.
    circtopn.i $e |- I = ( 0 [,] ( 2 x. _pi ) ) $.
    circtopn.j $e |- J = ( topGen ` ran (,) ) $.
    circtopn.f $e |- F = ( x e. RR |-> ( exp ` ( _i x. x ) ) ) $.
    circtopn.c $e |- C = ( `' abs " { 1 } ) $.
    $( The topology of the unit circle is generated by open intervals of the
       polar coordinate.  (Contributed by Thierry Arnoux, 4-Jan-2020.) $)
    circtopn $p |- ( J qTop F ) = ( TopOpen ` ( F "s RRfld ) ) $=
      ( co cpw crefld ctopn cfv wceq cuni cr wtru ccms a1i cqtop wss cimas ctop
      pwuni wcel wfo crn ctg retop eqeltri efifo uniretop unieqi eqtr4i qtopuni
      cioo mp2an pweqi sseqtrri cbs eqidd rebase recms imasbas mptru cts retopn
      eqtri eqid imastset eqcomi topnid ax-mp ) ECUAJZBKZUBVOCLUCJZMNOVOVOPZKVP
      VOUEBVREUDUFQBCUGZBVROEUQUHUINZUDGUJUKABCHIULZCEQBQVTPEPUMEVTGUNUOUPURUSU
      TBVOVQBVQVANORBLVQCQSRVQVBZQLVANORVCTZVSRWATZLSUFRVDTZVEVFVQVGNZVOWFVOORB
      LVQCEWFQSWBWCWDWEEVTLMNGVHVIWFVJVKVFVLVMVN $.

    $( The function gluing the real line into the unit circle is continuous.
       (Contributed by Thierry Arnoux, 5-Jan-2020.) $)
    circcn $p |- F e. ( J Cn ( J qTop F ) ) $=
      ( cr ctopon cfv wcel wfn cqtop co ccn cioo crn ctg retopon wfo efifo fofn
      eqeltri ax-mp qtopid mp2an ) EJKLZMCJNZCEECOPQPMERSTLUIGUAUEJBCUBUJABCHIU
      CJBCUDUFCEJUGUH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Refinements
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A f v x $.  $d B f u v x $.  $d V f v x $.
    $( For any cover refinement, there exists a function associating with each
       set in the refinement a set in the original cover containing it.  This
       is sometimes used as a definition of refinement.  Note that this
       definition uses the axiom of choice through ~ ac6sg .  (Contributed by
       Thierry Arnoux, 12-Jan-2020.) $)
    reff $p |- ( A e. V -> ( A Ref B <-> ( U. B C_ U. A
      /\ E. f ( f : A --> B /\ A. v e. A v C_ ( f ` v ) ) ) ) ) $=
      ( vu vx wcel cuni wss cv wral wa wrex eqid adantr nfv nfan simpr syl2anc
      cref wbr wf cfv ssid wceq isref simprbda sseqtrid simplbda wi sseq2 ac6sg
      wex mpd simplr nfra1 simplrl ffvelrnd adantlr simplrr sselda eleq2 rspcev
      jca eluni2 sylib r19.29af sylibr eqelssd ex ralrimi wb ad2antrr mpbir2and
      rspa exlimdv impr impbida ) BEHZBCUAUBZCIZBIZJZBCDKZUCZAKZWGWEUDZJZABLZMZ
      DUNZMVTWAMZWDWLWMWBWBWCWBUEVTWAWBWCUFZWGFKZJZFCNZABLZAFBCEWCWBWCOWBOUGZUH
      UIWMWRWLVTWAWNWRWSUJVTWRWLUKWAWPWIAFBCDEWOWHWGULZUMPUOVEVTWDWLWAVTWDMZWKW
      ADXAWKWAXAWKMZWAWNWRXBGWBWCVTWDWKUPXBGKZWCHZMZXCWOHZFCNZXCWBHXEXCWGHZXGAB
      XBXDAXAWKAXAAQWFWJAWFAQWIABUQRRZXDAQRXEWGBHZMZXHMWHCHZXCWHHZXGXKXLXHXBXJX
      LXDXBXJMZBCWGWEXAWFWJXJURXBXJSZUSZUTPXKWGWHXCXKWJXJWIXBXJWJXDXAWFWJXJVAZU
      TXEXJSWIABVPZTVBXFXMFWHCWOWHXCVCVDTXEXDXHABNXBXDSAXCBVFVGVHFXCCVFVIVJXBWQ
      ABXIXBXJWQXNXLWIWQXPXNWJXJWIXQXOXRTWPWIFWHCWTVDTVKVLVTWAWNWRMVMWDWKWSVNVO
      VKVQVRVS $.
  $}

  ${
    $d J f g j k u v w x $.  $d U f g j k u v w x $.  $d V f g j k u v w x $.
    $d X j k u v w x $.  $d f g j k u v w x ph $.
    locfinref.x $e |- X = U. J $.
    locfinref.1 $e |- ( ph -> U C_ J ) $.
    locfinref.2 $e |- ( ph -> X = U. U ) $.
    locfinref.3 $e |- ( ph -> V C_ J ) $.
    locfinref.4 $e |- ( ph -> V Ref U ) $.
    locfinref.5 $e |- ( ph -> V e. ( LocFin ` J ) ) $.
    $( A locally finite refinement of an open cover induces a locally finite
       open cover with the original index set.  This is fact 2 of
       ~ http://at.yorku.ca/p/a/c/a/02.pdf , it is expressed by exposing a
       function ` f ` from the original cover ` U ` , which is taken as the
       index set.  The solution is constructed by building unions, so the same
       method can be used to prove a similar theorem about closed covers.
       (Contributed by Thierry Arnoux, 29-Jan-2020.) $)
    locfinreflem $p |- ( ph -> E. f ( ( Fun f /\ dom f C_ U /\ ran f C_ J )
      /\ ( ran f Ref U /\ ran f e. ( LocFin ` J ) ) ) ) $=
      ( vv vu vj wss wa wcel wceq cvv vg vw vx vk cfv wral wex wfun cdm crn w3a
      cv wf cref wbr clocfin cuni wb reff syl mpbid simprd ccnv csn cima funmpt
      cmpt a1i eqid dmmptss ad2antlr ctop locfintop ad3antrrr cnvimass ad3antlr
      frn sstrid fdm sseqtrid uniopn syl2anc ralrimiva rnmptss wrex ciun refbas
      sstrd ad2antrr nfv nfra1 nfan nfre1 wfn ffn ad4antlr simplr fnfvelrn ssid
      fniniseg biimpar mpanr2 sylancom ssuni sylancr sselda sneq imaeq2d unieqd
      eleq2d rspcev adantllr simpr r19.29af eluni2 sylib reximd2a mp1i ad5antlr
      vex biimpa simpld ex mpd cin wne crab cfn eqtrd imaexg ax-mp uniex ineq1d
      c0 cdom neeq1d biimpi islocfin sseq1d anbi12d sseldd r19.29an eliun eqrdv
      impbida 3bitr4g dfiun3g 3eqtrd elrnmpt ssrexv sylc nfmpt1 nfrn nfcri rspa
      simp-5r sseqtrd ralrimi unissb sylibr exp31 reximdai rnex mptex mpbir2and
      eqsstrd rnexg isref ffun ad6antlr imafi simp3 cnvex fvmpt 3ad2ant2 fnmpti
      wfo dffn4 mpbi rabfodom cbvrabv breqtrdi rabex nfrab1 nfel1 nfrex ad5antr
      rabid sylanbrc fveqeq2 uniinn0 adantl r19.29af2 ssdomg mpsyl domtr adantr
      ss2rabdv dffn3 ssrab2 fimarab mpan2 breqtrrd domfi imdistanda imp simplll
      3syl simp3d r19.21bi syl3anbrc dmeq rneq 3anbi123d breq1d eleq1d syl32anc
      funeq spcev expl exlimdv ) AEBUAULZUMZMULZUYDUYBUEZPZMEUFZQZUAUGZCULZUHZU
      YJUIZBPZUYJUJZDPZUKZUYNBUNUOZUYNDUPUEZRZQZQZCUGZABUQZEUQZPZUYIAEBUNUOZVUE
      UYIQZKAEUYRRZVUFVUGURLMEBUAUYRUSUTVAVBAUYHVUBUAAUYCUYGVUBAUYCQZUYGQZNUYBU
      JZUYBVCZNULZVDZVEZUQZVGZUHZVUQUIZBPZVUQUJZDPZVVABUNUOZVVAUYRRZVUBVURVUJNV
      UKVUPVFVHVUJVUSVUKBNVUKVUPVUQVUQVIZVJUYCVUKBPZAUYGEBUYBVQZVKVRVUJVUPDRZNV
      UKUFZVVBVUJVVHNVUKVUJVUMVUKRZQZDVLRZVUODPVVHAVVLUYCUYGVVJAVUHVVLLEDVMUTZV
      NVVKVUOEDVVKUYBUIZVUOEUYBVUNVOUYCVVNESAUYGVVJEBUYBVSVPVTZAEDPUYCUYGVVJJVN
      WHVUODWAWBWCZNVUKVUPDVUQVVEWDUTVUJVVCVUCVVAUQZSZUBULZVUMPZNBWEZUBVVAUFZVU
      JVUCVUDNVUKVUPWFZVVQAVUCVUDSZUYCUYGAVUFVWDKEBVUDVUCVUDVIZVUCVIZWGUTWIVUJU
      CVUDVWCVUJUCULZUYDRZMEWEZVWGVUPRZNVUKWEZVWGVUDRVWGVWCRVUJVWIVWKVUJVWIQVWH
      VWKMEVUJVWIMVUIUYGMVUIMWJUYFMEWKWLZVWHMEWMWLVUJUYDERZVWHVWKVWIVUJVWMQZVWH
      QZUYEVUKRZVWGVULUYEVDZVEZUQZRZVWKVWOUYBEWNZVWMVWPUYCVXAAUYGVWMVWHEBUYBWOZ
      WPVUJVWMVWHWQEUYDUYBWRWBVWNUYDVWSVWGVWNUYDUYDPUYDVWRRZUYDVWSPUYDWSVUJVWMV
      XAVXCUYCVXAAUYGVWMVXBVPVXAVWMUYEUYESZVXCUYEVIVXAVXCVWMVXDQEUYEUYDUYBWTXAX
      BXCUYDUYDVWRXDXEXFVWJVWTNUYEVUKVUMUYESZVUPVWSVWGVXEVUOVWRVXEVUNVWQVULVUMU
      YEXGXHXIXJXKWBXLVUJVWIXMXNVUJVWJVWINVUKVVKVWJQZVWHVWHMVUOEVVKVWJMVUJVVJMV
      WLVVJMWJWLVWJMWJWLVXFUYDVUORZQZVWHQVUOEUYDVVKVUOEPVWJVXGVWHVVOVNVXFVXGVWH
      WQUUAVXHVWHXMVXFVWJVWHMVUOWEVVKVWJXMMVWGVUOXOXPXQUUBUUEMVWGEXONVWGVUKVUPU
      UCUUFUUDVUJVVIVWCVVQSVVPNVUKVUPDUUGUTUUHZVUJVWAUBVVAVUJVVSVVARZQZVVSVUPSZ
      NBWEZVWAVXKVVFVXLNVUKWEZVXMUYCVVFAUYGVXJVVGVPVUJVXJVXNVVSTRVXJVXNURVUJUBX
      TNVUKVUPVVSVUQTVVEUUIXRYAVXLNVUKBUUJUUKVXKVXLVVTNBVUJVXJNVUJNWJNUBVVANVUQ
      NVUKVUPUULUUMUUNWLVXKVUMBRZVXLVVTVXKVXOQZVXLQZVVSVUPVUMVXPVXLXMVXQUYDVUMP
      ZMVUOUFVUPVUMPVXQVXRMVUOVXPVXLMVXKVXOMVUJVXJMVWLVXJMWJWLVXOMWJWLVXLMWJWLV
      XQVXGVXRVXQVXGQZUYDUYEVUMVXSUYGVWMUYFVUIUYGVXJVXOVXLVXGUUPVXSVWMUYEVUMSZV
      XQVXGVWMVXTQZVXQVXAVXGVYAURUYCVXAAUYGVXJVXOVXLVXBXSEVUMUYDUYBWTUTYAZYBUYF
      MEUUOWBVXSVWMVXTVYBVBUUQYCUURMVUOVUMUUSUUTUVFUVAUVBYDWCVUJVVATRZVVCVVRVWB
      QURVUQTRVYCVUJNVUKVUPUYBUAXTZUVCZUVDZVUQTUVGXRUBNVVABTVVQVUCVVQVIZVWFUVHU
      TUVEVUJVVLFVVQSVWHVVSUYDYEZYNYFZUBVVAYGZYHRZQZMDWEZUCFUFVVDAVVLUYCUYGVVMW
      IVUJFVUCVVQAFVUCSUYCUYGIWIVXIYIVUJVYMUCFVUJVWGFRZQZVWHOULZUYDYEYNYFZOEYGZ
      YHRZQZVYLMDDVUJVYNMVWLVYNMWJWLVYOUYDDRZVYTWQVYOWUAQZVYTVYLWUBVWHVYSVYKWUB
      VWHQZVYSVYKWUCVYSQZUYBVYRVEZYHRZVYJWUEYOUOVYKWUCVYSUYBUHZWUFUYCWUGAUYGVYN
      WUAVWHVYSEBUYBUVIUVJUYBVYRUVKXCWUDVYJUDULZUYBUEVUMSZUDVYRWEZNVUKYGZWUEYOW
      UDVYJVUPUYDYEZYNYFZNVUKYGZYOUOWUNWUKYOUOZVYJWUKYOUOWUDVYJVULWUHVDZVEZUQZU
      YDYEZYNYFZUDVUKYGWUNYOWUDWUTVYIUDUBVUKVVAVUQTWUDWUHVUKRZVVSWUHVUQUEZSZUKZ
      VYHWUSYNWVDVVSWURUYDWVDVVSWVBWURWUDWVAWVCUVLWVAWUDWVBWURSWVCNWUHVUPWURVUK
      VUQVUMWUHSZVUOWUQWVEVUNWUPVULVUMWUHXGXHXIVVEWUQVULTRZWUQTRUYBVYDUVMZVULWU
      PTYJYKYLUVNUVOYIYMYPVUKTRWUDVYEVHVUKVVAVUQUVQZWUDVUQVUKWNWVHNVUKVUPVUQVUO
      WVFVUOTRWVGVULVUNTYJYKYLVVEUVPVUKVUQUVRUVSVHUVTWUTWUMUDNVUKWUHVUMSZWUSWUL
      YNWVIWURVUPUYDWVIWUQVUOWVIWUPVUNVULWUHVUMXGXHXIYMYPUWAUWBWUKTRWUDWUNWUKPW
      UOWUJNVUKVYEUWCWUDWUMWUJNVUKWUDVVJQZWUMWUJWVJWUMQZVYQWUJOVUOWVJWUMOWUDVVJ
      OWUCVYSOWUCOWJOVYRYHVYQOEUWDZUWEWLVVJOWJWLWUMOWJWLWUIOUDVYRWVLWUIOWJUWFWV
      KVYPVUORZQZVYQQZVYPVYRRZVYPUYBUEVUMSZWUJWVOVYPERZVYQWVPWVOWVRWVQWVOVXAWVM
      WVRWVQQZWUCVXAVYSVVJWUMWVMVYQUYCVXAAUYGVYNWUAVWHVXBXSZUWGWVKWVMVYQWQVXAWV
      MWVSEVUMVYPUYBWTYAWBZYBWVNVYQXMVYQOEUWHUWIWVOWVRWVQWWAVBWUIWVQUDVYPVYRWUH
      VYPVUMUYBUWJXKWBWUMVYQOVUOWEZWVJWUMWWBOVUOUYDUWKYQUWLUWMYCUWRWUNWUKTUWNUW
      OVYJWUNWUKUWPWBWUDVXAEVUKUYBUMZWUEWUKSZWUCVXAVYSWVTUWQVXAWWCEUYBUWSYQWWCV
      YREPWWDVYQOEUWTUDNEVUKUYBVYRUXAUXBUXHUXCWUEVYJUXDWBYCUXEUXFVUJVYNAVYTMDWE
      ZAUYCUYGVYNUXGAWWEUCFAVVLFVUDSZWWEUCFUFZAVUHVVLWWFWWGUKLUCEMDFVUDOGVWEYRX
      PUXIUXJXCXQWCUCVVAMDFVVQUBGVYGYRUXKVUAVURVUTVVBUKZVVCVVDQZQCVUQVYFUYJVUQS
      ZUYPWWHUYTWWIWWJUYKVURUYMVUTUYOVVBUYJVUQUXRWWJUYLVUSBUYJVUQUXLYSWWJUYNVVA
      DUYJVUQUXMZYSUXNWWJUYQVVCUYSVVDWWJUYNVVABUNWWKUXOWWJUYNVVAUYRWWKUXPYTYTUX
      SUXQUXTUYAYD $.

    $d n s x $.
    $( A locally finite refinement of an open cover induces a locally finite
       open cover with the original index set.  This is fact 2 of
       ~ http://at.yorku.ca/p/a/c/a/02.pdf , it is expressed by exposing a
       function ` f ` from the original cover ` U ` , which is taken as the
       index set.  (Contributed by Thierry Arnoux, 31-Jan-2020.) $)
    locfinref $p |- ( ph
      -> E. f ( f : U --> J /\ ran f Ref U /\ ran f e. ( LocFin ` J ) ) ) $=
      ( wf cref wcel c0 wceq wa cvv adantr vx vn vs crn wbr clocfin cfv w3a wex
      vg cv f0 simpr feq2d mpbiri rn0 0ex refref eqbrtri breqtrrid csn ctop cin
      ax-mp wne crab cfn wrex wral sn0top a1i eqidd ral0 cuni unisn eqcomi uni0
      unieqi eqtr2i islocfin syl3anbrc unieqd eqtrd 3eqtr3g locfintop 0top 3syl
      mpbid fveq2d eleqtrrd feq1 rneq breq1d eleq1d 3anbi123d spcev syl3anc cdm
      wfun wss locfinreflem cdif cxp cun simpl simprl1 fdmrn sylib simprl3 fssd
      wb fconstg mp1i 0opn ad2antrr snssd disjdif fun2 syl21anc simprl2 simprrl
      undif eqbrtrd simprd refun0 syl2anc wo rnxpss sssn mpbi rnun uneq2 syl5eq
      un0 eqtrdi orim12i mpjaodan simprrr eqeltrd snfi unissd wi brrelex2i p0ex
      lfinun refrel difexg xpexg mpan2 unexg mpan spcegv 4syl syl13anc exlimddv
      vex imp pm2.61dane ) ABDCUKZMZUUSUDZBNUEZUVADUFUGZOZUHZCUIZBPABPQZRZBDPMZ
      PUDZBNUEZUVJUVCOZUVFUVHUVIPDPMDULUVHBPDPAUVGUMZUNUOUVHUVJPBNUVJPPNUPPSOZP
      PNUEUQPSURVDUSUVMUTUVHUVJPVAZUFUGZUVCUVHUVOVBOZPPQUAUKUBUKZOUCUKUVRVCPVEU
      CUVJVFVGORUBUVOVHZUAPVIZUVJUVPOUVQUVHVJVKUVHPVLUVTUVHUVSUAVMVKUAUVJUBUVOP
      PUCUVOVNZPPUQVOVPUVJVNPVNZPUVJPUPVRVQVSVTWAUVHDUVOUFUVHDVNZPQZDUVOQZUVHFU
      WBUWCPUVHFBVNZUWBAFUWFQUVGITUVHBPUVMWBWCGVQWDAUWDUWEXKZUVGAEUVCOZDVBOZUWG
      LEDWEZDWFWGTWHWIWJUVEUVIUVKUVLUHCPUQUUSPQZUUTUVIUVBUVKUVDUVLBDUUSPWKUWKUV
      AUVJBNUUSPWLZWMUWKUVAUVJUVCUWLWNWOWPWQABPVEZRZUJUKZWSZUWOWRZBWTZUWOUDZDWT
      ZUHZUWSBNUEZUWSUVCOZRZRZUVFUJAUXEUJUIUWMABUJDEFGHIJKLXATUWNUXERZUWNBDUWOB
      UWQXBZUVOXCZXDZMZUXIUDZBNUEZUXKUVCOZUVFUWNUXEXEZUXFUWQUXGXDZDUXIMZUXJUXFU
      WQDUWOMUXGDUXHMUWQUXGVCPQZUXPUXFUWQUWSDUWOUXFUWPUWQUWSUWOMUWPUWRUWTUXDUWN
      XFUWOXGXHUWPUWRUWTUXDUWNXIXJUXFUXGUVODUXHUVNUXGUVOUXHMUXFUQUXGPSXLXMUXFPD
      APDOZUWMUXEAUWHUWIUXRLUWJDXNWGXOZXPXJUXQUXFUWQBXQVKUWQUXGDUWOUXHXRXSUXFUX
      OBDUXIUXFUWRUXOBQUWPUWRUWTUXDUWNXTUWQBYBXHUNWHUXFUXKUWSQZUXLUXKUWSUVOXDZQ
      ZUXFUXTRZUXKUWSBNUXFUXTUMZUXFUXBUXTUWNUXAUXBUXCYAZTYCUXFUYBRZUXKUYABNUXFU
      YBUMZUXFUYABNUEZUYBUXFUXBUWMUYHUYEUXFAUWMUXNYDUWSBYEYFTYCUXHUDZPQZUYIUVOQ
      ZYGZUXTUYBYGUXFUYIUVOWTUYLUXGUVOYHUYIPYIYJUYJUXTUYKUYBUYJUXKUWSPXDZUWSUYJ
      UXKUWSUYIXDZUYMUWOUXHYKZUYIPUWSYLYMUWSYNYOUYKUXKUYNUYAUYOUYIUVOUWSYLYMYPX
      MZYQUXFUXTUXMUYBUYCUXKUWSUVCUYDUXFUXCUXTUWNUXAUXBUXCYRZTYSUYFUXKUYAUVCUYG
      UYFUXCUVOVGOZUWAUWCWTUYAUVCOUXFUXCUYBUYQTUYRUYFPYTVKUYFUVODUYFPDUXFUXRUYB
      UXSTXPUUAUWSUVODUUEWQYSUYPYQUWNUXJUXLUXMUHZUVFUWNUXGSOZUXHSOZUXISOZUYSUVF
      UUBAUYTUWMAEBNUEBSOUYTKEBNUUFUUCBUWQSUUGWGTUYTUVOSOVUAUUDUXGUVOSSUUHUUIUW
      OSOVUAVUBUJUUPUWOUXHSSUUJUUKUVEUYSCUXISUUSUXIQZUUTUXJUVBUXLUVDUXMBDUUSUXI
      WKVUCUVAUXKBNUUSUXIWLZWMVUCUVAUXKUVCVUDWNWOUULUUMUUQUUNUUOUUR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Open cover refinement property
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c CovHasRef $.

  $( The "every open cover has an ` A ` refinement" predicate. $)
  ccref $a class CovHasRef A $.

  ${
    $d A j y z $.
    $( Define a statement "every open cover has an ` A ` refinement" , where
       ` A ` is a property for refinements like "finite", "countable", "point
       finite" or "locally finite".  (Contributed by Thierry Arnoux,
       7-Jan-2020.) $)
    df-cref $a |- CovHasRef A = { j e. Top | A. y e. ~P j ( U. j = U. y
        -> E. z e. ( ~P j i^i A ) z Ref y ) } $.
  $}

  ${
    $d A j y z $.  $d J j y z $.  $d X j $.  $d j y z $.
    iscref.x $e |- X = U. J $.
    $( The property that every open cover has an ` A ` refinement for the
       topological space ` J ` .  (Contributed by Thierry Arnoux,
       7-Jan-2020.) $)
    iscref $p |- ( J e. CovHasRef A <-> ( J e. Top /\ A. y e. ~P J ( X = U. y
      -> E. z e. ( ~P J i^i A ) z Ref y ) ) ) $=
      ( vj cv cuni wceq cref wbr cpw cin wrex wi wral ctop ccref pweq raleqbidv
      unieq eqtr4di eqeq1d ineq1d rexeqdv imbi12d df-cref elrab2 ) GHZIZAHZIZJZ
      BHULKLZBUJMZCNZOZPZAUPQEUMJZUOBDMZCNZOZPZAVAQGDRCSUJDJZUSVDAUPVAUJDTZVEUN
      UTURVCVEUKEUMVEUKDIEUJDUBFUCUDVEUOBUQVBVEUPVACVFUEUFUGUAABCGUHUI $.
  $}

  ${
    $d A j y z $.  $d B j y z $.
    $( Equality theorem for the "every open cover has an A refinement"
       predicate.  (Contributed by Thierry Arnoux, 7-Jan-2020.) $)
    crefeq $p |- ( A = B -> CovHasRef A = CovHasRef B ) $=
      ( vj vy vz wceq cv cuni cref wbr cpw wrex wi wral ctop crab ccref df-cref
      cin ineq2 rexeqdv imbi2d ralbidv rabbidv 3eqtr4g ) ABFZCGZHDGZHFZEGUHIJZE
      UGKZASZLZMZDUKNZCOPUIUJEUKBSZLZMZDUKNZCOPAQBQUFUOUSCOUFUNURDUKUFUMUQUIUFU
      JEULUPABUKTUAUBUCUDDEACRDEBCRUE $.
  $}

  ${
    $d A y z $.  $d J y z $.
    $( A space where every open cover has an ` A ` refinement is a topological
       space.  (Contributed by Thierry Arnoux, 7-Jan-2020.) $)
    creftop $p |- ( J e. CovHasRef A -> J e. Top ) $=
      ( vy vz ccref wcel ctop cuni cv wceq cref wbr cpw cin wrex wi wral iscref
      eqid simplbi ) BAEFBGFBHZCIZHJDIUBKLDBMZANOPCUCQCDABUAUASRT $.

    $d C y z $.  $d X y $.
    crefi.x $e |- X = U. J $.
    $( The property that every open cover has an ` A ` refinement for the
       topological space ` J ` .  (Contributed by Thierry Arnoux,
       7-Jan-2020.) $)
    crefi $p |- ( ( J e. CovHasRef A /\ C C_ J /\ X = U. C )
      -> E. z e. ( ~P J i^i A ) z Ref C ) $=
      ( vy ccref wcel wss cuni wceq w3a cpw cv cref wbr cin wrex wi simp1 simp2
      wral sselpwd ctop iscref simprbi simp3 unieq eqeq2d breq2 rexbidv imbi12d
      3ad2ant1 rspcv syl3c ) DBHZIZCDJZECKZLZMZCDNZIEGOZKZLZAOZVDPQZAVCBRZSZTZG
      VCUCZVAVGCPQZAVISZVBCDUQURUSVAUAURUSVAUBUDURUSVLVAURDUEIVLGABDEFUFUGUNURU
      SVAUHVKVAVNTGCVCVDCLZVFVAVJVNVOVEUTEVDCUIUJVOVHVMAVIVDCVGPUKULUMUOUP $.

    crefdf.b $e |- B = CovHasRef A $.
    crefdf.p $e |- ( z e. A -> ph ) $.
    $( A formulation of ~ crefi easier to use for definitions.  (Contributed by
       Thierry Arnoux, 7-Jan-2020.) $)
    crefdf $p |- ( ( J e. B /\ C C_ J /\ X = U. C )
      -> E. z e. ~P J ( ph /\ z Ref C ) ) $=
      ( wcel wss cuni wceq w3a cv cref wbr wrex wa cpw cin ccref crefi syl3an1b
      eleq2i elin anim2i sylbi anim1i anass sylib reximi2 syl ) FDKZEFLZGEMNZOB
      PZEQRZBFUAZCUBZSZAUSTZBUTSUOFCUCZKUPUQVBDVDFIUFBCEFGHUDUEUSVCBVAUTURVAKZU
      STURUTKZATZUSTVFVCTVEVGUSVEVFURCKZTVGURUTCUGVHAVFJUHUIUJVFAUSUKULUMUN $.
  $}

  ${
    $d A j y z $.  $d B j y z $.
    $( The "every open cover has an ` A ` refinement" predicate respects
       inclusion.  (Contributed by Thierry Arnoux, 7-Jan-2020.) $)
    crefss $p |- ( A C_ B -> CovHasRef A C_ CovHasRef B ) $=
      ( vj vy vz wss ccref cv ctop wcel cuni wceq cref wbr cin wrex wral iscref
      wi wa cpw sslin ssrexv syl imim2d ralimdv anim2d eqid 3imtr4g ssrdv ) ABF
      ZCAGZBGZUKCHZIJZUNKZDHZKLZEHUQMNZEUNUAZAOZPZSZDUTQZTUOURUSEUTBOZPZSZDUTQZ
      TUNULJUNUMJUKVDVHUOUKVCVGDUTUKVBVFURUKVAVEFVBVFSABUTUBUSEVAVEUCUDUEUFUGDE
      AUNUPUPUHZRDEBUNUPVIRUIUJ $.
  $}

  ${
    $( TODO shorten using ~ reff $)
    $d f j u v x y z $.
    $( Equivalent definition of compact space in terms of open cover
       refinements.  Compact spaces are topologies with finite open cover
       refinements.  (Contributed by Thierry Arnoux, 7-Jan-2020.) $)
    cmpcref $p |- Comp = CovHasRef Fin $=
      ( vy vx vz vf vu vv cfn cv wcel cuni wceq wrex wi wral wa cref wss simplr
      syl eqid vj ccmp ccref ctop cpw cin wbr sylib simpld elpwi ad4antlr sstrd
      velpw sylibr simprd elind simpr simpllr eqtr3d ssref syl3anc breq1 rspcev
      elin syl2anc r19.29an wf cfv wex cvv vex isref ax-mp simprbi adantl sseq2
      wb sylc crn frnd rnex elpw wfn ffnd fnfi rnfi simp-5r refbas ad3antlr nfv
      ac6sg nfra1 nfan rspa adantll sseld reximdai eluni2 fnunirn 3imtr4d ssrdv
      ex a1i eqsstrd unissd eqssd eqtrd unieq rspceeqv expl exlimdv mpd impbida
      pm5.74da ralbidva pm5.32i iscmp iscref 3bitr4i eqriv ) UAUBGUCZUAHZUDIZYB
      JZAHZJZKZYDBHZJZKZBYEUEZGUFZLZMZAYBUEZNZOYCYGCHZYEPUGZCYOGUFZLZMZAYONZOYB
      UBIYBYAIYCYPUUBYCYNUUAAYOYCYEYOIZOZYGYMYTUUDYGOZYMYTUUEYJYTBYLUUEYHYLIZOZ
      YJOZYHYSIYHYEPUGZYTUUHYOGYHUUHYHYBQYHYOIZUUHYHYEYBUUHYHYKIZYHYEQZUUHUUKYH
      GIZUUHUUFUUKUUMOUUEUUFYJRYHYKGVDUHZUIYHYEUJSZUUCYEYBQYCYGUUFYJYEYBUJUKULB
      YBUMUNZUUHUUKUUMUUNUOUPUUHUUJUULYIYFKUUIUUPUUOUUHYDYIYFUUGYJUQUUDYGUUFYJU
      RUSYHYEYOYIYFYITYFTZUTVAYRUUICYHYSYQYHYEPVBVCVEVFUUEYRYMCYSUUEYQYSIZOZYRO
      ZYQYEDHZVGZEHZUVCUVAVHZQZEYQNZOZDVIZYMUUTUURUVCFHZQZFYELEYQNZUVHUUEUURYRR
      YRUVKUUSYRYFYQJZKZUVKYQVJIYRUVMUVKOVQCVKEFYQYEVJUVLYFUVLTZUUQVLVMVNVOUVJU
      VEEFYQYEDYSUVIUVDUVCVPWKVRUUTUVGYMDUUTUVBUVFYMUUTUVBOZUVFOZUVAVSZYLIYDUVQ
      JZKYMUVPYKGUVQUVPUVQYEQUVQYKIUVPYQYEUVAUUTUVBUVFRZVTZUVQYEUVADVKWAWBUNUVP
      UVAGIZUVQGIUVPUVAYQWCZYQGIZUWAUVPYQYEUVAUVSWDZUURUWCUUEYRUVBUVFUURYQYOIUW
      CYQYOGVDVNUKYQUVAWEVEUVAWFSUPUVPYDYFUVRUUDYGUURYRUVBUVFWGUVPYFUVRUVPYFUVL
      UVRYRUVMUUSUVBUVFYQYEUVLYFUVNUUQWHWIUVPBUVLUVRUVPYHUVCIZEYQLZYHUVDIZEYQLZ
      YHUVLIZYHUVRIZUVPUWEUWGEYQUVOUVFEUVOEWJUVEEYQWLWMUVPUVCYQIZUWEUWGMUVPUWKO
      UVCUVDYHUVFUWKUVEUVOUVEEYQWNWOWPXBWQUWIUWFVQUVPEYHYQWRXCUVPUWBUWJUWHVQUWD
      EYHUVAYQWSSWTXAXDUVPUVQYEUVTXEXFXGBUVQYLYIUVRYDYHUVQXHXIVEXJXKXLVFXMXNXOX
      PABYBYDYDTZXQACGYBYDUWLXRXSXT $.
  $}

  ${
    $d J v $.  $d U v $.
    cmpfiref.x $e |- X = U. J $.
    $( Every open cover of a Compact space has a finite refinement.
       (Contributed by Thierry Arnoux, 1-Feb-2020.) $)
    cmpfiref $p |- ( ( J e. Comp /\ U C_ J /\ X = U. U )
      -> E. v e. ~P J ( v e. Fin /\ v Ref U ) ) $=
      ( cv cfn wcel ccmp cmpcref id crefdf ) AFGHZAGIBCDEJMKL $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Lindel&ouml;f spaces
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c Ldlf $.

  $( Extend class notation with the class of all Lindel&ouml;f spaces. $)
  cldlf $a class Ldlf $.

  $( Definition of a Lindel&ouml;f space.  A Lindel&ouml;f space is a
     topological space in which every open cover has a countable subcover.
     Definition 1 of [BourbakiTop2] p. 195.  (Contributed by Thierry Arnoux,
     30-Jan-2020.) $)
  df-ldlf $a |- Ldlf = CovHasRef { x | x ~<_ _om } $.

  ${
    $d J v $.  $d U v $.  $d v x $.
    ldlfcntref.x $e |- X = U. J $.
    $( Every open cover of a Lindel&ouml;f space has a countable refinement.
       (Contributed by Thierry Arnoux, 1-Feb-2020.) $)
    ldlfcntref $p |- ( ( J e. Ldlf /\ U C_ J /\ X = U. U )
      -> E. v e. ~P J ( v ~<_ _om /\ v Ref U ) ) $=
      ( vx cv com cdom wbr cab cldlf df-ldlf wcel vex breq1 elab biimpi crefdf
      ) AGZHIJZAFGZHIJZFKZLBCDEFMTUDNUAUCUAFTAOUBTHIPQRS $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Paracompact spaces
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c Paracomp $.

  $( Extend class notation with the class of all paracompact topologies. $)
  cpcmp $a class Paracomp $.

  $( Definition of a paracompact topology.  A topology is said to be
     paracompact iff every open cover has an open refinement that is locally
     finite.  The definition 6 of [BourbakiTop1] p.  I.69. also requires the
     topology to be Hausdorff, but this is dropped here.  (Contributed by
     Thierry Arnoux, 7-Jan-2020.) $)
  df-pcmp $a |- Paracomp = { j | j e. CovHasRef ( LocFin ` j ) } $.

  ${
    $d J j $.
    $( The predicate "is a paracompact topology".  (Contributed by Thierry
       Arnoux, 7-Jan-2020.) $)
    ispcmp $p |- ( J e. Paracomp <-> J e. CovHasRef ( LocFin ` J ) ) $=
      ( vj cpcmp wcel cvv clocfin cfv ccref elex cv id fveq2 crefeq syl eleq12d
      wceq df-pcmp elab2g pm5.21nii ) ACDAEDAAFGZHZDZACIAUAIBJZUCFGZHZDUBBACEUC
      APZUCAUEUAUFKUFUDTPUEUAPUCAFLUDTMNOBQRS $.
  $}

  ${
    $d J y z $.
    $( Every compact space is paracompact.  (Contributed by Thierry Arnoux,
       7-Jan-2020.) $)
    cmppcmp $p |- ( J e. Comp -> J e. Paracomp ) $=
      ( vy vz ccmp wcel ctop cuni cv wceq cin wrex wi wral ccref wa eqid iscref
      cfn bitri ex cref wbr cpw clocfin cfv cpcmp cmptop cmpcref eleq2i simprbi
      simprl sylib simpld ad3antrrr simprd simplr simprr refbas eqtrd finlocfin
      elin syl syl3anc elind jca reximdv2 a2d ralimdva mpd ispcmp sylanbrc ) AD
      EZAFEZAGZBHZGZIZCHZVOUAUBZCAUCZAUDUEZJZKZLZBVTMZAUFEZAUGZVLVQVSCVTRJZKZLZ
      BVTMZWEVLVMWKVLARNZEVMWKODWLAUHUIBCRAVNVNPZQSUJVLWJWDBVTVLVOVTEZOZVQWIWCW
      OVQWIWCLWOVQOZVSVSCWHWBWPVRWHEZVSOZVRWBEZVSOWPWROZWSVSWTVTWAVRWTVRVTEZVRR
      EZWTWQXAXBOWPWQVSUKVRVTRVAULZUMWTVMXBVNVRGZIVRWAEVLVMWNVQWRWGUNWTXAXBXCUO
      WTVNVPXDWOVQWRUPWTVSVPXDIWPWQVSUQZVRVOXDVPXDPZVPPURVBUSVRAVNXDWMXFUTVCVDX
      EVETVFTVGVHVIWFAWANEVMWEOAVJBCWAAVNWMQSVK $.
  $}

  ${
    $d V v y z $.  $d X u v x z $.  $d X v y z $.
    $( Every discrete space is paracompact.  (Contributed by Thierry Arnoux,
       7-Jan-2020.) $)
    dispcmp $p |- ( X e. V -> ~P X e. Paracomp ) $=
      ( vy vz vu vx vv wcel cpw cv cuni wceq cref wbr wrex wa csn simpr syl2anc
      ad2antrr clocfin cfv ccref ctop cin wi wral distop cab wss snelpwi adantr
      cpcmp eqeltrd rexlimiva abssi wb simpl sneqd cbvrexdva cbvabv dissnlocfin
      eqeq12d elpwg syl mpbiri elind simpll eqcomd dissnref rspcev ex ralrimiva
      breq1 unipw eqcomi iscref sylanbrc ispcmp sylibr ) BAHZBIZWBUAUBZUCHZWBUM
      HWAWBUDHBCJZKZLZDJZWEMNZDWBIZWCUEZOZUFZCWJUGWDBAUHWAWMCWJWAWEWJHZPZWGWLWO
      WGPZEJZFJZQZLZFBOZEUIZWKHXBWEMNZWLWPWJWCXBWAXBWJHZWNWGWAXDXBWBUJZXAEWBWTW
      QWBHFBWRBHZWTPWQWSWBXFWTRXFWSWBHWTWRBUKULUNUOUPWAXBWCHZXDXEUQDGXBABXAGJZW
      HQZLZDBOEGWQXHLZWTXJFDBXKWRWHLZPZWQXHWSXIXKXLURXMWRWHXKXLRUSVCUTVAZVBZXBW
      BWCVDVEVFTWAXGWNWGXOTVGWPWAWFBLXCWAWNWGVHWPBWFWOWGRVIDGXBABWEXNVJSWIXCDXB
      WKWHXBWEMVNVKSVLVMCDWCWBBWBKBBVOVPVQVRWBVSVT $.
  $}

  ${
    $d J u v $.  $d U u v $.  $d X u $.
    pcmplfin.x $e |- X = U. J $.
    $( Given a paracompact topology ` J ` and an open cover ` U ` , there
       exists an open refinement ` v ` that is locally finite.  (Contributed by
       Thierry Arnoux, 31-Jan-2020.) $)
    pcmplfin $p |- ( ( J e. Paracomp /\ U C_ J /\ X = U. U )
      -> E. v e. ~P J ( v e. ( LocFin ` J ) /\ v Ref U ) ) $=
      ( vu cpcmp wcel wss cuni wceq w3a cv cref wbr cpw wrex wa wi cvv cfv wral
      clocfin ssexg ancoms 3adant3 simp2 elpwd ctop ccref ispcmp iscref simprbi
      bitri 3ad2ant1 simp3 unieq eqeq2d breq2 rexbidv imbi12d rspcv syl3c rexin
      cin sylib ) CGHZBCIZDBJZKZLZAMZBNOZACPZCUCUAZVEZQZVLVOHVMRAVNQVKBVNHDFMZJ
      ZKZVLVRNOZAVPQZSZFVNUBZVJVQVKBCTVGVHBTHZVJVHVGWEBCGUDUEUFVGVHVJUGUHVGVHWD
      VJVGCUIHZWDVGCVOUJHWFWDRCUKFAVOCDEULUNUMUOVGVHVJUPWCVJVQSFBVNVRBKZVTVJWBV
      QWGVSVIDVRBUQURWGWAVMAVPVRBVLNUSUTVAVBVCVMAVNVOVDVF $.

    $d J f $.  $d U f $.  $d X f v $.
    $( Given a paracompact topology ` J ` and an open cover ` U ` , there
       exists an open refinement ` ran f ` that is locally finite, using the
       same index as the original cover ` U ` .  (Contributed by Thierry
       Arnoux, 31-Jan-2020.) $)
    pcmplfinf $p |- ( ( J e. Paracomp /\ U C_ J /\ X = U. U )
      -> E. f ( f : U --> J /\ ran f Ref U /\ ran f e. ( LocFin ` J ) ) ) $=
      ( vv cpcmp wcel wss cuni wceq w3a cv clocfin cfv cref wbr wa wf crn elpwi
      wex cpw simpll2 simpll3 ad2antlr simprr simprl locfinref pcmplfin r19.29a
      ) CGHZACIZDAJKZLZFMZCNOZHZUPAPQZRZACBMZSVATZAPQVBUQHLBUBFCUCZUOUPVCHZRZUT
      RABCUPDEULUMUNVDUTUDULUMUNVDUTUEVDUPCIUOUTUPCUAUFVEURUSUGVEURUSUHUIFACDEU
      JUK $.
  $}

$(
  @{
    @( Every paracompact Hausdorff space is regular.  (Contributed by Thierry
       Arnoux, 30-Jan-2020.) @)
    pcmpreg @p |- ( ( J e. Paracomp /\ J e. Haus ) -> J e. Reg ) @=
      ? @.

    @( Every paracompact Hausdorff space is normal.  Dieudonn&eacute;'s
       theorem.  (Contributed by Thierry Arnoux, 9-Jan-2020.) @)
    pcmpnrm @p |- ( ( J e. Paracomp /\ J e. Haus ) -> J e. Nrm ) @=
      ? @.
  @}
$)

$(
  @{
    metpcmp.1 @e |- J = ( MetOpen ` D ) @.
    @( Stone's Theorem : Every metric space is normal.  There is a 'short'
       proof in https://www.ams.org/journals/proc/
       1969-020-02/S0002-9939-1969-0236876-3/S0002-9939-1969-0236876-3.pdf
       (Contributed by Thierry Arnoux, 9-Jan-2020.) @)
    metpcmp @p |- ( D e. ( *Met ` X ) -> J e. Paracomp ) @=
      ? @.
  @}

  @{
    @( Every locally compact Hausdorff second-countable space is paracompact.
       (Contributed by Thierry Arnoux, 7-Jan-2020.) @)
    2ndcpcmp @p |- ( ( J e. N-Locally Comp /\ J e. Haus /\ J e. 2ndc )
      -> J e. Paracomp ) @=
      ? @.
  @}
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Spectrum of a ring
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  The prime ideals of a ring ` R ` can be endowed with the Zariski topology.
  This is done by defining a function ` V ` which maps ideals of ` R ` to
  closed sets (see for example ~ zarcls0 for the definition of ` V ` ).

  The closed sets of the topology are in the range of ` V ` (see ~ zartopon ).

  The correspondence with the open sets is made in ~ zarcls .

  As proved in ~ zart0 , the Zariski topology is T_0 , but generally not T_1 .
$)

  $( Extend class notation with the spectrum of a ring. $)
  crspec $a class Spec $.

  $( Define the spectrum of a ring.  (Contributed by Thierry Arnoux,
     21-Jan-2024.) $)
  df-rspec $a |- Spec = ( r e. Ring |-> ( ( IDLsrg ` r ) |`s ( PrmIdeal ` r )
    ) ) $.

  ${
    $d R r $.
    $( Value of the spectrum of the ring ` R ` .  Notation 1.1.1 of [EGA]
       p. 80.  (Contributed by Thierry Arnoux, 2-Jun-2024.) $)
    rspecval $p |- ( R e. Ring
                 -> ( Spec ` R ) = ( ( IDLsrg ` R ) |`s ( PrmIdeal ` R ) ) ) $=
      ( vr cv cidlsrg cfv cprmidl cress co crg wceq fveq2 oveq12d df-rspec ovex
      crspec fvmpt ) BABCZDEZQFEZGHADEZAFEZGHIOQAJRTSUAGQADKQAFKLBMTUAGNP $.
  $}

  ${
    rspecbas.1 $e |- S = ( Spec ` R ) $.
    $( The prime ideals form the base of the spectrum of a ring.  (Contributed
       by Thierry Arnoux, 2-Jun-2024.) $)
    rspecbas $p |- ( R e. Ring -> ( PrmIdeal ` R ) = ( Base ` S ) ) $=
      ( crg wcel cprmidl cfv cidlsrg cress cbs wceq clidl prmidlssidl idlsrgbas
      co wss eqid sseqtrd ressbas2 syl crspec rspecval syl5eq fveq2d eqtr4d ) A
      DEZAFGZAHGZUGIOZJGZBJGUFUGUHJGZPUGUJKUFUGALGZUKAMAUHULDUHQULQNRUGUKUIUHUI
      QUKQSTUFBUIJUFBAUAGUICAUBUCUDUE $.

    ${
      $d I i j $.  $d R i j $.
      rspectset.1 $e |- I = ( LIdeal ` R ) $.
      rspectset.2 $e |- J = ran ( i e. I |-> { j e. I | -. i C_ j } ) $.
      $( Topology component of the spectrum of a ring.  (Contributed by Thierry
         Arnoux, 2-Jun-2024.) $)
      rspectset $p |- ( R e. Ring -> J = ( TopSet ` S ) ) $=
        ( crg wcel cidlsrg cfv cts cprmidl cress co cvv wceq eqid fvex resstset
        ax-mp idlsrgtset crspec rspecval syl5eq fveq2d 3eqtr4a ) AJKZALMZNMZUKA
        OMZPQZNMZFBNMUMRKULUOSAOUAUMUKUNULRUNTULTUBUCAUKCDEFJUKTHIUDUJBUNNUJBAU
        EMUNGAUFUGUHUI $.
    $}

    ${
      $d I i j x y $.  $d J x $.  $d P i j x y $.  $d R i j x $.
      rspectopn.1 $e |- I = ( LIdeal ` R ) $.
      rspectopn.2 $e |- P = ( PrmIdeal ` R ) $.
      rspectopn.3 $e |- J = ran ( i e. I |-> { j e. P | -. i C_ j } ) $.
      $( The topology component of the spectrum of a ring.  (Contributed by
         Thierry Arnoux, 4-Jun-2024.) $)
      rspectopn $p |- ( R e. Ring -> J = ( TopOpen ` S ) ) $=
        ( vy wcel ctopn cfv co cv eqid wceq cvv crg cidlsrg crest wss crab cmpt
        vx wn crn cress crspec cprmidl rspecval oveq2i 3eqtr4g resstopn eqtr4di
        fveq2d cts idlsrgtset cbs cpw wral wa clidl fvexi rabex simp2 idlsrgbas
        a1i w3a adantr 3ad2ant1 eleqtrd rabssdv elpwd ralrimiva eqsstrrd topnid
        rnmptss syl eqtrd oveq1d wrex cin mptex elrest mp2an rgenw ineq1 eqeq2d
        wb rnex rexrnmptw ax-mp inrab2 prmidlssidl 3sstr4g sseqin2 sylib syl5eq
        rabeqdv rexbidv syl5bb eleq2i elrnmpti bitri bitr4di eqrdv 3eqtr2rd ) B
        UAMZCNOZBUBOZNOZAUCPZDFDQZEQZUDUHZEFUEZUFZUIZAUCPZGXKXLXMAUJPZNOXOXKCYC
        NXKBUKOXMBULOZUJPCYCBUMHAYDXMUJJUNUOURAYCXNXMYCRXNRUPUQXKYAXNAUCXKYAXMU
        SOZXNBXMDEFYAUAXMRZIYARUTZXKYEXMVAOZVBZUDYEXNSXKYEYAYIYGXKXSYIMZDFVCYAY
        IUDXKYJDFXKXPFMZVDZXSYHTXSTMZYLXREFFBVEIVFZVGZVJYLXREFYHYLXQFMZXRVKXQFY
        HYLYPXRVHYLYPFYHSZXRXKYQYKBXMFUAYFIVIVLVMVNVOVPVQDFXSYIXTXTRZVTWAVRYHYE
        XMYHRYERVSWAWBWCXKUGYBGXKUGQZYBMZYSXREAUEZSZDFWDZYSGMZYTYSLQZAWEZSZLYAW
        DZXKUUCYATMATMYTUUHWLXTDFXSYNWFWMABULJVFZLYSAYATTWGWHUUHYSXSAWEZSZDFWDZ
        XKUUCYMDFVCUUHUULWLYMDFYOWIUUGUUKDLFXSXTTYRUUEXSSUUFUUJYSUUEXSAWJWKWNWO
        XKUUKUUBDFXKUUJUUAYSXKUUJXREFAWEZUEUUAXREFAWPXKXREUUMAXKAFUDUUMASXKYDBV
        EOAFBWQJIWRAFWSWTXBXAWKXCXDXDUUDYSDFUUAUFZUIZMUUCGUUOYSKXEDFUUAYSUUNUUN
        RXREAUUIVGXFXGXHXIXJ $.
    $}
  $}

  ${
    zarclsx.1 $e |- V = ( i e. ( LIdeal ` R )
                                    |-> { j e. ( PrmIdeal ` R ) | i C_ j } ) $.

    ${
      $d .0. i j $.  $d P i $.  $d R i j $.
      zarcls0.1 $e |- P = ( PrmIdeal ` R ) $.
      zarcls0.2 $e |- .0. = ( 0g ` R ) $.
      $( The closure of the identity ideal in the Zariski topology.
         Proposition 1.1.2(i) of [EGA] p. 80.  (Contributed by Thierry Arnoux,
         16-Jun-2024.) $)
      zarcls0 $p |- ( R e. Ring -> ( V ` { .0. } ) = P ) $=
        ( crg wcel csn cv wss cprmidl cfv cvv wceq a1i wa crab cmpt wral simplr
        clidl simpll prmidlidl sylancom lidl0cl syl2anc snssd eqsstrd ralrimiva
        eqid rabid2 sylibr eqtr2id lidl0 fvexi fvmptd ) BJKZCFLZCMZDMZNZDBOPZUA
        ZABUEPZEQECVHVGUBRVAGSVAVCVBRZTZAVFVGHVJVEDVFUCVFVGRVJVEDVFVJVDVFKZTZVC
        VBVDVAVIVKUDVLFVDVLVAVDVHKZFVDKVAVIVKUFZVJVKVAVMVNVDBUGUHBVHVDFVHUNZIUI
        UJUKULUMVEDVFUOUPUQBVHFVOIURAQKVAABOHUSSUT $.
    $}

    ${
      $d B i j m $.  $d I i j m $.  $d R i j m $.  $d V m $.
      zarcls1.1 $e |- B = ( Base ` R ) $.
      $( The unit ideal ` B ` is the only ideal whose closure in the Zariski
         topology is the empty set.  Stronger form of the Proposition 1.1.2(i)
         of [EGA] p. 80.  (Contributed by Thierry Arnoux, 16-Jun-2024.) $)
      zarcls1 $p |- ( ( R e. CRing /\ I e. ( LIdeal ` R ) )
                                          -> ( ( V ` I ) = (/) <-> I = B ) ) $=
        ( vm wcel cfv wa c0 wceq wne cv wss crab cvv a1i clidl wn simplr cmxidl
        ccrg cprmidl sseq2 cmgp clsm eqid mxidlprm ad5ant14 elrabd cmpt rabbidv
        simpr sseq1 adantl simp-4r fvex rabex fvmptd eleqtrrd ne0i syl crg wrex
        crngring ssmxidl 3expa sylanl1 r19.29a adantlr pm2.65da nne sylib fveq2
        neneqd wb lidl1 prmidlidl lidlss adantr eqssd prmidlnr ralrimiva rabeq0
        wral cmulr sylibr eqtrd ad2antrr impbida ) BUEJZEBUAKZJZLZEFKZMNZEANZWQ
        WSLZEAOZUBWTXAXBWSWQWSXBUCXAXBLWRMWQXBWRMOZWSWQXBLZEIPZQZXCIBUDKZXDXEXG
        JZLZXFLZXEWRJXCXJXEEDPZQZDBUFKZRZWRXJXLXFDXEXMXKXEEUGWNXHXEXMJWPXBXFBBU
        HKUIKZXEXOUJUKULXIXFUPUMXJCECPZXKQZDXMRZXNWOFSFCWOXRUNNZXJGTXPENZXRXNNX
        JXTXQXLDXMXPEXKUQUOURWNWPXBXHXFUSXNSJXJXLDXMBUFUTZVATVBVCWRXEVDVEWNBVFJ
        ZWPXBXFIXGVGZBVHZYBWPXBYCABIEHVIVJVKVLVMVRVNEAVOVPWQWTLWRAFKZMWTWRYENWQ
        EAFVQURWNYEMNZWPWTWNYBYFYDYBYEAXKQZDXMRZMYBCAXRYHWOFSXSYBGTYBXPANZLXQYG
        DXMYIXQYGVSYBXPAXKUQURUOABWOWOUJZHVTYHSJYBYGDXMYAVATVBYBYGUBZDXMWHYHMNY
        BYKDXMYBXKXMJLZYGXKANYLYGLZXKAYLXKAQZYGYLXKWOJYNXKBWAAXKWOBHYJWBVEWCYLY
        GUPWDYMXKAYLXKAOYGAXKBBWIKZHYOUJWEWCVRVNWFYGDXMWGWJWKVEWLWKWM $.
    $}

    $d R i j k l $.  $d V k l $.  $d X i k l $.  $d Y i k l $.
    $( The union of two closed sets of the Zariski topology is closed.
       (Contributed by Thierry Arnoux, 16-Jun-2024.) $)
    zarclsun $p |- ( ( R e. CRing /\ X e. ran V /\ Y e. ran V )
                  -> ( X u. Y ) e. ran V ) $=
      ( vl vk wcel wa cv wss cfv crab wceq simpr eqid ad2antrr wrex crn cprmidl
      ccrg cun clidl simpllr uneq12d wo unrab cidlsrg cmulr co simpll crngringd
      cvv simplr idlsrgmulrcl rabbidv eqeq2d adantl idlsrgmulrss1 idlsrgmulrss2
      wb sseq1 sstrd crg jaodan cmgp clsm crsp cbs lidlss syl ringlsmss rspssid
      syl2anc idlsrgmulrval sseqtrrd idlmulssprm impbida rabbidva rspcedvd fvex
      rabex elrnmptd eqeltrid adantlr adantr eqeltrd adantl4r elrnmpti cbvrexvw
      a1i biid 3bitri biimpi ad3antlr r19.29a adantl3r ad2antlr 3impa ) AUCJZED
      UAZJZFXCJZEFUDZXCJZXBXDKXEKEHLZCLZMZCAUBNZOZPZXGHAUENZXBXEXHXNJZXMXGXDXBX
      EKXOKXMKFILZXIMZCXKOZPZXGIXNXBXEXOXMXPXNJZXSXGXBXOKZXMKXTKZXSKZXFXLXRUDZX
      CYCEXLFXRYAXMXTXSUFYBXSQUGYBYDXCJZXSYAXTYEXMYAXTKZYDXJXQUHZCXKOZXCXJXQCXK
      UIYFBXNBLZXIMZCXKOZYHDUOGYFYHYKPZYHXHXPAUJNZUKNZULZXIMZCXKOZPZBYOXNYFXNAY
      MYNXHXPYMRZXNRZYNRZYFAXBXOXTUMZUNZXBXOXTUPZYAXTQZUQYIYOPZYLYRVCYFUUFYKYQY
      HUUFYJYPCXKYIYOXIVDURUSUTYFYGYPCXKYFXIXKJZKZYGYPUUHXJYPXQUUHXJKZYOXHXIUUI
      XNAYMAUKNZYNXHXPYSYTUUAUUJRZYFXBUUGXJUUBSYFXOUUGXJUUDSYFXTUUGXJUUESVAUUHX
      JQVEUUHXQKZYOXPXIUULXNAYMUUJYNXHXPYSYTUUAUUKYFAVFJZUUGXQUUCSYFXOUUGXQUUDS
      YFXTUUGXQUUESVBUUHXQQVEVGUUHYPKZXIAAVHNZVINZXHXPUUPRZYFUUMUUGYPUUCSZYFUUG
      YPUPYFXOUUGYPUUDSZYFXTUUGYPUUESZUUNXHXPUUPULZYOXIUUNUVAUVAAVJNZNZYOUUNUUM
      UVAAVKNZMUVAUVCMUURUUNUVDAUUPXHXPUUOUVDRZUUORZUUQUURUUNXOXHUVDMUUSUVDXHXN
      AUVEYTVLVMUUNXTXPUVDMUUTUVDXPXNAUVEYTVLVMVNUVDAUVAUVBUVBRUVEVOVPUUNXNAYMU
      UPYNUUOXHXPVFYSYTUUAUVFUUQUURUUSUUTVQVRUUHYPQVEVSVTWAWBYHUOJYFYGCXKAUBWCZ
      WDWMWEWFWGWHWIWJXEXSIXNTZXBXOXMXEUVHXEFYKPZBXNTUVHUVHBXNYKFDGYJCXKUVGWDZW
      KUVIXSBIXNYIXPPZYKXRFUVKYJXQCXKYIXPXIVDURUSWLUVHWNWOWPWQWRWSXDXMHXNTZXBXE
      XDUVLXDEYKPZBXNTUVLUVLBXNYKEDGUVJWKUVMXMBHXNYIXHPZYKXLEUVNYJXJCXKYIXHXIVD
      URUSWLUVLWNWOWPWTWRXA $.

    ${
      $d K i j $.  $d K j l p $.  $d R i j $.  $d R j l p $.  $d T i j l $.
      $d T j l p $.  $d V l p $.
      zarclsiin.1 $e |- K = ( RSpan ` R ) $.
      $( In a Zariski topology, the intersection of the closures of a family of
         ideals is the closure of the span of their union.  (Contributed by
         Thierry Arnoux, 16-Jun-2024.) $)
      zarclsiin $p |- ( ( R e. Ring /\ T C_ ( LIdeal ` R ) /\ T =/= (/) )
                           -> |^|_ l e. T ( V ` l ) = ( V ` ( K ` U. T ) ) ) $=
        ( wcel cfv wss cv wa wral cvv wceq a1i syl2anc adantr crg clidl wne w3a
        vp ciin cuni cprmidl crab sseq2 simpl3 cmpt sseq1 rabbidv adantl sselda
        c0 simp2 rabex fvmptd ssrab2 eqsstrd sseld ralimdva wb eliin elv biimpi
        fvex impel rspn0 imp simp1 prmidlidl nfcv nfii1 nfel nfan wi simpr rspa
        adantlr eleqtrd elrab sylib simprd ex ralrimi unissb sylibr eqid rspssp
        nfv syl3anc elrabd cbs lidlss syl ralrimiva eleq2d mpbird biimpa simpld
        rspcl elssuni simpll rspssid sstrd eleqtrrd impbida eqrdv ) AUAJZBAUBKZ
        LZBUQUCZUDZUEGBGMZFKZUFZBUGZEKZFKZXPUEMZXSJZYCYBJZXPYDNZYEYCYADMZLZDAUH
        KZUIZJZYFYHYAYCLZDYCYIYGYCYAUJZYFXOYCYIJZGBOZYNXLXNXOYDUKXPYCXRJZGBOZYO
        YDXPYPYNGBXPXQBJZNZXRYIYCYSXRXQYGLZDYIUIZYIYSCXQCMZYGLZDYIUIZUUAXMFPFCX
        MUUDULQZYSHRUUBXQQZUUDUUAQZYSUUFUUCYTDYIUUBXQYGUMUNZUOXPBXMXQXLXNXOURZU
        PUUAPJZYSYTDYIAUHVIZUSZRUTZUUAYILYSYTDYIVARVBVCVDYDYQYDYQVEZUEGYCBXRPVF
        VGZVHZVJXOYOYNYNGBVKVLSZYFXLYCXMJZXTYCLZYLXPXLYDXLXNXOVMZTZYFXLYNUURUVA
        UUQYCAVNSYFXQYCLZGBOUUSYFUVBGBXPYDGXPGWMGYCXSGYCVOGBXRVPVQVRYFYRUVBYFYR
        NZYNUVBUVCYCUUAJYNUVBNUVCYCXRUUAUVCYQYRYPYFYQYRXPYDYQYDYQVSXPUUPRVLTYFY
        RVTYPGBWASXPYRXRUUAQZYDUUMWBWCYTUVBDYCYIYGYCXQUJZWDWEWFWGWHGBYCWIWJAXMX
        TYCEIXMWKZWLWNWOXPYEYKVEYDXPYBYJYCXPCYAUUDYJXMFPUUEXPHRUUBYAQZUUDYJQXPU
        VGUUCYHDYIUUBYAYGUMUNUOXPXLXTAWPKZLZYAXMJUUTXPUUBUVHLZCBOUVIXPUVJCBXPUU
        BBJNUUBXMJUVJXPBXMUUBUUIUPUVHUUBXMAUVHWKZUVFWQWRWSCBUVHWIWJZUVHAXMXTEIU
        VKUVFXDSYJPJXPYHDYIUUKUSRUTWTZTXAXPYENZYDYQUVNYPGBUVNYRNZYCUUAXRUVOYTUV
        BDYCYIUVEUVNYNYRUVNYNYLUVNYKYNYLNXPYEYKUVMXBYHYLDYCYIYMWDWEZXCTUVOXQYAY
        CUVOXQXTYAYRXQXTLUVNXQBXEUOUVOXPXTYALZXPYEYRXFZXPXLUVIUVQUUTUVLUVHAXTEI
        UVKXGSWRXHUVNYLYRUVNYNYLUVPWFTXHWOUVOXPXQXMJZUVDUVRUVNBXMXQXPXNYEUUITUP
        XPUVSNZCXQUUDUUAXMFPUUEUVTHRUUFUUGUVTUUHUOXPUVSVTUUJUVTUULRUTSXIWSUUNUV
        NUUORXAXJXK $.
    $}

    $d R i j l r $.  $d S i r $.  $d V i l r $.
    $( The intersection of a family of closed sets is closed in the Zariski
       topology.  (Contributed by Thierry Arnoux, 16-Jun-2024.) $)
    zarclsint $p |- ( ( R e. CRing /\ S C_ ran V /\ S =/= (/) )
                                                         -> |^| S e. ran V ) $=
      ( vr vl wcel wss c0 wa cv cima wceq cfv adantl eqid a1i cvv ccrg crn cint
      wne clidl cpw cprmidl crab wrex cuni crsp crg crngring ad4antr wral elpwi
      cbs adantr sselda lidlss ralrimiva unissb sylibr rspcl syl2anc wb rabbidv
      syl sseq1 eqeq2d ciin simpr inteqd wfun cdm funmpt2 fvex dmmpti sseqtrrdi
      rabex intimafv eqtrd simplr imaeq2d eqtrdi simp-4r neneqd pm2.65da neqned
      ima0 zarclsiin syl3anc cmpt fvmptd 3eqtrd rspcedvd intex 3ad2ant3 elrnmpt
      w3a biimpi ad5ant123 mpbird wex fvexd wfn fnmpti fnima ax-mp ssimaexg vex
      elpwd ex anim1d eximdv mpd df-rex r19.29a 3impa ) AUAIZBEUBZJZBKUDZBUCZYA
      IZXTYBLZYCLZBEGMZNZOZYEGAUEPZUFZYGYHYLIZLZYJLZYEYDCMZDMZJZDAUGPZUHZOZCYKU
      IZYOUUAYDYHUJZAUKPZPZYQJZDYSUHZOZCUUEYKYOAULIZUUCAUQPZJZUUEYKIXTUUIYBYCYM
      YJAUMUNZYOYPUUJJZCYHUOUUKYOUUMCYHYOYPYHILYPYKIUUMYOYHYKYPYNYHYKJZYJYMUUNY
      GYHYKUPQURZUSUUJYPYKAUUJRZYKRZUTVHVACYHUUJVBVCUUJAYKUUCUUDUUDRZUUPUUQVDVE
      ZYPUUEOZUUAUUHVFYOUUTYTUUGYDUUTYRUUFDYSYPUUEYQVIVGZVJQYOYDHYHHMEPVKZUUEEP
      ZUUGYOYDYIUCZUVBYOBYIYNYJVLVMYOEVNZYHEVOZJUVDUVBOUVEYOCYKYTEFVPZSYOYHYKUV
      FUUOCYKYTEYRDYSAUGVQZVTZFVRVSHYHEWAVEWBYOUUIUUNYHKUDUVBUVCOUULUUOYOYHKYOY
      HKOZBKOYOUVJLZBYIKYNYJUVJWCUVKYIEKNKUVKYHKEYOUVJVLWDEWJWEWBUVKBKYFYCYMYJU
      VJWFWGWHWIAYHCDUUDEHFUURWKWLYOCUUEYTUUGYKETECYKYTWMOYOFSUUTYTUUGOYOUVAQUU
      SUUGTIYOUUFDYSUVHVTSWNWOWPXTYBYCYEUUBVFZYMYJXTYBYCWTYDTIZUVLYCXTUVMYBYCUV
      MBWQXAWRCYKYTYDETFWSVHXBXCYGYMYJLZGXDZYJGYLUIYGUUNYJLZGXDZUVOYGYKTIUVEBEY
      KNZJUVQYGAUEXEUVEYGUVGSYGBYAUVRXTYBYCWCEYKXFUVRYAOCYKYTEUVIFXGYKEXHXIVSGY
      KBTEXJWLYGUVPUVNGYGUUNYMYJYGUUNYMYGUUNLZYHYKTYHTIUVSGXKSYGUUNVLXLXMXNXOXP
      YJGYLXQVCXRXS $.

    ${
      $d B i j $.  $d B m $.  $d M i j $.  $d M m $.  $d R i j $.  $d R j m $.
      $d V i j $.  $d V m $.
      zarclssn.1 $e |- B = ( LIdeal ` R ) $.
      $( The closed points of Zariski topology are the maximal ideals.
         (Contributed by Thierry Arnoux, 16-Jun-2024.) $)
      zarclssn $p |- ( ( R e. CRing /\ M e. B )
                    -> ( { M } = ( V ` M ) <-> M e. ( MaxIdeal ` R ) ) ) $=
        ( vm wcel wa cfv wceq wne cv wss simplr simpr syl2anc a1i csn crg clidl
        ccrg cmxidl cbs wo wi wral crngring ad2antrr eleqtrdi c0 snn0d eqnetrrd
        w3a wb simpll eqid zarcls1 necon3bid mpbid wn cprmidl ad5antr cmgp clsm
        mxidlprm simp-4r sstrd wal crab cvv cmpt sseq1 adantl fvex rabex fvmptd
        rabbidv eqtr2d rabeqsn sylib vex eleq1w sseq2 anbi12d eqeq1 bibi12d syl
        spcv mpbi2and sseqtrd eqssd wrex simpllr neqned ssmxidl syl3anc r19.29a
        ex orrd orcomd ralrimiva 3jca ismxidl biimpar mxidlidl simprl prmidlidl
        sylan simprr jca mxidlmax syl21anc cmulr prmidlnr neneqd adantr eqeltrd
        olcnd ssidd eqsstrrd impbida alrimiv sylibr adantlr ) BUDJZEAJZKZEUAZEF
        LZMZEBUELZJZYJYMKZBUBJZEBUCLZJZEBUFLZNZEDOZPZUUBEMZUUBYTMZUGZUHZDYRUIZU
        PZYOYHYQYIYMBUJZUKYPYSUUAUUHYPEAYRYHYIYMQZHULZYPYLUMNZUUAYPYKYLUMYJYMRZ
        YPEAUUKUNUOYPYHYSUUMUUAUQYHYIYMURZUULYHYSKYLUMEYTYTBCDEFGYTUSZUTVASVBYP
        UUGDYRYPUUBYRJZKZUUCUUFUURUUCKZUUEUUDUUSUUEUUDUUSUUEVCZUUDUUSUUTKZUUBIO
        ZPZUUDIYNUVAUVBYNJZKZUVCKZUUBEUVFUUBUVBEUVEUVCRZUVFUVBBVDLZJZEUVBPZUVBE
        MZUVFYHUVDUVIYPYHUUQUUCUUTUVDUVCUUOVEUVAUVDUVCQBBVFLVGLZUVBUVLUSZVHSUVF
        EUUBUVBUURUUCUUTUVDUVCVIZUVGVJUVFUUBUVHJZUUCKZUUDUQZDVKZUVIUVJKZUVKUQZY
        PUVRUUQUUCUUTUVDUVCYPUUCDUVHVLZYKMZUVRYPYKYLUWAUUNYPCECOZUUBPZDUVHVLZUW
        AYRFVMFCYRUWEVNMZYPGTUWCEMZUWEUWAMZYPUWGUWDUUCDUVHUWCEUUBVOVTZVPUULUWAV
        MJZYPUUCDUVHBVDVQVRZTVSWAUUCDUVHEWBZWCVEUVQUVTDUVBIWDUUBUVBMZUVPUVSUUDU
        VKUWMUVOUVIUUCUVJDIUVHWEUUBUVBEWFWGUUBUVBEWHWIWKWJWLWMUVNWNUVAYQUUQUUBY
        TNZUVCIYNWOYHYQYIYMUUQUUCUUTUUJVEYPUUQUUCUUTWPUVAUUBYTUUSUUTRWQYTBIUUBU
        UPWRWSWTXAXBXCXAXDXEYQYOUUIYTBDEUUPXFXGSYHYOYMYIYHYOKZYLUWAYKUWOCEUWEUW
        AYRFVMUWFUWOGTUWGUWHUWOUWIVPYHYQYOYSUUJYTBEUUPXHXKUWJUWOUWKTVSUWOUVRUWB
        UWOUVQDUWOUVPUUDUWOUVPKZUUDUUEUWPYQYOUUQUUCKUUFYHYQYOUVPUUJUKZYHYOUVPQU
        WPUUQUUCUWPYQUVOUUQUWQUWOUVOUUCXIZUUBBXJSUWOUVOUUCXLXMYTBUUBEUUPXNXOUWP
        UUBYTUWPYQUVOUWNUWQUWRYTUUBBBXPLZUUPUWSUSXQSXRYAUWOUUDKZUVOUUCUWTUUBEUV
        HUWOUUDRZUWOEUVHJUUDBUVLEUVMVHXSXTUWTEUUBUUBUXAUWTUUBYBYCXMYDYEUWLYFWAY
        GYD $.
    $}
  $}

  ${
    zartop.1 $e |- S = ( Spec ` R ) $.
    zartop.2 $e |- J = ( TopOpen ` S ) $.
    ${
      $d P i j s $.  $d R i j s $.  $d V s $.
      zarcls.1 $e |- P = ( PrmIdeal ` R ) $.
      zarcls.2 $e |- V = ( i e. ( LIdeal ` R ) |-> { j e. P | i C_ j } ) $.
      $( The open sets of the Zariski topology are the complements of the
         closed sets.  (Contributed by Thierry Arnoux, 16-Jun-2024.) $)
      zarcls $p |- ( R e. Ring -> J = { s e. ~P P | ( P \ s ) e. ran V } ) $=
        ( wcel cv wss crab eqid wceq wa wb crg clidl cfv wn cmpt crn cdif ctopn
        cpw rspectopn eqtr4id nfv nfcv nfrab1 notrab eqeq2i ssrab2 a1i ssdifsym
        wrex elpwi syl2anc eqcom bitrdi bitr3id ad2antlr rexbidva cprmidl fvexi
        rabex elrnmpti bitr4di pm5.32da wral elpw2 mpbir rgenw rnmptss pm4.71ri
        ax-mp sseli cvv vex elrnmpt anbi2i bitri rabid 3bitr4g eqrd eqtrd ) BUA
        MZFDBUBUCZDNZENOZUDZEAPZUEZUFZAHNZUGZGUFMZHAUIZPZWKFCUHUCWRJABCDEWLWRIW
        LQKWRQUJUKWKHWRXCWKHULHWRUMXAHXBUNWKWSXBMZWSWPRZDWLUTZSZXDXASWSWRMZWSXC
        MWKXDXFXAWKXDSZXFWTWNEAPZRZDWLUTXAXIXEXKDWLXDXEXKTWKWMWLMXEWSAXJUGZRZXD
        XKXLWPWSWNEAUOUPXDXMXJWTRZXKXDXJAOZWSAOXMXNTXOXDWNEAUQURWSAVAXJWSAUSVBX
        JWTVCVDVEVFVGDWLXJWTGLWNEAABVHKVIZVJVKVLVMXHXDXHSXGXHXDWRXBWSWPXBMZDWLV
        NWRXBOXQDWLXQWPAOWOEAUQWPAXPVOVPVQDWLWPXBWQWQQZVRVTWAVSXHXFXDWSWBMXHXFT
        HWCDWLWPWSWQWBXRWDVTWEWFXAHXBWGWHWIWJ $.

      $d P x y $.  $d P z $.  $d R i s x y $.  $d R i z $.  $d R j $.
      $d V i s x y $.  $d V i z $.
      $( The Zariski topology is a topology, and its closed sets are images by
         ` V ` of the ideals of ` R ` .  (Contributed by Thierry Arnoux,
         16-Jun-2024.) $)
      zartopn $p |- ( R e. CRing -> ( J e. ( TopOn ` P ) /\ ran V = ( Clsd ` J
        ) ) ) $=
        ( vs wcel cfv ccld wceq wa cv crab eqid vx ccrg ctopon crn cdif cpw wss
        vy vz clidl wral ssrab2 cprmidl fvexi elpw2 mpbir rgenw rnmptss a1i crg
        ax-mp crngring c0g csn cmpt rabeqi mpteq2i eqtri zarcls0 wfun cdm lidl0
        funmpt2 rabex dmmpti eleqtrrdi fvelrn sylancr eqeltrrd zarclsint ismred
        syl cbs c0 lidl1 eleqtrdi zarcls1 mpbiri mpdan syl2anc zarclsun mretopd
        zarcls eleq1d fveq2d eqeq2d anbi12d mpbird ) BUBMZFAUCNZMZGUDZFONZPZQAL
        RUEXBMLAUFZSZWTMZXBXFONZPZQWSUAUHLAXFXBWSXBAUIXBXEUGZWSDRERUGZEASZXEMZD
        BUJNZUKXJXMDXNXMXLAUGXKEAULXLAABUMJUNZUOUPUQDXNXLXEGKURVAUSWSBUTMZAXBMB
        VBZXPBVCNZVDZGNZAXBABDEGXRGDXNXLVEDXNXKEBUMNZSZVEKDXNXLYBXKEAYAJVFVGVHZ
        JXRTZVIXPGVJZXSGVKZMXTXBMDXNXLGKVMZXPXSXNYFBXNXRXNTYDVLDXNXLGXKEAXOVNKV
        OZVPXSGVQVRVSWBBUIRDEGYCVTWAWSBWCNZGNZWDXBWSYIXNMZYJWDPZWSYIYFXNWSXPYIY
        FMZXQYIBYFYHYITZWEWBZYHWFWSYKQYLYIYIPYNYIBDEYIGYCYNWGWHWIWSYEYMYJXBMYEW
        SYGUSYOYIGVQWJVSBDEGUARUHRYCWKXFTWLWSXAXGXDXIWSFXFWTWSXPFXFPXQABCDEFGLH
        IJKWMWBZWNWSXCXHXBWSFXFOYPWOWPWQWR $.
    $}

    $d R i j k $.
    $( The Zariski topology is a topology.  Proposition 1.1.2 of [EGA] p. 80.
       (Contributed by Thierry Arnoux, 16-Jun-2024.) $)
    zartop $p |- ( R e. CRing -> J e. Top ) $=
      ( vi vj vk ccrg wcel cprmidl cfv ctopon ctop clidl cv wss crab cmpt wceq
      crn ccld eqid sseq1 rabbidv cbvmptv zartopn simpld topontop syl ) AIJZCAK
      LZMLJZCNJUKUMFAOLZFPZGPZQZGULRZSZUACUBLTULABHGCUSDEULUCFHUNURHPZUPQZGULRU
      OUTTUQVAGULUOUTUPUDUEUFUGUHULCUIUJ $.

    ${
      $d P i j k $.
      zartop.3 $e |- P = ( PrmIdeal ` R ) $.
      $( The points of the Zariski topology are the prime ideals.  (Contributed
         by Thierry Arnoux, 16-Jun-2024.) $)
      zartopon $p |- ( R e. CRing -> J e. ( TopOn ` P ) ) $=
        ( vi vj vk ccrg wcel ctopon cfv clidl cv wss crab cmpt wceq crn rabbidv
        ccld sseq1 cbvmptv zartopn simpld ) BKLDAMNLHBONZHPZIPZQZIARZSZUADUCNTA
        BCJIDUMEFGHJUHULJPZUJQZIARUIUNTUKUOIAUIUNUJUDUBUEUFUG $.
    $}

    ${
      $d B i $.  $d R i j $.
      zar0ring.b $e |- B = ( Base ` R ) $.
      $( The Zariski Topology of the trivial ring.  (Contributed by Thierry
         Arnoux, 1-Jul-2024.) $)
      zar0ring $p |- ( ( R e. Ring /\ ( # ` B ) = 1 ) -> J = { (/) } ) $=
        ( vi vj wcel cfv wceq wa cv cprmidl crab cmpt c0 csn eqid crg chash wss
        c1 clidl wn crn ctopn rspectopn adantr eqtr4id wfn wne cxp rabex fnmpti
        fvex a1i c0g 0ringidl cvv snex snn0d eqnetrd 0ringprmidl rabeqdv eqtrdi
        rab0 mpteq2dv fconstmpt eqtr4di fconst5 biimpa syl21anc eqtrd ) BUAJZAU
        BKUDLZMZDHBUEKZHNINUCUFZIBOKZPZQZUGZRSZVRDCUHKZWDFVPWDWFLVQWABCHIVSWDEV
        STWATWDTUIUJUKVRWCVSULZVSRUMZWCVSWEUNZLZWDWELZWGVRHVSWBWCVTIWABOUQUOWCT
        UPURVRVSBUSKZSZSRABWLGWLTUTVRWMVAWMVAJVRWLVBURVCVDVRWCHVSRQWIVRHVSWBRVR
        WBVTIRPRVRVTIWARABGVEVFVTIVHVGVIHVSRVJVKWGWHMWJWKVSRWCVLVMVNVO $.
    $}

    $d J d x y $.  $d R d j k $.  $d R i j x y $.
    $( The Zariski topology is T_0 .  Corollary 1.1.8 of [EGA] p. 81.
       (Contributed by Thierry Arnoux, 16-Jun-2024.) $)
    zart0 $p |- ( R e. CRing -> J e. Kol2 ) $=
      ( vx vd vy vj vi wcel cv cfv wss crab wceq wa sseq2 simpr cvv vk ccrg ct0
      ctop wb clidl cprmidl cmpt crn wral wi zartop ssidd elrabd ad2antrr sseq1
      rabbidv cbvmptv crg crngring simplr prmidlidl syl2anc rabex eqcomd adantl
      fvex a1i elrnmptdv eleq2d bibi12d rspcdv imp mpbid elrab simprbi ad4ant13
      syl mpbird eqssd anasss ralrimivva jca ctopon cuni eqid zartopon toponuni
      ex ccld zartopn simprd ist0cld ) AUBKZCUCKCUDKZFLZGLZKZHLZWQKZUEZGUAAUFMZ
      UALZILZNZIAUGMZOZUHZUIZUJZWPWSPZUKZHXFUJFXFUJZQWNWOXMABCDEULWNXLFHXFXFWNW
      PXFKZWSXFKZXLWNXNQZXOQZXJXKXQXJQZWPWSXRWSWPXDNZIXFOZKZWPWSNZXRWPXTKZYAXPY
      CXOXJXPXSWPWPNIWPXFXDWPWPRWNXNSXPWPUMUNUOXQXJYCYAUEZXQXAYDGXTXIXQJXBJLZXD
      NZIXFOZWPXTXHTUAJXBXGYGXCYEPXEYFIXFXCYEXDUPUQURZXQAUSKZXNWPXBKWNYIXNXOAUT
      UOZWNXNXOVAWPAVBVCXTTKXQXSIXFAUGVGZVDVHYEWPPZXTYGPXQYLYGXTYLYFXSIXFYEWPXD
      UPUQVEVFVIXQWQXTPZQZWRYCWTYAYNWQXTWPXQYMSZVJYNWQXTWSYOVJVKVLVMVNYAXOYBXSY
      BIWSXFXDWSWPRVOVPVRXRWPWSXDNZIXFOZKZWSWPNZXRYRWSYQKZWNXOYTXNXJWNXOQZYPWSW
      SNIWSXFXDWSWSRWNXOSUUAWSUMUNVQXQXJYRYTUEZXQXAUUBGYQXIXQJXBYGWSYQXHTYHXQYI
      XOWSXBKYJXPXOSWSAVBVCYQTKXQYPIXFYKVDVHYEWSPZYQYGPXQUUCYGYQUUCYFYPIXFYEWSX
      DUPUQVEVFVIXQWQYQPZQZWRYRWTYTUUEWQYQWPXQUUDSZVJUUEWQYQWSUUFVJVKVLVMVSYRXN
      YSYPYSIWPXFXDWPWSRVOVPVRVTWIWAWBWCWNFHXFXICGWNCXFWDMKZXFCWEPXFABCDEXFWFZW
      GXFCWHVRWNUUGXICWJMPXFABJICXHDEUUHYHWKWLWMVS $.

    ${
      $d R i j k l $.  $d R k l m $.  $d T m $.
      zarmxt1.1 $e |- M = ( MaxIdeal ` R ) $.
      zarmxt1.2 $e |- T = ( J |`t M ) $.
      $( The Zariski topology restricted to maximal ideals is T_1 .
         (Contributed by Thierry Arnoux, 16-Jun-2024.) $)
      zarmxt1 $p |- ( R e. CRing -> T e. Fre ) $=
        ( vm vk vl wcel cv ccld cfv wa wss eqid wceq vi ccrg ctop csn cuni wral
        ct1 cvv zartop cmxidl fvexi crest resttop eqeltrid sylancl cprmidl cmgp
        vj co clsm mxidlprm ex ssrdv adantr 3sstr4g ctopon clidl crab crn sseq2
        cmpt cbvrabv rabbidv syl5eq cbvmptv zartopn simpld toponuni syl sseqtrd
        sseq1 simpl crngringd unieqi eleqtrdi restuni syl2anc eleqtrrd mxidlidl
        crg simpr cbs zarclssn biimpar syl21anc wfun cdm funmpt2 fvex eleqtrrdi
        rabex dmmpti fvelrn sylancr eqeltrd simprd eleqtrd snssd syl3anc fveq2i
        restcldi ralrimiva ist1 sylanbrc ) AUBMZCUCMZJNZUDZCOPZMZJCUEZUFCUGMXOD
        UCMZEUHMZXPABDFGUIZEAUJHUKYBYCQCDEULUSZUCIEDUHUMUNUOXOXTJYAXOXQYAMZQZXR
        YEOPZXSYGEDUEZRZXRDOPZMXRERXRYHMYGEAUPPZYIYGAUJPZYLEYLXOYMYLRYFXOJYMYLX
        OXQYMMZXQYLMAAUQPUTPZXQYOSVAVBVCVDHYLSZVEYGDYLVFPMZYLYITYGYQUAAVGPZUANZ
        URNZRZURYLVHZVKZVIZYKTZXOYQUUEQYFYLABKLDUUCFGYPUAKYRUUBKNZLNZRZLYLVHZYS
        UUFTZUUBYSUUGRZLYLVHUUIUUAUUKURLYLYTUUGYSVJVLUUJUUKUUHLYLYSUUFUUGWAVMVN
        VOZVPVDZVQYLDVRVSVTZYGXRUUDYKYGXRXQUUCPZUUDYGXOXQYRMZYNXRUUOTZXOYFWBZYG
        AWJMYNUUPYGAUURWCYGXQEYMYGXQYEUEZEYGXQYAUUSXOYFWKCYEIWDWEYGYBYJEUUSTXOY
        BYFYDVDUUNEDYIYISZWFWGWHZHWEZAWLPZAXQUVCSWIWGZUVBXOUUPQUUQYNYRAKLXQUUCU
        ULYRSWMWNWOYGUUCWPXQUUCWQZMUUOUUDMKYRUUIUUCUULWRYGXQYRUVEUVDKYRUUIUUCUU
        HLYLAUPWSXAUULXBWTXQUUCXCXDXEYGYQUUEUUMXFXGYGXQEUVAXHEXRDYIUUTXKXICYEOI
        XJWTXLCYAJYASXMXN $.
    $}

    ${
      $d J a i j k l x $.  $d J a i k l x y $.  $d J a x y $.  $d J b x $.
      $d R a b j k l $.  $d R a i k l x y $.  $d V a b j k l $.
      $d V a i k l y $.
      zarcmplem.1 $e |- V = ( i e. ( LIdeal ` R )
                                    |-> { j e. ( PrmIdeal ` R ) | i C_ j } ) $.
      $( Lemma for ~ zarcmp .  (Contributed by Thierry Arnoux, 2-Jul-2024.) $)
      zarcmplem $p |- ( R e. CRing -> J e. Comp ) $=
        ( vl wcel cfv wceq wa c0 cv co cvv wss syl vx vy va vb vk ccrg ccmp cbs
        chash c1 csn crg crngring eqid zar0ring sylan 0cmp eqeltrdi ctop wne wn
        cfi cint ccld cpw wral zartop cfn cin wrex c0g cfsupp wbr cur cgsu ccnv
        wi cima w3a cmap csupp clidl cprmidl crab cmpt fvex eqeltri imaexg mp1i
        mptex cdm suppssdm imass2 wfun funmpt2 ssidd wf simpllr fvexd cnvex a1i
        imaex elmapd mpbid fdmd adantr sylancr wb inteq eqeq2d adantl ciin cuni
        sseqtrid intimafv sseqtrdi cres simpr gsumres syl2an2r fveq2d zarclsiin
        ax-mp eqtrdi syl3anc sselda lidlss unissb sylibr rspcl simplr ralrimiva
        ex syl2anc rspcedvd elrspunidl zarcls1 mpbiri eleqtrrd mp2an sstrd crsp
        sseqtrd funimass2 elpwd fsuppimpd imafi elind cnvimass sstrdi crngringd
        simplll ad4antr rabex dmmpti simp-7r ccmn ringcmn ad8antr ad2antrr res0
        eqsstrd oveq2i gsum0 eqtri eqtr3di eqtr2d 01eq0ring hashsng mteqand nfv
        nfra1 nfan ralrimi rsp1 fssresd ovex elmap breq1 oveq2 eleq1d 3anbi123d
        fveq1 ralbidv fsuppres eqtr4d fvresd fveq2 eleq12d rspcdv an32s eqeltrd
        id imp 3jca cmulr mpbird snssd eqsstrrd eqssd lidl1 mpdan ad7antr eqtrd
        rspssp 3eqtrrd exp41 3imp2 ringidcl crn ctopon zartopn simprd funimacnv
        pweqd elpwid df-ss biimpi syl5eq inteqd eqtr3id int0 vn0 neeq1 preiman0
        necon2i 3eqtr3d r19.29a 0ex vex elfi necon3bd cmpfi biimpar pm2.61dane
        ) AUFKZEUGKZAUHLZUILZUJUYPUYSUJMZNEOUKZUGUYPAULKZUYTEVUAMAUMZUYRABEGHUY
        RUNZUOUPUQURUYPEUSKZUYSUJUTZOUAPZVBLKZVAVUGVCZOUTZVQZUAEVDLZVEZVFZUYQAB
        EGHVGUYPVUFNZVUKUAVUMVUOVUGVUMKZNZVUHVUIOVUQVUIOMZVUHVUQVURNZOUBPZVCZMZ
        UBVUGVEZVHVIZVJZVUHVUSUCPZAVKLZVLVMZAVNLZAVVFVOQZMZJPZVVFLZVVLKZJFVPZVU
        GVRZVFZVSZVVEUCUYRVVPVTQZVUSVVFVVSKZNZVVHVVKVVQVVEVWAVVHVVKVVQVVEVWAVVH
        NZVVKNZVVQNZVVBOFVVFVVGWAQZVRZVCZMZUBVWFVVDVWDVVCVHVWFVWDVWFVUGRFRKVWFR
        KVWDFCAWBLZCPDPSZDAWCLZWDZWERICVWIVWLAWBWFWJWGZFVWERWHWIVWDVWFFVVFWKZVR
        ZVUGVWEVWNSVWFVWOSVWDVVFVVGWLZVWEVWNFWMWIVWDFWNZVWNVVPSVWOVUGSCVWIVWLFI
        WOZVWDVWNVWNVVPVWDVWNWPVWCVWNVVPMVVQVWCVVPUYRVVFVWCVVTVVPUYRVVFWQZVUSVV
        TVVHVVKWRVWCUYRVVPVVFRRVWCAUHWSVVPRKZVWCVVOVUGFVWMWTXBZXAXCXDZXEZXFZUUC
        VWNVUGFUUDXGUUAUUEVWDVWQVWEVHKVWFVHKVWRVWDVVFVVGVWAVVHVVKVVQWRZUUFFVWEU
        UGXGUUHVUTVWFMZVVBVWHXHVWDVXFVVAVWGOVUTVWFXIXJXKVWDVWGJVWEVVLFLZXLZVWEX
        MZAUUBLZLZFLZOVWDVWQVWEFWKZSVWGVXHMVWRVWDVWEVVPVXMVWDVWNVWEVVPVWPVXDXNZ
        FVUGUUIZUUJZJVWEFXOXGVWDVUBVWEVWISVWEOUTVXHVXLMVUSVUBVVTVVHVVKVVQVUSAUY
        PVUFVUPVURUULZUUKZUUMZVWDVWEVXMVWIVXPCVWIVWLFVWJDVWKAWCWFUUNIUUOZXPZVWD
        VWEOUYSUJUYPVUFVUPVURVVTVVHVVKVVQUUPVWDVWEOMZNZUYSVVGUKZUILZUJVYCUYRVYD
        UIVWDVUBVYBVVGVVIMUYRVYDMVXSVYCVVIVVJVVGVWBVVKVVQVYBWRVYCAVVFOXQZVOQZVV
        JVVGVYCVVPUYRVVFAROVVGVUDVVGUNZUYPAUUQKZVUFVUPVURVVTVVHVVKVVQVYBUYPVUBV
        YIVUCAUURZTUUSVWTVYCVXAXAVWCVWSVVQVYBVXBUUTVYCVWEOOVWDVYBXRVYCOWPUVBVWD
        VVHVYBVXEXFXSVYGAOVOQVVGVYFOAVOVVFUVAUVCAVVGVYHUVDUVEUVFUVGUYRAVVIVVGVU
        DVYHVVIUNZUVHXTYAVVGRKVYEUJMAVKWFVVGRUVIYCYDUVJAVWECDVXJFJIVXJUNZYBYEVW
        DVXLUYRFLZOVWDVXKUYRFVWDVXKUYRVWDVXKVWIKZVXKUYRSVWDVUBVXIUYRSZVYNVXSVWD
        VVLUYRSZJVWEVFVYOVWDVYPJVWEVWCVVQJVWCJUVKVVNJVVPUVLUVMVWDVVLVWEKZVYPVWD
        VYQNVVLVWIKZVYPVWDVWEVWIVVLVYAYFUYRVVLVWIAVUDVWIUNZYGZTYMUVNJVWEUYRYHYI
        UYRAVWIVXIVXJVYLVUDVYSYJYNZUYRVXKVWIAVUDVYSYGTVWDUYRVVIUKZVXJLZVXKVWDVU
        BWUCUYRMVXSUYRAVVIVXJVYLVUDVYKUVOTVWDVUBVYNWUBVXKSWUCVXKSVXSWUAVWDVVIVX
        KVWDVVIVXKKUDPZVVGVLVMZVVIAWUDVOQZMZUEPZWUDLZWUHKZUEVWEVFZVSZUDUYRVWEVT
        QZVJVWDWULVVFVWEXQZVVGVLVMZVVIAWUNVOQZMZWUHWUNLZWUHKZUEVWEVFZVSZUDWUNWU
        MVWDVWEUYRWUNWQWUNWUMKVWDVVPUYRVWEVVFVWCVWSVVQVXBXFZVXNUVPUYRVWEWUNAUHW
        FVVFVVGWAUVQUVRYIWUDWUNMZWULWVAXHVWDWVCWUEWUOWUGWUQWUKWUTWUDWUNVVGVLUVS
        WVCWUFWUPVVIWUDWUNAVOUVTXJWVCWUJWUSUEVWEWVCWUIWURWUHWUHWUDWUNUWCUWAUWDU
        WBXKVWDWUOWUQWUTVWDVVFRVWEVVGVXEVWDAVKWSUWEVWDVVIVVJWUPVWBVVKVVQYKVWDVV
        PUYRVVFARVWEVVGVUDVYHVWDVUBVYIVXSVYJTVWTVWDVXAXAWVBVWDVWEWPVXEXSUWFVWDW
        USUEVWEVWDWUHVWEKZNZWURWUHVVFLZWUHWVEWUHVWEVVFVWDWVDXRUWGVWCWVDVVQWVFWU
        HKZVWCWVDNZVVQWVGWVHVVNWVGJWUHVVPVWCVWEVVPWUHVWCVWNVWEVVPVWPVXCXNYFVVLW
        UHMZVVNWVGXHWVHWVIVVMWVFVVLWUHVVLWUHVVFUWHWVIUWMUWIXKUWJUWNUWKUWLYLUWOY
        OVWDUYRAVWEAUWPLZUEVXJVVIVVGUDVYLVUDVYHWVJUNZVXSVYAYPUWQUWRAVWIWUBVXKVX
        JVYLVYSUXEYEUWSUWTYAUYPVYMOMZVUFVUPVURVVTVVHVVKVVQUYPWVLUYRUYRMZVUDUYPU
        YRVWIKZWVLWVMXHUYPVUBWVNVUCUYRAVWIVYSVUDUXATUYRACDUYRFIVUDYQUXBYRUXCUXD
        UXFYOUXGUXHVUSVVIVVPXMZVXJLZKVVRUCVVSVJVUSVVIUYRWVPVUSVUBVVIUYRKVXRUYRA
        VVIVUDVYKUXITVUSWVPFLZOMZWVPUYRMZVUSJVVPVXGXLZVUIWVQOVUSVUGFUXJZSZWVTVU
        IMVUSVUGWWAVUSVUGVUMWWAVEVUOVUPVURYKVUSWWAVULVUSUYPWWAVULMZVXQUYPEVWKUX
        KLKWWCVWKABCDEFGHVWKUNIUXLUXMTUXOYSUXPZWWBWVTFVVPVRZVCZVUIVWQVVPVXMSZWW
        FWVTMVWRVXOJVVPFXOYTWWBWWEVUGWWBWWEVUGWWAVIZVUGVWQWWEWWHMVWRVUGFUXNYCWW
        BWWHVUGMVUGWWAUXQUXRUXSUXTUYATVUSVUBVVPVWISVVPOUTZWVTWVQMVXRVUSVVPVXMVW
        IWWGVUSVXOXAVXTXPZVUSVWQWWBVUGOUTZWWIVWQVUSVWRXAWWDVURWWKVUQVUGOVUIOVUG
        OMZVUIRMZVUJWWLVUIOVCRVUGOXIUYBYDWWMVUJROUTUYCVUIROUYDYRTUYFXKVUGFUYEYE
        AVVPCDVXJFJIVYLYBYEVUQVURXRUYGVUSUYPWVPVWIKZWVRWVSXHVXQVUSVUBWVOUYRSZWW
        NVXRVUSVYPJVVPVFWWOVUSVYPJVVPVUSVVLVVPKNVYRVYPVUSVVPVWIVVLWWJYFVYTTYLJV
        VPUYRYHYIUYRAVWIWVOVXJVYLVUDVYSYJYNUYRACDWVPFIVUDYQYNXDYSVUSUYRAVVPWVJJ
        VXJVVIVVGUCVYLVUDVYHWVKVXRWWJYPXDUYHORKVUGRKVUHVVEXHUYIUAUYJUBOVUGRRUYK
        YTYIYMUYLYLVUEUYQVUNUAEUYMUYNXTUYO $.
    $}

    $d J k l $.  $d R i j k l $.
    $( The Zariski topology is compact.  Proposition 1.1.10(ii) of [EGA],
       p. 82.  (Contributed by Thierry Arnoux, 2-Jul-2024.) $)
    zarcmp $p |- ( R e. CRing -> J e. Comp ) $=
      ( vk vl vi vj clidl cfv cv wss cprmidl crab cmpt weq sseq1 rabbidv sseq2
      cbvrabv eqtrdi cbvmptv zarcmplem ) ABFGCHAJKZHLZILZMZIANKZOZPDEHFUEUJFLZG
      LZMZGUIOZHFQZUJUKUGMZIUIOUNUOUHUPIUIUFUKUGRSUPUMIGUIUGULUKTUAUBUCUD $.
  $}

  ${
    rspectps.1 $e |- S = ( Spec ` R ) $.
    $( The spectrum of a ring ` R ` is a topological space.  (Contributed by
       Thierry Arnoux, 16-Jun-2024.) $)
    rspectps $p |- ( R e. CRing -> S e. TopSp ) $=
      ( ccrg wcel ctopn cfv cbs ctopon ctps cprmidl eqid zartopon wceq crngring
      crg rspecbas fveq2d syl eleqtrd istps sylibr ) ADEZBFGZBHGZIGZEBJEUCUDAKG
      ZIGZUFUGABUDCUDLZUGLMUCAPEZUHUFNAOUJUGUEIABCQRSTUEUDBUELUIUAUB $.
  $}

  ${
    $d A i j k $.  $d A j x $.  $d B i j x $.  $d B k $.  $d F b $.
    $d F g k $.  $d F i j $.  $d G a $.  $d G b x $.  $d G g i $.  $d I b x $.
    $d I g $.  $d I i j k $.  $d J a $.  $d J b x $.  $d J g $.  $d J i j $.
    $d K x $.  $d R a $.  $d R b $.  $d R g $.  $d R i j k $.  $d S a $.
    $d S b $.  $d S i j k $.  $d V a $.  $d V b $.  $d V g $.  $d V i j $.
    $d W a $.  $d W b $.  $d W g $.  $d W j $.  $d b ph x $.  $d g ph x $.
    $d i j ph $.  $d A a b k l $.  $d A a i j k l $.  $d A x $.  $d B a b x $.
    $d B a i j k l $.  $d F b $.  $d F i j k $.  $d G a b x $.  $d G a i x $.
    $d J a b x $.  $d J a i j x $.  $d K x $.  $d R a b $.  $d R a i j k l $.
    $d S a b $.  $d S a i j k l $.  $d V b $.  $d V i j $.  $d a b ph x $.
    $d a i j ph x $.
    rhmpreimacn.t $e |- T = ( Spec ` R ) $.
    rhmpreimacn.u $e |- U = ( Spec ` S ) $.
    rhmpreimacn.a $e |- A = ( PrmIdeal ` R ) $.
    rhmpreimacn.b $e |- B = ( PrmIdeal ` S ) $.
    rhmpreimacn.j $e |- J = ( TopOpen ` T ) $.
    rhmpreimacn.k $e |- K = ( TopOpen ` U ) $.
    rhmpreimacn.g $e |- G = ( i e. B |-> ( `' F " i ) ) $.
    rhmpreimacn.r $e |- ( ph -> R e. CRing ) $.
    rhmpreimacn.s $e |- ( ph -> S e. CRing ) $.
    rhmpreimacn.f $e |- ( ph -> F e. ( R RingHom S ) ) $.
    rhmpreimacn.1 $e |- ( ph -> ran F = ( Base ` S ) ) $.
    ${
      rhmpreimacnlem.1 $e |- ( ph -> I e. ( LIdeal ` R ) ) $.
      rhmpreimacnlem.v $e |- V = ( j e. ( LIdeal ` R )
                                             |-> { k e. A | j C_ k } ) $.
      rhmpreimacnlem.w $e |- W = ( j e. ( LIdeal ` S )
                                             |-> { k e. B | j C_ k } ) $.
      $( Lemma for ~ rhmpreimacn .  (Contributed by Thierry Arnoux,
         7-Jul-2024.) $)
      rhmpreimacnlem $p |- ( ph -> ( W ` ( F " I ) ) = ( `' G " ( V ` I ) ) )
        $=
        ( vg cima cfv ccnv cv wcel wa cvv imaeq2 simpr crh co elexd cnvexg 3syl
        imaexg adantr fvmptd3 eleq1d pm5.32da wfn ccrg eleqtrdi rhmpreimaprmidl
        wb cprmidl syl21anc fmptd ffnd elpreima syl wss crab clidl wceq rabbidv
        sseq1 crn cbs eqid rhmimaidl syl3anc fvexi rabex a1i eleq2d sseq2 elrab
        bitrdi wfun wf rhmf ffund lidlss fdmd sseqtrrd funimass3 syl2anc anbi2d
        cdm biantrurd 3bitrd anbi2i bitr4di bitr4d 3bitr4rd eqrdv ) AULKMUMZQUN
        ZLUOMPUNZUMZAULUPZCUQZYCLUNZYAUQZURZYDKUOZYCUMZYAUQZURZYCYBUQZYCXTUQZAY
        DYFYJAYDURZYEYIYAYNHYCYHHUPZUMZYICLUSUDYOYCYHUTAYDVAZAYIUSUQZYDAKUSUQYH
        USUQYRAKDEVBVCZUGVDKUSVEYHYCUSVGVFVHVIVJVKALCVLYLYGVPACBLAHCYPBLAYOCUQZ
        URZEVMUQZKYSUQZYOEVQUNZUQYPBUQAUUBYTUFVHAUUCYTUGVHUUAYOCUUDAYTVAUAVNBDE
        KYOTVOVRUDVSVTCYCYALWAWBAYMYDYIMJUPZWCZJBWDZUQZURZYKAYMYDYIBUQZMYIWCZUR
        ZURZUUIAYMYDXSYCWCZURZYDUUKURUUMAYMYCXSUUEWCZJCWDZUQUUOAXTUUQYCAIXSIUPZ
        UUEWCZJCWDUUQEWEUNZQUSUKUURXSWFUUSUUPJCUURXSUUEWHWGAUUCKWIEWJUNZWFMDWEU
        NZUQZXSUUTUQUGUHUIUVADEUVBUUTKMUVAWKZUVBWKZUUTWKWLWMUUQUSUQAUUPJCCEVQUA
        WNWOWPVIWQUUPUUNJYCCUUEYCXSWRWSWTAUUNUUKYDAKXAMKXKZWCUUNUUKVPADWJUNZUVA
        KAUUCUVGUVAKXBUGUVGUVADEKUVGWKZUVDXCWBZXDAMUVGUVFAUVCMUVGWCUIUVGMUVBDUV
        HUVEXEWBAUVGUVAKUVIXFXGMYCKXHXIXJAYDUUKUULYNUUJUUKYNUUBUUCYCUUDUQUUJAUU
        BYDUFVHAUUCYDUGVHYNYCCUUDYQUAVNBDEKYCTVOVRXLVKXMUUHUULYDUUFUUKJYIBUUEYI
        MWRWSXNXOAYJUUHYDAYAUUGYIAIMUUSJBWDUUGUVBPUSUJUURMWFUUSUUFJBUURMUUEWHWG
        UIUUGUSUQAUUFJBBDVQTWNWOWPVIWQXJXPXQXR $.
    $}

    $( The function mapping a prime ideal to its preimage by a surjective ring
       homomorphism is continuous, when considering the Zariski topology.
       Corollary 1.2.3 of [EGA], p. 83.  Notice that the direction of the
       continuous map ` G ` is reverse: the original ring homomorphism ` F `
       goes from ` R ` to ` S ` , but the continuous map ` G ` goes from ` B `
       to ` A ` .  This mapping is also called "induced map on prime spectra"
       or "pullback on primes".  (Contributed by Thierry Arnoux,
       8-Jul-2024.) $)
    rhmpreimacn $p |- ( ph -> G e. ( K Cn J ) ) $=
      ( vx vl vk vb vj va ctopon cfv wcel wf ccnv cv cima ccld wral ccn co ccrg
      zartopon syl wa crh cprmidl simpr eleqtrdi rhmpreimaprmidl syl21anc fmptd
      adantr clidl wss crab cmpt crn wfn wceq fvexi rabex sseq1 rabbidv cbvmptv
      wrex fnmpti cbs ad3antrrr simplr eqid rhmimaidl syl3anc wb fveqeq2 adantl
      imaeq2d rspcedvd zartopn eleqtrrd fvelrnb sylancr r19.29a biimpar eleqtrd
      rhmpreimacnlem eqtrd simprd biimpa ralrimiva iscncl syl22anc ) ALCUJUKULZ
      KBUJUKULZCBJUMZJUNZUDUOZUPZLUQUKZULZUDKUQUKZURZJLKUSUTULZAEVAULZXLUACEGLN
      RPVBVCADVAULZXMTBDFKMQOVBVCAHCIUNHUOZUPZBJAYECULZVDZYCIDEVEUTULZYEEVFUKZU
      LYFBULAYCYGUAVLAYIYGUBVLYHYECYJAYGVGPVHBDEIYEOVIVJSVKAXSUDXTAXPXTULZVDZXQ
      UEEVMUKZUEUOZUFUOZVNZUFCVOZVPZVQZXRYLYRYMVRZUGUOZYRUKXQVSZUGYMWEZXQYSULZU
      HYMUHUOZYOVNZUFCVOZYRUUFUFCCEVFPVTWAUEUHYMYQUUGYNUUEVSZYPUUFUFCYNUUEYOWBZ
      WCWDZWFYLUIUOZUEDVMUKZYPUFBVOZVPZUKZXPVSZUUCUIUULYLUUKUULULZVDZUUPVDZUUBI
      UUKUPZYRUKZXQVSZUGUUTYMUUSYIIVQEWGUKZVSZUUQUUTYMULAYIYKUUQUUPUBWHZAUVDYKU
      UQUUPUCWHZYLUUQUUPWIZUVCDEUULYMIUUKUVCWJUULWJYMWJWKWLUUAUUTVSUUBUVBWMUUSU
      UAUUTXQYRWNWOUUSUVAXOUUOUPXQUUSBCDEFGHUHUFIJUUKKLUUNYRMNOPQRSAYDYKUUQUUPT
      WHAYCYKUUQUUPUAWHUVEUVFUVGUEUHUULUUMUUFUFBVOZUUHYPUUFUFBUUIWCWDZUUJXEUUSU
      UOXPXOUURUUPVGWPXFWQYLUUNUULVRZXPUUNVQZULZUUPUIUULWEZUHUULUVHUUNUUFUFBBDV
      FOVTWAUVIWFYLXPXTUVKAYKVGYLYDUVKXTVSZAYDYKTVLYDXMUVNBDFUHUFKUUNMQOUVIWRXG
      VCWSUVJUVLUVMUIUULXPUUNWTXHXAXBYTUUDUUCUGYMXQYRWTXCXAAYSXRVSZYKAYCUVOUAYC
      XLUVOCEGUHUFLYRNRPUUJWRXGVCVLXDXIXLXMVDYBXNYAVDUDJLKCBXJXCXK $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Pseudometrics
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Declare new constant symbols and define their syntactic properties. $)
  $c ~Met $.
  $c pstoMet $.

  $( Extend class notation with the class of metric identifications. $)
  cmetid $a class ~Met $.

  $( Extend class notation with the metric induced by a pseudometric. $)
  cpstm $a class pstoMet $.

  ${
    $d d x y $.
    $( Define the metric identification relation for a pseudometric.
       (Contributed by Thierry Arnoux, 7-Feb-2018.) $)
    df-metid $a |- ~Met = ( d e. U. ran PsMet |-> { <. x , y >. |
      ( ( x e. dom dom d /\ y e. dom dom d ) /\ ( x d y ) = 0 ) } ) $.
  $}

  ${
    $d a b d x y z $.
    $( Define the metric induced by a pseudometric.  (Contributed by Thierry
       Arnoux, 7-Feb-2018.) $)
    df-pstm $a |- pstoMet = ( d e. U. ran PsMet |->
      ( a e. ( dom dom d /. ( ~Met ` d ) ) , b e. ( dom dom d /. ( ~Met ` d ) )
      |-> U. { z | E. x e. a E. y e. b z = ( x d y ) } ) ) $.
  $}

  ${
    $d d w x y z $.  $d d x y D $.  $d d x y X $.
    $( Value of the metric identification relation.  (Contributed by Thierry
       Arnoux, 7-Feb-2018.) $)
    metidval $p |- ( D e. ( PsMet ` X ) -> ( ~Met ` D ) =
      { <. x , y >. | ( ( x e. X /\ y e. X ) /\ ( x D y ) = 0 ) } ) $=
      ( vd vz vw cpsmet cfv wcel cv cdm wa co cc0 wceq copab cvv eleq2d wral wb
      crn cuni cmetid cmpt df-metid simpr dmeqd psmetdmdm adantr eqtr4d anbi12d
      a1i oveqd eqeq1d opabbidv wrex elfvdm fveq2 mpancom wfun cxad cle wbr cxr
      rspcev cxp cmap df-psmet funmpt2 elunirn ax-mp sylibr wss opabssxp elfvex
      crab xpexd ssexg sylancr fvmptd ) CDHIZJZECAKZEKZLZLZJZBKZWGJZMZWDWIWENZO
      PZMZABQZWDDJZWIDJZMZWDWICNZOPZMZABQZHUBUCZUDRUDEXCWOUEPWCABEUFUMWCWECPZMZ
      WNXAABXEWKWRWMWTXEWHWPWJWQXEWGDWDXEWGCLZLZDXEWFXFXEWECWCXDUGZUHUHWCDXGPXD
      CDUIUJUKZSXEWGDWIXISULXEWLWSOXEWECWDWIXHUNUOULUPWCCWDHIZJZAHLZUQZCXCJZDXL
      JWCXMCDHURXKWCADXLWDDPXJWBCWDDHUSSVFUTHVAXNXMUAARWIWIWENOPWIFKZWENGKZWIWE
      NXPXOWENVBNVCVDGWDTFWDTMBWDTEVEWDWDVGVHNVQHABFGEVIVJACHVKVLVMWCXBDDVGZVNX
      QRJXBRJWTABDDVOWCDDRRCDHVPZXRVRXBXQRVSVTWA $.

    $( As a relation, the metric identification is a subset of a Cartesian
       product.  (Contributed by Thierry Arnoux, 7-Feb-2018.) $)
    metidss $p |- ( D e. ( PsMet ` X ) -> ( ~Met ` D ) C_ ( X X. X ) ) $=
      ( vx vy cpsmet cfv wcel cmetid cv wa cc0 wceq copab cxp metidval opabssxp
      co eqsstrdi ) ABEFGAHFCIZBGDIZBGJSTAQKLZJCDMBBNCDABOUACDBBPR $.
  $}

  ${
    $d a b A $.  $d a b B $.  $d a b D $.  $d a b X $.
    $( ` A ` and ` B ` identify by the metric ` D ` if their distance is zero.
       (Contributed by Thierry Arnoux, 7-Feb-2018.) $)
    metidv $p |- ( ( D e. ( PsMet ` X ) /\ ( A e. X /\ B e. X ) )
      -> ( A ( ~Met ` D ) B <-> ( A D B ) = 0 ) ) $=
      ( va vb cpsmet cfv wcel wa cv co cc0 wceq copab wbr cmetid eleq1 adantl
      wb bi2anan9 oveq12 eqeq1d anbi12d eqid brabga metidval breqd ibar 3bitr4d
      adantr ) CDGHIZADIZBDIZJZJZABEKZDIZFKZDIZJZUQUSCLZMNZJZEFOZPZUOABCLZMNZJZ
      ABCQHZPVHUOVFVITULVDVIEFABVEDDUQANZUSBNZJZVAUOVCVHVKURUMVLUTUNUQADRUSBDRU
      AVMVBVGMUQAUSBCUBUCUDVEUEUFSUPVJVEABULVJVENUOEFCDUGUKUHUOVHVITULUOVHUISUJ
      $.
  $}

  $( Basic property of the metric identification relation.  (Contributed by
     Thierry Arnoux, 7-Feb-2018.) $)
  metideq $p |- ( ( D e. ( PsMet ` X ) /\
    ( A ( ~Met ` D ) B /\ E ( ~Met ` D ) F ) ) -> ( A D E ) = ( B D F ) ) $=
    ( wcel wbr wa co wceq cle cxr wss syl syl2anc sseldd psmetsym cxad cc0 dmss
    cpsmet cfv cmetid simpl cdm metidss dmxpid sseqtrdi wrel xpss sstrdi df-rel
    cxp cvv sylibr simprl releldm simprr syl3anc psmetf fovrnda syl12anc rnxpid
    eqeltrd crn rnss relelrn eqeltrrd psmettri2 syl13anc metidv biimpa syl21anc
    eqtr3d oveq1d xaddid2 eqtrd breqtrd oveq2d xaddid1 xrletrd 3eqtr4d xrletri3
    jca 3eqtrd wb mpbir2and ) CFUBUCGZABCUDUCZHZDEWJHZIZIZADCJZBECJZKZWOWPLHZWP
    WOLHZWNWOBDCJZWPWNWODACJZMWNWIAFGZDFGZWOXAKWIWMUEZWNWJUFZFAWNWIXEFNXDWIXEFF
    UNZUFZFWIWJXFNZXEXGNCFUGZWJXFUAOFUHUIOZWNWJUJZWKAXEGWNWIXKXDWIWJUOUOUNZNXKW
    IWJXFXLXIFFUKULWJUMUPOZWIWKWLUQZABWJURPQZWNXEFDXJWNXKWLDXEGXMWIWKWLUSZDEWJU
    RPQZADCFRUTZWNWIXCXBXAMGZXDXQXOWIDAMFFCCFVAZVBVCZVEZWNWIBFGZXCWTMGZXDWNWJVF
    ZFBWNWIYEFNXDWIYEXFVFZFWIXHYEYFNXIWJXFVGOFVDUIOZWNXKWKBYEGXMXNABWJVHPQZXQWI
    BDMFFCXTVBVCZWNEBCJZWPMWNWIEFGZYCYJWPKXDWNYEFEYGWNXKWLEYEGXMXPDEWJVHPQZYHEB
    CFRUTZWNWIYKYCYJMGZXDYLYHWIEBMFFCXTVBVCZVIZWNWOBACJZWTSJZWTLWNWIYCXBXCWOYRL
    HXDYHXOXQADBCFVJVKWNYRTWTSJZWTWNYQTWTSWNABCJZYQTWNWIXBYCYTYQKXDXOYHABCFRUTW
    NWIXBYCIZWKYTTKZXDWNXBYCXOYHWEXNWIUUAIWKUUBABCFVLVMVNZVOVPWNYDYSWTKYIWTVQOV
    RVSWNWTYJEDCJZSJZWPLWNWIYKYCXCWTUUELHXDYLYHXQBDECFVJVKWNUUEYJTSJZYJWPWNUUDT
    YJSWNUUDDECJZTWNWIYKXCUUDUUGKXDYLXQEDCFRUTWNWIXCYKIZWLUUGTKZXDWNXCYKXQYLWEX
    PWIUUHIWLUUIDECFVLVMVNZVRVTWNYNUUFYJKYOYJWAOYMWFVSWBWNWPAECJZWOYPWNWIXBYKUU
    KMGZXDXOYLWIAEMFFCXTVBVCZYBWNWPYTUUKSJZUUKLWNWIXBYCYKWPUUNLHXDXOYHYLBEACFVJ
    VKWNUUNTUUKSJZUUKWNYTTUUKSUUCVPWNUULUUOUUKKUUMUUKVQOVRVSWNUUKXAUUGSJZWOLWNW
    IXCXBYKUUKUUPLHXDXQXOYLAEDCFVJVKWNXATSJZXAUUPWOWNXSUUQXAKYAXAWAOWNUUGTXASUU
    JVTXRWCVSWBWNWOMGWPMGWQWRWSIWGYBYPWOWPWDPWH $.

  ${
    $d x y z D $.  $d x y z X $.
    $( The metric identification is an equivalence relation.  (Contributed by
       Thierry Arnoux, 11-Feb-2018.) $)
    metider $p |- ( D e. ( PsMet ` X ) -> ( ~Met ` D ) Er X ) $=
      ( vx wcel cv wbr wa ssbrd imp brxp sylib co cc0 wceq metidv wb cle syldan
      cxad simpld cpsmet cfv cmetid cvv cxp wss wrel metidss xpss sstrdi df-rel
      vy sylibr psmetsym 3expb eqeq1d ancom2s 3bitr4d biimpd impancom mpd simpl
      vz simprr simprl simprd psmettri2 syl13anc eqtr3d oveq12d cxr 0xr xaddid1
      mpbid eqtrdi breqtrd psmetge0 syl3anc psmetcl xrletri3 mpbir2and syl12anc
      ax-mp sylancl mpbird psmet0 anabsan2 impbida iserd ) ABUAUBDZCULVCBAUCUBZ
      WJWKUDUDUEZUFWKUGWJWKBBUEZWLABUHZBBUIUJWKUKUMWJCEZULEZWKFZGZWOBDZWPBDZGZW
      PWOWKFZWRWOWPWMFZXAWJWQXCWJWKWMWOWPWNHIWOWPBBJKZWJXAWQXBWJXAGZWQXBXEWOWPA
      LZMNZWPWOALZMNZWQXBXEXFXHMWJWSWTXFXHNZWOWPABUNUOZUPWOWPABOZWJWTWSXBXIPWPW
      OABOUQURUSUTVAWJWQWPVCEZWKFZGZGZWOXMWKFZWOXMALZMNZXPXSXRMQFZMXRQFZXPXRXHW
      PXMALZSLZMQXPWJWTWSXMBDZXRYCQFWJXOVBZXPWTYDWJXOXNWTYDGZWJWQXNVDZWJXNGWPXM
      WMFZYFWJXNYHWJWKWMWPXMWNHIWPXMBBJKRZTXPWSWTWJXOWQXAWJWQXNVEZXDRZTZXPWTYDY
      IVFZWOXMWPABVGVHXPYCMMSLZMXPXHMYBMSXPXFXHMWJXOXAXJYKXKRXPWQXGYJWJXOXAWQXG
      PYKXLRVNVIXPXNYBMNZYGWJXOYFXNYOPYIWPXMABORVNVJMVKDZYNMNVLMVMWCVOVPXPWJWSY
      DYAYEYLYMWOXMABVQVRXPXRVKDZYPXSXTYAGPXPWJWSYDYQYEYLYMWOXMABVSVRVLXRMVTWDW
      AXPWJWSYDXQXSPYEYLYMWOXMABOWBWEWJWSWOWOWKFZWJWSGYRWOWOALMNZWOABWFWJWSYRYS
      PWOWOABOWGWEWJYRGZWSWSYTWOWOWMFZWSWSGWJYRUUAWJWKWMWOWOWNHIWOWOBBJKTWHWI
      $.
  $}

  ${
    $d a b c d x y z D $.  $d a b c d x y z X $.  $d a b c d x y z .~ $.
    pstmval.1 $e |- .~ = ( ~Met ` D ) $.
    $( Value of the metric induced by a pseudometric ` D ` .  (Contributed by
       Thierry Arnoux, 7-Feb-2018.) $)
    pstmval $p |- ( D e. ( PsMet ` X ) -> ( pstoMet ` D ) =
      ( a e. ( X /. .~ ) , b e. ( X /. .~ )
      |-> U. { z | E. x e. a E. y e. b z = ( x D y ) } ) ) $=
      ( vd vc cpsmet cfv wcel cv cdm co wceq wrex cvv cmetid cqs cab cuni cpstm
      cmpo crn cmpt df-pstm a1i psmetdmdm adantr dmeq dmeqd adantl eqtr4d qseq1
      wa syl fveq2 eqtr4id qseq2 eqtr2d mpoeq12 syl2anc w3a simp1r oveqd eqeq2d
      2rexbidv abbidv unieqd mpoeq3dva elfvdm eleq2d rspcev mpancom wfun wb cc0
      eqtrd cxad cle wbr wral cxr cxp cmap crab df-psmet funmpt2 elunirn sylibr
      ax-mp elfvex qsexg mpoexga fvmptd ) DFLMZNZJDGHJOZPZPZXAUAMZUBZXECOZAOZBO
      ZXAQZRZBHOZSAGOZSZCUCZUDZUFZGHFEUBZXQXFXGXHDQZRZBXKSAXLSZCUCZUDZUFZLUGUDZ
      UETUEJYDXPUHRWTABCGHJUIUJWTXADRZURZXPGHXQXQXOUFZYCYFXEXQRZYHXPYGRYFXQXCEU
      BZXEYFFXCRXQYIRYFFDPZPZXCWTFYKRYEDFUKULYEXCYKRWTYEXBYJXADUMUNUOUPFXCEUQUS
      YEYIXERZWTYEEXDRYLYEEDUAMXDIXADUAUTVAEXDXCVBUSUOVCZYMGHXEXEXQXQXOVDVEYFGH
      XQXQXOYBYFXLXQNZXKXQNZVFZXNYAYPXMXTCYPXJXSABXLXKYPXIXRXFYPXADXGXHWTYEYNYO
      VGVHVIVJVKVLVMWAWTDXGLMZNZALPZSZDYDNZFYSNWTYTDFLVNYRWTAFYSXGFRYQWSDXGFLUT
      VOVPVQLVRUUAYTVSATXLXLXAQVTRXLXKXAQKOZXLXAQUUBXKXAQWBQWCWDKXGWEHXGWEURGXG
      WEJWFXGXGWGWHQWILAGHKJWJWKADLWLWNWMWTXQTNZUUCYCTNWTFTNUUCDFLWOFETWPUSZUUD
      GHXQXQYBTTWQVEWR $.

    $d a b e f z .~ $.  $d a b e f x y z A $.  $d a b e f x y z B $.
    $d e f z D $.  $d e f z X $.
    $( Function value of the metric induced by a pseudometric ` D `
       (Contributed by Thierry Arnoux, 11-Feb-2018.) $)
    pstmfval $p |- ( ( D e. ( PsMet ` X ) /\ A e. X /\ B e. X ) ->
      ( [ A ] .~ ( pstoMet ` D ) [ B ] .~ ) = ( A D B ) ) $=
      ( vx vy vz va vb ve wcel co cv wceq wrex cvv wbr wb vf cpsmet cfv w3a cec
      cpstm cqs cuni cmpo pstmval 3ad2ant1 oveqd cmetid fvexi 3ad2ant2 3ad2ant3
      ecelqsi rexeq abbidv unieqd rexbidv eqid ecexg ax-mp ab2rexex uniex ovmpo
      cab syl2anc csn simpr3 simpl1 simpr1 wrel cxp wss metidss eqsstrid sstrdi
      wa xpss df-rel sylibr adantr relelec syl mpbid breqi sylib simpr2 metideq
      syl12anc eqtr4d adantlr 3anassrs eqeq2d cbvrex2vw biimpi adantl r19.29vva
      oveq1 oveq2 cc0 simpl2 psmet0 a1i breqd metidv 3bitrd mpbird simpl3 simpr
      3syl rspceov syl3anc impbida df-sn eqtr4di ovex unisn eqtrdi 3eqtrd ) CEU
      BUCMZAEMZBEMZUDZADUEZBDUEZCUFUCZNYGYHGHEDUGZYJIOZJOZKOZCNZPZKHOZQZJGOZQZI
      VHZUHZUIZNZYOKYHQZJYGQZIVHZUHZABCNZYFYIUUBYGYHYCYDYIUUBPYEJKICDEGHFUJUKUL
      YFYGYJMZYHYJMZUUCUUGPYDYCUUIYEEADDCUMFUNZUQUOYEYCUUJYDEBDUUKUQUPGHYGYHYJY
      JUUAUUGUUBYQJYGQZIVHZUHYRYGPZYTUUMUUNYSUULIYQJYRYGURUSUTYPYHPZUUMUUFUUOUU
      LUUEIUUOYQUUDJYGYOKYPYHURVAUSUTUUBVBUUFJKIYGYHYNDRMZYGRMUUKARDVCVDUUPYHRM
      UUKBRDVCVDVEVFVGVIYFUUGUUHVJZUHUUHYFUUFUUQYFUUFYKUUHPZIVHUUQYFUUEUURIYFUU
      EUURYFUUEVTZYKLOZUAOZCNZPZUURLUAYGYHUUSUUTYGMZUVAYHMZUVCUURYFUVDUVEUVCUDZ
      UURUUEYFUVFVTZYKUVBUUHYFUVDUVEUVCVKUVGYCAUUTCUMUCZSZBUVAUVHSZUUHUVBPYCYDY
      EUVFVLUVGAUUTDSZUVIUVGUVDUVKYFUVDUVEUVCVMUVGDVNZUVDUVKTYFUVLUVFYCYDUVLYEY
      CDRRVOZVPUVLYCDEEVOZUVMYCDUVHUVNFCEVQVREEWAVSDWBWCZUKWDZUUTADWEWFWGAUUTDU
      VHFWHWIUVGBUVADSZUVJUVGUVEUVQYFUVDUVEUVCWJUVGUVLUVEUVQTUVPUVABDWEWFWGBUVA
      DUVHFWHWIAUUTCBUVAEWKWLWMWNWOUUEUVCUAYHQLYGQZYFUUEUVRYOUVCYKUUTYMCNZPJKLU
      AYGYHYLUUTPYNUVSYKYLUUTYMCXAWPYMUVAPUVSUVBYKYMUVAUUTCXBWPWQWRWSWTYFUURVTZ
      AYGMZBYHMZUURUUEUVTUWAAACNXCPZUVTYCYDUWCYCYDYEUURVLZYCYDYEUURXDZACEXEVIUV
      TUWAAADSZAAUVHSZUWCUVTYCUVLUWAUWFTUWDUVOAADWEXMUVTDUVHAADUVHPUVTFXFZXGUVT
      YCYDYDUWGUWCTUWDUWEUWEAACEXHWLXIXJUVTUWBBBCNXCPZUVTYCYEUWIUWDYCYDYEUURXKZ
      BCEXEVIUVTUWBBBDSZBBUVHSZUWIUVTYCUVLUWBUWKTUWDUVOBBDWEXMUVTDUVHBBUWHXGUVT
      YCYEYEUWLUWITUWDUWJUWJBBCEXHWLXIXJYFUURXLJKYGYHABYKCXNXOXPUSIUUHXQXRUTUUH
      ABCXSXTYAYB $.

    $( The metric induced by a pseudometric is a full-fledged metric on the
       equivalence classes of the metric identification.  (Contributed by
       Thierry Arnoux, 11-Feb-2018.) $)
    pstmxmet $p |- ( D e. ( PsMet ` X ) ->
      ( pstoMet ` D ) e. ( *Met ` ( X /. .~ ) ) ) $=
      ( vx vy vz va vb wcel cxr cv co cc0 wceq wb wral wa wrex r19.29a vc cpstm
      cpsmet cfv cqs cxmet cxp cxad cle wbr wfn cab cuni cmpo eqid vex ab2rexex
      wf uniex fnmpoi pstmval fneq1d mpbiri cec simpllr oveq12d simp-5l simp-4r
      simpr simplr pstmfval syl3anc psmetf syl fovrnd eqeltrd ad2antll ad2antrr
      eqtrd elqsi ad2antrl ralrimivva ffnov sylanbrc 3expa eqeq1d cmetid metidv
      breqi anassrs syl5bb wer metider ereq1 ax-mp sylibr erth 3bitr2d adantllr
      adantlr adantr eqeq12d 3bitr4d simp-6l simp-6r psmettri2 syl13anc simp-5r
      3brtr4d adantl6r ad5antlr adantl5r ad4antlr adantl4r ralrimiva anasss jca
      ad3antlr cvv elfvex qsexg isxmet 3syl mpbir2and ) ACUCUDJZAUBUDZCBUEZUFUD
      JZYGYGUGZKYFURZELZFLZYFMZNOZYKYLOZPZYMGLZYKYFMZYQYLYFMZUHMZUIUJZGYGQZRZFY
      GQEYGQZYEYFYIUKZYMKJZFYGQEYGQYJYEUUEEFYGYGYQHLZILZAMZOIYLSHYKSGULZUMZUNZY
      IUKEFYGYGUUKUULUULUOUUJHIGYKYLUUIEUPFUPUQUSUTYEYIYFUULHIGABCEFDVAVBVCYEUU
      FEFYGYGYEYKYGJZYLYGJZRZRZYKUUGBVDZOZUUFHCUUPUUGCJZRZUURRZYLUUHBVDZOZUUFIC
      UVAUUHCJZRZUVCRZYMUUIKUVFYMUUQUVBYFMZUUIUVFYKUUQYLUVBYFUUTUURUVDUVCVEZUVE
      UVCVIZVFZUVFYEUUSUVDUVGUUIOZYEUUOUUSUURUVDUVCVGZUUPUUSUURUVDUVCVHZUVAUVDU
      VCVJZUUGUUHABCDVKZVLVSUVFUUGUUHKCCAUVFYECCUGKAURUVLACVMVNUVMUVNVOVPUUPUVC
      ICSZUUSUURUUNUVPYEUUMICYLBVTZVQVRZTUUMUURHCSZYEUUNHCYKBVTZWAZTWBEFYGYGKYF
      WCWDYEUUCEFYGYGUUPYPUUBUUPUURYPHCUVAUVCYPICUVFUVGNOZUUQUVBOZYNYOUVEUWBUWC
      PZUVCUUTUVDUWDUURYEUUSUVDUWDUUOYEUUSRZUVDRZUWBUUINOZUUGUUHBUJZUWCUWFUVGUU
      INYEUUSUVDUVKUVOWEWFUWHUUGUUHAWGUDZUJZUWFUWGUUGUUHBUWIDWIYEUUSUVDUWJUWGPU
      UGUUHACWHWJWKUWFUUGUUHBCUWFCUWIWLZCBWLZYEUWKUUSUVDACWMVRBUWIOUWLUWKPDCBUW
      IWNWOWPYEUUSUVDVJWQWRWSWTXAUVFYMUVGNUVJWFUVFYKUUQYLUVBUVHUVIXBXCUVRTUWATY
      EUUMUUNUUBYEUUMRUUNRZUUAGYGUWMYQYGJZRUURUUAHCYEUUMUUNUWNUUSUURUUAYEUUNRUW
      NRUUSRUURRUVCUUAICYEUUNUWNUUSUURUVDUVCUUAYEUWNRUUSRUURRUVDRUVCRYQUALZBVDZ
      OZUUAUACYEUWNUUSUURUVDUVCUWOCJZUWQUUAUWEUURRZUVDRZUVCRZUWRRZUWQRZUUIUWOUU
      GAMZUWOUUHAMZUHMZYMYTUIUXCYEUWRUUSUVDUUIUXFUIUJYEUUSUURUVDUVCUWRUWQXDZUXA
      UWRUWQVJZYEUUSUURUVDUVCUWRUWQXEZUWSUVDUVCUWRUWQVHZUUGUUHUWOACXFXGUXCYMUVG
      UUIUXCYKUUQYLUVBYFUWEUURUVDUVCUWRUWQXHZUWTUVCUWRUWQVEZVFUXCYEUUSUVDUVKUXG
      UXIUXJUVOVLVSUXCYRUXDYSUXEUHUXCYRUWPUUQYFMZUXDUXCYQUWPYKUUQYFUXBUWQVIZUXK
      VFUXCYEUWRUUSUXMUXDOUXGUXHUXIUWOUUGABCDVKVLVSUXCYSUWPUVBYFMZUXEUXCYQUWPYL
      UVBYFUXNUXLVFUXCYEUWRUVDUXOUXEOUXGUXHUXJUWOUUHABCDVKVLVSVFXIXJUWNUWQUACSY
      EUUSUURUVDUVCUACYQBVTXKTXLUUNUVPYEUWNUUSUURUVQXMTXNUUMUVSYEUUNUWNUVTXRTXO
      XPXQWBYECXSJYGXSJYHYJUUDRPACUCXTCBXSYAEFGXSYFYGYBYCYD $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Continuity - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    hauseqcn.x $e |- X = U. J $.
    hauseqcn.k $e |- ( ph -> K e. Haus ) $.
    hauseqcn.f $e |- ( ph -> F e. ( J Cn K ) ) $.
    hauseqcn.g $e |- ( ph -> G e. ( J Cn K ) ) $.
    hauseqcn.e $e |- ( ph -> ( F |` A ) = ( G |` A ) ) $.
    hauseqcn.a $e |- ( ph -> A C_ X ) $.
    hauseqcn.c $e |- ( ph -> ( ( cls ` J ) ` A ) = X ) $.
    $( In a Hausdorff topology, two continuous functions which agree on a dense
       set agree everywhere.  (Contributed by Thierry Arnoux, 28-Dec-2017.) $)
    hauseqcn $p |- ( ph -> F = G ) $=
      ( wceq cin wss cfv wcel 3syl cuni cdm ccl ctop ccn co cntop1 dmin wf eqid
      syl cnf fdm ineq12d eqtrdi sseqtrid cres wfn wb sseqtrdi fnreseql syl3anc
      inidm ffn mpbid ccld hauseqlcld cldcls 3sstr3d eqsstrrid fneqeql2 syl2anc
      clsss mpbird ) ACDOZEUAZCDPUBZQZAVPGVQHABEUCRZRZVQVSRZGVQAEUDSZVQVPQBVQQZ
      VTWAQACEFUEUFZSZWBJCEFUGUKACUBZDUBZPZVQVPCDUHAWHVPVPPVPAWFVPWGVPAWEVPFUAZ
      CUIZWFVPOJCEFVPWIVPUJZWIUJZULZVPWICUMTADWDSZVPWIDUIZWGVPOKDEFVPWIWKWLULZV
      PWIDUMTUNVPVCUOUPACBUQDBUQOZWCLACVPURZDVPURZBVPQWQWCUSAWEWJWRJWMVPWICVDTZ
      AWNWOWSKWPVPWIDVDTZABGVPMHUTVPCDBVAVBVEVQBEVPWKVMVBNAVQEVFRSWAVQOACDEFIJK
      VGVQEVHUKVIVJAWRWSVOVRUSWTXAVPCDVKVLVN $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Topology of the closed unit interval
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( An element of the closed unit interval is positive.  Useful lemma for
     manipulating probabilities within the closed unit interval.  (Contributed
     by Thierry Arnoux, 20-Dec-2016.) $)
  elunitge0 $p |- ( A e. ( 0 [,] 1 ) -> 0 <_ A ) $=
    ( cc0 c1 cicc co wcel cr cle wbr elicc01 simp2bi ) ABCDEFAGFBAHIACHIAJK $.

  $( The closed unit interval is a subset of the set of the extended
     nonnegative reals.  Useful lemma for manipulating probabilities within the
     closed unit interval.  (Contributed by Thierry Arnoux, 12-Dec-2016.) $)
  unitssxrge0 $p |- ( 0 [,] 1 ) C_ ( 0 [,] +oo ) $=
    ( cc0 cpnf cicc co wcel c1 wss 0e0iccpnf cxr cle wbr 1xr pnfge ax-mp w3a wb
    0le1 0xr pnfxr mp2an elicc1 mpbir3an iccss2 ) AABCDZEFUDEZAFCDUDGHUEFIEZAFJ
    KZFBJKZLQUFUHLFMNAIEBIEUEUFUGUHOPRSABFUATUBABAFUCT $.

  $( Necessary conditions for a quotient to be in the closed unit interval.
     (somewhat too strong, it would be sufficient that A and B are in RR+)
     (Contributed by Thierry Arnoux, 20-Dec-2016.) $)
  unitdivcld $p |- ( ( A e. ( 0 [,] 1 ) /\ B e. ( 0 [,] 1 ) /\ B =/= 0 ) ->
                                   ( A <_ B <-> ( A / B ) e. ( 0 [,] 1 ) ) ) $=
    ( cc0 c1 cicc co wcel wne w3a cle cdiv cr wa elunitrn 3ad2ant1 simp3 adantr
    wbr elunitge0 wb 3ad2ant2 redivcld clt ltlen sylancr biimpar 3com23 mpd3an3
    0re 3adant1 divge0 syl22anc cmul 1red ledivmul syl112anc ax-1rid breq2d syl
    3impb bitr2d biimpa 3jca ex syl5ibr impbid elicc01 bitr4di ) ACDEFZGZBVIGZB
    CHZIZABJRZABKFZLGZCVOJRZVODJRZIZVOVIGVMVNVSVMVNVSVMVNMVPVQVRVMVPVNVMABVJVKA
    LGZVLANOZVKVJBLGZVLBNZUAZVJVKVLPUBQVMVQVNVMVTCAJRZWBCBUCRZVQWAVJVKWEVLASOWD
    VKVLWFVJVKVLCBJRZWFVKWGVLBSQVKWGVLWFVKWGVLWFVKWFWGVLMZVKCLGWBWFWHTUIWCCBUDU
    EUFUTUGUHUJZABUKULQVMVNVRVMVRABDUMFZJRZVNVMVTDLGWBWFVRWKTWAVMUNWDWIADBUOUPV
    MWBWKVNTWDWBWJBAJBUQURUSVAZVBVCVDVSVNVMVRVPVQVRPWLVEVFVOVGVH $.

  ${
    $d x y $.
    df-iis $e |- I = ( ( mulGrp ` CCfld ) |`s ( 0 [,] 1 ) ) $.
    $( The closed unit interval forms a topological monoid under
       multiplication.  (Contributed by Thierry Arnoux, 25-Mar-2017.) $)
    iistmd $p |- I e. TopMnd $=
      ( vx vy ccnfld cmgp cfv ctmd wcel cc0 c1 cicc co csubmnd cnnrg mp2b cc cv
      cmul wral cnrg ctrg nrgtrg eqid trgtmd wss unitsscn 1elunit iimulcl rgen2
      cmnd w3a wb crg nrgring ringmgp cnfldbas mgpbas cnfld1 ringidval cnfldmul
      mgpplusg issubm ax-mp mpbir3an submtmd mp2an ) EFGZHIZJKLMZVHNGIZAHIEUAIZ
      EUBIVIOEUCEVHVHUDZUEPVKVJQUFZKVJIZCRZDRZSMVJIZDVJTCVJTZUGUHVRCDVJVJVPVQUI
      UJVHUKIZVKVNVOVSULUMVLEUNIVTOEUOEVHVMUPPCDQSVJVHKQEVHVMUQUREKVHVMUSUTESVH
      VMVAVBVCVDVEVJVHABVFVG $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Topology of ` ( RR X. RR ) `
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    unicls.1 $e |- J e. Top $.
    unicls.2 $e |- X = U. J $.
    $( The union of the closed set is the underlying set of the topology.
       (Contributed by Thierry Arnoux, 21-Sep-2017.) $)
    unicls $p |- U. ( Clsd ` J ) = X $=
      ( ccld cfv cuni wss wcel wceq cpw cldss2 sspwuni mpbi ctop topcld unissel
      ax-mp mp2an ) AEFZGZBHZBTIZUABJTBKHUBABDLTBMNAOIUCCABDPRTBQS $.
  $}

  ${
    tpr2tp.0 $e |- J = ( topGen ` ran (,) ) $.
    $( The usual topology on ` ( RR X. RR ) ` is the product topology of the
       usual topology on ` RR ` .  (Contributed by Thierry Arnoux,
       21-Sep-2017.) $)
    tpr2tp $p |- ( J tX J ) e. ( TopOn ` ( RR X. RR ) ) $=
      ( cr ctopon cfv wcel ctx cxp cioo crn ctg retopon eqeltri txtopon mp2an
      co ) ACDEZFZRAAGPCCHDEFAIJKEQBLMZSAACCNO $.

    $( The usual topology on ` ( RR X. RR ) ` is the product topology of the
       usual topology on ` RR ` .  (Contributed by Thierry Arnoux,
       21-Sep-2017.) $)
    tpr2uni $p |- U. ( J tX J ) = ( RR X. RR ) $=
      ( cr cxp ctx co cuni tpr2tp toponunii eqcomi ) CCDZAAEFZGKLABHIJ $.
  $}

  ${
    $d r A $.  $d r B $.
    $( Rewrite the cartesian product of two sets as the intersection of their
       preimage by ` 1st ` and ` 2nd ` , the projections on the first and
       second elements.  (Contributed by Thierry Arnoux, 22-Sep-2017.) $)
    xpinpreima $p |- ( A X. B ) = ( ( `' ( 1st |` ( _V X. _V ) ) " A )
                                i^i ( `' ( 2nd |` ( _V X. _V ) ) " B ) ) $=
      ( vr c1st cfv wcel cvv cxp crab c2nd cin cres ccnv cima wf wceq fncnvima2
      wfn ffn mp2b cv wa inrab f1stres fvres eleq1d rabbiia f2ndres ineq12i xp2
      eqtri 3eqtr4ri ) CUAZDEZAFZCGGHZIZUMJEZBFZCUPIZKUOUSUBCUPIDUPLZMANZJUPLZM
      BNZKABHUOUSCUPUCVBUQVDUTVBUMVAEZAFZCUPIZUQUPGVAOVAUPRVBVGPGGUDUPGVASCUPAV
      AQTVFUOCUPUMUPFZVEUNAUMUPDUEUFUGUKVDUMVCEZBFZCUPIZUTUPGVCOVCUPRVDVKPGGUHU
      PGVCSCUPBVCQTVJUSCUPVHVIURBUMUPJUEUFUGUKUICABUJUL $.

    $d r E $.  $d r F $.
    $( Rewrite the cartesian product of two sets as the intersection of their
       preimage by ` 1st ` and ` 2nd ` , the projections on the first and
       second elements.  (Contributed by Thierry Arnoux, 22-Sep-2017.) $)
    xpinpreima2 $p |- ( ( A C_ E /\ B C_ F )
                -> ( A X. B ) = ( ( `' ( 1st |` ( E X. F ) ) " A )
                              i^i ( `' ( 2nd |` ( E X. F ) ) " B ) ) ) $=
      ( vr wss wa cxp c1st cfv wcel crab c2nd cin cres ccnv cima sseldd eqtr4di
      cvv cv xp2 xpss rabss2 mp1i simprl simpll simprrl simplr simprrr sylanbrc
      jca elxp7 rabss3d eqssd eqtr4id inrab wfn wceq f1stres ffn fncnvima2 mp2b
      wf fvres eleq1d rabbiia eqtri f2ndres ineq12i ) ACFZBDFZGZABHZEUAZIJZAKZE
      CDHZLZVOMJZBKZEVRLZNZIVROZPAQZMVROZPBQZNVMVNVQWAGZEVRLZWCVMVNWHETTHZLZWIE
      ABUBVMWIWKVRWJFWIWKFVMCDUCWHEVRWJUDUEVMWHEWJVRVMVOWJKZWHGZGZWLVPCKZVTDKZG
      VOVRKZVMWLWHUFWNWOWPWNACVPVKVLWMUGVMWLVQWAUHRWNBDVTVKVLWMUIVMWLVQWAUJRULV
      OCDUMUKUNUOUPVQWAEVRUQSWEVSWGWBWEVOWDJZAKZEVRLZVSVRCWDVDWDVRURWEWTUSCDUTV
      RCWDVAEVRAWDVBVCWSVQEVRWQWRVPAVOVRIVEVFVGVHWGVOWFJZBKZEVRLZWBVRDWFVDWFVRU
      RWGXCUSCDVIVRDWFVAEVRBWFVBVCXBWAEVRWQXAVTBVOVRMVEVFVGVHVJS $.
  $}

  $( The complex square of side ` D ` is a subset of the complex circle of
     radius ` D ` .  (Contributed by Thierry Arnoux, 25-Sep-2017.) $)
  sqsscirc1 $p |- ( ( ( ( X e. RR /\ 0 <_ X ) /\ ( Y e. RR /\ 0 <_ Y ) )
    /\ D e. RR+ ) -> ( ( X < ( D / 2 ) /\ Y < ( D / 2 ) ) ->
    ( sqrt ` ( ( X ^ 2 ) + ( Y ^ 2 ) ) ) < D ) ) $=
    ( cr wcel cc0 cle wbr wa c2 cdiv co clt csqrt cfv a1i cmul 2re c1 c4 simpld
    cexp caddc simp-4l resqcld simpllr readdcld sqge0d addge0d resqrtcld simplr
    crp rpred rehalfcld simprl simp-4r 2rp rpge0d divge0d lt2sqd simprr lt2addd
    mpbid simprd sqrtltd rpre recnd 2timesd fveq2d sqrtsqd oveq2d 0le2 sqrtmuld
    rpge0 2cnd sqrtcld rpcn wne 2ne0 div32d 3eqtr4d eqtr3d 2lt4 wb 4re 0re 4pos
    ltleii sqrtlt mp4an mpbi 2pos sqrtpclii ltdiv1ii sqrtsq mp2an oveq1i fveq2i
    wceq sq2 2div2e1 3eqtr3i breqtri 1red ltmul1d mpbii mulid2d breqtrd eqbrtrd
    id syl lttrd ex ) BDEZFBGHZIZCDEZFCGHZIZIZAULEZIZBAJKLZMHZCYCMHZIZBJUBLZCJU
    BLZUCLZNOZAMHYBYFIZYJYCJUBLZYLUCLZNOZAYKYIYKYGYHYKBXNXOXSYAYFUDZUEZYKCYKXQX
    RXPXSYAYFUFZUAZUEZUGZYKYGYHYPYSYKBYOUHYKCYRUHUIZUJYKYMYKYLYLYKYCYKAYKAXTYAY
    FUKZUMZUNZUEZUUEUGZYKYLYLUUEUUEYKYCUUDUHZUUGUIZUJUUCYKYIYMMHYJYNMHYKYGYHYLY
    LYPYSUUEUUEYKYDYGYLMHYBYDYEUOYKBYCYOUUDXNXOXSYAYFUPYKAJUUCJULEZYKUQPYKAUUBU
    RUSZUTVCYKYEYHYLMHYBYDYEVAYKCYCYRUUDYKXQXRYQVDUUJUTVCVBYKYIYMYTUUAUUFUUHVEV
    CYKYAYNAMHUUBYAYNJNOZJKLZAQLZAMYAJYLQLZNOZYNUUMYAUUNYMNYAYLYAYLYAYCYAAAVFZU
    NZUEZVGVHVIYAUUKYLNOZQLUUKYCQLUUOUUMYAUUSYCUUKQYAYCUUQYAAJUUPUUIYAUQPAVNUSV
    JVKYAJYLJDEZYARPZFJGHZYAVLPZUURYAYCUUQUHVMYAUUKJAYAJYAVOZVPUVDAVQZJFVRYAVSP
    VTWAWBYAUUMSAQLZAMYAUULSMHUUMUVFMHUULTNOZJKLZSMUUKUVGMHZUULUVHMHJTMHZUVIWCU
    UTUVBTDEFTGHUVJUVIWDRVLWEFTWFWEWGWHJTWIWJWKUUKUVGJJRWLWMTWEWGWMRWLWNWKJJUBL
    ZNOZJKLJJKLUVHSUVLJJKUUTUVBUVLJWSRVLJWOWPWQUVLUVGJKUVKTNWTWRWQXAXBXCYAUULSA
    YAUUKYAJUVAUVCUJUNYAXDYAXJXEXFYAAUVEXGXHXIXKXLXM $.

  $( The complex square of side ` D ` is a subset of the complex disc of radius
     ` D ` .  (Contributed by Thierry Arnoux, 25-Sep-2017.) $)
  sqsscirc2 $p |- ( ( ( A e. CC /\ B e. CC ) /\ D e. RR+ ) ->
    ( ( ( abs ` ( Re ` ( B - A ) ) ) < ( D / 2 ) /\
        ( abs ` ( Im ` ( B - A ) ) ) < ( D / 2 ) )
                                              -> ( abs ` ( B - A ) ) < D ) ) $=
    ( cc wcel wa co cfv cabs c2 clt wbr cexp caddc csqrt cc0 cle recnd abscld
    cr crp cmin cre cdiv cim simplr simpll subcld recld absge0d jca imcld simpr
    wi sqsscirc1 syl21anc absval2d breq1d absresq oveq12d fveq2d bitr4d sylibrd
    wceq syl ) ADEZBDEZFZCUAEZFZBAUBGZUCHZIHZCJUDGZKLVKUEHZIHZVNKLFZVMJMGZVPJMG
    ZNGZOHZCKLZVKIHZCKLZVJVMTEZPVMQLZFVPTEZPVPQLZFVIVQWBUNVJWEWFVJVLVJVLVJVKVJB
    AVFVGVIUFVFVGVIUGUHZUIZRZSVJVLWKUJUKVJWGWHVJVOVJVOVJVKWIULZRZSVJVOWMUJUKVHV
    IUMCVMVPUOUPVJWDVLJMGZVOJMGZNGZOHZCKLWBVJWCWQCKVJVKWIUQURVJWAWQCKVJVTWPOVJV
    RWNVSWONVJVLTEVRWNVDWJVLUSVEVJVOTEVSWOVDWLVOUSVEUTVAURVBVC $.

  ${
    $d x y F $.  $d x G $.  $d x y H $.  $d x y X $.  $d x y Y $.
    cnre2csqlem.1 $e |- ( G |` ( RR X. RR ) ) = ( H o. F ) $.
    cnre2csqlem.2 $e |- F Fn ( RR X. RR ) $.
    cnre2csqlem.3 $e |- G Fn _V $.
    cnre2csqlem.4 $e |- ( x e. ( RR X. RR ) -> ( G ` x ) e. RR ) $.
    cnre2csqlem.5 $e |- ( ( x e. ran F /\ y e. ran F )
                          -> ( H ` ( x - y ) ) = ( ( H ` x ) - ( H ` y ) ) ) $.
    $( Lemma for ~ cnre2csqima .  (Contributed by Thierry Arnoux,
       27-Sep-2017.) $)
    cnre2csqlem $p |- ( ( X e. ( RR X. RR ) /\ Y e. ( RR X. RR ) /\ D e. RR+ )
      -> ( Y e. ( `' ( G |` ( RR X. RR ) )
                                " ( ( ( G ` X ) - D ) (,) ( ( G ` X ) + D ) ) )
           -> ( abs ` ( H ` ( ( F ` Y ) - ( F ` X ) ) ) ) < D ) ) $=
      ( cr wcel cfv cmin co clt wceq cxp crp w3a cres ccnv caddc cioo cima cabs
      wbr wa wfn wb cvv wss fnssres mp2an elpreima mp1i simplbda ex simp2 fvres
      ssv syl eleq1d simp1 cv fveq2 vtoclga simp3 rpred resubcld rexrd readdcld
      cxr elioo2 syl2anc biimpa simp2d simp3d jca sylbid absdiflt biimprd 3syld
      syl3anc crn fnfvelrn sylancr fvoveq1 oveq1d eqeq12d oveq2 fveq2d vtocl2ga
      wi oveq2d ccom fveq1i fvco2 3eqtr3a oveq12d eqtr4d breq1d sylibrd ) GNNUA
      ZOZHXGOZCUBOZUCZHEXGUDZUEGEPZCQRZXMCUFRZUGRZUHOZHEPZXMQRZUIPZCSUJZHDPZGDP
      ZQRZFPZUIPZCSUJXKXQHXLPZXPOZXNXRSUJZXRXOSUJZUKZYAXKXQYHXKXQXIYHXLXGULZXQX
      IYHUKUMXKEUNULXGUNUOYLKXGVDUNXGEUPUQXGHXPXLURUSUTVAXKYHXRXPOZYKXKYGXRXPXK
      XIYGXRTXHXIXJVBZHXGEVCVEZVFXKYMYKXKYMUKZYIYJYPXRNOZYIYJXKYMYQYIYJUCZXKXNV
      POXOVPOYMYRUMXKXNXKXMCXKXHXMNOZXHXIXJVGZAVHZEPZNOZYSAGXGUUAGTUUBXMNUUAGEV
      IVFLVJVEZXKCXHXIXJVKVLZVMVNXKXOXKXMCUUDUUEVOVNXNXOXRVQVRVSZVTYPYQYIYJUUFW
      AWBVAWCXKYQYSCNOZYKYAWQXKXIYQYNUUCYQAHXGUUAHTUUBXRNUUAHEVIVFLVJVEUUDUUEYQ
      YSUUGUCYAYKXRXMCWDWEWGWFXKYFXTCSXKYEXSUIXKYEYBFPZYCFPZQRZXSXKYBDWHZOZYCUU
      KOZYEUUJTZXKDXGULZXIUULJYNXGHDWIWJXKUUOXHUUMJYTXGGDWIWJUUABVHZQRFPZUUAFPZ
      UUPFPZQRZTYBUUPQRZFPZUUHUUSQRZTUUNABYBYCUUKUUKUUAYBTZUUQUVBUUTUVCUUAYBUUP
      FQWKUVDUURUUHUUSQUUAYBFVIWLWMUUPYCTZUVBYEUVCUUJUVEUVAYDFUUPYCYBQWNWOUVEUU
      SUUIUUHQUUPYCFVIWRWMMWPVRXKXRUUHXMUUIQXKYGHFDWSZPZXRUUHHXLUVFIWTYOXKUUOXI
      UVGUUHTJYNXGFDHXAWJXBXKGXLPZGUVFPZXMUUIGXLUVFIWTXKXHUVHXMTYTGXGEVCVEXKUUO
      XHUVIUUITJYTXGFDGXAWJXBXCXDWOXEXF $.
  $}

  ${
    $d x y z $.  $d u z F $.  $d u z X $.  $d u z Y $.
    cnre2csqima.1 $e |- F = ( x e. RR , y e. RR |-> ( x + ( _i x. y ) ) ) $.
    $( Image of a centered square by the canonical bijection from
       ` ( RR X. RR ) ` to ` CC ` .  (Contributed by Thierry Arnoux,
       27-Sep-2017.) $)
    cnre2csqima $p |- ( ( X e. ( RR X. RR ) /\ Y e. ( RR X. RR ) /\ D e. RR+ )
      -> ( Y e. ( ( ( ( 1st ` X ) - D ) (,) ( ( 1st ` X ) + D ) )
               X. ( ( ( 2nd ` X ) - D ) (,) ( ( 2nd ` X ) + D ) ) ) ->
           ( ( abs ` ( Re ` ( ( F ` Y ) - ( F ` X ) ) ) ) < D /\
             ( abs ` ( Im ` ( ( F ` Y ) - ( F ` X ) ) ) ) < D ) ) ) $=
      ( vz c1st cfv co caddc c2nd wcel cr cre cim cc wceq cvv vu cmin cioo cres
      cxp ccnv cima cin crp w3a cabs clt wbr wa wss wb xpinpreima2 eleq2d mp2an
      ioossre elin cv ci cmul c2 cdiv cmpo ccom simpl recnd ax-icn simpr mulcld
      ccj a1i addcld reval crre eqtr3d mpoeq3ia wtru adantl cmpt df-re id fveq2
      syl oveq12d oveq1d mptru df1stres 3eqtr4ri wral wfn rgen2 fnmpo ax-mp wfo
      fmpoco fo1st fofn xp1st crn wrex cab rnmpo adantr eqeltrd rexlimivv abssi
      eqsstri sselid resubd cnre2csqlem imval crim df-im fvoveq1 df2ndres fo2nd
      ex xp2nd imsubd anim12d syl5bi ) FEIJZCUBKZYFCLKZUCKZEMJZCUBKZYJCLKZUCKZU
      EZNZFIOOUEZUDZUFYIUGZMYPUDZUFYMUGZUHZNZEYPNFYPNCUINUJZFDJEDJUBKZPJUKJCULU
      MZUUDQJUKJCULUMZUNZYIOUOZYMOUOZYOUUBUPYGYHUTYKYLUTUUHUUIUNYNUUAFYIYMOOUQU
      RUSUUBFYRNZFYTNZUNUUCUUGFYRYTVAUUCUUJUUEUUKUUFHUACDIPEFABOOAVBZVCBVBZVDKZ
      LKZUUOVNJZLKZVEVFKZVGZABOOUULVGPDVHZYQABOOUURUULUULONZUUMONZUNZUUOPJZUURU
      ULUVCUUORNZUVDUURSUVCUULUUNUVCUULUVAUVBVIVJUVCVCUUMVCRNUVCVKVOUVCUUMUVAUV
      BVLVJVMVPZUUOVQWGUULUUMVRVSVTUUTUUSSWAABHOORUUOHVBZUVGVNJZLKZVEVFKZUURDPU
      VCUVEWAUVFWBZDABOOUUOVGSWAGVOZPHRUVJWCSWAHWDVOUVGUUOSZUVIUUQVEVFUVMUVGUUO
      UVHUUPLUVMWEUVGUUOVNWFWHWIWSWJABOOWKWLUVEBOWMAOWMDYPWNUVEABOOUVFWOABOOUUO
      DRGWPWQZTTIWRITWNWTTTIXAWQUVGOOXBUVGDXCZNZUAVBZUVONZUNZUVGUVQUVSUVORUVGUV
      OUVMBOXDAOXDZHXERABHOOUUODGXFUVTHRUVMUVGRNZABOOUVCUVMUWAUVCUVMUNUVGUUORUV
      CUVMVLUVCUVEUVMUVFXGXHYAXIXJXKZUVPUVRVIXLZUVSUVORUVQUWBUVPUVRVLXLZXMXNHUA
      CDMQEFABOOUUOVCVFKPJZVGZABOOUUMVGQDVHZYSABOOUWEUUMUVCUUOQJZUWEUUMUVCUVEUW
      HUWESUVFUUOXOWGUULUUMXPVSVTUWGUWFSWAABHOORUUOUVGVCVFKPJZUWEDQUVKUVLQHRUWI
      WCSWAHXQVOUVGUUOVCPVFXRWSWJABOOXSWLUVNTTMWRMTWNXTTTMXAWQUVGOOYBUVSUVGUVQU
      WCUWDYCXNYDYEYE $.
  $}

  ${
    $d u v x y z $.  $d d m r x A $.  $d d r B $.  $d d m x G $.  $d d x J $.
    $d d x y m r X $.
    tpr2rico.0 $e |- J = ( topGen ` ran (,) ) $.
    tpr2rico.1 $e |- G = ( u e. RR , v e. RR |-> ( u + ( _i x. v ) ) ) $.
    tpr2rico.2 $e |- B = ran ( x e. ran (,) , y e. ran (,) |-> ( x X. y ) ) $.
    $( For any point of an open set of the usual topology on ` ( RR X. RR ) `
       there is an open square which contains that point and is entirely in the
       open set.  This is square is actually a ball by the ` ( l ^ +oo ) ` norm
       ` X ` .  (Contributed by Thierry Arnoux, 21-Sep-2017.) $)
    tpr2rico $p |- ( ( A e. ( J tX J ) /\ X e. A ) ->
      E. r e. B ( X e. r /\ r C_ A ) ) $=
      ( vd co wcel wa crp cr cc vz vm ctx c1st cfv cv cdiv cmin caddc cioo c2nd
      cxp wss wrex wral crn cmpo wceq cxr wfn cpw clt df-ioo ixxf ffn mp1i cuni
      c2 elssuni ctg ctop retop eqeltri uniretop unieqi eqtr4i txunii sseqtrrdi
      wf ad2antrr simplr sseldd xp1st syl simpr rpred rehalfcld resubcld fnovrn
      rexrd readdcld syl3anc xp2nd eqidd eqeq2d vex eleqtrrdi ralrimiva cvv wbr
      eqid rphalfcld ltsubrpd ltaddrpd w3a wb elioo1 syl2anc mpbir3and jca cabs
      cima cmnf cpnf cle mnfle pnfge mnfxr pnfxr ioossioo mpanl12 ioomax sselda
      sseqtrdi wi adantr wf1o mp2b a1i syl21anc imp cnxmet wfun cdm ax-mp f1odm
      ex funfvima sylancr r19.29 xpeq1 xpeq2 rspc2ev xpex elrnmpo sylibr sselid
      xpss elxp7 sylanbrc ccnv ccom cbl xpss12 expcom imdistanri cre cim simpr1
      ancld 3anassrs cnre2csqima ccnfld ctopn chmeo cnrehmeo cnfldtopon hmeof1o
      toponunii f1of ffvelrnd ffvelrnda sqsscirc2 cxmet rpxrd cnmetdval eqbrtrd
      jctil elbl3 syldan syld f1ocnv f1ofun f1ocnvfv1 eleq1d biimpd 3syld ssrdv
      biimpar cmul mpofun hmeoima mpan cnfldtopn elmopn2 simprbi sseq1d rexbidv
      ci oveq1 rspcva imass2 wf1 f1imacnv sseq2d syl5ib reximdv mpd sstr reximi
      f1of1 eleq2 sseq1 anbi12d rspcev rexlimivw ) EHHUCOZPZIEPZQZIUDUEZNUFZVHU
      GOZUHOZUYAUYCUIOZUJOZIUKUEZUYCUHOZUYGUYCUIOZUJOZULZFPZIUYKPZUYKEUMZQZQZNR
      UNZIJUFZPZUYREUMZQZJFUNZUXTUYLNRUOUYONRUNZUYQUXTUYLNRUXTUYBRPZQZUYKABUJUP
      ZVUFAUFZBUFZULZUQZUPZFVUEUYKVUIURZBVUFUNAVUFUNZUYKVUKPVUEUYFVUFPZUYJVUFPZ
      UYKUYKURZVUMVUEUJUSUSULZUTZUYDUSPZUYEUSPZVUNVUQUSVAZUJVSVURVUEABUAVBVBUJA
      BUAVCVDVUQVVAUJVEVFZVUEUYDVUEUYAUYCVUEISSULZPZUYASPVUEEVVCIUXREVVCUMZUXSV
      UDUXREUXQVGVVCEUXQVIHHSSHVUFVJUEZVKKVLVMZVVGSVVFVGHVGVNHVVFKVOVPZVVHVQZVR
      ZVTUXRUXSVUDWAWBZISSWCWDZVUEUYBVUEUYBUXTVUDWEZWFWGZWHWJZVUEUYEVUEUYAUYCVV
      LVVNWKWJZUSUSUYDUYEUJWIWLVUEVURUYHUSPZUYIUSPZVUOVVBVUEUYHVUEUYGUYCVUEVVDU
      YGSPVVKISSWMWDZVVNWHWJZVUEUYIVUEUYGUYCVVSVVNWKWJZUSUSUYHUYIUJWIWLVUEUYKWN
      VULVUPUYKUYFVUHULZURABUYFUYJVUFVUFVUGUYFURVUIVWBUYKVUGUYFVUHUUAWOVUHUYJUR
      VWBUYKUYKVUHUYJUYFUUBWOUUCWLABVUFVUFVUIUYKVUJVUJXAVUGVUHAWPBWPUUDUUEUUFMW
      QWRUXTUYMNRUOUYNNRUNZVUCUXTUYMNRVUEIWSWSULZPUYAUYFPZUYGUYJPZQUYMVUEVVCVWD
      ISSUUHVVKUUGVUEVWEVWFVUEVWEUYAUSPZUYDUYAVBWTZUYAUYEVBWTZVUEUYAVVLWJVUEUYA
      UYCVVLVUEUYBVVMXBZXCVUEUYAUYCVVLVWJXDVUEVUSVUTVWEVWGVWHVWIXEXFVVOVVPUYDUY
      EUYAXGXHXIVUEVWFUYGUSPZUYHUYGVBWTZUYGUYIVBWTZVUEUYGVVSWJVUEUYGUYCVVSVWJXC
      VUEUYGUYCVVSVWJXDVUEVVQVVRVWFVWKVWLVWMXEXFVVTVWAUYHUYIUYGXGXHXIXJIUYFUYJU
      UIUUJWRUXTUYKGUUKZIGUEZUYBXKUHUULZUUMUEZOZXLZUMZVWSEUMZQZNRUNZVWCUXTVWTNR
      UOVXANRUNZVXCUXTVWTNRVUEAUYKVWSVUEVUGUYKPZVUGVWSPZVUEVXEQVUEVUGVVCPZQZVXE
      QVXFVXEVUEVXHVXEVUEVXGVUEVXEVXGVUEUYKVVCVUGVUEUYFSUMUYJSUMUYKVVCUMVUEUYFX
      MXNUJOZSVUEXMUYDXOWTZUYEXNXOWTZUYFVXIUMZVUEVUSVXJVVOUYDXPWDVUEVUTVXKVVPUY
      EXQWDXMUSPZXNUSPZVXJVXKQVXLXRXSXMXNUYDUYEXTYAXHYBYDVUEUYJVXISVUEXMUYHXOWT
      ZUYIXNXOWTZUYJVXIUMZVUEVVQVXOVVTUYHXPWDVUEVVRVXPVWAUYIXQWDVXMVXNVXOVXPQVX
      QXRXSXMXNUYHUYIXTYAXHYBYDUYFSUYJSUUNXHYCUUOUUTUUPVXHVXEVXFVXHVXEVUGGUEZVW
      RPZVXRVWNUEZVWSPZVXFVXHVXEVXRVWOUHOZUUQUEXKUEUYCVBWTVYBUURUEXKUEUYCVBWTQZ
      VXSVXHVVDVXGUYCRPVXEVYCYEUXRUXSVUDVXGVVDUXRUXSVUDVXGXEZQEVVCIUXRVVEVYDVVJ
      YFUXRUXSVUDVXGUUSWBUVAZVUEVXGWEZVXHUYBUXTVUDVXGWAZXBDCUYCGIVUGLUVBWLVXHVY
      CVXSVXHVYCVYBXKUEZUYBVBWTZVXSVXHVYCVYIVXHVWOTPZVXRTPZVUDVYCVYIYEVXHVVCTIG
      VVCTGVSZVXHGUXQUVCUVDUEZUVEOPZVVCTGYGZVYLDCGHVYMLKVYMXAZUVFZGUXQVYMVVCTVV
      ITVYMVYMVYPUVGUVIUVHZVVCTGUVJYHZYIVYEUVKZVUEVVCTVUGGVYLVUEVYSYIUVLZVYGVWO
      VXRUYBUVMYJYKVXHVYIQZVWPTUVNUEPZUYBUSPZQZVYJVYKQZVXRVWOVWPOZUYBVBWTZVXSWU
      BWUDWUCVXHWUDVYIVXHUYBVYGUVOYFYLUVRWUBVYJVYKVXHVYJVYIVYTYFZVXHVYKVYIWUAYF
      ZXJWUBWUGVYHUYBVBWUBVYKVYJWUGVYHURWUJWUIVXRVWOVWPVWPXAUVPXHVXHVYIWEUVQWUE
      WUFQVXSWUHVXRVWPVWOUYBTUVSUWIYJUVTYQUWAVXHVWNYMZVXRVWNYNZPVXSVYAYETVVCVWN
      YGZWUKVYNVYOWUMVYQVYRVVCTGUWBYHZTVVCVWNUWCYOVXHVXRTWULWUAWUMWULTURWUNTVVC
      VWNYPYOWQVWRVXRVWNYRYSVXHVYAVXFVXHVXTVUGVWSVXHVYOVXGVXTVUGURVYNVYOVXHVYQV
      YRVFVYFVVCTVUGGUWDXHUWEUWFUWGYKWDYQUWHWRUXTVWRGEXLZUMZNRUNZVXDUXTVWOWUOPZ
      UBUFZUYBVWQOZWUOUMZNRUNZUBWUOUOZWUQUXTGYMZIGYNZPZUXSWURWVDUXTDCSSDUFUWSCU
      FUWJOUIOGLUWKYIUXTIVVCWVEUXREVVCIVVJYCVYNVYOWVEVVCURVYQVYRVVCTGYPYHWQUXRU
      XSWEWVDWVFQUXSWUREIGYRYKYJUXRWVCUXSUXRWUOVYMPZWVCVYNUXRWVGVYQEGUXQVYMUWLU
      WMWVGWUOTUMZWVCWUCWVGWVHWVCQXFYLUBNWUOVWPVYMTVYMVYPUWNUWOYOUWPWDYFWVBWUQU
      BVWOWUOWUSVWOURZWVAWUPNRWVIWUTVWRWUOWUSVWOUYBVWQUWTUWQUWRUXAXHUXRWUQVXDYE
      UXSUXRWUPVXANRWUPVWSVWNWUOXLZUMUXRVXAVWRWUOVWNUXBUXRWVJEVWSUXRVVCTGUXCZVV
      EWVJEURVYNVYOWVKVYQVYRVVCTGUXKYHVVJVVCTEGUXDYSUXEUXFUXGYFUXHVWTVXANRYTXHV
      XBUYNNRUYKVWSEUXIUXJWDUYMUYNNRYTXHUYLUYONRYTXHUYPVUBNRVUAUYOJUYKFUYRUYKUR
      UYSUYMUYTUYNUYRUYKIUXLUYRUYKEUXMUXNUXOUXPWD $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Order topology - misc. additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y z A $.
    cnvordtrestixx.1 $e |- A C_ RR* $.
    cnvordtrestixx.2 $e |- ( ( x e. A /\ y e. A ) -> ( x [,] y ) C_ A ) $.
    $( The restriction of the 'greater than' order to an interval gives the
       same topology as the subspace topology.  (Contributed by Thierry Arnoux,
       1-Apr-2017.) $)
    cnvordtrestixx $p |- ( ( ordTop ` <_ ) |`t A ) =
      ( ordTop ` ( `' <_ i^i ( A X. A ) ) ) $=
      ( vz cle cordt cfv crest co wceq wtru cxr wcel ax-mp wss cv wa wbr cnvtsr
      ccnv cxp cin crn cdm lern df-rn eqtri ctsr letsr a1i crab wb brcnvg simpr
      adantlr simplr syl2anc anbi12d ancom bitrdi rabbidva sselid iccval ancoms
      simpl eqsstrrd eqsstrd adantl ordtrest2 mptru tsrps ordtcnv oveq1i eqtr2i
      cicc cps ) GUBZCCUCUDHIZVSHIZCJKZGHIZCJKVTWBLMBAFCVSNNGUEVSUFUGGUHUIVSUJO
      ZMGUJOZWDUKGUAPULCNQMDULBRZCOZARZCOZSZWFFRZVSTZWKWHVSTZSZFNUMZCQMWJWOWHWK
      GTZWKWFGTZSZFNUMZCWJWNWRFNWJWKNOZSZWNWQWPSWRXAWLWQWMWPWGWTWLWQUNWIWFWKCNG
      UOUQXAWTWIWMWPUNWJWTUPWGWIWTURWKWHNCGUOUSUTWQWPVAVBVCWJWSWHWFVQKZCWJWHNOW
      FNOXBWSLWJCNWHDWGWIUPVDWJCNWFDWGWIVGVDFWHWFVEUSWIWGXBCQEVFVHVIVJVKVLWAWCC
      JGVROZWAWCLWEXCUKGVMPGVNPVOVP $.
  $}

  ${
    $d x y .<_ $.  $d x y B $.  $d x y K $.
    ordtNEW.b $e |- B = ( Base ` K ) $.
    ordtNEW.l $e |- .<_ = ( ( le ` K ) i^i ( B X. B ) ) $.
    $( Domain of the relation of a proset.  (Contributed by Thierry Arnoux,
       11-Sep-2015.) $)
    prsdm $p |- ( K e. Proset -> dom .<_ = B ) $=
      ( vx vy cproset wcel cdm cv cple cfv cxp cin dmeqi eleq2i cop wex syl vex
      eldm2 wa wbr eqid prsref df-br sylib simpr opelxpd elind weq opeq2 eleq1d
      spcev ex elinel2 opelxp1 exlimiv impbid1 bitr4id syl5bb eqrdv ) BHIZFCJZA
      FKZVEIVFBLMZAANZOZJZIZVDVFAIZVEVJVFCVIEPQVDVKVFGKZRZVIIZGSZVLGVFVIFUAZUBV
      DVLVPVDVLVPVDVLUCZVFVFRZVIIZVPVRVGVHVSVRVFVFVGUDVSVGIABVGVFDVGUEUFVFVFVGU
      GUHVRVFVFAAVDVLUIZWAUJUKVOVTGVFVQGFULVNVSVIVMVFVFUMUNUOTUPVOVLGVOVNVHIVLV
      NVGVHUQVFVMAAURTUSUTVAVBVC $.

    $( Range of the relation of a proset.  (Contributed by Thierry Arnoux,
       11-Sep-2018.) $)
    prsrn $p |- ( K e. Proset -> ran .<_ = B ) $=
      ( vx vy cproset wcel crn cv cple cfv cxp cin rneqi eleq2i cop wex syl vex
      elrn2 wa wbr eqid prsref df-br sylib simpr opelxpd elind weq opeq1 eleq1d
      spcev ex elinel2 opelxp2 exlimiv impbid1 bitr4id syl5bb eqrdv ) BHIZFCJZA
      FKZVEIVFBLMZAANZOZJZIZVDVFAIZVEVJVFCVIEPQVDVKGKZVFRZVIIZGSZVLGVFVIFUAZUBV
      DVLVPVDVLVPVDVLUCZVFVFRZVIIZVPVRVGVHVSVRVFVFVGUDVSVGIABVGVFDVGUEUFVFVFVGU
      GUHVRVFVFAAVDVLUIZWAUJUKVOVTGVFVQGFULVNVSVIVMVFVFUMUNUOTUPVOVLGVOVNVHIVLV
      NVGVHUQVMVFAAURTUSUTVAVBVC $.

    $( Relation of a subproset.  (Contributed by Thierry Arnoux,
       13-Sep-2018.) $)
    prsss $p |- ( ( K e. Proset /\ A C_ B )
      -> ( .<_ i^i ( A X. A ) ) = ( ( le ` K ) i^i ( A X. A ) ) ) $=
      ( wss cxp cin cple cfv wceq cproset wcel ineq1i inass eqtri xpss12 anidms
      sseqin2 sylib ineq2d syl5eq adantl ) ABGZDAAHZIZCJKZUFIZLCMNUEUGUHBBHZUFI
      ZIZUIUGUHUJIZUFIULDUMUFFOUHUJUFPQUEUKUFUHUEUFUJGZUKUFLUEUNABABRSUFUJTUAUB
      UCUD $.

    $( Domain of a subproset relation.  (Contributed by Thierry Arnoux,
       12-Sep-2018.) $)
    prsssdm $p |- ( ( K e. Proset /\ A C_ B )
      -> dom ( .<_ i^i ( A X. A ) ) = A ) $=
      ( cproset wcel cxp cin cdm cple cfv dmeqd cbs wceq eqid syl cvv adantl wa
      wss prsss cress co ressprs prsdm ressbas2 eqeltrdi ressle sqxpeqd ineq12d
      fvex 3eqtr4d eqtrd ) CGHZABUBZUAZDAAIZJZKCLMZUSJZKZAURUTVBABCDEFUCNURCAUD
      UEZLMZVDOMZVFIZJZKZVFVCAURVDGHVIVFPABCEUFVFVDVHVFQVHQUGRURVBVHURVAVEUSVGU
      QVAVEPZUPUQASHVJUQAVFSABVDCVDQZEUHZVDOUMUIACVASVDVKVAQUJRTURAVFUQAVFPUPVL
      TZUKULNVMUNUO $.

    ${
      ordtposval.e $e |- E = ran ( x e. B |-> { y e. B | -. y .<_ x } ) $.
      ordtposval.f $e |- F = ran ( x e. B |-> { y e. B | -. x .<_ y } ) $.
      $( Value of the order topology for a proset.  (Contributed by Thierry
         Arnoux, 11-Sep-2015.) $)
      ordtprsval $p |- ( K e. Proset -> ( ordTop ` .<_ ) =
        ( topGen ` ( fi ` ( { B } u. ( E u. F ) ) ) ) ) $=
        ( cfv crab cmpt crn cun cfi ctg cvv eqid cproset wcel cordt cdm csn wbr
        cv wn wceq cple cxp cin inex1 eqeltri ordtval ax-mp prsdm sneqd rabeqdv
        fvex mpteq12dv rneqd eqtr4di uneq12d fveq2d syl5eq ) FUAUBZGUCLZGUDZUEZ
        AVIBUGZAUGZGUFUHZBVIMZNZOZAVIVLVKGUFUHZBVIMZNZOZPZPZQLZRLZCUEZDEPZPZQLZ
        RLGSUBVHWDUIGFUJLZCCUKZULSIWIWJFUJUTUMUNABVPVTGSVIVITVPTVTTUOUPVGWCWHRV
        GWBWGQVGVJWEWAWFVGVICCFGHIUQZURVGVPDVTEVGVPACVMBCMZNZODVGVOWMVGAVIVNCWL
        WKVGVMBVICWKUSVAVBJVCVGVTACVQBCMZNZOEVGVSWOVGAVIVRCWNWKVGVQBVICWKUSVAVB
        KVCVDVDVEVEVF $.

      $( Value of the order topology.  (Contributed by Thierry Arnoux,
         13-Sep-2018.) $)
      ordtprsuni $p |- ( K e. Proset -> B = U. ( { B } u. ( E u. F ) ) ) $=
        ( wcel csn crab cmpt crn cun cuni cvv eqid cproset cv prsdm sneqd biidd
        cdm wbr rabeqbidv mpteq12dv rneqd uneq12d unieqd wceq cple cfv cxp fvex
        wn cin inex1 eqeltri ordtuni ax-mp eqtr3di uneq12i a1i uneq2d 3eqtr4d )
        FUALZGUFZMZAVJBUBZAUBZGUGURZBVJNZOZPZAVJVMVLGUGURZBVJNZOZPZQZQZRZCMZACV
        NBCNZOZPZACVRBCNZOZPZQZQZRCWEDEQZQZRVIWCWMVIVKWEWBWLVIVJCCFGHIUCZUDVIVQ
        WHWAWKVIVPWGVIAVJVOCWFWPVIVNVNBVJCWPVIVNUEUHUIUJVIVTWJVIAVJVSCWIWPVIVRV
        RBVJCWPVIVRUEUHUIUJUKUKULVIVJCWDWPGSLVJWDUMGFUNUOZCCUPZUSSIWQWRFUNUQUTV
        AABVQWAGSVJVJTVQTWATVBVCVDVIWOWMVIWNWLWEWNWLUMVIDWHEWKJKVEVFVGULVH $.
    $}

    $( The order dual generates the same topology as the original order.
       (Contributed by Mario Carneiro, 3-Sep-2015.)  (Revised by Thierry
       Arnoux, 13-Sep-2018.) $)
    ordtcnvNEW $p |- ( K e. Proset -> ( ordTop ` `' .<_ ) = ( ordTop ` .<_ ) )
      $=
      ( vx vy cproset ccnv wbr wn crab cmpt crn cun cfi cfv ctg eqid cin csn cv
      cordt wb vex brcnv a1i notbid rabbidv mpteq2dv rneqd uneq12d uncom eqtrdi
      wcel uneq2d fveq2d codu wceq oduprs odubas cple cxp cnveqi cnvin oduleval
      cnvxp ineq12i 3eqtri ordtprsval syl 3eqtr4d ) BHUOZAUAZFAGUBZFUBZCIZJZKZG
      ALZMZNZFAVPVOVQJZKZGALZMZNZOZOZPQZRQZVNFAVOVPCJZKZGALZMZNZFAVPVOCJZKZGALZ
      MZNZOZOZPQZRQVQUCQZCUCQVMWJXDRVMWIXCPVMWHXBVNVMWHXAWPOXBVMWBXAWGWPVMWAWTV
      MFAVTWSVMVSWRGAVMVRWQVRWQUDVMVOVPCGUEZFUEZUFUGUHUIUJUKVMWFWOVMFAWEWNVMWDW
      MGAVMWCWLWCWLUDVMVPVOCXGXFUFUGUHUIUJUKULXAWPUMUNUPUQUQVMBURQZHUOXEWKUSXHB
      XHSZUTFGAWBWGXHVQAXHBXIDVAVQBVBQZAAVCZTZIXJIZXKIZTXHVBQZXKTCXLEVDXJXKVEXM
      XOXNXKXHXJBXIXJSVFAAVGVHVIWBSWGSVJVKFGAWPXABCDEWPSXASVJVL $.

    $d x y .<_ $.  $d x y A $.  $d x y B $.  $d x y K $.
    $( The subspace topology of an order topology is in general finer than the
       topology generated by the restricted order, but we do have inclusion in
       one direction.  (Contributed by Mario Carneiro, 9-Sep-2015.)  (Revised
       by Thierry Arnoux, 11-Sep-2018.) $)
    ordtrestNEW $p |- ( ( K e. Proset /\ A C_ B ) ->
      ( ordTop ` ( .<_ i^i ( A X. A ) ) ) C_ ( ( ordTop ` .<_ ) |`t A ) ) $=
      ( vx vy wcel wss cin cfv cdm crab cvv wceq eqid ctop adantl syl cxp cordt
      cproset wa csn cv wbr wn cmpt crn cun cfi ctg crest co cple inex1 eqeltri
      fvex ordtval mp1i ordttop ax-mp cbs ssex resttop sylancr ressprs ressbas2
      cress prsdm eqeltrdi ressle sqxpeqd ineq12d dmeqd 3eqtr4d biimpar sseqin2
      prsss sseq2d sylib ordttopon toponmax elrestr syl3anc eqeltrd snssd rabeq
      ctopon mpteq12dv rneqd inrab2 wb inss2 simpr sselid adantr brinxp syl2anc
      notbid rabbidva syl5eq simpl inss1 sseli ordtopn1 mpan syl2an fmpttd frnd
      eqeltrrd eqsstrd ordtopn2 unssd tgfiss ) CUCIZABJZUDZDAAUAZKZUBLZYAMZUEZG
      YCHUFZGUFZYAUGZUHZHYCNZUIZUJZGYCYFYEYAUGZUHZHYCNZUIZUJZUKZUKZULLUMLZDUBLZ
      AUNUOZYAOIYBYSPXSDXTDCUPLZBBUAZKOFUUBUUCCUPUSUQURZUQGHYKYPYAOYCYCQYKQYPQU
      TVAXSUUARIZYRUUAJYSUUAJXRUUEXQXRYTRIZAOIZUUEDOIZUUFUUDDOVBZVCABBCVDLOECVD
      USURVEZAYTOVFVGSXSYDYQUUAXSYCUUAXSYCDMZAKZUUAXSUUBXTKZMZAYCUULXSCAVJUOZUP
      LZUUOVDLZUUQUAZKZMZUUQUUNAXSUUOUCIUUTUUQPABCEVHUUQUUOUUSUUQQUUSQVKTXSUUMU
      USXSUUBUUPXTUURXRUUBUUPPZXQXRUUGUVAXRAUUQOABUUOCUUOQZEVIZUUOVDUSVLACUUBOU
      UOUVBUUBQVMTSXSAUUQXRAUUQPXQUVCSZVNVOVPUVDVQXSYAUUMABCDEFVTVPXSAUUKJZUULA
      PXQUVEXRXQUUKBABCDEFVKWAVRAUUKVSWBVQZXSUUFUUGUUKYTIZUULUUAIUUHUUFXSUUDUUI
      VAXRUUGXQUUJSZXSYTUUKWJLIZUVGUUHUVIXSUUDDOUUKUUKQZWCVAUUKYTWDTUUKAYTROWEW
      FWGWHXSYKYPUUAXSYKGUULYHHUULNZUIZUJUUAXSYJUVLXSGYCYIUULUVKUVFXSYCUULPZYIU
      VKPUVFYHHYCUULWITWKWLXSUULUUAUVLXSGUULUVKUUAXSYFUULIZUDZYEYFDUGZUHZHUUKNZ
      AKZUVKUUAUVOUVSUVQHUULNUVKUVQHUUKAWMUVOUVQYHHUULUVOYEUULIZUDZUVPYGUWAYEAI
      ZYFAIZUVPYGWNUWAUULAYEUUKAWOZUVOUVTWPWQZUVOUWCUVTUVOUULAYFUWDXSUVNWPWQWRZ
      YEYFAADWSWTXAXBXCUVOUUFUUGUVRYTIZUVSUUAIUUHUUFUVOUUDUUIVAZXSUUGUVNUVHWRZX
      SXQYFUUKIZUWGUVNXQXRXDZUULUUKYFUUKAXEXFZUWJUWGXQUUHUWJUWGUUDHYFDOUUKUVJXG
      XHSXIUVRAYTROWEWFXLXJXKXMXSYPGUULYMHUULNZUIZUJUUAXSYOUWNXSGYCYNUULUWMUVFX
      SUVMYNUWMPUVFYMHYCUULWITWKWLXSUULUUAUWNXSGUULUWMUUAUVOYFYEDUGZUHZHUUKNZAK
      ZUWMUUAUVOUWRUWPHUULNUWMUWPHUUKAWMUVOUWPYMHUULUWAUWOYLUWAUWCUWBUWOYLWNUWF
      UWEYFYEAADWSWTXAXBXCUVOUUFUUGUWQYTIZUWRUUAIUWHUWIXSXQUWJUWSUVNUWKUWLUWJUW
      SXQUUHUWJUWSUUDHYFDOUUKUVJXNXHSXIUWQAYTROWEWFXLXJXKXMXOXOYRUUAXPWTXM $.

    $d v x y w z .<_ $.  $d v x y w z A $.  $d v x y w z B $.  $d x y z ph $.
    ordtrest2NEW.2 $e |- ( ph -> K e. Toset ) $.
    ordtrest2NEW.3 $e |- ( ph -> A C_ B ) $.
    ordtrest2NEW.4 $e |- ( ( ph /\ ( x e. A /\ y e. A ) ) ->
       { z e. B | ( x .<_ z /\ z .<_ y ) } C_ A ) $.
    $( Lemma for ~ ordtrest2NEW .  (Contributed by Mario Carneiro, 9-Sep-2015.)
       (Revised by Thierry Arnoux, 11-Sep-2018.) $)
    ordtrest2NEWlem $p |- ( ph -> A. v e. ran ( z e. B |-> { w e. B
      | -. w .<_ z } ) ( v i^i A ) e. ( ordTop ` ( .<_ i^i ( A X. A ) ) ) ) $=
      ( wcel wa wceq syl cvv cv cin cxp cordt cfv wbr crab cmpt crn wral inrab2
      wn wss sseqin2 sylib adantr rabeq syl5eq ctopon cdm cple fvex eqeltri a1i
      eqid ordttopon cproset ctos cpo tospos posprs 3syl prsssdm syl2anc fveq2d
      inex1 eleqtrd toponmax wb rabid2 eleq1 sylbir syl5ibcom wrex dfrex2 breq1
      cbvrexvw bitr3i c0 ctop ordttop 0opn syl5ibrcom wne rabn0 notbid bitri wo
      ad3antrrr ad2antrr sselda simpllr trleile syl3anc wi rabss r19.21bi an32s
      ord impr sylan2b brinxp ancoms rabbidva eleqtrrd ordtopn1 eqeltrd anassrs
      an4 eqtr4d expr syld rexlimdva pm2.61dne rexlimdvaa pm2.61d ralrimiva cbs
      syl5bi rabexg ralrimivw ineq1 eleq1d ralrnmptw mpbird ) AFUAZGUBZJGGUCZUB
      ZUDUEZPZFDHEUAZDUAZJUFZULZEHUGZUHZUIUJZUUFGUBZYTPZDHUJZAUUJDHAUUCHPZQZUUI
      UUEEGUGZYTUUMUUIUUEEHGUBZUGZUUNUUEEHGUKUUMUUOGRZUUPUUNRAUUQUULAGHUMZUUQNG
      HUNUOUPUUEEUUOGUQSURUUMUUEEGUJZUUNYTPZUUMGYTPZUUSUUTAUVAUULAYTGUSUEZPUVAA
      YTYSUTZUSUEZUVBAYSTPZYTUVDPUVEAJYRJIVAUEZHHUCZUBTLUVFUVGIVAVBVPVCVPZVDZYS
      TUVCUVCVEZVFSAUVCGUSAIVGPZUURUVCGRZAIVHPZIVIPUVKMIVJIVKVLNGHIJKLVMVNZVOVQ
      GYTVRSUPUUSGUUNRUVAUUTVSUUEEGVTGUUNYTWAWBWCUUSULZBUAZUUCJUFZBGWDZUUMUUTUV
      OUUDEGWDUVRUUDEGWEUUDUVQEBGUUBUVPUUCJWFWGWHUUMUVQUUTBGUUMUVPGPZUVQQZQZUUT
      UUNWIUWAUUTUUNWIRWIYTPZUUMUWBUVTUUMYTWJPZUWBAUWCUULAUVEUWCUVIYSTWKSUPYTWL
      SUPUUNWIYTWAWMUUNWIWNZCUAZUUCJUFZULZCGWDZUWAUUTUWDUUEEGWDUWHUUEEGWOUUEUWG
      ECGUUBUWERUUDUWFUUBUWEUUCJWFWPWGWQUWAUWGUUTCGUWAUWEGPZQZUWGUUCUWEJUFZUUTU
      WJUWFUWKUWJUVMUWEHPUULUWFUWKWRAUVMUULUVTUWIMWSUWAGHUWEAUURUULUVTNWTXAAUUL
      UVTUWIXBHIJUWEUUCKLXCXDXIUWAUWIUWKUUTUUMUVTUWIUWKQZUUTUUMUVTUWLQZQZUUNUUB
      UUCYSUFZULZEUVCUGZYTUWNUUNUWPEGUGZUWQUWNUUCGPZUUNUWRRUWMUUMUVSUWIQZUVQUWK
      QZQUWSUVSUVQUWIUWKXSUUMUWTUXAUWSAUWTUULUXAUWSXEZAUWTQZUXBDHUXCUXADHUGGUMU
      XBDHUJOUXADHGXFUOXGXHXJXKZUWSUUEUWPEGUWSUUBGPZQUUDUWOUXEUWSUUDUWOVSUUBUUC
      GGJXLXMWPXNSUWNUVLUWQUWRRAUVLUULUWMUVNWTZUWPEUVCGUQSXTUWNUVEUUCUVCPUWQYTP
      UVEUWNUVHVDUWNUUCGUVCUXDUXFXOEUUCYSTUVCUVJXPVNXQXRYAYBYCYIYDYEYIYFXQYGAUU
      FTPZDHUJUUHUUKVSAUXGDHAHTPZUXGUXHAHIYHUETKIYHVBVCVDUUEEHTYJSYKUUAUUJDFHUU
      FUUGTUUGVEYPUUFRYQUUIYTYPUUFGYLYMYNSYO $.

    $d w x y z K $.  $d v w x y z ph $.
    $( An interval-closed set ` A ` in a total order has the same subspace
       topology as the restricted order topology.  (An interval-closed set is
       the same thing as an open or half-open or closed interval in ` RR ` ,
       but in other sets like ` QQ ` there are interval-closed sets like
       ` ( _pi , +oo ) i^i QQ ` that are not intervals.)  (Contributed by Mario
       Carneiro, 9-Sep-2015.)  (Revised by Thierry Arnoux, 11-Sep-2018.) $)
    ordtrest2NEW $p |- ( ph ->
      ( ordTop ` ( .<_ i^i ( A X. A ) ) ) = ( ( ordTop ` .<_ ) |`t A ) ) $=
      ( vw vv cin cfv wcel wceq cvv cxp cordt crest cproset wss ctos cpo tospos
      co posprs 3syl ordtrestNEW syl2anc csn wbr crab cmpt crn cun cfi ctg eqid
      cv wn ordtprsval syl oveq1d ctb fibas cbs fvexi a1i tgrest sylancr eqtr4d
      ssexd firest eqtr4di ctop cple fvex inex1 eqeltri ordttop mp1i ordtprsuni
      fveq2i cuni eqeltrrd uniexb sylibr restval wral wf sylib ctopon ordttopon
      sseqin2 cdm prsssdm fveq2d eleqtrd eqeltrd elsni ineq1d eleq1d syl5ibrcom
      toponmax ralrimiv ordtrest2NEWlem ccnv odubas cnveqi cnvin cnvxp oduleval
      codu ineq2i ineq1i 3eqtri eqtri odutos vex brcnv anbi12ci rabbii eqsstrid
      wa ancom2s wb bicomi notbid rabbidv mpteq2dv rneqd cress ressprs sylanbrc
      ralunb eqsstrd prsss ressle ressbas2 sqxpeqd ineq12d eqtrd cnveqd 3eqtr4d
      ordtcnvNEW eqtr3di eleq2d raleqbidv mpbird fmpt frnd tgfiss eqssd ) AHEEU
      AZPZUBQZHUBQZEUCUIZAGUDRZEFUEZUUTUVBUEAGUFRZGUGRUVCKGUHGUJUKZLEFGHIJULUMA
      UVBFUNZDFNVCZDVCZHUOVDNFUPUQURZDFUVIUVHHUOZVDZNFUPZUQZURZUSZUSZEUCUIZUTQZ
      VAQZUUTAUVBUVQUTQZEUCUIZVAQZUVTAUVBUWAVAQZEUCUIZUWCAUVAUWDEUCAUVCUVAUWDSU
      VFDNFUVJUVOGHIJUVJVBZUVOVBZVEVFVGAUWAVHRETRZUWCUWESUVQVIAEFTFTRAFGVJIVKVL
      ZLVPZEUWAVHTVMVNVOUVSUWBVAEUVQVQWGVRAUUTVSRZUVRUUTUEUVTUUTUEUUSTRZUWKAHUU
      RHGVTQZFFUAZPZTJUWMUWNGVTWAWBWCWBZUUSTWDWEAUVROUVQOVCZEPZUQZURZUUTAUVQTRZ
      UWHUVRUWTSAUVQWHZTRUXAAFUXBTAUVCFUXBSUVFDNFUVJUVOGHIJUWFUWGWFVFUWIWIUVQWJ
      WKUWJOEUVQTTWLUMAUVQUUTUWSAUWRUUTRZOUVQWMZUVQUUTUWSWNAUXCOUVGWMUXCOUVPWMZ
      UXDAUXCOUVGAUXCUWQUVGRZFEPZUUTRAUXGEUUTAUVDUXGESLEFWRWOAUUTEWPQZREUUTRAUU
      TUUSWSZWPQZUXHUWLUUTUXJRAUWPUUSTUXIUXIVBWQWEAUXIEWPAUVCUVDUXIESUVFLEFGHIJ
      WTUMXAXBEUUTXHVFXCUXFUWRUXGUUTUXFUWQFEUWQFXDXEXFXGXIAUXCOUVJWMUXCOUVOWMZU
      XEABCDNOEFGHIJKLMXJAUXKUWRHXKZUURPZUBQZRZODFUVHUVIUXLUOZVDZNFUPZUQZURZWMA
      CBDNOEFGXQQZUXLFUYAGUYAVBZIXLUXLUWOXKZUYAVTQZUWNPZHUWOJXMUYCUWMXKZUWNXKZP
      UYFUWNPUYEUWMUWNXNUYGUWNUYFFFXOXRUYFUYDUWNUYAUWMGUYBUWMVBZXPXSXTYAAUVEUYA
      UFRKUYAGUYBYBVFLABVCZERZCVCZERZUYKUVIUXLUOZUVIUYIUXLUOZYHZDFUPZEUEAUYJUYL
      YHYHUYPUYIUVIHUOZUVIUYKHUOZYHZDFUPEUYOUYSDFUYMUYRUYNUYQUYKUVIHCYCDYCZYDUV
      IUYIHUYTBYCYDYEYFMYGYIXJAUXCUXOOUVOUXTAUVNUXSADFUVMUXRAUVLUXQNFAUVKUXPUVK
      UXPYJAUXPUVKUVHUVIHNYCUYTYDYKVLYLYMYNYOAUUTUXNUWRAUUSXKZUBQZUUTUXNAGEYPUI
      ZVTQZVUCVJQZVUEUAZPZXKZUBQZVUGUBQZVUBUUTAVUCUDRZVUIVUJSAUVCUVDVUKUVFLEFGI
      YQUMVUEVUCVUGVUEVBVUGVBUUIVFAVUAVUHUBAUUSVUGAUUSUWMUURPZVUGAUVCUVDUUSVULS
      UVFLEFGHIJUUAUMAUWMVUDUURVUFAUWHUWMVUDSUWJEGUWMTVUCVUCVBZUYHUUBVFAEVUEAUV
      DEVUESLEFVUCGVUMIUUCVFUUDUUEUUFZUUGXAAUUSVUGUBVUNXAUUHVUAUXMUBVUAUXLUURXK
      ZPUXMHUURXNVUOUURUXLEEXOXRYAWGUUJUUKUULUUMUXCOUVJUVOYSYRUXCOUVGUVPYSYROUV
      QUUTUWRUWSUWSVBUUNWOUUOYTUVRUUTUUPUMYTUUQ $.
  $}

  ${
    $d r x y A $.  $d r x y z B $.  $d r J $.  $d r x y z K $.  $d x y z .<_ $.
    ordtconn.x $e |- B = ( Base ` K ) $.
    ordtconn.l $e |- .<_ = ( ( le ` K ) i^i ( B X. B ) ) $.
    ordtconn.j $e |- J = ( ordTop ` .<_ ) $.
    $( Connectedness in the order topology of a toset.  This is the "easy"
       direction of ~ ordtconn .  See also ~ reconnlem1 .  (Contributed by
       Thierry Arnoux, 14-Sep-2018.) $)
    ordtconnlem1 $p |- ( ( K e. Toset /\ A C_ B ) -> ( ( J |`t A ) e. Conn ->
      A. x e. A A. y e. A A. r e. B ( ( x .<_ r /\ r .<_ y ) -> r e. A ) ) ) $=
      ( vz wcel wa wn wrex cvv wceq wb c0 ctos wss cv wbr wi crest co cconn nfv
      wral nfcv nfra2w nfralw nfn nfan crab ctopon cfv cpo cproset tospos cordt
      posprs cdm cple cin fvex eqid 3syl ad3antrrr adantlr simpllr cmpt crn cun
      ax-mp simpll csn cfi mptex rnex unssbd breq2 notbid cbvrabv breq1 rabbidv
      unex rspceeqv mpan2 rabex elrnmpt sylibr adantl sseldd ad2antrr wne simpr
      jca ssel ancrd anim1d impl elin elrab anbi1i an32 3bitri sylanl1 r19.29an
      ne0d syl2anc w3a wo trleile sylib rabid 3bitr4i nfrab1 adantr cdif simplr
      wex snss bitr3i syl5bb posrasymb necon3bbid rexbii rexcom 3bitr3i r19.41v
      rexnal sselda syl3anc nelne2 mpbird pm5.17 rexbidva ex cxp eqeltri fveq2d
      inex1 ordttopon prsdm eleqtrid eqeltrid snex fvexi ssfii bastg ordtprsval
      ctg cbs sstri syl5eq sseqtrrid unssad simplrl simplrr oran nrexdv anbi12i
      syl 3expa anandi exbii nfin n0f df-rex necon1bbii ineq1d 0in eqtrdi eldif
      ssconb sylanb anass1rs mpbi2and nfun equcom bitrdi bitr3id 3expia pm5.32d
      vex ianor orbi12i elun andi 3bitr4ri eldifsn bicomi 3bitr3g eqrd sseqtrrd
      nconnsubb anasss adantllr rexanali reeanv necomd pm5.32rd biimpa r19.29af
      anbi12d con4d ) FUAMZCDUBZNZAUCZHUCZGUDZUXMBUCZGUDZNZUXMCMZUEZHDUJZBCUJZA
      CUJZECUFUGUHMZUXKUYBOZUYCOZUXKUYDNUXMUXLGUDZOZACPZUXOUXMGUDZOZBCPZNZUXROZ
      NZUYEHDUXKUYDHUXKHUIUYBHUYAHACHCUKUXSBHCDULUMUNUOUXKUXMDMZUYNUYEUYDUXKUYO
      NZUYLUYMUYEUYPUYLNZUYMNZCUXMLUCZGUDZOZLDUPZEUYSUXMGUDZOZLDUPZDUYPUYMEDUQU
      RZMZUYLUXIVUGUXJUYOUYMUXIFUSMZFUTMZVUGFVAZFVCZVUIEGVBURZVUFKVUIVULGVDZUQU
      RZVUFGQMVULVUNMGFVEURZDDUUAZVFQJVUOVUPFVEVGUUDUUBGQVUMVUMVHUUEVPVUIVUMDUQ
      DFGIJUUFUUCUUGUUHVIVJVKUYPUYMUXJUYLUXIUXJUYOUYMVLZVKUYPVUBEMUYLUYMUYPADUX
      LUXOGUDZOZBDUPZVMZVNZEVUBUYPADUXOUXLGUDZOZBDUPZVMZVNZVVBEUYPVUIVVGVVBVOZE
      UBUYPUXIVUHVUIUXIUXJUYOVQZVUJVUKVIVUIDVRZVVHEVUIVVJVVHVOZVSURZUUNURZVVKEV
      VKVVLVVMVVKQMVVKVVLUBVVJVVHDUUIVVGVVBVVFADVVEDFUUOIUUJZVTWAVVAADVUTVVNVTW
      AWHWHVVKQUUKVPVVLQMVVLVVMUBVVKVSVGVVLQUULVPUUPVUIEVULVVMKABDVVGVVBFGIJVVG
      VHVVBVHUUMUUQUURWBUVEZWBUYOVUBVVBMZUXKUYOVUBVUTRADPZVVPUYOVUBUXPOZBDUPZRV
      VQVUAVVRLBDUYSUXORZUYTUXPUYSUXOUXMGWCWDWEAUXMDVUTVVSVUBUXLUXMRZVUSVVRBDVW
      AVURUXPUXLUXMUXOGWFWDWGWIWJVUBQMVVPVVQSVUALDVVNWKADVUTVUBVVAQVVAVHWLVPWMW
      NWOWPUYPVUEEMUYLUYMUYPVVGEVUEUYPVVGVVBEVVOUUSUYOVUEVVGMZUXKUYOVUEVVERADPZ
      VWBUYOVUEUYJBDUPZRVWCVUDUYJLBDVVTVUCUYIUYSUXOUXMGWFWDZWEAUXMDVVEVWDVUEVWA
      VVDUYJBDVWAVVCUYIUXLUXMUXOGWCWDWGWIWJVUEQMVWBVWCSVUDLDVVNWKADVVEVUEVVFQVV
      FVHWLVPWMWNWOWPUYRUYPUYMNZUYHVUBCVFZTWQZUYRUYPUYMUYPUYLUYMVQUYQUYMWRWSZUY
      PUYHUYKUYMUUTVWFUYGVWHACVWFUXJUXLCMZUYGVWHVUQUXJVWJNUYGNZVWGUXLVWKUXLDMZV
      WJNZUYGNZUXLVWGMZUXJVWJUYGVWNUXJVWJVWMUYGUXJVWJVWLCDUXLWTXAXBXCVWOUXLVUBM
      ZVWJNVWLUYGNZVWJNVWNUXLVUBCXDVWPVWQVWJVUAUYGLUXLDUYSUXLRUYTUYFUYSUXLUXMGW
      CWDXEXFVWLUYGVWJXGXHWMXKXIXJXLUYRVWFUYKVUECVFZTWQZVWIUYPUYHUYKUYMUVAVWFUY
      JVWSBCVWFUXJUXOCMZUYJVWSVUQUXJVWTNUYJNZVWRUXOVXAUXODMZVWTNZUYJNZUXOVWRMZU
      XJVWTUYJVXDUXJVWTVXCUYJUXJVWTVXBCDUXOWTXAXBXCVXEUXOVUEMZVWTNVXBUYJNZVWTNV
      XDUXOVUECXDVXFVXGVWTVUDUYJLUXODVWEXEXFVXBUYJVWTXGXHWMXKXIXJXLUYPUYMVUBVUE
      VFZCVFZTRUYLVWFVXITCVFTVWFVXHTCUYPVXHTRZUYMUXIUYOVXJUXJUXIUYONZVUAVUDNZLD
      PZOVXJVXKVXLLDUXIUYOUYSDMZVXLOZUXIUYOVXNXMUYTVUCXNVXODFGUXMUYSIJXOUYTVUCU
      VBXPUVFUVCVXMVXHTUYSVXHMZLYCVXNVXLNZLYCVXHTWQVXMVXPVXQLUYSVUBMZUYSVUEMZNV
      XNVUANZVXNVUDNZNVXPVXQVXRVXTVXSVYAVUALDXQZVUDLDXQZUVDUYSVUBVUEXDVXNVUAVUD
      UVGXRUVHLVXHLVUBVUEVUALDXSZVUDLDXSZUVIUVJVXLLDUVKXRUVLXPVKXTUVMCUVNUVOVKU
      YPUYMCVUBVUEVOZUBUYLVWFCDUXMVRZYAZVYFVWFUYOUYMCVYHUBZUXKUYOUYMYBZUYPUYMWR
      UYPUYOUYMNZVYISZUYMUXIUYOUXJVYLUYOUXJNVYLUXIUYOVYGDUBZUXJVYLUXMDHUWGZYDVY
      KVYGDCYAZUBZVYMUXJNVYIVYKUXMVYOMVYPUXMDCUVPUXMVYOVYNYDYEVYGCDUVQYFUVRWNUV
      SXTUVTVWFVUHUYOVYFVYHRUXIVUHUXJUYOUYMVUJVJZVYJVUHUYONZLVYFVYHVYRLUILVUBVU
      EVYDVYEUWALVYHUKVYRVXNVUAVUDXNZNZVXNUYSUXMWQZNZUYSVYFMZUYSVYHMZVYRVXNVYSW
      UAVUHUYOVXNVYSWUASVYSUYTVUCNZOVUHUYOVXNXMZWUAUYTVUCUWHWUFWUEUYSUXMWUFWUEU
      XMUYSRUYSUXMRDFGUXMUYSIJYGHLUWBUWCYHUWDUWEUWFVXRVXSXNVXTVYAXNWUCVYTVXRVXT
      VXSVYAVYBVYCUWIUYSVUBVUEUWJVXNVUAVUDUWKUWLWUDWUBUYSDUXMUWMUWNUWOUWPXLUWQV
      KUWRUWSUWTUXKUYDUYNHDPZUYDUXNACPZUXPBCPZNZUYMNZHDPZUXKWUGUYDUXQUYMNZBCPZA
      CPZHDPZWULWUNHDPZACPUYAOZACPWUPUYDWUQWURACWUMHDPZBCPUXTOZBCPWUQWURWUSWUTB
      CUXQUXRHDUXAYIWUMBHCDYJUXTBCYMYKYIWUNAHCDYJUYAACYMYKWUOWUKHDWUOUXQBCPZUYM
      NZACPWVAACPZUYMNWUKWUNWVBACUXQUYMBCYLYIWVAUYMACYLWVCWUJUYMUXNUXPABCCUXBXF
      XHYIYEUXKWUKUYNHDUYPUYMWUJUYLUYPUYMWUJUYLSVWFWUHUYHWUIUYKVWFUXNUYGACVWFVW
      JNZUXNUYFXNZUXNUYFNZOZNUXNUYGSWVDWVEWVGWVDUXIVWLUYOWVEUYPUXIUYMVWJVVIWPVW
      FCDUXLVUQYNZUXKUYOUYMVWJVLZDFGUXLUXMIJXOYOWVDWVGUXLUXMWQZWVDVWJUYMWVJVWFV
      WJWRUYPUYMVWJYBUXLUXMCYPXLWVDVUHVWLUYOWVGWVJSVWFVUHVWJVYQXTWVHWVIVUHVWLUY
      OXMWVFUXLUXMDFGUXLUXMIJYGYHYOYQWSUXNUYFYRXPYSVWFUXPUYJBCVWFVWTNZUXPUYIXNZ
      UXPUYINZOZNUXPUYJSWVKWVLWVNWVKUXIUYOVXBWVLUYPUXIUYMVWTVVIWPUXKUYOUYMVWTVL
      ZVWFCDUXOVUQYNZDFGUXMUXOIJXOYOWVKWVNUXMUXOWQZWVKUXOUXMWVKVWTUYMUXOUXMWQVW
      FVWTWRUYPUYMVWTYBUXOUXMCYPXLUXCWVKVUHUYOVXBWVNWVQSVWFVUHVWTVYQXTWVOWVPVUH
      UYOVXBXMWVMUXMUXODFGUXMUXOIJYGYHYOYQWSUXPUYIYRXPYSUXGYTUXDYSYFUXEUXFYTUXH
      $.

$(
    @{
      ordtconnlem2.c @e |- ( ph -> K e. CUnifSp ) @.
      ordtconnlem2.1 @e |- ( ph -> A C_ B ) @.
      ordtconnlem2.2 @e |- ( ph -> U e. J ) @.
      ordtconnlem2.3 @e |- ( ph -> V e. J ) @.
      ordtconnlem2.4 @e |- ( ph -> A. x e. A A. y e. A A. r e. B
                                      ( ( x .<_ r /\ r .<_ y ) -> r e. A ) ) @.
      ordtconnlem2.5 @e |- ( ph -> E e. ( U i^i A ) ) @.
      ordtconnlem2.6 @e |- ( ph -> F e. ( V i^i A ) ) @.
      ordtconnlem2.7 @e |- ( ph -> ( U i^i V ) C_ ( B \ A ) ) @.
      ordtconnlem2.8 @e |- ( ph -> E .<_ F ) @.
      ordtconnlem2.9 @e |-
           S = sup ( ( U i^i { z e. B | ( E .<_ z /\ z .<_ F ) } ) , B , < ) @.
      @( Lemma for ~ ordtconn .  See also ~ reconnlem2 .  (Contributed by
         Thierry Arnoux, 15-Sep-2018.) @)
      ordtconnlem2 @p |- ( ph -> -. A C_ ( U u. V ) ) @=
        ? @.
    @}

    @( Connectedness in the order topology of a complete uniform totally
       ordered space.  @)
    ordtconn @p |- ( ( K e. Toset /\ K e. CUnifSp /\ A C_ B )
      -> ( ( J |`t A ) e. Conn <->
      A. x e. A A. y e. A A. r e. B ( ( x .<_ r /\ r .<_ y ) -> r e. A ) ) ) @=
      ? @.
$)
    $( Connectedness in the order topology of a complete uniform totally
       ordered space.  (Contributed by Thierry Arnoux, 15-Sep-2018.) $)
    ordtconn $p |- T. $=
      ( tru ) H $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Continuity in topological spaces - misc. additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d a b y .* $.  $d a x y .* $.  $d a b y .+ $.  $d a b C $.  $d a b y F $.
    $d a b J $.  $d a b K $.  $d x y .+ $.  $d x y B $.  $d x y F $.
    mndpluscn.f $e |- F e. ( J Homeo K ) $.
    mndpluscn.p $e |- .+ : ( B X. B ) --> B $.
    mndpluscn.t $e |- .* : ( C X. C ) --> C $.
    mndpluscn.j $e |- J e. ( TopOn ` B ) $.
    mndpluscn.k $e |- K e. ( TopOn ` C ) $.
    mndpluscn.h $e |- ( ( x e. B /\ y e. B ) ->
                           ( F ` ( x .+ y ) ) = ( ( F ` x ) .* ( F ` y ) ) ) $.
    mndpluscn.o $e |- .+ e. ( ( J tX J ) Cn J ) $.
    $( A mapping that is both a homeomorphism and a monoid homomorphism
       preserves the "continuousness" of the operation.  (Contributed by
       Thierry Arnoux, 25-Mar-2017.) $)
    mndpluscn $p |- .* e. ( ( K tX K ) Cn K ) $=
      ( va vb cfv co cv ccnv cmpo ctx ccn cxp wf wfn wceq fnov biimpi mp2b wcel
      ffn wral wf1o chmeo toponunii hmeof1o ax-mp f1ocnvdm mpan anim12i fvoveq1
      wa rgen2 oveq1d eqeq12d fveq2d oveq2d rspc2va sylancl f1ocnvfv2 oveqan12d
      fveq2 oveq2 eqtr2d mpoeq3ia eqtri wtru ctopon a1i cnmpt1st hmeocnvcn mp1i
      cnmpt21f cnmpt2nd cnmpt22f hmeocn mptru eqeltri ) GQRDDQUAZFUBZSZRUAZWMSZ
      ETZFSZUCZIIUDTIUETZGQRDDWLWOGTZUCZWSDDUFZDGUGGXCUHZGXBUIZLXCDGUNXDXEQRDDG
      UJUKULQRDDXAWRWLDUMZWODUMZVEZWRWNFSZWPFSZGTZXAXHWNCUMZWPCUMZVEAUAZBUAZETF
      SZXNFSZXOFSZGTZUIZBCUOACUOWRXKUIZXFXLXGXMCDFUPZXFXLFHIUQTUMZYBJFHICDCHMUR
      DINURUSUTZCDWLFVAVBYBXGXMYDCDWOFVAVBVCXTABCCOVFXTYAWNXOETZFSZXIXRGTZUIABW
      NWPCCXNWNUIZXPYFXSYGXNWNXOFEVDYHXQXIXRGXNWNFVOVGVHXOWPUIZYFWRYGXKYIYEWQFX
      OWPWNEVPVIYIXRXJXIGXOWPFVOVJVHVKVLXFXGXIWLXJWOGYBXFXIWLUIYDCDWLFVMVBYBXGX
      JWOUIYDCDWOFVMVBVNVQVRVSWSWTUMVTQRWQFIIHIDDIDWASUMVTNWBZYJVTQRWNWPEIIHHHD
      DYJYJVTQRWLWMIIIHDDYJYJVTQRIIDDYJYJWCYCWMIHUETUMVTJFHIWDWEZWFVTQRWOWMIIIH
      DDYJYJVTQRIIDDYJYJWGYKWFEHHUDTHUETUMVTPWBWHYCFHIUETUMVTJFHIWIWEWFWJWK $.
  $}

  ${
    $d x y F $.  $d x y S $.  $d x y T $.
    mhmhmeotmd.m $e |- F e. ( S MndHom T ) $.
    mhmhmeotmd.h $e |- F e. ( ( TopOpen ` S ) Homeo ( TopOpen ` T ) ) $.
    mhmhmeotmd.t $e |- S e. TopMnd $.
    mhmhmeotmd.s $e |- T e. TopSp $.
    $( Deduce a Topological Monoid using mapping that is both a homeomorphism
       and a monoid homomorphism.  (Contributed by Thierry Arnoux,
       21-Jun-2017.) $)
    mhmhmeotmd $p |- T e. TopMnd $=
      ( vx vy ctmd wcel cmnd cplusf cfv ctopn ctx co ax-mp wf eqid ctps mhmrcl2
      ccn cmhm cbs cxp mhmrcl1 mndplusf ctopon tmdtopon istps mpbi cv wa cplusg
      wceq mhmlin mp3an1 plusfval fveq2d mhmf ffvelrni syl2an 3eqtr4d mndpluscn
      tmdcn istmd mpbir3an ) BJKBLKZBUAKZBMNZBONZVLPQVLUCQKCABUDQKZVIDABCUBRZGH
      IAUENZBUENZAMNZCVKAONZVLEALKZVOVOUFVOVQSVMVSDABCUGRVOVQAVOTZVQTZUHRVIVPVP
      UFVPVKSVNVPVKBVPTZVKTZUHRAJKZVRVOUINKFAVRVOVRTZVTUJRVJVLVPUINKGVPVLBWBVLT
      ZUKULHUMZVOKZIUMZVOKZUNZWGWIAUONZQZCNZWGCNZWICNZBUONZQZWGWIVQQZCNWOWPVKQZ
      VMWHWJWNWRUPDVOWLWQABCWGWIVTWLTZWQTZUQURWKWSWMCVOWLVQAWGWIVTXAWAUSUTWHWOV
      PKWPVPKWTWRUPWJVOVPWGCVMVOVPCSDVOVPABCVTWBVARZVBVOVPWICXCVBVPWQVKBWOWPWBX
      BWCUSVCVDWDVQVRVRPQVRUCQKFVQAVRWEWAVFRVEVKBVLWCWFVGVH $.
  $}

  ${
    $d w x C $.  $d w x ph $.  $d x y z C $.
    rmulccn.1 $e |- J = ( topGen ` ran (,) ) $.
    rmulccn.2 $e |- ( ph -> C e. RR ) $.
    $( Multiplication by a real constant is a continuous function.
       (Contributed by Thierry Arnoux, 23-May-2017.) $)
    rmulccn $p |- ( ph -> ( x e. RR |-> ( x x. C ) ) e. ( J Cn J ) ) $=
      ( vy vz vw cc cv cmul co cr cfv ccn wcel a1i wceq ax-resscn cmpt cres wss
      ccnfld ctopn crest ctopon eqid cnfldtopon cnmptid cnmptc cmpo ctx cxp wfn
      recnd ax-mulf ffn ax-mp fnov mpbi mulcn eqeltrri oveq12 cnmpt12 toponunii
      wf cnrest sylancl crn wb wral simpr adantr mulcld ralrimiva fnmpt fnssres
      wa syl fvres recn oveq1 ovex fvmpt eqtrd remulcld eqeltrd syl2anc cnrest2
      fnfvrnss syl3anc mpbid resmpt cioo tgioo2 eqtri oveq12i eqcomi 3eltr3g
      ctg ) ABJBKZCLMZUAZNUBZUDUEOZNUFMZXGPMZBNXCUAZDDPMZAXEXGXFPMQZXEXHQZAXDXF
      XFPMQNJUCZXKABGHXBCGKZHKZLMZXCXFXFXFXFJJJXFJUGOQZAXFXFUHZUIZRZABXFJXTUJAB
      CXFXFJJXTXTACFUPZUKXTXTGHJJXPULZXFXFUMMXFPMZQALYBYCLJJUNZUOZLYBSYDJLVGYEU
      QYDJLURUSGHJJLUTVAXFXRVBVCRXNXBXOCLVDVETNXDXFXFJJXFXSVFVHVIAXQXEVJNUCZXMX
      KXLVKXTAXENUOZIKZXEOZNQZINVLYFAXDJUOZXMYGAXCJQZBJVLYKAYLBJAXBJQZVSXBCAYMV
      MACJQYMYAVNVOVPBJXCXDJXDUHZVQVTTJNXDVRVIAYJINAYHNQZVSZYIYHCLMZNYPYOYIYQSA
      YOVMZYOYIYHXDOZYQYHNXDWAYOYHJQYSYQSYHWBBYHXCYQJXDXBYHCLWCYNYHCLWDWEVTWFVT
      YPYHCYRACNQYOFVNWGWHVPINNXEWKWIXMATRNXEXGXFJWJWLWMXMXEXISTBJNXCWNUSXJXHDX
      GDXGPDWOVJXAOXGEXFXRWPWQZYTWRWSWT $.
  $}

  ${
    $d x y $.
    raddcn.1 $e |- J = ( topGen ` ran (,) ) $.
    $( Addition in the real numbers is a continuous function.  (Contributed by
       Thierry Arnoux, 23-May-2017.) $)
    raddcn $p |- ( x e. RR , y e. RR |-> ( x + y ) ) e. ( ( J tX J ) Cn J ) $=
      ( caddc cr cxp ctx co cfv crest ccn wcel wss ax-resscn mp2an ctop cvv crn
      cc cres ccnfld ctopn cmpo eqid addcn xpss12 cnfldtop cnfldtopon toponunii
      txunii cnrest wceq reex txrest mp4an cioo ctg tgioo2 eqtr2i oveq12i eqtri
      cv oveq1i eleqtri ctopon wb wfn ax-addf ffn ax-mp fnssres fnov mpbi ovres
      wf mpoeq3ia rneqi wral readdcl rgen2 rnmposs eqsstri cnrest2 mp3an oveq2i
      3eltr3i ) EFFGZUAZCCHIZUBUCJZFKIZLIZABFFAVCZBVCZEIZUDZWJCLIWIWJWKLIZMZWIW
      MMZWIWKWKHIZWHKIZWKLIZWREXAWKLIMWHTTGZNZWIXCMWKWKUEZUFFTNZXGXEOOFTFTUGPZW
      HEXAWKXDWKWKTTWKXFUHZXITWKWKXFUIZUJZXKUKULPXBWJWKLXBWLWLHIZWJWKQMZXMFRMZX
      NXBXLUMXIXIUNUNFFWKWKQQRRUOUPWLCWLCHCUQSURJWLDWKXFUSUTZXOVAVBVDVEWKTVFJMW
      ISZFNXGWSWTVGXJXPWQSZFWIWQWIABFFWNWOWIIZUDZWQWIWHVHZWIXSUMEXDVHZXEXTXDTEV
      PYAVIXDTEVJVKXHXDWHEVLPABFFWIVMVNABFFXRWPWNWOFFEVOVQVBZVRWPFMZBFVSAFVSXQF
      NYCABFFWNWOVTWAABFFWPFWQWQUEWBVKWCOFWIWJWKTWDWEVNYBWLCWJLXOWFWG $.
  $}

  ${
    $d x y C $.  $d x y F $.  $d x y ph $.
    xrmulc1cn.k $e |- J = ( ordTop ` <_ ) $.
    xrmulc1cn.f $e |- F = ( x e. RR* |-> ( x *e C ) ) $.
    xrmulc1cn.c $e |- ( ph -> C e. RR+ ) $.
    $( The operation multiplying an extended real number by a nonnegative
       constant is continuous.  (Contributed by Thierry Arnoux, 5-Jul-2017.) $)
    xrmulc1cn $p |- ( ph -> F e. ( J Cn J ) ) $=
      ( vy cle cfv co wcel cxr wral cxmu wceq wa simpr ralrimiva cordt ccn ctsr
      wiso letsr a1i wf1o cv wbr wb wreu crp adantr rpxrd xmulcld cc0 wne rpred
      rpne0d xreceu syl3anc eqcom adantlr xmulcom eqeq1d syl5bb reubidva mpbird
      cr syl2anc f1ompt sylanbrc simplr ad2antrr xlemul1 cvv ovex sylancl oveq1
      fvmpt2 fvmpt adantl breq12d bitr4d df-isom ordthmeolem oveq12i eleqtrrdi
      ledm ) ADJUAKZWJUBLZEEUBLAJUCMZWLNNJJDUDZDWKMWLAUEUFZWNANNDUGZBUHZIUHZJUI
      ZWPDKZWQDKZJUIZUJZINOZBNOWMAWPCPLZNMZBNOWQXDQZBNUKZINOWOAXEBNAWPNMZRZWPCA
      XHSXICACULMZXHHUMUNZUOTAXGINAWQNMZRZXGCWPPLZWQQZBNUKZXMXLCVIMCUPUQXPAXLSX
      MCAXJXLHUMZURXMCXQUSBWQCUTVAXMXFXOBNXFXDWQQXMXHRZXOWQXDVBXRXDXNWQXRXHCNMZ
      XDXNQXMXHSAXHXSXLXKVCWPCVDVJVEVFVGVHTBINNXDDGVKVLAXCBNXIXBINXIXLRZWRXDWQC
      PLZJUIZXAXTXHXLXJWRYBUJAXHXLVMZXIXLSAXJXHXLHVNWPWQCVOVAXTWSXDWTYAJXTXHXDV
      PMWSXDQYCWPCPVQBNXDVPDGVTVRXLWTYAQXIBWQXDYANDWPWQCPVSGWQCPVQWAWBWCWDTTBIN
      NJJDWEVLJJDUCUCNNWIWIWFVAEWJEWJUBFFWGWH $.
  $}

  ${
    $d b e x y B $.  $d b d e x y D $.  $d b d e x y E $.  $d b d e x y F $.
    $d b d e x y J $.  $d b d e x y K $.  $d b d e x y X $.  $d b d e x y Y $.
    fmcncfil.1 $e |- J = ( MetOpen ` D ) $.
    fmcncfil.2 $e |- K = ( MetOpen ` E ) $.
    $( The image of a Cauchy filter by a continuous filter map is a Cauchy
       filter.  (Contributed by Thierry Arnoux, 12-Nov-2017.) $)
    fmcncfil $p |- ( ( ( D e. ( CMet ` X ) /\ E e. ( *Met ` Y )
      /\ F e. ( J Cn K ) ) /\ B e. ( CauFil ` D ) ) ->
      ( ( Y FilMap F ) ` B ) e. ( CauFil ` E ) ) $=
      ( vx vb cfv wcel co wa cv cflim wex wral vy vd ve ccmet cxmet ccn w3a cfm
      ccfil simpl2 cflf wi wal simpl1 c0 cmetcvg n0 sylib sylancom cfil cmetmet
      wne cmet metxmet cfilfil ctopon mopntopon syl simpl3 wf simplbda syl21anc
      3syl cnflf oveq2 fveq1d eleq2d raleqbidv rspcv df-ral 19.29r pm3.35 eximi
      wceq sylc syl2anc clt wbr metcn biimpa simpld flfval syl3anc exbidv mpbid
      crp wrex flimcfil ex exlimdv ) BGUDMNZCHUEMNZDEFUFONZUGZABUIMNZPZXBKQZDMZ
      FAHDUHOMZROZNZKSZXICUIMNZXAXBXCXEUJZXFXHDFAUKOZMZNZKSZXLXFXGEAROZNZKSZXTX
      QULZKUMZXRXDXEXAYAXAXBXCXEUNZXAXEPXSUOVBYABAEGIUPKXSUQURUSXFXQKXSTZYCXFAG
      UTMZNZXHDFLQZUKOZMZNZKEYHROZTZLYFTZYEXDXEBGUEMNZYGXFXABGVCMNYOYDBGVABGVDV
      MZBAGVEUSZXFEGVFMNZFHVFMNZXCYNXFYOYRYPBEGIVGVHXFXBYSXNCFHJVGVHZXAXBXCXEVI
      ZYRYSPXCGHDVJZYNKLDEFGHVNVKVLYMYELAYFYHAWDZYKXQKYLXSYHAERVOUUCYJXPXHUUCDY
      IXOYHAFUKVOVPVQVRVSWEXQKXSVTURYAYCPXTYBPZKSXRXTYBKWAUUDXQKXTXQWBWCVHWFXFX
      QXKKXFXPXJXHXFYSYGUUBXPXJWDYTYQXFUUBXGUAQZBOUBQWGWHXHUUEDMCOUCQWGWHULUAGT
      UBWPWQUCWPTKGTZXFYOXBXCUUBUUFPZYPXNUUAYOXBPXCUUGKUCUBUABCDEFGHIJWIWJVLWKD
      FAHGWLWMVQWNWOXBXKXMKXBXKXMXHCXIFHJWRWSWTWE $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Topology of the extended nonnegative real numbers ordered monoid
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The extended nonnegative reals are homeomorphic to the closed unit
     interval.  (Contributed by Thierry Arnoux, 24-Mar-2017.) $)
  xrge0hmph $p |- II ~= ( ( ordTop ` <_ ) |`t ( 0 [,] +oo ) ) $=
    ( vx cc0 c1 cicc co cv wceq cpnf cmin cdiv cif cmpt cii cle cordt cfv crest
    chmeo clt eqid wcel chmph wbr wiso iccpnfhmeo simpri hmphi ax-mp ) ABCDEZAF
    ZCGHUJCUJIEJEKLZMNOPBHDEZQEZREUAZMUMUBUCUIULSSUKUDUNAUKUMUKTUMTUEUFUKMUMUGU
    H $.

  ${
    $d x y $.
    xrge0iifhmeo.1 $e |- F = ( x e. ( 0 [,] 1 ) |->
                                       if ( x = 0 , +oo , -u ( log ` x ) ) ) $.
    $( Define a bijection from ` [ 0 , 1 ] ` onto ` [ 0 , +oo ] ` .
       (Contributed by Thierry Arnoux, 29-Mar-2017.) $)
    xrge0iifcnv $p |- ( F : ( 0 [,] 1 ) -1-1-onto-> ( 0 [,] +oo ) /\ `' F =
      ( y e. ( 0 [,] +oo ) |-> if ( y = +oo , 0 , ( exp ` -u y ) ) ) ) $=
      ( cc0 c1 co cpnf wceq wa wcel cxr cle wbr 0xr pnfxr a1i wn clt wb cicc cv
      wf1o ccnv cneg ce cfv cif cmpt wtru clog 0lepnf ubicc2 cico icossicc cioc
      mp3an csn wo cun uncom 1xr 0le1 snunioc eqtr3i eleq2i bitr3i pm2.53 sylbi
      wi elun elsni syl6 con1d imp crp cioo wss 0le0 ltpnf ax-mp iocssioo mp4an
      cr 1re ioorp sseqtri sseli relogcld renegcld rexrd w3a elioc1 simp3bi 1rp
      mp2an logled mpbid log1 breqtrdi le0neg1d syl elico1 sselid ifclda adantl
      syl3anbrc 0elunit iocssicc snunico rge0ssre reefcld simp2bi le0neg2d efle
      efgt0 0re sylancl eqeq2 bibi1d simpr iftrue eqeq2d syl5ibrcom ubico nelir
      ef0 neleq1 mpbiri syl5ibcom df-nel iffalse eqeltrd ex bibi2d syl2an recnd
      wnel cc ifbothda ad2antrr syl5bi impbid ltned adantll neneqd eqeq1 notbid
      syld wne simplr 2falsed eqcom relogeftb negcon2 3bitr2d anass1rs f1ocnv2d
      an4s mptru ) EFUAGZEHUAGZCUCCUDBUVBBUBZHIZEUVCUEZUFUGZUHZUIIJUJABUVAUVBAU
      BZEIZHUVHUKUGZUEZUHZUVGCDUVHUVAKZUVLUVBKUJUVMUVIHUVKUVBHUVBKZUVMUVIJELKZH
      LKZEHMNZUVNOPULEHUMUQQUVMUVIRZJZEHUNGZUVBUVKEHUOUVSUVHEFUPGZKZUVKUVTKZUVM
      UVRUWBUVMUWBUVIUVMUWBRZUVHEURZKZUVIUVMUWBUWFUSZUWDUWFVJUVMUVHUWAUWEUTZKUW
      GUWHUVAUVHUWEUWAUTZUWHUVAUWEUWAVAUVOFLKZEFMNUWIUVAIOVBVCEFVDUQVEVFUVHUWAU
      WEVKVGUWBUWFVHVIUVHEVLVMVNVOZUWBUVKLKZEUVKMNZUVKHSNZUWCUWBUVKUWBUVJUWBUVH
      UWAVPUVHUWAEHVQGZVPUVOUVPEEMNFHSNZUWAUWOVROPVSFWDKUWPWEFVTWAEHEFWBWCWFWGW
      HZWIZWJZWKUWBUVJEMNUWMUWBUVJFUKUGZEMUWBUVHFMNZUVJUWTMNUWBUVHLKZEUVHSNZUXA
      UVOUWJUWBUXBUXCUXAWLTOVBEFUVHWMWPWNUWBUVHFUWQFVPKUWBWOQWQWRWSWTUWBUVJUWRX
      AWRUWBUVKWDKUWNUWSUVKVTXBUVOUVPUWCUWLUWMUWNWLTOPEHUVKXCWPXGXBZXDXEXFUVCUV
      BKZUVGUVAKUJUXEUVDEUVFUVAEUVAKUXEUVDJXHQUXEUVDRZJZUWAUVAUVFEFXIUXGUVCUVTK
      ZUVFUWAKZUXEUXFUXHUXEUXHUVDUXEUXHRZUVCHURZKZUVDUXEUXHUXLUSZUXJUXLVJUXEUVC
      UVTUXKUTZKUXMUXNUVBUVCUVOUVPUVQUXNUVBIOPULEHXJUQVFUVCUVTUXKVKVGUXHUXLVHVI
      UVCHVLVMVNVOZUXHUVFLKZEUVFSNZUVFFMNZUXIUXHUVFUXHUVEUXHUVCUVTWDUVCXKWHZWJZ
      XLWKUXHUVEWDKZUXQUXTUVEXPXBZUXHUVFEUFUGZFMUXHUVEEMNZUVFUYCMNZUXHEUVCMNZUY
      DUXHUVCLKZUYFUVCHSNZUVOUVPUXHUYGUYFUYHWLTOPEHUVCXCWPXMUXHUVCUXSXNWRUXHUYA
      EWDKZUYDUYETUXTXQUVEEXOXRWRYGWTUVOUWJUXIUXPUXQUXRWLTOVBEFUVFWMWPXGXBXDXEX
      FUVMUXEJZUVHUVGIZUVCUVLIZTZUJUVDUVIUYLTUVHUVFIZUYLTZUYMUYJEUVFEUVGIUVIUYK
      UYLEUVGUVHXSXTUVFUVGIUYNUYKUYLUVFUVGUVHXSXTUYJUVDJZUVIUYLUYPUYLUVIUVDUYJU
      VDYAUVIUVLHUVCUVIHUVKYBYCYDUYPUYLUVLUVTYRZUVIUYPUVCUVTYRZUYLUYQUYPUYRHUVT
      YRZHUVTUYIUVPHUVTKRXQPEHYEWPYFUVDUYRUYSTUYJUVCHUVTYHXFYIUVCUVLUVTYHYJUYQU
      VLUVTKZRUYPUVIUVLUVTYKUYPUVIUYTUVMUVRUYTVJUXEUVDUVMUVRUYTUVSUVLUVKUVTUVRU
      VLUVKIUVMUVIHUVKYLXFUXDYMYNUUAVNUUBUUIUUCUVIUYNUVDTUYNUVCUVKIZTZUYOUYJUXF
      JZHUVKHUVLIUVDUYLUYNHUVLUVCXSYOUVKUVLIVUAUYLUYNUVKUVLUVCXSYOVUCUVIJUYNUVD
      VUCUVIUYNRZVUCVUDUVIEUVFIZRVUCEUVFUXEUXFEUVFUUJUVMUXGEUVFUYIUXGXQQUXGUXHU
      XQUXOUYBXBUUDUUEUUFUVIUYNVUEUVHEUVFUUGUUHYDVOUYJUXFUVIUUKUULUYJUVRUXFVUBU
      VMUVRUXEUXFVUBUVSUWBUXHVUBUXGUWKUXOUWBUXHJZUYNUVFUVHIZUVJUVEIZVUAUYNVUGTV
      UFUVHUVFUUMQUWBUVHVPKUYAVUHVUGTUXHUWQUXTUVHUVEUUNYPUWBUVJYSKUVCYSKVUHVUAT
      UXHUWBUVJUWRYQUXHUVCUXSYQUVJUVCUUOYPUUPYPUUSUUQYTYTXFUURUUT $.

    $d x X $.
    $( The defined function's value in the real.  (Contributed by Thierry
       Arnoux, 1-Apr-2017.) $)
    xrge0iifcv $p |- ( X e. ( 0 (,] 1 ) -> ( F ` X ) = -u ( log ` X ) ) $=
      ( cc0 c1 cioc co wcel cfv wceq cpnf clog cneg cif cicc iocssicc sseli wbr
      cr eqeq1 fveq2 negeqd ifbieq2d pnfex negex ifex fvmpt syl clt cle cxr w3a
      cv wb 0xr 1re elioc2 mp2an simp2bi gt0ne0d neneqd iffalsed eqtrd ) CEFGHZ
      IZCBJZCEKZLCMJZNZOZVJVFCEFPHZIVGVKKVEVLCEFQRACAUNZEKZLVMMJZNZOVKVLBVMCKZV
      NVHVPVJLVMCEUAVQVOVIVMCMUBUCUDDVHLVJUEVIUFUGUHUIVFVHLVJVFCEVFCVFCTIZECUJS
      ZCFUKSZEULIFTIVFVRVSVTUMUOUPUQEFCURUSUTVAVBVCVD $.

    $d w x y z F $.  $d x X $.
    $( The defined bijection from the closed unit interval onto the extended
       nonnegative reals is an order isomorphism.  (Contributed by Thierry
       Arnoux, 31-Mar-2017.) $)
    xrge0iifiso $p |- F Isom < , `' < ( ( 0 [,] 1 ) , ( 0 [,] +oo ) ) $=
      ( vw vz cc0 c1 co clt cpnf wbr cfv cxr ax-mp wceq wcel cle cr wb crp cicc
      wor ccnv wpo wfo cv wral wiso wss iccssxr xrltso soss mp2 cnvso mpbi sopo
      wi poss wf1o cneg ce cif cmpt xrge0iifcnv simpli f1ofo csn wo cun 0xr 1xr
      cioc 0le1 snunioc mp3an eleq2i elun bitr3i velsn wa elunitrn adantr simpr
      elicc01 simp3bi w3a 1re elioc2 mp2an syl3anbrc clog cioo pnfxr 0le0 ltpnf
      iocssioo mp4an ioorp sseqtri sseli relogcl renegcld brcnvg sylancr mpbird
      syl xrge0iifcv breqtrrd ex breq1 fveq2 0elunit iftrue pnfex eqtrdi breq1d
      fvmpt imbi12d syl5ibr sylbi ad2antlr 0re a1i rpred ad2antrr simp2bi lttrd
      simpll relogcld adantl ltnegd logltb syl2an negex brcnv 3bitr4d breqan12d
      jca biimpd sylibrd sylc exp31 jaoi imp rgen2 soisoi ) FGUAHZIUBZFJUAHZIUC
      ZUDZUUGUUIBUEZDUFZEUFZIKZUUMBLZUUNBLZUUJKZUQZEUUGUGDUUGUGUUGUUIIUUJBUHUUG
      MUIMIUBZUUHFGUJUKUUGMIULUMUUIMUIMUUJUDZUUKFJUJMUUJUBZUVAUUTUVBUKMIUNUOMUU
      JUPNUUIMUUJURUMUUGUUIBUSZUULUVCBUCEUUIUUNJOFUUNUTVALVBVCOAEBCVDVEUUGUUIBV
      FNUUSDEUUGUUGUUMUUGPZUUNUUGPZUUSUVDUUMFVGZPZUUMFGVLHZPZVHZUVEUUSUQZUVDUUM
      UVFUVHVIZPUVJUVLUUGUUMFMPZGMPFGQKUVLUUGOVJVKVMFGVNVOVPUUMUVFUVHVQVRUVGUVK
      UVIUVGUUMFOZUVKDFVSUVEUUSUVNFUUNIKZJUUQUUJKZUQUVEUVOUVPUVEUVOVTZUUNUVHPZU
      VPUVQUUNRPZUVOUUNGQKZUVRUVEUVSUVOUUNWAZWBUVEUVOWCUVEUVTUVOUVEUVSFUUNQKUVT
      UUNWDWEZWBUVMGRPZUVRUVSUVOUVTWFSVJWGFGUUNWHWIZWJUVRJUUNWKLZUTZUUQUUJUVRUU
      NTPZJUWFUUJKZUVHTUUNUVHFJWLHZTUVMJMPZFFQKGJIKZUVHUWIUIVJWMWNUWCUWKWGGWONF
      JFGWPWQWRWSZWTZUWGUWHUWFJIKZUWGUWFRPZUWNUWGUWEUUNXAXBZUWFWOXFUWGUWJUWOUWH
      UWNSWMUWPJUWFMRIXCXDXEXFABUUNCXGZXHXFXIUVNUUOUVOUURUVPUUMFUUNIXJUVNUUPJUU
      QUUJUVNUUPFBLZJUUMFBXKFUUGPUWRJOXLAFAUFZFOZJUWSWKLUTZVBJUUGBUWTJUXAXMCXNX
      QNXOXPXRXSXTUVIUVEUUOUURUVIUVEVTZUUOVTZUVIUVRVTZUUOUURUXCUVIUVRUVIUVEUUOY
      HUXCUVSUVOUVTUVRUVEUVSUVIUUOUWAYAZUXCFUUMUUNFRPUXCYBYCUVIUUMRPZUVEUUOUVIU
      UMUVHTUUMUWLWTZYDYEUXEUVIFUUMIKZUVEUUOUVIUXFUXHUUMGQKZUVMUWCUVIUXFUXHUXIW
      FSVJWGFGUUMWHWIYFYEUXBUUOWCZYGUVEUVTUVIUUOUWBYAUWDWJYRUXJUXDUUOUUMWKLZUTZ
      UWFUUJKZUURUXDUUOUXMUXDUXKUWEIKZUWFUXLIKZUUOUXMUXDUXKUWEUXDUUMUVIUUMTPZUV
      RUXGWBYIUXDUUNUVRUWGUVIUWMYJYIYKUVIUXPUWGUUOUXNSUVRUXGUWMUUMUUNYLYMUXMUXO
      SUXDUXLUWFIUXKYNUWEYNYOYCYPYSUVIUVRUUPUXLUUQUWFUUJABUUMCXGUWQYQYTUUAUUBUU
      CXTUUDUUEDEUUGUUIIUUJBUUFWQ $.

    $d x u $.
    xrge0iifhmeo.k $e |- J = ( ( ordTop ` <_ ) |`t ( 0 [,] +oo ) ) $.
    $( Expose a homeomorphism from the closed unit interval to the extended
       nonnegative reals.  (Contributed by Thierry Arnoux, 1-Apr-2017.) $)
    xrge0iifhmeo $p |- F e. ( II Homeo J ) $=
      ( cle cc0 co cordt cfv cpnf chmeo cvv wcel wiso cps cxr mp2an mpbi cdm vy
      c1 cicc cxp cin ccnv ctsr letsr tsrps ax-mp elexi inex1 cnvps xrge0iifiso
      cii clt wss wb iccssxr gtiso isores1 isores2 wceq ledm psssdm eqcomi lern
      crn df-rn eqtri ordthmeo mp3an dfii5 crest iccss2 cnvordtrestixx eleqtrri
      cv oveq12i ) BFGUBUCHZVTUDZUEZIJZFUFZGKUCHZWEUDZUEZIJZLHZUOCLHWBMNWGMNVTW
      EWBWGBOZBWINFWAFPFUGNFPNZUHFUIUJZUKULWDWFWDPWKWDPNZWLFUMUJZUKULVTWEWBWDBO
      ZWJVTWEFWDBOZWOVTWEUPUPUFBOZWPABDUNVTQUQZWEQUQZWQWPURGUBUSZGKUSZVTWEBUTRS
      VTWEFWDBVASVTWEWBWDBVBSWBWGBMMVTWEWBTZVTWKWRXBVTVCWLWTVTFQVDVERVFWGTZWEWM
      WSXCWEVCWNXAWEWDQQFVHWDTVGFVIVJVERVFVKVLUOWCCWHLVMCFIJWEVNHWHEAUAWEXAGKAV
      RUAVRVOVPVJVSVQ $.

    $d x Y $.
    $( The defined function from the closed unit interval to the extended
       nonnegative reals is a monoid homomorphism.  (Contributed by Thierry
       Arnoux, 5-Apr-2017.) $)
    xrge0iifhom $p |- ( ( X e. ( 0 [,] 1 ) /\ Y e. ( 0 [,] 1 ) ) ->
      ( F ` ( X x. Y ) ) = ( ( F ` X ) +e ( F ` Y ) ) ) $=
      ( cc0 c1 co wcel wceq cfv cxad cxr wbr cpnf cmnf cr sselid cicc cioc cmul
      wo csn cun cle 0xr 1xr 0le1 snunioc mp3an eleq2i elun bitr3i elsni orim1i
      sylbi wa 0elunit cv clog cneg iftrue pnfex fvmpt ax-mp oveq2i eqeq1 fveq2
      cif wne negeqd ifbieq2d negex ifex pnfxr a1i wn elunitrn adantr elunitge0
      simpr neqned ne0gt0d elrpd relogcld renegcld rexrd eqeltrd neeq1 pnfnemnf
      ifclda renemnfd ifbothda eqnetrd xaddpnf1 syl5eq cc unitsscn simpl mul01d
      syl2anc fveq2d eqtrdi eqtr4d oveq2d 3eqtr4rd xrge0iifcv crp cioo clt 0le0
      oveq1i wss ltpnf iocssioo mp4an ioorp sseqtri sseli xaddpnf2 rpssre sstri
      1re syl ax-resscn mul02d oveq1d fvoveq1d rexadd oveqan12d remulcld rpgt0d
      caddc rpred mulgt0d iocssicc iimulcl recnd elicc01 w3a wb mp2an syl3anbrc
      simp3bi elioc2 relogmuld negdid 3eqtrd jaoian sylan jaodan sylan2 ) EHIUA
      JZKZDUUOKZEHLZEHIUBJZKZUDZDEUCJZBMZDBMZEBMZNJZLZUUPEHUEZKZUUTUDZUVAUUPEUV
      HUUSUFZKUVJUVKUUOEHOKZIOKHIUGPUVKUUOLUHUIUJHIUKULZUMEUVHUUSUNUOUVIUURUUTE
      HUPUQURUUQUURUVGUUTUUQUURUSZUVDHBMZNJZDHUCJZBMZUVFUVCUVNUVPQUVRUVNUVPUVDQ
      NJZQUVOQUVDNHUUOKUVOQLUTAHAVAZHLZQUVTVBMZVCZVKZQUUOBUWAQUWCVDFVEVFVGZVHUV
      NUVDOKZUVDRVLZUVSQLUUQUWFUURUUQUVDDHLZQDVBMZVCZVKZOADUWDUWKUUOBUVTDLZUWAU
      WHUWCUWJQUVTDHVIUWLUWBUWIUVTDVBVJVMVNFUWHQUWJVEUWIVOVPVFZUUQUWHQUWJOQOKZU
      UQUWHUSZVQVRUUQUWHVSZUSZUWJUWQUWIUWQDUWQDUUQDSKUWPDVTWAZUWQDUWRUUQHDUGPUW
      PDWBWAUWQDHUUQUWPWCWDWEWFWGWHZWIWMWJWAUUQUWGUURUUQUVDUWKRUWMUWHQRVLZUWJRV
      LUWKRVLUUQQUWJQUWKRWKUWJUWKRWKUWTUWOWLVRUWQUWJUWSWNWOWPWAUVDWQXCWRUVNUVRU
      VOQUVNUVQHBUVNDUVNUUOWSDWTUUQUURXATXBXDUWEXEXFUVNUVEUVOUVDNUVNEHBUUQUURWC
      ZXDXGUVNUVBUVQBUVNEHDUCUXAXGXDXHUUQUWHDUUSKZUDZUUTUVGUUQDUVHKZUXBUDZUXCUU
      QDUVKKUXEUVKUUODUVMUMDUVHUUSUNUOUXDUWHUXBDHUPUQURUWHUUTUVGUXBUWHUUTUSZUVO
      UVENJZHEUCJZBMZUVFUVCUXFUXGQUXIUXFUXGQUVENJZQUVOQUVENUWEXNUXFUVEOKZUVERVL
      ZUXJQLUXFUUTUXKUWHUUTWCZUUTUVEUUTUVEEVBMZVCZSABEFXIZUUTUXNUUTEUUSXJEUUSHQ
      XKJZXJUVLUWNHHUGPIQXLPZUUSUXQXOUHVQXMISKZUXRYEIXPVGHQHIXQXRXSXTZYAWGWHWJZ
      WIYFUXFUUTUXLUXMUUTUVEUYAWNYFUVEYBXCWRUXFUXIUVOQUXFUXHHBUXFEUXFUUSWSEUUSS
      WSUUSXJSUXTYCYDYGYDUXMTYHXDUWEXEXFUXFUVDUVOUVENUXFDHBUWHUUTXAZXDYIUXFDHEB
      UCUYBYJXHUXBUUTUSZUWJUXONJZUWJUXOYOJZUVFUVCUYCUWJSKUXOSKUYDUYELUYCUWIUYCD
      UYCUUSXJDUXTUXBUUTXAZTZWGZWHUYCUXNUYCEUYCUUSXJEUXTUXBUUTWCZTZWGZWHUWJUXOY
      KXCUXBUUTUVDUWJUVEUXONABDFXIUXPYLUYCUVCUVBVBMZVCZUWIUXNYOJZVCUYEUYCUVBUUS
      KZUVCUYMLUYCUVBSKZHUVBXLPZUVBIUGPZUYOUYCDEUYCDUYGYPZUYCEUYJYPZYMUYCDEUYSU
      YTUYCDUYGYNUYCEUYJYNYQUYCUVBUUOKZUYRUYCUUQUUPVUAUYCUUSUUODHIYRZUYFTUYCUUS
      UUOEVUBUYITDEYSXCVUAUYPHUVBUGPUYRUVBUUAUUFYFUVLUXSUYOUYPUYQUYRUUBUUCUHYEH
      IUVBUUGUUDUUEABUVBFXIYFUYCUYLUYNUYCDEUYGUYJUUHVMUYCUWIUXNUYCUWIUYHYTUYCUX
      NUYKYTUUIUUJXHUUKUULUUMUUN $.

    $( Condition for the defined function, ` -u ( log `` x ) ` to be a monoid
       homomorphism.  (Contributed by Thierry Arnoux, 20-Jun-2017.) $)
    xrge0iif1 $p |- ( F ` 1 ) = 0 $=
      ( c1 cc0 cicc co wcel cfv wceq 1elunit cv cpnf clog cneg cif wne ax-1ne0
      neeq1 mpbiri neneqd iffalsed fveq2 negeqd log1 negeqi neg0 eqtri a1i c0ex
      3eqtrd fvmpt ax-mp ) FGFHIZJFBKGLMAFANZGLZOUQPKZQZRZGUPBUQFLZVAUTFPKZQZGV
      BUROUTVBUQGVBUQGSFGSTUQFGUAUBUCUDVBUSVCUQFPUEUFVDGLVBVDGQGVCGUGUHUIUJUKUM
      DULUNUO $.

    $( The defined function from the closed unit interval to the extended
       nonnegative reals is a monoid homomorphism.  (Contributed by Thierry
       Arnoux, 21-Jun-2017.) $)
    xrge0iifmhm $p |- F e. ( ( ( mulGrp ` CCfld ) |`s ( 0 [,] 1 ) )
                                         MndHom ( RR*s |`s ( 0 [,] +oo ) ) ) $=
      ( vy vz ccnfld cfv cc0 c1 cicc co cress wcel cmul wceq ax-mp cc cvv wa wf
      cmgp cxrs cpnf cmhm cmnd cv cxad wral ctmd eqid iistmd tmdmnd ccmn cmnmnd
      w3a xrge0cmn pm3.2i wf1o ccnv cneg ce cmpt xrge0iifcnv simpli xrge0iifhom
      cif f1of rgen2 xrge0iif1 3pm3.2i wss unitsscn cnfldbas ressbas2 xrge0base
      cbs mgpbas cnfldex ovex mp2an cmulr cnfldmul ressmulr mgpplusg xrge0plusg
      mgpress crg cnring 1elunit cnfld1 ringidss mp3an xrge00 ismhm mpbir2an
      c0g ) BHUCIZJKLMZNMZUDJUELMZNMZUFMOXAUGOZXCUGOZUAWTXBBUBZFUHZGUHZPMBIXGBI
      XHBIUIMQZGWTUJFWTUJZKBIJQZUQXDXEXAUKOXDXAXAULZUMXAUNRXCUOOXEURXCUPRUSXFXJ
      XKWTXBBUTZXFXMBVAFXBXGUEQJXGVBVCIVHVDQAFBDVEVFWTXBBVIRXIFGWTWTABCXGXHDEVG
      VJABCDEVKVLFGWTXBPUIXAXCBJKWTSVMZWTXAVRIQVNWTSXAWSXLSHWSWSULZVOVSVPRVQHWT
      NMZPXAHTOWTTOZXAXPUCIQVTJKLWAZWTHXPWSTTXPULZXOWHWBXQPXPWCIQXRWTHXPPTXSWDW
      ERWFWGHWIOXNKWTOKXAWRIQWJVNWKWTSHKXAXLVOWLWMWNWOWPWQ $.

    $d x v $.  $d a b .+ $.  $d u v .+ $.  $d u v F $.
    xrge0pluscn.1 $e |- .+ = ( +e |` ( ( 0 [,] +oo ) X. ( 0 [,] +oo ) ) ) $.
    $( The addition operation of the extended nonnegative real numbers monoid
       is continuous.  (Contributed by Thierry Arnoux, 24-Mar-2017.) $)
    xrge0pluscn $p |- .+ e. ( ( J tX J ) Cn J ) $=
      ( vu vv cc0 co cmul cii wf wcel cc cxad cxr cfv ccnfld va vb vy cicc cpnf
      c1 cxp cres xrge0iifhmeo wfn cv wral wss unitsscn xpss12 mp2an wb ax-mulf
      fnssresb mp2b mpbir wa ovres iimulcl eqeltrd rgen2 ffnov mpbir2an iccssxr
      ffn xaddf fneq1i oveqi ge0xaddcl eqeltrid iitopon cle cordt crest letopon
      ctopon resttopon eqeltri wceq wf1o ccnv cneg ce cif cmpt xrge0iifcnv f1of
      simpli ax-mp ffvelrni syl2an syl5eq xrge0iifhom eqcomd 3eqtr2rd cmgp ctmd
      fveq2d cress ctx ccn eqid iistmd cvv cnfldex mgpress dfii4 mgptopn cplusf
      ovex cnfldbas mgpbas cnfldmul mgpplusg ressplusf eqcomi tmdcn mndpluscn )
      HIJUFUDKZJUEUDKZLYDYDUGZUHZCBMDACDEFUIYFYDYGNYGYFUJZHUKZIUKZYGKZYDOZIYDUL
      HYDULYHYFPPUGZUMZYDPUMZYOYNUNUNYDPYDPUOUPYMPLNZLYMUJZYHYNUQURYMPLVJZYMYFL
      USUTVAYLHIYDYDYIYDOZYJYDOZVBZYKYIYJLKZYDYIYJYDYDLVCZYIYJVDVEVFHIYDYDYDYGV
      GVHYEYEUGZYEBNBUUDUJZUAUKZUBUKZBKZYEOZUBYEULUAYEULUUEQUUDUHZUUDUJZUUKUUDR
      RUGZUMZYERUMZUUNUUMJUEVIZUUOYERYERUOUPUULRQNQUULUJUUKUUMUQVKUULRQVJUULUUD
      QUSUTVAUUDBUUJGVLVAUUIUAUBYEYEUUFYEOUUGYEOVBZUUHUUFUUGUUJKZYEBUUJUUFUUGGV
      MUUPUUQUUFUUGQKYEUUFUUGYEYEQVCUUFUUGVNVEVOVFUAUBYEYEYEBVGVHVPDVQVRSZYEVSK
      ZYEWASZFUURRWASOUUNUUSUUTOVTUUOYEUURRWBUPWCUUAYICSZYJCSZBKZUVAUVBQKZUUBCS
      YKCSUUAUVCUVAUVBUUJKZUVDBUUJUVAUVBGVMYSUVAYEOUVBYEOUVEUVDWDYTYDYEYICYDYEC
      WEZYDYECNUVFCWFUCYEUCUKZUEWDJUVGWGWHSWIWJWDAUCCEWKWMYDYECWLWNZWOYDYEYJCUV
      HWOUVAUVBYEYEQVCWPWQACDYIYJEFWRUUAUUBYKCUUAYKUUBUUCWSXCWTTXASZYDXDKZXBOYG
      MMXEKMXFKOUVJUVJXGZXHYGUVJMTYDXDKZMUVJTXIOYDXIOUVJUVLXASWDXJJUFUDXOYDTUVL
      UVIXIXIUVLXGZUVIXGZXKUPUVLUVMXLXMUVJXNSYGYDPLUVIUVJPTUVIUVNXPXQUVKTLUVIUV
      NXRXSYPYQURYRWNUNXTYAYBWNYC $.
  $}

  ${
    $d x y C $.
    xrge0mulc1cn.k $e |- J = ( ( ordTop ` <_ ) |`t ( 0 [,] +oo ) ) $.
    xrge0mulc1cn.f $e |- F = ( x e. ( 0 [,] +oo ) |-> ( x *e C ) ) $.
    xrge0mulc1cn.c $e |- ( ph -> C e. ( 0 [,) +oo ) ) $.
    $( The operation multiplying a nonnegative real numbers by a nonnegative
       constant is continuous.  (Contributed by Thierry Arnoux, 6-Jul-2017.) $)
    xrge0mulc1cn $p |- ( ph -> F e. ( J Cn J ) ) $=
      ( vy cc0 wceq ccn co wcel cpnf cfv cxr a1i cxmu crp cioo ctopon csn cordt
      wf cle crest wss letopon iccssxr resttopon mp2an eqeltri 0e0iccpnf cxp cv
      cicc cmpt wa simpl oveq2d simpr sselid xmul01 syl eqtrd mpteq2dva 3eqtr4g
      fconstmpt c0ex fconst2 sylibr cnconst syl22anc cres eqid oveq1 cbvmptv id
      adantl xrmulc1cn cnrest sylancl resmpt ax-mp eqtr4i eqcomi oveq1i 3eltr3g
      letopuni crn ioorp ioossicc eqsstrri ge0xmulcl syl2anc fmptd frnd cnrest2
      wb syl3anc mpbid oveq2i eleqtrrdi eleq2s cico wo clt wbr 0xr pnfxr 0ltpnf
      elicoelioo mp3an sylib mpjaodan ) ACJKZDEELMZNZCJOUAMZNZXQXSAXQEJOUQMZUBP
      ZNZYDJYBNZYBJUCZDUEZXSYDXQEUFUDPZYBUGMZYCFYHQUBPNZYBQUHZYIYCNUIJOUJZYBYHQ
      UKULUMRZYMYEXQUNRXQDYBYFUOZKYGXQBYBBUPZCSMZURZBYBJURDYNXQBYBYPJXQYOYBNZUS
      ZYPYOJSMZJYSCJYOSXQYRUTVAYSYOQNYTJKYSYBQYOYLXQYRVBVCYOVDVEVFVGGBYBJVIVHYB
      JDVJVKVLJDEEYBYBVMVNVTYAXSAXSCTXTCTNZDEYILMZXRUUADEYHLMZNZDUUBNZUUABQYPUR
      ZYBVOZYIYHLMZDUUCUUAUUFYHYHLMNYKUUGUUHNUUAICUUFYHYHVPBIQYPIUPZCSMYOUUICSV
      QVRUUAVSWAYLYBUUFYHYHQWJWBWCUUGYQDYKUUGYQKYLBQYBYPWDWEGWFYIEYHLEYIFWGWHWI
      UUAYJDWKYBUHYKUUDUUEWTYJUUAUIRUUAYBYBDUUABYBYPYBDUUAYRUSZYRCYBNYPYBNUUAYR
      VBUUJTYBCTXTYBWLJOWMWNUUAYRUTVCYOCWOWPGWQWRYKUUAYLRYBDEYHQWSXAXBEYIELFXCX
      DWLXEVTACJOXFMNZXQYAXGZHJQNOQNJOXHXIUUKUULWTXJXKXLJOCXMXNXOXP $.
  $}

  $( The extended nonnegative real numbers monoid forms a topological space.
     (Contributed by Thierry Arnoux, 19-Jun-2017.) $)
  xrge0tps $p |- ( RR*s |`s ( 0 [,] +oo ) ) e. TopSp $=
    ( cxrs ctps wcel cc0 cpnf cicc co cvv cress xrstps ovex resstps mp2an ) ABC
    DEFGZHCANIGBCJDEFKNAHLM $.

  $( The topology of the extended nonnegative real numbers.  (Contributed by
     Thierry Arnoux, 20-Jun-2017.) $)
  xrge0topn $p |- ( TopOpen ` ( RR*s |`s ( 0 [,] +oo ) ) ) =
                                       ( ( ordTop ` <_ ) |`t ( 0 [,] +oo ) ) $=
    ( cle cordt cfv cc0 cpnf cicc co crest cxrs cress ctopn eqid xrstopn eqcomi
    resstopn ) ABCZDEFGZHGIQJGZKCQRPIRLMON $.

  $( The topology of the extended nonnegative real numbers is Hausdorff.
     (Contributed by Thierry Arnoux, 26-Jul-2017.) $)
  xrge0haus $p |- ( TopOpen ` ( RR*s |`s ( 0 [,] +oo ) ) ) e. Haus $=
    ( cxrs cc0 cpnf cicc cress ctopn cfv cle cordt crest cha xrge0topn wcel cvv
    co xrhaus ovex resthaus mp2an eqeltri ) ABCDOZEOFGHIGZUAJOZKLUBKMUANMUCKMPB
    CDQUAUBNRST $.

  ${
    $d x y $.
    $( The extended nonnegative real numbers monoid is a topological monoid.
       (Contributed by Thierry Arnoux, 26-Mar-2017.)  (Proof Shortened by
       Thierry Arnoux, 21-Jun-2017.) $)
    xrge0tmd $p |- ( RR*s |`s ( 0 [,] +oo ) ) e. TopMnd $=
      ( vx vy ccnfld cmgp cfv cc0 c1 cicc co cress cpnf cv wceq clog cneg chmeo
      cif cii cvv eqid cxrs ctopn eqeq1 fveq2 negeqd ifbieq2d cbvmptv xrge0topn
      cmpt xrge0iifmhm xrge0iifhmeo cnfldex mgpress mp2an dfii4 mgptopn eleqtri
      wcel ovex oveq1i iistmd xrge0tps mhmhmeotmd ) CDEZFGHIZJIZUAFKHIJIZAVEALZ
      FMZKVHNEZOZQZUIZBVMVGUBEZABVEVLBLZFMZKVONEZOZQVHVOMZVIVPVKVRKVHVOFUCVSVJV
      QVHVONUDUEUFUGZUHUJVMRVNPIVFUBEZVNPIBVMVNVTUHUKRWAVNPCVEJIZRVFCSURVESURVF
      WBDEMULFGHUSVECWBVDSSWBTZVDTUMUNWBWCUOUPUTUQVFVFTVAVBVC $.

    $( Alternate proof of ~ xrge0tmd .  (Contributed by Thierry Arnoux,
       26-Mar-2017.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    xrge0tmdALT $p |- ( RR*s |`s ( 0 [,] +oo ) ) e. TopMnd $=
      ( vx vy cxrs cc0 cpnf cicc co wcel cxad cxp cfv ax-mp wceq clog cneg eqid
      cv cif cxr cvv cress ctmd cmnd ctps cres cle cordt crest ctx ccn xrge0cmn
      ccmn cmnmnd xrge0tps cmpt eqeq1 fveq2 negeqd ifbieq2d cbvmptv xrge0pluscn
      c1 cplusf xrsbas xrsadd wf wfn ffn iccssxr ressplusf eqcomi xrge0base cts
      xaddf ovex xrstset resstset topnval istmd mpbir3an ) CDEFGZUAGZUBHWBUCHZW
      BUDHIWAWAJUEZUFUGKZWAUHGZWFUIGWFUJGHWBULHWCUKWBUMLUNAWDBDVBFGZBQZDMZEWHNK
      ZOZRZUOWFBAWGWLAQZDMZEWMNKZOZRWHWMMZWIWNWKWPEWHWMDUPWQWJWOWHWMNUQURUSUTWF
      PWDPVAWDWBWFWBVCKWDWASICWBVDWBPZVESSJZSIVFIWSVGVNWSSIVHLDEVIVJVKWAWEWBVLW
      ATHWEWBVMKMDEFVOWACWBWETWRVPVQLVRVSVT $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Limits - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    lmlim.j $e |- J e. ( TopOn ` Y ) $.
    lmlim.f $e |- ( ph -> F : NN --> X ) $.
    lmlim.p $e |- ( ph -> P e. X ) $.
    lmlim.t $e |- ( J |`t X ) = ( ( TopOpen ` CCfld ) |`t X ) $.
    lmlim.x $e |- X C_ CC $.
    $( Relate a limit in a given topology to a complex number limit, provided
       that topology agrees with the common topology on ` CC ` on the required
       subset.  (Contributed by Thierry Arnoux, 11-Jul-2017.) $)
    lmlim $p |- ( ph -> ( F ( ~~>t ` J ) P <-> F ~~> P ) ) $=
      ( clm cfv wbr c1 cvv cn cc wcel a1i crest ccnfld ctopn cli eqid nnuz cnex
      co wss ssexd ctop topontopi cz 1z wb fveq2i breqi cnfldtop wf fss sylancl
      lmss lmclimf sylancr bitr3d 3bitrd ) ACBDLMNCBDEUAUHZLMZNZCBUBUCMZEUAUHZL
      MZNZCBUDNZABCDVGOPEQVGUEUFAERPRPSAUGTERUIZAKTUJZDUKSAFDGULTIOUMSZAUNTZHVB
      VIVMUOACBVHVLVGVKLJUPUQTACBVJLMNZVMVNABCVJVKOPEQVKUEUFVPVJUKSAVJVJUEZURTI
      VRHVBAVQQRCUSZVSVNUOUNAQECUSVOWAHKQERCUTVABCVJOQVTUFVCVDVEVF $.
  $}

  ${
    lmlimxrge0.j $e |- J = ( TopOpen ` ( RR*s |`s ( 0 [,] +oo ) ) ) $.
    lmlimxrge0.f $e |- ( ph -> F : NN --> X ) $.
    lmlimxrge0.p $e |- ( ph -> P e. X ) $.
    lmlimxrge0.x $e |- X C_ ( 0 [,) +oo ) $.
    $( Relate a limit in the nonnegative extended reals to a complex limit,
       provided the considered function is a real function.  (Contributed by
       Thierry Arnoux, 11-Jul-2017.) $)
    lmlimxrge0 $p |- ( ph -> ( F ( ~~>t ` J ) P <-> F ~~> P ) ) $=
      ( cc0 cpnf co cfv crest cxr wcel wss cvv sstri cr cicc cordt ctopon cress
      cxrs ctopn xrge0topn eqtri letopon iccssxr resttopon mp2an eqeltri ccnfld
      cle wceq fvex cico icossicc ovex restabs mp3an oveq1i rge0ssre eqid ax-mp
      xrrest2 3eqtr4i cc ax-resscn lmlim ) ABCDEJKUALZDUOUBMZVLNLZVLUCMZDUEVLUD
      LUFMVNFUGUHZVMOUCMPVLOQVNVOPUIJKUJVLVMOUKULUMGHVNENLZVMENLZDENLUNUFMZENLZ
      VMRPEVLQVLRPVQVRUPUOUBUQEJKURLZVLIJKUSSJKUAUTEVLVMRRVAVBDVNENVPVCETQVTVRU
      PEWATIVDSZEVSVMVSVEVMVEVGVFVHETVIWBVJSVK $.
  $}

  ${
    $d j k x z F $.
    $( Implication of convergence for a nonnegative series.  This could be used
       to shorten ~ prmreclem6 .  (Contributed by Thierry Arnoux,
       28-Jul-2017.) $)
    rge0scvg $p |- ( ( F : NN --> ( 0 [,) +oo ) /\ seq 1 ( + , F ) e. dom ~~> )
      -> sup ( ran seq 1 ( + , F ) , RR , < ) e. RR ) $=
      ( vz vx vj vk cn wf c1 cli wcel wa cr c0 cv cle wbr wral nnuz adantr cfv
      cc0 cpnf cico co caddc cseq cdm crn wss wne wrex csup 1zzd rge0ssre mpan2
      clt fss ffvelrnda serfre frnd 1nn fdm eleqtrrid ne0i necon3bii sylib 3syl
      dm0rn0 climdm biimpi adantl climrecl simpr simplll ffvelrn sselid elrege0
      sylancom simprbi adantlr climserle ralrimiva brralrspcev syl2anc wb breq1
      syl wfn ffn ralrn rexbidv mpbird suprcl syl3anc ) FUAUBUCUDZAGZUEAHUFZIUG
      JZKZWQUHZLUIZWTMUJZBNZCNZOPZBWTQZCLUKZWTLUPULLJWPXAWRWPFLWQWPDAHFRWPUMWPF
      LDNZAWPWOLUIFLAGUNFWOLAUQUOURUSZUTSWPXBWRWPFLWQGZHWQUGZJZXBXIXJHFXKVAFLWQ
      VBVCXLXKMUJXBXKHVDXKMWTMWQVHVEVFVGSWSXGENZWQTZXDOPZEFQZCLUKZWSWQITZLJXNXR
      OPZEFQXQWSXREWQHFRWSUMWRWQXRIPZWPWRXTWQVIVJVKZWSFLXMWQWPXJWRXISURVLWSXSEF
      WSXMFJZKZXRDAHXMFRWSYBVMWSXTYBYASYCXHFJZWPXHATZLJZWPWRYBYDVNWPYDKZWOLYEUN
      FWOXHAVOZVPVRWSYDUAYEOPZYBWPYDYIWRYGYEWOJZYIYHYJYFYIYEVQVSWGVTVTWAWBCEXNX
      ROLFWCWDWPXGXQWEWRWPXFXPCLWPXJWQFWHXFXPWEXIFLWQWIXEXOBEFWQXCXNXDOWFWJVGWK
      SWLCBWTWMWN $.
  $}

  ${
    $d k F $.  $d k M $.  $d k S $.  $d k ph $.
    fsumcvg4.s $e |- S = ( ZZ>= ` M ) $.
    fsumcvg4.m $e |- ( ph -> M e. ZZ ) $.
    fsumcvg4.c $e |- ( ph -> F : S --> CC ) $.
    fsumcvg4.f $e |- ( ph -> ( `' F " ( CC \ { 0 } ) ) e. Fin ) $.
    $( A serie with finite support is a finite sum, and therefore converges.
       (Contributed by Thierry Arnoux, 6-Sep-2017.)  (Revised by Thierry
       Arnoux, 1-Sep-2019.) $)
    fsumcvg4 $p |- ( ph -> seq M ( + , F ) e. dom ~~> ) $=
      ( vk cc cc0 cdif cima wceq wcel wa wo a1i cvv cn0 ccnv csn cv cfv wf wfun
      ffun difpreima 3syl difss eqsstrdi fimacnv syl sseqtrd wn cif exmidd eqid
      wb biantru wne crab csupp co cuz fvexi 0nn0 ffs2 syl3anc suppvalfn eqtr3d
      wfn ffnd eleq2d rabid baibd necon2bbid biimprd pm4.71d orbi12d mpbid eqif
      bitrdi sylibr sselda ffvelrnda syldan fsumcvg3 ) ACUAZJKUBZLZMZIUCZCUDZIC
      DBEFHAWLWIJMZBAWLWOWIWJMZLZWOABJCUEZCUFWLWQNGBJCUGJWJCUHUIWOWPUJUKAWRWOBN
      GBJCULUMUNZAWMBOZPZWMWLOZWNWNNZPZXBUOZWNKNZPZQZWNXBWNKUPNXAXBXEQXHXAXBUQX
      AXBXDXEXGXBXDUSXAXCXBWNURUTRXAXEXFXAXFXEXAXBWNKAXBWTWNKVAZAXBWMXIIBVBZOWT
      XIPAWLXJWMACKVCVDZWLXJABSOZKTOZWRXKWLNXLABDVEEVFRZXMAVGRZGBJWKCSTKWKURVHV
      IACBVLXLXMXKXJNABJCGVMXNXOICSTBKVJVIVKVNXIIBVOWCVPVQVRVSVTWAXBWNWNKWBWDAX
      BWTWNJOAWLBWMWSWEABJWMCGWFWGWH $.
  $}

  ${
    $d x y A $.  $d y J $.
    pnfneige0.j $e |- J = ( TopOpen ` ( RR*s |`s ( 0 [,] +oo ) ) ) $.
    $( A neighborhood of ` +oo ` contains an unbounded interval based at a real
       number.  See ~ pnfnei .  (Contributed by Thierry Arnoux,
       31-Jul-2017.) $)
    pnfneige0 $p |- ( ( A e. J /\ +oo e. A ) ->
      E. x e. RR ( x (,] +oo ) C_ A ) $=
      ( vy wcel cpnf wa cioc co cc0 cin wss cr wceq cxr a1i cfv ctop cvv cv clt
      wrex wbr cif 0red wn simpllr ifclda ovif rexr 0xr iocinif syl3anc eqtr4id
      pnfxr ad2antlr cicc iocssicc sslin mp1i simpr ssin biimpri simpld ssinss1
      3syl sstrd eqsstrd oveq1 sseq1d rspcev syl2anc cordt crest ctopon letopon
      iccssxr resttopon mp2an topontopi ovex cress ctopn xrge0topn eqtri eleq2i
      cle biimpi elrestr letop restabs mp3an eleqtrdi wb iocpnfordt ssidd inss2
      cxrs restopnb syl23anc mpbird adantr 0ltpnf ubioc1 elind pnfnei r19.29a )
      BCFZGBFZHZEUAZGIJZBKGIJZLZMZAUAZGIJZBMZANUCZENXKXLNFZHZXPHZXLKUBUDZKXLUEZ
      NFYEGIJZBMZXTYCYDKXLNYCYDHUFXKYAXPYDUGUHUIYCYFXMXNLZBYAYFYHOXKXPYAYFYDXNX
      MUEZYHYDKXLGIUJYAXLPFKPFZGPFZYHYIOXLUKYJYAULQYKYAUPQXLKGUMUNUOUQYCYHXMKGU
      RJZLZBXNYLMZYHYMMYCKGUSZXNYLXMUTVAYCXPXMBMZYMBMYBXPVBXPYPXMXNMZYPYQHXPXMB
      XNVCVDVEXMYLBVFVGVHVIXSYGAYENXQYEOXRYFBXQYEGIVJVKVLVMXKXOWHVNRZFZGXOFXPEN
      UCXIYSXJXIYSXOYRXNVOJZFZXIXOYRYLVOJZXNVOJZYTXIUUBSFZXNTFZBUUBFZXOUUCFUUDX
      IYLUUBYRPVPRFYLPMUUBYLVPRFVQKGVRYLYRPVSVTWAQUUEXIKGIWBQZXIUUFCUUBBCWSYLWC
      JWDRUUBDWEWFWGWIBXNUUBSTWJUNYRSFZYNYLTFUUCYTOWKYOKGURWBXNYLYRSTWLWMWNXIUU
      HUUEXNYRFZXNXNMXOXNMZYSUUAWOUUHXIWKQUUGUUIXIKWPQXIXNWQUUJXIBXNWRQXNXNXOYR
      TWTXAXBXCXKBXNGXIXJVBGXNFZXKYJYKKGUBUDUUKULUPXDKGXEWMQXFEXOXGVMXH $.
  $}

  ${
    $d a j l x A $.  $d a j k l x F $.  $d a k l x J $.  $d a k l x ph $.
    lmxrge0.j $e |- J = ( TopOpen ` ( RR*s |`s ( 0 [,] +oo ) ) ) $.
    lmxrge0.6 $e |- ( ph -> F : NN --> ( 0 [,] +oo ) ) $.
    lmxrge0.7 $e |- ( ( ph /\ k e. NN ) -> ( F ` k ) = A ) $.
    $( Express "sequence ` F ` converges to plus infinity" (i.e. diverges), for
       a sequence of nonnegative extended real numbers.  (Contributed by
       Thierry Arnoux, 2-Aug-2017.) $)
    lmxrge0 $p |- ( ph -> ( F ( ~~>t ` J ) +oo <-> A. x e. RR E. j e. NN
      A. k e. ( ZZ>= ` j ) x < A ) ) $=
      ( vl cpnf cfv wbr wcel cn cr cc0 wa cxr va clm cv cuz wral wrex wi clt co
      cicc ctopon cle cordt crest cxrs cress ctopn eqid xrstopn resstopn eqtr4i
      wss letopon iccssxr resttopon mp2an eqeltri a1i nnuz 1zzd lmbrf 0xr pnfxr
      c1 0lepnf ubicc2 mp3an biantrur bitr4di cioc cin rexr ltpnf ubioc1 0ltpnf
      syl3anc jctir elin sylibr ad2antlr ctop cvv letop ovex iocpnfordt elrestr
      inopn wceq inss2 iocssicc sstri sseqin2 incom eqtr3i 3eltr4i eleq2 adantl
      mpbi wb biimprd simp-5r rexrd simpr simp-4r eleqtrd simplbi syl w3a mpan2
      elioc1 biimpa syl2anc ex ralimdva reximdva fveq2 raleqdv cbvrexvw syl6ibr
      simp2d imim12d rspcimdv imp mpd ralrimdva simplll pnfneige0 simplr sseldd
      simpllr r19.29r simp-4l uznnssnn ffvelrnda eqeltrrd sselid ad2antrr pnfge
      jca biimpar syl13anc adantlr syl21anc syl5bi expimpd rexlimdva syl5 exp31
      syl12anc impbid bitrd ) AFLGUBMNZLUAUCZOZCUVCOZEKUCZUDMZUEZKPUFZUGZUAGUEZ
      BUCZCUHNZEDUCZUDMZUEZDPUFZBQUEZAUVBLRLUJUIZOZUVKSUVKAUACLKEFGVNUVSPGUVSUK
      MZOAGULUMMZUVSUNUIZUWAGUOUVSUPUIZUQMUWCHUVSUWDUWBUOUWDURUSUTVAZUWBTUKMOUV
      STVBUWCUWAOVCRLVDZUVSUWBTVEVFVGVHVIAVJIJVKUVTUVKRTOZLTOZRLULNUVTVLVMVORLV
      PVQVRVSAUVKUVRAUVKUVQBQAUVLQOZSZUVKUVQUWJUVKSLUVLLVTUIZRLVTUIZWAZOZUVQUWI
      UWNAUVKUWILUWKOZLUWLOZSUWNUWIUWOUWPUWIUVLTOZUWHUVLLUHNUWOUVLWBUWHUWIVMVHU
      VLWCUVLLWDWFUWGUWHRLUHNUWPVLVMWERLWDVQWGLUWKUWLWHWIWJUWJUVKUWNUVQUGZUWJUV
      JUWRUAUWMGUWMGOUWJUWMUVSWAZUWCUWMGUWBWKOZUVSWLOUWMUWBOZUWSUWCOWMRLUJWNUWT
      UWKUWBOUWLUWBOUXAWMUVLWORWOUWKUWLUWBWQVQUWMUVSUWBWKWLWPVQUVSUWMWAZUWMUWSU
      WMUVSVBUXBUWMWRUWMUWLUVSUWKUWLWSRLWTXAUWMUVSXBXHUVSUWMXCXDUWEXEVHUWJUVCUW
      MWRZSZUWNUVDUVIUVQUXDUVDUWNUXCUVDUWNXIUWJUVCUWMLXFXGXJUXDUVIUVMEUVGUEZKPU
      FZUVQUXDUVHUXEKPUXDUVFPOZSZUVEUVMEUVGUXHEUCZUVGOZSZUVEUVMUXKUVESZUWQCUWKO
      ZUVMUXLUVLAUWIUXCUXGUXJUVEXKXLUXLCUWMOZUXMUXLCUVCUWMUXKUVEXMUWJUXCUXGUXJU
      VEXNXOUXNUXMCUWLOCUWKUWLWHXPXQUWQUXMSCTOZUVMCLULNZUWQUXMUXOUVMUXPXRZUWQUW
      HUXMUXQXIVMUVLLCXTXSZYAYJYBYCYDYEUVPUXEDKPUVNUVFWRUVMEUVOUVGUVNUVFUDYFYGY
      HZYIYKYLYMYNYCYOAUVRUVJUAGAUVCGOZSZUVRUVDUVIUYAUVRSZUVDSZAUWKUVCVBZBQUFZU
      VRUVIAUXTUVRUVDYPUYCUXTUVDUYEAUXTUVRUVDYTUYBUVDXMBUVCGHYQYBUYAUVRUVDYRAUY
      EUVRSZUVIUYFUYDUVQSZBQUFAUVIUYDUVQBQUUAAUYGUVIBQUWJUYDUVQUVIUVQUXFUWJUYDS
      ZUVIUXSUYHUXEUVHKPUYHUXGSZUVMUVEEUVGUYIUXJSZAUXIPOZSZUWIUYDUVMUVEUGUYJAUY
      KAUWIUYDUXGUXJUUBUYJUVGPUXIUXGUVGPVBUYHUXJUVFUUCWJUYIUXJXMYSUUIAUWIUYDUXG
      UXJXNUWJUYDUXGUXJYTUYLUWISZUYDSZUVMUVEUYNUVMSUWKUVCCUYMUYDUVMYRUYMUVMUXMU
      YDUYMUVMSZUWQUXOUVMUXPUXMUYOUVLUYLUWIUVMYRXLUYLUXOUWIUVMUYLUVSTCUWFUYLUXI
      FMCUVSJAPUVSUXIFIUUDUUEUUFUUGZUYMUVMXMUYOUXOUXPUYPCUUHXQUWQUXMUXQUXRUUJUU
      KUULYSYCUUMYDYEUUNUUOUUPUUQYMUUSUURYOUUTUVA $.
  $}

  ${
    $d j k l x F $.  $d j k l x ph $.
    lmdvg.1 $e |- ( ph -> F : NN --> ( 0 [,) +oo ) ) $.
    lmdvg.2 $e |- ( ( ph /\ k e. NN ) -> ( F ` k ) <_ ( F ` ( k + 1 ) ) ) $.
    lmdvg.3 $e |- ( ph -> -. F e. dom ~~> ) $.
    $( If a monotonic sequence of real numbers diverges, it is unbounded.
       (Contributed by Thierry Arnoux, 4-Aug-2017.) $)
    lmdvg $p |- ( ph
               -> A. x e. RR E. j e. NN A. k e. ( ZZ>= ` j ) x < ( F ` k ) ) $=
      ( vl cfv wbr wral cn cr wcel wa cle co simpr cvv clt cuz wrex cli cdm crn
      cv wn csup c1 nnuz 1zzd wf cc0 cpnf wss rge0ssre fss sylancl adantr caddc
      cico ralrimiva wceq fveq2 fvoveq1 breq12d cbvralvw sylib r19.21bi adantlr
      breq1d rexbii climsup nnex fex ltso supex a1i breldmg syldan mtand ralnex
      syl3anc sylibr simplr ffvelrnda ltnled rexbidva rexnal ralbidva ad3antrrr
      bitrdi mpbird ad2antrr uznnssnn ad3antlr sseldd ffvelrnd simp-4l cfz cmin
      simpllr fzssnn simplll syl2anc monoord syl21anc ltletrd ex reximdva mpd )
      ABUGZDUGZEJZUAKZDCUGZUBJZLZCMUCZBNAXMNOZPZXMXQEJZUAKZCMUCZXTAYEBNAYEBNLYC
      XMQKZCMLZUHZBNLZAYGBNUCZUHYIAYJEUDUEOZHAYJEEUFZNUAUIZUDKZYKAYJPZBIEUJMUKY
      OULAMNEUMZYJAMUNUOVBRZEUMZYQNUPYPFUQMYQNEURUSZUTAIUGZMOZYTEJZYTUJVAREJZQK
      ZYJAUUDIMAXOXNUJVAREJZQKZDMLUUDIMLAUUFDMGVCUUFUUDDIMXNYTVDXOUUBUUEUUCQXNY
      TEVEXNYTUJEVAVFVGVHVIVJZVKYOYJUUBXMQKZIMLZBNUCAYJSYGUUIBNYFUUHCIMXQYTVDYC
      UUBXMQXQYTEVEVLVHVMVIVNAYNPZETOZYMTOZYNYKAUUKYNAYRMTOUUKFVOMYQTEVPUSUTUUL
      UUJNYLUAVQVRVSAYNSEYMTTUDVTWDWAWBYGBNWCWEAYEYHBNYBYEYFUHZCMUCYHYBYDUUMCMY
      BXQMOZPZXMYCAYAUUNWFZYBMNXQEAYPYAYSUTZWGZWHWIYFCMWJWMWKWNVJYBYDXSCMUUOYDX
      SUUOYDPZXPDXRUUSXNXROZPZXMYCXOUUOYAYDUUTUUPWOUUOYCNOYDUUTUURWOUVAMNXNEYBY
      PUUNYDUUTUUQWLUVAXRMXNUUNXRMUPYBYDUUTXQWPWQUUSUUTSZWRWSUUOYDUUTWFUVAAUUNU
      UTYCXOQKAYAUUNYDUUTWTYBUUNYDUUTXCUVBAUUNPZUUTPZIEXQXNUVCUUTSUVDYTXQXNXARZ
      OZPZMNYTEAYPUUNUUTUVFYSWLUVGUVEMYTUUNUVEMUPAUUTUVFXQXNXDWQUVDUVFSWRWSUVDY
      TXQXNUJXBRZXARZOZPZAUUAUUDAUUNUUTUVJXEUVKUVIMYTUUNUVIMUPAUUTUVJXQUVHXDWQU
      VDUVJSWRUUGXFXGXHXIVCXJXKXLVC $.
  $}

  ${
    $d j k x F $.  $d k x J $.  $d j k x ph $.
    lmdvglim.j $e |- J = ( TopOpen ` ( RR*s |`s ( 0 [,] +oo ) ) ) $.
    lmdvglim.1 $e |- ( ph -> F : NN --> ( 0 [,) +oo ) ) $.
    lmdvglim.2 $e |- ( ( ph /\ k e. NN ) -> ( F ` k ) <_ ( F ` ( k + 1 ) ) ) $.
    lmdvglim.3 $e |- ( ph -> -. F e. dom ~~> ) $.
    $( If a monotonic real number sequence ` F ` diverges, it converges in the
       extended real numbers and its limit is plus infinity.  (Contributed by
       Thierry Arnoux, 3-Aug-2017.) $)
    lmdvglim $p |- ( ph -> F ( ~~>t ` J ) +oo ) $=
      ( vx vj cpnf clm cfv wbr cv wral cn cc0 co wf clt wrex cr lmdvg cico cicc
      cuz wss icossicc fss sylancl wcel wa eqidd lmxrge0 mpbird ) ACKDLMNIOBOZC
      MZUANBJOUGMPJQUBIUCPAIJBCFGHUDAIURJBCDEAQRKUESZCTUSRKUFSZUHQUTCTFRKUIQUSU
      TCUJUKAUQQULUMURUNUOUP $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Univariate polynomials
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d h E $.  $d h F $.  $d f g h x y z J $.  $d f g h x y z K $.
    $d f g h x y z R $.  $d f g x ph $.
    pl1cn.p $e |- P = ( Poly1 ` R ) $.
    pl1cn.e $e |- E = ( eval1 ` R ) $.
    pl1cn.b $e |- B = ( Base ` P ) $.
    pl1cn.k $e |- K = ( Base ` R ) $.
    pl1cn.j $e |- J = ( TopOpen ` R ) $.
    pl1cn.1 $e |- ( ph -> R e. CRing ) $.
    pl1cn.2 $e |- ( ph -> R e. TopRing ) $.
    pl1cn.3 $e |- ( ph -> F e. B ) $.
    $( TODO - maybe a bit shorter with ~ cnmpt1mulr and ~ cnmpt1plusg $)
    $( A univariate polynomial is continuous.  (Contributed by Thierry Arnoux,
       17-Sep-2018.) $)
    pl1cn $p |- ( ph -> ( E ` F ) e. ( J Cn J ) ) $=
      ( vx co wcel cfv vh vf vg vy vz ccn csn cxp cid cres cplusg cof cmulr ce1
      cv crn eqid w3a cmpt cvv cbs fvexi a1i fvexd cuni wfn wceq simp1 cnf ffnd
      wa 3ad2ant2 ctopon ctrg ctgp trgtgp tgptopon 3syl toponuni fneq2d bitr3di
      syl dffn5 syl2anc 3ad2ant3 offval2 3ad2ant1 simp2 eqeltrrd simp3 cmpo ctx
      biimpa cplusf plusffval tgpcn eqeltrrid cnmpt12 eqeltrd 3adant2l 3adant3l
      oveq12 3expb cmgp mgpbas mgpplusg mulrcn eleq1 adantr simpr cnconst2 idcn
      syl3anc ccrg wf cpws crh evl1rhm rhmf dffn3 biimpi 4syl ffvelrnd eleqtrdi
      ffn rneqi pf1ind ) AUAUOZGGUFRZSHUBUOZUGUHZYISZUIHUJZYISZYJYISZUCUOZYISZY
      JYPDUKTZULRZYISZYJYPDUMTZULRZYISZFETZYISUAUUDHYRDUNTZUPZDUUAUBUCLYRUQZUUA
      UQZUUFUQAYJUUFSZYOVKZYPUUFSZYQVKZYTAUUJYQYTUUKAYOYQYTUUIAYOYQURZYSQHQUOZY
      JTZUUNYPTZYRRZUSYIUUMQHUUOUUPYRYJYPUTUTUTHUTSUUMHDVALVBVCZUUMUUNHSVKZUUNY
      JVDZUUSUUNYPVDZUUMAYJGVEZVFZYJQHUUOUSZVGZAYOYQVHZYOAUVCYQYOUVBUVBYJYJGGUV
      BUVBUVBUQZUVGVIVJVLAUVCUVEAYJHVFUVCUVEAHUVBYJAGHVMTSZHUVBVGADVNSZDVOSZUVH
      ODVPZDGHMLVQVRZHGVSWBZVTQHYJWCWAWMWDZUUMAYPUVBVFZYPQHUUPUSZVGZUVFYQAUVOYO
      YQUVBUVBYPYPGGUVBUVBUVGUVGVIVJWEAUVOUVQAYPHVFUVOUVQAHUVBYPUVMVTQHYPWCWAWM
      WDZWFUUMQUDUEUUOUUPUDUOZUEUOZYRRZUUQGGGGHHHAYOUVHYQUVLWGZUUMYJUVDYIUVNAYO
      YQWHWIZUUMYPUVPYIUVRAYOYQWJWIZUWBUWBAYOUDUEHHUWAWKZGGWLRGUFRZSYQAUWEDWNTZ
      UWFUDUEHYRUWGDLUUGUWGUQZWOAUVIUVJUWGUWFSOUVKUWGDGMUWHWPVRWQWGUVSUUOUVTUUP
      YRXBWRWSWTXAXCAUUJUULUUCAUUJYQUUCUUKAYOYQUUCUUIUUMUUBQHUUOUUPUUARZUSYIUUM
      QHUUOUUPUUAYJYPUTUTUTUURUUTUVAUVNUVRWFUUMQUDUEUUOUUPUVSUVTUUARZUWIGGGGHHH
      UWBUWCUWDUWBUWBAYOUDUEHHUWJWKZUWFSYQAUWKDXDTZWNTZUWFUDUEHUUAUWMUWLHDUWLUW
      LUQZLXEDUUAUWLUWNUUHXFUWMUQZWOAUVIUWMUWFSODUWMGMUWOXGWBWQWGUVSUUOUVTUUPUU
      AXBWRWSWTXAXCYHYKYIXHYHYMYIXHYHYJYIXHYHYPYIXHYHYSYIXHYHUUBYIXHYHUUDYIXHAY
      JHSZVKUVHUVHUWPYLAUVHUWPUVLXIZUWQAUWPXJYJGGHHXKXMAUVHYNUVLGHXLWBAUUDEUPZU
      UFABUWRFEADXNSZBUWREXOZNUWSECDHXPRZXQRSBUXAVATZEXOEBVFZUWTHCDUXAEJIUXAUQL
      XRBUXBCUXAEKUXBUQXSBUXBEYEUXCUWTBEXTYAYBWBPYCEUUEJYFYDYG $.
  $}
$( End $[ set-mbox-ta-algtop.mm $] $)


$( Begin $[ set-mbox-ta-ucm.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Uniform Stuctures and Spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Hausdorff uniform completion
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c HCmp $. $( The Hausdorff uniform completion relation. $)

  $( Extend class notation with the Hausdorff uniform completion relation. $)
  chcmp $a class HCmp $.

  ${
    $d u w $.
    $( Nota: despite uniqueness, this definition will not yield a function,
       since only three components of the structure are fixed. ( Base o. HCmp )
       shall be a function, though. $)
    $( Definition of the Hausdorff completion.  In this definition, a structure
       ` w ` is a Hausdorff completion of a uniform structure ` u ` if ` w ` is
       a complete uniform space, in which ` u ` is dense, and which admits the
       same uniform structure.  Theorem 3 of [BourbakiTop1] p.  II.21. states
       the existence and uniqueness of such a completion.  (Contributed by
       Thierry Arnoux, 5-Mar-2018.) $)
    df-hcmp $a |- HCmp = { <. u , w >. | ( ( u e. U. ran UnifOn /\ w e. CUnifSp
      ) /\ ( ( UnifSt ` w ) |`t dom U. u ) = u
        /\ ( ( cls ` ( TopOpen ` w ) ) ` dom U. u ) = ( Base ` w ) ) } $.
  $}
$( End $[ set-mbox-ta-ucm.mm $] $)


$( Begin $[ set-mbox-ta-rrhom.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Topology and algebraic structures
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The norm on the ring of the integer numbers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The norm (function) for a ring of integers is the absolute value function
     (restricted to the integers).  (Contributed by AV, 13-Jun-2019.) $)
  zringnm $p |- ( norm ` ZZring ) = ( abs |` ZZ ) $=
    ( ccnfld cmnd wcel cc0 cz cc wss zring cnm cfv cabs cres crg cnring ringmnd
    wceq ax-mp 0z zsscn w3a df-zring cnfldbas cnfld0 cnfldnm ressnm eqcomd
    mp3an ) ABCZDECZEFGZHIJZKELZPAMCUHNAOQRSUHUIUJTULUKEFAHKDUAUBUCUDUEUFUG $.

  $( The norm of the ring of the integers.  (Contributed by Thierry Arnoux,
     8-Nov-2017.)  (Revised by AV, 13-Jun-2019.) $)
  zzsnm $p |- ( M e. ZZ -> ( abs ` M ) = ( ( norm ` ZZring ) ` M ) ) $=
    ( cz wcel cabs cres cfv zring cnm fvres zringnm eqcomi fveq1i eqtr3di ) ABC
    ADBEZFADFAGHFZFABDIANOONJKLM $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Topological ` ZZ ` -modules
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    zlmlem2.1 $e |- W = ( ZMod ` G ) $.

    ${
      $d x y G $.  $d x y W $.
      zlm0.1 $e |- .0. = ( 0g ` G ) $.
      $( Zero of a ` ZZ ` -module.  (Contributed by Thierry Arnoux,
         8-Nov-2017.) $)
      zlm0 $p |- .0. = ( 0g ` W ) $=
        ( vx vy c0g cfv wceq wtru cbs eqid a1i zlmbas cv wcel cplusg zlmplusg
        wa oveqd grpidpropd mptru eqtri ) CAHIZBHIZEUEUFJKFGALIZABUGUGJKUGMZNUG
        BLIJKUGABDUHONKFPZUGQGPZUGQTTZARIZBRIZUIUJULUMJUKULABDULMSNUAUBUCUD $.
    $}

    ${
      $d x y G $.  $d x y W $.
      zlm1.1 $e |- .1. = ( 1r ` G ) $.
      $( Unit of a ` ZZ ` -module (if present).  (Contributed by Thierry
         Arnoux, 8-Nov-2017.) $)
      zlm1 $p |- .1. = ( 1r ` W ) $=
        ( vx vy cur cfv wceq wtru cbs eqid a1i zlmbas cv wcel wa cmulr zlmmulr
        oveqd rngidpropd mptru eqtri ) ABHIZCHIZEUEUFJKFGBLIZBCUGUGJKUGMZNUGCLI
        JKUGBCDUHONKFPZUGQGPZUGQRRZBSIZCSIZUIUJULUMJUKULBCDULMTNUAUBUCUD $.
    $}

    ${
      zlmds.1 $e |- D = ( dist ` G ) $.
      $( Distance in a ` ZZ ` -module (if present).  (Contributed by Thierry
         Arnoux, 8-Nov-2017.) $)
      zlmds $p |- ( G e. V -> D = ( dist ` W ) ) $=
        ( cds cfv cnx zring cop csts co dsid wne c1 c2 c5 1nn c6 wcel cvsca cmg
        csca eqid zlmval fveq2d cdc 2nn0 5nn0 5lt10 declti gtneii dsndx neeq12i
        5re scandx mpbir setsnid 6re 6nn0 6lt10 vscandx eqtri eqtr4di eqtr4id )
        BCUAZABGHZDGHZFVGVIBIUDHZJKLMZIUBHZBUCHZKLMZGHZVHVGDVNGVMBCDEVMUEUFUGVH
        VKGHVOJVJGBNIGHZVJOPQUHZRORVQUPPQRSUIUJUKULUMVPVQVJRUNUQUOURUSVMVLGVKNV
        PVLOVQTOTVQUTPQTSUIVAVBULUMVPVQVLTUNVCUOURUSVDVEVF $.
    $}

    ${
      zlmtset.1 $e |- J = ( TopSet ` G ) $.
      $( Topology in a ` ZZ ` -module (if present).  (Contributed by Thierry
         Arnoux, 8-Nov-2017.) $)
      zlmtset $p |- ( G e. V -> J = ( TopSet ` W ) ) $=
        ( cnx cfv zring cop csts co cts tsetid wne c9 c5 gtneii tsetndx c6 wcel
        csca cvsca cmg 5re 5lt9 scandx neeq12i mpbir setsnid 6re vscandx 3eqtri
        6lt9 eqid zlmval fveq2d eqtr4id ) ACUAZBAGUBHZIJKLZGUCHZAUDHZJKLZMHZDMH
        BAMHVAMHVEFIUTMANGMHZUTOPQOQPUEUFRVFPUTQSUGUHUIUJVCVBMVANVFVBOPTOTPUKUN
        RVFPVBTSULUHUIUJUMUSDVDMVCACDEVCUOUPUQUR $.
    $}

    ${
      zlmnm.1 $e |- N = ( norm ` G ) $.
      $( Norm of a ` ZZ ` -module (if present).  (Contributed by Thierry
         Arnoux, 8-Nov-2017.) $)
      zlmnm $p |- ( G e. V -> N = ( norm ` W ) ) $=
        ( wcel cnm cfv cbs wceq zlmbas a1i cplusg zlmplusg zlmds nmpropd syl5eq
        eqid cds ) ACGZBAHIDHIFUAADAJIZDJIKUAUBADEUBSLMANIZDNIKUAUCADEUCSOMATIZ
        ACDEUDSPQR $.
    $}

    ${
      $d x y G $.  $d x y W $.
      $( The ` ZZ ` -module built from a normed ring is also a normed ring.
         (Contributed by Thierry Arnoux, 8-Nov-2017.) $)
      zhmnrg $p |- ( G e. NrmRing -> W e. NrmRing ) $=
        ( vx vy cnrg wcel cngp cnm cfv cabv cgrp cms csg ccom cds wceq eqid a1i
        wa wss w3a cbs zlmbas cplusg zlmplusg oveqdr grppropd cxp zlmds reseq1d
        cts zlmtset topnpropd mspropd zlmnm grpsubpropd coeq12d 3anbi123d isngp
        cv sseq12d 3bitr4g cmulr zlmmulr abvpropd2 eleq12d anbi12d isnrg ibi )
        AFGZBFGZVKAHGZAIJZAKJZGZTBHGZBIJZBKJZGZTVKVLVKVMVQVPVTVKALGZAMGZVNANJZO
        ZAPJZUAZUBBLGZBMGZVRBNJZOZBPJZUAZUBVMVQVKWAWGWBWHWFWLVKDEAUCJZABWMWMQVK
        WMRZSZWMBUCJQVKWMABCWNUDSZVKDVAWMGEVAWMGTDEAUEJZBUEJZWQWRQVKWQABCWQRUFS
        ZUGUHVKWMABWOWPVKWEWKWMWMUIWEAFBCWERZUJZUKVKABWPAAULJZFBCXBRUMUNUOVKWDW
        JWEWKVKVNVRWCWIAVNFBCVNRZUPZVKABWPWSUQURXAVBUSWEAWCVNXCWCRWTUTWKBWIVRVR
        RZWIRWKRUTVCVKVNVRVOVSXDVKABWPWSAVDJZBVDJQVKXFABCXFRVESVFVGVHVOAVNXCVOR
        VIVSBVRXEVSRVIVCVJ $.
    $}
  $}

  ${
    nmmulg.x $e |- B = ( Base ` R ) $.
    nmmulg.n $e |- N = ( norm ` R ) $.
    nmmulg.z $e |- Z = ( ZMod ` R ) $.
    ${
      nmmulg.t $e |- .x. = ( .g ` R ) $.
      $( The norm of a group product, provided the ` ZZ ` -module is normed.
         (Contributed by Thierry Arnoux, 8-Nov-2017.) $)
      nmmulg $p |- ( ( Z e. NrmMod /\ M e. ZZ /\ X e. B ) ->
        ( N ` ( M .x. X ) ) = ( ( abs ` M ) x. ( N ` X ) ) ) $=
        ( wcel cz co cnm cfv cmul wceq zring eqid cnlm csca cabs simp2 zringbas
        w3a cbs cabl clmod nlmlmod zlmlmod sylibr 3ad2ant1 zlmsca fveq2d syl5eq
        syl eleqtrd zlmbas zlmvsca syld3an2 zlmnm fveq1d zzsnm 3ad2ant2 oveq12d
        nmvs eqtrd 3eqtr4d ) GUALZDMLZFALZUFZDFCNZGOPZPZDGUBPZOPZPZFVOPZQNZVNEP
        DUCPZFEPZQNVJDVQUGPZLVKVLVPWARVMDMWDVJVKVLUDVMMSUGPWDUEVMSVQUGVMBUHLZSV
        QRVJVKWEVLVJGUILWEGUJBGJUKULUMZBUHGJUNUQZUOUPURVRCVQWDVOAGDFABGJHUSVOTC
        BGJKUTVQTWDTVRTVGVAVMVNEVOVMWEEVORWFBEUHGJIVBUQZVCVMWBVSWCVTQVMWBDSOPZP
        ZVSVKVJWBWJRVLDVDVEVMDWIVRVMSVQOWGUOVCVHVMFEVOWHVCVFVI $.
    $}

    ${
      zrhnm.1 $e |- L = ( ZRHom ` R ) $.
      $( The norm of the image by ` ZRHom ` of an integer in a normed ring.
         (Contributed by Thierry Arnoux, 8-Nov-2017.) $)
      zrhnm $p |- ( ( ( Z e. NrmMod /\ Z e. NrmRing /\ R e. NzRing )
                           /\ M e. ZZ ) -> ( N ` ( L ` M ) ) = ( abs ` M ) ) $=
        ( wcel cnzr wa cfv c1 cmul co wceq syl eqid cnlm cnrg w3a cz cur simpl3
        cabs cmg crg nzrring simpr zrhmulg fveq2d syl2anc simpl1 nmmulg syl3anc
        ringidcl cnm zlmnm fveq1d simpl2 c0g wne nzrnz zlm1 zlm0 isnzr sylanbrc
        nrgring nm1 eqtrd oveq2d 3eqtrd cc zcnd abscl recnd mulid1 3syl ) FUAKZ
        FUBKZBLKZUCZDUDKZMZDCNZENZDUGNZOPQZWIWFWHDBUENZBUHNZQZENZWIWKENZPQZWJWF
        BUIKZWEWHWNRWFWCWQWAWBWCWEUFZBUJSZWDWEUKZWQWEMWGWMEBWLWKCDJWLTZWKTZULUM
        UNWFWAWEWKAKZWNWPRWAWBWCWEUOWTWFWQXCWSABWKGXBURSABWLDEWKFGHIXAUPUQWFWOO
        WIPWFWOWKFUSNZNZOWFWKEXDWFWCEXDRWRBELFIHUTSVAWFWBFLKZXEORWAWBWCWEVBZWFF
        UIKZWKBVCNZVDZXFWFWBXHXGFVJSWFWCXJWRBWKXIXBXITZVESFWKXIWKBFIXBVFZBFXIIX
        KVGVHVIFWKXDXDTXLVKUNVLVMVNWFDVOKZWIVOKWJWIRWFDWTVPXMWIDVQVRWIVSVTVL $.
    $}
  $}

  ${
    $d x z $.
    $( The ` ZZ ` -module of ` CC ` is a normed module.  (Contributed by
       Thierry Arnoux, 25-Feb-2018.) $)
    cnzh $p |- ( ZMod ` CCfld ) e. NrmMod $=
      ( vz vx ccnfld wcel zring cnrg cv co cabs cz cmul wceq cc wral cnnrg eqid
      cfv mp2b cvv cnm czlm cnlm cngp clmod w3a cmg cres zhmnrg nrgngp cabl crg
      nrgring ringabl zlmlmod mpbi zringnrg 3pm3.2i wa simpl zcnd simpr absmuld
      cnfldmulg fveq2d fvres adantr oveq1d 3eqtr4d rgen2 zlmbas cnfldex cnfldnm
      cnfldbas zlmnm ax-mp zlmvsca csca zlmsca zringbas zringnm eqcomi mpbir2an
      isnlm ) CUAQZUBDWDUCDZWDUDDZEFDZUEAGZBGZCUFQZHZIQZWHIJUGZQZWIIQZKHZLZBMNA
      JNWEWFWGCFDZWDFDWEOCWDWDPZUHWDUIRCUJDZWFWRCUKDWTOCULCUMRCWDWSUNUOUPUQWQAB
      JMWHJDZWIMDZURZWHWIKHZIQWHIQZWOKHWLWPXCWHWIXCWHXAXBUSUTXAXBVAVBXCWKXDIWHW
      IVCVDXCWNXEWOKXAWNXELXBWHJIVEVFVGVHVIABWMWJEJIMWDMCWDWSVMVJCSDZIWDTQLVKCI
      SWDWSVLVNVOWJCWDWSWJPVPXFEWDVQQLVKCSWDWSVRVOVSETQWMVTWAWCWB $.

    $( The ` ZZ ` -module of ` RR ` is a normed module.  (Contributed by
       Thierry Arnoux, 14-Feb-2018.) $)
    rezh $p |- ( ZMod ` RRfld ) e. NrmMod $=
      ( vz vx crefld cfv wcel zring cnrg co cabs cmul wceq ccnfld df-refld eqid
      cr cz ax-mp cc fvres cvv czlm cnlm cngp clmod w3a cvsca cres csubrg cnnrg
      cv wral cdr resubdrg simpli subrgnrg mp2an zhmnrg nrgngp mp2b crg nrgring
      cabl ringabl zlmlmod mpbi zringnrg 3pm3.2i simpl zcnd simpr recnd absmuld
      wa csubg subrgsubg zlmvsca eqcomi subgmulg mp3an1 cnfldmulg syldan eqtr3d
      cmg fveq2d zre remulcl syl sylan eqtrd oveqan12d 3eqtr4d rgen2 rebase cnm
      zlmbas ccusp recusp elexi cmnd cc0 wss cnring ringmnd 0re cnfldbas cnfld0
      ax-resscn cnfldnm ressnm mp3an zlmnm csca zringbas zringnm isnlm mpbir2an
      zlmsca ) CUADZUBEXRUCEZXRUDEZFGEZUEAUJZBUJZXRUFDZHZIOUGZDZYBIPUGZDZYCYFDZ
      JHZKZBOUKAPUKXSXTYACGEZXRGEXSLGEOLUHDEZYMUIYNCULEUMUNZOLCMUOUPZCXRXRNZUQX
      RURUSCVBEZXTYMCUTEYRYPCVACVCUSCXRYQVDVEVFVGYLABPOYBPEZYCOEZVMZYBYCJHZIDZY
      BIDZYCIDZJHYGYKUUAYBYCUUAYBYSYTVHVIUUAYCYSYTVJVKZVLUUAYGUUBYFDZUUCUUAYEUU
      BYFUUAYBYCLWCDZHZYEUUBOLVNDEZYSYTUUIYEKYNUUJYOOLVOQOYDUUHLCYBYCUUHNMCWCDZ
      YDUUKCXRYQUUKNVPVQVRVSYSYTYCREUUIUUBKUUFYBYCVTWAWBWDYSYBOEZYTUUGUUCKZYBWE
      UULYTVMUUBOEUUMYBYCWFUUBOISWGWHWIYSYTYIUUDYJUUEJYBPISYCOISWJWKWLABYHYDFPY
      FOXROCXRYQWMWOCTEZYFXRWNDKCWPWQWRZCYFTXRYQLWSEZWTOEORXAYFCWNDKLUTEUUPXBLX
      CQXDXGORLCIWTMXEXFXHXIXJXKQYDNUUNFXRXLDKUUOCTXRYQXQQXMFWNDYHXNVQXOXP $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Canonical embedding of the field of the rational numbers into a division ring
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c QQHom $.

  $( Map the rationals into a field. $)
  cqqh $a class QQHom $.

  ${
    $d r x y $.
    $( Define the canonical homomorphism from the rationals into any field.
       (Contributed by Mario Carneiro, 22-Oct-2017.)  (Revised by Thierry
       Arnoux, 23-Oct-2017.) $)
    df-qqh $a |- QQHom = ( r e. _V |-> ran ( x e. ZZ , y e.
      ( `' ( ZRHom ` r ) " ( Unit ` r ) ) |-> <. ( x / y ) ,
      ( ( ( ZRHom ` r ) ` x ) ( /r ` r ) ( ( ZRHom ` r ) ` y ) ) >. ) ) $.
  $}

  ${
    $d f x y R $.  $d f ./ $.  $d f y L $.
    qqhval.1 $e |- ./ = ( /r ` R ) $.
    qqhval.2 $e |- .1. = ( 1r ` R ) $.
    qqhval.3 $e |- L = ( ZRHom ` R ) $.
    $( Value of the canonical homormorphism from the rational number to a
       field.  (Contributed by Thierry Arnoux, 22-Oct-2017.) $)
    qqhval $p |- ( R e. _V -> ( QQHom ` R ) =
      ran ( x e. ZZ , y e. ( `' L " ( Unit ` R ) ) |->
        <. ( x / y ) , ( ( L ` x ) ./ ( L ` y ) ) >. ) ) $=
      ( vf cz cv czrh cfv ccnv cui co cdvr cvv fveq2 cima cdiv cop cmpo eqtr4di
      crn cqqh wceq eqidd cnveqd imaeq12d fveq1d opeq2d mpoeq123dv rneqd df-qqh
      oveq123d zex wcel fvexi cnvex imaexg ax-mp mpoex rnex fvmpt ) JDABKJLZMNZ
      OZVGPNZUAZALZBLZUBQZVLVHNZVMVHNZVGRNZQZUCZUDZUFABKFOZDPNZUAZVNVLFNZVMFNZC
      QZUCZUDZUFSUGVGDUHZVTWHWIABKVKVSKWCWGWIKUIWIVIWAVJWBWIVHFWIVHDMNFVGDMTIUE
      ZUJVGDPTUKWIVRWFVNWIVOWDVPWEVQCWIVQDRNCVGDRTGUEWIVLVHFWJULWIVMVHFWJULUQUM
      UNUOABJUPWHABKWCWGURWASUSWCSUSFFDMIUTVAWAWBSVBVCVDVEVF $.
  $}

  ${
    zrhker.0 $e |- B = ( Base ` R ) $.
    zrhker.1 $e |- L = ( ZRHom ` R ) $.
    zrhker.2 $e |- .0. = ( 0g ` R ) $.
    $( The kernel of the homomorphism from the integers to a ring, if it is
       injective.  (Contributed by Thierry Arnoux, 26-Oct-2017.)  (Revised by
       Thierry Arnoux, 23-May-2023.) $)
    zrhf1ker $p |- ( R e. Ring ->
       ( L : ZZ -1-1-> B <-> ( `' L " { .0. } ) = { 0 } ) ) $=
      ( crg wcel zring crh co cghm cz wf1 ccnv csn cima cc0 wceq wb zrhrhm 3syl
      rhmghm zringbas zring0 kerf1ghm ) BHICJBKLICJBMLINACOCPDQRSQTUABCFUBJBCUD
      NAJBCSDUEEUFGUGUC $.

    $d x B $.  $d x R $.
    $( The kernel of the homomorphism from the integers to a ring is injective
       if and only if the ring has characteristic 0 .  (Contributed by Thierry
       Arnoux, 8-Nov-2017.) $)
    zrhchr $p |- ( R e. Ring -> ( ( chr ` R ) = 0 <-> L : ZZ -1-1-> B ) ) $=
      ( vx crg wcel cz wf1 cv cur cfv cmg cc0 wceq wb eqid co cmpt cchr zrhval2
      cod f1eq1 syl cgrp ringgrp ringidcl odf1 syl2anc chrval eqeq1i 3bitr2rd
      a1i ) BIJZKACLZKAHKHMBNOZBPOZUAUBZLZUSBUEOZOZQRZBUCOZQRZUQCVARURVBSBUTUSH
      CFUTTZUSTZUDKACVAUFUGUQBUHJUSAJVEVBSBUIABUSEVIUJHUSUTVABVCAEVCTZVHVATUKUL
      VEVGSUQVDVFQVFBUSVCVJVIVFTUMUNUPUO $.

    $( The kernel of the homomorphism from the integers to a ring with
       characteristic 0.  (Contributed by Thierry Arnoux, 8-Nov-2017.) $)
    zrhker $p |- ( R e. Ring ->
       ( ( chr ` R ) = 0 <-> ( `' L " { .0. } ) = { 0 } ) ) $=
      ( crg wcel cchr cfv cc0 wceq cz wf1 ccnv csn cima zrhchr zrhf1ker bitrd )
      BHIBJKLMNACOCPDQRLQMABCDEFGSABCDEFGTUA $.

    $( The preimage by ` ZRHom ` of the unit of a division ring is
       ` ( ZZ \ { 0 } ) ` .  (Contributed by Thierry Arnoux, 22-Oct-2017.) $)
    zrhunitpreima $p |- ( ( R e. DivRing /\ ( chr ` R ) = 0 )
      -> ( `' L " ( Unit ` R ) ) = ( ZZ \ { 0 } ) ) $=
      ( cdr wcel cfv cc0 wceq cima csn cdif cz eqid adantr zring 3syl cchr ccnv
      wa cui c0g crg isdrng simprbi imaeq2d wfun drngring co wf zrhrhm zringbas
      crh rhmf ffun difpreima fimacnv 4syl zrhker biimpa sylan difeq12d 3eqtrd
      ) BHIZBUAJKLZUCZCUBZBUDJZMZVJABUEJZNZOZMZVJAMZVJVNMZOZPKNZOVGVLVPLVHVGVKV
      OVJVGBUFIZVKVOLABVKVMEVKQVMQZUGUHUIRVGVPVSLZVHVGWACUJZWCBUKZWACSBUPULIZPA
      CUMZWDBCFUNZPASBCUOEUQZPACURTAVNCUSTRVIVQPVRVTVGVQPLZVHVGWAWFWGWJWEWHWIPA
      CUTVARVGWAVHVRVTLZWEWAVHWKABCVMEFWBVBVCVDVEVF $.

    $( Condition for the image by ` ZRHom ` to be a unit.  (Contributed by
       Thierry Arnoux, 30-Oct-2017.) $)
    elzrhunit $p |- ( ( ( R e. DivRing /\ ( chr ` R ) = 0 )
      /\ ( M e. ZZ /\ M =/= 0 ) ) -> ( L ` M ) e. ( Unit ` R ) ) $=
      ( cdr wcel cchr cfv cc0 wceq wa cz wne wfn zring 3syl ccnv cui crg simpll
      cima drngring crh co wf zrhrhm zringbas rhmf ffn csn cdif simprl wn elsng
      necon3bbid biimpar adantl eldifd zrhunitpreima eleqtrrd elpreima simplbda
      adantr syl2anc ) BIJZBKLMNZOZDPJZDMQZOZOZCPRZDCUABUBLZUEZJZDCLVQJZVOVIBUC
      JZVPVIVJVNUDBUFWACSBUGUHJPACUIVPBCGUJPASBCUKFULPACUMTTVODPMUNZUOZVRVODPWB
      VKVLVMUPVNDWBJZUQZVKVLWEVMVLWDDMDMPURUSUTVAVBVKVRWCNVNABCEFGHVCVGVDVPVSVL
      VTPDVQCVEVFVH $.
  $}

  $( Lemma for ~ qqhval2 .  (Contributed by Thierry Arnoux, 29-Oct-2017.) $)
  elzdif0 $p |- ( M e. ( ZZ \ { 0 } ) -> ( M e. NN \/ -u M e. NN ) ) $=
    ( cz cc0 csn cdif wcel wceq wn cn cneg wo eldifsnneq w3o cr wa eldifi sylib
    elz simprd 3orass orel1 sylc ) ABCDZEFZACGZHUEAIFZAJIFZKZKZUHABCLUDUEUFUGMZ
    UIUDANFZUJUDABFUKUJOABUCPARQSUEUFUGTQUEUHUAUB $.

  ${
    qqhval2.0 $e |- B = ( Base ` R ) $.
    qqhval2.1 $e |- ./ = ( /r ` R ) $.
    qqhval2.2 $e |- L = ( ZRHom ` R ) $.
    $( Lemma for ~ qqhval2 .  (Contributed by Thierry Arnoux, 29-Oct-2017.) $)
    qqhval2lem $p |- ( ( ( R e. DivRing /\ ( chr ` R ) = 0 )
      /\ ( X e. ZZ /\ Y e. ZZ /\ Y =/= 0 ) )
         -> ( ( L ` ( numer ` ( X / Y ) ) ) ./ ( L ` ( denom ` ( X / Y ) ) ) )
         = ( ( L ` X ) ./ ( L ` Y ) ) ) $=
      ( wcel cfv cc0 wceq wa cz co cmul zring wn fveq2d cdr cchr wne w3a cnumer
      cgcd cdiv cdenom crh cui crg drngring zrhrhm ad2antrr cdvds simpr1 simpr2
      syl wbr gcdcld simpr3 gcdeq0 simplbda ex necon3d syl21anc gcddvds syl2anc
      nn0zd imp simpld dvdsval2 biimpa syl31anc simprd c0g wf zringbas ffvelrnd
      rhmf wfn ccnv csn cima ffnd zcnd divne0d ovex elsn necon3bbii sylibr eqid
      simplr zrhker neleqtrrd elpreima baibd biimprd con3dimp sylib wb drngunit
      fvex mpbir2and zringmulr rhmdvd syl132anc cn cneg divnumden sylan oveq12d
      eqcomd c1 adantr mulm1d cc neg1cn mulcomd eqtr3d simpr divnumden2 syl3anc
      a1i 1zzd znegcld cabs neg1z ax-1cn absnegi abs1 eqtri zringunit elrhmunit
      mpbir2an 3eqtr4rd wo simp3 neneqd divcan1d w3o cr simp2 3orass orel1 sylc
      elz adantl mpjaodan 3eqtr3d ) CUAJZCUBKLMZNZEOJZFOJZFLUCZUDZNZEEFUFPZUGPZ
      DKZFUUSUGPZDKZBPZUUTUUSQPZDKZUVBUUSQPZDKZBPZEFUGPZUEKZDKZUVJUHKZDKZBPZEDK
      ZFDKZBPUURDRCUIPJZUUTOJZUVBOJZUUSOJZUVCCUJKZJZUUSDKZUWBJZUVDUVIMUUKUVRUUL
      UUQUUKCUKJZUVRCULZCDIUMURUNZUURUWAUUSLUCZUUNUUSEUOUSZUVSUURUUSUUREFUUMUUN
      UUOUUPUPZUUMUUNUUOUUPUQZUTVIZUURUUNUUOUUPUWIUWKUWLUUMUUNUUOUUPVAZUUNUUONZ
      UUPUWIUWOUUSLFLUWOUUSLMZFLMZUWOUWPELMUWQEFVBVCVDVEVJVFZUWKUURUWJUUSFUOUSZ
      UURUUNUUOUWJUWSNUWKUWLEFVGVHZVKUWAUWIUUNUDUWJUVSUUSEVLVMVNZUURUWAUWIUUOUW
      SUVTUWMUWRUWLUURUWJUWSUWTVOUWAUWIUUOUDUWSUVTUUSFVLVMVNZUWMUURUWCUVCAJZUVC
      CVPKZUCZUUROAUVBDUURUVROADVQUWHOARCDVRGVTURZUXBVSUURDOWAZUVTUVBDWBUXDWCZW
      DZJZSZUXEUUROADUXFWEZUXBUURUXILWCZUVBUURUVBLUCUVBUXMJZSUURFUUSUURFUWLWFZU
      URUUSUWMWFZUWNUWRWGUXNUVBLUVBLFUUSUGWHWIWJWKUURUWFUULUXIUXMMZUUKUWFUULUUQ
      UWGUNUUKUULUUQWMUWFUULUXQACDUXDGIUXDWLZWNVMVHZWOUXGUVTNZUXKNUVCUXHJZSUXEU
      XTUYAUXJUXTUXJUYAUXGUXJUVTUYAOUVBUXHDWPWQWRWSUYAUVCUXDUVCUXDUVBDXCWIWJWTV
      FUUKUWCUXCUXENXAUULUUQACUWBUVCUXDGUWBWLZUXRXBUNXDZUURUWEUWDAJZUWDUXDUCZUU
      ROAUUSDUXFUWMVSUURUXGUWAUUSUXIJZSZUYEUXLUWMUURUXIUXMUUSUURUWIUUSUXMJZSUWR
      UYHUUSLUUSLEFUFWHWIWJWKUXSWOUXGUWANZUYGNUWDUXHJZSUYEUYIUYJUYFUYIUYFUYJUXG
      UYFUWAUYJOUUSUXHDWPWQWRWSUYJUWDUXDUWDUXDUUSDXCWIWJWTVFUUKUWEUYDUYENXAUULU
      UQACUWBUWDUXDGUYBUXRXBUNXDUUTUVBUUSBRCQUWBDOUYBVRHXEXFXGUURFXHJZUVDUVOMFX
      IXHJZUURUYKNZUVAUVLUVCUVNBUYMUUTUVKDUYMUVKUUTUYMUVKUUTMZUVMUVBMZUURUUNUYK
      UYNUYONUWKEFXJXKZVKXMTUYMUVBUVMDUYMUVMUVBUYMUYNUYOUYPVOXMTXLUURUYLNZUUTXI
      ZDKZUVBXIZDKZBPUUTXNXIZQPZDKZUVBVUBQPZDKZBPZUVOUVDUYQUYSVUDVUAVUFBUYQUYRV
      UCDUYQVUBUUTQPUYRVUCUYQUUTUYQUUTUURUVSUYLUXAXOZWFZXPUYQVUBUUTVUBXQJUYQXRY
      DZVUIXSXTTUYQUYTVUEDUYQVUBUVBQPUYTVUEUYQUVBUYQUVBUURUVTUYLUXBXOZWFZXPUYQV
      UBUVBVUJVULXSXTTXLUYQUVLUYSUVNVUABUYQUVKUYRDUYQUVKUYRMZUVMUYTMZUYQUUNUUOU
      YLVUMVUNNUURUUNUYLUWKXOUURUUOUYLUWLXOUURUYLYAEFYBYCZVKTUYQUVMUYTDUYQVUMVU
      NVUOVOTXLUYQUVRUVSUVTVUBOJZUWCVUBDKUWBJZUVDVUGMUURUVRUYLUWHXOZVUHVUKUYQXN
      UYQYEYFUURUWCUYLUYCXOUYQUVRVUBRUJKJZVUQVURVUSUYQVUSVUPVUBYGKZXNMYHVUTXNYG
      KXNXNYIYJYKYLVUBYMYOYDVUBRCDYNVHUUTUVBVUBBRCQUWBDOUYBVRHXEXFXGYPUUQUYKUYL
      YQZUUMUUQUWQSUWQVVAYQZVVAUUQFLUUNUUOUUPYRYSUUQUWQUYKUYLUUAZVVBUUQFUUBJZVV
      CUUQUUOVVDVVCNUUNUUOUUPUUCFUUGWTVOUWQUYKUYLUUDWTUWQVVAUUEUUFUUHUUIUURUVFU
      VPUVHUVQBUURUVEEDUUREUUSUUREUWKWFUXPUWRYTTUURUVGFDUURFUUSUXOUXPUWRYTTXLUU
      J $.

    $d e q s x y ./ $.  $d e q s x y B $.  $d e q s x y L $.  $d e q s x y R $.
    $( Value of the canonical homormorphism from the rational number when the
       target ring is a division ring.  (Contributed by Thierry Arnoux,
       26-Oct-2017.) $)
    qqhval2 $p |- ( ( R e. DivRing /\ ( chr ` R ) = 0 ) -> ( QQHom ` R ) =
      ( q e. QQ |-> ( ( L ` ( numer ` q ) ) ./ ( L ` ( denom ` q ) ) ) ) ) $=
      ( vx vy ve vs wcel cfv cc0 wceq wa cz co cq cdr cchr cqqh ccnv cui cv cop
      cima cdiv cmpo crn csn cdif cnumer cdenom cmpt cvv elex adantr cur qqhval
      eqid syl eqidd c0g zrhunitpreima mpoeq12 syl2anc rneqd wrex cab copab nfv
      nfab1 nfcv wex simpr zssq simplrl sselid simplrr eldifad wn eldifbd velsn
      wne necon3bbii sylib qdivcl syl3anc simplll simpllr w3a qqhval2lem eqcomd
      syl23anc opeq12 eqeq2d simpl eleq1d fveq2d oveq12d eqeq12d anbi12d spc2ev
      ovex syl12anc ex rexlimdvva imp 19.42vv simprrl qnumcl qdencl nnne0 nelsn
      cn nnzd 3syl eldifd simprl qeqnumdivden simprrr opeq12d eqtrd oveq1 fveq2
      oveq1d oveq2 oveq2d rspc2ev sylbir impbida abid elopab 3bitr4g eqrd rnmpo
      exlimivv df-mpt 3eqtr4g 3eqtrd ) CUAMZCUBNOPZQZCUCNZIJRDUDCUENUHZIUFZJUFZ
      UISZUUHDNZUUIDNZBSZUGZUJZUKZIJRROULZUMZUUNUJZUKZETEUFZUNNZDNZUVAUONZDNZBS
      ZUPZUUECUQMZUUFUUPPUUCUVHUUDCUAURUSIJBCCUTNZDGUVIVBHVAVCUUEUUOUUSUUERRPUU
      GUURPUUOUUSPUUERVDACDCVENZFHUVJVBVFIJRUUGRUURUUNVGVHVIUUEKUFZUUNPZJUURVJI
      RVJZKVKZUVATMZLUFZUVFPZQZELVLZUUTUVGUUEKUVNUVSUUEKVMUVMKVNKUVSVOUUEUVMUVK
      UVAUVPUGZPZUVRQZLVPEVPZUVKUVNMUVKUVSMUUEUVMUWCUUEUVMUWCUUEUVLUWCIJRUURUUE
      UUHRMZUUIUURMZQZQZUVLUWCUWGUVLQZUVLUUJTMZUUMUUJUNNZDNZUUJUONZDNZBSZPZUWCU
      WGUVLVQUWHUUHTMUUITMUUIOWFZUWIUWHRTUUHVRUUEUWDUWEUVLVSZVTUWHRTUUIVRUWHUUI
      RUUQUUEUWDUWEUVLWAZWBZVTUWHUUIUUQMZWCUWPUWHUUIRUUQUWRWDUWTUUIOJOWEWGWHZUU
      HUUIWIWJUWHUUCUUDUWDUUIRMZUWPUWOUUCUUDUWFUVLWKUUCUUDUWFUVLWLUWQUWSUXAUUEU
      WDUXBUWPWMQUWNUUMABCDUUHUUIFGHWNWOWPUWBUVLUWIUWOQZQELUUJUUMUUHUUIUIXFUUKU
      ULBXFUVAUUJPZUVPUUMPZQZUWAUVLUVRUXCUXFUVTUUNUVKUVAUVPUUJUUMWQWRUXFUVOUWIU
      VQUWOUXFUVAUUJTUXDUXEWSZWTUXFUVPUUMUVFUWNUXDUXEVQUXFUVCUWKUVEUWMBUXFUVBUW
      JDUXFUVAUUJUNUXGXAXAUXFUVDUWLDUXFUVAUUJUOUXGXAXAXBXCXDXDXEXGXHXIXJUUEUWCQ
      UUEUWBQZLVPEVPUVMUUEUWBELXKUXHUVMELUXHUVBRMZUVDUURMUVKUVBUVDUISZUVFUGZPZU
      VMUXHUVOUXIUUEUWAUVOUVQXLZUVAXMVCUXHUVDRUUQUXHUVDUXHUVOUVDXQMZUXMUVAXNVCZ
      XRUXHUXNUVDOWFUVDUUQMWCUXOUVDXOUVDOXPXSXTUXHUVKUVTUXKUUEUWAUVRYAUXHUVAUXJ
      UVPUVFUXHUVOUVAUXJPUXMUVAYBVCUUEUWAUVOUVQYCYDYEUVLUXLUVKUVBUUIUISZUVCUULB
      SZUGZPIJUVBUVDRUURUUHUVBPZUUNUXRUVKUXSUUJUXPUUMUXQUUHUVBUUIUIYFUXSUUKUVCU
      ULBUUHUVBDYGYHYDWRUUIUVDPZUXRUXKUVKUXTUXPUXJUXQUVFUUIUVDUVBUIYIUXTUULUVEU
      VCBUUIUVDDYGYJYDWRYKWJYSYLYMUVMKYNUVRELUVKYOYPYQIJKRUURUUNUUSUUSVBYRELTUV
      FYTUUAUUB $.

    $d q Q $.
    $( Value of the canonical homormorphism from the rational number when the
       target ring is a division ring.  (Contributed by Thierry Arnoux,
       30-Oct-2017.) $)
    qqhvval $p |- ( ( ( R e. DivRing /\ ( chr ` R ) = 0 ) /\ Q e. QQ ) ->
      ( ( QQHom ` R ) ` Q )
          = ( ( L ` ( numer ` Q ) ) ./ ( L ` ( denom ` Q ) ) ) ) $=
      ( vq cdr wcel cfv wceq wa cq cnumer cdenom co simpr fveq2d cchr cqqh cmpt
      cc0 cv cvv qqhval2 adantr oveq12d ovexd fvmptd ) DJKDUALUDMNZCOKZNZICIUEZ
      PLZELZUOQLZELZBRZCPLZELZCQLZELZBRODUBLZUFULVEIOUTUCMUMABDEIFGHUGUHUNUOCMZ
      NZUQVBUSVDBVGUPVAEVGUOCPUNVFSZTTVGURVCEVGUOCQVHTTUIULUMSUNVBVDBUJUK $.

    $( The image of ` 0 ` by the ` QQHom ` homomorphism is the ring's zero.
       (Contributed by Thierry Arnoux, 22-Oct-2017.) $)
    qqh0 $p |- ( ( R e. DivRing /\ ( chr ` R ) = 0 )
                                     -> ( ( QQHom ` R ) ` 0 ) = ( 0g ` R ) ) $=
      ( wcel cfv cc0 wceq wa co cq cz 0z c1 fveq2i eqid syl cdr cchr cnumer c0g
      cqqh cdenom zssq sselii qqhvval mpan2 cgcd cdiv cabs 1z gcd0id ax-mp abs1
      eqtri 0cn div1i eqcomi pm3.2i cn wb qnumdenbi mp3an simpli simpri oveq12i
      1nn mpbi cur drngring zrh0 zrh1 oveq12d cgrp drnggrp grpidcl dvr1 syl2anc
      crg eqtrd syl5eq adantr ) CUAHZCUBIJKZLZJCUEIIZJUCIZDIZJUFIZDIZBMZCUDIZWH
      JNHZWIWNKONJUGPUHZABJCDEFGUIUJWFWNWOKWGWFWNJDIZQDIZBMZWOWKWRWMWSBWJJDWJJK
      ZWLQKZJQUKMZQKZJJQULMZKZLZXAXBLZXDXFXCQUMIZQQOHXCXIKUNQUOUPUQURXEJJUSUTVA
      VBWPJOHQVCHXGXHVDWQPVJJJQVEVFVKZVGRWLQDXAXBXJVHRVIWFWTWOCVLIZBMZWOWFCWBHZ
      WTXLKCVMZXMWRWOWSXKBCDWOGWOSZVNCXKDGXKSZVOVPTWFXMWOAHZXLWOKXNWFCVQHXQCVRA
      CWOEXOVSTABCXKWOEFXPVTWAWCWDWEWC $.

    $( The image of ` 1 ` by the ` QQHom ` homomorphism is the ring's unit.
       (Contributed by Thierry Arnoux, 22-Oct-2017.) $)
    qqh1 $p |- ( ( R e. DivRing /\ ( chr ` R ) = 0 )
                                     -> ( ( QQHom ` R ) ` 1 ) = ( 1r ` R ) ) $=
      ( cdr wcel cchr cfv wceq wa c1 co cq cz 1z fveq2i eqtrd cc0 cnumer cdenom
      cqqh zssq sselii qqhvval mpan2 cgcd cdiv gcd1 ax-mp 1div1e1 eqcomi pm3.2i
      cur cn wb 1nn qnumdenbi mpbi simpli simpri oveq12i crg drngring eqid zrh1
      mp3an oveq12d syl ringidcl dvr1 syl2anc2 syl5eq adantr ) CHIZCJKUALZMZNCU
      DKKZNUBKZDKZNUCKZDKZBOZCUPKZVSNPIZVTWELQPNUERUFZABNCDEFGUGUHVQWEWFLVRVQWE
      NDKZWIBOZWFWBWIWDWIBWANDWANLZWCNLZNNUIONLZNNNUJOZLZMZWKWLMZWMWONQIZWMRNUK
      ULWNNUMUNUOWGWRNUQIWPWQURWHRUSNNNUTVIVAZVBSWCNDWKWLWSVCSVDVQWJWFWFBOZWFVQ
      CVEIZWJWTLCVFZXAWIWFWIWFBCWFDGWFVGZVHZXDVJVKVQXAWFAIWTWFLXBACWFEXCVLABCWF
      WFEFXCVMVNTVOVPT $.

    $( TODO simplify this & others using properties of ` ( CClfd |`s ZZ )` $)
    $( ` QQHom ` as a function.  (Contributed by Thierry Arnoux,
       28-Oct-2017.) $)
    qqhf $p |- ( ( R e. DivRing /\ ( chr ` R ) = 0 )
      -> ( QQHom ` R ) : QQ --> B ) $=
      ( vq wcel cfv cc0 wceq wa cq cdenom co adantr cz zring 3syl cdr cv cnumer
      cchr cqqh qqhval2 crg cui drngring crh zrhrhm zringbas rhmf qnumcl adantl
      wf ffvelrnd c0g wne simpll cn qdencl nnzd ccnv cima wn nnne0d neneqd fvex
      csn elsn sylnibr eqid zrhker biimpa neleqtrrd wfn wb ffn elpreima biimpar
      sylan expr con3dimp syl21anc sylnib neqned drngunit syl12anc dvrcl fmpt3d
      syl3anc ) CUAIZCUDJKLZMZHNHUBZUCJZDJZWPOJZDJZBPZACUEJABCDHEFGUFWOWPNIZMZC
      UGIZWRAIWTCUHJZIZXAAIWOXDXBWMXDWNCUIZQQZXCRAWQDXCXDDSCUJPIZRADUPZXHCDGUKZ
      RASCDULEUMZTZXBWQRIWOWPUNUOUQXCWMWTAIZWTCURJZUSZXFWMWNXBUTZXCRAWSDXMXCWSX
      BWSVAIWOWPVBUOZVCZUQXCWTXOXCWTXOVJZIZWTXOLXCWMWSRIZWSDVDXTVEZIZVFYAVFXQXS
      XCYCKVJZWSXCWSKLWSYEIXCWSKXCWSXRVGVHWSKWPOVIVKVLWOYCYELZXBWMXDWNYFXGXDWNY
      FACDXOEGXOVMZVNVOWBQVPWMYBMYAYDWMYBYAYDWMYDYBYAMZWMXDDRVQZYDYHVRXGXDXIXJY
      IXKXLRADVSTRWSXTDVTTWAWCWDWEWTXOWSDVIVKWFWGWMXFXNXPMACXEWTXOEXEVMZYGWHWAW
      IABCXEWRWTEYJFWJWLWK $.

    $( The image of a quotient by the ` QQHom ` homomorphism.  (Contributed by
       Thierry Arnoux, 28-Oct-2017.) $)
    qqhvq $p |- ( ( ( R e. DivRing /\ ( chr ` R ) = 0 )
      /\ ( X e. ZZ /\ Y e. ZZ /\ Y =/= 0 ) )
             -> ( ( QQHom ` R ) ` ( X / Y ) ) = ( ( L ` X ) ./ ( L ` Y ) ) ) $=
      ( cdr wcel cfv cc0 wceq wa cz co cq zssq sselid cchr wne cdiv cqqh cnumer
      w3a cdenom simpr1 simpr2 simpr3 qdivcl syl3anc qqhvval syldan qqhval2lem
      eqtrd ) CJKCUALMNOZEPKZFPKZFMUBZUFZOZEFUCQZCUDLLZVCUELDLVCUGLDLBQZEDLFDLB
      QUQVAVCRKZVDVENVBERKFRKUTVFVBPRESUQURUSUTUHTVBPRFSUQURUSUTUITUQURUSUTUJEF
      UKULABVCCDGHIUMUNABCDEFGHIUOUP $.

    $d x y Q $.
    qqhrhm.1 $e |- Q = ( CCfld |`s QQ ) $.
    $( The ` QQHom ` homomorphism is a group homomorphism if the target
       structure is a division ring.  (Contributed by Thierry Arnoux,
       9-Nov-2017.) $)
    qqhghm $p |- ( ( R e. DivRing /\ ( chr ` R ) = 0 )
                                       -> ( QQHom ` R ) e. ( Q GrpHom R ) ) $=
      ( wcel cfv cc0 wceq caddc cq cmul co cz zring zringbas vx cdr cchr cplusg
      vy cqqh qrngbas cvv qex ccnfld cnfldadd ressplusg ax-mp eqid cgrp drnggrp
      wa qdrng mp1i adantr cv cnumer cdenom crg cui drngring ad2antrr wf zrhrhm
      qqhf crh rhmf 3syl qnumcl ad2antrl cn qdencl ad2antll nnzd ffvelrnd cmulr
      zmulcld syl zringmulr rhmmul syl3anc wne simpl nnne0d elzrhunit unitmulcl
      c0g syl12anc eqeltrd dvrdir syl13anc cdiv qeqnumdivden oveq12d divadddivd
      zcnd eqtrd fveq2d zaddcld mulne0d qqhvq cghm rhmghm w3a zringplusg ghmlin
      oveq1d 3eqtrd rhmdvd syl132anc mulcomd oveq2d 3eqtr4d isghmd ) DUBJZDUCKL
      MZUQZUAUENDUDKZCDDUFKZOACIUGFOUHJNCUDKMUIONUJCUHIUKULUMYCUNZCUBJCUOJYBCIU
      RCUPUSXTDUOJYADUPUTABDEFGHVJYBUAVAZOJZUEVAZOJZUQZUQZYFVBKZYHVCKZPQZEKZYHV
      BKZYFVCKZPQZEKZYCQZYQYMPQZEKZBQZYOUUBBQZYSUUBBQZYCQZYFYHNQZYDKZYFYDKZYHYD
      KZYCQYKDVDJZYOAJYSAJUUBDVEKZJUUCUUFMXTUUKYAYJDVFZVGZYKRAYNEYBRAEVHZYJYBUU
      KESDVKQJZUUOXTUUKYAUUMUTDEHVIZRASDETFVLVMUTZYKYLYMYGYLRJZYBYIYFVNVOZYKYMY
      IYMVPJYBYGYHVQVRZVSZWBZVTYKRAYREUURYKYPYQYIYPRJZYBYGYHVNVRZYKYQYGYQVPJYBY
      IYFVQVOZVSZWBZVTYKUUBYQEKZYMEKZDWAKZQZUULYKUUPYQRJZYMRJZUUBUVLMYKUUKUUPUU
      NUUQWCZUVGUVBYQYMSDPUVKERTWDUVKUNZWEWFYKUUKUVIUULJZUVJUULJZUVLUULJUUNYKYB
      UVMYQLWGZUVQYBYJWHZUVGYKYQUVFWIZADEYQDWLKZFHUWBUNZWJWMZYKYBUVNYMLWGZUVRUV
      TUVBYKYMUVAWIZADEYMUWBFHUWCWJWMZDUVKUULUVIUVJUULUNZUVPWKWFWNABYCDUULYOYSU
      UBFUWHYEGWOWPYKUUHYNYRNQZUUAWQQZYDKZUWIEKZUUBBQZUUCYKUUGUWJYDYKUUGYLYQWQQ
      ZYPYMWQQZNQUWJYKYFUWNYHUWONYGYFUWNMYBYIYFWRZVOYIYHUWOMYBYGYHWRZVRWSYKYLYQ
      YPYMYKYLUUTXAYKYQUVGXAZYKYPUVEXAYKYMUVBXAZUWAUWFWTXBXCYKYBUWIRJUUARJUUALW
      GUWKUWMMUVTYKYNYRUVCUVHXDYKYQYMUVGUVBWBYKYQYMUWRUWSUWAUWFXEABDEUWIUUAFGHX
      FWPYKESDXGQJZYNRJZYRRJZUWMUUCMYKUUPUWTUVOSDEXHWCUVCUVHUWTUXAUXBXIUWLYTUUB
      BNYCSDYNEYRRTXJYEXKXLWFXMYKUUIUUDUUJUUEYCYKUUIUWNYDKZYLEKUVIBQZUUDYGUUIUX
      CMYBYIYGYFUWNYDUWPXCVOYKYBUUSUVMUVSUXCUXDMUVTUUTUVGUWAABDEYLYQFGHXFWPYKUU
      PUUSUVMUVNUVQUVRUXDUUDMUVOUUTUVGUVBUWDUWGYLYQYMBSDPUULERUWHTGWDXNXOXMYKUU
      JUWOYDKZUUEYIUUJUXEMYBYGYIYHUWOYDUWQXCVRYKYPEKUVJBQZYSYMYQPQZEKZBQZUXEUUE
      YKUUPUVDUVNUVMUVRUVQUXFUXIMUVOUVEUVBUVGUWGUWDYPYMYQBSDPUULERUWHTGWDXNXOYK
      YBUVDUVNUWEUXEUXFMUVTUVEUVBUWFABDEYPYMFGHXFWPYKUUBUXHYSBYKUUAUXGEYKYQYMUW
      RUWSXPXCXQXRXBWSXRXS $.

    $( TODO - Shorten using ~ qqhghm ! $)
    $( The ` QQHom ` homomorphism is a ring homomorphism if the target
       structure is a field.  If the target structure is a division ring, it is
       a group homomorphism, but not a ring homomorphism, because it does not
       preserve the ring multiplication operation.  (Contributed by Thierry
       Arnoux, 29-Oct-2017.) $)
    qqhrhm $p |- ( ( R e. Field /\ ( chr ` R ) = 0 )
                                       -> ( QQHom ` R ) e. ( Q RingHom R ) ) $=
      ( wcel cfv wceq cq caddc cmul eqid co cz zring zringbas vx vy cfield cchr
      cc0 wa cplusg cmulr c1 cur qrngbas qrng1 cvv qex ccnfld cnfldmul ressmulr
      cqqh ax-mp cdr crg qdrng drngring mp1i ccrg isfld simplbi adantr syl qqh1
      sylan cv cnumer cdenom cui simprbi ad2antrr crh zrhrhm rhmf 3syl ad2antrl
      wf qnumcl ffvelrnd wne simplr jca cn qdencl nnne0d c0g elzrhunit syl12anc
      nnzd ad2antll rdivmuldivd cdiv qeqnumdivden fveq2d qqhvq syl13anc oveq12d
      eqtrd divmuldivd zmulcld mulne0d zringmulr rhmmul syl3anc 3eqtrd 3eqtr4rd
      zcnd cnfldadd ressplusg qqhf unitmulcl eqeltrd dvrdir zaddcld cghm rhmghm
      divadddivd w3a zringplusg ghmlin oveq1d rhmdvd syl132anc mulcomd 3eqtr4d
      oveq2d isrhmd ) DUCJZDUDKUELZUFZUAUBMANDUGKZCDODUHKZUIDURKZDUJKZCIUKCIULY
      TPMUMJZOCUHKLUNMUOCOUMIUPUQUSYRPZCUTJCVAJYPCIVBCVCVDYPDUTJZDVAJZYNUUCYOYN
      UUCDVEJZDVFZVGZVHDVCZVIZYNUUCYOUIYSKYTLUUGABDEFGHVJVKYPUAVLZMJZUBVLZMJZUF
      ZUFZUUJVMKZEKZUUJVNKZEKZBQZUULVMKZEKZUULVNKZEKZBQZYRQUUQUVBYRQZUUSUVDYRQZ
      BQZUUJYSKZUULYSKZYRQUUJUULOQZYSKZUUOABYQDYRDVOKZUVDUUQUUSUVBFUVMPZYQPZGUU
      BYNUUEYOUUNYNUUCUUEUUFVPVQUUORAUUPEYPRAEWCZUUNYPUUDESDVRQJZUVPUUIDEHVSZRA
      SDETFVTWAVHZUUKUUPRJZYPUUMUUJWDWBZWEUUOUUCYOUFZUURRJZUURUEWFZUUSUVMJZUUOU
      UCYOYNUUCYOUUNUUGVQZYNYOUUNWGWHZUUOUURUUKUURWIJYPUUMUUJWJWBZWOZUUOUURUWHW
      KZADEUURDWLKZFHUWKPZWMWNZUUORAUVAEUVSUUMUVARJZYPUUKUULWDWPZWEUUOUWBUVCRJZ
      UVCUEWFZUVDUVMJZUWGUUOUVCUUMUVCWIJYPUUKUULWJWPZWOZUUOUVCUWSWKZADEUVCUWKFH
      UWLWMWNZWQUUOUVIUUTUVJUVEYRUUOUVIUUPUURWRQZYSKZUUTUUKUVIUXDLYPUUMUUKUUJUX
      CYSUUJWSZWTWBZUUOUWBUVTUWCUWDUXDUUTLUWGUWAUWIUWJABDEUUPUURFGHXAXBZXDUUOUV
      JUVAUVCWRQZYSKZUVEUUMUVJUXILYPUUKUUMUULUXHYSUULWSZWTWPZUUOUWBUWNUWPUWQUXI
      UVELUWGUWOUWTUXAABDEUVAUVCFGHXAXBZXDXCUUOUVLUUPUVAOQZUURUVCOQZWRQZYSKZUXM
      EKZUXNEKZBQZUVHUUOUVKUXOYSUUOUVKUXCUXHOQUXOUUOUUJUXCUULUXHOUUKUUJUXCLYPUU
      MUXEWBZUUMUULUXHLYPUUKUXJWPZXCUUOUUPUURUVAUVCUUOUUPUWAXMZUUOUURUWIXMZUUOU
      VAUWOXMZUUOUVCUWTXMZUWJUXAXEXDWTUUOUWBUXMRJUXNRJZUXNUEWFZUXPUXSLUWGUUOUUP
      UVAUWAUWOXFUUOUURUVCUWIUWTXFZUUOUURUVCUYCUYEUWJUXAXGZABDEUXMUXNFGHXAXBUUO
      UXQUVFUXRUVGBUUOUVQUVTUWNUXQUVFLUUOUUDUVQUUOUUCUUDUWFUUHVIZUVRVIZUWAUWOUU
      PUVASDOYRERTXHUUBXIXJUUOUVQUWCUWPUXRUVGLUYKUWIUWTUURUVCSDOYRERTXHUUBXIXJZ
      XCXKXLFUUANCUGKLUNMNUOCUMIXNXOUSUVOYNUUCYOMAYSWCUUGABDEFGHXPVKUUOUUPUVCOQ
      ZEKZUVAUUROQZEKZYQQZUXRBQZUYNUXRBQZUYPUXRBQZYQQZUUJUULNQZYSKZUVIUVJYQQUUO
      UUDUYNAJUYPAJUXRUVMJUYRVUALUYJUUORAUYMEUVSUUOUUPUVCUWAUWTXFZWEUUORAUYOEUV
      SUUOUVAUURUWOUWIXFZWEUUOUXRUVGUVMUYLUUOUUDUWEUWRUVGUVMJUYJUWMUXBDYRUVMUUS
      UVDUVNUUBXQXJXRABYQDUVMUYNUYPUXRFUVNUVOGXSXBUUOVUCUYMUYONQZUXNWRQZYSKZVUF
      EKZUXRBQZUYRUUOVUBVUGYSUUOVUBUXCUXHNQVUGUUOUUJUXCUULUXHNUXTUYAXCUUOUUPUUR
      UVAUVCUYBUYCUYDUYEUWJUXAYCXDWTUUOUWBVUFRJUYFUYGVUHVUJLUWGUUOUYMUYOVUDVUEX
      TUYHUYIABDEVUFUXNFGHXAXBUUOESDYAQJZUYMRJZUYORJZVUJUYRLUUOUVQVUKUYKSDEYBVI
      VUDVUEVUKVULVUMYDVUIUYQUXRBNYQSDUYMEUYORTYEUVOYFYGXJXKUUOUVIUYSUVJUYTYQUU
      OUVIUXDUUTUYSUXFUXGUUOUVQUVTUWCUWPUWEUWRUUTUYSLUYKUWAUWIUWTUWMUXBUUPUURUV
      CBSDOUVMERUVNTGXHYHYIXKUUOUVJUXIUYTUXKUUOUVEUYPUVCUUROQZEKZBQZUXIUYTUUOUV
      QUWNUWPUWCUWRUWEUVEVUPLUYKUWOUWTUWIUXBUWMUVAUVCUURBSDOUVMERUVNTGXHYHYIUXL
      UUOUXRVUOUYPBUUOUXNVUNEUUOUURUVCUYCUYEYJWTYLYKXDXCYKYM $.
  $}

  ${
    qqhnm.n $e |- N = ( norm ` R ) $.
    qqhnm.z $e |- Z = ( ZMod ` R ) $.
    $( The norm of the image by ` QQHom ` of a rational number in a topological
       division ring.  (Contributed by Thierry Arnoux, 8-Nov-2017.) $)
    qqhnm $p |- ( ( ( R e. ( NrmRing i^i DivRing ) /\ Z e. NrmMod
      /\ ( chr ` R ) = 0 ) /\ Q e. QQ )
      -> ( N ` ( ( QQHom ` R ) ` Q ) ) = ( abs ` Q ) ) $=
      ( cnrg cdr wcel cfv cc0 wceq wa cabs cdiv co fveq2d syl cz eqid cnlm cchr
      cin w3a cq cnumer cdenom cqqh simpr qeqnumdivden qnumcl zcnd qdencl nncnd
      cn wne nnne0 3syl absdivd czrh cdvr simpl1 sselid simpl3 qqhvval syl21anc
      inss2 cbs cnzr cui inss1 drngnzr crg crh wf drngring zrhrhm zringbas rhmf
      zring 4syl ffvelrnd nnzd c0g elzrhunit syl22anc nmdvr simpl2 zhmnrg zrhnm
      syl31anc oveq12d 3eqtrrd ) BGHUCZIZDUAIZBUBJKLZUDZAUEIZMZANJZAUFJZAUGJZOP
      ZNJZXBNJZXCNJZOPZABUHJJZCJZWTWSXAXELWRWSUIZWSAXDNAUJQRWTXBXCWTXBWTWSXBSIZ
      XKAUKRZULWTXCWTWSXCUOIZXKAUMZRZUNWTWSXNXCKUPZXKXOXCUQURZUSWTXJXBBUTJZJZXC
      XSJZBVAJZPZCJZXTCJZYACJZOPZXHWTBHIZWQWSXJYDLWTWNHBGHVGWOWPWQWSVBZVCZWOWPW
      QWSVDZXKYHWQMWSMXIYCCBVHJZYBABXSYLTZYBTZXSTZVEQVFWTBGIZBVIIZXTYLIYABVJJZI
      ZYDYGLWTWNGBGHVKYIVCZWTYHYQYJBVLRZWTSYLXBXSWTYHBVMIXSVTBVNPISYLXSVOYJBVPB
      XSYOVQSYLVTBXSVRYMVSWAXMWBWTYHWQXCSIZXQYSYJYKWTXCXPWCZXRYLBXSXCBWDJZYMYOU
      UDTWEWFXTYAYBBYRCYLYMEYRTYNWGWFWTYEXFYFXGOWTWPDGIZYQXLYEXFLWOWPWQWSWHZWTY
      PUUEYTBDFWIRZUUAXMYLBXSXBCDYMEFYOWJWKWTWPUUEYQUUBYFXGLUUFUUGUUAUUCYLBXSXC
      CDYMEFYOWJWKWLWMWM $.
  $}

  ${
    $d d e q J $.  $d d e q R $.  $d e q Z $.
    qqhcn.q $e |- Q = ( CCfld |`s QQ ) $.
    qqhcn.j $e |- J = ( TopOpen ` Q ) $.
    qqhcn.z $e |- Z = ( ZMod ` R ) $.
    qqhcn.k $e |- K = ( TopOpen ` R ) $.
    $( The ` QQHom ` homomorphism is a continuous function.  (Contributed by
       Thierry Arnoux, 9-Nov-2017.) $)
    qqhcn $p |- ( ( R e. ( NrmRing i^i DivRing ) /\ Z e. NrmMod
                       /\ ( chr ` R ) = 0 ) -> ( QQHom ` R ) e. ( J Cn K ) ) $=
      ( vq cnrg cdr wcel cfv cc0 wceq cq co eqid ccnfld vd ve cin cnlm cchr w3a
      cqqh ccn ccnp wa cds cbs cxp cres cmopn wf cv cabs cmin ccom clt wbr wral
      wi crp wrex inss2 sseli 3ad2ant1 simp3 cdvr czrh qqhf syl2anc simpr qsscn
      cnm cc sselid cneg 0cn cnmetdval mpan df-neg fveq2i a1i absneg 3eqtr2d cz
      syl zssq sselii ovresd qqhnm adantlr 3eqtr4d ad2antrr ffvelrnd cngp inss1
      0z csg nrgngp ngpdsr syl3anc c0g qqh0 oveq2d cgrp ngpgrp grpsubid1 fveq2d
      eqtrd 3eqtrd eqtr4d breq1d biimpd ralrimiva breq2 rspceaimv cxmet wb cxms
      cress cvv cnfldxms qex ressxms mp2an eqeltri qrngbas cnfldds ressds ax-mp
      xmsxmet2 mp1i 3syl xmstopn ctmd ctgp ngpxms reseq1i metcnp mpbir2and cghm
      fveq1d eleqtrrd csubg csubrg qsubdrg simpli subrgsubg subgtgp tgptmd ctrg
      cnfldtgp nrgtrg trgtmd2 qqhghm ghmcnp mpbid simprd ) BKLUCZMZEUDMZBUENOPZ
      UFZOQMZBUGNZCDUHRMZUVGUVIOCDUIRZNZMZUVHUVJUJZUVGUVIOCBUKNZBULNZUVPUMUNZUO
      NZUIRZNZUVLUVGUVIUVTMZQUVPUVIUPZOJUQZURUSUTZQQUMZUNZRZUAUQZVAVBZOUVINZUWC
      UVINZUVQRZUBUQZVAVBZVDJQVCUAVEVFZUBVEVCZUVGBLMZUVFUWBUVDUVEUWQUVFUVCLBKLV
      GVHVIZUVDUVEUVFVJZUVPBVKNZBBVLNZUVPSZUWTSZUXASZVMVNZUVGUWOUBVEUVGUWMVEMZU
      JZUXFUWGUWMVAVBZUWNVDZJQVCUWOUVGUXFVOUXGUXIJQUXGUWCQMZUJZUXHUWNUXKUWGUWLU
      WMVAUXKUWGUWKBVQNZNZUWLUXKOUWCUWDRZUWCURNZUWGUXMUXKUWCVRMZUXNUXOPUXKQVRUW
      CVPUXGUXJVOZVSUXPUXNOUWCUSRZURNZUWCVTZURNZUXOOVRMUXPUXNUXSPWAOUWCUWDUWDSW
      BWCUYAUXSPUXPUXTUXRURUWCWDWEWFUWCWGWHWJUXKOUWCUWDQUVHUXKWIQOWKXAWLZWFZUXQ
      WMUVGUXJUXMUXOPUXFUWCBUXLEUXLSZHWNWOWPUXKUWLUWJUWKUVORZUWKUWJBXBNZRZUXLNZ
      UXMUXKUWJUWKUVOUVPUXKQUVPOUVIUVGUWBUXFUXJUXEWQZUYCWRZUXKQUVPUWCUVIUYIUXQW
      RZWMUXKBWSMZUWJUVPMUWKUVPMZUYEUYHPUXKBKMZUYLUVGUYNUXFUXJUVDUVEUYNUVFUVCKB
      KLWTVHZVIZWQBXCZWJZUYJUYKUWJUWKUVOBUYFUXLUVPUYDUXBUYFSZUVOSZXDXEUXKUYGUWK
      UXLUXKUYGUWKBXFNZUYFRZUWKUXKUWJVUAUWKUYFUXKUWQUVFUWJVUAPUVGUWQUXFUXJUWRWQ
      UVGUVFUXFUXJUWSWQUVPUWTBUXAUXBUXCUXDXGVNXHUXKBXIMZUYMVUBUWKPUXKUYLVUCUYRB
      XJWJUYKUVPBUYFUWKVUAUXBVUASUYSXKVNXMXLXNXOXPXQXRUWIUXHUWNUAJUWMVEQUWHUWMU
      WGVAXSXTVNXRUVGUWFQYANMZUVQUVPYANMZUVHUWAUWBUWPUJYBAYCMZVUDUVGATQYDRZYCFT
      YCMQYEMZVUGYCMYFYGQTYEYHYIYJZUWDAQAFYKZVUHUWDAUKNZPYGQUWDTAYEFYLYMYNZYOYP
      UVGBYCMZVUEUVDUVEVUMUVFUVDUYNUYLVUMUYOUYQBUUAYQVIZUVOBUVPUXBUYTYOWJUVHUVG
      UYBWFUBUAJUWFUVQOUVICUVRQUVPVUFCUWFUONPVUIUWFCAQGVUJUWDVUKUWEVULUUBYRYNUV
      RSUUCXEUUDUVGOUVKUVSUVGDUVRCUIUVGVUMDUVRPVUNUVQDBUVPIUXBUVQSYRWJXHUUFUUGU
      VGAYSMZBYSMZUVIABUUERMZUVMUVNYBAYTMZVUOUVGTYTMQTUUHNMZVURUUPQTUUINMZVUSVU
      TVUGLMUUJUUKQTUULYNQTAFUUMYIAUUNYPUVGUYNBUUOMVUPUYPBUUQBUURYQUVGUWQUVFVUQ
      UWRUWSUVPUWTABUXAUXBUXCUXDFUUSVNOUVIABCDQVUJGIUUTXEUVAUVB $.
  $}

  ${
    $d d e p q B $.  $d d e p q R $.  $d p V $.  $d d e p q ph $.
    qqhucn.b $e |- B = ( Base ` R ) $.
    qqhucn.q $e |- Q = ( CCfld |`s QQ ) $.
    qqhucn.u $e |- U = ( UnifSt ` Q ) $.
    qqhucn.v $e |- V = ( metUnif ` ( ( dist ` R ) |` ( B X. B ) ) ) $.
    qqhucn.z $e |- Z = ( ZMod ` R ) $.
    qqhucn.1 $e |- ( ph -> R e. NrmRing ) $.
    qqhucn.2 $e |- ( ph -> R e. DivRing ) $.
    qqhucn.3 $e |- ( ph -> Z e. NrmMod ) $.
    qqhucn.4 $e |- ( ph -> ( chr ` R ) = 0 ) $.
    $( The ` QQHom ` homomorphism is uniformly continuous.  (Contributed by
       Thierry Arnoux, 28-Jan-2018.) $)
    qqhucn $p |- ( ph -> ( QQHom ` R ) e. ( U uCn V ) ) $=
      ( cfv cq co wcel vp vq vd ve cqqh cabs cmin ccom cxp cres cmetu wf cv clt
      cucn wbr cds wi wral crp wrex cdr cchr cc0 wceq cdvr czrh eqid syl2anc wa
      qqhf simpr csg cnm cngp cnrg nrgngp syl ad2antrr ffvelrnda adantr syl3anc
      ngpdsr simplr ccnfld csubg csubrg cress qsubdrg simpli subrgsubg cnfldsub
      ax-mp subgsub mp3an1 fveq2d cghm qqhghm qrngbas ghmsub eqtr2d cnlm qsubcl
      cin elind qqhnm syl31anc 3eqtrd ovresd cc qsscn cnmetdval abssubd 3eqtr4d
      sselid 3eqtr4rd breq1d biimpd ralrimiva breq2 imbi1d 2ralbidv rspcev ne0i
      c0 wne cz 0z a1i 4syl cxmet cpsmet cxms cvv xmsxmet2 xmetpsmet cuss crest
      qex 3eqtri zq mp2b crg drngring ringidcl cnfldxms ressxms eqeltri cnfldds
      cur mp2an ressds mp1i ngpxms metucn mpbir2and fveq2i ressuss cnflduss wss
      oveq1i cnxmet restmetu mp3an oveq1d eleqtrrd ) ADUEQZUFUGUHZRRUIZUJZUKQZF
      UOSZEFUOSAUVGUVLTRBUVGULZUAUMZUBUMZUVJSZUCUMZUNUPZUVNUVGQZUVOUVGQZDUQQZBB
      UIUJZSZUDUMZUNUPZURZUBRUSUARUSZUCUTVAZUDUTUSADVBTZDVCQVDVEZUVMNPBDVFQZDDV
      GQZHUWKVHZUWLVHZVKVIZAUWHUDUTAUWDUTTZVJUWPUVPUWDUNUPZUWEURZUBRUSZUARUSZUW
      HAUWPVLAUWTUWPAUWSUARAUVNRTZVJZUWRUBRUXBUVORTZVJZUWQUWEUXDUVPUWCUWDUNUXDU
      VSUVTUWASZUVOUVNUGSZUFQZUWCUVPUXDUXEUVTUVSDVMQZSZDVNQZQZUXFUVGQZUXJQZUXGU
      XDDVOTZUVSBTZUVTBTUXEUXKVEAUXNUXAUXCADVPTZUXNMDVQZVRVSUXBUXOUXCARBUVNUVGU
      WOVTWAZUXBRBUVOUVGAUVMUXAUWOWAVTZUVSUVTUWADUXHUXJBUXJVHZHUXHVHZUWAVHZWCWB
      UXDUXIUXLUXJUXDUXLUVOUVNCVMQZSZUVGQZUXIUXDUXFUYDUVGUXDUXCUXAUXFUYDVEZUXBU
      XCVLZAUXAUXCWDZRWEWFQTZUXCUXAUYFRWEWGQTZUYIUYJWERWHSZVBTWIWJRWEWKWMRWECUG
      UYCUVOUVNWLIUYCVHZWNWOVIWPUXDUVGCDWQSTZUXCUXAUYEUXIVEAUYMUXAUXCAUWIUWJUYM
      NPBUWKCDUWLHUWMUWNIWRVIVSUYGUYHRCDUVOUVGUYCUXHUVNCIWSZUYLUYAWTWBXAWPUXDDV
      PVBXDTZGXBTZUWJUXFRTZUXMUXGVEAUYOUXAUXCAVPVBDMNXEVSAUYPUXAUXCOVSAUWJUXAUX
      CPVSUXDUXCUXAUYQUYGUYHUVOUVNXCVIUXFDUXJGUXTLXFXGXHUXDUVSUVTUWABUXRUXSXIUX
      DUVNUVOUVHSZUVNUVOUGSUFQZUVPUXGUXDUVNXJTUVOXJTUYRUYSVEUXDRXJUVNXKUYHXOZUX
      DRXJUVOXKUYGXOZUVNUVOUVHUVHVHXLVIUXDUVNUVOUVHRUYHUYGXIUXDUVOUVNVUAUYTXMXN
      XPXQXRXSXSWAUWGUWTUCUWDUTUVQUWDVEZUWFUWRUAUBRRVUBUVRUWQUWEUVQUWDUVPUNXTYA
      YBYCVIXSAUAUBUVJUWBUVKUVGFRBUCUDUVKVHKRYEYFZAVDYGTVDRTVUCYHVDUUARVDYDUUBZ
      YIAUWIDUUCTDUUJQZBTBYEYFNDUUDBDVUEHVUEVHUUEBVUEYDYJAUVJRYKQTZUVJRYLQTCYMT
      VUFACUYKYMIWEYMTRYNTZUYKYMTUUFYSRWEYNUUGUUKUUHUVHCRUYNVUGUVHCUQQVEYSRUVHW
      ECYNIUUIUULWMYOUUMUVJRYPVRAUWBBYKQTZUWBBYLQTAUXPUXNDYMTVUHMUXQDUUNUWADBHU
      YBYOYJUWBBYPVRUUOUUPAEUVKFUOEUVKVEAEWEYQQZUVIYRSZUVHUKQZUVIYRSZUVKECYQQUY
      KYQQZVUJJCUYKYQIUUQVUGVUMVUJVEYSRYNWEUURWMYTVUIVUKUVIYRVUIVUIVHUUSUVAVUCU
      VHXJYLQTZRXJUUTVULUVKVEVUDUVHXJYKQTVUNUVBUVHXJYPWMXKRUVHXJUVCUVDYTYIUVEUV
      F $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Canonical embedding of the real numbers into a complete ordered field
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c RRHom $.
  $c RRExt $.

  $( Map the real numbers into a complete field. $)
  crrh $a class RRHom $.

  $( Extend class notation with the class of extension fields of ` RR ` . $)
  crrext $a class RRExt $.

  $( Define the canonical homomorphism from the real numbers to any complete
     field, as the extension by continuity of the canonical homomorphism from
     the rational numbers.  (Contributed by Mario Carneiro, 22-Oct-2017.)
     (Revised by Thierry Arnoux, 23-Oct-2017.) $)
  df-rrh $a |- RRHom = ( r e. _V |->
    ( ( ( topGen ` ran (,) ) CnExt ( TopOpen ` r ) ) ` ( QQHom ` r ) ) ) $.

  ${
    $d r J $.  $d r K $.  $d r R $.
    rrhval.1 $e |- J = ( topGen ` ran (,) ) $.
    rrhval.2 $e |- K = ( TopOpen ` R ) $.
    $( Value of the canonical homormorphism from the real numbers to a complete
       space.  (Contributed by Thierry Arnoux, 2-Nov-2017.) $)
    rrhval $p |- ( R e. V
      -> ( RRHom ` R ) = ( ( J CnExt K ) ` ( QQHom ` R ) ) ) $=
      ( vr wcel cvv crrh cfv cqqh ccnext co wceq elex cv cioo ctopn fveq2 fvmpt
      crn ctg eqcomi a1i eqtr4di oveq12d fveq12d df-rrh fvex syl ) ADHAIHAJKALK
      ZBCMNZKZOADPGAGQZLKZRUBUCKZUOSKZMNZKUNIJUOAOZUPULUSUMUTUQBURCMUQBOUTBUQEU
      DUEUTURASKCUOASTFUFUGUOALTUHGUIULUMUJUAUK $.
  $}

  ${
    rrhf.d $e |- D = ( ( dist ` R ) |` ( B X. B ) ) $.
    rrhf.j $e |- J = ( topGen ` ran (,) ) $.
    rrhf.b $e |- B = ( Base ` R ) $.
    rrhf.k $e |- K = ( TopOpen ` R ) $.
    rrhf.z $e |- Z = ( ZMod ` R ) $.
    rrhf.1 $e |- ( ph -> R e. DivRing ) $.
    rrhf.2 $e |- ( ph -> R e. NrmRing ) $.
    rrhf.3 $e |- ( ph -> Z e. NrmMod ) $.
    rrhf.4 $e |- ( ph -> ( chr ` R ) = 0 ) $.
    rrhf.5 $e |- ( ph -> R e. CUnifSp ) $.
    rrhf.6 $e |- ( ph -> ( UnifSt ` R ) = ( metUnif ` D ) ) $.
    $( If the topology of ` R ` is Hausdorff, and ` R ` is a complete uniform
       space, then the canonical homomorphism from the real numbers to ` R ` is
       continuous.  (Contributed by Thierry Arnoux, 17-Jan-2018.) $)
    rrhcn $p |- ( ph -> ( RRHom ` R ) e. ( J Cn K ) ) $=
      ( cfv crefld crrh cqqh ccnext co ccn ctps wcel wceq cxms cnrg cngp nrgngp
      ngpxms 3syl xmstps syl rrhval cq cuss ccnfld cress cr rebase cioo crn ctg
      ctopn retopn eqtri eqid df-refld oveq1i cvv wss reex qssre ressabs eqtr2i
      mp2an fveq2i ccms cms recms cmsms mstps mp2b a1i cusp recusp cuspusp mp1i
      ccusp cmopn cha xmstopn cxmet xmsxmet methaus eqeltrd cmetu cucn cds cres
      cxp qqhucn eqcomd oveq2d eleqtrd ccl fveq1i qdensere ucnextcn ) ADUASZDUB
      SZEFUCUDSZEFUEUDADUFUGZXMXOUHADUIUGZXPADUJUGDUKUGXQNDULDUMUNZDUOUPZDEFUFI
      KUQUPAURTUSSZUTURVAUDZUSSZDUSSZXNEFTDVBBVCJEVDVEVFSZTVGSIVHVIKXTVJYATURVA
      UDZUSYEUTVBVAUDZURVAUDZYATYFURVAVKVLVBVMUGURVBVNZYGYAUHVOVPVBURUTVMVQVSVR
      VTYCVJTUFUGZATWAUGTWBUGYIWCTWDTWEWFWGTWLUGTWHUGAWITWJWKXSQAFCWMSZWNAXQFYJ
      UHXRCFDBKJHWOUPAXQCBWPSUGYJWNUGXRCDBJHWQCYJBYJVJWRUNWSYHAVPWGAXNYBCWTSZXA
      UDYBYCXAUDABYADYBYKGJYAVJYBVJCDXBSBBXDXCWTHVTLNMOPXEAYKYCYBXAAYCYKRXFXGXH
      UREXISZSZVBUHAYMURYDXISZSVBURYLYNEYDXIIVTXJXKVIWGXLWS $.

    $( If the topology of ` R ` is Hausdorff, Cauchy sequences have at most one
       limit, i.e. the canonical homomorphism of ` RR ` into ` R ` is a
       function.  (Contributed by Thierry Arnoux, 2-Nov-2017.) $)
    rrhf $p |- ( ph -> ( RRHom ` R ) : RR --> B ) $=
      ( cr wcel crrh cfv wf cuni cioo crn ctg ccn co eqid uniretop cnf syl cxms
      rrhcn ctps wceq cnrg cngp nrgngp ngpxms 3syl xmstps tpsuni feq3d mpbird )
      ASBDUAUBZUCSFUDZVGUCZAVGUEUFUGUBZFUHUITVIABCDVJFGHVJUJJKLMNOPQRUOVGVJFSVH
      UKVHUJULUMABVHVGSADUNTZDUPTBVHUQADURTDUSTVKNDUTDVAVBDVCBFDJKVDVBVEVF $.
  $}

  $( Define the class of extensions of ` RR ` .  This is a shorthand for
     listing the necessary conditions for a structure to admit a canonical
     embedding of ` RR ` into it.  Interestingly, this is not coming from a
     mathematical reference, but was from the necessary conditions to build the
     embedding at each step ( ` ZZ ` , ` QQ ` and ` RR ` ).  It would be
     interesting see if this is formally treated in the literature.  See
     ~ isrrext for a better readable version.  (Contributed by Thierry Arnoux,
     2-May-2018.) $)
  df-rrext $a |- RRExt = { r e. ( NrmRing i^i DivRing ) |
     ( ( ( ZMod ` r ) e. NrmMod /\ ( chr ` r ) = 0 ) /\ ( r e. CUnifSp
     /\ ( UnifSt ` r ) = ( metUnif ` ( ( dist ` r )
     |` ( ( Base ` r ) X. ( Base ` r ) ) ) ) ) ) } $.

  ${
    $d r D $.  $d r R $.  $d r Z $.
    isrrext.b $e |- B = ( Base ` R ) $.
    isrrext.v $e |- D = ( ( dist ` R ) |` ( B X. B ) ) $.
    isrrext.z $e |- Z = ( ZMod ` R ) $.
    $( Express the property " ` R ` is an extension of ` RR ` ".  (Contributed
       by Thierry Arnoux, 2-May-2018.) $)
    isrrext $p |- ( R e. RRExt <-> ( ( R e. NrmRing /\ R e. DivRing ) /\
      ( Z e. NrmMod /\ ( chr ` R ) = 0 ) /\ ( R e. CUnifSp
      /\ ( UnifSt ` R ) = ( metUnif ` D ) ) ) ) $=
      ( vr cnrg cdr wcel cnlm cchr cfv cc0 wceq wa ccusp cuss fveq2 crrext elin
      cin cmetu w3a anbi1i czlm cds cbs cxp cres eleq1d bitr4di fveqeq2 anbi12d
      cv eleq1i eqtr4di sqxpeqd reseq12d fveq2d eqeq12d df-rrext elrab2 3bitr4i
      eleq1 3anass ) CIJUCZKZDLKZCMNOPZQZCRKZCSNZBUDNZPZQZQZQCIKCJKQZVRQCUAKVSV
      LVQUEVIVSVRCIJUBUFHUPZUGNZLKZVTMNOPZQZVTRKZVTSNZVTUHNZVTUINZWHUJZUKZUDNZP
      ZQZQVRHCVHUAVTCPZWDVLWMVQWNWBVJWCVKWNWBCUGNZLKVJWNWAWOLVTCUGTULDWOLGUQUMV
      TCOMUNUOWNWEVMWLVPVTCRVFWNWFVNWKVOVTCSTWNWJBUDWNWJCUHNZAAUJZUKBWNWGWPWIWQ
      VTCUHTWNWHAWNWHCUINAVTCUITEURUSUTFURVAVBUOUOHVCVDVSVLVQVGVE $.
  $}

  $( An extension of ` RR ` is a normed ring.  (Contributed by Thierry Arnoux,
     2-May-2018.) $)
  rrextnrg $p |- ( R e. RRExt -> R e. NrmRing ) $=
    ( crrext wcel cnrg cdr wa czlm cfv cnlm cchr cc0 wceq cuss cds cbs cxp cres
    ccusp cmetu eqid isrrext simp1bi simpld ) ABCZADCZAECZUDUEUFFAGHZICAJHKLFAR
    CAMHANHAOHZUHPQZSHLFUHUIAUGUHTUITUGTUAUBUC $.

  $( An extension of ` RR ` is a division ring.  (Contributed by Thierry
     Arnoux, 2-May-2018.) $)
  rrextdrg $p |- ( R e. RRExt -> R e. DivRing ) $=
    ( crrext wcel cnrg cdr wa czlm cfv cnlm cchr cc0 wceq cuss cds cbs cxp cres
    ccusp cmetu eqid isrrext simp1bi simprd ) ABCZADCZAECZUDUEUFFAGHZICAJHKLFAR
    CAMHANHAOHZUHPQZSHLFUHUIAUGUHTUITUGTUAUBUC $.

  ${
    rrextnlm.z $e |- Z = ( ZMod ` R ) $.
    $( The norm of an extension of ` RR ` is absolutely homogeneous.
       (Contributed by Thierry Arnoux, 2-May-2018.) $)
    rrextnlm $p |- ( R e. RRExt -> Z e. NrmMod ) $=
      ( crrext wcel cnlm cchr cfv cc0 wceq cnrg cdr ccusp cuss cds cbs cxp cres
      wa eqid cmetu isrrext simp2bi simpld ) ADEZBFEZAGHIJZUEAKEALESUFUGSAMEANH
      AOHAPHZUHQRZUAHJSUHUIABUHTUITCUBUCUD $.
  $}

  $( The ring characteristic of an extension of ` RR ` is zero.  (Contributed
     by Thierry Arnoux, 2-May-2018.) $)
  rrextchr $p |- ( R e. RRExt -> ( chr ` R ) = 0 ) $=
    ( crrext wcel czlm cfv cnlm cchr cc0 wceq cnrg cdr wa cuss cds cbs cxp cres
    ccusp cmetu eqid isrrext simp2bi simprd ) ABCZADEZFCZAGEHIZUDAJCAKCLUFUGLAR
    CAMEANEAOEZUHPQZSEILUHUIAUEUHTUITUETUAUBUC $.

  $( An extension of ` RR ` is a complete uniform space.  (Contributed by
     Thierry Arnoux, 2-May-2018.) $)
  rrextcusp $p |- ( R e. RRExt -> R e. CUnifSp ) $=
    ( crrext wcel ccusp cuss cfv cds cbs cxp cres cmetu wceq cnrg cdr czlm cnlm
    wa cchr cc0 eqid isrrext simp3bi simpld ) ABCZADCZAEFAGFAHFZUFIJZKFLZUDAMCA
    NCQAOFZPCARFSLQUEUHQUFUGAUIUFTUGTUITUAUBUC $.

  $( An extension of ` RR ` is a topological space.  (Contributed by Thierry
     Arnoux, 7-Sep-2018.) $)
  rrexttps $p |- ( R e. RRExt -> R e. TopSp ) $=
    ( crrext wcel cxms ctps cnrg cngp rrextnrg nrgngp ngpxms 3syl xmstps syl )
    ABCZADCZAECNAFCAGCOAHAIAJKALM $.

  ${
    rrexthaus.1 $e |- K = ( TopOpen ` R ) $.
    $( The topology of an extension of ` RR ` is Hausdorff.  (Contributed by
       Thierry Arnoux, 7-Sep-2018.) $)
    rrexthaus $p |- ( R e. RRExt -> K e. Haus ) $=
      ( crrext wcel cds cfv cbs cxp cres cmopn cha cxms wceq cnrg cngp rrextnrg
      nrgngp 3syl eqid ngpxms xmstopn syl cxmet xmsxmet methaus eqeltrd ) ADEZB
      AFGAHGZUIIJZKGZLUHAMEZBUKNUHAOEAPEULAQARAUASZUJBAUICUITZUJTZUBUCUHULUJUIU
      DGEUKLEUMUJAUIUNUOUEUJUKUIUKTUFSUG $.
  $}

  ${
    rrextust.b $e |- B = ( Base ` R ) $.
    rrextust.d $e |- D = ( ( dist ` R ) |` ( B X. B ) ) $.
    $( The uniformity of an extension of ` RR ` is the uniformity generated by
       its distance.  (Contributed by Thierry Arnoux, 2-May-2018.) $)
    rrextust $p |- ( R e. RRExt -> ( UnifSt ` R ) = ( metUnif ` D ) ) $=
      ( crrext wcel ccusp cuss cfv cmetu wceq cnrg cdr czlm cnlm cchr cc0 eqid
      wa isrrext simp3bi simprd ) CFGZCHGZCIJBKJLZUDCMGCNGTCOJZPGCQJRLTUEUFTABC
      UGDEUGSUAUBUC $.
  $}

  $( The field of the real numbers is an extension of the real numbers.
     (Contributed by Thierry Arnoux, 2-May-2018.) $)
  rerrext $p |- RRfld e. RRExt $=
    ( crefld crrext wcel cnrg cdr wa czlm cfv cnlm cchr cc0 wceq ccusp cuss cds
    cr ccnfld resubdrg pm3.2i eqid cxp cmetu csubrg cnnrg simpli df-refld mp2an
    cres subrgnrg simpri cofld reofld ofldchr ax-mp recusp reust rebase isrrext
    rezh mpbir3an ) ABCADCZAECZFAGHZICZAJHKLZFAMCZANHAOHPPUAUHZUBHLZFVAVBQDCPQU
    CHCZVAUDVIVBRUEPQAUFUIUGVIVBRUJSVDVEUSAUKCVEULAUMUNSVFVHUOUPSPVGAVCUQVGTVCT
    URUT $.

  $( The field of the complex numbers is an extension of the real numbers.
     (Contributed by Thierry Arnoux, 2-May-2018.) $)
  cnrrext $p |- CCfld e. RRExt $=
    ( ccnfld crrext wcel cnrg cdr wa czlm cfv cnlm cchr cc0 ccusp pm3.2i crefld
    wceq cr ax-mp eqid cc cres cuss cabs cmin cmetu cnnrg cndrng cress df-refld
    ccom cnzh co fveq2i reofld ofldchr csubrg resubdrg simpli subrgchr 3eqtr3ri
    cofld cnfldcusp cnflduss cnfldbas cxp cds wfn cmet wf metf ffn mp2b fnresdm
    cnmet cnfldds reseq1i eqtr3i isrrext mpbir3an ) ABCADCZAECZFAGHZICZAJHZKOZF
    ALCZAUAHZUBUCUIZUDHOZFVSVTUEUFMWBWDUJNJHZAPUGUKZJHZKWCNWJJUHULNUTCWIKOUMNUN
    QPAUOHCZWKWCOWLNECUPUQPAURQUSMWEWHVAWFWFRVBMSWGAWAVCWGSSVDZTZWGAVEHZWMTWGWM
    VFZWNWGOWGSVGHCWMPWGVHWPVMWGSVIWMPWGVJVKWMWGVLQWGWOWMVNVOVPWARVQVR $.

  $( The topology of the field of the rational numbers.  (Contributed by
     Thierry Arnoux, 29-Aug-2020.) $)
  qqtopn $p |- ( ( TopOpen ` RRfld ) |`t QQ ) = ( TopOpen ` ( CCfld |`s QQ ) )
    $=
    ( cioo crn ctg cq crest co crefld ctopn ccnfld cress retopn oveq1i df-refld
    cfv cr cvv wcel wss wceq reex qssre ressabs mp2an eqtr2i resstopn eqtr3i )
    ABCNZDEFGHNZDEFIDJFZHNUGUHDEKLDUIUGGGDJFIOJFZDJFZUIGUJDJMLOPQDORUKUISTUAODI
    PUBUCUDKUEUF $.

  ${
    rrhfe.b $e |- B = ( Base ` R ) $.
    $( If ` R ` is an extension of ` RR ` , then the canonical homomorphism of
       ` RR ` into ` R ` is a function.  (Contributed by Thierry Arnoux,
       2-May-2018.) $)
    rrhfe $p |- ( R e. RRExt -> ( RRHom ` R ) : RR --> B ) $=
      ( crrext wcel cds cfv cxp cres cioo crn ctopn czlm eqid rrextdrg rrextnrg
      ctg rrextnlm rrextchr rrextcusp rrextust rrhf ) BDEABFGAAHIZBJKQGZBLGZBMG
      ZUCNZUDNCUENUFNZBOBPBUFUHRBSBTAUCBCUGUAUB $.
  $}

  ${
    rrhcne.j $e |- J = ( topGen ` ran (,) ) $.
    rrhcne.k $e |- K = ( TopOpen ` R ) $.
    $( If ` R ` is an extension of ` RR ` , then the canonical homomorphism of
       ` RR ` into ` R ` is continuous.  (Contributed by Thierry Arnoux,
       2-May-2018.) $)
    rrhcne $p |- ( R e. RRExt -> ( RRHom ` R ) e. ( J Cn K ) ) $=
      ( wcel cbs cfv cds cxp cres czlm eqid rrextdrg rrextnrg rrextnlm rrextchr
      crrext rrextcusp rrextust rrhcn ) ARFAGHZAIHUBUBJKZABCALHZUCMZDUBMZEUDMZA
      NAOAUDUGPAQASUBUCAUFUETUA $.
  $}

  ${
    rrhfvale.j $e |- J = ( topGen ` ran (,) ) $.
    rrhfvale.k $e |- K = ( TopOpen ` R ) $.
$(
    @( Necessary condition for the ` RRHom ` homomorphism to have values.
       @)
    rrhlim @p |- ( ( R e. RRExt /\ X e. RR ) -> ( ( K fLimf
      ( ( ( nei ` J ) ` { X } ) |`t QQ ) ) ` ( QQHom ` R ) ) =/= (/) ) @=
      ? @.
    @d A x @.  @d J x @.  @d K x @.  @d R x @.
    rrhfvale.h @e |- H = ( RRHom ` R ) @.
    @( Value of the canonical embedding of ` RR ` into ` R ` at a given point
       ` A ` .  (Contributed by Thierry Arnoux, 8-Sep-2018.) @)
    rrhfvale @p |- ( ( R e. RRExt /\ A e. RR ) -> ( H ` A ) =
     U. ( ( K fLimf ( ( ( nei ` J ) ` { A } ) |`t QQ ) ) ` ( QQHom ` R ) ) ) @=
      ( vx crrext wcel cr cfv co cq cuni wceq eqid a1i ccl cqqh ccnext csn cnei
      wa crest cflf crrh rrhval adantr syl5eq fveq1d cioo crn ctg unieqi eqtr4i
      uniretop ctop retop eqeltri rrexthaus cbs cdr cchr rrextdrg rrextchr cdvr
      wf czrh qqhf syl2anc ctps wb rrexttps tpsuni feq3 3syl mpbid qssre fveq2i
      cc0 wss fveq1i qdensere eqtri cv rrhlim cnextfvval eqtrd ) BJKZALKZUEZACM
      ABUAMZDEUBNMZMWNEAUCDUDMMOUFNUGNMPWMACWOWMCBUHMZWOHWKWPWOQWLBDEJFGUIUJUKU
      LWKIOEPZLWNDEALUMUNUOMZPDPURDWRFUPUQWQRDUSKWKDWRUSFUTVASBEGVBWKOBVCMZWNVI
      ZOWQWNVIZWKBVDKBVEMWBQWTBVFBVGWSBVHMZBBVJMZWSRZXBRXCRVKVLWKBVMKWSWQQWTXAV
      NBVOWSEBXDGVPWSWQOWNVQVRVSOLWCWKVTSODTMZMZLQWKXFOWRTMZMLOXEXGDWRTFWAWDWEW
      FSBDEIWGFGWHWIWJ @.
$)
  $}

  $( The ` RRHom ` homomorphism leaves rational numbers unchanged.
     (Contributed by Thierry Arnoux, 27-Mar-2018.) $)
  rrhqima $p |- ( ( R e. RRExt /\ Q e. QQ ) ->
    ( ( RRHom ` R ) ` Q ) = ( ( QQHom ` R ) ` Q ) ) $=
    ( crrext wcel cq wa crrh cfv ctopn co wceq eqid adantr cr a1i crest ccn cdr
    cnrg oveq1i cqqh cioo crn ctg ccnext rrhval fveq1d cuni uniretop ctop retop
    cha rrexthaus wss qssre crefld cin czlm cnlm cc0 rrextnrg rrextdrg rrextnlm
    cchr elind rrextchr ccnfld cress qqtopn qqhcn syl3anc retopn eleqtrdi simpr
    eqcomi cnextfres eqtrd ) BCDZAEDZFZABGHZHZABUAHZUBUCUDHZBIHZUEJHZHZAWCHVRWB
    WGKVSVRAWAWFBWDWECWDLWELZUFUGMVTEWEUHZNWCWDWEAUIWILWDUJDVTUKOVRWEULDVSBWEWH
    UMMENUNVTUOOVRWCWDEPJZWEQJZDVSVRWCUPIHZEPJZWEQJZWKVRBSRUQDBURHZUSDBVDHUTKWC
    WNDVRSRBBVABVBVEBWOWOLZVCBVFVGEVHJZBWMWEWOWQLVIWPWHVJVKWMWJWEQWLWDEPWDWLVLV
    OTTVMMVRVSVNVPVQ $.

$(
  @( The canonical homomorphism from the real numbers to any complete field is
     a monoid homomorphism. @)
  rrhmhm @p |- ( R e. RRExt
    -> ( RRHom ` R ) e. ( ( CCfld |`s RR ) MndHom R ) ) @=
    ? @.
$)

  $( The image of ` 0 ` by the ` RRHom ` homomorphism is the ring's zero.
     (Contributed by Thierry Arnoux, 22-Oct-2017.) $)
  rrh0 $p |- ( R e. RRExt -> ( ( RRHom ` R ) ` 0 ) = ( 0g ` R ) ) $=
    ( crrext wcel cc0 crrh cfv cqqh c0g cq wceq cz zssq 0z sselii simpl rrhqima
    wa simpr syl2anc eqid mpan2 cdr cchr rrextdrg rrextchr cdvr czrh qqh0 eqtrd
    cbs ) ABCZDAEFFZDAGFFZAHFZUKDICZULUMJZKIDLMNUKUOQUKUOUPUKUOOUKUORDAPSUAUKAU
    BCAUCFDJUMUNJAUDAUEAUJFZAUFFZAAUGFZUQTURTUSTUHSUI $.

$(
      rrhrhm.3 @e |- ( ph -> R e. CUnifSp ) @.
      rrhrhm.1 @e |- W = ( CCfld |`s RR ) @.
      @( The ` RRHom ` homomorphism is a ring homomorphism if the target
         structure is a complete field.  @)
      rrhrhm @p |- ( ph -> ( RRHom ` R ) e. ( W RingHom R ) ) @=
        ? @.
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Embedding from the extended real numbers into a complete lattice
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c RR*Hom $.

  $( Map the extended real numbers into a complete lattice. $)
  cxrh $a class RR*Hom $.

  ${
    $d r x $.
    $( Define an embedding from the extended real number into a complete
       lattice.  (Contributed by Thierry Arnoux, 19-Feb-2018.) $)
    df-xrh $a |- RR*Hom = ( r e. _V |->
      ( x e. RR* |-> if ( x e. RR , ( ( RRHom ` r ) ` x ) ,
        if ( x = +oo , ( ( lub ` r ) ` ( ( RRHom ` r ) " RR ) ) ,
                       ( ( glb ` r ) ` ( ( RRHom ` r ) " RR ) ) ) ) ) ) $.
  $}

  ${
    $d r x R $.  $d r B $.  $d r L $.  $d r U $.
    xrhval.b $e |- B = ( ( RRHom ` R ) " RR ) $.
    xrhval.l $e |- L = ( glb ` R ) $.
    xrhval.u $e |- U = ( lub ` R ) $.
    $( The value of the embedding from the extended real numbers into a
       complete lattice.  (Contributed by Thierry Arnoux, 19-Feb-2018.) $)
    xrhval $p |- ( R e. V -> ( RR*Hom ` R ) = ( x e. RR* |->
      if ( x e. RR , ( ( RRHom ` R ) ` x ) ,
         if ( x = +oo , ( U ` B ) , ( L ` B ) ) ) ) ) $=
      ( vr wcel cfv cxr cr crrh wceq cif club cglb fveq2 cxrh cv cpnf cmpt elex
      cvv cima fveq1d eqtr4di imaeq1d fveq12d ifeq12d mpteq2dv xrex mptex fvmpt
      df-xrh syl ) CFKCUFKCUALAMAUBZNKZUSCOLZLZUSUCPZBDLZBELZQZQZUDZPCFUEJCAMUT
      USJUBZOLZLZVCVJNUGZVIRLZLZVLVISLZLZQZQZUDVHUFUAVICPZAMVRVGVSUTVKVBVQVFVSU
      SVJVAVICOTZUHVSVCVNVDVPVEVSVLBVMDVSVMCRLDVICRTIUIVSVLVANUGBVSVJVANVTUJGUI
      ZUKVSVLBVOEVSVOCSLEVICSTHUIWAUKULULUMAJUQAMVGUNUOUPUR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Canonical embeddings into the ordered field of the real numbers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The ` ZRHom ` homomorphism for the real number structure is the identity.
     (Contributed by Thierry Arnoux, 31-Oct-2017.) $)
  zrhre $p |- ( ZRHom ` RRfld ) = ( _I |` ZZ ) $=
    ( vn cz cv c1 crefld cmg cfv co cmpt czrh cid cres wcel cmul cr wceq remulg
    1re mpan2 eqid zre ax-1rid syl eqtrd mpteq2ia ccnfld csubrg resubdrg simpri
    cdr crg drngring re1r zrhval2 mp2b mptresid 3eqtr4i ) ABACZDEFGZHZIZABURIEJ
    GZKBLABUTURURBMZUTURDNHZURVCDOMUTVDPRDURQSVCUROMVDURPURUAURUBUCUDUEEUJMZEUK
    MVBVAPOUFUGGMVEUHUIEULEUSDAVBVBTUSTUMUNUOABUPUQ $.

  $( The ` QQHom ` homomorphism for the real number structure is the identity.
     (Contributed by Thierry Arnoux, 31-Oct-2017.) $)
  qqhre $p |- ( QQHom ` RRfld ) = ( _I |` QQ ) $=
    ( vq cq crefld cfv cmpt cid cres wcel co cdiv cc0 wceq cr cz ax-mp wb zrhre
    wf1 rebase mp2b cv cqqh cnumer czrh cdenom cdvr cchr ccnfld csubrg resubdrg
    cdr crg drngring wss wf1o f1oi f1of1 zssre f1ss mp2an f1eq1 mpbir eqid re0g
    simpri zrhchr mpbiri qqhvval mpanl12 wne wf f1f qnumcl ffvelrnd qdencl nnzd
    a1i wa anim1i ccnv csn cima zrhf1ker mpbi eleq2i wfn ffn fniniseg fvex elsn
    3bitr3ri sylibr nnne0d adantr neneqd neqned redvr syl3anc fveq1i fvresi syl
    pm2.65da syl5eq oveq12d qeqnumdivden eqtr4d 3eqtrd mpteq2ia wtru qqhf mptru
    feqmptd mptresid 3eqtr4i ) ABAUAZCUBDZDZEZABXOEXPFBGABXQXOXOBHZXQXOUCDZCUDD
    ZDZXOUEDZYADZCUFDZIZYBYDJIZXOCUKHZCUGDKLZXSXQYFLMUHUIDHYHUJVEZYHCULHZYIYJCU
    MZYKYINMYARZYMNMFNGZRZNNYNRZNMUNYONNYNUOYPNUPNNYNUQOURNNMYNUSUTYAYNLYMYOPQN
    MYAYNVAOVBZMCYAKSYAVCZVDVFVGTZMYEXOCYASYEVCZYRVHVIXSYBMHYDMHYDKVJYFYGLXSNMX
    TYANMYAVKZXSYMUUAYQNMYAVLOZVQZXOVMZVNXSNMYCYAUUCXSYCXOVOZVPZVNXSYDKXSYDKLZY
    CKLZXSUUGVRZYCNHZUUGVRZUUHXSUUJUUGUUFVSYCYAVTKWAZWBZHZYCUULHUUKUUHUUMUULYCY
    MUUMUULLZYQYHYKYMUUOPYJYLMCYAKSYRVDWCTWDWEUUAYANWFUUNUUKPUUBNMYAWGNKYCYAWHT
    YCKXOUEWIWJWKWLUUIYCKXSYCKVJUUGXSYCUUEWMWNWOXBWPYBYDWQWRXSYGXTYCJIXOXSYBXTY
    DYCJXSXTNHZYBXTLUUDUUPYBXTYNDXTXTYAYNQWSNXTWTXCXAXSUUJYDYCLUUFUUJYDYCYNDYCY
    CYAYNQWSNYCWTXCXAXDXOXEXFXGXHXPXRLXIABMXPBMXPVKZXIYHYIUUQYJYSMYECYASYTYRXJU
    TVQXLXKABXMXN $.

  ${
    $d a b x $.
    $( The ` RRHom ` homomorphism for the real numbers structure is the
       identity.  (Contributed by Thierry Arnoux, 22-Oct-2017.) $)
    rrhre $p |- ( RRHom ` RRfld ) = ( _I |` RR ) $=
      ( va vb crefld cfv cid cr cres wceq wtru cq uniretop wcel co retopn retop
      a1i ax-mp wss qssre cvv vx crrh cioo crn ctg cha rehaus crrext ccn rrhcne
      rerrext eqid mp1i ctopon ctop toptopon mpbi idcn ccnext wf wf1o f1oi f1of
      fss mp2an ccl qdensere cv csn cnei crest cflf c0 wne cima wrex wi wral wa
      cin simplr simpr opnneip syl3anc fvex qex elrestr mp3an12 syl inss2 inss1
      resiima eqsstri imaeq2 sseq1d rspcev syl2anc ex ralrimiva ancli wb eleq2i
      cfil biimpri trnei mpbid isflf mp3an13 mpbird ne0d adantl creg cusp ccusp
      recusp cuspusp uspreg resabs1 cnrest eqeltrri cnextfres1 mptru cqqh recms
      ccms elexi rrhval qqhre fveq2i eqtri reseq1i 3eqtr4i hauseqcn ) CUBDZEFGZ
      HIJYNYOUCUDUEDZYPFKYPUFLZIUGPZCUHLYNYPYPUIMZLIUKCYPYPYPULZNUJUMYOYSLZIYPF
      UNDLZUUAYPUOLZUUBOYPFKUPUQZYPFURQZPYNJGZYOJGZHIEJGZYPYPUSMZDZJGZUUHUUFUUG
      UUKUUHHIUAJFFUUHYPYPKKUUCIOPYRJFUUHUTZIJJUUHUTZJFRZUULJJUUHVAUUMJVBJJUUHV
      CQSJJFUUHVDVEZPUUNISPZJYPVFDDZFHIVGPZUAVHZFLZUUHYPUUSVIZYPVJDZDZJVKMZVLMD
      ZVMVNIUUTUVEUUSUUTUUSUVELZUUTUUSAVHZLZUUHBVHZVOZUVGRZBUVDVPZVQZAYPVRZVSZU
      UTUVNUUTUVMAYPUUTUVGYPLZVSZUVHUVLUVQUVHVSZUVGJVTZUVDLZUUHUVSVOZUVGRZUVLUV
      RUVGUVCLZUVTUVRUUCUVPUVHUWCUUCUVROPUUTUVPUVHWAUVQUVHWBUUSYPUVGWCWDUVCTLJT
      LUWCUVTUVAUVBWEWFUVGJUVCTTWGWHWIUWBUVRUWAUVSUVGUVSJRUWAUVSHUVGJWJJUVSWLQU
      VGJWKWMPUVKUWBBUVSUVDUVIUVSHUVJUWAUVGUVIUVSUUHWNWOWPWQWRWSWTUUTUVDJXCDLZU
      VFUVOXAZUUTUUSUUQLZUWDUWFUUTUUQFUUSVGXBXDUUBUUNUUTUWFUWDXAUUDSJUUSYPFXEWH
      XFUUBUWDUULUWEUUDUUOUUSAUUHYPUVDFJBXGXHWIXIXJXKYPXLLZICXMLZYQUWGCXNLUWHXO
      CXPQUGYPCNXQVEPUUHYPJVKMYPUIMZLIUUGUUHUWIUUNUUGUUHHSEJFXRQZUUAUUNUUGUWILU
      UESJYOYPYPFKXSVEXTPYAYBYNUUJJYNCYCDZUUIDZUUJCTLYNUWLHCYEYDYFCYPYPTYTNYGQU
      WKUUHUUIYHYIYJYKUWJYLPUUPUURYMYB $.
  $}

$( End $[ set-mbox-ta-rrhom.mm $] $)


$( Begin $[ set-mbox-ta-man.mm $] $)
$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Topological Manifolds
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Found this and was curious about how manifolds would be expressed in set.mm:
  https://mathoverflow.net/questions/336367/real-manifolds-in-a-theorem-prover

  This chapter proposes to define first manifold topologies, which characterize
  topological manifolds, and then to extend the structure with presentations,
  i.e., equivalence classes of atlases for a given topological space.  We
  suggest to use the extensible structures to define the "topological space"
  aspect of topological manifolds, and then extend it with
  charts/presentations.

$)

  $c ManTop $.

  $( The class of n-manifold topologies. $)
  cmntop $a class ManTop $.

  ${
    $d n j $.
    $( Define the class of ` N ` -manifold topologies, as second countable
       Hausdorff topologies locally homeomorphic to a ball of the Euclidean
       space of dimension ` N ` .  (Contributed by Thierry Arnoux,
       22-Dec-2019.) $)
    df-mntop $a |- ManTop = { <. n , j >. |
      ( n e. NN0 /\ ( j e. 2ndc /\ j e. Haus
        /\ j e. Locally [ ( TopOpen ` ( EEhil ` n ) ) ] ~= ) ) } $.

    $( Manifold is a relation.  (Contributed by Thierry Arnoux,
       28-Dec-2019.) $)
    relmntop $p |- Rel ManTop $=
      ( vn vj cv cn0 wcel c2ndc cha cehl cfv ctopn chmph cec clly w3a wa cmntop
      df-mntop relopabiv ) ACZDEBCZFETGETSHIJIKLMENOABPBAQR $.
  $}

  ${
    $d J j n u x y $.  $d N j n u x y $.
    $( Property of being a manifold.  (Contributed by Thierry Arnoux,
       28-Dec-2019.) $)
    ismntoplly $p |- ( ( N e. NN0 /\ J e. V ) ->
      ( N ManTop J <-> ( J e. 2ndc /\ J e. Haus /\ J e. Locally
      [ ( TopOpen ` ( EEhil ` N ) ) ] ~= ) ) ) $=
      ( vn vj cn0 wcel wa cmntop c2ndc cha cehl cfv ctopn chmph cec clly eleq1d
      w3a wceq wbr simpl simpr 2fveq3 eceq1d llyeq syl adantr eleq12d 3anbi123d
      cv anbi12d df-mntop brabga mpbirand ) BFGZACGZHBAIUAUPAJGZAKGZABLMNMZOPZQ
      ZGZSZUPUQUBDUKZFGZEUKZJGZVGKGZVGVELMNMZOPZQZGZSZHUPVDHDEBAIFCVEBTZVGATZHZ
      VFUPVNVDVQVEBFVOVPUBRVQVHURVIUSVMVCVQVGAJVOVPUCZRVQVGAKVRRVQVGAVLVBVRVOVL
      VBTZVPVOVKVATVSVOVJUTOVEBNLUDUEVKVAUFUGUHUIUJULEDUMUNUO $.

    $( Property of being a manifold.  (Contributed by Thierry Arnoux,
       5-Jan-2020.) $)
    ismntop $p |- ( ( N e. NN0 /\ J e. V ) -> ( N ManTop J <-> ( J e. 2ndc
      /\ J e. Haus /\ A. x e. J A. y e. x E. u e. ( J i^i ~P x ) ( y e. u /\
        ( J |`t u ) ~= ( TopOpen ` ( EEhil ` N ) ) ) ) ) ) $=
      ( wcel wa wbr cfv chmph w3a cv wrex wral wb ctop a1i anbi2d 3anass cmntop
      cn0 c2ndc cha cehl ctopn cec clly crest cpw cin ismntoplly haustop adantl
      co biantrurd wer wrel hmpher errel relelec mp2b hmphsymb rexbidv 2ralbidv
      bitr2i islly 3bitr4rd pm5.32da 3bitr4g adantr bitrd ) EUBGZDFGZHEDUAIDUCG
      ZDUDGZDEUEJUFJZKUGZUHGZLZVOVPBMCMZGZDWAUIUOZVQKIZHZCDAMZUJUKZNZBWFOADOZLZ
      DEFULVMVTWJPVNVMVOVPVSHZHVOVPWIHZHVTWJVMWKWLVOVMVPVSWIVMVPHZWBWCVRGZHZCWG
      NZBWFOADOZDQGZWQHZWIVSWMWRWQVPWRVMDUMUNUPWMWHWPABDWFWMWEWOCWGWMWDWNWBWDWN
      PWMWNVQWCKIZWDQKUQKURWNWTPUSQKUTWCVQKVAVBVQWCVCVFRSVDVEVSWSPWMABCVRDVGRVH
      VISVOVPVSTVOVPWITVJVKVL $.
  $}

$(
  @( The real line is a manifold of dimension 1.  (Contributed by Thierry
     Arnoux, 4-Jan-2020.) @)
    remntop @p |- ( TopOpen ` RRfld ) e. ( ManTop " { 1 } ) @=
      ? @.

  @{
    circmntop.f @e |- F = ( x e. RR |-> ( exp ` ( _i x. x ) ) ) @.
    circmntop.c @e |- C = ( `' abs " { 1 } ) @.
    circmntop.w @e |- W = ( ( F "s RRfld ) |`s C ) @.
    @( The unit circle is a manifold of dimension 1.  (Contributed by Thierry
       Arnoux, 4-Jan-2020.) @)
    circmntop @p |- ( TopOpen ` W ) e. ( ManTop " { 1 } ) @=
      ? @.
  @}
$)

$( End $[ set-mbox-ta-man.mm $] $)


$( Begin $[ set-mbox-ta-logb.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Real and complex functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Integer powers - misc. additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d k A $.  $d k n B $.
    $( A lower bound for an exponentiation.  (Contributed by Thierry Arnoux,
       19-Aug-2017.) $)
    nexple $p |- ( ( A e. NN0 /\ B e. RR /\ 2 <_ B ) -> A <_ ( B ^ A ) ) $=
      ( wcel c2 cle wbr cexp co cc0 wceq wa simpr wi c1 id oveq2 breq12d imbi2d
      a1i letrd vk vn cn0 cr w3a cn simpl2 simpl3 cv caddc simpl 1nn0 1red 1le2
      2re expge1d cmul nnnn0d nn0red readdcld 3ad2ant2 remulcld reexpcld nnge1d
      simp1 leadd2dd recnd times2d breqtrrd nn0ge0d lemul2ad 0red 0le2 lemul1ad
      simp2r simp3 expp1d 3exp a2d nnind 3impib syl3anc 0le1 oveq2d exp0d eqtrd
      3brtr4d wo elnn0 biimpi 3ad2ant1 mpjaodan ) AUCCZBUDCZDBEFZUEZAUFCZABAGHZ
      EFZAIJZWPWQKWQWNWOWSWPWQLWMWNWOWQUGWMWNWOWQUHWQWNWOWSWNWOKZUAUIZBXBGHZEFZ
      MXANBNGHZEFZMXAUBUIZBXGGHZEFZMXAXGNUJHZBXJGHZEFZMXAWSMUAUBAXBNJZXDXFXAXMX
      BNXCXEEXMOXBNBGPQRXBXGJZXDXIXAXNXBXGXCXHEXNOXBXGBGPQRXBXJJZXDXLXAXOXBXJXC
      XKEXOOXBXJBGPQRXBAJZXDWSXAXPXBAXCWREXPOXBABGPQRXABNWNWOUKZNUCCXAULSXANDBX
      AUMDUDCZXAUOSZXQNDEFXAUNSWNWOLZTUPXGUFCZXAXIXLYAXAXIXLYAXAXIUEZXJXHBUQHZX
      KEYBXJXGBUQHZYCYBXGNYBXGYBXGYAXAXIVEZURZUSZYBUMZUTZYBXGBYGXAYAWNXIXQVAZVB
      ZYBXHBYBBXGYJYFVCZYJVBYBXJXGDUQHZYDYIYBXGDYGXRYBUOSZVBYKYBXJXGXGUJHYMEYBN
      XGXGYHYGYGYBXGYEVDVFYBXGYBXGYGVGVHVIYBDBXGYNYJYGYBXGYFVJYAWNWOXIVOVKTYBXG
      XHBYGYLYJXAYAIBEFXIXAIDBXAVLXSXQIDEFXAVMSXTTVAYAXAXIVPVNTYBBXGYBBYJVGYFVQ
      VIVRVSVTWAWBWPWTKZINAWREINEFYOWCSWPWTLZYOWRBIGHNYOAIBGYPWDYOBYOBWMWNWOWTU
      GVGWEWFWGWMWNWQWTWHZWOWMYQAWIWJWKWL $.
  $}

$( End $[ set-mbox-ta-logb.mm $] $)


$( Begin $[ set-mbox-ta-ind.mm $] $)
$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Indicator Functions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c _Ind $.

  $( Extend class notation with the indicator function generator. $)
  cind $a class _Ind $.

  ${
    $d a o x $.
    $( Define the indicator function generator.  (Contributed by Thierry
       Arnoux, 20-Jan-2017.) $)
    df-ind $a |- _Ind = ( o e. _V |-> ( a e. ~P o |->
                                    ( x e. o |-> if ( x e. a , 1 , 0 ) ) ) ) $.
  $}

  ${
    $d a o x O $.  $d a o V $.
    $( Value of the indicator function generator with domain ` O ` .
       (Contributed by Thierry Arnoux, 23-Aug-2017.) $)
    indv $p |- ( O e. V ->
     ( _Ind ` O ) = ( a e. ~P O |-> ( x e. O |-> if ( x e. a , 1 , 0 ) ) ) ) $=
      ( vo wcel cv cpw c1 cc0 cif cmpt cvv cind df-ind wceq pweq mpteq12dv elex
      mpteq1 pwexg mptexg 3syl fvmptd3 ) BCFZEBDEGZHZAUFAGDGFIJKZLZLDBHZABUHLZL
      ZMNMAEDOUFBPDUGUIUJUKUFBQAUFBUHTRBCSZUEBMFUJMFULMFUMBMUADUJUKMUBUCUD $.

    $d a x A $.
    $( Value of the indicator function generator for a set ` A ` and a domain
       ` O ` .  (Contributed by Thierry Arnoux, 2-Feb-2017.) $)
    indval $p |- ( ( O e. V /\ A C_ O ) ->
               ( ( _Ind ` O ) ` A ) = ( x e. O |-> if ( x e. A , 1 , 0 ) ) ) $=
      ( va wcel wss wa cv c1 cc0 cif cmpt cpw cind cfv cvv wceq indv adantr
      eleq2 ifbid mpteq2dv adantl ssexg ancoms simpr elpwd mptexg fvmptd ) CDFZ
      BCGZHZEBACAIZEIZFZJKLZMZACUNBFZJKLZMZCNZCOPZQUKVCEVBURMRULACDESTUOBRZURVA
      RUMVDACUQUTVDUPUSJKUOBUNUAUBUCUDUMBCQULUKBQFBCDUEUFUKULUGUHUKVAQFULACUTDU
      ITUJ $.
  $}

  ${
    $d x A $.  $d x O $.
    $( Alternate value of the indicator function generator.  (Contributed by
       Thierry Arnoux, 2-Feb-2017.) $)
    indval2 $p |- ( ( O e. V /\ A C_ O ) -> ( ( _Ind ` O ) ` A ) =
                              ( ( A X. { 1 } ) u. ( ( O \ A ) X. { 0 } ) ) ) $=
      ( vx wcel wss cfv csn c1 cc0 cxp ciun wceq eqtrdi sneqd xpeq2d iunxpconst
      cun iuneq2i eqtri wa cind cif cdif cmpt dfmpt3 indval undif biimpi adantl
      cv iuneq1d 3eqtr4a iunxun iftrue wn eldifn iffalse syl uneq12i ) BCEZABFZ
      UAZABUBGGZDADUKZHZVEAEZIJUCZHZKZLZDBAUDZVJLZRZAIHZKZVLJHZKZRVCVDDAVLRZVJL
      ZVNVCDBVHUEDBVJLVDVTDBVHUFDABCUGVCDVSBVJVBVSBMZVAVBWAABUHUIUJULUMDAVLVJUN
      NVKVPVMVRVKDAVFVOKZLVPDAVJWBVGVIVOVFVGVHIVGIJUOOPSDAVOQTVMDVLVFVQKZLVRDVL
      VJWCVEVLEZVIVQVFWDVGUPZVIVQMVEBAUQWEVHJVGIJUROUSPSDVLVQQTUTN $.
  $}

  ${
    $d x A $.  $d x O $.  $d x V $.
    $( An indicator function as a function with domain and codomain.
       (Contributed by Thierry Arnoux, 13-Aug-2017.) $)
    indf $p |- ( ( O e. V /\ A C_ O ) ->
                                    ( ( _Ind ` O ) ` A ) : O --> { 0 , 1 } ) $=
      ( vx wcel wss wa cv c1 cc0 cif cpr cind cfv indval cr 1re 0re ifpr mp2an
      prcom eleqtri a1i fmpt3d ) BCEABFGZDBDHZAEZIJKZJILZABMNNDABCOUHUIEUEUFBEG
      UHIJLZUIIPEJPEUHUJEQRUGIJPPSTIJUAUBUCUD $.

    $d x X $.
    $( Value of the indicator function.  (Contributed by Thierry Arnoux,
       13-Aug-2017.) $)
    indfval $p |- ( ( O e. V /\ A C_ O /\ X e. O ) ->
      ( ( ( _Ind ` O ) ` A ) ` X ) = if ( X e. A , 1 , 0 ) ) $=
      ( vx wcel wss w3a cv c1 cc0 cif cind cfv cr cmpt wceq indval 3adant3 wa
      simpr eleq1d ifbid simp3 1re 0re ifcli a1i fvmptd ) BCFZABGZDBFZHZEDEIZAF
      ZJKLZDAFZJKLZBABMNNZOUJUKUSEBUPPQULEABCRSUMUNDQZTZUOUQJKVAUNDAUMUTUAUBUCU
      JUKULUDUROFUMUQJKOUEUFUGUHUI $.
  $}

  $( Value of the indicator function where it is ` 1 ` .  (Contributed by
     Thierry Arnoux, 14-Aug-2017.) $)
  ind1 $p |- ( ( O e. V /\ A C_ O /\ X e. A ) ->
                                          ( ( ( _Ind ` O ) ` A ) ` X ) = 1 ) $=
    ( wcel wss w3a cind cfv c1 cc0 cif wceq simp2 simp3 sseldd indfval syld3an3
    iftrue 3ad2ant3 eqtrd ) BCEZABFZDAEZGZDABHIIIZUDJKLZJUBUCUDDBEUFUGMUEABDUBU
    CUDNUBUCUDOPABCDQRUDUBUGJMUCUDJKSTUA $.

  $( Value of the indicator function where it is ` 0 ` .  (Contributed by
     Thierry Arnoux, 14-Aug-2017.) $)
  ind0 $p |- ( ( O e. V /\ A C_ O /\ X e. ( O \ A ) ) ->
                                          ( ( ( _Ind ` O ) ` A ) ` X ) = 0 ) $=
    ( wcel wss cdif w3a cind cfv c1 cc0 wceq eldifi indfval syl3an3 wn 3ad2ant3
    cif eldifn iffalsed eqtrd ) BCEZABFZDBAGEZHZDABIJJJZDAEZKLSZLUEUCUDDBEUGUIM
    DBANABCDOPUFUHKLUEUCUHQUDDBATRUAUB $.

  $( Value of the indicator function where it is ` 1 ` .  (Contributed by
     Thierry Arnoux, 22-Aug-2017.) $)
  ind1a $p |- ( ( O e. V /\ A C_ O /\ X e. O ) ->
                           ( ( ( ( _Ind ` O ) ` A ) ` X ) = 1 <-> X e. A ) ) $=
    ( wcel wss w3a cind cfv c1 wceq cc0 cif indfval eqeq1d wa wn eqid biantru
    wo ax-1ne0 neii biorfi bianfi orbi2i 3bitri eqif eqcom 3bitr2ri bitrdi ) BC
    EABFDBEGZDABHIIIZJKDAEZJLMZJKZUMUKULUNJABCDNOUMUMJJKZPZUMQZJLKZPZTZJUNKUOUM
    UQUQUSTVAUPUMJRSUSUQJLUAUBZUCUSUTUQUSURVBUDUEUFUMJJLUGJUNUHUIUJ $.

  ${
    $d x A $.  $d x O $.  $d x V $.
    $( Preimage of the singleton ` { 1 } ` by the indicator function.  See
       ~ i1f1lem .  (Contributed by Thierry Arnoux, 21-Aug-2017.) $)
    indpi1 $p |- ( ( O e. V /\ A C_ O ) ->
                                   ( `' ( ( _Ind ` O ) ` A ) " { 1 } ) = A ) $=
      ( vx wcel wss wa cind cfv ccnv c1 csn cima cv wb ind1a 3expia pm5.32d cc0
      wceq cpr wf wfn indf ffn fniniseg 3syl ssel pm4.71rd adantl 3bitr4d eqrdv
      ) BCEZABFZGZDABHIIZJKLMZAUODNZBEZURUPIKTZGZUSURAEZGZURUQEZVBUOUSUTVBUMUNU
      SUTVBOABCURPQRUOBSKUAZUPUBUPBUCVDVAOABCUDBVEUPUEBKURUPUFUGUNVBVCOUMUNVBUS
      ABURUHUIUJUKUL $.
  $}

  ${
    $d x A $.  $d x O $.  $d x ph $.
    indsum.1 $e |- ( ph -> O e. Fin ) $.
    indsum.2 $e |- ( ph -> A C_ O ) $.
    indsum.3 $e |- ( ( ph /\ x e. O ) -> B e. CC ) $.
    $( TODO: shorten using ~ sumss2 ! $)
    $( Finite sum of a product with the indicator function / Cartesian product
       with the indicator function.  (Contributed by Thierry Arnoux,
       14-Aug-2017.) $)
    indsum $p |- ( ph -> sum_ x e. O ( ( ( ( _Ind ` O ) ` A ) ` x ) x. B )
                        = sum_ x e. A B ) $=
      ( cfv cmul co csu wcel wa cc0 c1 cfn syldan wceq adantr cv cind cc sselda
      cpr cr pr01ssre wss indf syl2anc ffvelrnda sselid recnd mulcld cdif simpr
      wf ind0 syl3anc oveq1d difssd mul02d eqtrd fsumss mulid2d sumeq2dv eqtr3d
      ind1 ) ACBUAZCEUBIIZIZDJKZBLEVLBLCDBLACEVLBGAVICMZVIEMZVLUCMACEVIGUDZAVNN
      ZVKDVPVKVPOPUEZUFVKUGAEVQVIVJAEQMZCEUHZEVQVJUQFGCEQUIUJUKULUMHUNRAVIECUOZ
      MZNZVLODJKZOWBVKODJWBVRVSWAVKOSAVRWAFTAVSWAGTAWAUPCEQVIURUSUTAWAVNWCOSAVT
      EVIAECVAUDVPDHVBRVCFVDACVLDBAVMNZVLPDJKZDWDVKPDJWDVRVSVMVKPSAVRVMFTAVSVMG
      TAVMUPCEQVIVHUSUTAVMVNWEDSVOVPDHVERVCVFVG $.
  $}

  ${
    $d k A $.  $d k B $.  $d k O $.  $d k ph $.
    indsumin.1 $e |- ( ph -> O e. V ) $.
    indsumin.2 $e |- ( ph -> A e. Fin ) $.
    indsumin.3 $e |- ( ph -> A C_ O ) $.
    indsumin.4 $e |- ( ph -> B C_ O ) $.
    indsumin.5 $e |- ( ( ph /\ k e. A ) -> C e. CC ) $.
    $( Finite sum of a product with the indicator function / Cartesian product
       with the indicator function.  (Contributed by Thierry Arnoux,
       11-Dec-2021.) $)
    indsumin $p |- ( ph -> sum_ k e. A ( ( ( ( _Ind ` O ) ` B ) ` k ) x. C )
                        = sum_ k e. ( A i^i B ) C ) $=
      ( cmul co csu cc0 wceq wcel adantr sselda cind cfv cin cdif caddc inindif
      cv c0 a1i cun inundif eqcomi wa c1 cpr cc cr pr01ssre ax-resscn sstri wss
      wf indf syl2anc ffvelrnd sselid mulcld fsumsplit inss2 ind1 syl3anc inss1
      oveq1d syldan mulid2d eqtrd sumeq2dv ssdifd ind0 difssd cfn diffi syl cuz
      mul02d sumz olcs oveq12d infi fsumcl addid1d 3eqtrd ) ABEUGZCFUAUBUBZUBZD
      MNZEOBCUCZWPEOZBCUDZWPEOZUENWQDEOZPUENXAAWQWSWPBEWQWSUCUHQABCUFUIBWQWSUJZ
      QAXBBBCUKULUIIAWMBRZUMZWODXDPUNUOZUPWOXEUQUPURUSUTXDFXEWMWNAFXEWNVBZXCAFG
      RZCFVAZXFHKCFGVCVDSABFWMJTVEVFLVGVHAWRXAWTPUEAWQWPDEAWMWQRZUMZWPUNDMNDXJW
      OUNDMXJXGXHWMCRWOUNQAXGXIHSAXHXIKSAWQCWMWQCVAABCVIUITCFGWMVJVKVMXJDAXIXCD
      UPRZAWQBWMWQBVAABCVLUITLVNZVOVPVQAWTWSPEOZPAWSWPPEAWMWSRZUMZWPPDMNPXOWOPD
      MXOXGXHWMFCUDZRWOPQAXGXNHSAXHXNKSAWSXPWMABFCJVRTCFGWMVSVKVMXODAXNXCXKAWSB
      WMABCVTTLVNWEVPVQAWSWARZXMPQZABWARZXQIBCWBWCWSPWDUBVAXQXRWSEPWFWGWCVPWHAX
      AAWQDEAXSWQWARIBCWIWCXLWJWKWL $.
  $}

  ${
    $d A k l $.  $d B k l $.  $d F k l $.  $d O k l $.  $d k l ph $.
    prodindf.1 $e |- ( ph -> O e. V ) $.
    prodindf.2 $e |- ( ph -> A e. Fin ) $.
    prodindf.3 $e |- ( ph -> B C_ O ) $.
    prodindf.4 $e |- ( ph -> F : A --> O ) $.
    $( The product of indicators is one if and only if all values are in the
       set.  (Contributed by Thierry Arnoux, 11-Dec-2021.) $)
    prodindf $p |- ( ph -> prod_ k e. A ( ( ( _Ind ` O ) ` B ) ` ( F ` k ) )
      = if ( ran F C_ B , 1 , 0 ) ) $=
      ( vl cfv c1 wceq wral cc0 cif wcel adantr cv cind cprod crn wss 2fveq3 wa
      cpr wf indf syl2anc ffvelrnda ffvelrnd fprodex01 wb eqeq1d cbvralvw ifbid
      a1i cmpt eqid rnmptss nfv nfmpt1 nfrn nfcv nfss nfan simplr feqmptd eqidd
      fveq12d ralrimivw r19.21bi wfn ffnd fneq1d mpbid fnfvelrn eqeltrd adantlr
      simpr sseldd ralrimi impbid2 ind1a syl3anc ralbidva sseq1d 3bitr4d 3eqtrd
      ex rneqd ) ABDUAZEMZCFUBMMZMZDUCLUAZEMWPMZNOZLBPZNQRWQNOZDBPZNQREUDZCUEZN
      QRABWQWSDLWNWRWPEUFIAWNBSZUGZFQNUHZWOWPAFXHWPUIZXFAFGSZCFUEZXIHJCFGUJUKTA
      BFWNEKULZUMUNAXAXCNQXAXCUOAWTXBLDBWRWNOWSWQNWRWNWPEUFUPUQUSURAXCXENQAWOCS
      ZDBPZDBWOUTZUDZCUEZXCXEAXNXQDBWOCXOXOVAVBAXQXNAXQUGZXMDBAXQDADVCDXPCDXODB
      WOVDVEDCVFVGVHXRXFXMXRXFUGXPCWOAXQXFVIAXFWOXPSXQXGWOWNXOMZXPAWOXSOZDBAXTD
      BAWNWNEXOADBFEKVJZAWNVKVLVMVNXGXOBVOZXFXSXPSAYBXFAEBVOYBABFEKVPABEXOYAVQV
      RTAXFWBBWNXOVSUKVTWAWCWLWDWLWEAXBXMDBXGXJXKWOFSXBXMUOAXJXFHTAXKXFJTXLCFGW
      OWFWGWHAXDXPCAEXOYAWMWIWJURWK $.
  $}

  ${
    $d a x O $.  $d a V $.
    $( The bijection between a power set and the set of indicator functions.
       (Contributed by Thierry Arnoux, 14-Aug-2017.) $)
    indf1o $p |- ( O e. V ->
                        ( _Ind ` O ) : ~P O -1-1-onto-> ( { 0 , 1 } ^m O ) ) $=
      ( va vx wcel cpw cc0 c1 cpr cmap co cind cfv wf1o wel cif cmpt cr id 0red
      1red wne 0ne1 a1i eqid pw2f1o indv f1oeq1d mpbird ) ABEZAFZGHIAJKZALMZNUK
      ULCUKDADCOHGPQQZNUJCDAGHUNBRUJSUJTUJUAGHUBUJUCUDUNUEUFUJUKULUMUNDABCUGUHU
      I $.
  $}

  ${
    $d x F $.  $d x O $.  $d x V $.
    $( A function with range ` { 0 , 1 } ` as an indicator of the preimage of
       ` { 1 } ` .  (Contributed by Thierry Arnoux, 23-Aug-2017.) $)
    indpreima $p |- ( ( O e. V /\ F : O --> { 0 , 1 } ) ->
                                   F = ( ( _Ind ` O ) ` ( `' F " { 1 } ) ) ) $=
      ( vx wcel cc0 c1 cpr wf ccnv csn cima cfv adantl simpr ffvelrnda eleqtrdi
      wa wceq wb cind wfn ffn wss cdm cnvimass fdm sseqtrid indf syldan ffnd cv
      prcom simpll adantr ind1a syl3anc fniniseg baibd bitr2d elpreq eqfnfvd
      syl ) BCEZBFGHZAIZRZDBAAJGKZLZBUAMMZVFABUBZVDBVEAUCNZVGBVEVJVDVFVIBUDZBVE
      VJIVGAUEZVIBAVHUFVFVNBSVDBVEAUGNUHZVIBCUIUJZUKVGDULZBEZRZGFVQAMZVQVJMZVSV
      TVEGFHZVGBVEVQAVDVFOPFGUMZQVSWAVEWBVGBVEVQVJVPPWCQVSWAGSZVQVIEZVTGSZVSVDV
      MVRWDWETVDVFVRUNVGVMVRVOUOVGVROVIBCVQUPUQVGWEVRWFVGVKWEVRWFRTVLBGVQAURVCU
      SUTVAVB $.
  $}

  ${
    $d a f g O $.  $d a g V $.
    $( The bijection between finite subsets and the indicator functions with
       finite support.  (Contributed by Thierry Arnoux, 22-Aug-2017.) $)
    indf1ofs $p |- ( O e. V -> ( ( _Ind ` O ) |` Fin ) : ( ~P O i^i Fin )
         -1-1-onto-> { f e. ( { 0 , 1 } ^m O ) | ( `' f " { 1 } ) e. Fin } ) $=
      ( vg va wcel cfn cfv cima cres wf1o cv ccnv c1 cc0 wss wceq wa syldan wb
      cpw cin cind csn cpr cmap crab wf1 indf1o f1of1 syl f1ores sylancl resres
      co inss1 wfn f1ofn fnresdm 3syl reseq1d eqtr3id eqidd simpll simpr sselid
      wrex wf elpwid indf adantr feq1d mpbid prex elmapg biimpar syl2anc cnveqd
      cvv mpan imaeq1d indpi1 inss2 eqeltrd eqeltrrd rexlimdva2 cnvimass biimpa
      jca cdm fdmd adantrr sseqtrid simprr elfpw sylanbrc eqcomd fveqeq2 rspcev
      indpreima impbid fvelimab cnveq eleq1d elrab a1i 3bitr4d eqrdv f1oeq123d
      ex ) BCFZBUAZGUBZBUCHZXMIZXNXMJZKZXMALZMZNUDZIZGFZAONUEZBUFUOZUGZXNGJZKXK
      XLYDXNUHZXMXLPZXQXKXLYDXNKZYGBCUIZXLYDXNUJUKXLGUPZXLYDXMXNULUMXKXMXMXOYEX
      PYFXKXPXNXLJZGJYFXNXLGUNXKYLXNGXKYIXNXLUQZYLXNQYJXLYDXNURZXLXNUSUTVAVBXKX
      MVCXKDXOYEXKELZXNHZDLZQZEXMVGZYQYDFZYQMZXTIZGFZRZYQXOFZYQYEFZXKYSUUDXKYRU
      UDEXMXKYOXMFZRZYRRZYTUUCUUIXKBYCYQVHZYTXKUUGYRVDUUIBYCYPVHZUUJUUHUUKYRXKU
      UGYOBPZUUKUUHYOBUUHXMXLYOYKXKUUGVEZVFVIZYOBCVJSVKUUIBYCYPYQUUHYRVEZVLVMXK
      YTUUJYCVSFXKYTUUJTONVNYCBYQVSCVOVTZVPVQUUIYPMZXTIZUUBGUUIUUQUUAXTUUIYPYQU
      UOVRWAUUHUURGFYRUUHUURYOGXKUUGUULUURYOQUUNYOBCWBSUUHXMGYOXLGWCUUMVFWDVKWE
      WIWFXKUUDYSXKUUDRZUUBXMFZUUBXNHZYQQZYSUUSUUBBPUUCUUTUUSYQWJZUUBBYQXTWGXKY
      TUVCBQUUCXKYTRBYCYQXKYTUUJUUPWHZWKWLWMXKYTUUCWNUUBBWOWPXKYTUVBUUCXKYTUUJU
      VBUVDXKUUJRYQUVAYQBCWTWQSWLYRUVBEUUBXMYOUUBYQXNWRWSVQXJXAXKYMYHUUEYSTXKYI
      YMYJYNUKYKEXLXMYQXNXBUMUUFUUDTXKYBUUCAYQYDXRYQQZYAUUBGUVEXSUUAXTXRYQXCWAX
      DXEXFXGXHXIVM $.
  $}

$( End $[ set-mbox-ta-ind.mm $] $)


$( Begin $[ set-mbox-ta-esum.mm $] $)
$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Extended sum
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c sum* $. $( Summation sign. $)

  $( Extend class notation to include infinite summations. $)
  cesum $a class sum* k e. A B $.

  $( Define a short-hand for the possibly infinite sum over the extended
     nonnegative reals. ` sum* ` is relying on the properties of the
     ` tsums ` , developped by Mario Carneiro.  (Contributed by Thierry Arnoux,
     21-Sep-2016.) $)
  df-esum $a |- sum* k e. A B =
    U. ( ( RR*s |`s ( 0 [,] +oo ) ) tsums ( k e. A |-> B ) ) $.

  $( An extended sum is a set by definition.  (Contributed by Thierry Arnoux,
     5-Sep-2017.) $)
  esumex $p |- sum* k e. A B e. _V $=
    ( cesum cxrs cc0 cpnf cicc co cress cmpt ctsu cuni cvv df-esum ovex eqeltri
    uniex ) ABCDEFGHIJIZCABKZLIZMNABCOUASTLPRQ $.

  ${
    $d k V $.
    esumcl.1 $e |- F/_ k A $.
    $( Closure for extended sum in the extended positive reals.  (Contributed
       by Thierry Arnoux, 2-Jan-2017.) $)
    esumcl $p |- ( ( A e. V /\ A. k e. A B e. ( 0 [,] +oo ) ) ->
                        sum* k e. A B e. ( 0 [,] +oo ) ) $=
      ( wcel cc0 cpnf cicc co wral wa cxrs cress cmpt ctsu cesum xrge0base eqid
      a1i ccmn xrge0cmn ctps xrge0tps simpl nfel1 nfra1 nfan nfcv fmptdF tsmscl
      simpr r19.21bi cuni wceq df-esum xrge0tsmsbi mpbiri sseldd ) ADFZBGHIJZFZ
      CAKZLZMVANJZCABOZPJZVAABCQZVDAVAVFVEDRVEUAFVDUBTVEUCFVDUDTUTVCUEZVDCABVAV
      FUTVCCCADEUFVBCAUGUHECVAUIVDVBCAUTVCULUMVFSUJZUKVDVHVGFVHVGUNUOABCUPVDAVH
      VFVEDVESVIVJUQURUS $.
  $}

  ${
    esumeq12dvaf.1 $e |- F/ k ph $.
    esumeq12dvaf.2 $e |- ( ph -> A = B ) $.
    esumeq12dvaf.3 $e |- ( ( ph /\ k e. A ) -> C = D ) $.
    $( Equality deduction for extended sum.  (Contributed by Thierry Arnoux,
       26-Mar-2017.) $)
    esumeq12dvaf $p |- ( ph -> sum* k e. A C = sum* k e. B D ) $=
      ( cxrs cc0 cpnf cicc co cmpt ctsu cuni cesum wceq df-esum wal wral alrimi
      cress cv wcel ex ralrimi mpteq12f syl2anc oveq2d unieqd 3eqtr4g ) AJKLMNU
      DNZFBDOZPNZQUNFCEOZPNZQBDFRCEFRAUPURAUOUQUNPABCSZFUADESZFBUBUOUQSAUSFGHUC
      AUTFBGAFUEBUFUTIUGUHFBDCEUIUJUKULBDFTCEFTUM $.
  $}

  ${
    $d k ph $.
    esumeq12dva.1 $e |- ( ph -> A = B ) $.
    esumeq12dva.2 $e |- ( ( ph /\ k e. A ) -> C = D ) $.
    $( Equality deduction for extended sum.  (Contributed by Thierry Arnoux,
       18-Feb-2017.)  (Revised by Thierry Arnoux, 29-Jun-2017.) $)
    esumeq12dva $p |- ( ph -> sum* k e. A C = sum* k e. B D ) $=
      ( nfv esumeq12dvaf ) ABCDEFAFIGHJ $.
  $}

  ${
    $d k ph $.
    esumeq12d.1 $e |- ( ph -> A = B ) $.
    esumeq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality deduction for extended sum.  (Contributed by Thierry Arnoux,
       18-Feb-2017.) $)
    esumeq12d $p |- ( ph -> sum* k e. A C = sum* k e. B D ) $=
      ( wceq cv wcel adantr esumeq12dva ) ABCDEFGADEIFJBKHLM $.
  $}

  ${
    $d k A $.  $d k B $.
    $( Equality theorem for an extended sum.  (Contributed by Thierry Arnoux,
       18-Feb-2017.) $)
    esumeq1 $p |- ( A = B -> sum* k e. A C = sum* k e. B C ) $=
      ( wceq id eqidd esumeq12d ) ABEZABCCDIFICGH $.
  $}

  ${
    esumeq1d.0 $e |- F/ k ph $.
    esumeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for an extended sum.  (Contributed by Thierry Arnoux,
       19-Oct-2017.) $)
    esumeq1d $p |- ( ph -> sum* k e. A C = sum* k e. B C ) $=
      ( cv wcel wa eqidd esumeq12dvaf ) ABCDDEFGAEHBIJDKL $.
  $}

  ${
    $d k A $.
    $( Equality theorem for extended sum.  (Contributed by Thierry Arnoux,
       24-Dec-2016.) $)
    esumeq2 $p |- ( A. k e. A B = C -> sum* k e. A B = sum* k e. A C ) $=
      ( wceq wral cxrs cc0 cpnf cicc co cress cmpt ctsu cuni cesum eqid mpteq12
      mpan df-esum oveq2d unieqd 3eqtr4g ) BCEDAFZGHIJKLKZDABMZNKZOUEDACMZNKZOA
      BDPACDPUDUGUIUDUFUHUENAAEUDUFUHEAQDABACRSUAUBABDTACDTUC $.
  $}

  ${
    esumeq2d.0 $e |- F/ k ph $.
    esumeq2d.1 $e |- ( ph -> A. k e. A B = C ) $.
    $( Equality deduction for extended sum.  (Contributed by Thierry Arnoux,
       21-Sep-2016.) $)
    esumeq2d $p |- ( ph -> sum* k e. A B = sum* k e. A C ) $=
      ( eqidd wceq r19.21bi esumeq12dvaf ) ABBCDEFABHACDIEBGJK $.
  $}

  ${
    $d k ph $.
    esumeq2dv.1 $e |- ( ( ph /\ k e. A ) -> B = C ) $.
    $( Equality deduction for extended sum.  (Contributed by Thierry Arnoux,
       2-Jan-2017.) $)
    esumeq2dv $p |- ( ph -> sum* k e. A B = sum* k e. A C ) $=
      ( nfv wceq ralrimiva esumeq2d ) ABCDEAEGACDHEBFIJ $.
  $}

  ${
    $d k ph $.
    esumeq2sdv.1 $e |- ( ph -> B = C ) $.
    $( Equality deduction for extended sum.  (Contributed by Thierry Arnoux,
       25-Dec-2016.) $)
    esumeq2sdv $p |- ( ph -> sum* k e. A B = sum* k e. A C ) $=
      ( wceq cv wcel adantr esumeq2dv ) ABCDEACDGEHBIFJK $.
  $}

  ${
    nfesum1.1 $e |- F/_ k A $.
    $( Bound-variable hypothesis builder for extended sum.  (Contributed by
       Thierry Arnoux, 19-Oct-2017.) $)
    nfesum1 $p |- F/_ k sum* k e. A B $=
      ( cesum cxrs cc0 cpnf cicc cress cmpt ctsu cuni df-esum nfcv nfmpt1 nfuni
      co nfov nfcxfr ) CABCEFGHIRJRZCABKZLRZMABCNCUCCUAUBLCUAOCLOCABPSQT $.
  $}

  ${
    $d k x $.
    nfesum2.1 $e |- F/_ x A $.
    nfesum2.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for extended sum.  (Contributed by
       Thierry Arnoux, 2-May-2020.) $)
    nfesum2 $p |- F/_ x sum* k e. A B $=
      ( cesum cxrs cc0 cpnf cicc cress cmpt ctsu cuni df-esum nfcv nfmpt nfov
      co nfuni nfcxfr ) ABCDGHIJKTLTZDBCMZNTZOBCDPAUEAUCUDNAUCQANQADBCEFRSUAUB
      $.
  $}

  ${
    $d j k $.
    cbvesum.1 $e |- ( j = k -> B = C ) $.
    ${
      cbvesum.2 $e |- F/_ k A $.
      cbvesum.3 $e |- F/_ j A $.
      cbvesum.4 $e |- F/_ k B $.
      cbvesum.5 $e |- F/_ j C $.
      $( Change bound variable in an extended sum.  (Contributed by Thierry
         Arnoux, 19-Jun-2017.) $)
      cbvesum $p |- sum* j e. A B = sum* k e. A C $=
        ( cxrs cc0 cpnf cicc co cmpt ctsu cuni cesum df-esum cbvmptf 3eqtr4i
        cress oveq2i unieqi ) KLMNOUCOZDABPZQOZRUFEACPZQOZRABDSACESUHUJUGUIUFQD
        EABCHGIJFUAUDUEABDTACETUB $.
    $}

    $d A j $.  $d A k $.  $d B k $.  $d C j $.
    $( Change bound variable in an extended sum.  (Contributed by Thierry
       Arnoux, 19-Jun-2017.) $)
    cbvesumv $p |- sum* j e. A B = sum* k e. A C $=
      ( nfcv cbvesum ) ABCDEFEAGDAGEBGDCGH $.
  $}

  ${
    esumid.p $e |- F/ k ph $.
    esumid.0 $e |- F/_ k A $.
    esumid.1 $e |- ( ph -> A e. V ) $.
    esumid.2 $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    esumid.3 $e |- ( ph -> C e. ( ( RR*s |`s ( 0 [,] +oo ) )
                                                  tsums ( k e. A |-> B ) ) ) $.
    $( Identify the extended sum as any limit points of the infinite sum.
       (Contributed by Thierry Arnoux, 9-May-2017.) $)
    esumid $p |- ( ph -> sum* k e. A B = C ) $=
      ( cesum cxrs cc0 cpnf cicc co cress cmpt eqid ctsu df-esum fmptdF eqtr4id
      cuni nfcv xrge0tsmseq ) ABCELMNOPQZRQZEBCSZUAQUEDBCEUBABDUJUIFUITIAEBCUHU
      JGHEUHUFJUJTUCKUGUD $.
  $}

  ${
    esumgsum.1 $e |- F/ k ph $.
    esumgsum.2 $e |- F/_ k A $.
    esumgsum.3 $e |- ( ph -> A e. Fin ) $.
    esumgsum.4 $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    $( A finite extended sum is the group sum over the extended nonnegative
       real numbers.  (Contributed by Thierry Arnoux, 24-Apr-2020.) $)
    esumgsum $p |- ( ph -> sum* k e. A B
      = ( ( RR*s |`s ( 0 [,] +oo ) ) gsum ( k e. A |-> B ) ) ) $=
      ( cxrs cc0 cpnf cicc co cress cmpt cgsu cfn wcel a1i cxr xrge0base xrge00
      ccmn xrge0cmn ctps xrge0tps nfcv eqid fmptdF wfn cv ex ralrimi fnmptf syl
      wral 0xr fndmfifsupp tsmsid esumid ) ABCIJKLMZNMZDBCOZPMDQEFGHABVAVCVBQJU
      AUBVBUCRAUDSVBUERAUFSGADBCVAVCEFDVAUGHVCUHUIABVCTJACVARZDBUPVCBUJAVDDBEAD
      UKBRVDHULUMDBCVAFUNUOGJTRAUQSURUSUT $.
  $}

  ${
    $d k x $.  $d x A $.  $d x ph $.  $d x B $.
    esumval.p $e |- F/ k ph $.
    esumval.0 $e |- F/_ k A $.
    esumval.1 $e |- ( ph -> A e. V ) $.
    esumval.2 $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    esumval.3 $e |- ( ( ph /\ x e. ( ~P A i^i Fin ) ) ->
                  ( ( RR*s |`s ( 0 [,] +oo ) ) gsum ( k e. x |-> B ) ) = C ) $.
    $( Develop the value of the extended sum.  (Contributed by Thierry Arnoux,
       4-Jan-2017.) $)
    esumval $p |- ( ph -> sum* k e. A B =
                     sup ( ran ( x e. ( ~P A i^i Fin ) |-> C ) , RR* , < ) ) $=
      ( cfn cmpt crn cxr clt cuni co cgsu cesum cpw cin csup csn cxrs cpnf cicc
      cc0 cress ctsu df-esum eqid nfcv fmptdF cv cres wcel wss wceq inss1 sseli
      wa elpwid adantl resmptf oveq2d eqtr2d mpteq2dva rneqd supeq1d xrge0tsmsd
      syl unieqd syl5eq xrltso supex unisn eqtrdi ) ACDFUAZBCUBZMUCZENZOZPQUDZU
      EZRZWEAVTUFUIUGUHSZUJSZFCDNZUKSZRWGCDFULAWKWFACWEWJWIGBWIUMJAFCDWHWJHIFWH
      UNKWJUMUOAPWDBWBWIWJBUPZUQZTSZNZOQAWCWOABWBEWNAWLWBURZVCZWNWIFWLDNZTSEWQW
      MWRWITWQWLCUSZWMWRUTWPWSAWPWLCWBWAWLWAMVAVBVDVEFCWLDIFWLUNVFVMVGLVHVIVJVK
      VLVNVOWEPWDQVPVQVRVS $.
  $}

  ${
    $d x k $.  $d x A $.  $d k V $.  $d x ph $.  $d x B $.
    esumel.1 $e |- F/ k ph $.
    esumel.2 $e |- F/_ k A $.
    esumel.3 $e |- ( ph -> A e. V ) $.
    esumel.4 $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    $( The extended sum is a limit point of the corresponding infinite group
       sum.  (Contributed by Thierry Arnoux, 24-Mar-2017.) $)
    esumel $p |- ( ph -> sum* k e. A B e.
                     ( ( RR*s |`s ( 0 [,] +oo ) ) tsums ( k e. A |-> B ) ) ) $=
      ( vx cesum co cmpt wcel cv syl eqid nfcv cgsu cfn csn cxrs cc0 cpnf cress
      cicc ctsu wral ex ralrimi esumcl syl2anc snidg fmptdF cres cpw cin wa wss
      wceq inss1 simpr sselid elpwid resmptf eqcomd esumval xrge0tsmsd eleqtrrd
      oveq2d ) ABCDKZVKUAZUBUCUDUFLZUELZDBCMZUGLAVKVMNZVKVLNABENCVMNZDBUHVPHAVQ
      DBFADOBNVQIUIUJBCDEGUKULVKVMUMPABVKVOVNEJVNQHADBCVMVOFGDVMRIVOQUNAJBCVNVO
      JOZUOZSLDEFGHIAVRBUPZTUQZNZURZDVRCMZVSVNSWCVSWDWCVRBUSVSWDUTWCVRBWCWAVTVR
      VTTVAAWBVBVCVDDBVRCGDVRRVEPVFVJVGVHVI $.
  $}

  ${
    $d x y $.  $d y A $.
    $( Extended sum over the empty set.  (Contributed by Thierry Arnoux,
       19-Feb-2017.) $)
    esumnul $p |- sum* x e. (/) A = 0 $=
      ( vy c0 cfn cin cc0 cmpt cxr clt csup csn wceq wtru cvv wcel 0ex a1i cgsu
      co cesum cpw nftru nfcv cpnf cicc wral ral0 r19.21bi cv cxrs cress ineq1i
      crn pw0 0fin wss snssi df-ss sylib ax-mp eqtri eleq2i velsn sylbb mpteq1d
      mpt0 eqtrdi oveq2d xrge00 gsum0 adantl esumval mptru cxp fconstmpt eqcomi
      wfn wne wb 0xr rgenw eqid fnmpt snnz eqnetri fconst5 mp2an supeq1i xrltso
      mpbi wor supsn 3eqtri ) DBAUAZCDUBZEFZGHZUNZIJKZGLZIJKZGWOWTMNCDBGAOAUCAD
      UDDOPNQRNBGUEUFTZPZADXDADUGNXDAUHRUICUJZWQPZUKXCULTZAXEBHZSTZGMNXFXIXGDST
      GXFXHDXGSXFXHADBHDXFAXEDBXFXEDLZPXEDMWQXJXEWQXJEFZXJWPXJEUOUMDEPZXKXJMZUP
      XLXJEUQXMDEURXJEUSUTVAVBZVCCDVDVEVFABVGVHVIXGGVJVKVHVLVMVNIWSXAJWRWQXAVOZ
      MZWSXAMZXOWRCWQGVPVQWRWQVRZWQDVSXPXQVTGIPZCWQUGXRXSCWQWAWBCWQGWRIWRWCWDVA
      WQXJDXNDQWEWFWQGWRWGWHWKWIIJWLXSXBGMWJWAIGJWMWHWN $.
  $}

  ${
    esum0.k $e |- F/_ k A $.
    $d x A $.  $d k x V $.
    $( Extended sum of zero.  (Contributed by Thierry Arnoux, 3-Mar-2017.) $)
    esum0 $p |- ( A e. V -> sum* k e. A 0 = 0 ) $=
      ( vx wcel cc0 cfn cmpt cxr clt csup co cv wa a1i wceq cvv mp2an c0 cpw id
      cesum nfel1 cpnf cicc 0e0iccpnf cxrs cress cgsu cmnd ccmn xrge0cmn cmnmnd
      cin crn ax-mp vex xrge00 esumval csn cxp fconstmpt eqcomi wfn wne wb wral
      gsumz 0xr rgenw eqid fnmpt 0elpw 0fin elin mpbir2an ne0ii fconst5 supeq1d
      mpbi wor xrltso supsn eqtrdi eqtrd ) ACFZAGBUCEAUAZHUOZGIZUPZJKLZGWGEAGGB
      CBACDUDDWGUBGGUEUFMZFWGBNAFOUGPUHWMUIMZBENZGIUJMGQZWGWOWIFOWNUKFZWORFWPWN
      ULFWQUMWNUNUQEURWOBWNRGUSVISPUTWGWLGVAZJKLZGWGJWKWRKWKWRQZWGWJWIWRVBZQZWT
      XAWJEWIGVCVDWJWIVEZWITVFXBWTVGGJFZEWIVHXCXDEWIVJVKEWIGWJJWJVLVMUQTWITWIFT
      WHFTHFAVNVOTWHHVPVQVRWIGWJVSSWAPVTJKWBXDWSGQWCVJJGKWDSWEWF $.
  $}

  ${
    $d k n $.  $d k A $.  $d k C $.  $d k G $.  $d k ph $.
    esumf1o.0 $e |- F/ n ph $.
    esumf1o.b $e |- F/_ n B $.
    esumf1o.d $e |- F/_ k D $.
    esumf1o.a $e |- F/_ n A $.
    esumf1o.c $e |- F/_ n C $.
    esumf1o.f $e |- F/_ n F $.
    esumf1o.1 $e |- ( k = G -> B = D ) $.
    esumf1o.2 $e |- ( ph -> A e. V ) $.
    esumf1o.3 $e |- ( ph -> F : C -1-1-onto-> A ) $.
    esumf1o.4 $e |- ( ( ph /\ n e. C ) -> ( F ` n ) = G ) $.
    esumf1o.5 $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    $( Re-index an extended sum using a bijection.  (Contributed by Thierry
       Arnoux, 6-Apr-2017.) $)
    esumf1o $p |- ( ph -> sum* k e. A B = sum* n e. C D ) $=
      ( cxrs cc0 cpnf cicc co cress cmpt ctsu cuni ccom xrge0base ccmn xrge0cmn
      cesum wcel a1i ctps xrge0tps fmpttd tsmsf1o cv wa cfv wf1o f1of ffvelrnda
      wf syl eqeltrrd ex ralrimi feqmptdf mpteq2da eqtrd fmptcof2 oveq2d unieqd
      eqidd df-esum 3eqtr4g ) AUBUCUDUEUFZUGUFZFBCUHZUIUFZUJWCGDEUHZUIUFZUJBCFU
      ODEGUOAWEWGAWEWCWDHUKZUIUFWGABWBDWDWCHJULWCUMUPAUNUQWCURUPAUSUQRAFBCWBUAU
      TSVAAWHWFWCUIAGFDBICEHWDLMONKAIBUPZGDKAGVBZDUPZWIAWKVCWJHVDZIBTADBWJHADBH
      VEDBHVHSDBHVFVIZVGVJVKVLAHGDWLUHGDIUHAGDBHOPWMVMAGDWLIKTVNVOAWDVSQVPVQVOV
      RBCFVTDEGVTWA $.
  $}

  ${
    $d k y z $.  $d y z A $.  $d y B $.  $d y z C $.  $d y ph $.
    esumc.0 $e |- F/_ k D $.
    esumc.1 $e |- F/ k ph $.
    esumc.2 $e |- F/_ k A $.
    esumc.3 $e |- ( y = C -> D = B ) $.
    esumc.4 $e |- ( ph -> A e. V ) $.
    esumc.5 $e |- ( ph -> Fun `' ( k e. A |-> C ) ) $.
    esumc.6 $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    esumc.7 $e |- ( ( ph /\ k e. A ) -> C e. W ) $.
    $( Convert from the collection form to the class-variable form of a sum.
       (Contributed by Thierry Arnoux, 10-May-2017.) $)
    esumc $p |- ( ph ->
                       sum* k e. A B = sum* y e. { z | E. k e. A z = C } D ) $=
      ( wceq wcel cv wrex cab cesum cmpt cvv nfcv nfab nfmpt1 elex syl abrexexd
      nfre1 wfn ccnv wfun crn wf1o wral ex ralrimi fnmptf eqid rnmpt a1i dff1o2
      syl3anbrc wa cfv simpr fvmpt2f syl2anc cc0 cpnf cicc co vex eqeq1 rexbidv
      elab reximi sylbi nfel eleq1 syl5ibrcom rexlimd imp sylan2 esumf1o eqcomd
      wi ) ACUAZFSZHDUBZCUCZGBUDDEHUDAWOGDEBHHDFUEZFUFLKBEUGWNHCWMHDUMUHMHDFUIN
      AHCDFMADITDUFTODIUJUKULAWPDUNZWPUOUPWPUQWOSZDWOWPURAFJTZHDUSWQAWSHDLAHUAZ
      DTZWSRUTVAHDFJMVBUKPWRAHCDFWPWPVCVDVEDWOWPVFVGAXAVHZXAWSWTWPVIFSAXAVJRHDF
      JMVKVLBUAZWOTZAGESZHDUBZGVMVNVOVPZTZXDXCFSZHDUBZXFWNXJCXCBVQWLXCSWMXIHDWL
      XCFVRVSVTXIXEHDNWAWBAXFXHAXEXHHDLHGXGKHXGUGWCAXAXEXHWKXBXHXEEXGTQGEXGWDWE
      UTWFWGWHWIWJ $.
  $}

  ${
    $d A y z $.  $d B y z $.  $d C k $.  $d D y $.  $d W k $.  $d ph k y z $.
    esumrnmpt.0 $e |- F/_ k A $.
    esumrnmpt.1 $e |- ( y = B -> C = D ) $.
    esumrnmpt.2 $e |- ( ph -> A e. V ) $.
    esumrnmpt.3 $e |- ( ( ph /\ k e. A ) -> D e. ( 0 [,] +oo ) ) $.
    esumrnmpt.4 $e |- ( ( ph /\ k e. A ) -> B e. ( W \ { (/) } ) ) $.
    esumrnmpt.5 $e |- ( ph -> Disj_ k e. A B ) $.
    $( Rewrite an extended sum into a sum on the range of a mapping function.
       (Contributed by Thierry Arnoux, 27-May-2020.) $)
    esumrnmpt $p |- ( ph -> sum* y e. ran ( k e. A |-> B ) C = sum* k e. A D )
      $=
      ( vz cmpt crn cesum wceq cv wrex cab eqid rnmpt esumeq1 ax-mp c0 csn cdif
      nfcv nfv disjdsct esumc eqtr4id ) AGCDQZRZEBSZPUADTGCUBPUCZEBSZCFGSUQUSTU
      RUTTGPCDUPUPUDUEUQUSEBUFUGABPCFDEGHIUHUIUJGEUKAGULZJKLAGCDIVAJNOUMMNUNUO
      $.
  $}

  ${
    esumsplit.1 $e |- F/ k ph $.
    esumsplit.2 $e |- F/_ k A $.
    esumsplit.3 $e |- F/_ k B $.
    esumsplit.4 $e |- ( ph -> A e. _V ) $.
    esumsplit.5 $e |- ( ph -> B e. _V ) $.
    esumsplit.6 $e |- ( ph -> ( A i^i B ) = (/) ) $.
    esumsplit.7 $e |- ( ( ph /\ k e. A ) -> C e. ( 0 [,] +oo ) ) $.
    esumsplit.8 $e |- ( ( ph /\ k e. B ) -> C e. ( 0 [,] +oo ) ) $.
    $( Split an extended sum into two parts.  (Contributed by Thierry Arnoux,
       9-May-2017.) $)
    esumsplit $p |- ( ph -> sum* k e. ( A u. B ) C =
                                        ( sum* k e. A C +e sum* k e. B C ) ) $=
      ( cesum cxad co cvv wcel cmpt ctsu cun nfun unexg syl2anc cv wo cpnf cicc
      cc0 elun jaodan sylan2b cxrs cress xrge0base xrge0plusg ccmn xrge0cmn a1i
      ctmd xrge0tmd nfcv eqid fmptdF cres esumel wceq ssun1 resmptf mp1i oveq2d
      wss eleqtrrd ssun2 eqidd tsmssplit esumid ) ABCUAZDBDENZCDENZOPEQFEBCGHUB
      ZABQRCQRVRQRIJBCQQUCUDZEUEZVRRAWCBRZWCCRZUFDUIUGUHPZRZWCBCUJAWDWGWELMUKUL
      ZAVRWFBCOEVRDSZUMWFUNPZQVSVTUOUPWJUQRAURUSWJUTRAVAUSWBAEVRDWFWIFWAEWFVBWH
      WIVCVDAVSWJEBDSZTPWJWIBVEZTPABDEQFGILVFAWLWKWJTBVRVLWLWKVGABCVHEVRBDWAGVI
      VJVKVMAVTWJECDSZTPWJWICVEZTPACDEQFHJMVFAWNWMWJTCVRVLWNWMVGACBVNEVRCDWAHVI
      VJVKVMKAVRVOVPVQ $.
  $}

  ${
    $d k A $.  $d k C $.
    esummono.f $e |- F/ k ph $.
    esummono.c $e |- ( ph -> C e. V ) $.
    esummono.b $e |- ( ( ph /\ k e. C ) -> B e. ( 0 [,] +oo ) ) $.
    esummono.a $e |- ( ph -> A C_ C ) $.
    $( Extended sum is monotonic.  (Contributed by Thierry Arnoux,
       19-Oct-2017.) $)
    esummono $p |- ( ph -> sum* k e. A B <_ sum* k e. C B ) $=
      ( cesum co cle cc0 wbr cpnf wcel cvv syl2anc cxr cdif cxad cicc difexd cv
      wral simpr eldifad syldan ralrimi nfcv esumcl elxrge0 simprbi syl iccssxr
      wa ex wi ssexd sselda sselid xraddge02 mpd cun cin wceq disjdif esumsplit
      c0 a1i wss undif sylib esumeq1d eqtr3d breqtrd ) ABCEKZVRDBUAZCEKZUBLZDCE
      KZMANVTMOZVRWAMOZAVTNPUCLZQZWCAVSRQCWEQZEVSUFWFADBFHUDZAWGEVSGAEUEZVSQZWG
      AWJWIDQZWGAWJUQWIDBAWJUGUHIUIZURUJVSCEREVSUKZULSZWFVTTQZWCVTUMUNUOAVRTQWO
      WCWDUSAWETVRNPUPZABRQWGEBUFVRWEQABDFHJUTZAWGEBGAWIBQZWGAWRWKWGABDWIJVAIUI
      ZURUJBCEREBUKZULSVBAWETVTWPWNVBVRVTVCSVDABVSVEZCEKWAWBABVSCEGWTWMWQWHBVSV
      FVJVGABDVHVKWSWLVIAXADCEGABDVLXADVGJBDVMVNVOVPVQ $.
  $}

$(
  @{
    esummonof1o.1 @e |- ( ph -> A e. V ) @.
    esummonof1o.2 @e |- ( ( ph /\ k e. A ) -> B e. C ) @.
    esummonof1o.3 @e |- ( ph -> F : C --> ( 0 [,] +oo ) ) @.
    esummonof1o.4 @e |- ( ph -> G : dom G -1-1-onto-> ran ( k e. A |-> B ) ) @.
    @( Because of the way the extended sum is written, the same term can be
      counted several times. Here we provide a lower bound where each term is
      counted exactly once. @)
    esummonof1o @p |- ( ph
      -> sum* j e. dom G ( F ` ( G ` j ) ) <_ sum* k e. A ( F ` B ) ) @=
      ? @.
  @}
$)

  ${
    $d A k $.  $d B k $.  $d V k $.  $d k ph $.
    esumpad.1 $e |- ( ph -> A e. V ) $.
    esumpad.2 $e |- ( ph -> B e. W ) $.
    esumpad.3 $e |- ( ( ph /\ k e. A ) -> C e. ( 0 [,] +oo ) ) $.
    esumpad.4 $e |- ( ( ph /\ k e. B ) -> C = 0 ) $.
    $( Extend an extended sum by padding outside with zeroes.  (Contributed by
       Thierry Arnoux, 31-May-2020.) $)
    esumpad $p |- ( ph -> sum* k e. ( A u. B ) C = sum* k e. A C ) $=
      ( cun cesum cxad co wcel cvv syl wceq cc0 cdif nfv nfcv difexd c0 disjdif
      elex cin a1i cv cpnf difssd sselda wa 0e0iccpnf eqeltrdi syldan esumsplit
      cicc undif2 esumeq1 ax-mp ralrimiva esumeq2d esum0 eqtrd cxr iccssxr wral
      oveq2d esumcl syl2anc sselid xaddid1 3eqtr3d ) ABCBUAZLZDEMZBDEMZVPDEMZNO
      ZBCLZDEMZVSABVPDEAEUBZEBUCZEVPUCZABFPZBQPHBFUGRACBGIUDZBVPUHUESABCUFUIJAE
      UJZVPPZWICPZDTUKUSOZPZAVPCWIACBULUMZAWKUNDTWLKUOUPUQURVRWCSZAVQWBSWOBCUTV
      QWBDEVAVBUIAWAVSTNOZVSAVTTVSNAVTVPTEMZTAVPDTEWDADTSZEVPAWJWKWRWNKUQVCVDAV
      PQPWQTSWHVPEQWFVERVFVJAVSVGPWPVSSAWLVGVSTUKVHAWGWMEBVIVSWLPHAWMEBJVCBDEFW
      EVKVLVMVSVNRVFVO $.

    $( Remove zeroes from an extended sum.  (Contributed by Thierry Arnoux,
       5-Jun-2020.) $)
    esumpad2 $p |- ( ph -> sum* k e. ( A \ B ) C = sum* k e. A C ) $=
      ( cesum wceq cle wbr cvv wcel syl2anc cc0 cxr cdif wa nfv difssd esummono
      cun unexg cv wo cpnf cicc co elun 0e0iccpnf eqeltrdi jaodan sylan2b ssun1
      wss a1i undif1 esumeq1 ax-mp difexd sselda syldan esumpad eqtr3id breqtrd
      jca wb iccssxr wral ralrimiva nfcv esumcl sselid xrletri3 mpbird ) ABCUAZ
      DELZBDELZMZWAWBNOZWBWANOZUBZAWDWEAVTDBEFAEUCZHJABCUDZUEAWBBCUFZDELZWANABD
      WIEPWGABFQZCGQWIPQHIBCFGUGREUHZWIQAWLBQZWLCQZUIDSUJUKULZQZWLBCUMAWMWPWNJA
      WNUBDSWOKUNUOUPUQBWIUSABCURUTUEAWJVTCUFZDELZWAWQWIMWRWJMBCVAWQWIDEVBVCAVT
      CDEPGABCFHVDZIAWLVTQWMWPAVTBWLWHVEJVFZKVGVHVIVJAWATQWBTQWCWFVKAWOTWASUJVL
      ZAVTPQWPEVTVMWAWOQWSAWPEVTWTVNVTDEPEVTVOVPRVQAWOTWBXAAWKWPEBVMWBWOQHAWPEB
      JVNBDEFEBVOVPRVQWAWBVRRVS $.
  $}

  ${
    $d k A $.  $d k V $.  $d k ph $.
    esumadd.0 $e |- ( ph -> A e. V ) $.
    esumadd.1 $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    esumadd.2 $e |- ( ( ph /\ k e. A ) -> C e. ( 0 [,] +oo ) ) $.
    $( Addition of infinite sums.  (Contributed by Thierry Arnoux,
       24-Mar-2017.) $)
    esumadd $p |- ( ph -> sum* k e. A ( B +e C ) =
                        ( sum* k e. A B +e sum* k e. A C ) ) $=
      ( cxad co cesum nfv wcel cmpt ctsu a1i fmpttd esumel eqidd nfcv cv wa cc0
      cpnf cicc ge0xaddcl syl2anc cxrs cress xrge0base xrge0plusg ccmn xrge0cmn
      cof ctmd xrge0tmd tsmsadd offval2 oveq2d eleqtrd esumid ) ABCDJKZBCELZBDE
      LZJKZEFAEMZEBUAZGAEUBBNUCCUDUEUFKZNDVINVCVINHICDUGUHAVFUIVIUJKZEBCOZEBDOZ
      JUOKZPKVJEBVCOZPKABVIJVKVJVLFVDVEUKULVJUMNAUNQVJUPNAUQQGAEBCVIHRAEBDVIIRA
      BCEFVGVHGHSABDEFVGVHGISURAVMVNVJPAEBCDJVKVLFVIVIGHIAVKTAVLTUSUTVAVB $.

    esumle.3 $e |- ( ( ph /\ k e. A ) -> B <_ C ) $.
    $( If all of the terms of an extended sums compare, so do the sums.
       (Contributed by Thierry Arnoux, 8-Jun-2017.) $)
    esumle $p |- ( ph -> sum* k e. A B <_ sum* k e. A C ) $=
      ( cesum cxad co cle cxr wcel cc0 wbr cpnf syl2anc cxne cicc esumcl sselid
      iccssxr wral ralrimiva nfcv cv wa xnegcld xaddcld wb xsubge0 mpbird pnfge
      syl w3a 0xr pnfxr elicc1 mp2an syl3anbrc a1i elicc4 syl3anc xraddge02 imp
      mpbid simpld syl21anc xaddcom breqtrd esumadd xrge0npcan esumeq2dv eqtr3d
      wceq ) ABCEKZBDCUAZLMZEKZVSLMZBDEKZNAVSVSWBLMZWCNAVSOPZWBOPZQWBNRZVSWENRZ
      AQSUBMZOVSQSUEZABFPZCWJPZEBUFVSWJPGAWMEBHUGBCEFEBUHZUCTUDZAWJOWBWKAWLWAWJ
      PZEBUFWBWJPZGAWPEBAEUIBPUJZWAOPZQWANRZWASNRZWPWRDVTWRWJODWKIUDZWRCWRWJOCW
      KHUDZUKULZWRWTCDNRZJWRDOPCOPWTXEUMXBXCDCUNTUOWRWSXAXDWAUPUQQOPZSOPZWPWSWT
      XAURUMUSUTQSWAVAVBVCZUGBWAEFWNUCTZUDZAWHWBSNRZAWQWHXKUJZXIAXFXGWGWQXLUMXF
      AUSVDXGAUTVDXJQSWBVEVFVIVJWFWGUJWHWIVSWBVGVHVKAWFWGWEWCVRWOXJVSWBVLTVMABW
      ACLMZEKWCWDABWACEFGXHHVNABXMDEWRDWJPWMXEXMDVRIHJDCVOVFVPVQVM $.
  $}

  ${
    $d a k x y A $.  $d a x y B $.  $d a x y ph $.
    gsumesum.0 $e |- F/ k ph $.
    gsumesum.1 $e |- ( ph -> A e. Fin ) $.
    gsumesum.2 $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    $( Relate a group sum on ` ( RR*s |``s ( 0 [,] +oo ) ) ` to a finite
       extended sum.  (Contributed by Thierry Arnoux, 19-Oct-2017.)  (Proof
       shortened by AV, 12-Dec-2019.) $)
    gsumesum $p |- ( ph -> ( ( RR*s |`s ( 0 [,] +oo ) ) gsum ( k e. A |-> B ) )
      = sum* k e. A B ) $=
      ( vx va cfn cc0 co cgsu cxr wcel wa a1i sselid wceq syl2anc cesum cpw cin
      vy cxrs cpnf cicc cress cv cmpt crn clt csup eqidd esumval xrltso iccssxr
      nfcv xrge0base ccmn xrge0cmn ex ralrimi gsummptcl wrex pwidg elind mpteq1
      wor syl oveq2d rspceeqv eqid ovex elrnmpti sylibr cle wbr wn wral cbvmptv
      simpr sylib cdif cxad inss2 nfv nfan wel simpll wss inss1 elpwid ad2antlr
      sseli sseldd diffi eldifad elxrge0 simprbi xraddge02 imp syl21anc adantlr
      adantr adantl cres xrge00 xrge0plusg wf fmptdf cfsupp cvv wfn fndmfifsupp
      fnmpt c0ex c0 cun undif biimpi eqcomd gsumsplit resmpt difss ax-mp oveq2i
      disjdif oveq12d eqtrd breqtrrd ralrimiva r19.29r breq1 biimpar wb rnmptss
      rexlimivw sselda xrltnle con2bid mpbid supmax eqtr2d ) ABCDUAHBUBZJUCZUEK
      UFUGLZUHLZDHUIZCUJZMLZUJZUKZNULUMUUHDBCUJZMLZAHBCUUKDJEDBURFGAUUIUUFOZPZU
      UKUNUOAUDNUUMUUOULNULVIAUPQAUUGNUUOKUFUQZAUUGDUUHBCUSUUHUTOZAVAQFACUUGOZD
      BEADUIZBOZUUTGVBVCZVDRZAUUOUUKSHUUFVEZUUOUUMOABUUFOUUOUUOSUVEAUUEJBABJOZB
      UUEOFBJVFVJFVGAUUOUNHBUUFUUKUUOUUOUUIBSUUJUUNUUHMDUUIBCVHVKVLTHUUFUUKUUOU
      ULUULVMZUUHUUJMVNVOVPAUDUIZUUMOZPZUVHUUOVQVRZUUOUVHULVRZVSZUVJUVHUUHDIUIZ
      CUJZMLZSZIUUFVEZUVPUUOVQVRZIUUFVTZUVKUVJUVIUVRAUVIWBIUUFUVPUVHUULHIUUFUUK
      UVPUUIUVNSUUJUVOUUHMDUUIUVNCVHVKWAUUHUVOMVNVOWCUVJUVSIUUFUVJUVNUUFOZPZUVP
      UVPUUHDBUVNWDZCUJZMLZWELZUUOVQAUWAUVPUWFVQVRZUVIAUWAPZUVPNOZUWENOZKUWEVQV
      RZUWGUWHUUGNUVPUURUWHUUGDUUHUVNCUSUUSUWHVAQZUWHUUFJUVNUUEJWFZAUWAWBRUWHUU
      TDUVNAUWADEUWADWGWHZUWHDIWIZUUTUWHUWOPZAUVBUUTAUWAUWOWJUWPUVNBUVAUWAUVNBW
      KZAUWOUWAUVNBUUFUUEUVNUUEJWLZWOWMZWNUWHUWOWBWPGTVBVCVDRUWHUUGNUWEUURUWHUU
      GDUUHUWCCUSUWLAUWCJOZUWAAUVFUWTFBUVNWQVJXEUWHUUTDUWCUWNUWHUVAUWCOZUUTUWHU
      XAPZAUVBUUTAUWAUXAWJUXBUVABUVNUWHUXAWBWRGTVBVCVDZRUWHUWEUUGOZUWKUXCUXDUWJ
      UWKUWEWSWTVJUWIUWJPUWKUWGUVPUWEXAXBXCXDUWBAUWQUUOUWFSAUVIUWAWJUWAUWQUVJUW
      SXFAUWQPZUUOUUHUUNUVNXGZMLZUUHUUNUWCXGZMLZWELUWFUXEBUUGUVNUWCWEUUNUUHJKUS
      XHXIUUSUXEVAQAUVFUWQFXEABUUGUUNXJUWQADBCUUGUUNEGUUNVMZXKXEAUUNKXLVRUWQABU
      UNXMKAUUTDBVTUUNBXNUVCDBCUUNUUGUXJXPVJFKXMOAXQQXOXEUVNUWCUCXRSUXEUVNBYHQU
      WQBUVNUWCXSZSAUWQUXKBUWQUXKBSUVNBXTYAYBXFYCUXEUXGUVPUXIUWEWEUWQUXGUVPSAUW
      QUXFUVOUUHMDBUVNCYDVKXFUXIUWESUXEUXHUWDUUHMUWCBWKUXHUWDSBUVNYEDBUWCCYDYFY
      GQYIYJTYKYLUVRUVTPUVQUVSPZIUUFVEUVKUVQUVSIUUFYMUXLUVKIUUFUVQUVKUVSUVHUVPU
      UOVQYNYOYRVJTUVJUUONOZUVHNOZUVKUVMYPAUXMUVIUVDXEAUUMNUVHAUUKNOZHUUFVTUUMN
      WKAUXOHUUFUUQUUGNUUKUURUUQUUGDUUHUUICUSUUSUUQVAQUUQUUFJUUIUWMAUUPWBRUUQUU
      TDUUIAUUPDEUUPDWGWHUUQDHWIZUUTUUQUXPPZAUVBUUTAUUPUXPWJUXQUUIBUVAUXQUUIBUU
      PUUIUUEOAUXPUUFUUEUUIUWRWOWNWMUUQUXPWBWPGTVBVCVDRYLHUUFUUKNUULUVGYQVJYSUX
      MUXNPUVLUVKUUOUVHYTUUATUUBUUCUUD $.
  $}

  ${
    $d a k x y A $.  $d a x y B $.  $d a y X $.  $d a x y ph $.
    esumlub.f $e |- F/ k ph $.
    esumlub.0 $e |- ( ph -> A e. V ) $.
    esumlub.1 $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    esumlub.2 $e |- ( ph -> X e. RR* ) $.
    esumlub.3 $e |- ( ph -> X < sum* k e. A B ) $.
    $( The extended sum is the lowest upper bound for the partial sums.
       (Contributed by Thierry Arnoux, 19-Oct-2017.)  (Proof shortened by AV,
       12-Dec-2019.) $)
    esumlub $p |- ( ph -> E. a e. ( ~P A i^i Fin ) X < sum* k e. a B ) $=
      ( vx clt wbr cfn cxr wcel wa simpr vy cxrs cc0 cpnf cicc co cress cv cmpt
      cgsu cpw cin wrex cesum crn csup nfcv eqidd esumval breq2d wss wb iccssxr
      wral xrge0base ccmn xrge0cmn a1i inss2 sselid nfv nfan simpll inss1 sseli
      ad2antlr elpwid sseldd syl2anc ex ralrimi gsummptcl ralrimiva rnmptss syl
      eqid supxrlub bitrd cvv ovex wceq mpteq1 oveq2d cbvmptv elrnmpti rexxfr2d
      mpbid gsumesum biimpd reximdva mpd ) AFUBUCUDUEUFZUGUFZDGUHZCUIZUJUFZNOZG
      BUKZPULZUMZFXDCDUNZNOZGXIUMAFUAUHZNOZUAMXIXCDMUHZCUIZUJUFZUIZUOZUMZXJAFBC
      DUNZNOZXTLAYBFXSQNUPZNOZXTAYAYCFNAMBCXQDEHDBUQIJAXOXIRZSZXQURUSUTAXSQVAZF
      QRYDXTVBAXQQRZMXIVDYGAYHMXIYFXBQXQUCUDVCYFXBDXCXOCVEXCVFRYFVGVHYFXIPXOXHP
      VIZAYETVJYFCXBRZDXOAYEDHYEDVKVLYFDUHZXORZYJYFYLSZAYKBRZYJAYEYLVMYMXOBYKYM
      XOBYEXOXHRAYLXIXHXOXHPVNZVOVPVQYFYLTVRJVSVTWAWBVJWCMXIXQQXRXRWFWDWEKUAXSF
      WGVSWHWQAXNXGUAGXFXSXIWIXFWIRAXDXIRZSZXCXEUJWJZVHXMXSRXMXFWKZGXIUMVBAGXIX
      FXMXRMGXIXQXFXOXDWKXPXEXCUJDXOXDCWLWMWNYRWOVHAYSSXMXFFNAYSTUTWPWQAXGXLGXI
      YQXGXLYQXFXKFNYQXDCDAYPDHYPDVKVLYQXIPXDYIAYPTVJYQYKXDRZSZAYNYJAYPYTVMUUAX
      DBYKUUAXDBYPXDXHRAYTXIXHXDYOVOVPVQYQYTTVRJVSWRUTWSWTXA $.
  $}

  ${
    $d k V $.
    esumaddf.0 $e |- F/ k ph $.
    esumaddf.a $e |- F/_ k A $.
    esumaddf.1 $e |- ( ph -> A e. V ) $.
    esumaddf.2 $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    esumaddf.3 $e |- ( ( ph /\ k e. A ) -> C e. ( 0 [,] +oo ) ) $.
    $( Addition of infinite sums.  (Contributed by Thierry Arnoux,
       22-Jun-2017.) $)
    esumaddf $p |- ( ph -> sum* k e. A ( B +e C ) =
                        ( sum* k e. A B +e sum* k e. A C ) ) $=
      ( cxad co cesum wcel cmpt ctsu a1i eqid fmptdF cv cc0 cpnf cicc ge0xaddcl
      wa syl2anc cxrs cof xrge0base xrge0plusg ccmn xrge0cmn ctmd xrge0tmd nfcv
      cress esumel tsmsadd eqidd offval2f oveq2d eleqtrd esumid ) ABCDLMZBCENZB
      DENZLMZEFGHIAEUABOUFCUBUCUDMZODVIOVEVIOJKCDUEUGAVHUHVIUQMZEBCPZEBDPZLUIMZ
      QMVJEBVEPZQMABVILVKVJVLFVFVGUJUKVJULOAUMRVJUNOAUORIAEBCVIVKGHEVIUPZJVKSTA
      EBDVIVLGHVOKVLSTABCEFGHIJURABDEFGHIKURUSAVMVNVJQAEBCDLVKVLFVIVIGHIJKAVKUT
      AVLUTVAVBVCVD $.

    esumlef.3 $e |- ( ( ph /\ k e. A ) -> B <_ C ) $.
    $( If all of the terms of an extended sums compare, so do the sums.
       (Contributed by Thierry Arnoux, 8-Jun-2017.) $)
    esumlef $p |- ( ph -> sum* k e. A B <_ sum* k e. A C ) $=
      ( cesum co cle cxr wcel cc0 wbr cpnf cxne cxad cicc iccssxr cv ex ralrimi
      wral esumcl syl2anc sselid wa xnegcld xaddcld wb xsubge0 mpbird pnfge syl
      w3a 0xr pnfxr elicc1 mp2an syl3anbrc elicc4 syl3anc mpbid simpld syl21anc
      a1i xraddge02 wceq xaddcom breqtrd esumaddf xrge0npcan esumeq2d eqtr3d
      imp ) ABCEMZBDCUAZUBNZEMZWAUBNZBDEMZOAWAWAWDUBNZWEOAWAPQZWDPQZRWDOSZWAWGO
      SZARTUCNZPWARTUDZABFQZCWLQZEBUHWAWLQIAWOEBGAEUEBQZWOJUFUGBCEFHUIUJUKZAWLP
      WDWMAWNWCWLQZEBUHWDWLQZIAWREBGAWPWRAWPULZWCPQZRWCOSZWCTOSZWRWTDWBWTWLPDWM
      KUKZWTCWTWLPCWMJUKZUMUNZWTXBCDOSZLWTDPQCPQXBXGUOXDXEDCUPUJUQWTXAXCXFWCURU
      SRPQZTPQZWRXAXBXCUTUOVAVBRTWCVCVDVEZUFUGBWCEFHUIUJZUKZAWJWDTOSZAWSWJXMULZ
      XKAXHXIWIWSXNUOXHAVAVKXIAVBVKXLRTWDVFVGVHVIWHWIULWJWKWAWDVLVTVJAWHWIWGWEV
      MWQXLWAWDVNUJVOABWCCUBNZEMWEWFABWCCEFGHIXJJVPABXODEGAXODVMZEBGAWPXPWTDWLQ
      WOXGXPKJLDCVQVGUFUGVRVSVO $.
  $}

  ${
    $d a l n x y z A $.  $d a l n x y z B $.  $d a k l n x y V $.
    esumcst.1 $e |- F/_ k A $.
    esumcst.2 $e |- F/_ k B $.
    $( The extended sum of a constant.  (Contributed by Thierry Arnoux,
       3-Mar-2017.)  (Revised by Thierry Arnoux, 5-Jul-2017.) $)
    esumcst $p |- ( ( A e. V /\ B e. ( 0 [,] +oo ) ) ->
                                        sum* k e. A B = ( ( # ` A ) *e B ) ) $=
      ( vx wcel cc0 cpnf co wa cfn chash cxmu cxr clt wceq syl2anc wbr vy vz vn
      va vl cicc cesum cpw cin cv cfv cmpt crn csup nfel1 nfan simpl cxrs cress
      simplr cgsu cmg cmnd ctmd xrge0tmd tmdmnd ax-mp a1i inss2 simpr xrge0base
      sselid eqid gsumconstf syl3anc cn0 syl xrge0mulgnn0 eqtrd esumval wss cle
      hashcl wral wrex wi cr csn cun nn0ssre ressxr sstri pnfxr snssi unssi cvv
      wf hashf ffvelrn mp2an sselii iccssxr adantr xmulcld fmpttd frnd hashxrcl
      vex wb elrnmpt biimpi 0xr iccgelb cdom inss1 sseli elpwi 3syl ssdomg sylc
      jca ralrimiva r19.29r elin sylibr fveq2 oveq1d rspceeqv ovex adantl breq2
      rspcev c0 oveq2d xmul01 elrnmpti simpllr cn simp-4r c1 hashdomi rexlimivw
      xlemul1a syl31anc syl2anr eqbrtrd pwidg ancri mpan2 wn crp 0elpw mpbir2an
      0fin hash0 eqeltri eqtr2di ad4antr breqtrd cdiv eqeltrd nnnn0 elind eqidd
      hashclb cmul simp-8r nnred simp-5r ltdivmul2d mpbid rpred rexmul breqtrrd
      rexlimdva2 impr rerpdivcld ishashinf ad2antlr r19.29a wex nfielex snelpwi
      arch snfi jctir hashsng eqeltrdi 0lt1 breqtrrid xmulpnf1 exlimddv adantll
      1re eqtr2d ltpnf w3o elxrge02 sylib mpjao3dan pm2.61dan supxr2 syl22anc
      ex ) ADHZBIJUFKZHZLZABCUGGAUHZMUIZGUJZNUKZBOKZULZUMZPQUNZANUKZBOKZUXHGABU
      XMCDUXEUXGCCADEUOCBUXFFUOUPEUXEUXGUQZUXEUXGCUJAHUTUXHUXKUXJHZLZURUXFUSKZC
      UXKBULVAKZUXLBUYBVBUKZKZUXMUYAUYBVCHZUXKMHZUXGUYCUYERUYFUYAUYBVDHUYFVEUYB
      VFVGVHUYAUXJMUXKUXIMVIUXHUXTVJZVLZUXEUXGUXTUTZUXKUXFUYDCUYBBFVKUYDVMVNVOU
      YAUXLVPHZUXGUYEUXMRUYAUYGUYKUYIUXKWCVQUYJUXLBVRSVSVTUXHUXOPWAUXRPHUAUJZUX
      RWBTZUAUXOWDUYLUXRQTZUYLUBUJZQTZUBUXOWEZWFZUAWGWDUXPUXRRUXHUXJPUXNUXHGUXJ
      UXMPUYAUXLBUXLPHZUYAVPJWHZWIZPUXLVPUYTPVPWGPWJWKWLJPHZUYTPWAWMJPWNVGWOWPV
      UANWQUXKWPHUXLVUAHWRGXHWPVUAUXKNWSWTXAVHZUXHBPHZUXTUXHUXFPBIJXBUXEUXGVJVL
      ZXCZXDXEXFUXHUXQBUXEUXQPHZUXGADXGXCZVUEXDUXHUYMUAUXOUXHUYLUXOHZLUYLUXMRZU
      XMUXRWBTZLZGUXJWEZUYMVUIVUJGUXJWEZVUKGUXJWDVUMUXHVUIVUNUYLWPHVUIVUNXIUAXH
      GUXJUXMUYLUXNWPUXNVMZXJVGXKUXHVUKGUXJUYAUYSVUGVUDIBWBTZLUXLUXQWBTZVUKVUCU
      XHVUGUXTVUHXCUYAVUDVUPVUFUYAIPHZVUBUXGVUPVURUYAXLVHVUBUYAWMVHUYJIJBXMVOYA
      UYAUXKAXNTZVUQUYAUXEUXKAWAZVUSUXHUXEUXTUXSXCUYAUXTUXKUXIHVUTUYHUXJUXIUXKU
      XIMXOXPUXKAXQXRUXKADXSXTUXKAUUAVQUXLUXQBUUCUUDYBVUJVUKGUXJYCUUEVULUYMGUXJ
      VULUYLUXMUXRWBVUJVUKUQVUJVUKVJUUFUUBVQYBUXHUYRUAWGUXHUYLWGHZLZUYNUYQVVBUY
      NLZAMHZUYQVVCVVDLUXRUXOHZUYNUYQVVDVVEVVCVVDAUXJHZVVEVVDAUXIHZVVDLVVFVVDVV
      GAMUUGUUHAUXIMYDYEVVFUXRUXMRGUXJWEZVVEVVFUXRUXRRVVHUXRVMGAUXJUXMUXRUXRUXK
      ARUXLUXQBOUXKANYFYGYHUUIUXRWPHVVEVVHXIUXQBOYIGUXJUXMUXRUXNWPVUOXJVGYEVQYJ
      VVBUYNVVDUTUYPUYNUBUXRUXOUYOUXRUYLQYKYLSVVCVVDUUJZLZBIRZUYQBUUKHZBJRZVVJV
      VKLZIUXOHZUYLIQTZUYQVVNIUXMRGUXJWEZVVOVVNYMUXJHZIYMNUKZBOKZRVVQVVRVVNVVRY
      MUXIHYMMHAUULUUNYMUXIMYDUUMVHVVNVVTVVSIOKZIVVNBIVVSOVVJVVKVJZYNVVSPHVWAIR
      VVSIPUUOXLUUPVVSYOVGUUQGYMUXJUXMVVTIUXKYMRUXLVVSBOUXKYMNYFYGYHSGUXJUXMIUX
      NVUOUXLBOYIZYPYEVVNUYLUXRIQVVBUYNVVIVVKYQVVNUXRUXQIOKZIVVNBIUXQOVWBYNVVNV
      UGVWDIRUXHVUGVVAUYNVVIVVKVUHUURUXQYOVQVSUUSUYPVVPUBIUXOUYOIUYLQYKYLSVVJVV
      LLZUYLBUUTKZUCUJZQTZUDUJZNUKZVWGRZUDUXIWEZLZUYQUCYRVWEVWGYRHZLZVWHVWLUYQV
      WOVWHLZVWKUYQUDUXIVWPVWIUXIHZLZVWKLZVWJBOKZUXOHZUYLVWTQTZUYQVWSVWTUXMRGUX
      JWEZVXAVWSVWIUXJHVWTVWTRVXCVWSUXIMVWIVWPVWQVWKUTVWSVWJYRHZVWIMHZVWSVWJVWG
      YRVWRVWKVJZVWEVWNVWHVWQVWKYSZUVAVXDVWJVPHZVXEVWJUVBVWIWPHVXEVXHXIUDXHVWIW
      PUVEVGYEVQUVCVWSVWTUVDGVWIUXJUXMVWTVWTUXKVWIRUXLVWJBOUXKVWINYFYGYHSGUXJUX
      MVWTUXNVUOVWCYPYEVWSUYLVWGBUVFKZVWTQVWSVWHUYLVXIQTVWOVWHVWQVWKYQVWSUYLVWG
      BUXHVVAUYNVVIVVLVWNVWHVWQVWKUVGVWSVWGVXGUVHZVVJVVLVWNVWHVWQVWKUVIZUVJUVKV
      WSVWTVWGBOKZVXIVWSVWJVWGBOVXFYGVWSVWGWGHBWGHVXLVXIRVXJVWSBVXKUVLVWGBUVMSV
      SUVNUYPVXBUBVWTUXOUYOVWTUYLQYKYLSUVOUVPVWEVWHUCYRWEZVWLUCYRWDZVWMUCYRWEVW
      EVWFWGHVXMVWEUYLBUXHVVAUYNVVIVVLYSVVJVVLVJUVQVWFUCUWDVQVVIVXNVVCVVLUDAUCU
      VRUVSVWHVWLUCYRYCSUVTVVJVVMLZJUXOHZUYLJQTZUYQVXOJUXMRGUXJWEZVXPVVIVVMVXRV
      VCVVIVVMLZUEUJZAHZVXRUEVVIVYAUEUWAVVMUEAUWBXCVXSVYALZVXTWHZUXJHZJVYCNUKZB
      OKZRVXRVYAVYDVXSVYAVYCUXIHZVYCMHZLVYDVYAVYGVYHVXTAUWCVXTUWEUWFVYCUXIMYDYE
      YJVYBVYFVYEJOKZJVYBBJVYEOVVIVVMVYAUTYNVYAVYIJRZVXSVYAVYEPHIVYEQTVYJVYAVYE
      YTPVXTAUWGZWGPYTWKUWNXAUWHVYAIYTVYEQUWIVYKUWJVYEUWKSYJUWOGVYCUXJUXMVYFJUX
      KVYCRUXLVYEBOUXKVYCNYFYGYHSUWLUWMGUXJUXMJUXNVUOVWCYPYEVXOVVAVXQUXHVVAUYNV
      VIVVMYSUYLUWPVQUYPVXQUBJUXOUYOJUYLQYKYLSVVJUXGVVKVVLVVMUWQUXEUXGVVAUYNVVI
      YSBUWRUWSUWTUXAUXDYBUAUBUXOUXRUXBUXCVS $.
  $}

  ${
    $d A x $.  $d B l x $.  $d M k l x $.  $d ph k x $.
    esumsnf.0 $e |- F/_ k B $.
    esumsnf.1 $e |- ( ( ph /\ k = M ) -> A = B ) $.
    esumsnf.2 $e |- ( ph -> M e. V ) $.
    esumsnf.3 $e |- ( ph -> B e. ( 0 [,] +oo ) ) $.
    $( The extended sum of a singleton is the term.  (Contributed by Thierry
       Arnoux, 2-Jan-2017.)  (Revised by Thierry Arnoux, 2-May-2020.) $)
    esumsnf $p |- ( ph -> sum* k e. { M } A = B ) $=
      ( vx cc0 co wceq a1i cfn wcel cxr clt c0 vl csn cesum cxrs cpnf cicc cmpt
      cress ctsu cuni df-esum eqid snfi wf cop cv elsni sylan2 mpteq2dva fmptsn
      wa nfcv eqidd cbvmpt eqtr4di syl2anc eqtr4d wb fsng mpbird snssd fssd cpr
      csup wbr cif cpw cin cres cgsu crn wor xrltso 0xr cle elxrge0 sylib suppr
      simpld 0fin reseq2 res0 eqtrdi oveq2d xrge00 gsum0 adantl wss ssid resmpt
      syl3anc xrge0base cmnd ccmn xrge0cmn cmnmnd nfv gsumsnfd sylan9eqr fmptpr
      ax-mp pwsn prssi mp2an eqsstri df-ss eqtri mpteq12i rneqd rnpropg supeq1d
      mpbi eqtr3d wn wo simprd xrlenlt jca olcd eqif sylibr 3eqtr4rd xrge0tsmsd
      mpbid unieqd unisng syl 3eqtrd ) AEUBZBDUCZUDLUEUFMZUHMZDYSBUGZUIMZUJZCUB
      ZUJZCYTUUENAYSBDUKOAUUDUUFAYSCUUCUUBPKUUBULYSPQZAEUMZOZAYSUUFUUAUUCAYSUUF
      UUCUNZUUCECUOUBZNZAUUCDYSCUGZUULADYSBCDUPZYSQAUUOENBCNUUOEUQHURUSAEFQZCUU
      AQZUULUUNNIJUUPUUQVAUULUAYSCUGUUNUAECFUUAUTDUAYSCCUACVBGUUOUAUPNCVCVDVEVF
      VGAUUPUUQUUKUUMVHIJECFUUAUUCVIVFVJACUUAJVKVLALCVMZRSVNZCLSVOZLCVPZKYSVQZP
      VRZUUBUUCKUPZVSZVTMZUGZWAZRSVNCARSWBZLRQZCRQZUUSUVANUVIAWCOUVJAWDOZAUVKLC
      WEVOZAUUQUVKUVMVAJCWFWGZWIZRLCSWHXAARUVHUURSATLUOYSCUOVMZWAZUVHUURAUVPUVG
      AUVPKTYSVMZUVFUGUVGAKTYSLCUVFPPRUUATPQZAWJOZUUJUVLJUVDTNZUVFLNAUWAUVFUUBT
      VTMLUWAUVETUUBVTUWAUVEUUCTVSTUVDTUUCWKUUCWLWMWNUUBLWOWPWMWQUVDYSNZAUVFUUB
      UUCVTMCUWBUVEUUCUUBVTUWBUVEUUCYSVSZUUCUVDYSUUCWKYSYSWRUWCUUCNYSWSDYSYSBWT
      XKWMWNABUUACDUUBEFXBUUBXCQZAUUBXDQUWDXEUUBXFXKOIJHADXGGXHXIXJKUVCUVFUVRUV
      FUVCUVBUVRUVBPWRUVCUVBNUVBUVRPEXLZUVSUUHUVRPWRWJUUITYSPXMXNXOUVBPXPYBUWEX
      QUVFULXRVEXSAUVSUUHUVQUURNUVTUUJTYSLCPPXTVFYCYAAUUTCLNVAZUUTYDZCCNZVAZYEC
      UVANAUWIUWFAUWGUWHAUVMUWGAUVKUVMUVNYFAUVJUVKUVMUWGVHUVLUVOLCYGVFYNACVCYHY
      IUUTCLCYJYKYLYMYOAUUQUUGCNJCUUAYPYQYR $.
  $}

  ${
    $d k B $.  $d k M $.  $d k V $.  $d k ph $.
    esumsn.1 $e |- ( ( ph /\ k = M ) -> A = B ) $.
    esumsn.2 $e |- ( ph -> M e. V ) $.
    esumsn.3 $e |- ( ph -> B e. ( 0 [,] +oo ) ) $.
    $( The extended sum of a singleton is the term.  (Contributed by Thierry
       Arnoux, 2-Jan-2017.)  (Shortened by Thierry Arnoux, 2-May-2020.) $)
    esumsn $p |- ( ph -> sum* k e. { M } A = B ) $=
      ( nfcv esumsnf ) ABCDEFDCJGHIK $.
  $}

  ${
    $d A k $.  $d B k $.  $d k D $.  $d k E $.  $d k ph $.  $d k V $.
    $d k W $.
    esumpr.1 $e |- ( ( ph /\ k = A ) -> C = D ) $.
    esumpr.2 $e |- ( ( ph /\ k = B ) -> C = E ) $.
    esumpr.3 $e |- ( ph -> A e. V ) $.
    esumpr.4 $e |- ( ph -> B e. W ) $.
    esumpr.5 $e |- ( ph -> D e. ( 0 [,] +oo ) ) $.
    esumpr.6 $e |- ( ph -> E e. ( 0 [,] +oo ) ) $.
    ${
      esumpr.7 $e |- ( ph -> A =/= B ) $.
      $( Extended sum over a pair.  (Contributed by Thierry Arnoux,
         2-Jan-2017.) $)
      esumpr $p |- ( ph -> sum* k e. { A , B } C = ( D +e E ) ) $=
        ( cesum cxad wceq wcel cpr csn cun df-pr esumeq1 mp1i nfv nfcv cvv snex
        co a1i wne cin c0 disjsn2 syl cv wa cc0 cpnf cicc sylan2 adantr eqeltrd
        elsni esumsplit esumsn oveq12d 3eqtrd ) ABCUAZDFQZBUBZCUBZUCZDFQZVMDFQZ
        VNDFQZRUKEGRUKVKVOSVLVPSABCUDVKVODFUEUFAVMVNDFAFUGFVMUHFVNUHVMUITABUJUL
        VNUITACUJULABCUMVMVNUNUOSPBCUPUQAFURZVMTZUSDEUTVAVBUKZVTAVSBSDESVSBVFJV
        CAEWATVTNVDVEAVSVNTZUSDGWAWBAVSCSDGSVSCVFKVCAGWATWBOVDVEVGAVQEVRGRADEFB
        HJLNVHADGFCIKMOVHVIVJ $.
    $}

    ${
      esumpr2.1 $e |- ( ph -> ( A = B -> ( D = 0 \/ D = +oo ) ) ) $.
      $( Extended sum over a pair, with a relaxed condition compared to
         ~ esumpr .  (Contributed by Thierry Arnoux, 2-Jan-2017.) $)
      esumpr2 $p |- ( ph -> sum* k e. { A , B } C = ( D +e E ) ) $=
        ( cxad wceq adantr cpnf cpr cesum co wa csn simpr dfsn2 eqtr2id esumeq1
        preq2 3syl esumsn eqtrd cc0 oveq2 cxr wcel 0xr eleq1 mpbiri xaddid1 syl
        wo cmnf wne pnfxr pnfnemnf neeq1 xaddpnf1 syl2anc 3eqtr4d jaoi syl6 imp
        id cv simpll wi eqeq2 biimprd cicc eqtr3d oveq2d 3eqtr2d adantlr esumpr
        pm2.61dane ) ABCUAZDFUBZEGQUCZRBCABCRZUDZWIEEEQUCZWJWLWIBUEZDFUBZEWLWKW
        HWNRWIWORAWKUFZWKWNBBUAWHBUGBCBUJUHWHWNDFUIUKAWOERWKADEFBHJLNULSUMAWKWM
        ERZAWKEUNRZETRZVCWQPWRWQWSWRWMEUNQUCZEEUNEQUOWREUPUQZWTERWRXAUNUPUQUREU
        NUPUSUTEVAVBUMWSETQUCZTWMEWSXAEVDVEZXBTRWSXATUPUQVFETUPUSUTWSXCTVDVEVGE
        TVDVHUTEVIVJETEQUOWSVOVKVLVMVNWLEGEQWLCUEDFUBZEGWLDEFCIWLFVPZCRZUDAXEBR
        ZDERZAWKXFVQWLXFXGWLWKXFXGVRWPWKXGXFBCXEVSVTVBVNJVJACIUQZWKMSAEUNTWAUCZ
        UQZWKNSULAXDGRWKADGFCIKMOULSWBWCWDABCVEZUDBCDEFGHIAXGXHXLJWEAXFDGRXLKWE
        ABHUQXLLSAXIXLMSAXKXLNSAGXJUQXLOSAXLUFWFWG $.
    $}
  $}

  ${
    $d A k y $.  $d B y $.  $d C k $.  $d D y $.  $d W k $.  $d k ph y $.
    esumrnmpt2.1 $e |- ( y = B -> C = D ) $.
    esumrnmpt2.2 $e |- ( ph -> A e. V ) $.
    esumrnmpt2.3 $e |- ( ( ph /\ k e. A ) -> D e. ( 0 [,] +oo ) ) $.
    esumrnmpt2.4 $e |- ( ( ph /\ k e. A ) -> B e. W ) $.
    esumrnmpt2.5 $e |- ( ( ( ph /\ k e. A ) /\ B = (/) ) -> D = 0 ) $.
    esumrnmpt2.6 $e |- ( ph -> Disj_ k e. A B ) $.
    $( Rewrite an extended sum into a sum on the range of a mapping function.
       (Contributed by Thierry Arnoux, 30-May-2020.) $)
    esumrnmpt2 $p |- ( ph -> sum* y e. ran ( k e. A |-> B ) C = sum* k e. A D )
      $=
      ( c0 wceq cvv wcel cc0 crab cmpt crn cun cesum cxad nfrab1 wss ssrab2 a1i
      wn co ssexd cv cpnf cicc sselda syldan wa csn rabid simprbi adantl wb syl
      elsng mtbird eldifd wdisj nfcv disjss1f sylc esumrnmpt cle wbr wrex velsn
      snex biimpi nfre1 nfan simpllr simpr eqtr4d simp-4l simplr syl21anc eqtrd
      nfv r19.29af2 0e0iccpnf eqeltrdi nfmpt1 nfrn nfel ad2antlr sylibr elrnmpt
      vex eqid ax-mp r19.29af ex ssrdv adantr esummono 0ex esumsn breqtrd rabn0
      nfn wne necon1bi mpteq12df mpt0 eqtrdi rn0 esumeq1d esumnul 0le0 eqbrtrdi
      rneqd wral mptexgf rnexg simplll adantlr syl2anc eqeltrd ralrimiva esumcl
      3syl cxr sselid oveq1d xaddid2 3eqtr4d cin esumsplit eqtri elxrge0 sselii
      pm2.61dan jca iccssxr xrletri3 mpbird simpl esumeq2d ssrind neqned necomd
      esum0 incom neneqd nrex mtbir disjsn mpbir eqtr3i sseqtrdi rabnc mpteq12i
      ss0 rabxm mptun rneqi rnun ) AGDPQZGCUAZDUBZUCZGUVIUKZGCUAZDUBZUCZUDZEBUE
      ZUVJUVNUDZFGUEZGCDUBZUCZEBUECFGUEAUVLEBUEZUVPEBUEZUFULZUVJFGUEZUVNFGUEZUF
      ULZUVRUVTAUWDUWGUWEUWHABUVNDEFGRIUVMGCUGZJAUVNCHKUVNCUHZAUVMGCUIUJZUMZAGU
      NZUVNSZUWMCSZFTUOUPULZSZAUVNCUWMUWKUQZLURZAUWNUSZDIPUTZAUWNUWODISZUWRMURZ
      UWTDUXASZUVIUWNUVMAUWNUWOUVMUVMGCVAVBZVCUWTUXBUXDUVIVDUXCDPIVFVEVGVHAUWJG
      CDVIGUVNDVIUWKOGUVNCDUWIGCVJVKVLVMZAUWETUWDUFULZUWDAUWCTUWDUFAUWCTQZUWCTV
      NVOZTUWCVNVOZUSZAUXIUXJAUVIGCVPZUXIAUXLUSZUWCUXAEBUETVNUXMUVLEUXABRUXMBWI
      UXARSUXMPVRUJUXMBUNZUXASZUSETUWPUXMUXOUXNPQZETQZUXOUXPUXMUXOUXPBPVQZVSVCU
      XMUXPUSZUVIUXQGCUXMUXPGAUXLGAGWIZUVIGCVTZWAUXPGWIWAUXQGWIUXSUWOUSZUVIUSZE
      FTUYCUXNDQZEFQZUYCUXNPDUXMUXPUWOUVIWBUYBUVIWCZWDJVEUYCAUWOUVIFTQZAUXLUXPU
      WOUVIWEUXSUWOUVIWFUYFNWGWHAUXLUXPWFWJZURWKWLAUVLUXAUHUXLABUVLUXAAUXNUVLSZ
      UXOAUYIUSZUYDUXOGUVJAUYIGUXTGUXNUVLGUXNVJZGUVKGUVJDWMWNWOWAZUYJUWMUVJSZUS
      ZUYDUSZUXPUXOUYOUXNDPUYNUYDWCUYMUVIUYJUYDUYMUWOUVIUVIGCVAVBZWPWHUXRWQUYIU
      YDGUVJVPZAUYIUYQUXNRSZUYIUYQVDBWSZGUVJDUXNUVKRUVKWTWRXAVSVCZXBXCXDZXEXFUX
      METBPRUYHPRSZUXMXGUJTUWPSUXMWKUJXHXIAUXLUKZUSVUCUXIAVUCWCVUCUWCTTVNVUCUWC
      PEBUETVUCUVLPEBVUCBWIVUCUVLPUCPVUCUVKPVUCUVKGPDUBPVUCGUVJDPDUXLGUYAXKUXLU
      VJPUVJPXLUXLUVIGCXJVSXMDDQVUCDWTZUJXNGDXOXPYBXQXPXRBEXSXPXTYAVEUUCAUWCUWP
      SZUXJAUVLRSZEUWPSZBUVLYCVUEAUVJRSZUVKRSVUFAUVJCHKUVJCUHAUVIGCUIUJZUMZGUVJ
      DRUVIGCUGZYDUVKRYEYLZAVUGBUVLUYJUYDVUGGUVJUYLUYOEFUWPUYDUYEUYNJVCUYOAUWOU
      WQAUYIUYMUYDYFUYNUWOUYDAUYMUWOUYIAUVJCUWMVUIUQZYGXELYHYIUYTXBZYJUVLEBRBUV
      LVJZYKYHZVUEUWCYMSZUXJUWCUUAVBVEUUDAVUQTYMSZUXHUXKVDAUWPYMUWCTUOUUEZVUPYN
      VURAUWPYMTVUSWKUUBUJUWCTUUFYHUUGYOAUWDYMSUXGUWDQAUWDUWGYMUXFAUWPYMUWGVUSA
      UVNRSZUWQGUVNYCUWGUWPSUWLAUWQGUVNUWSYJUVNFGRUWIYKYHYNZYIUWDYPVEWHAUWHTUWG
      UFULZUWGAUWFTUWGUFAUWFUVJTGUEZTAUVJFTGUXTAUYGGUVJAUYMUSAUWOUVIUYGAUYMUUHV
      UMUYMUVIAUYPVCNWGYJUUIAVUHVVCTQVUJUVJGRVUKUUMVEWHYOAUWGYMSVVBUWGQVVAUWGYP
      VEWHYQAUVLUVPEBABWIZVUOBUVPVJVULAVUTUVORSUVPRSUWLGUVNDRUWIYDUVORYEYLAUVLU
      VPYRZPUHVVEPQAVVEUXAUVPYRZPAUVLUXAUVPVUAUUJUVPUXAYRZVVFPUVPUXAUUNVVGPQPUV
      PSZUKVVHPDQZGUVNVPZVVIGUVNUWNPDUWNDPUWNDPUXEUUKUULUUOUUPVUBVVHVVJVDXGGUVN
      DPUVORUVOWTZWRXAUUQUVPPUURUUSUUTUVAVVEUVDVEVUNAUXNUVPSZUSZUYDVUGGUVNAVVLG
      UXTGUXNUVPUYKGUVOGUVNDWMWNWOWAVVMUWNUSZUYDUSZEFUWPUYDUYEVVNJVCVVOAUWOUWQA
      VVLUWNUYDYFVVNUWOUYDAUWNUWOVVLUWRYGXELYHYIVVLUYDGUVNVPZAVVLVVPUYRVVLVVPVD
      UYSGUVNDUXNUVORVVKWRXAVSVCXBYSAUVJUVNFGUXTVUKUWIVUJUWLUVJUVNYRPQAUVIGCUVB
      UJAUYMUWOUWQVUMLURUWSYSYQAUWBUVQEBVVDUWBUVQQAUWBUVKUVOUDZUCUVQUWAVVQUWAGU
      VSDUBVVQGCDUVSDUVIGCUVEZVUDUVCGUVJUVNDUVFYTUVGUVKUVOUVHYTUJXRACUVSFGUXTCU
      VSQAVVRUJXRYQ $.
  $}

  ${
    $d i k n x $.  $d i n x F $.  $d i k N $.
    esumfzf.1 $e |- F/_ k F $.
    $( Formulating a partial extended sum over integers using the recursive
       sequence builder.  (Contributed by Thierry Arnoux, 18-Oct-2017.) $)
    esumfzf $p |- ( ( F : NN --> ( 0 [,] +oo ) /\ N e. NN )
      -> sum* k e. ( 1 ... N ) ( F ` k ) = ( seq 1 ( +e , F ) ` N ) ) $=
      ( vx cn wcel co c1 cfz cfv cesum cxad wceq wi nfv esumeq1d nfcv wa simpr
      vi vn cc0 cpnf cicc wf cseq caddc oveq2 fveq2 eqeq12d imbi2d nffv cbvesum
      cv csn cz fveq2d 1z a1i 1nn ffvelrn mpan2 esumsn syl5eq fzsn esumeq1 seq1
      ax-mp 3eqtr4g cuz simpl nnuz eleqtrdi syl adantr oveq1d cun nfci nff nfan
      seqp1 fzsuc ovexd cvv snex cin fzp1disj simplr wss fzssnn sselid ffvelrnd
      c0 velsn sylib simpll peano2nnd eqeltrd esumsplit oveq2d 3eqtrrd 3eqtr2rd
      exp31 a2d nnind impcom ) CFGFUCUDUEHZBUFZICJHZAUOZBKZALZCMBIUGZKZNZXIIUAU
      OZJHZXLALZXQXNKZNZOXIIIJHZXLALZIXNKZNZOXIIUBUOZJHZXLALZYFXNKZNZOXIIYFIUHH
      ZJHZXLALZYKXNKZNZOXIXPOUAUBCXQINZYAYEXIYPXSYCXTYDYPXRYBXLAYPAPXQIIJUIQXQI
      XNUJUKULXQYFNZYAYJXIYQXSYHXTYIYQXRYGXLAYQAPXQYFIJUIQXQYFXNUJUKULXQYKNZYAY
      OXIYRXSYMXTYNYRXRYLXLAYRAPXQYKIJUIQXQYKXNUJUKULXQCNZYAXPXIYSXSXMXTXOYSXRX
      JXLAYSAPXQCIJUIQXQCXNUJUKULXIIUPZXLALZIBKZYCYDXIUUAYTEUOZBKZELUUBYTXLUUDA
      EXKUUCBUJZEYTRAYTREXLRZAUUCBDAUUCRUMZUNXIUUDUUBEIUQXIUUCINZSUUCIBXIUUHTUR
      IUQGZXIUSUTXIIFGZUUBXHGVAFXHIBVBVCVDVEYBYTNZYCUUANUUIUUKUSIVFVIYBYTXLAVGV
      IUUIYDUUBNUSMBIVHVIVJYFFGZXIYJYOUULXIYJYOUULXISZYJSZYNYIYKBKZMHZYHUUOMHZY
      MUUMYNUUPNZYJUUMYFIVKKZGZUURUUMYFFUUSUULXIVLZVMVNZMBIYFWBVOVPUUNYHYIUUOMU
      UMYJTVQUUMUUQYMNYJUUMYMYGYKUPZVRZXLALYHUVCXLALZMHUUQUUMYLUVDXLAUULXIAUULA
      PZAFXHBDAUBFUVFVSAXHRVTWAZUUMUUTYLUVDNUVBIYFWCVOQUUMYGUVCXLAUVGAYGRAUVCRZ
      UUMIYFJWDUVCWEGUUMYKWFUTYGUVCWGWNNUUMIYFWHUTUUMXKYGGZSZFXHXKBUULXIUVIWIUV
      JYGFXKUUJYGFWJVAIYFWKVIUUMUVITWLWMUUMXKUVCGZSZFXHXKBUULXIUVKWIUVLXKYKFUVL
      UVKXKYKNUUMUVKTAYKWOWPUVLYFUULXIUVKWQWRWSWMWTUUMUVEUUOYHMUUMUVEUVCUUDELUU
      OUVCXLUUDAEUUEEUVCRUVHUUFUUGUNUUMUUDUUOEYKFUUMUUCYKNZSUUCYKBUUMUVMTURUUMY
      FUVAWRZUUMFXHYKBUULXITUVNWMVDVEXAXBVPXCXDXEXFXG $.
  $}

  ${
    $d a k n x $.  $d a n x F $.  $d k n x y $.  $d y F $.
    esumfsup.1 $e |- F/_ k F $.
    $( Formulating an extended sum over integers using the recursive sequence
       builder.  (Contributed by Thierry Arnoux, 18-Oct-2017.) $)
    esumfsup $p |- ( F : NN --> ( 0 [,] +oo )
      -> sum* k e. NN ( F ` k ) = sup ( ran seq 1 ( +e , F ) , RR* , < ) ) $=
      ( vx vn va cn c1 cxr clt wcel wbr wral wrex wceq wa cvv nfcv nfan simpr
      vy cc0 cpnf cicc co wf cxad cseq crn csup cv cfv cesum wss cle wi wfn cuz
      cr cz 1z seqfn ax-mp nnuz fneq2i mpbir iccssxr cfz esumfzf nff nfv simpll
      ovex 1nn fzssnn sseldd ffvelrnd ex ralrimi esumcl sylancr eqeltrrd sselid
      mp1i ralrimiva fnfvrnss nnex ffvelrn fvelrnb eqcom eqeq1d rexbidva bitr4d
      wb bitr3id biimpa a1i adantlr esummono adantr jca r19.29r breq1 rexlimivw
      biimpar 3syl cpw cfn cin nfesum1 simplll sylancom simplr esumlub ssnnssfz
      nfbr rexrd r19.42v simp-4l reximi sylbir sylan2 rexbii sylibr syl2anc vex
      simp-4r nfel1 simp-5l simpllr inss1 sseli elpwi xrltletr syl3anc reximdva
      rexlimdva mpd breq2d rexxfr2d ad2antrr mpbird supxr2 syl22anc eqcomd ) GU
      BUCUDUEZBUFZUGBHUHZUIZIJUJZGAUKZBULZAUMZUUGUUIIUNZUUMIKDUKZUUMUOLZDUUIMUU
      OUUMJLZUUOUAUKZJLZUAUUINZUPZDUSMUUJUUMOUUGUUHGUQZEUKZUUHULZIKZEGMUUNUVBUU
      HHURULZUQZHUTKUVGVAUGBHVBVCGUVFUUHVDVEVFZUUGUVEEGUUGUVCGKZPZUUFIUVDUBUCVG
      ZUVJHUVCVHUEZUULAUMZUVDUUFABUVCCVIZUVJUVLQKZUULUUFKZAUVLMZUVMUUFKZHUVCVHV
      MZUVJUVPAUVLUUGUVIAAGUUFBCAGRZAUUFRVJZUVIAVKZSZUVJUUKUVLKZUVPUVJUWDPZGUUF
      UUKBUUGUVIUWDVLUWEUVLGUUKHGKZUVLGUNZUWEVNHUVCVOZWDUVJUWDTVPVQVRVSUVLUULAQ
      AUVLRVTZWAZWBWCWEEGIUUHWFWAUUGUUFIUUMUVKUUGGQKZUVPAGMUUMUUFKWGUUGUVPAGUWA
      UUGUUKGKZUVPGUUFUUKBWHZVRVSGUULAQUVTVTWAWCUUGUUPDUUIUUGUUOUUIKZPZUUOUVMOZ
      EGNZUVMUUMUOLZEGMZPUWPUWRPZEGNUUPUWOUWQUWSUUGUWNUWQUUGUWNUVDUUOOZEGNZUWQU
      VBUWNUXBWNUUGUVHEGUUOUUHWIWDUUGUWPUXAEGUWPUVMUUOOUVJUXAUVMUUOWJUVJUVMUVDU
      UOUVNWKWOWLWMWPUUGUWSUWNUUGUWREGUVJUVLUULGAQUWCUWKUVJWGWQUUGUWLUVPUVIUWMW
      RUWFUWGUVJVNUWHWDWSWEWTXAUWPUWREGXBUWTUUPEGUWPUUPUWRUUOUVMUUMUOXCXEXDXFWE
      UUGUVADUSUUGUUOUSKZPZUUQUUTUXDUUQPZUUTUUOUVMJLZEGNZUXEUUOFUKZUULAUMZJLZUX
      IUVMUOLZPZEGNZFGXGZXHXIZNZUXGUXEUXJFUXONZUXKEGNZFUXOMZUXPUXEGUULAQUUOFUXD
      UUQAUUGUXCAUWAUXCAVKSAUUOUUMJAUUORAJRGUULAUVTXJXPSZUWKUXEWGWQUXEUWLUUGUVP
      UUGUXCUUQUWLXKUWMXLUXEUUOUUGUXCUUQXMXQUXDUUQTXNUXEUXRFUXOUXHUXOKZUXEUXHUV
      LUNZEGNZUXRUXHEXOUXEUYCPUXEUYBPZEGNUXRUXEUYBEGXRUYDUXKEGUYDUXHUULUVLAQUXE
      UYBAUXTUYBAVKSUVOUYDUVSWQUYDUWDPZGUUFUUKBUUGUXCUUQUYBUWDXSUYEUVLGUUKUWFUW
      GVNUWHVCZUYDUWDTWCVQUXEUYBTWSXTYAYBWEUXQUXSPUXJUXRPZFUXONUXPUXJUXRFUXOXBU
      XMUYGFUXOUXJUXKEGXRYCYDYEUXEUXMUXGFUXOUXEUYAPZUXLUXFEGUYHUVIPZUUOIKUXIIKU
      VMIKUXLUXFUPUYIUUOUUGUXCUUQUYAUVIYGXQUYIUUFIUXIUVKUYIUXHQKUVPAUXHMUXIUUFK
      FYFUYIUVPAUXHUYHUVIAUXEUYAAUXTAUXHUXOAUXHRZYHSUWBSZUYIUUKUXHKZUVPUYIUYLPZ
      GUUFUUKBUUGUXCUUQUYAUVIUYLYIUYMUXHGUUKUYMUYAUXHUXNKUXHGUNUXEUYAUVIUYLYJUX
      OUXNUXHUXNXHYKYLUXHGYMXFUYIUYLTVPVQVRVSUXHUULAQUYJVTWAWCUYIUUFIUVMUVKUYIU
      VOUVQUVRUVSUYIUVPAUVLUYKUYIUWDUVPUYIUWDPZGUUFUUKBUUGUXCUUQUYAUVIUWDYIUYNU
      VLGUUKUYFUYIUWDTWCVQVRVSUWIWAWCUUOUXIUVMYNYOYPYQYRUUGUUTUXGWNUXCUUQUUGUUS
      UXFUAEUVMUUIGUUFUWJUUGUURUUIKZUVDUUROZEGNZUURUVMOZEGNUVBUYOUYQWNUUGUVHEGU
      URUUHWIWDUUGUYRUYPEGUYRUVMUUROUVJUYPUVMUURWJUVJUVMUVDUURUVNWKWOWLWMUUGUYR
      PUURUVMUUOJUUGUYRTYSYTUUAUUBVRWEDUAUUIUUMUUCUUDUUE $.

    $( Formulating an extended sum over integers using the recursive sequence
       builder.  This version is limited to real-valued functions.
       (Contributed by Thierry Arnoux, 19-Oct-2017.) $)
    esumfsupre $p |- ( F : NN --> ( 0 [,) +oo )
      -> sum* k e. NN ( F ` k ) = sup ( ran seq 1 ( + , F ) , RR* , < ) ) $=
      ( vx vy cn cc0 cpnf co wf cv cfv cxad c1 cxr clt caddc wcel wa cr crn wss
      cico cesum cseq csup cicc wceq icossicc fss mpan2 esumfsup syl cuz elnnuz
      1zzd sylan2br ge0addcl adantl rge0ssre simprl sselid simprr rexadd eqcomd
      ffvelrn syl2anc seqfeq3 rneqd supeq1d eqtr4d ) FGHUCIZBJZFAKBLAUDZMBNUEZU
      AZOPUFZQBNUEZUAZOPUFVMFGHUGIZBJZVNVQUHVMVLVTUBWAGHUIFVLVTBUJUKABCULUMVMOV
      SVPPVMVRVOVMDEQMVLBNVMUPDKZNUNLRVMWBFRWBBLVLRWBUOFVLWBBVFUQWBVLRZEKZVLRZS
      ZWBWDQIZVLRVMWBWDURUSVMWFSZWBTRZWDTRZWGWBWDMIZUHWHVLTWBUTVMWCWEVAVBWHVLTW
      DUTVMWCWEVCVBWIWJSWKWGWBWDVDVEVGVHVIVJVK $.
  $}

  ${
    esumss.p $e |- F/ k ph $.
    esumss.a $e |- F/_ k A $.
    esumss.b $e |- F/_ k B $.
    esumss.1 $e |- ( ph -> A C_ B ) $.
    esumss.2 $e |- ( ph -> B e. V ) $.
    esumss.3 $e |- ( ( ph /\ k e. B ) -> C e. ( 0 [,] +oo ) ) $.
    esumss.4 $e |- ( ( ph /\ k e. ( B \ A ) ) -> C = 0 ) $.
    $( Change the index set to a subset by adding zeroes.  (Contributed by
       Thierry Arnoux, 19-Jun-2017.) $)
    esumss $p |- ( ph -> sum* k e. A C = sum* k e. B C ) $=
      ( cc0 co cmpt ctsu cuni cesum wcel cxrs cpnf cicc cress cres wceq resmptf
      wss syl oveq2d xrge0base xrge00 ccmn xrge0cmn a1i ctps xrge0tps nfcv eqid
      fmptdF suppss2f tsmsres eqtr3d unieqd df-esum 3eqtr4g ) AUANUBUCOZUDOZEBD
      PZQOZRVHECDPZQOZRBDESCDESAVJVLAVHVKBUEZQOVJVLAVMVIVHQABCUHVMVIUFJECBDIHUG
      UIUJACVGVKVHFBNUKULVHUMTAUNUOVHUPTAUQUOKAECDVGVKGIEVGURLVKUSUTACDEFBNGIHM
      KVAVBVCVDBDEVECDEVEVF $.
  $}

  ${
    $d k A $.  $d k V $.
    esumpinfval.0 $e |- F/ k ph $.
    esumpinfval.1 $e |- ( ph -> A e. V ) $.
    esumpinfval.2 $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    esumpinfval.3 $e |- ( ph -> E. k e. A B = +oo ) $.
    $( The value of the extended sum of nonnegative terms, with at least one
       infinite term.  (Contributed by Thierry Arnoux, 19-Jun-2017.) $)
    esumpinfval $p |- ( ph -> sum* k e. A B = +oo ) $=
      ( cesum cxr wcel cpnf cle wbr wceq cc0 syl2anc wa cvv cicc iccssxr esumcl
      co wral cv ex ralrimi nfcv sselid cif crab nfrab1 wss ssrab2 pnfxr 0lepnf
      a1i 0xr ubicc2 mp3an 0e0iccpnf ifclda eldif rabid simplbi2 con3dimp sylbi
      cdif adantl iffalsed esumss chash cxmu eqidd simprbi iftrued esumeq12dvaf
      wn cfv ssexd esumcst sylancl clt hashxrcl syl c0 wne rabn0 sylibr hashgt0
      wrex xmulpnf1 3eqtrd eqtr3d breq1 pnfge ax-mp breq2 mpbiri adantr iccgelb
      mp3an12 ifbothda esumlef eqbrtrrd xgepnf biimpd sylc ) ABCDJZKLZMXJNOZXJM
      PZAQMUAUDZKXJQMUBABELCXNLZDBUEXJXNLGAXODBFADUFZBLZXOHUGUHBCDEDBUIZUCRUJAB
      CMPZMQUKZDJZMXJNAXSDBULZXTDJZYAMAYBBXTDEFXSDBUMZXRYBBUNAXSDBUOURZGAXQSZXS
      MQXNMXNLZYFXSSQKLZMKLZQMNOYGUSUPUQQMUTVAZURQXNLYFXSVSZSZVBURVCZAXPBYBVILZ
      SXSMQYNYKAYNXQXPYBLZVSSYKXPBYBVDXQXSYOYOXQXSXSDBVEZVFVGVHVJVKVLAYCYBMDJZY
      BVMVTZMVNUDZMAYBYBXTMDFAYBVOYOXTMPAYOXSMQYOXQXSYPVPVQVJVRAYBTLZYGYQYSPAYB
      BEGYEWAZYJYBMDTYDDMUIWBWCAYRKLZQYRWDOZYSMPAYTUUBUUAYBTWEWFAYTYBWGWHZUUCUU
      AAXSDBWLUUDIXSDBWIWJYBTWKRYRWMRWNWOABXTCDEFXRGYMHXSMCNOZQCNOZXTCNOYFMQMXT
      CNWPQXTCNWPXSUUEYFXSUUEMMNOZYIUUGUPMWQWRCMMNWSWTVJYLXOUUFYFXOYKHXAYHYIXOU
      UFUSUPQMCXBXCWFXDXEXFXKXLXMXJXGXHXI $.
  $}

  ${
    $d x y A $.  $d x y F $.  $d x y V $.
    $( Lemma for ~ esumpfinval .  (Contributed by Thierry Arnoux,
       28-Jun-2017.) $)
    esumpfinvallem $p |- ( ( A e. V /\ F : A --> ( 0 [,) +oo ) ) ->
      ( CCfld gsum F ) = ( ( RR*s |`s ( 0 [,] +oo ) ) gsum F ) ) $=
      ( vx wcel cc0 cpnf co wa ccnfld cress cgsu cxrs cvv wceq cc cr caddc cxad
      a1i vy cico wf cicc fex ancoms ovexd cbs cfv wss rge0ssre ax-resscn sstri
      cnfldbas ressbas2 ax-mp cxr icossxr xrsbas eqtr3i cplusg simprl eleqtrrdi
      eqid simprr ge0addcl ovex cnfldadd ressplusg oveqi 3eltr3g syl2anc sselid
      cv simpl simpr rexadd eqcomd xrsadd 3eqtr3g ffund crn sseqtrdi gsumpropd2
      frnd cnfldex 0e0icopnf addid2d jca gsumress xrge0base xrge0plusg ressress
      addid1d cin mp2an icossicc dfss mpbi eqtr4i oveq2i eqtr2i iccssxr xaddid2
      incom syl xaddid1 3eqtr4d ) ACEZAFGUBHZBUCZIZJXJKHZBLHMXJKHZBLHJBLHMFGUDH
      ZKHZBLHXLUABXMXNNNNDXKXIBNEAXJCBUEUFXLJXJKUGXLMXJKUGXMUHUIZXNUHUIZOXLXJXQ
      XRXJPUJZXJXQOXJQPUKULUMZXJPXMJXMVDZUNUOUPZXJUQUJXJXROFGURXJUQXNMXNVDZUSUO
      UPUTTXLDVNZXQEZUAVNZXQEZIIZYDXJEZYFXJEZYDYFXMVAUIZHZXQEYHYDXQXJXLYEYGVBYB
      VCZYHYFXQXJXLYEYGVEYBVCZYIYJIZYDYFRHZXJYLXQYDYFVFRYKYDYFXJNEZRYKOFGUBVGZX
      JRJXMNYAVHVIUPVJZYBVKVLYHYIYJYLYDYFXNVAUIZHZOYMYNYOYPYDYFSHZYLUUAYOYDQEZY
      FQEZYPUUBOYOXJQYDUKYIYJVOVMYOXJQYFUKYIYJVPVMUUCUUDIUUBYPYDYFVQVRVLYSSYTYD
      YFYQSYTOYRXJSMXNNYCVSVIUPVJVTVLXLAXJBXIXKVPZWAXLBWBXJXQXLAXJBUUEWEYBWCWDX
      LDAPRXJBJXMNCFUNVHYAJNEXLWFTXIXKVOZXSXLXTTUUEFXJEXLWGTZXLYDPEZIZFYDRHYDOY
      DFRHYDOUUIYDXLUUHVPZWHUUIYDUUJWNWIWJXLDAXOSXJBXPXNNCFWKWLXPXJKHZMXOXJWOZK
      HZXNXONEYQUUKUUMOFGUDVGYRXOXJMNNWMWPUULXJMKUULXJXOWOZXJXOXJXEXJXOUJZXJUUN
      OFGWQZXJXOWRWSWTXAXBXLMXOKUGUUFUUOXLUUPTUUEUUGXLYDXOEZIZFYDSHYDOZYDFSHYDO
      ZUURYDUQEZUUSUURXOUQYDFGXCXLUUQVPVMZYDXDXFUURUVAUUTUVBYDXGXFWIWJXH $.
  $}

  ${
    $d k A $.  $d k ph $.
    esumpfinval.a $e |- ( ph -> A e. Fin ) $.
    esumpfinval.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,) +oo ) ) $.
    $( The value of the extended sum of a finite set of nonnegative finite
       terms.  (Contributed by Thierry Arnoux, 28-Jun-2017.)  (Proof shortened
       by AV, 25-Jul-2019.) $)
    esumpfinval $p |- ( ph -> sum* k e. A B = sum_ k e. A B ) $=
      ( cc0 cpnf cicc co cgsu cuni cfv cfn wcel a1i sselid fmpttd cvv cha cesum
      cxrs cress cmpt ccnfld csu ctsu df-esum cordt crest xrge0base xrge00 ccmn
      csn xrge0cmn ctps xrge0tps cv wa cico icossicc eqid c0ex fsuppmptdm ctopn
      cle xrge0topn eqcomi xrhaus resthaus mp2an haustsmsid unieqd syl5eq unisn
      ovex eqtrdi wf wceq esumpfinvallem syl2anc cc cr rge0ssre ax-resscn sstri
      gsumfsum 3eqtr2d ) ABCDUAZUBGHIJZUCJZDBCUDZKJZUEWLKJZBCDUFAWIWMUNZLZWMAWI
      WKWLUGJZLWPBCDUHAWQWOABWJWLWKVFUIMZWJUJJZNGUKULWKUMOAUOPWKUPOAUQPEADBCWJA
      DURBOUSZGHUTJZWJCGHVAFQRADBWLXASCGWLVBEFGSOAVCPVDWKVEMWSVGVHWSTOZAWRTOWJS
      OXBVIGHIVPWJWRSVJVKPVLVMVNWMWKWLKVPVOVQABNOBXAWLVRWNWMVSEADBCXAFRBWLNVTWA
      ABCDEWTXAWBCXAWCWBWDWEWFFQWGWH $.
  $}

  ${
    $d k l $.  $d l A $.  $d l B $.  $d l ph $.
    esumpfinvalf.1 $e |- F/_ k A $.
    esumpfinvalf.2 $e |- F/ k ph $.
    esumpfinvalf.a $e |- ( ph -> A e. Fin ) $.
    esumpfinvalf.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,) +oo ) ) $.
    $( Same as ~ esumpfinval , minus distinct variable restrictions.
       (Contributed by Thierry Arnoux, 28-Aug-2017.)  (Proof shortened by AV,
       25-Jul-2019.) $)
    esumpfinvalf $p |- ( ph -> sum* k e. A B = sum_ k e. A B ) $=
      ( vl cc0 cpnf co cgsu ccnfld wcel a1i nfcv cvv cc wsb cesum cxrs cicc csu
      cress cmpt csn cuni ctsu df-esum cle cordt cfv crest cfn xrge0base xrge00
      ccmn xrge0cmn ctps xrge0tps cv wa cico sselid eqid fmptdF c0ex fdmfifsupp
      icossicc ctopn xrge0topn eqcomi cha xrhaus ovex resthaus mp2an haustsmsid
      unieqd syl5eq unisn eqtrdi wf wceq esumpfinvallem syl2anc csb wi rge0ssre
      cr ax-resscn sstri sbt sbim sban sbf clelsb1fw anbi12i bitri wsbc sbcel1g
      sbsbc wb elv imbi12i mpbi gsumfsum nfcsb1v csbeq1a cbvmptf oveq2i 3eqtr4g
      cbvsum 3eqtr2d ) ABCDUAZUBJKUCLZUELZDBCUFZMLZNXSMLZBCDUDZAXPXTUGZUHZXTAXP
      XRXSUILZUHYDBCDUJAYEYCABXQXSXRUKULUMZXQUNLZUOJUPUQXRUROAUSPXRUTOAVAPGADBC
      XQXSFEDXQQADVBBOZVCZJKVDLZXQCJKVJHVEXSVFZVGZABXQXSRJYLGJROAVHPVIXRVKUMYGV
      LVMYGVNOZAYFVNOXQROYMVOJKUCVPXQYFRVQVRPVSVTWAXTXRXSMVPWBWCABUOOBYJXSWDYAX
      TWEGADBCYJXSFEDYJQHYKVGBXSUOWFWGANIBDIVBZCWHZUFZMLBYOIUDYAYBABYOIGYICSOZW
      IZDITZAYNBOZVCZYOSOZWIZYRDIYIYJSCYJWKSWJWLWMHVEWNYSYIDITZYQDITZWIUUCYIYQD
      IWOUUDUUAUUEUUBUUDADITZYHDITZVCUUAAYHDIWPUUFAUUGYTADIFWQDIBEWRWSWTUUEYQDY
      NXAZUUBYQDIXCUUHUUBXDIDYNCSRXBXEWTXFWTXGXHXSYPNMDIBCYOEIBQZICQZDYNCXIZDYN
      CXJZXKXLBCYODIUULUUIEUUJUUKXNXMXO $.
  $}

  ${
    $d k V $.  $d k M $.
    esumpinfsum.p $e |- F/ k ph $.
    esumpinfsum.a $e |- F/_ k A $.
    esumpinfsum.1 $e |- ( ph -> A e. V ) $.
    esumpinfsum.2 $e |- ( ph -> -. A e. Fin ) $.
    esumpinfsum.3 $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    esumpinfsum.4 $e |- ( ( ph /\ k e. A ) -> M <_ B ) $.
    esumpinfsum.5 $e |- ( ph -> M e. RR* ) $.
    esumpinfsum.6 $e |- ( ph -> 0 < M ) $.
    $( The value of the extended sum of infinitely many terms greater than one.
       (Contributed by Thierry Arnoux, 29-Jun-2017.) $)
    esumpinfsum $p |- ( ph -> sum* k e. A B = +oo ) $=
      ( cxr wcel cpnf cle wbr cc0 cesum wceq cicc co iccssxr wral cv ex ralrimi
      esumcl syl2anc sselid chash cfv cxmu clt 0xr xrltle sylancr mpd pnfge syl
      wi w3a wb pnfxr elicc1 mp2an syl3anbrc nfcv esumcst cfn wn hashinf oveq1d
      xmulpnf2 3eqtrd adantr esumlef eqbrtrrd xgepnf biimpd sylc ) ABCDUAZOPZQW
      DRSZWDQUBZATQUCUDZOWDTQUEABFPZCWHPZDBUFWDWHPIAWJDBGADUGBPZWJKUHUIBCDFHUJU
      KULABEDUAZQWDRAWLBUMUNZEUOUDZQEUOUDZQAWIEWHPZWLWNUBIAEOPZTERSZEQRSZWPMATE
      UPSZWRNATOPZWQWTWRVCUQMTEURUSUTAWQWSMEVAVBXAQOPWPWQWRWSVDVEUQVFTQEVGVHVIZ
      BEDFHDEVJVKUKAWMQEUOAWIBVLPVMWMQUBIJBFVNUKVOAWQWTWOQUBMNEVPUKVQABECDFGHIA
      WPWKXBVRKLVSVTWEWFWGWDWAWBWC $.
  $}

  ${
    $d k l n s x y z $.  $d b l m n s x y A $.  $d k m n s x y z B $.
    $d b k m n x y ph $.
    esumpcvgval.1 $e |- ( ( ph /\ k e. NN ) -> A e. ( 0 [,) +oo ) ) $.
    esumpcvgval.2 $e |- ( k = l -> A = B ) $.
    esumpcvgval.3 $e |- ( ph ->
                      ( n e. NN |-> sum_ k e. ( 1 ... n ) A ) e. dom ~~> ) $.
    $( The value of the extended sum when the corresponding series sum is
       convergent.  (Contributed by Thierry Arnoux, 31-Jul-2017.) $)
    esumpcvgval $p |- ( ph -> sum* k e. NN A = sum_ k e. NN A ) $=
      ( cn c1 cr wcel wa cc0 wceq cle wbr syl c0 vb vx vy vs vm cpw cfn cin csu
      vz cv cmpt crn cxr clt csup caddc cseq cesum wor xrltso a1i nnuz 1zzd cfv
      cpnf cico co eqcom 3imtr3i cbvmptv fmptd ffvelrnda elrege0 simplbi serfre
      weq adantr simpr peano2nnd ffvelrnd simprbi addge01d mpbid eleqtrdi seqp1
      cuz breqtrrd wral wrex fvmpt2 syl2anc rge0ssre sselid cfz cli cdm feqmptd
      wf simpll elfznn adantl recnd fsumser fzfid adantlr ralrimiva wn elrnmpti
      wss sylan2 ex imp breq1 rexlimdva sylan2b simplr fsumrecl ad2antrr simprr
      wne wfn mpbir rspceeqv simpr1r 3anassrs w3a 0xr pnfxr mp2an elin mpbir2an
      wb sumeq1 wo xrlelttric mpan mpjaodan cvv cgsu cc eqcomd mpteq2dva eqtr2d
      eqeltrrd isumrecl sseqtrri isumless eqbrtrrd brralrspcev climsup climrecl
      rexrd eqid sumex ssnnssfz fsumless reximdv rexbidv syl5ibrcom inss2 inss1
      fzssuz elpwid sseldd eqeltrd r19.29an frnd 1nn dm0rn0 fdmd eqeq1d bitr3id
      ne0ii necon3bid mpbiri cz 1z seqfn ax-mp fneq2i mpbi fvex r19.29 biimparc
      dffn5 rexlimivw reximi fveq2 sylibr ad2ant2r suprub syl31anc letrd lenltd
      rexlimddv ad3antrrr pnfnlt notbid mpbird simplll simpr1l elico1 syl3anbrc
      pm2.21dd 3jca simprl suprlub biimpa syl21anc ssriv ovex elpw fzfi 3imtr4g
      eqtr4d ssrdv ssrexv syldan syl12anc simplrl xgepnf orbi1d 0elpw 0fin sum0
      wi eqcomi breq2 rspcev ad2antrl eqsupd nfv nfcv nnex cicc icossicc ccnfld
      cxrs cress fmpttd esumpfinvallem gsumfsum eqtr3d esumval isumclim 3eqtr4d
      elex ) AUAJUFZUGUHZUAUKZBDUIZULZUMZUNUOUPUQFJCULZKURZUMZLUOUPZJBDUSJBDUIZ
      AUBUCUNVUNVURUOUNUOUTAVAVBAVURAVUREVUPKJVCAVDZAUDEVUPKJVCVUTAUBVUOKJVCVUT
      AUBUKZJMNVVAVUOVEZOVFVGVHZMZVVBLMZAJVVCVVAVUOADJBVVCVUOGFDJCBDFVQBCPFDVQC
      BPHDUKZFUKVIBCVIVJVKZVLZVMVVDVVEOVVBQRVVBVNVOSVPZAEUKZJMZNZVVJVUPVEZVVMVV
      JKUQVHZVUOVEZUQVHZVVNVUPVEZQVVLOVVOQRZVVMVVPQRVVLVVOVVCMZVVRVVLJVVCVVNVUO
      AJVVCVUOWSVVKVVHVRVVLVVJAVVKVSZVTWAZVVSVVOLMZVVRVVOVNZWBSVVLVVMVVOAJLVVJV
      UPVVIVMZVVLVVSVWBVWAVVSVWBVVRVWCVOSWCWDVVLVVJKWGVEZMVVQVVPPVVLVVJJVWEVVTV
      CWEZUQVUOKVVJWFSWHAVUSLMVVMVUSQRZEJWIVVMUDUKZQRZEJWIZUDLWJZABDVUOKJVCVUTA
      VVFJMZNZVWLBVVCMZVVFVUOVEBPZAVWLVSGDJBVVCVUOVVGWKWLZVWMVVCLBWMGWNZAEJKVVJ
      WOVHZBDUIZULZVUPWPWQZAVUPEJVVMULZVWTAEJLVUPVVIWRAEJVVMVWSVVLVWSVVMVVLBDVU
      OKVVJVVLVVFVWRMZNZAVWLVWOAVVKVXCWTZVXCVWLVVLVVFVVJXAZXBZVWPWLVWFVXDAVWLBU
      UAMVXEVXGVWMBVWQXCZWLXDZUUBUUCUUDIUUEZUUFAVWGEJVVLVWSVVMVUSQVXIVVLVWRBDVU
      OKJVCVVLVDVVLKVVJXEVWRJXJZVVLVWRVWEJKVVJUVCVCUUGVBAVWLVWOVVKVWPXFAVWLBLMZ
      VVKVWQXFVVLVWLNVWNOBQRZAVWLVWNVVKGXFVWNVXLVXMBVNZWBZSAVUPVXAMVVKVXJVRUUHU
      UIXGUDEVVMVUSQLJUUJWLZUUKZVWDUULZUUMZAVVAVUNMZNZVVAVURQRZVURVVAUORXHVYAVV
      AKUEUKZWOVHZBDUIZQRZVYBUEJVXTAVVAVULPZUAVUJWJZVYFUEJWJZUAVUJVULVVAVUMVUMU
      UNZVUKBDUUOZXIZAVYHVYIAVYGVYIUAVUJAVUKVUJMZNZVYIVYGVULVYEQRZUEJWJZVYMAVUK
      VYDXJZUEJWJZVYPVUKUEUUPAVYRVYPAVYQVYOUEJAVYQVYOAVYQNZVYDBVUKDVYSKVYCXEAVV
      FVYDMZVXLVYQAVYTNZVWNVXLVYTAVWLVWNVVFVYCXAZGXKZVWNVXLVXMVXNVOZSZXFAVYTVXM
      VYQWUAVWNVXMWUCVXOSXFAVYQVSUUQXLUURXMXKVYGVYFVYOUEJVVAVULVYEQXNUUSUUTXOXM
      XPVYAVYCJMZVYFNZNZVVAVYEVURVYAVVALMZWUGVXTAVYHWUIVYLAVYGWUIUAVUJVYNVYGNVV
      AVULLVYNVYGVSVYNVULLMVYGVYNVUKBDVYNVUJUGVUKVUIUGUVAAVYMVSWNZVYNVVFVUKMZNZ
      VWNVXLWULAVWLVWNAVYMWUKWTWULVUKJVVFWULVUKJWULVUJVUIVUKVUIUGUVBAVYMWUKXQWN
      UVDVYNWUKVSUVEGWLZWUDSZXRVRUVFUVGXPZVRAVYELMVXTWUGAVYDBDAKVYCXEWUEXRXSAVU
      RLMZVXTWUGVXRXSVYAWUFVYFXTWUHVUQLXJZVUQTYAZUJUKZVWHQRZUJVUQWIZUDLWJZVYEVU
      QMZVYEVURQRAWUQVXTWUGAJLVUPVVIUVHZXSAWURVXTWUGAWURJTYAKJUVIUVNAVUQTJTVUQT
      PVUPWQZTPAJTPVUPUVJAWVEJTAJLVUPVVIUVKUVLUVMUVOUVPZXSAWVBVXTWUGAVWKWVBVXPV
      WJWVAUDLVWJWUTUJVUQWUSVUQMVWJWUSVVMPZEJWJZWUTEJVVMWUSVUPVUPJYBZVUPVXBPWVI
      VUPVWEYBZKUVQMWVJUVRUQVUOKUVSUVTJVWEVUPVCUWAYCEJVUPUWFUWBZVVJVUPUWCZXIVWJ
      WVHNVWIWVGNZEJWJWUTVWIWVGEJUWDWVMWUTEJWVGWUTVWIWUSVVMVWHQXNUWEUWGSXPXGUWH
      SZXSAWUFWVCVXTVYFAWUFNZVYEVVMPEJWJZWVCWVOWUFVYEVYCVUPVEZPWVPAWUFVSZWVOBDV
      UOKVYCWVOVYTNZAVWLVWOAWUFVYTWTZVYTVWLWVOWUBXBZVWPWLWVOVYCJVWEWVRVCWEWVSBW
      VSVWNVXLWVSAVWLVWNWVTWWAGWLWUDSXCXDEVYCJVVMWVQVYEVVJVYCVUPUWIYDWLEJVVMVYE
      VUPWVKWVLXIUWJUWKUDUJVUQVYEUWLUWMUWNUWPVYAVVAVURWUOAWUPVXTVXRVRUWOWDAVVAU
      NMZVVAVURUORZNZNZOVVAQRZVVAUCUKZUORZUCVUNWJZVVAOUORZWWEWWFNZVVAVFPZWWIVVA
      VFUORZWWKWWLNZWWCWWIAWWDWWFWWLWWCWWBWWCWWFWWLAYEYFWWNWWCXHZVFVURUORZXHZWW
      NVURUNMZWWQAWWRWWDWWFWWLVXSUWQVURUWRSWWLWWOWWQYMWWKWWLWWCWWPVVAVFVURUOXNU
      WSXBUWTUXEWWKWWMNZAVVAVVCMZWWCWWIAWWDWWFWWMUXAWWSWWBWWFWWMWWTAWWDWWFWWMWW
      BWWBWWCWWFWWMAUXBYFWWEWWFWWMXQWWKWWMVSOUNMZVFUNMZWWTWWBWWFWWMYGYMYHYIOVFV
      VAUXCYJUXDAWWDWWFWWMWWCWWBWWCWWFWWMAYEYFAWWTWWCNZWWHUCVUQWJZWWIAWXCNZWUQW
      URWVBYGZWUIWWCWXDWXEWUQWURWVBAWUQWXCWVDVRAWURWXCWVFVRAWVBWXCWVNVRUXFWXEVV
      CLVVAWMAWWTWWCUXGWNAWWTWWCXTWXFWUINWWCWXDUDUJUCVUQVVAUXHUXIUXJAWXDWWIAVUQ
      VUNXJWXDWWIUYGAUCVUQVUNAWWGVVMPZEJWJWWGVULPUAVUJWJZWWGVUQMWWGVUNMAWXGWXHE
      JVVLWXGWXHVVLWXGNZVWRVUJMZWWGVWSPWXHWXJWXIWXJVWRVUIMZVWRUGMWXKVXKDVWRJVXF
      UXKVWRJKVVJWOUXLUXMYCKVVJUXNVWRVUIUGYKYLVBWXIWWGVVMVWSVVLWXGVSVVLVWSVVMPW
      XGVXIVRUXPUAVWRVUJVULVWSWWGVUKVWRBDYNYDWLXLXOEJVVMWWGVUPWVKWVLXIUAVUJVULW
      WGVUMVYJVYKXIUXOUXQWWHUCVUQVUNUXRSXMUXSUXTWWKWWBWWLWWMYOZAWWBWWCWWFUYAWWB
      VFVVAQRZWWMYOZWXLWXBWWBWXNYIVFVVAYPYQWWBWXMWWLWWMVVAUYBUYCWDSYRWWJWWIWWEO
      VUNMZWWJWWIWXOOVULPUAVUJWJZTVUJMZOTBDUIZPWXPWXQTVUIMTUGMJUYDUYETVUIUGYKYL
      WXROBDUYFUYHUATVUJVULWXROVUKTBDYNYDYJUAVUJVULOVUMVYJVYKXIYCWWHWWJUCOVUNWW
      GOVVAUOUYIUYJYQXBWWBWWFWWJYOZAWWCWXAWWBWXSYHOVVAYPYQUYKYRUYLAUAJBVULDYSAD
      UYMDJUYNJYSMAUYOVBVWMVVCOVFUYPVHZBOVFUYQGWNVYNUYRDVUKBULZYTVHZUYSWXTUYTVH
      WYAYTVHZVULVYNVUKYSMZVUKVVCWYAWSWYBWYCPVYMWYDAVUKVUJVUHXBVYNDVUKBVVCWUMVU
      AVUKWYAYSVUBWLVYNVUKBDWUJWULBWUNXCVUCVUDVUEABVURDVUOKJVCVUTVWPVXHVXQVUFVU
      G $.
  $}

  ${
    $d k M $.  $d k N $.  $d k ph $.
    esumpmono.1 $e |- ( ph -> M e. NN ) $.
    esumpmono.2 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    esumpmono.3 $e |- ( ( ph /\ k e. NN ) -> A e. ( 0 [,) +oo ) ) $.
    $( The partial sums in an extended sum form a monotonic sequence.
       (Contributed by Thierry Arnoux, 31-Aug-2017.) $)
    esumpmono $p |- ( ph ->
                        sum* k e. ( 1 ... M ) A <_ sum* k e. ( 1 ... N ) A ) $=
      ( c1 cfz co cesum cc0 cle wbr cpnf cxr cvv wcel cn cxad cicc iccssxr wral
      caddc ovexd cv elfznn wa cico sselid sylan2 ralrimiva nfcv esumcl syl2anc
      icossicc xrleidd cuz cfv adantr peano2nn nnuz eleqtrdi fzss1 simpr sseldd
      wss syl syldan elxrge0 simprbi wi 0xr a1i xle2add syl22anc mp2and xaddid1
      3syl wceq eqcomd cun eluzfz fzsplit esumeq1 nfv clt cin nnre ltp1d fzdisj
      c0 esumsplit eqtrd 3brtr4d ) AIDJKZBCLZMUAKZWRDIUEKZEJKZBCLZUAKZWRIEJKZBC
      LZNAWRWRNOZMXBNOZWSXCNOZAWRAMPUBKZQWRMPUCZAWQRSBXISZCWQUDWRXISAIDJUFZAXKC
      WQCUGZWQSAXMTSZXKXMDUHAXNUIMPUJKXIBMPUQHUKZULZUMWQBCRCWQUNZUOUPUKZURAXBXI
      SZXGAXARSXKCXAUDXSAWTEJUFZAXKCXAAXMXASZXNXKAYAUIZXMXDSXNYBXAXDXMYBDTSZWTI
      USUTZSXAXDVHAYCYAFVAYCWTTYDDVBVCVDWTIEVEVTAYAVFVGXMEUHVIXOVJZUMXABCRCXAUN
      ZUOUPZXSXBQSZXGXBVKVLVIAWRQSZMQSZYIYHXFXGUIXHVMXRYJAVNVOXRAXIQXBXJYGUKWRM
      WRXBVPVQVRAWSWRAYIWSWRWAXRWRVSVIWBAXEWQXAWCZBCLZXCADXDSZXDYKWAXEYLWAADYDS
      EDUSUTSYMADTYDFVCVDGDIEWDUPDIEWEXDYKBCWFVTAWQXABCACWGXQYFXLXTAYCDWTWHOWQX
      AWIWMWAFYCDDWJWKIDWTEWLVTXPYEWNWOWP $.
  $}

  ${
    $d k A $.  $d x y k C $.  $d k V $.  $d x y k ph $.
    esumcocn.j $e |- J = ( ( ordTop ` <_ ) |`t ( 0 [,] +oo ) ) $.
    esumcocn.a $e |- ( ph -> A e. V ) $.
    esumcocn.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    esumcocn.1 $e |- ( ph -> C e. ( J Cn J ) ) $.
    esumcocn.0 $e |- ( ph -> ( C ` 0 ) = 0 ) $.
    esumcocn.f $e |- ( ( ph /\ x e. ( 0 [,] +oo ) /\ y e. ( 0 [,] +oo ) ) ->
                           ( C ` ( x +e y ) ) = ( ( C ` x ) +e ( C ` y ) ) ) $.
    $( Lemma for ~ esummulc2 and co.  Composing with a continuous function
       preserves extended sums.  (Contributed by Thierry Arnoux,
       29-Jun-2017.) $)
    esumcocn $p |- ( ph -> ( C ` sum* k e. A B ) = sum* k e. A ( C ` B ) ) $=
      ( cfv wcel cc0 co xrge0base cesum nfv nfcv cv wa cpnf cicc ccn cxrs cress
      wf ctps cuni xrge0tps cle cordt crest ctopn xrge0topn eqtr4i tpsuni ax-mp
      wceq cnf adantr ffvelrnd cmpt ccom ctsu ccmn xrge0cmn cmnd cxad wral cmhm
      syl a1i cmnmnd 3expib ralrimivv w3a xrge0plusg xrge00 ismhm biimpri eqidd
      syl23anc fmpt3d esumel tsmsmhm cofmpt oveq2d eleqtrd esumid eqcomd ) ADEF
      PZGUADEGUAZFPZADWPWRGIAGUBZGDUCZKAGUDDQZUERUFUGSZXBEFAXBXBFUKZXAAFHHUHSQX
      CMFHHXBXBUIXBUJSZULQZXBHUMVCUNXBHXDTHUOUPPXBUQSXDURPJUSUTZVAVBZXGVDVPZVEL
      VFAWRXDFGDEVGZVHZVISXDGDWPVGZVISADXBFXIXDXDHHIWQTXFXFXDVJQZAVKVQZXEAUNVQZ
      XMXNAXDVLQZXOXCBUDZCUDZVMSFPXPFPXQFPVMSVCZCXBVNBXBVNZRFPRVCZFXDXDVOSQZXOA
      XLXOVKXDVRVBVQZYBXHAXRBCXBXBAXPXBQXQXBQXROVSVTNYAXOXOUEXCXSXTWAUEBCXBXBVM
      VMXDXDFRRTTWBWBWCWCWDWEWGMKAGDEXBXIAXIWFLWHADEGIWSWTKLWIWJAXJXKXDVIAGDEXB
      XBFXHLWKWLWMWNWO $.
  $}

  ${
    $d k z A $.  $d z B $.  $d k x y z C $.  $d k V $.  $d k x y z ph $.
    esummulc2.a $e |- ( ph -> A e. V ) $.
    esummulc2.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    esummulc2.c $e |- ( ph -> C e. ( 0 [,) +oo ) ) $.
    $( An extended sum multiplied by a constant.  (Contributed by Thierry
       Arnoux, 6-Jul-2017.) $)
    esummulc1 $p |- ( ph ->
                           ( sum* k e. A B *e C ) = sum* k e. A ( B *e C ) ) $=
      ( vz cc0 co cxmu cfv wceq wcel fvmptd cvv wa simpr vx cesum cpnf cicc cle
      vy cmpt cordt crest eqid xrge0mulc1cn eqidd oveq1 cxr cico icossxr sselid
      xmul02 syl sylan9eqr 0e0iccpnf a1i w3a cxad simp2 simp3 icossicc 3ad2ant1
      cv xrge0adddir syl3anc oveq1d 3adant1 ovexd oveq12d 3eqtr4d esumcocn wral
      ge0xaddcl ralrimiva nfcv esumcl syl2anc esumeq2dv 3eqtr3d ) ABCEUBZJKUCUD
      LZJVIZDMLZUGZNBCWJNZEUBWFDMLZBCDMLZEUBAUAUFBCWJEUEUHNWGUILZFWNUJZGHAJDWJW
      NWOWJUJIUKAJKWIKWGWJWGAWJULZWHKOAWIKDMLZKWHKDMUMADUNPWQKOAKUCUOLZUNDKUCUP
      IUQDURUSUTKWGPAVAVBZWSQAUAVIZWGPZUFVIZWGPZVCZWTXBVDLZDMLZWTDMLZXBDMLZVDLZ
      XEWJNWTWJNZXBWJNZVDLXDXAXCDWGPXFXIOAXAXCVEZAXAXCVFZXDWRWGDKUCVGAXADWRPXCI
      VHUQWTXBDVJVKXDJXEWIXFWGWJRXDWJULZXDWHXEOZSWHXEDMXDXOTVLXAXCXEWGPAWTXBVSV
      MXDXEDMVNQXDXJXGXKXHVDXDJWTWIXGWGWJRXNXDWHWTOZSWHWTDMXDXPTVLXLXDWTDMVNQXD
      JXBWIXHWGWJRXNXDWHXBOZSWHXBDMXDXQTVLXMXDXBDMVNQVOVPVQAJWFWIWLWGWJRWPAWHWF
      OZSWHWFDMAXRTVLABFPCWGPZEBVRWFWGPGAXSEBHVTBCEFEBWAWBWCAWFDMVNQABWKWMEAEVI
      BPSZJCWIWMWGWJRXTWJULXTWHCOZSWHCDMXTYATVLHXTCDMVNQWDWE $.

    $( An extended sum multiplied by a constant.  (Contributed by Thierry
       Arnoux, 6-Jul-2017.) $)
    esummulc2 $p |- ( ph ->
                           ( C *e sum* k e. A B ) = sum* k e. A ( C *e B ) ) $=
      ( cesum cxmu co cxr wcel wceq cc0 cpnf sselid syl2anc xmulcom cico esumcl
      icossxr cicc iccssxr wral ralrimiva nfcv esummulc1 cv wa adantr esumeq2dv
      3eqtrd ) ADBCEJZKLZUODKLZBCDKLZEJBDCKLZEJADMNZUOMNUPUQOAPQUALMDPQUCIRZAPQ
      UDLZMUOPQUEZABFNCVBNZEBUFUOVBNGAVDEBHUGBCEFEBUHUBSRDUOTSABCDEFGHIUIABURUS
      EAEUJBNZUKZCMNUTURUSOVFVBMCVCHRAUTVEVAULCDTSUMUN $.
  $}

  ${
    $d k A $.  $d k C $.  $d k V $.  $d k ph $.
    esumdivc.a $e |- ( ph -> A e. V ) $.
    esumdivc.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    esumdivc.c $e |- ( ph -> C e. RR+ ) $.
    $( An extended sum divided by a constant.  (Contributed by Thierry Arnoux,
       6-Jul-2017.) $)
    esumdivc $p |- ( ph -> ( sum* k e. A B /e C ) = sum* k e. A ( B /e C ) ) $=
      ( cesum c1 cxdiv co cc0 cpnf wcel wceq syl3anc sselid cxr cxmu cdiv rpred
      cico wne 1red rpne0d rexdiv cioo ioorp ioossico eqsstrri rpreccld eqeltrd
      cr crp esummulc1 cicc iccssxr wral ralrimiva esumcl syl2anc xdivrec cv wa
      nfcv adantr esumeq2dv 3eqtr4d ) ABCEJZKDLMZUAMZBCVLUAMZEJVKDLMZBCDLMZEJAB
      CVLEFGHAVLKDUBMZNOUDMZAKUOPDUOPZDNUEZVLVQQAUFADIUCZADIUGZKDUHRAUPVRVQUPNO
      UIMVRUJNOUKULADIUMSUNUQAVKTPVSVTVOVMQANOURMZTVKNOUSZABFPCWCPZEBUTVKWCPGAW
      EEBHVABCEFEBVGVBVCSWAWBVKDVDRABVPVNEAEVEBPZVFZCTPVSVTVPVNQWGWCTCWDHSAVSWF
      WAVHAVTWFWBVHCDVDRVIVJ $.
  $}

  $( Lemma for ~ hasheuni .  (Contributed by Thierry Arnoux, 19-Nov-2016.) $)
  hashf2 $p |- # : _V --> ( 0 [,] +oo ) $=
    ( vx cvv cn0 cpnf csn cun chash wf cc0 cicc co wss hashf cv wcel cxr cle cz
    wbr cr nn0z zre rexr 3syl nn0ge0 elxrge0 sylanbrc ssriv pnfxr 0lepnf ubicc2
    0xr mp3an snssi ax-mp unssi fss mp2an ) BCDEZFZGHUTIDJKZLBVAGHMCUSVAACVAANZ
    COZVBPOZIVBQSVBVAOVCVBROVBTOVDVBUAVBUBVBUCUDVBUEVBUFUGUHDVAOZUSVALIPODPOIDQ
    SVEULUIUJIDUKUMDVAUNUOUPBUTVAGUQUR $.

  ${
    $d x A $.  $d x V $.
    $( The cardinality of a disjoint union, not necessarily finite. cf.
       ~ hashuni .  (Contributed by Thierry Arnoux, 19-Nov-2016.)  (Revised by
       Thierry Arnoux, 2-Jan-2017.)  (Revised by Thierry Arnoux,
       20-Jun-2017.) $)
    hasheuni $p |- ( ( A e. V /\ Disj_ x e. A x )
                                   -> ( # ` U. A ) = sum* x e. A ( # ` x ) ) $=
      ( wcel wa cfn chash cesum wceq wss nfv cc0 cpnf co wral syl wn cvv a1i c0
      cv wdisj cuni cfv w3a nfdisj1 nf3an simp2 simp3 simp1 hashunif simpl cico
      csu dfss3 cn0 hashcl cr cle nn0re nn0ge0 elrege0 sylanbrc ralimi r19.21bi
      wbr sylbi adantll esumpfinval 3adant1 eqtr4d 3adant1l 3expa uniexg notbii
      wrex rexnal bitr4i elssuni ssfi expcom con3d rexlimiv hashinf syl2an mpan
      wi vex reximi nfre1 nfan wf hashf2 ffvelrn mp2an simpr esumpinfval sylan2
      cicc 3adant2 3adant1r pm2.61dan cpw pwfi pwuni mpan2 con3i crab cxad wtru
      cun nftru wo unrab exmid rgenw rabid2 mpbir eqtr4i esumeq1d nfrab1 rabexg
      mptru cin rabnc esumsplit eqtr3id adantr c1 cdif csn dfrab3 hasheq0 ax-mp
      cab wb abbii syl2anc wne cxr df-sn ineq2i eqtri snfi inss2 eqeltri difinf
      notrab eleq1i sylnib rabid sylib simprd biimpri necon3bi hashge1 1xr 0lt1
      clt esumpinfsum oveq2d cmnf iccssxr ralrimiva esumcl xrge0neqmnf xaddpnf1
      sselid 3eqtrd adantlr ) BCDZABAUAZUBZEZBFDZBUCZGUDZBUVLGUDZAHZIZUVNUVOEBF
      JZUVTUVNUVOUWAUVTUVMUVOUWAUVTUVKUVMUVOUWAUEZUVQBUVRAUNZUVSUWBABUVMUVOUWAA
      ABUVLUFUVOAKUWAAKUGUVMUVOUWAUHUVMUVOUWAUIUVMUVOUWAUJUKUVOUWAUVSUWCIUVMUVO
      UWAEBUVRAUVOUWAULUWAUVLBDZUVRLMUMNDZUVOUWAUWEABUWAUVLFDZABOZUWEABOABFUOZU
      WFUWEABUWFUVRUPDZUWEUVLUQUWIUVRURDLUVRUSVFUWEUVRUTUVRVAUVRVBVCPVDVGVEVHVI
      VJVKVLVMUVNUVOUWAQZUVTUVKUVOUWJUVTUVMUVKUWJUVTUVOUVKUWJEUVQMUVSUVKUVPRDZU
      VPFDZQZUVQMIZUWJBCVNZUWJUWFQZABVPZUWMUWJUWGQUWQUWAUWGUWHVOUWFABVQVRZUWPUW
      MABUWDUVLUVPJZUWPUWMWGUVLBVSUWSUWLUWFUWLUWSUWFUVPUVLVTWAWBPWCVGUVPRWDZWEU
      WJUVKUVRMIZABVPZUVSMIUWJUWQUXBUWRUWPUXAABUVLRDZUWPUXAAWHZUVLRWDWFWIVGUVKU
      XBEZBUVRACUVKUXBAUVKAKZUXAABWJWKUVKUXBULUVRLMWSNZDZUXEUWDERUXGGWLUXCUXHWM
      UXDRUXGUVLGWNWOZSUVKUXBWPWQWRVKWTXAVMXBUVKUVOQZUVTUVMUVKUXJEZUVQMUVSUVKUW
      KUWMUWNUXJUWOUWLUVOUWLUVPXCZFDZUVOUVPXDUXMBUXLJUVOBXEUXLBVTXFVGXGUWTWEUXK
      UVSUVRLIZABXHZUVRAHZUXNQZABXHZUVRAHZXINZUXPMXINZMUVKUVSUXTIUXJUVKUVSUXOUX
      RXKZUVRAHZUXTUYCUVSIXJUYBBUVRAAXLUYBBIXJUYBUXNUXQXMZABXHZBUXNUXQABXNBUYEI
      UYDABOUYDABUXNXOXPUYDABXQXRXSSXTYCUVKUXOUXRUVRAUXFUXNABYAZUXQABYAZUXNABCY
      BZUXQABCYBZUXOUXRYDTIUVKUXNABYESUXHUVKUVLUXODZEUXISUXHUVKUVLUXRDZEUXISYFY
      GYHUXKUXSMUXPXIUXKUXRUVRAYIRUXKAKUYGUVKUXRRDUXJUYIYHUXKBUXOYJZFDZUXRFDUXK
      UXJUXOFDZUYMQUVKUXJWPUYNUXKUXOBTYKZYDZFUXOBUXNAYOZYDUYPUXNABYLUYQUYOBUYQU
      VLTIZAYOUYOUXNUYRAUXCUXNUYRYPUXDUVLRYMYNZYQATUUAXSUUBUUCUYOFDUYPUYOJUYPFD
      TUUDBUYOUUEUYOUYPVTWOUUFSBUXOUUGYRUYLUXRFUXNABUUHUUIUUJUXHUXKUYKEZUXISUYT
      UXCUVLTYSZYIUVRUSVFUXCUYTUXDSUYTUXQVUAUYTUWDUXQUYTUYKUWDUXQEUXKUYKWPUXQAB
      UUKUULUUMUXNUVLTUXNUYRUYSUUNUUOPUVLRUUPYRYIYTDUXKUUQSLYIUUSVFUXKUURSUUTUV
      AUXKUXPYTDUXPUVBYSZUYAMIUXKUXGYTUXPLMUVCUXKUXORDZUXHAUXOOUXPUXGDZUVKVUCUX
      JUYHYHUXKUXHAUXOUXHUXKUYJEUXISUVDUXOUVRARUYFUVEYRZUVHUXKVUDVUBVUEUXPUVFPU
      XPUVGYRUVIVKUVJXB $.
  $}

  ${
    $d k l x y z $.  $d l m n x y z A $.  $d k l n x y B $.
    $d k l m n x y F $.  $d k n J $.  $d k l m n x y ph $.
    esumcvg.j $e |- J = ( TopOpen ` ( RR*s |`s ( 0 [,] +oo ) ) ) $.
    esumcvg.f $e |- F = ( n e. NN |-> sum* k e. ( 1 ... n ) A ) $.
    esumcvg.a $e |- ( ( ph /\ k e. NN ) -> A e. ( 0 [,] +oo ) ) $.
    esumcvg.m $e |- ( k = m -> A = B ) $.
    $( The sequence of partial sums of an extended sum converges to the whole
       sum. cf. ~ fsumcvg2 .  (Contributed by Thierry Arnoux, 5-Sep-2017.) $)
    esumcvg $p |- ( ph -> F ( ~~>t ` J ) sum* k e. NN A ) $=
      ( vl cpnf wcel cn wceq wa c1 cvv vx vy vz cc0 cico wral cesum clm cfv wbr
      co wrex cli csu nnuz simpr cv cc cr rge0ssre weq eleq1d adantl imp sselid
      wi adantlr cfz fzfid elfznn sylan2 esumpfinval syl5eq wf fmptd adantr cle
      cmpt simplll cicc eqidd eqcom fvmptd sylancom sylib caddc wfn ovex simpll
      elrege0 syl2anc ralrimiva nfcv esumcl sylancr cuz cz mpbir eqtrd wb mpbid
      a1i breqtrrd nnzd uzid 3syl esumeq1 syl simp-4l cfn cxr clt nfv nnex cgsu
      oveq2 simplr fmpttd breq2d reximdva wss eqid mp2an cres cxp eleq1w anbi2d
      rspce imbi12d nfan ovexd esumpinfval ctopon 0xr pnfxr 0lepnf mp3an syldan
      chvarvv wo cdm 1zzd ax-resscn sstri cbvralvw rsp sylbir mpteq2dva fvmpt2d
      fsumcl isumclim3 fsumrp0cl eqeltrd 3imtr3i simpld cseq seqfn ax-mp fneq2i
      ffnd eleqtrdi fsumser eqfnfvd eqeltrrd isumrecl simprd isumge0 lmlimxrge0
      1z sylanbrc ssid mpbird eqeltrrid esumpcvgval wn esumpmono eqtr4d cbvmptv
      peano2uz eqtr4i w3a simpr3 3anassrs peano2nnd 3brtr4d lmdvglim cpw ccnfld
      cin crn csup cxrs cress inss1 elpwid sseldd esumpfinvallem inss2 gsumfsum
      eqtr3d esumval lmdvg r19.21bi nnz fveq2d rspcdv reximia ad2antrr ffvelrnd
      ltle esumex fvmptd3 sylibd fzssuz sseqtrri elpw fzfi elin mpbir2an sumeq1
      mpd sumex elrnmpt1s breq2 rexlimivw adantllr fsumrecl rexrd frn supxrunb1
      mpan pm2.61dan csn reseq1i wsb anbi12d fveq2 reseq2d xpeq1d eqeq12d nfs1v
      sbequ12r simpllr elnnuz eluzfz sbequ12 mpteq12 uznnssnn fconstmpt 3eqtr4d
      sylanb sylan mpdan ex cordt crest ctopn xrge0topn eqtri letopon resttopon
      resmpt iccssxr eqeltri ubicc2 lmconst syl3anc breq1 mpan9 cpm cnex nnsscn
      biimprd elpm2r syl22anc lmres biimpar r19.29an eliccelico r19.30 cbvrexvw
      nfre1 eqeq1d orbi2i sylibr mpjaodan ) ACUDNUEUKZOZEPUFZGPBDUGZHUHUIZUJZBN
      QZDPULZAVWIRZGUMUUAZOZVWLVWOVWQRZGPBDUNZVWJVWKVWRGVWSVWKUJGVWSUMUJVWRBFDG
      SPUOVWRUUBZVWOVWQUPZVWODUQZPOZBUROZVWQVWOVXCRVWGURBVWGUSURUTUUCUUDZVWOVXC
      BVWGOZVWIVXCVXFVFZAVWIVXFDPUFVXGVXFVWHDEPDEVAZBCVWGLVBUUEVXFDPUUFUUGVCVDZ
      VEZVGVWOFUQZPOZVXKGUIZSVXKVHUKZBDUNZQVWQVWOFPVXOGURVWOGFPVXNBDUGZVRZFPVXO
      VRZJVWOFPVXPVXOVWOVXLRZVXNBDVXSSVXKVIZVWOVXBVXNOZVXFVXLVYAVWOVXCVXFVXBVXK
      VJZVXIVKVGZVLZUUHZVMVXSVXNBDVXTVXSVYARVWGURBVXEVYCVEZUUJUUIZVGUUKVWRVWSGH
      VWGIVWOPVWGGVNZVWQVWOFPVXPVWGGVXSVXPVXOVWGVYDVXSVXNBDVXTVYCUULUUMJVOZVPVW
      RVWSUSOUDVWSVQUJVWSVWGOVWRBDEPCVRZSPUOVWTVWRVXCAVXBVYJUIBQZAVWIVWQVXCVSAV
      XCRZEVXBCBPVYJUDNVTUKZVYLVYJWAEDVAZCBQZVYLVXHBCQVYNVYOLVXBEUQZWBBCWBUUNVC
      AVXCUPZKWCZWDZVWRVXCRZBUSOZUDBVQUJZVYTVXFWUAWUBRVWOVXCVXFVWQVXIVGZBWJWEZU
      UOZVWRGWFVYJSUUPZVWPVWOGWUFQVWQVWOFPGWUFAGPWGVWIAPVYMGAFPVXPVYMGAVXLRZVXN
      TOBVYMOZDVXNUFVXPVYMOSVXKVHWHWUGWUHDVXNWUGVYARAVXCWUHAVXLVYAWIVYAVXCWUGVY
      BVCKWKWLVXNBDTDVXNWMWNWOJVOZUUTVPWUFPWGZVWOWUJWUFSWPUIZWGZSWQOWULUVIWFVYJ
      SUUQUURPWUKWUFUOUUSWRXBVXSVXMVXOVXKWUFUIVYGVXSBDVYJSVXKVXSVYAAVYKAVWIVXLV
      YAVSVYAAVXCVYKVYBVYRVKWDVXSVXKPWUKVWOVXLUPUOUVAVYFUVBWSUVCVPVXAUVDZUVEVWR
      BDVYJSPUOVWTVYSWUEWUMVYTWUAWUBWUDUVFUVGVWSWJUVJVWGUVKUVHUVLVWRBCDFEWUCLVW
      RVXQVWPOZVXRVWPOZVWRVXQGVWPJVXAUVMVWOWUNWUOWTVWQVWOVXQVXRVWPVYEVBVPXAUVNX
      CVWOVWQUVOZRZGNVWJVWKWUQFGHIVWOVYHWUPVYIVPZWUQVXLRZVXPSVXKSWFUKZVHUKZBDUG
      ZVXMWUTGUIVQWUSBDVXKWUTWUQVXLUPZWUSVXKWQOVXKVXKWPUIZOWUTWVDOWUSVXKWVCXDVX
      KXEVXKVXKUVSXFWUSVXCVWOVXFVWOWUPVXLVXCVSVXIWDUVPVWOVXLVXMVXPQWUPVXSVXMVXO
      VXPVYGVYDUVQVGWUSMWUTSMUQZVHUKZBDUGZWVBPGVYMGMPWVGVRZQWUSGVXQWVHJMFPWVGVX
      PMFVAWVFVXNQWVGVXPQWVEVXKSVHXPWVFVXNBDXGXHUVRUVTXBVWOWUPVXLWVEWUTQZWVGWVB
      QZVWOWUPVXLWVIUWARWVIWVFWVAQWVJVWOWUPVXLWVIUWBWVEWUTSVHXPWVFWVABDXGXFUWCW
      USVXKWVCUWDWUSWVATOWUHDWVAUFWVBVYMOSWUTVHWHWUSWUHDWVAWUSVXBWVAOZRAVXCWUHA
      VWIWUPVXLWVKXIWVKVXCWUSVXBWUTVJVCKWKWLWVABDTDWVAWMWNWOWCUWEZVWOWUPUPZUWFW
      UQVWJUAPUWGZXJUWIZUAUQZBDUNZVRZUWJZXKXLUWKZNVWOVWJWVTQWUPVWOUAPBWVQDTVWOD
      XMDPWMPTOZVWOXNXBAVXCWUHVWIKVGVWOWVPWVOOZRZUWHDWVPBVRZXOUKZUWLVYMUWMUKZWW
      DXOUKZWVQWWCWWBWVPVWGWWDVNWWEWWGQVWOWWBUPZWWCDWVPBVWGWWCVXBWVPOZRZVWOVXCV
      XFVWOWWBWWIWIZWWJWVPPVXBWWJWVPPWWJWVOWVNWVPWVNXJUWNVWOWWBWWIXQVEUWOWWCWWI
      UPUWPZVXIWKZXRWVPWWDWVOUWQWKWWCWVPBDWWCWVOXJWVPWVNXJUWRZWWHVEWWJVWOVXCVXD
      WWKWWLVXJWKUWSUWTUXAVPWUQUBUQZUCUQZVQUJZUCWVSULZUBUSUFZWVTNQZWUQWWRUBUSWU
      QWWOUSOZRZWWOWVFBDUNZVQUJZMPULZWWRWXBWWOWVEGUIZXLUJZMPULZWXEWXBWWOVXMXLUJ
      ZFWVEWPUIZUFZMPULZWXHWUQWXLUBUSWUQUBMFGWURWVLWVMUXBUXCWXKWXGMPWVEPOZWXIWX
      GFWVEWXJWXMWVEWQOWVEWXJOWVEUXDWVEXEXHWXMFMVAZRZVXMWXFWWOXLWXOVXKWVEGWXMWX
      NUPUXEXSUXFUXGXHWXBWXGWXDMPWXBWXMRZWXGWWOWXFVQUJZWXDWXPWXAWXFUSOWXGWXQVFW
      UQWXAWXMXQWXPVWGUSWXFUTWXPPVWGWVEGWUQVYHWXAWXMWURUXHWXBWXMUPZUXIVEWWOWXFU
      XJWKWXPWXFWXCWWOVQWXPWXFWVGWXCWXPFWVEVXPWVGPGTJWXNVXNWVFQVXPWVGQVXKWVESVH
      XPVXNWVFBDXGXHWXRWVGTOWXPWVFBDUXKXBUXLWXPWVFBDWXPSWVEVIWXPVXBWVFOZRVWOVXC
      VXFVWOWUPWXAWXMWXSXIWXSVXCWXPVXBWVEVJVCVXIWKVLWSXSUXMXTUYAWXDWWRMPWXCWVSO
      ZWXDWWRWVFWVOOZWXCTOWXTWYAWVFWVNOZWVFXJOWYBWVFPYAWVFWUKPSWVEUXNUOUXOWVFPS
      WVEVHWHUXPWRSWVEUXQWVFWVNXJUXRUXSWVFBDUYBUAWVOWVQWXCWVFWVRTWVRYBWVPWVFBDU
      XTUYCYCWWQWXDUCWXCWVSWXDUCXMWWPWXCWWOVQUYDYHUYKUYEXHWLWUQWVOXKWVRVNWVSXKY
      AWWSWWTWTWUQUAWVOWVQXKWUQWWBRZWVQWYCWVPBDWYCWVOXJWVPWWNWUQWWBUPVEWYCWWIRV
      WGUSBUTVWOWWBWWIVXFWUPWWMUYFVEUYGUYHXRWVOXKWVRUYIUBUCWVSUYJXFXAWSXCUYLAVW
      NRZGNVWJVWKAVWNGVXBWPUIZYDZWYENUYMZYEZQZDPULZGNVWKUJZAVWNWYJAVWMWYIDPVYLV
      WMWYIVYLVWMRZWYFVXQWYEYDZWYHGVXQWYEJUYNAWXMRZVWMDMUYOZRZVXQWXJYDZWXJWYGYE
      ZQZVFWYLWYMWYHQZVFMDMDVAZWYPWYLWYSWYTXUAWYNVYLWYOVWMXUAWXMVXCAMDPYFYGVWMM
      DVUBUYPXUAWYQWYMWYRWYHXUAWXJWYEVXQWVEVXBWPUYQZUYRXUAWXJWYEWYGXUBUYSUYTYIW
      YPVXPNQZFWXJUFZWYSWYPXUCFWXJWYPVXKWXJOZRZVXNBDTWYPXUEDWYNWYODWYNDXMVWMDMV
      UAZYJXUEDXMYJXUFSVXKVHYKXUFVYARAVXCWUHAWXMWYOXUEVYAXIVYAVXCXUFVYBVCKWKXUF
      WVEVXNOZWYOVWMDVXNULWYPXUEWXMXUHAWXMWYOXUEVUCWXMWVEWUKOXUEXUHWVEVUDWVESVX
      KVUEVUKWDWYNWYOXUEXQVWMWYODWVEVXNXUGVWMDMVUFYHWKYLWLWYPXUDRZFWXJVXPVRZFWX
      JNVRZWYQWYRWYPWXJWXJQXUDXUJXUKQWYPWXJWAFWXJVXPWXJNVUGVULWYPWYQXUJQZXUDWYP
      WXMWXJPYAXULAWXMWYOXQWVEVUHFPWXJVXPVVBXFVPWYRXUKQXUIFWXJNVUIXBVUJVUMYSVMV
      UNXTVDAWYIWYKDPVYLWYIWYFNVWKUJZWYKVYLWYHNVWKUJZWYIXUMVYLHVYMYMUIZOZNVYMOZ
      VXBWQOXUNXUPVYLHVQVUOUIZVYMVUPUKZXUOHWWFVUQUIXUSIVURVUSXURXKYMUIOVYMXKYAX
      USXUOOVUTUDNVVCVYMXURXKVVAYCVVDXBZXUQVYLUDXKOZNXKOZUDNVQUJZXUQYNYOYPUDNVV
      EYQXBVYLVXBVYQXDZNHVXBVYMWYEWYEYBVVFVVGWYIXUMXUNWYFWYHNVWKVVHVVMVVIVYLWYK
      XUMVYLNGHVXBVYMXUTVYLVYMTOURTOZPVYMGVNZPURYAZGVYMURVVJUKOVYLUDNVTYKXVEVYL
      VVKXBAXVFVXCWUIVPXVGVYLVVLXBVYMURPGTTVVNVVOXVDVVPVVQYRVVRYRWYDPBDTAVWNDAD
      XMVWMDPVWBYJWWAWYDXNXBAVXCWUHVWNKVGAVWNUPYLXCAVWICNQZEPULZYTZVWIVWNYTAVWH
      XVHYTZEPUFXVJAXVKEPAVYPPOZRZCVYMOZXVKVYLWUHVFXVMXVNVFDEVXHVYLXVMWUHXVNVXH
      VXCXVLADEPYFYGVXHBCVYMLVBYIKYSXVAXVBXVCXVNXVKWTYNYOYPUDNCVVSYQWEWLVWHXVHE
      PVVTXHVWNXVIVWIVWMXVHDEPVXHBCNLVWCVWAVWDVWEVWF $.
  $}

  ${
    $d i k l m n $.  $d i l m n A $.  $d k n B $.  $d k l n C $.  $d k n J $.
    $d k l n ph $.
    esumcvg2.j $e |- J = ( TopOpen ` ( RR*s |`s ( 0 [,] +oo ) ) ) $.
    esumcvg2.a $e |- ( ( ph /\ k e. NN ) -> A e. ( 0 [,] +oo ) ) $.
    esumcvg2.l $e |- ( k = l -> A = B ) $.
    esumcvg2.m $e |- ( k = m -> A = C ) $.
    $( Simpler version of ~ esumcvg .  (Contributed by Thierry Arnoux,
       5-Sep-2017.) $)
    esumcvg2 $p |- ( ph -> ( n e. NN |-> sum* k e. ( 1 ... n ) A )
      ( ~~>t ` J ) sum* k e. NN A ) $=
      ( vi cn c1 cv cfz cesum wceq co cmpt clm cfv cbvesumv esumeq1 syl eqtr3id
      oveq2 cbvmptv esumcvg eqbrtrrid ) AGOPGQZRUAZBESZUBNOPNQZRUAZDFSZUBZOBESH
      UCUDNGOURUOUPUMTZURUQBESZUOUQBDEFMUEUTUQUNTVAUOTUPUMPRUIUQUNBEUFUGUHUJZAB
      CEIGUSHJVBKLUKUL $.
  $}

  ${
    $d i j k $.  $d i j A $.  $d j k B $.  $d j k F $.  $d j k ph $.
    esumcvgsum.1 $e |- ( k = i -> A = B ) $.
    esumcvgsum.2 $e |- ( ( ph /\ k e. NN ) -> A e. ( 0 [,) +oo ) ) $.
    esumcvgsum.3 $e |- ( ( ph /\ k e. NN ) -> ( F ` k ) = A ) $.
    esumcvgsum.4 $e |- ( ph -> seq 1 ( + , F ) ~~> L ) $.
    esumcvgsum.5 $e |- ( ph -> L e. RR ) $.
    $( The value of the extended sum when the corresponding sum is convergent.
       (Contributed by Thierry Arnoux, 29-Oct-2019.) $)
    esumcvgsum $p |- ( ph -> sum* k e. NN A = sum_ k e. NN A ) $=
      ( vj cn c1 wcel cc0 cpnf cr cmnf cv cfz co csu cmpt caddc cseq cfv cli wa
      cdm wceq simpll elfznn adantl syl2anc cuz nnuz eleq2i biimpi cico cxr clt
      cioo wbr cle wss mnfxr pnfxr 0re mnflt ax-mp pnfge icossioo mp4an sseqtri
      ioomax sselid recnd fsumser mpteq2dva wfn cz 1z seqfn wb fneq2 mpbir mpbi
      dffn5 cvv seqex a1i breldmg syl3anc eqeltrrid eqeltrd esumpcvgval ) ABCEM
      DIHAMNOMUAZUBUCZBEUDZUEMNWSUFFOUGZUHZUEZUIUKZAMNXAXCAWSNPZUJZBEFOWSXGEUAZ
      WTPZUJZAXHNPZXHFUHBULAXFXIUMZXIXKXGXHWSUNUOZJUPXFWSOUQUHZPZAXFXONXNWSURUS
      UTUOXJBXJQRVAUCZSBXPTRVDUCZSTVBPRVBPZTQVCVEZRRVFVEZXPXQVGVHVIQSPXSVJQVKVL
      XRXTVIRVMVLTRQRVNVOVQVPXJAXKBXPPXLXMIUPVRVSVTWAAXDXBXEXBNWBZXBXDULYAXBXNW
      BZOWCPYBWDUFFOWEVLNXNULYAYBWFURNXNXBWGVLWHMNXBWJWIAXBWKPZGSPXBGUIVEXBXEPY
      CAUFFOWLWMLKXBGWKSUIWNWOWPWQWR $.
  $}

  ${
    $d A n z $.  $d B n z $.  $d k n z ph $.
    esumsup.1 $e |- ( ph -> B e. ( 0 [,] +oo ) ) $.
    esumsup.2 $e |- ( ( ph /\ k e. NN ) -> A e. ( 0 [,] +oo ) ) $.
    $( Express an extended sum as a supremum of extended sums.  (Contributed by
       Thierry Arnoux, 24-May-2020.) $)
    esumsup $p |- ( ph -> sum* k e. NN A
      = sup ( ran ( n e. NN |-> sum* k e. ( 1 ... n ) A ) , RR* , < ) ) $=
      ( cn cv cmpt cfv cesum cxad c1 cxr clt wceq wcel wa syl2anc cseq crn csup
      cfz co cc0 cpnf cicc wf fmpttd nfmpt1 esumfsup syl simpr fvmpt2 esumeq2dv
      eqid wfn cuz cz 1z seqfn ax-mp nnuz fneq2i mpbir nfcv dffn5f mpbi a1i wss
      fz1ssnn sselda simpll esumfzf sylan eqtr3d mpteq2dva eqtr4d rneqd supeq1d
      3eqtr3d ) AHDIZDHBJZKZDLZMWDNUAZUBZOPUCZHBDLEHNEIZUDUEZBDLZJZUBZOPUCAHUFU
      GUHUEZWDUIZWFWIQADHBWOGUJZDWDDHBUKZULUMAHWEBDAWCHRZSWSBWORZWEBQZAWSUNGDHB
      WOWDWDUQUOZTUPAOWHWNPAWGWMAWGEHWJWGKZJZWMWGXDQZAWGHURZXEXFWGNUSKZURZNUTRX
      HVAMWDNVBVCHXGWGVDVEVFEHWGEWGVGVHVIVJAEHWLXCAWJHRZSZWKWEDLZWLXCXJWKWEBDXJ
      WCWKRZSZWSWTXAXJWKHWCWKHVKXJWJVLVJVMZXMAWSWTAXIXLVNXNGTXBTUPAWPXIXKXCQWQD
      WDWJWRVOVPVQVRVSVTWAWB $.

    esumgect.1 $e |- ( ( ph /\ n e. NN ) -> sum* k e. ( 1 ... n ) A <_ B ) $.
    $( "Send ` n ` to ` +oo ` " in an inequality with an extended sum.
       (Contributed by Thierry Arnoux, 24-May-2020.) $)
    esumgect $p |- ( ph -> sum* k e. NN A <_ B ) $=
      ( vz cn cv cxr cle wbr wral wcel wa syl2anc ralrimiva wss cesum c1 cfz co
      cmpt crn clt csup esumsup wceq nfcv nfmpt1 nfrn nfel simpr simplll simplr
      nfv nfan eqbrtrd wrex eqid esumex elrnmpti biimpi adantl r19.29af wb cpnf
      cc0 cvv ovexd simpll fz1ssnn a1i sselda esumcl rnmptss syl iccssxr sstrdi
      cicc sselid supxrleub mpbird ) AJBDUAEJUBEKZUCUDZBDUAZUEZUFZLUGUHZCMABCDE
      FGUIAWKCMNZIKZCMNZIWJOZAWNIWJAWMWJPZQZWMWHUJZWNEJAWPEAEUREWMWJEWMUKEWIEJW
      HULUMUNUSWQWFJPZQZWRQZWMWHCMWTWRUOXAAWSWHCMNAWPWSWRUPWQWSWRUQHRUTWPWREJVA
      ZAWPXBEJWHWMWIWIVBZWGBDVCVDVEVFVGSAWJLTCLPWLWOVHAWJVJVIWBUDZLAWHXDPZEJOWJ
      XDTAXEEJAWSQZWGVKPBXDPZDWGOXEXFUBWFUCVLXFXGDWGXFDKZWGPZQAXHJPXGAWSXIVMXFW
      GJXHWGJTXFWFVNVOVPGRSWGBDVKDWGUKVQRSEJWHXDWIXCVRVSVJVIVTZWAAXDLCXJFWCIWJC
      WDRWEUT $.
  $}

  ${
    $d k A $.  $d k V $.
    esumcvgre.0 $e |- F/ k ph $.
    esumcvgre.1 $e |- ( ph -> A e. V ) $.
    esumcvgre.2 $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    esumcvgre.3 $e |- ( ph -> sum* k e. A B e. RR ) $.
    $( All terms of a converging extended sum shall be finite.  (Contributed by
       Thierry Arnoux, 23-Sep-2019.) $)
    esumcvgre $p |- ( ( ph /\ k e. A ) -> B e. RR ) $=
      ( wcel wa cpnf wceq wn cr adantr cc0 wne wi syl wrex wral cesum nfan cicc
      cv nfre1 co adantlr simpr esumpinfval clt ltpnf gtned necom imbi2i neneqd
      wbr mpbi pm2.65da ralnex sylibr r19.21bi cmnf eliccxr xrge0neqmnf xrnemnf
      wo cxr biimpi syl2anc orcomd orcanai mpdan ) ADUFBJZKZCLMZNZCOJZAVRDBAVQD
      BUAZNVRDBUBAVTBCDUCZLMAVTKZBCDEAVTDFVQDBUGUDABEJVTGPAVOCQLUEUHJZVTHUIAVTU
      JUKWBWALWBLWARZSWBWALRZSAWDVTAWALIAWAOJWALULURIWAUMTUNPWDWEWBLWAUOUPUSUQU
      TVQDBVAVBVCVPVQVSVPVSVQVPWCVSVQVHZHWCCVIJZCVDRZWFCQLVECVFWGWHKWFCVGVJVKTV
      LVMVN $.
  $}

  ${
    $d i j k l t $.  $d A a b c j k l r s t u z $.  $d C a b c l s t u z $.
    $d B a b c i k l r s t u z $.  $d F a b c j l r s t u $.  $d W j k $.
    $d ph a b c j k l r s t u z $.
    esum2d.0 $e |- F/_ k F $.
    esum2d.1 $e |- ( z = <. j , k >. -> F = C ) $.
    esum2d.2 $e |- ( ph -> A e. V ) $.
    esum2d.3 $e |- ( ( ph /\ j e. A ) -> B e. W ) $.
    esum2d.4 $e |- ( ( ph /\ ( j e. A /\ k e. B ) ) -> C e. ( 0 [,] +oo ) ) $.
    ${
      esum2dlem.e $e |- ( ph -> A e. Fin ) $.
      $( Lemma for ~ esum2d (finite case).  (Contributed by Thierry Arnoux,
         17-May-2020.)  (Proof shortened by AV, 17-Sep-2021.) $)
      esum2dlem $p |- ( ph ->
        sum* j e. A sum* k e. B C = sum* z e. U_ j e. A ( { j } X. B ) F ) $=
        ( wceq wcel wa cvv va vb vl vt vi cv cesum csn cxp ciun cun esumeq1 nfv
        c0 iuneq1 esumeq1d eqeq12d cc0 esumnul 0iun ax-mp 3eqtr4ri a1i wss cdif
        cxad co simpr nfcsb1v nfesum2 csbeq1a esumeq12d adantl simprr cpnf cicc
        csb wral eldifad adantlr ralrimiva rspcsbela syl2anc simpll adantr wsbc
        sbcimdv sbcan sbcel1v sbcel2 anbi12i bitri vex sbcel1g 3imtr3g syl12anc
        ex wb imp nfcv esumcl esumsnf cop wrex cab wi nfeq2 nfim eqeq2d imbi12d
        opeq1 chvarfv cmpt ccnv wfun vsnid opelxpd c2nd cfv wreu c1st fvex elsn
        xp2nd xp1st sylib eqop mpbirand eqcom bitrdi ad2antlr eqtrd syldan snex
        cin sselda esumsplit xpexg sylancr syl syl2an2 f1mptrn sbcfung csbmpt12
        reu6i csbcnv csbopg csbvarg opeq12d mpteq2dv cnveqd eqtr3id bitrd esumc
        csbconstg funeqd nfab1 rexbidv rexsn elxp2 abid 3bitr4ri eqtrdi oveq12d
        eqri wn eldifbd disjsn sylibr simprl anassrs snssd iunxun nfxp iunxsngf
        xpeq12d uneq2i eqtri iunexg wne nelne2 disjsn2 xpdisj1 iuneq2dv iunin1f
        sneq 3syl iun0 3eqtr3g iunss1 nfiu1 nfan simp-5l simp-4r simplr eqeltrd
        nfcri nfel elsnxp biimpa adantll eliun r19.29af ssiun2sf syl5eq 3eqtr4d
        r19.29af2 findcard2d ) AUAUFZDEGUGZFUGZFUXIFUFZUHZDUIZUJZHBUGZQUNUXJFUG
        ZFUNUXNUJZHBUGZQZUBUFZUXJFUGZFUYAUXNUJZHBUGZQZUYAUCUFZUHZUKZUXJFUGZFUYH
        UXNUJZHBUGZQZCUXJFUGZFCUXNUJZHBUGZQUAUBUCCUXIUNQZUXKUXQUXPUXSUXIUNUXJFU
        LUYPUXOUXRHBUYPBUMFUXIUNUXNUOUPUQUXIUYAQZUXKUYBUXPUYDUXIUYAUXJFULUYQUXO
        UYCHBUYQBUMFUXIUYAUXNUOUPUQUXIUYHQZUXKUYIUXPUYKUXIUYHUXJFULUYRUXOUYJHBU
        YRBUMFUXIUYHUXNUOUPUQUXICQZUXKUYMUXPUYOUXICUXJFULUYSUXOUYNHBUYSBUMFUXIC
        UXNUOUPUQUXTAUNHBUGZURUXSUXQBHUSUXRUNQUXSUYTQFUXNUTUXRUNHBULVAFUXJUSVBV
        CAUYACVDZUYFCUYAVEZRZSZSZUYEUYLVUEUYESZUYBUYGUXJFUGZVFVGZUYDUYGFUYFDVQZ
        UIZHBUGZVFVGZUYIUYKVUFUYBUYDVUGVUKVFVUEUYEVHVUEVUGVUKQUYEVUEVUGVUIFUYFE
        VQZGUGZVUKVUEUXJVUNFUYFVUBFVUIVUMGFUYFDVIZFUYFEVIZVJUXLUYFQZUXJVUNQVUEV
        UQDVUIEVUMGFUYFDVKZFUYFEVKZVLVMAVUAVUCVNZVUEVUIJRZVUMURVOVPVGZRZGVUIVRV
        UNVVBRVUEUYFCRZDJRZFCVRVVAVUEUYFCUYAVUTVSZVUEVVEFCAUXLCRZVVEVUDNVTZWAFU
        YFCDJWBWCZVUEVVCGVUIVUEGUFZVUIRZSZAVVDVVKVVCAVUDVVKWDVUEVVDVVKVVFWEVUEV
        VKVHZAVVDVVKSZVVCAVVGVVJDRZSZFUYFWFZEVVBRZFUYFWFZVVNVVCAVVPVVRFUYFAVVPV
        VROWQWGVVQVVGFUYFWFZVVOFUYFWFZSVVNVVGVVOFUYFWHVVTVVDVWAVVKFUYFCWIZFUYFV
        VJDWJWKWLUYFTRZVVSVVCWRUCWMZFUYFEVVBTWNVAWOWSWPZWAVUIVUMGJGVUIWTZXAWCXB
        VUEVUNUDUFZUYFVVJXCZQZGVUIXDZUDXEZHBUGZVUKVUEBUDVUIVUMVWHHGJVUJKVUEGUMV
        WFBUFZUXLVVJXCZQZHEQZXFVWMVWHQZHVUMQZXFFUCVWQVWRFVWQFUMFHVUMVUPXGXHVUQV
        WOVWQVWPVWRVUQVWNVWHVWMUXLUYFVVJXKXIVUQEVUMHVUSXIXJLXLVVIAVUDVVDGVUIVWH
        XMZXNZXOZVVFAVVDVXAAVVTGDVWNXMZXNZXOZFUYFWFZVVDVXAAVVGVXDFUYFAVVGVXDAVV
        GSZGBDVWNUXNVXFVVOSZUXLVVJUXMDUXLUXMRVXGFXPVCVXFVVOVHXQVWMUXNRZVWMXRXSZ
        DRVXFVWOVVJVXIQZWRZGDVRVWOGDXTVWMUXMDYDVXFVXHSVXKGDVXHVXKVXFVVOVXHVWOVX
        IVVJQZVXJVXHVWOVWMYAXSZUXLQZVXLVXHVXMUXMRVXNVWMUXMDYEVXMUXLVWMYAYBYCYFV
        WMUXLVVJUXMDYGYHVXIVVJYIYJYKWAVWOGDVXIUUEUUAUUBWQWGVWBVWCVXEVXAWRVWDVWC
        VXEFUYFVXCVQZXOVXAFUYFVXCTUUCVWCVXOVWTVWCVXOFUYFVXBVQZXNVWTFUYFVXBUUFVW
        CVXPVWSVWCVXPGVUIFUYFVWNVQZXMVWSFGUYFTDVWNUUDVWCGVUIVXQVWHVWCVXQFUYFUXL
        VQZFUYFVVJVQZXCVWHFUYFUXLVVJTUUGVWCVXRUYFVXSVVJFUYFTUUHFUYFVVJTUUOUUIYL
        UUJYLUUKUULUUPUUMVAWOWSYMVWEVVLUYFVVJUYGVUIUYFUYGRVVLUCXPVCVVMXQUUNVWKV
        UJQVWLVUKQUDVWKVUJVWJUDUUQUDVUJWTVWGUEUFZVVJXCZQZGVUIXDZUEUYGXDVWJVWGVU
        JRVWGVWKRVYCVWJUEUYFVWDVXTUYFQZVYBVWIGVUIVYDVYAVWHVWGVXTUYFVVJXKXIUURUU
        SUEGVWGUYGVUIUUTVWJUDUVAUVBUVEVWKVUJHBULVAUVCYLWEUVDVUEUYIVUHQUYEVUEUYA
        UYGUXJFVUEFUMFUYAWTFUYGWTZUYATRZVUEUBWMZVCUYGTRZVUEUYFYNZVCVUEUYFUYARUV
        FZUYAUYGYOUNQVUEUYFCUYAVUTUVGZUYAUYFUVHUVIVUEUXLUYARZSZAVVGUXJVVBRZAVUD
        VYLWDVUEUYACUXLAVUAVUCUVJZYPZVXFVVEVVRGDVRVYNNVXFVVRGDAVVGVVOVVROUVKWAD
        EGJGDWTXAWCZWCVUEUXLUYGRZSAVVGVYNAVUDVYRWDVUEUYGCUXLVUEUYFCVVFUVLYPVYQW
        CYQWEVUEUYKVULQUYEVUEUYKUYCVUJUKZHBUGZVULUYJVYSQUYKVYTQUYJUYCFUYGUXNUJZ
        UKVYSFUYAUYGUXNUVMWUAVUJUYCVWCWUAVUJQVWDFUYFUXNVUJTFUYGVUIVYEVUOUVNZVUQ
        UXMUYGDVUIUXLUYFUWFVURUVPZUVOVAUVQUVRUYJVYSHBULVAVUEUYCVUJHBVUEBUMBUYCW
        TBVUJWTVUEVYFUXNTRZFUYAVRUYCTRVYGVUEWUDFUYAVYMUXMTRVVEWUDUXLYNVUEVYLVVG
        VVEVYPVVHYMUXMDTJYRYSWAFUYAUXNTTUVSYSVUEVYHVVAVUJTRVYIVVIUYGVUITJYRYSVU
        EFUYAUXNVUJYOZUJFUYAUNUJUYCVUJYOUNVUEFUYAWUEUNVYMUXLUYFUVTZUXMUYGYOUNQW
        UEUNQVYMVYLVYJWUFVUEVYLVHVUEVYJVYLVYKWEUXLUYFUYAUWAWCUXLUYFUWBUXMUYGDVU
        IUWCUWGUWDFUYAUXNVUJWUBUWEFUYAUWHUWIVUEVWMUYCRZSAVWMUYNRZHVVBRZAVUDWUGW
        DVUEUYCUYNVWMVUEVUAUYCUYNVDVYOFUYACUXNUWJYTYPAWUHSZVXHWUIFCAWUHFAFUMFBU
        YNFCUXNUWKUWQUWLWUJVVGSVXHSZVWOWUIGDWUKGUMGHVVBKGVVBWTUWRWUKVVOSZVWOSZH
        EVVBVWOVWPWULLVMWUMAVVGVVOVVRAWUHVVGVXHVVOVWOUWMWUJVVGVXHVVOVWOUWNWUKVV
        OVWOUWOOWPUWPVVGVXHVWOGDXDZWUJVVGVXHWUNGDCUXLVWMUWSUWTUXAUXGWUJWUHVXHFC
        XDAWUHVHFVWMCUXNUXBYFUXCZWCVUEVWMVUJRZSAWUHWUIAVUDWUPWDVUEVUJUYNVWMVUEV
        VDVUJUYNVDVVFFCUXNUYFVUJFCWTFUYFWTWUBWUCUXDYTYPWUOWCYQUXEWEUXFWQPUXH $.
    $}

    $( Write a double extended sum as a sum over a two-dimensional region.
       Note that ` B ( j ) ` is a function of ` j ` .  This can be seen as
       "slicing" the relation ` A ` .  (Contributed by Thierry Arnoux,
       17-May-2020.) $)
    esum2d $p |- ( ph ->
      sum* j e. A sum* k e. B C = sum* z e. U_ j e. A ( { j } X. B ) F ) $=
      ( vc cxr clt wa wcel va vs vt vr vu cpw cfn cin cxrs cc0 cpnf co cress cv
      cicc cesum cmpt cgsu crn csup csn cxp ciun wor a1i wbr wral wrex wceq nfv
      wn wi nfcv nfmpt1 nfrn nfel nfan cle wss xrge0base xrge0cmn elin2d simpll
      simpr elin1d adantr sylib sseldd adantl simp-5l simplr syl12anc r19.29af2
      elpw eqeltrd biimpa r19.29af syl2anc ralrimiva gsummptcl sselid ad3antrrr
      syl simpllr cvv esumcl esumgsum adantlr esummono eqbrtrrd eqbrtrd xrlenlt
      eqid syl21anc ovex elrnmpti breq2d rspcedvd 3anassrs ex jca breq1d notbid
      nfbr ralbidv elpwi sselda adantrr eqidd esumval biimpi sstrd iunss sylibr
      cdm mpbir oveq2d ralrimi adantllr cima iccssxr ccmn vex nfiu1 cop simp-4r
      xrltso elsnxp adantll eliun rnmptss xpexg sylancr iunexg elrnmpt1 nfesum1
      snex nfrex ad2antrr 3ad2antr3 esumlub imbi1d anbi12d rspcedv supcl simprr
      mpd esum2dlem anassrs eqtr3d iunss1 wb mpbid mtbid mpbird nfel1 nfsup w3a
      simpr1l simpr1r breqtrd dmss dmiun sseqtrdi dmxpss snssi rgen sstrdi dmex
      3syl dmfi elind mpteq1 elrnmpt1s nfov simp-4l nfpw nfin wrel rgenw df-rel
      xpss gsummpt2d imass1 iunsnima sseqtrd imaexg ax-mp mpan esumlef mpteq2da
      imafi2 eqtrd 3brtr3d xrltletrd ad2antlr suplub imp breq2 cbvrexvw r19.29a
      id eqsupd 3eqtr4d ) AUACUFZUGUHZUIUJUKUOULZUMULZFUAUNZDEGUPZUQZURULZUQZUS
      ZQRUTPFCFUNZVAZDVBZVCZUFZUGUHZUYHBPUNZHUQZURULZUQZUSZQRUTZCUYJFUPUYRHBUPZ
      AUBUCQUYNVUFRQRVDAUUGVEZAUDUBUCQVUERVUHAVUGUBUNZRVFZVKZUBVUEVGZVUIVUGRVFZ
      VUIUCUNZRVFZUCVUEVHZVLZUBQVGZSZUDUNZVUIRVFZVKZUBVUEVGZVUIVUTRVFZVUPVLZUBQ
      VGZSZUDQVHAVULVURAVUKUBVUEAVUIVUETZSZVUIVUCVIZVUKPUYTAVVHPAPVJZPVUIVUEPVU
      IVMZPVUDPUYTVUCVNVOZVPVQVVIVUAUYTTZSZVVJSZVUIQTZVUGQTZVUIVUGVRVFZVUKVVPVU
      EQVUIAVUEQVSZVVHVVNVVJAVUCQTZPUYTVGVVTAVWAPUYTAVVNSZUYGQVUCUJUKUUAZVWBUYG
      BUYHVUAHVTUYHUUBTZVWBWAVEZVWBUYSUGVUAAVVNWDZWBZVWBHUYGTZBVUAVWBBUNZVUATZS
      ZAVWIUYRTZVWHAVVNVWJWCVWKVUAUYRVWIVWKVUAUYSTZVUAUYRVSZVWBVWMVWJVWBUYSUGVU
      AVWFWEZWFVUAUYRPUUCZWNZWGVWBVWJWDWHAVWLSZVWIUYQTZVWHFCAVWLFAFVJZFVWIUYRFV
      WIVMFCUYQUUDZVPVQVWRUYOCTZSVWSSZVWIUYOGUNZUUEVIZVWHGDVXCGVJGHUYGKGUYGVMVP
      VXCVXDDTZSZVXESZHEUYGVXEHEVIVXGLWIVXHAVXBVXFEUYGTZAVWLVXBVWSVXFVXEWJVWRVX
      BVWSVXFVXEUUFVXCVXFVXEWKOWLWOVXBVWSVXEGDVHZVWRVXBVWSVXJGDCUYOVWIUUHWPUUIW
      MVWRVWLVWSFCVHAVWLWDFVWICUYQUUJWGWQZWRZWSWTXAWSPUYTVUCQVUDVUDXMZUUKXCXBAV
      VHVVNVVJXDWHAVVRVVHVVNVVJAUYGQVUGVWCAUYRXETZVWHBUYRVGVUGUYGTACITUYQXETZFC
      VGVXNMAVXOFCAVXBSZUYPXETDJTZVXOUYOUUQNUYPDXEJUULUUMWSFCUYQIXEUUNWRZAVWHBU
      YRVXKWSUYRHBXEBUYRVMZXFWRXAZXBVVPVUIVUCVUGVRVVOVVJWDVVOVUCVUGVRVFZVVJAVVN
      VYAVVHVWBVUAHBUPZVUCVUGVRVWBVUAHBVWBBVJZBVUAVMVWGVXLXGZVWBVUAHUYRBXEVYCAV
      XNVVNVXRWFAVWLVWHVVNVXKXHVWBVWMVWNVWOVWQWGZXIXJXHWFXKVVQVVRSVVSVUKVUIVUGX
      LWPXNVVIVVHVVJPUYTVHAVVHWDPUYTVUCVUIVUDVXMUYHVUBURXOZXPWGWQWSAVUQUBQAVVQS
      ZVUMVUPVYGVUMSZVUIVYBRVFZVUPPUYTVYHPVJVUOPUCVUEVVMVUOPVJUURVYHVVNSZVYISZV
      UOVYIUCVYBVUEVYKVYBVUCVUEVYJVYBVUCVIZVYIVYGVVNVYLVUMAVVNVYLVVQVYDXHXHWFVY
      KVVNVUCXETZVUCVUETVYHVVNVYIWKVYMVYKVYFVEPUYTVUCVUDXEVXMUUOWRWOVYKVUNVYBVI
      ZSVUNVYBVUIRVYKVYNWDXQVYJVYIWDXRVYHUYRHBXEVUIPVYGVUMBVYGBVJZBVUIVUGRBVUIV
      MZBRVMZUYRHBVXSUUPYDVQAVXNVVQVUMVXRUUSAVVQVUMVWLVWHAVVQVWLVWHVUMVXKUUTXSA
      VVQVUMWKVYGVUMWDUVAWMXTWSYAAVVGVUSUDVUGQVXTAVUTVUGVIZSZVVCVULVVFVURVYSVVB
      VUKUBVUEVYSVVAVUJVYSVUTVUGVUIRAVYRWDZYBYCYEVYSVVEVUQUBQVYSVVDVUMVUPVYSVUT
      VUGVUIRVYTXQUVBYEUVCUVDUVGZUVEAVUIUYNTZSZVUIUYLVIZVUFVUIRVFZVKZUAUYFAWUBU
      AAUAVJUAVUIUYNUAVUIVMUAUYMUAUYFUYLVNVOVPVQWUCUYIUYFTZSZWUDSZWUFVUFUYLRVFZ
      VKZWUHWUKWUDAWUGWUKWUBAWUGSZVUGUYLRVFZWUJWULUYLVUGVRVFZWUMVKZWULFUYIUYQVC
      ZHBUPZUYLVUGVRWULUYIUYJFUPWUQUYLWULBUYIDEFGHUYFJKLAWUGWDZWULUYOUYITZSZAVX
      BVXQAWUGWUSWCZWULUYICUYOWULUYIUYETUYICVSZWULUYEUGUYIWURWEUYICYFXCZYGZNWRW
      ULWUSVXFSSAVXBVXFVXIWULWUSAVXFWVAYHWULWUSVXBVXFWVDYHWULWUSVXFUVFOWLWULUYE
      UGUYIWURWBZUVHWULUYIUYJFWULFVJFUYIVMWVEWUTAVXBUYJUYGTZWVAWVDVXPVXQVXIGDVG
      WVFNVXPVXIGDAVXBVXFVXIOUVIWSDEGJGDVMXFWRZWRZXGUVJWULWUPHUYRBXEWULBVJAVXNW
      UGVXRWFAVWLVWHWUGVXKXHWULWVBWUPUYRVSWVCFUYICUYQUVKXCXIXJWULUYLQTVVRWUNWUO
      UVLWULUYGQUYLVWCWULUYGFUYHUYIUYJVTVWDWULWAVEWVEWULWVFFUYIWVHWSWTXAAVVRWUG
      VXTWFUYLVUGXLWRUVMWULVUGVUFUYLRAVUGVUFVIWUGAPUYRHVUCBXEABVJVXSVXRVXKVWBVU
      CYIYJZWFYBUVNXHWFWUIWUEWUJWUIVUIUYLVUFRWUHWUDWDXQYCUVOWUBWUDUAUYFVHZAWUBW
      VJUAUYFUYLVUIUYMUYMXMZUYHUYKURXOXPYKWIWQAVVQVUIVUFRVFZSZSZVUIUEUNZRVFZVUO
      UCUYNVHZUEVUEWVNWVOVUETZSZWVPSZWVOVUCVIZWVQPUYTWVSWVPPWVNWVRPAWVMPVVKVVQW
      VLPPVUIQVVLUVPPVUIVUFRVVLPRVMZPVUEQRVVMPQVMWWBUVQYDVQVQPWVOVUEPWVOVMVVMVP
      VQWVPPVJVQWVTVVNSZWWASZVYGWVLSVUIVUCRVFZVVNWVQWWDVYGWVLWWDAVVQAWVMWVRWVPV
      VNWWAWJWVSWVPVVNWWAVVQAWVMWVRWVPVVNWWAUVRZVVQVVQWVLWVRWWFAUVSXSXSYAWVSWVP
      VVNWWAWVLAWVMWVRWWFWVLVVQWVLWVRWWFAUVTXSXSYAWWDVUIWVOVUCRWVSWVPVVNWWAXDWW
      CWWAWDUWAWVTVVNWWAWKVYGWWEVVNWVQWVLVYGWWESZVVNSZVUOVUIUYHFVUAYOZUYJUQZURU
      LZRVFUCWWKUYNWWHWWIUYFTWWKXETZWWKUYNTWWHUYEUGWWIWWHVWMVWNWWIUYETZWWHUYSUG
      VUAWWGVVNWDZWEZVUAUYRYFZVWNWWICVSZWWMVWNWWIFCUYQYOZVCZCVWNWWIUYRYOWWSVUAU
      YRUWBFCUYQUWCUWDWWSCVSWWRCVSZFCVGWWTFCVXBWWRUYPCWWRUYPVSVXBUYPDUWEVEUYOCU
      WFYLUWGFCWWRCYMYPUWHZWWICVUAVWPUWIZWNYNUWJWWHVUAUGTZWWIUGTZWWHUYSUGVUAWWN
      WBZVUAUWKZXCZUWLWWLWWHUYHWWJURXOVEUAUYFUYLWWKWWIUYMXEWVKUYIWWIVIUYKWWJUYH
      URFUYIWWIUYJUWMYQUWNWRWWHVUNWWKVIZSVUNWWKVUIRWWHWXHWDXQWWHVUIVUCWWKAVVQWW
      EVVNXDWWHUYGQVUCVWCWWHUYGBUYHVUAHVTVWDWWHWAVEZWXEWWHVWHBVUAWWGVVNBVYGWWEB
      VYOBVUIVUCRVYPVYQBUYHVUBURBUYHVMBURVMBVUAHVNUWOYDVQVVNBVJVQWWHVWJVWHWWHVW
      JSAVWLVWHAVVQWWEVVNVWJUWPWWHVUAUYRVWIWWHVWMVWNWWOWWPXCYGVXKWRXTYRWTXAWWHU
      YGQWWKVWCWWHUYGFUYHWWIUYJVTWXIWXGWWHWVFFWWIWWGVVNFWWGFVJFVUAUYTFVUAVMFUYS
      UGFUYRVXAUWQFUGVMUWRVPZVQWWHUYOWWITZWVFVYGVVNWXKWVFWWEAVVNWXKWVFVVQVWBWXK
      SZAVXBWVFAVVNWXKWCZVWBWWICUYOVWBVWNWWQVYEWXAXCYGZWVGWRZYSYSXTYRWTXAVYGWWE
      VVNWKVYGVVNVUCWWKVRVFZWWEAVVNWXPVVQVWBVUCUYHFWWIUYHGVUAUYPYTZEUQURULZUQZU
      RULZWWKVRVWBBFGVUAUYGHEUYHKAVVNFVWTWXJVQZVTLVWBVUAXEXEVBZVSZVUAUWSVWBVWNW
      YCVYEVWNVUAUYRWYBVWNUYBUYRWYBVSZVWNWYDUYQWYBVSZFCVGWYEFCUYPDUXBUWTFCUYQWY
      BYMYPVEYLXCVUAUXAYNVWGVWEVXLUXCVWBWWIWXQEGUPZFUPZWWIUYJFUPWXTWWKVRVWBWWIW
      YFUYJFXEWYAFWWIVMZWWIXETVWBWXBVEWXLVXIGWXQVGZWYFUYGTZWXLVXIGWXQWXLVXDWXQT
      ZSAVXBVXFVXIWXLAWYKWXMWFWXLVXBWYKWXNWFWXLWXQDVXDWXLWXQUYRUYPYTZDWXLVWNWXQ
      WYLVSVWBVWNWXKVYEWFVUAUYRUYPUXDXCWXLAVXBWYLDVIWXMWXNAFCDIJMNUXEWRUXFZYGOW
      LZWSWXQXETZWYIWYJVUAXETWYOVWPVUAUYPXEUXGUXHWXQEGXEGWXQVMZXFUXIXCZWXOWXLWX
      QEDGJWXLGVJZWXLAVXBVXQWXMWXNNWRWXLVXFSAVXBVXFVXIWXLAVXFWXMWFWXLVXBVXFWXNW
      FWXLVXFWDOWLWYMXIUXJVWBWYGUYHFWWIWYFUQZURULWXTVWBWWIWYFFWYAWYHVWBWXCWXDVW
      GWXFXCZWYQXGVWBWYSWXSUYHURVWBFWWIWYFWXRWYAWXLWXQEGWYRWYPWXLWXCWXQUGTVWBWX
      CWXKVWGWFVUAUYPUXLXCWYNXGUXKYQUXMVWBWWIUYJFWYAWYHWYTWXOXGUXNXKXHXHUXOXRYS
      XNWVRWWAPUYTVHZWVNWVPWVRXUAPUYTVUCWVOVUDVXMVYFXPYKUXPWQWVNVUPWVPUEVUEVHAW
      VMVUPAUDUBUCQVUEVUIRVUHWUAUXQUXRVUOWVPUCUEVUEVUNWVOVUIRUXSUXTWGUYAUYCAUAC
      UYJUYLFIVWTFCVMMWVGWULUYLYIYJWVIUYD $.
  $}

  ${
    $d A f j k l z $.  $d B f k l z $.  $d C f j z $.  $d W j k $.
    $d f j k l z ph $.
    esumiun.0 $e |- ( ph -> A e. V ) $.
    esumiun.1 $e |- ( ( ph /\ j e. A ) -> B e. W ) $.
    esumiun.2 $e |- ( ( ( ph /\ j e. A ) /\ k e. B ) -> C e. ( 0 [,] +oo ) ) $.
    $( Sum over a nonnecessarily disjoint indexed union.  The inequality is
       strict in the case where the sets B(x) overlap.  (Contributed by Thierry
       Arnoux, 21-Sep-2019.) $)
    esumiun $p |- ( ph ->
        sum* k e. U_ j e. A B C <_ sum* j e. A sum* k e. B C ) $=
      ( vf vz cfv wceq wa cvv nfcv wcel syl2anc ciun crn wf1o c2nd wral csn cxp
      vl wss cesum cle wbr wf1 wex aciunf1 f1f1orn anim1i f1f frnd adantr eximi
      jca syl csb ccnv nfv nfcsb1v csbeq1a ralrimiva iunexg simprl f1ocnv nfiu1
      cv adantrlr nfrn nff1o nfralw nfan nfss simpr fveq2d simplr simpld simprd
      simp-4r ad2antrr 2fveq3 eqeq12d rspcva eqtr3d f1ocnvfv1 3eqtr2rd wfn wrex
      id f1ofn simpllr fvelrnb biimpa r19.29a simprr sselda eliun r19.29af cpnf
      sylib cc0 cicc co nfel adantllr biimpi adantl adantlr esumf1o eqcomd snex
      a1i xpexd c1st nfcsbw simplll rspcsbela xp1st elsni xp2nd sylbi r19.29af2
      reximi esummono eqbrtrrd cop vex op2ndd anasss esum2d breqtrrd exlimddv )
      AEBCUAZLVNZUBZUUAUCZUHVNZUUANUDNZUUDOZUHYTUEZPZUUBEBEVNZUFZCUGZUAZUIZPZYT
      DFUJZBCDFUJEUJZUKULLAYTUULUUAUMZUUGPZLUNUUNLUNABCLEUHGHIJUOUURUUNLUURUUHU
      UMUUQUUCUUGYTUULUUAUPUQUUQUUMUUGUUQYTUULUUAYTUULUUAURUSUTVBVAVCAUUNPZUUOU
      ULFMVNZUDNZDVDZMUJZUUPUKUUSUUBUVBMUJZUUOUVCUKUUSUUOUVDUUSYTDUUBUVBFMUUAVE
      ZUVAQUUSMVFZMDRFUVADVGZMYTRMUUBRMUVERFUVADVHZAYTQSZUUNABGSZCHSZEBUEUVIIAU
      VKEBJVIEBCGHVJTUTAUUCUUMUUBYTUVEUCZUUGAUUCUUMPPUUCUVLAUUCUUMVKYTUUBUUAVLV
      CVOUUSUUTUUBSZPZUUTUUKSZUUTUVENZUVAOZEBUUSUVMEAUUNEAEVFZUUHUUMEUUCUUGEEYT
      UUBUUAEUUARZEBCVMZEUUAUVSVPVQUUFEUHYTUVTUUFEVFVRVSEUUBUULEUUBREBUUKVMZVTV
      SVSUVMEVFVSUVNUUIBSZPUVOPZFVNZUUANZUUTOZUVQFYTUWCUWDYTSZPZUWFPZUVAUWDUWEU
      VENZUVPUWIUWEUDNZUVAUWDUWIUWEUUTUDUWHUWFWAZWBUWIUWGUUGUWKUWDOZUWCUWGUWFWC
      ZUWCUUGUWGUWFUWCUUCUUGUWCUUHUUMAUUNUVMUWBUVOWFWDZWEWGUUFUWMUHUWDYTUUDUWDO
      ZUUEUWKUUDUWDUUDUWDUDUUAWHUWPWPWIWJTWKUWIUUCUWGUWJUWDOUWCUUCUWGUWFUWCUUCU
      UGUWOWDZWGUWNYTUUBUWDUUAWLTUWIUWEUUTUVEUWLWBWMUWCUUAYTWNZUVMUWFFYTWOZUWCU
      UCUWRUWQYTUUBUUAWQVCUUSUVMUWBUVOWRUWRUVMUWSFYTUUTUUAWSWTTXAUVNUUTUULSZUVO
      EBWOZUUSUUBUULUUTAUUHUUMXBXCEUUTBUUKXDZXGXEAUWGDXHXFXIXJZSZUUNAUWGPUWDCSZ
      UXDEBAUWGEUVREUWDYTEUWDRUVTXKVSAUWBUXEUXDUWGKXLUWGUXEEBWOZAUWGUXFEUWDBCXD
      XMXNXEXOXPXQUUSUUBUVBUULMQUVFAUULQSZUUNAUVJUUKQSZEBUEUXGIAUXHEBAUWBPZUUJC
      QHUUJQSUXIUUIXRXSJXTVIEBUUKGQVJTUTAUWTUVBUXCSZUUNAUWTPZUUTYANZUUIOZUVACSZ
      PZUXJEBAUWTEUVREUUTUULEUUTRUWAXKVSEUVBUXCEFUVADEUVAREDRYBEUXCRXKUXKUWBPZU
      XOPZUXNUXDFCUEZUXJUXPUXMUXNXBUXQAUWBUXRAUWTUWBUXOYCUXKUWBUXOWCUXIUXDFCKVI
      TFUVACDUXCYDTUWTUXOEBWOZAUWTUXAUXSUXBUVOUXOEBUVOUXMUXNUVOUXLUUJSUXMUUTUUJ
      CYEUXLUUIYFVCUUTUUJCYGVBYJYHXNYIXOAUUCUUMUUMUUGAUUCUUMXBVOYKYLAUUPUVCOUUN
      AMBCDEFUVBGHUVGUUTUUIUWDYMOZDUVBUXTUWDUVAODUVBOUXTUVAUWDUUIUWDUUTEYNFYNYO
      XQUVHVCXQIJAUWBUXEUXDKYPYQUTYRYS $.
  $}

$( End $[ set-mbox-ta-esum.mm $] $)


$( Begin $[ set-mbox-ta-ofc.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Mixed Function/Constant operation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c oFC $.  $( A small o with F/C subscript $)

  $( Extend class notation to include mapping of an operation to an operation
     for a function and a constant. $)
  cofc $a class oFC R $.

  ${
    $d f c x R $.
    $( Define the function/constant operation map.  The definition is designed
       so that if ` R ` is a binary operation, then ` oFC R ` is the analogous
       operation on functions and constants.  (Contributed by Thierry Arnoux,
       21-Jan-2017.) $)
    df-ofc $a |- oFC R = ( f e. _V , c e. _V |->
      ( x e. dom f |-> ( ( f ` x ) R c ) ) ) $.
  $}

  ${
    $d c f x R $.  $d c f x S $.
    $( Equality theorem for function/constant operation.  (Contributed by
       Thierry Arnoux, 30-Jan-2017.) $)
    ofceq $p |- ( R = S -> oFC R = oFC S ) $=
      ( vf vc vx wceq cvv cv cdm cfv co cmpt cmpo cofc mpteq2dv mpoeq3dv df-ofc
      oveq 3eqtr4g ) ABFZCDGGECHZIZEHUAJZDHZAKZLZMCDGGEUBUCUDBKZLZMANBNTCDGGUFU
      HTEUBUEUGUCUDABROPEACDQEBCDQS $.
  $}

  ${
    $d c f x C $.  $d c f x F $.  $d c f x R $.  $d c f x ph $.
    ofcfval.1 $e |- ( ph -> F Fn A ) $.
    ofcfval.2 $e |- ( ph -> A e. V ) $.
    ofcfval.3 $e |- ( ph -> C e. W ) $.
    ${
      ofcfval.6 $e |- ( ( ph /\ x e. A ) -> ( F ` x ) = B ) $.
      $( Value of an operation applied to a function and a constant.
         (Contributed by Thierry Arnoux, 30-Jan-2017.) $)
      ofcfval $p |- ( ph -> ( F oFC R C ) = ( x e. A |-> ( B R C ) ) ) $=
        ( vf vc co cvv wceq wa wcel cofc cdm cv cfv cmpt cmpo df-ofc a1i simprl
        dmeqd fveq1d simprr oveq12d mpteq12dv fnex syl2anc elexd eqeltrd mptexd
        wfn fndmd ovmpod eleq2d pm5.32i sylbi oveq1d mpteq12dva eqtrd ) AGEFUAZ
        PBGUBZBUCZGUDZEFPZUEZBCDEFPZUEANOGEQQBNUCZUBZVKVPUDZOUCZFPZUEZVNVIQVINO
        QQWAUFRABFNOUGUHAVPGRZVSERZSSZBVQVTVJVMWDVPGAWBWCUIZUJWDVRVLVSEFWDVKVPG
        WEUKAWBWCULUMUNAGCUTCHTGQTJKCHGUOUPAEILUQABVJVMHAVJCHACGJVAZKURUSVBABVJ
        VMCVOWFAVKVJTZSZVLDEFWHAVKCTZSVLDRAWGWIAVJCVKWFVCVDMVEVFVGVH $.
    $}

    $d x A $.
    ${
      $d x X $.
      ofcval.6 $e |- ( ( ph /\ X e. A ) -> ( F ` X ) = B ) $.
      $( Evaluate a function/constant operation at a point.  (Contributed by
         Thierry Arnoux, 31-Jan-2017.) $)
      ofcval $p |- ( ( ph /\ X e. A ) -> ( ( F oFC R C ) ` X ) = ( B R C ) ) $=
        ( vx wcel wa co cfv wceq simpr cofc cv cmpt eqidd ofcfval adantr fveq2d
        cvv oveq1d ovexd fvmptd eqtrd ) AIBOZPZIFDEUAQZRIFRZDEQZCDEQUNNINUBZFRZ
        DEQZUQBUOUHAUONBUTUCSUMANBUSDEFGHJKLAURBOPUSUDUEUFUNURISZPZUSUPDEVBURIF
        UNVATUGUIAUMTUNUPDEUJUKUNUPCDEMUIUL $.
    $}

    $( The function operation produces a function.  (Contributed by Thierry
       Arnoux, 31-Jan-2017.) $)
    ofcfn $p |- ( ph -> ( F oFC R C ) Fn A ) $=
      ( vx cofc co wfn cv cfv cmpt ovex eqid fnmpti wcel wa eqidd fneq1d mpbiri
      ofcfval ) AECDLMZBNKBKOZEPZCDMZQZBNKBUJUKUICDRUKSTABUGUKAKBUICDEFGHIJAUHB
      UAUBUIUCUFUDUE $.
  $}

  ${
    $d x y C $.  $d x y F $.  $d x y P $.  $d x y R $.  $d x y ph $.  $d y B $.
    ofcfeqd2.1 $e |- ( ( ph /\ x e. A ) -> ( F ` x ) e. B ) $.
    ofcfeqd2.2 $e |- ( ( ph /\ y e. B ) -> ( y R C ) = ( y P C ) ) $.
    ofcfeqd2.3 $e |- ( ph -> F Fn A ) $.
    ofcfeqd2.4 $e |- ( ph -> A e. V ) $.
    ofcfeqd2.5 $e |- ( ph -> C e. W ) $.
    $( Equality theorem for function/constant operation value.  (Contributed by
       Thierry Arnoux, 31-Jan-2017.) $)
    ofcfeqd2 $p |- ( ph -> ( F oFC R C ) = ( F oFC P C ) ) $=
      ( cv co cmpt wceq cfv cofc wcel wa oveq1 eqeq12d ralrimiva adantr rspcdva
      wral mpteq2dva eqidd ofcfval 3eqtr4d ) ABDBQZIUAZFHRZSBDUPFGRZSIFHUBRIFGU
      BRABDUQURAUODUCZUDZCQZFHRZVAFGRZTZUQURTCEUPVAUPTVBUQVCURVAUPFHUEVAUPFGUEU
      FAVDCEUJUSAVDCEMUGUHLUIUKABDUPFHIJKNOPUTUPULZUMABDUPFGIJKNOPVEUMUN $.
  $}

  ${
    $d c f x C $.  $d c f x F $.  $d c f x R $.
    $( General value of ` ( F oFC R C ) ` with no assumptions on functionality
       of ` F ` .  (Contributed by Thierry Arnoux, 31-Jan-2017.) $)
    ofcfval3 $p |- ( ( F e. V /\ C e. W ) -> ( F oFC R C ) =
        ( x e. dom F |-> ( ( F ` x ) R C ) ) ) $=
      ( vf vc wcel wa cvv cdm cv cfv co cmpt cofc wceq elex adantr adantl dmexg
      mptexg simpl dmeqd fveq1d simpr oveq12d mpteq12dv df-ofc ovmpoga syl3anc
      syl ) DEIZBFIZJDKIZBKIZADLZAMZDNZBCOZPZKIZDBCQZOVBRUNUPUODESTUOUQUNBFSUAU
      NVCUOUNURKIVCDEUBAURVAKUCUMTGHDBKKAGMZLZUSVENZHMZCOZPVBVDKVEDRZVHBRZJZAVF
      VIURVAVLVEDVJVKUDZUEVLVGUTVHBCVLUSVEDVMUFVJVKUGUHUIACGHUJUKUL $.
  $}

  ${
    $d z A $.  $d y z C $.  $d x y z F $.  $d x y z R $.  $d x y S $.
    $d x y T $.  $d x y z U $.  $d x y z ph $.
    ofcf.1 $e |- ( ( ph /\ ( x e. S /\ y e. T ) ) -> ( x R y ) e. U ) $.
    ofcf.2 $e |- ( ph -> F : A --> S ) $.
    ofcf.4 $e |- ( ph -> A e. V ) $.
    ofcf.5 $e |- ( ph -> C e. T ) $.
    $( The function/constant operation produces a function.  (Contributed by
       Thierry Arnoux, 30-Jan-2017.) $)
    ofcf $p |- ( ph -> ( F oFC R C ) : A --> U ) $=
      ( vz cv co wcel wral cfv cofc ffnd wa ofcfval ffvelrnda adantr ralrimivva
      eqidd ovrspc2v syl21anc fmpt3d ) APDPQZJUAZEFRZIJEFUBRAPDUNEFJKHADGJMUCNO
      AUMDSZUDZUNUIUEUQUNGSEHSZBQCQFRISZCHTBGTZUOISADGUMJMUFAURUPOUGAUTUPAUSBCG
      HLUHUGBCGHIFUNEUJUKUL $.
  $}

  ${
    $d x A $.  $d x C $.  $d x F $.  $d x R $.  $d x ph $.
    ofcfval2.1 $e |- ( ph -> A e. V ) $.
    ofcfval2.2 $e |- ( ph -> C e. W ) $.
    ofcfval2.3 $e |- ( ( ph /\ x e. A ) -> B e. X ) $.
    ofcfval2.4 $e |- ( ph -> F = ( x e. A |-> B ) ) $.
    $( The function operation expressed as a mapping.  (Contributed by Thierry
       Arnoux, 31-Jan-2017.) $)
    ofcfval2 $p |- ( ph -> ( F oFC R C ) = ( x e. A |-> ( B R C ) ) ) $=
      ( wfn cmpt wcel wral ralrimiva eqid fnmpt fneq1d mpbird fvmpt2d ofcfval
      syl ) ABCDEFGHIAGCOBCDPZCOZADJQZBCRUHAUIBCMSBCDUGJUGTUAUFACGUGNUBUCKLABCD
      GJNMUDUE $.
  $}

  ${
    $d y A $.  $d x y B $.  $d x y C $.  $d x y F $.  $d x y R $.  $d y ph $.
    ofcfval4.1 $e |- ( ph -> F : A --> B ) $.
    ofcfval4.2 $e |- ( ph -> A e. V ) $.
    ofcfval4.3 $e |- ( ph -> C e. W ) $.
    $( The function/constant operation expressed as an operation composition.
       (Contributed by Thierry Arnoux, 31-Jan-2017.) $)
    ofcfval4 $p |- ( ph ->
                         ( F oFC R C ) = ( ( x e. B |-> ( x R C ) ) o. F ) ) $=
      ( vy cdm cv cfv co cmpt cvv wcel cofc ccom fdmd mpteq1d wceq fexd syl2anc
      ofcfval3 ffvelrnda feqmptd eqidd oveq1 fmptco 3eqtr4d ) AMGNZMOZGPZEFQZRZ
      MCURRGEFUAQZBDBOZEFQZRZGUBAMUOCURACDGJUCUDAGSTEITUTUSUEACDHGJKUFLMEFGSIUH
      UGAMBCDUQVBURGVCACDUPGJUIAMCDGJUJAVCUKVAUQEFULUMUN $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x R $.  $d x ph $.
    ofcc.1 $e |- ( ph -> A e. V ) $.
    ofcc.2 $e |- ( ph -> B e. W ) $.
    ofcc.3 $e |- ( ph -> C e. X ) $.
    $( Left operation by a constant on a mixed operation with a constant.
       (Contributed by Thierry Arnoux, 31-Jan-2017.) $)
    ofcc $p |- ( ph -> ( ( A X. { B } ) oFC R C ) = ( A X. { ( B R C ) } ) ) $=
      ( vx csn cxp cofc co cmpt wcel wfn fnconstg syl cv wceq fvconst2g ofcfval
      cfv sylan fconstmpt eqtr4di ) ABCMNZDEOPLBCDEPZQBUKMNALBCDEUJFHACGRZUJBSJ
      BCGTUAIKAULLUBZBRUMUJUFCUCJBCUMGUDUGUELBUKUHUI $.
  $}

  ${
    $d x A $.  $d x C $.  $d x F $.  $d x R $.  $d x ph $.
    ofcof.1 $e |- ( ph -> F : A --> B ) $.
    ofcof.2 $e |- ( ph -> A e. V ) $.
    ofcof.3 $e |- ( ph -> C e. W ) $.
    $( Relate function operation with operation with a constant.  (Contributed
       by Thierry Arnoux, 3-Oct-2018.) $)
    ofcof $p |- ( ph -> ( F oFC R C ) = ( F oF R ( A X. { C } ) ) ) $=
      ( vx cofc co cv cfv cmpt csn cxp wcel cof ffnd eqidd ofcfval wfn fnconstg
      wa syl inidm wceq fvconst2g sylan offval eqtr4d ) AFDEMNLBLOZFPZDENQFBDRS
      ZEUANALBUPDEFGHABCFIUBZJKAUOBTZUGUPUCZUDALBBUPDEBFUQGGURADHTZUQBUEKBDHUFU
      HJJBUIUTAVAUSUOUQPDUJKBDUOHUKULUMUN $.
  $}

$( End $[ set-mbox-ta-ofc.mm $] $)


$( Begin $[ set-mbox-ta-meas.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Abstract measure
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Sigma-Algebra
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c sigAlgebra $.

  $( Extend class notation to include the function giving the sigma-algebras on
     a given base set. $)
  csiga $a class sigAlgebra $.

  ${
    $d o s x $.
    $( Define a sigma-algebra, i.e. a set closed under complement and countable
       union.  Literature usually uses capital greek sigma and omega letters
       for the algebra set, and the base set respectively.  We are using ` S `
       and ` O ` as a parallel.  (Contributed by Thierry Arnoux,
       3-Sep-2016.) $)
    df-siga $a |- sigAlgebra = ( o e. _V |-> { s | ( s C_ ~P o /\
      ( o e. s /\ A. x e. s ( o \ x ) e. s
      /\ A. x e. ~P s ( x ~<_ _om -> U. x e. s ) ) ) } ) $.
  $}

  ${
    $d o s $.
    $( Lemma for ~ issiga and ~ isrnsiga .  The class of sigma-algebras with
       base set ` o ` is a set.  Note: a more generic version with
       ` ( O e. _V -> ... ) ` could be useful for ~ sigaval .  (Contributed by
       Thierry Arnoux, 24-Oct-2016.) $)
    sigaex $p |- { s | ( s C_ ~P o /\ ( o e. s /\ A. x e. s ( o \ x ) e. s
      /\ A. x e. ~P s ( x ~<_ _om -> U. x e. s ) ) ) } e. _V $=
      ( cv wcel cdif wral com cdom wbr cuni wi cpw w3a crab wss cab cvv pwexg
      wa df-rab velpw anbi1i abbii eqtri vex mp2b rabex eqeltrri ) BDZCDZEUJADZ
      FUKEAUKGULHIJULKUKELAUKMGNZCUJMZMZOZUKUNPZUMTZCQZRUPUKUOEZUMTZCQUSUMCUOUA
      VAURCUTUQUMCUNUBUCUDUEUMCUOUJREUNREUOREBUFUJRSUNRSUGUHUI $.
  $}

  ${
    $d s o x O $.
    $( The set of sigma-algebra with a given base set.  (Contributed by Thierry
       Arnoux, 23-Sep-2016.) $)
    sigaval $p |- ( O e. _V -> ( sigAlgebra ` O ) = { s | ( s C_ ~P O /\
      ( O e. s /\ A. x e. s ( O \ x ) e. s
      /\ A. x e. ~P s ( x ~<_ _om -> U. x e. s ) ) ) } ) $=
      ( vo cvv wcel cv cpw wss cdif wral com cdom wbr w3a cab csiga wceq pwexg
      wa cuni wi cfv crab df-rab velpw anbi1i abbii eqtri rabexg 3syl eqeltrrid
      sseq2d eleq1 difeq1 eleq1d ralbidv 3anbi12d anbi12d abbidv df-siga fvmptg
      pweq mpdan ) BEFZCGZBHZIZBVFFZBAGZJZVFFZAVFKZVJLMNVJUAVFFUBAVFHKZOZTZCPZE
      FBQUCVQRVEVQVOCVGHZUDZEVSVFVRFZVOTZCPVQVOCVRUEWAVPCVTVHVOCVGUFUGUHUIVEVGE
      FVREFVSEFBESVGESVOCVREUJUKULDBVFDGZHZIZWBVFFZWBVJJZVFFZAVFKZVNOZTZCPVQEEQ
      WBBRZWJVPCWKWDVHWIVOWKWCVGVFWBBVCUMWKWEVIWHVMVNWBBVFUNWKWGVLAVFWKWFVKVFWB
      BVJUOUPUQURUSUTADCVAVBVD $.
  $}

  ${
    $d o s x O $.  $d o s x S $.
    $( An alternative definition of the sigma-algebra, for a given base set.
       (Contributed by Thierry Arnoux, 19-Sep-2016.) $)
    issiga $p |- ( S e. _V -> ( S e. ( sigAlgebra ` O ) <->
      ( S C_ ~P O /\ ( O e. S /\ A. x e. S ( O \ x ) e. S
      /\ A. x e. ~P S ( x ~<_ _om -> U. x e. S ) ) ) ) ) $=
      ( vs vo cvv wcel wa csiga cpw wss cv cdif wral wi w3a elex a1i wb wceq
      cfv com cdom wbr cuni elfvex jca simpr1 anc2ri df-siga sigaex pweq sseq2d
      syl sseq1 eleq12 simpr difeq1 adantr eleq1d eleq2 adantl raleqbidv imbi2d
      sylan9bb bitrd 3anbi123d anbi12d abfmpel pm5.21ndd ) BFGZCFGZVKHZBCIUAZGZ
      BCJZKZCBGZCALZMZBGZABNZVSUBUCUDZVSUEZBGZOZABJZNZPZHZVOVMOVKVOVLVKBCIUFBVN
      QUGRVKWJVLWJVLOVKWJVRVLVQVRWBWHUHCBQUNRUIVMVOWJSOVKDLZELZJZKZWLWKGZWLVSMZ
      WKGZAWKNZWCWDWKGZOZAWKJZNZPZHWJEDCBIFFAEDUJAEDUKWLCTZWKBTZHZWNVQXCWIXDWNW
      KVPKXEVQXDWMVPWKWLCULUMWKBVPUOVEXFWOVRWRWBXBWHWLCWKBUPXFWQWAAWKBXDXEUQXFW
      QVTWKGZWAXFWPVTWKXDWPVTTXEWLCVSURUSUTXEXGWASXDWKBVTVAVBVFVCXEXBWHSXDXEWTW
      FAXAWGWKBULXEWSWEWCWKBWDVAVDVCVBVGVHVIRVJ $.
  $}

  ${
    $d o s x S $.
    $( The property of being a sigma-algebra on an indefinite base set.
       (Contributed by Thierry Arnoux, 3-Sep-2016.)  (Proof shortened by
       Thierry Arnoux, 23-Oct-2016.) $)
    isrnsiga $p |- ( S e. U. ran sigAlgebra <-> ( S e. _V /\
      E. o ( S C_ ~P o /\ ( o e. S /\ A. x e. S ( o \ x ) e. S
      /\ A. x e. ~P S ( x ~<_ _om -> U. x e. S ) ) ) ) ) $=
      ( vs csiga crn cuni wcel cvv cv cpw wss cdif wral com cdom wi w3a eleq2
      wa wbr wrex df-siga sigaex wceq sseq1 raleqbi1dv pweq raleqbidv 3anbi123d
      wex imbi2d anbi12d abfmpunirn rexv anbi2i bitri ) BEFGHBIHZBCJZKZLZUSBHZU
      SAJZMZBHZABNZVCOPUAZVCGZBHZQZABKZNZRZTZCIUBZTURVNCUKZTDJZUTLZUSVQHZVDVQHZ
      AVQNZVGVHVQHZQZAVQKZNZRZTVNCDBEIACDUCACDUDVQBUEZVRVAWFVMVQBUTUFWGVSVBWAVF
      WEVLVQBUSSVTVEAVQBVQBVDSUGWGWCVJAWDVKVQBUHWGWBVIVGVQBVHSULUIUJUMUNVOVPURV
      NCUOUPUQ $.

    $( A sigma-algebra contains the empty set.  (Contributed by Thierry Arnoux,
       4-Sep-2016.) $)
    0elsiga $p |- ( S e. U. ran sigAlgebra -> (/) e. S ) $=
      ( vo vx csiga crn cuni wcel cv cpw wss cdif wral com wbr wi w3a wa wex c0
      cdom cvv isrnsiga simprbi 3simpa adantl eximi difeq2 eqtrdi eleq1d rspcva
      weq difid exlimiv 3syl ) ADEFGZABHZIJZUPAGZUPCHZKZAGZCALZUSMTNUSFAGOCAILZ
      PZQZBRZURVBQZBRSAGZUOAUAGVFCABUBUCVEVGBVDVGUQURVBVCUDUEUFVGVHBVAVHCUPACBU
      KZUTSAVIUTUPUPKSUSUPUPUGUPULUHUIUJUMUN $.

    $d x A $.
    $( A sigma-algebra contains its base universe set.  (Contributed by Thierry
       Arnoux, 26-Oct-2016.) $)
    baselsiga $p |- ( S e. ( sigAlgebra ` A ) -> A e. S ) $=
      ( vx cvv wcel csiga cfv elex wa cv cdif wral com cdom wbr cuni wi cpw wss
      w3a issiga simplbda simp1d mpancom ) BDEZBAFGZEZABEZBUFHUEUGIUHACJZKBECBL
      ZUIMNOUIPBEQCBRLZUEUGBARSUHUJUKTCBAUAUBUCUD $.

    $( A sigma-algebra is a set of subset of the base set.  (Contributed by
       Thierry Arnoux, 18-Jan-2017.) $)
    sigasspw $p |- ( S e. ( sigAlgebra ` A ) -> S C_ ~P A ) $=
      ( vx csiga cfv wcel cpw wss cv cdif wral com cdom wbr cuni wi w3a wa elex
      cvv issiga biimpa mpancom simpld ) BADEZFZBAGHZABFACIZJBFCBKUHLMNUHOBFPCB
      GKQZBTFZUFUGUIRZBUESUJUFUKCBAUAUBUCUD $.

    $( A sigma-algebra is closed under countable union.  (Contributed by
       Thierry Arnoux, 26-Dec-2016.) $)
    sigaclcu $p |- ( ( S e. U. ran sigAlgebra /\ A e. ~P S /\ A ~<_ _om )
        -> U. A e. S ) $=
      ( vx vo csiga crn cuni wcel cpw com cdom wbr w3a cv wi wral simp2 cdif wa
      wss wex cvv isrnsiga simprbi simpr3 exlimiv syl 3ad2ant1 simp3 wceq breq1
      unieq eleq1d imbi12d rspcv syl3c ) BEFGHZABIZHZAJKLZMUSCNZJKLZVAGZBHZOZCU
      RPZUTAGZBHZUQUSUTQUQUSVFUTUQBDNZITZVIBHZVIVARBHCBPZVFMSZDUAZVFUQBUBHVNCBD
      UCUDVMVFDVJVKVLVFUEUFUGUHUQUSUTUIVEUTVHOCAURVAAUJZVBUTVDVHVAAJKUKVOVCVGBV
      AAULUMUNUOUP $.

    ${
      $d z A $.  $d z B $.  $d k z S $.
      sigaclcuni.1 $e |- F/_ k A $.
      $( A sigma-algebra is closed under countable union: indexed union
         version.  (Contributed by Thierry Arnoux, 8-Jun-2017.) $)
      sigaclcuni $p |- ( ( S e. U. ran sigAlgebra /\ A. k e. A B e. S
             /\ A ~<_ _om ) -> U_ k e. A B e. S ) $=
        ( vz csiga crn cuni wcel wral com cdom wbr wceq 3ad2ant2 wa eqeltrd syl
        wrex w3a ciun cv cab dfiun2g cpw simp1 wss r19.29 simpr simpl rexlimivw
        ex abssdv wb elpw2g mpbird abrexctf 3ad2ant3 sigaclcu syl3anc ) CGHIZJZ
        BCJZDAKZALMNZUAZDABUBZFUCZBOZDATZFUDZIZCVEVCVHVMOVFDFABCUEPVGVCVLCUFJZV
        LLMNZVMCJVCVEVFUGZVGVNVLCUHZVEVCVQVFVEVKFCVEVKVICJZVEVKQVDVJQZDATVRVDVJ
        DAUIVSVRDAVSVIBCVDVJUJVDVJUKRULSUMUNPVGVCVNVQUOVPVLCVBUPSUQVFVCVOVEDFAB
        EURUSVLCUTVAR $.
    $}

    $( A sigma-algebra is closed under finite union.  (Contributed by Thierry
       Arnoux, 28-Dec-2016.) $)
    sigaclfu $p |- ( ( S e. U. ran sigAlgebra /\ A e. ~P S /\ A e. Fin )
      -> U. A e. S ) $=
      ( cfn wcel csiga crn cuni cpw com cdom wbr fict sigaclcu syl3an3 ) ACDBEF
      GDABHDAIJKAGBDALABMN $.

    $d k x S $.
    $( A sigma-algebra is closed under countable union - indexing on ` NN `
       (Contributed by Thierry Arnoux, 29-Dec-2016.) $)
    sigaclcu2 $p |- ( ( S e. U. ran sigAlgebra /\ A. k e. NN A e. S )
      -> U_ k e. NN A e. S ) $=
      ( vx csiga crn cuni wcel cn wral wa ciun cv wceq wrex cab com cdom wbr wi
      dfiun2g adantl cpw simpl wss abid eleq1a ralimi r19.23v sylib imp adantll
      sylan2b ralrimiva nfcv dfss3f sylibr wb elpw2g adantr mpbird nnct abrexct
      nfab1 mp1i sigaclcu syl3anc eqeltrd ) BEFGZHZABHZCIJZKZCIALZDMZANZCIOZDPZ
      GZBVLVNVSNVJCDIABUAUBVMVJVRBUCHZVRQRSZVSBHVJVLUDVMVTVRBUEZVMVOBHZDVRJWBVM
      WCDVRVOVRHVMVQWCVQDUFVLVQWCVJVLVQWCVLVPWCTZCIJVQWCTVKWDCIABVOUGUHVPWCCIUI
      UJUKULUMUNDVRBVQDVDDBUOUPUQVJVTWBURVLVRBVIUSUTVAIQRSWAVMVBCDIAVCVEVRBVFVG
      VH $.

    $d k N $.
    $( A sigma-algebra is closed under finite union - indexing on
       ` ( 1 ..^ N ) ` .  (Contributed by Thierry Arnoux, 28-Dec-2016.) $)
    sigaclfu2 $p |- ( ( S e. U. ran sigAlgebra /\ A. k e. ( 1 ..^ N ) A e. S )
      -> U_ k e. ( 1 ..^ N ) A e. S ) $=
      ( csiga crn cuni wcel c1 cfzo co wral wa ciun cn cun wceq iuneq2i eqtri
      c0 cv cif cdif iunxun wss fzossnn undif mpbi iuneq1 ax-mp iftrue iffalsed
      eldifn uneq12i 3eqtr3i un0 0elsiga wi simpr simpllr mpd wn simplll ifclda
      iun0 exp31 ralimdv2 imp sylan sigaclcu2 syldan eqeltrrid ) BEFGHZABHZCIDJ
      KZLZMCVOANZCOCUAZVOHZATUBZNZBWAVQTPZVQCVOOVOUCZPZVTNZCVOVTNZCWCVTNZPWAWBC
      VOWCVTUDWDOQZWEWAQVOOUEWHDUFVOOUGUHCWDOVTUIUJWFVQWGTCVOVTAVSATUKRWGCWCTNT
      CWCVTTVRWCHVSATVROVOUMULRCWCVESUNUOVQUPSVMVPVTBHZCOLZWABHVMTBHZVPWJBUQWKV
      PWJWKVNWICVOOWKVSVNURZVROHZWIWKWLMWMMZVSATBWNVSMVSVNWNVSUSWKWLWMVSUTVAWKW
      LWMVSVBVCVDVFVGVHVIVTBCVJVKVL $.

    $d k M $.  $d k ph $.
    sigaclcu3.1 $e |- ( ph -> S e. U. ran sigAlgebra ) $.
    sigaclcu3.2 $e |- ( ph -> ( N = NN \/ N = ( 1 ..^ M ) ) ) $.
    sigaclcu3.3 $e |- ( ( ph /\ k e. N ) -> A e. S ) $.
    $( A sigma-algebra is closed under countable or finite union.  (Contributed
       by Thierry Arnoux, 6-Mar-2017.) $)
    sigaclcu3 $p |- ( ph -> U_ k e. N A e. S ) $=
      ( cn wceq ciun wcel wa simpr iuneq1d wral adantr raleqdv mpbid c1 cfzo co
      csiga crn cuni ralrimiva sigaclcu2 syl2anc eqeltrd sigaclfu2 mpjaodan ) A
      FJKZDFBLZCMFUAEUBUCZKZAUMNZUNDJBLZCUQDFJBAUMOZPUQCUDUEUFMZBCMZDJQZURCMAUT
      UMGRUQVADFQZVBAVCUMAVADFIUGZRUQVADFJUSSTBCDUHUIUJAUPNZUNDUOBLZCVEDFUOBAUP
      OZPVEUTVADUOQZVFCMAUTUPGRVEVCVHAVCUPVDRVEVADFUOVGSTBCDEUKUIUJHUL $.
  $}

  ${
    $d o x S $.  $d x O $.
    $( Property of being a sigma-algebra with a given base set, noting that the
       base set of a sigma-algebra is actually its union set.  (Contributed by
       Thierry Arnoux, 24-Sep-2016.)  (Revised by Thierry Arnoux,
       23-Oct-2016.) $)
    issgon $p |- ( S e. ( sigAlgebra ` O ) <->
      ( S e. U. ran sigAlgebra /\ O = U. S ) ) $=
      ( vx vo csiga wcel cuni wceq wa elex cpw wss cdif wral w3a elpwuni biimpa
      cv ancom eqcom cfv crn fvssunirn sseli cvv com cdom wbr wi issiga 3imtr4i
      3ad2antr1 syl6bi mpcom jca wex isrnsiga simprbi pweq sseq2d difeq1 eleq1d
      wb eleq1 ralbidv 3anbi12d anbi12d syl ibi exlimiv biimprd pwuni sseqtrrid
      simprd jctild anim2d biimpar syl56 impcom impbii ) ABEUAZFZAEUBGZFZBAGZHZ
      IWBWDWFWAWCAEBUCUDAUEFZWBWFAWAJWGWBABKZLZBAFZBCRZMZAFZCANZWKUFUGUHWKGAFUI
      CAKNZOZIZWFCABUJZWIWNWJWFWOWJWIIWEBHZWIWJIWFWJWIWSABPQWIWJSBWETUKULUMUNUO
      WFWDWBWDWGWEAFZWEWKMZAFZCANZWOOZIWFWGWQIWBWDWGXDAWCJWDAWEKZLZXDWDADRZKZLZ
      XGAFZXGWKMZAFZCANZWOOZIZDUPZXFXDIZWDWGXPCADUQURXOXQDXOXQXOXGWEHZXOXQVCXIX
      MXJXRWOXJXIIWEXGHZXIXJIXRXJXIXSAXGPQXIXJSXGWETUKULXRXIXFXNXDXRXHXEAXGWEUS
      UTXRXJWTXMXCWOXGWEAVDXRXLXBCAXRXKXAAXGWEWKVAVBVEVFVGVHVIVJVHVNUOWFXDWQWGW
      FXDWPWIWFWPXDWFWJWTWNXCWOBWEAVDWFWMXBCAWFWLXAABWEWKVAVBVEVFVKWFXEAWHAVLBW
      EUSVMVOVPWGWBWQWRVQVRVSVT $.
  $}

  $( A sigma-algebra is a sigma on its union set.  (Contributed by Thierry
     Arnoux, 6-Jun-2017.) $)
  sgon $p |- ( S e. U. ran sigAlgebra -> S e. ( sigAlgebra ` U. S ) ) $=
    ( csiga crn cuni wcel wceq cfv eqid wa issgon biimpri mpan2 ) ABCDEZADZNFZA
    NBGEZNHPMOIANJKL $.

  $( An element of a sigma-algebra is a subset of the base set.  (Contributed
     by Thierry Arnoux, 6-Jun-2017.) $)
  elsigass $p |- ( ( S e. U. ran sigAlgebra /\ A e. S ) -> A C_ U. S ) $=
    ( csiga crn cuni wcel wa cpw cfv wss sgon sigasspw syl sselda elpwid ) BCDE
    FZABFGABEZPBQHZAPBQCIFBRJBKQBLMNO $.

  $( Dropping the base information off a sigma-algebra.  (Contributed by
     Thierry Arnoux, 13-Feb-2017.) $)
  elrnsiga $p |- ( S e. ( sigAlgebra ` O ) -> S e. U. ran sigAlgebra ) $=
    ( csiga cfv crn cuni fvssunirn sseli ) BCDCEFACBGH $.

  ${
    $d x S $.
    $( The property of being a sigma-algebra, universe is the union set.
       (Contributed by Thierry Arnoux, 11-Nov-2016.) $)
    isrnsigau $p |- ( S e. U. ran sigAlgebra -> ( S C_ ~P U. S /\ ( U. S e. S
      /\ A. x e. S ( U. S \ x ) e. S
      /\ A. x e. ~P S ( x ~<_ _om -> U. x e. S ) ) ) ) $=
      ( csiga crn cuni wcel cfv cpw wss cv cdif wral com cdom wbr wi w3a wa cvv
      sgon wb elex issiga syl mpbid ) BCDEZFZBBEZCGFZBUHHIUHBFUHAJZKBFABLUJMNOU
      JEBFPABHLQRZBTUGBSFUIUKUABUFUBABUHUCUDUE $.

    $( A sigma-algebra contains its universe set.  (Contributed by Thierry
       Arnoux, 13-Feb-2017.)  (Shortened by Thierry Arnoux, 6-Jun-2017.) $)
    unielsiga $p |- ( S e. U. ran sigAlgebra -> U. S e. S ) $=
      ( csiga crn cuni wcel cfv sgon baselsiga syl ) ABCDEAADZBFEJAEAGJAHI $.
  $}

  ${
    $d x y $.
    $( Lebesgue-measurable subsets of ` RR ` form a sigma-algebra.
       (Contributed by Thierry Arnoux, 10-Sep-2016.)  (Revised by Thierry
       Arnoux, 24-Oct-2016.) $)
    dmvlsiga $p |- dom vol e. ( sigAlgebra ` RR ) $=
      ( vx vy cvol cdm cr csiga cfv wcel cpw wss cv cdif wral com cdom wbr cuni
      wi rgen cn w3a pwssb mblss mprgbir rembl cmmbl ciun nnenom ensymi domentr
      cen mpan2 elpwi dfss3 sylib iunmbl2 syl2anr uniiun eleq1i syl6ibr 3pm3.2i
      ex cvv wa wb reex pwex ssexi issiga ax-mp mpbir2an ) CDZEFGHZVLEIZJZEVLHZ
      EAKZLVLHZAVLMZVQNOPZVQQZVLHZRZAVLIZMZUAZVOVQEJAVLAVLEUBVQUCUDZVPVSWEUEVRA
      VLVQUFSWCAWDVQWDHZVTBVQBKZUGZVLHZWBWHVTWKVTVQTOPZWIVLHBVQMZWKWHVTNTUKPWLT
      NUHUIVQNTUJULWHVQVLJWMVQVLUMBVQVLUNUOVQWIBUPUQVBWAWJVLBVQURUSUTSVAVLVCHVM
      VOWFVDVEVLVNEVFVGWGVHAVLEVIVJVK $.
  $}

  ${
    $d x O $.  $d x V $.
    $( Any power set forms a sigma-algebra.  (Contributed by Thierry Arnoux,
       13-Sep-2016.)  (Revised by Thierry Arnoux, 24-Oct-2016.) $)
    pwsiga $p |- ( O e. V -> ~P O e. ( sigAlgebra ` O ) ) $=
      ( vx wcel cpw csiga cfv wss cv cdif wral com cdom wbr cuni ssidd ralrimiv
      wi w3a a1d pwidg difss elpw2g mpbiri vuniex elpw bitr4i biimpi elpwi mp1i
      sspwuni imim1i 3jca cvv wa wb pwexg issiga syl mpbir2and ) ABDZAEZAFGDZVB
      VBHZAVBDZACIZJZVBDZCVBKZVFLMNZVFOZVBDZRZCVBEZKZSZVAVBPVAVEVIVOABUAVAVHCVB
      VAVHVFVBDVAVHVGAHAVFUBVGABUCUDTQVAVMCVNVFVBHZVMRVFVNDZVMRVAVQVLVJVQVLVQVK
      AHVLVFAUKVKACUEUFUGUHTVRVQVMVFVBUIULUJQUMVAVBUNDVCVDVPUOUPABUQCVBAURUSUT
      $.
  $}

  ${
    $d x O $.
    $( The smallest possible sigma-algebra containing ` O ` .  (Contributed by
       Thierry Arnoux, 13-Sep-2016.) $)
    prsiga $p |- ( O e. V -> { (/) , O } e. ( sigAlgebra ` O ) ) $=
      ( vx wcel c0 cpr cpw cdif wral cuni 0ex cvv wceq eleq1d ralprg cun pm3.2i
      wa wb unieq wss cv com cdom wbr wi w3a csiga cfv 0elpw pwidg prssi prid2g
      sylancr dif0 eqeltrid difid prid1 a1i difeq2 mpan mpbir2and eqeltri unisn
      uni0 snex mp1i mpbiri unisng eqeltrd uniprg uncom eqtri eqtrdi prex ralun
      csn un0 syl2anc pwpr raleqi sylibr ax-1 ralimi 3jca issiga ax-mp sylanbrc
      syl ) ABDZEAFZAGZUAZAWKDZACUBZHZWKDZCWKIZWOUCUDUEZWOJZWKDZUFZCWKGZIZUGZWK
      AUHUIDZWJEWLDAWLDWMAUJABUKEAWLULUNWJWNWRXDEABUMZWJWRAEHZWKDZAAHZWKDZWJXHA
      WKAUOXGUPWJXJEWKAUQEWKDWJEAKURZUSUPELDZWJWRXIXKRSKWQXIXKCEALBWOEMZWPXHWKW
      OEAUTNWOAMWPXJWKWOAAUTNOVAVBWJXACXCIZXDWJXACEEVQZFZAVQZWKFZPZIZXOWJXACXQI
      ZXACXSIZYAWJYBEJZWKDZXPJZWKDZRZYEYGYDEWKVEXLVCYFEWKEKVDXLVCQXMXPLDZRYBYHS
      WJXMYIKEVFQXAYEYGCEXPLLXNWTYDWKWOETNWOXPMWTYFWKWOXPTNOVGVHWJYCXRJZWKDZWKJ
      ZWKDZWJYJAWKABVIXGVJWJYLAWKWJYLEAPZAXMWJYLYNMKEALBVKVAYNAEPAEAVLAVRVMVNXG
      VJXRLDZWKLDZRYCYKYMRSWJYOYPAVFEAVOZQXAYKYMCXRWKLLWOXRMWTYJWKWOXRTNWOWKMWT
      YLWKWOWKTNOVGVBXACXQXSVPVSXACXCXTEAVTWAWBXAXBCXCXAWSWCWDWIWEYPXFWMXERSYQC
      WKAWFWGWH $.
  $}

  ${
    $d x y z A $.  $d x y z S $.
    $( A sigma-algebra is closed under countable intersections.  Deduction
       version.  (Contributed by Thierry Arnoux, 19-Sep-2016.) $)
    sigaclci $p |- ( ( ( S e. U. ran sigAlgebra /\ A e. ~P S ) /\
      ( A ~<_ _om /\ A =/= (/) ) ) -> |^| A e. S ) $=
      ( vz vx vy cuni wcel wa com cdom wbr cv cdif wral wi wss adantr wceq syl
      wb csiga crn cpw wne cint ciun w3a isrnsigau simprd simp2d wrex cab elpwi
      ssrexv ss2abdv uniiunlem mpbid sylan9ssr cvv abrexexg elpwg adantl mpbird
      c0 simp3d jca abrexdom2jm domtr sylan breq1 eleq1d imbi12d rspcva sylsyld
      ex unieq ssralv sylc dfiun2g eleq1 3syl sylibrd difeq2 rspccv adantrd imp
      simpr pwuni sstrdi iundifdifd adantld syl6 ) BUAUBFGZABUCZGZHZAIJKZAVDUDZ
      HZHAUEZBGZBFZCAXBCLZMZUFZMZBGZWPWSXGWPWQXGWRWPXBDLZMZBGZDBNZWQXEBGZXGWMXK
      WOWMXBBGZXKXHIJKZXHFZBGZOZDWNNZWMBXBUCZPZXMXKXRUGDBUHUIZUJQWPWQELXDRZCAUK
      ZEULZFZBGZXLWPYDWNGZXRHWQYDIJKZYFWPYGXRWPYGYDBPZWOWMYDYBCBUKZEULZBWOYCYJE
      WOABPZYCYJOABUMZYBCABUNSUOWMXDBGZCBNZYKBPZWMXMYOXCIJKXCFBGOCWNNZWMXTXMYOY
      QUGCBUHUIUJZWMYOYOYPTYRCEBXDBBUPSUQURWOYGYITZWMWOYDUSGYSCEAXDWNUTYDBUSVAS
      VBVCWMXRWOWMXMXKXRYAVEQVFWOWQYHOWMWOWQYHWOYDAJKWQYHECAXDWNVGYDAIVHVIVOVBX
      QYHYFODYDWNXHYDRZXNYHXPYFXHYDIJVJYTXOYEBXHYDVPVKVLVMVNWPYNCANZXEYERXLYFTW
      PYLYOUUAWOYLWMYMVBWMYOWOYRQYNCABVQVRCEAXDBVSXEYEBVTWAWBXJXGDXEBXHXERXIXFB
      XHXEXBWCVKWDVNWEWFWPWSXAXGTZWPWSWTXFRZUUBWPWRUUCWQWPWOAXSPWRUUCOWMWOWGWOA
      BXSYMBWHWICAXBWJWAWKWTXFBVTWLWFVC $.
  $}

  ${
    $d x S $.  $d x B $.
    $( A sigma-algebra is closed under class differences.  (Contributed by
       Thierry Arnoux, 13-Sep-2016.) $)
    difelsiga $p |- ( ( S e. U. ran sigAlgebra /\ A e. S /\ B e. S ) ->
      ( A \ B ) e. S ) $=
      ( vx csiga crn cuni wcel w3a cdif cpr cint wss wceq wral com cdom wbr cpw
      syl2anc cin simp2 elssuni difin2 cv isrnsigau simprd simp2d difeq2 eleq1d
      3syl wi rspccva sylan 3adant2 intprg eqtr4d c0 wne simp1 prex elpw sylibr
      prssi prct prnzg syl sigaclci syl22anc eqeltrd ) CEFGHZACHZBCHZIZABJZCGZB
      JZAKZLZCVNVOVQAUAZVSVNVLAVPMVOVTNVKVLVMUBZACUCABVPUDUKVNVQCHZVLVSVTNVKVMW
      BVLVKVPDUEZJZCHZDCOZVMWBVKVPCHZWFWCPQRWCGCHULDCSZOZVKCVPSMWGWFWIIDCUFUGUH
      WEWBDBCWCBNWDVQCWCBVPUIUJUMUNUOZWAVQACCUPTUQVNVKVRWHHZVRPQRZVRURUSZVSCHVK
      VLVMUTVNVRCMZWKVNWBVLWNWJWAVQACVDTVRCVQAVAVBVCVNWBVLWLWJWAVQACCVETVNWBWMW
      JVQACVFVGVRCVHVIVJ $.
  $}

  ${
    $d x A $.  $d x B $.  $d x S $.
    $( A sigma-algebra is closed under pairwise unions.  (Contributed by
       Thierry Arnoux, 13-Dec-2016.) $)
    unelsiga $p |- ( ( S e. U. ran sigAlgebra /\ A e. S /\ B e. S ) ->
      ( A u. B ) e. S ) $=
      ( vx csiga crn cuni wcel w3a cpr cun wceq uniprg 3adant1 com cdom wbr cpw
      wi wral cv cdif isrnsigau simprd simp3d 3ad2ant1 prct prelpwi breq1 unieq
      wss wa eleq1d imbi12d rspcv syl mp2d eqeltrrd ) CEFGHZACHZBCHZIZABJZGZABK
      ZCUTVAVDVELUSABCCMNVBDUAZOPQZVFGZCHZSZDCRZTZVCOPQZVDCHZUSUTVLVAUSCGZCHZVO
      VFUBCHDCTZVLUSCVORUKVPVQVLIDCUCUDUEUFUTVAVMUSABCCUGNUTVAVLVMVNSZSZUSUTVAU
      LVCVKHVSABCUHVJVRDVCVKVFVCLZVGVMVIVNVFVCOPUIVTVHVDCVFVCUJUMUNUOUPNUQUR $.
  $}

  $( A sigma-algebra is closed under pairwise intersections.  (Contributed by
     Thierry Arnoux, 13-Dec-2016.) $)
  inelsiga $p |- ( ( S e. U. ran sigAlgebra /\ A e. S /\ B e. S ) ->
    ( A i^i B ) e. S ) $=
    ( csiga crn cuni wcel w3a cin cdif dfin4 difelsiga syld3an3 eqeltrid ) CDEF
    GZACGZBCGZHABIAABJZJZCABKOPQRCGSCGABCLARCLMN $.

  ${
    $d x A $.  $d x S $.
    $( Building a sigma-algebra from intersections with a given set.
       (Contributed by Thierry Arnoux, 26-Dec-2016.) $)
    sigainb $p |- ( ( S e. U. ran sigAlgebra /\ A e. S ) ->
      ( S i^i ~P A ) e. ( sigAlgebra ` A ) ) $=
      ( vx csiga cuni wcel wa cpw wss wral simpr syl elind simplr syl3anc elpwg
      ralrimiva sstr mpan2 3syl crn cin cvv cv cdif com cdom wbr w3a cfv inex1g
      adantr inss2 a1i pwidg simpll inss1 sselid difelsiga difss mpbiri simplll
      wi elpwi biimpar syl2anc sigaclcu sspwuni vuniex elpw bitr4i sylib issiga
      ex 3jca syl12anc ) BDUAEZFZABFZGZBAHZUBZUCFZWBWAIZAWBFZACUDZUEZWBFZCWBJZW
      FUFUGUHZWFEZWBFZVCZCWBHZJZUIZWBADUJFZVRWCVSBWAVQUKULWDVTBWAUMZUNVTWEWIWOV
      TBWAAVRVSKZVTVSAWAFWSABUOLMVTWHCWBVTWFWBFZGZBWAWGXAVRVSWFBFWGBFZVRVSWTUPV
      RVSWTNXAWBBWFBWAUQZVTWTKURAWFBUSOZXAXBWGWAFZXDXBXEWGAIAWFUTWGABPVALMQVTWM
      CWNVTWFWNFZGZWJWLXGWJGZBWAWKXHVRWFBHFZWJWKBFVRVSXFWJVBXHXFWFBIZXIVTXFWJNZ
      XHXFWFWBIZXJXKWFWBVDZXLWBBIXJXCWFWBBRSTXFXIXJWFBWNPVEVFXGWJKWFBVGOXHWFWAI
      ZWKWAFZXHXFXLXNXKXMXLWDXNWRWFWBWARSTXNWKAIXOWFAVHWKACVIVJVKVLMVNQVOWCWQWD
      WPGCWBAVMVEVP $.
  $}

  ${
    $d s x A $.  $d s x O $.
    $( The intersection of a collection of sigma-algebras of same base is a
       sigma-algebra.  (Contributed by Thierry Arnoux, 27-Dec-2016.) $)
    insiga $p |- ( ( A =/= (/) /\ A e. ~P ( sigAlgebra ` O ) )
      -> |^| A e. ( sigAlgebra ` O ) ) $=
      ( vx vs csiga cpw wcel wa cvv wss cv adantr simpr syl wb ralrimiva elintg
      wral mpbird jca c0 wne cfv cint cdif com cdom wbr cuni w3a intex intssuni
      wi biimpi elpwi sigasspw velpw sylibr ssriv sstrdi sspwuni simplr elelpwi
      sylib sstrd syl2anc vex issiga ax-mp simprd simp1d wex eximdv mpd exlimiv
      n0 ex elfvex simpll elinti adantll simp2d r19.21bi difexd simplll simpllr
      imp intss1 sylan9ss sylancom simp3d sylc uniexg ad2antlr biimpar syl12anc
      3jca ) AUAUBZABEUCZFGZHZAUDZIGZXBBFZJZBXBGZBCKZUEZXBGZCXBRZXGUFUGUHZXGUIZ
      XBGZUMZCXBFZRZUJZXBWSGZWRXCWTWRXCAUKUNLXAXBAUIZXDWRXBXSJWTAULLXAAXDFZJZXS
      XDJXAWTYAWRWTMWTAWSXTAWSUODWSXTDKZWSGZYBXDJZYBXTGBYBUPDXDUQURUSUTNAXDVAVD
      VEXAXFXJXPXAXFBYBGZDARZXAYEDAXAYBAGZHZYEXHYBGZCYBRZXKXLYBGZUMZCYBFZRZYHYD
      YEYJYNUJZYHYCYDYOHZYHYGWTYCXAYGMWRWTYGVBYBAWSVCVFZYBIGYCYPODVGCYBBVHVIVDV
      JZVKPXABIGZXFYFOXAYCDVLZYSXAYGDVLZYTWRUUAWTWRUUADAVPUNLXAYGYCDXAYGYCYQVQV
      MVNYCYSDYBBEVRVONZDBAIQNSXAXICXBXAXGXBGZHZXIYIDARZUUDYIDAUUDYGHZYHXGYBGZY
      IUUFXAYGXAUUCYGVSUUDYGMTUUCYGUUGXAUUCYGUUGXGAYBVTWGWAYHYICYBYHYEYJYNYRWBW
      CVFPUUDXHIGZXIUUEOXAUUHUUCXABXGIUUBWDLDXHAIQNSPXAXNCXOXAXGXOGZHZXKXMUUJXK
      HZXMYKDARZUUKYKDAUUKYGHZYHXGYMGZHXKYKUUMYHUUNUUMXAYGXAUUIXKYGWEUUKYGMTUUK
      YGUUIUUNXAUUIXKYGWFUUIYGHXGYBJUUNUUIYGXGXBYBXGXBUOYBAWHWICYBUQURWJTUUJXKY
      GVBYHYLCYMYHYEYJYNYRWKWCWLPUUKXLIGZXMUULOUUIUUOXAXKXGXOWMWNDXLAIQNSVQPWQX
      CXRXEXQHCXBBVHWOWP $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Generated sigma-Algebra
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c sigaGen $.
  $( Extend class notation to include the sigma-algebra generator. $)
  csigagen $a class sigaGen $.

  ${
    $d s x $.
    $( Define the sigma-algebra generated by a given collection of sets as the
       intersection of all sigma-algebra containing that set.  (Contributed by
       Thierry Arnoux, 27-Dec-2016.) $)
    df-sigagen $a |- sigaGen = ( x e. _V |->
      |^| { s e. ( sigAlgebra ` U. x ) | x C_ s } ) $.
  $}

  ${
    $d s x A $.  $d x V $.
    $( Value of the generated sigma-algebra.  (Contributed by Thierry Arnoux,
       27-Dec-2016.) $)
    sigagenval $p |- ( A e. V -> ( sigaGen ` A ) =
      |^| { s e. ( sigAlgebra ` U. A ) | A C_ s } ) $=
      ( vx wcel cv wss cuni cfv crab cint cvv csigagen cmpt wceq df-sigagen a1i
      csiga unieq fveq2d sseq1 rabeqbidv inteqd adantl c0 wne cpw uniexg pwsiga
      elex wa syl pwuni jctir sseq2 elrab sylibr ne0d intex sylib fvmptd ) ABEZ
      DADFZCFZGZCVCHZRIZJZKZAVDGZCAHZRIZJZKZLMLMDLVINOVBDCPQVCAOZVIVNOVBVOVHVMV
      OVEVJCVGVLVOVFVKRVCASTVCAVDUAUBUCUDABUJVBVMUEUFVNLEVBVMVKUGZVBVPVLEZAVPGZ
      UKVPVMEVBVQVRVBVKLEVQABUHVKLUIULAUMUNVJVRCVPVLVDVPAUOUPUQURVMUSUTVA $.
  $}

  ${
    $d s A $.
    $( A generated sigma-algebra is a sigma-algebra.  (Contributed by Thierry
       Arnoux, 27-Dec-2016.) $)
    sigagensiga $p |- ( A e. V -> ( sigaGen ` A ) e. ( sigAlgebra ` U. A ) ) $=
      ( vs wcel csigagen cfv cv wss cuni csiga crab cint sigagenval wne cpw cvv
      c0 fvex eqeltrrdi sylibr intex ssrab2 a1i elpw2 insiga syl2anc eqeltrd )
      ABDZAEFZACGHZCAIZJFZKZLZULABCMZUHUMQNZUMULODZUNULDUHUNPDUPUHUNUIPUOAERSUM
      UATUHUMULHZUQURUHUJCULUBUCUMULUKJRUDTUMUKUEUFUG $.
  $}

  ${
    sgsiga.1 $e |- ( ph -> A e. V ) $.
    $( A generated sigma-algebra is a sigma-algebra.  (Contributed by Thierry
       Arnoux, 30-Jan-2017.) $)
    sgsiga $p |- ( ph -> ( sigaGen ` A ) e. U. ran sigAlgebra ) $=
      ( wcel csigagen cfv cuni csiga crn sigagensiga elrnsiga 3syl ) ABCEBFGZBH
      ZIGENIJHEDBCKNOLM $.
  $}

  $( The sigma-algebra generated by a collection ` A ` is a sigma-algebra on
     ` U. A ` .  (Contributed by Thierry Arnoux, 27-Dec-2016.) $)
  unisg $p |- ( A e. V -> U. ( sigaGen ` A ) = U. A ) $=
    ( wcel cuni csigagen cfv csiga crn wceq wa sigagensiga issgon simprd eqcomd
    sylib ) ABCZADZAEFZDZPRGHDCZQSIZPRQGFCTUAJABKRQLOMN $.

  ${
    $d j s $.
    $( A sigma-algebra can be generated from any set.  (Contributed by Thierry
       Arnoux, 21-Jan-2017.) $)
    dmsigagen $p |- dom sigaGen = _V $=
      ( vj vs cvv cv wss cuni csiga cfv crab cint csigagen c0 wne wcel wrex cpw
      vuniex pwsiga ax-mp pwuni sseq2 rspcev mp2an rabn0 mpbir intex df-sigagen
      mpbi dmmpti ) ACADZBDZEZBUJFZGHZIZJZKUOLMZUPCNUQULBUNOZUMPZUNNZUJUSEZURUM
      CNUTAQUMCRSUJTULVABUSUNUKUSUJUAUBUCULBUNUDUEUOUFUHABUGUI $.
  $}

  ${
    $d s A $.
    $( A set is a subset of the sigma-algebra it generates.  (Contributed by
       Thierry Arnoux, 24-Jan-2017.) $)
    sssigagen $p |- ( A e. V -> A C_ ( sigaGen ` A ) ) $=
      ( vs wcel cv wss cuni cfv crab cint csigagen ssintub sigagenval sseqtrrid
      csiga ) ABDACEFCAGOHZIJAAKHCAPLABCMN $.
  $}

  $( A subset of the generating set is also a subset of the generated
     sigma-algebra.  (Contributed by Thierry Arnoux, 22-Sep-2017.) $)
  sssigagen2 $p |- ( ( A e. V /\ B C_ A ) -> B C_ ( sigaGen ` A ) ) $=
    ( wcel wss wa csigagen cfv simpr sssigagen adantr sstrd ) ACDZBAEZFBAAGHZMN
    IMAOENACJKL $.

  $( Any element of a set is also an element of the sigma-algebra that set
     generates.  (Contributed by Thierry Arnoux, 27-Mar-2017.) $)
  elsigagen $p |- ( ( A e. V /\ B e. A ) -> B e. ( sigaGen ` A ) ) $=
    ( wcel csigagen cfv sssigagen sselda ) ACDAAEFBACGH $.

  $( Any countable union of elements of a set is also in the sigma-algebra that
     set generates.  (Contributed by Thierry Arnoux, 17-Sep-2017.) $)
  elsigagen2 $p |- ( ( A e. V /\ B C_ A /\ B ~<_ _om )
                                      -> U. B e. ( sigaGen ` A ) ) $=
    ( wcel wss com cdom wbr w3a csigagen cfv csiga crn cuni cpw simp1 sssigagen
    sgsiga 3syl cvv sspw simp2 simp3 ctex elpwg mpbird sseldd sigaclcu syl3anc
    wb ) ACDZBAEZBFGHZIZAJKZLMNDBUOOZDUMBNUODUNACUKULUMPZRUNAOZUPBUNUKAUOEURUPE
    UQACQAUOUASUNBURDZULUKULUMUBUNUMBTDUSULUJUKULUMUCZBUDBATUESUFUGUTBUOUHUI $.

  ${
    $d s A $.  $d s S $.
    $( The generated sigma-algebra is a subset of all sigma-algebras containing
       the generating set, i.e. the generated sigma-algebra is the smallest
       sigma-algebra containing the generating set, here ` A ` .  (Contributed
       by Thierry Arnoux, 4-Jun-2017.) $)
    sigagenss $p |- ( ( S e. ( sigAlgebra ` U. A ) /\ A C_ S ) ->
      ( sigaGen ` A ) C_ S ) $=
      ( vs cuni csiga cfv wcel wss wa csigagen cv crab cint cvv wceq sigagenval
      ssexg ancoms syl sseq2 intminss eqsstrd ) BADEFZGZABHZIZAJFZACKZHZCUCLMZB
      UFANGZUGUJOUEUDUKABUCQRANCPSUIUECBUCUHBATUAUB $.
  $}

  $( Sufficient condition for inclusion of sigma-algebras.  This is used to
     prove equality of sigma-algebras.  (Contributed by Thierry Arnoux,
     10-Oct-2017.) $)
  sigagenss2 $p |- ( ( U. A = U. B /\ A C_ ( sigaGen ` B ) /\ B e. V ) ->
    ( sigaGen ` A ) C_ ( sigaGen ` B ) ) $=
    ( cuni wceq csigagen cfv wss wcel csiga sigagensiga 3ad2ant3 simp1 eleqtrrd
    w3a fveq2d simp2 sigagenss syl2anc ) ADZBDZEZABFGZHZBCIZOZUCTJGZIUDAFGUCHUF
    UCUAJGZUGUEUBUCUHIUDBCKLUFTUAJUBUDUEMPNUBUDUEQAUCRS $.

  $( The sigma-algebra generated by a sigma-algebra is itself.  (Contributed by
     Thierry Arnoux, 4-Jun-2017.) $)
  sigagenid $p |- ( S e. U. ran sigAlgebra -> ( sigaGen ` S ) = S ) $=
    ( csiga crn cuni wcel csigagen cfv wss sgon ssid sigagenss sssigagen eqssd
    sylancl ) ABCDZEZAFGZAPAADBGEAAHQAHAIAJAAKNAOLM $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  lambda and pi-Systems, Rings of Sets
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Because they are not widely used outside of measure theory, we do not
  introduce specific definitions for lambda- and pi-systems.  Instead, we
  define ` P ` and ` L ` respectively as the classes of pi- and lambda-systems
  in ` O ` throughout this section.

$)

  ${
    $d O s t x y $.  $d S s x y $.  $d P t $.
    ispisys.p $e |- P = { s e. ~P ~P O | ( fi ` s ) C_ s } $.
    $( The property of being a pi-system.  (Contributed by Thierry Arnoux,
       10-Jun-2020.) $)
    ispisys $p |- ( S e. P <-> ( S e. ~P ~P O /\ ( fi ` S ) C_ S ) ) $=
      ( cv cfi cfv wss cpw wceq fveq2 id sseq12d elrab2 ) DFZGHZPIBGHZBIDBCJJAP
      BKZQRPBPBGLSMNEO $.

    $( The property of being a pi-system, expanded version.  Pi-systems are
       closed under finite intersections.  (Contributed by Thierry Arnoux,
       13-Jun-2020.) $)
    ispisys2 $p |- ( S e. P <-> ( S e. ~P ~P O
      /\ A. x e. ( ( ~P S i^i Fin ) \ { (/) } ) |^| x e. S ) ) $=
      ( vy wcel cpw cfi cfv wss wa cv cint cfn c0 wral cvv simpr cin cdif dfss3
      csn ispisys adantr eldifsn sylib simpld elin1d elpwid simprd elin2d elfir
      elex syl13anc wceq wrex elfi2 biimpa eleq1d ralxfrd syl5bb pm5.32i bitri
      wne ) CBHCDIIZHZCJKZCLZMVHANZOZCHZACIZPUAZQUDUBZRZMBCDEFUEVHVJVQVJGNZCHZG
      VIRVHVQGVICUCVHVSVMGAVLVIVPVHVKVPHZMZCSHZVKCLVKQVFZVKPHVLVIHVHWBVTCVGUOUF
      WAVKCWAVNPVKWAVKVOHZWCWAVTWDWCMVHVTTVKVOQUGUHZUIZUJUKWAWDWCWEULWAVNPVKWFU
      MVKCSUNUPVHVRVIHVRVLUQZAVPURAVRCVGUSUTVHWGMVRVLCVHWGTVAVBVCVDVE $.

    $d A x $.  $d B x $.  $d P x $.
    $( Pi-systems are closed under pairwise intersections.  (Contributed by
       Thierry Arnoux, 6-Jul-2020.) $)
    inelpisys $p |- ( ( S e. P /\ A e. S /\ B e. S ) -> ( A i^i B ) e. S ) $=
      ( vx wcel w3a cpr cint cin wceq intprg 3adant1 cv cpw cfn c0 inteq eleq1d
      csn cdif wral ispisys2 simprbi 3ad2ant1 prelpwi prfi elind prnzg 3ad2ant2
      a1i wne neneqd elsni nsyl eldifd rspcdva eqeltrrd ) DCIZADIZBDIZJZABKZLZA
      BMZDVCVDVGVHNVBABDDOPVEHQZLZDIZVGDIHDRZSMZTUCZUDZVFVIVFNVJVGDVIVFUAUBVBVC
      VKHVOUEZVDVBDERRIVPHCDEFGUFUGUHVEVFVMVNVEVLSVFVCVDVFVLIVBABDUIPVFSIVEABUJ
      UNUKVEVFTNVFVNIVEVFTVCVBVFTUOVDABDULUMUPVFTUQURUSUTVA $.

    $( All sigma-algebras are pi-systems.  (Contributed by Thierry Arnoux,
       13-Jun-2020.) $)
    sigapisys $p |- ( sigAlgebra ` O ) C_ P $=
      ( vt vx csiga cfv cv wcel cpw cint cfn cin c0 csn cdif wral wa sylibr wss
      sigasspw velpw crn cuni com wbr wne elrnsiga adantr eldifsn biimpi adantl
      cdom simpld elin1d elin2d fict syl simprd sigaclci syl22anc ralrimiva jca
      ispisys2 ssriv ) EBGHZAEIZVGJZVHBKZKJZFIZLVHJZFVHKZMNZOPQZRZSVHAJVIVKVQVI
      VHVJUAVKBVHUBEVJUCTVIVMFVPVIVLVPJZSZVHGUDUEJZVLVNJVLUFUNUGZVLOUHZVMVIVTVR
      VHBUIUJVSVNMVLVSVLVOJZWBVRWCWBSZVIVRWDVLVOOUKULUMZUOZUPVSVLMJWAVSVNMVLWFU
      QVLURUSVSWCWBWEUTVLVHVAVBVCVDFAVHBCDVETVF $.
  $}

  ${
    $d s u y $.  $d L t $.  $d O s t x $.  $d S s x $.  $d V x $.
    isldsys.l $e |- L = { s e. ~P ~P O | ( (/) e. s /\ A. x e. s ( O \ x ) e. s
      /\ A. x e. ~P s ( ( x ~<_ _om /\ Disj_ y e. x y ) -> U. x e. s ) ) } $.
    $( The property of being a lambda-system or Dynkin system.  Lambda-systems
       contain the empty set, are closed under complement, and closed under
       countable disjoint union.  (Contributed by Thierry Arnoux,
       13-Jun-2020.) $)
    isldsys $p |- ( S e. L
      <-> ( S e. ~P ~P O /\ ( (/) e. S /\ A. x e. S ( O \ x ) e. S
      /\ A. x e. ~P S ( ( x ~<_ _om /\ Disj_ y e. x y ) -> U. x e. S ) ) ) ) $=
      ( c0 cv wcel cdif wral com cdom wbr wdisj wi cpw w3a eleq2 cuni wceq pweq
      wa raleqbi1dv imbi2d raleqbidv 3anbi123d elrab2 ) HFIZJZEAIZKZUJJZAUJLZUL
      MNOBULBIPUDZULUAZUJJZQZAUJRZLZSHCJZUMCJZACLZUPUQCJZQZACRZLZSFCERRDUJCUBZU
      KVBUOVDVAVHUJCHTUNVCAUJCUJCUMTUEVIUSVFAUTVGUJCUCVIURVEUPUJCUQTUFUGUHGUI
      $.

    $( The power set of the universe set ` O ` is always a lambda-system.
       (Contributed by Thierry Arnoux, 21-Jun-2020.) $)
    pwldsys $p |- ( O e. V -> ~P O e. L ) $=
      ( wcel cpw c0 cv cdif wral com cdom wa cvv pwidg ralrimiva wss wdisj cuni
      wbr wi w3a pwexg syl 0elpw a1i adantr elpwdifcl elpwi sylib adantl vuniex
      sspwuni elpw sylibr a1d 3jca isldsys sylanbrc ) DEHZDIZVDIZHZJVDHZDAKZLVD
      HZAVDMZVHNOUCBVHBKUAPZVHUBZVDHZUDZAVEMZUEVDCHVCVDQHVFDEUFVDQRUGVCVGVJVOVG
      VCDUHUIVCVIAVDVCVHVDHZPDVHDVCDVDHVPDERUJUKSVCVNAVEVCVHVEHZPZVMVKVRVLDTZVM
      VQVSVCVQVHVDTVSVHVDULVHDUPUMUNVLDAUOUQURUSSUTABVDCDFGVAVB $.

    ${
      $d s x y z $.  $d A y z $.  $d B y z $.  $d O z $.  $d S z $.  $d ph z $.
      unelldsys.s $e |- ( ph -> S e. L ) $.
      unelldsys.a $e |- ( ph -> A e. S ) $.
      unelldsys.b $e |- ( ph -> B e. S ) $.
      unelldsys.c $e |- ( ph -> ( A i^i B ) = (/) ) $.
      $( Lambda-systems are closed under disjoint set unions.  (Contributed by
         Thierry Arnoux, 21-Jun-2020.) $)
      unelldsys $p |- ( ph -> ( A u. B ) e. S ) $=
        ( vz wcel c0 wceq wa adantr cun uneq1 adantl un0 eqtr3i eqeltrd wne cpr
        uncom eqtrdi cuni uniprg syl2anc com cdom wbr wdisj prct cin wex biimpi
        cv wb n0 wn disjel sylan nelne1 adantll mpdan adantlr exlimddv disjprgw
        id syl3anc mpbird wi cpw breq1 disjeq1 anbi12d eleq1d imbi12d cdif wral
        unieq w3a crab biid difeq2 cbvralvw 3anbi123i rabbii eqtri sylib simprd
        isldsys simp3d prelpwi rspcdva mp2and eqeltrrd pm2.61dane ) ADEUAZFPDQA
        DQRZSZXDEFXFXDQEUAZEXEXDXGRADQEUBUCEQUAXGEEQUIEUDUEUJAEFPZXEMTUFADQUGZS
        ZDEUHZUKZXDFAXLXDRZXIADFPZXHXMLMDEFFULUMTXJXKUNUOUPZCXKCVBZUQZXLFPZAXOX
        IAXNXHXOLMDEFFURUMTXJXQDEUSQRZAXSXINTXJXNXHDEUGZXQXSVCAXNXILTAXHXIMTXJO
        VBZDPZXTOXIYBOUTZAXIYCODVDVAUCAYBXTXIAYBSYAEPVEZXTAXSYBYDNDEYAVFVGYBYDX
        TAYADEVHVIVJVKVLCDEXPDEFXPDRVNXPERVNVMVOVPAXOXQSZXRVQZXIAYAUNUOUPZCYAXP
        UQZSZYAUKZFPZVQZYFOFVRZXKYAXKRZYIYEYKXRYNYGXOYHXQYAXKUNUOVSCYAXKXPVTWAY
        NYJXLFYAXKWFWBWCAQFPZHYAWDZFPOFWEZYLOYMWEZAFHVRVRZPZYOYQYRWGZAFGPYTUUAS
        KOCFGHIGQIVBZPZHBVBZWDZUUBPZBUUBWEZUUDUNUOUPZCUUDXPUQZSZUUDUKZUUBPZVQZB
        UUBVRZWEZWGZIYSWHUUCYPUUBPZOUUBWEZYIYJUUBPZVQZOUUNWEZWGZIYSWHJUUPUVBIYS
        UUCUUCUUGUURUUOUVAUUCWIUUFUUQBOUUBUUDYARZUUEYPUUBUUDYAHWJWBWKUUMUUTBOUU
        NUVCUUJYIUULUUSUVCUUHYGUUIYHUUDYAUNUOVSCUUDYAXPVTWAUVCUUKYJUUBUUDYAWFWB
        WCWKWLWMWNWQWOWPWRAXNXHXKYMPLMDEFWSUMWTTXAXBXC $.
    $}

    $( All sigma-algebras are lambda-systems.  (Contributed by Thierry Arnoux,
       13-Jun-2020.) $)
    sigaldsys $p |- ( sigAlgebra ` O ) C_ L $=
      ( vt csiga cfv cv wcel cpw c0 wral cuni sylibr adantr syl3anc ralrimiva
      wa cdif com cdom wbr wdisj wi w3a wss sigasspw velpw crn elrnsiga 0elsiga
      syl baselsiga simpr difelsiga ad2antrr simplr simprl sigaclcu ex 3jca jca
      isldsys ssriv ) GDHIZCGJZVGKZVHDLZLKZMVHKZDAJZUAVHKZAVHNZVMUBUCUDZBVMBJUE
      ZTZVMOVHKZUFZAVHLZNZUGZTVHCKVIVKWCVIVHVJUHVKDVHUIGVJUJPVIVLVOWBVIVHHUKOKZ
      VLVHDULZVHUMUNVIVNAVHVIVMVHKZTWDDVHKZWFVNVIWDWFWEQVIWGWFDVHUOQVIWFUPDVMVH
      UQRSVIVTAWAVIVMWAKZTZVRVSWIVRTWDWHVPVSVIWDWHVRWEURVIWHVRUSWIVPVQUTVMVHVAR
      VBSVCVDABVHCDEFVEPVF $.

    $d t y $.  $d A s t u x $.  $d L s u x $.  $d ph t u x $.
    ldsysgenld.1 $e |- ( ph -> O e. V ) $.
    ldsysgenld.2 $e |- ( ph -> A C_ ~P O ) $.
    $( The intersection of all lambda-systems containing a given collection of
       sets ` A ` , which is called the lambda-system generated by ` A ` , is
       itself also a lambda-system.  (Contributed by Thierry Arnoux,
       16-Jun-2020.) $)
    ldsysgenld $p |- ( ph -> |^| { t e. L | A C_ t } e. L ) $=
      ( cv cpw wcel wral wa wi elintrab ex vu wss crab cint cdif com cdom wdisj
      c0 wbr cuni w3a csiga pwsiga sigaldsys sselid sseq2 elrab sylanbrc intss1
      cfv syl sselpwd isldsys simprbi simp1d adantl a1d ralrimiva sylibr nfrab1
      0ex nfv nfcv nfint nfel simplr vex biimpi r19.21bi simp2d syl2anc ralrimi
      nfan imp wb cvv difexg elintrabg 3syl adantr mpbird nfpw simpllr syl21anc
      simpr ssrdv sspwd simp-4r sseldd simp3d vuniex 3jca jca ) AEDMZUBZDFUCZUD
      ZGNZNZOZUIXHOZGBMZUEZXHOZBXHPZXMUFUGUJCXMCMUHQZXMUKZXHOZRZBXHNZPZULZQXHFO
      AXKYCAXHXIGUMVAZAGHOZXIYDOKGHUNVBZAXIXGOZXHXIUBAXIFOEXIUBZYGAYDFXIBCFGIJU
      OYFUPLXFYHDXIFXEXIEUQURUSXIXGUTVBVCAXLXPYBAXFUIXEOZRZDFPXLAYJDFAXEFOZQYIX
      FYKYIAYKYIXNXEOZBXEPZXQXRXEOZRZBXENZPZYKXEXJOYIYMYQULBCXEFGIJVDVEZVFVGVHV
      IXFDUIFVLSVJAXOBXHAXMXHOZQZXOXFYLRZDFPZYTUUADFAYSDADVMZDXMXHDXMVNZDXGXFDF
      VKVOZVPWDYTYKUUAYTYKQZXFYLUUFXFQYKXMXEOZYLYTYKXFVQUUFXFUUGYTXFUUGRZDFYSUU
      HDFPZAYSUUIXFDXMFBVRSVSVGVTWEYKYLBXEYKYIYMYQYRWAVTWBTTWCAXOUUBWFZYSAYEXNW
      GOUUJKGXMHWHXFDXNFWGWIWJWKWLVIAXTBYAAXMYAOZQZXQXSUULXQQZXFYNRZDFPXSUUMUUN
      DFUULXQDAUUKDUUCDXMYAUUDDXHUUEWMVPWDXQDVMWDUUMYKUUNUUMYKQZXFYNUUOXFQZYKXM
      YPOZXQYNUUMYKXFVQUUPYAYPXMUUPXHXEUUPUAXHXEUUPUAMZXHOZUURXEOZUUPUUSQUUSYKX
      FUUTUUPUUSWPUUMYKXFUUSWNUUOXFUUSVQUUSYKQXFUUTUUSXFUUTRZDFUUSUVADFPXFDUURF
      UAVRSVSVTWEWOTWQWRAUUKXQYKXFWSWTUULXQYKXFWNYKUUQQXQYNYKYOBYPYKYIYMYQYRXAV
      TWEWOTTWCXFDXRFBXBSVJTVIXCXDBCXHFGIJVDVJ $.
  $}

  ${
    $d f i n s t x y z $.  $d L f i n t x y $.  $d O s t x $.
    $d P f i n t x y $.
    dynkin.p $e |- P = { s e. ~P ~P O | ( fi ` s ) C_ s } $.
    dynkin.l $e |- L = { s e. ~P ~P O | ( (/) e. s /\ A. x e. s ( O \ x ) e. s
      /\ A. x e. ~P s ( ( x ~<_ _om /\ Disj_ y e. x y ) -> U. x e. s ) ) } $.
    ${
      $d A n $.  $d B x $.  $d N n x $.
      sigapildsyslem.n $e |- F/ n ph $.
      sigapildsyslem.1 $e |- ( ph -> t e. ( P i^i L ) ) $.
      sigapildsyslem.2 $e |- ( ph -> A e. t ) $.
      sigapildsyslem.3 $e |- ( ph -> N e. Fin ) $.
      sigapildsyslem.4 $e |- ( ( ph /\ n e. N ) -> B e. t ) $.
      $( Lemma for ~ sigapildsys .  (Contributed by Thierry Arnoux,
         13-Jun-2020.) $)
      sigapildsyslem $p |- ( ph -> ( A \ U_ n e. N B ) e. t ) $=
        ( wcel ciun cdif cv c0 wceq wa iuneq1 0iun eqtrdi difeq2d adantl adantr
        dif0 eqeltrd wne ciin iindif2 cfi cfv cpw wss cin elin1d ispisys simprd
        sylib wral cfn nfv nfan simpld elpwid sseldd difin2 syl cdom wdisj cuni
        com wbr w3a elin2d isldsys simp2d adantlr difeq2 eleq1d rspc mpd inelfi
        wi syl3anc ex ralrimi simpr cvv vex iinfi mpan eqeltrrd pm2.61dane ) AE
        HJFUAZUBZDUCZTJUDAJUDUEZUFXCEXDXEXCEUEAXEXCEUDUBEXEXBUDEXEXBHUDFUAUDHJU
        DFUGHFUHUIUJEUMUIUKAEXDTZXEQULUNAJUDUOZUFZHJEFUBZUPZXCXDXGXJXCUEAHJEFUQ
        UKXHXDURUSZXDXJXHXDKUTZUTTZXKXDVAZXHXDGTXMXNUFXHGIXDAXDGIVBZTZXGPULZVCG
        XDKLMVDVFZVEZXHXIXDTZHJVGZXGJVHTZXJXKTZXHXTHJAXGHOXGHVIVJXHHUCJTZXTXHYD
        UFZXIKFUBZEVBZXDYEEKVAZXIYGUEXHYHYDXHEKXHXDXLEXHXDXLXHXMXNXRVKVLAXFXGQU
        LZVMVLULEFKVNVOYEXKXDYGXHXNYDXSULYEXPYFXDTZXFYGXKTXHXPYDXQULYEKBUCZUBZX
        DTZBXDVGZYJXHYNYDXHUDXDTZYNYKVSVPVTCYKCUCVQUFYKVRXDTWKBXDUTVGZXHXMYOYNY
        PWAZXHXDITXMYQUFXHGIXDXQWBBCXDIKLNWCVFVEWDULYEFXDTZYNYJWKAYDYRXGSWEYMYJ
        BFXDYJBVIYKFUEYLYFXDYKFKWFWGWHVOWIXHXFYDYIULYFEXOXDWJWLVMUNWMWNAXGWOAYB
        XGRULXDWPTYAXGYBWAYCDWQHJXIXDWPWRWSWLVMWTXA $.
    $}

    $( Sigma-algebra are exactly classes which are both lambda and pi-systems.
       (Contributed by Thierry Arnoux, 13-Jun-2020.) $)
    sigapildsys $p |- ( sigAlgebra ` O ) = ( P i^i L ) $=
      ( vn vi cv wcel com cdom wbr wa c0 wceq cn cvv vt csiga cfv cin sigapisys
      vf sigaldsys ssini cpw wss cdif wral cuni wi w3a cfi elin1d ispisys sylib
      simpld elpwid dif0 wdisj elin2d isldsys simprd simp2d simp1d difeq2 eqidd
      id eleq12d rspcv syl eqeltrrid unieq uni0 eqtrdi adantl ad3antrrr eqeltrd
      mpd wne wfo csdm wex vex biimpri cen simplr nnenom ensymi domentr sylancl
      0sdom fodomr syl2anc c1 cfzo ciun fveq2 iundisj crn wfn fofn fniunfv forn
      co unieqd eqtrd eqtr3id cmpt fvex difexg dfiun3 nfv nfcv nfmpt1 nfrn nfel
      ax-mp nfan simpr nfiu1 nfdif nfmpt ad7antr simp-4r wf fof ffvelrnd sseldd
      nfeq a1i adantr ex wb sylibr mp1i imp ad4antlr cfn fzossnn sigapildsyslem
      fzofi sselda wrex eqid elrnmpti r19.29af ssrdv mptex elpwg simp3d ad4antr
      nnex rnex nnct mptct rnct iundisj2 disjrnmpt breq1 disjeq1 anbi12d eleq1d
      imbi12d syl22anc eqeltrid eqeltrrd exlimddv pm2.61dane ralrimiva 3jca jca
      issiga ssriv eqssi ) EUBUCZCDUDZUVSCDCEFGUEABDEFHUGUHUAUVTUVSUAKZUVTLZUWA
      EUIZUJZEUWALZEAKZUKZUWALZAUWAULZUWFMNOZUWFUMZUWALZUNZAUWAUIZULZUOZPZUWAUV
      SLZUWBUWDUWPUWBUWAUWCUWBUWAUWCUILZUWAUPUCUWAUJZUWBUWACLUWSUWTPUWBCDUWAUWB
      VKZUQCUWAEFGURUSUTVAUWBUWEUWIUWOUWBEEQUKZUWAEVBUWBUWIUXBUWALZUWBQUWALZUWI
      UWJBUWFBKZVCZPZUWLUNZAUWNULZUWBUWSUXDUWIUXIUOZUWBUWADLUWSUXJPUWBCDUWAUXAV
      DABUWADEFHVEUSVFZVGZUWBUXDUWIUXCUNUWBUXDUWIUXIUXKVHZUWHUXCAQUWAUWFQRZUWGU
      XBUWAUWAUWFQEVIUXNUWAVJVLVMVNWBVOUXLUWBUWMAUWNUWBUWFUWNLZPZUWJUWLUXPUWJPZ
      UWLUWFQUXQUXNPUWKQUWAUXNUWKQRUXQUXNUWKQUMQUWFQVPVQVRVSUWBUXDUXOUWJUXNUXMV
      TWAUXQUWFQWCZPZSUWFUFKZWDZUWLUFUXSQUWFWEOZUWFSNOZUYAUFWFUXRUYBUXQUYBUXRUW
      FAWGWOWHVSUXSUWJMSWIOUYCUXPUWJUXRWJSMWKWLUWFMSWMWNSUWFUFWPWQUXSUYAPZISIKZ
      UXTUCZJWRUYEWSXHZJKZUXTUCZWTZUKZWTZUWKUWAUYAUYLUWKRUXSUYAUYLISUYFWTZUWKUY
      FUYIJIUYEUYHUXTXAZXBUYAUYMUXTXCZUMZUWKUYAUXTSXDUYMUYPRSUWFUXTXEISUXTXFVNU
      YAUYOUWFSUWFUXTXGXIXJXKVSUYDUYLISUYKXLZXCZUMZUWAISUYKUYFTLUYKTLUYEUXTXMUY
      FUYJTXNYAZXOUYDUYRUWNLZUXIUYRMNOZBUYRUXEVCZUYSUWALZUYDUYRUWAUJZVUAUYDBUYR
      UWAUYDUXEUYRLZUXEUWALZUYDVUFPZUXEUYKRZVUGISUYDVUFIUYDIXPIUXEUYRIUXEXQIUYQ
      ISUYKXRXSXTYBVUHUYESLZPZVUIPZUXEUYKUWAVUKVUIYCVULABUAUYFUYICJDUYGEFGHVUKV
      UIJVUHVUJJUYDVUFJUYDJXPJUXEUYRJUXEXQZJUYQJISUYKJSXQJUYFUYJJUYFXQJUYGUYIYD
      YEZYFXSXTYBVUJJXPYBJUXEUYKVUMVUNYMYBUWBUWBUXOUWJUXRUYAVUFVUJVUIUXAYGVULUW
      FUWAUYFVULUWFUWAUYDUXOVUFVUJVUIUWBUXOUWJUXRUYAYHVTVAZVULSUWFUYEUXTUYASUWF
      UXTYIZUXSVUFVUJVUISUWFUXTYJUUAZVUHVUJVUIWJYKYLUYGUUBLVULWRUYEUUEYNVULUYHU
      YGLZPZUWFUWAUYIVULUWFUWAUJVURVUOYOVUSSUWFUYHUXTVULVUPVURVUQYOVULUYGSUYHUY
      GSUJVULUYEUUCYNUUFYKYLUUDWAVUHVUFVUIISUUGUYDVUFYCISUYKUXEUYQUYQUUHUYTUUIU
      SUUJYPUUKUYRTLVUAVUEYQUYQISUYKUUPUULUUQUYRUWATUUMYAYRUWBUXIUXOUWJUXRUYAUW
      BUXDUWIUXIUXKUUNUUOUYQMNOZVUBUYDSMNOVUTUURISUYKUUSYAUYQUUTYSISUYKVCVUCUYD
      UYFUYIJIUYNUVAIBSUYKUVBYSVUAUXIPVUBVUCPZVUDVUAUXIVVAVUDUNZUXHVVBAUYRUWNUW
      FUYRRZUXGVVAUWLVUDVVCUWJVUBUXFVUCUWFUYRMNUVCBUWFUYRUXEUVDUVEVVCUWKUYSUWAU
      WFUYRVPUVFUVGVMYTYTUVHUVIUVJUVKUVLYPUVMUVNUVOUWATLUWRUWQYQUAWGAUWAEUVPYAY
      RUVQUVR $.

    $d L s t u x $.  $d O t u $.  $d S t $.  $d T s t u x $.  $d ph t x $.
    dynkin.o $e |- ( ph -> O e. V ) $.
    ${
      ldgenpisys.e $e |- E = |^| { t e. L | T C_ t } $.
      ldgenpisys.1 $e |- ( ph -> T e. P ) $.
      ${
        $d b s x $.  $d A b s t x y z $.  $d E b s t x y $.  $d L z $.
        $d O b t y $.  $d V x $.  $d T y $.  $d ph y $.
        ldgenpisyslem1.1 $e |- ( ph -> A e. E ) $.
        $( Lemma for ~ ldgenpisys .  (Contributed by Thierry Arnoux,
           29-Jun-2020.) $)
        ldgenpisyslem1 $p |- ( ph -> { b e. ~P O | ( A i^i b ) e. E } e. L ) $=
          ( wcel vz cv cin cpw crab c0 cdif wral com cdom wbr wdisj wa cuni w3a
          wi wss ssrab2 cvv wb pwexg rabexg elpwg 4syl mpbiri wceq ineq2 eleq1d
          0elpw a1i cint isldsys simprbi simp1d ad2antlr ralrimiva 0ex elintrab
          ex sylibr in0 3eltr4g elrabd elrab pwidg syl adantr elpwdifcl pwldsys
          cun cfi cfv ispisys sylib simpld elpwid sseq2 intminss syl2anc sseldd
          eqsstrid ad3antrrr difin difin2 syl5eq eqtrdi difuncomp eqtr3d difeq2
          incom simp2d cbvralvw simplr eleqtrdi elintrabg r19.21bi imp adantllr
          mpbid simpr rspcdva simpllr simprd vex inex2 mp1i rspa syl21anc inss1
          disjdif ssdisj mp2an eleqtrrdi nfan nfcv breq1 anbi12d unieq imbi12d
          nfv eqtri unelldsys eqeltrd inex1g mpbird jca sylan2b sspwi elpwunicl
          sselid cmpt crn ciun uniin2 dfiun3 eqtr3i nfdisj1 elpwi sselda eleq2i
          ad4antlr sylanb ralrimi rnmptss sselpwd 1stcrestlem disjin2 disjrnmpt
          bitri eqid 3syl nfmpt1 nfrn cbvdisjf disjeq1f simp3d disjeq1 syl22anc
          id eqeltrid vuniex 3jca sylanbrc ) AEMUBZUCZHTZMJUDZUEZUWGUDZTZUFUWHT
          ZJBUBZUGZUWHTZBUWHUHZUWLUIUJUKZCUWLCUBZULZUMZUWLUNZUWHTZUPZBUWHUDZUHZ
          UOUWHITAUWJUWHUWGUQZUWFMUWGURZAJKTZUWGUSTUWHUSTUWJUXEUTPJKVAUWFMUWGUS
          VBUWHUWGUSVCVDVEAUWKUWOUXDAUWFEUFUCZHTMUFUWGUWDUFVFUWEUXHHUWDUFEVGVHU
          FUWGTAJVIVJAUFGDUBZUQZDIUEVKZUXHHAUXJUFUXITZUPZDIUHUFUXKTAUXMDIAUXIIT
          ZUMZUXJUXLUXNUXLAUXJUXNUXLUWMUXITZBUXIUHZUWSUWTUXITZUPZBUXIUDZUHZUXNU
          XIUWITUXLUXQUYAUOBCUXIIJLOVLVMZVNVOVSVPUXJDUFIVQVRVTEWAQWBWCAUWNBUWHA
          UWLUWHTZUMUWMUWGTZEUWMUCZHTZUMZUWNUYCAUWLUWGTZEUWLUCZHTZUMZUYGUWFUYJM
          UWLUWGUWDUWLVFUWEUYIHUWDUWLEVGVHWDAUYKUMZUYDUYFUYLJUWLJAJUWGTZUYKAUXG
          UYMPJKWEWFWGWHUYLUYEUXKHUYLUYEUXKTZUXJUYEUXITZUPZDIUHZUYLUYPDIUYLUXNU
          MZUXJUYOUYRUXJUMZUYEJJEUGZUYIWJZUGZUXIUYSEJUQZUYEVUBVFAVUCUYKUXNUXJAE
          JAHUWGEAHUXKUWGQAUWGITZGUWGUQZUXKUWGUQAUXGVUDPBCIJKLOWIWFAGUWGAGUWITZ
          GWKWLGUQZAGFTVUFVUGUMRFGJLNWMWNWOWPUXJVUEDUWGIUXIUWGGWQWRWSXASWTWPXBV
          UCEUYIUGZUYEVUBVUCVUHUWMEUCZUYEVUCVUHEUWLUGVUIEUWLXCEUWLJXDXEUWMEXJXF
          EUYIJXGXHWFUYSJUWQUGZUXITZVUBUXITCUXIVUAUWQVUAVFVUJVUBUXIUWQVUAJXIVHU
          YSUXQVUKCUXIUHUXNUXQUYLUXJUXNUXLUXQUYAUYBXKZVOUXPVUKBCUXIUWLUWQVFUWMV
          UJUXIUWLUWQJXIVHXLWNUYSBCUYTUYIUXIIJLOUYLUXNUXJXMZUYSUXNEUXITZUYTUXIT
          ZVUMAUXNUXJVUNUYKUXOUXJVUNAUXJVUNUPZDIAEUXKTZVUPDIUHZAEHUXKSQXNAEHTZV
          UQVURUTSUXJDEIHXOWFXSXPXQXRUXNVUNUMUXPVUOBUXIEUWLEVFUWMUYTUXIUWLEJXIV
          HUXNUXQVUNVULWGUXNVUNXTYAWSUYSUXJUYIUXITZUPZDIUHZUXNUXJVUTUYSUYIUXKTZ
          VVBUYSUYIHUXKUYSUYHUYJAUYKUXNUXJYBYCQXNUYIUSTVVCVVBUTUYSUWLEBYDYEUXJD
          UYIIUSXOYFXSVUMUYRUXJXTVVBUXNUMUXJVUTVVADIYGXQYHUYTUYIUCZUFVFUYSVVDUY
          IUYTUCZUFUYTUYIXJUYIEUQEUYTUCUFVFVVEUFVFEUWLYIEJYJUYIEUYTYKYLUUAVJUUB
          YAUUCVSVPUYLUYEUSTZUYNUYQUTAVVFUYKAVUSVVFSEUWMHUUDWFWGUXJDUYEIUSXOWFU
          UEQYMUUFUUGUWFUYFMUWMUWGUWDUWMVFUWEUYEHUWDUWMEVGVHWDVTVPAUXBBUXCAUWLU
          XCTZUMZUWSUXAVVHUWSUMZUWFEUWTUCZHTMUWTUWGUWDUWTVFUWEVVJHUWDUWTEVGVHVV
          IUWLJVVIUXCUWIUWLUWHUWGUXFUUHAVVGUWSXMUUJUUIVVIVVJUXKHVVIUXJVVJUXITZU
          PZDIUHVVJUXKTVVIVVLDIVVIUXNUMZUXJVVKVVMUXJUMZVVJCUWLEUWQUCZUUKZUULZUN
          ZUXICUWLVVOUUMVVJVVRCEUWLUUNCUWLVVOUWQECYDYEZUUOUUPVVNUXNVVQUXTTZVVQU
          IUJUKZCVVQUWQULZVVRUXITZVVIUXNUXJXMZVVNVVQUXIIVWDVVNVVOUXITZCUWLUHVVQ
          UXIUQVVNVWECUWLVVMUXJCVVIUXNCVVHUWSCVVHCYTUWPUWRCUWPCYTCUWLUWQUUQYNYN
          UXNCYTYNUXJCYTYNVVNUWQUWLTZVWEVVNVWFUMZVVOHTZUXNUXJVWEVWGUWQUWHTZVWHV
          VNUWLUWHUWQVVGUWLUWHUQAUWSUXNUXJUWLUWHUURUVAUUSVWIUWQUWGTVWHUWFVWHMUW
          QUWGUWDUWQVFUWEVVOHUWDUWQEVGVHWDVMWFVVIUXNUXJVWFYBVVMUXJVWFXMVWHUXNUM
          UXJVWEVWHUXJVWEUPZDIUHZUXNVWJVWHVVOUXKTVWKHUXKVVOQUUTUXJDVVOIVVSVRUVI
          VWJDIYGUVBXQYHVSUVCCUWLVVOUXIVVPVVPUVJUVDWFUVEVVNUWPVWAVVNUWPUWRVVHUW
          SUXNUXJYBZWOCUWLVVOUVFWFVVNUAVVQUAUBZULZVWBVVNUWRCUWLVVOULVWNVVNUWPUW
          RVWLYCCEUWLUWQUVGCUAUWLVVOUVHUVKCUAVVQUWQVWMCVVPCUWLVVOUVLUVMZUAUWQYO
          CVWMYOZUWQVWMVFUVSUVNVTUXNVVTUMZVWAVWBUMZVWCVWQVWMUIUJUKZCVWMUWQULZUM
          ZVWMUNZUXITZUPZVWRVWCUPUAUXTVVQVWMVVQVFZVXAVWRVXCVWCVXEVWSVWAVWTVWBVW
          MVVQUIUJYPCVWMVVQUWQVWPVWOUVOYQVXEVXBVVRUXIVWMVVQYRVHYSUXNVXDUAUXTUHZ
          VVTUXNUYAVXFUXNUXLUXQUYAUYBUVPUXSVXDBUAUXTUWLVWMVFZUWSVXAUXRVXCVXGUWP
          VWSUWRVWTUWLVWMUIUJYPCUWLVWMUWQUVQYQVXGUWTVXBUXIUWLVWMYRVHYSXLWNWGUXN
          VVTXTYAXQUVRUVTVSVPUXJDVVJIUWTEBUWAYEVRVTQYMWCVSVPUWBBCUWHIJLOVLUWC
          $.

        ldgenpisyslem2.1 $e |- ( ph -> T C_ { b e. ~P O | ( A i^i b ) e. E } )
          $.
        $( Lemma for ~ ldgenpisys .  (Contributed by Thierry Arnoux,
           18-Jul-2020.) $)
        ldgenpisyslem2 $p |- ( ph -> E C_ { b e. ~P O | ( A i^i b ) e. E } ) $=
          ( cv wss crab cint cin wcel cpw ldgenpisyslem1 jca sseq2 elrab sylibr
          wa intss1 syl eqsstrid ) AHGDUAZUBZDIUCZUDZEMUAUEHUFMJUGUCZQAVAUSUFZU
          TVAUBAVAIUFZGVAUBZUMVBAVCVDABCDEFGHIJKLMNOPQRSUHTUIURVDDVAIUQVAGUJUKU
          LVAUSUNUOUP $.
      $}

      ${
        $d A b s t x y $.  $d E b s t x y $.  $d L y $.  $d O b y $.
        $d T b s t x y $.  $d V x $.  $d ph b y $.
        ldgenpisyslem3.1 $e |- ( ph -> A e. T ) $.
        $( Lemma for ~ ldgenpisys .  (Contributed by Thierry Arnoux,
           18-Jul-2020.) $)
        ldgenpisyslem3 $p |- ( ph -> E C_ { b e. ~P O | ( A i^i b ) e. E } ) $=
          ( wcel cv wss crab cint wi wral id rgenw ssintrab sseqtrri sselid cpw
          mpbir cin cfi cfv ispisys sylib simpld elpwi syl adantr simpr syl3anc
          wa inelpisys ralrimiva jca ssrab sylibr ldgenpisyslem2 ) ABCDEFGHIJKL
          MNOPQRAGHEGGDUAUBZDIUCUDZHGVMUBVLVLUEZDIUFVNDIVLUGUHVLDGIUIUMQUJZSUKA
          GJULZUBZEMUAZUNZHTZMGUFZVEGVTMVPUCUBAVQWAAGVPULTZVQAWBGUOUPGUBZAGFTZW
          BWCVERFGJLNUQURUSGVPUTVAAVTMGAVRGTZVEZGHVSVOWFWDEGTZWEVSGTAWDWERVBAWG
          WESVBAWEVCEVRFGJLNVFVDUKVGVHVTMVPGVIVJVK $.
      $}

      $d E a b c s t x y $.  $d L b y $.  $d O b c y $.  $d T b c y $.
      $d V x $.  $d ph a b c y $.
      $( The lambda system ` E ` generated by a pi-system ` T ` is also a
         pi-system.  (Contributed by Thierry Arnoux, 18-Jun-2020.) $)
      ldgenpisys $p |- ( ph -> E e. P ) $=
        ( vc wcel wa cv va vb cpw cfi cfv wss cdif wral com cdom wbr wdisj cuni
        c0 w3a crab ssrab2 cint eleqtrdi sselid elpwid ldsysgenld eqeltrid wceq
        wi cin simprr simprl adantr simpr sselda ad2antrr ldgenpisyslem3 simplr
        incom sseldd ineq2 eleq1d elrab sylib simprd eqeltrrid jca sylibr ssrdv
        ex ldgenpisyslem2 syldan ssrab rspcv ralrimivva inficl syl mpbid eqimss
        sylc wb ispisys ) AGIUCZUCZRZGUDUEZGUFZSGERAXAXCAUNKTZRIBTZUGXDRBXDUHXE
        UIUJUKCXECTULSXEUMXDRVEBXDUCUHUOZKWTUPZWTGXFKWTUQAGHXGAGFDTUFDHUPURHOAB
        CDFHIJKMNAFWSAXDUDUEXDUFZKWTUPZWTFXHKWTUQAFEXIPLUSUTVAZVBVCZMUSUTAXBGVD
        ZXCAUATZUBTZVFZGRZUBGUHUAGUHZXLAXPUAUBGGAXMGRZXNGRZSZSZXSXMQTZVFZGRZQGU
        HZXPAXRXSVGYAGWSUFZYEYAGYDQWSUPZUFZYFYESAXTXRYHAXRXSVHAXRSZBCDXMEFGHIJK
        QLMAIJRZXRNVIOAFERZXRPVIAXRVJYIUBFYGYIXNFRZXNYGRZYIYLSZXNWSRZXPSYMYNYOX
        PYIFWSXNAFWSUFXRXJVIVKYNXOXNXMVFZGXNXMVOYNXMWSRZYPGRZYNXMXNYBVFZGRZQWSU
        PZRYQYRSYNGUUAXMYNBCDXNEFGHIJKQLMAYJXRYLNVLOAYKXRYLPVLYIYLVJVMAXRYLVNVP
        YTYRQXMWSYBXMVDYSYPGYBXMXNVQVRVSVTWAWBWCYDXPQXNWSYBXNVDYCXOGYBXNXMVQVRZ
        VSWDWFWEWGWHYDQWSGWIVTWAYDXPQXNGUUBWJWPWKAGHRXQXLWQXKUAUBGHWLWMWNXBGWOW
        MWCEGIKLWRWD $.
    $}

    $d L s u v $.  $d O v y $.  $d S v $.  $d T v y $.  $d V x $.  $d ph v y $.
    $d t v x $.
    dynkin.1 $e |- ( ph -> S e. L ) $.
    dynkin.2 $e |- ( ph -> T e. P ) $.
    dynkin.3 $e |- ( ph -> T C_ S ) $.
    $( Dynkin's lambda-pi theorem: if a lambda-system contains a pi-system, it
       also contains the sigma-algebra generated by that pi-system.
       (Contributed by Thierry Arnoux, 16-Jun-2020.) $)
    dynkin $p |- ( ph -> |^| { u e. ( sigAlgebra ` O ) | T C_ u } C_ S ) $=
      ( vv wss wcel vt cv csiga cfv crab cint cin cbvrabv inteqi ldgenpisys cpw
      sseq2 cfn c0 csn cdif wral ispisys2 simplbi elpwid ldsysgenld sigapildsys
      syl elind eleqtrrdi ssintub a1i intminss syl2anc sstrd ) AGDUBZSZDIUCUDZU
      EUFZGRUBZSZRHUEZUFZFAVRVMTGVRSZVNVRSAVREHUGVMAEHVRABCUAEGVRHIJKLMNVQGUAUB
      ZSZUAHUEVPWARUAHVOVTGULUHUIPUJABCRGHIJKMNAGIUKZAGETZGWBUKTZPWCWDBUBUFGTBG
      UKUMUGUNUOUPUQBEGIKLURUSVCUTVAVDBCEHIKLMVBVEVSARGHVFVGVLVSDVRVMVKVRGULVHV
      IAFHTGFSZVRFSOQVPWERFHVOFGULVHVIVJ $.
  $}

  ${
    $d A u v $.  $d B u v $.  $d O s $.  $d S s u v x y $.
    isros.1 $e |- Q = { s e. ~P ~P O | ( (/) e. s /\ A. x e. s A. y e. s
      ( ( x u. y ) e. s /\ ( x \ y ) e. s ) ) } $.
    $( The property of being a rings of sets, i.e. containing the empty set,
       and closed under finite union and set complement.  (Contributed by
       Thierry Arnoux, 18-Jul-2020.) $)
    isros $p |- ( S e. Q <-> ( S e. ~P ~P O /\ (/) e. S /\ A. u e. S A. v e. S
      ( ( u u. v ) e. S /\ ( u \ v ) e. S ) ) ) $=
      ( wcel c0 cv cun cdif wa wral wceq eleq2 anbi12d eleq1d raleqbi1dv elrab2
      cpw w3a 3anass uneq1 difeq1 uneq2 difeq2 cbvral2vw 3anbi3i 3bitr2i ) FEJF
      GUCUCZJZKFJZALZBLZMZFJZUPUQNZFJZOZBFPZAFPZOZOUNUOVDUDUNUODLZCLZMZFJZVFVGN
      ZFJZOZCFPDFPZUDKHLZJZURVNJZUTVNJZOZBVNPZAVNPZOVEHFUMEVNFQZVOUOVTVDVNFKRVS
      VCAVNFVRVBBVNFWAVPUSVQVAVNFURRVNFUTRSUAUASIUBUNUOVDUEVDVMUNUOVBVLVFUQMZFJ
      ZVFUQNZFJZOABDCFFUPVFQZUSWCVAWEWFURWBFUPVFUQUFTWFUTWDFUPVFUQUGTSUQVGQZWCV
      IWEVKWGWBVHFUQVGVFUHTWGWDVJFUQVGVFUITSUJUKUL $.

    $( A ring of sets is a collection of subsets of ` O ` .  (Contributed by
       Thierry Arnoux, 18-Jul-2020.) $)
    rossspw $p |- ( S e. Q -> S C_ ~P O ) $=
      ( vu vv wcel cpw c0 cv cun cdif wa wral isros simp1bi elpwid ) DCJZDEKZUA
      DUBKJLDJHMZIMZNDJUCUDODJPIDQHDQABIHCDEFGRST $.

    $( A ring of sets contains the empty set.  (Contributed by Thierry Arnoux,
       18-Jul-2020.) $)
    0elros $p |- ( S e. Q -> (/) e. S ) $=
      ( vu vv wcel cpw c0 cv cun cdif wa wral isros simp2bi ) DCJDEKKJLDJHMZIMZ
      NDJTUAODJPIDQHDQABIHCDEFGRS $.

    $( A ring of sets is closed under union.  (Contributed by Thierry Arnoux,
       18-Jul-2020.) $)
    unelros $p |- ( ( S e. Q /\ A e. S /\ B e. S ) -> ( A u. B ) e. S ) $=
      ( vu vv wcel cun cdif cv wa wral cpw wceq eleq1d w3a simp2 simp3 c0 isros
      simp3bi 3ad2ant1 uneq1 difeq1 anbi12d difeq2 rspc2va syl21anc simpld
      uneq2 ) FELZCFLZDFLZUAZCDMZFLZCDNZFLZUSUQURJOZKOZMZFLZVDVENZFLZPZKFQJFQZV
      AVCPZUPUQURUBUPUQURUCUPUQVKURUPFGRRLUDFLVKABKJEFGHIUEUFUGVJVLCVEMZFLZCVEN
      ZFLZPJKCDFFVDCSZVGVNVIVPVQVFVMFVDCVEUHTVQVHVOFVDCVEUITUJVEDSZVNVAVPVCVRVM
      UTFVEDCUOTVRVOVBFVEDCUKTUJULUMUN $.

    $( A ring of sets is closed under set complement.  (Contributed by Thierry
       Arnoux, 18-Jul-2020.) $)
    difelros $p |- ( ( S e. Q /\ A e. S /\ B e. S ) -> ( A \ B ) e. S ) $=
      ( vu vv wcel cun cdif cv wa wral cpw wceq eleq1d w3a simp2 simp3 c0 isros
      simp3bi 3ad2ant1 uneq1 difeq1 anbi12d difeq2 rspc2va syl21anc simprd
      uneq2 ) FELZCFLZDFLZUAZCDMZFLZCDNZFLZUSUQURJOZKOZMZFLZVDVENZFLZPZKFQJFQZV
      AVCPZUPUQURUBUPUQURUCUPUQVKURUPFGRRLUDFLVKABKJEFGHIUEUFUGVJVLCVEMZFLZCVEN
      ZFLZPJKCDFFVDCSZVGVNVIVPVQVFVMFVDCVEUHTVQVHVOFVDCVEUITUJVEDSZVNVAVPVCVRVM
      UTFVEDCUOTVRVOVBFVEDCUKTUJULUMUN $.

    $( A ring of sets is closed under intersection.  (Contributed by Thierry
       Arnoux, 19-Jul-2020.) $)
    inelros $p |- ( ( S e. Q /\ A e. S /\ B e. S ) -> ( A i^i B ) e. S ) $=
      ( wcel w3a cin cdif dfin4 difelros syld3an3 eqeltrid ) FEJZCFJZDFJZKCDLCC
      DMZMZFCDNRSTUAFJUBFJABCDEFGHIOABCUAEFGHIOPQ $.

    ${
      $d B i n $.  $d N i k n $.  $d S i k n $.  $d ph i k n $.
      fiunelros.1 $e |- ( ph -> S e. Q ) $.
      fiunelros.2 $e |- ( ph -> N e. NN ) $.
      fiunelros.3 $e |- ( ( ph /\ k e. ( 1 ..^ N ) ) -> B e. S ) $.
      $( A ring of sets is closed under finite union.  (Contributed by Thierry
         Arnoux, 19-Jul-2020.) $)
      fiunelros $p |- ( ph -> U_ k e. ( 1 ..^ N ) B e. S ) $=
        ( wcel c1 cfzo ciun cle wceq vn vi cn co wa wbr simpr nnred leidd cv wi
        caddc breq1 oveq2 iuneq1d eleq1d imbi12d fzo0 iuneq1 ax-mp eqtri 0elros
        c0 0iun syl eqeltrid a1d csn cun simpllr cuz cfv fzosplitsn nnuz eleq2s
        iunxun eqtrdi ad3antrrr clt wb nnltp1le syl2anc mpbird ltled simplr mpd
        nfcsb1v csbeq1a iunxsngf simplll elfzo1 syl3anbrc nfcv nfel nfim eleq1w
        csb nfv anbi2d chvarfv eqeltrd unelros syl3anc ex nnindd mpdan ) AHUCOZ
        GPHQUDZDRZFOZMAXGUEZHHSUFZXJXKHXKHAXGUGUHUIAUAUJZHSUFZGPXMQUDZDRZFOZUKP
        HSUFZGPPQUDZDRZFOZUKUBUJZHSUFZGPYBQUDZDRZFOZUKZYBPULUDZHSUFZGPYHQUDZDRZ
        FOZUKXLXJUKUAUBHXMPTZXNXRXQYAXMPHSUMYMXPXTFYMGXOXSDXMPPQUNUOUPUQXMYBTZX
        NYCXQYFXMYBHSUMYNXPYEFYNGXOYDDXMYBPQUNUOUPUQXMYHTZXNYIXQYLXMYHHSUMYOXPY
        KFYOGXOYJDXMYHPQUNUOUPUQXMHTZXNXLXQXJXMHHSUMYPXPXIFYPGXOXHDXMHPQUNUOUPU
        QAYAXRAXTVCFXTGVCDRZVCXSVCTXTYQTPURGXSVCDUSUTGDVDVAAFEOZVCFOLBCEFIJKVBV
        EVFVGAYBUCOZUEZYGUEZYIYLUUAYIUEZYKYEGYBVHZDRZVIZFUUBYKGYDUUCVIZDRZUUEUU
        BYSYKUUGTAYSYGYIVJZYSGYJUUFDYJUUFTYBPVKVLUCPYBVMVNVOUOVEGYDUUCDVPVQUUBY
        RYFUUDFOUUEFOAYRYSYGYILVRUUBYCYFUUBYBHUUBYBUUHUHUUBHAXGYSYGYIMVRZUHUUBY
        BHVSUFZYIUUAYIUGUUBYSXGUUJYIVTUUHUUIYBHWAWBWCZWDYTYGYIWEWFUUBUUDGYBDWQZ
        FUUBYSUUDUULTUUHGYBDUULUCGYBDWGZGYBDWHZWIVEUUBAYBXHOZUULFOZAYSYGYIWJUUB
        YSXGUUJUUOUUHUUIUUKHYBWKWLAGUJZXHOZUEZDFOZUKAUUOUEZUUPUKGUBUVAUUPGUVAGW
        RGUULFUUMGFWMWNWOUUQYBTZUUSUVAUUTUUPUVBUURUUOAGUBXHWPWSUVBDUULFUUNUPUQN
        WTWBXABCYEUUDEFIJKXBXCXAXDXEWFXF $.
    $}
  $}

  ${
    $d s t x y $.  $d O s $.  $d S s x y z $.  $d A x y z $.  $d B y z $.
    issros.1 $e |- N = { s e. ~P ~P O | ( (/) e. s /\ A. x e. s A. y e. s
      ( ( x i^i y ) e. s /\ E. z e. ~P s ( z e. Fin /\ Disj_ t e. z t
      /\ ( x \ y ) = U. z ) ) ) } $.
    $( The property of being a semirings of sets, i.e., collections of sets
       containing the empty set, closed under finite intersection, and where
       complements can be written as finite disjoint unions.  (Contributed by
       Thierry Arnoux, 18-Jul-2020.) $)
    issros $p |- ( S e. N <-> ( S e. ~P ~P O /\ (/) e. S /\ A. x e. S A. y e. S
      ( ( x i^i y ) e. S /\ E. z e. ~P S ( z e. Fin /\ Disj_ t e. z t
      /\ ( x \ y ) = U. z ) ) ) ) $=
      ( wcel cpw c0 cv wceq w3a wrex wa wral eleq2 anbi12d wdisj cdif cuni pweq
      cin cfn rexeqdv raleqbi1dv elrab2 3anass bitr4i ) EFJEGKKZJZLEJZAMZBMZUEZ
      EJZCMZUFJDUSDMUAUOUPUBUSUCNOZCEKZPZQZBERZAERZQZQUMUNVEOLHMZJZUQVGJZUTCVGK
      ZPZQZBVGRZAVGRZQVFHEULFVGENZVHUNVNVEVGELSVMVDAVGEVLVCBVGEVOVIURVKVBVGEUQS
      VOUTCVJVAVGEUDUGTUHUHTIUIUMUNVEUJUK $.

    $( A semiring of sets is a collection of subsets of ` O ` .  (Contributed
       by Thierry Arnoux, 18-Jul-2020.) $)
    srossspw $p |- ( S e. N -> S C_ ~P O ) $=
      ( wcel cpw c0 cv cin cfn wdisj cdif cuni wceq wral wrex wa issros simp1bi
      w3a elpwid ) EFJZEGKZUGEUHKJLEJAMZBMZNEJCMZOJDUKDMPUIUJQUKRSUECEKUAUBBETA
      ETABCDEFGHIUCUDUF $.

    $( A semiring of sets contains the empty set.  (Contributed by Thierry
       Arnoux, 18-Jul-2020.) $)
    0elsros $p |- ( S e. N -> (/) e. S ) $=
      ( wcel cpw c0 cv cin cfn wdisj cdif cuni wceq wral wrex wa issros simp2bi
      w3a ) EFJEGKKJLEJAMZBMZNEJCMZOJDUHDMPUFUGQUHRSUECEKUAUBBETAETABCDEFGHIUCU
      D $.

    $( A semiring of sets is closed under union.  (Contributed by Thierry
       Arnoux, 18-Jul-2020.) $)
    inelsros $p |- ( ( S e. N /\ A e. S /\ B e. S ) -> ( A i^i B ) e. S ) $=
      ( wcel w3a cin cv cdif wceq cpw wrex wa cfn wdisj cuni simp2 simp3 issros
      wral c0 simp3bi 3ad2ant1 ineq1 eleq1d difeq1 eqeq1d 3anbi3d rexbidv ineq2
      anbi12d difeq2 rspc2va syl21anc simpld ) GHLZEGLZFGLZMZEFNZGLZCOZUALZDVID
      OUBZEFPZVIUCZQZMZCGRZSZVFVDVEAOZBOZNZGLZVJVKVRVSPZVMQZMZCVPSZTZBGUGAGUGZV
      HVQTZVCVDVEUDVCVDVEUEVCVDWGVEVCGIRRLUHGLWGABCDGHIJKUFUIUJWFWHEVSNZGLZVJVK
      EVSPZVMQZMZCVPSZTABEFGGVREQZWAWJWEWNWOVTWIGVREVSUKULWOWDWMCVPWOWCWLVJVKWO
      WBWKVMVREVSUMUNUOUPURVSFQZWJVHWNVQWPWIVGGVSFEUQULWPWMVOCVPWPWLVNVJVKWPWKV
      LVMVSFEUSUNUOUPURUTVAVB $.

    $( In semiring of sets, complements can be written as finite disjoint
       unions.  (Contributed by Thierry Arnoux, 18-Jul-2020.) $)
    diffiunisros $p |- ( ( S e. N /\ A e. S /\ B e. S )
      -> E. z e. ~P S ( z e. Fin /\ Disj_ t e. z t /\ ( A \ B ) = U. z ) ) $=
      ( wcel w3a cin cv cdif wceq cpw wrex wa cfn wdisj cuni simp2 simp3 issros
      wral c0 simp3bi 3ad2ant1 ineq1 eleq1d difeq1 eqeq1d 3anbi3d rexbidv ineq2
      anbi12d difeq2 rspc2va syl21anc simprd ) GHLZEGLZFGLZMZEFNZGLZCOZUALZDVID
      OUBZEFPZVIUCZQZMZCGRZSZVFVDVEAOZBOZNZGLZVJVKVRVSPZVMQZMZCVPSZTZBGUGAGUGZV
      HVQTZVCVDVEUDVCVDVEUEVCVDWGVEVCGIRRLUHGLWGABCDGHIJKUFUIUJWFWHEVSNZGLZVJVK
      EVSPZVMQZMZCVPSZTABEFGGVREQZWAWJWEWNWOVTWIGVREVSUKULWOWDWMCVPWOWCWLVJVKWO
      WBWKVMVREVSUMUNUOUPURVSFQZWJVHWNVQWPWIVGGVSFEUQULWPWMVOCVPWPWLVNVJVKWPWKV
      LVMVSFEUSUNUOUPURUTVAVB $.
  $}

  ${
    $d O s $.  $d Q x y $.  $d S s u v x y z $.  $d s t x y z $.
    rossros.q $e |- Q = { s e. ~P ~P O | ( (/) e. s /\ A. x e. s A. y e. s
      ( ( x u. y ) e. s /\ ( x \ y ) e. s ) ) } $.
    rossros.n $e |- N = { s e. ~P ~P O | ( (/) e. s /\ A. x e. s A. y e. s
      ( ( x i^i y ) e. s /\ E. z e. ~P s ( z e. Fin /\ Disj_ t e. z t
      /\ ( x \ y ) = U. z ) ) ) } $.
    $( Rings of sets are semirings of sets.  (Contributed by Thierry Arnoux,
       18-Jul-2020.) $)
    rossros $p |- ( S e. Q -> S e. N ) $=
      ( vu vv wcel cpw cv wceq wa wral eleq1d c0 cin cfn cdif cuni w3a wrex wss
      wdisj rossspw elpwg mpbird 0elros cun crab uneq1 difeq1 anbi12d cbvral2vw
      uneq2 difeq2 anbi2i rabbii eqtr4i inelros 3expb csn difelros snssd sylibr
      snex elpw snfi a1i disjxsn unisng syl eqcomd eleq1 unieq eqeq2d 3anbi123d
      disjeq1 rspcev syl13anc jca ralrimivva 3jca issros ) FENZFHOZOZNZUAFNZAPZ
      BPZUBFNZCPZUCNZDWRDPZUIZWOWPUDZWRUEZQZUFZCFOZUGZRZBFSAFSZUFFGNWJWMWNXIWJW
      MFWKUHABEFHIJUJFWKEUKULABEFHIJUMWJXHABFFWJWOFNZWPFNZRRZWQXGWJXJXKWQLMWOWP
      EFHIEUAIPZNZWOWPUNZXMNZXBXMNZRZBXMSAXMSZRZIWLUOXNLPZMPZUNZXMNZYAYBUDZXMNZ
      RZMXMSLXMSZRZIWLUOJYIXTIWLYHXSXNYGXRWOYBUNZXMNZWOYBUDZXMNZRLMABXMXMYAWOQZ
      YDYKYFYMYNYCYJXMYAWOYBUPTYNYEYLXMYAWOYBUQTURYBWPQZYKXPYMXQYOYJXOXMYBWPWOU
      TTYOYLXBXMYBWPWOVATURUSVBVCVDZVEVFXLXBVGZXFNZYQUCNZDYQWTUIZXBYQUEZQZXGXLY
      QFUHYRXLXBFWJXJXKXBFNZLMWOWPEFHIYPVHVFZVIYQFXBVKVLVJYSXLXBVMVNYTXLDXBWTVO
      VNXLUUAXBXLUUCUUAXBQUUDXBFVPVQVRXEYSYTUUBUFCYQXFWRYQQZWSYSXAYTXDUUBWRYQUC
      VSDWRYQWTWCUUEXCUUAXBWRYQVTWAWBWDWEWFWGWHABCDFGHIKWIVJ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The Borel algebra on the real numbers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c BrSiga $.
  $( The Borel Algebra on real numbers, usually a gothic B $)
  cbrsiga $a class BrSiga $. $( Extend class notation with the Borel Algebra $)

  $( A Borel Algebra is defined as a sigma-algebra generated by a topology.
     'The' Borel sigma-algebra here refers to the sigma-algebra generated by
     the topology of open intervals on real numbers.  The Borel algebra of a
     given topology ` J ` is the sigma-algebra generated by ` J ` ,
     ` ( sigaGen `` J ) ` , so there is no need to introduce a special constant
     function for Borel sigma-algebra.  (Contributed by Thierry Arnoux,
     27-Dec-2016.) $)
  df-brsiga $a |- BrSiga = ( sigaGen ` ( topGen ` ran (,) ) ) $.

  ${
    $d s x $.
    $( The Borel Algebra on real numbers is a Borel sigma-algebra.
       (Contributed by Thierry Arnoux, 27-Dec-2016.) $)
    brsiga $p |- BrSiga e. ( sigaGen " Top ) $=
      ( vx vs cbrsiga cioo crn ctg csigagen ctop cima df-brsiga wcel retop wfun
      cfv cvv cv cuni csiga c0 mp2b cdm wi wss crab cint df-sigagen sigagensiga
      funmpt2 fvex elrnsiga 0elsiga elfvdm funfvima mp2an ax-mp eqeltri ) CDEZF
      NZGNZGHIZJURHKZUSUTKZLGMURGUAKZVAVBUBAOAPZBPUCBVDQRNUDUEGABUFUHUSREQKZSUS
      KVCUROKUSURQZRNKVEUQFUIUROUGUSVFUJTUSUKSURGULTHURGUMUNUOUP $.
  $}

  $( The Borel Algebra is a sigma-algebra on the real numbers.  (Contributed by
     Thierry Arnoux, 27-Dec-2016.) $)
  brsigarn $p |- BrSiga e. ( sigAlgebra ` RR ) $=
    ( cioo crn ctg cfv csigagen cuni csiga cbrsiga cr cvv wcel fvex sigagensiga
    ax-mp df-brsiga uniretop fveq2i 3eltr4i ) ABZCDZEDZTFZGDZHIGDTJKUAUCKSCLTJM
    NOIUBGPQR $.

  $( The Borel Algebra is a set of subsets of the real numbers.  (Contributed
     by Thierry Arnoux, 19-Jan-2017.) $)
  brsigasspwrn $p |- BrSiga C_ ~P RR $=
    ( cbrsiga cr csiga cfv wcel cpw wss brsigarn sigasspw ax-mp ) ABCDEABFGHBAI
    J $.

  $( The union of the Borel Algebra is the set of real numbers.  (Contributed
     by Thierry Arnoux, 21-Jan-2017.) $)
  unibrsiga $p |- U. BrSiga = RR $=
    ( cioo crn ctg cfv csigagen cuni cbrsiga cr ctop wcel retop unisg df-brsiga
    wceq ax-mp unieqi uniretop 3eqtr4i ) ABCDZEDZFZSFZGFHSIJUAUBNKSILOGTMPQR $.

  ${
    $d x J $.
    $( A Borel Algebra contains all closed sets of its base topology.
       (Contributed by Thierry Arnoux, 27-Mar-2017.) $)
    cldssbrsiga $p |- ( J e. Top -> ( Clsd ` J ) C_ ( sigaGen ` J ) ) $=
      ( vx ctop wcel ccld cfv csigagen cv cuni cdif wss wceq cldss adantl dfss4
      wa eqid csiga adantr cvv sylib topopn difopn sylan crn sgsiga sigagensiga
      id elex baselsiga 3syl elsigagen difelsiga syl3anc syldan eqeltrrd ssrdv
      ex ) ACDZBAEFZAGFZUSBHZUTDZVBVADUSVCPZAIZVEVBJZJZVBVAVDVBVEKZVGVBLVCVHUSV
      BAVEVEQZMNVBVEOUAUSVCVFADZVGVADZUSVEADVCVJAVEVIUBVEVBAVEVIUCUDUSVJPVARUEI
      DZVEVADZVFVADVKUSVLVJUSACUSUHUFSUSVMVJUSATDVAVERFDVMACUIATUGVEVAUJUKSAVFC
      ULVEVFVAUMUNUOUPURUQ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Product Sigma-Algebra
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c sX $.

  $( Extend class notation with the product sigma-algebra operation. $)
  csx $a class sX $. $( Circled times operator $)

  ${
    $d s t x y $.
    $( Define the product sigma-algebra operation, analogous to ~ df-tx .
       (Contributed by Thierry Arnoux, 1-Jun-2017.) $)
    df-sx $a |- sX = ( s e. _V , t e. _V |->
             ( sigaGen ` ran ( x e. s , y e. t |-> ( x X. y ) ) ) ) $.
  $}

  ${
    $d s t x y S $.  $d s t x y T $.
    sxval.1 $e |- A = ran ( x e. S , y e. T |-> ( x X. y ) ) $.
    $( Value of the product sigma-algebra operation.  (Contributed by Thierry
       Arnoux, 1-Jun-2017.) $)
    sxval $p |- ( ( S e. V /\ T e. W ) -> ( S sX T ) = ( sigaGen ` A ) ) $=
      ( vs vt wcel csx cv cmpo crn csigagen cfv cvv wceq eqidd wa co mpoeq123dv
      cxp elex id rneqd fveq2d df-sx fvex ovmpo syl2an fveq2i eqtr4di ) DFKZEGK
      ZUADELUBZABDEAMBMUDZNZOZPQZCPQUODRKERKUQVASUPDFUEEGUEIJDERRABIMZJMZURNZOZ
      PQVALABDVCURNZOZPQVBDSZVEVGPVHVDVFVHABVBVCURDVCURVHUFVHVCTVHURTUCUGUHVCES
      ZVGUTPVIVFUSVIABDVCURDEURVIDTVIUFVIURTUCUGUHABJIUIUTPUJUKULCUTPHUMUN $.
  $}

  ${
    $d x y S $.  $d x y T $.
    $( A product sigma-algebra is a sigma-algebra.  (Contributed by Thierry
       Arnoux, 1-Jun-2017.) $)
    sxsiga $p |- ( ( S e. U. ran sigAlgebra /\ T e. U. ran sigAlgebra ) ->
      ( S sX T ) e. U. ran sigAlgebra ) $=
      ( vx vy csiga crn cuni wcel wa csx co cv cxp cmpo cfv csigagen eqid sxval
      cvv syl txbasex sigagensiga eqeltrd elrnsiga ) AEFGZHBUEHIZABJKZCDABCLDLM
      NFZGZEOZHUGUEHUFUGUHPOZUJCDUHABUEUEUHQZRUFUHSHUKUJHCDUHABUEUEULUAUHSUBTUC
      UGUIUDT $.

    $( A product sigma-algebra is a sigma-algebra on the product of the bases.
       (Contributed by Thierry Arnoux, 1-Jun-2017.) $)
    sxsigon $p |- ( ( S e. U. ran sigAlgebra /\ T e. U. ran sigAlgebra ) ->
      ( S sX T ) e. ( sigAlgebra ` ( U. S X. U. T ) ) ) $=
      ( vx vy csiga crn cuni wcel wa csx co cxp wceq sxsiga cv cmpo eqid txuni2
      cfv cvv csigagen sxval unieqd mpoexga rnexg unisg eqtr4id issgon sylanbrc
      3syl eqtrd ) AEFGZHBULHIZABJKZULHAGZBGZLZUNGZMUNUQESHABNUMUQCDABCODOLZPZF
      ZGZURCDVAABUOUPVAQZUOQUPQRUMURVAUASZGZVBUMUNVDCDVAABULULVCUBUCUMUTTHVATHV
      EVBMCDABUSULULUDUTTUEVATUFUJUKUGUNUQUHUI $.
  $}

  $( The base set of a product sigma-algebra.  (Contributed by Thierry Arnoux,
     1-Jun-2017.) $)
  sxuni $p |- ( ( S e. U. ran sigAlgebra /\ T e. U. ran sigAlgebra ) ->
    ( U. S X. U. T ) = U. ( S sX T ) ) $=
    ( csiga crn cuni wcel wa csx co cxp cfv wceq sxsigon issgon simprbi syl ) A
    CDEZFBQFGABHIZAEBEJZCKFZSRELZABMTRQFUARSNOP $.

  ${
    $d x y A $.  $d x y B $.  $d x y S $.  $d x y T $.
    $( The cartesian product of two open sets is an element of the product
       sigma-algebra.  (Contributed by Thierry Arnoux, 3-Jun-2017.) $)
    elsx $p |- ( ( ( S e. V /\ T e. W ) /\ ( A e. S /\ B e. T ) )
                                               -> ( A X. B ) e. ( S sX T ) ) $=
      ( vx vy wcel wa cxp cv cmpo cvv eqid syl adantr wceq wrex eqeq2d csigagen
      crn cfv csx co wss txbasex sssigagen xpeq1 xpeq2 mp3an3 wb xpexg elrnmpog
      rspc2ev mpbird adantl sseldd sxval eleqtrrd ) CEIDFIJZACIZBDIZJZJZABKZGHC
      DGLZHLZKZMZUBZUAUCZCDUDUEZVEVKVLVFVAVKVLUFZVDVAVKNIVNGHVKCDEFVKOZUGVKNUHP
      QVDVFVKIZVAVDVPVFVIRZHDSGCSZVBVCVFVFRZVRVFOVQVSVFAVHKZRGHABCDVGARVIVTVFVG
      AVHUITVHBRVTVFVFVHBAUJTUOUKVDVFNIVPVRULABCDUMGHCDVIVFVJNVJOUNPUPUQURVAVMV
      LRVDGHVKCDEFVOUSQUT $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Measures
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c measures $. $( The class of the measures on a sigma-algebra $)

  $( Extend class notation to include the class of measures. $)
  cmeas $a class measures $.

  ${
    $d m x y $.  $d m s x S $.  $d s y $.
    $( Define a measure as a nonnegative countably additive function over a
       sigma-algebra onto ` ( 0 [,] +oo ) ` .  (Contributed by Thierry Arnoux,
       10-Sep-2016.) $)
    df-meas $a |- measures = ( s e. U. ran sigAlgebra |->
      { m | ( m : s --> ( 0 [,] +oo ) /\ ( m ` (/) ) = 0
      /\ A. x e. ~P s ( ( x ~<_ _om /\ Disj_ y e. x y )
      -> ( m ` U. x ) = sum* y e. x ( m ` y ) ) ) } ) $.

    $( The base set of a measure is a sigma-algebra.  (Contributed by Thierry
       Arnoux, 25-Dec-2016.) $)
    measbase $p |- ( M e. ( measures ` S ) -> S e. U. ran sigAlgebra ) $=
      ( vs vm vx vy cmeas cfv wcel cdm csiga crn cuni cv cc0 cpnf cicc wceq cab
      cvv elfvdm co wf c0 com cdom wbr wdisj wa cesum wi cpw wral w3a vex mapex
      ovex mp2an simp1 ss2abi ssexi df-meas dmmpti eleqtrdi ) BAGHIAGJKLMZBAGUA
      CVECNZOPQUBZDNZUCZUDVHHORZENZUEUFUGFVKFNZUHUIVKMVHHVKVLVHHFUJRUKEVFULUMZU
      NZDSZGVOVIDSZVFTIVGTIVPTICUOOPQUQVFVGTTDUPURVNVIDVIVJVMUSUTVAEFDCVBVCVD
      $.

    $( The value of the ` measures ` function applied on a sigma-algebra.
       (Contributed by Thierry Arnoux, 17-Oct-2016.) $)
    measval $p |- ( S e. U. ran sigAlgebra -> ( measures ` S ) =
      { m | ( m : S --> ( 0 [,] +oo ) /\ ( m ` (/) ) = 0
      /\ A. x e. ~P S ( ( x ~<_ _om /\ Disj_ y e. x y )
      -> ( m ` U. x ) = sum* y e. x ( m ` y ) ) ) } ) $=
      ( vs cuni wcel cc0 cpnf cicc cv wf cfv wceq cpw wral w3a cab cvv cmeas co
      csiga crn c0 com cdom wbr wdisj wa cesum wi simp1 ss2abi ovex mapex mpan2
      wss ssexg sylancr feq2 pweq raleqdv 3anbi13d abbidv df-meas fvmptg mpdan
      ) CUBUCFZGZCHIJUAZDKZLZUDVKMHNZAKZUEUFUGBVNBKZUHUIVNFVKMVNVOVKMBUJNUKZACO
      ZPZQZDRZSGZCTMVTNVIVTVLDRZUQWBSGZWAVSVLDVLVMVRULUMVIVJSGWCHIJUNCVJVHSDUOU
      PVTWBSURUSECEKZVJVKLZVMVPAWDOZPZQZDRVTVHSTWDCNZWHVSDWIWEVLWGVRVMWDCVJVKUT
      WIVPAWFVQWDCVAVBVCVDABDEVEVFVG $.
  $}

  ${
    $d x y m s M $.  $d x m s S $.
    $( The property of being a measure.  (Contributed by Thierry Arnoux,
       10-Sep-2016.)  (Revised by Thierry Arnoux, 19-Oct-2016.) $)
    ismeas $p |- ( S e. U. ran sigAlgebra -> ( M e. ( measures ` S ) <-> (
      M : S --> ( 0 [,] +oo ) /\ ( M ` (/) ) = 0
      /\ A. x e. ~P S ( ( x ~<_ _om /\ Disj_ y e. x y )
      -> ( M ` U. x ) = sum* y e. x ( M ` y ) ) ) ) ) $=
      ( vs vm cuni wcel cvv cmeas cfv cc0 cpnf c0 wceq cv wa wi wb fveq1 crn co
      csiga cicc com cdom wbr wdisj cesum cpw wral w3a elex a1i simp1 ovex fex2
      wf 3expb expcom mpan2 syl5 df-meas cab vex mapex mp2an ss2abi ssexi simpr
      simpl feq12d eqeq1d adantl esumeq2sdv eqeq12d raleqbidv 3anbi123d abfmpel
      pweqd imbi2d ex pm5.21ndd ) CUCUAGZHZDIHZDCJKZHZCLMUDUBZDURZNDKZLOZAPZUEU
      FUGBWMBPZUHQZWMGZDKZWMWNDKZBUIZOZRZACUJZUKZULZWHWFRWEDWGUMUNXDWJWEWFWJWLX
      CUOWEWIIHZWJWFRLMUDUPZWJWEXEQWFWJWEXEWFCWIDWDIUQUSUTVAVBWEWFWHXDSEPZWIFPZ
      URZNXHKZLOZWOWPXHKZWMWNXHKZBUIZOZRZAXGUJZUKZULZXDEFCDJWDIABFEVCXSFVDXIFVD
      ZXGIHXEXTIHEVEXFXGWIIIFVFVGXSXIFXIXKXRUOVHVIXGCOZXHDOZQZXIWJXKWLXRXCYCXGC
      WIXHDYAYBVJYAYBVKZVLYBXKWLSYAYBXJWKLNXHDTVMVNYCXPXAAXQXBYCXGCYDVTYBXPXASY
      AYBXOWTWOYBXLWQXNWSWPXHDTYBWMXMWRBWNXHDTVOVPWAVNVQVRVSWBWC $.
  $}

  ${
    $d m s x y M $.
    $( The property of being a measure on an undefined base sigma-algebra.
       (Contributed by Thierry Arnoux, 25-Dec-2016.) $)
    isrnmeas $p |- ( M e. U. ran measures
      -> ( dom M e. U. ran sigAlgebra /\ ( M : dom M --> ( 0 [,] +oo )
      /\ ( M ` (/) ) = 0 /\ A. x e. ~P dom M ( ( x ~<_ _om /\ Disj_ y e. x y )
      -> ( M ` U. x ) = sum* y e. x ( M ` y ) ) ) ) ) $=
      ( vs vm cmeas crn cuni wcel cv cc0 wf c0 cfv wceq wa wral w3a cvv fveq1
      cpnf cicc co com cdom wbr wdisj cesum cpw csiga wrex cdm df-meas cab ovex
      vex mapex mp2an simp1 ss2abi ssexi feq1 eqeq1d esumeq2sdv eqeq12d ralbidv
      wi imbi2d 3anbi123d abfmpunirn simprbi 3ad2ant1 adantl simpl eqeltrd feq2
      fdm biimpar syl2anc simp2 simp3 pweq raleqdv 3jca jca rexlimiva syl ) CFG
      HIZDJZKUAUBUCZCLZMCNZKOZAJZUDUEUFBWNBJZUGPZWNHZCNZWNWOCNZBUHZOZVGZAWIUIZQ
      ZRZDUJGHZUKZCULZXFIZXHWJCLZWMXBAXHUIZQZRZPZWHCSIXGWIWJEJZLZMXONZKOZWPWQXO
      NZWNWOXONZBUHZOZVGZAXCQZRZXEDECFXFABEDUMYEEUNXPEUNZWISIWJSIYFSIDUPKUAUBUO
      WIWJSSEUQURYEXPEXPXRYDUSUTVAXOCOZXPWKXRWMYDXDWIWJXOCVBYGXQWLKMXOCTVCYGYCX
      BAXCYGYBXAWPYGXSWRYAWTWQXOCTYGWNXTWSBWOXOCTVDVEVHVFVIVJVKXEXNDXFWIXFIZXEP
      ZXIXMYIXHWIXFXEXHWIOZYHWKWMYJXDWIWJCVQVLZVMYHXEVNVOXEXMYHXEXJWMXLXEYJWKXJ
      YKWKWMXDUSYJXJWKXHWIWJCVPVRVSWKWMXDVTXEYJXDXLYKWKWMXDWAYJXLXDYJXBAXKXCXHW
      IWBWCVRVSWDVMWEWFWG $.
  $}

  ${
    $d x y M $.  $d m s x y $.
    $( The domain of a measure is a sigma-algebra.  (Contributed by Thierry
       Arnoux, 19-Feb-2018.) $)
    dmmeas $p |- ( M e. U. ran measures -> dom M e. U. ran sigAlgebra ) $=
      ( vx vy cmeas crn cuni wcel cdm csiga cc0 cpnf cicc co wf c0 cfv wceq com
      cv cdom wbr wdisj wa cesum wi cpw wral w3a isrnmeas simpld ) ADEFGAHZIEFG
      UKJKLMANOAPJQBSZRTUACULCSZUBUCULFAPULUMAPCUDQUEBUKUFUGUHBCAUIUJ $.

    $( The base set of a measure is its domain.  (Contributed by Thierry
       Arnoux, 25-Dec-2016.) $)
    measbasedom $p |- ( M e. U. ran measures
                                             <-> M e. ( measures ` dom M ) ) $=
      ( vx vy vs vm cmeas crn cuni wcel cfv cc0 wf c0 wceq cv cesum wi cpw wral
      w3a cdm cpnf cicc co com wbr wdisj wa csiga isrnmeas simprd dmmeas ismeas
      cdom wb syl mpbird wfun cab df-meas funmpt2 elunirn2 mpan impbii ) AFGHIZ
      AAUAZFJIZVEVGVFKUBUCUDZALMAJKNBOZUEUNUFCVICOZUGUHZVIHZAJVIVJAJCPNQBVFRSTZ
      VEVFUIGHZIZVMBCAUJUKVEVOVGVMUOAULBCVFAUMUPUQFURVGVEDVNDOZVHEOZLMVQJKNVKVL
      VQJVIVJVQJCPNQBVPRSTEUSFBCEDUTVAVFAFVBVCVD $.
  $}

  ${
    $d x y M $.  $d y S $.
    $( A measure is a function over its base to the positive extended reals.
       (Contributed by Thierry Arnoux, 26-Dec-2016.) $)
    measfrge0 $p |- ( M e. ( measures ` S ) -> M : S --> ( 0 [,] +oo ) ) $=
      ( vy vx cmeas cfv wcel cc0 cpnf cicc co wf c0 wceq cv com cdom wdisj cuni
      wbr wa cesum wi cpw wral w3a csiga crn wb measbase ismeas syl ibi simp1d
      ) BAEFGZAHIJKBLZMBFHNZCOZPQTDURDOZRUAURSBFURUSBFDUBNUCCAUDUEZUOUPUQUTUFZU
      OAUGUHSGUOVAUIABUJCDABUKULUMUN $.
  $}

  $( A measure is a function on its base sigma-algebra.  (Contributed by
     Thierry Arnoux, 13-Feb-2017.) $)
  measfn $p |- ( M e. ( measures ` S ) -> M Fn S ) $=
    ( cmeas cfv wcel cc0 cpnf cicc co measfrge0 ffnd ) BACDEAFGHIBABJK $.

  $( The values of a measure are positive extended reals.  (Contributed by
     Thierry Arnoux, 26-Dec-2016.) $)
  measvxrge0 $p |- ( ( M e. ( measures ` S ) /\ A e. S ) ->
    ( M ` A ) e. ( 0 [,] +oo ) ) $=
    ( cmeas cfv wcel cc0 cpnf cicc co measfrge0 ffvelrnda ) CBDEFBGHIJACBCKL $.

  ${
    $d x y M $.  $d y S $.
    $( The measure of the empty set is always zero.  (Contributed by Thierry
       Arnoux, 26-Dec-2016.) $)
    measvnul $p |- ( M e. ( measures ` S ) -> ( M ` (/) ) = 0 ) $=
      ( vy vx cmeas cfv wcel cc0 cpnf cicc co wf c0 wceq cv com cdom wdisj cuni
      wbr wa cesum wi cpw wral w3a csiga crn wb measbase ismeas syl ibi simp2d
      ) BAEFGZAHIJKBLZMBFHNZCOZPQTDURDOZRUAURSBFURUSBFDUBNUCCAUDUEZUOUPUQUTUFZU
      OAUGUHSGUOVAUIABUJCDABUKULUMUN $.
  $}

  $( A measure is nonnegative.  (Contributed by Thierry Arnoux, 9-Mar-2018.) $)
  measge0 $p |- ( ( M e. ( measures ` S ) /\ A e. S ) -> 0 <_ ( M ` A ) ) $=
    ( cmeas cfv wcel wa cxr cc0 cle wbr cpnf co measvxrge0 elxrge0 sylib simprd
    cicc ) CBDEFABFGZACEZHFZITJKZSTILRMFUAUBGABCNTOPQ $.

  $( If the measure of a given set is bounded by zero, it is zero.
     (Contributed by Thierry Arnoux, 20-Oct-2017.) $)
  measle0 $p |- ( ( M e. ( measures ` S ) /\ A e. S /\ ( M ` A ) <_ 0 )
    -> ( M ` A ) = 0 ) $=
    ( cmeas cfv wcel cc0 cle wbr w3a wceq simp3 wa cpnf cicc measvxrge0 elxrge0
    cxr co sylib 3adant3 simprd wb simpld 0xr xrletri3 sylancl mpbir2and ) CBDE
    FZABFZACEZGHIZJZUKGKZULGUKHIZUIUJULLUMUKRFZUOUIUJUPUOMZULUIUJMUKGNOSFUQABCP
    UKQTUAZUBUMUPGRFUNULUOMUCUMUPUOURUDUEUKGUFUGUH $.

  ${
    $d x y A $.  $d x y M $.  $d y S $.
    $( The measure of a countable disjoint union is the sum of the measures.
       (Contributed by Thierry Arnoux, 26-Dec-2016.) $)
    measvun $p |- ( ( M e. ( measures ` S ) /\ A e. ~P S /\
      ( A ~<_ _om /\ Disj_ x e. A x ) )
      -> ( M ` U. A ) = sum* x e. A ( M ` x ) ) $=
      ( vy cmeas cfv wcel com cdom wbr cv wdisj wa w3a cuni cesum wceq wi cc0
      cpw wral simp2 cpnf cicc co wf c0 csiga crn wb measbase ismeas syl simp3d
      3ad2ant1 simp3 breq1 disjeq1 anbi12d unieq fveq2d esumeq1 eqeq12d imbi12d
      ibi rspcv syl3c ) DCFGHZBCUAZHZBIJKZABALZMZNZOVKELZIJKZAVPVMMZNZVPPZDGZVP
      VMDGZAQZRZSZEVJUBZVOBPZDGZBWBAQZRZVIVKVOUCVIVKWFVOVICTUDUEUFDUGZUHDGTRZWF
      VIWKWLWFOZVICUIUJPHVIWMUKCDULEACDUMUNVFUOUPVIVKVOUQWEVOWJSEBVJVPBRZVSVOWD
      WJWNVQVLVRVNVPBIJURAVPBVMUSUTWNWAWHWCWIWNVTWGDVPBVAVBVPBWBAVCVDVEVGVH $.
  $}

  ${
    $d x A $.  $d x B $.  $d x M $.  $d x S $.
    $( The measure the union of two complementary sets is the sum of their
       measures.  (Contributed by Thierry Arnoux, 10-Mar-2017.) $)
    measxun2 $p |- ( ( M e. ( measures ` S ) /\ ( A e. S /\ B e. S )
      /\ B C_ A ) -> ( M ` A ) = ( ( M ` B ) +e ( M ` ( A \ B ) ) ) ) $=
      ( vx cfv wcel wa wss cpr cuni co wdisj wceq syl3anc syl2anc cin fveq2d c0
      cc0 cmeas w3a cdif cv cesum cxad cpw com cdom simp1 simp2r csiga measbase
      wbr crn simp2l difelsiga prelpwi prct simp3 disjdifprg2 prcom dfss biimpi
      syl incom eqtrdi preq2d eqtr3id disjeq1d biimprd mpan9 jca measvun uniprg
      cun undif sylan9eq simpr cpnf cicc measvxrge0 wo eqimss ssdifeq0 measvnul
      sylib sylan9eqr sylan orcd ex esumpr2 3eqtr3d ) DCUAFGZACGZBCGZHZBAIZUBZB
      ABUCZJZKZDFZXAEUDZDFZEUEZADFZBDFZWTDFZUFLWSWNXACUGGZXAUHUIUNZEXAXDMZHXCXF
      NWNWQWRUJZWSWPWTCGZXJWNWOWPWRUKZWSCULUOKGZWOWPXNWSWNXPXMCDUMVEWNWOWPWRUPZ
      XOABCUQOZBWTCURPWSXKXLWSWPXNXKXOXRBWTCCUSPWSWOWRXLXQWNWQWRUTZWOEWTABQZJZX
      DMZWRXLEABCVAWRXLYBWREXAYAXDWRXAWTBJYAWTBVBWRBXTWTWRBBAQZXTWRBYCNBAVCVDBA
      VFVGVHVIVJVKVLPVMEXACDVNOWSWPXNHZWRXCXGNWSWPXNXOXRVMXSYDWRHXBADYDWRXBBWTV
      PZABWTCCVOWRYEANBAVQVDVRRPWSBWTXEXHEXICCWSXDBNZHXDBDWSYFVSRWSXDWTNZHXDWTD
      WSYGVSRXOXRWSWNWPXHTVTWALZGXMXOBCDWBPWSWNXNXIYHGXMXRWTCDWBPWSBWTNZXHTNZXH
      VTNZWCWSYIHYJYKWSWNYIYJXMYIWNXHSDFTYIBSDYIBWTIBSNBWTWDBAWEWGRCDWFWHWIWJWK
      WLWM $.
  $}

  $( The measure the union of two disjoint sets is the sum of their measures.
     (Contributed by Thierry Arnoux, 10-Mar-2017.) $)
  measun $p |- ( ( M e. ( measures ` S ) /\ ( A e. S /\ B e. S )
    /\ ( A i^i B ) = (/) )
    -> ( M ` ( A u. B ) ) = ( ( M ` A ) +e ( M ` B ) ) ) $=
    ( cmeas cfv wcel wa c0 wceq cun cdif cxad co cxr cc0 cpnf measvxrge0 sselid
    syl2anc cin w3a wss simp1 crn cuni measbase 3ad2ant1 simp2l simp2r unelsiga
    csiga syl3anc ssun2 a1i measxun2 syl121anc difun2 uneq1 uncom eqtri inundif
    eqtrdi eqtr3di syl5eq fveq2d oveq2d 3ad2ant3 cicc iccssxr xaddcom 3eqtrd
    un0 ) DCEFGZACGZBCGZHZABUAZIJZUBZABKZDFZBDFZWABLZDFZMNZWCADFZMNZWGWCMNZVTVN
    WACGZVPBWAUCZWBWFJVNVQVSUDZVTCULUEUFGZVOVPWJVNVQWMVSCDUGUHVNVOVPVSUIZVNVOVP
    VSUJZABCUKUMWOWKVTBAUNUOWABCDUPUQVSVNWFWHJVQVSWEWGWCMVSWDADVSWDABLZAABURVSV
    RWPKZWPAVSWQIWPKZWPVRIWPUSWRWPIKWPIWPUTWPVMVAVCABVBVDVEVFVGVHVTWCOGZWGOGZWH
    WIJVTVNVPWSWLWOVNVPHPQVINZOWCPQVJZBCDRSTVTVNVOWTWLWNVNVOHXAOWGXBACDRSTWCWGV
    KTVL $.

  ${
    $d y z A $.  $d x y z M $.  $d x y S $.  $d y z B $.  $d z S $.
    measvunilem.1 $e |- F/_ x A $.
    $( Lemma for ~ measvuni .  (Contributed by Thierry Arnoux, 7-Feb-2017.)
       (Revised by Thierry Arnoux, 19-Feb-2017.)  (Revised by Thierry Arnoux,
       6-Mar-2017.) $)
    measvunilem $p |- ( ( M e. ( measures ` S ) /\
      A. x e. A B e. ( S \ { (/) } ) /\ ( A ~<_ _om /\ Disj_ x e. A B ) )
      -> ( M ` U_ x e. A B ) = sum* x e. A ( M ` B ) ) $=
      ( vy vz cfv wcel wral com cdom wbr wdisj cv wceq cvv syl nfcv c0 csn cdif
      cmeas wa w3a wrex cab cuni cesum ciun cpw simp1 wss simp3l abrexctf simp2
      ctex eldifi ralimi abrexss elpwg biimpar syl2anc simp3r measvun syl112anc
      disjabrexf dfiun2g fveq2d nfra1 nfbr nfdisj1 nfan nf3an r19.21bi disjdsct
      nfv fveq2 cc0 cpnf cicc co simpl1 measvxrge0 sylan2 esumc 3eqtr4d ) EDUDI
      JZCDUAUBZUCZJZABKZBLMNZABCOZUEZUFZGPCQABUGGUHZUIZEIZWRHPZEIZHUJZABCUKZEIZ
      BCEIZAUJWQWIWRDULJZWRLMNZHWRXAOZWTXCQWIWMWPUMWQWRRJZWRDUNZXGWQXHXJWQWNXHW
      IWMWNWOUOZAGBCFUPSZWRURSWQWMXKWIWMWPUQZWMCDJZABKXKWLXOABCDWJUSZUTAGBCDADT
      VASSXJXGXKWRDRVBVCVDXMWQWOXIWIWMWNWOVEZAHGBCFVHSHWRDEVFVGWQWMXEWTQXNWMXDW
      SEAGBCWKVIVJSWQHGBXFCXBARWKAXBTWIWMWPAWIAVRWLABVKWNWOAABLMFAMTALTVLABCVMV
      NVOZFXACEVSWQWNBRJXLBURSWQABCDXRFWQWLABXNVPZXQVQWQAPBJZUEWIWLXFVTWAWBWCJZ
      WIWMWPXTWDXSWLWIXOYAXPCDEWEWFVDXSWGWH $.
  $}

  ${
    $d x M $.  $d x S $.
    measvunilem.0.1 $e |- F/_ x A $.
    $( Lemma for ~ measvuni .  (Contributed by Thierry Arnoux, 6-Mar-2017.) $)
    measvunilem0 $p |- ( ( M e. ( measures ` S ) /\
      A. x e. A B e. { (/) } /\ ( A ~<_ _om /\ Disj_ x e. A B ) )
      -> ( M ` U_ x e. A B ) = sum* x e. A ( M ` B ) ) $=
      ( cfv wcel c0 com cdom wa cc0 cesum ciun cvv wceq nfcv fveq2d eqtrd cmeas
      csn wral wbr wdisj w3a simp3l ctex esum0 3syl nfv nfra1 nfbr nfdisj1 nfan
      nf3an eqidd cv simp2 r19.21bi elsni measvnul 3ad2ant1 adantr esumeq12dvaf
      syl iuneq12daf iun0 eqtrdi 3eqtr4rd ) EDUAGHZCIUBHZABUCZBJKUDZABCUEZLZUFZ
      BMANZMBCEGZANABCOZEGZVQVNBPHVRMQVKVMVNVOUGBUHBAPFUIUJVQBBVSMAVKVMVPAVKAUK
      VLABULVNVOAABJKFAKRAJRUMABCUNUOUPZVQBUQZVQAURBHZLZVSIEGZMWECIEWEVLCIQVQVL
      ABVKVMVPUSUTCIVAVFZSVQWFMQZWDVKVMWHVPDEVBVCZVDTVEVQWAWFMVQVTIEVQVTABIOIVQ
      ABBCIWBFFWCWGVGABVHVISWITVJ $.
  $}

  ${
    $d x A $.  $d x M $.  $d x S $.
    $( The measure of a countable disjoint union is the sum of the measures.
       This theorem uses a collection rather than a set of subsets of ` S ` .
       (Contributed by Thierry Arnoux, 7-Mar-2017.) $)
    measvuni $p |- ( ( M e. ( measures ` S ) /\ A. x e. A B e. S /\
      ( A ~<_ _om /\ Disj_ x e. A B ) ) -> ( M ` U_ x e. A B ) =
      sum* x e. A ( M ` B ) ) $=
      ( cfv wcel wral com wa c0 crab ciun wceq adantl ralrimiva 3ad2ant1 adantr
      cesum cin cmeas cdom wbr wdisj w3a csn cdif co simp1 cv rabid simprbi wss
      cxad ssrab2 ssct mpan 3ad2ant3 simp3r nfrab1 mpsyl measvunilem0 syl112anc
      nfcv disjss1f measvunilem oveq12d cun nfra1 nfdisj1 nfan nf3an nfun simp2
      nfv rabid2 sylibr elun csiga cuni measbase 0elsiga snssi 3syl undif sylib
      wo crn eleq2d bitr3id rabbidv eqtr4d unrab eqtr4di eqidd iuneq12df fveq2d
      iunxun fveq2i eqtrdi wb elsni eleq1d mpbird syl2an sigaclcuni syl3anc syl
      eldifad iuneq2i iun0 eqtri ineq1 0in mp1i measun syl121anc eqtrd esumeq1d
      cvv ctex inrab noel disjdif eleq2i mtbir elin mtbi rgenw rabeq0 mpbir a1i
      wn cc0 cpnf cicc sylan measvxrge0 syl2anc esumsplit 3eqtr4d ) EDUAFGZCDGZ
      ABHZBIUBUCZABCUDZJZUEZACKUFZGZABLZCMZEFZACDUUIUGZGZABLZCMZEFZUNUHZUUKCEFZ
      ASZUUPUUTASZUNUHZABCMZEFZBUUTASZUUHUUMUVAUURUVBUNUUHUUBUUJAUUKHZUUKIUBUCZ
      AUUKCUDZUUMUVANUUBUUDUUGUIZUUBUUDUVGUUGUUBUUJAUUKAUJZUUKGZUUJUUBUVLUVKBGZ
      UUJUUJABUKULZOPQUUGUUBUVHUUDUUEUVHUUFUUKBUMZUUEUVHUUJABUOZUUKBUPUQRURZUVO
      UUHUUFUVIUVPUUBUUDUUEUUFUSZAUUKBCUUJABUTZABVDZVEVAAUUKCDEUVSVBVCUUHUUBUUO
      AUUPHZUUPIUBUCZAUUPCUDZUURUVBNUVJUUBUUDUWAUUGUUBUUOAUUPUVKUUPGZUUOUUBUWDU
      VMUUOUUOABUKULZOZPQUUGUUBUWBUUDUUEUWBUUFUUPBUMZUUEUWBUUOABUOZUUPBUPUQRURZ
      UWGUUHUUFUWCUWHUVRAUUPBCUUOABUTZUVTVEVAAUUPCDEUWJVFVCVGUUHUVEUULUUQVHZEFZ
      UUSUUHUVEAUUKUUPVHZCMZEFUWLUUHUVDUWNEUUHABUWMCCUUBUUDUUGAUUBAVOUUCABVIUUE
      UUFAUUEAVOABCVJVKVLZUVTAUUKUUPUVSUWJVMUUHBUUJUUOWGZABLZUWMUUHBUUCABLZUWQU
      UHUUDBUWRNUUBUUDUUGVNUUCABVPVQUUBUUDUWQUWRNUUGUUBUWPUUCABUWPCUUIUUNVHZGUU
      BUUCCUUIUUNVRUUBUWSDCUUBUUIDUMZUWSDNUUBDVSWHVTGZKDGZUWTDEWAZDWBZKDWCWDUUI
      DWEWFWIWJWKQWLUUJUUOABWMWNZUUHCWOWPWQUWNUWKEAUUKUUPCWRWSWTUUHUUBUULDGZUUQ
      DGZUULUUQTZKNZUWLUUSNUVJUUHUXAUUCAUUKHZUVHUXFUUBUUDUXAUUGUXCQZUUBUUDUXJUU
      GUUBUUCAUUKUUBUXAUUJUUCUVLUXCUVNUXAUUJJUUCUXBUXAUXBUUJUXDRUUJUUCUXBXAUXAU
      UJCKDCKXBZXCOXDXEZPQUVQUUKCDAUVSXFXGUUHUXAUUCAUUPHZUWBUXGUXKUUBUUDUXNUUGU
      UBUUCAUUPUUBUWDJCDUUIUWFXIPQUWIUUPCDAUWJXFXGUULKNZUXIUUHUULAUUKKMKAUUKCKU
      VLUUJCKNUVNUXLXHXJAUUKXKXLUXOUXHKUUQTKUULKUUQXMUUQXNWTXOUULUUQDEXPXQXRUUH
      UVFUWMUUTASUVCUUHBUWMUUTAUWOUXEXSUUHUUKUUPUUTAUWOUVSUWJUUHUVHUUKXTGUVQUUK
      YAXHUUHUWBUUPXTGUWIUUPYAXHUUKUUPTZKNUUHUXPUUJUUOJZABLZKUUJUUOABYBUXRKNUXQ
      YMZABHUXSABCUUIUUNTZGZUXQUYACKGCYCUXTKCUUIDYDYEYFCUUIUUNYGYHYIUXQABYJYKXL
      YLUUHUVLJUUBUUCUUTYNYOYPUHGZUUHUUBUVLUVJRUUHUUBUVLUUCUVJUXMYQCDEYRZYSUUHU
      WDJZUUBUUCUYBUUHUUBUWDUVJRUYDCDUUIUWDUUOUUHUWEOXIUYCYSYTXRUUA $.
  $}

  ${
    $d y A $.  $d y B $.  $d y M $.  $d y S $.  $d y ph $.
    measssd.1 $e |- ( ph -> M e. ( measures ` S ) ) $.
    measssd.2 $e |- ( ph -> A e. S ) $.
    measssd.3 $e |- ( ph -> B e. S ) $.
    measssd.4 $e |- ( ph -> A C_ B ) $.
    $( A measure is monotone with respect to set inclusion.  (Contributed by
       Thierry Arnoux, 28-Dec-2016.) $)
    measssd $p |- ( ph -> ( M ` A ) <_ ( M ` B ) ) $=
      ( vy cfv cle cc0 wbr wcel syl syl2anc wceq wss adantl cdif cxad cpnf cicc
      co cmeas csiga crn cuni measbase difelsiga syl3anc measvxrge0 cxr elxrge0
      simprbi wi simplbi xraddge02 mpd cpr cesum cpw cdom wdisj prssi prex elpw
      com sylibr prct disjdifprg prcom a1i disjeq1d mpbid measvun syl112anc cun
      cv uniprg undif sylib eqtrd fveq2d fveq2 wo eqimss ssdifeq0 measvnul orcd
      wa c0 adantr ex esumpr2 3eqtr3d breqtrrd ) ABEKZWSCBUAZEKZUBUEZCEKZLAMXAL
      NZWSXBLNZAXAMUCUDUEZOZXDAEDUFKOZWTDOZXGFADUGUHUIOZCDOZBDOZXIAXHXJFDEUJPHG
      CBDUKULZWTDEUMQZXGXAUNOZXDXAUOZUPPAWSUNOZXOXDXEUQAWSXFOZXQAXHXLXRFGBDEUMQ
      ZXRXQMWSLNWSUOURPAXGXOXNXGXOXDXPURPWSXAUSQUTABWTVAZUIZEKZXTJVTZEKZJVBZXCX
      BAXHXTDVCOZXTVIVDNZJXTYCVEZYBYERFAXTDSZYFAXLXIYIGXMBWTDVFQXTDBWTVGVHVJAXL
      XIYGGXMBWTDDVKQAJWTBVAZYCVEZYHAXLXKYKGHJBCDDVLQAJYJXTYCYJXTRAWTBVMVNVOVPJ
      XTDEVQVRAYACEAYABWTVSZCAXLXIYAYLRGXMBWTDDWAQABCSYLCRIBCWBWCWDWEABWTYDWSJX
      ADDYCBRYDWSRAYCBEWFTYCWTRYDXARAYCWTEWFTGXMXSXNABWTRZWSMRZWSUCRZWGAYMWLZYN
      YOYPWSWMEKZMYPBWMEYMBWMRZAYMBWTSYRBWTWHBCWIWCTWEAYQMRZYMAXHYSFDEWJPWNWDWK
      WOWPWQWR $.
  $}

  ${
    measunl.1 $e |- ( ph -> M e. ( measures ` S ) ) $.
    measunl.2 $e |- ( ph -> A e. S ) $.
    measunl.3 $e |- ( ph -> B e. S ) $.
    $( A measure is sub-additive with respect to union.  (Contributed by
       Thierry Arnoux, 20-Oct-2017.) $)
    measunl $p |- ( ph -> ( M ` ( A u. B ) ) <_ ( ( M ` A ) +e ( M ` B ) ) ) $=
      ( cun cfv co cle wcel cin wceq cxr wbr measvxrge0 syl2anc sselid cmeas c0
      cdif cxad undif1 fveq2i csiga crn measbase syl difelsiga syl3anc disjdifr
      cuni a1i measun syl121anc eqtr3id cc0 cpnf cicc iccssxr wa inelsiga sylib
      elxrge0 simprd xraddge02 mpd uncom inundif eqtr3i incom breqtrrd xleadd1a
      wi inindif syl31anc eqbrtrd ) ABCIZEJZBCUCZEJZCEJZUDKZBEJZWDUDKZLAWAWBCIZ
      EJZWEWHVTEBCUEUFAEDUAJMZWBDMZCDMZWBCNUBOZWIWEOFADUGUHUNMZBDMZWLWKAWJWNFDE
      UIUJZGHBCDUKULZHWMACBUMUOWBCDEUPUQURAWCPMZWFPMWDPMWCWFLQWEWGLQAUSUTVAKZPW
      CUSUTVBZAWJWKWCWSMFWQWBDERSTZAWSPWFWTAWJWOWFWSMFGBDERSTAWSPWDWTAWJWLWDWSM
      FHCDERSTAWCWCBCNZEJZUDKZWFLAUSXCLQZWCXDLQZAXCPMZXEAXCWSMZXGXEVCAWJXBDMZXH
      FAWNWOWLXIWPGHBCDVDULZXBDERSZXCVFVEVGAWRXGXEXFVPXAAWSPXCWTXKTWCXCVHSVIAWF
      WBXBIZEJZXDXLBEXBWBIXLBXBWBVJBCVKVLUFAWJWKXIWBXBNZUBOZXMXDOFWQXJXOAXBWBNX
      NUBXBWBVMBCVQVLUOWBXBDEUPUQURVNWCWFWDVOVRVS $.
  $}

  ${
    $d k A $.  $d k n I $.  $d n M $.  $d k n N $.  $d k n S $.  $d k n ph $.
    measiuns.0 $e |- F/_ n B $.
    measiuns.1 $e |- ( n = k -> A = B ) $.
    measiuns.2 $e |- ( ph -> ( N = NN \/ N = ( 1 ..^ I ) ) ) $.
    measiuns.3 $e |- ( ph -> M e. ( measures ` S ) ) $.
    measiuns.4 $e |- ( ( ph /\ n e. N ) -> A e. S ) $.
    $( The measure of the union of a collection of sets, expressed as the sum
       of a disjoint set.  This is used as a lemma for both ~ measiun and
       ~ meascnbl .  (Contributed by Thierry Arnoux, 22-Jan-2017.)  (Proof
       shortened by Thierry Arnoux, 7-Feb-2017.) $)
    measiuns $p |- ( ph -> ( M ` U_ n e. N A )
      = sum* n e. N ( M ` ( A \ U_ k e. ( 1 ..^ n ) B ) ) ) $=
      ( cfv c1 wcel wa cn wss ciun cv cfzo co cdif cesum iundisjcnt fveq2d wral
      cmeas com cdom wbr wdisj wceq crn cuni measbase syl adantr simpll fzossnn
      csiga simpr sseqtrrid cuz simplr eleqtrd elfzouz2 fzoss2 3syl sseqtrrd wo
      mpjaodan sselda wsb sbimi sban sbv clelsb1 anbi12i bitri csb sbsbc wb cvv
      wsbc sbcel1g elv nfcv cbvcsbw csbid eqtri eleq1i 3bitri 3imtr3i ralrimiva
      syl2anc sigaclfu2 difelsiga syl3anc eqimss sseq1 mpbiri jaoi nnct sylancl
      ssct iundisj2cnt measvuni syl112anc eqtrd ) AFIBUAZHOFIBEPFUBZUCUDZCUAZUE
      ZUAZHOZIXQHOFUFZAXMXRHABCEFGIJKLUGUHAHDUJOQZXQDQZFIUIIUKULUMZFIXQUNXSXTUO
      MAYBFIAXNIQZRZDVCUPUQQZBDQZXPDQZYBAYFYDAYAYFMDHURUSUTZNYEYFCDQZEXOUIYHYIY
      EYJEXOYEEUBZXOQZRAYKIQZYJAYDYLVAYEXOIYKYEISUOZXOITIPGUCUDZUOZYEYNRSXOIXNV
      BYEYNVDVEYEYPRZXOYOIYQXNYOQGXNVFOQXOYOTYQXNIYOAYDYPVGYEYPVDZVHXNPGVIXNPGV
      JVKYRVLAYNYPVMZYDLUTVNVOYEFEVPZYGFEVPZAYMRZYJYEYGFENVQYTAFEVPZYDFEVPZRUUB
      AYDFEVRUUCAUUDYMAFEVSFEIVTWAWBUUAYGFYKWGZFYKBWCZDQZYJYGFEWDUUEUUGWEEFYKBD
      WFWHWIUUFCDUUFEYKCWCCFEYKBCEBWJJKWKECWLWMWNWOWPWRWQCDEXNWSWRBXPDWTXAWQAIS
      TZSUKULUMYCAYSUUHLYNUUHYPISXBYPUUHYOSTGVBIYOSXCXDXEUSXFISXHXGABCEFGIJKLXI
      FIXQDHXJXKXL $.
  $}

  ${
    $d k m n $.  $d k n ph $.  $d n k S $.  $d k B $.  $d n M $.
    measiun.1 $e |- ( ph -> M e. ( measures ` S ) ) $.
    measiun.2 $e |- ( ph -> A e. S ) $.
    measiun.3 $e |- ( ( ph /\ n e. NN ) -> B e. S ) $.
    measiun.4 $e |- ( ph -> A C_ U_ n e. NN B ) $.
    $( A measure is sub-additive.  (Contributed by Thierry Arnoux,
       30-Dec-2016.)  (Proof shortened by Thierry Arnoux, 7-Feb-2017.) $)
    measiun $p |- ( ph -> ( M ` A ) <_ sum* n e. NN ( M ` B ) ) $=
      ( vk cfv cn co cxr wcel measvxrge0 syl2anc wral wi vm ciun cesum cc0 cpnf
      cicc iccssxr cmeas sselid csiga crn cuni measbase syl ralrimiva sigaclcu2
      cvv nnex cv wa adantr nfcv esumcl sylancr measssd c1 cfzo csb cle nfcsb1v
      cdif csbeq1a wceq eqidd orcd measiuns a1i nfv nfel1 eleq1w eleq1d imbi12d
      nfim imbi2d ex chvarfv ralrimiv wss fzossnn ssralv ax-mp sigaclfu2 sylan2
      difelsiga syl3anc difssd esumle eqbrtrd xrletrd ) ABFLZEMCUBZFLZMCFLZEUCZ
      AUDUEUFNZOWTUDUEUGZAFDUHLPZBDPWTXEPGHBDFQRUIAXEOXBXFAXGXADPZXBXEPGADUJUKU
      LPZCDPZEMSXHAXGXIGDFUMUNZAXJEMIUOCDEUPRZXADFQRUIAXEOXDXFAMUQPZXCXEPZEMSXD
      XEPURAXNEMAEUSZMPZUTZXGXJXNAXGXPGVAZICDFQRZUOMXCEUQEMVBVCVDUIABXADFGHXLJV
      EAXBMCKVFXOVGNZEKUSZCVHZUBZVKZFLZEUCXDVIACYBDKEUAUSZFMEYACVJZEYACVLZAMMVM
      MVFYFVGNVMAMVNVOGIVPAMYEXCEUQXMAURVQXQXGYDDPZYEXEPXRXQXIXJYCDPZYIAXIXPXKV
      AIAYJXPAXIYBDPZKMSZYJXKAYKKMAXPXJTZTAYAMPZYKTZTEKAYOEAEVRYNYKEEYAMEYAVBVS
      EYBDYGVSWCWCXOYAVMZYMYOAYPXPYNXJYKEKMVTYPCYBDYHWAWBWDAXPXJIWEWFWGYLXIYKKX
      TSZYJXTMWHYLYQTXOWIYKKXTMWJWKYBDKXOWLWMRVACYCDWNWOZYDDFQRXSXQYDCDFXRYRIXQ
      CYCWPVEWQWRWS $.
  $}

  ${
    $d i k n o p x F $.  $d i n J $.  $d i n o p M $.  $d i k n S $.
    $d i k n o p ph $.
    meascnbl.0 $e |- J = ( TopOpen ` ( RR*s |`s ( 0 [,] +oo ) ) ) $.
    meascnbl.1 $e |- ( ph -> M e. ( measures ` S ) ) $.
    meascnbl.2 $e |- ( ph -> F : NN --> S ) $.
    meascnbl.3 $e |- ( ( ph /\ n e. NN ) -> ( F ` n ) C_ ( F ` ( n + 1 ) ) ) $.
    $( A measure is continuous from below.  Cf. ~ volsup .  (Contributed by
       Thierry Arnoux, 18-Jan-2017.)  (Revised by Thierry Arnoux,
       11-Jul-2017.) $)
    meascnbl $p |- ( ph -> ( M o. F ) ( ~~>t ` J ) ( M ` U. ran F ) ) $=
      ( vi vk cn c1 cv co cfv cfzo wcel wceq vo vp vx ciun cdif cesum cmpt ccom
      cfz crn cuni clm cmeas cc0 cpnf cicc adantr csiga measbase ffvelrnda wral
      wa syl simpll fzossnn simpr syl2anc ralrimiva sigaclfu2 difelsiga syl3anc
      sselid measvxrge0 fveq2 iuneq1d difeq12d fveq2d esumcvg2 measfrge0 fcompt
      oveq2 wf caddc nfcv nnzd fzval3 olcd eleq2d biimpa measiuns iuninc eqtr3d
      cz ffnd mpteq2dva eqtr4d wrex cab dfiun2g wfn fnrnfv unieqd eqidd 3brtr4d
      orcd ) AKMNKOZUIPZCOZDQZLNXHRPZLOZDQZUDZUEZFQZCUFZUGZMXOCUFZFDUHZDUJZUKZF
      QZEULQAXOUAOZDQZLNYCRPZXLUDZUEZFQUBOZDQZLNYHRPZXLUDZUEZFQCUBKEUAGAXHMSZVB
      ZFBUMQSZXNBSZXOUNUOUPPZSAYOYMHUQYNBURUJUKSZXIBSZXMBSZYPAYRYMAYOYRHBFUSVCU
      QZAMBXHDIUTZYNYRXLBSZLXJVAYTUUAYNUUCLXJYNXKXJSZVBZAXKMSUUCAYMUUDVDUUEXJMX
      KXHVEYNUUDVFVLAMBXKDIUTVGVHXLBLXHVIVGXIXMBVJVKXNBFVMVGXHYCTZXNYGFUUFXIYDX
      MYFXHYCDVNUUFLXJYEXLXHYCNRWAVOVPVQXHYHTZXNYLFUUGXIYIXMYKXHYHDVNUUGLXJYJXL
      XHYHNRWAVOVPVQVRAXSKMXFDQZFQZUGZXQABYQFWBZMBDWBXSUUJTAYOUUKHBFVSVCIKFDMBY
      QVTVGAKMXPUUIAXFMSZVBZCXGXIUDZFQXPUUIUUMXIXLBLCXFNWCPZFXGCXLWDZXHXKDVNZUU
      MXGNUUORPZTZXGMTUUMXFWMSUUSUUMXFAUULVFWENXFWFVCZWGAYOUULHUQUUMXHXGSZVBZAY
      MYSAUULUVAVDUVBUURMXHUUOVEUUMUVAXHUURSUUMXGUURXHUUTWHWIVLUUBVGWJUUMUUNUUH
      FAKCDAMBDIWNZJWKVQWLWOWPACMXIUDZFQYBXRAUVDYAFAUVDUCOXITCMWQUCWRZUKZYAAYSC
      MVAUVDUVFTAYSCMUUBVHCUCMXIBWSVCAXTUVEADMWTXTUVETUVCCUCMDXAVCXBWPVQAXIXLBL
      CUUOFMUUPUUQAMMTMUURTAMXCXEHUUBWJWLXD $.
  $}

  ${
    $d x y z A $.  $d x B $.  $d x y z S $.  $d x y z M $.
    $( Lemma for ~ measinb .  (Contributed by Thierry Arnoux, 2-Jun-2017.) $)
    measinblem $p |- ( ( ( ( M e. ( measures ` S ) /\ A e. S ) /\ B e. ~P S )
      /\ ( B ~<_ _om /\ Disj_ x e. B x ) ) ->
      ( M ` ( U. B i^i A ) ) = sum* x e. B ( M ` ( x i^i A ) ) ) $=
      ( cmeas cfv wcel wa cpw com cdom wbr cv wdisj cuni cin ciun nfv nfan wral
      cesum iunin1 uniiun ineq1i eqtr4i fveq2i wceq simplll nfdisj1 w3a simp1ll
      csiga crn measbase simp1r elelpwi syl2anc simp1lr inelsiga syl3anc 3expia
      syl simp3 ralrimi simprl disjin ad2antll measvuni syl112anc eqtr3id ) EDF
      GHZBDHZIZCDJHZIZCKLMZACANZOZIZIZCPZBQZEGACVRBQZRZEGZCWDEGAUBZWEWCEWEACVRR
      ZBQWCACBVRUCWBWHBACUDUEUFUGWAVLWDDHZACUAVQACWDOZWFWGUHVLVMVOVTUIWAWIACVPV
      TAVPASVQVSAVQASACVRUJTTVPVTVRCHZWIVPVTWKUKZDUMUNPHZVRDHZVMWIWLVLWMVLVMVOV
      TWKULDEUOVCWLWKVOWNVPVTWKVDVNVOVTWKUPVRCDUQURVLVMVOVTWKUSVRBDUTVAVBVEVPVQ
      VSVFVSWJVPVQABCVRVGVHACWDDEVIVJVK $.

    $( Building a measure restricted to the intersection with a given set.
       (Contributed by Thierry Arnoux, 25-Dec-2016.) $)
    measinb $p |- ( ( M e. ( measures ` S ) /\ A e. S ) ->
      ( x e. S |-> ( M ` ( x i^i A ) ) ) e. ( measures ` S ) ) $=
      ( vz vy cfv wcel wa cv cin wceq inelsiga syl3anc measvxrge0 syl2anc eqidd
      cc0 c0 syl cmeas cmpt cpnf cicc co com cdom wbr wdisj cuni cesum cpw wral
      wf wi simpll csiga crn measbase ad2antrr simpr simplr fmpttd cr ineq1 0in
      eqtrdi fveq2d adantl measvnul eqtrd adantr 0elsiga 0red fvmptd measinblem
      simplll simprl sigaclcu simpllr elpwi ad2antlr sseldd esumeq2dv ralrimiva
      wss 3eqtr4d ex w3a wb ismeas mpbir3and ) DCUAGZHZBCHZIZACAJZBKZDGZUBZWMHZ
      CRUCUDUEZWTUNZSWTGRLZEJZUFUGUHZFXEFJZUIZIZXEUJZWTGZXEXGWTGZFUKZLZUOZECULZ
      UMZWPACWSXBWPWQCHZIZWNWRCHZWSXBHWNWOXRUPXSCUQURUJHZXRWOXTWNYAWOXRCDUSZUTW
      PXRVAWNWOXRVBWQBCMNWRCDOPVCWPASWSRCWTVDWPWTQWPWQSLZIWSSDGZRYCWSYDLWPYCWRS
      DYCWRSBKSWQSBVEBVFVGVHVIWNYDRLWOYCCDVJUTVKWPYASCHWNYAWOYBVLZCVMTWPVNVOWPX
      OEXPWPXEXPHZIZXIXNYGXIIZXJBKZDGZXEXGBKZDGZFUKZXKXMFBXECDVPYHAXJWSYJCWTXBY
      HWTQYHWQXJLZIWRYIDYNWRYILYHWQXJBVEVIVHYHYAYFXFXJCHZYHWNYAWNWOYFXIVQZYBTZW
      PYFXIVBYGXFXHVRXECVSNZYHWNYICHZYJXBHYPYHYAYOWOYSYQYRWNWOYFXIVTXJBCMNYICDO
      PVOYGXMYMLXIYGXEXLYLFYGXGXEHZIZAXGWSYLCWTXBUUAWTQUUAWQXGLZIWRYKDUUBWRYKLU
      UAWQXGBVEVIVHUUAXECXGYFXECWFWPYTXECWAWBYGYTVAWCZUUAWNYKCHZYLXBHWNWOYFYTVQ
      ZUUAYAXGCHWOUUDUUAWNYAUUEYBTUUCWNWOYFYTVTXGBCMNYKCDOPVOWDVLWGWHWEWPYAXAXC
      XDXQWIWJYEEFCWTWKTWL $.
  $}

  ${
    $d x y S $.  $d x y M $.  $d x y T $.
    $( Building a measure restricted to a smaller sigma-algebra.  (Contributed
       by Thierry Arnoux, 25-Dec-2016.) $)
    measres $p |- ( ( M e. ( measures ` S ) /\ T e. U. ran sigAlgebra
        /\ T C_ S ) -> ( M |` T ) e. ( measures ` T ) ) $=
      ( vx vy cmeas cfv wcel cuni w3a cc0 wf c0 wceq cv wa cesum simp2 3ad2ant1
      cpw csiga crn wss cpnf cicc co cres com cdom wbr wdisj wi measfrge0 simp3
      wral fssresd 0elsiga fvres 3syl measvnul eqtrd simp11 simp13 sspw syl2anc
      sselda measvun syl3anc simp3l fvresd elpwi adantll 3adant3 3eqtr4d 3expia
      sigaclcu esumeq2dv ralrimiva 3jca ismeas biimprd sylc ) CAFGHZBUAUBIHZBAU
      CZJZWDBKUDUEUFZCBUGZLZMWHGZKNZDOZUHUIUJZEWLEOZUKZPZWLIZWHGZWLWNWHGZEQZNZU
      LZDBTZUOZJZWHBFGHZWCWDWERZWFWIWKXDWFAWGBCWCWDAWGCLWEACUMSWCWDWEUNUPWFWJMC
      GZKWFWDMBHWJXHNXGBUQMBCURUSWCWDXHKNWEACUTSVAWFXBDXCWFWLXCHZWPXAWFXIWPJZWQ
      CGZWLWNCGZEQZWRWTXJWCWLATZHZWPXKXMNWCWDWEXIWPVBXJWEXIXOWCWDWEXIWPVCWFXIWP
      RZWEXCXNWLBAVDVFVEWFXIWPUNEWLACVGVHXJWQBCXJWDXIWMWQBHWFXIWDWPXGSXPWFXIWMW
      OVIWLBVPVHVJWFXIWTXMNWPWFXIPZWLWSXLEXQWNWLHZPWNBCXIXRWNBHWFXIWLBWNWLBVKVF
      VLVJVQVMVNVOVRVSWDXFXEDEBWHVTWAWB $.
  $}

  ${
    $d x A $.  $d x S $.  $d x M $.
    $( Building a measure restricted to the intersection with a given set.
       (Contributed by Thierry Arnoux, 25-Dec-2016.) $)
    measinb2 $p |- ( ( M e. ( measures ` S ) /\ A e. S ) ->
      ( x e. ( S i^i ~P A ) |-> ( M ` ( x i^i A ) ) )
      e. ( measures ` ( S i^i ~P A ) ) ) $=
      ( cmeas cfv wcel wa cpw cin cv cmpt cres resmpt3 inin eqid mpteq12i eqtri
      csiga crn wss measinb measbase sigainb elrnsiga syl sylan measres syl3anc
      cuni inss1 a1i eqeltrrid ) DCEFZGZBCGZHZACBIZJZAKBJDFZLZACUTLZUSMZUSEFZVC
      ACUSJZUTLVAACUSUTNAVEUTUSUTCUROUTPQRUQVBUNGUSSTUJZGZUSCUAZVCVDGABCDUBUOCV
      FGZUPVGCDUCVIUPHUSBSFGVGBCUDUSBUEUFUGVHUQCURUKULCUSVBUHUIUM $.
  $}

  ${
    $d x y z A $.  $d x y z M $.  $d x y z S $.
    $( Division of a measure by a positive constant is a measure.  (Contributed
       by Thierry Arnoux, 25-Dec-2016.)  (Revised by Thierry Arnoux,
       30-Jan-2017.) $)
    measdivcst $p |- ( ( M e. ( measures ` S ) /\ A e. RR+ )
      -> ( M oFC /e A ) e. ( measures ` S ) ) $=
      ( vx vy vz cfv wcel wa cxdiv co cv wceq cc0 adantr eqtrd cvv syl oveq1d
      c0 cmeas crp cofc cmpt cdm ofcfval3 cpnf cicc measfrge0 fdmd mpteq1d cdom
      wf com wbr wdisj cuni cesum cpw wral measvxrge0 adantlr simplr xrpxdivcld
      fmpttd csiga crn measbase 0elsiga ovex fveq2 eqid fvmptg sylancl measvnul
      xdiv0rp sylan9eq simpll simprl simprr w3a vex a1i simplll wss velpw ssel2
      sylanb adantll syl2anc esumdivc 3ad2antr1 ad2antrr simpr1 simpr2 sigaclcu
      wi syl3anc fvmpt3i simpr3 measvun syl112anc esumeq2dv 3eqtr4d syl13anc ex
      ralrimiva wb ismeas biimprd mp3and eqeltrd ) CBUAGZHZAUBHZIZCAJUCKZDBDLZC
      GZAJKZUDZXMXPXQDCUEZXTUDYADAJCXMUBUFXPDYBBXTXNYBBMXOXNBNUGUHKZCBCUIUJOUKP
      XPBYCYAUMZTYAGZNMZELZUNULUOZFYGFLZUPZIZYGUQZYAGZYGYIYAGZFURZMZWQZEBUSZUTZ
      YAXMHZXPDBXTYCXPXRBHZIXSAXNUUAXSYCHXOXRBCVAVBXNXOUUAVCVDVEXPYETCGZAJKZNXP
      TBHZUUCQHYEUUCMXNUUDXOXNBVFVGUQHZUUDBCVHZBVIROUUBAJVJDTXTUUCBQYAXRTMXSUUB
      AJXRTCVKSYAVLZVMVNXNXOUUCNAJKNXNUUBNAJBCVOSAVPVQPXPYQEYRXPYGYRHZIZYKYPUUI
      YKIXPUUHYHYJYPXPUUHYKVRXPUUHYKVCUUIYHYJVSUUIYHYJVTXPUUHYHYJWAZIZYGYICGZFU
      RZAJKZYGUULAJKZFURZYMYOXPYHUUHUUNUUPMYJUUIYGUULAFQYGQHUUIEWBWCUUIYIYGHZIX
      NYIBHZUULYCHXNXOUUHUUQWDUUHUUQUURXPUUHYGBWEUUQUUREBWFYGBYIWGWHZWIYIBCVAWJ
      XNXOUUHVCWKWLUUKYMYLCGZAJKZUUNUUKYLBHZYMUVAMUUKUUEUUHYHUVBXNUUEXOUUJUUFWM
      XPUUHYHYJWNZXPUUHYHYJWOZYGBWPWRDYLXTUVABYAXRYLMXSUUTAJXRYLCVKSUUGXSAJVJZW
      SRUUKUUTUUMAJUUKXNUUHYHYJUUTUUMMXNXOUUJVRUVCUVDXPUUHYHYJWTFYGBCXAXBSPUUKU
      UHYOUUPMUVCUUHYGYNUUOFUUHUUQIUURYNUUOMUUSDYIXTUUOBYAXRYIMXSUULAJXRYICVKSU
      UGUVEWSRXCRXDXEXFXGXNYDYFYSWAZYTWQXOXNYTUVFXNUUEYTUVFXHUUFEFBYAXIRXJOXKXL
      $.

    $( Alternate version of ~ measdivcst .  (Contributed by Thierry Arnoux,
       25-Dec-2016.)  (New usage is discouraged.) $)
    measdivcstALTV $p |- ( ( M e. ( measures ` S ) /\ A e. RR+ )
      -> ( x e. S |-> ( ( M ` x ) /e A ) ) e. ( measures ` S ) ) $=
      ( vy vz cfv wcel wa cc0 co cv cxdiv c0 wceq wi cvv simplr syl oveq1d cpnf
      cmeas crp cicc cmpt wf com cdom wbr wdisj cuni cesum cpw wral w3a wfn crn
      wss wfun cdm funmpt ovex rgenw dmmptg ax-mp mpbir2an a1i wrex wb vex eqid
      df-fn elrnmpt measfrge0 ffvelrn sylan adantlr xrpxdivcld eleq1a rexlimdva
      syl5bi ssrdv sylanbrc csiga measbase 0elsiga adantr jctir fvmptg measvnul
      df-f fveq2 xdiv0rp sylan9eq eqtrd simpll simprl simprr 3jca simplll simpr
      elpwg sylanb syl2anc measvxrge0 esumdivc 3ad2antr1 ad2antrr simpr1 simpr2
      ssel2 sigaclcu syl3anc fvmpt3i jca simpr3 measvun ralrimiva r19.21bi sylc
      3expia esumeq2dv 3eqtr4d ex ismeas biimprd mpd ) DCUBGZHZBUCHZIZCJUAUDKZA
      CALZDGZBMKZUEZUFZNYPGZJOZELZUGUHUIZFYTFLZUJZIZYTUKZYPGZYTUUBYPGZFULZOZPZE
      CUMZUNZUOZYPYHHZYKYQYSUULYKYPCUPZYPUQZYLURYQUUOYKUUOYPUSYPUTCOZACYOVAYOQH
      ZACUNUUQUURACYNBMVBZVCACYOQVDVEYPCVLVFVGYKEUUPYLYTUUPHZYTYOOZACVHZYKYTYLH
      ZYTQHZUUTUVBVIEVJZACYOYTYPQYPVKZVMVEYKUVAUVCACYKYMCHZIZYOYLHUVAUVCPUVHYNB
      YIUVGYNYLHZYJYICYLDUFUVGUVICDVNCYLYMDVOVPVQYIYJUVGRVRYOYLYTVSSVTWAWBCYLYP
      WKWCYKYRNDGZBMKZJYKNCHZUVKQHZIYRUVKOYKUVLUVMYIUVLYJYICWDUQUKHZUVLCDWEZCWF
      SWGUVJBMVBWHANYOUVKCQYPYMNOYNUVJBMYMNDWLTUVFWISYIYJUVKJBMKJYIUVJJBMCDWJTB
      WMWNWOYKUUJEUUKYKYTUUKHZIZUUDUUIUVQUUDIZYKUVPUUAUUCUOZUUIYKUVPUUDWPUVRUVP
      UUAUUCYKUVPUUDRUVQUUAUUCWQUVQUUAUUCWRWSYKUVSIZYTUUBDGZFULZBMKZYTUWABMKZFU
      LZUUFUUHYKUUAUVPUWCUWEOUUCUVQYTUWABFQUVDUVQUVEVGUVQUUBYTHZIZYIUUBCHZUWAYL
      HYIYJUVPUWFWTUWGUVPUWFUWHYKUVPUWFRUVQUWFXAUVPYTCURZUWFUWHUVDUVPUWIVIUVEYT
      CQXBVEYTCUUBXKXCZXDUUBCDXEXDYIYJUVPRXFXGUVTUUFUUEDGZBMKZUWCUVTUUECHZUUFUW
      LOUVTUVNUVPUUAUWMYIUVNYJUVSUVOXHYKUVPUUAUUCXIZYKUVPUUAUUCXJZYTCXLXMAUUEYO
      UWLCYPYMUUEOYNUWKBMYMUUEDWLTUVFUUSXNSUVTUWKUWBBMUVTYIUVPIUUDUWKUWBOZUVTYI
      UVPYIYJUVSWPUWNXOUVTUUAUUCUWOYKUVPUUAUUCXPXOYIUUDUWPPZEUUKYIUWQEUUKYIUVPU
      UDUWPFYTCDXQYAXRXSXTTWOUVTUVPUUHUWEOUWNUVPYTUUGUWDFUVPUWFIUWHUUGUWDOUWJAU
      UBYOUWDCYPYMUUBOYNUWABMYMUUBDWLTUVFUUSXNSYBSYCXDYDXRWSYIUUMUUNPYJYIUUNUUM
      YIUVNUUNUUMVIUVOEFCYPYESYFWGYG $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The counting measure
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y S $.
    $( The Counting measure is a measure on any sigma-algebra.  (Contributed by
       Thierry Arnoux, 25-Dec-2016.) $)
    cntmeas $p |- ( S e. U. ran sigAlgebra
                                         -> ( # |` S ) e. ( measures ` S ) ) $=
      ( vx vy cuni wcel chash cfv cc0 wf c0 wceq cv wa cesum cpw wral cvv fvres
      wi wss csiga crn cres cmeas cpnf cicc co com cdom wbr wdisj hashf2 fssres
      ssv mp2an a1i 0elsiga syl hash0 vex hasheuni mpan ad2antll cdif isrnsigau
      eqtrdi w3a simprd simp3d imim2i ralimi r19.21bi imp elpwi sseld esumeq2dv
      adantrr syl6 ad2antlr 3eqtr4d ex ralrimiva ismeas mpbir3and ) AUAUBDEZFAU
      CZAUDGEAHUEUFUGZWFIZJWFGZHKBLZUHUIUJZCWJCLZUKZMZWJDZWFGZWJWLWFGZCNZKZSZBA
      OZPWHWEQWGFIAQTWHULAUNQWGAFUMUOUPWEWIJFGZHWEJAEWIXBKAUQJAFRURUSVFWEWTBXAW
      EWJXAEZMZWNWSXDWNMWOFGZWJWLFGZCNZWPWRWMXEXGKZXDWKWJQEWMXHBUTCWJQVAVBVCXDW
      KWPXEKZWMXDWKXIWEWKXISZBXAWEWKWOAEZSZBXAPZXJBXAPWEADZAEZXNWJVDAEBAPZXMWEA
      XNOTXOXPXMVGBAVEVHVIXLXJBXAXKXIWKWOAFRVJVKURVLVMVQXCWRXGKWEWNXCWJWQXFCXCW
      LWJEZWQXFKZXCXQWLAEXRXCWJAWLWJAVNVOWLAFRVRVMVPVSVTWAWBBCAWFWCWD $.
  $}

  $( The counting measure is a measure on any power set.  (Contributed by
     Thierry Arnoux, 24-Jan-2017.) $)
  pwcntmeas $p |- ( O e. V -> ( # |` ~P O ) e. ( measures ` ~P O ) ) $=
    ( wcel cpw csiga cfv crn cuni chash cres cmeas pwsiga elrnsiga cntmeas 3syl
    ) ABCADZAEFCPEGHCIPJPKFCABLPAMPNO $.

  $( Counting and Lebesgue measures are different.  (Contributed by Thierry
     Arnoux, 27-Jan-2017.) $)
  cntnevol $p |- ( # |` ~P O ) =/= vol $=
    ( c1 wcel chash cpw cvol wne cfv cc0 a1i wceq syl cr 1re eqtrdi cdm necon3i
    ax-mp wss wn cres ax-1ne0 snelpwi fvres hashsng covol ovolsn nulmbl syl2anc
    csn snssi mblvol mp2b 3netr4d fveq1 biantrur snex elpw dmhashres eleq2i 1ex
    wa snss 3bitr4i notbii bitr3i nelne1 sylbir necomd dmeq pm2.61i ) BACZDAEZU
    AZFGZVLBUJZVNHZVPFHZGVOVLBIVQVRBIGVLUBJVLVQVPDHZBVLVPVMCZVQVSKBAUCVPVMDUDLB
    MCZVSBKNBMUEROVRIKZVLWAVPFPZCZWBNWAVPMSVPUFHZIKZWDBMUKBUGZVPUHUIZWDVRWEIVPU
    LWAWFNWGROUMJUNVNFVQVRVPVNFUOQLVLTZVNPZWCGVOWIWCWJWIWDVPWJCZTZVBZWCWJGWMWLW
    IWDWLWAWDNWHRUPWKVLVTVPASWKVLVPABUQURWJVMVPVMUSUTBAVAVCVDVEVFVPWCWJVGVHVIVN
    FWJWCVNFVJQLVK $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The Lebesgue measure - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

$(
  @{
    @d n y F @. @d n y X @. @d n y ph @.
    volmeaslem.1 @e |- ( ph -> X e. ~P dom vol ) @.
    volmeaslem.2 @e |- ( ph -> Disj_ y e. X y ) @.
    volmeaslem.3 @e |- ( ph -> F : NN -1-1-onto-> X ) @.
    volmeaslem.4 @e |- ( ( ph /\ y e. X ) -> ( vol ` y ) e. RR )  @.
    @( Lemma for ~ volmeas .
     (Contributed by Thierry Arnoux, 7-Apr-2017.) @)
    volmeaslem @p |- ( ph -> ( vol ` U. X ) = sum* y e. X ( vol ` y ) ) @=
      ( vn cvol cfv cn wcel cr wa wceq adantr syl2anc a1i nfcv cuni cesum caddc
      cv ciun cmpt c1 cseq crn cxr clt csup cdm wral wdisj cpw wf1o wf f1of syl
      ffvelrnda elelpwi ralrimiva fveq2 eleq1d rspcv sylc simpr disjrdx mpbird
      jca eqid voliun wfo f1ofo iunrdx uniiun syl6reqr fveq2d fvmpt2d cpnf cicc
      cc0 co volf ffvelrnd esumsup 3eqtr4d nfv eqidd esumf1o eqtr4d ) ADUAZJKZL
      IUDZCKZJKZIUBZDBUDZJKZBUBAILWPUEZJKZUCILWQUFZUGUHZUIUJUKULZWNWRAWPJUMZMZW
      QNMZOZILUNILWPUOZXBXEPAXIILAWOLMZOZXGXHXLWPDMZDXFUPZMZXGALDWOCALDCUQZLDCU
      RGLDCUSUTVAZAXOXKEQWPDXFVBRZXLXMWTNMZBDUNZXHXQAXTXKAXSBDHVCQXSXHBWPDWSWPP
      ZWTWQNWSWPJVDZVEVFVGZVKVCAXJBDWSUOFAIBLWPDWSCGAYAVHZVIVJWPXDIXCXDVLZXCVLZ
      VMRAWMXAJAXABDWSUEWMAIBLWPDWSCAXPLDCVNGLDCVOUTYDVPBDVQVRVSAWQIXCXDYEAILWQ
      XCNXCXCPAYFSYCVTXLXFWCWAWBWDZWPJXFYGJURZXLWESXRWFWGWHADWTLWQBICWPXNAIWIID
      TILTICTYBEGXLWPWJAWSDMZOZXFYGWSJYHYJWESYJYIXOWSXFMAYIVHAXOYIEQWSDXFVBRWFW
      KWL @.
      @( [7-Apr-2017] @)
  @}
$)

  ${
    $d k n $.  $d k A $.
    $( The Lebesgue measure function is countably additive.  This formulation
       on the extended reals, allows for ` +oo ` for the measure of any set in
       the sum.  Cf. ~ ovoliun and ~ voliun .  (Contributed by Thierry Arnoux,
       16-Oct-2017.) $)
    voliune $p |- ( ( A. n e. NN A e. dom vol /\ Disj_ n e. NN A ) ->
      ( vol ` U_ n e. NN A ) = sum* n e. NN ( vol ` A ) ) $=
      ( vk cvol wcel cn wral wa cfv wceq cpnf c1 cxr cc0 syl adantlr cle wbr wb
      wrex cdm wdisj ciun cesum caddc cmpt cseq crn clt csup r19.26 eqid voliun
      cr sylanbr an32s cv nfra1 nfan cicc co simpr rspa ffvelrni fvmpt2 syl2anc
      volf ex ralrimi esumeq2d cico r19.21bi w3a 0xr pnfxr elicc1 mp2an simp2bi
      ltpnf 0re elico2 syl3anbrc fmptdf nfmpt1 esumfsupre eqtr3d eqtr4d csb nfv
      wf nfcv nfcsb1v nfeq1 weq csbeq1a fveqeq2d cbvrexw sylib wss nfel1 eleq1d
      nffv impcom iunmbl adantr ssiun2sf adantl volss syl3anc ralrimiva r19.29r
      rspc breq1 biimpa reximi wne 1nn ne0i r19.9rzv mp2b sylibr iccssxr sselid
      c0 ad2antrr xgepnf mpbid cvv nfdisj1 nfre1 nnex a1i 3ad2antr3 esumpinfval
      3anassrs wo wn exmid rexnal orbi2i mpbir r19.29 xrge0nre sylan orim2d mpi
      mpjaodan ) ADUAZEZBFGZBFAUBZHZADIZUNEZBFGZBFAUCZDIZFUUMBUDZJUUMKJZBFTZUUL
      UUOHUUQUEBFUUMUFZLUGZUHMUIUJZUURUUJUUOUUKUUQUVCJZUUJUUOHZUUIUUNHBFGUUKUVD
      UUIUUNBFUKAUVBBUVAUVBULUVAULZUMUOUPUUJUUOUURUVCJUUKUVEFBUQZUVAIZBUDZUURUV
      CUVEFUVHUUMBUUJUUOBUUIBFURZUUNBFURUSZUVEUVHUUMJZBFUVKUVEUVGFEZUVLUUJUVMUV
      LUUOUUJUVMHZUVMUUMNKUTVAZEZUVLUUJUVMVBUVNUUIUVPUUIBFVCUUHUVOADVGVDZOZBFUU
      MUVOUVAUVFVEVFPVHVIVJUVEFNKVKVAZUVAWJUVIUVCJUVEBFUUMUVSUVAUVKUVEUVMHZUUNN
      UUMQRZUUMKUIRZUUMUVSEZUVEUUNBFUUJUUOVBVLZUVTUVPUWAUUJUVMUVPUUOUVRPUVPUUMM
      EZUWAUUMKQRZNMEKMEZUVPUWEUWAUWFVMSVNVONKUUMVPVQVROUVTUUNUWBUWDUUMVSONUNEU
      WGUWCUUNUWAUWBVMSVTVONKUUMWAVQWBUVFWCBUVABFUUMWDWEOWFPWGUULUUTHZUUQKUURUW
      HKUUQQRZUUQKJZUWHUWICFTZUWIUWHBCUQZAWHZDIZKJZUWNUUQQRZHZCFTZUWKUWHUWOCFTZ
      UWPCFGUWRUWHUUTUWSUULUUTVBZUUSUWOBCFUUSCWIBUWNKBUWMDBDWKBUWLAWLZXBWMBCWNZ
      AUWMKDBUWLAWOZWPWQWRUWHUWPCFUULUWLFEZUWPUUTUUJUXDUWPUUKUUJUXDHUWMUUHEZUUP
      UUHEZUWMUUPWSZUWPUXDUUJUXEUUIUXEBUWLFBUWMUUHUXAWTUXBAUWMUUHUXCXAXLXCUUJUX
      FUXDABXDZXEUXDUXGUUJBFAUWLUWMBFWKBUWLWKUXAUXCXFXGUWMUUPXHXIPPXJUWOUWPCFXK
      VFUWQUWICFUWOUWPUWIUWNKUUQQXMXNXOOLFEFYDXPUWIUWKSXQFLXRUWICFXSXTYAUWHUUQM
      EZUWIUWJSUUJUXIUUKUUTUUJUXFUXIUXHUXFUVOMUUQNKYBUUHUVOUUPDVGVDYCOYEUUQYFOY
      GUWHFUUMBYHUULUUTBUUJUUKBUVJBFAYIUSUUSBFYJUSFYHEUWHYKYLUUJUUKUUTUVMUVPUUJ
      UUKUVMUVPUUTUVRYMYOUWTYNWGUUJUUOUUTYPZUUKUUJUUOUUNYQZBFTZYPZUXJUXMUUOUUOY
      QZYPUUOYRUXLUXNUUOUUNBFYSYTUUAUUJUXLUUTUUOUUJUXLUUTUUJUXLHUUIUXKHZBFTUUTU
      UIUXKBFUUBUXOUUSBFUUIUVPUXKUUSUVQUUMUUCUUDXOOVHUUEUUFXEUUG $.
  $}

  ${
    $d k n A $.  $d k B $.
    $( The Lebesgue measure function is countably additive.  This theorem is to
       ~ volfiniun what ~ voliune is to ~ voliun .  (Contributed by Thierry
       Arnoux, 16-Oct-2017.) $)
    volfiniune $p |- ( ( A e. Fin /\ A. n e. A B e. dom vol /\ Disj_ n e. A B )
      -> ( vol ` U_ n e. A B ) = sum* n e. A ( vol ` B ) ) $=
      ( vk cfn wcel cvol wral w3a cfv wceq cpnf wrex nfcv cc0 cle wbr syl cxr
      wa cdm wdisj cr ciun cesum csu simpl1 simpl2 simpr r19.26 sylanbrc simpl3
      volfiniun syl3anc nfel1 nfra1 nfdisj1 nf3an nfan cv cico co r19.21bi cicc
      clt rspa volf ffvelrni sylan wb 0xr pnfxr elicc1 mp2an simp2bi 0re elico2
      ltpnf syl3anbrc esumpfinvalf eqtr4d csb nfv nfcsb1v nffv csbeq1a fveqeq2d
      nfeq1 cbvrexw sylib wss eleq1d rspc impcom adantll adantr ssiun2sf adantl
      finiunmbl volss adantlr ralrimiva r19.29r syl2anc breq1 biimpa reximi wex
      3adantl3 rexex 19.9v iccssxr sselid xgepnf mpbid 3ad2antl2 esumpinfval wo
      nfre1 wn exmid rexnal orbi2i mpbir r19.29 xrge0nre ex orim2d mpi 3ad2ant2
      3adant3 mpjaodan ) AEFZBGUAZFZCAHZCABUBZIZBGJZUCFZCAHZCABUDZGJZAYSCUEZKYS
      LKZCAMZYRUUATZUUCAYSCUFZUUDUUGYMYOYTTCAHZYQUUCUUHKYMYPYQUUAUGZUUGYPUUAUUI
      YMYPYQUUAUHZYRUUAUIZYOYTCAUJUKYMYPYQUUAULABCUMUNUUGAYSCCANZYRUUACYMYPYQCC
      AEUUMUOYOCAUPCABUQURZYTCAUPUSUUJUUGCUTZAFZTZYTOYSPQZYSLVEQZYSOLVAVBFZUUGY
      TCAUULVCZUUQYSOLVDVBZFZUURUUGYPUUPUVCUUKYPUUPTYOUVCYOCAVFYNUVBBGVGVHZRZVI
      UVCYSSFZUURYSLPQZOSFLSFZUVCUVFUURUVGIVJVKVLOLYSVMVNVORUUQYTUUSUVAYSVRROUC
      FUVHUUTYTUURUUSIVJVPVLOLYSVQVNVSVTWAYRUUFTZUUCLUUDUVILUUCPQZUUCLKZUVIUVJD
      AMZUVJUVICDUTZBWBZGJZLKZUVOUUCPQZTZDAMZUVLUVIUVPDAMZUVQDAHUVSUVIUUFUVTYRU
      UFUIZUUEUVPCDAUUEDWCCUVOLCUVNGCGNCUVMBWDZWEWHUUOUVMKZBUVNLGCUVMBWFZWGWIWJ
      UVIUVQDAYRUVMAFZUVQUUFYMYPUWEUVQYQYMYPTZUWETUVNYNFZUUBYNFZUVNUUBWKZUVQYPU
      WEUWGYMUWEYPUWGYOUWGCUVMACUVNYNUWBUOUWCBUVNYNUWDWLWMWNWOUWFUWHUWEABCWSZWP
      UWEUWIUWFCABUVMUVNUUMCUVMNUWBUWDWQWRUVNUUBWTUNXIXAXBUVPUVQDAXCXDUVRUVJDAU
      VPUVQUVJUVOLUUCPXEXFXGRUVLUVJDXHUVJUVJDAXJUVJDXKWJRUVIUUCSFZUVJUVKVJYRUWK
      UUFYMYPUWKYQUWFUWHUWKUWJUWHUVBSUUCOLXLYNUVBUUBGVGVHXMRYKWPUUCXNRXOUVIAYSC
      EYRUUFCUUNUUECAXSUSYMYPYQUUFUGYRUUPUVCUUFYPYMUUPUVCYQUVEXPXAUWAXQWAYPYMUU
      AUUFXRZYQYPUUAYTXTZCAMZXRZUWLUWOUUAUUAXTZXRUUAYAUWNUWPUUAYTCAYBYCYDYPUWNU
      UFUUAYPUWNUUFYPUWNTYOUWMTZCAMUUFYOUWMCAYEUWQUUECAYOUVCUWMUUEUVDYSYFVIXGRY
      GYHYIYJYL $.
  $}

  ${
    $d f n x y $.
    $( The Lebesgue measure is a measure.  (Contributed by Thierry Arnoux,
       16-Oct-2017.) $)
    volmeas $p |- vol e. ( measures ` dom vol ) $=
      ( vx vy vf vn cvol cfv wcel cc0 c0 wceq cv com wbr wa wral cen simpr nfcv
      cn nfv cdm cmeas cpnf cicc co wf cdom wdisj cuni cesum wi cpw covol csiga
      crn cr fvssunirn dmvlsiga sselii 0elsiga ax-mp mblvol ovol0 eqtri nfdisj1
      volf cfn nfan wss elpwi ad3antrrr sseldd ex ralrimi simplrr uniiun fveq2i
      w3a ciun volfiniune syl5eq syl3anc wf1o wex bren fveq2 simpl eqidd sselda
      a1i syl ffvelrnd esumf1o adantlr f1of ffvelrnda ralrimiva disjrdx biimpar
      adantl id syl2anc voliune f1ofo iunrdx eqtr4di fveq2d exlimdv imp sylan2b
      3eqtr2rd wo csdm brdom2 biimpi isfinite2 ensymb nnenom entr sylbi orim12i
      mpan ad2antrl mpjaodan rgen wb ismeas mpbir3an ) EEUAZUBFGZYIHUCUDUEZEUFZ
      IEFZHJZAKZLUGMZBYOBKZUHZNZYOUIZEFZYOYQEFZBUJZJZUKZAYIULZOZVFYMIUMFZHIYIGZ
      YMUUHJYIUNUOUIZGZUUIUPUNFUUJYIUNUPUQURUSZYIUTVAIVBVAVCVDUUEAUUFYOUUFGZYSU
      UDUUMYSNZYOVGGZUUDSYOPMZUUNUUONZUUOYQYIGZBYOOZYRUUDUUNUUOQUUQUURBYOUUNUUO
      BUUMYSBUUMBTYPYRBYPBTBYOYQVEVHVHUUOBTVHUUQYQYOGZUURUUQUUTNYOYIYQUUMYOYIVI
      ZYSUUOUUTYOYIVJZVKUUQUUTQVLVMVNUUMYPYRUUOVOUUOUUSYRVRUUABYOYQVSZEFUUCYTUV
      CEBYOVPZVQYOYQBVTWAWBUUPUUNSYOCKZWCZCWDZUUDSYOCWEUUNUVGUUDUUNUVFUUDCUUNUV
      FUUDUUNUVFNZUUCSDKZUVEFZEFZDUJZDSUVJVSZEFZUUAUUMUVFUUCUVLJYSUUMUVFNZYOUUB
      SUVKBDUVEUVJUUFUVODTDUUBRBUVKRDYORDSRDUVERYQUVJEWFUUMUVFWGZUUMUVFQUVOUVIS
      GZNUVJWHUVOUUTNZYIYKYQEYLUVRVFWJUVOYOYIYQUVOUUMUVAUVPUVBWKWIWLWMWNUVHUVJY
      IGZDSODSUVJUHZUVNUVLJUVHUVSDSUVHUVQNYOYIUVJUUMUVAYSUVFUVQUVBVKUVHSYOUVIUV
      EUVFSYOUVEUFUUNSYOUVEWOWTWPVLWQUVHUVFYRUVTUUNUVFQUUMYPYRUVFVOUVFUVTYRUVFD
      BSUVJYOYQUVEUVFXAUVFYQUVJJQZWRWSXBUVJDXCXBUVFUVNUUAJUUNUVFUVMYTEUVFUVMUVC
      YTUVFDBSUVJYOYQUVESYOUVEXDUWAXEUVDXFXGWTXKVMXHXIXJYPUUOUUPXLZUUMYRYPYOLXM
      MZYOLPMZXLZUWBYPUWEYOLXNXOUWCUUOUWDUUPYOXPUWDLYOPMZUUPYOLXQSLPMUWFUUPXRSL
      YOXSYBXTYAWKYCYDVMYEUUKYJYLYNUUGVRYFUULABYIEYGVAYH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The Dirac delta measure
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c Ddelta $. $( Dirac delta measure, usually noted &delta;. $)

  $( Extend class notation to include the Dirac delta measure. $)
  cdde $a class Ddelta $.

  $( Define the Dirac delta measure.  (Contributed by Thierry Arnoux,
     14-Sep-2018.) $)
  df-dde $a |- Ddelta = ( a e. ~P RR |-> if ( 0 e. a , 1 , 0 ) ) $.

  ${
    $d a A $.
    $( Value of the delta measure.  (Contributed by Thierry Arnoux,
       14-Sep-2018.) $)
    ddeval1 $p |- ( ( A C_ RR /\ 0 e. A ) -> ( Ddelta ` A ) = 1 ) $=
      ( va cr wss cc0 wcel cdde cfv c1 cif cpw wceq cvv reex ssex elpwg biimpar
      mpancom cv eleq2 ifbid df-dde 1ex c0ex ifex fvmpt syl iftrue sylan9eq ) A
      CDZEAFZAGHZUKIEJZIUJACKZFZULUMLAMFZUJUOACNOUPUOUJACMPQRBAEBSZFZIEJUMUNGUQ
      ALURUKIEUQAETUABUBUKIEUCUDUEUFUGUKIEUHUI $.

    $( Value of the delta measure.  (Contributed by Thierry Arnoux,
       14-Sep-2018.) $)
    ddeval0 $p |- ( ( A C_ RR /\ -. 0 e. A ) -> ( Ddelta ` A ) = 0 ) $=
      ( va cr wss cc0 wcel wn cdde cfv cif cpw wceq cvv reex ssex elpwg biimpar
      c1 mpancom cv eleq2 ifbid df-dde 1ex c0ex ifex fvmpt syl iffalse sylan9eq
      ) ACDZEAFZGAHIZULREJZEUKACKZFZUMUNLAMFZUKUPACNOUQUPUKACMPQSBAEBTZFZREJUNU
      OHURALUSULREURAEUAUBBUCULREUDUEUFUGUHULREUIUJ $.
  $}

  ${
    $d a k x y $.
    $( The Dirac delta measure is a measure.  (Contributed by Thierry Arnoux,
       14-Sep-2018.) $)
    ddemeas $p |- Ddelta e. ( measures ` ~P RR ) $=
      ( vx vy va vk cdde cr cfv wcel cc0 cpnf c0 wceq wa cesum c1 cxr wn adantl
      wss cvv cpw cmeas cicc co wf cv com cdom wbr wdisj cuni wral cif cle 0le1
      wi 1xr pnfge ax-mp w3a wb 0xr pnfxr elicc1 mp2an mpbir3an 0e0iccpnf ifcli
      rgenw df-dde fmpt mpbi 0ss noel ddeval0 crab cun rabxm esumeq1 nfv rabexg
      cxad cin rabnc a1i elrabi simpl elelpwi syl2anc ffvelrni esumsplit syl5eq
      nfcv syl adantr wrex csn simp-4l vex rabsnel eleq2w rabsnt ancoms adantrr
      simpr fveq2d esumsn elpwid simprr ddeval1 eqtrd syl12anc wex wreu df-disj
      wrmo wal c0ex eleq1 rmobidv spcv sylbi rmo5 imp sylan reusn sylib cbvrabv
      biimpi eqeq1i ancri sylbir df-rex biimpri syl2an adantlr eqtr4d eqtrdi
      elrab csiga eximi sylibr adantll r19.29a elpwi sspwuni eluni2 nfre1 exbii
      nfn neq0 3bitr4i con1i esumeq1d esumnul con3i pm2.61dan simprbi esumeq2dv
      notbid rabex esum0 oveq12d vuniex elpw iccssxr xaddid1 3eqtrrd adantrl ex
      sselid 4syl rgen crn reex pwsiga elrnsiga ismeas mp2b ) EFUAZUBGHZUVTIJUC
      UDZEUEZKEGILZAUFZUGUHUIZBUWEBUFZUJZMZUWEUKZEGZUWEUWGEGZBNZLZUPZAUVTUAZULZ
      ICUFZHZOIUMZUWBHZCUVTULUWCUXACUVTUWSOIUWBOUWBHZOPHZIOUNUIZOJUNUIZUQUOUXCU
      XEUQOURUSIPHJPHUXBUXCUXDUXEUTVAVBVCIJOVDVEVFVGVHVICUVTUWBUWTECVJVKVLZKFSI
      KHQUWDFVMIVNKVOVEUWOAUWPUWEUWPHZUWIUWNUXGUWHUWNUWFUXGUWHMZUWMUWSCUWEVPZUW
      LBNZUWSQZCUWEVPZUWLBNZWBUDZUWKIWBUDZUWKUXGUWMUXNLUWHUXGUWMUXIUXLVQZUWLBNZ
      UXNUWEUXPLUWMUXQLUWSCUWEVRUWEUXPUWLBVSUSUXGUXIUXLUWLBUXGBVTBUXIWMBUXLWMZU
      WSCUWEUWPWAUXKCUWEUWPWAUXIUXLWCKLUXGUWSCUWEWDWEUXGUWGUXIHZMZUWGUVTHZUWLUW
      BHZUXTUWGUWEHZUXGUYAUXSUYCUXGUWSCUWGUWEWFRUXGUXSWGUWGUWEUVTWHZWIUVTUWBUWG
      EUXFWJZWNUXGUWGUXLHZMZUYAUYBUYGUYCUXGUYAUYFUYCUXGUXKCUWGUWEWFRUXGUYFWGUYD
      WIZUYEWNWKWLWOUXHUXJUWKUXMIWBUXHIUWGHZBUWEWPZUXJUWKLUXHUYJMZUXJOUWKUYKUXI
      DUFZWQZLZUXJOLDUWEUYKUYLUWEHZMZUYNMZUXJUYMUWLBNZOUYNUXJUYRLUYPUXIUYMUWLBV
      SRUYQUXGUYOIUYLHZUYROLUXGUWHUYJUYOUYNWRUYNUYOUYPUWSCUWEUYLDWSZWTZRUYNUYSU
      YPUWSUYSCUWEUYLUYTCDIXAXBRUXGUYOUYSMMZUYRUYLEGZOVUBUYLUVTHZUYRVUCLUXGUYOV
      UDUYSUYOUXGVUDUYLUWEUVTWHXCXDZVUDUWLVUCBUYLTVUDUWGUYLLZMUWGUYLEVUDVUFXEXF
      UYLTHVUDUYTWEUVTUWBUYLEUXFWJXGWNVUBUYLFSUYSVUCOLVUBUYLFVUEXHUXGUYOUYSXIUY
      LXJWIXKXLXKUWHUYJUYNDUWEWPZUXGUWHUYJMZUYIBUWEVPZUYMLZDXMZVUGVUHUYIBUWEXNZ
      VUKUWHUYIBUWEXPZUYJVULUWHUYLUWGHZBUWEXPZDXQVUMBDUWEUWGXOVUOVUMDIXRUYLILVU
      NUYIBUWEUYLIUWGXSXTYAYBVUMUYJVULVUMUYJVULUPUYIBUWEYCYIYDYEUYIBDUWEYFYGVUK
      UYOUYNMZDXMVUGVUJVUPDVUJUYNVUPUXIVUIUYMUWSUYICBUWECBIXAZYHYJUYNUYOVUAYKYL
      UUAUYNDUWEYMUUBWNUUCUUDUXGUYJUWKOLZUWHUXGUWJFSZIUWJHZVURUYJUXGUWEUVTSVUSU
      WEUVTUUEUWEFUUFYGZVUTUYJBIUWEUUGZYNUWJXJYOYPYQUXHUYJQZMUXJIUWKVVCUXJILUXH
      VVCUXJKUWLBNIVVCUXIKUWLBUYJBUYIBUWEUUHUUJUXIKLZUYJVVDQZUYJUXSBXMUYCUYIMZB
      XMVVEUYJUXSVVFBUWSUYICUWGUWEVUQYSUUIBUXIUUKUYIBUWEYMUULYIUUMUUNBUWLUUOYRR
      UXGVVCUWKILZUWHUXGVUSVUTQVVGVVCVVAVUTUYJVUTUYJVVBYIUUPUWJVOYOYPYQUUQUXGUX
      MILUWHUXGUXMUXLIBNZIUXGUXLUWLIBUYGUWGFSUYIQZUWLILUYGUWGFUYHXHUYFVVIUXGUYF
      UYCVVIUXKVVICUWGUWEUWRUWGLUWSUYIVUQUUTYSUURRUWGVOWIUUSUXLTHVVHILUXKCUWEAW
      SUVAUXLBTUXRUVBUSYRWOUVCUXGUXOUWKLZUWHUXGVUSUWJUVTHZUWKPHVVJVVAVVKVUSUWJF
      AUVDUVEYNVVKUWBPUWKIJUVFUVTUWBUWJEUXFWJUVKUWKUVGUVLWOUVHUVIUVJUVMUVTFYTGH
      ZUVTYTUVNUKHUWAUWCUWDUWQUTVAFTHVVLUVOFTUVPUSUVTFUVQABUVTEUVRUVSVF $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The 'almost everywhere' relation
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c ae $. $( 'almost everywhere', noted &mu;-a.e. for a given measure &mu;. $)
  $c ~ae $. $( 'almost everywhere' builder for functions $)

  $( Extend class notation to include the 'almost everywhere' relation. $)
  cae $a class ae $.

  $( Extend class notation to include the 'almost everywhere' builder. $)
  cfae $a class ~ae $.

  ${
    $d a m $.
    $( Define 'almost everywhere' with regard to a measure ` M ` .  A property
       holds almost everywhere if the measure of the set where it does not hold
       has measure zero.  (Contributed by Thierry Arnoux, 20-Oct-2017.) $)
    df-ae $a |- ae = { <. a , m >. | ( m ` ( U. dom m \ a ) ) = 0 } $.

    $( 'almost everywhere' is a relation.  (Contributed by Thierry Arnoux,
       20-Oct-2017.) $)
    relae $p |- Rel ae $=
      ( vm va cv cdm cuni cdif cfv cc0 wceq cae df-ae relopabiv ) ACZDEBCFMGHIB
      AJABKL $.
  $}

  ${
    $d a m A $.  $d a m M $.
    $( 'almost everywhere' relation for a measure and a measurable set ` A ` .
       (Contributed by Thierry Arnoux, 20-Oct-2017.) $)
    brae $p |- ( ( M e. U. ran measures /\ A e. dom M ) ->
      ( A ae M <-> ( M ` ( U. dom M \ A ) ) = 0 ) ) $=
      ( vm va cdm wcel cmeas crn cuni cae wbr cdif cfv cc0 wb cv wa simpr dmeqd
      wceq unieqd simpl difeq12d fveq12d eqeq1d df-ae brabga ancoms ) ABEZFBGHI
      ZFABJKUIIZALZBMZNTZOCPZEZIZDPZLZUOMZNTUNDCABJUIUJURATZUOBTZQZUTUMNVCUSULU
      OBVAVBRZVCUQUKURAVCUPUIVCUOBVDSUAVAVBUBUCUDUECDUFUGUH $.
  $}

  ${
    $d a m x O $.  $d a m M $.  $d a m ph $.
    braew.1 $e |- U. dom M = O $.
    $( 'almost everywhere' relation for a measure ` M ` and a property ` ph `
       (Contributed by Thierry Arnoux, 20-Oct-2017.) $)
    braew $p |- ( M e. U. ran measures -> ( { x e. O | ph } ae M
      <-> ( M ` { x e. O | -. ph } ) = 0 ) ) $=
      ( vm va cmeas crn cuni wcel crab cae cdm cdif cfv cc0 wceq cvv cv wbr syl
      wn wb dmexg uniexd eqeltrrid rabexg wa simpr dmeqd simpl difeq12d fveq12d
      unieqd eqeq1d df-ae brabga mpancom difeq1i notrab fveq2i eqeq1i bitrdi
      eqtri ) CHIJZKZABDLZCMUAZCNZJZVHOZCPZQRZAUCBDLZCPZQRVHSKZVGVIVNUDVGDSKVQV
      GDVKSEVGVJSCVFUEUFUGABDSUHUBFTZNZJZGTZOZVRPZQRVNGFVHCMSVFWAVHRZVRCRZUIZWC
      VMQWFWBVLVRCWDWEUJZWFVTVKWAVHWFVSVJWFVRCWGUKUOWDWEULUMUNUPFGUQURUSVMVPQVL
      VOCVLDVHOVOVKDVHEUTABDVAVEVBVCVD $.
  $}

  ${
    $d x O $.  $d x ph $.
    truae.1 $e |- U. dom M = O $.
    truae.2 $e |- ( ph -> M e. U. ran measures ) $.
    truae.3 $e |- ( ph -> ps ) $.
    $( A truth holds almost everywhere.  (Contributed by Thierry Arnoux,
       20-Oct-2017.) $)
    truae $p |- ( ph -> { x e. O | ps } ae M ) $=
      ( crab cae wbr wn cfv cc0 wceq c0 wss wcel syl cmeas cv wi wral ralrimivw
      pm2.24d rabss sylibr ss0 fveq2d crn cuni measbasedom measvnul sylbi eqtrd
      cdm wb braew mpbird ) ABCEIDJKZBLZCEIZDMZNOZAVCPDMZNAVBPDAVBPQZVBPOAVACUA
      PRZUBZCEUCVFAVHCEABVGHUEUDVACEPUFUGVBUHSUIADTUJUKRZVENOZGVIDDUPZTMRVJDULV
      KDUMUNSUOAVIUTVDUQGBCDEFURSUS $.
  $}

  ${
    $d x O $.
    aean.1 $e |- U. dom M = O $.
    $( A conjunction holds almost everywhere if and only if both its terms do.
       (Contributed by Thierry Arnoux, 20-Oct-2017.) $)
    aean $p |- ( ( M e. U. ran measures /\ { x e. O | -. ph } e. dom M
      /\ { x e. O | -. ps } e. dom M ) -> ( { x e. O | ( ph /\ ps ) } ae M
      <-> ( { x e. O | ph } ae M /\ { x e. O | ps } ae M ) ) ) $=
      ( wcel wn crab cfv cc0 wceq cae wbr cle 3ad2ant1 adantr breqtrd syl3anc
      wa cmeas crn cuni cdm w3a wo unrab ianor rabbii eqtr4i fveq2i measbasedom
      cun eqeq1i biimpi simp2 csiga dmmeas unelsiga syl3an1 wss ssun1 a1i simpr
      measssd measle0 simp3 jca measbase syl cxad measunl simprl simprr oveq12d
      ssun2 co cxr 0xr xaddid1 ax-mp eqtrdi impbida bitr3id wb anbi12d 3bitr4d
      braew ) DUAUBUCGZAHZCEIZDUDZGZBHZCEIZWLGZUEZABTZHZCEIZDJZKLZWKDJZKLZWODJZ
      KLZTZWRCEIDMNZACEIDMNZBCEIDMNZTZXBWKWOUMZDJZKLZWQXGXMXAKXLWTDXLWJWNUFZCEI
      WTWJWNCEUGWSXOCEABUHUIUJUKUNWQXNXGWQXNTZXDXFXPDWLUAJGZWMXCKONXDWQXQXNWIWM
      XQWPWIXQDULUOPZQZWQWMXNWIWMWPUPZQXPXCXMKOWQXCXMONXNWQWKXLWLDXRXTWIWLUQUBU
      CGZWMWPXLWLGZDURWKWOWLUSZUTZWKXLVAWQWKWOVBVCVEQWQXNVDZRWKWLDVFSXPXQWPXEKO
      NXFXSWQWPXNWIWMWPVGZQXPXEXMKOWQXEXMONXNWQWOXLWLDXRYFYDWOXLVAWQWOWKVPVCVEQ
      YERWOWLDVFSVHWQXGTZXQYBXMKONXNWQXQXGXRQZYGYAWMWPYBYGXQYAYHWLDVIVJWQWMXGXT
      QZWQWPXGYFQZYCSYGXMXCXEVKVQZKOYGWKWOWLDYHYIYJVLYGYKKKVKVQZKYGXCKXEKVKWQXD
      XFVMWQXDXFVNVOKVRGYLKLVSKVTWAWBRXLWLDVFSWCWDWIWMXHXBWEWPWRCDEFWHPWIWMXKXG
      WEWPWIXIXDXJXFACDEFWHBCDEFWHWFPWG $.
  $}

  ${
    $d r m f g x $.
    $( Define a builder for an 'almost everywhere' relation between functions,
       from relations between function values.  In this definition, the range
       of ` f ` and ` g ` is enforced in order to ensure the resulting relation
       is a set.  (Contributed by Thierry Arnoux, 22-Oct-2017.) $)
    df-fae $a |- ~ae = ( r e. _V , m e. U. ran measures |-> { <. f , g >. |
      ( ( f e. ( dom r ^m U. dom m ) /\ g e. ( dom r ^m U. dom m ) ) /\
        { x e. U. dom m | ( f ` x ) r ( g ` x ) } ae m ) } ) $.
  $}

  ${
    $d f g m r x M $.  $d f g m r x R $.
    $( Value of the 'almost everywhere' relation for a given relation and
       measure.  (Contributed by Thierry Arnoux, 22-Oct-2017.) $)
    faeval $p |- ( ( R e. _V /\ M e. U. ran measures ) ->
      ( R ~ae M ) = { <. f , g >. |
        ( ( f e. ( dom R ^m U. dom M ) /\ g e. ( dom R ^m U. dom M ) ) /\
          { x e. U. dom M | ( f ` x ) R ( g ` x ) } ae M ) } ) $=
      ( vr vm cuni cv cdm cmap co wcel wa cfv wbr crab cae copab wceq cvv cmeas
      crn cfae simpl dmeqd simpr unieqd oveq12d anbi12d breqd rabeqbidv breq12d
      eleq2d opabbidv df-fae cxp ovex xpex opabssxp ssexi ovmpoa ) FGBEUAUBUCHC
      IZFIZJZGIZJZHZKLZMZDIZVIMZNZAIZVCOZVNVKOZVDPZAVHQZVFRPZNZCDSVCBJZEJZHZKLZ
      MZVKWDMZNZVOVPBPZAWCQZERPZNZCDSZUDVDBTZVFETZNZVTWKCDWOVMWGVSWJWOVJWEVLWFW
      OVIWDVCWOVEWAVHWCKWOVDBWMWNUEZUFWOVGWBWOVFEWMWNUGZUFUHZUIZUNWOVIWDVKWSUNU
      JWOVRWIVFERWOVQWHAVHWCWRWOVDBVOVPWPUKULWQUMUJUOACDGFUPWLWDWDUQWDWDWAWCKUR
      ZWTUSWJCDWDWDUTVAVB $.
  $}

  ${
    $d f g x M $.  $d f g x R $.
    $( The 'almost everywhere' builder for functions produces relations.
       (Contributed by Thierry Arnoux, 22-Oct-2017.) $)
    relfae $p |- ( ( R e. _V /\ M e. U. ran measures ) -> Rel ( R ~ae M ) ) $=
      ( vf vg vx cvv wcel cmeas crn cuni wa cfae co wrel cdm cmap cfv wbr crab
      cv cae copab relopabv faeval releqd mpbiri ) AFGBHIJGKZABLMZNCTZAOBOJZPMZ
      GDTZUKGKETZUIQUMULQAREUJSBUARKZCDUBZNUNCDUCUGUHUOEACDBUDUEUF $.
  $}

  ${
    $d f g x F $.  $d f g x G $.  $d f g x M $.  $d f g x R $.
    brfae.0 $e |- dom R = D $.
    brfae.1 $e |- ( ph -> R e. _V ) $.
    brfae.2 $e |- ( ph -> M e. U. ran measures ) $.
    brfae.3 $e |- ( ph -> F e. ( D ^m U. dom M ) ) $.
    brfae.4 $e |- ( ph -> G e. ( D ^m U. dom M ) ) $.
    $( 'almost everywhere' relation for two functions ` F ` and ` G ` with
       regard to the measure ` M ` .  (Contributed by Thierry Arnoux,
       22-Oct-2017.) $)
    brfae $p |- ( ph -> ( F ( R ~ae M ) G
      <-> { x e. U. dom M | ( F ` x ) R ( G ` x ) } ae M ) ) $=
      ( vf vg cv cmap wcel wa cfv wbr cdm cuni co crab copab cfae wb wceq simpl
      cae eleq1d simpr anbi12d fveq1d breq12d rabbidv breq1d brabga syl2anc cvv
      eqid cmeas crn faeval breqd oveq1i eleqtrrdi jca biantrurd 3bitr4d ) AEFM
      OZDUAZGUAUBZPUCZQZNOZVNQZRZBOZVKSZVSVPSZDTZBVMUDZGUJTZRZMNUEZTZEVNQZFVNQZ
      RZVSESZVSFSZDTZBVMUDZGUJTZRZEFDGUFUCZTWOAECVMPUCZQFWRQWGWPUGKLWEWPMNEFWFW
      RWRVKEUHZVPFUHZRZVRWJWDWOXAVOWHVQWIXAVKEVNWSWTUIZUKXAVPFVNWSWTULZUKUMXAWC
      WNGUJXAWBWMBVMXAVTWKWAWLDXAVSVKEXBUNXAVSVPFXCUNUOUPUQUMWFVAURUSAWQWFEFADU
      TQGVBVCUBQWQWFUHIJBDMNGVDUSVEAWJWOAWHWIAEWRVNKVLCVMPHVFZVGAFWRVNLXDVGVHVI
      VJ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Measurable functions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c MblFnM $. $( Measurable function $)

  $( Extend class notation with the measurable functions builder. $)
  cmbfm $a class MblFnM $.

  ${
    $d f s t x $.
    $( Define the measurable function builder, which generates the set of
       measurable functions from a measurable space to another one.  Here, the
       measurable spaces are given using their sigma-algebras ` s ` and ` t ` ,
       and the spaces themselves are recovered by ` U. s ` and ` U. t ` .

       Note the similarities between the definition of measurable functions in
       measure theory, and of continuous functions in topology.

       This is the definition for the generic measure theory.  For the specific
       case of functions from ` RR ` to ` CC ` , see ~ df-mbf .  (Contributed
       by Thierry Arnoux, 23-Jan-2017.) $)
    df-mbfm $a |- MblFnM = ( s e. U. ran sigAlgebra , t e. U. ran sigAlgebra
      |-> { f e. ( U. t ^m U. s ) | A. x e. t ( `' f " x ) e. s } ) $.
  $}

  ${
    $d f x F $.  $d f s t x S $.  $d f s t x T $.
    ismbfm.1 $e |- ( ph -> S e. U. ran sigAlgebra ) $.
    ismbfm.2 $e |- ( ph -> T e. U. ran sigAlgebra ) $.
    $( The predicate " ` F ` is a measurable function from the measurable space
       ` S ` to the measurable space ` T ` ".  Cf. ~ ismbf .  (Contributed by
       Thierry Arnoux, 23-Jan-2017.) $)
    ismbfm $p |- ( ph -> ( F e. ( S MblFnM T ) <->
            ( F e. ( U. T ^m U. S ) /\ A. x e. T ( `' F " x ) e. S ) ) ) $=
      ( vf vs vt cmbfm co wcel cv ccnv wral cuni cmap crab wceq csiga crn unieq
      cima oveq2d eleq2 ralbidv rabeqbidv oveq1d raleq df-mbfm ovex rabex ovmpo
      wa syl2anc eleq2d cnveq imaeq1d eleq1d elrab bitrdi ) AECDKLZMEHNZOZBNZUD
      ZCMZBDPZHDQZCQZRLZSZMEVLMEOZVFUDZCMZBDPZUOAVCVMEACUAUBQZMDVRMVCVMTFGIJCDV
      RVRVGINZMZBJNZPZHWAQZVSQZRLZSVMKVHBWAPZHWCVKRLZSVSCTZWBWFHWEWGWHWDVKWCRVS
      CUCUEWHVTVHBWAVSCVGUFUGUHWADTZWFVIHWGVLWIWCVJVKRWADUCUIVHBWADUJUHBJHIUKVI
      HVLVJVKRULUMUNUPUQVIVQHEVLVDETZVHVPBDWJVGVOCWJVEVNVFVDEURUSUTUGVAVB $.
  $}

  ${
    $d x f $.  $d a s t F $.  $d f s t $.  $d s t x F $.
    $( The property of being a measurable function.  (Contributed by Thierry
       Arnoux, 23-Jan-2017.) $)
    elunirnmbfm $p |- ( F e. U. ran MblFnM <->
        E. s e. U. ran sigAlgebra E. t e. U. ran sigAlgebra
        ( F e. ( U. t ^m U. s ) /\ A. x e. t ( `' F " x ) e. s ) ) $=
      ( va vf cmbfm crn cuni wcel cv co csiga wrex cmap ccnv cima wral wa cfv
      cdm cxp wfun wb crab df-mbfm mpofun elunirn ax-mp ovex rabex dmmpo rexeqi
      cop wceq fveq2 df-ov eqtr4di eleq2d rexxp 3bitri simpl simpr ismbfm bitri
      2rexbiia ) CGHIJZCDKZBKZGLZJZBMHIZNDVLNZCVIIZVHIZOLZJCPAKZQVHJAVIRSZBVLND
      VLNVGCEKZGTZJZEGUAZNZWAEVLVLUBZNVMGUCVGWCUDDBVLVLFKPVQQVHJAVIRZFVPUEZGABF
      DUFZUGECGUHUIWAEWBWDDBVLVLWFGWGWEFVPVNVOOUJUKULUMWAVKEDBVLVLVSVHVIUNZUOZV
      TVJCWIVTWHGTVJVSWHGUPVHVIGUQURUSUTVAVKVRDBVLVLVHVLJZVIVLJZSAVHVICWJWKVBWJ
      WKVCVDVFVE $.
  $}

  ${
    $d s t x F $.
    mbfmfun.1 $e |- ( ph -> F e. U. ran MblFnM ) $.
    $( A measurable function is a function.  (Contributed by Thierry Arnoux,
       24-Jan-2017.) $)
    mbfmfun $p |- ( ph -> Fun F ) $=
      ( vt vs vx cmbfm cuni wcel cv cmap co ccnv cima wral csiga wrex rexlimivw
      crn wa wfun elunirnmbfm biimpi elmapfun adantr 3syl ) ABGSHIZBDJZHZEJZHZK
      LIZBMFJNUJIFUHOZTZDPSHZQZEUOQZBUAZCUGUQFDBEUBUCUPUREUOUNURDUOULURUMBUIUKU
      DUERRUF $.
  $}

  ${
    $d s t x F $.  $d s t x S $.  $d t x T $.
    mbfmf.1 $e |- ( ph -> S e. U. ran sigAlgebra ) $.
    mbfmf.2 $e |- ( ph -> T e. U. ran sigAlgebra ) $.
    mbfmf.3 $e |- ( ph -> F e. ( S MblFnM T ) ) $.
    $( A measurable function as a function with domain and codomain.
       (Contributed by Thierry Arnoux, 25-Jan-2017.) $)
    mbfmf $p |- ( ph -> F : U. S --> U. T ) $=
      ( vx cuni cmap co wcel wf ccnv cv cima wral cmbfm wa ismbfm simpld elmapi
      mpbid syl ) ADCIZBIZJKLZUFUEDMAUGDNHOPBLHCQZADBCRKLUGUHSGAHBCDEFTUCUADUEU
      FUBUD $.

    $( The predicate to be a measurable function.  (Contributed by Thierry
       Arnoux, 30-Jan-2017.) $)
    isanmbfm $p |- ( ph -> F e. U. ran MblFnM ) $=
      ( vt vs vx cv cuni cmap co wcel wral wa crn wrex cmbfm csiga ismbfm mpbid
      ccnv cima wceq unieq oveq2d eleq2d ralbidv anbi12d oveq1d rspc2ev syl3anc
      eleq2 raleq elunirnmbfm sylibr ) ADHKZLZIKZLZMNZOZDUDJKUEZVAOZJUSPZQZHUAR
      LZSIVISZDTRLOABVIOCVIODCLZBLZMNZOZVEBOZJCPZQZVJEFADBCTNOVQGAJBCDEFUBUCVHV
      QDUTVLMNZOZVOJUSPZQIHBCVIVIVABUFZVDVSVGVTWAVCVRDWAVBVLUTMVABUGUHUIWAVFVOJ
      USVABVEUOUJUKUSCUFZVSVNVTVPWBVRVMDWBUTVKVLMUSCUGULUIVOJUSCUPUKUMUNJHDIUQU
      R $.

    $d x A $.
    mbfmcnvima.4 $e |- ( ph -> A e. T ) $.
    $( The preimage by a measurable function is a measurable set.  (Contributed
       by Thierry Arnoux, 23-Jan-2017.) $)
    mbfmcnvima $p |- ( ph -> ( `' F " A ) e. S ) $=
      ( vx ccnv cv cima wcel wceq imaeq2 eleq1d cuni cmap co cmbfm ismbfm mpbid
      wral wa simprd rspcdva ) AEKZJLZMZCNZUHBMZCNJDBUIBOUJULCUIBUHPQAEDRCRSTNZ
      UKJDUDZAECDUATNUMUNUEHAJCDEFGUBUCUFIUG $.
  $}

  ${
    mbfmbfm.1 $e |- ( ph -> M e. U. ran measures ) $.
    mbfmbfm.2 $e |- ( ph -> J e. Top ) $.
    mbfmbfm.3 $e |- ( ph -> F e. ( dom M MblFnM ( sigaGen ` J ) ) ) $.
    $( A measurable function to a Borel Set is measurable.  (Contributed by
       Thierry Arnoux, 24-Jan-2017.) $)
    mbfmbfm $p |- ( ph -> F e. U. ran MblFnM ) $=
      ( cdm csigagen cfv cmeas cuni wcel csiga measbasedom biimpi measbase 3syl
      crn ctop sgsiga isanmbfm ) ADHZCIJBADKSLMZDUCKJMZUCNSLMEUDUEDOPUCDQRACTFU
      AGUB $.
  $}

  ${
    $d x A $.  $d y F $.  $d x y S $.  $d x y T $.  $d x y ph $.
    mbfmcst.1 $e |- ( ph -> S e. U. ran sigAlgebra ) $.
    mbfmcst.2 $e |- ( ph -> T e. U. ran sigAlgebra ) $.
    mbfmcst.3 $e |- ( ph -> F = ( x e. U. S |-> A ) ) $.
    mbfmcst.4 $e |- ( ph -> A e. U. T ) $.
    $( A constant function is measurable.  Cf. ~ mbfconst .  (Contributed by
       Thierry Arnoux, 26-Jan-2017.) $)
    mbfmcst $p |- ( ph -> F e. ( S MblFnM T ) ) $=
      ( vy wcel cuni ccnv cima adantr syl c0 cxp cdm cmbfm co cmap cv wf fmpt3d
      wral csiga crn unielsiga elmapd mpbird cmpt csn cin wceq fconstmpt cnveqi
      cres cnvxp eqtr3i imaeq1i df-ima df-rn 3eqtri cvv df-res inxp inv1 xpeq2i
      dmeqi xpeq2 xp0 eqtrdi dmeqd dm0 adantl 0elsiga eqeltrd eqeltrid wne dmxp
      wa pm2.61dane ralrimivw cnveqd imaeq1d eleq1d ralbidv ismbfm mpbir2and )
      AFDEUAUBLFEMZDMZUCUBLZFNZKUDZOZDLZKEUGZAWNWMWLFUEABWMCWLFIACWLLBUDWMLJPUF
      AWLWMFEDAEUHUIMZLWLELHEUJQADWTLZWMDLZGDUJQZUKULAWSBWMCUMZNZWPOZDLZKEUGAXG
      KEAXGCUNZWPUOZRAXIRUPZWCZXFWMXISZTZDXFXHWMSZWPUSZNZTZXIWMSZNZTXMXFXNWPOXO
      UIXQXEXNWPWMXHSZNXEXNXTXDBWMCUQURWMXHUTVAVBXNWPVCXOVDVEXPXSXOXRXOXNWPVFSU
      OXIWMVFUOZSXRXNWPVGXHWMWPVFVHYAWMXIWMVIVJVEURVKXSXLXIWMUTVKVEZXKXMRDXJXMR
      UPAXJXMRTRXJXLRXJXLWMRSRXIRWMVLWMVMVNVOVPVNVQARDLZXJAXAYCGDVRQPVSVTAXIRWA
      ZWCZXFXMDYBYEXMWMDYDXMWMUPAWMXIWBVQAXBYDXCPVSVTWDWEAWRXGKEAWQXFDAWOXEWPAF
      XDIWFWGWHWIULAKDEFGHWJWK $.
  $}

  ${
    $d a z S $.  $d a z T $.  $d a z ph $.
    1stmbfm.1 $e |- ( ph -> S e. U. ran sigAlgebra ) $.
    1stmbfm.2 $e |- ( ph -> T e. U. ran sigAlgebra ) $.
    $( The first projection map is measurable with regard to the product
       sigma-algebra.  (Contributed by Thierry Arnoux, 3-Jun-2017.) $)
    1stmbfm $p |- ( ph -> ( 1st |` ( U. S X. U. T ) )
                                               e. ( ( S sX T ) MblFnM S ) ) $=
      ( va vz c1st cuni cxp co wcel csiga wceq syl2anc syl wa cfv wss adantr cv
      cres csx cmbfm cmap ccnv cima wral wf f1stres sxuni feq2d mpbii unielsiga
      crn sxsiga elmapd mpbird wfn wb ffn elpreima mp2b eleq1d c2nd cop 1st2nd2
      fvres xp2nd elxp6 anass an32 3bitr2i baib pm5.32i bitri cpw sgon sigasspw
      bitr4d pwssb biimpi 4syl r19.21bi xpss1 sseld pm4.71rd bitr4id eqrdv eqid
      simpr issgon sylanblrc baselsiga elsx syl22anc ralrimiva ismbfm mpbir2and
      eqeltrd ) AHBIZCIZJZUBZBCUCKZBUDKLXDXAXEIZUEKLZXDUFFUAZUGZXELZFBUHAXGXFXA
      XDUIZAXCXAXDUIZXKXAXBUJZAXCXFXAXDABMUOIZLZCXNLZXCXFNDEBCUKOULUMAXAXFXDBXE
      AXOXABLDBUNPAXEXNLZXFXELAXOXPXQDEBCUPOZXEUNPUQURAXJFBAXHBLZQZXIXHXBJZXEXT
      GXIYAXTGUAZXILZYBXCLZYBYALZQZYEYCYDYBXDRZXHLZQZYFXLXDXCUSYCYIUTXMXCXAXDVA
      XCYBXHXDVBVCYDYHYEYDYHYBHRZXHLZYEYDYGYJXHYBXCHVHVDYDYBYJYBVERZVFNZYLXBLZY
      EYKUTYBXAXBVGYBXAXBVIYEYMYNQZYKYEYMYKYNQQYMYKQYNQYOYKQYBXHXBVJYMYKYNVKYMY
      KYNVLVMVNOVTVOVPXTYEYDXTYAXCYBXTXHXASZYAXCSAYPFBAXOBXAMRLBXAVQSZYPFBUHZDB
      VRXABVSYQYRFBXAWAWBWCWDXHXAXBWEPWFWGWHWIXTXOXPXSXBCLZYAXELAXOXSDTAXPXSETA
      XSWKAYSXSACXBMRLZYSAXPXBXBNYTEXBWJCXBWLWMXBCWNPTXHXBBCXNXNWOWPWTWQAFXEBXD
      XRDWRWS $.

    $( The second projection map is measurable with regard to the product
       sigma-algebra.  (Contributed by Thierry Arnoux, 3-Jun-2017.) $)
    2ndmbfm $p |- ( ph -> ( 2nd |` ( U. S X. U. T ) )
                                                e. ( ( S sX T ) MblFnM T ) ) $=
      ( va vz c2nd cuni cxp co wcel csiga wceq syl2anc syl wa cfv wss adantr cv
      cres csx cmbfm cmap ccnv cima wral wf f2ndres sxuni feq2d mpbii unielsiga
      crn sxsiga elmapd mpbird wfn wb ffn elpreima mp2b eleq1d c1st cop 1st2nd2
      fvres xp1st elxp6 anass bitr4i baib pm5.32i bitri cpw sgon sigasspw pwssb
      bitr4d biimpi 4syl r19.21bi xpss2 sseld pm4.71rd bitr4id issgon sylanblrc
      eqrdv eqid baselsiga simpr syl22anc eqeltrd ralrimiva ismbfm mpbir2and
      elsx ) AHBIZCIZJZUBZBCUCKZCUDKLXCXAXDIZUEKLZXCUFFUAZUGZXDLZFCUHAXFXEXAXCU
      IZAXBXAXCUIZXJWTXAUJZAXBXEXAXCABMUOIZLZCXMLZXBXENDEBCUKOULUMAXAXEXCCXDAXO
      XACLECUNPAXDXMLZXEXDLAXNXOXPDEBCUPOZXDUNPUQURAXIFCAXGCLZQZXHWTXGJZXDXSGXH
      XTXSGUAZXHLZYAXBLZYAXTLZQZYDYBYCYAXCRZXGLZQZYEXKXCXBUSYBYHUTXLXBXAXCVAXBY
      AXGXCVBVCYCYGYDYCYGYAHRZXGLZYDYCYFYIXGYAXBHVHVDYCYAYAVERZYIVFNZYKWTLZYDYJ
      UTYAWTXAVGYAWTXAVIYDYLYMQZYJYDYLYMYJQQYNYJQYAWTXGVJYLYMYJVKVLVMOVTVNVOXSY
      DYCXSXTXBYAXSXGXASZXTXBSAYOFCAXOCXAMRLCXAVPSZYOFCUHZECVQXACVRYPYQFCXAVSWA
      WBWCXGXAWTWDPWEWFWGWJXSXNXOWTBLZXRXTXDLAXNXRDTAXOXRETAYRXRABWTMRLZYRAXNWT
      WTNYSDWTWKBWTWHWIWTBWLPTAXRWMWTXGBCXMXMWSWNWOWPAFXDCXCXQEWQWR $.
  $}

  ${
    $d a x y F $.  $d a x y K $.  $d a x y S $.  $d a x y T $.  $d a x y ph $.
    imambfm.1 $e |- ( ph -> K e. _V ) $.
    imambfm.2 $e |- ( ph -> S e. U. ran sigAlgebra ) $.
    imambfm.3 $e |- ( ph -> T = ( sigaGen ` K ) ) $.
    $( If the sigma-algebra in the range of a given function is generated by a
       collection of basic sets ` K ` , then to check the measurability of that
       function, we need only consider inverse images of basic sets ` a ` .
       (Contributed by Thierry Arnoux, 4-Jun-2017.) $)
    imambfm $p |- ( ph -> ( F e. ( S MblFnM T )
                <-> ( F : U. S --> U. T /\ A. a e. K ( `' F " a ) e. S ) ) ) $=
      ( vx vy wcel cuni cima wral wa adantr wss syl wceq cmbfm co wf ccnv csiga
      crn csigagen cfv cvv sgsiga eqeltrd simpr mbfmf ad2antrr simplr sssigagen
      cv sseqtrrd sseldd mbfmcnvima ralrimiva jca cmap unielsiga simprl biimpar
      elmapg syl21anc crab cpw cdif com wbr wi w3a simpl ssrab2 pwuni sstri a1i
      cdom fimacnv ad2antrl imaeq2 eleq1d elrab elrabi adantl difelsiga syl3anc
      sylanbrc wfun simplrl ffun difpreima 3syl difeq1d simprbi ad3antrrr sspwi
      sseli ad2antlr sigaclcu ciun simpllr unipreima elelpwi syl2anc sigaclcuni
      simpld nfcv ex wb rabexg issiga syl12anc unieqd unisg eqtrd fveq2d eleq2d
      mpbid simprr ssrab sigagenss eqsstrd eqssd rabid2 sylib mpbir2and impbida
      3jca ismbfm ) ADBCUAUBLZBMZCMZDUCZDUDZFUQZNZBLZFEOZPZAYNPZYQUUBUUDBCDABUE
      UFMZLZYNHQACUUELZYNACEUGUHZUUEIAEUIGUJUKZQAYNULUMUUDUUAFEUUDYSELZPZYSBCDA
      UUFYNUUJHUNAUUGYNUUJUUIUNAYNUUJUOUUKECYSAECRZYNUUJAEUUHCAEUILZEUUHRGEUIUP
      SIURZUNUUDUUJULUSUTVAVBAUUCPZYNDYPYOVCUBLZUUAFCOZUUOYPCLZYOBLZYQUUPAUURUU
      CAUUGUURUUICVDZSQZAUUSUUCAUUFUUSHBVDZSQZAYQUUBVEUURUUSPUUPYQYPYODCBVGVFVH
      UUOCUUAFCVIZTUUQUUOCUVDUUOCUUHUVDACUUHTUUCIQUUOUVDEMZUEUHZLZEUVDRZUUHUVDR
      UUOUVDYPUEUHZLZUVGUUOAUVDYPVJZRZYPUVDLZYPJUQZVKZUVDLZJUVDOZUVNVLWAVMZUVNM
      ZUVDLZVNZJUVDVJZOZVOZUVJAUUCVPUVLUUOUVDCUVKUUAFCVQZCVRVSVTUUOUVMUVQUWCUUO
      UURYRYPNZBLZUVMUVAUUOUWFYOBYQUWFYOTAUUBYOYPDWBWCZUVCUKUUAUWGFYPCYSYPTYTUW
      FBYSYPYRWDWEWFWKUUOUVPJUVDUUOUVNUVDLZPZUVOCLZYRUVONZBLZUVPUWJUUGUURUVNCLZ
      UWKAUUGUUCUWIUUIUNZUWJUUGUURUWOUUTSUWIUWNUUOUUAFUVNCWGWHYPUVNCWIWJUWJUWLU
      WFYRUVNNZVKZBUWJYQDWLZUWLUWQTAYQUUBUWIWMYOYPDWNZYPUVNDWOWPUWJUWQYOUWPVKZB
      UUOUWQUWTTUWIUUOUWFYOUWPUWHWQQUWJUUFUUSUWPBLZUWTBLAUUFUUCUWIHUNZUWJUUFUUS
      UXBUVBSUWIUXAUUOUWIUWNUXAUUAUXAFUVNCYSUVNTYTUWPBYSUVNYRWDWEWFWRWHYOUWPBWI
      WJUKUKUUAUWMFUVOCYSUVOTYTUWLBYSUVOYRWDWEWFWKVAUUOUWAJUWBUUOUVNUWBLZPZUVRU
      VTUXDUVRPZUVSCLZYRUVSNZBLZUVTUXEUUGUVNCVJZLZUVRUXFAUUGUUCUXCUVRUUIWSUXCUX
      JUUOUVRUWBUXIUVNUVDCUWEWTXAXBUXDUVRULZUVNCXCWJUXEUXGKUVNYRKUQZNZXDZBUXEYQ
      UWRUXGUXNTUXEYQUUBAUUCUXCUVRXEXJUWSKUVNDXFWPUXEUUFUXMBLZKUVNOUVRUXNBLAUUF
      UUCUXCUVRHWSUXEUXOKUVNUXEUXLUVNLZPZUXLUVDLZUXOUXQUXPUXCUXRUXEUXPULUUOUXCU
      VRUXPXEUXLUVNUVDXGXHUXRUXLCLUXOUUAUXOFUXLCYSUXLTYTUXMBYSUXLYRWDWEWFWRSVAU
      XKUVNUXMBKKUVNXKXIWJUKUUAUXHFUVSCYSUVSTYTUXGBYSUVSYRWDWEWFWKXLVAYLAUVJUVL
      UWDPZAUUGUVDUILUVJUXSXMUUIUUAFCUUEXNJUVDYPXOWPVFXPAUVJUVGXMUUCAUVIUVFUVDA
      YPUVEUEAYPUUHMZUVEACUUHIXQAUUMUXTUVETGEUIXRSXSXTYAQYBUUOUULUUBUVHAUULUUCU
      UNQAYQUUBYCUUAFCEYDWKEUVDYEXHYFUVDCRUUOUWEVTYGUUAFCYHYIUUOFBCDAUUFUUCHQAU
      UGUUCUUIQYMYJYK $.
  $}

  ${
    $d a F $.  $d a K $.  $d a S $.  $d a T $.  $d a ph $.
    cnmbfm.1 $e |- ( ph -> F e. ( J Cn K ) ) $.
    cnmbfm.2 $e |- ( ph -> S = ( sigaGen ` J ) ) $.
    cnmbfm.3 $e |- ( ph -> T = ( sigaGen ` K ) ) $.
    $( A continuous function is measurable with respect to the Borel Algebra of
       its domain and range.  (Contributed by Thierry Arnoux, 3-Jun-2017.) $)
    cnmbfm $p |- ( ph -> F e. ( S MblFnM T ) ) $=
      ( va co wcel cuni wf eqid syl csigagen cfv ctop 3syl cmbfm ccnv cima wral
      ccn cnf unieqd wceq cntop1 unisg eqtrd cntop2 feq23d mpbird wss sssigagen
      cv wa sseqtrrd adantr cnima sylan sseldd ralrimiva elex csiga sigagensiga
      cvv crn eqeltrd elrnsiga imambfm mpbir2and ) ADBCUAKLBMZCMZDNZDUBJUQZUCZB
      LZJFUDAVPEMZFMZDNZADEFUEKLZWBGDEFVTWAVTOWAOUFPAVNVOVTWADAVNEQRZMZVTABWDHU
      GAWCESLZWEVTUHGDEFUIZESUJTUKAVOFQRZMZWAACWHIUGAWCFSLZWIWAUHGDEFULZFSUJTUK
      UMUNAVSJFAVQFLZUREBVRAEBUOWLAEWDBAWCWFEWDUOGWGESUPTHUSUTAWCWLVRELGVQDEFVA
      VBVCVDABCDFJAWCWJFVHLGWKFSVETABVTVFRZLBVFVIMLABWDWMHAWCWFWDWMLGWGESVGTVJB
      VTVKPIVLVM $.
  $}

  ${
    mbfmco.1 $e |- ( ph -> R e. U. ran sigAlgebra ) $.
    mbfmco.2 $e |- ( ph -> S e. U. ran sigAlgebra ) $.
    mbfmco.3 $e |- ( ph -> T e. U. ran sigAlgebra ) $.
    ${
      $d a F $.  $d a G $.  $d a R $.  $d a T $.  $d a ph $.
      mbfmco.4 $e |- ( ph -> F e. ( R MblFnM S ) ) $.
      mbfmco.5 $e |- ( ph -> G e. ( S MblFnM T ) ) $.
      $( The composition of two measurable functions is measurable.  See
         ~ cnmpt11 .  (Contributed by Thierry Arnoux, 4-Jun-2017.) $)
      mbfmco $p |- ( ph -> ( G o. F ) e. ( R MblFnM T ) ) $=
        ( va cmbfm co wcel cuni ccnv cima wf adantr ccom cmap cv wral mbfmf fco
        syl2anc csiga crn unielsiga syl elmapd mpbird cnvco imaeq1i imaco eqtri
        wa simpr mbfmcnvima eqeltrid ralrimiva ismbfm mpbir2and ) AFEUAZBDMNOVE
        DPZBPZUBNOZVEQZLUCZRZBOZLDUDAVHVGVFVESZACPZVFFSVGVNESVMACDFHIKUEABCEGHJ
        UEVGVNVFFEUFUGAVFVGVEDBADUHUIPZOZVFDOIDUJUKABVOOZVGBOGBUJUKULUMAVLLDAVJ
        DOZURZVKEQZFQZVJRZRZBVKVTWAUAZVJRWCVIWDVJFEUNUOVTWAVJUPUQVSWBBCEAVQVRGT
        ACVOOVRHTZAEBCMNOVRJTVSVJCDFWEAVPVRITAFCDMNOVRKTAVRUSUTUTVAVBALBDVEGIVC
        VD $.
    $}

    ${
      $d a b c H $.  $d a b c R $.  $d a b c S $.  $d a b c T $.
      $d a b c ph $.  $d x R $.  $d x S $.  $d x T $.  $d x ph $.  $d x F $.
      $d x G $.  $d x H $.
      mbfmco2.4 $e |- ( ph -> F e. ( R MblFnM S ) ) $.
      mbfmco2.5 $e |- ( ph -> G e. ( R MblFnM T ) ) $.
      mbfmco2.6 $e |- H = ( x e. U. R |-> <. ( F ` x ) , ( G ` x ) >. ) $.
      $( The pair building of two measurable functions is measurable.  ( cf.
         ~ cnmpt1t ).  (Contributed by Thierry Arnoux, 6-Jun-2017.) $)
      mbfmco2 $p |- ( ph -> H e. ( R MblFnM ( S sX T ) ) ) $=
        ( vc va vb wcel cuni 3ad2ant1 csx co cmbfm wf ccnv cv cima cxp cmpo crn
        wral cfv cop wa mbfmf ffvelrnda opelxpi syl2anc wceq csiga sxuni adantr
        eleqtrd fmptd wrex eqid vex xpex elrnmpo w3a simp3 imaeq2d simp1 simp2l
        simp2r cin xppreima2 simp2 mbfmcnvima syl3anc eqeltrd 3expia rexlimdvva
        inelsiga imp sylan2b ralrimiva txbasex csigagen sxval imambfm mpbir2and
        cvv ) AHCDEUAUBZUCUBRCSZWNSZHUDHUEZOUFZUGZCRZOPQDEPUFZQUFZUHZUIZUJZUKAB
        WOBUFZFULZXFGULZUMZWPHAXFWORZUNZXIDSZESZUHZWPXKXGXLRXHXMRXIXNRAWOXLXFFA
        CDFIJLUOZUPAWOXMXFGACEGIKMUOZUPXGXHXLXMUQURAXNWPUSZXJADUTUJSZRZEXRRZXQJ
        KDEVAURVBVCNVDAWTOXEWRXERAWRXCUSZQEVEPDVEZWTPQDEXCWRXDXDVFXAXBPVGQVGVHV
        IAYBWTAYAWTPQDEAXADRZXBERZUNZYAWTAYEYAVJZWSWQXCUGZCYFWRXCWQAYEYAVKVLYFA
        YCYDYGCRAYEYAVMAYCYDYAVNAYCYDYAVOAYCYDVJZYGFUEXAUGZGUEXBUGZVPZCAYCYGYKU
        SYDABWOXLXMFGHXAXBXOXPNVQTYHCXRRZYICRYJCRYKCRAYCYLYDITZYHXACDFYMAYCXSYD
        JTAYCFCDUCUBRYDLTAYCYDVRVSYHXBCEGYMAYCXTYDKTAYCGCEUCUBRYDMTAYCYDVKVSYIY
        JCWDVTWAVTWAWBWCWEWFWGACWNHXEOAXSXTXEWMRJKPQXEDEXRXRXEVFZWHURIAXSXTWNXE
        WIULUSJKPQXEDEXRXRYNWJURWKWL $.
    $}
  $}

  $( Measurable functions with respect to the Lebesgue measure are real-valued
     functions on the real numbers.  (Contributed by Thierry Arnoux,
     27-Mar-2017.) $)
  mbfmvolf $p |- ( F e. ( dom vol MblFnM BrSiga ) -> F : RR --> RR ) $=
    ( cvol cdm cbrsiga cmbfm co wcel cuni wf cr csiga crn wceq wa issgon simpli
    cfv mpbi a1i simpri dmvlsiga brsigarn id mbfmf feq23i sylibr ) ABCZDEFGZUGH
    ZDHZAIJJAIUHUGDAUGKLHZGZUHULJUIMZUGJKQZGULUMNUAUGJORZPSDUKGZUHUPJUJMZDUNGUP
    UQNUBDJORZPSUHUCUDJJUIUJAULUMUOTUPUQURTUEUF $.

$(
  @{
    @d x F @.
    mbfmvol.1 @e |- S = ( sigaGen ` ( MetOpen ` ( abs o. - ) ) ) @.
    @( Measurable functions with respect to the Lebesgue measure are
       complex-valued functions in ` MblFn ` .
       (Contributed by Thierry Arnoux, 27-Mar-2017.) @)
    mbfmvol @p |- ( MblFnM ` <. dom vol , S >. )
                                                = ( MblFn i^i ( CC ^m RR ) ) @=
      ? @.
      @( [27-Mar-2017] @)
  @}

  @{
    @d x F @.
    @( Measurable functions with respect to the Lebesgue measure are
       real-valued functions in ` MblFn ` .
       (Contributed by Thierry Arnoux, 27-Mar-2017.) @)
    elmbfmvol @p |- ( F e. ( MblFnM ` <. dom vol , BrSiga >. ) <->
                                          ( F e. MblFn /\ F : RR --> RR ) ) @=
      ? @.
      @( [27-Mar-2017] @)
  @}
$)

  ${
    $d x F $.
    $( Measurable functions with respect to the Lebesgue measure.  We only have
       the inclusion, since ` MblFn ` includes complex-valued functions.
       (Contributed by Thierry Arnoux, 26-Jan-2017.) $)
    elmbfmvol2 $p |- ( F e. ( dom vol MblFnM BrSiga ) -> F e. MblFn ) $=
      ( vx cvol cbrsiga co wcel crn wral wss cfv ctb ax-mp ctop cuni cmap wb cr
      csiga elrnsiga mp1i cdm cmbfm cmbf ccnv cima cioo csigagen retopbas bastg
      cv ctg retop sssigagen sstri df-brsiga sseqtrri wceq wa dmvlsiga brsigarn
      eqid ismbfm simprbi ssralv mpsyl simplbi elmapi unibrsiga unidmvol eleq2s
      wf oveq12i ismbf 3syl mpbird ) ACUAZDUBEFZAUCFZAUDBUJUEVPFZBUFGZHZVTDIVQV
      SBDHZWAVTVTUKJZUGJZDVTWCWDVTKFVTWCIUHVTKUILWCMFWCWDIULWCMUMLUNUOUPVQADNZV
      PNZOEZFZWBCCUQZVQWHWBURPCVAWIBVPDAVPQRJZFVPRGNZFWIUSVPQSTDWJFDWKFWIUTDQST
      VBLZVCVSBVTDVDVEVQWHQQAVKZVRWAPVQWHWBWLVFWMAQQOEWGAQQVGWEQWFQOVHVIVLVJBQA
      VMVNVO $.
  $}

  ${
    $d f x y O $.  $d f V $.
    $( All functions are measurable with respect to the counting measure.
       (Contributed by Thierry Arnoux, 24-Jan-2017.) $)
    mbfmcnt $p |- ( O e. V -> ( ~P O MblFnM BrSiga ) = ( RR ^m O ) ) $=
      ( vf vx vy wcel cbrsiga co cuni cmap cr cv wa csiga elrnsiga wf unibrsiga
      cfv cvv syl6bi cpw ccnv cima wral crn pwsiga syl brsigarn mp1i ismbfm wfn
      cmbfm wb reex eqeltri unipw elex eqeltrid elmapg sylancr feq2i bitrdi ffn
      wss elpreima simpl ssrdv cnvex imaexg ax-mp elpw sylibr ralrimivw pm4.71d
      vex syl6 bitr4d eqrdv oveq12i eqtrdi ) ABFZAUAZGULHZGIZWBIZJHZKAJHWACWCWF
      WACLZWCFWGWFFZWGUBZDLZUCZWBFZDGUDZMWHWADWBGWGWAWBANRFWBNUEIZFABUFWBAOUGGK
      NRFGWNFWAUHGKOUIUJWAWHWMWAWHWGAUKZWMWAWHAWDWGPZWOWAWHWEWDWGPZWPWAWDSFWESF
      WHWQUMWDKSQUNUOWAWEASAUPZABUQURWDWEWGSSUSUTWEAWDWGWRVAVBAWDWGVCTWOWLDGWOW
      KAVDWLWOEWKAWOELZWKFWSAFZWSWGRWJFZMWTAWSWJWGVEWTXAVFTVGWKAWISFWKSFWGCVOVH
      WIWJSVIVJVKVLVMVPVNVQVRWDKWEAJQWRVSVT $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Borel Algebra on ` ( RR X. RR ) `
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y $.
    $( The base set for the generator of the Borel sigma-algebra on
       ` ( RR X. RR ) ` is indeed ` ( RR X. RR ) ` .  (Contributed by Thierry
       Arnoux, 22-Sep-2017.) $)
    br2base $p |- U. ran ( x e. BrSiga , y e. BrSiga |-> ( x X. y ) )
       = ( RR X. RR ) $=
      ( cbrsiga cv cxp crn cr cpw cuni wceq wcel wral brsigasspwrn sseli elpwid
      wss vex eqid ax-mp wrex cmpo xpss12 syl2an xpex elpw sylibr rgen2 rnmposs
      wa wb unibrsiga csiga cfv brsigarn elrnsiga unielsiga mp2b eqeltrri xpeq1
      eqeq2d xpeq2 rspc2ev mp3an elrnmpo mpbir elpwuni mpbi ) ABCCADZBDZEZUAZFZ
      GGEZHZPZVLIVMJZVJVNKZBCLACLVOVQABCCVHCKZVICKZUIVJVMPZVQVRVHGPVIGPVTVSVRVH
      GCGHZVHMNOVSVIGCWAVIMNOVHGVIGUBUCVJVMVHVIAQBQUDZUEUFUGABCCVJVNVKVKRZUHSVM
      VLKZVOVPUJWDVMVJJZBCTACTZGCKZWGVMVMJZWFCIZGCUKCGULUMKCULFIKWICKUNCGUOCUPU
      QURZWJVMRWEWHVMGVIEZJABGGCCVHGJVJWKVMVHGVIUSUTVIGJWKVMVMVIGGVAUTVBVCABCCV
      JVMVKWCWBVDVEVLVMVFSVG $.
  $}

  $( An upper bound for a dyadic number.  (Contributed by Thierry Arnoux,
     19-Sep-2017.) $)
  dya2ub $p |- ( R e. RR+ ->
      ( 1 / ( 2 ^ ( |_ ` ( 1 - ( 2 logb R ) ) ) ) ) < R ) $=
    ( crp wcel c1 c2 clogb co cmin cfl cfv clt wbr cneg caddc cr relogbzcl wceq
    cz sylancl syl2anc cexp cdiv cuz uzid ax-mp mpan renegcld flltp1 syl fladdz
    2z 1z cc recnd ax-1cn negsubdi negsubdi2 eqtr3d fveq2d breqtrd a1i 2rp 1red
    wa resubcld flcld rpexpcld rpreccld logblt syl3anc logbrec breq1d ltnegcon1
    wb id 3bitrd nnlogbexp breq2d bitrd mpbird ) ABCZDEDEAFGZHGZIJZUAGZUBGZAKLZ
    WBMZWDKLZWAWHWHIJDNGZWDKWAWHOCZWHWJKLWAWBEEUCJCZWAWBOCZERCWLUKEUDUEZEAPUFZU
    GZWHUHUIWAWHDNGZIJZWJWDWAWKDRCWRWJQWPULWHDUJSWAWQWCIWAWBUMCZDUMCZWQWCQWAWBW
    OUNUOWSWTVDWBDHGMWQWCWBDUPWBDUQURSUSURUTWAWGWHEWEFGZKLZWIWAWGEWFFGZWBKLZXAM
    ZWBKLZXBWAWLWFBCWAWGXDVNWLWAWNVAZWAWEWAEWDEBCWAVBVAWAWCWADWBWAVCWOVEVFZVGZV
    HWAVOEWFAVIVJWAXCXEWBKWAWLWEBCZXCXEQXGXIWEEVKTVLWAXAOCZWMXFXBVNWAWLXJXKXGXI
    EWEPTWOXAWBVMTVPWAXAWDWHKWAWLWDRCXAWDQXGXHEWDVQTVRVSVT $.

  ${
    $d e f z $.
    $( The closed half-spaces of ` ( RR X. RR ) ` cover ` ( RR X. RR ) ` .
       (Contributed by Thierry Arnoux, 11-Oct-2017.) $)
    sxbrsigalem0 $p |- U. ( ran ( e e. RR |-> ( ( e [,) +oo ) X. RR ) )
      u. ran ( f e. RR |-> ( RR X. ( f [,) +oo ) ) ) ) = ( RR X. RR ) $=
      ( vz cr cv cpnf cico co cxp cmpt cuni wss wcel pnfxr syl ovex reex cfv wa
      xpex crn cun unissb wo elun cpw eqid rnmptss cxr icossre mpan2 xpss1 elpw
      sylibr mprg sseli elpwid xpss2 jaoi mprgbir wfun c1st funmpt cvv c2nd clt
      sylbi wbr rexr a1i ltpnf lbico1 syl3anc anim1i anim2i elxp7 3imtr4i xp1st
      wceq oveq1 xpeq1d fvmpt eleqtrrd elunirn2 sylancr ssriv ssun3 ax-mp uniun
      sseqtrri eqssi ) ADAEZFGHZDIZJZUAZBDDBEZFGHZIZJZUAZUBZKZDDIZXCXDLCEZXDLZC
      XBCXBXDUCXEXBMXEWPMZXEXAMZUDXFXEWPXAUEXGXFXHXGXEXDWPXDUFZXEWNXIMZWPXILADA
      DWNXIWOWOUGZUHWLDMZWNXDLZXJXLWMDLZXMXLFUIMZXNNWLFUJUKWMDDULOWNXDWMDWLFGPQ
      TUMUNUOUPUQXHXEXDXAXIXEWSXIMZXAXILBDBDWSXIWTWTUGUHWQDMZWSXDLZXPXQWRDLZXRX
      QXOXSNWQFUJUKWRDDUROWSXDDWRQWQFGPTUMUNUOUPUQUSVGUTXDWPKZXAKZUBZXCXDXTLXDY
      BLCXDXTXEXDMZWOVAXEXEVBRZWORZMXEXTMADWNVCYCXEYDFGHZDIZYEXEVDVDIMZYDDMZXEV
      ERDMZSZSYHYDYFMZYJSZSYCXEYGMYKYMYHYIYLYJYIYDUIMXOYDFVFVHYLYDVIXOYINVJYDVK
      YDFVLVMVNVOXEDDVPXEYFDVPVQYCYIYEYGVSXEDDVRAYDWNYGDWOWLYDVSWMYFDWLYDFGVTWA
      XKYFDYDFGPQTWBOWCYDXEWOWDWEWFXDXTYAWGWHWPXAWIWJWK $.
  $}

  ${
    sxbrsiga.0 $e |- J = ( topGen ` ran (,) ) $.

    ${
      $d e f u v $.  $d u v J $.
      $( The sigma-algebra generated by the closed half-spaces of
         ` ( RR X. RR ) ` is a subset of the sigma-algebra generated by the
         closed sets of ` ( RR X. RR ) ` .  (Contributed by Thierry Arnoux,
         11-Oct-2017.) $)
      sxbrsigalem3 $p |-
         ( sigaGen ` ( ran ( e e. RR |-> ( ( e [,) +oo ) X. RR ) )
                    u. ran ( f e. RR |-> ( RR X. ( f [,) +oo ) ) ) ) )
           C_ ( sigaGen ` ( Clsd ` ( J tX J ) ) ) $=
        ( vu vv cr cv cpnf cico co cxp cuni ccld cfv wss wcel ovex reex xpex c0
        cmpt crn cun ctx wceq csigagen cvv sxbrsigalem0 cioo ctop retop eqeltri
        ctg txtopi uniretop unieqi eqtr4i txunii unicls wfn wral eqid weq oveq1
        fnmpti xpeq1d fvmpt icopnfcld fveq2i eleqtrrdi cdif dif0 ax-mp eqeltrri
        0opn opncld mp2an txcld sylancl eqeltrd rgen fnfvrnss xpeq2d unssi fvex
        sylancr sssigagen sstri sigagenss2 mp3an ) AGAHZIJKZGLZUBZUCZBGGBHZIJKZ
        LZUBZUCZUDZMZCCUEKZNOZMZUFXBXEUGOZPXEUHQZXBUGOXGPXCGGLZXFABUIXDXICCCUJU
        CUNOZUKDULUMZXKUOCCGGXKXKGXJMCMUPCXJDUQURZXLUSUTURXBXEXGWPXAXEWOGVAEHZW
        OOZXEQZEGVBWPXEPAGWNWOWMGWLIJRSTWOVCZVFXOEGXMGQZXNXMIJKZGLZXEAXMWNXSGWO
        AEVDWMXRGWLXMIJVEVGXPXRGXMIJRSTVHXQXRCNOZQGXTQZXSXEQXQXRXJNOZXTXMVICXJN
        DVJZVKGUAVLZGXTGVMCUKQZUACQZYDXTQXKYEYFXKCVPVNUACGXLVQVRVOZXRGCCVSVTWAW
        BEGXEWOWCVRWTGVAFHZWTOZXEQZFGVBXAXEPBGWSWTGWRSWQIJRTWTVCZVFYJFGYHGQZYIG
        YHIJKZLZXEBYHWSYNGWTBFVDWRYMGWQYHIJVEWDYKGYMSYHIJRTVHYLYAYMXTQYNXEQYGYL
        YMYBXTYHVIYCVKGYMCCVSWGWAWBFGXEWTWCVRWEXHXEXGPXDNWFZXEUHWHVNWIYOXBXEUHW
        JWK $.
    $}

    ${
      $d x n $.
      dya2ioc.1 $e |- I = ( x e. ZZ , n e. ZZ |->
                       ( ( x / ( 2 ^ n ) ) [,) ( ( x + 1 ) / ( 2 ^ n ) ) ) ) $.

      ${
        $d m n u x $.  $d m u N $.  $d m u X $.
        $( The function ` I ` returns closed-below open-above dyadic rational
           intervals covering the real line.  This is the same construction as
           in ~ dyadmbl .  (Contributed by Thierry Arnoux, 24-Sep-2017.) $)
        dya2iocival $p |- ( ( N e. ZZ /\ X e. ZZ ) -> ( X I N ) =
          ( ( X / ( 2 ^ N ) ) [,) ( ( X + 1 ) / ( 2 ^ N ) ) ) ) $=
          ( vu vm cz co c2 cexp cdiv c1 caddc cico wceq cv oveq1 oveq1d oveq12d
          wcel oveq2 oveq2d cmpo cbvmpov eqtr4i ovex ovmpo ancoms ) FKUDEKUDFEC
          LFMENLZOLZFPQLZUMOLZRLZSIJFEKKITZMJTZNLZOLZURPQLZUTOLZRLZUQCFUTOLZUOU
          TOLZRLURFSZVAVEVCVFRURFUTOUAVGVBUOUTOURFPQUAUBUCUSESZVEUNVFUPRVHUTUMF
          OUSEMNUEZUFVHUTUMUOOVIUFUCCABKKATZMBTZNLZOLZVJPQLZVLOLZRLZUGIJKKVDUGH
          IJABKKVDVPVJUTOLZVNUTOLZRLURVJSZVAVQVCVRRURVJUTOUAVSVBVNUTOURVJPQUAUB
          UCUSVKSZVQVMVRVORVTUTVLVJOUSVKMNUEZUFVTUTVLVNOWAUFUCUHUIUNUPRUJUKUL
          $.
      $}

      $( Dyadic intervals are subsets of ` RR ` .  (Contributed by Thierry
         Arnoux, 18-Sep-2017.) $)
      dya2iocress $p |- ( ( N e. ZZ /\ X e. ZZ ) -> ( X I N ) C_ RR ) $=
        ( cz wcel wa co c2 cexp cdiv c1 caddc cico cr rerpdivcld cxr simpr zred
        dya2iocival wss crp 2rp a1i simpl rpexpcld 1red icossre syl2anc eqsstrd
        readdcld rexrd ) EIJZFIJZKZFECLFMENLZOLZFPQLZUTOLZRLZSABCDEFGHUDUSVASJV
        CUAJVDSUEUSFUTUSFUQURUBUCZUSMEMUFJUSUGUHUQURUIUJZTUSVCUSVBUTUSFPVEUSUKU
        OVFTUPVAVCULUMUN $.

      $( Dyadic intervals are Borel sets of ` RR ` .  (Contributed by Thierry
         Arnoux, 22-Sep-2017.) $)
      dya2iocbrsiga $p |- ( ( N e. ZZ /\ X e. ZZ ) -> ( X I N ) e. BrSiga ) $=
        ( cz wcel co c2 cdiv cbrsiga cmnf cioo cxr cr cfv ctop wa cexp c1 caddc
        cico dya2iocival cdif clt wbr wceq mnfxr a1i simpr crp simpl rerpdivcld
        zred 2rp rpexpcld rexrd 1red readdcld mnflt syl syl31anc csiga crn cuni
        brsigarn elrnsiga ax-mp ctg csigagen retop iooretop elsigagen df-brsiga
        difioo mp2an eleqtrri difelsiga mp3an eqeltrrdi eqeltrd ) EIJZFIJZUAZFE
        CKFLEUBKZMKZFUCUDKZWHMKZUEKZNABCDEFGHUFWGWLOWKPKZOWIPKZUGZNWGOQJZWIQJWK
        QJOWIUHUIZWOWLUJWPWGUKULWGWIWGFWHWGFWEWFUMUQZWGLELUNJWGURULWEWFUOUSZUPZ
        UTWGWKWGWJWHWGFUCWRWGVAVBWSUPUTWGWIRJWQWTWIVCVDOWIWKVRVENVFVGVHJZWMNJWN
        NJWONJNRVFSJXAVINRVJVKWMPVGVLSZVMSZNXBTJZWMXBJWMXCJVNOWKVOXBWMTVPVSVQVT
        WNXCNXDWNXBJWNXCJVNOWIVOXBWNTVPVSVQVTWMWNNWAWBWCWD $.

      ${
        $d d n x $.  $d d I $.
        $( Dyadic intervals are Borel sets of ` RR ` .  (Contributed by Thierry
           Arnoux, 22-Sep-2017.)  (Revised by Thierry Arnoux, 13-Oct-2017.) $)
        dya2icobrsiga $p |- ran I C_ BrSiga $=
          ( vd crn cbrsiga cv wcel c2 co cz cmnf cioo cxr cr cfv ctop cexp cdiv
          c1 caddc cico wceq wrex ovex elrnmpo wa simpr clt wbr mnfxr a1i simpl
          cdif zred crp 2rp rpexpcld rerpdivcld rexrd readdcld mnflt syl difioo
          1red syl31anc csiga brsigarn elrnsiga ctg csigagen iooretop elsigagen
          ax-mp retop mp2an df-brsiga eleqtrri difelsiga mp3an eqeltrrdi adantr
          cuni eqeltrd ex rexlimivv sylbi ssriv ) GCHZIGJZWLKWMAJZLBJZUAMZUBMZW
          NUCUDMZWPUBMZUEMZUFZBNUGANUGWMIKZABNNWTWMCFWQWSUEUHUIXAXBABNNWNNKZWON
          KZUJZXAXBXEXAUJWMWTIXEXAUKXEWTIKXAXEWTOWSPMZOWQPMZUQZIXEOQKZWQQKWSQKO
          WQULUMZXHWTUFXIXEUNUOXEWQXEWNWPXEWNXCXDUPURZXELWOLUSKXEUTUOXCXDUKVAZV
          BZVCXEWSXEWRWPXEWNUCXKXEVHVDXLVBVCXEWQRKXJXMWQVEVFOWQWSVGVIIVJHWFKZXF
          IKXGIKXHIKIRVJSKXNVKIRVLVQXFPHVMSZVNSZIXOTKZXFXOKXFXPKVROWSVOXOXFTVPV
          SVTWAXGXPIXQXGXOKXGXPKVROWQVOXOXGTVPVSVTWAXFXGIWBWCWDWEWGWHWIWJWK $.
      $}

      $d x I $.
      ${
        $d n x $.  $d b D $.  $d b I $.  $d b x N $.  $d b x X $.
        dya2icoseg.1 $e |- N = ( |_ ` ( 1 - ( 2 logb D ) ) ) $.
        $( For any point and any closed-below, open-above interval of ` RR `
           centered on that point, there is a closed-below open-above dyadic
           rational interval which contains that point and is included in the
           original interval.  (Contributed by Thierry Arnoux, 19-Sep-2017.) $)
        dya2icoseg $p |- ( ( X e. RR /\ D e. RR+ ) -> E. b e. ran I
          ( X e. b /\ b C_ ( ( X - D ) (,) ( X + D ) ) ) ) $=
          ( wcel c2 co cmin caddc cz cdiv c1 wbr crp cexp cmul cfl cfv crn cioo
          cr wa wss cv wrex cxp wfn cico ovex fnmpoi a1i simpl 2rp clogb cuz 2z
          1red uzid ax-mp relogbzcl mpan resubcld flcld eqeltrid rpexpcl adantl
          rpred sylancr remulcld fnovrn syl3anc cle zred fllelt simpld lediv1dd
          clt syl recnd 2cnd cc0 wne expne0d divcan4d breqtrd readdcld ltdiv1dd
          2ne0 simprd eqbrtrrd cxr w3a wb redivcld rexrd syl2anc mpbir3and wceq
          elico2 eleqtrrd simpr rereccld oveq2i dya2ub eqbrtrid ltsub2dd mulcld
          dya2iocival 1cnd divsubdird oveq1d eqtrd pncand ltled ltletrd divdird
          ltsub1dd leadd1dd ltadd2dd lelttrd eqsstrd eleq2 sseq1 anbi12d rspcev
          icossioo syl22anc syl12anc ) GUHLZBUALZUIZGMFUBNZUCNZUDUEZFDNZDUFZLZG
          UUBLZUUBGBONZGBPNZUGNZUJZGHUKZLZUUJUUHUJZUIZHUUCULYRDQQUMUNZUUAQLZFQL
          ZUUDUUNYRACQQAUKZMCUKUBNZRNZUUQSPNUURRNZUONDJUUSUUTUOUPUQURYRYTYRGYSY
          PYQUSZYQYSUHLZYPYQMUALZUUPUVBUTYQFSMBVANZONZUDUEZQKYQUVEYQSUVDYQVDMMV
          BUELZYQUVDUHLMQLUVGVCMVEVFMBVGVHVIVJVKZUVCUUPUIYSMFVLZVNVOVMZVPZVJZYQ
          UUPYPUVHVMZQQUUAFDVQVRYRGUUAYSRNZUUASPNZYSRNZUONZUUBYRGUVQLZYPUVNGVST
          ZGUVPWDTZUVAYRUVNYTYSRNZGVSYRUUAYTYSYRUUAUVLVTZUVKYRUVCUUPYSUALUTUVMU
          VIVOZYRUUAYTVSTZYTUVOWDTZYRYTUHLUWDUWEUIUVKYTWAWEZWBZWCYRGYSYRGUVAWFZ
          YRYSUVJWFZYRMFYRWGMWHWIYRWOURUVMWJZWKZWLYRUWAGUVPWDUWKYRYTUVOYSUVKYRU
          UASUWBYRVDZWMZUWCYRUWDUWEUWFWPZWNWQYRUVNUHLUVPWRLUVRYPUVSUVTWSWTYRUUA
          YSUWBUVJUWJXAZYRUVPYRUVOYSUWMUVJUWJXAZXBUVNUVPGXFXCXDYRUUPUUOUUBUVQXE
          UVMUVLACDEFUUAIJXOXCZXGYRUUBUVQUUHUWQYRUUFWRLUUGWRLUUFUVNWDTUVPUUGVST
          UVQUUHUJYRUUFYRGBUVAYRBYPYQXHVNZVIZXBYRUUGYRGBUVAUWRWMZXBYRUUFGSYSRNZ
          ONZUVNUWSYRGUXAUVAYRYSUVJUWJXIZVIUWOYRUXABGUXCUWRUVAYRUXASMUVFUBNZRNZ
          BWDYSUXDSRFUVFMUBKXJXJYQUXEBWDTYPBXKVMXLZXMYRYTSONZYSRNZUXBUVNVSYRUXH
          UWAUXAONUXBYRYTSYSYRGYSUWHUWIXNZYRXPZUWIUWJXQYRUWAGUXAOUWKXRXSYRUXGUU
          AYSYRYTSUVKUWLVIZUWBUWCYRUXGUUAUXKUWBYRUXGUVOSONUUAWDYRYTUVOSUVKUWMUW
          LUWNYDYRUUASYRUUAUWBWFUXJXTWLYAWCWQYBYRUVPUUGUWPUWTYRUVPGUXAPNZUUGUWP
          YRGUXAUVAUXCWMUWTYRUVPYTSPNZYSRNZUXLVSYRUVOUXMYSUWMYRYTSUVKUWLWMUWCYR
          UUAYTSUWBUVKUWLUWGYEWCYRUXNUWAUXAPNUXLYRYTSYSUXIUXJUWIUWJYCYRUWAGUXAP
          UWKXRXSWLYRUXABGUXCUWRUVAUXFYFYGYAUUFUUGUVNUVPYMYNYHUUMUUEUUIUIHUUBUU
          CUUJUUBXEUUKUUEUULUUIUUJUUBGYIUUJUUBUUHYJYKYLYO $.
      $}

      ${
        $d b n x $.  $d b d x E $.  $d b d I $.  $d b d x X $.
        $( For any point and any open interval of ` RR ` containing that point,
           there is a closed-below open-above dyadic rational interval which
           contains that point and is included in the original interval.
           (Contributed by Thierry Arnoux, 12-Oct-2017.) $)
        dya2icoseg2 $p |- ( ( X e. RR /\ E e. ran (,) /\ X e. E ) ->
          E. b e. ran I ( X e. b /\ b C_ E ) ) $=
          ( vd cr wcel cioo co wss wa wrex crp cfv crefld crn w3a cv cmin caddc
          wral c1 c2 clogb cfl eqid dya2icoseg ralrimiva 3ad2ant1 cabs ccom cxp
          cres cbl simp3 ctg cvv iooex bastg ax-mp simp2 sselid eleqtrrdi cxmet
          rnex wb rexmet cxms cmopn wceq ccms cms recms cmsms msxms mp2b retopn
          ctopn eqtri rebase cds reds reseq1i xmstopn elmopn2 simprbi syl oveq1
          sseq1d rexbidv rspcva syl2anc rpre bl2ioo sylan2 mpbid r19.29 r19.41v
          rexbidva sstr anim2i anassrs reximi sylbir rexlimivw ) FKLZCMUAZLZFCL
          ZUBZFGUCZLZXPFJUCZUDNFXRUENMNZOZPZGDUAZQZXSCOZPZJRQZXQXPCOZPZGYBQZXOY
          CJRUFZYDJRQZYFXKXMYJXNXKYCJRAXRBDEUGUHXRUINUDNUJSZFGHIYLUKULUMUNXOFXR
          UOUDUPZKKUQZURZUSSZNZCOZJRQZYKXOXNAUCZXRYPNZCOZJRQZACUFZYSXKXMXNUTXOC
          ELZUUDXOCXLVASZEXOXLUUFCXLVBLXLUUFOMVCVJXLVBVDVEXKXMXNVFVGHVHUUECKOZU
          UDYOKVISLUUEUUGUUDPVKYOYOUKZVLAJCYOEKTVMLZEYOVNSVOTVPLTVQLUUIVRTVSTVT
          WAYOETKEUUFTWCSHWBWDWEYMTWFSYNWGWHWIVEWJVEWKWLUUCYSAFCYTFVOZUUBYRJRUU
          JUUAYQCYTFXRYPWMWNWOWPWQXKXMYSYKVKXNXKYRYDJRXRRLXKXRKLZYRYDVKXRWRXKUU
          KPYQXSCFXRYOUUHWSWNWTXDUNXAYCYDJRXBWQYEYIJRYEYAYDPZGYBQYIYAYDGYBXCUUL
          YHGYBXQXTYDYHXTYDPYGXQXPXSCXEXFXGXHXIXJWL $.
      $}

      $d u v I $.
      dya2ioc.2 $e |- R = ( u e. ran I , v e. ran I |-> ( u X. v ) ) $.
      $( The function returning dyadic square covering for a given size has
         domain ` ( ran I X. ran I ) ` .  (Contributed by Thierry Arnoux,
         19-Sep-2017.) $)
      dya2iocrfn $p |- R Fn ( ran I X. ran I ) $=
        ( crn cv cxp vex xpex fnmpoi ) CBFKZQCLZBLZMDJRSCNBNOP $.

      $( The dyadic rectangle set is countable.  (Contributed by Thierry
         Arnoux, 18-Sep-2017.)  (Revised by Thierry Arnoux, 11-Oct-2017.) $)
      dya2iocct $p |- ran R ~<_ _om $=
        ( crn com cdom wbr cz cv co cn mp2an cvv c2 cexp cdiv c1 caddc cico cen
        cmpo znnen nnct endomtr wcel ovex rgen2w mpocti eqbrtri rnct wa cxp vex
        ax-mp xpex breq1i biimpri 3syl ) FKZLMNZVGDKLMNZFLMNVGFAEOOAPZUAEPUBQZU
        CQZVIUDUEQVJUCQZUFQZUHZLMIOLMNZVOVNLMNORUGNRLMNVOUIUJORLUKSZVPAEOOVMTVM
        TULAEOOVKVLUFUMUNUOSUPFUQVAZVQVGVGURCBVFVFCPZBPZUSZUHZLMNZDLMNZVHCBVFVF
        VTTVTTULCBVFVFVRVSCUTBUTVBUNUOWCWBDWALMJVCVDDUQVES $.

      $(
        $d m n x y $.  $d m I $.  $d m x y N $.  $d x y V $.
        @( The value of a dyadic square cover of ` ( RR X. RR ) ` .
           (Contributed by Thierry Arnoux, 24-Sep-2017.) @)
        dya2iocrrnval $p |- ( W e. ran R <-> E. x e. ZZ E. y e. ZZ
          E. m e. ZZ E. n e. ZZ W = ( ( x I n ) X. ( y I m ) ) ) $=
          ( vm cz wcel cv co cxp cmpo oveq2d nfcv cfv crn wceq wrex mpoeq3dva
          w3a simp1 xpeq12d rneqd cmpt c2 cexp cdiv c1 cico nfmpo2 nfcxfr nfov
          caddc nfxp nfmpo nfrn cbvmpt eqtr4i zex mpoex rnex eleq2d eqid ovex
          fvmpt xpex elrnmpo bitrdi ) GMNZHGCUAZNHABMMAOZGEPZBOZGEPZQZRZUBZNHW
          AUCBMUDAMUDVOVPWCHLGABMMVQLOZEPZVSWDEPZQZRZUBZWCMCWDGUCZWHWBWJABMMWGW
          AWJVQMNZVSMNZUFZWEVRWFVTWMWDGVQEWJWKWLUGZSWMWDGVSEWNSUHUEUICDMABMMVQD
          OZEPZVSWOEPZQZRZUBZUJLMWIUJKLDMWIWTDWHABDMMWGDMTZXADWEWFDVQWDEDVQTDEA
          DMMVQUKWOULPZUMPVQUNUSPXBUMPUOPZRJADMMXCUPUQZDWDTZURDVSWDEDVSTXDXEURU
          TVAVBLWTTWDWOUCZWHWSXFABMMWGWRXFWKWLUFZWEWPWFWQXGWDWOVQEXFWKWLUGZSXGW
          DWOVSEXHSUHUEUIVCVDWBABMMWAVEVEVFVGVKVHABMMWAHWBWBVIVRVTVQGEVJVSGEVJV
          LVMVN $.
      $)

      $d u v x $.
      ${
        $d n s t x $.  $d b e f s t A $.  $d s t u v x I $.  $d b e f s t R $.
        $d b e f s t x X $.
        dya2iocnrect.1 $e |-
                      B = ran ( e e. ran (,) , f e. ran (,) |-> ( e X. f ) ) $.
        $( For any point of an open rectangle in ` ( RR X. RR ) ` , there is a
           closed-below open-above dyadic rational square which contains that
           point and is included in the rectangle.  (Contributed by Thierry
           Arnoux, 12-Oct-2017.) $)
        dya2iocnrect $p |- ( ( X e. ( RR X. RR ) /\ A e. B /\ X e. A ) ->
          E. b e. ran R ( X e. b /\ b C_ A ) ) $=
          ( wcel wrex wa vs vt cr cxp w3a cv wceq cioo crn wss cmpo eleq2i eqid
          xpex elrnmpo sylbb 3ad2ant2 simp1 simp3 jca32 r19.41vv biimpri simprl
          vex simpl simprr eleqtrd 3jca c1st cfv c2nd simpr xp1st adantl simpll
          3ad2ant1 3ad2ant3 dya2icoseg2 syl3anc xp2nd simplr reeanv xpeq1 xpeq2
          sylanbrc eqeq2d rspc2ev mp3an3 sylibr ad2antrl cvv xpss simpl1 sselid
          simprrl simpld simprrr syl12anc simprd xpss12 syl2anc simpl2 sseqtrrd
          elxp7 eleq2 sseq1 anbi12d rspcev rexlimdvv sylc sylan2 rexlimivv 3syl
          exp32 ex ) LUCUCUDZRZDERZLDRZUEZDGUFZHUFZUDZUGZHUHUIZSGYESZXQXSTZTZYD
          YGTZHYESGYESZLMUFZRZYKDUJZTZMFUIZSZXTYFXQXSXRXQYFXSXRDGHYEYEYCUKZUIZR
          YFEYRDQULGHYEYEYCDYQYQUMYAYBGVDHVDUNUOUPUQXQXRXSURXQXRXSUSUTYJYHYDYGG
          HYEYEVAVBYIYPGHYEYEYAYERZYBYERZTZYIYPYIUUAXQYDLYCRZUEZYPYIXQYDUUBYDXQ
          XSVCYDYGVEZYILDYCYDXQXSVFUUDVGVHUUAUUCTZUUCLVIVJZUAUFZRZUUGYAUJZTZLVK
          VJZUBUFZRZUULYBUJZTZTZUBJUIZSUAUUQSZYPUUAUUCVLUUEUUJUAUUQSZUUOUBUUQSZ
          UURUUEUUFUCRZYSUUFYARZUUSUUCUVAUUAXQYDUVAUUBLUCUCVMVPVNYSYTUUCVOUUCUV
          BUUAUUBXQUVBYDLYAYBVMVQVNAIYAJKUUFUANOVRVSUUEUUKUCRZYTUUKYBRZUUTUUCUV
          CUUAXQYDUVCUUBLUCUCVTVPVNYSYTUUCWAUUCUVDUUAUUBXQUVDYDLYAYBVTVQVNAIYBJ
          KUUKUBNOVRVSUUJUUOUAUBUUQUUQWBWEUUCUUPYPUAUBUUQUUQUUCUUGUUQRZUULUUQRZ
          TZUUPYPUUCUVGUUPTZTZUUGUULUDZYORZLUVJRZUVJDUJZYPUVGUVKUUCUUPUVGUVJCUF
          ZBUFZUDZUGZBUUQSCUUQSZUVKUVEUVFUVJUVJUGZUVRUVJUMUVQUVSUVJUUGUVOUDZUGC
          BUUGUULUUQUUQUVNUUGUGUVPUVTUVJUVNUUGUVOWCWFUVOUULUGUVTUVJUVJUVOUULUUG
          WDWFWGWHCBUUQUUQUVPUVJFPUVNUVOCVDBVDUNUOWIWJUVILWKWKUDZRZUUHUUMUVLUVI
          XPUWALUCUCWLXQYDUUBUVHWMWNUVIUUHUUIUUCUVGUUJUUOWOZWPUVIUUMUUNUUCUVGUU
          JUUOWQZWPUVLUWBUUHUUMTTLUUGUULXDVBWRUVIUVJYCDUVIUUIUUNUVJYCUJUVIUUHUU
          IUWCWSUVIUUMUUNUWDWSUUGYAUULYBWTXAXQYDUUBUVHXBXCYNUVLUVMTMUVJYOYKUVJU
          GYLUVLYMUVMYKUVJLXEYKUVJDXFXGXHWRXNXIXJXKXOXLXM $.
      $}

      ${
        $d b e f u v x $.  $d b e r A $.  $d x I $.  $d e J $.  $d b e f r R $.
        $d b e f r x X $.
        $( For any point of an open set of the usual topology on
           ` ( RR X. RR ) ` there is a closed-below open-above dyadic rational
           square which contains that point and is entirely in the open set.
           (Contributed by Thierry Arnoux, 21-Sep-2017.) $)
        dya2iocnei $p |- ( ( A e. ( J tX J ) /\ X e. A ) ->
          E. b e. ran R ( X e. b /\ b C_ A ) ) $=
          ( vr ve vf wcel wa cr cv ctx cxp wss cioo crn cmpo wrex elunii ancoms
          co cuni tpr2uni eleqtrdi cmul caddc tpr2rico anass dya2iocnrect 3expb
          ci eqid anim1i anasss sylan2br r19.41v simpll simplr simpr jca reximi
          sstrd sylbir syl rexlimdvaa sylc ) DHHUAUJZQZIDQZRZISSUBZQZINTZQZWBDU
          CZRZNOPUDUEZWFOTPTUBUFUEZUGIJTZQZWHDUCZRZJEUEZUGZVSIVPUKZVTVRVQIWNQID
          VPUHUIHKULUMOPBCDWGCBSSCTUTBTUNUJUOUJUFZHINKWOVAWGVAZUPWAWEWMNWGWAWBW
          GQZWERZRWIWHWBUCZRZJWLUGZWDRZWMWRWAWQWCRZWDRXBWQWCWDUQWAXCWDXBWAXCRXA
          WDWAWQWCXAABCWBWGEOPFGHIJKLMWPURUSVBVCVDXBWTWDRZJWLUGWMWTWDJWLVEXDWKJ
          WLXDWIWJWIWSWDVFXDWHWBDWIWSWDVGWTWDVHVKVIVJVLVMVNVO $.
      $}

      ${
        $d m p x $.  $d b c m p u v z A $.  $d m J $.  $d b c m p R $.
        $d b m z $.
        $( Every open set of ` ( RR X. RR ) ` is a union of closed-below
           open-above dyadic rational rectangular subsets of ` ( RR X. RR ) ` .
           This union must be a countable union by ~ dya2iocct .  (Contributed
           by Thierry Arnoux, 18-Sep-2017.) $)
        dya2iocuni $p |- ( A e. ( J tX J ) -> E. c e. ~P ran R U. c = A ) $=
          ( vz vb vp wcel cv wrex wceq c0 vm ctx co wel wss crn crab cpw ssrab2
          wa cuni cxp wfn cvv dya2iocrfn cz c2 cexp cdiv c1 caddc cico cmpo zex
          mpoex eqeltri rnex xpex fnex mp2an elpw2 mpbir a1i wn wral rex0 rexeq
          mtbiri ralrimivw rabeq0 sylibr unieqd uni0 eqtrdi 0ss eqsstrdi elequ2
          wne sseq1 anbi12d rexbidv elrab simpr reximi r19.9rzv syl5ibr adantld
          syl5bi ralrimiv unissb pm2.61ine dya2iocnei simpl ssel2 ancoms adantl
          elequ1 anbi1d rspcev syl2anc jca simprl reximi2 eluni2 eqelssd eqeq1d
          syl unieq ) DHHUBUCPZMNUDZNQZDUEZUJZMDRZNEUFZUGZYEUHZPZYFUKZDSZIQZUKZ
          DSZIYGRYHXSYHYFYEUEYDNYEUIYFYEEEGUFZYNULZUMYOUNPEUNPABCEFGHJKLUOYNYNG
          GAFUPUPAQZUQFQURUCZUSUCYPUTVAUCYQUSUCVBUCZVCUNKAFUPUPYRVDVDVEVFVGZYSV
          HYOUNEVIVJVGVKVLVMXSUAYIDYIDUEZXSYTDTDTSZYITDUUAYITUKTUUAYFTUUAYDVNZN
          YEVOYFTSUUAUUBNYEUUAYDYCMTRYCMVPYCMDTVQVRVSYDNYEVTWAWBWCWDDWEWFDTWHZO
          QZDUEZOYFVOYTUUCUUEOYFUUDYFPZUUDYEPZMOUDZUUEUJZMDRZUJZUUCUUEYDUUJNUUD
          YEYAUUDSZYCUUIMDUULXTUUHYBUUENOMWGYAUUDDWIWJWKWLZUUCUUJUUEUUGUUJUUEUU
          CUUEMDRUUIUUEMDUUHUUEWMWNUUEMDWOWPWQWRWSOYFDWTWAXAVMXSUAQZDPZUJZUAOUD
          ZOYFRZUUNYIPUUPUUQUUEUJZOYERUURABCDEFGHUUNOJKLXBUUSUUQOYEYFUUGUUSUJZU
          UFUUQUUTUUKUUFUUTUUGUUJUUGUUSXCUUTUUOUUSUUJUUSUUOUUGUUEUUQUUOUUDDUUNX
          DXEXFUUGUUSWMUUIUUSMUUNDMQUUNSUUHUUQUUEMUAOXGXHXIXJXKUUMWAUUGUUQUUEXL
          XKXMXQOUUNYFXNWAXOYMYJIYFYGYKYFSYLYIDYKYFXRXPXIXJ $.
      $}

      ${
        $d c d n u v x $.  $d d u v I $.  $d c d R $.
        $( The dyadic rectangular set collection covers ` ( RR X. RR ) ` .
           (Contributed by Thierry Arnoux, 18-Sep-2017.) $)
        dya2iocucvr $p |- U. ran R = ( RR X. RR ) $=
          ( vd cr wss cv wcel wrex wa c2 co cz vc crn cuni cxp unissb wceq xpex
          vex elrnmpo simpr cpw pwssb cexp cdiv caddc cico ovex cxr simpll zred
          c1 2re a1i cc0 wne 2ne0 reexpclzd 2cnd expne0d redivcld 1red readdcld
          simplr rexrd icossre syl2anc eqsstrd ex rexlimivv sylbi mprgbir sseli
          elpwid xpss12 syl2an adantr ctx ctop cioo ctg eqeltri txtopi uniretop
          cfv retop unieqi eqtr4i txunii topopn dya2iocuni mp2b unissd eqsstrrd
          elpwi rexlimiva ax-mp eqssi ) DUBZUCZLLUDZXIXJMKNZXJMZKXHKXHXJUEXKXHO
          XKCNZBNZUDZUFZBFUBZPCXQPXLCBXQXQXOXKDJXMXNCUHBUHUGUIXPXLCBXQXQXMXQOZX
          NXQOZQZXPXLXTXPQXKXOXJXTXPUJXTXOXJMZXPXRXMLMXNLMYAXSXRXMLXQLUKZXMXQYB
          MXKLMZKXQKXQLULXKXQOXKANZRENZUMSZUNSZYDVAUOSZYFUNSZUPSZUFZETPATPYCAET
          TYJXKFIYGYIUPUQUIYKYCAETTYDTOZYETOZQZYKYCYNYKQZXKYJLYNYKUJYOYGLOYIURO
          YJLMYOYDYFYOYDYLYMYKUSUTZYORYERLOYOVBVCRVDVEYOVFVCZYLYMYKVMZVGZYORYEY
          OVHYQYRVIZVJYOYIYOYHYFYOYDVAYPYOVKVLYSYTVJVNYGYIVOVPVQVRVSVTWAZWBWCXS
          XNLXQYBXNUUAWBWCXMLXNLWDWEWFVQVRVSVTWAUANZUCZXJUFZUAXHUKZPZXJXIMZGGWG
          SZWHOXJUUHOUUFGGGWIUBWJWNZWHHWOWKZUUJWLUUHXJGGLLUUJUUJLUUIUCGUCWMGUUI
          HWPWQZUUKWRWSABCXJDEFGUAHIJWTXAUUDUUGUAUUEUUBUUEOZUUDQZXJUUCXIUULUUDU
          JUUMUUBXHUULUUBXHMUUDUUBXHXDWFXBXCXEXFXG $.
      $}

      $d n u v y $.  $d n x y R $.  $d x J $.
      $( The Borel algebra on ` ( RR X. RR ) ` is a subset of the sigma-algebra
         generated by the dyadic closed-below, open-above rectangular subsets
         of ` ( RR X. RR ) ` .  This is a step of the proof of Proposition
         1.1.5 of [Cohn] p. 4.  (Contributed by Thierry Arnoux,
         17-Sep-2017.) $)
      sxbrsigalem1 $p |- ( sigaGen ` ( J tX J ) ) C_ ( sigaGen ` ran R ) $=
        ( vy cuni crn wceq csigagen cfv wss cvv wcel cr ctx co dya2iocucvr cioo
        cxp ctg ctop retop eqeltri uniretop unieqi eqtr4i txunii eqtr2i cv wrex
        cpw dya2iocuni wa simpr com cdom dya2iocct ctex mp1i elpwi ssct sylancl
        wbr elsigagen2 syl3anc adantr eqeltrrd rexlimiva ssriv ax-mp sigagenss2
        syl mp3an ) GGUAUBZLZDMZLZNVTWBOPZQWBRSZVTOPWDQWCTTUEWAABCDEFGHIJUCGGTT
        GUDMUFPZUGHUHUIZWGTWFLGLUJGWFHUKULZWHUMUNAVTWDAUOZVTSKUOZLZWINZKWBUQZUP
        WIWDSZABCWIDEFGKHIJURWLWNKWMWJWMSZWLUSWKWIWDWOWLUTWOWKWDSZWLWOWEWJWBQZW
        JVAVBVIZWPWBVAVBVIZWEWOABCDEFGHIJVCZWBVDZVEWJWBVFZWOWQWSWRXBWTWJWBVGVHW
        BWJRVJVKVLVMVNVRVOWSWEWTXAVPVTWBRVQVS $.

      ${
        $d d e f n u v x $.  $d u v x I $.  $d x J $.  $d d R $.
        $( The sigma-algebra generated by the dyadic closed-below, open-above
           rectangular subsets of ` ( RR X. RR ) ` is a subset of the
           sigma-algebra generated by the closed half-spaces of
           ` ( RR X. RR ) ` .  The proof goes by noting the fact that the
           dyadic rectangles are intersections of a 'vertical band' and an
           'horizontal band', which themselves are differences of closed
           half-spaces.  (Contributed by Thierry Arnoux, 17-Sep-2017.) $)
        sxbrsigalem2 $p |- ( sigaGen ` ran R ) C_ ( sigaGen `
           ( ran ( e e. RR |-> ( ( e [,) +oo ) X. RR ) )
          u. ran ( f e. RR |-> ( RR X. ( f [,) +oo ) ) ) ) ) $=
          ( cr cpnf cico cxp wceq wcel wrex cz vd crn cuni cv cmpt cun csigagen
          co cfv wss cvv dya2iocucvr sxbrsigalem0 eqtr4i vex xpex elrnmpo simpr
          c1st cres ccnv cima c2nd cin cbrsiga dya2icobrsiga brsigasspwrn sstri
          wa cpw sseli elpwid xpinpreima2 syl2an csiga wtru reex mptex rnex a1i
          unex sgsiga mptru 1stpreima syl c2 cexp cdiv c1 caddc ovex xpeq1d cxr
          cdif cle wbr simpl zred rpexpcld rerpdivcld rexrd 1red readdcld pnfxr
          crp 2rp lep1d lediv1dd pnfge difico syl32anc eqtr3di ssun1 eqid oveq1
          rspceeqv sylancl elrnmpti elsigagen sylancr difelsiga syl3anc eqeltrd
          difxp1 sylibr sselid adantr ex rexlimivv sylbi 2ndpreima xpeq2d ssun2
          difxp2 adantl inelsiga ssriv sigagenss2 mp3an ) DUBZUCZEMEUDZNOUHZMPZ
          UEZUBZFMMFUDZNOUHZPZUEZUBZUFZUCZQYTUULUGUIZUJUULUKRZYTUGUIUUNUJUUAMMP
          ZUUMABCDGHIJKLULEFUMUNUAYTUUNUAUDZYTRUUQCUDZBUDZPZQZBHUBZSCUVBSUUQUUN
          RZCBUVBUVBUUTUUQDLUURUUSCUOBUOUPUQUVAUVCCBUVBUVBUURUVBRZUUSUVBRZVIZUV
          AUVCUVFUVAVIUUQUUTUUNUVFUVAURUVFUUTUUNRUVAUVFUUTUSUUPUTVAUURVBZVCUUPU
          TVAUUSVBZVDZUUNUVDUURMUJZUUSMUJZUUTUVIQUVEUVDUURMUVBMVJZUURUVBVEUVLAG
          HIJKVFVGVHZVKVLZUVEUUSMUVBUVLUUSUVMVKVLZUURUUSMMVMVNUVFUUNVOUBUCRZUVG
          UUNRZUVHUUNRZUVIUUNRUVPUVFUVPVPUULUKUUOVPUUFUUKUUEEMUUDVQVRVSUUJFMUUI
          VQVRVSWAZVTWBWCZVTUVDUVQUVEUVDUVGUURMPZUUNUVDUVJUVGUWAQUVNUURMMWDWEUV
          DUURAUDZWFGUDZWGUHZWHUHZUWBWIWJUHZUWDWHUHZOUHZQZGTSATSUWAUUNRZAGTTUWH
          UURHKUWEUWGOWKZUQUWIUWJAGTTUWBTRZUWCTRZVIZUWIUWJUWNUWIVIZUWAUWHMPZUUN
          UWOUURUWHMUWNUWIURWLUWNUWPUUNRUWIUWNUWPUWENOUHZMPZUWGNOUHZMPZWNZUUNUW
          NUWQUWSWNZMPUWPUXAUWNUXBUWHMUWNUWEWMRUWGWMRZNWMRZUWEUWGWOWPUWGNWOWPZU
          XBUWHQUWNUWEUWNUWBUWDUWNUWBUWLUWMWQWRZUWNWFUWCWFXERUWNXFVTUWLUWMURWSZ
          WTZXAUWNUWGUWNUWFUWDUWNUWBWIUXFUWNXBXCZUXGWTZXAZUXDUWNXDVTUWNUWBUWFUW
          DUXFUXIUXGUWNUWBUXFXGXHUWNUXCUXEUXKUWGXIWEUWEUWGNXJXKZWLUWQUWSMYDXLUW
          NUVPUWRUUNRZUWTUUNRZUXAUUNRUVPUWNUVTVTZUWNUUOUWRUULRUXMUVSUWNUUFUULUW
          RUUFUUKXMZUWNUWRUUDQEMSZUWRUUFRUWNUWEMRZUWRUWRQUXQUXHUWRXNEUWEMUUDUWR
          UWRUUBUWEQUUCUWQMUUBUWENOXOWLXPXQEMUUDUWRUUEUUEXNZUUCMUUBNOWKVQUPZXRY
          EYFUULUWRUKXSXTUWNUUOUWTUULRUXNUVSUWNUUFUULUWTUXPUWNUWTUUDQEMSZUWTUUF
          RUWNUWGMRZUWTUWTQUYAUXJUWTXNEUWGMUUDUWTUWTUUBUWGQUUCUWSMUUBUWGNOXOWLX
          PXQEMUUDUWTUUEUXSUXTXRYEYFUULUWTUKXSXTUWRUWTUUNYAYBYCYGYCYHYIYJYCYGUV
          EUVRUVDUVEUVHMUUSPZUUNUVEUVKUVHUYCQUVOUUSMMYKWEUVEUUSUWHQZGTSATSUYCUU
          NRZAGTTUWHUUSHKUWKUQUYDUYEAGTTUWNUYDUYEUWNUYDVIZUYCMUWHPZUUNUYFUUSUWH
          MUWNUYDURYLUWNUYGUUNRUYDUWNUYGMUWQPZMUWSPZWNZUUNUWNMUXBPUYGUYJUWNUXBU
          WHMUXLYLMUWQUWSYNXLUWNUVPUYHUUNRZUYIUUNRZUYJUUNRUXOUWNUUOUYHUULRUYKUV
          SUWNUUKUULUYHUUKUUFYMZUWNUYHUUIQFMSZUYHUUKRUWNUXRUYHUYHQUYNUXHUYHXNFU
          WEMUUIUYHUYHUUGUWEQUUHUWQMUUGUWENOXOYLXPXQFMUUIUYHUUJUUJXNZMUUHVQUUGN
          OWKUPZXRYEYFUULUYHUKXSXTUWNUUOUYIUULRUYLUVSUWNUUKUULUYIUYMUWNUYIUUIQF
          MSZUYIUUKRUWNUYBUYIUYIQUYQUXJUYIXNFUWGMUUIUYIUYIUUGUWGQUUHUWSMUUGUWGN
          OXOYLXPXQFMUUIUYIUUJUYOUYPXRYEYFUULUYIUKXSXTUYHUYIUUNYAYBYCYGYCYHYIYJ
          YCYOUVGUVHUUNYPYBYCYGYCYHYIYJYQUVSYTUULUKYRYS $.
      $}

      ${
        $d e f n u v x $.
        $( The Borel algebra on ` ( RR X. RR ) ` is generated by the dyadic
           closed-below, open-above rectangular subsets of ` ( RR X. RR ) ` .
           Proposition 1.1.5 of [Cohn] p. 4 .  Note that the interval used in
           this formalization are closed-below, open-above instead of
           open-below, closed-above in the proof as they are ultimately
           generated by the floor function.  (Contributed by Thierry Arnoux,
           21-Sep-2017.) $)
        sxbrsigalem4 $p |- ( sigaGen ` ( J tX J ) ) = ( sigaGen ` ran R ) $=
          ( ve vf co csigagen cfv crn cr cv cpnf cxp ctx sxbrsigalem1 ccld cico
          cmpt cun sxbrsigalem2 sxbrsigalem3 sstri cuni wceq wss ctop topontopi
          wcel tpr2tp eqid unicls cldssbrsiga ax-mp sigagenss2 mp3an eqssi ) GG
          UAMZNOZDPNOZABCDEFGHIJUBVFVDUCOZNOZVEVFKQKRSUDMQTUEPLQQLRSUDMTUEPUFNO
          VHABCDKLEFGHIJUGKLGHUHUIVGUJVDUJZUKVGVEULZVDUMUOZVHVEULVDVIQQTVDGHUPU
          NZVIUQURVKVJVLVDUSUTVLVGVDUMVAVBUIVC $.
      $}

      ${
        $d e f g n u v x $.  $d e f g u v I $.  $d n x R $.  $d u x J $.
        $d v J $.
        $( First direction for ~ sxbrsiga .  (Contributed by Thierry Arnoux,
           22-Sep-2017.)  (Revised by Thierry Arnoux, 11-Oct-2017.) $)
        sxbrsigalem5 $p |- ( sigaGen ` ( J tX J ) ) C_ ( BrSiga sX BrSiga ) $=
          ( ve vf vg cfv cbrsiga cv cxp wss wcel wa crn csigagen cmpo cuni wceq
          ctx co csx cvv cr dya2iocucvr br2base csiga brsigarn elexi mpoex rnex
          eqtr4i coprab dya2icobrsiga sseli anim1i ssoprab2i df-mpo eqtri xpeq1
          anim12i xpeq2 cbvmpov 3sstr4i ax-mp sssigagen2 mp2an sigagenss2 mp3an
          rnss sxbrsigalem4 eqid sxval ) DUAZUBNZKLOOKPZLPZQZUCZUAZUBNZGGUFUGUB
          NOOUHUGZVTUDZWFUDZUEVTWGRZWFUISZWAWGRWIUJUJQWJABCDEFGHIJUKKLULURWLVTW
          FRZWKWEKLOOWDOUJUMNZUNUOZWOUPUQZDWERWMCPZFUAZSZBPZWRSZTZMPWQWTQZUEZTZ
          CBMUSZWQOSZWTOSZTZXDTZCBMUSZDWEXEXJCBMXBXIXDWSXGXAXHWROWQAEFGHIUTZVAW
          ROWTXLVAVGVBVCDCBWRWRXCUCXFJCBMWRWRXCVDVEWECBOOXCUCXKKLCBOOWDXCWQWCQW
          BWQWCVFWCWTWQVHVICBMOOXCVDVEVJDWEVPVKWFVTUIVLVMWPVTWFUIVNVOABCDEFGHIJ
          VQOWNSZXMWHWGUEUNUNKLWFOOWNWNWFVRVSVMVJ $.
      $}
    $}

    ${
      $d a m n u v x $.  $d u v x J $.
      $( First direction for ~ sxbrsiga , same as sxbrsigalem6, dealing with
         the antecedents.  (Contributed by Thierry Arnoux, 10-Oct-2017.) $)
      sxbrsigalem6 $p |- ( sigaGen ` ( J tX J ) ) C_ ( BrSiga sX BrSiga ) $=
        ( vx vv vu va vm vn cz cv c2 cexp co cdiv c1 caddc cico cmpo weq oveq1
        crn cxp oveq1d oveq12d oveq2 oveq2d cbvmpov eqid sxbrsigalem5 ) CDEEDFG
        IIFJZKGJZLMZNMZUJOPMZULNMZQMZRZUAZUREJDJUBRZHUQABFGCHIIUPCJZKHJZLMZNMZU
        TOPMZVBNMZQMUTULNMZVDULNMZQMFCSZUMVFUOVGQUJUTULNTVHUNVDULNUJUTOPTUCUDGH
        SZVFVCVGVEQVIULVBUTNUKVAKLUEZUFVIULVBVDNVJUFUDUGUSUHUI $.
    $}

    ${
      $d e f J $.
      $( The product sigma-algebra ` ( BrSiga sX BrSiga ) ` is the Borel
         algebra on ` ( RR X. RR ) ` See example 5.1.1 of [Cohn] p. 143 .
         (Contributed by Thierry Arnoux, 10-Oct-2017.) $)
      sxbrsiga $p |- ( BrSiga sX BrSiga ) = ( sigaGen ` ( J tX J ) ) $=
        ( ve vf cbrsiga co csigagen cfv cv crn cr csiga wcel wceq brsigarn cuni
        mp2an wss mp1i a1i csx ctx cxp cmpo sxval ctopon br2base tpr2uni eqtr4i
        eqid wral wa c1st cres ccnv cima c2nd cin cpw brsigasspwrn sseli elpwid
        xpinpreima2 syl2an tpr2tp sigagensiga ax-mp elrnsiga sgsiga ccn retopon
        ctg eqeltri tx1cn eqidd df-brsiga fveq2i cnmbfm mbfmcnvima adantr tx2cn
        cioo id inelsiga syl3anc eqeltrd rgen2 rnmposs sigagenss2 mp3an eqsstri
        adantl sxbrsigalem6 eqssi ) EEUAFZAAUBFZGHZWOCDEECIZDIZUCZUDZJZGHZWQEKL
        HZMZXEWOXCNOOCDXBEEXDXDXBUJUEQXBPZWPPZNXBWQRZWPKKUCZUFHZMZXCWQRXFXIXGCD
        UGABUHUIWTWQMZDEUKCEUKXHXLCDEEWREMZWSEMZULZWTUMXIUNZUOWRUPZUQXIUNZUOWSU
        PZURZWQXMWRKRWSKRWTXTNXNXMWRKEKUSZWRUTVAVBXNWSKEYAWSUTVAVBWRWSKKVCVDXOW
        QLJPZMZXQWQMZXSWQMZXTWQMWQXGLHMZYCXOXKYFABVEZWPXJVFVGWQXGVHSXMYDXNXMWRW
        QEXPXMWPXJXKXMYGTVIXEEYBMZXMOEKVHZSXMWQEXPWPAXPWPAVJFZMZXMAKUFHZMZYMYKA
        WBJVLHZYLBVKVMZYOAAKKVNQTXMWQVOEAGHZNZXMEYNGHYPVPAYNGBVQUIZTVRXMWCVSVTX
        NYEXMXNWSWQEXRXNWPXJXKXNYGTVIXEYHXNOYISXNWQEXRWPAXRYJMZXNYMYMYSYOYOAAKK
        WAQTXNWQVOYQXNYRTVRXNWCVSWLXQXSWQWDWEWFWGCDEEWTWQXAXAUJWHVGYGXBWPXJWIWJ
        WKABWMWN $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Caratheodory's extension theorem
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  In this section, we define a function ` toOMeas ` which constructs an outer
  measure, from a pre-measure ` R ` .  An explicit generic definition of an
  outer measure is not given. It consists of the three following statements:
  - the outer measure of an empty set is zero ( ~ oms0 )
  - it is monotone ( ~ omsmon )
  - it is countably sub-additive ( ~ omssubadd )
  See Definition 1.11.1 of [Bogachev] p. 41.

$)

  $c toOMeas $.

  $( Class declaration for the outer measure construction function. $)
  coms $a class toOMeas $.

  ${
    $d r a x y z $.
    $( Define a function constructing an outer measure.  See ~ omsval for its
       value.  Definition 1.5 of [Bogachev] p. 16.  (Contributed by Thierry
       Arnoux, 15-Sep-2019.)  (Revised by AV, 4-Oct-2020.) $)
    df-oms $a |- toOMeas = ( r e. _V |-> ( a e. ~P U. dom r |->
      inf ( ran ( x e. { z e. ~P dom r | ( a C_ U. z /\ z ~<_ _om ) }
                  |-> sum* y e. x ( r ` y ) ) , ( 0 [,] +oo ) , < ) ) ) $.
  $}

  ${
    $d a r s t w x y z R $.
    $( Value of the function mapping a content function to the corresponding
       outer measure.  (Contributed by Thierry Arnoux, 15-Sep-2019.)  (Revised
       by AV, 4-Oct-2020.) $)
    omsval $p |- ( R e. _V -> ( toOMeas ` R ) =
      ( a e. ~P U. dom R |-> inf ( ran ( x e. { z e. ~P dom R | ( a C_ U. z /\
      z ~<_ _om ) } |-> sum* y e. x ( R ` y ) ) , ( 0 [,] +oo ) , < ) ) ) $=
      ( vr cvv wcel cv cdm cuni cpw wa crab cfv cesum cmpt crn clt wceq wss com
      cdom wbr cc0 cpnf cicc cinf coms df-oms dmeq unieqd pweqd rabeq syl simpl
      co fveq1d esumeq2dv mpteq12dv rneqd infeq1d id dmexg uniexg pwexg fvmptd3
      mptexg 4syl ) DGHZFDEFIZJZKZLZAEICIZKUAVOUBUCUDMZCVLLZNZAIZBIZVKOZBPZQZRZ
      UEUFUGUQZSUHZQEDJZKZLZAVPCWGLZNZVSVTDOZBPZQZRZWESUHZQZGUIGABCFEUJVKDTZEVN
      WFWIWPWRVMWHWRVLWGVKDUKZULUMWRWEWDWOSWRWCWNWRAVRWBWKWMWRVQWJTVRWKTWRVLWGW
      SUMVPCVQWJUNUOWRVSWAWLBWRVTVSHZMVTVKDWRWTUPURUSUTVAVBUTVJVCVJWGGHWHGHWIGH
      WQGHDGVDWGGVEWHGVFEWIWPGVHVIVG $.

    $d A a s t w x y z $.  $d Q a x y z $.  $d V a x y z $.
    $( Value of the outer measure evaluated for a given set ` A ` .
       (Contributed by Thierry Arnoux, 15-Sep-2019.)  (Revised by AV,
       4-Oct-2020.) $)
    omsfval $p |- ( ( Q e. V /\ R : Q --> ( 0 [,] +oo ) /\ A C_ U. Q )
      -> ( ( toOMeas ` R ) ` A ) = inf ( ran ( x e.
        { z e. ~P dom R | ( A C_ U. z /\ z ~<_ _om ) }
      |-> sum* y e. x ( R ` y ) ) , ( 0 [,] +oo ) , < ) ) $=
      ( va wcel cc0 cpnf cuni wss cv wa cmpt clt cvv wceq cxr cicc w3a com cdom
      co wbr cdm cpw crab cfv cesum crn cinf coms simp2 simp1 fexd omsval simpr
      syl sseq1d anbi1d rabbidv mpteq1d rneqd infeq1d simp3 fdm 3ad2ant2 unieqd
      wf sseqtrrd wb uniexd ssexg syl2anc elpwg mpbird wor xrltso iccssxr ax-mp
      wi soss mp1i infexd fvmptd ) EGIZEJKUAUEZFVKZDELZMZUBZHDAHNZCNZLZMZWOUCUD
      UFZOZCFUGZUHZUIZANBNFUJBUKZPZULZWIQUMZADWPMZWROZCXAUIZXCPZULZWIQUMWTLZUHZ
      FUNUJZRWMFRIXNHXMXFPSWMEWIGFWHWJWLUOWHWJWLUPZUQABCFHURUTWMWNDSZOZWIXEXKQX
      QXDXJXQAXBXIXCXQWSXHCXAXQWQXGWRXQWNDWPWMXPUSVAVBVCVDVEVFWMDXMIZDXLMZWMDWK
      XLWHWJWLVGZWMWTEWJWHWTESWLEWIFVHVIVJVLWMDRIZXRXSVMWMWLWKRIYAXTWMEGXOVNDWK
      RVOVPDXLRVQUTVRWMWIXKQTQVSZWIQVSZWMVTWITMYBYCWCJKWAWITQWDWBWEWFWG $.

    $( A closure lemma for the constructed outer measure.  (Contributed by
       Thierry Arnoux, 17-Sep-2019.) $)
    omscl $p |- ( ( Q e. V /\ R : Q --> ( 0 [,] +oo ) /\ A e. ~P U. dom R )
      -> ran ( x e. { z e. ~P dom R | ( A C_ U. z /\ z ~<_ _om ) }
        |-> sum* y e. x ( R ` y ) ) C_ ( 0 [,] +oo ) ) $=
      ( wcel cc0 cpnf cicc cuni cpw cv wss wa wral cvv syl ralrimiva co cdm w3a
      wf cfv cesum com cdom wbr crab crn vex simp2 ad2antrr ssrab2 simpr sselid
      cmpt wceq fdm pweqd adantr eleqtrd elpwi sselda ffvelrnd nfcv esumcl eqid
      sylancr rnmptss ) EGHZEIJKUAZFUDZDFUBZLMHZUCZANZBNZFUEZBUFZVMHZADCNZLOWCU
      GUHUIPZCVOMZUJZQAWFWAURZUKVMOVQWBAWFVQVRWFHZPZVRRHVTVMHZBVRQWBAULWIWJBVRW
      IVSVRHZPEVMVSFVQVNWHWKVLVNVPUMZUNWIVREVSWIVREMZHVREOWIVRWEWMWIWFWEVRWDCWE
      UOVQWHUPUQVQWEWMUSZWHVQVNWNWLVNVOEEVMFUTVASVBVCVREVDSVEVFTVRVTBRBVRVGVHVJ
      TAWFWAVMWGWGVIVKS $.

    $( A constructed outer measure is a function.  (Contributed by Thierry
       Arnoux, 17-Sep-2019.)  (Revised by AV, 4-Oct-2020.) $)
    omsf $p |- ( ( Q e. V /\ R : Q --> ( 0 [,] +oo ) ) ->
      ( toOMeas ` R ) : ~P U. dom R --> ( 0 [,] +oo ) ) $=
      ( va vx vz vy vt vw vs wcel wa cuni cpw cv wss wbr cfv clt cxr cpnf co wf
      cc0 cicc cdm com cdom crab cmpt crn cinf coms wor iccssxr xrltso soss mp2
      cesum a1i wn wral wrex wi omscl 3expa xrge0infss syl infcl cvv fex ancoms
      wceq omsval simpll simplr simpr fdm unieqd pweqd ad2antlr eleqtrd omsfval
      elpwi syl3anc eqeltrd fmpt2d ) ACKZAUDUAUEUBZBUCZLZDDBUFZMZNZEDOZFOZMPWPU
      GUHQLFWLNUIEOGOBRGUSUJUKZWISULZWIBUMRZWIWKWOWNKZLZHIJWIWQSWISUNZXAWITPTSU
      NXBUDUAUOUPWITSUQURUTXAWQWIPZIOZHOZSQVAIWQVBXEXDSQJOXDSQJWQVCVDIWIVBLHWIV
      CWHWJWTXCEGFWOABCVEVFHIJWQVGVHVIZWKBVJKZWSDWNWRUJVMWJWHXGAWICBVKVLEGFBDVN
      VHXAWOWSRZWRWIXAWHWJWOAMZPZXHWRVMWHWJWTVOWHWJWTVPXAWOXINZKXJXAWOWNXKWKWTV
      QWJWNXKVMWHWTWJWMXIWJWLAAWIBVRVSVTWAWBWOXIWDVHEGFWOABCWCWEXFWFWG $.
  $}

  ${
    $d Q x y z $.  $d R a x y z $.  $d V x y z $.  $d a x y z ph $.
    oms.m $e |- M = ( toOMeas ` R ) $.
    oms.o $e |- ( ph -> Q e. V ) $.
    oms.r $e |- ( ph -> R : Q --> ( 0 [,] +oo ) ) $.
    ${
      oms.d $e |- ( ph -> (/) e. dom R ) $.
      oms.0 $e |- ( ph -> ( R ` (/) ) = 0 ) $.
      $( A constructed outer measure evaluates to zero for the empty set.
         (Contributed by Thierry Arnoux, 15-Sep-2019.)  (Revised by AV,
         4-Oct-2020.) $)
      oms0 $p |- ( ph -> ( M ` (/) ) = 0 ) $=
        ( vx vy c0 cc0 wa clt wcel wceq cxr cvv vz cfv coms fveq1i cuni wss com
        va cv cdom wbr cdm cpw crab cesum cmpt crn cpnf cicc co cinf 0ss unieqd
        fdmd sseqtrid omsfval syl3anc wor iccssxr xrltso soss mp2 a1i 0e0iccpnf
        wf wrex csn snssd p0ex elpw sylibr snct ax-mp pm3.2i jctir unieq sseq2d
        0ex breq1 anbi12d elrab simpr fveq2d adantr eqtrd esumsn eqcomd esumeq1
        rspceeqv syl2anc wb 0xr eqid elrnmpt wn cle nfmpt1 nfrn nfcri nfan wral
        nfv vex nfesum1 nfmpt nfeq2 ad4antr ssrab2 simpllr sselid pweqd eleqtrd
        elpwid sseldd ffvelrnd ex ralrimi esumcl sylancr biimpi adantl r19.29af
        nfcv eqeltrd pnfxr iccgelb mp3an12 syl xrlenlt bicomd mpbird infmin
        syl5eq ) AMDUBMCUCUBZUBZNMDUUDFUDAUUEKMUAUIZUEZUFZUUFUGUJUKZOZUACULZUMZ
        UNZKUIZLUIZCUBZLUOZUPZUQZNURUSUTZPVAZNABEQBUUTCVOZMBUEZUFUUEUVARGHAUUKU
        EZMUVCUVDVBAUUKBABUUTCHVDZVCVEKLUAMBCEVFVGAUHUUTUUSNPUUTPVHZAUUTSUFSPVH
        UVFNURVIZVJUUTSPVKVLVMNUUTQAVNVMZANUUQRKUUMVPZNUUSQZAMVQZUUMQZNUVKUUPLU
        OZRUVIAUVKUULQZMUVKUEZUFZUVKUGUJUKZOZOUVLAUVNUVRAUVKUUKUFUVNAMUUKIVRUVK
        UUKVSVTWAUVPUVQUVOVBMTQUVQWHMTWBWCWDWEUUJUVRUAUVKUULUUFUVKRZUUHUVPUUIUV
        QUVSUUGUVOMUUFUVKWFWGUUFUVKUGUJWIWJWKWAAUVMNAUUPNLMUUKAUUOMRZOZUUPMCUBZ
        NUWAUUOMCAUVTWLWMAUWBNRUVTJWNWOIUVHWPWQKUVKUUMUUQUVMNUUNUVKUUPLWRWSWTNS
        QZUVJUVIXAXBKUUMUUQNUURSUURXCZXDWCWAAUHUIZUUSQZOZUWENPUKXEZNUWEXFUKZUWG
        UWEUUTQZUWIUWGUWEUUQRZUWJKUUMAUWFKAKXLKUHUUSKUURKUUMUUQXGXHXIXJUWGUUNUU
        MQZOZUWKOZUWEUUQUUTUWMUWKWLUWNUUNTQUUPUUTQZLUUNXKUUQUUTQKXMUWNUWOLUUNUW
        MUWKLUWGUWLLAUWFLALXLLUHUUSLUURLKUUMUUQLUUMYMUUNUUPLLUUNYMZXNZXOXHXIXJU
        WLLXLXJLUWEUUQUWQXPXJUWNUUOUUNQZUWOUWNUWROZBUUTUUOCAUVBUWFUWLUWKUWRHXQU
        WSUUNBUUOUWSUUNBUWSUUNUULBUMZUWSUUMUULUUNUUJUAUULXRUWGUWLUWKUWRXSXTAUUL
        UWTRUWFUWLUWKUWRAUUKBUVEYAXQYBYCUWNUWRWLYDYEYFYGUUNUUPLTUWPYHYIYNUWFUWK
        KUUMVPZAUWFUXAUWETQUWFUXAXAUHXMKUUMUUQUWEUURTUWDXDWCYJYKYLZUWCURSQUWJUW
        IXBYONURUWEYPYQYRUWGUWCUWESQZUWHUWIXAXBUWGUUTSUWEUVGUXBXTUWCUXCOUWIUWHN
        UWEYSYTYIUUAUUBWOUUC $.
    $}

    ${
      $d A x y z $.  $d B x y z $.  $d Q x y z $.  $d V x y z $.
      omsmon.a $e |- ( ph -> A C_ B ) $.
      omsmon.b $e |- ( ph -> B C_ U. Q ) $.
      $( A constructed outer measure is monotone.  Note in Example 1.5.2 of
         [Bogachev] p. 17.  (Contributed by Thierry Arnoux, 15-Sep-2019.)
         (Revised by AV, 4-Oct-2020.) $)
      omsmon $p |- ( ph -> ( M ` A ) <_ ( M ` B ) ) $=
        ( vx vz vy cfv wss wa wcel syl coms cle cuni com cdom wbr cdm cpw cesum
        cv crab cmpt crn cc0 cpnf cicc co cinf cres wceq wi adantr sstr2 anim1d
        clt ss2rabdv resmpt resss eqsstrrdi rnss wral wf ad2antrr ssrab2 simplr
        sselid elpwi fdmd sseqtrd sseldd ffvelrnd ralrimiva cvv vex nfcv esumcl
        simpr rnmptss xrge0infssd sstrd omsfval syl3anc 3brtr4d fveq1i 3brtr4g
        mpan eqid ) ABEUAPZPZCWRPZBFPCFPUBAMBNUJZUCZQZXAUDUEUFZRZNEUGZUHZUKZMUJ
        ZOUJZEPZOUIZULZUMZUNUOUPUQZVEURZMCXBQZXDRZNXGUKZXLULZUMZXOVEURZWSWTUBAX
        NYAAXTXMQYAXNQAXTXMXSUSZXMAXSXHQYCXTUTAXRXENXGAXAXGSZRZXQXCXDYEBCQZXQXC
        VAAYFYDKVBBCXBVCTVDVFMXHXSXLVGTXMXSVHVIXTXMVJTAXLXOSZMXHVKXNXOQAYGMXHAX
        IXHSZRZXKXOSZOXIVKZYGYIYJOXIYIXJXISZRZDXOXJEADXOEVLZYHYLJVMYMXIDXJYMXIX
        FDYMXIXGSXIXFQYMXHXGXIXENXGVNAYHYLVOVPXIXFVQTAXFDUTYHYLADXOEJVRVMVSYIYL
        WGVTWAWBXIWCSYKYGMWDXIXKOWCOXIWEWFWPTWBMXHXLXOXMXMWQWHTWIADGSZYNBDUCZQW
        SXPUTIJABCYPKLWJMONBDEGWKWLAYOYNCYPQWTYBUTIJLMONCDEGWKWLWMBFWRHWNCFWRHW
        NWO $.
    $}

    $d A e t u w x z $.  $d E u x $.  $d M u x $.  $d Q w x z $.
    $d R e t u w x z $.  $d V w x z $.  $d ph u $.
    ${
      omssubaddlem.a $e |- ( ph -> A C_ U. Q ) $.
      omssubaddlem.m $e |- ( ph -> ( M ` A ) e. RR ) $.
      omssubaddlem.e $e |- ( ph -> E e. RR+ ) $.
      $( For any small margin ` E ` , we can find a covering approaching the
         outer measure of a set ` A ` by that margin.  (Contributed by Thierry
         Arnoux, 18-Sep-2019.)  (Revised by AV, 4-Oct-2020.) $)
      omssubaddlem $p |- ( ph -> E. x e. { z e. ~P dom R | ( A C_ U. z
        /\ z ~<_ _om ) } sum* w e. x ( R ` w ) < ( ( M ` A ) + E ) ) $=
        ( vu clt wbr wcel ve vt cv cfv caddc co cuni wss com cdom cdm cpw cesum
        crab cmpt crn wrex cc0 cpnf cicc cinf cxr cle rpred readdcld rexrd coms
        wa wf omsf syl2anc feq1i sylibr unieqd sseqtrrd cvv wb uniexd jca ssexg
        fdmd elpwg 3syl mpbird ffvelrnd elxrge0 simprbi rpge0d addge0d sylanbrc
        syl fveq1i wceq omsfval syl3anc eqtr2id ltaddrpd eqbrtrd iccssxr xrltso
        wor soss mp2 a1i wn wral omscl xrge0infss infglb mp2and wex eqid esumex
        wi elrnmpti anbi1i r19.41v bitr4i df-rex rexcom4 3bitr4i biimpa exlimiv
        exbii breq1 reximi sylbi ) AQUCZEIUDZHUEUFZRSZQBECUCZUGUHYLUIUJSVHCGUKZ
        ULUNZBUCZDUCGUDZDUMZUOZUPZUQZYQYJRSZBYNUQZAYJURUSUTUFZTZYSUUCRVAZYJRSYT
        AYJVBTURYJVCSUUDAYJAYIHOAHPVDZVEVFAYIHOUUFAYIUUCTZURYIVCSZAYMUGZULZUUCE
        IAUUJUUCGVGUDZVIZUUJUUCIVIAFJTZFUUCGVIZUULLMFGJVJVKUUJUUCIUUKKVLVMAEUUJ
        TZEUUIUHZAEFUGZUUINAYMFAFUUCGMWAVNVOAEUUQUHZUUQVPTZVHEVPTUUOUUPVQAUURUU
        SNAFJLVRVSEUUQVPVTEUUIVPWBWCWDZWEUUGYIVBTUUHYIWFWGWKAHPWHWIYJWFWJAUUEYI
        YJRAYIEUUKUDZUUEEIUUKKWLAUUMUUNUURUVAUUEWMLMNBDCEFGJWNWOWPAYIHOPWQWRAUA
        UBQUUCYSYJRUUCRXAZAUUCVBUHVBRXAUVBURUSWSWTUUCVBRXBXCXDAYSUUCUHZUBUCZUAU
        CZRSXEUBYSXFUVEUVDRSYHUVDRSQYSUQXNUBUUCXFVHUAUUCUQAUUMUUNUUOUVCLMUUTBDC
        EFGJXGWOUAUBQYSXHWKXIXJYTYHYQWMZYKVHZQXKZBYNUQZUUBYHYSTZYKVHZQXKUVGBYNU
        QZQXKYTUVIUVKUVLQUVKUVFBYNUQZYKVHUVLUVJUVMYKBYNYQYHYRYRXLYOYPDXMXOXPUVF
        YKBYNXQXRYDYKQYSXSUVGBQYNXTYAUVHUUABYNUVGUUAQUVFYKUUAYHYQYJRYEYBYCYFYGW
        K $.
    $}

    ${
      $d f g A $.  $d A e f g t u w x z $.  $d A h u v w x z $.
      $d e f g x M $.  $d x y z Q $.  $d w x y z Q $.
      $d c e g t u w x y z R $.  $d R h u v w x z $.  $d V w x y z $.
      $d c e f g t u w x y z X $.  $d c e f g u w x y z ph $.
      omssubadd.a $e |- ( ( ph /\ y e. X ) -> A C_ U. Q ) $.
      omssubadd.b $e |- ( ph -> X ~<_ _om ) $.
      $( A constructed outer measure is countably sub-additive.  Lemma 1.5.4 of
         [Bogachev] p. 17.  (Contributed by Thierry Arnoux, 21-Sep-2019.)
         (Revised by AV, 4-Oct-2020.) $)
      omssubadd $p |- ( ph -> ( M ` U_ y e. X A ) <_ sum* y e. X ( M ` A ) ) $=
        ( vz vw wcel wbr wa clt cvv vf ve vg vx vu vv vh vc vt cfv cesum cr cle
        ciun cn cv wex cdom com sylancl syl adantr caddc crp wral cpw crab cuni
        co wss cexp cdiv wrex simplll ctex nfv nfcv nfan cmpt crn cc0 cpnf cinf
        wf c2 simpr cxad sylibr syl2anc wb elpwg mpbird ffvelrnd adantlr rpssre
        wceq simplr 2rp ccnv wfun adantl nnzd rpexpcld rpdivcld sselid adantl3r
        a1i sylan syl3anc cxr wn wi imp syl21anc eqid breq1 ax-mp unieq anbi12d
        sseq2d elrab simprbi simpld ex ralrimi ad2antrr ralrimiva sselda esumcl
        mpd 3syl rexrd simpllr sylib ralimi c1 cxmu oveq2d cc xrletrd nfel cicc
        wf1 cen nnenom ensymi domentr brdomi cdm nfesum1 coms omsf feq1i unieqd
        fdmd sseqtrrd uniexd ssexg esumcvgre df-f1 simplbi ffvelrnda cioo dfrp2
        rexadd ioossicc eqsstri xrge0addcld eqeltrrd rpgt0d 2re adantllr expgt0
        cz 2pos divgt0d ltaddposd mpbid fveq1i omsfval syl5eq eqcomd breq1d jca
        wor iccssxr xrltso soss mp2 biid mpbi xrge0infss infglb esumex elrnmpti
        omscl anbi1i r19.41v bitr4i exbii df-rex rexcom4 3bitr4i sylbid exlimiv
        idd reximi sylbi ss2rabi rexss anim1d reximdv syl5bi ac6sg iunss iunexg
        esumeq1 ad4antr fexd rnexg uniexg simp-5l ssrab2 sstrdi unissd sseqtrdi
        frn unipw sseqtrd simp-5r rpxrd xaddcld ad2antlr sstr mpan2 sspwuni wfn
        fnct rnct dfss3 biimpi unictb syl2an simpl fvssunirn unissi jca32 fveq2
        ffn cbvesumv rspceeqv elrnmpt inflb breq2d notbid sylibrd xrlenlt nfra1
        sylc simp-6l ad3antrrr elpwid fssdmd fvex mpan fniunfv esumeq1d esumiun
        sseldd eqbrtrrd eqbrtrid simp-4l id biimpar syld adantld ralim r19.21bi
        xrltle esumlef esumaddf simp-4r vex rnex frnd rpreccld syldan 1xr sseli
        elxrge0 nnex esummono csu oveq2 cico ioossico eqidd ovexd fvmptd ax-1cn
        cli geo2lim 1re esumcvgsum geoihalfsum eqtrdi breqtrd xlemul2a syl31anc
        cseq cmul recnd wne 2cn 2ne0 expne0d divrecd 1rp rexmul eqtr4d esumeq2d
        esummulc2 feqmptd cnveqd funeqd esumc 3eqtr2rd xmulid1 3brtr3d xleadd2a
        fnrnfv eqbrtrd rpred exlimdv xralrple pnfge xrge0nre breqtrrd pm2.61dan
        cab anasss ) AHCFUJZBUKZULPZBHCUNZFUJZWUCUMQZAWUDRZHUOUAUPZUUCZUAUQZWUG
        AWUKWUDAHUOURQZWUKAHUSURQZUSUOUUDQWULMUOUSUUEUUFHUSUOUUGUTHUOUAUUHVAVBW
        UHWUJWUGUAWUHWUJWUGWUHWUJRZWUGWUFWUCUBUPZVCVIZUMQZUBVDVEZWUNWUQUBVDWUNW
        UOVDPZRZHNUPZUSURQZNEUUIZVFZVGZUCUPZWDZCBUPZWVFUJZVHZVJZWVIOUPZEUJZOUKZ
        WUBWUOWEWVHWUIUJZVKVIZVLVIZVCVIZSQZRZBHVEZRZUCUQZWUQWUTHTPZCUDUPZVHZVJZ
        WWEWVMOUKZWVRSQZRZUDWVEVMZBHVEZWWCWUTAWWDAWUDWUJWUSVNZAWUMWWDMHVOZVAZVA
        WUTWWKBHWUNWUSBWUHWUJBAWUDBABVPZBWUCULHWUBBBHVQZUUJBULVQUUAVRZWUJBVPZVR
        WUSBVPZVRZWUTWVHHPZWWKWUTWXBRZWWIUDCWVAVHZVJZWVBRZNWVDVGZVMZWWKWXCUEUPZ
        WVRSQZUEUDWXGWWHVSZVTZVMZWXHWXCAWXBWVRWAWBUUBVIZPZWXLWXNSWCZWVRSQZRZWXM
        WUTAWXBWWMVBWUTWXBWFWXCWXOWXQWXCWUBWVQWGVIZWVRWXNWXCWUBULPZWVQULPZWXSWV
        RWPWUNWXBWXTWUSWUHWXBWXTWUJWUHHWUBBTWWRAWWDWUDWWOVBZAWXBWUBWXNPZWUDAWXB
        RZWVCVHZVFZWXNCFAWYFWXNFWDZWXBADGPZDWXNEWDZWYGJKWYHWYIRWYFWXNEUUKUJZWDW
        YGDEGUULWYFWXNFWYJIUUMWHWIZVBWYDCWYFPZCWYEVJZWYDCDVHZWYELAWYEWYNWPWXBAW
        VCDADWXNEKUUOZUUNZVBUUPZWYDCTPZWYLWYMWJWYDCWYNVJZWYNTPZWYRLAWYTWXBADGJU
        UQVBCWYNTUURWIZCWYETWKVAWLZWMZWNAWUDWFUUSZWNWNZAWUJWUSWXBWYAWUDAWUJRZWU
        SRZWXBRZVDULWVQWOXUHWUOWVPXUFWUSWXBWQZXUFWXBWVPVDPWUSXUFWXBRZWEWVOWEVDP
        ZXUJWRXGXUJWVOXUFHUOWVHWUIWUJHUOWUIWDZAWUJXULWUIWSZWTZHUOWUIUUTZUVAZXAZ
        UVBZXBZXCZWNXDZXEXFZWUBWVQUVEZWIWXCWUBWVQWUTAWXBWYCWWMXUCXHAWUJWUSWXBWV
        QWXNPZWUDXUHVDWXNWVQVDWAWBUVCVIZWXNUVDWAWBUVFUVGZXVAXEXFZUVHUVIWXCWXQWU
        BWVRSQZWXCWAWVQSQXVHWXCWUOWVPAWUJWUSWXBWUOULPZWUDXUHVDULWUOWOXUIXEZXFAW
        UJWUSWXBWVPULPZWUDXUFWXBXVKWUSXUJVDULWVPWOXUTXEZWNXFWXCWUOWUNWUSWXBWQUV
        JWXCWEULPZWVOUVNPZWAWESQZWAWVPSQXVMWXCUVKXGWUNWXBXVNWUSAWUJWXBXVNWUDXUS
        UVLWNXVOWXCUVOXGWEWVOUVMXIUVPWXCWVQWUBXVBXUEUVQUVRWXCWXPWUBWVRSWXCWUBWX
        PWUTAWXBWUBWXPWPWWMWYDWUBCWYJUJZWXPCFWYJIUVSWYDWYHWYIWYSXVPWXPWPAWYHWXB
        JVBZAWYIWXBKVBZLUDONCDEGUVTXIUWAXHUWBUWCWLUWDWYDWXRWXMWYDUFUGUEWXNWXLWV
        RSWXNSUWEZWYDXVSXVSWXNXJVJXJSUWEXVSWAWBUWFZUWGWXNXJSUWHUWIXVSUWJUWKZXGW
        YDWXLWXNVJZUGUPZUFUPZSQXKUGWXLVEXWDXWCSQWXIXWCSQUEWXLVMXLUGWXNVERUFWXNV
        MWYDWYHWYIWYLXWBXVQXVRXUBUDONCDEGUWPXIUFUGUEWXLUWLVAUWMXMXNWXMWXIWWHWPZ
        WXJRZUEUQZUDWXGVMZWXHWXIWXLPZWXJRZUEUQXWFUDWXGVMZUEUQWXMXWHXWJXWKUEXWJX
        WEUDWXGVMZWXJRXWKXWIXWLWXJUDWXGWWHWXIWXKWXKXOWWEWVMOUWNUWOUWQXWEWXJUDWX
        GUWRUWSUWTWXJUEWXLUXAXWFUDUEWXGUXBUXCXWGWWIUDWXGXWFWWIUEXWEWXJWWIXWEWXJ
        WWIWWIWXIWWHWVRSXPXWEWWIUXFUXDXMUXEUXGUXHVAWXHWWEWXGPZWWIRZUDWVEVMZWXCW
        WKWXGWVEVJWXHXWOWJWXFWVBNWVDWXFWVBXLWVAWVDPWXEWVBWFXGUXIWWIUDWXGWVEUXJX
        QWXCXWNWWJUDWVEWXCXWMWWGWWIXWMWWGXLWXCXWMWWGWWEUSURQZXWMWWEWVDPWWGXWPRZ
        WXFXWQNWWEWVDWVAWWEWPZWXEWWGWVBXWPXWRWXDWWFCWVAWWEXRXTWVAWWEUSURXPXSYAY
        BYCXGUXKUXLUXMYJYDYEWWDWWLWWCWWJWVTBUDHWVEUCTWWEWVIWPZWWGWVKWWIWVSXWSWW
        FWVJCWWEWVIXRXTXWSWWHWVNWVRSWWEWVIWVMOUXQUWCXSUXNXMWIWUTWWBWUQUCWUTWWBW
        UQWUTWVGWWAWUQWUTWVGRZWWARZWUFWUCWUOWGVIZWUPUMXXAWUFWVFVTZVHZUHUPZEUJZU
        HUKZXXBXXAAWUFXJPZWUTAWVGWWAWWMYFZAWXNXJWUFXVTAWYFWXNWUEFWYKAWUEWYFPZWU
        EWYEVJZAWYMBHVEXXKAWYMBHWYQYGBHCWYEUXOWHZAWUETPZXXJXXKWJAWWDWYRBHVEXXMW
        WOAWYRBHXUAYGBHCTTUXPWIWUEWYETWKVAWLZWMXEZVAZXXAWXNXJXXGXVTXXAXXDTPZXXF
        WXNPZUHXXDVEZXXGWXNPXXAWVFTPXXCTPXXQXXAHWVETWVFWUTWVGWWAWQZWUHWWDWUJWUS
        WVGWWAWYBUXRZUXSWVFTUXTXXCTUYAYKXXAAWVGXXSAWUDWUJWUSWVGWWAUYBXXTAWVGRZX
        XRUHXXDXYBXXEXXDPZRDWXNXXEEAWYIWVGXYCKYFXYBXXDDXXEXYBXXDWVCDWVGXXDWVCVJ
        ZAWVGXXDWVDVHWVCWVGXXCWVDWVGXXCWVEWVDHWVEWVFUYGZWVBNWVDUYCZUYDUYEWVCUYH
        UYFXAAWVCDWPWVGWYOVBUYIYHWMYGWIXXDXXFUHTUHXXDVQYIWIXEZXXAWUCWUOXXAWUCAW
        UDWUJWUSWVGWWAUYJZYLZXXAWUOWUNWUSWVGWWAYMZUYKZUYLZXXAWUFXXGUMQZXXGWUFSQ
        ZXKZXXAXYOXYOXXAAXXGUDWUEWXDVJZWVBRZNWVDVGZWWHVSZVTZPZXYOXXIXXAXXGWWHWP
        UDXYRVMZYUAXXAXXDXYRPZXXGXXDWVMOUKZWPYUBXXAXXDWVDPZWUEXXDVHZVJZXXDUSURQ
        ZRZRYUCXXAYUEYUGYUHXXAYUEXYDXXAXXCWVEVJZXYDWVGYUJWUTWWAXYEUYMZYUJXXCWVD
        VJZXYDYUJWVEWVDVJYULXYFXXCWVEWVDUYNUYOXXCWVCUYPYNVAXXAYUHXXQYUEXYDWJXXA
        WVFHUYQZWUMYUJYUHWVGYUMWUTWWAHWVEWVFVUIZUYMXXAAWUMXXIMVAZYUKYUMWUMRZXXC
        USURQZWVLUSURQZOXXCVEZYUHYUJYUPWVFUSURQYUQHWVFUYRWVFUYSVAYUJWVLWVEPZOXX
        CVEZYUSYUJYVAOXXCWVEUYTVUAYUTYUROXXCYUTWVLWVDPYURWVBYURNWVLWVDWVAWVLUSU
        RXPYAYBYOVAOXXCVUBVUCXNZXXDVOXXDWVCTWKYKWLWWAYUGXWTWWAWVKBHVEZYUGWVTWVK
        BHWVKWVSVUDYOYVCCYUFVJZBHVEYUGWVKYVDBHWVKWVJYUFVJYVDWVIXXDWVFWVHVUEVUFC
        WVJYUFUYNUYOYOBHCYUFUXOWHVAXAYVBVUGXYQYUINXXDWVDWVAXXDWPZXYPYUGWVBYUHYV
        EWXDYUFWUEWVAXXDXRXTWVAXXDUSURXPXSYAWHXXDXXFWVMUHOXXEWVLEVUHVUJZUDXXDXY
        RWWHYUDXXGWWEXXDWVMOUXQVUKUTXXGTPYUAYUBWJXXDXXFUHUWNUDXYRWWHXXGXYSTXYSX
        OVULXQWHAYUAXXGXYTWXNSWCZSQZXKXYOAUBUIUEWXNXYTXXGSXVSAXWAXGAXYTWXNVJZUI
        UPZWUOSQXKUIXYTVEWUOYVJSQWXIYVJSQUEXYTVMXLUIWXNVERUBWXNVMAWYHWYIXXJYVIJ
        KXXNUDONWUEDEGUWPXIUBUIUEXYTUWLVAVUMAXYNYVHAWUFYVGXXGSAWUFWUEWYJUJZYVGW
        UEFWYJIUVSAWYHWYIWUEWYNVJYVKYVGWPJKAWUEWYEWYNXXLWYPUYIUDONWUEDEGUVTXIUW
        AVUNVUOVUPVUSXYOUWJYNXXAXXHXXGXJPXYMXYOWJXXPXYGWUFXXGVUQWIWLXXAXXGHWVNB
        UKZXXBXYGXXAWXNXJYVLXVTXXAWWDWVNWXNPZBHVEYVLWXNPXYAXXAYVMBHXWTWWABWUTWV
        GBWXAWVGBVPVRZWVTBHVURVRZXXAWXBYVMXXAWXBRZAWVGWXBYVMAWUDWUJWUSWVGWWAWXB
        VUTZWUTWVGWWAWXBYMXXAWXBWFZXYBWXBRZWVMWXNPZOWVIVEZYVMYVSYVTOWVIYVSWVLWV
        IPZRZDWXNWVLEAWYIWVGWXBYWBKVVAZYWCWVIDWVLYWCDWXNWVIEYWDYWCWVIWVCYWCWVEW
        VDWVIXYFYWCHWVEWVHWVFAWVGWXBYWBYMXYBWXBYWBWQWMXEVVBVVCYVSYWBWFVVIWMZYGW
        VITPZYWAYVMWVHWVFVVDZWVIWVMOTOWVIVQYIVVEVAZXNZYDYEHWVNBTWWQYIWIXEZXYLXX
        AXXGYUDYVLUMYVFXWTYUDYVLUMQZWWAWUTAWVGYWKWWMXYBBHWVIUNZWVMOUKYUDYVLUMXY
        BYWLXXDWVMOXYBOVPXYBWVGYUMYWLXXDWPAWVGWFYUNBHWVFVVFYKVVGXYBHWVIWVMBOTTA
        WWDWVGWWOVBYWFYVSYWGXGYWEVVHVVJXHVBVVKXXAYVLHWXSBUKZXXBYWJXXAWXNXJYWMXV
        TXXAWWDWXSWXNPZBHVEYWMWXNPXYAXXAYWNBHYVOXXAWXBYWNYVPWUBWVQYVPAWXBWYCYVQ
        YVRXUCWIYVPWUTWXBXVDWUTWVGWWAWXBVNYVRXVGWIZUVHZYDYEHWXSBTWWQYIWIXEXYLXX
        AHWVNWXSBTYVOWWQXXAWUMWWDYUOWWNVAZYWIYWPXXAWVNWXSUMQZBHXWTWWAYWRBHVEZXW
        TWVTYWRXLZBHVEWWAYWSXLXWTYWTBHYVNXWTWXBYWTXWTWXBRZWVSYWRWVKYXAWVSWVNWXS
        SQZYWRYXAWVSYXBYXAWVSRWXTWYAWVSYXBYXAWXTWVSYXAWUHWXBWXTWUHWUJWUSWVGWXBV
        VLZXWTWXBWFZXUDWIZVBYXAWYAWVSWUTWXBWYAWVGXVBWNZVBWVSWVSYXAWVSVVMXAWXTWY
        ARZYXBWVSYXGWXSWVRWVNSXVCVUNVVNXNYDYXAWVNXJPWXSXJPYXBYWRXLYXAWXNXJWVNXV
        TYXAAWVGWXBYVMYXAAWUDYXCYCWUTWVGWXBWQYXDYWHXNXEYXAWUBWVQYXAWUBYXEYLYXAW
        VQYXFYLUYLWVNWXSVVSWIVVOVVPYDYEWVTYWRBHVVQVAXMVVRVVTXXAYWMWUCHWVQBUKZWG
        VIZXXBUMXXAHWUBWVQBTYVOWWQYWQXXAAWXBWYCXXIXUCXHYWOVWAXXAYXHXJPWUOXJPZWU
        CXJPYXHWUOUMQZYXIXXBUMQXXAWXNXJYXHXVTXXAWWDXVDBHVEYXHWXNPXYAXXAXVDBHYVO
        XXAWXBXVDYWOYDYEHWVQBTWWQYIWIXEXYKXYIXXAAWUJWUSYXKXXIWUHWUJWUSWVGWWAVWB
        XYJXUGWUOWUIVTZYPWEWVAVKVIZVLVIZNUKZYQVIZWUOYPYQVIZYXHWUOUMXUGYXOXJPYPX
        JPZYXJWAWUOUMQZRZYXOYPUMQZYXPYXQUMQXUGWXNXJYXOXVTXUGYXLTPZYXNWXNPZNYXLV
        EYXOWXNPYYBXUGWUIUAVWCVWDXGXUGYYCNYXLXUGWVAYXLPWVAUOPZYYCXUGYXLUOWVAXUF
        YXLUOVJWUSXUFHUOWUIXUQVWEZVBYHXUFYYDYYCWUSXUFYYDRZVDWXNYXNXVFYYFYXMYYFW
        EWVAXUKYYFWRXGYYFWVAXUFYYDWFXBXCVWFZXEZWNVWGYGYXLYXNNTNYXLVQYIWIXEYXRXU
        GVWHXGXUGWUOWXNPZYXTWUSYYIXUFVDWXNWUOXVFVWIXAWUOVWJYNZXUFYYAWUSXUFYXOUO
        YXNNUKZYPUMXUFYXLYXNUONTXUFNVPZUOTPXUFVWKXGYYHYYEVWLXUFYYKUOYXNNVWMYPXU
        FYXNYPWEWVLVKVIZVLVIZONOUOYYNVSZYPWVAWVLWPYXMYYMYPVLWVAWVLWEVKVWNYRYYFV
        DWAWBVWOVIZYXNVDXVEYYPUVDWAWBVWPUVGZYYGXEYYDWVAYYOUJYXNWPXUFYYDOWVAYYNY
        XNUOYYOTYYDYYOVWQYYDWVLWVAWPZRZYYMYXMYPVLYYSWVLWVAWEVKYYDYYRWFYRYRYYDVV
        MYYDYPYXMVLVWRVWSXAVCYYOYPVXJYPVXAQZXUFYPYSPYYTVWTYPOYYOYYOXOVXBXQXGYPU
        LPXUFVXCXGVXDNVXEVXFVXGVBYXOYPWUOVXHVXIXUGYXHHWUOYPWVPVLVIZYQVIZBUKWUOH
        UUUABUKZYQVIYXPXUGHWVQUUUBBXUFWUSBAWUJBWWPWWSVRZWWTVRXUGWVQUUUBWPBHXUHW
        VQWUOUUUAVXKVIZUUUBXUHWUOWVPXUHWUOXVJVXLXUFWXBWVPYSPWUSXUJWVPXVLVXLWNXU
        FWXBWVPWAVXMWUSXUJWEWVOWEYSPXUJVXNXGWEWAVXMXUJVXOXGXUSVXPWNVXQXUHXVIUUU
        AULPZUUUBUUUEWPXVJXUFWXBUUUFWUSXUJVDULUUUAWOXUJYPWVPYPVDPXUJVXRXGXUTXDZ
        XEWNWUOUUUAVXSWIVXTYGVYAXUGHUUUAWUOBTAWWDWUJWUSWWOYFXUFWXBUUUAWXNPWUSXU
        JVDWXNUUUAXVFUUUGXEZWNXUFVDYYPWUOVDYYPVJXUFYYQXGYHVYBXUGUUUCYXOWUOYQXUF
        UUUCYXOWPWUSXUFUUUCWWEWVOWPBHVMUDVYTZYXNNUKYXOXUFNUDHUUUAWVOYXNBTUOBYXN
        VQUUUDWWQWVAWVOWPYXMWVPYPVLWVAWVOWEVKVWNYRAWWDWUJWWOVBWUJBHWVOVSZWSZWTZ
        AWUJXUNUUULWUJXULXUNXUOYBWUJXUMUUUKWUJWUIUUUJWUJBHUOWUIXUPVYCVYDVYEUVRX
        AUUUHXURVYFXUFYXLUUUIYXNNYYLXUFXULWUIHUYQYXLUUUIWPXUQHUOWUIVUIBUDHWUIVY
        KYKVVGVXTVBYRVYGXUGYXJYXQWUOWPXUGYXJYXSYYJYCWUOVYHVAVYIXNYXHWUOWUCVYJVX
        IVYLYTYTYTXXAWUDXVIXXBWUPWPXYHXXAWUOXYJVYMWUCWUOUVEWIVXGWUAYDVYNYJYGWUH
        WUGWURWJZWUJAXXHWUDUUUMXXOUBWUFWUCVYOXHVBWLYDVYNYJAWUDXKZRZWUFWBWUCUMUU
        UOXXHWUFWBUMQAXXHUUUNXXOVBWUFVYPVAAWUCWXNPZUUUNWUCWBWPAWWDWYCBHVEUUUPWW
        OAWYCBHXUCYGHWUBBTWWQYIWIWUCVYQXHVYRVYS $.
    $}
  $}

  $c toCaraSiga $.

  $( Class declaration for the Caratheodory sigma-Algebra construction. $)
  ccarsg $a class toCaraSiga $.

  ${
    $d m a e $.
    $( Define a function constructing Caratheodory measurable sets for a given
       outer measure.  See ~ carsgval for its value.  Definition 1.11.2 of
       [Bogachev] p. 41.  (Contributed by Thierry Arnoux, 17-May-2020.) $)
    df-carsg $a |- toCaraSiga = ( m e. _V |-> { a e. ~P U. dom m |
       A. e e. ~P U. dom m
         ( ( m ` ( e i^i a ) ) +e ( m ` ( e \ a ) ) ) = ( m ` e ) } ) $.
  $}

  ${
    $d M a e m $.  $d O a e m $.  $d a e m ph $.
    carsgval.1 $e |- ( ph -> O e. V ) $.
    carsgval.2 $e |- ( ph -> M : ~P O --> ( 0 [,] +oo ) ) $.
    $( Value of the Caratheodory sigma-Algebra construction function.
       (Contributed by Thierry Arnoux, 17-May-2020.) $)
    carsgval $p |- ( ph ->
       ( toCaraSiga ` M ) = { a e. ~P O | A. e e. ~P O
         ( ( M ` ( e i^i a ) ) +e ( M ` ( e \ a ) ) ) = ( M ` e ) } ) $=
      ( vm cv cfv cxad co wceq cdm cuni cpw cvv fveq1 wcel cin cdif wral ccarsg
      crab df-carsg wa simpr dmeqd cc0 cpnf cicc fdmd adantr eqtrd unieqd unipw
      eqtrdi pweqd oveq12d eqeq12d adantl raleqbidv rabeqbidv pwexd fexd rabexg
      wb pwexg 3syl fvmptd2 ) AICBJZFJZUAZIJZKZVLVMUBZVOKZLMZVLVOKZNZBVOOZPZQZU
      CZFWDUEVNCKZVQCKZLMZVLCKZNZBDQZUCZFWKUEZRUDRBIFUFAVOCNZUGZWEWLFWDWKWOWCDW
      OWCWKPDWOWBWKWOWBCOZWKWOVOCAWNUHUIAWPWKNWNAWKUJUKULMZCHUMUNUOUPDUQURUSZWO
      WAWJBWDWKWRWNWAWJVHAWNVSWHVTWIWNVPWFVRWGLVNVOCSVQVOCSUTVLVOCSVAVBVCVDAWKW
      QRCHADEGVEVFADETWKRTWMRTGDEVIWLFWKRVGVJVK $.

    $( Closure of the Caratheodory measurable sets.  (Contributed by Thierry
       Arnoux, 17-May-2020.) $)
    carsgcl $p |- ( ph -> ( toCaraSiga ` M ) C_ ~P O ) $=
      ( ve va ccarsg cfv cv cin cdif cxad co wceq cpw wral crab carsgval ssrab2
      eqsstrdi ) ABIJGKZHKZLBJUCUDMBJNOUCBJPGCQZRZHUESUEAGBCDHEFTUFHUEUAUB $.

    $d A a e $.
    $( Property of being a Caratheodory measurable set.  (Contributed by
       Thierry Arnoux, 17-May-2020.) $)
    elcarsg $p |- ( ph -> ( A e. ( toCaraSiga ` M )
       <-> ( A C_ O /\ A. e e. ~P O
         ( ( M ` ( e i^i A ) ) +e ( M ` ( e \ A ) ) ) = ( M ` e ) ) ) ) $=
      ( va cfv wcel cv cin cdif cxad co wceq wral wa fveq2d ccarsg cpw crab wss
      carsgval eleq2d ineq2 difeq2 oveq12d eqeq1d ralbidv elrab cvv wi elex a1i
      adantr simpr ssexd ex wb elpwg pm5.21ndd anbi1d syl5bb bitrd ) ABDUAJZKBC
      LZILZMZDJZVHVINZDJZOPZVHDJZQZCEUBZRZIVQUCZKZBEUDZVHBMZDJZVHBNZDJZOPZVOQZC
      VQRZSZAVGVSBACDEFIGHUEUFVTBVQKZWHSAWIVRWHIBVQVIBQZVPWGCVQWKVNWFVOWKVKWCVM
      WEOWKVJWBDVIBVHUGTWKVLWDDVIBVHUHTUIUJUKULAWJWAWHABUMKZWJWAWJWLUNABVQUOUPA
      WAWLAWASBEFAEFKWAGUQAWAURUSUTWLWJWAVAUNABEUMVBUPVCVDVEVF $.

    ${
      baselcarsg.1 $e |- ( ph -> ( M ` (/) ) = 0 ) $.
      $( The universe set, ` O ` , is Caratheodory measurable.  (Contributed by
         Thierry Arnoux, 17-May-2020.) $)
      baselcarsg $p |- ( ph -> O e. ( toCaraSiga ` M ) ) $=
        ( ve cfv wcel wss cxad co wceq wa cc0 sylib fveq2d c0 adantr ccarsg cin
        cv cdif cpw wral ssidd elpwi adantl df-ss ssdif0 eqtrd oveq12d cxr cpnf
        cicc iccssxr wf simpr ffvelrnd sselid xaddid1 syl ralrimiva jca elcarsg
        mpbird ) ACBUAIJCCKZHUCZCUBZBIZVICUDZBIZLMZVIBIZNZHCUEZUFZOAVHVRACUGAVP
        HVQAVIVQJZOZVNVOPLMZVOVTVKVOVMPLVTVJVIBVTVICKZVJVINVSWBAVICUHUIZVICUJQR
        VTVMSBIZPVTVLSBVTWBVLSNWCVICUKQRAWDPNVSGTULUMVTVOUNJWAVONVTPUOUPMZUNVOP
        UOUQVTVQWEVIBAVQWEBURVSFTAVSUSUTVAVOVBVCULVDVEACHBCDEFVFVG $.

      $( The empty set is Caratheodory measurable.  (Contributed by Thierry
         Arnoux, 30-May-2020.) $)
      0elcarsg $p |- ( ph -> (/) e. ( toCaraSiga ` M ) ) $=
        ( ve c0 ccarsg cfv wcel cxad co wceq a1i cc0 fveq2i cxr cpnf wss cv cin
        cdif cpw wral 0ss in0 syl5eq dif0 oveq12d adantr cicc iccssxr ffvelrnda
        wa sselid xaddid2 syl eqtrd ralrimiva elcarsg mpbir2and ) AIBJKLICUAZHU
        BZIUCZBKZVEIUDZBKZMNZVEBKZOZHCUEZUFVDACUGPAVLHVMAVEVMLZUPZVJQVKMNZVKAVJ
        VPOVNAVGQVIVKMAVGIBKQVFIBVEUHRGUIVIVKOAVHVEBVEUJRPUKULVOVKSLVPVKOVOQTUM
        NZSVKQTUNAVMVQVEBFUOUQVKURUSUTVAAIHBCDEFVBVC $.

      $( The union of all Caratheodory measurable sets is the universe.
         (Contributed by Thierry Arnoux, 22-May-2020.) $)
      carsguni $p |- ( ph -> U. ( toCaraSiga ` M ) = O ) $=
        ( va ccarsg cfv cuni wss wcel wceq cv wral wa cpw carsgcl sselda elpwid
        ralrimiva unissb sylibr baselcarsg unissel syl2anc ) ABIJZKZCLZCUHMUICN
        AHOZCLZHUHPUJAULHUHAUKUHMQUKCAUHCRUKABCDEFSTUAUBHUHCUCUDABCDEFGUEUHCUFU
        G $.
    $}

    ${
      difelcarsg.1 $e |- ( ph -> A e. ( toCaraSiga ` M ) ) $.
      $( Caratheodory measurable sets are subsets of the universe.
         (Contributed by Thierry Arnoux, 21-May-2020.) $)
      elcarsgss $p |- ( ph -> A C_ O ) $=
        ( ccarsg cfv cpw carsgcl sseldd elpwid ) ABDACIJDKBACDEFGLHMN $.

      $( The Caratheodory measurable sets are closed under complement.
         (Contributed by Thierry Arnoux, 17-May-2020.) $)
      difelcarsg $p |- ( ph -> ( O \ A ) e. ( toCaraSiga ` M ) ) $=
        ( ve cdif cfv wcel wss cin cxad co wceq wa c0 cxr ccarsg cv wral difssd
        cpw indif2 elpwi adantl df-ss sylib difeq1d syl5eq fveq2d ssdif0 uneq1d
        cun difdif2 uncom un0 eqtr3i eqtrdi oveq12d cpnf cicc iccssxr wf adantr
        simpr elpwdifcl ffvelrnd sselid elpwincl1 xaddcom syl2anc elcarsg mpbid
        cc0 simprd r19.21bi 3eqtrd ralrimiva jca mpbird ) ADBJZCUAKZLWDDMZIUBZW
        DNZCKZWGWDJZCKZOPZWGCKZQZIDUEZUCZRAWFWPADBUDAWNIWOAWGWOLZRZWLWGBJZCKZWG
        BNZCKZOPZXBWTOPZWMWRWIWTWKXBOWRWHWSCWRWHWGDNZBJWSWGDBUFWRXEWGBWRWGDMZXE
        WGQWQXFAWGDUGUHZWGDUIUJUKULUMWRWJXACWRWJWGDJZXAUPZXAWGDBUQWRXISXAUPZXAW
        RXHSXAWRXFXHSQXGWGDUNUJUOXASUPXJXAXASURXAUSUTVAULUMVBWRWTTLXBTLXCXDQWRV
        QVCVDPZTWTVQVCVEZWRWOXKWSCAWOXKCVFWQGVGZWRWGBDAWQVHZVIVJVKWRXKTXBXLWRWO
        XKXACXMWRWGBDXNVLVJVKWTXBVMVNAXDWMQZIWOABDMZXOIWOUCZABWELXPXQRHABICDEFG
        VOVPVRVSVTWAWBAWDICDEFGVOWC $.

      $d A a b f $.  $d B a b e f $.  $d M a b f $.  $d O a b f $.
      $d a b f ph $.
      inelcarsg.1 $e |- ( ( ph /\ a e. ~P O /\ b e. ~P O )
          -> ( M ` ( a u. b ) ) <_ ( ( M ` a ) +e ( M ` b ) ) ) $.
      inelcarsg.2 $e |- ( ph -> B e. ( toCaraSiga ` M ) ) $.
      $( The Caratheodory measurable sets are closed under intersection.
         (Contributed by Thierry Arnoux, 18-May-2020.) $)
      inelcarsg $p |- ( ph -> ( A i^i B ) e. ( toCaraSiga ` M ) ) $=
        ( cfv wcel cxad co wceq cle cxr ve cin ccarsg wss cdif cpw wral elcarsg
        vf cv wa mpbid simpld ssinss1 syl wbr cpnf cicc iccssxr wf adantr simpr
        cc0 elpwdifcl ffvelrnd sselid elpwincl1 xaddcld indifundif fveq2i 3expb
        cun ralrimivva uneq1 fveq2d fveq2 oveq1d breq12d oveq2d rspc2v syl21anc
        uneq2 eqbrtrrid xleadd2a syl31anc simprd wb ineq1 difeq1 oveq12d adantl
        imp eqeq12d rspcdv mpd xrge0addass syl3anc inass oveq1i eqtrdi r19.21bi
        3eqtr3d breqtrd inundif jca ffvelrnda xrletri3 syl2anc mpbird ralrimiva
        ) ABCUBZDUCNZOXKEUDZUAUJZXKUBZDNZXNXKUEZDNZPQZXNDNZRZUAEUFZUGZUKAXMYCAB
        EUDZXMAYDXNBUBZDNZXNBUEZDNZPQZXTRZUAYBUGZABXLOYDYKUKKABUADEFIJUHULZUMBC
        EUNUOAYAUAYBAXNYBOZUKZYAXSXTSUPZXTXSSUPZUKZYNYOYPYNXSXPYECUEZDNZYHPQZPQ
        ZXTSYNXRTOYTTOXPTOXRYTSUPXSUUASUPYNVCUQURQZTXRVCUQUSZYNYBUUBXQDAYBUUBDU
        TYMJVAZYNXNXKEAYMVBZVDZVEVFZYNYSYHYNUUBTYSUUCYNYBUUBYRDUUDYNYECEYNXNBEU
        UEVGZVDZVEZVFYNUUBTYHUUCYNYBUUBYGDUUDYNXNBEUUEVDZVEZVFVHYNUUBTXPUUCYNYB
        UUBXODUUDYNXNXKEUUEVGZVEVFZYNXRYRYGVLZDNZYTSUUOXQDXNBCVIVJYNYRYBOZYGYBO
        ZGUJZHUJZVLZDNZUUSDNZUUTDNZPQZSUPZHYBUGGYBUGZUUPYTSUPZUUIUUKAUVGYMAUVFG
        HYBYBAUUSYBOUUTYBOUVFLVKVMVAZUUQUURUKUVGUVHUVFUVHYRUUTVLZDNZYSUVDPQZSUP
        GHYRYGYBYBUUSYRRZUVBUVKUVEUVLSUVMUVAUVJDUUSYRUUTVNVOUVMUVCYSUVDPUUSYRDV
        PVQVRUUTYGRZUVKUUPUVLYTSUVNUVJUUODUUTYGYRWBVOUVNUVDYHYSPUUTYGDVPVSVRVTW
        LWAWCXRYTXPWDWEYNYECUBZDNZYSPQZYHPQZYIUUAXTYNUVQYFYHPYNUIUJZCUBZDNZUVSC
        UEZDNZPQZUVSDNZRZUIYBUGZUVQYFRZAUWGYMACEUDZUWGACXLOUWIUWGUKMACUIDEFIJUH
        ULWFVAYNUWFUWHUIYEYBUUHUVSYERZUWFUWHWGYNUWJUWDUVQUWEYFUWJUWAUVPUWCYSPUW
        JUVTUVODUVSYECWHVOUWJUWBYRDUVSYECWIVOWJUVSYEDVPWMWKWNWOVQYNUVRUVPYTPQZU
        UAYNUVPUUBOYSUUBOYHUUBOUVRUWKRYNYBUUBUVODUUDYNYECEUUHVGVEUUJUULUVPYSYHW
        PWQUVPXPYTPUVOXODXNBCWRVJWSWTAYJUAYBAYDYKYLWFXAXBXCYNXTXOXQVLZDNZXSSUWL
        XNDXNXKXDVJYNXOYBOZXQYBOZUVGUWMXSSUPZUUMUUFUVIUWNUWOUKUVGUWPUVFUWPXOUUT
        VLZDNZXPUVDPQZSUPGHXOXQYBYBUUSXORZUVBUWRUVEUWSSUWTUVAUWQDUUSXOUUTVNVOUW
        TUVCXPUVDPUUSXODVPVQVRUUTXQRZUWRUWMUWSXSSUXAUWQUWLDUUTXQXOWBVOUXAUVDXRX
        PPUUTXQDVPVSVRVTWLWAWCXEYNXSTOXTTOYAYQWGYNXPXRUUNUUGVHYNUUBTXTUUCAYBUUB
        XNDJXFVFXSXTXGXHXIXJXEAXKUADEFIJUHXI $.

      $( The Caratheodory-measurable sets are closed under pairwise unions.
         (Contributed by Thierry Arnoux, 21-May-2020.) $)
      unelcarsg $p |- ( ph -> ( A u. B ) e. ( toCaraSiga ` M ) ) $=
        ( cdif cun wss wceq elcarsgss dfss4 difelcarsg ccarsg cfv sylib uneq12d
        cin difindi inelcarsg eqeltrrid eqeltrrd ) AEEBNZNZEECNZNZOZBCODUAUBZAU
        KBUMCABEPUKBQABDEFIJKRBESUCACEPUMCQACDEFIJMRCESUCUDAUNEUJULUEZNUOEUJULU
        FAUPDEFIJAUJULDEFGHIJABDEFIJKTLACDEFIJMTUGTUHUI $.

      $( The Caratheodory-measurable sets are closed under class difference.
         (Contributed by Thierry Arnoux, 30-May-2020.) $)
      difelcarsg2 $p |- ( ph -> ( A \ B ) e. ( toCaraSiga ` M ) ) $=
        ( cdif cin ccarsg cfv wss wceq elcarsgss difin2 syl difelcarsg eqeltrd
        inelcarsg ) ABCNZECNZBOZDPQABERUFUHSABDEFIJKTBCEUAUBAUGBDEFGHIJACDEFIJM
        UCLKUEUD $.
    $}

    ${
      $d A x y $.  $d B y $.  $d M x y $.  $d O x y $.  $d ph x y $.
      carsgmon.1 $e |- ( ph -> A C_ B ) $.
      carsgmon.2 $e |- ( ph -> B e. ~P O ) $.
      carsgmon.3 $e |- ( ( ph /\ x C_ y /\ y e. ~P O )
        -> ( M ` x ) <_ ( M ` y ) ) $.
      $( Utility lemma:  Apply monotony.  (Contributed by Thierry Arnoux,
         29-May-2020.) $)
      carsgmon $p |- ( ph -> ( M ` A ) <_ ( M ` B ) ) $=
        ( wcel wss cfv cle wbr w3a wi cvv cpw ssexd id wa cv wceq sseq1 3anbi2d
        fveq2 breq1d imbi12d sseq2 eleq1 3anbi23d breq2d vtocl2g imp syl23anc )
        ADUANZEGUBZNZADEOZVBDFPZEFPZQRZADEVALKUCLAUDKLUTVBUEAVCVBSZVFABUFZCUFZO
        ZVIVANZSZVHFPZVIFPZQRZTADVIOZVKSZVDVNQRZTVGVFTBCDEUAVAVHDUGZVLVQVOVRVSV
        JVPAVKVHDVIUHUIVSVMVDVNQVHDFUJUKULVIEUGZVQVGVRVFVTVPVCVKVBAVIEDUMVIEVAU
        NUOVTVNVEVDQVIEFUJUPULMUQURUS $.
    $}

    $d A a b e f x y $.  $d E a b e x y $.  $d M a b e f x y $.
    $d O e f x y $.  $d a b e f x y ph $.
    carsgsiga.1 $e |- ( ph -> ( M ` (/) ) = 0 ) $.
    carsgsiga.2 $e |- ( ( ph /\ x ~<_ _om /\ x C_ ~P O )
      -> ( M ` U. x ) <_ sum* y e. x ( M ` y ) ) $.
    $( Lemma for the following theorems.  (Contributed by Thierry Arnoux,
       23-May-2020.) $)
    carsgsigalem $p |- ( ( ph /\ e e. ~P O /\ f e. ~P O )
      -> ( M ` ( e u. f ) ) <_ ( ( M ` e ) +e ( M ` f ) ) ) $=
      ( wcel cfv cle wbr wceq wa fveq2d adantr cv cpw w3a cun cxad simpr uneq2d
      co unidm eqtr3di cxr cc0 cpnf cicc iccssxr wf simp1 simp2 ffvelrnd sselid
      syl eqeltrrd simp3 elxrge0 simprbi xraddge02 imp syl21anc eqbrtrd wne cpr
      cesum cuni uniprg 3adant1 com cdom wss prct prssi cvv wi prex breq1 sseq1
      unieq esumeq1 breq12d imbi12d vtoclg ax-mp syl3anc adantlr esumpr breqtrd
      3anbi23d eqbrtrrd pm2.61dane ) ADUAZGUBZMZEUAZWTMZUCZWSXBUDZFNZWSFNZXBFNZ
      UEUHZOPWSXBXDWSXBQZRZXFXGXIOXKXEWSFXKWSWSUDXEWSXKWSXBWSXDXJUFZUGWSUIUJSXK
      XGUKMZXHUKMZULXHOPZXGXIOPZXDXMXJXDULUMUNUHZUKXGULUMUOXDWTXQWSFXDAWTXQFUPA
      XAXCUQZJVAZAXAXCURZUSZUTTZXKXGXHUKXKWSXBFXLSYBVBXKXHXQMZXOXDYCXJXDWTXQXBF
      XSAXAXCVCZUSZTYCXNXOXHVDVEVAXMXNRXOXPXGXHVFVGVHVIXDWSXBVJZRZXFWSXBVKZCUAZ
      FNZCVLZXIOXDXFYKOPYFXDYHVMZFNZXFYKOXAXCYMXFQAXAXCRYLXEFWSXBWTWTVNSVOXDAYH
      VPVQPZYHWTVRZYMYKOPZXRXAXCYNAWSXBWTWTVSVOXAXCYOAWSXBWTVTVOYHWAMAYNYOUCZYP
      WBZWSXBWCABUAZVPVQPZYSWTVRZUCZYSVMZFNZYSYJCVLZOPZWBYRBYHWAYSYHQZUUBYQUUFY
      PUUGYTYNUUAYOAYSYHVPVQWDYSYHWTWEWPUUGUUDYMUUEYKOUUGUUCYLFYSYHWFSYSYHYJCWG
      WHWILWJWKWLWQTYGWSXBYJXGCXHWTWTXDYIWSQZYJXGQYFXDUUHRYIWSFXDUUHUFSWMXDYIXB
      QZYJXHQYFXDUUIRYIXBFXDUUIUFSWMXDXAYFXTTXDXCYFYDTXDXGXQMYFYATXDYCYFYETXDYF
      UFWNWOWR $.

    ${
      fiunelcarsg.1 $e |- ( ph -> A e. Fin ) $.
      fiunelcarsg.2 $e |- ( ph -> A C_ ( toCaraSiga ` M ) ) $.
      $( The Caratheodory measurable sets are closed under finite union.
         (Contributed by Thierry Arnoux, 23-May-2020.) $)
      fiunelcarsg $p |- ( ph -> U. A e. ( toCaraSiga ` M ) ) $=
        ( cv cuni cfv wcel c0 cun wceq va vb ve ccarsg unieq eqidd eleq12d cdif
        vf csn uni0 difid eqtr4i baselcarsg difelcarsg eqeltrid wss uniun unisn
        wa vex uneq2i eqtri ad2antrr cpw cc0 cpnf cicc co wf simpr cxad cle wbr
        simpll carsgsigalem syl3an1 simplrr eldifad sseldd unelcarsg findcard2d
        ex ) AUANZOZEUDPZQROZWFQUBNZOZWFQZWHBNZUJZSZOZWFQZDOZWFQUAUBBDWDRTZWEWG
        WFWFWDRUEWQWFUFUGWDWHTZWEWIWFWFWDWHUEWRWFUFUGWDWMTZWEWNWFWFWDWMUEWSWFUF
        UGWDDTZWEWPWFWFWDDUEWTWFUFUGAWGFFUHZWFWGRXAUKFULUMAFEFGHIAEFGHIJUNUOUPA
        WHDUQZWKDWHUHQZUTZUTZWJWOXEWJUTZWNWIWKSZWFWNWIWLOZSXGWHWLURXHWKWIWKBVAU
        SVBVCXFWIWKEFGUCUIAFGQXDWJHVDAFVEZVFVGVHVIEVJXDWJIVDXEWJVKXFAUCNZXIQUIN
        ZXIQXJXKSEPXJEPXKEPVLVIVMVNAXDWJVOABCUCUIEFGHIJKVPVQXFDWFWKADWFUQXDWJMV
        DXFWKDWHAXBXCWJVRVSVTWAUPWCLWB $.

      ${
        carsgclctunlem1.1 $e |- ( ph -> Disj_ y e. A y ) $.
        carsgclctunlem1.2 $e |- ( ph -> E e. ~P O ) $.
        $( Lemma for ~ carsgclctun .  (Contributed by Thierry Arnoux,
           23-May-2020.) $)
        carsgclctunlem1 $p |- ( ph
          -> ( M ` ( E i^i U. A ) ) = sum* y e. A ( M ` ( E i^i y ) ) ) $=
          ( cin cfv wceq c0 va vb ve cv cuni cesum csn cun unieq ineq2d esumeq1
          fveq2d eqeq12d cc0 uni0 ineq2i eqtri fveq2i esumnul 3eqtr4g cdif wcel
          in0 wss wa cxad co simpr eqcomd simprr cpw cpnf cicc adantr elpwincl1
          wf ffvelrnd esumsn oveq12d nfv nfcv cvv vex a1i snex wn disjsn sylibr
          eldifbd ad2antrr esumsplit uniun unisn uneq2i inass indir inidm incom
          wdisj adantrr disjuniel eqtr3id un0 eqtrdi syl5eq indif2 uncom difun2
          uneq12d difeq1i disj3 biimpi eqtr4id syl wral ccarsg com cdom wbr cle
          3adant1r cfn ssfi sylan sstrd fiunelcarsg elcarsg mpbid simprd ineq1d
          wb difeq1d rspcdv mpd eqtr3d 3eqtr4rd ex findcard2d ) AEUAUDZUEZQZFRZ
          YSECUDZQZFRZCUFZSETUEZQZFRZTUUECUFZSEUBUDZUEZQZFRZUUKUUECUFZSZEUUKBUD
          ZUGZUHZUEZQZFRZUUSUUECUFZSZEDUEZQZFRZDUUECUFZSUAUBBDYSTSZUUBUUIUUFUUJ
          UVIUUAUUHFUVIYTUUGEYSTUIUJULYSTUUECUKUMYSUUKSZUUBUUNUUFUUOUVJUUAUUMFU
          VJYTUULEYSUUKUIUJULYSUUKUUECUKUMYSUUSSZUUBUVBUUFUVCUVKUUAUVAFUVKYTUUT
          EYSUUSUIUJULYSUUSUUECUKUMYSDSZUUBUVGUUFUVHUVLUUAUVFFUVLYTUVEEYSDUIUJU
          LYSDUUECUKUMATFRZUNUUIUUJKUUHTFUUHETQTUUGTEUOUPEVCUQURCUUEUSUTAUUKDVD
          ZUUQDUUKVAZVBZVEZVEZUUPUVDUVRUUPVEZUUOUURUUECUFZVFVGZUUNEUUQQZFRZVFVG
          ZUVCUVBUVSUUOUUNUVTUWCVFUVSUUNUUOUVRUUPVHVIUVRUVTUWCSUUPUVRUUEUWCCUUQ
          UVOUVRUUCUUQSZVEZUUDUWBFUWFUUCUUQEUVRUWEVHUJULAUVNUVPVJZUVRGVKZUNVLVM
          VGZUWBFAUWHUWIFVPZUVQJVNUVREUUQGAEUWHVBZUVQPVNZVOVQVRVNVSUVRUVCUWASUU
          PUVRUUKUURUUECUVRCVTCUUKWACUURWAUUKWBVBUVRUBWCWDUURWBVBUVRUUQWEWDUVRU
          UQUUKVBWFUUKUURQTSUVRUUQDUUKUWGWIUUKUUQWGWHUVRUUCUUKVBZVEZUWHUWIUUDFA
          UWJUVQUWMJWJUWNEUUCGAUWKUVQUWMPWJVOVQUVRUUCUURVBZVEZUWHUWIUUDFAUWJUVQ
          UWOJWJUWPEUUCGAUWKUVQUWOPWJVOVQWKVNUVSUVBEUULUUQUHZQZFRZUWDUVAUWRFUUT
          UWQEUUTUULUURUEZUHUWQUUKUURWLUWTUUQUULUUQBWCWMWNUQUPURUVRUWDUWSSUUPUV
          RUWRUULQZFRZUWRUULVAZFRZVFVGZUWDUWSUVRUXBUUNUXDUWCVFUVRUXAUUMFUVRUXAE
          UWQUULQZQUUMEUWQUULWOUVRUXFUULEUVRUXFUULUULQZUUQUULQZUHZUULUULUUQUULW
          PUVRUXIUULTUHUULUVRUXGUULUXHTUXGUULSUVRUULWQWDUVRUXHUULUUQQTUULUUQWRU
          VRCDUUKUUQACDUUCWSUVQOVNAUVNUVNUVPAUVNVHZWTUWGXAXBZXIUULXCXDXEUJXEULU
          VRUXCUWBFUVRUXCEUWQUULVAZQUWBEUWQUULXFUVRUXLUUQEUVRUXHTSZUXLUUQSUXKUX
          MUXLUUQUULUHZUULVAZUUQUWQUXNUULUULUUQXGXJUXMUXOUUQUULVAZUUQUUQUULXHUX
          MUUQUXPSUUQUULXKXLXMXEXNUJXBULVSUVRUCUDZUULQZFRZUXQUULVAZFRZVFVGZUXQF
          RZSZUCUWHXOZUXEUWSSZAUVNUYEUVPAUVNVEZUULGVDZUYEUYGUULFXPRZVBZUYHUYEVE
          ZUYGBCUUKFGHAGHVBUVNIVNAUWJUVNJVNAUVMUNSUVNKVNAUUQXQXRXSUUQUWHVDUUQUE
          FRUUQUUCFRCUFXTXSUVNLYAADYBVBUVNUUKYBVBMDUUKYCYDUYGUUKDUYIUXJADUYIVDU
          VNNVNYEYFAUYJUYKYKUVNAUULUCFGHIJYGVNYHYIWTUVRUYDUYFUCUWRUWHUVREUWQGUW
          LVOUVRUXQUWRSZVEZUYBUXEUYCUWSUYMUXSUXBUYAUXDVFUYMUXRUXAFUYMUXQUWRUULU
          VRUYLVHZYJULUYMUXTUXCFUYMUXQUWRUULUYNYLULVSUYMUXQUWRFUYNULUMYMYNYOVNX
          MYPYQMYR $.
      $}
    $}

    ${
      $d A f k n z $.  $d M f k n z $.  $d O f k z $.  $d k n x y z ph $.
      carsggect.0 $e |- ( ph -> -. (/) e. A ) $.
      carsggect.1 $e |- ( ph -> A ~<_ _om ) $.
      carsggect.2 $e |- ( ph -> A C_ ( toCaraSiga ` M ) ) $.
      carsggect.3 $e |- ( ph -> Disj_ y e. A y ) $.
      carsggect.4 $e |- ( ( ph /\ x C_ y /\ y e. ~P O )
        -> ( M ` x ) <_ ( M ` y ) ) $.
      $( The outer measure is countably superadditive on Caratheodory
         measurable sets.  (Contributed by Thierry Arnoux, 31-May-2020.) $)
      carsggect $p |- ( ph -> sum* z e. A ( M ` z ) <_ ( M ` U. A ) ) $=
        ( cn wcel adantr vf vk vn c0 csn cun cv wf crn wss ccnv cres wfun cesum
        w3a cfv cuni cle wbr com cdom cvv wn wex 0ex a1i padct syl3anc cmpt nfv
        wa simpr1 feqmptd rneqd esumeq1d wceq ccarsg fvex cpw cc0 cpnf 0elcarsg
        cicc co snssd unssd ssexd carsgcl sstrd 0elpw sselda ffvelrnd frnd ctex
        esummono elsni adantl fveq2d eqtrd esumpad breqtrd ssexg sylancl simpr2
        syl jca cxr wb iccssxr wral ralrimiva nfcv esumcl syl2anc sselid mpbird
        xrletri3 fveq2 nnex simpr sseldd ad2antrr cima cdif wdisj cnvimass 3syl
        esumrnmpt2 c1 cin 3adant1r wfn cfn mpan2 ax-mp disjss1 sseqtrdi sseqin2
        sylib eqbrtrrd fssdm ffun difpreima fimacnv difeq1d uncom difun2 eqtr3i
        difeq1i eqsstri sspreima eqsstrrd fvimacnvi wf1o simpr3 fresf1o disjrdx
        difss fvres disjeq2dv bitr3d mpbid biimpa syl21anc 3eqtr3rd ciun uniiun
        disjss3 elpwiuncl eqeltrid cfz cbvesum breqtrdi fz1ssnn fzfi fnfi resss
        ffn fnssres rnfi rnss cbvdisj disjun0 sylbi sylc carsgclctunlem1 unissd
        pwidg uniun unisn uneq2i un0 3eqtri uniss unipw elpwid esumeq2d reseq1d
        resmpt eqtrdi eqcomd adantlr syldan ad3antrrr 3eqtr2d carsgmon esumgect
        id wi 3eqtr3d exlimddv ) AREUDUEZUFZUAUGZUHZEUXNUIZUJZUXNUKZEULUMZUOZED
        UGZFUPZDUNZEUQZFUPZURUSUAAEUTVAUSZUDVBSZUDESVCUXTUAVDNUYGAVEVFMEUAVBUDV
        GVHAUXTVKZRUBUGZUXNUPZFUPZUBUNZUYCUYEURUYHUXPUYBDUNZUBRUYJVIZUIZUYBDUNU
        YCUYLUYHUXPUYOUYBDUYHDVJZUYHUXNUYNUYHUBRUXMUXNAUXOUXQUXSVLZVMZVNVOUYHUY
        MUYCVPZUYMUYCURUSZUYCUYMURUSZVKZUYHUYTVUAUYHUYMUXMUYBDUNUYCURUYHUXPUYBU
        XMDVBUYPUYHUXMFVQUPZVBVUCVBSZUYHFVQVRZVFZUYHEUXLVUCAEVUCUJUXTOTUYHUDVUC
        UYHFGHAGHSZUXTITZAGVSZVTWAWCWDZFUHZUXTJTZAUDFUPZVTVPZUXTKTZWBWEZWFZWGUY
        HUYAUXMSZVKVUIVUJUYAFUYHVUKVURVULTUYHUXMVUIUYAUYHEUXLVUIAEVUIUJZUXTAEVU
        CVUIOAFGHIJWHWIZTZUYHUDVUIUDVUISZUYHGWJZVFWEWFZWKWLUYHRUXMUXNUYQWMZWOUY
        HEUXLUYBDVBVBAEVBSZUXTAUYFVVFNEWNXEZTZUYHUXLVUCVBVUFVUPWGUYHUYAESZVKVUI
        VUJUYAFUYHVUKVVIVULTUYHEVUIUYAVVAWKWLZUYHUYAUXLSZVKZUYBVUMVTVVLUYAUDFVV
        KUYAUDVPUYHUYAUDWPWQWRUYHVUNVVKVUOTWSWTXAUYHEUYBUXPDVBUYPUYHUXPVUCUJVUD
        UXPVBSZUYHUXPUXMVUCVVEVUQWIZVUEUXPVUCVBXBXCZUYHUYAUXPSZVKVUIVUJUYAFUYHV
        UKVVPVULTUYHUXPVUIUYAUYHUXPUXMVUIVVEVVDWIWKWLZAUXOUXQUXSXDZWOXFUYHUYMXG
        SUYCXGSUYSVUBXHUYHVUJXGUYMVTWAXIZUYHVVMUYBVUJSZDUXPXJUYMVUJSVVOUYHVVTDU
        XPVVQXKUXPUYBDVBDUXPXLXMXNXOUYHVUJXGUYCVVSUYHVVFVVTDEXJUYCVUJSVVHUYHVVT
        DEVVJXKEUYBDVBDEXLXMXNXOUYMUYCXQXNXPUYHDRUYJUYBUYKUBVBVUIUYAUYJFXRZRVBS
        UYHXSVFUYHUYIRSZVKZVUIVUJUYJFUYHVUKVWBVULTVWCUXMVUIUYJUYHUXMVUIUJVWBVVD
        TVWCRUXMUYIUXNUYHUXOVWBUYQTUYHVWBXTWLYAZWLZVWDVWCUYJUDVPZVKZUYKVUMVTVWG
        UYJUDFVWCVWFXTWRUYHVUNVWBVWFVUOYBWSUYHUXREYCZRUJZVWFUBRVWHYDZXJZUBVWHUY
        JYEZUBRUYJYEZUYHRUXMVWHUXNUXNEYFUYQUUAUYHVWFUBVWJUYHUYIVWJSZVKZUYJUXLSZ
        VWFVWOUXNUMZUYIUXRUXLYCZSVWPUYHVWQVWNUYHUXOVWQUYQRUXMUXNUUBZXEZTUYHVWJV
        WRUYIUYHVWJUXRUXMEYDZYCZVWRUYHVXBUXRUXMYCZVWHYDZVWJUYHUXOVWQVXBVXDVPUYQ
        VWSUXMEUXNUUCYGUYHVXCRVWHUYHUXOVXCRVPUYQRUXMUXNUUDXEUUEWSUYHVWQVXAUXLUJ
        ZVXBVWRUJVWTVXEUYHVXAUXLEYDZUXLUXLEUFZEYDVXAVXFVXGUXMEUXLEUUFUUIUXLEUUG
        UUHUXLEUURUUJVFVXAUXLUXNUUKXNUULWKUYIUXLUXNUUMXNUYJUDWPXEXKUYHCECUGZYEZ
        VWLAVXIUXTPTUYHUBVWHUYIUXNVWHULZUPZYEVXIVWLUYHUBCVWHVXKEVXHVXJUYHVWQUXQ
        UXSVWHEVXJUUNVWTVVRAUXOUXQUXSUUOEUXNUUPVHUYHVXHVXKVPXTUUQUYHUBVWHVXKUYJ
        UYIVWHSVXKUYJVPUYHUYIVWHUXNUUSWQUUTUVAUVBVWIVWKVKVWLVWMUBVWHRUYJUVHUVCU
        VDZYHUVEUYHUYKUYEUBUCUYHVUIVUJUYDFVULAUYDVUISUXTAUYDBEBUGZUVFVUIBEUVGAE
        VXMGBVBVVGAEVUIVXMVUTWKUVIUVJTZWLVWEUYHUCUGZRSZVKZUXNYIVXOUVKWDZULZUIZU
        QZFUPZVXRUYKUBUNZUYEURVXQGVYAYJZFUPZVXTGUYAYJZFUPZDUNZVYBVYCUYHVYEVYHVP
        VXPUYHBDVXTGFGHVUHVULVUOUYHVXMUTVAUSZVXMVUIUJZUOVXMUQFUPZVXMVXHFUPZCUNZ
        VXMUYBDUNURAVYIVYJVYKVYMURUSUXTLYKVXMVYLUYBCDVXHUYAFXRDVXMXLCVXMXLDVYLX
        LCUYBXLUVLUVMUYHVXSVXRYLZVXSYMSZVXTYMSUYHUXOUXNRYLZVYNUYQRUXMUXNUVRVYPV
        XRRUJZVYNVXOUVNZRVXRUXNUVSYNYGVYNVXRYMSZVYOYIVXOUVOZVXRVXSUVPYNVXSUVTYG
        UYHVXTUXPVUCVXTUXPUJZUYHVXSUXNUJWUAUXNVXRUVQVXSUXNUWAYOVFZVVNWIUYHVXTUX
        MUJZDUXMUYAYEZDVXTUYAYEUYHVXTUXPUXMWUBVVEWIZAWUDUXTAVXIWUDPVXIDEUYAYEWU
        DCDEVXHUYADVXHXLCUYAXLVXHUYAVPUXHUWBDEUWCUWDXETDVXTUXMUYAYPUWEUYHVUGGVU
        ISVUHGHUWHXEUWFTVXQVYDVYAFVXQVYAGUJVYDVYAVPVXQVYAUYDGUYHVYAUYDUJVXPUYHV
        YAUXMUQZUYDUYHVXTUXMWUEUWGWUFUYDUXLUQZUFUYDUDUFUYDEUXLUWIWUGUDUYDUDVEUW
        JUWKUYDUWLUWMYQZTAUYDGUJZUXTVXPAVUSWUIVUTVUSUYDVUIUQGEVUIUWNGUWOYQXEYBW
        IVYAGYRYSWRVXQVYHVXTUYBDUNUBVXRUYJVIZUIZUYBDUNVYCVXQVXTVYGUYBDVXQDVJZVX
        QVYGUYBVPDVXTVXQUYAVXTSVKZVYFUYAFWUMUYAGUJVYFUYAVPWUMUYAGVXQVXTVUIUYAVX
        QVXTUXMVUIUYHWUCVXPWUETVXQEUXLVUIAVUSUXTVXPVUTYBVXQUDVUIVVBVXQVVCVFWEWF
        WIWKUWPUYAGYRYSWRXKUWQVXQWUKVXTUYBDWULVXQWUJVXSVXQVXSWUJVXQVXSUYNVXRULZ
        WUJUYHVXSWUNVPVXPUYHUXNUYNVXRUYRUWRTVYQWUNWUJVPVYRUBRVXRUYJUWSYOUWTUXAV
        NVOVXQDVXRUYJUYBUYKUBYMVUIVWAVYSVXQVYTVFVXQUYIVXRSZVKZVUIVUJUYJFUYHVUKV
        XPWUOVULYBVXQWUOVWBUYJVUISZVXQVXRRUYIVYQVXQVYRVFWKUYHVWBWUQVXPVWDUXBUXC
        ZWLWURWUPVWFVKZUYKVUMVTWUSUYJUDFWUPVWFXTWRUYHVUNVXPWUOVWFVUOUXDWSUYHUBV
        XRUYJYEZVXPUYHVWMWUTVXLVYQVWMWUTUXIVYRUBVXRRUYJYPYOXETYHUXEUXJUYHVYBUYE
        URUSVXPUYHBCVYAUYDFGHVUHVULWUHVXNAVXMVXHUJVXHVUISVXMFUPVYLURUSUXTQYKUXF
        TYTUXGYTUXK $.
    $}

    carsgsiga.3 $e |- ( ( ph /\ x C_ y /\ y e. ~P O )
      -> ( M ` x ) <_ ( M ` y ) ) $.
    ${
      $d e k n x y $.  $d A n $.  $d E k n $.  $d M k n $.  $d O k $.
      $d ph k n $.
      carsgclctunlem2.1 $e |- ( ph -> Disj_ k e. NN A ) $.
      carsgclctunlem2.2 $e |- ( ( ph /\ k e. NN ) -> A e. ( toCaraSiga ` M ) )
        $.
      carsgclctunlem2.3 $e |- ( ph -> E e. ~P O ) $.
      carsgclctunlem2.4 $e |- ( ph -> ( M ` E ) =/= +oo ) $.
      $( Lemma for ~ carsgclctun .  (Contributed by Thierry Arnoux,
         25-May-2020.) $)
      carsgclctunlem2 $p |- ( ph -> ( ( M ` ( E i^i U_ k e. NN A ) )
        +e ( M ` ( E \ U_ k e. NN A ) ) ) <_ ( M ` E ) ) $=
        ( cn wcel vn ve ciun cin cfv cdif cxad co cle cxr wbr iunin2 fveq2i cc0
        cxne cpnf cicc iccssxr cpw cvv nnex a1i cv wa adantr elpwincl1 ffvelrnd
        elpwiuncl sselid eqeltrrid elpwdifcl xnegcld xaddcld cesum wf ralrimiva
        wral nfcv esumcl syl2anc cmpt crn cuni wceq dfiun3g syl fveq2d com cdom
        wss nnct mptct rnct mp2b eqid rnmptss w3a wi rnexg breq1 sseq1 3anbi23d
        mptexg unieq esumeq1 breq12d imbi12d ax-mp mpd3an23 eqbrtrd fveq2 simpr
        vtoclg c0 ad2antrr eqtrd wdisj disjin wb incom rgenw disjeq2 esumrnmpt2
        sylib breqtrd difssd carsgmon xrge0subcld wne xrge0neqmnf adantl oveq2d
        c1 cmnf 3adant1r cfn sylc 3eqtrd disjss1 syl31anc xnegneg xnegeq eqtrdi
        xnegmnf eqtr3d ccarsg simpll fz1ssnn sselda fzfi mptfi rnfi fiunelcarsg
        eqeltrd elcarsg mpbid simprd ineq1 difeq1 oveq12d eqeq12d rspcv 3eqtr3d
        xaddpnf1 neneqd pm2.65da neqned xaddass syl222anc xnegid xaddid1 oveq1d
        cfz ineq2d mptss rnss disjrnmpt carsgclctunlem1 ineq2 elexi inss2 sseq2
        mpbii ss0 3eqtr3rd iunss1 mp1i sscond xleneg syl21anc xleadd2a esumgect
        biimpa xrletrd eqbrtrrid xleadd1a xrge0npcan syl3anc ) AFESDUCZUDZGUEZF
        UWSUFZGUEZUGUHZFGUEZUXCUOZUGUHZUXCUGUHZUXEUIAUXAUJTUXGUJTUXCUJTZUXAUXGU
        IUKUXDUXHUIUKAUXAESFDUDZUCZGUEZUJUXKUWTGESFDULUMZAUNUPUQUHZUJUXLUNUPURZ
        AHUSZUXNUXKGKASUXJHEUTSUTTZAVAVBZAEVCZSTZVDZFDHAFUXPTZUXTQVEVFZVHVGVIZV
        JAUXEUXFAUXNUJUXEUXOAUXPUXNFGKQVGZVIZAUXCAUXNUJUXCUXOAUXPUXNUXBGKAFUWSH
        QVKVGZVIZVLVMZUYHAUXAUXLUXGUIUXMAUXLSUXJGUEZEVNZUXGUYDAUXNUJUYKUXOAUXQU
        YJUXNTZESVQUYKUXNTUXRAUYLESUYAUXPUXNUXJGAUXPUXNGVOZUXTKVEUYCVGZVPSUYJEU
        TESVRVSVTVIUYIAUXLESUXJWAZWBZCVCZGUEZCVNZUYKUIAUXLUYPWCZGUEZUYSUIAUXKUY
        TGAUXJUXPTZESVQZUXKUYTWDAVUBESUYCVPZESUXJUXPWEWFWGAUYPWHWIUKZUYPUXPWJZV
        UAUYSUIUKZVUEASWHWIUKUYOWHWIUKVUEWKESUXJWLUYOWMWNVBAVUCVUFVUDESUXJUXPUY
        OUYOWOWPWFUYPUTTZAVUEVUFWQZVUGWRZUXQUYOUTTVUHVAESUXJUTXCUYOUTWSWNABVCZW
        HWIUKZVUKUXPWJZWQZVUKWCZGUEZVUKUYRCVNZUIUKZWRVUJBUYPUTVUKUYPWDZVUNVUIVU
        RVUGVUSVULVUEVUMVUFAVUKUYPWHWIWTVUKUYPUXPXAXBVUSVUPVUAVUQUYSUIVUSVUOUYT
        GVUKUYPXDWGVUKUYPUYRCXEXFXGMXMXHXIXJACSUXJUYRUYJEUTUXPUYQUXJGXKUXRUYNUY
        CUYAUXJXNWDZVDZUYJXNGUEZUNVVAUXJXNGUYAVUTXLWGAVVBUNWDZUXTVUTLXOXPAESDFU
        DZXQZESUXJXQZAESDXQZVVEOEFSDXRWFVVDUXJWDZESVQVVEVVFXSVVHESDFXTYAESVVDUX
        JYBXHYDYCYEAUYJUXGEUAAUXEUXCUYEUYGABCUXBFGHIJKAFUWSYFQNYGZYHUYNAUAVCZST
        ZVDZYMVVJUVMUHZUYJEVNZUXEFEVVMDUCZUFZGUEZUOZUGUHZUXGUIVVLFVVOUDZGUEZVVQ
        UGUHZVVRUGUHZVWAVVSVVNVVLVWCVWAVVQVVRUGUHZUGUHZVWAUNUGUHZVWAVVLVWAUJTZV
        WAYNYIZVVQUJTZVVQYNYIZVVRUJTZVVRYNYIVWCVWEWDVVLUXNUJVWAUXOVVLUXPUXNVVTG
        AUYMVVKKVEZVVLFVVOHAUYBVVKQVEZVFVGZVIZVVLVWAUXNTVWHVWNVWAYJWFZVVLUXNUJV
        VQUXOVVLUXPUXNVVPGVWLVVLFVVOHVWMVKZVGZVIZVVLVVQUXNTVWJVWRVVQYJWFVVLVVQV
        WSVLZVVLVVRYNVVLVVRYNWDZUXEUPWDVVLVXAVDZVWBVWAUPUGUHZUXEUPVXBVVQUPVWAUG
        VXBVVRUOZVVQUPVVLVXDVVQWDZVXAVVLVWIVXEVWSVVQUUAWFVEVXBVXDYNUOZUPVXAVXDV
        XFWDVVLVVRYNUUBYKUUDUUCUUEYLVVLVWBUXEWDZVXAVVLUYBUBVCZVVOUDZGUEZVXHVVOU
        FZGUEZUGUHZVXHGUEZWDZUBUXPVQZVXGVWMVVLVVOHWJZVXPVVLVVOGUUFUEZTVXQVXPVDV
        VLVVOEVVMDWAZWBZWCZVXRVVLDVXRTZEVVMVQZVVOVYAWDVVLVYBEVVMVVLUXSVVMTZVDZA
        UXTVYBAVVKVYDUUGZVVLVVMSUXSVVMSWJZVVLVVJUUHZVBZUUIZPVTZVPZEVVMDVXRWEWFZ
        VVLBCVXTGHIAHITVVKJVEZVWLAVVCVVKLVEZAVULVUMVURVVKMYOZVXTYPTZVVLVVMYPTVX
        SYPTVYQYMVVJUUJZEVVMDUUKVXSUULWNVBZVVLVYCVXTVXRWJVYLEVVMDVXRVXSVXSWOWPW
        FZUUMUUNVVLVVOUBGHIVYNVWLUUOUUPUUQVXOVXGUBFUXPVXHFWDZVXMVWBVXNUXEWUAVXJ
        VWAVXLVVQUGWUAVXIVVTGVXHFVVOUURWGWUAVXKVVPGVXHFVVOUUSWGUUTVXHFGXKUVAUVB
        YQZVEVVLVXCUPWDZVXAVVLVWGVWHWUCVWOVWPVWAUVDVTVEUVCVXBUXEUPAUXEUPYIVVKVX
        ARXOUVEUVFUVGVWAVVQVVRUVHUVIVVLVWDUNVWAUGVVLVWIVWDUNWDVWSVVQUVJWFYLVVLV
        WGVWFVWAWDVWOVWAUVKWFYRVVLVWBUXEVVRUGWUBUVLVVLVWAFVYAUDZGUEVXTFUYQUDZGU
        EZCVNVVNVVLVVTWUDGVVLVVOVYAFVYMUVNWGVVLBCVXTFGHIVYNVWLVYOVYPVYSVYTVVLVX
        TESDWAZWBZWJZCWUHUYQXQZCVXTUYQXQWUIVVLVYGVXSWUGWJWUIVYHEVVMSDUVOVXSWUGU
        VPWNVBAWUJVVKAVVGWUJOECSDUVQWFVECVXTWUHUYQYSYQVWMUVRVVLCVVMDWUFUYJEUTVX
        RUYQDWDWUEUXJGUYQDFUVSWGVVMUTTVVLVVMYPVYRUVTVBVYEAUXTUYLVYFVYJUYNVTVYKV
        YEDXNWDZVDZUYJVVBUNWULUXJXNGWUKVUTVYEWUKUXJXNWJZVUTWUKUXJDWJWUMFDUWADXN
        UXJUWBUWCUXJUWDWFYKWGVVLVVCVYDWUKVYOXOXPVVLVYGVVGEVVMDXQVYIAVVGVVKOVEEV
        VMSDYSYQYCYRUWEVVLVWKUXFUJTUXEUJTZVVRUXFUIUKZVVSUXGUIUKVWTVVLUXCVVLUXNU
        JUXCUXOAUXCUXNTZVVKUYGVEVIZVLAWUNVVKUYFVEVVLUXIVWIUXCVVQUIUKZWUOWUQVWSV
        VLBCUXBVVPGHIVYNVWLVVLVVOUWSFVYGVVOUWSWJVVLVYHEVVMSDUWFUWGUWHVWQAVUKUYQ
        WJUYQUXPTVUKGUEUYRUIUKVVKNYOYGUXIVWIVDWURWUOUXCVVQUWIUWMUWJVVRUXFUXEUWK
        YTXJUWLUWNUWOUXAUXGUXCUWPYTAUXEUXNTWUPUXCUXEUIUKUXHUXEWDUYEUYGVVIUXEUXC
        UWQUWRYE $.
    $}

    $d f k n x y z $.  $d A e f g k n x y $.  $d E e f g k n x y $.
    $d M e f g k n x y $.  $d O e f g n x y $.  $d g k n ph x y $.
    ${
      carsgclctun.1 $e |- ( ph -> A ~<_ _om ) $.
      carsgclctun.2 $e |- ( ph -> A C_ ( toCaraSiga ` M ) ) $.
      ${
        carsgclctunlem3.1 $e |- ( ph -> E e. ~P O ) $.
        $( Lemma for ~ carsgclctun .  (Contributed by Thierry Arnoux,
           24-May-2020.) $)
        carsgclctunlem3 $p |- ( ph ->
           ( ( M ` ( E i^i U. A ) ) +e ( M ` ( E \ U. A ) ) ) <_ ( M ` E ) ) $=
          ( vk wcel c0 cn vf vn ve vg vz cuni cin cfv cdif cxad co cle wbr cpnf
          wceq wa cxr cc0 cicc iccssxr cpw elpwincl1 ffvelrnd elpwdifcl xaddcld
          sselid adantr pnfge syl simpr breqtrrd wne clt wn unieq eqtrdi ineq2d
          uni0 fveq2d difeq2d dif0 oveq12d adantl oveq1d xaddid2 3eqtrd eqeltrd
          in0 xeqlelt syl2anc mpbid simpld adantlr wfo csdm cdom wex ccarsg wss
          wb cv cvv fvex ssex 0sdomg 3syl biimpar com cen nnenom ensymi domentr
          sylancl ad2antrr fodomr cfzo ciun fveq2 iundisj crn fofn fniunfv forn
          c1 wfn unieqd eqtrd ad3antrrr wf cesum 3adant1r wdisj iundisj2 sseldd
          eqtr3id a1i wral ralrimiva cfn pm2.61dane ad4antr fof ad2antlr sselda
          carsgsigalem wrex cab ad3antlr fzossnn dfiun2g cmpt rnmpt fzofi mptfi
          eqid rnfi mp2b eqeltrri rnmptss eqsstrrid fiunelcarsg carsgclctunlem2
          difelcarsg2 simpllr eqbrtrrd exlimddv ) AEDUFZUGZFUHZEUVGUIZFUHZUJUKZ
          EFUHZULUMZUVMUNAUVMUNUOZUPZUVLUNUVMULUVPUVLUQRZUVLUNULUMAUVQUVOAUVIUV
          KAURUNUSUKZUQUVIURUNUTZAGVAZUVRUVHFJAEUVGGPVBVCVFAUVRUQUVKUVSAUVTUVRU
          VJFJAEUVGGPVDVCVFVEVGUVLVHVIAUVOVJVKAUVMUNVLZUPZUVNDSADSUOZUVNUWAAUWC
          UPZUVNUVLUVMVMUMVNZUWDUVLUVMUOZUVNUWEUPZUWDUVLSFUHZUVMUJUKZURUVMUJUKZ
          UVMUWCUVLUWIUOAUWCUVIUWHUVKUVMUJUWCUVHSFUWCUVHESUGSUWCUVGSEUWCUVGSUFS
          DSVOVRVPZVQEWHVPVSUWCUVJEFUWCUVJESUIEUWCUVGSEUWKVTEWAVPVSWBWCUWDUWHUR
          UVMUJAUWHURUOZUWCKVGWDUWDUVMUQRZUWJUVMUOAUWMUWCAUVRUQUVMUVSAUVTUVREFJ
          PVCVFVGZUVMWEVIWFZUWDUVQUWMUWFUWGWTUWDUVLUVMUQUWOUWNWGUWNUVLUVMWIWJWK
          WLWMUWBDSVLZUPZTDUAXAZWNZUVNUAUWQSDWOUMZDTWPUMZUWSUAWQAUWPUWTUWAAUWTU
          WPADFWRUHZWSZDXBRUWTUWPWTODUXBFWRXCXDDXBXEXFXGWMAUXAUWAUWPADXHWPUMXHT
          XIUMUXANTXHXJXKDXHTXLXMXNTDUAXOWJUWQUWSUPZEUBTUBXAZUWRUHZQYDUXEXPUKZQ
          XAZUWRUHZXQZUIZXQZUGZFUHZEUXLUIZFUHZUJUKUVLUVMULUXDUXNUVIUXPUVKUJUXDU
          XMUVHFUXDUXLUVGEUXDUXLUBTUXFXQZUVGUXFUXIQUBUXEUXHUWRXRZXSUWSUXQUVGUOU
          WQUWSUXQUWRXTZUFZUVGUWSUWRTYEUXQUXTUOTDUWRYAUBTUWRYBVIUWSUXSDTDUWRYCY
          FYGWCYOZVQVSUXDUXOUVJFUXDUXLUVGEUYAVTVSWBUXDBCUXKUBEFGHAGHRZUWAUWPUWS
          IYHZAUVTUVRFYIZUWAUWPUWSJYHZAUWLUWAUWPUWSKYHZUWQBXAZXHWPUMZUYGUVTWSZU
          YGUFFUHUYGCXAZFUHZCYJULUMZUWSUWBUYHUYIUYLUWPAUYHUYIUYLUWALYKYKYKZUWQU
          YGUYJWSZUYJUVTRZUYGFUHUYKULUMZUWSUWBUYNUYOUYPUWPAUYNUYOUYPUWAMYKYKYKU
          BTUXKYLUXDUXFUXIQUBUXRYMYPUXDUXETRZUPZUXFUXJFGHUCUDUXDUYBUYQUYCVGZUXD
          UYDUYQUYEVGZUYRDUXBUXFAUXCUWAUWPUWSUYQOUUAZUYRTDUXEUWRUWSTDUWRYIZUWQU
          YQTDUWRUUBZUUCUXDUYQVJVCYNUYRBCUCUDFGHUYSUYTUXDUWLUYQUYFVGZUXDUYHUYIU
          YLUYQUYMYKZUUEUYRUXJUEXAUXIUOQUXGUUFUEUUGZUFZUXBUYRUXIDRZQUXGYQUXJVUG
          UOUYRVUHQUXGUYRUXHUXGRZUPZTDUXHUWRUWSVUBUWQUYQVUIVUCUUHUYRUXGTUXHUXGT
          WSUYRUXEUUIYPUUDVCZYRQUEUXGUXIDUUJVIUYRBCVUFFGHUYSUYTVUDVUEVUFYSRUYRQ
          UXGUXIUUKZXTZVUFYSQUEUXGUXIVULVULUUOZUULZUXGYSRVULYSRVUMYSRYDUXEUUMQU
          XGUXIUUNVULUUPUUQUURYPUYRVUFVUMUXBVUOUYRUXIUXBRZQUXGYQVUMUXBWSUYRVUPQ
          UXGVUJDUXBUXIUYRUXCVUIVUAVGVUKYNYRQUXGUXIUXBVULVUNUUSVIUUTUVAWGUVCAEU
          VTRUWAUWPUWSPYHAUWAUWPUWSUVDUVBUVEUVFYTYT $.
      $}

      $( The Caratheodory measurable sets are closed under countable union.
         (Contributed by Thierry Arnoux, 21-May-2020.) $)
      carsgclctun $p |- ( ph -> U. A e. ( toCaraSiga ` M ) ) $=
        ( cfv wcel wceq cle wbr cvv ve cuni ccarsg wss cv cin cdif cxad co wral
        cpw unissd carsguni sseqtrd wa adantr cc0 cpnf cicc wf c0 cdom 3adant1r
        com cesum simpr carsgclctunlem3 cpr inex1g adantl difexg prct elpwincl1
        syl2anc elpwdifcl prssi w3a wi prex breq1 sseq1 3anbi23d fveq2d esumeq1
        unieq breq12d imbi12d vtoclg ax-mp mpd3an23 cun uniprg inundif ffvelrnd
        eqtrdi wo ineq2 inidm inindif 3eqtr3g ad2antrr eqtrd ex esumpr2 3brtr3d
        orcd jca cxr iccssxr sselid xaddcld ffvelrnda xrletri3 mpbird ralrimiva
        wb elcarsg mpbir2and ) ADUBZEUCOZPXSFUDUAUEZXSUFZEOZYAXSUGZEOZUHUIZYAEO
        ZQZUAFUKZUJAXSXTUBFADXTNULAEFGHIJUMUNAYHUAYIAYAYIPZUOZYHYFYGRSZYGYFRSZU
        OZYKYLYMYKBCDYAEFGAFGPYJHUPAYIUQURUSUIZEUTYJIUPZAVAEOZUQQZYJJUPABUEZVDV
        BSZYSYIUDZYSUBZEOZYSCUEZEOZCVEZRSZYJKVCAYSUUDUDUUDYIPYSEOUUERSYJLVCADVD
        VBSYJMUPADXTUDYJNUPAYJVFZVGYKYBYDVHZUBZEOZUUIUUECVEZYGYFRYKUUIVDVBSZUUI
        YIUDZUUKUULRSZYKYBTPZYDTPZUUMYJUUPAYAXSYIVIVJYJUUQAYAXSYIVKVJYBYDTTVLVN
        YKYBYIPZYDYIPZUUNYKYAXSFUUHVMZYKYAXSFUUHVOZYBYDYIVPVNAUUMUUNUUOYJUUITPA
        UUMUUNVQZUUOVRZYBYDVSAYTUUAVQZUUGVRUVCBUUITYSUUIQZUVDUVBUUGUUOUVEYTUUMU
        UAUUNAYSUUIVDVBVTYSUUIYIWAWBUVEUUCUUKUUFUULRUVEUUBUUJEYSUUIWEWCYSUUIUUE
        CWDWFWGKWHWIVCWJYKUUJYAEYKUUJYBYDWKZYAYKUURUUSUUJUVFQUUTUVAYBYDYIYIWLVN
        YAXSWMWOWCYKYBYDUUEYCCYEYIYIYKUUDYBQZUOUUDYBEYKUVGVFWCYKUUDYDQZUOUUDYDE
        YKUVHVFWCUUTUVAYKYIYOYBEYPUUTWNZYKYIYOYDEYPUVAWNZYKYBYDQZYCUQQZYCURQZWP
        YKUVKUOZUVLUVMUVNYCYQUQUVNYBVAEUVKYBVAQYKUVKYBYBUFYBYDUFYBVAYBYDYBWQYBW
        RYAXSWSWTVJWCAYRYJUVKJXAXBXFXCXDXEXGYKYFXHPYGXHPYHYNXPYKYCYEYKYOXHYCUQU
        RXIZUVIXJYKYOXHYEUVOUVJXJXKYKYOXHYGUVOAYIYOYAEIXLXJYFYGXMVNXNXOAXSUAEFG
        HIXQXR $.
    $}

    $( The Caratheodory measurable sets constructed from outer measures form a
       Sigma-algebra.  Statement (iii) of Theorem 1.11.4 of [Bogachev] p. 42.
       (Contributed by Thierry Arnoux, 17-May-2020.) $)
    carsgsiga $p |- ( ph -> ( toCaraSiga ` M ) e. ( sigAlgebra ` O ) ) $=
      ( vg cfv wss wcel cv wbr wa ad2antrr 3adant1r cpw cdif wral com cdom cuni
      ccarsg wi w3a csiga carsgcl baselcarsg adantr cc0 cpnf cicc co difelcarsg
      wf simpr ralrimiva wceq cesum cle elpwi ad2antlr carsgclctun 3jca jca cvv
      c0 ex wb fvex issiga ax-mp sylibr ) ADUGMZEUAZNZEVROZELPZUBVROZLVRUCZWBUD
      UEQZWBUFVROZUHZLVRUAZUCZUIZRZVREUJMOZAVTWJADEFGHUKAWAWDWIADEFGHIULAWCLVRA
      WBVROZRWBDEFAEFOZWMGUMAVSUNUOUPUQDUSZWMHUMAWMUTURVAAWGLWHAWBWHOZRZWEWFWQW
      ERBCWBDEFAWNWPWEGSAWOWPWEHSAVKDMUNVBWPWEISWQBPZUDUEQZWRVSNZWRUFDMWRCPZDMZ
      CVCVDQZWEAWSWTXCWPJTTWQWRXANZXAVSOZWRDMXBVDQZWEAXDXEXFWPKTTWQWEUTWPWBVRNA
      WEWBVRVEVFVGVLVAVHVIVRVJOWLWKVMDUGVNLVREVOVPVQ $.
  $}

  ${
    $d M e f x y $.  $d Q f x y $.  $d R f y $.  $d V f y $.  $d S e f x y $.
    $d ph e f g x y $.
    omsmeas.m $e |- M = ( toOMeas ` R ) $.
    omsmeas.s $e |- S = ( toCaraSiga ` M ) $.
    omsmeas.o $e |- ( ph -> Q e. V ) $.
    omsmeas.r $e |- ( ph -> R : Q --> ( 0 [,] +oo ) ) $.
    omsmeas.d $e |- ( ph -> (/) e. dom R ) $.
    omsmeas.0 $e |- ( ph -> ( R ` (/) ) = 0 ) $.
    $( The restriction of a constructed outer measure to Caratheodory
       measurable sets is a measure.  This theorem allows to construct measures
       from pre-measures with the required characteristics, as for the Lebesgue
       measure.  (Contributed by Thierry Arnoux, 17-May-2020.) $)
    omsmeas $p |- ( ph -> ( M |` S ) e. ( measures ` S ) ) $=
      ( vf vy cfv wcel c0 wceq wbr cle ve vg vx cres cmeas cc0 cpnf cicc co com
      wf cv cdom wdisj wa cuni cesum wi cpw wral w3a cdm coms omsf syl2anc fdmd
      a1i eqcomd unieqd pweqd feq12d mpbird ccarsg cvv carsgcl eqsstrid fssresd
      uniexd oms0 0elcarsg eleqtrrdi fvres syl eqtrd id cbvdisj anbi2i ad2antrr
      nfcv ciun simplr elpwid wss sstrd sselda simprl omssubadd uniiun 3ad2ant1
      fveq2i simpl3 simpr simp2 eqbrtrid 3adant1r 3ad2ant3 ad2antlr carsgclctun
      sseldd elpwi omsmon sseqtrdi nfv ralrimiva esumeq2d 3brtr4d csn cdif snex
      eqtrdi adantr ffvelrnd elsni fveq2d sylan9eqr esumpad2 difss ssdomg domtr
      neldifsnd mpisyl ssdifssd simprr sylib disjss1 mpsyl cxr wb sselid csiga
      carsggect eqbrtrrd unidif0 breqtrdi jca iccssxr xrletri3 sylan2b 3jca crn
      esumcl ex carsgsiga eqeltrid elrnsiga ismeas 3syl ) AEDUDZDUEOPZDUFUGUHUI
      ZUURUKZQUUROZUFRZUAULZUJUMSZMUVDMULZUNZUOZUVDUPZUUROZUVDUVFUUROZMUQZRZURZ
      UADUSZUTZVAZAUVAUVCUVPABUPZUSZUUTDEAUVSUUTEUKZCVBZUPZUSZUUTCVCOZUKZABFPZB
      UUTCUKZUWEIJBCFVDVEAUVSUWCUUTEUWDEUWDRAGVGAUVRUWBABUWAAUWABABUUTCJVFVHVIV
      JVKVLZADEVMOZUVSHAEUVRVNABFIVRZUWHVOVPZVQZAUVBQEOZUFAQDPUVBUWMRAQUWIDAEUV
      RVNUWJUWHABCEFGIJKLVSZVTHWAQDEWBWCUWNWDAUVNUAUVOAUVDUVOPZUOZUVHUVMUVHUWPU
      VEUBUVDUBULZUNZUOZUVMUVGUWRUVEMUBUVDUVFUWQUBUVFWIMUWQWIUVFUWQRWEWFWGUWPUW
      SUOZUVMUVJUVLTSZUVLUVJTSZUOZUWTUXAUXBUWTMUVDUVFWJZEOZUVDUVFEOZMUQZUVJUVLT
      UWTMUVFBCEFUVDGAUWFUWOUWSIWHAUWGUWOUWSJWHUWTUVFUVDPZUOZUVFUVRUWTUVDUVSUVF
      UWTUVDDUVSUWTUVDDAUWOUWSWKZWLADUVSWMUWOUWSUWKWHWNWOZWLUWPUVEUWRWPZWQUWTUV
      IDPZUVJUXERUWTUVIUWIDUWTUCNUVDEUVRVNAUVRVNPUWOUWSUWJWHZAUVTUWOUWSUWHWHZAU
      WMUFRUWOUWSUWNWHZUWPUCULZUJUMSZUXQUVSWMZUXQUPZEOZUXQNULZEOZNUQZTSZUWSAUXR
      UXSUYEUWOAUXRUXSVAZUYANUXQUYBWJZEOUYDTUXTUYGENUXQWRWTUYFNUYBBCEFUXQGAUXRU
      WFUXSIWSAUXRUWGUXSJWSUYFUYBUXQPZUOZUYBUVRUYIUXQUVSUYBAUXRUXSUYHXAUYFUYHXB
      XIWLAUXRUXSXCWQXDZXEXEZUWPUXQUYBWMZUYBUVSPZUXQEOUYCTSZUWSAUYLUYMUYNUWOAUY
      LUYMVAUXQUYBBCEFGAUYLUWFUYMIWSAUYLUWGUYMJWSAUYLUYMXCUYMAUYBUVRWMUYLUYBUVR
      XJXFXKZXEXEZUXLUWTUVDDUWIUWOUVDDWMAUWSUVDDXJXGZHXLZXHHWAZUXMUVJUVIEOZUXEU
      VIDEWBZUVIUXDEMUVDWRWTXTWCUWTUVDUVKUXFMUWTMXMUWTUVKUXFRZMUVDUXIUVFDPVUBUW
      TUVDDUVFUYQWOZUVFDEWBWCXNXOZXPUWTUXGUYTUVLUVJTUWTUXGUVDQXQZXRZUPZEOZUYTTU
      WTVUFUXFMUQUXGVUHTUWTUVDVUEUXFMUVOVNUXJVUEVNPUWTQXSVGUXIUVSUUTUVFEUWTUVTU
      XHUXOYAUXKYBUVFVUEPZUWTUXFUWMUFVUIUVFQEUVFQYCYDUXPYEYFUWTUCNMVUFEUVRVNUXN
      UXOUXPUYKUWTQUVDYJUWTVUFUVDUMSZUVEVUFUJUMSUWTUWOVUFUVDWMZVUJUXJUVDVUEYGZV
      UFUVDUVOYHYKUXLVUFUVDUJYIVEUWTUVDUWIVUEUYRYLVUKUWTNUVDUYBUNZNVUFUYBUNVULU
      WTUWRVUMUWPUVEUWRYMUBNUVDUWQUYBNUWQWIUBUYBWIUWQUYBRWEWFYNNVUFUVDUYBYOYPUY
      PUUAUUBVUGUVIEUVDUUCWTUUDVUDUWTUXMUVJUYTRUYSVUAWCXPUUEUWTUVJYQPUVLYQPUVMU
      XCYRUWTUUTYQUVJUFUGUUFZUWTDUUTUVIUURAUVAUWOUWSUWLWHZUYSYBYSUWTUUTYQUVLVUN
      UWTUWOUVKUUTPZMUVDUTUVLUUTPUXJUWTVUPMUVDUXIDUUTUVFUURUWTUVAUXHVUOYAVUCYBX
      NUVDUVKMUVOMUVDWIUUKVEYSUVJUVLUUGVEVLUUHUULXNUUIADUVRYTOZPDYTUUJUPPUUSUVQ
      YRADUWIVUQHAUCNEUVRVNUWJUWHUWNUYJUYOUUMUUNDUVRUUOUAMDUURUUPUUQVL $.
  $}

  ${
    $d P x y $.  $d R x y $.  $d ph x y $.
    caraext.1 $e |- ( ph -> P : R --> ( 0 [,] +oo ) ) $.
    caraext.2 $e |- ( ph -> ( P ` (/) ) = 0 ) $.
    caraext.3 $e |- ( ( ph /\ ( x ~<_ _om /\ x C_ R /\ Disj_ y e. x y ) )
      -> ( P ` U. x ) = sum* y e. x ( P ` y ) ) $.
    ${
      $d A x y $.  $d B x y $.
      pmeasmono.1 $e |- ( ph -> A e. R ) $.
      pmeasmono.2 $e |- ( ph -> B e. R ) $.
      pmeasmono.3 $e |- ( ph -> ( B \ A ) e. R ) $.
      pmeasmono.4 $e |- ( ph -> A C_ B ) $.
      $( This theorem's hypotheses define a pre-measure.  A pre-measure is
         monotone.  (Contributed by Thierry Arnoux, 19-Jul-2020.) $)
      pmeasmono $p |- ( ph -> ( P ` A ) <_ ( P ` B ) ) $=
        ( cfv wceq wa cc0 adantr wcel cle wbr cdif c0 wss eqimss ssdifeq0 sylib
        fveq2d adantl cpnf cicc co ffvelrnd cxr elxrge0 simprbi syl eqbrtrd wne
        eqtrd cxad iccssxr wf sselid xrge0addge syl2anc cpr cuni cesum com cdom
        cv wdisj w3a prct prssi disjdif wb simpr id disjprg syl3anc mpbiri 3jca
        cin wi prex biidd breq1 sseq1 disjeq1 3anbi123d anbi12d esumeq1 eqeq12d
        cvv unieq imbi12d vtoclg ax-mp adantlr mpdan cun uniprg esumpr breqtrrd
        undif 3eqtr3d pm2.61dane ) ADFOZEFOZUAUBDEDUCZADXMPZQZXKRXLUAXOXKUDFOZR
        XNXKXPPAXNDUDFXNDXMUEDUDPDXMUFDEUGUHUIUJAXPRPXNISVAARXLUAUBZXNAXLRUKULU
        MZTZXQAGXREFHLUNXSXLUOTXQXLUPUQURSUSADXMUTZQZXKXKXMFOZVBUMZXLUAYAXKUOTY
        BXRTXKYCUAUBYAXRUOXKRUKVCYAGXRDFAGXRFVDXTHSZADGTZXTKSZUNZVEYAGXRXMFYDAX
        MGTZXTMSZUNZXKYBVFVGYADXMVHZVIZFOZYKCVMZFOZCVJZXLYCYAYKVKVLUBZYKGUEZCYK
        YNVNZVOZYMYPPZYAYQYRYSAYQXTAYEYHYQKMDXMGGVPVGSAYRXTAYEYHYRKMDXMGVQVGSYA
        YSDXMWFUDPZDEVRYAYEYHXTYSUUBVSYFYIAXTVTZCDXMYNDXMGYNDPZWAYNXMPZWAWBWCWD
        WEAYTUUAXTYKWQTAYTQZUUAWGZDXMWHABVMZVKVLUBZUUHGUEZCUUHYNVNZVOZQZUUHVIZF
        OZUUHYOCVJZPZWGUUGBYKWQUUHYKPZUUMUUFUUQUUAUURAAUULYTUURAWIUURUUIYQUUJYR
        UUKYSUUHYKVKVLWJUUHYKGWKCUUHYKYNWLWMWNUURUUOYMUUPYPUURUUNYLFUUHYKWRUIUU
        HYKYOCWOWPWSJWTXAXBXCYAYLEFAYLEPXTAYLDXMXDZEAYEYHYLUUSPKMDXMGGXEVGADEUE
        UUSEPNDEXHUHVASUIYADXMYOXKCYBGGYAUUDQYNDFYAUUDVTUIYAUUEQYNXMFYAUUEVTUIY
        FYIYGYJUUCXFXIXGXJ $.
    $}

    ${
      $d A k x y $.  $d B x y $.  $d P k x y $.  $d R k x y $.  $d ph k x y $.
      pmeassubadd.q $e |- Q = { s e. ~P ~P O | ( (/) e. s
        /\ A. x e. s A. y e. s ( ( x u. y ) e. s /\ ( x \ y ) e. s ) ) } $.
      pmeassubadd.1 $e |- ( ph -> R e. Q ) $.
      pmeassubadd.2 $e |- ( ph -> A ~<_ _om ) $.
      pmeassubadd.3 $e |- ( ( ph /\ k e. A ) -> B e. R ) $.
      ${
        pmeasadd.4 $e |- ( ph -> Disj_ k e. A B ) $.
        $( A premeasure on a ring of sets is additive on disjoint countable
           collections.  This is called sigma-additivity.  (Contributed by
           Thierry Arnoux, 19-Jul-2020.) $)
        pmeasadd $p |- ( ph -> ( P ` U_ k e. A B ) = sum* k e. A ( P ` B ) ) $=
          ( wceq ciun cfv cmpt cuni cv cesum wcel wral ralrimiva dfiun3g fveq2d
          crn syl com cdom wbr wss wdisj mptct rnct 3syl eqid rnmptss disjrnmpt
          w3a wa 3jca ancli cvv ctex mptexg rnexg breq1 sseq1 disjeq1 3anbi123d
          wi anbi2d unieq esumeq1 eqeq12d imbi12d vtoclg mpd fveq2 cpnf cicc co
          cc0 wf adantr ffvelrnd c0 adantl ad2antrr eqtrd esumrnmpt2 3eqtrd ) A
          IDEUAZFUBIDEUCZULZUDZFUBZXACUEZFUBZCUFZDEFUBZIUFAWSXBFAEHUGZIDUHZWSXB
          TAXHIDRUIZIDEHUJUMUKAAXAUNUOUPZXAHUQZCXAXDURZVEZVFZXCXFTZAXNAXKXLXMAD
          UNUOUPZWTUNUOUPXKQIDEUSWTUTVAAXIXLXJIDEHWTWTVBVCUMAIDEURXMSICDEVDUMVG
          VHAWTVIUGZXAVIUGXOXPVQZAXQDVIUGZXRQDVJZIDEVIVKVAWTVIVLABUEZUNUOUPZYBH
          UQZCYBXDURZVEZVFZYBUDZFUBZYBXECUFZTZVQXSBXAVIYBXATZYGXOYKXPYLYFXNAYLY
          CXKYDXLYEXMYBXAUNUOVMYBXAHVNCYBXAXDVOVPVRYLYIXCYJXFYLYHXBFYBXAVSUKYBX
          AXECVTWAWBNWCVAWDACDEXEXGIVIHXDEFWEAXQXTQYAUMAIUEDUGZVFZHWIWFWGWHZEFA
          HYOFWJYMLWKRWLRYNEWMTZVFXGWMFUBZWIYPXGYQTYNEWMFWEWNAYQWITYMYPMWOWPSWQ
          WR $.
      $}

$(
      @{
        @d A k f i n x y @.  @d B f i n @.  @d O s @.  @d P f n @.
        @d R i n s x y @.  @d ph f i n @.
        @( A premeasure on a ring of sets is subadditive for collections of
           sets where overlaps are allowed.  (Contributed by Thierry Arnoux,
           19-Jul-2020.) @)
        pmeassubadd @p |- ( ph
          -> ( P ` U_ k e. A B ) <_ sum* k e. A ( P ` B ) ) @=
          ( vn wcel vf vi cv cdm cmpt crn wf1o cn wceq c1 chash cfv caddc co wo
          cfzo wa ciun cesum cle wbr com cdom wex rnct 3syl f1ocnt syl cc0 cpnf
          mptct cicc cxr iccssxr cdif cuni dff1o5 simprbi ad2antrl unieqd f1ofn
          wf1 wfn fniunfv wral ralrimiva dfiun3g 3eqtr4rd nfcv fveq2 iundisjcnt
          adantr simprr eqtrd fveq2d wf c0 wss w3a adantlr fz1nnct simplrl f1of
          wdisj eqid rnmptss ad2antrr fss syl2anc simpr ffvelrnd eqimss fzossnn
          sseq1 mpbiri jaoi ad2antll simplrr fz1nntr fiunelros difelros syl3anc
          sselda iundisj2cnt pmeasadd cvv vex dmex a1i esumcl sselid ctex dfin4
          eqeltrd cin inelros eqeltrrid difssd pmeasmono esumle eqbrtrd xrletrd
          simprl esummonof1o exlimddv ) AUAUCZUDZIDEUEZUFZUUFUGZUUGUHUIZUUGUJUU
          IUKULUJUMUNZUPUNZUIZUOZUQZIDEURZFULZDEFULZIUSZUTVAUAAUUIVBVCVAZUUPUAV
          DADVBVCVAZUUHVBVCVAUVAQIDEVKUUHVEVFUUIUAVGVHAUUPUQZUURUUGSUCZUUFULZFU
          LZSUSZUUTUVCVIVJVLUNZVMUURVIVJVNZUVCUURUUGUVEUBUJUVDUPUNZUBUCZUUFULZU
          RZVOZFULZSUSZUVHUVCUURSUUGUVNURZFULUVPUVCUUQUVQFUVCUUQSUUGUVEURZUVQUV
          CUUFUFZVPZUUIVPZUVRUUQUVCUVSUUIUUJUVSUUIUIZAUUOUUJUUGUUIUUFWBUWBUUGUU
          IUUFVQVRVSVTUVCUUFUUGWCZUVRUVTUIUUJUWCAUUOUUGUUIUUFWAVSSUUGUUFWDVHAUU
          QUWAUIZUUPAEHTZIDWEZUWDAUWEIDRWFZIDEHWGVHWLWHUVCUVEUVLUBSUULUUGSUVLWI
          ZUVDUVKUUFWJZAUUJUUOWMZWKWNWOUVCBCUUGUVNFGHSJKAHUVHFWPZUUPLWLZAWQFULV
          IUIZUUPMWLABUCZVBVCVAUWNHWRCUWNCUCZXDWSZUWNVPFULUWNUWOFULCUSUIZUUPNWT
          ZOAHGTZUUPPWLZUVCUUOUUGVBVCVAUWJUUGUULXAVHUVCUVDUUGTZUQZUWSUVEHTZUVMH
          TZUVNHTZUVCUWSUXAUWTWLUXBUUGHUVDUUFUXBUUGUUIUUFWPZUUIHWRZUUGHUUFWPZUX
          BUUJUXFAUUJUUOUXAXBUUGUUIUUFXCVHAUXGUUPUXAAUWFUXGUWGIDEHUUHUUHXEXFVHX
          GUUGUUIHUUFXHXIZUVCUXAXJZXKZUXBBCUVLGHUBUVDJKOAUWSUUPUXAPXGZUVCUUGUHU
          VDUUOUUGUHWRZAUUJUUKUXMUUNUUGUHXLUUNUXMUUMUHWRUULXMUUGUUMUHXNXOXPXQYC
          UXBUVKUVJTZUQUUGHUVKUUFUXBUXHUXNUXIWLUXBUVJUUGUVKUXBUUOUXAUVJUUGWRAUU
          JUUOUXAXRUXJUUGUULUVDXSXIYCXKXTZBCUVEUVMGHJKOYAZYBUVCUVEUVLUBSUULUUGU
          WHUWIUWJYDYEWNZUVCUUGYFTZUVOUVHTZSUUGWEUVPUVHTUXRUVCUUFUAYGYHYIZUVCUX
          SSUUGUXBHUVHUVNFAUWKUUPUXALXGZUXBUWSUXCUXDUXEUXLUXKUXOUXPYBZXKZWFUUGU
          VOSYFSUUGWIZYJXIYNYKUVCUVHVMUVGUVIUVCUXRUVFUVHTZSUUGWEUVGUVHTUXTUVCUY
          ESUUGUXBHUVHUVEFUYAUXKXKZWFUUGUVFSYFUYDYJXIYKAUUTVMTUUPAUVHVMUUTUVIAD
          YFTZUUSUVHTZIDWEUUTUVHTAUVBUYGQDYLVHZAUYHIDAIUCDTZUQHUVHEFAUWKUYJLWLR
          XKWFDUUSIYFIDWIYJXIYKWLUVCUURUVPUVGUTUXQUVCUUGUVOUVFSYFUXTUYCUYFUXBBC
          UVNUVEFHUYAAUWMUUPUXAMXGUVCUWPUWQUXAUWRWTUYBUXKUXBUVEUVNVOUVEUVMYOZHU
          VEUVMYMUXBUWSUXCUXDUYKHTUXLUXKUXOBCUVEUVMGHJKOYPYBYQUXBUVEUVMYRYSYTUU
          AUVCDEHSIFUUFYFAUYGUUPUYIWLAUYJUWEUUPRWTUWLAUUJUUOUUCUUDUUBUUE @.
      @}
$)
    $}

$(
    @d M e s u v x y z @.  @d O s @.  @d P e s u v x y z @.  @d Q u v x y z @.
    @d R e s u v x y z @.  @d ph e s u v x y z @.
    caraext.m @e |- M = ( toOMeas ` P ) @.
    @{
      caraextros.q @e |- Q = { s e. ~P ~P O | ( (/) e. s /\ A. x e. s A. y e. s
        ( ( x u. y ) e. s /\ ( x \ y ) e. s ) ) } @.
      caraextros.4 @e |- ( ph -> R e. Q ) @.
      @( Caratheodory's extension theorem for a ring of sets.  (Contributed by
         Thierry Arnoux, 19-Jul-2020.) @)
      caraextros @p |- ( ph -> ( M |` R ) = P ) @=
        ( vv wa wss wceq wcel vu vz ve cdm cuni cpw wfn cfv wral cres cpnf cicc
        cv cc0 co wf coms omsf syl2anc wb feq1 sylibr ffn syl jca fdm eqsstrrdi
        ax-mp pwuni cle wbr com cdom crab cesum cmpt crn clt ccnv fveq1i adantr
        csup elssuni adantl omsfval syl3anc syl5eq ad2antrr unieq breq1 anbi12d
        sseq2d elrab simplbi pweqd eleqtrd elpwi sselda ffvelrnd ralrimiva nfcv
        cvv vex esumcl mpan eqid rnmptss csn simpr fveq2d esumsn eleqtrrd sylib
        snss snex elpw unisn eqimss2i snct esumex elrnmpt1s eqeltrrd infxrge0lb
        a1i esumeq1 eqbrtrd caddc crp cxr iccssxr sselid ad4antr simplr adantlr
        cr ad3antrrr cin ciun syl21anc mpbird simp-4r rpred readdcld rexrd nfbr
        nfv nfesum1 nfan ralrimi inelros sylancr iunin1 simprbi simpld sseqtrdi
        ex uniiun dfss1 c0 wdisj w3a simprd pmeassubadd eqbrtrrd difelros inss1
        cdif pmeasmono esumle xrletrd xrlelttrd xrltle imp omssubaddlem r19.29a
        xralrple pnfge breqtrrd cmnf wne wo xrge0neqmnf xrnemnf biimpi mpjaodan
        xrletri3 fvreseq1 biimpar ) AGDUDZUEUFZUGZDFUGZQZFUWJRZIUMZGUHZUWODUHZS
        ZIFUIZGFUJDSZAUWKUWLAUWJUNUKULUOZGUPZUWKAUWJUXADUQUHZUPZUXBAFETZFUXADUP
        ZUXDOJFDEURUSGUXCSUXBUXDUTMUWJUXAGUXCVAVHVBZUWJUXAGVCVDAUXFUWLJFUXADVCV
        DVEAFUWIUWJAUXFUWIFSZJFUXADVFZVDZUWIVIVGZAUWRIFAUWOFTZQZUWRUWPUWQVJVKZU
        WQUWPVJVKZQZUXMUXNUXOUXMUWPUAUWOUBUMZUEZRZUXQVLVMVKZQZUBUWIUFZVNZUAUMZP
        UMZDUHZPVOZVPZVQZUXAVRVSWBZUWQVJUXMUWPUWOUXCUHZUYJUWOGUXCMVTUXMUXEUXFUW
        OFUERZUYKUYJSAUXEUXLOWAZAUXFUXLJWAZUXLUYLAUWOFWCWDZUAPUBUWOFDEWEWFWGUXM
        UYIUWQUXMUYGUXATZUAUYCUIUYIUXARUXMUYPUAUYCUXMUYDUYCTZQZUYFUXATZPUYDUIZU
        YPUYRUYSPUYDUYRUYEUYDTZQZFUXAUYEDUXMUXFUYQVUAUYNWHZUYRUYDFUYEUYRUYDFUFZ
        TUYDFRZUYRUYDUYBVUDUYQUYDUYBTZUXMUYQVUFUWOUYDUEZRZUYDVLVMVKZQZUYAVUJUBU
        YDUYBUXQUYDSZUXSVUHUXTVUIVUKUXRVUGUWOUXQUYDWIWLUXQUYDVLVMWJWKWMZWNWDAUY
        BVUDSUXLUYQAUWIFUXJWOWHWPUYDFWQVDZWRZWSZWTUYDXBTZUYTUYPUAXCZUYDUYFPXBPU
        YDXAZXDXEVDZWTUAUYCUYGUXAUYHUYHXFZXGVDUXMUWOXHZUYFPVOZUWQUYIUXMUYFUWQPU
        WOFUXMUYEUWOSZQUYEUWODUXMVVCXIXJAUXLXIZUXMFUXAUWODUYNVVDWSZXKUXMVVAUYCT
        ZVVBXBTZVVBUYITUXMVVAUYBTZUWOVVAUEZRZVVAVLVMVKZQZQVVFUXMVVHVVLUXMVVAUWI
        RZVVHUXMUWOUWITVVMUXMUWOFUWIVVDUXMUXFUXHUYNUXIVDXLUWOUWIIXCZXNXMVVAUWIU
        WOXOXPVBUXMVVJVVKVVJUXMVVIUWOUWOVVNXQXRYDUXLVVKAUWOFXSWDVEVEUYAVVLUBVVA
        UYBUXQVVASZUXSVVJUXTVVKVVOUXRVVIUWOUXQVVAWIWLUXQVVAVLVMWJWKWMVBVVGUXMVV
        AUYFPXTYDUAUYCUYGVVBVVAUYHXBVUTUYDVVAUYFPYEYAUSYBYCYFUXMUWPYOTZUXOUWPUK
        SZUXMVVPQZUXOUWQUWPUCUMZYGUOZVJVKZUCYHUIZVVRVWAUCYHVVRVVSYHTZQZUYGVVTVR
        VKZVWAUAUYCVWDUYQQZVWEQZUWQYITZVVTYITZUWQVVTVRVKZVWAUXMVWHVVPVWCUYQVWEU
        XMUXAYIUWQUNUKYJZVVEYKZYLZVWGVVTVWGUWPVVSUXMVVPVWCUYQVWEUUAVWGVVSVWDVWC
        UYQVWEVVRVWCXIZWHUUBUUCUUDZVWGUWQUYGVVTVWMVWGUXAYIUYGVWKVWGUYQUYTUYPVWD
        UYQVWEYMVWGUYSPUYDVWFVWEPVWFPUUFPUYGVVTVRUYDUYFPVURUUGPVRXAPVVTXAUUEUUH
        VWGVUAUYSVWGVUAQFUXAUYEDVWDUXFUYQVWEVUAUXMUXFVVPVWCUYNWHZYPVWGUYDFUYEVW
        FVUEVWEVVRUYQVUEVWCUXMUYQVUEVVPVUMYNYNWAWRWSUUPUUIUYDUYFPUYCVURXDUSYKVW
        OVWFUWQUYGVJVKZVWEVVRUYQVWQVWCUXMUYQVWQVVPUYRUWQUYDUYEUWOYQZDUHZPVOZUYG
        UXMVWHUYQVWLWAUYRUXAYIVWTVWKUYRVUPVWSUXATZPUYDUIVWTUXATVUQUYRVXAPUYDVUB
        FUXAVWRDVUCVUBUXEUYEFTZUXLVWRFTZUXMUXEUYQVUAUYMWHZVUNUXMUXLUYQVUAVVDWHB
        CUYEUWOEFHINUUJWFZWSZWTUYDVWSPXBVURXDUUKYKUYRUXAYIUYGVWKVUSYKUYRPUYDVWR
        YRZDUHUWQVWTVJUYRVXGUWODUYRVXGPUYDUYEYRZUWOYQZUWOPUYDUWOUYEUULUYRUWOVXH
        RVXIUWOSUYRUWOVUGVXHUYRUYQVUHUXMUYQXIZUYQVUHVUIUYQVUFVUJVULUUMZUUNVDPUY
        DUUQUUOUWOVXHUURXMWGXJUYRBCUYDVWRDEFPHIUXMUXFUYQUYNWAAUUSDUHUNSZUXLUYQK
        WHUXMBUMZVLVMVKVXMFRCVXMCUMZUUTUVAZVXMUEDUHVXMVXNDUHCVOSZUYQAVXOVXPUXLL
        YNYNZNUXMUXEUYQUYMWAUYRUYQVUIVXJUYQVUHVUIVXKUVBVDVXEUVCUVDUYRUYDVWSUYFP
        UYCVXJVXFVUOVUBBCVWRUYEDFVUCAVXLUXLUYQVUAKYPUYRVXOVXPVUAVXQYNVXEVUNVUBU
        XEVXBVXCUYEVWRUVGFTVXDVUNVXEBCUYEVWREFHINUVEWFVWRUYERVUBUYEUWOUVFYDUVHU
        VIUVJYNYNWAVWFVWEXIUVKVWHVWIQVWJVWAUWQVVTUVLUVMYSVWDUAUBPUWOFDVVSGEMUXM
        UXEVVPVWCUYMWHVWPUXMUYLVVPVWCUYOWHUXMVVPVWCYMVWNUVNUVOWTVVRVWHVVPUXOVWB
        UTUXMVWHVVPVWLWAUXMVVPXIUCUWQUWPUVPUSYTUXMVVQQZUWQUKUWPVJVXRVWHUWQUKVJV
        KUXMVWHVVQVWLWAUWQUVQVDUXMVVQXIUVRUXMUWPYITZUWPUVSUVTZVVPVVQUWAZUXMUXAY
        IUWPVWKUXMUWJUXAUWOGAUXBUXLUXGWAAFUWJUWOUXKWRWSZYKZUXMUWPUXATVXTVYBUWPU
        WBVDVXSVXTQVYAUWPUWCUWDUSUWEVEUXMVXSVWHUWRUXPUTVYCVWLUWPUWQUWFUSYTWTUWM
        UWNQUWTUWSIUWJFGDUWGUWHYS @.
    @}

    caraext.n @e |- N = { s e. ~P ~P O | ( (/) e. s /\ A. x e. s A. y e. s
      ( ( x i^i y ) e. s /\ E. z e. ~P s ( z e. Fin /\ Disj_ t e. z t
      /\ ( x \ y ) = U. z ) ) ) } @.
    caraext.4 @e |- ( ph -> R e. N ) @.
    @( Caratheodory's Extension Theorem: Given a pre-measure ` P ` on a
       semiring of sets ` R ` , there exists a measure ` M ` which extends
       ` P ` over the sigma-algebra generated by ` R ` .  @)
    caraext @p |- ( ph -> ( M |` S ) = P ) @=
      ? @.
$)
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Caratheodory's extension theorem: examples and applications
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

$(
  @{
    ovoloms.1 @e |- I = ( ( <_ i^i ( RR X. RR ) ) ^m NN ) @.
    ovoloms.2 @e |- R = U. ran ( f e. I
      |-> { ran ( (,) o. f ) , ran ( ( abs o. - ) o. f ) } ) @.
    @( The pre-measure ` R ` of the Lebesgue measure is defined over unions of
       open intervals.  (Contributed by Thierry Arnoux, 6-Jun-2020.) @)
    ovolomsdm @p |- dom R = U. ran ( f e. I |-> ran ( (,) o. f ) ) @=
      ? @.

    @( The pre-measure of the Lebesgue measure is defined  @)
    ovolomsunidm @p |- U. dom R = RR @=
      ? @.

    @( Express the Lebesgue outer measure as an outer measure.  This could be
       considered as an alternative definition of the Lebesgue outer measure.
       (Contributed by Thierry Arnoux, 6-Jun-2020.) @)
    ovoloms @p |- vol* = ( toOMeas ` R ) @=
      ? @.
  @}
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Caratheodory's extension theorem: measure on RR ^ N
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

$( End $[ set-mbox-ta-meas.mm $] $)


$( Begin $[ set-mbox-ta-itgm.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Integration
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Lebesgue integral - misc additions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d k x ph $.  $d k A $.  $d k B $.  $d k C $.  $d k D $.
    itgeq12dv.2 $e |- ( ph -> A = B ) $.
    itgeq12dv.1 $e |- ( ( ph /\ x e. A ) -> C = D ) $.
    $( Equality theorem for an integral.  (Contributed by Thierry Arnoux,
       14-Feb-2017.) $)
    itgeq12dv $p |- ( ph -> S. A C _d x = S. B D _d x ) $=
      ( vk cc0 co cv cr cdiv cre cfv cle wa citg2 cmul c3 cfz cexp wcel wbr cif
      ci cmpt citg fvoveq1d breq2d pm5.32da eleq2d anbi1d bitrd wceq adantrr wn
      csu eqidd ifbieq12d2 mpteq2dv fveq2d oveq2d sumeq2sdv eqid dfitg 3eqtr4g
      ) AJUAUBKZUGILUCKZBMBLZCUDZJEVJNKOPZQUEZRZVMJUFZUHZSPZTKZIUSVIVJBMVKDUDZJ
      FVJNKOPZQUEZRZWAJUFZUHZSPZTKZIUSBCEUIBDFUIAVIVSWGIAVRWFVJTAVQWESABMVPWDAV
      OWCVMJWAJAVOVLWBRWCAVLVNWBAVLRZVMWAJQWHEFVJONHUJZUKULAVLVTWBACDVKGUMUNUOA
      VLVMWAUPVNWIUQAVOURRJUTVAVBVCVDVEBCEVMIVMVFVGBDFWAIWAVFVGVH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Bochner integral
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c sitg $. $( Measure integral on simple functions $)
  $c sitm $. $( Integral metric $)
  $c itgm $. $( Measure integral $)

  $( Extend class notation with the (measure) Bochner integral. $)
  citgm $a class itgm $.

  $( Extend class notation with the integral metric for simple functions. $)
  csitm $a class sitm $.

  $( Extend class notation with the integral of simple functions. $)
  csitg $a class sitg $.

  ${
    $d f g m w x $.
    $( Define the integral of simple functions from a measurable space
       ` dom m ` to a generic space ` w ` equipped with the right scalar
       product. ` w ` will later be required to be a Banach space.

       These simple functions are required to take finitely many different
       values: this is expressed by ` ran g e. Fin ` in the definition.

       Moreover, for each ` x ` , the pre-image ` ( ``' g " { x } ) ` is
       requested to be measurable, of finite measure.

       In this definition, ` ( sigaGen `` ( TopOpen `` w ) ) ` is the Borel
       sigma-algebra on ` w ` , and the functions ` g ` range over the
       measurable functions over that Borel algebra.

       Definition 2.4.1 of [Bogachev] p. 118.  (Contributed by Thierry Arnoux,
       21-Oct-2017.) $)
    df-sitg $a |- sitg = ( w e. _V , m e. U. ran measures |-> ( f e.
      { g e. ( dom m MblFnM ( sigaGen ` ( TopOpen ` w ) ) ) | ( ran g e. Fin /\
          A. x e. ( ran g \ { ( 0g ` w ) } ) ( m ` ( `' g " { x } ) )
      e. ( 0 [,) +oo ) ) } |-> ( w gsum ( x e. ( ran f \ { ( 0g ` w ) } ) |-> (
          ( ( RRHom ` ( Scalar ` w ) ) ` ( m ` ( `' f " { x } ) ) )
      ( .s ` w ) x ) ) ) ) ) $.
  $}

  ${
    $d f g m w $.
    $( Define the integral metric for simple functions, as the integral of the
       distances between the function values.  Since distances take nonnegative
       values in ` RR* ` , the range structure for this integral is
       ` ( RR*s |``s ( 0 [,] +oo ) ) ` .  See definition 2.3.1 of [Bogachev]
       p. 116.  (Contributed by Thierry Arnoux, 22-Oct-2017.) $)
    df-sitm $a |- sitm = ( w e. _V , m e. U. ran measures |->
        ( f e. dom ( w sitg m ) , g e. dom ( w sitg m ) |->
     ( ( ( RR*s |`s ( 0 [,] +oo ) ) sitg m ) ` ( f oF ( dist ` w ) g ) ) ) ) $.
  $}

  ${
    $d f m w B $.  $d f g x F $.  $d f m w H $.  $d f g m w x M $.
    $d f g m w S $.  $d f g m w x W $.  $d f g m w x .0. $.  $d f m w .x. $.
    sitgval.b $e |- B = ( Base ` W ) $.
    sitgval.j $e |- J = ( TopOpen ` W ) $.
    sitgval.s $e |- S = ( sigaGen ` J ) $.
    sitgval.0 $e |- .0. = ( 0g ` W ) $.
    sitgval.x $e |- .x. = ( .s ` W ) $.
    sitgval.h $e |- H = ( RRHom ` ( Scalar ` W ) ) $.
    sitgval.1 $e |- ( ph -> W e. V ) $.
    sitgval.2 $e |- ( ph -> M e. U. ran measures ) $.
    $( Value of the simple function integral builder for a given space ` W `
       and measure ` M ` .  (Contributed by Thierry Arnoux, 30-Jan-2018.) $)
    sitgval $p |- ( ph -> ( W sitg M ) = ( f e. { g e. ( dom M MblFnM S ) |
     ( ran g e. Fin /\ A. x e. ( ran g \ { .0. } ) ( M ` ( `' g " { x } ) )
        e. ( 0 [,) +oo ) ) } |-> ( W gsum ( x e. ( ran f \ { .0. } ) |-> (
        ( H ` ( M ` ( `' f " { x } ) ) ) .x. x ) ) ) ) ) $=
      ( vw vm cvv wcel cmeas crn cuni csitg cfn ccnv csn cima cfv cc0 cpnf cico
      co cv cdif wral wa cdm cmbfm crab cmpt cgsu wceq elexd c0g ctopn csigagen
      csca cvsca 2fveq3 fveq2i eqtri eqtr4di oveq2d fveq2 sneqd difeq2d raleqdv
      crrh anbi2d rabeqbidv fveq1d eqidd oveq123d mpteq12dv oveq12d dmeq oveq1d
      fveq1 eleq1d ralbidv simpl fveq2d mpteq2dva df-sitg ovex mptrabex syl2anc
      id ovmpo ) ALUDUEJUFUGUHZUELJUIURFGUSZUGZUJUEZXGUKBUSZULZUMZJUNZUOUPUQURZ
      UEZBXHMULZUTZVAZVBZGJVCZDVDURZVEZLBFUSZUGZXPUTZYCUKXKUMZJUNZHUNZXJEURZVFZ
      VGURZVFZVHALKTVIUAUBUCLJUDXFFXIXLUCUSZUNZXNUEZBXHUBUSZVJUNZULZUTZVAZVBZGY
      MVCZYPVKUNVLUNZVDURZVEZYPBYDYRUTZYFYMUNZYPVMUNWDUNZUNZXJYPVNUNZURZVFZVGUR
      ZVFYLUIFXIYOBXQVAZVBZGUUBDVDURZVEZLBYEUUGHUNZXJEURZVFZVGURZVFYPLVHZFUUEUU
      MUUQUVAUVBUUAUUOGUUDUUPUVBUUCDUUBVDUVBUUCLVKUNZVLUNZDYPLVLVKVODIVLUNUVDPI
      UVCVLOVPVQVRVSUVBYTUUNXIUVBYOBYSXQUVBYRXPXHUVBYQMUVBYQLVJUNMYPLVJVTQVRWAZ
      WBWCWEWFUVBYPLUULUUTVGUVBXDUVBBUUFUUKYEUUSUVBYRXPYDUVEWBUVBUUIUURXJXJUUJE
      UVBUUJLVNUNEYPLVNVTRVRUVBUUGUUHHUVBUUHLVMUNWDUNHYPLWDVMVOSVRWGUVBXJWHWIWJ
      WKWJYMJVHZFUUQUVAYBYKUVFUUOXSGUUPYAUVFUUBXTDVDYMJWLWMUVFUUNXRXIUVFYOXOBXQ
      UVFYNXMXNXLYMJWNWOWPWEWFUVFUUTYJLVGUVFBYEUUSYIUVFXJYEUEZVBZUURYHXJEUVHUUG
      YGHUVHYFYMJUVFUVGWQWGWRWMWSVSWJBUBFGUCWTXSFGYAYKXTDVDXAXBXEXC $.

    $( The predicate " ` F ` is a simple function" relative to the Bochner
       integral.  (Contributed by Thierry Arnoux, 19-Feb-2018.) $)
    issibf $p |- ( ph -> ( F e. dom ( W sitg M ) <-> ( F e. ( dom M MblFnM S )
        /\ ran F e. Fin /\ A. x e. ( ran F \ { .0. } ) ( M ` ( `' F " { x } ) )
        e. ( 0 [,) +oo ) ) ) ) $=
      ( vg vf csitg cdm wcel cmbfm crn cfn ccnv csn cima cfv cc0 cpnf cico cdif
      co cv wral wa w3a crab cmpt cgsu cvv sitgval dmeqd eqid dmmpt eqtrdi wceq
      eleq2d difeq1d cnveq imaeq1d fveq2d oveq1d mpteq12dv oveq2d eleq1d bitrdi
      rneq elrab ovex biantru bitr4di raleqbidv anbi12d 3anass ) AFKIUCUQZUDZUE
      ZFIUDDUFUQZUEZFUGZUHUEZFUIZBURZUJZUKZIULZUMUNUOUQZUEZBWOLUJZUPZUSZUTZUTZW
      NWPXFVAAWLFUAURZUGZUHUEZXIUIZWSUKZIULZXBUEZBXJXDUPZUSZUTZUAWMVBZUEZXHAWLX
      TKBXEXAGULZWREUQZVCZVDUQZVEUEZUTZXTAWLFKBUBURZUGZXDUPZYGUIZWSUKZIULZGULZW
      REUQZVCZVDUQZVEUEZUBXSVBZUEYFAWKYRFAWKUBXSYPVCZUDYRAWJYSABCDEUBUAGHIJKLMN
      OPQRSTVFVGUBXSYPYSYSVHVIVJVLYQYEUBFXSYGFVKZYPYDVEYTYOYCKVDYTBYIYNXEYBYTYH
      WOXDYGFWBVMYTYMYAWREYTYLXAGYTYKWTIYTYJWQWSYGFVNVOVPVPVQVRVSVTWCWAYEXTKYCV
      DWDWEWFXRXGUAFWMXIFVKZXKWPXQXFUUAXJWOUHXIFWBZVTUUAXOXCBXPXEUUAXJWOXDUUBVM
      UUAXNXAXBUUAXMWTIUUAXLWQWSXIFVNVOVPVTWGWHWCWAWNWPXFWIWF $.

    ${
      $d x S $.  $d x ph $.
      sibf0.1 $e |- ( ph -> W e. TopSp ) $.
      sibf0.2 $e |- ( ph -> W e. Mnd ) $.
      $( The constant zero function is a simple function.  (Contributed by
         Thierry Arnoux, 4-Mar-2018.) $)
      sibf0 $p |- ( ph -> ( U. dom M X. { .0. } ) e. dom ( W sitg M ) ) $=
        ( vx cdm cuni csn cxp csitg co wcel cmbfm crn cfn ccnv cv cima cfv cpnf
        cc0 cico cdif wral cmeas csiga dmmeas syl csigagen cvv ctopn a1i sgsiga
        fvexi eqeltrid cmpt wceq fconstmpt cmnd mndidcl ctps tpsuni unieqi mp1i
        unisg syl5eq eqtr4d eleqtrd mbfmcst xpeq1 0xp eqtrdi rneqd rn0 eqeltrdi
        c0 0fin wne rnxp snfi pm2.61ine noel difeq1d difid eleq2i mtbir pm2.21i
        0dif adantl ralrimiva issibf mpbir3and ) AGUBZUCZJUDZUEZIGUFUGUBUHXLXIC
        UIUGUHXLUJZUKUHZXLULUAUMZUDUNGUOUQUPURUGUHZUAXMXKUSZUTAUAJXICXLAGVAUJUC
        UHXIVBUJUCZUHRGVCVDACFVEUOZXRMAFVFFVFUHZAFIVGLVJZVHVIVKXLUAXJJVLVMAUAXJ
        JVNVHAJBCUCZAIVOUHJBUHTBIJKNVPVDABFUCZYBAIVQUHBYCVMSBFIKLVRVDAYBXSUCZYC
        CXSMVSXTYDYCVMAYAFVFWAVTWBWCWDWEXNAXNXJWLXJWLVMZXMWLUKYEXMWLUJWLYEXLWLY
        EXLWLXKUEWLXJWLXKWFXKWGWHWIWJWHZWMWKXJWLWNZXMXKUKXJXKWOZJWPWKWQVHAXPUAX
        QXOXQUHZXPAYIXPYIXOWLUHXOWRXQWLXOXQWLVMXJWLYEXQWLXKUSWLYEXMWLXKYFWSXKXD
        WHYGXQXKXKUSWLYGXMXKXKYHWSXKWTWHWQXAXBXCXEXFAUABCDXLEFGHIJKLMNOPQRXGXH
        $.
    $}

    ${
      $d x A $.  $d f g B $.  $d f g x F $.  $d f H $.  $d f g M $.
      $d f g S $.  $d f W $.  $d f .x. $.  $d f g .0. $.  $d f x ph $.
      sibfmbl.1 $e |- ( ph -> F e. dom ( W sitg M ) ) $.
      $( A simple function is measurable.  (Contributed by Thierry Arnoux,
         19-Feb-2018.) $)
      sibfmbl $p |- ( ph -> F e. ( dom M MblFnM S ) ) $=
        ( vx cdm cmbfm co wcel crn cfn ccnv cv csn cima cfv cpnf cico cdif wral
        cc0 csitg w3a issibf mpbid simp1d ) AEHUBCUCUDUEZEUFZUGUEZEUHUAUIUJUKHU
        LUQUMUNUDUEUAVDKUJUOUPZAEJHURUDUBUEVCVEVFUSTAUABCDEFGHIJKLMNOPQRSUTVAVB
        $.

      $( A simple function is a function.  (Contributed by Thierry Arnoux,
         19-Feb-2018.) $)
      sibff $p |- ( ph -> F : U. dom M --> U. J ) $=
        ( cdm cuni cmeas crn wcel csiga dmmeas syl csigagen cfv cvv ctopn fvexd
        wf eqeltrid sgsiga sibfmbl mbfmf unieqi wceq unisg syl5eq feq3d mpbid )
        AHUAZUBZCUBZEUNVFGUBZEUNAVECEAHUCUDUBUEVEUFUDUBZUESHUGUHACGUIUJZVINAGUK
        AGJULUJUKMAJULUMUOZUPUOABCDEFGHIJKLMNOPQRSTUQURAVGVHEVFAVGVJUBZVHCVJNUS
        AGUKUEVLVHUTVKGUKVAUHVBVCVD $.

      $( A simple function has finite range.  (Contributed by Thierry Arnoux,
         19-Feb-2018.) $)
      sibfrn $p |- ( ph -> ran F e. Fin ) $=
        ( vx cdm cmbfm co wcel crn cfn ccnv cv csn cima cfv cpnf cico cdif wral
        cc0 csitg w3a issibf mpbid simp2d ) AEHUBCUCUDUEZEUFZUGUEZEUHUAUIUJUKHU
        LUQUMUNUDUEUAVDKUJUOUPZAEJHURUDUBUEVCVEVFUSTAUABCDEFGHIJKLMNOPQRSUTVAVB
        $.

      $( Any preimage of a singleton by a simple function is measurable.
         (Contributed by Thierry Arnoux, 19-Feb-2018.) $)
      sibfima $p |- ( ( ph /\ A e. ( ran F \ { .0. } ) )
                          -> ( M ` ( `' F " { A } ) ) e. ( 0 [,) +oo ) ) $=
        ( vx ccnv cv csn cima cfv cc0 cpnf cico co wcel crn cdif wral cdm cmbfm
        cfn csitg w3a issibf mpbid simp3d wceq sneq imaeq2d fveq2d eleq1d rspcv
        mpan9 ) AFUCZUBUDZUEZUFZIUGZUHUIUJUKZULZUBFUMZLUEUNZUOZBVSULVKBUEZUFZIU
        GZVPULZAFIUPDUQUKULZVRURULZVTAFKIUSUKUPULWEWFVTUTUAAUBCDEFGHIJKLMNOPQRS
        TVAVBVCVQWDUBBVSVLBVDZVOWCVPWGVNWBIWGVMWAVKVLBVEVFVGVHVIVJ $.

      ${
        sibfinima.g $e |- ( ph -> G e. dom ( W sitg M ) ) $.
        sibfinima.w $e |- ( ph -> W e. TopSp ) $.
        sibfinima.j $e |- ( ph -> J e. Fre ) $.
        $( The measure of the intersection of any two preimages by simple
           functions is a real number.  (Contributed by Thierry Arnoux,
           21-Mar-2018.) $)
        sibfinima $p |- ( ( ( ph /\ X e. ran F /\ Y e. ran G )
          /\ ( X =/= .0. \/ Y =/= .0. ) ) ->
        ( M ` ( ( `' F " { X } ) i^i ( `' G " { Y } ) ) ) e. ( 0 [,) +oo ) ) $=
          ( crn wcel w3a wne wo ccnv csn cima cin cfv cc0 cle wbr cpnf clt cico
          wa cr cxr cicc cdm cmeas cuni measbasedom sylib 3ad2ant1 csiga dmmeas
          co syl csigagen ct1 sgsiga eqeltrid sibfmbl ccld wss ctps ctop tpstop
          cmbfm cldssbrsiga 3syl sseqtrrdi sibff frnd simp2 sseldd eqid t1sncld
          syl2anc mbfmcnvima inelsiga syl3anc measvxrge0 elxrge0 simplbi adantr
          simp3 0re a1i simprbi pnfxr measssd cdif simpl1 anim1i eldifsn sylibr
          inss1 sibfima wb elico2 mp2an simp3bi xrlelttrd inss2 jaodan syl22anc
          xrre3 syl3anbrc ) ALEUGZUHZMFUGZUHZUIZLNUJZMNUJZUKZVCZEULLUMZUNZFULMU
          MZUNZUOZIUPZVDUHZUQUUBURUSZUUBUTVAUSZUUBUQUTVBVOZUHZYPUUBVEUHZUQVDUHZ
          UUDUUEUUCYLUUHYOYLUUBUQUTVFVOZUHZUUHYLIIVGZVHUPUHZUUAUULUHZUUKAYIUUMY
          KAIVHUGVIUHZUUMUBIVJVKVLZYLUULVMUGVIZUHZYRUULUHZYTUULUHZUUNAYIUURYKAU
          UOUURUBIVNVPVLZYLYQUULCEUVAAYICUUQUHYKACHVQUPZUUQQAHVRUFVSVTVLZAYIEUU
          LCWGVOZUHYKABCDEGHIJKNOPQRSTUAUBUCWAVLYLHWBUPZCYQAYIUVECWCYKAUVEUVBCA
          KWDUHHWEUHUVEUVBWCUEHKPWFHWHWIQWJVLZYLHVRUHZLHVIZUHYQUVEUHAYIUVGYKUFV
          LZYLYHUVHLAYIYHUVHWCYKAUULVIZUVHEABCDEGHIJKNOPQRSTUAUBUCWKWLVLAYIYKWM
          ZWNLHUVHUVHWOZWPWQWNWRZYLYSUULCFUVAUVCAYIFUVDUHYKABCDFGHIJKNOPQRSTUAU
          BUDWAVLYLUVECYSUVFYLUVGMUVHUHYSUVEUHUVIYLYJUVHMAYIYJUVHWCYKAUVJUVHFAB
          CDFGHIJKNOPQRSTUAUBUDWKWLVLAYIYKXEZWNMHUVHUVLWPWQWNWRZYRYTUULWSWTZUUA
          UULIXAWQZUUKUUHUUDUUBXBZXCVPZXDUUIYPXFXGYLUUDYOYLUUKUUDUVQUUKUUHUUDUV
          RXHVPXDZYLYMUUEYNYLYMVCZUUBYRIUPZUTYLUUHYMUVSXDUWAUWBUUJUHZUWBVEUHZUW
          AUUMUUSUWCYLUUMYMUUPXDZYLUUSYMUVMXDZYRUULIXAWQUWCUWDUQUWBURUSZUWBXBXC
          VPUTVEUHZUWAXIXGUWAUUAYRUULIUWEYLUUNYMUVPXDUWFUUAYRWCUWAYRYTXPXGXJUWA
          UWBUUFUHZUWBUTVAUSZUWAALYHNUMZXKUHZUWIAYIYKYMXLUWAYIYMVCUWLYLYIYMUVKX
          MLYHNXNXOALBCDEGHIJKNOPQRSTUAUBUCXQWQUWIUWBVDUHZUWGUWJUUIUWHUWIUWMUWG
          UWJUIXRXFXIUQUTUWBXSXTYAVPYBYLYNVCZUUBYTIUPZUTYLUUHYNUVSXDUWNUWOUUJUH
          ZUWOVEUHZUWNUUMUUTUWPYLUUMYNUUPXDZYLUUTYNUVOXDZYTUULIXAWQUWPUWQUQUWOU
          RUSZUWOXBXCVPUWHUWNXIXGUWNUUAYTUULIUWRYLUUNYNUVPXDUWSUUAYTWCUWNYRYTYC
          XGXJUWNUWOUUFUHZUWOUTVAUSZUWNAMYJUWKXKUHZUXAAYIYKYNXLUWNYKYNVCUXCYLYK
          YNUVNXMMYJNXNXOAMBCDFGHIJKNOPQRSTUAUBUDXQWQUXAUWOVDUHZUWTUXBUUIUWHUXA
          UXDUWTUXBUIXRXFXIUQUTUWOXSXTYAVPYBYDZUUBUQYFYEUVTUXEUUIUWHUUGUUCUUDUU
          EUIXRXFXIUQUTUUBXSXTYG $.
      $}

      ${
        $d x y B $.  $d x z C $.  $d b p x z F $.  $d b p x y z G $.
        $d x z J $.  $d b p x y z K $.  $d b p x z M $.  $d x W $.
        $d x y .0. $.  $d b p x y z .+ $.  $d p x y ph $.  $d b z ph $.
        sibfof.c $e |- C = ( Base ` K ) $.
        sibfof.0 $e |- ( ph -> W e. TopSp ) $.
        sibfof.1 $e |- ( ph -> .+ : ( B X. B ) --> C ) $.
        sibfof.2 $e |- ( ph -> G e. dom ( W sitg M ) ) $.
        sibfof.3 $e |- ( ph -> K e. TopSp ) $.
        sibfof.4 $e |- ( ph -> J e. Fre ) $.
        sibfof.5 $e |- ( ph -> ( .0. .+ .0. ) = ( 0g ` K ) ) $.
        $( Applying function operations on simple functions results in simple
           functions with regard to the destination space, provided the
           operation fulfills a simple condition.  (Contributed by Thierry
           Arnoux, 12-Mar-2018.) $)
        sibfof $p |- ( ph -> ( F oF .+ G ) e. dom ( K sitg M ) ) $=
          ( vz vb vx vp vy co cdm wcel ctopn cfv csigagen cmbfm crn cfn ccnv cv
          csn cima cc0 cdif wral cuni wf cvv ctps wceq tpsuni mpbid sibff cmeas
          cxp syl 3syl eqid eqtr4di feq3d a1i sgsiga mpbird wa cin imaeq2i wfun
          cun adantr ciun com cdom wbr wss inss2 simpll cnvimass sselda sibfmbl
          ct1 xp1st adantl eleqtrd t1sncld syl2anc eleqtrrdi mbfmcnvima syl3anc
          sseldd xp2nd ralrimiva sibfrn ssdomg csdm isfinite sdomdom domtr nfcv
          mpisyl sigaclcuni eqeltrd mpsyl ffund ssfi sylib c0 cle wdisj sylancl
          cr wne wo wi cof csitg cpnf cico c0g cmap sqxpeqd feq2d fovrnda dmexg
          uniexg inidm off fvex unisg ax-mp uniexd elmapd inundif ffun unpreima
          csiga eqtr3id dmmeas imaiun iunid eqtr3i c1st c2nd ofpreima2 ad2antrr
          ffnd inss1 sstrid eqeltrid ccld ctop tpstop cldssbrsiga inelsiga xpfi
          fssdm biimpi ssralv imafi ofrn2 eqeltrrid difpreima cnvimarndm ssdif0
          difeq2i mpbi eqtri eqtrdi 0elsiga unelsiga ismbfm mpbir2and csu cesum
          fveq2d measbasedom eldifi sylan2 sneq imaeq2d sndisj disjxpin disjss1
          disjpreima measvuni syl112anc simpr sselid wn oveq12 necon3ad neorian
          sylan9eqr ex syl6ibr ralrimivva wfn fniniseg cop 1st2nd2 df-ov eqtr3d
          wb simplr eldifbd velsn necon3bbii eqnetrrd oveq1 neeq1d neeq1 orbi1d
          sylanl2 imbi12d oveq2 orbi2d rspc2v mp2d sibfinima esumpfinval 3eqtrd
          syl31anc rge0ssre fsumrecl measge0 fsumge0 breqtrrd elrege0 csca crrh
          sylanbrc cvsca issibf mpbir3and ) AGHDUUAUQZKLUUBUQURUSVVALURZKUTVAZV
          BVAZVCUQUSZVVAVDZVEUSZVVAVFZULVGZVHZVIZLVAZVJUUCUUDUQZUSZULVVFKUUEVAZ
          VHZVKZVLAVVEVVAVVDVMZVVBVMZUUFUQUSZVVHUMVGZVIZVVBUSZUMVVDVLAVVTVVSVVR
          VVAVNZAVVSCVVAVNZVWDAULUNVVSVVSVVSDJVMZVWFCGHVOVOAVVIUNVGZCVWFVWFDABB
          WBZCDVNVWFVWFWBZCDVNUGAVWHVWICDABVWFANVPUSZBVWFVQZUFBJNPQVRWCZUUGUUHV
          SZUUIABEFGIJLMNOPQRSTUAUBUCUDVTZABEFHIJLMNOPQRSTUAUBUCUHVTZALWAVDVMZU
          SZVVBVOUSVVSVOUSUCLVWPUUJVVBVOUUKWDZVWRVVSUULUUMZACVVRVVAVVSACVVCVMZV
          VRAKVPUSCVWTVQUICVVCKUEVVCWEZVRWCVVCVOUSZVVRVWTVQKUTUUNZVVCVOUUOUUPWF
          WGVSAVVRVVSVVAVOVOAVVDUVBVDVMZAVVCVOVXBAVXCWHWIZUUQVWRUURWJAVWCUMVVDA
          VWAVVDUSZWKZVWBVVHVWAVVFWLZVIZVVHVWAVVFVKZVIZWOZVVBVXGVWBVVHVXHVXJWOZ
          VIZVXLVXMVWAVVHVWAVVFUUSWMAVXNVXLVQZVXFAVWEVVAWNZVXOVWSVVSCVVAUUTZVXH
          VXJVVAUVAWDWPUVCVXGVVBVXDUSZVXIVVBUSVXKVVBUSZVXLVVBUSAVXRVXFAVWQVXRUC
          LUVDZWCZWPZVXGVXIULVXHVVKWQZVVBVVHULVXHVVJWQZVIVYCVXIULVVHVXHVVJUVEVY
          DVXHVVHULVXHUVFWMUVGVXGVXRVVKVVBUSZULVXHVLZVXHWRWSWTZVYCVVBUSVYBAVYFV
          XFVXHVVFXAZAVYEULVVFVLVYFVWAVVFXBZAVYEULVVFAVVIVVFUSZWKZVVKUODVFVVJVI
          ZGVDZHVDZWBZWLZGVFZUOVGZUVHVAZVHZVIZHVFZVYRUVIVAZVHZVIZWLZWQZVVBAVVKW
          UGVQZVYJAVVSBBVVJDGHVOUOAVVSBGVNVVSVWFGVNVWNABVWFGVVSVWLWGWJAVVSBHVNV
          VSVWFHVNVWOABVWFHVVSVWLWGWJVWRAVWHCDUGUVLZUVJZWPVYKVXRWUFVVBUSZUOVYPV
          LZVYPWRWSWTZWUGVVBUSAVXRVYJVYAWPVYKWUKUOVYPVYKVYRVYPUSZWKZVXRWUAVVBUS
          ZWUEVVBUSZWUKAVXRVYJWUNVYAUVKWUOAVYRVWHUSZWUPAVYJWUNXCZVYKVYPVWHVYRVY
          KVYPVYLVWHVYLVYOUVMZAVYLVWHXAVYJAVWHCVYLDDVVJXDUGUWBWPUVNXEZAWURWKZVY
          TVVBEGAVXRWURVYAWPZAEVXDUSWURAEJVBVAZVXDRAJXGUJWIUVOWPZAGVVBEVCUQZUSW
          URABEFGIJLMNOPQRSTUAUBUCUDXFWPWVBVYTWVDEWVBJUVPVAZWVDVYTAWVGWVDXAZWUR
          AVWJJUVQUSWVHUFJNQUVRJUVSWDWPZWVBJXGUSZVYSVWFUSVYTWVGUSAWVJWURUJWPZWV
          BVYSBVWFWURVYSBUSZAVYRBBXHZXIAVWKWURVWLWPZXJVYSJVWFVWFWEZXKXLXPRXMXNX
          LWUOAWURWUQWUSWVAWVBWUDVVBEHWVCWVEAHWVFUSWURABEFHIJLMNOPQRSTUAUBUCUHX
          FWPWVBWUDWVDEWVBWVGWVDWUDWVIWVBWVJWUCVWFUSWUDWVGUSWVKWVBWUCBVWFWURWUC
          BUSZAVYRBBXQZXIWVNXJWUCJVWFWVOXKXLXPRXMXNXLWUAWUEVVBUVTXOZXRZAWUMVYJA
          VYPVYOWSWTZVYOWRWSWTZWUMAVYOVEUSZVYPVYOXAZWVTAVYMVEUSVYNVEUSWWBABEFGI
          JLMNOPQRSTUAUBUCUDXSABEFHIJLMNOPQRSTUAUBUCUHXSVYMVYNUWAXLZVYLVYOXBZVY
          PVYOVEXTYFAWWBVYOWRYAWTZWWAWWDWWBWWFVYOYBUWCVYOWRYCWDVYPVYOWRYDXLZWPV
          YPWUFVVBUOUOVYPYEYGXOYHXRVYEULVXHVVFUWDYIWPAVYGVXFAVXHVVFWSWTZVVFWRWS
          WTZVYGAVVGVYHWWHADVYOVIZVEUSZVVFWWJXAVVGADWNWWBWWKAVWHCDUGYJWWDDVYOUW
          EXLAVVSVWFCDGHVOVWNVWOVWMVWRUWFWWJVVFYKXLZVYIVXHVVFVEXTYFAVVFWRYAWTZW
          WIAVVGWWMWWLVVFYBYLVVFWRYCWCVXHVVFWRYDXLWPVXHVVKVVBULULVXHYEYGXOUWGAV
          XSVXFAVXKYMVVBAVXKVWBVVHVVFVIZVKZYMAVWEVXPVXKWWOVQVWSVXQVWAVVFVVAUWHW
          DWWOVWBVVAURZVKZYMWWNWWPVWBVVAUWIUWKVWBWWPXAWWQYMVQVVAVWAXDVWBWWPUWJU
          WLUWMUWNAVWQVXRYMVVBUSUCVXTVVBUWOWDYHWPVXIVXKVVBUWPXOYHXRAUMVVBVVDVVA
          VYAVXEUWQUWRWWLAVVNULVVQAVVIVVQUSZWKZVVLYQUSVJVVLYNWTVVNWWSVVLVYPWUFL
          VAZUOUWSZYQWWSVVLWUGLVAZVYPWWTUOUWTZWXAWWSVVKWUGLAWUHWWRWUJWPUXAWWSLV
          VBWAVAUSZWULWUMUOVYPWUFYOZWXBWXCVQAWXDWWRAVWQWXDUCLUXBYLWPZWWRAVYJWUL
          VVIVVFVVPUXCZWVSUXDAWUMWWRWWGWPAWXEWWRWWCAUOVYOWUFYOWXEWWEAUNUPVYMVYN
          VYQVWGVHZVIZWUBUPVGZVHZVIZWUAWUEUOVWGVYSVQZWXHVYTVYQVWGVYSUXEUXFWXJWU
          CVQZWXKWUDWUBWXJWUCUXEUXFAGWNUNVYMWXHYOUNVYMWXIYOAVVSVWFGVWNYJUNVYMUX
          GUNVYMWXHGUXJYPAHWNUPVYNWXKYOUPVYNWXLYOAVVSVWFHVWOYJUPVYNUXGUPVYNWXKH
          UXJYPUXHUOVYPVYOWUFUXIYIWPUOVYPWUFVVBLUXKUXLWWSVYPWWTUOAVYPVEUSZWWRAW
          WBWWCWXOWWDWWEVYOVYPYKYPWPZWWSWUNWKZAVYSVYMUSZWUCVYNUSZVYSOYRZWUCOYRZ
          YSZWWTVVMUSAWWRWUNXCZWXQVYRVYOUSZWXRWXQVYPVYOVYRWWEWWSWUNUXMUXNZVYRVY
          MVYNXHWCWXQWYDWXSWYEVYRVYMVYNXQWCWXQVWGWXJDUQZVVOYRZVWGOYRZWXJOYRZYSZ
          YTZUPBVLUNBVLZVYSWUCDUQZVVOYRZWYBWXQAWYLWYCAWYKUNUPBBAWYKVWGBUSWXJBUS
          WKAWYGVWGOVQWXJOVQWKZUXOWYJAWYOWYFVVOAWYOWYFVVOVQWYOAWYFOODUQVVOVWGOW
          XJODUXPUKUXSUXTUXQVWGOWXJOUXRUYAWPUYBWCWXQVVIWYMVVOWXQWURVYRDVAZVVIVQ
          ZWKZVVIWYMVQWXQVYRVYLUSZWYRWWSVYPVYLVYRVYPVYLXAWWSWUTWHXEWXQADVWHUYCW
          YSWYRUYIWYCWUIVWHVVIVYRDUYDWDVSWYRWYPVVIWYMWURWYQUXMWURWYPWYMVQWYQWUR
          WYPVYSWUCUYEZDVAWYMWURVYRWYTDVYRBBUYFUXAVYSWUCDUYGWFWPUYHWCWXQVVIVVPU
          SZUXOVVIVVOYRWXQVVIVVFVVPAWWRWUNUYJUYKXUAVVIVVOULVVOUYLUYMYLUYNWXQWVL
          WVPWYLWYNWYBYTZYTWXQWURWVLWWRAVYJWUNWURWXGWVAUYSZWVMWCWXQWURWVPXUCWVQ
          WCWYKXUBVYSWXJDUQZVVOYRZWXTWYIYSZYTUNUPVYSWUCBBWXMWYGXUEWYJXUFWXMWYFX
          UDVVOVWGVYSWXJDUYOUYPWXMWYHWXTWYIVWGVYSOUYQUYRUYTWXNXUEWYNXUFWYBWXNXU
          DWYMVVOWXJWUCVYSDVUAUYPWXNWYIWYAWXTWXJWUCOUYQVUBUYTVUCXLVUDABEFGHIJLM
          NVYSWUCOPQRSTUAUBUCUDUHUFUJVUEVUHZVUFVUGZWWSVYPWWTUOWXPWXQVVMYQWWTVUI
          XUGUXNZVUJYHWWSVJWXAVVLYNWWSVYPWWTUOWXPXUIWXQWXDWUKVJWWTYNWTWWSWXDWUN
          WXFWPWWRAVYJWUNWUKWXGWVRUYSWUFVVBLVUKXLVULXUHVUMVVLVUNVUQXRAULCVVDKVU
          RVAZVVAKVUOVAVUPVAZVVCLVPKVVOUEVXAVVDWEVVOWEXUJWEXUKWEUIUCVUSVUT $.
      $}

      $( Value of the Bochner integral for a simple function ` F ` .
         (Contributed by Thierry Arnoux, 30-Jan-2018.) $)
      sitgfval $p |- ( ph -> ( ( W sitg M ) ` F ) = ( W gsum ( x e. ( ran F \
        { .0. } ) |-> ( ( H ` ( M ` ( `' F " { x } ) ) ) .x. x ) ) ) ) $=
        ( vf vg cv crn csn cdif ccnv cima cfv cmpt cgsu cfn wcel cpnf cico wral
        co cc0 cdm cmbfm crab csitg cvv sitgval wceq simpr rneqd difeq1d cnveqd
        imaeq1d fveq2d oveq1d mpteq12dv oveq2d sibfmbl sibfrn sibfima ralrimiva
        wa jca32 rneq eleq1d cnveq raleqbidv anbi12d elrab sylibr ovexd fvmptd
        ) AUBFKBUBUDZUEZLUFZUGZWKUHZBUDZUFZUIZIUJZGUJZWPEURZUKZULURKBFUEZWMUGZF
        UHZWQUIZIUJZGUJZWPEURZUKZULURUCUDZUEZUMUNZXKUHZWQUIZIUJZUSUOUPURZUNZBXL
        WMUGZUQZVTZUCIUTDVAURZVBZKIVCURVDABCDEUBUCGHIJKLMNOPQRSTVEAWKFVFZVTZXBX
        JKULYEBWNXAXDXIYEWLXCWMYEWKFAYDVGZVHVIYEWTXHWPEYEWSXGGYEWRXFIYEWOXEWQYE
        WKFYFVJVKVLVLVMVNVOAFYBUNZXCUMUNZXGXQUNZBXDUQZVTZVTFYCUNAYGYHYJACDEFGHI
        JKLMNOPQRSTUAVPACDEFGHIJKLMNOPQRSTUAVQAYIBXDAWPCDEFGHIJKLMNOPQRSTUAVRVS
        WAYAYKUCFYBXKFVFZXMYHXTYJYLXLXCUMXKFWBZWCYLXRYIBXSXDYLXLXCWMYMVIYLXPXGX
        QYLXOXFIYLXNXEWQXKFWDVKVLWCWEWFWGWHAKXJULWIWJ $.

      ${
        $d m x .0. $.  $d m .x. $.  $d m x B $.  $d m x F $.  $d m G $.
        $d m H $.  $d m x M $.  $d m S $.  $d m x W $.  $d m x ph $.
        sitgclg.g $e |- G = ( Scalar ` W ) $.
        sitgclg.d $e |- D = ( ( dist ` G )
                                |` ( ( Base ` G ) X. ( Base ` G ) ) ) $.
        sitgclg.1 $e |- ( ph -> W e. TopSp ) $.
        sitgclg.2 $e |- ( ph -> W e. CMnd ) $.
        sitgclg.3 $e |- ( ph -> ( Scalar ` W ) e. RRExt ) $.
        sitgclg.4 $e |- ( ( ph /\ m e. ( H " ( 0 [,) +oo ) ) /\ x e. B )
                            -> ( m .x. x ) e. B ) $.
        $( TODO : eliminate G and D $)
        $( Closure of the Bochner integral on simple functions, generic
           version.  See ~ sitgclbn for the version for Banach spaces.
           (Contributed by Thierry Arnoux, 24-Feb-2018.)  (Proof shortened by
           AV, 12-Dec-2019.) $)
        sitgclg $p |- ( ph -> ( ( W sitg M ) ` F ) e. B ) $=
          ( csitg co cfv crn csn cdif ccnv cima cmpt cgsu sitgfval cvv cdm wcel
          cv rnexg difexg 3syl wa cc0 cpnf cico simpl sibfima wfun wss csca cbs
          wi cr crrh wf cioo ctg ctopn czlm cds cxp cres xpeq12i reseq12i eqtri
          fveq2i eqid cdr crrext eqeltrid rrextdrg eqeltrrid cnrg rrextnrg cnlm
          syl rrextnlm cchr wceq rrextchr eqtr3id ccusp rrextcusp cuss rrextust
          cmetu rrhf feq1i ffund rge0ssre fdmd sseqtrrid funfvima2 syl2anc sylc
          sylibr cuni cmeas csiga dmmeas csigagen fvexi a1i sgsiga sibfmbl frnd
          mbfmf unieqi w3a cfn sylancl sstri eqeltrd unisg syl5eq tpsuni eqtr4d
          mp1i sseqtrd ssdifd sselda eldifad simp2 eleq1 3anbi2d eleq1d imbi12d
          ctps oveq1 vtoclg mpcom syl3anc fmpttd csupp mptexg suppimacnv sibfrn
          c0g cnvimass dmmptss difss ssfi gsumcl2 ) AHNLUKULZUMNBHUNZOUOZUPZHUQ
          BVEZUOURLUMZJUMZUVOFULZUSZUTULCABCEFHJKLMNOPQRSTUAUBUCUDVAAUVNCUVSNVB
          OPSUHAHUVKVCZVDUVLVBVDUVNVBVDZUDHUVTVFUVLUVMVBVGVHZABUVNUVRCAUVOUVNVD
          ZVIZAUVQJVJVKVLULZURZVDZUVOCVDZUVRCVDZAUWCVMZUWDAUVPUWEVDZUWGUWJAUVOC
          EFHJKLMNOPQRSTUAUBUCUDVNAJVOUWEJVCZVPUWKUWGVSAVTNVQUMZVRUMZJAVTUWNUWM
          WAUMZWBVTUWNJWBAUWNDUWMWCUNWDUMZIWEUMIWFUMZDIWGUMZIVRUMZUWSWHZWIUWMWG
          UMZUWNUWNWHZWIUFUWRUXAUWTUXBIUWMWGUEWMUWSUWNUWSUWNIUWMVRUEWMZUXCWJWKW
          LUWPWNUWNWNIUWMWEUEWMIUWMWFUEWMAUWMIWOUEAIWPVDZIWOVDAIUWMWPUEUIWQZIWR
          XCWSAUWMIWTUEAUXDIWTVDUXEIXAXCWSAUXDUWQXBVDUXEIUWQUWQWNXDXCAUWMXEUMIX
          EUMZVJIUWMXEUEWMAUXDUXFVJXFUXEIXGXCXHAUWMIXIUEAUXDIXIVDUXEIXJXCWSAUWM
          XKUMIXKUMZDXMUMZIUWMXKUEWMAUXDUXGUXHXFUXEUWSDIUWSWNUFXLXCXHXNVTUWNJUW
          OUAXOYCZXPAVTUWEUWLXQAVTUWNJUXIXRXSUWEUVPJXTYAYBUWDUVOCUVMAUVNCUVMUPU
          VOAUVLCUVMAUVLEYDZCALVCZYDUXJHAUXKEHALYEUNYDVDUXKYFUNYDZVDUCLYGXCAEKY
          HUMZUXLRAKVBKVBVDZAKNWEQYIZYJYKWQACEFHJKLMNOPQRSTUAUBUCUDYLYNYMAUXJKY
          DZCAUXJUXMYDZUXPEUXMRYOUXNUXQUXPXFAUXOKVBUUAUUEUUBANUUOVDCUXPXFUGCKNP
          QUUCXCUUDUUFUUGUUHUUIUWGAUWGUWHYPZUWIAUWGUWHUUJAGVEZUWFVDZUWHYPZUXSUV
          OFULZCVDZVSUXRUWIVSGUVQUWFUXSUVQXFZUYAUXRUYCUWIUYDUXTUWGAUWHUXSUVQUWF
          UUKUULUYDUYBUVRCUXSUVQUVOFUUPUUMUUNUJUUQUURUUSUUTAUVSOUVAULZUVSUQVBUV
          MUPZURZYQAUVSVBVDZOVBVDUYEUYGXFAUWAUYHUWBBUVNUVRVBUVBXCONUVESYIUVSVBV
          BOUVCYRAUVLYQVDUYGUVLVPUYGYQVDACEFHJKLMNOPQRSTUAUBUCUDUVDUYGUVNUVLUYG
          UVSVCUVNUVSUYFUVFBUVNUVRUVSUVSWNUVGYSUVLUVMUVHYSUVLUYGUVIYRYTUVJYT $.
      $}

      ${
        $d m x B $.  $d m x W $.  $d m F $.  $d m x ph $.  $d m .x. $.
        sitgclbn.1 $e |- ( ph -> W e. Ban ) $.
        sitgclbn.2 $e |- ( ph -> ( Scalar ` W ) e. RRExt ) $.
        $( Closure of the Bochner integral on a simple function.  This version
           is specific to Banach spaces, with additional conditions on its
           scalar field.  (Contributed by Thierry Arnoux, 24-Feb-2018.) $)
        sitgclbn $p |- ( ph -> ( ( W sitg M ) ` F ) e. B ) $=
          ( vx vm csca cfv cds cbs cxp cres eqid ccms wcel cms ctps bncms cmsms
          cbn syl mstps 3syl clmod ccmn bnlmod lmodcmn cv cc0 cpnf cico co cima
          w3a 3ad2ant1 crn imassrn crrh rneqi crrext cr wf wss rrhfe frn sstrid
          eqsstrid sselda 3adant3 simp3 lmodvscl syl3anc sitgclg ) AUCBJUEUFZUG
          UFWLUHUFZWMUIUJZCDUDEWLFGHIJKLMNOPQRSTWLUKZWNUKAJULUMZJUNUMJUOUMAJURU
          MZWPUAJUPUSJUQJUTVAAWQJVBUMZJVCUMUAJVDZJVEVAUBAUDVFZFVGVHVIVJZVKZUMZU
          CVFZBUMZVLWRWTWMUMZXEWTXDDVJBUMAXCWRXEAWQWRUAWSUSVMAXCXFXEAXBWMWTAXBF
          VNZWMFXAVOAXGWLVPUFZVNZWMFXHQVQAWLVRUMVSWMXHVTXIWMWAUBWMWLWMUKZWBVSWM
          XHWCVAWEWDWFWGAXCXEWHWTDWLWMBJXDLWOPXJWIWJWK $.
      $}

      ${
        sitgclcn.1 $e |- ( ph -> W e. Ban ) $.
        sitgclcn.2 $e |- ( ph -> ( Scalar ` W ) = CCfld ) $.
        $( Closure of the Bochner integral on a simple function.  This version
           is specific to Banach spaces on the complex numbers.  (Contributed
           by Thierry Arnoux, 24-Feb-2018.) $)
        sitgclcn $p |- ( ph -> ( ( W sitg M ) ` F ) e. B ) $=
          ( csca cfv ccnfld crrext cnrrext eqeltrdi sitgclbn ) ABCDEFGHIJKLMNOP
          QRSTUAAJUCUDUEUFUBUGUHUI $.
      $}

      ${
        sitgclre.1 $e |- ( ph -> W e. Ban ) $.
        sitgclre.3 $e |- ( ph -> ( Scalar ` W ) = RRfld ) $.
        $( Closure of the Bochner integral on a simple function.  This version
           is specific to Banach spaces on the real numbers.  (Contributed by
           Thierry Arnoux, 24-Feb-2018.) $)
        sitgclre $p |- ( ph -> ( ( W sitg M ) ` F ) e. B ) $=
          ( csca cfv crefld crrext rerrext eqeltrdi sitgclbn ) ABCDEFGHIJKLMNOP
          QRSTUAAJUCUDUEUFUBUGUHUI $.
      $}
    $}

    ${
      $d x ph $.
      sitg0.1 $e |- ( ph -> W e. TopSp ) $.
      sitg0.2 $e |- ( ph -> W e. Mnd ) $.
      $( The integral of the constant zero function is zero.  (Contributed by
         Thierry Arnoux, 13-Mar-2018.) $)
      sitg0 $p |- ( ph -> ( ( W sitg M ) ` ( U. dom M X. { .0. } ) ) = .0. ) $=
        ( vx cdm cuni csn cxp csitg co cfv cdif ccnv cv cima cmpt cgsu sitgfval
        crn sibf0 c0 wceq wss rnxpss ssdif0 mpbi mpteq1 ax-mp mpt0 eqtri oveq2i
        gsum0 eqtrdi ) AGUBUCZJUDZUEZIGUFUGUHIUAVMUPZVLUIZVMUJUAUKZUDULGUHEUHVP
        DUGZUMZUNUGZJAUABCDVMEFGHIJKLMNOPQRABCDEFGHIJKLMNOPQRSTUQUOVSIURUNUGJVR
        URIUNVRUAURVQUMZURVOURUSZVRVTUSVNVLUTWAVKVLVAVNVLVBVCUAVOURVQVDVEUAVQVF
        VGVHIJNVIVGVJ $.
    $}

    ${
      $d f ph $.
      sitgf.1 $e |- ( ( ph /\ f e. dom ( W sitg M ) )
                    -> ( ( W sitg M ) ` f ) e. B ) $.
      $( The integral for simple functions is itself a function.  (Contributed
         by Thierry Arnoux, 13-Feb-2018.) $)
      sitgf $p |- ( ph -> ( W sitg M ) : dom ( W sitg M ) --> B ) $=
        ( vg vx csitg co cdm wfn crn wss wf wfun cfn wcel ccnv csn cima cfv cc0
        cv cpnf cico cdif wral cmbfm crab cmpt cgsu funmpt funeqd mpbiri funfnd
        wa sitgval ralrimiva fnfvrnss syl2anc df-f sylanbrc ) AJHUCUDZVRUEZUFZV
        RUGBUHZVSBVRUIAVRAVRUJEUAURZUGZUKULWBUMUBURZUNZUOHUPUQUSUTUDULUBWCKUNZV
        AVBVKUAHUECVCUDVDZJUBEURZUGWFVAWHUMWEUOHUPFUPWDDUDVEVFUDZVEZUJEWGWIVGAV
        RWJAUBBCDEUAFGHIJKLMNOPQRSVLVHVIVJZAVTWHVRUPBULZEVSVBWAWKAWLEVSTVMEVSBV
        RVNVOVSBVRVPVQ $.
    $}

    ${
      sitgadd.1 $e |- ( ph -> W e. TopSp ) $.
      sitgadd.2 $e |- ( ph -> ( W |`v ( H " ( 0 [,) +oo ) ) ) e. SLMod ) $.
      sitgadd.3 $e |- ( ph -> J e. Fre ) $.
      sitgadd.4 $e |- ( ph -> F e. dom ( W sitg M ) ) $.
      sitgadd.5 $e |- ( ph -> G e. dom ( W sitg M ) ) $.
      ${
        sitgadd.6 $e |- ( ph -> ( Scalar ` W ) e. RRExt ) $.
        sitgadd.7 $e |- .+ = ( +g ` W ) $.
        $( Lemma for * sitgadd .  (Contributed by Thierry Arnoux,
           10-Mar-2019.) $)
        sitgaddlemb $p |- ( ( ph
            /\ p e. ( ( ran F X. ran G ) \ { <. .0. , .0. >. } ) )
          -> ( ( H ` ( M ` ( ( `' F " { ( 1st ` p ) } )
              i^i ( `' G " { ( 2nd ` p ) } ) ) ) ) .x. ( 2nd ` p ) ) e. B ) $=
          ( cv crn cxp cop csn cdif wcel wa cc0 cpnf cico cima cresv cslmd ccnv
          co c1st cfv c2nd cin csca cress cbs adantr cr wfn wss simpl wf crrext
          crrh eqid rrhfe syl feq1i sylibr ffnd rge0ssre a1i wne wo simpr xp1st
          eldifad xp2nd wceq wn eldifbd velsn notbii sylib eqopi ex imp syl2anc
          con3d ianor orbi12i bitr4i sibfinima syl31anc fnfvima syl3anc imassrn
          df-ne frnd sstrid ressbas2 eleqtrd cdm cuni sibff ctps wb tpsuni feq3
          3syl mpbird sseldd cvv fvexi imaexg resvbas resvsca resvvsca slmdvscl
          mp2b cvsca ) ANUJZFUKZGUKZULZMMUMZUNZUOUPZUQZLHURUSUTVEZVAZVBVEZVCUPZ
          FVDYRVFVGZUNVAGVDYRVHVGZUNVAVIJVGZHVGZLVJVGZUUGVKVEZVLVGZUPUUKBUPUUMU
          UKEVEBUPAUUIUUDUDVMUUEUUMUUGUUPUUEHVNVOZUUFVNVPZUULUUFUPZUUMUUGUPUUEA
          UUQAUUDVQZAVNUUNVLVGZHAVNUVAUUNVTVGZVRZVNUVAHVRAUUNVSUPUVCUHUVAUUNUVA
          WAZWBWCVNUVAHUVBTWDWEZWFWCUURUUEWGWHUUEAUUJYSUPZUUKYTUPZUUJMWIZUUKMWI
          ZWJZUUSUUTUUEYRUUAUPZUVFUUEYRUUAUUCAUUDWKZWMZYRYSYTWLWCUUEUVKUVGUVMYR
          YSYTWNWCZUUEUUJMWOZUUKMWOZUQZWPZUVJUUEUVKYRUUBWOZWPZUVRUVMUUEYRUUCUPZ
          WPUVTUUEYRUUAUUCUVLWQUWAUVSNUUBWRWSWTUVKUVTUVRUVKUVQUVSUVKUVQUVSYRMMY
          SYTXAXBXEXCXDUVRUVOWPZUVPWPZWJUVJUVOUVPXFUVHUWBUVIUWCUUJMXNUUKMXNXGXH
          WTABDEFGHIJKLUUJUUKMOPQRSTUAUBUFUGUCUEXIXJVNUUFHUULXKXLUUEAUUGUUPWOZU
          UTAUUGUVAVPUWDAUUGHUKUVAHUUFXMAVNUVAHUVEXOXPUUGUVAUUOUUNUUOWAUVDXQWCW
          CXRUUEYTBUUKAYTBVPUUDAJXSXTZBGAUWEBGVRZUWEIXTZGVRZABDEGHIJKLMOPQRSTUA
          UBUGYAALYBUPBUWGWOUWFUWHYCUCBILOPYDBUWGUWEGYEYFYGXOVMUVNYHUUMEUUOUUPB
          UUHUUKHYIUPZUUGYIUPZBUUHVLVGWOHUUNVTTYJZHUUFYIYKZUUGBLUUHYIUUHWAZOYLY
          PUWIUWJUUOUUHVJVGWOUWKUWLUUGUVAUUHUUNYILUWMUUNWAUVDYMYPUWIUWJEUUHYQVG
          WOUWKUWLUUGELUUHYIUWMSYNYPUUPWAYOXL $.

$(
        @( Lemma for ~ sitgadd . @)
        sitgaddlem2 @p |- ( ph -> ( ( W  sitg M ) ` G )
           = ( W gsum ( p e. ( ( ran F X. ran G ) \ { <. .0. , .0. >. } )
           |-> ( ( H ` ( M ` ( ( `' F " { ( 1st ` p ) } )
           i^i ( `' G " { ( 2nd ` p ) } ) ) ) ) .x. ( 2nd ` p ) ) ) ) ) @=
          ? @.

        sitgaddlem1 @p |- ( ph -> ( ( W  sitg M ) ` F )
           = ( W gsum ( p e. ( ( ran F X. ran G ) \ { <. .0. , .0. >. } )
           |-> ( ( H ` ( M ` ( ( `' F " { ( 1st ` p ) } )
           i^i ( `' G " { ( 2nd ` p ) } ) ) ) ) .x. ( 1st ` p ) ) ) ) ) @=
          ? @.

        @( For simple functions, the integral of a sum is the sum of the
           integral. @)
        sitgadd @p |- ( ph -> ( ( W  sitg M ) ` ( F oF .+ G ) )
           = ( ( ( W  sitg M ) ` F ) .+ ( ( W  sitg M ) ` G ) ) ) @=
          ? @.
$)
      $}

$(
      sitgle.1 @e |- .<_ = ( le ` W ) @.
      sitgle.2 @e |- ( ph -> W e. oMnd ) @.
      sitgle.4 @e |- ( ph -> F oR .<_ G ) @.
      @( The simple function integral is monotonic.
         @)
      sitgle @p |- ( ph -> ( ( W sitg M ) ` F ) .<_ ( ( W sitg M ) ` G ) ) @=
        ? @.
$)
    $}
  $}

  ${
    $d m w D $.  $d f g m w M $.  $d f g m w W $.
    sitmval.d $e |- D = ( dist ` W ) $.
    sitmval.1 $e |- ( ph -> W e. V ) $.
    sitmval.2 $e |- ( ph -> M e. U. ran measures ) $.
    $( Value of the simple function integral metric for a given space ` W ` and
       measure ` M ` .  (Contributed by Thierry Arnoux, 30-Jan-2018.) $)
    sitmval $p |- ( ph -> ( W sitm M ) =
      ( f e. dom ( W sitg M ) , g e. dom ( W sitg M ) |->
        ( ( ( RR*s |`s ( 0 [,] +oo ) ) sitg M ) ` ( f oF D g ) ) ) ) $=
      ( vw vm wcel co csitg cdm cv cof cfv wceq cmeas cuni csitm cxrs cpnf cicc
      cvv crn cc0 cress cmpo elex syl oveq1 dmeqd fveq2 ofeqd fveq2d mpoeq123dv
      cds oveqd oveq2 eqcomi ofeq mp1i fveq12d df-sitm ovex mpoex ovmpo syl2anc
      dmex ) AGUGMZEUAUHUBZMGEUCNCDGEONZPZVPCQZDQZBRZNZUDUIUEUFNUJNZEONZSZUKZTA
      GFMVMIGFULUMJKLGEUGVNCDKQZLQZONZPZWHVQVRWEUTSZRZNZWAWFONZSZUKWDUCCDGWFONZ
      PZWOVQVRGUTSZRZNZWLSZUKWEGTZCDWHWHWMWOWOWSWTWGWNWEGWFOUNUOZXAWTWKWRWLWTWJ
      WQVQVRWTWIWPWEGUTUPUQVAURUSWFETZCDWOWOWSVPVPWCXBWNVOWFEGOVBUOZXCXBWRVTWLW
      BWFEWAOVBXBWQVSVQVRWPBTWQVSTXBBWPHVCWPBVDVEVAVFUSKCDLVGCDVPVPWCVOGEOVHVLZ
      XDVIVJVK $.

    $d f g D $.  $d f g F $.  $d f g G $.  $d f g M $.  $d f g W $.
    $d f g ph $.
    sitmfval.1 $e |- ( ph -> F e. dom ( W sitg M ) ) $.
    sitmfval.2 $e |- ( ph -> G e. dom ( W sitg M ) ) $.
    $( Value of the integral distance between two simple functions.
       (Contributed by Thierry Arnoux, 30-Jan-2018.) $)
    sitmfval $p |- ( ph -> ( F ( W sitm M ) G ) =
      ( ( ( RR*s |`s ( 0 [,] +oo ) ) sitg M ) ` ( F oF D G ) ) ) $=
      ( vf vg csitg co cv cfv wceq wa cdm cof cxrs cc0 cpnf cress csitm sitmval
      cicc cvv simprl simprr oveq12d fveq2d fvexd ovmpod ) AMNCDGEOPUAZUQMQZNQZ
      BUBZPZUCUDUEUIPUFPEOPZRCDUTPZVBRGEUGPUJABMNEFGHIJUHAURCSZUSDSZTTZVAVCVBVF
      URCUSDUTAVDVEUKAVDVEULUMUNKLAVCVBUOUP $.
  $}

  ${
    $d m x F $.  $d m x G $.  $d m x M $.  $d m x W $.  $d m x ph $.
    sitmcl.0 $e |- ( ph -> W e. Mnd ) $.
    sitmcl.1 $e |- ( ph -> W e. *MetSp ) $.
    sitmcl.2 $e |- ( ph -> M e. U. ran measures ) $.
    sitmcl.3 $e |- ( ph -> F e. dom ( W sitg M ) ) $.
    sitmcl.4 $e |- ( ph -> G e. dom ( W sitg M ) ) $.
    $( Closure of the integral distance between two simple functions, for an
       extended metric space.  (Contributed by Thierry Arnoux, 13-Feb-2018.) $)
    sitmcl $p |- ( ph -> ( F ( W sitm M ) G ) e. ( 0 [,] +oo ) ) $=
      ( co cfv cc0 cpnf eqid crefld cr cvv wcel syl vx csitm cds cof cxrs cress
      cicc csitg cxms sitmfval cxp cres cle cordt crest csigagen cxmu xrge0base
      vm crrh ctopn xrge0topn eqcomi xrge00 cvsca wceq ovex ax-xrsvsca ressvsca
      ax-mp csca ax-xrssca resssca fveq2i ovexd cbs cdm cuni wf sibff wb xmstps
      c0g ctps tpsuni 3syl mpbird cmeas crn dmexg uniexg ofresid cpsmet xmsxmet
      cxmet xmetpsmet psmetxrge0 xrge0tps a1i cha cmopn xmstopn methaus eqeltrd
      feq3 ct1 haust1 cmnd mndidcl syl2anc eqtrdi sibfof rebase xpeq12i reseq2i
      xmet0 ccmn xrge0cmn crrext rerrext eqeltrri cv cico w3a cid rrhre imaeq1i
      cima wss cxr 0re pnfxr icossre mp2an resiima eqtri icossicc eqsstri sseli
      3ad2ant2 simp3 ge0xmulcl sitgclg ) ABCEDUBKKBCEUCLZUDKZUEMNUGKZUFKZDUHKZL
      UUFAUUDBCDUIEUUDOGHIJUJAUAUUFPUCLZQQUKZULUMUNLUUFUOKZUPLZUQUSUUEPPUTLZUUK
      DRUUGMURUUGVALUUKVBVCUULOVDUUFRSZUQUUGVELVFMNUGVGZUUFUQUEUUGRUUGOZVHVIVJP
      UUGVKLZUTUUNPUUQVFUUOUUFPUEUUGRUUPVLVMVJZVNAUEUUFUFVOHAUUEBCUUDEVPLZUUSUK
      ZULZUDKUUHVQADVQZVRZUUSUUDBCRAUVCUUSBVSZUVCEVALZVRZBVSZAUUSUVEUPLZEVELZBE
      VKLUTLZUVEDUIEEWCLZUUSOZUVEOZUVHOZUVKOZUVIOZUVJOZGHIVTAUUSUVFVFZUVDUVGWAA
      EUISZEWDSZUVRGEWBZUUSUVEEUVLUVMWEWFZUUSUVFUVCBXETWGAUVCUUSCVSZUVCUVFCVSZA
      UUSUVHUVICUVJUVEDUIEUVKUVLUVMUVNUVOUVPUVQGHJVTAUVRUWCUWDWAUWBUUSUVFUVCCXE
      TWGADWHWIVRZSUVBRSUVCRSHDUWEWJUVBRWKWFWLAUUSUUFUVAUVHUVIBCUVJUVEUUGDUIEUV
      KUVLUVMUVNUVOUVPUVQGHIURAUVSUVTGUWATAUVAUUSWMLSZUUTUUFUVAVSAUVSUVAUUSWOLS
      ZUWFGUVAEUUSUVLUVAOZWNZUVAUUSWPWFUVAUUSWQTJUUGWDSAWRWSZAUVEWTSUVEXFSAUVEU
      VAXALZWTAUVSUVEUWKVFGUVAUVEEUUSUVMUVLUWHXBTAUVSUWGUWKWTSGUWIUVAUWKUUSUWKO
      XCWFXDUVEXGTAUVKUVKUVAKZMUUGWCLAUWGUVKUUSSZUWLMVFAUVSUWGGUWITAEXHSUWMFUUS
      EUVKUVLUVOXITUVKUVAUUSXPXJVDXKXLXDUURUUJPVPLZUWNUKUUIQUWNQUWNXMXMXNXOUWJU
      UGXQSAXRWSUUQXSSAPUUQXSUURXTYAWSAUSYBZUUMMNYCKZYHZSZUAYBZUUFSZYDUWOUUFSZU
      WTUWOUWSUQKUUFSUWRAUXAUWTUWQUUFUWOUWQUWPUUFUWQYEQULZUWPYHZUWPUUMUXBUWPYFY
      GUWPQYIZUXCUWPVFMQSNYJSUXDYKYLMNYMYNQUWPYOVJYPMNYQYRYSYTAUWRUWTUUAUWOUWSU
      UBXJUUCXD $.
  $}

  ${
    $d f g M $.  $d f g W $.  $d f g ph $.
    sitmf.0 $e |- ( ph -> W e. Mnd ) $.
    sitmf.1 $e |- ( ph -> W e. *MetSp ) $.
    sitmf.2 $e |- ( ph -> M e. U. ran measures ) $.
    $( The integral metric as a function.  (Contributed by Thierry Arnoux,
       13-Mar-2018.) $)
    sitmf $p |- ( ph -> ( W sitm M ) :
      ( dom ( W sitg M ) X. dom ( W sitg M ) ) --> ( 0 [,] +oo ) ) $=
      ( vf vg csitg co cdm wf cv cfv wcel wral wa cxms eqid adantr cxp cc0 cpnf
      cicc csitm cds cof cxrs cress cmpo cmeas cuni simprl simprr sitmfval cmnd
      crn sitmcl eqeltrrd ralrimivva fmpo sylib sitmval feq1d mpbird ) ACBIJKZV
      FUAZUBUCUDJZCBUEJZLVGVHGHVFVFGMZHMZCUFNZUGJUHVHUIJBIJNZUJZLZAVMVHOZHVFPGV
      FPVOAVPGHVFVFAVJVFOZVKVFOZQZQZVJVKVIJVMVHVTVLVJVKBRCVLSZACROVSETZABUKUQUL
      OVSFTZAVQVRUMZAVQVRUNZUOVTVJVKBCACUPOVSDTWBWCWDWEURUSUTGHVFVFVMVHVNVNSVAV
      BAVGVHVIVNAVLGHBRCWAEFVCVDVE $.
$(
    @d f g h x y M @.  @d f g h x y W @.  @d f g h x y ph @.
    @( The integral metric is a pseudo metric on the simple functions.
       (Contributed by Thierry Arnoux, 14-Mar-2018.) @)
    sitmpsmet @p |- ( ph -> ( W sitm M ) e. ( PsMet ` dom ( W sitg M ) ) ) @=
      ( vx vy co cxr wf cc0 wceq cxad wa cfv wcel eqid cvv syl vf vg vh cdm cxp
      csitg csitm cv cle wbr wral cpsmet cpnf wss sitmf iccssxr fss sylancl cds
      cicc cof cxrs cress cxms cmeas crn cuni simpr sitmfval csn cmpt ctopn wfn
      adantr cbs csigagen cvsca csca crrh c0g sibff ffn dmexg uniexg 3syl inidm
      eqidd offval cres ffvelrnda xmstps tpsuni ad2antrr eleqtrrd ovres syl2anc
      ctps cxmet xmsxmet xmet0 eqtrd xrge0base xrge00 xrge0tps a1i cmnd
      xrge0cmn
      ccmn ax-mp cslmd ct1 cha haust1 mp1i biimpar simprl ofresid cmpo fovrnda
      feq3 fnov simprr sylibr ralrimivva rnmposs df-f eqeltrd sibfof cxmu ovex
      jca off mp2an eqtri 0xr wb adantlr ralrimiva offn ofval mpteq2dva eqtr4di
      eqtr3d fconstmpt fveq2d cordt crest xrge0topn eqcomi xrge0slmod xrge0haus
      cmnmnd sitg0 eqeltrid xmetf sylib xmetge0 syl3anc elxrge0 eqsstrd xmstopn
      rneq methaus mndidcl eqtrdi adantl eqeltrrd ax-xrsvsca ressvsca ge0xaddcl
      cmopn rgen2a xaddf mpbi reseq1i resmpo fnmpo 0le0 pnfge elicc1 mpbir3an
      w3a pnfxr xaddid1 xrge0le comnd xrge0omnd xmstri2 syl13anc ofrfval mpbird
      cofr sitgle xrge0plusg sitgadd breqtrd oveq12d 3brtr4d ispsmet mp2b ) ACB
      UFIZUDZUXBUEZJCBUGIZKZUAUHZUXFUXDIZLMZUXFUBUHZUXDIZUCUHZUXFUXDIZUXKUXIUXD
      IZNIZUIUJZUCUXBUKUBUXBUKZOZUAUXBUKZOZUXDUXBULPQZAUXEUXRAUXCLUMUTIZUXDKUYA
      JUNZUXEABCDEFUOLUMUPZUXCUYAJUXDUQURAUXQUAUXBAUXFUXBQZOZUXHUXPUYEUXGUXFUXF
      CUSPZVAZIZVBUYAVCIZBUFIZPZLUYEUYFUXFUXFBVDCUYFRZACVDQZUYDEVNZABVEVFVGZQZU
      YDFVNZAUYDVHZUYRVIUYEUYKBUDZVGZLVJUEZUYJPZLUYEUYHVUAUYJUYEUYHGUYTGUHZUXFP
      ZVUDUYFIZVKZVUAUYEGUYTUYTVUDVUDUYFUYTUXFUXFSSUYEUYTCVLPZVGZUXFKZUXFUYTVMZ
      UYECVOPZVUGVPPZCVQPZUXFCVRPVSPZVUGBVDCCVTPZVUKRZVUGRZVULRZVUORZVUMRZVUNRZ
      UYNUYQUYRWAZUYTVUHUXFWBTZVVCUYEUYPUYSSQZUYTSQZUYQBUYOWCZUYSSWDZWEZVVHUYTW
      FZUYEVUCUYTQZOZVUDWGZVVLWHUYEVUFGUYTLVKVUAUYEGUYTVUELVVKVUDVUDUYFVUKVUKUE
      ZWIZIZVUELVVKVUDVUKQZVVPVVOVUEMVVKVUDVUHVUKUYEUYTVUHVUCUXFVVBWJAVUKVUHMZU
      YDVVJAUYMCWQQZVVQECWKZVUKVUGCVUPVUQWLZWEWMWNZVWAVUDVUDVUKVUKUYFWOWPVVKVVN
      VUKWRPQZVVPVVOLMAVWBUYDVVJAUYMVWBEVVNCVUKVUPVVNRZWSZTZWMVWAVUDVVNVUKWTWPU
      UCUUAGUYTLUUDUUBXAUUEAVUBLMUYDAUYAUIUUFPUYAUUGIZVPPZUYIVQPZUYIVRPVSPZVWFB
      WQUYILXBUYIVLPZVWFUUHUUIZVWGRZXCVWHRZVWIRZUYIWQQZAXDXEZFVWPUYIXFQZAUYIXHQ
      ZVWQXGUYIUULXIXEUUMVNXAXAUYEUXOUBUCUXBUXBUYEUXIUXBQZUXKUXBQZOZOZUXFUXIUYG
      IZUYJPZUXKUXFUYGIZUYJPZUXKUXIUYGIZUYJPZNIZUXJUXNUIVXBVXDVXEVXGNVAIZUYJPVX
      IUIVXBUYAVWGVWHVXCVXJVWIVWFUIBXJUYILXBVWKVWLXCVWMVWNUYIXJQVXBUUJXEZUYEUYP
      VXAUYQVNZVWOVXBXDXEZVXKVXBVWFVWJXKVWKVWJXLQVWJXKQVXBUUKVWJXMXNZUUNVXBVXCU
      XFUXIVVNVAZIUYJUDZVXBUYTVUKUYFUXFUXISVXBVVQVUIUYTVUKUXFKZVXBVVRVVQVXBUYMV
      VRUYEUYMVXAUYNVNZVVSTZVVTTZVXBVUKVULVUMUXFVUNVUGBVDCVUOVUPVUQVURVUSVUTVVA
      VXRVXLUYEUYDVXAUYRVNZWAVVQVXQVUIVUKVUHUYTUXFXTXOWPZVXBVVQUYTVUHUXIKZUYTVU
      KUXIKZVXTVXBVUKVULVUMUXIVUNVUGBVDCVUOVUPVUQVURVUSVUTVVAVXRVXLUYEVWSVWTXPZ
      WAZVVQVYDVYCVUKVUHUYTUXIXTXOWPZVXBUYPVVDVVEVXLVVFVVGWEZXQVXBVUKUYAVVNVULV
      UMUXFUXIVUNVUGUYIBVDCVUOVUPVUQVURVUSVUTVVAVXRVXLVYAXBVXSAVVMUYAVVNKZUYDVX
      AAVVNVVMVMZVVNVFZUYAUNZOVYIAVYJVYLAVVMJVVNKZVYJAVWBVYMVWEVVNVUKUUOTZVVMJV
      VNWBTZAVYKGHVUKVUKVUCHUHZVVNIZXRZVFZUYAAVVNVYRMZVYKVYSMAVYJVYTVYOGHVUKVUK
      VVNYAUUPVVNVYRUVBTAVYQUYAQZHVUKUKGVUKUKVYSUYAUNAWUAGHVUKVUKAVUCVUKQZVYPVU
      KQZOZOZVYQJQZLVYQUIUJZOWUAWUEWUFWUGAVUCVYPJVUKVUKVVNVYNXSWUEVWBWUBWUCWUGA
      VWBWUDVWEVNAWUBWUCXPAWUBWUCYBVUCVYPVVNVUKUUQUURYKVYQUUSYCYDGHVUKVUKVYQUYA
      VYRVYRRYETUUTYKVVMUYAVVNYFYCWMZVYEVXMVXBVUGXLQZVUGXKQAWUIUYDVXAAVUGVVNUVK
      PZXLAUYMVUGWUJMEVVNVUGCVUKVUQVUPVWCUVATAVWBWUJXLQVWEVVNWUJVUKWUJRUVCTYGWM
      VUGXMTZVXBVUOVUOVVNIZLUYIVTPZVXBVWBVUOVUKQZWULLMVXBUYMVWBVXRVWDTVXBCXFQZW
      UNAWUOUYDVXADWMVUKCVUOVUPVUSUVDTVUOVVNVUKWTWPXCUVEZYHYGVXBVXJVXEVXGNUYAUY
      AUEZWIZVAIVXPVXBUYTUYANVXEVXGSVXBGHUYTUYTUYTUYFVUKVUKUYAUXKUXFSSVXBWUDOVY
      QVUCVYPUYFIZUYAWUDVYQWUSMVXBVUCVYPVUKVUKUYFWOUVFVXBVUCVYPUYAVUKVUKVVNWUHX
      SUVGZVXBVVQUYTVUHUXKKZUYTVUKUXKKZVXTVXBVUKVULVUMUXKVUNVUGBVDCVUOVUPVUQVUR
      VUSVUTVVAVXRVXLUYEVWSVWTYBZWAZVVQWVBWVAVUKVUHUYTUXKXTXOWPZVYBVYHVYHVVIYLV
      XBGHUYTUYTUYTUYFVUKVUKUYAUXKUXISSWUTWVEVYGVYHVYHVVIYLVYHXQVXBUYAUYAWURVWJ
      VPPZYIVXEVXGVWIVWJUYIBXHUYILXBVWJRZWVFRZXCUYASQYIVWHMLUMUTYJUYAYIVBUYISUY
      IRUVHUVIXIZVWNVWRVXBXGXEVXLVXBVXEUXKUXFVXOIVXPVXBUYTVUKUYFUXKUXFSWVEVYBVY
      HXQVXBVUKUYAVVNVULVUMUXKUXFVUNVUGUYIBVDCVUOVUPVUQVURVUSVUTVVAVXRVXLWVCXBV
      XSWUHVYAVXMWUKWUPYHYGZXBVXMVXBWURWUQVMZWURVFUYAUNZOWUQUYAWURKVXBWVKWVLVUC
      VYPNIZUYAQZHUYAUKGUYAUKZWVKVXBWVNGHUYAVUCVYPUVJUVLZGHUYAUYAWVMWURUYAWURGH
      JJWVMXRZWUQWIZGHUYAUYAWVMXRZNWVQWUQNJJUEZVMZNWVQMWVTJNKWWAUVMWVTJNWBXIGHJ
      JNYAUVNUVOUYBUYBWVRWVSMUYCUYCGHJJUYAUYAWVMUVPYMYNZUVQXNWVOWVLVXBWVPGHUYAU
      YAWVMUYAWURWWBYEXNYKWUQUYAWURYFYCVXBVXGUXKUXIVXOIVXPVXBUYTVUKUYFUXKUXISWV
      EVYGVYHXQVXBVUKUYAVVNVULVUMUXKUXIVUNVUGUYIBVDCVUOVUPVUQVURVUSVUTVVAVXRVXL
      WVCXBVXSWUHVYEVXMWUKWUPYHYGZVXMVXNLLWURIZWUMMVXBWWDLWUMWWDLLNIZLLUYAQZWWF
      WWDWWEMWWFLJQZLLUIUJZLUMUIUJZYOUVRWWGWWIYOLUVSXIWWGUMJQWWFWWGWWHWWIUWBYPY
      OUWCLUMLUVTYMUWAZWWJLLUYAUYANWOYMWWGWWELMYOLUWDXIYNXCYNXEYHYGUWEUYIUWFQVX
      BUWGXEVXBVXCVXJUIUWLUJVUDVUCUXIPZUYFIZVUCUXKPZVUDUYFIZWWMWWKUYFIZNIZUIUJZ
      GUYTUKVXBWWQGUYTVXBVVJOZUYMWWMVUKQVVPWWKVUKQWWQVXBUYMVVJVXRVNVXBUYTVUKVUC
      UXKWVEWJUYEVVJVVPVXAVWAYQVXBUYTVUKVUCUXIVYGWJVUDWWKWWMUYFCVUKVUPUYLUWHUWI
      YRVXBGUYTUYTWWLWWPUIUYTVXCVXJSSVXBUYTUYTUYFUYTUXFUXISSUYEVUJVXAVVCVNZVXBV
      YCUXIUYTVMVYFUYTVUHUXIWBTZVYHVYHVVIYSVXBUYTUYTNUYTVXEVXGSSVXBUYTUYTUYFUYT
      UXKUXFSSVXBWVAUXKUYTVMWVDUYTVUHUXKWBTZWWSVYHVYHVVIYSZVXBUYTUYTUYFUYTUXKUX
      ISSWXAWWTVYHVYHVVIYSZVYHVYHVVIYSVYHVYHVVIVXBUYTUYTVUDWWKUYFUYTUXFUXISSVUC
      WWSWWTVYHVYHVVIUYEVVJVUDVUDMVXAVVLYQZWWRWWKWGZYTVXBUYTUYTWWNWWONUYTVXEVXG
      SSVUCWXBWXCVYHVYHVVIVXBUYTUYTWWMVUDUYFUYTUXKUXFSSVUCWXAWWSVYHVYHVVIWWRWWM
      WGZWXDYTVXBUYTUYTWWMWWKUYFUYTUXKUXISSVUCWXAWWTVYHVYHVVIWXFWXEYTYTUWJUWKUW
      MVXBUYANWVFYIVXEVXGVWIVWJBXJUYILXBWVGWVHXCWVIVWNVXKVXLVXMVXKVXNWVJWWCUWNU
      WOUWPVXBUYFUXFUXIBVDCUYLVXRVXLVYAVYEVIVXBUXLVXFUXMVXHNVXBUYFUXKUXFBVDCUYL
      VXRVXLWVCVYAVIVXBUYFUXKUXIBVDCUYLVXRVXLWVCVYEVIUWQUWRYDYKYRYKUXASQUXBSQUX
      TUXSYPCBUFYJUXASWCUAUBUCUXDSUXBUWSUWTYC @.
$)
  $}

$(
  @{
    @( The metric identification for simple functions. @)
    sitmmetid @p |- ( ( W e. V /\ M e. U. ran measures ) ->
      ( ~Met ` ( W sitm M ) ) = ( ( _I |` B ) ~ae M ) ) @=
      ? @.
  @}

  @{
    sitmmet.1 @e |- B = ( Base ` W ) @.
    @( The integral metric is a metric for the equivalence classes of simple
       functions equal almost everywhere. @)
    sitmmet @p |- ( ( W e. V /\ M e. U. ran measures ) -> ( W sitm M ) e.
     ( *Met ` ( dom ( W sitg M ) /. ( ( _I |` B ) ~ae M ) ) ) ) @=
      ? @.
  @}
$)

  ${
    $d w m $.
    $( Define the Bochner integral as the extension by continuity of the
       Bochnel integral for simple functions.

       Bogachev first defines 'fundamental in the mean' sequences, in
       definition 2.3.1 of [Bogachev] p. 116, and notes that those are actually
       Cauchy sequences for the pseudometric ` ( w sitm m ) ` .

       He then defines the Bochner integral in chapter 2.4.4 in [Bogachev]
       p. 118.  The definition of the Lebesgue integral, ~ df-itg .

       (Contributed by Thierry Arnoux, 13-Feb-2018.) $)
    df-itgm $a |- itgm = ( w e. _V , m e. U. ran measures |->
      ( ( ( metUnif ` ( w sitm m ) ) CnExt ( UnifSt ` w ) ) ` ( w sitg m ) ) )
      $.
  $}

$(
  @{
    @d w m f e n i @.
    @( TODO with the previous definition, fundamental sequences shall be the
       Cauchy sequences for ` ( W sitm M ) ` : ` U. ( Cau `` ( W sitm M ) ) `

       Define the 'fundamental in the mean' sequences, in the sense of the
       definition 2.3.1 of [Bogachev] p. 116.  (Contributed by Thierry Arnoux,
       21-Oct-2017.) @)
    df-fndm @a |- Fundm = ( w e. _V , m e. U. ran measures |-> { f e. ( dom (
      w sitg m ) ^m NN ) | A. e e. RR+ E. n e. ZZ A. i e. ( ZZ>= ` n )
      ( ( RR*s sitg m ) ` ( ( f ` n ) ( dist ` w ) ( f ` i ) ) ) <_ e } ) @.
  @}

  @{
    @d f g h m n w x @.
    @( Old definition @)
    @( Define the Bochner integral, following definition 2.4.4 in [Bogachev]
       p. 118.  The definition of the Lebesgue integral, ~ df-itg .
       (Contributed by Thierry Arnoux, 21-Oct-2017.) @)
    df-itgm @a |- itgm = ( w e. _V , m e. U. ran measures |-> ( f e. ( ( Base `
      w ) ^m U. dom m ) |-> U. ran ( g e. { h e. ( w Fundm m ) | A. x e. U. dom
      m ( n e. NN |-> ( ( h ` n ) ` x ) ) ( ~~>t ` ( TopSet ` w ) ) ( f ` x ) }
      |-> ( ( ~~>t ` ( TopSet ` w ) ) ` ( ( w sitg m ) ` ( g ` n ) ) ) ) ) ) @.
  @}
$)

$( End $[ set-mbox-ta-itgm.mm $] $)


$( Begin $[ set-mbox-ta-eulerpart.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Euler's partition theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d a k l m n o x y z $.  $d a F $.  $d a x y J $.
    oddpwdc.j $e |- J = { z e. NN | -. 2 || z } $.
    oddpwdc.f $e |- F = ( x e. J , y e. NN0 |-> ( ( 2 ^ y ) x. x ) ) $.
    $( Lemma for ~ eulerpart .  The function ` F ` that decomposes a number
       into its "odd" and "even" parts, which is to say the largest power of
       two and largest odd divisor of a number, is a bijection from pairs of a
       nonnegative integer and an odd number to positive integers.
       (Contributed by Thierry Arnoux, 15-Aug-2017.) $)
    oddpwdc $p |- F : ( J X. NN0 ) -1-1-onto-> NN $=
      ( vn cn0 cn c2 cexp co cdvds wbr clt wcel wa a1i cc0 va vk vm vo cxp wf1o
      vl wtru cv cmul crab csup cdiv 2nn simpl nnexpcld wn ssrab2 eqsstri simpr
      sselid nnmulcld ancoms adantl id wor cr wss nn0ssre ltso soss mp2 cz wral
      cle wrex wi 0zd nnz weq oveq2 breq1d elrab simprl nn0red nnred 2re nexple
      leidi mp3an23 ad2antrl simprr dvdsle imp syl21anc letrd sylan2b ralrimiva
      nnzd brralrspcev syl2anc nn0uz uzsupss syl3anc supcl cfn wne adantr nn0zd
      ex sylancr c1 wceq 2cn syl sylanbrc biimpa caddc supub sylnib mtbid nncnd
      cc mpd nnne0d wb breq2 notbid elrab2 jca simplr eqeltrd 2z expcld expne0d
      nn0cnd oveq2d eqtr3d mulcomd eqtr4d c0 fzfi nn0ge0d elfzd ssrdv ssfi 0nn0
      cfz exp0 ax-mp 1dvds eqbrtrid ne0d fisupcl syl13anc eleqtrdi sylib simprd
      cbvrabv nndivdvds 1nn0 nn0addcld ltp1d eleq2i imnan sylibr expp1 divcan2d
      mt2d nncn eqcomd dvdscmulr syl112anc bitrd sseli ad2antrr simplll simprbi
      breq2d cmin znnsub iddvdsexp nnnn0d zexpcl dvdsmultr2 2cnd divcld pncan3d
      2ne0 mulcld expaddd oveq1d 3eqtr3d eqtrd mulcanad breqtrrd nsyl3 pm2.65da
      mulassd dvds0lem syl31anc lttri3d mpbir2and nnexpcl mpan ad3antlr divmul2
      eqtr2d mpbird jcai ancomd oveq12d jca31 impbii f1od2 mptru ) EIUEJDUFUHAB
      UAEIKBUIZLMZAUIZUJMZJDUAUIZKKUBUIZLMZUYANOZUBIUKZIPULZLMZUMMZUYFJEIGUXSEQ
      ZUXQIQZRZUXTJQZUHUYJUYIUYLUYJUYIRZUXRUXSUYMKUXQKJQZUYMUNSUYJUYIUOUPUYMEJU
      XSEKCUIZNOZUQZCJUKJFUYQCJURUSZUYJUYIUTVAVBVCVDUYAJQZUYHEQZUYFIQZRUHUYSUYT
      VUAUYSUYHJQZKUYHNOZUQZUYTUYSUYSUYGJQZUYGUYANOZVUBUYSVEUYSKUYFUYNUYSUNSZUY
      SUCHUDIUYEPIPVFZUYSIVGVHVGPVFVUHVIVJIVGPVKVLZSZUYSTVMQUYEIVHZHUIZUCUIZVOO
      HUYEVNUCVMVPZVUMVULPOUQHUYEVNVULVUMPOVULUDUIPOUDUYEVPVQHIVNRUCIVPZUYSVRVU
      KUYSUYDUBIURSZUYSUYAVMQZVULUYAVOOZHUYEVNVUNUYAVSZUYSVURHUYEVULUYEQZUYSVUL
      IQZKVULLMZUYANOZRZVURUYDVVCUBVULIUBHVTUYCVVBUYANUYBVULKLWAWBWCZUYSVVDRZVU
      LVVBUYAVVFVULUYSVVAVVCWDZWEVVFVVBVVFKVULUYNVVFUNSVVGUPZWFVVFUYAUYSVVDUOZW
      FVVAVULVVBVOOZUYSVVCVVAKVGQKKVOOVVJWGKWGWIVULKWHWJWKVVFVVBVMQZUYSVVCVVBUY
      AVOOZVVFVVBVVHWSVVIUYSVVAVVCWLVVKUYSRVVCVVLVVBUYAWMWNWOWPWQZWRUCHVULUYAVO
      VMUYEWTXAUCHUDUYETIXBXCXDZXEZUPZUYSVUAVUFUYSUYFKUGUIZLMZUYANOZUGIUKZQVUAV
      UFRUYSUYFUYEVVTUYSVUHUYEXFQZUYEUUAXGVUKUYFUYEQVUJUYSTUYAUUHMZXFQUYEVWBVHV
      WATUYAUUBUYSHUYEVWBUYSVUTVULVWBQUYSVUTRZVULTUYAVWCVRUYSVUQVUTVUSXHVWCVULV
      UTUYSVVDVVAVVEVVGWQZXIVWCVULVWDUUCVVMUUDXJUUEVWBUYEUUFXKUYSUYETUYSTIQZKTL
      MZUYANOZTUYEQVWEUYSUUGSUYSVWFXLUYANKYCQZVWFXLXMXNKUUIUUJUYSVUQXLUYANOVUSU
      YAUUKXOUULUYDVWGUBTIUYBTXMUYCVWFUYANUYBTKLWAWBWCXPUUMVUPIUYEPUUNUUOUYDVVS
      UBUGIUBUGVTUYCVVRUYANUYBVVQKLWAWBUUSZUUPVVSVUFUGUYFIVVQUYFXMVVRUYGUYANVVQ
      UYFKLWAWBWCUUQUURUYSVUERVUFVUBUYAUYGUUTXQWOZUYSUYGKUJMZUYANOZVUCUYSKUYFXL
      XRMZLMZUYANOZVWLUYSVWMIQZVWOUQZUYSUYFXLVVOXLIQUYSUVASUVBUYSVWPVWORZUQVWPV
      WQVQUYSVWMVVTQZVWRUYSVWMUYEQZVWSUYSVWTUYFVWMPOUYSUYFUYSUYFVVOWEZUVCUYSUCH
      UDIUYEVWMPVUJVVNXSUVIUYEVVTVWMVWIUVDXTVVSVWOUGVWMIVVQVWMXMVVRVWNUYANVVQVW
      MKLWAWBWCXTVWPVWOUVEUVFYDUYSVWNVWKUYANUYSVWHVUAVWNVWKXMXNVVOKUYFUVGXKWBYA
      UYSVWLVWKUYGUYHUJMZNOZVUCUYSUYAVXBVWKNUYSVXBUYAUYSUYAUYGUYAUVJUYSUYGVVPYB
      ZUYSUYGVVPYEZUVHUVKZUVSUYSKVMQZUYHVMQZUYGVMQUYGTXGVXCVUCYFUYSKVUGWSUYSUYH
      VWJWSZUYSUYGVVPWSVXEUYGKUYHUVLUVMUVNYAUYQVUDCUYHJEUYOUYHXMUYPVUCUYOUYHKNY
      GYHFYIXPZVVOYJVDUYKUYAUXTXMZRZUYSUXSUYHXMZUXQUYFXMZRZRZYFUHVXLVXPVXLUYSVX
      OVXLUYAUXTJUYKVXKUTZVXLUXRUXSVXLKUXQUYNVXLUNSUYIUYJVXKYKZUPZUYIUXSJQZUYJV
      XKEJUXSUYRUVOUVPZVBYLZVXLVXNVXMVXLVXNVXMVXLVXNUXQUYFPOZUQUYFUXQPOUQZVXLVY
      CUYIUYIUYJVXKVYCUVQUYIKUXSNOZVXLVYCRZUYIVXTVYEUQZUYQVYGCUXSJECAVTUYPVYEUY
      OUXSKNYGYHFYIUVRVYFKUYHKUYFUXQUVTMZLMZUJMZUXSNVYFKVYINOZKVYJNOZVYFVXGVYHJ
      QZVYKYMVYFUXQVMQZUYFVMQZVYCVYMVYFUXQVXLUYJVYCVXRXHZXIZVYFUYFVYFUCHUDIUYEP
      VUHVYFVUISVXLVUOVYCVXLUYSVUOVYBVVNXOZXHXEZXIZVXLVYCUTVYNVYORVYCVYMUXQUYFU
      WAXQWOZKVYHUWBXKVYFVXGVXHVYIVMQZVYKVYLVQVXGVYFYMSVXLVXHVYCVXLUYSVXHVYBVXI
      XOXHVYFVXGVYHIQWUBYMVYFVYHWUAUWCZKVYHUWDXKKUYHVYIUWEXDYDVYFUXSVYIUYHUJMZV
      YJVYFUXSWUDUXRVYFUXSVXLVXTVYCVYAXHYBVYFVYIUYHVYFKVYHVYFUWFZWUCYNZVYFUYAUY
      GVYFUYAVXLUYSVYCVYBXHZYBVYFUYSUYGYCQWUGVXDXOVYFKUYFWUEKTXGVYFUWISZVYTYOUW
      GZUWJVYFKUXQWUEVYPYNZVYFKUXQWUEWUHVYQYOVYFUXTUXRVYIUJMZUYHUJMZUXRWUDUJMVY
      FUYAVXBUXTWULVYFUYSUYAVXBXMZWUGVXFXOUYKVXKVYCYKVYFUYGWUKUYHUJVYFKUXQVYHXR
      MZLMUYGWUKVYFWUNUYFKLVYFUXQUYFVYFUXQVYPYPVYFUYFVYSYPUWHYQVYFKUXQVYHWUEWUC
      VYPUWKYRUWLUWMVYFUXRVYIUYHWUJWUFWUIUWSUWNUWOVYFUYHVYIWUIWUFYSYTUWPUWQUWRV
      XLUXQUYEQZVYDVXLUYJUXRUYANOZWUOVXRVXLUXSVMQUXRVMQVUQUXSUXRUJMZUYAXMWUPVXL
      UXSVYAWSVXLUXRVXSWSVXLUYAVYBWSVXLUYAUXTWUQVXQVXLUXRUXSVXLUXRVXSYBVXLUXSVY
      AYBYSUXHUXSUXRUYAUWTUXAUYDWUPUBUXQIUBBVTUYCUXRUYANUYBUXQKLWAWBWCXPVXLUCHU
      DIUYEUXQPVUHVXLVUISVYRXSYDVXLUXQUYFVXLUXQVXRWEVXLUYSUYFVGQVYBVXAXOUXBUXCV
      XLVXNVXMVXLVXNRZUYAUXRUMMZUXSUYHWURWUSUXSXMZVXKUYKVXKVXNYKWURUYAYCQUXSYCQ
      UXRYCQZUXRTXGZRZWUTVXKYFWURUYAVXLUYSVXNVYBXHYBWURUXSVXLVXTVXNVYAXHYBUYJWV
      CUYIVXKVXNUYJWVAWVBUYJUXRUYNUYJUXRJQUNKUXQUXDUXEZYBUYJUXRWVDYEYJUXFUYAUXS
      UXRUXGXDUXIWURUXRUYGUYAUMWURUXQUYFKLVXLVXNUTYQYQYRXJUXJUXKYJVXPUYIUYJVXKV
      XPUXSUYHEUYSVXMVXNWDZUYSUYTVXOVXJXHYLVXPUXQUYFIUYSVXMVXNWLZUYSVUAVXOVVOXH
      YLVXPUYAVXBUXTUYSWUMVXOVXFXHVXPUXRUYGUXSUYHUJVXPUXQUYFKLWVFYQWVEUXLYTUXMU
      XNSUXOUXP $.

    $d x y W $.
    $( Lemma for ~ eulerpart : value of the ` F ` function.  (Contributed by
       Thierry Arnoux, 9-Sep-2017.) $)
    oddpwdcv $p |- ( W e. ( J X. NN0 ) ->
        ( F ` W ) = ( ( 2 ^ ( 2nd ` W ) ) x. ( 1st ` W ) ) ) $=
      ( cn0 cxp wcel cfv c1st co c2 cexp cmul wceq cv oveq2 c2nd 1st2nd2 fveq2d
      cop df-ov a1i wa elxp6 simprbi oveq1d ovex ovmpo syl 3eqtr2d ) FEIJKZFDLF
      MLZFUALZUDZDLZUPUQDNZOUQPNZUPQNZUOFURDFEIUBUCUTUSRUOUPUQDUEUFUOUPEKUQIKUG
      ZUTVBRUOFURRVCFEIUHUIABUPUQEIOBSZPNZASZQNVBDVEUPQNVFUPVEQTVDUQRVEVAUPQVDU
      QOPTUJHVAUPQUKULUMUN $.
  $}

  ${
    $( Define the set of finitely supported functions into nonnegative natural
       numbers. We'll first prove some of their properties. $)
    eulerpartlems.r $e |- R = { f | ( `' f " NN ) e. Fin } $.

    $( ` S ` recovers the sum of a partition. $)
    eulerpartlems.s $e |- S = ( f e. ( ( NN0 ^m NN ) i^i R )
      |-> sum_ k e. NN ( ( f ` k ) x. k ) ) $.

    $d f k A $.  $d f k R $.
    $( Lemma for ~ eulerpart .  Value of the sum of a partition ` A ` .
       (Contributed by Thierry Arnoux, 26-Aug-2018.) $)
    eulerpartlemsv1 $p |- ( A e. ( ( NN0 ^m NN ) i^i R )
      -> ( S ` A ) = sum_ k e. NN ( ( A ` k ) x. k ) ) $=
      ( cn0 cn cmap co wcel cv cfv cmul csu cvv wceq a1i wa cin simplr sumeq2dv
      cmpt fveq1d oveq1d id sumex fvmptd ) AHIJKBUAZLZDAIEMZDMZNZULOKZEPZIULANZ
      ULOKZEPZUJCQCDUJUPUDRUKGSUKUMARZTZIUOUREVAULILZTZUNUQULOVCULUMAUKUTVBUBUE
      UFUCUKUGUSQLUKIUREUHSUI $.

    $( Lemma for ~ eulerpart .  (Contributed by Thierry Arnoux, 8-Aug-2018.) $)
    eulerpartlemelr $p |- ( A e. ( ( NN0 ^m NN ) i^i R )
      -> ( A : NN --> NN0 /\ ( `' A " NN ) e. Fin ) ) $=
      ( cn0 cn cmap co cin wcel wf ccnv cima cfn inss1 sseli elmapi syl cv wceq
      inss2 cnveq imaeq1d eleq1d elab2g mpbid jca ) AHIJKZBLZMZIHANZAOZIPZQMZUM
      AUKMUNULUKAUKBRSAHITUAUMABMUQULBAUKBUDSDUBZOZIPZQMUQDABULURAUCZUTUPQVAUSU
      OIURAUEUFUGFUHUIUJ $.

    $( Lemma for ~ eulerpart .  Value of the sum of a finite partition ` A `
       (Contributed by Thierry Arnoux, 19-Aug-2018.) $)
    eulerpartlemsv2 $p |- ( A e. ( ( NN0 ^m NN ) i^i R )
      -> ( S ` A ) = sum_ k e. ( `' A " NN ) ( ( A ` k ) x. k ) ) $=
      ( cn0 cn co wcel cfv cmul csu c1 wa adantr ffvelrnd cc0 wn cmap ccnv cima
      cv eulerpartlemsv1 cnvimass wf eulerpartlemelr simpld fssdm sselda nnnn0d
      cin cfn nn0mulcld nn0cnd cdif wceq wo simpr eldifad wi eldifbd wfn wb ffn
      elpreima 3syl mtbid imnan sylibr mpd elnn0 sylib orel1 sylc oveq1d mul02d
      nncnd eqtrd cuz wss nnuz eqimssi a1i sumss eqtr4d ) AHIUAJBUMKZACLIEUDZAL
      ZWIMJZENAUBIUCZWKENABCDEFGUEWHWLIWKEOWHIHWLAAIUFWHIHAUGZWLUNKABCDEFGUHUIZ
      UJZWHWIWLKZPZWKWQWJWIWQIHWIAWHWMWPWNQWHWLIWIWOUKZRWQWIWRULUOUPWHWIIWLUQKZ
      PZWKSWIMJSWTWJSWIMWTWJIKZTZXAWJSURZUSZXCWTWIIKZXBWTWIIWLWHWSUTZVAZWTXEXAP
      ZTXEXBVBWTWPXHWTWIIWLXFVCWTWMAIVDWPXHVEWHWMWSWNQZIHAVFIWIIAVGVHVIXEXAVJVK
      VLWTWJHKXDWTIHWIAXIXGRWJVMVNXAXCVOVPVQWTWIWTWIXGVSVRVTIOWALZWBWHIXJWCWDWE
      WFWG $.

    $d f g k R $.
    $( Lemma for ~ eulerpart .  (Contributed by Thierry Arnoux, 8-Aug-2018.) $)
    eulerpartlemsf $p |- S : ( ( NN0 ^m NN ) i^i R ) --> NN0 $=
      ( vg cn0 cn cmap co cin cv cfv cmul csu wcel wceq wa simpl fveq1d ccnv wf
      oveq1d eleq1d cima eulerpartlemsv2 eulerpartlemsv1 eqtr3d eulerpartlemelr
      sumeq2dv simprd simpld adantr cnvimass fssdm ffvelrnd nn0mulcld fsumnn0cl
      cfn sselda nnnn0d eqeltrrd vtoclga fmpti ) CHIJKALZHIDMZCMZNZVGOKZDPZBFIV
      GGMZNZVGOKZDPZHQVKHQGVHVFVLVHRZVOVKHVPIVNVJDVPVGIQZSZVMVIVGOVRVGVLVHVPVQT
      UAUDUKUEVLVFQZVLUBIUFZVNDPZVOHVSVLBNWAVOVLABCDEFUGVLABCDEFUHUIVSVTVNDVSIH
      VLUCZVTUTQZVLABCDEFUJZULVSVGVTQZSZVMVGWFIHVGVLVSWBWEVSWBWCWDUMZUNVSVTIVGV
      SIHVTVLVLIUOWGUPVAZUQWFVGWHVBURUSVCVDVE $.

    $( This proof could be shortened, at least by using finite sum theorems $)
    $d k l m t A $.  $d l t R $.  $d l t S $.
    $( Lemma for ~ eulerpart .  (Contributed by Thierry Arnoux, 6-Aug-2018.)
       (Revised by Thierry Arnoux, 1-Sep-2019.) $)
    eulerpartlems $p |- ( ( A e. ( ( NN0 ^m NN ) i^i R )
      /\ t e. ( ZZ>= ` ( ( S ` A ) + 1 ) ) ) -> ( A ` t ) = 0 ) $=
      ( cn0 cn co wcel cfv c1 wa cc0 wceq wbr adantr cmul vl vm cmap cin cv cuz
      caddc cfz cdif wb eulerpartlemsf ffvelrni nndiffz1 eleq2d syl pm5.32i clt
      wn simpr eldif sylib simpld wf ccnv cima eulerpartlemelr ffvelrnda syldan
      cfn simpl simprd cz nnuz eleqtrdi nn0zd elfz5 syl2anc notbid nn0red nnred
      cle ltnled bitr4d biimpa syl21anc wral wrex eulerpartlemsv1 fveq2 oveq12d
      wi csu id cbvsumv eqtr2di wne breq2 breq2d anbi12d cbvrexvw ad2antrr cmpt
      cr 1zzd eqidd fveq2d ffvelrn nnnn0d nn0mulcld fvmptd cc wss cbvmptv fmptd
      nn0sscn fss sylancl csupp csn nnex 0nn0 eqid ffs2 mp3an12 sylancr eqeltrd
      cvv frnnn0supp a1i ffn w3a simp3 oveq1d simp2 nncnd mul02d nn0ge0d sylbir
      eqtrd sylibr ssfi eqeltrrd fsumcvg4 isumrecl simprl remulcld simprr nnge1
      suppss3 elnnnn0b lemulge12d nn0cnd mulcld sumsn snfi snssd isumless letrd
      eqbrtrrd ltletrd r19.29an gtned syl5bi necon2bd mpd ralnex imnan r19.21bi
      ex ralbii imp nn0re 0red lenltd nn0le0eq0 bitr3d ) BIJUCKCUDZLZAUEZBDMZNU
      GKUFMZLZOUVRUVSJNUVTUHKZUIZLZOZUVSBMZPQZUVRUWEUWBUVRUVTILZUWEUWBUJUVQIBDC
      DEFGHUKULZUWIUWDUWAUVSUVTUMUNUOUPUWFUWGILZPUWGUQRZURZUWHUVRUWEUVSJLZUWKUW
      FUWNUVSUWCLZURZUWFUWEUWNUWPOUVRUWEUSUVSJUWCUTVAZVBZUVRJIUVSBUVRJIBVCZBVDJ
      VEZVILZBCDEFGHVFZVBZVGVHUWFUVRUWNUVTUVSUQRZUWMUVRUWEVJUWRUWFUWNUWIUWPUXDU
      WRUVRUWIUWEUWJSUWFUWNUWPUWQVKUWNUWIOZUWPUXDUXEUWPUVSUVTWARZURUXDUXEUWOUXF
      UXEUVSNUFMZLUVTVLLUWOUXFUJUXEUVSJUXGUWNUWIVJZVMVNUXEUVTUWNUWIUSZVOUVSNUVT
      VPVQVRUXEUVTUVSUXEUVTUXIVSUXEUVSUXHVTWBWCWDWEUVRUWNOUXDUWMUVRUXDUWMWKZAJU
      VRUXDUWLOZURZAJWFZUXJAJWFUVRUXKAJWGZURZUXMUVRJUWGUVSTKZAWLZUVTQUXOUVRUVTJ
      FUEZBMZUXRTKZFWLUXQBCDEFGHWHJUXTUXPFAUXRUVSQZUXSUWGUXRUVSTUXRUVSBWIUYAWMW
      JWNWOUVRUXNUXQUVTUXNUVTUAUEZUQRZPUYBBMZUQRZOZUAJWGZUVRUXQUVTWPZUXKUYFAUAJ
      UVSUYBQZUXDUYCUWLUYEUVSUYBUVTUQWQUYIUWGUYDPUQUVSUYBBWIZWRWSWTUVRUYGUYHUVR
      UYGOZUVTUXQUYKUVTUVRUWIUYGUWJSVSUVRUYFUVTUXQUQRUAJUVRUYBJLZOZUYFOZUVTUYBU
      XQUYNUVTUVRUWIUYLUYFUWJXAVSUYNUYBUYMUYLUYFUVRUYLUSZSZVTZUYMUXQXCLUYFUYMUX
      PAUBJUBUEZBMZUYRTKZXBZNJVMUYMXDZUYMUWNOZUWSUWNUVSVUAMUXPQUVRUWSUYLUWNUXCX
      AUYMUWNUSZUWSUWNOZUBUVSUYTUXPJVUAIVUEVUAXEVUEUYRUVSQZOZUYSUWGUYRUVSTVUGUY
      RUVSBVUEVUFUSZXFVUHWJUWSUWNUSZVUEUWGUVSJIUVSBXGVUEUVSVUIXHXIXJVQZVUCUXPVU
      CUWGUVSUYMJIUVSBUVRUWSUYLUXCSZVGVUCUVSVUDXHXIZVSZUYMJVUANVMVUBUYMJIVUAVCI
      XKXLJXKVUAVCZUYMAJUXPIVUAVULUBAJUYTUXPVUFUYSUWGUYRUVSTUYRUVSBWIVUFWMWJXMZ
      XNXOJIXKVUAXPXQZUYMVUAPXRKZVUAVDXKPXSUIZVEZVIUYMVUNVUQVUSQZVUPJYGLZPILZVU
      NVUTXTYAJXKVURVUAYGIPVURYBYCYDUOUYMBPXRKZVILVUQVVCXLZVUQVILUYMVVCUWTVIUYM
      VVAUWSVVCUWTQXTVUKBJYGYHYEUVRUXAUYLUVRUWSUXAUXBVKSYFUYMUWSVVDVUKUWSAJUXPB
      VUAYGIPVUOVVAUWSXTYIVVBUWSYAYIJIBYJUWSUWNUWHYKZUXPPUVSTKPVVEUWGPUVSTUWSUW
      NUWHYLYMVVEUVSVVEUVSUWSUWNUWHYNYOYPYSUUIUOVVCVUQUUAVQUUBUUCZUUDSZUYMUYCUY
      EUUEUYNUYBUYDUYBTKZUXQUYQUYNUYDUYBUYNUYDUYMUYDILZUYFUVRJIUYBBUXCVGZSZVSZU
      YQUUFVVGUYNUYBUYDUYQVVLUYNUYBUYNUYBUYPXHYQUYNVVIUYENUYDWARZVVKUYMUYCUYEUU
      GVVIUYEOUYDJLVVMUYDUUJUYDUUHYRVQUUKUYMVVHUXQWARUYFUYMUYBXSZUXPAWLZVVHUXQW
      AUYMUYLVVHXKLVVOVVHQUYOUYMUYDUYBUYMUYDVVJUULUYMUYBUYOYOUUMUXPVVHAUYBJUYIU
      WGUYDUVSUYBTUYJUYIWMWJUUNVQUYMVVNUXPAVUANJVMVUBVVNVILUYMUYBUUOYIUYMUYBJUY
      OUUPVUJVUMVUCUXPVULYQVVFUUQUUSSUURUUTUVAUVBUVIUVCUVDUVEUXKAJUVFYTUXJUXLAJ
      UXDUWLUVGUVJYTUVHUVKWEUWKUWMUWHUWKUWGPWARUWMUWHUWKUWGPUWGUVLUWKUVMUVNUWGU
      VOUVPWDVQYR $.

    $d k t S $.
    $( Lemma for ~ eulerpart .  Value of the sum of a finite partition ` A `
       (Contributed by Thierry Arnoux, 19-Aug-2018.) $)
    eulerpartlemsv3 $p |- ( A e. ( ( NN0 ^m NN ) i^i R )
      -> ( S ` A ) = sum_ k e. ( 1 ... ( S ` A ) ) ( ( A ` k ) x. k ) ) $=
      ( vt cn0 cn co wcel cfv cv cmul csu c1 cc0 wceq wral cmap eulerpartlemsv1
      cin cfz wss cuz fzssuz nnuz sseqtrri a1i wa ccnv cima cfn eulerpartlemelr
      wf simpld adantr sselda ffvelrnd nn0cnd nncnd mulcld cdif caddc ralrimiva
      eulerpartlems fveqeq2 cbvralvw sylibr eulerpartlemsf ffvelrni syl raleqdv
      nndiffz1 mpbird r19.21bi oveq1d simpr eldifad mul02d eqtrd eqimssi eqtr4d
      sumss ) AIJUAKBUCZLZACMZJENZAMZWIOKZEPQWHUDKZWKEPABCDEFGUBWGWLJWKEQWLJUEW
      GWLQUFMZJQWHUGUHUIUJZWGWIWLLZUKZWJWIWPWJWPJIWIAWGJIAUPZWOWGWQAULJUMUNLABC
      DEFGUOUQURWGWLJWIWNUSZUTVAWPWIWRVBVCWGWIJWLVDZLZUKZWKRWIOKRXAWJRWIOWGWJRS
      ZEWSWGXBEWSTXBEWHQVEKUFMZTZWGHNZAMRSZHXCTXDWGXFHXCHABCDEFGVGVFXBXFEHXCWIX
      ERAVHVIVJWGXBEWSXCWGWHILWSXCSWFIACBCDEFGVKVLWHVOVMVNVPVQVRXAWIXAWIXAWIJWL
      WGWTVSVTVBWAWBJWMUEWGJWMUHWCUJWEWD $.

    $d i n $.  $d i t A $.  $d i t R $.
    $( Lemma for ~ eulerpart .  (Contributed by Thierry Arnoux, 9-Aug-2018.) $)
    eulerpartlemgc $p |- ( ( A e. ( ( NN0 ^m NN ) i^i R ) /\ ( t e. NN
      /\ n e. ( bits ` ( A ` t ) ) ) ) -> ( ( 2 ^ n ) x. t ) <_ ( S ` A ) ) $=
      ( vi cn0 cn co wcel wa c2 cmul cc0 cle wbr cmap cin cv cfv cbits cexp 2re
      cr bitsss simprr sselid reexpcld simprl nnred remulcld wf eulerpartlemelr
      a1i ccnv cima cfn simpld ffvelrnda adantrr nn0red eulerpartlemsf ffvelrni
      adantr nnrpd rprege0d csn csu bitsfi syl wss sselda 0le2 expge0d fsumless
      snssd cc wceq recnd oveq2 sumsn syl2anc bitsinv1 3brtr3d lemul1a syl31anc
      c1 fzfid elfznn ffvelrn syl2an adantl adantlr nn0ge0d 0red nngt0d mulge0d
      cfz ltled fveq2 id oveq12d simpr fsumge1 wn cdif eldif caddc cuz nndiffz1
      wb eleq2d pm5.32i eulerpartlems sylbi oveq1d eldifad nncnd mul02d fsumge0
      eqtrd eqbrtrd sylan2br anassrs pm2.61dan eulerpartlemsv3 breqtrrd letrd )
      BKLUAMCUBZNZAUCZLNZGUCZYOBUDZUEUDZNZOZOZPYQUFMZYOQMZYRYOQMZBDUDZUUBUUCYOU
      UBPYQPUHNZUUBUGURUUBYSKYQYRUIZYNYPYTUJZUKULZUUBYOYNYPYTUMZUNZUOUUBYRYOUUB
      YRYNYPYRKNZYTYNLKYOBYNLKBUPZBUSLUTVANBCDEFHIUQVBZVCZVDZVEUULUOUUBUUFYNUUF
      KNZUUAYMKBDCDEFHIVFVGZVHVEUUBUUCUHNYRUHNZYOUHNRYOSTOUUCYRSTUUDUUESTUUJYNY
      PUUTYTYNYPOZYRUUPVEVDUUBYOUUBYOUUKVIVJUUBYQVKZPJUCZUFMZJVLZYSUVDJVLZUUCYR
      SUUBYSUVDUVBJUUBUUMYSVANUUQYRVMVNUUBUVCYSNOZPUVCUUGUVGUGURZUUBYSKUVCYSKVO
      UUBUUHURVPZULUVGPUVCUVHUVIRPSTUVGVQURVRUUBYQYSUUIVTVSUUBYTUUCWANUVEUUCWBU
      UIUUBUUCUUJWCUVDUUCJYQYSUVCYQPUFWDWEWFUUBUUMUVFYRWBUUQJYRWGVNWHUUCYRYOWIW
      JYNYPUUEUUFSTYTUVAUUEWKUUFXBMZFUCZBUDZUVKQMZFVLZUUFSUVAYOUVJNZUUEUVNSTZYN
      UVOUVPYPYNUVOOZUVJUVMUUEFYOUVQWKUUFWLYNUVKUVJNZUVMUHNUVOYNUVROZUVLUVKUVSU
      VLYNUUNUVKLNZUVLKNUVRUUOUVKUUFWMZLKUVKBWNWOZVEZUVSUVKUVRUVTYNUWAWPZUNZUOZ
      WQYNUVRRUVMSTUVOUVSUVLUVKUWCUWEUVSUVLUWBWRUVSRUVKUVSWSUWEUVSUVKUWDWTXCXAZ
      WQUVKYOWBZUVLYRUVKYOQUVKYOBXDUWHXEXFYNUVOXGXHWQYNYPUVOXIZUVPYPUWIOYNYOLUV
      JXJZNZUVPYOLUVJXKYNUWKOZUUERUVNSUWLUUERYOQMRUWLYRRYOQUWLYNYOUUFWKXLMXMUDZ
      NZOYRRWBYNUWKUWNYNUURUWKUWNXOUUSUURUWJUWMYOUUFXNXPVNXQABCDEFHIXRXSXTUWLYO
      UWLYOUWLYOLUVJYNUWKXGYAYBYCYEYNRUVNSTUWKYNUVJUVMFYNWKUUFWLUWFUWGYDVHYFYGY
      HYIYNUUFUVNWBYPBCDEFHIYJVHYKVDYL $.
  $}

  ${
    $( Given a positive integer ` N ` , consider ` P ` , the set of partitions
       of ` N ` , whereas partitions are represented as functions ` f `
       associating a finite set of positive integers ` k ` with the number of
       times ` k ` appears in the partition. $)
    eulerpart.p $e |- P = { f e. ( NN0 ^m NN ) | ( ( `' f " NN ) e. Fin /\
      sum_ k e. NN ( ( f ` k ) x. k ) = N ) } $.

    ${
      $d f k A $.  $d f N $.
      $( Lemma for ~ eulerpart .  (Contributed by Mario Carneiro,
         26-Jan-2015.) $)
      eulerpartleme $p |- ( A e. P <-> ( A : NN --> NN0 /\ ( `' A " NN ) e. Fin
        /\ sum_ k e. NN ( ( A ` k ) x. k ) = N ) ) $=
        ( cn0 cn cmap co wcel ccnv cima cfn cv cfv cmul csu wceq wa wf w3a nnex
        nn0ex elmap anbi1i cnveq imaeq1d eleq1d oveq1d sumeq2sdv eqeq1d anbi12d
        fveq1 elrab2 3anass 3bitr4i ) AGHIJZKZALZHMZNKZHDOZAPZVCQJZDRZESZTZTHGA
        UAZVHTABKVIVBVGUBUSVIVHGHAUDUCUEUFCOZLZHMZNKZHVCVJPZVCQJZDRZESZTVHCAURB
        VJASZVMVBVQVGVRVLVANVRVKUTHVJAUGUHUIVRVPVFEVRHVOVEDVRVNVDVCQVCVJAUNUJUK
        ULUMFUOVIVBVGUPUQ $.
    $}

    ${
      $d f k A $.  $d f k N $.  $d k P $.
      $( Lemma for ~ eulerpart .  (Contributed by Thierry Arnoux,
         19-Aug-2018.) $)
      eulerpartlemv $p |- ( A e. P <-> ( A : NN --> NN0 /\ ( `' A " NN ) e. Fin
        /\ sum_ k e. ( `' A " NN ) ( ( A ` k ) x. k ) = N ) ) $=
        ( wcel cn cn0 cfv cmul co csu wceq w3a wa c1 simpl ffvelrnd cc0 wf ccnv
        cima cfn cv eulerpartleme cdm cnvimass sseqtrid sselda nnnn0d nn0mulcld
        fdm nn0cnd cdif wn wo simpr eldifad wi eldifbd wfn wb ffn elpreima 3syl
        mtbid imnan sylibr mpd elnn0 sylib orel1 sylc oveq1d nncnd mul02d eqtrd
        cuz wss eqimssi sumss eqcomd adantr eqeq1d pm5.32i df-3an 3bitr4i bitri
        nnuz a1i ) ABGHIAUAZAUBHUCZUDGZHDUEZAJZWOKLZDMZENZOZWLWNWMWQDMZENZOZABC
        DEFUFWLWNPZWSPXDXBPWTXCXDWSXBXDWRXAEWLWRXANWNWLXAWRWLWMHWQDQWLAUGWMHAHU
        HHIAUMUIZWLWOWMGZPZWQXGWPWOXGHIWOAWLXFRWLWMHWOXEUJZSXGWOXHUKULUNWLWOHWM
        UOGZPZWQTWOKLTXJWPTWOKXJWPHGZUPZXKWPTNZUQZXMXJWOHGZXLXJWOHWMWLXIURZUSZX
        JXOXKPZUPXOXLUTXJXFXRXJWOHWMXPVAXJWLAHVBXFXRVCWLXIRZHIAVDHWOHAVEVFVGXOX
        KVHVIVJXJWPIGXNXJHIWOAXSXQSWPVKVLXKXMVMVNVOXJWOXJWOXQVPVQVRHQVSJZVTWLHX
        TWJWAWKWBWCWDWEWFWLWNWSWGWLWNXBWGWHWI $.
    $}

    $( Define odd partitions ` O ` , in which only odd numbers appear, and
       distinct partitions ` D ` , in which numbers appear at most once. $)
    eulerpart.o $e |- O = { g e. P | A. n e. ( `' g " NN ) -. 2 || n } $.
    eulerpart.d $e |- D = { g e. P | A. n e. NN ( g ` n ) <_ 1 } $.

    ${
      $d g n A $.  $d g P $.
      $( Lemma for ~ eulerpart : ` O ` is the set of odd partitions of ` N ` .
         (Contributed by Thierry Arnoux, 10-Aug-2017.) $)
      eulerpartlemo $p |- ( A e. O <->
        ( A e. P /\ A. n e. ( `' A " NN ) -. 2 || n ) ) $=
        ( c2 cv cdvds wbr ccnv cn cima wral wceq cnveq imaeq1d raleqdv elrab2
        wn ) MGNOPUFZGENZQZRSZTUGGAQZRSZTEACIUHAUAZUGGUJULUMUIUKRUHAUBUCUDKUE
        $.
    $}

    ${
      $d f g k n A $.  $d f N $.  $d g n P $.
      $( Lemma for ~ eulerpart : ` D ` is the set of distinct part. of ` N ` .
         (Contributed by Thierry Arnoux, 11-Aug-2017.) $)
      eulerpartlemd $p |- ( A e. D <-> ( A e. P /\ ( A " NN ) C_ { 0 , 1 } ) )
        $=
        ( wcel c1 cn wa cc0 wceq co cn0 cv cfv cle wbr wral cima cpr wss breq1d
        fveq1 ralbidv elrab2 cfz c2 cfzo cz fzoval ax-mp fzo0to2pr 2m1e1 oveq2i
        cmin 2z 3eqtr3i eleq2i wb ccnv cfn cmul eulerpartleme simp1bi ffvelrnda
        wf csu 1nn0 w3a elfz2nn0 df-3an bitri baib sylancl bitr2id ralbidva cdm
        wfun ffund fdm eqimss2 3syl funimass4 syl2anc bitr4d pm5.32i ) ABMACMZG
        UAZAUBZNUCUDZGOUEZPWNAOUFQNUGZUHZPWOEUAZUBZNUCUDZGOUEWREACBXAARZXCWQGOX
        DXBWPNUCWOXAAUJUIUKLULWNWRWTWNWRWPWSMZGOUEZWTWNWQXEGOXEWPQNUMSZMZWNWOOM
        PZWQWSXGWPQUNUOSZQUNNVBSZUMSZWSXGUNUPMXJXLRVCQUNUQURUSXKNQUMUTVAVDVEXIW
        PTMZNTMZXHWQVFWNOTWOAWNOTAVMZAVGOUFVHMOFUAZAUBXPVISFVNHRACDFHJVJVKZVLVO
        XHXMXNPZWQXHXMXNWQVPXRWQPWPNVQXMXNWQVRVSVTWAWBWCWNAWEOAWDZUHZWTXFVFWNOT
        AXQWFWNXOXSORXTXQOTAWGOXSWHWIGOWSAWJWKWLWMVS $.
    $}

    ${
      $( We will use the set of odd positive integers ` J ` . $)
      eulerpart.j $e |- J = { z e. NN | -. 2 || z } $.
      eulerpart.f $e |- F = ( x e. J , y e. NN0 |-> ( ( 2 ^ y ) x. x ) ) $.
      eulerpart.h $e |- H = { r e. ( ( ~P NN0 i^i Fin ) ^m J ) |
        ( r supp (/) ) e. Fin } $.

      $( ` ( bits o. ( A |`` J ) ) ` results in a function from ` J ` , the odd
         positive integers, to the subset of ` NN0 ` . Applying ` M ` helps to
         convert this back to a relation. $)
      eulerpart.m $e |- M = ( r e. H |->
        { <. x , y >. | ( x e. J /\ y e. ( r ` x ) ) } ) $.

      ${
        $d r x y J $.  $d r H $.
        $( Lemma for ~ eulerpart .  (Contributed by Thierry Arnoux,
           27-Aug-2017.)  (Revised by Thierry Arnoux, 1-Sep-2019.) $)
        eulerpartlem1 $p |- M : H -1-1-onto-> ( ~P ( J X. NN0 ) i^i Fin ) $=
          ( cn0 cxp cpw cfn cin wf1o cmap co cv wcel cfv wa copab cmpt c2 cdvds
          cres wbr wn cn nnex rabex2 nn0ex eqid fpwrelmapffs wceq wb csupp crab
          wss c0 ssrab2 cvv inss1 mapss mp2an sstri eqsstri resmpt ax-mp eqtr4i
          pwex f1oeq1 mpbir ) KLUDUEUFUGUHZMUIZKWHPUDUFZLUJUKZAULZLUMBULWLPULZU
          NUMUOABUPZUQZKUTZUIZABLUDKPWOURCULUSVAVBCVCLTVDVEVFWOVGUBVHMWPVIWIWQV
          JMPKWNUQZWPUCKWKVMWPWRVIKWMVNVKUKUGUMZPWJUGUHZLUJUKZVLZWKUBXBXAWKWSPX
          AVOWJVPUMWTWJVMXAWKVMUDVFWEWJUGVQWTWJLVPVRVSVTWAPWKKWNWBWCWDKWHMWPWFW
          CWG $.
      $}

      ${
        $d f g k x y $.  $d f g x N $.  $d g P $.
        $( Lemma for ~ eulerpart .  The set of all partitions of ` N ` is
           finite.  (Contributed by Mario Carneiro, 26-Jan-2015.) $)
        eulerpartlemb $p |- P e. Fin $=
          ( cn cv c1 cfz co wcel cc0 csn cif cixp cfn wss wtru fzfid fzfi ifcli
          wa snfi a1i cdif wn wceq eldifn adantl iffalse eqimss 3syl ixpfi2 cn0
          wf ccnv cima cfv cmul csu w3a eulerpartleme wfn wral ffn 3ad2ant1 cle
          wbr ffvelrn 3ad2antl1 nn0red cr nnre remulcld cdm cnvimass fdm adantr
          mptru sseqtrid sselda adantlr syldan nnnn0d nn0mulcld cvv simpl csupp
          nn0cnd nnex frnnn0supp mpan syl 0nn0 suppssr oveq1d eldifi nncn mul02
          eqtrd cuz nnuz eqimssi sumss simpr fsumnn0cl eqeltrrd eleq1 syl5ibcom
          cc nn0ge0d nnge1 ralrimiva breqtrd wb eleqtrdi elfz5 syl2anc eleqtrrd
          expr wi syld 3impia lemulge11d fveq2 id oveq12d simprr fsumge1 eqeq1d
          eldif rspccva sylan sylan2br fsumge0 adantrr eqbrtrd pm2.61d 3adantl3
          simpl3 letrd cz nn0uz nn0zd mpbird iftrue nnnn0 syl21anc letr syl3anc
          lemulge12 mpan2d syl5 sylibrd con3d wo elnn0 ord imp fvex elsn sylibr
          sylib pm2.61dan vex elixp sylanbrc sylbi ssriv ssfi mp2an ) AUDAUEZUF
          NUGUHZUIZUJNUGUHZUJUKZULZUMZUNUIZEUWPUOEUNUIUWQUPAUDUWOUWKUJUPUFNUQUW
          OUNUIUPUWJUDUIZUTUWLUWMUWNUNUJNURUJVAUSVBUPUWJUDUWKVCUIZUTUWLVDZUWOUW
          NVEZUWOUWNUOUWSUWTUPUWJUDUWKVFVGUWLUWMUWNVHZUWOUWNVIVJVKWQGEUWPGUEZEU
          IUDVLUXCVMZUXCVNUDVOZUNUIZUDHUEZUXCVPZUXGVQUHZHVRZNVEZVSZUXCUWPUIZUXC
          EFHNQVTUXLUXCUDWAZUWJUXCVPZUWOUIZAUDWBUXMUXDUXFUXNUXKUDVLUXCWCWDUXLUX
          PAUDUXLUWRUTZUWLUXPUXQUWLUTUXOUWMUWOUXQUXOUWMUIZUWLUXQUXRUXONWEWFZUXQ
          UXOUXOUWJVQUHZNUXQUXOUXDUXFUWRUXOVLUIZUXKUDVLUWJUXCWGWHZWIZUXQUXOUWJU
          YCUWRUWJWJUIZUXLUWJWKVGZWLZUXQNUXLNVLUIZUWRUXDUXFUXKUYGUXDUXFUTZUXJVL
          UIUXKUYGUYHUXEUXIHVRZUXJVLUYHUXEUDUXIHUFUYHUXCWMZUXEUDUXCUDWNUXDUYJUD
          VEUXFUDVLUXCWOWPWRZUYHUXGUXEUIZUTZUXIUYMUXHUXGUYHUYLUXGUDUIZUXHVLUIZU
          YHUXEUDUXGUYKWSZUXDUYNUYOUXFUDVLUXGUXCWGWTXAUYMUXGUYPXBXCZXGUYHUXGUDU
          XEVCZUIZUTZUXIUJUXGVQUHZUJUYTUXHUJUXGVQUYHUDVLVLUXCXDUXEUXGUJUXDUXFXE
          UYHUXCUJXFUHZUXEVEZVUBUXEUOUXDVUCUXFUDXDUIZUXDVUCXHUXCUDXDXIXJWPVUBUX
          EVIXKVUDUYHXHVBUJVLUIUYHXLVBXMXNUYTUYNUXGYHUIVUAUJVEUYSUYNUYHUXGUDUXE
          XOVGUXGXPUXGXQVJXRZUDUFXSVPZUOUYHUDVUFXTYAVBYBZUYHUXEUXIHUXDUXFYCZUYQ
          YDYEUXJNVLYFYGUUAWPZWIZUXQUXOUWJUYCUYEUXQUXOUYBYIUWRUFUWJWEWFUXLUWJYJ
          VGUUBUXQUXTUXJNWEUXDUXFUWRUXTUXJWEWFUXKUYHUWRUTZUXTUYIUXJWEVUKUWJUXEU
          IZUXTUYIWEWFZUYHUWRVULVUMUYHUWRVULUTZUTUXEUXIUXTHUWJUYHUXFVUNVUHWPUYH
          UYLUXIWJUIVUNUYMUXIUYQWIWTUYHUYLUJUXIWEWFVUNUYMUXIUYQYIWTUXGUWJVEZUXH
          UXOUXGUWJVQUXGUWJUXCUUCVUOUUDUUEZUYHUWRVULUUFUUGYRUYHUWRVULVDZVUMUYHU
          WRVUQUTZUTUXTUJUYIWEVURUYHUWJUYRUIZUXTUJVEZUWJUDUXEUUIUYHUXIUJVEZHUYR
          WBVUSVUTUYHVVAHUYRVUEYKVVAVUTHUWJUYRVUOUXIUXTUJVUPUUHUUJUUKUULUYHUWRU
          JUYIWEWFVUQVUKUXEUXIHUYHUXFUWRVUHWPVUKUYLUTZUXIUYHUYLUXIVLUIUWRUYQWTZ
          WIVVBUXIVVCYIUUMUUNUUOYRUUPUYHUYIUXJVEUWRVUGWPYLUUQUXDUXFUXKUWRUURYLZ
          UUSUXQUXOUJXSVPZUINUUTUIZUXRUXSYMUXQUXOVLVVEUYBUVAYNUXQNVUIUVBZUXOUJN
          YOYPUVCWPUWLUWOUWMVEUXQUWLUWMUWNUVDVGYQUXQUWTUTZUXOUWNUWOVVHUXOUJVEZU
          XOUWNUIUXQUWTVVIUXQUWTUXOUDUIZVDVVIUXQVVJUWLUXQVVJUWJNWEWFZUWLVVJUFUX
          OWEWFZUXQVVKUXOYJUXQVVLUWJUXTWEWFZVVKUXQUYDUXOWJUIZUJUWJWEWFZVVLVVMYS
          UYEUYCUXQUWJUWRUWJVLUIUXLUWJUVEVGYIUYDVVNUTVVOVVLVVMUWJUXOUVIYRUVFUXQ
          VVMUXTNWEWFZVVKVVDUXQUYDUXTWJUINWJUIVVMVVPUTVVKYSUYEUYFVUJUWJUXTNUVGU
          VHUVJYTUVKUXQUWJVUFUIVVFUWLVVKYMUXQUWJUDVUFUXLUWRYCXTYNVVGUWJUFNYOYPU
          VLUVMUXQVVJVVIUXQUYAVVJVVIUVNUYBUXOUVOUWAUVPYTUVQUXOUJUWJUXCUVRUVSUVT
          UWTUXAUXQUXBVGYQUWBYKAUDUWOUXCGUWCUWDUWEUWFUWGUWPEUWHUWI $.
      $}

      $( Define the set of finitely supported functions. $)
      eulerpart.r $e |- R = { f | ( `' f " NN ) e. Fin } $.

      $( Define the set of functions into ` NN0 ` with odd-valued support. $)
      eulerpart.t $e |- T = { f e. ( NN0 ^m NN ) | ( `' f " NN ) C_ J } $.

      ${
        $d f A $.  $d f J $.
        $( Lemma for ~ eulerpart .  (Contributed by Thierry Arnoux,
           19-Sep-2017.) $)
        eulerpartlemt0 $p |- ( A e. ( T i^i R ) <-> ( A e. ( NN0 ^m NN ) /\
          ( `' A " NN ) e. Fin /\ ( `' A " NN ) C_ J ) ) $=
          ( wcel wa cn0 cn cmap co ccnv cima wss cvv cfn cin wceq cnveq imaeq1d
          w3a cv sseq1d elrab2 eleq1d elab4g anbi12i elin pm4.71i anbi1i 3anass
          elex an42 3bitr4i ) DHUIZDGUIZUJDUKULUMUNZUIZDUOZULUPZOUQZUJZDURUIZWC
          USUIZUJZUJZDHGUTUIWAWGWDVDZVRWEVSWHIVEZUOZULUPZOUQWDIDVTHWKDVAZWMWCOW
          NWLWBULWKDVBVCZVFUHVGWMUSUIWGIDGWNWMWCUSWOVHUGVIVJDHGVKWAWGWDUJZUJWAW
          FUJZWPUJWJWIWAWQWPWAWFDVTVOVLVMWAWGWDVNWAWDWFWGVPVQVQ $.
      $}

      ${
        $d t z $.  $d f g k n t A $.  $d f J $.  $d f N $.  $d g P $.
        $( Lemma for ~ eulerpart :  Odd partitions are zero for even numbers.
           (Contributed by Thierry Arnoux, 9-Sep-2017.) $)
        eulerpartlemf $p |- ( ( A e. ( T i^i R ) /\ t e. ( NN \ J ) )
          -> ( A ` t ) = 0 ) $=
          ( cin wcel cv cn cdif wa cfv wn cc0 wceq wo c2 cdvds wbr eldif notbid
          breq2 elrab2 simplbi2 con1d imp adantl adantr ccnv cima simpll eldifi
          sylbi wb cn0 wf wfn cmap co cfn wss eulerpartlemt0 simp1bi elmapi syl
          ffn elpreima 3syl baibd sylan2 biimpar simp3bi sselda simprbi syl2anc
          pm2.65da ffvelrnd elnn0 sylib orel1 sylc ) EIHUJUKZDULZUMPUNUKZUOZXGE
          UPZUMUKZUQXKXJURUSZUTZXLXIXKVAXGVBVCZXIXNXKXHXNXFXHXGUMUKZXGPUKZUQZUO
          XNXGUMPVDXOXQXNXOXNXPXPXOXNUQZVACULZVBVCZUQXRCXGUMPXSXGUSXTXNXSXGVAVB
          VFVEUDVGZVHVIVJVQVKVLXIXKUOXFXGEVMUMVNZUKZXRXFXHXKVOXIYCXKXHXFXOYCXKV
          RXGUMPVPZXFYCXOXKXFUMVSEVTZEUMWAYCXOXKUOVRXFEVSUMWBWCUKZYEXFYFYBWDUKZ
          YBPWEZABCEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIWFZWGEVSUMWHWIZUMVSEWJUMXG
          UMEWKWLWMWNWOXFYCUOXPXRXFYBPXGXFYFYGYHYIWPWQXPXOXRYAWRWIWSWTXIXJVSUKX
          MXIUMVSXGEXFYEXHYJVLXHXOXFYDVKXAXJXBXCXKXLXDXE $.
      $}

      ${
        $d f m o J $.  $d m o R $.  $d m o T $.
        $( Lemma for ~ eulerpart .  (Contributed by Thierry Arnoux,
           19-Sep-2017.) $)
        eulerpartlemt $p |- ( ( NN0 ^m J ) i^i R ) =
          ran ( m e. ( T i^i R ) |-> ( m |` J ) ) $=
          ( vo cv cn0 cmap co wcel cab cres wceq cin wrex cmpt crn cdif cc0 csn
          wa cn cxp cun ccnv cima cfn wss elmapi adantr c0ex fconst a1i disjdif
          wf c0 fun syl21anc c2 cdvds wbr wn crab eqsstri undif mpbi 0nn0 snssi
          ssrab2 ax-mp ssequn2 feq23i sylib nn0ex elmap sylibr imaeq1i imaundir
          nnex cnvun eqtri cnveq imaeq1d eleq1d elab2 biimpi adantl cnvxp dmeqi
          vex cdm wne 2nn cz 2z iddvds breq2 notbid elrab2 simprbi mt2 mpbir2an
          eldif ne0i dmxp mp2b ineq1i incom disjsn mpbir sylancl eulerpartlemt0
          0nnn wfn 3syl eqeltrd 3eqtr2i imadisj eqeltri eqeltrid cnvimass fssdm
          0fin unfi 0ss unssd eqsstrid syl3anbrc resundir ffn disjdifr fnconstg
          fnresdm wb fnresdisj uneq12d un0 eqtrdi eqtr2id reseq1 rspceeqv simpr
          syl2anc w3a simpl simp1d fssres rabex2 wfun ffun respreima simp2d syl
          infi resex jca rexlimiva impbii abbii df-in eqid rnmpt 3eqtr4i ) UIUJ
          ZUKOULUMZUNZUWHFUNZVEZUIUOUWHKUJZOUPZUQZKGFURZUSZUIUOUWIFURKUWPUWNUTZ
          VAUWLUWQUIUWLUWQUWLUWHVFOVBZVCVDZVGZVHZUWPUNZUWHUXBOUPZUQUWQUWLUXBUKV
          FULUMZUNZUXBVIZVFVJZVKUNUXHOVLUXCUWLVFUKUXBVSZUXFUWLOUWSVHZUKUWTVHZUX
          BVSZUXIUWLOUKUWHVSZUWSUWTUXAVSZOUWSURVTUQZUXLUWJUXMUWKUWHUKOVMVNZUXNU
          WLUWSVCVOVPVQUXOUWLOVFVRVQOUWSUKUWTUWHUXAWAWBUXJUXKVFUKUXBOVFVLZUXJVF
          UQOWCCUJZWDWEZWFZCVFWGVFUCUXTCVFWMWHZOVFWIWJUWTUKVLZUXKUKUQVCUKUNZUYB
          WKVCUKWLWNUWTUKWOWJWPWQUKVFUXBWRXCWSWTUWLUXHUWHVIZVFVJZUXAVIZVFVJZVHZ
          VKUXHUYDUYFVHZVFVJUYHUXGUYIVFUWHUXAXDXAUYDUYFVFXBXEZUWLUYEVKUNZUYGVKU
          NUYHVKUNUWKUYKUWJUWKUYKHUJZVIZVFVJZVKUNZUYKHUWHFUIXNUYLUWHUQZUYNUYEVK
          UYPUYMUYDVFUYLUWHXFXGXHUGXIXJXKUYGVTVKUYGVTUQUYFXOZVFURZVTUQUYRUWTVFU
          RVFUWTURZVTUYQUWTVFUYQUWTUWSVGZXOZUWTUYFUYTUWSUWTXLXMWCUWSUNZUWSVTXPV
          UAUWTUQVUBWCVFUNZWCOUNZWFXQVUDWCWCWDWEZWCXRUNVUEXSWCXTWNVUDVUCVUEWFZU
          XTVUFCWCVFOUXRWCUQUXSVUEUXRWCWCWDYAYBUCYCYDYEWCVFOYGYFUWSWCYHUWTUWSYI
          YJXEYKVFUWTYLUYSVTUQVCVFUNWFYQVFVCYMYNUUAUYFVFUUBYNZUUGUUCUYEUYGUUHYO
          UUDUWLUXHUYHOUYJUWLUYEUYGOUWLOUKUYEUWHUWHVFUUEUXPUUFUYGOVLUWLUYGVTOVU
          GOUUIWHVQUUJUUKABCUXBDEFGHIJLMNOPQRSTUAUBUCUDUEUFUGUHYPUULUWLUXDUWHOU
          PZUXAOUPZVHZUWHUWHUXAOUUMUWLVUJUWHVTVHZUWHUWLUXMUWHOYRZVUJVUKUQUXPOUK
          UWHUUNVULVUHUWHVUIVTOUWHUUQVUIVTUQZVULUWSOURVTUQZVUMOVFUUOUYCUXAUWSYR
          VUNVUMUURWKUWSVCUKUUPUWSOUXAUUSYJWJVQUUTYSUWHUVAUVBUVCKUXBUWPUWNUXDUW
          HUWMUXBOUVDUVEUVGUWOUWLKUWPUWMUWPUNZUWOVEZUWJUWKVUPUWHUWNUWIVUOUWOUVF
          ZVUPOUKUWNVSZUWNUWIUNVUPVFUKUWMVSZUXQVURVUPUWMUXEUNZVUSVUPVUTUWMVIVFV
          JZVKUNZVVAOVLZVUPVUOVUTVVBVVCUVHVUOUWOUVIABCUWMDEFGHIJLMNOPQRSTUAUBUC
          UDUEUFUGUHYPWQZUVJUKVFUWMWRXCWSWQZUYAVFUKOUWMUVKYOUKOUWNWRUXTCVFOUCXC
          UVLWSWTYTVUPUWHUWNFVUQVUPUWNVIZVFVJZVKUNZUWNFUNVUPVVGVVAOURZVKVUPVUSU
          WMUVMVVGVVIUQVVEVFUKUWMUVNVFOUWMUVOYSVUPVVBVVIVKUNVUPVUTVVBVVCVVDUVPV
          VAOUVRUVQYTUYOVVHHUWNFUWMOKXNUVSUYLUWNUQZUYNVVGVKVVJUYMVVFVFUYLUWNXFX
          GXHUGXIWTYTUVTUWAUWBUWCUIUWIFUWDKUIUWPUWNUWRUWRUWEUWFUWG $.
      $}

      $( Define the function ` G ` which we will prove to be a bijection
         between ` O ` and ` D ` . $)
      eulerpart.g $e |- G = ( o e. ( T i^i R ) |->
                ( ( _Ind ` NN ) ` ( F " ( M ` ( bits o. ( o |` J ) ) ) ) ) ) $.

      ${
        $d a f g k m n o x y z $.  $d a b o F $.  $d a b f m o r x y J $.
        $d a b o r M $.  $d f g x N $.  $d g P $.  $d f m o R $.  $d o r H $.
        $d f m o T $.
        $( Lemma for ~ eulerpart :  The ` G ` function is a bijection.
           (Contributed by Thierry Arnoux, 27-Aug-2017.)  (Revised by Thierry
           Arnoux, 1-Sep-2019.) $)
        eulerpartgbij $p |-
                   G : ( T i^i R ) -1-1-onto-> ( ( { 0 , 1 } ^m NN ) i^i R ) $=
          ( va vm vb cin cc0 c1 cpr cn cmap co wf1o cind cfv cres cbits cv ccom
          cfn cima cmpt cpw ccnv csn wcel crab cvv nnex indf1ofs ax-mp wceq cab
          wb incom ineq2i dfrab2 wfun crn wss elmapfun elmapi wa c0 cun wn mpbi
          mpbir eqtr2i 3eqtri eleq1d rabbiia f1oeq3 cn0 wtru csupp a1i c2 nn0ex
          wbr 0nn0 cfsupp wf vex funisfsupp mp3an23 syl 3eqtr4ri elinel1 f1oeq1
          mp1i mptru eqtri eqid mp2an wrex resex bitri mp2b f1oco f1of eqidd cz
          wfn ffvelrnda eqeltrrd f1ofn dffn5 fveq2 fmptco fvmpt2 sylancl disjsn
          3eqtr4i frnd fimacnvinrn2 df-pr indi 0nnn 1nn snss dfss uneq12i uncom
          1ex un0 imaeq2i eqtrdi syl2anc cxp oddpwdc eulerpartlem1 cdvds rabex2
          f1opwfi bitsf1o pwex inex1 fvres 0bits frnnn0supp 0ex bicomd fcobijfs
          sylancr frn cores 3syl mpteq2ia eqcomi mpbird wf1 w3a eqsstri 3pm3.2i
          ssrab2 cnveq imaeq12d sseq1d cbvrabv resf1o f1of1 inss1 f1ores fnmpti
          cdif dfn2 fvelimab elrnmpti eulerpartlemt eleq2i eqeq1d eqcom rexbiia
          fvtresfn bitrdi 3bitr4ri eqriv resmpt wral fmpt biimpri coeq2 fmptcof
          eqcomd f1oeq123d mpbiri bitsf zex coex fvmpt2d simpr fvex imaeq2 cexp
          fex cmul mpoexg imaexg indf1o reseq1i resmpt3 eqtr4i ) GFUNZUOUPUQZUR
          USUTZFUNZNVAZUYLUYOURVBVCZVHVDZLUYLMVELVFZPVDZVGZQVCZVIZVJZVGZVAZURVK
          ZVHUNZUYOUYRVAZUYLVUHVUDVAZVUFVUHHVFZVLZUPVMZVIZVHVNZHUYNVOZUYRVAZVUI
          URVPVNZVUQVQHURVPVRVSVUPUYOVTVUQVUIWBUYOVULURVIZVHVNZHUYNVOZVUPUYNVUT
          HWAZUNVVBUYNUNUYOVVAUYNVVBWCFVVBUYNUHWDVUTHUYNWEUUBVUTVUOHUYNVUKUYNVN
          ZVUSVUNVHVVCVUKWFZVUKWGZUYMWHZVUSVUNVTVUKUYMURWIVVCURUYMVUKVUKUYMURWJ
          UUCVVDVVFWKVUSVULURUYMUNZVIVUNURUYMVUKUUDVVGVUMVULVVGWLVUMWMZVUMWLWMV
          UMVVGURUOVMZVUMWMZUNURVVIUNZURVUMUNZWMVVHUYMVVJURUOUPUUEWDURVVIVUMUUF
          VVKWLVVLVUMVVKWLVTUOURVNWNUUGURUOUUAWPVUMVUMURUNZVVLVUMURWHZVUMVVMVTU
          PURVNVVNUUHUPURUUMUUIWOVUMURUUJWOVUMURWCWQUUKWRWLVUMUULVUMUUNWRUUOUUP
          UUQWSWTWQVUPUYOVUHUYRXAVSWOUYLVUHUKPXBUURZVKVHUNZMUKVFZVIZVJZLUYLVUBV
          JZVGZVAZVUJVVPVUHVVSVAZUYLVVPVVTVAZVWBVVOURMVAVWCABCMPUDUEUUSVVOURMUK
          UVCVSUYLVVPQLUYLVUAVJZVGZVAZVWDOVVPQVAZUYLOVWEVAZVWGABCDEHIJKMOPQRSTU
          AUBUCUDUEUFUGUUTZVWIXCVWIUYLTVFZWLXDUTVHVNZTXBVKZVHUNZPUSUTZVOZHXBPUS
          UTZFUNZVEVUKVGZVJZLUYLUYTVJZVGZVAZVWRVWPVWTVAZUYLVWRVXAVAZVXCVXDXCVXD
          VWRVWPHVWRVEXBVDZVUKVGZVJZVAZXCWLPXBVWNVPHHTVXFUOVPVPVWRVWPXBVWNVXFVA
          XCUVDXEPVPVNZXCXFCVFUVAXHWNZCURPUDVQUVBZXEXBVPVNZXCXGXEVWNVPVNXCVWMVH
          XBXGUVEUVFXEUOXBVNZXCXIXEUOVXFVCZUOVEVCZWLVXNVXOVXPVTXIUOXBVEUVGVSUVH
          WQVUKUOXDUTZVHVNZHVWQVOVUTHVWQVOZVUKUOXJXHZHVWQVOVWRVXRVUTHVWQVUKVWQV
          NZVXQVUSVHVYAVXJPXBVUKXKZVXQVUSVTVXLVUKXBPWJZVUKPVPUVIUVMWSWTVXTVXRHV
          WQVYAVVDVXTVXRWBZVUKXBPWIVVDVUKVPVNVXNVYDHXLXIVUKVPXBUOXMXNXOWTVVBVWQ
          UNVWQVVBUNVXSVWRVVBVWQWCVUTHVWQWEFVVBVWQUHWDXPXPVWLVWKWLXJXHZTVWOVWKV
          WOVNVWKWFZVWLVYEWBVWKVWNPWIVYFVYEVWLVYFVWKVPVNWLVPVNVYEVWLWBTXLUVJVWK
          VPVPWLXMXNUVKXOWTUVLVWTVXHVTVXDVXIWBXCVXHVWTHVWRVXGVWSVUKVWRVNZVYAVXG
          VWSVTZVUKVWQFXQVYAVYBVVEXBWHVYHVYCPXBVUKUVNVEVUKXBUVOUVPXOUVQUVRVWRVW
          PVWTVXHXRXSUVSXTUYLLGUYTVJZUYLVIZVYIUYLVDZVAZVXEGVWQVYIUVTZUYLGWHZVYL
          GVWQVYIVAZVYMVURVXMPURWHZUWAVXNVYOVURVXMVYPVQXGPVXKCURVOURUDVXKCURUWD
          UWBUWCXIURXBPLVYIVPVPGUOGVUSPWHZHXBURUSUTZVOUYSVLZXBVVIUWNZVIZPWHZLVY
          RVOUIVYQWUBHLVYRVUKUYSVTZVUSWUAPWUCVULVYSURVYTVUKUYSUWEURVYTVTWUCUWOX
          EUWFUWGUWHYAVYIYBZUWIYCGVWQVYIUWJVSGFUWKZGVWQUYLVYIUWLYCVYLUYLVWRVYKV
          AZVXEVYJVWRVTVYLWUFWBHVYJVWRVUKVYJVNZULVFZVYIVCZVUKVTZULUYLYDZVYGVYIG
          YLVYNWUGWUKWBLGUYTVYIUYSPLXLYEZWUDUWMWUEULGUYLVUKVYIUWPYCVUKULUYLWUHP
          VDZVJZWGZVNVUKWUMVTZULUYLYDVYGWUKULUYLWUMVUKWUNWUNYBWUHPULXLYEUWQVWRW
          UOVUKABCDEFGHIJULKMOPQRSTUAUBUCUDUEUFUGUHUIUWRUWSWUJWUPULUYLWUHUYLVNZ
          WUJWUMVUKVTZWUPWUQWUHGVNZWUJWURWBWUHGFXQWUSWUIWUMVUKLGVYIPWUHWUDUXCUW
          TXOWUMVUKUXAUXDUXBUXEYFUXFVYJVWRUYLVYKXAVSVYNVYKVXAVTWUFVXEWBWUELGUYL
          UYTUXGUYLVWRVYKVXAXRYGYFWOZUYLVWRVWPVWTVXAYHYCXCUYLUYLOVWPVWEVXBXCVXB
          VWEXCLHUYLVWRUYTVWSVUAVXAVWTUYTVWRVNLUYLUXHZXCVXEUYLVWRVXAXKZWVAWUTUY
          LVWRVXAYIWVAWVBLUYLVWRUYTVXAVXAYBUXIUXJYGXEXCVXAYJXCVWTYJVUKUYTVEUXKU
          XLUXMXCUYLYJOVWPVTXCUFXEUXNUXOZXTUYLOVVPQVWEYHYCVWFVVTVTZVWGVWDWBWVDX
          CLTUYLOVUAVWKQVCZVUBVWEQXCUYSUYLVNZWKZUYSVWEVCVUAOXCLUYLVUAVWEVPXCVWE
          YJZVUAVPVNWVGVEUYTYKVWMVEXKYKVPVNVEVPVNUXPUXQYKVWMVPVEUYDYCWULUXRXEUX
          SXCUYLOUYSVWEXCVWIUYLOVWEXKWVCUYLOVWEYIXOYMYNWVHQTOWVEVJVTZXCQOYLZWVI
          VWHWVJVWJOVVPQYOVSTOQYPWOXEVWKVUAQYQYRXTUYLVVPVWFVVTXRVSWOZUYLVVPVUHV
          VSVVTYHYCVWAVUDVTZVWBVUJWBWVLXCLUKUYLVVPVUBVVRVUCVVTVVSWVGUYSVVTVCZVU
          BVVPWVGWVFVUBVPVNWVMVUBVTXCWVFUXTZVUAQUYALUYLVUBVPVVTVVTYBYSYTXCUYLVV
          PUYSVVTVWDUYLVVPVVTXKXCWVKUYLVVPVVTYIXSYMYNXCVVTYJXCVVSYJVVQVUBMUYBYR
          XTUYLVUHVWAVUDXRVSWOZUYLVUHUYOUYRVUDYHYCNVUEVTUYPVUFWBNLUYLVUCUYQVCZV
          JZVUEUJVUEWVQVTXCLUMUYLVUHVUCUMVFZUYQVCZWVPVUDUYRWVGUYSVUDVCZVUCVUHWV
          GWVFVUCVPVNZWVTVUCVTWVNMVPVNZWWAVXJVXMWWBVXLXGABPXBXFBVFUYCUTAVFUYEUT
          VPVPMUEUYFYCMVUBVPUYGVSLUYLVUCVPVUDVUDYBYSYTXCUYLVUHUYSVUDVUJUYLVUHVU
          DXKXCWVOUYLVUHVUDYIXSYMYNXCVUDYJUYRUMVUHWVSVJZVTXCUYRUMVUGWVSVJZVHVDW
          WCUYQWWDVHUYQVUGYLZUYQWWDVTVURVUGUYNUYQVAWWEVQURVPUYHVUGUYNUYQYOYGUMV
          UGUYQYPWOUYIUMVUGVHWVSUYJYAXEWVRVUCUYQYQYRXTUYKUYLUYONVUEXRVSWP $.
      $}

      ${
        $d o A $.  $d o F $.  $d o J $.  $d o M $.  $d o R $.  $d o T $.
        $( Lemma for ~ eulerpart : value of the function ` G ` .  (Contributed
           by Thierry Arnoux, 13-Nov-2017.) $)
        eulerpartlemgv $p |- ( A e. ( T i^i R ) -> ( G ` A ) =
          ( ( _Ind ` NN ) ` ( F " ( M ` ( bits o. ( A |` J ) ) ) ) ) ) $=
          ( cbits cres ccom cfv cima cind cin wceq reseq1 coeq2d fveq2d imaeq2d
          cv cn fvex fvmpt ) MDNULMVDZQUMZUNZRUOZUPZVEUQUOZUONULDQUMZUNZRUOZUPZ
          VMUOHGUROVHDUSZVLVQVMVRVKVPNVRVJVORVRVIVNULVHDQUTVAVBVCVBUKVQVMVFVG
          $.
      $}

      ${
        $d f h k n z $.  $d f n J $.  $d f N $.  $d g h n P $.  $d h O $.
        $d h R $.  $d h T $.
        $( Lemma for ~ eulerpart .  (Contributed by Thierry Arnoux,
           13-Nov-2017.) $)
        eulerpartlemr $p |- O = ( ( T i^i R ) i^i P ) $=
          ( vh cin cv wcel wa elin anbi1i c2 cdvds wbr wn ccnv cn eulerpartlemo
          cima wral cn0 cmap wss cfn cfv cmul csu wceq weq cnveq imaeq1d eleq1d
          co fveq1 oveq1d sumeq2sdv eqeq1d anbi12d elrab2 cdm cnvimass wf nn0ex
          simplbi nnex elmap fdm sylbi sseqtrid syl ralrimiva biantrurd simprbi
          sselda simpld biantrud 3bitrd dfss3 breq2 notbid ralbii r19.26 3bitri
          anbi2i bitr4di sseq1d vex elab2 anbi12i pm5.32i ancom 3bitr4ri eqriv
          ) UKSGFULZEULZUKUMZXTUNZYBEUNZUOYBGUNZYBFUNZUOZYDUOZYBYAUNYBSUNZYCYGY
          DYBGFUPUQYBXTEUPYIYDURKUMZUSUTZVAZKYBVBZVCVEZVFZUOYDYGUOYHYBDEHIJKRSU
          AUBUCVDYDYOYGYDYOYBVGVCVHVSZUNZYNPVIZUOZYNVJUNZUOZYGYDYOYQYJVCUNZKYNV
          FZYOUOZUOZYTUOZUUAYDYOUUDUUEUUFYDUUCYOYDUUBKYNYDYNVCYJYDYQYNVCVIYDYQY
          TVCJUMZYBVKZUUGVLVSZJVMZRVNZUOZHUMZVBZVCVEZVJUNZVCUUGUUMVKZUUGVLVSZJV
          MZRVNZUOUULHYBYPEHUKVOZUUPYTUUTUUKUVAUUOYNVJUVAUUNYMVCUUMYBVPVQZVRZUV
          AUUSUUJRUVAVCUURUUIJUVAUUQUUHUUGVLUUGUUMYBVTWAWBWCWDUAWEZWJZYQYBWFZYN
          VCYBVCWGYQVCVGYBWHUVFVCVNVGVCYBWIWKWLVCVGYBWMWNWOWPWTWQWRYDYQUUDUVEWR
          YDYTUUEYDYTUUKYDYQUULUVDWSXAXBXCYSUUEYTYRUUDYQYRYJPUNZKYNVFUUBYLUOZKY
          NVFUUDKYNPXDUVGUVHKYNURCUMZUSUTZVAYLCYJVCPCKVOUVJYKUVIYJURUSXEXFUDWEX
          GUUBYLKYNXHXIXJUQXKYEYSYFYTUUOPVIYRHYBYPGUVAUUOYNPUVBXLUIWEUUPYTHYBFU
          KXMUVCUHXNXOXKXPYDYGXQXIXRXS $.
      $}

      ${
        $( ~ eulerpartlemmf can probably be shortened with ` supp ` theorems $)
        $d f k n t x y z $.  $d f o r w A $.  $d w B $.  $d o w F $.  $d r H $.
        $d f n o r w x y J $.  $d o w M $.  $d f N $.  $d g n P $.  $d o R $.
        $d o T $.
        $( Lemma for ~ eulerpart .  (Contributed by Thierry Arnoux,
           30-Aug-2018.)  (Revised by Thierry Arnoux, 1-Sep-2019.) $)
        eulerpartlemmf $p |- ( A e. ( T i^i R ) -> ( bits o. ( A |` J ) ) e. H
          ) $=
          ( cin wcel cbits cres ccom cn0 cpw cfn cmap co ccnv cvv csn cdif cima
          c0 wf wf1o bitsf1o f1of ax-mp cn wss w3a eulerpartlemt0 biimpi simp1d
          nn0ex nnex elmap sylib c2 cv cdvds wbr wn crab ssrab2 eqsstri sylancl
          fssres fco2 sylancr pwex inex1 ssexi sylibr cc0 csupp wceq suppimacnv
          simp2d 0nn0 mpan2 wi frnsuppeq mp2an syl eqtr3d eleq1d imaeq2i eleq1i
          dfn2 bitr4di mpbird resss cnvss imass1 mp2b cnvco imaeq1i imaco eqtri
          ssfi wfun ffun funres 3syl ssv ssdif cz bitsf difpreima wf1 bitsf1 0z
          snssi eqtr3i wa f1imacnv cfv wfn 0bits sneqi difeq2i 3sstr4i sspreima
          ffn fnsnfv eqsstrid syl2anc oveq1 elrab2 wb zex fex resexg 0ex anbi2d
          coexg syl5bb mpbir2and ) DHGULZUMZUNDQUOZUPZPUMZUVGUQURZUSULZQUTVAZUM
          ZUVGVBZVCVGVDZVEZVFZUSUMZUVEQUVJUVGVHZUVLUVEUQUVJUNUQUOZVHZQUQUVFVHZU
          VRUQUVJUVSVIUVTVJUQUVJUVSVKVLUVEVMUQDVHZQVMVNUWAUVEDUQVMUTVAUMZUWBUVE
          UWCDVBZVMVFZUSUMZUWEQVNZUVEUWCUWFUWGVOABCDEFGHIJKLNPQRSTUAUBUCUDUEUFU
          GUHUIUJVPVQZVRUQVMDVSVTWAWBZQWCCWDWEWFWGZCVMWHVMUEUWJCVMWIWJZVMUQQDWL
          WKQUQUVJUNUVFWMWNUVJQUVGUVIUSUQVSWOWPQVMVTUWKWQWAWRUVEUVFVBZVCWSVDZVE
          ZVFZUSUMZUVPUWOVNUVQUVEUWDUWNVFZUSUMZUWOUWQVNZUWPUVEUWRUWFUVEUWCUWFUW
          GUWHXCUVEUWRUWDUQUWMVEZVFZUSUMUWFUVEUWQUXAUSUVEDWSWTVAZUWQUXAUVEWSUQU
          MZUXBUWQXAXDDUVDUQWSXBXEUVEUWBUXBUXAXAZUWIVMVCUMUXCUWBUXDXFVTXDUQDVMV
          CUQWSXGXHXIXJXKUWEUXAUSVMUWTUWDXNXLXMXOXPUVFDVNUWLUWDVNUWSDQXQUVFDXRU
          WLUWDUWNXSXTUWQUWOYEWKUVEUVPUWLUNVBZUVOVFZVFZUWOUVPUWLUXEUPZUVOVFUXGU
          VMUXHUVOUNUVFYAYBUWLUXEUVOYCYDUVEUVFYFZUXFUWNVNUXGUWOVNUVEUWBDYFUXIUW
          IVMUQDYGQDYHYIUXEVCVFZUXEUVNVFZVEZVCUXKVEZUXFUWNUXJVCVNUXLUXMVNUXJYJU
          XJVCUXKYKVLYLUVIUNVHZUNYFUXFUXLXAYMYLUVIUNYGVCUVNUNYNXTUWMUXKVCUXEUNU
          WMVFZVFZUWMUXKYLUVIUNYOUWMYLVNZUXPUWMXAYPWSYLUMZUXQYQWSYLYRVLYLUVIUWM
          UNUUAXHUXOUVNUXEWSUNUUBZVDZUXOUVNUNYLUUCZUXRUXTUXOXAUXNUYAYMYLUVIUNUU
          IVLYQYLWSUNUUJXHUXSVGUUDUUEYSXLYSUUFUUGUXFUWNUVFUUHWKUUKUWOUVPYEUULUV
          HUVLUVGVGWTVAZUSUMZYTZUVEUVLUVQYTZUAWDZVGWTVAZUSUMUYCUAUVGUVKPUYFUVGX
          AUYGUYBUSUYFUVGVGWTUUMXKUGUUNUVEUVGVCUMZUYDUYEUUOUVEUNVCUMZUVFVCUMUYH
          UXNYLVCUMUYIYMUUPYLUVIVCUNUUQXHDQUVDUURUNUVFVCVCUVAWNUYHUYCUVQUVLUYHU
          YBUVPUSUYHVGVCUMUYBUVPXAUUSUVGVCVCVGXBXEXKUUTXIUVBUVC $.

        $d t n w x y A $.  $d n t x y B $.  $d n t x y F $.  $d t w x y J $.
        $d r H $.  $d n t x y M $.  $d n r t w x y R $.  $d n r t w x y T $.
        $( Lemma for ~ eulerpart : value of the function ` G ` evaluated.
           (Contributed by Thierry Arnoux, 10-Aug-2018.) $)
        eulerpartlemgvv $p |- ( ( A e. ( T i^i R ) /\ B e. NN )
          -> ( ( G ` A ) ` B ) = if ( E. t e. NN E. n e. ( bits ` ( A ` t ) )
          ( ( 2 ^ n ) x. t ) = B , 1 , 0 ) ) $=
          ( vw cin wcel cn wa cfv cbits cres ccom cima cind c1 cc0 cif c2 cv co
          cexp cmul wceq wrex adantr cvv wss nnex cn0 wf1o wf f1of simpr wfn wb
          mp2b ffn cfn syl cdvds wbr wn cop copab eleq2d opabbidv a1i weq simpl
          eleq1d fveq2d eqtrdi wex wfun sylib 3syl biimpar fvco syl2an2r adantl
          fvres eqtrd bitrdi df-rex bitrd biimpa adantlr fveq2 ex eqeq2 rexbidv
          vex mpbid simplr syl2anc wi eqeq12d imbi12d oveq1d chvarvv eqeq1d nfv
          oveq2 nfan c0 wral breq2 notbid elrab2 imp eulerpartlemgv crn imassrn
          fveq1d cxp oddpwdc frn sstri indfval cpw eulerpartlemmf eulerpartlem1
          mp3an12i ax-mp ffvelrni elin1d elpwid sylancr ssrab3 fveq1 anbi2d cab
          fvelimab ssexi abid2 fvexi opabex3 fvmptd3 eleq12d cbvopabv cmap ccnv
          anbi12d eulerpartlemt0 simp1bi nn0ex elmap ffun funres fssres sylancl
          cdm fdm pm5.32da elopab ancom anass bitri 2exbii anbi2i exbii exdistr
          3bitr4i bitr4i bitsss sseli anim2i ad2antlr opelxp c2nd c1st oddpwdcv
          op2nd oveq2i op1st oveq12i sylbir eqtr2d reximdvva mpd mpsyl r19.29an
          ssrexv simp-5l simpllr eleqtrrd opabidw syl12anc ad4antr sseldd opeq1
          opeq2 sylan2 fveqeq2 rspcev sylan9bb cbvrexdva2 cbvrexvw wo ffvelrnda
          nfre1 elnn0 n0i 0bits olcnd simp3bi sselda simprbi ralrimiva elpreima
          imbi1d impexp ralbidv2 cbvralvw sylibr r19.21bi sylanbrc adantlrr jca
          nsyl syldan simprr r19.29af reximdv2 sylan2b r19.29vva impbida 3eqtrd
          ifbid ) EJIUOUPZFUQUPZURZFEQUSZUSZFPUTESVAZVBZTUSZVCZUQVDUSUSZUSZFVVH
          UPZVEVFVGZVHNVIZVKVJZDVIZVLVJZFVMZNVVOEUSZUTUSZVNZDUQVNZVEVFVGVUTVVDV
          VJVMVVAVUTFVVCVVIABCEGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUUAUUDVO
          UQVPUPVVHUQVQVVBVVAVVJVVLVMVRVVHPUUBZUQPVVGUUCSVSUUEZUQPVTZVWCUQPWAZV
          WBUQVQABCPSUGUHUUFZVWCUQPWBZVWCUQPUUGWFUUHVUTVVAWCVVHUQVPFUUIUUMVVBVV
          KVWAVEVFVVBVVKUNVIZPUSZFVMZUNVVGVNZVWAVVBPVWCWDZVVGVWCVQZVVKVWKWEVWDV
          WEVWLVWFVWGVWCUQPWGWFVVBVVGVWCVUTVVGVWCUUJZUPVVAVUTVWNWHVVGVUTVVFRUPV
          VGVWNWHUOZUPABCEGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUUKZRVWOVVFTR
          VWOTVTRVWOTWAABCGHKLMNPRSTUAUBUCUDUEUFUGUHUIUJUULRVWOTWBUUNUUOWIUUPVO
          UUQZUNVWCVVGFPUVCUURVVBVWKVWAVVBVWJVWAUNVVGVVBVWHVVGUPZURZVWJURZVVPVW
          IVMZNVVSVNZDUQVNZVWAVWSVXCVWJSUQVQZVWSVXBDSVNZVXCVHCVIZWJWKZWLZCUQSUG
          UUSZVWSVWHVVOVVMWMZVMZNVVSVNZDSVNZVXEVUTVWRVXMVVAVUTVWRVXMVUTVWRVWHVV
          OSUPZVVMVVOVVFUSZUPZURZDNWNZUPZVXMVUTVVGVXRVWHVUTVVGAVIZSUPZBVIZVXTVV
          FUSZUPZURZABWNZVXRVUTUCVVFVYAVYBVXTUCVIZUSZUPZURZABWNVYFRTVPUJVYGVVFV
          MZVYJVYEABVYKVYIVYDVYAVYKVYHVYCVYBVXTVYGVVFUUTWOUVAWPVWPVYFVPUPVUTVYD
          ABSSUQVRVXIUVDVYDBUVBZVPUPVYAVYLVXTVVFBVYCUVEUVFWQUVGWQUVHZVYEVXQABDN
          ADWRZBNWRZURZVYAVXNVYDVXPVYPVXTVVOSVYNVYOWSZWTVYPVYBVVMVYCVXOVYNVYOWC
          VYPVXTVVOVVFVYQXAUVIUVMUVJXBWOVUTVXSVXKVXNVVMVVSUPZURZURZNXCDXCZVXMVU
          TVXSVWHVYSDNWNZUPWUAVUTVXRWUBVWHVUTVXQVYSDNVUTVXNVXPVYRVUTVXNURZVXOVV
          SVVMWUCVXOVVOVVEUSZUTUSZVVSVUTVVEXDZVXNVVOVVEUWBZUPZVXOWUEVMVUTUQVSEW
          AZEXDWUFVUTEVSUQUVKVJUPZWUIVUTWUJEUVLUQVCZWHUPZWUKSVQZABCEGHIJKLMNPRS
          TUAUBUCUDUEUFUGUHUIUJUKULUVNZUVOVSUQEUVPVRUVQXEZUQVSEUVRSEUVSXFZVUTWU
          HVXNVUTSVSVVEWAZWUHVXNWEVUTWUIVXDWUQWUOVXIUQVSSEUVTUWAZWUQWUGSVVOSVSV
          VEUWCZWOWIXGVVOUTVVEXHXIVXNWUEVVSVMVUTVXNWUDVVRUTVVOSEXKXAXJXLWOUWDWP
          WOVYSDNVWHUWEXMWUAVXNVYRVXKURZURZNXCDXCZVXMVYTWVADNVYTVYSVXKURWVAVXKV
          YSUWFVXNVYRVXKUWGUWHUWIVXNVXLURZDXCVXNWUTNXCZURZDXCVXMWVBWVCWVEDVXLWV
          DVXNVXKNVVSXNUWJUWKVXLDSXNVXNWUTDNUWLUWMUWNXMXOXPXQVWSVXKVXADNSVVSVWS
          VYSURZVXKVXAWVFVXKURZVWIVXJPUSZVVPVXKVWIWVHVMWVFVWHVXJPXRXJWVGVXNVVMV
          SUPZURZWVHVVPVMZVYSWVJVWSVXKVYRWVIVXNVVSVSVVMVVRUWOUWPUWQUWRWVJVXJVWC
          UPZWVKVVOVVMSVSUWSWVLWVHVHVXJUWTUSZVKVJZVXJUXAUSZVLVJVVPABCPSVXJUGUHU
          XBWVNVVNWVOVVOVLWVMVVMVHVKVVOVVMDYBZNYBZUXCUXDVVOVVMWVPWVQUXEUXFXBZUX
          GWIUXHXSUXIUXJVXBDSUQUXMUXKVOVWTVXBVVTDUQVWJVXBVVTWEVWSVWJVXAVVQNVVSV
          WIFVVPXTYAXJYAYCUXLVVBVWAURZVHVYBVKVJZVXTVLVJZFVMZVWKABSVXTEUSZUTUSZW
          VSVYAURZVYBWWDUPZURZWWBURZVXTVYBWMZVVGUPZWWIPUSZFVMZVWKWWHVUTVYAVYDWW
          JVUTVVAVWAVYAWWFWWBUXNZWVSVYAWWFWWBUXOZWWHVYBWWDVYCWWEWWFWWBYDWWHVUTV
          YAVYCWWDVMWWMWWNVUTVYAURVYCVXTVVEUSZUTUSZWWDVUTWUFVYAVXTWUGUPZVYCWWPV
          MWUPVUTWWQVYAVUTWUQWWQVYAWEWURWUQWUGSVXTWUSWOWIXGVXTUTVVEXHXIVYAWWPWW
          DVMVUTVYAWWOWWCUTVXTSEXKXAXJXLYEUXPVUTWWJVYEVUTWWJWWIVYFUPVYEVUTVVGVY
          FWWIVYMWOVYEABUXQXMXGUXRZWWHWWBWWIVWCUPZWWLWWGWWBWCWWHVVGVWCWWIVVBVWM
          VWAVYAWWFWWBVWQUXSWWRUXTWWSWWBWWKWWAVMZWWLVVOVYBWMZVWCUPZWXAPUSZWVTVV
          OVLVJZVMZYFZWWSWWTYFDADAWRZWXBWWSWXEWWTWXGWXAWWIVWCVVOVXTVYBUYAZWTWXG
          WXCWWKWXDWWAWXGWXAWWIPWXHXAVVOVXTWVTVLYMYGYHWVLWVKYFWXFNBNBWRZWVLWXBW
          VKWXEWXIVXJWXAVWCVVMVYBVVOUYBZWTWXIWVHWXCVVPWXDWXIVXJWXAPWXJXAWXIVVNW
          VTVVOVLVVMVYBVHVKYMZYIYGYHWVRYJYJWWBWWTWWLWWAFWWKXTXPUYCYEVWJWWLUNWWI
          VVGVWHWWIFPUYDUYEYEVWAVVBWWBBWWDVNZAUQVNZWXLASVNZVVTWXLDAUQWXGVVQWWBN
          BVVSWWDWXGVVQVVNVXTVLVJZFVMWXIWWBWXGVVPWXOFVVOVXTVVNVLYMYKWXIWXOWWAFW
          XIVVNWVTVXTVLWXKYIYKUYFWXGWXIURZVVRWWCUTWXPVVOVXTEWXGWXIWSXAXAUYGUYHV
          UTWXMWXNVVAVUTWXMWXNVUTWXLWXLAUQSVUTVXTUQUPZWXLURZVYAWXLURVUTWXRURZVY
          AWXLWXSWWBVYABWWDVUTWXRBVUTBYLWXQWXLBWXQBYLWWBBWWDUYKYNYNWXSWWFURVYAW
          WBVUTWXQWWFVYAWXLVUTWXQURZWWFURZWXQVHVXTWJWKZWLZVYAVUTWXQWWFYDWXTWWFW
          WCUQUPZWYCWYAWYDWWCVFVMZWYAWWCVSUPZWYDWYEUYIWXTWYFWWFVUTUQVSVXTEWUOUY
          JVOWWCUYLXEWYAWWDYOVMZWYEWWFWYGWLWXTWWDVYBUYMXJWYEWWDVFUTUSYOWWCVFUTX
          RUYNXBVUJUYOWXTWYDWYCVUTWYDWYCYFZAUQVUTVVMEUSZUQUPZVHVVMWJWKZWLZYFZNU
          QYPZWYHAUQYPVUTWYLNWUKYPWYNVUTWYLNWUKVUTVVMWUKUPZURVVMSUPZWYLVUTWUKSV
          VMVUTWUJWULWUMWUNUYPUYQWYPVVMUQUPZWYLVXHWYLCVVMUQSCNWRVXGWYKVXFVVMVHW
          JYQYRUGYSUYRWIUYSVUTWYLWYMNWUKUQVUTWYOWYLYFWYQWYJURZWYLYFWYQWYMYFVUTW
          YOWYRWYLVUTWUIEUQWDWYOWYRWEWUOUQVSEWGUQVVMUQEUYTXFVUAWYQWYJWYLVUBXMVU
          CYCWYHWYMANUQANWRZWYDWYJWYCWYLWYSWWCWYIUQVXTVVMEXRWTWYSWYBWYKVXTVVMVH
          WJYQYRYHVUDVUEVUFYTVUKVXHWYCCVXTUQSCAWRVXGWYBVXFVXTVHWJYQYRUGYSVUGVUH
          VOVUTWXQWXLVULZVUMWYTVUIXSVUNYTXQVUOVUPVUQXOVUSVUR $.
      $}

      ${
        $d t z $.  $d f g k n t A $.  $d f n t J $.  $d f k n t N $.
        $d n t O $.  $d g k P $.  $d f k n t R $.  $d n t T $.
        eulerpartlemgh.1 $e |- U = U_ t e. ( ( `' A " NN ) i^i J )
                                     ( { t } X. ( bits ` ( A ` t ) ) ) $.
        $( Lemma for ~ eulerpart :  Rewriting the ` U ` set for an odd
           partition Note that interestingly, this proof reuses
           ~ marypha2lem2 .  (Contributed by Thierry Arnoux, 10-Aug-2018.) $)
        eulerpartlemgu $p |- ( A e. ( T i^i R ) -> U = { <. t , n >. |
          ( t e. ( ( `' A " NN ) i^i J ) /\ n e. ( ( bits o. A ) ` t ) ) } ) $=
          ( cin wcel ccnv cn cima cv csn cfv cbits cxp ciun ccom copab wfun cdm
          wa wceq cn0 wf cmap co cfn eulerpartlemt0 simp1bi elmapi adantr ffund
          wss syl inss1 cnvimass fssdm sstrid sselda wb fdmd eleq2d mpbird fvco
          syl2anc xpeq2d iuneq2dv eqid marypha2lem2 eqtr3di syl5eq ) EIHUOUPZJD
          EUQURUSZSUOZDUTZVAZXDEVBVCVBZVDZVEZXDXCUPZNUTXDVCEVFZVBZUPVJDNVGZUNXA
          DXCXEXKVDZVEZXHXLXADXCXMXGXAXIVJZXKXFXEXOEVHXDEVIZUPZXKXFVKXOURVLEXAU
          RVLEVMZXIXAEVLURVNVOUPZXRXAXSXBVPUPXBSWBABCEFGHIKLMNPRSTUAUBUCUDUEUFU
          GUHUIUJUKULVQVREVLURVSWCZVTWAXOXQXDURUPZXAXCURXDXAXCXBURXBSWDXAURVLXB
          EEURWEXTWFWGWHXAXQYAWIXIXAXPURXDXAURVLEXTWJWKVTWLXDVCEWMWNWOWPDNXCXNX
          JXNWQWRWSWT $.

        $d t x y z $.  $d f g k m n p t x A $.  $d n p t x F $.
        $d f n t x y J $.  $d f k n t N $.  $d n p t O $.  $d g k t P $.
        $d n p t R $.  $d n p t N $.  $d p U $.  $d p T $.
        $( Lemma for ~ eulerpart :  The ` F ` function is a bijection on the
           ` U ` subsets.  (Contributed by Thierry Arnoux, 15-Aug-2018.) $)
        eulerpartlemgh $p |- ( A e. ( T i^i R ) ->
          ( F |` U ) : U -1-1-onto-> { m e. NN |
          E. t e. NN E. n e. ( bits ` ( A ` t ) ) ( ( 2 ^ n ) x. t ) = m } ) $=
          ( vp cin wcel cima cres wf1o c2 cv cexp cmul wceq cfv cbits wrex crab
          co cn cn0 cxp wf1 wss oddpwdc f1of1 ax-mp ccnv ciun iunss inss2 sseli
          csn snssd bitsss xpss12 sylancl mprgbir eqsstri f1ores mp2an wb simpr
          wa 2nn a1i adantl nnexpcld simplr nnmulcld adantr eqeltrrd rexlimdva2
          rexlimdva pm4.71rd wn c0 rex0 cc0 wo wi wf wfn eulerpartlemt0 simp1bi
          cmap cfn elmapi syl ad2antrr ffn elpreima 3syl mtbid imnan sylibr mpd
          ffvelrnd fveq2d 0bits eqtrdi rexeqdv mtbiri ex con4d impr weq vex jca
          elnn0 sylib orel1 sylc cdif eldif eulerpartlemf sylan2br elind simprr
          anassrs reximdv2 cdvds wbr ssrab2 sstri ssrexv impbid bitr3d 2rexbidv
          mp1i eqeq2 elrab imaiun eqtri eleq2i eliun f1ofn snssi ovelimab oveq1
          imaeq2i sylancr eqeq2d rexbidv rexsn bitrdi df-ov eqeq1i eqcom bitr3i
          opelxpi c2nd c1st oddpwdcv op2nd oveq2i oveq12i eqeq1d bitr3id sylan2
          cop op1st rexbidva bitrd rexbiia 3bitri 3bitr4rd eqrdv f1oeq3 mpbii )
          EIHUQURZJQJUSZQJUTZVAZJVBOVCZVDVKZDVCZVEVKZNVCZVFZOUXIEVGZVHVGZVIDVLV
          IZNVLVJZUXEVAZTVMVNZVLQVOZJUXRVPUXFUXRVLQVAZUXSABCQTUHUIVQZUXRVLQVRVS
          JDEVTVLUSZTUQZUXIWEZUXNVNZWAZUXRUOUYFUXRVPUYEUXRVPZDUYCDUYCUYEUXRWBUX
          IUYCURZUYDTVPZUXNVMVPZUYGUYHUXITUYCTUXIUYBTWCZWDZWFUXMWGZUYDTUXNVMWHZ
          WIWJWKUXRVLJQWLWMUXCUXDUXPVFUXFUXQWNUXCUPUXDUXPUXCUPVCZVLURZUXJUYOVFZ
          OUXNVIZDVLVIZWPZUYRDUYCVIZUYOUXPURZUYOUXDURZUXCUYSUYTVUAUXCUYSUYPUXCU
          YRUYPDVLUXCUXIVLURZWPZUYQUYPOUXNVUEUXGUXNURZWPZUYQWPUXJUYOVLVUGUYQWOV
          UGUXJVLURUYQVUGUXHUXIVUGVBUXGVBVLURVUGWQWRVUFUXGVMURZVUEUXNVMUXGUYMWD
          ZWSWTUXCVUDVUFXAXBXCXDXEXFXGUXCUYSVUAUXCUYRUYRDVLUYCUXCVUDUYRWPZUYHUY
          RWPUXCVUJWPZUYHUYRVUKUYBTUXIUXCVUDUYRUXIUYBURZVUEVULUYRVUEVULXHZUYRXH
          ZVUEVUMWPZUYRUYQOXIVIZUYQOXJZVUOUYQOUXNXIVUOUXNXKVHVGZXIVUOUXMXKVHVUO
          UXMVLURZXHZVUSUXMXKVFZXLZVVAVUOVUDVUTUXCVUDVUMXAZVUOVUDVUSWPZXHVUDVUT
          XMVUOVULVVDVUEVUMWOVUOVLVMEXNZEVLXOVULVVDWNUXCVVEVUDVUMUXCEVMVLXRVKUR
          ZVVEUXCVVFUYBXSURUYBTVPABCEFGHIKLMOQSTUAUBUCUDUEUFUGUHUIUJUKULUMXPXQE
          VMVLXTYAYBZVLVMEYCVLUXIVLEYDYEYFVUDVUSYGYHYIVUOUXMVMURVVBVUOVLVMUXIEV
          VGVVCYJUXMUUBUUCVUSVVAUUDUUEYKYLYMYNYOYPYQYRUXCVUDUYRUXITURZVUEVVHUYR
          VUEVVHXHZVUNVUEVVIWPZUYRVUPVUQVVJUYQOUXNXIVVJUXNVURXIVVJUXMXKVHUXCVUD
          VVIVVAVUDVVIWPUXCUXIVLTUUFURVVAUXIVLTUUGABCDEFGHIKLMOQSTUAUBUCUDUEUFU
          GUHUIUJUKULUMUUHUUIUULYKYLYMYNYOYPYQYRUUJUXCVUDUYRUUKUUAYPUUMUYCVLVPV
          UAUYSXMUXCUYCTVLUYKTVBCVCUUNUUOXHZCVLVJVLUHVVKCVLUUPWKUUQUYRDUYCVLUUR
          UVBUUSUUTVUBUYTWNUXCUXOUYSNUYOVLNUPYSUXLUYQDOVLUXNUXKUYOUXJUVCUVAUVDW
          RVUCVUAWNUXCVUCUYODUYCQUYEUSZWAZURUYOVVLURZDUYCVIVUAUXDVVMUYOUXDQUYFU
          SVVMJUYFQUOUVMDQUYCUYEUVEUVFUVGDUYOUYCVVLUVHVVNUYRDUYCUYHVVHVVNUYRWNU
          YLVVHVVNUYOUXIUXGQVKZVFZOUXNVIZUYRVVHVVNUYOAVCZUXGQVKZVFZOUXNVIZAUYDV
          IZVVQVVHQUXRXOZUYGVVNVWBWNUXTVWCUYAUXRVLQUVIVSVVHUYIUYJUYGUXITUVJUYMU
          YNWIAOUXRUYDUXNUYOQUVKUVNVWAVVQAUXIDYTZADYSZVVTVVPOUXNVWEVVSVVOUYOVVR
          UXIUXGQUVLUVOUVPUVQUVRVVHVVPUYQOUXNVUFVVHVUHVVPUYQWNVUIVVPUXIUXGUWMZQ
          VGZUYOVFZVVHVUHWPZUYQVWHVVOUYOVFVVPVVOVWGUYOUXIUXGQUVSUVTVVOUYOUWAUWB
          VWIVWGUXJUYOVWIVWFUXRURZVWGUXJVFUXIUXGTVMUWCVWJVWGVBVWFUWDVGZVDVKZVWF
          UWEVGZVEVKUXJABCQTVWFUHUIUWFVWLUXHVWMUXIVEVWKUXGVBVDUXIUXGVWDOYTZUWGU
          WHUXIUXGVWDVWNUWNUWIYMYAUWJUWKUWLUWOUWPYAUWQUWRWRUWSUWTUXDUXPJUXEUXAY
          AUXB $.
      $}

      ${
        $d f g k n o x y z $.  $d f o r A $.  $d o F $.  $d o r H $.
        $d f n o r x y J $.  $d o r M $.  $d f g x N $.  $d g n P $.
        $d f o R $.  $d f o T $.
        $( Lemma for ~ eulerpart :  Images under ` G ` have finite support.
           (Contributed by Thierry Arnoux, 29-Aug-2018.) $)
        eulerpartlemgf $p |- ( A e. ( T i^i R ) ->
          ( `' ( G ` A ) " NN ) e. Fin ) $=
          ( cin wcel cfv ccnv c1 csn cima cfn cn cbits cres ccom eulerpartlemgv
          wss cind cnveqd imaeq1d cvv wceq nnex crn imassrn cn0 wf1o wf oddpwdc
          cxp f1of frn mp2b sstri indpi1 mp2an eqtrdi wfun inss2 eulerpartlemmf
          cpw eulerpartlem1 ax-mp ffvelrni syl sselid imafi sylancr eqeltrd cc0
          ffun cdif cpr cmap co eulerpartgbij elin simplbi elmapi 3syl ssv dfn2
          ffund ssdif eqsstrid sspreima sylancl csupp fvex 0nn0 suppimacnv 0ne1
          wne difprsn1 eqcomi ffs2 mp3an12 eqtr3id sseqtrd ssfi syl2anc ) DHGUL
          ZUMZDOUNZUOZUPUQZURZUSUMYMUTURZYOVEYPUSUMYKYONVADQVBVCZRUNZURZUSYKYOY
          SUTVFUNUNZUOZYNURZYSYKYMUUAYNYKYLYTABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUG
          UHUIUJUKVDVGVHUTVIUMZYSUTVEUUBYSVJVKYSNVLZUTNYRVMQVNVRZUTNVOZUUEUTNVP
          ZUUDUTVEABCNQUEUFVQZUUEUTNVSZUUEUTNVTWAWBYSUTVIWCWDWEYKNWFZYRUSUMYSUS
          UMUUFUUGUUJUUHUUIUUEUTNWSWAYKUUEWIZUSULZUSYRUUKUSWGYKYQPUMYRUULUMABCD
          EFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKWHPUULYQRPUULRVOPUULRVPABCEFIJK
          LNPQRSTUAUBUCUDUEUFUGUHWJPUULRVSWKWLWMWNNYRWOWPWQYKYPYMVIWRUQZWTZURZY
          OYKYLWFUTUUNVEZYPUUOVEYKUTWRUPXAZYLYKYLUUQUTXBXCZGULZUMZYLUURUMZUTUUQ
          YLVPZYJUUSDOYJUUSOVOYJUUSOVPABCEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUK
          XDYJUUSOVSWKWLUUTUVAYLGUMYLUURGXEXFYLUUQUTXGXHZXKVNVIVEZUUPVNXIUVDUTV
          NUUMWTUUNXJVNVIUUMXLXMWKUTUUNYLXNXOYKUUOYLWRXPXCZYOYLVIUMWRVNUMZUVEUU
          OVJDOXQXRYLVIVNWRXSWDYKUVBUVEYOVJZUVCUUCUVFUVBUVGVKXRUTUUQYNYLVIVNWRU
          UQUUMWTZYNWRUPYAUVHYNVJXTWRUPYBWKYCYDYEWMYFYGYOYPYHYI $.
      $}

      $( ` S ` recovers the sum of a partition. $)
      eulerpart.s $e |- S = ( f e. ( ( NN0 ^m NN ) i^i R )
        |-> sum_ k e. NN ( ( f ` k ) x. k ) ) $.

      ${
        $d f g k n o t x y z $.  $d f g k m n o r t w x y A $.  $d f k G $.
        $d n o t w x y F $.  $d o r H $.  $d f n o r t w x y J $.
        $d n o r t x y M $.  $d f g k n t x N $.  $d n r t x y O $.
        $d g k n t P $.  $d f k n o r t x y R $.  $d w x y R $.
        $d f k n o r t w x y T $.
        $( Lemma for ~ eulerpart :  The ` G ` function also preserves partition
           sums.  (Contributed by Thierry Arnoux, 10-Sep-2017.) $)
        eulerpartlemgs2 $p |- ( A e. ( T i^i R )
          -> ( S ` ( G ` A ) ) = ( S ` A ) ) $=
          ( vt vw vm cin wcel cfv ccnv cn cima cv cmul co csu c2 cexp wceq wrex
          cbits c1 cc0 cif csn cxp ciun c2nd c1st cdm cnvimass cpr cmap wf wf1o
          wa eulerpartgbij f1of ax-mp ffvelrni sylib simpld elmapi fdm sseqtrid
          elin 3syl sselda eulerpartlemgvv oveq1d syldan sumeq2dv crab 2rexbidv
          weq eqeq2 elrab simprbi iftrued elrabi nncnd mulid2d eqtrd sumeq2i id
          cres cfn cen wss adantl syl adantr ssfi syl2anc cvv sylancl cn0 inss2
          wral simpr sselid cc mulcld wn eqtr3d inss1 vex sseli eulerpartlemsv2
          oveq12d wbr eulerpartlemgf 1nn eqeltrdi wb wfn ffn elpreima mpbir2and
          ssrdv cnvexg imaexg inex1g snex fvex xpex rgenw iunexg eulerpartlemgh
          ex eqid f1oeng enfii fvres snssd bitsss xpss12 ralrimiva iunss sylibr
          oddpwdcv fsumf1o syl5eq ax-1cn 0cn ifcli ssrab2 cdif eldifbd ssdifssd
          a1i wi notbii imnan sylbb2 sylc iffalsed nnsscn sstrdi eulerpartlemt0
          mul02d fsumss simp1bi fssdm sseldd ffvelrnd bitsfi 2cnd simprr expcld
          anassrs fsummulc1 bitsinv1 op2ndd oveq2d op1std imaeq1d eleq1d elab2g
          cnveq mpbid adantrr fsum2d 3eqtr3d sseq1d df-ss sumeq1d 3eqtr2d fveq2
          cop elrab2 cbvsumv eqtr4di 0nn0 1nn0 prssi mp2an fss mpan2 nn0ex nnex
          elmap biimpri anim1i 3imtr4i elind 3eqtr4d ) DIGUQZURZDPUSZUTVAVBZLVC
          ZUYTUSZVUBVDVEZLVFZDUTZVAVBZVUBDUSZVUBVDVEZLVFZUYTHUSZDHUSZUYSVUEVUGU
          NVCZDUSZVUMVDVEZUNVFZVUJUYSVUEVUAVGMVCZVHVEZVUMVDVEZVUBVIZMVUNVKUSZVJ
          UNVAVJZVLVMVNZVUBVDVEZLVFZUNVUGRUQZVUMVOZVVAVPZVQZVGUOVCZVRUSZVHVEZVV
          JVSUSZVDVEZUOVFZVUPUYSVUAVUDVVDLUYSVUBVUAURZVUBVAURZVUDVVDVIUYSVUAVAV
          UBUYSUYTVTZVUAVAUYTVAWAUYSUYTVMVLWBZVAWCVEZURZVAVVSUYTWDZVVRVAVIUYSVW
          AUYTGURZUYSUYTVVTGUQZURZVWAVWCWFZUYRVWDDPUYRVWDPWEUYRVWDPWDABCEFGIJKL
          MNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULWGUYRVWDPWHWIWJZUYTVVTGWPZWKWLZUYTVVS
          VAWMZVAVVSUYTWNWQWOZWRUYSVVQWFVUCVVCVUBVDABCUNDVUBEFGIJKLMNOPQRSTUAUB
          UCUDUEUFUGUHUIUJUKULWSZWTXAXBUYSVUSUPVCZVIZMVVAVJUNVAVJZUPVAXCZVVDLVF
          ZVVOVVEUYSVWQVWPVUBLVFVVOVWPVVDVUBLVUBVWPURZVVDVLVUBVDVEVUBVWRVVCVLVU
          BVDVWRVVBVLVMVWRVVQVVBVWOVVBUPVUBVAUPLXEVWNVUTUNMVAVVAVWMVUBVUSXFXDXG
          ZXHZXIWTVWRVUBVWRVUBVWOUPVUBVAXJZXKXLXMXNUYSVWPVUBVVIVVNLUOOVVIXPZVVN
          VUBVVNVIXOUYSVWPXQURZVVIVWPXRUUAZVVIXQURUYSVUAXQURVWPVUAXSVXCABCDEFGI
          JKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUUBZUYSLVWPVUAUYSVWRVVPUYSVWRWFZVV
          PVVQVUCVAURZVWRVVQUYSVXAXTZVXFVUCVLVAVXFVUCVVCVLUYSVWRVVQVUCVVCVIVXHV
          WLXAVXFVVBVLVMVWRVVBUYSVWTXTXIXMUUCUUDUYSVVPVVQVXGWFUUEZVWRUYSVWBUYTV
          AUUFVXIUYSVWAVWBVWIVWJYAVAVVSUYTUUGVAVUBVAUYTUUHWQYBUUIUUTUUJZVUAVWPY
          CYDUYSVVIYEURZVVIVWPVXBWEVXDUYSVVFYEURZVVHYEURZUNVVFYIVXKUYSVUFYEURVU
          GYEURVXLDUYRUUKVUFVAYEUULVUGRYEUUMWQVXMUNVVFVVGVVAVUMUUNVUNVKUUOUUPUU
          QUNVVFVVHYEYEUURYFABCUNDEFGIVVIJKLUPMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULV
          VIUVAUUSZVVIVWPYEVXBUVBYDVVIVWPUVCYDVXNUYSVVJVVIURZWFZVVJVXBUSZVVJOUS
          ZVVNVXOVXQVXRVIUYSVVJVVIOUVDXTVXPVVJRYGVPZURVXRVVNVIUYSVVIVXSVVJUYSVV
          HVXSXSZUNVVFYIVVIVXSXSUYSVXTUNVVFUYSVUMVVFURZWFZVVGRXSVVAYGXSVXTVYBVU
          MRVYBVVFRVUMVUGRYHUYSVYAYJZYKUVEVUNUVFZVVGRVVAYGUVGYFUVHUNVVFVVHVXSUV
          IUVJWRABCORVVJUFUGUVKYAXMVXFVUBVXHXKUVLUVMUYSVWPVUAVVDLVXJVXFVVCVUBVV
          CYLURVXFVVBVLVMYLUVNUVOUVPUWAVXFVUBVXFVWPVAVUBVWOUPVAUVQUYSVWRYJYKXKY
          MUYSVUBVUAVWPUVRZURZWFZVVDVMVUBVDVEVMVYGVVCVMVUBVDVYGVVBVLVMVYGVWRYNZ
          VVQVVBYNZVYGVUBVUAVWPUYSVYFYJUVSUYSVYEVAVUBUYSVUAVAVWPVWKUVTZWRVYHVVQ
          VVBWFZYNVVQVYIUWBVWRVYKVWSUWCVVQVVBUWDUWEUWFUWGWTVYGVUBUYSVYEYLVUBUYS
          VYEVAYLVYJUWHUWIWRUWKXMVXEUWLYOUYSVVFVUOUNVFZVVOVUPUYSVVFVVAVURMVFZVU
          MVDVEZUNVFVVFVVAVUSMVFZUNVFVYLVVOUYSVVFVYNVYOUNVYBVVAVURVUMMVYBVUNYGU
          RZVVAXQURVYBVAYGVUMDUYSVAYGDWDZVYAUYSDYGVAWCVEZURZVYQUYSVYSVUGXQURZVU
          GRXSZABCDEFGIJKLMOQRSTUAUBUCUDUEUFUGUHUIUJUKUWJUWMZDYGVAWMYAZYBVYBVUG
          VAVUMUYSVUGVAXSVYAUYSVAYGVUGDDVAWAWUCUWNYBVYBVVFVUGVUMVUGRYPZVYCYKUWO
          ZUWPZVUNUWQYAZVYBVUMWUEXKZUYSVYAVUQVVAURZVURYLURUYSVYAWUIWFWFZVGVUQWU
          JUWRWUJVVAYGVUQVYDUYSVYAWUIUWSYKUWTZUXAUXBXBUYSVVFVYNVUOUNVYBVYPVYNVU
          OVIWUFVYPVYMVUNVUMVDMVUNUXCWTYAXBUYSUOVVFVVAVUSVVNUNMVVJVUMVUQUXTVIZV
          VLVURVVMVUMVDWULVVKVUQVGVHVUMVUQVVJUNYQZMYQZUXDUXEVUMVUQVVJWUMWUNUXFY
          TUYSVYTVVFVUGXSVVFXQURUYSDGURVYTUYRGDIGYHYRZJVCZUTZVAVBZXQURVYTJDGUYR
          WUPDVIZWURVUGXQWUSWUQVUFVAWUPDUXJUXGZUXHUJUXIUXKWUDVUGVVFYCYFWUGWUJVU
          RVUMWUKUYSVYAVUMYLURWUIWUHUXLYMUXMUXNUYSVVFVUGVUOUNUYSWUAVVFVUGVIUYSD
          IURZWUAUYRIDIGYPYRWVAVYSWUAWURRXSWUAJDVYRIWUSWURVUGRWUTUXOUKUYAXHYAVU
          GRUXPWKUXQYOUXRVUGVUIVUOLUNLUNXEZVUHVUNVUBVUMVDVUBVUMDUXSWVBXOYTUYBUY
          CUYSVWEUYTVYRGUQZURZVUKVUEVIVWGVWFUYTVYRURZVWCWFVWEWVDVWAWVEVWCVWAVWB
          VAYGUYTWDZWVEVWJVWBVVSYGXSZWVFVMYGURVLYGURWVGUYDUYEVMVLYGUYFUYGVAVVSY
          GUYTUYHUYIWVEWVFYGVAUYTUYJUYKUYLUYMWQUYNVWHUYTVYRGWPUYOUYTGHJLUJUMYSW
          QUYSDWVCURVULVUJVIUYSVYRGDWUBWUOUYPDGHJLUJUMYSYAUYQ $.
      $}

      $d d f g k n o q r x y z $.  $d d D $.  $d d k n o q x y F $.
      $d f k o q G $.  $d o q r H $.  $d d f k n o q r x y J $.
      $d d k n o q r x y M $.  $d d f g k n o q x N $.  $d n r x y O $.
      $d g k n q P $.  $d d f k n o q r x y R $.  $d q S $.
      $d d f k n o q r x y T $.
      $( Lemma for ~ eulerpart .  (Contributed by Thierry Arnoux,
         30-Aug-2018.) $)
      eulerpartlemn $p |- ( G |` O ) : O -1-1-onto-> D $=
        ( vq vd cres wf1o wtru cn cv cfv cmul co csu wceq cin crab cc0 cpr cmap
        c1 wi weq wcel wa simpl fveq1d oveq1d sumeq2dv eqeq1d cbvrabv a1i eqidd
        reseq2d f1oeq123d imbi2d cbits ccom cima eulerpartgbij w3a fveq2 reseq1
        cind coeq2d fveq2d imaeq2d eqeq12d eulerpartlemgv 3ad2ant2 simp3 eqtr4d
        vtoclga sumeq2sdv eulerpartlemgs2 cn0 wss cvv nn0ex 0nn0 mp2an ax-mp wf
        eulerpartlemsv1 syl ccnv cfn eulerpartlemt0 c2 cdvds wral cnveq imaeq1d
        wbr wn nfrab1 df-3an anbi1i eulerpartleme an32 3bitr4i nnex elmap dfss3
        3bitri pm5.32i bitr4i rabid eqri df-f 3bitr4ri 1nn0 prssi f1of ffvelrni
        mapss ssrin sselid simp1bi inss2 sseli 3eqtr3d eqtr3d f1oresrab chvarvv
        elind raleqdv 3anbi1i bitri wb notbid elrab2 ralbii r19.26 cdm cnvimass
        breq2 fdm sseqtrid biantrurd bitr4id adantr 3eqtri reseq2i nfcv wfn crn
        sylib fnima sseq1d anbi2d sstr mpan2 pm4.71ri bitr4di anass prex eleq1d
        vex elab2 anbi12i elin eulerpartlemd mpbird mptru ) TDOTUOZUPZUQUWPURKU
        SZUMUSZUTZUWQVAVBZKVCZSVDZUMHFVEZVFZURUWQUNUSZUTZUWQVAVBZKVCZSVDZUNVGVJ
        VHZURVIVBZFVEZVFZOUXDUOZUPZUQURUWQMUSZUTZUWQVAVBZKVCZSVDZMUXCVFZUXMOUYA
        UOZUPZVKUQUXOVKMUMMUMVLZUYCUXOUQUYDUYAUXDUXMUXMUYBUXNUYDUYAUXDOUYAUXDVD
        UYDUXTUXBMUMUXCUYDUXSUXASUYDURUXRUWTKUYDUWQURVMZVNZUXQUWSUWQVAUYFUWQUXP
        UWRUYDUYEVOVPVQVRVSVTWAZWCUYGUYDUXMWBWDWEUQUXTUXIMUNUXCUXLNWFUXPQUOZWGZ
        RUTZWHZURWMUTZUTZOUKUXCUXLOUPZUQABCDEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJ
        UKWIZWAUQUXPUXCVMZUXEUYMVDZWJZUXHUXSSUYRURUWQUXPOUTZUTZUWQVAVBZKVCZUXHU
        XSUYRURVUAUXGKUYRUYTUXFUWQVAUYRUWQUYSUXEUYRUYSUYMUXEUYPUQUYSUYMVDZUYQUW
        ROUTZNWFUWRQUOZWGZRUTZWHZUYLUTZVDVUCUMUXPUXCUMMVLZVUDUYSVUIUYMUWRUXPOWK
        ZVUJVUHUYKUYLVUJVUGUYJNVUJVUFUYIRVUJVUEUYHWFUWRUXPQWLWNWOWPWOWQABCUWRDE
        FHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKWRXBWSUQUYPUYQWTXAVPVQXCUYPUQVUBUXS
        VDUYQUYPUYSGUTZUXPGUTZVUBUXSVUDGUTZUWRGUTZVDVULVUMVDUMUXPUXCVUJVUNVULVU
        OVUMVUJVUDUYSGVUKWOUWRUXPGWKWQABCUWRDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUI
        UJUKULXDXBUYPUYSXEURVIVBZFVEZVMVULVUBVDUYPUXLVUQUYSUXKVUPXFZUXLVUQXFXEX
        GVMUXJXEXFZVURXHVGXEVMVJXEVMVUSXIUUAVGVJXEUUBXJZUXJXEURXGUUEXJUXKVUPFUU
        FXKUXCUXLUXPOUYNUXCUXLOXLUYOUXCUXLOUUCXKUUDUUGUYSFGIKUIULXMXNUYPUXPVUQV
        MVUMUXSVDUYPVUPFUXPUYPUXPVUPVMUXPXOURWHZXPVMVVAQXFABCUXPDEFHIJKLNPQRSTU
        AUBUCUDUEUFUGUHUIUJXQUUHUXCFUXPHFUUIUUJUUOUXPFGIKUIULXMXNUUKWSUULVSUUMU
        UNUQTUXDDUXMUWOUXNUWOUXNVDUQTUXDOTXRLUSZXSYCZYDZLJUSZXOZURWHZXTZJEVFVVD
        LUWRXOZURWHZXTZUMEVFZUXDUCVVHVVKJUMEJUMVLZVVDLVVGVVJVVMVVFVVIURVVEUWRYA
        YBUUPVTUMVVLUXDVVKUMEYEUXBUMUXCYEUWREVMZVVKVNZUWRUXCVMZUXBVNZUWRVVLVMUW
        RUXDVMVVOURXEUWRXLZVVJXPVMZVNZVVKVNZUXBVNZVVQVVRVVSUXBWJZVVKVNVVTUXBVNZ
        VVKVNVVOVWBVWCVWDVVKVVRVVSUXBYFYGVVNVWCVVKUWREIKSUBYHYGVVTVVKUXBYIYJVVP
        VWAUXBVVPVVRVVSVVJQXFZWJZVVTVWEVNVWAVVPUWRVUPVMZVVSVWEWJVWFABCUWRDEFHIJ
        KLNPQRSTUAUBUCUDUEUFUGUHUIUJXQVWGVVRVVSVWEXEURUWRXHYKYLUUQUURVVRVVSVWEY
        FVVTVWEVVKVVRVWEVVKUUSVVSVVRVWEVVBURVMZLVVJXTZVVKVNZVVKVWEVVBQVMZLVVJXT
        VWHVVDVNZLVVJXTVWJLVVJQYMVWKVWLLVVJXRCUSZXSYCZYDVVDCVVBURQCLVLVWNVVCVWM
        VVBXRXSUVFUUTUEUVAUVBVWHVVDLVVJUVCYNVVRVWIVVKVVRVVJURXFVWIVVRUWRUVDVVJU
        RUWRURUVEURXEUWRUVGUVHLVVJURYMUVQUVIUVJUVKYOYNYGYPVVKUMEYQUXBUMUXCYQYJY
        RUVLZUVMWATUXDVDUQVWOWADUXMVDUQUNDUXMUNDUVNUXIUNUXLYEUXEUXLVMZUXIVNZUXE
        EVMZUXEURWHZUXJXFZVNZUXEUXMVMUXEDVMVWQURXEUXEXLZUXEXOZURWHZXPVMZVNZVWTV
        NZUXIVNZVXAVWPVXGUXIUXEUXKVMZUXEFVMZVNVXBVWTVNZVXEVNVWPVXGVXIVXKVXJVXEU
        RUXJUXEXLZUXEURUVOZUXEUVPZXEXFZVNZVWTVNZVXIVXKVXMVXOVWTVNZVNVXMVXNUXJXF
        ZVNVXQVXLVXMVXRVXSVXMVXRVXOVXSVNVXSVXMVWTVXSVXOVXMVWSVXNUXJURUXEUVRUVSU
        VTVXSVXOVXSVUSVXOVUTVXNUXJXEUWAUWBUWCUWDYOVXMVXOVWTUWEURUXJUXEYSYTUXJUR
        UXEVGVJUWFYKYLVXBVXPVWTURXEUXEYSYGYJIUSZXOZURWHZXPVMVXEIUXEFUNUWHIUNVLZ
        VYBVXDXPVYCVYAVXCURVXTUXEYAYBUWGUIUWIUWJUXEUXKFUWKVXBVXEVWTYIYJYGVXAVXB
        VXEUXIWJZVWTVNVXFUXIVNZVWTVNVXHVWRVYDVWTUXEEIKSUBYHYGVYDVYEVWTVXBVXEUXI
        YFYGVXFUXIVWTYIYNYPUXIUNUXLYQUXEDEIJKLSTUBUCUDUWLYTYRWAWDUWMUWN $.
    $}

    $d a b f g h k n m o q r s t x y z $.  $d g D $.  $d f g k n q x N $.
    $d g n r x y O $.  $d g k n P $.
    $( Euler's theorem on partitions, also known as a special case of
       Glaisher's theorem.  Let ` P ` be the set of all partitions of ` N ` ,
       represented as multisets of positive integers, which is to say functions
       from ` NN ` to ` NN0 ` where the value of the function represents the
       number of repetitions of an individual element, and the sum of all the
       elements with repetition equals ` N ` .  Then the set ` O ` of all
       partitions that only consist of odd numbers and the set ` D ` of all
       partitions which have no repeated elements have the same cardinality.
       This is Metamath 100 proof #45.  (Contributed by Thierry Arnoux,
       14-Aug-2018.)  (Revised by Thierry Arnoux, 1-Sep-2019.) $)
    eulerpart $p |- ( # ` O ) = ( # ` D ) $=
      ( vr va vb cv co cfn wcel cfv wceq vo vh vz vx vy vq vm vt vs cn c2 cdvds
      ccnv cima wbr wn crab wss cn0 cmap cab cin cexp cmul cmpo cbits cres ccom
      c0 csupp cpw copab cmpt cind wf1o wex chash csu eqid oveq2 oveq1d cbvmpov
      wa oveq1 eleq1d cbvrabv eqcomi fveq1 eleq2d anbi2d opabbidv cbvmptv simpl
      simpr fveq2d eleq12d anbi12d cbvopabv mpteq12i eqtri cnveq imaeq1d cbvabv
      sseq1d reseq1 coeq2d imaeq2d imaeq1i 3eqtr2i fveq1i imaeq2i eulerpartlemn
      fveq2i mpteq2i ovex rabex inex1 mptex resex f1oeq1 spcev cen bren hasheni
      sylbir mp2b ) HAUAUBOZUMZUJUNZUKUCOULUOUPUCUJUQZURZUBUSUJUTPZUQZYIQRZUBVA
      ZVBZUDUEYJUSUKUEOZVCPZUDOZVDPZVEZVFUAOZYJVGZVHZLLOZVIVJPZQRZLUSVKQVBYJUTP
      ZUQZYSYJRZYQYSUUESZRZWCZUDUEVLZVMZSZUNZUJVNSZSZVMZHVGZVOZHADOZVOZDVPZHVQS
      AVQSTZUDUEUCABYOCYLYOVBUJEOZCOZSUVGVDPEVRVMZYMCDEFUFMNYJUSUKNOZVCPZMOZVDP
      ZVEZUUTUGOZVIVJPZQRZUGUUHUQZYJUHUIOZVIVJPZQRZUIUUHUQZUVLYJRZUVJUVLUHOZSZR
      ZWCZMNVLZVMZGHLIJKYJVSMNUDUEYJUSUVMYTUVKYSVDPUVLYSUVKVDVTUVJYQTZUVKYRYSVD
      UVJYQUKVCVTWAWBZUUIUVRUUGUVQLUGUUHUUEUVOTUUFUVPQUUEUVOVIVJWDWEWFZWGUWILUW
      BUWCUVJUVLUUESZRZWCZMNVLZVMZLUVRUUNVMZUHLUWBUWHUWPUWDUUETZUWGUWOMNUWSUWFU
      WNUWCUWSUWEUWMUVJUVLUWDUUEWHWIWJWKWLLUWBUWPUVRUUNUVRUWBUVQUWAUGUIUUHUVOUV
      STUVPUVTQUVOUVSVIVJWDWEWFWGUWOUUMMNUDUEUVLYSTZUWJWCZUWCUUJUWNUULUXAUVLYSY
      JUWTUWJWMZWEUXAUVJYQUWMUUKUWTUWJWNUXAUVLYSUUEUXBWOWPWQWRWSZWTYNUVHUMZUJUN
      ZQRUBCYGUVHTZYIUXEQUXFYHUXDUJYGUVHXAXBZWEXCYKUXEYJURUBCYLUXFYIUXEYJUXGXDW
      FUUTUFYPUUAVFUFOZYJVGZVHZUUOSZUNZUURSZVMUFYPUVNUXJUWISZUNZUURSZVMUAUFYPUU
      SUXMUUBUXHTZUUQUXLUURUXQUUPUXKUUAUXQUUDUXJUUOUXQUUCUXIVFUUBUXHYJXEXFWOXGW
      OWLUFYPUXMUXPUXLUXOUURUXLUVNUXKUNUXOUUAUVNUXKUVNUUAUWKWGXHUXKUXNUVNUXJUUO
      UWIUUOUWRUWQUWILUUIUUNUVRUUNUWLUUNVSWSUXCLUHUWBUWPUWHUUEUWDTZUWOUWGMNUXRU
      WNUWFUWCUXRUWMUWEUVJUVLUUEUWDWHWIWJWKWLXIXJXKWTXMXNWTUVIVSXLUVDUVBDUVAUUT
      HUAYPUUSYMYOYKUBYLUSUJUTXOXPXQXRXSHAUVCUVAXTYAUVEHAYBUOUVFHADYCHAYDYEYF
      $.
  $}

$( End $[ set-mbox-ta-eulerpart.mm $] $)


$( Begin $[ set-mbox-ta-fibonacci.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Sequences defined by strong recursion
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c seqstr $.

  $( Sequences defined by strong recursion. $)
  csseq $a class seqstr $.

  ${
    $d m f x y $.
    $( Define a builder for sequences by strong recursion, i.e., by computing
       the value of the n-th element of the sequence from all preceding
       elements and not just the previous one.  (Contributed by Thierry Arnoux,
       21-Apr-2019.) $)
    df-sseq $a |- seqstr = ( m e. _V , f e. _V |-> ( m u. ( lastS o.
      seq ( # ` m ) ( ( x e. _V , y e. _V |-> ( x ++ <" ( f ` x ) "> ) ) ,
      ( NN0 X. { ( m ++ <" ( f ` m ) "> ) } ) ) ) ) ) $.
  $}

  ${
    iwrdsplit.s $e |- ( ph -> S e. _V ) $.
    iwrdsplit.f $e |- ( ph -> F : NN0 --> S ) $.
    iwrdsplit.n $e |- ( ph -> N e. NN0 ) $.
    $( Lemma for ~ sseqp1 .  (Contributed by Thierry Arnoux, 25-Apr-2019.) $)
    subiwrd $p |- ( ph -> ( F |` ( 0 ..^ N ) ) e. Word S ) $=
      ( cc0 cfzo co cres wf cword wcel cn0 wss fzo0ssnn0 fssres sylancl iswrdi
      syl ) AHDIJZBCUBKZLZUCBMNAOBCLUBOPUDFDQOBUBCRSBDUCTUA $.

    $( Length of a subword of an infinite word.  (Contributed by Thierry
       Arnoux, 25-Apr-2019.) $)
    subiwrdlen $p |- ( ph -> ( # ` ( F |` ( 0 ..^ N ) ) ) = N ) $=
      ( cc0 cfzo co cres chash cfv wfn wceq cn0 wss ffnd fzo0ssnn0 syl hashfzo0
      fnssres sylancl hashfn wcel eqtrd ) ACHDIJZKZLMZUGLMZDAUHUGNZUIUJOACPNUGP
      QUKAPBCFRDSPUGCUBUCUGUHUDTADPUEUJDOGDUATUF $.

    $( Lemma for ~ sseqp1 .  (Contributed by Thierry Arnoux, 25-Apr-2019.)
       (Proof shortened by AV, 14-Oct-2022.) $)
    iwrdsplit $p |- ( ph -> ( F |` ( 0 ..^ ( N + 1 ) ) )
      = ( ( F |` ( 0 ..^ N ) ) ++ <" ( F ` N ) "> ) ) $=
      ( cc0 c1 co cfzo cres cfv cpfx cs1 cconcat wcel wceq cle cfz cmin clsw c0
      caddc chash cword wne cn0 1nn0 a1i nn0addcld subiwrd wbr cr 1re nn0addge2
      sylancr subiwrdlen breqtrrd wb wrdlenge1n0 mpbird pfxlswccat syl2anc 1cnd
      syl nn0cnd mvrraddd oveq2d nn0fz0 sylib wa elfz0add imp syl21anc eleqtrrd
      pfxres wss fzossfzop1 resabs1 3syl 3eqtrd lsw fveq2d fzonn0p1 fvres s1eqd
      oveq12d eqtr3d ) ACHDIUDJZKJZLZWLUEMZIUAJZNJZWLUBMZOZPJZWLCHDKJZLZDCMZOZP
      JAWLBUFZQZWLUCUGZWRWLRABCWJEFADIGIUHQZAUIUJZUKZULZAXEIWMSUMZAIWJWMSAIUNQD
      UHQZIWJSUMUOGIDUPUQABCWJEFXHURZUSAXDXEXJUTXIBWLVAVFVBBWLVCVDAWOWTWQXBPAWO
      WLDNJZWLWSLZWTAWNDWLNAWMDIADGVGAVEXLVHZVIAXDDHWMTJZQXMXNRXIADHWJTJZXPAXKX
      FDHDTJQZDXQQZGXGAXKXRGDVJVKXKXFVLXRXSDIDVMVNVOAWMWJHTXLVIVPBWLDVQVDAXKWSW
      KVRXNWTRGDVSCWSWKVTWAWBAWPXAAWPWNWLMZDWLMZXAAXDWPXTRXIWLXCWCVFAWNDWLXOWDA
      XKDWKQYAXARGDWEDWKCWFWAWBWGWHWI $.
  $}

  ${
    $d f m x y F $.  $d f m x y M $.  $d f m x y ph $.
    sseqval.1 $e |- ( ph -> S e. _V ) $.
    sseqval.2 $e |- ( ph -> M e. Word S ) $.
    sseqval.3 $e |- W = ( Word S i^i ( `' # " ( ZZ>= ` ( # ` M ) ) ) ) $.
    sseqval.4 $e |- ( ph -> F : W --> S ) $.
    $( Value of the strong sequence builder function.  The set ` W ` represents
       here the words of length greater than or equal to the lenght of the
       initial sequence ` M ` .  (Contributed by Thierry Arnoux,
       21-Apr-2019.) $)
    sseqval $p |- ( ph -> ( M seqstr F ) = ( M u. ( lastS o. seq ( # ` M ) ( (
      x e. _V , y e. _V |-> ( x ++ <" ( F ` x ) "> ) ) ,
      ( NN0 X. { ( M ++ <" ( F ` M ) "> ) } ) ) ) ) ) $=
      ( vm vf cvv clsw cfv cconcat co chash wcel cs1 cmpo cn0 csn cxp cseq ccom
      cv cun csseq df-sseq a1i wa simprl fveq2d w3a simp1rr fveq1d s1eqd oveq2d
      wceq mpoeq3dva simprr fveq12d oveq12d sneqd xpeq2d seqeq123d coeq2d cword
      uneq12d elex syl ccnv cuz cima wrdexg inex1g 3syl eqeltrid fexd wfun cmin
      cin c1 df-lsw funmpt2 seqex cofunexg syl2anc unexg ovmpod ) ALMFENNLUHZOB
      CNNBUHZWNMUHZPZUAZQRZUBZUCWMWMWOPZUAZQRZUDZUEZWMSPZUFZUGZUIZFOBCNNWNWNEPZ
      UAZQRZUBZUCFFEPZUAZQRZUDZUEZFSPZUFZUGZUIZUJNUJLMNNXHUBVAABCMLUKULAWMFVAZW
      OEVAZUMUMZWMFXGXTAYBYCUNZYDXFXSOYDWSXLXDXQXEXRYDWMFSYEUOYDBCNNWRXKYDWNNTZ
      CUHNTZUPZWQXJWNQYHWPXIYHWNWOEYBYCAYFYGUQURUSUTVBYDXCXPUCYDXBXOYDWMFXAXNQY
      EYDWTXMYDWMFWOEAYBYCVCYEVDUSVEVFVGVHVIVKAFDVJZTFNTZIFYIVLVMZAGDNEKAGYISVN
      XRVOPVPZWDZNJADNTYINTYMNTHDNVQYIYLNVRVSVTWAAYJXTNTZYANTYKAOWBZXSNTZYNYOAB
      NWNSPWEWCRWNPOBWFWGULYPAXLXQXRWHULOXSNWIWJFXTNNWKWJWL $.

    ${
      sseqfv1.4 $e |- ( ph -> N e. ( 0 ..^ ( # ` M ) ) ) $.
      $( Value of the strong sequence builder function at one of its initial
         values.  (Contributed by Thierry Arnoux, 21-Apr-2019.) $)
      sseqfv1 $p |- ( ph -> ( ( M seqstr F ) ` N ) = ( M ` N ) ) $=
        ( vx co cfv clsw cvv wfn wcel syl a1i vy csseq cs1 cconcat cmpo cn0 csn
        cv cxp chash cseq ccom cun sseqval fveq1d cc0 cfzo cuz wceq cword wrdfn
        cin c0 crn wss c1 cmin fvex df-lsw fnmpti cz lencl nn0zd seqfn ssv fnco
        syl3anc fzouzdisj fvun1 syl112anc eqtrd ) AEDCUBMZNEDOLUAPPLUHZWCCNUCUD
        MUEZUFDDCNUCUDMUGUIZDUJNZUKZULZUMZNZEDNZAEWBWIALUABCDFGHIJUNUOADUPWFUQM
        ZQZWHWFURNZQZWLWNVBVCUSZEWLRWJWKUSADBUTRZWMHBDVASAOPQZWGWNQZWGVDZPVEZWO
        WRALPWCUJNVFVGMZWCNOXBWCVHLVIVJTAWFVKRWSAWFAWQWFUFRHBDVLSVMWDWEWFVNSXAA
        WTVOTPWNOWGVPVQWPAUPWFVRTKWLWNDWHEVSVTWA $.
    $}

    $( A strong recursive sequence is a function over the nonnegative integers.
       (Contributed by Thierry Arnoux, 23-Apr-2019.) $)
    sseqfn $p |- ( ph -> ( M seqstr F ) Fn NN0 ) $=
      ( vx vy co cn0 wfn clsw cvv cfv cc0 wcel a1i csseq cv cs1 cconcat csn cxp
      cmpo chash cseq ccom cun cfzo cuz cword wrdfn syl crn c1 cmin fvex df-lsw
      wss fnmpti cz lencl nn0zd seqfn 3syl ssv fnco syl3anc cin fzouzdisj fnund
      c0 wceq sseqval nn0uz elnn0uz fzouzsplit sylbi syl5eq fneq12d mpbird ) AD
      CUALZMNDOJKPPJUBZWFCQUCUDLUGZMDDCQUCUDLUEUFZDUHQZUIZUJZUKZRWIULLZWIUMQZUK
      ZNAWMWNDWKADBUNSZDWMNGBDUOUPAOPNZWJWNNZWJUQZPVBZWKWNNWQAJPWFUHQURUSLZWFQO
      XAWFUTJVAVCTAWPWIVDSWRGWPWIBDVEZVFWGWHWIVGVHWTAWSVITPWNOWJVJVKWMWNVLVOVPA
      RWIVMTVNAMWOWEWLAJKBCDEFGHIVQAMRUMQZWOVRAWPWIMSZXCWOVPZGXBXDWIXCSXEWIVSRW
      IVTWAVHWBWCWD $.

    $( Lemma for ~ sseqf amd ~ sseqp1 .  (Contributed by Thierry Arnoux,
       25-Apr-2019.) $)
    sseqmw $p |- ( ph -> M e. W ) $=
      ( cword chash ccnv cfv cuz cima cin cvv wcel elex syl cz lencl nn0zd uzid
      3syl cn0 cpnf csn cun wf wfn wa wb hashf ffn elpreima mp2b sylanbrc elind
      eleqtrrdi ) ADBJZKLDKMZNMZOZPEAVAVDDGADQRZVBVCRZDVDRZADVARZVEGDVASTAVHVBU
      ARVFGVHVBBDUBUCVBUDUEQUFUGUHUIZKUJKQUKVGVEVFULUMUNQVIKUOQDVCKUPUQURUSHUT
      $.

    $d a b x y F $.  $d a b x y M $.  $d w S $.  $d a b w x y W $.
    $d a b w x y ph $.
    $( A strong recursive sequence is a function over the nonnegative integers.
       (Contributed by Thierry Arnoux, 23-Apr-2019.)  (Proof shortened by AV,
       7-Mar-2022.) $)
    sseqf $p |- ( ph -> ( M seqstr F ) : NN0 --> S ) $=
      ( cn0 co wf chash cfv clsw cvv c0 wceq wcel wa vx vy vw va csseq cc0 cfzo
      vb cuz cun cv cs1 cconcat cmpo csn cxp cseq ccom cin cword wrdf cdif cres
      syl cdm wral vex a1i cmin fvex df-lsw dmmpti eleqtrrdi eldifsn ccnv inss1
      c1 wne cima eqsstri sseli lswcl sylan sylbi adantl jca ralrimiva wfn wfun
      wb fnmpti fnfun ffvresb mp2b sylibr eqid cz lencl nn0zd ovex simpr adantr
      elnn0uz sylib uztrn syl2anc nn0uz fvconst2g sylancr sseqmw ffvelrnd s1cld
      ccatcl caddc ccatws1len uzid peano2uz 3syl eqeltrd cpnf elpreima sylanbrc
      hashf ffn elind ccatws1n0 eqidd simprl fveq2d s1eqd oveq12d ovmpod eldifi
      ad2antrl sselid eleqtrdi elin2d simpl2im seqf fco2 fzouzdisj fun syl21anc
      sseqval fzouzsplit syl5eq unidm eqcomd feq123d mpbird ) AJBDCUEKZLUFDMNZU
      GKZUULUINZUJZBBUJZDOUAUBPPUAUKZUUQCNZULZUMKZUNZJDDCNZULZUMKZUOUPZUULUQZUR
      ZUJZLZAUUMBDLZUUNBUVGLZUUMUUNUSQRZUVIADBUTZSZUVJGBDVAVDAEQUOZVBZBOUVPVCLZ
      UUNUVPUVFLUVKAUCUKZOVEZSZUVRONBSZTZUCUVPVFZUVQAUWBUCUVPAUVRUVPSZTZUVTUWAU
      WEUVRPUVSUVRPSUWEUCVGVHUAPUUQMNVQVIKZUUQNZOUWFUUQVJZUAVKZVLVMUWDUWAAUWDUV
      RESZUVRQVRZTUWAUVREQVNUWJUVRUVMSUWKUWAEUVMUVREUVMMVOUUNVSZUSZUVMHUVMUWLVP
      VTZWABUVRWBWCWDWEWFWGOPWHOWIUVQUWCWJUAPUWGOUWHUWIWKPOWLUCUVPBOWMWNWOAUDUH
      UVAUVPUVEUULUUNUUNWPAUVNUULWQSZGUVNUULBDWRZWSVDZAUDUKZUUNSZTZUWRUVENZUVDU
      VPUWTUVDPSZUWRJSUXAUVDRDUVCUMWTZUWTUWRUFUINZJUWTUWSUULUXDSZUWRUXDSAUWSXAU
      WTUULJSZUXEAUXFUWSAUVNUXFGUWPVDXBUULXCZXDUULUWRUFXEXFXGVMJUVDUWRPXHXIUWTU
      VDESZUVDQVRZUVDUVPSAUXHUWSAUVDUWMEAUVMUWLUVDAUVNUVCUVMSUVDUVMSGAUVBBAEBDC
      IABCDEFGHIXJXKXLBDUVCXMXFAUXBUVDMNZUUNSZUVDUWLSZUXBAUXCVHAUXJUULVQXNKZUUN
      AUVNUXJUXMRGBDUVBXOVDAUWOUULUUNSUXMUUNSUWQUULXPUULUULXQXRXSPJXTUOUJZMLZMP
      WHZUXLUXBUXKTWJYCPUXNMYDZPUVDUUNMYAWNYBYEHVMXBAUXIUWSAUVNUXIGBDUVBYFVDXBU
      VDEQVNYBXSAUWRUVPSZUHUKZUVPSZTZTZUWRUXSUVAKUWRUWRCNZULZUMKZUVPUYBUAUBUWRU
      XSPPUUTUYEUVAPUYBUVAYGUYBUUQUWRRZUBUKUXSRZTTZUUQUWRUUSUYDUMUYBUYFUYGYHZUY
      HUURUYCUYHUUQUWRCUYIYIYJYKUWRPSZUYBUDVGVHUXSPSUYBUHVGVHUYEPSZUYBUWRUYDUMW
      TVHZYLUYBUYEESUYEQVRZUYEUVPSUYBUYEUWMEUYBUVMUWLUYEUYBUWRUVMSZUYDUVMSUYEUV
      MSUYBEUVMUWRUWNUXRUWRESAUXTUWREUVOYMZYNZYOUYBUYCBUYBEBUWRCAEBCLUYAIXBUYPX
      KXLBUWRUYDXMXFUYBUYKUYEMNZUUNSZUYEUWLSZUYLUYBUYQUWRMNZVQXNKZUUNUYBUYNUYQV
      UARUXRUYNAUXTUXREUVMUWRUWNUYOYOYNZBUWRUYCXOVDUYBUYJUYTUUNSZVUAUUNSUYBUWRU
      WLSZUYJVUCTZUYBUVMUWLUWRUYBUWREUWMUYPHYPYQUXOUXPVUDVUEWJYCUXQPUWRUUNMYAWN
      XDUULUYTXQYRXSUXOUXPUYSUYKUYRTWJYCUXQPUYEUUNMYAWNYBYEHVMUYBUYNUYMVUBBUWRU
      YCYFVDUYEEQVNYBXSYSUUNUVPBOUVFYTXFUVLAUFUULUUAVHUUMUUNBBDUVGUUBUUCAJUUOBU
      UPUUKUVHAUAUBBCDEFGHIUUDAJUXDUUOXGAUVNUXFUXDUUORZGUWPUXFUXEVUFUXGUFUULUUE
      WDXRUUFAUUPBUUPBRABUUGVHUUHUUIUUJ $.

    $d i F $.  $d i M $.  $d i S $.  $d i ph $.
    $( The first elements in the strong recursive sequence are the sequence
       initializer.  (Contributed by Thierry Arnoux, 23-Apr-2019.) $)
    sseqfres $p |- ( ph -> ( ( M seqstr F ) |` ( 0 ..^ ( # ` M ) ) ) = M ) $=
      ( vi csseq co cc0 chash cfv wceq wcel adantr cn0 wfn cfzo cres cv wral wa
      cvv cword wf simpr sseqfv1 ralrimiva wss wb sseqfn syl fzo0ssnn0 fvreseq1
      wrdfn a1i syl21anc mpbird ) ADCKLZMDNOZUALZUBDPZJUCZVBOVFDOPZJVDUDZAVGJVD
      AVFVDQZUEBCDVFEABUFQVIFRADBUGQZVIGRHAEBCUHVIIRAVIUIUJUKAVBSTDVDTZVDSULZVE
      VHUMABCDEFGHIUNAVJVKGBDURUOVLAVCUPUSJSVDVBDUQUTVA $.

    ${
      $d a b x y F $.  $d a b x y M $.  $d a b x y ph $.
      sseqfv2.4 $e |- ( ph -> N e. ( ZZ>= ` ( # ` M ) ) ) $.
      $( Value of the strong sequence builder function.  (Contributed by
         Thierry Arnoux, 21-Apr-2019.) $)
      sseqfv2 $p |- ( ph -> ( ( M seqstr F ) ` N ) = ( lastS ` ( seq ( # ` M )
        ( ( x e. _V , y e. _V |-> ( x ++ <" ( F ` x ) "> ) ) ,
        ( NN0 X. { ( M ++ <" ( F ` M ) "> ) } ) ) ` N ) ) ) $=
        ( co cfv clsw cvv wfn wcel syl va vb csseq cs1 cconcat cmpo cn0 csn cxp
        cv chash cseq ccom cun sseqval fveq1d cc0 cfzo cuz cin wceq cword wrdfn
        c0 crn wss c1 cmin fvex df-lsw fnmpti a1i cz lencl nn0zd seqfn ssv fnco
        syl3anc fzouzdisj fvun2 syl112anc wfun cdm fnfun fvexd ovexd eqid caddc
        wa seqf2 fdmd eleqtrrd fvco syl2anc 3eqtrd ) AGFEUCNZOGFPBCQQBUJZWREOUD
        UENUFZUGFFEOUDUENUHUIZFUKOZULZUMZUNZOZGXCOZGXBOPOZAGWQXDABCDEFHIJKLUOUP
        AFUQXAURNZRZXCXAUSOZRZXHXJUTVDVAZGXJSXEXFVAAFDVBSZXIJDFVCTAPQRZXBXJRZXB
        VEZQVFZXKXNABQWRUKOVGVHNZWROPXRWRVIBVJVKVLAXAVMSXOAXAAXMXAUGSJDFVNTVOZW
        SWTXAVPTZXQAXPVQVLQXJPXBVRVSXLAUQXAVTVLMXHXJFXCGWAWBAXBWCZGXBWDZSXFXGVA
        AXOYAXTXJXBWETAGXJYBMAXJQXBAUAUBQQWSWTXAXJAXAWTWFAUAUJZQSUBUJZQSWJWJYCY
        DWSWGXJWHXSAYCXAVGWINUSOSWJYCWTWFWKWLWMGPXBWNWOWP $.

      $d i n x y F $.  $d i n x y M $.  $d i N $.  $d a b i n x y ph $.
      $( Value of the strong sequence builder function at a successor.
         (Contributed by Thierry Arnoux, 24-Apr-2019.) $)
      sseqp1 $p |- ( ph -> ( ( M seqstr F ) ` N ) =
        ( F ` ( ( M seqstr F ) |` ( 0 ..^ N ) ) ) ) $=
        ( co cfv cvv cs1 cconcat cn0 chash wcel wceq vx vy vi vn va vb csseq cv
        cmpo csn cxp cseq clsw cc0 cfzo cres sseqfv2 cuz wi caddc fveq2 reseq2d
        c1 oveq2 fveq2d s1eqd oveq12d eqeq12d imbi2d ovex cword lencl fvconst2g
        cz syl sylancr nn0zd seq1 sseqfres 3eqtr4d a1i wa seqp1 adantl id eqidd
        3syl cbvmpov simprl fvexd ovmpod eqtrd adantr simpr wss sseqf fzo0ssnn0
        wf fssres sylancl iswrdi ccnv cima cin eluznn0 sylan subiwrdlen eqeltrd
        elex cpnf cun wfn hashf elpreima mp2b sylanbrc elind eleqtrrdi ffvelrnd
        ffn lswccats1 syl2anc 3eqtrrd oveq2d iwrdsplit expcom a2d uzind4 3eqtrd
        wb ex mpcom ) AEDCUGLZMEUAUBNNUAUHZYNCMZOZPLZUIZQDDCMZOZPLZUJUKZDRMZULZ
        MZUMMYMUNEUOLZUPZUUGCMZOZPLZUMMZUUHAUAUBBCDEFGHIJKUQAUUEUUJUMEUUCURMZSZ
        AUUEUUJTZKAUCUHZUUDMZYMUNUUOUOLZUPZUURCMZOZPLZTZUSAUUCUUDMZYMUNUUCUOLZU
        PZUVECMZOZPLZTZUSZAUDUHZUUDMZYMUNUVKUOLZUPZUVNCMZOZPLZTZUSAUVKVCUTLZUUD
        MZYMUNUVSUOLZUPZUWBCMZOZPLZTZUSAUUNUSUCUDUUCEUUOUUCTZUVBUVIAUWGUUPUVCUV
        AUVHUUOUUCUUDVAUWGUURUVEUUTUVGPUWGUUQUVDYMUUOUUCUNUOVDVBZUWGUUSUVFUWGUU
        RUVECUWHVEVFVGVHVIUUOUVKTZUVBUVRAUWIUUPUVLUVAUVQUUOUVKUUDVAUWIUURUVNUUT
        UVPPUWIUUQUVMYMUUOUVKUNUOVDVBZUWIUUSUVOUWIUURUVNCUWJVEVFVGVHVIUUOUVSTZU
        VBUWFAUWKUUPUVTUVAUWEUUOUVSUUDVAUWKUURUWBUUTUWDPUWKUUQUWAYMUUOUVSUNUOVD
        VBZUWKUUSUWCUWKUURUWBCUWLVEVFVGVHVIUUOETZUVBUUNAUWMUUPUUEUVAUUJUUOEUUDV
        AUWMUURUUGUUTUUIPUWMUUQUUFYMUUOEUNUOVDVBZUWMUUSUUHUWMUURUUGCUWNVEVFVGVH
        VIUVJUUCVNSZAUUCUUBMZUUAUVCUVHAUUANSUUCQSZUWPUUATDYTPVJADBVKZSZUWQHBDVL
        ZVOZQUUAUUCNVMVPAUWSUWOUVCUWPTHUWSUUCUWTVQYRUUBUUCVRWGAUVEDUVGYTPABCDFG
        HIJVSZAUVFYSAUVEDCUXBVEVFVGVTWAUVKUULSZAUVRUWFAUXCUVRUWFUSAUXCWBZUVRUWF
        UXDUVRWBZUVTUVLUVLCMZOZPLZUWEUXDUVTUXHTUVRUXDUVTUVLUVSUUBMZYRLZUXHUXCUV
        TUXJTAYRUUBUUCUVKWCWDUXDUEUFUVLUXINNUEUHZUXKCMZOZPLZUXHYRNYRUEUFNNUXNUI
        TUXDUAUBUEUFNNYQUXNUXNYNUXKTZYNUXKYPUXMPUXOWEUXOYOUXLYNUXKCVAVFVGUBUHUF
        UHZTUXNWFWHWAUXDUXKUVLTZUXPUXITZWBWBZUXKUVLUXMUXGPUXDUXQUXRWIZUXSUXLUXF
        UXSUXKUVLCUXTVEVFVGUXDUVKUUDWJUXDUVSUUBWJUXHNSUXDUVLUXGPVJWAWKWLWMUXEUV
        LUWBUXGUWDPUXEUVQUVNUVKYMMZOZPLZUVLUWBUXEUVPUYBUVNPUXEUVOUYAUXEUYAUVLUM
        MZUVQUMMZUVOUXDUYAUYDTUVRUXDUAUBBCDUVKFABNSUXCGWMZAUWSUXCHWMIAFBCWRUXCJ
        WMZAUXCWNZUQWMUXEUVLUVQUMUXDUVRWNZVEUXDUYEUVOTZUVRUXDUVNUWRSZUVOBSUYJAU
        YKUXCAUVMBUVNWRZUYKAQBYMWRZUVMQWOUYLABCDFGHIJWPZUVKWQQBUVMYMWSWTBUVKUVN
        XAVOWMZUXDFBUVNCUYGUXDUVNUWRRXBUULXCZXDZFUXDUWRUYPUVNUYOUXDUVNNSZUVNRMZ
        UULSZUVNUYPSZUXDUYKUYRUYOUVNUWRXIVOUXDUYSUVKUULUXDBYMUVKUYFAUYMUXCUYNWM
        ZAUWQUXCUVKQSUXAUVKUUCXEXFZXGUYHXHNQXJUJXKZRWRZRNXLZVUAUYRUYTWBYJXMNVUD
        RXTZNUVNUULRXNXOXPXQIXRXSUVOBUVNYAYBWMYCVFYDUYIUXDUWBUYCTUVRUXDBYMUVKUY
        FVUBVUCYEWMVTZUXEUXFUWCUXEUVLUWBCVUHVEVFVGWLYKYFYGYHYLVEAUUGUWRSZUUHBSU
        UKUUHTAUUFBUUGWRZVUIAUYMUUFQWOVUJUYNEWQQBUUFYMWSWTBEUUGXAVOZAFBUUGCJAUU
        GUYQFAUWRUYPUUGVUKAUUGNSZUUGRMZUULSZUUGUYPSZAVUIVULVUKUUGUWRXIVOAVUMEUU
        LABYMEGUYNAUWQUUMEQSUXAKEUUCXEYBXGKXHVUEVUFVUOVULVUNWBYJXMVUGNUUGUULRXN
        XOXPXQIXRXSUUHBUUGYAYBYI $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Fibonacci Numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Fibci $.

  $( The Fibonacci sequence. $)
  cfib $a class Fibci $.

  $( Define the Fibonacci sequence, where that each element is the sum of the
     two preceding ones, starting from 0 and 1.  (Contributed by Thierry
     Arnoux, 25-Apr-2019.) $)
  df-fib $a |- Fibci = ( <" 0 1 "> seqstr (
      w e. ( Word NN0 i^i ( `' # " ( ZZ>= ` 2 ) ) )
    |-> ( ( w ` ( ( # ` w ) - 2 ) ) + ( w ` ( ( # ` w ) - 1 ) ) ) ) ) $.

  $( Lemma for ~ fib0 , ~ fib1 and ~ fibp1 .  (Contributed by Thierry Arnoux,
     25-Apr-2019.) $)
  fiblem $p |- ( w e. ( Word NN0 i^i ( `' # " ( ZZ>= ` 2 ) ) )
    |-> ( ( w ` ( ( # ` w ) - 2 ) ) + ( w ` ( ( # ` w ) - 1 ) ) ) ) :
    ( Word NN0 i^i ( `' # " ( ZZ>= ` ( # ` <" 0 1 "> ) ) ) ) --> NN0 $=
    ( cn0 chash cc0 c1 cfv cuz cima cin c2 cmin co caddc fveq2i wcel wf syl cvv
    cn eleqtrrdi cword ccnv cs2 cv cmpt s2len eqcomi imaeq2i eqid mpteq12i cfzo
    ineq2i elin simplbi wrdf clt wbr wa simprbi cpnf csn cun wfn hashf elpreima
    wb ffn mp2b sylib simprd uznn0sub cz 1zzd 1p1e2 peano2uzr syl2anc nnred crp
    nnuz 2rp a1i ltsubrpd elfzo0 syl3anbrc ffvelrnd fzo0end nn0addcld fmpti ) A
    BUAZCUBZDEUCCFZGFZHZIZBAUDZCFZJKLZWOFZWPEKLZWOFZMLZAWIWJJGFZHZIZXAUEAXDXAWN
    XAXCWMWIXBWLWJJWKGWKJDEUFUGNZUHULXAUIUJWOWNOZWRWTXFDWPUKLZBWQWOXFWOWIOZXGBW
    OPXFXHWOWMOZWOWIWMUMZUNBWOUOQZXFWQBOZWPSOZWQWPUPUQWQXGOXFWPXBOXLXFWPWLXBXFW
    OROZWPWLOZXFXIXNXOURZXFXHXIXJUSRBUTVAVBZCPCRVCXIXPVFVDRXQCVGRWOWLCVEVHVIVJX
    ETZJWPVKQXFWPEGFZSXFEVLOWPEEMLZGFZOWPXSOXFVMXFWPXBYAXRXTJGVNNTEWPVOVPVSTZXF
    WPJXFWPYBVQJVROXFVTWAWBWQWPWCWDWEXFXGBWSWOXKXFXMWSXGOYBWPWFQWEWGWH $.

  $( Value of the Fibonacci sequence at index 0.  (Contributed by Thierry
     Arnoux, 25-Apr-2019.) $)
  fib0 $p |- ( Fibci ` 0 ) = 0 $=
    ( vw cc0 cfib cfv c1 cs2 cn0 chash c2 cuz cima cin cmin wceq wtru wcel 0nn0
    co a1i cfzo cword ccnv caddc cmpt csseq df-fib fveq1i nn0ex 1nn0 s2cld eqid
    cv cvv wf fiblem 2nn lbfzo0 mpbir s2len oveq2i eleqtrri sseqfv1 mptru s2fv0
    cn ax-mp 3eqtri ) BCDBBEFZAGUAZHUBZIJDKLAULZHDZIMRVKDVLEMRVKDUCRUDZUERZDZBV
    HDZBBCVNAUFUGVOVPNOGVMVHBVIVJVHHDZJDKLZGUMPOUHSOBEGBGPZOQSEGPOUISUJVRUKVRGV
    MUNOAUOSBBVQTRZPOBBITRZVTBWAPIVEPUPIUQURVQIBTBEUSUTVASVBVCVSVPBNQBEGVDVFVG
    $.

  $( Value of the Fibonacci sequence at index 1.  (Contributed by Thierry
     Arnoux, 25-Apr-2019.) $)
  fib1 $p |- ( Fibci ` 1 ) = 1 $=
    ( vw c1 cfib cfv cc0 cs2 cn0 chash c2 cuz cima cin cmin wceq wtru wcel 1nn0
    co a1i cfzo cword ccnv caddc cmpt csseq df-fib fveq1i nn0ex 0nn0 s2cld eqid
    cv cvv wf fiblem cn clt wbr 2nn 1lt2 elfzo0 mpbir3an s2len eleqtrri sseqfv1
    oveq2i mptru s2fv1 ax-mp 3eqtri ) BCDBEBFZAGUAZHUBZIJDKLAULZHDZIMRVNDVOBMRV
    NDUCRUDZUERZDZBVKDZBBCVQAUFUGVRVSNOGVPVKBVLVMVKHDZJDKLZGUMPOUHSOEBGEGPOUISB
    GPZOQSUJWAUKWAGVPUNOAUOSBEVTTRZPOBEITRZWCBWDPWBIUPPBIUQURQUSUTBIVAVBVTIETEB
    VCVFVDSVEVGWBVSBNQEBGVHVIVJ $.

  ${
    $d t w $.  $d t N $.
    $( Value of the Fibonacci sequence at higher indices.  (Contributed by
       Thierry Arnoux, 25-Apr-2019.) $)
    fibp1 $p |- ( N e. NN -> ( Fibci ` ( N + 1 ) ) = ( ( Fibci ` ( N - 1 ) )
      + ( Fibci ` N ) ) ) $=
      ( vw vt wcel c1 caddc cfib cfv cc0 cn0 chash cuz cmin wceq a1i cvv oveq1d
      co c2 wf cn cs2 cword ccnv cima cin cv cmpt csseq cfzo cres df-fib fveq1i
      nn0ex 0nn0 1nn0 s2cld eqid fiblem eluzp1p1 nnuz eleq2s s2len 1p1e2 eqtr4i
      fveq2i eleqtrrdi sseqp1 id fveq2 fveq12d oveq12d cbvmptv wa simpr reseq1d
      eqtr4d fveq2d sseqf feq1d nnnn0 nn0addcld subiwrdlen eqtrd nncn 1cnd 2cnd
      mpbird adantr addsubassd subsub2d 2m1e1 oveq2i 3eqtr2d fveq1d clt nnm1nn0
      wbr peano2nn nnre cr 2re readdcld crp 2rp ltaddrpd ltsub1dd eqtrdi elfzo0
      breqtrd syl3anbrc fvres syl 3eqtrd simpl nncnd pncand cfz nn0fz0 sylib cz
      1red nnz fzval3 eleqtrd syldan subiwrd ovex eqeltri eleqtrdi eqeltrd cpnf
      resex csn cun wfn wb hashf ffn elpreima sylanbrc elind eqeltrrd fvmptd
      mp2b ) AUADZAEFRZGHZUUGIEUBZBJUCZKUDZSLHZUEZUFZBUGZKHZSMRZUUOHZUUPEMRZUUO
      HZFRZUHZUIRZHZUVCIUUGUJRZUKZUVBHAEMRZGHZAGHZFRZUUHUVDNUUFUUGGUVCBULZUMOUU
      FJUVBUUIUUGUUJUUKUUIKHZLHZUEUFZJPDUUFUNOZUUFIEJIJDUUFUOOEJDUUFUPOZUQZUVNU
      RZUVNJUVBTUUFBUSOZUUFUUGEEFRZLHZUVMUUGUWADAELHUAEAUTVAVBZUVLUVTLUVLSUVTIE
      VCVDVEVFVGVHUUFCUVFCUGZKHZSMRZUWCHZUWDEMRZUWCHZFRZUVJUUNUVBPUVBCUUNUWIUHN
      UUFBCUUNUVAUWIUUOUWCNZUURUWFUUTUWHFUWJUUQUWEUUOUWCUWJVIZUWJUUPUWDSMUUOUWC
      KVJZQVKUWJUUSUWGUUOUWCUWKUWJUUPUWDEMUWLQVKVLVMOUUFUWCUVFNZUWCGUVEUKZNZUWI
      UVJNUUFUWMVNZUWCUVFUWNUUFUWMVOUWPGUVCUVEGUVCNZUWPUVKOVPVQUUFUWOVNZUWFUVHU
      WHUVIFUWRUWFUVGUWCHUVGUWNHZUVHUWRUWEUVGUWCUWRUWEUUGSMRZUVGUWRUWDUUGSMUWRU
      WDUWNKHZUUGUWRUWCUWNKUUFUWOVOZVRUUFUXAUUGNUWOUUFJGUUGUVOUUFJJGTJJUVCTUUFJ
      UVBUUIUVNUVOUVQUVRUVSVSUUFJJGUVCUWQUUFUVKOZVTWHZUUFAEAWAZUVPWBZWCZWIWDZQU
      UFUWTUVGNUWOUUFUWTAESMRFRASEMRZMRZUVGUUFAESAWEZUUFWFZUUFWGZWJUUFASEUXKUXM
      UXLWKUXJUVGNUUFUXIEAMWLWMOWNWIWDVRUWRUVGUWCUWNUXBWOUWRUVGUVEDZUWSUVHNUUFU
      XNUWOUUFUVGJDUUGUADUVGUUGWPWRUXNAWQAWSUUFUVGASFRZEMRZUUGWPUUFAUXOEAWTZUUF
      ASUXQSXADUUFXBOXCUUFYBUUFASUXQSXDDUUFXEOXFXGUUFUXPAUXIFRUUGUUFASEUXKUXMUX
      LWJUXIEAFWLWMXHXJUVGUUGXIXKWIUVGUVEGXLXMXNUWRUWHAUWCHAUWNHZUVIUWRUWGAUWCU
      WRUWGUUGEMRAUWRUWDUUGEMUXHQUWRAEUWRAUUFUWOXOXPUWRWFXQWDVRUWRAUWCUWNUXBWOU
      WRAUVEDZUXRUVINUUFUXSUWOUUFAIAXRRZUVEUUFAJDAUXTDUXEAXSXTUUFAYADUXTUVENAYC
      IAYDXMYEWIAUVEGXLXMXNVLYFUUFUWNUVFUUNUUFGUVCUVEUXCVPUUFUUJUUMUWNUUFJGUUGU
      VOUXDUXFYGUUFUWNPDZUXAUULDZUWNUUMDZUYAUUFGUVEGUVCPUVKUUIUVBUIYHYIYMOUUFUX
      AUUGUULUXGUUFUUGUWAUULUWBUVTSLVDVFYJYKPJYLYNYOZKTKPYPUYCUYAUYBVNYQYRPUYDK
      YSPUWNUULKYTUUEUUAUUBUUCUVJPDUUFUVHUVIFYHOUUDXN $.
  $}

  $( Value of the Fibonacci sequence at index 2.  (Contributed by Thierry
     Arnoux, 25-Apr-2019.) $)
  fib2 $p |- ( Fibci ` 2 ) = 1 $=
    ( c1 caddc co cfib cfv c2 1p1e2 fveq2i cmin cc0 wcel wceq fibp1 ax-mp 1m1e0
    cn 1nn fib0 eqtri fib1 oveq12i 0p1e1 3eqtri eqtr3i ) AABCZDEZFDEAUEFDGHUFAA
    ICZDEZADEZBCZJABCAAPKUFUJLQAMNUHJUIABUHJDEJUGJDOHRSTUAUBUCUD $.

  $( Value of the Fibonacci sequence at index 3.  (Contributed by Thierry
     Arnoux, 25-Apr-2019.) $)
  fib3 $p |- ( Fibci ` 3 ) = 2 $=
    ( c2 c1 caddc co cfib cfv c3 2p1e3 fveq2i cmin cn wcel wceq 2nn fibp1 ax-mp
    2m1e1 fib1 eqtri fib2 oveq12i 1p1e2 3eqtri eqtr3i ) ABCDZEFZGEFAUEGEHIUFABJ
    DZEFZAEFZCDZBBCDAAKLUFUJMNAOPUHBUIBCUHBEFBUGBEQIRSTUAUBUCUD $.

  $( Value of the Fibonacci sequence at index 4.  (Contributed by Thierry
     Arnoux, 25-Apr-2019.) $)
  fib4 $p |- ( Fibci ` 4 ) = 3 $=
    ( c3 c1 caddc co cfib cfv c4 3p1e4 fveq2i cmin c2 wcel wceq 3nn fibp1 ax-mp
    cn 3m1e2 fib2 eqtri fib3 oveq12i 1p2e3 3eqtri eqtr3i ) ABCDZEFZGEFAUFGEHIUG
    ABJDZEFZAEFZCDZBKCDAAQLUGUKMNAOPUIBUJKCUIKEFBUHKERISTUAUBUCUDUE $.

  $( Value of the Fibonacci sequence at index 5.  (Contributed by Thierry
     Arnoux, 25-Apr-2019.) $)
  fib5 $p |- ( Fibci ` 5 ) = 5 $=
    ( c4 c1 caddc co cfib cfv c5 4p1e5 fveq2i cmin c2 c3 cn wcel wceq 4nn fibp1
    ax-1cn 3cn addcomli ax-mp 4cn 3p1e4 subaddrii fib3 eqtri fib4 oveq12i 3p2e5
    2cn 3eqtri eqtr3i ) ABCDZEFZGEFGUMGEHIUNABJDZEFZAEFZCDZKLCDGAMNUNUROPAQUAUP
    KUQLCUPLEFKUOLEABLUBRSLBASRUCTUDIUEUFUGUHLKGSUJUITUKUL $.

  $( Value of the Fibonacci sequence at index 6.  (Contributed by Thierry
     Arnoux, 25-Apr-2019.) $)
  fib6 $p |- ( Fibci ` 6 ) = 8 $=
    ( c5 c1 caddc co cfib cfv c6 c8 5p1e6 fveq2i cmin c3 cn wcel wceq c4 ax-1cn
    5cn 4cn addcomli fibp1 ax-mp 4p1e5 subaddrii fib4 eqtri fib5 oveq12i 3eqtri
    5nn 3cn 5p3e8 eqtr3i ) ABCDZEFZGEFHUNGEIJUOABKDZEFZAEFZCDZLACDHAMNUOUSOUJAU
    AUBUQLURACUQPEFLUPPEABPRQSPBASQUCTUDJUEUFUGUHALHRUKULTUIUM $.

$( End $[ set-mbox-ta-fibonacci.mm $] $)


$( Begin $[ set-mbox-ta-proba.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Probability
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Probability Theory
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c Prob $. $( The class of probability measures $)

  $( Extend class notation to include the class of probability measures. $)
  cprb $a class Prob $.

  $( Define the class of probability measures as the set of measures with total
     measure 1.  (Contributed by Thierry Arnoux, 14-Sep-2016.) $)
  df-prob $a |- Prob = { p e. U. ran measures | ( p ` U. dom p ) = 1 } $.

  ${
    $d p P $.
    $( The property of being a probability measure.  (Contributed by Thierry
       Arnoux, 8-Dec-2016.) $)
    elprob $p |- ( P e. Prob <->
      ( P e. U. ran measures /\ ( P ` U. dom P ) = 1 ) ) $=
      ( vp cv cdm cuni cfv c1 wceq cmeas crn cprb id dmeq unieqd fveq12d eqeq1d
      df-prob elrab2 ) BCZDZEZSFZGHADZEZAFZGHBAIJEKSAHZUBUEGUFUAUDSAUFLUFTUCSAM
      NOPBQR $.
  $}

  $( A probability measure is a measure on its domain.  (Contributed by Thierry
     Arnoux, 23-Dec-2016.) $)
  domprobmeas $p |- ( P e. Prob -> P e. ( measures ` dom P ) ) $=
    ( cprb wcel cmeas crn cuni cdm cfv c1 wceq elprob simplbi measbasedom sylib
    ) ABCZADEFCZAAGZDHCOPQFAHIJAKLAMN $.

  $( The domain of a probability measure is a sigma-algebra.  (Contributed by
     Thierry Arnoux, 23-Dec-2016.) $)
  domprobsiga $p |- ( P e. Prob -> dom P e. U. ran sigAlgebra ) $=
    ( cprb wcel cdm cmeas cfv csiga crn cuni domprobmeas measbase syl ) ABCAADZ
    EFCMGHICAJMAKL $.

  $( The probability of the universe set is 1.  Second axiom of Kolmogorov.
     (Contributed by Thierry Arnoux, 8-Dec-2016.) $)
  probtot $p |- ( P e. Prob -> ( P ` U. dom P ) = 1 ) $=
    ( cprb wcel cmeas crn cuni cdm cfv c1 wceq elprob simprbi ) ABCADEFCAGFAHIJ
    AKL $.

  $( A probability is an element of [ 0 , 1 ].  First axiom of Kolmogorov.
     (Contributed by Thierry Arnoux, 25-Dec-2016.) $)
  prob01 $p |- ( ( P e. Prob /\ A e. dom P ) -> ( P ` A ) e. ( 0 [,] 1 ) ) $=
    ( cprb wcel cdm wa cfv cxr cc0 cle wbr c1 cicc co cpnf cmeas cuni adantr wb
    w3a domprobmeas measvxrge0 sylan elxrge0 sylib simpr crn measbase unielsiga
    csiga 3syl wss elssuni adantl measssd probtot breq2d mpbid sylanbrc 0xr 1xr
    df-3an elicc1 mp2an sylibr ) BCDZABEZDZFZABGZHDZIVJJKZVJLJKZTZVJILMNDZVIVKV
    LFZVMVNVIVJIOMNDZVPVFBVGPGDZVHVQBUAZAVGBUBUCVJUDUEVIVJVGQZBGZJKZVMVIAVTVGBV
    FVRVHVSRZVFVHUFVIVRVGUJUGQDVTVGDWCVGBUHVGUIUKVHAVTULVFAVGUMUNUOVFWBVMSVHVFW
    ALVJJBUPUQRURVKVLVMVBUSIHDLHDVOVNSUTVAILVJVCVDVE $.

  $( The probability of the empty event set is 0.  (Contributed by Thierry
     Arnoux, 25-Dec-2016.) $)
  probnul $p |- ( P e. Prob -> ( P ` (/) ) = 0 ) $=
    ( cprb wcel cdm cmeas cfv c0 cc0 wceq domprobmeas measvnul syl ) ABCAADZEFC
    GAFHIAJMAKL $.

  ${
    unveldomd.1 $e |- ( ph -> P e. Prob ) $.
    $( The universe is an element of the domain of the probability, the
       universe (entire probability space) being ` U. dom P ` in our
       construction.  (Contributed by Thierry Arnoux, 22-Jan-2017.) $)
    unveldomd $p |- ( ph -> U. dom P e. dom P ) $=
      ( cprb wcel cdm csiga crn cuni cfv domprobsiga sgon baselsiga 4syl ) ABDE
      BFZGHIEOOIZGJEPOECBKOLPOMN $.
  $}

  $( The universe is an element of the domain of the probability, the universe
     (entire probability space) being ` U. dom P ` in our construction.
     (Contributed by Thierry Arnoux, 22-Jan-2017.) $)
  unveldom $p |- ( P e. Prob -> U. dom P e. dom P ) $=
    ( cprb wcel id unveldomd ) ABCZAFDE $.

  $( The empty set is an element of the domain of the probability.
     (Contributed by Thierry Arnoux, 22-Jan-2017.) $)
  nuleldmp $p |- ( P e. Prob -> (/) e. dom P ) $=
    ( cprb wcel cdm csiga crn cuni c0 domprobsiga 0elsiga syl ) ABCADZEFGCHLCAI
    LJK $.

  ${
    $d x A $.  $d x P $.
    $( The probability of the union of a countable disjoint set of events is
       the sum of their probabilities.  (Third axiom of Kolmogorov) Here, the
       ` sum_ ` construct cannot be used as it can handle infinite indexing set
       only if they are subsets of ` ZZ ` , which is not the case here.
       (Contributed by Thierry Arnoux, 25-Dec-2016.) $)
    probcun $p |- ( ( P e. Prob /\ A e. ~P dom P /\ ( A ~<_ _om
      /\ Disj_ x e. A x ) ) -> ( P ` U. A ) = sum* x e. A ( P ` x ) ) $=
      ( cprb wcel cdm cmeas cfv cpw com cdom cv wdisj wa cuni cesum domprobmeas
      wbr wceq measvun syl3an1 ) CDECCFZGHEBUBIEBJKRABALZMNBOCHBUCCHAPSCQABUBCT
      UA $.
  $}

  ${
    $d x A $.  $d x B $.  $d x P $.
    $( The probability of the union two incompatible events is the sum of their
       probabilities.  (Contributed by Thierry Arnoux, 25-Dec-2016.) $)
    probun $p |- ( ( P e. Prob /\ A e. dom P /\ B e. dom P ) ->
      ( ( A i^i B ) = (/) ->
                          ( P ` ( A u. B ) ) = ( ( P ` A ) + ( P ` B ) ) ) ) $=
      ( vx wcel c0 wceq cfv caddc co wa eqtrdi sylan9eqr fveq2d 3ad2ant2 adantr
      cc0 syl2anc sselid cr cprb cdm w3a cin wi simpll1 simplr simpr cdif disj3
      cun biimpi difeq1 difid eqtr2 syldan uneq12d unidm probnul oveq12d eqtr4d
      00id syl12anc ex wne cxad 3anass anbi1i df-3an bitr4i cpr cuni cv cpw com
      cesum cdom wbr wdisj simpl1 wss prssi prex elpw sylibr prct simp2l simp2r
      wb simp3 id disjprg syl3anc biimpar probcun syl112anc uniprg fveq2 adantl
      c1 cicc cpnf unitssxrge0 simp1 prob01 esumpr eqeq12d mpbid sylanb simpll2
      unitssre simpll3 rexadd eqtrd pm2.61dane ) CUAEZACUBZEZBXQEZUCZABUDFGZABU
      KZCHZACHZBCHZIJZGZUEABXTABGZKZYAYGYIYAKXPYHYAYGXPXRXSYHYAUFXTYHYAUGYIYAUH
      XPYHYAKZKZYCQYFYJXPYCFCHZQYJYBFCYJYBFFUKFYJAFBFYAYHAABUIZFYAAYMGABUJULYHY
      MBBUIFABBUMBUNLMZYHYAAFGBFGYNABFUOUPZUQFURLNCUSZMYKYFQQIJQYKYDQYEQIYJXPYD
      YLQYJAFCYNNYPMYJXPYEYLQYJBFCYONYPMUTVBLVAVCVDXTABVEZKZYAYGYRYAKZYCYDYEVFJ
      ZYFYRXPXRXSKZYQUCZYAYCYTGZYRXPUUAKZYQKUUBXTUUDYQXPXRXSVGVHXPUUAYQVIVJUUBY
      AKZABVKZVLZCHZUUFDVMZCHZDVPZGZUUCUUEXPUUFXQVNEZUUFVOVQVRZDUUFUUIVSZUULXPU
      UAYQYAVTUUEUUFXQWAZUUMUUBUUPYAUUAXPUUPYQABXQWBOPUUFXQABWCWDWEUUBUUNYAUUAX
      PUUNYQABXQXQWFOPUUBUUOYAUUBXRXSYQUUOYAWIXPXRXSYQWGZXPXRXSYQWHZXPUUAYQWJZD
      ABUUIABXQUUIAGZWKUUIBGZWKWLWMWNDUUFCWOWPUUBUULUUCWIYAUUBUUHYCUUKYTUUAXPUU
      HYCGYQUUAUUGYBCABXQXQWQNOUUBABUUJYDDYEXQXQUUTUUJYDGUUBUUIACWRWSUVAUUJYEGU
      UBUUIBCWRWSUUQUURUUBQWTXAJZQXBXAJZYDXCUUBXPXRYDUVBEZXPUUAYQXDZUUQACXEZRSU
      UBUVBUVCYEXCUUBXPXSYEUVBEZUVEUURBCXEZRSUUSXFXGPXHXIYSYDTEYETEYTYFGYSUVBTY
      DXKYSXPXRUVDXPXRXSYQYAUFZXPXRXSYQYAXJUVFRSYSUVBTYEXKYSXPXSUVGUVIXPXRXSYQY
      AXLUVHRSYDYEXMRXNVDXO $.
  $}

  $( The probability of the difference of two event sets.  (Contributed by
     Thierry Arnoux, 12-Dec-2016.) $)
  probdif $p |- ( ( P e. Prob /\ A e. dom P /\ B e. dom P ) ->
    ( P ` ( A \ B ) ) = ( ( P ` A ) - ( P ` ( A i^i B ) ) ) ) $=
    ( cprb wcel cdm w3a cfv cin cmin co cdif caddc wceq syl3an1 unitsscn prob01
    cc syl2anc sselid cun inundif fveq2i simp1 csiga cuni domprobsiga difelsiga
    crn inelsiga c0 inindif probun mpi syl3anc eqtr3id oveq1d c1 pncan2d eqtr2d
    cc0 cicc ) CDEZACFZEZBVDEZGZACHZABIZCHZJKVJABLZCHZMKZVJJKVLVGVHVMVJJVGVHVIV
    KUAZCHZVMVNACABUBUCVGVCVIVDEZVKVDEZVOVMNZVCVEVFUDZVCVDUEUIUFEZVEVFVPCUGZABV
    DUJOZVCVTVEVFVQWAABVDUHOZVCVPVQGVIVKIUKNVRABULVIVKCUMUNUOUPUQVGVJVLVGVAURVB
    KZRVJPVGVCVPVJWDEVSWBVICQSTVGWDRVLPVGVCVQVLWDEVSWCVKCQSTUSUT $.

  $( A probability law is increasing with regard to event set inclusion.
     (Contributed by Thierry Arnoux, 10-Feb-2017.) $)
  probinc $p |- ( ( ( P e. Prob /\ A e. dom P /\ B e. dom P ) /\ A C_ B ) ->
    ( P ` A ) <_ ( P ` B ) ) $=
    ( cprb wcel cdm w3a wss wa cmeas cfv simpl1 domprobmeas simpl2 simpl3 simpr
    syl measssd ) CDEZACFZEZBTEZGZABHZIZABTCUESCTJKESUAUBUDLCMQSUAUBUDNSUAUBUDO
    UCUDPR $.

  $( The probability of the complement of a set.  That is, the probability that
     the event ` A ` does not occur.  (Contributed by Thierry Arnoux,
     15-Dec-2016.) $)
  probdsb $p |- ( ( P e. Prob /\ A e. dom P ) ->
    ( P ` ( U. dom P \ A ) ) = ( 1 - ( P ` A ) ) ) $=
    ( cprb wcel cdm wa cuni cdif cfv cmin co wceq simpl unveldomd simpr probdif
    cin c1 syl3anc probtot wss elssuni sseqin2 sylib fveq2d oveqan12d eqtrd ) B
    CDZABEZDZFZUIGZAHBIZULBIZULAQZBIZJKZRABIZJKUKUHULUIDUJUMUQLUHUJMZUKBUSNUHUJ
    OULABPSUHUJUNRUPURJBTUJUOABUJAULUAUOALAUIUBAULUCUDUEUFUG $.

  ${
    probmeasd.1 $e |- ( ph -> P e. Prob ) $.
    $( A probability measure is a measure.  (Contributed by Thierry Arnoux,
       2-Feb-2017.) $)
    probmeasd $p |- ( ph -> P e. U. ran measures ) $=
      ( cdm cmeas cfv wcel crn cuni cprb domprobmeas syl measbasedom sylibr ) A
      BBDEFGZBEHIGABJGOCBKLBMN $.

    ${
      probvalrnd.1 $e |- ( ph -> A e. dom P ) $.
      $( The value of a probability is a real number.  (Contributed by Thierry
         Arnoux, 2-Feb-2017.) $)
      probvalrnd $p |- ( ph -> ( P ` A ) e. RR ) $=
        ( cc0 c1 cicc co cr cfv unitssre cprb wcel cdm prob01 syl2anc sselid )
        AFGHIZJBCKZLACMNBCONTSNDEBCPQR $.
    $}

    $( The probability of the universe set is finite.  (Contributed by Thierry
       Arnoux, 2-Feb-2017.) $)
    probtotrnd $p |- ( ph -> ( P ` U. dom P ) e. RR ) $=
      ( cdm cuni unveldomd probvalrnd ) ABDEBCABCFG $.
  $}

  ${
    $d b c A $.  $d b c B $.  $d b c P $.  $d c b ph $.
    totprobd.1 $e |- ( ph -> P e. Prob ) $.
    totprobd.2 $e |- ( ph -> A e. dom P ) $.
    totprobd.3 $e |- ( ph -> B e. ~P dom P ) $.
    totprobd.4 $e |- ( ph -> U. B = U. dom P ) $.
    totprobd.5 $e |- ( ph -> B ~<_ _om ) $.
    totprobd.6 $e |- ( ph -> Disj_ b e. B b ) $.
    $( Law of total probability, deduction form.  (Contributed by Thierry
       Arnoux, 25-Dec-2016.) $)
    totprobd $p |- ( ph -> ( P ` A ) = sum* b e. B ( P ` ( b i^i A ) ) ) $=
      ( vc cuni cin cfv wceq wcel syl syl2anc adantr cesum wss elssuni sseqtrrd
      cv cdm sseqin2 sylib fveq2d cmpt cmeas cpw com cdom wbr wdisj domprobmeas
      cprb measinb measvun syl112anc cc0 c1 cicc co eqidd wa simpr ineq1d csiga
      crn domprobsiga sigaclcu syl3anc inelsiga prob01 fvmptd elelpwi esumeq2dv
      3eqtr3d eqtr3d ) ACMZBNZDOZBDOCEUEZBNZDOZEUAZAWCBDABWBUBWCBPABDUFZMZWBABW
      IQZBWJUBGBWIUCRIUDBWBUGUHUIAWBLWILUEZBNZDOZUJZOZCWEWOOZEUAZWDWHAWOWIUKOZQ
      ZCWIULQZCUMUNUOZECWEUPWPWRPADWSQZWKWTADURQZXCFDUQRGLBWIDUSSHJKECWIWOUTVAA
      LWBWNWDWIWOVBVCVDVEZAWOVFAWLWBPZVGZWMWCDXGWLWBBAXFVHVIUIAWIVJVKMQZXAXBWBW
      IQZAXDXHFDVLRZHJCWIVMVNZAXDWCWIQZWDXEQFAXHXIWKXLXJXKGWBBWIVOVNWCDVPSVQACW
      QWGEAWECQZVGZLWEWNWGWIWOXEXNWOVFXNWLWEPZVGZWMWFDXPWLWEBXNXOVHVIUIXNXMXAWE
      WIQZAXMVHAXAXMHTWECWIVRSZXNXDWFWIQZWGXEQAXDXMFTXNXHXQWKXSAXHXMXJTXRAWKXMG
      TWEBWIVOVNWFDVPSVQVSVTWA $.
  $}

  ${
    $d b c A $.  $d b c B $.  $d b c P $.
    $( Law of total probability.  (Contributed by Thierry Arnoux,
       25-Dec-2016.) $)
    totprob $p |- ( ( P e. Prob /\ A e. dom P /\
      ( U. B = U. dom P /\ B e. ~P dom P /\ ( B ~<_ _om /\ Disj_ b e. B b ) ) )
      -> ( P ` A ) = sum* b e. B ( P ` ( b i^i A ) ) ) $=
      ( vc cprb wcel cdm cuni wceq cpw com cdom wbr cv wdisj w3a cfv cin cesum
      wa simp1 simp2 simp32 simp31 simp33l cbvdisjv sylib totprobd ineq1 fveq2d
      simp33r id cbvesumv eqtr4di ) CFGZACHZGZBIUQIJZBUQKGZBLMNZDBDOZPZUAZQZQZA
      CRBEOZASZCRZETBVBASZCRZDTVFABCEUPURVEUBUPURVEUCUPURUSUTVDUDUPURUSUTVDUEVA
      VCUSUTUPURUFVFVCEBVGPVAVCUSUTUPURULDEBVBVGVBVGJZUMUGUHUIBVKVIDEVLVJVHCVBV
      GAUJUKUNUO $.
  $}

  $( Build a probability measure from a finite measure.  (Contributed by
     Thierry Arnoux, 31-Jan-2017.) $)
  probfinmeasb $p |- ( ( M e. ( measures ` S ) /\ ( M ` U. S ) e. RR+ ) ->
    ( M oFC /e ( M ` U. S ) ) e. Prob ) $=
    ( cmeas cfv wcel cuni crp wa cxdiv cofc co crn cdm c1 wceq measdivcst csiga
    cprb adantr fveq2d wfn measfn measbase simpr ofcfn fndmd measbasedom sylibr
    eleqtrrd unieqd unielsiga syl eqidd ofcval mpdan cc0 wne rpre rpne0 syl2anc
    cr xdivid adantl 3eqtrd elprob sylanbrc ) BACDZEZAFZBDZGEZHZBVJIJKZCLFEZVMM
    ZFZVMDZNOVMREVLVMVOCDZEVNVLVMVGVRVJABPVLVOACVLAVMVLAVJIBQLFZGVHBAUAVKABUBSZ
    VHAVSEZVKABUCSZVHVKUDZUEUFZTUIVMUGUHVLVQVIVMDZVJVJIKZNVLVPVIVMVLVOAWDUJTVLV
    IAEZWEWFOVLWAWGWBAUKULVLAVJVJIBVSGVIVTWBWCVLWGHVJUMUNUOVKWFNOZVHVKVJVAEVJUP
    UQWHVJURVJUSVJVBUTVCVDVMVEVF $.

  ${
    $d x M $.  $d x y S $.
    $( Alternate version of ~ probfinmeasb .  (Contributed by Thierry Arnoux,
       17-Dec-2016.)  (New usage is discouraged.) $)
    probfinmeasbALTV $p |- ( ( M e. ( measures ` S ) /\ ( M ` U. S ) e. RR+ )
                   -> ( x e. S |-> ( ( M ` x ) /e ( M ` U. S ) ) ) e. Prob ) $=
      ( vy cmeas cfv wcel cuni crp wa cv cxdiv co crn wceq cvv wral fveq2i cpw
      c1 cmpt cprb measdivcstALTV ovex rgenw dmmptg ax-mp eleqtrrdi measbasedom
      cdm sylibr unieqi csiga measbase cdif com wbr wi wss w3a isrnsigau simprd
      cdom simp1d syl id rpxdivcld anim12i fveq2 oveq1d eqid fvmptg cr cc0 rpre
      wne rpne0 xdivid syl2anc adantl eqtrd syl5eq elprob sylanbrc ) CBEFZGZBHZ
      CFZIGZJZABAKZCFZWHLMZUAZENHGZWNUJZHZWNFZTOWNUBGWJWNWPEFZGWOWJWNWEWSAWHBCU
      CWPBEWMPGZABQWPBOWTABWLWHLUDUEABWMPUFUGZRUHWNUIUKWJWRWGWNFZTWQWGWNWPBXAUL
      RWJXBWHWHLMZTWJWGBGZXCIGZJXBXCOWFXDWIXEWFBUMNHGZXDBCUNXFXDWGDKZUOBGDBQZXG
      UPVCUQXGHBGURDBSQZXFBWGSUSXDXHXIUTDBVAVBVDVEWIWHWHWIVFZXJVGVHAWGWMXCBIWNW
      KWGOWLWHWHLWKWGCVIVJWNVKVLVEWIXCTOZWFWIWHVMGWHVNVPXKWHVOWHVQWHVRVSVTWAWBW
      NWCWD $.
  $}

  ${
    $d x y A $.  $d x y M $.  $d x y S $.
    $( Build a probability from a measure and a set with finite measure.
       (Contributed by Thierry Arnoux, 25-Dec-2016.) $)
    probmeasb $p |- ( ( M e. ( measures ` S ) /\ A e. S /\ ( M ` A ) e. RR+ )
      -> ( x e. S |-> ( ( M ` ( x i^i A ) ) / ( M ` A ) ) ) e. Prob ) $=
      ( vy cmeas cfv wcel cin co cmpt cuni wceq cc0 cpnf fveq2d adantr syl cxr
      cr crp w3a cv cdiv crn cdm c1 cprb cxdiv measinb measdivcstALTV stoic3 wa
      eqidd simpr ineq1d simp1 csiga measbase simp2 inelsiga syl3anc measvxrge0
      cicc syl2anc fvmptd oveq1d wne cle wbr iccssxr sselid simp3 rpred iccgelb
      0xr pnfxr mp3an12 wss inss2 a1i measssd xrrege0 syl22anc rpne0d mpteq2dva
      rexdiv wral rerpdivcld ralrimiva dmmptg eqcomd 3eltr3d measbasedom sylibr
      eqtrd unieqd rpcnd incom elssuni df-ss sylib diveq1bd sgon baselsiga 4syl
      syl5eq 1red elprob sylanbrc ) DCFGZHZBCHZBDGZUAHZUBZACAUCZBIZDGZXNUDJZKZF
      UELHZYAUFZLZYAGZUGMYAUHHXPYAYCFGZHYBXPACXQECEUCZBIZDGZKZGZXNUIJZKZXKYAYFX
      LXMYJXKHXOYMXKHEBCDUJAXNCYJUKULXPACYLXTXPXQCHZUMZYLXSXNUIJZXTYOYKXSXNUIYO
      EXQYIXSCYJNOVDJZYOYJUNYOYGXQMZUMZYHXRDYSYGXQBYOYRUOUPPXPYNUOZYOXLXRCHZXSY
      QHZXPXLYNXLXMXOUQZQZYOCURUELHZYNXMUUAYOXLUUEUUDCDUSZRYTXPXMYNXLXMXOUTZQZX
      QBCVAVBZXRCDVCVEZVFVGYOXSTHZXNTHZXNNVHZYPXTMYOXSSHUULNXSVIVJZXSXNVIVJUUKY
      OYQSXSNOVKUUJVLYOXNXPXOYNXLXMXOVMZQZVNZYOUUBUUNUUJNSHOSHUUBUUNVPVQNOXSVOV
      RRYOXRBCDUUDUUIUUHXRBVSYOXQBVTWAWBXSXNWCWDZUUQYOXNUUPWEXSXNWGVBWPWFXPYFXK
      XPYCCFXPXTTHZACWHYCCMXPUUSACYOXSXNUURUUPWIWJACXTTWKRZPWLWMYAWNWOXPYECLZYA
      GUGXPYDUVAYAXPYCCUUTWQPXPAUVAXTUGCYATXPYAUNXPXQUVAMZUMZXSXNUVCXNXPXOUVBUU
      OQWRXPUUMUVBXPXNUUOWEQUVCXRBDUVCXRUVABIZBUVCXQUVABXPUVBUOUPXPUVDBMZUVBXPX
      MUVEUUGXMUVDBUVAIZBUVABWSXMBUVAVSUVFBMBCWTBUVAXAXBXGRQWPPXCXPXLUUECUVAURG
      HUVACHUUCUUFCXDUVACXEXFXPXHVFWPYAXIXJ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Conditional Probabilities
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Conditional Probabililty builder $)
  $c cprob $.

  $( Extends class notation with the conditional probability builder. $)
  ccprob $a class cprob $.

  ${
    $d a b p $.
    $( Define the conditional probability.  (Contributed by Thierry Arnoux,
       14-Sep-2016.)  (Revised by Thierry Arnoux, 21-Jan-2017.) $)
    df-cndprob $a |- cprob = ( p e. Prob |->
      ( a e. dom p , b e. dom p |-> ( ( p ` ( a i^i b ) ) / ( p ` b ) ) ) ) $.
  $}

  ${
    $d a b p P $.  $d a b A $.  $d a b B $.
    $( The value of the conditional probability , i.e. the probability for the
       event ` A ` , given ` B ` , under the probability law ` P ` .
       (Contributed by Thierry Arnoux, 21-Jan-2017.) $)
    cndprobval $p |- ( ( P e. Prob /\ A e. dom P /\ B e. dom P ) ->
    ( ( cprob ` P ) ` <. A , B >. ) = ( ( P ` ( A i^i B ) ) / ( P ` B ) ) ) $=
      ( va vb vp cprb wcel cdm ccprob cfv co cin cdiv cv cvv cmpo fveq1 oveq12d
      wceq w3a cop df-ov df-cndprob mpoeq123dv id dmexg mpoexga syl2anc fvmptd3
      3ad2ant1 wa simprl simprr ineq12d fveq2d simp2 simp3 ovexd ovmpod eqtr3id
      dmeq ) CGHZACIZHZBVDHZUAZABUBCJKZKABVHLABMZCKZBCKZNLZABVHUCVGDEABVDVDDOZE
      OZMZCKZVNCKZNLZVLVHPVCVEVHDEVDVDVRQZTVFVCFCDEFOZIZWAVOVTKZVNVTKZNLZQVSGJP
      FDEUDVTCTZDEWAWAWDVDVDVRVTCVBZWFWEWBVPWCVQNVOVTCRVNVTCRSUEVCUFVCVDPHZWGVS
      PHCGUGZWHDEVDVDVRPPUHUIUJUKVGVMATZVNBTZULULZVPVJVQVKNWKVOVICWKVMAVNBVGWIW
      JUMVGWIWJUNZUOUPWKVNBCWLUPSVCVEVFUQVCVEVFURVGVJVKNUSUTVA $.
  $}

  $( An identity linking conditional probability and intersection.
     (Contributed by Thierry Arnoux, 13-Dec-2016.)  (Revised by Thierry Arnoux,
     21-Jan-2017.) $)
  cndprobin $p |- ( ( ( P e. Prob /\ A e. dom P /\ B e. dom P ) /\
    ( P ` B ) =/= 0 ) ->
    ( ( ( cprob ` P ) ` <. A , B >. ) x. ( P ` B ) ) = ( P ` ( A i^i B ) ) ) $=
    ( cprb wcel cdm w3a cfv cc0 wne wa ccprob cmul co adantr cc unitsscn prob01
    cop sselid cin cdiv wceq cndprobval oveq1d cicc simp1 csiga crn domprobsiga
    c1 cuni inelsiga syl3an1 syl2anc 3adant2 simpr divcan1d eqtrd ) CDEZACFZEZB
    VAEZGZBCHZIJZKZABSCLHHZVEMNZABUAZCHZVEUBNZVEMNZVKVDVIVMUCVFVDVHVLVEMABCUDUE
    OVGVKVEVDVKPEVFVDIUKUFNZPVKQVDUTVJVAEZVKVNEUTVBVCUGUTVAUHUIULEVBVCVOCUJABVA
    UMUNVJCRUOTOVDVEPEVFVDVNPVEQUTVCVEVNEVBBCRUPTOVDVFUQURUS $.

  $( The conditional probability has values in ` [ 0 , 1 ] ` .  (Contributed by
     Thierry Arnoux, 13-Dec-2016.)  (Revised by Thierry Arnoux,
     21-Jan-2017.) $)
  cndprob01 $p |- ( ( ( P e. Prob /\ A e. dom P /\ B e. dom P ) /\
    ( P ` B ) =/= 0 ) -> ( ( cprob ` P ) ` <. A , B >. ) e. ( 0 [,] 1 ) ) $=
    ( cprb wcel cdm w3a cfv cc0 wne wa cop ccprob cin co syl3anc prob01 syl2anc
    cdiv syl cicc wceq cndprobval adantr cle wbr cmeas simpl1 domprobmeas csiga
    c1 crn cuni domprobsiga simpl2 simpl3 inelsiga wss inss2 measssd unitdivcld
    a1i wb simpr mpbid eqeltrd ) CDEZACFZEZBVHEZGZBCHZIJZKZABLCMHHZABNZCHZVLSOZ
    IUKUAOZVKVOVRUBVMABCUCUDVNVQVLUEUFZVRVSEZVNVPBVHCVNVGCVHUGHEVGVIVJVMUHZCUIT
    VNVHUJULUMEZVIVJVPVHEZVNVGWCWBCUNTVGVIVJVMUOVGVIVJVMUPZABVHUQPZWEVPBURVNABU
    SVBUTVNVQVSEZVLVSEZVMVTWAVCVNVGWDWGWBWFVPCQRVNVGVJWHWBWEBCQRVKVMVDVQVLVAPVE
    VF $.

  $( The conditional probability given a certain event is one.  (Contributed by
     Thierry Arnoux, 20-Dec-2016.)  (Revised by Thierry Arnoux,
     21-Jan-2017.) $)
  cndprobtot $p |- ( ( P e. Prob /\ A e. dom P /\ ( P ` A ) =/= 0 ) ->
    ( ( cprob ` P ) ` <. U. dom P , A >. ) = 1 ) $=
    ( cprb wcel cdm cfv cc0 wne w3a cuni cop ccprob cin cdiv co c1 wceq 3adant3
    wa simpl unveldomd simpr cndprobval syl3anc elssuni 3ad2ant2 sseqin2 fveq2d
    wss sylib oveq1d cicc cc prob01 elunitcn syl simp3 dividd 3eqtrd ) BCDZABEZ
    DZABFZGHZIZVAJZAKBLFFZVFAMZBFZVCNOZVCVCNOPUTVBVGVJQZVDUTVBSZUTVFVADVBVKUTVB
    TZVLBVMUAUTVBUBVFABUCUDRVEVIVCVCNVEVHABVEAVFUIZVHAQVBUTVNVDAVAUEUFAVFUGUJUH
    UKVEVCVEVCGPULODZVCUMDUTVBVOVDABUNRVCUOUPUTVBVDUQURUS $.

  $( The conditional probability given empty event is zero.  (Contributed by
     Thierry Arnoux, 20-Dec-2016.)  (Revised by Thierry Arnoux,
     21-Jan-2017.) $)
  cndprobnul $p |- ( ( P e. Prob /\ A e. dom P /\ ( P ` A ) =/= 0 ) ->
    ( ( cprob ` P ) ` <. (/) , A >. ) = 0 ) $=
    ( cprb wcel cdm cfv cc0 wne w3a c0 cop ccprob cin cdiv co wceq nuleldmp syl
    simp1 simp2 cndprobval syl3anc 0in fveq2i oveq1i a1i probnul oveq1d c1 cicc
    cc prob01 3adant3 elunitcn simp3 div0d 3eqtrd eqtrd ) BCDZABEZDZABFZGHZIZJA
    KBLFFZJAMZBFZVBNOZGVDUSJUTDZVAVEVHPUSVAVCSZVDUSVIVJBQRUSVAVCTJABUAUBVDVHJBF
    ZVBNOZGVBNOGVHVLPVDVGVKVBNVFJBAUCUDUEUFVDVKGVBNVDUSVKGPVJBUGRUHVDVBVDVBGUIU
    JODZVBUKDUSVAVMVCABULUMVBUNRUSVAVCUOUPUQUR $.

  ${
    $d a B $.  $d a P $.
    $( The conditional probability defines a probability law.  (Contributed by
       Thierry Arnoux, 23-Dec-2016.)  (Revised by Thierry Arnoux,
       21-Jan-2017.) $)
    cndprobprob $p |- ( ( P e. Prob /\ B e. dom P /\ ( P ` B ) =/= 0 ) ->
      ( a e. dom P |-> ( ( cprob ` P ) ` <. a , B >. ) ) e. Prob ) $=
      ( cprb wcel cdm cfv cc0 wne w3a cv cop ccprob cmpt cin cdiv co 3adant3 wa
      syl cmeas domprobmeas 3ad2ant1 simp2 c1 cicc cr prob01 elunitrn elunitge0
      crp cle wbr simp3 ne0gt0d elrpd probmeasb syl3anc wceq 3anan32 cndprobval
      wb sylbir mpteq2dva eleq1d mpbird ) BDEZABFZEZABGZHIZJZCVHCKZALBMGGZNZDEZ
      CVHVMAOBGVJPQZNZDEZVLBVHUAGEZVIVJUKEVSVGVIVTVKBUBUCVGVIVKUDVLVJVLVJHUEUFQ
      EZVJUGEVGVIWAVKABUHRZVJUITZVLVJWCVLWAHVJULUMWBVJUJTVGVIVKUNUOUPCAVHBUQURV
      GVIVPVSVBVKVGVISZVOVRDWDCVHVNVQWDVMVHEZSVGWEVIJVNVQUSVGWEVIUTVMABVAVCVDVE
      RVF $.
  $}

  $( Bayes Theorem.  (Contributed by Thierry Arnoux, 20-Dec-2016.)  (Revised by
     Thierry Arnoux, 21-Jan-2017.) $)
  bayesth $p |- ( ( ( P e. Prob /\ A e. dom P /\ B e. dom P ) /\
    ( P ` A ) =/= 0 /\ ( P ` B ) =/= 0 ) -> ( ( cprob ` P ) ` <. A , B >. ) =
    ( ( ( ( cprob ` P ) ` <. B , A >. ) x. ( P ` A ) ) / ( P ` B ) ) ) $=
    ( cprb wcel w3a cfv cc0 wne cop cmul co cdiv cc unitsscn 3adant2 sselid cin
    wceq cndprobin cdm ccprob cicc cndprob01 simp11 simp13 prob01 syl2anc simp3
    c1 divcan4d incom fveq2i simp12 simp2 syl31anc 3eqtr4a oveq1d eqtr3d ) CDEZ
    ACUAZEZBVAEZFZACGZHIZBCGZHIZFZABJCUBGZGZVGKLZVGMLVKBAJVJGVEKLZVGMLVIVKVGVIH
    UJUCLZNVKOVDVHVKVNEVFABCUDPQVIVNNVGOVIUTVCVGVNEUTVBVCVFVHUEZUTVBVCVFVHUFZBC
    UGUHQVDVFVHUIUKVIVLVMVGMVIABRZCGZBARZCGZVLVMVQVSCABULUMVDVHVLVRSVFABCTPVIUT
    VCVBVFVMVTSVOVPUTVBVCVFVHUNVDVFVHUOBACTUPUQURUS $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Real-valued Random Variables
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c rRndVar $. $( The class of real-valued random variables $)

  $( Extend class notation with the class of real-valued random variables. $)
  crrv $a class rRndVar $.

  $( In its generic definition, a random variable is a measurable function from
     a probability space to a Borel set.  Here, we specifically target
     real-valued random variables, i.e. measurable function from a probability
     space to the Borel sigma-algebra on the set of real numbers.  (Contributed
     by Thierry Arnoux, 20-Sep-2016.)  (Revised by Thierry Arnoux,
     25-Jan-2017.) $)
  df-rrv $a |- rRndVar = ( p e. Prob |-> ( dom p MblFnM BrSiga ) ) $.

  ${
    $d p y P $.  $d y X $.
    isrrvv.1 $e |- ( ph -> P e. Prob ) $.
    $( A real-valued random variable is a measurable function from its sample
       space to the Borel sigma-algebra.  (Contributed by Thierry Arnoux,
       25-Jan-2017.) $)
    rrvmbfm $p |- ( ph -> ( X e. ( rRndVar ` P ) <->
                                            X e. ( dom P MblFnM BrSiga ) ) ) $=
      ( vp crrv cfv cdm cbrsiga cmbfm co cprb wcel wceq dmeq oveq1d df-rrv ovex
      cv fvmpt syl eleq2d ) ABFGZBHZIJKZCABLMUCUENDEBESZHZIJKUELFUFBNUGUDIJUFBO
      PEQUDIJRTUAUB $.

    $( Elementhood to the set of real-valued random variables with respect to
       the probability ` P ` .  (Contributed by Thierry Arnoux,
       25-Jan-2017.) $)
    isrrvv $p |- ( ph -> ( X e. ( rRndVar ` P ) <-> ( X : U. dom P --> RR /\
      A. y e. BrSiga ( `' X " y ) e. dom P ) ) ) $=
      ( crrv cfv wcel cdm cbrsiga cmbfm co cuni cmap ccnv cv wa cr csiga cvv wf
      cima wral rrvmbfm cprb crn domprobsiga brsigarn elrnsiga ismbfm unibrsiga
      syl mp1i oveq1i eleq2i wb reex uniexd elmapg sylancr syl5bb anbi1d 3bitrd
      ) ADCFGHDCIZJKLHDJMZVDMZNLZHZDOBPUBVDHBJUCZQVFRDUAZVIQACDEUDABVDJDACUEHVD
      SUFMZHECUGULZJRSGHJVKHAUHJRUIUMUJAVHVJVIVHDRVFNLZHZAVJVGVMDVERVFNUKUNUOAR
      THVFTHVNVJUPUQAVDVKVLURRVFDTTUSUTVAVBVC $.

    rrvvf.1 $e |- ( ph -> X e. ( rRndVar ` P ) ) $.
    $( A real-valued random variable is a function.  (Contributed by Thierry
       Arnoux, 25-Jan-2017.) $)
    rrvvf $p |- ( ph -> X : U. dom P --> RR ) $=
      ( vy cdm cuni cr wf ccnv cv cima wcel cbrsiga wral crrv cfv wa isrrvv
      mpbid simpld ) ABGZHICJZCKFLMUCNFOPZACBQRNUDUESEAFBCDTUAUB $.

    $( A real-valued random variable is a function over the universe.
       (Contributed by Thierry Arnoux, 25-Jan-2017.) $)
    rrvfn $p |- ( ph -> X Fn U. dom P ) $=
      ( cdm cuni cr rrvvf ffnd ) ABFGHCABCDEIJ $.

    $( The domain of a random variable is the universe.  (Contributed by
       Thierry Arnoux, 25-Jan-2017.) $)
    rrvdm $p |- ( ph -> dom X = U. dom P ) $=
      ( cdm cuni cr rrvvf fdmd ) ABFGHCABCDEIJ $.

    $( The range of a random variable as a subset of ` RR ` .  (Contributed by
       Thierry Arnoux, 6-Feb-2017.) $)
    rrvrnss $p |- ( ph -> ran X C_ RR ) $=
      ( cdm cuni cr rrvvf frnd ) ABFGHCABCDEIJ $.

    $( A real-valued random variable is a function.  (Contributed by Thierry
       Arnoux, 25-Jan-2017.) $)
    rrvf2 $p |- ( ph -> X : dom X --> RR ) $=
      ( cdm cr wf cuni rrvvf rrvdm feq2d mpbird ) ACFZGCHBFIZGCHABCDEJANOGCABCD
      EKLM $.

    $( The domain of a random variable.  This is useful to shorten proofs.
       (Contributed by Thierry Arnoux, 25-Jan-2017.) $)
    rrvdmss $p |- ( ph -> U. dom P C_ dom X ) $=
      ( cdm cuni wceq wss rrvdm eqimss2 syl ) ACFZBFGZHNMIABCDEJNMKL $.

    $( For a real-value random variable ` X ` , any open interval in ` RR ` is
       the image of a measurable set.  (Contributed by Thierry Arnoux,
       25-Jan-2017.) $)
    rrvfinvima $p |- ( ph -> A. y e. BrSiga ( `' X " y ) e. dom P ) $=
      ( cdm cuni cr wf ccnv cv cima wcel cbrsiga wral crrv cfv wa isrrvv simprd
      mpbid ) ACGZHIDJZDKBLMUCNBOPZADCQRNUDUESFABCDETUBUA $.
  $}

  ${
    $d x y P $.  $d y ph $.  $d y P $.
    0rrv.1 $e |- ( ph -> P e. Prob ) $.
    $( The constant function equal to zero is a random variable.  (Contributed
       by Thierry Arnoux, 16-Jan-2017.)  (Revised by Thierry Arnoux,
       30-Jan-2017.) $)
    0rrv $p |- ( ph -> ( x e. U. dom P |-> 0 ) e. ( rRndVar ` P ) ) $=
      ( vy cdm cuni cc0 wcel cr ccnv cima cbrsiga wral cin wceq cxp 3eqtri cvv
      c0 cmpt crrv cfv wf cv 0re rgenw eqid fmpt mpbi a1i csn wa cres fconstmpt
      crn cnveqi cnvxp eqtr3i imaeq1i df-ima df-rn df-res inxp inv1 dmeqi xpeq2
      xpeq2i xp0 eqtrdi dmeqd adantl cprb csiga domprobsiga 0elsiga 3syl adantr
      dm0 eqeltrd eqeltrid dmxp unveldomd pm2.61dane ralrimivw isrrvv mpbir2and
      wne ) ABCFZGZHUAZCUBUCIWJJWKUDZWKKZEUEZLZWIIZEMNWLAHJIZBWJNWLWQBWJUFUGBWJ
      JHWKWKUHUIUJUKAWPEMAWPHULZWNOZTAWSTPZUMZWOWJWSQZFZWIWOWRWJQZWNUNZKZFZWSWJ
      QZKZFXCWOXDWNLXEUPXGWMXDWNWJWRQZKWMXDXJWKBWJHUOUQWJWRURUSUTXDWNVAXEVBRXFX
      IXEXHXEXDWNSQOWSWJSOZQXHXDWNVCWRWJWNSVDXKWJWSWJVEVHRUQVFXIXBWSWJURVFRZXAX
      CTWIWTXCTPAWTXCTFTWTXBTWTXBWJTQTWSTWJVGWJVIVJVKVSVJVLATWIIZWTACVMIWIVNUPG
      IXMDCVOWIVPVQVRVTWAAWSTWHZUMZWOXCWIXLXOXCWJWIXNXCWJPAWJWSWBVLAWJWIIXNACDW
      CVRVTWAWDWEAECWKDWFWG $.
  $}

  ${
    $d a b x y P $.  $d a b x y X $.  $d a b x y Y $.  $d a b x y ph $.
    rrvadd.1 $e |- ( ph -> P e. Prob ) $.
    rrvadd.2 $e |- ( ph -> X e. ( rRndVar ` P ) ) $.
    rrvadd.3 $e |- ( ph -> Y e. ( rRndVar ` P ) ) $.
    $( The sum of two random variables is a random variable.  (Contributed by
       Thierry Arnoux, 4-Jun-2017.) $)
    rrvadd $p |- ( ph -> ( X oF + Y ) e. ( rRndVar ` P ) ) $=
      ( vx vy va vb caddc co cfv wcel cbrsiga cr cv rrvmbfm wceq cof crrv cmbfm
      cdm cmpo cuni cmpt ccom nfmpt1 rrvvf unveldomd eqidd ofoprabco cprb csiga
      cop csx crn domprobsiga brsigarn elrnsiga mp1i sxsiga syl2anc mpbid fveq2
      syl opeq12d cbvmptv mbfmco2 cioo ctg ctx ccn raddcn a1i csigagen sxbrsiga
      eqid df-brsiga cnmbfm mbfmco eqeltrd mpbird ) ACDLUAMZBUBNZOWEBUDZPUCMZOA
      WEHIQQHRIRLMUEZJWGUFZJRZCNZWKDNZUPZUGZUHWHAHIWJQQLCDWOWIWGJJWJWNUIABCEFUJ
      ABDEGUJABEUKAWOULAWIULUMAWGPPUQMZPWOWIABUNOWGUOURUFZOEBUSVGZAPWQOZWSWPWQO
      PQUONOWSAUTPQVAVBZWTPPVCVDWTAKWGPPCDWOWRWTWTACWFOCWHOFABCESVEADWFODWHOGAB
      DESVEJKWJWNKRZCNZXADNZUPWKXATWLXBWMXCWKXACVFWKXADVFVHVIVJAWPPWIVKURVLNZXD
      VMMZXDWIXEXDVNMOAHIXDXDVSZVOVPWPXEVQNTAXDXFVRVPPXDVQNTAVTVPWAWBWCABWEESWD
      $.
  $}

  ${
    $d x C $.  $d x P $.  $d x X $.  $d x ph $.
    rrvmulc.1 $e |- ( ph -> P e. Prob ) $.
    rrvmulc.2 $e |- ( ph -> X e. ( rRndVar ` P ) ) $.
    rrvmulc.3 $e |- ( ph -> C e. RR ) $.
    $( A random variable multiplied by a constant is a random variable.
       (Contributed by Thierry Arnoux, 17-Jan-2017.)  (Revised by Thierry
       Arnoux, 22-May-2017.) $)
    rrvmulc $p |- ( ph -> ( X oFC x. C ) e. ( rRndVar ` P ) ) $=
      ( vx cmul cofc co crrv cfv wcel cbrsiga cr cuni csiga crn rrvmbfm cv cmpt
      cdm cmbfm ccom cvv cprb domprobsiga syl uniexd ofcfval4 brsigarn elrnsiga
      rrvvf mp1i mpbid cioo ctg eqid rmulccn csigagen wceq df-brsiga a1i cnmbfm
      mbfmco eqeltrd mpbird ) ADBIJKZCLMZNVICUCZOUDKZNAVIHPHUABIKUBZDUEVLAHVKQP
      BIDUFPACDEFUNAVKRSQZACUGNVKVNNECUHUIZUJGUKAVKOODVMVOOPRMNOVNNAULOPUMUOZVP
      ADVJNDVLNFACDETUPAOOVMUQSURMZVQAHBVQVQUSGUTOVQVAMVBAVCVDZVRVEVFVGACVIETVH
      $.
  $}

  ${
    $d k n P $.  $d k N $.  $d k n X $.  $d k n ph $.
    rrvsum.1 $e |- ( ph -> P e. Prob ) $.
    rrvsum.2 $e |- ( ph -> X : NN --> ( rRndVar ` P ) ) $.
    rrvsum.3 $e |- ( ( ph /\ N e. NN ) -> S = ( seq 1 ( oF + , X ) ` N ) ) $.
    $( An indexed sum of random variables is a random variable.  (Contributed
       by Thierry Arnoux, 22-May-2017.) $)
    rrvsum $p |- ( ( ph /\ N e. NN ) -> S e. ( rRndVar ` P ) ) $=
      ( vk vn cn wcel wa c1 cfv wi wceq fveq2 eleq1d imbi2d caddc cof cseq crrv
      cv co cz 1z seq1 ax-mp 1nn ffvelrnda mpan2 eqeltrid cuz seqp1 nnuz eleq2s
      ad2antlr cprb ad2antrr simpr peano2nn sylan2 adantr rrvadd eqeltrd expcom
      ex a2d nnind impcom ) ADKLZMCDUAUBZENUCZOZBUDOZHVMAVPVQLZAIUEZVOOZVQLZPAN
      VOOZVQLZPAJUEZVOOZVQLZPAWDNUAUFZVOOZVQLZPAVRPIJDVSNQZWAWCAWJVTWBVQVSNVORS
      TVSWDQZWAWFAWKVTWEVQVSWDVORSTVSWGQZWAWIAWLVTWHVQVSWGVORSTVSDQZWAVRAWMVTVP
      VQVSDVORSTAWBNEOZVQNUGLWBWNQUHVNENUIUJANKLWNVQLUKAKVQNEGULUMUNWDKLZAWFWIA
      WOWFWIPAWOMZWFWIWPWFMZWHWEWGEOZVNUFZVQWOWHWSQZAWFWTWDNUOOKVNENWDUPUQURUSW
      QBWEWRABUTLWOWFFVAWPWFVBWPWRVQLZWFWOAWGKLXAWDVCAKVQWGEGULVDVEVFVGVIVHVJVK
      VLVG $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Preimage set mapping operator
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c oRVC $. $( A small o with RV/C subscript $)

  $( Extend class notation to include the preimage set mapping operator. $)
  corvc $a class oRVC R $.

  ${
    $d a x y R $.
    $( Define the preimage set mapping operator.  In probability theory, the
       notation ` P ( X = A ) ` denotes the probability that a random variable
       ` X ` takes the value ` A ` .  We introduce here an operator which
       enables to write this in Metamath as ` ( P `` ( X oRVC _I A ) ) ` , and
       keep a similar notation.  Because with this notation ` ( X oRVC _I A ) `
       is a set, we can also apply it to conditional probabilities, like in
       ` ( P `` ( X oRVC _I A ) | ( Y oRVC _I B ) ) ) ` .

       The oRVC operator transforms a relation ` R ` into an operation taking a
       random variable ` X ` and a constant ` C ` , and returning the preimage
       through ` X ` of the equivalence class of ` C ` .

       The most commonly used relations are: - equality: ` { X = A } ` as
       ` ( X oRVC _I A ) ` cf. ~ ideq - elementhood: ` { X e. A } ` as
       ` ( X oRVC _E A ) ` cf. ~ epel - less-than: ` { X <_ A } ` as
       ` ( X oRVC <_ A ) `

       Even though it is primarily designed to be used within probability
       theory and with random variables, this operator is defined on generic
       functions, and could be used in other fields, e.g., for continuous
       functions.  (Contributed by Thierry Arnoux, 15-Jan-2017.) $)
    df-orvc $a |- oRVC R =
             ( x e. { x | Fun x } , a e. _V |-> ( `' x " { y | y R a } ) ) $.
  $}

  ${
    $d a x y A $.  $d a x y R $.  $d a x y X $.  $d a x ph $.
    orvcval.1 $e |- ( ph -> Fun X ) $.
    orvcval.2 $e |- ( ph -> X e. V ) $.
    orvcval.3 $e |- ( ph -> A e. W ) $.
    $( Value of the preimage mapping operator applied on a given random
       variable and constant.  (Contributed by Thierry Arnoux, 19-Jan-2017.) $)
    orvcval $p |- ( ph -> ( X oRVC R A ) = ( `' X " { y | y R A } ) ) $=
      ( vx va cv wfun cab cvv ccnv wbr wceq wcel cima corvc cmpo df-orvc a1i wa
      simpl cnveqd simpr breq2d abbidv imaeq12d adantl funeq elex cnvexg imaexg
      elabd syl 3syl ovmpod ) AKLGCKMZNZKOZPVBQZBMZLMZDRZBOZUAZGQZVFCDRZBOZUAZD
      UBZPVOKLVDPVJUCSAKBDLUDUEVBGSZVGCSZUFZVJVNSAVRVEVKVIVMVRVBGVPVQUGUHVRVHVL
      BVRVGCVFDVPVQUIUJUKULUMAVCGNKGEIHVBGUNURACFTCPTJCFUOUSAGETVKPTVNPTIGEUPVK
      VMPUQUTVA $.

    $d y z A $.  $d y z R $.  $d z X $.
    $( Another way to express the value of the preimage mapping operator.
       (Contributed by Thierry Arnoux, 19-Jan-2017.) $)
    orvcval2 $p |- ( ph -> ( X oRVC R A ) = { z e. dom X | ( X ` z ) R A } ) $=
      ( vy corvc co ccnv cv wbr cab cima crab wceq cfv wcel orvcval funfn sylib
      cdm wfn wfun fncnvima2 syl fvex breq1 elab rabbii a1i 3eqtrd ) AGCDLMGNKO
      ZCDPZKQZRZBOZGUAZUSUBZBGUFZSZVBCDPZBVDSZAKCDEFGHIJUCAGVDUGZUTVETAGUHVHHGU
      DUEBVDUSGUIUJVEVGTAVCVFBVDURVFKVBVAGUKUQVBCDULUMUNUOUP $.

    $( Elementhood of a preimage.  (Contributed by Thierry Arnoux,
       21-Jan-2017.) $)
    elorvc $p |- ( ( ph /\ z e. dom X ) ->
                              ( z e. ( X oRVC R A ) <-> ( X ` z ) R A ) ) $=
      ( cv corvc co wcel cdm cfv wbr crab wa orvcval2 eleq2d rabid bitrdi baibd
      ) ABKZGCDLMZNZUEGOZNZUEGPCDQZAUGUEUJBUHRZNUIUJSAUFUKUEABCDEFGHIJTUAUJBUHU
      BUCUD $.
  $}

  ${
    orvccel.1 $e |- ( ph -> S e. U. ran sigAlgebra ) $.
    orvccel.2 $e |- ( ph -> J e. Top ) $.
    orvccel.3 $e |- ( ph -> X e. ( S MblFnM ( sigaGen ` J ) ) ) $.
    orvccel.4 $e |- ( ph -> A e. V ) $.
    $d y A $.  $d y R $.  $d y X $.  $d y J $.
    $( The value of the preimage mapping operator can be restricted to
       preimages in the base set of the topology.  Cf. ~ orvcval .
       (Contributed by Thierry Arnoux, 21-Jan-2017.) $)
    orvcval4 $p |- ( ph ->
                        ( X oRVC R A ) = ( `' X " { y e. U. J | y R A } ) ) $=
      ( cima cuni co wceq ctop wf wcel cvv ccnv wbr cab cin corvc crab wfun crn
      cv wss csigagen sgsiga isanmbfm mbfmfun mbfmf elex unisg 3syl feq3d mpbid
      cfv frnd fimacnvinrn2 syl2anc cmbfm orvcval dfrab2 a1i imaeq2d 3eqtr4d )
      AHUAZBUICDUBZBUCZMZVKVMFNZUDZMZHCDUEOVKVLBVOUFZMAHUGHUHVOUJVNVQPAHAEFUKVA
      ZHIAFQJULZKUMUNZAENZVOHAWBVSNZHRWBVOHRAEVSHIVTKUOAWCVOHWBAFQSFTSWCVOPJFQU
      PFTUQURUSUTVBVMVOHVCVDABCDEVSVEOGHWAKLVFAVRVPVKVRVPPAVLBVOVGVHVIVJ $.

    ${
      orvcoel.5 $e |- ( ph -> { y e. U. J | y R A } e. J ) $.
      $( If the relation produces open sets, preimage maps by a measurable
         function are measurable sets.  (Contributed by Thierry Arnoux,
         21-Jan-2017.) $)
      orvcoel $p |- ( ph -> ( X oRVC R A ) e. S ) $=
        ( corvc co ccnv cv wbr cuni ctop crab cima orvcval4 csigagen cfv sgsiga
        wcel wss sssigagen syl sseldd mbfmcnvima eqeltrd ) AHCDNOHPBQCDRBFSUAZU
        BEABCDEFGHIJKLUCAUNEFUDUEZHIAFTJUFKAFUOUNAFTUGFUOUHJFTUIUJMUKULUM $.
    $}

    ${
      orvccel.5 $e |- ( ph -> { y e. U. J | y R A } e. ( Clsd ` J ) ) $.
      $( If the relation produces closed sets, preimage maps by a measurable
         function are measurable sets.  (Contributed by Thierry Arnoux,
         21-Jan-2017.) $)
      orvccel $p |- ( ph -> ( X oRVC R A ) e. S ) $=
        ( corvc co ccnv cv wbr cfv ctop cuni crab cima orvcval4 csigagen sgsiga
        ccld wcel wss cldssbrsiga syl sseldd mbfmcnvima eqeltrd ) AHCDNOHPBQCDR
        BFUAUBZUCEABCDEFGHIJKLUDAUOEFUESZHIAFTJUFKAFUGSZUPUOAFTUHUQUPUIJFUJUKMU
        LUMUN $.
    $}
  $}

  ${
    orrvccel.1 $e |- ( ph -> P e. Prob ) $.
    orrvccel.2 $e |- ( ph -> X e. ( rRndVar ` P ) ) $.

    $d z A $.  $d z R $.  $d z X $.
    orrvccel.4 $e |- ( ph -> A e. V ) $.
    $( Elementhood of a preimage for a real-valued random variable.
       (Contributed by Thierry Arnoux, 21-Jan-2017.) $)
    elorrvc $p |- ( ( ph /\ z e. U. dom P ) ->
                                 ( z e. ( X oRVC R A ) <-> ( X ` z ) R A ) ) $=
      ( cv cdm cuni wcel wa corvc co cfv wbr syl rrvdm eleq2d biimprd imdistani
      wb crrv wfn wfun rrvfn fnfun elorvc ) ABKZDLMZNZOAULGLZNZOULGCEPQNULGRCES
      UEAUNUPAUPUNAUOUMULADGHIUAUBUCUDABCEDUFRFGAGUMUGGUHADGHIUIUMGUJTIJUKT $.

    $d y A $.  $d y R $.  $d y X $.
    $( The value of the preimage mapping operator can be restricted to
       preimages of subsets of ` RR ` .  (Contributed by Thierry Arnoux,
       21-Jan-2017.) $)
    orrvcval4 $p |- ( ph ->
                          ( X oRVC R A ) = ( `' X " { y e. RR | y R A } ) ) $=
      ( co crn cfv cuni crab cima cr wcel cbrsiga cmbfm corvc ccnv wbr cioo ctg
      cdm cprb csiga domprobsiga syl ctop retop a1i csigagen crrv rrvmbfm mpbid
      cv df-brsiga oveq2i eleqtrdi orvcval4 wceq uniretop rabeq imaeq2i eqtr4di
      ax-mp ) AGCEUAKGUBZBURCEUCZBUDLUEMZNZOZPVIVJBQOZPABCEDUFZVKFGADUGRVOUHLNR
      HDUIUJVKUKRAULUMAGVOSTKZVOVKUNMZTKAGDUOMRGVPRIADGHUPUQSVQVOTUSUTVAJVBVNVM
      VIQVLVCVNVMVCVDVJBQVLVEVHVFVG $.

    ${
      orrvcoel.5 $e |- ( ph ->
                              { y e. RR | y R A } e. ( topGen ` ran (,) ) ) $.
      $( If the relation produces open sets, preimage maps of a random variable
         are measurable sets.  (Contributed by Thierry Arnoux, 21-Jan-2017.) $)
      orrvcoel $p |- ( ph -> ( X oRVC R A ) e. dom P ) $=
        ( crn cfv wcel cuni cbrsiga cmbfm co crab cr cdm cioo csiga domprobsiga
        ctg cprb syl ctop retop a1i csigagen crrv rrvmbfm mpbid oveq2i eleqtrdi
        df-brsiga cv wbr wceq uniretop rabeq ax-mp eqeltrrid orvcoel ) ABCEDUAZ
        UBLUEMZFGADUFNVFUCLONHDUDUGVGUHNAUIUJAGVFPQRZVFVGUKMZQRAGDULMNGVHNIADGH
        UMUNPVIVFQUQUOUPJABURCEUSZBVGOZSZVJBTSZVGTVKUTVMVLUTVAVJBTVKVBVCKVDVE
        $.
    $}

    ${
      orrvccel.5 $e |- ( ph ->
                   { y e. RR | y R A } e. ( Clsd ` ( topGen ` ran (,) ) ) ) $.
      $( If the relation produces closed sets, preimage maps are measurable
         sets.  (Contributed by Thierry Arnoux, 21-Jan-2017.) $)
      orrvccel $p |- ( ph -> ( X oRVC R A ) e. dom P ) $=
        ( crn cfv wcel cuni cbrsiga cmbfm co crab cr cdm cioo csiga domprobsiga
        ctg cprb syl ctop retop a1i csigagen crrv rrvmbfm mpbid oveq2i eleqtrdi
        df-brsiga cv wbr ccld wceq uniretop rabeq ax-mp eqeltrrid orvccel ) ABC
        EDUAZUBLUEMZFGADUFNVGUCLONHDUDUGVHUHNAUIUJAGVGPQRZVGVHUKMZQRAGDULMNGVIN
        IADGHUMUNPVJVGQUQUOUPJABURCEUSZBVHOZSZVKBTSZVHUTMTVLVAVNVMVAVBVKBTVLVCV
        DKVEVF $.
    $}
  $}

  ${
    $d x A $.  $d x X $.  $d x ph $.
    orvcgteel.1 $e |- ( ph -> P e. Prob ) $.
    orvcgteel.2 $e |- ( ph -> X e. ( rRndVar ` P ) ) $.
    orvcgteel.3 $e |- ( ph -> A e. RR ) $.
    $( Preimage maps produced by the "greater than or equal to" relation are
       measurable sets.  (Contributed by Thierry Arnoux, 5-Feb-2017.) $)
    orvcgteel $p |- ( ph -> ( X oRVC `' <_ A ) e. dom P ) $=
      ( vx cle cr wbr crab cpnf cfv wa cxr wcel adantr ad2antrl jca ccnv cv crn
      cico co cioo ctg ccld clt simpr brcnvg syl2anc pm5.32da rexr simprr ltpnf
      simprl simprrl simprrr xrre3 syl22anc impbida bitrd rabbidva2 rexrd pnfxr
      wb wceq icoval sylancl eqtr4d icopnfcld syl eqeltrd orrvccel ) AHBCIUAZJD
      EFGAHUBZBVPKZHJLZBMUDUEZUFUCUGNUHNZAVSBVQIKZVQMUIKZOZHPLZVTAVRWDHJPAVQJQZ
      VROWFWBOZVQPQZWDOZAWFVRWBAWFOWFBJQZVRWBVGAWFUJAWJWFGRVQBJJIUKULUMAWGWIAWG
      OZWHWDWFWHAWBVQUNSWKWBWCAWFWBUOWFWCAWBVQUPSTTAWIOZWFWBWLWHWJWBWCWFAWHWDUQ
      AWJWIGRAWHWBWCURZAWHWBWCUSVQBUTVAWMTVBVCVDABPQMPQVTWEVHABGVEVFHBMVIVJVKAW
      JVTWAQGBVLVMVNVO $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Distribution Functions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    dstrvprob.1 $e |- ( ph -> P e. Prob ) $.
    dstrvprob.2 $e |- ( ph -> X e. ( rRndVar ` P ) ) $.

    ${
      $d a x A $.  $d a P $.  $d a x X $.  $d a x ph $.
      orvcelel.1 $e |- ( ph -> A e. BrSiga ) $.
      $( Preimage maps produced by the membership relation.  (Contributed by
         Thierry Arnoux, 6-Feb-2017.) $)
      orvcelval $p |- ( ph -> ( X oRVC _E A ) = ( `' X " A ) ) $=
        ( vx cep corvc co ccnv cv cr crab cima cbrsiga wcel syl wceq wbr cin wb
        orrvcval4 epelg rabbidv a1i wss cuni elssuni unibrsiga sseqtrdi sseqin2
        dfin5 sylib 3eqtr2d imaeq2d eqtrd ) ADBIJKDLZHMZBIUAZHNOZPUSBPAHBCIQDEF
        GUDAVBBUSAVBUTBRZHNOZNBUBZBAVAVCHNABQRZVAVCUCGUTBQUESUFVEVDTAHNBUNUGABN
        UHZVEBTAVFVGGVFBQUINBQUJUKULSBNUMUOUPUQUR $.

      $( Preimage maps produced by the membership relation are measurable sets.
         (Contributed by Thierry Arnoux, 5-Feb-2017.) $)
      orvcelel $p |- ( ph -> ( X oRVC _E A ) e. dom P ) $=
        ( va cep corvc co ccnv cima cdm orvcelval wcel cbrsiga wral rrvfinvima
        cv wceq wa simpr imaeq2d eleq1d rspcdv mpd eqeltrd ) ADBIJKDLZBMZCNZABC
        DEFGOAUIHTZMZUKPZHQRUJUKPZAHCDEFSAUNUOHBQGAULBUAZUBZUMUJUKUQULBUIAUPUCU
        DUEUFUGUH $.
    $}

    ${
      $d a P $.  $d a X $.
      dstrvprob.3 $e |- ( ph ->
                           D = ( a e. BrSiga |-> ( P ` ( X oRVC _E a ) ) ) ) $.
      ${
        $d a A $.
        dstrvval.1 $e |- ( ph -> A e. BrSiga ) $.
        $( The value of the distribution of a random variable.  (Contributed by
           Thierry Arnoux, 9-Feb-2017.) $)
        dstrvval $p |- ( ph -> ( D ` A ) = ( P ` ( `' X " A ) ) ) $=
          ( cfv cbrsiga cv cep corvc co cmpt ccnv wceq fveq2d cima fveq1d oveq2
          wcel eqid fvex fvmpt syl orvcelval 3eqtrd ) ABCKBFLEFMZNOZPZDKZQZKZEB
          ULPZDKZERBUAZDKABCUOIUBABLUDUPURSJFBUNURLUOUKBSUMUQDUKBEULUCTUOUEUQDU
          FUGUHAUQUSDABDEGHJUITUJ $.
      $}

      $d a x D $.  $d a x ph $.
      $( The distribution of a random variable is a probability law.  (TODO:
         could be shortened using ~ dstrvval ).  (Contributed by Thierry
         Arnoux, 10-Feb-2017.) $)
      dstrvprob $p |- ( ph -> D e. Prob ) $=
        ( wcel cfv c1 wceq cbrsiga cc0 c0 wa syl cr fveq2d eqtrd cmeas crn cuni
        vx cdm cprb cpnf cicc co wf cv com cdom wbr wdisj cesum wi cpw wral cep
        corvc adantr crrv simpr orvcelel prob01 syl2anc cxr cle rexrd elunitge0
        elunitrn elxrge0 sylanbrc fmpt3d oveq2d csiga brsigarn elrnsiga 0elsiga
        ccnv cima mp2b probvalrnd fvmptd orvcelval fveq2i probnul syl5eq 3eqtrd
        a1i ima0 ciun wfun rrvvf ad2antrr unipreima domprobmeas nfdisj1 simplll
        ffund nfan simpllr elelpwi rrvfinvima r19.21bi ex ralrimi simprl simprr
        nfv disjpreima measvuni syl112anc cmpt simplr sigaclcu syl3anc dstrvval
        fvmpt2d esumeq2d 3eqtr4d ralrimiva w3a wb ismeas syl3anbrc dmeqd dmmptg
        mp1i eleqtrrd measbasedom sylibr unieqd unibrsiga eqtrdi baselsiga 1red
        fimacnv probtot elprob ) ABUAUBUCIZBUEZUCZBJZKLBUFIABUUCUAJZIUUBABMUAJZ
        UUFAMNUGUHUIZBUJZOBJZNLZUDUKZULUMUNZEUULEUKZUOZPZUULUCZBJZUULUUNBJZEUPZ
        LZUQZUDMURZUSZBUUGIZAEMDUUNUTVAZUIZCJZUUHBHAUUNMIZPZUVHNKUHUIZIZUVHUUHI
        ZUVJCUFIZUVGCUEZIUVLAUVNUVIFVBZUVJUUNCDUVPADCVCJIZUVIGVBAUVIVDVEUVGCVFV
        GZUVLUVHVHINUVHVIUNUVMUVLUVHUVHVLVJUVHVKUVHVMVNQZVOAUUJDOUVFUIZCJZDWAZO
        WBZCJZNAEOUVHUWAMBRHAUUNOLZPZUVGUVTCUWFUUNODUVFAUWEVDVPSOMIZAMRVQJIZMVQ
        UBUCIZUWGVRMRVSZMVTWCWKZAUVTCFAOCDFGUWKVEWDWEAUVTUWCCAOCDFGUWKWFSAUWDOC
        JZNUWCOCUWBWLWGAUVNUWLNLFCWHQWIWJAUVBUDUVCAUULUVCIZPZUUPUVAUWNUUPPZUWBU
        UQWBZCJZUULUWBUUNWBZCJZEUPZUURUUTUWOUWQEUULUWRWMZCJZUWTUWODWNZUWQUXBLUW
        OUVOUCZRDAUXDRDUJZUWMUUPACDFGWOZWPXAZUXCUWPUXACEUULDWQSQUWOCUVOUAJIZUWR
        UVOIZEUULUSUUMEUULUWRUOZUXBUWTLUWOUVNUXHAUVNUWMUUPFWPZCWRQUWOUXIEUULUWN
        UUPEUWNEXKUUMUUOEUUMEXKEUULUUNWSXBXBZUWOUUNUULIZUXIUWOUXMPZAUVIUXIAUWMU
        UPUXMWTZUXNUXMUWMUVIUWOUXMVDAUWMUUPUXMXCUUNUULMXDVGZAUXIEMAECDFGXEXFVGX
        GXHUWNUUMUUOXIZUWOUXCUUOUXJUXGUWNUUMUUOXJEUULUUNDXLVGEUULUWRUVOCXMXNTUW
        OUUQBCDEUXKAUVQUWMUUPGWPZABEMUVHXOZLUWMUUPHWPUWOUWIUWMUUMUUQMIUWHUWIUWO
        VRUWJYJAUWMUUPXPUXQUULMXQXRXSUWOUULUUSUWSEUXLUWOUUSUWSLZEUULUXLUWOUXMUX
        TUXNUUSUVHUWSUXNAUVIUUSUVHLUXOUXPAEMUVHBUVKHUVRXTVGUXNUVGUWRCUXNUUNCDUW
        OUVNUXMUXKVBUWOUVQUXMUXRVBUXPWFSTXGXHYAYBXGYCUWHUWIUVEUUIUUKUVDYDYEVRUW
        JUDEMBYFWCYGAUUCMUAAUUCUXSUEZMABUXSHYHAUVMEMUSUYAMLAUVMEMUVSYCEMUVHUUHY
        IQTZSYKBYLYMAUUERBJKAUUDRBAUUDMUCRAUUCMUYBYNYOYPSAERUVHKMBRHAUUNRLZPZUV
        HUWBRWBZCJZKUYDUVGUYECUYDUVGDRUVFUIZUYEUYDUUNRDUVFAUYCVDVPAUYGUYELUYCAR
        CDFGUWHRMIAVRRMYQYJZWFVBTSAUYFKLUYCAUYFUXDCJZKAUYEUXDCAUXEUYEUXDLUXFUXD
        RDYSQSAUVNUYIKLFCYTQTVBTUYHAYRWETBUUAVN $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Cumulative Distribution Functions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    dstfrv.1 $e |- ( ph -> P e. Prob ) $.
    dstfrv.2 $e |- ( ph -> X e. ( rRndVar ` P ) ) $.

    ${
      $d x A $.  $d x X $.  $d x ph $.
      orvclteel.1 $e |- ( ph -> A e. RR ) $.
      $( Preimage maps produced by the "less than or equal to" relation are
         measurable sets.  (Contributed by Thierry Arnoux, 4-Feb-2017.) $)
      orvclteel $p |- ( ph -> ( X oRVC <_ A ) e. dom P ) $=
        ( vx cle cr cv wbr crab cmnf cfv wa cxr wcel ad2antrl jca cioc cioo crn
        co ctg ccld clt rexr simprr simprl adantr simprrl simprrr xrre syl22anc
        mnflt impbida rabbidva2 mnfxr rexrd iocval sylancr eqtr4d iocmnfcld syl
        wceq eqeltrd orrvccel ) AHBCIJDEFGAHKZBILZHJMZNBUAUDZUBUCUEOUFOZAVKNVIU
        GLZVJPZHQMZVLAVJVOHJQAVIJRZVJPZVIQRZVOPZAVRPZVSVOVQVSAVJVIUHSWAVNVJVQVN
        AVJVIUPSAVQVJUITTAVTPZVQVJWBVSBJRZVNVJVQAVSVOUJAWCVTGUKAVSVNVJULAVSVNVJ
        UMZVIBUNUOWDTUQURANQRBQRVLVPVFUSABGUTHNBVAVBVCAWCVLVMRGBVDVEVGVH $.

      $d x B $.
      dstfrvel.1 $e |- ( ph -> B e. U. dom P ) $.
      dstfrvel.2 $e |- ( ph -> ( X ` B ) <_ A ) $.
      $( Elementhood of preimage maps produced by the "less than or equal to"
         relation.  (Contributed by Thierry Arnoux, 13-Feb-2017.) $)
      dstfrvel $p |- ( ph -> B e. ( X oRVC <_ A ) ) $=
        ( vx ccnv cv cle wbr cr crab wcel cdm eleqtrrd cima corvc co cuni rrvvf
        cfv ffvelrnd breq1 elrab sylanbrc wb ffund rrvdm fvimacnv syl2anc mpbid
        wfun orrvcval4 ) ACELKMZBNOZKPQZUAZEBNUBUCACEUFZVARZCVBRZAVCPRVCBNOZVDA
        DSUDZPCEADEFGUEZIUGJUTVFKVCPUSVCBNUHUIUJAEUQCESZRVDVEUKAVGPEVHULACVGVII
        ADEFGUMTCVAEUNUOUPAKBDNPEFGHURT $.
    $}

    ${
      $d n x P $.  $d n x X $.  $d n x ph $.
      $( The limit of all preimage maps by the "less than or equal to" relation
         is the universe.  (Contributed by Thierry Arnoux, 12-Feb-2017.) $)
      dstfrvunirn $p |- ( ph ->
                         U. ran ( n e. NN |-> ( X oRVC <_ n ) ) = U. dom P ) $=
        ( vx cuni cn cle co wcel wa cfv c1 wbr cr breq2 adantr simpr corvc ciun
        cdm cmpt crn wrex clt cif cfl caddc 1red rrvvf ffvelrnda ifcld 1le1 a1i
        cv wn lenltd biimpar ifbothda flge1nn syl2anc peano2nnd cprb crrv nnred
        ltled leidd fllep1 letrd dstfrvel wceq oveq2 eleq2d rspcev ex orvclteel
        syl wi elunii expcom rexlimdva impbid eliun bitr4di ovex dfiun3 eqtr2di
        eqrdv ) ABUCZHZCIDCUQZJUAZKZUBZCIWOUDUEHAGWLWPAGUQZWLLZWQWOLZCIUFZWQWPL
        AWRWTAWRWTAWRMZWQDNZOUGPZOXBUHZUINZOUJKZILWQDXFWNKZLZWTXAXEXAXDQLZOXDJP
        ZXEILXAXCOXBQXAUKZAWLQWQDABDEFULUMZUNZXCOOJPZOXBJPZXJXAOXBOXDOJRXBXDOJR
        XNXAXCMZUOUPXAXOXCURZXAOXBXKXLUSUTVAXDVBVCVDZXAXFWQBDABVELZWRESADBVFNLZ
        WRFSXAXFXRVGZAWRTXAXBXDXFXLXMYAXCXBOJPXBXBJPZXBXDJPXAOXBOXDXBJRXBXDXBJR
        XPXBOXAXBQLXCXLSXPUKXAXCTVHXAYBXQXAXBXLVISVAXAXIXDXFJPXMXDVJVSVKVLWSXHC
        XFIWMXFVMWOXGWQWMXFDWNVNVOVPVCVQAWSWRCIAWMILZMZWOWKLZWSWRVTYDWMBDAXSYCE
        SAXTYCFSYDWMAYCTVGVRWSYEWRWQWOWKWAWBVSWCWDCWQIWOWEWFWJCIWODWMWNWGWHWI
        $.
    $}

    ${
      $d x A $.  $d x B $.  $d x X $.  $d x ph $.
      orvclteinc.1 $e |- ( ph -> A e. RR ) $.
      orvclteinc.2 $e |- ( ph -> B e. RR ) $.
      orvclteinc.3 $e |- ( ph -> A <_ B ) $.
      $( Preimage maps produced by the "less than or equal to" relation are
         increasing.  (Contributed by Thierry Arnoux, 11-Feb-2017.) $)
      orvclteinc $p |- ( ph -> ( X oRVC <_ A ) C_ ( X oRVC <_ B ) ) $=
        ( vx cle wbr cr crab cima co wss wcel 3ad2ant1 ccnv cv corvc wfun rrvf2
        cdm ffund simp2 simp3 letrd ss2rabdv sspreima syl2anc orrvcval4 3sstr4d
        w3a 3expia ) AEUAZKUBZBLMZKNOZPZURUSCLMZKNOZPZEBLUCZQECVFQAEUDVAVDRVBVE
        RAEUFNEADEFGUEUGAUTVCKNAUSNSZUTVCAVGUTUPUSBCAVGUTUHAVGBNSUTHTAVGCNSUTIT
        AVGUTUIAVGBCLMUTJTUJUQUKVAVDEULUMAKBDLNEFGHUNAKCDLNEFGIUNUO $.
    $}

    dstfrv.3 $e |- ( ph -> F = ( x e. RR |-> ( P ` ( X oRVC <_ x ) ) ) ) $.
    ${
      $d x A $.  $d x B $.  $d x P $.  $d x X $.  $d x ph $.
      dstfrvinc.1 $e |- ( ph -> A e. RR ) $.
      dstfrvinc.2 $e |- ( ph -> B e. RR ) $.
      dstfrvinc.3 $e |- ( ph -> A <_ B ) $.
      $( A cumulative distribution function is nondecreasing.  (Contributed by
         Thierry Arnoux, 11-Feb-2017.) $)
      dstfrvinc $p |- ( ph -> ( F ` A ) <_ ( F ` B ) ) $=
        ( cle co cfv wcel orvclteel cr wceq corvc cdm cprb cmeas syl orvclteinc
        domprobmeas measssd cv wa simpr oveq2d fveq2d probvalrnd fvmptd 3brtr4d
        ) AGCNUAZOZEPZGDUQOZEPZCFPDFPNAURUTEUBZEAEUCQEVBUDPQHEUGUEACEGHIKRZADEG
        HILRZACDEGHIKLMUFUHABCGBUIZUQOZEPZUSSFSJAVECTZUJZVFUREVIVECGUQAVHUKULUM
        KAUREHVCUNUOABDVGVASFSJAVEDTZUJZVFUTEVKVEDGUQAVJUKULUMLAUTEHVDUNUOUP $.
    $}

    $d a i n x P $.  $d a i n x X $.  $d i F $.  $d a i n x ph $.
    $( The limit of the cumulative distribution function is one.  (Contributed
       by Thierry Arnoux, 12-Feb-2017.)  (Revised by Thierry Arnoux,
       11-Jul-2017.) $)
    dstfrvclim1 $p |- ( ph -> F ~~> 1 ) $=
      ( vi va c1 wbr cn cfv cmpt co cc0 cpnf wcel wceq vn cli cv cle corvc ccom
      crn cuni cxrs cicc cress ctopn clm cdm eqid cprb cmeas domprobmeas syl wa
      adantr crrv simpr nnred orvclteel fmpttd caddc peano2nnd lep1d orvclteinc
      eqidd oveq2d fvmptd 3sstr4d meascnbl wfn measfn dffn5 biimpi prob01 sylan
      wf 3syl fmpt3d fco syl2anc dstfrvunirn unveldomd eqeltrd cxr clt cico wss
      0xr pnfxr cr 1re ltpnf ax-mp iccssico mp4an lmlimxrge0 mpbid fveq2 fmptco
      0le0 fveq2d probvalrnd mpteq2dva eqtr4d probtot eqtrd 3brtr3d cz cvv reex
      wb 1z mptex eqeltrdi nnuz climmpt sylancr mpbird ) ADKUBLZIMIUCZDNZOZKUBL
      ZACIMEYFUDUEZPZOZUFZYLUGUHZCNZYHKUBAYMYOUIQRUJPUKPULNZUMNLYMYOUBLACUNZUAY
      LYPCYPUOZACUPSZCYQUQNSZFCURUSZAIMYKYQAYFMSZUTZYFCEAYSUUBFVAZAECVBNSZUUBGV
      AUUCYFAUUBVCVDZVEZVFZAUAUCZMSZUTZEUUIYJPZEUUIKVGPZYJPZUUIYLNUUMYLNUUKUUIU
      UMCEAYSUUJFVAZAUUEUUJGVAZUUKUUIAUUJVCZVDZUUKUUMUUKUUIUUQVHZVDZUUKUUIUURVI
      VJUUKIUUIYKUULMYLYQUUKYLVKZUUKYFUUITZUTYFUUIEYJUUKUVBVCVLUUQUUKUUICEUUOUU
      PUURVEVMUUKIUUMYKUUNMYLYQUVAUUKYFUUMTZUTYFUUMEYJUUKUVCVCVLUUSUUKUUMCEUUOU
      UPUUTVEVMVNVOAYOYMYPQKUJPZYRAYQUVDCWBMYQYLWBMUVDYMWBAJYQJUCZCNZUVDCAYTCYQ
      VPZCJYQUVFOTZUUAYQCVQUVGUVHJYQCVRVSWCZAYSUVEYQSUVFUVDSFUVECVTWAWDUUHMYQUV
      DCYLWEWFAYSYNYQSYOUVDSFAYNYQUHZYQACIEFGWGZACFWHWIYNCVTWFQWJSRWJSQQUDLKRWK
      LZUVDQRWLPWMWNWOXFKWPSUVLWQKWRWSQRQKWTXAXBXCAYMIMYKCNZOYHAIJMYQYKUVFUVMYL
      CUUGAYLVKUVIUVEYKCXDXEAIMYGUVMUUCBYFEBUCZYJPZCNZUVMWPDWPADBWPUVPOZTUUBHVA
      UUCUVNYFTZUTZUVOYKCUVSUVNYFEYJUUCUVRVCVLXGUUFUUCYKCUUDUUGXHVMXIXJAYOUVJCN
      ZKAYNUVJCUVKXGAYSUVTKTFCXKUSXLXMAKXNSDXOSYEYIXQXRADUVQXOHBWPUVPXPXSXTKIDY
      HKXOMYAYHUOYBYCYD $.

    $( The limit at minus infinity of the cumulative distribution function is
       zero. $)
    $( dstfrvclim0 #p |- ( ph -> ( x e. RR |-> ( F ` -u x ) ) ~~> 0 ) $=
      $. $)
  $}

$(

@(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Expected Value
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
@)

  @c Exp @. @( Symbol for the expected value, 'exp' @)

  cexpt @a class Exp @.

  @( Define the expected value of a random variable as the integral of the
     variable, over the entire probability space. An expected value is defined
     with respect to a given probability measure ` p ` .
     (Contributed by Thierry Arnoux, 15-Jan-2017.) @)
  df-expt @a |- Exp = ( p e. Prob |->
    ( x e. ( rRndVar ` p ) |-> S.m U. dom p x _d p ) ) @.

  @{
    @d p x P @. @d p x ph @. @d x X @.
    exptval.1 @e |- ( ph -> P e. Prob ) @.
    exptval.2 @e |- ( ph -> E = ( Exp ` P ) ) @.
    @{
      exptval.3 @e |- ( ph -> X e. ( rRndVar ` P ) ) @.
      @( Expected value with respect to probability measure ` P ` .
         (Contributed by Thierry Arnoux, 15-Jan-2017.) @)
      exptval   @p |- ( ph -> ( E ` X ) =  S.m U. dom P X _d P ) @=
        ( vx vp cdm cuni cv citgm crrv cfv cexpt cmpt cvv wceq eqidd cr df-expt
        cprb a1i wa simpr fveq2d dmeqd unieqd itgmeq123dTMP mpteq12dv wcel fvex
        mptexg mp1i fvmptd eqtrd probmeasd rrvf2 rrvdmss probtotrnd itgmclrdTMP
        unveldomd ) AHDBJZKZHLZBMZVEDBMBNOZCUAACBPOHVHVGQZFAIBHILZNOZVJJZKZVFVJ
        MZQZVIUCPRPIUCVOQSAHIUBUDAVJBSZUEZHVKVNVHVGVQVJBNAVPUFZUGVQVMVEBVFVFVJV
        QVLVDVQVJBVRUHUIVQVFTVRUJUKEVHRULVIRULABNUMHVHVGRUNUOUPUQAVFDSZUEZVEVEB
        VFDBVTVETAVSUFVTBTUJGAVEDBABEURABDEGUSABDEGUTABEVCABEVAVBUP @.

      @( Expected values are real numbers.
         (Contributed by Thierry Arnoux, 20-Jan-2017.) @)
      exptvrn   @p |- ( ph -> ( E ` X ) e. RR ) @=
        ( cfv cdm citgm cr exptval probmeasd rrvf2 rrvdmss unveldomd probvalrnd
        cuni itgmclrdTMP eqeltrd ) ADCHBIRZDBJKABCDEFGLAUADBABEMABDEGNABDEGOABE
        PZAUABEUBQST @.
    @}

    @{
      exptind.1 @e |- ( ph -> A e. dom P ) @.
      @( The expected value of the indicator function of the set ` A `
         is the probability of ` A ` .
         (Contributed by Thierry Arnoux, 20-Jan-2017.) @)
      exptind   @p |- ( ph -> ( E ` ( U. dom P _Ind A ) ) = ( P ` A ) ) @=
        ( cfv citgm cun wcel wceq syl co cc0 c0 a1i cres cuni cdif crrv syl2anc
        cdm cind cprb indrrv fveq1d eleq1d mpbird exptval wss undif itgmeq1dTMP
        elssuni sylib cxad cin disjdif itgmunTMP c1 csn cxp itgmresTMP unveldom
        cmul indval2 eqtrd reseq1d resundir ssid xpssres ax-mp eqeq1i xpdisjres
        incom mpbi uneq12i un0 3eqtri eqtrdi itgmeq2dTMP 3eqtr3rd cr probvalrnd
        inidm 1re itgmcst recnd mulid2 3eqtrd uncom eqtri csiga crn domprobsiga
        cc difelsiga syl3anc 0re mul02 oveq12d cxr rexrd xaddid1 3eqtr2d ) ABEJ
        ZDJCUEZUAZXHCKBXJBUBZLZXHCKZBCJZACDXHFGAXHCUCJZMBXJUFJZJZXOMZACUGMZBXIM
        ZXRFHBCUHUDAXHXQXOABEXPIUIZUJUKULAXLXJXHCABXJUMZXLXJNAXTYBHBXIUPOZBXJUN
        UQUOAXMBXHCKZXKXHCKZURPXNQURPZXNABXKXHCBXKUSZRNZABXJUTZSVAAYDXNYEQURAYD
        BBVBVCZVDZCKZVBXNVGPZXNABXHBTZCKZBBUSZXHCKZYLYDYOYQNABBXHCVESABYNYKCAYN
        YKXKQVCZVDZLZBTZYKAXHYTBAXHXQYTYAAXJXIMZYBXQYTNAXSUUBFCVFOZYCBXJXIVHUDV
        IZVJUUAYKBTZYSBTZLYKRLYKYKYSBVKUUEYKUUFRBBUMZUUEYKNBVLZBYJBVMVNXKBUSZRN
        ZUUFRNYHUUJYIYGUUIRBXKVQVOVRXKYRBVPVNVSYKVTWAWBWCAYPBXHCYPBNABWGSUOWDAB
        BVBCHUUGAUUHSVBWEMAWHSABCFHWFZWIAXNWRMYMXNNAXNUUKWJXNWKOWLAYEXKYSCKZQXK
        CJZVGPZQAXKXHXKTZCKZXKXKUSZXHCKZUULYEUUPUURNAXKXKXHCVESAXKUUOYSCAUUOYTX
        KTZYSAXHYTXKUUDVJUUSYKXKTZYSXKTZLRYSLZYSYKYSXKVKUUTRUVAYSYHUUTRNYIBYJXK
        VPVNXKXKUMZUVAYSNXKVLZXKYRXKVMVNVSUVBYSRLYSRYSWMYSVTWNWAWBWCAUUQXKXHCUU
        QXKNAXKWGSUOWDAXKXKQCAXIWOWPUAMZUUBXTXKXIMAXSUVEFCWQOUUCHXJBXIWSWTZUVCA
        UVDSQWEMAXASAXKCFUVFWFZWIAUUMWRMUUNQNAUUMUVGWJUUMXBOWLXCAXNXDMYFXNNAXNU
        UKXEXNXFOWLXG @.
    @}

    expt.3 @e |- ( ph -> X e. ( rRndVar ` P ) ) @.
    @{
      exptmulc.1 @e |- ( ph -> C e. RR ) @.
      @( The expected value of a random variable multiplied by a constant.
         (Contributed by Thierry Arnoux, 16-Jan-2017.) @)
      exptmulc   @p |- ( ph -> ( E ` ( X oFC x. C ) ) = ( ( E ` X ) x. C ) ) @=
        ( cdm cuni cmul cofc co citgm cfv probmeasd rrvf2 rrvdmss exptval
        unveldomd probtotrnd itgmmulc2TMP rrvmulc oveq1d 3eqtr4d ) ACJKZEBLMNZC
        OUGECOZBLNUHDPEDPZBLNAUGBECACFQACEFHRACEFHSACFUAACFUBIUCACDUHFGABCEFHIU
        DTAUJUIBLACDEFGHTUEUF @.
    @}

    @{
      exptadd.1 @e |- ( ph -> Y e. ( rRndVar ` P ) ) @.
      @( The sum of expected values is the expected value of the sum.
         (Contributed by Thierry Arnoux, 15-Jan-2017.) @)
      exptadd   @p |- ( ph ->
                          ( E ` ( X oF + Y ) ) = ( ( E ` X ) + ( E ` Y ) ) ) @=
        ( cdm cuni caddc cof co citgm cfv probmeasd rrvf2 rrvdmss exptval
        unveldomd probtotrnd itgmaddTMP rrvadd oveq12d 3eqtr4d ) ABJKZDELMNZBOU
        GDBOZUGEBOZLNUHCPDCPZECPZLNAUGDEBABFQABDFHRABEFIRABDFHSABEFISABFUAABFUB
        UCABCUHFGABDEFHIUDTAUKUIULUJLABCDFGHTABCEFGITUEUF @.

      exptle.1 @e |- ( ph -> X oR <_ Y ) @.
      @( If two random variables compare, so do their expected values.
         (Contributed by Thierry Arnoux, 15-Jan-2017.) @)
      exptle   @p |- ( ph -> ( E ` X ) <_ ( E ` Y ) ) @=
        ( cdm cuni citgm cfv cle cofr wbr itgmleTMP syl exptval 3brtr4d ) ABKLZ
        DBMZUBEBMZDCNECNOADEOPQUCUDOQJUBDEBRSABCDFGHTABCEFGITUA @.
    @}

    @{
      @d b x A @. @d b I @. @d b p x P @. @d b x X @. @d b p x ph @.
      markovneq.1 @e |- ( ph -> A e. RR+ ) @.
      markovneq.2 @e |- ( ( ph /\ b e. U. dom P ) -> 0 <_ ( X ` b ) ) @.
      markovneq.3 @e |- ( ph -> ( E ` X ) e. RR ) @.
      @{
        @( Lemma for Markov's Inequality
           (Contributed by Thierry Arnoux, 21-Jan-2017.)
           (Revised by Thierry Arnoux, 4-Feb-2017.) @)
        markovneqlem   @p |- ( ph ->
                 ( ( U. dom P _Ind ( X oRVC `' <_ A ) ) oFC x. A ) oR <_ X ) @=
          ( cle cmul wcel cc0 cvv cr ccnv corvc co cfv cofc cofr wbr cv cif cdm
          cuni wral wa crp elorrvc ifbid wn wo exmid a1i pm4.24 wb rpred brcnvg
          fvex sylancr adantr anbi2d syl5bb biantrud orbi12d mpbid breq1 elimif
          sylibr ralrimiva crrv cind cprb orvcgteel indrrv fveq1d eleq1d mpbird
          eqbrtrd syl2anc rrvfn csiga domprobsiga elex uniexb sylib ofcfn inidm
          crn 3syl c1 cmpt wss wceq elssuni syl indval eqtrd 1re ifclda fvmpt2d
          0re ofcval ovif rpcnd mulid2d mul02d ifeq12d syl5eq eqidd ofrfval ) A
          FBOUAZUBUCZEUDZBPUEUCZFOUFUGGUHZXSQZBRUIZYBFUDZOUGZGCUJZUKZULAYFGYHAY
          BYHQZUMZYDYEBXRUGZBRUIZYEOYJYCYKBRAGBCXRUNFHJKUOUPYJYKBYEOUGZUMZYKUQZ
          RYEOUGZUMZURZYLYEOUGZYJYKYOURZYRYTYJYKUSUTYJYKYNYOYQYKYKYKUMYJYNYKVAY
          JYKYMYKAYKYMVBZYIAYESQBTQUUAYBFVEABKVCZYEBSTOVDVFVGVHVIYJYPYOLVJVKVLY
          KYSYMYPBRYLBYEOVMYLRYEOVMVNVOWEVPAGYHYHYDYEOYHYAFSSAYHBPXTSTACXTHAXTC
          VQUDZQXSYHVRUDZUDZUUCQZACVSQZXSYGQZUUFHABCFHJUUBVTZXSCWAWFAXTUUEUUCAX
          SEUUDNWBZWCWDWGZAYGSQZYHSQZAUUGYGWHWOUKZQUULHCWIYGUUNWJWPYGWKWLZUUBWM
          ACFHJWGUUOUUOYHWNYJYBYAUDYCWQRUIZBPUCZYDAYHUUPBPXTSTYBUUKUUOUUBAGYHUU
          PXTTAXTUUEGYHUUPWRZUUJAUUMXSYHWSZUUEUURWTUUOAUUHUUSUUIXSYGXAXBGXSYHSX
          CWFXDAUUPTQYIAYCWQRTWQTQAYCUMXEUTRTQAYCUQUMXHUTXFVGXGXIAUUQYDWTYIAUUQ
          YCWQBPUCZRBPUCZUIYDYCWQRBPXJAYCUUTBUVARABABKXKZXLABUVBXMXNXOVGXDYJYEX
          PXQWD @.
      @}

      @( Markov's Inequality
         (Contributed by Thierry Arnoux, 21-Jan-2017.)
         (Revised by Thierry Arnoux, 4-Feb-2017.) @)
      markovneq   @p |- ( ph ->
                         ( P ` ( X oRVC `' <_ A ) ) <_ ( ( E `  X ) / A ) ) @=
        ( vx cle co cfv cmul wbr cr wcel ccnv corvc cdiv cpnf cico cv crab cioo
        rpred crn ctg ccld wb wal wceq wa elicopnf brcnvg expcom pm5.32d bitr4d
        syl rabid bitr4di alrimiv nfcv nfrab1 cleqf icopnfcld eqeltrrd orrvccel
        sylibr probvalrnd remulcld cuni cind cofc cprb orvcgteel indrrv syl2anc
        crrv exptmulc eqidd exptind oveq1d rrvmulc markovneqlem exptle eqbrtrrd
        cdm eqtrd lediv1dd recnd rpne0d divcan4d breq1d mpbid ) AEBNUAZUBOZCPZB
        QOZBUCOZEDPZBUCOZNRXAXENRAXBXDBAXABAWTCGAMBCWSSEGIABJUIZABUDUEOZMUFZBWS
        RZMSUGZUHUJUKPULPZAXHXGTZXHXJTZUMZMUNXGXJUOAXNMAXLXHSTZXIUPZXMAXLXOBXHN
        RZUPZXPABSTZXLXRUMXFBXHUQVBAXSXPXRUMXFXSXOXIXQXOXSXIXQUMXHBSSNURUSUTVBV
        AXIMSVCVDVEMXGXJMXGVFXIMSVGVHVLAXSXGXKTXFBVIVBVJVKZVMZXFVNLJAWTCWKZVOVP
        PZPZBQVQOZDPZXBXDNAYFYDDPZBQOXBABCDYDGHACVRTWTYBTYDCWBPTGABCEGIXFVSWTCV
        TWAZXFWCAYGXABQAWTCDYCGHXTAYCWDZWEWFWLACDYEEGHABCYDGYHXFWGIABCDYCEFGHIJ
        KLYIWHWIWJWMAXCXAXENAXABAXAYAWNABXFWNABJWOWPWQWR @.
    @}

  @}

  @{
    exptsum.1 @e |- ( ph -> P e. Prob ) @.
    exptsum.2 @e |- ( ph -> E = ( Exp ` P ) ) @.
    exptsum.3 @e |- ( ph -> X : NN --> ( rRndVar ` P ) ) @.
    exptsum.4 @e |- ( ( ph /\ N e. NN ) -> S = ( seq 1 ( oF + , X ) ` N ) ) @.
    @( The expected value of an indexed sum of random variables is the sum
       of the expected values.  (Contributed by Thierry Arnoux,
       XX-May-2017.) @)
    exptsum @p |- ( ( ph /\ N e. NN ) ->
                       ( E ` S ) = sum_ i e. ( 1 ... N ) ( E ` ( X ` i ) ) ) @=
      ? @.
  @}

@(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Variance and Covariance
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
@)

  @c Var @. @( Symbol for the variance, 'var' @)
  @c Cov @. @( Symbol for the covariance, 'cov' @)

  cvar @a class Var @.
  ccov @a class Cov @.

  @( Define the variance of a random variable.
     (Contributed by Thierry Arnoux, 15-Jan-2017.) @)
  df-var @a |- Var = ( p e. Prob |-> ( x e. ( rRndVar ` p ) |-> ( ( Exp ` p ) `
  ( ( x oFC - ( ( Exp ` p ) ` x ) ) oFC ^ 2 ) ) ) ) @.

  @( Define the covariance of two random variables.
     (Contributed by Thierry Arnoux, 18-May-2017.) @)
  df-cov @a |- Cov = ( p e. Prob |->
    ( x e. ( rRndVar ` p ) , y e. ( rRndVar ` p ) |-> ( ( Exp ` p ) `
    ( ( x oFC - ( ( Exp ` p ) ` x ) ) oFC x. ( y oFC - ( ( Exp ` p ) ` y ) ) )
    ) ) ) @.

  @{
    @d p x E @. @d p x P @. @d p x ph @. @d x X @.
    varval.1 @e |- ( ph -> P e. Prob ) @.
    varval.2 @e |- ( ph -> E = ( Exp ` P ) ) @.
    varval.3 @e |- ( ph -> V = ( Var ` P ) ) @.
    varval.4 @e |- ( ph -> X e. ( rRndVar ` P ) ) @.
    @( Value of the variance of the random variable ` X ` .
       (Contributed by Thierry Arnoux, 15-Jan-2017.) @)
    varval   @p |- ( ph -> ( V ` X ) =
      ( E ` ( ( X oFC - ( E ` X ) ) oFC ^ 2 ) ) ) @=
      ( vx vp cfv co c2 crrv cvv cvar cmpt wceq fveq2d cmin cofc cexp
      cv cexpt cprb df-var a1i wa adantr eqtr4d fveq1d oveq2d oveq1d
      simpr fveq12d mpteq12dv wcel fvex mptexg fvmptd eqtrd oveq12d
      syl ) AJEJUDZVECLZUAUBZMZNUCUBZMZCLZEECLZVGMZNVIMZCLZBOLZDPADBQ
      LJVPVKRZHAKBJKUDZOLZVEVEVRUELZLZVGMZNVIMZVTLZRZVQUFQPQKUFWERSAJ
      KUGUHAVRBSZUIZJVSWDVPVKWGVRBOAWFUOZTWGWCVJVTCWGVTBUELZCWGVRBUEW
      HTACWISWFGUJUKZWGWBVHNVIWGWAVFVEVGWGVEVTCWJULUMUNUPUQFAVPPURZVQ
      PURWKABOUSUHJVPVKPUTVDVAVBAVEESZUIZVJVNCWMVHVMNVIWMVEEVFVLVGAWL
      UOZWMVEECWNTVCUNTIVOPURAVNCUSUHVA @.

    @( Variances are real numbers.
       (Contributed by Thierry Arnoux, 18-May-2017.) @)
    varvrn   @p |- ( ph -> ( V ` X ) e. RR ) @=
      ? @.

    @( Variances are nonnegative.
       (Contributed by Thierry Arnoux, 18-May-2017.) @)
    varge0   @p |- ( ph -> 0 <_ ( V ` X ) ) @=
      ? @.

    @{
      @d b x A @. @d b I @. @d b p x P @. @d b x X @. @d b p x ph @.
      chebneq.1 @e |- ( ph -> A e. RR+ ) @.
      chebneq.2 @e |- ( ( ph /\ b e. U. dom P ) -> 0 <_ ( X ` b ) ) @.
      chebneq.3 @e |- ( ph -> ( E ` X ) e. RR ) @.
      @( Chebyshev's Inequality @)
      chebneq   @p |- ( ph ->
        ( P ` ( ( abs ` ( X oFC - ( E ` X ) ) ) oRVC `' <_ A ) )
                                              <_ ( ( V ` X ) / ( A ^ 2 ) ) ) @=
        ? @.
     @}
  @}

  @{
    @d p x E @. @d p x P @. @d p x ph @. @d x X @.
    covval.1 @e |- ( ph -> P e. Prob ) @.
    covval.2 @e |- ( ph -> E = ( Exp ` P ) ) @.
    covval.3 @e |- ( ph -> C = ( Cov ` P ) ) @.
    @{
      covval.4 @e |- ( ph -> X e. ( rRndVar ` P ) ) @.
      covval.5 @e |- ( ph -> Y e. ( rRndVar ` P ) ) @.
      @( Value of the variance of the random variable ` X ` .
         (Contributed by Thierry Arnoux, 15-Jan-2017.) @)
      covval   @p |- ( ph -> ( X C Y ) =
        ( E ` ( ( X oFC - ( E ` X ) ) oFC x. ( Y oFC - ( E ` Y ) ) ) ) ) @=
        ? @.

      @( Covariance is symmetric. @)
      covsym @p |- ( ph -> ( X C Y ) = ( Y C X ) ) @=
        ? @.
    @}

    @{
      covid.4 @e |- ( ph -> V = ( Var ` P ) ) @.
      covid.5 @e |- ( ph -> X e. ( rRndVar ` P ) ) @.
      @( The covariance of a random variable with itself is its variance. @)
      covid @p |- ( ph -> ( X C X ) = ( V ` X ) ) @=
        ? @.

    @}

    @{
      varsum.3 @e |- ( ph -> V = ( Var ` P ) ) @.
      varsum.5 @e |- ( ph -> X : NN --> ( rRndVar ` P ) ) @.
      varsum.6 @e |- ( ( ph /\ N e NN ) -> S = ( seq 1 ( oF + , X ) ` N ) ) @.
      @( Sum of the variance of a sequence of random variables ` X ` .
         (Contributed by Thierry Arnoux, XX-May-2017.) @)
      varsum @p |- ( ( ph /\ N e. NN ) -> ( V ` S ) =  sum_ i e. ( 1 ... N )
        sum_ j e. ( 1 ... N ) ( ( X ` i ) C ( X ` j ) ) ) @=
        ? @.

      @( Sum of the variance of a sequence of random variables ` X ` ,
         expressed using the sum of the variances.
         (Contributed by Thierry Arnoux, XX-May-2017.) @)
      varsum2 @p |- ( ( ph /\ N e. NN ) -> ( V ` S ) = (
        sum_ i e. ( 1 ... N ) ( V ` ( X ` i ) ) + ( 2 x. sum_ i e. ( 1 ... N )
        sum_ j e. ( 1 ..^ i ) ( ( X ` i ) C ( X ` j ) ) ) ) ) @=
        ? @.
    @}
  @}

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Probabilities - example
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y H $.  $d x y T $.  $d y P $.  $d y X $.
    $( Coin-flip is a usual example in the probability theory.
       Here we use two sets ` H ` for heads, and ` T ` for tails.
       We assume a uniform probability for heads and tails.
       A random variable ` X ` is defined, yielding to a result of 1 for heads
       and 0 for tails. $)

    coinflip.h $e |- H e. _V $.
    coinflip.t $e |- T e. _V $.
    coinflip.th $e |- H =/= T $.
    coinflip.2 $e |- P = ( ( # |` ~P { H , T } ) oFC / 2 ) $.
    coinflip.3 $e |- X = { <. H , 1 >. , <. T , 0 >. } $.
    $( Division in the extended real numbers can be used for the coin-flip
       example.  (Contributed by Thierry Arnoux, 15-Jan-2017.) $)
    coinfliplem $p |- P = ( ( # |` ~P { H , T } ) oFC /e 2 ) $=
      ( vx chash c2 cdiv co cxdiv wcel wceq cr cfn a1i vy cpr cpw cres cofc cvv
      cv wa cfv simpr fvres syl cn0 wss prfi elpwid ssfi sylancr hashcl eqeltrd
      nn0red cc0 wne 2re 2ne0 rexdiv syl3anc hashresfn pwfi mpbi ofcfeqd2 ax-mp
      wfn eqtr4i ) AKCBUBZUCZUDZLMUENZVQLOUENZHCUFPZVSVRQEVTJUAVPRLMOVQSRVTJUGZ
      VPPZUHZWAVQUIZWAKUIZRWCWBWDWEQVTWBUJZWAVPKUKULWCWEWCWASPZWEUMPWCVOSPZWAVO
      UNWGCBUOZWCWAVOWFUPVOWAUQURWAUSULVAUTVTUAUGZRPZUHZWKLRPZLVBVCZWJLONWJLMNQ
      VTWKUJWMWLVDTWNWLVETWJLVFVGVQVPVMVTVPVHTVPSPZVTWHWOWIVOVIVJTWMVTVDTVKVLVN
      $.

    $( The ` P ` we defined for coin-flip is a probability law.  (Contributed
       by Thierry Arnoux, 15-Jan-2017.) $)
    coinflipprob $p |- P e. Prob $=
      ( chash cfv co cprb c2 wcel wceq eqeltri ax-mp cvv mp2an cres coinfliplem
      cpr cpw cuni cxdiv cofc unipw prex pwid fveq2i wne wb hashprg mpbi 3eqtri
      fvres oveq2i eqtr4i cmeas crp pwcntmeas 2rp probfinmeasb ) AJCBUCZUDZUAZV
      FUEZVGKZUFUGZLZMAVGNVJLVKABCDEFGHIUBVINVGVJVIVHJKZVEJKZNVHVFOVIVLPVHVEVFV
      EUHZVECBUIZUJQVHVFJUQRVHVEJVNUKCBULZVMNPZGCSOBSOVPVQUMEFCBSSUNTUOUPZURUSV
      GVFUTKOZVIVAOVKMOVESOVSVOVESVBRVINVAVRVCQVFVGVDTQ $.

    $( The space of our coin-flip probability.  (Contributed by Thierry Arnoux,
       15-Jan-2017.) $)
    coinflipspace $p |- dom P = ~P { H , T } $=
      ( cdm chash cpr cpw c2 cdiv cvv wcel wfn cr a1i cres cofc dmeqi hashresfn
      co wceq prex pwexg mp1i 2re ofcfn fndm mp2b eqtri ) AJKCBLZMZUAZNOUBUEZJZ
      UPAURHUCCPQZURUPRUSUPUFEUTUPNOUQPSUQUPRUTUPUDTUOPQUPPQUTCBUGUOPUHUINSQUTU
      JTUKUPURULUMUN $.

    $( The universe of our coin-flip probability is ` { H , T } ` .
       (Contributed by Thierry Arnoux, 15-Jan-2017.) $)
    coinflipuniv $p |- U. dom P = { H , T } $=
      ( cdm cuni cpr cpw coinflipspace unieqi unipw eqtri ) AJZKCBLZMZKSRTABCDE
      FGHINOSPQ $.

    $( The ` X ` we defined for coin-flip is a random variable.  (Contributed
       by Thierry Arnoux, 12-Jan-2017.) $)
    coinfliprv $p |- X e. ( rRndVar ` P ) $=
      ( vy wcel cdm cr wf cbrsiga c1 cc0 cpr wss cvv crrv cfv cuni ccnv cv cima
      wral cop wne 1ex c0ex fpr ax-mp feq1i mpbir coinflipuniv feq2i wa 1re 0re
      pm3.2i prss mpbi fss mp2an crn imassrn dfdm4 eqtr3i sseqtri coinflipspace
      fdmi cpw eleq2i prex cnvexg imaexg mp2b elpw bitr2i biimpi mp1i rgen cprb
      eqeltri wb coinflipprob a1i isrrvv mpbir2an ) DAUAUBKZALZUCZMDNZDUDZJUEZU
      FZWLKZJOUGZWMPQRZDNZWTMSZWNXACBRZWTDNZXDXCWTCPUHZBQUHZRZNZCBUIXHGCBPQEFUJ
      UKULUMXCWTDXGIUNUOZWMXCWTDABCDEFGHIUPUQUOPMKZQMKZURXBXJXKUSUTVAPQMUJUKVBV
      CWMWTMDVDVEWRJOWQXCSZWRWPOKWQWOVFZXCWOWPVGDLXMXCDVHXCWTDXIVLVIVJXLWRWRWQX
      CVMZKXLWLXNWQABCDEFGHIVKVNWQXCDTKWOTKWQTKDXGTIXEXFVOWEDTVPWOWPTVQVRVSVTWA
      WBWCCTKZWKWNWSURWFEXOJADAWDKXOABCDEFGHIWGWHWIUMWJ $.

    $( The probability of heads is one-half.  (Contributed by Thierry Arnoux,
       15-Jan-2017.) $)
    coinflippv $p |- ( P ` { H } ) = ( 1 / 2 ) $=
      ( vx cfv chash c2 cdiv c1 wcel wceq cvv cn0 a1i csn cpr cpw cres cofc wss
      co fveq1i snsspr1 prex elpw2 biimpri cv fveq2 hashsng ax-mp eqtrdi oveq1d
      cmpt pwex 2nn0 wa cfn prfi elpwi ssfi sylancr adantl hashcl syl cun hashf
      cpnf wf ssv feqresmpt ofcfval2 ovex fvmpt mp2b eqtri ) CUAZAKWBLCBUBZUCZU
      DZMNUEUGZKZOMNUGZWBAWFHUHWBWCUFZWBWDPZWGWHQCBUIWJWIWBWCCBUJZUKULJWBJUMZLK
      ZMNUGZWHWDWFWLWBQZWMOMNWOWMWBLKZOWLWBLUNCRPZWPOQECRUOUPUQURWQWFJWDWNUSQEW
      QJWDWMMNWERSSWDRPWQWCWKUTTMSPWQVATWQWLWDPZVBWLVCPZWMSPWRWSWQWRWCVCPWLWCUF
      WSCBVDWLWCVEWCWLVFVGVHWLVIVJWQJRSVMUAVKZWDLRWTLVNWQVLTWDRUFWQWDVOTVPVQUPO
      MNVRVSVTWA $.

    $( The probability of tails is one-half.  (Contributed by Thierry Arnoux,
       5-Feb-2017.) $)
    coinflippvt $p |- ( P ` { T } ) = ( 1 / 2 ) $=
      ( csn cfv c1 c2 co cmin cdif wcel wceq ax-mp eqtri cdiv cuni coinflipprob
      cdm cprb cpr cpw prid1 snelpwi coinflipspace probdsb coinflipuniv difeq1i
      eleqtrri mp2an wne difprsn1 fveq2i coinflippv oveq2i 3eqtr3i 1mhlfehlf )
      BJZAKZLLMUANZONZVEAUDZUBZCJZPZAKZLVIAKZONZVDVFAUEQVIVGQVKVMRABCDEFGHIUCVI
      CBUFZUGZVGCVNQVIVOQCBEUHCVNUISABCDEFGHIUJUNVIAUKUOVJVCAVJVNVIPZVCVHVNVIAB
      CDEFGHIULUMCBUPVPVCRGCBUQSTURVLVELOABCDEFGHIUSUTVAVBT $.

$(
    @( The expectation of our gain is one-half.
       (Contributed by Thierry Arnoux, 12-Jan-2017.) @)
    coinflipexp @p |- ( ( Exp ` P ) ` X ) = ( 1 / 2 ) @=
      ( cfv c2 cxdiv co c1 cvv wcel wceq a1i ax-mp cc0 cexpt cpr chash cpw cres
      cofc citgm cdiv cuni cprb coinflipprob eqidd crrv coinfliprv coinflipuniv
      vy exptval coinfliplem itgmeq123dTMP eqtri itgmdiv3TMP cv prex itgmcntTMP
      cdm cesum oveq1i cxad fveq2 adantl cpnf cicc cop fveq1i wne 1ex fvpr1 cxr
      cle wbr cr ressxr 1re sselii 0le1 elxrge0 mpbir2an eqeltri c0ex fvpr2 0xr
      0le0 esumpr oveq12i xaddid1 3eqtri 2re 2ne0 rexdiv mp3an ) DAUAJZJZCBUBZD
      UCXCUDUEZKLUFMZUGZXCDXDUGZKLMZNKUHMZXBAVEUIZDAUGZXFCOPZXBXKQEXLAXADAUJPXL
      ABCDEFGHIUKRXLXAULDAUMJPXLABCDEFGHIUNRUQSXLXKXFQEXLXJXCXEDDAXJXCQXLABCDEF
      GHIUORXLDULAXEQXLABCDEFGHIURRUSSUTXCKDXDVAXHXCUPVBZDJZUPVFZKLMNKLMZXIXGXO
      KLXCOPXGXOQCBVCUPXCDXCOVDSVGXONKLXOCDJZBDJZVHMZNTVHMZNXLXOXSQEXLCBXNXQUPX
      ROOXMCQXNXQQXLXMCDVIVJXMBQXNXRQXLXMBDVIVJXLXLERBOPXLFRXQTVKVLMZPXLXQNYAXQ
      CCNVMBTVMUBZJZNCDYBIVNCBVOZYCNQGCBNTEVPVQSUTZNYAPNVRPZTNVSVTWAVRNWBWCWDZW
      ENWFWGWHRXRYAPXLXRTYAXRBYBJZTBDYBIVNYDYHTQGCBNTFWIWJSUTZTYAPTVRPTTVSVTWKW
      LTWFWGWHRYDXLGRWMSXQNXRTVHYEYIWNYFXTNQYGNWOSWPVGNWAPKWAPKTVOXPXIQWCWQWRNK
      WSWTWPWP @.
$)
  $}


$(
@(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Uncorrelated random sequences
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
@)

  @c UnCorr @. @( Symbol for uncorrelated random samples @)
  cuncor @a class UnCorr @.

  @( Define a random sample as an indexed set of ` n ` random variables of
     the same probability measure ` p ` , which are not correlated when taken
     pairwise. @)
  df-uncor @a |- UnCorr = ( p e. Prob |-> { x e. ( ( rRndVar ` p ) ^m NN ) |
    A. i e. NN A. j e. NN  ( ( Exp ` p ) ` ( ( x ` i ) oF * ( x ` j ) ) ) =
    ( ( ( Exp ` p ) ` ( x ` i ) ) * ( ( Exp ` p ) ` ( x ` j ) ) ) } ) @.

  @{
    uncorval.1 @e |- ( ph -> P e. Prob ) @.
    uncorval.2 @e |- ( ph -> E = ( Exp ` P ) ) @.
    uncorval.3 @e |- ( ph -> X e. ( UnCorr ` P ) ) @.

    @( Elements of a sequence of random variables are random variables. @)
    uncorrnd @p |- ( ph -> X : NN --> ( rRndVar ` P ) ) @=
      ? @.

    @( Property of a sequence of pairwise uncorrelated random variables. @)
    uncorval @p |- ( ( ph /\ i e. NN /\ j e. NN ) ->
      ( E ` ( ( X ` i ) oF * ( X ` j ) ) ) =
      ( ( E ` ( X ` i ) ) * ( E ` ( X ` j ) ) ) ) @=
      ? @.

  @}
@(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Convergence
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
@)

  @c ~ms~> @. @( Symbol for convergence in mean square @)
  @c ~p~> @. @( Symbol for convergence in probability @)
  cmsli @a class ~ms~> @.
  cprl @a class ~p~> @.

  @( Define convergence in probability @)
  df-prl @a |- ~p~> = ( p e. Prob |-> { <. x , y >. | A. e e. RR+ ( n e. NN |->
    ( p ` ( ( abs o. ( ( x ` n ) oFC - y ) ) oRVC `' <_ e  ) ) ) ~~> 0 } ) @.

  @( Define convergence in mean square @)
  df-msli @a |- ~ms~> = ( p e. Prob |-> { <. x , y >. | ( n e. NN |->
    ( ( Exp ` p ) ` ( ( ( x ` n ) oFC - y ) oFC ^ 2 ) ) ) ~~> 0 } ) @.

  @{
    plival.1 @e |- ( ph -> P e. Prob ) @.
    @( Convergence in mean square is a relation. @)
    plirel @p |- ( ph -> Rel ( ~p~> ` P ) ) @=
      ? @.
    @( Convergence in mean square is a relation. @)
    mslirel @p |- ( ph -> Rel ( ~ms~> ` P ) ) @=
      ? @.

    plival.2 @e |- ( ph -> X : NN --> ( rRndVar ` P ) ) @.
    plival.3 @e |- ( ph -> Y e. RR ) @.
    @( Express the predicate: ` X ` converges in probability to ` Y ` . @)
    plival @p |- ( ph -> ( X ( ~ms~> ` P ) Y <-> A. e e. RR+ ( n e. NN |->
      ( P ` ( ( abs o. ( ( X ` n ) oFC - Y ) ) oRVC `' <_ e  ) ) ) ~~> 0 ) ) @=
      ? @.

    mslival.1 @e |- ( ph -> E = ( Exp ` P ) ) @.
    @( Express the predicate: ` X ` converges in mean square to ` Y ` . @)
    mslival @p |- ( ph -> ( X ( ~ms~> ` P ) Y <-> ( n e. NN |->
      ( E ` ( ( ( X ` n ) oFC - Y ) oFC ^ 2 ) ) ) ~~> 0 ) ) @=
      ? @.
  @}

@(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Weak Law of Large Numbers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
@)
  @{
    @( Hypothesis for the Weak Law of Large Numbers. ` X ` is a random sample.
       ~ wllnms.5 expresses the fact that the random variables ` X ` are
       uncorrelated. ~ wllnms.9 defines ` S ` as the partial sum of ` X ` over
       ` ( 1 ... n ) ` . @)
    wllnms.1 @e |- ( ph -> P e. Prob ) @.
    wllnms.2 @e |- ( ph -> E = ( Exp ` P ) ) @.
    wllnms.3 @e |- ( ph -> V = ( Var ` P ) ) @.
    wllnms.4 @e |- ( ph -> X e. ( UnCorr ` P ) ) @.
    wllnms.5 @e |- ( ph -> C e. RR+ ) @.
    wllnms.6 @e |- ( ( ph /\ N e. NN ) -> M = ( E ` ( X ` N ) ) ) @.
    wllnms.7 @e |- ( ( ph /\ N e. NN ) -> ( V ` ( X ` N ) ) <_ C ) @.
    wllnms.8 @e |- ( ( ph /\ n e NN ) -> S = ( seq 1 ( oF + , X ) ` n ) ) @.

    @( Weak Law of Large Numbers - convergence in mean square @)
    wllnms @p |- ( ph -> ( n e. NN |-> ( S oFC / n ) ) ( ~ms~> ` P ) M ) @=
      ? @.

    @( Weak Law of Large Numbers - convergence in probability @)
    wllnp @p |- ( ph -> ( n e. NN |-> ( S oFC / n ) ) ( ~p~> ` P ) M ) @=
      ? @.
  @}
$)

$( End $[ set-mbox-ta-proba.mm $] $)


$( Begin $[ set-mbox-ta-ballot.mm $] $)
$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Bertrand's Ballot Problem
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $(
    $d c k i $.
    $d c i M $.
    $d c i N $.
    $d b c i x O $.
    $d i j k C $.
    $d c i j k F $.
    $d b c x E $.
    $d i j k J $.
    $d b c i x O $.
    $d b R $.
    $d k ph $.
  $)

  ${
    $d c M $.  $d c N $.  $d c O $.  $d i M $.  $d i N $.  $d i O $.  $d j M $.
    $d j N $.  $d j O $.  $d k M $.  $d k N $.  $d k O $.

    $( Two candidates A and B participate to an election,
      where A receives ` M ` votes and B receives ` N ` votes.
      Ballots are counted by picking ballot papers one by one,
      and we're evaluating the probability that A is ahead throughout the count

      We number the ballots picked using integers in ` ( 1 ... ( M + N ) ) ` .
      We then characterize a counting ` c ` as the set of indices in the
      counting sequence where A was picked.
      Thus, for a counting ` c C_ ( 1 ... ( M + N ) ) ` :
        "The ith ballot paper picked is for A" is expressed as ` i e. c `
        "The ith ballot paper picked is for B" is expressed as ` -. i e. c `
        "The number of ballot papers for A" is expressed as ` ( # ` c ) `
    $)

    ballotth.m $e |- M e. NN $.
    ballotth.n $e |- N e. NN $.

    $( ` O ` is the universe, all countings where A receives ` M ` votes
       out of ` M + N ` $)
    ballotth.o $e |- O = { c e. ~P ( 1 ... ( M + N ) ) | ( # ` c ) = M } $.
    $( ` O ` is a set.  (Contributed by Thierry Arnoux, 7-Dec-2016.) $)
    ballotlemoex $p |- O e. _V $=
      ( cv chash cfv wceq c1 caddc co cfz cpw ovex pwex rabex2 ) DHIJAKDLABMNZO
      NZPCGUALTOQRS $.

    $( The size of the universe is a binomial coefficient.  (Contributed by
       Thierry Arnoux, 23-Nov-2016.) $)
    ballotlem1 $p |- ( # ` O ) = ( ( M + N ) _C M ) $=
      ( chash cfv cv wceq c1 caddc co cfz cpw crab cbc wcel cn fveq2i fzfi nnzi
      cfn cz hashbc mp2an cn0 wa pm3.2i nnaddcl nnnn0 mp2b hashfz1 ax-mp oveq1i
      3eqtr2i ) CHIDJHIAKDLABMNZONZPQZHIZUSHIZARNZURARNCUTHGUAUSUDSAUESVCVAKLUR
      UBAEUCDUSAUFUGVBURARURUHSZVBURKATSZBTSZUIURTSVDVEVFEFUJABUKURULUMURUNUOUP
      UQ $.

    ${
      $d c d $.  $d d C $.  $d d M $.  $d d N $.
      $( Elementhood in ` O ` .  (Contributed by Thierry Arnoux,
         17-Apr-2017.) $)
      ballotlemelo $p |- ( C e. O <->
                             ( C C_ ( 1 ... ( M + N ) ) /\ ( # ` C ) = M ) ) $=
        ( vd wcel c1 co cfz chash cfv wceq wa cv fveqeq2 crab caddc cpw cbvrabv
        wss eqtri elrab2 ovex elpw2 anbi1i bitri ) ADJAKBCUALZMLZUBZJZANOBPZQAU
        LUDZUOQIRZNOBPZUOIAUMDUQABNSDERZNOBPZEUMTURIUMTHUTUREIUMUSUQBNSUCUEUFUN
        UPUOAULKUKMUGUHUIUJ $.
    $}

    $( Let ` P ` be the uniform discrete probability measure over ` O ` . $)
    ballotth.p $e |- P = ( x e. ~P O |-> ( ( # ` x ) / ( # ` O ) ) ) $.

    ${
      $d c i M $.  $d c i N $.  $d c i x O $.

      $( The probability that the first vote picked in a count is a B.
         (Contributed by Thierry Arnoux, 23-Nov-2016.) $)
      ballotlem2 $p |- ( P ` { c e. O | -. 1 e. c } ) = ( N / ( M + N ) ) $=
        ( vi c1 wcel cfv co c2 wa cle wbr mp2an cv wn crab caddc cmin cbc chash
        cdiv cpw wceq cvv ballotlemoex ssrab2 elpwi2 fveq2 ovex fvmpt ax-mp cfz
        oveq1d an32 cuz wss 2eluzge1 fzss1 sspwi sseli clt 1lt2 1re ltnlei mpbi
        2re elfzle1 mto elelpwi ancom mtbi imnani jca cab ssin wo wb 1le2 1p1e2
        cin cn nnge1 nnrei le2addi eqbrtrri readdcli letri cz nnaddcl nnzi eluz
        mpbir elfzp12 biimpi orcanai oveq1i eleqtrdi ss2abi abid2 ineq1i eqtr3i
        1z inab 3sstr3i sstr mpan2 sylbi velpw wi wal ssab df-ex bicomi con1bii
        dfclel notbii imnang bitr4i 3bitr4ri bitr2i anbi12i 3imtr4i anbi1i cneg
        wex albii cc nncni 2cn ax-1cn 3eqtri eqtri cc0 rabeq2i 3bitr4i cfn fzfi
        impbii rabbia2 fveq2i hashbc eluz1i mpbir2an hashfz subadd23 negsubdi2i
        2z addcli mp3an 2m1e1 negeqi oveq2i negsubi ballotlem1 oveq12i 0le1 0re
        cr crp nngt0i elrpii ltaddrp w3a 0z elfzm11 mpbir3an bcm1n pncan2 ) LFU
        AZMZUBZFEUCZBNZCDUDOZLUEOZCUFOZUWACUFOZUHOZUWACUEOZUWAUHOZDUWAUHOUVTUVS
        UGNZEUGNZUHOZUWEUVSEUIZMUVTUWJUJUVSEUKCDEFGHIULUVRFEUMUNAUVSAUAZUGNZUWI
        UHOUWJUWKBUWLUVSUJUWMUWHUWIUHUWLUVSUGUOUTJUWHUWIUHUPUQURUWHUWCUWIUWDUHU
        VPUGNCUJZFPUWAUSOZUIZUCZUGNZUWHUWCUWQUVSUGUWNUVRFUWPEUVPLUWAUSOZUIZMZUV
        RQZUWNQUXAUWNQZUVRQUVPUWPMZUWNQUVPEMZUVRQUXAUVRUWNVAUXDUXBUWNUXDUXBUXDU
        XAUVRUWPUWTUVPUWOUWSPLVBNZMUWOUWSVCVDPLUWAVEURVFVGUXDUVQUVQUXDQZUXDUVQQ
        UXGLUWOMZUXHPLRSZLPVHSUXIUBVILPVJVMVKVLLPUWAVNVOLUVPUWOVPVOUVQUXDVQVRVS
        VTUVPUWSVCZUVPKUAZLUJZUBZKWAZVCZQZUVPUWOVCZUXBUXDUXPUVPUWSUXNWGZVCZUXQU
        VPUWSUXNWBUXSUXRUWOVCUXQUXKUWSMZUXMQZKWAZUXKUWOMZKWAUXRUWOUYAUYCKUYAUXK
        LLUDOZUWAUSOZUWOUXTUXLUXKUYEMZUXTUXLUYFWCZUWAUXFMZUXTUYGWDUYHLUWARSZLPR
        SPUWARSZUYIWEUYDPUWARWFLCRSZLDRSZUYDUWARSCWHMZUYKGCWIURZDWHMZUYLHDWIURL
        LCDVJVJCGWJZDHWJZWKTWLZLPUWAVJVMCDUYPUYQWMWNTLWOMUWAWOMZUYHUYIWDXIUWAUY
        MUYOUWAWHMZGHCDWPTZWQZLUWAWRTWSUXKLUWAWTURXAXBUYDPUWAUSWFXCXDXEUXTKWAZU
        XNWGUYBUXRUXTUXMKXJVUCUWSUXNKUWSXFXGXHKUWOXFXKUVPUXRUWOXLXMXNUXAUXJUVRU
        XOFUWSXOUXOUXKUVPMZUXMXPKXQZUVRUXMKUVPXRUXLVUDQZKYLZUBVUFUBZKXQZUVRVUEV
        UIVUGVUGVUIUBVUFKXSXTYAUVQVUGKLUVPYBYCVUEVUDUXLQZUBZKXQVUIVUDUXLKYDVUHV
        UKKVUFVUJUXLVUDVQYCYMYEYFYGYHFUWOXOYIUUEYJUXEUXCUVRUWNFEUWTIUUAYJUUBUUF
        UUGUWOUGNZCUFOZUWRUWCUWOUUCMCWOMZVUMUWRUJPUWAUUDCGWQZFUWOCUUHTVULUWBCUF
        VULUWALYKZUDOZUWBVULUWAPUEOLUDOZUWALPUEOZUDOZVUQUWAPVBNMZVULVURUJVVAUYS
        UYJVUBUYRPUWAUUNUUIUUJPUWAUUKURUWAYNMPYNMLYNMVURVUTUJCDCGYOZDHYOZUUOZYP
        YQUWAPLUULUUPVUSVUPUWAUDPLUEOZYKVUSVUPPLYPYQUUMVVELUUQUURXHUUSYRUWALVVD
        YQUUTYSXCXHXHCDEFGHIUVAUVBYSCYTUWBUSOMZUYTUWEUWGUJVVFVUNYTCRSZCUWAVHSZV
        UOYTLRSUYKVVGUVCUYNYTLCUVDVJUYPWNTCUVEMDUVFMVVHUYPDUYQDHUVGUVHCDUVITYTW
        OMUYSVVFVUNVVGVVHUVJWDUVKVUBCYTUWAUVLTUVMVUACUWAUVNTUWFDUWAUHCYNMDYNMUW
        FDUJVVBVVCCDUVOTXCYR $.
    $}

    $d c i F $.  $d j F $.  $d k F $.
    $( F is the difference between ballots for A and B among the ` i ` first
      ballots picked in a given count ` c ` .
      Those ballots for A are in ` c `, i.e. in ` ( ( 1 ... i ) i^i c ) ` .
      Those ballots for B are out of ` c `, i.e. in ` ( ( 1 ... i ) \ c ) ` $)
    ballotth.f $e |- F = ( c e. O |-> ( i e. ZZ |->
      ( ( # ` ( ( 1 ... i ) i^i c ) ) - ( # ` ( ( 1 ... i ) \ c ) ) ) ) ) $.

    $d i c $.  $d i C $.
    ${
      $d b O $.  $d b C $.  $d b c $.  $d b i $.  $d i J $.
      ballotlemfval.c $e |- ( ph -> C e. O ) $.
      ballotlemfval.j $e |- ( ph -> J e. ZZ ) $.

      $d i ph $.
      $( The value of ` F ` .  (Contributed by Thierry Arnoux, 23-Nov-2016.) $)
      ballotlemfval $p |- ( ph -> ( ( F ` C ) ` J ) =
        ( ( # ` ( ( 1 ... J ) i^i C ) ) - ( # ` ( ( 1 ... J ) \ C ) ) ) ) $=
        ( chash cfv vb c1 cv cfz co cin cdif cmin cz cvv wcel cmpt simpl ineq2d
        wceq wa fveq2d difeq2d oveq12d mpteq2dva difeq2 mpteq2dv cbvmptv eqtr4i
        ineq2 zex mptex fvmpt syl oveq2 ineq1d difeq1d adantl ovexd fvmptd ) AE
        GUBEUCZUDUEZCUFZSTZVQCUGZSTZUHUEZUBGUDUEZCUFZSTZWCCUGZSTZUHUEZUICFTZUJA
        CJUKWIEUIWBULZUOQUACEUIVQUAUCZUFZSTZVQWKUGZSTZUHUEZULZWJJFWKCUOZEUIWPWB
        WRVPUIUKZUPZWMVSWOWAUHWTWLVRSWTWKCVQWRWSUMZUNUQWTWNVTSWTWKCVQXAURUQUSUT
        FKJEUIVQKUCZUFZSTZVQXBUGZSTZUHUEZULZULUAJWQULPUAKJWQXHWKXBUOZEUIWPXGXIW
        MXDWOXFUHXIWLXCSWKXBVQVEUQXIWNXESWKXBVQVAUQUSVBVCVDEUIWBVFVGVHVIVPGUOZW
        BWHUOAXJVSWEWAWGUHXJVRWDSXJVQWCCVPGUBUDVJZVKUQXJVTWFSXJVQWCCXKVLUQUSVMR
        AWEWGUHVNVO $.

      $( ` ( F `` C ) ` has values in ` ZZ ` .  (Contributed by Thierry Arnoux,
         23-Nov-2016.) $)
      ballotlemfelz $p |- ( ph -> ( ( F ` C ) ` J ) e. ZZ ) $=
        ( cfv wcel c1 cfz co cin chash cdif cmin ballotlemfval cfn cn0 wss fzfi
        cz inss1 ssfi mp2an hashcl ax-mp nn0zi difss zsubcl eqeltrdi ) AGCFSSUA
        GUBUCZCUDZUESZVCCUFZUESZUGUCZUMABCDEFGHIJKLMNOPQRUHVEUMTVGUMTVHUMTVEVDU
        ITZVEUJTVCUITZVDVCUKVIUAGULZVCCUNVCVDUOUPVDUQURUSVGVFUITZVGUJTVJVFVCUKV
        LVKVCCUTVCVFUOUPVFUQURUSVEVGVAUPVB $.
    $}

    ${
      $d i J $.  $d i ph $.
      ballotlemfp1.c $e |- ( ph -> C e. O ) $.
      ballotlemfp1.j $e |- ( ph -> J e. NN ) $.
      $( If the ` J ` th ballot is for A, ` ( F `` C ) ` goes up 1.  If the
         ` J ` th ballot is for B, ` ( F `` C ) ` goes down 1.  (Contributed by
         Thierry Arnoux, 24-Nov-2016.) $)
      ballotlemfp1 $p |- ( ph -> (
         ( -. J e. C -> ( ( F ` C ) ` J ) = ( ( ( F ` C ) ` ( J - 1 ) ) - 1 ) )
      /\ ( J e. C -> ( ( F ` C ) ` J ) = ( ( ( F ` C ) ` ( J - 1 ) ) + 1 ) )
        ) ) $=
        ( c1 wceq wcel wn cfv cmin co wi caddc cfz cin chash cdif ballotlemfval
        wa nnzd adantr cc cfn cn0 wss fzfi inss1 ssfi mp2an hashcl ax-mp nn0cni
        a1i diffi 1cnd subsub4d 1zzd zsubcld oveq1d csn cun cuz cn elnnuz sylib
        fzspl ineq1d indir eqtrdi syl c0 disjsn eqeq1i sylbb1 adantl uneq2d un0
        incom eqtrd fveq2d difeq1d difundir disj3 eqcomd sylan9eq cz uzid uznfz
        3syl difss sseli nsyl jctil hashunsng oveq12d 3eqtr4rd ex addsubd snssi
        sylc df-ss simpr 3eqtrd difin2 difid ineq1i 0in eqtri 3eqtr4d jca ) AGC
        UAZUBZGCFUCZUCZGSUDUEZYGUCZSUDUEZTZUFYEYHYJSUGUEZTZUFAYFYLAYFUMZYHSGUHU
        EZCUIZUJUCZYPCUKZUJUCZUDUEZYKAYHUUATZYFABCDEFGHIJKLMNOPQAGRUNZULZUOYOSY
        IUHUEZCUIZUJUCZUUECUKZUJUCZUDUEZSUDUEUUGUUISUGUEZUDUEYKUUAYOUUGUUISUUGU
        PUAZYOUUGUUFUQUAZUUGURUAUUEUQUAZUUFUUEUSUUMSYIUTZUUECVAZUUEUUFVBVCZUUFV
        DVEVFZVGUUIUPUAZYOUUIUUHUQUAZUUIURUAUUNUUTUUOUUECVHVEUUHVDVEVFZVGYOVIVJ
        YOYJUUJSUDAYJUUJTZYFABCDEFYIHIJKLMNOPQAGSUUCAVKVLULZUOVMYOYRUUGYTUUKUDY
        OYQUUFUJYOYQUUFGVNZCUIZVOZUUFAYQUVFTZYFAGSVPUCUAZUVGAGVQUAUVHRGVRVSZUVH
        YQUUEUVDVOZCUIUVFUVHYPUVJCSGVTZWAUUEUVDCWBWCWDZUOYOUVFUUFWEVOUUFYOUVEWE
        UUFYFUVEWETZACUVDUIZWETYFUVMCGWFUVNUVEWECUVDWLWGWHZWIWJUUFWKWCWMWNYOYTU
        UHUVDVOZUJUCZUUKYOYSUVPUJAYFYSUUHUVDCUKZVOZUVPAUVHYSUVSTUVIUVHYSUVJCUKU
        VSUVHYPUVJCUVKWOUUEUVDCWPWCWDZYFUVRUVDUUHYFUVDUVRYFUVMUVDUVRTUVOUVDCWQV
        SWRWJWSWNYOGWTUAZUUTGUUHUAZUBZUMUVQUUKTAUWAYFUUCUOYOUWCUUTYOGUUEUAZUWBA
        UWDUBZYFAUWAGGVPUCUAZUWEUUCGXAZGSGXBZXCUOUUHUUEGUUECXDZXEXFUUNUUHUUEUSU
        UTUUOUWIUUEUUHVBVCXGUUHGWTXHXNWMXIXJWMXKAYEYNAYEUMZYHUUAYMAUUBYEUUDUOUW
        JUUGSUGUEZUUIUDUEUUJSUGUEUUAYMUWJUUGSUUIUULUWJUURVGUWJVIUUSUWJUVAVGXLUW
        JYRUWKYTUUIUDUWJYRUVFUJUCZUUFUVDVOZUJUCZUWKAYRUWLTYEAYQUVFUJUVLWNUOYEUW
        LUWNTAYEUVFUWMUJYEUVEUVDUUFYEUVDCUSZUVEUVDTGCXMZUVDCXOVSWJWNWIUWJYEUUMG
        UUFUAZUBZUMUWNUWKTAYEXPUWJUWRUUMUWJUWDUWQUWJUWAUWFUWEAUWAYEUUCUOUWGUWHX
        CUUFUUEGUUPXEXFUUQXGUUFGCXHXNXQUWJYTUVSUJUCZUUHWEVOZUJUCZUUIAYTUWSTYEAY
        SUVSUJUVTWNUOYEUWSUXATAYEUVSUWTUJYEUVRWEUUHYEUWOUVRWETUWPUWOUVRCCUKZUVD
        UIZWEUVDCCXRUXCWEUVDUIWEUXBWEUVDCXSXTUVDYAYBWCWDWJWNWIUWJUWTUUHUJUWTUUH
        TUWJUUHWKVGWNXQXIUWJYJUUJSUGAUVBYEUVCUOVMYCWMXKYD $.

      $d k i j $.  $d j k J $.  $d j k C $.  $d ph k $.
      ballotlemfc0.3 $e |- ( ph ->
                                E. i e. ( 1 ... J ) ( ( F ` C ) ` i ) <_ 0 ) $.
      ballotlemfc0.4 $e |- ( ph -> 0 < ( ( F ` C ) ` J ) ) $.
      $( ` F ` takes value 0 between negative and positive values.
         (Contributed by Thierry Arnoux, 24-Nov-2016.) $)
      ballotlemfc0 $p |- ( ph -> E. k e. ( 1 ... J ) ( ( F ` C ) ` k ) = 0 ) $=
        ( vj cv cfv cc0 wceq cle wbr c1 cfz co crab wrex wral wcel fveq2 breq1d
        wa elrab anbi1i simprlr caddc wn simprl adantrr clt cr cuz fzssuz uzssz
        cz sstri zssre sseli ltp1d 1red readdcld ltnled mpbid syl simprr adantr
        wi simpr fveq2d breq2d wb cn elnnuz sylib eluzfz2 eleq1 anc2li 1eluzge0
        syl5ibrcom fzss1 sseld ax-mp 0red adantl ballotlemfelz zred sylan2 syl6
        elfzelz imp bitr3d ex con2d cmin wo nn1m1nn csn oveq1 nnzd fzsn rexeqdv
        eqtr3d rexsng pm2.65da biortn notnotb mpbird eleq2d eqeq2d sylibr 1z c2
        1cnd a1i wss mpd breq1 syl2anc simplrr sylan oveq1d 0z adantlrr cfn zre
        orbi1i elfzp1 nncnd npcand oveq2d orbi2d orcom bitrdi pm5.6 jctil jctir
        bitr4di 3bitr3d biimpd fzaddel syl2an biimp3a 3anidm23 oveq12d 2eluzge1
        1p1e2 syl6bi syld sylan2d rspccva sylan2br con3d simpll mpsyl imdistani
        elfznn ballotlemfp1 simpld pncand zlem1lt sylancl bitr4d syl21anc ltled
        expr zcnd syl12anc condan simprd mpdan notbid syldan zleltp1 mpan bitrd
        letri3d mpbir2and sylan2b c0 wne ssrab2 fzfi ssfi mp2an fimaxre syl3anc
        rabn0 reximddv elrabi anim1i reximi2 ) AFUCZCGUDZUDZUEUFZFEUCZUXIUDZUEU
        GUHZEUIHUJUKZULZUMUXKFUXOUMAUBUCZUXHUGUHZUBUXPUNZUXKFUXPUXHUXPUOZUXSURA
        UXHUXOUOZUXJUEUGUHZURZUXSURZUXKUXTUYCUXSUXNUYBEUXHUXOUXLUXHUFUXMUXJUEUG
        UXLUXHUXIUPUQUSUTAUYDURZUXKUYBUEUXJUGUHZAUYAUYBUXSVAUYEUYFUXJUIVBUKZUEU
        GUHZVCZUYEUXHUIVBUKZUXIUDZUEUGUHZVCZUYIUYEUYJUXHUGUHZVCZUYMUYEUYAUYOAUY
        CUYAUXSAUYAUYBVDZVEUYAUXHUYJVFUHUYOUYAUXHUXOVGUXHUXOVKVGUXOUIVHUDZVKUIH
        VIUIVJVLVMVLZVNZVOUYAUXHUYJUYSUYAUXHUIUYSUYAVPVQVRVSVTZUYEUXSUYJUXOUOZU
        YOUYMWCAUYCUXSWAAUYCVUAUXSAUYCVUAAUYBUXHHUFZVCZUYAVUAAVUBUYBAVUBUYBVCZA
        VUBURZUEHUXIUDZVFUHZVUDAVUGVUBUAWBVUEUEUXJVFUHZVUGVUDVUEUXJVUFUEVFVUEUX
        HHUXIAVUBWDWEWFAVUBVUHVUDWGZAVUBAUYAURVUIAVUBUYAAUYAVUBHUXOUOZAHUYQUOZV
        UJAHWHUOZVUKSHWIWJUIHWKVTUXHHUXOWLWOWMUYAAUXHUEHUJUKZUOZVUIUIUEVHUDUOZU
        YAVUNWCWNVUOUXOVUMUXHUIUEHWPZWQWRZAVUNURZUEUXJVURWSVURUXJVURBCDEGUXHIJK
        LMNOPQACKUOZVUNRWBVUNUXHVKUOZAUXHUEHXEWTXAZXBVRXCXDXFXGVSXHXIAUYAVUCURZ
        UXHUIHUIXJUKZUJUKUOZVUAAUYAVUBVVDXKZWCVVBVVDWCAUYAVVEAUYAVVDVUBXKZVVEAU
        XHUIVVCUIVBUKZUJUKZUOZVVDUXHVVGUFZXKZUYAVVFAVVCUYQUOZVVIVVKWGAVVCWHUOZV
        VLAVVMHUIUFZVVMXKZAVULVVOSHXLVTAVVMVVNVCZVCZVVMXKZVVOAVVPVVMVVRWGAVVNVU
        FUEUGUHZAVVNURZUXNEHXMZUMZVVSVVTUXNEUXOUMZVWBAVWCVVNTWBVVTUXNEUXOVWAVVT
        HHUJUKZUXOVWAVVNVWDUXOUFAHUIHUJXNWTAVWDVWAUFZVVNAHVKUOVWEAHSXOZHXPVTWBX
        RXQVSAVWBVVSWGZVVNAVULVWGSUXNVVSEHWHUXLHUFUXMVUFUEUGUXLHUXIUPUQXSVTWBVS
        VVTVUGVVSVCZAVUGVVNUAWBAVUGVWHWGVVNAUEVUFAWSAVUFABCDEGHIJKLMNOPQRVWFXAX
        BVRWBVSXTVVPVVMYAVTVVNVVQVVMVVNYBUUBUUMYCZVVCWIWJUXHUIVVCUUCVTAVVHUXOUX
        HAVVGHUIUJAHUIAHSUUDAYIUUEZUUFYDAVVJVUBVVDAVVGHUXHVWJYEUUGUUNVVDVUBUUHU
        UIUUOUYAVUBVVDUUJYFAVVDVUAAVVDURUYJUIUIVBUKZVVGUJUKZUOZVUAAVVDVWMAVVDVV
        DVWMAUIVKUOZVVCVKUOZURVUTVWNURVVDVWMWGVVDAVWOVWNAVVCVWIXOYGUUKVVDVUTVWN
        UXHUIVVCXEYGUULUXHUIUIVVCUUPUUQUURUUSAVWMVUAWCVVDAVWMUYJYHHUJUKZUOVUAAV
        WLVWPUYJAVWKYHVVGHUJVWKYHUFAUVBYJVWJUUTYDVWPUXOUYJYHUYQUOVWPUXOYKUVAYHU
        IHWPWRVNUVCWBYLXHUVDUVEZXFZVEZUXSVUAURUYLUYNUXSVUAUYLUYNVUAUYLURUXSUYJU
        XPUOUYNUXNUYLEUYJUXOUXLUYJUFUXMUYKUEUGUXLUYJUXIUPUQUSUXRUYNUBUYJUXPUXQU
        YJUXHUGYMUVFUVGZUWAUVHYNYLUYEUYKUYGUFZUYMUYIWGUYEUYJCUOZVXAUYEVXBUYNUYE
        VXBVCZURUXSVUAUYLUYNAUYCUXSVXCYOUYEVUAVXCVWSWBAUYCVXCUYLUXSAUYCURZVXCUR
        ZUYKUEVXEAUYJVUMUOZUYKVGUOAUYCVXCUVIZVUOVXEVUAVXFWNVXDVUAVXCVWRWBVUOUXO
        VUMUYJVUPWQUVJAVXFURZUYKVXHBCDEGUYJIJKLMNOPQAVUSVXFRWBVXFUYJVKUOAUYJUEH
        XEWTXAXBYNVXEWSVXEUYBUYKUEVFUHZAUYAUYBVXCYOVXEAVUNUYKUXJUIXJUKZUFZUYBVX
        IWGVXGVXEUYAVUNVXDUYAVXCUYPWBZVUQVTVXEUYKUYJUIXJUKZUXIUDZUIXJUKZUFZVXKV
        XDAVUAURZVXCVXPAUYCVUAVWQUVKZVXQVXCVXPVXQVXCVXPWCZVXBUYKVXNUIVBUKZUFZWC
        ZVXQBCDEGUYJIJKLMNOPQAVUSVUARWBVUAUYJWHUOAUYJHUVLWTUVMZUVNXFYPVXEUYAVXP
        VXKWGVXLUYAVXOVXJUYKUYAVXNUXJUIXJUYAVXMUXHUXIUYAUXHUIUYAUXHUXHUIHXEUWBU
        YAYIUVOWEZYQYEVTVSVURVXKURUYBVXJUEVFUHZVXIVURUYBVYEWGZVXKVURUXJVKUOZUEV
        KUOZVYFVVAYRUXJUEUVPUVQWBVXKVXIVYEWGVURUYKVXJUEVFYMWTUVRUVSVSUVTYSVWTUW
        CUYEUYOVXCUYTWBUWDAUYCVXBVXAUXSVXDVXBURZVYAVXAVXDVXQVXBVYAVXRVXQVXBVYAV
        XQVXSVYBVYCUWEXFYPVYIUYAVYAVXAWGVXDUYAVXBUYPWBUYAVXTUYGUYKUYAVXNUXJUIVB
        VYDYQYEVTVSYSUWFVXAUYLUYHUYKUYGUEUGYMUWGVTVSUYEVYGUYFUYIWGAUYCVYGUXSAUY
        CVUNVYGVXDUYAVUNUYPVUQVTVVAUWHVEZVYGUYFUEUYGVFUHZUYIVYHVYGUYFVYKWGYRUEU
        XJUWIUWJVYGUEUYGVYGWSVYGUXJUIUXJUUAVYGVPVQVRUWKVTYCUYEUXJUEUYEUXJVYJXBU
        YEWSUWLUWMUWNAUXPVGYKZUXPYTUOZUXPUWOUWPZUXSFUXPUMVYLAUXPUXOVGUXNEUXOUWQ
        ZUYRVLYJVYMAUXOYTUOUXPUXOYKVYMUIHUWRVYOUXOUXPUWSUWTYJAVWCVYNTUXNEUXOUXC
        YFFUBUXPUXAUXBUXDUXKUXKFUXPUXOUXTUYAUXKUXNEUXHUXOUXEUXFUXGVT $.
    $}

    ${
      $d i J $.  $d i ph $.  $d k i j $.  $d j k J $.  $d j k C $.  $d ph k $.
      ballotlemfcc.c $e |- ( ph -> C e. O ) $.
      ballotlemfcc.j $e |- ( ph -> J e. NN ) $.
      ballotlemfcc.3 $e |- ( ph ->
                                E. i e. ( 1 ... J ) 0 <_ ( ( F ` C ) ` i ) ) $.
      ballotlemfcc.4 $e |- ( ph -> ( ( F ` C ) ` J ) < 0 ) $.
      $( ` F ` takes value 0 between positive and negative values.
         (Contributed by Thierry Arnoux, 2-Apr-2017.) $)
      ballotlemfcc $p |- ( ph -> E. k e. ( 1 ... J ) ( ( F ` C ) ` k ) = 0 ) $=
        ( vj cv cfv cc0 wceq cle wbr c1 cfz co crab wrex wral wcel fveq2 breq2d
        wa elrab anbi1i cmin wn caddc simprl adantrr clt cr cz cuz fzssuz uzssz
        sstri zssre sseli ltp1d 1red readdcld ltnled mpbid syl wi simprr adantr
        simpr fveq2d breq1d wb cn elnnuz sylib eleq1 syl5ibrcom anc2li 1eluzge0
        eluzfz2 fzss1 sseld ax-mp elfzelz adantl ballotlemfelz zred 0red sylan2
        syl6 imp bitr3d ex con2d wo nn1m1nn csn nnzd fzsn eqtr3d rexeqdv rexsng
        oveq1 pm2.65da biortn notnotb orbi1i mpbird eleq2d eqeq2d sylibr 1z a1i
        1cnd c2 wss mpd syl2anc simplrr sylan oveq1d 0z breq2 adantlrr cfn syld
        elfzp1 nncnd npcand oveq2d orbi2d orcom bitrdi biimpd pm5.6 jctil jctir
        bitr4di 3bitr3d fzaddel syl2an biimp3a 3anidm23 oveq12d 2eluzge1 syl6bi
        1p1e2 sylan2d breq1 rspccva sylan2br expr con3d simpll imdistani elfznn
        mpsyl ballotlemfp1 simprd zcnd pncand zleltp1 sylancr syl21anc syl12anc
        bitr4d ltled mtand simpld mpdan notbid zlem1lt mpan2 zre resubcld bitrd
        syldan simprlr letri3d mpbir2and sylan2b c0 wne ssrab2 fzfi mp2an rabn0
        ssfi fimaxre syl3anc reximddv elrabi anim1i reximi2 ) AFUCZCGUDZUDZUEUF
        ZFUEEUCZUXKUDZUGUHZEUIHUJUKZULZUMUXMFUXQUMAUBUCZUXJUGUHZUBUXRUNZUXMFUXR
        UXJUXRUOZUYAURAUXJUXQUOZUEUXLUGUHZURZUYAURZUXMUYBUYEUYAUXPUYDEUXJUXQUXN
        UXJUFUXOUXLUEUGUXNUXJUXKUPUQUSUTAUYFURZUXMUXLUEUGUHZUYDUYGUYHUEUXLUIVAU
        KZUGUHZVBZUYGUEUXJUIVCUKZUXKUDZUGUHZVBZUYKUYGUYLUXJUGUHZVBZUYOUYGUYCUYQ
        AUYEUYCUYAAUYCUYDVDZVEUYCUXJUYLVFUHUYQUYCUXJUXQVGUXJUXQVHVGUXQUIVIUDZVH
        UIHVJUIVKVLVMVLZVNZVOUYCUXJUYLVUAUYCUXJUIVUAUYCVPVQVRVSVTZUYGUYAUYLUXQU
        OZUYQUYOWAAUYEUYAWBAUYEVUCUYAAUYEVUCAUYDUXJHUFZVBZUYCVUCAVUDUYDAVUDUYDV
        BZAVUDURZHUXKUDZUEVFUHZVUFAVUIVUDUAWCVUGUXLUEVFUHZVUIVUFVUGUXLVUHUEVFVU
        GUXJHUXKAVUDWDWEWFAVUDVUJVUFWGZAVUDAUYCURVUKAVUDUYCAUYCVUDHUXQUOZAHUYSU
        OZVULAHWHUOZVUMSHWIWJUIHWOVTUXJHUXQWKWLWMUYCAUXJUEHUJUKZUOZVUKUIUEVIUDU
        OZUYCVUPWAWNVUQUXQVUOUXJUIUEHWPZWQWRZAVUPURZUXLUEVUTUXLVUTBCDEGUXJIJKLM
        NOPQACKUOZVUPRWCVUPUXJVHUOZAUXJUEHWSWTXAZXBVUTXCVRXDXEXFXGVSXHXIAUYCVUE
        URZUXJUIHUIVAUKZUJUKUOZVUCAUYCVUDVVFXJZWAVVDVVFWAAUYCVVGAUYCVVFVUDXJZVV
        GAUXJUIVVEUIVCUKZUJUKZUOZVVFUXJVVIUFZXJZUYCVVHAVVEUYSUOZVVKVVMWGAVVEWHU
        OZVVNAVVOHUIUFZVVOXJZAVUNVVQSHXKVTAVVOVVPVBZVBZVVOXJZVVQAVVRVVOVVTWGAVV
        PUEVUHUGUHZAVVPURZUXPEHXLZUMZVWAVWBUXPEUXQUMZVWDAVWEVVPTWCVWBUXPEUXQVWC
        VWBHHUJUKZUXQVWCVVPVWFUXQUFAHUIHUJXRWTAVWFVWCUFZVVPAHVHUOVWGAHSXMZHXNVT
        WCXOXPVSAVWDVWAWGZVVPAVUNVWISUXPVWAEHWHUXNHUFUXOVUHUEUGUXNHUXKUPUQXQVTW
        CVSVWBVUIVWAVBZAVUIVVPUAWCAVUIVWJWGVVPAVUHUEAVUHABCDEGHIJKLMNOPQRVWHXAX
        BAXCVRWCVSXSVVRVVOXTVTVVPVVSVVOVVPYAYBUUMYCZVVEWIWJUXJUIVVEUUBVTAVVJUXQ
        UXJAVVIHUIUJAHUIAHSUUCAYIUUDZUUEYDAVVLVUDVVFAVVIHUXJVWLYEUUFUUNVVFVUDUU
        GUUHUUIUYCVUDVVFUUJYFAVVFVUCAVVFURUYLUIUIVCUKZVVIUJUKZUOZVUCAVVFVWOAVVF
        VVFVWOAUIVHUOZVVEVHUOZURVVBVWPURVVFVWOWGVVFAVWQVWPAVVEVWKXMYGUUKVVFVVBV
        WPUXJUIVVEWSYGUULUXJUIUIVVEUUOUUPUUQUURAVWOVUCWAVVFAVWOUYLYJHUJUKZUOVUC
        AVWNVWRUYLAVWMYJVVIHUJVWMYJUFAUVBYHVWLUUSYDVWRUXQUYLYJUYSUOVWRUXQYKUUTY
        JUIHWPWRVNUVAWCYLXHUUAUVCZXFZVEZUYAVUCURUYNUYPUYAVUCUYNUYPVUCUYNURUYAUY
        LUXRUOUYPUXPUYNEUYLUXQUXNUYLUFUXOUYMUEUGUXNUYLUXKUPUQUSUXTUYPUBUYLUXRUX
        SUYLUXJUGUVDUVEUVFZUVGUVHYMYLUYGUYMUYIUFZUYOUYKWGUYGUYLCUOZVBZVXCUYGVXD
        UYPVUBUYGVXDURUYAVUCUYNUYPAUYEUYAVXDYNUYGVUCVXDVXAWCAUYEVXDUYNUYAAUYEUR
        ZVXDURZUEUYMVXGXCVXGAUYLVUOUOZUYMVGUOAUYEVXDUVIZVUQVXGVUCVXHWNVXFVUCVXD
        VWTWCVUQUXQVUOUYLVURWQUVLAVXHURZUYMVXJBCDEGUYLIJKLMNOPQAVVAVXHRWCVXHUYL
        VHUOAUYLUEHWSWTXAXBYMVXGUYDUEUYMVFUHZAUYCUYDVXDYNVXGAVUPUYMUXLUIVCUKZUF
        ZUYDVXKWGVXIVXGUYCVUPVXFUYCVXDUYRWCZVUSVTVXGUYMUYLUIVAUKZUXKUDZUIVCUKZU
        FZVXMVXFAVUCURZVXDVXRAUYEVUCVWSUVJZVXSVXDVXRVXSVXEUYMVXPUIVAUKZUFZWAZVX
        DVXRWAZVXSBCDEGUYLIJKLMNOPQAVVAVUCRWCVUCUYLWHUOAUYLHUVKWTUVMZUVNXFYOVXG
        UYCVXRVXMWGVXNUYCVXQVXLUYMUYCVXPUXLUIVCUYCVXOUXJUXKUYCUXJUIUYCUXJUXJUIH
        WSUVOUYCYIUVPWEZYPYEVTVSVUTVXMURUYDUEVXLVFUHZVXKVUTUYDVYGWGZVXMVUTUEVHU
        OZUXLVHUOZVYHYQVVCUEUXLUVQUVRWCVXMVXKVYGWGVUTUYMVXLUEVFYRWTUWAUVSVSUWBY
        SVXBUVTUWCAUYEVXEVXCUYAVXFVXEURZVYBVXCVXFVXSVXEVYBVXTVXSVXEVYBVXSVYCVYD
        VYEUWDXFYOVYKUYCVYBVXCWGVXFUYCVXEUYRWCUYCVYAUYIUYMUYCVXPUXLUIVAVYFYPYEV
        TVSYSUWEVXCUYNUYJUYMUYIUEUGYRUWFVTVSUYGVYJUYHUYKWGAUYEVYJUYAAUYEVUPVYJV
        XFUYCVUPUYRVUSVTVVCUWLVEZVYJUYHUYIUEVFUHZUYKVYJVYIUYHVYMWGYQUXLUEUWGUWH
        VYJUYIUEVYJUXLUIUXLUWIVYJVPUWJVYJXCVRUWKVTYCAUYCUYDUYAUWMUYGUXLUEUYGUXL
        VYLXBUYGXCUWNUWOUWPAUXRVGYKZUXRYTUOZUXRUWQUWRZUYAFUXRUMVYNAUXRUXQVGUXPE
        UXQUWSZUYTVLYHVYOAUXQYTUOUXRUXQYKVYOUIHUWTVYQUXQUXRUXCUXAYHAVWEVYPTUXPE
        UXQUXBYFFUBUXRUXDUXEUXFUXMUXMFUXRUXQUYBUYCUXMUXPEUXJUXQUXGUXHUXIVT $.
    $}

    ${
      $d b c M $.  $d b C $.
      $( ` ( F `` C ) ` finishes counting at ` ( M - N ) ` .  (Contributed by
         Thierry Arnoux, 25-Nov-2016.) $)
      ballotlemfmpn $p |- ( C e. O ->
                                     ( ( F ` C ) ` ( M + N ) ) = ( M - N ) ) $=
        ( wcel co cfv chash cmin wceq vb caddc c1 cfz cin cdif id cz cn nnaddcl
        mp2an nnzi a1i ballotlemfval wss cpw crab ssrab2 eqsstri elpwid sseqin2
        sseli sylib fveq2d cab rabssab eleq2s fveqeq2 cbvabv elab2g mpbid eqtrd
        cv cfn fzfi hashssdif sylancr cn0 nnnn0i hashfz1 mp1i oveq12d cc pncan2
        nncni 3eqtrd ) BHOZFGUBPZBEQQUCWHUDPZBUEZRQZWIBUFRQZSPFGSPWGABCDEWHFGHI
        JKLMNWGUGWHUHOWGWHFUIOGUIOWHUIOJKFGUJUKZULUMUNWGWKFWLGSWGWKBRQZFWGWJBRW
        GBWIUOZWJBTWGBWIHWIUPZBHIVMZRQFTZIWPUQZWPLWRIWPURUSVBUTZBWIVAVCVDWGBWRI
        VEZOZWNFTZXBBWSHWSXABWRIWPVFVBLVGUAVMZRQFTZXCUABXAHXDBFRVHWRXEIUAWQXDFR
        VHVIVJVKZVLWGWLWIRQZWNSPZWHFSPZGWGWIVNOWOWLXHTUCWHVOWTWIBVPVQWGXGWHWNFS
        WHVROXGWHTWGWHWMVSWHVTWAXFWBXIGTZWGFWCOGWCOXJFJWEGKWEFGWDUKUMWFWBVL $.
    $}

    $( ` ( F `` C ) ` always starts counting at 0 .  (Contributed by Thierry
       Arnoux, 25-Nov-2016.) $)
    ballotlemfval0 $p |- ( C e. O -> ( ( F ` C ) ` 0 ) = 0 ) $=
      ( cc0 cfv co chash c0 eqtri wcel cfz cin cdif cmin 0zd ballotlemfval fz10
      c1 id ineq1i incom 3eqtr2i fveq2i hash0 difeq1i 0dif oveq12i 0m0e0 eqtrdi
      in0 ) BHUAZOBEPPUIOUBQZBUCZRPZVCBUDZRPZUEQZOVBABCDEOFGHIJKLMNVBUJVBUFUGVH
      OOUEQOVEOVGOUEVESRPZOVDSRVDSBUCBSUCSVCSBUHUKBSULBVAUMUNUOTVGVIOVFSRVFSBUD
      SVCSBUHUPBUQTUNUOTURUSTUT $.

    $( E is the event where A is strictly ahead throughout the count. $)
    ballotth.e $e |- E = { c e. O | A. i e. ( 1 ... ( M + N ) )
      0 < ( ( F ` c ) ` i ) } $.

    ${
      $d c d $.  $d d i $.  $d d C $.  $d d F $.  $d d M $.  $d d N $.
      $d d O $.
      $( Elements of ` E ` .  (Contributed by Thierry Arnoux, 14-Dec-2016.) $)
      ballotleme $p |- ( C e. E <->
        ( C e. O /\ A. i e. ( 1 ... ( M + N ) ) 0 < ( ( F ` C ) ` i ) ) ) $=
        ( vd cc0 cfv clt cv wbr c1 caddc co cfz wral wceq fveq1d breq2d ralbidv
        fveq2 crab cbvrabv eqtri elrab2 ) RDUAZQUAZFSZSZTUBZDUCGHUDUEUFUEZUGZRU
        QBFSZSZTUBZDVBUGQBIEURBUHZVAVFDVBVGUTVERTVGUQUSVDURBFULUIUJUKERUQJUAZFS
        ZSZTUBZDVBUGZJIUMVCQIUMPVLVCJQIVHURUHZVKVADVBVMVJUTRTVMUQVIUSVHURFULUIU
        JUKUNUOUP $.
    $}

    ${
      $d i j C $.  $d c i F $.  $d j F $.  $d j M $.  $d j N $.  $d j O $.
      $( Elements of ` ( O \ E ) ` .  (Contributed by Thierry Arnoux,
         7-Dec-2016.) $)
      ballotlemodife $p |- ( C e. ( O \ E ) <->
        ( C e. O /\ E. i e. ( 1 ... ( M + N ) ) ( ( F ` C ) ` i ) <_ 0 ) ) $=
        ( vj wcel wn wa cdif cv cfv cc0 cle wbr c1 caddc co cfz wrex eldif wral
        clt wo wi df-or pm3.24 a1bi bitr4i ballotleme notbii anbi2i andi 3bitri
        ianor cr wss fz1ssfz0 a1i sseld imdistani simpl cz adantl ballotlemfelz
        wsb elfzelz zred sbimi sbv clelsb1 anbi12i bitri nfv fveq2 eleq1d sbiev
        sban weq 3imtr3i syl 0red lenltd rexbidva rexnal bitrdi pm5.32i 3bitr4i
        ) BIEUARBIRZBERZSZTZWTDUBZBFUCZUCZUDUEUFZDUGGHUHUIZUJUIZUKZTZBIEULWTWTS
        ZTZWTUDXFUNUFZDXIUMZSZTZUOZXQXCXKXRXMSZXQUPXQXMXQUQXSXQWTURUSUTXCWTWTXO
        TZSZTWTXLXPUOZTXRXBYAWTXAXTABCDEFGHIJKLMNOPVAVBVCYAYBWTWTXOVFVCWTXLXPVD
        VEWTXJXPWTXJXNSZDXIUKXPWTXGYCDXIWTXDXIRZTZXFUDYEWTXDUDXHUJUIZRZTZXFVGRZ
        WTYDYGWTXIYFXDXIYFVHWTXHVIVJVKVLWTQUBZYFRZTZQDVQZYJXEUCZVGRZQDVQYHYIYLY
        OQDYLYNYLABCDFYJGHIJKLMNOWTYKVMYKYJVNRWTYJUDXHVRVOVPVSVTYMWTQDVQZYKQDVQ
        ZTYHWTYKQDWIYPWTYQYGWTQDWAQDYFWBWCWDYOYIQDYIQWEQDWJYNXFVGYJXDXEWFWGWHWK
        WLYEWMWNWOXNDXIWPWQWRWSWD $.
    $}

    $( If the first pick is a vote for B, A is not ahead throughout the count.
       (Contributed by Thierry Arnoux, 25-Nov-2016.) $)
    ballotlem4 $p |- ( C e. O -> ( -. 1 e. C -> -. C e. E ) ) $=
      ( wcel c1 cc0 clt wn wa cv cfv wbr caddc co cfz wral cuz cn nnaddcl mp2an
      wrex elnnuz mpbi eluzfz1 ax-mp cmin cle 0le1 0re 1re lenlti cr wb ltsub13
      mp3an 0m0e0 breq2i bitri mtbir fveq2i ballotlemfval0 syl5eq oveq1d breq2d
      1m1e0 mtbiri adantr wi simpl 1nn a1i ballotlemfp1 simpld mpan2 imp mtbird
      wceq fveq2 notbid rspcev sylancr rexnal sylib ballotleme simprbi nsyl ex
      ) BIQZRBQZUAZBEQZUAXAXCUBZSDUCZBFUDZUDZTUEZDRGHUFUGZUHUGZUIZXDXEXIUAZDXKU
      NZXLUAXERXKQZSRXGUDZTUEZUAZXNXJRUJUDQZXOXJUKQZXSGUKQHUKQXTKLGHULUMXJUOUPR
      XJUQURZXEXQSRRUSUGZXGUDZRUSUGZTUEZXAYEUAXCXAYESSRUSUGZTUEZYGRSTUEZSRUTUEY
      HUAVASRVBVCVDUPYGRSSUSUGZTUEZYHSVEQZYKRVEQYGYJVFVBVBVCSSRVGVHYISRTVIVJVKV
      LXAYDYFSTXAYCSRUSXAYCSXGUDSYBSXGVRVMABCDFGHIJKLMNOVNVOVPVQVSVTXEXPYDSTXAX
      CXPYDWJZXAXOXCYLWAZYAXAXOUBZYMXBXPYCRUFUGWJWAYNABCDFRGHIJKLMNOXAXOWBRUKQY
      NWCWDWEWFWGWHVQWIXMXRDRXKXFRWJZXIXQYOXHXPSTXFRXGWKVQWLWMWNXIDXKWOWPXDXAXL
      ABCDEFGHIJKLMNOPWQWRWSWT $.

    $( From now on, we assume that A wins the poll. $)
    ballotth.mgtn $e |- N < M $.

    $d i k E $.  $d k C $.
    $( If A is not ahead throughout, there is a ` k ` where votes are tied.
       (Contributed by Thierry Arnoux, 1-Dec-2016.) $)
    ballotlem5 $p |- ( C e. ( O \ E ) ->
      E. k e. ( 1 ... ( M + N ) ) ( ( F ` C ) ` k ) = 0 ) $=
      ( wcel co cdif caddc eldifi cn a1i nnaddcld cv cfv cc0 cle ballotlemodife
      wbr cfz wrex simprbi cmin nnrei posdifi mpbi wceq ballotlemfmpn breqtrrid
      c1 clt syl ballotlemfc0 ) BJFUASZABCDEGHIUBTZHIJKLMNOPBJFUCZVGHIHUDSVGLUE
      IUDSVGMUEUFVGBJSZDUGBGUHZUHUIUJULDVCVHUMTUNABCDFGHIJKLMNOPQUKUOVGUIHIUPTZ
      VHVKUHZVDIHVDULUIVLVDULRIHIMUQHLUQURUSVGVJVMVLUTVIABCDGHIJKLMNOPVAVEVBVF
      $.

    $( Let I be the first time a tie is reached in a given count. $)
    ballotth.i $e |- I = ( c e. ( O \ E ) |-> inf ( { k e. ( 1 ... ( M + N ) )
      | ( ( F ` c ) ` k ) = 0 } , RR , < ) ) $.

    $d I k $.  $d c d k $.  $d c i k E $.
    ${
      $d d C $.  $d d E $.  $d d F $.  $d d M $.  $d d N $.  $d d O $.
      $( Value of ` I ` for a given counting ` C ` .  (Contributed by Thierry
         Arnoux, 1-Dec-2016.)  (Revised by AV, 6-Oct-2020.) $)
      ballotlemi $p |- ( C e. ( O \ E ) -> ( I ` C ) = inf (
       { k e. ( 1 ... ( M + N ) ) | ( ( F ` C ) ` k ) = 0 } , RR , < ) ) $=
        ( vd cv cfv cc0 wceq c1 caddc co cfz crab cr clt cinf cdif fveq2 fveq1d
        eqeq1d rabbidv infeq1d cmpt cbvmptv eqtri ltso infex fvmpt ) UABEUBZUAU
        BZGUCZUCZUDUEZEUFIJUGUHUIUHZUJZUKULUMZVFBGUCZUCZUDUEZEVKUJZUKULUMKFUNZH
        VGBUEZUKVLVQULVSVJVPEVKVSVIVOUDVSVFVHVNVGBGUOUPUQURUSHLVRVFLUBZGUCZUCZU
        DUEZEVKUJZUKULUMZUTUAVRVMUTTLUAVRWEVMVTVGUEZUKWDVLULWFWCVJEVKWFWBVIUDWF
        VFWAVHVTVGGUOUPUQURUSVAVBUKVQULVCVDVE $.
    $}

    $( Properties of ` ( I `` C ) ` .  (Contributed by Thierry Arnoux,
       12-Dec-2016.)  (Revised by AV, 6-Oct-2020.) $)
    ballotlemiex $p |- ( C e. ( O \ E ) -> ( ( I ` C ) e. ( 1 ... ( M + N ) )
      /\ ( ( F ` C ) ` ( I ` C ) ) = 0 ) ) $=
      ( cdif wcel cfv cv cc0 wceq c1 caddc co cfz crab wa cr clt ballotlemi wor
      cinf cfn c0 wne wss ltso a1i fzfi ssrab2 ssfi mp2an wrex ballotlem5 rabn0
      sylibr cz fzssuz uzssz sstri zssre fiinfcl syl13anc eqeltrd fveqeq2 elrab
      cuz sylib ) BKFUAUBZBHUCZEUDZBGUCZUCUEUFZEUGIJUHUIZUJUIZUKZUBWEWJUBWEWGUC
      UEUFZULWDWEWKUMUNUQZWKABCDEFGHIJKLMNOPQRSTUOWDUMUNUPZWKURUBZWKUSUTZWKUMVA
      ZWMWKUBWNWDVBVCWOWDWJURUBWKWJVAWOUGWIVDWHEWJVEZWJWKVFVGVCWDWHEWJVHWPABCDE
      FGIJKLMNOPQRSVIWHEWJVJVKWQWDWKWJUMWRWJVLUMWJUGWBUCVLUGWIVMUGVNVOVPVOVOVCU
      MWKUNVQVRVSWHWLEWEWJWFWEUEWGVTWAWC $.

    $d c E $.  $d i I $.
    ${
      $d c k y z $.  $d y z C $.  $d y z F $.  $d y z M $.  $d y z N $.
      $( The first tie cannot be reached at the first pick.  (Contributed by
         Thierry Arnoux, 12-Mar-2017.) $)
      ballotlemi1 $p |- ( ( C e. ( O \ E ) /\ -. 1 e. C ) ->
                                                           ( I ` C ) =/= 1 ) $=
        ( cdif wcel c1 wn wa cfv wceq cc0 cmin co 0re 1re resubcli clt wbr 0lt1
        cr wb ltsub23 mp3an 0m0e0 breq1i bitr2i mpbi gtneii nesymi caddc eldifi
        wi cn 1nn ballotlemfp1 simpld 1m1e0 fveq2i oveq1i ballotlemfval0 adantr
        a1i imp syl oveq1d 3eqtrrd eqeq1d mtbii cfz ballotlemiex simprd fveqeq2
        ad2antrr adantl mpbid mtand neqned ) BKFUAUBZUCBUBZUDZUEZBHUFZUCWRWSUCU
        GZUCBGUFZUFZUHUGZWRUHUCUIUJZUHUGXCUHXDXDUHUHUCUKULUMUHUCUNUOZXDUHUNUOZU
        PXFUHUHUIUJZUCUNUOZXEUHUQUBZUCUQUBXIXFXHURUKULUKUHUCUHUSUTXGUHUCUNVAVBV
        CVDVEVFWRXDXBUHWRXBUCUCUIUJZXAUFZUCUIUJZUHXAUFZUCUIUJZXDWOWQXBXLUGZWOWQ
        XOVIWPXBXKUCVGUJUGVIWOABCDGUCIJKLMNOPQBKFVHZUCVJUBWOVKVSVLVMVTXLXNUGWRX
        KXMUCUIXJUHXAVNVOVPVSWRXMUHUCUIWOXMUHUGZWQWOBKUBXQXPABCDGIJKLMNOPQVQWAV
        RWBWCWDWEWRWTUEWSXAUFUHUGZXCWOXRWQWTWOWSUCIJVGUJWFUJUBXRABCDEFGHIJKLMNO
        PQRSTWGWHWJWTXRXCURWRWSUCUHXAWIWKWLWMWN $.

      $( The first tie cannot be reached at the first pick.  (Contributed by
         Thierry Arnoux, 4-Apr-2017.) $)
      ballotlemii $p |- ( ( C e. ( O \ E ) /\ 1 e. C ) -> ( I ` C ) =/= 1 ) $=
        ( cdif wcel c1 wa cfv wceq caddc co 1e0p1 ax-1ne0 eqnetrri neii cmin wn
        cc0 eldifi 1nn a1i ballotlemfp1 simprd imp fveq2i oveq1i ballotlemfval0
        wi cn 1m1e0 adantr oveq1d 3eqtrrd eqeq1d mtbii ballotlemiex ad2antrr wb
        syl cfz fveqeq2 adantl mpbid mtand neqned ) BKFUAUBZUCBUBZUDZBHUEZUCWEW
        FUCUFZUCBGUEZUEZUOUFZWEUOUCUGUHZUOUFWJWKUOUCWKUOUIUJUKULWEWKWIUOWEWIUCU
        CUMUHZWHUEZUCUGUHZUOWHUEZUCUGUHZWKWCWDWIWNUFZWCWDUNWIWMUCUMUHUFVEWDWQVE
        WCABCDGUCIJKLMNOPQBKFUPZUCVFUBWCUQURUSUTVAWNWPUFWEWMWOUCUGWLUOWHVGVBVCU
        RWEWOUOUCUGWCWOUOUFZWDWCBKUBWSWRABCDGIJKLMNOPQVDVPVHVIVJVKVLWEWGUDWFWHU
        EUOUFZWJWCWTWDWGWCWFUCIJUGUHVQUHUBWTABCDEFGHIJKLMNOPQRSTVMUTVNWGWTWJVOW
        EWFUCUOWHVRVSVTWAWB $.

      $d k w y z $.  $d w C $.  $d w F $.  $d w M $.  $d w N $.
      $( The set of zeroes of ` F ` satisfies the conditions to have a
         supremum.  (Contributed by Thierry Arnoux, 1-Dec-2016.)  (Revised by
         AV, 6-Oct-2020.) $)
      ballotlemsup $p |- ( C e. ( O \ E ) -> E. z e. RR ( A. w e.
        { k e. ( 1 ... ( M + N ) ) | ( ( F ` C ) ` k ) = 0 } -. w < z
        /\ A. w e. RR ( z < w -> E. y e.
        { k e. ( 1 ... ( M + N ) ) | ( ( F ` C ) ` k ) = 0 } y < w )
        ) ) $=
        ( cdif wcel cr clt wor cv cfv cc0 wceq c1 caddc co cfz crab cfn wne wss
        c0 w3a wa wbr wn wral wrex fzfi ssrab2 ssfi mp2an a1i ballotlem5 sylibr
        wi rabn0 cn fz1ssnn nnssre sstri 3jca ltso jctil fiinf2g anim1i reximi2
        sseli 3syl ) ENIUDUEZUFUGUHZHUIEJUJUJUKULZHUMLMUNUOZUPUOZUQZURUEZWNVAUS
        ZWNUFUTZVBZVCDUIZCUIZUGVDVEDWNVFWTWSUGVDBUIWSUGVDBWNVGVODUFVFVCZCWNVGXA
        CUFVGWIWRWJWIWOWPWQWOWIWMURUEWNWMUTWOUMWLVHWKHWMVIZWMWNVJVKVLWIWKHWMVGW
        PAEFGHIJLMNOPQRSTUAUBVMWKHWMVPVNWQWIWNWMUFXBWMVQUFWLVRVSVTVTZVLWAWBWCCD
        BUFWNUGWDXAXACWNUFWTWNUEWTUFUEXAWNUFWTXCWGWEWFWH $.

      $( ` ( I `` C ) ` is the first tie.  (Contributed by Thierry Arnoux,
         1-Dec-2016.)  (Revised by AV, 6-Oct-2020.) $)
      ballotlemimin $p |- ( C e. ( O \ E ) ->
        -. E. k e. ( 1 ... ( ( I ` C ) - 1 ) ) ( ( F ` C ) ` k ) = 0 ) $=
        ( vw vz vy cdif wcel cv cfv cc0 wceq c1 cmin co cfz clt wbr cle elfzle2
        wa adantl cz elfzelz caddc ballotlemiex simpld elfzelzd zltlem1 syl2anr
        wb mpbird adantr wn cuz wss 1zzd zsubcld cn nnaddcl mp2an a1i nnred syl
        zred nnzd zlem1lt syl2anc mpbid ltled eluz fzss2 crab cr cinf wral wrex
        sseld rabid wi ballotlemsup wor ltso id inflb ballotlemi breq2d sylibrd
        notbid syl5bir syland imp biid sylnib anassrs pm2.65da nrexdv ) BKFUDUE
        ZEUFZBGUGZUGUHUIZEUJBHUGZUJUKULZUMULZXOXPYAUEZURZXRXPXSUNUOZYCYDXRYCYDX
        PXTUPUOZYBYEXOXPUJXTUQUSYBXPUTUEXSUTUEZYDYEVHXOXPUJXTVAXOXSUJIJVBULZXOX
        SUJYGUMULZUEZXSXQUGUHUIABCDEFGHIJKLMNOPQRSTVCVDZVEZXPXSVFVGVIVJXOYBXRYD
        VKZXOYBXRURZURYDYDXOYMYLXOYBXPYHUEZXRYLXOYAYHXPXOYGXTVLUGUEZYAYHVMXOYOX
        TYGUPUOZXOXTYGXOXTXOXSUJYKXOVNVOZWBXOYGYGVPUEZXOIVPUEJVPUEYRMNIJVQVRVSZ
        VTXOXSYGUPUOZXTYGUNUOZXOYIYTYJXSUJYGUQWAXOYFYGUTUEZYTUUAVHYKXOYGYSWCZXS
        YGWDWEWFWGXOXTUTUEUUBYOYPVHYQUUCXTYGWHWEVIXTUJYGWIWAWOYNXRURXPXREYHWJZU
        EZXOYLXREYHWPXOUUEXPUUDWKUNWLZUNUOZVKZYLXOUAUFZUBUFZUNUOVKUAUUDWMUUJUUI
        UNUOUCUFUUIUNUOUCUUDWNWQUAWKWMURUBWKWNZUUEUUHWQAUCUBUABCDEFGHIJKLMNOPQR
        STWRUUKUBUAUCWKUUDXPUNWKUNWSUUKWTVSUUKXAXBWAXOYDUUGXOXSUUFXPUNABCDEFGHI
        JKLMNOPQRSTXCXDXFXEXGXHXIYDXJXKXLXMXN $.

      $( If the first vote is for B, the vote on the first tie is for A.
         (Contributed by Thierry Arnoux, 1-Dec-2016.) $)
      ballotlemic $p |- ( ( C e. ( O \ E ) /\ -. 1 e. C ) ->
                                                            ( I ` C ) e. C ) $=
        ( cdif wcel c1 wn wa cfv cv cc0 wceq cmin co wrex eldifi ad2antrr cn c2
        cfz cuz wne caddc ballotlemiex simpld elfznn adantr ballotlemi1 eluz2b3
        syl sylanbrc uz2m1nn cle wbr elnnuz biimpi eluzfz1 3syl wi ballotlemfp1
        1nn a1i imp 1m1e0 fveq2i oveq1i ballotlemfval0 oveq1d 3eqtrrd cr wb 0re
        0le1 1re suble0 mp2an mpbir eqbrtrrdi fveq2 breq1d rspcev syl2anc 1p0e1
        0lt1 simprd eqtr3d cz nnzd 1zzd zsubcld ballotlemfelz zcnd 1cnd subaddd
        0cnd mpbid eqtr3id breqtrid adantlr ballotlemfc0 ballotlemimin condan
        clt ) BKFUAUBZUCBUBZUDZUEZBHUFZBUBZEUGBGUFZUFUHUIEUCYEUCUJUKZUQUKZULZYD
        YFUDZUEZABCDEGYHIJKLMNOPQYABKUBZYCYKBKFUMZUNYDYHUOUBZYKYDYEUPURUFUBZYOY
        DYEUOUBZYEUCUSYPYAYQYCYAYEUCIJUTUKZUQUKUBZYQYAYSYEYGUFZUHUIZABCDEFGHIJK
        LMNOPQRSTVAZVBYEYRVCVGZVDABCDEFGHIJKLMNOPQRSTVEYEVFVHYEVIVGZVDYLUCYIUBZ
        UCYGUFZUHVJVKZDUGZYGUFZUHVJVKZDYIULYDUUEYKYDYOYHUCURUFUBZUUEUUDYOUUKYHV
        LVMUCYHVNVOVDYDUUGYKYDUUFUHUCUJUKZUHVJYDUUFUCUCUJUKZYGUFZUCUJUKZUHYGUFZ
        UCUJUKZUULYAYCUUFUUOUIZYAYCUURVPYBUUFUUNUCUTUKUIVPYAABCDGUCIJKLMNOPQYNU
        CUOUBYAVRVSVQVBVTUUOUUQUIYDUUNUUPUCUJUUMUHYGWAWBWCVSYDUUPUHUCUJYAUUPUHU
        IZYCYAYMUUSYNABCDGIJKLMNOPQWDVGVDWEWFUULUHVJVKZUHUCVJVKZWJUHWGUBUCWGUBU
        UTUVAWHWIWKUHUCWLWMWNWOVDUUJUUGDUCYIUUHUCUIUUIUUFUHVJUUHUCYGWPWQWRWSYAY
        KUHYHYGUFZXTVKYCYAYKUEZUHUCUVBXTXAUVCUCUCUHUTUKZUVBWTUVCUVBUCUJUKZUHUIU
        VDUVBUIUVCYTUVEUHYAYKYTUVEUIZYAYKUVFVPYFYTUVBUCUTUKUIVPYAABCDGYEIJKLMNO
        PQYNUUCVQVBVTYAUUAYKYAYSUUAUUBXBVDXCUVCUVBUCUHUVCUVBUVCABCDGYHIJKLMNOPQ
        YAYMYKYNVDUVCYEUCYAYEXDUBYKYAYEUUCXEVDUVCXFXGXHXIUVCXJUVCXLXKXMXNXOXPXQ
        YAYJUDYCYKABCDEFGHIJKLMNOPQRSTXRUNXS $.

      $( If the first vote is for A, the vote on the first tie is for B.
         (Contributed by Thierry Arnoux, 4-Apr-2017.) $)
      ballotlem1c $p |- ( ( C e. ( O \ E ) /\ 1 e. C ) ->
                                                         -. ( I ` C ) e. C ) $=
        ( cdif wcel c1 wa cfv cv cc0 wceq cmin co cfz eldifi ad2antrr cn c2 cuz
        wrex wne ballotlemiex simpld elfznn adantr ballotlemii eluz2b3 sylanbrc
        caddc syl uz2m1nn cle wbr elnnuz biimpi eluzfz1 3syl 0le1 1e0p1 breqtri
        wn wi 1nn ballotlemfp1 simprd 1m1e0 fveq2i oveq1i ballotlemfval0 oveq1d
        a1i imp 3eqtrrd breqtrid fveq2 breq2d rspcev syl2anc cneg df-neg eqtr3d
        clt 0cnd 1cnd cz nnzd 1zzd zsubcld ballotlemfelz subadd2d mpbird syl5eq
        zcnd neg1lt0 eqbrtrrdi adantlr ballotlemfcc ballotlemimin pm2.65da ) BK
        FUAUBZUCBUBZUDZBHUEZBUBZEUFBGUEZUEUGUHEUCXTUCUIUJZUKUJZUQZXSYAUDZABCDEG
        YCIJKLMNOPQXQBKUBZXRYABKFULZUMXSYCUNUBZYAXSXTUOUPUEUBZYIXSXTUNUBZXTUCUR
        YJXQYKXRXQXTUCIJVFUJZUKUJUBZYKXQYMXTYBUEZUGUHZABCDEFGHIJKLMNOPQRSTUSZUT
        XTYLVAVGZVBABCDEFGHIJKLMNOPQRSTVCXTVDVEXTVHVGZVBYFUCYDUBZUGUCYBUEZVIVJZ
        UGDUFZYBUEZVIVJZDYDUQXSYSYAXSYIYCUCUPUEUBZYSYRYIUUEYCVKVLUCYCVMVNVBXSUU
        AYAXSUGUGUCVFUJZYTVIUGUCUUFVIVOVPVQXSYTUCUCUIUJZYBUEZUCVFUJZUGYBUEZUCVF
        UJZUUFXQXRYTUUIUHZXQXRVRYTUUHUCUIUJUHVSXRUULVSXQABCDGUCIJKLMNOPQYHUCUNU
        BXQVTWHWAWBWIUUIUUKUHXSUUHUUJUCVFUUGUGYBWCWDWEWHXSUUJUGUCVFXQUUJUGUHZXR
        XQYGUUMYHABCDGIJKLMNOPQWFVGVBWGWJWKVBUUDUUADUCYDUUBUCUHUUCYTUGVIUUBUCYB
        WLWMWNWOXQYAYCYBUEZUGWSVJXRXQYAUDZUUNUCWPZUGWSUUOUUPUGUCUIUJZUUNUCWQUUO
        UUQUUNUHUUNUCVFUJZUGUHUUOYNUURUGXQYAYNUURUHZXQYAVRYNUUNUCUIUJUHVSYAUUSV
        SXQABCDGXTIJKLMNOPQYHYQWAWBWIXQYOYAXQYMYOYPWBVBWRUUOUGUCUUNUUOWTUUOXAUU
        OUUNUUOABCDGYCIJKLMNOPQXQYGYAYHVBUUOXTUCXQXTXBUBYAXQXTYQXCVBUUOXDXEXFXJ
        XGXHXIXKXLXMXNXQYEVRXRYAABCDEFGHIJKLMNOPQRSTXOUMXP $.
    $}

    $( For a given count ` c ` , ` S ` is the operation reflecting the index
       in a count, before a tie is reached. $)
    ballotth.s $e |- S = ( c e. ( O \ E ) |-> ( i e. ( 1 ... ( M + N ) ) |->
                   if ( i <_ ( I ` c ) , ( ( ( I ` c ) + 1 ) - i ) , i ) ) ) $.

    $d c I $.
    ${
      $d c d i k M $.  $d c d i k N $.  $d d E $.  $d d C $.  $d d I $.
      $d d O $.
      $( Value of ` S ` .  (Contributed by Thierry Arnoux, 12-Apr-2017.) $)
      ballotlemsval $p |- ( C e. ( O \ E ) ->
        ( S ` C ) = ( i e. ( 1 ... ( M + N ) ) |->
                   if ( i <_ ( I ` C ) , ( ( ( I ` C ) + 1 ) - i ) , i ) ) ) $=
        ( vd c1 caddc co cfz cv cfv cle wbr cmin cif cmpt cdif wceq wcel fveq2d
        simpl breq2d oveq1d ifbieq1d mpteq2dva cbvmptv eqtri ovex mptex fvmpt
        wa ) UCBEUDJKUEUFZUGUFZEUHZUCUHZIUIZUJUKZVNUDUEUFZVLULUFZVLUMZUNZEVKVLB
        IUIZUJUKZVTUDUEUFZVLULUFZVLUMZUNLGUOZDVMBUPZEVKVRWDWFVLVKUQZVIZVOWAVQWC
        VLWHVNVTVLUJWHVMBIWFWGUSURZUTWHVPWBVLULWHVNVTUDUEWIVAVAVBVCDMWEEVKVLMUH
        ZIUIZUJUKZWKUDUEUFZVLULUFZVLUMZUNZUNUCWEVSUNUBMUCWEWPVSWJVMUPZEVKWOVRWQ
        WGVIZWLVOWNVQVLWRWKVNVLUJWRWJVMIWQWGUSURZUTWRWMVPVLULWRWKVNUDUEWSVAVAVB
        VCVDVEEVKWDUDVJUGVFVGVH $.

      $d i j $.  $d j I $.  $d j C $.  $d j E $.  $d j F $.  $d j J $.
      $d j F $.  $d j M $.  $d j N $.  $d j O $.
      $( Value of ` S ` evaluated at ` J ` for a given counting ` C ` .
         (Contributed by Thierry Arnoux, 12-Apr-2017.) $)
      ballotlemsv $p |- ( ( C e. ( O \ E ) /\ J e. ( 1 ... ( M + N ) ) ) ->
        ( ( S ` C ) ` J ) =
                     if ( J <_ ( I ` C ) , ( ( ( I ` C ) + 1 ) - J ) , J ) ) $=
        ( vj cdif wcel c1 caddc co cfz wa cv cfv cle wbr cmin cif cvv cmpt wceq
        ballotlemsval breq1 oveq2 ifbieq12d cbvmptv eqtrdi adantr breq1d oveq2d
        id simpr adantlr ovexd wn elex ad2antlr ifclda fvmptd ) BMGUEUFZJUGKLUH
        UIUJUIZUFZUKZUDJUDULZBIUMZUNUOZWDUGUHUIZWCUPUIZWCUQZJWDUNUOZWFJUPUIZJUQ
        ZVTBDUMZURVSWLUDVTWHUSZUTWAVSWLEVTEULZWDUNUOZWFWNUPUIZWNUQZUSWMABCDEFGH
        IKLMNOPQRSTUAUBUCVAEUDVTWQWHWNWCUTZWOWEWPWNWGWCWNWCWDUNVBWNWCWFUPVCWRVJ
        VDVEVFVGVSWCJUTZWHWKUTWAVSWSUKZWEWIWGWCWJJWTWCJWDUNVSWSVKZVHWTWCJWFUPXA
        VIXAVDVLVSWAVKWBWIWJJURWBWIUKWFJUPVMWAJURUFVSWIVNJVTVOVPVQVR $.
    $}

    $( ` S ` maps values less than ` ( I `` C ) ` to values greater than 1.
       (Contributed by Thierry Arnoux, 28-Apr-2017.) $)
    ballotlemsgt1 $p |- ( ( C e. ( O \ E ) /\ J e. ( 1 ... ( M + N ) )
      /\ J < ( I ` C ) ) -> 1 < ( ( S ` C ) ` J ) ) $=
      ( cdif wcel c1 caddc co cfz cfv clt wbr w3a cmin cz elfzelz 3ad2ant2 zred
      cc0 wceq ballotlemiex simpld elfzelzd 3ad2ant1 1red readdcld simp3 pncand
      zcnd 1cnd breqtrrd ltsub13d cle ballotlemsv 3adant3 ltled iftrued eqtrd
      cif ) BMGUDUEZJUFKLUGUHZUIUHZUEZJBIUJZUKULZUMZUFWDUFUGUHZJUNUHZJBDUJUJZUK
      WFJWGUFWFJWCVTJUOUEWEJUFWAUPUQURZWFWDUFWFWDVTWCWDUOUEWEVTWDUFWAVTWDWBUEWD
      BHUJUJUSUTABCEFGHIKLMNOPQRSTUAUBVAVBVCVDZURZWFVEZVFWMWFJWDWGUFUNUHUKVTWCW
      EVGZWFWDUFWFWDWKVIWFVJVHVKVLWFWIJWDVMULZWHJVSZWHVTWCWIWPUTWEABCDEFGHIJKLM
      NOPQRSTUAUBUCVNVOWFWOWHJWFJWDWJWLWNVPVQVRVK $.

    $( Domain of ` S ` for a given counting ` C ` .  (Contributed by Thierry
       Arnoux, 12-Apr-2017.) $)
    ballotlemsdom $p |- ( ( C e. ( O \ E ) /\ J e. ( 1 ... ( M + N ) ) ) ->
      ( ( S ` C ) ` J ) e. ( 1 ... ( M + N ) ) ) $=
      ( cdif wcel c1 caddc co cfz cfv cle wbr cmin cif ballotlemsv wss cc0 wceq
      wa cz ballotlemiex simpld elfzelzd ad2antrr cn nnaddcl mp2an nnzi elfzle2
      a1i syl w3a eluz2 fzss2 sylbir syl3anc simplr elfzle1 simpr elfzd fzrev3i
      cuz 1zzd wb 1cnd zcnd addcomd oveq1d eleq1d mpbid sseldd ifclda eqeltrd
      wn ) BMGUDUEZJUFKLUGUHZUIUHZUEZUSZJBDUJUJJBIUJZUKULZWTUFUGUHZJUMUHZJUNWQA
      BCDEFGHIJKLMNOPQRSTUAUBUCUOWSXAXCJWQWSXAUSZUFWTUIUHZWQXCXDWTUTUEZWPUTUEZW
      TWPUKULZXEWQUPZWOXFWRXAWOWTUFWPWOWTWQUEZWTBHUJUJUQURABCEFGHIKLMNOPQRSTUAU
      BVAVBZVCZVDZXGXDWPKVEUELVEUEWPVEUEOPKLVFVGVHVJXDXJXHWOXJWRXAXKVDWTUFWPVIV
      KXFXGXHVLWPWTWBUJUEXIWTWPVMWTUFWPVNVOVPXDUFWTUGUHZJUMUHZXEUEZXCXEUEZXDJXE
      UEXPXDJUFWTXDWCXMXDJUFWPWOWRXAVQZVCXDWRUFJUKULXRJUFWPVRVKWSXAVSVTJUFWTWAV
      KWOXPXQWDWRXAWOXOXCXEWOXNXBJUMWOUFWTWOWEWOWTXLWFWGWHWIVDWJWKWOWRXAWNVQWLW
      M $.

    $( The range ` ( 1 ... ( I `` C ) ) ` is invariant under ` ( S `` C ) ` .
       (Contributed by Thierry Arnoux, 28-Apr-2017.) $)
    ballotlemsel1i $p |- ( ( C e. ( O \ E ) /\ J e. ( 1 ... ( I ` C ) ) ) ->
      ( ( S ` C ) ` J ) e. ( 1 ... ( I ` C ) ) ) $=
      ( cdif wcel c1 cfv cfz co wa 1zzd cz caddc cc0 wceq ballotlemiex elfzelzd
      simpld adantr cuz wss cle wbr cn nnaddcl mp2an nnzi a1i elfzle2 syl eluz2
      syl3anbrc fzss2 sselda ballotlemsdom syldan cmin elfzelz adantl zred 1red
      readdcld zcnd pncand breqtrrd lesubd cif ballotlemsv iftrued eqtrd elfznn
      1cnd ltesubnnd eqbrtrd elfzd ) BMGUDUEZJUFBIUGZUHUIZUEZUJZJBDUGUGZUFWQWTU
      KWPWQULUEZWSWPWQUFKLUMUIZWPWQUFXCUHUIZUEZWQBHUGUGUNUOABCEFGHIKLMNOPQRSTUA
      UBUPURZUQZUSZWTXAUFXCWPWSJXDUEZXAXDUEWPWRXDJWPXCWQUTUGUEZWRXDVAWPXBXCULUE
      ZWQXCVBVCZXJXGXKWPXCKVDUELVDUEXCVDUEOPKLVEVFVGVHWPXEXLXFWQUFXCVIVJWQXCVKV
      LWQUFXCVMVJVNZABCDEFGHIJKLMNOPQRSTUAUBUCVOVPUQWTUFWQUFUMUIZJVQUIZXAVBWTJX
      NUFWTJWSJULUEWPJUFWQVRVSVTWTWQUFWTWQXHVTWTWAZWBXPWTJWQXNUFVQUIVBWSJWQVBVC
      ZWPJUFWQVIVSZWTWQUFWTWQXHWCWTWLWDWEWFWTXAXQXOJWGZXOWPWSXIXAXSUOXMABCDEFGH
      IJKLMNOPQRSTUAUBUCWHVPWTXQXOJXRWIWJZWEWTXAXOWQVBXTWPWSXIXOWQVBVCXMWPXIUJW
      QJWPXBXIXGUSXIJVDUEWPJXCWKVSWMVPWNWO $.

    $d i j $.  $d j I $.  $d j C $.  $d j E $.  $d j F $.  $d j J $.  $d j F $.
    $d j M $.  $d j N $.  $d j O $.
    $( The defined ` S ` is a bijection, and an involution.  (Contributed by
       Thierry Arnoux, 14-Apr-2017.) $)
    ballotlemsf1o $p |- ( C e. ( O \ E ) ->
           ( ( S ` C ) : ( 1 ... ( M + N ) ) -1-1-onto-> ( 1 ... ( M + N ) ) /\
          `' ( S ` C ) = ( S ` C ) ) ) $=
      ( vj cdif wcel c1 caddc cfz cfv wf1o ccnv wceq cle wbr cmin ballotlemsval
      co cv cif cmpt wa ballotlemsv ballotlemsdom eqeltrrd oveq2 id breq1 cc cz
      cvv cc0 ballotlemiex simpld elfzelz peano2zd zcnd adantr nncand eqcomd cn
      syl ad2antll elfznn ltesubnnd vex a1i ovexd ifeqeqx simplrl impbida f1o3d
      ad2antrl ifbieq12d cbvmptv simprd 3eqtr4rd jca ) BLGUDUEZUFJKUGUQZUHUQZWT
      BDUIZUJZXAUKZXAULWRXBXCUCWTUCURZBIUIZUMUNZXEUFUGUQZXDUOUQZXDUSZUTZULZWREU
      CWTWTEURZXEUMUNZXGXLUOUQZXLUSZXIXAABCDEFGHIJKLMNOPQRSTUAUBUPZWRXLWTUEZVAX
      LXAUIXOWTABCDEFGHIXLJKLMNOPQRSTUAUBVBABCDEFGHIXLJKLMNOPQRSTUAUBVCVDWRXDWT
      UEZVAXDXAUIXIWTABCDEFGHIXDJKLMNOPQRSTUAUBVBABCDEFGHIXDJKLMNOPQRSTUAUBVCVD
      WRXQXRVAZVAZXLXIULXDXOULXTXFXMXHXEUMUNZEXNXLXGXHUOUQZVJVJXHXDUCXLXHXGUOVE
      XLXDULZVFZXLXHXEUMVGXLXDXEUMVGZXTYBXDXTXGXDWRXGVHUEXSWRXGWRXEWTUEZXGVIUEW
      RYFXEBHUIUIVKULABCEFGHIJKLMNOPQRSTUAVLVMZYFXEXEUFWSVNZVOWAVPVQZXRXDVHUEWR
      XQXRXDXDUFWSVNVPWBVRVSXTYAXFXTXEXDWRXEVIUEZXSWRYFYJYGYHWAVQZXRXDVTUEWRXQX
      DWSWCWBWDVQXDVJUEXTUCWEWFXTXGXDUOWGWHXTXMXFXNXEUMUNUCXHXDXGXNUOUQZVJVJXNX
      LEXDXNXGUOVEXDXLULVFXDXNXEUMVGXDXLXEUMVGXTYLXLXTXGXLYIXQXLVHUEWRXRXQXLXLU
      FWSVNVPWLVRVSXTXMVAZXEXLXTYJXMYKVQYMXQXLVTUEWRXQXRXMWIXLWSWCWAWDXLVJUEXTE
      WEWFXTXGXLUOWGWHWJWKZVMWREWTXOUTZXJXAXCYOXJULWREUCWTXOXIYCXMXFXNXLXHXDYEX
      LXDXGUOVEYDWMWNWFXPWRXBXKYNWOWPWQ $.

    $( The image by ` S ` of the first tie pick is the first pick.
       (Contributed by Thierry Arnoux, 14-Apr-2017.) $)
    ballotlemsi $p |- ( C e. ( O \ E ) -> ( ( S ` C ) ` ( I ` C ) ) = 1 ) $=
      ( cdif wcel cfv cle wbr c1 caddc co cmin cif cfz wceq ballotlemiex simpld
      cc0 ballotlemsv mpdan cr elfzelz zred syl leidd iftrued recnd 1cnd 3eqtrd
      pncan2d ) BLGUCUDZBIUEZBDUEUEZVKVKUFUGZVKUHUIUJVKUKUJZVKULZVNUHVJVKUHJKUI
      UJZUMUJUDZVLVOUNVJVQVKBHUEUEUQUNABCEFGHIJKLMNOPQRSTUAUOUPZABCDEFGHIVKJKLM
      NOPQRSTUAUBURUSVJVMVNVKVJVKVJVQVKUTUDVRVQVKVKUHVPVAVBVCZVDVEVJVKUHVJVKVSV
      FVJVGVIVH $.

    $d j k $.  $d j S $.  $d k J $.  $d k S $.
    $( The image by ` S ` of an interval before the first pick.  (Contributed
       by Thierry Arnoux, 5-May-2017.) $)
    ballotlemsima $p |- ( ( C e. ( O \ E ) /\ J e. ( 1 ... ( I ` C ) ) ) ->
         ( ( S ` C ) " ( 1 ... J ) ) = ( ( ( S ` C ) ` J ) ... ( I ` C ) ) ) $=
      ( vj cdif wcel c1 cfv cfz co wa cima cz cv wss caddc imassrn wf1o wf ccnv
      crn wceq ballotlemsf1o simpld f1of frn 3syl sstrid cuz fzssuz uzssz sstri
      sstrdi adantr sselda elfzelz adantl wb wfn f1ofn syl ballotlemiex elfzuz3
      wrex cc0 uztrn syl2anc fzss2 fvelimab cmin cle wbr 1zzd nnzi zaddcl mp2an
      cif a1i elfzle1 elfzle2 letrd elfzd ballotlemsv syldan simpr iftrue eqtrd
      zred oveq1d eleq2d ad2antrr zcnd pncand oveq2d ad2antlr peano2zd syl22anc
      1cnd fzrev 3bitr2d risset eqcom cc adantlr addcld simplr subsub23 syl3anc
      bitr3id simpll eqeq1d bitr4d rexbidva 3bitrd eqrdav ) BMGUEUFZJUGBIUHZUIU
      JUFZUKZFBDUHZUGJUIUJZULZJYTUHZYQUIUJZUMYSUUBUMFUNZYPUUBUMUOYRYPUUBUGKLUPU
      JZUIUJZUMYPUUBYTVAZUUGYTUUAUQYPUUGUUGYTURZUUGUUGYTUSUUHUUGUOYPUUIYTUTYTVB
      ABCDEFGHIKLMNOPQRSTUAUBUCVCVDZUUGUUGYTVEUUGUUGYTVFVGVHUUGUGVIUHUMUGUUFVJU
      GVKVLVMVNVOUUEUUDUFZUUEUMUFZYSUUEUUCYQVPVQYSUULUKZUUEUUBUFZUDUNZYTUHZUUEV
      BZUDUUAWDZUUKYSUUNUURVRZUULYSYTUUGVSZUUAUUGUOZUUSYPUUTYRYPUUIUUTUUJUUGUUG
      YTVTWAVNYSUUFJVIUHZUFZUVAYSUUFYQVIUHUFZYQUVBUFZUVCYSYQUUGUFZUVDYPUVFYRYPU
      VFYQBHUHUHWEVBABCEFGHIKLMNOPQRSTUAUBWBVDZVNYQUGUUFWCWAYRUVEYPJUGYQWCVQYQU
      UFJWFWGJUGUUFWHWAZUDUUGUUAUUEYTWIWGVNUUMUUKYQUGUPUJZUUEWJUJZUUAUFZUUOUVJV
      BZUDUUAWDZUURUUMUUKUUEUVIJWJUJZYQUIUJZUFZUUEUVNUVIUGWJUJZUIUJZUFZUVKYSUUK
      UVPVRUULYSUUDUVOUUEYSUUCUVNYQUIYSUUCJYQWKWLZUVNJWQZUVNYPYRJUUGUFUUCUWAVBY
      SJUGUUFYSWMUUFUMUFZYSKUMUFLUMUFUWBKOWNLPWNKLWOWPWRZYRJUMUFZYPJUGYQVPZVQZY
      RUGJWKWLYPJUGYQWSVQYSJYQUUFYSJUWFXHYSYQYPYQUMUFZYRYPUVFUWGUVGYQUGUUFVPWAZ
      VNXHYSUUFUWCXHYRUVTYPJUGYQWTZVQYPYQUUFWKWLZYRYPUVFUWJUVGYQUGUUFWTWAVNXAXB
      ABCDEFGHIJKLMNOPQRSTUAUBUCXCXDYSYRUVTUWAUVNVBYPYRXEUWIUVTUVNJXFVGXGXIXJVN
      UUMUVRUVOUUEUUMUVQYQUVNUIUUMYQUGUUMYQYPUWGYRUULUWHXKZXLUUMXRXMXNXJUUMUGUM
      UFUWDUVIUMUFUULUVSUVKVRUUMWMYRUWDYPUULUWEXOUUMYQUWKXPYSUULXEUVIUUEUGJXSXQ
      XTUVKUVMVRUUMUDUVJUUAYAWRUUMUVLUUQUDUUAUUMUUOUUAUFZUKZUVLUVIUUOWJUJZUUEVB
      ZUUQUVLUVJUUOVBZUWMUWOUVJUUOYBUWMUVIYCUFUUEYCUFUUOYCUFUWPUWOVRUWMYQUGUWMY
      QYSUWLUWGUULYPUWGYRUWLUWHXKZYDXLUWMXRYEUWMUUEYSUULUWLYFXLUWMUUOUWLUUOUMUF
      ZUUMUUOUGJVPZVQXLUVIUUEUUOYGYHYIYSUWLUUQUWOVRUULYSUWLUKZUUPUWNUUEUWTUUPUU
      OYQWKWLZUWNUUOWQZUWNUWTYPUUOUUGUFUUPUXBVBYPYRUWLYJYSUUAUUGUUOUVHVOABCDEFG
      HIUUOKLMNOPQRSTUAUBUCXCWGUWTUXAUXBUWNVBUWTUUOJYQUWTUUOUWLUWRYSUWSVQXHUWTJ
      YRUWDYPUWLUWEXOXHUWTYQUWQXHUWLUUOJWKWLYSUUOUGJWTVQYRUVTYPUWLUWIXOXAUXAUWN
      UUOXFWAXGYKYDYLYMYNYLYO $.

    $d i k D $.
    $( If two countings share the same first tie, they also have the same swap
       function.  (Contributed by Thierry Arnoux, 18-Apr-2017.) $)
    ballotlemieq $p |- ( ( C e. ( O \ E ) /\ D e. ( O \ E ) /\
      ( I ` C ) = ( I ` D ) ) -> ( S ` C ) = ( S ` D ) ) $=
      ( cdif wcel cfv wceq w3a c1 caddc co cfz cv cle wbr cmin cif simpl breq2d
      cmpt wa oveq1d ifbieq1d mpteq2dva 3ad2ant3 ballotlemsval 3ad2ant1 3eqtr4d
      3ad2ant2 ) BMHUDZUEZCVJUEZBJUFZCJUFZUGZUHFUIKLUJUKULUKZFUMZVMUNUOZVMUIUJU
      KZVQUPUKZVQUQZUTZFVPVQVNUNUOZVNUIUJUKZVQUPUKZVQUQZUTZBEUFZCEUFZVOVKWBWGUG
      VLVOFVPWAWFVOVQVPUEZVAZVRWCVTWEVQWKVMVNVQUNVOWJURZUSWKVSWDVQUPWKVMVNUIUJW
      LVBVBVCVDVEVKVLWHWBUGVOABDEFGHIJKLMNOPQRSTUAUBUCVFVGVLVKWIWGUGVOACDEFGHIJ
      KLMNOPQRSTUAUBUCVFVIVH $.

    $( R is the operation reflecting the picks in a count, before a tie is
       reached. $)
    ballotth.r $e |- R = ( c e. ( O \ E ) |-> ( ( S ` c ) " c ) ) $.

    $d i S $.  $d c S $.
    ${
      $d d E $.  $d d O $.  $d d C $.  $d d S $.  $d c d i I $.
      $( Value of ` R ` .  (Contributed by Thierry Arnoux, 14-Apr-2017.) $)
      ballotlemrval $p |- ( C e. ( O \ E )
            -> ( R ` C ) = ( ( S ` C ) " C ) ) $=
        ( vd cv cfv cima cdif wceq fveq2 id imaeq12d cmpt cbvmptv cvv wcel fvex
        eqtri imaexg ax-mp fvmpt ) UEBUEUFZEUGZVCUHZBEUGZBUHZMHUIZDVCBUJZVDVFVC
        BVCBEUKVIULUMDNVHNUFZEUGZVJUHZUNUEVHVEUNUDNUEVHVLVEVJVCUJZVKVDVJVCVJVCE
        UKVMULUMUOUSVFUPUQVGUPUQBEURVFBUPUTVAVB $.
    $}

    $( The image of ` ( R `` C ) ` by ` ( S `` C ) ` .  (Contributed by Thierry
       Arnoux, 21-Apr-2017.) $)
    ballotlemscr $p |- ( C e. ( O \ E ) -> ( ( S ` C ) " ( R ` C ) ) = C ) $=
      ( cdif wcel cfv cima ccnv ballotlemrval imaeq2d c1 caddc co cfz wf1o wceq
      ballotlemsf1o simprd imaeq1d wf1 wss simpld f1of1 syl eldifi ballotlemelo
      chash simplbi f1imacnv syl2anc 3eqtr2d ) BMHUEUFZBEUGZBDUGZUHVNVNBUHZUHVN
      UIZVPUHZBVMVOVPVNABCDEFGHIJKLMNOPQRSTUAUBUCUDUJUKVMVQVNVPVMULKLUMUNUOUNZV
      SVNUPZVQVNUQZABCEFGHIJKLMNOPQRSTUAUBUCURZUSUTVMVSVSVNVAZBVSVBZVRBUQVMVTWC
      VMVTWAWBVCVSVSVNVDVEVMBMUFZWDBMHVFWEWDBVHUGKUQBKLMNOPQVGVIVEVSVSBVNVJVKVL
      $.

    $( Value of ` R ` evaluated at ` J ` .  (Contributed by Thierry Arnoux,
       17-Apr-2017.) $)
    ballotlemrv $p |- ( ( C e. ( O \ E ) /\ J e. ( 1 ... ( M + N ) ) ) ->
      ( J e. ( R ` C ) <->
              if ( J <_ ( I ` C ) , ( ( ( I ` C ) + 1 ) - J ) , J ) e. C ) ) $=
      ( cdif wcel c1 caddc co cfz wa cfv ccnv cima cle wbr cmin cif wfun cdm wb
      wf1o simpl wceq ballotlemsf1o simpld f1ofun simpr f1odm eleqtrrd fvimacnv
      syl2anc ballotlemsv eleq1d simprd imaeq1d ballotlemrval eqtr4d eleq2d syl
      3syl 3bitr3rd ) BNHUFUGZKUHLMUIUJUKUJZUGZULZKBEUMZUMZBUGZKWHUNZBUOZUGZKBJ
      UMZUPUQWNUHUIUJKURUJKUSZBUGKBDUMZUGZWGWHUTZKWHVAZUGWJWMVBWGWDWEWEWHVCZWRW
      DWFVDZWDWTWKWHVEZABCEFGHIJLMNOPQRSTUAUBUCUDVFZVGZWEWEWHVHWBWGKWEWSWDWFVIW
      GWDWTWSWEVEXAXDWEWEWHVJWBVKKBWHVLVMWGWIWOBABCEFGHIJKLMNOPQRSTUAUBUCUDVNVO
      WGWDWMWQVBXAWDWLWPKWDWLWHBUOWPWDWKWHBWDWTXBXCVPVQABCDEFGHIJLMNOPQRSTUAUBU
      CUDUEVRVSVTWAWC $.

    $( Value of ` R ` before the tie.  (Contributed by Thierry Arnoux,
       11-Apr-2017.) $)
    ballotlemrv1 $p |-
          ( ( C e. ( O \ E ) /\ J e. ( 1 ... ( M + N ) ) /\ J <_ ( I ` C ) ) ->
                     ( J e. ( R ` C ) <-> ( ( ( I ` C ) + 1 ) - J ) e. C ) ) $=
      ( cdif wcel caddc cfz cfv cle wbr w3a cmin cif ballotlemrv 3adant3 iftrue
      c1 co wb eleq1d 3ad2ant3 bitrd ) BNHUFUGZKUSLMUHUTUIUTUGZKBJUJZUKULZUMKBD
      UJUGZVHVGUSUHUTKUNUTZKUOZBUGZVJBUGZVEVFVIVLVAVHABCDEFGHIJKLMNOPQRSTUAUBUC
      UDUEUPUQVHVEVLVMVAVFVHVKVJBVHVJKURVBVCVD $.

    $( Value of ` R ` after the tie.  (Contributed by Thierry Arnoux,
       11-Apr-2017.) $)
    ballotlemrv2 $p |- ( ( C e. ( O \ E ) /\ J e. ( 1 ... ( M + N ) ) /\
      ( I ` C ) < J ) -> ( J e. ( R ` C ) <-> J e. C ) ) $=
      ( cdif wcel c1 caddc cfz cfv clt wbr w3a cle cmin cif ballotlemrv 3adant3
      co wb wn wa cz cuz fzssuz uzssz sstri cc0 wceq ballotlemiex simpld sselid
      adantr zred simpr ltnled biimp3a iffalsed eleq1d bitrd ) BNHUFUGZKUHLMUIU
      TZUJUTZUGZBJUKZKULUMZUNZKBDUKUGZKWFUOUMZWFUHUIUTKUPUTZKUQZBUGZKBUGWBWEWIW
      MVAWGABCDEFGHIJKLMNOPQRSTUAUBUCUDUEURUSWHWLKBWHWJWKKWBWEWGWJVBWBWEVCZWFKW
      NWFWBWFVDUGWEWBWDVDWFWDUHVEUKVDUHWCVFUHVGVHZWBWFWDUGWFBIUKUKVIVJABCFGHIJL
      MNOPQRSTUAUBUCVKVLVMVNVOWNKWNWDVDKWOWBWEVPVMVOVQVRVSVTWA $.

    $( Range of ` R ` is included in ` O ` .  (Contributed by Thierry Arnoux,
       17-Apr-2017.) $)
    ballotlemro $p |- ( C e. ( O \ E ) -> ( R ` C ) e. O ) $=
      ( cdif wcel cfv c1 caddc co cfz wss chash wceq cima ballotlemrval imassrn
      crn wf1o wfo ccnv ballotlemsf1o simpld forn 3syl sseqtrid eqsstrd cen wbr
      f1ofo wf1 f1of1 syl wa eldifi ballotlemelo sylib f1imaeng syl3anc eqbrtrd
      id hasheni simprd eqtrd sylanbrc ) BMHUEZUFZBDUGZUHKLUIUJUKUJZULWHUMUGZKU
      NWHMUFWGWHBEUGZBUOZWIABCDEFGHIJKLMNOPQRSTUAUBUCUDUPZWGWKURZWLWIWKBUQWGWIW
      IWKUSZWIWIWKUTWNWIUNWGWOWKVAWKUNABCEFGHIJKLMNOPQRSTUAUBUCVBVCZWIWIWKVJWIW
      IWKVDVEVFVGWGWJBUMUGZKWGWHBVHVIWJWQUNWGWHWLBVHWMWGWIWIWKVKZBWIULZWGWLBVHV
      IWGWOWRWPWIWIWKVLVMWGWSWQKUNZWGBMUFWSWTVNBMHVOBKLMNOPQVPVQZVCWGWAWIWIBWKW
      FVRVSVTWHBWBVMWGWSWTXAWCWDWHKLMNOPQVPWE $.

    $d i R $.
    ${
      $d u v C $.  $d u v I $.  $d u v J $.  $d u v R $.  $d u v S $.
      $d u v U $.  $d u v V $.
      $( ` .^ ` is the difference of counts of elements of ` U ` in / out of
         set ` V ` . $)
      ballotlemg $e |- .^ = ( u e. Fin , v e. Fin |->
                               ( ( # ` ( v i^i u ) ) - ( # ` ( v \ u ) ) ) ) $.
      $( Expand the value of ` .^ ` .  (Contributed by Thierry Arnoux,
         21-Apr-2017.) $)
      ballotlemgval $p |- ( ( U e. Fin /\ V e. Fin ) ->
                  ( U .^ V ) = ( ( # ` ( V i^i U ) ) - ( # ` ( V \ U ) ) ) ) $=
        ( cfn cv cin chash cfv cdif cmin wceq ineq2 fveq2d difeq2 oveq12d ineq1
        co difeq1 ovex ovmpo ) CBGQUJUJBUKZCUKZULZUMUNZVGVHUOZUMUNZUPVCQGULZUMU
        NZQGUOZUMUNZUPVCKVGGULZUMUNZVGGUOZUMUNZUPVCVHGUQZVJVRVLVTUPWAVIVQUMVHGV
        GURUSWAVKVSUMVHGVGUTUSVAVGQUQZVRVNVTVPUPWBVQVMUMVGQGVBUSWBVSVOUMVGQGVDU
        SVAUIVNVPUPVEVF $.

      ${
        $d u v U $.  $d u v V $.  $d u v W $.
        ballotlemgun.1 $e |- ( ph -> U e. Fin ) $.
        ballotlemgun.2 $e |- ( ph -> V e. Fin ) $.
        ballotlemgun.3 $e |- ( ph -> W e. Fin ) $.
        ballotlemgun.4 $e |- ( ph -> ( V i^i W ) = (/) ) $.
        $( A property of the defined ` .^ ` operator.  (Contributed by Thierry
           Arnoux, 26-Apr-2017.) $)
        ballotlemgun $p |- ( ph ->
                         ( U .^ ( V u. W ) ) = ( ( U .^ V ) + ( U .^ W ) ) ) $=
          ( cun cin chash cfv cdif cmin co caddc indir fveq2i wcel c0 wceq infi
          cfn syl ineq1d inindir 3eqtr3g hashun syl3anc syl5eq difundir difeq1d
          0in diffi difindir 0dif oveq12d cn0 hashcl 3syl nn0cnd addsub4d eqtrd
          unfi syl2anc ballotlemgval 3eqtr4d ) ARSUPZHUQZURUSZWOHUTZURUSZVAVBZR
          HUQZURUSZRHUTZURUSZVAVBZSHUQZURUSZSHUTZURUSZVAVBZVCVBZHWOLVBZHRLVBZHS
          LVBZVCVBAWTXBXGVCVBZXDXIVCVBZVAVBXKAWQXOWSXPVAAWQXAXFUPZURUSZXOWPXQUR
          RSHVDVEAXAVJVFZXFVJVFZXAXFUQZVGVHXRXOVHARVJVFZXSUMRHVIZVKASVJVFZXTUNS
          HVIZVKARSUQZHUQVGHUQYAVGAYFVGHUOVLRSHVMHVTVNXAXFVOVPVQAWSXCXHUPZURUSZ
          XPWRYGURRSHVRVEAXCVJVFZXHVJVFZXCXHUQZVGVHYHXPVHAYBYIUMRHWAZVKAYDYJUNS
          HWAZVKAYFHUTVGHUTYKVGAYFVGHUOVSRSHWBHWCVNXCXHVOVPVQWDAXBXGXDXIAXBAYBX
          SXBWEVFUMYCXAWFWGWHAXGAYDXTXGWEVFUNYEXFWFWGWHAXDAYBYIXDWEVFUMYLXCWFWG
          WHAXIAYDYJXIWEVFUNYMXHWFWGWHWIWJAHVJVFZWOVJVFZXLWTVHULAYBYDYOUMUNRSWK
          WLBCDEFGHIJKLMNOPQWOTUAUBUCUDUEUFUGUHUIUJUKWMWLAXMXEXNXJVCAYNYBXMXEVH
          ULUMBCDEFGHIJKLMNOPQRTUAUBUCUDUEUFUGUHUIUJUKWMWLAYNYDXNXJVHULUNBCDEFG
          HIJKLMNOPQSTUAUBUCUDUEUFUGUHUIUJUKWMWLWDWN $.
      $}

      $d i J $.
      $( Express the value of ` ( F `` C ) ` in terms of ` .^ ` .  (Contributed
         by Thierry Arnoux, 21-Apr-2017.) $)
      ballotlemfg $p |- ( ( C e. ( O \ E ) /\ J e. ( 0 ... ( M + N ) ) ) ->
                                  ( ( F ` C ) ` J ) = ( C .^ ( 1 ... J ) ) ) $=
        ( cdif wcel cc0 caddc co cfz wa cfv c1 chash cmin eldifi adantr elfzelz
        cin cz adantl ballotlemfval cfn wceq wss fzfi ballotlemelo simplbi ssfi
        sylancr syl fzfid ballotlemgval syl2anc eqtr4d ) DQJUJUKZNULOPUMUNZUOUN
        UKZUPZNDLUQUQURNUOUNZDVDUSUQWEDUJUSUQUTUNZDWEKUNZWDADEHLNOPQRSTUAUBUCWA
        DQUKZWCDQJVAVBZWCNVEUKWANULWBVCVFVGWDDVHUKZWEVHUKWGWFVIWDWHWJWIWHURWBUO
        UNZVHUKDWKVJZWJURWBVKWHWLDUSUQOVIDOPQRSTUAVLVMWKDVNVOVPWDURNVQABCEFGDHI
        JKLMOPQWERSTUAUBUCUDUEUFUGUHUIVRVSVT $.

      $( Express the value of ` ( F `` ( R `` C ) ) ` in terms of the newly
         defined ` .^ ` .  (Contributed by Thierry Arnoux, 21-Apr-2017.) $)
      ballotlemfrc $p |- ( ( C e. ( O \ E ) /\ J e. ( 1 ... ( I ` C ) ) ) ->
        ( ( F ` ( R ` C ) ) ` J ) =
                              ( C .^ ( ( ( S ` C ) ` J ) ... ( I ` C ) ) ) ) $=
        ( cdif wcel c1 cfv cfz co wa cin chash cmin cima cres wf1o cen wbr wceq
        caddc wf1 wss ccnv ballotlemsf1o simpld syl adantr cuz cc0 ballotlemiex
        f1of1 elfzuz3 adantl uztrn syl2anc fzss2 ssinss1 f1ores ovex inex1 3syl
        f1oen hasheni ssdifssd difexg oveq12d ballotlemro elfzelz ballotlemfval
        cvv ax-mp cz cfn fzfi eldifi ballotlemelo simplbi sylancr ballotlemgval
        ssfi fzfid wfun dff1o3 simprbi imain ballotlemsima ballotlemscr ineq12d
        wfo eqtrd fveq2d imadif difeq12d eqtr4d 3eqtr4d ) DQJUJUKZNULDMUMZUNUOU
        KZUPZULNUNUOZDFUMZUQZURUMZYFYGUJZURUMZUSUODGUMZYHUTZURUMZYLYJUTZURUMZUS
        UOZNYGLUMUMDNYLUMZYCUNUOZKUOZYEYIYNYKYPUSYEYHYMYLYHVAZVBZYHYMVCVDYIYNVE
        YEULOPVFUOZUNUOZUUDYLVGZYHUUDVHZUUBYBUUEYDYBUUDUUDYLVBZUUEYBUUGYLVIZYLV
        EADEGHIJLMOPQRSTUAUBUCUDUEUFUGVJVKZUUDUUDYLVQVLVMZYEYFUUDVHZUUFYEUUCNVN
        UMZUKZUUKYEUUCYCVNUMUKZYCUULUKZUUMYEYCUUDUKZUUNYBUUPYDYBUUPYCDLUMUMVOVE
        ADEHIJLMOPQRSTUAUBUCUDUEUFVPVKVMYCULUUCVRVLYDUUOYBNULYCVRVSYCUUCNVTWANU
        LUUCWBVLZYFYGUUDWCVLUUDUUDYHYLWDWAYHYMUUAYFYGULNUNWEZWFWHYHYMWIWGYEYJYO
        YLYJVAZVBZYJYOVCVDYKYPVEYEUUEYJUUDVHUUTUUJYEYFUUDYGUUQWJUUDUUDYJYLWDWAY
        JYOUUSYFWPUKYJWPUKUURYFYGWPWKWQWHYJYOWIWGWLYEAYGEHLNOPQRSTUAUBUCYBYGQUK
        YDADEFGHIJLMOPQRSTUAUBUCUDUEUFUGUHWMVMYDNWRUKYBNULYCWNVSWOYEYTYSDUQZURU
        MZYSDUJZURUMZUSUOZYQYEDWSUKZYSWSUKYTUVEVEYEUUDWSUKDUUDVHZUVFULUUCWTYBUV
        GYDYBDQUKZUVGDQJXAUVHUVGDURUMOVEDOPQRSTUAXBXCVLVMUUDDXFXDYEYRYCXGABCEFG
        DHIJKLMOPQYSRSTUAUBUCUDUEUFUGUHUIXEWAYEYNUVBYPUVDUSYEYMUVAURYEYMYLYFUTZ
        YLYGUTZUQZUVAYBYMUVKVEZYDYBUUGUUHXHZUVLUUIUUGUUDUUDYLXOUVMUUDUUDYLXIXJZ
        YFYGYLXKWGVMYEUVIYSUVJDADEGHIJLMNOPQRSTUAUBUCUDUEUFUGXLZYBUVJDVEYDADEFG
        HIJLMOPQRSTUAUBUCUDUEUFUGUHXMVMZXNXPXQYEYOUVCURYEYOUVIUVJUJZUVCYBYOUVQV
        EZYDYBUUGUVMUVRUUIUVNYFYGYLXRWGVMYEUVIYSUVJDUVOUVPXSXPXQWLXTYA $.

      $( Reverse counting preserves a tie at the first tie.  (Contributed by
         Thierry Arnoux, 21-Apr-2017.) $)
      ballotlemfrci $p |- ( C e. ( O \ E ) ->
                                     ( ( F ` ( R ` C ) ) ` ( I ` C ) ) = 0 ) $=
        ( cdif wcel cfv c1 cfz co cc0 wceq caddc cuz ballotlemiex simpld elfzuz
        3syl ballotlemfrc mpdan ballotlemsi oveq1d oveq2d eqtrd fz1ssfz0 sselid
        eluzfz2 ballotlemfg simprd 3eqtr2d ) DPJUIUJZDMUKZDFUKLUKUKZDULVPUMUNZK
        UNZVPDLUKUKZUOVOVQDVPDGUKUKZVPUMUNZKUNZVSVOVPVRUJZVQWCUPVOVPULNOUQUNZUM
        UNZUJZVPULURUKUJWDVOWGVTUOUPZADEHIJLMNOPQRSTUAUBUCUDUEUSZUTZVPULWEVAULV
        PVKVBABCDEFGHIJKLMVPNOPQRSTUAUBUCUDUEUFUGUHVCVDVOWBVRDKVOWAULVPUMADEGHI
        JLMNOPQRSTUAUBUCUDUEUFVEVFVGVHVOVPUOWEUMUNZUJVTVSUPVOWFWKVPWEVIWJVJABCD
        EFGHIJKLMVPNOPQRSTUAUBUCUDUEUFUGUHVLVDVOWGWHWIVMVN $.

      $( Value of ` F ` for a reverse counting ` ( R `` C ) ` .  (Contributed
         by Thierry Arnoux, 27-Apr-2017.) $)
      ballotlemfrceq $p |- ( ( C e. ( O \ E ) /\ J e. ( 1 ... ( I ` C ) ) )
        -> ( ( F ` C ) ` ( ( ( S ` C ) ` J ) - 1 ) )
                                            = -u ( ( F ` ( R ` C ) ) ` J ) ) $=
        ( cdif wcel c1 cfv cfz co wa cmin caddc cc0 wceq cneg ballotlemsel1i cz
        wb 1zzd ballotlemiex adantr simpld elfzelzd cuz wss elfzuz3 fzss2 simpr
        3syl sseldd ballotlemsdom syldan fzsubel syl22anc mpbid oveq1i eleqtrdi
        1m1e0 cle wbr zsubcld cn nnaddcl mp2an nnzi a1i elfzle2 syl clt zlem1lt
        syl2anc cr wi zred ltle sylbid eluz2 syl3anbrc ballotlemfg ballotlemfrc
        mpd sselda oveq12d cun fzsplit3 oveq2d fz1ssfz0 sseli sylan2 simprd cfn
        eqtr3d fzfi eldifi chash ballotlemelo simplbi ssfi sylancr fzfid cin c0
        ltm1 fzdisj ballotlemgun 3eqtr3rd ballotlemfelz zcnd ballotlemro addeq0
        eqtrd cc ) DQJUJUKZNULDMUMZUNUOZUKZUPZNDGUMUMZULUQUOZDLUMZUMZNDFUMZLUMU
        MZURUOZUSUTZUUGUUIVAUTZUUCUUJDULUUEUNUOZKUOZDUUDYTUNUOZKUOZURUOZUSUUCUU
        GUUNUUIUUPURYSUUBUUEUSOPURUOZUNUOZUKZUUGUUNUTYSUUBUUEUSYTULUQUOZUNUOZUK
        UUTUUCUUEULULUQUOZUVAUNUOZUVBUUCUUDUUAUKZUUEUVDUKZADEGHIJLMNOPQRSTUAUBU
        CUDUEUFUGVBZUUCULVCUKZYTVCUKZUUDVCUKUVHUVEUVFVDUUCVEZUUCYTULUURUUCYTULU
        URUNUOZUKZYTUUFUMZUSUTZYSUVLUVNUPUUBADEHIJLMOPQRSTUAUBUCUDUEUFVFZVGZVHZ
        VIUUCUUDULUURYSUUBNUVKUKUUDUVKUKUUCUUAUVKNUUCUVLUURYTVJUMUKUUAUVKVKUVQY
        TULUURVLYTULUURVMVOYSUUBVNZVPADEGHIJLMNOPQRSTUAUBUCUDUEUFUGVQVRVIZUVJUU
        DULULYTVSVTWAUVCUSUVAUNWDWBWCYSUVBUUSUUEYSUURUVAVJUMUKZUVBUUSVKYSUVAVCU
        KUURVCUKZUVAUURWEWFZUVTYSYTULYSYTULUURYSUVLUVNUVOVHZVIZYSVEWGZUWAYSUURO
        WHUKPWHUKUURWHUKSTOPWIWJWKWLZYSYTUURWEWFZUWBYSUVLUWGUWCYTULUURWMWNYSUWG
        UVAUURWOWFZUWBYSUVIUWAUWGUWHVDUWDUWFYTUURWPWQYSUVAWRUKUURWRUKUWHUWBWSYS
        UVAUWEWTYSUURUWFWTUVAUURXAWQXBXGUVAUURXCXDUVAUSUURVMWNXHVRABCDEFGHIJKLM
        UUEOPQRSTUAUBUCUDUEUFUGUHUIXEVRABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIXF
        XIUUCDUUAKUOZDUUMUUOXJZKUOUSUUQUUCUUAUWJDKUUCUVEUUAUWJUTUVGUUDULYTXKWNX
        LUUCUVMUWIUSYSUUBUVLUVMUWIUTZUVQUVLYSYTUUSUKUWKUVKUUSYTUURXMXNABCDEFGHI
        JKLMYTOPQRSTUAUBUCUDUEUFUGUHUIXEXOVRUUCUVLUVNUVPXPXRUUCABCEFGDHIJKLMOPQ
        UUMUUORSTUAUBUCUDUEUFUGUHUIYSDXQUKZUUBYSUVKXQUKDUVKVKZUWLULUURXSYSDQUKZ
        UWMDQJXTZUWNUWMDYAUMOUTDOPQRSTUAYBYCWNUVKDYDYEVGUUCULUUEYFUUCUUDYTYFUUC
        UUDWRUKUUEUUDWOWFUUMUUOYGYHUTUUCUUDUVSWTUUDYIULUUEUUDYTYJVOYKYLYQUUCUUG
        YRUKUUIYRUKUUKUULVDUUCUUGUUCADEHLUUEOPQRSTUAUBUCYSUWNUUBUWOVGUUCUUDULUV
        SUVJWGYMYNUUCUUIUUCAUUHEHLNOPQRSTUAUBUCYSUUHQUKUUBADEFGHIJLMOPQRSTUAUBU
        CUDUEUFUGUHYOVGUUCNULYTUVRVIYMYNUUGUUIYPWQWA $.
    $}

    $d k S $.  $d k J $.
    ${
      $d u v C $.  $d u v I $.  $d u v J $.  $d u v R $.  $d u v S $.
      $d w y z $.  $d c k y z $.  $d y z C $.  $d y z F $.  $d y z M $.
      $d y z N $.  $d k w y z $.  $d w C $.  $d w F $.  $d w M $.  $d w N $.
      $d i J $.
      $( Value of ` F ` for a reversed counting ` ( R `` C ) ` , before the
         first tie, cannot be zero.  (Contributed by Thierry Arnoux,
         25-Apr-2017.)  (Revised by AV, 6-Oct-2020.) $)
      ballotlemfrcn0 $p |- ( ( C e. ( O \ E ) /\ J e. ( 1 ... ( M + N ) ) /\
        J < ( I ` C ) ) -> ( ( F ` ( R ` C ) ) ` J ) =/= 0 ) $=
        ( vz vw vy vv vu cdif wcel c1 caddc co cfz cfv clt wbr w3a cc0 wne cmin
        wceq wn 1zzd cz cn nnaddcl mp2an nnzi wa ballotlemsdom elfzelzd 3adant3
        a1i zsubcld cle ballotlemsgt1 zltlem1 syl21anc zred 1red resubcld simp1
        biimpa ballotlemiex simpld elfzelz 3syl 3ad2ant2 elfzle1 ballotlemsel1i
        simp3 ltled elfzd syl2anc elfzle2 syl wb zlem1lt mpbid letrd wi cv crab
        cinf biid sylibr ballotlemi breq2d 3ad2ant1 wor ltso ballotlemsup inflb
        cr con2d sylc fveqeq2 elrab sylnib imnan neqned cneg ballotlemro adantr
        mpd adantl ballotlemfelz zcnd negeq0d cfn cin chash cmpo ballotlemfrceq
        eqid eqeq1d bitr4d necon3bid mpbird ) BNHUKULZKUMLMUNUOZUPUOZULZKBJUQZU
        RUSZUTZKBDUQZIUQUQZVAVBZKBEUQUQZUMVCUOZBIUQZUQZVAVBZUUIUUPVAUUIUUNUUEUL
        ZUUPVAVDZVEZUUIUUNUMUUDUUIVFZUUDVGULUUIUUDLVHULMVHULUUDVHULPQLMVIVJVKVP
        ZUUIUUMUMUUCUUFUUMVGULZUUHUUCUUFVLUUMUMUUDABCEFGHIJKLMNOPQRSTUAUBUCUDVM
        VNVOZUVAVQUUIUMVGULZUVCUMUUMURUSZUMUUNVRUSZUVAUVDABCEFGHIJKLMNOPQRSTUAU
        BUCUDVSUVEUVCVLUVFUVGUMUUMVTWFWAUUIUUNUUGUUDUUIUUMUMUUIUUMUVDWBUUIWCWDZ
        UUIUUGUUIUUCUUGUUEULZUUGVGULZUUCUUFUUHWEZUUCUVIUUGUUOUQVAVDABCFGHIJLMNO
        PQRSTUAUBUCWGWHZUUGUMUUDWIWJZWBZUUIUUDUVBWBUUIUUNUUGUVHUVNUUIUUMUUGVRUS
        ZUUNUUGURUSZUUIUUMUMUUGUPUOZULZUVOUUIUUCKUVQULZUVRUVKUUIKUMUUGUVAUVMUUF
        UUCKVGULZUUHKUMUUDWIWKZUUFUUCUMKVRUSUUHKUMUUDWLWKUUIKUUGUUIKUWAWBUVNUUC
        UUFUUHWNWOWPZABCEFGHIJKLMNOPQRSTUAUBUCUDWMWQUUMUMUUGWRWSUUIUVCUVJUVOUVP
        WTUVDUVMUUMUUGXAWQXBZWOUUIUUCUVIUUGUUDVRUSUVKUVLUUGUMUUDWRWJXCWPUUIUURU
        USVLZVEUURUUTXDUUIUUNGXEZUUOUQVAVDZGUUEXFZULZUWDUUIUUCUUNUWGXQURXGZURUS
        ZUWHVEUVKUUIUVPUWJUUIUVPUVPUWCUVPXHXIUUCUUFUVPUWJWTUUHUUCUUGUWIUUNURABC
        FGHIJLMNOPQRSTUAUBUCXJXKXLXBUUCUWHUWJUUCUFUGUHXQUWGUUNURXQURXMUUCXNVPAU
        HUFUGBCFGHIJLMNOPQRSTUAUBUCXOXPXRXSUWFUUSGUUNUUEUWEUUNVAUUOXTYAYBUURUUS
        YCXIYHYDUUIUUCUVSUULUUQWTUVKUWBUUCUVSVLZUUKVAUUPVAUWKUUKVAVDUUKYEZVAVDU
        USUWKUUKUWKUUKUWKAUUJCFIKLMNOPQRSTUUCUUJNULUVSABCDEFGHIJLMNOPQRSTUAUBUC
        UDUEYFYGUVSUVTUUCKUMUUGWIYIYJYKYLUWKUUPUWLVAAUIUJBCDEFGHUJUIYMYMUIXEZUJ
        XEZYNYOUQUWMUWNUKYOUQVCUOYPZIJKLMNOPQRSTUAUBUCUDUEUWOYRYQYSYTUUAWQUUB
        $.

      $( Range of ` R ` .  (Contributed by Thierry Arnoux, 19-Apr-2017.) $)
      ballotlemrc $p |- ( C e. ( O \ E ) -> ( R ` C ) e. ( O \ E ) ) $=
        ( vv vu cdif wcel cfv cv cc0 cle wbr c1 caddc cfz wrex ballotlemro wceq
        ballotlemiex simpld cfn cin chash cmin cmpo eqid ballotlemfrci eqbrtrdi
        co 0le0 fveq2 breq1d rspcev syl2anc ballotlemodife sylanbrc ) BMHUGZUHZ
        BDUIZMUHFUJZVTIUIZUIZUKULUMZFUNKLUOVJUPVJZUQZVTVRUHABCDEFGHIJKLMNOPQRST
        UAUBUCUDURVSBJUIZWEUHZWGWBUIZUKULUMZWFVSWHWGBIUIUIUKUSABCFGHIJKLMNOPQRS
        TUAUBUTVAVSWIUKUKULAUEUFBCDEFGHUFUEVBVBUEUJZUFUJZVCVDUIWKWLUGVDUIVEVJVF
        ZIJKLMNOPQRSTUAUBUCUDWMVGVHVKVIWDWJFWGWEWAWGUSWCWIUKULWAWGWBVLVMVNVOAVT
        CFHIKLMNOPQRSTVPVQ $.
    $}

    $d k i R $.
    ${
      $d k x y $.  $d x y C $.  $d y E $.  $d x y F $.  $d y I $.  $d x y M $.
      $d x y N $.  $d y O $.  $d y R $.  $d u v C $.  $d u v I $.  $d u v R $.
      $d u v S $.  $d u v y $.  $d i y $.
      $( Applying ` R ` does not change first ties.  (Contributed by Thierry
         Arnoux, 19-Apr-2017.)  (Revised by AV, 6-Oct-2020.) $)
      ballotlemirc $p |- ( C e. ( O \ E ) -> ( I ` ( R ` C ) ) = ( I ` C ) ) $=
        ( vy vv vu cdif wcel cfv cv cc0 wceq c1 caddc co cfz cr clt ballotlemrc
        crab cinf ballotlemi syl wor ltso a1i ballotlemiex simpld elfzelzd zred
        cfn cin chash cmin cmpo eqid ballotlemfrci fveqeq2 elrab sylanbrc wa wn
        wbr elrabi anim2i simpr ballotlemfrcn0 neneqd simprbi nsyl 3expa syldan
        w3a ex con2d imp sylancom infmin eqtrd ) BMHUHZUIZBDUJZJUJZGUKZXCIUJZUJ
        ULUMZGUNKLUOUPZUQUPZVAZURUSVBZBJUJZXBXCXAUIXDXKUMABCDEFGHIJKLMNOPQRSTUA
        UBUCUDUTAXCCFGHIJKLMNOPQRSTUAUBVCVDXBUEURXJXLUSURUSVEXBVFVGXBXLXBXLUNXH
        XBXLXIUIZXLBIUJUJULUMABCFGHIJKLMNOPQRSTUAUBVHVIZVJVKXBXMXLXFUJULUMZXLXJ
        UIXNAUFUGBCDEFGHUGUFVLVLUFUKZUGUKZVMVNUJXPXQUHVNUJVOUPVPZIJKLMNOPQRSTUA
        UBUCUDXRVQVRXGXOGXLXIXEXLULXFVSVTWAXBUEUKZXJUIZXBXSXIUIZWBZXSXLUSWDZWCZ
        XTYAXBXGGXSXIWEWFYBXTYDYBYCXTYBYCXTWCZYBYCYCYEYBYCWGXBYAYCYEXBYAYCWNZXS
        XFUJZULUMZXTYFYGULABCDEFGHIJXSKLMNOPQRSTUAUBUCUDWHWIXTYAYHXGYHGXSXIXEXS
        ULXFVSVTWJWKWLWMWOWPWQWRWSWT $.
    $}

    $( due to x used in ballotlemirc $)
    $d x c $.  $d x C $.  $d x F $.  $d x M $.  $d x N $.  $d c I $.  $d d S $.
    ${
      $d d i x k $.  $d d E $.  $d d I $.  $d d O $.
      $( Lemma for ~ ballotlemrinv .  (Contributed by Thierry Arnoux,
         18-Apr-2017.) $)
      ballotlemrinv0 $p |- ( ( C e. ( O \ E ) /\ D = ( ( S ` C ) " C ) ) ->
                             ( D e. ( O \ E ) /\ C = ( ( S ` D ) " D ) ) ) $=
        ( cdif wcel cfv cima wceq ballotlemrval adantr simpr eqtr4d ballotlemrc
        wa eqeltrrd ccnv c1 caddc cfz wf1o ballotlemsf1o simprd eqcomd imaeq12d
        co simpl ballotlemirc fveq2d eqtr3d ballotlemieq syl3anc imaeq1d simpld
        wf1 wss f1of1 3syl chash ballotlemelo simplbi f1imacnv syl2anc 3eqtr3rd
        eldifi jca ) BNIUFZUGZCBFUHZBUIZUJZUPZCWHUGZBCFUHZCUIZUJWMBEUHZCWHWMWQW
        KCWIWQWKUJWLABDEFGHIJKLMNOPQRSTUAUBUCUDUEUKULWIWLUMZUNZWIWQWHUGWLABDEFG
        HIJKLMNOPQRSTUAUBUCUDUEUOULUQZWMWJCUIWJURZWKUIZWPBWMWJXACWKWMXAWJWIXAWJ
        UJZWLWIUSLMUTVGVAVGZXDWJVBZXCABDFGHIJKLMNOPQRSTUAUBUCUDVCZVDULVEWRVFWMW
        JWOCWMWIWNBKUHZCKUHZUJWJWOUJWIWLVHZWTWMWQKUHZXGXHWIXJXGUJWLABDEFGHIJKLM
        NOPQRSTUAUBUCUDUEVIULWMWQCKWSVJVKABCDFGHIJKLMNOPQRSTUAUBUCUDVLVMVNWMXDX
        DWJVPZBXDVQZXBBUJWMWIXEXKXIWIXEXCXFVOXDXDWJVRVSWMWIBNUGZXLXIBNIWFXMXLBV
        TUHLUJBLMNOPQRWAWBVSXDXDBWJWCWDWEWG $.

      $( ` R ` is its own inverse : it is an involution.  (Contributed by
         Thierry Arnoux, 10-Apr-2017.) $)
      ballotlemrinv $p |- `' R = R $=
        ( vd cdif cv cfv cima cmpt ccnv wceq wtru wcel wa ballotlemrinv0 impbii
        wb a1i mptcnv mptru fveq2 id imaeq12d cbvmptv eqtri cnveqi 3eqtr4i ) ML
        GUEZMUFZDUGZVIUHZUIZUJZVLCUJCVMUDVHUDUFZDUGZVNUHZUIZVLVMVQUKULMUDVHVKVH
        VPVIVHUMVNVKUKUNZVNVHUMVIVPUKUNZUQULVRVSAVIVNBCDEFGHIJKLMNOPQRSTUAUBUCU
        OAVNVIBCDEFGHIJKLMNOPQRSTUAUBUCUOUPURUSUTUDMVHVPVKVNVIUKZVOVJVNVIVNVIDV
        AVTVBVCVDVECVLUCVFUCVG $.
    $}

    $( When the vote on the first tie is for A, the first vote is also for A on
       the reverse counting.  (Contributed by Thierry Arnoux, 18-Apr-2017.) $)
    ballotlem1ri $p |- ( C e. ( O \ E ) ->
                                     ( 1 e. ( R ` C ) <-> ( I ` C ) e. C ) ) $=
      ( cdif wcel c1 cfv caddc co cmin cfz cle wbr wb cuz cn nnaddcl mp2an nnuz
      eleqtri eluzfz1 cc0 ballotlemiex simpld elfzle1 syl ballotlemrv1 mpd3an23
      mp1i wceq elfzelzd zcnd 1cnd pncand eleq1d bitrd ) BMHUEUFZUGBDUHUFZBJUHZ
      UGUIUJUGUKUJZBUFZVTBUFVRUGUGKLUIUJZULUJZUFZUGVTUMUNZVSWBUOWCUGUPUHZUFWEVR
      WCUQWGKUQUFLUQUFWCUQUFOPKLURUSUTVAUGWCVBVJVRVTWDUFZWFVRWHVTBIUHUHVCVKABCF
      GHIJKLMNOPQRSTUAUBVDVEZVTUGWCVFVGABCDEFGHIJUGKLMNOPQRSTUAUBUCUDVHVIVRWAVT
      BVRVTUGVRVTVRVTUGWCWIVLVMVRVNVOVPVQ $.

    $d x k i $.  $d c k $.
    ${
      $d b E $.  $d b c O $.  $d b R $.

      $( ` R ` is a bijection between two subsets of ` ( O \ E ) ` : one where
         a vote for A is picked first, and one where a vote for B is picked
         first.  (Contributed by Thierry Arnoux, 12-Dec-2016.) $)
      ballotlem7 $p |- ( R |` { c e. ( O \ E ) | 1 e. c } ) :
      { c e. ( O \ E ) | 1 e. c } -1-1-onto-> { c e. ( O \ E ) | -. 1 e. c } $=
        ( vb c1 cv wcel cdif crab wn cfv cima funmpt2 ballotlemrinv wss wral wa
        rabid ballotlemrc adantr ballotlem1c ex ballotlem1ri notbid sylibrd imp
        jca sylbi rgen wceq eleq2 cbvrabv eleq2i bitr3i ralbii mpbi wfun cdm wb
        elrab ssrab2 cvv fvex imaexg ax-mp dmmpti sseqtrri nfrab1 nfmpt1 nfcxfr
        cmpt funimass4f mp2an mpbir ballotlemic rinvf1o ) UEMUFZUGZMLGUHZUIZWRU
        JZMWSUIZCMWSWQDUKZWQULZCUCUMZABCDEFGHIJKLMNOPQRSTUAUBUCUNCWTULXBUOZWQCU
        KZXBUGZMWTUPZXGWSUGZUEXGUGZUJZUQZMWTUPXIXMMWTWQWTUGWQWSUGZWRUQZXMWRMWSU
        RXOXJXLXNXJWRAWQBCDEFGHIJKLMNOPQRSTUAUBUCUSZUTXNWRXLXNWRWQIUKWQUGZUJZXL
        XNWRXRAWQBEFGHIJKLMNOPQRSTUAVAVBXNXKXQAWQBCDEFGHIJKLMNOPQRSTUAUBUCVCZVD
        VEVFVGVHVIXMXHMWTXMXGUEUDUFZUGZUJZUDWSUIZUGXHYBXLUDXGWSXTXGVJYAXKXTXGUE
        VKZVDVTYCXBXGYBXAUDMWSXTWQVJYAWRXTWQUEVKZVDVLVMVNVOVPCVQZWTCVRZUOXFXIVS
        XEWTWSYGWRMWSWAMWSXDCXCWBUGXDWBUGWQDWCXCWQWBWDWEUCWFZWGZMWTXBCWRMWSWHZX
        AMWSWHZMCMWSXDWKUCMWSXDWIWJZWLWMWNCXBULWTUOZXGWTUGZMXBUPZXJXKUQZMXBUPYO
        YPMXBWQXBUGXNXAUQZYPXAMWSURYQXJXKXNXJXAXPUTXNXAXKXNXAXQXKXNXAXQAWQBEFGH
        IJKLMNOPQRSTUAWOVBXSVEVFVGVHVIYPYNMXBYPXGYAUDWSUIZUGYNYAXKUDXGWSYDVTYRW
        TXGYAWRUDMWSYEVLVMVNVOVPYFXBYGUOYMYOVSXEXBWSYGXAMWSWAYHWGZMXBWTCYKYJYLW
        LWMWNYIYSWP $.
    $}

    $( There are as many countings with ties starting with a ballot for ` A `
       as there are starting with a ballot for ` B ` .  (Contributed by Thierry
       Arnoux, 7-Dec-2016.) $)
    ballotlem8 $p |- ( # ` { c e. ( O \ E ) | 1 e. c } )
                   = ( # ` { c e. ( O \ E ) | -. 1 e. c } ) $=
      ( c1 cv wcel cdif crab wn cres wf1o cen wbr chash cfv wceq ballotlem7 cvv
      ballotlemoex difexg ax-mp rabex f1oen hasheni mp2b ) UDMUEUFZMLGUGZUHZVFU
      IMVGUHZCVHUJZUKVHVIULUMVHUNUOVIUNUOUPABCDEFGHIJKLMNOPQRSTUAUBUCUQVHVIVJVF
      MVGLURUFVGURUFJKLMNOPUSLGURUTVAVBVCVHVIVDVE $.

    $d x c $.  $d x E $.  $d x O $.
    $( Bertrand's ballot problem : the probability that A is ahead throughout
       the counting.  The proof formalized here is a proof "by reflection", as
       opposed to other known proofs "by induction" or "by permutation".  This
       is Metamath 100 proof #30.  (Contributed by Thierry Arnoux,
       7-Dec-2016.) $)
    ballotth $p |- ( P ` E ) = ( ( M - N ) / ( M + N ) ) $=
      ( cfv c1 cdif chash cdiv co cmin caddc cmul wss wceq cc0 clt wbr cfz wral
      c2 crab ssrab2 eqsstri cpw wcel cfn fzfi pwfi mpbi ssfi mp2an elexi fveq2
      cv elpw oveq1d ovex fvmpt sylbir ax-mp hashssdif eqcomi cn0 hashcl nn0cni
      difss subsub23i oveq1i eqtr4i cc wne wa cbc ballotlem1 cle nnnn0i nnaddcl
      cn nnrei nn0addge1i elfz2nn0 mpbir3an bccl2 nnne0i pm3.2i divsubdir mp3an
      eqnetri dividi 3eqtri wn ballotlem8 cun rabxm fveq2i c0 sstri rabnc eqtri
      hashun elpw2 mpbir ballotlem2 wi nfrab1 dfss2f ballotlem4 imdistani rabid
      cin eldif 3imtr4i simprbi sylanbrc oveq2i divassi 2timesi 3eqtr2i nncni
      2cn mpgbir rabss2 3eqtr3i 3eqtr4ri mulcli addsub4i subidi addid1i oveq12i
      eqssi subcli 3eqtr3ri ) GBUDZUELGUFZUGUDZLUGUDZUHUIZUJUIZUEUTKJKUKUIZUHUI
      ZULUIZUJUIZJKUJUIZUUSUHUIZUUMUUPUUOUJUIZUUPUHUIZUUPUUPUHUIZUUQUJUIZUURUUM
      GUGUDZUUPUHUIZUVFGLUMZUUMUVJUNZGUOEVNMVNZHUDUDUPUQEUEUUSURUIZUSZMLVALSUVO
      MLVBVCZUVKGLVDZVEUVLGLGVFLVFVEZUVKGVFVEZUVNVDZVFVEZLUVTUMUVRUVNVFVEUWAUEU
      USVGUVNVHVIZLUVMUGUDJUNZMUVTVAUVTPUWCMUVTVBVCZUVTLVJVKZUVPLGVJVKZVLVOAGAV
      NZUGUDZUUPUHUIZUVJUVQBUWGGUNUWHUVIUUPUHUWGGUGVMVPQUVIUUPUHVQVRVSVTUVEUVIU
      UPUHUUPUVIUJUIZUUOUNUVEUVIUNUUOUWJUVRUVKUUOUWJUNUWEUVPLGWAVKWBUUPUVIUUOUU
      PUVRUUPWCVEUWELWDVTWEZUVIUVSUVIWCVEUWFGWDVTWEUUOUUNVFVEZUUOWCVEUVRUUNLUMZ
      UWLUWELGWFZLUUNVJVKUUNWDVTWEZWGVIWHWIUUPWJVEZUUOWJVEUWPUUPUOWKZWLUVFUVHUN
      UWKUWOUWPUWQUWKUUPUUSJWMUIZUOJKLMNOPWNUWRJUOUUSURUIVEZUWRWRVEUWSJWCVEUUSW
      CVEJUUSWOUQJNWPUUSJWRVEKWRVEUUSWRVENOJKWQVKZWPJKJNWSKOWPWTJUUSXAXBJUUSXCV
      TXDXHZXEUUPUUOUUPXFXGUVGUEUUQUJUUPUWKUXAXIWHXJUVAUUQUEUJUEUVMVEZMUUNVAZUG
      UDZUXBXKZMUUNVAZUGUDZUKUIZUUPUHUIUXGUXGUKUIZUUPUHUIZUUQUVAUXHUXIUUPUHUXDU
      XGUXGUKABCDEFGHIJKLMNOPQRSTUAUBUCXLWHWHUUOUXHUUPUHUUOUXCUXFXMZUGUDZUXHUUN
      UXKUGUXBMUUNXNXOUXCVFVEZUXFVFVEZUXCUXFYJXPUNUXLUXHUNUWAUXCUVTUMUXMUWBUXCL
      UVTUXCUUNLUXBMUUNVBUWNXQUWDXQUVTUXCVJVKUWAUXFUVTUMUXNUWBUXFLUVTUXFUUNLUXE
      MUUNVBUWNXQUWDXQUVTUXFVJVKZUXBMUUNXRUXCUXFXTXGXSWHUVAUTUXGUUPUHUIZULUIUTU
      XGULUIZUUPUHUIUXJUUTUXPUTULUXEMLVAZBUDZUXRUGUDZUUPUHUIZUUTUXPUXRUVQVEZUXS
      UYAUNUYBUXRLUMUXEMLVBUXRLLVFUWEVLYAYBAUXRUWIUYAUVQBUWGUXRUNUWHUXTUUPUHUWG
      UXRUGVMVPQUXTUUPUHVQVRVTABJKLMNOPQYCUXTUXGUUPUHUXRUXFUGUXRUXFUXRUXFUMUVMU
      XRVEZUVMUXFVEZYDMMUXRUXFUXEMLYEUXEMUUNYEYFUYCUVMUUNVEZUXEUYDUVMLVEZUXEWLU
      YFUVMGVEXKZWLUYCUYEUYFUXEUYGAUVMBEGHJKLMNOPQRSYGYHUXEMLYIZUVMLGYKYLUYCUYF
      UXEUYHYMUXEMUUNYIYNUUAUWMUXFUXRUMUWNUXEMUUNLUUBVTUUJXOWHUUCYOUTUXGUUPYTUX
      GUXNUXGWCVEUXOUXFWDVTWEZUWKUXAYPUXQUXIUUPUHUXGUYIYQWHYRUUDYOUUSUTKULUIZUJ
      UIZUUSUHUIZUUSUUSUHUIZUYJUUSUHUIZUJUIZUVDUVBUUSWJVEZUYJWJVEUYPUUSUOWKZWLU
      YLUYOUNUUSUWTYSZUTKYTKOYSZUUEUYPUYQUYRUUSUWTXDZXEUUSUYJUUSXFXGUYKUVCUUSUH
      UYKUUSKKUKUIZUJUIZUVCUYJVUAUUSUJKUYSYQYOVUBUVCKKUJUIZUKUIUVCUOUKUIUVCJKKK
      JNYSZUYSUYSUYSUUFVUCUOUVCUKKUYSUUGYOUVCJKVUDUYSUUKUUHXJXSWHUYMUEUYNUVAUJU
      USUYRUYTXIUTKUUSYTUYSUYRUYTYPUUIUULYR $.
  $}

$( End $[ set-mbox-ta-ballot.mm $] $)


$( Begin $[ set-mbox-ta-signum.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Signum (sgn or sign) function - misc. additions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Closure of the signum.  (Contributed by Thierry Arnoux, 28-Sep-2018.) $)
  sgncl $p |- ( A e. RR* -> ( sgn ` A ) e. { -u 1 , 0 , 1 } ) $=
    ( cxr wcel csgn cfv c1 cneg cc0 ctp wceq wa simpr fveq2d sgn0 c0ex eqeltrdi
    eqtrdi clt wbr adantlr tpid2 wne sgnn negex tpid1 1ex tpid3 wo 0xr xrlttri2
    sgnp biimpa mpanl2 mpjaodan pm2.61dane ) ABCZADEZFGZHFIZCZAHUPAHJZKZUQHUSVB
    UQHDEHVBAHDUPVALMNQURHFOUAPUPAHUBZKAHRSZUTHARSZUPVDUTVCUPVDKUQURUSAUCURHFFU
    DUEPTUPVEUTVCUPVEKUQFUSAUKURHFUFUGPTUPHBCZVCVDVEUHZUIUPVFKVCVGAHUJULUMUNUO
    $.

  $( Closure of the signum.  (Contributed by Thierry Arnoux, 28-Sep-2018.) $)
  sgnclre $p |- ( A e. RR -> ( sgn ` A ) e. RR ) $=
    ( cr wcel c1 cneg cc0 ctp csgn cfv wss neg1rr 0re 1re tpssi mp3an cxr sgncl
    rexr syl sselid ) ABCZDEZFDGZBAHIZUBBCFBCDBCUCBJKLMUBFDBNOUAAPCUDUCCARAQST
    $.

  $( Negation of the signum.  (Contributed by Thierry Arnoux, 1-Oct-2018.) $)
  sgnneg $p |- ( A e. RR -> ( sgn ` -u A ) = -u ( sgn ` A ) ) $=
    ( cr wcel cneg cc0 wceq clt wbr c1 cif csgn cfv wa wn biimpa wb adantr cmin
    cxr co recn negeq0d bicomd eqidd necon3bbid lt0neg2 wo 0red lttri2d ltnsym2
    wne id mpdan jca pm5.17 sylib con2bid bitr3d ifbid eqtrdi syldan ifbieq12d2
    ifnot renegcl rexr sgnval 3syl df-neg a1i syl oveq2d ovif2 biid 0m0e0 caddc
    0cn ax-1cn subnegi 0p1e1 eqtr2i ifbieq12i eqtr4i eqtri 3eqtrd 3eqtr4d ) ABC
    ZADZEFZEWGEGHZIDZIJZJZAEFZEAEGHZIWJJZJZWGKLZAKLZDZWFWHWMEWKEWOWFWMWHWFAAUAU
    BUCZWFWHMEUDWFWHNZAEUKZWKWOFWFXAXBWFWHAEWTUEOWFXBMZWKWNNZWJIJWOXCWIXDWJIXCE
    AGHZWIXDWFXEWIPXBAUFQXCWNXEXCWNXEUGZWNXEMNZMWNXENPXCXFXGWFXBXFWFAEWFULWFUHZ
    UIOWFXGXBWFEBCXGXHAEUJUMQUNWNXEUOUPUQURUSWNWJIVCUTVAVBWFWGBCWGSCWQWLFAVDWGV
    EWGVFVGWFWSEWRRTZEWMEWNWJIJZJZRTZWPWSXIFWFWRVHVIWFWRXKERWFASCWRXKFAVEAVFVJV
    KXLWPFWFXLWMEERTZEXJRTZJWPWMEEXJRVLWMWMXMXNEWOWMVMVNXNWNEWJRTZEIRTZJWOWNEWJ
    IRVLWNWNIWJXOXPWNVMXOEIVOTIEIVPVQVRVSVTIVHWAWBWAWCVIWDWE $.

  ${
    sgn3da.0 $e |- ( ph -> A e. RR* ) $.
    sgn3da.1 $e |- ( ( sgn ` A ) = 0 -> ( ps <-> ch ) ) $.
    sgn3da.2 $e |- ( ( sgn ` A ) = 1 -> ( ps <-> th ) ) $.
    sgn3da.3 $e |- ( ( sgn ` A ) = -u 1 -> ( ps <-> ta ) ) $.
    sgn3da.4 $e |- ( ( ph /\ A = 0 ) -> ch ) $.
    sgn3da.5 $e |- ( ( ph /\ 0 < A ) -> th ) $.
    sgn3da.6 $e |- ( ( ph /\ A < 0 ) -> ta ) $.
    $( A conditional containing a signum is true if it is true in all three
       possible cases.  (Contributed by Thierry Arnoux, 1-Oct-2018.) $)
    sgn3da $p |- ( ph -> ps ) $=
      ( wi cc0 wceq wa wtru c1 wb clt wbr cneg cif csgn cfv cxr wcel sgnval syl
      wn eqeq2d pm5.32i eqcoms bicomd adantl sylbir expcom pm5.74d eqeq1 imbi1d
      adantr simp2 3expia impbida pm3.24 pm2.21i expr tbtru sylib anbi12d ancom
      w3a truan bitri bitrdi 3adant3 3ad2ant3 bitr4d 3adant2 pm3.35 adantll imp
      ifbothda ex simp1 wo wne df-ne 0xr xrlttri2 sylancl bitr3id biimpa 3impia
      ord syl2anc jca mptru ) ABNZFOPZACNZAFOUAUBZENZXCUKZDNZQZNZWTROXCSUCZSUDZ
      OXAOXJUDZPZACBAXLCBTZAXLQAOFUEUFZPZQXMAXOXLAXNXKOAFUGUHZXNXKPGFUIUJZULUMX
      OXMAXOBCBCTXNOHUNUOUPUQURUSXJXKPZAXGBAXRXGBTZAXRQAXJXNPZQXSAXTXRAXNXKXJXQ
      ULUMAXTXSXCXIXNPZXSNSXNPZXSNXTXSNAXISXIXJPYAXTXSXIXJXNUTVASXJPYBXTXSSXJXN
      UTVAAXCYAXSAXCYAVMXGEBAXCXGETYAAXCQZXGERQZEYCXDEXFRYCXDEYCEXDMVBYCEXCEYCE
      XCVCVDVEYCXFXFRTAXCXEDXCXEQZDAYEDXCVFVGUPVHXFVIVJVKYDREQEERVLEVNVOVPVQYAA
      BETZXCYFXNXIJUNVRVSVDAXEYBXSAXEYBVMXGDBAXEXGDTYBAXEQZXGRDQDYGXDRXFDYGXDXD
      RTAXEXCEAXCEXEMVTVDXDVIVJYGXFDXEXFDAXEDWAWBYGDXEDYGDXEVCVDVEVKDVNVPVQYBAB
      DTZXEYHXNSIUNVRVSVDWDWCUQURUSXAXBRAXACKURUPXAUKZXHRAYIXGAYIQZXDXFAXDYIAXC
      EMWEVBAYIXEDAYIXEVMAOFUAUBZDAYIXEWFAYIXEYKYJXCYKAYIXCYKWGZYIFOWHZAYLFOWIA
      XPOUGUHYMYLTGWJFOWKWLWMWNWPWOLWQVDWRURUPWDWS $.
  $}

  $( Signum of a product.  (Contributed by Thierry Arnoux, 2-Oct-2018.) $)
  sgnmul $p |- ( ( A e. RR /\ B e. RR )
    -> ( sgn ` ( A x. B ) ) = ( ( sgn ` A ) x. ( sgn ` B ) ) ) $=
    ( cr wcel wa cmul co csgn cfv wceq cc0 c1 rexrd recnd oveq2d clt wbr eqeq2d
    simpr ad2antrr cneg remulcl eqeq1 fveq2 eqtrdi oveq1d adantl sgnclre mul02d
    sgn0 ad3antlr eqtr2d mul01d ad3antrrr wo simpl biimpa mpjaodan simpll oveq1
    mul0ord wn cc adantr gt0ne0d mulne0bad neneqd pm2.21dd cxr cle 0red simplll
    ltled simplr prodgt0 syl12anc syl2anc 1t1e1 eqtr2di renegcld lt0neg1d mpbid
    sgnp wb mul2negd breqtrrd syl22anc mpbird sgnn neg1mulneg1e1 sgn3da lt0ne0d
    mulcomd breq1d mul2lt0rgt0 neg1cn mulid2i mul2lt0rlt0 mulid1i ) ACDZBCDZEZA
    BFGZHIZAHIZBHIZFGZJKXGJZLXGJZLUAZXGJZXCXBXCABUBMXDKXGUCXDLXGUCXDXJXGUCXBXCK
    JZEZAKJZXHBKJZXMXNEXGKXFFGZKXNXGXPJXMXNXEKXFFXNXEKHIZKAKHUDUJUEUFUGXAXPKJWT
    XLXNXAXFXAXFBUHNUIUKULXMXOEXGXEKFGZKXOXGXRJXMXOXFKXEFXOXFXQKBKHUDUJUEOUGWTX
    RKJXAXLXOWTXEWTXEAUHNUMUNULXBXLXNXOUOXBABXBAWTXAUPZNZXBBWTXASZNZVAUQURXBKXC
    PQZEZXILXPJZLLXFFGZJLXJXFFGZJAYDAWTXAYCUSMXEKJZXGXPLXEKXFFUTZRXELJZXGYFLXEL
    XFFUTZRXEXJJZXGYGLXEXJXFFUTZRYDXNEXNYEYDXNSYDXNVBXNYDAKYDABXBAVCDZYCXTVDXBB
    VCDZYCYBVDYDXCXBYCSVEVFVGVDVHYDKAPQZEZYFLLFGLYQXFLLFYQBVIDZKBPQZXFLJZYQBXBX
    AYCYPYATMYQXBKAVJQYCYSXBYCYPUSYQKAYQVKWTXAYCYPVLYDYPSVMXBYCYPVNABVOVPBWCZVQ
    OVRVSYDAKPQZEZYGXJXJFGLUUCXFXJXJFUUCYRBKPQZXFXJJZUUCBXBXAYCUUBYATZMUUCUUDKB
    UAZPQZUUCAUAZCDUUGCDKUUIVJQKUUIUUGFGZPQUUHUUCAWTXAYCUUBVLVTZUUCBUUFVTUUCKUU
    IUUCVKUUKUUCUUBKUUIPQZYDUUBSXBUUBUULWDYCUUBXBAXSWATWBVMUUCKXCUUJPXBYCUUBVNU
    UCABXBYNYCUUBXTTXBYOYCUUBYBTWEWFUUIUUGVOWGXBUUDUUHWDYCUUBXBBYAWATWHBWIZVQOW
    JVSWKXBXCKPQZEZXKXJXPJZXJYFJXJYGJAUUOAWTXAUUNUSZMYHXGXPXJYIRYJXGYFXJYKRYLXG
    YGXJYMRUUOXNEZXNUUPUUOXNSUURAKUURABXBYNUUNXNXTTXBYOUUNXNYBTUURXCXBUUNXNVNWL
    VFVGVHUUOYPEZYFLXJFGXJUUSXFXJLFUUSYRUUDUUEUUSBXBXAUUNYPYATMUUOBAWTXAUUNVNZU
    UQXBUUNBAFGZKPQXBXCUVAKPXBABXTYBWMWNUQZWOUUMVQOXJWPWQVSUUOUUBEZYGXJLFGXJUVC
    XFLXJFUVCYRYSYTUVCBUUOXAUUBUUTVDMUUOBAUUTUUQUVBWRUUAVQOXJWPWSVSWKWK $.

  $( Multiplication by a positive number does not affect signum.  (Contributed
     by Thierry Arnoux, 2-Oct-2018.) $)
  sgnmulrp2 $p |- ( ( A e. RR /\ B e. RR+ )
    -> ( sgn ` ( A x. B ) ) = ( sgn ` A ) ) $=
    ( cr wcel crp wa cmul co csgn cfv c1 wceq simpr rpred sgnmul syldan cxr cc0
    clt wbr rpxrd rpgt0d sgnp syl2anc oveq2d simpl sgnclre ax-1rid 3syl 3eqtrd
    ) ACDZBEDZFZABGHIJZAIJZBIJZGHZUOKGHZUOUKULBCDUNUQLUMBUKULMZNABOPUMUPKUOGUMB
    QDRBSTUPKLUMBUSUAUMBUSUBBUCUDUEUMUKUOCDURUOLUKULUFAUGUOUHUIUJ $.

  $( Subtraction of a number of opposite sign.  (Contributed by Thierry Arnoux,
     2-Oct-2018.) $)
  sgnsub $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( A x. B ) < 0 )
    -> ( sgn ` ( A - B ) ) = ( sgn ` A ) ) $=
    ( cr wcel wa co cc0 clt wbr cmin csgn cfv c1 rexrd eqeq2 simpr recnd adantr
    wceq cc cmul simpll simplr lt0ne0d mulne0bad pm2.21ddne cxr simplll simpllr
    cneg resubcld 0red mul2lt0lgt0 lttrd simpl posdifd syl21anc syl2anc subid1d
    biimpa sgnp mul2lt0llt0 eqbrtrd ltsub23d sgnn sgn3da ) ACDZBCDZEZABUAFZGHIZ
    EZABJFZKLZAKLZSVNGSZVNMSZVNMUJZSZAVLAVGVHVKUBZNVOGVNOVOMVNOVOVRVNOVLAGSZEZV
    PAGVLWAPWBABVLATDZWAVLAVTQZRVLBTDWAVLBVGVHVKUCZQRWBVJVIVKWAUCUDUEUFVLGAHIZE
    ZVMUGDZGVMHIZVQWGVMWGABVGVHVKWFUHZVGVHVKWFUIZUKNWGVGVHBAHIZWIWJWKWGBGAWKWGU
    LWJVLABVTWEVIVKPZUMVLWFPUNVIWLWIVIBAVGVHPVGVHUOUPUTUQVMVAURVLAGHIZEZWHVMGHI
    VSWOVMWOABVGVHVKWNUHZVGVHVKWNUIZUKNWOAGBWPWOULZWQWOAGJFABHWOAVLWCWNWDRUSWOA
    GBWPWRWQVLWNPVLABVTWEWMVBUNVCVDVMVEURVF $.

  $( Negative signum.  (Contributed by Thierry Arnoux, 2-Oct-2018.) $)
  sgnnbi $p |- ( A e. RR* -> ( ( sgn ` A ) = -u 1 <-> A < 0 ) ) $=
    ( cxr wcel csgn cfv c1 cneg wceq cc0 clt wi id eqeq1 imbi1d neg1ne0 pm2.21i
    wbr wa a1i neg1rr nesymi neg1lt0 0lt1 0re 1re lttri mp2an gtneii neii simp2
    3expia sgn3da imp sgnn impbida ) ABCZADEZFGZHZAIJQZUPUSUTUPUSUTKIURHZUTKZFU
    RHZUTKZURURHZUTKAUPLUQIHUSVAUTUQIURMNUQFHUSVCUTUQFURMNUSUSVEUTUQURURMNVBUPA
    IHRVAUTURIOUAPSVDUPIAJQRVCUTFURURFTURIJQIFJQURFJQUBUCURIFTUDUEUFUGUHUIPSUPU
    TVEUTUPUTVEUJUKULUMAUNUO $.

  $( Positive signum.  (Contributed by Thierry Arnoux, 2-Oct-2018.) $)
  sgnpbi $p |- ( A e. RR* -> ( ( sgn ` A ) = 1 <-> 0 < A ) ) $=
    ( cxr wcel csgn cfv c1 wceq cc0 clt wi cneg id eqeq1 imbi1d wa 0ne1 pm2.21i
    wbr a1i neg1rr neii simp2 3expia neg1lt0 0lt1 0re lttri mp2an gtneii nesymi
    1re sgn3da imp sgnp impbida ) ABCZADEZFGZHAIRZUPURUSUPURUSJHFGZUSJZFFGZUSJF
    KZFGZUSJZAUPLUQHGURUTUSUQHFMNURURVBUSUQFFMNUQVCGURVDUSUQVCFMNVAUPAHGOUTUSHF
    PUAQSUPUSVBUSUPUSVBUBUCVEUPAHIROVDUSFVCVCFTVCHIRHFIRVCFIRUDUEVCHFTUFUKUGUHU
    IUJQSULUMAUNUO $.

  $( Zero signum.  (Contributed by Thierry Arnoux, 10-Oct-2018.) $)
  sgn0bi $p |- ( A e. RR* -> ( ( sgn ` A ) = 0 <-> A = 0 ) ) $=
    ( cxr wcel csgn cfv cc0 wceq wb c1 cneg eqeq1 bibi1d wa clt wbr ax-1ne0 a1i
    simpr neneqd 2falsed eqcomd eqeq1d wne gt0ne0d 1cnd negne0d lt0ne0d sgn3da
    id ) ABCZADEZFGZAFGZHFFGZUMHIFGZUMHIJZFGZUMHAUJUIULULUNUMUKFFKLUKIGULUOUMUK
    IFKLUKUPGULUQUMUKUPFKLUJUMMZFAFURAFUJUMRUAUBUJFANOZMZUOUMUTIFIFUCZUTPQSUTAF
    UTAUJUSRUDSTUJAFNOZMZUQUMVCUPFVCIVCUEVAVCPQUFSVCAFVCAUJVBRUGSTUH $.

  $( Signum is idempotent.  (Contributed by Thierry Arnoux, 2-Oct-2018.) $)
  sgnsgn $p |- ( A e. RR* -> ( sgn ` ( sgn ` A ) ) = ( sgn ` A ) ) $=
    ( cxr wcel csgn cfv wceq cc0 c1 cneg id fveq2 eqeq12d sgn0 a1i clt wbr sgn1
    wa neg1rr rexri neg1lt0 sgnn mp2an sgn3da ) ABCZADEZDEZUFFGDEZGFZHDEZHFZHIZ
    DEZULFZAUEJUFGFZUGUHUFGUFGDKUOJLUFHFZUGUJUFHUFHDKUPJLUFULFZUGUMUFULUFULDKUQ
    JLUIUEAGFRMNUKUEGAOPRQNUNUEAGOPRULBCULGOPUNULSTUAULUBUCNUD $.

  $( If two real numbers are of different signs, so are their signs.
     (Contributed by Thierry Arnoux, 12-Oct-2018.) $)
  sgnmulsgn $p |- ( ( A e. RR /\ B e. RR )
    -> ( ( A x. B ) < 0 <-> ( ( sgn ` A ) x. ( sgn ` B ) ) < 0 ) ) $=
    ( cr wcel wa cmul co csgn cfv c1 cneg wceq cc0 clt wbr neg1lt0 breq1 mpbiri
    simpr simplr adantl lt0ne0d pm2.21ddne eqbrtrrd cn0 wn nn0nlt0 pm2.21dd cxr
    1nn0 mp1i ctp w3o remulcl rexrd adantr sgncl eltpi mpjao3dan impbida sgnnbi
    3syl wb syl sgnmul breq1d 3bitr3d ) ACDBCDEZABFGZHIZJKZLZVJMNOZVIMNOZAHIBHI
    FGZMNOVHVLVMVLVMVHVLVMVKMNOPVJVKMNQRUAVHVMEZVLVLVJMLZVJJLZVPVLSVPVQEZVLVJMV
    PVQSVSVJVHVMVQTUBUCVPVREZJMNOZVLVTVJJMNVPVRSVHVMVRTUDJUEDWAUFVTUJJUGUKUHVPV
    IUIDZVJVKMJULDVLVQVRUMVHWBVMVHVIABUNUOZUPVIUQVJVKMJURVBUSUTVHWBVLVNVCWCVIVA
    VDVHVJVOMNABVEVFVG $.

  $( If two real numbers are of different signs, so are their signs.
     (Contributed by Thierry Arnoux, 12-Oct-2018.) $)
  sgnmulsgp $p |- ( ( A e. RR /\ B e. RR )
    -> ( 0 < ( A x. B ) <-> 0 < ( ( sgn ` A ) x. ( sgn ` B ) ) ) ) $=
    ( cr wcel wa cmul co csgn cfv c1 wceq cc0 clt 0lt1 simplr simpr wn ax-mp wb
    wbr breq2 mpbiri adantl cneg breqtrd cn0 1nn0 nn0nlt0 lt0neg1 mtbi pm2.21dd
    1re a1i gt0ne0d pm2.21ddne cxr ctp w3o remulcl rexrd adantr sgncl mpjao3dan
    eltpi 3syl impbida sgnpbi syl sgnmul breq2d 3bitr3d ) ACDBCDEZABFGZHIZJKZLV
    NMTZLVMMTZLAHIBHIFGZMTVLVOVPVOVPVLVOVPLJMTNVNJLMUAUBUCVLVPEZVNJUDZKZVOVNLKZ
    VOVSWAEZLVTMTZVOWCLVNVTMVLVPWAOVSWAPUEWDQWCJLMTZWDJUFDWEQUGJUHRJCDWEWDSULJU
    IRUJUMUKVSWBEZVOVNLVSWBPWFVNVLVPWBOUNUOVSVOPVSVMUPDZVNVTLJUQDWAWBVOURVLWGVP
    VLVMABUSUTZVAVMVBVNVTLJVDVEVCVFVLWGVOVQSWHVMVGVHVLVNVRLMABVIVJVK $.
$( End $[ set-mbox-ta-signum.mm $] $)

$( Begin $[ set-mbox-ta-signs.mm $] $)
  $( Condition for an integer interval to be a subset of a half-open integer
     interval.  (Contributed by Thierry Arnoux, 8-Oct-2018.) $)
  fzssfzo $p |- ( K e. ( M ..^ N ) -> ( M ... K ) C_ ( M ..^ N ) ) $=
    ( cfzo co wcel cfz cmin cuz cfv wss wceq elfzoel2 fzoval syl eleq2d elfzuz3
    c1 cz ibi fzss2 3syl sseqtrrd ) ABCDEZFZBAGEZBCRHEZGEZUDUEAUHFZUGAIJFUFUHKU
    EUIUEUDUHAUECSFUDUHLABCMBCNOZPTABUGQABUGUAUBUJUC $.

  ${
    $d x y B $.  $d k x y K $.  $d x y M $.  $d k x y N $.  $d k x y P $.
    $d k x y ph $.
    gsumncl.k $e |- K = ( Base ` M ) $.
    gsumncl.w $e |- ( ph -> M e. Mnd ) $.
    gsumncl.p $e |- ( ph -> P e. ( ZZ>= ` N ) ) $.
    gsumncl.b $e |- ( ( ph /\ k e. ( N ... P ) ) -> B e. K ) $.
    $( Closure of a group sum in a non-commutative monoid.  (Contributed by
       Thierry Arnoux, 8-Oct-2018.) $)
    gsumncl $p |- ( ph -> ( M gsum ( k e. ( N ... P ) |-> B ) ) e. K ) $=
      ( vx vy cfz co cfv cmnd cv wcel wa cmpt cgsu cplusg cseq fmpttd ffvelrnda
      eqid gsumval2 adantr simprl simprr mndcl syl3anc seqcl eqeltrd ) AFDGCNOZ
      BUAZUBOCFUCPZUQGUDPEAEURUQFGCQHURUGZIJADUPBEKUEZUHALMUREUQGCJAUPELRZUQUTU
      FAVAESZMRZESZTZTFQSZVBVDVAVCUROESAVFVEIUIAVBVDUJAVBVDUKEURFVAVCHUSULUMUNU
      O $.

    $d i B $.  $d k C $.  $d i k N $.  $d i k P $.  $d i k ph $.
    gsumnunsn.a $e |- .+ = ( +g ` M ) $.
    gsumnunsn.l $e |- ( ph -> C e. K ) $.
    gsumnunsn.c $e |- ( ( ph /\ k = ( P + 1 ) ) -> B = C ) $.
    $( Closure of a group sum in a non-commutative monoid.  (Contributed by
       Thierry Arnoux, 8-Oct-2018.) $)
    gsumnunsn $p |- ( ph -> ( M gsum ( k e. ( N ... ( P + 1 ) ) |-> B ) )
      = ( ( M gsum ( k e. ( N ... P ) |-> B ) ) .+ C ) ) $=
      ( co cfv wcel wceq vi c1 caddc cfz cmpt cseq cgsu cuz seqp1 cmnd peano2uz
      syl cv wa adantlr ad2antrr eqeltrd elfzp1 biimpa mpjaodan fmpttd gsumval2
      wo wb cres fvres adantl fzssp1 resmpt ax-mp fveq1i eqtr3di seqfveq eqtr4d
      wss eqidd eluzfz2 fvmptd eqcomd oveq12d 3eqtr4d ) ADUBUCQZEFIWBUDQZBUEZIU
      FZRZDWERZWBWDRZEQZHWDUGQHFIDUDQZBUEZUGQZCEQADIUHRZSZWFWITLEWDIDUIULAGEWDH
      IWBUJJNKAWNWBWMSZLIDUKULZAFWCBGAFUMZWCSZUNZWQWJSZBGSZWQWBTZAWTXAWRMUOWSXB
      UNBCGAXBBCTWRPUOACGSWRXBOUPUQAWRWTXBVCZAWNWRXCVDLWQIDURULUSUTVAVBAWLWGCWH
      EAWLDEWKIUFRWGAGEWKHIDUJJNKLAFWJBGMVAVBAEUAWDWKIDLAUAUMZWJSZUNXDWDWJVEZRZ
      XDWDRZXDWKRXEXGXHTAXDWJWDVFVGXDXFWKWJWCVOXFWKTIDVHFWCWJBVIVJVKVLVMVNAWHCA
      FWBBCWCWDGAWDVPPAWOWBWCSWPIWBVQULOVRVSVTWA $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Operations on words
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d i A $.  $d i B $.  $d i K $.  $d i M $.  $d i N $.  $d i ph $.
    ccatmulgnn0dir.a $e |- A = ( ( 0 ..^ M ) X. { K } ) $.
    ccatmulgnn0dir.b $e |- B = ( ( 0 ..^ N ) X. { K } ) $.
    ccatmulgnn0dir.c $e |- C = ( ( 0 ..^ ( M + N ) ) X. { K } ) $.
    ccatmulgnn0dir.k $e |- ( ph -> K e. S ) $.
    ccatmulgnn0dir.m $e |- ( ph -> M e. NN0 ) $.
    ccatmulgnn0dir.n $e |- ( ph -> N e. NN0 ) $.
    $( Concatenation of words follow the rule ~ mulgnn0dir (although applying
       ~ mulgnn0dir would require ` S ` to be a set).  In this case ` A ` is
       ` <" K "> ` to the power ` M ` in the free monoid.  (Contributed by
       Thierry Arnoux, 5-Oct-2018.) $)
    ccatmulgnn0dir $p |- ( ph -> ( A ++ B ) = C ) $=
      ( cc0 chash co cfzo wcel wceq vi cfv caddc cmin cif cmpt cconcat cmul csn
      cv c1 cxp fveq2i cfn fzofi snfi hashxp mp2an cn0 hashfzo0 hashsng oveq12d
      eqtri syl syl5eq nn0cnd mulid1d eqtrd oveq2d simpll simpr eleqtrd fconstg
      wa wf a1i feq1d mpbird fvconst sylan syl2anc wn cz eqeltrd nn0zd fzocatel
      simplr syl22anc ifeqda mpteq12dva ovex snex xpex eqeltri ccatfval 3eqtr4g
      cvv fconstmpt ) AUAOBPUBZCPUBZUCQZRQZUAUJZOWSRQZSZXCBUBZXCWSUDQZCUBZUEZUF
      ZUAOGHUCQZRQZFUFZBCUGQZDAUAXBXIXLFAXAXKORAWSGWTHUCAWSGUKUHQZGAWSOGRQZPUBZ
      FUIZPUBZUHQZXOWSXPXRULZPUBZXTBYAPIUMXPUNSXRUNSZYBXTTOGUOFUPZXPXRUQURVCAXQ
      GXSUKUHAGUSSXQGTMGUTVDAFESZXSUKTLFEVAVDZVBVEAGAGMVFVGVHZAWTHUKUHQZHAWTOHR
      QZPUBZXSUHQZYHWTYIXRULZPUBZYKCYLPJUMYIUNSYCYMYKTOHUOYDYIXRUQURVCAYJHXSUKU
      HAHUSSYJHTNHUTVDYFVBVEAHAHNVFVGVHZVBVIAXCXBSZVNZXEXFXHFYPXEVNZAXCXPSZXFFT
      ZAYOXEVJZYQXCXDXPYPXEVKYQAXDXPTYTAWSGORYGVIVDVLAXPXRBVOZYRYSAUUAXPXRYAVOZ
      AYEUUBLXPFEVMVDAXPXRBYABYATAIVPVQVRXPFXCBVSVTWAYPXEWBZVNZAXGYISZXHFTZAYOU
      UCVJZUUDXGOWTRQZYIUUDYOUUCWSWCSWTWCSXGUUHSAYOUUCWGYPUUCVKUUDWSUUDAWSUSSUU
      GAWSGUSYGMWDVDWEUUDWTUUDAWTUSSUUGAWTHUSYNNWDVDWEXCWSWTWFWHUUDAUUHYITUUGAW
      THORYNVIVDVLAYIXRCVOZUUEUUFAUUIYIXRYLVOZAYEUUJLYIFEVMVDAYIXRCYLCYLTAJVPVQ
      VRYIFXGCVSVTWAWIWJBWQSCWQSXNXJTBYAWQIXPXROGRWKFWLZWMWNCYLWQJYIXROHRWKUUKW
      MWNUABCWQWQWOURDXLXRULXMKUAXLFWRVCWP $.
  $}

  ${
    ofcccat.1 $e |- ( ph -> F e. Word S ) $.
    ofcccat.2 $e |- ( ph -> G e. Word S ) $.
    ofcccat.3 $e |- ( ph -> K e. T ) $.
    $( Letterwise operations on word concatenations.  (Contributed by Thierry
       Arnoux, 5-Oct-2018.) $)
    ofcccat $p |- ( ph -> ( ( F ++ G ) oFC R K )
      = ( ( F oFC R K ) ++ ( G oFC R K ) ) ) $=
      ( cconcat co cc0 chash cfv cfzo wcel cmul wceq syl csn cxp cof cofc cword
      wf fconst6g iswrdi 3syl cfn fzofi snfi hashxp mp2an c1 cn0 lencl hashfzo0
      hashsng oveq12d nn0cnd mulid1d eqtrd eqtr2id ofccat cvv ccatcl wrdf ovexd
      syl2anc ofcof caddc ccatlen oveq2d xpeq1d ccatmulgnn0dir 3eqtr4a 3eqtr4d
      eqid ) AEFKLZMENOZPLZGUAZUBZMFNOZPLZWCUBZKLZBUCZLZEWDWILZFWGWILZKLVTGBUDZ
      LZEGWMLZFGWMLZKLABCDEFWDWGHIAGDQZWBDWDUFWDDUEZQJWBGDUGDWAWDUHUIAWQWFDWGUF
      WGWRQJWFGDUGDWEWGUHUIAWDNOZWBNOZWCNOZRLZWAWBUJQWCUJQZWSXBSMWAUKGULZWBWCUM
      UNAXBWAUORLWAAWTWAXAUORAECUEZQZWAUPQZWTWASHCEUQZWAURUIAWQXAUOSJGDUSTZUTAW
      AAWAAXFXGHXHTZVAVBVCVDAWGNOZWFNOZXARLZWEWFUJQXCXKXMSMWEUKXDWFWCUMUNAXMWEU
      ORLWEAXLWEXAUORAFXEQZWEUPQZXLWESICFUQZWEURUIXIUTAWEAWEAXNXOIXPTZVAVBVCVDV
      EAWNVTMVTNOZPLZWCUBZWILWJAXSCGBVTVFDAVTXEQZXSCVTUFAXFXNYAHICEFVGVJCVTVHTA
      MXRPVIJVKAXTWHVTWIAMWAWEVLLZPLZWCUBZYDXTWHYDVSZAXSYCWCAXRYBMPAXFXNXRYBSHI
      CCEFVMVJVNVOAWDWGYDDGWAWEWDVSWGVSYEJXJXQVPVQVNVCAWOWKWPWLKAWBCGBEVFDAXFWB
      CEUFHCEVHTAMWAPVIJVKAWFCGBFVFDAXNWFCFUFICFVHTAMWEPVIJVKUTVR $.
  $}

  ${
    $d i A $.  $d i B $.  $d i R $.  $d i S $.  $d i T $.
    $( Letterwise operations on a single letter word.  (Contributed by Thierry
       Arnoux, 7-Oct-2018.) $)
    ofcs1 $p |- ( ( A e. S /\ B e. T )
      -> ( <" A "> oFC R B ) = <" ( A R B ) "> ) $=
      ( vi wcel wa cs1 co cc0 csn cmpt cvv wceq cop s1val cn0 0nn0 fmptsn simpr
      cofc snex a1i cv simpll mpan eqtrd adantr ofcfval2 ovex ax-mp mp2an eqtri
      eqtr4di ) ADGZBEGZHZAIZBCUBJFKLZABCJZMZVAIZURFUTABCUSNEDUTNGURKUCUDUPUQUA
      UPUQFUEUTGUFUPUSFUTAMZOUQUPUSKAPLZVDADQKRGZUPVEVDOSFKARDTUGUHUIUJVCKVAPLZ
      VBVANGZVCVGOABCUKZVANQULVFVHVGVBOSVIFKVARNTUMUNUO $.
  $}

  $( Letterwise operations on a double letter word.  (Contributed by Thierry
     Arnoux, 9-Oct-2018.) $)
  ofcs2 $p |- ( ( A e. S /\ B e. S /\ C e. T )
    -> ( <" A B "> oFC R C ) = <" ( A R C ) ( B R C ) "> ) $=
    ( wcel w3a cs2 cofc cs1 cconcat df-s2 oveq1i simp1 s1cld wceq ofcs1 syl2anc
    co simp2 simp3 ofcccat syl5eq oveq12d eqtr4di eqtrd ) AEGZBEGZCFGZHZABIZCDJ
    ZTZAKZCUMTZBKZCUMTZLTZACDTZBCDTZIZUKUNUOUQLTZCUMTUSULVCCUMABMNUKDEFUOUQCUKA
    EUHUIUJOZPUKBEUHUIUJUAZPUHUIUJUBZUCUDUKUSUTKZVAKZLTVBUKUPVGURVHLUKUHUJUPVGQ
    VDVFACDEFRSUKUIUJURVHQVEVFBCDEFRSUEUTVAMUFUG $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Polynomials with real coefficients - misc additions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x F $.  $d x S $.
    $( Product of a polynomial with the zero polynomial.  (Contributed by
       Thierry Arnoux, 26-Sep-2018.) $)
    plymul02 $p |- ( F e. ( Poly ` S ) -> ( 0p oF x. F ) = 0p ) $=
      ( vx cply cfv wcel cc cc0 cv cmul co cmpt c0p cof wa cvv df-0p a1i wceq
      wf plyf ffvelrnda mul02d mpteq2dva csn wfn cxp c0ex fconst feq1i ffn mp1i
      mpbir ffnd cnex inidm 0pval adantl eqidd offval fconstmpt eqtri 3eqtr4d )
      BADEFZCGHCIZBEZJKZLCGHLZMBJNKMVDCGVGHVDVEGFZOZVFVDGGVEBABUAZUBUCUDVDCGGHV
      FJGMBPPGHUEZMTZMGUFVDVMGVLGVLUGZTGHUHUIGVLMVNQUJUMGVLMUKULVDGGBVKUNGPFVDU
      ORZVOGUPVIVEMEHSVDVEUQURVJVFUSUTMVHSVDMVNVHQCGHVAVBRVC $.
  $}

  ${
    $d i n x y F $.
    $( Coefficients of a polynomial multiplied by ` Xp ` .  (Contributed by
       Thierry Arnoux, 25-Sep-2018.) $)
    plymulx0 $p |- ( F e. ( ( Poly ` RR ) \ { 0p } ) ->
      ( coeff ` ( F oF x. Xp ) )
       = ( n e. NN0 |-> if ( n = 0 , 0 , ( ( coeff ` F ) ` ( n - 1 ) ) ) ) ) $=
      ( vi cr cfv wcel cidp cmul co ccoe cn0 cv cc0 wceq c1 cc a1i csu adantl
      wa vx vy cply c0p csn cdif cof cmpt cif wf eldifi wss ax-resscn 1re plyid
      cmin mp2an simprl simprr readdcld remulcld 0re eqid coef2 sylancl feqmptd
      plymul cvv cnex plyf syl ax-mp mulcomd caofcom fveq2d fveq1d adantr simpr
      coemul syl3anc elfznn0 coeidp oveq1d ovif eqtrdi sumeq2dv wb velsn bicomi
      cfz ad2antrr fznn0sub ffvelrnd recnd mulid2d mul02d ifbieq12d eqeq2 oveq2
      cz 0z fzsn wn elsni ax-1ne0 nesymi eqeq1 mtbiri notbii iffalse sumeq12rdv
      biimpi 3syl cuz cfn wo snfi olci sumz cn simpll wne elnnne0 sylanbrc wral
      neqned cle wbr 1nn0 nnnn0d nnge1d elfz2nn0 syl3anbrc snssd sylbi ad2antlr
      nnm1nn0 eqeltrd ralrimiva eqtrd fzfi sumss2 syl21anc sumsn sylancr eqtr3d
      syl2anc ifbothda 3eqtrd mpteq2dva ) BDUCEZUDUEZUFFZBGHUGZIZJEZAKALZUUPEZU
      HAKUUQMNZMUUQOUPIZBJEZEZUIZUHUUMAKDUUPUUMUUOUUKFMDFZKDUUPUJUUMUAUBDBGBUUK
      UULUKZGUUKFZUUMDPULODFZUVFUMUNDUOUQZQUUMUALZDFZUBLZDFZTTZUVIUVKUUMUVJUVLU
      RZUUMUVJUVLUSZUTUVMUVIUVKUVNUVOVAVGVBUUPDUUOUUPVCVDVEVFUUMAKUURUVCUUMUUQK
      FZTZUURUUQGBUUNIZJEZEZUVCUUMUURUVTNUVPUUMUUQUUPUVSUUMUUOUVRJUUMUAUBPHPBGV
      HPVHFUUMVIQUUMBUUKFZPPBUJUVEDBVJVKPPGUJZUUMUVFUWBUVHDGVJVLQUUMUVIPFZUVKPF
      ZTTUVIUVKUUMUWCUWDURUUMUWCUWDUSVMVNVOVPVQUVQUVTMUUQWJIZCLZGJEZEZUUQUWFUPI
      ZUVAEZHIZCRZUWEUWFONZOUWJHIZMUWJHIZUIZCRZUVCUVQUVFUWAUVPUVTUWLNUVFUVQUVHQ
      UUMUWAUVPUVEVQUUMUVPVRZUWGUVADCGBUUQUWGVCUVAVCZVSVTUVQUWEUWKUWPCUWFUWEFZU
      WKUWPNUVQUWTUWKUWMOMUIZUWJHIUWPUWTUWHUXAUWJHUWTUWFKFUWHUXANUWFUUQWAUWFWBV
      KWCUWMOMUWJHWDWESWFUVQUWQUWEUWFOUEZFZUWJMUIZCRZUVCUVQUWEUWPUXDCUVQUWTTZUW
      MUXCUWNUWOUWJMUWMUXCWGUXFUXCUWMCOWHZWIZQUXFUWJUXFUWJUXFKDUWIUVAUUMKDUVAUJ
      ZUVPUWTUUMUWAUVDUXIUVEVBUVADBUWSVDVEZWKUWTUWIKFUVQUWFMUUQWLSWMWNZWOUXFUWJ
      UXKWPWQWFUUSUXEMNZUXEUVBNZUXEUVCNUVQMUVBMUVCUXEWRUVBUVCUXEWRUUSUXLUVQUUSU
      XEMUEZMCRZMUUSUWEUXNUXDMCUUSUWEMMWJIZUXNUUQMMWJWSMWTFUXPUXNNXAMXBVLWEUUSU
      WFUXNFZTZUWMXCZUXCXCZUXDMNUXRUWFMNZUXSUXQUYAUUSUWFMXDSUYAUWMMONOMXEXFUWFM
      OXGXHVKUXSUXTUWMUXCUXHXIXLUXCUWJMXJXMXKUXNMXNEZULZUXNXOFZXPUXOMNUYDUYCMXQ
      XRUXNCMXSVLWESUVQUUSXCZTZUUMUUQXTFZUXMUUMUVPUYEYAUYFUVPUUQMYBUYGUVQUVPUYE
      UWRVQUYFUUQMUVQUYEVRYFUUQYCYDUUMUYGTZUXBUWJCRZUXEUVBUYHUXBUWEULUWJPFZCUXB
      YEUWEUYBULZUWEXOFZXPZUYIUXENUYHOUWEUYHOKFZUVPOUUQYGYHOUWEFUYNUYHYIQUYHUUQ
      UUMUYGVRZYJUYHUUQUYOYKOUUQYLYMYNUYHUYJCUXBUYHUXCTZUWJUYPKDUWIUVAUUMUXIUYG
      UXCUXJWKUYPUWIUUTKUXCUWIUUTNZUYHUXCUWMUYQUXGUWFOUUQUPWSZYOSUYGUUTKFZUUMUX
      CUUQYQZYPYRWMWNYSUYMUYHUYLUYKMUUQUUAXRQUXBUWEUWJCMUUBUUCUYHUVGUVBPFUYIUVB
      NUNUYHUVBUYHKDUUTUVAUUMUXIUYGUXJVQUYGUYSUUMUYTSWMWNUWJUVBCODUWMUWIUUTUVAU
      YRVOUUDUUEUUFUUGUUHYTUUIYTUUJYT $.
  $}

  ${
    $d m n $.  $d n F $.
    $( Coefficients of a polynomial multiplied by ` Xp ` .  (Contributed by
       Thierry Arnoux, 25-Sep-2018.) $)
    plymulx $p |- ( F e. ( Poly ` RR ) -> ( coeff ` ( F oF x. Xp ) )
       = ( n e. NN0 |-> if ( n = 0 , 0 , ( ( coeff ` F ) ` ( n - 1 ) ) ) ) ) $=
      ( vm cr cfv wcel c0p wceq cidp co ccoe cn0 cv cc0 c1 cif cmpt fveq2d wa
      wn cply cmul cof cmin cc wss ax-resscn 1re plyid mp2an plymul02 ax-mp csn
      cxp fconstmpt coe0 eqidd cn wne elnnne0 df-ne anbi2i bitr2i nnm1nn0 sylbi
      eqtri c0ex fvmpt syl ifeqda mpteq2ia 3eqtr4ri eqtr4i fvoveq1 simpl fveq1d
      ifeq2d mpteq2dva 3eqtr4a adantl cdif elsng notbid biimpar eldifd plymulx0
      pm2.61dan ) BDUAEZFZBGHZBIUBUCZJKEZALAMZNHZNWMOUDJZBKEZEZPZQZHZWJWTWIWJGI
      WKJZKEZALWNNWOGKEZEZPZQZWLWSXBXCXFIWHFZXBXCHDUEUFODFXGUGUHDUIUJXGXAGKDIUK
      RULLNUMUNZALNQXCXFALNUOUPALXENWMLFZWNNXDNXIWNSNUQXIWNTZSZWOLFZXDNHXKWMURF
      ZXLXMXIWMNUSZSXKWMUTXNXJXIWMNVAVBVCWMVDVECWONNLXCCMWOHNUQXCXHCLNQUPCLNUOV
      FVGVHVIVJVKVLVMBGIKWKVNWJALWRXEWJXISZWNWQXDNXOWOWPXCXOBGKWJXIVORVPVQVRVSV
      TWIWJTZSZBWHGUMZWAFWTXQBWHXRWIXPVOWIBXRFZTXPWIXSWJBGWHWBWCWDWEABWFVIWG $.
  $}

  ${
    plyrecld.1 $e |- ( ph -> F e. ( Poly ` RR ) ) $.
    plyrecld.2 $e |- ( ph -> X e. RR ) $.
    $( Closure of a polynomial with real coefficients.  (Contributed by Thierry
       Arnoux, 18-Sep-2018.) $)
    plyrecld $p |- ( ph -> ( F ` X ) e. RR ) $=
      ( cr cres cfv wcel wceq fvres syl cply wf plyreres ffvelrnd eqeltrrd ) AC
      BFGZHZCBHZFACFISTJECFBKLAFFCRABFMHIFFRNDBOLEPQ $.
  $}

  ${
    signsply0.d $e |- D = ( deg ` F ) $.
    signsply0.c $e |- C = ( coeff ` F ) $.
    signsply0.b $e |- B = ( C ` D ) $.

    ${
      $d k x C $.  $d k x D $.  $d k x F $.  $d x G $.
      signsplypnf.g $e |- G = ( x e. RR+ |-> ( x ^ D ) ) $.
      $( The quotient of a polynomial ` F ` by a monic monomial of same degree
         ` G ` converges to the highest coefficient of ` F ` .  (Contributed by
         Thierry Arnoux, 18-Sep-2018.) $)
      signsplypnf $p |- ( F e. ( Poly ` RR ) -> ( F oF / G ) ~~>r B ) $=
        ( vk cr wcel cdiv co crp cc0 cmpt cc cvv cply cfv cof cfzo cv cexp cmul
        csu csn caddc crli cfz plyf ffnd wral wfn ovex rgenw mp1i cnex a1i reex
        fnmpt rpssre ssexi wss wceq ax-resscn sstri sseqin2 coeid2 fvmpt2 mpan2
        cin mpbi adantl offval wa fzfid sselda cn0 dgrcl eqeltrid adantr expcld
        cdgr wf coef3 ad2antrr elfznn0 ffvelrnd mulcld wne rpne0 nn0zd fsumdivc
        cz expne0d c0 c1 fzosn ineq2d fzodisj eqtr3di syl fzval3 nn0uz eleqtrdi
        cun cuz fzosplitsn eqtrd fsumsplit mpteq2dva sumex fzofi ovexd elfzonn0
        cfn ad2antlr adantlr divassd fvexd wbr rlimconst sylancr cmin ccxp cneg
        divcld zsubcld cxpexpzd oveq2d expnegd nn0cnd negsubdi2d nn0red breqtrd
        zcnd eqbrtrd 3eqtr2d clt elfzolt2 difrp biimpa syl21anc cxplim eqbrtrrd
        expsubd rlimmul mul01d fsumrlim wo olcd sumz fveq2 oveq2 oveq12d oveq1d
        sumsn syl2anc divcan4d rlimadd addid2d eqtr4di ) ELUAUBMZEFNUCOZAPQDUDO
        ZKUEZCUBZAUEZUVIUFOZUGOZUVKDUFOZNOZKUHZDUIZUVOKUHZUJOZRZBUKUVFUVGAPQDUL
        OZUVMKUHZUVNNOZRUVTUVFASPUWBUVNNPEFTTUVFSSELEUMUNUVNTMZAPUOFPUPUVFUWDAP
        UVKDUFUQZURAPUVNFTJVCUSSTMUVFUTVAPTMUVFPLVBVDVEVAPSVFZSPVNPVGPLSVDVHVIZ
        PSVJVOCLKEDUVKHGVKUVKPMZUVKFUBUVNVGZUVFUWHUWDUWIUWEAPUVNTFJVLVMVPVQUVFA
        PUWCUVSUVFUWHVRZUWCUWAUVOKUHUVSUWJUWAUVMUVNKUWJQDVSZUWJUVKDUVFPSUVKUWFU
        VFUWGVAVTZUVFDWAMZUWHUVFDEWFUBWAGLEWBWCZWDZWEZUWJUVIUWAMZVRZUVJUVLUWRWA
        SUVICUVFWASCWGZUWHUWQCLEHWHZWIUWQUVIWAMZUWJUVIDWJVPZWKUWRUVKUVIUWJUVKSM
        ZUWQUWLWDZUXBWEWLZUWJUVKDUWLUWHUVKQWMZUVFUVKWNZVPZUVFDWQMZUWHUVFDUWNWOZ
        WDZWRZWPUWJUVHUVQUVOUWAKUWJUXIUVHUVQVNZWSVGUXKUXIUVHDDWTUJOZUDOZVNUXMWS
        UXIUXOUVQUVHDXAXBQDUXNXCXDXEUVFUWAUVHUVQXIZVGUWHUVFUWAQUXNUDOZUXPUVFUXI
        UWAUXQVGUXJQDXFXEUVFDQXJUBZMUXQUXPVGUVFDWAUXRUWNXGXHQDXKXEXLWDUWKUWRUVM
        UVNUXEUWJUVNSMZUWQUWPWDUWRUVKDUXDUWJUXFUWQUXHWDUWJUXIUWQUXKWDWRYJXMXLXN
        XLUVFUVTQDCUBZUJOZBUKUVFAPUVPUVRQUXTTUVPTMUWJUVHUVOKXOVAUVRTMUWJUVQUVOK
        XOVAUVFAPUVPRUVHQKUHZQUKUVFAPUVHUVOQKTPLVFZUVFVDVAUVHXSMZUVFQDXPVAZUVFU
        WHUVIUVHMZVRVRUVMUVNNXQUVFUYFVRZAPUVORAPUVJUVLUVNNOZUGOZRZQUKUYGAPUVOUY
        IUYGUWHVRZUVJUVLUVNUYKWASUVICUVFUWSUYFUWHUWTWIUYFUXAUVFUWHUVIDXRZXTZWKU
        YKUVKUVIUVFUWHUXCUYFUWLYAZUYMWEUVFUWHUXSUYFUWPYAUYKUVKDUYNUWHUXFUYGUXGV
        PZUVFUWHUXIUYFUXKYAZWRYBXNUYGUYJUVJQUGOQUKUYGAPUVJUYHUVJQTUYKUVICYCUYKU
        VLUVNNXQUYGUYCUVJSMAPUVJRUVJUKYDVDUYGWASUVICUVFUWSUYFUWTWDUYFUXAUVFUYLV
        PZWKZAPUVJYEYFUYGAPWTUVKDUVIYGOZYHOZNOZRZAPUYHRQUKUYGAPVUAUYHUYKVUAUVKU
        VIDYGOZUFOZUYHUYKVUAWTUVKUYSUFOZNOUVKUYSYIZUFOVUDUYKUYTVUEWTNUYKUVKUYSU
        YNUYOUYKDUVIUYPUYKUVIUYMWOZYKZYLYMUYKUVKUYSUYNUYOVUHYNUYKVUFVUCUVKUFUYK
        DUVIUYKDUYPYSUYKUVIUYMYOYPYMUUAUYKUVKUVIDUYNUYOUYPVUGUUIXLXNUYGUYSPMZVU
        BQUKYDUYGUVILMZDLMZUVIDUUBYDZVUIUYGUVIUYQYQUYGDUVFUWMUYFUWNWDYQUYFVULUV
        FUVIQDUUCVPVUJVUKVRVULVUIUVIDUUDUUEUUFUYSAUUGXEUUHUUJUYGUVJUYRUUKYRYTUU
        LUVFUVHUXRVFZUYDUUMUYBQVGUVFUYDVUMUYEUUNUVHKQUUOXEYRUVFAPUVRRAPUXTRZUXT
        UKUVFAPUVRUXTUWJUVRUXTUVNUGOZUVNNOZUXTUWJUWMVUPSMUVRVUPVGUWOUWJVUOUVNUW
        JUXTUVNUVFUXTSMZUWHUVFWASDCUWTUWNWKZWDZUWPWLUWPUXLYJUVOVUPKDWAUVIDVGZUV
        MVUOUVNNVUTUVJUXTUVLUVNUGUVIDCUUPUVIDUVKUFUUQUURUUSUUTUVAUWJUXTUVNVUSUW
        PUXLUVBXLXNUVFUYCVUQVUNUXTUKYDVDVURAPUXTYEYFYTUVCUVFUYAUXTBUVFUXTVURUVD
        IUVEYRYT $.
    $}

    ${
      $d d e f x B $.  $d d x z B $.  $d f C $.  $d d e f x D $.
      $d d e f x z F $.  $d d e f x z ph $.
      signsply0.a $e |- A = ( C ` 0 ) $.
      signsply0.1 $e |- ( ph -> F e. ( Poly ` RR ) ) $.
      signsply0.2 $e |- ( ph -> F =/= 0p ) $.
      signsply0.3 $e |- ( ph -> ( A x. B ) < 0 ) $.
      $( Lemma for the rule of signs, based on Bolzano's intermediate value
         theorem for polynomials :  If the lowest and highest coefficient ` A `
         and ` B ` are of opposite signs, the polynomial admits a positive
         root.  (Contributed by Thierry Arnoux, 19-Sep-2018.) $)
      signsply0 $p |- ( ph -> E. z e. RR+ ( F ` z ) = 0 ) $=
        ( crp wcel cc0 wa wbr clt vd vf vx ve cneg cv cfv wceq wrex cle cexp co
        cdiv cmin cabs wi wral simplr simpr rpxr xrleidd ad2antlr breq2d fveq2d
        oveq1d oveq12d fvoveq1d breq1d imbi12d rspcdv syl3c caddc cply ad2antrr
        id cr rpred plyrecld cn0 cdgr dgrcl syl eqeltrid reexpcld rpcnd expne0d
        rpne0d cz redivcld wf 0re syl2anc absdifltd cc recnd adantr wb rpexpcld
        wn 0red ltnled mpbird syldan cioo rpgt0d wss ax-resscn sstrdi ad3antrrr
        sylancr ad4antr simplll a1i ffvelrnd jca cpnf cxr pnfge 0xr pnfxr ioorp
        sselda ssrexv 3syl mpd c1 cmpt crli cvv cnex eqidd eqbrtrrd mpbid ax-mp
        rpssre imbi2d rexralbidv r19.29a wne c0p nn0zd coef2 ffvelrnda renegcld
        mpan2 simplbda negidd breqtrd ge0divd notbid 3bitr4d cicc iccssre ccncf
        plycn negelrp biimpa sylancl mul2lt0rlt0 breqtrdi coefv0 breqtrrd ivth2
        0nn0 0le0 ioossioo mpanl12 sseqtrdi cico cof plyf ffnd ovex rgenw fnmpt
        wfn eqid mp1i sstri ssexi cin sseqin2 ovexd fvmptd offval oveq1 cbvmptv
        mpbi signsplypnf expcld divcld ralrimiva 1red rlim3 0lt1 icossioo mp4an
        sseqtri ralimi subidd simprbda gt0divd w3a simpr1 mul2lt0rgt0 eqbrtrrid
        3anassrs eqbrtrd ivth dgreq0 necon3bid neeq1i sylibr rpneg biimprd orrd
        wo mpjaodan ) ADUEZOPZBUFGUGQUHZBOUIZDOPZAUXTRZUAUFZUBUFZUJSZUYFGUGZUYF
        FUKULZUMULZDUNULUOUGZUXSTSZUPZUBOUQZUYBUAOUYDUYEOPZRZUYNUYEGUGZQTSZUYBU
        YPUYNUYQUYEFUKULZUMULZDUNULUOUGZUXSTSZUYRUYPUYNRUYOUYNUYEUYEUJSZVUBUYDU
        YOUYNURUYPUYNUSUYOVUCUYDUYNUYOUYEUYEUTZVAZVBUYOUYMVUCVUBUPUBUYEOUYOVOZU
        YOUYFUYEUHZRZUYGVUCUYLVUBVUHUYFUYEUYEUJUYOVUGUSZVCZVUHUYKVUAUXSTVUHUYJU
        YTDUOUNVUHUYHUYQUYIUYSUMVUHUYFUYEGVUIVDVUHUYFUYEFUKVUIVEVFVGZVHVIVJVKUY
        PVUBRZUYRUYTQTSZVULUYTDUXSVLULZQTUYPVUBDUXSUNULUYTTSUYTVUNTSUYPUYTDUXSU
        YPUYQUYSUYPGUYEAGVPVMUGPZUXTUYOLVNUYPUYEUYDUYOUSZVQZVRZUYPUYEFVUQAFVSPZ
        UXTUYOAFGVTUGZVSHAVUOVUTVSPLVPGWAWBWCZVNWDUYPUYEFUYPUYEVUPWEUYPUYEVUPWG
        AFWHPZUXTUYOAFVVAUUAZVNZWFWIZADVPPZUXTUYOAVUOVUSVVFLVVAVUOVUSRDFEUGZVPJ
        VUOVSVPFEVUOQVPPZVSVPEWJZWKEVPGIUUBZUUEUUCWCWLZVNZUYPDVVLUUDWMUUFUYPVUN
        QUHVUBUYPDADWNPZUXTUYOADVVKWOZVNUUGWPUUHUYPUYRVUMWQVUBUYPQUYQUJSZWSQUYT
        UJSZWSUYRVUMUYPVVOVVPUYPUYQUYSVURUYPUYEFVUPVVDWRUUIUUJUYPUYQQVURUYPWTZX
        AUYPUYTQVVEVVQXAUUKWPXBXCUYPUYRRZUYABQUYEXDULZUIZUYBVVRUCQUYEWNQGBVVRWT
        ZVVRUYEUYDUYOUYRURZVQZVWAVVRUYEVWBXEVVRQUYEUULULZVPWNVVRVVHUYEVPPZVWDVP
        XFZWKVWCQUYEUUMZXJZXGXHAGWNWNUUNULPZUXTUYOUYRAVUOVWILVPGUUOWBZXIVVRUCUF
        ZVWDPZRGVWKAVUOUXTUYOUYRVWLLXKVVRVWDVPVWKVWHYBVRVVRUYRQQGUGZTSUYPUYRUSV
        VRQQEUGZVWMTVVRADQTSZQVWNTSAUXTUYOUYRXLZVVRVVFUXTVWOVVRAVVFVWPVVKWBUYDU
        XTUYOUYRAUXTUSZVNVVFUXTVWODUUPUUQWLAVWORQCVWNTACDACVWNVPKAVSVPQEAVUOVVH
        VVILWKVVJUURQVSPAUVDXMXNWCZVVKNUUSKUUTWLAVWMVWNUHZUXTUYOUYRAVUOVWSLEVPG
        IUVAWBZXIUVBXOUVCVVRUYOVVSOXFZVVTUYBUPZVWBUYOVVSQXPXDULZOUYOQQUJSZUYEXP
        UJSZVVSVXCXFZUVEUYOUYEXQPVXEVUDUYEXRWBQXQPZXPXQPZVXDVXERVXFXSXTQXPQUYEU
        VFUVGXJYAUVHZUYABVVSOYCZYDYEXCUYDUYGUYKUDUFZTSZUPZUBOUQZUAOUIZUDOUQZUYN
        UAOUIZAVXPUXTAVXNUAYFXPUVIULZUIZUDOUQZVXPAUBOUYJYGZDYHSVXTAGUCOVWKFUKUL
        ZYGZUMUVJULZVYADYHAUBWNOUYHUYIUMOGVYCYIYIAWNWNGAVUOWNWNGWJZLVPGUVKWBZUV
        LVYBYIPZUCOUQVYCOUVPAVYGUCOVWKFUKUVMUVNUCOVYBVYCYIVYCUVQUVOUVRWNYIPAYJX
        MOYIPAOWNYJOVPWNYOXGUVSZUVTXMOWNXFWNOUWAOUHVYHOWNUWBUWHAUYFWNPRUYHYKAUY
        FOPZRZUCUYFVYBUYIOVYCYIVYJVYCYKVYJVWKUYFUHZRVWKUYFFUKVYJVYKUSVEAVYIUSZV
        YJUYFFUKUWCUWDUWEAVUOVYDDYHSLUBDEFGVYCHIJUCUBOVYBUYIVWKUYFFUKUWFUWGUWIW
        BYLAUDUAUBOUYJDYFAUYJWNPUBOVYJUYHUYIVYJWNWNUYFGAVYEVYIVYFWPVYJUYFVYLWEZ
        XNVYJUYFFVYMAVUSVYIVVAWPUWJVYJUYFFVYMVYJUYFVYLWGAVVBVYIVVCWPWFUWKUWLOVP
        XFZAYOXMVVNAUWMUWNYMVXSVXOUDOVXROXFVXSVXOUPVXRVXCOVXGVXHQYFTSXPXPUJSZVX
        RVXCXFXSXTUWOVXHVYOXTXPXRYNQXPYFXPUWPUWQYAUWRVXNUAVXROYCYNUWSWBZWPUYDVX
        OVXQUDUXSOVWQUYDVXKUXSUHZRZVXMUYMUAUBOOVYRVXLUYLUYGVYRVXKUXSUYKTUYDVYQU
        SVCYPYQVJYEYRAUYCRZUYGUYKDTSZUPZUBOUQZUYBUAOVYSUYORZWUBQUYQTSZUYBWUCWUB
        VUADTSZWUDWUCWUBRUYOWUBVUCWUEVYSUYOWUBURWUCWUBUSUYOVUCVYSWUBVUEVBUYOWUA
        VUCWUEUPUBUYEOVUFVUHUYGVUCVYTWUEVUJVUHUYKVUADTVUKVHVIVJVKWUCWUERZWUDQUY
        TTSZWUFDDUNULZQUYTTWUCWUHQUHWUEWUCDAVVMUYCUYOVVNVNUWTWPWUCWUEWUHUYTTSUY
        TDDVLULTSWUCUYTDDWUCUYQUYSWUCGUYEAVUOUYCUYOLVNVYSOVPUYEVYNVYSYOXMYBZVRZ
        WUCUYEFWUIAVUSUYCUYOVVAVNWDWUCUYEFWUCUYEWUIWOWUCUYEVYSUYOUSZWGAVVBUYCUY
        OVVCVNZWFWIAVVFUYCUYOVVKVNZWUMWMUXAYLWUCWUDWUGWQWUEWUCUYQUYSWUJWUCUYEFW
        UKWULWRUXBWPXBXCWUCWUDRZVVTUYBWUNUCQUYEWNQGBWUNWTZWUNUYEVYSUYOWUDURZVQZ
        WUOWUNUYEWUPXEWUNVWDVPWNWUNVVHVWEVWFWKWUQVWGXJZXGXHAVWIUYCUYOWUDVWJXIWU
        NVWLRGVWKAVUOUYCUYOWUDVWLLXKWUNVWDVPVWKWURYBVRWUNVWMQTSWUDWUNVWMVWNQTAV
        WSUYCUYOWUDVWTXIWUNVWNCQTKWUNAQDTSZCQTSAUYCUYOWUDXLAUYCUYOWUDWUSAUYCUYO
        WUDUXCRDAUYCUYOWUDUXDXEUXGACDVWRVVKNUXEWLUXFUXHWUCWUDUSXOUXIWUNUYOVXAVX
        BWUPVXIVXJYDYEXCVYSVXPWUBUAOUIZAVXPUYCVYPWPVYSVXOWUTUDDOAUYCUSVYSVXKDUH
        ZRZVXMWUAUAUBOOWVBVXLVYTUYGWVBVXKDUYKTVYSWVAUSVCYPYQVJYEYRAVVFDQYSZUXTU
        YCUXQVVKAVVGQYSZWVCAGYTYSWVDMAGYTVVGQAVUOGYTUHVVGQUHWQLEVPGFHIUXJWBUXKY
        MDVVGQJUXLUXMVVFWVCRZUXTUYCWVEUYCUXTWSDUXNUXOUXPWLUXR $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Descartes's rule of signs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Sign changes in a word over real numbers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    signsw.p $e |- .+^ = ( a e. { -u 1 , 0 , 1 } , b e. { -u 1 , 0 , 1 }
      |-> if ( b = 0 , a , b ) ) $.

    ${
      $d a b X $.  $d a b Y $.
      $( The value of the skipping 0 sign operation.  (Contributed by Thierry
         Arnoux, 9-Sep-2018.) $)
      signspval $p |- ( ( X e. { -u 1 , 0 , 1 } /\ Y e. { -u 1 , 0 , 1 } )
        -> ( X .+^ Y ) = if ( Y = 0 , X , Y ) ) $=
        ( c1 cneg cc0 ctp wcel wceq cif co ifcl cv ifeq1 eqeq1 id ifbieq2d
        ovmpog mpd3an3 ) BGHIGJZKCUCKCILZBCMZUCKBCANUELUDBCUCODEBCUCUCEPZILZDPZ
        UFMUEAUGBUFMUCUGUHBUFQUFCLZUGUDUFCBUFCIRUISTFUAUB $.
    $}

    ${
      $d a b u $.
      $( Neutral element property of ` .+^ ` .  (Contributed by Thierry Arnoux,
         9-Sep-2018.) $)
      signsw0glem $p |-
        A. u e. { -u 1 , 0 , 1 } ( ( 0 .+^ u ) = u /\ ( u .+^ 0 ) = u ) $=
        ( cc0 cv co wceq wa cneg ctp wcel cif c0ex tpid2 signspval mpan eqtrdi
        c1 iftrue id eqtr4d iffalse pm2.61i mpan2 eqid iftruei jca rgen ) FAGZB
        HZUKIZUKFBHZUKIZJATKZFTLZUKUQMZUMUOURULUKFIZFUKNZUKFUQMZURULUTIUPFTOPZB
        FUKCDEQRUSUTUKIUSUTFUKUSFUKUAUSUBUCUSFUKUDUESURUNFFIZUKFNZUKURVAUNVDIVB
        BUKFCDEQUFVCUKFFUGUHSUIUJ $.
    $}

    signsw.w $e |- W = { <. ( Base ` ndx ) , { -u 1 , 0 , 1 } >. ,
      <. ( +g ` ndx ) , .+^ >. } $.
    $( The base of ` W ` is the unordered triple reprensenting the possible
       signs.  (Contributed by Thierry Arnoux, 9-Sep-2018.) $)
    signswbase $p |- { -u 1 , 0 , 1 } = ( Base ` W ) $=
      ( c1 cneg cc0 ctp cvv wcel cbs cfv wceq tpex grpbase ax-mp ) GHZIGJZKLTBM
      NOSIGPTABKFQR $.

    ${
      $d a b $.
      $( The operation of ` W ` .  (Contributed by Thierry Arnoux,
         9-Sep-2018.) $)
      signswplusg $p |- .+^ = ( +g ` W ) $=
        ( cvv wcel cplusg cfv wceq c1 cneg cc0 ctp cv cif cmpo tpex mpoex ax-mp
        eqeltri grpplusg ) AGHABIJKACDLMZNLOZUEDPZNKCPUFQZRGECDUEUEUGUDNLSZUHTU
        BUEABGFUCUA $.

      $d a b u $.  $d e u .+^ $.  $d e u W $.
      $( The neutral element of ` W ` .  (Contributed by Thierry Arnoux,
         9-Sep-2018.) $)
      signsw0g $p |- 0 = ( 0g ` W ) $=
        ( vu ve c0g cfv cc0 c1 cneg ctp cv co wceq wa wral wtru wcel c0ex tpid2
        signsw0glem pm3.2i wb signswbase eqid signswplusg wrex oveq1 ovanraleqv
        eqeq1d rspcev mp2an a1i ismgmid mptru mpbi eqcomi ) BIJZKKLMZKLNZUAZKGO
        ZAPZVEQZVEKAPVEQRGVCSZRZVAKQZVDVHVBKLUBUCZGACDEUDZUEVIVJUFTGVCAKHBVAABC
        DEFUGVAUHABCDEFUIHOZVEAPZVEQZVEVMAPVEQRGVCSZHVCUJZTVDVHVQVKVLVPVHHKVCVO
        VGGVEVMVEAVCKVMKQVNVFVEVMKVEAUKUMULUNUOUPUQURUSUT $.

      $d a b e u v w .+^ $.  $d e u v w W $.
      $( ` W ` is a monoid structure on ` { -u 1 , 0 , 1 } ` which operation
         retains the right side, but skips zeroes.  This will be used for
         skipping zeroes when counting sign changes.  (Contributed by Thierry
         Arnoux, 9-Sep-2018.) $)
      signswmnd $p |- W e. Mnd $=
        ( vu vv vw ve wcel cv co cc0 wceq wral wa cif sylan9eq ad2antrr cmnd c1
        cneg ctp wrex signspval eqeltrd w3a stoic3 iftrue adantr 3adant3 adantl
        ifcl 3eqtrd simp1 3adant1 simpl2 wn simpl3 ifclda syl2anc iftrued eqtrd
        id eqtr4d ad2antlr iffalse simpr eqeq1d mtbird iffalsed pm2.61dan 3expa
        ralrimiva jca rgen2 c0ex tpid2 signsw0glem ovanraleqv rspcev signswbase
        oveq1 mp2an signswplusg ismnd mpbir2an ) BUAKGLZHLZAMZUBUCZNUBUDZKZWKIL
        ZAMZWIWJWOAMZAMZOZIWMPZQZHWMPGWMPJLZWIAMZWIOZWIXBAMWIOQGWMPZJWMUEZXAGHW
        MWMWIWMKZWJWMKZQZWNWTXIWKWJNOZWIWJRZWMAWIWJCDEUFZXJWIWJWMUNUGZXIWSIWMXG
        XHWOWMKZWSXGXHXNUHZWONOZWSXOXPQZXJWSXQXJQZWPWIWRXRWPWKXKWIXQWPWKOXJXOXP
        WPXPWKWORZWKXGXHWNXNWPXSOZXMAWKWOCDEUFUIZXPWKWOUJZSUKXOWKXKOZXPXJXGXHYC
        XNXLULZTXJXKWIOXQXJWIWJUJUMUOXRWRWQNOZWIWQRZWIXOWRYFOZXPXJXOXGWQWMKYGXG
        XHXNUPXOWQXPWJWORZWMXHXNWQYHOZXGAWJWOCDEUFUQZXOXPWJWOWMXGXHXNXPURXGXHXN
        XPUSZUTVAUGAWIWQCDEUFVBZTXRYEWIWQXQXJWQWJNXOXPWQYHWJYJXPWJWOUJZSXJVESVC
        VDVFXQXJUSZQZWPWJWRYOWPXSWKWJXOXTXPYNYATXPXSWKOXOYNYBVGYOWKXKWJXOYCXPYN
        YDTYNXKWJOXQXJWIWJVHUMVDUOYOWRYFWQWJXOYGXPYNYLTYOYEWIWQYOYEXJXQYNVIYOWQ
        WJNYOWQYHWJXOYIXPYNYJTXPYHWJOXOYNYMVGVDZVJVKVLYPUOVFVMXOYKQZWPWOWRXOYKW
        PXSWOYAXPWKWOVHSYQWRYFWQWOXOYGYKYLUKYQYEWIWQYQYEXPXOYKVIYQWQWONXOYKWQYH
        WOYJXPWJWOVHSZVJVKVLYRUOVFVMVNVOVPVQNWMKNWIAMZWIOZWINAMWIOQGWMPZXFWLNUB
        VRVSGACDEVTXEUUAJNWMXDYTGWIXBWIAWMNXBNOXCYSWIXBNWIAWDVJWAWBWEWMAJBGHIAB
        CDEFWCABCDEFWFWGWH $.
    $}

    $d a b X $.
    $( The zero-skipping operation propagages nonzeros.  (Contributed by
       Thierry Arnoux, 11-Oct-2018.) $)
    signswrid $p |- ( X e. { -u 1 , 0 , 1 } -> ( X .+^ 0 ) = X ) $=
      ( c1 cneg cc0 ctp wcel co wceq cif c0ex tpid2 signspval mpan2 eqid iftrue
      mp1i eqtrd ) CHIZJHKZLZCJAMZJJNZCJOZCUFJUELUGUINUDJHPQACJDEFRSUHUICNUFJTU
      HCJUAUBUC $.

    $d a b Y $.
    $( The zero-skipping operation keeps nonzeros.  (Contributed by Thierry
       Arnoux, 12-Oct-2018.) $)
    signswlid $p |- ( ( ( X e. { -u 1 , 0 , 1 } /\ Y e. { -u 1 , 0 , 1 } )
      /\ Y =/= 0 ) -> ( X .+^ Y ) = Y ) $=
      ( c1 cneg cc0 ctp wcel wa wne co wceq cif signspval adantr simpr iffalsed
      neneqd eqtrd ) CIJKILZMDUEMNZDKOZNZCDAPZDKQZCDRZDUFUIUKQUGACDEFGSTUHUJCDU
      HDKUFUGUAUCUBUD $.

    $( The zero-skipping operation propagages nonzeros.  (Contributed by
       Thierry Arnoux, 11-Oct-2018.) $)
    signswn0 $p |- ( ( ( X e. { -u 1 , 0 , 1 } /\ Y e. { -u 1 , 0 , 1 } )
      /\ X =/= 0 ) -> ( X .+^ Y ) =/= 0 ) $=
      ( c1 cneg cc0 ctp wcel wa wne co wceq cif signspval neeq1 adantr wn simpr
      simplr neqned ifbothda eqnetrd ) CIJKILZMDUHMNZCKOZNZCDAPZDKQZCDRZKUIULUN
      QUJACDEFGSUAUMUJDKOUNKOUKCDCUNKTDUNKTUIUJUMUDUKUMUBZNDKUKUOUCUEUFUG $.

    $( The zero-skipping operation changes value when the operands change
       signs.  (Contributed by Thierry Arnoux, 9-Oct-2018.) $)
    signswch $p |- ( ( X e. { -u 1 , 1 } /\ Y e. { -u 1 , 0 , 1 } )
      -> ( ( X .+^ Y ) =/= X <-> ( X x. Y ) < 0 ) ) $=
      ( c1 wcel cc0 wa co wne wceq cmul clt wbr wb breq1d cpr ctp cif csn df-pr
      cneg cun snsstp1 snsstp3 unssi eqsstri sseli signspval sylan neeq1d neeq1
      bibi1d wn neirr a1i 0re ltnri simpr oveq2d wss neg1cn ax-1cn prssi simpll
      cc mp2an sselid mul01d eqtrd mtbiri 2falsed simplr tpcomb eleqtrdi neqned
      jca cdif eldifsn neg1ne0 ax-1ne0 diftpsn3 eleq2i bitr3i sylib 0le1 lenlti
      cle 1re mpbi neg1mulneg1e1 breq1i mtbir 2false oveq2 mpbiri adantl neg1rr
      bibi12d neg1lt0 0lt1 lttri gtneii mulid1i 2th elpri mpjaodan adantr neeq2
      eqbrtri oveq1 mpbird necomi mulcomi wo ad2antrr ifbothda bitrd ) CIUFZIUA
      ZJZDYCKIUBZJZLZCDAMZCNDKOZCDUCZCNZCDPMZKQRZYHYIYKCYECYFJYGYIYKOYDYFCYDYCU
      DZIUDZUGYFYCIUEYOYPYFYCKIUHYCKIUIUJUKULACDEFGUMUNUOYJCCNZYNSDCNZYNSZYLYNS
      YHCDCYKOYQYLYNCYKCUPUQDYKOYRYLYNDYKCUPUQYHYJLZYQYNYQURYTCUSUTYTYNKKQRKVAV
      BYTYMKKQYTYMCKPMKYTDKCPYHYJVCVDYTCYTYDVJCYCVJJIVJJYDVJVEVFVGYCIVJVHVKYEYG
      YJVIVLVMVNTVOVPYHYJURZLZCYCOZYSCIOZUUBDYDJZUUCYSUUBDYCIKUBZJZDKNZLZUUEUUB
      UUGUUHUUBDYFUUFYEYGUUAVQYCKIVRVSUUBDKYHUUAVCVTWAUUIDUUFKUDWBZJUUEDUUFKWCU
      UJYDDYCKNIKNUUJYDOWDWEYCIKWFVKWGWHWIZUUEUUCLYSDYCNZYCDPMZKQRZSZUUEUUOUUCU
      UEDYCOZUUODIOZUUPUUOUUEUUPUUOYCYCNZYCYCPMZKQRZSUURUUTYCUSUUTIKQRZKIWLRUVA
      URWJKIVAWMWKWNZUUSIKQWOWPWQWRUUPUULUURUUNUUTDYCYCUPUUPUUMUUSKQDYCYCPWSTXC
      WTXAUUQUUOUUEUUQUUOIYCNZYCIPMZKQRZSUVCUVEYCIXBYCKQRKIQRYCIQRXDXEYCKIXBVAW
      MXFVKXGZUVDYCKQYCVFXHXDXNZXIUUQUULUVCUUNUVEDIYCUPUUQUUMUVDKQDIYCPWSTXCWTX
      ADYCIXJZXKXLUUCYSUUOSUUEUUCYRUULYNUUNCYCDXMUUCYMUUMKQCYCDPXOTXCXAXPUNUUBU
      UEUUDYSUUKUUEUUDLYSDINZIDPMZKQRZSZUUEUVLUUDUUEUUPUVLUUQUUPUVLUUEUUPUVLYCI
      NZIYCPMZKQRZSUVMUVOIYCUVFXQUVEUVOUVGUVDUVNKQYCIVFVGXRWPWNXIUUPUVIUVMUVKUV
      ODYCIUPUUPUVJUVNKQDYCIPWSTXCWTXAUUQUVLUUEUUQUVLIINZIIPMZKQRZSUVPUVRIUSUVR
      UVAUVBUVQIKQIVGXHWPWQWRUUQUVIUVPUVKUVRDIIUPUUQUVJUVQKQDIIPWSTXCWTXAUVHXKX
      LUUDYSUVLSUUEUUDYRUVIYNUVKCIDXMUUDYMUVJKQCIDPXOTXCXAXPUNYEUUCUUDXSYGUUACY
      CIXJXTXKYAYB $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Counting sign changes in a word over real numbers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    signslema.1 $e |- ( ph -> E e. NN0 ) $.
    signslema.2 $e |- ( ph -> F e. NN0 ) $.
    signslema.3 $e |- ( ph -> G e. NN0 ) $.
    signslema.4 $e |- ( ph -> H e. NN0 ) $.
    signslema.5 $e |- ( ph -> ( E < G /\ -. 2 || ( G - E ) ) ) $.
    signslema.6 $e |- ( ph -> ( ( H - G ) - ( F - E ) ) e. { 0 , 2 } ) $.
    $( Computational part of ~~? signwlemn .  (Contributed by Thierry Arnoux,
       29-Sep-2018.) $)
    signslema $p |- ( ph -> ( F < H /\ -. 2 || ( H - F ) ) ) $=
      ( clt wbr c2 cmin co cdvds cc0 adantr wcel wn wceq simpld nn0cnd subeq0ad
      wa subcld biimpa breq2d wb nn0red posdifd 3bitr4rd mpbid 0red cr resubcld
      2pos breq2 mpbiri biimpar sylan2 lttrd mpbird wo sub4d eqeltrrd ovex elpr
      cpr sylib mpjaodan simprd mtbird caddc cz 2z nn0zd zsubcld dvdsaddr mtbid
      sylancr 2cnd subaddd jca ) ACELMZNECOPZQMZUAZAWGDBOPZOPZRUBZWFWKNUBZAWLUF
      ZBDLMZWFAWOWLAWONWJQMZUAZJUCZSWNRWGLMZRWJLMZWFWOWNWGWJRLAWLWGWJUBAWGWJAEC
      AEIUDZACGUDZUGZADBADHUDZABFUDZUGZUEUHZUIAWFWSUJZWLACEACGUKZAEIUKZULZSAWOW
      TUJZWLABDABFUKZADHUKZULZSUMUNAWMUFZWFWSXPRWJWGXPUOAWJUPTWMADBXNXMUQZSAWGU
      PTWMAECXJXIUQZSXPWOWTAWOWMWRSAXLWMXOSUNWMARWKLMZWJWGLMZWMXSRNLMURWKNRLUSU
      TAXTXSAWJWGXQXRULVAVBVCAXHWMXKSVDAWKRNVJZTWLWMVEAEDOPCBOPOPWKYAAEDCBXAXDX
      BXEVFKVGWKRNWGWJOVHVIVKZVLAWLWIWMWNWHWPAWQWLAWOWQJVMZSWNWGWJNQXGUIVNXPNWJ
      NVOPZQMZWHAYEUAWMAWPYEYCANVPTWJVPTWPYEUJVQADBADHVRABFVRVSNWJVTWBWASXPYDWG
      NQAWMYDWGUBAWGWJNXCXFAWCWDUHUIWAYBVLWE $.
  $}

  ${
    signsv.p $e |- .+^ = ( a e. { -u 1 , 0 , 1 } , b e. { -u 1 , 0 , 1 }
      |-> if ( b = 0 , a , b ) ) $.
    signsv.w $e |- W = { <. ( Base ` ndx ) , { -u 1 , 0 , 1 } >. ,
      <. ( +g ` ndx ) , .+^ >. } $.
    signsv.t $e |- T = ( f e. Word RR |-> ( n e. ( 0 ..^ ( # ` f ) ) |->
      ( W gsum ( i e. ( 0 ... n ) |-> ( sgn ` ( f ` i ) ) ) ) ) ) $.
    signsv.v $e |- V = ( f e. Word RR |-> sum_ j e. ( 1 ..^ ( # ` f ) )
      if ( ( ( T ` f ) ` j ) =/= ( ( T ` f ) ` ( j - 1 ) ) , 1 , 0 ) ) $.

    ${
      $d f i n F $.  $d f W $.
      $( Value of the zero-skipping sign word.  (Contributed by Thierry Arnoux,
         8-Oct-2018.) $)
      signstfv $p |- ( F e. Word RR -> ( T ` F ) = ( n e. ( 0 ..^ ( # ` F ) )
        |-> ( W gsum ( i e. ( 0 ... n ) |-> ( sgn ` ( F ` i ) ) ) ) ) ) $=
        ( cc0 cfv cfzo co cmpt cv chash cfz csgn cgsu cr cword wceq oveq2d wcel
        fveq2 wa simpl fveq1d fveq2d mpteq2dva mpteq12dv ovex mptex fvmpt ) CGF
        PCUAZUBQZRSZIDPFUAUCSZDUAZVAQZUDQZTZUESZTFPGUBQZRSZIDVDVEGQZUDQZTZUESZT
        UFUGBVAGUHZFVCVIVKVOVPVBVJPRVAGUBUKUIVPVHVNIUEVPDVDVGVMVPVEVDUJZULZVFVL
        UDVRVEVAGVPVQUMUNUOUPUIUQNFVKVOPVJRURUSUT $.
    $}

    ${
      $d f i n F $.  $d i n N $.  $d f n W $.
      $( Value of the zero-skipping sign word.  (Contributed by Thierry Arnoux,
         8-Oct-2018.) $)
      signstfval $p |- ( ( F e. Word RR /\ N e. ( 0 ..^ ( # ` F ) ) )
        -> ( ( T ` F ) ` N )
           = ( W gsum ( i e. ( 0 ... N ) |-> ( sgn ` ( F ` i ) ) ) ) ) $=
        ( cc0 cfv co cgsu cr cword wcel chash cfzo wa cv cfz csgn cmpt cvv wceq
        signstfv adantr simpr oveq2d mpteq1d ovexd fvmptd ) GUAUBUCZHQGUDRUESZU
        CZUFZFHJDQFUGZUHSZDUGGRUIRZUJZTSZJDQHUHSZVFUJZTSVAGBRZUKUTVKFVAVHUJULVB
        ABCDEFGIJKLMNOPUMUNVCVDHULZUFZVGVJJTVMDVEVIVFVMVDHQUHVCVLUOUPUQUPUTVBUO
        VCJVJTURUS $.
    $}

    ${
      $d a b .+^ $.  $d f i n F $.  $d i n N $.  $d f i n W $.
      $( Closure of the zero skipping sign word.  (Contributed by Thierry
         Arnoux, 9-Oct-2018.) $)
      signstcl $p |- ( ( F e. Word RR /\ N e. ( 0 ..^ ( # ` F ) ) )
        -> ( ( T ` F ) ` N ) e. { -u 1 , 0 , 1 } ) $=
        ( cr wcel cc0 cfv cword chash cfzo co wa cfz cv csgn cmpt cgsu cneg ctp
        c1 signstfval signswbase cmnd signswmnd a1i cuz wss cn0 fzo0ssnn0 nn0uz
        sseqtri sselda cxr wf wrdf ad2antrr fzssfzo adantl ffvelrnd rexrd sgncl
        syl gsumncl eqeltrd ) GQUARZHSGUBTZUCUDZRZUEZHGBTTJDSHUFUDZDUGZGTZUHTZU
        IUJUDUMUKSUMULZABCDEFGHIJKLMNOPUNWBWFHDWGJSAJKLMNUOJUPRWBAJKLMNUQURVRVT
        SUSTZHVTWHUTVRVTVAWHVSVBVCVDURVEWBWDWCRZUEZWEVFRWFWGRWJWEWJVTQWDGVRVTQG
        VGWAWIQGVHVIWBWCVTWDWAWCVTUTVRHSVSVJVKVEVLVMWEVNVOVPVQ $.

      $( The zero skipping sign word is a word.  (Contributed by Thierry
         Arnoux, 8-Oct-2018.) $)
      signstf $p |- ( F e. Word RR -> ( T ` F ) e. Word RR ) $=
        ( cr wcel cc0 cfv c1 cword chash cfzo co wf cfz csgn cmpt cgsu signstfv
        cv wa cneg ctp wss neg1rr 0re 1re tpssi mp3an signswbase cmnd signswmnd
        a1i cuz cn0 fzo0ssnn0 nn0uz sseqtri sselda wrdf ad2antrr fzssfzo adantl
        cxr ffvelrnd rexrd sgncl syl gsumncl sselid fmpt3d iswrdi ) GPUAZQZRGUB
        SZUCUDZPGBSZUEWHWDQWEFWGIDRFUKZUFUDZDUKZGSZUGSZUHUIUDZPWHABCDEFGHIJKLMN
        OUJWEWIWGQZULZTUMZRTUNZPWNWQPQRPQTPQWRPUOUPUQURWQRTPUSUTWPWMWIDWRIRAIJK
        LMVAIVBQWPAIJKLMVCVDWEWGRVESZWIWGWSUOWEWGVFWSWFVGVHVIVDVJWPWKWJQZULZWLV
        OQWMWRQXAWLXAWGPWKGWEWGPGUEWOWTPGVKVLWPWJWGWKWOWJWGUOWEWIRWFVMVNVJVPVQW
        LVRVSVTWAWBPWFWHWCVS $.

      $( Length of the zero skipping sign word.  (Contributed by Thierry
         Arnoux, 8-Oct-2018.) $)
      signstlen $p |- ( F e. Word RR -> ( # ` ( T ` F ) ) = ( # ` F ) ) $=
        ( cr wcel cfv chash co cword cc0 cfzo wfn wceq csgn cmpt cgsu ovex eqid
        cfz fnmpti signstfv fneq1d mpbiri hashfn syl cn0 lencl hashfzo0 eqtrd
        cv ) GPUAQZGBRZSRZUBGSRZUCTZSRZVFVCVDVGUDZVEVHUEVCVIFVGIDUBFVBUKTDVBGRU
        FRUGZUHTZUGZVGUDFVGVKVLIVJUHUIVLUJULVCVGVDVLABCDEFGHIJKLMNOUMUNUOVGVDUP
        UQVCVFURQVHVFUEPGUSVFUTUQVA $.

      $d f i n K $.
      $( Sign of a single letter word.  (Contributed by Thierry Arnoux,
         8-Oct-2018.) $)
      signstf0 $p |- ( K e. RR -> ( T ` <" K "> ) = <" ( sgn ` K ) "> ) $=
        ( cr wcel cc0 cfv wceq cs1 chash cfzo co cv cfz csgn cmpt cgsu c1 s1len
        csn oveq2i fzo01 eqtri a1i wa simpr eleqtrdi velsn sylib oveq2 cz ax-mp
        0z fzsn eqtrdi mpteq1d oveq2d adantl cmnd cneg ctp signswmnd 0re cxr id
        s1fv eqeltrd rexrd sgncl signswbase 2fveq3 gsumsn syl3anc adantr fveq2d
        syl 3eqtrd syldan mpteq12dva cword s1cl signstfv sgnclre fmptsn sylancr
        cop s1val eqtrd 3eqtr4d ) GPQZFRGUAZUBSZUCUDZIDRFUEZUFUDZDUEZXCSUGSZUHZ
        UIUDZUHZFRULZGUGSZUHZXCBSZXNUAZXBFXEXKXMXNXEXMTXBXERUJUCUDXMXDUJRUCGUKU
        MUNUOZUPXBXFXEQZXFRTZXKXNTXBXSUQZXFXMQXTYAXFXEXMXBXSURXRUSFRUTVAXBXTUQX
        KIDXMXIUHZUIUDZRXCSZUGSZXNXTXKYCTXBXTXJYBIUIXTDXGXMXIXTXGRRUFUDZXMXFRRU
        FVBRVCQYFXMTVERVFVDVGVHVIVJXBYCYETZXTXBIVKQZRPQZYEUJVLRUJVMZQZYGYHXBAIJ
        KLMVNUPYIXBVOUPXBYDVPQYKXBYDXBYDGPGPVRZXBVQVSVTYDWAWHXIYJYEDIRPAIJKLMWB
        XHRUGXCWCWDWEWFXBYEXNTXTXBYDGUGYLWGWFWIWJWKXBXCPWLQXPXLTGPWMABCDEFXCHIJ
        KLMNOWNWHXBXQRXNWRULZXOXBXNPQZXQYMTGWOZXNPWSWHXBYIYNYMXOTVOYOFRXNPPWPWQ
        WTXA $.
    $}

    $d a b .+^ $.  $d f i n F $.  $d f i n K $.  $d f i n W $.
    $( Zero-skipping sign in a word compared to a shorter word.  (Contributed
       by Thierry Arnoux, 8-Oct-2018.) $)
    signstfvn $p |- ( ( F e. ( Word RR \ { (/) } ) /\ K e. RR )
      -> ( ( T ` ( F ++ <" K "> ) ) ` ( # ` F ) )
        = ( ( ( T ` F ) ` ( ( # ` F ) - 1 ) ) .+^ ( sgn ` K ) ) ) $=
      ( cr wcel cc0 co cword c0 csn cdif wa chash cfv cfz cs1 cconcat csgn cmpt
      cv cgsu c1 cmin caddc cneg ctp signswbase signswmnd a1i cn0 cuz cn eldifi
      cmnd wne lencl syl eldifsn hasheq0 necon3bid biimpar sylbi elnnne0 adantr
      sylanbrc nnm1nn0 nn0uz eleqtrdi cxr cfzo wf ccatws1cl wrdf wceq cz fzoval
      nn0zd fzossfz eqsstrrdi s1cl ccatlen sylan2 oveq2i eqtrdi oveq2d peano2zd
      s1len nn0cnd 1cnd pncand 3eqtrd sseqtrrd sselda sylanl1 rexrd signswplusg
      ffvelrnd sgncl rexr adantl id npcand sylan9eqr fveq2d ccatws1ls gsumnunsn
      eqtrd mpteq1d simpll ad2antlr eleq2d ccatval1 syl3anc mpteq2dva oveq1d wo
      sylan 3eqtr3d eqid olci wb fzosplitsni mpbiri eleqtrrd signstfval syl2anc
      fzo0end 3eqtr4d ) GQUAZUBUCZUDRZHQRZUEZJDSGUFUGZUHTZDUMZGHUIZUJTZUGZUKUGZ
      ULZUNTZJDSUUGUOUPTZUHTZUUIGUGZUKUGZULZUNTZHUKUGZATZUUGUUKBUGUGZUUPGBUGUGZ
      UVBATUUFJDSUUPUOUQTZUHTZUUMULZUNTJDUUQUUMULZUNTZUVBATUUOUVCUUFUUMUVBUUPAD
      UOURSUOUSZJSAJKLMNUTJVGRUUFAJKLMNVAVBUUFUUPVCSVDUGZUUFUUGVERZUUPVCRUUDUVM
      UUEUUDUUGVCRZUUGSVHZUVMUUDGUUBRZUVNGUUBUUCVFZQGVIZVJUUDUVPGUBVHZUEUVOGUUB
      UBVKUVPUVOUVSUVPUUGSGUBGUUBVLVMVNVOUUGVPVRZVQUUGVSVJVTWAUUFUUIUUQRZUEZUUL
      WBRUUMUVKRUWBUULUUDUVPUUEUWAUULQRUVQUVPUUEUEZUWAUEZSUUKUFUGZWCTZQUUIUUKUW
      DUUKUUBRZUWFQUUKWDUWCUWGUWAQGHWEZVQQUUKWFVJUWCUUQUWFUUIUWCUUQUUHUWFUWCUUQ
      SUUGWCTZUUHUVPUWIUUQWGZUUEUVPUUGWHRZUWJUVPUUGUVRWJZSUUGWIVJVQZSUUGWKWLUWC
      UWFSUUGUOUQTZWCTZSUWNUOUPTZUHTZUUHUWCUWEUWNSWCUWCUWEUUGUUJUFUGZUQTZUWNUUE
      UVPUUJUUBRZUWEUWSWGHQWMZQQGUUJWNWOUWRUOUUGUQHWTWPWQWRZUWCUWNWHRUWOUWQWGUW
      CUUGUVPUWKUUEUWLVQWSSUWNWIVJUWCUWPUUGSUHUVPUWPUUGWGUUEUVPUUGUOUVPUUGUVRXA
      ZUVPXBZXCVQWRXDXEXFXJXGXHUULXKVJAJKLMNXIUUEUVBUVKRZUUDUUEHWBRUXEHXLHXKVJX
      MUUFUUIUVFWGZUEUULHUKUUDUVPUUEUXFUULHWGUVQUWCUXFUEZUULUUGUUKUGZHUXGUUIUUG
      UUKUXFUWCUUIUVFUUGUXFXNUVPUVFUUGWGZUUEUVPUUGUOUXCUXDXOZVQXPXQUWCUXHHWGUXF
      QGHXRVQXTXGXQXSUUFUVHUUNJUNUUFDUVGUUHUUMUUFUVFUUGSUHUUDUXIUUEUUDUVPUXIUVQ
      UXJVJVQWRYAWRUUFUVJUVAUVBAUUFUVIUUTJUNUUDUVPUUEUVIUUTWGUVQUWCDUUQUUMUUSUW
      DUULUURUKUWDUVPUWTUUIUWIRZUULUURWGUVPUUEUWAYBUUEUWTUVPUWAUXAYCUWCUXKUWAUW
      CUWIUUQUUIUWMYDVNQQGUUJUUIYEYFXQYGYJWRYHYKUUDUVPUUEUVDUUOWGZUVQUWCUWGUUGU
      WFRUXLUWHUWCUUGUWOUWFUVPUUGUWORZUUEUVPUXMUUGUWIRZUUGUUGWGZYIZUXOUXNUUGYLY
      MUVPUUGUVLRUXMUXPYNUVPUUGVCUVLUVRVTWASUUGUUGYOVJYPVQUXBYQABCDEFUUKUUGIJKL
      MNOPYRYSYJUUFUVEUVAUVBAUUDUVEUVAWGZUUEUUDUVPUUPUWIRZUXQUVQUUDUVMUXRUVTUUG
      YTVJABCDEFGUUPIJKLMNOPYRYSVQYHUUA $.

    ${
      $d a b F $.  $d a b f i n N $.  $d a b T $.
      signsvtn0.1 $e |- N = ( # ` F ) $.
      $( If the last letter is nonzero, then this is the zero-skipping sign.
         (Contributed by Thierry Arnoux, 8-Oct-2018.)  (Proof shortened by AV,
         3-Nov-2022.) $)
      signsvtn0 $p |- ( ( F e. ( Word RR \ { (/) } ) /\ ( F ` ( N - 1 ) ) =/= 0
        ) -> ( ( T ` F ) ` ( N - 1 ) ) = ( sgn ` ( F ` ( N - 1 ) ) ) ) $=
        ( wcel cc0 wceq cr cword c0 csn cdif c1 cmin co cfv wne csgn chash cfzo
        wa cs1 wf eldifsn biimpi adantr simpld wrdf syl lennncl lbfzo0 ffvelrnd
        cn sylibr signstf0 simpr eqtr3id eqs1 syl2anc fveq2d oveq1 1m1e0 eqtrdi
        s1eqd 3eqtr4d fveq12d cneg ctp oveq1i fzo0end 3syl eqeltrid rexrd sgncl
        cxr s1fv cres cconcat cpfx clsw fzossfz sselid pfxres oveq1d pfxlswccat
        eqtrd cfz eqcomd oveq2i a1i reseq2d eqtr4d oveq12d oveq2d fneq2d mpbird
        lsw wfn wss ffn cn0 cz nnnn0d fzossrbm1 fnssres hashfn nnm1nn0 hashfzo0
        nn0z pfxcl eqeltrrd nncnd subne0d eqnetrd fveq2 hash0 necon3i signstfvn
        1cnd jca signstcl sgn0bi necon3bid biimpar signswlid syl21anc 3eqtrd
        pm2.61dane ) GUAUBZUCUDUEZRZHUFUGUHZGUIZSUJZUNZUUEGBUIZUIZUUFUKUIZTHUFU
        UHHUFTZUNZUUJSUUKUOZUIZUUKUUMUUESUUIUUNUUMSGUIZUOZBUIZUUPUKUIZUOZUUIUUN
        UUMUUPUARUURUUTTUUMSGULUIZUMUHZUASGUUMGUUBRZUVBUAGUPZUUHUVCUULUUHUVCGUC
        UJZUUDUVCUVEUNZUUGUUDUVFGUUBUCUQURUSZUTZUSZUAGVAZVBUUMUVAVFRZSUVBRUUHUV
        KUULUUHUVFUVKUVGUAGVCZVBZUSUVAVDVGVEABCDEFUUPIJKLMNOPVHVBUUMGUUQBUUMUVC
        UVAUFTGUUQTUVIUUMUVAHUFQUUHUULVIZVJUAGVKVLVMUUMUULUUNUUTTUVNUULUUKUUSUU
        LUUFUUPUKUULUUESGUULUUEUFUFUGUHSHUFUFUGVNVOVPZVMVMVQVBVRUUMUULUUESTUVNU
        VOVBVSUUMUUKUFVTSUFWAZRZUUOUUKTUUHUVQUULUUHUUFWHRZUVQUUHUUFUUHUVBUAUUEG
        UUHUVCUVDUVHUVJVBUUHUUEUVAUFUGUHZUVBHUVAUFUGQWBZUUHUVFUVKUVSUVBRUVGUVLU
        VAWCWDZWEVEZWFZUUFWGVBZUSUUKUVPWIVBWSUUHHUFUJZUNZUUJGSUUEUMUHZWJZULUIZU
        WHUUFUOZWKUHZBUIZUIZUWIUFUGUHZUWHBUIUIZUUKAUHZUUKUUHUUJUWMTUWEUUHUUEUWI
        UUIUWLUUHGUWKBUUHGUVSWLUHZGWMUIZUOZWKUHZGSUVSUMUHZWJZUWSWKUHGUWKUUHUWQU
        XBUWSWKUUHUVCUVSSUVAWTUHZRUWQUXBTUVHUUHUVBUXCUVSSUVAWNUWAWOUAGUVSWPVLZW
        QUUHUVFGUWTTUVGUVFUWTGUAGWRXAVBUUHUWHUXBUWJUWSWKUUHUWGUXAGUWGUXATUUHUUE
        UVSSUMUVTXBXCXDZUUHUUFUWRUUHUUFUVSGUIZUWRUUHUUEUVSGUUEUVSTUUHUVTXCVMUUD
        UWRUXFTUUGGUUCXJUSXEVQXFVRVMUUHUWIUUEUUHUWIUWGULUIZUUEUUHUWHUWGXKZUWIUX
        GTUUHGSHUMUHZXKZUWGUXIXLZUXHUUHUXJGUVBXKZUUHUVCUVDUXLUVHUVJUVBUAGXMWDUU
        HUXIUVBGUUHHUVASUMHUVATUUHQXCXGXHXIUUHHXNRHXORUXKUUHHUUHHUVAVFQUVMWEZXP
        HYBHXQWDUXIUWGGXRVLUWGUWHXSVBUUHHVFRZUUEXNRUXGUUETUXMHXTUUEYAWDWSZXAVSU
        SUWFUWHUUCRZUUFUARZUWMUWPTUWFUWHUUBRZUWHUCUJZUNZUXPUWFUXRUXSUUHUXRUWEUU
        HUWQUWHUUBUUHUWQUXBUWHUXDUXEXEUUHUVCUWQUUBRUVHUAGUVSYCVBYDUSZUWFUWISUJU
        XSUWFUWIUUESUUHUWIUUETUWEUXOUSUWFHUFUWFHUUHUXNUWEUXMUSYEUWFYLUUHUWEVIYF
        YGUWHUCUWISUWHUCTUWIUCULUISUWHUCULYHYIVPYJVBYMZUWHUUBUCUQVGUUHUXQUWEUWB
        USABCDEFUWHUUFIJKLMNOPYKVLUWFUWOUVPRZUVQUUKSUJZUWPUUKTUWFUXRUWNSUWIUMUH
        RZUYCUYAUWFUXTUWIVFRUYEUYBUAUWHVCUWIWCWDABCDEFUWHUWNIJKLMNOPYNVLUUHUVQU
        WEUWDUSUUHUYDUWEUUHUVRUUGUYDUWCUUDUUGVIUVRUYDUUGUVRUUKSUUFSUUFYOYPYQVLU
        SAJUWOUUKKLMNYRYSYTUUA $.
    $}

    ${
      $d i n N $.
      $( Zero-skipping sign in a word compared to a shorter word.  (Contributed
         by Thierry Arnoux, 8-Oct-2018.) $)
      signstfvp $p |- ( ( F e. Word RR /\ K e. RR /\ N e. ( 0 ..^ ( # ` F ) ) )
        -> ( ( T ` ( F ++ <" K "> ) ) ` N ) = ( ( T ` F ) ` N ) ) $=
        ( cr wcel cfv cword cc0 chash cfzo co w3a cfz cv cconcat csgn cmpt cgsu
        cs1 wa wceq simpl1 3ad2ant2 adantr wss fzssfzo 3ad2ant3 sselda ccatval1
        syl3anc fveq2d mpteq2dva oveq2d ccatws1cl 3adant3 caddc cuz lencl nn0zd
        s1cl c1 uzidd peano2uz fzoss2 3syl 3adant2 ccatlen sylan2 oveq2i eqtrdi
        s1len eleqtrrd signstfval syl2anc 3eqtr4d ) GRUAZSZHRSZIUBGUCTZUDUEZSZU
        FZKDUBIUGUEZDUHZGHUMZUIUEZTZUJTZUKZULUEZKDWQWRGTZUJTZUKZULUEZIWTBTTZIGB
        TTZWPXCXGKULWPDWQXBXFWPWRWQSZUNZXAXEUJXLWKWSWJSZWRWNSXAXEUOWKWLWOXKUPWP
        XMXKWLWKXMWOHRVNZUQURWPWQWNWRWOWKWQWNUSWLIUBWMUTVAVBRRGWSWRVCVDVEVFVGWP
        WTWJSZIUBWTUCTZUDUEZSXIXDUOWKWLXOWORGHVHVIWPIUBWMVOVJUEZUDUEZXQWKWOIXSS
        WLWKWNXSIWKWMWMVKTZSXRXTSWNXSUSWKWMWKWMRGVLVMVPWMWMVQWMUBXRVRVSVBVTWPXP
        XRUBUDWPXPWMWSUCTZVJUEZXRWKWLXPYBUOZWOWLWKXMYCXNRRGWSWAWBVIYAVOWMVJHWEW
        CWDVGWFABCDEFWTIJKLMNOPQWGWHWKWOXJXHUOWLABCDEFGIJKLMNOPQWGVTWI $.

      $d e f i k m n $.  $d g m F $.  $d m N $.  $d a b e g k m n T $.
      $( In case the first letter is not zero, the zero skipping sign is never
         zero.  (Contributed by Thierry Arnoux, 10-Oct-2018.) $)
      signstfvneq0 $p |- ( ( ( F e. ( Word RR \ { (/) } ) /\ ( F ` 0 ) =/= 0 )
        /\ N e. ( 0 ..^ ( # ` F ) ) ) -> ( ( T ` F ) ` N ) =/= 0 ) $=
        ( c0 cc0 cfv wa vm vg ve vk cr cword csn cdif wcel chash cfzo co simpll
        wne eldifad eldifsni ad2antrr simplr simpr cv wceq fveq2 neeq1d wral wi
        jca cs1 cconcat neeq1 fveq1 anbi12d oveq2d fveq1d raleqbidv imbi12d weq
        neirr intnanr pm2.21i cbvralvw imbi2i anbi2i wn noel eqtrdi fzo0 eleq2d
        hash0 mtbiri pm2.21dd simp-6l simp-6r signstfvp syl3anc simp-5l simplrr
        adantl 3anassrs s1cl ad2antlr cn cmin lennncl adantlr fzo0end elfzolt3b
        w3a c1 3syl ccatval1 biimpa syl21anc simp-5r rspcdva eqnetrd pm2.61dane
        mp2and fveq2d simp-4r simplrl simprd csgn oveq1 ccatlid sylan9eq adantr
        syl signstf0 eqtrd fveq12d sgnclre s1fv cxr wb sgn0bi necon3bid biimpar
        rexr syl2anc ad4ant14 eldifsn biimpri cneg ctp signstcl syldan ad5ant15
        signstfvn sgncl ad4antlr simplll simpllr adantllr signswn0 cuz caddc wo
        anassrs cn0 lencl nn0uz eleqtrdi ad4antr fzosplitsni mpjaodan ralrimiva
        ccatws1len sylanbr exp31 wrdind imp ) GUEUFZQUGZUHZUIZRGSZRUNZTZHRGUJSZ
        UKULZUIZTZGUVLUIZGQUNZUVQTZUWAHGBSZSZRUNZUWBGUVLUVMUVOUVQUWAUMUOUWBUWDU
        VQUVOUWDUVQUWAGUVLQUPUQUVOUVQUWAURVFUVRUWAUSUWCUWETZUWATUAUTZUWFSZRUNZU
        WHUAUVTHUWJHVAUWKUWGRUWJHUWFVBVCUWIUWLUAUVTVDZUWAUWCUWEUWMUBUTZQUNZRUWN
        SZRUNZTZUWJUWNBSZSZRUNZUARUWNUJSZUKULZVDZVEQQUNZRQSZRUNZTZUWJQBSZSZRUNZ
        UARQUJSZUKULZVDZVEUCUTZQUNZRUXOSZRUNZTZUWJUXOBSZSZRUNZUARUXOUJSZUKULZVD
        ZVEZUXOUDUTZVGZVHULZQUNZRUYISZRUNZTZUWJUYIBSZSZRUNZUARUYIUJSZUKULZVDZVE
        UWEUWMVEUBUCUDGUEUWNQVAZUWRUXHUXDUXNUYTUWOUXEUWQUXGUWNQQVIUYTUWPUXFRRUW
        NQVJVCVKUYTUXAUXKUAUXCUXMUYTUXBUXLRUKUWNQUJVBVLUYTUWTUXJRUYTUWJUWSUXIUW
        NQBVBVMVCVNVOUBUCVPZUWRUXSUXDUYEVUAUWOUXPUWQUXRUWNUXOQVIVUAUWPUXQRRUWNU
        XOVJVCVKVUAUXAUYBUAUXCUYDVUAUXBUYCRUKUWNUXOUJVBVLVUAUWTUYARVUAUWJUWSUXT
        UWNUXOBVBVMVCVNVOUWNUYIVAZUWRUYMUXDUYSVUBUWOUYJUWQUYLUWNUYIQVIVUBUWPUYK
        RRUWNUYIVJVCVKVUBUXAUYPUAUXCUYRVUBUXBUYQRUKUWNUYIUJVBVLVUBUWTUYORVUBUWJ
        UWSUYNUWNUYIBVBVMVCVNVOUWNGVAZUWRUWEUXDUWMVUCUWOUWDUWQUVQUWNGQVIVUCUWPU
        VPRRUWNGVJVCVKVUCUXAUWLUAUXCUVTVUCUXBUVSRUKUWNGUJVBVLVUCUWTUWKRVUCUWJUW
        SUWFUWNGBVBVMVCVNVOUXHUXNUXEUXGQVQVRVSUXOUVLUIZUYGUEUIZTZUYFUYMUYSVUFUY
        FTVUFUXSFUTZUXTSZRUNZFUYDVDZVEZTZUYMUYSVUKUYFVUFVUJUYEUXSVUIUYBFUAUYDFU
        AVPVUHUYARVUGUWJUXTVBVCZVTWAWBVULUYMTZUYPUAUYRVUNUWJUYRUIZTZUWJUYDUIZUY
        PUWJUYCVAZVUPVUQTZUYPUXOQVUSUXOQVAZTVUQUYPVUPVUQVUTURVUTVUQWCVUSVUTVUQU
        WJQUIUWJWDVUTUYDQUWJVUTUYDRRUKULQVUTUYCRRUKVUTUYCUXLRUXOQUJVBWHWEZVLRWF
        WEWGWIWQWJVUSUXPTZUYOUYARVVBVUDVUEVUQUYOUYAVAVUDVUEVUKUYMVUOVUQUXPWKVUD
        VUEVUKUYMVUOVUQUXPWLVUPVUQUXPURZABCDEFUXOUYGUWJIJKLMNOPWMWNVVBVUIUYBFUY
        DUWJVUMVVBUXPUXRVUJVUSUXPUSZVVBVUFUXPUYLUXRVUFVUKUYMVUOVUQUXPWOVVDVUNVU
        OVUQUXPUYLVULUYJUYLVUOVUQUXPXGWPWRVUFUXPTZUYLUXRVVEUYKUXQRVVEVUDUYHUVLU
        IZRUYDUIZUYKUXQVAVUDVUEUXPUMVUEVVFVUDUXPUYGUEWSZWTVVEUYCXAUIZUYCXHXBULZ
        UYDUIZVVGVUDUXPVVIVUEUEUXOXCZXDUYCXEZVVJRUYCXFXIUEUEUXOUYHRXJWNVCXKZXLV
        UFVUKUYMVUOVUQUXPXMXQVVCXNXOXPVUPVURTZUYOUYCUYNSZRVVOUWJUYCUYNVUPVURUSX
        RVUPVVPRUNZVURVULUYMVUOVVQVULUYMVUOTZTZVVQUXOQVVSVUTTZVUTVUEUYLVVQVVSVU
        TUSVUDVUEVUKVVRVUTXSVVTUYJUYLVULUYMVUOVUTXTYAVUTVUETZUYLTZVVPUYGYBSZRVW
        BVVPRVWCVGZSZVWCVWBUYCRUYNVWDVWBUYNUYHBSZVWDVWAUYNVWFVAUYLVWAUYIUYHBVUT
        VUEUYIQUYHVHULZUYHUXOQUYHVHYCVUEVVFVWGUYHVAVVHUEUYHYDYGYEZXRYFVUEVWFVWD
        VAVUTUYLABCDEFUYGIJKLMNOPYHWTYIVUTUYCRVAVUEUYLVVAUQYJVUEVWEVWCVAZVUTUYL
        VUEVWCUEUIVWIUYGYKVWCUEYLYGWTYIVWBVUEUYGRUNZVWCRUNZVUTVUEUYLURVWAUYLVWJ
        VWAUYKUYGRVWAUYKRUYHSZUYGVWARUYIUYHVWHVMVUEVWLUYGVAVUTUYGUEYLWQYIVCXKVU
        EVWKVWJVUEVWCRUYGRVUEUYGYMUIZVWCRVAUYGRVAYNUYGYRZUYGYOYGYPYQYSXOXLVVSUX
        PTZVVPVVJUXTSZVWCAULZRVUFUXPVVPVWQVAZVUKVVRVVEUXOUVNUIZVUEVWRVUDUXPVWSV
        UEVWSVUDUXPTZUXOUVLQUUAUUBXDVUDVUEUXPURABCDEFUXOUYGIJKLMNOPUUHYSYTVWOVW
        PXHUUCRXHUUDZUIZVWCVXAUIZVWPRUNZVWQRUNVUDUXPVXBVUEVUKVVRVUDUXPVVKVXBVWT
        VVIVVKVVLVVMYGABCDEFUXOVVJIJKLMNOPUUEUUFUUGVUEVXCVUDVUKVVRUXPVUEVWMVXCV
        WNUYGUUIYGUUJVWOVUIVXDFUYDVVJVUGVVJVAVUHVWPRVUGVVJUXTVBVCVWOUXPUXRVUJVV
        SUXPUSZVWOVUFUXPUYLUXRVUFVUKVVRUXPUUKVXEVWOUYJUYLVULUYMVUOUXPXTYAVVNXLV
        UFVUKVVRUXPUULXQVUFVVRUXPVVKVUKVUFVVRTUXPTVVIVVKVUDUXPVVIVUEVVRVVLYTVVM
        YGUUMXNAJVWPVWCKLMNUUNXLXOXPUURYFXOVUPUYCRUUOSZUIZUWJRUYCXHUUPULZUKULZU
        IZVUQVURUUQZVUDVXGVUEVUKUYMVUOVUDUYCUUSVXFUEUXOUUTUVAUVBUVCVUFVUOVXJVUK
        UYMVUFVUOVXJVUFUYRVXIUWJVUFUYQVXHRUKVUDUYQVXHVAVUEUEUXOUYGUVGYFVLWGXKYT
        VXGVXJVXKRUYCUWJUVDXKYSUVEUVFUVHUVIUVJUVKYFUWIUWAUSXNXL $.

      $( Closure of the zero skipping sign in case the first letter is not
         zero.  (Contributed by Thierry Arnoux, 10-Oct-2018.) $)
      signstfvcl $p |- ( ( ( F e. ( Word RR \ { (/) } ) /\ ( F ` 0 ) =/= 0 )
        /\ N e. ( 0 ..^ ( # ` F ) ) ) -> ( ( T ` F ) ` N ) e. { -u 1 , 1 } ) $=
        ( wcel cc0 cfv c1 cr cword c0 csn cdif wne wa chash cfzo co cneg simpll
        ctp cpr eldifad signstcl sylancom signstfvneq0 eldifsn sylanbrc difeq1i
        tpcomb wceq neg1ne0 ax-1ne0 diftpsn3 mp2an eqtri eleqtrdi ) GUAUBZUCUDZ
        UEQZRGSRUFZUGZHRGUHSUIUJQZUGZHGBSSZTUKZRTUMZRUDZUEZVRTUNZVPVQVSQZVQRUFV
        QWAQVNVOGVJQWCVPGVJVKVLVMVOULUOABCDEFGHIJKLMNOPUPUQABCDEFGHIJKLMNOPURVQ
        VSRUSUTWAVRTRUMZVTUEZWBVSWDVTVRRTVBVAVRRUFTRUFWEWBVCVDVEVRTRVFVGVHVI $.
    $}

    ${
      $d e f g i k n F $.  $d g G $.  $d e g i k n N $.  $d e g k T $.
      $( Zero-skipping sign in a word compared to a shorter word.  (Contributed
         by Thierry Arnoux, 11-Oct-2018.) $)
      signstfvc $p |- ( ( F e. Word RR /\ G e. Word RR
        /\ N e. ( 0 ..^ ( # ` F ) ) )
        -> ( ( T ` ( F ++ G ) ) ` N ) = ( ( T ` F ) ` N ) ) $=
        ( cr wcel cfv vg ve vk cword cc0 chash cfzo co cconcat wceq wa cv wi c0
        cs1 fveq2d fveq1d eqeq1d imbi2d weq ccatrid adantr s1cl ccatass syl3an3
        oveq2 3expb adantlr ccatcl ad2ant2r simprr wss cuz cz cle wbr lencl cn0
        nn0zd syl caddc nn0red nn0addge1 syl2an breqtrrd eluz2 syl3anbrc fzoss2
        ccatlen simplr sseldd signstfvp eqtr3d id sylan9eq ex expcom a2d wrdind
        syl3anc 3impib 3com12 ) HRUDZSZGXCSZIUEGUFTZUGUHZSZIGHUIUHZBTZTZIGBTZTZ
        UJZXDXEXHXNXEXHUKZIGUAULZUIUHZBTZTZXMUJZUMXOIGUNUIUHZBTZTZXMUJZUMXOIGUB
        ULZUIUHZBTZTZXMUJZUMXOIGYEUCULZUOZUIUHZUIUHZBTZTZXMUJZUMXOXNUMUAUBUCHRX
        PUNUJZXTYDXOYQXSYCXMYQIXRYBYQXQYABXPUNGUIVFUPUQURUSUAUBUTZXTYIXOYRXSYHX
        MYRIXRYGYRXQYFBXPYEGUIVFUPUQURUSXPYLUJZXTYPXOYSXSYOXMYSIXRYNYSXQYMBXPYL
        GUIVFUPUQURUSXPHUJZXTXNXOYTXSXKXMYTIXRXJYTXQXIBXPHGUIVFUPUQURUSXEYDXHXE
        IYBXLXEYAGBRGVAUPUQVBYEXCSZYJRSZUKZXOYIYPXOUUCYIYPUMXOUUCUKZYIYPUUDYIYO
        YHXMUUDIYFYKUIUHZBTZTZYOYHUUDIUUFYNUUDUUEYMBXEUUCUUEYMUJZXHXEUUAUUBUUHU
        UBXEUUAYKXCSUUHYJRVCRGYEYKVDVEVGVHUPUQUUDYFXCSZUUBIUEYFUFTZUGUHZSUUGYHU
        JXEUUAUUIXHUUBRGYEVIZVJXOUUAUUBVKUUDXGUUKIXEUUAXGUUKVLZXHUUBXEUUAUKZUUJ
        XFVMTSZUUMUUNXFVNSZUUJVNSXFUUJVOVPUUOXEUUPUUAXEXFRGVQZVSVBUUNUUJUUNUUIU
        UJVRSUULRYFVQVTVSUUNXFXFYEUFTZWAUHZUUJVOXEXFRSUURVRSXFUUSVOVPUUAXEXFUUQ
        WBRYEVQXFUURWCWDRRGYEWIWEXFUUJWFWGXFUEUUJWHVTVJXEXHUUCWJWKABCDEFYFYJIJK
        LMNOPQWLWTWMYIWNWOWPWQWRWSXAXB $.
    $}

    ${
      $d g i m n F $.  $d f g i m n N $.  $d g m T $.
      $( Restriction of a zero skipping sign to a subword.  (Contributed by
         Thierry Arnoux, 11-Oct-2018.) $)
      signstres $p |- ( ( F e. Word RR /\ N e. ( 0 ... ( # ` F ) ) )
        -> ( ( T ` F ) |` ( 0 ..^ N ) ) = ( T ` ( F |` ( 0 ..^ N ) ) ) ) $=
        ( cr wcel cc0 cfv vm vg cword chash cfz co wa cfzo cres cin wfn signstf
        wf wrdf ffn signstlen oveq2d fneq2d mpbid fnresin syl adantr wss wb cuz
        3syl elfzuz3 fzoss2 adantl incom wceq df-ss biimpi eqtr3id wrdres wrdfn
        4syl fnssres syl2an hashfn cn0 elfznn0 hashfzo0 3eqtrd cv cconcat fvres
        ad3antlr simpr fveq2d fveq1d ad3antrrr simplr eleq2d ad2antrr signstfvc
        eqtrd biimpar syl3anc wrex wrdsplex r19.29a eqfnfvd ) GQUCZRZHSGUDTZUEU
        FRZUGZUASHUHUFZGBTZXIUIZGXIUIZBTZXHXKSXFUHUFZXIUJZUKZXKXIUKZXEXPXGXEXJX
        NUKZXPXEXJSXJUDTZUHUFZUKZXRXEXJXDRXTQXJUMYAABCDEFGIJKLMNOPULQXJUNXTQXJU
        OVFXEXTXNXJXEXSXFSUHABCDEFGIJKLMNOPUPUQURUSXNXIXJUTVAVBXHXIXNVCZXPXQVDX
        GYBXEXGXFHVETRYBHSXFVGHSXFVHVAZVIYBXOXIXKYBXOXIXNUJZXIXIXNVJYBYDXIVKXIX
        NVLVMVNURVAUSXHXMSXMUDTZUHUFZUKZXMXIUKXHXLXDRZXMXDRYFQXMUMYGQHGVOZABCDE
        FXLIJKLMNOPULQXMUNYFQXMUOVQXHYFXIXMXHYEHSUHXHYEXLUDTZXIUDTZHXHYHYEYJVKY
        IABCDEFXLIJKLMNOPUPVAXHXLXIUKZYJYKVKXEGXNUKYBYLXGQGVPYCXNXIGVRVSXIXLVTV
        AZXGYKHVKZXEXGHWARYNHXFWBHWCVAVIZWDUQURUSXHUAWEZXIRZUGZGXLUBWEZWFUFZVKZ
        YPXKTZYPXMTZVKUBXDYRYSXDRZUGZUUAUGZUUBYPXJTZYPYTBTZTZUUCYQUUBUUGVKXHUUD
        UUAYPXIXJWGWHUUFYPXJUUHUUFGYTBUUEUUAWIWJWKUUFYHUUDYPSYJUHUFZRZUUIUUCVKX
        HYHYQUUDUUAYIWLYRUUDUUAWMYRUUKUUDUUAXHUUKYQXHUUJXIYPXHYJHSUHXHYJYKHYMYO
        WQUQWNWRWOABCDEFXLYSYPIJKLMNOPWPWSWDXHUUAUBXDWTYQUBQHGXAVBXBXC $.
    $}

    ${
      $d a b F $.  $d a b f i n N $.  $d a b T $.
      signstfveq0.1 $e |- N = ( # ` F ) $.
      $( Lemma for ~ signstfveq0 .  (Contributed by Thierry Arnoux,
         11-Oct-2018.) $)
      signstfveq0a $p |- ( ( ( F e. ( Word RR \ { (/) } ) /\ ( F ` 0 ) =/= 0 )
        /\ ( F ` ( N - 1 ) ) = 0 ) -> N e. ( ZZ>= ` 2 ) ) $=
        ( cc0 wne c1 cr cword c0 csn cdif wcel cfv wa cmin co wceq cn c2 simpll
        cuz cn0 eldifad chash lencl syl eldifsn sylib hasheq0 necon3bid biimpar
        eqeltrid neeq1i sylibr elnnne0 sylanbrc simplr simpr necomd oveq1 1m1e0
        neeqtrrd eqtrdi fveq2d necon3i eluz2b3 ) GUAUBZUCUDZUEUFZRGUGZRSZUHZHTU
        IUJZGUGZRUKZUHZHULUFZHTSZHUMUOUGUFWJHUPUFZHRSZWKWJGWAUFZWMWJGWAWBWCWEWI
        UNZUQWOHGURUGZUPQUAGUSVFUTWJWOGUCSZUHZWNWJWCWSWPGWAUCVAVBWSWQRSZWNWOWTW
        RWOWQRGUCGWAVCVDVEHWQRQVGVHUTHVIVJWJWHWDSWLWJWDWHWJWDRWHWCWEWIVKWFWIVLV
        PVMHTWHWDHTUKZWGRGXAWGTTUIUJRHTTUIVNVOVQVRVSUTHVTVJ $.

      $( In case the last letter is zero, the zero skipping sign is the same as
         the previous letter.  (Contributed by Thierry Arnoux, 11-Oct-2018.)
         (Proof shortened by AV, 4-Nov-2022.) $)
      signstfveq0 $p |- ( ( ( F e. ( Word RR \ { (/) } ) /\ ( F ` 0 ) =/= 0 )
          /\ ( F ` ( N - 1 ) ) = 0 )
        -> ( ( T ` F ) ` ( N - 1 ) ) = ( ( T ` F ) ` ( N - 2 ) ) ) $=
        ( wcel cc0 c1 cr cword c0 csn cdif cfv wne wa cmin co wceq cpfx cconcat
        chash cs1 csgn simpll eldifad pfxcl syl cfz cn0 cle wbr 1nn0 a1i nn0red
        c2 cn 2re lencl eqeltrid 1le2 cz cuz w3a signstfveq0a eluz2 sylib letrd
        simp3d fznn0 mpbir2and fznn0sub2 oveq2i eleqtrdi pfxlen syl2anc uz2m1nn
        wb eqeltrd nnne0 fveq2 hash0 eqtrdi necon3i sylanbrc simpr 0re eqeltrdi
        eldifsn signstfvn clsw oveq1i lsw ad2antrr eqcomi fveq2i eqcomd oveq12d
        s1eqd pfxlswccat eqtrd fveq2d fveq12d cfzo nn0cnd 1cnd subsub4d fzo0end
        caddc eqeltrrd oveq2d eleqtrrd signstfvp syl3anc fveq1d oveq1d 3eqtr4rd
        1p1e2 sgn0 adantl cneg ctp clt uznn0sub eluz2nn crp 2rp ltsubrpd elfzo0
        syl3anbrc signstcl signswrid 3eqtr3d ) GUAUBZUCUDZUEZRZSGUFSUGZUHZHTUIU
        JZGUFZSUKZUHZGUULULUJZUNUFZUUPUUMUOZUMUJZBUFZUFZUUQTUIUJZUUPBUFZUFZUUMU
        PUFZAUJZUULGBUFZUFHVHUIUJZUVGUFZUUOUUPUUHRZUUMUARZUVAUVFUKUUOUUPUUFRZUU
        PUCUGZUVJUUOGUUFRZUVLUUOGUUFUUGUUIUUJUUNUQZURZUAGUULUSUTZUUOUUQVIRZUVMU
        UOUUQUULVIUUOUVNUULSGUNUFZVAUJZRUUQUULUKUVPUUOUULSHVAUJZUVTUUOTUWARZUUL
        UWARUUOUWBTVBRZTHVCVDZUWCUUOVEVFZUUOTVHHUUOTUWEVGVHUARUUOVJVFUUOHUUOHUV
        SVBQUUOUVNUVSVBRUVPUAGVKUTVLZVGZTVHVCVDUUOVMVFUUOVHVNRZHVNRZVHHVCVDZUUO
        HVHVOUFRZUWHUWIUWJVPABCDEFGHIJKLMNOPQVQZVHHVRVSWAVTUUOHVBRUWBUWCUWDUHWJ
        UWFTHWBUTWCTHWDUTHUVSSVAQWEWFUAGUULWGWHZUUOUWKUULVIRZUWLHWIUTZWKUVRUUQS
        UGUVMUUQWLUUPUCUUQSUUPUCUKUUQUCUNUFSUUPUCUNWMWNWOWPUTUTUUPUUFUCXAWQUUOU
        UMSUAUUKUUNWRWSWTZABCDEFUUPUUMIJKLMNOPXBWHUUOUUQUULUUTUVGUUOUUSGBUUOUUS
        GUVSTUIUJZULUJZGXCUFZUOZUMUJZGUUOUUPUWRUURUWTUMUUPUWRUKUUOUULUWQGULHUVS
        TUIQXDWEVFUUOUWTUURUUOUWSUUMUUOUWSUWQGUFZUUMUUIUWSUXBUKUUJUUNGUUHXEXFUW
        QUULGUVSHTUIHUVSQXGXDXHWOXKXIXJUUOUVNGUCUGUHZUXAGUKUUOUUIUXCUVOGUUFUCXA
        VSUAGXLUTXMZXNUWMXOUUOUVFUVISAUJZUVIUUOUVDUVIUVESAUUOUVHUUTUFZUVHUVCUFZ
        UVIUVDUUOUVLUVKUVHSUUQXPUJZRUXFUXGUKUVQUWPUUOUVHSUULXPUJZUXHUUOUULTUIUJ
        ZUVHUXIUUOUXJHTTYAUJZUIUJZUVHUUOHTTUUOHUWFXQUUOXRZUXMXSZUXKVHHUIYJWEZWO
        UUOUWNUXJUXIRUWOUULXTUTYBUUOUUQUULSXPUWMYCYDABCDEFUUPUUMUVHIJKLMNOPYEYF
        UUOUVHUVGUUTUUOGUUSBUUOUUSGUXDXIXNYGUUOUVBUVHUVCUUOUVBUXLUVHUUOUVBUXJUX
        LUUOUUQUULTUIUWMYHUXNXMUXOWOXNYIUUNUVESUKUUKUUNUVESUPUFSUUMSUPWMYKWOYLX
        JUUOUVITYMSTYNRZUXEUVIUKUUOUVNUVHSUVSXPUJZRUXPUVPUUOUVHSHXPUJZUXQUUOUVH
        VBRZHVIRZUVHHYOVDUVHUXRRUUOUWKUXSUWLVHHYPUTUUOUWKUXTUWLHYQUTUUOHVHUWGVH
        YRRUUOYSVFYTUVHHUUAUUBHUVSSXPQWEWFABCDEFGUVHIJKLMNOPUUCWHAJUVIKLMNUUDUT
        XMUUE $.
    $}

    ${
      $d f j F $.  $d f T $.
      $( The value of ` V ` , which represents the number of times the sign
         changes in a word.  (Contributed by Thierry Arnoux, 7-Oct-2018.) $)
      signsvvfval $p |- ( F e. Word RR -> ( V ` F ) =
        sum_ j e. ( 1 ..^ ( # ` F ) )
          if ( ( ( T ` F ) ` j ) =/= ( ( T ` F ) ` ( j - 1 ) ) , 1 , 0 ) ) $=
        ( c1 chash cfv cfzo co cv cmin wne cc0 cif csu cr cword wceq fveq2 wcel
        oveq2d fveq1d neeq12d ifbid adantr sumeq12dv sumex fvmpt ) CGPCUAZQRZST
        ZEUAZUTBRZRZVCPUBTZVDRZUCZPUDUEZEUFPGQRZSTZVCGBRZRZVFVLRZUCZPUDUEZEUFUG
        UHHUTGUIZVBVKVIVPEVQVAVJPSUTGQUJULVQVIVPUIVCVBUKVQVHVOPUDVQVEVMVGVNVQVC
        VDVLUTGBUJZUMVQVFVDVLVRUMUNUOUPUQOVKVPEURUS $.

      $( ` V ` is a function.  (Contributed by Thierry Arnoux, 8-Oct-2018.) $)
      signsvvf $p |- V : Word RR --> NN0 $=
        ( cn0 c1 cfv cc0 wcel a1i cr cword cv chash cfzo cmin wne cif csu fzofi
        co cfn wa 1nn0 wn 0nn0 ifclda fsumnn0cl fmpti ) CUAUBZOPCUCZUDQZUEUKZEU
        CZVABQZQVDPUFUKVEQUGZPRUHZEUIGNVAUTSZVCVGEVCULSVHPVBUJTVHVDVCSUMZVFPROP
        OSVIVFUMUNTROSVIVFUOUMUPTUQURUS $.

      $( There is no change of sign in the empty word.  (Contributed by Thierry
         Arnoux, 8-Oct-2018.) $)
      signsvf0 $p |- ( V ` (/) ) = 0 $=
        ( c0 cfv c1 cfzo co cc0 chash cv cmin wne cif cr cword wcel signsvvfval
        csu wceq wrd0 ax-mp hash0 oveq2i cle wbr 0le1 cz wb 1z fzon mp2an eqtri
        0z mpbi sumeq1i sum0 3eqtri ) OGPZQOUAPZRSZEUBZOBPZPVMQUCSVNPUDQTUEZEUJ
        ZOVOEUJTOUFUGUHVJVPUKUFULABCDEFOGHIJKLMNUIUMVLOVOEVLQTRSZOVKTQRUNUOTQUP
        UQZVQOUKZURQUSUHTUSUHVRVSUTVAVEQTVBVCVFVDVGVOEVHVI $.

      $d f j K $.
      $( In a single-letter word, which represents a constant polynomial, there
         is no change of sign.  (Contributed by Thierry Arnoux, 8-Oct-2018.) $)
      signsvf1 $p |- ( K e. RR -> ( V ` <" K "> ) = 0 ) $=
        ( cr cfv c1 cfzo co wcel cs1 chash cmin wne cc0 cif csu cword wceq s1cl
        cv signsvvfval syl c0 s1len oveq2i fzo0 eqtri sumeq1i sum0 eqtrdi ) GPU
        AZGUBZHQZRVDUCQZSTZEULZVDBQZQVHRUDTVIQUERUFUGZEUHZUFVCVDPUIUAVEVKUJGPUK
        ABCDEFVDHIJKLMNOUMUNVKUOVJEUHUFVGUOVJEVGRRSTUOVFRRSGUPUQRURUSUTVJEVAUSV
        B $.
    $}

    ${
      $d a b i j n F $.  $d a b j n K $.  $d a b f j n T $.
      $( Number of changes in a word compared to a shorter word.  (Contributed
         by Thierry Arnoux, 12-Oct-2018.) $)
      signsvfn $p |- ( ( ( F e. ( Word RR \ { (/) } ) /\ ( F ` 0 ) =/= 0 )
        /\ K e. RR ) -> ( V ` ( F ++ <" K "> ) ) = ( ( V ` F ) +
        if ( ( ( ( T ` F ) ` ( ( # ` F ) - 1 ) ) x. K ) < 0 , 1 , 0 ) ) ) $=
        ( wcel cc0 cfv c1 cr cword c0 csn cdif wne wa cs1 cconcat co chash cfzo
        cv cmin cif csu cmul clt wbr wceq eldifi s1cl ccatcl syl2an signsvvfval
        caddc syl ccatlen s1len oveq2i eqtrdi oveq2d sumeq1d cn eldifsn lennncl
        cuz sylbi nnuz eleqtrdi adantr cfz cc 1cnd wn 0cnd ifclda fveq2 fvoveq1
        neeq12d ifbid fzosump1 3eqtrd adantlr eldifad simplr wss fzo0ss1 sselda
        a1i signstfvp syl3anc cz cn0 elfzoel2 adantl 1nn0 eluzmn sylancl fzoss2
        simpl elfzo1elm1fzo0 sseldd sumeq2dv eqtr4d csgn simpr fzo0end ad2antrr
        signstfvn cneg cpr ctp wb signstfvcl syldan rexr sgncl signswch syl2anc
        cxr rexrd sgnsgn breq1d neg1rr 1re prssi mp2an sselid sgnmulsgn sgnclre
        sylancom 3bitr4d 3bitrd oveq12d eqtrd ) GUAUBZUCUDZUEQZRGSRUFZUGZHUAQZU
        GZGHUHZUIUJZISZTGUKSZULUJZEUMZUUOBSZSZUUSTUNUJZUUTSZUFZTRUOZEUPZUUQUUTS
        ZUUQTUNUJZUUTSZUFZTRUOZVFUJZGISZUVHGBSZSZHUQUJRURUSZTRUOZVFUJUUIUULUUPU
        VLUTUUJUUIUULUGZUUPTUUOUKSZULUJZUVEEUPZTUUQTVFUJZULUJZUVEEUPUVLUVRUUOUU
        GQZUUPUWAUTUUIGUUGQZUUNUUGQZUWDUULGUUGUUHVAZHUAVBZUAGUUNVCVDABCDEFUUOIJ
        KLMNOPVEVGUVRUVTUWCUVEEUVRUVSUWBTULUVRUVSUUQUUNUKSZVFUJZUWBUUIUWEUWFUVS
        UWJUTUULUWGUWHUAUAGUUNVHVDUWITUUQVFHVIVJVKVLVMUVRUVEUVKETUUQUUIUUQTVQSZ
        QUULUUIUUQVNUWKUUIUWEGUCUFUGUUQVNQZGUUGUCVOUAGVPVRZVSVTWAUVRUUSTUUQWBUJ
        QUGZUVDTRWCUWNUVDUGWDUWNUVDWEUGWFWGUUSUUQUTZUVDUVJTRUWOUVAUVGUVCUVIUUSU
        UQUUTWHUUSUUQTUUTUNWIWJWKWLWMWNUUMUVFUVMUVKUVQVFUUIUULUVFUVMUTUUJUVRUVF
        UURUUSUVNSZUVBUVNSZUFZTRUOZEUPZUVMUVRUURUVEUWSEUVRUUSUURQZUGZUVDUWRTRUX
        BUVAUWPUVCUWQUXBUWEUULUUSRUUQULUJZQUVAUWPUTUVRUWEUXAUVRGUUGUUHUUIUULXKW
        OZWAZUUIUULUXAWPZUVRUURUXCUUSUURUXCWQUVRUUQWRWTWSABCDEFGHUUSIJKLMNOPXAX
        BUXBUWEUULUVBUXCQUVCUWQUTUXEUXFUXBRUVHULUJZUXCUVBUXBUUQUVHVQSQZUXGUXCWQ
        UXBUUQXCQZTXDQUXHUXAUXIUVRUUSTUUQXEXFXGUUQTXHXIUVHRUUQXJVGUXAUVBUXGQUVR
        UUSUUQXLXFXMABCDEFGHUVBIJKLMNOPXAXBWJWKXNUVRUWEUVMUWTUTUXDABCDEFGIJKLMN
        OPVEVGXOWNUUMUVJUVPTRUUMUVJUVOHXPSZAUJZUVOUFZUVOUXJUQUJRURUSZUVPUUMUVGU
        XKUVIUVOUUIUULUVGUXKUTUUJABCDEFGHIJKLMNOPXTWNUUMUWEUULUVHUXCQZUVIUVOUTU
        UIUULUWEUUJUXDWNUUKUULXQZUUIUXNUUJUULUUIUWLUXNUWMUUQXRVGXSZABCDEFGHUVHI
        JKLMNOPXAXBWJUUMUVOTYAZTYBZQZUXJUXQRTYCQZUXLUXMYDUUKUULUXNUXSUXPABCDEFG
        UVHIJKLMNOPYEYFZUULUXTUUKUULHYKQZUXTHYGHYHVGXFAJUVOUXJKLMNYIYJUUMUVOXPS
        ZUXJXPSZUQUJZRURUSZUYCUXJUQUJZRURUSZUXMUVPUUMUYEUYGRURUUMUYDUXJUYCUQUUM
        UYBUYDUXJUTUUMHUXOYLHYMVGVLYNUUMUVOUAQZUXJUAQZUXMUYFYDUUMUXRUAUVOUXQUAQ
        TUAQUXRUAWQYOYPUXQTUAYQYRUYAYSZUULUYJUUKHUUAXFUVOUXJYTYJUUKUULUYIUVPUYH
        YDUYKUVOHYTUUBUUCUUDWKUUEUUF $.
    $}

    ${
      signsvf.e $e |- ( ph -> E e. ( Word RR \ { (/) } ) ) $.
      signsvf.0 $e |- ( ph -> ( E ` 0 ) =/= 0 ) $.
      signsvf.f $e |- ( ph -> F = ( E ++ <" A "> ) ) $.
      signsvf.a $e |- ( ph -> A e. RR ) $.
      signsvf.n $e |- N = ( # ` E ) $.
      ${
        $d a b f i j $.  $d a b f i j n A $.  $d a b f i j n E $.
        $d a b f j n T $.
        signsvt.b $e |- B = ( ( T ` E ) ` ( N - 1 ) ) $.
        $( Adding a letter of the same sign as the highest coefficient does not
           change the sign.  (Contributed by Thierry Arnoux, 12-Oct-2018.) $)
        signsvtp $p |- ( ( ph /\ 0 < ( A x. B ) ) -> ( V ` F ) = ( V ` E ) ) $=
          ( cc0 cmul co clt wbr wa cfv chash c1 cmin cif caddc wceq cs1 cconcat
          fveq2d cr cword csn cdif wcel wne signsvfn syl21anc eqtrd adantr 0red
          c0 cfzo wf eldifad signstf wrdf 3syl cn eldifsn sylib lennncl fzo0end
          signstlen oveq2d eleqtrrd ffvelrnd remulcld simpr oveq1i fveq2i eqtri
          syl eqeltrid recnd mulcomd breqtrrd breqtrdi ltnsymd iffalsed cn0 a1i
          signsvvf nn0cnd addid1d 3eqtrd ) AUGBCUHUIZUJUKZULZKMUMZJMUMZJUNUMZUO
          UPUIZJEUMZUMZBUHUIZUGUJUKZUOUGUQZURUIZXMUGURUIXMAXLYAUSXJAXLJBUTVAUIZ
          MUMZYAAKYBMUCVBAJVCVDZVNVEZVFVGZUGJUMUGVHBVCVGZYCYAUSUAUBUDDEFGHIJBMN
          OPQRSTVIVJVKVLXKXTUGXMURXKXSUOUGXKUGXRXKVMXKXQBXKUGXPUNUMZVOUIZVCXOXP
          XKJYDVGZXPYDVGYIVCXPVPXKJYDYEAYFXJUAVLVQZDEFGHIJMNOPQRSTVRVCXPVSVTXKX
          OUGXNVOUIZYIXKYJJVNVHULZXNWAVGXOYLVGAYMXJAYFYMUAJYDVNWBWCVLVCJWDXNWEV
          TXKYHXNUGVOXKYJYHXNUSYKDEFGHIJMNOPQRSTWFWOWGWHWIZAYGXJUDVLZWJXKUGCBUH
          UIZXRUJXKUGXIYPUJAXJWKXKCBXKCXKCXQVCCLUOUPUIZXPUMXQUFYQXOXPLXNUOUPUEW
          LWMWNZYNWPWQXKBYOWQWRWSCXQBUHYRWLWTXAXBWGXKXMXKXMXKYDXCJMYDXCMVPXKDEF
          GHIMNOPQRSTXEXDYKWIXFXGXH $.

        $( Adding a letter of a different sign as the highest coefficient
           changes the sign.  (Contributed by Thierry Arnoux, 12-Oct-2018.) $)
        signsvtn $p |- ( ( ph /\ ( A x. B ) < 0 ) -> ( ( V ` F ) - ( V ` E ) )
          = 1 ) $=
          ( cmul co cc0 clt wbr wa cfv cmin c1 wceq caddc chash cif cs1 cconcat
          fveq2d cr cword c0 csn cdif wne signsvfn syl21anc eqtrd adantr oveq1i
          wcel eqtri cfzo wf eldifad signstf wrdf 3syl cn eldifsn sylib lennncl
          fveq2i fzo0end signstlen syl eleqtrrd ffvelrnd eqeltrid recnd mulcomd
          oveq2d simpr eqbrtrd eqbrtrrid iftrued eqtr2d cn0 signsvvf a1i ccatcl
          s1cld syl2anc eqeltrd nn0cnd 1cnd subaddd mpbird ) ABCUGUHZUIUJUKZULZ
          KMUMZJMUMZUNUHUOUPXPUOUQUHZXOUPXNXOXPJURUMZUOUNUHZJEUMZUMZBUGUHZUIUJU
          KZUOUIUSZUQUHZXQAXOYEUPXMAXOJBUTZVAUHZMUMZYEAKYGMUCVBAJVCVDZVEVFZVGVN
          ZUIJUMUIVHBVCVNZYHYEUPUAUBUDDEFGHIJBMNOPQRSTVIVJVKVLXNYDUOXPUQXNYCUOU
          IXNYBCBUGUHZUIUJCYABUGCLUOUNUHZXTUMYAUFYNXSXTLXRUOUNUEVMWFVOZVMXNYMXL
          UIUJXNCBXNCXNCYAVCYOXNUIXTURUMZVPUHZVCXSXTXNJYIVNZXTYIVNYQVCXTVQXNJYI
          YJAYKXMUAVLVRZDEFGHIJMNOPQRSTVSVCXTVTWAXNXSUIXRVPUHZYQXNYRJVEVHULZXRW
          BVNXSYTVNAUUAXMAYKUUAUAJYIVEWCWDVLVCJWEXRWGWAXNYPXRUIVPXNYRYPXRUPYSDE
          FGHIJMNOPQRSTWHWIWOWJWKWLWMXNBAYLXMUDVLZWMWNAXMWPWQWRWSWOWTXNXOXPUOXN
          XOXNYIXAKMYIXAMVQXNDEFGHIMNOPQRSTXBXCZXNKYGYIAKYGUPXMUCVLXNYRYFYIVNYG
          YIVNYSXNBVCUUBXEVCJYFXDXFXGWKXHXNXPXNYIXAJMUUCYSWKXHXNXIXJXK $.
      $}

      ${
        $d a b f i j n A $.  $d a b f i j n E $.  $d a b f i n N $.
        $d a b f j n T $.
        signsvf.b $e |- B = ( E ` ( N - 1 ) ) $.
        $( Adding a letter of the same sign as the highest coefficient does not
           change the sign.  (Contributed by Thierry Arnoux, 12-Oct-2018.) $)
        signsvfpn $p |- ( ( ph /\ 0 < ( B x. A ) )
          -> ( V ` F ) = ( V ` E ) ) $=
          ( cc0 cmul co clt wbr c1 cmin cfv wceq wa csgn recnd cc chash cfzo cr
          cword wcel wf c0 csn eldifad wrdf syl oveq1i wne cdif eldifsn lennncl
          sylib fzo0end 3syl eqeltrid ffvelrnd mulcomd breq2d sgnmulsgp syl2anc
          cn wb bitr3d biimpa adantr simpr mulne0bad eqnetrrid signsvtn0 fveq2i
          gt0ne0d eqtr4di fveq2d cxr rexrd sgnsgn eqtrd oveq2d breqtrrd sgnclre
          eqeltrd mpbird eqid signsvtp syldan ) AUGCBUHUIZUJUKZUGBLULUMUIZJEUNU
          NZUHUIUJUKZKMUNJMUNUOAXKUPZXNUGBUQUNZXMUQUNZUHUIZUJUKZXOUGXPCUQUNZUHU
          IZXRUJAXKUGYAUJUKZAUGBCUHUIZUJUKZXKYBAYCXJUGUJABCABUDURZACXLJUNZUSUFA
          YFAUGJUTUNZVAUIZVBXLJAJVBVCZVDZYHVBJVEAJYIVFVGZUAVHVBJVIVJAXLYGULUMUI
          ZYHLYGULUMUEVKAYJJVFVLUPZYGWEVDYLYHVDAJYIYKVMVDZYMUAJYIVFVNVPVBJVOYGV
          QVRVSVTZURVSZWAWBABVBVDZCVBVDZYDYBWFUDACYFVBUFYOVSZBCWCWDWGWHXOXQXTXP
          UHXOXQXTUQUNZXTXOXMXTUQXOYNYFUGVLZXMXTUOAYNXKUAWIXOYFCUGUFXOCBACUSVDX
          KYPWIABUSVDXKYEWIXOXJAXKWJWOWKWLYNUUAUPXMYFUQUNXTDEFGHIJLMNOPQRSTUEWM
          CYFUQUFWNWPWDZWQXOCWRVDYTXTUOXOCAYRXKYSWIZWSCWTVJXAXBXCXOYQXMVBVDXNXS
          WFAYQXKUDWIXOXMXTVBUUBXOYRXTVBVDUUCCXDVJXEBXMWCWDXFABXMDEFGHIJKLMNOPQ
          RSTUAUBUCUDUEXMXGXHXI $.

        $( Adding a letter of a different sign as the highest coefficient
           changes the sign.  (Contributed by Thierry Arnoux, 12-Oct-2018.) $)
        signsvfnn $p |- ( ( ph /\ ( B x. A ) < 0 )
          -> ( ( V ` F ) - ( V ` E ) ) = 1 ) $=
          ( cmul co cc0 clt wbr c1 cmin cfv wceq wa csgn cr cword csn cdif wcel
          c0 wne adantr cc chash cfzo wf eldifad wrdf oveq1i cn eldifsn lennncl
          syl sylib fzo0end eqeltrid ffvelrnd recnd lt0ne0d mulne0bad eqnetrrid
          3syl simpr signsvtn0 fveq2i eqtr4di syl2anc fveq2d rexrd sgnsgn eqtrd
          cxr oveq2d mulcomd breq1d wb sgnmulsgn bitr3d eqbrtrd sgnclre eqeltrd
          biimpa mpbird eqid signsvtn syldan ) ACBUGUHZUIUJUKZBLULUMUHZJEUNUNZU
          GUHUIUJUKZKMUNJMUNUMUHULUOAXKUPZXNBUQUNZXMUQUNZUGUHZUIUJUKZXOXRXPCUQU
          NZUGUHZUIUJXOXQXTXPUGXOXQXTUQUNZXTXOXMXTUQXOJURUSZVCUTZVAVBZXLJUNZUIV
          DZXMXTUOAYEXKUAVEXOYFCUIUFXOCBACVFVBXKACYFVFUFAYFAUIJVGUNZVHUHZURXLJA
          JYCVBZYIURJVIAJYCYDUAVJURJVKVPAXLYHULUMUHZYILYHULUMUEVLAYJJVCVDUPZYHV
          MVBYKYIVBAYEYLUAJYCVCVNVQURJVOYHVRWEVSVTZWAVSZVEABVFVBXKABUDWAZVEXOXJ
          AXKWFWBWCWDYEYGUPXMYFUQUNXTDEFGHIJLMNOPQRSTUEWGCYFUQUFWHWIWJZWKXOCWOV
          BYBXTUOXOCACURVBZXKACYFURUFYMVSZVEZWLCWMVPWNWPAXKYAUIUJUKZABCUGUHZUIU
          JUKZXKYTAUUAXJUIUJABCYOYNWQWRABURVBZYQUUBYTWSUDYRBCWTWJXAXEXBXOUUCXMU
          RVBXNXSWSAUUCXKUDVEXOXMXTURYPXOYQXTURVBYSCXCVPXDBXMWTWJXFABXMDEFGHIJK
          LMNOPQRSTUAUBUCUDUEXMXGXHXI $.
      $}
    $}

$(
    @{
      @( Shifting the whole word to the right (i.e., multiplying the
         corresponding polynomial by ` x ` ) does not change the parity of the
         sign changes.  (Contributed by Thierry Arnoux, 9-Sep-2018.) @)
      signwmulx @p |- ( ( F e. ( Word RR \ { (/) } ) /\ ( F ` 0 ) =/= 0 )
       -> ( V ` ( <" 0 "> ++ F ) ) = ( V ` F ) ) @=
      ? @.
    @}

    @{
      @( If the first and last coefficients in the word are of opposite sign,
         there is an odd number of sign changes.  (Contributed by Thierry
         Arnoux, 9-Sep-2018.) @)
      signwtog @p |- ( ( ( F e. ( Word RR \ { (/) } ) /\ ( F ` 0 ) =/= 0 )
          /\ ( ( F ` 0 ) x. ( F ` ( ( # ` F ) - 1 ) ) ) < 0 )
        -> -. 2 || ( V ` F ) ) @=
      ? @.
    @}
$)

    ${
      $d a b f i j $.  $d a b j F $.  $d a b f j n T $.
      $( Adding a zero as the highest coefficient does not change the parity of
         the sign changes.  (Contributed by Thierry Arnoux, 12-Oct-2018.) $)
      signlem0 $p |- ( ( F e. ( Word RR \ { (/) } ) /\ ( F ` 0 ) =/= 0 )
       -> ( V ` ( F ++ <" 0 "> ) ) = ( V ` F ) ) $=
        ( wcel cc0 cfv co c1 cr cword c0 csn cdif wne wa cs1 cconcat chash cmin
        cmul clt wbr cif caddc wceq 0re signsvfn mpan2 ltnri cneg cpr cc neg1cn
        wss ax-1cn prssi mp2an cfzo cn simpl eldifsn sylib lennncl fzo0end 3syl
        signstfvcl mpdan sselid mul01d breq1d mtbiri iffalsed oveq2d cn0 wf a1i
        signsvvf eldifad ffvelrnd nn0cnd addid1d 3eqtrd ) GUAUBZUCUDZUEPZQGRQUF
        ZUGZGQUHUISHRZGHRZGUJRZTUKSZGBRRZQULSZQUMUNZTQUOZUPSZXAQUPSXAWSQUAPWTXH
        UQURABCDEFGQHIJKLMNOUSUTWSXGQXAUPWSXFTQWSXFQQUMUNQURVAWSXEQQUMWSXDWSTVB
        ZTVCZVDXDXIVDPTVDPXJVDVFVEVGXITVDVHVIWSXCQXBVJSPZXDXJPWSGWOPGUCUFUGZXBV
        KPXKWSWQXLWQWRVLZGWOUCVMVNUAGVOXBVPVQABCDEFGXCHIJKLMNOVRVSVTWAWBWCWDWEW
        SXAWSXAWSWOWFGHWOWFHWGWSABCDEFHIJKLMNOWIWHWSGWOWPXMWJWKWLWMWN $.
    $}

$(
    @{
      signlem.x @e |- ( ph -> X e. RR ) @.
      signlem.y @e |- ( ph -> Y e. RR ) @.
      signlem.z @e |- ( ph -> Z e. RR ) @.
      signlem.f @e |- ( ph -> G = ( F ++ <" Z "> ) ) @.
      signlem.g @e |- ( ph -> H = ( F ++ <" Y X "> ) ) @.
      signlem.h @e |- ( ph -> F e. ( Word RR \ { (/) } ) ) @.
      signlem.0 @e |- ( ph -> ( H ` 0 ) =/= 0 ) @.
      @( Inserting any coefficient just before the highest one does not change
         the parity.  @)
      signlem1 @p |- ( ( ph /\ 0 < ( Z x. X ) )
        -> ( ( V ` H ) - ( V ` G ) ) e. { 0 , 2 } ) @=
        ? @.

      @( Inserting a coefficient of opposed sign after the highest changes the
         parity.  @)
      signlem2 @p |- ( ( ( ph /\ ( Z x. X ) < 0 ) /\ 0 < ( Y x. Z ) )
        -> ( ( V ` H ) - ( V ` G ) ) = 1 ) @=
        ? @.

      signlem3.i @e |- ( ph -> J = ( ( T ` F ) ` ( ( # ` F ) - 1 ) ) ) @.
      @( Replacing a leading zero with two coefficients of opposed sign changes
         the parity.  @)
      signlem34 @p |- ( ( ph /\ Z = 0 /\ ( X x. Y ) < 0 )
        -> ( V ` H ) = ( ( V ` G ) + if ( ( sgn ` Y ) =/= J , 1 , 0 ) ) ) @=
        ? @.

      @( Replacing a leading zero with two coefficients of opposed sign changes
         the parity.  @)
      signlem3 @p |- ( ( ( ph /\ Z = 0 /\ ( X x. Y ) < 0 ) /\ ( Y x. J ) < 0 )
        -> ( ( V ` H ) - ( V ` G ) ) = 2 ) @=
        ? @.

      @( Replacing a leading zero with two coefficients of opposed sign changes
         the parity.  @)
      signlem4 @p |- ( ( ( ph /\ Z = 0 /\ ( X x. Y ) < 0 ) /\ 0 < ( Y x. J ) )
        -> ( ( V ` H ) - ( V ` G ) ) = 1 ) @=
        ? @.
    @}
$)
    signs.h $e |- H =
      ( ( <" 0 "> ++ F ) oF - ( ( F ++ <" 0 "> ) oFC x. C ) ) $.

    ${
      $d x y C $.  $d x y F $.
      $( ` H ` , corresponding to the word ` F ` multiplied by ` ( x - C ) ` ,
         as a function.  (Contributed by Thierry Arnoux, 29-Sep-2018.) $)
      signshf $p |- ( ( F e. Word RR /\ C e. RR+ )
        -> H : ( 0 ..^ ( ( # ` F ) + 1 ) ) --> RR ) $=
        ( cr co vx vy cword wcel crp wa cc0 chash cfv c1 caddc cfzo cs1 cconcat
        cmul cofc cmin cof wf cvv cv resubcl adantl s1cl ax-mp ccatcl mpan wrdf
        0re syl 1cnd lencl nn0cnd wceq ccatlen s1len oveq1i eqtrdi oveq2d feq2d
        comraddd mpbid remulcl mpan2 ccatws1len ovexd rpre ofcf inidm off feq1i
        adantr sylibr ) HSUCZUDZAUEUDZUFZUGHUHUIZUJUKTZULTZSUGUMZHUNTZHXAUNTZAU
        OUPTZUQURTZUSWTSIUSWQUAUBWTWTWTUQSSSXBXDUTUTUAVAZSUDUBVAZSUDUFZXFXGUQTS
        UDWQXFXGVBVCWOWTSXBUSZWPWOUGXBUHUIZULTZSXBUSZXIWOXBWNUDZXLXAWNUDZWOXMUG
        SUDXNVIUGSVDVEZSXAHVFVGSXBVHVJWOXKWTSXBWOXJWSUGULWOXJUJWRWOVKWOWRSHVLVM
        WOXJXAUHUIZWRUKTZUJWRUKTXNWOXJXQVNXOSSXAHVOVGXPUJWRUKUGVPVQVRWAVSVTWBWL
        WQUAUBWTAUOSSSXCUTXHXFXGUOTSUDWQXFXGWCVCWOWTSXCUSZWPWOUGXCUHUIZULTZSXCU
        SZXRWOXCWNUDZYAWOXNYBXOSHXAVFWDSXCVHVJWOXTWTSXCWOXSWSUGULSHUGWEVSVTWBWL
        WQUGWSULWFZWPASUDWOAWGVCWHYCYCWTWIWJWTSIXERWKWM $.
    $}

    $( ` H ` , corresponding to the word ` F ` multiplied by ` ( x - C ) ` , is
       a word.  (Contributed by Thierry Arnoux, 29-Sep-2018.) $)
    signshwrd $p |- ( ( F e. Word RR /\ C e. RR+ ) -> H e. Word RR ) $=
      ( cr wcel cword crp wa cc0 chash cfv c1 caddc co cfzo signshf iswrdi syl
      wf ) HSUAZTAUBTUCUDHUEUFUGUHUIZUJUISIUNIUOTABCDEFGHIJKLMNOPQRUKSUPIULUM
      $.

    $( Length of ` H ` , corresponding to the word ` F ` multiplied by
       ` ( x - C ) ` .  (Contributed by Thierry Arnoux, 14-Oct-2018.) $)
    signshlen $p |- ( ( F e. Word RR /\ C e. RR+ ) ->
      ( # ` H ) = ( ( # ` F ) + 1 ) ) $=
      ( cr wcel cword crp wa chash cfv cc0 c1 caddc co cfzo wf wfn wceq signshf
      ffn hashfn 3syl cn0 lencl adantr 1nn0 a1i nn0addcld hashfzo0 syl eqtrd )
      HSUATZAUBTZUCZIUDUEZUFHUDUEZUGUHUIZUJUIZUDUEZVLVIVMSIUKIVMULVJVNUMABCDEFG
      HIJKLMNOPQRUNVMSIUOVMIUPUQVIVLURTVNVLUMVIVKUGVGVKURTVHSHUSUTUGURTVIVAVBVC
      VLVDVEVF $.

    $( ` H ` is not the empty word.  (Contributed by Thierry Arnoux,
       14-Oct-2018.) $)
    signshnz $p |- ( ( F e. Word RR /\ C e. RR+ ) -> H =/= (/) ) $=
      ( wcel cc0 cr cword crp wa chash cfv wne c0 c1 caddc signshlen cn0 adantr
      co cn lencl nn0p1nn eqeltrd nnne0d wceq signshwrd hasheq0 necon3bid mpbid
      syl wb ) HUAUBZSZAUCSZUDZIUEUFZTUGIUHUGVJVKVJVKHUEUFZUIUJUNZUOABCDEFGHIJK
      LMNOPQRUKVJVLULSZVMUOSVHVNVIUAHUPUMVLUQVEURUSVJVKTIUHVJIVGSVKTUTIUHUTVFAB
      CDEFGHIJKLMNOPQRVAIVGVBVEVCVD $.

$(
    @{
      @( Value of the coefficient of ` H ` , corresponding to the word ` F `
         multiplied by ` ( x - C ) ` .  @)
      signhv @p |- ( ( F e. Word RR /\ I e. ( 1 ..^ ( # ` F ) ) )
        -> ( H ` I ) = ( ( F ` ( I - 1 ) ) - ( ( F ` I ) x. C ) ) ) @=
        ? @.

      @( Value of the lowest coefficient of ` H ` , corresponding to the word
         ` F ` multiplied by ` ( x - C ) ` .  @)
      signhv0 @p |- ( F e. Word RR -> ( H ` 0 ) = -u ( ( F ` 0 ) x. C ) ) @=
        ? @.

      @( The lowest coefficient of ` H ` cannot be zero .  @)
      signshn0 @p |- ( ( F e. Word RR /\ C e. RR+ ) -> ( H ` 0 ) =/= 0 ) @=
        ? @.

      @( Value of the highest coefficient of ` H ` , corresponding to the word
         ` F ` multiplied by ` ( x - C ) ` .  @)
      signhvn @p |- ( F e. Word RR ->
        ( H ` ( ( # ` H ) - 1 ) ) = ( F ` ( ( # ` F ) - 1 ) ) ) @=
        ? @.
    @}

    @{
      signhtv.n @e |- N = ( # ` F ) @.
      signhtv.j @e |- J = ( ( T ` F ) ` ( N - 2 ) ) @.
      signhtv.k @e |- K = ( ( T ` H ) ` ( N - 1 ) ) @.
      @( Lemma for ~ signwlem @)
      signhtv @p |- ( ( ( F e. ( Word RR \ { (/) } ) /\ ( F ` 0 ) =/= 0 )
        /\ ( F ` ( N - 1 ) ) = 0 ) -> J = K ) @=
        ? @.
    @}

    @( The rule of signs for words : value of the coefficient word for a
       monomial with one positive root ` C `  (Contributed by Thierry Arnoux,
       28-Sep-2018.) @)
    signwlem0g @p |- ( ( ( K e. RR /\ C e. RR+ ) /\ F = <" K "> ) ->
      H = <" -u ( K x. C ) K "> ) @=
      ( co cr wcel crp cs1 wceq cc0 cconcat cmul cofc cmin cof cneg oveq2 oveq1
      cs2 oveq1d oveq12d syl5eq adantl df-s2 eqcomi a1i simpl s1cld simpr rpred
      wa ofcccat ofcs1 syldan syl2anc recnd mul02d s1eqd eqtrd eqtr4di remulcld
      0re ofs2 syl22anc df-neg subid1d s2eqd 3eqtrd adantr ) JUAUBZAUCUBZVGZHJU
      DZUEZVGIUFUDZWIUGTZWIWKUGTZAUHUIZTZUJUKZTZJAUHTZULZJUOZWJIWQUEWHWJIWKHUGT
      ZHWKUGTZAWNTZWPTWQSWJXAWLXCWOWPHWIWKUGUMWJXBWMAWNHWIWKUGUNUPUQURUSWHWQWTU
      EWJWHWQUFJUOZWRUFUOZWPTZUFWRUJTZJUFUJTZUOZWTWHWLXDWOXEWPWLXDUEWHXDWLUFJUT
      VAVBWHWOWIAWNTZWKAWNTZUGTZXEWHUHUAUAWIWKAWHJUAWFWGVCZVDWHUFUAUFUAUBZWHVRV
      BZVDWHAWFWGVEVFZVHWHXLWRUDZWKUGTXEWHXJXQXKWKUGWFWGAUAUBZXJXQUEXPJAUHUAUAV
      IVJWHXKUFAUHTZUDZWKWHXNXRXKXTUEXOXPUFAUHUAUAVIVKWHXSUFWHAWHAXPVLVMVNVOUQW
      RUFUTVPVOUQWHXNWFWRUAUBXNXFXIUEXOXMWHJAXMXPVQXOUFJWRUFUJUAUAVSVTWHXGXHWSJ
      XGWSUEWHWSXGWRWAVAVBWHJWHJXMVLWBWCWDWEVO @.

    @( The rule of signs for words : change of signs for a monomial with one
       positive root ` C ` .  (Contributed by Thierry Arnoux, 28-Sep-2018.) @)
    signwlem0gv @p |- ( ( K e. ( RR \ { 0 } ) /\ C e. RR+ /\ F = <" K "> )
      -> ( V ` H ) = 1 ) @=
      ( cc0 cr csn cdif wcel crp cs1 wceq w3a cfv cneg cmul co cconcat chash c1
      clt wbr cif caddc cs2 simp1 eldifad simp2 simp3 signwlem0g syl21anc df-s2
      cmin eqtrdi fveq2d cword c0 wne renegcld s1cld s1nz a1i neneqd elsng syl
      wb mtbird eldifd s1fv recnd wa eldifsn sylib simprd negne0d eqnetrd rpred
      remulcld signsvfn signsvf1 csgn signstf0 s1len 1m1e0 fveq12d sgnclre 3syl
      oveq1d eqtrd eqeltrd sgnmul syl2anc cxr sgnsgn sgnmulrp2 oveq12d mulneg1d
      rexrd msqgt0d lt0neg2d mpbid sgnn 3eqtr3d 3eqtrd sgnnbi iftrue 0p1e1 ) JU
      ATUBZUCUDZAUEUDZHJUFUGZUHZIKUIJUJZUFZJAUKULZUFUMULZKUIZYIKUIZYIUNUIZUOVHU
      LZYICUIZUIZYJUKULZTUPUQZUOTURZUSULZUOYGIYKKYGIYHYJUTZYKYGJUAUDZYEYFIUUBUG
      YGJUAYCYDYEYFVAZVBZYDYEYFVCZYDYEYFVDABCDEFGHIJKLMNOPQRSVEVFYHYJVGVIVJYGYI
      UAVKZVLUBZUCUDTYIUIZTVMYJUAUDZYLUUAUGYGYIUUGUUHYGYHUAYGJUUEVNZVOZYGYIUUHU
      DZYIVLUGZYGYIVLYIVLVMYGYHVPVQVRYGYIUUGUDUUMUUNWAUULYIVLUUGVSVTWBWCYGUUIYH
      TYGYHUAUDZUUIYHUGUUKYHUAWDVTYGJYGJUUEWEZYGUUCJTVMZYGYDUUCUUQWFUUDJUATWGWH
      WIZWJWKYGJAUUEYGAUUFWLWMZBCDEFGYIYJKLMNOPQRWNVFYGUUATUOUSULUOYGYMTYTUOUSY
      GUUOYMTUGUUKBCDEFGYHKLMNOPQRWOVTYGYSYTUOUGYGYRWPUIZUOUJZUGZYSYGUUTYQWPUIZ
      YJWPUIZUKULZYHWPUIZJWPUIZUKULZUVAYGYQUAUDUUJUUTUVEUGYGYQUVFUAYGYQTUVFUFZU
      IZUVFYGYOTYPUVIYGUUOYPUVIUGUUKBCDEFGYHKLMNOPQRWQVTYGYOUOUOVHULTYGYNUOUOVH
      YNUOUGYGYHWRVQXCWSVIWTYGUUOUVFUAUDZUVJUVFUGUUKYHXAZUVFUAWDXBXDZYGUUOUVKUU
      KUVLVTXEZUUSYQYJXFXGYGUVCUVFUVDUVGUKYGUVCUVFWPUIZUVFYGYQUVFWPUVMVJYGYHXHU
      DUVOUVFUGYGYHUUKXMYHXIVTXDYGUUCYEUVDUVGUGUUEUUFJAXJXGXKYGYHJUKULZWPUIZJJU
      KULZUJZWPUIZUVHUVAYGUVPUVSWPYGJJUUPUUPXLVJYGUUOUUCUVQUVHUGUUKUUEYHJXFXGYG
      UVSXHUDUVSTUPUQZUVTUVAUGYGUVSYGUVRYGJJUUEUUEWMZVNXMYGTUVRUPUQUWAYGJUUEUUR
      XNYGUVRUWBXOXPUVSXQXGXRXSYGYRXHUDUVBYSWAYGYRYGYQYJUVNUUSWMXMYRXTVTXPYSUOT
      YAVTXKYBVIXS @.

    @( The rule of signs for words : initial step.  (Contributed by Thierry
       Arnoux, 28-Sep-2018.) @)
    signwlem0 @p |- ( ( K e. ( RR \ { 0 } ) /\ C e. RR+ /\ F = <" K "> )
      -> ( ( V ` F ) < ( V ` H )  /\ -. 2 || ( ( V ` H ) - ( V ` F ) ) ) ) @=
      ( c2 cr cc0 csn cdif wcel crp cs1 wceq w3a cfv clt cmin co cdvds wn c1
      wbr 0lt1 simp3 fveq2d simp1 eldifad signsvf1 syl eqtrd signwlem0gv mpbiri
      breq12d cz 2z iddvds ax-mp caddc wb 1z oddp1even 1p1e2 breq2i bitri mpbir
      ax-1cn subid1i notbii oveq12d breq2d notbid jca ) JUAUBUCZUDUEZAUFUEZHJUG
      ZUHZUIZHKUJZIKUJZUKUQZTWOWNULUMZUNUQZUOZWMWPUBUPUKUQURWMWNUBWOUPUKWMWNWKK
      UJZUBWMHWKKWIWJWLUSUTWMJUAUEWTUBUHWMJUAWHWIWJWLVAVBBCDEFGJKLMNOPQRVCVDVEZ
      ABCDEFGHIJKLMNOPQRSVFZVHVGWMWSTUPUBULUMZUNUQZUOZXETUPUNUQZUOZXGTTUNUQZTVI
      UEXHVJTVKVLXGTUPUPVMUMZUNUQZXHUPVIUEXGXJVNVOUPVPVLXITTUNVQVRVSVTXDXFXCUPT
      UNUPWAWBVRWCVTWMWRXDWMWQXCTUNWMWOUPWNUBULXBXAWDWEWFVGWG @.

    @{
      signs.g @e |- G =
        ( ( <" 0 "> ++ E ) oF - ( ( E ++ <" 0 "> ) oFC x. C ) ) @.
      signs.n @e |- N = ( # ` E ) @.
      signs.j @e |- Z = ( E ` ( N - 1 ) ) @.

      signwlem.1 @e |- ( ph -> E e. ( Word RR \ { (/) } ) ) @.
      signwlem.2 @e |- ( ph -> ( E ` 0 ) =/= 0 ) @.
      signwlem.3 @e |- ( ph -> F = ( E ++ <" K "> ) ) @.
      signwlem.4 @e |- ( ph -> K e. RR ) @.
      signwlem.5 @e |- ( ph -> C e. RR+ ) @.
      @( The words with an additional positive root, ` G ` and ` H ` , have a
         common subword. @)
      signwlems @p |- ( ph -> ( G |` ( 0 ..^ N ) ) = ( H |` ( 0 ..^ N ) ) ) @=
        ? @.

      @( Decompose ` G ` into highest letter and common subword. @)
      signwlemg @p |- ( ph -> G = ( ( G |` ( 0 ..^ N ) ) ++ <" Z "> ) ) @=
        ? @.

      @( Decompose ` H ` into highest 2 letters and common subword. @)
      signwlemh @p |- ( ph -> H = ( ( G |` ( 0 ..^ N ) ) ++
        <" ( Z - ( K x. C ) ) K "> ) ) @=
        ? @.

      @( Main Lemma for fhe rule of signs : multiplying by a polynomial
         ` ( x .- C ) ` has the same effect on words of length ` ( N + 1 ) ` .
         (Contributed by Thierry Arnoux, 30-Sep-2018.) @)
      signwlem @p |- ( ph -> ( ( ( V ` H ) - ( V ` G ) )
        - ( ( V ` F ) - ( V ` E ) ) ) e. { 0 , 2 } ) @=
        ( cfv cmin co cc0 c2 wcel cmul wceq wa cn0 cr wf a1i cs1 cconcat c0 syl
        syl2anc eqeltrd signshwrd ffvelrnd adantr nn0cnd cfzo cres simpr oveq1d
        cs2 cc recnd mul02d eqtrd oveq2d c1 chash wrdf cn wne eldifsn sylib cfn
        wb wrdfin hashnncl 3syl mpbird eqeltrid eqtrdi cfz caddc sselid eqtr4di
        eleqtrrd s1cld 0re syl3anc fveq2d jca sylibr signlem0 subeq0bd eqeltrdi
        oveq12d adantlr simpll wo biimpa imp remulcld ad2antrr mulne0d syl21anc
        mulcld clt simplll simplr cneg msqgt0d mulassd mpbid eqtr3d eqcomd csgn
        wbr eqid rexrd mpjaodan pm2.61dane cpr signsvvf crp eldifad s1cl ccatcl
        cword csn rpred cdif simprd fzo0end oveq2i eleqtrdi subid1d s2eqd df-s2
        signwlemh cop csubstr fzssp1 hashcl eluzfz2 nn0uz eleq2s 4syl signshlen
        cuz oveq1i swrd0valOLD swrdcl eqeltrrd ccatass signwlemg signshnz
        signshn0
        3eqtr4d eqtr4d ffvelrn sylancr s1eqd subidi c0ex prid1 wn df-ne mul0ord
        wi df-or syl5bi necon1d resubcld signstf fzossfz cz nnzd fzval3 eleqtrd
        0cn signstlen rpne0 necomd neeq1d subne0d signstfvneq0 pm2.21d mulneg2d
        neneqd w3a rpgt0 mulgt0d breqtrd lt0neg2d eqbrtrd 3jca
        swrd0lenOLD signhv0
        df-neg ccatlen eqcomi s1len oveq12i 3eqtrd lbfzo0 fveq1d eqnetrd mulne0
        peano2nnd ccatval1 syl22anc negne0d fvres cvv signstres sylancl fveq12d
        signlem3 sylancom eqtr3id signstfveq0 signhtv sgnmul sgnmulrp2 mulneg1d
        sgnclre sgnneg 3eqtr2rd negcon1ad ax-1cn cxr sgnnbi sgnpbi signsvtp 2cn
        subid1i 2re elexi prid2 signlem4 negeqd signsvtn 1m1e0 lttri2d ltmul1dd
        mulcomd 3brtr3d ltned mulne0bad lttrd posdifd subdird breqtrrd signlem2
        ovex mpdan signsvfnn signsvfpn signlem1 elpr ) ALOUMZKOUMZUNUOZJOUMZIOU
        MZUNUOZUNUOZUPUQUUAZURZQMUSUOZUPAVWIUPUTZVAZVWHMUPAMUPUTZVWHVWJAVWLVAZV
        WFUPVWGVWMVWFUPUPUNUOZUPVWMVWBUPVWEUPUNVWMVVTVWAVWMVVTAVVTVBURVWLAVCUUG
        ZVBLOVWOVBOVDZACDEFGHOPRSTUAUBUCUUBZVEAJVWOURZBUUCURZLVWOURAJIMVFZVGUOZ
        VWOUJAIVWOURZVWTVWOURZVXAVWOURAIVWOVHUUHZUHUUDZAMVCURZVXCUKMVCUUEVIZVCI
        VWTUUFVJVKZULBCDEFGHJLOPRSTUAUBUCUDVLVJVMVNVOVWMVVTKUPVFZVGUOZOUMZVWAVW
        MLVXJOVWMLKUPNVPUOZVQZQVFZVGUOZVXIVGUOZVXJVWMVXMQMBUSUOZUNUOZMVTZVGUOZV
        XMVXNVXIVGUOZVGUOZLVXPVWMVXSVYAVXMVGVWMVXSQUPVTVYAVWMVXRMQUPVWMVXRQUPUN
        UOQVWMVXQUPQUNVWMVXQUPBUSUOZUPVWMMUPBUSAVWLVRZVSVWMBABWAURZVWLABABULUUI
        ZWBZVNWCWDWEVWMQAQWAURZVWLAQAQNWFUNUOZIUMZVCUGAUPIWGUMZVPUOZVCVYIIAVXBV
        YLVCIVDVXEVCIWHVIAVYIVXLVYLANWIURVYIVXLURZANVYKWIUFAVYKWIURZIVHWJZAVXBV
        YOAIVWOVXDUUJZURZVXBVYOVAUHIVWOVHWKWLUUKAVXBIWMURZVYNVYOWNVXEVCIWOZIWPW
        QWRZWSZNUULVIZNVYKUPVPUFUUMUUNVMWSZWBZVNUUOWDVYDUUPQUPUUQWTWEALVXTUTVWL
        ABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUURZVNAVXPVYBUTZVWLAVXMVWOU
        RZVXNVWOURVXIVWOURWUFAKUPNUUSUUTUOZVXMVWOAKVWOURZNUPKWGUMZXAUOZURZWUHVX
        MUTAVXBVWSWUIVXEULBCDEFGHIKOPRSTUAUBUCUEVLVJZANUPNWFXBUOZXAUOZWUKAUPNXA
        UOZWUONUPNUVAAVXBVYRNVBURNWUPURZVXEVYSVYRNVYKVBUFIUVBWSWUQNUPUVHUMVBUPN
        UVCUVDUVEUVFXCAWUJWUNUPXAAWUJVYKWFXBUOZWUNAVXBVWSWUJWURUTVXEULBCDEFGHIK
        OPRSTUAUBUCUEUVGVJNVYKWFXBUFUVIXDZWEXEZVCKNUVJVJZAWUIWUHVWOURWUMVCKUPNU
        VKVIUVLZAQVCWUCXFAUPVCUPVCURZAXGVEZXFVCVXMVXNVXIUVMXHVNUVQVWMKVXOVXIVGA
        KVXOUTVWLABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUVNZVNVSUVRXIAVXKV
        WAUTZVWLAKVYPURZUPKUMUPWJZWVFAWUIKVHWJZVAWVGAWUIWVIWUMAVXBVWSWVIVXEULBC
        DEFGHIKOPRSTUAUBUCUEUVOVJXJKVWOVHWKXKZAVXBVWSWVHVXEULBCDEFGHIKOPRSTUAUB
        UCUEUVPVJZCDEFGHKOPRSTUAUBUCXLVJVNWDXMVWMVWCVWDAVWCWAURZVWLAVWCAVWPVWRV
        WCVBURVWQVXHVWOVBJOUVSUVTVOZVNVWMVWCIVXIVGUOZOUMZVWDVWMJWVNOVWMJVXAWVNA
        JVXAUTVWLUJVNVWMVWTVXIIVGVWMMUPVYDUWAWEWDXIAWVOVWDUTZVWLAVYQUPIUMZUPWJZ
        WVPUHUICDEFGHIOPRSTUAUBUCXLVJVNWDXMXOUPUWSUWBZWTUPUQUWCUWDZXNXPVWKMUPWJ
        ZVAAWWAQUPUTZVWHAVWJWWAXQVWKWWAVRVWKWWAWWBVWKQUPMUPQUPWJWWBUWEZVWKVWLQU
        PUWFVWKWWBVWLXRZWWCVWLUWHAVWJWWDAQMWUDAMUKWBZUWGXSWWBVWLUWIWLUWJUWKXTAW
        WAVAZWWBVAZVWHVXRVYIKDUMZUMZUSUOZUPWWGWWJUPUTZVWHWWGWWKVWHWWGWWJUPWWGVX
        RWWIWWFVXRWAURWWBWWFVXRAVXRVCURZWWAAQVXQWUCAMBUKVYFYAZUWLZVNWBVNWWGWWIA
        WWIVCURZWWAWWBAUPWWHWGUMZVPUOZVCVYIWWHAWUIWWHVWOURWWQVCWWHVDWUMCDEFGHKO
        PRSTUAUBUCUWMVCWWHWHWQAVYIUPWUNVPUOZWWQAVYIWUPWWRAVXLWUPVYIUPNUWNWUBXCA
        NUWOURWUPWWRUTANWUAUWPUPNUWQVIUWRZAWWPWUNUPVPAWWPWUJWUNAWUIWWPWUJUTWUMC
        DEFGHKOPRSTUAUBUCUWTVIWUSWDWEXEVMZYBWBWWGQVXQAVYHWWAWWBWUDYBAVXQWAURWWA
        WWBAMBWWEVYGYEZYBZWWGQVXQWJUPVXQWJZWWFWXCWWBWWFVXQUPWWFMBAMWAURZWWAWWEV
        NAVYEWWAVYGVNAWWAVRZABUPWJZWWAAVWSWXFULBUXAVIZVNYCUXBVNWWGQUPVXQWWFWWBV
        RZUXCWRUXDAWWBWWIUPWJZWWAAWWBVAZWVGWVHVYIUPWUJVPUOZURZWXIAWVGWWBWVJVNAW
        VHWWBWVKVNAWXLWWBAVYIWWRWXKWWSAWUJWUNUPVPWUSWEXEVNCDEFGHKVYIOPRSTUAUBUC
        UXEYDXPYCUXHUXFXTWWGWWJUPWJZVAWWJUPYFYPZVWHUPWWJYFYPZWWGWXNVWHWXMWWGWXN
        VAZVWFUQVWGWXPVWFUQUPUNUOZUQWXPVWBUQVWEUPUNWWGWXNAWWBMVXRUSUOZUPYFYPZUX
        IZVWBUQUTZWXPAWWBWXSAWWAWWBWXNYGZWWFWWBWXNYHWWGWXSWXNWWGWXRMVXQUSUOZYIZ
        UPYFWWGWXRMVXQYIZUSUOWYDWWGVXRWYEMUSWWGVXRUPVXQUNUOWYEWWGQUPVXQUNWXHVSV
        XQUXRXDZWEWWGMVXQAWXDWWAWWBWWEYBZWXBUXGWDWWGUPWYCYFYPWYDUPYFYPWWGUPMMUS
        UOZBUSUOWYCYFWWGWYHBWWGMMAVXFWWAWWBUKYBZWYIYAABVCURZWWAWWBVYFYBZWWGMWYI
        WWFWWAWWBWXEVNYJAUPBYFYPZWWAWWBAVWSWYLULBUXJVIYBUXKWWGMMBWYGWYGAVYEWWAW
        WBVYGYBYKUXLWWGWYCWWGMVXQWYIWWGMBWYIWYKYAZYAUXMYLUXNZVNUXOACDEFGHVXMKLW
        WIOPMVXRQRSTUAUBUCUKWWNWUCWVEWUEAWUGVXMVHWJZVAVXMVYPURAWUGWYOWVBAVXMWGU
        MZWIURZWYOAWYPNWIAWUHWGUMZWYPNAWUHVXMWGWVAXIAWUIWULWYRNUTWUMWUTVCKNUXPV
        JYMZWUAVKAWUGVXMWMURWYQWYOWNWVBVCVXMWOVXMWPWQYLXJVXMVWOVHWKXKZAUPLUMZUP
        JUMZBUSUOZYIZUPAVWRXUAXUDUTVXHBCDEFGHJLOPRSTUAUBUCUDUXQVIAXUCAXUBBAXUBA
        UPJWGUMZVPUOZVCUPJAVWRXUFVCJVDVXHVCJWHVIAXUEWIURUPXUFURAXUEWUNWIAXUEVXA
        WGUMZVYKVWTWGUMZXBUOZWUNAJVXAWGUJXIAVXBVXCXUGXUIUTVXEVXGVCIVWTUXSVJXUIW
        UNUTAVYKNXUHWFXBNVYKUFUXTMUYAUYBVEUYCANWUAUYHVKXUEUYDXKVMWBZVYGYEAXUBWA
        URXUBUPWJVYEWXFXUCUPWJXUJAXUBWVQUPAXUBUPVXAUMZWVQAUPJVXAUJUYEAVXBVXCUPV
        YLURZXUKWVQUTVXEVXGAVYNXULVYTVYKUYDXKVCIVWTUPUYIXHWDUIUYFVYGWXGXUBBUYGU
        YJUYKUYFZAVYIWWHVXLVQZUMZWWIWYPWFUNUOZVXMDUMZUMAVYMXUOWWIUTWUBVYIVXLWWH
        UYLVIAVYIXUPXUNXUQAWUIVXLUYMURXUNXUQUTWUMUPNVPVVNVXLCDEFGHKOPRSTUAUBUCU
        YNUYOANWYPWFUNAWYPNWYSYNVSUYPYMZUYQUYRWXPVWCVWDWXPAWVLWYBWVMVIWXPAUPMVY
        IIDUMZUMZUSUOZYFYPZVWCVWDUTWYBWXPXVAYOUMZWFUTZXVBWXPXVCWWJYOUMZYIZWFWWG
        XVCXVFUTZWXNWWGXVCMYOUMZXUTYOUMZUSUOZXVFWWGVXFXUTVCURZXVCXVJUTWYIWWGXUT
        WWIVCWWGAWWBXUTWWIUTAWWAWWBXQZWXHWXJXUTNUQUNUOXUSUMZWWIWXJVYQWVRVYJUPUT
        ZXUTXVMUTAVYQWWBUHVNZAWVRWWBUIVNZWXJVYJQUPUGAWWBVRUYSZCDEFGHINOPRSTUAUB
        UCUFUYTYDWXJVYQWVRXVNXVMWWIUTXVOXVPXVQBCDEFGHIKXVMWWINOPRSTUAUBUCUEUFXV
        MYQWWIYQVUAYDWDVJZWWGAWWOXVLWWTVIZVKZMXUTVUBVJWWGXVJVXQYOUMZWWIYOUMZUSU
        OZXVFWWGXVHXWAXVIXWBUSWWGXWAXVHWWGVXFVWSXWAXVHUTWYIWWGAVWSXVLULVIMBVUCV
        JYNWWGXUTWWIYOXVRXIXOWWGXVFXWCWWGXWCXVEWWGXWAXWBWWGXWAWWGAVXQVCURZXWAVC
        URXVLWWMVXQVUEWQWBZWWGXWBWWGWWOXWBVCURXVSWWIVUEVIWBZYEWWGXVEVXRYOUMZXWB
        USUOZXWAYIZXWBUSUOXWCYIWWGAXVEXWHUTZXVLAWWLWWOXWJWWNWWTVXRWWIVUBVJVIWWG
        XWIXWGXWBUSWWGWYEYOUMZXWIXWGWWGXWDXWKXWIUTWYMVXQVUFVIWWGWYEVXRYOWWGVXRW
        YEWYFYNXIYMVSWWGXWAXWBXWEXWFVUDVUGVUHYNWDWDZVNWXPWFXVEWFWAURWXPVUIVEWXP
        XVEWFYIZWXPXVEXWMUTZWXNWWGWXNVRWXPWWJVUJURZXWNWXNWNWWGXWOWXNWWGWWJWWGVX
        RWWIWWGAWWLXVLWWNVIXVSYAYRZVNWWJVUKVIWRYNVUHWDWXPXVAVUJURZXVDXVBWNWXPXV
        AWXPMXUTWXPAVXFWYBUKVIWWGXVKWXNXVTVNYAYRXVAVULVIYLAMXUTCDEFGHIJNOPRSTUA
        UBUCUHUIUJUKUFXUTYQZVUMVJXMXOUQVUNVUOZWTUPUQUQVCVUPVUQVURZXNXPWWGWXOVWH
        WXMWWGWXOVAZVWFUPVWGXXAVWFWFWFUNUOZUPXXAVWBWFVWEWFUNWWGWXOWXTVWBWFUTZXX
        AAWWBWXSAWWAWWBWXOYGZWWFWWBWXOYHWWGWXSWXOWYNVNUXOACDEFGHVXMKLWWIOPMVXRQ
        RSTUAUBUCUKWWNWUCWVEWUEWYTXUMXURVUSUYRXXAAXVAUPYFYPZVWEWFUTXXDXXAXVCXWM
        UTZXXEXXAXVCXVFXWMWWGXVGWXOXWLVNXXAXVEWFXXAXVEWFUTZWXOWWGWXOVRXXAXWOXXG
        WXOWNWWGXWOWXOXWPVNWWJVULVIWRVUTWDXXAXWQXXFXXEWNWWGXWQWXOWWGXVAWWGMXUTW
        YIXVTYAYRVNXVAVUKVIYLAMXUTCDEFGHIJNOPRSTUAUBUCUHUIUJUKUFXWRVVAVJXOVVBWT
        WVTXNXPWWFWXMWXNWXOXRZWWBAWXMXXHWWAAWXMXXHAWWJUPAVXRWWIWWNWWTYAWVDVVCXS
        XPXPYSYTYDYTAVWIUPWJZVAVWIUPYFYPZVWHUPVWIYFYPZAXXJVWHXXIAXXJVAZVWFUPVWG
        XXLVWFXXBUPXXLVWBWFVWEWFUNXXLUPVXRQUSUOZYFYPXXCXXLUPQQUSUOZVXQQUSUOZUNU
        OZXXMYFXXLXXOXXNYFYPZUPXXPYFYPZXXLXXOUPXXNXXLVXQQXXLMBAVXFXXJUKVNZAWYJX
        XJVYFVNYAAQVCURXXJWUCVNZYAWVCXXLXGVEZXXLQQXXTXXTYAXXLVWIBUSUOZVYCXXOUPY
        FXXLVWIUPBXXLQMXXTXXSYAZXYAAVWSXXJULVNAXXJVRZVVDAXYBXXOUTXXJAXYBQVXQUSU
        OXXOAQMBWUDWWEVYGYKAQVXQWUDWXAVVEWDVNXXLBAVYEXXJVYGVNWCVVFXXLQXXTXXLQMA
        VYHXXJWUDVNAWXDXXJWWEVNXXLVWIUPXYCXYDVVGVVHYJVVIAXXQXXRWNXXJAXXOXXNAVXQ
        QWWMWUCYAAQQWUCWUCYAVVJVNYLAXXMXXPUTXXJAQVXQQWUDWXAWUDVVKVNVVLACDEFGHVX
        MKLOPMVXRQRSTUAUBUCUKWWNWUCWVEWUEWYTXUMVVMVVOAMQCDEFGHIJNOPRSTUAUBUCUHU
        IUJUKUFUGVVPXOVVBWTWVTXNXPAXXKVWHXXIAXXKVAZVWBUPUTZVWHWYAXYEXYFVAZVWFUP
        VWGXYGVWFVWNUPXYGVWBUPVWEUPUNXYEXYFVRXYEVWEUPUTZXYFXYEVWCVWDAWVLXXKWVMV
        NAMQCDEFGHIJNOPRSTUAUBUCUHUIUJUKUFUGVVQXMZVNXOWVSWTWVTXNXYEWYAVAZVWFUQV
        WGXYJVWFWXQUQXYJVWBUQVWEUPUNXYEWYAVRXYEXYHWYAXYIVNXOXWSWTXWTXNXYEVWBVWG
        URXYFWYAXRACDEFGHVXMKLOPMVXRQRSTUAUBUCUKWWNWUCWVEWUEWYTXUMVVRVWBUPUQVVT
        VWAUNVVNVVSWLYSXPAXXIXXJXXKXRAVWIUPAQMWUCUKYAWVDVVCXSYSYT @.

      signwlemn.1 @e |- ( ph -> ( V ` E ) < ( V ` G ) ) @.
      signwlemn.2 @e |- ( ph -> -. 2 || ( ( V ` G ) - ( V ` E ) ) ) @.
      @( The rule of signs for words : induction step.  (Contributed by Thierry
         Arnoux, 27-Sep-2018.) @)
      signwlemn @p |- ( ph
        -> ( ( V ` F ) < ( V ` H )  /\ -. 2 || ( ( V ` H ) - ( V ` F ) ) ) ) @=
        ( cfv cr cword cn0 wf signsvvf a1i c0 csn eldifad ffvelrnd cconcat wcel
        cs1 s1cl syl ccatcl syl2anc eqeltrd crp signshwrd clt wbr cmin cdvds
        co c2 wn jca chash c1 eqid signwlem signslema ) AIOUOZJOUOKOUOZLOUOAUPU
        QZURIOWKUROUSACDEFGHOPRSTUAUBUCUTVAZAIWKVBVCUHVDZVEAWKURJOWLAJIMVHZVFVT
        ZWKUJAIWKVGZWNWKVGZWOWKVGWMAMUPVGWQUKMUPVIVJUPIWNVKVLVMZVEAWKURKOWLAWPB
        VNVGZKWKVGWMULBCDEFGHIKOPRSTUAUBUCUEVOVLVEAWKURLOWLAJWKVGWSLWKVGWRULBCD
        EFGHJLOPRSTUAUBUCUDVOVLVEAWIWJVPVQWAWJWIVRVTVSVQWBUMUNWCABCDEFGHIJKLMIW
        DUOZOPWTWEVRVTIUOZRSTUAUBUCUDUEWTWFXAWFUHUIUJUKULWGWH @.
    @}

    @{
      @d e f k C @.  @d e f k V @.  @d f F @.  @d f H @.
      @( The rule of signs for words : multiplying by a polynomial
         ` ( x .- C ) ` changes the parity of the number of sign changes.
         (Contributed by Thierry Arnoux, 27-Sep-2018.) @)
      signw @p |- ( ( F e. ( Word RR \ { (/) } ) /\ ( F ` 0 ) =/= 0 /\ C e. RR+
      ) -> ( ( V ` F ) < ( V ` H )  /\ -. 2 || ( ( V ` H ) - ( V ` F ) ) ) ) @=
        ( cc0 co ve vk cr cword c0 csn cdif cfv wne crp w3a clt wbr c2 cdvds
        wcel cmin wn simp1 eldifad eldifsn sylib simprd simp2 simp3 cs1 cconcat
        wa cv cmul cofc cof wceq neeq1 fveq1 neeq1d 3anbi12d imbi1d fveq2 oveq2
        oveq1 oveq1d oveq12d fveq2d breq12d breq2d notbid anbi12d imbi12d neirr
        eqtr4di con3i ax-mp pm2.21i simpllr simpr s1cl ccatlid 3syl fveq1d s1fv
        wi eqtrd syl simplr2 eqnetrrd jca sylibr simplr3 eqid signwlem0 syl3anc
        adantllr simplll velsn necon3bbii chash cfzo s1cld hashgt0 syl2anc cz
        wb
        eldifd 0z cfn wrdfin hashcl fzolb2 sylancr mpbird ccatval1 3jca simp-4r
        nn0zd mpd c1 simp11 simpl2 ex 3adant3 eqidd simp13 signwlemn pm2.61dane
        simp3l simp3r wrdind imp syl13anc ) HUCUDZUEUFZUGZUPZSHUHZSUIZAUJUPZUKZ
        HUUKUPZHUEUIZUUPUUQHJUHZIJUHZULUMZUNUVBUVAUQTZUOUMZURZVHZUURHUUKUULUUNU
        UPUUQUSZUTUURUUSUUTUURUUNUUSUUTVHUVHHUUKUEVAVBVCUUNUUPUUQVDUUNUUPUUQVEU
        USUUTUUPUUQUKZUVGDVIZUEUIZSUVJUHZSUIZUUQUKZUVJJUHZSVFZUVJVGTZUVJUVPVGTZ
        AVJVKZTZUQVLZTZJUHZULUMZUNUWCUVOUQTZUOUMZURZVHZXBUEUEUIZSUEUHZSUIZUUQUK
        ZUWHXBUAVIZUEUIZSUWMUHZSUIZUUQUKZUWMJUHZUVPUWMVGTZUWMUVPVGTZAUVSTZUWATZ
        JUHZULUMZUNUXCUWRUQTZUOUMZURZVHZXBZUWMUBVIZVFZVGTZUEUIZSUXLUHZSUIZUUQUK
        ZUXLJUHZUVPUXLVGTZUXLUVPVGTZAUVSTZUWATZJUHZULUMZUNUYBUXQUQTZUOUMZURZVHZ
        XBZUVIUVGXBDUAUBHUCUVJUEVMZUVNUWLUWHUYIUVKUWIUVMUWKUUQUVJUEUEVNUYIUVLUW
        JSSUVJUEVOVPVQVRUVJUWMVMZUVNUWQUWHUXHUYJUVKUWNUVMUWPUUQUVJUWMUEVNUYJUVL
        UWOSSUVJUWMVOVPVQUYJUWDUXDUWGUXGUYJUVOUWRUWCUXCULUVJUWMJVSZUYJUWBUXBJUY
        JUVQUWSUVTUXAUWAUVJUWMUVPVGVTUYJUVRUWTAUVSUVJUWMUVPVGWAWBWCWDZWEUYJUWFU
        XFUYJUWEUXEUNUOUYJUWCUXCUVOUWRUQUYLUYKWCWFWGWHWIUVJUXLVMZUVNUXPUWHUYGUY
        MUVKUXMUVMUXOUUQUVJUXLUEVNUYMUVLUXNSSUVJUXLVOVPVQUYMUWDUYCUWGUYFUYMUVOU
        XQUWCUYBULUVJUXLJVSZUYMUWBUYAJUYMUVQUXRUVTUXTUWAUVJUXLUVPVGVTUYMUVRUXSA
        UVSUVJUXLUVPVGWAWBWCWDZWEUYMUWFUYEUYMUWEUYDUNUOUYMUWCUYBUVOUXQUQUYOUYNW
        CWFWGWHWIUVJHVMZUVNUVIUWHUVGUYPUVKUUTUVMUUPUUQUVJHUEVNUYPUVLUUOSSUVJHVO
        VPVQUYPUWDUVCUWGUVFUYPUVOUVAUWCUVBULUVJHJVSZUYPUWBIJUYPUWBUVPHVGTZHUVPV
        GTZAUVSTZUWATIUYPUVQUYRUVTUYTUWAUVJHUVPVGVTUYPUVRUYSAUVSUVJHUVPVGWAWBWC
        RWKWDZWEUYPUWFUVEUYPUWEUVDUNUOUYPUWCUVBUVOUVAUQVUAUYQWCWFWGWHWIUWLUWHUW
        IURUWLURUEWJUWLUWIUWIUWKUUQUSWLWMWNUWMUUKUPZUXJUCUPZVHZUXIUYHVUDUXIVHZU
        XPUYGVUEUXPVHZUYGUWMUEVUDUXPUWMUEVMZUYGUXIVUDUXPVHZVUGVHZUXJUCSUFUGUPZU
        UQUXLUXKVMUYGVUIVUCUXJSUIZVHVUJVUIVUCVUKVUBVUCUXPVUGWOZVUIUXNUXJSVUIUXN
        SUXKUHZUXJVUISUXLUXKVUIUXLUEUXKVGTZUXKVUIUWMUEUXKVGVUHVUGWPWBVUIVUCUXKU
        UKUPZVUNUXKVMVULUXJUCWQUCUXKWRWSXCZWTVUIVUCVUMUXJVMVULUXJUCXAXDXCUXMUXO
        UUQVUDVUGXEXFXGUXJUCSVAXHUXMUXOUUQVUDVUGXIVUPABCDEFGUXLUYAUXJJKLMNOPQUY
        AXJZXKXLXMVUFUWNVHZUWMUUMUPZUWPUUQUKZVUCUXHUYGVUDUXPUWNVUTUXIVUHUWNVHZV
        USUWPUUQVVAUWMUUKUULVUBVUCUXPUWNXNZVVAUWNUWMUULUPZURVUHUWNWPZVVCUWMUEUA
        UEXOXPXHYDVVAUXNUWOSVVAVUBVUOSSUWMXQUHZXRTUPZUXNUWOVMVVBVVAUXJUCVUBVUCU
        XPUWNWOXSVVAVVFSVVEULUMZVVAVUBUWNVVGVVBVVDUWMUUKXTYAVVASYBUPVVEYBUPZVVF
        VVGYCYEVVAVUBUWMYFUPZVVHVVBUCUWMYGVVIVVEUWMYHYOWSSVVEYIYJYKUCUWMUXKSYLX
        LUXMUXOUUQVUDUWNXEXFZUXMUXOUUQVUDUWNXIZYMXMVUBVUCUXIUXPUWNYNVURUWQUXHVU
        RUWNUWPUUQVUDUXPUWNUWNUXIVVDXMVUDUXPUWNUWPUXIVVJXMVUDUXPUWNUUQUXIVVKXMY
        MVUDUXIUXPUWNWOYPVUTVUCUXHUKZABCDEFGUWMUXLUXBUYAUXJVVEJKVVEYQUQTUWMUHZL
        MNOPQVUQUXBXJVVEXJVVMXJVUSUWPUUQVUCUXHYRVUTVUCUWPUXHVUSUWPUUQVUCYSUUAVV
        LUXLUUBVUTVUCUXHVDVUSUWPUUQVUCUXHUUCVUTVUCUXDUXGUUFVUTVUCUXDUXGUUGUUDXL
        UUEYTYTUUHUUIUUJ @.
    @}
  $)
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Sign changes in a polynomial with real coefficients
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

$(
  @{
    signs.p @e |- .+^ = ( a e. { -u 1 , 0 , 1 } , b e. { -u 1 , 0 , 1 }
      |-> if ( b = 0 , a , b ) ) @.
    signs.w @e |- W = { <. ( Base ` ndx ) , { -u 1 , 0 , 1 } >. ,
      <. ( +g ` ndx ) , .+^ >. } @.
    signs.t @e |- T = ( w e. Word RR |-> ( n e. ( 0 ..^ ( # ` w ) ) |->
      ( W gsum ( i e. ( 0 ..^ n ) |-> ( sgn ` ( w ` i ) ) ) ) ) ) @.
    signs.u @e |- U = ( w e. Word RR |-> sum_ j e. ( 1 ..^ ( # ` w ) )
      if ( ( ( T ` w ) ` j ) =/= ( ( T ` w ) ` ( j - 1 ) ) , 1 , 0 ) ) @.
    signs.v @e |- V = ( f e. ( Poly ` RR ) |->
      ( U ` ( ( coeff ` f ) |` ( 0 ... ( deg ` f ) ) ) ) ) @.

    @( Sign changes for a polynomial.  (Contributed by Thierry Arnoux,
       20-Sep-2018.) @)
    signsvf @p |- V : ( Poly ` RR ) --> NN0 @=
      ? @.

    @( Sign changes for a polynomial.  (Contributed by Thierry Arnoux,
       20-Sep-2018.) @)
    signsvval @p |- ( F e. ( Poly ` RR )
      -> ( V ` F ) = ( U ` ( ( coeff ` F ) |` ( 0 ... ( deg ` F ) ) ) ) ) @=
      ? @.

    @( Multiplying a polynomial by ` Xp ` does not change the parity of the
       sign changes.  (Contributed by Thierry Arnoux, 20-Sep-2018.) @)
    signsmulx @p |- ( F e. ( ( Poly ` RR ) \ { 0p } )
      -> ( V ` ( F oF x. Xp ) ) = ( V ` F ) ) @=
      ? @.

    signs.z @e |- Z = ( ( `' F " { 0 } ) i^i RR+ ) @.
    signs.l @e |- L = ( ( V ` F ) - ( # ` Z ) ) @.

    @( Descartes's rule of signs, initial step.  @)
    signsz0 @p |- ( ( F e. ( ( Poly ` RR ) \ { 0p } ) /\ ( # ` Z ) = 0 )
      -> ( 0 <_ L /\ 2 || L ) ) @=
      ? @.

    @{
      signszn.y @e |- Y = ( ( `' G " { 0 } ) i^i RR+ ) @.
      signszn.k @e |- K = ( ( V ` G ) - ( # ` Y ) ) @.
      signszn.1 @e |- ( ( G e. ( ( Poly ` RR ) \ { 0p } )
        /\ ( # ` Y ) = N ) -> ( 0 <_ K /\ 2 || K ) ) @.
      @( Descartes's rule of signs, induction step.  @)
      signszn @p |- ( ( F e. ( ( Poly ` RR ) \ { 0p } )
        /\ ( # ` Z ) = ( N + 1 ) ) -> ( 0 <_ L /\ 2 || L ) ) @=
        ? @.
    @}

    @( Descartes's rule of signs.  The difference ` L ` between the number of
       changes of signs ` ( V `` F ) ` of a nonzero polynomial ` F ` and the
       number of nonnegative roots of ` F ` is positive and a multiple of 2.
       @)
    signs @p |- ( F e. ( ( Poly ` RR ) \ { 0p } ) -> ( 0 <_ L /\ 2 || L ) ) @=
      ? @.
  @}
$)

$( End $[ set-mbox-ta-signs.mm $] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Number Theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    efcld.1 $e |- ( ph -> A e. CC ) $.
    $( Closure law for the exponential function, deduction version.
       (Contributed by Thierry Arnoux, 1-Dec-2021.) $)
    efcld $p |- ( ph -> ( exp ` A ) e. CC ) $=
      ( cc wcel ce cfv efcl syl ) ABDEBFGDECBHI $.
  $}

  ${
    $d A x $.  $d B x $.
    iblidicc.a $e |- ( ph -> A e. RR ) $.
    iblidicc.b $e |- ( ph -> B e. RR ) $.
    $( The identity function is integrable on any closed interval.
       (Contributed by Thierry Arnoux, 13-Dec-2021.) $)
    iblidicc $p |- ( ph -> ( x e. ( A [,] B ) |-> x ) e. L^1 ) $=
      ( cr wcel cicc co cv cmpt ccncf cibl wss iccssre syl2anc ax-resscn sstrdi
      cc ssid cncfmptid sylancl cniccibl syl3anc ) ACGHZDGHZBCDIJZBKLZUHTMJHZUI
      NHEFAUHTOTTOUJAUHGTAUFUGUHGOEFCDPQRSTUABUHTUBUCCDUIUDUE $.
  $}

  $( Continuity of the real positive square root function.  (Contributed by
     Thierry Arnoux, 20-Dec-2021.) $)
  rpsqrtcn $p |- ( sqrt |` RR+ ) e. ( RR+ -cn-> RR+ ) $=
    ( vx csqrt crp cres ccncf co wcel wf cv cdm cc cr wceq sqrtf ax-mp wb mpbir
    wss cc0 cpnf cfv wa wral rpssre ax-resscn sstri fdm sseqtrri sseli rpsqrtcl
    rgen wfun ffun ffvresb cico cioo ioossico eqsstrri resabs1 resqrtcn rescncf
    jca ioorp mp2 eqeltrri cncffvrn mp2an ) BCDZCCEFGZCCVHHZVJAIZBJZGZVKBUACGZU
    BZACUCZVOACVKCGVMVNCVLVKCKVLCLKUDUEUFZKKBHZVLKMNKKBUGOUHUIVKUJVBUKBULZVJVPP
    VRVSNKKBUMOACCBUNOQCKRVHCLEFZGVIVJPVQBSTUOFZDZCDZVHVTCWARZWCVHMCSTUPFWAVCST
    UQURZBCWAUSOWDWBWALEFGWCVTGWEUTWALCWBVAVDVECLCVHVFVGQ $.

$(
  @{
    divsqrtid.a @e |- ( ph -> A e. RR ) @.
    divsqrtid.1 @e |- ( ph -> 0 <_ A ) @.
    @( A real number divided by its square root.  (Contributed by Thierry
       Arnoux, 29-Dec-2021.) @)
    divsqrtid @p |- ( ph -> ( A / ( sqrt ` A ) ) = ( sqrt ` A ) ) @=
      ? @.
  @}
$)

  $( A real number divided by its square root.  (Contributed by Thierry Arnoux,
     1-Jan-2022.) $)
  divsqrtid $p |- ( A e. RR+ -> ( A / ( sqrt ` A ) ) = ( sqrt ` A ) ) $=
    ( crp wcel csqrt cfv cmul co cdiv cc0 cle wceq rpre rpge0 remsqsqrt syl2anc
    cr wbr oveq1d recnd sqrtcld rpsqrtcl rpne0d divcan4d eqtr3d ) ABCZADEZUFFGZ
    UFHGAUFHGUFUEUGAUFHUEAPCIAJQUGAKALZAMANORUEUFUFUEAUEAUHSTZUIUEUFAUAUBUCUD
    $.

  ${
    $d A x y z $.  $d D x $.  $d ph x $.
    cxpcncf1.a $e |- ( ph -> A e. CC ) $.
    cxpcncf1.d $e |- ( ph -> D C_ ( CC \ ( -oo (,] 0 ) ) ) $.
    $( The power function on complex numbers, for fixed exponent A, is
       continuous.  Similar to ~ cxpcn .  (Contributed by Thierry Arnoux,
       20-Dec-2021.) $)
    cxpcncf1 $p |- ( ph -> ( x e. D |-> ( x ^c A ) ) e. ( D -cn-> CC ) ) $=
      ( vy vz cc co cv ccxp cmpt ccncf wss wceq wcel cfv eqid a1i cmnf cc0 cioc
      cdif cres resmpt syl ccnfld ctopn crest ctopon cnfldtopon difss resttopon
      ccn mp2an cnmptid cnmptc cmpo ctx cxpcn oveq12 cnmpt12 toponrestid cncfcn
      ssid eqcomi eleqtrd rescncf imp syl2anc eqeltrrd ) ABIUAUBUCJZUDZBKZCLJZM
      ZDUEZBDVPMZDINJZADVNOZVRVSPFBVNDVPUFUGAWAVQVNINJZQZVRVTQZFAVQUHUIRZVNUJJZ
      WEUOJZWBABGHVOCGKZHKZLJZVPWFWFWEWEVNVNIWFVNUKRQZAWEIUKRQZVNIOZWKWEWESZULZ
      IVMUMZVNWEIUNUPTZABWFVNWQUQABCWFWEVNIWQWLAWOTZEURWQWRGHVNIWJUSWFWEUTJWEUO
      JQAGHVNWEWFVNSWNWFSZVATWHVOWICLVBVCWGWBPAWBWGWMIIOWBWGPWPIVFVNIWEWFWEWNWS
      WEIWOVDVEUPVGTVHWAWCWDVNIDVQVIVJVKVL $.
  $}

  ${
    $d A x $.  $d ph x $.
    efmul2picn.1 $e |- ( ph -> ( x e. A |-> B ) e. ( A -cn-> CC ) ) $.
    $( Multiplying by ` ( _i x. ( 2 x. _pi ) ) ` and taking the exponential
       preserves continuity.  (Contributed by Thierry Arnoux, 13-Dec-2021.) $)
    efmul2picn $p |- ( ph -> ( x e. A |->
      ( exp ` ( ( _i x. ( 2 x. _pi ) ) x. B ) ) ) e. ( A -cn-> CC ) ) $=
      ( ci c2 cpi cmul co ce cc ccncf wcel efcn a1i wss cmpt ax-icn mulcli picn
      2cn cncfrss syl ssidd cncfmptc syl3anc mulcncf cncfmpt1f ) ABFGHIJZIJZDIJ
      KCKLLMJNAOPABUKDCAUKLNZCLQZLLQBCUKRCLMJZNULAFUJSGHUBUATTPABCDRZUNNUMECLUO
      UCUDALUEBUKCLUFUGEUHUI $.
  $}

  ${
    $d t x y A $.  $d t x y B $.  $d x E $.  $d t x y F $.  $d t x y ph $.
    ftc2re.e $e |- E = ( C (,) D ) $.
    ftc2re.a $e |- ( ph -> A e. E ) $.
    ftc2re.b $e |- ( ph -> B e. E ) $.
    $( Lemma for ~ ftc2re .  (Contributed by Thierry Arnoux, 20-Dec-2021.) $)
    fct2relem $p |- ( ph -> ( A [,] B ) C_ E ) $=
      ( co cxr wcel clt wbr wa eleqtrdi syl simpld simprd eliooord cicc eliooxr
      cioo wss iccssioo syl22anc sseqtrrdi ) ABCUAJZDEUCJZFADKLZEKLZDBMNZCEMNZU
      HUIUDAUJUKABUILZUJUKOABFUIHGPZBDEUBQZRAUJUKUPSAULBEMNZAUNULUQOUOBDETQRADC
      MNZUMACUILURUMOACFUIIGPCDETQSDEBCUEUFGUG $.

    ftc2re.le $e |- ( ph -> A <_ B ) $.
    ftc2re.f $e |- ( ph -> F : E --> CC ) $.
    ftc2re.1 $e |- ( ph -> ( RR _D F ) e. ( E -cn-> CC ) ) $.
    $( The Fundamental Theorem of Calculus, part two, for functions continuous
       on ` D ` .  (Contributed by Thierry Arnoux, 1-Dec-2021.) $)
    ftc2re $p |- ( ph ->
      S. ( A (,) B ) ( ( RR _D F ) ` t ) _d t = ( ( F ` B ) - ( F ` A ) ) ) $=
      ( co cr cfv cc wceq wcel vy vx cioo cv cicc cres cdv citg ioossre eqsstri
      cmin wss a1i sseldd ccncf crn ctg cnt wf ax-resscn iccssre syl2anc ccnfld
      ctopn tgioo2 dvres syl22anc iccntr reseq2d eqtrd ioossicc fct2relem sstrd
      eqid rescncf sylc eqeltrd cibl cmbf cdm cvol cabs cle wbr wral wrex cnmbf
      ioombl cin dmres fveq2i cncff syl fdmd ineq2d df-ss fveq2d volioo syl3anc
      sylib resubcld eqeltrid wi cniccbdd wa syl5eq eqsstrd ssralv adantr fvres
      sselda simpr ad2antrr eleqtrd eqtr4d breq1d biimpd ralimdva syld reximdva
      mpd bddibl dvcn syl31anc ftc2 fveq1d sylan9eq ralrimiva itgeq2 cxr ubicc2
      rexrd fvresd lbicc2 oveq12d 3eqtr3d ) ABCDUCOZBUDZPHCDUEOZUFZUGOZQZUHZDYT
      QZCYTQZUKOBYQYRPHUGOZQZUHZDHQZCHQZUKOABCDYTAGPCGPULZAGEFUCOPIEFUIUJUMZJUN
      ZAGPDUULKUNZLAUUAUUFYQUFZYQRUOOZAUUAUUFYSUCUPUQQZURQQZUFZUUOAPRULZGRHUSZU
      UKYSPULZUUAUUSSUUTAUTUMZMUULACPTZDPTZUVBUUMUUNCDVAVBGYSPUUQHVCVDQZUVFVNZU
      VFUVGVEVFVGAUURYQUUFAUVDUVEUURYQSUUMUUNCDVHVBVIVJZAYQGULZUUFGRUOOZTZUUOUU
      PTZAYQYSGYQYSULACDVKUMZACDEFGIJKVLZVMZNGRYQUUFVOVPZVQAUUAUUOVRUVHAUUOVSTZ
      UUOVTZWAQZPTUAUDZUUOQZWBQZUBUDZWCWDZUAUVRWEZUBPWFZUUOVRTAYQWAVTTZUVLUVQUW
      GACDWHUMUVPYQUUOWGVBAUVSYQUUFVTZWIZWAQZPUVRUWIWAUUFYQWJZWKAUWJYQWAQZPAUWI
      YQWAAUWIYQGWIZYQAUWHGYQAGRUUFAUVKGRUUFUSNGRUUFWLWMWNZWOAUVIUWMYQSUVOYQGWP
      WTVJZWQAUWLDCUKOZPAUVDUVECDWCWDZUWLUWPSUUMUUNLCDWRWSADCUUNUUMXAVQVQXBAUVT
      UUFYSUFZQZWBQZUWCWCWDZUAYSWEZUBPWFZUWFAUVDUVEUWRYSRUOOZTZUXCUUMUUNAUVKUXE
      NAYSGULZUVKUXEXCUVNGRYSUUFVOWMYAUBUACDUWRXDWSAUXBUWEUBPAUWCPTZXEZUXBUXAUA
      UVRWEZUWEAUXBUXIXCZUXGAUVRYSULZUXJAUVRYQYSAUVRUWIYQUWKUWOXFZUVMXGZUXAUAUV
      RYSXHWMXIUXHUXAUWDUAUVRUXHUVTUVRTZXEZUXAUWDUXOUWTUWBUWCWCUXOUWSUWAWBUXOUW
      SUVTUUFQZUWAUXOUVTYSTUWSUXPSUXHUVRYSUVTAUXKUXGUXMXIXKUVTYSUUFXJWMUXOUVTYQ
      TUWAUXPSUXOUVTUVRYQUXHUXNXLAUVRYQSUXGUXNUXLXMXNUVTYQUUFXJWMXOWQXPXQXRXSXT
      YAUBUAUUOYBWSVQAHUVJTZYTUXDTZAUUTUVAUUKUWHGSUXQUVCMUULUWNGPHYCYDAUXFUXQUX
      RXCUVNGRYSHVOWMYAYEAUUBUUGSZBYQWEUUCUUHSAUXSBYQAYRYQTUUBYRUUOQUUGAYRUUAUU
      OUVHYFYRYQUUFXJYGYHBYQUUBUUGYIWMAUUDUUIUUEUUJUKADYSHACYJTZDYJTZUWQDYSTACU
      UMYLZADUUNYLZLCDYKWSYMACYSHAUXTUYAUWQCYSTUYBUYCLCDYNWSYMYOYP $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d E x y $.  $d F x y $.  $d ph x y $.
    fdvposlt.d $e |- E = ( C (,) D ) $.
    fdvposlt.a $e |- ( ph -> A e. E ) $.
    fdvposlt.b $e |- ( ph -> B e. E ) $.
    fdvposlt.f $e |- ( ph -> F : E --> RR ) $.
    fdvposlt.c $e |- ( ph -> ( RR _D F ) e. ( E -cn-> RR ) ) $.
    ${
      fdvposlt.lt $e |- ( ph -> A < B ) $.
      fdvposlt.1 $e |- ( ( ph /\ x e. ( A (,) B ) ) -> 0 < ( ( RR _D F ) ` x )
        ) $.
      $( Functions with a positive derivative, i.e. monotonously growing
         functions, preserve strict ordering.  (Contributed by Thierry Arnoux,
         20-Dec-2021.) $)
      fdvposlt $p |- ( ph -> ( F ` A ) < ( F ` B ) ) $=
        ( clt co cr wcel cc cfv wbr cc0 cmin cioo cdv citg cvol ioossre eqsstri
        cv sselid posdifd mpbid cle wceq ltled volioo syl3anc breqtrrd cicc wss
        ioossicc a1i cdm ioombl wa wf ccncf cncff syl adantr fct2relem ffvelrnd
        sselda cmpt cibl ax-resscn ssid cncfss mp2an feqresmpt rescncf eqeltrrd
        cres sylc cniccibl iblss crp syldan elrp sylanbrc itggt0 sylancl ftc2re
        fss breqtrd mpbird ) ACHUAZDHUAZPUBUCWTWSUDQZPUBAUCBCDUEQZBUKZRHUFQZUAZ
        UGXAPABXBXEAUCDCUDQZXBUHUAZPACDPUBUCXFPUBNACDAGRCGEFUEQRIEFUIUJZJULZAGR
        DXHKULZUMUNACRSZDRSZCDUOUBXGXFUPXIXJACDXIXJNUQZCDURUSUTABXBCDVAQZXERXBX
        NVBACDVCVDZXBUHVESACDVFVDAXCXNSZVGGRXCXDAGRXDVHZXPAXDGRVIQZSZXQMGRXDVJV
        KZVLAXNGXCACDEFGIJKVMZVOZVNAXKXLBXNXEVPZXNTVIQZSYCVQSXIXJAXNRVIQZYDYCRT
        VBZTTVBZYEYDVBVRTVSZXNRTVTWAAXDXNWEZYCYEABGRXNXDXTYAWBAXNGVBXSYIYESYAMG
        RXNXDWCWFWDULCDYCWGUSWHAXCXBSZVGZXERSUCXEPUBXEWISYKGRXCXDAXQYJXTVLAYJXP
        XCGSAXBXNXCXOVOYBWJVNOXEWKWLWMABCDEFGHIJKXMAGRHVHYFGTHVHLVRGRTHWPWNAXRG
        TVIQZXDYFYGXRYLVBVRYHGRTVTWAMULWOWQAWSWTAGRCHLJVNAGRDHLKVNUMWR $.
    $}

    ${
      fdvneggt.lt $e |- ( ph -> A < B ) $.
      fdvneggt.1 $e |- ( ( ph /\ x e. ( A (,) B ) ) -> ( ( RR _D F ) ` x ) < 0
        ) $.
      $( Functions with a negative derivative, i.e. monotonously decreasing
         functions, inverse strict ordering.  (Contributed by Thierry Arnoux,
         20-Dec-2021.) $)
      fdvneggt $p |- ( ph -> ( F ` B ) < ( F ` A ) ) $=
        ( vy cfv cr wcel cc clt wbr cneg cv wa ffvelrnda renegcld fmpttd cdv co
        cmpt ccncf cvv cpr reelprrecn a1i ax-resscn sselid fvexd feqmptd oveq2d
        wf cncff syl eqtr3d dvmptneg wss wb ssid cncfss mp2an negfcncf cncffvrn
        eqid sylancr mpbird eqeltrd cioo cc0 adantr cicc fct2relem sstrd sselda
        ioossicc ffvelrnd lt0neg1d mpbid wceq fveq1d simpr fveq2d negeqd fvmptd
        eqtrd breqtrrd fdvposlt eqidd 3brtr3d ltnegd ) ADHQZCHQZUAUBXBUCZXAUCZU
        AUBACPGPUDZHQZUCZUKZQDXHQXCXDUAABCDEFGXHIJKAPGXGRAXEGSUEZXFAGRXEHLUFZUG
        UHARXHUIUJZPGXERHUIUJZQZUCZUKZGRULUJZAPXFXMRUMGRRTUNSAUOUPXIRTXFUQXJURX
        IXEXLUSAXLRPGXFUKZUIUJPGXMUKAHXQRUIAPGRHLUTVAAPGRXLAXLXPSGRXLVBZMGRXLVC
        VDZUTVEVFZAXOXPSZGRXOVBZAPGXNRXIXMAGRXEXLXSUFUGUHARTVGZXOGTULUJZSZYAYBV
        HUQAXLYDSYEAXPYDXLYCTTVGXPYDVGUQTVIGRTVJVKMURPGXLXOXOVNZVLVDGTRXOVMVOVP
        VQNABUDZCDVRUJZSZUEZVSYGXLQZUCZYGXKQZUAYJYKVSUAUBVSYLUAUBOYJYKYJGRYGXLA
        XRYIXSVTAYHGYGAYHCDWAUJZGYHYNVGACDWEUPACDEFGIJKWBWCWDZWFZWGWHYJYMYGXOQY
        LYJYGXKXOAXKXOWIYIXTVTWJYJPYGXNYLGXORXOXOWIYJYFUPYJXEYGWIZUEZXMYKYRXEYG
        XLYJYQWKWLWMYOYJYKYPUGWNWOWPWQAPCXGXCGXHRAXHWRZAXECWIZUEZXFXBUUAXECHAYT
        WKWLWMJAXBAGRCHLJWFZUGWNAPDXGXDGXHRYSAXEDWIZUEZXFXAUUDXEDHAUUCWKWLWMKAX
        AAGRDHLKWFZUGWNWSAXAXBUUEUUBWTVP $.
    $}

    ${
      fdvposle.le $e |- ( ph -> A <_ B ) $.
      fdvposle.1 $e |- ( ( ph /\ x e. ( A (,) B ) ) -> 0 <_ ( ( RR _D F ) ` x )
          ) $.
      $( Functions with a nonnegative derivative, i.e. monotonously growing
         functions, preserve ordering.  (Contributed by Thierry Arnoux,
         20-Dec-2021.) $)
      fdvposle $p |- ( ph -> ( F ` A ) <_ ( F ` B ) ) $=
        ( co cr wss wcel cc cc0 cfv cmin cle wbr cioo cv cdv citg cicc ioossicc
        a1i cvol cdm ioombl wa ccncf cncff syl adantr fct2relem sselda ffvelrnd
        wf cmpt cibl ioossre eqsstri sselid ax-resscn ssid mp2an cres feqresmpt
        cncfss rescncf sylc eqeltrrd cniccibl syl3anc syldan itgge0 fss sylancl
        iblss ftc2re breqtrd subge0d mpbid ) AUADHUBZCHUBZUCPZUDUEWKWJUDUEAUABC
        DUFPZBUGZQHUHPZUBZUIWLUDABWMWPABWMCDUJPZWPQWMWQRACDUKULZWMUMUNSACDUOULA
        WNWQSZUPGQWNWOAGQWOVDZWSAWOGQUQPZSZWTMGQWOURUSZUTAWQGWNACDEFGIJKVAZVBZV
        CACQSDQSBWQWPVEZWQTUQPZSXFVFSAGQCGEFUFPQIEFVGVHZJVIAGQDXHKVIAWQQUQPZXGX
        FQTRZTTRZXIXGRVJTVKZWQQTVOVLAWOWQVMZXFXIABGQWQWOXCXDVNAWQGRXBXMXISXDMGQ
        WQWOVPVQVRVICDXFVSVTWEAWNWMSZUPGQWNWOAWTXNXCUTAXNWSWNGSAWMWQWNWRVBXEWAV
        COWBABCDEFGHIJKNAGQHVDXJGTHVDLVJGQTHWCWDAXAGTUQPZWOXJXKXAXORVJXLGQTVOVL
        MVIWFWGAWJWKAGQDHLKVCAGQCHLJVCWHWI $.
    $}

    ${
      fdvnegge.le $e |- ( ph -> A <_ B ) $.
      fdvnegge.1 $e |- ( ( ph /\ x e. ( A (,) B ) ) -> ( ( RR _D F ) ` x ) <_ 0
          ) $.
      $( Functions with a nonpositive derivative, i.e., decreasing functions,
         preserve ordering.  (Contributed by Thierry Arnoux, 20-Dec-2021.) $)
      fdvnegge $p |- ( ph -> ( F ` B ) <_ ( F ` A ) ) $=
        ( vy cfv cr wcel cc cle wbr cneg cv wa ffvelrnda renegcld fmpttd cdv co
        cmpt ccncf cvv cpr reelprrecn a1i ax-resscn sselid fvexd feqmptd oveq2d
        wf cncff syl eqtr3d dvmptneg wss wb ssid cncfss mp2an negfcncf cncffvrn
        eqid sylancr mpbird eqeltrd cioo cc0 adantr cicc fct2relem sstrd sselda
        ioossicc ffvelrnd le0neg1d mpbid wceq fveq1d simpr fveq2d negeqd fvmptd
        eqtrd breqtrrd fdvposle eqidd 3brtr3d lenegd ) ADHQZCHQZUAUBXBUCZXAUCZU
        AUBACPGPUDZHQZUCZUKZQDXHQXCXDUAABCDEFGXHIJKAPGXGRAXEGSUEZXFAGRXEHLUFZUG
        UHARXHUIUJZPGXERHUIUJZQZUCZUKZGRULUJZAPXFXMRUMGRRTUNSAUOUPXIRTXFUQXJURX
        IXEXLUSAXLRPGXFUKZUIUJPGXMUKAHXQRUIAPGRHLUTVAAPGRXLAXLXPSGRXLVBZMGRXLVC
        VDZUTVEVFZAXOXPSZGRXOVBZAPGXNRXIXMAGRXEXLXSUFUGUHARTVGZXOGTULUJZSZYAYBV
        HUQAXLYDSYEAXPYDXLYCTTVGXPYDVGUQTVIGRTVJVKMURPGXLXOXOVNZVLVDGTRXOVMVOVP
        VQNABUDZCDVRUJZSZUEZVSYGXLQZUCZYGXKQZUAYJYKVSUAUBVSYLUAUBOYJYKYJGRYGXLA
        XRYIXSVTAYHGYGAYHCDWAUJZGYHYNVGACDWEUPACDEFGIJKWBWCWDZWFZWGWHYJYMYGXOQY
        LYJYGXKXOAXKXOWIYIXTVTWJYJPYGXNYLGXORXOXOWIYJYFUPYJXEYGWIZUEZXMYKYRXEYG
        XLYJYQWKWLWMYOYJYKYPUGWNWOWPWQAPCXGXCGXHRAXHWRZAXECWIZUEZXFXBUUAXECHAYT
        WKWLWMJAXBAGRCHLJWFZUGWNAPDXGXDGXHRYSAXEDWIZUEZXFXAUUDXEDHAUUCWKWLWMKAX
        AAGRDHLKWFZUGWNWSAXAXBUUEUUBWTVP $.
    $}
  $}

  ${
    $d A k $.  $d B k $.  $d C k $.  $d k ph $.
    prodfzo03.1 $e |- ( k = 0 -> D = A ) $.
    prodfzo03.2 $e |- ( k = 1 -> D = B ) $.
    prodfzo03.3 $e |- ( k = 2 -> D = C ) $.
    prodfzo03.a $e |- ( ( ph /\ k e. ( 0 ..^ 3 ) ) -> D e. CC ) $.
    $( A product of three factors, indexed starting with zero.  (Contributed by
       Thierry Arnoux, 14-Dec-2021.) $)
    prodfzo03 $p |- ( ph -> prod_ k e. ( 0 ..^ 3 ) D = ( A x. ( B x. C ) ) ) $=
      ( cc0 c3 co c1 cmul c2 wceq a1i wcel cc cfzo cprod csn c0 fzodisjsn caddc
      cin cun 2p1e3 oveq2i cuz cfv fzosplitsn ax-mp eqtr3i cfn fzofi fprodsplit
      2eluzge0 wne 0ne1 disjsn2 mp1i cpr fzo0to2pr df-pr eqtri cv wss cz cle 2z
      wbr 3z 2re 3re 2lt3 ltleii eluz2 mpbir3an fzoss2 sseli sylan2 oveq1d snfi
      eqtrd velsn wa adantl simpr adantr eqeltrrd wrex ctp c0ex tpid1 fzo0to3tp
      eleqtrri eqid eqeq1d rspcev mp2an r19.29a eqeltrd sylan2b fprodcl 1ex 2ex
      tpid2 tpid3 mulassd cn0 0nn0 prodsn syl2anc 1nn0 2nn0 oveq12d 3eqtrd ) AK
      LUAMZEFUBZKUCZEFUBZNUCZEFUBZOMZPUCZEFUBZOMZYCYEYHOMZOMBCDOMZOMAYAKPUAMZEF
      UBZYHOMYIAYLYGEXTFYLYGUGUDQAKPUERXTYLYGUHZQAKPNUFMZUAMZXTYNYOLKUAUIUJPKUK
      ULSYPYNQUSKPUMUNUORXTUPSAKLUQRJURAYMYFYHOAYBYDEYLFKNUTYBYDUGUDQAVAKNVBVCY
      LYBYDUHZQAYLKNVDYQVEKNVFVGRYLUPSAKPUQRFVHZYLSAYRXTSZETSZYLXTYRLPUKULSZYLX
      TVIUUAPVJSLVJSPLVKVMVLVNPLVOVPVQVRPLVSVTPKLWAUNWBJWCURWDWFAYCYEYHAYBEFYBU
      PSAKWERYRYBSAYRKQZYTFKWGAUUBWHEBTUUBEBQZAGWIABTSZUUBAUUCUUDFXTAYSWHZUUCWH
      EBTUUEUUCWJUUEYTUUCJWKWLUUCFXTWMZAKXTSBBQZUUFKKNPWNZXTKNPWOWPWQWRBWSUUCUU
      GFKXTUUBEBBGWTXAXBRXCZWKXDXEXFAYDEFYDUPSANWERYRYDSAYRNQZYTFNWGAUUJWHECTUU
      JECQZAHWIACTSZUUJAUUKUULFXTUUEUUKWHECTUUEUUKWJUUEYTUUKJWKWLUUKFXTWMZANXTS
      CCQZUUMNUUHXTKNPXGXIWQWRCWSUUKUUNFNXTUUJECCHWTXAXBRXCZWKXDXEXFAYGEFYGUPSA
      PWERYRYGSAYRPQZYTFPWGAUUPWHEDTUUPEDQZAIWIADTSZUUPAUUQUURFXTUUEUUQWHEDTUUE
      UUQWJUUEYTUUQJWKWLUUQFXTWMZAPXTSDDQZUUSPUUHXTKNPXHXJWQWRDWSUUQUUTFPXTUUPE
      DDIWTXAXBRXCZWKXDXEXFXKAYCBYJYKOAKXLSZUUDYCBQUVBAXMRUUIEBFKXLGXNXOAYECYHD
      OANXLSZUULYECQUVCAXPRUUOECFNXLHXNXOAPXLSZUURYHDQUVDAXQRUVAEDFPXLIXNXOXRXR
      XS $.
  $}

  ${
    $d A x y z $.  $d B z $.  $d C f y z $.  $d F f y z $.  $d I k x y z $.
    $d f k x y z $.  $d ph f k y z $.
    actfunsn.1 $e |- ( ( ph /\ k e. C ) -> A C_ ( C ^m B ) ) $.
    actfunsn.2 $e |- ( ph -> C e. _V ) $.
    actfunsn.3 $e |- ( ph -> I e. V ) $.
    actfunsn.4 $e |- ( ph -> -. I e. B ) $.
    actfunsn.5 $e |- F = ( x e. A |-> ( x u. { <. I , k >. } ) ) $.
    $( The action ` F ` of extending function from ` B ` to ` C ` with new
       values at point ` I ` is a bijection.  (Contributed by Thierry Arnoux,
       9-Dec-2021.) $)
    actfunsnf1o $p |- ( ( ph /\ k e. C ) -> F : A -1-1-onto-> ran F ) $=
      ( vz cv wcel wa wceq adantr crn cop csn cun cres cmpt uneq1 cbvmptv eqtri
      vy cvv vex snex unex a1i resex wrex elrnmpti sylibr adantll simpr reseq1d
      rspe wfn cin c0 cmap co sselda elmapfn syl fnsng sylan wn disjsn fnunres1
      syl3anc eqtr2d jca anasss ad3antrrr simplr sseldd ad4antr simp-4r syl2anc
      wss eqeltrd sylib r19.29a uneq1d eqtrd eqtr4d impbida f1od ) AFPZEQZRZOUJ
      CGUAZOPZHWPUBZUCZUDZUJPZDUEZGUKUKGBCBPZXBUDZUFOCXCUFNBOCXGXCXFWTXBUGUHUIZ
      XCUKQWRWTCQZRZWTXBOULXAUMUNZUOXEUKQWRXDWSQZRZXDDUJULUPUOWRXIXDXCSZRZXLWTX
      ESZRZWRXIXNXQXJXNRZXLXPXIXNXLWRXOXNOCUQZXLXNOCVCOCXCXDGXHXKURZUSUTXRXEXCD
      UEZWTXRXDXCDXJXNVAVBXJYAWTSZXNXJWTDVDZXBHUCZVDZDYDVEVFSZYBXJWTEDVGVHZQZYC
      WRCYGWTJVIWTEDVJZVKWRYEXIAHIQZWQYELHWPIEVLZVMTWRYFXIAYFWQAHDQVNYFMDHVOUSZ
      TTDYDWTXBVPZVQTVRVSVTWRXLXPXOXMXPRZXIXNYNWTXECXMXPVAZXMXECQZXPXMXNYPOCXMX
      IRZXNRZXEYACYRXDXCDYQXNVAZVBZYRYAWTCYRYCYEYFYBYRYHYCYRCYGWTWRCYGWGXLXIXNJ
      WAXMXIXNWBZWCYIVKYRYJWQYEAYJWQXLXIXNLWDAWQXLXIXNWEYKWFAYFWQXLXIXNYLWDYMVQ
      ZUUAWHWHXMXLXSWRXLVAXTWIZWJTWHYNXCXEXBUDZXDYNWTXEXBYOWKXMUUDXDSZXPXMXNUUE
      OCYRUUDXCXDYRXEWTXBYRXEYAWTYTUUBWLWKYSWMUUCWJTVRVSVTWNWO $.

    $( The action ` F ` of extending function from ` B ` to ` C ` with new
       values at point ` I ` yields different functions.  (Contributed by
       Thierry Arnoux, 9-Dec-2021.) $)
    actfunsnrndisj $p |- ( ph -> Disj_ k e. C ran F ) $=
      ( vf vz cv wceq wcel wa cfv crn wdisj cop csn cun simpr fveq1d wfn cin c0
      wral cmap wss ad2antrr sseldd elmapfn syl ad3antrrr simpllr fnsng syl2anc
      co disjsn sylibr snidg fvun2 syl112anc fvsng eqtrd adantr wrex cmpt uneq1
      wn cbvmptv eqtri vex snex unex elrnmpti sylib r19.29a ralrimiva invdisj )
      AHOQZUAZFQZRZOGUBZULZFEULFEWJUCAWKFEAWHESZTZWIOWJWMWFWJSZTZWFPQZHWHUDZUEZ
      UFZRZWIPCWOWPCSZTZWTTZWGHWSUAZWHXCHWFWSXBWTUGUHXBXDWHRWTXBXDHWRUAZWHXBWPD
      UIZWRHUEZUIZDXGUJUKRZHXGSZXDXERXBWPEDUMVCZSXFXBCXKWPWMCXKUNWNXAJUOWOXAUGU
      PWPEDUQURXBHISZWLXHAXLWLWNXALUSZAWLWNXAUTZHWHIEVAVBAXIWLWNXAAHDSVOXIMDHVD
      VEUSXBXLXJXMHIVFURDXGWPWRHVGVHXBXLWLXEWHRXMXNHWHIEVIVBVJVKVJWOWNWTPCVLWMW
      NUGPCWSWFGGBCBQZWRUFZVMPCWSVMNBPCXPWSXOWPWRVNVPVQWPWRPVRWQVSVTWAWBWCWDWDF
      OEWJWGWEUR $.
  $}

  ${
    $d N x y z $.
    $( The basis for the circle method in the form of trigonometric sums.
       Proposition of [Nathanson] p. 123.  (Contributed by Thierry Arnoux,
       2-Dec-2021.) $)
    itgexpif $p |- ( N e. ZZ -> S. ( 0 (,) 1 ) ( exp ` ( ( _i x. ( 2 x. _pi ) )
      x. ( N x. x ) ) ) _d x = if ( N = 0 , 1 , 0 ) ) $=
      ( vy wcel cc0 wceq c1 co cmul ce cfv wa fveq2d cc cr cdiv cmpt a1i mulcld
      adantr vz cz cif cioo ci c2 cpi cv citg wral oveq1 oveq2d ax-resscn sstri
      ioossre sseli mul02d ax-icn 2cn picn mulcli mul01i ef0 sylan9eq ralrimiva
      eqtrdi itgeq2 syl cdm ioombl 0re 1re ioovolcl mp2an ax-1cn itgconst mp3an
      cvol cmin cle wbr 0le1 volioo subid1i oveq2i mulid1i 3eqtri adantl eqcomd
      eqtri wn cdv cmnf cpnf ioomax eqcomi 0red 1red wss sselda 2cnd simpl zcnd
      simpr efcld syldan ine0 pipos gtneii mulne0i neqned mulne0d divcld fmpttd
      wne ccncf reelprrecn cnelprrecn dvmptid dvmptcmul mulid1d mpteq2dva eqtrd
      2ne0 cpr dvef eff feqmptd 3eqtr3a dvmptdivc fveq2 oveq1d dvmptco divcan1d
      wf efcn cres mp1i eqeltrrd fvmptd resmpt eqid mulc1cncf rescncf cncfmpt1f
      wi mpd eqeltrd ftc2re fveq1d cbvmptv fvmpt2d mulassd sylan2 ef2kpi sselid
      oveq2 eqidd mul01d oveq12d subidd 3eqtr3d ifeqda ) BUBDZBEFZGEUCAEGUDHZUE
      UFUGIHZIHZBAUHZIHZIHZJKZUIZUVDUVEGEUVMUVDUVELUVMGUVEUVMGFUVDUVEUVMAUVFGUI
      ZGUVEUVLGFZAUVFUJUVMUVNFUVEUVOAUVFUVEUVIUVFDZUVLUVHEUVIIHZIHZJKZGUVEUVKUV
      RJUVEUVJUVQUVHIBEUVIIUKULMUVPUVSEJKZGUVPUVREJUVPUVRUVHEIHEUVPUVQEUVHIUVPU
      VIUVFNUVIUVFONEGUOZUMUNUPUQULUVHUEUVGURUFUGUSUTVAZVAZVBVFMVCVFVDVEAUVFUVL
      GVGVHUVNGUVFVRKZIHZGGIHGUVFVRVIDUWDODZGNDZUVNUWEFEGVJEODZGODZUWFVKVLEGVMV
      NVOAUVFGVPVQUWDGGIUWDGEVSHZGUWHUWIEGVTWAZUWDUWJFVKVLWBEGWCVQGVOWDWJWEGVOW
      FWGVFWHWIUVDUVEWKZLZUVMEUWMAUVFUVIOCOUVHBIHZCUHZIHZJKZUWNPHZQZWLHZKZUIZGU
      WSKZEUWSKZVSHZUVMEUWMAEGWMWNOUWSWMWNUDHOWOWPUWMWQZUWMWRZUWKUWMWBRUWMCOUWR
      NUWMUWOODZLZUWQUWNUWMUXHUWONDZUWQNDUWMONUWOONWSZUWMUMRZWTZUWMUXJLZUWPUXNU
      WNUWOUWMUWNNDZUXJUWMUVHBUWMUEUVGUENDUWMURRUWMUFUGUWMXAUGNDUWMUTRSSZUWMBUV
      DUWLXBZXCZSZTUWMUXJXDSXEXFZUWMUXOUXHUXSTZUWMUWNEXOZUXHUWMUVHBUXPUXRUVHEXO
      UWMUEUVGURUWBXGUFUGUSUTYDEUGVKXHXIXJXJRUWMBEUVDUWLXDXKXLZTZXMXNUWMUWTCOUW
      QQZONXPHZUWMUWTCOUWRUWNIHZQUYEUWMCUAUWPUWNUAUHZJKZUWNPHZUYJONUWRUWRNNONOO
      NYEZDUWMXQRZNUYKDUWMXRRZUXIUWNUWOUYAUXMSUYAUWMUYHNDZLZUYIUWNUYOUYHUWMUYNX
      DXEZUWMUXOUYNUXSTUWMUYBUYNUYCTXMZUYQUWMOCOUWPQZWLHCOUWNGIHZQCOUWNQUWMCUWO
      GUWNOOOUYLUXMUWIUXIVLRUWMCOUYLXSUXSXTUWMCOUYSUWNUXIUWNUYAYAYBYCUWMUAUYIUY
      IUWNNNNUYMUYPUYPUWMNJWLHJNUANUYIQZWLHUYTYFUWMJUYTNWLUWMUANNJNNJYOUWMYGRYH
      ZULVUAYIUXSUYCYJUYHUWPFUYIUWQUWNPUYHUWPJYKYLZVUBYMUWMCOUYGUWQUXIUWQUWNUXT
      UYAUYDYNYBYCZUWMCUWPJOJNNXPHZDUWMYPRUWMCNUWPQZOYQZUYRUYFUXKVUFUYRFUWMUMCN
      OUWPUUAYRUWMVUEVUDDZVUFUYFDZUWMUXOVUGUXSCUWNVUEVUEUUBUUCVHUXKVUGVUHUUFUWM
      UMNNOVUEUUDYRUUGYSUUEUUHUUIUWMUXAUVLFZAUVFUJUXBUVMFUWMVUIAUVFUVPUWMUVIODZ
      VUIUVFOUVIUWAUPUWMVUJLZUXAUVIUYEKZUVLVUKUVIUWTUYEUWMUWTUYEFVUJVUCTUUJVUKV
      ULUWNUVIIHZJKZUVLUWMAOVUNUYENUYEAOVUNQFUWMCAOUWQVUNUWOUVIFUWPVUMJUWOUVIUW
      NIUUQMUUKRVUKVUMVUKUWNUVIUWMUXOVUJUXSTUWMONUVIUXLWTZSXEUULVUKVUMUVKJVUKUV
      HBUVIUVHNDVUKUWCRUWMBNDVUJUXRTVUOUUMMYCYCUUNVEAUVFUXAUVLVGVHUWMUXEGUWNPHZ
      VUPVSHEUWMUXCVUPUXDVUPVSUWMUXCUYSJKZUWNPHZVUPUWMCGUWRVUROUWSNUWMUWSUURZUW
      MUWOGFZLZUWQVUQUWNPVVAUWPUYSJVVAUWOGUWNIUWMVUTXDULMYLUXGUWMVUQUWNUWMUYSUW
      MUWNGUXSUWGUWMVORSXEUXSUYCXMZYTUWMVUQGUWNPUWMVUQUWNJKZGUWMUYSUWNJUWMUWNUX
      SYAMUWMUVDVVCGFUXQBUUOVHYCYLZYCUWMUXDUWNEIHZJKZUWNPHZVUPUWMCEUWRVVGOUWSNV
      USUWMUWOEFZLZUWQVVFUWNPVVIUWPVVEJVVIUWOEUWNIUWMVVHXDULMYLUXFUWMVVFUWNUWMV
      VEUWMUWNEUXSUWMONEUMUXFUUPSXEUXSUYCXMYTUWMVVFGUWNPUWMVVFUVTGUWMVVEEJUWMUW
      NUXSUUSMVCVFYLYCUUTUWMVUPUWMVURVUPNVVDVVBYSUVAYCUVBWIUVCWI $.
  $}

  ${
    $d A k $.  $d B i $.  $d M i j k $.  $d N i j k $.  $d i j k ph $.
    fzsum2sub.m $e |- ( ph -> M e. NN0 ) $.
    fzsum2sub.n $e |- ( ph -> N e. NN0 ) $.
    fzsum2sub.1 $e |- ( i = ( k - j ) -> A = B ) $.
    fzsum2sub.2 $e |- ( ( ph /\ i e. ( ZZ>= ` -u j ) /\ j e. ( 1 ... N ) )
      -> A e. CC ) $.
    fzsum2sub.3 $e |- ( ( ( ph /\ j e. ( 1 ... N ) )
      /\ k e. ( ( ( M + j ) + 1 ) ... ( M + N ) ) ) -> B = 0 ) $.
    fzsum2sub.4 $e |- ( ( ( ph /\ j e. ( 1 ... N ) ) /\ k e. ( 0 ..^ j ) )
      -> B = 0 ) $.
    $( Lemma for ~ breprexp - Re-index a double sum, using difference of the
       initial indices.  (Contributed by Thierry Arnoux, 7-Dec-2021.) $)
    fsum2dsub $p |- ( ph -> sum_ i e. ( 0 ... M ) sum_ j e. ( 1 ... N ) A
      = sum_ k e. ( 0 ... ( M + N ) ) sum_ j e. ( 1 ... N ) B ) $=
      ( co cc0 csu caddc wcel adantr c1 cfz cv wa simpr elfzelzd 0zd nn0zd cneg
      cz cuz cfv cc simpll wss cn0 cn fz1ssnn nnssnn0 sstri nn0uz eleqtrdi neg0
      sselid uzneg eqeltrrid 3syl fzssuz sstrdi sselda syl3anc fsumshft clt wbr
      fzss1 cin c0 wceq nnnn0d nn0addcld nn0red ltp1d fzdisj syl cun zaddcld cr
      cle nnred nn0addge2 syl2anc elfzle2 leadd2dd elfzd fzsplit fzfid fz2ssnn0
      adantl sseldd cmin eleq1d simplr an32s ralrimiva nnsscn nn0cnd negsubdi2d
      wral eluzmn eqeltrrd rspcdva fsumsplit zcnd addid2d oveq1d eqcomd sumeq1d
      syl21anc sumeq2dv cfn fzfi sumz olcs ax-mp eqtrdi oveq12d elfzuz3 eluzadd
      zsscn addcomd fveq2d fsumcl 3eqtrrd cfzo zred letrd 3eqtr4d eqtrd fsumcom
      fzval3 3eltr3d fzss2 eleqtrd addid1d ineq2d fzodisj peano2zd lep1d uneq2d
      nn0ge0d fzosplit simpl adantrl fz0ssnn0 simprl anass1rs anasss ancom2s
      fzofi ) AUAHUBOZPGUBOZBDQZEQUUTPGHROZUBOZCFQZEQUVAUUTBEQDQUVDUUTCEQFQAUUT
      UVBUVEEAEUCZUUTSZUDZUVBPUVFROZGUVFROZUBOZCFQZUVEUVHBCDFUVFPGUVHUVFUAHAUVG
      UEZUFZUVHUGZAGUJSZUVGAGIUHZTZUVHDUCZUVASZUDAUVSUVFUIZUKULZSZUVGBUMSZAUVGU
      VTUNUVHUVAUWBUVSUVHUVAUWAGUBOZUWBUVHUVFPUKULZSZPUWBSUVAUWEUOUVHUVFUPUWFUV
      HUUTUPUVFUUTUQUPHURZUSUTZUVMVDVAVBUWGPPUIUWBVCPUVFVEVFPUWAGVOVGUWAGVHVIVJ
      UVHUVGUVTUVMTLVKZKVLUVHUVLUVFUVCUBOZCFQZUVEUVHUWLUVFUVJUBOZCFQZUVJUAROZUV
      CUBOZCFQZROUVLPROUVLUVHUWMUWPCUWKFUVHUVJUWOVMVNUWMUWPVPVQVRUVHUVJUVHUVJUV
      HGUVFAGUPSZUVGITZUVHUVFUVHUUTUQUVFUWHUVMVDZVSZVTZWAWBUVFUVJUWOUVCWCWDUVHU
      VJUWKSUWKUWMUWPWEVRUVHUVJUVFUVCUVNAUVCUJSZUVGAGHUVQAHJUHWFTZUVHUVJUXBUHUV
      HUVFWGSUWRUVFUVJWHVNUVHUVFUWTWIZUWSUVFGWJWKUVHUVFHGUXEAHWGSZUVGAHJWAZTZUV
      HGUWSWAUVGUVFHWHVNAUVFUAHWLWRZWMWNUVJUVFUVCWOWDUVHUVFUVCWPZUVHFUCZUWKSZUD
      ZAUVGUXKUPSZCUMSZAUVGUXLUNUVHUVGUXLUVMTZUXMUWKUPUXKUXMUVFUPSUWKUPUOUXMUUT
      UPUVFUWIUXPVDUVFUVCWQWDUVHUXLUEWSZUVHUXNUDZUWDUXODUWBUXKUVFWTOZUVSUXSVRBC
      UMKXAUVHUWDDUWBXHUXNUVHUWDDUWBAUWCUVGUWDAUWCUDZUVGUDAUWCUVGUWDAUWCUVGUNAU
      WCUVGXBUXTUVGUELVKXCXDTUXRUVFUXKWTOZUIZUXSUWBUXRUVFUXKUXRUUTUMUVFUUTUQUMU
      WHXEUTAUVGUXNXBZVDUXRUXKUVHUXNUEZXFXGUXRUVFUYAUKULSZUYBUWBSUXRUVFUJSUXNUY
      EUXRUVFUAHUYCUFUYDUVFUXKXIWKUYAUVFVEWDXJXKZXRZXLUVHUWNUVLUWQPRUVHUWMUVKCF
      UVHUVKUWMUVHUVIUVFUVJUBUVHUVFUVHUVFUVNXMZXNXOZXPXQUVHUWQUWPPFQZPUVHUWPCPF
      MXSUWPXTSZUYJPVRZUWOUVCYAUWPUWFUOUYKUYLUWPFPYBYCYDYEYFUVHUVLUVHUVKCFUVHUV
      IUVJWPUVHUXKUVKSZUDZAUVGUXNUXOAUVGUYMUNZUVHUVGUYMUVMTZUYNAUVGUXLUXNUYOUYP
      UYNUWMUWKUXKUYNUVCUVJUKULZSZUWMUWKUOUVHUYRUYMUVHHGROZUVFGROZUKULZUVCUYQUV
      HHUVFUKULSZUVPUYSVUASUVGVUBAUVFUAHYGWRUVRGUVFHYHWKUVHHGAHUMSUVGAHJXFTUVHU
      JUMGYIUVRVDZYJUVHUYTUVJUKUVHUVFGUYHVUCYJYKUUATUVJUVFUVCUUBWDUYNUXKUVKUWMU
      VHUYMUEUVHUVKUWMVRUYMUYITUUCWSUXQXRUYFXRYLUUDYMUVHUVEPUVFYNOZCFQZUWLROPUW
      LROUWLUVHVUDUWKCUVDFUVHVUDUWKVPVUDUVFUVCUAROZYNOZVPVQUVHUWKVUGVUDUVHUXCUW
      KVUGVRUXDUVFUVCYTWDZUUEPUVFVUFUUFYEUVHPVUFYNOZVUDVUGWEZUVDVUDUWKWEUVHUVFP
      VUFUBOSVUIVUJVRUVHUVFPVUFUVOUVHUVCUXDUUGZUVNUVHUVFUXAUUJUVHUVFHVUFUXEUXHU
      VHVUFVUKYOZUXIUVHHUVCVUFUXHUVHUVCUXDYOZVULAHUVCWHVNZUVGAUXFUWRVUNUXGIHGWJ
      WKTUVHUVCVUMUUHYPYPWNPVUFUVFUUKWDUVHUXCUVDVUIVRUXDPUVCYTWDUVHUWKVUGVUDVUH
      UUIYQAUVDXTSUVGAPUVCWPZTAUXKUVDSZUVGUXOAVUPUVGUDZUDZAUVGUXNUXOAVUQUULAUVG
      UVGVUPUVMUUMVURUVDUPUXKUVCUUNAVUPUVGUUOVDUYFXRZUUPXLUVHVUEPUWLRUVHVUEVUDP
      FQZPUVHVUDCPFNXSVUDXTSZVUTPVRZPUVFUUSVUDUWFUOVVAVVBVUDFPYBYCYDYEXOUVHUWLU
      VHUWKCFUXJUYGYLXNYMYRYRXSAUVAUUTBDEAPGWPAUAHWPZAUVGUVTUWDAUVGUVTUWDUWJUUQ
      UURYSAUVDUUTCFEVUOVVCVUSYSYQ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Representations of a number as sums of integers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c repr $.

  $( Representations of a number as a sum of nonnegative integers. $)
  crepr $a class repr $.

  ${
    $d a b c m s $.
    $( The representations of a nonnegative ` m ` as the sum of ` s `
       nonnegative integers from a set ` b ` .  Cf.  Definition of [Nathanson]
       p. 123.  (Contributed by Thierry Arnoux, 1-Dec-2021.) $)
    df-repr $a |- repr = ( s e. NN0 |-> ( b e. ~P NN , m e. ZZ
      |-> { c e. ( b ^m ( 0 ..^ s ) ) |
        sum_ a e. ( 0 ..^ s ) ( c ` a ) = m } ) ) $.
  $}

  ${
    $d A b c m $.  $d M b c m $.  $d S a b c m s $.  $d ph b c m s $.
    reprval.a $e |- ( ph -> A C_ NN ) $.
    reprval.m $e |- ( ph -> M e. ZZ ) $.
    reprval.s $e |- ( ph -> S e. NN0 ) $.
    $( Value of the representations of ` M ` as the sum of ` S ` nonnegative
       integers in a given set ` A ` .  (Contributed by Thierry Arnoux,
       1-Dec-2021.) $)
    reprval $p |- ( ph -> ( A ( repr ` S ) M ) = { c e. ( A ^m ( 0 ..^ S ) ) |
      sum_ a e. ( 0 ..^ S ) ( c ` a ) = M } ) $=
      ( vb vm vs cn cz cc0 co cv wceq cmap cvv cpw cfzo cfv csu crab crepr cmpo
      cn0 df-repr oveq2 oveq2d sumeq1d eqeq1d rabeqbidv mpoeq3dv wcel nnex pwex
      zex mpoex a1i fvmptd3 simprl oveq1d simprr eqeq2d ssexd elpwd ovex ovmpod
      wa rabex ) AJKBDMUAZNOCUBPZEQFQUCZEUDZKQZRZFJQZVNSPZUEZVPDRZFBVNSPZUEZCUF
      UCTALCJKVMNOLQZUBPZVOEUDZVQRZFVSWFSPZUEZUGJKVMNWAUGZUHUFTKLEJFUIWECRZJKVM
      NWJWAWLWHVRFWIVTWLWFVNVSSWECOUBUJZUKWLWGVPVQWLWFVNVOEWMULUMUNUOIWKTUPAJKV
      MNWAMUQURUSUTVAVBAVSBRZVQDRZVKVKZVRWBFVTWCWPVSBVNSAWNWOVCVDWPVQDVPAWNWOVE
      VFUNABMTABMTMTUPAUQVAGVGGVHHWDTUPAWBFWCBVNSVIVLVAVJ $.

    $( There is exactly one representation with no elements (an empty sum),
       only for ` M = 0 ` .  (Contributed by Thierry Arnoux, 2-Dec-2021.) $)
    repr0 $p |- ( ph -> ( A ( repr ` 0 ) M ) = if ( M = 0 , { (/) } , (/) ) )
      $=
      ( va vc cc0 cfv co wceq cmap c0 wcel a1i wa cvv eqcomd crepr cfzo cv crab
      csu csn cif cn0 0nn0 reprval fzo0 sumeq1i sum0 eqtri eqeq1i 0ex snid nnex
      wb ssexd mapdm0 syl eleqtrrid oveq2i eleqtrrdi adantr simpr syl5eq eleq2d
      cn biimpa elsni ad4ant13 rabeqsnd wn wral simplr neqned eqnetrd ralrimiva
      necomd neneqd rabeq0 sylibr ifeqda eqtr4d ) ABDJUAKLJJUBLZHUCIUCZKZHUEZDM
      ZIBWGNLZUDZDJMZOUFZOUGABJDHIEFJUHPAUIQUJAWNWOOWMAWNRZWMWOWPWKJDMZIWLOWKWQ
      USWHOMZWJJDWJOWIHUEJWGOWIHJUKZULWIHUMUNZUOQAOWLPWNAOBONLZWLAOWOXAOUPUQABS
      PXAWOMABVJSVJSPAURQEUTBSVAVBZVCWGOBNWSVDZVEVFWPDJAWNVGTAWHWLPZWRWNWKAXDRW
      HWOPZWRAXDXEAWLWOWHAWLXAWOXCXBVHVIVKWHOVLVBVMVNTAWNVOZRZWMOXGWKVOZIWLVPWM
      OMXGXHIWLXGXDRZWJDXIWJJDWJJMXIWTQXIDJXIDJAXFXDVQVRWAVSWBVTWKIWLWCWDTWEWF
      $.

    ${
      $d C a c $.
      reprf.c $e |- ( ph -> C e. ( A ( repr ` S ) M ) ) $.
      $( Members of the representation of ` M ` as the sum of ` S ` nonnegative
         integers from set ` A ` as functions.  (Contributed by Thierry Arnoux,
         5-Dec-2021.) $)
      reprf $p |- ( ph -> C : ( 0 ..^ S ) --> A ) $=
        ( va vc cc0 cfzo co cv cfv csu wceq cmap wcel crab crepr reprval elrabi
        wf eleqtrd elmapi 3syl ) ACLDMNZJOKOPJQERZKBUISNZUAZTCUKTUIBCUEACBEDUBP
        NULIABDEJKFGHUCUFUJKCUKUDCBUIUGUH $.

      $( Sums of values of the members of the representation of ` M ` equal
         ` M ` .  (Contributed by Thierry Arnoux, 5-Dec-2021.) $)
      reprsum $p |- ( ph -> sum_ a e. ( 0 ..^ S ) ( C ` a ) = M ) $=
        ( vc cc0 cfzo co cmap wcel cv cfv csu wceq crab crepr reprval sumeq2sdv
        wa eleqtrd fveq1 eqeq1d elrab sylib simprd ) ACBLDMNZONZPZULFQZCRZFSZET
        ZACULUOKQZRZFSZETZKUMUAZPUNURUEACBEDUBRNVCJABDEFKGHIUCUFVBURKCUMUSCTZVA
        UQEVDULUTUPFUOUSCUGUDUHUIUJUK $.

      $d X a $.  $d ph a $.
      reprle.x $e |- ( ph -> X e. ( 0 ..^ S ) ) $.
      $( Upper bound to the terms in the representations of ` M ` as the sum of
         ` S ` nonnegative integers from set ` A ` .  (Contributed by Thierry
         Arnoux, 27-Dec-2021.) $)
      reprle $p |- ( ph -> ( C ` X ) <_ M ) $=
        ( va cc0 cfzo co cv cfv fveq2 wcel cn cfn fzofi reprsum wa adantr reprf
        a1i wss ffvelrnda sseldd nnrpd fsumub ) AMDNOZLPZCQZEFCQLFUNFCRUMUASAMD
        UBUGABCDELGHIJUCAUNUMSZUDZUOUQBTUOABTUHUPGUEAUMBUNCABCDEGHIJUFUIUJUKKUL
        $.
    $}

    ${
      $d A a d e $.  $d F e $.  $d M a d e $.  $d S a b d c e $.
      $d a d e ph $.
      reprsuc.f $e |- F = ( c e. ( A ( repr ` S ) ( M - b ) )
        |-> ( c u. { <. S , b >. } ) ) $.
      $( Express the representations recursively.  (Contributed by Thierry
         Arnoux, 5-Dec-2021.) $)
      reprsuc $p |- ( ph -> ( A ( repr ` ( S + 1 ) ) M ) = U_ b e. A ran F ) $=
        ( va co cfv wceq wcel wa ad2antrr adantr cc ve vd c1 caddc crepr cc0 cv
        cfzo csu cmap crab crn ciun cn0 1nn0 a1i nn0addcld reprval wrex cop csn
        cun cmin wf simplr elmapi fzonn0p1 ffvelrnd simpr oveq2d wb opeq2 sneqd
        syl uneq2d eqeq2d adantl rexeqbidv cres wss fzossfzop1 fssresd cvv nnex
        cn ssexd cfn fzofi elmapg sylancl mpbird nnsscn ffvelrnda sseldd fsumcl
        elexi sstrd pncand nfv nfcv wn fzonel sselda fsumsplitsn cuz fzosplitsn
        fveq2 nn0uz eleq2s sumeq1d fvresd sumeq2dv oveq1d 3eqtr4d jca sumeq2sdv
        eqtr3d fveq1 eqeq1d elrab sylibr cz sstrdi zsubcld eleqtrrd uneq1d cdif
        nnssz wfn ffnd fnsnsplit syl2anc eleqtrdi fzodif2 eqtrd rspcedvd fveq1d
        reseq2d syl112anc 3eqtrd anasss reprf fsnd cin c0 fzodisjsn fun2d feq2d
        eqeltrd ad4antr feq1d elun1 ad3antrrr fvun1 sumeq2d reprsum snidg fvun2
        ovex ralrimiva fvsng oveq12d zsscn sselid eqeltrrd npcand r19.29ffa vex
        impbida snex unex elrnmpti rexbii bitr4di cbvrabv rabeq2i eliun 3bitr4g
        eqrdv ) ABECUCUDMZUENMUFUVTUHMZLUGZGUGZNZLUIZEOZGBUWAUJMZUKZFBDULZUMZAB
        UVTELGHIACUCJUCUNPAUOUPUQURAUAUWHUWJAUAUGZUWGPZUWAUWBUWKNZLUIZEOZQZUWKU
        WIPZFBUSZUWKUWHPUWKUWJPAUWPUWKUWCCFUGZUTZVAZVBZOZGBEUWSVCMZCUENZMZUSZFB
        USZUWRAUWPUXHAUWLUWOUXHAUWLQZUWOQZUXGUWKUWCCCUWKNZUTZVAZVBZOZGBEUXKVCMZ
        UXEMZUSFUXKBUXJUWABCUWKUXJUWLUWABUWKVDZAUWLUWOVEUWKBUWAVFZVNZUXJCUNPZCU
        WAPZAUYAUWLUWOJRZCVGZVNZVHZUXJUWSUXKOZQZUXCUXOGUXFUXQUYHUXDUXPBUXEUYHUW
        SUXKEVCUXJUYGVIVJVJUYGUXCUXOVKUXJUYGUXBUXNUWKUYGUXAUXMUWCUYGUWTUXLUWSUX
        KCVLVMVOVPVQVRUXJUXOUWKUWKUFCUHMZVSZUXMVBZOGUYJUXQUXJUYJUYIUWBUBUGZNZLU
        IZUXPOZUBBUYIUJMZUKZUXQUXJUYJUYPPZUYIUWBUYJNZLUIZUXPOZQUYJUYQPUXJUYRVUA
        UXJUYRUYIBUYJVDZUXIVUBUWOUXIUWABUYIUWKUWLUXRAUXSVQZUXIUYAUYIUWAVTAUYAUW
        LJSZCWAVNZWBZSAUYRVUBVKZUWLUWOABWCPZUYIWCPVUGABWEWCWEWCPAWDUPHWFZUYIWGU
        FCWHZWPBUYIUYJWCWCWIWJRWKUXJUYTUXKUDMZUXKVCMUYTUXPUXJUYTUXKUXIUYTTPUWOU
        XIUYIUYSLUYIWGPZUXIVUJUPZUXIUWBUYIPZQZBTUYSABTVTZUWLVUNABWETHWETVTAWLUP
        WQZRZUXIUYIBUWBUYJVUFWMWNWOSUXIUXKTPUWOUXIBTUXKAVUPUWLVUQSUXIUWABCUWKVU
        CUXIUYAUYBVUDUYDVNVHWNZSWRUXJVUKEUXKVCUXJUWNVUKEUXIUWNVUKOUWOUXIUYICVAZ
        VBZUWMLUIZUYIUWMLUIZUXKUDMZUWNVUKUXIUYICUWMUXKLUNUXILWSLUXKWTZVUMVUDCUY
        IPXAZUXIUFCXBZUPVUOBTUWMVURVUOUWABUWBUWKUXIUXRVUNVUCSUXIUYIUWAUWBVUEXCV
        HWNUWBCUWKXGZVUSXDUXIUWAVVAUWMLUXIUYAUWAVVAOZVUDVVICUFXENZUNUFCXFXHXIZV
        NXJUXIUYTVVCUXKUDUXIUYIUYSUWMLVUOUWBUYIUWKUXIVUNVIXKXLXMXNSUXIUWOVIXQXM
        XQXOUYOVUAUBUYJUYPUYLUYJOZUYNUYTUXPVVLUYIUYMUYSLUWBUYLUYJXRXPXSXTYAUXJB
        CUXPLUBABWEVTZUWLUWOHRUXJEUXKAEYBPZUWLUWOIRUXJBYBUXKABYBVTUWLUWOABWEYBH
        YHYCZRUYFWNYDUYCURYEUXJUWCUYJOZQZUXNUYKUWKVVQUWCUYJUXMUXJVVPVIYFVPUXJUW
        KUWKUWAVUTYGZVSZUXMVBZUYKUXJUWKUWAYIUYBUWKVVTOUXJUWABUWKUXTYJUYEUWAUWKC
        YKYLUXJVVSUYJUXMUXJVVRUYIUWKUXJCVVJPVVRUYIOUXJCUNVVJUYCXHYMUFCYNVNYRYFY
        OYPYPUUAAUXCUWPFGBUXFAUWSBPZQZUWCUXFPZQZUXCQZUWLUWOVWEUWKUXBUWGVWDUXCVI
        ZVWDUXBUWGPZUXCVWDVWGUWABUXBVDZVWDVWHVVABUXBVDVWDUYIVUTBUWCUXAVWDBUWCCU
        XDVWBVVMVWCAVVMVWAHSSZVWBUXDYBPZVWCVWBEUWSAVVNVWAISZABYBUWSVVOXCYDSZVWB
        UYAVWCAUYAVWAJSSZVWBVWCVIZUUBZVWDCUWSUNBVWMAVWAVWCVEZUUCZUYIVUTUUDUUEOZ
        VWDUFCUUFZUPUUGVWDUWAVVABUXBVWDUYAVVIVWMVVKVNZUUHWKZAVWGVWHVKZVWAVWCAVU
        HUWAWCPVXBVUIUFUVTUHUUSBUWAUXBWCWCWIWJRWKSUUIVWEUWNVVBVVDEVWEUWAVVAUWML
        VWDVVIUXCVWTSXJVWEUYICUWMUXKLUNVWELWSVVEVULVWEVUJUPVWDUYAUXCVWMSZVVFVWE
        VVGUPVWEVUNQZBTUWMAVUPVWAVWCUXCVUNVUQUUJVXDUWABUWBUWKVWEUXRVUNVWEUXRVWH
        VWDVWHUXCVXASVWEUWABUWKUXBVWFUUKWKZSVXDUWBVVAUWAVXDVUNUWBVVAPVWEVUNVIZU
        WBUYIVUTUULVNVWDVVIUXCVUNVWTRYEVHWNVVHVWEBTUXKAVUPVWAVWCUXCVUQUUMVWEUWA
        BCUWKVXEVWEUYAUYBVXCUYDVNVHWNZXDVWEVVDUXDUWSUDMEVWEVVCUXDUXKUWSUDVWEVVC
        UYIUWDLUIUXDVWEUYIUWMUWDLVWEUWMUWDOLUYIVXDUWMUWBUXBNZUWDVXDUWBUWKUXBVWD
        UXCVUNVEYQVXDUWCUYIYIZUXAVUTYIZVWRVUNVXHUWDOVWDVXIUXCVUNVWDUYIBUWCVWOYJ
        ZRVWDVXJUXCVUNVWDVUTBUXAVWQYJZRVWRVXDVWSUPVXFUYIVUTUWCUXAUWBUUNYSYOUUTU
        UOVWEBUWCCUXDLVWDVVMUXCVWISVWDVWJUXCVWLSVXCVWDVWCUXCVWNSUUPYOVWEUXKCUXB
        NZCUXANZUWSVWECUWKUXBVWFYQVWEVXIVXJVWRCVUTPZVXMVXNOVWDVXIUXCVXKSVWDVXJU
        XCVXLSVWRVWEVWSUPVWEUYAVXOVXCCUNUUQVNUYIVUTUWCUXACUURYSVWEUYAVWAVXNUWSO
        VXCVWDVWAUXCVWPSCUWSUNBUVAYLYTZUVBVWEEUWSVWEYBTEUVCVWBVVNVWCUXCVWKRUVDV
        WEUXKUWSTVXPVXGUVEUVFYOYTXOUVGUVIUWQUXGFBGUXFUXBUWKDKUWCUXAGUVHUWTUVJUV
        KUVLUVMUVNUWOUAUWHUWGUWFUWOGUAUWGUWCUWKOZUWEUWNEVXQUWAUWDUWMLUWBUWCUWKX
        RXPXSUVOUVPFUWKBUWIUVQUVRUVSYO $.
    $}

    ${
      reprfi.1 $e |- ( ph -> A e. Fin ) $.
      $( Bounded representations are finite sets.  (Contributed by Thierry
         Arnoux, 7-Dec-2021.) $)
      reprfi $p |- ( ph -> ( A ( repr ` S ) M ) e. Fin ) $=
        ( va vc crepr cfv co cc0 cfzo cv csu wceq cfn wcel cmap reprval sylancl
        crab fzofi mapfi rabfi syl eqeltrd ) ABDCKLMNCOMZIPJPLIQDRZJBUJUAMZUDZS
        ABCDIJEFGUBAULSTZUMSTABSTUJSTUNHNCUEBUJUFUCUKJULUGUHUI $.
    $}

    ${
      $d B c $.
      reprss.1 $e |- ( ph -> B C_ A ) $.
      $( Representations with terms in a subset.  (Contributed by Thierry
         Arnoux, 11-Dec-2021.) $)
      reprss $p |- ( ph -> ( B ( repr ` S ) M ) C_ ( A ( repr ` S ) M ) ) $=
        ( va vc co cv cfv cmap crab wcel cvv wss cn cc0 cfzo csu wceq crepr a1i
        nnex ssexd mapss syl2anc sselda adantrr rabss3d sstrd reprval 3sstr4d )
        AUADUBLZJMKMZNJUCEUDZKCUQOLZPUSKBUQOLZPCEDUENZLBEVBLAUSKUTVAAURUTQURVAQ
        USAUTVAURABRQCBSUTVASABTRTRQAUGUFFUHICBUQRUIUJUKULUMACDEJKACBTIFUNGHUOA
        BDEJKFGHUOUP $.
    $}

    ${
      $d B c $.
      $( Representations with term in an intersection.  (Contributed by Thierry
         Arnoux, 11-Dec-2021.) $)
      reprinrn $p |- ( ph -> ( c e. ( ( A i^i B ) ( repr ` S ) M )
        <-> ( c e. ( A ( repr ` S ) M ) /\ ran c C_ B ) ) ) $=
        ( va cv cc0 co wcel wa wf cvv cn anbi1d bitrdi cin cfzo cfv csu crn wss
        cmap wceq crepr fin wfn df-f adantl biantrurd bicomd syl5bb pm5.32da wb
        ffn nnex a1i ssexd inex1g ovex elmapg sylancl 3bitr4d crab inss1 sstrid
        syl reprval eleq2d rabid an32 ) AFKZBCUAZLDUBMZUGMZNZVRJKVPUCJUDEUHZOZV
        PBVRUGMZNZVPUECUFZOZWAOZVPVQEDUIUCZMZNZVPBEWHMZNZWEOZAVTWFWAAVRVQVPPZVR
        BVPPZWEOZVTWFWNWOVRCVPPZOAWPVRBCVPUJAWOWQWEWQVPVRUKZWEOZAWOOZWEVRCVPULW
        TWEWSWTWRWEWOWRAVRBVPUSUMUNUOUPUQUPAVQQNZVRQNZVTWNURABQNZXAABRQRQNAUTVA
        GVBZBCQVCVKLDUBVDZVQVRVPQQVEVFAWDWOWEAXCXBWDWOURXDXEBVRVPQQVEVFSVGSAWJV
        PWAFVSVHZNWBAWIXFVPAVQDEJFAVQBRBCVIGVJHIVLVMWAFVSVNTAWMWDWAOZWEOWGAWLXG
        WEAWLVPWAFWCVHZNXGAWKXHVPABDEJFGHIVLVMWAFWCVNTSWDWAWEVOTVG $.
    $}

    ${
      $d A a $.  $d S a $.  $d ph a $.
      reprlt.1 $e |- ( ph -> M < S ) $.
      $( There are no representations of ` M ` with more than ` M ` terms.
         Remark of [Nathanson] p. 123.  (Contributed by Thierry Arnoux,
         7-Dec-2021.) $)
      reprlt $p |- ( ph -> ( A ( repr ` S ) M ) = (/) ) $=
        ( va vc cfv co wceq wcel cr adantr a1i cn cvv c1 crepr cc0 cfzo cv cmap
        csu crab c0 reprval wn wral wa zred nn0red cfn fzofi wss sstrd ad2antrr
        nnssre wf nnex ssexd elexi simpr elmapg biimpa syl21anc ffvelrnd sseldd
        fsumrecl clt wbr cle chash cmul ax-1cn fsumconst mp2an cn0 hashcl ax-mp
        cc nn0cni mulid1i eqtri hashfzo0 syl syl5eq 1red nnge1 eqbrtrrd ltletrd
        fsumle ltned necomd neneqd ralrimiva rabeq0 sylibr eqtrd ) ABDCUAKLUBCU
        CLZIUDZJUDZKZIUFZDMZJBXBUELZUGZUHABCDIJEFGUIAXGUJZJXHUKXIUHMAXJJXHAXDXH
        NZULZXFDXLDXFXLDXFADONXKADFUMPZXLDCXFXMACONXKACGUNPXLXBXEIXBUONZXLUBCUP
        ZQZXLXCXBNZULZBOXEABOUQXKXQABROEROUQAUTQURUSXRXBBXCXDXLXBBXDVAZXQXLBSNZ
        XBSNZXKXSAXTXKABRSRSNAVBQEVCPYAXLXBUOXOVDQAXKVEXTYAULXKXSBXBXDSSVFVGVHP
        XLXQVEVIZVJZVKADCVLVMXKHPXLXBTIUFZCXFVNAYDCMXKAYDXBVOKZCYDYETVPLZYEXNTW
        CNYDYFMXOVQXBTIVRVSYEYEXNYEVTNXOXBWAWBWDWEWFACVTNYECMGCWGWHWIPXLXBTXEIX
        PXRWJYCXRXERNTXEVNVMXRBRXEABRUQXKXQEUSYBVJXEWKWHWNWLWMWOWPWQWRXGJXHWSWT
        XA $.
    $}

    ${
      $d A a $.  $d B a c $.  $d M a $.  $d S a $.  $d ph a $.
      hashreprin.b $e |- ( ph -> B e. Fin ) $.
      hashreprin.1 $e |- ( ph -> B C_ NN ) $.
      $( Express a sum of representations over an intersection using a product
         of the indicator function.  (Contributed by Thierry Arnoux,
         11-Dec-2021.) $)
      hashreprin $p |- ( ph -> ( # ` ( ( A i^i B ) ( repr ` S ) M ) )
         = sum_ c e. ( B ( repr ` S ) M )
             prod_ a e. ( 0 ..^ S ) ( ( ( _Ind ` NN ) ` A ) ` ( c ` a ) ) ) $=
        ( cfv co c1 cc0 cn wcel wss adantr cin crepr chash cmul cfzo cind cprod
        csu cv cfn cc wceq reprfi inss2 a1i reprss ssfid 1cnd fsumconst syl2anc
        cif wral cuz wo ralrimivw olcd sumss2 syl21anc wa crn wb reprinrn incom
        wi oveq1i eleq2i bibi1i imbi2i mpbi baibd ifbid cvv nnex r19.21bi fzofi
        cz cn0 simpr reprf prodindf eqtr4d sumeq2dv eqtrd hashcl nn0cnd mulid1d
        fssd syl 3eqtr3rd ) ABCUAZEDUBMZNZOGUHZXBUCMZOUDNZCEXANZPDUENZFUIGUIZMB
        QUFMMMFUGZGUHZXDAXBUJRZOUKRZXCXEULAXFXBACDELIJKUMZACWTDELIJWTCSABCUNUOU
        PZUQZAURZXBOGUSUTAXCXFXHXBRZOPVAZGUHZXJAXBXFSXLGXBVBXFPVCMSZXFUJRZVDXCX
        SULXNAXLGXBXPVEAYAXTXMVFXBXFOGPVGVHAXFXRXIGAXHXFRZVIZXRXHVJBSZOPVAXIYCX
        QYDOPAXQYBYDAXHCBUAZEXANZRZYBYDVIZVKZVNAXQYHVKZVNACBDEGLIJVLYIYJAYGXQYH
        YFXBXHYEWTEXACBVMVOVPVQVRVSVTWAYCXGBFXHQWBAQWBRZGXFAYKGXFYKAWCUOVEWDXGU
        JRYCPDWEUOABQSYBHTYCXGCQXHYCCXHDEACQSYBLTZAEWFRYBITADWGRYBJTAYBWHWIYLWQ
        WJWKWLWMAXDAXDAXKXDWGRXOXBWNWRWOWPWS $.
    $}
  $}

  ${
    $d A a c $.  $d M c $.  $d N a $.  $d S a c $.  $d a c ph $.
    reprgt.n $e |- ( ph -> N e. NN0 ) $.
    reprgt.a $e |- ( ph -> A C_ ( 1 ... N ) ) $.
    reprgt.m $e |- ( ph -> M e. ZZ ) $.
    reprgt.s $e |- ( ph -> S e. NN0 ) $.
    reprgt.1 $e |- ( ph -> ( S x. N ) < M ) $.
    $( There are no representations of more than ` ( S x. N ) ` with only ` S `
       terms bounded by ` N ` .  Remark of [Nathanson] p. 123.  (Contributed by
       Thierry Arnoux, 7-Dec-2021.) $)
    reprgt $p |- ( ph -> ( A ( repr ` S ) M ) = (/) ) $=
      ( va vc cfv co wceq c1 wcel cr cvv adantr crepr cc0 cfzo cv csu cmap crab
      c0 cfz cn fz1ssnn sstrdi reprval wn wa cfn fzofi a1i wss nnssre ralrimivw
      wral r19.21bi wf ssexd elexi simpr elmapg biimpa syl21anc ffvelrnd sseldd
      ovex fsumrecl cmul nn0red remulcld zred cle ad2antrr elfzle2 fsumle chash
      wbr syl recnd fsumconst sylancr cn0 hashfzo0 oveq1d eqtrd breqtrd lelttrd
      cc clt ltned neneqd ralrimiva rabeq0 sylibr ) ABDCUAMNUBCUCNZKUDZLUDZMZKU
      EZDOZLBXBUFNZUGZUHABCDKLABPEUINZUJGEUKULZHIUMAXGUNZLXHVBXIUHOAXLLXHAXDXHQ
      ZUOZXFDXNXFDXNXBXEKXBUPQZXNUBCUQZURZXNXCXBQZUOZBRXEXNBRUSZKXBAXTKXBVBZLXH
      AYALXHAXTKXBABUJRXKUTULVAVAVCVCXSXBBXCXDXNXBBXDVDZXRXNBSQZXBSQZXMYBAYCXMA
      BXJSXJSQAPEUIVMURGVETYDXNXBUPXPVFURAXMVGYCYDUOXMYBBXBXDSSVHVIVJTXNXRVGVKZ
      VLZVNZXNXFCEVONZDYGXNCEACRQXMACIVPTAERQZXMAEFVPZTVQADRQXMADHVRTXNXFXBEKUE
      ZYHVSXNXBXEEKXQYFAYIXMXRYJVTXSXEXJQXEEVSWDXSBXJXEABXJUSXMXRGVTYEVLXEPEWAW
      EWBAYKYHOXMAYKXBWCMZEVONZYHAXOEWOQYKYMOXPAEYJWFXBEKWGWHAYLCEVOACWIQYLCOIC
      WJWEWKWLTWMAYHDWPWDXMJTWNWQWRWSXGLXHWTXAWL $.
  $}

  ${
    $d A a b c $.  $d N a b c $.  $d S a b c $.  $d a b c ph $.
    reprinfz1.n $e |- ( ph -> N e. NN0 ) $.
    reprinfz1.s $e |- ( ph -> S e. NN0 ) $.
    reprinfz1.a $e |- ( ph -> A C_ NN ) $.
    $( For the representation of ` N ` , it is sufficient to consider
       nonnegative integers up to ` N ` .  Remark of [Nathanson] p. 123
       (Contributed by Thierry Arnoux, 13-Dec-2021.) $)
    reprinfz1 $p |- ( ph ->
      ( A ( repr ` S ) N ) = ( ( A i^i ( 1 ... N ) ) ( repr ` S ) N ) ) $=
      ( va vc vb cfv co cc0 wcel wa cvv cn wn ad3antrrr sylibr crepr c1 cfz cin
      cfzo cv csu wceq cmap crab wf wb nnex a1i ssexd ovex elmapg biimpa adantr
      sylancl wfn wral elmapfn ad2antlr wrex simplr wne cr nn0red simpllr mpbid
      wss ffvelrnd nnred cfn fzofi ad4antr ffvelrnda fsumrecl clt wbr cle simpr
      sseldd cz nn0zd syl biantrurd bitr4d notbid ltnled mpbird csn recnd fveq2
      fznn cc sumsn syl2anc nnnn0d nn0ge0 snssi fsumless eqbrtrrd ltletrd ltned
      cn0 necomd r19.29an neneqd adantlr pm2.65da dfral2 cbvralvw jca ffnfv fin
      eleq1d inex2 elmap anasss rabss3d reprval inss1 sstrd 3sstr4d reprss
      eqssd ) ABDCUAKZLZBUBDUCLZUDZDYILZAMCUELZHUFZIUFZKZHUGZDUHZIBYNUILZUJYSIY
      LYNUILZUJYJYMAYSIYTUUAAYPYTNZYSYPUUANZAUUBOZYSOZYNYLYPUKZUUCUUEYNBYPUKZYN
      YKYPUKZOUUFUUEUUGUUHUUDUUGYSAUUBUUGABPNYNPNUUBUUGULZABQPQPNAUMUNGUOMCUEUP
      ZBYNYPPPUQUTZURUSUUEYPYNVAZYQYKNZHYNVBZOUUHUUEUULUUNUUBUULAYSYPBYNVCVDUUE
      JUFZYPKZYKNZJYNVBZUUNUUEUUQRZJYNVEZRUURUUEUUTYSUUDYSUUTVFUUDUUTYSRYSUUDUU
      TOYRDUUDUUSYRDVGJYNUUDUUOYNNZOZUUSOZDYRUVCDYRADVHNUUBUVAUUSADEVISZUVCDUUP
      YRUVDUVCUUPUVCBQUUPABQVLZUUBUVAUUSGSUVCYNBUUOYPUVCUUBUUGAUUBUVAUUSVJAUUIU
      UBUVAUUSUUKSVKZUUDUVAUUSVFZVMWDZVNZUVCYNYQHYNVONUVCMCVPUNZUVCYOYNNZOZYQUV
      LBQYQAUVEUUBUVAUUSUVKGVQUVCYNBYOYPUVFVRWDZVNZVSUVCDUUPVTWAUUPDWBWAZRZUVCU
      USUVPUVBUUSWCUVCUUQUVOUVCUUQUUPQNZUVOOZUVOUVCDWENZUUQUVRULAUVSUUBUVAUUSAD
      EWFZSUUPDWPWGUVCUVQUVOUVHWHWIWJVKUVCDUUPUVDUVIWKWLUVCUUOWMZYQHUGZUUPYRWBU
      VCUVAUUPWQNUWBUUPUHUVGUVCUUPUVIWNYQUUPHUUOYNYOUUOYPWOZWRWSUVCYNYQUWAHUVJU
      VNUVLYQXGNMYQWBWAUVLYQUVMWTYQXAWGUVAUWAYNVLUUDUUSUUOYNXBVDXCXDXEXFXHXIXJX
      KXLUUQJYNXMTUUMUUQHJYNYOUUOUHYQUUPYKUWCXRXNTXOHYNYKYPXPTXOYNBYKYPXQTYLYNY
      PYKBUBDUCUPXSUUJXTTYAYBABCDHIGUVTFYCAYLCDHIAYLBQYLBVLABYKYDUNZGYEUVTFYCYF
      ABYLCDGUVTFUWDYGYH $.

    $( Corollary of ~ reprinfz1 .  (Contributed by Thierry Arnoux,
       15-Dec-2021.) $)
    reprfi2 $p |- ( ph -> ( A ( repr ` S ) N ) e. Fin ) $=
      ( crepr cfv co c1 cfz cin cfn reprinfz1 cn wss inss2 fz1ssnn a1i eqeltrd
      sstri nn0zd wcel fzfi ssfid reprfi ) ABDCHIZJBKDLJZMZDUHJNABCDEFGOAUJCDUJ
      PQAUJUIPBUIRZDSUBTADEUCFAUIUJUINUDAKDUETUJUIQAUKTUFUGUA $.
  $}

  ${
    reprfz1.n $e |- ( ph -> N e. NN0 ) $.
    reprfz1.s $e |- ( ph -> S e. NN0 ) $.
    $( Corollary of ~ reprinfz1 .  (Contributed by Thierry Arnoux,
       14-Dec-2021.) $)
    reprfz1 $p |- ( ph ->
      ( NN ( repr ` S ) N ) = ( ( 1 ... N ) ( repr ` S ) N ) ) $=
      ( cn crepr cfv co c1 cfz cin ssidd reprinfz1 wceq fz1ssnn dfss mpbi incom
      wss eqtri oveq1i eqtr4di ) AFCBGHZIFJCKIZLZCUDIUECUDIAFBCDEAFMNUEUFCUDUEU
      EFLZUFUEFTUEUGOCPUEFQRUEFSUAUBUC $.
  $}

  ${
    $d A a c $.  $d M a c $.  $d S a c $.  $d a c ph $.
    hashrepr.a $e |- ( ph -> A C_ NN ) $.
    hashrepr.m $e |- ( ph -> M e. NN0 ) $.
    hashrepr.s $e |- ( ph -> S e. NN0 ) $.
    $( Develop the number of representations of an integer ` M ` as a sum of
       nonnegative integers in set ` A ` .  (Contributed by Thierry Arnoux,
       14-Dec-2021.) $)
    hashrepr $p |- ( ph -> ( # ` ( A ( repr ` S ) M ) )
       = sum_ c e. ( NN ( repr ` S ) M )
           prod_ a e. ( 0 ..^ S ) ( ( ( _Ind ` NN ) ` A ) ` ( c ` a ) ) ) $=
      ( c1 cfz co cin crepr cfv chash cc0 cv cn csu cfzo cind cprod nn0zd fzfid
      wss fz1ssnn a1i hashreprin reprinfz1 fveq2d reprfz1 sumeq1d 3eqtr4d ) ABJ
      DKLZMDCNOZLZPOUODUPLZQCUALERFROBSUBOOOEUCZFTBDUPLZPOSDUPLZUSFTABUOCDEFGAD
      HUDIAJDUEUOSUFADUGUHUIAUTUQPABCDHIGUJUKAVAURUSFACDHIULUMUN $.
  $}

  ${
    $d A a b c d $.  $d B c d $.  $d M a b c d $.  $d P a b c d $.
    $d S a b c d $.  $d T a b c d $.  $d X c $.  $d a b c d ph $.
    reprpmtf1o.s $e |- ( ph -> S e. NN ) $.
    reprpmtf1o.m $e |- ( ph -> M e. ZZ ) $.
    reprpmtf1o.a $e |- ( ph -> A C_ NN ) $.
    reprpmtf1o.x $e |- ( ph -> X e. ( 0 ..^ S ) ) $.
    reprpmtf1o.o $e |- O = { c e. ( A ( repr ` S ) M ) | -. ( c ` 0 ) e. B } $.
    reprpmtf1o.p $e |- P = { c e. ( A ( repr ` S ) M ) | -. ( c ` X ) e. B } $.
    reprpmtf1o.t $e |- T = if ( X = 0 , ( _I |` ( 0 ..^ S ) )
                                , ( ( pmTrsp ` ( 0 ..^ S ) ) ` { X , 0 } ) ) $.
    reprpmtf1o.f $e |- F = ( c e. P |-> ( c o. T ) ) $.
    $( Transposing ` 0 ` and ` X ` maps representations with a condition on the
       first index to transpositions with the same condition on the index
       ` X ` .  (Contributed by Thierry Arnoux, 27-Dec-2021.) $)
    reprpmtf1o $p |- ( ph -> F : P -1-1-onto-> O ) $=
      ( wcel va vd vb cc0 cfzo co cmap cv ccom cmpt cima cres wf1o wf1 wss eqid
      cvv ovexd nnex a1i ssexd lbfzo0 sylibr pmtridf1o fmptco1f1o f1of1 syl cfv
      cn csu wceq crab ssrab2 crepr ssrab3 nnnn0d reprval sseqtrd sselda sselid
      wa wn ex ssrdv f1ores syl2anc resmpt eqtr4di eqidd wrex vex elimampt wral
      simpr f1of ad2antrr fmpt adantr rspa eqeltrd fveq1d wfun cdm f1ofun f1odm
      wf eleqtrrd adantlr eqtrd sumeq2dv fveq2 cfn fzofi cz cn0 reprf ffvelrnda
      fvco sseldd nncnd fsumf1o reprsum 3eqtr2d fveq1 sumeq2sdv eqeq1d sylanbrc
      elrab pmtridfv2 fveq2d eleqtrdi rabid sylib simprd eqneltrd r19.29an 3syl
      jca eleq1d notbid ccnv f1ocnv fco wb elmapg mpbird f1ocnvfv imp eleqtrrdi
      syl21anc anasss coeq1d eqeq2d f1ococnv1 coeq2d adantrr fcoi1 eqtr2d coass
      cid rspcedvd impbida bitrd bitr4di eqrdv f1oeq123d mpbid ) ADKBUDEUEUFZUG
      UFZKUHZFUIZUJZDUKZUVLDULZUMZDIGUMAUVIUVIUVLUNZDUVIUOZUVOAUVIUVIUVLUMZUVPA
      UVIUVIUVHBFKUVHUVLUQUQUQUVIUPZUVSUVLUPZAUDEUEURZUWAABVIUQVIUQTAUSUTNVAZAU
      VHFUQJUDUWAOAEVITUDUVHTZLEVBVCZRVDZVEZUVIUVIUVLVFVGAKDUVIAUVJDTZUVJUVITZA
      UWGWAZUVHUAUHZUVJVHZUAVJZHVKZKUVIVLZUVIUVJUWMKUVIVMADUWNUVJADBHEVNVHUFZUW
      NDUWOUOAJUVJVHZCTZWBZKUWODQVOUTZABEHUAKNMAELVPZVQZVRVSVTZWCWDZUVIUVIDUVLW
      EWFADDUVMIUVNGAUVNKDUVKUJZGAUVQUVNUXDVKUXCKUVIDUVKWGVGSWHADWIAUVMUDUVJVHZ
      CTZWBZKUWOVLZIAUBUVMUXHAUBUHZUVMTZUXIUWOTZUDUXIVHZCTZWBZWAZUXIUXHTAUXJUXI
      UVKVKZKDWJZUXOAKUVIUVKUXIDUVLUQUVTUXIUQTAUBWKUTUXCWLAUXQUXOAUXPUXOKDUWIUX
      PWAZUXKUXNUXRUXIUWNUWOUXRUXIUVITUVHUWJUXIVHZUAVJZHVKZUXIUWNTUXRUXIUVKUVIU
      WIUXPWNZUXRUVKUVITZKUVIWMZUWHUYCUXRUVIUVIUVLXFZUYDAUYEUWGUXPAUVRUYEUWFUVI
      UVIUVLWOVGWPKUVIUVIUVKUVLUVTWQVCUWIUWHUXPUXBWRUYCKUVIWSWFWTUXRUXTUVHUWJFV
      HZUVJVHZUAVJZUVHUCUHZUVJVHZUCVJZHUXRUVHUXSUYGUAUXRUWJUVHTZWAZUXSUWJUVKVHZ
      UYGUYMUWJUXIUVKUXRUXPUYLUYBWRXAUWIUYLUYNUYGVKZUXPUWIUYLWAZFXBZUWJFXCZTUYO
      AUYQUWGUYLAUVHUVHFUMZUYQUWEUVHUVHFXDVGZWPUYPUWJUVHUYRUWIUYLWNAUYRUVHVKZUW
      GUYLAUYSVUAUWEUVHUVHFXEVGZWPXGUWJUVJFXRWFXHXIXJUWIUYKUYHVKUXPUWIUVHUYJUVH
      UYGUCUAFUYFUYIUYFUVJXKUVHXLTZUWIUDEXMZUTAUYSUWGUWEWRUYPUYFWIUWIUYIUVHTZWA
      ZUYJVUFBVIUYJABVIUOZUWGVUENWPUWIUVHBUYIUVJUWIBUVJEHAVUGUWGNWRZAHXNTZUWGMW
      RZAEXOTZUWGUWTWRZADUWOUVJUWSVSZXPXQXSXTYAWRUWIUYKHVKUXPUWIBUVJEHUCVUHVUJV
      ULVUMYBWRYCUWMUYAKUXIUVIUVJUXIVKZUWLUXTHVUNUVHUWKUXSUAUWJUVJUXIYDYEYFYHYG
      AUWOUWNVKZUWGUXPUXAWPXGUXRUXLUDUVKVHZCUXRUDUXIUVKUYBXAUXRVUPUDFVHZUVJVHZC
      UXRUYQUDUYRTZVUPVURVKAUYQUWGUXPUYTWPAVUSUWGUXPAUDUVHUYRUWDVUBXGWPUDUVJFXR
      WFUXRVURUWPCUXRVUQJUVJAVUQJVKZUWGUXPAUVHFUQJUDUWAOUWDRYIZWPYJUWIUWRUXPUWI
      UVJUWOTZUWRUWIUVJUWRKUWOVLZTVVBUWRWAUWIUVJDVVCAUWGWNQYKUWRKUWOYLYMYNWRYOY
      OYOYRYPAUXOWAZUXPUXIUXIFUUAZUIZFUIZVKKVVFDAUXKUXNVVFDTAUXKWAZUXNWAZVVFVVC
      DVVIVVFUWOTJVVFVHZCTZWBZVVFVVCTVVIVVFUWNUWOVVIVVFUVITZUVHUWJVVFVHZUAVJZHV
      KZVVFUWNTVVHVVMUXNVVHVVMUVHBVVFXFZVVHUVHBUXIXFZUVHUVHVVEXFZVVQVVHBUXIEHAV
      UGUXKNWRZAVUIUXKMWRZAVUKUXKUWTWRZAUXKWNZXPZAVVSUXKAUYSUVHUVHVVEUMZVVSUWEU
      VHUVHFUUBZUVHUVHVVEWOYQWRUVHUVHBUXIVVEUUCWFAVVMVVQUUDZUXKABUQTUVHUQTVWGUW
      BUWABUVHVVFUQUQUUEWFWRUUFWRVVHVVPUXNVVHVVOUVHUWJVVEVHZUXIVHZUAVJUVHUYIUXI
      VHZUCVJHVVHUVHVVNVWIUAVVHUYLWAZVVEXBZUWJVVEXCZTZVVNVWIVKAVWLUXKUYLAUYSVWE
      VWLUWEVWFUVHUVHVVEXDYQZWPAUYLVWNUXKAUYLWAUWJUVHVWMAUYLWNAVWMUVHVKZUYLAUYS
      VWEVWPUWEVWFUVHUVHVVEXEYQZWRXGXHUWJUXIVVEXRWFXJVVHUVHVWJUVHVWIUCUAVVEVWHU
      YIVWHUXIXKVUCVVHVUDUTAVWEUXKAUYSVWEUWEVWFVGWRVWKVWHWIVVHVUEWAZVWJVWRBVIVW
      JVVHVUGVUEVVTWRVVHUVHBUYIUXIVWDXQXSXTYAVVHBUXIEHUCVVTVWAVWBVWCYBYCWRUWMVV
      PKVVFUVIUVJVVFVKZUWLVVOHVWSUVHUWKVVNUAUWJUVJVVFYDYEYFYHYGAVUOUXKUXNUXAWPX
      GVVIVVJJVVEVHZUXIVHZCVVIVWLJVWMTZVVJVXAVKAVWLUXKUXNVWOWPAVXBUXKUXNAJUVHVW
      MOVWQXGWPJUXIVVEXRWFVVIVXAUXLCVVIVWTUDUXIAVWTUDVKZUXKUXNAUYSUWCVUTVXCUWEU
      WDVVAUYSUWCWAVUTVXCUVHUVHUDJFUUGUUHUUJWPYJVVHUXNWNYOYOUWRVVLKVVFUWOVWSUWQ
      VVKVWSUWPVVJCJUVJVVFYDYSYTYHYGQUUIUUKVVDVWSWAZUVKVVGUXIVXDUVJVVFFVVDVWSWN
      UULUUMVVDUXIUXIVVEFUIZUIZVVGVVDVXFUXIUUTUVHULZUIZUXIVVDVXEVXGUXIAVXEVXGVK
      ZUXOAUYSVXIUWEUVHUVHFUUNVGWRUUOVVDVVRVXHUXIVKAUXKVVRUXNVWDUUPUVHBUXIUUQVG
      UURUXIVVEFUUSWHUVAUVBUVCUXGUXNKUXIUWOVUNUXFUXMVUNUXEUXLCUDUVJUXIYDYSYTYHU
      VDUVEPWHUVFUVG $.
  $}

  ${
    $d A c d x $.  $d B c d x $.  $d M c d x $.  $d S a c d x $.  $d ph d x $.
    reprdifc.c $e |- C = { c e. ( A ( repr ` S ) M ) | -. ( c ` x ) e. B } $.
    reprdifc.a $e |- ( ph -> A C_ NN ) $.
    reprdifc.b $e |- ( ph -> B C_ NN ) $.
    reprdifc.m $e |- ( ph -> M e. NN0 ) $.
    reprdifc.s $e |- ( ph -> S e. NN0 ) $.
    $( Express the representations as a sum of integers in a difference of sets
       using conditions on each of the indices.  (Contributed by Thierry
       Arnoux, 27-Dec-2021.) $)
    reprdifc $p |- ( ph -> ( ( A ( repr ` S ) M ) \ ( B ( repr ` S ) M ) )
      = U_ x e. ( 0 ..^ S ) C ) $=
      ( va vd co cv wcel wa cvv cc0 cfzo cfv csu wceq cmap cdif crab crepr ciun
      wn nfv nfrab1 nfcv wrex nn0zd reprval eleq2d rabid bitrdi anbi1d wb eldif
      anbi1i an32 bitri a1i bitr4d wral wf cn ssexd ovexd elmapg syl2anc adantr
      nnex wfn ffnfv wss cz cn0 simpr reprf ffnd biantrurd bitr4id bitrd notbid
      rexnal bitr4di pm5.32da bitr3d fveq1 eleq1d elrab rexbii r19.42v difeq12d
      eliun 3bitr4g eqrd difrab2 eqtrdi iuneq2d 3eqtr4d ) AUAFUBPZNQOQZUCNUDGUE
      ZOCXGUFPZDXGUFPZUGZUHZBXGBQZHQZUCZDRZUKZHCGFUIUCZPZUHZUJZXTDGXSPZUGZBXGEU
      JAOXMYBAOULXIOXLUMOYBUNAXHXLRZXISZXHYARZBXGUOZXHXMRXHYBRAYFXHXTRZXNXHUCZD
      RZUKZBXGUOZSZYHAYIXHXKRZUKZSZYFYNAYQXHXJRZXISZYPSZYFAYIYSYPAYIXHXIOXJUHZR
      YSAXTUUAXHACFGNOJAGLUPZMUQZURXIOXJUSUTVAYFYTVBAYFYRYPSZXISYTYEUUDXIXHXJXK
      VCVDYRYPXIVEVFVGVHAYIYPYMAYISZYPYKBXGVIZUKYMUUEYOUUFUUEYOXGDXHVJZUUFAYOUU
      GVBZYIADTRXGTRUUHADVKTVKTRAVQVGKVLAUAFUBVMDXGXHTTVNVOVPUUEUUGXHXGVRZUUFSU
      UFBXGDXHVSUUEUUIUUFUUEXGCXHUUECXHFGACVKVTYIJVPAGWARYIUUBVPAFWBRYIMVPAYIWC
      WDWEWFWGWHWIYKBXGWJWKWLWMYHYIYLSZBXGUOYNYGUUJBXGXRYLHXHXTXOXHUEZXQYKUUKXP
      YJDXNXOXHWNWOWIWPWQYIYLBXGWRVFWKXIOXLUSBXHXGYAWTXAXBAYDUUAXIOXKUHZUGXMAXT
      UUAYCUULUUCADFGNOKUUBMUQWSXIOXJXKXCXDABXGEYAEYAUEAIVGXEXF $.
  $}

  ${
    $d N n $.  $d i n $.
    $( Value of the second Chebyshev function, or summatory of the von Mangoldt
       function.  (Contributed by Thierry Arnoux, 28-Dec-2021.) $)
    chpvalz $p |- ( N e. ZZ -> ( psi ` N ) = sum_ n e. ( 1 ... N ) ( Lam ` n )
      ) $=
      ( cz wcel cchp cfv c1 cfl cfz co cvma csu wceq zre chpval syl flid oveq2d
      cv cr sumeq1d eqtrd ) BCDZBEFZGBHFZIJZASKFZALZGBIJZUGALUCBTDUDUHMBNBAOPUC
      UFUIUGAUCUEBGIBQRUAUB $.

    $( Value of the Chebyshev function for integers.  (Contributed by Thierry
       Arnoux, 28-Dec-2021.) $)
    chtvalz $p |- ( N e. ZZ ->
           ( theta ` N ) = sum_ n e. ( ( 1 ... N ) i^i Prime ) ( log ` n ) ) $=
      ( vi cz wcel cfv cc0 co cprime cin c1 cfz wceq syl c2 cdif c0 wss a1i wbr
      ccht cicc cv clog csu cr zre chtval cn nnz cfl ppisval flid oveq2d ineq1d
      eqtrd cuz 2nn nnuz eleqtri fzss1 ax-mp ssdif0 mpbi ineq1i 0in eqtri caddc
      wn csn eleq2i fzpred sylbi eqcomd 1p1e2 oveq1i difeq12d difun2 fzpreddisj
      cun disjdif2 syl5eq eqtr3d incom 1nprm disjsn mpbir eqtr3i eqtrdi syl2anc
      difininv adantl clt znnnlt1 biimpa wa cpnf cico cdvds cmin isprm3 simplbi
      wral ssriv nnzi uzssico sstri cxr nnrei rexri 0le0 adantr 1red simpr 1lt2
      cle 0xr lttrd iccssico pnfxr icodisj mp3an ssdisj sylancl eqtr3id sylancr
      syl22anc 1zzd simpl fzn syl21anc eqtr4d syldan exmidd mpjaodan sumeq1d )
      BDEZBUAFZGBUBHZIJZAUCZUDFZAUEZKBLHZIJZUUBAUEYQBUFEZYRUUCMBUGZBAUHNYQYTUUE
      UUBAYQBUIEZYTUUEMZUUHVIZUUHUUIYQUUHYTOBLHZIJZUUEUUHYQYTUULMBUJYQYTOBUKFZL
      HZIJZUULYQUUFYTUUOMUUGBULNYQUUNUUKIYQUUMBOLBUMUNUOUPNUUHUUKUUDPZIJZQMZUUD
      UUKPZIJZQMUULUUEMUURUUHUUQQIJZQUUPQIUUKUUDRZUUPQMOKUQFZEUVBOUIUVCURUSUTOK
      BVAVBUUKUUDVCVDVEIVFZVGSUUHUUTKVJZIJZQUUHUUSUVEIUUHUVEKKVHHZBLHZVTZUVHPZU
      USUVEUUHUVIUUDUVHUUKUUHUUDUVIUUHBUVCEZUUDUVIMUIUVCBUSVKZKBVLVMVNUVHUUKMUU
      HUVGOBLVOVPSVQUUHUVJUVEUVHPZUVEUVEUVHVRUUHUVEUVHJQMZUVMUVEMUUHUVKUVNUVLKB
      VSVMUVEUVHWANWBWCUOIUVEJZUVFQIUVEWDUVOQMKIEVIWEIKWFWGWHWIUUKIUUDWKWJUPWLY
      QUUJBKWMTZUUIYQUUJUVPBWNWOYQUVPWPZYTQUUEUVQYTIYSJZQYSIWDUVQIOWQWRHZRUVSYS
      JZQMUVRQMIOUQFZUVSAIUWAUUAIEUUAUWAECUCUUAWSTVICOUUAKWTHLHXCCUUAXAXBXDODEU
      WAUVSROURXEOXFVBXGUVQUVTYSUVSJZQYSUVSWDUVQYSGOWRHZRZUWCUVSJQMZUWBQMUVQGXH
      EZOXHEZGGXPTZBOWMTUWDUWFUVQXQSUWGUVQOOURXIZXJZSUWHUVQXKSUVQBKOYQUUFUVPUUG
      XLUVQXMOUFEUVQUWISYQUVPXNZKOWMTUVQXOSXRGOGBXSYGUWFUWGWQXHEUWEXQUWJXTGOWQY
      AYBYSUWCUVSYCYDYEIUVSYSYCYFWBUVQUUEUVAQUVQUUDQIUVQKDEZYQUVPUUDQMZUVQYHYQU
      VPYIUWKUWLYQWPUVPUWMKBYJWOYKUOUVDWIYLYMYQUUHYNYOYPUP $.
  $}

  ${
    $d N c m s t $.  $d S a c m s t $.  $d Z c m s t $.  $d b c s t $.
    $d ph c s t $.
    breprexp.n $e |- ( ph -> N e. NN0 ) $.
    breprexp.s $e |- ( ph -> S e. NN0 ) $.
    ${
      $d L a b d e x y $.  $d M a b c d e v $.  $d N a b c d e v $.
      $d S a b c d e v x y $.  $d ph a b c d e v x y $.
      breprexplema.m $e |- ( ph -> M e. NN0 ) $.
      breprexplema.1 $e |- ( ph -> M <_ ( ( S + 1 ) x. N ) ) $.
      breprexplema.l $e |- ( ( ( ph /\ x e. ( 0 ..^ ( S + 1 ) ) ) /\ y e. NN )
        -> ( ( L ` x ) ` y ) e. CC ) $.
      $( Lemma for ~ breprexp (induction step for weighted sums over
         representations).  (Contributed by Thierry Arnoux, 7-Dec-2021.) $)
      breprexplema $p |- ( ph -> sum_ d e. ( ( 1 ... N ) ( repr ` ( S + 1 ) ) M
        ) prod_ a e. ( 0 ..^ ( S + 1 ) ) ( ( L ` a ) ` ( d ` a ) )
       = sum_ b e. ( 1 ... N ) sum_ d e. ( ( 1 ... N ) ( repr ` S ) ( M - b ) )
          ( prod_ a e. ( 0 ..^ S ) ( ( L ` a ) ` ( d ` a ) )
            x. ( ( L ` S ) ` b ) ) ) $=
        ( vv cfv a1i wcel wceq vc ve c1 cfz co caddc crepr cc0 cfzo cv csu cmin
        cprod cop csn cun cmpt crn ciun cmul fz1ssnn nn0zd eqid reprsuc sumeq1d
        cn wss fzfid wa cfn cz adantr fzssz simpr sselid zsubcld cn0 reprfi syl
        mptfi rnfi cmap crab reprval ssrab2 eqsstrdi elexd wn actfunsnrndisj cc
        fzonel fzofi wral ralrimiva ad3antrrr wi nfv nfcv nfmpt1 nfrn nfel nfan
        wf cin c0 simplr reprf fsnd fzodisjsn fun2 syl21anc eleqtrdi fzosplitsn
        cuz nn0uz ad4antr feq12d mpbird wrex vex snex unex elrnmpti sylib fveq2
        fveq1d eleq1d rspc2v syl2anc mpd wfn syl112anc fveq2d eqeltrd prodeq2dv
        ad2antrr 3eqtrd sumeq2dv simpl cvv r19.29af fprodcl anasss fsumiun ffnd
        ffvelrnd prodeq1d fnsng fvun1 fzossfzop1 sselda ffvelrnda fveq12d snidg
        fvun2 fvsng eqtrd fprodsplitsn oveq12d actfunsnf1o uneq1d fvmptd oveq1d
        fzonn0p1 fsumf1o cbvsumv 3eqtr4d ) AUCGUDUEZFDUCUFUEZUGQUEZUHUVIUIUEZHU
        JZJUJZQZUVLEQZQZHUMZJUKIUVHPUVHFIUJZULUEZDUGQUEZPUJZDUVRUNZUOZUPZUQZURZ
        USZUVQJUKUVHUWFUVQJUKZIUKUVHUVTUHDUIUEZUVPHUMZUVRDEQZQZUTUEZJUKZIUKAUVJ
        UWGUVQJAUVHDUWEFIPUVHVFVGZAGVAZRAFMVBZLUWEVCZVDVEAIUVHUWFUVQJAUCGVHZAUV
        RUVHSZVIZUWEVJSZUWFVJSUXAUVTVJSUXBUXAUVHDUVSUWOUXAUWPRZUXAFUVRAFVKSUWTU
        WQVLUXAUVHVKUVRUCGVMAUWTVNZVOVPZADVQSZUWTLVLZAUVHVJSUWTUWSVLVRZPUVTUWDV
        TVSUWEWAVSAPUVTUWIUVHIUWEDVQUXAUVTUWIUVLUAUJQHUKUVSTZUAUVHUWIWBUEZWCUXJ
        UXAUVHDUVSHUAUXCUXEUXGWDUXIUAUXJWEWFZAUVHVJUWSWGZLDUWISWHZAUHDWKZRZUWRW
        IAUWTUVMUWFSZUVQWJSUXAUXPVIZUVKUVPHUVKVJSUXQUHUVIWLRUXQUVLUVKSZVIZCUJZB
        UJZEQZQZWJSZCVFWMZBUVKWMZUVPWJSZAUYFUWTUXPUXRAUYEBUVKAUYAUVKSVIUYDCVFOW
        NWNZWOUXSUXRUVNVFSUYFUYGWPUXQUXRVNZUXSUVHVFUVNUWPUXSUVKUVHUVLUVMUXQUVKU
        VHUVMXCZUXRUXQUVMUWDTZUYJPUVTUXAUXPPUXAPWQPUVMUWFPUVMWRPUWEPUVTUWDWSWTX
        AXBUXQUWAUVTSZVIZUYKVIZUYJUWIDUOZUPZUVHUWDXCZUYNUWIUVHUWAXCUYOUVHUWCXCU
        WIUYOXDXETZUYQUYNUVHUWADUVSUWOUYNUWPRUXAUVSVKSZUXPUYLUYKUXEWOUXAUXFUXPU
        YLUYKUXGWOZUXQUYLUYKXFXGUYNDUVRVQUVHUYTUXAUWTUXPUYLUYKUXDWOXHUYRUYNUHDX
        IZRUWIUYOUVHUWAUWCXJXKUYNUVKUYPUVHUVMUWDUYMUYKVNAUVKUYPTZUWTUXPUYLUYKAD
        UHXNQZSVUBADVQVUCLXOXLUHDXMVSZXPXQXRUXQUXPUYKPUVTXSUXAUXPVNPUVTUWDUVMUW
        EUWRUWAUWCPXTUWBYAZYBYCYDUUAVLUYIUUFVOUYDUYGUXTUVOQZWJSZBCUVLUVNUVKVFUY
        AUVLTZUYCVUFWJVUHUXTUYBUVOUYAUVLEYEYFYGZUXTUVNTVUFUVPWJUXTUVNUVOYEYGYHY
        IYJUUBZUUCUUDAUVHUWHUWNIUXAUVTUVKUVLUBUJZUWCUPZQZUVOQZHUMZUBUKUVTUWIUVL
        VUKQZUVOQZHUMZUWLUTUEZUBUKZUWHUWNUXAUVTVUOVUSUBUXAVUKUVTSZVIZVUOUYPVUNH
        UMUWIVUNHUMZDVULQZUWKQZUTUEVUSVVBUVKUYPVUNHAVUBUWTVVAVUDYPUUGVVBUWIDVUN
        VVEHVQVVBHWQHVVEWRUWIVJSVVBUHDWLRUXAUXFVVAUXGVLZUXMVVBUXNRVVBUVLUWISZVI
        ZVUNVUQWJVVHVUMVUPUVOVVHVUKUWIYKZUWCUYOYKZUYRVVGVUMVUPTVVBVVIVVGVVBUWIU
        VHVUKVVBUVHVUKDUVSUWOVVBUWPRUXAUYSVVAUXEVLVVFUXAVVAVNZXGZUUEZVLVVBVVJVV
        GVVBUXFUWTVVJVVFUXAUWTVVAUXDVLZDUVRVQUVHUUHYIZVLUYRVVHVUARVVBVVGVNUWIUY
        OVUKUWCUVLUUIYLYMZVVHUYFVUQWJSZVVBUYFVVGAUYFUWTVVAUYHYPZVLVVHUXRVUPVFSU
        YFVVQWPVVBUWIUVKUVLAUWIUVKVGZUWTVVAAUXFVVSLDUUJVSYPUUKVVHUVHVFVUPUWPVVB
        UWIUVHUVLVUKVVLUULVOUYDVVQVUGBCUVLVUPUVKVFVUIUXTVUPTVUFVUQWJUXTVUPUVOYE
        YGYHYIYJYNUVLDTVUMVVDUVOUWKUVLDEYEUVLDVULYEUUMVVBVVEUWLWJVVBVVDUVRUWKVV
        BVVDDUWCQZUVRVVBVVIVVJUYRDUYOSZVVDVVTTVVMVVOUYRVVBVUARVVBUXFVWAVVFDVQUU
        NVSUWIUYOVUKUWCDUUOYLVVBUXFUWTVVTUVRTVVFVVNDUVRVQUVHUUPYIUUQYMZVVBUYFUW
        LWJSZVVRVVBDUVKSZUVRVFSUYFVWCWPAVWDUWTVVAAUXFVWDLDUVDVSYPVVBUVHVFUVRUWP
        VVNVOUYDVWCUXTUWKQZWJSBCDUVRUVKVFUYADTZUYCVWEWJVWFUXTUYBUWKUYADEYEYFYGU
        XTUVRTVWEUWLWJUXTUVRUWKYEYGYHYIYJYNUURVVBVVCVURVVEUWLUTVVBUWIVUNVUQHVVP
        YOVWBUUSYQYRUXAUWFUVQUVTVUOJUBUWEVULUVMVULTZUVKUVPVUNHVWGUXRVIZUVNVUMUV
        OVWHUVLUVMVULVWGUXRYSYFYMYOUXHAPUVTUWIUVHIUWEDVQUXKUXLLUXOUWRUUTVVBPVUK
        UWDVULUVTUWEYTUWEUWETVVBUWRRVVBUWAVUKTZVIUWAVUKUWCVVBVWIVNUVAVVKVULYTSV
        VBVUKUWCUBXTVUEYBRUVBVUJUVEUWNVUTTUXAUVTUWMVUSJUBUVMVUKTZUWJVURUWLUTVWJ
        UWIUVPVUQHVWJVVGVIZUVNVUPUVOVWKUVLUVMVUKVWJVVGYSYFYMYOUVCUVFRUVGYRYQ $.
    $}

    breprexp.z $e |- ( ph -> Z e. CC ) $.
    ${
      $d L c m s t $.
      breprexp.h $e |- ( ph -> L : ( 0 ..^ S ) --> ( CC ^m NN ) ) $.
      ${
        breprexplemb.x $e |- ( ph -> X e. ( 0 ..^ S ) ) $.
        breprexplemb.y $e |- ( ph -> Y e. NN ) $.
        $( Lemma for ~ breprexp (closure).  (Contributed by Thierry Arnoux,
           7-Dec-2021.) $)
        breprexplemb $p |- ( ph -> ( ( L ` X ) ` Y ) e. CC ) $=
          ( cn cc cfv cmap co wcel ffvelrnd wf cc0 cfzo cnex nnex elmap sylib )
          ANOFECPZAUHONQRZSNOUHUAAUBBUCRUIECKLTONUHUDUEUFUGMT $.
      $}

      ${
        $d T a b d m n x y $.  $d Z a b d m n $.  $d L a b d m n x y $.
        $d ph a b d m n x y $.  $d N a b d m n x y $.
        breprexplemc.t $e |- ( ph -> T e. NN0 ) $.
        breprexplemc.s $e |- ( ph -> ( T + 1 ) <_ S ) $.
        breprexplemc.1 $e |- ( ph -> prod_ a e. ( 0 ..^ T ) sum_ b e. ( 1 ... N
          ) ( ( ( L ` a ) ` b ) x. ( Z ^ b ) ) = sum_ m e. ( 0 ... ( T x. N ) )
          sum_ d e. ( ( 1 ... N ) ( repr ` T ) m ) ( prod_ a e. ( 0 ..^ T ) ( (
          L ` a ) ` ( d ` a ) ) x. ( Z ^ m ) ) ) $.
        $( Lemma for ~ breprexp (induction step).  (Contributed by Thierry
           Arnoux, 6-Dec-2021.) $)
        breprexplemc $p |- ( ph -> prod_ a e. ( 0 ..^ ( T + 1 ) ) sum_ b e. ( 1
          ... N ) ( ( ( L ` a ) ` b ) x. ( Z ^ b ) ) = sum_ m e. ( 0 ... ( ( T
          + 1 ) x. N ) ) sum_ d e. ( ( 1 ... N ) ( repr ` ( T + 1 ) ) m ) (
          prod_ a e. ( 0 ..^ ( T + 1 ) ) ( ( L ` a ) ` ( d ` a ) ) x. ( Z ^ m )
          ) ) $=
          ( co cmul wcel vn vx vy cc0 c1 caddc cfzo cfz cv cfv cexp csu csn cun
          cprod crepr cuz wceq cn0 nn0uz eleqtrdi fzosplitsn syl prodeq1d fzofi
          nfv cfn a1i wn wa fzfid ad2antrr cc cn wf adantr wss cz cle wbr nn0zd
          nn0red biimpar fzoss2 sselda breprexplemb expcld mulcld fsumcl oveq1d
          nfcv sstri sumeq2dv wb zltp1le mpbird simpr elfzelzd reprfi ad3antrrr
          simplr reprf ffvelrnd sselid fprodcl fz0ssnn0 zsubcld adantlr ad4antr
          clt cmin fsummulc1 adantl syl21anc mulassd eqtrd 3eqtrd 1nn0 3eqtr2rd
          nn0addcld oveq1 oveq2d sumeq1d oveq2 oveq12d w3a 3ad2ant1 zcnd biimpa
          3adant2 c0 zred eqtrdi npcand eqeltrd mul02d recnd nn0sscn ad4ant13
          cr fzonel cmap 1red readdcld lep1d syl12anc fz1ssnn nnssnn0 ralrimivw
          letrd eluz1 r19.21bi simpl fveq2d nn0ge0d syl2anc 0zd elfzo mpbir2and
          fveq1d syl3anc fprodsplitsn fsum2mul ad5ant15 elfzle2 peano2zd sseldd
          eluz breprexplema cbvsumv eqtr4di nn0mulcld uzssz simp2 simp3 subnegd
          cneg znegcld znn0sub eqeltrrd ssidd remulcld fz2ssnn0 zmulcld zaddcld
          eluzle elfzle1 ltaddsub syl31anc reprgt sum0 fzossfz elfzolt2 sublt0d
          fzssz 0red ltletrd reprlt fzo0ssnn0 fsum2dsub adddirp1d eqcomd eqtr4d
          sumeq12dv mulcomd expaddd 3eqtr4d eqtr3d 3eqtr4rd 3eqtr2d ) AUDCUEUFR
          ZUGRZUEFUHRZIUIZHUIZEUJZUJZGUXNUKRZSRZIULZHUOUDCUGRZCUMUNZUXTHUOUYAUX
          THUOZUXMUXNCEUJZUJZUXRSRZIULZSRZUDUXKFSRZUHRZUXMDUIZUXKUPUJRZUXLUXOJU
          IZUJZUXPUJZHUOZGUYKUKRZSRJULZDULZAUXLUYBUXTHACUDUQUJZTUXLUYBURACUSUYT
          OUTVAUDCVBVCVDAUYACUXTUYGHUSAHVFHUYGWKUYAVGTZAUDCVEZVHOCUYATVIAUDCUUA
          VHAUXOUYATZVJZUXMUXSIVUDUEFVKVUDUXNUXMTZVJZUXQUXRVUFBEFUXOUXNGAFUSTZV
          UCVUEKVLABUSTZVUCVUELVLAGVMTZVUCVUEMVLZVUDUDBUGRZVMVNUUBREVOZVUEAVULV
          UCNVPVPVUDUXOVUKTZVUEAUYAVUKUXOABCUQUJTZUYAVUKVQZACVRTZBVRTZCBVSVTZVU
          NACOWAZABLWAZACUXKBACOWBZACUEVVAAUUCUUDABLWBACVVAUUEPUUJVUPVUNVUQVURV
          JCBUUKWCUUFCUDBWDVCZWEZVPVUDUXMVNUXNUXMVNVQZVUDFUUGZVHWEWFVUFGUXNVUJV
          UDUXMUSUXNAUXMUSVQZHUYAAVVFHUYAVVFAUXMVNUSVVEUUHWLZVHZUUIUULWEWGWHWIU
          XOCURZUXMUXSUYFIVVIVUEVJZUXQUYEUXRSVVJUXNUXPUYDVVJUXOCEVVIVUEUUMUUNUU
          TWJWMAUXMUYFIAUEFVKZAVUEVJZUYEUXRVVLBEFCUXNGAVUGVUEKVPZAVUHVUELVPZAVU
          IVUEMVPZAVULVUENVPZACVUKTZVUEAVVQUDCVSVTZCBXJVTZACOUUOZAVVSUXKBVSVTZP
          AVUPVUQVVSVWAWNVUSVUTCBWOUUPWPAVUPUDVRTVUQVVQVVRVVSVJWNVUSAUUQVUTCUDB
          UURUVAUUSVPZAUXMVNUXNVVDAVVEVHWEZWFZVVLGUXNVVOAUXMUSUXNVVHWEZWGZWHZWI
          UVBAUYHUDCFSRZUHRZUXMUYKCUPUJZRZUYAUYOHUOZUYQSRZJULZDULZUYGSRVWIUXMVW
          NUYFSRZIULZDULZUYSAUYCVWOUYGSQWJAVWIUXMVWNUYFDIAUDVWHVKVVKAUYKVWITZVJ
          ZVWKVWMJVWTUXMCUYKVVDVWTVVEVHVWTUYKUDVWHAVWSWQZWRZACUSTZVWSOVPZAUXMVG
          TZVWSVVKVPWSZVWTUYMVWKTZVJZVWLUYQVXHUYAUYOHVUAVXHVUBVHVXHVUCVJZBEFUXO
          UYNGVWTVUGVXGVUCAVUGVWSKVPVLAVUHVWSVXGVUCLWTAVUIVWSVXGVUCMWTAVULVWSVX
          GVUCNWTVXHUYAVUKUXOAVUOVWSVXGVVBVLWEVXIUXMVNUYNVVEVXIUYAUXMUXOUYMVXIU
          XMUYMCUYKVVDVXIVVEVHVWTUYKVRTZVXGVUCVXBVLVWTVXCVXGVUCVXDVLVWTVXGVUCXA
          XBVXHVUCWQXCXDWFXEZVXHGUYKAVUIVWSVXGMVLZVWTUYKUSTZVXGVWTVWIUSUYKVWHXF
          VXAXDZVPZWGZWHZWIVWGUVCAUYSUYJUXMUXMUAUIZUXNXKRZVWJRZVWLJULZUYEGVXRUK
          RZSRZSRZIULZUAULZVWIUXMVWKVWLJULZUYEGUYKUXNUFRZUKRZSRZSRZIULZDULZVWRA
          UYSUYJUXMUXMUYKUXNXKRZVWJRZVWLJULZUYEUYQSRZSRZIULZDULVYFAUYJUYRVYSDAU
          YKUYJTZVJZVYSUXMVYOVWLVYQSRZJULZIULZUYLUYPJULZUYQSRZUYRWUAUXMVYRWUCIW
          UAVUEVJZVYOVWLVYQJWUGUXMCVYNVVDWUGVVEVHWUGUYKUXNWUAVXJVUEWUAUYKUDUYIA
          VYTWQZWRZVPWUGUXNUEFWUAVUEWQWRXGZWUAVXCVUEAVXCVYTOVPZVPZWUAVXEVUEAVXE
          VYTVVKVPZVPWSZWUGUYEUYQAVUEUYEVMTZVYTVWDXHZWUAUYQVMTZVUEWUAGUYKAVUIVY
          TMVPZWUAUYJUSUYKUYIXFZWUHXDZWGZVPZWHWUGUYMVYOTZVJZUYAUYOHVUAWVDVUBVHW
          VDVUCVJZBEFUXOUYNGWUGVUGWVCVUCWUAVUGVUEAVUGVYTKVPZVPVLAVUHVYTVUEWVCVU
          CLXIWUAVUIVUEWVCVUCWURWTAVULVYTVUEWVCVUCNXIAVUCVUMVYTVUEWVCVVCUVDWVEU
          XMVNUYNVVEWVEUYAUXMUXOUYMWVEUXMUYMCVYNVVDWVEVVEVHWUGVYNVRTWVCVUCWUJVL
          WUGVXCWVCVUCWULVLWUGWVCVUCXAXBWVDVUCWQXCXDWFXEZXLWMWUAWUFUXMVYOVWLUYE
          SRZJULZIULZUYQSRUXMWVIUYQSRZIULWUDWUAWUEWVJUYQSWUAUBUCCEUYKFHIJWVFWUK
          WUTVYTUYKUYIVSVTAUYKUDUYIUVEXMWUAUBUIZUXLTZVJZUCUIZVNTZVJZBEFWVLWVOGW
          UAVUGWVMWVPWVFVLAVUHVYTWVMWVPLWTWUAVUIWVMWVPWURVLAVULVYTWVMWVPNWTWVQU
          XLVUKWVLAUXLVUKVQZVYTWVMWVPABUXKUQUJTZWVRAUXKVRTZVUQVWAWVSACVUSUVFVUT
          PWVTVUQVJWVSVWAUXKBUVHWCXNUXKUDBWDVCZWTWUAWVMWVPXAUVGWVNWVPWQWFUVIWJW
          UAUXMWVIUYQIWUMWVAWUGVYOWVHJWUNWVDVWLUYEWVGWUGWUOWVCWUPVPZWHZWIXLWUAU
          XMWVKWUCIWUGWVKVYOWVHUYQSRZJULWUCWUGVYOWVHUYQJWUNWVBWWCXLWUGVYOWWDWUB
          JWVDVWLUYEUYQWVGWWBWUGWUQWVCWVBVPXOWMXPWMXQWUAUYLUYPUYQJWUAUXMUXKUYKV
          VDWUAVVEVHWUIWUACUEWUKUEUSTZWUAXRVHXTZWUMWSWVAWUAUYMUYLTZVJZUXLUYOHUX
          LVGTWWHUDUXKVEVHWWHUXOUXLTZVJZBEFUXOUYNGWUAVUGWWGWWIWVFVLAVUHVYTWWGWW
          ILWTWUAVUIWWGWWIWURVLAVULVYTWWGWWINWTWWHUXLVUKUXOAWVRVYTWWGWWAVLWEWWJ
          UXMVNUYNVVEWWJUXLUXMUXOUYMWWJUXMUYMUXKUYKVVDWWJVVEVHWUAVXJWWGWWIWUIVL
          WUAUXKUSTWWGWWIWWFVLWUAWWGWWIXAXBWWHWWIWQXCXDWFXEXLXSWMUYJVYEVYSUADVX
          RUYKURZUXMVYDVYRIWWKVYDVYRURVUEWWKVYAVYPVYCVYQSWWKVXTVYOVWLJWWKVXSVYN
          UXMVWJVXRUYKUXNXKYAYBYCWWKVYBUYQUYESVXRUYKGUKYDYBYEVPWMUVJUVKAVYMUDVW
          HFUFRZUHRZUXMVYAUYEGVXSUXNUFRZUKRZSRZSRZIULZUAULVYFAVYKWWQDIUAVWHFACF
          OKUVLZKUYKVXSURZVYGVYAVYJWWPSWWTVWKVXTVWLJUYKVXSUXMVWJYDYCWWTVYIWWOUY
          ESWWTVYHWWNGUKUYKVXSUXNUFYAYBYBYEAUYKUXNUVQZUQUJZTZVUEYFZVYGVYJWXDVWK
          VWLJWXDUXMCUYKVVDWXDVVEVHWXDWXBVRUYKWXAUVMAWXCVUEUVNZXDZAWXCVXCVUEOYG
          ZAWXCVXEVUEVVKYGWSWXDVXGVJZUYAUYOHVUAWXHVUBVHWXHVUCVJZBEFUXOUYNGWXDVU
          GVXGVUCAVUEVUGWXCVVMYJZVLWXDVUHVXGVUCAVUEVUHWXCVVNYJZVLWXDVUIVXGVUCAV
          UEVUIWXCVVOYJZVLWXDVULVXGVUCAVUEVULWXCVVPYJZVLWXHUYAVUKUXOWXDVUOVXGAW
          XCVUOVUEVVBYGVPWEWXIUXMVNUYNVVEWXIUYAUXMUXOUYMWXHUYAUXMUYMVOVUCWXHUXM
          UYMCUYKVVDWXHVVEVHWXDVXJVXGWXFVPWXDVXCVXGWXGVPWXDVXGWQXBVPWXHVUCWQXCX
          DWFXEWIWXDUYEVYIWXDBEFCUXNGWXJWXKWXLWXMAVUEVVQWXCVWBYJAVUEUXNVNTWXCVW
          CYJWFWXDGVYHWXLWXDUYKWXAXKRZVYHUSWXDUYKUXNWXDUYKWXFYHWXDUXNWXDUXNUEFA
          WXCVUEUVOWRZYHUVPWXDWXAVRTZVXJWXAUYKVSVTZWXNUSTZWXDUXNWXOUVRWXFWXDWXC
          WXQWXEWXAUYKUWFVCWXPVXJVJWXQWXRWXAUYKUVSYIXNUVTWGWHWHVVLVXRVWHUXNUFRZ
          UEUFRZWWLUHRZTZVJZWWQUDWWPSRZUDWYCVYAUDWWPSWYCVYAYKVWLJULZUDWYCVXTYKV
          WLJWYCUXMCVXSFVVLVUGWYBVVMVPZWYCUXMUWAWYCVXRUXNWYCVXRWXTWWLVVLWYBWQZW
          RZWYCUXNUEFAVUEWYBXAWRZXGAVXCVUEWYBOVLWYCVWHYTTZUXNYTTZVXRYTTZWXSVXRX
          JVTZVWHVXSXJVTZWYCCFACYTTZVUEWYBVVAVLWYCFWYFWBUWBWYCUXNWYIYLWYCVXRVVL
          WYAUSVXRVVLWXTUSTWYAUSVQVVLWXSUEVVLVWHUXNAVWHUSTVUEWWSVPVWEXTWWEVVLXR
          VHXTWXTWWLUWCVCWEZWBWYCWXSVRTZVXRVRTZWXTVXRVSVTZWYMWYCVWHUXNWYCCFAVUP
          VUEWYBVUSVLWYCFWYFWAUWDWYIUWEWYHWYCWYBWYSWYGVXRWXTWWLUWGVCWYQWYRVJWYM
          WYSWXSVXRWOWCXNWYJWYKWYLYFWYMWYNVWHUXNVXRUWHYIUWIUWJYCVWLJUWKZYMWJWYC
          WWPWYCUYEWWOVVLWUOWYBVWDVPWYCGWWNVVLVUIWYBVVOVPWYCWWNVXRUSWYCVXRUXNWY
          CVXRWYHYHWYCUXNWYIYHYNWYPYOWGWHYPXPVVLVXRUDUXNUGRZTZVJZWWQWYDUDXUCVYA
          UDWWPSXUCVYAWYEUDXUCVXTYKVWLJXUCUXMCVXSVVDXUCVVEVHXUCVXRUXNXUCXUAVRVX
          RXUAUDUXNUHRVRUDUXNUWLUDUXNUWOWLVVLXUBWQZXDZXUCUXNUEFAVUEXUBXAWRZXGZA
          VXCVUEXUBOVLXUCVXSUDCXUCVXSXUGYLXUCUWPAWYOVUEXUBVVAVLXUCVXSUDXJVTVXRU
          XNXJVTZXUBXUHVVLVXRUDUXNUWMXMXUCVXRUXNXUCVXRXUEYLZXUCUXNXUFYLZUWNWPAV
          VRVUEXUBVVTVLUWQUWRYCWYTYMWJXUCWWPXUCUYEWWOVVLWUOXUBVWDVPXUCGWWNVVLVU
          IXUBVVOVPXUCWWNVXRUSXUCVXRUXNXUCVXRXUIYQXUCUXNXUJYQYNXUCXUAUSVXRUXNUW
          SXUDXDYOWGWHYPXPUWTAUYJWWMVYEWWRUAAUYIWWLUDUHACFAUSVMCYROXDAUSVMFYRKX
          DUXAYBAVXRUYJTZVJZUXMVYDWWQIXULVUEVJZVYCWWPVYASXUMVYBWWOUYESXUMVXRWWN
          GUKXUMWWNVXRXUMVXRUXNXUMUYJVMVXRUYJUSVMWUSYRWLAXUKVUEXAXDXUMUXMVMUXNU
          XMUSVMVVGYRWLXULVUEWQXDYNUXBYBYBYBWMUXDUXCAVWIVYLVWQDVWTUXMVYKVWPIVWT
          VUEVJZVWKVWMUYFSRZJULVWKVWLVYJSRZJULVWPVYKXUNVWKXUOXUPJXUNVXGVJZXUOVW
          LUYQUYFSRZSRXUPXUQVWLUYQUYFVWTVXGVWLVMTVUEVXKXHZVWTVXGWUQVUEVXPXHZXUN
          UYFVMTZVXGAVUEXVAVWSVWGXHZVPXOXUQXURVYJVWLSXUQUYQUYESRZUXRSRZXURVYJXU
          QUYQUYEUXRXUTAVUEWUOVWSVXGVWDYSZAVUEUXRVMTVWSVXGVWFYSZXOXUQVYQUXRSRUY
          EUYQUXRSRZSRXVDVYJXUQUYEUYQUXRXVEXUTXVFXOXUQXVCVYQUXRSXUQUYQUYEXUTXVE
          UXEWJXUQVYIXVGUYESXUQGUYKUXNVWTVXGVUIVUEVXLXHAVUEUXNUSTZVWSVXGVWEYSVW
          TVXGVXMVUEVXOXHUXFYBUXGUXHYBXPWMXUNVWKVWMUYFJVWTVWKVGTVUEVXFVPZXVBVWT
          VXGVWMVMTVUEVXQXHXLXUNVWKVWLVYJJXVIXUNUYEVYIAVUEWUOVWSVWDXHXUNGVYHAVU
          EVUIVWSVVOXHXUNUYKUXNVWTVXMVUEVXNVPAVUEXVHVWSVWEXHXTWGWHXUSXLUXIWMWMX
          SUXJXQ $.
      $}

      $d L a b c i j k n $.  $d N a b c i j k n $.  $d S b $.
      $d Z a b c i j k n $.  $d ph a b c m $.  $d a b c i j k m n s $.
      $( Express the ` S ` th power of the finite series in terms of the number
         of representations of integers ` m ` as sums of ` S ` terms.  This is
         a general formulation which allows logarithmic weighting of the sums
         (see https://mathoverflow.net/questions/253246) and a mix of different
         smoothing functions taken into account in ` L ` .  See ~ breprexpnat
         for the simple case presented in the proposition of [Nathanson]
         p. 123.  (Contributed by Thierry Arnoux, 6-Dec-2021.) $)
      breprexp $p |- ( ph -> prod_ a e. ( 0 ..^ S ) sum_ b e. ( 1 ... N )
         ( ( ( L ` a ) ` b ) x. ( Z ^ b ) )
      = sum_ m e. ( 0 ... ( S x. N ) ) sum_ c e. ( ( 1 ... N ) ( repr ` S ) m )
         ( prod_ a e. ( 0 ..^ S ) ( ( L ` a ) ` ( c ` a ) ) x. ( Z ^ m ) ) ) $=
        ( wcel cc0 co c1 cmul csu wceq vt vs vj vi vn vk cn0 cfzo cfz cfv cprod
        cv cexp crepr wa cle wbr cr wss nn0ssre a1i sselda leid syl caddc breq1
        oveq2 prodeq1d oveq1 oveq2d fveq2 oveqd oveq1d adantr sumeq12dv eqeq12d
        wi imbi12d csn c0 cc 0nn0 cfn cif fz1ssnn 0zd repr0 eqid iftruei eqtrdi
        cn snfi eqeltrdi fzo0 prodeq1i prod0 exp0 oveq12d ax-1cn mulid1i fsumcl
        eqtri simpl sumsn sylancr sumeq1d cvv 0ex mulcld fveq1 fveq2d ralrimivw
        prodeq2d 3eqtr2d eqtrd 3eqtrd nn0cnd mul02d 3eqtr4rd a1d simpll cbvsumv
        fz0sn simplr eqeq2i fveq1d sumeq2dv cbvprodv prodeq2i fveq12d prodeq2dv
        oveq1i sumeq2i eqeq12i bitri imbi2i simpr ad3antrrr sselid mpd sylib wf
        cmap simpllr readdcld ltp1d ltled letrd sylibr breprexplemc syl21anc ex
        1red nn0indd mpdan ) ABUGNZOBUHPZQEUIPZHULZGULZDUJZUJZFUUSUMPZRPZHSZGUK
        ZOBERPZUIPZUURCULZBUNUJZPZUUQUUTIULZUJZUVAUJZGUKZFUVIUMPZRPZISZCSZTZKAU
        UPUOZBBUPUQZUVTUWABURNUWBAUGURBUGURUSAUTVAVBBVCVDAUAULZBUPUQZOUWCUHPZUV
        EGUKZOUWCERPZUIPZUURUVIUWCUNUJZPZUWEUVNGUKZUVPRPZISZCSZTZVQOBUPUQZOOUHP
        ZUVEGUKZOOERPZUIPZUURUVIOUNUJZPZUWQUVNGUKZUVPRPZISZCSZTZVQUBULZBUPUQZOU
        XHUHPZUVEGUKZOUXHERPZUIPZUURUVIUXHUNUJZPZUXJUVNGUKZUVPRPZISZCSZTZVQZUXH
        QVEPZBUPUQZOUYBUHPZUVEGUKZOUYBERPZUIPZUURUVIUYBUNUJZPZUYDUVNGUKZUVPRPZI
        SZCSZTZVQUWBUVTVQUAUBBUWCOTZUWDUWPUWOUXGUWCOBUPVFUYOUWFUWRUWNUXFUYOUWEU
        WQUVEGUWCOOUHVGZVHUYOUWHUWTUWMUXECUYOUWGUWSOUIUWCOERVIVJUYOUWMUXETUVIUW
        HNZUYOUWJUXBUWLUXDIUYOUWIUXAUURUVIUWCOUNVKVLUYOUWLUXDTUVLUWJNZUYOUWKUXC
        UVPRUYOUWEUWQUVNGUYPVHVMVNVOVNVOVPVRUWCUXHTZUWDUXIUWOUXTUWCUXHBUPVFUYSU
        WFUXKUWNUXSUYSUWEUXJUVEGUWCUXHOUHVGZVHUYSUWHUXMUWMUXRCUYSUWGUXLOUIUWCUX
        HERVIVJUYSUWMUXRTUYQUYSUWJUXOUWLUXQIUYSUWIUXNUURUVIUWCUXHUNVKVLUYSUWLUX
        QTUYRUYSUWKUXPUVPRUYSUWEUXJUVNGUYTVHVMVNVOVNVOVPVRUWCUYBTZUWDUYCUWOUYNU
        WCUYBBUPVFVUAUWFUYEUWNUYMVUAUWEUYDUVEGUWCUYBOUHVGZVHVUAUWHUYGUWMUYLCVUA
        UWGUYFOUIUWCUYBERVIVJVUAUWMUYLTUYQVUAUWJUYIUWLUYKIVUAUWIUYHUURUVIUWCUYB
        UNVKVLVUAUWLUYKTUYRVUAUWKUYJUVPRVUAUWEUYDUVNGVUBVHVMVNVOVNVOVPVRUWCBTZU
        WDUWBUWOUVTUWCBBUPVFVUCUWFUVFUWNUVSVUCUWEUUQUVEGUWCBOUHVGZVHVUCUWHUVHUW
        MUVRCVUCUWGUVGOUIUWCBERVIVJVUCUWMUVRTUYQVUCUWJUVKUWLUVQIVUCUWIUVJUURUVI
        UWCBUNVKVLVUCUWLUVQTUYRVUCUWKUVOUVPRVUCUWEUUQUVNGVUDVHVMVNVOVNVOVPVRAUX
        GUWPAOVSZUXECSZQUXFUWRAVUFUUROUXAPZUXCFOUMPZRPZISZVTVSZVUIISZQAOUGNVUJW
        ANVUFVUJTWBAVUGVUIIAVUGVUKWCAVUGOOTZVUKVTWDVUKAUUREOUURWKUSAEWEVAAWFJWG
        VUMVUKVTOWHWIWJZVTWLWMAVUIWANUVLVUGNAVUIQWAAVUIQQRPZQAUXCQVUHQRUXCQTAUX
        CVTUVNGUKQUWQVTUVNGOWNZWOUVNGWPXBVAAFWANZVUHQTLFWQVDZWRZQWSWTWJZWSWMVNX
        AUXEVUJCOUGUVIOTZUXBVUGUXDVUIIUVIOUURUXAVGVVAUVLUXBNZUOZUVPVUHUXCRVVCUV
        IOFUMVVAVVBXCVJVJVOXDXEAVUGVUKVUIIVUNXFAVULUWQUUTVTUJZUVAUJZGUKZVUHRPZQ
        AVTXGNVVGWANVULVVGTXHAVVFVUHAVVFQWAVVFQTAVVFVTVVEGUKQUWQVTVVEGVUPWOVVEG
        WPXBVAZWSWMAVUHQWAVURWSWMXIVUIVVGIVTXGUVLVTTZUXCVVFVUHRVVIUWQUVNVVEGVVI
        UVNVVETGUWQVVIUVMVVDUVAUUTUVLVTXJXKXLXMVMXDXEAVVGVUOVUIQAVVFQVUHQRVVHVU
        RWRVUSVUTXNXOXPAUWTVUEUXECAUWTOOUIPVUEAUWSOOUIAEAEJXQXRVJYCWJXFUWRQTAUW
        RVTUVEGUKQUWQVTUVEGVUPWOUVEGWPXBVAXSXTAUXHUGNZUOZUYAUOZUYCUYNVVLUYCUOZV
        VKUXIUXJUURUCULZUDULZDUJZUJZFVVNUMPZRPZUCSZUDUKZUXMUURUEULZUXNPZUXJVVOU
        FULZUJZVVPUJZUDUKZFVWBUMPZRPZUFSZUESZTZVQZUYCUYNVVKUYAUYCYAVVMUYAVWMVVK
        UYAUYCYDUXTVWLUXIUXTUXKUXMVWCUXPVWHRPZISZUESZTVWLUXSVWPUXKUXMUXRVWOCUEU
        VIVWBTZUXOVWCUXQVWNIUVIVWBUURUXNVGVWQUXQVWNTUVLUXONVWQUVPVWHUXPRUVIVWBF
        UMVGVJVNVOYBYEUXKVWAVWPVWKUXKUXJUURUUSVVPUJZUVCRPZHSZUDUKVWAUXJUVEVWTGU
        DUUTVVOTZUURUVDVWSHVXAUUSUURNZUOZUVBVWRUVCRVXCUUSUVAVVPVXCUUTVVODVXAVXB
        XCXKYFVMYGYHUXJVWTVVTUDVWTVVTTVVOUXJNZUURVWSVVSHUCUUSVVNTVWRVVQUVCVVRRU
        USVVNVVPVKUUSVVNFUMVGWRYBVAYIXBUXMVWOVWJUEVWOVWJTVWBUXMNVWOVWCUXJVVOUVL
        UJZVVPUJZUDUKZVWHRPZISVWJVWCVWNVXHIVWNVXHTUVLVWCNUXPVXGVWHRUXJUVNVXFGUD
        VXAUVMVXEUVAVVPUUTVVODVKUUTVVOUVLVKYJYHYLVAYMVWCVXHVWIIUFUVLVWDTZVXGVWG
        VWHRVXIUXJVXFVWFUDVXIVXDUOZVXEVWEVVPVXJVVOUVLVWDVXIVXDXCYFXKYKVMYBXBVAY
        MYNYOYPZUUAVVLUYCYQVVKVWMUOZUYCUOZBUXHCDEFGHIAEUGNVVJVWMUYCJYRAUUPVVJVW
        MUYCKYRZAVUQVVJVWMUYCLYRAUUQWAWKUUCPDUUBVVJVWMUYCMYRAVVJVWMUYCUUDZVXLUY
        CYQZVXMUXIUXTVXMUXHUYBBVXMUGURUXHUTVXOYSZVXMUXHQVXQVXMUUMUUEZVXMUGURBUT
        VXNYSVXMUXHUYBVXQVXRVXMUXHVXQUUFUUGVXPUUHVXMVWMUYAVVKVWMUYCYDVXKUUIYTUU
        JUUKUULUUNYTUUO $.
    $}

    ${
      $d A a b c m $.  $d N a b c m $.  $d S a b c m $.  $d Z a b c m $.
      $d ph a b c m $.
      breprexpnat.a $e |- ( ph -> A C_ NN ) $.
      breprexpnat.p $e |- P = sum_ b e. ( A i^i ( 1 ... N ) ) ( Z ^ b ) $.
      breprexpnat.r $e |- R = ( # ` ( ( A i^i ( 1 ... N ) ) ( repr ` S ) m ) )
        $.
      $( Express the ` S ` th power of the finite series in terms of the number
         of representations of integers ` m ` as sums of ` S ` terms of
         elements of ` A ` , bounded by ` N ` .  Proposition of [Nathanson]
         p. 123.  (Contributed by Thierry Arnoux, 11-Dec-2021.) $)
      breprexpnat $p |- ( ph
         -> ( P ^ S ) = sum_ m e. ( 0 ... ( S x. N ) ) ( R x. ( Z ^ m ) ) ) $=
        ( va co cmul cn wcel vc c1 cfz cin cv cexp csu cc0 crepr cfv chash cfzo
        cind csn cxp cprod wf cc cmap wss fvex fconst cpr cvv nnex indf sylancr
        0cn ax-1cn prssi mp2an sylancl cnex elmap sylibr snss sylib breprexp wa
        fss wceq fvconst2 ad2antlr fveq1d oveq1d sumeq2dv a1i cfn fzfi ad2antrr
        fz1ssnn adantr nnssnn0 sstri simpr sselid expcld indsumin incom sumeq1d
        cn0 3eqtrd prodeq2dv fzofi inss2 fsumcl fprodconst syl2anc hashfzo0 syl
        ssfi oveq2d cz fzssz reprfi fz0ssnn0 ad3antrrr reprf ffvelrnda ffvelrnd
        fprodcl fsummulc1 hashreprin adantl 3eqtr4rd 3eqtr3d sumeq2i 3eqtr4g
        oveq1i ) ABUBGUCQZUDZHIUEZUFQZIUGZEUFQZUHEGRQZUCQZYKFUEZEUIUJZQUKUJZHYR
        UFQZRQZFUGZCEUFQYQDUUARQZFUGAUHEULQZYJYLPUEZUUEBSUMUJZUJZUNZUOZUJZUJZYM
        RQZIUGZPUPZYQYJYRYSQZUUEUUFUAUEZUJZUUKUJZPUPZUUARQZUAUGZFUGYOUUCAEFUUJG
        HPIUAJKLAUUEUUIUUJUQUUIURSUSQZUTZUUEUVCUUJUQUUEUUHBUUGVAZVBAUUHUVCTZUVD
        ASURUUHUQZUVFASUHUBVCZUUHUQZUVHURUTZUVGASVDTZBSUTZUVIVEMBSVDVFVGZUHURTU
        BURTUVJVHVIUHUBURVJVKZSUVHURUUHVTVLURSUUHVMVEVNVOUUHUVCUVEVPVQUUEUUIUVC
        UUJVTVGVRAUUOUUEYNPUPZYNUUEUKUJZUFQZYOAUUEUUNYNPAUUFUUETZVSZUUNYJYLUUHU
        JZYMRQZIUGYJBUDZYMIUGYNUVSYJUUMUWAIUVSYLYJTZVSZUULUVTYMRUWDYLUUKUUHUVRU
        UKUUHWAAUWCUUEUUHUUFUVEWBZWCWDWEWFUVSYJBYMISVDUVKUVSVEWGYJWHTZUVSUBGWIZ
        WGYJSUTZUVSGWKZWGAUVLUVRMWLUWDHYLAHURTZUVRUWCLWJUWDYJXAYLYJSXAUWIWMWNZU
        VSUWCWOWPWQWRUVSUWBYKYMIUWBYKWAUVSYJBWSWGWTXBXCAUUEWHTZYNURTUVOUVQWAUWL
        AUHEXDZWGAYKYMIYKWHTZAUWFYKYJUTUWNUWGBYJXEZYJYKXKVKWGAYLYKTZVSZHYLAUWJU
        WPLWLUWQYKXAYLYKYJXAUWOUWKWNAUWPWOWPWQXFUUEYNPXGXHAUVPEYNUFAEXATZUVPEWA
        KEXIXJXLXBAYQUVBUUBFAYRYQTZVSZUUPUUEUURUUHUJZPUPZUAUGZUUARQUUPUXBUUARQZ
        UAUGUUBUVBUWTUUPUXBUUAUAUWTYJEYRUWHUWTUWIWGZUWTYQXMYRUHYPXNAUWSWOZWPZAU
        WRUWSKWLZUWFUWTUWGWGZXOUWTHYRAUWJUWSLWLUWTYQXAYRYPXPUXFWPWQUWTUUQUUPTZV
        SZUUEUXAPUWLUXKUWMWGUXKUVRVSZUVHURUXAUVNUXLSUVHUURUUHAUVIUWSUXJUVRUVMXQ
        UXLYJSUURUWIUXKUUEYJUUFUUQUXKYJUUQEYRUWHUXKUWIWGUWTYRXMTUXJUXGWLUWTUWRU
        XJUXHWLUWTUXJWOXRXSWPXTWPYAYBUWTYTUXCUUARUWTBYJEYRPUAAUVLUWSMWLUXGUXHUX
        IUXEYCWEUWTUUPUVAUXDUAUXKUUTUXBUUARUWTUUTUXBWAUXJUWTUUEUUSUXAPUVRUUSUXA
        WAUWTUVRUURUUKUUHUWEWDYDXCWLWEWFYEWFYFCYNEUFNYIYQUUDUUBFUUDUUBWAUWSDYTU
        UAROYIWGYGYH $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Vinogradov Trigonometric Sums and the Circle Method
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c vts $.

  $( The Vinogradov trigonometric sums. $)
  cvts $a class vts $.

  ${
    $d a l n x $.
    $( Define the Vinogradov trigonometric sums.  (Contributed by Thierry
       Arnoux, 1-Dec-2021.) $)
    df-vts $a |- vts = ( l e. ( CC ^m NN ) , n e. NN0 |->
      ( x e. CC |-> sum_ a e. ( 1 ... n ) ( ( l ` a ) x.
        ( exp ` ( ( _i x. ( 2 x. _pi ) ) x. ( a x. x ) ) ) ) ) ) $.
  $}

  ${
    vtsval.n $e |- ( ph -> N e. NN0 ) $.
    vtsval.x $e |- ( ph -> X e. CC ) $.
    ${
      $d L a l n x $.  $d N a l n x $.  $d X a x $.  $d ph x $.
      vtsval.l $e |- ( ph -> L : NN --> CC ) $.
      $( Value of the Vinogradov trigonometric sums.  (Contributed by Thierry
         Arnoux, 1-Dec-2021.) $)
      vtsval $p |- ( ph -> ( ( L vts N ) ` X ) = sum_ a e. ( 1 ... N )
       ( ( L ` a ) x. ( exp ` ( ( _i x. ( 2 x. _pi ) ) x. ( a x. X ) ) ) ) ) $=
        ( vx vl vn c1 cfz co cv cfv cmul csu cc wceq ci c2 cpi ce cvts cvv cmap
        cn wcel cn0 cmpt cnex nnex elmap sylibr fveq1 oveq1d sumeq2sdv mpteq2dv
        oveq2 sumeq1d df-vts mptex ovmpo syl2anc oveq2d fveq2d adantl sumex a1i
        wf fvmptd ) AIDLCMNZEOZBPZUAUBUCQNQNZVNIOZQNZQNZUDPZQNZERZVMVOVPVNDQNZQ
        NZUDPZQNZERZSBCUENZUFABSUHUGNZUIZCUJUIWHISWBUKZTAUHSBVKWJHSUHBULUMUNUOF
        JKBCWIUJISLKOZMNZVNJOZPZVTQNZERZUKWKUEISWMWAERZUKWNBTZISWQWRWSWMWPWAEWS
        WOVOVTQVNWNBUPUQURUSWLCTZISWRWBWTWMVMWAEWLCLMUTVAUSIKEJVBISWBULVCVDVEVQ
        DTZWBWGTAXAVMWAWFEXAVTWEVOQXAVSWDUDXAVRWCVPQVQDVNQUTVFVGVFURVHGWGUFUIAV
        MWFEVIVJVL $.

      $d ph a $.
      $( Closure of the Vinogradov trigonometric sums.  (Contributed by Thierry
         Arnoux, 14-Dec-2021.) $)
      vtscl $p |- ( ph -> ( ( L vts N ) ` X ) e. CC ) $=
        ( va co cfv c1 ci c2 cpi cmul cc wcel cn adantr mulcld cfz cv ce vtsval
        cvts csu fzfid wa wf wss fz1ssnn a1i sselda ffvelrnd ax-icn picn mulcli
        2cn nncnd efcld fsumcl eqeltrd ) ADBCUEIJKCUAIZHUBZBJZLMNOIZOIZVDDOIZOI
        ZUCJZOIZHUFPABCDHEFGUDAVCVKHAKCUGAVDVCQZUHZVEVJVMRPVDBARPBUIVLGSAVCRVDV
        CRUJACUKULUMZUNVMVIVMVGVHVGPQVMLVFUOMNURUPUQUQULVMVDDVMVDVNUSADPQVLFSTT
        UTTVAVB $.
    $}

    ${
      $d L a b c m $.  $d N a b c m $.  $d S a b c m $.  $d X a b c m $.
      $d a b c m ph $.
      vtsprod.s $e |- ( ph -> S e. NN0 ) $.
      vtsprod.l $e |- ( ph -> L : ( 0 ..^ S ) --> ( CC ^m NN ) ) $.
      $( Express the Vinogradov trigonometric sums to the power of ` S `
         (Contributed by Thierry Arnoux, 12-Dec-2021.) $)
      vtsprod $p |- ( ph -> prod_ a e. ( 0 ..^ S ) ( ( ( L ` a ) vts N ) ` X )
      = sum_ m e. ( 0 ... ( S x. N ) ) sum_ c e. ( ( 1 ... N ) ( repr ` S ) m )
            ( prod_ a e. ( 0 ..^ S ) ( ( L ` a ) ` ( c ` a ) )
            x. ( exp ` ( ( _i x. ( 2 x. _pi ) ) x. ( m x. X ) ) ) ) ) $=
        ( vb co cfv cmul ce csu cc wcel cc0 cfzo c1 cfz cv ci c2 cpi cexp cprod
        crepr cvts ax-icn a1i 2cnd picn mulcld efcld breprexp wa adantr cn cmap
        cn0 wf ffvelrnda elmapi syl vtsval cz fzssz sselid zcnd ad2antrr mul12d
        simpr fveq2d wceq efexp syl2anc eqtr3d sumeq2dv eqtrd prodeq2dv 3eqtr4d
        oveq2d ) AUABUBNZUCEUDNZMUEZGUEZDOZOZUFUGUHPNZPNZFPNZQOZWIUINZPNZMRZGUJ
        UABEPNZUDNZWHCUEZBUKONZWGWJHUEZOWKOGUJZWPXBUINZPNZHRZCRWGFWKEULNOZGUJXA
        XCXEWNXBFPNPNZQOZPNZHRZCRABCDEWPGMHIKAWOAWNFAUFWMUFSTAUMUNAUGUHAUOUHSTA
        UPUNUQUQZJUQZURLUSAWGXIWSGAWJWGTZUTZXIWHWLWNWIFPNPNZQOZPNZMRWSXQWKEFMAE
        VDTXPIVAAFSTZXPJVAZXQWKSVBVCNZTVBSWKVEAWGYCWJDLVFWKSVBVGVHVIXQWHXTWRMXQ
        WIWHTZUTZXSWQWLPYEWIWOPNZQOZXSWQYEYFXRQYEWIWNFYEWIYEWHVJWIUCEVKXQYDVPVL
        ZVMAWNSTZXPYDXNVNXQYAYDYBVAVOVQYEWOSTZWIVJTYGWQVRAYJXPYDXOVNYHWOWIVSVTW
        AWFWBWCWDAXAXMXHCAXBXATZUTZXCXLXGHYLXDXCTZUTZXKXFXEPYNXBWOPNZQOZXKXFYNY
        OXJQYNXBWNFYNXBYLXBVJTZYMYLXAVJXBUAWTVKAYKVPVLVAZVMAYIYKYMXNVNAYAYKYMJV
        NVOVQYNYJYQYPXFVRAYJYKYMXOVNYRWOXBVSVTWAWFWBWBWE $.
    $}
  $}

  ${
    $d L a c m x $.  $d N a c m x $.  $d S a c m x $.  $d a c m ph x $.
    circlemeth.n $e |- ( ph -> N e. NN0 ) $.
    circlemeth.s $e |- ( ph -> S e. NN ) $.
    circlemeth.l $e |- ( ph -> L : ( 0 ..^ S ) --> ( CC ^m NN ) ) $.
    $( The Hardy, Littlewood and Ramanujan Circle Method, in a generic form,
       with different weighting / smoothing functions.  (Contributed by Thierry
       Arnoux, 13-Dec-2021.) $)
    circlemeth $p |- ( ph -> sum_ c e. ( NN ( repr ` S ) N )
             prod_ a e. ( 0 ..^ S ) ( ( L ` a ) ` ( c ` a ) )
       = S. ( 0 (,) 1 ) ( prod_ a e. ( 0 ..^ S ) ( ( ( L ` a ) vts N ) ` x )
         x. ( exp ` ( ( _i x. ( 2 x. _pi ) ) x. ( -u N x. x ) ) ) ) _d x ) $=
      ( vm cc0 c1 co cmul csu wcel adantr cc a1i cioo cfzo cv cfv cvts cprod ci
      c2 cpi cneg ce citg cfz crepr cmin cn wa cn0 wss ioossre ax-resscn sselda
      cr sstri nnnn0d cmap vtsprod oveq1d fzfid ax-icn 2cn mulcli nn0cnd negcld
      wf picn ralrimivw r19.21bi mulcld efcld fz1ssnn cz simpr elfzelzd adantlr
      reprfi cfn fzofi ad3antrrr ad2antrr reprf ffvelrnda breprexplemb adantl3r
      zcnd sselid fprodcl fsumcl fsummulc1 mulassd caddc syl2anc adddid adddird
      wceq efadd negsubd eqtr3d oveq2d fveq2d eqtrd sumeq2dv itgeq2dv cmpt cibl
      3eqtrd cvv cvol cdm ioombl sumex adantllr subcld an32s fvex cicc ioossicc
      anasss ccncf 0red 1red unitsscn syl3anc itgfsum simprd oveq2 nn0zd eqtr4d
      cif sumeq1d ssidd cncfmptc cncfmptid mulcncf efmul2picn cniccibl iblmulc2
      iblss simpld mulid1d mul01d ifeq3da velsn subeq0ad bitr4id ifbid itgexpif
      csn zsubcld syl 1cnd 0cnd ifcld 3eqtr4rd wral cuz 0zd zmulcld nn0ge0d cle
      wo wbr nnmulge elfzd snssd syldan ralrimiva sumss2 syl21anc sumsn 3eqtr2d
      olcd itgmulc2 reprfz1 3eqtr4d 3eqtrrd ) ABLMUANZLCUBNZBUCZFUCZDUDZEUENUDF
      UFZUGUHUIONZONZEUJZUWIONZONZUKUDZONZULBUWGLCEONZUMNZMEUMNZKUCZCUNUDZNZUWH
      UWJGUCZUDZUWKUDZFUFZUWNUXCEUONZUWIONZONZUKUDZONZGPZKPZULZUXABUWGUXOULZKPZ
      UPEUXDNZUXIGPZABUWGUWSUXPAUWIUWGQZUQZUWSUXAUXEUXIUWNUXCUWIONZONZUKUDZONZG
      PZKPZUWRONUXAUYHUWRONZKPUXPUYCUWLUYIUWROUYCCKDEUWIFGAEURQZUYBHRAUWGSUWIUW
      GSUSAUWGVCSLMUTVAVDTVBZACURQZUYBACIVEZRZAUWHSUPVFNDVOZUYBJRVGVHUYCUXAUYHU
      WRKUYCLUWTVIUYCUWQUYCUWNUWPUWNSQZUYCUGUWMVJUHUIVKVPVLVLZTUYCUWOUWIAUWOSQZ
      BUWGAUYSBUWGAEAEHVMZVNVQVRZUYLVSZVSZVTZUYCUXCUXAQZUQZUXEUYGGVUFUXBCUXCUXB
      UPUSZVUFEWAZTAVUEUXCWBQZUYBAVUEUQZUXCLUWTAVUEWCWDZWEZUYCUYMVUEUYORVUFMEVI
      WFZVUFUXFUXEQZUQZUXIUYFVUOUWHUXHFUWHWGQZVUOLCWHZTAVUEVUNUWJUWHQZUXHSQZUYB
      VUJVUNUQZVURUQZCDEUWJUXGUXCAUYKVUEVUNVURHWIAUYMVUEVUNVURUYNWIVUJUXCSQVUNV
      URVUJUXCVUKWOZWJAUYPVUEVUNVURJWIVUTVURWCVVAUXBUPUXGVUHVUTUWHUXBUWJUXFVUTU
      XBUXFCUXCVUGVUTVUHTVUJVUIVUNVUKRZAUYMVUEVUNUYNWJVUJVUNWCWKWLWPWMZWNWQZVUF
      UYFSQVUNVUFUYEVUFUWNUYDUYQVUFUYRTZVUFUXCUWIVUFUXCVULWOZUYCUWISQVUEUYLRZVS
      ZVSZVTRZVSZWRWSUYCUXAUYJUXOKVUFUYJUXEUYGUWRONZGPUXOVUFUXEUYGUWRGVUMUYCUWR
      SQZVUEVUDRZVVLWSVUFUXEVVMUXNGVUOVVMUXIUYFUWRONZONZUXNVUOUXIUYFUWRVVEVVKVU
      FVVNVUNVVORWTVUFVVQUXNXEVUNVUFVVPUXMUXIOVUFUYEUWQXANZUKUDZVVPUXMVUFUYESQU
      WQSQZVVSVVPXEVVJUYCVVTVUEVUCRUYEUWQXFXBVUFVVRUXLUKVUFUWNUYDUWPXANZONVVRUX
      LVUFUWNUYDUWPVVFVVIUYCUWPSQVUEVUBRXCVUFVWAUXKUWNOVUFUXCUWOXANZUWIONVWAUXK
      VUFUXCUWOUWIVVGUYCUYSVUEVUARVVHXDVUFVWBUXJUWIOVUFUXCEVVGAESQZUYBVUEUYTWJZ
      XGVHXHXIXHXJXHXIRXKXLXKXLXPXMABUWGUXPXNXOQUXQUXSXEABUWGUXAUXOKXQUWGXRXSQZ
      ALMXTZTZALUWTVIZUXOXQQAUYBVUEUQUQUXEUXNGYATVUJBUWGUXOXNXOQZUXRUXEBUWGUXNU
      LZGPZXEZVUJBUWGUXEUXNGSAVWEVUEVWGRVUJUXBCUXCVUGVUJVUHTVUKAUYMVUEUYNRVUJME
      VIWFZVUJUYBVUNUXNSQVUJUYBUQZVUNUQZUXIUXMVWOUWHUXHFVUPVWOVUQTVUJVUNVURVUSU
      YBVVDYBWQVWOUXLVWNUXLSQZVUNAUYBVUEVWPVUFUWNUXKVVFVUFUXJUWIVUFUXCEVVGVWDYC
      VVHVSVSYDRVTZVSYHVUTBUWGUXMUXIXQVUTUWHUXHFVUPVUTVUQTVVDWQZUXMXQQZVUTUYBUQ
      UXLUKYEZTVUJBUWGUXMXNXOQVUNVUJBUWGLMYFNZUXMXQUWGVXAUSVUJLMYGTVWEVUJVWFTVW
      SVUJUWIVXAQUQVWTTVUJLVCQMVCQBVXAUXMXNZVXASYINZQVXBXOQVUJYJVUJYKVUJBVXAUXK
      VUJBUXJUWIVXAVUJUXJSQVXASUSZSSUSZBVXAUXJXNVXCQVUJUXCEVVBAVWCVUEUYTRZYCVXD
      VUJYLTZVUJSUUAZBUXJVXASUUBYMVUJVXDVXEBVXAUWIXNVXCQVXGVXHBVXASUUCXBUUDUUEL
      MVXBUUFYMUUHRZUUGYNZUUIYNYOAUXAUXEUXIBUWGUXMULZONZGPZKPZUXBEUXDNZUXIGPZUX
      SUYAAVXNUXAUXCEUURZQZUXEUXIGPZLYSZKPZVXQVXSKPZVXPAUXAVXMVXTKVUJUXJLXEZVXS
      LYSVXSVYCMLYSZONZVXTVXMVUJVYCVXSLVYEMLVXSMONVXSLONVYDMVXSOYPVYDLVXSOYPVUJ
      VXSVUJUXEUXIGVWMVWRWRZUUJVUJVXSVYFUUKUULVUJVXRVYCVXSLVUJVXRUXCEXEZVYCKEUU
      MVUJUXCEVVBVXFUUNUUOUUPVUJVXMUXEUXIVYDONZGPVYEVUJUXEVXLVYHGVUTVXKVYDUXIOV
      UTUXJWBQVXKVYDXEVUTUXCEVVCAEWBQZVUEVUNAEHYQZWJUUSBUXJUUQUUTXIXLVUJUXEUXIV
      YDGVWMVUJVYCMLSVUJUVAVUJUVBUVCVWRWSYRUVDXLAVXQUXAUSVXSSQZKVXQUVEUXALUVFUD
      USZUXAWGQZUVKVYBVYAXEAEUXAAELUWTAUVGACEACUYNYQVYJUVHVYJAEHUVIACUPQUYKEUWT
      UVJUVLIHCEUVMXBUVNUVOZAVYKKVXQAVXRVUEVYKAVXQUXAUXCVYNVBVYFUVPUVQAVYMVYLVW
      HUWBVXQUXAVXSKLUVRUVSAUYKVXPSQVYBVXPXEHAVXOUXIGAUXBCEVUGAVUHTVYJUYNAMEVIW
      FAUXFVXOQZUQZUWHUXHFVUPVYPVUQTVYPVURUQZCDEUWJUXGEAUYKVYOVURHWJAUYMVYOVURU
      YNWJAVWCVYOVURUYTWJAUYPVYOVURJWJVYPVURWCVYQUXBUPUXGVUHVYPUWHUXBUWJUXFVYPU
      XBUXFCEVUGVYPVUHTAVYIVYOVYJRAUYMVYOUYNRAVYOWCWKWLWPWMWQWRVXSVXPKEURVYGUXE
      VXOUXIGUXCEUXBUXDYPYTUVTXBUWAAUXAUXRVXMKVUJUXRVWKVXMVUJVWIVWLVXJYOVUJUXEV
      XLVWJGVUTBUWGUXMUXISVWRVUJUYBVUNUXMSQVWQYDVXIUWCXLYRXLAUXTVXOUXIGACEHUYNU
      WDYTUWEUWF $.
  $}

  ${
    $d A a c x $.  $d F a $.  $d N a c x $.  $d S a c x $.
    circlemethnat.r $e |- R = ( # ` ( A ( repr ` S ) N ) ) $.
    circlemethnat.f $e |- F = ( ( ( ( _Ind ` NN ) ` A ) vts N ) ` x ) $.
    circlemethnat.n $e |- N e. NN0 $.
    circlemethnat.a $e |- A C_ NN $.
    circlemethnat.s $e |- S e. NN $.
    $( The Hardy, Littlewood and Ramanujan Circle Method, Chapter 5.1 of
       [Nathanson] p. 123.  This expresses ` R ` , the number of different ways
       a nonnegative integer ` N ` can be represented as the sum of at most
       ` S ` integers in the set ` A ` as an integral of Vinogradov
       trigonometric sums.  (Contributed by Thierry Arnoux, 13-Dec-2021.) $)
    circlemethnat $p |- R = S. ( 0 (,) 1 ) ( ( F ^ S )
        x. ( exp ` ( ( _i x. ( 2 x. _pi ) ) x. ( -u N x. x ) ) ) ) _d x $=
      ( va co cmul cfv wtru cn wcel cc a1i vc cc0 c1 cioo cexp ci c2 cneg cv ce
      cpi citg wceq crepr cfzo cind csn cxp cprod csu cvts chash wa cmap wf cpr
      wss cvv nnex indf mp2an cr pr01ssre ax-resscn sstri fss elmap mpbir elexi
      cnex fvconst2 adantl fveq1d prodeq2dv sumeq2dv cn0 nnnn0d hashrepr eqtr4d
      eqtr4id fconst6 circlemeth fzofi ioossre sselda vtscl eqeltrid fprodconst
      cfn syl2anc oveq1d adantr hashfzo0 oveq2d 3eqtr3d itgeq2dv 3eqtrd mptru
      syl ) CAUBUCUDMZEDUEMZUFUGUKNMNMFUHAUIZNMNMUJOZNMZULZUMPCQFDUNOZMZUBDUOMZ
      LUIZUAUIZOZXSXRBQUPOOZUQURZOZOZLUSZUAUTZAXJXRXLYDFVAMZOZLUSZXMNMZULXOPCBF
      XPMVBOZYGGPYGXQXRYAYBOZLUSZUAUTYLPXQYFYNUAPXTXQRVCZXRYEYMLYOXSXRRZVCYAYDY
      BYPYDYBUMZYOXRYBXSYBSQVDMZYBYRRQSYBVEZQUBUCVFZYBVEZYTSVGYSQVHRBQVGZUUAVIJ
      BQVHVJVKYTVLSVMVNVOQYTSYBVPVKZSQYBVTVIVQVRZVSWAZWBWCWDWEPBDFLUAUUBPJTFWFR
      ZPITZPDDQRPKTZWGZWHWIWJPADYCFLUAUUGUUHXRYRYCVEPXRYBYRUUDWKTWLPAXJYKXNPXLX
      JRZVCZYJXKXMNUUKXRELUSZEXRVBOZUEMZYJXKUUKXRWSRZESRUULUUNUMUUOUUKUBDWMTUUK
      EXLYBFVAMZOZSHUUKYBFXLUUFUUKITPXJSXLXJSVGPXJVLSUBUCWNVNVOTWOYSUUKUUCTWPWQ
      XRELWRWTUUKXREYILUUKYPVCZEUUQYIHUURXLYHUUPUURYDYBFVAYPYQUUKUUEWBXAWCWJWDU
      UKUUMDEUEUUKDWFRZUUMDUMPUUSUUJUUIXBDXCXIXDXEXAXFXGXH $.
  $}

  ${
    $d N a n x $.  $d a n ph x $.
    circlevma.n $e |- ( ph -> N e. NN0 ) $.
    $( The Circle Method, where the Vinogradov sums are weighted using the von
       Mangoldt function, as it appears as proposition 1.1 of [Helfgott] p. 5.
       (Contributed by Thierry Arnoux, 13-Dec-2021.) $)
    circlevma $p |- ( ph -> sum_ n e. ( NN ( repr ` 3 ) N )
      ( ( Lam ` ( n ` 0 ) ) x. ( ( Lam ` ( n ` 1 ) ) x. ( Lam ` ( n ` 2 ) ) ) )
      = S. ( 0 (,) 1 ) ( ( ( ( Lam vts N ) ` x ) ^ 3 )
        x. ( exp ` ( ( _i x. ( 2 x. _pi ) ) x. ( -u N x. x ) ) ) ) _d x ) $=
      ( va cn c3 cfv co cc0 cvma c1 c2 cmul wcel a1i cc cr wceq cfzo cv csn cxp
      crepr cprod csu cioo cvts ci cpi cneg ce citg cexp 3nn cmap wss ax-resscn
      wf vmaf fss mp2an cvv wb cnex nnex elmapg mpbir fconst6 circlemeth wa ctp
      c0ex tpid1 fzo0to3tp eleqtrri eleq1 mpbiri elexi fvconst2 syl fveq12d 1ex
      fveq2 tpid2 2ex tpid3 fveq1d adantl ssidd cz nn0zd adantr cn0 simpr reprf
      nnnn0i ffvelrnda ffvelrnd eqeltrd prodfzo03 sumeq2dv oveq1d prodeq2dv cfn
      chash fzofi ioossre sstri sselda vtscl fprodconst syl2anc hashfzo0 oveq2d
      ax-mp 3eqtrd itgeq2dv 3eqtr3d ) AGDHUEIJZKHUAJZFUBZCUBZIZYCYBLUCUDZIZIZFU
      FZCUGBKMUHJZYBBUBZYGDUIJZIZFUFZUJNUKOJOJDULYKOJOJUMIZOJZUNYAKYDIZLIZMYDIZ
      LIZNYDIZLIZOJOJZCUGBYJYKLDUIJZIZHUOJZYOOJZUNABHYFDFCEHGPAUPQYBRGUQJZYFUTA
      YBLUUHLUUHPZGRLUTZGSLUTSRURUUJVAUSGSRLVBVCZRVDPGVDPUUIUUJVEVFVGRGLVDVDVHV
      CVIZVJQVKAYAYIUUCCAYDYAPZVLZYRYTUUBYHFYCKTZYEYQYGLUUOYCYBPZYGLTZUUOUUPKYB
      PKKMNVMZYBKMNVNVOVPVQYCKYBVRVSYBLYCLUUHUULVTWAZWBYCKYDWEWCYCMTZYEYSYGLUUT
      UUPUUQUUTUUPMYBPMUURYBKMNWDWFVPVQYCMYBVRVSUUSWBYCMYDWEWCYCNTZYEUUAYGLUVAU
      UPUUQUVAUUPNYBPNUURYBKMNWGWHVPVQYCNYBVRVSUUSWBYCNYDWEWCUUNUUPVLZYHYELIZRU
      UPYHUVCTUUNUUPYEYGLUUSWIWJUVBGRYELUUJUVBUUKQUUNYBGYCYDUUNGYDHDUUNGWKADWLP
      UUMADEWMWNHWOPZUUNHUPWRZQAUUMWPWQWSWTXAXBXCABYJYPUUGAYKYJPZVLZYNUUFYOOUVG
      YNYBUUEFUFZUUEYBXGIZUOJZUUFUVGYBYMUUEFUVGUUPVLZYKYLUUDUVKYGLDUIUUPUUQUVGU
      USWJXDWIXEUVGYBXFPZUUERPUVHUVJTUVLUVGKHXHQUVGLDYKADWOPUVFEWNAYJRYKYJRURAY
      JSRKMXIUSXJQXKUUJUVGUUKQXLYBUUEFXMXNUVGUVIHUUEUOUVIHTZUVGUVDUVMUVEHXOXQQX
      PXRXDXSXT $.
  $}

  ${
    $d H a n x y $.  $d K a n x y $.  $d N a n x $.  $d ph a n x y $.
    circlemethhgt.h $e |- ( ph -> H : NN --> RR ) $.
    circlemethhgt.k $e |- ( ph -> K : NN --> RR ) $.
    circlemethhgt.n $e |- ( ph -> N e. NN0 ) $.
    $( The circle method, where the Vinogradov sums are weighted using the Von
       Mangoldt function and smoothed using functions ` H ` and ` K ` .
       Statement 7.49 of [Helfgott] p. 69.  At this point there is no further
       constraint on the smoothing functions.  (Contributed by Thierry Arnoux,
       22-Dec-2021.) $)
    circlemethhgt $p |- ( ph -> sum_ n e. ( NN ( repr ` 3 ) N )
       ( ( ( Lam ` ( n ` 0 ) ) x. ( H ` ( n ` 0 ) ) )
    x. ( ( ( Lam ` ( n ` 1 ) ) x. ( K ` ( n ` 1 ) ) )
      x. ( ( Lam ` ( n ` 2 ) ) x. ( K ` ( n ` 2 ) ) ) ) )
      = S. ( 0 (,) 1 ) ( ( ( ( ( Lam oF x. H ) vts N ) ` x )
        x. ( ( ( ( Lam oF x. K ) vts N ) ` x ) ^ 2 ) )
        x. ( exp ` ( ( _i x. ( 2 x. _pi ) ) x. ( -u N x. x ) ) ) ) _d x ) $=
      ( cn c3 cfv co cc0 cmul c1 c2 wcel wceq cvv va vy crepr cfzo cvma cof cs3
      cv cprod csu cioo cvts ci cpi cneg ce citg cexp 3nn a1i cmap chash eqcomi
      cc s3len wf cr wa simprl simprr remulcld recnd vmaf nnex inidm cnex elmap
      sylibr s3cld wrdfd circlemeth fveq2 fveq12d adantr ffvelrnda elmapi ssidd
      off syl cz nn0zd cn0 3nn0 simpr reprf ffvelrnd prodfzo03 ovex mp1i fveq1d
      s3fv0 simpl ctp c0ex tpid1 fzo0to3tp eleqtrri wfn ffn ax-mp eqidd syl2anc
      ffnd ofval eqtrd s3fv1 1ex tpid2 s3fv2 2ex tpid3 oveq12d sumeq2dv csn cun
      nfv nfcv cfn fzofi wn eqid orci ad2antrr wss sselda oveq1d adantl 3eqtr3d
      wo vtscl cfz 0elfz elfznelfzob mp2b mpbir ioossre ax-resscn sstri fzo0ss1
      wb eqtrdi fprodsplitsn fzo0sn0fzo1 eqtr4i prodeq1d cpr fzo13pr eleq2i vex
      uncom elpr bitri jaodan sylan2b adantlr prodeq2dv fprodconst cmin eleqtri
      cuz nnuz hashfzo 3m1e2 eqtri oveq2d 3eqtrd sqcld mulcomd eqtr4d itgeq2dv
      ) AJFKUCLMZNKUDMZUAUHZCUHZLZUWCUEDOUFZMZUEEUWFMZUWHUGZLZLZUAUIZCUJBNPUKMZ
      UWBBUHZUWJFULMZLZUAUIZUMQUNOMOMFUOUWNOMOMUPLZOMZUQUWANUWDLZUELZUWTDLZOMZP
      UWDLZUELZUXDELZOMZQUWDLZUELZUXHELZOMZOMZOMZCUJBUWMUWNUWGFULMZLZUWNUWHFULM
      ZLZQURMZOMZUWROMZUQABKUWIFUACIKJRZAUSUTAVDJVAMZKUWIKUWIVBLZSAUYCKUWGUWHUW
      HVEVCUTAUWGUWHUWHUYBAJVDUWGVFZUWGUYBRABUBJJJOVGVGVDUEDTTAUWNVGRZUBUHZVGRZ
      VHVHZUWNUYFOMUYHUWNUYFAUYEUYGVIAUYEUYGVJVKVLZJVGUEVFZAVMUTZGJTRAVNUTZUYLJ
      VOZWHZVDJUWGVPVNVQVRAJVDUWHVFZUWHUYBRABUBJJJOVGVGVDUEETTUYIUYKHUYLUYLUYMW
      HZVDJUWHVPVNVQVRZUYQVSVTZWAAUWAUWLUXMCAUWDUWARZVHZUWLUWTNUWILZLZUXDPUWILZ
      LZUXHQUWILZLZOMZOMUXMUYTVUBVUDVUFUWKUAUWCNSZUWEUWTUWJVUAUWCNUWIWBZUWCNUWD
      WBWCUWCPSZUWEUXDUWJVUCUWCPUWIWBZUWCPUWDWBWCUWCQSZUWEUXHUWJVUEUWCQUWIWBZUW
      CQUWDWBWCUYTUWCUWBRVHZJVDUWEUWJVUNUWJUYBRZJVDUWJVFZUYTUWBUYBUWCUWIAUWBUYB
      UWIVFZUYSUYRWDWEUWJVDJWFZWIUYTUWBJUWCUWDUYTJUWDKFUYTJWGAFWJRUYSAFIWKWDKWL
      RZUYTWMUTAUYSWNWOZWEWPWQUYTVUBUXCVUGUXLOUYTVUBUWTUWGLZUXCUYTUWTVUAUWGUWGT
      RZVUAUWGSZUYTUEDUWFWRZUWGUWHUWHTXAZWSWTUYTAUWTJRZVVAUXCSAUYSXBZUYTUWBJNUW
      DVUTNUWBRUYTNNPQXCZUWBNPQXDXEXFXGUTWPAJJUXAUXBOJUEDTTUWTUEJXHZAUYJVVIVMJV
      GUEXIXJUTZAJVGDGXMUYLUYLUYMAVVFVHZUXAXKVVKUXBXKXNXLXOUYTVUDUXGVUFUXKOUYTV
      UDUXDUWHLZUXGUYTUXDVUCUWHUWHTRZVUCUWHSZUYTUEEUWFWRZUWGUWHUWHTXPZWSWTUYTAU
      XDJRZVVLUXGSVVGUYTUWBJPUWDVUTPUWBRUYTPVVHUWBNPQXQXRXFXGUTWPAJJUXEUXFOJUEE
      TTUXDVVJAJVGEHXMZUYLUYLUYMAVVQVHZUXEXKVVSUXFXKXNXLXOUYTVUFUXHUWHLZUXKUYTU
      XHVUEUWHVVMVUEUWHSZUYTVVOUWGUWHUWHTXSZWSWTUYTAUXHJRZVVTUXKSVVGUYTUWBJQUWD
      VUTQUWBRUYTQVVHUWBNPQXTYAXFXGUTWPAJJUXIUXJOJUEETTUXHVVJVVRUYLUYLUYMAVWCVH
      ZUXIXKVWDUXJXKXNXLXOYBYBXOYCABUWMUWSUXTAUWNUWMRZVHZUWQUXSUWROVWFPKUDMZNYD
      ZYEZUWPUAUIVWGUWPUAUIZUXOOMZUWQUXSVWFVWGNUWPUXOUATVWFUAYFUAUXOYGVWGYHRZVW
      FPKYIUTZNTRVWFXDUTNVWGRYJZVWFVWNNNSZNKSZYSZVWOVWPNYKYLVUSNNKUUAMRVWNVWQUU
      JWMKUUBKNUUCUUDUUEUTVWFUWCVWGRZVHZUWJFUWNAFWLRZVWEVWRIYMVWFUWNVDRVWRAUWMV
      DUWNUWMVDYNAUWMVGVDNPUUFUUGUUHUTYOZWDVWSVUOVUPVWSUWBUYBUWCUWIAVUQVWEVWRUY
      RYMVWFVWGUWBUWCVWGUWBYNVWFKUUIUTYOWPVURWIYTVUHUWNUWOUXNVUHUWJUWGFULVUHUWJ
      VUAUWGVUIVVBVVCVVDVVEXJUUKYPWTVWFUWGFUWNAVWTVWEIWDZVXAAUYDVWEUYNWDYTZUULV
      WFVWIUWBUWPUAVWIUWBSVWFVWIVWHVWGYEZUWBVWGVWHUUTUYAUWBVXDSUSKUUMXJUUNUTUUO
      VWFVWKUXRUXOOMUXSVWFVWJUXRUXOOVWFVWJVWGUXQUAUIZUXQVWGVBLZURMZUXRVWFVWGUWP
      UXQUAVWSUWNUWOUXPVWSUWJUWHFULAVWRUWJUWHSZVWEVWRAVUJVULYSZVXHVWRUWCPQUUPZR
      VXIVWGVXJUWCUUQUURUWCPQUAUUSUVAUVBAVUJVXHVULAVUJVHZUWJVUCUWHVUJUWJVUCSAVU
      KYQVVMVVNVXKVVOVVPWSXOAVULVHZUWJVUEUWHVULUWJVUESAVUMYQVVMVWAVXLVVOVWBWSXO
      UVCUVDUVEYPWTUVFVWFVWLUXQVDRVXEVXGSVWMVWFUWHFUWNVXBVXAAUYOVWEUYPWDYTZVWGU
      XQUAUVGXLVWFVXFQUXQURVXFQSVWFVXFKPUVHMZQKPUVJLZRVXFVXNSKJVXOUSUVKUVIPKUVL
      XJUVMUVNUTUVOUVPYPVWFUXOUXRVXCVWFUXQVXMUVQUVRUVSYRYPUVTYR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The Ternary Goldbach Conjecture: Final Statement
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d h k m n x z $.
    $( Statement 7.49 of [Helfgott] p. 70.  For a sufficiently big odd ` N ` ,
       this postulates the existence of smoothing functions ` h ` (eta star)
       and ` k ` (eta plus) such that the lower bound for the circle integral
       is big enough.  (Contributed by Thierry Arnoux, 15-Dec-2021.) $)
    ax-hgt749 $a |- A. n e. { z e. ZZ | -. 2 || z } ( ( ; 1 0 ^ ; 2 7 ) <_ n
      -> E. h e. ( ( 0 [,) +oo ) ^m NN ) E. k e. ( ( 0 [,) +oo ) ^m NN ) (
         A. m e. NN ( k ` m ) <_ ( 1 . _ 0 _ 7 _ 9 _ 9 _ 5 5 )
      /\ A. m e. NN ( h ` m ) <_ ( 1 . _ 4 _ 1 4 )
      /\ ( ( 0 . _ 0 _ 0 _ 0 _ 4 _ 2 _ 2 _ 4 8 ) x. ( n ^ 2 ) )
       <_ S. ( 0 (,) 1 ) ( ( ( ( ( Lam oF x. h ) vts n ) ` x )
        x. ( ( ( ( Lam oF x. k ) vts n ) ` x ) ^ 2 ) )
        x. ( exp ` ( ( _i x. ( 2 x. _pi ) ) x. ( -u n x. x ) ) ) ) _d x ) ) $.
  $}

  $( Theorem 12. of [RosserSchoenfeld] p. 71.  Theorem ~ chpo1ubb states that
     the ` psi ` function is bounded by a linear term; this axiom postulates an
     upper bound for that linear term.  This is stated as an axiom until a
     formal proof can be provided.  (Contributed by Thierry Arnoux,
     28-Dec-2021.) $)
  ax-ros335 $a |- A. x e. RR+ ( psi ` x )
                                        < ( ( 1 . _ 0 _ 3 _ 8 _ 8 3 ) x. x ) $.

  $( Theorem 13. of [RosserSchoenfeld] p. 71.  Theorem ~ chpchtlim states that
     the ` psi ` and ` theta ` function are asymtotic to each other; this axiom
     postulates an upper bound for their difference.  This is stated as an
     axiom until a formal proof can be provided.  (Contributed by Thierry
     Arnoux, 28-Dec-2021.) $)
  ax-ros336 $a |- A. x e. RR+ ( ( psi ` x ) - ( theta ` x ) )
                                 < ( ( 1 . _ 4 _ 2 _ 6 2 ) x. ( sqrt ` x ) ) $.

  ${
    $d N i j $.  $d N x $.  $d ph i x $.
    hgt750lemc.n $e |- ( ph -> N e. NN ) $.
    $( An upper bound to the summatory function of the von Mangoldt function.
       (Contributed by Thierry Arnoux, 29-Dec-2021.) $)
    hgt750lemc $p |- ( ph -> sum_ j e. ( 1 ... N ) ( Lam ` j )
      < ( ( 1 . _ 0 _ 3 _ 8 _ 8 3 ) x. N ) ) $=
      ( vx cchp cfv c1 cfz co cv cvma c3 c8 cdp2 cmul clt wceq wbr crp csu wcel
      cc0 cdp nnzd chpvalz syl fveq2 oveq2 breq12d wral ax-ros335 nnrpd rspcdva
      cz a1i eqbrtrrd ) ACFGZHCIJBKLGBUAZHUCMNNMOOOOUDJZCPJZQACUOUBURUSRACDUEBC
      UFUGAEKZFGZUTVBPJZQSZURVAQSETCVBCRVCURVDVAQVBCFUHVBCUTPUIUJVEETUKAEULUPAC
      DUMUNUQ $.

    hgt750lemd.0 $e |- ( ph -> ( ; 1 0 ^ ; 2 7 ) <_ N ) $.
    $( An upper bound to the summatory function of the von Mangoldt function on
       non-primes.  (Contributed by Thierry Arnoux, 29-Dec-2021.) $)
    hgt750lemd $p |- ( ph
      -> sum_ i e. ( ( ( 1 ... N ) \ Prime ) u. { 2 } ) ( Lam ` i )
       < ( ( 1 . _ 4 _ 2 _ 6 3 ) x. ( sqrt ` N ) ) ) $=
      ( c1 co cprime cfv c2 c4 c6 cmul cc0 clt wcel cr a1i 0nn0 wbr vx cfz cdif
      cv cvma csu clog caddc cdp2 cdp csqrt csn cun c3 cfn fzfid diffi wa cn wf
      syl vmaf wss fz1ssnn ssdifssd ffvelrnd fsumrecl crp 2rp relogcld cn0 1nn0
      sselda 4re 2re pm3.2i dp2cl ax-mp dpcl mp2an nnred nnrpd rpge0d resqrtcld
      6re remulcld 0re 1re cchp ccht cmin cin cz wceq nnzd chpvalz vmaprm recnd
      oveq12d fsumcl eqcomi fveq2 cdc cexp 10nn0 7nn0 nn0expcli nn0rei cdiv w3a
      c7 3pm3.2i 1lt10 ltexp2a cc wne 10pos 4z mp3an oveq2i 1rp oveq1i c5 nn0zi
      4nn0 dpexpp1 rpdp2cl 6nn0 2nn0 deccl cle eqtr3i expgt0 lttrd 2prm addid1i
      ltleii 3rp eqid dpadd2 chtvalz inss2 sumeq2dv infi inss1 sstri c0 inindif
      eqtr4d inundif fsumsplit mvrladdd eqtr2d oveq2d breq12d ax-ros336 rspcdva
      wral eqbrtrd log2le1 0z 3z 3pos numexp0 recni gtneii expm1 nn0cni divrec2
      4m1e3 3eqtr3ri 3brtr4i dp0h breqtrri 4p1e5 5p1e6 3eqtrri breqtrrdi rpdpcl
      5nn0 6p1e7 nn0ge0i expmul 7t2e14 fveq2i sqrtsq 1lt2 decltc wb sqrtlt mpbi
      4lt10 eqbrtrri sqrtled ltletrd ltmul2dd lt2addd nfv nfcv wn elndif eqtrdi
      mpbid 2cnd 2ne0 logcld fsumsplitsn 1p0e1 4cn 2cn 6cn 2p1e3 decadd adddird
      3nn0 dpadd eqtr3id 3brtr4d ) AFCUBGZHUCZBUDZUEIZBUFZJUGIZUHGFKJLJUIZUIZUI
      ZUJGZCUKIZMGZNNNNFUIZUIZUIZUJGZUYIMGZUHGZUXTJULUMUYBBUFFKJLUNUIZUIZUIUJGZ
      UYIMGZOAUYCUYDUYJUYOAUXTUYBBAUXSUOPZUXTUOPAFCUPZUXSHUQVAZAUYAUXTPURZUSQUY
      AUEUSQUEUTZVUDVBRAUXTUSUYAAUXSUSHUXSUSVCACVDZRZVEVMVFZVGAJJVHPAVIRVJZAUYH
      UYIUYHQPZAFVKPUYGQPZVUJVLKQPZUYFQPZURVUKVULVUMVNJQPZUYEQPZURVUMVUNVUOVOLQ
      PZVUNURVUOVUPVUNWEVOVPLJVQVRVPJUYEVQVRVPKUYFVQVRFUYGVSVTRZACACDWAZACACDWB
      ZWCZWDZWFAUYNUYIUYNQPZANVKPUYMQPZVVBSNQPZUYLQPZURVVCVVDVVEWGVVDUYKQPZURVV
      EVVDVVFWGVVDFQPZURVVFVVDVVGWGWHVPNFVQVRVPNUYKVQVRVPNUYLVQVRNUYMVSVTRZVVAW
      FZAUYCCWIIZCWJIZWKGZUYJOAVVLUXSUYBBUFZUXSHWLZUYBBUFZWKGUYCAVVJVVMVVKVVOWK
      ACWMPZVVJVVMWNACDWOZBCWPVAAVVKVVNUYAUGIZBUFZVVOAVVPVVKVVSWNVVQBCUUAVAAVVN
      UYBVVRBAUYAVVNPURZUYAHPUYBVVRWNAVVNHUYAVVNHVCAUXSHUUBRVMUYAWQVAUUCUUIWSAV
      VMVVOUYCAVVNUYBBAVUAVVNUOPVUBUXSHUUDVAVVTUYBVVTUSQUYAUEVUEVVTVBRAVVNUSUYA
      VVNUSVCAVVNUXSUSUXSHUUEVUFUUFRVMVFWRWTAUXTUYBBVUCVUDUYBVUHWRZWTAVVNUXTUYB
      UXSBVVNUXTWLUUGWNAUXSHUUHRUXSVVNUXTUMZWNAVWBUXSUXSHUUJXARVUBAUYAUXSPURZUY
      BVWCUSQUYAUEVUEVWCVBRAUXSUSUYAVUGVMVFWRUUKUULUUMAUAUDZWIIZVWDWJIZWKGZUYHV
      WDUKIZMGZOTZVVLUYJOTUAVHCVWDCWNZVWGVVLVWIUYJOVWKVWEVVJVWFVVKWKVWDCWIXBVWD
      CWJXBWSVWKVWHUYIUYHMVWDCUKXBUUNUUOVWJUAVHUURAUAUUPRVUSUUQUUSAUYDFUYOVUIVV
      GAWHRZVVIUYDFOTAUUTRAFUYNFNXCZXKXDGZMGZUYOVWLAUYNVWNVVHVWNQPZAVWNVWMXKXEX
      FXGXHZRZWFVVIAFNFUJGZVWMKXDGZMGZVWOOFVXAOTAFFVWMXIGZVWTMGZVXAOVWMNXDGZVWM
      UNXDGZFVXCOVWMQPZNWMPZUNWMPZXJFVWMOTZNUNOTZURVXDVXEOTVXFVXGVXHVWMXEXHZUVA
      UVBXLVXIVXJXMUVCVPVWMNUNXNVTVXDFVWMXEUVDXAVWMKFWKGZXDGZVWTVWMXIGZVXEVXCVW
      MXOPZVWMNXPZKWMPVXMVXNWNVWMVXKUVEZNVWMWGXQUVFZXRVWMKUVGXSVXLUNVWMXDUVJXTV
      WTXOPVXOVXPVXNVXCWNVWTVWMKXEYEXGUVHVXQVXRVWTVWMUVIXSUVKUVLVWSVXBVWTMFYAUV
      MYBUVNRVXANUYKUJGVWMYCXDGMGNUYLUJGVWMLXDGMGVWONFKYCSYAUVOXRYCUVTYDZYFNUYK
      YCLSNFSYAYGZUVPVXSLYHYDZYFNUYLLXKSNUYKSVXTYGZUWAVYAXKXFYDZYFUVQUVRAVWNUYI
      UYNVWRVVAUYNVHPANUYMSNUYLSVYBYGUVSRAVWNVWMJXKXCZXDGZUKIZUYIVWRAVYEVYEQPZA
      VYEVWMVYDXEJXKYIXFYJZXGZXHZRZNVYEYKTZAVYEVYIUWBZRZWDVVAVWNVYFOTAVWMFKXCZX
      DGZUKIZVWNVYFOVWNJXDGZUKIZVYQVWNVYRVYPUKVWMXKJMGZXDGZVYRVYPVXOXKVKPJVKPWU
      AVYRWNVXQXFYIVWMXKJUWCXSVYTVYOVWMXDUWDXTYLUWEVWPNVWNYKTVYSVWNWNVWQNVWNWGV
      WQVXFXKWMPNVWMOTZNVWNOTVXKVYCXQVWMXKYMXSYQVWNUWFVTYLVYPVYEOTZVYQVYFOTZVXF
      VYOWMPZVYDWMPZXJVXIVYOVYDOTZURWUCVXFWUEWUFVXKVYOFKVLYEYJZYDZVYDVYHYDXLVXI
      WUGXMFJKXKVLYIYEXFUWLUWGUWHVPVWMVYOVYDXNVTVYPQPZNVYPYKTZURVYGVYLURWUCWUDU
      WIWUJWUKVYPVWMVYOXEWUHXGXHZNVYPWGWULVXFWUEWUBNVYPOTVXKWUIXQVWMVYOYMXSYQVP
      VYGVYLVYJVYMVPVYPVYEUWJVTUWKUWMRAVYECYKTVYFUYIYKTEAVYECVYKVYNVURVUTUWNUXC
      UWOUWPYNYNUWQAUXTJUYBUYDBHABUWRBUYDUWSVUCJHPZAYORZAWUMJUXTPUWTWUNJHUXSUXA
      VAVWAUYAJWNUYBJUEIZUYDUYAJUEXBWUMWUOUYDWNYOJWQVRUXBAJAUXDJNXPAUXERUXFUXGA
      UYTUYHUYNUHGZUYIMGUYPWUPUYSUYIMKUYFNUYLKUYRFNFYEJUYEYILJYHVIYGZYGSVYBYEJU
      YQYILUNYHYRYGZYGVLSUXHJUYENUYKJUYQKNKYIWUQSVXTYIWURYESKUXIYPLJNFLUNJNJYHV
      ISYAYHYRYISJUXJYPLJNFLUNYHYISVLYHUXOLJNFLUNLJXCZNFXCZYHYISVLWUSYSWUTYSLUX
      KYPUXLUXMUXPYTYTYTYBAUYHUYNUYIAUYHVUQWRAUYNVVHWRAUYIVVAWRUXNUXQUXR $.
  $}

  ${
    $d N h k n x $.  $d h k m n x z $.  $d n ph $.
    hgt749d.o $e |- O = { z e. ZZ | -. 2 || z } $.
    hgt749d.n $e |- ( ph -> N e. O ) $.
    hgt749d.1 $e |- ( ph -> ( ; 1 0 ^ ; 2 7 ) <_ N ) $.
    $( A deduction version of ~ ax-hgt749 .  (Contributed by Thierry Arnoux,
       15-Dec-2021.) $)
    hgt749d $p |- ( ph
      -> E. h e. ( ( 0 [,) +oo ) ^m NN ) E. k e. ( ( 0 [,) +oo ) ^m NN ) (
         A. m e. NN ( k ` m ) <_ ( 1 . _ 0 _ 7 _ 9 _ 9 _ 5 5 )
      /\ A. m e. NN ( h ` m ) <_ ( 1 . _ 4 _ 1 4 )
      /\ ( ( 0 . _ 0 _ 0 _ 0 _ 4 _ 2 _ 2 _ 4 8 ) x. ( N ^ 2 ) )
       <_ S. ( 0 (,) 1 ) ( ( ( ( ( Lam oF x. h ) vts N ) ` x )
        x. ( ( ( ( Lam oF x. k ) vts N ) ` x ) ^ 2 ) )
        x. ( exp ` ( ( _i x. ( 2 x. _pi ) ) x. ( -u N x. x ) ) ) ) _d x ) ) $=
      ( cc0 c2 cexp co cle wbr cfv cdp2 cmul vn c1 cdc c7 cv c9 c5 cdp cn c4 c8
      wral cioo cvma cof cvts ci cpi cneg ce citg w3a cpnf cico cmap wrex cdvds
      wi wn crab wceq breq2 oveq1 oveq2d wcel oveq2 fveq1d oveq1d oveq12d negeq
      fveq2d adantr itgeq2dv breq12d 3anbi3d rexbidv imbi12d ax-hgt749 eleqtrdi
      cz a1i rspcdva mpd ) AUBLUCMUDUCNOZGPQZFUEZEUEZRUBLUDUFUFUGUGSSSSSUHOPQFU
      IULZWPDUEZRUBUJUBUJSSUHOPQFUIULZLLLLUJMMUJUKSSSSSSSUHOZGMNOZTOZBLUBUMOZBU
      EZUNWSTUOZOZGUPOZRZXEUNWQXFOZGUPOZRZMNOZTOZUQMURTOTOZGUSZXETOZTOZUTRZTOZV
      AZPQZVBZELVCVDOUIVEOZVFZDYDVFZKAWNUAUEZPQZWRWTXAYGMNOZTOZBXDXEXGYGUPOZRZX
      EXJYGUPOZRZMNOZTOZXOYGUSZXETOZTOZUTRZTOZVAZPQZVBZEYDVFZDYDVFZVHZWOYFVHUAM
      CUEVGQVICWJVJZGYGGVKZYHWOUUFYFYGGWNPVLUUIUUEYEDYDUUIUUDYCEYDUUIUUCYBWRWTU
      UIYJXCUUBYAPUUIYIXBXATYGGMNVMVNUUIBXDUUAXTUUIUUAXTVKXEXDVOUUIYPXNYTXSTUUI
      YLXIYOXMTUUIXEYKXHYGGXGUPVPVQUUIYNXLMNUUIXEYMXKYGGXJUPVPVQVRVSUUIYSXRUTUU
      IYRXQXOTUUIYQXPXETYGGVTVRVNWAVSWBWCWDWEWFWFWGUUGUAUUHULABCDEFUAWHWKAGHUUH
      JIWIWLWM $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d ph x y $.
    logdivsqrle.a $e |- ( ph -> A e. RR+ ) $.
    logdivsqrle.b $e |- ( ph -> B e. RR+ ) $.
    logdivsqrle.1 $e |- ( ph -> ( exp ` 2 ) <_ A ) $.
    logdivsqrle.2 $e |- ( ph -> A <_ B ) $.
    $( Conditions for ` ( ( log ` x ) / ( sqrt ` x ) ) ` to be decreasing.
       (Contributed by Thierry Arnoux, 20-Dec-2021.) $)
    logdivsqrle $p |- ( ph
      -> ( ( log ` B ) / ( sqrt ` B ) ) <_ ( ( log ` A ) / ( sqrt ` A ) ) ) $=
      ( vx crp cfv co cle cc0 cr wcel c1 c2 cmul cc a1i vy clog csqrt cdiv cmpt
      cv cpnf ioorp eqcomi wa simpr relogcld rpsqrtcld rpred wne rpsqrtcl rpne0
      cioo syl adantl redivcld fmpttd cneg ccxp cmin caddc ccncf logcld sqrtcld
      cdv rpcn divrecd 2cnd adantr 2ne0 reccld cxpnegd wceq oveq2d eqtrd eqtr4d
      cxpsqrt mpteq2dva cpr reelprrecn rpreccld cres csn cdif crn wf wf1o ax-mp
      logf1o f1of wn ssriv 0nrp ssdifsn mpbir2an feqresmpt dvrelog eqtr3di 1cnd
      wss halfcld negcld cxpcld subcld mulcld dvcxp1 dvmptmul ax-resscn syl3anc
      eqid cncfmptc sylancl cxpcncf1 mulcncf recxpcld remulcld readdcld oveq12d
      sselid 1re fveq1d cvv eqidd fveq2d fvmptd wbr ce 2re clt breqtrrd breqtrd
      wb mpbird eqbrtrd ovex ccnfld ctopn ctx ccn addcn difss cncfmptid divcncf
      ssid cmnf cioc ax-1 jca ellogdm sylibr cncfss relogcn eqeltrrdi cncfmpt2f
      wi mp2an rereccld rpge0 halfre renegcli resubcli relogcl cncffvrn biimpar
      rpre eqeltrd cxpadd syl211anc mulid2d negsubd mulcomd cxpneg cxp1d eqtr2d
      syl21anc 3eqtr4rd mul32d adddird oveq1d cicc fct2relem sstrd sselda ovexd
      ioossicc rpcxpcl rpge0d 2cn mulid2i reefcld eliooord simpld ltled reeflog
      0red letrd sylancr eqbrtrid 2rp lemuldivd mpbid divrec2d mulneg1d subnegd
      efle addid2d 3eqtrd leaddsub lemul1ad mul02d fdvnegge 3brtr3d ) ACHIHUFZU
      BJZUXRUCJZUDKZUEZJBUYBJCUBJZCUCJZUDKZBUBJZBUCJZUDKZLAUABCMUGIUYBMUGURKIUH
      UIZDEAHIUYANAUXRIOZUJZUXSUXTUYKUXRAUYJUKZULUYKUXTUYKUXRUYLUMUNUYJUXTMUOZA
      UYJUXTIOUYMUXRUPUXTUQUSUTZVAVBANUYBVJKZHIPUXRUDKZUXRPQUDKZVCZVDKZRKZUYRUX
      RUYRPVEKZVDKZRKZUXSRKZVFKZUEZINVGKZAUYONHIUXSUYSRKZUEZVJKVUFAUYBVUINVJAHI
      UYAVUHUYKUYAUXSPUXTUDKZRKVUHUYKUXSUXTUYKUXRUYJUXRSOZAUXRVKZUTZUYJUXRMUOZA
      UXRUQZUTZVHZUYKUXRVUMVIUYNVLUYKUYSVUJUXSRUYKUYSPUXRUYQVDKZUDKVUJUYKUXRUYQ
      VUMVUPUYKQAQSOZUYJAVMZVNQMUOZUYKVOTVPVQUYKVURUXTPUDUYKVUKVURUXTVRVUMUXRWB
      USVSVTVSWAWCVSAHUXSUYPUYSVUCNISINNSWDOAWETVUQUYKUXRUYLWFZANUBIWGZVJKNHIUX
      SUEZVJKHIUYPUEAVVCVVDNVJAHSMWHZWIZUBWJZIUBVVFVVGUBWKZAVVFVVGUBWLVVHWNVVFV
      VGUBWOWMTIVVFXEZAVVIISXEZMIOWPHISVULWQZWRISMWSWTTZXAZVSHXBXCUYKUXRUYRVUMA
      UYRSOZUYJAUYQAPAXDZXFZXGZVNZXHZUYKUYRVUBVVRUYKUXRVUAVUMUYKUYRPVVRAPSOZUYJ
      VVOVNZXIXHZXJAVVNNHIUYSUEVJKHIVUCUEVRVVQHUYRXKUSXLVTZANSXEZVUFISVGKZOZINV
      UFWKZVUFVUGOZVWDAXMTAHUYTVUDVFUUAUUBJZIVWIXOZVFVWIVWIUUCKVWIUUDKOAVWIVWJU
      UETAHUYPUYSIAHPUXRIAVVTVVJSSXEZHIPUEVWEOVVOVVJAVVKTZVWKASUUIZTZHPISXPXNAV
      VIVVFSXEHIUXRUEIVVFVGKOVVLSVVEUUFHIVVFUUGXQUUHAHUYRIVVQISUUJMUUKKWIZXEAHI
      VWOUYJVUKUXRNOZUYJUUTZUJUXRVWOOUYJVUKVWQVULUYJVWPUULUUMUXRVWOVWOXOUUNUUOW
      QTZXRXSAHVUCUXSIAHUYRVUBIAVVNVVJVWKHIUYRUEVWEOVVQVWLVWNHUYRISXPXNAHVUAIAU
      YRPVVQVVOXIVWRXRXSAVUGVWEVVDVWDVWKVUGVWEXEXMVWMINSUUPUVAAVVDVVCVUGVVMUUQU
      URYDXSUUSAHIVUENUYJVUENOAUYJUYTVUDUYJUYPUYSUYJUXRUXRUVJZVUOUVBUYJUXRUYRVW
      SUXRUVCZUYRNOZUYJUYQUVDUVEZTZXTYAUYJVUCUXSUYJUYRVUBVXCUYJUXRVUAVWSVWTVUAN
      OZUYJUYRPVXBYEUVFZTXTYAUXRUVGYAYBUTVBVWDVWFUJVWHVWGISNVUFUVHUVIUVTUVKGAUA
      UFZBCURKZOZUJZVXFUYOJZVXFVUFJZMLAVXJVXKVRVXHAVXFUYOVUFVWCYFVNVXIVXKVXFHIP
      UYRUXSRKZVFKZVUBRKZUEZJZMLAVXKVXPVRVXHAVXFVUFVXOAHIVUEVXNUYKVUEPVUBRKZVXL
      VUBRKZVFKVXNUYKUYTVXQVUDVXRVFUYKUXRUYRPVCZVFKZVDKZUYSUXRVXSVDKZRKZVXQUYTU
      YKVUKVUNVVNVXSSOVYAVYCVRVUMVUPVVRUYKPVWAXGUXRUYRVXSUVLUVMUYKVXQVUBVYAUYKV
      UBVWBUVNUYKVXTVUAUXRVDUYKUYRPVVRVWAUVOVSWAUYKUYTUYSUYPRKVYCUYKUYPUYSUYKIS
      UYPVVKVVBYDVVSUVPUYKUYPVYBUYSRUYKVYBPUXRPVDKZUDKZUYPUYKVUKVUNVVTVYBVYEVRV
      UMVUPVWAUXRPUVQXNUYKVYDUXRPUDUYKUXRVUMUVRVSUVSVSVTUWAUYKUYRVUBUXSVVRVWBVU
      QUWBYCUYKPVXLVUBVWAUYKUYRUXSVVRVUQXJVWBUWCWAWCYFVNVXIVXPPUYRVXFUBJZRKZVFK
      ZVXFVUAVDKZRKZMLVXIHVXFVXNVYJIVXOYGVXIVXOYHVXIUXRVXFVRZUJZVXMVYHVUBVYIRVY
      LVXLVYGPVFVYLUXSVYFUYRRVYLUXRVXFUBVXIVYKUKZYIVSVSVYLUXRVXFVUAVDVYMUWDYCAV
      XGIVXFAVXGBCUWEKZIVXGVYNXEABCUWJTABCMUGIUYIDEUWFUWGUWHZVXIVYHVYIRUWIYJVXI
      VYJMVYIRKMLVXIVYHMVYIVXIPVYGPNOZVXIYETZVXIUYRVYFVXAVXIVXBTVXIVXFVYOULZYAZ
      YBVXIUWTZVXIVYIVXIVXFIOZVXDVYIIOVYOVXEVXFVUAUWKXQZUNVXIVYIWUBUWLVXIVYHMLY
      KZPMVYGVEKZLYKZVXIPUYQVYFRKZWUDLVXIPVYFQUDKZWUFLVXIPQRKZVYFLYKPWUGLYKVXIW
      UHQVYFLQUWMUWNVXIQVYFLYKZQYLJZVYFYLJZLYKZVXIWUJVXFWUKLVXIWUJBVXFVXIQQNOZV
      XIYMTUWOABNOVXHABDUNVNZVXIVXFVYOUNZAWUJBLYKVXHFVNVXIBVXFWUNWUOVXHBVXFYNYK
      ZAVXHWUPVXFCYNYKVXFBCUWPUWQUTUWRUXAVXIWUAWUKVXFVRVYOVXFUWSUSYOVXIWUMVYFNO
      WUIWULYQYMVYRQVYFUXJUXBYRUXCVXIPVYFQVYQVYRQIOVXIUXDTUXEUXFVXIVYFQVXINSVYF
      XMVYRYDZAVUSVXHVUTVNVVAVXIVOTUXGYPVXIWUDMWUFVCZVEKMWUFVFKWUFVXIVYGWURMVEV
      XIUYQVYFAUYQSOVXHVVPVNZWUQUXHVSVXIMWUFVXINSMXMVYTYDVXIUYQVYFWUSWUQXJZUXIV
      XIWUFWUTUXKUXLYOVXIVYPVYGNOMNOWUCWUEYQVYQVYSVYTPVYGMUXMXNYRUXNVXIVYIVXIIS
      VYIVVKWUBYDUXOYPYSYSYSUXPAHCUYAUYEIUYBYGAUYBYHZAUXRCVRZUJZUXSUYCUXTUYDUDW
      VCUXRCUBAWVBUKZYIWVCUXRCUCWVDYIYCEUYEYGOAUYCUYDUDYTTYJAHBUYAUYHIUYBYGWVAA
      UXRBVRZUJZUXSUYFUXTUYGUDWVFUXRBUBAWVEUKZYIWVFUXRBUCWVGYIYCDUYHYGOAUYFUYGU
      DYTTYJUXQ $.
  $}

  $( Lemma for ~ tgoldbachgtd .  (Contributed by Thierry Arnoux,
     17-Dec-2021.) $)
  hgt750lem $p |- ( ( N e. NN0 /\ ( ; 1 0 ^ ; 2 7 ) <_ N )
    -> ( ( 7 . _ 3 _ 4 8 ) x. ( ( log ` N ) / ( sqrt ` N ) ) )
      < ( 0 . _ 0 _ 0 _ 0 _ 4 _ 2 _ 2 _ 4 8 ) ) $=
    ( wcel c1 cc0 c2 c7 cexp co cle wbr wa c3 c4 c8 cmul cr ax-mp mp2an clt wb
    cn0 cdc cdp2 cdp clog cfv csqrt cdiv 7nn0 4re 8re pm3.2i dp2cl dpcl a1i 0re
    10re 2nn0 deccl reexpcl 1nn 0nn0 1nn0 c9 1re ltleii declei ltletri remulcld
    9re mp3an elrp mpbir2an relogcl gtneii redivcli cq qssre 4nn0 sselii dp2clq
    crp 8nn0 3nn0 rpdp2cl mpbi simpri 2nn nn0rei 2re eqbrtrri caddc ceu egt2lt3
    1p1e2 loge epr 3rp logltb cc wne wceq 3cn fveq2i 9pos 10pos logleb readdcli
    eqbrtri remulcli nn0zi relogexp mpbir 4lt10 8lt10 dp2lt10 lttri w3a 3pm3.2i
    1lt10 ltexp2a ltmul1i recni oveq2i eqtr3i expgt0 decltc 6nn nngt0i 6nn0 2rp
    cz c6 breqtri simpli 4pos ltmul2i 4cn ltdiv1i dpexpp1 3re nn0re adantr 0lt1
    1lt9 expge1 simpr ltletrd elrpd relogcld rpge0d resqrtcld sqrtgt0d redivcld
    gtned sqrtpclii sqrtgt0ii nn0ssq 8pos rpdpcl ce 2cn mulid2i lemul1i lt2addi
    2pos 3ne0 logmul2 3t3e9 9lt10 ltlei decltdi lemul2i eqeltrri relogef rpefcl
    letri 3brtr4i logdivsqrle lemul2ad 3lt10 7p1e8 dplti numexp0 loggt0b expmul
    0z divgt0i 7t2e14 sqrtsq 1lt2 sqrtlt ltdiv2 declt 2exp4 mulid1i 7lt10 2lt10
    declti 10nn decnncl2 nnrei cn 8nn dpgti mulcli nnne0i divdiv1 div23i oveq1i
    nnrp mulne0i divassi cmin expp1 sq10 mulcomi 3eqtrri 2p1e3 eqtri expsub 7cn
    4p3e7 addcomli subaddrii 3eqtr2i numexp1 nnzi 3p1e4 3eqtri 3eqtr3i breqtrri
    0dp2dp ltmuldiv2 ltdivmul2 lelttrd ) AUABZCDUBZEFUBZGHZAIJZKZFLMNUCZUCZUDHZ
    AUEUFZAUGUFZUHHZOHVUEUYTUEUFZUYTUGUFZUHHZOHZDDDDMEEVUCUCZUCZUCZUCZUCZUCZUDH
    ZVUBVUEVUHVUEPBZVUBFUABZVUDPBZVUTUILPBZVUCPBZKVVBVVCVVDUUAMPBZNPBZKVVDVVEVV
    FUJUKULMNUMQULLVUCUMQFVUDUNRZUOZVUBVUFVUGVUBAVUBAUYQAPBVUAAUUBUUCZVUBDUYTAD
    PBVUBUPUOZUYTPBZVUBUYRPBZUYSUABZVVKUQEFURUIUSZUYRUYSUTRZUOVVIDUYTSJZVUBDCSJ
    CUYTIJZVVPUUDVVLVVMCUYRIJVVQUQVVNCDCVAVBVCCVDVEVJUUEVFZVGUYRUYSUUFVKDCUYTUP
    VEVVOVHRZUOUYQVUAUUGZUUHUUIZUUJVUBAVVIVUBAVWAUUKUULVUBDVUGVVJVUBAVWAUUMUUOU
    UNZVIVUBVUEVUKVVHVUKPBZVUBVUIVUJUYTWBBZVUIPBZVWDVVKVVPVVOVVSUYTVLVMZUYTVNQZ
    UYTVVOVVSUUPZDVUJUPUYTVVOVVSUUQZVOVPZUOZVIVUSPBZVUBDUABVURPBVWLVBVQPVURVRDV
    UQVBDVUPVBDVUOVBMVUNVSEVUMUREVUCURMNVSUAVQNUURWCVTZWAWAWAWAWAWAWAVTDVURUNRZ
    UOVUBVUHVUKVUEVWBVWKVVHDVUEIJVUBDVUEUPVVGVUTDVUESJZVUEWBBVUTVWOKFVUDUILVUCW
    DMNVSNWBBZVVFDNSJUKUUSNVLVMZWEZWEZUUTVUEVLWFWGVFUOVUBUYTAVWDVUBVWFUOVWAEUVA
    UFZUYTIJZVUBVXAVWTUEUFZVUIIJZEUYSUYRUEUFZOHZVXBVUIIEUYSEOHZIJVXFVXEIJZEVXEI
    JCEOHZEVXFIEUVBUVCCUYSIJZVXHVXFIJZEFCWHUIVCVVRVGDESJVXIVXJTUVFCUYSEVEUYSVVN
    WIZWJUVDQWFWKEVXDIJZVXGEVXDSJVXLCCWLHZEVXDSWOVXMLUEUFZVXNWLHZSJZVXOVXDIJVXM
    VXDSJCVXNSJZVXQVXPWMUEUFZCVXNSWPWMLSJZVXRVXNSJZEWMSJZVXSWNWGWMWBBZLWBBZVXSV
    XTTWQWRWMLWSRWFWKZVYDCCVXNVXNVEVEVYCVXNPBWRLVNQZVYEUVERLLOHZUEUFZVXOVXDILWT
    BLDXAVYCVYGVXOXBXCUVGWRLLUVHVKVYGVDUEUFZVXDIVYFVDUEUVIXDVDUYRIJZVYHVXDIJZVD
    UYRVJUQUVJVFVDWBBZUYRWBBZVYIVYJTVYKVDPBDVDSJVJXEVDVLVMVYLVVLDUYRSJZUQXFUYRV
    LZVMZVDUYRXGRWFXIWKVXMVXOVXDCCVEVEXHVXNVXNVYEVYEXHVYLVXDPBVYOUYRVNQZVHRWKEV
    XDWJVYPUVKQDUYSSJZVXLVXGTEFDWHUIVBDVDUPVJXEVFUVLZEVXDUYSWJVYPVXKUVMQWFEVXFV
    XEWJUYSEVXKWJXJVUIVXEPVYLUYSYLBZVUIVXEXBVYOUYSVVNXKZUYRUYSXLRZVWGUVNUVQREPB
    ZVXBEXBWJEUVOQWUAUVRVWTWBBZVWDVXAVXCTWUBWUCWJEUVPQVWFVWTUYTXGRXMUOVVTUVSUVT
    VULVUSSJZVUBVULUYRVUKOHZSJZWUEVUSSJZWUDVUEUYRSJZWUFVUENSJNUYRSJWUHFVUDNUIVW
    SWCLVUCWDVWRUWAMNVSVWQXNXOXPXPUWBUWCXOVUENUYRVVGVQPNVRVWMVTUQXQRDVUKSJZWUHW
    UFTDVUISJZDVUJSJZWUIWUJCUYTSJZUYRDGHZCUYTSUYRCDVCVBUSZUWDVVLDYLBZVYSXRCUYRS
    JZVYQKWUMUYTSJVVLWUOVYSUQUWGVYTXSWUPVYQXTVYRULUYRDUYSYARWKVWDWUJWULTVWFUYTU
    WEQXMZVWIVUIVUJVWGVWHUWHRVUEUYRVUKVVGUQVWJYBQWFWUGVUKVUSUYRUHHZSJZVUKUYSMOH
    ZUYRFGHZUHHZSJZWVBWURSJZWUSVUKVUIWVAUHHZSJZWVEWVBSJZWVCWVAVUJSJZWVFUYRCMUBZ
    GHZUGUFZWVAVUJSWVAEGHZUGUFZWVKWVAWVLWVJUGUYRFEOHZGHZWVLWVJUYRWTBZVVAEUABZWV
    OWVLXBUYRUQYCZUIURUYRFEUWFVKWVNWVIUYRGUWIYDYEXDWVAPBZDWVAIJWVMWVAXBVVLVVAWV
    SUQUIUYRFUTRZDWVAUPWVTVVLFYLBZVYMDWVASJZUQFUIXKZXFUYRFYFVKZVFWVAUWJRYEWVJUY
    TSJZWVKVUJSJZVVLWVIYLBZVYSXRWUPWVIUYSSJZKWWEVVLWWGVYSUQWVICMVCVSUSZXKZVYTXS
    WUPWWHXTCEMFVCURVSUIXNUWKYGULUYRWVIUYSYARWVJPBZDWVJIJZKVVKDUYTIJZKWWEWWFTWW
    KWWLVVLWVIUABWWKUQWWIUYRWVIUTRZDWVJUPWWNVVLWWGVYMDWVJSJUQWWJXFUYRWVIYFVKVFU
    LVVKWWMVVODUYTUPVVOVVSVFULWVJUYTUWLRWFWKWVSWWBKZVUJPBZWUKKVWEWUJKWVHWVFTWVS
    WWBWVTWWDULZWWPWUKVWHVWIULVWEWUJVWGWUQULWVAVUJVUIUWMVKWFVUIWUTSJZWVGVUIVXEW
    UTSWUAVXDMSJZVXEWUTSJZVXDMEUEUFZOHZSJWXBMSJWWSVXDCYMUBZUEUFZWXBSUYRWXCSJZVX
    DWXDSJZCDYMVCVBYHYMYHYIUWNVYLWXCWBBZWXEWXFTVYOWXGWXCPBDWXCSJWXCCYMVCYJUSWIC
    YMDVAYJVBXFUWSWXCVLVMUYRWXCWSRWFEMGHZUEUFZWXDWXBWXHWXCUEUWOXDEWBBZMYLBWXIWX
    BXBYKMVSXKZEMXLRYEYNWXBMCOHZMSWXACSJZWXBWXLSJZWXAVXRCSVYAWXAVXRSJZVYAVXSWNY
    OWXJVYBVYAWXOTYKWQEWMWSRWFWPYNDMSJZWXMWXNTYPWXACMWXJWXAPBYKEVNQZVEUJYQQWFMY
    RUWPYNVXDWXBMVYPMWXAUJWXQXJUJXQRVYQWWSWWTTVYRVXDMUYSVYPUJVXKYQQWFXIWWBWWRWV
    GTWWDVUIWUTWVAVWGUYSMVXKUJXJZWVTYSQWFVUKWVEWVBVWJVUIWVAVWGWVTDWVAUPWWDVOZVP
    WUTWVAWXRWVTWXSVPZXQRWVBUYRDUBZMOHZWVAUHHZSJZWYCWURSJZWVDWUTWYBSJZWYDUYSWYA
    SJZWYFEUYRFDURWUNUIVBUWQUWRYGWXPWYGWYFTYPUYSWYAMVXKWYAUYRUWTUXAZUXBZUJYBQWF
    WWBWYFWYDTWWDWUTWYBWVAWXRWYAMWYIUJXJZWVTYSQWFWYEWYBWURWVAOHZSJZWYLMWYKWYAUH
    HZSJZMMVUNUDHZWYMSMVUNVSEVUMUREVUCURMNVSNUXCBVWPUXDNUXKQWEWEWEZUXEVUSWVAOHZ
    UYRUHHZWYAUHHZWYQUYRWYAOHZUHHZWYMWYOWYQWTBWVPUYRDXAZKZWYAWTBZWYADXAZKWYSXUA
    XBVUSWVAVUSVWNYCZWVAWVTYCZUXFWVPXUBWVRDUYRUPXFVOZULZXUDXUEWYAWYIYCZWYAWYHUX
    GZULWYQUYRWYAUXHVKWYRWYKWYAUHVUSWVAUYRXUFXUGWVRXUHUXIUXJXUAVUSWVAWYTUHHZOHV
    USUYRMGHZOHZWYOVUSWVAWYTXUFXUGUYRWYAWVRXUJUXFUYRWYAWVRXUJXUHXUKUXLUXMXULXUM
    VUSOXULWVAUYRLGHZUHHZUYRFLUXNHZGHZXUMWYTXUOWVAUHWYTUYRECWLHZGHZXUOXUTUYREGH
    ZUYROHZWYAUYROHWYTWVPWVQXUTXVBXBWVRURUYREUXORXVAWYAUYROUXPUXJWYAUYRXUJWVRUX
    QUXRXUSLUYRGUXSYDUXTYDXUCWWALYLBZKXURXUPXBXUIWWAXVCWWCLWDXKZULUYRFLUYARXUQM
    UYRGFLMUYBXCYRMLFYRXCUYCUYDUYEYDUYFYDDVUOUDHZUYRCGHZOHZXVEUYROHXUNWYOXVFUYR
    XVEOUYRWUNUYGYDXVGDVUPUDHXVAOHDVUQUDHXUOOHXUNDVUOCEVBMVUNVSWYPWEZWOCVAUYHEW
    HUYHZYTDVUPELVBDVUOVBXVHWEZUXSXVIXVDYTDVUQLMVBDVUPVBXVJWEUYIXVDWXKYTUYJMVUN
    VSWYPUYMUYKUYJUYKUYLVVEWYKPBWYAPBZDWYASJZKWYLWYNTUJWURWVAVUSUYRVWNUQXUHVPZW
    VTXJXVKXVLWYIWYAWYHYIULMWYKWYAUYNVKXMWYBPBWURPBWWOWYEWYLTWYJXVMWWQWYBWURWVA
    UYOVKXMWVBWYCWURWXTWYBWVAWYJWVTWXSVPXVMXQRVUKWVBWURVWJWUTWVAWXRWVSWWBWWQYOW
    XSVPXVMXQRVWCVWLVVLVYMKZWUGWUSTVWJVWNVYLXVNVYOVYNWFVUKVUSUYRUYNVKXMVULWUEVU
    SVUEVUKVVGVWJXJUYRVUKUQVWJXJVWNXQRUOUYP $.

  $( Decimal multiplication galore!  (Contributed by Thierry Arnoux,
     26-Dec-2021.) $)
  hgt750lem2 $p |- ( 3 x. ( ( ( ( 1 . _ 0 _ 7 _ 9 _ 9 _ 5 5 ) ^ 2 )
    x. ( 1 . _ 4 _ 1 4 ) ) x. ( ( 1 . _ 4 _ 2 _ 6 3 )
    x. ( 1 . _ 0 _ 3 _ 8 _ 8 3 ) ) ) ) < ( 7 . _ 3 _ 4 8 ) $=
    ( c3 c1 cc0 c7 c9 c5 cdp co c2 c4 c6 c8 wcel 1nn0 4nn0 0nn0 eqid caddc 2nn0
    cdc cdp2 cmul clt wbr cr wa cle cn0 0re 7re 9re 5re pm3.2i dp2cl ax-mp dpcl
    mp2an crp cn nnrp rpdp2cl rpdpcl rpre remulcli 7nn0 9nn0 5nn0 5lt10 dp2lt10
    6re 7p1e8 dp2ltsuc 8nn0 dp2lt dplt rpge0 mpbi recni 6nn0 deccl 10pos nn0cni
    8re dec0h addid1i 6cn addid2i decadd 4cn 1t1e1 oveq12i oveq2i eqtri 3eqtr4i
    dp0u 10nn0 dec10p ax-1cn addcomi 6p1e7 oveq1i 8cn 8p1e9 3eqtri dpmul4 lttri
    decaddc 3nn0 3lt10 9cn 2cn eqtr3i mulid1i 4p1e5 dpmul 7cn addcomli decaddci
    2p1e3 decaddi 6p3e9 deceq1i 5p1e6 mulcomli 5cn 1p1e2 dpadd decsuc 4p2e6 4re
    dpadd3 2re 3re 3rp mul01i 3cn 3p1e4 6p4e10 0cn 2p2e4 resqcli 4nn 1re sqge0i
    rpgt0 ltleii mulge0i 5nn 8nn rpdp2cl2 9lt10 dp20u breqtrri wb lt2sqi sqvali
    cexp 4lt10 8t8e64 7p4e11 9t9e81 3eqtr4ri ltmul1ii 1lt10 8lt10 9p1e10 9p2e11
    eqbrtri addcli 6t4e24 7t4e28 7t2e14 8t7e56 8t2e16 6p6e12 6p2e8 4p4e8 9p5e14
    mulcomi 3eqtr3i 3eqtr2i 4p3e7 8p6e14 7nn ltmul12a 6lt10 3t2e6 9t2e18 7t3e21
    9t7e63 9p6e15 eqeltrri cc 4t4e16 9t4e36 5p5e10 8t5e40 5t3e15 mulid2i 8p5e13
    9t6e54 7t6e42 7t7e49 3p2e5 3pos ltmul2i dp2eq2i eqtr2i 4t3e12 mul02i eqtr4i
    9nn 5p4e9 eqeltri 9p4e13 3t3e9 wceq eqeq1i 7p2e9 00id ) ABCDEEFFUAZUAZUAZUA
    ZUAZGHZIUUQHZBJBJUAZUAZGHZUBHZBJIKAUAZUAZUAZGHZBCALLAUAZUAZUAZUAZGHZUBHZUBH
    ZUBHZAIJJEUAZUAZGHZUBHZUCUDZVUGDAJLUAZUAZGHZUCUDVUCVUKUCUDVUBVUFUCUDZVUHVUB
    BKFBUAZUAZGHZBJUYPUAZGHZUBHZUCUDZVURVUFUCUDVULUYKUEMZVUOUEMZUFZCUYKUGUDZUYK
    VUOUCUDZUFZUFVUAUEMZVUQUEMZUFZCVUAUGUDZVUAVUQUCUDZUFZUFVUSVVBVVEVUTVVAUYGUY
    JUYFBUHMZUYEUEMZUYFUEMNCUEMZUYDUEMZUFVVMVVNVVOUIDUEMZUYCUEMZUFVVOVVPVVQUJEU
    EMZUYBUEMZUFVVQVVRVVSUKVVRUYAUEMZUFVVSVVRVVTUKFUEMZVWAUFVVTVWAVWAULULUMFFUN
    UOUMEUYAUNUOUMEUYBUNUOUMDUYCUNUOUMCUYDUNUOBUYEUPUQZUUAZUYJURMZUYJUEMBUYINJU
    YHOBJNJUSMJURMUUBJUTUOVAVAVBZUYJVCUOZVDZVVLVUNUEMZVVANKUEMZVUMUEMZUFVWHVWIV
    WJVJVWABUEMZUFVWJVWAVWKULUUCUMFBUNUOUMKVUMUNUOBVUNUPUQZUMVVCVVDCUYGUGUDCUYJ
    UGUDVVCUYFVWBUUDCUYJUIVWFVWDCUYJUCUDVWEUYJUUEUOZUUFUYGUYJVWCVWFUUGUQUYKBBKD
    UAZUAZGHZUYJUBHZUCUDZVWQVUOUCUDVVDUYGVWPUCUDZVWRUYGBCLCUAZUAZGHZIUUQHZUCUDZ
    VXCVWPUCUDVWSUYFVXBUCUDZVXDBUYEVXANCUYDPDUYCVEEUYBVFEUYAVFFFVGFUSMFURMUUHFU
    TUOZVAZVAZVAZVAZVAZCVWTPLUUIUUJZVAZCUYDVWTPVXJVXLUYDLVWTUCDUYCLVEVXIEUYBVFV
    XHUUKEUYAVFVXGUUKFFVGVXFVHVHVIVIVIVKVLLVMUULUUMVNVOCUYFUGUDZCVXBUGUDZVXEVXD
    UUNUYFURMVXNBUYENVXKVBUYFVPUOVXBURMVXOBVXANVXMVBVXBVPUOUYFVXBVWBVVLVXAUEMZV
    XBUEMNVVNVWTUEMZUFVXPVVNVXQUILUEMZVVNUFVXQVXRVVNWCUIUMLCUNUOUMCVWTUNUOBVXAU
    PUQZUUOUQVQVXCVXBVXBUBHVWPUCVXBVXBVXSVRUUPBCLCCCBKKJBCLCBCCBKTZCCKJTZBBKDNP
    VMPNVMPPPPNBKNVSVTZPPKJVSOVTZPPNVSVSONNVSVEUURWAWAVXTCTZCKJVXTKTZJVYDCTZVYA
    VXTCVYBPVTPVSOVYFQVYAQZVXTCCKVXTKVYDKVYBPPVSVYDQKVSWDVXTVXTVYBWBWEKWFWGZWHJ
    WIWGZWHBBUBHBBCGHZVYJUBHBCCUAZGHZWJVYJBVYJBUBBNWOZVYMWKVYLVYJBVYKCBGCPUULZW
    LVYMWMZWNLLUBHVYALCGHZVYPUBHVYAVYKGHZUUSVYPLVYPLUBLVMWOZVYRWKVYQVYACGHVYAVY
    KCVYAGVYNWLVYAVYCWOWMZWNBCTZCTZBVXTKBBTZKTDWUABTZVYEVYTCWPPVTNVYBVSWUCQVYEQ
    VYTCBKWUBKWUAVXTWPPNVSWUAQVXTQZBWQZVYHWHBKRHZKBRHZDBKWRWFWSWTWMZWHBDTZVYARH
    LBTZVYLVXTVYKGHZRHZVYQRHVYJVYPRHZWUMUBHZBDKJLBWUIVYANVEVSOWUIQVYGWUFBRHDBRH
    LWUFDBRWUHXAVKWMNUUTXGWULWUIVYQVYARWULBVXTRHWUIVYLBWUKVXTRVYOWUKVXTCGHVXTVY
    KCVXTGVYNWLVXTVYBWOWMWKCBBKBDBVXTPNNVSBNWDZWUDBWRWGZWUHWHWMVYSWKWUNEEUBHWUJ
    WUMEWUMEUBWUMBLRHZLBRHZEVYJBVYPLRVYMVYRWKBLWRXBWSZXCXDZWUTWKUVAWMUVBXEUVHUY
    GVXCVWPVWCVXBVXSUUAVVLVWOUEMZVWPUEMNVWKVWNUEMZUFWVAVWKWVBUUCVWIVVPUFWVBVWIV
    VPVJUJUMKDUNUOUMBVWNUNUOBVWOUPUQZXFUQUYGVWPUYJVWCWVCVWFVWMUVCVQBBKDALBBCBBJ
    BJBFJVYTEIEBKFBNNVSVENNVGOOONWPVFSVFXHVMNNPNNVSVGNUVDXIUVEVYTETZICEWUBCTZBW
    VDITZEVYTEWPVFVTZSPVFWVFQZEVFWDZVYTECBWUBCWVDCRHBWPVFPNWVDWVDWVGWBWEWUOBCCB
    BBVYTCRHBNPPNCWQWUOBWRWEZWUPWHPUVFXGNEIRHIERHWUBEIXJXKWSUVGXLZXGBBBJCBCBFJB
    JNNNOPPVGOWJJBUBHZBJUBHZJJBWIWRUVSZJWIXMZXLZWJWVLJWVMCJTZWVOWVNJOWDZUVTBJRH
    ZCRHZFCFTWVTWVSJBRHFWVSBJWRWIUVIWEJBWIWRWSXNUWAFVGWDWMWVJXOKDBJIKAEALDIJTZV
    SVENOSXHXHVMKWFXMZUVJDXPXMUVKDWWARHZIRHABTZIRHAATWWCWWDIRWWADRHWWCWWDWWADWW
    AIJSOVTWBXPWSIJBAWWADSOVEWWAQZXSNDJWUBXPWIUUTXQZXRXLXAABAWWDIXHNSWWDQIBAXKW
    RXSXQZXTWMYAXOBFTZJTZBCBTZBTZCVXTFTBWWIBTZWVEWWHJBFNVGVTZOVTNWWJBCBPNVTZNVT
    PWWLQWUBWWKCBWWJBWUOYBYBWWHJWWJBVXTFWWIWWKWWMOWWNNWWIQZWWKQWWHBRHWWHWWJRHVX
    TBWWJWWHRWUOWLBFKWWHBNVGNWWHQZYCXTXLXNWHWVJWHDLGHZILGHZUBHIBTZLJUAGHZBBGHKD
    GHZRHZBJGHZWXCRHZUBHBFJUAGHVYTEIUAGHRHZEALUAGHZRHZDLILKBJTZDWWSLJVXTFKTZVEV
    MSVMVSVEVMOUVLLDWXIXBXPUVMYDUVNUUSVXTWXIRHZKRHDITZKRHDLTWXJWXKKRBKFKDIVXTWX
    INVSVGVSWUDWXIQBFRHZBRHWUGDWXLKBRFBKYEWRYCXQZXAWTWMSUVOXGXADILWXKKVESVSWXKQ
    ZKILWFXKUVPXQXTWMBJBIWXHDNOVEWXHQZYFNWWFXRZXOWXBWWQWXDWWRUBBBKDDLNNVSVEVEVM
    BBKDDLWUBKDTZNNVSVEWUBQWXQQWUHDBLXPWRVKXQZWHYGBJBJILNONOSVMBJBJILWXHWXHNONO
    WXOWXOYFUVQWHYGWKWXGBITZJKUAGHZWXFRHWWTWXEWXTWXFRBFJVYTEIWXSJKNVGOWPVFBINSV
    TZSOVSWWHJWVDIWXSJTZKWWIWVFWWMOWVGSWWOWVHBFVYTEWXSJWWHWVDNVGWPVFWWPWVDQBBIB
    VYTRHNNYFVYTBWUBVYTWPWBZWRWUEXQYHOEFWXHXJYEUVRXQXGYIWHYKXAWXSJKEALWWSLJWYAO
    VSVFXHIBSNVTZVMVMOWYBKEATZLWWSLTJWYBKTZWYELTZWXSJWYAOVTVSEAVFXHVTVMWYFQWYGQ
    WWSDLWYBWYERHWYDVEVKWXSJEAWWSDWYBWYEWYAOVFXHWYBQWYEQBIBIWXSENSVFWXSQZYFNWVK
    XRUWBWHYHOLKWXHXBWFUWCXQXGYKWMWNXEUYKVWQVUOVWGVWPUYJWVCVWFVDVWLXFUQUMUMVVHV
    VKVVFVVGUYOUYTVVLUYNUEMZUYOUEMZNJUEMZUYMUEMZUFWYIWYKWYLYJIUEMZUYLUEMZUFWYLW
    YMWYNYLVWIAUEMZUFWYNVWIWYOVJYMUMKAUNUOUMIUYLUNUOUMJUYMUNUOBUYNUPUQZVVLUYSUE
    MZUYTUEMZNVVNUYRUEMZUFWYQVVNWYSUIWYOUYQUEMZUFWYSWYOWYTYMVXRUYPUEMZUFWYTVXRX
    UAWCVXRWYOUFXUAVXRWYOWCYMUMLAUNUOZUMLUYPUNUOUMAUYQUNUOUMCUYRUNUOBUYSUPUQZVD
    ZVVLVUPUEMZVVGNWYKXUAUFXUEWYKXUAYJXUBUMJUYPUNUOBVUPUPUQZUMVVIVVJCUYOUGUDZCU
    YTUGUDZVVIUYOURMXUGBUYNNJUYMOIUYLSKAVSYNVAZVAZVAZVBUYOVPUOZUYTURMXUHBUYSNCU
    YRPAUYQXHLUYPVMLAVMYNVAZVAZVAZVAZVBUYTVPUOZUYOUYTWYPXUCUUGUQVUABJIDUAZUAZGH
    ZBCAEUAZUAZGHZUBHZUCUDZXVDVUQUCUDVVJWYJXUTUEMZUFZXUGUYOXUTUCUDZUFZUFWYRXVCU
    EMZUFZXUHUYTXVCUCUDZUFZUFXVEXVGXVIWYJXVFWYPVVLXUSUEMZXVFNWYKXURUEMZUFXVNWYK
    XVOYJWYMVVPUFXVOWYMVVPYLUJUMIDUNUOUMJXURUNUOBXUSUPUQZUMXUGXVHXULBUYNXUSNXUK
    JXUROIDSDUSMDURMUWDDUTUOZVAZVAJUYMXUROXUJXVRIUYLDSXUIXVQKADVSYNXIWTVLVNVNVO
    UMUMXVKXVMWYRXVJXUCVVLXVBUEMZXVJNVVNXVAUEMZUFXVSVVNXVTUIWYOVVRUFXVTWYOVVRYM
    UKUMAEUNUOUMCXVAUNUOBXVBUPUQZUMXUHXVLXUQBUYSXVBNXUPCXVAPAEXHEUSMEURMUXLEUTU
    OZVAZVACUYRXVAPXUOXWCAUYQEXHXUNXWBLUYPEVMXUMLAVMYNUVEXIVIXCVLVNVNVOUMUMUYOX
    UTUYTXVCUWEUQBJIDFACLIKBCAEBJCLBKVYTBJLANOSVENXHOPPVFNVMNVSWPVGXHPVMSVSNOVM
    XHUWFVHXIWUJKBCCLTZITZKWUJKTZVYTLBVMNVTZVSNPXWFQZVYTQZWUJBRHLITXWELBIWUJVMN
    YFWUJQZYHLXWDILVMWDZYBWMKWFWEWHBJBCCBCBJCJCNONPPPOPWJBWRYOWVOJCUBHCCCTZJWIY
    OCPWDZWMZJCRHZCRHXWOJWVQXWOJCRJWIWEZXAXWPWVRXDWVJXOIDAEKKJVYTFAWWSBLTZSVEXH
    VFVSOVGXHAIKYPXKUWGYDEIXWQXJXKUWHYDUWIEDKATZXJXPUWJYDZWWSXWQRHZKRHAETZKRHJF
    TXWTXXAKRIBBLAEWWSXWQSNNVMWWSQZXWQQXSWUQWUREWUSXCWMZWHXAAEFJXXAKXHVFVSXXAQZ
    YQVGUWKXRWMYRXOWXHCTZBXWDIWXHLTAXXEBTZXWEWXHCBJNOVTZPVTNLXWDUHXWKVMUWLZSXXF
    QXWEQWXHCLXXEXWDXXGPXXHXXEQZXWDCLLXWDUWMXWKXBUWLYSLCRHXWDCRHLLXWDCRXWKXALXB
    WEXLXQXTWWGWHJBGHZJEGHZUBHICTZCEUAGHZWXCIDGHRHZVYJAEGHRHZUBHBJCUAGHLBKUAGHR
    HZVYTFAUAGHZRHZJBJECVXTJXXLCEJAKTZONOVFPOPVFUWNEJXXSXJWIUWOYDWVPEBCETZXJWRE
    BUBHEXXTEXJXMWVIWMYDJXXSRHZCRHJCTZCRHXYBXYAXYBCRXXSJXYBXXSAKXHVSVTWBWIAKCJX
    XSJXHVSOXXSQYQPYRXRXQXAXYBXYBJCOPVTWBWEWMBKCIVXTJNVSOWUDYFPYRXRXOXXNXXJXXOX
    XKUBBJIDJBNOSVEONBJIDJBWXHIDTZNOSVEWXOXYCQBIRHZBRHABRHJXYDABRWWGXAYQWMNWWFX
    GYGBCAEJENPXHVFOVFBCAEJEVYTXXANPXHVFXWIXXDABJYPWRYQXQEXJWGWHYGWKXXREFKUAGHZ
    XXQRHXXMXXPXYEXXQRBJCLBKEFKNOPVMNVFVSVGVSWXHCWUJKEFTZKXXEXWFXXGPXWGVSXXIXWH
    BJLBEFWXHWUJNOVMNWXOXWJXXCXNWHVYHWHYKXAEFKVYTFAXXLCEVFVGVSWPVGICSPVTZXHPVFX
    YFKVYTFTZAXXLCTEXYFKTZXYHATZEFVFVGVTVSVYTFWPVGVTXHXYIQXYJQEFVYTFXXLCXYFXYHV
    FVGWPVGXYFQXYHQZEVYTRHZBRHBETZBRHXXLXYLXYMBRVYTEXYMWYCXJEWQXQXABECIXYMBNVFN
    XYMQYFPUVFXRWMPUWPXGYAWHYKWMWNXEVUAXVDVUQXUDXUTXVCXVPXWAVDXUFXFUQUMUMUYKVUO
    VUAVUQUWEUQBKFBAAICLJBJLAIIJXXLJIJITZIJJENVSVGNNVMSOOXHSXYGOSJIOSVTZXHXHSPV
    MOSOOVFUURXIXIXXLJTZIJIXXLLTZJXYPITZXYNXXLJXYGOVTZSOSXYRQZXYNQZXXLJLXYPJXYG
    OOXYPQZUVQXTYTWHBKBJIBBIIJKJNVSNOSNSOWJWVPWWBUVJKJRHZIRHVYTIRHWXSYUCVYTIRYR
    XAIWQWMYFXOFBLACXYBIXYNAALWWHVGNVMXHPSXHXHLFXYBXBYEUWQYDUWRLXBUWSBAUBHACATA
    YPUWSAXHWDWMLWWHRHZCRHIATZCRHYUEYUDYUECRWWHLYUEWWHWWMWBXBBFAIWWHLNVGVMWWPYF
    XHLFBATZXBYEUWTXQXRXQXAYUEYUEIASXHVTWBWEWMJCIXYBIOPSXYBQIXKWGZXTXOIITZJTZBX
    XLLWWAJTEYUIBTZXYQYUHJIISSVTZOVTNXYGVMYUJQXYQQYUHJICWWAJYUIXXLYUKOSPYUIQZXX
    LQZIIJYUHISSSYUHQZYTXTXWPWHXXCWHYUHKKUAGHZXYNAAUAGHZRHVYAEEUAGHZIIJUAGHXXLJ
    IUAGHRHZYUPRHBKGHFBGHRHZWXCLAGHRHZUBHZYUHKKXYNAAVYAEEYUKVSVSXYOXHVYCXHVFVFY
    UHKTZKXYNATZAVYAETEYVBKTZYVCATZYUHKYUKVSVTVSXYNAXYOXHVTXHYVDQYVEQYUHKXYNAVY
    AEYVBYVCYUKVSXYOXHYVBQYVCQIIJIKJYUHXYNSSOSYUNYUAJIKWIXKYIXQZYTWHYAWHYAWHYKY
    URYUOYUPRIIJXXLJIYUHKKSSOXYGOYUKSVSVSYUHJXYPIYVBKYUIXYRYUKOXYSSYULXYTIIXXLJ
    YUHKYUHXYPSSXYGOYUNYUBXXLIYUHXXLXYGWBXKICIXXLISPSYUMYUGXTXQYVFWHYIWHYKXAYVA
    WXAEDGHZUBHYUQYUSWXAYUTYVGUBBKFBKDNVSVGNVSVEBKFBKDVXTFBTZNVSVGNWUDYVHQWXMWT
    WHYGBJLAEDNOVMXHVFVEBJLAEDWXHLATZNOVMXHWXOYVIQXXCUWBWHYGWKKDEDJFJTZVYTVYAEE
    XWRXYNVSVEVFVEOWPVFVFEKYVJXJWFUXAYDDKXYNXPWFUXBYDXWSUXCXWRXYNRHZJRHXYHJRHWV
    DYVKXYHJRKAJIVYTFXWRXYNVSXHOSXWRQYUAYRUXDWHXAVYTFEXYHJWPVGOXYKUXMXTWMFJBCKJ
    YVJVYTVGONPYVJQXWIYCXWPWHXOWMUVBXEVUBVURVUFUYKVUAVWGXUDVDZVUOVUQVWLXUFVDVUF
    URMVUFUEMIVUESJVUDOJEOXWBVAVAVBVUFVCUOZXFUQCAUCUDVULVUHUUNUXEVUBVUFAYVLYVMY
    MUXFUOVQVUGACVYKUAZGHZVUFUBHVUKUCAYVOVUFUBYVOACGHZAYVNCAGYVNVYKCVYKCCVYNUXG
    VYNWMWLAXHWOZUXHXAACCCCCBJDCIJJEDICWXHDCCDAJLXHPPPSOSPOVFVEXXGVEPPPPNOVEPVE
    XHOVMWAWAWAWXHDTZCTZYVSYVRCWXHDXXGVEVTZPVTWBWEACIJCKBDICCWXSXHPSOPNSPUWGJAW
    XSWIYPUXIYDIXKUXJJCXWLWIYSXWNYDCWXSRHZCRHWXSCRHWXSYWAWXSCRCCBIBICWXSPPNSXWM
    WYHWUPYUGWHXAWXSWXSWYAWBWEWMWTXOCCGHZXXKUBHZCCVYKGHZYWCCXXKUBHCYWBCXXKUBCPW
    OZXAXXKXXKJUHMVVRXXKUEMOUKJEUPUQVRUXJWMYWDYWBCVYKCCGVYNWLYWEWMZUXKWXKCTZBWX
    HDDATZJTLYWGBTZYVRWXKCDIVESVTZPVTNXXGVEYWIQYVRQZWXKCBJYWHJYWGWXHYWJPNOYWGQZ
    WXODIAWXKVESXSWXNYHVYIWHWXRWHYVPYWBRHZIJGHXXKRHZUBHZWWSECUAGHZDICUAZGHZWXHD
    CUAZGHZRHZYWDRHZYWOYVPDAGHZUBHYWPYWMYVPYWNYXCUBYWMYVPCRHYVPYWBCYVPRYWEWLYVP
    YVPAUWMYVQYPUXNWEWMIJJEDASOOVFVEXHIJJEDAWWAJETZSOOVFWWEYXDQIJRHZBRHWUGDYXEK
    BRYVFXAWTWMXHEJYUFXJWIUXOXQXGYGWKACDACWWSCWWSECCEXHPVEXHPPVFPDAWWSXPYPUWIYD
    UXPDCCXPYSDXPYOYDACXWLYPYSACUBHCXWLAYPYOXWMWMYDECRHZCRHZXXTUXQCERHZCRHZXXTU
    XQYXGYXFEXXTYXFECREXJWEZXAYXJWVIXDYXGYXIXXTYXFYXHCRECXJYSWSXAUXRVQIBBWWSCSN
    PXXBWVJXTXOWMYXBYXACRHYXAYWPYWDCYXARYWFWLYXAYWRYWTYWRDUHMYWQUEMZYWRUEMVEWYM
    VVNUFYXKWYMVVNYLUIUMICUNUODYWQUPUQVRYWTWXHUHMYWSUEMZYWTUEMXXGVVPVVNUFYXLVVP
    VVNUJUIUMDCUNUOWXHYWSUPUQVRUVIWEDICWXHDCWWSECVESPXXGVEWYDPVFPWXKCYVRCWWSETC
    YWGYVSYWJPYVTPYWLYVSQDIWXHDWWSEWXKYVRVESXXGVEWXNYWKWXHDWWSWXHXXGWBXPWXPXQDI
    EXPXKUXSXQWHUXTWHYKXDUXKXEUVHVUCVUGVUKAVUBYMYVLVDAVUFYMYVMVDVUKURMVUKUEMDVU
    JVEAVUIXHJLOLUSMLURMUUILUTUOVAVAVBVUKVCUOXFUQ $.

  ${
    $d A m n $.  $d H m $.  $d K m $.  $d P m n $.  $d Q m n $.  $d m n ph $.
    hgt750lemf.a $e |- ( ph -> A e. Fin ) $.
    hgt750lemf.p $e |- ( ph -> P e. RR ) $.
    hgt750lemf.q $e |- ( ph -> Q e. RR ) $.
    hgt750lemf.h $e |- ( ph -> H : NN --> ( 0 [,) +oo ) ) $.
    hgt750lemf.k $e |- ( ph -> K : NN --> ( 0 [,) +oo ) ) $.
    hgt750lemf.0 $e |- ( ( ph /\ n e. A ) -> ( n ` 0 ) e. NN ) $.
    hgt750lemf.1 $e |- ( ( ph /\ n e. A ) -> ( n ` 1 ) e. NN ) $.
    hgt750lemf.2 $e |- ( ( ph /\ n e. A ) -> ( n ` 2 ) e. NN ) $.
    hgt750lemf.3 $e |- ( ( ph /\ m e. NN ) -> ( K ` m ) <_ P ) $.
    hgt750lemf.4 $e |- ( ( ph /\ m e. NN ) -> ( H ` m ) <_ Q ) $.
    $( Lemma for the statement 7.50 of [Helfgott] p. 69.  (Contributed by
       Thierry Arnoux, 1-Jan-2022.) $)
    hgt750lemf $p |- ( ph -> sum_ n e. A
       ( ( ( Lam ` ( n ` 0 ) ) x. ( H ` ( n ` 0 ) ) )
    x. ( ( ( Lam ` ( n ` 1 ) ) x. ( K ` ( n ` 1 ) ) )
      x. ( ( Lam ` ( n ` 2 ) ) x. ( K ` ( n ` 2 ) ) ) ) )
    <_ ( ( ( P ^ 2 ) x. Q ) x. sum_ n e. A ( ( Lam ` ( n ` 0 ) )
           x. ( ( Lam ` ( n ` 1 ) ) x. ( Lam ` ( n ` 2 ) ) ) ) ) ) $=
      ( cmul co cc0 cv cfv cvma c1 c2 csu cexp cle wcel wa cn vmaf a1i ffvelrnd
      cr cpnf cico rge0ssre adantr sselid remulcld resqcld recnd mulcld mulcomd
      mul4d oveq2d 3eqtr3d wbr vmage0 syl mulge0d cxr 0xr pnfxr icogelb syl3anc
      wf wceq fveq2 breq1d ralrimiva rspcdva lemul12ad sqvald breqtrrd lemul1ad
      wral eqtrd eqbrtrrd fsumle fsummulc2 ) ABUAFUBZUCZUDUCZWOGUCZSTZUEWNUCZUD
      UCZWSHUCZSTZUFWNUCZUDUCZXCHUCZSTZSTZSTZFUGBCUFUHTZDSTZWPWTXDSTZSTZSTZFUGX
      JBXLFUGSTUIABXHXMFIAWNBUJZUKZWRXGXOWPWQXOULUPWOUDULUPUDVSXOUMUNZNUOZXOUAU
      QURTZUPWQUSXOULXRWOGAULXRGVSXNLUTNUOZVAZVBXOXBXFXOWTXAXOULUPWSUDXPOUOZXOX
      RUPXAUSXOULXRWSHAULXRHVSXNMUTZOUOZVAZVBXOXDXEXOULUPXCUDXPPUOZXOXRUPXEUSXO
      ULXRXCHYBPUOZVAZVBVBVBXOXJXLAXJUPUJXNAXIDACJVCZKVBZUTZXOWPXKXQXOWTXDYAYEV
      BZVBZVBXOWQXAXESTZSTZXLSTZXHXMUIXOXLYNSTWRXKYMSTZSTYOXHXOWPXKWQYMXOWPXQVD
      ZXOXKYKVDZXOWQXTVDZXOYMXOXAXEYDYGVBZVDZVGXOXLYNXOWPXKYQYRVEXOWQYMYSUUAVEV
      FXOYPXGWRSXOWTXDXAXEXOWTYAVDXOXDYEVDXOXAYDVDXOXEYGVDVGVHVIXOYNXJXLXOWQYMX
      TYTVBYJYLXOWPXKXQYKXOWOULUJUAWPUIVJNWOVKVLXOWTXDYAYEXOWSULUJUAWTUIVJOWSVK
      VLXOXCULUJUAXDUIVJPXCVKVLVMVMXOYNDCCSTZSTZXJUIXOWQDYMUUBXTADUPUJXNKUTYTAU
      UBUPUJXNACCJJVBUTXOUAVNUJZUQVNUJZWQXRUJUAWQUIVJUUDXOVOUNZUUEXOVPUNZXSUAUQ
      WQVQVRXOXAXEYDYGXOUUDUUEXAXRUJUAXAUIVJUUFUUGYCUAUQXAVQVRZXOUUDUUEXEXRUJUA
      XEUIVJUUFUUGYFUAUQXEVQVRZVMXOEUBZGUCZDUIVJZWQDUIVJEULWOUUJWOVTUUKWQDUIUUJ
      WOGWAWBAUULEULWIXNAUULEULRWCUTNWDXOXACXECYDACUPUJXNJUTZYGUUMUUHUUIXOUUJHU
      CZCUIVJZXACUIVJEULWSUUJWSVTUUNXACUIUUJWSHWAWBAUUOEULWIXNAUUOEULQWCUTZOWDX
      OUUOXECUIVJEULXCUUJXCVTUUNXECUIUUJXCHWAWBUUPPWDWEWEAXJUUCVTXNAXJDXISTUUCA
      XIDAXIYHVDADKVDVFAXIUUBDSACACJVDWFVHWJUTWGWHWKWLABXLXJFIAXJYIVDXOXLYLVDWM
      WG $.
  $}

  ${
    $d F b $.  $d L a b $.  $d N a b c $.  $d R c $.  $d T a b c $.
    $d ph a b c $.
    hgt750lemg.f $e |- F = ( c e. R |-> ( c o. T ) ) $.
    hgt750lemg.t $e |- ( ph -> T : ( 0 ..^ 3 ) -1-1-onto-> ( 0 ..^ 3 ) ) $.
    hgt750lemg.n $e |- ( ph -> N : ( 0 ..^ 3 ) --> NN ) $.
    hgt750lemg.l $e |- ( ph -> L : NN --> RR ) $.
    hgt750lemg.1 $e |- ( ph -> N e. R ) $.
    $( Lemma for the statement 7.50 of [Helfgott] p. 69.  Applying a
       permutation ` T ` to the three factors of a product does not change the
       result.  (Contributed by Thierry Arnoux, 1-Jan-2022.) $)
    hgt750lemg $p |- ( ph -> ( ( L ` ( ( F ` N ) ` 0 ) )
      x. ( ( L ` ( ( F ` N ) ` 1 ) ) x. ( L ` ( ( F ` N ) ` 2 ) ) ) )
     = ( ( L ` ( N ` 0 ) ) x. ( ( L ` ( N ` 1 ) ) x. ( L ` ( N ` 2 ) ) ) ) ) $=
      ( cc0 cfv c1 c2 wcel cn ffvelrnd cvv vb va cmul co ctp cv 2fveq3 cfn tpfi
      cprod a1i c3 cfzo wf1o wceq wb fzo0to3tp f1oeq23 mp2an sylib eqidd adantr
      wa cr simpr eleqtrrdi recnd fprodf1o ccom cmpt coeq1d f1of syl ovexd fexd
      wf coexg syl2anc fvmptd fveq1d wfun cdm f1ofun eleq2d biimpar fvco eqtr2d
      f1odm prodeq2dv c0ex 1ex tpid1 eleqtrrid eqtrd eleqtrri eqeltrd tpid2 wne
      fveq2d 0ne1 2ex tpid3 0ne2 1ne2 prodtp 3eqtr3d mulassd ) AMFDNZNZENZOXHNZ
      ENZUCUDPXHNZENZUCUDZMFNZENZOFNZENZUCUDPFNZENZUCUDZXJXLXNUCUDUCUDXQXSYAUCU
      DUCUDAMOPUEZUAUFZXHNZENZUAUJZYCUBUFZFNZENZUBUJZXOYBAYKYCYDCNZFNZENZUAUJYG
      AYCYJYCYNUBUACYLYHYLEFUGYCUHQAMOPUIUKAMULUMUDZYOCUNZYCYCCUNZIYOYCUOZYRYPY
      QUPUQUQYOYCYOYCCURUSUTZAYDYCQZVCZYLVAAYHYCQZVCZYJUUCRVDYIEARVDEVPUUBKVBUU
      CYORYHFAYORFVPUUBJVBUUCYHYCYOAUUBVEUQVFSSVGVHAYCYNYFUAUUAYMYEEUUAYEYDFCVI
      ZNZYMUUAYDXHUUDAXHUUDUOYTAGFGUFZCVIZUUDBDTDGBUUGVJUOAHUKAUUFFUOZVCUUFFCAU
      UHVEVKLAFBQCTQUUDTQLAYOYOTCAYPYOYOCVPIYOYOCVLVMZAMULUMVNVOFCBTVQVRVSZVBVT
      UUACWAZYDCWBZQZUUEYMUOAUUKYTAYPUUKIYOYOCWCVMZVBAUUMYTAUULYCYDAYQUULYCUOYS
      YCYCCWHVMZWDWEYDFCWFVRWGWSWIWGAMOPYFUAXJXLXNTTTYDMEXHUGYDOEXHUGMTQAWJUKZO
      TQAWKUKZAXJARVDXIEKAXIMCNZFNZRAXIMUUDNZUUSAMXHUUDUUJVTAUUKMUULQUUTUUSUOUU
      NAMYCUULMOPWJWLZUUOWMMFCWFVRWNAYORUURFJAYOYOMCUUIMYOQAMYCYOUVAUQWOUKZSSWP
      SVGZAXLARVDXKEKAXKOCNZFNZRAXKOUUDNZUVEAOXHUUDUUJVTAUUKOUULQUVFUVEUOUUNAOY
      CUULMOPWKWQZUUOWMOFCWFVRWNAYORUVDFJAYOYOOCUUIOYOQAOYCYOUVGUQWOUKZSSWPSVGZ
      MOWRAWTUKZYDPEXHUGPTQAXAUKZAXNARVDXMEKAXMPCNZFNZRAXMPUUDNZUVMAPXHUUDUUJVT
      AUUKPUULQUVNUVMUOUUNAPYCUULMOPXAXBZUUOWMPFCWFVRWNAYORUVLFJAYOYOPCUUIPYOQA
      PYCYOUVOUQWOUKZSSWPSVGZMPWRAXCUKZOPWRAXDUKZXEAMOPYJUBXQXSYATTTYHMEFUGYHOE
      FUGUUPUUQAXQARVDXPEKAYORMFJUVBSSVGZAXSARVDXREKAYOROFJUVHSSVGZUVJYHPEFUGUV
      KAYAARVDXTEKAYORPFJUVPSSVGZUVRUVSXEXFAXJXLXNUVCUVIUVQXGAXQXSYAUVTUWAUWBXG
      XF $.
  $}

  ${
    $d O z $.
    hgt750leme.o $e |- O = { z e. ZZ | -. 2 || z } $.
    $( Two ways to write the set of odd primes.  (Contributed by Thierry
       Arnoux, 27-Dec-2021.) $)
    oddprm2 $p |- ( Prime \ { 2 } ) = ( O i^i Prime ) $=
      ( cprime c2 csn cdif cin cv wcel cdvds wbr wn wa ancom cz wb prmz rabeq2i
      baib syl pm5.32i bitr2i nnoddn2prmb elin 3bitr4i eqriv ) ADEFGZBDHZAIZDJZ
      EUJKLMZNZUJBJZUKNZUJUHJUJUIJUOUKUNNUMUNUKOUKUNULUKUJPJZUNULQUJRUNUPULULAB
      PCSTUAUBUCUJUDUJBDUEUFUG $.

    hgt750leme.n $e |- ( ph -> N e. NN ) $.
    ${
      $d A c d i j n u $.  $d N c i j n u $.  $d ph c i j n u $.
      hgt750lemb.2 $e |- ( ph -> 2 <_ N ) $.
      hgt750lemb.a $e |-
        A = { c e. ( NN ( repr ` 3 ) N ) | -. ( c ` 0 ) e. ( O i^i Prime ) } $.
      $( An upper bound on the contribution of the non-prime terms in the
         Statement 7.50 of [Helfgott] p. 69.  (Contributed by Thierry Arnoux,
         28-Dec-2021.) $)
      hgt750lemb $p |- ( ph -> sum_ n e. A ( ( Lam ` ( n ` 0 ) )
             x. ( ( Lam ` ( n ` 1 ) ) x. ( Lam ` ( n ` 2 ) ) ) )
      <_ ( ( log ` N ) x. (
               sum_ i e. ( ( ( 1 ... N ) \ Prime ) u. { 2 } ) ( Lam ` i )
            x. sum_ j e. ( 1 ... N ) ( Lam ` j ) ) ) ) $=
        ( cc0 cfv c1 c2 cn wcel a1i vd vu cv cvma cmul csu clog cfz cprime cdif
        co csn cun c3 crepr cfn wss nnnn0d cn0 3nn0 ssidd reprfi2 cin wn ssrab3
        ssfi sylancl wa cr wf vmaf cfzo adantr simpr sselid reprf c0ex eleqtrri
        fzo0to3tp ffvelrnd 1ex 2ex remulcld fsumrecl nnrpd relogcld cle wbr w3a
        elfz1b biimpri syl3anc sselda crp syl vmage0 letrd lemul2ad nncnd recnd
        reprle fsummulc2 sumeq2dv cop cmpt adantl wral wceq sylib fveq1 opeq12d
        cc fvex op1std fveq2d op2ndd oveq12d cvv opex ad2antrr ad4ant13 adantlr
        ffnd 3eqtr4d caddc cmin sumeq1d ad4antr reprsum fveq2 3jca wne 3eqtr3rd
        sumtp addcld addrsub mpbid ad3antrrr vex syldan cz nnzd ctp tpid1 tpid2
        tpid3 fzfi diffi ax-mp snfi mp2an difss snssd unssd fz1ssnn sstrd fzfid
        unfi 2nn relogcl vmalelog logleb biimpa syl21anc fsumle mulcomd mulassd
        nnne0d logcld eqtrd eqtr2d breqtrd nnred logge0d crn c1st c2nd cxp xpfi
        nnge1d syl2anc xp1st sseldd mulge0d rabeq2i simprbi oddprm2 sylnibr jca
        xp2nd eleq2i eldif sylibr wb uncom undif3 ssequn1 difeq1d syl5eq eleq2d
        eqtri mpbird opelxpd ralrimiva cbvmptv rnmptss fsumless wfn rgenw fnmpt
        wi wf1o mp1i eqidd fvmpt2d fvmptd3 3eqtr3d simpld simprd oveq2d 3pm3.2i
        opth2 0ne1 0ne2 1ne2 ad5antr w3o eleqtrdi eltp mpjao3dan eqfnfvd anasss
        ex ralrimivva fsumf1o fsummulc1 adantrl anassrs adantrr 3eqtrrd 3brtr3d
        dff1o6 fsumxp ) ACNFUCZOZUDOZPVUDOZUDOZQVUDOZUDOZUEUKZUEUKZFUFZGUGOZCVU
        FVUHUEUKZFUFZUEUKZVUNPGUHUKZUIUJZQULZUMZDUCZUDOZDUFZVUREUCZUDOZEUFZUEUK
        ZUEUKACVULFARGUNUOOUKZUPSCVVIUQCUPSARUNGAGKURUNUSSZAUTTARVAVBNIUCZOZHUI
        VCZSZVDZIVVICMVEZVVICVFVGZAVUDCSZVHZVUFVUKVVSRVIVUEUDRVIUDVJZVVSVKTZVVS
        NUNVLUKZRNVUDVVSRVUDUNGVVSRVAZAGUUASZVVRAGKUUBZVMZVVJVVSUTTZVVSCVVIVUDV
        VPAVVRVNZVOZVPZNVWBSZVVSNNPQUUCZVWBNPQVQUUDVSVRZTVTZVTZVVSVUHVUJVVSRVIV
        UGUDVWAVVSVWBRPVUDVWJPVWBSZVVSPVWLVWBNPQWAUUEVSVRZTVTZVTZVVSRVIVUIUDVWA
        VVSVWBRQVUDVWJQVWBSZVVSQVWLVWBNPQWBUUFVSVRZTZVTZVTZWCZWCZWDAVUNVUPAGAGK
        WEWFZACVUOFVVQVVSVUFVUHVWOVWSWCZWDZWCAVUNVVHVXGAVVDVVGAVVAVVCDVVAUPSZAV
        USUPSZVUTUPSVXJVURUPSZVXKPGUUGZVURUIUUHUUIQUUJVUSVUTUURUUKTZAVVBVVASZVH
        ZRVIVVBUDVVTVXPVKTAVVARVVBAVVAVURRAVUSVUTVURVUSVURUQAVURUIUULTAQVURAQRS
        ZGRSZQGWGWHZQVURSZVXQAUUSTKLVXTVXQVXRVXSWIGQWJWKWLUUMZUUNVURRUQAGUUOZTZ
        UUPZWMVTZWDAVURVVFEAPGUUQZAVVEVURSZVHZRVIVVEUDVVTVYHVKTAVURRVVEVYCWMVTZ
        WDZWCZWCAVUMCVUFVUHVUNUEUKZUEUKZFUFZVUQWGACVULVYMFVVQVXFVVSVUFVYLVWOVVS
        VUHVUNVWSVVSGWNSZVUNVISVVSGAVXRVVRKVMWEZGUUTWOZWCZWCVVSVUKVYLVUFVXEVYRV
        WOVVSVUERSNVUFWGWHVWNVUEWPWOVVSVUJVUNVUHVXDVYQVWSVVSVUGRSNVUHWGWHVWRVUG
        WPWOVVSVUJVUIUGOZVUNVXDVVSVUIVVSVUIVXCWEZWFVYQVVSVUIRSVUJVYSWGWHVXCVUIU
        VAWOVVSVUIWNSZVYOVUIGWGWHZVYSVUNWGWHZVYTVYPVVSRVUDUNGQVWCVWFVWGVWIVXBXA
        WUAVYOVHWUBWUCVUIGUVBUVCUVDWQWRWRUVEAVUQCVUNVUOUEUKZFUFVYNACVUOVUNFVVQA
        GAGKWSZAGKUVHUVIZVVSVUOVXHWTZXBACWUDVYMFVVSWUDVUOVUNUEUKVYMVVSVUNVUOAVU
        NXLSVVRWUFVMZWUGUVFVVSVUFVUHVUNVVSVUFVWOWTVVSVUHVWSWTWUHUVGUVJXCUVKUVLA
        VUPVVHVUNVXIVYKVXGAGAGKUVMAGKUVTUVNAUACNUAUCZOZPWUIOZXDZXEZUVOZUBUCZUVP
        OZUDOZWUOUVQOZUDOZUEUKZUBUFVVAVURUVRZWUTUBUFZVUPVVHWGAWVAWUTWUNUBAVXJVX
        LWVAUPSVXNVYFVVAVURUVSUWAAWUOWVASZVHZWUQWUSWVDRVIWUPUDVVTWVDVKTZWVDVVAR
        WUPAVVARUQWVCVYDVMWVCWUPVVASAWUOVVAVURUWBXFUWCZVTZWVDRVIWURUDWVEWVDVURR
        WURVYBWVCWURVURSAWUOVVAVURUWJXFVOZVTZWCWVDWUQWUSWVGWVIWVDWUPRSNWUQWGWHW
        VFWUPWPWOWVDWURRSNWUSWGWHWVHWURWPWOUWDAVVLPVVKOZXDZWVASZICXGWUNWVAUQAWV
        LICAVVKCSZVHZVVLWVJVVAVURWVNVVLVVASZVVLVURUIVUTUJZUJZSZWVNVVLVURSZVVLWV
        PSZVDZVHWVRWVNWVSWWAWVNVVLRSZVXRVVLGWGWHZWVSWVNVWBRNVVKWVNRVVKUNGWVNRVA
        ZAVWDWVMVWEVMZVVJWVNUTTZWVNCVVIVVKVVPAWVMVNZVOZVPZVWKWVNVWMTZVTZAVXRWVM
        KVMZWVNRVVKUNGNWWDWWEWWFWWHWWJXAWVSWWBVXRWWCWIGVVLWJWKWLWVNWVMWWAWWGWVM
        VVNWVTWVMVVKVVISZVVOVVOICVVIMUWEUWFWVPVVMVVLBHJUWGUWKUWHWOUWIVVLVURWVPU
        WLUWMAWVOWVRUWNWVMAVVAWVQVVLAVVAVUTVURUMZWVPUJZWVQVVAVUTVUSUMWWOVUSVUTU
        WOVUTVURUIUWPUXAAWWNVURWVPAVUTVURUQWWNVURXHVYAVUTVURUWQXIUWRUWSUWTVMUXB
        WVNWVJRSZVXRWVJGWGWHZWVJVURSZWVNVWBRPVVKWWIVWPWVNVWQTZVTZWWLWVNRVVKUNGP
        WWDWWEWWFWWHWWSXAWWRWWPVXRWWQWIGWVJWJWKWLUXCUXDICWVKWVAWUMUAICWULWVKWUI
        VVKXHWUJVVLWUKWVJNWUIVVKXJPWUIVVKXJXKUXEZUXFWOZUXGAWUNWUTCVUOUBFWUMVUEV
        UGXDZWUOWXCXHZWUQVUFWUSVUHUEWXDWUPVUEUDVUEVUGWUONVUDXMZPVUDXMZXNXOWXDWU
        RVUGUDVUEVUGWUOWXEWXFXPXOXQVVQAWUMCUXHZWUNWUNXHZVVKWUMOZVUDWUMOZXHZVVKV
        UDXHZUXKZFCXGICXGZCWUNWUMUXLZWVKXRSZICXGWXGAWXPICVVLWVJXSZUXIICWVKWUMXR
        WXAUXJUXMAWUNUXNAWXMIFCCAWVMVVRWXMWVNVVRVHZWXKWXLWXRWXKVHZDVWBVVKVUDWXS
        VWBRVVKWVNVWBRVVKVJVVRWXKWWIXTYCWXSVWBRVUDAVVRVWBRVUDVJWVMWXKVWJYAYCWXS
        VVBVWBSZVHZVVBNXHZVVBVVKOZVVBVUDOZXHVVBPXHZVVBQXHZWYAWYBVHZVVLVUEWYCWYD
        WXSVVLVUEXHZWXTWYBWXSWYHWVJVUGXHZWXSWVKWXCXHWYHWYIVHWXSWXIWXJWVKWXCWXRW
        XKVNWXRWXIWVKXHZWXKWVNWYJVVRAICWVKWUMXRWUMICWVKXEXHAWXATWXPWVNWXQTUXOVM
        VMWXRWXJWXCXHZWXKAVVRWYKWVMVVSIVUDWVKWXCCWUMXRWXAWXLVVLVUEWVJVUGNVVKVUD
        XJPVVKVUDXJXKVWHWXCXRSVVSVUEVUGXSTUXPZYBVMUXQVVLWVJVUEVUGWXEWXFUYBXIZUX
        RZXTWYGVVBNVVKWYAWYBVNZXOWYGVVBNVUDWYOXOYDWYAWYEVHZWVJVUGWYCWYDWXSWYIWX
        TWYEWXSWYHWYIWYMUXSZXTWYPVVBPVVKWYAWYEVNZXOWYPVVBPVUDWYRXOYDWYAWYFVHZQV
        VKOZVUIWYCWYDWYSGVVLWVJYEUKZYFUKZGVUEVUGYEUKZYFUKZWYTVUIWYSXUAXUCGYFWYS
        VVLVUEWVJVUGYEWXSWYHWXTWYFWYNXTWXSWYIWXTWYFWYQXTXQUXTWYSXUAWYTYEUKZGXHW
        YTXUBXHWYSVWBVVEVVKOZEUFVWLXUFEUFGXUEWYSVWBVWLXUFEVWBVWLXHWYSVSTZYGWYSR
        VVKUNGEWYSRVAZWVNVWDVVRWXKWXTWYFWWEYHZVVJWYSUTTZWVNWWMVVRWXKWXTWYFWWHYH
        YIWYSNPQXUFEVVLWVJWYTXRXRXRVVENVVKYJVVEPVVKYJVVEQVVKYJWYSVVLXLSZWVJXLSZ
        WYTXLSZWVNXUKVVRWXKWXTWYFWVNVVLWWKWSYHZWVNXULVVRWXKWXTWYFWVNWVJWWTWSYHZ
        WVNXUMVVRWXKWXTWYFWVNWYTWVNVWBRQVVKWWIVWTWVNVXATVTWSYHZYKNXRSZPXRSZQXRS
        ZWIWYSXUQXURXUSVQWAWBUYATZNPYLWYSUYCTZNQYLWYSUYDTZPQYLWYSUYETZYNYMWYSXU
        AWYTGWYSVVLWVJXUNXUOYOXUPAGXLSWVMVVRWXKWXTWYFWUEUYFZYPYQWYSXUCVUIYEUKZG
        XHVUIXUDXHWYSVWBVVEVUDOZEUFVWLXVFEUFGXVEWYSVWBVWLXVFEXUGYGWYSRVUDUNGEXU
        HXUIXUJWXSVUDVVISZWXTWYFAVVRXVGWVMWXKVWIYAXTYIWYSNPQXVFEVUEVUGVUIXRXRXR
        VVENVUDYJVVEPVUDYJVVEQVUDYJWYSVUEXLSZVUGXLSZVUIXLSZWXRXVHWXKWXTWYFAVVRX
        VHWVMVVSVUEVWNWSYBYRZWXRXVIWXKWXTWYFAVVRXVIWVMVVSVUGVWRWSYBYRZWXRXVJWXK
        WXTWYFAVVRXVJWVMVVSVUIVXCWSYBYRZYKXUTXVAXVBXVCYNYMWYSXUCVUIGWYSVUEVUGXV
        KXVLYOXVMXVDYPYQYDWYSVVBQVVKWYAWYFVNZXOWYSVVBQVUDXVNXOYDWYAVVBVWLSWYBWY
        EWYFUYGWYAVVBVWBVWLWXSWXTVNVSUYHVVBNPQDYSZUYIXIUYJUYKUYMUYLUYNWXOWXGWXH
        WXNWIIFCWUNWUMVUBWKWLWYLAWUOWUNSZVHZWUTXVQWUQWUSAXVPWVCWUQVISAWUNWVAWUO
        WXBWMZWVGYTAXVPWVCWUSVISXVRWVIYTWCWTUYOAVVHVVAVVCVVGUEUKZDUFVVAVURVVCVV
        FUEUKZEUFZDUFWVBAVVAVVCVVGDVXNAVVGVYJWTVXPVVCVYEWTZUYPAVVAXVSXWADVXPVUR
        VVFVVCEVXLVXPVXMTXWBVXPVYGVHVVFAVXOVYGVVFVISZAVYGXWCVXOVYIUYQZUYRWTXBXC
        AUBVVAVURXVTWUTDEWUOVVBVVEXDXHZWUQVVCWUSVVFUEXWEWUPVVBUDVVBVVEWUOXVOEYS
        ZXNXOXWEWURVVEUDVVBVVEWUOXVOXWFXPXOXQVXNVYFAVXOVYGVHVHZXVTXWGVVCVVFAVXO
        VVCVISVYGVYEUYSXWDWCWTVUCUYTVUAWRWQ $.

      $d F e n $.  $d N a c d e n $.  $d O a c d e n $.  $d ph a d e n $.
      hgt750lema.f $e |- F = ( d e. { c e. ( NN ( repr ` 3 ) N ) | -. ( c ` a )
        e. ( O i^i Prime ) } |-> ( d o. if ( a = 0 , ( _I |` ( 0 ..^ 3 ) ) , (
        ( pmTrsp ` ( 0 ..^ 3 ) ) ` { a , 0 } ) ) ) ) $.
      $( An upper bound on the contribution of the non-prime terms in the
         Statement 7.50 of [Helfgott] p. 69.  (Contributed by Thierry Arnoux,
         1-Jan-2022.) $)
      hgt750lema $p |- ( ph -> sum_ n e. ( ( NN ( repr ` 3 ) N )
         \ ( ( O i^i Prime ) ( repr ` 3 ) N ) )
      ( ( Lam ` ( n ` 0 ) ) x. ( ( Lam ` ( n ` 1 ) ) x. ( Lam ` ( n ` 2 ) ) ) )
      <_ ( 3 x. sum_ n e. A ( ( Lam ` ( n ` 0 ) )
             x. ( ( Lam ` ( n ` 1 ) ) x. ( Lam ` ( n ` 2 ) ) ) ) ) ) $=
        ( cc0 cfv wcel cn cvma ve c3 cfzo co cv cprime wn crepr crab ciun c1 c2
        cin cmul csu cdif cle cfn fzofi a1i nnnn0d cn0 ssidd reprfi2 wss ssrab2
        3nn0 ssfid adantr wa cr wf vmaf cz nn0zd ad2antrr simpr sselid ctp c0ex
        reprf tpid1 fzo0to3tp eleqtrri ffvelrnd 1ex tpid2 tpid3 remulcld vmage0
        2ex wbr syl mulge0d fsumiunle eqid inss2 prmssnn sstri reprdifc sumeq1d
        chash wceq sselda fsumrecl recnd fsumconst syl2anc fveq1 fveq2d oveq12d
        cid cres cpr cpmtr cif 3nn ralrimivw r19.21bi eleq1d cbvrabv reprpmtf1o
        cc notbid eqidd adantlr fsumf1o fveq1d cbvsumv cvv pmtridf1o hgt750lemg
        fveq2 ovexd sumeq2dv 3eqtrrd hashfzo0 ax-mp eqcomd 3eqtr4rd 3brtr4d ) A
        HPUBUCUDZHUEZIUEZQZGUFUMZRZUGZISFUBUHQZUDZUIZUJZPDUEZQZTQZUKUUMQZTQZULU
        UMQZTQZUNUDZUNUDZDUOUUBUUKUVADUOZHUOZUUJUUFFUUIUDUPZUVADUOUBCUVADUOZUNU
        DZUQAHUUBUUKUVADUUBURRZAPUBUSUTZAUUKURRUUCUUBRZAUUJUUKASUBFAFLVAZUBVBRZ
        AVGUTZASVCZVDZUUKUUJVEAUUHIUUJVFZUTVHVIZAUVIVJZUUMUUKRZVJZUUOUUTUVSSVKU
        UNTSVKTVLZUVSVMUTZUVSUUBSPUUMUVSSUUMUBFUVSSVCAFVNRZUVIUVRAFUVJVOZVPUVKU
        VSVGUTUVSUUKUUJUUMUVOUVQUVRVQZVRWAZPUUBRZUVSPPUKULVSZUUBPUKULVTWBWCWDZU
        TZWEZWEZUVSUUQUUSUVSSVKUUPTUWAUVSUUBSUKUUMUWEUKUUBRZUVSUKUWGUUBPUKULWFW
        GWCWDZUTWEZWEZUVSSVKUURTUWAUVSUUBSULUUMUWEULUUBRZUVSULUWGUUBPUKULWKWHWC
        WDZUTWEZWEZWIZWIUVSUUOUUTUWKUWTUVSUUNSRPUUOUQWLUWJUUNWJWMUVSUUQUUSUWOUW
        SUVSUUPSRPUUQUQWLUWNUUPWJWMUVSUURSRPUUSUQWLUWRUURWJWMWNWNWOAUVDUULUVADA
        HSUUFUUKUBFIUUKWPUVMUUFSVEAUUFUFSGUFWQWRWSUTUVJUVLWTXAAUUBPUUDQZUUFRZUG
        ZIUUJUIZUVADUOZHUOZUUBXBQZUXEUNUDZUVCUVFAUVGUXEYCRUXFUXHXCUVHAUXEAUXDUV
        ADAUUJUXDUVNUXDUUJVEAUXCIUUJVFUTZVHAUUMUXDRZVJZUUOUUTUXKSVKUUNTUVTUXKVM
        UTZUXKUUBSPUUMUXKSUUMUBFUXKSVCAUWBUXJUWCVIUVKUXKVGUTAUXDUUJUUMUXIXDWAZU
        WFUXKUWHUTWEWEUXKUUQUUSUXKSVKUUPTUXLUXKUUBSUKUUMUXMUWLUXKUWMUTWEWEUXKSV
        KUURTUXLUXKUUBSULUUMUXMUWPUXKUWQUTWEWEWIWIZXEXFUUBUXEHXGXHAUUBUVBUXEHUV
        QUXEUUKPUAUEZEQZQZTQZUKUXPQZTQZULUXPQZTQZUNUDZUNUDZUAUOZUUKPUUMEQZQZTQZ
        UKUYFQZTQZULUYFQZTQZUNUDZUNUDZDUOZUVBUVQUXDUVAUUKUYDDUAEUXPUUMUXPXCZUUO
        UXRUUTUYCUNUYPUUNUXQTPUUMUXPXIXJUYPUUQUXTUUSUYBUNUYPUUPUXSTUKUUMUXPXIXJ
        UYPUURUYATULUUMUXPXIXJXKXKUVPUVQSUUFUUKUBUUCPXCXLUUBXMUUCPXNUUBXOQQXPZE
        FUXDUUCJAUBSRZHUUBAUYRHUUBUYRAXQUTXRXSAUWBUVIUWCVIUVQSVCAUVIVQZUXCPJUEZ
        QZUUFRZUGIJUUJUUDUYTXCZUXBVUBVUCUXAVUAUUFPUUDUYTXIXTYDYAUUHUUCUYTQZUUFR
        ZUGIJUUJVUCUUGVUEVUCUUEVUDUUFUUCUUDUYTXIXTYDYAUYQWPZOYBUVQUXOUUKRVJUXPY
        EUVQUXJVJUVAAUXJUVAVKRUVIUXNYFXFYGUYEUYOXCUVQUUKUYDUYNUADUXOUUMXCZUXRUY
        HUYCUYMUNVUGUXQUYGTVUGPUXPUYFUXOUUMEYMZYHXJVUGUXTUYJUYBUYLUNVUGUXSUYITV
        UGUKUXPUYFVUHYHXJVUGUYAUYKTVUGULUXPUYFVUHYHXJXKXKYIUTUVQUUKUYNUVADUVSUU
        KUYQETUUMJOUVSUUBUYQYJUUCPUVSPUBUCYNUVQUVIUVRUYSVIUWIVUFYKUWEUWAUWDYLYO
        YPYOAUBUXGUVEUXEUNAUXGUBUXGUBXCZAUVKVUIVGUBYQYRUTYSACUXDUVADCUXDXCANUTX
        AXKYTUUA $.
    $}

    $d H m $.  $d K m $.  $d N a c d e i j m n $.  $d O a c d e i j m n z $.
    $d a c e i j m n ph $.
    hgt750leme.0 $e |- ( ph -> ( ; 1 0 ^ ; 2 7 ) <_ N ) $.
    hgt750leme.h $e |- ( ph -> H : NN --> ( 0 [,) +oo ) ) $.
    hgt750leme.k $e |- ( ph -> K : NN --> ( 0 [,) +oo ) ) $.
    hgt750leme.1 $e |- ( ( ph /\ m e. NN ) ->
              ( K ` m ) <_ ( 1 . _ 0 _ 7 _ 9 _ 9 _ 5 5 ) ) $.
    hgt750leme.2 $e |- ( ( ph /\ m e. NN ) ->
              ( H ` m ) <_ ( 1 . _ 4 _ 1 4 ) ) $.
    $( An upper bound on the contribution of the non-prime terms in the
       Statement 7.50 of [Helfgott] p. 69.  (Contributed by Thierry Arnoux,
       29-Dec-2021.) $)
    hgt750leme $p |- ( ph ->
       sum_ n e. ( ( NN ( repr ` 3 ) N ) \ ( ( O i^i Prime ) ( repr ` 3 ) N ) )
       ( ( ( Lam ` ( n ` 0 ) ) x. ( H ` ( n ` 0 ) ) )
    x. ( ( ( Lam ` ( n ` 1 ) ) x. ( K ` ( n ` 1 ) ) )
      x. ( ( Lam ` ( n ` 2 ) ) x. ( K ` ( n ` 2 ) ) ) ) )
    <_ ( ( ( 7 . _ 3 _ 4 8 ) x. ( ( log ` N ) / ( sqrt ` N ) ) )
         x. ( N ^ 2 ) ) ) $=
      ( cn co cmul wcel cr vd vc ve va vi vj c3 cfv cprime cdif cc0 cv cvma csu
      c1 c2 c7 c9 c5 cdp2 cdp cexp c4 wn crab cdiv cfn cn0 3nn0 a1i ssidd diffi
      c8 wa wf vmaf cz adantr reprf fzo0to3tp eleqtrri ffvelrnd rge0ssre sselid
      syl remulcld fsumrecl 3re crp 1nn0 0nn0 7nn0 9nn0 nnrp ax-mp rpdpcl rpred
      rpdp2cl resqcld wss wceq sselda 4re 8re pm3.2i dp2cl dpcl cle 0re 9re 5re
      mp2an 1re wbr cdc 2re 2nn0 nn0rei ltleii declei clt 2nn rpexpcld rpmulcld
      10nn0 letrd lemul2d mpbid recnd mulcld c6 vmage0 fsumge0 remulcli mulcomd
      cchp oveq2d eqtrd mulassd eqtr4d crepr cin clog csqrt nnnn0d reprfi2 cfzo
      nnzd simpr eldifad ctp c0ex tpid1 cpnf cico 1ex tpid2 2ex tpid3 5nn0 4nn0
      5nn fveq1 eleq1d notbid cbvrabv ssrab3 ssfi sylancl nnrpd relogcld rpge0d
      4nn nnred resqrtcld rpsqrtcld rpne0d redivcld 7re hgt750lemf cid cres cpr
      cpmtr cif ccom cmpt deccl nn0expcli numexp1 eqeltri 1nn 2lt9 breqtrri w3a
      1z nn0zi 3pm3.2i 1lt10 1lt9 leexp2 biimpa eqid hgt750lema 2z sqcld cc 3cn
      mul12d breqtrd cfz csn cun fzfi snfi fz1ssnn ssdifssd snssd unssd chpvalz
      unfi chpf eqeltrrd hgt750lemb hgt750lemd fzfid hgt750lemc ltmul12ad ltled
      3rp 1lt2 ltletrd rplogcld resqcli hgt750lem2 rpdivcld lemul1d mpbii mul4d
      6re div32d divcld sqvald oveq1d divassd divsqrtid 3eqtrd 3eqtrrd 3brtr4d
      ) APGUGUUAUHZQZHUIUUBZGVUJQZUJZUKDULZUHZUMUHZVUPEUHZRQZUOVUOUHZUMUHZVUTFU
      HZRQZUPVUOUHZUMUHZVVDFUHZRQZRQZRQZDUNZUGUOUKUQURURUSUSUTZUTZUTZUTZUTZVAQZ
      UPVBQZUOVCUOVCUTZUTZVAQZRQZUKUAULZUHZVULSZVDZUAVUKVEZVUQVVAVVERQZRQZDUNZR
      QZRQZUQUGVCVMUTZUTZVAQZGUUCUHZGUUDUHZVFQZRQZGUPVBQZRQZAVUNVVIDAVUKVGSZVUN
      VGSAPUGGAGJUUEUGVHSZAVIVJAPVKUUFZVUKVUMVLWEZAVUOVUNSZVNZVUSVVHVXFVUQVURVX
      FPTVUPUMPTUMVOZVXFVPVJZVXFUKUGUUGQZPUKVUOVXFPVUOUGGVXFPVKAGVQSZVXEAGJUUHZ
      VRVXBVXFVIVJVXFVUOVUKVUMAVXEUUIUUJVSZUKVXISZVXFUKUKUOUPUUKZVXIUKUOUPUULUU
      MVTWAZVJWBZWBZVXFUKUUNUUOQZTVURWCVXFPVXRVUPEAPVXREVOVXELVRVXPWBWDWFVXFVVC
      VVGVXFVVAVVBVXFPTVUTUMVXHVXFVXIPUOVUOVXLUOVXISZVXFUOVXNVXIUKUOUPUUPUUQVTW
      AZVJWBZWBZVXFVXRTVVBWCVXFPVXRVUTFAPVXRFVOVXEMVRZVYAWBWDWFVXFVVEVVFVXFPTVV
      DUMVXHVXFVXIPUPVUOVXLUPVXISZVXFUPVXNVXIUKUOUPUURUUSVTWAZVJWBZWBZVXFVXRTVV
      FWCVXFPVXRVVDFVYCVYFWBWDWFWFWFWGZAUGVWJUGTSZAWHVJZAVWAVWIAVVQVVTAVVPAVVPV
      VPWISAUOVVOWJUKVVNWKUQVVMWLURVVLWMURVVKWMUSUSUUTUSPSUSWISUVBUSWNWOWRWRWRW
      RWRWPVJZWQWSAVVTVVTWISAUOVVSWJVCVVRUVAUOVCWJVCPSVCWISUVMVCWNWOWRWRWPVJZWQ
      WFZAVWFVWHDAVXAVWFVUKWTZVWFVGSVXCUKUBULZUHZVULSZVDZUBVUKVWFVWEVYRUAUBVUKV
      WBVYOXAZVWDVYQVYSVWCVYPVULUKVWBVYOUVCUVDUVEUVFZUVGZVUKVWFUVHUVIAVUOVWFSZV
      NZVUQVWGWUCPTVUPUMVXGWUCVPVJZWUCVXIPUKVUOWUCPVUOUGGWUCPVKAVXJWUBVXKVRVXBW
      UCVIVJAVWFVUKVUOVYNAWUAVJXBVSZVXMWUCVXOVJWBWBWUCVVAVVEWUCPTVUTUMWUDWUCVXI
      PUOVUOWUEVXSWUCVXTVJWBWBWUCPTVVDUMWUDWUCVXIPUPVUOWUEVYDWUCVYEVJWBWBWFWFWG
      ZWFZWFZAVWRVWSAVWNVWQVWNTSZAUQVHSVWMTSZWUIWLVYIVWLTSZVNWUJVYIWUKWHVCTSZVM
      TSZVNWUKWULWUMXCXDXEVCVMXFWOXEUGVWLXFWOUQVWMXGXLZVJZAVWOVWPAGAGJUVJZUVKZA
      GAGJUVNZAGWUPUVLUVOZAVWPAGWUPUVPZUVQZUVRZWFAGWURWSZWFZAVVJVWAUGVWIRQZRQZV
      WKXHAVVJVWAVUNVWHDUNZRQZWVFVYHAVWAWVGAVVQVVTAVVPVVPTSZAUOVHSZVVOTSZWVIWJU
      KTSZVVNTSZVNWVKWVLWVMXIUQTSZVVMTSZVNWVMWVNWVOUVSURTSZVVLTSZVNWVOWVPWVQXJW
      VPVVKTSZVNWVQWVPWVRXJUSTSZWVSVNWVRWVSWVSXKXKXEUSUSXFWOXEURVVKXFWOXEURVVLX
      FWOXEUQVVMXFWOXEUKVVNXFWOUOVVOXGXLZVJZWSVVTTSZAWVJVVSTSZWWBWJWULVVRTSZVNW
      WCWULWWDXCUOTSZWULVNWWDWWEWULXMXCXEUOVCXFWOXEVCVVRXFWOUOVVSXGXLZVJZWFZAVU
      NVWHDVXDVXFVUQVWGVXQVXFVVAVVEVYBVYGWFWFWGZWFAVWAWVEWWHAUGVWIVYJWUFWFZWFAV
      UNVVPVVTCDEFVXDWWAWWGLMVXPVYAVYFNOUVTAWVGWVEXHXNWVHWVFXHXNABVWFDUCUDULZVY
      OUHVULSVDUBVUKVEUCULWWKUKXAUWAVXIUWBWWKUKUWCVXIUWDUHUHUWEUWFUWGZGHUDUBUCI
      JAUPUOUKXOZUPUQXOZVBQZGUPTSZAXPVJZWWOTSAWWOWWMWWNYEUPUQXQWLUWHZUWIXRVJZWU
      RAUPWWMUOVBQZWWOWWQWWTTSAWWTWWMTWWMYEUWJZWWMYEXRZUWKVJWWSUPWWTXHXNAUPWWMW
      WTXHUOUKUPUWLWKXQUPURXPXJUWMXSXTWXAUWNVJWWTWWOXHXNZAWWMTSZUOVQSZWWNVQSZUW
      OZUOWWMYAXNZVNZUOWWNXHXNZWXCWXGWXHWXDWXEWXFWXBUWPWWNWWRUWQUWRUWSXEUPUQUOY
      BWLWJUOURXMXJUWTXSXTWXIWXJWXCWWMUOWWNUXAUXBXLVJYFKYFZVYTWWLUXCUXDAWVGWVEV
      WAWWIWWJAVVQVVTAVVPUPVYKUPVQSAUXEVJZYCVYLYDZYGYHYFAVWAUGVWIAVVQVVTAVVPAVV
      PWWAYIUXFAVVTWWGYIYJUGUXGSAUXHVJAVWIWUFYIUXIUXJAVWKUGVWAVWOUOGUXKQZUIUJZU
      PUXLZUXMZUEULZUMUHZUEUNZWXNUFULZUMUHZUFUNZRQZRQZRQZRQZVWTWUHAUGWYFVYJAVWA
      WYEVYMAVWOWYDWUQAWXTWYCAWXQWXSUEWXQVGSZAWXOVGSZWXPVGSWYHWXNVGSWYIUOGUXNWX
      NUIVLWOUPUXOWXOWXPUYAXLVJZAWXRWXQSVNZPTWXRUMVXGWYKVPVJAWXQPWXRAWXOWXPPAWX
      NPUIWXNPWTAGUXPVJZUXQAUPPUPPSAYBVJUXRUXSXBZWBZWGZAGYPUHZWYCTAVXJWYPWYCXAV
      XKUFGUXTWEATTGYPTTYPVOAUYBVJWURWBUYCZWFZWFZWFZWFZWVDAVWJWYFXHXNZVWKWYGXHX
      NAVWIWYEXHXNXUBABVWFUEUFDGHUBIJWXKVYTUYDAVWIWYEVWAWUFWYSWXMYGYHAVWJWYFUGW
      UGWYTUGWISAUYJVJZYGYHAWYGUGVWAVWOUOVCUPYKUGUTZUTZUTZVAQZVWPRQZUOUKUGVMVMU
      GUTZUTZUTZUTZVAQZGRQZRQZRQZRQZRQZVWTXUAAUGXUQVYJAVWAXUPVYMAVWOXUOWUQAXUHX
      UNAXUGVWPXUGTSZAWVJXUFTSZXUSWJWULXUETSZVNXUTWULXVAXCWWPXUDTSZVNXVAWWPXVBX
      PYKTSZVYIVNXVBXVCVYIUYTWHXEYKUGXFWOXEUPXUDXFWOXEVCXUEXFWOUOXUFXGXLZVJZWUS
      WFZAXUMGXUMTSZAWVJXULTSZXVGWJWVLXUKTSZVNXVHWVLXVIXIVYIXUJTSZVNXVIVYIXVJWH
      WUMXUITSZVNXVJWUMXVKXDWUMVYIVNXVKWUMVYIXDWHXEVMUGXFWOXEVMXUIXFWOXEUGXUJXF
      WOXEUKXUKXFWOUOXULXGXLZVJZWURWFZWFZWFZWFZWFWVDAWYFXUQXHXNZWYGXURXHXNAWYEX
      UPXHXNZXVRAWYDXUOXHXNXVSAWYDXUOWYRXVOAWXTXUHWYCXUNWYOXVFWYQXVNAWXQWXSUEWY
      JWYNWYKWXRPSUKWXSXHXNWYMWXRYLWEYMAUEGJKUYEAWXNWYBUFAUOGUYFAWYAWXNSVNZPTWY
      AUMVXGXVTVPVJAWXNPWYAWYLXBZWBXVTWYAPSUKWYBXHXNXWAWYAYLWEYMAUFGJUYGUYHUYIA
      WYDXUOVWOWYRXVOAGWURAUOUPGWWEAXMVJWWQWURUOUPYAXNAUYKVJWXKUYLUYMZYGYHAWYEX
      UPVWAWYSXVPWXMYGYHAWYFXUQUGWYTXVQXUCYGYHAUGVWAXUGXUMRQZRQZRQZVWQVWSRQZRQZ
      VWNXWFRQZXURVWTXHAXWEVWNXHXNXWGXWHXHXNXWEVWNUGXWDWHVWAXWCVVQVVTVVPWVTUYNW
      WFYNXUGXUMXVDXVLYNYNYNZWUNUYOXSAXWEVWNXWFXWETSAXWIVJWUOAVWQVWSAVWOVWPXWBW
      UTUYPAGUPWUPWXLYCYDUYQUYRAXURXWEVWPGRQZVWORQZRQZXWGAXURUGXWDXWKRQZRQXWLAX
      UQXWMUGRAXUQVWAXWCXWKRQZRQXWMAXUPXWNVWARAXUPXWCXWJRQZVWORQZXWNAXUPVWOXWOR
      QXWPAXUOXWOVWORAXUGVWPXUMGAXUGXVEYIZAVWPWUSYIZAXUMXVMYIZAGWURYIZUYSYQAVWO
      XWOAVWOWUQYIZAXWCXWJAXUGXUMXWQXWSYJZAVWPGXWRXWTYJZYJYOYRAXWCXWJVWOXXBXXCX
      XAYSYRYQAVWAXWCXWKAVWAVYMYIZXXBAXWJVWOXXCXXAYJZYSYTYQAUGXWDXWKAUGVYJYIAVW
      AXWCXXDXXBYJXXEYSYTAXWKXWFXWERAXWFVWOVWSVWPVFQZRQXXFVWORQXWKAVWOVWPVWSXXA
      XWRAVWSWVCYIZWVAVUAAVWOXXFXXAAVWSVWPXXGXWRWVAVUBYOAXXFXWJVWORAXXFGVWPRQZX
      WJAXXFGGRQZVWPVFQGGVWPVFQZRQXXHAVWSXXIVWPVFAGXWTVUCVUDAGGVWPXWTXWTXWRWVAV
      UEAXXJVWPGRAGWISXXJVWPXAWUPGVUFWEYQVUGAGVWPXWTXWRYOYRVUDVUHYQYRAVWNVWQVWS
      AVWNWUOYIAVWQWVBYIXXGYSVUIYFYFYF $.
  $}

  ${
    $d H m n x $.  $d K m n x $.  $d N m n x z $.  $d O m n z $.
    $d ph m n x $.
    tgoldbachgtda.o $e |- O = { z e. ZZ | -. 2 || z } $.
    tgoldbachgtda.n $e |- ( ph -> N e. O ) $.
    tgoldbachgtda.0 $e |- ( ph -> ( ; 1 0 ^ ; 2 7 ) <_ N ) $.
    $( Lemma for ~ tgoldbachgtd .  (Contributed by Thierry Arnoux,
       15-Dec-2021.) $)
    tgoldbachgnn $p |- ( ph -> N e. NN ) $=
      ( cz wcel c1 cle wbr cn c2 cv cdvds cdc c7 cr a1i wn crab eleqtrdi elrabi
      syl cc0 cexp 1red cn0 10nn0 nn0rei 2nn0 7nn0 deccl reexpcl mp2an zred 1re
      co 1lt10 ltleii expge1 mp3an letrd elnnz1 sylanbrc ) ACHIZJCKLCMIACNBOPLU
      AZBHUBZIVGACDVIFEUCVHBCHUDUEZAJJUFQZNRQZUGUSZCAUHVMSIZAVKSIZVLUIIZVNVKUJU
      KZNRULUMUNZVKVLUOUPTACVJUQJVMKLZAVOVPJVKKLVSVQVRJVKURVQUTVAVKVLVBVCTGVDCV
      EVF $.

    tgoldbachgtda.h $e |- ( ph -> H : NN --> ( 0 [,) +oo ) ) $.
    tgoldbachgtda.k $e |- ( ph -> K : NN --> ( 0 [,) +oo ) ) $.
    tgoldbachgtda.1 $e |- ( ( ph /\ m e. NN ) ->
              ( K ` m ) <_ ( 1 . _ 0 _ 7 _ 9 _ 9 _ 5 5 ) ) $.
    tgoldbachgtda.2 $e |- ( ( ph /\ m e. NN ) ->
              ( H ` m ) <_ ( 1 . _ 4 _ 1 4 ) ) $.
    tgoldbachgtda.3 $e |- ( ph ->
        ( ( 0 . _ 0 _ 0 _ 0 _ 4 _ 2 _ 2 _ 4 8 ) x. ( N ^ 2 ) )
      <_ S. ( 0 (,) 1 ) ( ( ( ( ( Lam oF x. H ) vts N ) ` x )
          x. ( ( ( ( Lam oF x. K ) vts N ) ` x ) ^ 2 ) )
          x. ( exp ` ( ( _i x. ( 2 x. _pi ) ) x. ( -u N x. x ) ) ) ) _d x ) $.
    $( Lemma for ~ tgoldbachgtd .  (Contributed by Thierry Arnoux,
       15-Dec-2021.) $)
    tgoldbachgtde $p |- ( ph ->
      0 < sum_ n e. ( ( O i^i Prime ) ( repr ` 3 ) N )
       ( ( ( Lam ` ( n ` 0 ) ) x. ( H ` ( n ` 0 ) ) )
    x. ( ( ( Lam ` ( n ` 1 ) ) x. ( K ` ( n ` 1 ) ) )
      x. ( ( Lam ` ( n ` 2 ) ) x. ( K ` ( n ` 2 ) ) ) ) ) ) $=
      ( cc0 cn co c3 crepr cfv cv cvma cmul c1 csu cprime cin cdif cmin clt wbr
      c2 c4 c8 cdp2 cdp cexp cfn wcel tgoldbachgnn nnnn0d cn0 a1i ssidd reprfi2
      3nn0 diffi syl cr difssd sselda wa wf vmaf cfzo cz nn0zd adantr simpr ctp
      reprf c0ex fzo0to3tp eleqtrri ffvelrnd cpnf cico wss rge0ssre fss sylancl
      tpid1 remulcld 1ex tpid2 2ex tpid3 syldan fsumrecl 0nn0 qssre 4nn0 nn0ssq
      cq 2nn0 8nn0 sselii dp2clq dpcl mp2an nnred resqcld clog csqrt cdiv nnrpd
      c7 7nn0 relogcld nn0ge0d sqrtgt0d gt0ne0d redivcld hgt750leme 2z rpexpcld
      resqrtcld cdc cle hgt750lem syl2anc ltmul1dd lelttrd cioo cvts recnd wceq
      cof ci cpi cneg citg circlemethhgt breqtrrd ltletrd posdifd mpbid prmssnn
      ce inss2 sstri reprss ssfid cc fsumcl c0 cun undif sylib eqcomd fsumsplit
      disjdif mvrraddd breqtrd ) ARSHUAUBUCZTZREUDZUCZUEUCZUVKFUCZUFTZUGUVJUCZU
      EUCZUVOGUCZUFTZUOUVJUCZUEUCZUVSGUCZUFTZUFTZUFTZEUHZUVIIUIUJZHUVHTZUKZUWDE
      UHZULTZUWGUWDEUHZUMAUWIUWEUMUNRUWJUMUNAUWIRRRRUPUOUOUPUQURZURZURZURZURZUR
      ZURZUSTZHUOUTTZUFTZUWEAUWHUWDEAUVIVAVBUWHVAVBASUAHAHACHIJKLVCZVDZUAVEVBZA
      VIVFZASVGZVHZUVIUWGVJVKAUVJUWHVBUVJUVIVBZUWDVLVBAUWHUVIUVJAUVIUWGVMVNAUXH
      VOZUVNUWCUXIUVLUVMUXISVLUVKUESVLUEVPUXIVQVFZUXIRUAVRTZSRUVJUXISUVJUAHUXIS
      VGAHVSVBUXHAHUXCVTZWAUXDUXIVIVFAUXHWBWDZRUXKVBUXIRRUGUOWCZUXKRUGUOWEWOWFW
      GVFWHZWHUXISVLUVKFASVLFVPZUXHASRWIWJTZFVPUXQVLWKZUXPMWLSUXQVLFWMWNZWAUXOW
      HWPUXIUVRUWBUXIUVPUVQUXISVLUVOUEUXJUXIUXKSUGUVJUXMUGUXKVBUXIUGUXNUXKRUGUO
      WQWRWFWGVFWHZWHUXISVLUVOGASVLGVPZUXHASUXQGVPUXRUYANWLSUXQVLGWMWNZWAZUXTWH
      WPUXIUVTUWAUXISVLUVSUEUXJUXIUXKSUOUVJUXMUOUXKVBUXIUOUXNUXKRUGUOWSWTWFWGVF
      WHZWHUXISVLUVSGUYCUYDWHWPWPWPZXAXBZAUWSUWTUWSVLVBZARVEVBUWRVLVBUYGXCXGVLU
      WRXDRUWQXCRUWPXCRUWOXCUPUWNXEUOUWMXHUOUWLXHUPUQXEVEXGUQXFXIXJXKZXKXKXKXKX
      KXKXJRUWRXLXMVFZAHAHUXBXNZXOZWPZAUVIUWDEUXGUYEXBZAUWIXTUAUWLURZUSTZHXPUCZ
      HXQUCZXRTZUFTZUWTUFTUXAUYFAUYSUWTAUYOUYRUYOVLVBZAXTVEVBUYNVLVBUYTYAXGVLUY
      NXDUAUWLVIUYHXKXJXTUYNXLXMVFAUYPUYQAHAHUXBXSZYBAHUYJAHUXCYCYJAUYQAHVUAYDY
      EYFWPZUYKWPUYLACDEFGHIJUXBLMNOPYGAUYSUWSUWTVUBUYIAHUOVUAUOVSVBAYHVFYIAHVE
      VBUGRYKUOXTYKUTTHYLUNUYSUWSUMUNUXCLHYMYNYOYPAUXABRUGYQTBUDZUEFUFUUAZTHYRT
      UCVUCUEGVUDTHYRTUCUOUTTUFTUUBUOUUCUFTUFTHUUDVUCUFTUFTUULUCUFTUUEUWEYLQABE
      FGHUXSUYBUXCUUFUUGUUHAUWIUWEUYFUYMUUIUUJAUWEUWKUWIAUWGUWDEAUVIUWGUXGASUWF
      UAHUXFUXLUXEUWFSWKAUWFUISIUIUUMUUKUUNVFUUOZUUPAUVJUWGVBUXHUWDUUQVBAUWGUVI
      UVJVUEVNUXIUWDUYEYSZXAUURAUWIUYFYSAUWGUWHUWDUVIEUWGUWHUJUUSYTAUWGUVIUVEVF
      AUWGUWHUUTZUVIAUWGUVIWKVUGUVIYTVUEUWGUVIUVAUVBUVCUXGVUFUVDUVFUVG $.

    $( Lemma for ~ tgoldbachgtd .  (Contributed by Thierry Arnoux,
       15-Dec-2021.) $)
    tgoldbachgtda $p |- ( ph
      -> 0 < ( # ` ( ( O i^i Prime ) ( repr ` 3 ) N ) ) ) $=
      ( vn cfv co cc0 cprime cin c3 crepr chash cn wcel clt wbr c0 tgoldbachgnn
      cfn wne nnnn0d cn0 3nn0 a1i inss2 prmssnn sstri reprfi2 wceq cv cvma cmul
      wss c1 c2 tgoldbachgtde gt0ne0d neneqd wa simpr sumeq1d sum0 eqtrdi mtand
      csu neqned hashnncl biimpar syl2anc nngt0 syl ) AHUAUBZGUCUDRSZUERZUFUGZT
      WGUHUIAWFULUGZWFUJUMZWHAWEUCGAGACGHIJKUKUNUCUOUGAUPUQWEUFVFAWEUAUFHUAURUS
      UTUQVAAWFUJAWFUJVBZWFTQVCZRZVDRWMERVESVGWLRZVDRWNFRVESVHWLRZVDRWOFRVESVES
      VESZQVRZTVBAWQTAWQABCDQEFGHIJKLMNOPVIVJVKAWKVLZWQUJWPQVRTWRWFUJWPQAWKVMVN
      WPQVOVPVQVSWIWHWJWFVTWAWBWGWCWD $.
  $}

  ${
    $d N h k m n x y z $.  $d O h k m n z $.  $d h k m n x y ph $.
    tgoldbachgtd.o $e |- O = { z e. ZZ | -. 2 || z } $.
    tgoldbachgtd.n $e |- ( ph -> N e. O ) $.
    tgoldbachgtd.1 $e |- ( ph -> ( ; 1 0 ^ ; 2 7 ) <_ N ) $.
    $( Odd integers greater than ` ( ; 1 0 ^ ; 2 7 ) ` have at least a
       representation as a sum of three odd primes.  Final statement in section
       7.4 of [Helfgott] p. 70.  (Contributed by Thierry Arnoux,
       15-Dec-2021.) $)
    tgoldbachgtd $p |- ( ph -> 0 < ( # ` ( ( O i^i Prime ) ( repr ` 3 ) N ) ) )
      $=
      ( vm vn cv cfv c1 cc0 cdp2 co cle wbr cn c2 cmul vk vh vx vy c7 c9 c5 cdp
      wral c4 c8 cexp cioo cvma cof cvts ci cpi cneg ce w3a cprime cin c3 crepr
      citg chash clt cpnf cico cmap wcel ad3antrrr cdc elmapi ad3antlr ad2antlr
      wa simpr1 wceq fveq2 breq1d cbvralvw sylib r19.21bi simpr2 simpr3 oveq12d
      wf oveq1d oveq2d fveq2d cbvitgv breqtrdi tgoldbachgtda hgt749d r19.29vva
      oveq2 ) AHJZUAJZKZLMUEUFUFUGUGNNNNNUHOZPQZHRUIZWSUBJZKZLUJLUJNNUHOZPQZHRU
      IZMMMMUJSSUJUKNNNNNNNUHOCSULOTOZUCMLUMOZUCJZUNXETUOZOCUPOZKZXLUNWTXMOCUPO
      ZKZSULOZTOZUQSURTOTOZCUSZXLTOZTOZUTKZTOZVFZPQZVAZMDVBVCCVDVEKOVGKVHQUBUAM
      VIVJOZRVKOZYJAXEYJVLZVRZWTYJVLZVRZYHVRZUDBIXEWTCDEACDVLYKYMYHFVMALMVNSUEV
      NULOCPQYKYMYHGVMYKRYIXEWIAYMYHXEYIRVOVPYMRYIWTWIYLYHWTYIRVOVQYOIJZWTKZXBP
      QZIRYOXDYRIRUIYNXDXIYGVSXCYRHIRWSYPVTZXAYQXBPWSYPWTWAWBWCWDWEYOYPXEKZXGPQ
      ZIRYOXIUUAIRUIYNXDXIYGWFXHUUAHIRYSXFYTXGPWSYPXEWAWBWCWDWEYOXJYFUDXKUDJZXN
      KZUUBXPKZSULOZTOZXTYAUUBTOZTOZUTKZTOZVFPYNXDXIYGWGUCUDXKYEUUJXLUUBVTZXSUU
      FYDUUITUUKXOUUCXRUUETXLUUBXNWAUUKXQUUDSULXLUUBXPWAWJWHUUKYCUUHUTUUKYBUUGX
      TTXLUUBYATWRWKWLWHWMWNWOAUCBUBUAHCDEFGWPWQ $.
  $}

  ${
    $d G m $.  $d O c i m p q r z $.  $d c i m n p q r z $.
    tgoldbachgt.o $e |- O = { z e. ZZ | -. 2 || z } $.
    tgoldbachgt.g $e |- G = { z e. O | E. p e. Prime E. q e. Prime
                           E. r e. Prime ( ( p e. O /\ q e. O /\ r e. O )
                                           /\ z = ( ( p + q ) + r ) ) } $.
    $( Odd integers greater than ` ( ; 1 0 ^ ; 2 7 ) ` have at least a
       representation as a sum of three odd primes.  Final statement in section
       7.4 of [Helfgott] p. 70 , expressed using the set ` G ` of odd numbers
       which can be written as a sum of three odd primes.  (Contributed by
       Thierry Arnoux, 22-Dec-2021.) $)
    tgoldbachgt $p |- E. m e. NN ( m <_ ( ; 1 0 ^ ; 2 7 )
                          /\ A. n e. O ( m < n -> n e. G ) ) $=
      ( vc c1 cc0 c2 wcel wa caddc wceq cprime a1i vi cdc c7 cexp co cn cle wbr
      cv clt wral wrex cn0 10nn 2nn0 7nn0 deccl nnexpcl mp2an nnrei leidi simpl
      wi w3a wtru cin c3 crepr cfv cfzo wss inss2 prmssnn sstri cz cdvds eleq2i
      crab elrabi sylbi ad2antrr 3nn0 simpr reprf c0ex tpid1 fzo0to3tp eleqtrri
      wn ctp ffvelrnd elin2d 1ex tpid2 2ex tpid3 elin1d csu sumeq1d reprsum cvv
      3jca fveq2 cc sselid nncnd wne 0ne1 0ne2 1ne2 sumtp 3eqtr3d eleq1 3anbi1d
      oveq1 oveq1d eqeq2d anbi12d 3anbi2d oveq2 3anbi3d rspc3ev syl31anc adantr
      jca wex c0 chash nnred cr zred ltled tgoldbachgtd wb ovex hashneq0 sylibr
      sylib rexbidv breq1 ax-mp neneqd neq0 jctil 19.42v exancom df-rex r19.29a
      tru eqeq1 anbi2d elrab3 syl5bb biimpar syl2anc rgen pm3.2i imbi1d ralbidv
      ex rspcev ) LMUBZNUCUBZUDUEZUFOZUVDUVDUGUHZUVDCUIZUJUHZUVGDOZVCZCEUKZPZBU
      IZUVDUGUHZUVMUVGUJUHZUVIVCZCEUKZPZBUFULUVBUFOUVCUMOUVEUNNUCUOUPUQUVBUVCUR
      USZUVFUVKUVDUVDUVSUTVAUVJCEUVGEOZUVHUVIUVTUVHPZUVTHUIZEOZGUIZEOZFUIZEOZVD
      ZUVGUWBUWDQUEZUWFQUEZRZPZFSULZGSULZHSULZUVIUVTUVHVBZUWAVEUWOKESVFZUVGVGVH
      VIZUEZUWAKUIZUWSOZPZUWOVEUXBMUWTVIZSOLUWTVIZSONUWTVIZSOUXCEOZUXDEOZUXEEOZ
      VDZUVGUXCUXDQUEZUXEQUEZRZPZUWOUXBESUXCUXBMVGVJUEZUWQMUWTUXBUWQUWTVGUVGUWQ
      UFVKUXBUWQSUFESVLVMVNZTZUVTUVGVOOZUVHUXAUVTUVGNAUIZVPUHWIZAVOVRZOUXQEUXTU
      VGIVQUXSAUVGVOVSVTZWAZVGUMOUXBWBTZUWAUXAWCZWDZMUXNOUXBMMLNWJZUXNMLNWEWFWG
      WHTWKZWLUXBESUXDUXBUXNUWQLUWTUYELUXNOUXBLUYFUXNMLNWMWNWGWHTWKZWLUXBESUXEU
      XBUXNUWQNUWTUYENUXNOUXBNUYFUXNMLNWOWPWGWHTWKZWLUXBUXIUXLUXBUXFUXGUXHUXBES
      UXCUYGWQUXBESUXDUYHWQUXBESUXEUYIWQXBUXBUXNUAUIZUWTVIZUAWRUYFUYKUAWRUVGUXK
      UXBUXNUYFUYKUAUXNUYFRUXBWGTWSUXBUWQUWTVGUVGUAUXPUYBUYCUYDWTUXBMLNUYKUAUXC
      UXDUXEXAXAXAUYJMUWTXCUYJLUWTXCUYJNUWTXCUXBUXCXDOUXDXDOUXEXDOUXBUXCUXBUWQU
      FUXCUXOUYGXEXFUXBUXDUXBUWQUFUXDUXOUYHXEXFUXBUXEUXBUWQUFUXEUXOUYIXEXFXBUXB
      MXAOZLXAOZNXAOZUYLUXBWETUYMUXBWMTUYNUXBWOTXBMLXGUXBXHTMNXGUXBXITLNXGUXBXJ
      TXKXLYEUWLUXMUXFUWEUWGVDZUVGUXCUWDQUEZUWFQUEZRZPUXFUXGUWGVDZUVGUXJUWFQUEZ
      RZPHGFUXCUXDUXESSSUWBUXCRZUWHUYOUWKUYRVUBUWCUXFUWEUWGUWBUXCEXMXNVUBUWJUYQ
      UVGVUBUWIUYPUWFQUWBUXCUWDQXOXPXQXRUWDUXDRZUYOUYSUYRVUAVUCUWEUXGUXFUWGUWDU
      XDEXMXSVUCUYQUYTUVGVUCUYPUXJUWFQUWDUXDUXCQXTXPXQXRUWFUXERZUYSUXIVUAUXLVUD
      UWGUXHUXFUXGUWFUXEEXMYAVUDUYTUXKUVGUWFUXEUXJQXTXQXRYBYCYDUWAUXAVEPKYFZVEK
      UWSULUWAVEUXAPKYFZVUEUWAVEUXAKYFZPVUFUWAVUGVEUWAUWSYGRWIVUGUWAUWSYGUWAMUW
      SYHVIUJUHZUWSYGXGZUWAAUVGEIUWPUWAUVDUVGUWAUVDUVEUWAUVSTYIUVTUVGYJOUVHUVTU
      VGUYAYKYDUVTUVHWCYLYMUWSXAOVUHVUIYNUWQUVGUWRYOUWSXAYPUUAYRUUBKUWSUUCYRUUI
      UUDVEUXAKUUEYQVEUXAKUUFYRVEKUWSUUGYQUUHUVTUVIUWOUVIUVGUWHUXRUWJRZPZFSULZG
      SULZHSULZAEVRZOUVTUWODVUOUVGJVQVUNUWOAUVGEUXRUVGRZVUMUWNHSVUPVULUWMGSVUPV
      UKUWLFSVUPVUJUWKUWHUXRUVGUWJUUJUUKYSYSYSUULUUMUUNUUOUUTUUPUUQUVRUVLBUVDUF
      UVMUVDRZUVNUVFUVQUVKUVMUVDUVDUGYTVUQUVPUVJCEVUQUVOUVHUVIUVMUVDUVGUJYTUURU
      USXRUVAUS $.
  $}


$( Begin $[ set-mbox-ta-geom.mm $] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Elementary Geometry
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Two-dimensional geometry
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  This definition has been superseded by ` TarskiGDim>= ` and is no longer
  needed in the main part of set.mm. It is only kept here for reference.

$)

  $c TarskiG2D $.
  $( Extends class notation with the class of geometries fulfilling the
     planarity axioms. $)
  cstrkg2d $a class TarskiG2D $.

  ${
    $d d f i p u v x y z $.
    $( Define the class of geometries fulfilling the lower dimension axiom,
       Axiom A8 of [Schwabhauser] p. 12, and the upper dimension axiom, Axiom
       A9 of [Schwabhauser] p. 13, for dimension 2.  (Contributed by Thierry
       Arnoux, 14-Mar-2019.)  (New usage is discouraged.) $)
    df-trkg2d $a |- TarskiG2D = { f | [. ( Base ` f ) / p ].
          [. ( dist ` f ) / d ]. [. ( Itv ` f ) / i ].
          ( E. x e. p E. y e. p E. z e. p
            -. ( z e. ( x i y ) \/ x e. ( z i y ) \/ y e. ( x i z ) )
         /\ A. x e. p A. y e. p A. z e. p A. u e. p A. v e. p ( (
    ( ( x d u ) = ( x d v ) /\ ( y d u ) = ( y d v ) /\ ( z d u ) = ( z d v ) )
       /\ u =/= v ) -> ( z e. ( x i y ) \/ x e. ( z i y ) \/ y e. ( x i z ) ) )
      ) } $.
  $}

  ${
    $d .- d f i p u v x y z $.  $d G d f i p $.  $d I d f i p u v x y z $.
    $d P d f i p u v x y z $.
    istrkg2d.p $e |- P = ( Base ` G ) $.
    istrkg2d.d $e |- .- = ( dist ` G ) $.
    istrkg2d.i $e |- I = ( Itv ` G ) $.
    $( Property of fulfilling dimension 2 axiom.  (Contributed by Thierry
       Arnoux, 29-May-2019.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    istrkg2d $p |- ( G e. TarskiG2D <-> ( G e. _V /\
      ( E. x e. P E. y e. P E. z e. P
            -. ( z e. ( x I y ) \/ x e. ( z I y ) \/ y e. ( x I z ) )
         /\ A. x e. P A. y e. P A. z e. P A. u e. P A. v e. P ( ( ( ( x .- u )
         = ( x .- v ) /\ ( y .- u ) = ( y .- v ) /\ ( z .- u ) = ( z .- v ) )
       /\ u =/= v ) -> ( z e. ( x I y ) \/ x e. ( z I y ) \/ y e. ( x I z ) ) )
      ) ) ) $=
      ( cv co wcel wrex wceq wral oveqd raleqbidv vi vp vd vf w3o wn w3a wne wa
      citv cfv wsbc cds cbs cstrkg2d simp1 eqcomd simp3 eleq2d 3orbi123d notbid
      rexeqbidv simp2 eqeq12d 3anbi123d anbi1d imbi12d anbi12d df-trkg2d elab4g
      wi sbcie3s ) CMZAMZBMZUAMZNZOZVNVMVOVPNZOZVOVNVMVPNZOZUEZUFZCUBMZPZBWEPZA
      WEPZVNEMZUCMZNZVNDMZWJNZQZVOWIWJNZVOWLWJNZQZVMWIWJNZVMWLWJNZQZUGZWIWLUHZU
      IZWCVKZDWERZEWERZCWERZBWERZAWERZUIZUAUDMZUJUKULUCXKUMUKULUBXKUNUKULVMVNVO
      HNZOZVNVMVOHNZOZVOVNVMHNZOZUEZUFZCFPZBFPZAFPZVNWIINZVNWLINZQZVOWIINZVOWLI
      NZQZVMWIINZVMWLINZQZUGZXBUIZXRVKZDFRZEFRZCFRZBFRZAFRZUIZUDGUOYTXJUDFIHUNU
      MUJGUBUCUAJKLWEFQZWJIQZVPHQZUGZYBWHYSXIUUDYAWGAFWEUUDWEFUUAUUBUUCUPUQZUUD
      XTWFBFWEUUEUUDXSWDCFWEUUEUUDXRWCUUDXMVRXOVTXQWBUUDXLVQVMUUDHVPVNVOUUDVPHU
      UAUUBUUCURUQZSUSUUDXNVSVNUUDHVPVMVOUUFSUSUUDXPWAVOUUDHVPVNVMUUFSUSUTZVAVB
      VBVBUUDYRXHAFWEUUEUUDYQXGBFWEUUEUUDYPXFCFWEUUEUUDYOXEEFWEUUEUUDYNXDDFWEUU
      EUUDYMXCXRWCUUDYLXAXBUUDYEWNYHWQYKWTUUDYCWKYDWMUUDIWJVNWIUUDWJIUUAUUBUUCV
      CUQZSUUDIWJVNWLUUHSVDUUDYFWOYGWPUUDIWJVOWIUUHSUUDIWJVOWLUUHSVDUUDYIWRYJWS
      UUDIWJVMWIUUHSUUDIWJVMWLUUHSVDVEVFUUGVGTTTTTVHVLABCDEUDUAUBUCVIVJ $.

    ${
      axtglowdim2ALTV.g $e |- ( ph -> G e. TarskiG2D ) $.
      $( Alternate version of ~ axtglowdim2 .  (Contributed by Thierry Arnoux,
         29-May-2019.)  (New usage is discouraged.) $)
      axtglowdim2ALTV $p |- ( ph -> E. x e. P E. y e. P E. z e. P
            -. ( z e. ( x I y ) \/ x e. ( z I y ) \/ y e. ( x I z ) ) ) $=
        ( vu vv cv co wcel wrex wceq wral w3o wn w3a wa cstrkg2d istrkg2d sylib
        wne wi cvv simprd simpld ) ADOZBOZCOZGPQUNUMUOGPQUOUNUMGPQUAZUBDERCERBE
        RZUNMOZHPUNNOZHPSUOURHPUOUSHPSUMURHPUMUSHPSUCURUSUHUDUPUINETMETDETCETBE
        TZAFUJQZUQUTUDZAFUEQVAVBUDLBCDNMEFGHIJKUFUGUKUL $.
    $}

    ${
      $d u v x y z .- $.  $d u v x y z I $.  $d u v x y z P $.  $d u v z Z $.
      $d u v x y z X $.  $d u v y z Y $.  $d u v x y z U $.  $d v x y z V $.
      axtgupdim2ALTV.x $e |- ( ph -> X e. P ) $.
      axtgupdim2ALTV.y $e |- ( ph -> Y e. P ) $.
      axtgupdim2ALTV.z $e |- ( ph -> Z e. P ) $.
      axtgupdim2ALTV.u $e |- ( ph -> U e. P ) $.
      axtgupdim2ALTV.v $e |- ( ph -> V e. P ) $.
      axtgupdim2ALTV.0 $e |- ( ph -> U =/= V ) $.
      axtgupdim2ALTV.1 $e |- ( ph -> ( X .- U ) = ( X .- V ) ) $.
      axtgupdim2ALTV.2 $e |- ( ph -> ( Y .- U ) = ( Y .- V ) ) $.
      axtgupdim2ALTV.3 $e |- ( ph -> ( Z .- U ) = ( Z .- V ) ) $.
      axtgupdim2ALTV.g $e |- ( ph -> G e. TarskiG2D ) $.
      $( Alternate version of ~ axtgupdim2 .  (Contributed by Thierry Arnoux,
         29-May-2019.)  (New usage is discouraged.) $)
      axtgupdim2ALTV $p |- ( ph ->
        ( Z e. ( X I Y ) \/ X e. ( Z I Y ) \/ Y e. ( X I Z ) ) ) $=
        ( vu vv vx vy vz co wceq w3a wne wcel w3o 3jca cv wa wi cvv wn cstrkg2d
        wral wrex istrkg2d sylib simprrd oveq1 eqeq12d 3anbi1d anbi1d 3orbi123d
        eleq2d eleq1 imbi12d 2ralbidv 3anbi2d 3anbi3d rspc3v syl3anc mpd eqeq1d
        oveq2 3anbi123d neeq1 anbi12d imbi1d eqeq2d neeq2 rspc2v syl2anc mp2and
        ) AHCFUIZHGFUIZUJZICFUIZIGFUIZUJZJCFUIZJGFUIZUJZUKZCGULZJHIEUIZUMZHJIEU
        IZUMZIHJEUIZUMZUNZAWNWQWTTUAUBUOSAHUDUPZFUIZHUEUPZFUIZUJZIXJFUIZIXLFUIZ
        UJZJXJFUIZJXLFUIZUJZUKZXJXLULZUQZXIURZUEBVBUDBVBZXAXBUQZXIURZAUFUPZXJFU
        IZYHXLFUIZUJZUGUPZXJFUIZYLXLFUIZUJZUHUPZXJFUIZYPXLFUIZUJZUKZYBUQZYPYHYL
        EUIZUMZYHYPYLEUIZUMZYLYHYPEUIZUMZUNZURZUEBVBUDBVBZUHBVBUGBVBUFBVBZYEADU
        SUMZUUHUTUHBVCUGBVCUFBVCZUUKADVAUMUULUUMUUKUQUQUCUFUGUHUEUDBDEFKLMVDVEV
        FAHBUMIBUMJBUMUUKYEURNOPUUJYEXNYOYSUKZYBUQZYPHYLEUIZUMZHUUDUMZYLHYPEUIZ
        UMZUNZURZUEBVBUDBVBXNXQYSUKZYBUQZYPXCUMZHYPIEUIZUMZIUUSUMZUNZURZUEBVBUD
        BVBUFUGUHHIJBBBYHHUJZUUIUVBUDUEBBUVKUUAUUOUUHUVAUVKYTUUNYBUVKYKXNYOYSUV
        KYIXKYJXMYHHXJFVGYHHXLFVGVHVIVJUVKUUCUUQUUEUURUUGUUTUVKUUBUUPYPYHHYLEVG
        VLYHHUUDVMUVKUUFUUSYLYHHYPEVGVLVKVNVOYLIUJZUVBUVJUDUEBBUVLUUOUVDUVAUVIU
        VLUUNUVCYBUVLYOXQXNYSUVLYMXOYNXPYLIXJFVGYLIXLFVGVHVPVJUVLUUQUVEUURUVGUU
        TUVHUVLUUPXCYPYLIHEWBVLUVLUUDUVFHYLIYPEWBVLYLIUUSVMVKVNVOYPJUJZUVJYDUDU
        EBBUVMUVDYCUVIXIUVMUVCYAYBUVMYSXTXNXQUVMYQXRYRXSYPJXJFVGYPJXLFVGVHVQVJU
        VMUVEXDUVGXFUVHXHYPJXCVMUVMUVFXEHYPJIEVGVLUVMUUSXGIYPJHEWBVLVKVNVOVRVSV
        TACBUMGBUMYEYGURQRYDYGWLXMUJZWOXPUJZWRXSUJZUKZCXLULZUQZXIURUDUECGBBXJCU
        JZYCUVSXIUVTYAUVQYBUVRUVTXNUVNXQUVOXTUVPUVTXKWLXMXJCHFWBWAUVTXOWOXPXJCI
        FWBWAUVTXRWRXSXJCJFWBWAWCXJCXLWDWEWFXLGUJZUVSYFXIUWAUVQXAUVRXBUWAUVNWNU
        VOWQUVPWTUWAXMWMWLXLGHFWBWGUWAXPWPWOXLGIFWBWGUWAXSWSWRXLGJFWBWGWCXLGCWH
        WEWFWIWJVTWK $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Morley's Miracle
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

$(
  @{
    morley.s @e |- S = ( Base ` G ) @.
    morley.l @e |- L = ( LineG ` G ) @.
    morley.e @e |- .~ = ( cgrA ` G ) @.
    morley.g @e |- ( ph -> G e. TarskiG ) @.
    morley.a @e |- ( ph -> A e. S ) @.
    morley.b @e |- ( ph -> B e. S ) @.
    morley.c @e |- ( ph -> C e. S ) @.
    morley.p @e |- ( ph -> P e. S ) @.
    morley.q @e |- ( ph -> Q e. S ) @.
    morley.r @e |- ( ph -> R e. S ) @.
    morley.0 @e |- ( ph -> -. ( C e. ( A L B ) \/ A = B ) ) @.
    morley.1 @e |- ( ph -> <" C A Q "> .~ <" Q A R "> ) @.
    morley.2 @e |- ( ph -> <" R A B "> .~ <" Q A R "> ) @.
    morley.3 @e |- ( ph -> <" A B R "> .~ <" R B P "> ) @.
    morley.4 @e |- ( ph -> <" P B C "> .~ <" R B P "> ) @.
    morley.5 @e |- ( ph -> <" B C P "> .~ <" P C Q "> ) @.
    morley.6 @e |- ( ph -> <" Q C A "> .~ <" P C Q "> ) @.
    @( Lemma for * morley .  (Contributed by Thierry Arnoux, 5-Oct-2020.) @)
    morleylemrneab @p |- ( ph -> -. R e. ( A L B ) ) @=
      ? @.

    @( Lemma for * morley .  (Contributed by Thierry Arnoux, 5-Oct-2020.) @)
    morleylemrnea @p |- ( ph -> R =/= A ) @=
      ( wceq co wcel wa simpr citv cfv eqid wo wn pm2.46 syl neqned tglinerflx1
      adantr eqeltrd morleylemrneab pm2.65da ) AHBAHBUIZHBCKUJZUKZAVGULHBVHAVGU
      MABVHUKVGAIBCJJUNUOZKLVJUPMOPQABCADVHUKZBCUIZUQURVLURUBVKVLUSUTVAVBVCVDAV
      IURVGABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHVEVCVFVA @.

    @( Lemma for * morley .  (Contributed by Thierry Arnoux, 5-Oct-2020.) @)
    morleylemrneb @p |- ( ph -> R =/= B ) @=
      ( wceq co wcel wa simpr citv cfv eqid wo wn pm2.46 syl neqned tglinerflx2
      adantr eqeltrd morleylemrneab pm2.65da ) AHCAHCUIZHBCKUJZUKZAVGULHCVHAVGU
      MACVHUKVGAIBCJJUNUOZKLVJUPMOPQABCADVHUKZBCUIZUQURVLURUBVKVLUSUTVAVBVCVDAV
      IURVGABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHVEVCVFVA @.

    @{
      morleylem2.i @e |- I = ( Itv ` G ) @.
      morleylem2.m @e |- M = ( ( ( lInvG ` G ) ` ( R L B ) ) ` P ) @.
      morleylem2.n @e |- N = ( ( ( lInvG ` G ) ` ( R L A ) ) ` Q ) @.
      @( @)
      morleylemmaib @p |- ( ph -> M e. ( A I B ) ) @=
        ? @.

      @( Lemma for * morley @)
      morleylemanen @p |- ( ph -> A =/= N ) @=
        ? @.

      @( The  @)
      morleylem2 @p |- ( ph -> <" B N R "> .~ <" A M R "> ) @=
        ? @.

      morleylem1.d @e |- .- = ( dist ` G ) @.
      @( Two of Morley's triangle sides are of same length.  (Contributed by
         Thierry Arnoux, 5-Oct-2020.) @)
      morleylem1 @p |- ( ph -> ( P .- R ) = ( Q .- R ) ) @=
        ( co wceq wa simpr oveq1d eqcomd wne cstrkg wcel adantr clmi cfv eqcomi
        a1i ncoltgdim2 eqid morleylemrnea tgelrnln lmicl eqeltrrd morleylemrneb
        wn wo morleylemrneab crn morleylemmaib chlg ccgra cs3 morleylem2 breqdi
        cgrane3 tgbtwnne btwnlng1 cgraswaplr tgbtwncom tglinethru eleq2d notbid
        ncolcom mpbird neneqd jca sylibr ncolrot1 ad2antrr morleylemanen necomd
        ioran wbr sacgr cgracom btwnhl1 cgrahl2 tgbtwnexch3 cgrane4 tgbtwnconn3
        mpjaodan isoas tgcgrcomlr pm2.61dane lmiiso tglinerflx1 lmicinv oveq12d
        eqtr3d 3eqtr4rd ) AOHNUQZMHNUQZFHNUQZEHNUQZAYDYEURMOAMOURZUSZYEYDYIMOHN
        AYHUTVAVBAMOVCZUSZHOHMIJKNPUPUMAJVDVEZYJSVFZAHIVEZYJUEVFZAOIVEZYJAFHBLU
        QZJVGVHZVHZVHZOIYTOURAOYTUOVIVJZAFYQIJKLYSNPUPUMSAIJKLBCDPQUMSTUAUBUFVK
        ZYSVLZQAIJKLHBPUMQSUETABCDEFGHIJLPQRSTUAUBUCUDUEUFUGUHUIUJUKULVMZVNZUDV
        OVPZVFZYOAMIVEZYJAEHCLUQZYRVHZVHZMIUUKMURAMUUKUNVIVJZAEUUIIJKLUUJNPUPUM
        SUUBUUJVLZQAIJKLHCPUMQSUEUAABCDEFGHIJLPQRSTUAUBUCUDUEUFUGUHUIUJUKULVQZV
        NZUCVOVPZVFZYKHOMIJKLNPUPUMQYMYOUUGUUQYKIJKLOHMPQUMYMUUGYOUUQYKIJKLMOHP
        QUMYMUUQUUGYOYKHMOLUQZVEZVRZYHVRZUSUUSYHVSVRYKUUTUVAYKUUTHBCLUQZVEZVRZA
        UVDYJABCDEFGHIJLPQRSTUAUBUCUDUEUFUGUHUIUJUKULVTVFYKUUSUVCYKUURUVBHYKUVB
        UURYKUVBIMOJKLPUMQYMUUQUUGAYJUTZUVEAUVBLWAVEYJAIJKLBCPUMQSTUAABMCIJKNPU
        PUMSTUUPUAABCDEFGHIJKLMOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOWBZACOHBIMHJ
        KJWCVHZPUMUVGVLZSUAUUFUETUUPUEAGJWDVHZCOHWEBMHWEGUVIURARVJZABCDEFGHIJKL
        MOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOWFWGZWHZWIZVNVFAMUVBVEYJAIJKLBCMPU
        MQSTUAUUPUVMUVFWJVFAOUVBVEYJAIJKLBCOPUMQSTUAUUFUVMACOBIJKNPUPUMSUAUUFTA
        CBDFEUVIHIJKLOMPQUVIVLZSUATUBUDUCUEAIJKLBCDPQUMSTUAUBUFWPZAECDHICEJKNPU
        MUPSUCUAUBUEUAUCAGUVIECDWEHCEWEZUVJUJWGWKZABCHHICEJKNPUMUPSTUAUEUEUAUCA
        GUVIBCHWEUVPUVJUIWGWKZAHBCFIBHJKNPUMUPSUETUAUDTUEAGUVIHBCWEFBHWEZUVJUHW
        GWKZADBFFIBHJKNPUMUPSUBTUDUDTUEAGUVIDBFWEUVSUVJUGWGWKZAFDBEIDFJKNPUMUPS
        UDUBTUCUBUDAGUVIFDBWEEDFWEZUVJULWGWKZACDEEIDFJKNPUMUPSUAUBUCUCUBUDAGUVI
        CDEWEUWBUVJUKWGWKZUMUOUNWBZWLZWJVFWMVBWNWOWQYKMOUVEWRWSUUSYHXEWTXAWPYKM
        BOKUQVEZHOMWEHMOWEUVIXFOBMKUQVEZYKUWGUSZHOMHIMCJKUVGOPUMUVHYKYLUWGYMVFZ
        YKYNUWGYOVFZYKYPUWGUUGVFZYKUUHUWGUUQVFZUWKUWMACIVEZYJUWGUAXBZUWIHMCHIOM
        JKUVGPUMUWJUVHUWKUWMUWOUWKUWLUWMUWIHMCHIOBJKUVGMPUMUVHUWJUWKUWMUWOUWKUW
        LABIVEZYJUWGTXBZAHMCWEHOBWEUVIXFYJUWGAHOBHIMCJKUVGPUMSUVHUEUUFTUEUUPUAA
        BOHCIMHJKNPUMUPSTUUFUEUAUUPUEACOHBIMHJKNBCPUMUPSUAUUFUETUUPUETUAUVKUWEU
        VFABOABCDEFGHIJKLMOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOXCXDZACMACBDFEUVI
        HIJKLOMPQUVNSUATUBUDUCUEUVOUVQUVRUVTUWAUWCUWDUMUOUNXCXDZXGWKXHXBUWMUWIO
        BMHIJKUVGPUMUVHUWLUWQUWMUWJUWKUWIBMOIJKNPUPUMUWJUWQUWMUWLYKUWGUTZWLAOBV
        CYJUWGUWRXBYKYJUWGUVEVFZXIXJXHUWLUWIMCOHIJKUVGPUMUVHUWMUWOUWLUWJUWKUWIB
        MOCIJKNPUPUMUWJUWQUWMUWLUWOUWTAOBCKUQZVEYJUWGUWFXBXKAMCVCYJUWGUWSXBUWIM
        OUXAXDXIXJYKUWHUSZHOMHIMBJKUVGOPUMUVHYKYLUWHYMVFZYKYNUWHYOVFZYKYPUWHUUG
        VFZYKUUHUWHUUQVFZUXEUXGAUWPYJUWHTXBZUXCHMBHIOMJKUVGPUMUXDUVHUXEUXGUXHUX
        EUXFUXGUXCHMBHIOCJKUVGMPUMUVHUXDUXEUXGUXHUXEUXFAUWNYJUWHUAXBZAHMBWEHOCW
        EUVIXFYJUWHABMHCIOHJKNPUMUPSTUUPUEUAUUFUEACOHBIMHJKUVGPUMSUVHUAUUFUETUU
        PUEUVKXHWKXBZUXGUXCOCMHIJKUVGPUMUVHUXFUXIUXGUXDUXEUXCBOMCIJKNPUPUMUXDUX
        HUXFUXGUXIYKUWHUTZAMUXBVEYJUWHUVFXBXKUXCHMBHIOCJKUVGPUMUVHUXDUXEUXGUXHU
        XEUXFUXIUXJXLYKYJUWHUVEVFZXIXJXHUXFUXCMBOHIJKUVGPUMUVHUXGUXHUXFUXDUXEUX
        CBOMIJKNPUPUMUXDUXHUXFUXGUXKWLAMBVCYJUWHUVLXBUXCMOUXLXDXIXJAUWGUWHVSYJA
        BMOCIJKPUMSTUUPUUFUAUVFUWFXMVFXNXOXPXQAYTHYSVHZNUQYFYDAFHYQIJKLYSNPUPUM
        SUUBUUCQUUEUDUEXRAYTOUXMHNUUAAHYQIJKLYSNPUPUMSUUBUUCQUUEUEAIHBJKLPUMQSU
        ETUUDXSXTYAYBAUUKHUUJVHZNUQYGYEAEHUUIIJKLUUJNPUPUMSUUBUUMQUUOUCUEXRAUUK
        MUXNHNUULAHUUIIJKLUUJNPUPUMSUUBUUMQUUOUEAIHCJKLPUMQSUEUAUUNXSXTYAYBYC
        @.
    @}

    @( Morley's theorem: The three points of intersection of the adjacent
       trisectors of the angles of any triangle form an equilateral triangle.

       Let ABC be any triangle, and PQR the points such that QR trisects BC
       when seen from A, and similarly for other sides.  Then, the triangle
       PQR is equilateral.

       This surprising results has become known as has as Morley's Miracle in
       mathematical folklore. @)
    morley @p |- ( ph -> <" P Q R "> e. ( eqltrG ` G ) ) @=
      ( citv cfv clng eqid co clmi ncolrot2 morleylem1 tgcgrcoml eqcomd iseqlgd
      cds eqtrd ) AEFHIJJUIUJZJUKUJZJUTUJZLVDULZVBULZVCULOSTUAAFHVDUMZEFVDUMZAH
      FEFIJVBVDLVEVFOUATSTADBCHEGFIJVBKHFBKUMJUNUJZUJUJZVDEFDKUMVIUJUJZLMNORPQU
      ASTAIJVBKBCDLMVFOPQRUBUOUGUHUCUDUEUFVFVJULVKULVEUPUQZURAHEVDUMZVGAEHFHIJV
      BVDLVEVFOSUATUAABCDEFGHIJVBKEHCKUMVIUJUJZVDFHBKUMVIUJUJZLMNOPQRSTUAUBUCUD
      UEUFUGUHVFVNULVOULVEUPUQZURAVMVGVHVPVLVAUS @.
  @}
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Outer Five Segment (not used, no need to move to main)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c AFS $.

  $( Declare the syntax for the outer five segment configuration. $)
  cafs $a class AFS $.

  ${
    $d a b c d x y z w e f g h i p $.
    $( The outer five segment configuration is an abbreviation for the
       conditions of the Five Segment Axiom ( ~ axtg5seg ).  See ~ df-ofs .
       Definition 2.10 of [Schwabhauser] p. 28.  (Contributed by Scott Fenton,
       21-Sep-2013.)  (Revised by Thierry Arnoux, 15-Mar-2019.) $)
    df-afs $a |- AFS = ( g e. TarskiG |-> { <. e , f >. |
      [. ( Base ` g ) / p ]. [. ( dist ` g ) / h ]. [. ( Itv ` g ) / i ].
         E. a e. p E. b e. p E. c e. p E. d e. p E. x e. p E. y e. p
         E. z e. p E. w e. p (
         e = <. <. a , b >. , <. c , d >. >. /\
         f = <. <. x , y >. , <. z , w >. >. /\
         ( ( b e. ( a i c ) /\ y e. ( x i z ) ) /\
           ( ( a h b ) = ( x h y ) /\ ( b h c ) = ( y h z ) ) /\
           ( ( a h d ) = ( x h w ) /\ ( b h d ) = ( y h w ) ) ) ) } ) $.
  $}

  ${
    brafs.p $e |- P = ( Base ` G ) $.
    brafs.d $e |- .- = ( dist ` G ) $.
    brafs.i $e |- I = ( Itv ` G ) $.
    brafs.g $e |- ( ph -> G e. TarskiG ) $.

    ${
      $d e f g h i p G $.  $d a b c d g h i p w x y z I $.
      $d a b c d e f g h i p w x y z P $.  $d a b c d g h i p w x y z .- $.
      $d e f g ph $.
      $( Value of the AFS relation for a given geometry structure.
         (Contributed by Thierry Arnoux, 20-Mar-2019.) $)
      afsval $p |- ( ph -> ( AFS ` G ) = { <. e , f >. | E. a e. P E. b e. P
           E. c e. P E. d e. P E. x e. P E. y e. P E. z e. P E. w e. P (
           e = <. <. a , b >. , <. c , d >. >. /\
           f = <. <. x , y >. , <. z , w >. >. /\
           ( ( b e. ( a I c ) /\ y e. ( x I z ) ) /\
             ( ( a .- b ) = ( x .- y ) /\ ( b .- c ) = ( y .- z ) ) /\
             ( ( a .- d ) = ( x .- w ) /\ ( b .- d ) = ( y .- w ) ) ) ) } ) $=
        ( wa vg vi vh vp cv cop wceq wcel w3a wrex citv cfv wsbc cds cbs cstrkg
        co copab cafs cvv cmpt df-afs a1i wb simp1 eqcomd ad7antr simp3 ad8antr
        adantr oveqd anbi12d simp2 eqeq12d 3anbi123d 3anbi3d rexeqbidva sbcie3s
        eleq2d adantl opabbidv cxp df-xp fvexi xpex 3simpa reximi simpr opelxpi
        eqeltrri simp-7r simp-6r syl2anc eqeltrd simp-5r simp-4r simpllr simplr
        anim12dan rexlimdva2 rexlimdva rexlimivv syl ssopab2i ssexi fvmptd ) AU
        AIGUEZLUEZMUEZUFZNUEZOUEZUFZUFZUGZHUEZBUEZCUEZUFZDUEZEUEZUFZUFZUGZXIXHX
        KUBUEZUQZUHZXRXQXTYEUQZUHZTZXHXIUCUEZUQZXQXRYKUQZUGZXIXKYKUQZXRXTYKUQZU
        GZTZXHXLYKUQZXQYAYKUQZUGZXIXLYKUQZXRYAYKUQZUGZTZUIZUIZEUDUEZUJZDUUHUJZC
        UUHUJZBUUHUJZOUUHUJZNUUHUJZMUUHUJZLUUHUJZUBUAUEZUKULUMUCUUQUNULUMUDUUQU
        OULUMZGHURZXOYDXIXHXKJUQZUHZXRXQXTJUQZUHZTZXHXIKUQZXQXRKUQZUGZXIXKKUQZX
        RXTKUQZUGZTZXHXLKUQZXQYAKUQZUGZXIXLKUQZXRYAKUQZUGZTZUIZUIZEFUJZDFUJZCFU
        JZBFUJZOFUJZNFUJZMFUJZLFUJZGHURZUPUSUTUSUAUPUUSVAUGABCDEGHUAUCUBUDLMNOV
        BVCAUUQIUGZTUURUWHGHUWJUURUWHVDAUWHUUPUAFKJUOUNUKIUDUCUBPQRUUHFUGZYKKUG
        ZYEJUGZUIZUWGUUOLFUUHUWNUUHFUWKUWLUWMVEVFZUWNXHFUHZTZUWFUUNMFUUHUWNFUUH
        UGZUWPUWOVJZUWQXIFUHZTZUWEUUMNFUUHUWQUWRUWTUWSVJZUXAXKFUHZTZUWDUULOFUUH
        UXAUWRUXCUXBVJZUXDXLFUHZTZUWCUUKBFUUHUXDUWRUXFUXEVJZUXGXQFUHZTZUWBUUJCF
        UUHUXGUWRUXIUXHVJZUXJXRFUHZTZUWAUUIDFUUHUXJUWRUXLUXKVJUXMXTFUHZTZUVTUUG
        EFUUHUWNUWRUWPUWTUXCUXFUXIUXLUXNUWOVGUXOYAFUHZTZUVSUUFXOYDUXQUVDYJUVKYR
        UVRUUEUXQUVAYGUVCYIUXQUUTYFXIUXQJYEXHXKUXQYEJUWNUWMUWPUWTUXCUXFUXIUXLUX
        NUXPUWKUWLUWMVHVIVFZVKVSUXQUVBYHXRUXQJYEXQXTUXRVKVSVLUXQUVGYNUVJYQUXQUV
        EYLUVFYMUXQKYKXHXIUWNKYKUGUWPUWTUXCUXFUXIUXLUXNUXPUWNYKKUWKUWLUWMVMVFVI
        ZVKUXQKYKXQXRUXSVKVNUXQUVHYOUVIYPUXQKYKXIXKUXSVKUXQKYKXRXTUXSVKVNVLUXQU
        VNUUAUVQUUDUXQUVLYSUVMYTUXQKYKXHXLUXSVKUXQKYKXQYAUXSVKVNUXQUVOUUBUVPUUC
        UXQKYKXIXLUXSVKUXQKYKXRYAUXSVKVNVLVOVPVQVQVQVQVQVQVQVQVRVTWASUWIUTUHAUW
        IXGFFWBZUXTWBZUHZXPUYAUHZTZGHURZUYAUYAWBUYEUTGHUYAUYAWCUYAUYAUXTUXTFFFI
        UOPWDZUYFWEZUYGWEZUYHWEWJUWHUYDGHUWHXOYDTZEFUJZDFUJZCFUJZBFUJZOFUJZNFUJ
        ZMFUJZLFUJUYDUWGUYPLFUWFUYOMFUWEUYNNFUWDUYMOFUWCUYLBFUWBUYKCFUWAUYJDFUV
        TUYIEFXOYDUVSWFWGWGWGWGWGWGWGWGUYOUYDLMFFUWPUWTTZUYNUYDNFUYQUXCTZUYMUYD
        OFUYRUXFTZUYLUYDBFUYSUXITZUYKUYDCFUYTUXLTZUYJUYDDFVUAUXNTZUYIUYDEFVUBUX
        PTZXOUYBYDUYCVUCXOTZXGXNUYAVUCXOWHVUDXJUXTUHZXMUXTUHZXNUYAUHUYQVUEUXCUX
        FUXIUXLUXNUXPXOXHXIFFWIVGVUDUXCUXFVUFUYQUXCUXFUXIUXLUXNUXPXOWKUYRUXFUXI
        UXLUXNUXPXOWLXKXLFFWIWMXJXMUXTUXTWIWMWNVUCYDTZXPYCUYAVUCYDWHVUGXSUXTUHZ
        YBUXTUHZYCUYAUHVUGUXIUXLVUHUYSUXIUXLUXNUXPYDWOUYTUXLUXNUXPYDWPXQXRFFWIW
        MVUGUXNUXPVUIVUAUXNUXPYDWQVUBUXPYDWRXTYAFFWIWMXSYBUXTUXTWIWMWNWSWTXAXAX
        AXAXAXBXCXDXEVCXF $.
    $}

    ${
      $d a b c d e f w x y z .- $.  $d a b c d e f w x y z A $.
      $d a b c d e f w x y z B $.  $d a b c d e f w x y z C $.
      $d a b c d e f w x y z D $.  $d a b c d e f w x y z I $.
      $d a b c d e f w x y z P $.  $d a b c d e f w x y z W $.
      $d a b c d e f w x y z X $.  $d a b c d e f w x y z Y $.
      $d a b c d e f w x y z Z $.  $d e f G $.  $d e f ph $.
      brafs.o $e |- O = ( AFS ` G ) $.
      brafs.1 $e |- ( ph -> A e. P ) $.
      brafs.2 $e |- ( ph -> B e. P ) $.
      brafs.3 $e |- ( ph -> C e. P ) $.
      brafs.4 $e |- ( ph -> D e. P ) $.
      brafs.5 $e |- ( ph -> X e. P ) $.
      brafs.6 $e |- ( ph -> Y e. P ) $.
      brafs.7 $e |- ( ph -> Z e. P ) $.
      brafs.8 $e |- ( ph -> W e. P ) $.
      $( Binary relation form of the outer five segment predicate.
         (Contributed by Scott Fenton, 21-Sep-2013.) $)
      brafs $p |- ( ph -> ( <. <. A , B >. , <. C , D >. >. O
        <. <. X , Y >. , <. Z , W >. >. <-> ( ( B e. ( A I C ) /\
                       Y e. ( X I Z ) ) /\
          ( ( A .- B ) = ( X .- Y ) /\ ( B .- C ) = ( Y .- Z ) ) /\
          ( ( A .- D ) = ( X .- W ) /\ ( B .- D ) = ( Y .- W ) ) ) ) ) $=
        ( vb va vc vy vx vz vd vw vf ve cv co wcel wceq w3a oveq1 eleq2d anbi1d
        eqeq1d 3anbi123d eleq1 oveq2 anbi12d anbi2d 3anbi12d 3anbi3d eqeq2d cfv
        wa cafs cop wrex copab afsval syl5eq br8d ) AUHURZUIURZUJURZHUSZUTZUKUR
        ZULURZUMURZHUSZUTZVPZWEWDIUSZWJWIIUSZVAZWDWFIUSZWIWKIUSZVAZVPZWEUNURZIU
        SZWJUOURZIUSZVAZWDXBIUSZWIXDIUSZVAZVPZVBZWDBWFHUSZUTZWMVPZBWDIUSZWPVAZW
        TVPZBXBIUSZXEVAZXIVPZVBCXLUTZWMVPZBCIUSZWPVAZCWFIUSZWSVAZVPZXSCXBIUSZXH
        VAZVPZVBCBDHUSZUTZWMVPZYDCDIUSZWSVAZVPZYJVBYMYPBEIUSZXEVAZCEIUSZXHVAZVP
        ZVBYLWILWKHUSZUTZVPZYCLWIIUSZVAZYOVPZYQLXDIUSZVAZYTVPZVBYLMUUBUTZVPZYCL
        MIUSZVAZYNMWKIUSZVAZVPZUUIYSMXDIUSZVAZVPZVBYLMLNHUSZUTZVPZUUNYNMNIUSZVA
        ZVPZUUTVBUVCUVFYQLKIUSZVAZYSMKIUSZVAZVPZVBBCDEFJULUKUMUOLMNKUPUQUIUHUJU
        NWEBVAZWNXNXAXQXJXTUVLWHXMWMUVLWGXLWDWEBWFHVCVDVEUVLWQXPWTUVLWOXOWPWEBW
        DIVCVFVEUVLXFXSXIUVLXCXRXEWEBXBIVCVFVEVGWDCVAZXNYBXQYGXTYJUVMXMYAWMWDCX
        LVHVEUVMXPYDWTYFUVMXOYCWPWDCBIVIVFUVMWRYEWSWDCWFIVCVFVJUVMXIYIXSUVMXGYH
        XHWDCXBIVCVFVKVGWFDVAZYBYMYGYPYJUVNYAYLWMUVNXLYKCWFDBHVIVDVEUVNYFYOYDUV
        NYEYNWSWFDCIVIVFVKVLXBEVAZYJUUAYMYPUVOXSYRYIYTUVOXRYQXEXBEBIVIVFUVOYHYS
        XHXBECIVIVFVJVMWJLVAZYMUUDYPUUGUUAUUJUVPWMUUCYLUVPWLUUBWIWJLWKHVCVDVKUV
        PYDUUFYOUVPWPUUEYCWJLWIIVCVNVEUVPYRUUIYTUVPXEUUHYQWJLXDIVCVNVEVGWIMVAZU
        UDUULUUGUUQUUJUUTUVQUUCUUKYLWIMUUBVHVKUVQUUFUUNYOUUPUVQUUEUUMYCWIMLIVIV
        NUVQWSUUOYNWIMWKIVCVNVJUVQYTUUSUUIUVQXHUURYSWIMXDIVCVNVKVGWKNVAZUULUVCU
        UQUVFUUTUVRUUKUVBYLUVRUUBUVAMWKNLHVIVDVKUVRUUPUVEUUNUVRUUOUVDYNWKNMIVIV
        NVKVLXDKVAZUUTUVKUVCUVFUVSUUIUVHUUSUVJUVSUUHUVGYQXDKLIVIVNUVSUURUVIYSXD
        KMIVIVNVJVMAJGVQVOUQURWEWDVRWFXBVRVRVAUPURWJWIVRWKXDVRVRVAXKVBUOFVSUMFV
        SUKFVSULFVSUNFVSUJFVSUHFVSUIFVSUQUPVTSAULUKUMUOFUQUPGHIUIUHUJUNOPQRWAWB
        TUAUBUCUDUEUFUGWC $.
    $}
  $}

  ${
    tg5segofs.p $e |- P = ( Base ` G ) $.
    tg5segofs.m $e |- .- = ( dist ` G ) $.
    tg5segofs.s $e |- I = ( Itv ` G ) $.
    tg5segofs.g $e |- ( ph -> G e. TarskiG ) $.
    tg5segofs.a $e |- ( ph -> A e. P ) $.
    tg5segofs.b $e |- ( ph -> B e. P ) $.
    tg5segofs.c $e |- ( ph -> C e. P ) $.
    tg5segofs.d $e |- ( ph -> D e. P ) $.
    tg5segofs.e $e |- ( ph -> E e. P ) $.
    tg5segofs.f $e |- ( ph -> F e. P ) $.
    tg5segofs.o $e |- O = ( AFS ` G ) $.
    tg5segofs.h $e |- ( ph -> H e. P ) $.
    tg5segofs.i $e |- ( ph -> I e. P ) $.
    tg5segofs.1 $e |- ( ph -> <. <. A , B >. , <. C , D >. >. O
          <. <. E , F >. , <. H , I >. >. ) $.
    tg5segofs.2 $e |- ( ph -> A =/= B ) $.
    $( Rephrase ~ axtg5seg using the outer five segment predicate.  Theorem
       2.10 of [Schwabhauser] p. 28.  (Contributed by Thierry Arnoux,
       23-Mar-2019.) $)
    tg5segofs $p |- ( ph -> ( C .- D ) = ( H .- I ) ) $=
      ( co wcel wceq cop wbr w3a brafs mpbid simp1d simpld simprd simp2d simp3d
      wa axtg5seg ) AGHJFEIKLKBCDNOPQRSTUBUCUEUAUFUHACBDKUIUJZHGJKUIUJZAVDVEVBZ
      BCLUIGHLUIUKZCDLUIHJLUIUKZVBZBELUIGKLUIUKZCELUIHKLUIUKZVBZABCULDEULULGHUL
      JKULULMUMVFVIVLUNUGABCDEFIKLMKGHJNOPQUDRSTUAUBUCUEUFUOUPZUQZURAVDVEVNUSAV
      GVHAVFVIVLVMUTZURAVGVHVOUSAVJVKAVFVIVLVMVAZURAVJVKVPUSVC $.
  $}

$( End $[ set-mbox-ta-geom.mm $] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  LeftPad Project
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  See ~ https://github.com/tirix/lets-prove-leftpad .

$)

  $( Define the ` leftpad ` constant. $)
  $c leftpad $.

  $( Extend class notation with the ` leftpad ` function. $)
  clpad $a class leftpad $.

  ${
    $d c l w $.
    $( Define the ` leftpad ` function.  (Contributed by Thierry Arnoux,
       7-Aug-2023.) $)
    df-lpad $a |- leftpad = ( c e. _V , w e. _V |-> ( l e. NN0 |->
        ( ( ( 0 ..^ ( l - ( # ` w ) ) ) X. { c } ) ++ w ) ) ) $.
  $}

  ${
    $d C c l w $.  $d L l $.  $d W c l w $.  $d c l ph w $.
    lpadval.1 $e |- ( ph -> L e. NN0 ) $.
    lpadval.2 $e |- ( ph -> W e. Word S ) $.
    lpadval.3 $e |- ( ph -> C e. S ) $.
    $( Value of the ` leftpad ` function.  (Contributed by Thierry Arnoux,
       7-Aug-2023.) $)
    lpadval $p |- ( ph -> ( ( C leftpad W ) ` L ) = ( ( ( 0 ..^ ( L - ( # ` W )
       ) ) X. { C } ) ++ W ) ) $=
      ( vl vc vw cc0 cv cmin co cfzo cconcat cn0 cvv wceq cfv csn cxp cmpt cmpo
      chash clpad df-lpad a1i simprr fveq2d oveq2d simprl sneqd xpeq12d oveq12d
      mpteq2dv elexd cword nn0ex mptexd ovmpod simpr oveq1d xpeq1d ovexd fvmptd
      wa wcel ) AIDLIMZEUFUAZNOZPOZBUBZUCZEQOZLDVKNOZPOZVNUCZEQORBEUGOSAJKBESSI
      RLVJKMZUFUAZNOZPOZJMZUBZUCZVTQOZUDZIRVPUDUGSUGJKSSWHUETAKJIUHUIAWDBTZVTET
      ZVHVHZIRWGVPWKWFVOVTEQWKWCVMWEVNWKWBVLLPWKWAVKVJNWKVTEUFAWIWJUJZUKULULWKW
      DBAWIWJUMUNUOWLUPUQABCHURAECUSGURAIRVPSRSVIAUTUIVAVBAVJDTZVHZVOVSEQWNVMVR
      VNWNVLVQLPWNVJDVKNAWMVCVDULVEVDFAVSEQVFVG $.
  $}

  ${
    lpadlem1.1 $e |- ( ph -> C e. S ) $.
    $( Lemma for the ` leftpad ` theorems.  (Contributed by Thierry Arnoux,
       7-Aug-2023.) $)
    lpadlem1 $p |- ( ph -> ( ( 0 ..^ ( L - ( # ` W ) ) ) X. { C } ) e. Word S )
       $=
      ( wcel cc0 chash cfv cmin co cfzo csn cxp wf cword fconst6g iswrdi 3syl )
      ABCGHDEIJKLZMLZCUBBNOZPUCCQGFUBBCRCUAUCST $.
  $}

  ${
    lpadlen.1 $e |- ( ph -> L e. NN0 ) $.
    lpadlen.2 $e |- ( ph -> W e. Word S ) $.
    lpadlen.3 $e |- ( ph -> C e. S ) $.
    ${
      lpadlen1.1 $e |- ( ph -> L <_ ( # ` W ) ) $.
      $( Lemma for ~ lpadlen1 .  (Contributed by Thierry Arnoux,
         7-Aug-2023.) $)
      lpadlem3 $p |- ( ph -> ( ( 0 ..^ ( L - ( # ` W ) ) ) X. { C } ) = (/) )
        $=
        ( cc0 chash cfv cmin co cfzo cxp c0 cz wcel nn0zd csn cle wbr cword cn0
        wceq lencl syl wa fzo0n biimpa syl21anc xpeq1d 0xp eqtrdi ) AJDEKLZMNON
        ZBUAZPQURPQAUQQURAUPRSZDRSZDUPUBUCZUQQUFZAUPAECUDSUPUESGCEUGUHTADFTIUSU
        TUIVAVBUPDUJUKULUMURUNUO $.

      $( Length of a left-padded word, in the case the length of the given word
         ` W ` is at least the desired length.  (Contributed by Thierry Arnoux,
         7-Aug-2023.) $)
      lpadlen1 $p |- ( ph -> ( # ` ( ( C leftpad W ) ` L ) ) = ( # ` W ) ) $=
        ( clpad co cfv chash cc0 cmin cfzo csn cxp cconcat c0 oveq1d cword wcel
        lpadval lpadlem3 wceq ccatlid syl 3eqtrd fveq2d ) ADBEJKLZEMAUKNDEMLOKP
        KBQRZESKTESKZEABCDEFGHUDAULTESABCDEFGHIUEUAAECUBUCUMEUFGCEUGUHUIUJ $.
    $}

    ${
      lpadlen2.1 $e |- ( ph -> ( # ` W ) <_ L ) $.
      $( Lemma for the ` leftpad ` theorems.  (Contributed by Thierry Arnoux,
         7-Aug-2023.) $)
      lpadlem2 $p |- ( ph -> ( # ` ( ( 0 ..^ ( L - ( # ` W ) ) ) X. { C } ) )
          = ( L - ( # ` W ) ) ) $=
        ( cc0 chash cfv co cmul c1 wceq cfn wcel cn0 syl cmin cfzo csn cxp snfi
        fzofi hashxp mp2an a1i cle cword lencl nn0sub2 syl3anc hashfzo0 hashsng
        wbr oveq12d nn0cnd mulid1d 3eqtrd ) AJDEKLZUAMZUBMZBUCZUDKLZVDKLZVEKLZN
        MZVCONMVCVFVIPZAVDQRVEQRVJJVCUFBUEVDVEUGUHUIAVGVCVHONAVCSRZVGVCPAVBSRZD
        SRVBDUJUQVKAECUKRVLGCEULTFIVBDUMUNZVCUOTABCRVHOPHBCUPTURAVCAVCVMUSUTVA
        $.

      $( Length of a left-padded word, in the case the given word ` W ` is
         shorter than the desired length.  (Contributed by Thierry Arnoux,
         7-Aug-2023.) $)
      lpadlen2 $p |- ( ph -> ( # ` ( ( C leftpad W ) ` L ) ) = L ) $=
        ( clpad co cfv chash cc0 cmin cfzo csn caddc wcel nn0cnd cconcat fveq2d
        cxp lpadval cword wceq lpadlem1 ccatlen syl2anc lpadlem2 oveq1d cn0 syl
        lencl npcand 3eqtrd eqtrd ) ADBEJKLZMLNDEMLZOKZPKBQUCZEUAKZMLZDAURVBMAB
        CDEFGHUDUBAVCVAMLZUSRKZUTUSRKDAVACUEZSEVFSZVCVEUFABCDEHUGGCCVAEUHUIAVDU
        TUSRABCDEFGHIUJUKADUSADFTAUSAVGUSULSGCEUNUMTUOUPUQ $.
    $}

    $( Length of a left-padded word, in the general case, expressed with an
       ` if ` statement.  (Contributed by Thierry Arnoux, 7-Aug-2023.) $)
    lpadmax $p |- ( ph -> ( # ` ( ( C leftpad W ) ` L ) )
       = if ( L <_ ( # ` W ) , ( # ` W ) , L ) ) $=
      ( chash cfv cle wbr clpad wceq eqeq2 wa cn0 wcel adantr nn0red co cif syl
      cword simpr lpadlen1 wn lencl clt ltnled biimpar ltled lpadlen2 ifbothda
      cr ) DEIJZKLZDBEMUAJIJZUPNURDNURUQUPDUBZNAUPDUPUSURODUSUROAUQPBCDEADQRZUQ
      FSAECUDRZUQGSABCRZUQHSAUQUEUFAUQUGZPZBCDEAUTVCFSZAVAVCGSAVBVCHSVDUPDAUPUO
      RVCAUPAVAUPQRGCEUHUCTZSVDDVETAUPDUILVCAUPDVFADFTUJUKULUMUN $.

    ${
      lpadleft.1 $e |- ( ph -> N e. ( 0 ..^ ( L - ( # ` W ) ) ) ) $.
      $( The contents of prefix of a left-padded word is always the letter
         ` C ` .  (Contributed by Thierry Arnoux, 7-Aug-2023.) $)
      lpadleft $p |- ( ph -> ( ( ( C leftpad W ) ` L ) ` N ) = C ) $=
        ( clpad co cfv cc0 chash cfzo wcel wceq cn0 wbr csn cxp cconcat lpadval
        cmin fveq1d cword lpadlem1 cle lencl syl cn clt w3a elfzo0 sylib simp2d
        nnnn0d wa biimpar syl21anc lpadlem2 eleqtrrd ccatval1 syl3anc fvconst2g
        nn0sub oveq2d syl2anc 3eqtrd ) AEDBFKLMZMENDFOMZUELZPLZBUAUBZFUCLZMZEVO
        MZBAEVKVPABCDFGHIUDUFAVOCUGZQFVSQZENVOOMZPLZQVQVRRABCDFIUHHAEVNWBJAWAVM
        NPABCDFGHIAVLSQZDSQZVMSQZVLDUITZAVTWCHCFUJUKGAVMAESQZVMULQZEVMUMTZAEVNQ
        ZWGWHWIUNJEVMUOUPUQURWCWDUSWFWEVLDVGUTVAVBVHVCCCVOFEVDVEABCQWJVRBRIJVNB
        ECVFVIVJ $.
    $}

    ${
      lpadright.1 $e |- ( ph -> M = if ( L <_ ( # ` W ) , 0 , ( L - ( # ` W ) )
        ) ) $.
      lpadright.2 $e |- ( ph -> N e. ( 0 ..^ ( # ` W ) ) ) $.
      $( The suffix of a left-padded word the original word ` W ` .
         (Contributed by Thierry Arnoux, 7-Aug-2023.) $)
      lpadright $p |- ( ph
          -> ( ( ( C leftpad W ) ` L ) ` ( N + M ) ) = ( W ` N ) ) $=
        ( caddc co cfv cc0 chash wceq wcel adantr cmin cfzo csn cconcat lpadval
        clpad cxp fveq1d cle wbr cif eqeq2 wa c0 cn0 cword simpr lpadlem3 hash0
        fveq2d eqtrdi wn cr lencl syl nn0red clt ltnled ltled lpadlem2 ifbothda
        biimpar eqtr4d oveq2d lpadlem1 ccatval3 syl3anc 3eqtr2d ) AFEMNZDBGUFNO
        ZOVSPDGQOZUANZUBNBUCUGZGUDNZOFWCQOZMNZWDOZFGOZAVSVTWDABCDGHIJUEUHAWFVSW
        DAWEEFMAWEDWAUIUJZPWBUKZEWIWEPRWEWBRWEWJRAPWBPWJWEULWBWJWEULAWIUMZWEUNQ
        OPWKWCUNQWKBCDGADUOSZWIHTAGCUPZSZWIITABCSZWIJTAWIUQURUTUSVAAWIVBZUMZBCD
        GAWLWPHTAWNWPITAWOWPJTWQWADAWAVCSWPAWAAWNWAUOSICGVDVEVFZTADVCSWPADHVFZT
        AWADVGUJWPAWADWRWSVHVLVIVJVKKVMVNUTAWCWMSWNFPWAUBNSWGWHRABCDGJVOILCWCGF
        VPVQVR $.
    $}
  $}

$( (End of Thierry Arnoux's mathbox.) $)
$( End $[ set-mbox-ta.mm $] $)


$( Begin $[ set-mbox-jb.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Jonathan Ben-Naim
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  Note:  On 4-Sep-2016 and after, 745 unused theorems were deleted from this
  mathbox, and 359 theorems used only once or twice were merged into their
  referencing theorems.  The originals can be recovered from set.mm versions
  prior to this date.

$)

  $v ph' $.
  $v ps' $.
  $v ch' $.
  $v th' $.
  $v ta' $.
  $v et' $.
  $v ze' $.
  $v si' $.
  $v rh' $.

  $v ph" $.
  $v ps" $.
  $v ch" $.
  $v th" $.
  $v ta" $.
  $v et" $.
  $v ze" $.
  $v si" $.
  $v rh" $.

  $v ph0 $.
  $v ps0 $.
  $v ch0_ $. $( because ch0 is already used $)
  $v th0 $.
  $v ta0 $.
  $v et0 $.
  $v ze0 $.
  $v si0 $.
  $v rh0 $.

  $v ph1 $.
  $v ps1 $.
  $v ch1 $.
  $v th1 $.
  $v ta1 $.
  $v et1 $.
  $v ze1 $.
  $v si1 $.
  $v rh1 $.

  bnjwphm $f wff ph' $.
  bnjwpsm $f wff ps' $.
  bnjwchm $f wff ch' $.
  bnjwthm $f wff th' $.
  bnjwtam $f wff ta' $.
  bnjwetm $f wff et' $.
  bnjwzem $f wff ze' $.
  bnjwsim $f wff si' $.
  bnjwrhm $f wff rh' $.

  bnjwphn $f wff ph" $.
  bnjwpsn $f wff ps" $.
  bnjwchn $f wff ch" $.
  bnjwthn $f wff th" $.
  bnjwtan $f wff ta" $.
  bnjwetn $f wff et" $.
  bnjwzen $f wff ze" $.
  bnjwsin $f wff si" $.
  bnjwrhn $f wff rh" $.

  bnjwph0 $f wff ph0 $.
  bnjwps0 $f wff ps0 $.
  bnjwch0- $f wff ch0_ $.
  bnjwth0 $f wff th0 $.
  bnjwta0 $f wff ta0 $.
  bnjwet0 $f wff et0 $.
  bnjwze0 $f wff ze0 $.
  bnjwsi0 $f wff si0 $.
  bnjwrh0 $f wff rh0 $.

  bnjwph1 $f wff ph1 $.
  bnjwps1 $f wff ps1 $.
  bnjwch1 $f wff ch1 $.
  bnjwth1 $f wff th1 $.
  bnjwta1 $f wff ta1 $.
  bnjwet1 $f wff et1 $.
  bnjwze1 $f wff ze1 $.
  bnjwsi1 $f wff si1 $.
  bnjwrh1 $f wff rh1 $.

$( -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- $)

  $v a' $.
  $v b' $.
  $v c' $.
  $v d' $.
  $v e' $.
  $v f' $.
  $v g' $.
  $v h' $.
  $v i' $.
  $v j' $.
  $v k' $.
  $v l' $.
  $v m' $.
  $v n' $.
  $v o'_ $.
  $v p' $.
  $v q' $.
  $v r' $.
  $v s'_ $.
  $v t' $.
  $v u' $.
  $v v'_ $.
  $v w' $.
  $v x' $.
  $v y' $.
  $v z' $.

  $v a" $.
  $v b" $.
  $v c" $.
  $v d" $.
  $v e" $.
  $v f" $.
  $v g" $.
  $v h" $.
  $v i" $.
  $v j" $.
  $v k" $.
  $v l" $.
  $v m" $.
  $v n" $.
  $v o"_ $.
  $v p" $.
  $v q" $.
  $v r" $.
  $v s"_ $.
  $v t" $.
  $v u" $.
  $v v"_ $.
  $v w" $.
  $v x" $.
  $v y" $.
  $v z" $.

  $v a0_ $.
  $v b0_ $.
  $v c0_ $. $( because c0 is already used $)
  $v d0 $.
  $v e0 $.
  $v f0_ $. $( because f0 is already used $)
  $v g0 $.
  $v h0 $.
  $v i0 $.
  $v j0 $.
  $v k0 $.
  $v l0 $.
  $v m0 $.
  $v n0_ $. $( because n0 is already used $)
  $v o0_ $. $( because o0 is already used $)
  $v p0 $.
  $v q0 $.
  $v r0 $.
  $v s0 $.
  $v t0 $.
  $v u0 $.
  $v v0 $.
  $v w0 $.
  $v x0 $.
  $v y0 $.
  $v z0 $.

  $v a1_ $.
  $v b1_ $.
  $v c1_ $. $( because c1 is already used $)
  $v d1 $.
  $v e1 $.
  $v f1 $.
  $v g1 $.
  $v h1 $.
  $v i1 $.
  $v j1 $.
  $v k1 $.
  $v l1 $.
  $v m1 $.
  $v n1 $.
  $v o1_ $. $( because o1 is already used $)
  $v p1 $.
  $v q1 $.
  $v r1 $.
  $v s1 $.
  $v t1 $.
  $v u1 $.
  $v v1 $.
  $v w1 $.
  $v x1 $.
  $v y1 $.
  $v z1 $.

  bnjvam $f setvar a' $.
  bnjvbm $f setvar b' $.
  bnjvcm $f setvar c' $.
  bnjvdm $f setvar d' $.
  bnjvem $f setvar e' $.
  bnjvfm $f setvar f' $.
  bnjvgm $f setvar g' $.
  bnjvhm $f setvar h' $.
  bnjvim $f setvar i' $.
  bnjvjm $f setvar j' $.
  bnjvkm $f setvar k' $.
  bnjvlm $f setvar l' $.
  bnjvmm $f setvar m' $.
  bnjvnm $f setvar n' $.
  bnjvom- $f setvar o'_ $.
  bnjvpm $f setvar p' $.
  bnjvqm $f setvar q' $.
  bnjvrm $f setvar r' $.
  bnjvsm- $f setvar s'_ $.
  bnjvtm $f setvar t' $.
  bnjvum $f setvar u' $.
  bnjvvm- $f setvar v'_ $.
  bnjvwm $f setvar w' $.
  bnjvxm $f setvar x' $.
  bnjvym $f setvar y' $.
  bnjvzm $f setvar z' $.

  bnjvan $f setvar a" $.
  bnjvbn $f setvar b" $.
  bnjvcn $f setvar c" $.
  bnjvdn $f setvar d" $.
  bnjven $f setvar e" $.
  bnjvfn $f setvar f" $.
  bnjvgn $f setvar g" $.
  bnjvhn $f setvar h" $.
  bnjvin $f setvar i" $.
  bnjvjn $f setvar j" $.
  bnjvkn $f setvar k" $.
  bnjvln $f setvar l" $.
  bnjvmn $f setvar m" $.
  bnjvnn $f setvar n" $.
  bnjvon- $f setvar o"_ $.
  bnjvpn $f setvar p" $.
  bnjvqn $f setvar q" $.
  bnjvrn $f setvar r" $.
  bnjvsn- $f setvar s"_ $.
  bnjvtn $f setvar t" $.
  bnjvun $f setvar u" $.
  bnjvvn- $f setvar v"_ $.
  bnjvwn $f setvar w" $.
  bnjvxn $f setvar x" $.
  bnjvyn $f setvar y" $.
  bnjvzn $f setvar z" $.

  bnjva0- $f setvar a0_ $.
  bnjvb0- $f setvar b0_ $.
  bnjvc0- $f setvar c0_ $.
  bnjvd0 $f setvar d0 $.
  bnjve0 $f setvar e0 $.
  bnjvf0- $f setvar f0_ $.
  bnjvg0 $f setvar g0 $.
  bnjvh0 $f setvar h0 $.
  bnjvi0 $f setvar i0 $.
  bnjvj0 $f setvar j0 $.
  bnjvk0 $f setvar k0 $.
  bnjvl0 $f setvar l0 $.
  bnjvm0 $f setvar m0 $.
  bnjvn0- $f setvar n0_ $.
  bnjvo0- $f setvar o0_ $.
  bnjvp0 $f setvar p0 $.
  bnjvq0 $f setvar q0 $.
  bnjvr0 $f setvar r0 $.
  bnjvs0 $f setvar s0 $.
  bnjvt0 $f setvar t0 $.
  bnjvu0 $f setvar u0 $.
  bnjvv0 $f setvar v0 $.
  bnjvw0 $f setvar w0 $.
  bnjvx0 $f setvar x0 $.
  bnjvy0 $f setvar y0 $.
  bnjvz0 $f setvar z0 $.

  bnjva1- $f setvar a1_ $.
  bnjvb1- $f setvar b1_ $.
  bnjvc1- $f setvar c1_ $.
  bnjvd1 $f setvar d1 $.
  bnjve1 $f setvar e1 $.
  bnjvf1 $f setvar f1 $.
  bnjvg1 $f setvar g1 $.
  bnjvh1 $f setvar h1 $.
  bnjvi1 $f setvar i1 $.
  bnjvj1 $f setvar j1 $.
  bnjvk1 $f setvar k1 $.
  bnjvl1 $f setvar l1 $.
  bnjvm1 $f setvar m1 $.
  bnjvn1 $f setvar n1 $.
  bnjvo1- $f setvar o1_ $.
  bnjvp1 $f setvar p1 $.
  bnjvq1 $f setvar q1 $.
  bnjvr1 $f setvar r1 $.
  bnjvs1 $f setvar s1 $.
  bnjvt1 $f setvar t1 $.
  bnjvu1 $f setvar u1 $.
  bnjvv1 $f setvar v1 $.
  bnjvw1 $f setvar w1 $.
  bnjvx1 $f setvar x1 $.
  bnjvy1 $f setvar y1 $.
  bnjvz1 $f setvar z1 $.

$( -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- $)

  $v A' $.
  $v B' $.
  $v C' $.
  $v D' $.
  $v E' $.
  $v F' $.
  $v G' $.
  $v H' $.
  $v I' $.
  $v J' $.
  $v K' $.
  $v L' $.
  $v M' $.
  $v N' $.
  $v O' $.
  $v P' $.
  $v Q' $.
  $v R' $.
  $v S' $.
  $v T' $.
  $v U' $.
  $v V' $.
  $v W' $.
  $v X' $.
  $v Y' $.
  $v Z' $.

  $v A" $.
  $v B" $.
  $v C" $.
  $v D" $.
  $v E" $.
  $v F" $.
  $v G" $.
  $v H" $.
  $v I" $.
  $v J" $.
  $v K" $.
  $v L" $.
  $v M" $.
  $v N" $.
  $v O" $.
  $v P" $.
  $v Q" $.
  $v R" $.
  $v S" $.
  $v T" $.
  $v U" $.
  $v V" $.
  $v W" $.
  $v X" $.
  $v Y" $.
  $v Z" $.

  $v A0 $.
  $v B0 $.
  $v C0 $.
  $v D0 $.
  $v E0 $.
  $v F0 $.
  $v G0 $.
  $v H0 $.
  $v I0 $.
  $v J0 $.
  $v K0 $.
  $v L0 $.
  $v M0 $.
  $v N0 $.
  $v O0 $.
  $v P0 $.
  $v Q0 $.
  $v R0 $.
  $v S0 $.
  $v T0 $.
  $v U0 $.
  $v V0 $.
  $v W0 $.
  $v X0 $.
  $v Y0 $.
  $v Z0 $.

  $v A1_ $. $( because A1 is already used $)
  $v B1_ $. $( because B1 is already used $)
  $v C1_ $. $( because C1 is already used $)
  $v D1_ $. $( because D1 is already used $)
  $v E1 $.
  $v F1_ $. $( because F1 is already used $)
  $v G1_ $. $( because G1 is already used $)
  $v H1_ $. $( because H1 is already used $)
  $v I1_ $. $( because I1 is already used $)
  $v J1 $.
  $v K1 $.
  $v L1_ $. $( because L1 is already used $)
  $v M1_ $. $( because M1 is already used $)
  $v N1 $.
  $v O1_ $. $( because O1 is already used $)
  $v P1 $.
  $v Q1 $.
  $v R1_ $. $( because R1 is already used $)
  $v S1_ $. $( because S1 is already used $)
  $v T1 $.
  $v U1 $.
  $v V1_ $. $( because V1 is already used $)
  $v W1 $.
  $v X1 $.
  $v Y1 $.
  $v Z1 $.

  bnjcAm $f class A' $.
  bnjcBm $f class B' $.
  bnjcCm $f class C' $.
  bnjcDm $f class D' $.
  bnjcEm $f class E' $.
  bnjcFm $f class F' $.
  bnjcGm $f class G' $.
  bnjcHm $f class H' $.
  bnjcIm $f class I' $.
  bnjcJm $f class J' $.
  bnjcKm $f class K' $.
  bnjcLm $f class L' $.
  bnjcMm $f class M' $.
  bnjcNm $f class N' $.
  bnjcOm $f class O' $.
  bnjcPm $f class P' $.
  bnjcQm $f class Q' $.
  bnjcRm $f class R' $.
  bnjcSm $f class S' $.
  bnjcTm $f class T' $.
  bnjcUm $f class U' $.
  bnjcVm $f class V' $.
  bnjcWm $f class W' $.
  bnjcXm $f class X' $.
  bnjcYm $f class Y' $.
  bnjcZm $f class Z' $.

  bnjcAn $f class A" $.
  bnjcBn $f class B" $.
  bnjcCn $f class C" $.
  bnjcDn $f class D" $.
  bnjcEn $f class E" $.
  bnjcFn $f class F" $.
  bnjcGn $f class G" $.
  bnjcHn $f class H" $.
  bnjcIn $f class I" $.
  bnjcJn $f class J" $.
  bnjcKn $f class K" $.
  bnjcLn $f class L" $.
  bnjcMn $f class M" $.
  bnjcNn $f class N" $.
  bnjcOn $f class O" $.
  bnjcPn $f class P" $.
  bnjcQn $f class Q" $.
  bnjcRn $f class R" $.
  bnjcSn $f class S" $.
  bnjcTn $f class T" $.
  bnjcUn $f class U" $.
  bnjcVn $f class V" $.
  bnjcWn $f class W" $.
  bnjcXn $f class X" $.
  bnjcYn $f class Y" $.
  bnjcZn $f class Z" $.

  bnjcA0 $f class A0 $.
  bnjcB0 $f class B0 $.
  bnjcC0 $f class C0 $.
  bnjcD0 $f class D0 $.
  bnjcE0 $f class E0 $.
  bnjcF0 $f class F0 $.
  bnjcG0 $f class G0 $.
  bnjcH0 $f class H0 $.
  bnjcI0 $f class I0 $.
  bnjcJ0 $f class J0 $.
  bnjcK0 $f class K0 $.
  bnjcL0 $f class L0 $.
  bnjcM0 $f class M0 $.
  bnjcN0 $f class N0 $.
  bnjcO0 $f class O0 $.
  bnjcP0 $f class P0 $.
  bnjcQ0 $f class Q0 $.
  bnjcR0 $f class R0 $.
  bnjcS0 $f class S0 $.
  bnjcT0 $f class T0 $.
  bnjcU0 $f class U0 $.
  bnjcV0 $f class V0 $.
  bnjcW0 $f class W0 $.
  bnjcX0 $f class X0 $.
  bnjcY0 $f class Y0 $.
  bnjcZ0 $f class Z0 $.

  bnjcA1 $f class A1_ $.
  bnjcB1 $f class B1_ $.
  bnjcC1 $f class C1_ $.
  bnjcD1 $f class D1_ $.
  bnjcE1 $f class E1 $.
  bnjcF1 $f class F1_ $.
  bnjcG1 $f class G1_ $.
  bnjcH1 $f class H1_ $.
  bnjcI1 $f class I1_ $.
  bnjcJ1 $f class J1 $.
  bnjcK1 $f class K1 $.
  bnjcL1 $f class L1_ $.
  bnjcM1 $f class M1_ $.
  bnjcN1 $f class N1 $.
  bnjcO1- $f class O1_ $.
  bnjcP1 $f class P1 $.
  bnjcQ1 $f class Q1 $.
  bnjcR1- $f class R1_ $.
  bnjcS1 $f class S1_ $.
  bnjcT1 $f class T1 $.
  bnjcU1 $f class U1 $.
  bnjcV1 $f class V1_ $.
  bnjcW1 $f class W1 $.
  bnjcX1 $f class X1 $.
  bnjcY1 $f class Y1 $.
  bnjcZ1 $f class Z1 $.

  $( Extend wff notation with the 4-way conjunction.
     (New usage is discouraged.) $)
  w-bnj17 $a wff ( ph /\ ps /\ ch /\ th ) $.

  $( Define the 4-way conjunction.  (Contributed by Jonathan Ben-Naim,
     3-Jun-2011.)  (New usage is discouraged.) $)
  df-bnj17 $a |- ( ( ph /\ ps /\ ch /\ th ) <-> ( ( ph /\ ps /\ ch ) /\ th ) )
      $.

$( -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- $)

$( Function meta-constant representing the function giving:
   the class of all elements of ` A ` that are "smaller" than ` X ` according
   to ` R `. $)

  $c _pred $.

  $( Extend class notation with the function giving: the class of all elements
     of ` A ` that are "smaller" than ` X ` according to ` R ` .
     (New usage is discouraged.) $)
  c-bnj14 $a class _pred ( X , A , R ) $.

  ${
    $d X y $.  $d A y $.  $d R y $.
    $( Define the function giving: the class of all elements of ` A ` that are
       "smaller" than ` X ` according to ` R ` .  (Contributed by Jonathan
       Ben-Naim, 3-Jun-2011.)  (New usage is discouraged.) $)
    df-bnj14 $a |- _pred ( X , A , R ) = { y e. A | y R X } $.
  $}

$( -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- $)

$( Predicate meta-constant representing the following predicate:
   ` R ` is set-like on ` A `. $)

  $c _Se $.

  $( Extend wff notation with the following predicate: ` R ` is set-like on
     ` A ` .  (New usage is discouraged.) $)
  w-bnj13 $a wff R _Se A $.

  ${
    $d R x $.  $d A x $.
    $( Define the following predicate: ` R ` is set-like on ` A ` .
       (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    df-bnj13 $a |- ( R _Se A <-> A. x e. A _pred ( x , A , R ) e. _V ) $.
  $}

$( -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- $)

$( Predicate meta-constant representing the following predicate:
   ` R ` is both well-founded and set-like on ` A `. $)

  $c _FrSe $.

  $( Extend wff notation with the following predicate: ` R ` is both
     well-founded and set-like on ` A ` .  (New usage is discouraged.) $)
  w-bnj15 $a wff R _FrSe A $.

  $( Define the following predicate: ` R ` is both well-founded and set-like on
     ` A ` .  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  df-bnj15 $a |- ( R _FrSe A <-> ( R Fr A /\ R _Se A ) ) $.

$( -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- $)

$( Function meta-constant representing the function giving:
   the transitive closure of ` X ` in ` A ` by ` R `. $)

  $c _trCl $.

  $( Extend class notation with the function giving: the transitive closure of
     ` X ` in ` A ` by ` R ` .  (New usage is discouraged.) $)
  c-bnj18 $a class _trCl ( X , A , R ) $.

  ${
    $d X f n i y $.  $d A f n i y $.  $d R f n i y $.
    $( Define the function giving: the transitive closure of ` X ` in ` A ` by
       ` R ` .  This definition has been designed for facilitating verification
       that it is eliminable and that the $d restrictions are sound and
       complete.  For a more readable definition see ~ bnj882 .  (Contributed
       by Jonathan Ben-Naim, 3-Jun-2011.)  (New usage is discouraged.) $)
    df-bnj18 $a |- _trCl ( X , A , R )
      = U_ f e. { f | E. n e. ( _om \ { (/) } ) ( f Fn n /\ ( f ` (/) )
       = _pred ( X , A , R ) /\ A. i e. _om ( suc i e. n -> ( f ` suc i )
       = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) } U_ i e. dom f ( f ` i ) $.
  $}

$( -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- $)

$( Predicate meta-constant representing the following predicate:
   ` B ` is transitive for ` A ` and ` R `. $)

  $c _TrFo $.

  $( Extend wff notation with the following predicate: ` B ` is transitive for
     ` A ` and ` R ` .  (New usage is discouraged.) $)
  w-bnj19 $a wff _TrFo ( B , A , R ) $.

  ${
    $d B x $.  $d A x $.  $d R x $.
    $( Define the following predicate: ` B ` is transitive for ` A ` and
       ` R ` .  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    df-bnj19 $a |- ( _TrFo ( B , A , R ) <-> A. x e. B _pred ( x , A , R ) C_ B
        ) $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  First-order logic and set theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (Proof shortened by Andrew Salmon, 14-Jun-2011.)
     (New usage is discouraged.) $)
  bnj170 $p |- ( ( ph /\ ps /\ ch ) <-> ( ( ps /\ ch ) /\ ph ) ) $=
    ( w3a wa 3anrot df-3an bitri ) ABCDBCADBCEAEABCFBCAGH $.

  ${
    bnj240.1 $e |- ( ps -> ps' ) $.
    bnj240.2 $e |- ( ch -> ch' ) $.
    $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj240 $p |- ( ( ph /\ ps /\ ch ) -> ( ps' /\ ch' ) ) $=
      ( wa w3a 3ad2ant1 3ad2ant2 jca 3comr ) BCADEHBCAIDEBCDAFJCBEAGKLM $.
  $}

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj248 $p |- ( ( ph /\ ps /\ ch /\ th ) <-> ( ( ( ph /\ ps ) /\ ch ) /\ th
      ) ) $=
    ( w-bnj17 w3a wa df-bnj17 df-3an anbi1i bitri ) ABCDEABCFZDGABGCGZDGABCDHLM
    DABCIJK $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj250 $p |- ( ( ph /\ ps /\ ch /\ th ) <-> ( ph /\ ( ( ps /\ ch ) /\ th )
      ) ) $=
    ( w-bnj17 w3a wa df-bnj17 3anass anbi1i anass 3bitri ) ABCDEABCFZDGABCGZGZD
    GANDGGABCDHMODABCIJANDKL $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj251 $p |- ( ( ph /\ ps /\ ch /\ th ) <-> ( ph /\ ( ps /\ ( ch /\ th ) )
      ) ) $=
    ( w-bnj17 wa bnj250 anass anbi2i bitri ) ABCDEABCFDFZFABCDFFZFABCDGKLABCDHI
    J $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj252 $p |- ( ( ph /\ ps /\ ch /\ th )
      <-> ( ph /\ ( ps /\ ch /\ th ) ) ) $=
    ( w-bnj17 wa w3a bnj250 df-3an anbi2i bitr4i ) ABCDEABCFDFZFABCDGZFABCDHMLA
    BCDIJK $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj253 $p |- ( ( ph /\ ps /\ ch /\ th )
      <-> ( ( ph /\ ps ) /\ ch /\ th ) ) $=
    ( w-bnj17 wa w3a bnj248 df-3an bitr4i ) ABCDEABFZCFDFKCDGABCDHKCDIJ $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj255 $p |- ( ( ph /\ ps /\ ch /\ th )
      <-> ( ph /\ ps /\ ( ch /\ th ) ) ) $=
    ( w-bnj17 wa w3a bnj251 3anass bitr4i ) ABCDEABCDFZFFABKGABCDHABKIJ $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj256 $p |- ( ( ph /\ ps /\ ch /\ th )
      <-> ( ( ph /\ ps ) /\ ( ch /\ th ) ) ) $=
    ( w-bnj17 wa bnj248 anass bitri ) ABCDEABFZCFDFJCDFFABCDGJCDHI $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj257 $p |- ( ( ph /\ ps /\ ch /\ th ) <-> ( ph /\ ps /\ th /\ ch ) ) $=
    ( wa w-bnj17 ancom anbi2i bnj256 3bitr4i ) ABEZCDEZEKDCEZEABCDFABDCFLMKCDGH
    ABCDIABDCIJ $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj258 $p |- ( ( ph /\ ps /\ ch /\ th )
      <-> ( ( ph /\ ps /\ th ) /\ ch ) ) $=
    ( w-bnj17 w3a wa bnj257 df-bnj17 bitri ) ABCDEABDCEABDFCGABCDHABDCIJ $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj268 $p |- ( ( ph /\ ps /\ ch /\ th ) <-> ( ph /\ ch /\ ps /\ th ) ) $=
    ( w3a wa w-bnj17 3ancomb anbi1i df-bnj17 3bitr4i ) ABCEZDFACBEZDFABCDGACBDG
    LMDABCHIABCDJACBDJK $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj290 $p |- ( ( ph /\ ps /\ ch /\ th ) <-> ( ph /\ ch /\ th /\ ps ) ) $=
    ( w3a wa w-bnj17 3anrot anbi2i bnj252 3bitr4i ) ABCDEZFACDBEZFABCDGACDBGLMA
    BCDHIABCDJACDBJK $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj291 $p |- ( ( ph /\ ps /\ ch /\ th )
      <-> ( ( ph /\ ch /\ th ) /\ ps ) ) $=
    ( w-bnj17 w3a wa bnj290 df-bnj17 bitri ) ABCDEACDBEACDFBGABCDHACDBIJ $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj312 $p |- ( ( ph /\ ps /\ ch /\ th ) <-> ( ps /\ ph /\ ch /\ th ) ) $=
    ( w3a wa w-bnj17 3ancoma anbi1i df-bnj17 3bitr4i ) ABCEZDFBACEZDFABCDGBACDG
    LMDABCHIABCDJBACDJK $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (Proof shortened by Andrew Salmon, 14-Jun-2011.)
     (New usage is discouraged.) $)
  bnj334 $p |- ( ( ph /\ ps /\ ch /\ th ) <-> ( ch /\ ph /\ ps /\ th ) ) $=
    ( w-bnj17 bnj290 bnj257 bnj312 3bitri ) ABCDEACDBEACBDECABDEABCDFACDBGACBDH
    I $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (Proof shortened by Andrew Salmon, 14-Jun-2011.)
     (New usage is discouraged.) $)
  bnj345 $p |- ( ( ph /\ ps /\ ch /\ th ) <-> ( th /\ ph /\ ps /\ ch ) ) $=
    ( w-bnj17 wa w3a bnj334 bnj250 3anass bitr4i 3anrev 3bitri ) ABCDECABDEZCAB
    FZDGZDABCEZABCDHNCODFFPCABDICODJKPDOCGZQCODLQDOCFFRDABCIDOCJKKM $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (Proof shortened by Andrew Salmon, 14-Jun-2011.)
     (New usage is discouraged.) $)
  bnj422 $p |- ( ( ph /\ ps /\ ch /\ th ) <-> ( ch /\ th /\ ph /\ ps ) ) $=
    ( w-bnj17 bnj345 bitri ) ABCDEDABCECDABEABCDFDABCFG $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj432 $p |- ( ( ph /\ ps /\ ch /\ th ) <-> ( ( ch /\ th ) /\ ( ph /\ ps )
      ) ) $=
    ( w-bnj17 wa bnj422 bnj256 bitri ) ABCDECDABECDFABFFABCDGCDABHI $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj446 $p |- ( ( ph /\ ps /\ ch /\ th ) <-> ( ( ps /\ ch /\ th ) /\ ph ) ) $=
    ( w-bnj17 w3a wa bnj345 df-bnj17 bitr3i ) ABCDEBCDAEBCDFAGBCDAHBCDAIJ $.

  ${
    $d A x $.  $d A y z $.  $d B w y z $.  $d R w y z $.
    bnj23.1 $e |- B = { x e. A | -. ph } $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (Proof shortened by Mario Carneiro, 22-Dec-2016.)
       (New usage is discouraged.) $)
    bnj23 $p |- ( A. z e. B -. z R y
        -> A. w e. A ( w R y -> [. w / x ]. ph ) ) $=
      ( cv wbr wn wral wsbc wi wcel wa wb cvv syl5bir sbcng crab eleq2i elrabsf
      elv nfcv bitri weq breq1 notbid rspccv expdimp con4d ralrimiva ) DJZCJZHK
      ZLZDGMZEJZUPHKZABUTNZOEFUSUTFPZQZVBVAVBLZALZBUTNZVDVALZVGVEREABUTSUAUEUSV
      CVGVHVCVGQZUTGPZUSVHVJUTVFBFUBZPVIGVKUTIUCVFBUTFBFUFUDUGURVHDUTGDEUHUQVAU
      OUTUPHUIUJUKTULTUMUN $.
  $}

  ${
    bnj31.1 $e |- ( ph -> E. x e. A ps ) $.
    bnj31.2 $e |- ( ps -> ch ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj31 $p |- ( ph -> E. x e. A ch ) $=
      ( wrex reximi syl ) ABDEHCDEHFBCDEGIJ $.
  $}

  ${
    $d A x y $.  $d x y $.  $d y z $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj62 $p |- ( [. z / x ]. x Fn A <-> z Fn A ) $=
      ( vy cv wfn wsbc vex fneq1 sbcie sbcbii sbccow 3bitr3i ) AEZCFZADEZGZDBEZ
      GPCFZDRGOARGRCFZQSDROSAPDHCNPIJKOADRLSTDRBHCPRIJM $.
  $}

  ${
    $d Z w x $.  $d ph w $.  $d w x y $.
    bnj89.1 $e |- Z e. _V $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj89 $p |- ( [. Z / y ]. E! x ph <-> E! x [. Z / y ]. ph ) $=
      ( vw weq wb wal wex wsbc weu sbcex2 sbcal exbii cvv wcel sbcbig ax-mp eu6
      sbcg bibi2i bitri albii 3bitri sbcbii 3bitr4i ) ABFGZHZBIZFJZCDKZACDKZUHH
      ZBIZFJZABLZCDKUMBLULUJCDKZFJUICDKZBIZFJUPUJFCDMURUTFUIBCDNOUTUOFUSUNBUSUM
      UHCDKZHZUNDPQZUSVBHEAUHCDPRSVAUHUMVCVAUHHEUHCDPUASUBUCUDOUEUQUKCDABFTUFUM
      BFTUG $.
  $}

  ${
    $d Y y $.  $d x y z $.
    bnj90.1 $e |- Y e. _V $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (Proof shortened by Mario Carneiro, 22-Dec-2016.)
       (New usage is discouraged.) $)
    bnj90 $p |- ( [. Y / x ]. z Fn x <-> z Fn Y ) $=
      ( vy cvv wcel cv wfn wsbc wb fneq2 sbcie2g ax-mp ) CFGBHZAHZIZACJOCIZKDQO
      EHZIRAECFPSOLSCOLMN $.
  $}

  ${
    bnj101.1 $e |- E. x ph $.
    bnj101.2 $e |- ( ph -> ps ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj101 $p |- E. x ps $=
      ( eximii ) ABCDEF $.
  $}

  $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
     3-Jun-2011.)  (New usage is discouraged.) $)
  bnj105 $p |- 1o e. _V $=
    ( c1o c0 csn cvv df1o2 p0ex eqeltri ) ABCDEFG $.

  ${
    bnj115.1 $e |- ( et <-> A. n e. D ( ta -> th ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj115 $p |- ( et <-> A. n ( ( n e. D /\ ta ) -> th ) ) $=
      ( wi wral cv wcel wal wa df-ral impexp bicomi albii 3bitri ) CBAGZEDHEIDJ
      ZRGZEKSBLAGZEKFREDMTUAEUATSBANOPQ $.
  $}

  ${
    $d ps x $.
    bnj132.1 $e |- ( ph <-> E. x ( ps -> ch ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (Proof shortened by Andrew Salmon, 26-Jun-2011.)
       (New usage is discouraged.) $)
    bnj132 $p |- ( ph <-> ( ps -> E. x ch ) ) $=
      ( wi wex 19.37v bitri ) ABCFDGBCDGFEBCDHI $.
  $}

  ${
    bnj133.1 $e |- ( ph <-> E. x ps ) $.
    bnj133.2 $e |- ( ch <-> ps ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj133 $p |- ( ph <-> E. x ch ) $=
      ( wex exbii bitr4i ) ABDGCDGECBDFHI $.
  $}

  ${
    bnj156.1 $e |- ( ze0 <-> ( f Fn 1o /\ ph' /\ ps' ) ) $.
    bnj156.2 $e |- ( ze1 <-> [. g / f ]. ze0 ) $.
    bnj156.3 $e |- ( ph1 <-> [. g / f ]. ph' ) $.
    bnj156.4 $e |- ( ps1 <-> [. g / f ]. ps' ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj156 $p |- ( ze1 <-> ( g Fn 1o /\ ph1 /\ ps1 ) ) $=
      ( cv wsbc c1o wfn w3a sbcbii bicomi bitri sbc3an bnj62 3anbi123i ) HEABMZ
      NZUDOPZFGQZJUEAMOPZCDQZAUDNZUGEUIAUDIRUJUHAUDNZCAUDNZDAUDNZQUGUHCDAUDUAUK
      UFULFUMGABOUBFULKSGUMLSUCTTT $.
  $}

  ${
    $d m p $.
    bnj158.1 $e |- D = ( _om \ { (/) } ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj158 $p |- ( m e. D -> E. p e. _om m = suc p ) $=
      ( cv wcel com c0 wne wa csuc wceq wrex csn cdif eldifsn bitri nnsuc sylbi
      eleq2i ) BEZAFZUAGFUAHIJZUACEKLCGMUBUAGHNOZFUCAUDUADTUAGHPQCUARS $.
  $}

  ${
    $d m n $.
    bnj168.1 $e |- D = ( _om \ { (/) } ) $.
    $( First-order logic and set theory.  Revised to remove dependence on
       ~ ax-reg .  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)  (Revised by
       NM, 21-Dec-2016.)  (New usage is discouraged.) $)
    bnj168 $p |- ( ( n =/= 1o /\ n e. D ) -> E. m e. D n = suc m ) $=
      ( cv c1o wne wcel wa csuc wceq wex wrex com anim2i sylibr con0 syl sylib
      c0 bnj158 r19.42v neeq1 biimpac df-1o wb nnon 0elon suc11 sylancl bitr2id
      eqeq2i necon3bid syl5ibr ancld reximia anass rexbii simpr df-rex csn cdif
      bnj31 eleq2i eldifsn bitr2i simprl jca eximi ) CEZFGZVJAHZIZBEZAHZVJVNJZK
      ZIZBLZVQBAMVMVNNHZVQVNTGZIZIZBLZVSVMWBBNMWDVMVKWBIZWBBNVMVKVQIZWAIZBNMZWE
      BNMVMWFBNMZWHVMVKVQBNMZIWIVLWJVKACBDUAOVKVQBNUBPWFWGBNVTWFWAWFWAVTVPFGZVQ
      VKWKVJVPFUCUDVTVNTVPFVPFKVPTJZKZVTVNTKZFWLVPUEULVTVNQHTQHWMWNUFVNUGUHVNTU
      IUJUKUMUNUOUPRWGWEBNVKVQWAUQURSVKWBUSVCWBBNUTSWCVRBWCVOVQWCVTWAIZVOWBWAVT
      VQWAUSOVOVNNTVAVBZHWOAWPVNDVDVNNTVEVFSVTVQWAVGVHVIRVQBAUTP $.
  $}

  ${
    bnj206.1 $e |- ( ph' <-> [. M / n ]. ph ) $.
    bnj206.2 $e |- ( ps' <-> [. M / n ]. ps ) $.
    bnj206.3 $e |- ( ch' <-> [. M / n ]. ch ) $.
    bnj206.4 $e |- M e. _V $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj206 $p |- ( [. M / n ]. ( ph /\ ps /\ ch )
         <-> ( ph' /\ ps' /\ ch' ) ) $=
      ( w3a wsbc sbc3an bicomi 3anbi123i bitri ) ABCMDENADENZBDENZCDENZMFGHMABC
      DEOSFTGUAHFSIPGTJPHUAKPQR $.
  $}

  ${
    bnj216.1 $e |- B e. _V $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj216 $p |- ( A = suc B -> B e. A ) $=
      ( csuc wceq wcel sucid eleq2 mpbiri ) ABDZEBAFBJFBCGAJBHI $.
  $}

  $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
     3-Jun-2011.)  (New usage is discouraged.) $)
  bnj219 $p |- ( n = suc m -> m _E n ) $=
    ( cv csuc wceq wel cep wbr vex bnj216 epel sylibr ) BCZACZDEABFNMGHMNAIJBNK
    L $.

  ${
    $d C x $.
    bnj226.1 $e |- B C_ C $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj226 $p |- U_ x e. A B C_ C $=
      ( ciun wss wral rgenw iunss mpbir ) ABCFDGCDGZABHLABEIABCDJK $.
  $}

  ${
    bnj228.1 $e |- ( ph <-> A. x e. A ps ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (Proof shortened by Andrew Salmon, 9-Jul-2011.)
       (New usage is discouraged.) $)
    bnj228 $p |- ( ( x e. A /\ ph ) -> ps ) $=
      ( cv wcel wral wi rsp sylbi impcom ) ACFDGZBABCDHMBIEBCDJKL $.
  $}

  ${
    bnj519.1 $e |- A e. _V $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (Revised by Mario Carneiro, 6-May-2015.)
       (New usage is discouraged.) $)
    bnj519 $p |- ( B e. _V -> Fun { <. A , B >. } ) $=
      ( cvv wcel cop csn wfun funsng mpan ) ADEBDEABFGHCABDDIJ $.
  $}

  ${
    $d A x $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj521 $p |- ( A i^i { A } ) = (/) $=
      ( vx csn cin c0 wne wn wceq cv wcel wex elirr wa elin velsn eleq1 biimpac
      sylan2b sylbi exlimiv mto n0 mtbir nne mpbi ) AACZDZEFZGUGEHUHBIZUGJZBKZU
      KAAJZALUJULBUJUIAJZUIUFJZMULUIAUFNUNUMUIAHZULBAOUOUMULUIAAPQRSTUABUGUBUCU
      GEUDUE $.
  $}

  ${
    bnj524.1 $e |- ( ph <-> ps ) $.
    bnj524.2 $e |- A e. _V $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj524 $p |- ( [. A / x ]. ph <-> [. A / x ]. ps ) $=
      ( sbcbii ) ABCDEG $.
  $}

  ${
    $d ph x $.
    bnj525.1 $e |- A e. _V $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj525 $p |- ( [. A / x ]. ph <-> ph ) $=
      ( cvv wcel wsbc wb sbcg ax-mp ) CEFABCGAHDABCEIJ $.
  $}

  ${
    $d ps x $.
    bnj534.1 $e |- ( ch -> ( E. x ph /\ ps ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj534 $p |- ( ch -> E. x ( ph /\ ps ) ) $=
      ( wex wa 19.41v sylibr ) CADFBGABGDFEABDHI $.
  $}

  ${
    $d A x $.  $d B y $.  $d x y $.
    bnj538.1 $e |- A e. _V $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.)  (Proof shortened by OpenAI,
       30-Mar-2020.) $)
    bnj538 $p |- ( [. A / y ]. A. x e. B ph
          <-> A. x e. B [. A / y ]. ph ) $=
      ( cvv wcel wral wsbc wb sbcralg ax-mp ) DGHABEICDJACDJBEIKFACBDEGLM $.
  $}

  ${
    bnj529.1 $e |- D = ( _om \ { (/) } ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj529 $p |- ( M e. D -> (/) e. M ) $=
      ( wcel com c0 wne wa word csn eldifsn biimpi eleq2s nnord anim1i ord0eln0
      cdif biimpar 3syl ) BADBEDZBFGZHZBIZUAHFBDZUBBEFJQZABUEDUBBEFKLCMTUCUABNO
      UCUDUABPRS $.
  $}

  $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
     3-Jun-2011.)  (New usage is discouraged.) $)
  bnj551 $p |- ( ( m = suc p /\ m = suc i ) -> p = i ) $=
    ( cv csuc wceq wa eqtr2 suc11reg sylib ) BDZCDZEZFKADZEZFGMOFLNFKMOHLNIJ $.

  ${
    bnj563.19 $e |- ( et <-> ( m e. D /\ n = suc m /\ p e. _om /\ m = suc p ) )
        $.
    bnj563.21 $e |- ( rh <-> ( i e. _om /\ suc i e. n /\ m =/= suc i ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj563 $p |- ( ( et /\ rh ) -> suc i e. m ) $=
      ( cv csuc wceq wcel wne wa com w-bnj17 w3a bnj312 wo bnj252 bitri simplbi
      sylbi simp2bi simp3bi jca necom eleq2 biimpa wi elsuci orcom bitr3i sylib
      neor imp stoic3 syl3an3b 3expb syl2an ) AFJZEJZKZLZDJZKZVBMZVCVGNZOVGVCMZ
      BAVCCMZVEGJZPMZVCVLKLZQZVEHVOVEVKVMVNRZVOVEVKVMVNQVEVPOVKVEVMVNSVEVKVMVNU
      AUBUCUDBVHVIBVFPMZVHVIIUEBVQVHVIIUFUGVEVHVIVJVIVEVHVGVCNZVJVCVGUHVEVHVGVD
      MZVRVJVEVHVSVBVDVGUIUJVSVRVJVSVJVGVCLZTZVRVJUKZVGVCULWAVTVJTWBVTVJUMVJVGV
      CUPUNUOUQURUSUTVA $.
  $}

  ${
    bnj564.17 $e |- ( ta <-> ( f Fn m /\ ph' /\ ps' ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj564 $p |- ( ta -> dom f = m ) $=
      ( cv wfn simp1bi fndmd ) ACGZBGZALKHDEFIJ $.
  $}

  ${
    bnj593.1 $e |- ( ph -> E. x ps ) $.
    bnj593.2 $e |- ( ps -> ch ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj593 $p |- ( ph -> E. x ch ) $=
      ( wex eximi syl ) ABDGCDGEBCDFHI $.
  $}

  ${
    bnj596.1 $e |- ( ph -> A. x ph ) $.
    bnj596.2 $e |- ( ph -> E. x ps ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj596 $p |- ( ph -> E. x ( ph /\ ps ) ) $=
      ( wex wa ancli nf5i 19.42 sylibr ) AABCFZGABGCFALEHABCACDIJK $.
  $}

  ${
    $d A y $.  $d ph y $.  $d ps y $.  $d ps' x $.  $d x y $.
    bnj610.1 $e |- A e. _V $.
    bnj610.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    bnj610.3 $e |- ( x = y -> ( ph <-> ps' ) ) $.
    bnj610.4 $e |- ( y = A -> ( ps' <-> ps ) ) $.
    $( Pass from equality ( ` x = A ` ) to substitution ( ` [. A / x ]. ` )
       without the distinct variable condition on ` A , x ` .  (Contributed by
       Jonathan Ben-Naim, 3-Jun-2011.)  (New usage is discouraged.) $)
    bnj610 $p |- ( [. A / x ]. ph <-> ps ) $=
      ( cv wsbc vex sbcie sbcbii sbccow 3bitr3i ) ACDKZLZDELFDELACELBSFDEAFCRDM
      INOACDEPFBDEGJNQ $.
  $}

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj642 $p |- ( ( ph /\ ps /\ ch /\ th ) -> ph ) $=
    ( w-bnj17 w3a bnj446 simprbi ) ABCDEBCDFAABCDGH $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj643 $p |- ( ( ph /\ ps /\ ch /\ th ) -> ps ) $=
    ( w-bnj17 w3a bnj291 simprbi ) ABCDEACDFBABCDGH $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj645 $p |- ( ( ph /\ ps /\ ch /\ th ) -> th ) $=
    ( w-bnj17 w3a df-bnj17 simprbi ) ABCDEABCFDABCDGH $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj658 $p |- ( ( ph /\ ps /\ ch /\ th ) -> ( ph /\ ps /\ ch ) ) $=
    ( w-bnj17 w3a df-bnj17 simplbi ) ABCDEABCFDABCDGH $.

  $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj667 $p |- ( ( ph /\ ps /\ ch /\ th ) -> ( ps /\ ch /\ th ) ) $=
    ( w-bnj17 w3a bnj446 simplbi ) ABCDEBCDFAABCDGH $.

  ${
    bnj705.1 $e |- ( ph -> ta ) $.
    $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj705 $p |- ( ( ph /\ ps /\ ch /\ th ) -> ta ) $=
      ( w-bnj17 bnj642 syl ) ABCDGAEABCDHFI $.
  $}

  ${
    bnj706.1 $e |- ( ps -> ta ) $.
    $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj706 $p |- ( ( ph /\ ps /\ ch /\ th ) -> ta ) $=
      ( w-bnj17 bnj643 syl ) ABCDGBEABCDHFI $.
  $}

  ${
    bnj707.1 $e |- ( ch -> ta ) $.
    $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj707 $p |- ( ( ph /\ ps /\ ch /\ th ) -> ta ) $=
      ( w-bnj17 w3a bnj258 simprbi syl ) ABCDGZCELABDHCABCDIJFK $.
  $}

  ${
    bnj708.1 $e |- ( th -> ta ) $.
    $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj708 $p |- ( ( ph /\ ps /\ ch /\ th ) -> ta ) $=
      ( w-bnj17 bnj645 syl ) ABCDGDEABCDHFI $.
  $}

  ${
    bnj721.1 $e |- ( ( ph /\ ps /\ ch ) -> ta ) $.
    $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj721 $p |- ( ( ph /\ ps /\ ch /\ th ) -> ta ) $=
      ( w-bnj17 w3a bnj658 syl ) ABCDGABCHEABCDIFJ $.
  $}

  ${
    bnj832.1 $e |- ( et <-> ( ph /\ ps ) ) $.
    bnj832.2 $e |- ( ph -> ta ) $.
    $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj832 $p |- ( et -> ta ) $=
      ( wa adantr sylbi ) DABGCEACBFHI $.
  $}

  ${
    bnj835.1 $e |- ( et <-> ( ph /\ ps /\ ch ) ) $.
    bnj835.2 $e |- ( ph -> ta ) $.
    $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj835 $p |- ( et -> ta ) $=
      ( w3a 3ad2ant1 sylbi ) EABCHDFABDCGIJ $.
  $}

  ${
    bnj836.1 $e |- ( et <-> ( ph /\ ps /\ ch ) ) $.
    bnj836.2 $e |- ( ps -> ta ) $.
    $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj836 $p |- ( et -> ta ) $=
      ( w3a 3ad2ant2 sylbi ) EABCHDFBADCGIJ $.
  $}

  ${
    bnj837.1 $e |- ( et <-> ( ph /\ ps /\ ch ) ) $.
    bnj837.2 $e |- ( ch -> ta ) $.
    $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj837 $p |- ( et -> ta ) $=
      ( w3a 3ad2ant3 sylbi ) EABCHDFCADBGIJ $.
  $}

  ${
    bnj769.1 $e |- ( et <-> ( ph /\ ps /\ ch /\ th ) ) $.
    bnj769.2 $e |- ( ph -> ta ) $.
    $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj769 $p |- ( et -> ta ) $=
      ( w-bnj17 bnj705 sylbi ) FABCDIEGABCDEHJK $.
  $}

  ${
    bnj770.1 $e |- ( et <-> ( ph /\ ps /\ ch /\ th ) ) $.
    bnj770.2 $e |- ( ps -> ta ) $.
    $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj770 $p |- ( et -> ta ) $=
      ( w-bnj17 bnj706 sylbi ) FABCDIEGABCDEHJK $.
  $}

  ${
    bnj771.1 $e |- ( et <-> ( ph /\ ps /\ ch /\ th ) ) $.
    bnj771.2 $e |- ( ch -> ta ) $.
    $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj771 $p |- ( et -> ta ) $=
      ( w-bnj17 bnj707 sylbi ) FABCDIEGABCDEHJK $.
  $}

  ${
    bnj887.1 $e |- ( ph <-> ph' ) $.
    bnj887.2 $e |- ( ps <-> ps' ) $.
    bnj887.3 $e |- ( ch <-> ch' ) $.
    bnj887.4 $e |- ( th <-> th' ) $.
    $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj887 $p |- ( ( ph /\ ps /\ ch /\ th ) <-> ( ph' /\ ps' /\ ch' /\ th' ) )
        $=
      ( w3a wa w-bnj17 3anbi123i anbi12i df-bnj17 3bitr4i ) ABCMZDNEFGMZHNABCDO
      EFGHOTUADHAEBFCGIJKPLQABCDREFGHRS $.
  $}

  ${
    bnj918.1 $e |- G = ( f u. { <. n , C >. } ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj918 $p |- G e. _V $=
      ( cv cop csn cun cvv vex snex unex eqeltri ) DBFZCFAGZHZIJEOQBKPLMN $.
  $}

  ${
    $d D n $.  $d F n $.  $d P n $.
    bnj919.1 $e |- ( ch <-> ( n e. D /\ F Fn n /\ ph /\ ps ) ) $.
    bnj919.2 $e |- ( ph' <-> [. P / n ]. ph ) $.
    bnj919.3 $e |- ( ps' <-> [. P / n ]. ps ) $.
    bnj919.4 $e |- ( ch' <-> [. P / n ]. ch ) $.
    bnj919.5 $e |- P e. _V $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj919 $p |- ( ch' <-> ( P e. D /\ F Fn P /\ ph' /\ ps' ) ) $=
      ( wsbc wcel w3a wa nfxfr cv wfn w-bnj17 sbcbii cvv df-bnj17 nfsbc1v nf3an
      wb nfan wceq eleq1 fneq2 sbceq1a bitr4di 3anbi123d anbi12d bnj252 3bitr4g
      nfv sbciegf ax-mp 3bitri ) JCFEPFUAZDQZGVDUBZABUCZFEPZEDQZGEUBZHIUCZNCVGF
      EKUDEUEQVHVKUIOVGVKFEUEVKVIVJHRZISFVIVJHIUFVLIFVIVJHFVIFUTVJFUTHAFEPZFLAF
      EUGTUHIBFEPZFMBFEUGTUJTVDEUKZVEVFABRZSVIVJHIRZSVGVKVOVEVIVPVQVDEDULVOVFVJ
      AHBIVDEGUMVOAVMHAFEUNLUOVOBVNIBFEUNMUOUPUQVEVFABURVIVJHIURUSVAVBVC $.
  $}

  ${
    bnj923.1 $e |- D = ( _om \ { (/) } ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj923 $p |- ( n e. D -> n e. _om ) $=
      ( cv com wcel c0 csn cdif eldifi eleq2s ) BDZEFLEGHZIALEMJCK $.
  $}

  ${
    bnj927.1 $e |- G = ( f u. { <. n , C >. } ) $.
    bnj927.2 $e |- C e. _V $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj927 $p |- ( ( p = suc n /\ f Fn n ) -> G Fn p ) $=
      ( cv csuc wceq wfn wa csn cun cop simpr vex fnsn a1i cin c0 bnj521 fneq1i
      fnund sylibr df-suc eqeq2i biimpi adantr fneq2d mpbird ) EHZCHZIZJZBHZUMK
      ZLZDULKDUMUMMZNZKZURUPUMAOMZNZUTKVAURUMUSUPVBUOUQPVBUSKURUMACQGRSUMUSTUAJ
      URUMUBSUDUTDVCFUCUEURULUTDUOULUTJZUQUOVDUNUTULUMUFUGUHUIUJUK $.
  $}

  ${
    bnj931.1 $e |- A = ( B u. C ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj931 $p |- B C_ A $=
      ( cun ssun1 sseqtrri ) BBCEABCFDG $.
  $}

  ${
    $d ps x $.
    bnj937.1 $e |- ( ph -> E. x ps ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj937 $p |- ( ph -> ps ) $=
      ( wex 19.9v sylib ) ABCEBDBCFG $.
  $}

  ${
    bnj941.1 $e |- G = ( f u. { <. n , C >. } ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj941 $p |- ( C e. _V -> ( ( p = suc n /\ f Fn n ) -> G Fn p ) ) $=
      ( cvv wcel cv csuc wceq wfn wa wi c0 cif cop csn cun opeq2 sneqd eqid 0ex
      uneq2d syl5eq fneq1d imbi2d elimel bnj927 dedth ) AGHZEIZCIZJKBIZUMLMZDUL
      LZNUOUNUMUKAOPZQZRZSZULLZNAOAUQKZUPVAUOVBULDUTVBDUNUMAQZRZSUTFVBVDUSUNVBV
      CURAUQUMTUAUDUEUFUGUQBCUTEUTUBAOGUCUHUIUJ $.
  $}

  ${
    bnj945.1 $e |- G = ( f u. { <. n , C >. } ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj945 $p |- ( ( C e. _V /\ f Fn n /\ p = suc n /\ A e. n ) -> ( G ` A ) =
        ( f ` A ) ) $=
      ( cvv wcel cv wfn csuc wceq w-bnj17 wfun wss w3a cfv wa bitri fndm eleq2d
      cdm ad2antll pm5.32i bnj941 imp fnfund cop csn bnj931 jctir anim1i sylbir
      df-bnj17 3ancomb 3anass anbi1i df-3an 3imtr4i funssfv syl ) BHIZCJZDJZKZF
      JZVELMZAVEIZNZEOZVDEPZAVDUCZIZQZAERAVDRMVCVHVFSZSZVISZVKVLSZVNSZVJVOVRVQV
      NSVTVQVNVIVQVMVEAVFVMVEMVCVHVEVDUAUDUBUEVQVSVNVQVKVLVQVGEVCVPEVGKBCDEFGUF
      UGUHEVDVEBUIUJGUKULUMUNVJVCVFVHQZVISVRVCVFVHVIUOWAVQVIWAVCVHVFQVQVCVFVHUP
      VCVHVFUQTURTVKVLVNUSUTAEVDVAVB $.
  $}

  ${
    bnj946.1 $e |- ( ph <-> A. x e. A ps ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj946 $p |- ( ph <-> A. x ( x e. A -> ps ) ) $=
      ( wral cv wcel wi wal df-ral bitri ) ABCDFCGDHBICJEBCDKL $.
  $}

  ${
    bnj951.1 $e |- ( ta -> ph ) $.
    bnj951.2 $e |- ( ta -> ps ) $.
    bnj951.3 $e |- ( ta -> ch ) $.
    bnj951.4 $e |- ( ta -> th ) $.
    $( ` /\ ` -manipulation.  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj951 $p |- ( ta -> ( ph /\ ps /\ ch /\ th ) ) $=
      ( w3a w-bnj17 3jca df-bnj17 sylanbrc ) EABCJDABCDKEABCFGHLIABCDMN $.
  $}

  ${
    $d A y $.  $d B y $.  $d C y $.  $d x y $.
    bnj956.1 $e |- ( A = B -> A. x A = B ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj956 $p |- ( A = B -> U_ x e. A C = U_ x e. B C ) $=
      ( vy wceq cv wcel wrex cab ciun wal wb wa wex eleq2 anbi1d df-rex df-iun
      alexbii 3bitr4g syl abbidv 3eqtr4g ) BCGZFHDIZABJZFKUGACJZFKABDLACDLUFUHU
      IFUFUFAMZUHUINEUJAHZBIZUGOZAPUKCIZUGOZAPUHUIUFUMUOAUFULUNUGBCUKQRUAUGABSU
      GACSUBUCUDAFBDTAFCDTUE $.
  $}

  ${
    $d D f h $.  $d G h $.  $d N f h $.  $d ch h $.  $d h ph $.  $d h ph' $.
    $d h ps $.  $d h ps' $.
    bnj976.1 $e |- ( ch <-> ( N e. D /\ f Fn N /\ ph /\ ps ) ) $.
    bnj976.2 $e |- ( ph' <-> [. G / f ]. ph ) $.
    bnj976.3 $e |- ( ps' <-> [. G / f ]. ps ) $.
    bnj976.4 $e |- ( ch' <-> [. G / f ]. ch ) $.
    bnj976.5 $e |- G e. _V $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj976 $p |- ( ch' <-> ( N e. D /\ G Fn N /\ ph' /\ ps' ) ) $=
      ( vh wsbc wfn w3a wa cv wcel w-bnj17 sbccow wceq bnj252 sbcbii vex bnj525
      sbc3an bnj62 3anbi1i bitri anbi12i sbcan 3bitr4ri 3bitr4i sbceq1a bitr4di
      fneq1 bitr4i 3anbi123d anbi2d 3bitr4g syl5bb sbcie 3bitr2i ) JCEFQCEPUAZQ
      ZPFQGDUBZFGRZHIUCZNCEPFUDVIVLPFOVIVJVHGRZAEVHQZBEVHQZUCZVHFUEZVLVJEUAGRZA
      BUCZEVHQVJVRABSZTZEVHQZVIVPVSWAEVHVJVRABUFUGCVSEVHKUGVJEVHQZVTEVHQZTVJVMV
      NVOSZTZWBVPWCVJWDWEVJEVHPUHUIWDVREVHQZVNVOSWEVRABEVHUJWGVMVNVOEPGUKULUMUN
      VJVTEVHUOVJVMVNVOUFZUPUQVQWFVJVKHISZTVPVLVQWEWIVJVQVMVKVNHVOIGVHFUTVQVNVN
      PFQZHVNPFURHAEFQWJLAEPFUDVAUSVQVOVOPFQZIVOPFURIBEFQWKMBEPFUDVAUSVBVCWHVJV
      KHIUFVDVEVFVG $.
  $}

  ${
    bnj982.1 $e |- ( ph -> A. x ph ) $.
    bnj982.2 $e |- ( ps -> A. x ps ) $.
    bnj982.3 $e |- ( ch -> A. x ch ) $.
    bnj982.4 $e |- ( th -> A. x th ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj982 $p |- ( ( ph /\ ps /\ ch /\ th ) -> A. x ( ph /\ ps /\ ch /\ th ) )
        $=
      ( w-bnj17 w3a wa df-bnj17 hb3an hban hbxfrbi ) ABCDJABCKZDLEABCDMQDEABCEF
      GHNIOP $.
  $}

  ${
    $d ch p $.  $d et p $.  $d p th $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1019 $p |- ( E. p ( th /\ ch /\ ta /\ et ) <-> ( th /\ ch /\ et /\ E. p
        ta ) ) $=
      ( w3a wa wex w-bnj17 19.42v bnj258 exbii df-bnj17 3bitr4i ) BADFZCGZEHOCE
      HZGBACDIZEHBADQIOCEJRPEBACDKLBADQMN $.
  $}

  ${
    bnj1023.1 $e |- E. x ( ph -> ps ) $.
    bnj1023.2 $e |- ( ps -> ch ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1023 $p |- E. x ( ph -> ch ) $=
      ( wi wa wal wex a1i ax-gen exintr mp2 pm3.33 bnj101 ) ABGZBCGZHZACGDQRGZD
      IQDJSDJTDRQFKLEQRDMNABCOP $.
  $}

  ${
    bnj1095.1 $e |- ( ph <-> A. x e. A ps ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1095 $p |- ( ph -> A. x ph ) $=
      ( wral hbra1 hbxfrbi ) ABCDFCEBCDGH $.
  $}

  ${
    $d ch x $.  $d ta x $.  $d th x $.
    bnj1096.1 $e |- ( ph -> A. x ph ) $.
    bnj1096.2 $e |- ( ps <-> ( ch /\ th /\ ta /\ ph ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1096 $p |- ( ps -> A. x ps ) $=
      ( w-bnj17 ax-5 bnj982 hbxfrbi ) BCDEAIFHCDEAFCFJDFJEFJGKL $.
  $}

  ${
    $d D j $.  $d i j $.  $d j n $.
    bnj1098.1 $e |- D = ( _om \ { (/) } ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1098 $p |- E. j ( ( i =/= (/) /\ i e. n /\ n e. D ) -> ( j e. n /\ i =
        suc j ) ) $=
      ( cv c0 wne wel wcel w3a com csuc wceq wa wi wrex wex 3anrev df-3an bitri
      simpr bnj923 adantr elnn syl2anc anim1i sylbi df-rex imbi2i 19.37v bitr4i
      syl mpbi ancr bnj101 vex bnj216 ad2antlr simpr2 word 3simpc ancomd adantl
      nnsuc nnord ordtr1 4syl mp2and simplr jca bnj1023 ) BFZGHZBDIZDFZAJZKZCFZ
      LJZVMVSMNZOZVROZCDIZWAOCVRWBPZVRWCPCVRWACLQZPZWECRZVRVMLJZVNOZWFVRVQVOOZV
      NOZWJVRVQVOVNKWLVNVOVQSVQVOVNTUAWKWIVNWKVOVPLJZWIVQVOUBVQWMVOADEUCUDZVMVP
      UEUFUGUHCVMVEUMWGVRWBCRZPWHWFWOVRWACLUIUJVRWBCUKULUNVRWBUOUPWCWDWAWCCBIZV
      OWDWAWPVTVRVMVSCUQURUSWBVNVOVQUTWCWKWMVPVAWPVOOWDPVRWKWBVRVOVQVNVOVQVBVCV
      DWNVPVFVSVMVPVGVHVIVTWAVRVJVKVL $.
  $}

  ${
    bnj1101.1 $e |- E. x ( ph -> ps ) $.
    bnj1101.2 $e |- ( ch -> ph ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1101 $p |- E. x ( ch -> ps ) $=
      ( wi wex wa pm3.42 bnj101 pm4.71i imbi1i exbii mpbir ) CBGZDHCAIZBGZDHABG
      RDECABJKPRDCQBCAFLMNO $.
  $}

  ${
    $d C x $.  $d D x $.
    bnj1113.1 $e |- ( A = B -> C = D ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1113 $p |- ( A = B -> U_ x e. C E = U_ x e. D E ) $=
      ( wceq iuneq1d ) BCHADEFGI $.
  $}

  ${
    bnj1109.1 $e |- E. x ( ( A =/= B /\ ph ) -> ps ) $.
    bnj1109.2 $e |- ( ( A = B /\ ph ) -> ps ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1109 $p |- E. x ( ph -> ps ) $=
      ( wceq wi wne wa wex wal ex a1i ax-gen impexp exbii mpbi exintr mp2 df-ne
      exancom wn imbi1i pm2.61 imp sylan2b bnj101 ) DEHZABIZIZDEJZUKIZKZUKCUNUL
      KCLZUOCLUNULIZCMUNCLZUPUQCULUNUJABGNOPUMAKBIZCLURFUSUNCUMABQRSUNULCTUAUNU
      LCUCSUNULUJUDZUKIZUKUMUTUKDEUBUEULVAUKUJUKUFUGUHUI $.
  $}

  ${
    bnj1131.1 $e |- ( ph -> A. x ph ) $.
    bnj1131.2 $e |- E. x ph $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1131 $p |- ph $=
      ( wex 19.9h mpbi ) ABEADABCFG $.
  $}

  ${
    bnj1138.1 $e |- A = ( B u. C ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1138 $p |- ( X e. A <-> ( X e. B \/ X e. C ) ) $=
      ( wcel cun wo eleq2i elun bitri ) DAFDBCGZFDBFDCFHALDEIDBCJK $.
  $}

  ${
    bnj1142.1 $e |- ( ph -> A. x ( x e. A -> ps ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1142 $p |- ( ph -> A. x e. A ps ) $=
      ( cv wcel wi wal wral df-ral sylibr ) ACFDGBHCIBCDJEBCDKL $.
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1143 $p |- U_ x e. A B C_ B $=
      ( vy vz c0 wceq cv wcel wrex cab df-iun wn wal notnotb neq0 xchbinx sylbi
      wex notbii ciun wss wa df-rex exsimpl con3i alrimiv eqeq1i eleq2i 3bitr3i
      exbii alnex abid albii 3bitr2i sylibr syl5eq 0ss eqsstrdi iunconst eqimss
      wne syl pm2.61ine ) ABCUAZCUBZBFBFGZVEFCVGVEDHCIABJDKZFADBCLZVGEHZCIZABJZ
      MZENZVHFGZVGVMEVGAHBIZASZMVMVGVGMVQVGOABPQVLVQVLVPVKUCASVQVKABUDVPVKAUERU
      FRUGVOVJVLEKZIZESZMVSMZENVNVOVOMZVTVOOVEFGZMVJVEIZESWBVTEVEPWCVOVEVHFVIUH
      TWDVSEVEVRVJAEBCLUIUKUJQVSEULWAVMEVSVLVLEUMTUNUOUPUQCURUSBFVBVECGVFABCUTV
      ECVAVCVD $.
  $}

  ${
    $d A w y $.  $d B w x y $.
    bnj1146.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1146 $p |- U_ x e. A B C_ B $=
      ( vw ciun cv wcel wrex cab wa wex nfv nf5i nfan weq eleq1w df-rex df-iun
      anbi1d cbvexv1 3bitr4i abbii 3eqtr4i bnj1143 eqsstri ) ACDGZBCDGZDFHDIZAC
      JZFKUJBCJZFKUHUIUKULFAHCIZUJLZAMBHCIZUJLZBMUKULUNUPABUNBNUOUJAUOAEOUJANPA
      BQUMUOUJABCRUAUBUJACSUJBCSUCUDAFCDTBFCDTUEBCDUFUG $.
  $}

  ${
    bnj1149.1 $e |- ( ph -> A e. _V ) $.
    bnj1149.2 $e |- ( ph -> B e. _V ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1149 $p |- ( ph -> ( A u. B ) e. _V ) $=
      ( cvv wcel cun unexg syl2anc ) ABFGCFGBCHFGDEBCFFIJ $.
  $}

  ${
    $d B w y z $.  $d B x y z $.  $d R w y z $.  $d R x y z $.
    bnj1185.1 $e |- ( ph -> E. z e. B A. w e. B -. w R z ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1185 $p |- ( ph -> E. x e. B A. y e. B -. y R x ) $=
      ( cv wbr wn wral wrex weq breq1 notbid wcel wa wex df-rex cbvralvw rexbii
      sylib eleq1w breq2 ralbidv anbi12d cbvexvw 3bitr4ri sylibr ) ACIZDIZGJZKZ
      CFLZDFMZUKBIZGJZKZCFLZBFMZAEIZULGJZKZEFLZDFMUPHVEUODFVDUNECFECNVCUMVBUKUL
      GOPUAUBUCULFQZUORZDSUQFQZUTRZBSUPVAVGVIDBDBNZVFVHUOUTDBFUDVJUNUSCFVJUMURU
      LUQUKGUEPUFUGUHUODFTUTBFTUIUJ $.
  $}

  ${
    bnj1196.1 $e |- ( ph -> E. x e. A ps ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1196 $p |- ( ph -> E. x ( x e. A /\ ps ) ) $=
      ( wrex cv wcel wa wex df-rex sylib ) ABCDFCGDHBICJEBCDKL $.
  $}

  ${
    bnj1198.1 $e |- ( ph -> E. x ps ) $.
    bnj1198.2 $e |- ( ps' <-> ps ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1198 $p |- ( ph -> E. x ps' ) $=
      ( wex exbii sylibr ) ABCGDCGEDBCFHI $.
  $}

  ${
    $d ch x $.
    bnj1209.1 $e |- ( ch -> E. x e. B ph ) $.
    bnj1209.2 $e |- ( th <-> ( ch /\ x e. B /\ ph ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1209 $p |- ( ch -> E. x th ) $=
      ( cv wcel wa wex bnj1196 ancli 19.42v sylibr w3a 3anass bitri bnj1198 ) B
      BDHEIZAJZJZDCBBUADKZJUBDKBUCBADEFLMBUADNOCBTAPUBGBTAQRS $.
  $}

  ${
    bnj1211.1 $e |- ( ph -> A. x e. A ps ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1211 $p |- ( ph -> A. x ( x e. A -> ps ) ) $=
      ( wral cv wcel wi wal df-ral sylib ) ABCDFCGDHBICJEBCDKL $.
  $}

  ${
    bnj1213.1 $e |- A C_ B $.
    bnj1213.2 $e |- ( th -> x e. A ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1213 $p |- ( th -> x e. B ) $=
      ( cv sselid ) ACDBGEFH $.
  $}

  ${
    $d A x $.
    bnj1212.1 $e |- B = { x e. A | ph } $.
    bnj1212.2 $e |- ( th <-> ( ch /\ x e. B /\ ta ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1212 $p |- ( th -> x e. A ) $=
      ( ssrab3 cv wcel simp2bi bnj1213 ) CEGFAEFGHJCBEKGLDIMN $.
  $}

  ${
    bnj1219.1 $e |- ( ch <-> ( ph /\ ps /\ ze ) ) $.
    bnj1219.2 $e |- ( th <-> ( ch /\ ta /\ et ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1219 $p |- ( th -> ps ) $=
      ( simp2bi bnj835 ) CEFBDICABGHJK $.
  $}

  ${
    bnj1224.1 $e |- -. ( th /\ ta /\ et ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1224 $p |- ( ( th /\ ta ) -> -. et ) $=
      ( wa w3a df-3an mtbi imnani ) ABEZCABCFJCEDABCGHI $.
  $}

  ${
    $d x y $.
    bnj1230.1 $e |- B = { x e. A | ph } $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1230 $p |- ( y e. B -> A. x y e. B ) $=
      ( crab nfrab1 nfcxfr nfcrii ) BCEBEABDGFABDHIJ $.
  $}

  ${
    bnj1232.1 $e |- ( ph <-> ( ps /\ ch /\ th /\ ta ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1232 $p |- ( ph -> ps ) $=
      ( w-bnj17 bnj642 sylbi ) ABCDEGBFBCDEHI $.
  $}

  ${
    bnj1235.1 $e |- ( ph <-> ( ps /\ ch /\ th /\ ta ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1235 $p |- ( ph -> ch ) $=
      ( id bnj770 ) BCDECAFCGH $.
  $}

  $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
     3-Jun-2011.)  (New usage is discouraged.) $)
  bnj1239 $p |- ( E. x e. A ( ps /\ ch ) -> E. x e. A ps ) $=
    ( wa simpl reximi ) ABEACDABFG $.

  ${
    bnj1238.1 $e |- ( ph <-> E. x e. A ( ps /\ ch ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1238 $p |- ( ph -> E. x e. A ps ) $=
      ( wa wrex bnj1239 sylbi ) ABCGDEHBDEHFBCDEIJ $.
  $}

  ${
    bnj1241.1 $e |- ( ph -> A C_ B ) $.
    bnj1241.2 $e |- ( ps -> C = A ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1241 $p |- ( ( ph /\ ps ) -> C C_ B ) $=
      ( wa wceq eqcomd adantl wss adantr eqsstrrd ) ABHECDBCEIABECGJKACDLBFMN
      $.
  $}

  ${
    bnj1247.1 $e |- ( ph <-> ( ps /\ ch /\ th /\ ta ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1247 $p |- ( ph -> th ) $=
      ( id bnj771 ) BCDEDAFDGH $.
  $}

  ${
    bnj1254.1 $e |- ( ph <-> ( ps /\ ch /\ th /\ ta ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1254 $p |- ( ph -> ta ) $=
      ( w-bnj17 id bnj708 sylbi ) ABCDEGEFBCDEEEHIJ $.
  $}

  ${
    bnj1262.1 $e |- A C_ B $.
    bnj1262.2 $e |- ( ph -> C = A ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1262 $p |- ( ph -> C C_ B ) $=
      ( eqsstrdi ) ADBCFEG $.
  $}

  ${
    bnj1266.1 $e |- ( ch -> E. x ( ph /\ ps ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1266 $p |- ( ch -> E. x ps ) $=
      ( wa simpr bnj593 ) CABFBDEABGH $.
  $}

  ${
    $d ps x $.
    bnj1265.1 $e |- ( ph -> E. x e. A ps ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1265 $p |- ( ph -> ps ) $=
      ( cv wcel bnj1196 bnj1266 bnj937 ) ABCCFDGBACABCDEHIJ $.
  $}

  ${
    bnj1275.1 $e |- ( ph -> E. x ( ps /\ ch ) ) $.
    bnj1275.2 $e |- ( ph -> A. x ph ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1275 $p |- ( ph -> E. x ( ph /\ ps /\ ch ) ) $=
      ( wa w3a bnj596 3anass bnj1198 ) AABCGZGDABCHALDFEIABCJK $.
  $}

  ${
    bnj1276.1 $e |- ( ph -> A. x ph ) $.
    bnj1276.2 $e |- ( ps -> A. x ps ) $.
    bnj1276.3 $e |- ( ch -> A. x ch ) $.
    bnj1276.4 $e |- ( th <-> ( ph /\ ps /\ ch ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1276 $p |- ( th -> A. x th ) $=
      ( w3a hb3an hbxfrbi ) DABCJEIABCEFGHKL $.
  $}

  ${
    bnj1292.1 $e |- A = ( B i^i C ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1292 $p |- A C_ B $=
      ( cin inss1 eqsstri ) ABCEBDBCFG $.
  $}

  ${
    bnj1293.1 $e |- A = ( B i^i C ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1293 $p |- A C_ C $=
      ( cin inss2 eqsstri ) ABCECDBCFG $.
  $}

  ${
    bnj1294.1 $e |- ( ph -> A. x e. A ps ) $.
    bnj1294.2 $e |- ( ph -> x e. A ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1294 $p |- ( ph -> ps ) $=
      ( cv wcel wral wi wal df-ral sp impcom sylan2b syl2anc ) ACGDHZBCDIZBFERQ
      QBJZCKZBBCDLTQBSCMNOP $.
  $}

  ${
    bnj1299.1 $e |- ( ph -> E. x e. A ( ps /\ ch ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1299 $p |- ( ph -> E. x e. A ps ) $=
      ( wa wrex bnj1239 syl ) ABCGDEHBDEHFBCDEIJ $.
  $}

  ${
    bnj1304.1 $e |- ( ph -> E. x ps ) $.
    bnj1304.2 $e |- ( ps -> ch ) $.
    bnj1304.3 $e |- ( ps -> -. ch ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1304 $p |- -. ph $=
      ( wn wa wex wal notnotb anbi2i exbii ioran exnal 3bitr2ri notbii exancom
      wo 3bitri exmid mpgbi jca bnj593 mto ) ACCHZIZDJZCUGTZUIHZDUJDKZULHZHUGCI
      ZDJZHUKULLUMUOUOUGUGHZIZDJUJHZDJUMUNUQDCUPUGCLMNURUQDCUGONUJDPQRUOUIUGCDS
      RUACUBUCABUHDEBCUGFGUDUEUF $.
  $}

  ${
    $d A y $.  $d B y $.  $d x y $.
    bnj1316.1 $e |- ( y e. A -> A. x y e. A ) $.
    bnj1316.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1316 $p |- ( A = B -> U_ x e. A C = U_ x e. B C ) $=
      ( wceq nfcii nfeq nf5ri bnj956 ) ACDECDHAACDABCFIABDGIJKL $.
  $}

  ${
    $d x y $.
    bnj1317.1 $e |- A = { x | ph } $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1317 $p |- ( y e. A -> A. x y e. A ) $=
      ( cab hbab1 hbxfreq ) BCDABFEABCGH $.
  $}

  $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
     3-Jun-2011.)  (New usage is discouraged.) $)
  bnj1322 $p |- ( A = B -> ( A i^i B ) = A ) $=
    ( wceq wss cin eqimss df-ss sylib ) ABCABDABEACABFABGH $.

  ${
    bnj1340.1 $e |- ( ps -> E. x th ) $.
    bnj1340.2 $e |- ( ch <-> ( ps /\ th ) ) $.
    bnj1340.3 $e |- ( ps -> A. x ps ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1340 $p |- ( ps -> E. x ch ) $=
      ( wa bnj596 bnj1198 ) AACHDBACDGEIFJ $.
  $}

  ${
    bnj1345.1 $e |- ( ph -> E. x ( ps /\ ch ) ) $.
    bnj1345.2 $e |- ( th <-> ( ph /\ ps /\ ch ) ) $.
    bnj1345.3 $e |- ( ph -> A. x ph ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1345 $p |- ( ph -> E. x th ) $=
      ( w3a bnj1275 bnj1198 ) AABCIEDABCEFHJGK $.
  $}

  ${
    $d ph x $.  $d ps x $.
    bnj1350.1 $e |- ( ch -> A. x ch ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1350 $p |- ( ( ph /\ ps /\ ch ) -> A. x ( ph /\ ps /\ ch ) ) $=
      ( ax-5 hb3an ) ABCDADFBDFEG $.
  $}

  ${
    $d ps x $.
    bnj1351.1 $e |- ( ph -> A. x ph ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1351 $p |- ( ( ph /\ ps ) -> A. x ( ph /\ ps ) ) $=
      ( ax-5 hban ) ABCDBCEF $.
  $}

  ${
    $d ph x $.
    bnj1352.1 $e |- ( ps -> A. x ps ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1352 $p |- ( ( ph /\ ps ) -> A. x ( ph /\ ps ) ) $=
      ( ax-5 hban ) ABCACEDF $.
  $}

  ${
    $d A x $.  $d B x $.
    bnj1361.1 $e |- ( ph -> A. x ( x e. A -> x e. B ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1361 $p |- ( ph -> A C_ B ) $=
      ( cv wcel wi wal wss dfss2 sylibr ) ABFZCGMDGHBICDJEBCDKL $.
  $}

  ${
    $d A x y $.
    bnj1366.1 $e |- ( ps <-> ( A e. _V /\ A. x e. A E! y ph /\ B = { y | E. x
        e. A ph } ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (Proof shortened by Mario Carneiro, 22-Dec-2016.)
       (New usage is discouraged.) $)
    bnj1366 $p |- ( ps -> B e. _V ) $=
      ( cio cmpt crn cvv wrex cab wcel weu wral wceq cv wb syl simp3bi wal nfcv
      simp2bi nfeu1 nfralw nfra1 wa rspa iota1 eqcom bitrdi rexbida abid iotaex
      eqid elrnmpti 3bitr4g alrimi nfab1 nfiota1 nfmpt nfrn cleqf eqtrd simp1bi
      sylibr mptexg rnexg 3syl eqeltrd ) BFCEADHZIZJZKBFACELZDMZVNBEKNZADOZCEPZ
      FVPQZGUABDRZVPNZWAVNNZSZDUBZVPVNQBVSWEBVQVSVTGUDVSWDDVRDCEDEUCZADUEUFVSVO
      WAVLQZCELWBWCVSAWGCEVRCEUGVSCRENUHVRAWGSVRCEUIVRAVLWAQWGADUJVLWAUKULTUMVO
      DUNCEVLWAVMVMUPADUOUQURUSTDVPVNVODUTDVMDCEVLWFADVAVBVCVDVGVEBVQVMKNVNKNBV
      QVSVTGVFCEVLKVHVMKVIVJVK $.
  $}

  ${
    $d A f g x y z $.  $d D x $.  $d g ph $.  $d ps x y z $.
    bnj1379.1 $e |- ( ph <-> A. f e. A Fun f ) $.
    bnj1379.2 $e |- D = ( dom f i^i dom g ) $.
    bnj1379.3 $e |- ( ps <-> ( ph /\ A. f e. A A. g e. A ( f |` D ) = ( g |` D
        ) ) ) $.
    bnj1379.5 $e |- ( ch <-> ( ps /\ <. x , y >. e. U. A /\ <. x , z >. e. U. A
        ) ) $.
    bnj1379.6 $e |- ( th <-> ( ch /\ f e. A /\ <. x , y >. e. f ) ) $.
    bnj1379.7 $e |- ( ta <-> ( th /\ g e. A /\ <. x , z >. e. g ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1379 $p |- ( ps -> Fun U. A ) $=
      ( wcel bnj835 cuni wrel cv cop wa wceq wi wal wfun wral cres bnj1095 nf5i
      nfra1 nfan bnj946 biimpi 19.21bi bnj832 funrel syl6 ralrimi reluni sylibr
      nfxfr w3a wex wrex eluni2 bnj1196 bnj836 nfv nf3an bnj1345 simp3bi nfra2w
      nf5ri syl cfv simprbi bnj1219 bnj1294 simp2bi fveq1d cdm cin opeldm elind
      bnj837 eleqtrrdi fvresd 3eqtr3d funopfv sylc rspcdva bnj593 bnj937 sylbir
      vex funeq 3expib alrimivv alrimiv dffun4 sylanbrc ) BIUAZUBZFUCZGUCZUDZXF
      SZXHHUCZUDZXFSZUEXIXLUFZUGZHUHGUHZFUHXFUIBKUCZUBZKIUJXGBXSKIBAXRJUKZLUCZJ
      UKZUFZLIUJZKIUJZUEZKOAYEKAKAXRUIZKIMULUMYDKIUNUOVEZBXRISZYGXSAYEYIYGUGZBO
      AYJKAYJKUHAYGKIMUPUQURUSXRUTVAVBKIVCVDBXQFBXPGHBXKXNXOBXKXNVFZCXOPCXOKCDX
      OKCYIXJXRSZDKBXKXNYIYLUEKVGCPXKYLKIXKYLKIVHKXJIVIUQVJVKQCKCYKKPBXKXNKYHXK
      KVLXNKVLVMVEVQVNDXOLDEXOLDYAISZXMYASZELDXNYMYNUELVGCYIYLXNDQCBXKXNPVOTXNY
      NLIXNYNLIVHLXMIVIUQVJVRRDLDCYIYLVFLQCYIYLLCYKLPBXKXNLBYFLOAYELALVLYCKLIIV
      PUOVEXKLVLXNLVLVMVEYILVLYLLVLVMVEVQVNEXHXRVSZXHYAVSZXIXLEXHXTVSXHYBVSYOYP
      EXHXTYBEYCLIEYDKIDYMYNYEERCYIYLYEDQBXKXNYECPBAYEOVTTTTCYIDEYMYNYLQRWAZWBE
      DYMYNRWCZWBWDEXHJXREXHXRWEZYAWEZWFJEYSYTXHEYLXHYSSDYMYNYLERDCYIYLQVOTZXHX
      IXRFWSZGWSWGVRDYMYNXHYTSERXHXLYAUUBHWSWGWIWHNWJZWKEXHJYAUUCWKWLEYGYLYOXIU
      FEYGKIDYMYNYGKIUJZERCYIYLUUDDQBXKXNUUDCPAYEUUDBOAUUDMUQUSTTTZYQWBUUAXHXIX
      RWMWNEYAUIZYNYPXLUFEYGUUFKIYAXRYAWTUUEYRWOEDYMYNRVOXHXLYAWMWNWLWPWQWPWQWR
      XAXBXCFGHXFXDXE $.
  $}

  ${
    $d A f g x y z $.  $d D x $.  $d g ph $.  $d ps x y z $.
    bnj1383.1 $e |- ( ph <-> A. f e. A Fun f ) $.
    bnj1383.2 $e |- D = ( dom f i^i dom g ) $.
    bnj1383.3 $e |- ( ps <-> ( ph /\ A. f e. A A. g e. A ( f |` D ) = ( g |` D
        ) ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1383 $p |- ( ps -> Fun U. A ) $=
      ( vx vy vz cv cop cuni wcel w3a biid bnj1379 ) ABBJMZKMNZCOZPTLMNZUBPQZUD
      EMZCPUAUEPQZUFFMZCPUCUGPQZJKLCDEFGHIUDRUFRUHRS $.
  $}

  ${
    $d A g h x $.  $d D h $.  $d E f $.  $d f g h x $.  $d g ph' $.
    bnj1385.1 $e |- ( ph <-> A. f e. A Fun f ) $.
    bnj1385.2 $e |- D = ( dom f i^i dom g ) $.
    bnj1385.3 $e |- ( ps <-> ( ph /\ A. f e. A A. g e. A ( f |` D ) = ( g |` D
        ) ) ) $.
    bnj1385.4 $e |- ( x e. A -> A. f x e. A ) $.
    bnj1385.5 $e |- ( ph' <-> A. h e. A Fun h ) $.
    bnj1385.6 $e |- E = ( dom h i^i dom g ) $.
    bnj1385.7 $e |- ( ps' <-> ( ph' /\ A. h e. A A. g e. A ( h |` E ) = ( g |`
        E ) ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1385 $p |- ( ps -> Fun U. A ) $=
      ( cres wral cuni wfun cv wceq wa wcel wi wal nfv nfcii nfcri eleq1w funeq
      nfim imbi12d cbvalv1 df-ral 3bitr4i nfralw cdm cin ineq1d 3eqtr4g reseq2d
      dmeq reseq1 eqtrd eqeq12d ralbidv anbi12i bnj1383 sylbi ) BKDUAUBAFUCZESZ
      GUCZESZUDZGDTZFDTZUEJHUCZISZVOISZUDZGDTZHDTZUEBKAJVSWEVMUBZFDTZVTUBZHDTZA
      JVMDUFZWFUGZFUHVTDUFZWHUGZHUHWGWIWKWMFHWKHUIWLWHFFHDFCDOUJZUKZWHFUIUNVMVT
      UDZWJWLWFWHFHDULZVMVTUMUOUPWFFDUQWHHDUQURLPURWJVRUGZFUHWLWDUGZHUHVSWEWRWS
      FHWRHUIWLWDFWOWCFGDWNWCFUIUSUNWPWJWLVRWDWQWPVQWCGDWPVNWAVPWBWPVNVMISWAWPE
      IVMWPVMUTZVOUTZVAVTUTZXAVAEIWPWTXBXAVMVTVEVBMQVCZVDVMVTIVFVGWPEIVOXCVDVHV
      IUOUPVRFDUQWDHDUQURVJNRURJKDIHGPQRVKVL $.
  $}

  ${
    $d A g h x $.  $d D h $.  $d f g h x $.
    bnj1386.1 $e |- ( ph <-> A. f e. A Fun f ) $.
    bnj1386.2 $e |- D = ( dom f i^i dom g ) $.
    bnj1386.3 $e |- ( ps <-> ( ph /\ A. f e. A A. g e. A ( f |` D ) = ( g |` D
        ) ) ) $.
    bnj1386.4 $e |- ( x e. A -> A. f x e. A ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1386 $p |- ( ps -> Fun U. A ) $=
      ( vh cv cdm cin wfun wral cres wceq biid wa eqid bnj1385 ) ABCDEFGLLMZNGM
      ZNOZUDPLDQZUGUDUFRUEUFRSGDQLDQUAZHIJKUGTUFUBUHTUC $.
  $}

  ${
    bnj1397.1 $e |- ( ph -> E. x ps ) $.
    bnj1397.2 $e |- ( ps -> A. x ps ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1397 $p |- ( ph -> ps ) $=
      ( wex 19.9h sylib ) ABCFBDBCEGH $.
  $}

  ${
    $d A y z $.  $d x y z $.
    bnj1400.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1400 $p |- dom U. A = U_ x e. A dom x $=
      ( vz cuni cdm cv ciun dmuni wcel wrex cab df-iun nfcv nfv weq dmeq eqtr4i
      nfcii eleq2d cbvrexfw abbii ) CFGECEHZGZIZACAHZGZIZECJUIBHZUHKZACLZBMZUFA
      BCUHNUFUJUEKZECLZBMUMEBCUENULUOBUKUNAECABCDTECOUKEPUNAPAEQUHUEUJUGUDRUAUB
      UCSSS $.
  $}

  ${
    $d X y $.
    bnj1405.1 $e |- ( ph -> X e. U_ y e. A B ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1405 $p |- ( ph -> E. y e. A X e. B ) $=
      ( ciun wcel wrex eliun sylib ) AEBCDGHEDHBCIFBECDJK $.
  $}

  ${
    bnj1422.1 $e |- ( ph -> Fun A ) $.
    bnj1422.2 $e |- ( ph -> dom A = B ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1422 $p |- ( ph -> A Fn B ) $=
      ( wfun cdm wceq wfn df-fn sylanbrc ) ABFBGCHBCIDEBCJK $.
  $}

  ${
    bnj1424.1 $e |- A = ( B u. C ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1424 $p |- ( D e. A -> ( D e. B \/ D e. C ) ) $=
      ( wcel wo bnj1138 biimpi ) DAFDBFDCFGABCDEHI $.
  $}

  ${
    bnj1436.1 $e |- A = { x | ph } $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1436 $p |- ( x e. A -> ph ) $=
      ( cv wcel abeq2i biimpi ) BECFAABCDGH $.
  $}

  ${
    $d x y $.  $d y z $.
    bnj1441.1 $e |- ( x e. A -> A. y x e. A ) $.
    bnj1441.2 $e |- ( ph -> A. y ph ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  Add disjoint variable condition to avoid ~ ax-13 .  See
       ~ bnj1441g for a less restrictive version requiring more axioms.
       (Revised by Gino Giotto, 20-Jan-2024.)  (New usage is discouraged.) $)
    bnj1441 $p |- ( z e. { x e. A | ph } -> A. y z e. { x e. A | ph } ) $=
      ( crab cv wcel wa cab df-rab hban hbab hbxfreq ) CDABEHBIEJZAKZBLABEMRCBD
      QACFGNOP $.
    $( $j usage 'bnj1441' avoids 'ax-13'; $)
  $}

  ${
    $d y z $.
    bnj1441g.1 $e |- ( x e. A -> A. y x e. A ) $.
    bnj1441g.2 $e |- ( ph -> A. y ph ) $.
    $( First-order logic and set theory.  See ~ bnj1441 for a version with more
       disjoint variable conditions, but not requiring ~ ax-13 .  (Contributed
       by Jonathan Ben-Naim, 3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1441g $p |- ( z e. { x e. A | ph } -> A. y z e. { x e. A | ph } ) $=
      ( crab cv wcel wa cab df-rab hban hbabg hbxfreq ) CDABEHBIEJZAKZBLABEMRCB
      DQACFGNOP $.
  $}

  ${
    bnj1454.1 $e |- A = { x | ph } $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1454 $p |- ( B e. _V -> ( B e. A <-> [. B / x ]. ph ) ) $=
      ( cvv wcel cab wsbc eleq2i wb df-sbc a1i bitr4id ) DFGZDCGDABHZGZABDIZCPD
      EJRQKOABDLMN $.
  $}

  ${
    $d ph x $.
    bnj1459.1 $e |- ( ps <-> ( ph /\ x e. A ) ) $.
    bnj1459.2 $e |- ( ps -> ch ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1459 $p |- ( ph -> A. x e. A ch ) $=
      ( cv wcel wa sylbir ralrimiva ) ACDEADHEIJBCFGKL $.
  $}

  ${
    $d A x $.  $d V x $.
    bnj1464.1 $e |- ( ps -> A. x ps ) $.
    bnj1464.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit class substitution.
       (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj1464 $p |- ( A e. V -> ( [. A / x ]. ph <-> ps ) ) $=
      ( nf5i sbciegf ) ABCDEBCFHGI $.
  $}

  ${
    $d A x $.  $d V x $.
    bnj1465.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    bnj1465.2 $e |- ( ps -> A. x ps ) $.
    bnj1465.3 $e |- ( ch -> ps ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1465 $p |- ( ( ch /\ A e. V ) -> E. x ph ) $=
      ( wcel wa wsbc adantr wb bnj1464 adantl mpbird spesbcd ) CEFJZKZADETADELZ
      BCBSIMSUABNCABDEFHGOPQR $.
  $}

  ${
    $d A y $.  $d V y $.  $d ph y $.  $d ps y $.  $d x y $.
    bnj1468.1 $e |- ( ps -> A. x ps ) $.
    bnj1468.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    bnj1468.3 $e |- ( y e. A -> A. x y e. A ) $.
    $( Conversion of implicit substitution to explicit class substitution.
       (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj1468 $p |- ( A e. V -> ( [. A / x ]. ph <-> ps ) ) $=
      ( wsbc cv wcel sbccow ax-5 wceq wb wi nfcii nfeq2 nfsbc1v nf5i nfbi nf5ri
      nfim weq ax6ev eqeq1 syl6bir sbceq1a bibi1d sylibd bnj101 bnj1131 bnj1464
      bitr3id ) ACEJACDKZJZDEJEFLBACDEMUQBDEFBDNUPEOZUQBPZQZCUTCURUSCCUPECDEIRS
      UQBCACUPTBCGUAUBUDUCCDUEZUTCCDUFVAURABPZUSVAURCKZEOVBVCUPEUGHUHVAAUQBACUP
      UIUJUKULUMUNUO $.
  $}

  ${
    bnj1476.1 $e |- D = { x e. A | -. ph } $.
    bnj1476.2 $e |- ( ps -> D = (/) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1476 $p |- ( ps -> A. x e. A ph ) $=
      ( cv wcel wn wi c0 wceq wal crab nfrab1 nfcxfr eq0f sylib wa rabeq2i iman
      notbii sylbb2 sylg bnj1142 ) BACDBCHZEIZJZUGDIZAKZCBELMUICNGCECEAJZCDOFUL
      CDPQRSUIUJULTZJUKUHUMULCEDFUAUCUJAUBUDUEUF $.
  $}

  ${
    bnj1502.1 $e |- ( ph -> Fun F ) $.
    bnj1502.2 $e |- ( ph -> G C_ F ) $.
    bnj1502.3 $e |- ( ph -> A e. dom G ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1502 $p |- ( ph -> ( F ` A ) = ( G ` A ) ) $=
      ( wfun wss cdm wcel cfv wceq funssfv syl3anc ) ACHDCIBDJKBCLBDLMEFGBCDNO
      $.
  $}

  ${
    bnj1503.1 $e |- ( ph -> Fun F ) $.
    bnj1503.2 $e |- ( ph -> G C_ F ) $.
    bnj1503.3 $e |- ( ph -> A C_ dom G ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1503 $p |- ( ph -> ( F |` A ) = ( G |` A ) ) $=
      ( wfun wss cdm cres wceq fun2ssres syl3anc ) ACHDCIBDJICBKDBKLEFGBCDMN $.
  $}

  ${
    bnj1517.1 $e |- A = { x | ( ph /\ ps ) } $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1517 $p |- ( x e. A -> ps ) $=
      ( cv wcel wa bnj1436 simprd ) CFDGABABHCDEIJ $.
  $}

  ${
    bnj1521.1 $e |- ( ch -> E. x e. B ph ) $.
    bnj1521.2 $e |- ( th <-> ( ch /\ x e. B /\ ph ) ) $.
    bnj1521.3 $e |- ( ch -> A. x ch ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1521 $p |- ( ch -> E. x th ) $=
      ( cv wcel bnj1196 bnj1345 ) BDIEJACDBADEFKGHL $.
  $}

  ${
    bnj1533.1 $e |- ( th -> A. z e. B -. z e. D ) $.
    bnj1533.2 $e |- B C_ A $.
    bnj1533.3 $e |- D = { z e. A | C =/= E } $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1533 $p |- ( th -> A. z e. B C = E ) $=
      ( wceq cv wcel wn wi bnj1211 wne wa imbi2i impexp rabeq2i imnan nne sseli
      notbii 3bitr2i imim1i ax-1 anim1i simpr simpl mpd jca impbii 3bitr3i mpbi
      imbi1i sylbi sylg bnj1142 ) AEGKZBDABLZDMZVBFMZNZOZVCVAOZBAVEBDHPVFVCVBCM
      ZVAOZOZVGVEVIVCVEVHEGQZRZNVHVKNZOVIVDVLVKBFCJUAUEVHVKUBVMVAVHEGUCSUFSVIVG
      OZVJVGOZVCVHVADCVBIUDUGVIVCRZVAOVJVCRZVAOVNVOVPVQVAVPVQVIVJVCVIVCUHUIVQVI
      VCVQVCVIVJVCUJZVJVCUKULVRUMUNUQVIVCVATVJVCVATUOUPURUSUT $.
  $}

  ${
    $d A w x z $.  $d F w z $.  $d H w x z $.
    bnj1534.1 $e |- D = { x e. A | ( F ` x ) =/= ( H ` x ) } $.
    bnj1534.2 $e |- ( w e. F -> A. x w e. F ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1534 $p |- D = { z e. A | ( F ` z ) =/= ( H ` z ) } $=
      ( cv cfv wne crab nfcv nfv nfcii nffv nfne weq fveq2 neeq12d cbvrabw
      eqtri ) EAJZFKZUDGKZLZADMBJZFKZUHGKZLZBDMHUGUKABDADNBDNUGBOAUIUJAUHFACFIP
      AUHNQAUJNRABSUEUIUFUJUDUHFTUDUHGTUAUBUC $.
  $}

  ${
    $d B x $.  $d F x $.  $d G x $.
    bnj1536.1 $e |- ( ph -> F Fn A ) $.
    bnj1536.2 $e |- ( ph -> G Fn A ) $.
    bnj1536.3 $e |- ( ph -> B C_ A ) $.
    bnj1536.4 $e |- ( ph -> A. x e. B ( F ` x ) = ( G ` x ) ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1536 $p |- ( ph -> ( F |` B ) = ( G |` B ) ) $=
      ( cres wceq cv cfv wral wfn wss wb fvreseq syl21anc mpbird ) AEDKFDKLZBMZ
      ENUCFNLBDOZJAECPFCPDCQUBUDRGHIBCDEFSTUA $.
  $}

  ${
    bnj1538.1 $e |- A = { x e. B | ph } $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1538 $p |- ( x e. A -> ph ) $=
      ( cv wcel rabeq2i simprbi ) BFZCGJDGAABCDEHI $.
  $}

  ${
    bnj1541.1 $e |- ( ph <-> ( ps /\ A =/= B ) ) $.
    bnj1541.2 $e |- -. ph $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1541 $p |- ( ps -> A = B ) $=
      ( wne wn wceq wa mtbi imnani nne sylib ) BCDGZHCDIBOABOJFEKLCDMN $.
  $}

  ${
    $d A x y $.  $d F w y $.  $d G w x y $.
    bnj1542.1 $e |- ( ph -> F Fn A ) $.
    bnj1542.2 $e |- ( ph -> G Fn A ) $.
    bnj1542.3 $e |- ( ph -> F =/= G ) $.
    bnj1542.4 $e |- ( w e. F -> A. x w e. F ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1542 $p |- ( ph -> E. x e. A ( F ` x ) =/= ( G ` x ) ) $=
      ( vy cv cfv wne wrex wfn wceq wn nfcv fveq2 wb wa eqfnfv necon3abid df-ne
      wral rexbii rexnal bitri bitr4di syl2anc mpbid nfcii nffv neeq12d cbvrexw
      nfv nfne sylibr ) AKLZEMZUTFMZNZKDOZBLZEMZVEFMZNZBDOAEFNZVDIAEDPZFDPZVIVD
      UAGHVJVKUBZVIVAVBQZKDUFZRZVDVLVNEFKDEFUCUDVDVMRZKDOVOVCVPKDVAVBUEUGVMKDUH
      UIUJUKULVHVCBKDVHKUQBVAVBBUTEBCEJUMBUTSUNBVBSURVEUTQVFVAVGVBVEUTETVEUTFTU
      OUPUS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Well founded induction and recursion
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x y z w $.  $d R x y z w $.  $d ph y z w $.  $d ps z $.
    bnj110.1 $e |- A e. _V $.
    bnj110.2 $e |- ( ps <-> A. y e. A ( y R x -> [. y / x ]. ph ) ) $.
    $( Well-founded induction restricted to a set ( ` A e. _V ` ).  The proof
       has been taken from Chapter 4 of Don Monk's notes on Set Theory.  See
       ~ http://euclid.colorado.edu/~~monkd/setth.pdf .  (Contributed by
       Jonathan Ben-Naim, 3-Jun-2011.)  (New usage is discouraged.) $)
    bnj110 $p |- ( ( R Fr A /\ A. x e. A ( ps -> ph ) ) -> A. x e. A ph ) $=
      ( vz vw wi wral wa wn cv wsbc wrex cvv wcel bitri wfr ralnex wb sbcng elv
      crab bicomi ralbii bitr3i cab df-rab eleq2i df-sbc sbcel1v anbi1i simprbi
      sbcan mprgbir wbr wss wne rabex biantrur rexnal rabn0 ssrab2 syl2anb eqid
      c0 fri bnj23 wal df-ral sbcbii sbcimg vex nfv sbcgfi csb sbcbr2g csbvargi
      sbcal breq2i nfsbc1v imbi12i albii 3bitr4i bnj31 nfim weq sbceq1a imbi12d
      sylibr cbvralw elrabi imim1i ralimi2 sylbi rexim syl mpan9 an32s mto iman
      mpbir ) EFUAZBAKZCELZMZACELZKXIXJNZMZNXLACIOZPZIANZCEUFZQZXQNZXOCXMPZIXPX
      RXNNZIXPLXSIXPLXNIXPUBXTXSIXPXSXTXSXTUCIACXMRUDUEUGUHUIXMXPSZXMESZXSYAXMC
      OZESZXOMZCUJZSZYBXSMZXPYFXMXOCEUKULYGYECXMPZYHYECXMUMYIYDCXMPZXSMYHYDXOCX
      MUQYJYBXSCXMEUNUOTUITUPURXFXKXHXQXFXKMZBCXMPZIXPQZXHXQYKJOXMFUSNJXPLZYLIX
      PXFXPRSZXFMXPEUTZXPVIVAZMZYNIXPQXKYOXFXOCEGVBVCXKXOCEQZYRACEVDYSYQYRXOCEV
      EYPYQXOCEVFVCUIUIIJEXPRFVJVGYNDOZXMFUSZACYTPZKZDELZYLACIJDEXPFXPVHVKYTYCF
      USZUUBKZDELZCXMPZYTESZUUCKZDVLZYLUUDUUHUUIUUFKZDVLZCXMPZUUKUUGUUMCXMUUFDE
      VMVNUUNUULCXMPZDVLUUKUULDCXMWBUUOUUJDUUOUUICXMPZUUFCXMPZKZUUJUUOUURUCIUUI
      UUFCXMRVOUEUUPUUIUUQUUCUUICXMIVPZUUICVQVRUUQUUECXMPZUUBCXMPZKZUUCUUQUVBUC
      IUUEUUBCXMRVOUEUUTUUAUVAUUBUUTYTCXMYCVSZFUSZUUAUUTUVDUCICXMYTYCFRVTUEUVCX
      MYTFCXMUUSWAWCTUUBCXMUUSACYTWDVRWETWETWFTTBUUGCXMHVNUUCDEVMWGWMWHXHYLXNKZ
      IXPLZYMXQKXHUVEIELUVFXGUVECIEXGIVQYLXNCBCXMWDACXMWDWICIWJBYLAXNBCXMWKACXM
      WKWLWNUVEUVEIEXPYAYBUVEXOCXMEWOWPWQWRYLXNIXPWSWTXAXBXCXIXJXDXE $.
  $}

  ${
    $d A x y $.  $d R x y $.  $d ph y $.
    bnj157.1 $e |- ( ps <-> A. y e. A ( y R x -> [. y / x ]. ph ) ) $.
    bnj157.2 $e |- A e. _V $.
    bnj157.3 $e |- R Fr A $.
    $( Well-founded induction restricted to a set ( ` A e. _V ` ).  The proof
       has been taken from Chapter 4 of Don Monk's notes on Set Theory.  See
       ~ http://euclid.colorado.edu/~~monkd/setth.pdf .  (Contributed by
       Jonathan Ben-Naim, 3-Jun-2011.)  (New usage is discouraged.) $)
    bnj157 $p |- ( A. x e. A ( ps -> ph ) -> A. x e. A ph ) $=
      ( wfr wi wral bnj110 mpan ) EFJBAKCELACELIABCDEFHGMN $.
  $}

  ${
    $d A f $.  $d B f g $.  $d G f g $.  $d R f $.  $d Y g $.  $d d f g $.
    $d f g x $.
    bnj66.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d ) }
        $.
    bnj66.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj66.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G ` Y
        ) ) } $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj66 $p |- ( g e. C -> Rel g ) $=
      ( cv wfn cfv cres cop wceq wrex wcel c-bnj14 wral wa wrel cab fneq1 fveq1
      reseq1 opeq2d eqtr4di fveq2d eqeq12d ralbidv anbi12d rexbidv cbvabv fnrel
      eqtr4i bnj1436 bnj1239 rexlimivw 3syl ) GNZDUAVDJNZOZANZVDPZVGVDBEVGUBZQZ
      RZHPZSZAVEUCZUDZJCTZVFJCTVDUEZVPGDDFNZVEOZVGVRPZIHPZSZAVEUCZUDZJCTZFUFVPG
      UFMVPWEGFVDVRSZVOWDJCWFVFVSVNWCVEVDVRUGWFVMWBAVEWFVHVTVLWAVGVDVRUHWFVKIHW
      FVKVGVRVIQZRIWFVJWGVGVDVRVIUIUJLUKULUMUNUOUPUQUSUTVFVNJCVAVFVQJCVEVDURVBV
      C $.
  $}

  ${
    $d A y $.  $d R y $.  $d f y $.  $d x y $.
    bnj91.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj91.2 $e |- Z e. _V $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj91 $p |- ( [. Z / y ]. ph <-> ( f ` (/) ) = _pred ( x , A , R ) ) $=
      ( wsbc c0 cv cfv c-bnj14 wceq sbcbii bnj525 bitri ) ACGJKFLMDEBLNOZCGJSAS
      CGHPSCGIQR $.
  $}

  ${
    $d A n $.  $d R n $.  $d Z i $.  $d f n $.  $d i n $.  $d n y $.
    bnj92.1 $e |- ( ps <-> A. i e. _om ( suc i e. n
        -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj92.2 $e |- Z e. _V $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj92 $p |- ( [. Z / n ]. ps
     <-> A. i e. _om ( suc i e. Z
          -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $=
      ( wsbc cv wcel cfv wi com wral cvv wb ax-mp csuc c-bnj14 ciun wceq sbcbii
      bnj538 sbcimg sbcel2gv bnj525 imbi12i bitri ralbii 3bitri ) AGHKFLZUAZGLM
      ZUOELZNBUNUQNCDBLUBUCUDZOZFPQZGHKUSGHKZFPQUOHMZUROZFPQAUTGHIUEUSFGHPJUFVA
      VCFPVAUPGHKZURGHKZOZVCHRMZVAVFSJUPURGHRUGTVDVBVEURVGVDVBSJGUOHRUHTURGHJUI
      UJUKULUM $.
  $}

  ${
    $d A x $.  $d R x $.
    $( Technical lemma for ~ bnj97 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj93 $p |- ( ( R _FrSe A /\ x e. A ) -> _pred ( x , A , R ) e. _V ) $=
      ( w-bnj15 cv c-bnj14 cvv wcel w-bnj13 wfr df-bnj15 simprbi df-bnj13 sylib
      wral r19.21bi ) BCDZBCAEFGHZABQBCIZRABOQBCJSBCKLABCMNP $.
  $}

  ${
    bnj95.1 $e |- F = { <. (/) , _pred ( x , A , R ) >. } $.
    $( Technical lemma for ~ bnj124 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj95 $p |- F e. _V $=
      ( c0 cv c-bnj14 cop csn cvv snex eqeltri ) DFBCAGHIZJKENLM $.
  $}

  ${
    $d x A $.  $d x R $.
    bnj96.1 $e |- F = { <. (/) , _pred ( x , A , R ) >. } $.
    $( Technical lemma for ~ bnj150 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (Revised by Mario Carneiro, 6-May-2015.)
       (New usage is discouraged.) $)
    bnj96 $p |- ( ( R _FrSe A /\ x e. A ) -> dom F = 1o ) $=
      ( w-bnj15 cv wcel wa c-bnj14 cop csn cdm c1o cvv wceq bnj93 dmsnopg syl
      c0 dmeqi df1o2 3eqtr4g ) BCFAGZBHIZTBCUDJZKLZMZTLZDMNUEUFOHUHUIPABCQTUFOR
      SDUGEUAUBUC $.

    $( Technical lemma for ~ bnj150 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj97 $p |- ( ( R _FrSe A /\ x e. A ) -> ( F ` (/) ) = _pred ( x , A , R )
        ) $=
      ( w-bnj15 cv wcel wa wfun c-bnj14 cop cfv wceq cvv bnj93 csn 0ex bnj519
      c0 funeqi sylibr syl opex snid eleqtrri funopfv mpisyl ) BCFAGZBHIZDJZTBC
      UIKZLZDHTDMULNUJULOHZUKABCPUNUMQZJUKTULRSDUOEUAUBUCUMUODUMTULUDUEEUFTULDU
      GUH $.
  $}

  ${
    $d i x $.
    $( Technical lemma for ~ bnj150 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj98 $p |- A. i e. _om ( suc i e. 1o -> ( F ` suc i ) = U_ y e. ( F ` i )
        _pred ( y , A , R ) ) $=
      ( vx cv csuc c1o wcel cfv c-bnj14 ciun wceq wi com c0 vex sucid csn df-un
      n0ii wo cab cun df-suc eqtri df1o2 eleq12i elsni sylbi syl5eq mto pm2.21i
      rgenw ) DGZHZIJZUQEKAUPEKBCAGLMNZODPURUSURUQQNUPUQUPDRSUBURUQFGZUPJUTUPTZ
      JUCFUDZQUQUPVAUEVBUPUFFUPVAUAUGZURVBQTZJVBQNUQVBIVDVCUHUIVBQUJUKULUMUNUO
      $.
  $}

  ${
    $d A f n $.  $d F f i y $.  $d R f n $.  $d i n y $.
    bnj106.1 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj106.2 $e |- F e. _V $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj106 $p |- ( [. F / f ]. [. 1o / n ]. ps
        <-> A. i e. _om ( suc i e. 1o -> ( F ` suc i )
            = U_ y e. ( F ` i ) _pred ( y , A , R ) ) ) $=
      ( c1o wsbc cv cfv ciun wceq wi com wral fveq1 c-bnj14 bnj105 bnj92 sbcbii
      csuc wcel bnj1113 eqeq12d imbi2d ralbidv sbcie bitri ) AGKLZEHLFMZUEZKUFZ
      UOEMZNZBUNUQNZCDBMUAZOZPZQZFRSZEHLUPUOHNZBUNHNZUTOZPZQZFRSZUMVDEHABCDEFGK
      IUBUCUDVDVJEHJUQHPZVCVIFRVKVBVHUPVKURVEVAVGUOUQHTBUQHUSVFUTUNUQHTUGUHUIUJ
      UKUL $.
  $}

  ${
    $d A n $.  $d R n $.  $d f n $.  $d n x $.
    bnj118.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj118.2 $e |- ( ph' <-> [. 1o / n ]. ph ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj118 $p |- ( ph' <-> ( f ` (/) ) = _pred ( x , A , R ) ) $=
      ( c1o wsbc c0 cv cfv c-bnj14 wceq bnj105 bnj91 bitri ) GAFJKLEMNCDBMOPIAB
      FCDEJHQRS $.
  $}

  ${
    $d A n $.  $d R n $.  $d f n $.  $d n x $.
    bnj121.1 $e |- ( ze <-> ( ( R _FrSe A /\ x e. A ) -> ( f Fn n /\ ph /\ ps )
        ) ) $.
    bnj121.2 $e |- ( ze' <-> [. 1o / n ]. ze ) $.
    bnj121.3 $e |- ( ph' <-> [. 1o / n ]. ph ) $.
    bnj121.4 $e |- ( ps' <-> [. 1o / n ]. ps ) $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj121 $p |- ( ze' <-> ( ( R _FrSe A /\ x e. A )
         -> ( f Fn 1o /\ ph' /\ ps' ) ) ) $=
      ( c1o wsbc cv w3a wi w-bnj15 wcel wa sbcbii bnj105 bnj90 bicomi 3anbi123i
      wfn sbc3an bitr4i imbi2i cvv wb nfv sbc19.21g ax-mp 3bitr4i ) CHPQEFUADRE
      UBUCZGRZHRUIZABSZTZHPQZKUSUTPUIZIJSZTZCVCHPLUDMVGUSVBHPQZTZVDVFVHUSVFVAHP
      QZAHPQZBHPQZSVHVEVJIVKJVLVJVEHGPUEUFUGNOUHVAABHPUJUKULPUMUBVDVIUNUEUSVBHP
      UMUSHUOUPUQUKUR $.
  $}

  ${
    $d A f $.  $d R f $.  $d f x z $.  $d z F $.
    bnj124.1 $e |- F = { <. (/) , _pred ( x , A , R ) >. } $.
    bnj124.2 $e |- ( ph" <-> [. F / f ]. ph' ) $.
    bnj124.3 $e |- ( ps" <-> [. F / f ]. ps' ) $.
    bnj124.4 $e |- ( ze" <-> [. F / f ]. ze' ) $.
    bnj124.5 $e |- ( ze' <-> ( ( R _FrSe A /\ x e. A ) -> ( f Fn 1o /\ ph' /\
        ps' ) ) ) $.
    $( Technical lemma for ~ bnj150 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (Proof shortened by Mario Carneiro, 22-Dec-2016.)
       (New usage is discouraged.) $)
    bnj124 $p |- ( ze"
          <-> ( ( R _FrSe A /\ x e. A ) -> ( F Fn 1o /\ ph" /\ ps" ) ) ) $=
      ( wsbc cv c1o wfn vz w-bnj15 wcel wa w3a wi sbcbii cvv wb bnj95 sbc19.21g
      nfv ax-mp fneq1 sbcie2g bicomi bnj206 imbi2i 3bitri bitri ) KHDEQZBCUBARB
      UCUDZESTZIJUEZUFZOVAVBDRZSTZFGUEZUFZDEQZVBVHDEQZUFZVEHVIDEPUGEUHUCZVJVLUI
      ABCELUJZVBVHDEUHVBDULUKUMVKVDVBVGFGDEVCIJVGDEQZVCVMVOVCUIVNVGUARZSTVCDUAE
      UHSVFVPUNSVPEUNUOUMUPMNVNUQURUSUT $.
  $}

  ${
    $d A f n $.  $d F f $.  $d R f n $.  $d f n x $.
    bnj125.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj125.2 $e |- ( ph' <-> [. 1o / n ]. ph ) $.
    bnj125.3 $e |- ( ph" <-> [. F / f ]. ph' ) $.
    bnj125.4 $e |- F = { <. (/) , _pred ( x , A , R ) >. } $.
    $( Technical lemma for ~ bnj150 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj125 $p |- ( ph" <-> ( F ` (/) ) = _pred ( x , A , R ) ) $=
      ( wsbc c0 cfv cv wceq c1o bitri c-bnj14 sbcbii bnj105 bnj91 bnj95 eqeq1d
      fveq1 sbcie ) IHEGNZOGPZCDBQUAZRZLUIAFSNZEGNZULHUMEGKUBUNOEQZPZUKRZEGNULU
      MUQEGABFCDESJUCUDUBUQULEGBCDGMUEUOGRUPUJUKOUOGUGUFUHTTT $.
  $}

  ${
    $d A f n $.  $d F f i y $.  $d R f n $.  $d i n y $.
    bnj126.1 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj126.2 $e |- ( ps' <-> [. 1o / n ]. ps ) $.
    bnj126.3 $e |- ( ps" <-> [. F / f ]. ps' ) $.
    bnj126.4 $e |- F = { <. (/) , _pred ( x , A , R ) >. } $.
    $( Technical lemma for ~ bnj150 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj126 $p |- ( ps" <-> A. i e. _om ( suc i e. 1o
        -> ( F ` suc i ) = U_ y e. ( F ` i ) _pred ( y , A , R ) ) ) $=
      ( wsbc c1o cv csuc cfv wcel c-bnj14 ciun wceq wi wral sbcbii bnj95 bnj106
      com 3bitri ) KJFIPAHQPZFIPGRZSZQUAUNITCUMITDECRUBUCUDUEGUJUFNJULFIMUGACDE
      FGHILBDEIOUHUIUK $.
  $}

  ${
    $d A n $.  $d R n $.  $d f n $.  $d n x $.
    bnj130.1 $e |- ( th <-> ( ( R _FrSe A /\ x e. A ) -> E! f ( f Fn n /\ ph /\
        ps ) ) ) $.
    bnj130.2 $e |- ( ph' <-> [. 1o / n ]. ph ) $.
    bnj130.3 $e |- ( ps' <-> [. 1o / n ]. ps ) $.
    bnj130.4 $e |- ( th' <-> [. 1o / n ]. th ) $.
    $( Technical lemma for ~ bnj151 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj130 $p |- ( th'
        <-> ( ( R _FrSe A /\ x e. A ) -> E! f ( f Fn 1o /\ ph' /\ ps' ) ) ) $=
      ( c1o wsbc cv w3a weu w-bnj15 wa wfn sbcbii bnj105 bnj90 bicomi 3anbi123i
      wcel wi sbc3an bitr4i eubii bnj89 imbi2i cvv nfv sbc19.21g ax-mp 3bitr4i
      wb ) CHPQEFUADREUIUBZGRZHRUCZABSZGTZUJZHPQZKVBVCPUCZIJSZGTZUJZCVGHPLUDOVL
      VBVFHPQZUJZVHVKVMVBVKVEHPQZGTVMVJVOGVJVDHPQZAHPQZBHPQZSVOVIVPIVQJVRVPVIHG
      PUEUFUGMNUHVDABHPUKULUMVEGHPUEUNULUOPUPUIVHVNVAUEVBVFHPUPVBHUQURUSULUT $.
  $}

  ${
    $d A f g x $.  $d R f g x $.  $d f ze1 $.  $d g ze0 $.
    bnj149.1 $e |- ( th1 <-> ( ( R _FrSe A /\ x e. A ) -> E* f ( f Fn 1o /\ ph'
        /\ ps' ) ) ) $.
    bnj149.2 $e |- ( ze0 <-> ( f Fn 1o /\ ph' /\ ps' ) ) $.
    bnj149.3 $e |- ( ze1 <-> [. g / f ]. ze0 ) $.
    bnj149.4 $e |- ( ph1 <-> [. g / f ]. ph' ) $.
    bnj149.5 $e |- ( ps1 <-> [. g / f ]. ps' ) $.
    bnj149.6 $e |- ( ph' <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    $( Technical lemma for ~ bnj151 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (Proof shortened by Mario Carneiro, 22-Dec-2016.)
       (New usage is discouraged.) $)
    bnj149 $p |- th1 $=
      ( wcel c0 w-bnj15 cv wa c1o wfn w3a wmo c-bnj14 cop csn wceq wal cfv wral
      wi wf simpr1 df1o2 fneq2i sylib simpr2 fvex sylibr 0ex fveq2 eleq1d ralsn
      elsn ffnfv sylanbrc cvv wb bnj93 adantr fsng sylancr mpbid alrimiv mo2icl
      ex syl mpbir ) KBCUAAUBZBSUCZDUBZUDUEZFGUFZDUGZUOWDWGWETBCWCUHZUIUJZUKZUO
      ZDULWHWDWLDWDWGWKWDWGUCZTUJZWIUJZWEUPZWKWMWEWNUEZEUBZWEUMZWOSZEWNUNZWPWMW
      FWQWDWFFGUQUDWNWEURUSUTWMTWEUMZWOSZXAWMXBWIUKZXCWMFXDWDWFFGVARUTXBWITWEVB
      VHVCWTXCETVDWRTUKWSXBWOWRTWEVEVFVGVCEWNWOWEVIVJWMTVKSWIVKSZWPWKVLVDWDXEWG
      ABCVMVNTWIVKVKWEVOVPVQVTVRWGDWJVSWAMWB $.
  $}

  ${
    $d A f n x $.  $d F f i y $.  $d R f n x $.  $d f ze" $.  $d i n y $.
    bnj150.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj150.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj150.3 $e |- ( ze <-> ( ( R _FrSe A /\ x e. A ) -> ( f Fn n /\ ph /\ ps )
        ) ) $.
    bnj150.4 $e |- ( ph' <-> [. 1o / n ]. ph ) $.
    bnj150.5 $e |- ( ps' <-> [. 1o / n ]. ps ) $.
    bnj150.6 $e |- ( th0 <-> ( ( R _FrSe A /\ x e. A ) -> E. f ( f Fn 1o /\ ph'
        /\ ps' ) ) ) $.
    bnj150.7 $e |- ( ze' <-> [. 1o / n ]. ze ) $.
    bnj150.8 $e |- F = { <. (/) , _pred ( x , A , R ) >. } $.
    bnj150.9 $e |- ( ph" <-> [. F / f ]. ph' ) $.
    bnj150.10 $e |- ( ps" <-> [. F / f ]. ps' ) $.
    bnj150.11 $e |- ( ze" <-> [. F / f ]. ze' ) $.
    $( Technical lemma for ~ bnj151 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj150 $p |- th0 $=
      ( wex bnj95 cv wceq wsbc sbceq1a bitr4di w-bnj15 wcel c1o wfn w3a c-bnj14
      wa wi c0 cop csn cvv 0ex bnj93 funsng sylancr funeqi sylibr bnj96 bnj1422
      wfun cfv bnj97 bnj125 jca csuc ciun com wral bnj98 bnj126 mpbir sylanblrc
      df-3an bnj121 bnj124 ceqsexv2d 19.37v bitr4i bnj133 ) RNHUJNQHKDFGKUFUKHU
      LZKUMNNHKUNQNHKUOUIUPQFGUQDULZFURVCZKUSUTZOPVAZVDWSWTOVCPXAWSWTOWSKUSWSVE
      FGWRVBZVFVGZVQZKVQWSVEVHURXBVHURXDVIDFGVJVEXBVHVHVKVLKXCUFVMVNDFGKUFVOVPW
      SVEKVRXBUMODFGKUFVSADFGHJKLOSUBUGUFVTVNWAPIULZWBZUSURXFKVREXEKVRFGEULVBWC
      UMVDIWDWEEFGIKWFBDEFGHIJKMPTUCUHUFWGWHWTOPWJWIDFGHKLMNOPQUFUGUHUIABCDFGHJ
      LMNUAUEUBUCWKZWLWHWMRWSWQUSUTLMVAZVDZNHRWSXHHUJVDXIHUJUDWSXHHWNWOXGWPWH
      $.
  $}

  ${
    $d A f g x $.  $d A f n x $.  $d F f i y $.  $d R f g x $.  $d R f n x $.
    $d f ze1 $.  $d f ze" $.  $d g ze0 $.  $d i n y $.  $d m n $.
    bnj151.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj151.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj151.3 $e |- D = ( _om \ { (/) } ) $.
    bnj151.4 $e |- ( th <-> ( ( R _FrSe A /\ x e. A ) -> E! f ( f Fn n /\ ph /\
        ps ) ) ) $.
    bnj151.5 $e |- ( ta <-> A. m e. D ( m _E n -> [. m / n ]. th ) ) $.
    bnj151.6 $e |- ( ze <-> ( ( R _FrSe A /\ x e. A ) -> ( f Fn n /\ ph /\ ps )
        ) ) $.
    bnj151.7 $e |- ( ph' <-> [. 1o / n ]. ph ) $.
    bnj151.8 $e |- ( ps' <-> [. 1o / n ]. ps ) $.
    bnj151.9 $e |- ( th' <-> [. 1o / n ]. th ) $.
    bnj151.10 $e |- ( th0 <-> ( ( R _FrSe A /\ x e. A ) -> E. f ( f Fn 1o /\
        ph' /\ ps' ) ) ) $.
    bnj151.11 $e |- ( th1 <-> ( ( R _FrSe A /\ x e. A ) -> E* f ( f Fn 1o /\
        ph' /\ ps' ) ) ) $.
    bnj151.12 $e |- ( ze' <-> [. 1o / n ]. ze ) $.
    bnj151.13 $e |- F = { <. (/) , _pred ( x , A , R ) >. } $.
    bnj151.14 $e |- ( ph" <-> [. F / f ]. ph' ) $.
    bnj151.15 $e |- ( ps" <-> [. F / f ]. ps' ) $.
    bnj151.16 $e |- ( ze" <-> [. F / f ]. ze' ) $.
    bnj151.17 $e |- ( ze0 <-> ( f Fn 1o /\ ph' /\ ps' ) ) $.
    bnj151.18 $e |- ( ze1 <-> [. g / f ]. ze0 ) $.
    bnj151.19 $e |- ( ph1 <-> [. g / f ]. ph' ) $.
    bnj151.20 $e |- ( ps1 <-> [. g / f ]. ps' ) $.
    $( Technical lemma for ~ bnj153 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj151 $p |- ( n = 1o -> ( ( n e. D /\ ta ) -> th ) ) $=
      ( cv c1o wceq wcel wa w-bnj15 wfn w3a weu wi wex wmo bnj150 bnj118 bnj149
      mpbi df-eu sylanbrc bnj130 mpbir wsbc sbceq1a bitr4di mpbiri a1d ) OVJZVK
      VLZCWOIVMDVNWPCSSHJVOFVJHVMVNZKVJVKVPQRVQZKVRZVSWQWRKVTZWRKWAZWSUDWQWTVSA
      BEFGHJKMOPQRTUAUBUCUDUJUKUOUPUQUSVAVBVCVDVEWBUSWEUHWQXAVSFHJKLQRUEUFUGUHU
      IUTVFVGVHVIAFHJKOQUJUPWCWDUTWEWRKWFWGABCFHJKOQRSUMUPUQURWHWIWPCCOVKWJSCOV
      KWKURWLWMWN $.
  $}

  ${
    $d A f $.  $d R f $.  $d f g $.  $d f x $.
    bnj154.1 $e |- ( ph1 <-> [. g / f ]. ph' ) $.
    bnj154.2 $e |- ( ph' <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    $( Technical lemma for ~ bnj153 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj154 $p |- ( ph1 <-> ( g ` (/) ) = _pred ( x , A , R ) ) $=
      ( cv wsbc c0 cfv c-bnj14 wceq sbcbii vex weq fveq1 eqeq1d sbcie 3bitri )
      GFDEJZKLDJZMZBCAJNZOZDUCKLUCMZUFOZHFUGDUCIPUGUIDUCEQDERUEUHUFLUDUCSTUAUB
      $.
  $}

  ${
    $d A f $.  $d R f $.  $d f g i y $.
    bnj155.1 $e |- ( ps1 <-> [. g / f ]. ps' ) $.
    bnj155.2 $e |- ( ps' <-> A. i e. _om ( suc i e. 1o -> ( f ` suc i ) = U_ y
        e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    $( Technical lemma for ~ bnj153 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj155 $p |- ( ps1 <-> A. i e. _om ( suc i e. 1o
        -> ( g ` suc i ) = U_ y e. ( g ` i ) _pred ( y , A , R ) ) ) $=
      ( cv wsbc csuc cfv ciun wceq wi com wral fveq1 c1o c-bnj14 sbcbii vex weq
      wcel iuneq1d eqeq12d imbi2d ralbidv sbcie 3bitri ) HGDEKZLFKZMZUAUFZUODKZ
      NZAUNUQNZBCAKUBZOZPZQZFRSZDUMLUPUOUMNZAUNUMNZUTOZPZQZFRSZIGVDDUMJUCVDVJDU
      MEUDDEUEZVCVIFRVKVBVHUPVKURVEVAVGUOUQUMTVKAUSVFUTUNUQUMTUGUHUIUJUKUL $.
  $}

  ${
    $d A f g i x y $.  $d A f i n x y $.  $d R f g i x y $.  $d R f i n x y $.
    $d m n $.
    bnj153.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj153.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj153.3 $e |- D = ( _om \ { (/) } ) $.
    bnj153.4 $e |- ( th <-> ( ( R _FrSe A /\ x e. A ) -> E! f ( f Fn n /\ ph /\
        ps ) ) ) $.
    bnj153.5 $e |- ( ta <-> A. m e. D ( m _E n -> [. m / n ]. th ) ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj153 $p |- ( n = 1o -> ( ( n e. D /\ ta ) -> th ) ) $=
      ( wsbc biid vg w-bnj15 cv wcel wa wfn w3a wi c0 c-bnj14 cop csn wceq csuc
      cfv c1o ciun com wex wmo bnj118 bicomi bnj105 bnj92 bnj121 anbi2i anbi12i
      wral df-3an 3bitr4i imbi2i eqid sbcbii bnj124 bnj125 bnj126 bitr2i bnj156
      bitri bnj154 bnj155 bitr3i bnj151 ) ABCDGIUBEUCZGUDUEZJUCZMUCUFABUGUHZEFG
      HIJUAKLMUIGIWDUJZUKULZUIWFUOWHUMZKUCZUNZUPUDZWLWFUOFWKWFUOGIFUCUJZUQUMUHK
      URVHZCMUPSZWEWFUPUFZWJWOUGZUHZWJJWISZWOJWISZWEWIUPUFZUIWIUOWHUMZWMWLWIUOF
      WKWIUOWNUQUMUHKURVHZUGZUHZWEWRJUSUHZWRWJJUAUCZSZWOJXHSZWEWRJUTUHZXHUPUFZU
      IXHUOWHUMZWMWLXHUOFWKXHUOWNUQUMUHKURVHZUGZNOPQRWGTZAMUPSZWJAEGIJMXQNXQTZV
      AZVBBMUPSZWOBFGIJKMUPOVCVDZVBWPTXGTXKTWGMUPSZWSYBWEWQXQXTUGZUHWSABWGEGIJM
      XQXTYBXPYBTXRXTTZVEZYCWRWEWQXQUEZXTUEWQWJUEZWOUEYCWRYFYGXTWOXQWJWQXSVFYAV
      GWQXQXTVIWQWJWOVIVJZVKVSVBZWIVLZWTTXATWSJWISYBJWISZXFWSYBJWIYIVMYKWEXBXQJ
      WISZXTJWISZUGZUHXFEGIJWIXQXTYBYLYMYKYJYLTZYMTZYKTYEVNYNXEWEXBYLUEZYMUEXBX
      CUEZXDUEYNXEYQYRYMXDYLXCXBAEGIJMWIXQYLNXRYOYJVOVFBEFGIJKMWIXTYMOYDYPYJVPV
      GXBYLYMVIXBXCXDVIVJVKVSVQWRTXOYCJXHSZWRJXHSYSXLXQJXHSZXTJXHSZUGZXOJUAXQXT
      YCYTUUAYSYCTYSTYTTZUUATZVRXLYTUEZUUAUEXLXMUEZXNUEUUBXOUUEUUFUUAXNYTXMXLEG
      IJUAXQYTUUCXSVTVFFGIJUAKXTUUAUUDXTXTWOYDYAVSWAVGXLYTUUAVIXLXMXNVIVJVSYCWR
      JXHYHVMWBXITXJTWC $.
  $}

  ${
    $d A n $.  $d M f $.  $d R n $.  $d f n $.  $d n x $.
    bnj207.1 $e |- ( ch <-> ( ( R _FrSe A /\ x e. A ) -> E! f ( f Fn n /\ ph /\
        ps ) ) ) $.
    bnj207.2 $e |- ( ph' <-> [. M / n ]. ph ) $.
    bnj207.3 $e |- ( ps' <-> [. M / n ]. ps ) $.
    bnj207.4 $e |- ( ch' <-> [. M / n ]. ch ) $.
    bnj207.5 $e |- M e. _V $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj207 $p |- ( ch' <-> ( ( R _FrSe A /\ x e. A )
        -> E! f ( f Fn M /\ ph' /\ ps' ) ) ) $=
      ( wsbc cv bitri w-bnj15 wcel wa wfn w3a weu wi sbcbii cvv sbc19.21g ax-mp
      wb nfv bnj89 bnj90 bicomi bnj206 eubii imbi2i ) LCHIRZEFUADSEUBUCZGSZIUDZ
      JKUEZGUFZUGZPUTVAVBHSUDZABUEZGUFZUGZHIRZVFCVJHIMUHVKVAVIHIRZUGZVFIUIUBVKV
      MULQVAVIHIUIVAHUMUJUKVLVEVAVLVHHIRZGUFVEVHGHIQUNVNVDGVGABHIVCJKVGHIRVCHGI
      QUOUPNOQUQURTUSTTT $.
  $}

  ${
    $d A y $.  $d R y $.  $d X y $.
    $( First-order logic and set theory.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj213 $p |- _pred ( X , A , R ) C_ A $=
      ( vy cv wbr c-bnj14 df-bnj14 ssrab3 ) DECBFDAABCGDABCHI $.
  $}

  ${
    $d A i m $.  $d F i m y $.  $d N i m $.  $d R i m $.
    bnj222.1 $e |- ( ps <-> A. i e. _om ( suc i e. N -> ( F ` suc i ) = U_ y e.
        ( F ` i ) _pred ( y , A , R ) ) ) $.
    $( Technical lemma for ~ bnj229 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj222 $p |- ( ps <-> A. m e. _om ( suc m e. N -> ( F ` suc m ) = U_ y e. (
        F ` m ) _pred ( y , A , R ) ) ) $=
      ( cv csuc wcel cfv c-bnj14 ciun wceq wi com wral suceq eleq1d fveq2 bitri
      fveq2d bnj1113 eqeq12d imbi12d cbvralvw ) AEJZKZHLZUJGMZBUIGMZCDBJNZOZPZQ
      ZERSFJZKZHLZUSGMZBURGMZUNOZPZQZFRSIUQVEEFRUIURPZUKUTUPVDVFUJUSHUIURTZUAVF
      ULVAUOVCVFUJUSGVGUDBUIURUMVBUNUIURGUBUEUFUGUHUC $.
  $}

  ${
    $d A i m y $.  $d F i m y $.  $d N i m $.  $d R i m $.
    bnj229.1 $e |- ( ps <-> A. i e. _om ( suc i e. N -> ( F ` suc i ) = U_ y e.
        ( F ` i ) _pred ( y , A , R ) ) ) $.
    $( Technical lemma for ~ bnj517 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj229 $p |- ( ( n e. N /\ ( suc m = n /\ m e. _om /\ ps ) )
        -> ( F ` n ) C_ A ) $=
      ( cv wcel csuc wceq com w3a wa cfv c-bnj14 wi bnj213 bnj226 bnj222 bnj228
      ciun adantl wb eleq1 fveqeq2 imbi12d adantr mpbid 3impb impcom bnj1262 )
      GKZILZFKZMZUPNZUROLZAPZQBURHRZCDBKZSZUEZCUPHRZBVCVECCDVDUAUBVBUQVGVFNZUTV
      AAUQVHTZUTVAAQZQUSILZUSHRVFNZTZVIVJVMUTAVMFOABCDEFHIJUCUDUFUTVMVIUGVJUTVK
      UQVLVHUSUPIUHUSUPVFHUIUJUKULUMUNUO $.
  $}

  ${
    $d i m n y A $.  $d i m n F $.  $d i m n N $.  $d m ph $.  $d m ps $.
    bnj517.1 $e |- ( ph <-> ( F ` (/) ) = _pred ( X , A , R ) ) $.
    bnj517.2 $e |- ( ps <-> A. i e. _om ( suc i e. N -> ( F ` suc i ) = U_ y e.
        ( F ` i ) _pred ( y , A , R ) ) ) $.
    $( Technical lemma for ~ bnj518 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (Proof shortened by Mario Carneiro, 22-Dec-2016.)
       (New usage is discouraged.) $)
    bnj517 $p |- ( ( N e. _om /\ ph /\ ps ) -> A. n e. N ( F ` n ) C_ A ) $=
      ( vm com wcel cv cfv wss wral wceq w3a wa c0 csuc wrex fveq2 simpl2 sylib
      c-bnj14 sylan9eqr bnj213 eqsstrdi ciun r19.29r eleq1 biimpd fveqeq2 rgenw
      wi iunss mpbir sseq1 mpbiri syl6bir imim12d imp rexlimivw syl com3l sylbi
      ex 3ad2ant3 imp31 wo simpl1 elnn syl2anc nn0suc mpjaodan ralrimiva sseq1d
      simpr cbvralvw ) INOZABUAZMPZHQZDRZMISGPZHQZDRZGISWEWHMIWEWFIOZUBZWFUCTZW
      HWFFPZUDZTZFNUEZWMWNUBWGDEJUIZDWNWMWGUCHQZWSWFUCHUFWMAWTWSTWDABWLUGKUHUJD
      EJUKULWEWLWRWHBWDWLWRWHUSUSZABWPIOZWPHQCWOHQZDECPZUIZUMZTZUSZFNSZXALWRXIW
      LWHWRXIWLWHUSZWRXIUBWQXHUBZFNUEXJWQXHFNUNXKXJFNWQXHXJWQWLXBXGWHWQWLXBWFWP
      IUOUPWQXGWGXFTZWHWFWPXFHUQXLWHXFDRZXMXEDRZCXCSXNCXCDEXDUKURCXCXEDUTVAWGXF
      DVBVCVDVEVFVGVHVKVIVJVLVMWMWFNOZWNWRVNWMWLWDXOWEWLWBWDABWLVOWFIVPVQFWFVRV
      HVSVTWHWKMGIWFWITWGWJDWFWIHUFWAWCUH $.
  $}

  ${
    $d f i p y $.  $d i n p $.  $d i p y A $.  $d y R $.
    bnj518.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj518.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj518.3 $e |- ( ta <-> ( ph /\ ps /\ n e. _om /\ p e. n ) ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj518 $p |- ( ( R _FrSe A /\ ta ) -> A. y e. ( f ` p ) _pred ( y , A , R )
        e. _V ) $=
      ( w-bnj15 cv wcel w-bnj17 wa sylbi cfv wss c-bnj14 cvv wral com bitri w3a
      bnj334 df-bnj17 bnj517 r19.21bi ssel bnj93 ex sylan9r ralrimiv sylan2 ) C
      FGOZKPZHPZUAZFUBZFGEPZUCUDQZEVBUECJPZUFQZABUTVFQZRZVCCABVGVHRVINABVGVHUIU
      GVIVGABUHZVHSVCVGABVHUJVJVCKVFABEFGIKVAVFDPLMUKULTTUSVCSVEEVBVCVDVBQVDFQZ
      USVEVBFVDUMUSVKVEEFGUNUOUPUQUR $.
  $}

  ${
    $d A n $.  $d F n $.  $d R n $.  $d X n $.
    bnj523.1 $e |- ( ph <-> ( F ` (/) ) = _pred ( X , A , R ) ) $.
    bnj523.2 $e |- ( ph' <-> [. M / n ]. ph ) $.
    bnj523.3 $e |- M e. _V $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj523 $p |- ( ph' <-> ( F ` (/) ) = _pred ( X , A , R ) ) $=
      ( wsbc c0 cfv c-bnj14 wceq sbcbii bnj525 3bitri ) HADFLMENBCGOPZDFLTJATDF
      IQTDFKRS $.
  $}

  ${
    $d A f $.  $d G f $.  $d R f $.  $d X f $.
    bnj526.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj526.2 $e |- ( ph" <-> [. G / f ]. ph ) $.
    bnj526.3 $e |- G e. _V $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj526 $p |- ( ph" <-> ( G ` (/) ) = _pred ( X , A , R ) ) $=
      ( wsbc c0 cv cfv c-bnj14 wceq sbcbii fveq1 eqeq1d sbcie 3bitri ) GADEKLDM
      ZNZBCFOZPZDEKLENZUDPZIAUEDEHQUEUGDEJUBEPUCUFUDLUBERSTUA $.
  $}

  ${
    bnj528.1 $e |- G = ( f u. { <. m , U_ y e. ( f ` p ) _pred ( y , A , R ) >.
        } ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj528 $p |- G e. _V $=
      ( cv cfv c-bnj14 ciun bnj918 ) AGIDIJBCAIKLDEFHM $.
  $}

  ${
    $d A i p y $.  $d R i p y $.  $d f i p y $.  $d i m p $.  $d p ph' $.
    bnj535.1 $e |- ( ph' <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj535.2 $e |- ( ps' <-> A. i e. _om ( suc i e. m
        -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj535.3 $e |- G = ( f u. { <. m , U_ y e. ( f ` p ) _pred ( y , A , R ) >.
        } ) $.
    bnj535.4 $e |- ( ta <-> ( ph' /\ ps' /\ m e. _om /\ p e. m ) ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj535 $p |- ( ( R _FrSe A /\ ta /\ n = ( m u. { m } ) /\ f Fn m ) -> G Fn
        n ) $=
      ( cv wfn cvv w-bnj15 csn cun wceq w-bnj17 bnj422 bnj251 bitri cfv c-bnj14
      ciun cop wcel wfun wral fvex bnj518 iunexg sylancr vex bnj519 syl dmsnopg
      wa cdm bnj1422 cin c0 bnj521 mpan2 sylan2 fneq1i sylibr fneq2 syl5ibr imp
      fnun sylbi ) DEUAZAIRZHRZWAUBZUCZUDZFRZWASZUEZWDWFVSAVDZVDZVDZJVTSZWGWDWF
      VSAUEWJVSAWDWFUFWDWFVSAUGUHWDWIWKWIWKWDJWCSZWIWEWACKRZWEUIZDECRUJZUKZULUB
      ZUCZWCSZWLWHWFWQWBSZWSWHWQWBWHWPTUMZWQUNWHWNTUMWOTUMCWNUOXAWMWEUPLMABCDEF
      GHKNOQUQCWNWOTTURUSZWAWPHUTVAVBWHXAWQVEWBUDXBWAWPTVCVBVFWFWTVDWAWBVGVHUDW
      SWAVIWAWBWEWQVQVJVKWCJWRPVLVMVTWCJVNVOVPVR $.
  $}

  ${
    $d A n $.  $d F n $.  $d M i $.  $d R n $.  $d i n $.  $d n y $.
    bnj539.1 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( F ` suc i ) = U_ y e.
        ( F ` i ) _pred ( y , A , R ) ) ) $.
    bnj539.2 $e |- ( ps' <-> [. M / n ]. ps ) $.
    bnj539.3 $e |- M e. _V $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj539 $p |- ( ps' <-> A. i e. _om ( suc i e. M
        -> ( F ` suc i ) = U_ y e. ( F ` i ) _pred ( y , A , R ) ) ) $=
      ( wsbc cv wcel wi com wral cvv bitri csuc c-bnj14 ciun wceq sbcbii bnj538
      cfv wb sbcimg ax-mp sbcel2gv bnj525 imbi12i ralbii ) IAFHMZENZUAZHOZUQGUG
      BUPGUGCDBNUBUCUDZPZEQRZKUOUQFNOZUSPZEQRZFHMZVAAVDFHJUEVEVCFHMZEQRVAVCEFHQ
      LUFVFUTEQVFVBFHMZUSFHMZPZUTHSOZVFVIUHLVBUSFHSUIUJVGURVHUSVJVGURUHLFUQHSUK
      UJUSFHLULUMTUNTTT $.
  $}

  ${
    $d A f $.  $d G f i y $.  $d N f $.  $d R f $.
    bnj540.1 $e |- ( ps <-> A. i e. _om ( suc i e. N -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj540.2 $e |- ( ps" <-> [. G / f ]. ps ) $.
    bnj540.3 $e |- G e. _V $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj540 $p |- ( ps" <-> A. i e. _om ( suc i e. N
        -> ( G ` suc i ) = U_ y e. ( G ` i ) _pred ( y , A , R ) ) ) $=
      ( wsbc cv wcel cfv wceq wi com wral csuc c-bnj14 sbcbii bnj538 cvv sbcimg
      ciun wb ax-mp ralbii 3bitri bnj525 fveq1 bnj1113 eqeq12d sbcie imbi12i )
      IAEGMZFNZUAZHOZEGMZUTENZPZBUSVCPZCDBNUBZUGZQZEGMZRZFSTZVAUTGPZBUSGPZVFUGZ
      QZRZFSTKURVAVHRZFSTZEGMVQEGMZFSTVKAVREGJUCVQFEGSLUDVSVJFSGUEOVSVJUHLVAVHE
      GUEUFUIUJUKVJVPFSVBVAVIVOVAEGLULVHVOEGLVCGQVDVLVGVNUTVCGUMBVCGVEVMVFUSVCG
      UMUNUOUPUQUJUK $.
  $}

  ${
    $d A i p y $.  $d R i p y $.  $d f i p y $.  $d i m p $.  $d p ph' $.
    bnj543.1 $e |- ( ph' <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj543.2 $e |- ( ps' <-> A. i e. _om ( suc i e. m
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj543.3 $e |- G = ( f u. { <. m , U_ y e. ( f ` p ) _pred ( y , A , R ) >.
        } ) $.
    bnj543.4 $e |- ( ta <-> ( f Fn m /\ ph' /\ ps' ) ) $.
    bnj543.5 $e |- ( si <-> ( m e. _om /\ n = suc m /\ p e. m ) ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj543 $p |- ( ( R _FrSe A /\ ta /\ si ) -> G Fn n ) $=
      ( wa w-bnj15 w3a cv com wcel w-bnj17 csuc wceq bnj257 bnj268 bitri bnj253
      wfn bnj256 3bitr3i 3anbi1i bnj170 3anan32 anbi12i 3bitr4ri anbi2i 3bitr4i
      3anass bnj252 csn cun df-suc eqeq2i 3anbi2i biid bnj535 sylbi ) EFUAZABUB
      ZVMMNIUCZUDUEZLUCVOUEZUFZJUCZVOUGZUHZGUCVOUMZUFZKVSUMZVMABTZTVMVRWAWBUBZT
      ZVNWCWEWFVMMNTZVPVQTZTZWAWBUBZWHWBTZWIWATZTZWFWEWHWIWAWBUFZWHWBWIWAUFZWKW
      NWOWHWIWBWAUFWPWHWIWAWBUIWHWIWBWAUJUKWHWIWAWBULWHWBWIWAUNUOVRWJWAWBMNVPVQ
      UNUPAWLBWMAWBMNUBWLRWBMNUQUKBVPWAVQUBWMSVPWAVQURUKUSUTVAVMABVCVMVRWAWBVDZ
      VBWCVMVRVSVOVOVEVFZUHZWBUFZWDWGVMVRWSWBUBZTWCWTWFXAVMWAWSVRWBVTWRVSVOVGVH
      VIVAWQVMVRWSWBVDVBVRCDEFGHIJKLMNOPQVRVJVKVLVL $.
  $}

  ${
    $d A i p y $.  $d R i p y $.  $d f i p y $.  $d i m p $.  $d p ph' $.
    bnj544.1 $e |- ( ph' <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj544.2 $e |- ( ps' <-> A. i e. _om ( suc i e. m
        -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj544.3 $e |- D = ( _om \ { (/) } ) $.
    bnj544.4 $e |- G = ( f u. { <. m , U_ y e. ( f ` p ) _pred ( y , A , R ) >.
        } ) $.
    bnj544.5 $e |- ( ta <-> ( f Fn m /\ ph' /\ ps' ) ) $.
    bnj544.6 $e |- ( si <-> ( m e. D /\ n = suc m /\ p e. m ) ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj544 $p |- ( ( R _FrSe A /\ ta /\ si ) -> G Fn n ) $=
      ( w-bnj15 cv com wcel csuc wceq w3a wfn bnj923 3anim1i sylbi biid syl3an3
      bnj543 ) BEGUBAJUCZUDUEZKUCZUPUFUGZMUCUPUEZUHZLURUIBUPFUEZUSUTUHVAUAVBUQU
      SUTFJRUJUKULAVACDEGHIJKLMNOPQSTVAUMUOUN $.
  $}

  ${
    bnj545.1 $e |- ( ph' <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj545.2 $e |- D = ( _om \ { (/) } ) $.
    bnj545.3 $e |- G = ( f u. { <. m , U_ y e. ( f ` p ) _pred ( y , A , R ) >.
        } ) $.
    bnj545.4 $e |- ( ta <-> ( f Fn m /\ ph' /\ ps' ) ) $.
    bnj545.5 $e |- ( si <-> ( m e. D /\ n = suc m /\ p e. m ) ) $.
    bnj545.6 $e |- ( ( R _FrSe A /\ ta /\ si ) -> G Fn n ) $.
    bnj545.7 $e |- ( ph" <-> ( G ` (/) ) = _pred ( x , A , R ) ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj545 $p |- ( ( R _FrSe A /\ ta /\ si ) -> ph" ) $=
      ( w-bnj15 w3a c0 cfv cv wceq wfun wss cdm wcel wa simp1bi anim12i 3adant1
      wfn csuc bnj529 fndm biimparc syl2anr syl fnfund jca c-bnj14 ciun cop csn
      eleq2 bnj931 jctil df-3an 3anrot 3bitr3i funssfv simp2bi 3ad2ant2 sylan2b
      ancom sylibr eqtr syl2anc ) EGUCZABUDZUEKUFZUEHUGZUFZUHZMOWEKUIZWGKUJZUEW
      GUKZULZUDZWIWEWKWMWJUMZUMZWNWEWOWKWEWMWJWEWGIUGZUQZWQFULZUMZWMABWTWDAWRBW
      SAWRMNSUNBWSJUGZWQURUHLUGZWQULTUNUOUPWSUEWQULZWLWQUHZWMWRFWQQUSWQWGUTXDWM
      XCWLWQUEVJVAVBVCWEXAKUAVDVEKWGWQDXBWGUFEGDUGVFVGVHVIRVKVLWMWJWKUDWOWKUMWN
      WPWMWJWKVMWMWJWKVNWOWKVTVOWAUEKWGVPVCAWDMBAWRMNSVQVRWIMUMWFEGCUGVFZUHZOMW
      IWHXEUHXFPWFWHXEWBVSUBWAWC $.
  $}

  ${
    $d A i p y $.  $d R i p y $.  $d f i p y $.  $d i m p $.  $d p ph' $.
    bnj546.1 $e |- D = ( _om \ { (/) } ) $.
    bnj546.2 $e |- ( ta <-> ( f Fn m /\ ph' /\ ps' ) ) $.
    bnj546.3 $e |- ( si <-> ( m e. D /\ n = suc m /\ p e. m ) ) $.
    bnj546.4 $e |- ( ph' <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj546.5 $e |- ( ps' <-> A. i e. _om ( suc i e. m
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj546 $p |- ( ( R _FrSe A /\ ta /\ si ) -> U_ y e. ( f ` p ) _pred ( y , A
        , R ) e. _V ) $=
      ( wcel w-bnj15 w3a cv com w-bnj17 wa c-bnj14 cvv cfv wral ciun wfn 3simpc
      sylbi csuc wceq bnj923 3ad2ant1 simp3 jca bnj256 sylibr anim2i 3impb biid
      anim12i bnj518 fvex iunexg mpan 3syl ) EGUAZABUBVLMNJUCZUDTZLUCZVMTZUEZUF
      ZEGDUCUGZUHTDVOHUCZUIZUJZDWAVSUKUHTZVLABVRABUFZVQVLWDMNUFZVNVPUFZUFVQAWEB
      WFAVTVMULZMNUBWEPWGMNUMUNBVMFTZKUCVMUOUPZVPUBZWFQWJVNVPWHWIVNVPFJOUQURWHW
      IVPUSUTUNVFMNVNVPVAVBVCVDMNVQCDEGHIJLRSVQVEVGWAUHTWBWCVOVTVHDWAVSUHUHVIVJ
      VK $.
  $}

  ${
    $d G y $.  $d f y $.  $d i y $.
    bnj548.1 $e |- ( ta <-> ( f Fn m /\ ph' /\ ps' ) ) $.
    bnj548.2 $e |- B = U_ y e. ( f ` i ) _pred ( y , A , R ) $.
    bnj548.3 $e |- K = U_ y e. ( G ` i ) _pred ( y , A , R ) $.
    bnj548.4 $e |- G = ( f u. { <. m , C >. } ) $.
    bnj548.5 $e |- ( ( R _FrSe A /\ ta /\ si ) -> G Fn n ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj548 $p |- ( ( ( R _FrSe A /\ ta /\ si ) /\ i e. m ) -> B = K ) $=
      ( w-bnj15 w3a cv wcel wa wfun wss cdm cfv wceq fnfund adantr simp1bi fndm
      wfn eleq2 biimpar sylan 3ad2antl2 jca cop csn bnj931 jctil 3anan12 sylibr
      funssfv c-bnj14 ciun iuneq1 eqcomd 3eqtr4g 3syl ) DGUAZABUBZIUCZJUCZUDZUE
      ZLUFZHUCZLUGZVPWAUHZUDZUBZVPLUIZVPWAUIZUJZEMUJVSWBVTWDUEZUEWEVSWIWBVSVTWD
      VOVTVRVOKUCLTUKULAVNVRWDBAWAVQUOZVRWDAWJNOPUMWJWCVQUJZVRWDVQWAUNWKWDVRWCV
      QVPUPUQURURUSUTLWAVQFVAVBSVCVDVTWBWDVEVFVPLWAVGWHCWGDGCUCVHZVIZCWFWLVIZEM
      WHWNWMCWFWGWLVJVKQRVLVM $.
  $}

  ${
    $d A i p y $.  $d G y $.  $d R i p y $.  $d f i p y $.  $d i m p $.
    $d p ph' $.
    bnj553.1 $e |- ( ph' <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj553.2 $e |- ( ps' <-> A. i e. _om ( suc i e. m
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj553.3 $e |- D = ( _om \ { (/) } ) $.
    bnj553.4 $e |- G = ( f u. { <. m , U_ y e. ( f ` p ) _pred ( y , A , R ) >.
        } ) $.
    bnj553.5 $e |- ( ta <-> ( f Fn m /\ ph' /\ ps' ) ) $.
    bnj553.6 $e |- ( si <-> ( m e. D /\ n = suc m /\ p e. m ) ) $.
    bnj553.7 $e |- C = U_ y e. ( f ` p ) _pred ( y , A , R ) $.
    bnj553.8 $e |- G = ( f u. { <. m , C >. } ) $.
    bnj553.9 $e |- B = U_ y e. ( f ` i ) _pred ( y , A , R ) $.
    bnj553.10 $e |- K = U_ y e. ( G ` i ) _pred ( y , A , R ) $.
    bnj553.11 $e |- L = U_ y e. ( G ` p ) _pred ( y , A , R ) $.
    bnj553.12 $e |- ( ( R _FrSe A /\ ta /\ si ) -> G Fn n ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj553 $p |- ( ( ( R _FrSe A /\ ta /\ si ) /\ i e. m /\ p = i ) -> ( G ` m
        ) = L ) $=
      ( w-bnj15 w3a wcel wceq cfv wfun cop fnfund csn cun opex snid elun2 ax-mp
      cv eleqtrri funopfv mpisyl 3ad2ant1 c-bnj14 ciun bnj1113 3eqtr4g 3ad2ant3
      fveq2 bnj548 3adant3 eqeq12i eqcom bitri sylibr 3eqtr2rd eqtrd ) EIULABUM
      ZKVFZLVFZUNZQVFZWFUOZUMZWGNUPZGPWEWHWLGUOZWJWENUQWGGURZNUNWMWEMVFNUKUSWNJ
      VFZWNUTZVAZNWNWPUNWNWQUNWNWGGVBVCWNWPWOVDVEUGVGWGGNVHVIVJWKPOFGWJWEPOUOWH
      WJDWINUPZEIDVFVKZVLDWFNUPZWSVLPODWIWFWRWTWSWIWFNVPVMUJUIVNVOWEWHFOUOWJABD
      EFDWIWOUPZWSVLZIJKLMNORSUDUHUIUCUKVQVRWJWEFGUOZWHWJXBDWFWOUPZWSVLZUOZXCDW
      IWFXAXDWSWIWFWOVPVMXCXEXBUOXFFXEGXBUHUFVSXEXBVTWAWBVOWCWD $.
  $}

  ${
    $d G y $.  $d i y $.  $d p y $.
    bnj554.19 $e |- ( et <-> ( m e. D /\ n = suc m /\ p e. _om /\ m = suc p ) )
        $.
    bnj554.20 $e |- ( ze <-> ( i e. _om /\ suc i e. n /\ m = suc i ) ) $.
    bnj554.21 $e |- K = U_ y e. ( G ` i ) _pred ( y , A , R ) $.
    bnj554.22 $e |- L = U_ y e. ( G ` p ) _pred ( y , A , R ) $.
    bnj554.23 $e |- K = U_ y e. ( G ` i ) _pred ( y , A , R ) $.
    bnj554.24 $e |- L = U_ y e. ( G ` p ) _pred ( y , A , R ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj554 $p |- ( ( et /\ ze ) -> ( ( G ` m ) = L <-> ( G ` suc i ) = K ) ) $=
      ( wceq cv csuc cfv wb wcel com bnj1254 simp3bi simpr bnj551 fveq2 c-bnj14
      wa ciun iuneq1 3eqtr4g syl eqeqan12d syl2anc syl2an ) AHUAZMUAZUBTZVAGUAZ
      UBZTZVAJUCZLTVEJUCZKTUDZBAVAEUEIUAZVAUBTVBUFUEVCNUGBVDUFUEVEVJUEVFOUHVCVF
      UMVFVBVDTZVIVCVFUIGHMUJVFVKVGVHLKVAVEJUKVKVBJUCZVDJUCZTZLKTVBVDJUKVNCVLDF
      CUAULZUNCVMVOUNLKCVLVMVOUOSRUPUQURUSUT $.
  $}

  ${
    bnj556.18 $e |- ( si <-> ( m e. D /\ n = suc m /\ p e. m ) ) $.
    bnj556.19 $e |- ( et <-> ( m e. D /\ n = suc m /\ p e. _om /\ m = suc p ) )
        $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj556 $p |- ( et -> si ) $=
      ( cv wcel csuc wceq w3a com wa vex bnj216 3anim3i adantr w-bnj17 3imtr4i
      bnj258 bitri ) DIZCJZEIUDKLZUDFIZKLZMZUGNJZOZUEUFUGUDJZMZABUIUMUJUHULUEUF
      UDUGFPQRSAUEUFUJUHTUKHUEUFUJUHUBUCGUA $.
  $}

  ${
    $d A i p y $.  $d G y $.  $d R i p y $.  $d f i p y $.  $d i m p $.
    $d p ph' $.
    bnj557.3 $e |- D = ( _om \ { (/) } ) $.
    bnj557.16 $e |- G = ( f u. { <. m , U_ y e. ( f ` p ) _pred ( y , A , R )
        >. } ) $.
    bnj557.17 $e |- ( ta <-> ( f Fn m /\ ph' /\ ps' ) ) $.
    bnj557.18 $e |- ( si <-> ( m e. D /\ n = suc m /\ p e. m ) ) $.
    bnj557.19 $e |- ( et <-> ( m e. D /\ n = suc m /\ p e. _om /\ m = suc p ) )
        $.
    bnj557.20 $e |- ( ze <-> ( i e. _om /\ suc i e. n /\ m = suc i ) ) $.
    bnj557.21 $e |- B = U_ y e. ( f ` i ) _pred ( y , A , R ) $.
    bnj557.22 $e |- C = U_ y e. ( f ` p ) _pred ( y , A , R ) $.
    bnj557.23 $e |- K = U_ y e. ( G ` i ) _pred ( y , A , R ) $.
    bnj557.24 $e |- L = U_ y e. ( G ` p ) _pred ( y , A , R ) $.
    bnj557.25 $e |- G = ( f u. { <. m , C >. } ) $.
    bnj557.28 $e |- ( ph' <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj557.29 $e |- ( ps' <-> A. i e. _om ( suc i e. m -> ( f ` suc i ) = U_ y
        e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj557.36 $e |- ( ( R _FrSe A /\ ta /\ si ) -> G Fn n ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj557 $p |- ( ( R _FrSe A /\ ta /\ et /\ ze ) -> ( G ` m ) = L ) $=
      ( w-bnj15 w-bnj17 w3a wcel wceq cfv 3an4anass bnj556 3anim3i com csuc vex
      cv wa bnj216 bnj837 anim12i sylbir bnj551 syl2an adantl jca bnj256 df-3an
      bnj1254 simp3bi 3imtr4i bnj553 syl ) GKUPZABCUQZWEADURZMVHZNVHZUSZSVHZWHU
      TZURZWIPVARUTWEAVIZBCVIZVIZWGWJVIZWLVIWFWMWPWQWLWPWEABURZCVIWQWEABCVBWRWG
      CWJBDWEABDJNOSUEUFVCVDWHVEUSZWHVFZOVHZUSZWIWTUTZWJCUGWIWHMVGVJVKVLVMWOWLW
      NBWIWKVFUTZXCWLCBWIJUSXAWIVFUTWKVEUSXDUFVTCWSXBXCUGWAMNSVNVOVPVQWEABCVRWG
      WJWLVSWBADEFGHIJKLMNOPQRSTUAUMUNUBUCUDUEUIULUHUJUKUOWCWD $.
  $}

  ${
    $d A i p y $.  $d G y $.  $d R i p y $.  $d f i p y $.  $d i m p $.
    $d p ph' $.
    bnj558.3 $e |- D = ( _om \ { (/) } ) $.
    bnj558.16 $e |- G = ( f u. { <. m , U_ y e. ( f ` p ) _pred ( y , A , R )
        >. } ) $.
    bnj558.17 $e |- ( ta <-> ( f Fn m /\ ph' /\ ps' ) ) $.
    bnj558.18 $e |- ( si <-> ( m e. D /\ n = suc m /\ p e. m ) ) $.
    bnj558.19 $e |- ( et <-> ( m e. D /\ n = suc m /\ p e. _om /\ m = suc p ) )
        $.
    bnj558.20 $e |- ( ze <-> ( i e. _om /\ suc i e. n /\ m = suc i ) ) $.
    bnj558.21 $e |- B = U_ y e. ( f ` i ) _pred ( y , A , R ) $.
    bnj558.22 $e |- C = U_ y e. ( f ` p ) _pred ( y , A , R ) $.
    bnj558.23 $e |- K = U_ y e. ( G ` i ) _pred ( y , A , R ) $.
    bnj558.24 $e |- L = U_ y e. ( G ` p ) _pred ( y , A , R ) $.
    bnj558.25 $e |- G = ( f u. { <. m , C >. } ) $.
    bnj558.28 $e |- ( ph' <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj558.29 $e |- ( ps' <-> A. i e. _om ( suc i e. m -> ( f ` suc i ) = U_ y
        e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj558.36 $e |- ( ( R _FrSe A /\ ta /\ si ) -> G Fn n ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj558 $p |- ( ( R _FrSe A /\ ta /\ et /\ ze ) -> ( G ` suc i ) = K ) $=
      ( w-bnj15 w-bnj17 cv cfv wceq csuc bnj557 wa wb w3a bnj422 bnj253 simp1bi
      bitri bnj554 syl mpbid ) GKUPZABCUQZNURPUSRUTZMURVAPUSQUTZABCDEFGHIJKLMNO
      PQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOVBVNBCVCZVOVPVDVNVQVMAVNBCVMAUQVQVMAVE
      VMABCVFBCVMAVGVIVHBCFGJKMNOPQRSUFUGUJUKUJUKVJVKVL $.
  $}

  ${
    bnj561.18 $e |- ( si <-> ( m e. D /\ n = suc m /\ p e. m ) ) $.
    bnj561.19 $e |- ( et <-> ( m e. D /\ n = suc m /\ p e. _om /\ m = suc p ) )
        $.
    bnj561.37 $e |- ( ( R _FrSe A /\ ta /\ si ) -> G Fn n ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj561 $p |- ( ( R _FrSe A /\ ta /\ et ) -> G Fn n ) $=
      ( w-bnj15 cv wfn bnj556 syl3an3 ) BDFNACIHOPBCEGHJKLQMR $.
  $}

  ${
    bnj562.18 $e |- ( si <-> ( m e. D /\ n = suc m /\ p e. m ) ) $.
    bnj562.19 $e |- ( et <-> ( m e. D /\ n = suc m /\ p e. _om /\ m = suc p ) )
        $.
    bnj562.38 $e |- ( ( R _FrSe A /\ ta /\ si ) -> ph" ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj562 $p |- ( ( R _FrSe A /\ ta /\ et ) -> ph" ) $=
      ( w-bnj15 bnj556 syl3an3 ) BDFNACJBCEGHIKLOMP $.
  $}

  ${
    $d G y $.  $d f y $.  $d i y $.
    bnj570.3 $e |- D = ( _om \ { (/) } ) $.
    bnj570.17 $e |- ( ta <-> ( f Fn m /\ ph' /\ ps' ) ) $.
    bnj570.19 $e |- ( et <-> ( m e. D /\ n = suc m /\ p e. _om /\ m = suc p ) )
        $.
    bnj570.21 $e |- ( rh <-> ( i e. _om /\ suc i e. n /\ m =/= suc i ) ) $.
    bnj570.24 $e |- K = U_ y e. ( G ` i ) _pred ( y , A , R ) $.
    bnj570.26 $e |- G = ( f u. { <. m , C >. } ) $.
    bnj570.40 $e |- ( ( R _FrSe A /\ ta /\ et ) -> G Fn n ) $.
    bnj570.30 $e |- ( ps' <-> A. i e. _om ( suc i e. m -> ( f ` suc i ) = U_ y
        e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj570 $p |- ( ( R _FrSe A /\ ta /\ et /\ rh ) -> ( G ` suc i ) = K ) $=
      ( w-bnj15 w-bnj17 cv csuc cfv c-bnj14 ciun wa wceq bnj251 com wfn simp3bi
      wcel wne simp1bi adantl bnj563 jca wi wal bnj946 sp sylbi imp32 simplbiim
      syl2an w3a fnfund bnj721 wss cop csn bnj931 a1i cdm bnj667 bnj564 biimpar
      wfun eleq2 3impb syl bnj1502 word bnj252 simplbi cdif eldifi eleq2s nnord
      c0 3syl adantr anim12i elelsuc ordsucelsuc sylan2 iuneq1d 3eqtr4d eqtr4di
      fndm ) EHUFZABCUGZJUHZUIZMUJZDXJMUJZEHDUHUKZULZNXIXKIUHZUJZDXJXPUJZXNULZX
      LXOXIXHABCUMZUMZXQXSUNZXHABCUOAQXJUPUSZXKKUHZUSZUMYBXTAXPYDUQZPQSURXTYCYE
      CYCBCYCXKLUHZUSYDXKUTUAVAVBBCGJKLOTUAVCZVDQYCYEYBQYCYEYBVEZVEZJVFYJQYIJUP
      UEVGYJJVHVIVJVLVKXIXKMXPXHABCMWEXHABVMYGMUDVNVOZXPMVPXIMXPYDFVQVRUCVSVTZX
      IABCVMZXKXPWAZUSZXHABCWBZABCYOAYNYDUNZYEYOXTAIKPQSWCYHYQYOYEYNYDXKWFWDVLW
      GWHWIXIDXMXRXNXIXJMXPYKYLXIYMXJYNUSZYPABCYRYAYFYDWJZYEUMZUMYQXJYDUSZUMYRA
      YFXTYTAYFPQSVAXTYSYEBYSCBYDGUSZYDUPUSZYSBUUBYGYDUIZUNZOUHZUPUSZYDUUFUIUNZ
      UGZUUBTUUIUUBUUEUUGUUHVMUUBUUEUUGUUHWKWLVIUUCYDUPWQVRZWMGYDUPUUJWNRWOYDWP
      WRWSYHVDWTYFYQYTUUAYDXPXGYEYSXKUUDUSZUUAXKYDXAYSUUAUUKXJYDXBWDXCWTYQYRUUA
      YNYDXJWFWDWRWGWHWIXDXEUBXF $.
  $}

  ${
    $d A i p y $.  $d G y $.  $d R i p y $.  $d et i $.  $d f i p y $.
    $d i m p $.  $d i p ph' $.
    bnj571.3 $e |- D = ( _om \ { (/) } ) $.
    bnj571.16 $e |- G = ( f u. { <. m , U_ y e. ( f ` p ) _pred ( y , A , R )
        >. } ) $.
    bnj571.17 $e |- ( ta <-> ( f Fn m /\ ph' /\ ps' ) ) $.
    bnj571.18 $e |- ( si <-> ( m e. D /\ n = suc m /\ p e. m ) ) $.
    bnj571.19 $e |- ( et <-> ( m e. D /\ n = suc m /\ p e. _om /\ m = suc p ) )
        $.
    bnj571.20 $e |- ( ze <-> ( i e. _om /\ suc i e. n /\ m = suc i ) ) $.
    bnj571.22 $e |- B = U_ y e. ( f ` i ) _pred ( y , A , R ) $.
    bnj571.23 $e |- C = U_ y e. ( f ` p ) _pred ( y , A , R ) $.
    bnj571.24 $e |- K = U_ y e. ( G ` i ) _pred ( y , A , R ) $.
    bnj571.25 $e |- L = U_ y e. ( G ` p ) _pred ( y , A , R ) $.
    bnj571.26 $e |- G = ( f u. { <. m , C >. } ) $.
    bnj571.29 $e |- ( ph' <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj571.30 $e |- ( ps' <-> A. i e. _om ( suc i e. m -> ( f ` suc i ) = U_ y
        e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj571.38 $e |- ( ( R _FrSe A /\ ta /\ si ) -> G Fn n ) $.
    bnj571.21 $e |- ( rh <-> ( i e. _om /\ suc i e. n /\ m =/= suc i ) ) $.
    bnj571.40 $e |- ( ( R _FrSe A /\ ta /\ et ) -> G Fn n ) $.
    bnj571.33 $e |- ( ps" <-> A. i e. _om ( suc i e. n -> ( G ` suc i ) = U_ y
        e. ( G ` i ) _pred ( y , A , R ) ) ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj571 $p |- ( ( R _FrSe A /\ ta /\ et ) -> ps" ) $=
      ( w-bnj15 w3a cv com wcel csuc cfv c-bnj14 ciun wceq wi wal nfv wfn nfra1
      wral nfxfr nf3an wa w-bnj17 df-bnj17 3anass 3anrot df-3an anbi2i 3bitr4ri
      bitri bnj558 sylbir 3expib bnj570 pm2.61ine eqtrdi alrimi bnj946 sylibr
      wne exp32 ) HLVAZABVBZNVCZVDVEZXAVFZPVCVEZXCQVGZGXAQVGHLGVCVHZVIZVJZVKZVK
      ZNVLUCWTXJNWSABNWSNVMAMVCZOVCZVNZUAUBVBNUFXMUAUBNXMNVMUANVMUBXCXLVEXCXKVG
      GXAXKVGXFVIVJVKZNVDVPNUPXNNVDVOVQVRVQBNVMVRWTXBXDXHWTXBXDVSZVSZXERXGXPXER
      VJZVKXLXCXLXCVJZWTXOXQXRWTXOVBZWSABCVTZXQXTWTCVSZXSWSABCWAWTXOXRVBWTXOXRV
      SZVSXSYAWTXOXRWBXRWTXOWCCYBWTCXBXDXRVBYBUIXBXDXRWDWGWEWFWGABCDFGHIJKLMNOP
      QRSTUAUBUDUEUFUGUHUIUJUKULUMUNUOUPUQWHWIWJXLXCWQZWTXOXQYCWTXOVBZWSABEVTZX
      QYEWTEVSZYDWSABEWAWTXOYCVBWTXOYCVSZVSYDYFWTXOYCWBYCWTXOWCEYGWTEXBXDYCVBYG
      URXBXDYCWDWGWEWFWGABEGHGTVCXKVGXFVIKLMNOPQRTUAUBUDUFUHURULUEUSUPWKWIWJWLU
      LWMWRWNUCXINVDUTWOWP $.
  $}

$( MARKER 4 - TODO DELETE $)
  ${
    $d A f m $.  $d A f p $.  $d R f m $.  $d R f p $.  $d et f $.  $d m n $.
    $d m ph $.  $d m ps $.  $d m x $.  $d n p $.  $d p ph $.  $d p ps $.
    $d p th $.  $d p x $.
    bnj605.5 $e |- ( th <-> A. m e. D ( m _E n -> [. m / n ]. ch ) ) $.
    bnj605.13 $e |- ( ph" <-> [. f / f ]. ph ) $.
    bnj605.14 $e |- ( ps" <-> [. f / f ]. ps ) $.
    bnj605.17 $e |- ( ta <-> ( f Fn m /\ ph' /\ ps' ) ) $.
    bnj605.19 $e |- ( et <-> ( m e. D /\ n = suc m /\ p e. _om /\ m = suc p ) )
        $.
    bnj605.28 $e |- f e. _V $.
    bnj605.31 $e |- ( ch' <-> ( ( R _FrSe A /\ x e. A ) -> E! f ( f Fn m /\ ph'
        /\ ps' ) ) ) $.
    bnj605.32 $e |- ( ph" <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj605.33 $e |- ( ps" <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y
        e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj605.37 $e |- ( ( n =/= 1o /\ n e. D ) -> E. m E. p et ) $.
    bnj605.38 $e |- ( ( th /\ m e. D /\ m _E n ) -> ch' ) $.
    bnj605.41 $e |- ( ( R _FrSe A /\ ta /\ et ) -> f Fn n ) $.
    bnj605.42 $e |- ( ( R _FrSe A /\ ta /\ et ) -> ph" ) $.
    bnj605.43 $e |- ( ( R _FrSe A /\ ta /\ et ) -> ps" ) $.
    $( Technical lemma.  This lemma may no longer be used or have become an
       indirect lemma of the theorem in question (i.e. a lemma of a lemma... of
       the theorem).  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj605 $p |- ( ( n =/= 1o /\ n e. D /\ th )
        -> ( ( R _FrSe A /\ x e. A ) -> E. f ( f Fn n /\ ph /\ ps ) ) ) $=
      ( cv c1o wne wcel w-bnj15 wa wfn w3a wex wi anim1i nfv 19.41 cep wbr wsbc
      exbii bnj1095 nf5i bitr2i sylib csuc com bnj1232 bnj219 bnj770 jca bnj170
      wceq sylibr syl simpl 2eximi w-bnj17 bnj248 pm3.35 sylan2b bnj1198 bnj832
      weu euex 3jca 3com23 3expia eximdv ad4ant14 sylbi bnj432 biid sbcid bitri
      mpd 3anbi123i 3imtr3i ex exlimivv 3syl 3impa ) OUPZUQURZXNJUSZDIKUTZGUPIU
      SZVAZLUPZXNVBZABVCZLVDZVEZXOXPVAZDVAZFDVAZPVDZNVDZSFVAZPVDNVDYDYFFPVDZNVD
      ZDVAZYIYEYLDUKVFYIYKDVAZNVDYMYHYNNFDPDPVGVHVLYKDNDNDNUPZXNVIVJZCOYOVKVENJ
      UBVMVNVHVOVPYGYJNPYGSFYGDYOJUSZYPVCZSYGYQYPVAZDVAYRFYSDFYQYPFYQXNYOVQWDZP
      UPZVRUSZYOUUAVQWDZUFVSYQYTUUBUUCYPFUFNOVTWAWBVFDYQYPWCWEULWFFDWGWBWHYJYDN
      PYJXSYCXQXRSFWIZYATUAVCZLVDZYJXSVAYCUUDELVDZUUFXSSVAZFUUGUUDXQXRSFWJZUUHX
      TYOVBQRVCZLEUUHUUJLWOZUUJLVDSXSXSUUKVEUUKUHXSUUKWKWLUUJLWPWFUEWMWNUUDUUHF
      VAUUGUUFVEZUUIXQFUULXRSXQFVAEUUELXQFEUUEXQEFUUEXQEFVCYATUAUMUNUOWQWRWSWTX
      AXBXGXQXRSFXCUUEYBLYAYATAUABYAXDTALXTVKAUCALXEXFUABLXTVKBUDBLXEXFXHVLXIXJ
      XKXLXM $.
  $}

  ${
    $d f n $.
    bnj581.3 $e |- ( ch <-> ( f Fn n /\ ph /\ ps ) ) $.
    bnj581.4 $e |- ( ph' <-> [. g / f ]. ph ) $.
    bnj581.5 $e |- ( ps' <-> [. g / f ]. ps ) $.
    bnj581.6 $e |- ( ch' <-> [. g / f ]. ch ) $.
    $( Technical lemma for ~ bnj580 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  Remove unnecessary distinct variable conditions.  (Revised
       by Andrew Salmon, 9-Jul-2011.)  (New usage is discouraged.) $)
    bnj581 $p |- ( ch' <-> ( g Fn n /\ ph' /\ ps' ) ) $=
      ( cv wsbc wfn w3a sbcbii sbc3an bnj62 bicomi 3anbi123i bitr4i 3bitri ) IC
      DENZODNFNZPZABQZDUEOZUEUFPZGHQZMCUHDUEJRUIUGDUEOZADUEOZBDUEOZQUKUGABDUESU
      JULGUMHUNULUJDEUFTUAKLUBUCUD $.
  $}

  ${
    $d A i k $.  $d R i k $.  $d f i k y $.  $d i k n $.
    bnj589.1 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj589 $p |- ( ps <-> A. k e. _om ( suc k e. n -> ( f ` suc k ) = U_ y e. (
        f ` k ) _pred ( y , A , R ) ) ) $=
      ( cv bnj222 ) ABCDFGEJHJIK $.
  $}

  ${
    bnj590.1 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj590 $p |- ( ( B = suc i /\ ps ) -> ( i e. _om -> ( B e. n -> ( f ` B ) =
        U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) ) $=
      ( cv csuc wceq com wcel cfv c-bnj14 ciun wi wral rsp sylbi fveqeq2 imbi2d
      eleq1 imbi12d syl5ibr imp ) DGJZKZLZAUHMNZDHJZNZDFJZOBUHUNOCEBJPQZLZRZRZA
      URUJUKUIULNZUIUNOUOLZRZRZAVAGMSVBIVAGMTUAUJUQVAUKUJUMUSUPUTDUIULUDDUIUOUN
      UBUEUCUFUG $.
  $}

  ${
    $d D j $.  $d ch j $.  $d ch' j $.  $d f j $.  $d g j $.  $d j k $.
    $d j n $.
    bnj591.1 $e |- ( th <-> ( ( n e. D /\ ch /\ ch' ) -> ( f ` j ) = ( g ` j )
        ) ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj591 $p |- ( [. k / j ]. th
        <-> ( ( n e. D /\ ch /\ ch' ) -> ( f ` k ) = ( g ` k ) ) ) $=
      ( cv wsbc wcel w3a cfv wceq wi sbcbii vex fveq2 weq eqeq12d imbi2d sbcie
      bitri ) BFGKZLHKCMAINZFKZDKZOZUHEKZOZPZQZFUFLUGUFUIOZUFUKOZPZQZBUNFUFJRUN
      URFUFGSFGUAZUMUQUGUSUJUOULUPUHUFUITUHUFUKTUBUCUDUE $.
  $}

  ${
    $d A i k $.  $d D k $.  $d R i k $.  $d ch k $.  $d ch' k $.  $d f i k y $.
    $d g i k y $.  $d i k n $.  $d j k $.
    bnj594.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj594.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj594.3 $e |- ( ch <-> ( f Fn n /\ ph /\ ps ) ) $.
    bnj594.7 $e |- D = ( _om \ { (/) } ) $.
    bnj594.9 $e |- ( ph' <-> ( g ` (/) ) = _pred ( x , A , R ) ) $.
    bnj594.10 $e |- ( ps' <-> A. i e. _om ( suc i e. n -> ( g ` suc i ) = U_ y
        e. ( g ` i ) _pred ( y , A , R ) ) ) $.
    bnj594.11 $e |- ( ch' <-> ( g Fn n /\ ph' /\ ps' ) ) $.
    bnj594.15 $e |- ( th <-> ( ( n e. D /\ ch /\ ch' ) -> ( f ` j ) = ( g ` j )
        ) ) $.
    bnj594.16 $e |- ( [. k / j ]. th
        <-> ( ( n e. D /\ ch /\ ch' ) -> ( f ` k ) = ( g ` k ) ) ) $.
    bnj594.17 $e |- ( ta <-> A. k e. n ( k _E j -> [. k / j ]. th ) ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj594 $p |- ( ( j e. n /\ ta ) -> th ) $=
      ( wel wa wi cv wceq wcel w3a cfv c-bnj14 wfn simp2bi sylib syl2an 3adant1
      c0 eqtr3 fveq2 eqeq12d syl5ibr sylibr a1d wne w-bnj17 bnj253 bnj252 anidm
      3anbi1i 3bitr3i wex csuc df-bnj17 cep wsbc bnj1095 bnj1352 hbxfrbi bnj170
      wbr wrex bnj923 elnn sylan2 anim1i sylbi nnsuc rexex bnj721 bnj596 bnj667
      com 3syl bnj258 ciun bnj219 3ad2ant3 adantr vex bnj216 df-3an 3anrot word
      ancom csn cdif eldifi eleq2s nnord ordtr1 imp syl3an3 wral rsp mpd bnj446
      mpan9 pm3.35 sylan2b iuneq1 bnj658 simp3bi bnj240 anim12i anim2i biancomi
      simpl simp3 simpl1 bnj589 bnj590 syldan simpr 3eqtr4d ex syl bnj593 19.9v
      3imtr3i expimpd syl5bir 3expib pm2.61ine ) NPUJZEUKZDULNUMZVDUUMVDUNZDUUL
      UUNPUMZIUOZCSUPZUUMKUMZUQZUUMLUMZUQZUNZULZDUUQUVBUUNVDUURUQZVDUUTUQZUNZCS
      UVFUUPCUVDHJFUMURZUNZUVEUVGUNZUVFSCAUVHCUURUUOUSZABUBUTTVASQUVISUUTUUOUSZ
      QRUFUTUDVAUVDUVEUVGVEVBVCUUNUUSUVDUVAUVEUUMVDUURVFUUMVDUUTVFVGVHUGVIVJUUM
      VDVKZUUKEDUVLUUKEUPZUVCDUUQUUPUUQUKZUVMUVBUUPUUPCSVLUUPUUPUKZCSUPUVNUUQUU
      PUUPCSVMUUPUUPCSVNUVOUUPCSUUPVOVPVQUVMUUPUUQUVBUVLUUKUUPEVLZUVCOVRUVMUUPU
      KUVCUVPUVPUUMOUMZVSUNZUKZUVCOUVPUVROUVPUVLUUKUUPUPZEUKOUVLUUKUUPEVTUVTEOE
      UVQUUMWAWGZDNUVQWBZULZOUUOUIWCWDWEUVLUUKUUPEUVROVRZUVTUUMWSUOZUVLUKZUVROW
      SWHUWDUVTUUKUUPUKZUVLUKUWFUVLUUKUUPWFUWGUWEUVLUUPUUKUUOWSUOZUWEIPUCWIUUMU
      UOWJWKZWLWMOUUMWNUVROWSWOWTWPWQUVSUUKUUPUVREVLZUVCUVSUUKUUPEUPZUVRUKUWJUV
      PUWKUVRUVLUUKUUPEWRWLUUKUUPUVREXAVIUWJUUQUVBUWJUUQUKZGUVQUURUQZHJGUMURZXB
      ZGUVQUUTUQZUWNXBZUUSUVAUWLUWBUUPCSVLZUWMUWPUNZUWOUWQUNUWLUWBUUQUKUWRUWJUW
      BUUQUWJUUKUUPUVRUPZEUKZUWBUUKUUPUVREVTUXAUWAUWBUWTUWAEUVRUUKUWAUUPONXCXDX
      EUWTOPUJZEUWCUVRUUKUUPONUJZUXBUUMUVQOXFXGZUUKUUPUXCUPZUUPUXCUUKUKZUKZUXBU
      XCUUKUUPUPUXFUUPUKUXEUXGUXCUUKUUPXHUXCUUKUUPXIUXFUUPXKVQUUPUXFUXBUUPUWHUU
      OXJUXFUXBULUWHUUOWSVDXLZXMIUUOWSUXHXNUCXOUUOXPUVQUUMUUOXQWTXRWMXSEUWCOUUO
      XTUXBUWCULUIUWCOUUOYAWMYDYBWMWLUWBUUPCSVNVIUWRUUQUWBUKUWSUWBUUPCSYCUWBUUQ
      UUQUWSULUWSUHUUQUWSYEYFWMGUWMUWPUWNYGWTUWLUWTBRUKZUKZUWTBUKUUSUWOUNZUWJUW
      TUUQUXIUUKUUPUVREYHUUPCSBRCUVJABUBYISUVKQRUFYIYJYKZUXIBUWTBRYNYLUWTBUVRBU
      KZUXKUWTUVRBUUKUUPUVRYOZWLUWTUXMUKUUKUXKUUKUUPUVRUXMYPUWTUVQWSUOZUXMUUKUX
      KULUWTUVRUWGUKUXOUWTUVRUWGUUKUUPUVRXHYMUVRUXCUWEUXOUWGUXDUWIUVQUUMWJVBWMZ
      BGHUUMJKOPBGHJKMOPUAYQYRYDYBYSWTUWLUXJUWTRUKUVAUWQUNZUXLUXIRUWTBRYTYLUWTR
      UVRRUKZUXQUWTUVRRUXNWLUWTUXRUKUUKUXQUUKUUPUVRUXRYPUWTUXOUXRUUKUXQULUXPRGH
      UUMJLOPRGHJLMOPUEYQYRYDYBYSWTUUAUUBUUCUUDUVLUUKUUPEXAUVCOUUEUUFUUGUUHUGVI
      UUIUUJ $.
  $}

  ${
    $d A f i k $.  $d D f g j k $.  $d R f i k $.  $d ch g j k $.
    $d ch' j k $.  $d f g i k n $.  $d f x $.  $d f g i k y $.  $d j k n $.
    $d k th $.
    bnj580.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj580.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj580.3 $e |- ( ch <-> ( f Fn n /\ ph /\ ps ) ) $.
    bnj580.4 $e |- ( ph' <-> [. g / f ]. ph ) $.
    bnj580.5 $e |- ( ps' <-> [. g / f ]. ps ) $.
    bnj580.6 $e |- ( ch' <-> [. g / f ]. ch ) $.
    bnj580.7 $e |- D = ( _om \ { (/) } ) $.
    bnj580.8 $e |- ( th <-> ( ( n e. D /\ ch /\ ch' ) -> ( f ` j ) = ( g ` j )
        ) ) $.
    bnj580.9 $e |- ( ta <-> A. k e. n ( k _E j -> [. k / j ]. th ) ) $.
    $( Technical lemma for ~ bnj579 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj580 $p |- ( n e. D -> E* f ch ) $=
      ( cv wcel weq wal wmo w3a wfn cfv wceq wral simp1bi bnj581 bnj240 cep wfr
      wa wi wel bnj154 vex bnj540 bnj591 bnj594 ex bnj110 mpan2 ralbii r19.21be
      rgen sylib com word bnj923 nnord ordfr 3syl 3ad2ant1 pm4.71ri bitri mpbir
      imbi1i impexp r19.21v mpbi eqfnfv biimprd sylc 3expib alrimivv wsbc sbsbc
      wsb anbi2i 2albii nfv mo3 3bitr4i sylibr ) PUIZIUJZCSVDZKLUKZVEZLULKULZCK
      UMZXHXKKLXHCSXJXHCSUNZKUIZXGUOZLUIZXGUOZVDZNUIZXOUPXTXQUPUQZNXGURZXJXHCSX
      PXRCXPABUBUSSXRQRABCKLPQRSUBUCUDUEUTZUSVAXNYAVEZNXGURZXNYBVEYEXGVBVCZYDVE
      ZNXGURYFYDNXGYFDNXGURZYEYFEDVEZNXGURYHYINXGNPVFEDABCDEFGHIJKLMNOPQRSTUAUB
      UFFHJKLAQUCTVGBGHJKMXQXGRUAUDLVHVIYCUGCDIKLNOPSUGVJUHVKVLVQDENOXGVBPVHUHV
      MVNDYDNXGUGVOVRVPYDYGNXGYDYFXNVDZYAVEYGXNYJYAXNYFXHCYFSXHXGVSUJXGVTYFIPUF
      WAXGWBXGWCWDWEWFWIYFXNYAWJWGVOWHXNYANXGWKWLXSXJYBNXGXOXQWMWNWOWPWQCCKLWTZ
      VDZXJVEZLULKULCCKXQWRZVDZXJVEZLULKULXMXLYMYPKLYLYOXJYKYNCCKLWSXAWIXBCKLCL
      XCXDXKYPKLXIYOXJSYNCUEXAWIXBXEXF $.
  $}

  ${
    $d A f i k $.  $d D f g j k $.  $d R f i k $.  $d f g i k n $.  $d f x $.
    $d f g i k y $.  $d g j k ph $.  $d g j k ps $.  $d j k n $.
    bnj579.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj579.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj579.3 $e |- D = ( _om \ { (/) } ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj579 $p |- ( n e. D -> E* f ( f Fn n /\ ph /\ ps ) ) $=
      ( vg vj vk cv w3a wsbc biid wfn wcel cfv wceq wi cep wbr wral bnj580 ) AB
      HQZJQZUAABRZUKFUBULULHNQZSZROQZUJUCUOUMUCUDUEZPQZUOUFUGUPOUQSUEPUKUHZCDEF
      GHNIOPJAHUMSZBHUMSZUNKLULTUSTUTTUNTMUPTURTUI $.
  $}

  ${
    $d A y $.  $d R y $.  $d X y $.  $d Y y $.
    $( Equality theorem for the ` _pred ` function constant.  (Contributed by
       Jonathan Ben-Naim, 3-Jun-2011.)  (New usage is discouraged.) $)
    bnj602 $p |- ( X = Y -> _pred ( X , A , R ) = _pred ( Y , A , R ) ) $=
      ( vy wceq cv wbr crab c-bnj14 breq2 rabbidv df-bnj14 3eqtr4g ) CDFZEGZCBH
      ZEAIPDBHZEAIABCJABDJOQREACDPBKLEABCMEABDMN $.
  $}

  ${
    $d A f h $.  $d A f m $.  $d A f p $.  $d G h i y $.  $d R f h $.
    $d R f m $.  $d R f p $.  $d et f $.  $d f h i y $.  $d f h n $.
    $d f h x $.  $d h ph $.  $d h ps $.  $d m n $.  $d m ph $.  $d m ps $.
    $d m x $.  $d n p $.  $d p ph $.  $d p ps $.  $d p th $.  $d p x $.
    bnj607.5 $e |- ( th <-> A. m e. D ( m _E n -> [. m / n ]. ch ) ) $.
    bnj607.13 $e |- ( ph" <-> [. G / f ]. ph ) $.
    bnj607.14 $e |- ( ps" <-> [. G / f ]. ps ) $.
    bnj607.17 $e |- ( ta <-> ( f Fn m /\ ph' /\ ps' ) ) $.
    bnj607.19 $e |- ( et <-> ( m e. D /\ n = suc m /\ p e. _om /\ m = suc p ) )
        $.
    bnj607.28 $e |- G e. _V $.
    bnj607.31 $e |- ( ch' <-> ( ( R _FrSe A /\ x e. A ) -> E! f ( f Fn m /\ ph'
        /\ ps' ) ) ) $.
    bnj607.32 $e |- ( ph" <-> ( G ` (/) ) = _pred ( x , A , R ) ) $.
    bnj607.33 $e |- ( ps" <-> A. i e. _om ( suc i e. n -> ( G ` suc i ) = U_ y
        e. ( G ` i ) _pred ( y , A , R ) ) ) $.
    bnj607.37 $e |- ( ( n =/= 1o /\ n e. D ) -> E. m E. p et ) $.
    bnj607.38 $e |- ( ( th /\ m e. D /\ m _E n ) -> ch' ) $.
    bnj607.41 $e |- ( ( R _FrSe A /\ ta /\ et ) -> G Fn n ) $.
    bnj607.42 $e |- ( ( R _FrSe A /\ ta /\ et ) -> ph" ) $.
    bnj607.43 $e |- ( ( R _FrSe A /\ ta /\ et ) -> ps" ) $.
    bnj607.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj607.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj607.400 $e |- ( ph0 <-> [. h / f ]. ph ) $.
    bnj607.401 $e |- ( ps0 <-> [. h / f ]. ps ) $.
    bnj607.300 $e |- ( ph1 <-> [. G / h ]. ph0 ) $.
    bnj607.301 $e |- ( ps1 <-> [. G / h ]. ps0 ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj607 $p |- ( ( n =/= 1o /\ n e. D /\ th )
        -> ( ( R _FrSe A /\ x e. A ) -> E. f ( f Fn n /\ ph /\ ps ) ) ) $=
      ( cv c1o wne wcel w-bnj15 wa wfn w3a wex wi anim1i nfv 19.41 cep wbr wsbc
      exbii bnj1095 nf5i bitr2i sylib csuc com bnj1232 bnj219 bnj770 jca bnj170
      wceq sylibr syl 2eximi weu biimpi euex syl6 impcom bnj1198 adantrr 3com23
      simpl id 3expia eximdv ad2ant2rl mpd 3jca eximi nfe1 cvv nfcv nfxfr nf3an
      nfsbc1v fneq1 sbceq1a bitr4di 3anbi123d spcegf ax-mp c0 cfv bnj154 bnj526
      c-bnj14 bitr4i ciun wral vex bnj540 anbi12i 3anass 3syl anbi2i weq exlimi
      3bitr4i cbvexv1 3imtr4i expcom exlimivv 3impa ) PVHZVIVJZUUJJVKZDIKVLZGVH
      ZIVKZVMZLVHZUUJVNZABVOZLVPZVQZUUKUULVMZDVMZFDVMZRVPZOVPZUAFVMZRVPOVPUVAUV
      CFRVPZOVPZDVMZUVFUVBUVIDUQVRUVFUVHDVMZOVPUVJUVEUVKOFDRDRVSVTWDUVHDODODOVH
      ZUUJWAWBZCPUVLWCVQOJUHWEWFVTWGWHUVDUVGORUVDUAFUVDDUVLJVKZUVMVOZUAUVDUVNUV
      MVMZDVMUVOFUVPDFUVNUVMFUVNUUJUVLWIWPZRVHZWJVKZUVLUVRWIWPZULWKUVNUVQUVSUVT
      UVMFULOPWLWMWNVRDUVNUVMWOWQURWRFDXHWNWSUVGUVAORUUPUVGUUTUUPUVGVMZUUMEFVOZ
      LVPZQUUJVNZUBUCVOZLVPUUTUWAELVPZUWCUUPUAUWFFUUPUAVMUUQUVLVNSTVOZLEUAUUPUW
      GLVPZUAUUPUWGLWTZUWHUAUUPUWIVQUNXAUWGLXBXCXDUKXEXFUUMFUWFUWCVQUUOUAUUMFVM
      EUWBLUUMFEUWBUUMEFUWBUWBXIXGXJXKXLXMUWBUWELUWBUWDUBUCUSUTVAXNXOUWEUUTLUUS
      LXPUWDUFUGVOZMVHZUUJVNZUDUEVOZMVPZUWEUUTQXQVKUWJUWNVQUMUWMUWJMQXQMQXRUWDU
      FUGMUWDMVSUFUDMQWCZMVFUDMQYAXSUGUEMQWCZMVGUEMQYAXSXTUWKQWPZUWLUWDUDUFUEUG
      UUJUWKQYBUWQUDUWOUFUDMQYCVFYDUWQUEUWPUGUEMQYCVGYDYEYFYGUWDUBUCVMZVMUWDUFU
      GVMZVMUWEUWJUWRUWSUWDUBUFUCUGUBYHQYIIKUUNYLWPUFUOUDIKMQUUNUFGIKLMAUDVDVBY
      JVFUMYKYMUCNVHZWIZUUJVKUXAQYIHUWTQYIIKHVHYLYNWPVQNWJYOUGUPUEHIKMNQUUJUGBH
      IKLNUWKUUJUEVCVEMYPYQVGUMYQYMYRUUAUWDUBUCYSUWDUFUGYSUUDUUSUWMLMUUSMVSUWLU
      DUELUWLLVSUDALUWKWCZLVDALUWKYAXSUEBLUWKWCZLVEBLUWKYAXSXTLMUUBZUURUWLAUDBU
      EUUJUUQUWKYBUXDAUXBUDALUWKYCVDYDUXDBUXCUEBLUWKYCVEYDYEUUEUUFUUCYTUUGUUHYT
      UUI $.
  $}

  ${
    $d A e f $.  $d G e $.  $d R e f $.  $d X e f $.  $d e ph $.
    bnj609.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj609.2 $e |- ( ph" <-> [. G / f ]. ph ) $.
    bnj609.3 $e |- G e. _V $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj609 $p |- ( ph" <-> ( G ` (/) ) = _pred ( X , A , R ) ) $=
      ( ve wsbc c0 cfv c-bnj14 wceq cv fveq1 eqeq1d bitri dfsbcq sbcbii vex weq
      sbcie vtoclb ) GADELZMENZBCFOZPZIADKQZLZMUKNZUIPZUGUJKEJADUKEUAUKEPUMUHUI
      MUKERSULMDQZNZUIPZDUKLUNAUQDUKHUBUQUNDUKKUCDKUDUPUMUIMUOUKRSUETUFT $.
  $}

  ${
    $d A e f $.  $d G e i y $.  $d N f $.  $d R e f $.  $d f i y $.
    bnj611.1 $e |- ( ps <-> A. i e. _om ( suc i e. N -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj611.2 $e |- ( ps" <-> [. G / f ]. ps ) $.
    bnj611.3 $e |- G e. _V $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj611 $p |- ( ps" <-> A. i e. _om ( suc i e. N
        -> ( G ` suc i ) = U_ y e. ( G ` i ) _pred ( y , A , R ) ) ) $=
      ( wsbc cv wcel cfv wceq wi com fveq1 ve csuc c-bnj14 ciun wral wal df-ral
      bicomi sbcbii cvv nfv sbc19.21g ax-mp bnj1113 eqeq12d bnj610 imbi2i bitri
      wb albii sbcal 3bitr4ri ) IAEGMZFNZUBZHOZVEGPZBVDGPZCDBNUCZUDZQZRZFSUEZKV
      DSOZVFVEENZPZBVDVOPZVIUDZQZRZRZFUFZEGMZVTFSUEZEGMVMVCWBWDEGWDWBVTFSUGUHUI
      WAEGMZFUFVNVLRZFUFWCVMWEWFFWEVNVTEGMZRZWFGUJOZWEWHUSLVNVTEGUJVNEUKULUMWGV
      LVNWGVFVSEGMZRZVLWIWGWKUSLVFVSEGUJVFEUKULUMWJVKVFVSVKEUAGVEUANZPZBVDWLPZV
      IUDZQLVOGQVPVGVRVJVEVOGTBVOGVQVHVIVDVOGTUNUOVOWLQVPWMVRWOVEVOWLTBVOWLVQWN
      VIVDVOWLTUNUOWLGQWMVGWOVJVEWLGTBWLGWNVHVIVDWLGTUNUOUPUQURUQURUTWAFEGVAVLF
      SUGVBAWDEGJUIVBUR $.
  $}

  ${
    $d A f i m n p z $.  $d A f i n p y $.  $d D f p $.  $d G i y z $.
    $d R f i m n p z $.  $d R f i n p y $.  $d et f i $.  $d f m n p x z $.
    $d i p ph' $.  $d m p ph z $.  $d m p ps z $.  $d p th $.
    bnj600.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj600.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj600.3 $e |- D = ( _om \ { (/) } ) $.
    bnj600.4 $e |- ( ch <-> ( ( R _FrSe A /\ x e. A )
        -> E! f ( f Fn n /\ ph /\ ps ) ) ) $.
    bnj600.5 $e |- ( th <-> A. m e. D ( m _E n -> [. m / n ]. ch ) ) $.
    bnj600.10 $e |- ( ph' <-> [. m / n ]. ph ) $.
    bnj600.11 $e |- ( ps' <-> [. m / n ]. ps ) $.
    bnj600.12 $e |- ( ch' <-> [. m / n ]. ch ) $.
    bnj600.13 $e |- ( ph" <-> [. G / f ]. ph ) $.
    bnj600.14 $e |- ( ps" <-> [. G / f ]. ps ) $.
    bnj600.15 $e |- ( ch" <-> [. G / f ]. ch ) $.
    bnj600.16 $e |- G = ( f u. { <. m , U_ y e. ( f ` p ) _pred ( y , A , R )
        >. } ) $.
    bnj600.17 $e |- ( ta <-> ( f Fn m /\ ph' /\ ps' ) ) $.
    bnj600.18 $e |- ( si <-> ( m e. D /\ n = suc m /\ p e. m ) ) $.
    bnj600.19 $e |- ( et <-> ( m e. D /\ n = suc m /\ p e. _om /\ m = suc p ) )
        $.
    bnj600.20 $e |- ( ze <-> ( i e. _om /\ suc i e. n /\ m = suc i ) ) $.
    bnj600.21 $e |- ( rh <-> ( i e. _om /\ suc i e. n /\ m =/= suc i ) ) $.
    bnj600.22 $e |- B = U_ y e. ( f ` i ) _pred ( y , A , R ) $.
    bnj600.23 $e |- C = U_ y e. ( f ` p ) _pred ( y , A , R ) $.
    bnj600.24 $e |- K = U_ y e. ( G ` i ) _pred ( y , A , R ) $.
    bnj600.25 $e |- L = U_ y e. ( G ` p ) _pred ( y , A , R ) $.
    bnj600.26 $e |- G = ( f u. { <. m , C >. } ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj600 $p |- ( n =/= 1o -> ( ( n e. D /\ th ) -> ch ) ) $=
      ( vz cv c1o wne wcel w3a w-bnj15 wa wfn weu wi wex wmo wsbc bnj528 bnj207
      vex bnj609 bnj611 csuc wceq com w-bnj17 bnj168 df-rex sylib bnj158 adantr
      wrex ancri bnj534 bnj432 exbii sylibr eximi syl 2exbii cep wbr wral sylbi
      rsp 3imp bnj523 bnj539 bnj544 bnj561 bnj545 bnj562 bnj571 biid bnj607 a1d
      bnj579 3ad2ant2 jcad df-eu syl6ibr 3expib ) TVNZVOVPZYLOVQZDCYMYNDVRZLPVS
      JVNZLVQVTZQVNZYLWAABVRZQWBZWCCYOYQYSQWDZYSQWEZVTYTYOYQUUAUUBABCDEFJKLOPQV
      MRSTUAUDUEUFUGUHUIAQVMVNZWFZBQUUCWFZUUDVMUAWFZUUEVMUAWFZUOUSUTVCVEKLPQSUA
      UDVBWGZABCJLPQTSVNZUEUFUGUNUPUQURSWIZWHALPQUAYPUHUKUSUUHWJZBKLPQRUAYLUIUL
      UTUUHWKZYMYNVTZUUIOVQZYLUUIWLWMZUDVNZWNVQZUUIUUPWLWMZWOZUDWDZSWDZFUDWDSWD
      UUMUUNUUOVTZSWDZUVAUUMUUOSOXAUVCOSTUMWPUUOSOWQWRUVBUUTSUVBUUQUURVTZUVBVTZ
      UDWDUUTUVDUVBUVBUDUVBUVDUDWDZUUNUVFUUOUUNUURUDWNXAUVFOSUDUMWSUURUDWNWQWRW
      TXBXCUUSUVEUDUUNUUOUUQUURXDXEXFXGXHFUUSSUDVEXIXFDUUNUUIYLXJXKZVRCTUUIWFZU
      GDUUNUVGUVHDUVGUVHWCZSOXLUUNUVIWCUOUVISOXNXMXOURXFEFHLOPSTUAUDVDVEEHJKLOP
      QRSTUAUDUEUFALPTYRUUIYPUEUKUPUUJXPZBKLPRTYRUUIUFULUQUUJXQZUMVBVCVDXRZXSZE
      FHLOPSTUDUHVDVEEHJKLOPQSTUAUDUEUFUHUVJUMVBVCVDUVLUUKXTYAEFGHIJKLMNOPQRSTU
      AUBUCUDUEUFUIUMVBVCVDVEVFVHVIVJVKVLUVJUVKUVLVGUVMUULYBUKULUUDYCUUEYCUUFYC
      UUGYCYDYNYMYQUUBWCDYNUUBYQABJKLOPQRTUKULUMYFYEYGYHYSQYIYJUNXFYK $.
  $}

  ${
    $d A f i m n p y $.  $d A f i p y z $.  $d D f i p $.  $d R f i m n p y $.
    $d R f i p y z $.  $d f m n p x $.  $d i m p ph $.  $d m p ps $.
    $d p th $.
    bnj601.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj601.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj601.3 $e |- D = ( _om \ { (/) } ) $.
    bnj601.4 $e |- ( ch <-> ( ( R _FrSe A /\ x e. A ) -> E! f ( f Fn n /\ ph /\
        ps ) ) ) $.
    bnj601.5 $e |- ( th <-> A. m e. D ( m _E n -> [. m / n ]. ch ) ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj601 $p |- ( n =/= 1o -> ( ( n e. D /\ th ) -> ch ) ) $=
      ( wsbc biid vp vz wfn w3a wcel csuc wceq com w-bnj17 wel wne c-bnj14 ciun
      cv cfv cop csn cun bnj602 cbviunv opeq2i sneqi uneq2i dfsbcq ax-mp eqcomi
      wb eqid bnj600 ) ABCDJUNZLUNZUCAMVKSZBMVKSZUDZVKHUEZMUNZVKUFUGZUAUNZUHUEV
      KVRUFUGUIZKUNZUHUEZVTUFZVPUEZVKWBUGUDZVOVQUALUJUDZWAWCVKWBUKUDZEFGFVTVJUO
      GIFUNZULZUMZFVRVJUOZWHUMZHIJKLMVJVKUBWJGIUBUNZULZUMZUPZUQZURZFVTWQUOWHUMZ
      FVRWQUOWHUMZUAVLVMCMVKSZAJVJVKWKUPZUQZURZSZBJXCSZCJXCSZNOPQRVLTVMTWTTXCWQ
      UGZXDAJWQSVGXBWPVJXAWOWKWNVKFUBWJWHWMGIWGWLUSUTVAVBVCZAJXCWQVDVEXGXEBJWQS
      VGXHBJXCWQVDVEXGXFCJWQSVGXHCJXCWQVDVEXCWQXHVFZVNTWETVSTWDTWFTWIVHWKVHWRVH
      WSVHXIVI $.
  $}

  ${
    $d A f i n x y z $.  $d D f i n x z $.  $d R f i n x y z $.  $d X f n x $.
    $d ph x $.  $d ps x z $.
    bnj852.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj852.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj852.3 $e |- D = ( _om \ { (/) } ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj852 $p |- ( ( R _FrSe A /\ X e. A )
         -> A. n e. D E! f ( f Fn n /\ ph /\ ps ) ) $=
      ( vx vz wcel wa cv wral wi w-bnj15 wfn w3a weu wceq elisset adantl bnj534
      wex ancri cfv c-bnj14 eleq1 anbi2d biimpar cep wbr wsbc biid com csn cdif
      c0 cvv difexg ax-mp eqeltri zfregfr bnj157 c1o bnj153 bnj601 pm2.61ine ex
      omex mprg r19.21v mpbi syl wb bnj602 eqeq2d bitr4di 3anbi2d eubidv adantr
      ralbidv mpbid bnj593 bnj937 ) DFUAZJDPZQZGRZIRZUBZABUCZGUDZIESZNWMNRZJUEZ
      WMQZWSNXAWMWMNWMXANUIZWLXCWKNJDUFUGUJUHXBWPVCWNUKZDFWTULZUEZBUCZGUDZIESZW
      SXBWKWTDPZQZXIXAXKWMXAXJWLWKWTJDUMUNUOXKXHTZIESZXKXITORZWOUPUQXLIXNURTOES
      ZXLTXMIEXLXOIOEUPXOUSZEUTVCVAZVBZVDMUTVDPXRVDPVOUTXQVDVEVFVGEVHVIWOEPZXOX
      LXSXOQXLTWOVJXFBXLXONCDEFGHOIXFUSZLMXLUSZXPVKXFBXLXONCDEFGHOIXTLMYAXPVLVM
      VNVPXKXHIEVQVRVSXAXIWSVTWMXAXHWRIEXAXGWQGXAXFAWPBXAXFXDDFJULZUEAXAXEYBXDD
      FWTJWAWBKWCWDWEWGWFWHWIWJ $.
  $}

  ${
    $d A f i n y $.  $d D f i n $.  $d R f i n y $.  $d X f n $.
    bnj864.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj864.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj864.3 $e |- D = ( _om \ { (/) } ) $.
    bnj864.4 $e |- ( ch <-> ( R _FrSe A /\ X e. A /\ n e. D ) ) $.
    bnj864.5 $e |- ( th <-> ( f Fn n /\ ph /\ ps ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj864 $p |- ( ch -> E! f th ) $=
      ( wcel wi wal w-bnj15 w3a wfn weu wral bnj852 df-ral imbi2i 19.21v impexp
      cv wa df-3an bicomi imbi1i bitr3i albii 3bitr2i mpbi spi eubii 3imtr4i )
      FHUAZLFRZKUKZGRZUBZIUKVEUCABUBZIUDZCDIUDVGVISZKVCVDULZVIKGUEZSZVJKTZABEFG
      HIJKLMNOUFVMVKVFVISZKTZSVKVOSZKTVNVLVPVKVIKGUGUHVKVOKUIVQVJKVQVKVFULZVISV
      JVKVFVIUJVRVGVIVGVRVCVDVFUMUNUOUPUQURUSUTPDVHIQVAVB $.
  $}

  ${
    $d A f i n y z $.  $d A f n w $.  $d D f i n z $.  $d D f n w $.
    $d R f i n y z $.  $d R f n w $.  $d X f n w z $.  $d ph w z $.
    $d ps w z $.
    bnj865.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj865.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj865.3 $e |- D = ( _om \ { (/) } ) $.
    bnj865.5 $e |- ( ch <-> ( R _FrSe A /\ X e. A /\ n e. D ) ) $.
    bnj865.6 $e |- ( th <-> ( f Fn n /\ ph /\ ps ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj865 $p |- E. w A. n ( ch -> E. f e. w th ) $=
      ( wi wex vz cv wrex wal wfn w3a w-bnj15 wcel wral weu bnj852 com csn cdif
      wa c0 cvv omex difexg ax-mp eqeltri raleq exbidv imbi12d zfrep6 vtocl syl
      wceq 19.37v mpbir df-ral imbi2i 19.21v bitr4i impexp df-3an bicomi imbi1i
      exbii bitr3i albii bitri mpbi rexbii ) CDJFUBZUCZSZLUDZFTCJUBLUBZUEABUFZJ
      WEUCZSZLUDZFTZGIUGZMGUHZWIHUHZUFZWKSZLUDZFTZWNWOWPUOZWKLHUIZSZFTZXAXEXBXC
      FTZSXBWJJUJZLHUIZXFABEGHIJKLMNOPUKXGLUAUBZUIZWKLXIUIZFTZSXHXFSUAHHULUPUMZ
      UNZUQPULUQUHXNUQUHURULXMUQUSUTVAXIHVHZXJXHXLXFXGLXIHVBXOXKXCFWKLXIHVBVCVD
      WJLJUAFVEVFVGXBXCFVIVJXEXBWQWKSZSZLUDZFTXAXDXRFXDXBXPLUDZSXRXCXSXBWKLHVKV
      LXBXPLVMVNVSXRWTFXQWSLXQXBWQUOZWKSWSXBWQWKVOXTWRWKWRXTWOWPWQVPVQVRVTWAVSW
      BWCWTWMFWSWLLWRCWKCWRQVQVRWAVSWCWHWMFWGWLLWFWKCDWJJWERWDVLWAVSVJ $.
  $}

$( MARKER 6 - TODO DELETE $)
  ${
    $d D f g $.  $d f g n $.  $d g ph $.  $d g ps $.
    bnj873.4 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj873.7 $e |- ( ph' <-> [. g / f ]. ph ) $.
    bnj873.8 $e |- ( ps' <-> [. g / f ]. ps ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj873 $p |- B = { g | E. n e. D ( g Fn n /\ ph' /\ ps' ) } $=
      ( cv wfn w3a wrex cab nfv wsbc nfsbc1v nfcv nfxfr nf3an nfrex weq sbceq1a
      fneq1 bitr4di 3anbi123d rexbidv cbvabw eqtri ) CEMZGMZNZABOZGDPZEQFMZUNNZ
      HIOZGDPZFQJUQVAEFUQFRUTEGDEDUAUSHIEUSERHAEURSZEKAEURTUBIBEURSZELBEURTUBUC
      UDEFUEZUPUTGDVDUOUSAHBIUNUMURUGVDAVBHAEURUFKUHVDBVCIBEURUFLUHUIUJUKUL $.
  $}

  ${
    $d A f i n y $.  $d A f n w $.  $d B g w $.  $d D f g n w $.  $d D f i n $.
    $d R f i n y $.  $d R f n w $.  $d X f n w $.  $d ch f g $.  $d g ph w $.
    $d g ps w $.  $d g n ta w $.  $d g th $.
    bnj849.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj849.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj849.3 $e |- D = ( _om \ { (/) } ) $.
    bnj849.4 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj849.5 $e |- ( ch <-> ( R _FrSe A /\ X e. A /\ n e. D ) ) $.
    bnj849.6 $e |- ( th <-> ( f Fn n /\ ph /\ ps ) ) $.
    bnj849.7 $e |- ( ph' <-> [. g / f ]. ph ) $.
    bnj849.8 $e |- ( ps' <-> [. g / f ]. ps ) $.
    bnj849.9 $e |- ( th' <-> [. g / f ]. th ) $.
    bnj849.10 $e |- ( ta <-> ( R _FrSe A /\ X e. A ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (Proof shortened by Mario Carneiro, 22-Dec-2016.)
       (New usage is discouraged.) $)
    bnj849 $p |- ( ( R _FrSe A /\ X e. A ) -> B e. _V ) $=
      ( vw w-bnj15 wcel wa cvv cv wrex wi wal wex bnj865 wss wfn w3a cab bnj873
      wel df-rex 19.29 an12 df-3an anbi1i 3bitr4i wsbc bnj581 bitr3i weu bnj864
      exancom sylbb nfeu1 nfe1 nfan nfsbc1v nfv nfim weq sbceq1a elequ1 imbi12d
      id imbi2d eupick chvarfv syl2an syl5bir ex embantd sylbir expimpd exlimdv
      impd syl5bi syl5 expdimp abssdv eqsstrid vex ssex syl mpi ) GJUJZOGUKZULZ
      EHUMUKZUHECDKUIUNZUOZUPZNUQZUIURXMABCDFUIGIJKMNOSTUAUCUDUSEXQXMUIEXQXMEXQ
      ULZHXNUTXMXRHLUNZNUNZVAPQVBZNIUOZLVCXNABHIKLNPQUBUEUFVDXRYBLXNYBXTIUKZYAU
      LZNURZXRLUIVEZYANIVFEXQYEYFXQYEULXPYDULZNUREYFXPYDNVGEYGYFNYGYCXPYAULZULE
      YFXPYCYAVHEYCYHYFEYCULZCYHYFUPXJXKYCVBXLYCULCYIXJXKYCVIUCEXLYCUHVJVKCXPYA
      YFCCXOYAYFUPZCWICXOYJYADKXSVLZCXOULYFYKRYAUGABDKLNPQRUDUEUFUGVMVNCDKVOZDK
      UIVEZULZKURZYKYFUPZXOABCDFGIJKMNOSTUAUCUDVPXOYMDULKURYODKXNVFYMDKVQVRYLYO
      ULZDYMUPZUPYQYPUPKLYQYPKYLYOKDKVSYNKVTWAYKYFKDKXSWBYFKWCWDWDKLWEZYRYPYQYS
      DYKYMYFDKXSWFKLUIWGWHWJDYMKWKWLWMWNWOWPWTWQWRXAWSXBXCXAXDXEHXNUIXFXGXHWOW
      SXIWQ $.
  $}

  ${
    $d A f i n y w $.  $d R f i n y w $.  $d X f i n y w $.  $d w B $.
    bnj882.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj882.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj882.3 $e |- D = ( _om \ { (/) } ) $.
    bnj882.4 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    $( Definition (using hypotheses for readability) of the function giving the
       transitive closure of ` X ` in ` A ` by ` R ` .  (Contributed by
       Jonathan Ben-Naim, 3-Jun-2011.)  (New usage is discouraged.) $)
    bnj882 $p |- _trCl ( X , A , R ) = U_ f e. B U_ i e. dom f ( f ` i ) $=
      ( vw cv wcel ciun wrex c-bnj18 wfn cfv c-bnj14 wceq csuc com wral w3a csn
      c0 wi cdif cab cdm df-bnj18 df-iun anbi12i anbi2i 3anass 3bitr4i rexeqbii
      wa abbii eqtri eleq2i anbi1i rexbii2 eqtr4i ) DGKUAHHQZJQZUBZUKVJUCDGKUDU
      EZIQZUFZVKRVOVJUCCVNVJUCZDGCQUDSUEULIUGUHZUIZJUGUKUJUMZTZHUNZIVJUOVPSZSZH
      EWBSZCDGHIJKUPWDPQWBRZHETZPUNZWCHPEWBUQWCWEHWATZPUNWGHPWAWBUQWFWHPWEWEHEW
      AVJERVJWARWEEWAVJEVLABUIZJFTZHUNWAOWJVTHWIVRJFVSNVLABVCZVCVLVMVQVCZVCWIVR
      WKWLVLAVMBVQLMURUSVLABUTVLVMVQUTVAVBVDVEVFVGVHVDVIVIVI $.
  $}

  ${
    $d f i n x y A $.  $d f i n x y R $.  $d f i n x y X $.  $d f i n x y Y $.
    $( Equality theorem for transitive closure.  (Contributed by Mario
       Carneiro, 22-Dec-2016.)  (New usage is discouraged.) $)
    bnj18eq1 $p |- ( X = Y -> _trCl ( X , A , R ) = _trCl ( Y , A , R ) ) $=
      ( vf vn vi vy vx wceq cv c0 cfv c-bnj14 wcel ciun com w3a wrex cab wfn wi
      csuc wral csn cdif cdm c-bnj18 bnj602 eqeq2d 3anbi2d abbidv eleq2d anbi1d
      rexbidv rexbidv2 df-iun 3eqtr4g df-bnj18 ) CDJZEEKZFKZUAZLVAMZABCNZJZGKZU
      CZVBOVHVAMHVGVAMZABHKNPJUBGQUDZRZFQLUEUFZSZETZGVAUGVIPZPZEVCVDABDNZJZVJRZ
      FVLSZETZVOPZABCUHABDUHUTIKVOOZEVNSZITWCEWASZITVPWBUTWDWEIUTWCWCEVNWAUTVAV
      NOVAWAOWCUTVNWAVAUTVMVTEUTVKVSFVLUTVFVRVCVJUTVEVQVDABCDUIUJUKUOULUMUNUPUL
      EIVNVOUQEIWAVOUQURHABEGFCUSHABEGFDUSUR $.
  $}

  ${
    $d A f g i n y w z $.  $d R f g i n y w z $.  $d X f g i n y w z $.
    $( Property of ` _trCl ` .  Under certain conditions, the transitive
       closure of ` X ` in ` A ` by ` R ` is a set.  (Contributed by Jonathan
       Ben-Naim, 3-Jun-2011.)  (New usage is discouraged.) $)
    bnj893 $p |- ( ( R _FrSe A /\ X e. A ) -> _trCl ( X , A , R ) e. _V ) $=
      ( vf vn vi vy vg vw wcel cv c0 cfv wceq ciun com wrex cvv biid wsbc vz wa
      w-bnj15 c-bnj18 wfn c-bnj14 csuc wi wral w3a csn cdif cab cdm eqid bnj882
      vex fveq1 eqeq1d sbcie bicomi iuneq1d eqeq12d imbi2d bnj873 eleq2i anbi1i
      ralbidv rexbii2 abbii df-iun 3eqtr4i bnj849 dmex fvex iunex rgenw sylancl
      weq iunexg eqeltrid ) ABUCZCAJZUBZABCUDDDKZEKZUELWEMZABCUFZNZFKZUGZWFJZWK
      WEMZGWJWEMZABGKUFZOZNZUHZFPUIZUJEPLUKULZQDUMZFWEUNZWNOZOZRWIWSGAXAWTBDFEC
      WISWSSWTUOZXAUOZUPWDXDDHKZWFUELXGMZWHNZWLWKXGMZGWJXGMZWOOZNZUHZFPUIZUJZEW
      TQHUMZXCOZRIKXCJZDXAQZIUMXSDXQQZIUMXDXRXTYAIXSXSDXAXQWEXAJWEXQJXSXAXQWEWI
      WSXAWTDHEXIXOXFWIDXGTXIWIXIDXGHUQZDHVSZWGXHWHLWEXGURUSUTVAWSDXGTXOWSXODXG
      YBYCWRXNFPYCWQXMWLYCWMXJWPXLWKWEXGURYCGWNXKWOWJWEXGURVBVCVDVHUTVAVEVFVGVI
      VJDIXAXCVKDIXQXCVKVLWDXQRJXCRJZDXQUIXRRJXIXOWBWCWFWTJUJZXPWDGAXQWTBHUAFEC
      XIHUAKZTZXOHYFTZXPHYFTZXISXOSXEXQUOYESXPSYGSYHSYISWDSVMYDDXQFXBWNWEDUQVNW
      JWEVOVPVQDXQXCRRVTVRWAWA $.
  $}

  ${
    $d f n $.
    bnj900.3 $e |- D = ( _om \ { (/) } ) $.
    bnj900.4 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj900 $p |- ( f e. B -> (/) e. dom f ) $=
      ( cv wcel cdm wceq wa wi wex c0 wfn w3a wrex reximi bnj1436 simp1 bnj1196
      fndm 3syl cab nfre1 nfab nfcxfr nfcri 19.37 mpbir nfv nfim eleq2 biimparc
      bnj529 sylan imim2i exlimi ax-mp ) EIZCJZFIZDJZVBKZVDLZMZNZFOZVCPVFJZNZVJ
      VCVHFONVCVGFDVCVBVDQZABRZFDSZVMFDSVGFDSVOECHUAVNVMFDVMABUBTVMVGFDVDVBUDTU
      EUCVCVHFFECFCVOEUFHVOFEVNFDUGUHUIUJZUKULVIVLFVCVKFVPVKFUMUNVHVKVCVEPVDJZV
      GVKDVDGUQVGVKVQVFVDPUOUPURUSUTVA $.
  $}

  ${
    $d A f i n y $.  $d R f i n y $.  $d X f i n y $.
    $( Property of ` _trCl ` .  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj906 $p |- ( ( R _FrSe A /\ X e. A ) -> _pred ( X , A , R ) C_ _trCl ( X
        , A , R ) ) $=
      ( vf vn vi vy wcel wa cv c0 cfv c-bnj14 wceq ciun com wrex wex c1o syl wi
      w-bnj15 wfn csuc wral w3a csn cdif cab c-bnj18 wss weu wne 1onn 1n0 ne0ii
      eldifsn mpbir2an biid eqid bnj852 r19.2z sylancr euex bnj31 rexcom4 sylib
      bnj1198 simp2 reximi sylbi df-rex 19.41v simprbi cdm bnj900 fveq2 ssiun2s
      abid ssiun2 bnj882 sseqtrrdi sstrd eqsstrrd exlimiv ) ABUBCAHIZDJZWGEJZUC
      ZKWGLZABCMZNZFJZUDZWHHWNWGLGWMWGLZABGJMONUAFPUEZUFZEPKUGUHZQZDUIZHZDRWKAB
      CUJZUKZWFWSDXAWFWQDRZEWRQWSDRWFWQDULZXDEWRWFWRKUMXEEWRUEXEEWRQSWRSWRHSPHS
      KUMUNUOSPKUQURUPWLWPGAWRBDFECWLUSZWPUSZWRUTZVAXEEWRVBVCWQDVDVEWQEDWRVFVGW
      SDVSZVHXAXCDXAWKWJXBXAWLEWRQZWLXAWSXJXIWQWLEWRWIWLWPVIVJVKXJWHWRHZWLIERZW
      LWLEWRVLXLXKERWLXKWLEVMVNVKTXAWJFWGVOZWOOZXBXAKXMHWJXNUKWLWPWTWRDEXHWTUTZ
      VPFXMWOKWJWMKWGVQVRTXAXNDWTXNOXBDWTXNVTWLWPGAWTWRBDFECXFXGXHXOWAWBWCWDWET
      $.
  $}

  ${
    $d A f i m n p $.  $d A f i n p y $.  $d D p $.  $d G i y $.
    $d R f i m n p $.  $d R f i n p y $.  $d et f i $.  $d f m n p x $.
    $d i p ph' $.  $d m p ph $.  $d m p ps $.  $d p th $.
    bnj908.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( x , A , R ) ) $.
    bnj908.2 $e |- ( ps <-> A. i e. _om ( suc i e. n
        -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj908.3 $e |- D = ( _om \ { (/) } ) $.
    bnj908.4 $e |- ( ch <-> ( ( R _FrSe A /\ x e. A )
        -> E! f ( f Fn n /\ ph /\ ps ) ) ) $.
    bnj908.5 $e |- ( th <-> A. m e. D ( m _E n -> [. m / n ]. ch ) ) $.
    bnj908.10 $e |- ( ph' <-> [. m / n ]. ph ) $.
    bnj908.11 $e |- ( ps' <-> [. m / n ]. ps ) $.
    bnj908.12 $e |- ( ch' <-> [. m / n ]. ch ) $.
    bnj908.13 $e |- ( ph" <-> [. G / f ]. ph ) $.
    bnj908.14 $e |- ( ps" <-> [. G / f ]. ps ) $.
    bnj908.15 $e |- ( ch" <-> [. G / f ]. ch ) $.
    bnj908.16 $e |- G = ( f u. { <. m , U_ y e. ( f ` p ) _pred ( y , A , R )
        >. } ) $.
    bnj908.17 $e |- ( ta <-> ( f Fn m /\ ph' /\ ps' ) ) $.
    bnj908.18 $e |- ( si <-> ( m e. D /\ n = suc m /\ p e. m ) ) $.
    bnj908.19 $e |- ( et <-> ( m e. D /\ n = suc m /\ p e. _om /\ m = suc p ) )
        $.
    bnj908.20 $e |- ( ze <-> ( i e. _om /\ suc i e. n /\ m = suc i ) ) $.
    bnj908.21 $e |- ( rh <-> ( i e. _om /\ suc i e. n /\ m =/= suc i ) ) $.
    bnj908.22 $e |- B = U_ y e. ( f ` i ) _pred ( y , A , R ) $.
    bnj908.23 $e |- C = U_ y e. ( f ` p ) _pred ( y , A , R ) $.
    bnj908.24 $e |- K = U_ y e. ( G ` i ) _pred ( y , A , R ) $.
    bnj908.25 $e |- L = U_ y e. ( G ` p ) _pred ( y , A , R ) $.
    bnj908.26 $e |- G = ( f u. { <. m , C >. } ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj908 $p |- ( ( R _FrSe A /\ x e. A /\ ch' /\ et )
        -> E. f ( G Fn n /\ ph" /\ ps" ) ) $=
      ( w-bnj15 cv wcel w-bnj17 w3a wfn wa wex bnj248 weu wi bnj207 biimpi euex
      vex syl6 impcom bnj832 bnj645 19.41v sylanbrc bnj642 bnj170 bnj523 bnj539
      bnj1198 bnj544 bnj561 bnj528 bnj609 bnj545 bnj562 bnj611 bnj571 bnj593
      3jca ) LPVMZJVNZLVOZUGFVPZXIEFVQZUATVNZVRZUHUIVQQXLEFVSZXIVSZQXMXLXPQVTZX
      IXQQVTXLEQVTZFXRXIXKVSZUGVSZFXSXLXIXKUGFWAYAQVNZSVNZVRUEUFVQZQEUGXTYDQVTZ
      UGXTYDQWBZYEUGXTYFWCABCJLPQTYCUEUFUGUNUPUQURSWGZWDWEYDQWFWHWIVCWRWJXIXKUG
      FWKEFQWLWMXIXKUGFWNXPXIQWLWMXIEFWOWRXMXOUHUIEFHLOPSTUAUDVDVEEHJKLOPQRSTUA
      UDUEUFALPTYBYCXJUEUKUPYGWPZBKLPRTYBYCUFULUQYGWQZUMVBVCVDWSZWTZEFHLOPSTUDU
      HVDVEEHJKLOPQSTUAUDUEUFUHYHUMVBVCVDYJALPQUAXJUHUKUSKLPQSUAUDVBXAZXBXCXDEF
      GHIJKLMNOPQRSTUAUBUCUDUEUFUIUMVBVCVDVEVFVHVIVJVKVLYHYIYJVGYKBKLPQRUAXNUIU
      LUTYLXEXFXHXG $.
  $}

  ${
    $d f i $.  $d i n $.  $d i ph $.
    bnj911.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj911.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj911 $p |- ( ( f Fn n /\ ph /\ ps ) -> A. i ( f Fn n /\ ph /\ ps ) ) $=
      ( cv wfn csuc wcel cfv c-bnj14 ciun wceq wi com bnj1095 bnj1350 ) FLZHLZM
      ABGBGLZNZUEOUGUDPCUFUDPDECLQRSTGUAKUBUC $.
  $}

  ${
    $d A f i n y $.  $d D i $.  $d R f i n y $.  $d X f i n y $.  $d i ph $.
    bnj916.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj916.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj916.3 $e |- D = ( _om \ { (/) } ) $.
    bnj916.4 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj916.5 $e |- ( ch <-> ( f Fn n /\ ph /\ ps ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj916 $p |- ( y e. _trCl ( X , A , R ) -> E. f E. n E. i ( n e. D /\ ch /\
        i e. n /\ y e. ( f ` i ) ) ) $=
      ( wcel wex wa cv c-bnj18 cdm cfv w-bnj17 wfn w3a bnj256 2exbii 19.41v nfv
      wrex bnj911 nf5i nfan 19.42 exbii df-rex anbi12i 3bitr4i 3anbi2i df-bnj17
      bitri anbi1i 3exbii bnj882 eleq2i rexbii 3bitri abeq2i 3bitr4ri wb bnj643
      ciun eliun bnj564 eleq2d anbi1 bnj334 bnj252 3bitr4g 3syl ibi eximi sylbi
      2eximi ) DUAZEHLUBZRZKUAZGRZCJUAZIUAZUCZRZWGWLWMUDZRZUEZJSKSZISZWKCWLWJRZ
      WQUEZJSKSZISWKWMWJUFABUGZWOWQUEZJSKSZISXDKGULZWQJWNULZTZISZWTWIXFXIIXFWKX
      DTZWOWQTZTZJSZKSZXIXEXMKJWKXDWOWQUHUIXKXLJSZTZKSXKKSZXPTXOXIXKXPKUJXNXQKX
      KXLJWKXDJWKJUKXDJABDEHIJKLMNUMUNUOUPUQXGXRXHXPXDKGURWQJWNURUSUTVCUQWRXEIK
      JWKCWOUGZWQTWKXDWOUGZWQTWRXEXSXTWQCXDWKWOQVAVDWKCWOWQVBWKXDWOWQVBUTVEWIXH
      IFULZWMFRZXHTZISXJWIWGIFJWNWPVNZVNZRWGYDRZIFULYAWHYEWGABDEFGHIJKLMNOPVFVG
      IWGFYDVOYFXHIFJWGWNWPVOVHVIXHIFURYCXIIYBXGXHXGIFPVJVDUQVIVKWSXCIWRXBKJWRX
      BWRCWOXAVLZWRXBVLWKCWOWQVMCWNWJWLCIKABQVPVQYGWOWKCWQUGZTZXAYHTZWRXBWOXAYH
      VRWRWOWKCWQUEYIWKCWOWQVSWOWKCWQVTVCXBXAWKCWQUEYJWKCXAWQVSXAWKCWQVTVCWAWBW
      CWFWDWE $.
  $}

  ${
    $d A f i n y $.  $d D i $.  $d R f i n y $.  $d X f i n y $.  $d i ph $.
    bnj917.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj917.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj917.3 $e |- D = ( _om \ { (/) } ) $.
    bnj917.4 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj917.5 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj917 $p |- ( y e. _trCl ( X , A , R ) -> E. f E. n E. i ( ch /\ i e. n /\
        y e. ( f ` i ) ) ) $=
      ( cv wcel wex c-bnj18 wfn w3a w-bnj17 biid bnj916 wa bnj252 bitri 3anbi1i
      cfv bnj253 bitr4i 3exbii sylibr ) DRZEHLUASKRZGSZIRZUQUBZABUCZJRZUQSZUPVB
      USUKSZUDZJTKTITCVCVDUCZJTKTITABVADEFGHIJKLMNOPVAUEUFVFVEIKJVFURVAUGZVCVDU
      CVECVGVCVDCURUTABUDVGQURUTABUHUIUJURVAVCVDULUMUNUO $.
  $}

  ${
    $d A f n $.  $d R f n $.  $d X f n $.
    bnj934.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj934.4 $e |- ( ph' <-> [. p / n ]. ph ) $.
    bnj934.7 $e |- ( ph" <-> [. G / f ]. ph' ) $.
    bnj934.50 $e |- G e. _V $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj934 $p |- ( ( ph /\ ( G ` (/) ) = ( f ` (/) ) ) -> ph" ) $=
      ( c0 cfv cv wceq wa wsbc c-bnj14 eqtr sylan2b bnj523 bitr4i sbcbii bnj609
      vex bitri sylibr ancoms ) OFPZODQZPZRZAJUOASULBCGUAZRZJAUOUNUPRZUQKULUNUP
      UBUCABCDFGJKJIDFTADFTMIADFIURAABCEUMHQGIKLHUHUDKUEUFUINUGUJUK $.
  $}

  ${
    $d A f n $.  $d R f n $.  $d X f n $.
    bnj929.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj929.4 $e |- ( ph' <-> [. p / n ]. ph ) $.
    bnj929.7 $e |- ( ph" <-> [. G / f ]. ph' ) $.
    bnj929.10 $e |- D = ( _om \ { (/) } ) $.
    bnj929.13 $e |- G = ( f u. { <. n , C >. } ) $.
    bnj929.50 $e |- C e. _V $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj929 $p |- ( ( n e. D /\ p = suc n /\ f Fn n /\ ph ) -> ph" ) $=
      ( w-bnj17 c0 cv wcel csuc wceq wfn cfv bnj645 wa wfun bnj334 bnj257 bitri
      w3a bnj345 bnj253 3bitri simp1bi bnj927 fnfund syl wss cop csn bnj931 a1i
      cdm bnj268 bitr3i fndm bnj529 eleq2 biimpar syl2anr bnj1502 bnj918 bnj934
      syl2anc ) GUAZDUBZJUAZVRUCUDZFUAZVRUEZASZATHUFTWBUFUDLVSWAWCAUGWDTHWBWDWA
      WCUHZHUIWDWEVSAWDWCVSAWASZWAWCVSASWEVSAUMWDWCVSWAASWFVSWAWCAUJWCVSWAAUKUL
      WCVSAWAUNWAWCVSAUOUPUQWEVTHCFGHJQRURUSUTWBHVAWDHWBVRCVBVCQVDVEWDVSWCUHZTW
      BVFZUBZWDWGWAAWDVSWCWAASWGWAAUMVSWCWAAVGVSWCWAAUOVHUQWCWHVRUDZTVRUBZWIVSV
      RWBVIDVRPVJWJWIWKWHVRTVKVLVMUTVNABEFGHIJKLMNOCFGHQVOVPVQ $.
  $}

  ${
    $d A i p y $.  $d A p x y $.  $d R i p y $.  $d R p x y $.  $d X x $.
    $d f i p y $.  $d f p x y $.  $d i m p $.  $d si x $.  $d ta x $.
    bnj938.1 $e |- D = ( _om \ { (/) } ) $.
    bnj938.2 $e |- ( ta <-> ( f Fn m /\ ph' /\ ps' ) ) $.
    bnj938.3 $e |- ( si <-> ( m e. D /\ n = suc m /\ p e. m ) ) $.
    bnj938.4 $e |- ( ph' <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj938.5 $e |- ( ps' <-> A. i e. _om ( suc i e. m
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj938 $p |- ( ( R _FrSe A /\ X e. A /\ ta /\ si ) -> U_ y e. ( f ` p )
        _pred ( y , A , R ) e. _V ) $=
      ( vx cv wceq wex w-bnj15 wcel w-bnj17 cfv c-bnj14 ciun cvv elisset bnj706
      wi wfn c0 w3a bnj291 simplbi bnj602 eqeq2d bitr4di 3anbi2d syl5ibr bnj546
      biid syl6 exlimiv mpcom ) TUAZKUBZTUCZDFUDZKDUEZABUFZCLUAGUAZUGDFCUAUHUIU
      JUEZVLVMABVKTKDUKULVJVNVPUMTVJVNVLVOIUAUNZUOVOUGZDFVIUHZUBZNUPZBUPZVPVNWB
      VJVLABUPZVNWCVMVLVMABUQURVJWAAVLBVJWAVQMNUPAVJVTMVQNVJVTVRDFKUHZUBMVJVSWD
      VRDFVIKUSUTRVAVBPVAVBVCWABTCDEFGHIJLVTNOWAVEQVTVESVDVFVGVH $.
  $}

  ${
    $d A f i m n $.  $d A f i m y $.  $d R f i m n $.  $d R f i m y $.
    $d X f n $.
    bnj944.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj944.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj944.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj944.4 $e |- ( ph' <-> [. p / n ]. ph ) $.
    bnj944.7 $e |- ( ph" <-> [. G / f ]. ph' ) $.
    bnj944.10 $e |- D = ( _om \ { (/) } ) $.
    bnj944.12 $e |- C = U_ y e. ( f ` m ) _pred ( y , A , R ) $.
    bnj944.13 $e |- G = ( f u. { <. n , C >. } ) $.
    bnj944.14 $e |- ( ta <-> ( f Fn n /\ ph /\ ps ) ) $.
    bnj944.15 $e |- ( si <-> ( n e. D /\ p = suc n /\ m e. n ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj944 $p |- ( ( ( R _FrSe A /\ X e. A )
        /\ ( ch /\ n = suc m /\ p = suc n ) ) -> ph" ) $=
      ( w-bnj15 wcel wa csuc wceq w3a cvv wfn w-bnj17 simpl bnj667 sylbi sylibr
      cv 3ad2ant1 adantl bnj1232 vex bnj216 id 3anim123i bitri bnj253 syl3anbrc
      3ancomb cfv c-bnj14 ciun bnj938 eqeltrid syl bnj658 simp3 bnj291 sylanbrc
      wi c0 cif cop csn cun wsbc opeq2 uneq2d syl5eq sbceq1d syl5bb imbi2d biid
      sneqd eqid 0ex elimel bnj929 dedth sylc ) GJUJZPGUKZULZCNVCZMVCZUMUNZQVCX
      IUMUNZUOZULZHUPUKZXIIUKZXLKVCZXIUQZAURZSXNXFXGDEURZXOXNXHDEXTXHXMUSXMDXHC
      XKDXLCXRABUOZDCXPXRABURZYAUBXPXRABUTVAUHVBVDVEXMEXHXMXPXJXIUKZXLUOZECXPXK
      YCXLXLCXPXRABUBVFXIXJMVGVHXLVIVJEXPXLYCUOYDUIXPXLYCVNVKVBVEXFXGDEVLVMXTHF
      XJXQVOGJFVCVPVQUPUFDEFGIJKLNQPMABUEUHUITUAVRVSVTXMXSXHXMXPXRAUOZXLXSCXKYE
      XLCYBYEUBXPXRABWAVAVDCXKXLWBXPXLXRAWCWDVEXOXSSWEXSRKXQXIXOHWFWGZWHZWIZWJZ
      WKZWEHWFHYFUNZSYJXSSRKOWKYKYJUDYKRKOYIYKOXQXIHWHZWIZWJYIUGYKYMYHXQYKYLYGH
      YFXIWLWSWMWNWOWPWQAGYFIJKNYIPQRYJTUCYJWRUEYIWTHWFUPXAXBXCXDXE $.
  $}

  ${
    bnj953.1 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj953.2 $e |- ( ( G ` i ) = ( f ` i ) -> A. y ( G ` i ) = ( f ` i ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj953 $p |- ( ( ( G ` i ) = ( f ` i ) /\ ( G ` suc i ) = ( f ` suc i ) /\
        ( i e. _om /\ suc i e. n ) /\ ps ) -> ( G ` suc i ) = U_ y e. ( G ` i )
        _pred ( y , A , R ) ) $=
      ( cv cfv wceq csuc com wcel wa w-bnj17 c-bnj14 ciun bnj312 bnj251 sylan2b
      bitri wi wal bnj115 sp impcom bnj956 eqtr3 syl2anr eqtr sylan2 sylbi ) FK
      ZHLZUPEKZLZMZUPNZHLZVAURLZMZUPOPVAGKPZQZARZVDUTVFAQZQZQZVBBUQCDBKSZTZMZVG
      VDUTVFARVJUTVDVFAUAVDUTVFAUBUDVIVDVCVLMZVMVHVCBUSVKTZMZVLVOMVNUTAVFVFVPUE
      ZFUFZVPVPVEAOFIUGVRVFVPVQFUHUIUCBUQUSVKJUJVCVLVOUKULVBVCVLUMUNUO $.
  $}

  ${
    $d f y $.  $d i y $.  $d n y $.
    bnj958.1 $e |- C = U_ y e. ( f ` m ) _pred ( y , A , R ) $.
    bnj958.2 $e |- G = ( f u. { <. n , C >. } ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj958 $p |- ( ( G ` i ) = ( f ` i ) -> A. y ( G ` i ) = ( f ` i ) ) $=
      ( cv cfv wceq cop csn cun nfcv c-bnj14 nfcxfr ciun nfiu1 nfop nfeq1 nf5ri
      nfsn nfun nffv ) FLZIMZUIELZMZNAAUJULAUIIAIUKHLZCOZPZQKAUKUOAUKRAUNAUMCAU
      MRACAGLUKMZBDALSZUAJAUPUQUBTUCUFUGTAUIRUHUDUE $.
  $}

  ${
    $d A e f $.  $d C w $.  $d G e i w $.  $d N f $.  $d R e f $.
    $d e f i w y $.  $d n w y $.
    bnj1000.1 $e |- ( ps <-> A. i e. _om ( suc i e. N
        -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1000.2 $e |- ( ps" <-> [. G / f ]. ps ) $.
    bnj1000.3 $e |- G e. _V $.
    bnj1000.15 $e |- C = U_ y e. ( f ` m ) _pred ( y , A , R ) $.
    bnj1000.16 $e |- G = ( f u. { <. n , C >. } ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1000 $p |- ( ps" <-> A. i e. _om ( suc i e. N
        -> ( G ` suc i ) = U_ y e. ( G ` i ) _pred ( y , A , R ) ) ) $=
      ( cv cfv wceq ve vw wsbc csuc wcel c-bnj14 ciun wi com wral df-ral bicomi
      wal sbcbii cvv wb nfv sbc19.21g ax-mp fveq1 ax-5 cop csn cun nfiu1 nfcxfr
      nfcv nfop nfsn nfun nfcrii bnj1316 syl eqeq12d bnj956 bnj610 imbi2i bitri
      nffv albii sbcal 3bitr4ri ) LAFJUCZGRZUDZKUEZWEJSZBWDJSZCEBRUFZUGZTZUHZGU
      IUJZNWDUIUEZWFWEFRZSZBWDWOSZWIUGZTZUHZUHZGUMZFJUCZWTGUIUJZFJUCWMWCXBXDFJX
      DXBWTGUIUKULUNXAFJUCZGUMWNWLUHZGUMXCWMXEXFGXEWNWTFJUCZUHZXFJUOUEZXEXHUPOW
      NWTFJUOWNFUQURUSXGWLWNXGWFWSFJUCZUHZWLXIXGXKUPOWFWSFJUOWFFUQURUSXJWKWFWSW
      KFUAJWEUARZSZBWDXLSZWIUGZTOWOJTZWPWGWRWJWEWOJUTXPWQWHTWRWJTWDWOJUTBUBWQWH
      WIUBRZWQUEBVABUBWHBWDJBJWOIRZDVBZVCZVDQBWOXTBWOVGBXSBXRDBXRVGBDBHRWOSZWIU
      GPBYAWIVEVFVHVIVJVFBWDVGVSVKZVLVMVNWOXLTZWPXMWRXOWEWOXLUTYCWQXNTZWRXOTWDW
      OXLUTBWQXNWIYDBVAVOVMVNXLJTZXMWGXOWJWEXLJUTYEXNWHTXOWJTWDXLJUTBUBXNWHWIXQ
      XNUEBVAYBVLVMVNVPVQVRVQVRVTXAGFJWAWLGUIUKWBAXDFJMUNWBVR $.
  $}

  ${
    $d A f $.  $d G i $.  $d N f $.  $d R f $.  $d f i y $.  $d n y $.
    bnj965.1 $e |- ( ps <-> A. i e. _om ( suc i e. N -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj965.2 $e |- ( ps" <-> [. G / f ]. ps ) $.
    bnj965.12000 $e |- C = U_ y e. ( f ` m ) _pred ( y , A , R ) $.
    bnj965.13000 $e |- G = ( f u. { <. n , C >. } ) $.
    $( Technical lemma for ~ bnj852 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj965 $p |- ( ps" <-> A. i e. _om ( suc i e. N
        -> ( G ` suc i ) = U_ y e. ( G ` i ) _pred ( y , A , R ) ) ) $=
      ( bnj918 bnj1000 ) ABCDEFGHIJKLMNDFIJPQOPR $.
  $}

  ${
    $d A f i n $.  $d D i $.  $d G i $.  $d R f i n $.  $d X i $.  $d f i p $.
    $d f i n y $.  $d i m $.  $d i ph $.
    bnj964.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj964.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj964.5 $e |- ( ps' <-> [. p / n ]. ps ) $.
    bnj964.8 $e |- ( ps" <-> [. G / f ]. ps' ) $.
    bnj964.12 $e |- C = U_ y e. ( f ` m ) _pred ( y , A , R ) $.
    bnj964.13 $e |- G = ( f u. { <. n , C >. } ) $.
    bnj964.96 $e |- ( ( ( R _FrSe A /\ X e. A ) /\ ( ch /\ n = suc m /\ p = suc
        n ) /\ ( i e. _om /\ suc i e. p /\ suc i e. n ) ) -> ( G ` suc i ) = U_
        y e. ( G ` i ) _pred ( y , A , R ) ) $.
    bnj964.165 $e |- ( ( ( R _FrSe A /\ X e. A ) /\ ( ch /\ n = suc m /\ p =
        suc n ) /\ ( i e. _om /\ suc i e. p /\ n = suc i ) ) -> ( G ` suc i ) =
        U_ y e. ( G ` i ) _pred ( y , A , R ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj964 $p |- ( ( ( R _FrSe A /\ X e. A )
        /\ ( ch /\ n = suc m /\ p = suc n ) ) -> ps" ) $=
      ( w-bnj15 wcel wa cv csuc wceq w3a com cfv c-bnj14 wi wal nfv wfn bnj1095
      ciun bnj1096 nf5i nf3an nfan w-bnj17 bnj255 wo bnj645 simp3 eleq2 biimpac
      bnj706 elsuci eqcom orbi2i sylib syl syl2anc df-3an 3anbi3i bitr4i bnj345
      bnj252 3bitri anbi2i sylbir ex jaoi mpcom 3expia alrimi vex bnj539 bnj965
      bnj115 sylibr ) EHUFNEUGUHZCLUIZKUIUJUKZOUIZWSUJZUKZULZUHZJUIZUMUGZXFUJZX
      AUGZUHZXHMUNDXFMUNEHDUIUOZVAUKZUPZJUQQXEXMJWRXDJWRJURCWTXCJCJBCWSGUGIUIZW
      SUSAJBXHWSUGZXHXNUNDXFXNUNXKVAUKUPJUMRUTSVBVCWTJURXCJURVDVEWRXDXJXLWRXDXJ
      ULZWRXDXGXIVFZXLWRXDXGXIVGZXOWSXHUKZVHZXQXLXQXIXCXTWRXDXGXIVIWRXDXGXIXCCW
      TXCVJVMXIXCUHXHXBUGZXTXCXIYAXAXBXHVKVLYAXOXHWSUKZVHXTXHWSVNYBXSXOXHWSVOVP
      VQVRVSXOXQXLUPXSXOXQXLXOXQUHZWRXDXGXIXOULZULZXLYEXOXPUHZYCYEWRXDXJXOVFZXO
      WRXDXJVFYFYEWRXDXJXOUHZULYGYDYHWRXDXGXIXOVTWAWRXDXJXOVGWBWRXDXJXOWCXOWRXD
      XJWDWEXQXPXOXRWFWBUDWGWHXSXQXLXSXQUHZWRXDXGXIXSULZULZXLYKXSXPUHZYIYKWRXDX
      JXSVFZXSWRXDXJVFYLYKWRXDXJXSUHZULYMYJYNWRXDXGXIXSVTWAWRXDXJXSVGWBWRXDXJXS
      WCXSWRXDXJWDWEXQXPXSXRWFWBUEWGWHWIWJWGWKWLXLXIQUMJPDEFHIJKLMXAQBDEHJLXNXA
      PRTOWMWNUAUBUCWOWPWQ $.
  $}

  ${
    $d f y $.  $d i y $.  $d m y $.  $d n y $.
    bnj966.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj966.10 $e |- D = ( _om \ { (/) } ) $.
    bnj966.12 $e |- C = U_ y e. ( f ` m ) _pred ( y , A , R ) $.
    bnj966.13 $e |- G = ( f u. { <. n , C >. } ) $.
    bnj966.44 $e |- ( ( ( R _FrSe A /\ X e. A ) /\ ( ch /\ n = suc m /\ p = suc
        n ) ) -> C e. _V ) $.
    bnj966.53 $e |- ( ( ( R _FrSe A /\ X e. A ) /\ ( ch /\ n = suc m /\ p = suc
        n ) ) -> G Fn p ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj966 $p |- ( ( ( R _FrSe A /\ X e. A ) /\ ( ch /\ n = suc m /\ p = suc n
        ) /\ ( i e. _om /\ suc i e. p /\ n = suc i ) ) -> ( G ` suc i ) = U_ y
        e. ( G ` i ) _pred ( y , A , R ) ) $=
      ( w-bnj15 wcel csuc wceq w3a com cfv c-bnj14 ciun wfun cop fnfund 3adant3
      wa cv csn cun opex snid elun2 ax-mp eleqtrri funopfv mpisyl simp22 simp33
      wb bnj551 syl2anc suceq eqeq2d biimpac fveq2d fveq2 bnj1113 syl5eq adantl
      eqeq12d cvv w-bnj17 bnj1235 3ad2ant1 3ad2ant2 simp23 bnj951 bnj923 bnj769
      mpbid wfn simp3 bnj240 bnj216 bnj658 anim1i df-bnj17 sylibr bnj945 bnj958
      vex syl bnj956 mpbird ) EHUBNEUCUOZCLUPZKUPZUDZUEZOUPZXEUDUEZUFZJUPZUGUCZ
      XLUDZXIUCZXEXNUEZUFZUFZXNMUHZDXLMUHZEHDUPUIZUJZUEZXSDXLIUPZUHZYAUJZUEZXRX
      EMUHZFUEZYGXRMUKZXEFULZMUCYIXDXKYJXQXDXKUOXIMUAUMUNYKYDYKUQZURZMYKYLUCYKY
      MUCYKXEFUSUTYKYLYDVAVBSVCXEFMVDVEXRXHXFXLUEZYIYGVHXDCXHXJXQVFZXRXHXPYNYOX
      DXKXMXOXPVGZJLKVIVJXHYNUOZYHXSFYFYQXEXNMYNXHXPYNXGXNXEXFXLVKVLVMVNYNFYFUE
      XHYNFDXFYDUHZYAUJYFRDXFXLYRYEYAXFXLYDVOVPVQVRVSVJWIXRXTYEUEZYCYGVHXRFVTUC
      ZYDXEWJZXJXPWAZXLXEUCZYSYTUUAXJXPXRXDXKYTXQTUNXKXDUUAXQCXHUUAXJCXEGUCZUUA
      ABPWBWCWDXDCXHXJXQWEYPWFXRXEUGUCZXPUOUUCXDXKXQUUEXPCXHUUEXJUUDUUAABUUECPG
      LQWGWHWCXMXOXPWKWLXPUUCUUEXEXLJWTWMVRXAUUBUUCUOZYTUUAXJUUCWAZYSUUFYTUUAXJ
      UFZUUCUOUUGUUBUUHUUCYTUUAXJXPWNWOYTUUAXJUUCWPWQXLFILMOSWRXAVJYSYBYFXSDXTY
      EYADEFHIJKLMRSWSXBVLXAXC $.
  $}

  ${
    $d f y $.  $d i y $.  $d n y $.
    bnj967.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj967.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj967.10 $e |- D = ( _om \ { (/) } ) $.
    bnj967.12 $e |- C = U_ y e. ( f ` m ) _pred ( y , A , R ) $.
    bnj967.13 $e |- G = ( f u. { <. n , C >. } ) $.
    bnj967.44 $e |- ( ( ( R _FrSe A /\ X e. A ) /\ ( ch /\ n = suc m /\ p = suc
        n ) ) -> C e. _V ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj967 $p |- ( ( ( R _FrSe A /\ X e. A ) /\ ( ch /\ n = suc m /\ p = suc n
        ) /\ ( i e. _om /\ suc i e. p /\ suc i e. n ) ) -> ( G ` suc i ) = U_ y
        e. ( G ` i ) _pred ( y , A , R ) ) $=
      ( w-bnj15 wcel csuc wceq w3a com cfv w-bnj17 c-bnj14 ciun cvv wfn 3adant3
      wa cv 3ad2ant1 3ad2ant2 simp23 simp3 3ad2ant3 bnj951 bnj923 bnj769 bnj240
      bnj1235 wtr word nnord ordtr syl trsuc sylan bnj658 anim1i sylibr syl2anc
      df-bnj17 bnj945 3simpb bnj1254 bnj958 bnj953 ) EHUBNEUCUOZCLUPZKUPUDUEZOU
      PZWEUDUEZUFZJUPZUGUCZWJUDZWGUCZWLWEUCZUFZUFZWJMUHZWJIUPZUHUEZWLMUHZWLWRUH
      UEZWKWNUOZBUIWTDWQEHDUPUJUKUEWSXAXBBWPWPFULUCZWRWEUMZWHWJWEUCZUIZWSWPXCXD
      WHWNUIZXEXFXCXDWHWNWPWDWIXCWOUAUNWIWDXDWOCWFXDWHCWEGUCZXDABQVFUQURWDCWFWH
      WOUSWOWDWNWIWKWMWNUTZVAVBZWPWEUGUCZWNUOXEWDWIWOXKWNCWFXKWHXHXDABXKCQGLRVC
      VDUQXIVEXKWEVGZWNXEXKWEVHXLWEVIWEVJVKWEWJVLVMVKXGXEUOXCXDWHUFZXEUOXFXGXMX
      EXCXDWHWNVNVOXCXDWHXEVRVPVQWJFILMOTVSVKWPXGXAXJWLFILMOTVSVKWOWDXBWIWKWMWN
      VTVAWIWDBWOCWFBWHCXHXDABQWAUQURVBBDEHIJLMPDEFHIJKLMSTWBWCVK $.
  $}

  ${
    $d A i m y $.  $d R i m y $.  $d f i m y $.  $d i m n $.
    bnj969.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj969.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj969.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj969.10 $e |- D = ( _om \ { (/) } ) $.
    bnj969.12 $e |- C = U_ y e. ( f ` m ) _pred ( y , A , R ) $.
    bnj969.14 $e |- ( ta <-> ( f Fn n /\ ph /\ ps ) ) $.
    bnj969.15 $e |- ( si <-> ( n e. D /\ p = suc n /\ m e. n ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj969 $p |- ( ( ( R _FrSe A /\ X e. A ) /\ ( ch /\ n = suc m /\ p = suc n
        ) ) -> C e. _V ) $=
      ( w-bnj15 wcel wa cv csuc wceq w3a w-bnj17 cvv simpl wfn 3imtr4i 3ad2ant1
      bnj667 adantl bnj1232 vex bnj216 id 3anim123i 3ancomb bitri sylibr bnj256
      jca32 cfv c-bnj14 ciun bnj938 eqeltrid syl ) GJUDZOGUEZUFZCNUGZMUGZUHUIZP
      UGVRUHUIZUJZUFZVOVPDEUKZHULUEWCVQDEUFUFWDWCVQDEVQWBUMWBDVQCVTDWAVRIUEZKUG
      ZVRUNZABUKWGABUJCDWEWGABUQSUBUOUPURWBEVQWBWEVSVRUEZWAUJZECWEVTWHWAWACWEWG
      ABSUSVRVSMUTVAWAVBVCEWEWAWHUJWIUCWEWAWHVDVEVFURVHVOVPDEVGVFWDHFVSWFVIGJFU
      GVJVKULUADEFGIJKLNPOMABTUBUCQRVLVMVN $.
  $}

  ${
    bnj970.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj970.10 $e |- D = ( _om \ { (/) } ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj970 $p |- ( ( ( R _FrSe A /\ X e. A ) /\ ( ch /\ n = suc m /\ p = suc n
        ) ) -> p e. D ) $=
      ( wcel wa cv wceq com c0 wne w-bnj15 csuc w3a wfn bnj1232 3ad2ant1 adantl
      simpr3 bnj923 wb peano2 eleq1 bianir syl2an sylan csn df-suc eqeq2i ssun2
      cun wss vex snnz ssn0 mp2an neeq1 mpbiri sylbi cdif eleq2i bitri sylanbrc
      eldifsn syl2anc ) DFUAJDNOZCIPZHPUBQZKPZVPUBZQZUCZOVPENZVTVRENZWAWBVOCVQW
      BVTCWBGPVPUDABLUEUFUGVOCVQVTUHWBVTOVRRNZVRSTZWCWBVPRNZVTWDEIMUIWFVSRNZWDW
      GUJWDVTVPUKVRVSRULWGWDUMUNUOVTWEWBVTVRVPVPUPZUTZQZWEVSWIVRVPUQURWJWEWISTZ
      WHWIVAWHSTWKWHVPUSVPIVBVCWHWIVDVEVRWISVFVGVHUGWCVRRSUPVIZNWDWEOEWLVRMVJVR
      RSVMVKVLVN $.
  $}

  ${
    $d A f i m n y $.  $d D f i n $.  $d G i $.  $d R f i m n y $.
    $d X f i n $.  $d f i n p $.  $d i ph $.
    bnj910.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj910.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj910.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj910.4 $e |- ( ph' <-> [. p / n ]. ph ) $.
    bnj910.5 $e |- ( ps' <-> [. p / n ]. ps ) $.
    bnj910.6 $e |- ( ch' <-> [. p / n ]. ch ) $.
    bnj910.7 $e |- ( ph" <-> [. G / f ]. ph' ) $.
    bnj910.8 $e |- ( ps" <-> [. G / f ]. ps' ) $.
    bnj910.9 $e |- ( ch" <-> [. G / f ]. ch' ) $.
    bnj910.10 $e |- D = ( _om \ { (/) } ) $.
    bnj910.11 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj910.12 $e |- C = U_ y e. ( f ` m ) _pred ( y , A , R ) $.
    bnj910.13 $e |- G = ( f u. { <. n , C >. } ) $.
    bnj910.14 $e |- ( ta <-> ( f Fn n /\ ph /\ ps ) ) $.
    bnj910.15 $e |- ( si <-> ( n e. D /\ p = suc n /\ m e. n ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj910 $p |- ( ( ( R _FrSe A /\ X e. A )
        /\ ( ch /\ n = suc m /\ p = suc n ) ) -> ch" ) $=
      ( w-bnj15 wcel csuc wceq w3a wfn w-bnj17 bnj970 cvv bnj969 simpr3 bnj1235
      wa cv adantl bnj941 3impib syl3anc bnj944 bnj967 bnj966 bnj964 bnj951 vex
      3ad2ant1 bnj919 bnj918 bnj976 sylibr ) GKUTQGVAVLZCOVMZNVMVBVCZRVMZWJVBVC
      ZVDZVLZWLJVAZPWLVEZUBUCVFUDWPWQUBUCWOABCGJKLNOQRUGUNVGWOIVHVAZWMLVMZWJVEZ
      WQABCDEFGIJKLMNOQRUEUFUGUNUPURUSVIZWICWKWMVJWNWTWICWKWTWMCWJJVAWTABUGVKWD
      VNWRWMWTWQILOPRUQVOVPVQZABCDEFGIJKLMNOPQRSUBUEUFUGUHUKUNUPUQURUSVRABCFGIJ
      KLMNOPQRTUCUFUGUIULUPUQABCFGIJKLMNOPQRUFUGUNUPUQXAVSABCFGIJKLMNOPQRUGUNUP
      UQXAXBVTWAWBSTUAJLPWLUBUCUDABCJWLOWSSTUAUGUHUIUJRWCWEUKULUMILOPUQWFWGWH
      $.
  $}

  ${
    $d A y z $.  $d R y z $.  $d X y z $.
    bnj978.1 $e |- ( th <-> ( R _FrSe A /\ X e. A /\ y e. _trCl ( X , A , R )
        /\ z e. _pred ( y , A , R ) ) ) $.
    bnj978.2 $e |- ( th -> z e. _trCl ( X , A , R ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj978 $p |- ( ( R _FrSe A /\ X e. A ) -> _TrFo ( _trCl ( X , A , R ) , A ,
        R ) ) $=
      ( w-bnj15 wcel wa cv wral wi wal 2albii 19.21v imbi2i 3bitri sylibr bitri
      c-bnj14 c-bnj18 wss w-bnj19 w-bnj17 sylbir gen2 w3a bnj253 imbi1i 3impexp
      albii df-ral bicomi mpbi dfss2 ralbii df-bnj19 ) DEIZFDJZKZDEBLZUBZDEFUCZ
      UDZBVEMZDVEEUEVBCLZVDJZVHVEJZNZCOZBVEMZVGUTVAVCVEJZVIUFZVJNZCOBOZVBVMNZVP
      BCVOAVJGHUGUHVQVBVNVIUIZVJNZCOBOVBVNVKNZNZCOZBOZVRVPVTBCVOVSVJUTVAVNVIUJU
      KPVTWBBCVBVNVIVJULPWDVBVNVLNZNZBOVBWEBOZNVRWCWFBWCVBWACOZNWFVBWACQWHWEVBV
      NVKCQRUAUMVBWEBQWGVMVBVMWGVLBVEUNUORSSUPVFVLBVECVDVEUQURTBDVEEUST $.
  $}

  ${
    $d A f i n y $.  $d A f i y $.  $d D i y $.  $d R f i n y $.  $d R f i y $.
    $d X f i n y $.  $d Z f i n y $.  $d i ph y $.
    bnj981.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj981.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj981.3 $e |- D = ( _om \ { (/) } ) $.
    bnj981.4 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj981.5 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj981 $p |- ( Z e. _trCl ( X , A , R ) -> E. f E. n E. i ( ch /\ i e. n /\
        Z e. ( f ` i ) ) ) $=
      ( wcel wex c-bnj18 cv cfv w3a wi nfv wfn csuc c-bnj14 ciun wceq wral nfcv
      nfiu1 nfeq2 nfim nfralw nfxfr nf5ri bnj1096 nf5i nf3an nfex eleq1 3anbi3d
      com 3exbidv imbi12d bnj917 vtoclg1f pm2.43i ) MEHLUAZSZCJUBZKUBZSZMVNIUBZ
      UCZSZUDZJTZKTZITZDUBZVLSZCVPWDVRSZUDZJTKTITZUEVMWCUEDMVLVMWCDVMDUFWBDIWAD
      KVTDJCVPVSDCDBCVOGSVQVOUGADBDBVNUHZVOSZWIVQUCZDVREHWDUIZUJZUKZUEZJVFULDOW
      ODJVFDVFUMWJWNDWJDUFDWKWMDVRWLUNUOUPUQURUSRUTVAVPDUFVSDUFVBVCVCVCUPWDMUKZ
      WEVMWHWCWDMVLVDWPWGVTIKJWPWFVSCVPWDMVRVDVEVGVHABCDEFGHIJKLNOPQRVIVJVK $.
  $}

  ${
    $d A f i n y $.  $d D i $.  $d R f i n y $.  $d X f i n y $.  $d Z f i n $.
    $d i ph $.
    bnj983.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj983.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj983.3 $e |- D = ( _om \ { (/) } ) $.
    bnj983.4 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj983.5 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj983 $p |- ( Z e. _trCl ( X , A , R ) <-> E. f E. n E. i ( ch /\ i e. n
        /\ Z e. ( f ` i ) ) ) $=
      ( wcel wex c-bnj18 cv cdm cfv wa w3a wrex ciun bnj882 eleq2i eliun rexbii
      wfn bitri df-rex abeq2i anbi1i exbii 3bitri w-bnj17 bnj252 anbi12i bitr4i
      bnj133 19.41v csuc c-bnj14 wceq wi com bnj1095 bnj1096 nf5i 2exbii 3anass
      19.42 3exbii wb fndm bnj770 eleq2 3anbi2d syl 3ad2ant1 ibi impbii 3bitr2i
      ibir ) MEHLUAZSZCJUBZIUBZUCZSZMWKWLUDZSZUEZUEZJTZKTITZCWNWPUFZJTKTITCWKKU
      BZSZWPUFZJTKTITWJCWQJTZUEZKTZITWTWJCKTZXEUEZXGIWJWLXBUMZABUFZKGUGZWPJWMUG
      ZUEZXIIWJMIFJWMWOUHZUHZSZXMIFUGZXNITZWIXPMABDEFGHIJKLNOPQUIUJXQMXOSZIFUGX
      RIMFXOUKXTXMIFJMWMWOUKULUNXRWLFSZXMUEZITXSXMIFUOYBXNIYAXLXMXLIFQUPUQURUNU
      SXIXBGSZXKUEZKTZXEUEXNXHYEXECYDKCYCXJABUTYDRYCXJABVAUNURUQXLYEXMXEXKKGUOW
      PJWMUOVBVCVDCXEKVEVDWSXFIKCWQJCJBCYCXJAJBWKVFZXBSYFWLUDDWOEHDUBVGUHVHVIJV
      JOVKRVLVMVPVNVCXAWRIKJCWNWPVOVQXAXDIKJXAXDXAXDCWNXAXDVRZWPCWMXBVHZYGYCXJA
      BYHCRXBWLVSVTYHWNXCCWPWMXBWKWAWBWCZWDWEXDXACXCYGWPYIWDWHWFVQWG $.
  $}

$( MARKER 1 - TODO DELETE $)

  ${
    bnj984.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj984.11 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj984 $p |- ( G e. A -> ( G e. B <-> [. G / f ]. E. n ch ) ) $=
      ( wcel cv wfn w3a wrex wsbc wex cab eleq2i sbc8g bitr4id wa df-rex bnj252
      w-bnj17 bitri bnj133 sbcbii bitrdi ) IDLZIELZGMHMZNZABOZHFPZGIQZCHRZGIQUK
      ULIUPGSZLUQEUSIKTUPGIDUAUBUPURGIUPUMFLZUOUCZCHUOHFUDCUTUNABUFVAJUTUNABUEU
      GUHUIUJ $.
  $}

  ${
    $d G p $.  $d ch p $.  $d f p $.  $d n p $.
    bnj985v.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj985v.6 $e |- ( ch' <-> [. p / n ]. ch ) $.
    bnj985v.9 $e |- ( ch" <-> [. G / f ]. ch' ) $.
    bnj985v.11 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj985v.13 $e |- G = ( f u. { <. n , C >. } ) $.
    $( Version of ~ bnj985 with an additional disjoint variable condition, not
       requiring ~ ax-13 .  (Contributed by Gino Giotto, 27-Mar-2024.)
       (New usage is discouraged.) $)
    bnj985v $p |- ( G e. B <-> E. p ch" ) $=
      ( wcel wex wsbc cvv wb bnj918 bnj984 ax-mp sbcex2 sb8ev sbsbc exbii bitri
      cv wsb nfv bnj133 sbcbii 3bitr4i ) IDRZCHSZGITZLJSZIUARUQUSUBEGHIQUCABCUA
      DFGHIMPUDUEKJSZGITKGITZJSUSUTKJGIUFURVAGIURCHJUKTZKJURCHJULZJSVCJSCHJCJUM
      UGVDVCJCHJUHUIUJNUNUOLVBJOUIUPUJ $.
    $( $j usage 'bnj985v' avoids 'ax-13'; $)
  $}

  ${
    $d G p $.  $d ch p $.  $d f p $.
    bnj985.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj985.6 $e |- ( ch' <-> [. p / n ]. ch ) $.
    bnj985.9 $e |- ( ch" <-> [. G / f ]. ch' ) $.
    bnj985.11 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj985.13 $e |- G = ( f u. { <. n , C >. } ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  See ~ bnj985v for a version with more
       disjoint variable conditions, not requiring ~ ax-13 .  (Contributed by
       Jonathan Ben-Naim, 3-Jun-2011.)  (New usage is discouraged.) $)
    bnj985 $p |- ( G e. B <-> E. p ch" ) $=
      ( wcel wex wsbc cvv wb bnj918 bnj984 ax-mp sbcex2 cv wsb sb8e sbsbc exbii
      nfv bitri bnj133 sbcbii 3bitr4i ) IDRZCHSZGITZLJSZIUARUQUSUBEGHIQUCABCUAD
      FGHIMPUDUEKJSZGITKGITZJSUSUTKJGIUFURVAGIURCHJUGTZKJURCHJUHZJSVCJSCHJCJULU
      IVDVCJCHJUJUKUMNUNUOLVBJOUKUPUM $.
  $}

  ${
    $d m n p $.
    bnj986.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj986.10 $e |- D = ( _om \ { (/) } ) $.
    bnj986.15 $e |- ( ta <-> ( m e. _om /\ n = suc m /\ p = suc n ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj986 $p |- ( ch -> E. m E. p ta ) $=
      ( cv com wcel csuc wceq wa wex wfn bnj158 bnj769 bnj1196 vex sucex isseti
      wrex jctir exdistr 19.41v bitr2i sylib w3a df-3an bitri 2exbii sylibr ) C
      GMZNOZHMZURPQZRZIMUTPZQZRZISGSZDISGSCVBGSZVDISZRZVFCVGVHCVAGNUTEOFMUTTABV
      AGNUGCJEHGKUAUBUCIVCUTHUDUEUFUHVFVBVHRGSVIVBVDGIUIVBVHGUJUKULDVEGIDUSVAVD
      UMVELUSVAVDUNUOUPUQ $.
  $}

  ${
    $d A f i n y $.  $d D i $.  $d R f i n y $.  $d X f i n y $.  $d ch m p $.
    $d et m p $.  $d f i n th $.  $d i ph $.  $d m n p th $.
    bnj996.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj996.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj996.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj996.4 $e |- ( th <-> ( R _FrSe A /\ X e. A /\ y e. _trCl ( X , A , R )
        /\ z e. _pred ( y , A , R ) ) ) $.
    bnj996.5 $e |- ( ta <-> ( m e. _om /\ n = suc m /\ p = suc n ) ) $.
    bnj996.6 $e |- ( et <-> ( i e. n /\ y e. ( f ` i ) ) ) $.
    bnj996.13 $e |- D = ( _om \ { (/) } ) $.
    bnj996.14 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj996 $p |- E. f E. n E. i E. m E. p ( th -> ( ch /\ ta /\ et ) ) $=
      ( w3a wi wex wa wel cfv wcel w-bnj15 c-bnj18 c-bnj14 bnj917 bnj771 3anass
      cv anbi2i bitr4i 3exbii sylib bnj986 19.42vv sylibr anim1i 19.41vv df-3an
      ancli 2exbii 2eximi bnj593 19.37v exbii bnj132 mpbir ) DCEFUGZUHRUIZOUIZN
      UIZPUIZMUIZDVSRUIZOUIZNUIZPUIZMUIUHDCFUJZNUIPUIZWHMDCNPUKZGUTZNUTMUTULUMZ
      UGZNUIPUIMUIZWJMUIILUNQIUMWLILQUOUMHUTILWLUPUMWODUBABCGIJKLMNPQSTUEUFUAUQ
      URWNWIMPNWNCWKWMUJZUJWICWKWMUSFWPCUDVAVBVCVDWIWFPNWICEUJZFUJZRUIOUIZWFWIW
      QRUIOUIZFUJWSCWTFCCERUIOUIZUJWTCXAABCEKMOPRUAUEUCVEVKCEORVFVGVHWQFORVIVGV
      SWRORCEFVJVLVGVMVNWDDWHMWCDWHUHMWCDWGPWBDWGUHPWBDWFNWADWFUHNWADWEOVTDWEUH
      ODVSRVOVPVQVPVQVPVQVPVQVR $.
  $}

  ${
    $d A f i m n y $.  $d D f i n $.  $d G i $.  $d R f i m n y $.
    $d X f i n $.  $d f i n p $.  $d i ph $.
    bnj998.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj998.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj998.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj998.4 $e |- ( th <-> ( R _FrSe A /\ X e. A /\ y e. _trCl ( X , A , R )
        /\ z e. _pred ( y , A , R ) ) ) $.
    bnj998.5 $e |- ( ta <-> ( m e. _om /\ n = suc m /\ p = suc n ) ) $.
    bnj998.7 $e |- ( ph' <-> [. p / n ]. ph ) $.
    bnj998.8 $e |- ( ps' <-> [. p / n ]. ps ) $.
    bnj998.9 $e |- ( ch' <-> [. p / n ]. ch ) $.
    bnj998.10 $e |- ( ph" <-> [. G / f ]. ph' ) $.
    bnj998.11 $e |- ( ps" <-> [. G / f ]. ps' ) $.
    bnj998.12 $e |- ( ch" <-> [. G / f ]. ch' ) $.
    bnj998.13 $e |- D = ( _om \ { (/) } ) $.
    bnj998.14 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj998.15 $e |- C = U_ y e. ( f ` m ) _pred ( y , A , R ) $.
    bnj998.16 $e |- G = ( f u. { <. n , C >. } ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj998 $p |- ( ( th /\ ch /\ ta /\ et ) -> ch" ) $=
      ( w-bnj17 w-bnj15 wcel wa cv csuc wceq w3a c-bnj18 c-bnj14 bnj253 simp1bi
      sylbi bnj705 bnj643 com 3simpc bnj707 bnj255 syl3anbrc bnj252 biid bnj910
      sylib wfn syl ) DCEFVBZIMVCZSIVDZVEZCQVFZPVFZVGVHZTVFWLVGVHZVIVEZUFWHWKCW
      NWOVBZWPWHWKCWNWOVEZWQDCEFWKDWIWJGVFZIMSVJVDZHVFIMWSVKVDZVBZWKUJXBWKWTXAW
      IWJWTXAVLVMVNVODCEFVPDCEFWREWMVQVDZWNWOVIWRUKXCWNWOVRVNVSWKCWNWOVTWAWKCWN
      WOWBWEABCNVFWLWFABVIZWLLVDWOWMWLVDVIZGIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIULUMU
      NUOUPUQURUSUTVAXDWCXEWCWDWG $.
  $}

  ${
    $d f i n y $.  $d A f n $.  $d D f n $.  $d G i $.  $d R f n $.
    $d X f n $.  $d f i n p $.
    bnj999.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj999.2 $e |- ( ps <-> A. i e. _om ( suc i e. n -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj999.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj999.7 $e |- ( ph' <-> [. p / n ]. ph ) $.
    bnj999.8 $e |- ( ps' <-> [. p / n ]. ps ) $.
    bnj999.9 $e |- ( ch' <-> [. p / n ]. ch ) $.
    bnj999.10 $e |- ( ph" <-> [. G / f ]. ph' ) $.
    bnj999.11 $e |- ( ps" <-> [. G / f ]. ps' ) $.
    bnj999.12 $e |- ( ch" <-> [. G / f ]. ch' ) $.
    bnj999.15 $e |- C = U_ y e. ( f ` m ) _pred ( y , A , R ) $.
    bnj999.16 $e |- G = ( f u. { <. n , C >. } ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj999 $p |- ( ( ch" /\ i e. _om /\ suc i e. p /\ y e. ( G ` i ) )
        -> _pred ( y , A , R ) C_ ( G ` suc i ) ) $=
      ( cv com wcel cfv w-bnj17 c-bnj14 wss w3a wa wfn vex bnj919 bnj918 bnj976
      csuc bnj1254 anim1i bnj252 3imtr4i ciun ssiun2 bnj708 3simpa ancomd simp3
      wceq wi bnj539 bnj965 bnj228 sylc bnj721 sseqtrrd syl ) UAJUMZUNUOZWGVGZO
      UMZUOZDUMZWGMUPZUOZUQZTWHWKWNUQZEHWLURZWIMUPZUSUAWHWKWNUTZVATWSVAWOWPUATW
      SUAWJGUOMWJVBSTPQRGIMWJSTUAABCGWJLIUMZPQRUDUEUFUGOVCZVDUHUIUJFILMULVEVFVH
      VIUAWHWKWNVJTWHWKWNVJVKWPWQDWMWQVLZWRTWHWKWNWQXBUSDWMWQVMVNTWHWKWNWRXBVRZ
      TWHWKUTZWHTVAWKXCXDTWHTWHWKVOVPTWHWKVQTWKXCVSJUNQDEFHIJKLMWJTBDEHJLWTWJQU
      CUFXAVTUIUKULWAWBWCWDWEWF $.
  $}

  ${
    bnj1001.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1001.5 $e |- ( ta <-> ( m e. _om /\ n = suc m /\ p = suc n ) ) $.
    bnj1001.6 $e |- ( et <-> ( i e. n /\ y e. ( f ` i ) ) ) $.
    bnj1001.13 $e |- D = ( _om \ { (/) } ) $.
    bnj1001.27 $e |- ( ( th /\ ch /\ ta /\ et ) -> ch" ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1001 $p |- ( ( th /\ ch /\ ta /\ et ) -> ( ch" /\ i e. _om /\ suc i e. p
        ) ) $=
      ( wcel w-bnj17 com csuc cfv simplbi bnj708 wfn bnj1232 bnj706 bnj923 elnn
      cv syl syl2anc wb wceq simp3bi bnj707 word nnord ordsucelsuc biimpa eleq2
      wa 3syl anim12i syl21anc bianir 3jca ) DCEFUAZNJULZUBTZVKUCZMULZTZSVJVKLU
      LZTZVPUBTZVLDCEFVQFVQGULVKIULZUDTQUEUFZVJVPHTZVRDCEFWACWAVSVPUGABOUHUIZHL
      RUJZUMVKVPUKUNVJVMVPUCZTZVOWEUOZVDZVOVJWAVQVNWDUPZWGWBVTDCEFWHEKULZUBTVPW
      IUCUPWHPUQURWAVQVDWEWHWFWAVQWEWAVRVPUSVQWEUOWCVPUTVKVPVAVEVBVNWDVMVCVFVGW
      EVOVHUMVI $.
  $}

  ${
    $d A f i m n y $.  $d D f n $.  $d G i $.  $d R f i m n y $.  $d X f n $.
    $d f i n p $.
    bnj1006.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj1006.2 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1006.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1006.4 $e |- ( th <-> ( R _FrSe A /\ X e. A /\ y e. _trCl ( X , A , R )
        /\ z e. _pred ( y , A , R ) ) ) $.
    bnj1006.5 $e |- ( ta <-> ( m e. _om /\ n = suc m /\ p = suc n ) ) $.
    bnj1006.6 $e |- ( et <-> ( i e. n /\ y e. ( f ` i ) ) ) $.
    bnj1006.7 $e |- ( ph' <-> [. p / n ]. ph ) $.
    bnj1006.8 $e |- ( ps' <-> [. p / n ]. ps ) $.
    bnj1006.9 $e |- ( ch' <-> [. p / n ]. ch ) $.
    bnj1006.10 $e |- ( ph" <-> [. G / f ]. ph' ) $.
    bnj1006.11 $e |- ( ps" <-> [. G / f ]. ps' ) $.
    bnj1006.12 $e |- ( ch" <-> [. G / f ]. ch' ) $.
    bnj1006.13 $e |- D = ( _om \ { (/) } ) $.
    bnj1006.15 $e |- C = U_ y e. ( f ` m ) _pred ( y , A , R ) $.
    bnj1006.16 $e |- G = ( f u. { <. n , C >. } ) $.
    bnj1006.28 $e |- ( ( th /\ ch /\ ta /\ et )
      -> ( ch" /\ i e. _om /\ suc i e. p ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1006 $p |- ( ( th /\ ch /\ ta /\ et ) -> _pred ( y , A , R ) C_ ( G `
        suc i ) ) $=
      ( w-bnj17 cv cfv wcel c-bnj14 csuc wss wel simprbi bnj708 cvv wfn w-bnj15
      wceq wa w3a c-bnj18 bnj253 simp1bi bnj705 bnj643 com 3simpc bnj707 3anass
      sylanbrc biid bnj969 syl2anc bnj1235 bnj706 simp3bi simplbi bnj951 bnj945
      sylbi syl eleqtrrd anim1i df-bnj17 sylibr bnj999 mpdan ) DCEFVBZGVCZNVCZQ
      VDZVEZILXFVFZXGVGZQVDVHZXEXFXGMVCZVDZXHDCEFXFXNVEZFNPVIZXOUKVJVKXEJVLVEZX
      MPVCZVMZSVCZXRVGVOZXPVBXHXNVOXQXSYAXPXEXEILVNZRIVEZVPZCXROVCZVGVOZYAVQZXQ
      DCEFYDDYBYCXFILRVRVEZHVCXJVEZVBZYDUIYJYDYHYIYBYCYHYIVSVTWQWAXECYFYAVPZYGD
      CEFWBDCEFYKEYEWCVEZYFYAVQYKUJYLYFYAWDWQWECYFYAWFWGABCXSABVQZXRKVEZYAOPVIV
      QZGIJKLMNOPRSUFUGUHURUSYMWHYOWHWIWJDCEFXSCYNXSABUHWKWLDCEFYAEYLYFYAUJWMWE
      DCEFXPFXPXOUKWNVKWOXGJMPQSUTWPWRWSXEXIVPZUEXGWCVEZXKXTVEZXIVBZXLYPUEYQYRV
      QZXIVPYSXEYTXIVAWTUEYQYRXIXAXBABCGIJKLMNOPQRSTUAUBUCUDUEUFUGUHULUMUNUOUPU
      QUSUTXCWRXD $.
  $}

  ${
    $d A f i n y $.  $d D i $.  $d R f i n y $.  $d X f i n y $.  $d f g i $.
    $d i j $.  $d i ph $.
    bnj1014.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj1014.2 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1014.13 $e |- D = ( _om \ { (/) } ) $.
    bnj1014.14 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1014 $p |- ( ( g e. B /\ j e. dom g ) -> ( g ` j ) C_ _trCl ( X , A , R
        ) ) $=
      ( cv wcel nfv cdm wa cfv c-bnj18 wss wi wfn w3a wrex cab nfcv bnj911 nf5i
      nfrex nfab nfcxfr nfcri nfan nfim nf5ri wb weq eleq1w anbi2d fveq2 sseq1d
      imbi12d equcoms bnj1317 dmeq eleq2d anbi12d fveq1 ssiun2 bnj882 sseqtrrdi
      ciun sylan9ssr chvarfv speivw bnj1131 ) IRZESZKRZWBUAZSZUBZWDWBUCZDGMUDZU
      EZUFZJWKJWGWJJWCWFJJIEJEHRZLRUGABUHZLFUIZHUJQWNJHWMJLFJFUKWMJABCDGHJLMNOU
      LUMUNUOUPUQWFJTURWJJTUSUTWKWCJRZWESZUBZWOWBUCZWIUEZUFZJKWKWTVAKJKJVBZWGWQ
      WJWSXAWFWPWCKJWEVCVDXAWHWRWIWDWOWBVEVFVGVHWLESZWOWLUAZSZUBZWOWLUCZWIUEZUF
      WTHIWQWSHWCWPHWCHWNHIEQVIUMWPHTURWSHTUSHIVBZXEWQXGWSXHXBWCXDWPHIEVCXHXCWE
      WOWLWBVJVKVLXHXFWRWIWOWLWBVMVFVGXDXBXFJXCXFVQZWIJXCXFVNXBXIHEXIVQWIHEXIVN
      ABCDEFGHJLMNOPQVOVPVRVSVTWA $.
  $}

  ${
    $d A f g i $.  $d A g i j $.  $d A f i n y $.  $d B g j $.  $d D i $.
    $d G g j $.  $d J j $.  $d R f g i $.  $d R g i j $.  $d R f i n y $.
    $d X f g i $.  $d X g i j $.  $d X f i n y $.  $d i ph $.
    bnj1015.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj1015.2 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1015.13 $e |- D = ( _om \ { (/) } ) $.
    bnj1015.14 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj1015.15 $e |- G e. V $.
    bnj1015.16 $e |- J e. V $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1015 $p |- ( ( G e. B /\ J e. dom G ) -> ( G ` J ) C_ _trCl ( X , A , R
        ) ) $=
      ( vj vg wcel cv cdm wa cfv c-bnj18 wss wi elexi eleq1 anbi2d fveq2 sseq1d
      wceq imbi12d dmeq eleq2d anbi12d fveq1 bnj1014 vtocl ) KEUCZUAUDZKUEZUCZU
      FZVEKUGZDGNUHZUIZUJZVDLVFUCZUFZLKUGZVJUIZUJUALLMTUKVELUPZVHVNVKVPVQVGVMVD
      VELVFULUMVQVIVOVJVELKUNUOUQUBUDZEUCZVEVRUEZUCZUFZVEVRUGZVJUIZUJVLUBKKMSUK
      VRKUPZWBVHWDVKWEVSVDWAVGVRKEULWEVTVFVEVRKURUSUTWEWCVIVJVEVRKVAUOUQABCDEFG
      HUBIUAJNOPQRVBVCVC $.
  $}

  ${
    $d A f i m n y $.  $d D f i n $.  $d G i p $.  $d R f i m n y $.
    $d X f i n y $.  $d ch p $.  $d et p $.  $d f i n $.  $d f i p $.
    $d i ph $.  $d p th $.
    bnj1018.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj1018.2 $e |- ( ps <-> A. i e. _om ( suc i e. n
        -> ( f ` suc i ) = U_ y e.
        ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1018.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1018.4 $e |- ( th <-> ( R _FrSe A /\ X e. A /\ y e. _trCl ( X , A , R )
        /\ z e. _pred ( y , A , R ) ) ) $.
    bnj1018.5 $e |- ( ta <-> ( m e. _om /\ n = suc m /\ p = suc n ) ) $.
    bnj1018.7 $e |- ( ph' <-> [. p / n ]. ph ) $.
    bnj1018.8 $e |- ( ps' <-> [. p / n ]. ps ) $.
    bnj1018.9 $e |- ( ch' <-> [. p / n ]. ch ) $.
    bnj1018.10 $e |- ( ph" <-> [. G / f ]. ph' ) $.
    bnj1018.11 $e |- ( ps" <-> [. G / f ]. ps' ) $.
    bnj1018.12 $e |- ( ch" <-> [. G / f ]. ch' ) $.
    bnj1018.13 $e |- D = ( _om \ { (/) } ) $.
    bnj1018.14 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj1018.15 $e |- C = U_ y e. ( f ` m ) _pred ( y , A , R ) $.
    bnj1018.16 $e |- G = ( f u. { <. n , C >. } ) $.
    bnj1018.26 $e |- ( ch" <-> ( p e. D /\ G Fn p /\ ph" /\ ps" ) ) $.
    bnj1018.29 $e |- ( ( th /\ ch /\ ta /\ et ) -> ch" ) $.
    bnj1018.30 $e |- ( ( th /\ ch /\ ta /\ et )
      -> ( ch" /\ i e. _om /\ suc i e. p ) ) $.
    $( Version of ~ bnj1018 with less disjoint variable conditions, but
       requiring ~ ax-13 .  (Contributed by Gino Giotto, 27-Mar-2024.)
       (New usage is discouraged.) $)
    bnj1018g $p |- ( ( th /\ ch /\ et /\ E. p ta )
        -> ( G ` suc i ) C_ _trCl ( X , A , R ) ) $=
      ( wex w-bnj17 wcel cv csuc cdm cfv c-bnj18 wss w3a df-bnj17 bnj258 sylbir
      wa ex eximdv bnj985 syl6ibr imp sylbi bnj1019 com simp3d wfn wceq bnj1235
      fndm 3syl eleqtrrd exlimiv cvv bnj918 vex sucex bnj1015 syl2anc ) DCFETVE
      ZVFZRJVGZOVHZVIZRVJZVGZXERVKIMSVLVMXBDCFVNZXAVRXCDCFXAVOXHXAXCXHXAUFTVEXC
      XHEUFTXHEUFXHEVRDCEFVFZUFDCEFVPVCVQVSVTABCJKLNQRTUCUFUIUNUQUSVAWAWBWCWDXB
      XITVEXGCDEFTWEXIXGTXIXETVHZXFXIUFXDWFVGXEXJVGVDWGXIUFRXJWHZXFXJWIVCUFXJLV
      GXKUDUEVBWJXJRWKWLWMWNVQABGIJLMNOQRXEWOSUGUHURUSKNQRVAWPXDOWQWRWSWT $.

    $d p n $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  See ~ bnj1018g for a less restrictive version
       requiring ~ ax-13 .  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj1018 $p |- ( ( th /\ ch /\ et /\ E. p ta )
        -> ( G ` suc i ) C_ _trCl ( X , A , R ) ) $=
      ( wex w-bnj17 wcel cv csuc cdm cfv c-bnj18 wss w3a df-bnj17 bnj258 sylbir
      wa ex eximdv bnj985v syl6ibr imp bnj1019 com simp3d wfn wceq bnj1235 fndm
      sylbi 3syl eleqtrrd exlimiv cvv bnj918 vex sucex bnj1015 syl2anc ) DCFETV
      EZVFZRJVGZOVHZVIZRVJZVGZXERVKIMSVLVMXBDCFVNZXAVRXCDCFXAVOXHXAXCXHXAUFTVEX
      CXHEUFTXHEUFXHEVRDCEFVFZUFDCEFVPVCVQVSVTABCJKLNQRTUCUFUIUNUQUSVAWAWBWCWKX
      BXITVEXGCDEFTWDXIXGTXIXETVHZXFXIUFXDWEVGXEXJVGVDWFXIUFRXJWGZXFXJWHVCUFXJL
      VGXKUDUEVBWIXJRWJWLWMWNVQABGIJLMNOQRXEWOSUGUHURUSKNQRVAWPXDOWQWRWSWT $.
    $( $j usage 'bnj1018' avoids 'ax-13'; $)
  $}

  ${
    $d A f i m n y $.  $d A f i n p y $.  $d D f i n $.  $d G i p $.
    $d R f i m n y $.  $d R f i n p y $.  $d X f i n y $.  $d ch p $.
    $d et p $.  $d i ph $.  $d p th $.
    bnj1020.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj1020.2 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1020.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1020.4 $e |- ( th <-> ( R _FrSe A /\ X e. A /\ y e. _trCl ( X , A , R )
        /\ z e. _pred ( y , A , R ) ) ) $.
    bnj1020.5 $e |- ( ta <-> ( m e. _om /\ n = suc m /\ p = suc n ) ) $.
    bnj1020.6 $e |- ( et <-> ( i e. n /\ y e. ( f ` i ) ) ) $.
    bnj1020.7 $e |- ( ph' <-> [. p / n ]. ph ) $.
    bnj1020.8 $e |- ( ps' <-> [. p / n ]. ps ) $.
    bnj1020.9 $e |- ( ch' <-> [. p / n ]. ch ) $.
    bnj1020.10 $e |- ( ph" <-> [. G / f ]. ph' ) $.
    bnj1020.11 $e |- ( ps" <-> [. G / f ]. ps' ) $.
    bnj1020.12 $e |- ( ch" <-> [. G / f ]. ch' ) $.
    bnj1020.13 $e |- D = ( _om \ { (/) } ) $.
    bnj1020.14 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj1020.15 $e |- C = U_ y e. ( f ` m ) _pred ( y , A , R ) $.
    bnj1020.16 $e |- G = ( f u. { <. n , C >. } ) $.
    bnj1020.26 $e |- ( ch" <-> ( p e. D /\ G Fn p /\ ph" /\ ps" ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1020 $p |- ( ( th /\ ch /\ et /\ E. p ta ) -> _pred ( y , A , R ) C_
        _trCl ( X , A , R ) ) $=
      ( wex w-bnj17 c-bnj14 csuc cfv c-bnj18 wss bnj1019 bnj998 bnj1001 bnj1006
      cv exlimiv sylbir bnj1018 sstrd ) DCFETVDVEZIMGVOVFZOVOVGRVHZIMSVIVTDCEFV
      EZTVDWAWBVJZCDEFTVKWCWDTABCDEFGHIKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUO
      UPUQURUSVAVBABCDEFGLNOPQTUFUIUKULUSABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUI
      UJUKUMUNUOUPUQURUSUTVAVBVLZVMZVNVPVQABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHU
      IUJUKUMUNUOUPUQURUSUTVAVBVCWEWFVRVS $.
  $}

  ${
    $d A f i n y $.  $d D i $.  $d R f i n y $.  $d X f i n y $.  $d ch m p $.
    $d et m p $.  $d f i n th $.  $d i ph $.  $d m n p th $.
    bnj1021.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj1021.2 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1021.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1021.4 $e |- ( th <-> ( R _FrSe A /\ X e. A /\ y e. _trCl ( X , A , R )
        /\ z e. _pred ( y , A , R ) ) ) $.
    bnj1021.5 $e |- ( ta <-> ( m e. _om /\ n = suc m /\ p = suc n ) ) $.
    bnj1021.6 $e |- ( et <-> ( i e. n /\ y e. ( f ` i ) ) ) $.
    bnj1021.13 $e |- D = ( _om \ { (/) } ) $.
    bnj1021.14 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1021 $p |- E. f E. n E. i E. m ( th -> ( th /\ ch /\ et /\ E. p ta ) )
        $=
      ( w-bnj17 wi wex w3a bnj996 anclb bnj252 imbi2i bitr4i 2exbii 3exbii mpbi
      wa 19.37v bnj1019 bitri ) DDCEFUGZUHZRUIZOUIZNUIZPUIMUIZDDCFERUIUGZUHZOUI
      NUIZPUIMUIDCEFUJZUHZRUIOUIZNUIPUIMUIVHABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUKV
      NVFMPNVMVDORVMDDVLUSZUHVDDVLULVCVODDCEFUMUNUOUPUQURVGVKMPVEVJNOVEDVCRUIZU
      HVJDVCRUTVPVIDCDEFRVAUNVBUPUPUR $.
  $}

  ${
    $d A f i m n p y $.  $d A y z $.  $d D f i n $.  $d G i p $.
    $d R f i m n p y $.  $d R y z $.  $d X f i m n y $.  $d X y z $.
    $d ch m p $.  $d et m p $.  $d f i m n p th $.  $d i ph $.
    bnj907.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj907.2 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj907.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj907.4 $e |- ( th <-> ( R _FrSe A /\ X e. A /\ y e. _trCl ( X , A , R )
        /\ z e. _pred ( y , A , R ) ) ) $.
    bnj907.5 $e |- ( ta <-> ( m e. _om /\ n = suc m /\ p = suc n ) ) $.
    bnj907.6 $e |- ( et <-> ( i e. n /\ y e. ( f ` i ) ) ) $.
    bnj907.7 $e |- ( ph' <-> [. p / n ]. ph ) $.
    bnj907.8 $e |- ( ps' <-> [. p / n ]. ps ) $.
    bnj907.9 $e |- ( ch' <-> [. p / n ]. ch ) $.
    bnj907.10 $e |- ( ph" <-> [. G / f ]. ph' ) $.
    bnj907.11 $e |- ( ps" <-> [. G / f ]. ps' ) $.
    bnj907.12 $e |- ( ch" <-> [. G / f ]. ch' ) $.
    bnj907.13 $e |- D = ( _om \ { (/) } ) $.
    bnj907.14 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj907.15 $e |- C = U_ y e. ( f ` m ) _pred ( y , A , R ) $.
    bnj907.16 $e |- G = ( f u. { <. n , C >. } ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj907 $p |- ( ( R _FrSe A /\ X e. A )
        -> _TrFo ( _trCl ( X , A , R ) , A , R ) ) $=
      ( cv c-bnj14 c-bnj18 wss wex w-bnj17 bnj1021 wal vex bnj919 bnj918 bnj976
      wi bnj1020 ax-gen wa 19.29r pm3.33 bnj593 mpan2 2eximi 19.9v mpbi w-bnj15
      bnj101 wcel bnj1254 sseldd bnj978 ) DGHIMSUJDIMGVCZVDZIMSVEZHVCZDWMWNVFZV
      OZPVGZWQWROVGZWRWSQVGZWSWTNVGWTDDCFETVGVHZVOZPVGZOVGQVGWTNABCDEFGHIJLMNOP
      QSTUGUHUIUJUKULUSUTVIXCWRQOXCXAWPVOZPVJZWRXDPABCDEFGHIJKLMNOPQRSTUAUBUCUD
      UEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBUAUBUCLNRTVCZUDUEUFABCLXFQNVCUAUBUCUI
      UMUNUOTVKVLUPUQURKNQRVBVMVNVPVQXCXEVRXBXDVRWQPXBXDPVSDXAWPVTWAWBWCWGWTNWD
      WEWSQWDWEWROWDWEWQPWDWEDIMWFSIWHWLWNWHWOWMWHUJWIWJWK $.
  $}

  ${
    $d A f i m n p y z $.  $d R f i m n p y z $.  $d X f i m n p y z $.
    $( Property of ` _trCl ` .  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj1029 $p |- ( ( R _FrSe A /\ X e. A )
        -> _TrFo ( _trCl ( X , A , R ) , A , R ) ) $=
      ( vf vi vn vy vz vm vp c0 cv cfv wceq csuc wcel com wsbc biid eqid wi csn
      c-bnj14 ciun wral cdif wfn w-bnj17 w-bnj15 c-bnj18 w3a wel wa cab cop cun
      wrex bnj907 ) KDLZMABCUCNZELZOZFLZPVBUSMGVAUSMZABGLZUCZUDNUAEQUEZVCQKUBUF
      ZPUSVCUGZUTVGUHZABUICAPVEABCUJPHLVFPUHZILZQPVCVLONJLZVCONUKZEFULVEVDPUMZG
      HAVIUTVGUKFVHUQDUNZGVLUSMVFUDZVHBDEIFUSVCVQUOUBUPZCJUTFVMRZVGFVMRZVJFVMRZ
      VSDVRRZVTDVRRZWADVRRZUTSVGSVJSVKSVNSVOSVSSVTSWASWBSWCSWDSVHTVPTVQTVRTUR
      $.
  $}

  ${
    $d A f i n y $.  $d A f i n z $.  $d B z $.  $d D i $.  $d R f i n y $.
    $d R f i n z $.  $d X f i n y $.  $d X f i n z $.  $d f i n ta z $.
    $d f i n th z $.  $d i ph $.
    bnj1033.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj1033.2 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1033.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1033.4 $e |- ( th <-> ( R _FrSe A /\ X e. A ) ) $.
    bnj1033.5 $e |- ( ta <-> ( B e. _V /\ _TrFo ( B , A , R ) /\ _pred ( X , A
        , R ) C_ B ) ) $.
    bnj1033.6 $e |- ( et <-> z e. _trCl ( X , A , R ) ) $.
    bnj1033.7 $e |- ( ze <-> ( i e. n /\ z e. ( f ` i ) ) ) $.
    bnj1033.8 $e |- D = ( _om \ { (/) } ) $.
    bnj1033.9 $e |- K = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj1033.10 $e |- ( E. f E. n E. i ( th /\ ta /\ ch /\ ze ) -> z e. B ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1033 $p |- ( ( th /\ ta ) -> _trCl ( X , A , R ) C_ B ) $=
      ( wa c-bnj18 cv wcel wel cfv w3a bnj983 19.42v df-3an exbii 3bitr4i bitri
      w-bnj17 bnj255 anbi2i 3anass bitr4i 3anbi3i 3exbii sylbir syl3an3b 3expia
      wex ssrdv ) DEUIZIJMRUJZKDEIUKZVOULZVPKULZVQDECOPUMZVPOUKNUKUNULZUOZOVLZP
      VLZNVLZVRABCHJQLMNOPRVPSTUFUGUAUPDEWDUOZDEWAUOZOVLZPVLZNVLZVRWIDEWCUOZNVL
      ZWEWHWJNWHDEWBUOZPVLZWJWGWLPVNWAUIZOVLVNWBUIZWGWLVNWAOUQWFWNODEWAURUSDEWB
      URZUTUSWOPVLVNWCUIZWMWJVNWBPUQWLWOPWPUSDEWCURZUTVAUSWQNVLVNWDUIWKWEVNWCNU
      QWJWQNWRUSDEWDURUTVAWIDECGVBZOVLPVLNVLVRWSWFNPOWSDECGUIZUOWFDECGVCWTWADEW
      TCVSVTUIZUIWAGXACUEVDCVSVTVEVFVGVAVHUHVIVIVJVKVM $.
  $}

  ${
    $d A f i n y $.  $d A f i n z $.  $d B z $.  $d D i $.  $d R f i n y $.
    $d R f i n z $.  $d X f i n y $.  $d X f i n z $.  $d f i n ta z $.
    $d f i n th z $.  $d i ph $.
    bnj1034.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj1034.2 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1034.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1034.4 $e |- ( th <-> ( R _FrSe A /\ X e. A ) ) $.
    bnj1034.5 $e |- ( ta <-> ( B e. _V /\ _TrFo ( B , A , R ) /\ _pred ( X , A
        , R ) C_ B ) ) $.
    bnj1034.7 $e |- ( ze <-> ( i e. n /\ z e. ( f ` i ) ) ) $.
    bnj1034.8 $e |- D = ( _om \ { (/) } ) $.
    bnj1034.9 $e |- K = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj1034.10 $e |- ( E. f E. n E. i ( th /\ ta /\ ch /\ ze ) -> z e. B ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1034 $p |- ( ( th /\ ta ) -> _trCl ( X , A , R ) C_ B ) $=
      ( cv c-bnj18 wcel biid bnj1033 ) ABCDEHUGILQUHUIZFGHIJKLMNOPQRSTUAUBULUJU
      CUDUEUFUK $.
  $}

  ${
    bnj1039.1 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1039.2 $e |- ( ps' <-> [. j / i ]. ps ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1039 $p |- ( ps' <-> A. i e. _om ( suc i e. n
        -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $=
      ( cv wsbc csuc wcel cfv c-bnj14 ciun wceq com wral vex nfra1 nfxfr sbcgfi
      wi 3bitri ) IAFGLZMAFLZNZHLOUJELZPBUIUKPCDBLQRSUFZFTUAZKAFUHGUBAUMFJULFTU
      CUDUEJUG $.
  $}

  ${
    $d D i $.  $d f i $.  $d i n $.
    bnj1040.1 $e |- ( ph' <-> [. j / i ]. ph ) $.
    bnj1040.2 $e |- ( ps' <-> [. j / i ]. ps ) $.
    bnj1040.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1040.4 $e |- ( ch' <-> [. j / i ]. ch ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1040 $p |- ( ch' <-> ( n e. D /\ f Fn n /\ ph' /\ ps' ) ) $=
      ( cv wsbc w-bnj17 sbcbii wa wcel wfn w3a df-bnj17 vex bnj525 bicomi sbcan
      bnj887 sbc3an anbi1i 3bitri 3bitr4ri ) KCFGPZQHPZDUAZEPUOUBZABRZFUNQZUPUQ
      IJRZOCURFUNNSUPFUNQZUQFUNQZAFUNQZBFUNQZRVAVBVCUCZVDTZUTUSVAVBVCVDUDUPUQIJ
      VAVBVCVDVAUPUPFUNGUEZUFUGVBUQUQFUNVGUFUGLMUIUSUPUQAUCZBTZFUNQVHFUNQZVDTVF
      URVIFUNUPUQABUDSVHBFUNUHVJVEVDUPUQAFUNUJUKULUMUL $.
  $}

  ${
    bnj1047.1 $e |- ( rh <-> A. j e. n ( j _E i -> [. j / i ]. et ) ) $.
    bnj1047.2 $e |- ( et' <-> [. j / i ]. et ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1047 $p |- ( rh <-> A. j e. n ( j _E i -> et' ) ) $=
      ( cv cep wbr wsbc wi wral imbi2i ralbii bitr4i ) BDIZCIJKZACRLZMZDEIZNSFM
      ZDUBNGUCUADUBFTSHOPQ $.
  $}

  ${
    bnj1049.1 $e |- ( ze <-> ( i e. n /\ z e. ( f ` i ) ) ) $.
    bnj1049.2 $e |- ( et <-> ( ( th /\ ta /\ ch /\ ze ) -> z e. B ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1049 $p |- ( A. i e. n et <-> A. i et ) $=
      ( cv wral wcel wi wal df-ral bitr4i bitri w-bnj17 wa imbi2i impexp bnj708
      cfv simplbi pm4.71ri bicomi imbi1i albii ) DIJMZNIMZULOZDPZIQDIQDIULRUODI
      UOBCAEUAZFMZGOZPZDUOUNUPUBZURPZUSUOUNUSPVADUSUNLUCUNUPURUDSUTUPURUPUTUPUN
      BCAEUNEUNUQUMHMUFOKUGUEUHUIUJTLSUKT $.
  $}

  ${
    $d A f i n y $.  $d A f i n z $.  $d B f i n z $.  $d D i $.
    $d R f i n y $.  $d R f i n z $.  $d X f i n y $.  $d X f i n z $.
    $d et j $.  $d f i n ta z $.  $d f i n th z $.  $d i j n $.  $d i ph $.
    bnj1052.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj1052.2 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1052.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1052.4 $e |- ( th <-> ( R _FrSe A /\ X e. A ) ) $.
    bnj1052.5 $e |- ( ta <-> ( B e. _V /\ _TrFo ( B , A , R ) /\ _pred ( X , A
        , R ) C_ B ) ) $.
    bnj1052.6 $e |- ( ze <-> ( i e. n /\ z e. ( f ` i ) ) ) $.
    bnj1052.7 $e |- D = ( _om \ { (/) } ) $.
    bnj1052.8 $e |- K = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj1052.9 $e |- ( et <-> ( ( th /\ ta /\ ch /\ ze ) -> z e. B ) ) $.
    bnj1052.10 $e |- ( rh <-> A. j e. n ( j _E i -> [. j / i ]. et ) ) $.
    bnj1052.37 $e |- ( ( th /\ ta /\ ch /\ ze ) -> ( _E Fr n /\ A. i e. n ( rh
        -> et ) ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1052 $p |- ( ( th /\ ta ) -> _trCl ( X , A , R ) C_ B ) $=
      ( w-bnj17 cv wcel wi wal wex 19.23vv albii 19.23v bitri cep wfr wa bnj110
      wral vex bnj1049 sylib 19.21bi mpcom gen2 mpgbi bnj1034 ) ABCDEGIJKLMNOPR
      STUAUBUCUDUEUFUGUHDECGULZJUMLUNZUOZPUPRUPZVOPUQRUQZOUQVPUOZOVROUPVSVPUOZO
      UPVTVRWAOVOVPRPURUSVSVPOUTVAVQRPRUMZVBVCHFUOPWBVFVDZVOVPUKWCFVQWCFPWCFPWB
      VFFPUPFHPQWBVBRVGUJVECDEFGJLOPRUFUIVHVIVJUIVIVKVLVMVN $.
  $}

  ${
    $d A f i n y $.  $d A f i n z $.  $d B f i n z $.  $d D i $.
    $d R f i n y $.  $d R f i n z $.  $d X f i n y $.  $d X f i n z $.
    $d et j $.  $d f i n ta z $.  $d f i n th z $.  $d i j n $.  $d i ph $.
    bnj1053.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj1053.2 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1053.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1053.4 $e |- ( th <-> ( R _FrSe A /\ X e. A ) ) $.
    bnj1053.5 $e |- ( ta <-> ( B e. _V /\ _TrFo ( B , A , R ) /\ _pred ( X , A
        , R ) C_ B ) ) $.
    bnj1053.6 $e |- ( ze <-> ( i e. n /\ z e. ( f ` i ) ) ) $.
    bnj1053.7 $e |- D = ( _om \ { (/) } ) $.
    bnj1053.8 $e |- K = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj1053.9 $e |- ( et <-> ( ( th /\ ta /\ ch /\ ze ) -> z e. B ) ) $.
    bnj1053.10 $e |- ( rh <-> A. j e. n ( j _E i -> [. j / i ]. et ) ) $.
    bnj1053.37 $e |- ( ( th /\ ta /\ ch /\ ze ) -> A. i e. n ( rh -> et ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1053 $p |- ( ( th /\ ta ) -> _trCl ( X , A , R ) C_ B ) $=
      ( w-bnj17 cv cep wfr wi wral wcel wfn word bnj923 nnord ordfr 3syl bnj769
      com bnj707 jca bnj1052 ) ABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJDECGULRU
      MZUNUOZHFUPPVJUQDECGVKVJMURZOUMVJUSABVKCUCVLVJVFURVJUTVKMRUGVAVJVBVJVCVDV
      EVGUKVHVI $.
  $}

  ${
    bnj1071.7 $e |- D = ( _om \ { (/) } ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1071 $p |- ( n e. D -> _E Fr n ) $=
      ( cv wcel com word cep wfr bnj923 nnord ordfr 3syl ) BDZAENFENGNHIABCJNKN
      LM $.
  $}

  ${
    bnj1083.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1083.8 $e |- K = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1083 $p |- ( f e. K <-> E. n ch ) $=
      ( cv wfn w3a wrex wcel wa wex df-rex abeq2i w-bnj17 bnj252 bitri 3bitr4i
      exbii ) EJZFJZKZABLZFDMZUEDNZUGOZFPUDGNCFPUGFDQUHEGIRCUJFCUIUFABSUJHUIUFA
      BTUAUCUB $.
  $}

  ${
    $d et j $.  $d i j $.  $d j n $.
    bnj1090.9 $e |- ( et <-> ( ( f e. K /\ i e. dom f ) -> ( f ` i ) C_ B ) )
        $.
    bnj1090.10 $e |- ( rh <-> A. j e. n ( j _E i -> [. j / i ]. et ) ) $.
    bnj1090.17 $e |- ( et' <-> [. j / i ]. et ) $.
    bnj1090.18 $e |- ( si <-> ( ( j e. n /\ j _E i ) -> et' ) ) $.
    bnj1090.19 $e |- ( ph0 <-> ( i e. n /\ si /\ f e. K /\ i e. dom f ) ) $.
    bnj1090.28 $e |- ( ( th /\ ta /\ ch /\ ze ) -> A. i E. j ( ph0 -> ( f ` i )
        C_ B ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1090 $p |- ( ( th /\ ta /\ ch /\ ze ) -> A. i e. n ( rh -> et ) ) $=
      ( w-bnj17 cv cfv wss wi wex wal wral wel wcel cdm wa impexp exbii cep wbr
      imbi1i imbi2i 19.37v wsbc bnj115 albii bitr4i 19.36v bitr2i bnj256 bnj133
      3bitr4i df-ral sylibr ) BCAEUBOJUCZIUCZUDHUEZUFZKUGZJUHZGDUFZJLUCZUIZUAJL
      UJZVRUFZJUHWAFVMMUKZVLVMULUKZUBZVNUFZKUGZJUHVTVQWBWGJWBWAFUMZDUFZWFKWIKUG
      WAFDUFZUFZKUGZWBWIWKKWAFDUNUOWAWJKUGZUFWAKLUJKUCZVLUPUQZUMZNUFZDUFZKUGZUF
      WLWBWMWSWAWJWRKFWQDSURUOUSWAWJKUTVRWSWAVRWQKUHZDUFWSGWTDGWPDJWNVAZUFZKUHW
      TXAWOGVSKQVBWQXBKNXAWPRUSVCVDURWQDKVEVDUSVIVFWHWCWDUMZUMZVNUFWHXCVNUFZUFW
      FWIWHXCVNUNWEXDVNWAFWCWDVGURDXEWHPUSVIVHVCVRJVSVJVPWGJVOWFKOWEVNTURUOVCVI
      VK $.
  $}

  ${
    $d ch j $.  $d i ta $.  $d i th $.  $d j ta $.  $d j th $.  $d D i $.
    $d f i $.  $d i n $.  $d i ph $.
    bnj1093.1 $e |- E. j ( ( ( th /\ ta /\ ch ) /\ ph0 ) -> ( f ` i ) C_ B ) $.
    bnj1093.2 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1093.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1093 $p |- ( ( th /\ ta /\ ch /\ ze ) -> A. i E. j ( ph0 -> ( f ` i ) C_
        B ) ) $=
      ( cv cfv wss wi wex wal w3a wcel wfn csuc c-bnj14 bnj1095 bnj1096 bnj1350
      ciun wceq com wa impexp exbii mpbi 19.37iv alrimih bnj721 ) DECFPMTZLTZUA
      ZIUBZUCZNUDZMUEDECUFZVIMDECMBCOTZJUGVEVKUHAMBVDUIZVKUGVLVEUAGVFHKGTUJUNUO
      UCMUPRUKSULUMVJVHNVJPUQVGUCZNUDVJVHUCZNUDQVMVNNVJPVGURUSUTVAVBVC $.
  $}

  ${
    bnj1097.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj1097.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1097.5 $e |- ( ta <-> ( B e. _V /\ _TrFo ( B , A , R ) /\ _pred ( X , A
        , R ) C_ B ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1097 $p |- ( ( i = (/) /\ ( ( th /\ ta /\ ch ) /\ ph0 ) ) -> ( f ` i )
        C_ B ) $=
      ( cv c0 wa wceq w3a cfv c-bnj14 wss wfn biimpi bnj771 3ad2ant3 adantr cvv
      w-bnj19 simp3bi 3ad2ant2 jca anim2i 3anass sylibr fveqeq2 biimpar eqsstrd
      wcel simpr 3impa syl ) KRZSUAZDECUBZNTZTZVGSJRZUCFIMUDZUAZVLGUEZUBZVFVKUC
      ZGUEZVJVGVMVNTZTVOVIVRVGVIVMVNVHVMNCDVMELRZHVBVKVSUFABVMCPAVMOUGUHUIUJVHV
      NNEDVNCEGUKVBFGIULVNQUMUNUJUOUPVGVMVNUQURVGVMVNVQVGVMTZVNTVPVLGVTVPVLUAZV
      NVGWAVMVFSVLVKUSUTUJVTVNVCVAVDVE $.
  $}

  ${
    $d D j $.  $d i j $.  $d j n $.
    bnj1110.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1110.7 $e |- D = ( _om \ { (/) } ) $.
    bnj1110.18 $e |- ( si <-> ( ( j e. n /\ j _E i ) -> et' ) ) $.
    bnj1110.19 $e |- ( ph0 <-> ( i e. n /\ si /\ f e. K /\ i e. dom f ) ) $.
    bnj1110.26 $e |- ( et' <-> ( ( f e. K /\ j e. dom f ) -> ( f ` j ) C_ B ) )
        $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1110 $p |- E. j ( ( i =/= (/) /\ ( ( th /\ ta /\ ch ) /\ ph0 ) )
        -> ( j e. n /\ i = suc j /\ ( f ` j ) C_ B ) ) $=
      ( cv c0 wne w3a wa cdm wcel wel csuc wceq cep wbr w-bnj17 cfv wss bnj1098
      wb wi wex bnj219 adantl ancli df-3an sylibr bnj1023 wfn 3ad2ant3 anim12ci
      bnj1232 anim2i 3anass bnj1101 3simpb ad2antll sylib syl5 a2i pm3.43 mpdan
      bnj1235 bnj101 bnj1247 pm3.43i ax-mp bnj770 ad2antrl eleq2d bnj268 bnj251
      bitr3i imbi2i exbii mpbir simp1 bnj706 simp2 bnj258 simprbi bnj642 mpbird
      fndm bnj645 mp2and 3jca ) JUAZUBUCZDECUDZOUEZUEZKUAZIUAZUFZUGZKLUHZUQZXNX
      EXJUIUJZXJXEUKULZUDZXKMUGZNUMZXNXPXJXKUNGUOZUDKXIXTURZKUSXIXOXSXRNUEZUEZU
      EZURZKUSXIYDURZYFKXIYCURZYGKXIXRURZYHKXFJLUHZLUAZHUGZUDZXRXIKYMXNXPUEZXRK
      HJKLQUPYNYNXQUEXRYNXQXPXQXNKJUTVAVBXNXPXQVCVDVEXIXFYJYLUEZUEYMXHYOXFXGYLO
      YJCDYLECYLXKYKVFZABPVIVGOYJFXSXEXLUGZSVIVHVJXFYJYLVKVDVLYIXINURYHXIXRNXRX
      NXQUEZXINXNXPXQVMXIFYRNUROFXFXGOYJFXSYQSVTVNRVOVPVQXIXRNVRVSWAXIXSURYHYGU
      ROXSXFXGOYJFXSYQSWBVNXIXSYCWCWDWAXIXOURYGYFURXIXLYKXJXGXLYKUJZXFOCDYSEYLY
      PABYSCPYKXKXAWEVGWFWGXIXOYDWCWDWAYBYFKXTYEXIXTXOXSXRNUMYEXOXSXRNWHXOXSXRN
      WIWJWKWLWMXTXNXPYAXOXRXSNXNXNXPXQWNWOZXOXRXSNXPXNXPXQWPWOXTXSXMYAXTXOXRNU
      DXSXOXRXSNWQWRXTXMXNYTXOXRXSNWSWTXTNXSXMUEYAURXOXRXSNXBTVOXCXDVE $.
  $}

  ${
    $d A i j $.  $d R i j $.  $d f i j y $.  $d i j n $.
    bnj1112.1 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1112 $p |- ( ps <-> A. j ( ( j e. _om /\ suc j e. n ) -> ( f ` suc j ) =
        U_ y e. ( f ` j ) _pred ( y , A , R ) ) ) $=
      ( cv com wcel csuc wa cfv c-bnj14 ciun wceq wi wal bnj115 anbi12d bnj1113
      eleq1w suceq eleq1d fveq2d fveq2 eqeq12d imbi12d cbvalvw bitri ) AFJZKLZU
      MMZHJZLZNZUOEJZOZBUMUSOZCDBJPZQZRZSZFTGJZKLZVFMZUPLZNZVHUSOZBVFUSOZVBQZRZ
      SZGTVDUQAKFIUAVEVOFGUMVFRZURVJVDVNVPUNVGUQVIFGKUDVPUOVHUPUMVFUEZUFUBVPUTV
      KVCVMVPUOVHUSVQUGBUMVFVAVLVBUMVFUSUHUCUIUJUKUL $.
  $}

  ${
    $d A i j y $.  $d B y $.  $d D j $.  $d R i j y $.  $d f i j y $.
    $d i j n $.
    bnj1118.2 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1118.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1118.5 $e |- ( ta <-> ( B e. _V /\ _TrFo ( B , A , R ) /\ _pred ( X , A
        , R ) C_ B ) ) $.
    bnj1118.7 $e |- D = ( _om \ { (/) } ) $.
    bnj1118.18 $e |- ( si <-> ( ( j e. n /\ j _E i ) -> et' ) ) $.
    bnj1118.19 $e |- ( ph0 <-> ( i e. n /\ si /\ f e. K /\ i e. dom f ) ) $.
    bnj1118.26 $e |- ( et' <-> ( ( f e. K /\ j e. dom f ) -> ( f ` j ) C_ B ) )
        $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1118 $p |- E. j ( ( i =/= (/) /\ ( ( th /\ ta /\ ch ) /\ ph0 ) ) -> ( f
        ` i ) C_ B ) $=
      ( cv c0 wne w3a wa wcel csuc wceq cfv wss bnj1110 ancl bnj101 com w-bnj17
      w-bnj19 simpr2 wfn bnj1254 3ad2ant3 ad2antrl adantr bnj1232 simpr1 bnj923
      anim1i ancomd syl2anc elnn syl cdm adantl ad2antlr bnj951 c-bnj14 simp2bi
      wi cvv 3ad2ant2 simp3 anim12i ciun bnj256 wal bnj1112 biimpi eleq1 anbi2d
      19.21bi fveqeq2 imbi12d syl5ibr imp31 sylbi df-bnj19 ssralv syl5bi impcom
      wral iunss sylibr sseq1 biimpar syl2an bnj1023 ) MUGZUHUIZDECUJZSUKZUKZXP
      NUGZOUGZULZXLXQUMZUNZXQLUGZUOZIUPZUJZUKZXLYBUOZIUPZNXPYEWCXPYFWCNABCDEFIJ
      LMNOPRSUAUCUDUEUFUQXPYEURUSYFYABXQUTULZXLXRULZVAZHIKVBZYDUKZYHYABYIYJYFXP
      XSYAYDVCXPBYEXNBXMSCDBECXRJULZYBXRVDZABUAVEVFVGVHYFXSXRUTULZUKZYIYFYNXSYQ
      XPYNYEXNYNXMSCDYNECYNYOABUAVIVFVGVHXPXSYAYDVJYNXSUKYPXSYNYPXSJOUCVKVLVMVN
      XQXRVOVPXOYJXMYESYJXNSYJFYBPULXLYBVQULUEVIVRVSVTXPYLYEYDXNYLXMSEDYLCEIWDU
      LYLHKQWAIUPUBWBWEVGXSYAYDWFWGYKYGGYCHKGUGWAZWHZUNZYSIUPZYHYMYKYABUKYIYJUK
      ZUKYTYABYIYJWIYABUUBYTBUUBYTWCYAYIXTXRULZUKZXTYBUOYSUNZWCZBUUFNBUUFNWJBGH
      KLMNOTWKWLWOYAUUBUUDYTUUEYAYJUUCYIXLXTXRWMWNXLXTYSYBWPWQWRWSWTYMYRIUPZGYC
      XEZUUAYDYLUUHYLUUGGIXEYDUUHGHIKXAUUGGYCIXBXCXDGYCYRIXFXGYTYHUUAYGYSIXHXIX
      JVNXK $.
  $}

  ${
    bnj1121.1 $e |- ( th <-> ( R _FrSe A /\ X e. A ) ) $.
    bnj1121.2 $e |- ( ta <-> ( B e. _V /\ _TrFo ( B , A , R ) /\ _pred ( X , A
        , R ) C_ B ) ) $.
    bnj1121.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1121.4 $e |- ( ze <-> ( i e. n /\ z e. ( f ` i ) ) ) $.
    bnj1121.5 $e |- ( et <-> ( ( f e. K /\ i e. dom f ) -> ( f ` i ) C_ B ) )
        $.
    bnj1121.6 $e |- ( ( th /\ ta /\ ch /\ ze ) -> A. i e. n et ) $.
    bnj1121.7 $e |- K = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1121 $p |- ( ( th /\ ta /\ ch /\ ze ) -> z e. B ) $=
      ( w-bnj17 cfv wcel cdm wss wex 19.8a bnj707 bnj1083 sylibr simplbi bnj708
      cv wfn bnj1235 fndmd eleqtrrd wa wi bnj1294 sylib mp2and simprbi sseldd )
      DECGUEZNUQZMUQZUFZJHUQZVIVKPUGZVJVKUHZUGZVLJUIZVICOUJZVNDECGVRCOUKULABCKM
      OPTUDUMUNVIVJOUQZVODECGVJVSUGZGVTVMVLUGZUAUOUPZVIVSVKDECGVKVSURZCVSKUGWCA
      BTUSULUTVAVIFVNVPVBVQVCVIFNVSUCWBVDUBVEVFDECGWAGVTWAUAVGUPVH $.
  $}

  ${
    $d B i $.  $d D i $.  $d f i $.  $d i j $.  $d i n $.  $d i ph $.
    bnj1123.4 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1123.3 $e |- K = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj1123.1 $e |- ( et <-> ( ( f e. K /\ i e. dom f ) -> ( f ` i ) C_ B ) )
        $.
    bnj1123.2 $e |- ( et' <-> [. j / i ]. et ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1123 $p |- ( et'
        <-> ( ( f e. K /\ j e. dom f ) -> ( f ` j ) C_ B ) ) $=
      ( cv wcel wsbc cdm wa cfv wss wi sbcbii wb cvv wfn w3a wrex cab nfcv csuc
      nfv c-bnj14 ciun wceq com bnj1095 nf5i nf3an nfrex nfab nfcxfr nfcri nfan
      nfim weq eleq1w anbi2d fveq2 sseq1d imbi12d sbciegf elv 3bitri ) NCJKSZUA
      ISZMTZJSZVTUBZTZUCZWBVTUDZFUEZUFZJVSUAZWAVSWCTZUCZVSVTUDZFUEZUFZRCWHJVSQU
      GWIWNUHKWHWNJVSUIWKWMJWAWJJJIMJMVTLSZUJZABUKZLGULZIUMPWRJIWQJLGJGUNWPABJW
      PJUPAJUPBJBWBUOZWOTWSVTUDDWFEHDSUQURUSUFJUTOVAVBVCVDVEVFVGWJJUPVHWMJUPVIJ
      KVJZWEWKWGWMWTWDWJWAJKWCVKVLWTWFWLFWBVSVTVMVNVOVPVQVR $.
  $}

  ${
    $d A f i j n y $.  $d A f i n z $.  $d B f i n y $.  $d B f i n z $.
    $d D i j $.  $d R f i j n y $.  $d R f i n z $.  $d X f i n y $.
    $d X f i n z $.  $d ch j $.  $d et j $.  $d f i j n ta $.  $d f i j n th $.
    $d i ph $.  $d ta z $.  $d th z $.
    bnj1030.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj1030.2 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1030.3 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1030.4 $e |- ( th <-> ( R _FrSe A /\ X e. A ) ) $.
    bnj1030.5 $e |- ( ta <-> ( B e. _V /\ _TrFo ( B , A , R ) /\ _pred ( X , A
        , R ) C_ B ) ) $.
    bnj1030.6 $e |- ( ze <-> ( i e. n /\ z e. ( f ` i ) ) ) $.
    bnj1030.7 $e |- D = ( _om \ { (/) } ) $.
    bnj1030.8 $e |- K = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj1030.9 $e |- ( et <-> ( ( f e. K /\ i e. dom f ) -> ( f ` i ) C_ B ) )
        $.
    bnj1030.10 $e |- ( rh <-> A. j e. n ( j _E i -> [. j / i ]. et ) ) $.
    bnj1030.11 $e |- ( ph' <-> [. j / i ]. ph ) $.
    bnj1030.12 $e |- ( ps' <-> [. j / i ]. ps ) $.
    bnj1030.13 $e |- ( ch' <-> [. j / i ]. ch ) $.
    bnj1030.14 $e |- ( th' <-> [. j / i ]. th ) $.
    bnj1030.15 $e |- ( ta' <-> [. j / i ]. ta ) $.
    bnj1030.16 $e |- ( ze' <-> [. j / i ]. ze ) $.
    bnj1030.17 $e |- ( et' <-> [. j / i ]. et ) $.
    bnj1030.18 $e |- ( si <-> ( ( j e. n /\ j _E i ) -> et' ) ) $.
    bnj1030.19 $e |- ( ph0 <-> ( i e. n /\ si /\ f e. K /\ i e. dom f ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1030 $p |- ( ( th /\ ta ) -> _trCl ( X , A , R ) C_ B ) $=
      ( w-bnj17 cv wcel wal wex 19.23vv albii 19.23v bitri cep wfr wral bnj1071
      wfn bnj769 bnj707 w3a cfv bnj1123 bnj1118 bnj1097 bnj1109 bnj1093 bnj1090
      wi wa wss c0 vex bnj110 syl2anc bnj1121 gen2 mpgbi bnj1034 ) ABCDEGJKLMNO
      PQSTUAUJUKULUMUNUOUPUQDECGVIZKVJMVKZWMZQVLSVLZXDQVMSVMZPVMXEWMZPXGPVLXHXE
      WMZPVLXIXGXJPXDXESQVNVOXHXEPVPVQXFSQABCDEFGKLMNOPQSTUAUMUNULUOURXDSVJZVRV
      SZIFWMQXKVTFQXKVTDECGXLXKNVKPVJZXKWBABXLCULNSUPWAWCWDCDEFGHIMPQRSTUGUIURU
      SVFVGVHABCDEGJLMNOPQRSUIDECWEUIWNQVJZXMWFMWORXNWPABCDEHJLMNOPQRSTUAUGUIUK
      ULUNUPVGVHABFJLMNOPQRSTUGUKUQURVFWGWHABCDELMNOPQSUAUIUJULUNWIWJUKULWKWLFI
      QRXKVRSWQUSWRWSUQWTXAXBXC $.
  $}

  ${
    $d A f i j n y $.  $d A f i n z $.  $d B f i j n y $.  $d B f i n z $.
    $d R f i j n y $.  $d R f i n z $.  $d X f i j n y $.  $d X f i n z $.
    $d f i j n ta $.  $d f i j n th $.  $d ta z $.  $d th z $.
    bnj1124.4 $e |- ( th <-> ( R _FrSe A /\ X e. A ) ) $.
    bnj1124.5 $e |- ( ta <-> ( B e. _V /\ _TrFo ( B , A , R ) /\ _pred ( X , A
        , R ) C_ B ) ) $.
    $( Property of ` _trCl ` .  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj1124 $p |- ( ( th /\ ta ) -> _trCl ( X , A , R ) C_ B ) $=
      ( vf vi vn vy vj cv cfv wcel wi wa wsbc biid vz c0 c-bnj14 wceq csuc ciun
      com wral csn cdif wfn w-bnj17 w3a wrex cab cdm wss wel cep eqid bnj1030
      wbr ) UBINZOCEFUCUDZJNZUEZKNZPVFVCOLVEVCOZCELNUCUFUDQJUGUHZVGUGUBUIUJZPVC
      VGUKZVDVIULZABVCVKVDVIUMKVJUNIUOZPZVEVCUPPZRVHDUQQZJKURZUANVHPRZMKURMNZVE
      USVBZRVPJVSSZQZVTWAQMVGUHZLUACDVJEIJMKVMFVDJVSSZVIJVSSZVLJVSSZAJVSSZBJVSS
      ZWAVRJVSSZVQWBVNVOULZVDTVITVLTGHVRTVJUTVMUTVPTWCTWDTWETWFTWGTWHTWITWATWBT
      WJTVA $.
  $}

  ${
    $d i j n $.  $d j th $.
    bnj1133.3 $e |- D = ( _om \ { (/) } ) $.
    bnj1133.5 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1133.7 $e |- ( ta <-> A. j e. n ( j _E i -> [. j / i ]. th ) ) $.
    bnj1133.8 $e |- ( ( i e. n /\ ta ) -> th ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1133 $p |- ( ch -> A. i e. n th ) $=
      ( cv cep wfr wi wral wcel wfn bnj769 wa impexp bicomi albii mpgbir df-ral
      bnj1071 wal mpbir vex bnj110 sylancl ) CJOZPQZEDRZHUOSZDHUOSUOFTGOUOUAABU
      PCLFJKUIUBURHOUOTZUQRZHUJZVAUSEUCDRZHUTVBHVBUTUSEDUDUEUFNUGUQHUOUHUKDEHIU
      OPJULMUMUN $.
  $}

  ${
    $d A f i j n y $.  $d D i j y $.  $d R f i j n y $.  $d X f i n y $.
    $d Y f i n y $.  $d ch j $.  $d i ph y $.  $d j th $.
    bnj1128.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj1128.2 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1128.3 $e |- D = ( _om \ { (/) } ) $.
    bnj1128.4 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj1128.5 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1128.6 $e |- ( th <-> ( ch -> ( f ` i ) C_ A ) ) $.
    bnj1128.7 $e |- ( ta <-> A. j e. n ( j _E i -> [. j / i ]. th ) ) $.
    bnj1128.8 $e |- ( ph' <-> [. j / i ]. ph ) $.
    bnj1128.9 $e |- ( ps' <-> [. j / i ]. ps ) $.
    bnj1128.10 $e |- ( ch' <-> [. j / i ]. ch ) $.
    bnj1128.11 $e |- ( th' <-> [. j / i ]. th ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1128 $p |- ( Y e. _trCl ( X , A , R ) -> Y e. A ) $=
      ( c-bnj18 wcel wex wel cv cfv w3a bnj981 wss simp1 simp2 wral nfv cep wbr
      wi wa wsbc nfra1 nfxfr nf3an nfim nf5ri c0 csuc wceq bnj1098 simpl simpr1
      wne bnj1232 3ad2ant3 adantl 3jca bnj1101 bnj101 df-3an imbi2i exbii mpbir
      wfn ancl c-bnj14 ciun bnj213 bnj226 simp21 com simp3r w-bnj17 biid cvv wb
      vex sbcg ax-mp bitr2i bnj1039 bitr4i bnj887 bnj1040 3bitr4i bnj1254 sylbi
      3ad2ant2 simp3l bnj923 sylan2 syl2anc bnj589 eleq1 fveqeq2 imbi12d imbi2d
      elnn rsp syl5ibr syl3c mpd bnj1262 bnj1023 bnj1247 fveq2 sylan9eq bnj1109
      biimpi bnj1131 sylib 19.9v 3expia sylibr bnj1133 ralbii syl sseldd 2eximi
      simp3 bnj593 3bitri ) PGJOULUMZPGUMZLUNZNUNZKUNZUULUUKCLNUOZPLUPZKUPZUQZU
      MZURZLUNNUNUUNKABCFGHIJKLNOPUAUBUCUDUEUSUVAUULNLUVAUUSGPUVACUUPCUUSGUTZCU
      UPUUTVAZCUUPUUTVBUVCCCUVBVGZLNUPZVCZUUPUVDVGCDLUVEVCUVFABCDEIKLMNUCUEUGUU
      PEVHUVDDUUPECUVBUUPECURZUVBVGZMUVHMUVGUVBMUUPECMUUPMVDEMUPZUUQVEVFDLUVIVI
      VGZMUVEVCMUGUVJMUVEVJVKCMVDVLUVBMVDVMVNUVGUVBMUUQVOUUQVOWAZUVGVHZUVKUVGMN
      UOZUUQUVIVPZVQZVHZURZUVBMUVLUVQVGZMUNUVLUVLUVPVHZVGZMUNUVLUVPVGUVTMUVKUUP
      UVEIUMZURUVPUVLMILMNUCVRUVLUVKUUPUWAUVKUVGVSUVKUUPECVTUVGUWAUVKCUUPUWAECU
      WAUURUVEWLZABUEWBWCZWDWEWFUVLUVPWMWGUVRUVTMUVQUVSUVLUVKUVGUVPWHWIWJWKUVQF
      UVIUURUQZGJFUPZWNZWOZGUUSFUWDUWFGGJUWEWPWQUVQUUPUUSUWGVQZUVKUUPECUVPWRUVQ
      UVORUVIWSUMZUUPUWHVGZUVKUVGUVMUVOWTUVGUVKRUVPCUUPRECSRUWAUWBABXAUWAUWBQRX
      ACSUWAUWBABUWAUWBQRUWAXBUWBXBQALUVIVIZAUHUVIXCUMUWKAXDMXEALUVIXCXFXGXHBUU
      QVPZUVEUMUWLUURUQFUUSUWFWOVQVGLWSVCRUBBFGJKLMNRUBUIXIZXJXKUEABCIKLMNQRSUH
      UIUEUJXLZXMSUWAUWBQRUWNXNXOWCXPUVQUVMUWAUWIUVKUVGUVMUVOXQUVGUVKUWAUVPUWCX
      PUWAUVMUVEWSUMUWIINUCXRUVIUVEYFXSXTRUWIUWJVGUVOUWIUVNUVEUMZUVNUURUQUWGVQZ
      VGZVGZRUWQMWSVCUWRRFGJKLMNUWMYAUWQMWSYGXOUVOUWJUWQUWIUVOUUPUWOUWHUWPUUQUV
      NUVEYBUUQUVNUWGUURYCYDYEYHYIYJYKYLUVGUUQVOVQZAUVBCUUPAECUWAUWBABUEYMWCUWS
      AVHGJOWNZGUUSGJOWPUWSAUUSVOUURUQZUWTUUQVOUURYNAUXAUWTVQUAYQYOYKXSYPYRUUAU
      FUUBUUCDUVDLUVEUFUUDYSUVDLUVEYGUUEYICUUPUUTUUHUUFUUGUUIUUOUUNUUMUULUUNKYT
      UUMNYTUULLYTUUJYS $.
  $}

  ${
    $d A f i j n y $.  $d R f i j n y $.  $d X f i j n y $.  $d Y f i n y $.
    $( Property of ` _trCl ` .  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj1127 $p |- ( Y e. _trCl ( X , A , R ) -> Y e. A ) $=
      ( vf vi vn vy vj c0 cv cfv c-bnj14 wceq wcel wi com wral wsbc biid csuc
      ciun csn cdif wfn w-bnj17 wss cep wbr w3a wrex cab eqid bnj1128 ) JEKZLAB
      CMNZFKZUAZGKZOURUOLHUQUOLZABHKMUBNPFQRZUSQJUCUDZOUOUSUEZUPVAUFZVDUTAUGPZI
      KZUQUHUIVEFVFSZPIUSRZHAVCUPVAUJGVBUKEULZVBBEFIGCDUPFVFSZVAFVFSZVDFVFSZVGU
      PTVATVBUMVIUMVDTVETVHTVJTVKTVLTVGTUN $.
  $}

  ${
    $d A y $.  $d R y $.  $d X y $.  $d Y y $.
    $( Property of ` _trCl ` .  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj1125 $p |- ( ( R _FrSe A /\ X e. A /\ Y e. _trCl ( X , A , R ) ) ->
        _trCl ( Y , A , R ) C_ _trCl ( X , A , R ) ) $=
      ( w-bnj15 wcel c-bnj18 w3a cvv w-bnj19 c-bnj14 wss simp1 bnj1127 3ad2ant3
      vy bnj893 3adant3 wi biid bnj1029 simp3 cv wceq wex elisset wral df-bnj19
      rsp sylbi syl eleq1 bnj602 sseq1d imbi12d syl5ib exlimiv mpcom wa bnj1124
      mpd syl23anc ) ABEZCAFZDABCGZFZHZVCDAFZVEIFZAVEBJZABDKZVELZABDGVELVCVDVFM
      VFVCVHVDABCDNOVCVDVIVFABCQRVCVDVJVFABCUARZVGVFVLVCVDVFUBPUCZDUDZPUEZVGVFV
      LSZVFVCVPVDPDVEUFOVOVGVQSPVGVNVEFZABVNKZVELZSZVOVQVGVJWAVMVJVTPVEUGWAPAVE
      BUHVTPVEUIUJUKVOVRVFVTVLVNDVEULVOVSVKVEABVNDUMUNUOUPUQURVAVCVHUSZVIVJVLHZ
      AVEBDWBTWCTUTVB $.
  $}

  ${
    $d A f i j n y $.  $d A f w $.  $d B w $.  $d D i j $.  $d R f i j n y $.
    $d X f i n y $.  $d ch j $.  $d i ph $.
    bnj1145.1 $e |- ( ph <-> ( f ` (/) ) = _pred ( X , A , R ) ) $.
    bnj1145.2 $e |- ( ps <-> A. i e. _om ( suc i e. n
      -> ( f ` suc i ) = U_ y e. ( f ` i ) _pred ( y , A , R ) ) ) $.
    bnj1145.3 $e |- D = ( _om \ { (/) } ) $.
    bnj1145.4 $e |- B = { f | E. n e. D ( f Fn n /\ ph /\ ps ) } $.
    bnj1145.5 $e |- ( ch <-> ( n e. D /\ f Fn n /\ ph /\ ps ) ) $.
    bnj1145.6 $e |- ( th <-> ( ( i =/= (/) /\ i e. n /\ ch ) /\ ( j e. n /\ i =
        suc j ) ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1145 $p |- _trCl ( X , A , R ) C_ A $=
      ( vw c-bnj18 cv cdm cfv ciun bnj882 wss ss2iun wcel wral wex bnj1083 csuc
      wfn c-bnj14 wceq wi com bnj1095 bnj1096 wa c0 wne bnj1098 bnj1232 3anim3i
      w3a bnj1101 bnj101 imbi2i exbii mpbir bnj213 bnj226 simpr simplbiim simp2
      ancl 3ad2ant3 bnj923 elnn sylan2 syl2anc bnj832 vex bnj216 sylan eqeltrrd
      w-bnj17 bnj589 biimpi bnj708 rsp syl sylbi mp2d wb fveqeq2 mpbird bnj1262
      bnj1023 3anass imbi1i mpbi bnj771 fveq2 sseq1 mpbiri biimpar syl2an 19.9v
      adantrl bnj1109 expcom fndm bnj770 eleq2 imbi1d hbralrimi exlimiv bnj1143
      sstrdi mprg wrex bnj1317 bnj1146 sstri eqsstri ) FINUBJGKJUCZUDZKUCZYJUEZ
      UFZUFZFABEFGHIJKMNOPQRUGYOJGFUFZFYNFUHZYOYPUHJGJGYNFUIYJGUJZYMFUHZKYKUKZY
      QYRCMULYTABCHJMGSRUMCYTMCYSKYKBCMUCZHUJZYJUUAUOZAKBYLUNZUUAUJUUDYJUEEYMFI
      EUCZUPZUFUQURKUSPUTSVACYLYKUJZYSURZYLUUAUJZYSURZUUICYSUUICVBZYSURZLULUULU
      UKYSLYLVCYLVCVDZUUICVHZYSURZLULUUMUUKVBZYSURZLULUUNDYSLUUNDURZLULUUNUUNLU
      CZUUAUJZYLUUSUNZUQZVBZVBZURZLULUUNUVCURUVELUUMUUIUUBVHUVCUUNLHKLMQVECUUBU
      UMUUICUUBUUCABSVFZVGVIUUNUVCVSVJUURUVELDUVDUUNTVKVLVMDEUUSYJUEZUUFUFZFYME
      UVGUUFFFIUUEVNVODYMUVHUQZUVAYJUEUVHUQZDUUSUSUJZUVAUUAUJZUVJDUVBYLUSUJZUVK
      DUUNUVCUVBTUUTUVBVPVQZUUNUVCUVMDTUUNUUIUUBUVMUUMUUICVRZCUUMUUBUUIUVFVTUUB
      UUIUUAUSUJUVMHMQWAYLUUAWBWCWDWEUVBUUSYLUJUVMUVKYLUUSLWFWGUUSYLWBWHWDDYLUV
      AUUAUVNUUNUVCUUIDTUVOWEWIUUNUVCUVKUVLUVJURZURZDTCUUMUVQUUICUUBUUCABWJZUVQ
      SUVRUVPLUSUKZUVQUUBUUCABUVSBUVSBEFIJKLMPWKWLWMUVPLUSWNWOWPVTWEWQDUVBUVIUV
      JWRUVNYLUVAUVHYJWSWOWTXAXBUUOUUQLUUNUUPYSUUMUUICXCXDVLXEYLVCUQZCYSUUICUVT
      VCYJUEZFINUPZUQZYSUUBUUCABUWCCSAUWCOWLXFUVTYMUWAUQZUWAFUHZYSUWCYLVCYJXGUW
      CUWEUWBFUHFINVNUWAUWBFXHXIUWDYSUWEYMUWAFXHXJXKWCXMXNUULLXLXEXOCYKUUAUQZUU
      HUUJWRUUBUUCABUWFCSUUAYJXPXQUWFUUGUUIYSYKUUAYLXRXSWOWTXTYAWPYTYNKYKFUFFKY
      KYMFUIKYKFYBYCWOYDJUAGFUUCABVHMHYEJUAGRYFYGYHYI $.
  $}

  ${
    $d A f i j n y $.  $d R f i j n y $.  $d X f i j n y $.
    $( Property of ` _trCl ` .  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj1147 $p |- _trCl ( X , A , R ) C_ A $=
      ( vf vi vn vy vj c0 cv cfv c-bnj14 wceq csuc wcel com w3a wa biid eqid wi
      ciun wral csn cdif wfn w-bnj17 wne wrex cab bnj1145 ) IDJZKABCLMZEJZNZFJZ
      OUOULKGUNULKABGJLUBMUAEPUCZUPPIUDUEZOULUPUFZUMUQUGZUNIUHUNUPOUTQHJZUPOUNV
      ANMRRZGAUSUMUQQFURUIDUJZURBDEHFCUMSUQSURTVCTUTSVBSUK $.
  $}

  ${
    $d v y A $.  $d v B $.  $d v y R $.  $d v y X $.
    bnj1137.1 $e |- B = ( _pred ( X , A , R ) u. U_ y e. _trCl ( X , A , R )
        _trCl ( y , A , R ) ) $.
    $( Property of ` _trCl ` .  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (Proof shortened by Mario Carneiro, 22-Dec-2016.)
       (New usage is discouraged.) $)
    bnj1137 $p |- ( ( R _FrSe A /\ X e. A ) -> _TrFo ( B , A , R ) ) $=
      ( vv wcel wa cv c-bnj14 wss wral c-bnj18 sseli bnj906 sylan2 sselda sstrd
      syl w-bnj15 w-bnj19 ciun wo cun eleq2i elun bitri bnj213 adantlr bnj18eq1
      ssiun2s bnj1147 rgenw iunss mpbir bnj1125 3expia ralrimiv sylibr sseqtrri
      jaodan ssun2 sstrdi sylan2b ralrimiva df-bnj19 ) BDUAZEBHZIZBDGJZKZCLZGCM
      BCDUBVJVMGCVKCHZVJVKBDEKZHZVKABDENZBDAJZNZUCZHZUDZVMVNVKVOVTUEZHWBCWCVKFU
      FVKVOVTUGUHVJWBIVLVTCVJVPVLVTLWAVJVPIZVLBDVKNZVTVPVJVKBHZVLWELZVOBVKBDEUI
      OVHWFWGVIBDVKPUJZQWDVKVQHZWEVTLZVJVOVQVKBDEPRAVQVSVKWEBDVRVKUKULZTSVJWAIZ
      VLWEVTWAVJWFWGVTBVKVTBLVSBLZAVQMWMAVQBDVRUMUNAVQVSBUOUPOWHQWLWIWJVJVTVQVK
      VJVSVQLZAVQMVTVQLVJWNAVQVHVIVRVQHWNBDEVRUQURUSAVQVSVQUOUTRWKTSVBVTWCCVTVO
      VCFVAVDVEVFGBCDVGUT $.
  $}

  ${
    $d A x $.  $d R x $.  $d X x $.
    $( Property of ` _pred ` .  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj1148 $p |- ( ( R _FrSe A /\ X e. A ) -> _pred ( X , A , R ) e. _V ) $=
      ( vx w-bnj15 wcel wa c-bnj14 cvv wi cv wceq wex adantl bnj93 eleq1 anbi2d
      elisset bnj602 eleq1d imbi12d mpbii bnj593 bnj937 pm2.43i ) ABEZCAFZGZABC
      HZIFZUHUHUJJZDUHDKZCLZUKDUGUMDMUFDCARNUMUFULAFZGZABULHZIFZJUKDABOUMUOUHUQ
      UJUMUNUGUFULCAPQUMUPUIIABULCSTUAUBUCUDUE $.
  $}

  ${
    $d A y $.  $d R y $.  $d X y $.
    bnj1136.1 $e |- B = ( _pred ( X , A , R ) u. U_ y e. _trCl ( X , A , R )
        _trCl ( y , A , R ) ) $.
    bnj1136.2 $e |- ( th <-> ( R _FrSe A /\ X e. A ) ) $.
    bnj1136.3 $e |- ( ta <-> ( B e. _V /\ _TrFo ( B , A , R ) /\ _pred ( X , A
        , R ) C_ B ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1136 $p |- ( ( R _FrSe A /\ X e. A ) -> _trCl ( X , A , R ) = B ) $=
      ( wcel c-bnj18 wss cvv ciun wral bnj893 syl2anc 3expia ralrimiv wa cv cun
      w-bnj15 biimpri w-bnj19 c-bnj14 bnj1148 w3a simp1 bnj1127 3ad2ant3 iunexg
      bnj1149 eqeltrid bnj1137 bnj931 a1i bnj1124 bnj906 bnj1125 ss2iun bnj1143
      syl3anbrc sstrdi syl unssd eqsstrid eqssd ) DFUDZGDKZUAZDFGLZEVLABVMEMAVL
      IUEVLENKDEFUFDFGUGZEMZBVLEVNCVMDFCUBZLZOZUCZNHVLVNVRDFGUHVLVMNKVQNKZCVMPV
      RNKDFGQVLVTCVMVJVKVPVMKZVTVJVKWAUIVJVPDKZVTVJVKWAUJWAVJWBVKDFGVPUKULDFVPQ
      RSTCVMVQNNUMRUNUOCDEFGHUPVOVLEVNVRHUQURJVDABDEFGIJUSRVLEVSVMHVLVNVRVMDFGU
      TVLVQVMMZCVMPZVRVMMVLWCCVMVJVKWAWCDFGVPVASTWDVRCVMVMOVMCVMVQVMVBCVMVMVCVE
      VFVGVHVI $.
  $}

  ${
    $d A y $.  $d R y $.  $d X y $.  $d Y y $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1152 $p |- ( Y e. _pred ( X , A , R ) <-> ( Y e. A /\ Y R X ) ) $=
      ( vy cv wbr c-bnj14 breq1 df-bnj14 elrab2 ) EFZCBGDCBGEDAABCHLDCBIEABCJK
      $.
  $}

  ${
    $d A b x y $.  $d B b x y $.  $d R b x y $.
    $( Property of ` Fr ` .  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj1154 $p |- ( ( R Fr A /\ B C_ A /\ B =/= (/) /\ B e. _V ) -> E. x e. B
        A. y e. B -. y R x ) $=
      ( vb wfr wss c0 wne cvv wcel w-bnj17 w3a cv wbr wn wral wrex wi bnj658 wa
      wceq wex elisset bnj708 wal df-fr biimpi 19.21bi 3impib sseq1 neeq1 raleq
      3anbi23d rexeqbi1dv imbi12d mpbii bnj593 bnj937 mpd ) CEGZDCHZDIJZDKLZMZV
      BVCVDNZBOAOEPQZBDRZADSZVBVCVDVEUAVFVGVJTZFVFFOZDUCZVKFVBVCVDVEVMFUDFDKUEU
      FVMVBVLCHZVLIJZNZVHBVLRZAVLSZTVKVBVNVOVRVBVNVOUBVRTZFVBVSFUGFABCEUHUIUJUK
      VMVPVGVRVJVMVNVCVOVDVBVLDCULVLDIUMUOVQVIAVLDVHBVLDUNUPUQURUSUTVA $.
  $}

  ${
    bnj1171.13 $e |- ( ( ph /\ ps ) -> B C_ A ) $.
    bnj1171.129 $e |- E. z A. w ( ( ph /\ ps ) -> ( z e. B /\ ( w e. A -> ( w R
        z -> -. w e. B ) ) ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1171 $p |- E. z A. w ( ( ph /\ ps ) -> ( z e. B /\ ( w e. B -> -. w R z
        ) ) ) $=
      ( wa cv wcel wbr wn wi wal wex sseld pm4.71rd imbi1d impexp bitrdi imbi2i
      con2b bitr4di anbi2d pm5.74i albii exbii mpbir ) ABJZCKZFLZDKZFLZUNULGMZN
      ZOZJZOZDPZCQUKUMUNELZUPUONOZOZJZOZDPZCQIVAVGCUTVFDUKUSVEUKURVDUMUKURVBURO
      ZVDUKURVBUOJZUQOVHUKUOVIUQUKUOVBUKFEUNHRSTVBUOUQUAUBVCURVBUPUOUDUCUEUFUGU
      HUIUJ $.
  $}

  ${
    bnj1172.3 $e |- C = ( _trCl ( X , A , R ) i^i B ) $.
    bnj1172.96 $e |- E. z A. w ( ( ph /\ ps ) -> ( ( ph /\ ps /\ z e. C ) /\ (
        th -> ( w R z -> -. w e. B ) ) ) ) $.
    bnj1172.113 $e |- ( ( ph /\ ps /\ z e. C ) -> ( th <-> w e. A ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1172 $p |- E. z A. w ( ( ph /\ ps ) -> ( z e. B /\ ( w e. A -> ( w R z
        -> -. w e. B ) ) ) ) $=
      ( wa cv wcel w3a wi wal wex wbr wn imbi1d pm5.32i imbi2i albii exbii mpbi
      c-bnj18 cin simp3 eleqtrdi elin2d anim1i imim2i alimi bnj101 ) ABNZABDOZH
      PZQZEOZFPZVBUSIUAVBGPUBRZRZNZRZESZURUSGPZVENZRZESDURVACVDRZNZRZESZDTVHDTL
      VOVHDVNVGEVMVFURVAVLVEVACVCVDMUCUDUEUFUGUHVGVKEVFVJURVAVIVEVAFIJUIZGUSVAU
      SHVPGUJABUTUKKULUMUNUOUPUQ $.
  $}

  ${
    bnj1173.3 $e |- C = ( _trCl ( X , A , R ) i^i B ) $.
    bnj1173.5 $e |- ( th <-> ( ( R _FrSe A /\ X e. A /\ z e. _trCl ( X , A , R
        ) ) /\ ( R _FrSe A /\ z e. A ) /\ w e. A ) ) $.
    bnj1173.9 $e |- ( ( ph /\ ps ) -> R _FrSe A ) $.
    bnj1173.17 $e |- ( ( ph /\ ps ) -> X e. A ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1173 $p |- ( ( ph /\ ps /\ z e. C ) -> ( th <-> w e. A ) ) $=
      ( cv wcel w3a w-bnj15 wa 3adant3 c-bnj18 3simpc cin elin simplbi 3ad2ant3
      wi eleq2s pm3.21 syl3anc bnj170 syl6ibr impbid2 bnj1147 bnj1213 biantrurd
      syl5bb jca bitr4d ) ABDOZHPZQZCFIRZUTFPZSZEOFPZSZVFCVCJFPZUTFIJUAZPZQZVEV
      FQZVBVGLVBVLVGVKVEVFUBVBVGVGVKSZVLVBVCVHVJVGVMUGABVCVAMTZABVHVANTVAAVJBVJ
      UTVIGUCZHUTVOPVJUTGPUTVIGUDUEKUHUFZVKVGUIUJVKVEVFUKULUMUQVBVEVFVBVCVDVNVB
      DVIFFIJUNVPUOURUPUS $.
  $}

  ${
    bnj1174.3 $e |- C = ( _trCl ( X , A , R ) i^i B ) $.
    bnj1174.59 $e |- E. z A. w ( ( ph /\ ps ) -> ( z e. C /\ ( th -> ( w R z ->
        -. w e. C ) ) ) ) $.
    bnj1174.74 $e |- ( th -> ( w R z -> w e. _trCl ( X , A , R ) ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1174 $p |- E. z A. w ( ( ph /\ ps ) -> ( ( ph /\ ps /\ z e. C ) /\ ( th
        -> ( w R z -> -. w e. B ) ) ) ) $=
      ( wa cv wcel wn wi wal wex wbr w-bnj17 w3a c-bnj18 eleq2i notbii wo ianor
      cin elin pm4.62 3bitr4i biimpi impcom sylan2b ex syl6 a2d biantru 3bitr2i
      df-3an 3anass imbi2i albii exbii pm3.35 anim2i imim2i alimi bnj101 bnj256
      mpbi imdi ancl syl6ibr df-bnj17 ) ABNZABDOZHPZCEOZVRIUAZVTGPZQZRZRZUBZRZE
      SZDTVQABVSUCWENZRZESZDTVQVSWENZRZESZWHDVQVSCWAVTHPZQZRZRZCWQWDRRZNZNZRZES
      ZWNDVQVSWRNZRZESZDTXCDTLXFXCDXEXBEXDXAVQXDXDWSNVSWRWSUCXAWSXDCWAWPWCCWAVT
      FIJUDZPZWPWCRMXHWPWCWPXHVTXGGUIZPZQZWCWOXJHXIVTKUEUFXKXHWCXKXHWCRZXHWBNZQ
      XHQWCUGXKXLXHWBUHXJXMVTXGGUJUFXHWBUKULUMUNUOUPUQURUSVSWRWSVAVSWRWSVBUTVCV
      DVEVLXBWMEXAWLVQWTWEVSWSWRWRWERWECWQWDVMWRWEVFUOVGVHVIVJWMWGEWMVQVQWLNWFV
      QWLVNABVSWEVKVOVIVJWHWKDWGWJEWFWIVQABVSWEVPVCVDVEVL $.
  $}

  ${
    bnj1175.3 $e |- C = ( _trCl ( X , A , R ) i^i B ) $.
    bnj1175.4 $e |- ( ch <-> ( ( R _FrSe A /\ X e. A /\ z e. _trCl ( X , A , R
        ) ) /\ ( R _FrSe A /\ z e. A ) /\ ( w e. A /\ w R z ) ) ) $.
    bnj1175.5 $e |- ( th <-> ( ( R _FrSe A /\ X e. A /\ z e. _trCl ( X , A , R
        ) ) /\ ( R _FrSe A /\ z e. A ) /\ w e. A ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1175 $p |- ( th -> ( w R z -> w e. _trCl ( X , A , R ) ) ) $=
      ( cv wbr c-bnj18 wcel wa w3a wss sseldd w-bnj15 w-bnj17 bnj255 3bitr2i ex
      anbi1i bitr4i bnj1125 bnj835 c-bnj14 bnj906 bnj836 bnj1152 biimpri bnj837
      df-bnj17 sylbir ) BDMZCMZHNZUREHIOZPZBUTQZAVBAEHUAZIEPUSVAPRZVDUSEPQZUREP
      ZRZUTQZVCAVEVFVGUTQZRVEVFVGUTUBVIKVEVFVGUTUCVEVFVGUTUPUDBVHUTLUFUGAEHUSOZ
      VAURVEVFVJVKVASAKEHIUSUHUIAEHUSUJZVKURVEVFVJVLVKSAKEHUSUKULVEVFVJURVLPZAK
      VMVJEHUSURUMUNUOTTUQUE $.
  $}

  ${
    $d C w $.  $d ph w z $.  $d ps w z $.
    bnj1176.51 $e |- ( ( ph /\ ps ) -> ( R Fr A /\ C C_ A /\ C =/= (/) /\ C e.
        _V ) ) $.
    bnj1176.52 $e |- ( ( R Fr A /\ C C_ A /\ C =/= (/) /\ C e. _V ) -> E. z e.
        C A. w e. C -. w R z ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1176 $p |- E. z A. w ( ( ph /\ ps ) ->
                            ( z e. C /\ ( th -> ( w R z -> -. w e. C ) ) ) ) $=
      ( wa cv wcel wn wi wal wex wrex sylib exbii wbr wfr wss c0 wne cvv df-ral
      wral w-bnj17 rexbii df-rex 19.28v sylibr 19.37v mpbir 19.21v con2b anbi2i
      syl imbi2i albii mpbi ax-1 anim2i imim2i alimi bnj101 ) ABKZDLZGMZELZVIHU
      AZVKGMZNOZKZOZEPZVHVJCVNOZKZOZEPDVHVJVMVLNZOZKZOZEPZDQZVQDQWFVHWCEPZOZDQZ
      WIVHWGDQZOVHVJWBEPZKZDQZWJVHWKDGRZWMVHWAEGUHZDGRZWNVHFHUBGFUCGUDUEGUFMUIW
      PIJUSWOWKDGWAEGUGUJSWKDGUKSWGWLDVJWBEULTUMVHWGDUNUOWEWHDVHWCEUPTUOWEVQDWD
      VPEWCVOVHWBVNVJVMVLUQURUTVATVBVPVTEVOVSVHVNVRVJVNCVCVDVEVFVG $.
  $}

  ${
    bnj1177.2 $e |- ( ps <-> ( X e. B /\ y e. B /\ y R X ) ) $.
    bnj1177.3 $e |- C = ( _trCl ( X , A , R ) i^i B ) $.
    bnj1177.9 $e |- ( ( ph /\ ps ) -> R _FrSe A ) $.
    bnj1177.13 $e |- ( ( ph /\ ps ) -> B C_ A ) $.
    bnj1177.17 $e |- ( ( ph /\ ps ) -> X e. A ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1177 $p |- ( ( ph /\ ps ) -> ( R Fr A /\ C C_ A /\ C =/= (/) /\ C e. _V
        ) ) $=
      ( wss c0 wne cvv wcel syl cin wa w-bnj15 w-bnj13 df-bnj15 simplbi c-bnj18
      wfr bnj1147 ssinss1 eqsstri a1i c-bnj14 bnj906 syl2anc ssrind wbr simp2bi
      ax-mp cv adantl sseldd simp3bi bnj1152 sylanbrc ne0d neeq1i sylibr bnj893
      elind inex1g eqeltrid bnj951 ) DGUGZFDNZFOPZFQRZABUAZVQDGUBZVMKVRVMDGUCDG
      UDUESVNVQFDGHUFZETZDJVSDNVTDNDGHUHVSEDUIURUJUKVQVTOPVOVQVTCUSZVQDGHULZETV
      TWAVQWBVSEVQVRHDRZWBVSNKMDGHUMUNUOVQWBEWAVQWADRWAHGUPZWAWBRVQEDWALBWAERZA
      BHERZWEWDIUQUTZVABWDABWFWEWDIVBUTDGHWAVCVDWGVIVAVEFVTOJVFVGVQVSQRZVPVQVRW
      CWHKMDGHVHUNWHFVTQJVSEQVJVKSVL $.
  $}

  ${
    $d B w $.  $d ph w z $.  $d ps w z $.
    bnj1186.1 $e |- E. z A. w ( ( ph /\ ps ) -> ( z e. B /\ ( w e. B -> -. w R
        z ) ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1186 $p |- ( ( ph /\ ps ) -> E. z e. B A. w e. B -. w R z ) $=
      ( wa cv wcel wbr wn wral wex wrex wi wal 19.21v exbii sylibr mpbi 19.37iv
      19.28v sylib df-ral anbi2i df-rex ) ABHZCIZEJZDIZUIFKLZDEMZHZCNZUMCEOUHUJ
      UKEJULPZDQZHZCNZUOUHUJUPHZDQZCNUSUHVACUHUTPDQZCNUHVAPZCNGVBVCCUHUTDRSUAUB
      VAURCUJUPDUCSUDUNURCUMUQUJULDEUEUFSTUMCEUGT $.
  $}

  ${
    $d B w x z v u $.  $d B x y z v u $.  $d R w x z v u $.  $d R x y z v u $.
    $d u v A $.  $d u v ph $.  $d u v ps $.
    bnj1190.1 $e |- ( ph <-> ( R _FrSe A /\ B C_ A /\ B =/= (/) ) ) $.
    bnj1190.2 $e |- ( ps <-> ( x e. B /\ y e. B /\ y R x ) ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1190 $p |- ( ( ph /\ ps ) -> E. w e. B A. z e. B -. z R w ) $=
      ( vu vv wa adantr cv wcel w3a simp1bi wbr wss w-bnj15 wne simp2bi c-bnj18
      c0 eqid ssel2 syl2an bnj1177 bnj1154 bnj1176 biid bnj1175 bnj1174 bnj1173
      cin bnj1172 bnj1171 bnj1186 bnj1185 ) ABNZFECDHIVBCDLMHIABLMHIABLMGHIAHGU
      AZBAGIUBZVCHUFUCZJUDZOZABVDCPZGQZLPZGIVHUEZQRZVDVJGQNZMPZGQZRZLMGHVKHUQZI
      VHVQUGZABVPLMGHVQIVHVRABVPLMGVQIABDGHVQIVHKVRAVDBAVDVCVEJSOZVGAVCVHHQZVIB
      VFBVTDPZHQWAVHITKSHGVHUHUIZUJLMGVQIUKULVLVMVOVNVJITNRZVPLMGHVQIVHVRWCUMVP
      UMZUNUOABVPLMGHVQIVHVRWDVSWBUPURUSUTVAVA $.
  $}

  ${
    $d B w x y z $.  $d R w x y z $.  $d ph x y $.
    bnj1189.1 $e |- ( ph <-> ( R _FrSe A /\ B C_ A /\ B =/= (/) ) ) $.
    bnj1189.2 $e |- ( ps <-> ( x e. B /\ y e. B /\ y R x ) ) $.
    bnj1189.3 $e |- ( ch <-> A. y e. B -. y R x ) $.
    $( Technical lemma for ~ bnj69 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1189 $p |- ( ph -> E. x e. B A. y e. B -. y R x ) $=
      ( vw vz cv wn wrex wex wa 19.42v w3a wbr wral wcel w-bnj15 wss wne biimpi
      c0 n0 bnj837 ancli sylibr wi 3simpc anbi2i sylib 19.8ad 3comr simp1 simp2
      df-rex 3expib rexnal bicomi xchnxbir notnotb rexbii bitr4i bnj1196 3anass
      3ad2ant3 exbii bitri sylanbrc bnj1198 bnj1190 bnj593 bnj937 bnj1185 nfre1
      pm2.61i 19.9 ) AENZDNZHUAZOZEGUBZDGPZDQWHAAWDGUCZRZWHDAAWIDQZRWJDQAWKFHUD
      GFUEGUHUFZWKAIWLWKDGUIUGUJUKAWIDSULCWJWHUMCAWIWHAWICWHAWICTZWIWGRZDQWHWMW
      NDWMWICRWNAWICUNCWGWIKUOUPUQWGDGVAULURVBCOZAWIWHAWIWOWHAWIWOTZDELMGHWPMNL
      NHUAOMGUBLGPZEWPABRZWQEWPABEQWREQAWIWOUSWPWIWCGUCZWETZEBWPWIWSWERZEQZWTEQ
      ZAWIWOUTWOAXBWIWOWEEGWOWEEGPZWOWFOZEGPZXDWGXFCXFWGOWFEGVCVDKVEWEXEEGWEVFV
      GVHUGVIVKXCWIXARZEQWIXBRWTXGEWIWSWEVJVLWIXAESVMVNJVOABESVNABDEMLFGHIJVPVQ
      VRVSURVBWAVQWHDWGDGVTWBUP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The existence of a minimal element in certain classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x y $.  $d B x y $.  $d R x y $.
    $( Existence of a minimal element in certain classes: if ` R ` is
       well-founded and set-like on ` A ` , then every nonempty subclass of
       ` A ` has a minimal element.  The proof has been taken from Chapter 4 of
       Don Monk's notes on Set Theory.  See
       ~ http://euclid.colorado.edu/~~monkd/setth.pdf .  (Contributed by
       Jonathan Ben-Naim, 3-Jun-2011.)  (New usage is discouraged.) $)
    bnj69 $p |- ( ( R _FrSe A /\ B C_ A /\ B =/= (/) ) -> E. x e. B A. y e. B
        -. y R x ) $=
      ( w-bnj15 wss c0 wne w3a cv wcel wbr wn wral biid bnj1189 ) CEFDCGDHIJZAK
      ZDLBKZDLTSEMZJZUANBDOZABCDERPUBPUCPQ $.
  $}

  ${
    $d A y z $.  $d B w y z $.  $d R x y z $.  $d w x y z $.
    bnj1228.1 $e |- ( w e. B -> A. x w e. B ) $.
    $( Existence of a minimal element in certain classes: if ` R ` is
       well-founded and set-like on ` A ` , then every nonempty subclass of
       ` A ` has a minimal element.  The proof has been taken from Chapter 4 of
       Don Monk's notes on Set Theory.  See
       ~ http://euclid.colorado.edu/~~monkd/setth.pdf .  (Contributed by
       Jonathan Ben-Naim, 3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1228 $p |- ( ( R _FrSe A /\ B C_ A /\ B =/= (/) ) -> E. x e. B A. y e. B
        -. y R x ) $=
      ( vz w-bnj15 wss cv wbr wn wral wrex wcel wa wex nfv df-rex wne w3a bnj69
      nfcii nfcri nfralw nfan weq eleq1w notbid ralbidv anbi12d cbvexv1 3bitr4i
      c0 breq2 sylibr ) DFIEDJEUOUAUBBKZHKZFLZMZBENZHEOZURAKZFLZMZBENZAEOZHBDEF
      UCVDEPZVGQZARUSEPZVBQZHRVHVCVJVLAHVJHSVKVBAAHEACEGUDZUEVAABEVMVAASUFUGAHU
      HZVIVKVGVBAHEUIVNVFVABEVNVEUTVDUSURFUPUJUKULUMVGAETVBHETUNUQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Well-founded induction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x y z $.  $d R x y z $.  $d ph y z $.
    bnj1204.1 $e |- ( ps <-> A. y e. A ( y R x -> [. y / x ]. ph ) ) $.
    $( Well-founded induction.  The proof has been taken from Chapter 4 of Don
       Monk's notes on Set Theory.  See
       ~ http://euclid.colorado.edu/~~monkd/setth.pdf .  (Contributed by
       Jonathan Ben-Naim, 3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1204 $p |- ( ( R _FrSe A /\ A. x e. A ( ps -> ph ) )
        -> A. x e. A ph ) $=
      ( vz wi wral wa wn wrex w3a cv wcel simp1 simp3 sylibr wal w-bnj15 wbr c0
      crab wss wne ssrab2 a1i rabn0 nfrab1 bnj1228 syl3anc biid nfv nfra1 nfre1
      nfcrii nf3an nf5ri bnj1521 eqid bnj1212 wsbc bnj1211 con2b albii sylib sp
      simp2 sylc nfcv elrabsf cvv wb vex sbcng ax-mp anbi2i bitri notbii sylbb2
      imnan imp notnotrd syl2anc 3expa expcom expd ralrimi 3ad2ant3 syl3c rabid
      simp12 simprbi 3ad2ant2 bnj1304 bnj1224 dfral2 ) EFUAZBAIZCEJZKALZCEMZLAC
      EJWSXAXCWSXAXCNZXDCOZXBCEUDZPZDOZXEFUBZLZDXFJZNZACXKXDXLCXFXDWSXFEUEZXFUC
      UFZXKCXFMWSXAXCQXMXDXBCEUGUHXDXCXNWSXAXCRXBCEUISCDHEXFFCHXFXBCEUJUQUKULXL
      UMZXDCWSXAXCCWSCUNWTCEUOXBCEUPURUSUTXLXEEPZBXAAXBXDXLXKCEXFXFVAXOVBXKXDBX
      GXKXIACXHVCZIZDEJBXKXRDEXJDXFUOXKXHEPZXIXQXSXIKXKXQXSXIXKXQXSXIXKNZXHXFPZ
      LZXSXQXTXIYBIZDTZXIYBXTYAXJIZDTYDXTXJDXFXSXIXKRVDYEYCDYAXIVEVFVGXSXIXKVIY
      CDVHVJXSXIXKQYBXSKXQYBXSXQLZLZYBXSYFKZLXSYGIYAYHYAXSXBCXHVCZKYHXBCXHECEVK
      VLYIYFXSXHVMPYIYFVNDVOACXHVMVPVQVRVSVTXSYFWBWAWCWDWEWFWGWHWIGSWJWSXAXCXGX
      KWMXPBXANZXPWTIZCTXPBAYJWTCEXPBXARVDXPBXAQXPBXAVIYKCVHWKULXGXDXBXKXGXPXBX
      BCEWLWNWOWPWQACEWRS $.
  $}

  ${
    $d B f g $.  $d G f g $.  $d Y g $.  $d Z f $.  $d d f g $.  $d f g x $.
    bnj1234.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1234.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1234.4 $e |- Z = <. x , ( g |` _pred ( x , A , R ) ) >. $.
    bnj1234.5 $e |- D = { g | E. d e. B ( g Fn d /\ A. x e. d ( g ` x ) = ( G `
        Z ) ) } $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1234 $p |- C = D $=
      ( cv wfn cfv wceq wral wa wrex cab fneq1 fveq1 c-bnj14 cres reseq1 opeq2d
      cop 3eqtr4g fveq2d eqeq12d ralbidv anbi12d rexbidv cbvabv 3eqtr4i ) GQZLQ
      ZRZAQZUTSZJISZTZAVAUAZUBZLCUCZGUDHQZVARZVCVJSZKISZTZAVAUAZUBZLCUCZHUDDEVI
      VQGHUTVJTZVHVPLCVRVBVKVGVOVAUTVJUEVRVFVNAVAVRVDVLVEVMVCUTVJUFVRJKIVRVCUTB
      FVCUGZUHZUKVCVJVSUHZUKJKVRVTWAVCUTVJVSUIUJMOULUMUNUOUPUQURNPUS $.
  $}

  ${
    $d A d $.  $d B f h $.  $d G f h $.  $d Y h $.  $d Z f $.  $d d f h $.
    $d f h x $.
    bnj1245.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1245.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1245.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1245.4 $e |- D = ( dom g i^i dom h ) $.
    bnj1245.5 $e |- E = { x e. D | ( g ` x ) =/= ( h ` x ) } $.
    bnj1245.6 $e |- ( ph <-> ( R _FrSe A /\ g e. C /\ h e. C /\ ( g |` D ) =/=
        ( h |` D ) ) ) $.
    bnj1245.7 $e |- ( ps <-> ( ph /\ x e. E /\ A. y e. E -. y R x ) ) $.
    bnj1245.8 $e |- Z = <. x , ( h |` _pred ( x , A , R ) ) >. $.
    bnj1245.9 $e |- K = { h | E. d e. B ( h Fn d /\ A. x e. d ( h ` x ) = ( G `
        Z ) ) } $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1245 $p |- ( ph -> dom h C_ A ) $=
      ( cv wcel cdm wss w-bnj15 cres wne bnj1247 bnj1234 eleqtrdi wfn wceq wral
      wa wrex abeq2i bnj1238 bnj1196 c-bnj14 simplbi fndm bnj1241 bnj593 bnj937
      cfv syl ) ALUHZOUIZVNUJZEUKZAVNGOAEIULKUHZGUIVNGUIVRHUMVNHUMUNUDUOCEFGOIJ
      LNPQRTUAUFUGUPUQVOVQRVORUHZFUIZVNVSURZVAVQRVOWARFVOWACUHZVNVLQNVLUSCVSUTZ
      RFWAWCVARFVBLOUGVCVDVEVTWAVSEVPVTVSEUKZEIWBVFVSUKCVSUTZWDWEVARFSVCVGVSVNV
      HVIVJVKVM $.
  $}

  ${
    $d A f $.  $d B f g $.  $d G f g $.  $d R f $.  $d Y g $.  $d d f g $.
    $d f g x $.
    bnj1256.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1256.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1256.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1256.4 $e |- D = ( dom g i^i dom h ) $.
    bnj1256.5 $e |- E = { x e. D | ( g ` x ) =/= ( h ` x ) } $.
    bnj1256.6 $e |- ( ph <-> ( R _FrSe A /\ g e. C /\ h e. C /\ ( g |` D ) =/=
        ( h |` D ) ) ) $.
    bnj1256.7 $e |- ( ps <-> ( ph /\ x e. E /\ A. y e. E -. y R x ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1256 $p |- ( ph -> E. d e. B g Fn d ) $=
      ( w-bnj15 cv wcel cres wne wfn wrex cfv c-bnj14 cop wceq wral wa cab abid
      bnj1238 eqid bnj1234 eleq2s bnj770 ) EIUDKUEZGUFLUEZGUFVDHUGVEHUGUHVDPUEZ
      UIZPFUJZAUBVHVDVGCUEZVDUKVIVDEIVIULUGUMZNUKUNCVFUOZUPPFUJZKUQZGVDVMUFVGVK
      PFVLKURUSCEFGVMIJKNOVJPRSVJUTVMUTVAVBVC $.
  $}

  ${
    $d A f $.  $d B f h $.  $d G f h $.  $d R f $.  $d Y h $.  $d d f h $.
    $d f h x $.
    bnj1259.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1259.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1259.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1259.4 $e |- D = ( dom g i^i dom h ) $.
    bnj1259.5 $e |- E = { x e. D | ( g ` x ) =/= ( h ` x ) } $.
    bnj1259.6 $e |- ( ph <-> ( R _FrSe A /\ g e. C /\ h e. C /\ ( g |` D ) =/=
        ( h |` D ) ) ) $.
    bnj1259.7 $e |- ( ps <-> ( ph /\ x e. E /\ A. y e. E -. y R x ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1259 $p |- ( ph -> E. d e. B h Fn d ) $=
      ( w-bnj15 cv wcel cres wne wfn wrex cfv c-bnj14 cop wceq wral wa cab abid
      bnj1238 eqid bnj1234 eleq2s bnj771 ) EIUDKUEZGUFLUEZGUFVDHUGVEHUGUHVEPUEZ
      UIZPFUJZAUBVHVEVGCUEZVEUKVIVEEIVIULUGUMZNUKUNCVFUOZUPPFUJZLUQZGVEVMUFVGVK
      PFVLLURUSCEFGVMIJLNOVJPRSVJUTVMUTVAVBVC $.
  $}

  ${
    $d A f $.  $d B f g $.  $d B f h $.  $d D d $.  $d D x $.  $d G f g $.
    $d G f h $.  $d R f $.  $d Y g $.  $d Y h $.  $d d f g $.  $d d f h $.
    $d f g x $.  $d h x $.
    bnj1253.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1253.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1253.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1253.4 $e |- D = ( dom g i^i dom h ) $.
    bnj1253.5 $e |- E = { x e. D | ( g ` x ) =/= ( h ` x ) } $.
    bnj1253.6 $e |- ( ph <-> ( R _FrSe A /\ g e. C /\ h e. C /\ ( g |` D ) =/=
        ( h |` D ) ) ) $.
    bnj1253.7 $e |- ( ps <-> ( ph /\ x e. E /\ A. y e. E -. y R x ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1253 $p |- ( ph -> E =/= (/) ) $=
      ( cv cfv wne wrex c0 cres w-bnj15 wcel bnj1254 wceq wi wal wn wral wfn wb
      bnj1256 wss cdm bnj1292 fndm sseqtrid fnssres mpdan bnj31 bnj1265 bnj1259
      bnj1293 wa ssid fvreseq mpan2 syl2anc residm eqeq12i df-ral 3bitr3g fvres
      eqeq12d pm5.74i albii bitrdi necon3abid df-rex pm4.61 df-ne anbi2i bitr4i
      wex exbii exnal 3bitr2ri mpbid crab neeq1i rabn0 bitri sylibr ) ACUDZKUDZ
      UEZXBLUDZUEZUFZCHUGZMUHUFZAXCHUIZXEHUIZUFZXHAEIUJXCGUKXEGUKXLUBULAXLXBHUK
      ZXDXFUMZUNZCUOZUPZXHAXPXJXKAXJXKUMZXMXBXJUEZXBXKUEZUMZUNZCUOZXPAXJHUIZXKH
      UIZUMZYACHUQZXRYCAXJHURZXKHURZYFYGUSZAYHPFAXCPUDZURZYHPFABCDEFGHIJKLMNOPQ
      RSTUAUBUCUTYLHYKVAZYHYLXCVBZHYKHYNXEVBZTVCYKXCVDVEYKHXCVFVGVHVIAYIPFAXEYK
      URZYIPFABCDEFGHIJKLMNOPQRSTUAUBUCVJYPYMYIYPYOHYKHYNYOTVKYKXEVDVEYKHXEVFVG
      VHVIYHYIVLHHVAYJHVMCHHXJXKVNVOVPYDXJYEXKXCHVQXEHVQVRYACHVSVTYBXOCXMYAXNXM
      XSXDXTXFXBHXCWAXBHXEWAWBWCWDWEWFXHXMXGVLZCWLXOUPZCWLXQXGCHWGYRYQCYRXMXNUP
      ZVLYQXMXNWHXGYSXMXDXFWIWJWKWMXOCWNWOWEWPXIXGCHWQZUHUFXHMYTUHUAWRXGCHWSWTX
      A $.
  $}

  ${
    $d A y $.  $d E y $.  $d R y $.  $d x y $.
    bnj1279.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1279.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1279.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1279.4 $e |- D = ( dom g i^i dom h ) $.
    bnj1279.5 $e |- E = { x e. D | ( g ` x ) =/= ( h ` x ) } $.
    bnj1279.6 $e |- ( ph <-> ( R _FrSe A /\ g e. C /\ h e. C /\ ( g |` D ) =/=
        ( h |` D ) ) ) $.
    bnj1279.7 $e |- ( ps <-> ( ph /\ x e. E /\ A. y e. E -. y R x ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1279 $p |- ( ( x e. E /\ A. y e. E -. y R x ) -> ( _pred ( x , A , R )
        i^i E ) = (/) ) $=
      ( cv wcel wbr wn wral wa c-bnj14 cin c0 wne wceq w3a wex elin exbii sylbb
      n0 df-bnj14 bnj1538 anim1i bnj593 3ad2ant3 nfv nfra1 nf3an bnj1275 simp12
      nf5ri simp2 simp3 bnj1294 bnj1304 bnj1224 nne sylib ) CUDZMUEZDUDZVSIUFZU
      GZDMUHZUIEIVSUJZMUKZULUMZUGWFULUNVTWDWGVTWDWGUOZWHWBWAMUEZUOZWBDWHWBWIDWG
      VTWBWIUIZDUPWDWGWAWEUEZWIUIZWKDWGWAWFUEZDUPWMDUPDWFUTWNWMDWAWEMUQURUSWLWB
      WIWBDWEEDEIVSVAVBVCVDVEWHDVTWDWGDVTDVFWCDMVGWGDVFVHVKVIWHWBWIVLWJWCDMVTWD
      WGWBWIVJWHWBWIVMVNVOVPWFULVQVR $.
  $}

  ${
    $d A d f $.  $d B f g $.  $d B f h $.  $d D x $.  $d G f g $.  $d G f h $.
    $d R d f $.  $d Y g $.  $d Y h $.  $d d f g x $.  $d d f h x $.
    bnj1286.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1286.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1286.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1286.4 $e |- D = ( dom g i^i dom h ) $.
    bnj1286.5 $e |- E = { x e. D | ( g ` x ) =/= ( h ` x ) } $.
    bnj1286.6 $e |- ( ph <-> ( R _FrSe A /\ g e. C /\ h e. C /\ ( g |` D ) =/=
        ( h |` D ) ) ) $.
    bnj1286.7 $e |- ( ps <-> ( ph /\ x e. E /\ A. y e. E -. y R x ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1286 $p |- ( ps -> _pred ( x , A , R ) C_ D ) $=
      ( cv c-bnj14 cdm cin wss wcel wbr wral wfn bnj1256 bnj1196 bnj1517 adantr
      wn wa wb wceq sseq2 raleqbi1dv syl adantl mpbird bnj593 bnj937 bnj835 cfv
      ssrab3 bnj1292 sstri sseli bnj836 bnj1294 bnj1259 bnj1293 ssind sseqtrrdi
      fndm wne ) BEICUDZUEZKUDZUFZLUDZUFZUGHBWCWEWGBWCWEUHZCWEAWBMUIZDUDWBIUJUQ
      DMUKZWHCWEUKZBUCAWKPAPUDZFUIZWDWLULZURZWKPAWNPFABCDEFGHIJKLMNOPQRSTUAUBUC
      UMUNWOWKWCWLUHZCWLUKZWMWQWNWLEUHWQPFQUOZUPWNWKWQUSZWMWNWEWLUTWSWLWDVTWHWP
      CWEWLWEWLWCVAVBVCVDVEVFVGVHAWIWJWBWEUIBUCMWEWBMHWEWBWDVIWBWFVIWACHMUAVJZH
      WEWGTVKVLVMVNVOBWCWGUHZCWGAWIWJXACWGUKZBUCAXBPAWMWFWLULZURZXBPAXCPFABCDEF
      GHIJKLMNOPQRSTUAUBUCVPUNXDXBWQWMWQXCWRUPXCXBWQUSZWMXCWGWLUTXEWLWFVTXAWPCW
      GWLWGWLWCVAVBVCVDVEVFVGVHAWIWJWBWGUIBUCMWGWBMHWGWTHWEWGTVQVLVMVNVOVRTVS
      $.
  $}

  ${
    $d A d f $.  $d A z $.  $d B f g $.  $d B f h $.  $d D d x $.  $d D x z $.
    $d E z $.  $d G f g $.  $d G f h $.  $d R d f $.  $d R z $.  $d Y g $.
    $d Y h $.  $d d f g x $.  $d d f h x $.  $d g x z $.  $d h x z $.
    $d ps z $.
    bnj1280.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1280.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1280.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1280.4 $e |- D = ( dom g i^i dom h ) $.
    bnj1280.5 $e |- E = { x e. D | ( g ` x ) =/= ( h ` x ) } $.
    bnj1280.6 $e |- ( ph <-> ( R _FrSe A /\ g e. C /\ h e. C /\ ( g |` D ) =/=
        ( h |` D ) ) ) $.
    bnj1280.7 $e |- ( ps <-> ( ph /\ x e. E /\ A. y e. E -. y R x ) ) $.
    bnj1280.17 $e |- ( ps -> ( _pred ( x , A , R ) i^i E ) = (/) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1280 $p |- ( ps -> ( g |` _pred ( x , A , R ) ) = ( h |` _pred ( x , A ,
        R ) ) ) $=
      ( vz cv c-bnj14 cres wceq cfv wral wcel wa bnj1286 sseld wn wi cin c0 wal
      disj1 sylib 19.21bi wne fveq2 neeq12d elrab2 notbii imbi2i 3bitr2i syl6ib
      imnan nne mpdd imp syl6 3eqtr4d ralrimiva resabs1d eqeq12d wfn wss wb wbr
      fvres bnj1256 cdm bnj1292 fndm fnssres mpdan bnj31 bnj1265 bnj835 bnj1259
      sseqtrid bnj1293 fvreseq syl21anc bitr3d mpbird ) BKUFZEICUFZUGZUHZLUFZXD
      UHZUIZUEUFZXBHUHZUJZXIXFHUHZUJZUIZUEXDUKZBXNUEXDBXIXDULZUMXIXBUJZXIXFUJZX
      KXMBXPXQXRUIZBXPXIHULZXSBXDHXIABCDEFGHIJKLMNOPQRSTUAUBUCUNZUOZBXPXIMULZUP
      ZXTXSUQZBXPYDUQZUEBXDMURUSUIYFUEUTUDUEXDMVAVBVCYDXTXQXRVDZUMZUPXTYGUPZUQY
      EYCYHXCXBUJZXCXFUJZVDYGCXIHMXCXIUIYJXQYKXRXCXIXBVEXCXIXFVEVFUAVGVHXTYGVLY
      IXSXTXQXRVMVIVJVKVNVOBXPXKXQUIZBXPXTYLYBXIHXBWEVPVOBXPXMXRUIZBXPXTYMYBXIH
      XFWEVPVOVQVRBXJXDUHZXLXDUHZUIZXHXOBYNXEYOXGBXBXDHYAVSBXFXDHYAVSVTBXJHWAZX
      LHWAZXDHWBYPXOWCAXCMULZDUFXCIWDUPDMUKZYQBUCAYQPFAXBPUFZWAZYQPFABCDEFGHIJK
      LMNOPQRSTUAUBUCWFUUBHUUAWBZYQUUBXBWGZHUUAHUUDXFWGZTWHUUAXBWIWPUUAHXBWJWKW
      LWMWNAYSYTYRBUCAYRPFAXFUUAWAZYRPFABCDEFGHIJKLMNOPQRSTUAUBUCWOUUFUUCYRUUFU
      UEHUUAHUUDUUETWQUUAXFWIWPUUAHXFWJWKWLWMWNYAUEHXDXJXLWRWSWTXA $.
  $}

  ${
    $d B f g $.  $d B f h $.  $d D x $.  $d G d f g $.  $d G d f h $.
    $d W d f $.  $d Y g $.  $d Y h $.  $d Z d f $.  $d d f g x $.  $d h x $.
    bnj1296.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1296.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1296.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1296.4 $e |- D = ( dom g i^i dom h ) $.
    bnj1296.5 $e |- E = { x e. D | ( g ` x ) =/= ( h ` x ) } $.
    bnj1296.6 $e |- ( ph <-> ( R _FrSe A /\ g e. C /\ h e. C /\ ( g |` D ) =/=
        ( h |` D ) ) ) $.
    bnj1296.7 $e |- ( ps <-> ( ph /\ x e. E /\ A. y e. E -. y R x ) ) $.
    bnj1296.18 $e |- ( ps -> ( g |` _pred ( x , A , R ) ) = ( h |` _pred ( x ,
        A , R ) ) ) $.
    bnj1296.9 $e |- Z = <. x , ( g |` _pred ( x , A , R ) ) >. $.
    bnj1296.10 $e |- K = { g | E. d e. B ( g Fn d /\ A. x e. d ( g ` x ) = ( G
        ` Z ) ) } $.
    bnj1296.11 $e |- W = <. x , ( h |` _pred ( x , A , R ) ) >. $.
    bnj1296.12 $e |- L = { h | E. d e. B ( h Fn d /\ A. x e. d ( h ` x ) = ( G
        ` W ) ) } $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1296 $p |- ( ps -> ( g ` x ) = ( h ` x ) ) $=
      ( cfv cv c-bnj14 cres cop opeq2d 3eqtr4g fveq2d wceq cdm wcel wbr wn wral
      w-bnj15 wne wa wrex bnj1436 fndm anim1i bnj31 raleq pm5.32i rexbii sylibr
      simpr bnj1265 bnj1234 eleq2s bnj770 bnj835 bnj1292 bnj1212 bnj1213 bnj771
      wfn bnj1294 bnj1293 3eqtr4d ) BSNUMZQNUMZCUNZKUNZUMZWOLUNZUMZBSQNBWOWPEIW
      OUOZUPZUQWOWRWTUPZUQSQBXAXBWOUHURUIUKUSUTBWQWMVAZCWPVBZAWOMVCZDUNWOIVDVED
      MVFZXCCXDVFZBUGEIVGZWPGVCZWRGVCZWPHUPWRHUPVHZXGAUFXGWPOGWPOVCZXGTFXLXDTUN
      ZVAZXGVIZXGTFXLXNXCCXMVFZVIZTFVJXOTFVJXLWPXMWIZXPVIZXQTFXSTFVJKOUJVKXRXNX
      PXMWPVLVMVNXOXQTFXNXGXPXCCXDXMVOVPVQVRXNXGVSVNVTCEFGOIJKNRSTUBUCUIUJWAWBW
      CWDBCHXDHXDWRVBZUDWEWQWSVHABXFCHMUEUGWFZWGWJBWSWNVAZCXTAXEXFYBCXTVFZBUGXH
      XIXJXKYCAUFYCWRPGWRPVCZYCTFYDXTXMVAZYCVIZYCTFYDYEYBCXMVFZVIZTFVJYFTFVJYDW
      RXMWIZYGVIZYHTFYJTFVJLPULVKYIYEYGXMWRVLVMVNYFYHTFYEYCYGYBCXTXMVOVPVQVRYEY
      CVSVNVTCEFGPIJLNRQTUBUCUKULWAWBWHWDBCHXTHXDXTUDWKYAWGWJWL $.
  $}

  ${
    $d A x $.  $d d x $.  $d w x $.
    bnj1309.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1309 $p |- ( w e. B -> A. x w e. B ) $=
      ( cv wss c-bnj14 wral wa cab hbra1 bnj1352 hbab hbxfreq ) ABDFHZCIZCEAHJR
      IZARKZLZFMGUBAFBSUAATARNOPQ $.
  $}

  ${
    $d B w $.  $d d w x $.  $d f x $.
    bnj1307.1 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1307.2 $e |- ( w e. B -> A. x w e. B ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1307 $p |- ( w e. C -> A. x w e. C ) $=
      ( cv wfn cfv wceq wral wa wrex cab nfcii nfv nfra1 nfan nfrex nfab nfcxfr
      nfcrii ) ABDADEKZHKZLZAKUGMGFMNZAUHOZPZHCQZERIUMAEULAHCABCJSUIUKAUIATUJAU
      HUAUBUCUDUEUF $.
  $}

  ${
    $d A d f x w z $.  $d A x y $.  $d B f g w z $.  $d B f h z $.  $d D d x $.
    $d D x y w z $.  $d G d f g $.  $d G d f h $.  $d R d f x $.  $d R x y $.
    $d Y g $.  $d Y h $.  $d g x y $.  $d h x y $.  $d w C $.
    bnj1311.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1311.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1311.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1311.4 $e |- D = ( dom g i^i dom h ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1311 $p |- ( ( R _FrSe A /\ g e. C /\ h e. C ) -> ( g |` D ) = ( h |` D
        ) ) $=
      ( vy cv wcel wceq vz vw w-bnj15 w3a cres wne wn w-bnj17 cfv crab wbr wral
      wa wss c0 wrex bnj1232 ssrab2 cdm cin wfn c-bnj14 cop cab bnj1235 bnj1234
      biid eqid eleqtrdi abid bnj1238 bnj1196 abeq2i simplbi fndm bnj593 bnj937
      bnj1241 ssinss1 3syl sstrid bnj1253 nfrab1 nfcrii bnj1228 syl3anc bnj1309
      eqsstrid ax-5 bnj1307 hblem bnj1521 simp2 bnj1279 3adant1 bnj1280 bnj1296
      bnj982 bnj1538 necon2bi syl bnj1304 df-bnj17 mtbi imnani nne sylib ) BFUC
      ZHRZDSZIRZDSZUDZXIEUEZXKEUEZUFZUGXNXOTXMXPXHXJXLXPUHZXMXPUMXQXQARZXRXIUIZ
      XRXKUIZUFZAEUJZSZQRXRFUKUGQYBULZUDZYCAYDXQYEAYBXQXHYBBUNYBUOUFYDAYBUPXQXH
      XJXLXPXQVGZUQXQYBEBYAAEURXQEXIUSZXKUSZUTZBPXQXIXILRZVAZXSXRXIBFXRVBZUEVCZ
      JUITAYJULZUMLCUPZHVDZSZYGBUNZYIBUNXQXIDYPXQXHXJXLXPYFVEABCDYPFGHJKYMLNOYM
      VHZYPVHZVFVIYQYRLYQYJCSZYKUMYRLYQYKLCYQYKYNLCYOHVJVKVLUUAYKYJBYGUUAYJBUNZ
      YLYJUNAYJULZUUBUUCUMLCMVMVNYJXIVOVRVPVQYGYHBVSVTWHWAXQYEAQBCDEFGHIYBJKLMN
      OPYBVHZYFYEVGZWBAQUABYBFAUAYBYAAEWCWDWEWFUUEXHXJXLXPAXHAWIAUBHDAUBCDGJKLO
      AUBBCFLMWGWJZWKAUBIDUUFWKXPAWIWRWLXQYCYDWMYEXSXTTYCUGXQYEAQBCDEFGHIYBJYPX
      KYJVAXTXRXKYLUEVCZJUITAYJULUMLCUPIVDZUUGKYMLMNOPUUDYFUUEXQYEAQBCDEFGHIYBJ
      KLMNOPUUDYFUUEYCYDYLYBUTUOTXQXQYEAQBCDEFGHIYBJKLMNOPUUDYFUUEWNWOWPYSYTUUG
      VHUUHVHWQYCXSXTYAAYBEUUDWSWTXAXBXHXJXLXPXCXDXEXNXOXFXG $.
  $}

  ${
    $d A f i n y z $.  $d R f i n y z $.  $d X f i n y z $.  $d Y f i n y z $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1318 $p |- ( X = Y -> _trCl ( X , A , R ) = _trCl ( Y , A , R ) ) $=
      ( vf vn vi vy vz wceq cv c0 cfv c-bnj14 ciun com w3a wrex biid eqid hbab1
      wfn csuc wcel wral csn cdif cab cdm c-bnj18 bnj602 eqeq2d 3anbi2d rexbidv
      wi abbidv bnj1316 syl bnj882 3eqtr4g ) CDJZEEKZFKZUBZLVBMZABCNZJZGKZUCZVC
      UDVIVBMHVHVBMZABHKNOJUOGPUEZQZFPLUFUGZRZEUHZGVBUIVJOZOZEVDVEABDNZJZVKQZFV
      MRZEUHZVPOZABCUJABDUJVAVOWBJVQWCJVAVNWAEVAVLVTFVMVAVGVSVDVKVAVFVRVEABCDUK
      ULUMUNUPEIVOWBVPVNEIUAWAEIUAUQURVGVKHAVOVMBEGFCVGSVKSZVMTZVOTUSVSVKHAWBVM
      BEGFDVSSWDWEWBTUSUT $.
  $}

  ${
    $d A d f p q x $.  $d B f p q $.  $d C p q $.  $d D q $.  $d G d f p q $.
    $d R d f p q x $.  $d Y p q $.  $d g p q $.  $d h q $.
    bnj1326.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1326.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1326.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1326.4 $e |- D = ( dom g i^i dom h ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1326 $p |- ( ( R _FrSe A /\ g e. C /\ h e. C ) -> ( g |` D ) = ( h |` D
        ) ) $=
      ( vq vp cres wceq w-bnj15 cv wcel w3a cdm cin eleq1w 3anbi3d dmeq reseq2d
      ineq2d reseq2i eqtr4di reseq1 eqeq12d imbi12d 3anbi2d ineq1d eqid bnj1311
      wi eqtrd chvarvv ) BFUAZHUBZDUCZQUBZDUCZUDZVEVEUEZVGUEZUFZSZVGVLSZTZVAZVD
      VFIUBZDUCZUDZVEESZVQESZTZVAQIVGVQTZVIVSVOWBWCVHVRVDVFQIDUGUHWCVMVTVNWAWCV
      MVEVJVQUEZUFZSVTWCVLWEVEWCVKWDVJVGVQUIUKZUJEWEVEPULUMWCVNVQWESZWAWCVNVGWE
      SWGWCVLWEVGWFUJVGVQWEUNVBEWEVQPULUMUOUPVDRUBZDUCZVHUDZWHWHUEZVKUFZSZVGWLS
      ZTZVAVPRHWHVETZWJVIWOVOWPWIVFVDVHRHDUGUQWPWMVMWNVNWPWMWHVLSVMWPWLVLWHWPWK
      VJVKWHVEUIURZUJWHVEVLUNVBWPWLVLVGWQUJUOUPABCDWLFGRQJKLMNOWLUSUTVCVC $.
  $}

  ${
    $d A d f g x z $.  $d B f g z $.  $d z C $.  $d G d f g z $.
    $d R d f g x $.  $d Y g z $.  $d g ta $.
    bnj1321.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1321.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1321.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1321.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1321 $p |- ( ( R _FrSe A /\ E. f ta ) -> E! f ta ) $=
      ( vg vz wa cv wceq cres w-bnj15 wex wsb wi wal weu simpr w3a cdm cin wcel
      simp1 csn c-bnj18 cun simplbi 3ad2ant2 wfn cfv wral wrex cab nfab1 nfcxfr
      nfcri nfv nfan eleq1w dmeq eqeq1d anbi12d syl5bb 3ad2ant3 bnj1326 syl3anc
      sbiev eqid simprbi eqtr4d bnj1322 reseq2d syl wrel releq bnj66 resdm 3syl
      vtoclga eqtrd eqeq2 mpbid 3eqtr3d 3expib alrimivv adantr eu2 sylanbrc ) C
      FUAZAGUBZQWSAAGOUCZQGRZORZSZUDZOUEGUEZAGUFWRWSUGWRXEWSWRXDGOWRAWTXCWRAWTU
      HZXAXAUIZXBUIZUJZTZXBXITZXAXBXFWRXAEUKZXBEUKZXJXKSWRAWTULAWRXLWTAXLXGBRZU
      MCFXNUNUOZSZNUPUQZWTWRXMAWTXMXHXOSZAXMXRQZGOXMXRGGOEGEXAJRZURXNXAUSIHUSSB
      XTUTQJDVAZGVBMYAGVCVDVEXRGVFVGAXLXPQXCXSNXCXLXMXPXRGOEVHXCXGXHXOXAXBVIVJV
      KVLVPZUPVMZBCDEXIFGGOHIJKLMXIVQVNVOXFXJXAXGTZXAXFXGXHSZXJYDSXFXGXOXHAWRXP
      WTAXLXPNVRUQWTWRXRAWTXMXRYBVRVMVSZYEXIXGXAXGXHVTZWAWBXFXLXAWCZYDXASXQPRZW
      CYHPXAEYIXAWDBCDEFGPHIJKLMWEWHXAWFWGWIXFXKXBXHTZXBXFYEXKYJSYFYEXIXHXBYEXI
      XGSXIXHSYGXGXHXIWJWKWAWBXFXMXBWCYJXBSYCBCDEFGOHIJKLMWEXBWFWGWIWLWMWNWOAGO
      AOVFWPWQ $.
  $}

  $( Property of ` _FrSe ` .  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
     (New usage is discouraged.) $)
  bnj1364 $p |- ( R _FrSe A -> R _Se A ) $=
    ( w-bnj15 wfr w-bnj13 df-bnj15 simprbi ) ABCABDABEABFG $.

  ${
    $d d f $.  $d f y $.
    bnj1371.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1371.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1371.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1371.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1371.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1371.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1371.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1371.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1371.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1371.10 $e |- P = U. H $.
    bnj1371.11 $e |- ( ta' <-> ( f e. C /\ dom f = ( { y } u. _trCl ( y , A , R
        ) ) ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1371 $p |- ( f e. H -> Fun f ) $=
      ( cv wcel wfun cdm csn c-bnj18 cun wceq wa wex c-bnj14 wrex bnj1436 rexex
      syl exbii sylib exsimpl wfn cfv abeq2i bnj1238 fnfun bnj31 bnj1265 bnj593
      wral bnj937 ) LUIZNUJZVQUKZEVRVQHUJZVSEVRVTVQULEUIZUMFKWAUNUOUPZUQZEURZVT
      EURVRQEURZWDVRQEFKDUIZUSZUTZWEWHLNUFVAQEWGVBVCQWCEUHVDVEVTWBEVFVCVTVSPGVT
      VQPUIZVGZVSPGVTWJWFVQVHOMVHUPDWIVOZPGWJWKUQPGUTLHTVIVJWIVQVKVLVMVNVP $.
  $}

  ${
    $d A x $.  $d B f $.  $d R x $.  $d d f x $.  $d x y $.
    bnj1373.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1373.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1373.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1373.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1373.5 $e |- ( ta' <-> [. y / x ]. ta ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1373 $p |- ( ta'
        <-> ( f e. C /\ dom f = ( { y } u. _trCl ( y , A , R ) ) ) ) $=
      ( cv csn c-bnj18 wsbc wcel cdm cun wceq wa wb cvv bnj1309 bnj1307 bnj1351
      nf5i weq sneq bnj1318 uneq12d eqeq2d anbi2d syl5bb sbciegf elv bitri ) LA
      BCRZUAZHRZFUBZVEUCZVCSZDGVCTZUDZUEZUFZQVDVLUGCAVLBVCUHVLBVFVKBBHEFHIJKOBH
      DEGKMUIUJUKULAVFVGBRZSZDGVMTZUDZUEZUFBCUMZVLPVRVQVKVFVRVPVJVGVRVNVHVOVIVM
      VCUNDGVMVCUOUPUQURUSUTVAVB $.
  $}

  ${
    $d A x $.  $d B f $.  $d C y $.  $d R x $.  $d d f x $.  $d f x y $.
    bnj1374.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1374.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1374.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1374.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1374.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1374.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1374.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1374.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1374.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1374 $p |- ( f e. H -> f e. C ) $=
      ( cv wcel cdm csn c-bnj18 cun wceq wex c-bnj14 wrex bnj1436 rexex bnj1373
      wa syl exbii sylib exsimpl bnj937 ) KUFZMUGZVEHUGZEVFVGVEUHEUFZUIFJVHUJUK
      ULZUSZEUMZVGEUMVFPEUMZVKVFPEFJDUFUNZUOZVLVNKMUEUPPEVMUQUTPVJECDEFGHJKLNOP
      QRSTUDURVAVBVGVIEVCUTVD $.
  $}

  ${
    $d A d f x z $.  $d A f g $.  $d B f $.  $d C g $.  $d C y $.  $d G d f $.
    $d H g z $.  $d R d f x $.  $d R f g $.  $d f x y $.
    bnj1384.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1384.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1384.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1384.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1384.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1384.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1384.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1384.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1384.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1384.10 $e |- P = U. H $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1384 $p |- ( R _FrSe A -> Fun P ) $=
      ( vg vz w-bnj15 cuni wfun cv wral cdm cres wceq bnj1373 bnj1371 rgen wcel
      cin id bnj1374 wi c-bnj14 wrex cab nfab1 nfcxfr nfcri wfn cfv nfim eleq1w
      imbi12d chvarfv eqid bnj1326 syl3an 3expib ralrimivv biid bnj1317 bnj1386
      wa sylancr funeqi sylibr ) FKUJZNUKZULZJULWJLUMZULZLNUNZWMWMUOUHUMZUOVBZU
      PWPWQUPUQZUHNUNLNUNZWLWNLNABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGCDEFGHKLMOPQR
      STUAUEURUSUTWJWRLUHNNWJWMNVAZWPNVAZWRWJWJWTWMHVAZXAWPHVAZWRWJVCABCDEFGHIK
      LMNOPQRSTUAUBUCUDUEUFVDZWTXBVEXAXCVELUHXAXCLLUHNLNQEFKDUMZVFVGZLVHUFXFLVI
      VJVKLUHHLHWMPUMZVLXEWMVMOMVMUQDXGUNWFPGVGZLVHTXHLVIVJVKVNWMWPUQWTXAXBXCLU
      HNVOLUHHVOVPXDVQDFGHWQKLLUHMOPRSTWQVRZVSVTWAWBWOWOWSWFZUINWQLUHWOWCXIXJWC
      XFLUINUFWDWEWGJWKUGWHWI $.
  $}

  ${
    $d A x y $.  $d B f $.  $d D y $.  $d R x y $.  $d d f x $.  $d f x y $.
    $d ps y $.  $d ta y $.
    bnj1388.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1388.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1388.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1388.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1388.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1388.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1388.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1388.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1388 $p |- ( ch -> A. y e. _pred ( x , A , R ) E. f ta' ) $=
      ( wex cv c-bnj14 wcel wbr wn w3a nfv nfra1 nf3an nfxfr wa bnj1152 simplbi
      wral adantl wi biimpi simprd simp3bi adantr wal df-ral con2b albii impcom
      sp sylan2b syl2anc crab eleq2i nfcv wsbc nfsbc1v nfex nfn sbceq1a bitr4di
      bitri weq exbidv notbid elrabf sylnib iman sylibr mpd ex ralrimi ) BOKUDZ
      EFJDUEZUFZBAWNIUGZEUEZWNJUHZUIZEIURZUJEUBAWPWTEAEUKWPEUKWSEIULUMUNBWQWOUG
      ZWMBXAUOZWQFUGZWMXAXCBXAXCWRFJWNWQUPZUQUSXBXCWMUIZUOZUIXCWMUTXBWQIUGZXFXB
      WRWTXGUIZXBXCWRXAXCWRUOZBXAXIXDVAUSVBBWTXABAWPWTUBVCVDWTWRWRXHUTZEVEZXHWT
      XGWSUTZEVEXKWSEIVFXLXJEXGWRVGVHWBXKWRXHXJEVJVIVKVLXGWQCKUDZUIZDFVMZUGXFIX
      OWQTVNXNXEDWQFDWQVODFVOWMDODKOCDWQVPZDUCCDWQVQUNVRVSDEWCZXMWMXQCOKXQCXPOC
      DWQVTUCWAWDWEWFWBWGXCWMWHWIWJWKWL $.
  $}

  ${
    $d A f x y z $.  $d B f $.  $d C y $.  $d D w y $.  $d H w z $.
    $d P w z $.  $d R f x y z $.  $d ch z $.  $d d f x $.  $d f w x y z $.
    $d ps y $.  $d ta y $.
    bnj1398.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1398.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1398.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1398.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1398.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1398.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1398.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1398.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1398.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1398.10 $e |- P = U. H $.
    bnj1398.11 $e |- ( th <-> ( ch /\ z e. U_ y e. _pred ( x , A , R ) ( { y }
        u. _trCl ( y , A , R ) ) ) ) $.
    bnj1398.12 $e |- ( et <-> ( th /\ y e. _pred ( x , A , R ) /\ z e. ( { y }
        u. _trCl ( y , A , R ) ) ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1398 $p |- ( ch -> U_ y e. _pred ( x , A , R )
        ( { y } u. _trCl ( y , A , R ) ) = dom P ) $=
      ( vw cv c-bnj14 csn c-bnj18 cun ciun cdm wcel wa df-iun bnj1436 simplbiim
      wrex wbr wn wral w3a nfv nfra1 nf3an nfxfr nfiu1 nfcri nfan nf5ri bnj1521
      wex w-bnj15 c0 wne crab nfe1 nfn nfcv nfrabw nfcxfr nfralw simplbi bnj835
      nfne simp2bi bnj1388 rsp syl sylc bnj596 wceq bnj1373 adantl simprbi rspe
      wi syl2an abeq2i rexbii r19.42v 3bitri sylanbrc simp3bi adantr jca bnj593
      eleqtrrd df-rex sylibr dmeqi bnj1317 bnj1400 eqtri eleq2i eliun bitri cab
      cuni nfre1 nfab nfuni nfdm nfcrii bnj1397 sylbir ex ssrdv wss simpr eleq2
      biimpac reximi syl2anc rexlimiva 3imtr4i ssriv a1i eqssd ) BGINFUNZUOZGUN
      ZUPINUUJUQURZUSZMUTZBHUULUUMBHUNZUULVAZUUNUUMVAZBUUOVBZCUUPUKCUUPGCEUUPGU
      UNUUKVAZCEGUUICBUUOUURGUUIVFZUKUUSHUULGHUUIUUKVCVDVEULCGCUUQGUKBUUOGBAUUH
      LVAZUUJUUHNVGVHZGLVIZVJZGUGAUUTUVBGAGVKUUTGVKUVAGLVLVMVNGHUULGUUIUUKVOVPV
      QVNVRVSEUUNOUNZUTZVAZOQVFZUUPEUVDQVAZUVFVBZOVTUVGEETVBZUVIOETOEOECUUJUUIV
      AZUURVJOULCUVKUUROCUUQOUKBUUOOBUVCOUGAUUTUVBOAINWAZLWBWCZVBOUFUVLUVMOUVLO
      VKOLWBOLDOVTZVHZFIWDUEUVOOFIUVNODOWEWFOIWGWHWIZOWBWGWMVQVNOFLUVPVPUVAOGLU
      VPUVAOVKWJVMVNUUOOVKVQVNUVKOVKUUROVKVMVNVREBUVKTOVTZCUVKUURBEULCBUUOUKWKW
      LECUVKUURULWNZBUVQGUUIVIUVKUVQXEABDFGIJKLNOPRSTUAUBUCUDUEUFUGUHWOUVQGUUIW
      PWQWRWSUVJUVHUVFUVJUVDKVAZUVEUUKWTZGUUIVFZUVHTUVSETUVSUVTDFGIJKNOPRSTUAUB
      UCUDUHXAZWKXBEUVKUVTUWATUVRTUVSUVTUWBXCZUVTGUUIXDXFUVHTGUUIVFZUVSUVTVBZGU
      UIVFUVSUWAVBUWDOQUIXGTUWEGUUIUWBXHUVSUVTGUUIXIXJZXKUVJUUNUUKUVEEUURTECUVK
      UURULXLXMTUVTEUWCXBXPXNXOUVFOQXQXRUUPUUNOQUVEUSZVAUVGUUMUWGUUNUUMQYGZUTUW
      GMUWHUJXSOUMQUWDOUMQUIXTYAYBYCOUUNQUVEYDYEZXRXOGHUUMGMGMUWHUJGQGQUWDOYFUI
      UWDGOTGUUIYHYIWIYJWIYKYLYMYNYOYPUUMUULYQBHUUMUULUVGUUSUUPUUOUVFUUSOQUVIUV
      FUWAUUSUVHUVFYRUVHUWAUVFUVHUVSUWAUWFXCXMUVFUWAVBUVFUVTVBZGUUIVFUUSUVFUVTG
      UUIXIUWJUURGUUIUVTUVFUURUVEUUKUUNYSYTUUAYNUUBUUCUWIGUUNUUIUUKYDUUDUUEUUFU
      UG $.
  $}

  ${
    $d A y $.  $d R y $.  $d X y $.
    bnj1413.1 $e |- B = ( _pred ( X , A , R ) u. U_ y e. _pred ( X , A , R )
        _trCl ( y , A , R ) ) $.
    $( Property of ` _trCl ` .  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj1413 $p |- ( ( R _FrSe A /\ X e. A ) -> B e. _V ) $=
      ( w-bnj15 wcel wa c-bnj14 c-bnj18 cv ciun cun bnj1148 wral bnj893 syl2anc
      cvv wss w3a bnj1127 3ad2ant3 3expia ralrimiv iunexg bnj1149 bnj906 iunss1
      simp1 unss2 3syl eqsstrid ssexd ) BDGZEBHZIZCBDEJZABDEKZBDALZKZMZNZSUQURV
      BBDEOUQUSSHVASHZAUSPVBSHBDEQUQVDAUSUOUPUTUSHZVDUOUPVEUAUOUTBHZVDUOUPVEUJV
      EUOVFUPBDEUTUBUCBDUTQRUDUEAUSVASSUFRUGUQCURAURVAMZNZVCFUQURUSTVGVBTVHVCTB
      DEUHAURUSVAUIVGVBURUKULUMUN $.
  $}

  ${
    $d A y z $.  $d z B $.  $d R y z $.  $d X y z $.
    bnj1408.1 $e |- B = ( _pred ( X , A , R ) u. U_ y e. _pred ( X , A , R )
        _trCl ( y , A , R ) ) $.
    bnj1408.2 $e |- C = ( _pred ( X , A , R ) u. U_ y e. _trCl ( X , A , R )
        _trCl ( y , A , R ) ) $.
    bnj1408.3 $e |- ( th <-> ( R _FrSe A /\ X e. A ) ) $.
    bnj1408.4 $e |- ( ta <-> ( B e. _V /\ _TrFo ( B , A , R ) /\ _pred ( X , A
        , R ) C_ B ) ) $.
    $( Technical lemma for ~ bnj1414 .  This lemma may no longer be used or
       have become an indirect lemma of the theorem in question (i.e. a lemma
       of a lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1408 $p |- ( ( R _FrSe A /\ X e. A ) -> _trCl ( X , A , R ) = B ) $=
      ( vz wcel wa c-bnj18 wss syl2anc sstrd biid w-bnj15 biimpri cvv wral ciun
      w-bnj19 c-bnj14 bnj1413 cv simplll bnj213 sseli adantl bnj906 bnj1318 cun
      ssiun2s ssun4 sseqtrrdi syl w3a simpr bnj1405 nfv nfcv nfiu1 nfcxfr nfcri
      nf5ri bnj1521 3ad2ant1 bnj1147 simp3 bnj1213 simp2 bnj1125 syl3anc ssiun2
      nfun nfan 3ad2ant2 bnj593 nfss bnj1397 wo bnj1138 sylib mpjaodan df-bnj19
      ralrimiva sylibr bnj931 a1i syl3anbrc bnj1124 iunss1 3syl 3sstr4g bnj1136
      unss2 sseqtrrd eqssd ) DGUAZHDNZOZDGHPZEXEABXFEQAXEKUBXEEUCNDEGUFZDGHUGZE
      QZBCDEGHIUHXEDGMUIZUGZEQZMEUDXGXEXLMEXEXJENZOZXJXHNZXLXJCXHDGCUIZPZUEZNZX
      NXOOZXKDGXJPZEXTXCXJDNZXKYAQZXCXDXMXOUJXOYBXNXHDXJDGHUKZULUMDGXJUNZRXOYAE
      QZXNXOYAXRQZYFCXHXQXJYADGXPXJUOUQYGYAXHXRUPZEYAXRXHURIUSUTUMSXNXSOZXLCYIY
      IXPXHNZXJXQNZVAZXLCYKYIYLCXHYICXHXQXJXNXSVBVCYLTYICXNXSCXEXMCXECVDCMECEYH
      ICXHXRCXHVECXHXQVFZVSVGZVHVTCMXRYMVHVTVIVJYLXKXQEYLXKYAXQYLXCYBYCYIYJXCYK
      XCXDXMXSUJVKZYLMXQDDGXPVLYIYJYKVMZVNYERYLXCXPDNYKYAXQQYOYLCXHDYDYIYJYKVOV
      NYPDGXPXJVPVQSYLXQXRQZXQEQYJYIYQYKCXHXQVRWAYQXQYHEXQXRXHURIUSUTSWBXLCCXKE
      CXKVEYNWCVIWDXNXMXOXSWEXEXMVBEXHXRXJIWFWGWHWJMDEGWIWKXIXEEXHXRIWLWMLWNABD
      EGHKLWORXEEFXFXEYHXHCXFXQUEZUPZEFXEXHXFQXRYRQYHYSQDGHUNCXHXFXQWPXRYRXHWTW
      QIJWRXEFUCNDFGUFXHFQVAZCDFGHJXETYTTWSXAXB $.
  $}

  ${
    $d A y $.  $d R y $.  $d X y $.
    bnj1414.1 $e |- B = ( _pred ( X , A , R ) u. U_ y e. _pred ( X , A , R )
        _trCl ( y , A , R ) ) $.
    $( Property of ` _trCl ` .  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj1414 $p |- ( ( R _FrSe A /\ X e. A ) -> _trCl ( X , A , R ) = B ) $=
      ( w-bnj15 wcel wa cvv w-bnj19 c-bnj14 wss w3a c-bnj18 ciun cun eqid biid
      cv bnj1408 ) BDGEBHIZCJHBCDKBDELZCMNZABCUCABDEOBDATOPQZDEFUERUBSUDSUA $.
  $}

  ${
    $d A f x y z $.  $d B f $.  $d C y $.  $d D y $.  $d z H $.  $d z P $.
    $d R f x y z $.  $d d f x $.  $d ps y $.  $d ta y $.  $d z ch $.
    bnj1415.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1415.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1415.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1415.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1415.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1415.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1415.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1415.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1415.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1415.10 $e |- P = U. H $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1415 $p |- ( ch -> dom P = _trCl ( x , A , R ) ) $=
      ( vz cv c-bnj18 c-bnj14 ciun cun cdm w-bnj15 wcel wceq wbr wn wral c0 wne
      simplbi bnj835 wex bnj1212 eqid bnj1414 syl2anc csn iunun iunid uneq1i wa
      eqtri w3a biid bnj1398 eqtr3id eqtr2d ) BFKDUIZUJZFKWAUKZEWCFKEUIZUJZULZU
      MZJUNZBFKUOZWAFUPWBWGUQAWAIUPWDWAKURUSEIUTZWIBUDAWIIVAVBUCVCVDCLVEUSABWJD
      FIUBUDVFEFWGKWAWGVGVHVIBWGEWCWDVJZWEUMZULZWHWMEWCWKULZWFUMWGEWCWKWEVKWNWC
      WFEWCVLVMVOABBUHUIZWMUPVNZCWPWDWCUPWOWLUPVPZDEUHFGHIJKLMNOPQRSTUAUBUCUDUE
      UFUGWPVQWQVQVRVSVT $.
  $}

  ${
    bnj1416.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1416.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1416.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1416.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1416.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1416.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1416.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1416.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1416.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1416.10 $e |- P = U. H $.
    bnj1416.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1416.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    bnj1416.28 $e |- ( ch -> dom P = _trCl ( x , A , R ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1416 $p |- ( ch -> dom Q = ( { x } u. _trCl ( x , A , R ) ) ) $=
      ( cdm csn cun c-bnj18 cfv cop dmeqi dmun fvex dmsnop uneq2i 3eqtri uneq1d
      cv uncom eqtrdi syl5eq ) BKUMZJUMZDVFZUNZUOZVMFLVLUPZUOZVJJVLQNUQZURUNZUO
      ZUMVKVRUMZUOVNKVSUKUSJVRUTVTVMVKVLVQQNVAVBVCVDBVNVOVMUOVPBVKVOVMULVEVOVMV
      GVHVI $.
  $}

  ${
    $d A z $.  $d R z $.  $d x z $.  $d y z $.
    $( Property of ` _pred ` .  (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)
       (New usage is discouraged.) $)
    bnj1418 $p |- ( y e. _pred ( x , A , R ) -> y R x ) $=
      ( vz cv wbr c-bnj14 breq1 df-bnj14 bnj1538 vtoclga ) EFZAFZDGZBFZNDGEPCDN
      HZMPNDIOEQCECDNJKL $.
  $}

  ${
    $d A x y $.  $d R x y $.  $d ph x y $.  $d ps y $.
    bnj1417.1 $e |- ( ph <-> R _FrSe A ) $.
    bnj1417.2 $e |- ( ps <-> -. x e. _trCl ( x , A , R ) ) $.
    bnj1417.3 $e |- ( ch <-> A. y e. A ( y R x -> [. y / x ]. ps ) ) $.
    bnj1417.4 $e |- ( th <-> ( ph /\ x e. A /\ ch ) ) $.
    bnj1417.5 $e |- B = ( _pred ( x , A , R ) u. U_ y e. _pred ( x , A , R )
        _trCl ( y , A , R ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (Proof shortened by Mario Carneiro, 22-Dec-2016.)
       (New usage is discouraged.) $)
    bnj1417 $p |- ( ph -> A. x e. A -. x e. _trCl ( x , A , R ) ) $=
      ( wral cv wcel wn syl2anc sylib c-bnj18 w-bnj15 wi biimpi c-bnj14 ciun wo
      w3a wbr bnj1418 adantl bnj835 w-bnj13 df-bnj15 simplbi bnj213 sseli frirr
      wfr syl syl2an pm2.65da wrex nfv wsbc bnj1095 nf3an nfxfr wa wss ad2antrr
      simplr sselid simpr bnj1125 syl3anc bnj1147 bnj906 sseldd bnj837 ad2antlr
      nf5i rsp syl3c vex weq eleq1w bnj1318 eleq2d bitrd notbid syl5bb sbcie ex
      ralrimi ralnex eliun sylnibr sylanbrc wceq simp2bi bnj1414 bnj1138 bitrdi
      ioran mtbird sylibr sylbir 3exp ralrimiv bnj1204 ralbii ) ABEGOZEPZGIXNUA
      ZQZRZEGOAGIUBZCBUCZEGOXMAXRJUDZAXSEGAXNGQZCBAYACUHZDBMDXQBDXPXNGIXNUEZQZX
      NFYCGIFPZUAZUFZQZUGZDYDRYHRYIRDYDXNXNIUIZYDYJDEEGIUJUKDGIUSZYAYJRYDDXRYKA
      YACXRDMXTULZXRYKGIUMGIUNUOUTYCGXNGIXNUPZUQGXNIURVAVBDXNYFQZFYCVCZYHDYNRZF
      YCOYORDYPFYCDYBFMAYACFAFVDYAFVDCFCYEXNIUIZBEYEVEZUCZFGLVFWBVGVHDYEYCQZYPD
      YTVIZYNYEYFQZUUAYNVIZXOYFYEUUCXRYEGQZYNXOYFVJDXRYTYNYLVKZUUCYCGYEYMDYTYNV
      LZVMZUUAYNVNZGIYEXNVOVPUUCYCXOYEUUCXRYAYCXOVJUUEUUCYFGXNGIYEVQUUHVMGIXNVR
      SUUFVSVSUUCYRUUBRZUUCYSFGOZUUDYQYRDUUJYTYNAYACUUJDMCUUJLUDVTVKUUGYTYQDYNE
      FGIUJWAYSFGWCWDBUUIEYEFWEBXQEFWFZUUIKUUKXPUUBUUKXPYEXOQUUBEFXOWGUUKXOYFYE
      GIXNYEWHWIWJWKWLWMTVBWNWOYNFYCWPTFXNYCYFWQWRYDYHXEWSDXPXNHQYIDXOHXNDXRYAX
      OHWTYLDAYACMXAFGHIXNNXBSWIHYCYGXNNXCXDXFKXGXHXIXJBCEFGILXKSBXQEGKXLT $.
  $}

  ${
    $d A x z $.  $d R x z $.
    bnj1421.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1421.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1421.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1421.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1421.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1421.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1421.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1421.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1421.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1421.10 $e |- P = U. H $.
    bnj1421.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1421.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    bnj1421.13 $e |- ( ch -> Fun P ) $.
    bnj1421.14 $e |- ( ch -> dom Q = ( { x } u. _trCl ( x , A , R ) ) ) $.
    bnj1421.15 $e |- ( ch -> dom P = _trCl ( x , A , R ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1421 $p |- ( ch -> Fun Q ) $=
      ( vz cv cfv cop csn cun wfun wa cdm cin wceq vex fvex funsn jctir c-bnj18
      c0 dmsnop a1i ineq12d w-bnj15 wral wcel wbr wn wne simplbi bnj835 wsbc wi
      w3a c-bnj14 ciun biid eqid bnj1417 disjsn ralbii sylibr syl bnj1212 eqtrd
      wex bnj1294 funun syl2anc funeqi ) BJDUPZQNUQZURUSZUTZVAZKVABJVAZXDVAZVBJ
      VCZXDVCZVDZVKVEXFBXGXHULXBXCDVFQNVGZVHVIBXKFLXBVJZXBUSZVDZVKBXIXMXJXNUNXJ
      XNVEBXBXCXLVLVMVNBXOVKVEZDFBFLVOZXPDFVPZAXBIVQEUPXBLVRVSEIVPZXQBUFAXQIVKV
      TUEWAWBXQXBXMVQVSZDFVPXRXQXTUOUPZXBLVRXTDYAWCWDUOFVPZXQXBFVQYBWEZDUOFFLXB
      WFZUOYDFLYAVJWGUTZLXQWHXTWHYBWHYCWHYEWIWJXPXTDFXMXBWKWLWMWNCMWQVSABXSDFIU
      DUFWOWRWPJXDWSWTKXEUKXAWM $.
  $}

  ${
    $d A y $.  $d D y $.  $d E y $.  $d R y $.  $d f y $.  $d ps y $.
    $d x y $.  $d y z $.
    bnj1444.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1444.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1444.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1444.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1444.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1444.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1444.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1444.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1444.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1444.10 $e |- P = U. H $.
    bnj1444.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1444.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    bnj1444.13 $e |- W = <. z , ( Q |` _pred ( z , A , R ) ) >. $.
    bnj1444.14 $e |- E = ( { x } u. _trCl ( x , A , R ) ) $.
    bnj1444.15 $e |- ( ch -> P Fn _trCl ( x , A , R ) ) $.
    bnj1444.16 $e |- ( ch -> Q Fn ( { x } u. _trCl ( x , A , R ) ) ) $.
    bnj1444.17 $e |- ( th <-> ( ch /\ z e. E ) ) $.
    bnj1444.18 $e |- ( et <-> ( th /\ z e. { x } ) ) $.
    bnj1444.19 $e |- ( ze <-> ( th /\ z e. _trCl ( x , A , R ) ) ) $.
    bnj1444.20 $e |- ( rh <-> ( ze /\ f e. H /\ z e. dom f ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1444 $p |- ( rh -> A. y rh ) $=
      ( cv wcel cdm w3a c-bnj18 wa wbr wral nfra1 nf3an nfxfr nfan c-bnj14 wrex
      wn nfv cab nfre1 nfab nfcxfr nfcri nf5ri ) GIGFRVGZUAVHZJVGZWIVIVHZVJIVFF
      WJWLIFCWKKQHVGZVKVHZVLIVECWNICBWKSVHZVLIVCBWOIBAWMNVHZIVGWMQVMWAZINVNZVJI
      UMAWPWRIAIWBWPIWBWQINVOVPVQWOIWBVRVQWNIWBVRVQIRUAIUAUFIKQWMVSZVTZRWCUOWTI
      RUFIWSWDWEWFWGWLIWBVPVQWH $.
  $}

  ${
    $d A d x $.  $d B f $.  $d E d $.  $d R d x $.  $d d f x $.  $d d x y $.
    $d d z $.
    bnj1445.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1445.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1445.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1445.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1445.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1445.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1445.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1445.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1445.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1445.10 $e |- P = U. H $.
    bnj1445.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1445.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    bnj1445.13 $e |- W = <. z , ( Q |` _pred ( z , A , R ) ) >. $.
    bnj1445.14 $e |- E = ( { x } u. _trCl ( x , A , R ) ) $.
    bnj1445.15 $e |- ( ch -> P Fn _trCl ( x , A , R ) ) $.
    bnj1445.16 $e |- ( ch -> Q Fn ( { x } u. _trCl ( x , A , R ) ) ) $.
    bnj1445.17 $e |- ( th <-> ( ch /\ z e. E ) ) $.
    bnj1445.18 $e |- ( et <-> ( th /\ z e. { x } ) ) $.
    bnj1445.19 $e |- ( ze <-> ( th /\ z e. _trCl ( x , A , R ) ) ) $.
    bnj1445.20 $e |- ( rh <-> ( ze /\ f e. H /\ z e. dom f ) ) $.
    bnj1445.21 $e |- ( si <-> ( rh /\ y e. _pred ( x , A , R ) /\ f e. C /\ dom
        f = ( { y } u. _trCl ( y , A , R ) ) ) ) $.
    bnj1445.22 $e |- ( ph <-> ( si /\ d e. B /\ f Fn d /\ A. x e. d ( f ` x ) =
        ( G ` Y ) ) ) $.
    bnj1445.23 $e |- X = <. z , ( f |` _pred ( z , A , R ) ) >. $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1445 $p |- ( si -> A. d si ) $=
      ( cv c-bnj14 wcel cdm csn c-bnj18 cun wceq w-bnj17 w3a wa wn wral w-bnj15
      wbr c0 wne nfv wex crab wfn cfv wrex cab nfre1 nfab nfcri nfan nfxfr nfex
      nfcxfr nfcv nfrabw nfne nfralw nf3an nf5ri bnj1351 nf5i wsbc nfsbcw nfrex
      nfn ax-5 bnj982 hbxfrbi ) HIKVMZMSJVMZVNZVOZTVMZOVOZYCVPZXSVQMSXSVRVSVTZW
      AUHVJIYBYDYFUHIUHIGYCUCVOZLVMZYEVOZWBUHVIGYGYIUHGDYHMSXTVRZVOZWCUHVHDYKUH
      DCYHUAVOZWCZUHVFYMUHCYLUHCUHCBXTPVOZXSXTSWGWDZKPWEZWBUHUPBYNYPUHBMSWFZPWH
      WIZWCUHUOYQYRUHYQUHWJUHPWHUHPETWKZWDZJMWLUNYTUHJMYSUHEUHTEYDYEXTVQYJVSVTZ
      WCUHUMYDUUAUHUHTOUHOYCUHVMZWMXTYCWNUFUBWNVTJUUBWEWCZUHNWOZTWPULUUDUHTUUCU
      HNWQWRXCWSZUUAUHWJWTXAZXBXOUHMXDXEXCZUHWHXDXFWTXAUHJPUUGWSYOUHKPUUGYOUHWJ
      XGXHXAXIXJXKXAYKUHWJWTXAUHTUCUHUCUIKYAWOZTWPURUUHUHTUIUHKYAUHYAXDUIEJXSXL
      UHUQEUHJXSUHXSXDUUFXMXAXNWRXCWSYIUHWJXHXAXIYBUHXPYDUHUUEXIYFUHXPXQXR $.
  $}

  ${
    $d A d x $.  $d B f $.  $d G d $.  $d R d x $.  $d d f x $.  $d d x y $.
    $d d z $.
    bnj1446.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1446.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1446.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1446.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1446.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1446.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1446.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1446.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1446.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1446.10 $e |- P = U. H $.
    bnj1446.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1446.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    bnj1446.13 $e |- W = <. z , ( Q |` _pred ( z , A , R ) ) >. $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1446 $p |- ( ( Q ` z ) = ( G ` W ) -> A. d ( Q ` z ) = ( G ` W ) ) $=
      ( cv cfv wceq cop csn cun cuni c-bnj14 wrex cab nfcv wsbc wcel c-bnj18 wa
      cdm wral nfre1 nfab nfcxfr nfcri nfan nfxfr nfsbcw nfrex nfuni cres nfres
      wfn nfv nfop nffv nfsn nfun nfeq nf5ri ) FUOZLUPZQOUPZUQTTWLWMTWKLTLKDUOZ
      SOUPZURZUSZUTUMTKWQTKPVAUKTPTPUAEGMWNVBZVCZNVDUJWSTNUATEWRTWRVEZUACDEUOZV
      FTUICTDXATXAVECNUOZIVGZXBVJWNUSGMWNVHUTUQZVITUEXCXDTTNITIXBTUOZWCWNXBUPRO
      UPUQDXEVKVIZTHVCZNVDUDXGTNXFTHVLVMVNVOXDTWDVPVQVRVQVSVMVNVTVNZTWPTWNWOTWN
      VEZTSOTOVEZTSWNKWRWAZURULTWNXKXITKWRXHWTWBWEVNWFWEWGWHVNZTWKVEZWFTQOXJTQW
      KLGMWKVBZWAZURUNTWKXOXMTLXNXLTXNVEWBWEVNWFWIWJ $.
  $}

  ${
    $d A y $.  $d G y $.  $d R y $.  $d x y $.  $d y z $.  $d f y $.
    bnj1447.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1447.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1447.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1447.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1447.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1447.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1447.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1447.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1447.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1447.10 $e |- P = U. H $.
    bnj1447.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1447.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    bnj1447.13 $e |- W = <. z , ( Q |` _pred ( z , A , R ) ) >. $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1447 $p |- ( ( Q ` z ) = ( G ` W ) -> A. y ( Q ` z ) = ( G ` W ) ) $=
      ( cfv wceq cop csn cun cuni c-bnj14 wrex cab nfre1 nfab nfcxfr nfuni nfcv
      cv cres nfres nfop nffv nfsn nfun nfeq nf5ri ) FVIZLUOZQOUOZUPEEVSVTEVRLE
      LKDVIZSOUOZUQZURZUSUMEKWDEKPUTUKEPEPUAEGMWAVAZVBZNVCUJWFENUAEWEVDVEVFVGVF
      ZEWCEWAWBEWAVHZESOEOVHZESWAKWEVJZUQULEWAWJWHEKWEWGEWEVHVKVLVFVMVLVNVOVFZE
      VRVHZVMEQOWIEQVRLGMVRVAZVJZUQUNEVRWNWLELWMWKEWMVHVKVLVFVMVPVQ $.
  $}

  ${
    $d A f w $.  $d G f w $.  $d H w $.  $d P w $.  $d Q w $.  $d R f w $.
    $d W w $.  $d Z w $.  $d f w x $.  $d f w z $.
    bnj1448.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1448.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1448.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1448.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1448.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1448.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1448.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1448.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1448.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1448.10 $e |- P = U. H $.
    bnj1448.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1448.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    bnj1448.13 $e |- W = <. z , ( Q |` _pred ( z , A , R ) ) >. $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1448 $p |- ( ( Q ` z ) = ( G ` W ) -> A. f ( Q ` z ) = ( G ` W ) ) $=
      ( vw cv cfv wceq cop csn cun cuni c-bnj14 wrex bnj1317 nfcii nfuni nfcxfr
      nfcv cres nfres nfop nffv nfsn nfun nfeq nf5ri ) FUPZLUQZQOUQZURNNVSVTNVR
      LNLKDUPZSOUQZUSZUTZVAUMNKWDNKPVBUKNPNUOPUAEGMWAVCZVDNUOPUJVEVFVGVHZNWCNWA
      WBNWAVIZNSONOVIZNSWAKWEVJZUSULNWAWIWGNKWEWFNWEVIVKVLVHVMVLVNVOVHZNVRVIZVM
      NQOWHNQVRLGMVRVCZVJZUSUNNVRWMWKNLWLWJNWLVIVKVLVHVMVPVQ $.
  $}

  ${
    $d A f $.  $d E f $.  $d R f $.  $d f x $.  $d f y $.  $d f z $.
    bnj1449.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1449.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1449.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1449.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1449.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1449.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1449.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1449.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1449.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1449.10 $e |- P = U. H $.
    bnj1449.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1449.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    bnj1449.13 $e |- W = <. z , ( Q |` _pred ( z , A , R ) ) >. $.
    bnj1449.14 $e |- E = ( { x } u. _trCl ( x , A , R ) ) $.
    bnj1449.15 $e |- ( ch -> P Fn _trCl ( x , A , R ) ) $.
    bnj1449.16 $e |- ( ch -> Q Fn ( { x } u. _trCl ( x , A , R ) ) ) $.
    bnj1449.17 $e |- ( th <-> ( ch /\ z e. E ) ) $.
    bnj1449.18 $e |- ( et <-> ( th /\ z e. { x } ) ) $.
    bnj1449.19 $e |- ( ze <-> ( th /\ z e. _trCl ( x , A , R ) ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1449 $p |- ( ze -> A. f ze ) $=
      ( cv c-bnj18 wcel wa wbr wn wral w3a w-bnj15 c0 wne nfv wex crab nfe1 nfn
      nfcv nfrabw nfcxfr nfne nfan nfxfr nfcri nfralw nf3an nf5ri ) FQFCIVEZJPG
      VEZVFVGZVHQVDCWMQCBWKRVGZVHQVBBWNQBAWLMVGZHVEWLPVIVJZHMVKZVLQULAWOWQQAJPV
      MZMVNVOZVHQUKWRWSQWRQVPQMVNQMDQVQZVJZGJVRUJXAQGJWTQDQVSVTQJWAWBWCZQVNWAWD
      WEWFQGMXBWGWPQHMXBWPQVPWHWIWFWNQVPWEWFWMQVPWEWFWJ $.
  $}

  ${
    $d A x $.
    bnj1442.1 $e |- B = { d | ( d C_ A
        /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1442.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1442.3 $e |- C = { f | E. d e. B
        ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1442.4 $e |- ( ta <-> ( f e. C
        /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1442.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1442.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1442.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1442.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1442.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1442.10 $e |- P = U. H $.
    bnj1442.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1442.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    bnj1442.13 $e |- W = <. z , ( Q |` _pred ( z , A , R ) ) >. $.
    bnj1442.14 $e |- E = ( { x } u. _trCl ( x , A , R ) ) $.
    bnj1442.15 $e |- ( ch -> P Fn _trCl ( x , A , R ) ) $.
    bnj1442.16 $e |- ( ch -> Q Fn ( { x } u. _trCl ( x , A , R ) ) ) $.
    bnj1442.17 $e |- ( th <-> ( ch /\ z e. E ) ) $.
    bnj1442.18 $e |- ( et <-> ( th /\ z e. { x } ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1442 $p |- ( et -> ( Q ` z ) = ( G ` W ) ) $=
      ( cfv csn wcel wceq wfun cop c-bnj18 cun fnfund opex elun2 ax-mp eleqtrri
      cv snid funopfv mpisyl bnj832 elsni simplbiim fveq2d c-bnj14 cres reseq2d
      bnj602 syl wss bnj931 a1i cdm w-bnj15 wbr wral wne simplbi bnj835 bnj1212
      wn c0 bnj906 syl2anc fndmd sseqtrrd bnj1503 eqtrd opeq12d 3eqtr4g 3eqtr4d
      wex ) EFVPZNVCZUBRVCZHVPZNVCTRVCCXOXLVDZVEZXMXNVFZEVBBXOQVEZXRCVABNVGXLXN
      VHZNVEXRBXPIOXLVIZVJNUTVKZXTMXTVDZVJZNXTYCVEXTYDVEXTXLXNVLVQXTYCMVMVNUPVO
      XLXNNVRVSVTVTEXOXLNECXQXOXLVFZVBXOXLWAWBZWCETUBREXONIOXOWDZWEZVHXLMIOXLWD
      ZWEZVHTUBEXOXLYHYJYFEYHNYIWEZYJEYEYHYKVFYFYEYGYINIOXOXLWGWFWHCXQYKYJVFZEV
      BBXSYLCVABYINMYBMNWIBNMYCUPWJWKBYIYAMWLBIOWMZXLIVEYIYAWIAXLLVEGVPXLOWNWTG
      LWOZYMBUKAYMLXAWPUJWQWRDPXKWTABYNFILUIUKWSIOXLXBXCBYAMUSXDXEXFVTVTXGXHUQU
      OXIWCXJ $.
  $}

  ${
    $d A d f x y z $.  $d B f $.  $d D y $.  $d E d f y $.  $d G d f x y z $.
    $d H w $.  $d R d f x y z $.  $d X x $.  $d Y z $.  $d f w $.  $d ps y $.
    bnj1450.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1450.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1450.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1450.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1450.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1450.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1450.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1450.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1450.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1450.10 $e |- P = U. H $.
    bnj1450.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1450.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    bnj1450.13 $e |- W = <. z , ( Q |` _pred ( z , A , R ) ) >. $.
    bnj1450.14 $e |- E = ( { x } u. _trCl ( x , A , R ) ) $.
    bnj1450.15 $e |- ( ch -> P Fn _trCl ( x , A , R ) ) $.
    bnj1450.16 $e |- ( ch -> Q Fn ( { x } u. _trCl ( x , A , R ) ) ) $.
    bnj1450.17 $e |- ( th <-> ( ch /\ z e. E ) ) $.
    bnj1450.18 $e |- ( et <-> ( th /\ z e. { x } ) ) $.
    bnj1450.19 $e |- ( ze <-> ( th /\ z e. _trCl ( x , A , R ) ) ) $.
    bnj1450.20 $e |- ( rh <-> ( ze /\ f e. H /\ z e. dom f ) ) $.
    bnj1450.21 $e |- ( si <-> ( rh /\ y e. _pred ( x , A , R ) /\ f e. C /\ dom
        f = ( { y } u. _trCl ( y , A , R ) ) ) ) $.
    bnj1450.22 $e |- ( ph <-> ( si /\ d e. B /\ f Fn d /\ A. x e. d ( f ` x ) =
        ( G ` Y ) ) ) $.
    bnj1450.23 $e |- X = <. z , ( f |` _pred ( z , A , R ) ) >. $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1450 $p |- ( ze -> ( Q ` z ) = ( G ` W ) ) $=
      ( vw cv cfv wceq cdm wcel cuni ciun c-bnj18 simprbi fndmd bnj832 eleqtrrd
      eleqtrdi c-bnj14 wrex bnj1317 bnj1400 bnj1405 bnj1449 bnj1521 csn cun w3a
      dmeqi bnj1436 bnj836 bnj1373 rexbii bnj1196 3anass bnj1198 w-bnj17 bnj252
      sylib bitri bnj1444 bnj1340 wfn wral bnj771 bnj1445 fveq2 cres cop bnj602
      wa id reseq2d opeq12d 3eqtr4g fveq2d eqeq12d bnj1254 simp3bi fndm eleqtrd
      bnj769 rspcdva fnfund bnj835 wss simp2bi elssuni sseqtrrdi bnj593 bnj1397
      wfun ssun3 bnj1502 sseq1d bnj1517 bnj770 sseqtrrd bnj1503 3eqtr4d bnj1446
      3syl opeq2d bnj1447 bnj1448 ) GLVNZRVOZUDUBVOZVPZTGIUUQTUUNTVNZVQZVRZGITU
      CGTUCUUSUUNGUUNUCVSZVQZTUCUUSVTGUUNQVQZUVBGUUNMSJVNZWAZUVCGDUUNUVEVRZVHWB
      DUVFUVCUVEVPZGVHCUUNUAVRZUVGDVFCUVEQVDWCWDWDWEQUVAUSWQWFTVMUCUIKMSUVDWGZW
      HZTVMUCURWIWJWFWKVIBCDEFGJKLMNOPQRSTUAUBUCUDUFUGUHUIUJUKULUMUNUOUPUQURUSU
      TVAVBVCVDVEVFVGVHWLWMIUUQKIHUUQKIHKVNZUVIVRZUUROVRZUUSUVKWNMSUVKWAWOVPZWP
      ZKIUVLUVMUVNXSZXSKUVOIUVPKUVIIUVJUVPKUVIWHGUURUCVRZUUTUVJIVIUVJTUCURWRWSU
      IUVPKUVIEJKMNOSTUBUFUHUIUJUKULUMUQWTXAXGXBUVLUVMUVNXCXDHIUVLUVMUVNXEIUVOX
      SVJIUVLUVMUVNXFXHBCDEFGIJKLMNOPQRSTUAUBUCUDUFUGUHUIUJUKULUMUNUOUPUQURUSUT
      VAVBVCVDVEVFVGVHVIXIXJHUUQUHHAUUQUHHAUHVNZNVRZUURUVRXKZUVDUURVOZUFUBVOZVP
      ZJUVRXLZWPZUHHUVSUVTUWDXSZXSUHUWEHUWFUHNIUVLUVMUVNUWFUHNWHZHVJUWGTOULWRXM
      XBUVSUVTUWDXCXDAHUVSUVTUWDXEHUWEXSVKHUVSUVTUWDXFXHABCDEFGHIJKLMNOPQRSTUAU
      BUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLXNXJAUUNUURV
      OZUEUBVOZUUOUUPAUWCUWHUWIVPJUVRUUNUVDUUNVPZUWAUWHUWBUWIUVDUUNUURXOUWJUFUE
      UBUWJUVDUURUVIXPZXQUUNUURMSUUNWGZXPZXQZUFUEUWJUVDUUNUWKUWMUWJXTUWJUVIUWLU
      URMSUVDUUNXRZYAYBUKVLYCYDYEAHUVSUVTUWDVKYFAUUNUUSUVRHUVSUVTUWDUUTAVKIUVLU
      VMUVNUUTHVJIGUVQUUTVIYGYJYJZHUVSUVTUWDUUSUVRVPAVKUVRUURYHXMZYIZYKAUUNRUUR
      HUVSUVTUWDRYTZAVKIUVLUVMUVNUWSHVJGUVQUUTUWSIVIDUVFUWSGVHCUVHUWSDVFCUVDWNU
      VEWORVEYLWDWDYMYJYJZAUVQUURQYNZUURRYNHUVSUVTUWDUVQAVKIUVLUVMUVNUVQHVJIGUV
      QUUTVIYOYJYJUVQUURUVAQUURUCYPUSYQUXAUURQUVDUGUBVOXQWNZWORUURQUXBUUAVAYQUU
      JZUWPUUBAUDUEUBAUUNRUWLXPZXQUWNUDUEAUXDUWMUUNAUWLRUURUWTUXCAUWLUVRUUSAUVI
      UVRYNZUWLUVRYNJUVRUUNUWJUVIUWLUVRUWOUUCHUVSUVTUWDUXEJUVRXLZAVKUVRMYNUXFUH
      NUJUUDUUEUWRYKUWQUUFUUGUUKVBVLYCYDUUHYRBCEJKLMNOPQRSTUBUCUDUFUGUHUIUJUKUL
      UMUNUOUPUQURUSUTVAVBUUIYSYRBCEJKLMNOPQRSTUBUCUDUFUGUHUIUJUKULUMUNUOUPUQUR
      USUTVAVBUULYSYRBCEJKLMNOPQRSTUBUCUDUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBUUMY
      S $.
  $}

  ${
    $d A d f x y z $.  $d B f $.  $d D y $.  $d E d f y $.  $d G d f x y z $.
    $d R d f x y z $.  $d Y z $.  $d ch z $.  $d ps y $.
    bnj1423.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1423.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1423.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1423.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1423.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1423.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1423.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1423.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1423.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1423.10 $e |- P = U. H $.
    bnj1423.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1423.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    bnj1423.13 $e |- W = <. z , ( Q |` _pred ( z , A , R ) ) >. $.
    bnj1423.14 $e |- E = ( { x } u. _trCl ( x , A , R ) ) $.
    bnj1423.15 $e |- ( ch -> P Fn _trCl ( x , A , R ) ) $.
    bnj1423.16 $e |- ( ch -> Q Fn ( { x } u. _trCl ( x , A , R ) ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1423 $p |- ( ch -> A. z e. E ( Q ` z ) = ( G ` W ) ) $=
      ( cv cfv wceq wcel wa csn c-bnj18 bnj1442 cdm w3a c-bnj14 cun w-bnj17 wfn
      biid wral cres cop eqid bnj1450 wo bnj1424 adantl mpjaodan ralrimiva ) BF
      USZLUTRPUTVAZFOBWDOVBZVCZWDDUSZVDZVBZWEWDGMWHVEZVBZABWGCWGWJVCZDEFGHIJKLM
      NOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURWGVMZWMVMZVFWGWLVCZNUSZQVBWDWQ
      VGZVBVHZEUSZGMWHVIVBWQIVBWRWTVDGMWTVEVJVAVKZUAUSZHVBWQXBVLWHWQUTSPUTVADXB
      VNVKZABWGCWMWPXAWSDEFGHIJKLMNOPQRWDWQGMWDVIVOVPZSTUAUBUCUDUEUFUGUHUIUJUKU
      LUMUNUOUPUQURWNWOWPVMWSVMXAVMXCVMXDVQVRWFWJWLVSBOWIWKWDUPVTWAWBWC $.
  $}

  ${
    $d A d x z $.  $d E d z $.  $d R d x z $.  $d ch z $.
    bnj1452.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1452.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1452.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1452.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1452.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1452.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1452.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1452.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1452.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1452.10 $e |- P = U. H $.
    bnj1452.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1452.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    bnj1452.13 $e |- W = <. z , ( Q |` _pred ( z , A , R ) ) >. $.
    bnj1452.14 $e |- E = ( { x } u. _trCl ( x , A , R ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1452 $p |- ( ch -> E e. B ) $=
      ( wcel wss cv c-bnj14 wral csn c-bnj18 cun wex wn wbr bnj1212 bnj1147 a1i
      snssd unssd eqsstrid wa elsni adantl bnj602 syl w-bnj15 c0 simplbi bnj835
      wne bnj906 syl2anc ad2antrr eqsstrd ssun4 sseqtrrdi simpr bnj1213 bnj1125
      wceq syl3anc sstrd wo bnj1424 mpjaodan ralrimiva wsbc cvv wb snex bnj1149
      bnj893 eqeltrid weq sseq1d cbvralvw anbi2i sbcbii bitrdi sseq1 raleqbi1dv
      bnj1454 sseq2 anbi12d sbcieg bitrd mpbir2and ) BOHUQZOGURZGMFUSZUTZOURZFO
      VAZBODUSZVBZGMYGVCZVDZGUPBYHYIGBYGGCNVEVFABEUSYGMVGVFEJVAZDGJUGUIVHZVKYIG
      URBGMYGVIZVJVLVMBYEFOBYCOUQZVNZYCYHUQZYEYCYIUQZYOYPVNZYDYIURZYEYRYDGMYGUT
      ZYIYRYCYGWMZYDYTWMYPUUAYOYCYGVOVPGMYCYGVQVRBYTYIURZYNYPBGMVSZYGGUQZUUBAYG
      JUQYKUUCBUIAUUCJVTWCUHWAWBZYLGMYGWDWEWFWGYSYDYJOYDYIYHWHUPWIZVRYOYQVNZYSY
      EUUGYDGMYCVCZYIUUGUUCYCGUQYDUUHURBUUCYNYQUUEWFZUUGFYIGYMYOYQWJZWKGMYCWDWE
      UUGUUCUUDYQUUHYIURUUIBUUDYNYQYLWFUUJGMYGYCWLWNWOUUFVRYNYPYQWPBOYHYIYCUPWQ
      VPWRWSBYAUAUSZGURZYDUUKURZFUUKVAZVNZUAOWTZYBYFVNZBYAUULYTUUKURZDUUKVAZVNZ
      UAOWTZUUPBOXAUQZYAUVAXBBOYJXAUPBYHYIYHXAUQBYGXCVJBUUCUUDYIXAUQUUEYLGMYGXE
      WEXDXFZUUTUAHOUCXOVRUUTUUOUAOUUSUUNUULUURUUMDFUUKDFXGYTYDUUKGMYGYCVQXHXIX
      JXKXLBUVBUUPUUQXBUVCUUOUUQUAOXAUUKOWMUULYBUUNYFUUKOGXMUUMYEFUUKOUUKOYDXPX
      NXQXRVRXSXT $.
  $}

  ${
    $d A f w $.  $d G f w $.  $d H w $.  $d P w $.  $d R f w $.  $d Z w $.
    $d f w x $.
    bnj1466.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1466.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1466.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1466.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1466.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1466.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1466.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1466.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1466.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1466.10 $e |- P = U. H $.
    bnj1466.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1466.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1466 $p |- ( w e. Q -> A. f w e. Q ) $=
      ( cfv cop csn cun cuni c-bnj14 wrex bnj1317 nfcii nfuni nfcxfr nfcv nfres
      cv cres nfop nffv nfsn nfun nfcrii ) NFLNLKDVFZROUMZUNZUOZUPULNKVPNKPUQUJ
      NPNFPTEGMVMURZUSNFPUIUTVAVBVCZNVONVMVNNVMVDZNRONOVDNRVMKVQVGZUNUKNVMVTVSN
      KVQVRNVQVDVEVHVCVIVHVJVKVCVL $.
  $}

  ${
    $d A d w x $.  $d B f $.  $d C w $.  $d G d w $.  $d H w $.  $d P w $.
    $d R d w x $.  $d Z w $.  $d d f w x $.  $d d x y $.
    bnj1467.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1467.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1467.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1467.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1467.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1467.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1467.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1467.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1467.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1467.10 $e |- P = U. H $.
    bnj1467.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1467.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1467 $p |- ( w e. Q -> A. d w e. Q ) $=
      ( cv cfv cop csn cun cuni c-bnj14 wrex cab nfcv wsbc wcel c-bnj18 wceq wa
      cdm wral nfre1 nfab nfcxfr nfcri nfan nfxfr nfsbcw nfrex nfuni cres nfres
      wfn nfv nfop nffv nfsn nfun nfcrii ) SFLSLKDUMZROUNZUOZUPZUQULSKWKSKPURUJ
      SPSPTEGMWHUSZUTZNVAUIWMSNTSEWLSWLVBZTCDEUMZVCSUHCSDWOSWOVBCNUMZIVDZWPVHWH
      UPGMWHVEUQVFZVGSUDWQWRSSNISIWPSUMZWAWHWPUNQOUNVFDWSVIVGZSHUTZNVAUCXASNWTS
      HVJVKVLVMWRSWBVNVOVPVOVQVKVLVRVLZSWJSWHWISWHVBZSROSOVBSRWHKWLVSZUOUKSWHXD
      XCSKWLXBWNVTWCVLWDWCWEWFVLWG $.
  $}

  ${
    $d A d f w x $.  $d B f w $.  $d C w $.  $d E d w z $.  $d G d f w x z $.
    $d H w $.  $d P w $.  $d Q w z $.  $d R d f w x $.  $d W w $.  $d Y z $.
    $d Z w $.  $d d x y $.
    bnj1463.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1463.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1463.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1463.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1463.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1463.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1463.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1463.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1463.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1463.10 $e |- P = U. H $.
    bnj1463.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1463.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    bnj1463.13 $e |- W = <. z , ( Q |` _pred ( z , A , R ) ) >. $.
    bnj1463.14 $e |- E = ( { x } u. _trCl ( x , A , R ) ) $.
    bnj1463.15 $e |- ( ch -> Q e. _V ) $.
    bnj1463.16 $e |- ( ch -> A. z e. E ( Q ` z ) = ( G ` W ) ) $.
    bnj1463.17 $e |- ( ch -> Q Fn E ) $.
    bnj1463.18 $e |- ( ch -> E e. B ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1463 $p |- ( ch -> Q e. C ) $=
      ( vw wcel cv wfn cfv wceq wral wrex wsbc c-bnj14 cres cop wex elexd eleq1
      cvv fneq2 raleq anbi12d wss bnj1317 nfcii nfel2 bnj1467 nfcv nffn bnj1446
      wa nf5i nfralw nf5ri jca32 bnj1465 mpdan df-rex sylibr wb bnj1466 bnj1448
      nfan nfrex nfeq2 fneq1 fveq1 reseq1 opeq2d eqtr4di fveq2d eqeq12d ralbidv
      rexbid bnj1468 syl mpbird fveq2 id bnj602 reseq2d opeq12d syl5eq cbvralvw
      anbi2i rexbii sbcbii bnj1454 ) BLIVBZNVCZUAVCZVDZDVCZYGVEZSPVEZVFZDYHVGZW
      HZUAHVHZNLVIZBYIFVCZYGVEZYRYGGMYRVJZVKZVLZPVEZVFZFYHVGZWHZUAHVHZNLVIZYQBU
      UHLYHVDZYRLVEZRPVEZVFZFYHVGZWHZUAHVHZBYHHVBZUUNWHZUAVMZUUOBOVPVBUURBOHUTV
      NUUQOHVBZLOVDZUULFOVGZWHZWHZBUAOVPYHOVFZUUPUUSUUNUVBYHOHVOUVDUUIUUTUUMUVA
      YHOLVQUULFYHOVRVSVSUVCUAUUSUVBUAUAOHUAVAHYHGVTGMYJVJZYHVTDYHVGWHUAVAHUCWA
      WBWCUUTUVAUAUAOLUAVALABCDEVAGHIJKLMNPQSTUAUBUCUDUEUFUGUHUIUJUKULUMUNWDWBZ
      UAOWEZWFUULUAFOUVGUULUAABCDEFGHIJKLMNPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOW
      GWIWJWTWTWKBUUSUUTUVAUTUSURWLWMWNUUNUAHWOWPBLVPVBZUUHUUOWQUQUUGUUONVALVPU
      UONUUNNUAHNHWEUUIUUMNNYHLNVALABCDEVAGHIJKLMNPQSTUAUBUCUDUEUFUGUHUIUJUKULU
      MUNWRZWBNYHWEZWFUULNFYHUVJUULNABCDEFGHIJKLMNPQRSTUAUBUCUDUEUFUGUHUIUJUKUL
      UMUNUOWSWIWJWTXAWKYGLVFZUUFUUNUAHUAYGLUVFXBUVKYIUUIUUEUUMYHYGLXCUVKUUDUUL
      FYHUVKYSUUJUUCUUKYRYGLXDUVKUUBRPUVKUUBYRLYTVKZVLRUVKUUAUVLYRYGLYTXEXFUOXG
      XHXIXJVSXKUVIXLXMXNYPUUGNLYOUUFUAHYNUUEYIYMUUDDFYHYJYRVFZYKYSYLUUCYJYRYGX
      OUVMSUUBPUVMSYJYGUVEVKZVLUUBUDUVMYJYRUVNUUAUVMXPUVMUVEYTYGGMYJYRXQXRXSXTX
      HXIYAYBYCYDWPBUVHYFYQWQUQYPNILUEYEXMXN $.
  $}

  ${
    $d A d f x $.  $d A f x y $.  $d B f $.  $d D y $.  $d G d f $.
    $d R d f x $.  $d R f x y $.  $d ps y $.  $d ta y $.
    bnj1489.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1489.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1489.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1489.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1489.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1489.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1489.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1489.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1489.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1489.10 $e |- P = U. H $.
    bnj1489.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1489.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1489 $p |- ( ch -> Q e. _V ) $=
      ( cv cfv cop csn cun cvv cuni c-bnj14 wcel weu wral wrex cab wceq w-bnj15
      wbr wn wne w-bnj13 bnj1364 df-bnj13 bnj832 bnj835 wex bnj1212 bnj1294 w3a
      c0 sylib nfv nfra1 nf3an nfxfr wa simplbi adantr bnj1388 r19.21bi c-bnj18
      cdm wi wsbc nfsbc1v nfex nfan nfim weq sneq bnj1318 uneq12d eqeq2d anbi2d
      nfeuw bnj1373 bitr4di exbidv imbi12d biid bnj1321 chvarfv syl2anc ralrimi
      eubidv ex a1i bnj1366 syl3anc uniexd eqeltrid snex bnj1149 ) BKJDULZQNUMU
      NZUOZUPUQUKBJYEBJOURUQUIBOUQBFLYCUSZUQUTZSMVAZEYFVBZOSEYFVCMVDVEZOUQUTBYG
      DFAYCIUTZEULZYCLVGVHZEIVBZYGDFVBZBUFFLVFZIVSVIZYOAUEYPFLVJYOFLVKDFLVLVTVM
      VNCMVOVHABYNDFIUDUFVPVQBYHEYFBAYKYNVREUFAYKYNEAEWAYKEWAYMEIWBWCWDBYLYFUTZ
      YHBYRWEYPSMVOZYHBYPYRAYKYNYPBUFAYPYQUEWFVNWGBYSEYFABCDEFGHILMNPRSTUAUBUCU
      DUEUFUGWHWIYPMULZHUTZYTWKZYCUOZFLYCWJZUPZVEZWEZMVOZWEZUUGMVAZWLYPYSWEZYHW
      LDEUUKYHDYPYSDYPDWASDMSCDYLWMDUGCDYLWNWDZWOWPSDMUULXDWQDEWRZUUIUUKUUJYHUU
      MUUHYSYPUUMUUGSMUUMUUGUUAUUBYLUOZFLYLWJZUPZVEZWESUUMUUFUUQUUAUUMUUEUUPUUB
      UUMUUCUUNUUDUUOYCYLWSFLYCYLWTXAXBXCCDEFGHLMNPRSTUAUBUCUGXEXFZXGXCUUMUUGSM
      UURXNXHUUGDFGHLMNPRTUAUBUUGXIXJXKXLXOXMYJBUHXPSYGYIYJVRZEMYFOUUSXIXQXRXSX
      TYEUQUTBYDYAXPYBXT $.
  $}

  ${
    $d A f w $.  $d C w $.  $d G f w $.  $d H w $.  $d P w $.  $d Q w $.
    $d R f w $.  $d Z w $.  $d f w x $.
    bnj1491.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1491.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1491.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1491.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1491.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1491.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1491.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1491.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1491.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1491.10 $e |- P = U. H $.
    bnj1491.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1491.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    bnj1491.13 $e |- ( ch -> ( Q e. C /\ dom Q = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1491 $p |- ( ( ch /\ Q e. _V ) -> E. f ( f e. C /\ dom f = ( { x } u.
        _trCl ( x , A , R ) ) ) ) $=
      ( vw wcel cdm cv csn c-bnj18 cun wceq cvv wex bnj1466 nfcii wfn wral wrex
      cfv bnj1317 nfel nfdm nfeq1 nfan eleq1 dmeq eqeq1d anbi12d spcegf mpan9
      wa ) BKHUNZKUOZDUPZUQFLWCURUSZUTZVTZKVAUNMUPZHUNZWGUOZWDUTZVTZMVBULWKWFMK
      VAMUMKABCDEUMFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKVCVDZWAWEMMKHWLMUMHWGRU
      PZVEWCWGVHPNVHUTDWMVFVTRGVGMUMHUBVIVDVJMWBWDMKWLVKVLVMWGKUTZWHWAWJWEWGKHV
      NWNWIWBWDWGKVOVPVQVRVS $.
  $}

  ${
    $d A d f x y z $.  $d A w x y $.  $d B f $.  $d C y $.  $d D w y $.
    $d E d f y z $.  $d G d f x y z $.  $d Q z $.  $d R d f x y z $.
    $d R w x y $.  $d Y z $.  $d ch z $.  $d ps y $.  $d ta y $.
    bnj1312.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1312.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1312.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1312.4 $e |- ( ta <-> ( f e. C /\ dom f = ( { x } u. _trCl ( x , A , R )
        ) ) ) $.
    bnj1312.5 $e |- D = { x e. A | -. E. f ta } $.
    bnj1312.6 $e |- ( ps <-> ( R _FrSe A /\ D =/= (/) ) ) $.
    bnj1312.7 $e |- ( ch <-> ( ps /\ x e. D /\ A. y e. D -. y R x ) ) $.
    bnj1312.8 $e |- ( ta' <-> [. y / x ]. ta ) $.
    bnj1312.9 $e |- H = { f | E. y e. _pred ( x , A , R ) ta' } $.
    bnj1312.10 $e |- P = U. H $.
    bnj1312.11 $e |- Z = <. x , ( P |` _pred ( x , A , R ) ) >. $.
    bnj1312.12 $e |- Q = ( P u. { <. x , ( G ` Z ) >. } ) $.
    bnj1312.13 $e |- W = <. z , ( Q |` _pred ( z , A , R ) ) >. $.
    bnj1312.14 $e |- E = ( { x } u. _trCl ( x , A , R ) ) $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e., a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1312 $p |- ( R _FrSe A
        -> A. x e. A E. f e. C dom f = ( { x } u. _trCl ( x , A , R ) ) ) $=
      ( vw w-bnj15 wex wral cv cdm csn c-bnj18 cun wceq wrex c0 wcel wbr wn wss
      wne simplbi ssrab3 a1i simprbi bnj1230 bnj1228 syl3anc wa nfcii nfcv nfne
      nfv nfan nfxfr nf5ri bnj1521 simp2bi bnj1538 cvv bnj1489 wfun bnj1384 syl
      bnj835 bnj1415 bnj1422 bnj1416 bnj1421 bnj1423 wfn fneq2i bnj1452 bnj1463
      sylibr bnj1491 mpdan bnj1198 bnj1304 bnj1541 bnj1476 df-rex bitr4i ralbii
      jca nsyl3 exbii sylib ) GMURZCNUSZDGUTNVAZVBDVAZVCGMYDVDZVEZVFZNIVGZDGUTY
      BYADGJUGAYAJVHUHABYDJVIZDEVAYDMVJVKEJUTZABDJAYAJGVLZJVHVMZYJDJVGAYAYLUHVN
      ZYKAYBVKZDGJUGVOVPAYAYLUHVQDEUQGJMYNDUQGJUGVRZVSVTUIADAYAYLWADUHYAYLDYADW
      EDJVHDUQJYOWBDVHWCWDWFWGWHWIBAYIYJUIWJYIYBBYNDJGUGWKBYCIVIYGWAZNCBLWLVIYP
      NUSZABCDEGHIJKLMNPQSTUAUBUCUDUEUFUGUHUIUJUKULUMUNWMZABCDEGHIJKLMNPQSTUAUB
      UCUDUEUFUGUHUIUJUKULUMUNBLIVILVBYFVFABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHU
      IUJUKULUMUNUOUPYRABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPBKYE
      BYAKWNAYIYJYABUIYMWQABCDEGHIJKMNPQSUAUBUCUDUEUFUGUHUIUJUKULWOWPZABCDEGHIJ
      KMNPQSUAUBUCUDUEUFUGUHUIUJUKULWRZWSBLYFABCDEGHIJKLMNPQSTUAUBUCUDUEUFUGUHU
      IUJUKULUMUNYSABCDEGHIJKLMNPQSTUAUBUCUDUEUFUGUHUIUJUKULUMUNYTWTZYTXAUUAWSZ
      XBBLYFXCLOXCUUBOYFLUPXDXGABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUN
      UOUPXEXFUUAXQXHXIUFXJXRXKXLXMYBYHDGYBYQYHCYPNUFXSYGNIXNXOXPXT $.
  $}

  ${
    $d A d f x y z $.  $d B f $.  $d C y z $.  $d G d f x y z $.
    $d R d f x y z $.  $d Y z $.
    bnj1493.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1493.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1493.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1493 $p |- ( R _FrSe A -> A. x e. A E. f e. C dom f = ( { x } u. _trCl (
        x , A , R ) ) ) $=
      ( vy vz cv wcel csn cop biid eqid w-bnj15 cdm c-bnj18 cun wceq wa wn crab
      wex c0 wne wbr wral w3a wsbc c-bnj14 wrex cab cuni cres cfv bnj1312 ) BEU
      AFOZDPVCUBAOZQBEVDUCUDZUEUFZFUIUGABUHZUJUKUFZVHVDVGPMOZVDEULUGMVGUMUNZVFA
      MNBCDVGVFAVIUOZMBEVDUPZUQFURZUSZVNVDVDVNVLUTRZGVARQUDZEFVEGVMNOZVPBEVQUPU
      TRZHVOIVKJKLVFSVGTVHSVJSVKSVMTVNTVOTVPTVRTVETVB $.
  $}

  ${
    $d C g $.  $d d f $.  $d f g $.
    bnj1497.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1497.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1497.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1497 $p |- A. g e. C Fun g $=
      ( cv wfun wcel wi wfn cfv wceq wral wa wrex bnj1317 nf5i nfv eleq1w funeq
      nfim imbi12d bnj1436 bnj1299 fnfun bnj31 bnj1265 chvarfv rgen ) GNZOZGDFN
      ZDPZUTOZQURDPZUSQFGVCUSFVCFUTJNZRZANUTSIHSTAVDUAZUBJCUCZFGDMUDUEUSFUFUIUT
      URTVAVCVBUSFGDUGUTURUHUJVAVBJCVAVEVBJCVAVEVFJCVGFDMUKULVDUTUMUNUOUPUQ $.
  $}

  ${
    $d A d f x t $.  $d A f z $.  $d B f t $.  $d C t w $.  $d F z $.
    $d G d f x $.  $d R d f x $.  $d f w $.
    bnj1498.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1498.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1498.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1498.4 $e |- F = U. C $.
    $( Technical lemma for ~ bnj60 .  This lemma may no longer be used or have
       become an indirect lemma of the theorem in question (i.e. a lemma of a
       lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1498 $p |- ( R _FrSe A -> dom F = A ) $=
      ( wss cv wcel wrex wa wral vz vw w-bnj15 cdm cuni ciun eliun wceq wfn cfv
      vt bnj1436 bnj1299 fndm bnj31 bnj1196 simpld anim1i bnj593 sseq1 biimparc
      c-bnj14 bnj937 sselda rexlimiva sylbi bnj1317 bnj1400 dmeqi ssriv a1i csn
      eleq2s c-bnj18 cun bnj1493 vsnid elun1 mpbiri reximi ralimi ralbii sylibr
      ax-mp eleq2 syl nfcv bnj1309 bnj1307 nfcii nfiun dfss3f sseqtrrdi eqssd )
      BEUCZGUDZBWPBOWOUAWPBUAPZBQZWQDUEZUDZWPWRWQFDFPZUDZUFZWTWQXCQWQXBQZFDRWRF
      WQDXBUGXDWRFDXADQZXBBWQXEXBBOZJXEJPZBOZXBXGUHZSZXFJXEXGCQZXISXJJXEXIJCXEX
      AXGUIZXIJCXEXLAPZXAUJIHUJUHAXGTZJCXLXNSJCRZFDMULUMXGXAUNUOUPXKXHXIXKXHBEX
      MVBXGOAXGTZXHXPSJCKULUQURUSXIXFXHXBXGBUTVAUSVCVDVEVFFUBDXOFUBDMVGVHZVMGWS
      NVIZVMVJVKWOBWTWPWOBXCWTWOXMXCQZABTZBXCOWOXMXBQZFDRZABTZXTWOXBXMVLZBEXMVN
      ZVOZUHZFDRZABTYCABCDEFHIJKLMVPYHYBABYGYAFDYGYAXMYFQZXMYDQYIAVQXMYDYEVRWDX
      BYFXMWEVSVTWAWFXSYBABFXMDXBUGWBWCABXCABWGFADXBAUKDAUKCDFHIJMAUKBCEJKWHWIW
      JAXBWGWKWLWCXQWMXRWMWN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Well-founded recursion, part 1 of 3
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A d f g h x $.  $d B f g h $.  $d C g h $.  $d G d f g h x $.
    $d R d f g h x $.  $d Y g h $.
    bnj60.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d ) }
        $.
    bnj60.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj60.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G ` Y
        ) ) } $.
    bnj60.4 $e |- F = U. C $.
    $( Well-founded recursion, part 1 of 3.  The proof has been taken from
       Chapter 4 of Don Monk's notes on Set Theory.  See
       ~ http://euclid.colorado.edu/~~monkd/setth.pdf .  (Contributed by
       Jonathan Ben-Naim, 3-Jun-2011.)  (New usage is discouraged.) $)
    bnj60 $p |- ( R _FrSe A -> F Fn A ) $=
      ( vg vh wfun cv wral cdm w-bnj15 cuni cres wceq bnj1497 wcel eqid bnj1311
      cin 3expia ralrimiv ralrimiva biid bnj1383 sylancr funeqi bnj1498 bnj1422
      wa sylibr ) BEUAZGBVADUBZQZGQVAORZQODSZVDVDTPRZTUIZUCVFVGUCUDZPDSZODSZVCA
      BCDEFOHIJKLMUEVAVIODVAVDDUFZUSVHPDVAVKVFDUFVHABCDVGEFOPHIJKLMVGUGZUHUJUKU
      LVEVEVJUSZDVGOPVEUMVLVMUMUNUOGVBNUPUTABCDEFGHIJKLMNUQUR $.
  $}

  ${
    $d A x $.  $d G d $.  $d Y d $.  $d d f x $.
    bnj1514.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1514.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1514.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    $( Technical lemma for ~ bnj1500 .  This lemma may no longer be used or
       have become an indirect lemma of the theorem in question (i.e. a lemma
       of a lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1514 $p |- ( f e. C -> A. x e. dom f ( f ` x ) = ( G ` Y ) ) $=
      ( cv wcel cfv wceq cdm wral wfn wa w3a bnj1436 df-rex 3anass bnj133 sylib
      wrex wex simp3 fndm 3ad2ant2 raleqdv mpbird bnj593 bnj937 ) FMZDNZAMUPOHG
      OPZAUPQZRZIUQIMZCNZUPVASZURAVARZUAZUTIUQVCVDTZICUGZVEIUHVGFDLUBVGVBVFTVEI
      VFICUCVBVCVDUDUEUFVEUTVDVBVCVDUIVEURAUSVAVCVBUSVAPVDVAUPUJUKULUMUNUO $.
  $}

  ${
    $d d f $.  $d d ph $.  $d d x $.
    bnj1518.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1518.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1518.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1518.4 $e |- F = U. C $.
    bnj1518.5 $e |- ( ph <-> ( R _FrSe A /\ x e. A ) ) $.
    bnj1518.6 $e |- ( ps <-> ( ph /\ f e. C /\ x e. dom f ) ) $.
    $( Technical lemma for ~ bnj1500 .  This lemma may no longer be used or
       have become an indirect lemma of the theorem in question (i.e. a lemma
       of a lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1518 $p |- ( ps -> A. d ps ) $=
      ( cv wcel cdm w3a nfv wfn cfv wceq wral wrex cab nfre1 nfcxfr nfcri nf3an
      wa nfab nfxfr nf5ri ) BLBAHSZFTZCSZURUATZUBLRAUSVALALUCLHFLFURLSZUDUTURUE
      KJUEUFCVBUGUNZLEUHZHUIOVDLHVCLEUJUOUKULVALUCUMUPUQ $.
  $}

  ${
    $d A d $.  $d G d $.  $d R d $.  $d d x $.  $d d f $.
    bnj1519.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1519.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1519.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1519.4 $e |- F = U. C $.
    $( Technical lemma for ~ bnj1500 .  This lemma may no longer be used or
       have become an indirect lemma of the theorem in question (i.e. a lemma
       of a lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1519 $p |- ( ( F ` x ) = ( G ` <. x , ( F |` _pred ( x , A , R ) ) >. )
        -> A. d ( F ` x ) = ( G ` <. x , ( F |` _pred ( x , A , R ) ) >. ) ) $=
      ( cv cfv wceq nfcxfr nfcv nffv c-bnj14 cres cop cuni wfn wral wa wrex cab
      nfre1 nfab nfuni nfres nfop nfeq nf5ri ) AOZGPZUQGBEUQUAZUBZUCZHPZQJJURVB
      JUQGJGDUDNJDJDFOZJOZUEUQVCPIHPQAVDUFUGZJCUHZFUIMVFJFVEJCUJUKRULRZJUQSZTJV
      AHJHSJUQUTVHJGUSVGJUSSUMUNTUOUP $.
  $}

  ${
    $d A f w $.  $d C w $.  $d F w $.  $d G f w $.  $d R f w $.  $d f w x $.
    bnj1520.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1520.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1520.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1520.4 $e |- F = U. C $.
    $( Technical lemma for ~ bnj1500 .  This lemma may no longer be used or
       have become an indirect lemma of the theorem in question (i.e. a lemma
       of a lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1520 $p |- ( ( F ` x ) = ( G ` <. x , ( F |` _pred ( x , A , R ) ) >. )
        -> A. f ( F ` x ) = ( G ` <. x , ( F |` _pred ( x , A , R ) ) >. ) ) $=
      ( vw cv cfv wceq nfcv nffv c-bnj14 cres cop cuni wfn wral wa wrex bnj1317
      nfcii nfuni nfcxfr nfres nfop nfeq nf5ri ) APZGQZUQGBEUQUAZUBZUCZHQZRFFUR
      VBFUQGFGDUDNFDFODFPZJPZUEUQVCQIHQRAVDUFUGJCUHFODMUIUJUKULZFUQSZTFVAHFHSFU
      QUTVFFGUSVEFUSSUMUNTUOUP $.
  $}

  ${
    $d A d f x $.  $d B f $.  $d C w $.  $d G d f x $.  $d R d f x $.
    $d Y d $.  $d d f ph $.  $d f w $.
    bnj1501.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1501.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1501.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1501.4 $e |- F = U. C $.
    bnj1501.5 $e |- ( ph <-> ( R _FrSe A /\ x e. A ) ) $.
    bnj1501.6 $e |- ( ps <-> ( ph /\ f e. C /\ x e. dom f ) ) $.
    bnj1501.7 $e |- ( ch <-> ( ps /\ d e. B /\ dom f = d ) ) $.
    $( Technical lemma for ~ bnj1500 .  This lemma may no longer be used or
       have become an indirect lemma of the theorem in question (i.e. a lemma
       of a lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1501 $p |- ( R _FrSe A -> A. x e. A ( F ` x ) = ( G ` <. x , ( F |`
        _pred ( x , A , R ) ) >. ) ) $=
      ( vw w-bnj15 cfv c-bnj14 cres cop wceq cdm wcel ciun simprbi bnj60 bnj832
      cv fndmd eleqtrrd cuni dmeqi wfn wral wrex bnj1317 bnj1400 eqtri eleqtrdi
      wa bnj1405 bnj1209 bnj1436 bnj1299 fndm bnj31 bnj836 bnj1518 bnj1521 wfun
      fnfund bnj835 wss elssuni sseqtrrdi simp3bi bnj1502 bnj1514 bnj1294 eqtrd
      bnj1517 eleqtrd sseqtrrd bnj1503 eqtr4di bnj1519 bnj1397 bnj1520 bnj1459
      opeq2d fveq2d eqtr4d bnj593 ) EHUBZADUNZJUCZXAJEHXAUDZUEZUFZKUCZUGZDERAXG
      IABXGIXAIUNZUHZUIZABIGAIGXIXAAXAJUHZIGXIUJZAXAEXKAWTXAEUIZRUKWTXMXKEUGARW
      TEJDEFGHIJKLMNOPQULZUOUMUPXKGUQZUHXLJXOQURIUAGXHMUNZUSZXAXHUCZLKUCZUGZDXP
      UTZVFMFVAZIUAGPVBVCVDVEVGSVHBXGMBCXGMXIXPUGZBCMFAXHGUIZXJYCMFVABSYDXQYCMF
      YDXQYAMFYBIGPVIVJXPXHVKVLVMTABDEFGHIJKLMNOPQRSVNVOCXBXSXFBXPFUIZYCXBXSUGC
      TBXBXRXSBXAJXHAYDXJJVPZBSWTXMYFARWTEJXNVQUMVRZAYDXJXHJVSZBSYDXHXOJXHGVTQW
      AVMZBAYDXJSWBZWCBXTDXIAYDXJXTDXIUTBSDEFGHIKLMNOPWDVMYJWEWFVRCXELKCXEXAXHX
      CUEZUFLCXDYKXACXCJXHBYEYCYFCTYGVRBYEYCYHCTYIVRCXCXPXICXCXPVSZDXPBYEYCYLDX
      PUTZCTXPEVSYMMFNWGVMCXAXIXPBYEYCXJCTYJVRCBYEYCTWBZWHWEYNWIWJWPOWKWQWRWSDE
      FGHIJKLMNOPQWLWMWSDEFGHIJKLMNOPQWNWMWO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Well-founded recursion, part 2 of 3
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A d f x $.  $d B f $.  $d G d f x $.  $d R d f x $.  $d Y d $.
    bnj1500.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1500.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1500.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1500.4 $e |- F = U. C $.
    $( Well-founded recursion, part 2 of 3.  The proof has been taken from
       Chapter 4 of Don Monk's notes on Set Theory.  See
       ~ http://euclid.colorado.edu/~~monkd/setth.pdf .  (Contributed by
       Jonathan Ben-Naim, 3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1500 $p |- ( R _FrSe A -> A. x e. A ( F ` x ) = ( G ` <. x , ( F |`
        _pred ( x , A , R ) ) >. ) ) $=
      ( w-bnj15 cv wcel wa w3a biid cdm wceq bnj1501 ) BEOAPZBQRZUEFPZDQUDUFUAZ
      QSZUHJPZCQUGUIUBSZABCDEFGHIJKLMNUETUHTUJTUC $.
  $}

  ${
    $d A x $.  $d B w $.  $d C w $.  $d F w $.  $d H w x $.  $d R x $.
    $d d w x $.  $d f x $.
    bnj1525.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1525.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1525.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1525.4 $e |- F = U. C $.
    bnj1525.5 $e |- ( ph <-> ( R _FrSe A /\ H Fn A /\ A. x e. A ( H ` x ) = ( G
        ` <. x , ( H |` _pred ( x , A , R ) ) >. ) ) ) $.
    bnj1525.6 $e |- ( ps <-> ( ph /\ F =/= H ) ) $.
    $( Technical lemma for ~ bnj1522 .  This lemma may no longer be used or
       have become an indirect lemma of the theorem in question (i.e. a lemma
       of a lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1525 $p |- ( ps -> A. x ps ) $=
      ( vw wne wa w-bnj15 wfn cv cfv c-bnj14 cres cop wceq wral w3a nfra1 nf3an
      nfv nfxfr cuni bnj1309 bnj1307 nfcii nfuni nfcxfr nfcv nfne nfan nf5ri )
      BCBAIKUAZUBCSAVGCADGUCZKDUDZCUEZKUFVJKDGVJUGUHUIJUFUJZCDUKZULCRVHVIVLCVHC
      UOVICUOVKCDUMUNUPCIKCIFUQQCFCTFCTEFHJLMPCTDEGMNURUSUTVAVBCKVCVDVEUPVF $.
  $}

  ${
    $d A w x y $.  $d F w y $.  $d G w x y $.  $d R w x y $.
    bnj1529.1 $e |- ( ch -> A. x e. A ( F ` x ) = ( G ` <. x , ( F |` _pred ( x
        , A , R ) ) >. ) ) $.
    bnj1529.2 $e |- ( w e. F -> A. x w e. F ) $.
    $( Technical lemma for ~ bnj1522 .  This lemma may no longer be used or
       have become an indirect lemma of the theorem in question (i.e. a lemma
       of a lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1529 $p |- ( ch -> A. y e. A ( F ` y ) = ( G ` <. y , ( F |` _pred ( y ,
        A , R ) ) >. ) ) $=
      ( cv cfv c-bnj14 cres cop wceq wral nfv nfcv nffv nfcii nfres nfop bnj602
      nfeq fveq2 id reseq2d opeq12d fveq2d eqeq12d cbvralw sylib ) ABKZGLZUNGEF
      UNMZNZOZHLZPZBEQCKZGLZVAGEFVAMZNZOZHLZPZCEQIUTVGBCEUTCRBVBVFBVAGBDGJUAZBV
      ASZTBVEHBHSBVAVDVIBGVCVHBVCSUBUCTUEUNVAPZUOVBUSVFUNVAGUFVJURVEHVJUNVAUQVD
      VJUGVJUPVCGEFUNVAUDUHUIUJUKULUM $.
  $}

  ${
    $d A d f v x $.  $d A d w x $.  $d A w x y z $.  $d B f $.  $d B w $.
    $d C w $.  $d D y z $.  $d F w y z $.  $d G d f v x $.  $d G d w x $.
    $d G w x y $.  $d H v w x y z $.  $d R d f x $.  $d R d w x $.
    $d R v w x y z $.  $d Y d $.  $d ch y $.
    bnj1523.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1523.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1523.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1523.4 $e |- F = U. C $.
    bnj1523.5 $e |- ( ph <-> ( R _FrSe A /\ H Fn A /\ A. x e. A ( H ` x ) = ( G
        ` <. x , ( H |` _pred ( x , A , R ) ) >. ) ) ) $.
    bnj1523.6 $e |- ( ps <-> ( ph /\ F =/= H ) ) $.
    bnj1523.7 $e |- ( ch <-> ( ps /\ x e. A /\ ( F ` x ) =/= ( H ` x ) ) ) $.
    bnj1523.8 $e |- D = { x e. A | ( F ` x ) =/= ( H ` x ) } $.
    bnj1523.9 $e |- ( th <-> ( ch /\ y e. D /\ A. z e. D -. z R y ) ) $.
    $( Technical lemma for ~ bnj1522 .  This lemma may no longer be used or
       have become an indirect lemma of the theorem in question (i.e. a lemma
       of a lemma... of the theorem).  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1523 $p |- ( ( R _FrSe A /\ H Fn A /\ A. x e. A ( H ` x ) = ( G ` <. x ,
        ( H |` _pred ( x , A , R ) ) >. ) ) -> F = H ) $=
      ( vw vv w-bnj15 wfn cv cfv c-bnj14 cres cop wceq wral w3a wex wcel wbr wn
      wne bnj60 bnj835 bnj832 simp2bi wss bnj213 a1i wi wal simp3bi con2b albii
      bnj1211 sylib bnj1418 imim1i alimi syl bnj1142 cuni bnj1309 bnj1307 nfcii
      nfuni nfcxfr nfcrii bnj1534 bnj1533 bnj1536 opeq2d fveq2d bnj1500 bnj1529
      ssrab3 bnj1213 bnj1294 ax-5 3eqtr4d bnj1538 bnj836 neneqd pm2.65i c0 wrex
      nex simp1bi rabeq2i sylanbrc ne0d syl3anc bnj1209 simprbi bnj1542 bnj1525
      bnj69 mto bnj1521 bnj1541 sylbir ) HLUJZPHUKZEULZPUMZYFPHLYFUNZUOUPOUMUQE
      HURZUSANPUQUCBANPUDBCEUTCECDFUTDFDFULZNUMZYJPUMZUQDYJNHLYJUNZUOZUPZOUMZYJ
      PYMUOZUPZOUMZYKYLDYOYRODYNYQYJDGHYMNPCYJKVAZGULZYJLVBZVCZGKURZNHUKZDUGBYF
      HVAZYFNUMZYGVDZUUECUEANPVDZUUEBUDYDYEYIUUEAUCEHIJLMNOQRSTUAUBVEVFVGZVFVFC
      YTUUDYEDUGBUUFUUHYECUEAUUIYEBUDAYDYEYIUCVHVGZVFVFYMHVIDHLYJVJZVKDGHYMUUAN
      UMKUUAPUMDUUAKVAZVCZGYMDUUBUUNVLZGVMZUUAYMVAZUUNVLZGVMDUUMUUCVLZGVMUUPDUU
      CGKDCYTUUDUGVNVQUUSUUOGUUMUUBVOVPVRUUOUURGUUQUUBUUNFGHLVSVTWAWBWCUULEGUHH
      KNPUFEUHNENJWDUBEJEUHJEUHIJMOQRUAEUHHILRSWEWFWGWHWIWJZWKWLWMWNWODYKYPUQZF
      HCYTUUDUVAFHURDUGCEFUHHLNOBUUFUUHUUGYFNYHUOUPOUMUQEHURZCUEAUUIUVBBUDYDYEY
      IUVBAUCEHIJLMNOQRSTUAUBWPVFVGVFUUTWQVFDFKHUUHEHKUFWRZDCYTUUDUGVHWSZWTDYLY
      SUQZFHCYTUUDUVEFHURDUGCEFUIHLPOBUUFUUHYICUEAUUIYIBUDAYDYEYIUCVNVGVFUIULPV
      AEXAWQVFUVDWTXBDYKYLCYTUUDYKYLVDZDUGUVFFKHEFUHHKNPUFUUTWKXCXDXEXFXIUUDCDF
      KCYDKHVIZKXGVDUUDFKXHBUUFUUHYDCUEAUUIYDBUDAYDYEYIUCXJVGVFUVGCUVCVKCKYFCUU
      FUUHYFKVACBUUFUUHUEVHCBUUFUUHUEVNUUHEKHUFXKXLXMFGHKLXSXNUGXOXTXIUUHBCEHBE
      UHHNPUUJUUKBAUUIUDXPUUTXQUEABEHIJLMNOPQRSTUAUBUCUDXRYAXTYBYC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Well-founded recursion, part 3 of 3
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A d f x $.  $d A x y z $.  $d B f $.  $d F y z $.  $d G d f x $.
    $d G x y $.  $d H x y z $.  $d R d f x $.  $d R x y z $.  $d Y d $.
    bnj1522.1 $e |- B = { d | ( d C_ A /\ A. x e. d _pred ( x , A , R ) C_ d )
        } $.
    bnj1522.2 $e |- Y = <. x , ( f |` _pred ( x , A , R ) ) >. $.
    bnj1522.3 $e |- C = { f | E. d e. B ( f Fn d /\ A. x e. d ( f ` x ) = ( G `
        Y ) ) } $.
    bnj1522.4 $e |- F = U. C $.
    $( Well-founded recursion, part 3 of 3.  The proof has been taken from
       Chapter 4 of Don Monk's notes on Set Theory.  See
       ~ http://euclid.colorado.edu/~~monkd/setth.pdf .  (Contributed by
       Jonathan Ben-Naim, 3-Jun-2011.)  (New usage is discouraged.) $)
    bnj1522 $p |- ( ( R _FrSe A /\ H Fn A /\ A. x e. A ( H ` x ) = ( G ` <. x ,
        ( H |` _pred ( x , A , R ) ) >. ) ) -> F = H ) $=
      ( vz cv cfv w3a biid w-bnj15 wfn c-bnj14 cres cop wceq wral wne wcel crab
      vy wa wbr wn eqid bnj1523 ) BEUAIBUBAQZIRZUQIBEUQUCUDUEHRUFABUGSZUSGIUHUL
      ZUTUQBUIUQGRURUHZSZVBUKQZVAABUJZUIPQVCEUMUNPVDUGSZAUKPBCDVDEFGHIJKLMNOUST
      UTTVBTVDUOVETUP $.
  $}

$( (End of Jonathan Ben-Naim's mathbox.) $)
$( End $[ set-mbox-jb.mm $] $)


$( Begin $[ set-mbox-bt.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for BTernaryTau
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  ZF set theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( There exists an element in a class excluding a singleton if and only if
     there exists an element in the original class not equal to the singleton
     element.  (Contributed by BTernaryTau, 15-Sep-2023.) $)
  exdifsn $p |- ( E. x x e. ( A \ { B } ) <-> E. x e. A x =/= B ) $=
    ( cv csn cdif wcel wex wne wa wrex eldifsn exbii df-rex bitr4i ) ADZBCEFGZA
    HPBGPCIZJZAHRABKQSAPBCLMRABNO $.

  ${
    srcmpltd.1 $e |- ( ph -> ( C e. A -> ps ) ) $.
    srcmpltd.2 $e |- ( ph -> ( C e. ( B \ A ) -> ps ) ) $.
    $( If a statement is true for every element of a class and for every
       element of its complement relative to a second class, then it is true
       for every element in the second class.  (Contributed by BTernaryTau,
       27-Sep-2023.) $)
    srcmpltd $p |- ( ph -> ( C e. B -> ps ) ) $=
      ( wcel cdif cun elun2 undif2 eleqtrrdi wi elunant sylanbrc syl5 ) EDHZECD
      CIZJZHZABRECDJTEDCKCDLMAECHBNESHBNUABNFGBCSEOPQ $.
  $}

  ${
    prsrcmpltd.1 $e |- ( ph -> ( ( C e. A /\ D e. A ) -> ps ) ) $.
    prsrcmpltd.2 $e |- ( ph -> ( ( C e. A /\ D e. ( B \ A ) ) -> ps ) ) $.
    prsrcmpltd.3 $e |- ( ph -> ( ( C e. ( B \ A ) /\ D e. A ) -> ps ) ) $.
    prsrcmpltd.4 $e |- ( ph ->
        ( ( C e. ( B \ A ) /\ D e. ( B \ A ) ) -> ps ) ) $.
    $( If a statement is true for all pairs of elements of a class, all pairs
       of elements of its complement relative to a second class, and all pairs
       with one element in each, then it is true for all pairs of elements of
       the second class.  (Contributed by BTernaryTau, 27-Sep-2023.) $)
    prsrcmpltd $p |- ( ph -> ( ( C e. B /\ D e. B ) -> ps ) ) $=
      ( wcel wi wa expdimp cdif srcmpltd impancom ex impcomd ) AFDKZEDKZBATUABL
      ATMBCDEAECKZTBAUBMBCDFAUBFCKZBGNAUBFDCOZKZBHNPQAEUDKZTBAUFMBCDFAUFUCBINAU
      FUEBJNPQPRS $.
  $}

  ${
    $d x y A $.  $d x y F $.
    $( A one-to-one function in terms of different arguments never having the
       same function value.  (Contributed by BTernaryTau, 24-Oct-2023.) $)
    dff15 $p |- ( F : A -1-1-> B <->
          ( F : A --> B /\
          -. E. x e. A E. y e. A ( ( F ` x ) = ( F ` y ) /\ x =/= y ) ) ) $=
      ( wf1 wf cv cfv wceq wi wral wa wne wrex wn dff13 iman anbi2i bitri df-ne
      xchbinxr 2ralbii ralnex2 ) CDEFCDEGZAHZEIBHZEIJZUFUGJZKZBCLACLZMUEUHUFUGN
      ZMZBCOACOPZMABCDEQUKUNUEUKUMPZBCLACLUNUJUOABCCUJUHUIPZMUMUHUIRULUPUHUFUGU
      ASUBUCUMABCCUDTST $.
  $}

  $( If a function restricted to a class is one-to-one, then for any two
     elements of the class, the values of the function at those elements are
     equal only if the two elements are the same element.  (Contributed by
     BTernaryTau, 27-Sep-2023.) $)
  f1resveqaeq $p |- ( ( ( F |` A ) : A -1-1-> B /\ ( C e. A /\ D e. A ) ) ->
          ( ( F ` C ) = ( F ` D ) -> C = D ) ) $=
    ( cres wf1 wcel cfv wceq fvres ad2antrl ad2antll eqeq12d f1veqaeq sylbird
    wa ) ABEAFZGZCAHZDAHZQQZCEIZDEIZJCRIZDRIZJCDJUBUEUCUFUDTUEUCJSUACAEKLUAUFUD
    JSTDAEKMNABCDROP $.

  ${
    f1resrcmplf1dlem.1 $e |- ( ph -> C C_ A ) $.
    f1resrcmplf1dlem.2 $e |- ( ph -> D C_ A ) $.
    f1resrcmplf1dlem.3 $e |- ( ph -> F : A --> B ) $.
    f1resrcmplf1dlem.4 $e |- ( ph -> ( ( F " C ) i^i ( F " D ) ) = (/) ) $.
    $( Lemma for ~ f1resrcmplf1d .  (Contributed by BTernaryTau,
       27-Sep-2023.) $)
    f1resrcmplf1dlem $p |- ( ph -> ( ( X e. C /\ Y e. D ) ->
          ( ( F ` X ) = ( F ` Y ) -> X = Y ) ) ) $=
      ( wcel cfv cima wceq wss fnfvima syl3an1 syl3an2 wi wfn ffnd 3anidm12 wne
      ex wa cin c0 disjne 3expib neneq pm2.21d syl6 syl2and ) AGDMZGFNZFDOZMZHE
      MZHFNZFEOZMZUQVAPZGHPZUAZAUPUSAUPUSAADBQZUPUSIAFBUBZVGUPUSABCFKUCZBDFGRST
      UDUFAUTVCAUTVCAAEBQZUTVCJAVHVJUTVCVIBEFHRSTUDUFAUSVCUGUQVAUEZVFAUSVCVKAUR
      VBUHUIPUSVCVKLURVBUQVAUJSUKVKVDVEUQVAULUMUNUO $.
  $}

  ${
    $d ph x y $.  $d x y A $.  $d x y F $.
    f1resrcmplf1d.1 $e |- ( ph -> C C_ A ) $.
    f1resrcmplf1d.2 $e |- ( ph -> F : A --> B ) $.
    f1resrcmplf1d.3 $e |- ( ph -> ( F |` C ) : C -1-1-> B ) $.
    f1resrcmplf1d.4 $e |- ( ph -> ( F |` ( A \ C ) ) : ( A \ C ) -1-1-> B ) $.
    f1resrcmplf1d.5 $e |- ( ph ->
          ( ( F " C ) i^i ( F " ( A \ C ) ) ) = (/) ) $.
    $( If a function's restriction to a subclass of its domain and its
       restriction to the relative complement of that subclass are both
       one-to-one, and if the ranges of those two restrictions are disjoint,
       then the function is itself one-to-one.  (Contributed by BTernaryTau,
       28-Sep-2023.) $)
    f1resrcmplf1d $p |- ( ph -> F : A -1-1-> B ) $=
      ( vx vy cv cfv wceq wral wf1 wcel wa cres wf wi f1resveqaeq sylan ex cdif
      difssd f1resrcmplf1dlem cima cin incom eqtr3id prsrcmpltd ralrimivv dff13
      c0 sylanbrc ) ABCEUAKMZENLMZENOURUSOUBZLBPKBPBCEQGAUTKLBBAUTDBURUSAURDRUS
      DRSZUTADCEDTQVAUTHDCURUSEUCUDUEABCDBDUFZEURUSFABDUGZGJUHABCVBDEURUSVCFGAE
      VBUIZEDUIZUJVEVDUJUPVEVDUKJULUHAURVBRUSVBRSZUTAVBCEVBTQVFUTIVBCURUSEUCUDU
      EUMUNKLBCEUOUQ $.
  $}

  ${
    $d F p $.  $d x y p $.
    $( If a function is equinumerous to ordinal 1, then its converse is also a
       function.  (Contributed by BTernaryTau, 8-Oct-2023.) $)
    funen1cnv $p |- ( ( Fun F /\ F ~~ 1o ) -> Fun `' F ) $=
      ( vp vx vy c1o cen wfun ccnv cv csn wceq wex wi wal sylancl syl wa funeqd
      cnveq biimpar wbr en1 cop wrel wcel funrel vsnid elrel sneq funcnvsn gen2
      2eximi 19.29r2 exlimivv ax-gen 19.29r funeq imbi12d exlimiv mpan2 impcom
      sylbi ) AEFUAZAGZAHZGZVCABIZJZKZBLZVDVFMZBAUBVJVHGZVHHZGZMZBNZVKVOBVLVHCI
      ZDIZUCZJZKZDLCLZVTHZGZDNCNZVNVLVGVSKZDLCLZWBVLVHUDVGVHUEWGVHUFBUGCDVGVHUH
      OWFWACDVGVSUIULPWDCDVQVRUJUKWBWEQWAWDQZDLCLVNWAWDCDUMWHVNCDWAVNWDWAVMWCVH
      VTSRTUNPOUOVJVPQVIVOQZBLVKVIVOBUPWIVKBVIVKVOVIVDVLVFVNAVHUQVIVEVMAVHSRURT
      USPUTVBVA $.
  $}

  ${
    $d A y $.  $d ph v x $.  $d D x y $.  $d D u v $.  $d R x y $.  $d S x y $.
    $d F x y $.  $d F u v $.  $d C u v x $.  $d S u v x $.
    fnrelpredd.1 $e |- ( ph -> F Fn A ) $.
    fnrelpredd.2 $e |- ( ph ->
        A. x e. A A. y e. A ( x R y <-> ( F ` x ) S ( F ` y ) ) ) $.
    fnrelpredd.3 $e |- ( ph -> C C_ A ) $.
    fnrelpredd.4 $e |- ( ph -> D e. A ) $.
    $( A function that preserves a relation also preserves predecessors.
       (Contributed by BTernaryTau, 16-Jul-2024.) $)
    fnrelpredd $p |- ( ph ->
        Pred ( S , ( F " C ) , ( F ` D ) ) = ( F " Pred ( R , C , D ) ) ) $=
      ( vu vv cfv wbr wceq wcel wa cima cpred crab wrex cab fvex dfpred3 elrabi
      anim1i reximi2 fvelimabd syl5ibr fveq2 breq1d elrab breq1 biimpac adantll
      cv sylanb rexlimiva jca2 biimpd adantrd wi w3a simpl a1i biimprcd adantld
      simpr 3jcad biimpri 3impa syl6 adantl sylcom impbid abbidv df-rab eqtr4di
      reximdv2 eqtr4id wfun cdm wss wfn fnfun syl ssrab2 fndmd sseqtrrd dfimafn
      sstrid syl2anc eqtr4d dfpred3g wb sselda wral r19.21bi breq2 breq2d rspcv
      bibi12d adantr mpd syldan rabbidva eqtrd imaeq2d ) AIEUAZHFIPZUBZIBUSZIPZ
      XMHQZBEUCZUAZIEGFUBZUAAXNNUSZIPZOUSZRZNXRUDZOUEZXSAXNYCXMHQZOXLUCZYFOXLHX
      MFIUFUGAYFYCXLSZYGTZOUEYHAYEYJOAYEYJAYEYIYGYEYIAYDNEUDZYDYDNXREYAXRSZYAES
      ZYDXQBYAEUHUIUJANDEYCIJLUKZULYDYGNXRYLYMYBXMHQZTZYDYGXQYOBYAEXOYARXPYBXMH
      XOYAIUMUNUOZYOYDYGYMYDYOYGYBYCXMHUPZUQURUTVAVBAYJYKYEAYIYKYGAYIYKYNVCVDYG
      YKYEVEYIYGYDYDNEXRYGYMYDTZYMYOYDVFYLYDTZYGYSYMYOYDYSYMVEYGYMYDVGVHYGYDYOY
      MYDYOYGYRVIVJYSYDVEYGYMYDVKVHVLYMYOYDYTYPYLYDYLYPYQVMUIVNVOWBVPVQVRVSYGOX
      LVTWAWCAIWDZXRIWEZWFXSYFRAIDWGUUAJDIWHWIAXRDUUBAXREDXQBEWJLWNADIJWKWLNOXR
      IWMWOWPAXTXRIAXTXOFGQZBEUCZXRAFDSZXTUUDRMBEGDFWQWIAUUCXQBEAXOESXODSZUUCXQ
      WRZAEDXOLWSAUUFTXOCUSZGQZXPUUHIPZHQZWRZCDWTZUUGAUUMBDKXAAUUMUUGVEZUUFAUUE
      UUNMUULUUGCFDUUHFRZUUIUUCUUKXQUUHFXOGXBUUOUUJXMXPHUUHFIUMXCXEXDWIXFXGXHXI
      XJXKWP $.
  $}

  ${
    $d A x $.  $d B x y $.
    $( The cardinality function preserves predecessors.  (Contributed by
       BTernaryTau, 18-Jul-2024.) $)
    cardpred $p |- ( ( A C_ dom card /\ B e. dom card ) ->
        Pred ( _E , ( card " A ) , ( card ` B ) ) =
        ( card " Pred ( ~< , A , B ) ) ) $=
      ( vx vy ccrd cdm wss wcel wa csdm cep cv cen wbr con0 wrex cab cfv wral
      wf wfn cardf2 ffun funfnd mp1i wb epeli cardsdom2 bitr2id rgen2 a1i simpl
      fvex simpr fnrelpredd ) AEFZGZBUPHZIZCDUPABJKEDLZCLZMNDOPCQZOETZEUPUAUSCD
      UBVCEVBOEUCUDUEVAUTJNZVAERZUTERZKNZUFZDUPSCUPSUSVHCDUPUPVGVEVFHVAUPHUTUPH
      IVDVEVFUTEUMUGVAUTUHUIUJUKUQURULUQURUNUO $.
  $}

  ${
    $d A x y z $.
    $( Every nonempty class of numerable sets has a minimal element.
       (Contributed by BTernaryTau, 18-Jul-2024.) $)
    nummin $p |- ( ( A C_ dom card /\ A =/= (/) ) ->
        E. x e. A Pred ( ~< , A , x ) = (/) ) $=
      ( vy vz ccrd wss c0 wa cep cv wceq wrex wb wbr con0 ax-mp mpan wral wcel
      wn cdm wne cima cfv cpred csdm wfn cen cab wf cardf2 ffun funfnd fnimaeq0
      necon3bid biimprd imdistani fimass onssmin ssel anim12d ontri1 syl notbii
      wi epel bitr4di rgen2 r19.29r r19.26 bicom1 biimparc ralimi sylbir reximi
      sylancl adantl breq2 notbid ralbidv rexima adantr mpbid crab fvex dfpred3
      eqeq1i rabeq0 bitri rexbii sylibr ssel2 cardpred eqeq1d predss sstr bitrd
      sylancr syldan rexbidva ) BEUAZFZBGUBZHZEBUCZIAJZEUDZUEZGKZABLZBUFXFUEZGK
      ZABLZXDXBXEGUBZHZXJXBXCXNXBXNXCXBXEGBGEXAUGZXBXEGKBGKMCJZDJZUHNCOLDUIZOEU
      JZXPDCUKZXTEXSOEULUMPZXABEUNQUOUPUQXOXQXGINZTZCXERZABLZXJXOXQXRINZTZCXERZ
      DXELZYFXNYJXBXNXRXQFZCXERZYKYHMZCXERZHZDXELZYJXNYLDXELZYNDXERYPXEOFZXNYQX
      TYRYAXSOEBURPZDCXEUSQYMDCXEXEXRXESZXQXESZHZYKXQXRSZTZYHUUBXROSZXQOSZHZYKU
      UDMYRUUBUUGVEYSYRYTUUEUUAUUFXEOXRUTXEOXQUTVAPXRXQVBVCYGUUCDXQVFVDVGVHYLYN
      DXEVIVPYOYIDXEYOYKYMHZCXERYIYKYMCXEVJUUHYHCXEYMYHYKYKYHVKVLVMVNVOVCVQXBYJ
      YFMZXNXPXBUUIYBYIYEDAXABEXRXGKZYHYDCXEUUJYGYCXRXGXQIVRVSVTWAQWBWCXIYEABXI
      YCCXEWDZGKYEXHUUKGCXEIXGXFEWEWFWGYCCXEWHWIWJWKVCXBXJXMMXCXBXIXLABXBXFBSXF
      XASZXIXLMBXAXFWLXBUULHZXIEXKUCZGKZXLUUMXHUUNGBXFWMWNXBUUOXLMZUULXBXPXKXAF
      ZUUPYBXKBFXBUUQBUFXFWOXKBXAWPQXAXKEUNWRWBWQWSWTWBWC $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Finitism
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d ph u v $.  $d u v w x y z $.
    $( If the Axiom of Infinity is negated, then the Axiom of Replacement
       becomes redundant.  (Contributed by BTernaryTau, 12-Sep-2024.) $)
    fineqvrep $p |- ( Fin = _V -> ( A. w E. y A. z ( A. y ph -> z = y ) ->
        E. y A. z ( z e. y <-> E. w ( w e. x /\ A. y ph ) ) ) ) $=
      ( vu vv wal weq wex cfn cvv wel wa cv wcel cop nfv nfel2 nfan wi wb copab
      wceq wfun wmo funopab nfa1 mof albii bitr2i cima vex eleq2w2 mpbiri imafi
      sylan2 elexd nfopab nfex issetf abeq2 exbii opabidw anbi2i bibi2i 3bitrri
      cab nfab dfima3 nfopab2 nfopab1 elequ1 opeq1 eleq1d anbi12d cbvexv1 opeq2
      anbi2d exbidv syl5bb cbvabw eqtri eleq1i bitr4i sylibr sylanb expcom ) AC
      HZDCIUADHCJZEHZKLUDZDCMZEBMZWINZEJZUBZDHZCJZWKWIEDUCZUEZWLWSXAWIDUFZEHWKW
      IEDUGXBWJEWIDCACUHZUIUJUKXAWLNZWTBOZULZLPZWSXDXFKWLXAXEKPZXFKPWLXHXELPBUM
      BKLUNUOWTXEUPUQURWSWNEOZDOZQZWTPZNZEJZDVHZLPZXGXPCOZXOUDZCJWMXNUBZDHZCJWS
      CXOXNCDXMCEWNXLCWNCRCXKWTWIEDCXCUSSTUTVIVAXRXTCXNDXQVBVCXTWRCXSWQDXNWPWMX
      MWOEXLWIWNWIEDVDVEVCVFUJVCVGXFXOLXFFBMZFOZGOZQZWTPZNZFJZGVHXOFGWTXEVJYGXN
      GDYFDFYAYEDYADRDYDWTWIEDVKSTUTXNGRYGWNXIYCQZWTPZNZEJGDIZXNYFYJFEYAYEEYAER
      EYDWTWIEDVLSTYJFRFEIZYAWNYEYIFEBVMYLYDYHWTYBXIYCVNVOVPVQYKYJXMEYKYIXLWNYK
      YHXKWTYCXJXIVRVOVSVTWAWBWCWDWEWFWGWH $.
    $( $j usage 'fineqvrep' avoids 'ax-pow' 'ax-rep' 'ax-inf' 'ax-inf2'; $)
  $}

  ${
    $d w x z $.  $d v x y z $.
    $( If the Axiom of Infinity is negated, then the Axiom of Power Sets
       becomes redundant.  (Contributed by BTernaryTau, 12-Sep-2024.) $)
    fineqvpow $p |- ( Fin = _V ->
        E. y A. z ( A. w ( w e. z -> w e. x ) -> z e. y ) ) $=
      ( vv cfn cvv wceq cv wss wel wi wal wex wb cab wcel syl exbii sylib df-pw
      cpw vex eleq2w2 bitr3di mpbii elexd eqeltrrid elisset sseq1 abeq2w biimpr
      pwfi alimi eximi dfss2 imbi1i albii ) FGHZCIZAIZJZCBKZLZCMZBNZDCKDAKLDMZV
      CLZCMZBNUSVCVBOZCMZBNZVFUSBIZEIZVAJZEPZHZBNZVLUSVPGQVRUSVPVAUBZGEVAUAUSVS
      FUSVAGQZVSFQZAUCUSVAFQVTWAAFGUDVAUMUEUFUGUHBVPGUIRVQVKBVOVBECVMVNUTVAUJUK
      STVKVEBVJVDCVCVBULUNUORVEVIBVDVHCVBVGVCDUTVAUPUQURST $.
    $( $j usage 'fineqvpow' avoids 'ax-pow' 'ax-rep' 'ax-inf' 'ax-inf2'; $)
  $}

  ${
    $d x y z $.  $d f w x $.  $d f g u v y z $.
    $( If the Axiom of Infinity is negated, then the Axiom of Choice becomes
       redundant.  For a shorter proof using ~ ax-rep and ~ ax-pow , see
       ~ fineqvacALT .  (Contributed by BTernaryTau, 21-Sep-2024.) $)
    fineqvac $p |- ( Fin = _V -> CHOICE ) $=
      ( vf vw vx vg vu vv cfn cvv wceq cv wss cdm wfn wa wex wcel c0 cun fneq2d
      anbi12d vy wal wac vex eleq2w2 mpbiri csn sseq2 dmeq exbidv weq ssid wfun
      vz fun0 funfn mpbi sseq1 fneq1 spcev mp2an wi cbvexvw ssun3 ad2antrr dmun
      0ex un0 eqtrdi syl5eq biimparc adantll syl2anc wne cop dmsnn0 elvv bitr3i
      uneq2 cxp anbi2i 19.42vv bitr4i 3ad2ant1 snssi ssequn2 sylib 3adant2 sneq
      w3a wb dmeqd dmsnop uneq2d 3ad2ant2 mpbird 3expia 3adant1 syl6an wn unss1
      adantl adantr eqsstrrd simpl eqid simpr fnunop 3ad2ant3 sylibrd snex unex
      a1i pm2.61d 3expa exlimivv sylbi pm2.61dane exlimiv findcard2 syl alrimiv
      ex df-ac sylibr ) GHIZAJZBJZKZYGYHLZMZNZAOZBUBUCYFYMBYFYHGPZYMYFYNYHHPBUD
      BGHUEUFYGCJZKZYGYOLZMZNZAOYGQKZYGQLZMZNZAOZYGUAJZKZYGUUELZMZNZAOZYGUUEUNJ
      ZUGZRZKZYGUUMLZMZNZAOZYMCUAUNYHYOQIZYSUUCAUUSYPYTYRUUBYOQYGUHUUSYQUUAYGYO
      QUISTUJCUAUKZYSUUIAUUTYPUUFYRUUHYOUUEYGUHUUTYQUUGYGYOUUEUISTUJYOUUMIZYSUU
      QAUVAYPUUNYRUUPYOUUMYGUHUVAYQUUOYGYOUUMUISTUJCBUKZYSYLAUVBYPYIYRYKYOYHYGU
      HUVBYQYJYGYOYHUISTUJQQKZQUUAMZUUDQULQUMUVDUOQUPUQUUCUVCUVDNAQVGYGQIYTUVCU
      UBUVDYGQQURUUAYGQUSTUTVAUUJUURVBUUEGPUUJDJZUUEKZUVEUUGMZNZDOUURUUIUVHADAD
      UKZUUFUVFUUHUVGYGUVEUUEURUUGYGUVEUSTVCUVHUURDUVHUURUULLZQUVHUVJQIZNUVEUUM
      KZUVEUUOMZUURUVFUVLUVGUVKUVEUUEUULVDZVEUVGUVKUVMUVFUVKUVMUVGUVKUUOUUGUVEU
      VKUUOUUGUVJRZUUGUUEUULVFZUVKUVOUUGQRUUGUVJQUUGVSUUGVHVIVJSVKVLUUQUVLUVMNA
      UVEDUDZUVIUUNUVLUUPUVMYGUVEUUMURUUOYGUVEUSTUTZVMUVHUVJQVNZNZUVHUUKEJZFJZV
      OZIZNZFOEOZUURUVTUVHUWDFOEOZNUWFUVSUWGUVHUVSUUKHHVTPUWGUUKVPEFUUKVQVRWAUV
      HUWDEFWBWCUWEUUREFUVFUVGUWDUURUVFUVGUWDWJZUWAUUGPZUURUWHUVLUWIUVMUURUVFUV
      GUVLUWDUVNWDUVGUWDUWIUVMVBUVFUVGUWDUWIUVMUVGUWDUWIWJUVMUVEUUGUWAUGZRZMZUV
      GUWIUWLUWDUWIUWLUVGUWIUWKUUGUVEUWIUWJUUGKUWKUUGIUWAUUGWEUWJUUGWFWGSVKWHUW
      DUVGUVMUWLWKUWIUWDUUOUWKUVEUWDUUOUVOUWKUVPUWDUVJUWJUUGUWDUVJUWCUGZLUWJUWD
      UULUWMUUKUWCWIZWLUWAUWBFUDZWMVIWNVJZSWOWPWQWRUVRWSUWHUVEUWMRZUUMKZUWIWTZU
      WQUUOMZUURUVFUWDUWRUVGUVFUWDNUWQUVEUULRZUUMUWDUXAUWQIUVFUWDUULUWMUVEUWNWN
      XBUVFUXAUUMKUWDUVEUUEUULXAXCXDWHUWHUWSUWQUWKMZUWTUVGUVFUWSUXBVBUWDUVGUWSU
      XBUVGUWSNZUUGUWKUVEUWQHHUWAUWBUWAHPUXCEUDXMUWBHPUXCUWOXMUVGUWSXEUWQXFUWKX
      FUVGUWSXGXHYCWOUWDUVFUWTUXBWKUVGUWDUUOUWKUWQUWPSXIXJUUQUWRUWTNAUWQUVEUWMU
      VQUWCXKXLYGUWQIUUNUWRUUPUWTYGUWQUUMURUUOYGUWQUSTUTWSXNXOXPXQXRXSXQXMXTYAY
      BBAYDYE $.
    $( $j usage 'fineqvac' avoids 'ax-pow' 'ax-rep' 'ax-inf' 'ax-inf2' 'ax-ac'
       'ax-ac2'; $)
  $}

  $( Shorter proof of ~ fineqvac using ~ ax-rep and ~ ax-pow .  (Contributed by
     BTernaryTau, 21-Sep-2024.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  fineqvacALT $p |- ( Fin = _V -> CHOICE ) $=
    ( vx cfn cvv wceq cdm wac wss ssv a1i finnum ssriv sseq1 mpbii eqssd dfac10
    ccrd cv sylibr ) BCDZPEZCDFSTCTCGSTHISBTGCTGABTAQJKBCTLMNOR $.
  $( $j usage 'fineqvacALT' avoids 'ax-inf' 'ax-inf2' 'ax-ac' 'ax-ac2'; $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Real and complex numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Integer ordering relation.  (Contributed by BTernaryTau, 24-Sep-2023.) $)
  zltp1ne $p |- ( ( A e. ZZ /\ B e. ZZ ) ->
        ( ( A + 1 ) < B <-> ( A < B /\ B =/= ( A + 1 ) ) ) ) $=
    ( cz wcel wa c1 caddc co clt wbr cle wne cr zre peano2re ltlen sylan syl2an
    wb zltp1le anbi1d bitr4d ) ACDZBCDZEZAFGHZBIJZUFBKJZBUFLZEZABIJZUIEUCAMDZBM
    DZUGUJSZUDANBNULUFMDUMUNAOUFBPQRUEUKUHUIABTUAUB $.

  $( Positive integer ordering relation.  (Contributed by BTernaryTau,
     24-Sep-2023.) $)
  nnltp1ne $p |- ( ( A e. NN /\ B e. NN ) ->
        ( ( A + 1 ) < B <-> ( A < B /\ B =/= ( A + 1 ) ) ) ) $=
    ( cn wcel cz c1 caddc co clt wbr wne wa wb nnz zltp1ne syl2an ) ACDAEDBEDAF
    GHZBIJABIJBQKLMBCDANBNABOP $.

  $( Nonnegative integer ordering relation.  (Contributed by BTernaryTau,
     24-Sep-2023.) $)
  nn0ltp1ne $p |- ( ( A e. NN0 /\ B e. NN0 ) ->
        ( ( A + 1 ) < B <-> ( A < B /\ B =/= ( A + 1 ) ) ) ) $=
    ( cn0 wcel cz c1 caddc co clt wbr wne wa wb nn0z zltp1ne syl2an ) ACDAEDBED
    AFGHZBIJABIJBQKLMBCDANBNABOP $.

  $( A number is zero if and only if it's a nonnegative integer that becomes
     negative after subtracting 1.  (Contributed by BTernaryTau,
     30-Sep-2023.) $)
  0nn0m1nnn0 $p |- ( N = 0 <-> ( N e. NN0 /\ -. ( N - 1 ) e. NN0 ) ) $=
    ( cc0 wceq cn0 wcel c1 cmin co wn wa mpbiri wnel syl cle wbr biimprd adantr
    wb cz wi 0nn0 eleq1 cn 1nn 0mnnnnn0 ax-mp oveq1 neleq1 df-nel sylib jca clt
    nn0z peano2zm elnn0z notbii biimpi annotanannot simprbi syl2an cr 3syl 0red
    zre ltnled mpd 0z zlem1lt sylancl nn0ge0 nn0re letri3d mp2and impbii ) ABCZ
    ADEZAFGHZDEZIZJZVOVPVSVOVPBDEUAABDUBKVOVQDLZVSVOWABFGHZDLZFUCEWCUDFUEUFVOVQ
    WBCWAWCRABFGUGVQWBDUHMKVQDUIUJUKVTABNOZBANOZVOVTVQBULOZWDVTBVQNOZIZWFVPVQSE
    ZWIWGJZIZWHVSVPASEZWIAUMZAUNZMVSWKVRWJVQUOUPUQWIWKJWIWHWIWGURUSUTVPWHWFTVSV
    PWFWHVPVQBVPWLWIVQVAEWMWNVQVDVBVPVCZVEPQVFVPWFWDTVSVPWDWFVPWLBSEWDWFRWMVGAB
    VHVIPQVFVPWEVSAVJQVPWDWEJZVOTVSVPVOWPVPABAVKWOVLPQVMVN $.

  ${
    $d x y F $.
    f1resfz0f1d.1 $e |- ( ph -> K e. NN0 ) $.
    f1resfz0f1d.2 $e |- ( ph -> F : ( 0 ... K ) --> V ) $.
    f1resfz0f1d.3 $e |- ( ph ->
          ( F |` ( 1 ... K ) ) : ( 1 ... K ) -1-1-> V ) $.
    f1resfz0f1d.4 $e |- ( ph ->
          ( ( F " { 0 } ) i^i ( F " ( 1 ... K ) ) ) = (/) ) $.
    $( If a function with a sequence of nonnegative integers (starting at 0) as
       its domain is one-to-one when 0 is removed, and if the range of that
       restriction does not contain the function's value at the removed
       integer, then the function is itself one-to-one.  (Contributed by
       BTernaryTau, 4-Oct-2023.) $)
    f1resfz0f1d $p |- ( ph -> F : ( 0 ... K ) -1-1-> V ) $=
      ( vx vy cc0 cfz cfv wceq wi cn0 wcel cin c0 cima co wss fz1ssfz0 a1i cres
      c1 csn wf1 cdif wf cv wral 0elfz snssi 3syl fssresd eqidd wb 0nn0 fveqeq2
      eqeq1 imbi12d fveq2 eqeq2 mp2an mpbir dff13 sylanblrc cun uncom fz0sn0fz1
      eqeq2d 2ralsng syl eqtr4id wn 0nelfz1 neli disjsn uneqdifeq sylib reseq2d
      eqcomd f1eq123d mpbid imaeq2d ineq2d incom eqtr3id eqtr3d f1resrcmplf1d )
      AKCLUAZDUFCLUAZBWMWLUBZACUCZUDFGAKUGZDBWPUEZUHZWLWMUIZDBWSUEZUHAWPDWQUJIU
      KZWQMJUKZWQMZNZXAXBNZOZJWPULIWPULZWRAWLDWPBFACPQZKWLQWPWLUBECUMKWLUNUOUPX
      GKWQMZXINZKKNZOZXJKUQKPQZXMXGXLURUSUSXFXIXCNZKXBNZOXLIJKKPPXAKNXDXNXEXOXA
      KXCWQUTXAKXBVAVBXBKNZXNXJXOXKXPXCXIXIXBKWQVCVLXBKKVDVBVMVEVFIJWPDWQVGVHAW
      PWSDDWQWTAWPWSBAWSWPAWMWPVIZWLNZWSWPNZAXQWPWMVIZWLWMWPVJAXHWLXTNECVKVNVOW
      NWMWPRSNZXRXSURWOYAKWMQVPKWMCVQVRWMKVSVFWMWPWLVTVEWAWCZWBYBADUQWDWEABWMTZ
      BWPTZRZYCBWSTZRSAYDYFYCAWPWSBYBWFWGAYEYDYCRSYDYCWHHWIWJWK $.
  $}

  $( A finite set is equal to its subset if they are the same size.
     (Contributed by BTernaryTau, 3-Oct-2023.) $)
  fisshasheq $p |- ( ( B e. Fin /\ A C_ B /\ ( # ` A ) = ( # ` B ) ) ->
        A = B ) $=
    ( cfn wcel wss chash cfv wceq w3a ssfi 3adant3 wi wa cen wbr hashen biimp3a
    pm3.2 3ad2ant2 expcom fisseneq 3expa sylsyld 3expb com23 3impia 3com23 mpd
    ) BCDZABEZAFGBFGHZIACDZABHZUIUJULUKBAJKUIUKUJULUMLZUIUKUJUNUIUKMZULUJUMULUO
    UJUMLZULUIUKUPULUIUKIABNOZUJUIUJMZUMULUIUKUQABPQUIULUJURLUKUIUJRSURUQUMUIUJ
    UQUMABUAUBTUCUDTUEUFUGUH $.

  $( The size of a set function is equal to the size of its domain.
     (Contributed by BTernaryTau, 30-Sep-2023.) $)
  hashfundm $p |- ( ( F e. V /\ Fun F ) -> ( # ` F ) = ( # ` dom F ) ) $=
    ( cfn wcel wfun wa chash cfv cdm wceq wi hashfun biimpd adantld wn w3a cpnf
    hashinf 3adant2 cvv wb fundmfibi notbid adantl dmexg sylan ex adantr sylbid
    3impia eqtr4d 3comr 3expib pm2.61i ) ACDZABDZAEZFZAGHZAIZGHZJZKUOUQVBUPUOUQ
    VBALMNUOOZUPUQVBUPUQVCVBUPUQVCPUSQVAUPVCUSQJUQABRSUPUQVCVAQJZURVCUTCDZOZVDU
    QVCVFUAUPUQUOVEAUBUCUDUPVFVDKUQUPVFVDUPUTTDVFVDABUEUTTRUFUGUHUIUJUKULUMUN
    $.

  $( The size of the domain of a one-to-one set function is equal to the size
     of its range.  (Contributed by BTernaryTau, 1-Oct-2023.) $)
  hashf1dmrn $p |- ( ( F e. V /\ F : A -1-1-> B ) ->
          ( # ` A ) = ( # ` ran F ) ) $=
    ( wcel wf1 wa chash cfv cdm crn wfun wceq f1fun hashfundm sylan2 cvv adantl
    f1dm dmexg adantr eqeltrrd hashf1rn sylancom fveq2d 3eqtr3rd ) CDEZABCFZGZC
    HIZCJZHIZCKHIZAHIUHUGCLUJULMABCNCDOPUGUHAQEUJUMMUIUKAQUHUKAMUGABCSRZUGUKQEU
    HCDTUAUBABCQUCUDUIUKAHUNUEUF $.

  $( The size of the domain of a one-to-one set function is less than or equal
     to the size of its codomain, if it exists.  (Contributed by BTernaryTau,
     1-Oct-2023.) $)
  hashf1dmcdm $p |- ( ( F e. V /\ B e. W /\ F : A -1-1-> B ) ->
          ( # ` A ) <_ ( # ` B ) ) $=
    ( wcel wf1 w3a chash cfv crn cle wceq hashf1dmrn 3adant2 wbr f1f wss sylan2
    wf frn hashss 3adant1 eqbrtrd ) CDFZBEFZABCGZHAIJZCKZIJZBIJZLUEUGUHUJMUFABC
    DNOUFUGUJUKLPZUEUGUFABCTZULABCQUMUFUIBRULABCUABUIEUBSSUCUD $.

  ${
    $d L x $.  $d V x $.  $d W x $.
    $( The reverse of a prefix of a word is equal to the same-length suffix of
       the reverse of that word.  (Contributed by BTernaryTau, 2-Dec-2023.) $)
    revpfxsfxrev $p |- ( ( W e. Word V /\ L e. ( 0 ... ( # ` W ) ) ) ->
          ( reverse ` ( W prefix L ) ) =
          ( ( reverse ` W ) substr <. ( ( # ` W ) - L ) , ( # ` W ) >. ) ) $=
      ( wcel cc0 chash cfv cfz co cfzo cmin wfn adantr oveq2d c1 3adant3 oveq1d
      wceq cuz cz vx cword wa cpfx creverse cop csubstr pfxcl revcl 3syl revlen
      wrdfn syl pfxlen eqtrd fneq2d mpbid swrdcl fznn0sub2 lencl sylib eleqtrrd
      cn0 nn0fz0 swrdlen syl3an 3anidm13 cc nn0cnd elfzelz adantl nncand cv w3a
      zcnd simp1 simp3 revfv sylan syl2anc fveq2d 3ad2ant2 elfzoelz 1cnd sub32d
      3ad2ant3 ubmelm1fzo eqeltrrd pfxfv syld3an3 3eqtrd eleq2d biimp3ar swrdfv
      caddc id syl3anl1 syl3anl3 stoic3 syl3an2 elfzuz3 addid2d eluzsub mp3an2i
      wss fzoss1 nn0zd 3ad2ant1 zsubcld fzo0addel pncan3d eleqtrd sseldd subcld
      0z subsub4d 3eqtr3d eqtr4d 3expa eqfnfvd ) CBUBZDZAECFGZHIZDZUCZUAEAJIZCA
      UDIZUEGZCUEGZYCAKIZYCUFUGIZYFYIEYIFGZJIZLZYIYGLYBYOYEYBYHYADZYIYADYOBCAUH
      ZBYHUIBYIULUJMYFYNYGYIYFYMAEJYFYMYHFGZAYBYMYRRZYEYBYPYSYQBYHUKUMMBCAUNZUO
      NUPUQYFYLEYLFGZJIZLZYLYGLYBUUCYEYBYJYADZYLYADUUCBCUIZBYJYKYCURBYLULUJMYFU
      UBYGYLYFUUAAEJYFUUAYCYKKIZAYBYEUUAUUFRZYBUUDYEYKYDDZYBYCEYJFGZHIZDZUUGUUE
      AYCUSZYBYCYDUUJYBYCVCDYCYDDBCUTZYCVDVAYBUUIYCEHBCUKNVBZBYJYKYCVEVFVGYFYCA
      YBYCVHDZYEYBYCUUMVIMZYEAVHDZYBYEAAEYCVJZVOZVKVLZUONUPUQYBYEUAVMZYGDZUVAYI
      GZUVAYLGZRYBYEUVBVNZUVCAOKIZUVAKIZCGZUVDUVEUVCYROKIZUVAKIZYHGZUVGYHGZUVHU
      VEYBUVAEYRJIZDZUVCUVKRZYBYEUVBVPZUVEUVAYGUVMYBYEUVBVQZYBYEUVMYGRUVBYFYRAE
      JYTNPVBYBYPUVNUVOYQBYHUVAVRVSVTYBYEUVKUVLRUVBYFUVJUVGYHYFUVIUVFUVAKYFYRAO
      KYTQQWAPYBYEUVBUVGYGDUVLUVHRUVEAUVAKIOKIZUVGYGUVEAUVAOYEYBUUQUVBUUSWBZUVB
      YBUVAVHDYEUVBUVAUVAEAWCVOWFZUVEWDZWEUVBYBUVRYGDYEUVAAWGWFWHUVGABCWIWJWKUV
      EUVDUVAYKWOIZYJGZYCOKIZUWBKIZCGZUVHYBYEUVBUVAEUUFJIZDZUVDUWCRZYBYEUWHUVBY
      FUWGYGUVAYFUUFAEJUUTNWLWMYEYBUUHUWHUWIUULYBUUHYBUUHYBVNZUWHUWIYBUUHUWJUWJ
      WPVGYBYBUUHUUKUWHUWIUUNYBUUDUUHUUKUWHUWIUUEBYJYKYCUVAWNWQWRWSWTWJUVEYBUWB
      EYCJIZDUWCUWFRUVPUVEYKYCJIZUWKUWBYEYBUWLUWKXEZUVBYEYKESGDZUWMETDYEATDZYCE
      AWOIZSGZDUWNXOUURYEYCASGUWQAEYCXAYEUWPASYEAUUSXBWAVBAEYCXCXDYKEYCXFUMWBUV
      EUWBYKAYKWOIZJIZUWLUVEUVBYKTDUWBUWSDUVQUVEYCAYBYEYCTDUVBYBYCUUMXGXHYEYBUW
      OUVBUURWBXIZUVAAYKXJVTUVEUWRYCYKJUVEAYCUVSYBYEUUOUVBUUPPZXKNXLXMBCUWBVRVT
      UVEUWEUVGCUVEUWEUUFOKIZUVAKIZUVGUVEUWDUVAKIYKKIUWDYKKIZUVAKIUWEUXCUVEUWDU
      VAYKUVEYCOUXAUWAXNZUVTUVEYKUWTVOZWEUVEUWDUVAYKUXEUVTUXFXPUVEUXDUXBUVAKUVE
      YCOYKUXAUWAUXFWEQXQUVEUXBUVFUVAKUVEUUFAOKYBYEUUFARUVBUUTPQQUOWAWKXRXSXT
      $.
  $}

  $( A subword expressed in terms of reverses and prefixes.  (Contributed by
     BTernaryTau, 3-Dec-2023.) $)
  swrdrevpfx $p |- ( ( W e. Word V /\ F e. ( 0 ... L ) /\
        L e. ( 0 ... ( # ` W ) ) ) -> ( W substr <. F , L >. ) =
        ( reverse ` ( ( reverse ` ( W prefix L ) ) prefix ( L - F ) ) ) ) $=
    ( wcel cc0 cfz co chash cfv w3a cpfx creverse cmin cop csubstr wceq 3adant2
    wa syl cword fznn0sub2 pfxcl revcl simp3 revlen adantr pfxlen eqtrd 3adant3
    3ad2ant1 oveq2d eleqtrrd jca syl3an3 3com23 revpfxsfxrev revrev oveq1d zcnd
    elfzel2 elfzelz nncand 3ad2ant2 opeq12d 3eqtrd wi cuz elfzuz3 eluzfz2 ancli
    swrdpfx syl5 pm2.43i eqtr2d ) DCUAZEZAFBGHZEZBFDIJGHEZKZDBLHZMJZBANHZLHMJZW
    BABOZPHZDWFPHZWAWEWCMJZWCIJZWDNHZWJOZPHZWBWLPHZWGWAWCVPEZWDFWJGHZEZSZWEWMQV
    QVTVSWRVSVQVTWDVREZWRABUBVQVTWSKZWOWQVQVTWOWSVQWBVPEZWOCDBUCZCWBUDTUKWTWDVR
    WPVQVTWSUEWTWJBFGVQVTWJBQZWSVQVTSZWJWBIJZBVQWJXEQZVTVQXAXFXBCWBUFTUGCDBUHUI
    ZUJULUMUNUOUPWDCWCUQTVQVSWMWNQVTVQWIWBWLPVQXAWIWBQXBCWBURTUSUKWAWLWFWBPWAWK
    AWJBWAWKBWDNHZAVQVTWKXHQVSXDWJBWDNXGUSRVSVQXHAQVTVSBAVSBAFBVAUTVSAAFBVBUTVC
    VDUIVQVTXCVSXGRVEULVFWAWGWHQZVQVTWAXIVGVSWAVSBABGHEZSZXDXIVSVQXKVTVSXJVSBAV
    HJEXJAFBVIABVJTVKVDABBCDVLVMRVNVO $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Graph theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x G $.  $d x V $.
    lfuhgr.1 $e |- V = ( Vtx ` G ) $.
    lfuhgr.2 $e |- I = ( iEdg ` G ) $.
    $( A hypergraph is loop-free if and only if every edge connects at least
       two vertices.  (Contributed by BTernaryTau, 15-Oct-2023.) $)
    lfuhgr $p |- ( G e. UHGraph ->
          ( I : dom I --> { x e. ~P V | 2 <_ ( # ` x ) } <->
          A. x e. ( Edg ` G ) 2 <_ ( # ` x ) ) ) $=
      ( cuhgr wcel cedg cfv c2 cv chash cle wbr cpw wss wf crn syl ciedg edgval
      crab cdm wral rneqi eqtr4i sseq1i wfun wi uhgrfun fdmrn fss sylbi impbid1
      ex frn syl5bb wb cvtx c0 csn uhgredgss difss2d pweqi sseqtrrdi ssrab baib
      bitr3d ) BGHZBIJZKALMJNOZADPZUCZQZCUDZVNCRZVLAVKUEZVOCSZVNQZVJVQVKVSVNVKB
      UAJZSVSBUBCWAFUFUGUHVJVTVQVJCUIZVTVQUJZCBFUKWBVPVSCRZWCCULWDVTVQVPVSVNCUM
      UPUNTVPVNCUQUOURVJVKVMQZVOVRUSVJVKBUTJZPZVMVJVKWGVAVBBVCVDDWFEVEVFVOWEVRV
      LAVMVKVGVHTVI $.

    $( A hypergraph is loop-free if and only if every edge is not a loop.
       (Contributed by BTernaryTau, 15-Oct-2023.) $)
    lfuhgr2 $p |- ( G e. UHGraph ->
          ( I : dom I --> { x e. ~P V | 2 <_ ( # ` x ) } <->
          A. x e. ( Edg ` G ) ( # ` x ) =/= 1 ) ) $=
      ( wcel c2 cfv wbr cpw wral c1 wne wa c0 clt cvv elv cxr cuhgr cdm cv crab
      chash cle wf cedg lfuhgr cc0 cvtx csn cdif uhgredgn0 eldifsni wb hashneq0
      syl sylibr gt0ne0d cxnn0 hashxnn0 xnn0n0n1ge2b ax-mp biimpi 3exp ralimdv2
      stoic3 a2d 1xr hashxrcl 1lt2 wi rexri xrltletr mp3an mpan xrltne mp3an12i
      2re ralimi impbid1 bitr4d ) BUAGZCUBHAUCZUEIZUFJZADKUDCUGWGABUHIZLZWFMNZA
      WHLZABCDEFUIWDWKWIWDWJWGAWHWHWDWEWHGZWJWGWDWLWJWGWDWLWFUJNZWJWGWDWLOZWFWN
      WEPNZUJWFQJZWNWEBUKIKZPULUMGWOWEBUNWEWQPUOURWPWOUPAWERUQSUSUTWMWJOZWGWFVA
      GZWRWGUPWSAWERVBSWFVCVDVEVHVFVIVGWGWJAWHMTGZWFTGZWGMWFQJZWJVJXAAWERVKSZMH
      QJZWGXBVLWTHTGXAXDWGOXBVMVJHVTVNXCMHWFVOVPVQMWFVRVSWAWBWC $.
  $}

  ${
    $d x V $.  $d x G a $.
    lfuhgr3.1 $e |- V = ( Vtx ` G ) $.
    lfuhgr3.2 $e |- I = ( iEdg ` G ) $.
    $( A hypergraph is loop-free if and only if none of its edges connect to
       only one vertex.  (Contributed by BTernaryTau, 15-Oct-2023.) $)
    lfuhgr3 $p |- ( G e. UHGraph ->
          ( I : dom I --> { x e. ~P V | 2 <_ ( # ` x ) } <->
          -. E. a { a } e. ( Edg ` G ) ) ) $=
      ( wcel cv cfv wbr c1 wral wex wn wceq wa notbii 3bitri eximi cuhgr cdm c2
      chash cle cpw crab wf wne cedg csn lfuhgr2 df-ne ralbii ralnex df-rex c1o
      wrex cen cvv hashen1 elv en1 bitri anbi2i exbii 19.3v 19.29 sylanbr eleq1
      wb wal biimpac exlimiv dfclel pm3.22 sylbi excomim 19.40 ax5e anim1i 3syl
      syl impbii bitrdi ) BUAHCUBUCAIZUDJZUEKADUFUGCUHWGLUIZABUJJZMZEIUKZWIHZEN
      ZOZABCDFGULWJWFWIHZWGLPZQZANZOZWOWFWKPZENZQZANZOWNWJWPOZAWIMWPAWIURZOWSWH
      XDAWIWGLUMUNWPAWIUOXEWRWPAWIUPRSWRXCWQXBAWPXAWOWPWFUQUSKZXAWPXFVKAWFUTVAV
      BEWFVCVDVEVFRXCWMXCWMXBWMAXBWOWTQZENZWMWOWOEVLXAXHWOEVGWOWTEVHVIXGWLEWTWO
      WLWFWKWIVJVMTWCVNWMXGANZENXHANXCWLXIEWLWTWOQZANXIAWKWIVOXJXGAWTWOVPTVQTXG
      EAVRXHXBAXHWOENZXAQXBWOWTEVSXKWOXAWOEVTWAWCTWBWDRSWE $.
  $}

  ${
    $d A e a b $.  $d B e a b $.  $d e E a b $.  $d e G a b $.  $d e V a b $.
    cplgredgex.1 $e |- V = ( Vtx ` G ) $.
    cplgredgex.2 $e |- E = ( Edg ` G ) $.
    $( Any two (distinct) vertices in a complete graph are connected to each
       other by at least one edge.  (Contributed by BTernaryTau,
       2-Oct-2023.) $)
    cplgredgex $p |- ( G e. ComplGraph -> ( ( A e. V /\ B e. ( V \ { A } ) ) ->
              E. e e. E { A , B } C_ e ) ) $=
      ( va vb ccplgr wcel csn cdif cpr cv wss wrex wa wi simp2 simp3 wceq eleq1
      w3a sneq difeq2d eleq2d anbi12d preq1 sseq1d rexbidv imbi12d anbi2d preq2
      sylan9bb wral iscplgredg ibi rsp2 syl 3ad2ant1 vtocl2d mp2and 3expib ) EK
      LZAFLZBFAMZNZLZABOZCPZQZCDRZVFVGVJUEZVGVJVNVFVGVJUAZVFVGVJUBZVOIPZFLZJPZF
      VRMZNZLZSZVRVTOZVLQZCDRZTZVGVJSZVNTZIJABFVIVPVQVRAUCZWHVGVTVILZSZAVTOZVLQ
      ZCDRZTVTBUCZWJWKWDWMWGWPWKVSVGWCWLVRAFUDWKWBVIVTWKWAVHFVRAUFUGUHUIWKWFWOC
      DWKWEWNVLVRAVTUJUKULUMWQWMWIWPVNWQWLVJVGVTBVIUDUNWQWOVMCDWQWNVKVLVTBAUOUK
      ULUMUPVFVGWHVJVFWGJWBUQIFUQZWHVFWRICJDEFKGHURUSWGIJFWBUTVAVBVCVDVE $.
  $}

  ${
    $d A e $.  $d B e $.  $d e E $.  $d e G $.  $d e V $.
    cusgredgex.1 $e |- V = ( Vtx ` G ) $.
    cusgredgex.2 $e |- E = ( Edg ` G ) $.
    $( Any two (distinct) vertices in a complete simple graph are connected to
       each other by an edge.  (Contributed by BTernaryTau, 3-Oct-2023.) $)
    cusgredgex $p |- ( G e. ComplUSGraph ->
          ( ( A e. V /\ B e. ( V \ { A } ) ) -> { A , B } e. E ) ) $=
      ( ve wcel wa wceq wex wi syl sylib chash cfv c2 adantl cvv ccusgr csn cpr
      cdif wss wrex ccplgr cusgrcplgr cplgredgex imp df-rex wne eldifsni necomd
      cv hashprg mpbid cusgr cusgrusgr usgredgppr sylan adantr eqtr4d simpl cfn
      cn0 2nn0 hashvnfin mp2an fisshasheq syl3an1 3comr 3exp sylc 3com23 3expia
      vex 3impa imdistand eximdv mpd pm3.22 eqcom anbi1i eximi eleq1 ceqsexv ex
      prex ) DUAIZAEIZBEAUBUDZIZJZABUCZCIZWJWNJZHUOZWOKZWRCIZJZHLZWPWQWTWOWRKZJ
      ZHLZXBWQWTWOWRUEZJZHLZXEWQXFHCUFZXHWJWNXIWJDUGIWNXIMDUHABHCDEFGUINUJXFHCU
      KOWQXGXDHWQWTXFXCWJWNWTXFXCMZWJWTWNXJWJWTWNXJWJWTJZWNJZWOPQZWRPQZKZXKXJXL
      XMRXNWNXMRKZXKWNABULZXPWMXQWKWMBABEAUMUNSABEWLUPUQSXKXNRKZWNWJDURIWTXRDUS
      WRCDGUTVAZVBVCXKWNVDXOXKXFXCXKXFXOXCXKWRVEIZXFXOXCXKXRXTXSWRTIRVFIXRXTMHV
      QVGWRRTVHVINWOWRVJVKVLVMVNVRVOVPVSVTWAXDXAHXDXCWTJXAWTXCWBXCWSWTWOWRWCWDO
      WENWTWPHWOABWIWRWOCWFWGOWH $.
  $}

  ${
    cusgredgex2.1 $e |- V = ( Vtx ` G ) $.
    cusgredgex2.2 $e |- E = ( Edg ` G ) $.
    $( Any two distinct vertices in a complete simple graph are connected to
       each other by an edge.  (Contributed by BTernaryTau, 4-Oct-2023.) $)
    cusgredgex2 $p |- ( G e. ComplUSGraph ->
          ( ( A e. V /\ B e. V /\ A =/= B ) -> { A , B } e. E ) ) $=
      ( wcel wne w3a csn cdif wa ccusgr cpr eldifsn necom anbi2i sylbbr anim2i
      3impb cusgredgex syl5 ) AEHZBEHZABIZJUDBEAKLHZMZDNHABOCHUDUEUFUHUEUFMZUGU
      DUGUEBAIZMUIBEAPUJUFUEBAQRSTUAABCDEFGUBUC $.
  $}

  ${
    $d L k $.  $d P k x $.  $d F k x $.  $d G k x $.
    $( A prefix of a walk is a walk.  (Contributed by BTernaryTau,
       2-Dec-2023.) $)
    pfxwlk $p |- ( ( F ( Walks ` G ) P /\ L e. ( 0 ... ( # ` F ) ) ) ->
          ( F prefix L ) ( Walks ` G ) ( P prefix ( L + 1 ) ) ) $=
      ( vk vx cfv cc0 cfz co wcel wa c1 caddc wceq wss cfzo adantr syl adantl
      cwlks wbr chash cpfx ciedg cdm cword cvtx wf csn cpr wral eqid wlkf pfxcl
      wif cres wlkp cuz elfzuz3 fzss2 fssresd pfxlen sylan oveq2d feq2d wlkpwrd
      mpbird fzp1elp1 wlklenvp1 eleqtrrd pfxres syl2an2r elfzelz fzval3 reseq2d
      cv cz eqtr4d feq1d wlkprop simp3d eleq2d fveq1d fzossfz a1i sselda fvresd
      eqtr2d fzofzp1 jca ex sylbid imp ancli simpr fveq2d eqcomd simplr wkslem1
      wi fzoss2 rspcv wb eqeq12 eqeq12d preq12 sseq12d ifpbi123d biimpd sylsyld
      sneq mpd ralrimiva cvv w3a wlkv simp1d iswlkg mpbir3and ) BACUAGZUBZDHBUC
      GZIJZKZLZBDUDJZADMNJZUDJZYAUBZYGCUEGZUFZUGZKZHYGUCGZIJZCUHGZYIUIZEVQZYIGZ
      YSMNJZYIGZOZYSYGGZYKGZYTUJZOZYTUUBUKZUUEPZUPZEHYOQJZULZYFBYMKZYNYBUUMYEAB
      CYKYKUMZUNZRZYLBDUOSYFYRYPYQAHDIJZUQZUIZYFUUSUUQYQUURUIYFYDYQUUQAYBYDYQAU
      IZYEABCYQYQUMZURRYEUUQYDPZYBYEYCDUSGZKZUVBDHYCUTZDHYCVASTVBYFYPUUQYQUURYF
      YODHIYBUUMYEYODOUUOYLBDVCVDZVEVFVHYFYPYQYIUURYFYIAHYHQJZUQZUURYBAYQUGKYEY
      HHAUCGZIJZKYIUVHOABCYQUVAVGYFYHHYCMNJZIJZUVJYEYHUVLKYBDHYCVITYBUVJUVLOYEY
      BUVIUVKHIABCVJVERVKYQAYHVLVMYFUUQUVGAYEUUQUVGOZYBYEDVRKUVMDHYCVNHDVOSTVPV
      SZVTVHYFUUJEUUKYFYSUUKKZLZFVQZAGZUVQMNJAGZOUVQBGYKGZUVRUJOUVRUVSUKUVTPUPZ
      FHYCQJZULZUUJYFUWCUVOYBUWCYEYBUUMUUTUWCAFBCYKYQUVAUUNWAWBRRUVPYSAGZYTOZUU
      AAGZUUBOZLZYSBGZYKGZUUEOZLZUWCUWDUWFOZUWJUWDUJZOZUWDUWFUKZUWJPZUPZUUJUVPU
      WHUWKYFUVOUWHYFUVOYSHDQJZKZUWHYFUUKUWSYSYFYODHQUVFVEWCZYFUWTUWHYFUWTLZUWE
      UWGUXBYTYSUURGZUWDYFYTUXCOUWTYFYSYIUURUVNWDRUXBYSUUQAYFUWSUUQYSUWSUUQPYFH
      DWEWFWGWHWIUXBUUBUUAUURGZUWFYFUUBUXDOUWTYFUUAYIUURUVNWDRUXBUUAUUQAUWTUUAU
      UQKYFHDYSWJTWHWIWKWLWMWNUVPUWJYSBUWSUQZGZYKGZUUEYFUVOUWJUXGOZYFUVOUWTUXHU
      XAYFUWTUXHUXBUXGUWJYFYFUUMLZUWTUXGUWJOYFUUMUUPWOUXIUWTLZUXFUWIYKUXJYSUWSB
      UXIUWTWPWHWQVDWRWLWMWNUVPUUDUXFYKUVPYSYGUXEYFUUMUVOYEYGUXEOUUPYBYEUVOWSYL
      BDVLVMWDWQVSWKUVPYSUWBKUWCUWRXAYFUUKUWBYSYFYCYOUSGZKUUKUWBPYFYCUVCUXKYEUV
      DYBUVETYFYODUSUVFWQVKYOHYCXBSWGUWAUWRFYSUWBUVQYSABYKWTXCSUWLUWRUUJUWLUWMU
      WOUWQUUCUUGUUIUWHUWMUUCXDUWKUWDYTUWFUUBXERUWLUWJUUEUWNUUFUWHUWKWPZUWHUWNU
      UFOZUWKUWEUXMUWGUWDYTXLRRXFUWLUWPUUHUWJUUEUWHUWPUUHOUWKUWDUWFYTUUBXGRUXLX
      HXIXJXKXMXNYFCXOKZYJYNYRUULXPXDYBUXNYEYBUXNBXOKAXOKABCXQXRRYIEYGCYKYQXOUV
      AUUNXSSXT $.
  $}

  ${
    $d P k x $.  $d F k x $.  $d G k x $.
    $( The reverse of a walk is a walk.  (Contributed by BTernaryTau,
       30-Nov-2023.) $)
    revwlk $p |- ( F ( Walks ` G ) P ->
          ( reverse ` F ) ( Walks ` G ) ( reverse ` P ) ) $=
      ( vk vx cfv wcel cc0 chash co c1 caddc wceq cfzo oveq2d eqtrd cmin oveq1d
      syl adantr cwlks wbr creverse ciedg cdm cword cfz cvtx wf csn cpr wss wif
      cv wral eqid wlkf revcl wlkpwrd wrdf 3syl revlen wlklenvp1 cz wlkcl nn0zd
      fzval3 3eqtr4rd feq2d mpbird eleq2d biimpa wa c2 revfv sylan wlklenvm1 cc
      lencl nn0cnd sub1m1 fvoveq1d fveq2d fzonn0p1p1 eleqtrrd syl2an2r elfzoelz
      adantl zcnd 1cnd addcomd subsub4d 3eqtr2d sneqd sneq eqcom cn0 fzossfzop1
      subcld sseqtrrd sselda sub32d npcand 3eqtr3d eqeq12d syl5bb wi wn wkslem1
      wlkprop simp3d ubmelm1fzo eqeltrrd rspcdva dfifp2 sylib simpld sylbid imp
      notbid simprd prcom preq12d eqtr3id 3sstr4d ifpimpda syldan ralrimiva cvv
      w3a wb wlkv simp1d iswlkg mpbir3and ) BACUAFZUBZBUCFZAUCFZYPUBZYRCUDFZUEZ
      UFZGZHYRIFZUGJZCUHFZYSUIZDUNZYSFZUUIKLJZYSFZMZUUIYRFZUUAFZUUJUJZMZUUJUULU
      KZUUOULZUMZDHUUENJZUOZYQBUUCGZUUDABCUUAUUAUPZUQZUUBBURSYQUUHHYSIFZNJZUUGY
      SUIZYQAUUGUFZGZYSUVIGUVHABCUUGUUGUPZUSZUUGAURUUGYSUTVAYQUUFUVGUUGYSYQUUFH
      BIFZUGJZUVGYQUUEUVMHUGYQUVCUUEUVMMUVEUUBBVBSZOYQHAIFZNJZHUVMKLJZNJZUVGUVN
      YQUVPUVRHNABCVCOZYQUVFUVPHNYQUVJUVFUVPMUVLUUGAVBSOYQUVMVDGUVNUVSMYQUVMABC
      VEZVFHUVMVGSVHPVIVJYQUUTDUVAYQUUIUVAGZUUIHUVMNJZGZUUTYQUWBUWDYQUVAUWCUUIY
      QUUEUVMHNUVOOVKVLYQUWDVMZUUMUUQUUSUWEUUMVMZUUOUVPVNQJZUUIQJZBFZUUAFZUUPUW
      EUUOUWJMZUUMUWEUUNUWIUUAUWEUUNUVMKQJZUUIQJZBFZUWIYQUVCUWDUUNUWNMUVEUUBBUU
      IVOVPYQUWNUWIMUWDYQUWLUWGUUIBQYQUWLUVPKQJZKQJZUWGYQUVMUWOKQABCVQRYQUVJUVP
      VRGZUWPUWGMUVLUVJUVPUUGAVSVTZUVPWAVAZPZWBTPWCZTUWFUULUJZUWHAFZUJZUUPUWJUW
      EUXBUXDMUUMUWEUULUXCUWEUULUWOUUKQJZAFZUXCYQUVJUWDUUKUVQGUULUXFMUVLUWEUUKU
      VSUVQUWDUUKUVSGYQUUIUVMWDWHYQUVQUVSMUWDUVTTWEUUGAUUKVOWFUWEUXEUWHAUWEUXEU
      WOKUUILJZQJUWPUUIQJZUWHUWEUUKUXGUWOQUWEUUIKUWDUUIVRGYQUWDUUIUUIHUVMWGWIWH
      ZUWEWJZWKOUWEUWOKUUIUWEUVPKYQUWQUWDYQUVJUWQUVLUWRSTUXJWSZUXJUXIWLYQUXHUWH
      MUWDYQUWPUWGUUIQUWSRZTWMWCPZWNTUUMUUPUXBMUWEUUJUULWOWHUWEUUMUWJUXDMZUWEUU
      MUXCUWHKLJZAFZMZUXNUUMUULUUJMUWEUXQUUJUULWPUWEUULUXCUUJUXPUXMUWEUUJUWOUUI
      QJZAFZUXPYQUVJUWDUUIUVQGUUJUXSMUVLYQUWCUVQUUIYQUWCUVSUVQYQUVMWQGUWCUVSULU
      WAUVMWRSUVTWTXAUUGAUUIVOWFUWEUXRUXOAUWEUXRKQJZKLJUXHKLJZUXRUXOUWEUXTUXHKL
      UWEUWOUUIKUXKUXIUXJXBRUWEUXRKUWEUWOUUIUXKUXIWSUXJXCYQUYAUXOMUWDYQUXHUWHKL
      UXLRTXDWCPZXEXFZUWEUXQUXNXGZUXQXHZUXCUXPUKZUWJULZXGZUWEUXQUXNUYGUMZUYDUYH
      VMUWEEUNZAFZUYJKLJAFZMUYJBFUUAFZUYKUJMUYKUYLUKUYMULUMZUYIEUWCUWHUYJUWHABU
      UAXIYQUYNEUWCUOZUWDYQUVCUVNUUGAUIUYOAEBCUUAUUGUVKUVDXJXKTUWEUVMUUIQJKQJZU
      WHUWCUWEUYPUWMUWHUWEUVMUUIKYQUVMVRGUWDYQUVMUWAVTTUXIUXJXBUWEUWLUWGUUIQYQU
      WLUWGMUWDUWTTRPUWDUYPUWCGYQUUIUVMXLWHXMXNUXQUXNUYGXOXPZXQXRXSVHPUWEUUMXHZ
      VMUYFUWJUURUUOUWEUYRUYGUWEUYRUYEUYGUWEUUMUXQUYCXTUWEUYDUYHUYQYAXRXSUWEUUR
      UYFMUYRUWEUURUULUUJUKUYFUULUUJYBUWEUULUXCUUJUXPUXMUYBYCYDTUWEUWKUYRUXATYE
      YFYGYHYQCYIGZYTUUDUUHUVBYJYKYQUYSBYIGAYIGABCYLYMYSDYRCUUAUUGYIUVKUVDYNSYO
      $.
  $}

  $( Two words represent a walk if and only if their reverses also represent a
     walk.  (Contributed by BTernaryTau, 4-Dec-2023.) $)
  revwlkb $p |- ( ( F e. Word W /\ P e. Word U ) -> ( F ( Walks ` G ) P <->
    ( reverse ` F ) ( Walks ` G ) ( reverse ` P ) ) ) $=
    ( cword wcel cwlks cfv wbr creverse revwlk revrev breqan12d syl5ib impbid2
    wa ) CEFGZABFGZQZCADHIZJZCKIZAKIZUAJZACDLUEUCKIZUDKIZUAJTUBUDUCDLRSUFCUGAUA
    ECMBAMNOP $.

  $( Two matching subwords of a walk also represent a walk.  (Contributed by
     BTernaryTau, 7-Dec-2023.) $)
  swrdwlk $p |- ( ( F ( Walks ` G ) P /\ B e. ( 0 ... L ) /\
        L e. ( 0 ... ( # ` F ) ) ) -> ( F substr <. B , L >. ) ( Walks ` G )
        ( P substr <. B , ( L + 1 ) >. ) ) $=
    ( cfv wbr cc0 cfz co wcel chash cpfx creverse c1 caddc 3ad2ant2 wceq oveq2d
    3ad2ant1 cwlks w3a cmin cop csubstr pfxwlk 3adant2 revwlk syl fznn0sub2 cdm
    ciedg cword eqid wlkf pfxcl revlen 3syl pfxlen sylan eqtrd eleqtrrd syl2anc
    cz elfzel2 zcnd 1cnd elfzelz addsubd swrdrevpfx syl3an1 cvtx wlkpwrd fzelp1
    breqtrrd fzp1elp1 3ad2ant3 wlklenvp1 syl3anc 3brtr4d ) CBDUAFZGZAHEIJZKZEHC
    LFZIJKZUBZCEMJZNFZEAUCJZMJZNFZBEOPJZMJZNFZWMAUCJZMJZNFZCAEUDUEJZBAWMUDUEJZW
    AWGWKWQWAGWLWRWAGWGWKWOWJOPJZMJZWQWAWGWIWOWAGZWJHWILFZIJZKWKXBWAGWGWHWNWAGZ
    XCWBWFXFWDBCDEUFUGWNWHDUHUIWGWJWCXEWDWBWJWCKWFAEUJQWGXDEHIWGXDWHLFZEWGCDULF
    ZUKZUMZKZWHXJKXDXGRWBWDXKWFBCDXHXHUNUOZTXICEUPXIWHUQURWBWFXGERZWDWBXKWFXMXL
    XICEUSUTUGVASVBWOWIDWJUFVCWGWPXAWOMWGEOAWGEWDWBEVDKWFAHEVEQVFWGVGWGAWDWBAVD
    KWFAHEVHQVFVISVOWQWKDUHUIWBXKWDWFWSWLRXLAEXICVJVKWGBDVLFZUMKZAHWMIJKZWMHBLF
    ZIJZKWTWRRWBWDXOWFBCDXNXNUNVMTWDWBXPWFAHEVNQWGWMHWEOPJZIJZXRWFWBWMXTKWDEHWE
    VPVQWGXQXSHIWBWDXQXSRWFBCDVRTSVBAWMXNBVJVSVT $.

  ${
    pthhashvtx.1 $e |- V = ( Vtx ` G ) $.
    $( A graph containing a path has at least as many vertices as there are
       edges in the path.  (Contributed by BTernaryTau, 5-Oct-2023.) $)
    pthhashvtx $p |- ( F ( Paths ` G ) P -> ( # ` F ) <_ ( # ` V ) ) $=
      ( cfv wbr c1 co wcel cle cc0 cfz wceq syl cres wss cima c0 ax-mp cmin cn0
      cpths chash wa caddc hashfz0 cc cwlks pthiswlk wlkcl nn0cn 3syl sylan9eqr
      npcan1 cfn wf1 wfn wlkp ffnd fzfi resfnfinfin sylancl simpr fzssp1 oveq2d
      sseqtrid fssresd adantr ccnv wfun fz1ssfz0 a1i cfzo ctrls cpr cin simp2bi
      wf ispth cz nn0z fzoval reseq2d resabs1 eqtr4di cnveqd funeqd mpbid df-f1
      sylanbrc csn snsspr1 imass2 wb 0elfz snssd resima2 mpbiri imaeq2d eqtr4id
      sseq1 ineq2d simp3bi eqtrd syl2anr f1resfz0f1d cvv cvtx fvexi hashf1dmcdm
      ssdisj mp3an2 syl2an2r eqbrtrrd 0nn0m1nnn0 biimpri sylan hashge0 eqbrtrdi
      wn pm2.61dan ) BACUCFGZBUDFZHUAIZUBJZYDDUDFZKGYCYFUEZLYEMIZUDFZYDYGKYFYCY
      JYEHUFIZYDYEUGYCYDUBJZYDUHJYKYDNYCBACUIFGZYLABCUJZABCUKOZYDULYDUOUMZUNYCA
      YIPZUPJZYFYIDYQUQZYJYGKGZYCALYDMIZURYIUPJYRYCUUADAYCYMUUADAVSYNABCDEUSOZU
      TLYEVAUUAYIAVBVCYHYQYEDYCYFVDYCYIDYQVSYFYCUUADYIAUUBYCLYKMIYIUUALYEVEYCYK
      YDLMYPVFVGVHZVIYCHYEMIZDYQUUDPZUQZYFYCUUDDUUEVSUUEVJZVKZUUFYCYIDUUDYQUUCU
      UDYIQZYCYEVLZVMVHYCAHYDVNIZPZVJZVKZUUHYCBACVOFGZUUNALYDVPZRZAUUKRZVQZSNZA
      BCVTZVRYCUUMUUGYCUULUUEYCUULAUUDPZUUEYCUUKUUDAYCYLUUKUUDNZYOYLYDWAJUVCYDW
      BHYDWCOOZWDUUIUUEUVBNUUJAUUDYIWETWFWGWHWIUUDDUUEWJWKVIYFYQLWLZRZUUQQZUUQY
      QUUDRZVQZSNUVFUVHVQSNYCYFUVGAUVERZUUQQZUVEUUPQUVKLYDWMUVEUUPAWNTYFUVEYIQU
      VFUVJNUVGUVKWOYFLYIYEWPWQAUVEYIWRUVFUVJUUQXBUMWSYCUVIUUSSYCUVHUURUUQYCUVH
      AUUDRZUURUUIUVHUVLNUUJAUUDYIWRTYCUUKUUDAUVDWTXAXCYCUUOUUNUUTUVAXDXEUVFUUQ
      UVHXLXFXGYRDXHJZYSYTDCXIEXJZYIDYQUPXHXKXMXNXOYCYFYAZUEYDLYGKYCYLUVOYDLNZY
      OUVPYLUVOUEYDXPXQXRUVMLYGKGUVNDXHXSTXTYB $.
  $}

  $( A path is either a simple path or a cycle (or both).  (Contributed by
     BTernaryTau, 20-Oct-2023.) $)
  pthisspthorcycl $p |- ( F ( Paths ` G ) P ->
      ( F ( SPaths ` G ) P \/ F ( Cycles ` G ) P ) ) $=
    ( cpths cfv wbr cspths ccycls wn cc0 chash wceq wa pthdepisspth ex necon1bd
    wne anc2li iscycl syl6ibr orrd ) BACDEFZBACGEFZBACHEFZUBUCIZUBJAEZBKEAEZLZM
    UDUBUEUHUBUCUFUGUBUFUGQUCABCNOPRABCSTUA $.

  $( A walk is a trivial path if and only if it is both a simple path and a
     cycle.  (Contributed by BTernaryTau, 8-Oct-2023.) $)
  spthcycl $p |- ( ( F ( Paths ` G ) P /\ F = (/) ) <->
      ( F ( SPaths ` G ) P /\ F ( Cycles ` G ) P ) ) $=
    ( cfv wbr c0 wceq wa wfun cc0 chash co c1 caddc adantr cvv wcel sylan syl
    wn cpths cspths ccycls ctrls ccnv pthistrl cwlks pthiswlk c1o cen cvtx eqid
    cfz wlkp ffund wlklenvp1 simp2d hasheq0 biimpar oveq1 0p1e1 eqtrdi eqtrd wb
    simp3d hashen1 biimpa syldan funen1cnv syl2an2r isspth biimpri fveq2 eqcoms
    wlkv iscycl jca spthispth notnot wne cyclnspth com12 con3dimp sylan2 ancoms
    nne sylib impbii ) BACUADEZBFGZHZBACUBDEZBACUCDEZHZWKWLWMWIBACUDDEZWJAUEIZW
    LABCUFWIBACUGDEZWJWPABCUHZWQAIWJAUIUJEZWPWQJBKDZUMLCUKDZAABCXAXAULUNUOWQWJA
    KDZMGZWSWQWJHZXBWTMNLZMWQXBXEGWJABCUPOXDWTJGZXEMGWQBPQZWJXFWQCPQZXGAPQZABCV
    OZUQXGXFWJBPURUSRZXFXEJMNLMWTJMNUTVAVBSVCWQXCWSWQXIXCWSVDWQXHXGXIXJVEAPVFSV
    GVHAVIVJRWLWOWPHABCVKVLVJWIWJJADWTADGZWMWIWQWJXLWRXDXFXLXKXLJWTJWTAVMVNSRWM
    WIXLHABCVPVLVHVQWNWIWJWLWIWMABCVROWMWLWJWLWMWLTZTZWJWLVSWMXNHBFVTZTWJWMXOXM
    XOWMXMABCWAWBWCBFWFWGWDWEVQWH $.

  $( A non-trivial cycle in a simple graph has a length greater than 2.
     (Contributed by BTernaryTau, 24-Sep-2023.) $)
  usgrgt2cycl $p |- ( ( G e. USGraph /\ F ( Cycles ` G ) P /\ F =/= (/) ) ->
    2 < ( # ` F ) ) $=
    ( wcel cfv wbr c0 wne c2 clt c1 cc0 wa cn0 syl adantr cvv wb 3adant3 caddc
    cusgr ccycls w3a chash cr cwlks cycliswlk wlkcl nn0red cle relwlk brrelex1i
    nn0ge0d hasheq0 necon3bid bicomd 3syl biimpa ne0gt0d 3adant1 cumgr usgrumgr
    umgrn1cycl sylan 0nn0 nn0ltp1ne sylancr 0p1e1 breq1i neeq2i anbi2i 3ad2ant2
    co 3bitr3g mpbir2and usgrn2cycl df-2 1nn0 syl5bb bitr4di ) CUADZBACUBEFZBGH
    ZUCZIBUDEZJFZKWEJFZWEIHZWDWGLWEJFZWEKHZWBWCWIWAWBWCMWEWBWEUEDWCWBWEWBBACUFE
    ZFZWENDZABCUGZABCUHZOZUIPWBLWEUJFZWCWBWLWQWNWLWEWOUMOPWBWCWELHZWBWLBQDZWCWR
    RWNBAWKCUKULWSWRWCWSWELBGBQUNUOUPUQURUSUTWAWBWJWCWACVADWBWJCVBABCVCVDSWBWAW
    GWIWJMZRWCWBLKTVMZWEJFZWIWEXAHZMZWGWTWBLNDWMXBXDRVEWPLWEVFVGXAKWEJVHVIXCWJW
    IXAKWEVHVJVKVNVLVOWAWBWHWCABCVPSWDWFWGWEKKTVMZHZMZWGWHMWBWAWFXGRWCWFXEWEJFZ
    WBXGIXEWEJVQVIWBKNDWMXHXGRVRWPKWEVFVGVSVLWHXFWGIXEWEVQVJVKVTVO $.

  ${
    usgrcyclgt2v.1 $e |- V = ( Vtx ` G ) $.
    $( A simple graph with a non-trivial cycle must have at least 3 vertices.
       (Contributed by BTernaryTau, 5-Oct-2023.) $)
    usgrcyclgt2v $p |- ( ( G e. USGraph /\ F ( Cycles ` G ) P /\ F =/= (/) ) ->
              2 < ( # ` V ) ) $=
      ( cusgr wcel ccycls cfv wbr c0 c2 chash cxr a1i cxnn0 syl xnn0xr 3ad2ant2
      cvv wne w3a 2re rexri cn0 cwlks cycliswlk nn0xnn0 3syl cvtx hashxnn0 mp2b
      wlkcl fvexi usgrgt2cycl cle cpths cyclispth pthhashvtx xrltletrd ) CFGZBA
      CHIJZBKUAZUBZLBMIZDMIZLNGVDLUCUDOVBVAVENGZVCVBVEUEGZVEPGVGVBBACUFIJVHABCU
      GABCUMQVEUHVERUISVFNGZVDDTGVFPGVIDCUJEUNDTUKVFRULOABCUOVBVAVEVFUPJZVCVBBA
      CUQIJVJABCURABCDEUSQSUT $.
  $}

  ${
    $d P k $.  $d S k $.  $d k F $.  $d k G $.
    $( If a walk exists in a subgraph of a graph ` G ` , then that walk also
       exists in ` G ` .  (Contributed by BTernaryTau, 22-Oct-2023.) $)
    subgrwlk $p |- ( S SubGraph G ->
          ( F ( Walks ` S ) P -> F ( Walks ` G ) P ) ) $=
      ( vk wbr cwlks cfv ciedg wcel co wceq wss wral w3a wa cvv eqid syl wi cdm
      csubgr cword cc0 chash cfz cvtx wf cv c1 caddc csn cpr wif cfzo wb subgrv
      simpld iswlkg 3simpa cedg cpw subgrprop2 simp2d dmss sswrd 3syl sseld fss
      simp1d expcom syl5 3simpb cres subgrprop fveq1d 3ad2ant1 wrdsymbcl fvresd
      anim12d 3adant1 eqtrd eqeq1d sseq2d ifpbi23d biimpd 3expia ralrimiv ralim
      expimpd jcad sylbid df-3an syl6ibr simpl2im sylibrd ) BDUBFZCABGHFZCDIHZU
      AZUCZJZUDCUEHZUFKZDUGHZAUHZEUIZAHZXGUJUKKAHZLZXGCHZWSHZXHULZLZXHXIUMZXLMZ
      UNZEUDXCUOKZNZOZCADGHFZWQWRXBXFPZXSPZXTWQWRCBIHZUAZUCZJZXDBUGHZAUHZXJXKYD
      HZXMLZXOYJMZUNZEXRNZOZYCWQBQJZWRYOUPWQYPDQJZBDUQZURAECBYDYHQYHRZYDRZUSSWQ
      YOYBXSYOYGYIPWQYBYGYIYNUTWQYGXBYIXFWQYFXACWQYDWSMZYEWTMYFXAMWQYHXEMZUUABV
      AHZYHVBMZXEWSBUUCDYDYHYSXERZYTWSRZUUCRZVCZVDYDWSVEYEWTVFVGVHWQUUBYIXFTWQU
      UBUUAUUDUUHVJYIUUBXFXDYHXEAVIVKSVTVLYOYGYNPWQXSYGYIYNVMWQYGYNXSWQYGPZYMXQ
      TZEXRNYNXSTUUIUUJEXRWQYGXGXRJZUUJWQYGUUKOZYMXQUULXJYKYLXNXPUULYJXLXMUULYJ
      XKWSYEVNZHZXLWQYGYJUUNLUUKWQXKYDUUMWQUUBYDUUMLUUDXEWSBUUCDYDYHYSUUEYTUUFU
      UGVOVDVPVQYGUUKUUNXLLWQYGUUKPXKYEWSXGYECVRVSWAWBZWCUULYJXLXOUUOWDWEWFWGWH
      YMXQEXRWISWJVLWKWLXBXFXSWMWNWQYPYQYAXTUPYRAECDWSXEQUUEUUFUSWOWP $.
  $}

  $( If a trail exists in a subgraph of a graph ` G ` , then that trail also
     exists in ` G ` .  (Contributed by BTernaryTau, 22-Oct-2023.) $)
  subgrtrl $p |- ( S SubGraph G ->
          ( F ( Trails ` S ) P -> F ( Trails ` G ) P ) ) $=
    ( csubgr wbr cwlks cfv ccnv wfun wa ctrls subgrwlk anim1d istrl 3imtr4g ) B
    DEFZCABGHFZCIJZKCADGHFZSKCABLHFCADLHFQRTSABCDMNACBOACDOP $.

  $( If a path exists in a subgraph of a graph ` G ` , then that path also
     exists in ` G ` .  (Contributed by BTernaryTau, 22-Oct-2023.) $)
  subgrpth $p |- ( S SubGraph G ->
          ( F ( Paths ` S ) P -> F ( Paths ` G ) P ) ) $=
    ( csubgr wbr ctrls cfv c1 chash cfzo co cres ccnv wfun cima w3a cpths ispth
    idd cc0 cpr cin c0 wceq subgrtrl 3anim123d 3imtr4g ) BDEFZCABGHFZAICJHZKLZM
    NOZAUAUKUBPAULPUCUDUEZQCADGHFZUMUNQCABRHFCADRHFUIUJUOUMUMUNUNABCDUFUIUMTUIU
    NTUGACBSACDSUH $.

  $( If a cycle exists in a subgraph of a graph ` G ` , then that cycle also
     exists in ` G ` .  (Contributed by BTernaryTau, 23-Oct-2023.) $)
  subgrcycl $p |- ( S SubGraph G ->
          ( F ( Cycles ` S ) P -> F ( Cycles ` G ) P ) ) $=
    ( csubgr wbr cpths cfv cc0 chash wceq ccycls subgrpth anim1d iscycl 3imtr4g
    wa ) BDEFZCABGHFZIAHCJHAHKZQCADGHFZTQCABLHFCADLHFRSUATABCDMNACBOACDOP $.

  ${
    $d V a b c $.  $d f G p a b c $.
    cusgr3cyclex.1 $e |- V = ( Vtx ` G ) $.
    $( Every complete simple graph with more than two vertices has a 3-cycle.
       (Contributed by BTernaryTau, 4-Oct-2023.) $)
    cusgr3cyclex $p |- ( ( G e. ComplUSGraph /\ 2 < ( # ` V ) ) ->
          E. f E. p ( f ( Cycles ` G ) p /\ ( # ` f ) = 3 ) ) $=
      ( va vb vc wcel cv wne w3a wrex cfv wa wex wi cpr df-3an cusgredgex2 wceq
      ccusgr ccycls wbr chash c3 c2 clt 3anass bianass cumgr cusgrusgr usgrumgr
      cedg cusgr syl 3simpc ancli biimpi an32 anbi1i anass sylbb anasss anandi3
      syl2an an4 eqid syl5bir anim12d syl5 3anan32 eleq1i 3anbi3i bitr3i syl6ib
      prcom pm5.3 sylib umgr3cyclex 3simpa 2eximi 3expib sylsyld expdimp sylbir
      cc0 reximdvva reximdva id rexlimivw syl6 cvtx fvexi hashgt23el mpan impel
      cvv ) BUBIZFJZGJZKZWTHJZKZXAXCKZLZHCMGCMZFCMZAJZDJZBUCNUDZXIUENUFUAZOZDPA
      PZUGCUENUHUDZWSXHXNHCMZGCMZFCMXNWSXGXQFCWSWTCIZOZXFXNGHCCXSXACIZXCCIZOZOW
      SXRXTYALZOXFXNQYCXRYBWSXRXTYAUIUJWSYCXFXNWSBUKIZYCXFOZYCWTXARBUNNZIZXAXCR
      YFIZXCWTRZYFIZLZOZXNWSBUOIYDBULBUMUPWSYEYKQYEYLQWSYEYGWTXCRZYFIZOZYHOZYKY
      EYCXBXDOZOZYBXEOZOZWSYPYCYCYBOZYQXEOZYTXFYCYBXRXTYAUQURXFUUBXBXDXESUSUUAY
      QXEYTUUAYQOZXEOYRYBOZXEOYTUUCUUDXEYCYBYQUTVAYRYBXEVBVCVDVFWSYRYOYSYHYRXRX
      TOZXBOZXRYAOZXDOZOZWSYOYRUUEUUGOZYQOUUIYCUUJYQXRXTYAVEVAUUEUUGXBXDVGVCWSU
      UFYGUUHYNUUFXRXTXBLWSYGXRXTXBSWTXAYFBCEYFVHZTVIUUHXRYAXDLWSYNXRYAXDSWTXCY
      FBCEUUKTVIVJVKYSXTYAXELWSYHXTYAXESXAXCYFBCEUUKTVIVJVKYPYGYHYNLYKYGYHYNVLY
      NYJYGYHYMYIYFWTXCVQVMVNVOVPYCXFYKVRVSYDYCYKXNYDYCYKLXKXLWGXJNWTUAZLZDPAPX
      NWTXAXCAYFBCDEUUKVTUUMXMADXKXLUULWAWBUPWCWDWEWFWHWIXQXNFCXPXNGCXNXNHCXNWJ
      WKWKWKWLCWRIXOXHCBWMEWNCWRFGHWOWPWQ $.
  $}

  ${
    $d A j $.  $d G p $.  $d A f p $.  $d f j G $.
    $( A hypergraph has a cycle of length one if and only if it has a loop.
       (Contributed by BTernaryTau, 13-Oct-2023.) $)
    loop1cycl $p |- ( G e. UHGraph ->
      ( E. f E. p ( f ( Cycles ` G ) p /\ ( # ` f ) = 1 /\ ( p ` 0 ) = A ) <->
      { A } e. ( Edg ` G ) ) ) $=
      ( vj wcel cv cfv wbr chash c1 wceq cc0 w3a wex csn wi wa syl wrex anabss3
      cuhgr ccycls cedg cwlks cpths cyclprop fveq2 eqeq2d anbi2d mpan9 pthiswlk
      biimpd anim1i df-3an 3ancomb sylib ciedg wfun wlkl1loop expl eqid uhgrfun
      sylibr syl11 3impb 3adant3 sneq eleq1d 3ad2ant3 sylibd exlimivv com12 cs2
      cs1 wal cdm crn edgval eleq2i elrnrexdm eqcom rexbii syl6ib syl5bi df-rex
      wb lp1cycl 3expib eximdv syld s1len ax-gen 19.29r mpan2 syl6 imp cvv cvtx
      wne cdif uhgredgn0 eldifsni snnzb s2fv0 alrimiv syl2anc exbii cword s1cli
      c0 cpw breq1 fveqeq2 3anbi12d rspcev mpan rexex exlimiv s2cli breq2 fveq1
      eqeq1d 3anbi13d eximi ex impbid ) CUBFZBGZDGZCUCHZIZYIJHZKLZMYJHZALZNZDOZ
      BOZAPZCUDHZFZYSYHUUBYQYHUUBQBDYQYHYOPZUUAFZUUBYLYNYHUUDQZYPYLYNRZYIYJCUEH
      IZYNYOKYJHZLZNZUUEUUFUUGUUIYNNZUUJUUFUUGUUIRZYNRZUUKYLYNUUMUUFUULYNUUFYIY
      JCUFHIZUUIRZUULYLUUNYOYMYJHZLZRZYNUUOYJYICUGYNUURUUOYNUUQUUIUUNYNUUPUUHYO
      YMKYJUHUIUJUMUKUUNUUGUUIYJYICULUNSUNUAUUGUUIYNUOVDUUGUUIYNUPUQUUGYNUUIUUE
      CURHZUSZUUGYNUUIRZRUUDYHUUTUUGUVAUUDYJYICUTVAUUSCUUSVBZVCZVEVFSVGYPYLUUDU
      UBWGYNYPUUCYTUUAYOAVHVIVJVKVLVMYHUUBYSYHUUBRZYIAAVNZYKIZYNMUVEHZALZNZBOZY
      SUVDEGZVOZUVEYKIZUVLJHKLZUVHNZEOZUVJUVDUVMUVNRZUVHRZEOZUVPUVDUVQEOZUVHEVP
      UVSYHUUBUVTYHUUBUVMEOZUVTYHUUBUVKUUSVQZFZUVKUUSHZYTLZRZEOZUWAYHUUBUWEEUWB
      TZUWGYHUUTUUBUWHQUVCUUBYTUUSVRZFZUUTUWHUUAUWIYTCVSVTUUTUWJYTUWDLZEUWBTUWH
      EUUSYTWAUWKUWEEUWBYTUWDWBWCWDWESUWEEUWBWFWDYHUWFUVMEYHUWCUWEUVMACUUSUVKUV
      BWHWIWJWKUWAUVNEVPUVTUVNEUVKWLWMUVMUVNEWNWOWPWQUVDUVHEUVDAWRFZUVHUVDYTXKW
      TZUWLUVDYTCWSHXLZXKPXAFUWMYTCXBYTUWNXKXCSAXDVDAAWRXESXFUVQUVHEWNXGUVOUVRE
      UVMUVNUVHUOXHVDUVOUVJEUVOUVIBWRXIZTZUVJUVLUWOFUVOUWPUVKXJUVIUVOBUVLUWOYIU
      VLLUVFUVMYNUVNUVHYIUVLUVEYKXMYIUVLKJXNXOXPXQUVIBUWOXRSXSSUVIYRBUVIYQDUWOT
      ZYRUVEUWOFUVIUWQAAXTYQUVIDUVEUWOYJUVELZYLUVFYPUVHYNYJUVEYIYKYAUWRYOUVGAMY
      JUVEYBYCYDXPXQYQDUWOXRSYESYFYG $.
  $}

  ${
    2cycld.1 $e |- P = <" A B C "> $.
    2cycld.2 $e |- F = <" J K "> $.
    2cycld.3 $e |- ( ph -> ( A e. V /\ B e. V /\ C e. V ) ) $.
    2cycld.4 $e |- ( ph -> ( A =/= B /\ B =/= C ) ) $.
    2cycld.5 $e |- ( ph ->
          ( { A , B } C_ ( I ` J ) /\ { B , C } C_ ( I ` K ) ) ) $.
    2cycld.6 $e |- V = ( Vtx ` G ) $.
    2cycld.7 $e |- I = ( iEdg ` G ) $.
    2cycld.8 $e |- ( ph -> J =/= K ) $.
    2cycld.9 $e |- ( ph -> A = C ) $.
    $( Construction of a 2-cycle from two given edges in a graph.  (Contributed
       by BTernaryTau, 16-Oct-2023.) $)
    2cycld $p |- ( ph -> F ( Cycles ` G ) P ) $=
      ( cpths cfv wbr cc0 chash wceq ccycls 2pthd wcel w3a wa cs3 fveq1i syl5eq
      s3fv0 3ad2ant1 adantr simpr cs2 fveq2i s2len eqtri fveq12i s3fv2 3ad2ant3
      c2 eqtr2id 3eqtrd syl2anc iscycl sylanbrc ) AFEGUAUBUCUDEUBZFUEUBZEUBZUFZ
      FEGUGUBUCABCDEFGHIJKLMNOPQRSUHABKUIZCKUIZDKUIZUJZBDUFZVONTVSVTUKVLBDVNVSV
      LBUFZVTVPVQWAVRVPVLUDBCDULZUBBUDEWBLUMBCDKUOUNUPUQVSVTURVSDVNUFZVTVRVPWCV
      QVRVNVFWBUBDVMVFEWBLVMIJUSZUEUBVFFWDUEMUTIJVAVBVCBCDKVDVGVEUQVHVIEFGVJVK
      $.
  $}

  ${
    2cycl2d.1 $e |- P = <" A B A "> $.
    2cycl2d.2 $e |- F = <" J K "> $.
    2cycl2d.3 $e |- ( ph -> ( A e. V /\ B e. V ) ) $.
    2cycl2d.4 $e |- ( ph -> A =/= B ) $.
    2cycl2d.5 $e |- ( ph ->
          ( { A , B } C_ ( I ` J ) /\ { A , B } C_ ( I ` K ) ) ) $.
    2cycl2d.6 $e |- V = ( Vtx ` G ) $.
    2cycl2d.7 $e |- I = ( iEdg ` G ) $.
    2cycl2d.8 $e |- ( ph -> J =/= K ) $.
    $( Construction of a 2-cycle from two given edges in a graph.  (Contributed
       by BTernaryTau, 16-Oct-2023.) $)
    2cycl2d $p |- ( ph -> F ( Cycles ` G ) P ) $=
      ( wa wss wcel w3a simpl jccir df-3an sylibr wne necomd jca cpr cfv sseq1i
      prcom anbi2i sylib eqidd 2cycld ) ABCBDEFGHIJKLABJUAZCJUAZSZURSURUSURUBAU
      TURMURUSUCUDURUSURUEUFABCUGCBUGNABCNUHUIABCUJZHGUKTZVAIGUKZTZSVBCBUJZVCTZ
      SOVDVFVBVAVEVCBCUMULUNUOPQRABUPUQ $.
  $}

  ${
    $d ph a b $.  $d I a b $.  $d J a b $.  $d F p a b $.  $d G p a b $.
    umgr2cycllem.1 $e |- F = <" J K "> $.
    umgr2cycllem.2 $e |- I = ( iEdg ` G ) $.
    umgr2cycllem.3 $e |- ( ph -> G e. UMGraph ) $.
    umgr2cycllem.4 $e |- ( ph -> J e. dom I ) $.
    umgr2cycllem.5 $e |- ( ph -> J =/= K ) $.
    umgr2cycllem.6 $e |- ( ph -> ( I ` J ) = ( I ` K ) ) $.
    $( Lemma for ~ umgr2cycl .  (Contributed by BTernaryTau, 17-Oct-2023.) $)
    umgr2cycllem $p |- ( ph -> E. p F ( Cycles ` G ) p ) $=
      ( va vb cv cfv wa wrex wcel wne cpr wceq cvtx wbr wex cumgr cedg wfun cdm
      ccycls cuhgr umgruhgr uhgrfun 3syl iedgedg syl2anc eqid umgredg wral ax-5
      wal alral syl r19.29 sylan cs3 w3a simp2 simp3l wss eqimss2 adantl sseq2d
      wi 3ad2ant3 syl5ib adantld 3impib jca 3ad2ant1 2cycl2d 3expib exp4c com23
      imp4a cvv cword s3cli breq2 rspcev mpan rexex syl8 rexlimdv syl5 expd mpd
      ) ANPZOPZUAZEDQZWSWTUBZUCZRZOCUDQZSZNXFSZBGPZCUKQZUEZGUFZACUGTZXBCUHQZTZX
      HJADUIZEDUJTXOAXMCULTXPJCUMDCIUNUOKDCEIUPUQXBXNCXFNOXFURZXNURUSUQAXGXLNXF
      AWSXFTZXGXLXRXGRXRXERZOXFSZAXLXRXROXFUTZXGXTXRXROVBYAXROVAXROXFVCVDXRXEOX
      FVEVFAXSXLOXFAWTXFTZXSBWSWTWSVGZXJUEZXLAYBXRXEYDAXRYBXEYDVOAXRYBXEYDAXRYB
      RZXEYDAYEXEVHZWSWTYCBCDEFXFYCURHAYEXEVIAYEXAXDVJYFXCXBVKZXCFDQZVKZXEAYGYE
      XDYGXAXCXBVLZVMVPAYEXEYIAXEYIYEAXDYIXAXDYGAYIYJAXBYHXCMVNVQVRVRVSVTXQIAYE
      EFUAXELWAWBWCWDWEWFYDXKGWGWHZSZXLYCYKTYDYLWSWTWSWIXKYDGYCYKXIYCBXJWJWKWLX
      KGYKWMVDWNWOWPWQWOWR $.
  $}

  ${
    $d k I $.  $d f j k G p $.
    umgr2cycl.1 $e |- I = ( iEdg ` G ) $.
    $( A multigraph with two distinct edges that connect the same vertices has
       a 2-cycle.  (Contributed by BTernaryTau, 17-Oct-2023.) $)
    umgr2cycl $p |- ( ( G e. UMGraph /\
          E. j e. dom I E. k e. dom I ( ( I ` j ) = ( I ` k ) /\ j =/= k ) ) ->
          E. f E. p ( f ( Cycles ` G ) p /\ ( # ` f ) = 2 ) ) $=
      ( cumgr wcel cv cfv wceq wa wrex wbr chash c2 wex wal syl wne ccycls wral
      cdm ax-5 alral r19.29 sylan w3a cs2 eqid simp1 simp3r simp3l umgr2cycllem
      simp2 s2len ax-gen 19.29r cvv cword s2cli breq1 fveqeq2 rspcev mpan rexex
      anbi12d eximi excomim 3syl sylancl 3expib rexlimdvw syl5 expd rexlimdv
      imp ) DHIZBJZEKCJZEKLZVTWAUAZMZCEUDZNZBWENAJZFJZDUBKZOZWGPKQLZMZFRARZVSWF
      WMBWEVSVTWEIZWFWMWNWFMWNWDMZCWENZVSWMWNWNCWEUCZWFWPWNWNCSWQWNCUEWNCWEUFTW
      NWDCWEUGUHVSWOWMCWEVSWNWDWMVSWNWDUIZVTWAUJZWHWIOZFRZWSPKQLZFSZWMWRWSDEVTW
      AFWSUKGVSWNWDULVSWNWDUPVSWNWBWCUMVSWNWBWCUNUOXBFVTWAUQURXAXCMWTXBMZFRWLAR
      ZFRWMWTXBFUSXDXEFXDWLAUTVAZNZXEWSXFIXDXGVTWAVBWLXDAWSXFWGWSLWJWTWKXBWGWSW
      HWIVCWGWSQPVDVHVEVFWLAXFVGTVIWLFAVJVKVLVMVNVOVPVQVR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Acyclic graphs
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c AcyclicGraph $.

  $( Extend class notation with acyclic graphs. $)
  cacycgr $a class AcyclicGraph $.

  ${
    $d f g p $.
    $( Define the class of all acyclic graphs.  A graph is called _acyclic_ if
       it has no (non-trivial) cycles.  (Contributed by BTernaryTau,
       11-Oct-2023.) $)
    df-acycgr $a |- AcyclicGraph =
              { g | -. E. f E. p ( f ( Cycles ` g ) p /\ f =/= (/) ) } $.

    $( An alternate definition of the class of all acyclic graphs that requires
       all cycles to be trivial.  (Contributed by BTernaryTau, 11-Oct-2023.) $)
    dfacycgr1 $p |- AcyclicGraph =
              { g | A. f A. p ( f ( Cycles ` g ) p -> f = (/) ) } $=
      ( cacycgr cv ccycls cfv wbr c0 wne wa wex cab wceq wal df-acycgr 2exanali
      wn wi df-ne anbi2i 2exbii xchnxbir abbii eqtri ) DAEZCEBEFGHZUFIJZKZCLALZ
      RZBMUGUFINZSCOAOZBMABCPUKUMBUGULRZKZCLALUMUJUGULACQUIUOACUHUNUGUFITUAUBUC
      UDUE $.
  $}

  ${
    $d f g G p $.
    $( The property of being an acyclic graph.  (Contributed by BTernaryTau,
       11-Oct-2023.) $)
    isacycgr $p |- ( G e. W -> ( G e. AcyclicGraph <->
              -. E. f E. p ( f ( Cycles ` G ) p /\ f =/= (/) ) ) ) $=
      ( vg cv ccycls cfv wbr c0 wne wa wex wn cacycgr wceq fveq2 anbi1d 2exbidv
      breqd notbid df-acycgr elab2g ) AFZDFZEFZGHZIZUDJKZLZDMAMZNUDUEBGHZIZUILZ
      DMAMZNEBOCUFBPZUKUOUPUJUNADUPUHUMUIUPUGULUDUEUFBGQTRSUAAEDUBUC $.

    $( The property of being an acyclic graph.  (Contributed by BTernaryTau,
       11-Oct-2023.) $)
    isacycgr1 $p |- ( G e. W -> ( G e. AcyclicGraph <->
              A. f A. p ( f ( Cycles ` G ) p -> f = (/) ) ) ) $=
      ( vg cv ccycls cfv wbr c0 wceq wal cacycgr fveq2 imbi1d 2albidv dfacycgr1
      wi breqd elab2g ) AFZDFZEFZGHZIZUAJKZRZDLALUAUBBGHZIZUFRZDLALEBMCUCBKZUGU
      JADUKUEUIUFUKUDUHUAUBUCBGNSOPAEDQT $.
  $}

  ${
    $d P f p $.  $d f F p $.  $d f G p $.
    $( Any cycle in an acyclic graph is trivial (i.e. has one vertex and no
       edges).  (Contributed by BTernaryTau, 12-Oct-2023.) $)
    acycgrcycl $p |- ( ( G e. AcyclicGraph /\ F ( Cycles ` G ) P ) ->
              F = (/) ) $=
      ( vf vp cacycgr wcel ccycls cfv wbr c0 wceq wi wa cv cvv cwlks w3a adantl
      wal cycliswlk syl simp2d simp3d breq1 eqeq1 imbi12d breq2 imbi1d sylan9bb
      wlkv isacycgr1 ibi 19.21bbi adantr vtocl2d ex pm2.43d imp ) CFGZBACHIZJZB
      KLZUTVBVCUTVBVBVCMZUTVBNDOZEOZVAJZVEKLZMZVDDEBAPPVBBPGZUTVBCPGZVJAPGZVBBA
      CQIJVKVJVLRABCUAABCUKUBZUCSVBVLUTVBVKVJVLVMUDSVEBLZVIBVFVAJZVCMVFALZVDVNV
      GVOVHVCVEBVFVAUEVEBKUFUGVPVOVBVCVFABVAUHUIUJUTVIVBUTVIDEUTVIETDTDCFEULUMU
      NUOUPUQURUS $.
  $}

  ${
    $d f g p $.  $d f G p $.  $d f V p $.
    acycgr0v.1 $e |- V = ( Vtx ` G ) $.
    $( A null graph (with no vertices) is an acyclic graph.  (Contributed by
       BTernaryTau, 11-Oct-2023.) $)
    acycgr0v $p |- ( ( G e. W /\ V = (/) ) -> G e. AcyclicGraph ) $=
      ( vf vp vg c0 wceq wcel cv ccycls cfv wbr wne wa wex wn df-br nexdv cwlks
      cacycgr br0 wss cpths cc0 chash cvv df-cycls relmptopab cycliswlk 3imtr3i
      wb cop relssi cvtx eqeq1i g0wlk0 sylbi sseqtrid breq notbid 3syl intnanrd
      ss0 mpbiri isacycgr biimpar sylan2 ) BHIZACJZEKZFKZALMZNZVLHOZPZFQZEQRZAU
      BJZVJVREVJVQFVJVOVPVJVORZVLVMHNZRZVLVMUCVJVNHUDVNHIZWAWCUMVJAUAMZVNHEFVNW
      EVLVMGKUEMNUFVMMVLUGMVMMIPGEFUHALEGFUIUJVOVLVMWENVLVMUNZVNJWFWEJVMVLAUKVL
      VMVNSVLVMWESULUOVJAUPMZHIWEHIBWGHDUQAURUSUTVNVEWDVOWBVLVMVNHVAVBVCVFVDTTV
      KVTVSEACFVGVHVI $.
  $}

  ${
    $d f G p $.  $d f V p $.
    acycgrv.1 $e |- V = ( Vtx ` G ) $.
    $( A multigraph with one vertex is an acyclic graph.  (Contributed by
       BTernaryTau, 12-Oct-2023.) $)
    acycgr1v $p |- ( ( G e. UMGraph /\ ( # ` V ) = 1 ) ->
              G e. AcyclicGraph ) $=
      ( vf vp cumgr wcel chash cfv c1 wceq wa cv wbr wal cle wne syl adantr wb
      cacycgr ccycls c0 wi w3a cc0 clt cpths cyclispth pthhashvtx breq2 3adant1
      adantl mpbid umgrn1cycl 3adant3 necomd cwlks cycliswlk nn0red 1red ltlend
      wlkcl 3ad2ant2 mpbir2and cn0 nn0lt10b cvv hasheq0 elv sylib 3com23 3expia
      3syl alrimivv isacycgr1 mpbird ) AFGZBHIZJKZLZAUAGZDMZEMZAUBINZWCUCKZUDZE
      ODOZWAWGDEVRVTWEWFVRWEVTWFVRWEVTUEZWCHIZUFKZWFWIWJJUGNZWKWIWLWJJPNZJWJQZW
      EVTWMVRWEVTLWJVSPNZWMWEWOVTWEWCWDAUHINWOWDWCAUIWDWCABCUJRSVTWOWMTWEVSJWJP
      UKUMUNULWIWJJVRWEWJJQVTWDWCAUOUPUQWEVRWLWMWNLTZVTWEWCWDAURINZWPWDWCAUSZWQ
      WJJWQWJWDWCAVCZUTWQVAVBRVDVEWEVRWLWKTZVTWEWQWJVFGWTWRWSWJVGVNVDUNWKWFTDWC
      VHVIVJVKVLVMVOVRWBWHTVTDAFEVPSVQ $.

    $( A simple graph with two vertices is an acyclic graph.  (Contributed by
       BTernaryTau, 12-Oct-2023.) $)
    acycgr2v $p |- ( ( G e. USGraph /\ ( # ` V ) = 2 ) ->
              G e. AcyclicGraph ) $=
      ( vf vp cusgr wcel chash cfv c2 wceq wa cv wbr wne wex wn cxr cvv nexdv
      cacycgr ccycls w3a clt usgrcyclgt2v 2re rexri fvexi hashxrcl ax-mp xrltne
      c0 cvtx mp3an12 neneqd syl 3expib con2d imp wb isacycgr adantr mpbird ) A
      FGZBHIZJKZLZAUAGZDMZEMZAUBINZVIULOZLZEPZDPQZVGVNDVGVMEVDVFVMQVDVMVFVDVKVL
      VFQZVDVKVLUCJVEUDNZVPVJVIABCUEVQVEJJRGVERGZVQVEJOJUFUGBSGVRBAUMCUHBSUIUJJ
      VEUKUNUOUPUQURUSTTVDVHVOUTVFDAFEVAVBVC $.
  $}

  ${
    $d f g p $.  $d f G p $.  $d f V p $.
    prclisacycgr.1 $e |- V = ( Vtx ` G ) $.
    $( A proper class (representing a null graph, see ~ vtxvalprc ) has the
       property of an acyclic graph (see also ~ acycgr0v ).  (Contributed by
       BTernaryTau, 11-Oct-2023.)  (New usage is discouraged.) $)
    prclisacycgr $p |- ( -. G e. _V ->
              -. E. f E. p ( f ( Cycles ` G ) p /\ f =/= (/) ) ) $=
      ( vg cvv wcel wn c0 wceq cv ccycls cfv wbr wa wex cvtx df-br nexdv syl5eq
      wne fvprc br0 wss cwlks cpths cc0 chash df-cycls relmptopab cop cycliswlk
      3imtr3i relssi eqeq1i g0wlk0 sylbi sseqtrid ss0 breq notbid 3syl intnanrd
      wb mpbiri syl ) BGHIZCJKZALZDLZBMNZOZVJJUBZPZDQZAQIVHCBRNZJEBRUCUAVIVPAVI
      VODVIVMVNVIVMIZVJVKJOZIZVJVKUDVIVLJUEVLJKZVRVTVEVIBUFNZVLJADVLWBVJVKFLUGN
      OUHVKNVJUINVKNKPFADGBMAFDUJUKVMVJVKWBOVJVKULZVLHWCWBHVKVJBUMVJVKVLSVJVKWB
      SUNUOVIVQJKWBJKCVQJEUPBUQURUSVLUTWAVMVSVJVKVLJVAVBVCVFVDTTVG $.
  $}

  ${
    $d x V $.  $d x G a $.  $d f G p a $.
    acycgrislfgr.1 $e |- V = ( Vtx ` G ) $.
    acycgrislfgr.2 $e |- I = ( iEdg ` G ) $.
    $( An acyclic hypergraph is a loop-free hypergraph.  (Contributed by
       BTernaryTau, 15-Oct-2023.) $)
    acycgrislfgr $p |- ( ( G e. AcyclicGraph /\ G e. UHGraph ) ->
              I : dom I --> { x e. ~P V | 2 <_ ( # ` x ) } ) $=
      ( va vf vp wcel cuhgr wa cv chash cfv wbr wex wn wceq 2eximi cacycgr crab
      cdm c2 cle cpw wf csn cedg ccycls c0 wne isacycgr biimpac wi c1 loop1cycl
      cc0 w3a 3simpa syl6bir exlimdv cvv vex hash1n0 mpan anim2i syl6 con3d mpd
      adantl wb lfuhgr3 mpbird ) BUAJZBKJZLZCUCUDAMNOUEPADUFUBCUGZGMZUHBUIOJZGQ
      ZRZVQHMZIMZBUJOPZWCUKULZLZIQHQZRZWBVPVOWIHBKIUMUNVPWIWBUOVOVPWAWHVPWAWEWC
      NOUPSZLZIQHQZWHVPVTWLGVPVTWEWJURWDOVSSZUSZIQHQWLVSHBIUQWNWKHIWEWJWMUTTVAV
      BWKWGHIWJWFWEWCVCJWJWFHVDWCVCVEVFVGTVHVIVKVJVPVRWBVLVOABCDGEFVMVKVN $.
  $}

  ${
    $d x G $.
    $( An acyclic pseudograph is a multigraph.  (Contributed by BTernaryTau,
       15-Oct-2023.) $)
    upgracycumgr $p |- ( ( G e. UPGraph /\ G e. AcyclicGraph ) ->
              G e. UMGraph ) $=
      ( vx cupgr wcel cacycgr ciedg cfv cdm c2 cv chash cle wbr cvtx crab cumgr
      cpw wf wa eqid cuhgr anim1ci acycgrislfgr syl umgrislfupgr biimpri syldan
      upgruhgr ) ACDZAEDZAFGZHIBJKGLMBANGZQOUKRZAPDZUIUJSUJAUADZSUMUIUOUJAUHUBB
      AUKULULTZUKTZUCUDUNUIUMSBAUKULUPUQUEUFUG $.
  $}

  ${
    $d x G $.  $d f j k G p $.
    $( An acyclic multigraph is a simple graph.  (Contributed by BTernaryTau,
       17-Oct-2023.) $)
    umgracycusgr $p |- ( ( G e. UMGraph /\ G e. AcyclicGraph ) ->
              G e. USGraph ) $=
      ( vx vj vk vf vp cumgr wcel wa cfv cv chash c2 wceq wne wrex wn wex cc0
      c0 cacycgr ciedg cdm cvtx cpw crab wf1 cusgr wf umgrf ccycls wbr isacycgr
      eqid biimpa wi umgr2cycl 2ne0 neeq1 mpbiri wb cvv hasheq0 necon3bii sylib
      elv anim2i 2eximi syl con3d adantr dff15 biimpri syl2an2r isusgrs biimprd
      ex mpd ) AGHZAUAHZIZAUBJZUCZBKLJMNBAUDJZUEUFZWBUGZAUHHZVSWCWEWBUIZVTCKZWB
      JDKZWBJNWIWJOIDWCPCWCPZQZWFBWBAWDWDUNZWBUNZUJWAEKZFKAUKJULZWOTOZIZFRERZQZ
      WLVSVTWTEAGFUMUOVSWTWLUPVTVSWKWSVSWKWSVSWKIWPWOLJZMNZIZFRERWSECDAWBFWNUQX
      CWREFXBWQWPXBXASOZWQXBXDMSOURXAMSUSUTXASWOTXASNWOTNVAEWOVBVCVFVDVEVGVHVIV
      QVJVKVRWFWHWLICDWCWEWBVLVMVNVSWFWGUPVTVSWGWFBGWBAWDWMWNVOVPVKVR $.
  $}

  $( An acyclic pseudograph is a simple graph.  (Contributed by BTernaryTau,
     17-Oct-2023.) $)
  upgracycusgr $p |- ( ( G e. UPGraph /\ G e. AcyclicGraph ) ->
            G e. USGraph ) $=
    ( cupgr wcel cacycgr cumgr cusgr upgracycumgr umgracycusgr sylancom ) ABCAD
    CAECAFCAGAHI $.

  ${
    $d f G p $.  $d f V p $.
    cusgracyclt3v.1 $e |- V = ( Vtx ` G ) $.
    $( A complete simple graph is acyclic if and only if it has fewer than
       three vertices.  (Contributed by BTernaryTau, 20-Oct-2023.) $)
    cusgracyclt3v $p |- ( G e. ComplUSGraph ->
              ( G e. AcyclicGraph <-> ( # ` V ) < 3 ) ) $=
      ( vf vp ccusgr wcel chash cfv c3 clt wbr c0 wne wa wex wb cvv wceq cc0 cv
      cacycgr ccycls wn isacycgr c2 cle c1 cmin co cn0 cxnn0 3nn0 cvtx hashxnn0
      fvexi ax-mp xnn0lem1lt mp2an cxr rexri xnn0xr xrlenlt breq1i cusgr3cyclex
      3re 3m1e2 3bitr3i 3ne0 neeq1 mpbiri hasheq0 necon3bii sylib anim2i 2eximi
      elv ex syl5bi con1d sylbid cusgr wi cusgrusgr usgrcyclgt2v 3expib syl6ibr
      syl exlimdvv con2d sylibrd impbid ) AFGZAUBGZBHIZJKLZWMWNDUAZEUAZAUCILZWQ
      MNZOZEPDPZUDZWPDAFEUEZWMWPXBWPUDZUFWOKLZWMXBJWOUGLZJUHUIUJZWOKLZXEXFJUKGW
      OULGZXGXIQUMBRGXJBAUNCUPBRUOUQZJWOURUSJUTGWOUTGZXGXEQJVFVAXJXLXKWOVBUQJWO
      VCUSXHUFWOKVGVDVHZWMXFXBWMXFOWSWQHIZJSZOZEPDPXBDABECVEXPXADEXOWTWSXOXNTNZ
      WTXOXQJTNVIXNJTVJVKXNTWQMXNTSWQMSQDWQRVLVQVMVNVOVPWHVRVSVTWAWMWPXCWNWMXBW
      PWMXAXEDEWMXAXFXEWMAWBGZXAXFWCAWDXRWSWTXFWRWQABCWEWFWHXMWGWIWJXDWKWL $.
  $}

  $( A path in an acyclic graph is a simple path.  (Contributed by BTernaryTau,
     21-Oct-2023.) $)
  pthacycspth $p |- ( ( G e. AcyclicGraph /\ F ( Paths ` G ) P ) ->
            F ( SPaths ` G ) P ) $=
    ( cacycgr wcel cpths cfv wbr wa cspths wo ccycls wi c0 cyclispth acycgrcycl
    wceq a1i ex adantr jcad spthcycl simplbi pthisspthorcycl adantl orim2 pm1.2
    syl6 sylc syl ) CDEZBACFGHZIZBACJGHZUNKZUNUMBACLGHZUNMUNUPKZUOUMUPULBNQZIZU
    NUMUPULURUPULMUMABCORUKUPURMULUKUPURABCPSTUAUSUNUPABCUBUCUHULUQUKABCUDUEUNU
    PUNUFUIUNUGUJ $.

  ${
    $d S f p $.  $d f G p $.
    $( The subgraph of an acyclic graph is also acyclic.  (Contributed by
       BTernaryTau, 23-Oct-2023.) $)
    acycgrsubgr $p |- ( ( G e. AcyclicGraph /\ S SubGraph G ) ->
              S e. AcyclicGraph ) $=
      ( vf vp csubgr wbr cacycgr wcel cv ccycls cfv c0 wne wa wex subgrcycl cvv
      wn wb isacycgr anim1d 2eximdv con3d subgrv simpl2im simpld 3imtr4d impcom
      syl ) ABEFZBGHZAGHZUJCIZDIZBJKFZUMLMZNZDOCOZRZUMUNAJKFZUPNZDOCOZRZUKULUJV
      BURUJVAUQCDUJUTUOUPUNAUMBPUAUBUCUJAQHZBQHZUKUSSABUDZCBQDTUEUJVDULVCSUJVDV
      EVFUFCAQDTUIUGUH $.
  $}

$( (End of BTernaryTau's mathbox.) $)
$( End $[ set-mbox-bt.mm $] $)


$( Begin $[ set-mbox-mc.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Mario Carneiro
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Predicate calculus with all distinct variables
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( Distinct variable version of ~ ax-11 .  (Contributed by Mario Carneiro,
       14-Aug-2015.) $)
    ax-7d $a |- ( A. x A. y ph -> A. y A. x ph ) $.

    $( Distinct variable version of ~ ax-7 .  (Contributed by Mario Carneiro,
       14-Aug-2015.) $)
    ax-8d $a |- ( x = y -> ( x = z -> y = z ) ) $.

    $( Distinct variable version of ~ ax-6 , equal variables case.
       (Contributed by Mario Carneiro, 14-Aug-2015.) $)
    ax-9d1 $a |- -. A. x -. x = x $.

    $( Distinct variable version of ~ ax-6 , distinct variables case.
       (Contributed by Mario Carneiro, 14-Aug-2015.) $)
    ax-9d2 $a |- -. A. x -. x = y $.

    $( Distinct variable version of ~ axc11n .  (Contributed by Mario Carneiro,
       14-Aug-2015.) $)
    ax-10d $a |- ( A. x x = y -> A. y y = x ) $.

    $( Distinct variable version of ~ ax-12 .  (Contributed by Mario Carneiro,
       14-Aug-2015.) $)
    ax-11d $a |- ( x = y -> ( A. y ph -> A. x ( x = y -> ph ) ) ) $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellaneous stuff
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    quartfull.a $e |- ( ph -> A e. CC ) $.
    quartfull.b $e |- ( ph -> B e. CC ) $.
    quartfull.c $e |- ( ph -> C e. CC ) $.
    quartfull.d $e |- ( ph -> D e. CC ) $.
    quartfull.x $e |- ( ph -> X e. CC ) $.
    quartfull.t0 $e |- ( ph -> ( ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^
      2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 )
      / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. (
      ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ;
      ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( ( ( ( -u ( 2 x. ( ( B - (
      ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) /
      2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x.
      ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) /
      ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. ( (
      ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x.
      A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. (
      A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) ) =/= 0 ) $.
    quartfull.m0 $e |- ( ph -> -u ( ( ( ( 2 x. ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) )
      ) ) + ( ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) -
      ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) )
      + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A )
      / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^
      4 ) ) ) ) ) ) ) + ( sqrt ` ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^
      2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 )
      / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. (
      ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ;
      ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. ( ( ( ( B - ( ( 3 / 8 )
      x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( (
      ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ^
      3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) ) ) + ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 )
      ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x.
      B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) / ( ( ( ( ( -u
      ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C
      - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B
      - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( (
      A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) +
      ( sqrt ` ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) -
      ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) )
      + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A )
      / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^
      4 ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^
      2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) /
      ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) ) ) / 2 )
      ^c ( 1 / 3 ) ) ) ) / 3 ) =/= 0 ) $.
    $( The quartic equation, written out in full.  This actually makes a fairly
       good Metamath stress test.  Note that the length of this formula could
       be shortened significantly if the intermediate expressions were expanded
       and simplified, but it's not like this theorem will be used anyway.
       (Contributed by Mario Carneiro, 6-May-2015.) $)
    quartfull $p |- ( ph -> ( ( ( ( X ^ 4 ) + ( A x. ( X ^ 3 ) ) ) + ( ( B x. (
      X ^ 2 ) ) + ( ( C x. X ) + D ) ) ) = 0 <-> ( ( X = ( ( -u ( A / 4 ) - ( (
      sqrt ` -u ( ( ( ( 2 x. ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ) + ( ( ( ( (
      -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( (
      C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( (
      B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( (
      ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) )
      + ( sqrt ` ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) )
      - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) )
      ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A
      ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A
      ^ 4 ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) )
      ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B )
      / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) ) ) / 2
      ) ^c ( 1 / 3 ) ) ) + ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ;
      1 2 x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) -
      ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) / ( ( ( ( ( -u ( 2 x. ( ( B -
      ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B )
      / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 )
      x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B )
      / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( ( (
      ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( (
      ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. (
      ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( (
      ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) )
      ) ^ 2 ) - ( 4 x. ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2
      x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( (
      3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) )
      ) ) / 3 ) ) / 2 ) ) + ( sqrt ` ( ( -u ( ( ( sqrt ` -u ( ( ( ( 2 x. ( B -
      ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ) + ( ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 )
      x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + (
      ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 )
      ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) -
      ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( ( ( ( -u ( 2 x.
      ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A
      x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3
      / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 )
      x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) ^ 2 ) - (
      4 x. ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D -
      ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5
      6 ) x. ( A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) ) ) + ( ( ( (
      B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A )
      / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^
      4 ) ) ) ) ) ) / ( ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) )
      ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) )
      ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - (
      ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6
      ) x. ( A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8
      ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) +
      ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2
      ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 )
      - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. ( ( ( ( B -
      ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4
      ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 )
      ) ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) ) ) ) / 3 ) ) / 2 ) ^ 2 ) - (
      ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) / 2 ) ) + ( ( ( ( C - ( ( A x. B ) / 2
      ) ) + ( ( A ^ 3 ) / 8 ) ) / 4 ) / ( ( sqrt ` -u ( ( ( ( 2 x. ( B - ( ( 3
      / 8 ) x. ( A ^ 2 ) ) ) ) + ( ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A
      ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3
      ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x.
      ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 /
      ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( ( ( ( -u ( 2 x. ( ( B -
      ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B )
      / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 )
      x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B )
      / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. (
      ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C
      x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 )
      x. ( A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) ) ) + ( ( ( ( B -
      ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4
      ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 )
      ) ) ) ) ) / ( ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3
      ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2
      ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C
      x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 )
      x. ( A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 )
      x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + (
      ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 )
      ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) -
      ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. ( ( ( ( B - (
      ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4 )
      ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) )
      ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) ) ) ) / 3 ) ) / 2 ) ) ) ) ) \/ X
      = ( ( -u ( A / 4 ) - ( ( sqrt ` -u ( ( ( ( 2 x. ( B - ( ( 3 / 8 ) x. ( A
      ^ 2 ) ) ) ) + ( ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^
      3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^
      2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( (
      C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 )
      x. ( A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 )
      x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + (
      ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 )
      ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) -
      ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. ( ( ( ( B - (
      ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4 )
      ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) )
      ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) ) ) + ( ( ( ( B - ( ( 3 / 8 ) x.
      ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A
      ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) / ( (
      ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x.
      ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2
      x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) +
      ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) )
      ) ) ) + ( sqrt ` ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^
      3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^
      2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( (
      C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 )
      x. ( A ^ 4 ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^
      2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 )
      x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) )
      ) / 2 ) ^c ( 1 / 3 ) ) ) ) / 3 ) ) / 2 ) ) - ( sqrt ` ( ( -u ( ( ( sqrt `
      -u ( ( ( ( 2 x. ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ) + ( ( ( ( ( -u ( 2
      x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - (
      ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - (
      ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^
      2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) + (
      sqrt ` ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - (
      ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) +
      ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) /
      4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4
      ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2
      ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ;
      1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c
      ( 1 / 3 ) ) ) + ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2
      x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( (
      3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) / ( ( ( ( ( -u ( 2 x. ( ( B - ( (
      3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2
      ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. (
      A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ;
      1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( ( ( (
      -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( (
      C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( (
      B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( (
      ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) )
      ^ 2 ) - ( 4 x. ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2
      x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( (
      3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) )
      ) ) / 3 ) ) / 2 ) ^ 2 ) - ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) / 2 ) ) +
      ( ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) / 4 ) / ( ( sqrt `
      -u ( ( ( ( 2 x. ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ) + ( ( ( ( ( -u ( 2
      x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - (
      ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - (
      ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^
      2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) + (
      sqrt ` ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - (
      ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) +
      ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) /
      4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4
      ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2
      ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ;
      1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c
      ( 1 / 3 ) ) ) + ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2
      x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( (
      3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) / ( ( ( ( ( -u ( 2 x. ( ( B - ( (
      3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2
      ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. (
      A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ;
      1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( ( ( (
      -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( (
      C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( (
      B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( (
      ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) )
      ^ 2 ) - ( 4 x. ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2
      x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( (
      3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) )
      ) ) / 3 ) ) / 2 ) ) ) ) ) ) \/ ( X = ( ( -u ( A / 4 ) + ( ( sqrt ` -u ( (
      ( ( 2 x. ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ) + ( ( ( ( ( -u ( 2 x. ( ( B
      - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B
      ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8
      ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B
      ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( (
      ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. (
      ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x.
      ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + (
      ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) )
      ) ) ^ 2 ) - ( 4 x. ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1
      2 x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - (
      ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 )
      ) ) + ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D -
      ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5
      6 ) x. ( A ^ 4 ) ) ) ) ) ) / ( ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. (
      A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^
      3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) )
      x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( (
      3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( ( ( ( -u ( 2 x. ( (
      B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x.
      B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 /
      8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x.
      B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) ^ 2 ) - ( 4
      x. ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - (
      ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6
      ) x. ( A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) ) ) ) / 3 ) ) /
      2 ) ) + ( sqrt ` ( ( -u ( ( ( sqrt ` -u ( ( ( ( 2 x. ( B - ( ( 3 / 8 ) x.
      ( A ^ 2 ) ) ) ) + ( ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) )
      ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 )
      ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D -
      ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5
      6 ) x. ( A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 /
      8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) )
      + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^
      2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6
      ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. ( ( ( ( B
      - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) /
      4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4
      ) ) ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) ) ) + ( ( ( ( B - ( ( 3 / 8
      ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4 ) ) + ( (
      ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) )
      / ( ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ;
      2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + (
      ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4
      ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 )
      ) ) ) ) ) ) + ( sqrt ` ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 )
      ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8
      ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D
      - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2
      5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. ( ( ( ( B - ( ( 3 / 8 ) x.
      ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A
      ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ^ 3 )
      ) ) ) ) / 2 ) ^c ( 1 / 3 ) ) ) ) / 3 ) ) / 2 ) ^ 2 ) - ( ( B - ( ( 3 / 8
      ) x. ( A ^ 2 ) ) ) / 2 ) ) - ( ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3
      ) / 8 ) ) / 4 ) / ( ( sqrt ` -u ( ( ( ( 2 x. ( B - ( ( 3 / 8 ) x. ( A ^ 2
      ) ) ) ) + ( ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 )
      ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 )
      ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x.
      A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. (
      A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. (
      A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^
      3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) )
      x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( (
      3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. ( ( ( ( B - ( ( 3
      / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4 ) ) +
      ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) )
      ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) ) ) + ( ( ( ( B - ( ( 3 / 8 ) x. ( A
      ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2
      ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) / ( ( ( (
      ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( (
      ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. (
      ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( (
      ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) )
      ) + ( sqrt ` ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 )
      ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 )
      ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x.
      A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. (
      A ^ 4 ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) )
      ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B
      ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) ) ) /
      2 ) ^c ( 1 / 3 ) ) ) ) / 3 ) ) / 2 ) ) ) ) ) \/ X = ( ( -u ( A / 4 ) + (
      ( sqrt ` -u ( ( ( ( 2 x. ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ) + ( ( ( ( (
      -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( (
      C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( (
      B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( (
      ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) )
      + ( sqrt ` ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) )
      - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) )
      ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A
      ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A
      ^ 4 ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) )
      ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B )
      / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) ) ) / 2
      ) ^c ( 1 / 3 ) ) ) + ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ;
      1 2 x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) -
      ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) / ( ( ( ( ( -u ( 2 x. ( ( B -
      ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B )
      / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 )
      x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B )
      / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( ( (
      ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( (
      ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. (
      ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( (
      ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) )
      ) ^ 2 ) - ( 4 x. ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2
      x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( (
      3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) )
      ) ) / 3 ) ) / 2 ) ) - ( sqrt ` ( ( -u ( ( ( sqrt ` -u ( ( ( ( 2 x. ( B -
      ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ) + ( ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 )
      x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + (
      ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 )
      ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) -
      ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( ( ( ( -u ( 2 x.
      ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A
      x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3
      / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 )
      x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) ^ 2 ) - (
      4 x. ( ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D -
      ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5
      6 ) x. ( A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) ) ) + ( ( ( (
      B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A )
      / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^
      4 ) ) ) ) ) ) / ( ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) )
      ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) )
      ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - (
      ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6
      ) x. ( A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8
      ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) +
      ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2
      ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 )
      - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. ( ( ( ( B -
      ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4
      ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 )
      ) ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) ) ) ) / 3 ) ) / 2 ) ^ 2 ) - (
      ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) / 2 ) ) - ( ( ( ( C - ( ( A x. B ) / 2
      ) ) + ( ( A ^ 3 ) / 8 ) ) / 4 ) / ( ( sqrt ` -u ( ( ( ( 2 x. ( B - ( ( 3
      / 8 ) x. ( A ^ 2 ) ) ) ) + ( ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A
      ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3
      ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x.
      ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 /
      ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( ( ( ( -u ( 2 x. ( ( B -
      ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B )
      / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 )
      x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B )
      / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. (
      ( ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C
      x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 )
      x. ( A ^ 4 ) ) ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) ) ) + ( ( ( ( B -
      ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4
      ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 )
      ) ) ) ) ) / ( ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 3
      ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + ( ( A ^ 3 ) / 8 ) ) ^ 2
      ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 ) ) ) x. ( ( D - ( ( C
      x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 )
      x. ( A ^ 4 ) ) ) ) ) ) ) + ( sqrt ` ( ( ( ( -u ( 2 x. ( ( B - ( ( 3 / 8 )
      x. ( A ^ 2 ) ) ) ^ 3 ) ) - ( ; 2 7 x. ( ( ( C - ( ( A x. B ) / 2 ) ) + (
      ( A ^ 3 ) / 8 ) ) ^ 2 ) ) ) + ( ; 7 2 x. ( ( B - ( ( 3 / 8 ) x. ( A ^ 2 )
      ) ) x. ( ( D - ( ( C x. A ) / 4 ) ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) -
      ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) ) ) ) ) ) ) ^ 2 ) - ( 4 x. ( ( ( ( B - (
      ( 3 / 8 ) x. ( A ^ 2 ) ) ) ^ 2 ) + ( ; 1 2 x. ( ( D - ( ( C x. A ) / 4 )
      ) + ( ( ( ( A ^ 2 ) x. B ) / ; 1 6 ) - ( ( 3 / ; ; 2 5 6 ) x. ( A ^ 4 ) )
      ) ) ) ) ^ 3 ) ) ) ) ) / 2 ) ^c ( 1 / 3 ) ) ) ) / 3 ) ) / 2 ) ) ) ) ) ) )
      ) ) $=
      ( cdiv co c2 cexp cmul cmin eqidd c3 c8 caddc c4 c1 c6 cdc c5 cneg c7 cfv
      csqrt ccxp quart ) ABCDECUAUBNOBPQOZROSOZDBCROPNOSOBUAQOUBNOUCOZEDBROUDNO
      SOUOCROUEUFUGNOUAPUHUGUFUGNOBUDQOROSOUCOZPUPROPUPUAQOROUIPUJUGUQPQOROSOUJ
      PUGUPURROROUCOZUSPQOUDUPPQOUEPUGURROUCOZUAQOROSOULUKZUCOPNOUEUANOUMOZUCOU
      TVBNOUCOUANOUIZULUKPNOZVBUTBUDNOUIZVDPQOUIUPPNOSOZUQUDNOVDNOZUCOULUKZVFVG
      SOULUKZVCUSVAFGHIJKAVETAUPTAUQTAURTAUTTAUSTAVATAVDTAVCTAVBTLMAVHTAVITUN
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derangements and the Subfactorial
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d f g h m n s x y z A $.  $d b c f g x y F $.  $d c f g h k m n x y z N $.
    $d b k m n $.  $d b c f g h s x y z B $.  $d b c x y C $.  $d b c x y ph $.
    $d n D $.  $d c f n x y K $.  $d b f g x y M $.  $d m n x y S $.  $d f V $.
    $( Lemma for derangements.  (Contributed by Mario Carneiro,
       19-Jan-2015.) $)
    deranglem $p |- ( A e. Fin ->
      { f | ( f : A -1-1-onto-> A /\ ph ) } e. Fin ) $=
      ( cfn wcel cv wf1o wa cab cmap co wss mapfi wf f1of adantr elmapg syl5ibr
      abssdv ssfi syl2anc anidms ) BDEZBBCFZGZAHZCIZDEZUCUCHZBBJKZDEUGUJLUHBBMU
      IUFCUJUFUDUJEUIBBUDNZUEUKABBUDOPBBUDDDQRSUJUGTUAUB $.

    derang.d $e |- D = ( x e. Fin |-> ( # ` { f | ( f : x -1-1-onto-> x /\
      A. y e. x ( f ` y ) =/= y ) } ) ) $.
    $( Define the derangement function, which counts the number of bijections
       from a set to itself such that no element is mapped to itself.
       (Contributed by Mario Carneiro, 19-Jan-2015.) $)
    derangval $p |- ( A e. Fin -> ( D ` A ) =
      ( # ` { f | ( f : A -1-1-onto-> A /\ A. y e. A ( f ` y ) =/= y ) } ) ) $=
      ( cv wf1o cfv wne wral wa cab chash cfn wceq f1oeq2 f1oeq3 bitrd raleq
      anbi12d abbidv fveq2d fvex fvmpt ) ACAGZUFEGZHZBGZUGIUIJZBUFKZLZEMZNICCUG
      HZUJBCKZLZEMZNIODUFCPZUMUQNURULUPEURUHUNUKUOURUHCUFUGHUNUFCUFUGQUFCCUGRSU
      JBUFCTUAUBUCFUQNUDUE $.

    $( The derangement number is a function from finite sets to nonnegative
       integers.  (Contributed by Mario Carneiro, 19-Jan-2015.) $)
    derangf $p |- D : Fin --> NN0 $=
      ( cfn cn0 cv wf1o cfv wne wral cab chash wcel deranglem hashcl syl fmpti
      wa ) AFGAHZUADHZIBHZUBJUCKBUALZTDMZNJZCEUAFOUEFOUFGOUDUADPUEQRS $.

    $( The derangement number of the empty set.  (Contributed by Mario
       Carneiro, 19-Jan-2015.) $)
    derang0 $p |- ( D ` (/) ) = 1 $=
      ( c0 cfv cv wf1o wne wral wa cab chash csn c1 wcel wceq ax-mp cvv biantru
      cfn 0fin derangval ral0 eqid f1o00 mpbiran2 bitr3i abbii df-sn eqtr4i 0ex
      fveq2i hashsng 3eqtri ) FCGZFFDHZIZBHZURGUTJZBFKZLZDMZNGZFOZNGZPFUBQUQVER
      UCABFCDEUDSVDVFNVDURFRZDMVFVCVHDVCUSVHVBUSVABUEUAUSVHFFRFUFFURUGUHUIUJDFU
      KULUNFTQVGPRUMFTUOSUP $.

    $( The derangement number of a singleton.  (Contributed by Mario Carneiro,
       19-Jan-2015.) $)
    derangsn $p |- ( A e. V -> ( D ` { A } ) = 0 ) $=
      ( wcel csn cfv c0 chash cc0 cv wf1o wne wral wa wceq syl cab cfn snfi wss
      derangval ax-mp wf adantr snidg ffvelrn syl2anr wn simpr fveq2 id neeq12d
      f1of rspcva syl2an nelsn pm2.21dd abssdv ss0 fveq2d syl5eq hash0 eqtrdi
      ex ) CFHZCIZDJZKLJZMVIVKVJVJENZOZBNZVMJZVOPZBVJQZRZEUAZLJZVLVJUBHVKWASCUC
      ABVJDEGUEUFVIVTKLVIVTKUDVTKSVIVSEKVIVSVMKHZVIVSRZCVMJZVJHZWBVSVJVJVMUGZCV
      JHZWEVIVNWFVRVJVJVMUQUHCFUIZVJVJCVMUJUKWCWDCPZWEULVIWGVRWIVSWHVNVRUMVQWIB
      CVJVOCSZVPWDVOCVOCVMUNWJUOUPURUSWDCUTTVAVHVBVTVCTVDVEVFVG $.

    $( One half of ~ derangen .  (Contributed by Mario Carneiro,
       22-Jan-2015.) $)
    derangenlem $p |- ( ( A ~~ B /\ B e. Fin ) -> ( D ` A ) <_ ( D ` B ) ) $=
      ( vs cfn wcel wa cv wf1o cfv wne wral ccom syl2anc wceq syl vg vh cen wbr
      vz cab chash cle cdom wex simpl bren sylib deranglem adantl wi ccnv f1oco
      ad2ant2lr f1ocnv ad2antlr coass fveq1i simprl f1of fvco3 syl5eq ffvelrnda
      wf sylan simplrr fveq2 neeq12d rspcv sylc eqnetrd necomd simpllr f1ocnvfv
      id necon3d mpd ralrimiva cbvralvw jca ex vex f1oeq1 fveq1 ralbidv anbi12d
      neeq1d elab coex cnvex 3imtr4g anbi12i wfo wfn f1ofo adantrr f1ofn simplr
      wb simprrl cocan2 syl3anc f1of1 simprll cocan1 bitrd syl5bi dom2d exlimdv
      wf1 mp2d enfii ancoms hashdom mpbird derangval 3brtr4d ) CDUCUDZDIJZKZCCF
      LZMZBLZYFNZYHOZBCPZKZFUFZUGNZDDYFMZYJBDPZKZFUFZUGNZCENZDENZUHYEYNYSUHUDZY
      MYRUIUDZYECDHLZMZHUJZYRIJZUUCYEYCUUFYCYDUKCDHULUMYDUUGYCYPDFUNUOZYEUUEUUG
      UUCUPZHYEUUEUUIYEUUEKZUAUBYMYRUUDUALZQZUUDUQZQZUUDUBLZQZUUMQZIUUJCCUUKMZY
      HUUKNZYHOZBCPZKZDDUUNMZYHUUNNZYHOZBDPZKZUUKYMJZUUNYRJUUJUVBUVGUUJUVBKZUVC
      UVFUVICDUULMZDCUUMMZUVCUUEUURUVJYEUVACCDUUDUUKURUSZUUEUVKYEUVBCDUUDUTZVAZ
      DCDUULUUMURRUVIUELZUUNNZUVOOZUEDPUVFUVIUVQUEDUVIUVODJZKZUVPUVOUUKUUMQZNZU
      UDNZUVOUVSUVPUVOUUDUVTQZNZUWBUVOUUNUWCUUDUUKUUMVBVCUVIDCUVTVIZUVRUWDUWBSU
      VIDCUVTMZUWEUVIUURUVKUWFUUJUURUVAVDUVNDCCUUKUUMURRDCUVTVETZDCUVOUUDUVTVFV
      JVGUVSUVOUUMNZUWAOUWBUVOOUVSUWAUWHUVSUWAUWHUUKNZUWHUVIDCUUMVIZUVRUWAUWISU
      VIUVKUWJUVNDCUUMVETZDCUVOUUKUUMVFVJUVSUWHCJUVAUWIUWHOZUVIDCUVOUUMUWKVHUUJ
      UURUVAUVRVKUUTUWLBUWHCYHUWHSZUUSUWIYHUWHYHUWHUUKVLUWMVTVMVNVOVPVQUVSUWBUV
      OUWHUWAUVSUUEUWACJUWBUVOSUWHUWASUPYEUUEUVBUVRVRUVIDCUVOUVTUWGVHCDUWAUVOUU
      DVSRWAWBVPWCUVQUVEUEBDUVOYHSZUVPUVDUVOYHUVOYHUUNVLUWNVTVMWDUMWEWFYLUVBFUU
      KUAWGZYFUUKSZYGUURYKUVACCYFUUKWHUWPYJUUTBCUWPYIUUSYHYHYFUUKWIWLWJWKWMZYQU
      VGFUUNUULUUMUUDUUKHWGZUWOWNUUDUWRWOWNYFUUNSZYOUVCYPUVFDDYFUUNWHUWSYJUVEBD
      UWSYIUVDYHYHYFUUNWIWLWJWKWMWPUVHUUOYMJZKUVBCCUUOMZYHUUONZYHOZBCPZKZKZUUJU
      UNUUQSZUUKUUOSZXDZUVHUVBUWTUXEUWQYLUXEFUUOUBWGYFUUOSZYGUXAYKUXDCCYFUUOWHU
      XJYJUXCBCUXJYIUXBYHYHYFUUOWIWLWJWKWMWQUUJUXFUXIUUJUXFKZUXGUULUUPSZUXHUXKD
      CUUMWRZUULCWSZUUPCWSZUXGUXLXDUXKUVKUXMUUEUVKYEUXFUVMVADCUUMWTTUXKUVJUXNUU
      JUVBUVJUXEUVLXACDUULXBTUXKCDUUPMZUXOUXKUUEUXAUXPYEUUEUXFXCUUJUVBUXAUXDXEZ
      CCDUUDUUOURRCDUUPXBTDCUUMUULUUPXFXGUXKCDUUDXOZCCUUKVIZCCUUOVIZUXLUXHXDUUE
      UXRYEUXFCDUUDXHVAUXKUURUXSUUJUURUVAUXEXICCUUKVETUXKUXAUXTUXQCCUUOVETCCDUU
      DUUKUUOXJXGXKWFXLXMWFXNXPYEYMIJZUUGUUBUUCXDYECIJZUYAYDYCUYBCDXQXRZYKCFUNT
      UUHYMYRIXSRXTYEUYBYTYNSUYCABCEFGYATYDUUAYSSYCABDEFGYAUOYB $.

    $( The derangement number is a cardinal invariant, i.e. it only depends on
       the size of a set and not on its contents.  (Contributed by Mario
       Carneiro, 22-Jan-2015.) $)
    derangen $p |- ( ( A ~~ B /\ B e. Fin ) -> ( D ` A ) = ( D ` B ) ) $=
      ( cen wbr cfn wcel wa cfv cle derangenlem syl2anc cn0 ffvelrni cr nn0re
      wceq ensym adantr enfi biimpar derangf syl adantl letri3 syl2an mpbir2and
      wb ) CDHIZDJKZLZCEMZDEMZUAZUPUQNIZUQUPNIZABCDEFGOUODCHIZCJKZUTUMVAUNCDUBU
      CUMVBUNCDUDUEZABDCEFGOPUOUPQKZUQQKZURUSUTLULZUOVBVDVCJQCEABEFGUFZRUGUNVEU
      MJQDEVGRUHVDUPSKUQSKVFVEUPTUQTUPUQUIUJPUK $.

    subfac.n $e |- S = ( n e. NN0 |-> ( D ` ( 1 ... n ) ) ) $.
    $( The subfactorial is defined as the number of derangements (see
       ~ derangval ) of the set ` ( 1 ... N ) ` .  (Contributed by Mario
       Carneiro, 21-Jan-2015.) $)
    subfacval $p |- ( N e. NN0 -> ( S ` N ) = ( D ` ( 1 ... N ) ) ) $=
      ( c1 cv cfz co cfv cn0 wceq oveq2 fveq2d fvex fvmpt ) FGJFKZLMZCNJGLMZCNO
      DUAGPUBUCCUAGJLQRIUCCST $.

    $( Write the derangement number in terms of the subfactorial.  (Contributed
       by Mario Carneiro, 22-Jan-2015.) $)
    derangen2 $p |- ( A e. Fin -> ( D ` A ) = ( S ` ( # ` A ) ) ) $=
      ( cfn wcel chash cfv c1 cfz co cn0 wceq syl mpancom subfacval cen hashfz1
      hashcl wbr wb fzfid hashen mpbid derangen eqtr2d ) CJKZCLMZEMZNUMOPZDMZCD
      MZULUMQKZUNUPRCUDZABDEFGUMHIUASUOCUBUEZULUPUQRULUOLMUMRZUTULURVAUSUMUCSUO
      JKULVAUTUFULNUMUGUOCUHTUIABUOCDFHUJTUK $.

    $( The subfactorial is a function from nonnegative integers to nonnegative
       integers.  (Contributed by Mario Carneiro, 19-Jan-2015.) $)
    subfacf $p |- S : NN0 --> NN0 $=
      ( c1 cv cfz co cfv cn0 wcel wral wf cfn fzfi derangf ffvelrni ax-mp rgenw
      fmpt mpbi ) IFJZKLZCMZNOZFNPNNDQUIFNUGROUIIUFSRNUGCABCEGTUAUBUCFNNUHDHUDU
      E $.

    $( The subfactorial is less than the factorial.  (Contributed by Mario
       Carneiro, 19-Jan-2015.) $)
    subfaclefac $p |- ( N e. NN0 -> ( S ` N ) <_ ( ! ` N ) ) $=
      ( wcel c1 cv cfv wa cab chash cfa cle cfn syl cn0 cfz co wf1o wne wbr wss
      wral anidm abbii fzfid deranglem eqeltrrid simpl ss2abi ssdomg wb hashdom
      cdom mpisyl syl2anc mpbird subfacval wceq derangval eqtrd hashfac hashfz1
      fveq2d eqtr2d 3brtr4d ) GUAJZKGUBUCZVMELZUDZBLZVNMVPUEBVMUHZNZEOZPMZVOEOZ
      PMZGDMZGQMZRVLVTWBRUFZVSWAUSUFZVLWASJZVSWAUGWFVLWAVOVONZEOZSWHVOEVOUIUJVL
      VMSJZWISJVLKGUKZVOVMEULTUMZVRVOEVOVQUNUOVSWASUPUTVLVSSJZWGWEWFUQVLWJWMWKV
      QVMEULTWLVSWASURVAVBVLWCVMCMZVTABCDEFGHIVCVLWJWNVTVDWKABVMCEHVETVFVLWBVMP
      MZQMZWDVLWJWBWPVDWKVMEVGTVLWOGQGVHVIVJVK $.

    $( The subfactorial at zero.  (Contributed by Mario Carneiro,
       19-Jan-2015.) $)
    subfac0 $p |- ( S ` 0 ) = 1 $=
      ( cc0 cfv c1 cfz co c0 cn0 wcel wceq 0nn0 subfacval ax-mp fveq2i derang0
      fz10 3eqtri ) IDJZKILMZCJZNCJKIOPUEUGQRABCDEFIGHSTUFNCUCUAABCEGUBUD $.

    $( The subfactorial at one.  (Contributed by Mario Carneiro,
       19-Jan-2015.) $)
    subfac1 $p |- ( S ` 1 ) = 0 $=
      ( c1 cfv cfz co csn cc0 cn0 wcel wceq 1nn0 subfacval ax-mp cz fzsn fveq2i
      1z derangsn 3eqtri ) IDJZIIKLZCJZIMZCJZNIOPZUGUIQRABCDEFIGHSTUHUJCIUAPUHU
      JQUDIUBTUCULUKNQRABICEOGUETUF $.

    ${
      subfacp1lem.a $e |- A = { f |
        ( f : ( 1 ... ( N + 1 ) ) -1-1-onto-> ( 1 ... ( N + 1 ) ) /\
          A. y e. ( 1 ... ( N + 1 ) ) ( f ` y ) =/= y ) } $.
      ${
        subfacp1lem1.n $e |- ( ph -> N e. NN ) $.
        subfacp1lem1.m $e |- ( ph -> M e. ( 2 ... ( N + 1 ) ) ) $.
        subfacp1lem1.x $e |- M e. _V $.
        subfacp1lem1.k $e |- K = ( ( 2 ... ( N + 1 ) ) \ { M } ) $.
        $( Lemma for ~ subfacp1 .  The set ` K ` together with ` { 1 , M } `
           partitions the set ` 1 ... ( N + 1 ) ` .  (Contributed by Mario
           Carneiro, 23-Jan-2015.) $)
        subfacp1lem1 $p |- ( ph ->
          ( ( K i^i { 1 , M } ) = (/) /\
            ( K u. { 1 , M } ) = ( 1 ... ( N + 1 ) ) /\
            ( # ` K ) = ( N - 1 ) ) ) $=
          ( c1 wcel cpr cin c0 wceq cun caddc co cfz chash cfv cmin cv disj wne
          wn wo wa csn cdif cle wbr eldifi elfzle1 clt 1lt2 1re 2re ltnlei mpbi
          breq2 mtbiri necon2ai 3syl eldifsni jca eleq2s neanior sylib vex elpr
          c2 sylnibr mprgbir a1i uncom cz 1z ax-mp uneq1i undif1 eqtr2i uneq12i
          fzsn df-pr equncomi uneq2i unass eqtr4i 3eqtr4i wss snssd df-2 oveq1i
          ssequn2 eqtrdi uneq2d peano2nnd nnuz eleqtrdi eluzfz1 fzsplit eqtr3id
          cuz cn eqtr4d oveq2i cfn fzfi diffi eqeltri hashun mp3an fveq2d neeq1
          syl vtoclga necomd cvv wb 1ex hashprg mp2an oveq2d 3eqtr3a cn0 nnnn0d
          prfi hashfz1 eqtr3d nncnd 2cnd hashcl nn0cni subadd2d mpbird pnpcan2d
          cc 1cnd 3jca ) AISJUAZUBUCUDZIUUJUEZSKSUFUGZUHUGZUDIUIUJZKSUKUGZUDUUK
          AUUKBULZUUJTZUOBIBIUUJUMUUQITZUUQSUDZUUQJUDUPZUURUUSUUQSUNZUUQJUNZUQZ
          UVAUOUVDUUQWAUUMUHUGZJURZUSZIUUQUVGTZUVBUVCUVHUUQUVETZWAUUQUTVAZUVBUU
          QUVEUVFVBUUQWAUUMVCZUVJUUQSUUTUVJWASUTVAZSWAVDVAUVLUOVESWAVFVGVHVIUUQ
          SWAUTVJVKVLZVMUUQUVEJVNVORVPUUQSUUQJVQVRUUQSJBVSVTWBWCZWDAUULSSUHUGZU
          VEUVFUEZUEZUUNSURZIUVFUEZUEUVSUVRUEZUVQUULUVRUVSWEUVOUVRUVPUVSSWFTUVO
          UVRUDWGSWMWHUVSUVGUVFUEUVPIUVGUVFRWIUVEUVFWJWKWLUULIUVFUVRUEZUEUVTUUJ
          UWAIUUJUVRUVFSJWNWOWPIUVFUVRWQWRWSAUVQUVOSSUFUGZUUMUHUGZUEZUUNAUVPUWC
          UVOAUVPUVEUWCAUVFUVEWTUVPUVEUDAJUVEPXAUVFUVEXDVRWAUWBUUMUHXBXCXEXFAUU
          MSXMUJZTSUUNTUUNUWDUDAUUMXNUWEAKOXGZXHXISUUMXJSSUUMXKVMXOXLZAUUMWAUKU
          GZUUMUWBUKUGUUOUUPWAUWBUUMUKXBXPAUWHUUOUDUUOWAUFUGZUUMUDAUUNUIUJZUWIU
          UMAUULUIUJZUUOUUJUIUJZUFUGZUWJUWIIXQTZUUJXQTUUKUWKUWMUDIUVGXQRUVEXQTU
          VGXQTWAUUMXRUVEUVFXSWHXTZSJYQUVNIUUJYAYBAUULUUNUIUWGYCAUWLWAUUOUFASJU
          NZUWLWAUDZAJSAJUVETJSUNZPUVBUWRBJUVEUUQJSYDUVIUVJUVBUVKUVMYEYFYEYGSYH
          TJYHTUWPUWQYIYJQSJYHYHYKYLVRYMYNAUUMYOTUWJUUMUDAUUMUWFYPUUMYRYEYSAUUM
          WAUUOAUUMUWFYTAUUAUUOUUGTAUUOUWNUUOYOTUWOIUUBWHUUCWDUUDUUEAKSSAKOYTAU
          UHZUWSUUFYNUUI $.

        ${
          subfacp1lem2.5 $e |- F =
            ( G u. { <. 1 , M >. , <. M , 1 >. } ) $.
          subfacp1lem2.6 $e |- ( ph -> G : K -1-1-onto-> K ) $.
          $( Lemma for ~ subfacp1 .  Properties of a bijection on ` K `
             augmented with the two-element flip to get a bijection on
             ` K u. { 1 , M } ` .  (Contributed by Mario Carneiro,
             23-Jan-2015.) $)
          subfacp1lem2a $p |- ( ph ->
            ( F : ( 1 ... ( N + 1 ) ) -1-1-onto-> ( 1 ... ( N + 1 ) ) /\
              ( F ` 1 ) = M /\ ( F ` M ) = 1 ) ) $=
            ( c1 caddc co cfz wf1o cfv wceq cpr cun cop cin c0 cz cvv f1oprswap
            wcel mp2an a1i chash cmin subfacp1lem1 simp1d f1oun syl22anc simp2d
            1z wb f1oeq1 ax-mp f1oeq2 bitr3id f1oeq3 bitrd syl mpbid csn f1ofun
            wfun wss cdm snsspr1 ssun2 sseqtrri sstri 1ex snid eleqtrri funssfv
            dmsnop mp3an23 fvsn eqtrdi snsspr2 3jca ) AUCMUCUDUEUFUEZWQIUGZUCIU
            HZLUILIUHZUCUIAKUCLUJZUKZXBJUCLULZLUCULZUJZUKZUGZWRAKKJUGXAXAXEUGZK
            XAUMUNUIZXIXGUBXHAUCUOURLUPURXHVHSUCLUOUPUQUSUTAXIXBWQUIZKVAUHMUCVB
            UEUIZABCDEFGHKLMNOPQRSTVCZVDZXMKKXAXAJXEVEVFAXJXGWRVIAXIXJXKXLVGXJX
            GWQXBIUGZWRXGXBXBIUGZXJXNIXFUIXOXGVIUAXBXBIXFVJVKXBWQXBIVLVMXBWQWQI
            VNVOVPVQZAWSUCXCVRZUHZLAIVTZWSXRUIZAWRXSXPWQWQIVSVPZXSXQIWAUCXQWBZU
            RXTXQXEIXCXDWCXEXFIXEJWDUAWEZWFUCUCVRYBUCWGWHUCLSWKWIUCIXQWJWLVPUCL
            WGSWMWNAWTLXDVRZUHZUCAXSWTYEUIZYAXSYDIWALYDWBZURYFYDXEIXCXDWOYCWFLL
            VRYGLSWHLUCWGWKWILIYDWJWLVPLUCSWGWMWNWP $.

          $( Lemma for ~ subfacp1 .  Properties of a bijection on ` K `
             augmented with the two-element flip to get a bijection on
             ` K u. { 1 , M } ` .  (Contributed by Mario Carneiro,
             23-Jan-2015.) $)
          subfacp1lem2b $p |- ( ( ph /\ X e. K ) -> ( F ` X ) = ( G ` X ) ) $=
            ( wcel wa wfun wss cdm cfv wceq caddc cfz wf1o subfacp1lem2a simp1d
            c1 co f1ofun syl adantr cop cpr cun ssun1 sseqtrri a1i f1odm eleq2d
            biimpar funssfv syl3anc ) ANKUDZUEZIUFZJIUGZNJUHZUDZNIUINJUIUJAVNVL
            AUPMUPUKUQULUQZVRIUMZVNAVSUPIUILUJLIUIUPUJABCDEFGHIJKLMOPQRSTUAUBUC
            UNUOVRVRIURUSUTVOVMJJUPLVALUPVAVBZVCIJVTVDUBVEVFAVQVLAVPKNAKKJUMVPK
            UJUCKKJVGUSVHVINIJVJVK $.
        $}

        ${
          subfacp1lem3.b $e |- B = { g e. A |
            ( ( g ` 1 ) = M /\ ( g ` M ) = 1 ) } $.
          subfacp1lem3.c $e |- C = { f | ( f : K -1-1-onto-> K /\
            A. y e. K ( f ` y ) =/= y ) } $.
          $( Lemma for ~ subfacp1 .  In ~ subfacp1lem6 we cut up the set of all
             derangements on ` 1 ... ( N + 1 ) ` first according to the value
             at ` 1 ` , and then by whether or not
             ` ( f `` ( f `` 1 ) ) = 1 ` .  In this lemma, we show that the
             subset of all ` N + 1 ` derangements that satisfy this for fixed
             ` M = ( f `` 1 ) ` is in bijection with ` N - 1 ` derangements, by
             simply dropping the ` x = 1 ` and ` x = M ` points from the
             function to get a derangement on
             ` K = ( 1 ... ( N - 1 ) ) \ { 1 , M } ` .  (Contributed by Mario
             Carneiro, 23-Jan-2015.) $)
          subfacp1lem3 $p |- ( ph -> ( # ` B ) = ( S ` ( N - 1 ) ) ) $=
            ( vb vc chash cfv c1 cmin co cvv cv cres cmpt wcel cfn wss cfz wf1o
            caddc wne wral wa cab fzfi deranglem ax-mp eqeltri wceq ssrab3 ssfi
            cop cpr cun eqid wfo simpr fveq1 eqeq1d anbi12d elrab2 sylib simpld
            cdif weq vex f1oeq1 neeq1d ralbidv elab2 wf simprbi 3syl wfn wb syl
            f1ofn wrex c0 simp2d sseqtrid adantr fnssresd simprd eqeltrdi fveq2
            cin 1ex eleq1d ralpr sylanbrc ralbiia sylibr fveqeq2 rspcev sylancr
            fvres eqeq2 rexbidv eqcom syl5eq simp1d syl2anc ralbidva cn eqnetrd
            mpbid simp3d neeq12d ralunb raleqdv adantrr adantrl eqeq12d bitr4di
            c2 id eqtr4d eqeq2d eqfnfv mp2an elexi a1i ccnv f1of1 df-f1 fnresdm
            wfun wf1 mpbird f1ofo ssun2 subfacp1lem1 prid2 prid1 syl5bb rexbiia
            ffnfv ralbii dffo3 resdif syl3anc uncom incom reseq2 f1oeq1d f1oeq2
            uneqdifeq f1oeq3 3bitrd ssralv sylan9eq subfacp1lem2a subfacp1lem2b
            ssun1 sylc resex r19.21bi ralrimiva elfzuz eluz2b3 necomd prex unex
            cuz jca biantrud 3bitr3rd bitrdi 3bitr4d f1o2d hasheqf1od csn diffi
            fveq2i derangval derangen2 3eqtr2ri fveq2d eqtr3id eqtrd ) AEUFUGFU
            FUGZNUHUIUJZHUGZAEFUKUDEUDULZLUMZUNZEUKUOAEUPDUPUOEDUQEUPUODUHNUHUT
            UJZURUJZUXIIULZUSZCULZUXJUGZUXLVAZCUXIVBZVCZIVDZUPQUXIUPUOUXQUPUOUH
            UXHVEUXOUXIIVFVGVHUHJULZUGZMVIZMUXRUGZUHVIZVCZJDEUBVJDEVKUUAUUBUUCA
            UDUEEFUXFUEULZUHMVLZMUHVLZVMZVNZUXGUXGVOAUXEEUOZVCZLLUXFUSZUXLUXEUG
            ZUXLVAZCLVBZUXFFUOUYJUXIUHMVMZWDZUYPUXEUYPUMZUSZUYKUYJUXEUUDUUHZUXI
            UXIUXEUXIUMZVPZUYOUYOUXEUYOUMZVPZUYRUYJUXIUXIUXEUSZUXIUXIUXEUUIZUYS
            UYJVUDUYMCUXIVBZUYJUXEDUOZVUDVUFVCZUYJVUGUHUXEUGZMVIZMUXEUGZUHVIZVC
            ZUYJUYIVUGVUMVCAUYIVQUYCVUMJUXEDEJUDWEZUXTVUJUYBVULVUNUXSVUIMUHUXRU
            XEVRVSVUNUYAVUKUHMUXRUXEVRVSVTUBWAWBZWCUXPVUHIUXEDUDWFZIUDWEZUXKVUD
            UXOVUFUXIUXIUXJUXEWGVUQUXNUYMCUXIVUQUXMUYLUXLUXLUXJUXEVRWHWIVTQWJWB
            ZWCZUXIUXIUXEUUEVUEUXIUXIUXEWKUYSUXIUXIUXEUUFWLWMUYJUXIUXIUYTUSZVUA
            UYJVUTVUDVUSUYJUXEUXIWNZUYTUXEVIVUTVUDWOUYJVUDVVAVUSUXIUXIUXEWQWPZU
            XIUXEUUGUXIUXIUYTUXEWGWMUUJUXIUXIUYTUUKWPUYJUYOUYOVUBWKZBULZUXLVUBU
            GZVIZCUYOWRZBUYOVBZVUCUYJVUBUYOWNVVDVUBUGZUYOUOZBUYOVBZVVCUYJUXIUYO
            UXEVVBAUYOUXIUQZUYIALUYOVNZUYOUXIUYOLUULALUYOXGZWSVIZVVMUXIVIZLUFUG
            ZUXCVIZABCDGHIKLMNOPQRSTUAUUMZWTZXAZXBXCUYJVVDUXEUGZUYOUOZBUYOVBZVV
            KUYJVUIUYOUOZVUKUYOUOZVWDUYJVUIMUYOUYJVUJVULUYJVUGVUMVUOXDZWCZUHMTU
            UNZXEUYJVUKUHUYOUYJVUJVULVWGXDZUHMXHUUOZXEVWCVWEVWFBUHMXHTVVDUHVIZV
            WBVUIUYOVVDUHUXEXFXIVVDMVIZVWBVUKUYOVVDMUXEXFXIXJXKVVJVWCBUYOVVDUYO
            UOVVIVWBUYOVVDUYOUXEXQXIXLXMBUYOUYOVUBUURXKUYJUYLVVDVIZCUYOWRZBUYOV
            BZVVHUYJUYLUHVIZCUYOWRZUYLMVIZCUYOWRZVWPUYJMUYOUOVULVWRVWIVWJVWQVUL
            CMUYOUXLMUHUXEXNXOXPUYJUHUYOUOVUJVWTVWKVWHVWSVUJCUHUYOUXLUHMUXEXNXO
            XPVWOVWRVWTBUHMXHTVWLVWNVWQCUYOVVDUHUYLXRXSVWMVWNVWSCUYOVVDMUYLXRXS
            XJXKVVGVWOBUYOVVFVWNCUYOVVFVVEVVDVIUXLUYOUOZVWNVVDVVEXTVXAVVEUYLVVD
            UXLUYOUXEXQVSUUPUUQUUSXMCBUYOUYOVUBUUTXKUXIUYOUXIUYOUXEUVAUVBUYJUYP
            LVIZUYRUYKWOAVXBUYIAUYOLVNZUXIVIZVXBAVXCVVMUXIUYOLUVCVVTYAAVVLUYOLX
            GZWSVIVXDVXBWOVWAAVXEVVNWSUYOLUVDAVVOVVPVVRVVSYBYAUYOLUXIUVHYCYGXBV
            XBUYRUYPUYPUXFUSLUYPUXFUSUYKVXBUYPUYPUYQUXFUYPLUXEUVEUVFUYPLUYPUXFU
            VGUYPLLUXFUVIUVJWPYGUYJLUXIUQZVUFUYNAVXFUYIAVVMLUXILUYOUVOVVTXAZXBU
            YJVUDVUFVURXDUYMCLUXIUVKUVPLLUXJUSZUXNCLVBZVCZUYKUYNVCIUXFFUXELVUPU
            VQUXJUXFVIZVXHUYKVXIUYNLLUXJUXFWGVXKUXNUYMCLVXKUXLLUOZVCUXMUYLUXLVX
            KVXLUXMUXLUXFUGZUYLUXLUXJUXFVRUXLLUXEXQZUVLWHYDVTUCWJXKAUYDFUOZVCZU
            YHDUOZUHUYHUGZMVIZMUYHUGZUHVIZVCZUYHEUOVXPUXIUXIUYHUSZUXLUYHUGZUXLV
            AZCUXIVBZVXQVXPVYCVXSVYAVXPBCDGHIKUYHUYDLMNOPQANYEUOVXORXBZAMYPUXHU
            RUJZUOZVXOSXBZTUAUYHVOZVXPLLUYDUSZUXLUYDUGZUXLVAZCLVBZVXPVXOVYLVYOV
            CZAVXOVQVXJVYPIUYDFUEWFZIUEWEZVXHVYLVXIVYOLLUXJUYDWGVYRUXNVYNCLVYRU
            XMVYMUXLUXLUXJUYDVRWHWIVTUCWJWBZWCZUVMZYBZVXPVYECVVMVBZVYFVXPVYECLV
            BVYECUYOVBZWUCVXPVYECLVXPVXLVCZVYDVYMUXLVXPBCDGHIKUYHUYDLMNUXLOPQVY
            GVYJTUAVYKVYTUVNZVXPVYNCLVXPVYLVYOVYSXDUVRYFUVSVXPVXRUHVAZVXTMVAZWU
            DVXPVXRMUHVXPVYCVXSVYAWUAWTZAMUHVAZVXOAVYIMYPUWEUGUOZWUJSMYPUXHUVTW
            UKMYEUOWUJMUWAWLWMXBZYFVXPVXTUHMVXPVYCVXSVYAWUAYHZVXPMUHWULUWBYFVYE
            WUGWUHCUHMXHTUXLUHVIZVYDVXRUXLUHUXLUHUYHXFZWUNYQYIUXLMVIZVYDVXTUXLM
            UXLMUYHXFZWUPYQYIXJXKVYECLUYOYJXKVXPVYECVVMUXIAVVPVXOVVTXBYKYGUXPVY
            CVYFVCIUYHDUYDUYGVYQUYEUYFUWCUWDUXJUYHVIZUXKVYCUXOVYFUXIUXIUXJUYHWG
            WURUXNVYECUXIWURUXMVYDUXLUXLUXJUYHVRWHWIVTQWJXKVXPVXSVYAWUIWUMUWFUY
            CVYBJUYHDEUXRUYHVIZUXTVXSUYBVYAWUSUXSVXRMUHUXRUYHVRVSWUSUYAVXTUHMUX
            RUYHVRVSVTUBWAXKAUYIVXOVCZVCZUYLVYDVIZCUXIVBZVYMVXMVIZCLVBZUXEUYHVI
            ZUYDUXFVIZWVAWVCUYLVYMVIZCLVBZWVEWVAWVBCLVBZWVBCVVMVBZWVIWVCWVAWVJW
            VJWVBCUYOVBZVCWVKWVAWVLWVJWVAVUIVXRVIZVUKVXTVIZWVLWVAVUIMVXRAUYIVUJ
            VXOVWHYLAVXOVXSUYIWUIYMYRWVAVUKUHVXTAUYIVULVXOVWJYLAVXOVYAUYIWUMYMY
            RWVBWVMWVNCUHMXHTWUNUYLVUIVYDVXRUXLUHUXEXFWUOYNWUPUYLVUKVYDVXTUXLMU
            XEXFWUQYNXJXKUWGWVBCLUYOYJYOAVXOWVJWVIWOUYIVXPWVBWVHCLWUEVYDVYMUYLW
            UFYSYDYMWVAWVBCVVMUXIAVVPWUTVVTXBYKUWHWVDWVHCLVXLWVDVYMUYLVIWVHVXLV
            XMUYLVYMVXNYSVYMUYLXTUWIXLYOWVAVVAUYHUXIWNZWVFWVCWOAUYIVVAVXOVVBYLZ
            WVAVYCWVOAVXOVYCUYIWUBYMUXIUXIUYHWQWPCUXIUXEUYHYTYCWVAUYDLWNZUXFLWN
            WVGWVEWOWVAVYLWVQAVXOVYLUYIVYTYMLLUYDWQWPWVAUXILUXEWVPAVXFWUTVXGXBX
            CCLUYDUXFYTYCUWJUWKUWLAUXBVVQHUGZUXDUXBVXJIVDZUFUGZLGUGZWVRFWVSUFUC
            UWOLUPUOZWWAWVTVILVYHMUWMZWDZUPUAVYHUPUOWWDUPUOYPUXHVEVYHWWCUWNVGVH
            ZBCLGIOUWPVGWWBWWAWVRVIWWEBCLGHIKOPUWQVGUWRAVVQUXCHAVVOVVPVVRVVSYHU
            WSUWTUXA $.
        $}

        ${
          subfacp1lem5.b $e |- B = { g e. A |
            ( ( g ` 1 ) = M /\ ( g ` M ) =/= 1 ) } $.
          subfacp1lem5.f $e |- F =
            ( ( _I |` K ) u. { <. 1 , M >. , <. M , 1 >. } ) $.
          $( Lemma for ~ subfacp1 .  The function ` F ` , which swaps ` 1 `
             with ` M ` and leaves all other elements alone, is a bijection of
             order ` 2 ` , i.e. it is its own inverse.  (Contributed by Mario
             Carneiro, 19-Jan-2015.) $)
          subfacp1lem4 $p |- ( ph -> `' F = F ) $=
            ( c1 caddc co cfz ccnv wf1o wfn cfv wceq cid cres a1i subfacp1lem2a
            f1oi simp1d f1ocnv f1ofn 3syl syl cv wcel wa cpr wo cun cin c0 cmin
            chash subfacp1lem1 simp2d eleq2d biimpar sylib subfacp1lem2b fvresi
            elun adantl eqtrd fveq2d elpr simp3d 2fveq3 eqeq12d syl5ibrcom jaod
            vex id imp sylan2b jaodan syldan wi adantr wf f1of f1ocnvfv syl2anc
            ffvelrnda mpd eqfnfvd ) ABUDNUDUEUFUGUFZKUHZKAXEXEKUIZXEXEXFUIXFXEU
            JAXGUDKUKZMULZMKUKZUDULZABCDFGHJKUMLUNZLMNOPQRSTUAUCLLXLUIALUQUOZUP
            ZURZXEXEKUSXEXEXFUTVAAXGKXEUJXOXEXEKUTVBABVCZXEVDZVEZXPKUKZKUKZXPUL
            ZXPXFUKXSULZAXQXPLVDZXPUDMVFZVDZVGZYAXRXPLYDVHZVDZYFAYHXQAYGXEXPALY
            DVIVJULYGXEULLVLUKNUDVKUFULABCDFGHJLMNOPQRSTUAVMVNVOVPXPLYDVTVQAYCY
            AYEAYCVEZXTXSXPYIXSXPKYIXSXPXLUKZXPABCDFGHJKXLLMNXPOPQRSTUAUCXMVRYC
            YJXPULALXPVSWAWBZWCYKWBYEAXPUDULZXPMULZVGZYAXPUDMBWJWDAYNYAAYLYAYMA
            YAYLXHKUKZUDULAYOXJUDAXHMKAXGXIXKXNVNZWCAXGXIXKXNWEZWBYLXTYOXPUDXPU
            DKKWFYLWKWGWHAYAYMXJKUKZMULAYRXHMAXJUDKYQWCYPWBYMXTYRXPMXPMKKWFYMWK
            WGWHWIWLWMWNWOXRXGXSXEVDYAYBWPAXGXQXOWQAXEXEXPKAXGXEXEKWRXOXEXEKWSV
            BXBXEXEXSXPKWTXAXCXD $.

          subfacp1lem5.c $e |- C = { f | ( f : ( 2 ... ( N + 1 ) ) -1-1-onto->
      ( 2 ... ( N + 1 ) ) /\ A. y e. ( 2 ... ( N + 1 ) ) ( f ` y ) =/= y ) } $.
          $( Lemma for ~ subfacp1 .  In ~ subfacp1lem6 we cut up the set of all
             derangements on ` 1 ... ( N + 1 ) ` first according to the value
             at ` 1 ` , and then by whether or not
             ` ( f `` ( f `` 1 ) ) = 1 ` .  In this lemma, we show that the
             subset of all ` N + 1 ` derangements with
             ` ( f `` ( f `` 1 ) ) =/= 1 ` for fixed ` M = ( f `` 1 ) ` is in
             bijection with derangements of ` 2 ... ( N + 1 ) ` , because
             pre-composing with the function ` F ` swaps ` 1 ` and ` M ` and
             turns the function into a bijection with ` ( f `` 1 ) = 1 ` and
             ` ( f `` x ) =/= x ` for all other ` x ` , so dropping the point
             at ` 1 ` yields a derangement on the ` N ` remaining points.
             (Contributed by Mario Carneiro, 23-Jan-2015.) $)
          subfacp1lem5 $p |- ( ph -> ( # ` B ) = ( S ` N ) ) $=
            ( vb vc chash cfv cvv cv ccom c2 c1 caddc co cfz cres wcel cfn wf1o
            wss wne wral cab fzfi ax-mp eqeltri wceq mp2an a1i cop csn cun cdif
            wa ccnv wfun wfo wf1 cid simpr weq fveq1 eqeq1d neeq1d elrab2 sylib
            anbi12d simpld vex f1oeq1 ralbidv elab2 f1oco syl2an2r f1of1 wf wfn
            wb f1ofn f1ofo syl 1ex cuz nnuz eleqtrdi adantr syl2anc f1of fvco3d
            cn simprd fveq2d 3eqtrd eqtrd f1oeq1d syl3anc 1z cin sylancl sselid
            c0 wn ad2antrr neeqtrrd fveq2 neeq12d syl5ibrcom adantrr eqnetrd wi
            necomd f1ocnvfv necon3d mpd sylanbrc funssfv adantrl cmin deranglem
            cmpt ssrab3 ssfi elexi eqid f1oi subfacp1lem2a simp1d df-f1 simprbi
            3syl fnresdm 4syl mpbird f1osn eluzfz1 fnressn simp3d opeq2d mpbiri
            peano2nnd sneqd resdif fzsplit cz fzsn 1p1e2 oveq1i uneq12i eqtr2di
            snssd incom cle wbr clt 1lt2 1re 2re ltnlei mpbi elfzle1 mto disjsn
            mpbir eqtri mpbid reseq2 f1oeq2 f1oeq3 3bitrd eqsstrri subfacp1lem4
            uneqdifeq fzp1ss fveq1d sseli r19.21bi sylan2 eldifsn subfacp1lem2b
            eleq2i fvresi adantl sylan2br adantlr expr pm2.61dne ffvelrn syl2an
            bitri ralrimiva difexg prex unex coex resex fvres sylan9eq ralbidva
            cpr fex f1oun mpanr12 sylancr bitrd biimpa syldan fvco3 wo eleqtrrd
            sylan elun nelne2 simp2d f1ofun cdm ssun1 snid dmsnop eleqtrri fvsn
            mp3an23 eqtrdi 3netr4d elsni imp ssun2 f1odm eleq2d ffvelrnd jaodan
            biimpar ffvelrnda snex id rspcdva jca cocan1 coass coeq1d f1ococnv1
            eqtr3d fcoi2 eqtr3id eqtr4d eqeq12d sylibr biantrurd ralunb bitr4di
            ralsn eqcomd adantlrl raleqdv 3bitr3rd eqfnfv fnssres 3bitr4d eqcom
            bitrdi 3bitr3d f1o2d hasheqf1od derangen2 derangval fveq2i eluzp1p1
            fcod eqtr4di df-2 eleqtrrdi hashfz nncnd 2cnd 1cnd subsubd 2m1e1 cc
            oveq2i ax-1cn pncan syl5eq 3eqtr2d ) AEUHUIFUHUIZOHUIZAEFUJUFELUFUK
            ZULZUMOUNUOUPZUQUPZURZUUBZEUJUSAEUTDUTUSEDVBEUTUSDUNVXIUQUPZVXMIUKZ
            VAZCUKZVXNUIZVXPVCZCVXMVDZVPZIVEZUTRVXMUTUSVYAUTUSUNVXIVFVXSVXMIUUA
            VGVHUNJUKZUIZNVIZNVYBUIZUNVCZVPZJDEUCUUCDEUUDVJUUEVKAUFUGEFVXKLUNUN
            VLZVMZUGUKZVNZULZVXLVXLUUFAVXGEUSZVPZVXJVXJVXKVAZVXPVXHUIZVXPVCZCVX
            JVDZVXKFUSVYNVXMUNVMZVOZVYTVXHVYTURZVAZVYOVYNVXHVQVRZVXMVXMVXHVXMUR
            ZVSZVYSVYSVXHVYSURZVSZWUBVYNVXMVXMVXHVAZVXMVXMVXHVTZWUCAVXMVXMLVAZV
            YMVXMVXMVXGVAZWUHAWUJUNLUIZNVIZNLUIZUNVIZABCDGHIKLWAMURZMNOPQRSTUAU
            BUDMMWUPVAZAMUUGZVKZUUHZUUIZVYNWUKVXPVXGUIZVXPVCZCVXMVDZVYNVXGDUSZW
            UKWVDVPZVYNWVEUNVXGUIZNVIZNVXGUIZUNVCZVPZVYNVYMWVEWVKVPAVYMWBVYGWVK
            JVXGDEJUFWCZVYDWVHVYFWVJWVLVYCWVGNUNVYBVXGWDWEWVLVYEWVIUNNVYBVXGWDW
            FWIUCWGWHZWJVXTWVFIVXGDUFWKZIUFWCZVXOWUKVXSWVDVXMVXMVXNVXGWLWVOVXRW
            VCCVXMWVOVXQWVBVXPVXPVXNVXGWDWFWMWIRWNWHZWJZVXMVXMVXMLVXGWOWPZVXMVX
            MVXHWQWUIVXMVXMVXHWRZWUCVXMVXMVXHUUJUUKUULVYNVXMVXMWUDVAZWUEVYNWVTW
            UHWVRVYNWUHVXHVXMWSZWUDVXHVIWVTWUHWTWVRVXMVXMVXHXAZVXMVXHUUMVXMVXMW
            UDVXHWLUUNUUOVXMVXMWUDXBXCVYNVYSVYSWUFVAZWUGVYNWWCVYSVYSVYIVAZUNUNX
            DXDUUPZVYNVYSVYSWUFVYIVYNWUFUNUNVXHUIZVLZVMZVYIVYNWWAUNVXMUSZWUFWWH
            VIVYNWUHWWAWVRWWBXCZAWWIVYMAVXIUNXEUIZUSWWIAVXIXLWWKAOSUVBZXFXGUNVX
            IUUQXCZXHZVXMUNVXHUURXIVYNWWGVYHVYNWWFUNUNVYNWWFWVGLUIWUNUNVYNVXMVX
            MUNLVXGVYNWUKVXMVXMVXGWRZWVQVXMVXMVXGXJXCZWWNXKVYNWVGNLVYNWVHWVJVYN
            WVEWVKWVMXMZWJXNAWUOVYMAWUJWUMWUOWUTUUSZXHZXOZUUTUVCXPXQUVAVYSVYSWU
            FXBXCVXMVYSVXMVYSVXHUVDXRVYNVYTVXJVIZWUBVYOWTAWXAVYMAVYSVXJVNZVXMVI
            ZWXAAVXMUNUNUQUPZUNUNUOUPZVXIUQUPZVNZWXBAWWIVXMWXGVIWWMUNUNVXIUVEXC
            WXDVYSWXFVXJUNUVFUSZWXDVYSVIXSUNUVGVGWXEUMVXIUQUVHUVIZUVJUVKZAVYSVX
            MVBVYSVXJXTZYCVIZWXCWXAWTAUNVXMWWMUVLWXKVXJVYSXTZYCVYSVXJUVMWXMYCVI
            UNVXJUSZYDZWXNUMUNUVNUVOZUNUMUVPUVOWXPYDUVQUNUMUVRUVSUVTUWAUNUMVXIU
            WBUWCZVXJUNUWDUWEUWFZVYSVXJVXMUWNYAUWGXHWXAWUBVYTVYTVXKVAVXJVYTVXKV
            AVYOWXAVYTVYTWUAVXKVYTVXJVXHUWHXQVYTVXJVYTVXKUWIVYTVXJVXJVXKUWJUWKX
            CUWGVYNVYQCVXJVYNVXPVXJUSZVPZVYPWVBLUIZVXPWXTVXMVXMVXPLVXGVYNWWOWXS
            WWPXHWXTVXJVXMVXPVXJWXFVXMWXIWXHWXFVXMVBXSUNVXIUWOVGUWLZVYNWXSWBYBX
            KWXTVXPLVQZUIZWVBVCWYAVXPVCWXTWYDVXPLUIZWVBAWYDWYEVIZVYMWXSAVXPWYCL
            ABCDEGHIJKLMNOPQRSTUAUBUCUDUWMZUWPZYEWXTWVBWYEWXTWVBWYEVCZVXPNWXTWY
            IVXPNVIZWVIWUNVCZVYNWYKWXSVYNWVIUNWUNVYNWVHWVJWWQXMWWSYFXHWYJWVBWVI
            WYEWUNVXPNVXGYGVXPNLYGZYHYIVYNWXSVXPNVCZWYIVYNWXSWYMVPZVPWVBVXPWYEV
            YNWXSWVCWYMWXSVYNVXPVXMUSZWVCVXJVXMVXPWYBUWQZVYNWVCCVXMVYNWUKWVDWVP
            XMUWRUWSYJAWYNWYEVXPVIZVYMWYNAVXPMUSZWYQWYRVXPVXJNVMZVOZUSWYNMWYTVX
            PUBUXBVXPVXJNUWTUXKAWYRVPWYEVXPWUPUIZVXPABCDGHIKLWUPMNOVXPPQRSTUAUB
            UDWUSUXAWYRXUAVXPVIAMVXPUXCUXDXPUXEZUXFYFUXGUXHYMYKWXTWYAVXPWYDWVBV
            YNWUJWXSWVBVXMUSZWYAVXPVIWYDWVBVIYLAWUJVYMWVAXHVYNWWOWYOXUCWXSWWPWY
            PVXMVXMVXPVXGUXIUXJVXMVXMWVBVXPLYNWPYOYPYKUXLVXJVXJVXNVAZVXRCVXJVDZ
            VPZVYOVYRVPIVXKFVXHVXJLVXGLWUPUNNVLZNUNVLZUYAZVNUJUDWUPXUIMMWUPWRZM
            UJUSWUPUJUSWUQXUJWURMMWUPXJVGMWYTUJUBVXJUTUSZWYTUJUSUMVXIVFZVXJWYSU
            TUXMVGVHMMUJWUPUYBVJXUGXUHUXNUXOVHZWVNUXPUXQVXNVXKVIZXUDVYOXUEVYRVX
            JVXJVXNVXKWLXUNVXRVYQCVXJXUNWXSVPVXQVYPVXPXUNWXSVXQVXPVXKUIZVYPVXPV
            XNVXKWDVXPVXJVXHUXRZUXSWFUXTWIUEWNYQAVYJFUSZVPZVYLDUSZUNVYLUIZNVIZN
            VYLUIZUNVCZVPZVYLEUSXURVXMVXMVYLVAZVXPVYLUIZVXPVCZCVXMVDZXUSAWUJXUQ
            VXMVXMVYKVAZXVEWVAAXUQWXBWXBVYKVAZXVIXURWWDVXJVXJVYJVAZXVJWWEXURXVK
            VXPVYJUIZVXPVCZCVXJVDZXURXUQXVKXVNVPZAXUQWBXUFXVOIVYJFUGWKZIUGWCZXU
            DXVKXUEXVNVXJVXJVXNVYJWLXVQVXRXVMCVXJXVQVXQXVLVXPVXPVXNVYJWDWFWMWIU
            EWNWHZWJZWWDXVKVPWXLWXLXVJWXRWXRVYSVYSVXJVXJVYIVYJUYCUYDUYEZAXVJXVI
            AWXCXVJXVIWTWXJWXCXVJVXMWXBVYKVAXVIWXBVXMWXBVYKUWIWXBVXMVXMVYKUWJUY
            FXCUYGUYHZVXMVXMVXMLVYKWOWPXURXVGCVXMXURWYOVPZXVFVXPVYKUIZLUIZVXPXU
            RVXMVXMVYKWRZWYOXVFXWDVIXURXVIXWEXWAVXMVXMVYKXJXCZVXMVXMVXPLVYKUYIU
            YLXWBWYDXWCVCXWDVXPVCXWBWYDWYEXWCAWYFXUQWYOWYHYEXURWYOVXPVYSUSZWXSU
            YJZWYEXWCVCZXWBVXPWXBUSXWHXWBVXPVXMWXBXURWYOWBAWXCXUQWYOWXJYEUYKVXP
            VYSVXJUYMWHXURXWGXWIWXSXURXWGXWIXURXWIXWGWULUNVYKUIZVCXURNUNWULXWJA
            NUNVCZXUQANVXJUSZWXOXWKTWXQNUNVXJUYNYAXHAWUMXUQAWUJWUMWUOWUTUYOZXHZ
            XURXWJUNVYIUIZUNXURVYKVRZXWJXWOVIZXURXVJXWPXVTWXBWXBVYKUYPXCZXWPVYI
            VYKVBUNVYIUYQZUSXWQVYIVYJUYRUNVYSXWSUNXDUYSUNUNXDUYTVUAUNVYKVYIYRVU
            CXCUNUNXDXDVUBVUDZVUEXWGWYEWULXWCXWJXWGVXPUNLVXPUNVUFZXNXWGVXPUNVYK
            XXAXNYHYIVUGXURWXSVPZXWCWYEXXBXWCXVLWYEXXBXWPVYJVYKVBZVXPVYJUYQZUSZ
            XWCXVLVIZXURXWPWXSXWRXHXXCXXBVYJVYIVUHZVKXURXXEWXSXURXXDVXJVXPXURXV
            KXXDVXJVIXVSVXJVXJVYJVUIXCZVUJVUMVXPVYKVYJYRXRZXXBXVLWYEVCZVXPNXXBX
            XJWYJNVYJUIZWUNVCXXBXXKUNWUNXURXXKUNVCZWXSXURXXKVXJUSWXOXXLXURVXJVX
            JNVYJXURXVKVXJVXJVYJWRXVSVXJVXJVYJXJXCAXWLXUQTXHZVUKZWXQXXKUNVXJUYN
            YAXHAWUOXUQWXSWWRYEYFWYJXVLXXKWYEWUNVXPNVYJYGZWYLYHYIXURWXSWYMXXJXU
            RWYNVPXVLVXPWYEXURWXSXVMWYMXURXVMCVXJXURXVKXVNXVRXMZUWRYJAWYNWYQXUQ
            XUBUXFYFUXGUXHYKYMVULUYHYKXWBXWDVXPWYDXWCXURWUJWYOXWCVXMUSXWDVXPVIW
            YDXWCVIYLAWUJXUQWVAXHXURVXMVXMVXPVYKXWFVUNVXMVXMXWCVXPLYNWPYOYPYKUX
            LVXTXVEXVHVPIVYLDLVYKXUMVYIVYJVYHVUOXVPUXOUXPVXNVYLVIZVXOXVEVXSXVHV
            XMVXMVXNVYLWLXXQVXRXVGCVXMXXQVXQXVFVXPVXPVXNVYLWDWFWMWIRWNYQXURXVAX
            VCXURXUTXWJLUIWULNXURVXMVXMUNLVYKXWFAWWIXUQWWMXHXKXURXWJUNLXWTXNXWN
            XOXURXVBXXKLUIZUNXURXVBNVYKUIZLUIXXRXURVXMVXMNLVYKXWFANVXMUSXUQAVXJ
            VXMNWYBTYBXHXKXURXXSXXKLXURXWPXXCNXXDUSXXSXXKVIXWRXXCXURXXGVKXURNVX
            JXXDXXMXXHUYKNVYKVYJYRXRXNXPXURUNWYCUIZXXKVCXXRUNVCXURXXTNXXKAXXTNV
            IXUQAXXTWULNAUNWYCLWYGUWPXWMXPXHXURXXKNXURXVMXXKNVCCVXJNWYJXVLXXKVX
            PNXXOWYJVUPYHXXPXXMVUQYMYKXURXXRUNXXTXXKAWUJXUQXXKVXMUSXXRUNVIXXTXX
            KVIYLWVAXURVXJVXMXXKWYBXXNYBVXMVXMXXKUNLYNWPYOYPYKVURVYGXVDJVYLDEVY
            BVYLVIZVYDXVAVYFXVCXYAVYCXUTNUNVYBVYLWDWEXYAVYEXVBUNNVYBVYLWDWFWIUC
            WGYQAVYMXUQVPZVPZLVXHULZVYLVIZVXHVYKVIZVXGVYLVIVYJVXKVIZXYCVXMVXMLV
            TZWVSXWEXYEXYFWTXYCWUJXYHAWUJXYBWVAXHZVXMVXMLWQXCXYCVXMVXMVXMLVXGXY
            CWUJVXMVXMLWRXYIVXMVXMLXJXCAVYMWWOXUQWWPYJZVWIAXUQXWEVYMXWFYSVXMVXM
            VXMLVXHVYKVUSXRXYCXYDVXGVYLXYCXYDLLULZVXGULZVXGLLVXGVUTXYCXYLWAVXMU
            RZVXGULZVXGXYCXYKXYMVXGAXYKXYMVIXYBAWYCLULZXYKXYMAWYCLLWYGVVAAWUJXY
            OXYMVIWVAVXMVXMLVVBXCVVCXHVVAXYCWWOXYNVXGVIXYJVXMVXMVXGVVDXCXPVVEWE
            XYCXYFVXKVYJVIZXYGXYCVYPXWCVIZCVXMVDZXUOXVLVIZCVXJVDZXYFXYPXYCXYQCV
            XJVDZXYQCWXBVDZXYTXYRXYCYUAXYQCVYSVDZYUAVPYUBXYCYUCYUAXYCWWFXWJVIZY
            UCXYCWWFUNXWJAVYMWWFUNVIXUQWWTYJAXUQXWJUNVIVYMXWTYSVVFXYQYUDCUNXDVX
            PUNVIVYPWWFXWCXWJVXPUNVXHYGVXPUNVYKYGVVGVVLVVHVVIXYQCVYSVXJVVJVVKXY
            CXYQXYSCVXJXYCWXSVPZVYPXUOXWCXVLYUEXUOVYPWXSXUOVYPVIXYCXUPUXDVVMAXU
            QWXSXXFVYMXXIVVNVVGUXTXYCXYQCWXBVXMAWXCXYBWXJXHVVOVVPXYCWWAVYKVXMWS
            ZXYFXYRWTAVYMWWAXUQWWJYJZXYCXVIYUFAXUQXVIVYMXWAYSVXMVXMVYKXAXCCVXMV
            XHVYKVVQXIXYCVXKVXJWSZVYJVXJWSZXYPXYTWTXYCWWAVXJVXMVBYUHYUGWYBVXMVX
            JVXHVVRYAXYCXVKYUIAXUQXVKVYMXVSYSVXJVXJVYJXAXCCVXJVXKVYJVVQXIVVSVXK
            VYJVVTVWAVWBVWCVWDAVXEVXJUHUIZHUIZVXFXUKYUKVXEVIXULXUKVXJGUIZYUKVXE
            BCVXJGHIKPQVWEXUKYULXUFIVEZUHUIVXEBCVXJGIPVWFFYUMUHUEVWGVWJVVCVGAYU
            JOHAYUJVXIUMYTUPUNUOUPZVXIUMUNYTUPZYTUPZOAVXIUMXEUIZUSYUJYUNVIAVXIW
            XEXEUIZYUQAOWWKUSVXIYURUSAOXLWWKSXFXGUNOVWHXCUMWXEXEVWKVWGVWLUMVXIV
            WMXCAVXIUMUNAVXIWWLVWNAVWOAVWPVWQAYUPVXIUNYTUPZOYUOUNVXIYTVWRVWTAOV
            WSUSUNVWSUSYUSOVIAOSVWNVXAOUNVXBYAVXCVXDXNVVEXP $.
        $}
      $}

      $( Lemma for ~ subfacp1 .  By induction, we cut up the set of all
         derangements on ` N + 1 ` according to the ` N ` possible values of
         ` ( f `` 1 ) ` (since ` ( f `` 1 ) =/= 1 ` ), and for each set for
         fixed ` M = ( f `` 1 ) ` , the subset of derangements with
         ` ( f `` M ) = 1 ` has size ` S ( N - 1 ) ` (by ~ subfacp1lem3 ),
         while the subset with ` ( f `` M ) =/= 1 ` has size ` S ( N ) ` (by
         ~ subfacp1lem5 ).  Adding it all up yields the desired equation
         ` N ( S ( N ) + S ( N - 1 ) ) ` for the number of derangements on
         ` N + 1 ` .  (Contributed by Mario Carneiro, 22-Jan-2015.) $)
      subfacp1lem6 $p |- ( N e. NN ->
        ( S ` ( N + 1 ) ) = ( N x. ( ( S ` N ) + ( S ` ( N - 1 ) ) ) ) ) $=
        ( vg wcel c1 caddc co cfv chash wceq wi vm vz vh cfz crab cmin cmul cn0
        cn cv peano2nn nnnn0d subfacval syl wf1o wne wa cab cfn fzfid derangval
        wral fveq2i eqtr4di wss wf cuz nnuz eleqtrdi eluzfz1 f1of adantr expcom
        ss2abdv weq fveq1 cbvabv 3sstr4g ssabral sylib sylibr fveq2d 3eqtrd cc0
        eleq1 csn oveq2 ax-mp eqtrdi eleq2d elsn rabbidv oveq1d eqeq12d imbi12d
        oveq1 imbi2d c0 fveq2 neeq12d neeq1d bitr3id rabeq0 ffvelrni nn0cnd cun
        wn id ex wo unrab cin ssrab2 mp2an inrab rgenw mpbir eqtri hashun mp3an
        wb ssfi cc nncn ad2antlr ax-1cn sylancl mpbi c2 cop eqid eqeq1d anbi12d
        mpd cbvrabv f1oeq1 cbvralvw ralbidv syl5bb a2d ffvelrn syl2im eleq1d cz
        rabid2 elfz1end fzsn fvex 1m1e0 hash0 rspcv adantld df-ne nnnn0 subfacf
        1z bitrdi nnm1nn0 nn0addcld mul02d a1d simplr peano2fzr sylancom imim1d
        3eqtr4a elfzp1 fzfi deranglem eqeltri fzp1disj inelcm sylan2br necon2bi
        addsubd subcl ad2antrr adddird mulid2d exmidne orcom biantru andi bitri
        a1i rabbii eqtr4i simpr necon3ai adantl imnan cid cdif cpr simpll nnne0
        cres 0p1e1 eqeq2i addcan2 mp3an23 necon3bbid mpbird elfzp12 biimpa df-2
        0cn ord oveq1i eleqtrrdi subfacp1lem5 subfacp1lem3 syl5eq eqtr4d oveq2d
        ovex oveq12d syl5ibr syld nnind mpcom pncan ) HUIMZHNOPZEQZNLUJZQZNUYDU
        DPZMZLCUEZRQZUYDNUFPZHEQZHNUFPZEQZOPZUGPZHUYPUGPUYCUYEUYHDQZCRQZUYKUYCU
        YDUHMUYEUYRSUYCUYDHUKZULABDEFGUYDIJUMUNUYCUYRUYHUYHFUJZUOZBUJZVUAQZVUCU
        PZBUYHVBZUQZFURZRQZUYSUYCUYHUSMZUYRVUISUYCNUYDUTABUYHDFIVAUNCVUHRKVCVDU
        YCCUYJRUYCUYILCVBZCUYJSUYCCUYILURZVEVUKUYCVUHNVUAQZUYHMZFURCVULUYCVUGVU
        NFUYCNUYHMZVUGUYHUYHVUAVFZVUNUYCUYDNVGQZMZVUOUYCUYDUIVUQUYTVHVIZNUYDVJU
        NZVUBVUPVUFUYHUYHVUAVKVLVUPVUOVUNUYHUYHNVUAUUAVMUUBVNKUYIVUNLFLFVOZUYGV
        UMUYHNUYFVUAVPZUUCVQVRUYILCVSVTUYILCUUEWAWBWCUYCUYDUYHMZUYKUYQSZUYCUYDU
        IMZVVCUYTUYDUUFVTVVEUYCVVCVVDTZUYTUYCAUJZUYHMZUYGNVVGUDPZMZLCUEZRQZVVGN
        UFPZUYPUGPZSZTZTUYCVUOUYGNSZLCUEZRQZWDUYPUGPZSZTZTUYCUAUJZUYHMZUYGNVWCU
        DPZMZLCUEZRQZVWCNUFPZUYPUGPZSZTZTUYCVWCNOPZUYHMZUYGNVWMUDPZMZLCUEZRQZVW
        MNUFPZUYPUGPZSZTZTUYCVVFTAUAUYDVVGNSZVVPVWBUYCVXCVVHVUOVVOVWAVVGNUYHWEV
        XCVVLVVSVVNVVTVXCVVKVVRRVXCVVJVVQLCVXCVVJUYGNWFZMVVQVXCVVIVXDUYGVXCVVIN
        NUDPZVXDVVGNNUDWGNUUDMVXEVXDSUUPNUUGWHWIWJUYGNNUYFUUHZWKUUQWLWBVXCVVMWD
        UYPUGVXCVVMNNUFPWDVVGNNUFWPUUIWIWMWNWOWQAUAVOZVVPVWLUYCVXGVVHVWDVVOVWKV
        VGVWCUYHWEVXGVVLVWHVVNVWJVXGVVKVWGRVXGVVJVWFLCVXGVVIVWEUYGVVGVWCNUDWGWJ
        WLWBVXGVVMVWIUYPUGVVGVWCNUFWPWMWNWOWQVVGVWMSZVVPVXBUYCVXHVVHVWNVVOVXAVV
        GVWMUYHWEVXHVVLVWRVVNVWTVXHVVKVWQRVXHVVJVWPLCVXHVVIVWOUYGVVGVWMNUDWGWJW
        LWBVXHVVMVWSUYPUGVVGVWMNUFWPWMWNWOWQVVGUYDSZVVPVVFUYCVXIVVHVVCVVOVVDVVG
        UYDUYHWEVXIVVLUYKVVNUYQVXIVVKUYJRVXIVVJUYILCVXIVVIUYHUYGVVGUYDNUDWGWJWL
        WBVXIVVMUYLUYPUGVVGUYDNUFWPWMWNWOWQUYCVWAVUOUYCWRRQWDVVSVVTUUJUYCVVRWRR
        UYCVVQXGZLCVBZVVRWRSUYCCVXJLURZVEVXKUYCVUHVUMNUPZFURCVXLUYCVUGVXMFUYCVU
        FVXMVUBUYCVUOVUFVXMTVUTVUEVXMBNUYHVUCNSZVUDVUMVUCNVUCNVUAWSVXNXHWTUUKUN
        UULVNKVXJVXMLFVXJUYGNUPVVAVXMUYGNUUMVVAUYGVUMNVVBXAXBVQVRVXJLCVSVTVVQLC
        XCWAWBUYCUYPUYCUYPUYCUYMUYOUYCHUHMUYMUHMHUUNUHUHHEABDEFGIJUUOZXDUNUYCUY
        NUHMUYOUHMHUURUHUHUYNEVXOXDUNUUSZXEUUTUVFUVAVWCUIMZUYCVWLVXBUYCVXQVWLVX
        BTUYCVXQUQZVWLVWNVWKTVXBVXRVWNVWDVWKVXRVWNVWDVXRVWNVWCVUQMZVWDVXRVWNUQZ
        VWCUIVUQUYCVXQVWNUVBVHVIZVWCNUYDUVCUVDXIUVEVXRVWNVWKVXAVXRVWNVWKVXATVWK
        VXAVXTVWHUYGVWMSZLCUEZRQZOPZVWJVYDOPZSVWHVWJVYDOWPVXTVWRVYEVWTVYFVXTVWR
        VWGVYCXFZRQZVYEVXTVWQVYGRVXTVWQVWFVYBXJZLCUEVYGVXTVWPVYILCVXTVXSVWPVYIY
        AVYAUYGNVWCUVGUNWLVWFVYBLCXKVDWBVWGUSMZVYCUSMZVWGVYCXLZWRSVYHVYESCUSMZV
        WGCVEVYJCVUHUSKVUJVUHUSMNUYDUVHVUFUYHFUVIWHUVJZVWFLCXMCVWGYBXNVYMVYCCVE
        VYKVYNVYBLCXMCVYCYBXNVYLVWFVYBUQZLCUEZWRVWFVYBLCXOVYPWRSVYOXGZLCVBVYQLC
        VWEVWMWFZXLZWRSVYQNVWCUVKVYOVYSWRVYBVWFUYGVYRMVYSWRUPUYGVWMVXFWKUYGVWEV
        YRUVLUVMUVNWHXPVYOLCXCXQXRVWGVYCXSXTWIVXTVWTVWINOPZUYPUGPVWJNUYPUGPZOPV
        YFVXTVWSVYTUYPUGVXTVWCNNVXQVWCYCMZUYCVWNVWCYDZYEZNYCMZVXTYFUWEZWUFUVOWM
        VXTVWINUYPVXTWUBWUEVWIYCMWUDYFVWCNUVPYGWUFVXTUYPUYCUYPUHMVXQVWNVXPUVQXE
        ZUVRVXTWUAVYDVWJOVXTWUAUYPVYDVXTUYPWUGUVSVXTVYDVYBVWMUYFQZNUPZUQZLCUEZR
        QZVYBWUHNSZUQZLCUEZRQZOPZUYPVYDWUKWUOXFZRQZWUQVYCWURRVYCWUJWUNXJZLCUEWU
        RVYBWUTLCVYBVYBWUIWUMXJZUQWUTWVAVYBWUMWUIXJWVAWUHNUVTWUMWUIUWAYHUWBVYBW
        UIWUMUWCUWDUWFWUJWUNLCXKUWGVCWUKUSMZWUOUSMZWUKWUOXLZWRSWUSWUQSVYMWUKCVE
        WVBVYNWUJLCXMCWUKYBXNVYMWUOCVEWVCVYNWUNLCXMCWUOYBXNWVDWUJWUNUQZLCUEZWRW
        UJWUNLCXOWVFWRSWVEXGZLCVBWVGLCWUJWUNXGZTWVGWUIWVHVYBWUNWUHNVYBWUMUWHUWI
        UWJWUJWUNUWKYHXPWVELCXCXQXRWUKWUOXSXTXRVXTWULUYMWUPUYOOVXTABCWUKYIUYDUD
        PZWVIUYFUOZUBUJZUYFQZWVKUPZUBWVIVBZUQZLURDEFUCGUWLWVIVYRUWMZUWQNVWMYJVW
        MNYJUWNXFZWVPVWMHIJKUYCVXQVWNUWOZVXTVWMNNOPZUYDUDPZWVIVXTVWMNSZXGZVWMWV
        TMZVXQWWBUYCVWNVXQWWBVWCWDUPVWCUWPVXQWWAVWCWDWWAVWMWDNOPZSZVXQVWCWDSZWW
        DNVWMUWRUWSVXQWUBWWEWWFYAZWUCWUBWDYCMWUEWWGUXGYFVWCWDNUWTUXAUNXBUXBUXCY
        EVXTWWAWWCVXRVWNWWAWWCXJZVXRVURVWNWWHYAUYCVURVXQVUSVLVWMNUYDUXDUNUXEUXH
        YNYIWVSUYDUDUXFUXIUXJZVWCNOUXPZWVPYKZWUJNUCUJZQZVWMSZVWMWWLQZNUPZUQLUCC
        LUCVOZVYBWWNWUIWWPWWQUYGWWMVWMNUYFWWLVPYLZWWQWUHWWONVWMUYFWWLVPZXAYMYOW
        VQYKWVOWVIWVIVUAUOZVUEBWVIVBZUQLFVVAWVJWWTWVNWXAWVIWVIUYFVUAYPWVNVUCUYF
        QZVUCUPZBWVIVBVVAWXAWVMWXCUBBWVIUBBVOZWVLWXBWVKVUCWVKVUCUYFWSWXDXHWTZYQ
        VVAWXCVUEBWVIVVAWXBVUDVUCVUCUYFVUAVPXAZYRYSYMVQUXKVXTABCWUOWVPWVPUYFUOZ
        WVMUBWVPVBZUQZLURDEFUCGWVPVWMHIJKWVRWWIWWJWWKWUNWWNWWONSZUQLUCCWWQVYBWW
        NWUMWXJWWRWWQWUHWWONWWSYLYMYOWXIWVPWVPVUAUOZVUEBWVPVBZUQLFVVAWXGWXKWXHW
        XLWVPWVPUYFVUAYPWXHWXCBWVPVBVVAWXLWVMWXCUBBWVPWXEYQVVAWXCVUEBWVPWXFYRYS
        YMVQUXLUXQUXMUXNUXOWCWNUXRXIYTUXSVMYTUXTUYAYNUYCUYLHUYPUGUYCHYCMWUEUYLH
        SHYDYFHNUYBYGWMWC $.
    $}

    $( A two-term recurrence for the subfactorial.  This theorem allows us to
       forget the combinatorial definition of the derangement number in favor
       of the recursive definition provided by this theorem and ~ subfac0 ,
       ~ subfac1 .  (Contributed by Mario Carneiro, 23-Jan-2015.) $)
    subfacp1 $p |- ( N e. NN ->
      ( S ` ( N + 1 ) ) = ( N x. ( ( S ` N ) + ( S ` ( N - 1 ) ) ) ) ) $=
      ( vg vz c1 co cv wf1o cfv wne wral wa weq caddc cfz cab f1oeq1 id neeq12d
      fveq2 cbvralvw fveq1 neeq1d ralbidv syl5bb anbi12d cbvabv subfacp1lem6 )
      ABLGLUAMUBMZUPJNZOZKNZUQPZUSQZKUPRZSZJUCCDEFGHIVCUPUPENZOZBNZVDPZVFQZBUPR
      ZSJEJETZURVEVBVIUPUPUQVDUDVBVFUQPZVFQZBUPRVJVIVAVLKBUPKBTZUTVKUSVFUSVFUQU
      GVMUEUFUHVJVLVHBUPVJVKVGVFVFUQVDUIUJUKULUMUNUO $.

    $( A closed-form expression for the subfactorial.  (Contributed by Mario
       Carneiro, 23-Jan-2015.) $)
    subfacval2 $p |- ( N e. NN0 -> ( S ` N ) =
      ( ( ! ` N ) x. sum_ k e. ( 0 ... N ) ( ( -u 1 ^ k ) / ( ! ` k ) ) ) ) $=
      ( wcel cfv cfa cc0 cfz co c1 cmul wceq caddc vm cn0 cneg cv cexp cdiv csu
      wa fveq2 subfac0 eqtrdi fac0 sumeq1d oveq12d eqeq12d fv0p1e1 subfac1 fac1
      oveq2 oveq1 0p1e1 oveq2d anbi12d fvoveq1 cz cc 0z ax-1cn exp0 ax-mp div1i
      neg1cn fsum1 mp2an oveq2i 1t1e1 eqtr2i wtru nn0uz 1e0p1 cr neg1rr reexpcl
      exp1 mpan faccl nndivred recnd adantl 0nn0 pm3.2i 1pneg1e0 fsump1i simpri
      a1i mptru mul01i wi simpr oveq12 ancoms cmin nn0p1nn subfacp1 nn0cn pncan
      cn sylancl fveq2d eqtrd peano2nn0 nncnd fzfid elfznn0 fsumcl expcl nnne0d
      syl sylancr divcld adddid cuz eleqtrdi fsump1 facp1 mulcomd oveq1d nn0cnd
      mulassd 3eqtrd div12d divcan3d mulcld negsub eqtr3d expp1 3eqtr4d addassd
      id divcan2d add32d eqcomd mulid1d adddird syl5ibr jcad nn0ind simpld ) HU
      BKHDLZHMLZNHOPZQUCZFUDZUEPZUUMMLZUFPZFUGZRPZSZHQTPZDLZUUTMLZNUUTOPZUUPFUG
      ZRPZSZAUDZDLZUVGMLZNUVGOPZUUPFUGZRPZSZUVGQTPZDLZUVNMLZNUVNOPZUUPFUGZRPZSZ
      UHQQNNOPZUUPFUGZRPZSZNQNQOPZUUPFUGZRPZSZUHUAUDZDLZUWIMLZNUWIOPZUUPFUGZRPZ
      SZUWIQTPZDLZUWPMLZNUWPOPZUUPFUGZRPZSZUHZUXBUWPQTPZDLZUXDMLZNUXDOPZUUPFUGZ
      RPZSZUHUUSUVFUHAUAHUVGNSZUVMUWDUVTUWHUXKUVHQUVLUWCUXKUVHNDLQUVGNDUIABCDEG
      IJUJUKUXKUVIQUVKUWBRUXKUVINMLZQUVGNMUIULUKUXKUVJUWAUUPFUVGNNOUSUMUNUOUXKU
      VONUVSUWGUXKUVOQDLNDUVGUPABCDEGIJUQUKUXKUVPQUVRUWFRUXKUVPQMLZQMUVGUPURUKU
      XKUVQUWEUUPFUXKUVNQNOUXKUVNNQTPQUVGNQTUTVAUKVBUMUNUOVCUVGUWISZUVMUWOUVTUX
      BUXNUVHUWJUVLUWNUVGUWIDUIUXNUVIUWKUVKUWMRUVGUWIMUIUXNUVJUWLUUPFUVGUWINOUS
      UMUNUOUXNUVOUWQUVSUXAUVGUWIQDTVDUXNUVPUWRUVRUWTRUVGUWIQMTVDUXNUVQUWSUUPFU
      XNUVNUWPNOUVGUWIQTUTVBUMUNUOVCUVGUWPSZUVMUXBUVTUXJUXOUVHUWQUVLUXAUVGUWPDU
      IUXOUVIUWRUVKUWTRUVGUWPMUIUXOUVJUWSUUPFUVGUWPNOUSUMUNUOUXOUVOUXEUVSUXIUVG
      UWPQDTVDUXOUVPUXFUVRUXHRUVGUWPQMTVDUXOUVQUXGUUPFUXOUVNUXDNOUVGUWPQTUTVBUM
      UNUOVCUVGHSZUVMUUSUVTUVFUXPUVHUUIUVLUURUVGHDUIUXPUVIUUJUVKUUQRUVGHMUIUXPU
      VJUUKUUPFUVGHNOUSUMUNUOUXPUVOUVAUVSUVEUVGHQDTVDUXPUVPUVBUVRUVDRUVGHQMTVDU
      XPUVQUVCUUPFUXPUVNUUTNOUVGHQTUTVBUMUNUOVCUWDUWHUWCQQRPQUWBQQRNVEKQVFKZUWB
      QSZVGVHUUPQFNUUMNSZUUPQQUFPQUXSUUNQUUOQUFUXSUUNUULNUEPZQUUMNUULUEUSUULVFK
      ZUXTQSVLUULVIVJUKUXSUUOUXLQUUMNMUIULUKUNQVHVKUKVMVNZVOVPVQUWGQNRPNUWFNQRQ
      UBKZUWFNSZUYCUYDUHVRUUPUULQNFNNQUBVSVTUUMQSZUUPUULQUFPUULUYEUUNUULUUOQUFU
      YEUUNUULQUEPZUULUUMQUULUEUSUYAUYFUULSVLUULWDVJUKUYEUUOUXMQUUMQMUIURUKUNUU
      LVLVKUKUUMUBKZUUPVFKZVRUYGUUPUYGUUNUUOUULWAKUYGUUNWAKWBUULUUMWCWEUUMWFWGW
      HZWINUBKZUXRUHVRUYJUXRWJUYBWKWOQUULTPNSVRWLWOWMWPWNVOQVHWQVQWKUWIUBKZUXCU
      XBUXJUXCUXBWRUYKUWOUXBWSWOUXCUXJUYKUWPUWQUWJTPZRPZUWPUXAUWNTPZRPZSUXCUYLU
      YNUWPRUXBUWOUYLUYNSUWQUXAUWJUWNTWTXAVBUYKUXEUYMUXIUYOUYKUXEUWPUWQUWPQXBPZ
      DLZTPZRPZUYMUYKUWPXGKUXEUYSSUWIXCZABCDEGUWPIJXDXRUYKUYRUYLUWPRUYKUYQUWJUW
      QTUYKUYPUWIDUYKUWIVFKUXQUYPUWISUWIXEVHUWIQXFXHXIVBVBXJUYKUXFUWTUULUXDUEPZ
      UXFUFPZTPZRPZUWPUWKUXDRPZUWMRPZUULUWPUEPZTPZRPZUXIUYOUYKVUDUXFUWTRPZUXFVU
      BRPZTPUWPVUERPZUWMRPZVUGUXDRPZTPZVUATPZVUIUYKUXFUWTVUBUYKUXFUYKUXDUBKZUXF
      XGKUYKUWPUBKZVUQUWIXKZUWPXKXRZUXDWFXRZXLZUYKUWSUUPFUYKNUWPXMUYKUUMUWSKZUH
      UYGUYHVVCUYGUYKUUMUWPXNWIUYIXRZXOUYKVUAUXFUYKUYAVUQVUAVFKVLVUTUULUXDXPXSZ
      VVBUYKUXFVVAXQZXTYAUYKVUJVUOVUKVUATUYKVUJUXFUWMVUGUWRUFPZTPZRPUXFUWMRPZUX
      FVVGRPZTPVUOUYKUWTVVHUXFRUYKUUPVVGFNUWIUYKUWIUBNYBLZUYKYSVSYCVVDUUMUWPSUU
      NVUGUUOUWRUFUUMUWPUULUEUSUUMUWPMUIUNYDZVBUYKUXFUWMVVGVVBUYKUWLUUPFUYKNUWI
      XMUYKUUMUWLKZUHUYGUYHVVMUYGUYKUUMUWIXNWIUYIXRXOZUYKVUGUWRUYKUYAVURVUGVFKV
      LVUSUULUWPXPXSZUYKUWRUYKVURUWRXGKVUSUWPWFXRZXLZUYKUWRVVPXQZXTZYAUYKVVIVUM
      VVJVUNTUYKUXFVULUWMRUYKUXFUWRUXDRPZUWPUWKRPZUXDRPVULUYKVURUXFVVTSVUSUWPYE
      XRZUYKUWRVWAUXDRUYKUWRUWKUWPRPZVWAUWIYEZUYKUWKUWPUYKUWKUWIWFXLZUYKUWPUYTX
      LZYFXJYGUYKUWPUWKUXDVWFVWEUYKUXDVUTYHZYIYJYGUYKVVJVUGUXFUWRUFPZRPVUNUYKUX
      FVUGUWRVVBVVOVVQVVRYKUYKVWHUXDVUGRUYKVWHVVTUWRUFPUXDUYKUXFVVTUWRUFVWBYGUY
      KUXDUWRVWGVVQVVRYLXJVBXJUNYJUYKVUAUXFVVEVVBVVFYTUNUYKVUMVUNVUATPZTPUWPVUF
      RPZUWPVUGRPZTPVUPVUIUYKVUMVWJVWIVWKTUYKUWPVUEUWMVWFUYKUWKUXDVWEVWGYMZVVNY
      IUYKVUNVUGUULRPZTPZVUGUWPRPZVWIVWKUYKVUGUXDUULTPZRPVWNVWOUYKVUGUXDUULVVOV
      WGUYAUYKVLWOYAUYKVWPUWPVUGRUYKVWPUXDQXBPZUWPUYKUXDVFKUXQVWPVWQSVWGVHUXDQY
      NXHUYKUWPVFKUXQVWQUWPSVWFVHUWPQXFXHXJVBYOUYKVUAVWMVUNTUYKUYAVURVUAVWMSVLV
      USUULUWPYPXSVBUYKUWPVUGVWFVVOYFYQUNUYKVUMVUNVUAUYKVULUWMUYKUWPVUEVWFVWLYM
      VVNYMUYKVUGUXDVVOVWGYMVVEYRUYKUWPVUFVUGVWFUYKVUEUWMVWLVVNYMVVOYAYQYJUYKUX
      HVUCUXFRUYKUUPVUBFNUWPUYKUWPUBVVKVUSVSYCUYKUUMUXGKZUHUYGUYHVWRUYGUYKUUMUX
      DXNWIUYIXRUUMUXDSUUNVUAUUOUXFUFUUMUXDUULUEUSUUMUXDMUIUNYDVBUYKUYNVUHUWPRU
      YKUWRUWMRPZVUGTPZUWNTPVWSUWNTPZVUGTPUYNVUHUYKVWSVUGUWNUYKUWRUWMVVQVVNYMVV
      OUYKUWKUWMVWEVVNYMUUAUYKUXAVWTUWNTUYKUXAUWRVVHRPVWSUWRVVGRPZTPVWTUYKUWTVV
      HUWRRVVLVBUYKUWRUWMVVGVVQVVNVVSYAUYKVXBVUGVWSTUYKVUGUWRVVOVVQVVRYTVBYJYGU
      YKVUFVXAVUGTUYKVUFUWRUWKTPZUWMRPVXAUYKVUEVXCUWMRUYKVUEVWCUWKQRPZTPVXCUYKU
      WKUWPQVWEVWFUXQUYKVHWOYAUYKVWCUWRVXDUWKTUYKUWRVWCVWDUUBUYKUWKVWEUUCUNXJYG
      UYKUWRUWKUWMVVQVWEVVNUUDXJYGYQVBYQUOUUEUUFUUGUUH $.

    $( The subfactorial converges rapidly to ` N ! / _e ` .  This is part of
       Metamath 100 proof #88.  (Contributed by Mario Carneiro,
       23-Jan-2015.) $)
    subfaclim $p |- ( N e. NN ->
      ( abs ` ( ( ( ! ` N ) / _e ) - ( S ` N ) ) ) < ( 1 / N ) ) $=
      ( vk wcel cfv cdiv co c1 caddc cmul cn0 syl cc0 cn cfa cmin cabs cc nnnn0
      ceu faccl nncnd wne ere recni epos gt0ne0ii divcl mp3an23 ffvelrni nn0cnd
      subfacf subcld abscld peano2nn peano2nnd nnred nnmulcld nndivred cuz cneg
      nnrecre cv cexp csu cle wbr cmpt eqid neg1cn a1i ax-1cn absnegi abs1 1le1
      eqtri eqbrtri eftlub wa wceq nnnn0d eluznn0 eftval sumeq2dv fveq2d oveq1i
      sylan cz nnzd 1exp syl5eq oveq1d recnd mulid2d eqtrd 3brtr3d cr clt eftcl
      wb mpan cseq cli cdm eftlcvg sylancr isumcl nngt0d lemul2 syl112anc mpbid
      subfacval2 nncn pncan sylancl oveq2d sumeq1d eqtr4d divrec ce df-e oveq2i
      cfz efneg ax-mp adantl 3eqtrd mulcld nnne0d adddird nnre nngt0 jca fsumcl
      efval 3eqtr2i nn0uz mp2an isumsplit elfznn0 adddid subaddd mpbird absmuld
      0nn0 fzfid nn0ge0d absidd mulassd eqtr2d divcan5d divassd 3eqtr3d 3brtr4d
      nnmulcl mpancom mulcomd oveq12d addassd breqtrrd 1red lt2mul2div syl22anc
      facp1 ltp1d lelttrd ) GUAKZGUBLZUGMNZGDLZUCNZUDLZGOPNZOPNZUVTUVTQNZMNZOGM
      NZUVNUVRUVNUVPUVQUVNUVOUEKZUVPUEKZUVNUVOUVNGRKZUVOUAKGUFZGUHSZUIZUWEUGUEK
      ZUGTUJZUWFUGUKULZUGUKUMUNZUVOUGUOUPSZUVNUVQUVNUWGUVQRKUWHRRGDABCDEFHIUSUQ
      SURZUTVAUVNUWAUWBUVNUWAUVNUVTGVBZVCZVDZUVNUVTUVTUWQUWQVEZVFGVIUVNUVOUVTVG
      LZOVHZJVJZVKNUXCUBLMNZJVLZUDLZQNZUVOUWAUVTUBLZUVTQNZMNZQNZUVSUWCVMUVNUXFU
      XJVMVNZUXGUXKVMVNZUVNUXAUXCFRUXBFVJZVKNUXNUBLZMNVOZLZJVLZUDLUXBUDLZUVTVKN
      ZUXJQNZUXFUXJVMUVNUXBJFUXPFRUXSUXNVKNUXOMNVOZFRUXTUXHMNOUWAMNUXNVKNQNVOZU
      VTUXPVPZUYBVPUYCVPUWQUXBUEKZUVNVQVRUXSOVMVNUVNUXSOOVMUXSOUDLOOVSVTWAWCZWB
      WDVRWEUVNUXRUXEUDUVNUXAUXQUXDJUVNUXCUXAKZWFZUXCRKZUXQUXDWGZUVNUVTRKZUYGUY
      IUVNUVTUWQWHZUXCUVTWIWNZUXBFUXPUXCUYDWJZSZWKWLUVNUYAOUXJQNUXJUVNUXTOUXJQU
      VNUXTOUVTVKNZOUXSOUVTVKUYFWMUVNUVTWOKUYPOWGUVNUVTUWQWPZUVTWQSWRWSUVNUXJUV
      NUXJUVNUWAUXIUWSUVNUXHUVTUVNUYKUXHUAKUYLUVTUHSUWQVEZVFZWTXAXBXCUVNUXFXDKU
      XJXDKUVOXDKTUVOXEVNUXLUXMXGUVNUXEUVNUXDJUXPUVTUXAUXAVPZUYQUYOUYHUYIUXDUEK
      ZUYMUYEUYIVUAVQUXBUXCXFZXHZSUVNUYEUYKPUXPUVTXIXJXKZKVQUYLUXBFUXPUVTUYDXLX
      MXNZVAUYSUVNUVOUWIVDZUVNUVOUWIXOUXFUXJUVOXPXQXRUVNUVSUVOUXEQNZUDLUVOUDLZU
      XFQNUXGUVNUVRVUGUDUVNUVRVUGWGUVQVUGPNZUVPWGUVNVUIUVOTUVTOUCNZYJNZUXDJVLZQ
      NZVUGPNZUVPUVNUVQVUMVUGPUVNUVQUVOTGYJNZUXDJVLZQNZVUMUVNUWGUVQVUQWGUWHABCD
      EJFGHIXSSUVNVULVUPUVOQUVNVUKVUOUXDJUVNVUJGTYJUVNGUEKOUEKZVUJGWGGXTZVSGOYA
      YBYCYDYCYEWSUVNUVPUVOOUGMNZQNZUVOVULUXEPNZQNVUNUVNUWEUVPVVAWGZUWJUWEUWKUW
      LVVCUWMUWNUVOUGYFUPSUVNVUTVVBUVOQUVNVUTRUXDJVLZVVBVUTOOYGLZMNZUXBYGLZVVDU
      GVVEOMYHYIVURVVGVVFWGVSOYKYLUYEVVGVVDWGVQUXBJUUBYLUUCUVNUXDJUXPTUVTUXARUU
      DUYTUYLUYIUYJUVNUYNYMUYIVUAUVNVUCYMPUXPTXIVUDKZUVNUYETRKVVHVQUULUXBFUXPTU
      YDXLUUEVRUUFWRYCUVNUVOVULUXEUWJUVNVUKUXDJUVNTVUJUUMUVNUXCVUKKZWFUYEUYIVUA
      VQVVIUYIUVNUXCVUJUUGYMVUBXMUUAVUEUUHYNYEUVNUVPUVQVUGUWOUWPUVNUVOUXEUWJVUE
      YOUUIUUJWLUVNUVOUXEUWJVUEUUKUVNVUHUVOUXFQUVNUVOVUFUVNUVOUVNUVOUWIWHUUNUUO
      WSYNUVNUVOUWAQNZUVOUWBQNZMNVVJUXIMNUWCUXKUVNVVKUXIVVJMUVNUXIUVOUVTQNZUVTQ
      NVVKUVNUXHVVLUVTQUVNUWGUXHVVLWGUWHGUVKSWSUVNUVOUVTUVTUWJUVNUVTUWQUIZVVMUU
      PUUQYCUVNUWAUWBUVOUVNUWAUWRUIZUVNUWBUWTUIZUWJUVNUWBUWTYPUVNUVOUWIYPUURUVN
      UVOUWAUXIUWJVVNUVNUXIUYRUIUVNUXIUYRYPUUSUUTUVAUVNUWAGQNZOUWBQNZXEVNZUWCUW
      DXEVNZUVNVVPVVPOPNZVVQXEUVNVVPUVNVVPUWAUAKUVNVVPUAKUWRUWAGUVBUVCVDUVLUVNV
      VQUWBGUVTQNZOUVTQNZPNZVVTUVNUWBVVOXAUVNGOUVTVUSVURUVNVSVRZVVMYQUVNVWCUVTG
      QNZUVTPNZVVTUVNVWAVWEVWBUVTPUVNGUVTVUSVVMUVDUVNUVTVVMXAUVEUVNVVTVWEOGQNZP
      NZOPNVWEGPNZOPNVWFUVNVVPVWHOPUVNUVTOGVVMVWDVUSYQWSUVNVWHVWIOPUVNVWGGVWEPU
      VNGVUSXAYCWSUVNVWEGOUVNUVTGVVMVUSYOVUSVWDUVFYNYEYNUVGUVNUWAXDKGXDKZTGXEVN
      ZWFOXDKUWBXDKZTUWBXEVNZWFZVVRVVSXGUWSUVNVWJVWKGYRGYSYTUVNUVHUVNUWBUAKZVWN
      UWTVWOVWLVWMUWBYRUWBYSYTSUWAGOUWBUVIUVJXRUVM $.

    $( Another closed form expression for the subfactorial.  The expression
       ` |_ `` ( x + 1 / 2 ) ` is a way of saying "rounded to the nearest
       integer".  (Contributed by Mario Carneiro, 23-Jan-2015.) $)
    subfacval3 $p |- ( N e. NN -> ( S ` N ) =
      ( |_ ` ( ( ( ! ` N ) / _e ) + ( 1 / 2 ) ) ) ) $=
      ( wcel cfv ceu co c1 c2 caddc wbr clt cr cc0 cn cfa cdiv cfl wceq cle cn0
      nnnn0 subfacf ffvelrni syl nn0zd crp faccl nnred rerpdivcl sylancl halfre
      zred epr readdcl cmin cabs wa cuz wo elnn1uz2 fveq2 eqtrdi oveq1d subfac1
      fac1 oveq12d rpreccl ax-mp rpre recni subid1i fveq2d rpge0 absid mp2an c3
      egt2lt3 simpli 2re 2pos epos ltrecii mpbi eqbrtrdi eluz2nn resubcld recnd
      ere cc abscld nnrecred a1i subfaclim eluzle wb nnre nngt0 mpanl12 syl2anc
      lerec mpbid ltletrd jaoi sylbi absdifltd simpld ltsubaddd simprd ltadd1dd
      ltled addassd ax-1cn 2halves oveq2i breqtrd cz flbi mpbir2and eqcomd ) GU
      AJZGUBKZLUCMZNOUCMZPMZUDKZGDKZYGYLYMUEZYMYKUFQZYKYMNPMZRQZYGYMYKYGYMYGYMY
      GGUGJZYMUGJGUHZUGUGGDABCDEFHIUIUJUKULZUSZYGYISJZYJSJZYKSJZYGYHSJLUMJZUUBY
      GYHYGYRYHUAJYSGUNUKUOUTYHLUPUQZURYIYJVAUQZYGYMYJVBMYIRQZYMYKRQYGUUHYIYMYJ
      PMZRQZYGYIYMVBMZVCKZYJRQZUUHUUJVDYGGNUEZGOVEKJZVFUUMGVGUUNUUMUUOUUNUULNLU
      CMZYJRUUNUULUUPVCKZUUPUUNUUKUUPVCUUNUUKUUPTVBMUUPUUNYIUUPYMTVBUUNYHNLUCUU
      NYHNUBKNGNUBVHVLVIVJUUNYMNDKTGNDVHABCDEFHIVKVIVMUUPUUPUUPUMJZUUPSJZUUEUUR
      UTLVNVOZUUPVPVOZVQVRVIVSUUSTUUPUFQZUUQUUPUEUVAUURUVBUUTUUPVTVOUUPWAWBVIOL
      RQZUUPYJRQUVCLWCRQWDWEOLWFWOWGWHWIWJWKUUOUULNGUCMZYJUUOUUKUUOYGUUKWPJGWLZ
      YGUUKYGYIYMUUFUUAWMWNUKWQUUOGUVEWRUUCUUOURWSUUOYGUULUVDRQUVEABCDEFGHIWTUK
      UUOOGUFQZUVDYJUFQZOGXAUUOYGUVFUVGXBZUVEYGGSJZTGRQZUVHGXCGXDOSJTORQUVIUVJV
      DUVHWFWGOGXGXEXFUKXHXIXJXKYGYIYMYJUUFUUAUUCYGURWSZXLXHZXMYGYMYJYIUUAUVKUU
      FXNXHXQYGYKUUIYJPMZYPRYGYIUUIYJUUFYGYMSJUUCUUISJUUAURYMYJVAUQUVKYGUUHUUJU
      VLXOXPYGUVMYMYJYJPMZPMYPYGYMYJYJYGYMUUAWNYGYJUVKWNZUVOXRUVNNYMPNWPJUVNNUE
      XSNXTVOYAVIYBYGUUDYMYCJYNYOYQVDXBUUGYTYKYMYDXFYEYF $.
  $}

  ${
    $d f m x y A $.  $d m n x y D $.
    derangfmla.d $e |- D = ( x e. Fin |-> ( # ` { f | ( f : x -1-1-onto-> x /\
      A. y e. x ( f ` y ) =/= y ) } ) ) $.
    $( The derangements formula, which expresses the number of derangements of
       a finite nonempty set in terms of the factorial.  The expression
       ` |_ `` ( x + 1 / 2 ) ` is a way of saying "rounded to the nearest
       integer".  This is part of Metamath 100 proof #88.  (Contributed by
       Mario Carneiro, 23-Jan-2015.) $)
    derangfmla $p |- ( ( A e. Fin /\ A =/= (/) ) ->
      ( D ` A ) = ( |_ ` ( ( ( ! ` ( # ` A ) ) / _e ) + ( 1 / 2 ) ) ) ) $=
      ( vn vm cfn wcel c0 wne cfv cn0 c1 cv cfz co cdiv wceq chash cmpt cfa ceu
      wa c2 caddc cfl oveq2 fveq2d cbvmptv derangen2 adantr cn hashnncl biimpar
      subfacval3 syl eqtrd ) CIJZCKLZUEZCDMZCUAMZGNOGPZQRZDMZUBZMZVDUCMUDSROUFS
      RUGRUHMZUTVCVITVAABCDVHEHFGHNVGOHPZQRZDMVEVKTVFVLDVEVKOQUIUJUKZULUMVBVDUN
      JZVIVJTUTVNVACUOUPABDVHEHVDFVMUQURUS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The Erd&#337;s-Szekeres theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y A $.  $d y F $.  $d y O $.  $d x S $.  $d y X $.
    erdszelem1.1 $e |- S = { y e. ~P ( 1 ... A ) | ( ( F |` y )
        Isom < , O ( y , ( F " y ) ) /\ A e. y ) } $.
    $( Lemma for ~ erdsze .  (Contributed by Mario Carneiro, 22-Jan-2015.) $)
    erdszelem1 $p |- ( X e. S <-> ( X C_ ( 1 ... A )
        /\ ( F |` X ) Isom < , O ( X , ( F " X ) ) /\ A e. X ) ) $=
      ( c1 cfz co cpw wcel cima clt cres wiso wa wceq wb syl wss w3a ovex elpw2
      anbi1i cv reseq2 isoeq1 isoeq4 imaeq2 isoeq5 3bitrd anbi12d elrab2 3anass
      eleq2 3bitr4i ) FHBIJZKZLZFDFMZNEDFOZPZBFLZQZQFURUAZVEQFCLVFVCVDUBUTVFVEF
      URHBIUCUDUEAUFZDVGMZNEDVGOZPZBVGLZQVEAFUSCVGFRZVJVCVKVDVLVJVGVHNEVBPZFVHN
      EVBPZVCVLVIVBRVJVMSVGFDUGVGVHNEVBVIUHTVGVHFNEVBUIVLVHVARVNVCSVGFDUJFVHVAN
      EVBUKTULVGFBUPUMGUNVFVCVDUOUQ $.

    $( Lemma for ~ erdsze .  (Contributed by Mario Carneiro, 22-Jan-2015.) $)
    erdszelem2 $p |- ( ( # " S ) e. Fin /\ ( # " S ) C_ NN ) $=
      ( vx chash cima cfn wcel cn wss cres c1 cv clt wiso mp2an cvv wfo cfz cpw
      co fzfi pwfi mpbi wa crab ssrab2 eqsstri ssfi wfun cdm cn0 cpnf csn hashf
      cun ffun ax-mp ssv fdmi sseqtrri fores fofi cfv wral funimass4 erdszelem1
      wf wb w3a c0 wne 3ad2ant3 simp1 sylancr hashnncl syl mpbird sylbi mprgbir
      ne0i pm3.2i ) HCIZJKZWFLMZCJKZCWFHCNZUAZWGOBUBUDZUCZJKZCWMMWIWLJKZWNOBUEZ
      WLUFUGCAPZDWQIQEDWQNRBWQKUHZAWMUIWMFWRAWMUJUKWMCULSHUMZCHUNZMZWKTUOUPUQUS
      ZHVKWSURTXBHUTVAZCTWTCVBTXBHURVCVDZCHVESCWFWJVFSWHGPZHVGLKZGCWSXAWHXFGCVH
      VLXCXDGCLHVISXECKXEWLMZXEDXEIQEDXENRZBXEKZVMZXFABCDEXEFVJXJXFXEVNVOZXIXGX
      KXHXEBWDVPXJXEJKZXFXKVLXJWOXGXLWPXGXHXIVQWLXEULVRXEVSVTWAWBWCWE $.
  $}

  ${
    $d f w x y z B $.  $d f m n s w x y z F $.  $d n s x y I $.  $d f s z K $.
    $d f s w x y z A $.  $d n s x y J $.  $d f s w x y z O $.  $d m s x y R $.
    $d a b m n s w x y z N $.  $d a b f m n s w x y z ph $.  $d m s x y S $.
    $d a b m s w z T $.
    erdsze.n $e |- ( ph -> N e. NN ) $.
    erdsze.f $e |- ( ph -> F : ( 1 ... N ) -1-1-> RR ) $.
    ${
      erdszelem.k $e |- K = ( x e. ( 1 ... N ) |->
        sup ( ( # " { y e. ~P ( 1 ... x ) | ( ( F |` y )
          Isom < , O ( y , ( F " y ) ) /\ x e. y ) } ) , RR , < ) ) $.
      $( Lemma for ~ erdsze .  (Contributed by Mario Carneiro, 22-Jan-2015.) $)
      erdszelem3 $p |- ( A e. ( 1 ... N ) -> ( K ` A ) =
        sup ( ( # " { y e. ~P ( 1 ... A ) | ( ( F |` y )
          Isom < , O ( y , ( F " y ) ) /\ A e. y ) } ) , RR , < ) ) $=
        ( chash cv cima clt wcel c1 cfz co cr cres wiso wa crab csup wceq oveq2
        cpw pweqd eleq1 anbi2d rabeqbidv imaeq2d supeq1d ltso supex fvmpt ) BDL
        CMZEURNOHEURUAUBZBMZURPZUCZCQUTRSZUHZUDZNZTOUELUSDURPZUCZCQDRSZUHZUDZNZ
        TOUEQGRSFUTDUFZTVFVLOVMVEVKLVMVBVHCVDVJVMVCVIUTDQRUGUIVMVAVGUSUTDURUJUK
        ULUMUNKTVLOUOUPUQ $.

      erdszelem.o $e |- O Or RR $.
      $( Lemma for ~ erdsze .  (Contributed by Mario Carneiro, 22-Jan-2015.) $)
      erdszelem4 $p |- ( ( ph /\ A e. ( 1 ... N ) ) -> { A } e.
        { y e. ~P ( 1 ... A ) | ( ( F |` y )
          Isom < , O ( y , ( F " y ) ) /\ A e. y ) } ) $=
        ( c1 wcel wa wss clt adantl wbr cr cfz co csn cima cres wiso cv crab cn
        cpw elfznn elfz1end sylib snssd cfv wi wb elsni breqan12d cuz fzssuz cz
        wral uzssz zssre sstri simpr adantr sselid pm2.21d sylbid ralrimivva wf
        ltnrd wf1 f1f syl wor ltso soss mp2 soisores mpanl12 syl2anc snidg eqid
        mpbird erdszelem1 syl3anbrc ) ADMGUAUBZNZOZDUCZMDUAUBZPWMEWMUDQHEWMUEUF
        ZDWMNZWMCUGZEWQUDQHEWQUEUFDWQNOCWNUJUHZNWLDWNWLDUINZDWNNWKWSADGUKRDULUM
        UNWLWOBUGZWQQSZWTEUOWQEUOHSZUPZCWMVCBWMVCZWLXCBCWMWMWLWTWMNZWQWMNZOZOZX
        ADDQSZXBXGXAXIUQWLXEXFWTDWQDQWTDURWQDURUSRXHXIXBXHDXHWJTDWJMUTUOZTMGVAX
        JVBTMVDVEVFVFZWLWKXGAWKVGZVHVIVNVJVKVLWLWJTEVMZWMWJPZWOXDUQZAXMWKAWJTEV
        OXMJWJTEVPVQVHWLDWJXLUNWJQVRZTHVRXMXNOXOWJTPTQVRXPXKVSWJTQVTWALBCWMWJTQ
        HEWBWCWDWGWKWPADWJWERCDWREHWMWRWFWHWI $.

      $( Lemma for ~ erdsze .  (Contributed by Mario Carneiro, 22-Jan-2015.) $)
      erdszelem5 $p |- ( ( ph /\ A e. ( 1 ... N ) ) -> ( K ` A ) e. ( # "
        { y e. ~P ( 1 ... A ) | ( ( F |` y )
          Isom < , O ( y , ( F " y ) ) /\ A e. y ) } ) ) $=
        ( c1 cfz co wcel chash clt cr c0 wa cfv cv cima cres wiso cpw crab csup
        wceq erdszelem3 adantl wne cdm cin csn cvv snex cn0 cpnf cun hashf fdmi
        eleqtrri erdszelem4 inelcm sylancr imadisj necon3bii sylibr cfn cn eqid
        wss erdszelem2 simpli simpri nnssre sstri wor ltso fisupcl mpan mp3an13
        w3a syl eqeltrd ) ADMGNOPZUAZDFUBZQCUCZEWKUDRHEWKUEUFDWKPUACMDNOUGUHZUD
        ZSRUIZWMWHWJWNUJAABCDEFGHIJKUKULWIWMTUMZWNWMPZWIQUNZWLUOZTUMZWOWIDUPZWQ
        PWTWLPWSWTUQWQDURUQUSUTUPVAQVBVCVDABCDEFGHIJKLVEWTWQWLVFVGWMTWRTQWLVHVI
        VJWMVKPZWOWMSVNZWPXAWMVLVNZCDWLEHWLVMVOZVPWMVLSXAXCXDVQVRVSSRVTXAWOXBWE
        WPWASWMRWBWCWDWFWG $.

      $( Lemma for ~ erdsze .  (Contributed by Mario Carneiro, 22-Jan-2015.) $)
      erdszelem6 $p |- ( ph -> K : ( 1 ... N ) --> NN ) $=
        ( c1 cfz co cv cima clt wcel wa cn vz chash cres wiso cpw crab csup cvv
        cr ltso supex a1i cmpt wceq cfv cfn erdszelem2 simpri erdszelem5 sselid
        wss eqid fmpt2d ) ABUALFMNZUBCOZDVEPQGDVEUCUDZBOZVERSCLVGMNUEUFPZUIQUGZ
        TEUHVIUHRAVGVDRSUIVHQUJUKULEBVDVIUMUNAJULAUAOZVDRSUBVFVJVERSCLVJMNUEUFZ
        PZTVJEUOVLUPRVLTVACVJVKDGVKVBUQURABCVJDEFGHIJKUSUTVC $.

      erdszelem.a $e |- ( ph -> A e. ( 1 ... N ) ) $.
      ${
        erdszelem7.r $e |- ( ph -> R e. NN ) $.
        erdszelem7.m $e |- ( ph -> -. ( K ` A ) e. ( 1 ... ( R - 1 ) ) ) $.
        $( Lemma for ~ erdsze .  (Contributed by Mario Carneiro,
           22-Jan-2015.) $)
        erdszelem7 $p |- ( ph -> E. s e. ~P ( 1 ... N )
          ( R <_ ( # ` s ) /\ ( F |` s ) Isom < , O ( s , ( F " s ) ) ) ) $=
          ( chash wcel c1 cv cfv wceq cima clt cres wiso wa cfz co cpw crab cle
          wrex wbr wfun cvv cn0 cpnf csn wf hashf ffun ax-mp erdszelem5 fvelima
          cun mpdan sylancr wss w3a wi eqid erdszelem1 simprl1 cuz elfzuz3 3syl
          fzss2 adantr sstrd velpw sylibr wn cz wb erdszelem6 ffvelrnd eleqtrdi
          cmin cn nnz peano2zm elfz5 syl2anc nnltlem1 bitr4d mtbid nnred cr cfn
          erdszelem2 simpri nnssre sselid lenltd mpbird simprr breqtrrd simprl2
          nnuz sstri jca32 expr sylan2b expimpd reximdv2 mpd ) AJUAZRUBZDGUBZUC
          ZJCUAZFYCUDUEIFYCUFUGDYCSUHCTDUIUJZUKULZUNZEXTUMUOZXSFXSUDUEIFXSUFUGZ
          UHZJTHUIUJZUKZUNARUPZYARYEUDZSZYFUQURUSUTVGZRVAYLVBUQYORVCVDADYJSZYNO
          ABCDFGHIKLMNVEVHZJYAYERVFVIAYBYIJYEYKAXSYESZYBXSYKSZYIUHZYRAXSYDVJZYH
          DXSSZVKZYBYTVLCDYEFIXSYEVMZVNAUUCYBYTAUUCYBUHZUHZYSYGYHUUFXSYJVJYSUUF
          XSYDYJUUAYHUUBYBAVOAYDYJVJZUUEAYPHDVPUBSUUGODTHVQDTHVSVRVTWAJYJWBWCUU
          FEYAXTUMAEYAUMUOZUUEAUUHYAEUEUOZWDAYATETWJUJZUIUJSZUUIQAUUKYAUUJUMUOZ
          UUIAYATVPUBZSUUJWESZUUKUULWFAYAWKUUMAYJWKDGABCFGHIKLMNWGOWHZXKWIAEWKS
          ZEWESUUNPEWLEWMVRYATUUJWNWOAYAWKSUUPUUIUULWFUUOPYAEWPWOWQWRAEYAAEPWSA
          YMWTYAYMWKWTYMXASYMWKVJCDYEFIUUDXBXCXDXLYQXEXFXGVTAUUCYBXHXIUUAYHUUBY
          BAXJXMXNXOXPXQXR $.
      $}

      erdszelem.b $e |- ( ph -> B e. ( 1 ... N ) ) $.
      erdszelem.l $e |- ( ph -> A < B ) $.
      $( Lemma for ~ erdsze .  (Contributed by Mario Carneiro, 22-Jan-2015.) $)
      erdszelem8 $p |- ( ph ->
        ( ( K ` A ) = ( K ` B ) -> -. ( F ` A ) O ( F ` B ) ) ) $=
        ( wbr wcel c1 cr vf vw vz cfv cv chash wceq cima clt cres wa cfz co cpw
        wiso crab wrex wne wi wfun cvv cn0 cpnf csn hashf ffun ax-mp erdszelem5
        cun wf mpdan fvelima sylancr wss w3a eqid erdszelem1 fzfid simplr1 ssfi
        cfn syl2anc hashcl syl nn0red cle csup c0 wral erdszelem2 simpri nnssre
        caddc cn sstri a1i cz elfzelzd elfznn nnred ltled eluz2 syl3anbrc fzss2
        cuz ad2antrr sstrd elfz1end sylib snssd simplr2 wb wf1 f1f elfzuz3 3syl
        unssd wor fzssuz soisores mpanl12 mpbid sselda elfzle2 ad3antrrr lenltd
        wn adantr fvres adantl ffvelrnd mp2and elsni imbi2d syl5ibrcom ralrimiv
        ralunb sylanbrc ralrimiva mpbird uzssz zssre ltso soss r19.21bi simplr3
        sselid simpr isorel breqan12d bitrd syl12anc mtbid simplr sotr2 syl3anc
        mp2 mpan a1d fveq2d breq2d elfzelz syldan pm2.21d breq1d imbi1d ralbidv
        zred ssun2 snssg mpbiri cdm snex unex fdmi eleqtrri funfvima mp2an ne0d
        simpli fimaxre2 sylancl ltnled nsyl ssneldd hashunsng eqeltrrd syl31anc
        vex suprub erdszelem3 breqtrrd erdszelem6 nnnn0d nn0ltp1le ex syl5ibcom
        ltned neeq1 sylan2b rexlimdva mpd necon2bd ) ADFUDZEFUDZIQZDGUDZEGUDZAU
        AUEZUFUDZUXGUGZUACUEZFUXLUHUIIFUXLUJUOZDUXLRUKCSDULUMZUNUPZUQZUXFUXGUXH
        URZUSZAUFUTZUXGUFUXOUHRZUXPVAVBVCVDVIZUFVJUXSVEVAUYAUFVFVGZADSHULUMZRZU
        XTNABCDFGHIJKLMVHVKUAUXGUXOUFVLVMAUXKUXRUAUXOUXIUXORAUXIUXNVNZUXIFUXIUH
        ZUIIFUXIUJZUOZDUXIRZVOZUXKUXRUSCDUXOFIUXIUXOVPVQAUYJUKZUXFUXJUXHURZUSUX
        KUXRUYKUXFUYLUYKUXFUKZUXJUXHUYMUXJUYMUXIWARZUXJVBRZUYMUXNWARUYEUYNUYMSD
        VRUYEUYHUYIAUXFVSZUXNUXIVTWBZUXIWCWDZWEUYMUXJUXHUIQZUXJSWMUMZUXHWFQZUYM
        UYTUFUXMEUXLRUKCSEULUMZUNUPZUHZTUIWGZUXHWFUYMVUDTVNZVUDWHURUBUEZUCUEZWF
        QUBVUDWIUCTUQZUYTVUDRUYTVUEWFQVUFUYMVUDWNTVUDWARZVUDWNVNZCEVUCFIVUCVPZW
        JZWKWLWOWPZUYMVUDUXIEVDZVIZUFUDZUYMVUPVUCRZVUQVUDRZUYMVUPVUBVNVUPFVUPUH
        UIIFVUPUJUOZEVUPRZVURUYMUXIVUOVUBUYMUXIUXNVUBUYPAUXNVUBVNZUYJUXFAEDXEUD
        ZRZVVBADWQREWQRDEWFQVVDADSHNWRAESHOWRADEADAUYDDWNRZNDHWSZWDWTZAEAEUYCRZ
        EWNRZOEHWSWDZWTZPXADEXBXCDSEXDWDXFXGUYMEVUBAEVUBRZUYJUXFAVVIVVLVVJEXHXI
        XFZXJXQZUYMVUTVUHVUGUIQZVUHFUDZVUGFUDZIQZUSZUBVUPWIZUCVUPWIZUYMVVTUCUXI
        WIVVTUCVUOWIVWAUYMVVTUCUXIUYMVUHUXIRZUKZVVSUBUXIWIZVVSUBVUOWIVVTUYMVWDU
        CUXIUYMUYHVWDUCUXIWIZUYEUYHUYIAUXFXKZUYMUYCTFVJZUXIUYCVNZUYHVWEXLZAVWGU
        YJUXFAUYCTFXMVWGKUYCTFXNWDXFZUYMUXIUXNUYCUYPAUXNUYCVNZUYJUXFAUYDHVVCRVW
        KNDSHXODSHXDXPXFXGZUYCUIXRZTIXRZVWGVWHUKVWIUYCTVNTUIXRVWMUYCSXEUDZTSHXS
        VWOWQTSUUAUUBWOWOZUUCUYCTUIUUDUUQZMUCUBUXIUYCTUIIFXTYAWBYBUUEVWCVVSUBVU
        OVWCVVSVUGVUORZVVOVVPUXEIQZUSVWCVWSVVOVWCUXDVVPIQZYGZUXFVWSVWCDVUHUIQZV
        WTVWCVUHDWFQZVXBYGVWCVUHUXNRVXCUYMUXIUXNVUHUYPYCVUHSDYDWDVWCVUHDVWCUYCT
        VUHVWPUYMUXIUYCVUHVWLYCZUUGVWCDVWCUYDVVEAUYDUYJUXFVWBNYEZVVFWDWTYFYBVWC
        UYHUYIVWBVXBVWTXLUYMUYHVWBVWFYHUYMUYIVWBUYEUYHUYIAUXFUUFYHUYMVWBUUHUYHU
        YIVWBUKZUKVXBDUYGUDZVUHUYGUDZIQZVWTUXIUYFDVUHUIIUYGUUIVXFVXIVWTXLUYHUYI
        VWBVXGUXDVXHVVPIDUXIFYIVUHUXIFYIUUJYJUUKUULUUMUYKUXFVWBUUNVWCVVPTRZUXDT
        RZUXETRZVXAUXFUKVWSUSZVWCUYCTVUHFUYMVWGVWBVWJYHZVXDYKVWCUYCTDFVXNVXEYKV
        WCUYCTEFVXNUYMVVHVWBAVVHUYJUXFOXFZYHYKVWNVXJVXKVXLVOVXMMTVVPUXDUXEIUUOU
        URUUPYLUUSVWRVVRVWSVVOVWRVVQUXEVVPIVWRVUGEFVUGEYMUUTUVAYNYOYPVVSUBUXIVU
        OYQYRYSUYMVVTUCVUOUYMVVTVUHVUORZEVUGUIQZVVRUSZUBVUPWIUYMVXRUBVUPUYMVUGV
        UPRZUKVXQVVRUYMVXSVUGVUBRZVXQYGZUYMVUPVUBVUGVVNYCUYMVXTUKZVUGEWFQZVYAVX
        TVYCUYMVUGSEYDYJVYBVUGEVXTVUGTRUYMVXTVUGVUGSEUVBUVHYJAETRUYJUXFVXTVVKYE
        YFYBUVCUVDYSVXPVVSVXRUBVUPVXPVVOVXQVVRVXPVUHEVUGUIVUHEYMUVEUVFUVGYOYPVV
        TUCUXIVUOYQYRUYMVWGVUPUYCVNZVUTVWAXLZVWJUYMUXIVUOUYCVWLUYMEUYCVXOXJXQVW
        MVWNVWGVYDUKVYEVWQMUCUBVUPUYCTUIIFXTYAWBYTUYMVVAVUOVUPVNZVUOUXIUVIUYMVV
        LVVAVYFXLVVMEVUPVUBUVJWDUVKCEVUCFIVUPVULVQXCUXSVUPUFUVLZRVURVUSUSUYBVUP
        VAVYGUXIVUOUAUWIEUVMUVNVAUYAUFVEUVOUVPVUCVUPUFUVQUVRWDZUVSUYMVUFVUJVUIV
        UNVUJVUKVUMUVTUCUBVUDUWAUWBUYMVUQUYTVUDUYMUYNEUXIRYGZVUQUYTUGZUYQUYMUXI
        UXNEUYPAEUXNRZYGUYJUXFAEDWFQZVYKADEUIQVYLYGPADEVVGVVKUWCYBESDYDUWDXFUWE
        UYMVVHUYNVYIUKVYJUSVXOUXIEUYCUWFWDYLVYHUWGUCUBVUDUYTUWJUWHAUXHVUEUGZUYJ
        UXFAVVHVYMOABCEFGHIJKLUWKWDXFUWLUYMUYOUXHVBRUYSVUAXLUYRUYMUXHAUXHWNRUYJ
        UXFAUYCWNEGABCFGHIJKLMUWMOYKXFUWNUXJUXHUWOWBYTUWRUWPUXKUYLUXQUXFUXJUXGU
        XHUWSYNUWQUWTUXAUXBUXC $.
    $}

    ${
      erdszelem.i $e |- I = ( x e. ( 1 ... N ) |->
        sup ( ( # " { y e. ~P ( 1 ... x ) | ( ( F |` y )
          Isom < , < ( y , ( F " y ) ) /\ x e. y ) } ) , RR , < ) ) $.
      erdszelem.j $e |- J = ( x e. ( 1 ... N ) |->
        sup ( ( # " { y e. ~P ( 1 ... x ) | ( ( F |` y )
          Isom < , `' < ( y , ( F " y ) ) /\ x e. y ) } ) , RR , < ) ) $.
      erdszelem.t $e |- T = ( n e. ( 1 ... N ) |->
        <. ( I ` n ) , ( J ` n ) >. ) $.
      $( Lemma for ~ erdsze .  (Contributed by Mario Carneiro, 22-Jan-2015.) $)
      erdszelem9 $p |- ( ph -> T : ( 1 ... N ) -1-1-> ( NN X. NN ) ) $=
        ( cn cfv wceq wcel wa cr vz vw va vb c1 cfz co cxp wf cv wi wf1 cop clt
        wral ltso erdszelem6 ffvelrnda ccnv gtso opelxpi fmptd eqeqan12d eqeq12
        syl2anc fveq2 imbi12d eqcom bitrdi wss elfzelz zred ssriv a1i biidd cle
        wbr w3a simpr1 opeq12d opex fvmpt syl simpr2 eqeq12d fvex wne wn sselid
        opth simpr3 leltned wo wb adantr f1fveq bitr4di necon3bid bitr4d biimpa
        syl12anc ad2antrr ffvelrnd lttri2d mpbid simpr erdszelem8 anim12d ioran
        f1f notbii anbi2i bitr4i syl6ibr mt2d ex sylbird necon4ad syl5bi sylbid
        brcnv syl6ib wlogle ralrimivva dff13 sylanbrc ) AUEIUFUGZOOUHZDUIUAUJZD
        PZUBUJZDPZQZYIYKQZUKZUBYGUOUAYGUOYGYHDULAEYGEUJZGPZYPHPZUMZYHDAYPYGRSYQ
        ORYRORYSYHRAYGOYPGABCFGIUNJKLUPUQURAYGOYPHABCFHIUNUSZJKMUTUQURYQYROOVAV
        ENVBAYOUAUBYGYGAUCUJZDPZUDUJZDPZQZUUAUUCQZUKYOYOUAUBUCUDYGUUAYIQZUUCYKQ
        ZSUUEYMUUFYNUUGUUHUUBYJUUDYLUUAYIDVFUUCYKDVFVCUUAYIUUCYKVDVGUUAYKQZUUCY
        IQZSZUUEYMUUFYNUUKUUEYLYJQYMUUIUUJUUBYLUUDYJUUAYKDVFUUCYIDVFVCYLYJVHVIU
        UKUUFYKYIQZYNUUAYKUUCYIVDYKYIVHZVIVGYGTVJAUAYGTYIYGRZYIYIUEIVKVLZVMZVNA
        UUNYKYGRZSSYOVOAUUNUUQYIYKVPVQZVRZSZYMUULYNUUTYMYIGPZYIHPZUMZYKGPZYKHPZ
        UMZQZUULUUTYJUVCYLUVFUUTUUNYJUVCQAUUNUUQUURVSZEYIYSUVCYGDYPYIQYQUVAYRUV
        BYPYIGVFYPYIHVFVTNUVAUVBWAWBWCUUTUUQYLUVFQAUUNUUQUURWDZEYKYSUVFYGDYPYKQ
        YQUVDYRUVEYPYKGVFYPYKHVFVTNUVDUVEWAWBWCWEUVGUVAUVDQZUVBUVEQZSZUUTUULUVA
        UVBUVDUVEYIGWFYIHWFWJUUTUVLYKYIUUTYKYIWGZYIYKUNVQZUVLWHZUUTYIYKUUTUUNYI
        TRUVHUUOWCUUTYGTYKUUPUVIWIAUUNUUQUURWKWLZUUTUVNUVOUUTUVNSZUVLYIFPZYKFPZ
        UNVQZUVSUVRUNVQZWMZUVQUVRUVSWGZUWBUUTUVNUWCUUTUVNUVMUWCUVPUUTUVRUVSYKYI
        UUTUVRUVSQZYNUULUUTYGTFULZUUNUUQUWDYNWNAUWEUUSKWOUVHUVIYGTYIYKFWPXAUUMW
        QWRWSWTUVQUVRUVSUVQYGTYIFAYGTFUIZUUSUVNAUWEUWFKYGTFXJWCXBZUUTUUNUVNUVHW
        OZXCUVQYGTYKFUWGUUTUUQUVNUVIWOZXCXDXEUVQUVLUVTWHZUVRUVSYTVQZWHZSZUWBWHZ
        UVQUVJUWJUVKUWLUVQBCYIYKFGIUNAIORUUSUVNJXBZAUWEUUSUVNKXBZLUPUWHUWIUUTUV
        NXFZXGUVQBCYIYKFHIYTUWOUWPMUTUWHUWIUWQXGXHUWNUWJUWAWHZSUWMUVTUWAXIUWLUW
        RUWJUWKUWAUVRUVSUNYIFWFYKFWFYAXKXLXMXNXOXPXQXRXSXTUUMYBYCYDUAUBYGYHDYEY
        F $.

      erdszelem.r $e |- ( ph -> R e. NN ) $.
      erdszelem.s $e |- ( ph -> S e. NN ) $.
      erdszelem.m $e |- ( ph -> ( ( R - 1 ) x. ( S - 1 ) ) < N ) $.
      $( Lemma for ~ erdsze .  (Contributed by Mario Carneiro, 22-Jan-2015.) $)
      erdszelem10 $p |- ( ph -> E. m e. ( 1 ... N )
        ( -. ( I ` m ) e. ( 1 ... ( R - 1 ) ) \/
          -. ( J ` m ) e. ( 1 ... ( S - 1 ) ) ) ) $=
        ( vs cv cfv c1 cmin co cfz cxp wcel wn wrex wo crn wss csdm wbr cdom wi
        cfn fzfi xpfi mp2an ssdomg ax-mp domnsym syl cen chash cmul wceq hashxp
        clt cn cn0 nnm1nn0 hashfz1 oveq12d syl5eq nnnn0d 3brtr4d fzfid hashsdom
        3syl wb sylancr mpbid wf1 wf1o erdszelem9 f1f1orn ovex sdomentr syl2anc
        f1oen nsyl3 wex nss df-rex bitr4i sylib wfn f1fn eleq1 notbid rexrn cop
        wa fveq2 opeq12d opex fvmpt adantl eleq1d opelxp bitrdi ianor rexbidva
        ) AGUBZFUCZUDDUDUEUFZUGUFZUDEUDUEUFZUGUFZUHZUIZUJZGUDLUGUFZUKZXRJUCZYAU
        IZUJXRKUCZYCUIZUJULZGYGUKAUAUBZYDUIZUJZUAFUMZUKZYHAYQYDUNZUJZYRYSYDYQUO
        UPZAYSYQYDUQUPZUUAUJYDUSUIZYSUUBURYAUSUIZYCUSUIZUUCUDXTUTZUDYBUTZYAYCVA
        VBZYQYDUSVCVDYQYDVEVFAYDYGUOUPZYGYQVGUPZUUAAYDVHUCZYGVHUCZVLUPZUUIAXTYB
        VIUFZLUUKUULVLTAUUKYAVHUCZYCVHUCZVIUFZUUNUUDUUEUUKUUQVJUUFUUGYAYCVKVBAU
        UOXTUUPYBVIADVMUIXTVNUIUUOXTVJRDVOXTVPWCAEVMUIYBVNUIUUPYBVJSEVOYBVPWCVQ
        VRALVNUIUULLVJALMVSLVPVFVTAUUCYGUSUIUUMUUIWDUUHAUDLWAYDYGWBWEWFAYGVMVMU
        HZFWGZYGYQFWHUUJABCFHIJKLMNOPQWIZYGUURFWJYGYQFUDLUGWKWNWCYDYGYQWLWMWOYT
        YNYQUIYPXGUAWPYRUAYQYDWQYPUAYQWRWSWTAUUSFYGXAYRYHWDUUTYGUURFXBYPYFUAGYG
        FYNXSVJYOYEYNXSYDXCXDXEWCWFAYFYMGYGAXRYGUIZXGZYFYJYLXGZUJYMUVBYEUVCUVBY
        EYIYKXFZYDUIUVCUVBXSUVDYDUVAXSUVDVJAHXRHUBZJUCZUVEKUCZXFUVDYGFUVEXRVJUV
        FYIUVGYKUVEXRJXHUVEXRKXHXIQYIYKXJXKXLXMYIYKYAYCXNXOXDYJYLXPXOXQWF $.

      $( Lemma for ~ erdsze .  (Contributed by Mario Carneiro, 22-Jan-2015.) $)
      erdszelem11 $p |- ( ph -> E. s e. ~P ( 1 ... N )
      ( ( R <_ ( # ` s ) /\ ( F |` s ) Isom < , < ( s , ( F " s ) ) ) \/
        ( S <_ ( # ` s ) /\ ( F |` s ) Isom < , `' < ( s , ( F " s ) ) ) ) ) $=
        ( vm cv chash cfv cle wbr cima clt cres wiso wa c1 cfz co cpw wrex ccnv
        wo cmin wcel wn erdszelem10 cn adantr wf1 ltso simprl simprr erdszelem7
        cr expr gtso orim12d rexlimdva mpd r19.43 sylibr ) ADLUBZUCUDZUEUFVRHVR
        UGZUHUHHVRUIZUJUKZLULKUMUNZUOZUPZEVSUEUFVRVTUHUHUQZWAUJUKZLWDUPZURZWBWG
        URLWDUPAUAUBZIUDULDULUSUNUMUNUTVAZWJJUDULEULUSUNUMUNUTVAZURZUAWCUPWIABC
        DEFUAGHIJKMNOPQRSTVBAWMWIUAWCAWJWCUTZUKWKWEWLWHAWNWKWEAWNWKUKZUKBCWJDHI
        KUHLAKVCUTZWOMVDAWCVJHVEZWONVDOVFAWNWKVGADVCUTWORVDAWNWKVHVIVKAWNWLWHAW
        NWLUKZUKBCWJEHJKWFLAWPWRMVDAWQWRNVDPVLAWNWLVGAEVCUTWRSVDAWNWLVHVIVKVMVN
        VOWBWGLWDVPVQ $.
    $}

    erdsze.r $e |- ( ph -> R e. NN ) $.
    erdsze.s $e |- ( ph -> S e. NN ) $.
    erdsze.l $e |- ( ph -> ( ( R - 1 ) x. ( S - 1 ) ) < N ) $.
    $( The Erd&#337;s-Szekeres theorem.  For any injective sequence ` F ` on
       the reals of length at least ` ( R - 1 ) x. ( S - 1 ) + 1 ` , there is
       either a subsequence of length at least ` R ` on which ` F ` is
       increasing (i.e. a ` < , < ` order isomorphism) or a subsequence of
       length at least ` S ` on which ` F ` is decreasing (i.e. a ` < , ``' < `
       order isomorphism, recalling that ` ``' < ` is the "greater than"
       relation).  This is part of Metamath 100 proof #73.  (Contributed by
       Mario Carneiro, 22-Jan-2015.) $)
    erdsze $p |- ( ph -> E. s e. ~P ( 1 ... N )
    ( ( R <_ ( # ` s ) /\ ( F |` s ) Isom < , < ( s , ( F " s ) ) ) \/
      ( S <_ ( # ` s ) /\ ( F |` s ) Isom < , `' < ( s , ( F " s ) ) ) ) ) $=
      ( vx vy vz vw chash cima clt wiso wa vn c1 cfz co cv cres wel cpw crab cr
      csup cmpt cfv ccnv cop weq wceq wb reseq2 isoeq1 syl isoeq4 imaeq2 isoeq5
      3bitrd elequ2 anbi12d cbvrabv oveq2 pweqd elequ1 anbi2d rabeqbidv imaeq2d
      syl5eq supeq1d cbvmptv eqid erdszelem11 ) ALMBCUAUBEUCUDZUAUEZNVTPOUEZDWB
      QZRRDWBUFZSZNOUGZTZOUBNUEZUCUDZUHZUIZQZUJRUKZULZUMWANVTPWBWCRRUNZWDSZWFTZ
      OWJUIZQZUJRUKZULZUMUOULZUADWNXAEFGHNLVTWMPMUEZDXCQZRRDXCUFZSZLMUGZTZMUBLU
      EZUCUDZUHZUIZQZUJRUKNLUPZUJWLXMRXNWKXLPXNWKXFNMUGZTZMWJUIXLWGXPOMWJOMUPZW
      EXFWFXOXQWEWBWCRRXESZXCWCRRXESZXFXQWDXEUQZWEXRURWBXCDUSZWBWCRRXEWDUTVAWBW
      CXCRRXEVBXQWCXDUQZXSXFURWBXCDVCZXCWCXDRRXEVDVAVEOMNVFZVGVHXNXPXHMWJXKXNWI
      XJWHXIUBUCVIVJZXNXOXGXFNLMVKZVLVMVOVNVPVQNLVTWTPXCXDRWOXESZXGTZMXKUIZQZUJ
      RUKXNUJWSYJRXNWRYIPXNWRYGXOTZMWJUIYIWQYKOMWJXQWPYGWFXOXQWPWBWCRWOXESZXCWC
      RWOXESZYGXQXTWPYLURYAWBWCRWOXEWDUTVAWBWCXCRWOXEVBXQYBYMYGURYCXCWCXDRWOXEV
      DVAVEYDVGVHXNYKYHMWJXKYEXNXOXGYGYFVLVMVOVNVPVQXBVRIJKVS $.
  $}

  ${
    $d f s t A $.  $d f s t F $.  $d s t x y G $.  $d f s t R $.  $d f s t S $.
    $d f s t x y N $.  $d f s t x y ph $.
    erdsze2.r $e |- ( ph -> R e. NN ) $.
    erdsze2.s $e |- ( ph -> S e. NN ) $.
    erdsze2.f $e |- ( ph -> F : A -1-1-> RR ) $.
    erdsze2.a $e |- ( ph -> A C_ RR ) $.
    ${
      erdsze2lem.n $e |- N = ( ( R - 1 ) x. ( S - 1 ) ) $.
      erdsze2lem.l $e |- ( ph -> N < ( # ` A ) ) $.
      $( Lemma for ~ erdsze2 .  (Contributed by Mario Carneiro,
         22-Jan-2015.) $)
      erdsze2lem1 $p |- ( ph -> E. f ( f : ( 1 ... ( N + 1 ) ) -1-1-> A /\
        f Isom < , < ( ( 1 ... ( N + 1 ) ) , ran f ) ) ) $=
        ( c1 co clt wcel syl wb cr vs caddc cfz cv cen wbr wss wf1 crn wiso wex
        wa cdom cfn chash cfv cle wceq cn0 cmin cmul nnm1nn0 nn0mulcld eqeltrid
        cn peano2nn0 hashfz1 adantr hashcl nn0ltp1le syl2an mpbid eqbrtrd fzfid
        3syl simpr hashdom syl2anc isinffi cvv reex ssexg sylancl brdomg mpbird
        wn pm2.61dan domeng wor simprr ltso soss mpisyl simprl enfi fz1iso wf1o
        sstrd isof1o adantl hashen eqtr3d oveq2d f1oeq2d f1of1 simplrr f1ss wfo
        f1ofo forn isoeq5 4syl isoeq4 jca ex eximdv mpd exlimddv ) ANGNUBOZUCOZ
        UAUDZUEUFZYABUGZULZXTBEUDZUHZXTYEUIZPPYEUJZULZEUKZUAAXTBUMUFZYDUAUKZABU
        NQZYKAYMULZXTUOUPZBUOUPZUQUFZYKYNYOXSYPUQAYOXSURZYMAGUSQZXSUSQYRAGCNUTO
        ZDNUTOZVAOUSLAYTUUAACVEQYTUSQHCVBRADVEQUUAUSQIDVBRVCVDZGVFXSVGVOZVHYNGY
        PPUFZXSYPUQUFZAUUDYMMVHAYSYPUSQUUDUUESYMUUBBVIGYPVJVKVLVMYNXTUNQZYMYQYK
        SYNNXSVNAYMVPXTBUNVQVRVLAYMWFZULZYKYFEUKZUUHUUGUUFUUIAUUGVPUUHNXSVNBXTE
        VSVRUUHBVTQZYKUUISAUUJUUGABTUGZTVTQUUJKWABTVTWBWCZVHXTBVTEWDRWEWGAUUJYK
        YLSUULUAXTBVTWHRVLAYDULZNYAUOUPZUCOZYAPPYEUJZEUKZYJUUMYAPWIZYAUNQZUUQUU
        MYATUGTPWIUURUUMYABTAYBYCWJAUUKYDKVHWRWKYATPWLWMUUMUUFUUSUUMNXSVNZUUMYB
        UUFUUSSAYBYCWNZXTYAWORVLZYAPEWPVRUUMUUPYIEUUMUUPYIUUMUUPULZYFYHUVCXTYAY
        EUHZYCYFUVCXTYAYEWQZUVDUVCUUOYAYEWQZUVEUUPUVFUUMUUOYAPPYEWSWTZUVCUUOXTY
        AYEUVCUUNXSNUCUUMUUNXSURUUPUUMYOUUNXSUUMYOUUNURZYBUVAUUMUUFUUSUVHYBSUUT
        UVBXTYAXAVRWEAYRYDUUCVHXBVHXCZXDVLXTYAYEXERAYBYCUUPXFXTYABYEXGVRUVCUUOY
        GPPYEUJZYHUVCUVJUUPUUMUUPVPUVCUVFUUOYAYEXHYGYAURUVJUUPSUVGUUOYAYEXIUUOY
        AYEXJUUOYGYAPPYEXKXLWEUVCUUOXTURUVJYHSUVIUUOYGXTPPYEXMRVLXNXOXPXQXR $.

      erdsze2lem.g $e |- ( ph -> G : ( 1 ... ( N + 1 ) ) -1-1-> A ) $.
      erdsze2lem.i $e |- ( ph ->
        G Isom < , < ( ( 1 ... ( N + 1 ) ) , ran G ) ) $.
      $( Lemma for ~ erdsze2 .  (Contributed by Mario Carneiro,
         22-Jan-2015.) $)
      erdsze2lem2 $p |- ( ph -> E. s e. ~P A
      ( ( R <_ ( # ` s ) /\ ( F |` s ) Isom < , < ( s , ( F " s ) ) ) \/
        ( S <_ ( # ` s ) /\ ( F |` s ) Isom < , `' < ( s , ( F " s ) ) ) ) ) $=
        ( clt wiso wcel syl vt vx vy cv chash cfv cle ccom cima cres wa ccnv wo
        wbr c1 caddc co cfz cpw wrex cn0 cn cmin cmul nnm1nn0 nn0mulcld nn0p1nn
        eqeltrid cr wf1 f1co syl2anc nn0red ltp1d eqbrtrrid erdsze wss wi velpw
        crn imassrn wf f1f frnd sstrid cvv wb reex sylancl elpw2g mpbird adantr
        ssexg wceq cen vex f1imaen sylan fzfid simpr ssfi hashen breq2d biimprd
        cfn enfii wral ad2antrr simprl sseldd simprr isorel syl12anc ralrimivva
        biimpd wor elfznn nnred ssriv ltso soss mpisyl soisores syl22anc isocnv
        a1i isotr resco coeq1i coass isoeq1 isoeq5 bitrdi sylibd anim12d isoeq4
        ex ax-mp 3bitrd anbi12d cid wf1o f1ores f1ococnv2 coeq2d coires1 eqtrdi
        eqtri syl5eq imaco orim12d fveq2 reseq2 imaeq2 orbi12d rspcev rexlimdva
        syl6an sylan2b mpd ) ACUAUDZUEUFZUGUNZUVAEFUHZUVAUIZQQUVDUVAUJZRZUKZDUV
        BUGUNZUVAUVEQQULZUVFRZUKZUMZUAUOGUOUPUQZURUQZUSZUTCHUDZUEUFZUGUNZUVQEUV
        QUIZQQEUVQUJZRZUKZDUVRUGUNZUVQUVTQUVJUWARZUKZUMZHBUSZUTZACDUVDUVNUAAGVA
        SUVNVBSAGCUOVCUQZDUOVCUQZVDUQZVAMAUWJUWKACVBSUWJVASICVETADVBSUWKVASJDVE
        TVFVHZGVGTABVIEVJUVOBFVJZUVOVIUVDVJKOUVOBVIEFVKVLIJAUWLGUVNQMAGAGUWMVMV
        NVOVPAUVMUWIUAUVPUVAUVPSAUVAUVOVQZUVMUWIVRUAUVOVSAUWOUKZFUVAUIZUWHSZUVM
        CUWQUEUFZUGUNZUWQEUWQUIZQQEUWQUJZRZUKZDUWSUGUNZUWQUXAQUVJUXBRZUKZUMZUWI
        AUWRUWOAUWRUWQBVQZAUWQFVTZBFUVAWAAUVOBFAUWNUVOBFWBZOUVOBFWCTZWDWEABWFSZ
        UWRUXIWGABVIVQZVIWFSUXMLWHBVIWFWMWIUWQBWFWJTWKWLUWPUVHUXDUVLUXGUWPUVCUW
        TUVGUXCUWPUWTUVCUWPUWSUVBCUGUWPUWSUVBWNZUWQUVAWOUNZAUWNUWOUXPOUVOBUVAFU
        AWPWQWRZUWPUWQXESZUVAXESZUXOUXPWGUWPUXSUXPUXRUWPUVOXESUWOUXSUWPUOUVNWSA
        UWOWTZUVOUVAXAVLZUXQUWQUVAXFVLUYAUWQUVAXBVLWKZXCXDUWPUVGUWQUVEQQUVFFUVA
        UJZULZUHZRZUXCUWPUWQUVAQQUYDRZUVGUYFVRUWPUVAUWQQQUYCRZUYGUWPUYHUBUDZUCU
        DZQUNZUYIFUFUYJFUFQUNZVRZUCUVAXGUBUVAXGZUWPUYMUBUCUVAUVAUWPUYIUVASZUYJU
        VASZUKZUKZUYKUYLUYRUVOUXJQQFRZUYIUVOSUYJUVOSUYKUYLWGAUYSUWOUYQPXHUYRUVA
        UVOUYIUWPUWOUYQUXTWLZUWPUYOUYPXIXJUYRUVAUVOUYJUYTUWPUYOUYPXKXJUVOUXJUYI
        UYJQQFXLXMXOXNUWPUVOQXPZBQXPZUXKUWOUYHUYNWGUWPUVOVIVQZVIQXPZVUAVUCUWPUA
        UVOVIUVAUVOSUVAUVAUVNXQXRXSYFXTUVOVIQYAYBUWPUXNVUDVUBAUXNUWOLWLXTBVIQYA
        YBAUXKUWOUXLWLUXTUBUCUVAUVOBQQFYCYDWKUVAUWQQQUYCYETZUYGUVGUYFUWQUVAUVEQ
        QQUVFUYDYGYQTUWPUYFUWQUVEQQUXBRZUXCUWPUYEUXBWNZUYFVUFWGUWPUYEEUYCUYDUHZ
        UHZUXBUYEEUYCUHZUYDUHVUIUVFVUJUYDEFUVAYHYIEUYCUYDYJUUHUWPVUIEUUAUWQUJZU
        HUXBUWPVUHVUKEUWPUVAUWQUYCUUBZVUHVUKWNAUWNUWOVULOUVOBUVAFUUCWRUVAUWQUYC
        UUDTUUEEUWQUUFUUGUUIZUWQUVEQQUXBUYEYKTUVEUXAWNZVUFUXCWGEFUVAUUJZUWQUVEU
        XAQQUXBYLYRYMYNYOUWPUVIUXEUVKUXFUWPUXEUVIUWPUWSUVBDUGUYBXCXDUWPUVKUWQUV
        EQUVJUYERZUXFUWPUYGUVKVUPVRVUEUYGUVKVUPUWQUVAUVEQQUVJUVFUYDYGYQTUWPVUPU
        WQUVEQUVJUXBRZUXFUWPVUGVUPVUQWGVUMUWQUVEQUVJUXBUYEYKTVUNVUQUXFWGVUOUWQU
        VEUXAQUVJUXBYLYRYMYNYOUUKUWGUXHHUWQUWHUVQUWQWNZUWCUXDUWFUXGVURUVSUWTUWB
        UXCVURUVRUWSCUGUVQUWQUEUULZXCVURUWBUVQUVTQQUXBRZUWQUVTQQUXBRZUXCVURUWAU
        XBWNZUWBVUTWGUVQUWQEUUMZUVQUVTQQUXBUWAYKTUVQUVTUWQQQUXBYPVURUVTUXAWNZVV
        AUXCWGUVQUWQEUUNZUWQUVTUXAQQUXBYLTYSYTVURUWDUXEUWEUXFVURUVRUWSDUGVUSXCV
        URUWEUVQUVTQUVJUXBRZUWQUVTQUVJUXBRZUXFVURVVBUWEVVFWGVVCUVQUVTQUVJUXBUWA
        YKTUVQUVTUWQQUVJUXBYPVURVVDVVGUXFWGVVEUWQUVTUXAQUVJUXBYLTYSYTUUOUUPUURU
        USUUQUUT $.
    $}

    erdsze2.l $e |- ( ph -> ( ( R - 1 ) x. ( S - 1 ) ) < ( # ` A ) ) $.
    $( Generalize the statement of the Erd&#337;s-Szekeres theorem ~ erdsze to
       "sequences" indexed by an arbitrary subset of ` RR ` , which can be
       infinite.  This is part of Metamath 100 proof #73.  (Contributed by
       Mario Carneiro, 22-Jan-2015.) $)
    erdsze2 $p |- ( ph -> E. s e. ~P A
      ( ( R <_ ( # ` s ) /\ ( F |` s ) Isom < , < ( s , ( F " s ) ) ) \/
        ( S <_ ( # ` s ) /\ ( F |` s ) Isom < , `' < ( s , ( F " s ) ) ) ) ) $=
      ( vf c1 cmin co clt wiso wa wbr adantr caddc cfz cv wf1 crn chash cfv cle
      cmul cima cres ccnv wo cpw wrex eqid erdsze2lem1 cn wcel cr simprl simprr
      wss erdsze2lem2 exlimddv ) AMCMNODMNOUIOZMUAOUBOZBLUCZUDZVGVHUEPPVHQZRZCF
      UCZUFUGZUHSVLEVLUJZPPEVLUKZQRDVMUHSVLVNPPULVOQRUMFBUNUOLABCDLEVFGHIJVFUPZ
      KUQAVKRBCDEVHVFFACURUSVKGTADURUSVKHTABUTEUDVKITABUTVCVKJTVPAVFBUFUGPSVKKT
      AVIVJVAAVIVJVBVDVE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Euler's partition theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $(
  @{
    eulerpartlemm.f @e |- F = ( x e. NN0 , y e. { z e. NN | -. 2 || z } |->
      ( ( 2 ^ x ) x. y ) ) @.
    @( Lemma for ~ eulerpart .  The function ` F ` that decomposes a number
       into its "odd" and "even" parts, which is to say the largest power of
       two and largest odd divisor of a number, is a bijection from
       pairs of a positive integer and an odd number to positive integers. @)
    eulerpartlemm @p |- F : ( NN0 X. { z e. NN | -. 2 || z } ) -1-1-onto->
      NN ) @=
      ( cn0 cn cmap co wcel ccnv cima cfn cv cfv cmul csu wceq wa wf nn0ex nnex
      w3a elmap anbi1i cnveq eleq1d fveq1 oveq1d sumeq2sdv eqeq1d elrab2 3anass
      imaeq1d anbi12d 3bitr4i ) AGHIJZKZALZHMZNKZHDOZAPZVCQJZDRZESZTZTHGAUAZVHT
      ABKVIVBVGUDUSVIVHGHAUBUCUEUFCOZLZHMZNKZHVCVJPZVCQJZDRZESZTVHCAURBVJASZVMV
      BVQVGVRVLVANVRVKUTHVJAUGUOUHVRVPVFEVRHVOVEDVRVNVDVCQVCVJAUIUJUKULUPFUMVIV
      BVGUNUQ @.
      @( [26-Jan-2015] @)
  @}

  @{
    eulerpart.p @e |- P = { f e. ( NN0 ^m NN ) | ( ( `' f " NN ) e. Fin /\
      sum_ k e. NN ( ( f ` k ) x. k ) = N ) } @.
    @( Lemma for ~ eulerpart . @)
    eulerpartleme @p |- ( A e. P <-> ( A : NN --> NN0 /\ ( `' A " NN ) e. Fin
      /\ sum_ k e. NN ( ( A ` k ) x. k ) = N ) ) @=
      ( cn0 cn cmap co wcel ccnv cima cfn cv cfv cmul csu wceq wa wf nn0ex nnex
      w3a elmap anbi1i cnveq eleq1d fveq1 oveq1d sumeq2sdv eqeq1d elrab2 3anass
      imaeq1d anbi12d 3bitr4i ) AGHIJZKZALZHMZNKZHDOZAPZVCQJZDRZESZTZTHGAUAZVHT
      ABKVIVBVGUDUSVIVHGHAUBUCUEUFCOZLZHMZNKZHVCVJPZVCQJZDRZESZTVHCAURBVJASZVMV
      BVQVGVRVLVANVRVKUTHVJAUGUOUHVRVPVFEVRHVOVEDVRVNVDVCQVCVJAUIUJUKULUPFUMVIV
      BVGUNUQ @.
      @( [26-Jan-2015] @)

    @( Lemma for ~ eulerpart .  The set of all partitions of ` N ` is
       finite. @)
    eulerpartlemb @p |- P e. Fin @=
      ( vx cn c1 co wcel cc0 wa wceq adantl cn0 cle wbr syl wi adantr vg vy cfz
      cv csn cif cixp cfn wss wtru fzfid fzfi snfi ifcli a1i wn eldifn iffalse
      cdif eqimss 3syl ixpfi2 mptru ccnv cima cfv cmul csu w3a eulerpartleme
      wfn wf wral ffn 3ad2ant1 cr simp1 ffvelrn sylan nn0re idiALT remulc
      syl2anc cdm cnvimass fdm sseqtrid cc sselda adantlr syldan nnnn0 nn0mulcl
      nn0cn simpl nnre cvv nn0supp suppssrOLD oveq1d eldifi nncn mul02 eqtrd
      cuz eqimssi sumss
      nnuz nn0sscn caddc nn0addcl simpr 0nn0 fsumcllem eqeltrrd eleq1 syl5ibcom
      3impia nn0ge0 nnge1 lemulge11 syl22anc fveq2 oveq12d simprr fsumge1 eldif
      id expr ralrimiva eqeq1d rspccva sylan2br fsumge0 breqtrd eleqtrdi elfz5
      wb eleqtrrd syld adantrr eqbrtrd pm2.61d 3adantl3 simpl3 letrd nn0uz nn0z
      cz mpbird iftrue lemulge12 syl21anc letr syl3anc syl5 sylibrd con3d elnn0
      mpan2d sylib ord imp fvex elsn sylibr pm2.61dan vex elixp sylanbrc sylbi
      wo ssriv ssfi mp2an ) FGFUDZHDUCIZJZKDUCIZKUEZUFZUGZUHJZAUWBUIAUHJUWCUJFG
      UWAUVQKUJHDUKUWAUHJUJUVPGJZLUVRUVSUVTUHKDULKUMUNUOUJUVPGUVQUSJZLUVRUPZUWA
      UVTMZUWAUVTUIUWEUWFUJUVPGUVQUQNUVRUVSUVTURZUWAUVTUTVAVBVCUAAUWBUAUDZAJGOU
      WIVLZUWIVDZGVEZUHJZGCUDZUWIVFZUWNVGIZCVHZDMZVIZUWIUWBJZUWIABCDEVJUWSUWIGV
      KZUVPUWIVFZUWAJZFGVMUWTUWJUWMUXAUWRGOUWIVNVOUWSUXCFGUWSUWDLZUVRUXCUXDUVRL
      UXBUVSUWAUXDUXBUVSJZUVRUXDUXEUXBDPQZUXDUXBUXBUVPVGIZDUXDUXBOJZUXBVPJZUWSU
      WJUWDUXHUWJUWMUWRVQGOUVPUWIVRVSZUXBVTRZUXDUXIUVPVPJZUXGVPJZUXDUXISUXKWAUX
      DUXLSUWDUXLUWSUVPWPNZWAZUXBUVPWBWCZUXDDOJZDVPJZUWSUXQUWDUWJUWMUWRUXQUWJUW
      MLZUWQOJUWRUXQUXSUWLUWPCVHZUWQOUXSUWLGUWPCHUXSUWIWDZUWLGUWIGWEUWJUYAGMUWM
      GOUWIWFTWGZUXSUWNUWLJZLZUWPOJZUWPWHJUYDUWOOJZUWNOJZUYEUXSUYCUWNGJZUYFUXSU
      WLGUWNUYBWIZUWJUYHUYFUWMGOUWNUWIVRWJWKUYDUYHUYGUYIUWNWLRUWOUWNWMWCZUWPWNR
      UXSUWNGUWLUSZJZLZUWPKUWNVGIZKUYMUWOKUWNVGUXSGOUWIUWLUWNKUWJUWMWOUXSUWKWQU
      VTUSVEZUWLMZUYOUWLUIUWJUYPUWMUWIGWRTUYOUWLUTRWSWTUYMUYHUWNWHJUYNKMUYLUYHU
      XSUWNGUWLXANUWNXBUWNXCVAXDZGHXEVFZUIUXSGUYRXHXFUOXGZUXSFUBUWLUWPOCOWHUIUX
      SXIUOUVPOJZUBUDZOJLUVPVUAXJIOJUXSUVPVUAXKNUWJUWMXLZUYJKOJUXSXMUOXNXOUWQDO
      XPXQXRTZDVTRZUXDUXIUXLKUXBPQZHUVPPQZUXBUXGPQUXKUXNUXDUXHVUEUXDUXHSUXJWAUX
      BXSRUWDVUFUWSUVPXTNUXBUVPYAYBUXDUXGUWQDPUWJUWMUWDUXGUWQPQUWRUXSUWDLZUXGUX
      TUWQPVUGUVPUWLJZUXGUXTPQZUXSUWDVUHVUIUXSUWDVUHLZLUWLUWPUXGCUVPUXSUWMVUJVU
      BTUXSUYCUWPVPJZVUJUYDUYEVUKUYJUWPVTZRWJUXSUYCKUWPPQZVUJUYDUYEVUMUYJUWPXSZ
      RWJUWNUVPMZUWOUXBUWNUVPVGUWNUVPUWIYCVUOYHYDZUXSUWDVUHYEYFYIUXSUWDVUHUPZVU
      IUXSUWDVUQLZLUXGKUXTPVURUXSUVPUYKJZUXGKMZUVPGUWLYGUXSUWPKMZCUYKVMVUSVUTUX
      SVVACUYKUYQYJVVAVUTCUVPUYKVUOUWPUXGKVUPYKYLVSYMUXSUWDKUXTPQVUQVUGUWLUWPCU
      XSUWMUWDVUBTVUGUYCLZUYEVUKUXSUYCUYEUWDUYJWJZVULRVVBUYEVUMVVCVUNRYNUUAUUBY
      IUUCUXSUXTUWQMUWDUYSTYOUUDUWJUWMUWRUWDUUEYOZUUFUXDUXBKXEVFZJDUUIJZUXEUXFY
      RUXDUXBOVVEUXJUUGYPUXDUXQVVFVUCDUUHRZUXBKDYQWCUUJTUVRUWAUVSMUXDUVRUVSUVTU
      UKNYSUXDUWFLZUXBUVTUWAVVHUXBKMZUXBUVTJUXDUWFVVIUXDUWFUXBGJZUPVVIUXDVVJUVR
      UXDVVJUVPDPQZUVRVVJHUXBPQZUXDVVKUXBXTUXDVVLUVPUXGPQZVVKUXDUXLUXIKUVPPQZVV
      LVVMSUXNUXKUXDUYTVVNUWDUYTUWSUVPWLNUVPXSRUXLUXILVVNVVLVVMUVPUXBUULYIUUMUX
      DVVMUXGDPQZVVKVVDUXDUXLUXMUXRVVMVVOLVVKSUXOUXDUXMSUXPWAUXDUXRSVUDWAUVPUXG
      DUUNUUOUUTYTUUPUXDUVPUYRJVVFUVRVVKYRUXDUVPGUYRUWSUWDXLXHYPVVGUVPHDYQWCUUQ
      UURUXDVVJVVIUXDUXHVVJVVIUVLUXJUXBUUSUVAUVBYTUVCUXBKUVPUWIUVDUVEUVFUWFUWGU
      XDUWHNYSUVGYJFGUWAUWIUAUVHUVIUVJUVKUVMUWBAUVNUVO @.
      @( [26-Jan-2015] @)

    eulerpart.o @e |- O = { g e. P | A. n e. ( `' g " NN ) -. 2 || n } @.
    eulerpart.d @e |- D = { g e. P | A. n e. NN ( g ` n ) <_ 1 } @.
    @{
      eulerpart.f @e |- F = ( x e. ( ~P NN0 i^i Fin ) |->
        sum_ y e. x ( 2 ^ y ) ) @.
      @( Lemma for ~ eulerpart . @)
      eulerpartlemi @p |- ( A e. P -> { t e. NN |
      E. n e. ( `' F ` ( A ` t ) ) ( ( 2 ^ n ) x. t ) = M } C_ ( 1 ... M ) ) @=
        ( wcel cn0 c2 cv cexp co cmul wceq cfv ccnv wrex c1 cfz wi cn wral crab
        wss wa cle wbr cr cc0 nnre ad2antlr 2nn cpw cfn cin inss1 eulerpartleme
        wf cima csu simp1bi ffvelrn wf1o ackbijnn f1ocnv f1of mp2b ffvelrni syl
        sylan sselid elpwi sselda nnexpcl sylancr simplr nnnn0 nn0ge0 lemulge12
        3syl nnge1 syl22anc cuz cz wb eleqtrdi nnmulcl syl2anc nnz elfz5 mpbird
        nnuz oveq2 eleq2d syl5ibcom rexlimdva ralrimiva rabss sylibr ) DFSZUAJU
        BZUCUDZCUBZUEUDZLUFZJXODUGZKUHZUGZUIZXOUJLUKUDZSZULZCUMUNYACUMUOYBUPXLY
        DCUMXLXOUMSZUQZXQYCJXTYFXMXTSZUQZXOUJXPUKUDZSZXQYCYHYJXOXPURUSZYHXOUTSZ
        XNUTSZVAXOURUSZUJXNURUSZYKYEYLXLYGXOVBVCYHXNUMSZYMYHUAUMSXMTSYPVDYFXTTX
        MYFXTTVEZSXTTUPYFYQVFVGZYQXTYQVFVHYFXRTSZXTYRSXLUMTDVJZYEYSXLYTDUHUMVKV
        FSUMIUBZDUGUUAUEUDIVLMUFDFGIMOVIVMUMTXODVNWBTYRXRXSYRTKVOTYRXSVOTYRXSVJ
        ABKRVPYRTKVQTYRXSVRVSVTWAWCXTTWDWAWEUAXMWFWGZXNVBWAYHYEXOTSYNXLYEYGWHZX
        OWIXOWJWLYHYPYOUUBXNWMWAXOXNWKWNYHXOUJWOUGZSXPWPSZYJYKWQYHXOUMUUDUUCXDW
        RYHXPUMSZUUEYHYPYEUUFUUBUUCXNXOWSWTXPXAWAXOUJXPXBWTXCXQYIYBXOXPLUJUKXEX
        FXGXHXIYACUMYBXJXK @.
        @( [26-Jan-2015] @)

      eulerpart.g @e |- G = ( o e. P |-> ( m e. NN |-> ( # `
     { t e. NN | E. n e. ( `' F ` ( o ` t ) ) ( ( 2 ^ n ) x. t ) = m } ) ) ) @.
      @( Lemma for ~ eulerpart . @)
      eulerpartlemf @p |- ( A e. P -> ( G ` A ) = ( m e. NN |-> ( # `
     { t e. NN | E. n e. ( `' F ` ( A ` t ) ) ( ( 2 ^ n ) x. t ) = m } ) ) ) @=
        ( cn c2 cv cexp co cmul wceq cfv ccnv wrex crab chash cmpt fveq1 fveq2d
        rexeqdv rabbidv mpteq2dv nnex mptex fvmpt ) LDJUBUCKUDUEUFCUDZUGUFJUDUH
        ZKVCLUDZUIZMUJZUIZUKZCUBULZUMUIZUNJUBVDKVCDUIZVGUIZUKZCUBULZUMUIZUNFNVE
        DUHZJUBVKVPVQVJVOUMVQVIVNCUBVQVDKVHVMVQVFVLVGVCVEDUOUPUQURUPUSUAJUBVPUT
        VAVB @.
        @( [26-Jan-2015] @)

      @( Lemma for ~ eulerpart . @)
      eulerpartlema @p |- G : P --> P @=
        ? @.

      @( Lemma for ~ eulerpart . @)
      eulerpartlemh @p |- ( G |` O ) : O --> D @=
        ? @.

      @( Lemma for ~ eulerpart . @)
      eulerpartlemc @p |- ( G |` O ) : O -1-1-> D @=
        ? @.

      @( Lemma for ~ eulerpart . @)
      eulerpartlemg @p |- ( G |` O ) : O -1-1-onto-> D @=
        ? @.

      eulerpart.h @e |- H = ( d e. P |-> ( m e. NN |-> if ( 2 || m , 0 ,
    sum_ n e. NN0 ( ( d ` ( ( 2 ^ n ) x. m ) ) x. ( ( 2 ^ n ) x. m ) ) ) ) ) @.
      @( Lemma for ~ eulerpart . @)
      eulerpartlemj @p |- H : P --> O @=
        ? @.

      @( Lemma for ~ eulerpart . @)
      eulerpartlemk @p |- ( H |` D ) : D -1-1-> O @=
        ? @.

      @( Lemma for ~ eulerpart . @)
      eulerpartleml @p |- ( H |` D ) : D -1-1-onto-> O @=
        ? @.

    @}

    @( Euler's theorem on partitions, also known as a special case of
       Glaisher's theorem. Let ` P ` be the set of all partitions of ` N ` ,
       represented as multisets of positive integers, which is to say functions
       from ` NN ` to ` NN0 ` where the value of the function represents the
       number of repetitions of an individual element, and the sum of all the
       elements with repetition equals ` N ` . Then the set ` O ` of all
       partitions that only consist of odd numbers and the set ` D ` of all
       partitions which have no repeated elements have the same cardinality. @)
    eulerpart @p |- ( N e. NN0 -> ( # ` O ) = ( # ` D ) ) @=
      ? @.
  @}
  $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The Kuratowski closure-complement theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    kur14lem1.a $e |- A C_ X $.
    kur14lem1.c $e |- ( X \ A ) e. T $.
    kur14lem1.k $e |- ( K ` A ) e. T $.
    $( Lemma for ~ kur14 .  (Contributed by Mario Carneiro, 17-Feb-2015.) $)
    kur14lem1 $p |- ( N = A ->
      ( N C_ X /\ { ( X \ N ) , ( K ` N ) } C_ T ) ) $=
      ( wceq wss cdif cfv cpr sseq1 mpbiri difeq2 fveq2 preq12d wcel prssi jca
      mp2an eqsstrdi ) DAIZDEJZEDKZDCLZMZBJUDUEAEJFDAENOUDUHEAKZACLZMZBUDUFUIUG
      UJDAEPDACQRUIBSUJBSUKBJGHUIUJBTUBUCUA $.
  $}

  ${
    $d s x A $.  $d s x K $.  $d s x y T $.  $d s x y X $.
    kur14lem.j $e |- J e. Top $.
    kur14lem.x $e |- X = U. J $.
    kur14lem.k $e |- K = ( cls ` J ) $.
    kur14lem.i $e |- I = ( int ` J ) $.
    kur14lem.a $e |- A C_ X $.
    $( Lemma for ~ kur14 .  Write interior in terms of closure and complement:
       ` i A = c k c A ` where ` c ` is complement and ` k ` is closure.
       (Contributed by Mario Carneiro, 11-Feb-2015.) $)
    kur14lem2 $p |- ( I ` A ) = ( X \ ( K ` ( X \ A ) ) ) $=
      ( cnt cfv cdif ccl ctop wcel wss wceq ntrval2 fveq1i difeq2i 3eqtr4i
      mp2an ) ACKLZLZEEAMZCNLZLZMZABLEUFDLZMCOPAEQUEUIRFJACEGSUCABUDITUJUHEUFDU
      GHTUAUB $.

    $( Lemma for ~ kur14 .  A closure is a subset of the base set.
       (Contributed by Mario Carneiro, 11-Feb-2015.) $)
    kur14lem3 $p |- ( K ` A ) C_ X $=
      ( cfv ccl fveq1i ctop wcel wss clsss3 mp2an eqsstri ) ADKACLKZKZEADTHMCNO
      AEPUAEPFJACEGQRS $.

    $( Lemma for ~ kur14 .  Complementation is an involution on the set of
       subsets of a topology.  (Contributed by Mario Carneiro, 11-Feb-2015.) $)
    kur14lem4 $p |- ( X \ ( X \ A ) ) = A $=
      ( wss cdif wceq dfss4 mpbi ) AEKEEALLAMJAENO $.

    $( Lemma for ~ kur14 .  Closure is an idempotent operation in the set of
       subsets of a topology.  (Contributed by Mario Carneiro, 11-Feb-2015.) $)
    kur14lem5 $p |- ( K ` ( K ` A ) ) = ( K ` A ) $=
      ( ccl cfv ctop wcel wss wceq clsidm mp2an fveq1i fveq12i 3eqtr4i ) ACKLZL
      ZUBLZUCADLZDLUECMNAEOUDUCPFJACEGQRUEUCDUBHADUBHSZTUFUA $.

    kur14lem.b $e |- B = ( X \ ( K ` A ) ) $.
    $( Lemma for ~ kur14 .  If ` k ` is the complementation operator and ` k `
       is the closure operator, this expresses the identity
       ` k c k A = k c k c k c k A ` for any subset ` A ` of the topological
       space.  This is the key result that lets us cut down long enough
       sequences of ` c k c k ... ` that arise when applying closure and
       complement repeatedly to ` A ` , and explains why we end up with a
       number as large as ` 1 4 ` , yet no larger.  (Contributed by Mario
       Carneiro, 11-Feb-2015.) $)
    kur14lem6 $p |- ( K ` ( I ` ( K ` B ) ) ) = ( K ` B ) $=
      ( cfv wss cdif eqsstri fveq1i clsss mp3an 3sstr4i ccl ctop wcel kur14lem3
      difss cnt ntrss2 mp2an kur14lem5 sseqtri kur14lem2 fveq2i difeq2i 3eqtr2i
      eqtr3i sscon ax-mp eqssi ) BEMZCMZEMZUSVAUSEMZUSUTDUAMZMZUSVCMZVAVBDUBUCZ
      USFNZUTUSNVDVENGBCDEFGHIJBFAEMZOZFLFVHUEPZUDZUTUSDUFMZMZUSUSCVLJQVFVGVMUS
      NGVKUSDFHUGUHPUSUTDFHRSUTEVCIQZUSEVCIQTBCDEFGHIJVJUIUJBVCMZVDUSVAVFUTFNBU
      TNVOVDNGUTFFUSOZEMZOZFUSCDEFGHIJVKUKZFVQUEPVIVRBUTVQVHNVIVRNVPVCMZVHVCMZV
      QVHVFVHFNZVPVHNVTWANGACDEFGHIJKUDZVPVHVLMZVHVPFVIEMZOVHCMWDUSWEFBVIELULUM
      VHCDEFGHIJWCUKVHCVLJQUNVFWBWDVHNGWCVHDFHUGUHPVHVPDFHRSVPEVCIQVHEMVHWAACDE
      FGHIJKUIVHEVCIQUOTVQVHFUPUQLVSTUTBDFHRSBEVCIQVNTUR $.

    kur14lem.c $e |- C = ( K ` ( X \ A ) ) $.
    kur14lem.d $e |- D = ( I ` ( K ` A ) ) $.
    kur14lem.t $e |- T = ( ( ( { A , ( X \ A ) , ( K ` A ) } u.
      { B , C , ( I ` A ) } ) u. { ( K ` B ) , D , ( K ` ( I ` A ) ) } ) u.
      ( { ( I ` C ) , ( K ` D ) , ( I ` ( K ` B ) ) } u.
      { ( K ` ( I ` C ) ) , ( I ` ( K ` ( I ` A ) ) ) } ) ) $.
    $( Lemma for ~ kur14 : main proof.  The set ` T ` here contains all the
       distinct combinations of ` k ` and ` c ` that can arise, and we prove
       here that applying ` k ` or ` c ` to any element of ` T ` yields another
       elemnt of ` T ` .  In operator shorthand, we have
       ` T = { A , c A , k A `
       ` , c k A , k c A , c k c A , k c k A , c k c k A , k c k c A , `
       ` c k c k c A , k c k c k A , c k c k c k A , k c k c k c A , `
       ` c k c k c k c A } ` .  From the identities ` c c A = A ` and
       ` k k A = k A ` , we can reduce any operator combination containing two
       adjacent identical operators, which is why the list only contains
       alternating sequences.  The reason the sequences don't keep going after
       a certain point is due to the identity ` k c k A = k c k c k c k A ` ,
       proved in ~ kur14lem6 .  (Contributed by Mario Carneiro,
       11-Feb-2015.) $)
    kur14lem7 $p |- ( N e. T ->
      ( N C_ X /\ { ( X \ N ) , ( K ` N ) } C_ T ) ) $=
      ( cdif wss cfv cpr wa ctp cun wcel wo elun w3o eltpi ssun1 sseqtrri sstri
      wceq ctop topopn ax-mp elexi difss ssexi tpid2 sselii kur14lem1 kur14lem4
      fvex tpid3 tpid1 eqeltri ssun2 kur14lem3 eqsstri eqeltrri kur14lem5 3jaoi
      syl difeq2i eqtri kur14lem2 eqtr4i fveq2i 3eqtr4i eqtr3i jaoi sylbi prid1
      kur14lem6 elpri prid2 eleq2s ) IJUAJITIHUBUCEUAUDZIAJATZAHUBZUEZBCAFUBZUE
      ZUFZBHUBZDWOHUBZUEZUFZCFUBZDHUBZWRFUBZUEZXBHUBZWSFUBZUCZUFZUFZEIXJUGIXAUG
      ZIXIUGZUHWKIXAXIUIXKWKXLXKIWQUGZIWTUGZUHWKIWQWTUIXMWKXNXMIWNUGZIWPUGZUHWK
      IWNWPUIXOWKXPXOIAUOZIWLUOZIWMUOZUJWKIAWLWMUKXQWKXRXSAEHIJOWNEWLWNWQEWNWPU
      LWQXAEWQWTULXAXJEXAXIULSUMZUNZUNZAWLWMWLJJGGUPUGJGUGKGJLUQURUSZJAUTZVAVBV
      CWNEWMYBAWLWMAHVFVGVCZVDWLEHIJYDJWLTAEAFGHJKLMNOVEWNEAYBAWLWMAJYCOVAVHVCV
      ICWLHUBZEQWPECWPWQEWPWNVJYAUNZBCWOCJYCCYFJQWLFGHJKLMNYDVKVLZVAVBVCZVMVDWM
      EHIJAFGHJKLMNOVKZBJWMTZEPWPEBYGBCWOBJYCBYKJPJWMUTVLZVAVHVCVMWMHUBWMEAFGHJ
      KLMNOVNYEVIVDVOVPXPIBUOZICUOZIWOUOZUJWKIBCWOUKYMWKYNYOBEHIJYLJBTZWMEYPJYK
      TWMBYKJPVQWMFGHJKLMNYJVEVRYEVIWTEWRWTXAEWTWQVJXTUNZWRDWSBHVFVHVCZVDCEHIJY
      HJCTZWOEYSJYFTZWOCYFJQVQAFGHJKLMNOVSZVTZWPEWOYGBCWOAFVFVGVCVICHUBZCEYFHUB
      YFUUCCWLFGHJKLMNYDVNCYFHQWAQWBYIVIVDWOEHIJWOYTJUUAJYFUTVLZJWOTZCEJYSTUUEC
      YSWOJUUBVQCFGHJKLMNYHVEWCYIVIWTEWSYQWRDWSWOHVFVGVCZVDVOVPWDWEXNIWRUOZIDUO
      ZIWSUOZUJWKIWRDWSUKUUGWKUUHUUIWREHIJBFGHJKLMNYLVKZDJWRTZEWMFUBZJYKHUBZTZD
      UUKWMFGHJKLMNYJVSZRWRUUMJBYKHPWAVQWBZWTEDYQWRDWSDJYCDUUNJDUULUUNRUUOVRJUU
      MUTVLZVAVBVCVMWRHUBWREBFGHJKLMNYLVNYRVIVDDEHIJUUQJDTZWREUURJUUKTWRDUUKJUU
      PVQWRFGHJKLMNUUJVEVRYRVIXEEXCXEXIEXEXHULXIXJEXIXAVJSUMZUNZXBXCXDDHVFVBVCZ
      VDWSEHIJWOFGHJKLMNUUDVKZXBJWSTZEXBJYSHUBZTZUVCCFGHJKLMNYHVSZUVDWSJYSWOHUU
      BWAVQVRZXEEXBUUTXBXCXDCFVFVHVCVMWSHUBWSEWOFGHJKLMNUUDVNUUFVIVDVOVPWDWEXLI
      XEUGZIXHUGZUHWKIXEXHUIUVHWKUVIUVHIXBUOZIXCUOZIXDUOZUJWKIXBXCXDUKUVJWKUVKU
      VLXBEHIJXBUVEJUVFJUVDUTVLZJXBTZWSEUVNJUVCTWSXBUVCJUVGVQWSFGHJKLMNUVBVEVRU
      UFVIXHEXFXHXIEXHXEVJUUSUNZXFXGXBHVFWFVCZVDXCEHIJDFGHJKLMNUUQVKZJXCTZXDEUV
      RJUUKHUBZTZXDXCUVSJDUUKHUUPWAVQWRFGHJKLMNUUJVSZVTZXEEXDUUTXBXCXDWRFVFVGVC
      VIXCHUBXCEDFGHJKLMNUUQVNUVAVIVDXDEHIJXDUVTJUWAJUVSUTVLJXDTZXCEJUVRTUWCXCU
      VRXDJUWBVQXCFGHJKLMNUVQVEWCUVAVIXDHUBWREABFGHJKLMNOPWGYRVIVDVOVPUVIIXFUOZ
      IXGUOZUHWKIXFXGWHUWDWKUWEXFEHIJXBFGHJKLMNUVMVKZJXFTZXGEUWGJUVCHUBZTZXGXFU
      WHJXBUVCHUVGWAVQWSFGHJKLMNUVBVSZVTZXHEXGUVOXFXGWSFVFWIVCVIXFHUBXFEXBFGHJK
      LMNUVMVNUVPVIVDXGEHIJXGUWIJUWJJUWHUTVLJXGTZXFEJUWGTUWLXFUWGXGJUWKVQXFFGHJ
      KLMNUWFVEWCUVPVIXGHUBWSEWLWOFGHJKLMNYDUUAWGUUFVIVDWDVPWDWEWDWESWJ $.

    $( Lemma for ~ kur14 .  Show that the set ` T ` contains at most ` 1 4 `
       elements.  (It could be less if some of the operators take the same
       value for a given set, but Kuratowski showed that this upper bound of
       ` 1 4 ` is tight in the sense that there exist topological spaces and
       subsets of these spaces for which all ` 1 4 ` generated sets are
       distinct, and indeed the real numbers form such a topological space.)
       (Contributed by Mario Carneiro, 11-Feb-2015.) $)
    kur14lem8 $p |- ( T e. Fin /\ ( # ` T ) <_ ; 1 4 ) $=
      ( cfv ctp cdif cun cpr c9 c5 c1 c4 c6 eqid hashtplei 3nn0 3p3e6 hashunlei
      cdc c3 6nn0 6p3e9 c2 hashprlei 2nn0 3p2e5 9nn0 5nn0 9p5e14 ) AIAUAZAHSZTZ
      BCAFSZTZUBZBHSZDVHHSZTZUBZCFSZDHSZVKFSZTZVOHSZVLFSZUCZUBZEUDUEUFUGUNRVJVM
      VNUHUOUDVNUIVGVIVJUOUOUHVJUIAVEVFUJBCVHUJUKUKULUMVKDVLUJUPUKUQUMVRWAWBUOU
      RUEWBUIVOVPVQUJVSVTUSUKUTVAUMVBVCVDUM $.

    kur14lem.s $e |- S = |^| { x e. ~P ~P X |
      ( A e. x /\ A. y e. x { ( X \ y ) , ( K ` y ) } C_ x ) } $.
    $( Lemma for ~ kur14 .  Since the set ` T ` is closed under closure and
       complement, it contains the minimal set ` S ` as a subset, so ` S ` also
       has at most ` 1 4 ` elements.  (Indeed ` S = T ` , and it's not hard to
       prove this, but we don't need it for this proof.)  (Contributed by Mario
       Carneiro, 11-Feb-2015.) $)
    kur14lem9 $p |- ( S e. Fin /\ ( # ` S ) <_ ; 1 4 ) $=
      ( vs c1 c4 cdc cv wcel cdif cfv cpr wss wral wa cpw crab cint wi elintrab
      vex ctp cun ssun1 sseqtrri sstri topopn ax-mp elexi ssexi tpid1 kur14lem7
      ctop sselii simprd simpld elpw2 sylibr ssriv mpbir eleq2 sseq2 raleqbi1dv
      rgen pwex wceq anbi12d imbi12d rspccv mp2ani sylbi eqsstri kur14lem8 1nn0
      mpi 4nn0 deccl hashsslei ) HGUDUEUFGCAUGZUHZLBUGZUIWTKUJUKZWRULZBWRUMZUNZ
      ALUOZUOZUPUQZHUBUCXGHUCUGZXGUHXDXHWRUHZURZAXFUMZXHHUHZXDAXHXFUCUTUSXKCHUH
      ZXAHULZBHUMZXLCLCUIZCKUJZVAZHCXRXRDECIUJZVAZVBZHXRXTVCYAYADKUJZFXSKUJZVAZ
      VBZHYAYDVCYEYEEIUJZFKUJYBIUJVAYFKUJYCIUJUKVBZVBHYEYGVCUAVDVEVECXPXQCLLJJV
      LUHLJUHMJLNVFVGVHZQVIVJVMXNBHWTHUHZWTLULZXNCDEFHIJKWTLMNOPQRSTUAVKZVNWCXK
      HXFUHZXMXOUNZXLURZYLHXEULBHXEYIYJWTXEUHYIYJXNYKVOWTLYHVPVQVRHXELYHWDVPVSX
      JYNAHXFWRHWEZXDYMXIXLYOWSXMXCXOWRHCVTXBXNBWRHWRHXAWAWBWFWRHXHVTWGWHWNWIWJ
      VRWKCDEFHIJKLMNOPQRSTUAWLUDUEWMWOWPWQ $.
  $}

  ${
    $d x y A $.  $d x y J $.  $d x y K $.  $d x y X $.
    kur14lem10.j $e |- J e. Top $.
    kur14lem10.x $e |- X = U. J $.
    kur14lem10.k $e |- K = ( cls ` J ) $.
    kur14lem10.s $e |- S = |^| { x e. ~P ~P X |
      ( A e. x /\ A. y e. x { ( X \ y ) , ( K ` y ) } C_ x ) } $.
    kur14lem10.a $e |- A C_ X $.
    $( Lemma for ~ kur14 .  Discharge the set ` T ` .  (Contributed by Mario
       Carneiro, 11-Feb-2015.) $)
    kur14lem10 $p |- ( S e. Fin /\ ( # ` S ) <_ ; 1 4 ) $=
      ( cfv cdif cnt ctp cun cpr eqid kur14lem9 ) ABCGCFMZNZGCNZFMZUAEOMZMZDCUC
      UAPUBUDCUEMZPQUBFMZUFUGFMZPQUDUEMZUFFMUHUEMPUJFMUIUEMRQQZUEEFGHIJUESLUBSU
      DSUFSUKSKT $.
  $}

  ${
    $d x y A $.  $d x y J $.  $d x X $.
    kur14.x $e |- X = U. J $.
    kur14.k $e |- K = ( cls ` J ) $.
    kur14.s $e |- S = |^| { x e. ~P ~P X |
      ( A e. x /\ A. y e. x { ( X \ y ) , ( K ` y ) } C_ x ) } $.
    $( Kuratowski's closure-complement theorem.  There are at most 14 sets
       which can be obtained by the application of the closure and complement
       operations to a set in a topological space.  (Contributed by Mario
       Carneiro, 11-Feb-2015.) $)
    kur14 $p |- ( ( J e. Top /\ A C_ X ) ->
      ( S e. Fin /\ ( # ` S ) <_ ; 1 4 ) ) $=
      ( wss ctop wcel cfn chash cfv cle wa c0 cpw c1 c4 cdc wbr cif cv cdif cpr
      wral crab cint csn cuni ccl wceq eleq1 anbi1d inteqd syl5eq eleq1d fveq2d
      rabbidv breq1d anbi12d unieq pweqd sseq2d cvv sn0top elimel ax-mp bitr4di
      uniexg elpw2 ifbid difeq1d fveq2 fveq1d preq12d sseq1d ralbidv eqid 0elpw
      rabeqbidv elpwi kur14lem10 dedth2h ancoms ) CGKZELMZDNMZDOPZUAUBUCZQUDZRZ
      WIWJWOWICSUEZAUFZMZGBUFZUGZWSFPZUHZWQKZBWQUIZRZAGTZTZUJZUKZNMZXIOPZWMQUDZ
      RCWJESULZUEZUMZTZMZCSUEZWQMZXOWSUGZWSXNUNPZPZUHZWQKZBWQUIZRZAXPTZUJZUKZNM
      ZYIOPZWMQUDZRCESXMCWPUOZWKXJWNXLYMDXINYMDCWQMZXDRZAXGUJZUKXIJYMYPXHYMYOXE
      AXGYMYNWRXDCWPWQUPUQVBURUSZUTYMWLXKWMQYMDXIOYQVAVCVDEXNUOZXJYJXLYLYRXIYIN
      YRXHYHYRXEYFAXGYGYRXFXPYRGXOYRGEUMXOHEXNVEUSZVFVFYRWRXSXDYEYRWPXRWQYRWIXQ
      CSYRWICXOKXQYRGXOCYSVGCXOXNLMXOVHMEXMLVIVJZXNLVMVKVNVLVOUTYRXCYDBWQYRXBYC
      WQYRWTXTXAYBYRGXOWSYSVPYRWSFYAYRFEUNPYAIEXNUNVQUSVRVSVTWAVDWDURZUTYRXKYKW
      MQYRXIYIOUUAVAVCVDABXRYIXNYAXOYTXOWBYAWBYIWBXRXPMXRXOKCSXPXOWCVJXRXOWEVKW
      FWGWH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Retracts and sections
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Retr $.

  $( Extend class notation with the retract relation. $)
  cretr $a class Retr $.

  ${
    $d j k r s $.
    $( Define the set of retractions on two topological spaces.  We say that
       ` R ` is a retraction from ` J ` to ` K ` . or ` R e. ( J Retr K ) ` iff
       there is an ` S ` such that ` R : J --> K , S : K --> J ` are continuous
       functions called the retraction and section respectively, and their
       composite ` R o. S ` is homotopic to the identity map.  If a retraction
       exists, we say ` J ` is a retract of ` K ` .  (This terminology is
       borrowed from HoTT and appears to be nonstandard, although it has
       similaries to the concept of retract in the category of topological
       spaces and to a deformation retract in general topology.)  Two
       topological spaces that are retracts of each other are called homotopy
       equivalent.  (Contributed by Mario Carneiro, 11-Feb-2015.) $)
    df-retr $a |- Retr = ( j e. Top , k e. Top |-> { r e. ( j Cn k ) |
   E. s e. ( k Cn j ) ( ( r o. s ) ( j Htpy j ) ( _I |` U. j ) ) =/= (/) } ) $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Path-connected and simply connected spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c PConn $.
  $c SConn $.

  $( Extend class notation with the class of path-connected topologies. $)
  cpconn $a class PConn $.

  $( Extend class notation with the class of simply connected topologies. $)
  csconn $a class SConn $.

  ${
    $d f j x y $.
    $( Define the class of path-connected topologies.  A topology is
       path-connected if there is a path (a continuous function from the closed
       unit interval) that goes from ` x ` to ` y ` for any points ` x , y ` in
       the space.  (Contributed by Mario Carneiro, 11-Feb-2015.) $)
    df-pconn $a |- PConn = { j e. Top | A. x e. U. j A. y e. U. j
                    E. f e. ( II Cn j ) ( ( f ` 0 ) = x /\ ( f ` 1 ) = y ) } $.

    $( Define the class of simply connected topologies.  A topology is simply
       connected if it is path-connected and every loop (continuous path with
       identical start and endpoint) is contractible to a point (path-homotopic
       to a constant function).  (Contributed by Mario Carneiro,
       11-Feb-2015.) $)
    df-sconn $a |- SConn = { j e. PConn | A. f e. ( II Cn j ) ( ( f ` 0 ) =
            ( f ` 1 ) -> f ( ~=ph ` j ) ( ( 0 [,] 1 ) X. { ( f ` 0 ) } ) ) } $.
  $}

  ${
    $d f x y A $.  $d f y B $.  $d f j x y J $.  $d j x y X $.
    ispconn.1 $e |- X = U. J $.
    $( The property of being a path-connected topological space.  (Contributed
       by Mario Carneiro, 11-Feb-2015.) $)
    ispconn $p |- ( J e. PConn <-> ( J e. Top /\ A. x e. X A. y e. X
      E. f e. ( II Cn J ) ( ( f ` 0 ) = x /\ ( f ` 1 ) = y ) ) ) $=
      ( vj cc0 cv cfv wceq c1 wa cii ccn co wrex cuni wral raleqbidv ctop unieq
      cpconn eqtr4di oveq2 rexeqdv df-pconn elrab2 ) HCIZJAIKLUIJBIKMZCNGIZOPZQ
      ZBUKRZSZAUNSUJCNDOPZQZBESZAESGDUAUCUKDKZUOURAUNEUSUNDREUKDUBFUDZUSUMUQBUN
      EUTUSUJCULUPUKDNOUEUFTTABCGUGUH $.

    $( The property of being a path-connected topological space.  (Contributed
       by Mario Carneiro, 11-Feb-2015.) $)
    pconncn $p |- ( ( J e. PConn /\ A e. X /\ B e. X ) ->
      E. f e. ( II Cn J ) ( ( f ` 0 ) = A /\ ( f ` 1 ) = B ) ) $=
      ( vx vy cpconn wcel cc0 cv cfv wceq c1 wa wrex wral eqeq2 rexbidv cii ccn
      co ctop ispconn simprbi anbi1d anbi2d rspc2v syl5com 3impib ) DIJZAEJZBEJ
      ZKCLZMZANZOUOMZBNZPZCUADUBUCZQZULUPGLZNZURHLZNZPZCVAQZHERGERZUMUNPVBULDUD
      JVIGHCDEFUEUFVHVBUQVFPZCVAQGHABEEVCANZVGVJCVAVKVDUQVFVCAUPSUGTVEBNZVJUTCV
      AVLVFUSUQVEBURSUHTUIUJUK $.
  $}

  ${
    $d f F $.  $d f j x y J $.
    $( A simply connected space is a topology.  (Contributed by Mario Carneiro,
       11-Feb-2015.) $)
    pconntop $p |- ( J e. PConn -> J e. Top ) $=
      ( vf vx vy cpconn wcel ctop cc0 cv cfv wceq c1 wa cii wrex cuni wral eqid
      ccn co ispconn simplbi ) AEFAGFHBIZJCIKLUCJDIKMBNASTODAPZQCUDQCDBAUDUDRUA
      UB $.

    $( The property of being a simply connected topological space.
       (Contributed by Mario Carneiro, 11-Feb-2015.) $)
    issconn $p |- ( J e. SConn <-> ( J e. PConn /\ A. f e. ( II Cn J )
     ( ( f ` 0 ) = ( f ` 1 ) ->
       f ( ~=ph ` J ) ( ( 0 [,] 1 ) X. { ( f ` 0 ) } ) ) ) ) $=
      ( vj cc0 cv cfv c1 wceq cicc co csn cxp cphtpc wbr wi cii ccn wral cpconn
      csconn oveq2 fveq2 breqd imbi2d raleqbidv df-sconn elrab2 ) DAEZFZGUHFHZU
      HDGIJUIKLZCEZMFZNZOZAPULQJZRUJUHUKBMFZNZOZAPBQJZRCBSTULBHZUOUSAUPUTULBPQU
      AVAUNURUJVAUMUQUHUKULBMUBUCUDUEACUFUG $.

    $( A simply connected space is path-connected.  (Contributed by Mario
       Carneiro, 11-Feb-2015.) $)
    sconnpconn $p |- ( J e. SConn -> J e. PConn ) $=
      ( vf csconn wcel cpconn cc0 cv cfv c1 wceq cicc co csn cxp cphtpc wbr cii
      wi ccn wral issconn simplbi ) ACDAEDFBGZHZIUCHJUCFIKLUDMNAOHPRBQASLTBAUAU
      B $.

    $( A simply connected space is a topology.  (Contributed by Mario Carneiro,
       11-Feb-2015.) $)
    sconntop $p |- ( J e. SConn -> J e. Top ) $=
      ( csconn wcel cpconn ctop sconnpconn pconntop syl ) ABCADCAECAFAGH $.

    $( A closed path in a simply connected space is contractible to a point.
       (Contributed by Mario Carneiro, 11-Feb-2015.) $)
    sconnpht $p |- ( ( J e. SConn /\ F e. ( II Cn J ) /\ ( F ` 0 ) =
            ( F ` 1 ) ) -> F ( ~=ph ` J ) ( ( 0 [,] 1 ) X. { ( F ` 0 ) } ) ) $=
      ( vf csconn wcel cii ccn co cc0 cfv c1 wceq cicc csn cxp cphtpc cpconn wi
      wbr fveq1 cv wral issconn eqeq12d xpeq2d breq12d imbi12d rspccv simplbiim
      id sneqd 3imp ) BDEZAFBGHZEZIAJZKAJZLZAIKMHZUPNZOZBPJZSZUMBQEICUAZJZKVDJZ
      LZVDUSVENZOZVBSZRZCUNUBUOURVCRZRCBUCVKVLCAUNVDALZVGURVJVCVMVEUPVFUQIVDATZ
      KVDATUDVMVDAVIVAVBVMUJVMVHUTUSVMVEUPVNUKUEUFUGUHUIUL $.
  $}

  ${
    $d f g u v x y F $.  $d g u v x y J $.  $d f g u v x y K $.  $d g u v X $.
    $d g u v x y Y $.
    cnpconn.2 $e |- Y = U. K $.
    $( An image of a path-connected space is path-connected.  (Contributed by
       Mario Carneiro, 24-Mar-2015.) $)
    cnpconn $p |- ( ( J e. PConn /\ F : X -onto-> Y /\ F e. ( J Cn K ) ) ->
                                                                K e. PConn ) $=
      ( vf vx vy vu vv vg wcel cc0 cv cfv wceq c1 wa wral cpconn wfo ccn co w3a
      ctop cii wrex cntop2 3ad2ant3 cuni pconncn 3expb 3ad2antl1 simprl simpll3
      eqid ccom cnco syl2anc cicc wf iiuni cnf syl 0elunit fvco3 sylancl fveq2d
      simprrl eqtrd 1elunit simprrr fveq1 anbi12d syl12anc rexlimddv ralrimivva
      eqeq1d rspcev crn forn 3ad2ant2 dffo2 sylanbrc eqeq2 anbi2d rexbidv cbvfo
      wb ralbidv mpbid anbi1d ispconn ) BUAMZDEAUBZABCUCUDMZUEZCUFMZNGOZPZHOZQZ
      RWTPZIOZQZSZGUGCUCUDZUHZIETZHETZCUAMWQWOWSWPABCUIUJWRXAJOZAPZQZXFSZGXHUHZ
      IETZJBUKZTZXKWRXNXDKOZAPZQZSZGXHUHZKXRTZJXRTXSWRYDJKXRXRWRXLXRMZXTXRMZSZS
      ZNLOZPZXLQZRYJPZXTQZSZYDLUGBUCUDZWOWPYHYOLYPUHZWQWOYFYGYQXLXTLBXRXRUQZULU
      MUNYIYJYPMZYOSZSZAYJURZXHMZNUUBPZXMQZRUUBPZYAQZYDUUAYSWQUUCYIYSYOUOZWOWPW
      QYHYTUPYJAUGBCUSUTUUAUUDYKAPZXMUUANRVAUDZXRYJVBZNUUJMUUDUUIQUUAYSUUKUUHYJ
      UGBUUJXRVCYRVDVEZVFUUJXRNAYJVGVHUUAYKXLAYIYSYLYNVJVIVKUUAUUFYMAPZYAUUAUUK
      RUUJMUUFUUMQUULVLUUJXRRAYJVGVHUUAYMXTAYIYSYLYNVMVIVKYCUUEUUGSGUUBXHWTUUBQ
      ZXNUUEYBUUGUUNXAUUDXMNWTUUBVNVSUUNXDUUFYARWTUUBVNVSVOVTVPVQVRWRYEXQJXRWRX
      REAUBZYEXQWJWRXREAVBZAWAEQZUUOWQWOUUPWPABCXREYRFVDUJWPWOUUQWQDEAWBWCXREAW
      DWEZYDXPKIXREAYAXEQZYCXOGXHUUSYBXFXNYAXEXDWFWGWHWIVEWKWLWRUUOXSXKWJUURXQX
      JJHXREAXMXBQZXPXIIEUUTXOXGGXHUUTXNXCXFXMXBXAWFWMWHWKWIVEWLHIGCEFWNWE $.
  $}

  ${
    $d a b f x y J $.  $d f g h t u v w x y z R $.  $d f g h t u v w x y z S $.
    $d f g i t x y z A $.  $d f g i t x y z F $.  $d g i t x y z V $.
    $( A path-connected space is connected.  (Contributed by Mario Carneiro,
       11-Feb-2015.) $)
    pconnconn $p |- ( J e. PConn -> J e. Conn ) $=
      ( vx vy va vb vf wcel cv c0 wne wceq wa wex cc0 cfv c1 cii syl2anc adantr
      simplrr cpconn cconn cin w3a cun cuni wral df-3an anbi12i exdistrv bitr4i
      wi n0 ccn wrex simpll simprll simplrl elunii simprlr eqid pconncn syl3anc
      co wn adantl cicc wf iiuni iiconn a1i cdif ccld simprr syl5eq wss elssuni
      uncom wb syl incom uneqdifeq mpbid ctop pconntop ad3antrrr opncld 0elunit
      eqeltrrd eqeltrd conncn 1elunit ffvelrn sylancl inelcm pm2.21ddne pm2.01d
      neqned rexlimddv exp32 exlimdvv syl5bi ralrimivva ctopon toptopon dfconn2
      expr impd sylib mpbird ) AUAGZAUBGZBHZIJZCHZIJZXMXOUCZIKZUDZXMXOUEZAUFZJZ
      ULZCAUGBAUGZXKYCBCAAXSXNXPLZXRLXKXMAGZXOAGZLZLZYBXNXPXRUHYIYEXRYBYEDHZXMG
      ZEHZXOGZLZEMDMZYIXRYBULZYEYKDMZYMEMZLYOXNYQXPYRDXMUMEXOUMUIYKYMDEUJUKYIYN
      YPDEYIYNXRYBYIYNXRLZLZNFHZOZYJKZPUUAOZYLKZLZYBFQAUNVDZYTXKYJYAGZYLYAGZUUF
      FUUGUOXKYHYSUPYTYKYFUUHYIYKYMXRUQZXKYFYGYSURZYJXMAUSRYTYMYGUUIYIYKYMXRUTZ
      XKYFYGYSTZYLXOAUSRYJYLFAYAYAVAZVBVCYTUUAUUGGZUUFLZLZXTYAUUQXTYAKZYTUUPUUR
      UURVEZYTUUPUURLZLZUUSXQIYIYNXRUUTTZUVAYLXMGYMXQIJUVAUUDYLXMUUTUUEYTUUOUUC
      UUEUURTVFUVANPVGVDZXMUUAVHPUVCGUUDXMGUVANXMUUAQAUVCVIQUBGUVAVJVKYTUUOUUFU
      URUQYTYFUUTUUKSUVAYAXOVLZXMAVMOZUVAXOXMUEZYAKZUVDXMKZUVAUVFXTYAXOXMVRYTUU
      PUURVNVOUVAXOYAVPZXOXMUCZIKUVGUVHVSUVAYGUVIYTYGUUTUUMSZXOAVQVTUVAUVJXQIXO
      XMWAUVBVOXOXMYAWBRWCUVAAWDGZYGUVDUVEGXKUVLYHYSUUTAWEZWFUVKXOAYAUUNWGRWINU
      VCGUVAWHVKUVAUUBYJXMUUTUUCYTUUOUUCUUEUURURVFYTYKUUTUUJSWJWKWLUVCXMPUUAWMW
      NWIYTYMUUTUULSYLXMXOWORWPXGWQWRWSWTXAXBXHXBXCXKAYAXDOGZXLYDVSXKUVLUVNUVMA
      YAUUNXEXIBCAYAXFVTXJ $.

    $( The topological product of two path-connected spaces is path-connected.
       (Contributed by Mario Carneiro, 12-Feb-2015.) $)
    txpconn $p |- ( ( R e. PConn /\ S e. PConn ) -> ( R tX S ) e. PConn ) $=
      ( vf vu vv vz vw vg vh vt wcel wa co cc0 cv cfv wceq c1 wrex wral vx ctop
      vy cpconn ctx cii ccn cuni pconntop txtop syl2an cxp cop w3a eqid pconncn
      an6 anim12i sylbir reeanv sylibr cicc cmpt iiuni txcnmpt ad2antrl 0elunit
      fveq2 opeq12d opex fvmpt ax-mp simprrl simpld simprrr syl5eq simprd fveq1
      1elunit eqeq1d rspcev syl12anc expr rexlimdvva mpd 3expa ralrimivva eqeq2
      anbi12d anbi2d rexbidv ralxp anbi1d 2ralbidv syl5bb txuni raleqbidv mpbid
      raleqdv ispconn sylanbrc ) AUDKZBUDKZLZABUEMZUBKZNCOZPZDOZQZRXGPZEOZQZLZC
      UFXEUGMZSZEXEUHZTZDXQTZXEUDKXBAUBKZBUBKZXFXCAUIZBUIZABUJUKXDXPEAUHZBUHZUL
      ZTZDYFTZXSXDXHUAOZUCOZUMZQZXKFOZGOZUMZQZLZCXOSZGYETFYDTZUCYETUAYDTYHXDYSU
      AUCYDYEXDYIYDKZYJYEKZLZLYRFGYDYEXDUUBYMYDKZYNYEKZLZYRXDUUBUUEUNZNHOZPZYIQ
      ZRUUGPZYMQZLZNIOZPZYJQZRUUMPZYNQZLZLZIUFBUGMZSHUFAUGMZSZYRUUFUULHUVASZUUR
      IUUTSZLZUVBUUFXBYTUUCUNZXCUUAUUDUNZLUVEXBYTUUCXCUUAUUDUQUVFUVCUVGUVDYIYMH
      AYDYDUOZUPYJYNIBYEYEUOZUPURUSUULUURHIUVAUUTUTVAUUFUUSYRHIUVAUUTUUFUUGUVAK
      UUMUUTKLZUUSYRUUFUVJUUSLLZJNRVBMZJOZUUGPZUVMUUMPZUMZVCZXOKZNUVQPZYKQZRUVQ
      PZYOQZYRUVJUVRUUFUUSJABUFUUGUUMUVQUVLVDUVQUOZVEVFUVKUVSUUHUUNUMZYKNUVLKUV
      SUWDQVGJNUVPUWDUVLUVQUVMNQUVNUUHUVOUUNUVMNUUGVHUVMNUUMVHVIUWCUUHUUNVJVKVL
      UVKUUHYIUUNYJUVKUUIUUKUUFUVJUULUURVMZVNUVKUUOUUQUUFUVJUULUURVOZVNVIVPUVKU
      WAUUJUUPUMZYORUVLKUWAUWGQVSJRUVPUWGUVLUVQUVMRQUVNUUJUVOUUPUVMRUUGVHUVMRUU
      MVHVIUWCUUJUUPVJVKVLUVKUUJYMUUPYNUVKUUIUUKUWEVQUVKUUOUUQUWFVQVIVPYQUVTUWB
      LCUVQXOXGUVQQZYLUVTYPUWBUWHXHUVSYKNXGUVQVRVTUWHXKUWAYORXGUVQVRVTWIWAWBWCW
      DWEWFWGWGYGYSDUAUCYDYEYGXJYPLZCXOSZGYETFYDTXIYKQZYSXPUWJEFGYDYEXLYOQZXNUW
      ICXOUWLXMYPXJXLYOXKWHWJWKWLUWKUWJYRFGYDYEUWKUWIYQCXOUWKXJYLYPXIYKXHWHWMWK
      WNWOWLVAXDYGXRDYFXQXBXTYAYFXQQXCYBYCABYDYEUVHUVIWPUKZXDXPEYFXQUWMWSWQWRDE
      CXEXQXQUOWTXA $.

    $( The topological product of a collection of path-connected spaces is
       path-connected.  The proof uses the axiom of choice.  (Contributed by
       Mario Carneiro, 17-Feb-2015.) $)
    ptpconn $p |- ( ( A e. V /\ F : A --> PConn ) -> ( Xt_ ` F ) e. PConn ) $=
      ( vf vx vt vz vi wcel cpconn wa cfv cc0 cv wceq c1 cii wral cmpt fveq2 vy
      vg wf cpt ctop ccn co wrex cuni wss pconntop ssriv fss mpan2 pttop sylan2
      cid wfn wex fvi ad2antrr eleq2d biimpa simplr ffvelrnda cixp simprl ptuni
      eqid adantr eleqtrrd vex elixp sylib simprd simprr pconncn syl3anc df-rex
      r19.21bi syldan ralrimiva fvex eleq1 fveq1 eqeq1d anbi12d syl cicc ctopon
      ac6s2 iitopon simplll biimpar oveq2d eleq12d fveq1d eqeq12d rspccva sylan
      a1i simpld iiuni cnf feqmptd eqeltrrd ptcn mpteq2dva cvv 0elunit mpteq2dv
      mptexg fvmptg sylancr 3eqtr4d 1elunit rspcev syl12anc exlimddv ralrimivva
      dffn5 ispconn sylanbrc ) ACIZAJBUCZKZBUDLZUEIZMDNZLZENZOZPYILZUANZOZKZDQY
      GUFUGZUHZUAYGUIZREYSRYGJIYEYDAUEBUCZYHYEJUEUJYTEJUEYKUKULAJUEBUMUNZABCUOU
      PYFYREUAYSYSYFYKYSIZYNYSIZKZKZUBNZAUQLZURZFNZUUFLZQUUIBLZUFUGZIZMUUJLZUUI
      YKLZOZPUUJLZUUIYNLZOZKZKZFUUGRZKZYRUBUUEYIUULIZYJUUOOZYMUUROZKZKZDUSZFUUG
      RUVCUBUSUUEUVIFUUGUUEUUIUUGIZUUIAIZUVIUUEUVJUVKUUEUUGAUUIYDUUGAOZYEUUDACU
      TVAZVBVCUUEUVKKZUVGDUULUHZUVIUVNUUKJIUUOUUKUIZIZUURUVPIZUVOUUEAJUUIBYDYEU
      UDVDZVEUUEUVQFAUUEYKAURZUVQFARZUUEYKFAUVPVFZIUVTUWAKUUEYKYSUWBYFUUBUUCVGY
      FUWBYSOZUUDYEYDYTUWCUUAFABYGCYGVIZVHUPVJZVKFAUVPYKEVLVMVNZVOVTUUEUVRFAUUE
      YNAURZUVRFARZUUEYNUWBIUWGUWHKUUEYNYSUWBYFUUBUUCVPUWEVKFAUVPYNUAVLVMVNZVOV
      TUUOUURDUUKUVPUVPVIVQVRUVGDUULVSVNWAWBUVHUVAFDUUGUBAUQWCYIUUJOZUVDUUMUVGU
      UTYIUUJUULWDUWJUVEUUPUVFUUSUWJYJUUNUUOMYIUUJWEWFUWJYMUUQUURPYIUUJWEWFWGWG
      WKWHUUEUVCKZGMPWIUGZHAGNZHNZUUFLZLZSZSZYQIMUWRLZYKOZPUWRLZYNOZYRUWKGUWPHB
      AQYGCUWLUWDQUWLWJLIUWKWLXAYDYEUUDUVCWMZUWKYEYTUUEYEUVCUVSVJUUAWHUWKUWNAIZ
      KZUWOGUWLUWPSQUWNBLZUFUGZUXEGUWLUXFUIZUWOUXEUWOUXGIZUWLUXHUWOUCUXEUXIMUWO
      LZUWNYKLZOZPUWOLZUWNYNLZOZKZUWKUXDUWNUUGIZUXIUXPKZUWKUXQUXDUWKUUGAUWNUUEU
      VLUVCUVMVJVBWNUWKUVBUXQUXRUUEUUHUVBVPUVAUXRFUWNUUGUUIUWNOZUUMUXIUUTUXPUXS
      UUJUWOUULUXGUUIUWNUUFTZUXSUUKUXFQUFUUIUWNBTWOWPUXSUUPUXLUUSUXOUXSUUNUXJUU
      OUXKUXSMUUJUWOUXTWQUUIUWNYKTWRUXSUUQUXMUURUXNUXSPUUJUWOUXTWQUUIUWNYNTWRWG
      WGWSWTWAZXBZUWOQUXFUWLUXHXCUXHVIXDWHXEUYBXFXGUWKHAUXJSZHAUXKSZUWSYKUWKHAU
      XJUXKUXEUXLUXOUXEUXIUXPUYAVOZXBXHUWKMUWLIUYCXIIZUWSUYCOXJUWKYDUYFUXCHAUXJ
      CXLWHGMUWQUYCUWLXIUWRUWMMOHAUWPUXJUWMMUWOTXKUWRVIZXMXNUWKUVTYKUYDOUUEUVTU
      VCUUEUVTUWAUWFXBVJHAYKYAVNXOUWKHAUXMSZHAUXNSZUXAYNUWKHAUXMUXNUXEUXLUXOUYE
      VOXHUWKPUWLIUYHXIIZUXAUYHOXPUWKYDUYJUXCHAUXMCXLWHGPUWQUYHUWLXIUWRUWMPOHAU
      WPUXMUWMPUWOTXKUYGXMXNUWKUWGYNUYIOUUEUWGUVCUUEUWGUWHUWIXBVJHAYNYAVNXOYPUW
      TUXBKDUWRYQYIUWROZYLUWTYOUXBUYKYJUWSYKMYIUWRWEWFUYKYMUXAYNPYIUWRWEWFWGXQX
      RXSXTEUADYGYSYSVIYBYC $.
  $}

  ${
    $d f x y z A $.  $d f g h s u w x y z J $.
    $( The indiscrete topology (or trivial topology) on any set is
       path-connected.  (Contributed by Mario Carneiro, 7-Jul-2015.)  (Revised
       by Mario Carneiro, 14-Aug-2015.) $)
    indispconn $p |- { (/) , A } e. PConn $=
      ( vf vx vy vz c0 wcel cc0 cv cfv wceq c1 wa cii co cuni wral cicc cun cvv
      cpr cpconn ctop ccn wrex indistop cif cmpt wf simpl 0ex n0i wn csn prprc2
      unieqd unisn eqtrdi nsyl2 adantr uniprg sylancr uncom eqtri eleqtrd simpr
      cmap un0 ifcld fmpttd ovex elmapg sylancl mpbird iitopon cnindis eleqtrrd
      wb ctopon 0elunit iftrue eqid vex fvmpt mp1i 1elunit ax-1ne0 neeq1 mpbiri
      wne ifnefalse fveq1 eqeq1d anbi12d rspcev syl12anc rgen2 ispconn mpbir2an
      syl ) FAUAZUBGXAUCGHBIZJZCIZKZLXBJZDIZKZMZBNXAUDOZUEZDXAPZQCXLQAUFXKCDXLX
      LXDXLGZXGXLGZMZEHLROZEIZHKZXDXGUGZUHZXJGHXTJZXDKZLXTJZXGKZXKXOXTAXPVGOZXJ
      XOXTYEGZXPAXTUIZXOEXPXSAXOXSAGXQXPGXOXRXDXGAXOXDXLAXMXNUJXOXLFASZAXOFTGAT
      GZXLYHKUKXMYIXNXMXLFKYIXLXDULYIUMZXLFUNZPFYJXAYKFAUOUPFUKUQURUSUTZFATTVAV
      BYHAFSAFAVCAVHVDURZVEXOXGXLAXMXNVFYMVEVIUTVJXOYIXPTGYFYGVRYLHLRVKAXPXTTTV
      LVMVNXONXPVSJGYIXJYEKVOYLANTXPVPVBVQHXPGYBXOVTEHXSXDXPXTXRXDXGWAXTWBZCWCW
      DWELXPGYDXOWFELXSXGXPXTXQLKZXQHWJZXSXGKYOYPLHWJWGXQLHWHWIXQHXDXGWKWTYNDWC
      WDWEXIYBYDMBXTXJXBXTKZXEYBXHYDYQXCYAXDHXBXTWLWMYQXFYCXGLXBXTWLWMWNWOWPWQC
      DBXAXLXLWBWRWS $.

    $( A connected and locally path-connected space is path-connected.
       (Contributed by Mario Carneiro, 7-Jul-2015.) $)
    connpconn $p |- ( ( J e. Conn /\ J e. N-Locally PConn ) -> J e. PConn ) $=
      ( vf vx vy vz vu vw vg wcel wa cc0 cv cfv wceq c1 adantr wss fveq1 eqeq1d
      wrex vs vh cconn cpconn cnlly ctop cii ccn co cuni wral conntop crab eqid
      simpll ccld cin inss1 wel crest w3a cpw simplr ad2antrr topopn syl simprr
      wi nlly2i syl3anc simprr1 weq eqeq2 rexbidv elrab simprbi simprr3 simprr2
      anbi2d simprll sseldd elpwi ad2antrl restuni syl2anc eleqtrd pconncn cpco
      simplrl ad2antlr cnrest2r simprl simplrr simprd simprrl eqtr4d pcocn pco0
      simpld eqtrd simprrr anbi12d rspcev syl12anc rexlimddv anassrs rexlimdvaa
      pco1 ralrimiva sstrd jctild cbvrexvw ssrab 3imtr4g syl5 reximdv rexlimdva
      jca expr mpd wb ssrab2 isclo2 sylancl mpbird sselid c0 wne cicc csn simpr
      cxp ctopon iitopon a1i toptopon sylib cnconst2 fvconst2 mp1i rabn0 sylibr
      0elunit vex 1elunit rspc2ev syl112anc inss2 connclo eqcomd rabid2 ispconn
      sylanbrc ) AUCIZAUDUEIZJZAUFIZKBLZMZCLZNZOUURMZDLZNZJZBUGAUHUIZTZDAUJZUKZ
      CUVHUKAUDIUUNUUQUUOAULZPUUPUVICUVHUUPUUTUVHIZJZUVHUVGDUVHUMZNUVIUVLUVMUVH
      UVLUVMAUVHUVHUNZUUNUUOUVKUOUVLAAUPMZUQZAUVMAUVOURUVLUVMUVPIZEFUSZGLZUVMIZ
      FLZUVMQZVHZGUWAUKZJZFATZEUVHUKZUVLUWFEUVHUUPUVKELZUVHIZUWFUUPUVKUWIJZJZUV
      RUWAUALZQZAUWLUTUIZUDIZVAZFATZUAUVHVBZTZUWFUWKUUOUVHAIZUWIUWSUUNUUOUWJVCU
      WKUUQUWTUUNUUQUUOUWJUVJVDZAUVHUVNVEVFUUPUVKUWIVGFUDUWHUVHAUAVIVJUWKUWQUWF
      UAUWRUWKUWLUWRIZJUWPUWEFAUWKUXBUWPUWEUWKUXBUWPJZJZUVRUWDUVRUWMUWOUXBUWKVK
      UXDUWCGUWAUVTUVAUVBUVSNZJZBUVFTZUXDGFUSZJZUWBUVTUVSUVHIUXGUVGUXGDUVSUVHDG
      VLZUVEUXFBUVFUXJUVDUXEUVAUVCUVSUVBVMVSVNVOVPUXIKHLZMZUUTNZOUXKMZUVSNZJZHU
      VFTZUWAUVHQZUVGDUWAUKZJUXGUWBUXIUXQUXSUXRUXIUXPUXSHUVFUXDUXHUXKUVFIZUXPJZ
      UXSUXDUXHUYAJZJUVGDUWAUXDUYBDFUSZUVGUXDUYBUYCJZJZKUBLZMZUVSNZOUYFMZUVCNZJ
      ZUVGUBUGUWNUHUIZUYEUWOUVSUWNUJZIUVCUYMIUYKUBUYLTUXDUWOUYDUVRUWMUWOUXBUWKV
      QPUYEUVSUWLUYMUYEUWAUWLUVSUXDUWMUYDUVRUWMUWOUXBUWKVRZPZUXDUXHUYAUYCVTWAUY
      EUUQUWLUVHQZUWLUYMNUWKUUQUXCUYDUXAVDZUXDUYPUYDUXBUYPUWKUWPUWLUVHWBZWCPUWL
      AUVHUVNWDWEZWFUYEUVCUWLUYMUYEUWAUWLUVCUYOUXDUYBUYCVGWAUYSWFUVSUVCUBUWNUYM
      UYMUNWGVJUYEUYFUYLIZUYKJZJZUXKUYFAWHMUIZUVFIKVUCMZUUTNZOVUCMZUVCNZUVGVUBU
      XKUYFAUYDUXTUXDVUAUXHUXTUXPUYCWIWJZVUBUYLUVFUYFVUBUUQUYLUVFQUYEUUQVUAUYQP
      UWLUGAWKVFUYEUYTUYKWLWAZVUBUXNUVSUYGVUBUXMUXOUYDUXPUXDVUAUXHUXTUXPUYCWMWJ
      ZWNUYEUYTUYHUYJWOWPWQVUBVUDUXLUUTVUBUXKUYFAVUHVUIWRVUBUXMUXOVUJWSWTVUBVUF
      UYIUVCVUBUXKUYFAVUHVUIXHUYEUYTUYHUYJXAWTUVEVUEVUGJBVUCUVFUURVUCNZUVAVUEUV
      DVUGVUKUUSVUDUUTKUURVUCRSVUKUVBVUFUVCOUURVUCRSXBXCXDXEXFXIXFXGUXIUWAUWLUV
      HUXDUWMUXHUYNPUXIUXBUYPUWKUXBUWPUXHWIUYRVFXJXKUXFUXPBHUVFBHVLZUVAUXMUXEUX
      OVULUUSUXLUUTKUURUXKRSVULUVBUXNUVSOUURUXKRSXBXLUVGDUVHUWAXMXNXOXIXRXSXPXQ
      XTXFXIUVLUUQUVMUVHQUVQUWGYAUUNUUQUUOUVKUVJVDZUVGDUVHYBEFGUVMAUVHUVNYCYDYE
      ZYFUVLUVGDUVHTZUVMYGYHUVLUVKKOYIUIZUUTYJYLZUVFIZKVUQMZUUTNZOVUQMZUUTNZVUO
      UUPUVKYKZUVLUGVUPYMMIZAUVHYMMIZUVKVURVVDUVLYNYOUVLUUQVVEVUMAUVHUVNYPYQVVC
      UUTUGAVUPUVHYRVJKVUPIVUTUVLUUCVUPUUTKCUUDZYSYTOVUPIVVBUVLUUEVUPUUTOVVFYSY
      TUVEVUTVVBJUVAUVBUUTNZJDBUUTVUQUVHUVFDCVLUVDVVGUVAUVCUUTUVBVMVSUURVUQNZUV
      AVUTVVGVVBVVHUUSVUSUUTKUURVUQRSVVHUVBVVAUUTOUURVUQRSXBUUFUUGUVGDUVHUUAUUB
      UVLUVPUVOUVMAUVOUUHVUNYFUUIUUJUVGDUVHUUKYQXICDBAUVHUVNUULUUM $.
  $}

  ${
    $d f h x y $.  $d f h y A $.  $d f P $.  $d f Q $.  $d f S $.
    $d f h y B $.  $d f h y J $.  $d f T $.  $d f h y X $.
    pconnpi1.x $e |- X = U. J $.
    $( A quotient of a path-connected space is path-connected.  (Contributed by
       Mario Carneiro, 24-Mar-2015.) $)
    qtoppconn $p |- ( ( J e. PConn /\ F Fn X ) -> ( J qTop F ) e. PConn ) $=
      ( cpconn pconntop cqtop co cuni eqid cnpconn qtopcmplem ) EABCDBFABBAGHZC
      MIZNJKL $.

    pconnpi1.p $e |- P = ( J pi1 A ) $.
    pconnpi1.q $e |- Q = ( J pi1 B ) $.
    pconnpi1.s $e |- S = ( Base ` P ) $.
    pconnpi1.t $e |- T = ( Base ` Q ) $.
    $( All fundamental groups in a path-connected space are isomorphic.
       (Contributed by Mario Carneiro, 12-Feb-2015.) $)
    pconnpi1 $p |- ( ( J e. PConn /\ A e. X /\ B e. X ) -> P ~=g Q ) $=
      ( wcel cv cfv c1 co cpi1 eqid vf vh vx vy cpconn w3a cc0 wceq wa cgic wbr
      cii ccn pconncn cbs cuni cphtpc cec cicc cmin cmpt cpco cop crn cgim ctop
      ctopon simpl1 pconntop syl toptopon sylib simprl fveq2d cbvmptv pi1xfrgim
      oveq2 simprrl oveq2d eqtr4di simprrr oveq12d eleqtrd brgici rexlimddv ) G
      UENZAHNZBHNZUFZUGUAOZPZAUHZQWJPZBUHZUIZCDUJUKZUAULGUMRZABUAGHIUNWIWJWQNZW
      OUIZUIZUBGWKSRZUOPZUPUBOZGUQPZURUCUGQUSRZQUCOZUTRZWJPZVAZXCWJGVBPZRXJRXDU
      RVCVAVDZCDVERZNWPWTXKXAGWMSRZVERXLWTUDXBXAXMUBWJXKXIGHXATXMTXBTXKTWTGVFNZ
      GHVGPNWTWFXNWFWGWHWSVHGVIVJGHIVKVLWIWRWOVMUCUDXEXHQUDOZUTRZWJPXFXOUHXGXPW
      JXFXOQUTVQVNVOVPWTXACXMDVEWTXAGASRCWTWKAGSWIWRWLWNVRVSJVTWTXMGBSRDWTWMBGS
      WIWRWLWNWAVSKVTWBWCCDXKWDVJWE $.
  $}

  ${
    $d x G $.  $d x J $.
    sconnpht2.1 $e |- ( ph -> J e. SConn ) $.
    sconnpht2.2 $e |- ( ph -> F e. ( II Cn J ) ) $.
    sconnpht2.3 $e |- ( ph -> G e. ( II Cn J ) ) $.
    sconnpht2.4 $e |- ( ph -> ( F ` 0 ) = ( G ` 0 ) ) $.
    sconnpht2.5 $e |- ( ph -> ( F ` 1 ) = ( G ` 1 ) ) $.
    $( Any two paths in a simply connected space with the same start and end
       point are path-homotopic.  (Contributed by Mario Carneiro,
       12-Feb-2015.) $)
    sconnpht2 $p |- ( ph -> F ( ~=ph ` J ) G ) $=
      ( vx cc0 c1 co cfv csn cxp wbr wcel wceq eqtr4d cicc cmin cmpt cphtpc cii
      cv cpco csconn ccn w3a eqid pcorevcl simp1d simp2d pcocn pco0 pco1 simp3d
      syl sconnpht syl3anc sneqd xpeq2d breqtrd pcophtb mpbid ) ABJKLUAMZLJUFUB
      MCNUCZDUGNMZVGKBNZOZPZDUDNZQBCVMQAVIVGKVINZOZPZVLVMADUHRVIUEDUIMZRVNLVINZ
      SVIVPVMQEABVHDFAVHVQRZKVHNZLCNZSZLVHNZKCNZSZACVQRVSWBWEUJGJCVHDVHUKZULUSZ
      UMZALBNWAVTIAVSWBWEWGUNTUOAVNVJVRABVHDFWHUPZAVRWCVJABVHDFWHUQAVJWDWCHAVSW
      BWEWGURTTTVIDUTVAAVOVKVGAVNVJWIVBVCVDAJVLBCVHDWFVLUKFGHIVEVF $.
  $}

  ${
    $d f x J $.  $d f x X $.  $d f x Y $.
    sconnpi1.1 $e |- X = U. J $.
    $( A path-connected topological space is simply connected iff its
       fundamental group is trivial.  (Contributed by Mario Carneiro,
       12-Feb-2015.) $)
    sconnpi1 $p |- ( ( J e. PConn /\ Y e. X ) ->
                           ( J e. SConn <-> ( Base ` ( J pi1 Y ) ) ~~ 1o ) ) $=
      ( vx vf wcel wa co cfv c1o cen wbr csn cc0 wceq c1 eqid syl2anc syl cv wb
      cpconn csconn cpi1 cbs c0g cphtpc cec cii wrex ctop sconntop adantl simpl
      ccn ctopon toptopon sylib simpr elpi1 cicc cxp wer phtpcer simpllr simplr
      simprl simprr eqtr4d sconnpht syl3anc sneqd xpeq2d breqtrd erthi ad2antrr
      a1i pi1id eqtrd velsn eqeq1 syl5bb syl5ibrcom rexlimdva sylbid ssrdv cgrp
      expimpd pi1grp grpidcl snssd eqssd fvex ensn1 eqbrtrdi adantll wi simplll
      wral simpll pconntop wf iiuni 0elunit ffvelrn sylancl eqidd eqcomd elpi1i
      cnf pcoptcl simp1d simp2d simp3d cgic pconnpi1 gicen entr en1eqsn eleqtrd
      w3a elsni erth mpbird expr ralrimiva issconn sylanbrc impbida ) AUCGZCBGZ
      HZAUDGZACUEIZUFJZKLMZYLYNYQYKYLYNHZYPYOUGJZNZKLYRYPYTYREYPYTYREUAZYPGZOFU
      AZJZCPZQUUCJZCPZHZUUAUUCAUHJZUIZPZHZFUJAUPIZUKZUUAYTGZYRAULGZYLUUBUUNUBYN
      UUPYLAUMUNZYLYNUOZUUPYLHZYPFUUAYOABCYORZYPRZUUSUUPABUQJGZUUPYLUOABDURZUSU
      UPYLUTVASYRUULUUOFUUMYRUUCUUMGZHZUUHUUKUUOUVEUUHHZUUOUUKUUJYSPZUVFUUJOQVB
      IZCNZVCZUUIUIZYSUVFUUCUVJUUIUUMUUMUUIVDZUVFAVEZVRUVFUUCUVHUUDNZVCZUVJUUIU
      VFYNUVDUUDUUFPZUUCUVOUUIMZYLYNUVDUUHVFYRUVDUUHVGUVFUUDCUUFUVEUUEUUGVHZUVE
      UUEUUGVIVJUUCAVKVLUVFUVNUVIUVHUVFUUDCUVRVMVNVOVPYRUVKYSPZUVDUUHYRUVBYLUVS
      YRUUPUVBUUQUVCUSZUURYOABCUVJUUTUVJRVSSVQVTUUOUUAYSPUUKUVGEYSWAUUAUUJYSWBW
      CWDWIWEWFWGYRYSYPYRYOWHGZYSYPGYRUVBYLUWAUVTUURYOABCUUTWJSYPYOYSUVAYSRWKTW
      LWMYSYOUGWNWOWPWQYMYQHZYKUVPUVQWRZFUUMWTYNYKYLYQXAUWBUWCFUUMUWBUVDUVPUVQU
      WBUVDUVPHZHZUVQUUJUVOUUIUIZPZUWEUUJUWFNZGUWGUWEUUJAUUDUEIZUFJZUWHUWEUWJUU
      CUWIABUUDUWIRZUWJRZUWEUUPUVBUWEYKUUPYKYLYQUWDWSZAXBTUVCUSZUWEUVHBUUCXCZOU
      VHGUUDBGZUWEUVDUWOUWBUVDUVPVHZUUCUJAUVHBXDDXKTXEUVHBOUUCXFXGZUWQUWEUUDXHU
      WEUUDUUFUWBUVDUVPVIXIXJUWEUWFUWJGUWJKLMZUWJUWHPUWEUWJUVOUWIABUUDUWKUWLUWN
      UWRUWEUVOUUMGZOUVOJUUDPZQUVOJUUDPZUWEUVBUWPUWTUXAUXBYBUWNUWRUVOABUUDUVORX
      LSZXMUWEUWTUXAUXBUXCXNUWEUWTUXAUXBUXCXOXJUWEUWJYPLMZYQUWSUWEUWIYOXPMZUXDU
      WEYKUWPYLUXEUWMUWRYKYLYQUWDVFUUDCUWIYOUWJYPABDUWKUUTUWLUVAXQVLUWJYPUWIYOU
      WLUVAXRTYMYQUWDVGUWJYPKXSSUWFUWJXTSYAUUJUWFYCTUWEUUCUVOUUIUUMUVLUWEUVMVRU
      WQYDYEYFYGFAYHYIYJ $.
  $}

  ${
    $d s x y G $.  $d s x y H $.  $d s x y ph $.  $d s x y R $.  $d s x y S $.
    $d x A $.  $d x B $.  $d s x F $.
    txsconn.1 $e |- ( ph -> R e. Top ) $.
    txsconn.2 $e |- ( ph -> S e. Top ) $.
    txsconn.3 $e |- ( ph -> F e. ( II Cn ( R tX S ) ) ) $.
    txsconn.5 $e |- A = ( ( 1st |` ( U. R X. U. S ) ) o. F ) $.
    txsconn.6 $e |- B = ( ( 2nd |` ( U. R X. U. S ) ) o. F ) $.
    txsconn.7 $e |- ( ph ->
      G e. ( A ( PHtpy ` R ) ( ( 0 [,] 1 ) X. { ( A ` 0 ) } ) ) ) $.
    txsconn.8 $e |- ( ph ->
      H e. ( B ( PHtpy ` S ) ( ( 0 [,] 1 ) X. { ( B ` 0 ) } ) ) ) $.
    $( Lemma for ~ txsconn .  (Contributed by Mario Carneiro, 9-Mar-2015.) $)
    txsconnlem $p |- ( ph ->
      F ( ~=ph ` ( R tX S ) ) ( ( 0 [,] 1 ) X. { ( F ` 0 ) } ) ) $=
      ( co cc0 c1 cfv wceq vx vy vs cii ctx ccn wcel cicc csn cxp cphtpy c0 wne
      cphtpc wbr cmpt fconstmpt cuni ctopon iitopon a1i ctop eqid sylib txtopon
      toptopon syl2anc cnf2 syl3anc 0elunit ffvelrn sylancl cnmptc eqeltrid cop
      wf cmpo wfn c1st cres ccom tx1cn cnco iiuni cnf syl phtpycn sseldd txunii
      cv iitop ffn 3syl fnov eqeltrrd c2nd tx2cn cnmpt2t chtpy phtpyhtpy simpld
      wa htpyi fveq1i fvco3 sylan syl5eq fvres 3eqtrd opeq12d simpr oveq12 opex
      ovmpoa 1st2nd2 3eqtr4d simprd fvconst2 adantl eqtrd adantr 1elunit phtpyi
      fvex sylancr isphtpy2d ne0d isphtpc syl3anbrc ) AFUDDEUEPZUFPZUGZQRUHPZQF
      SZUIUJZYKUGFYOYJUKSPZULUMFYOYJUNSUOKAYOUAYMYNUPYKUAYMYNUQAUAYNUDYJYMDURZE
      URZUJZUDYMUSSUGZAUTVAZADYQUSSUGZEYRUSSUGZYJYSUSSUGZADVBUGUUBIDYQYQVCZVFVD
      ZAEVBUGUUCJEYRYRVCZVFVDZDEYQYRVEVGZAYMYSFVPZQYMUGZYNYSUGZAYTUUDYLUUJUUAUU
      IKFUDYJYMYSVHVIZVJYMYSQFVKVLZVMVNZAYPUAUBYMYMUAWJZUBWJZGPZUUPUUQHPZVOZVQZ
      AFYOUVAYJUCKUUOAUAUBUURUUSUDUDDEYMYMUUAUUAAGUAUBYMYMUURVQZUDUDUEPZDUFPZAG
      YMYMUJZVRZGUVBTAGUVDUGUVEYQGVPUVFABYMQBSZUIUJZDUKSPZUVDGABUVHDABVSYSVTZFW
      AZUDDUFPZLAYLUVJYJDUFPUGZUVKUVLUGKAUUBUUCUVMUUFUUHDEYQYRWBVGFUVJUDYJDWCVG
      VNZAUVHUAYMUVGUPUVLUAYMUVGUQAUAUVGUDDYMYQUUAUUFAYMYQBVPZUUKUVGYQUGABUVLUG
      UVOUVNBUDDYMYQWDUUEWEWFVJYMYQQBVKVLVMVNZWGNWHZGUVCDUVEYQUDUDYMYMWKWKWDWDW
      IZUUEWEUVEYQGWLWMUAUBYMYMGWNVDUVQWOAHUAUBYMYMUUSVQZUVCEUFPZAHUVEVRZHUVSTA
      HUVTUGUVEYRHVPUWAACYMQCSZUIUJZEUKSPZUVTHACUWCEACWPYSVTZFWAZUDEUFPZMAYLUWE
      YJEUFPUGZUWFUWGUGKAUUBUUCUWHUUFUUHDEYQYRWQVGFUWEUDYJEWCVGVNZAUWCUAYMUWBUP
      UWGUAYMUWBUQAUAUWBUDEYMYRUUAUUHAYMYRCVPZUUKUWBYRUGACUWGUGUWJUWICUDEYMYRWD
      UUGWEWFVJYMYRQCVKVLVMVNZWGOWHZHUVCEUVEYRUVRUUGWEUVEYRHWLWMUAUBYMYMHWNVDUW
      LWOWRAUCWJZYMUGZXBZUWMQGPZUWMQHPZVOZUWMFSZVSSZUWSWPSZVOZUWMQUVAPZUWSUWOUW
      PUWTUWQUXAUWOUWPUWMBSZUWSUVJSZUWTUWOUWPUXDTZUWMRGPZUWMUVHSZTZAUWMBUVHGUDD
      YMUUAUVNUVPAUVIBUVHUDDWSPPGABUVHDUVNUVPWTNWHXCZXAUWOUXDUWMUVKSZUXEUWMBUVK
      LXDAUUJUWNUXKUXETUUMYMYSUWMUVJFXEXFXGUWOUWSYSUGZUXEUWTTAUUJUWNUXLUUMYMYSU
      WMFVKXFZUWSYSVSXHWFXIUWOUWQUWMCSZUWSUWESZUXAUWOUWQUXNTZUWMRHPZUWMUWCSZTZA
      UWMCUWCHUDEYMUUAUWIUWKAUWDCUWCUDEWSPPHACUWCEUWIUWKWTOWHXCZXAUWOUXNUWMUWFS
      ZUXOUWMCUWFMXDAUUJUWNUYAUXOTUUMYMYSUWMUWEFXEXFXGUWOUXLUXOUXATUXMUWSYSWPXH
      WFXIXJUWOUWNUUKUXCUWRTAUWNXKZVJUAUBUWMQYMYMUUTUWRUVAUUPUWMTZUUQQTXBUURUWP
      UUSUWQUUPUWMUUQQGXLUUPUWMUUQQHXLXJUVAVCZUWPUWQXMXNVLUWOUXLUWSUXBTUXMUWSYQ
      YRXOWFXPUWOUXGUXQVOZYNVSSZYNWPSZVOZUWMRUVAPZUWMYOSZUWOUXGUYFUXQUYGUWOUXGU
      XHUVGUYFUWOUXFUXIUXJXQUWNUXHUVGTAYMUVGUWMQBYDXRXSAUVGUYFTUWNAUVGQUVKSZUYF
      QBUVKLXDAUYKYNUVJSZUYFAUUJUUKUYKUYLTUUMVJYMYSQUVJFXEVLAUULUYLUYFTUUNYNYSV
      SXHWFXTXGYAZXIUWOUXQUXRUWBUYGUWOUXPUXSUXTXQUWNUXRUWBTAYMUWBUWMQCYDXRXSAUW
      BUYGTUWNAUWBQUWFSZUYGQCUWFMXDAUYNYNUWESZUYGAUUJUUKUYNUYOTUUMVJYMYSQUWEFXE
      VLAUULUYOUYGTUUNYNYSWPXHWFXTXGYAZXIXJUWOUWNRYMUGZUYIUYETUYBYBUAUBUWMRYMYM
      UUTUYEUVAUYCUUQRTXBUURUXGUUSUXQUUPUWMUUQRGXLUUPUWMUUQRHXLXJUYDUXGUXQXMXNV
      LUWOUYJYNUYHUWNUYJYNTAYMYNUWMQFYDXRXSUWOUULYNUYHTAUULUWNUUNYAYNYQYRXOWFZX
      TXPUWOQUWMGPZQUWMHPZVOZUYHQUWMUVAPZYNUWOUYSUYFUYTUYGUWOUYSUVGUYFUWOUYSUVG
      TZRUWMGPZRBSZTZAUWMBUVHGDUVNUVPNYCZXAUYMXTUWOUYTUWBUYGUWOUYTUWBTZRUWMHPZR
      CSZTZAUWMCUWCHEUWIUWKOYCZXAUYPXTXJUWOUUKUWNVUBVUATVJUYBUAUBQUWMYMYMUUTVUA
      UVAUUPQTUUQUWMTZXBUURUYSUUSUYTUUPQUUQUWMGXLUUPQUUQUWMHXLXJUYDUYSUYTXMXNYE
      UYRXPUWOVUDVUIVOZRFSZVSSZVUOWPSZVOZRUWMUVAPZVUOUWOVUDVUPVUIVUQUWOVUDVUEVU
      PUWOVUCVUFVUGXQAVUEVUPTUWNAVUEVUOUVJSZVUPAVUERUVKSZVUTRBUVKLXDAUUJUYQVVAV
      UTTUUMYBYMYSRUVJFXEVLXGAVUOYSUGZVUTVUPTAUUJUYQVVBUUMYBYMYSRFVKVLZVUOYSVSX
      HWFXTYAXTUWOVUIVUJVUQUWOVUHVUKVULXQAVUJVUQTUWNAVUJVUOUWESZVUQAVUJRUWFSZVV
      DRCUWFMXDAUUJUYQVVEVVDTUUMYBYMYSRUWEFXEVLXGAVVBVVDVUQTVVCVUOYSWPXHWFXTYAX
      TXJUWOUYQUWNVUSVUNTYBUYBUAUBRUWMYMYMUUTVUNUVAUUPRTVUMXBUURVUDUUSVUIUUPRUU
      QUWMGXLUUPRUUQUWMHXLXJUYDVUDVUIXMXNYEUWOVVBVUOVURTAVVBUWNVVCYAVUOYQYRXOWF
      XPYFYGFYOYJYHYI $.
  $}

  ${
    $d f g h R $.  $d f g h S $.
    $( The topological product of two simply connected spaces is simply
       connected.  (Contributed by Mario Carneiro, 12-Feb-2015.) $)
    txsconn $p |- ( ( R e. SConn /\ S e. SConn ) -> ( R tX S ) e. SConn ) $=
      ( vf vg vh wcel wa co cc0 cfv c1 wceq cxp cii ccn wex ctopon eqid syl2anc
      sylib csconn ctx cpconn cv cicc csn cphtpc wbr wi wral sconnpconn txpconn
      syl2an c1st cuni cres ccom cphtpy c2nd c0 wne simpll simprl ctop sconntop
      w3a ad2antrr toptopon ad2antlr tx1cn simprr fveq2d wf iitopon a1i txtopon
      cnco cnf2 syl3anc 0elunit sylancl 1elunit 3eqtr4d sconnpht isphtpc simp3d
      fvco3 n0 simplr tx2cn exdistrv adantr txsconnlem ex exlimdvv syl5bir expr
      mp2and ralrimiva issconn sylanbrc ) AUAFZBUAFZGZABUBHZUCFZICUDZJZKXGJZLZX
      GIKUEHZXHUFMXEUGJUHZUIZCNXEOHZUJXEUAFXBAUCFBUCFXFXCAUKBUKABULUMXDXMCXNXDX
      GXNFZXJXLXDXOXJGZGZDUDZUNAUOZBUOZMZUPZXGUQZXKIYCJZUFMZAURJHZFZDPZEUDZUSYA
      UPZXGUQZXKIYKJZUFMZBURJHZFZEPZXLXQYFUTVAZYHXQYCNAOHZFZYEYRFZYQXQYCYEAUGJU
      HZYSYTYQVFXQXBYSYDKYCJZLUUAXBXCXPVBXQXOYBXEAOHFZYSXDXOXJVCZXQAXSQJFZBXTQJ
      FZUUCXQAVDFZUUEXBUUGXCXPAVEVGZAXSXSRVHTZXQBVDFZUUFXCUUJXBXPBVEVIZBXTXTRVH
      TZABXSXTVJSXGYBNXEAVQSXQXHYBJZXIYBJZYDUUBXQXHXIYBXDXOXJVKZVLXQXKYAXGVMZIX
      KFZYDUUMLXQNXKQJFZXEYAQJFZXOUUPUURXQVNVOXQUUEUUFUUSUUIUULABXSXTVPSUUDXGNX
      EXKYAVRVSZVTXKYAIYBXGWGWAXQUUPKXKFZUUBUUNLUUTWBXKYAKYBXGWGWAWCYCAWDVSYCYE
      AWETWFDYFWHTXQYNUTVAZYPXQYKNBOHZFZYMUVCFZUVBXQYKYMBUGJUHZUVDUVEUVBVFXQXCU
      VDYLKYKJZLUVFXBXCXPWIXQXOYJXEBOHFZUVDUUDXQUUEUUFUVHUUIUULABXSXTWJSXGYJNXE
      BVQSXQXHYJJZXIYJJZYLUVGXQXHXIYJUUOVLXQUUPUUQYLUVILUUTVTXKYAIYJXGWGWAXQUUP
      UVAUVGUVJLUUTWBXKYAKYJXGWGWAWCYKBWDVSYKYMBWETWFEYNWHTYHYPGYGYOGZEPDPXQXLY
      GYODEWKXQUVKXLDEXQUVKXLXQUVKGYCYKABXGXRYIXQUUGUVKUUHWLXQUUJUVKUUKWLXQXOUV
      KUUDWLYCRYKRXQYGYOVCXQYGYOVKWMWNWOWPWRWQWSCXEWTXA $.
  $}

  ${
    $d t z J $.  $d f s t x y z K $.  $d f s t x y z ph $.  $d t x y z S $.
    cvxpconn.1 $e |- ( ph -> S C_ CC ) $.
    cvxpconn.2 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ t e. ( 0 [,] 1 ) ) ) ->
      ( ( t x. x ) + ( ( 1 - t ) x. y ) ) e. S ) $.
    cvxpconn.3 $e |- J = ( TopOpen ` CCfld ) $.
    cvxpconn.4 $e |- K = ( J |`t S ) $.
    $( A convex subset of the complex numbers is path-connected.  (Contributed
       by Mario Carneiro, 12-Feb-2015.) $)
    cvxpconn $p |- ( ph -> K e. PConn ) $=
      ( wcel cc0 wceq c1 co cc cmul cmin caddc vf ctop cv cfv cii ccn wrex cuni
      wa wral cpconn crest cvv cnfldtop wss cnex ssexg sylancl resttop eqeltrid
      sylancr cicc cmpt dfii3 ctopon cnfldtopon a1i cr unitssre ax-resscn sstri
      cnmptid adantr simprr sseldd cnmptc ctx mulcn cnmpt12f subcn simprl addcn
      1cnd cnmpt1res crn wb 3exp2 com23 imp42 fmpttd frnd cnrest2 syl3anc mpbid
      wi oveq2i eleqtrrdi 0elunit oveq1 oveq2 1m0e1 eqtrdi oveq1d oveq12d fvmpt
      eqid ovex ax-mp mul02d mulid2d addid2d eqtrd syl5eq 1elunit 1m1e0 addid1d
      fveq1 eqeq1d anbi12d syl12anc ralrimivva resttopon toponuni syl raleqbidv
      rspcev raleqdv ispconn sylanbrc ) AGUBLMUAUCZUDZCUCZNZOYJUDZBUCZNZUIZUAUE
      GUFPZUGZBGUHZUJZCYTUJZGUKLAGFEULPZUBKAFUBLEUMLZUUCUBLFJUNAEQUOZQUMLUUDHUP
      EQUMUQUREFUMUSVAUTAYSBEUJZCEUJUUBAYSCBEEAYLELZYOELZUIZUIZDMOVBPZDUCZYORPZ
      OUULSPZYLRPZTPZVCZYRLMUUQUDZYLNZOUUQUDZYONZYSUUJUUQUEUUCUFPZYRUUJUUQUEFUF
      PLZUUQUVBLZUUJDUUPFUEFQUUKFJVDFQVEUDLZUUJFJVFZVGZUUKQUOUUJUUKVHQVIVJVKVGU
      UJDUUMUUOTFFFFQUVGUUJDUULYORFFFFQUVGUUJDFQUVGVLZUUJDYOFFQQUVGUVGUUJEQYOAU
      UEUUIHVMZAUUGUUHVNVOZVPRFFVQPFUFPZLUUJFJVRVGZVSUUJDUUNYLRFFFFQUVGUUJDOUUL
      SFFFFQUVGUUJDOFFQQUVGUVGUUJWCVPUVHSUVKLUUJFJVTVGVSUUJDYLFFQQUVGUVGUUJEQYL
      UVIAUUGUUHWAVOZVPUVLVSTUVKLUUJFJWBVGVSWDUUJUVEUUQWEEUOUUEUVCUVDWFUVGUUJUU
      KEUUQUUJDUUKUUPEAUUGUUHUULUUKLZUUPELZAUUHUUGUVNUVOWOAUUHUUGUVNUVOIWGWHWIW
      JWKUVIEUUQUEFQWLWMWNGUUCUEUFKWPWQUUJUURMYORPZOYLRPZTPZYLMUUKLUURUVRNWRDMU
      UPUVRUUKUUQUULMNZUUMUVPUUOUVQTUULMYORWSUVSUUNOYLRUVSUUNOMSPOUULMOSWTXAXBX
      CXDUUQXFZUVPUVQTXGXEXHUUJUVRMYLTPYLUUJUVPMUVQYLTUUJYOUVJXIUUJYLUVMXJXDUUJ
      YLUVMXKXLXMUUJUUTOYORPZMYLRPZTPZYOOUUKLUUTUWCNXNDOUUPUWCUUKUUQUULONZUUMUW
      AUUOUWBTUULOYORWSUWDUUNMYLRUWDUUNOOSPMUULOOSWTXOXBXCXDUVTUWAUWBTXGXEXHUUJ
      UWCYOMTPYOUUJUWAYOUWBMTUUJYOUVJXJUUJYLUVMXIXDUUJYOUVJXPXLXMYQUUSUVAUIUAUU
      QYRYJUUQNZYMUUSYPUVAUWEYKUURYLMYJUUQXQXRUWEYNUUTYOOYJUUQXQXRXSYFXTYAAUUFU
      UACEYTAGEVEUDZLEYTNAGUUCUWFKAUVEUUEUUCUWFLUVFHEFQYBVAUTEGYCYDZAYSBEYTUWGY
      GYEWNCBUAGYTYTXFYHYI $.

    $( A convex subset of the complex numbers is simply connected.
       (Contributed by Mario Carneiro, 12-Feb-2015.) $)
    cvxsconn $p |- ( ph -> K e. SConn ) $=
      ( vz wcel cc0 c1 co cii cmul caddc cc vf vs cpconn cv cfv wceq csn cphtpc
      cicc cxp wbr wi ccn wral csconn cvxpconn wa cphtpy wne simprl cuni ctopon
      c0 w3a ctop pconntop syl adantr eqid toptopon sylib iiuni 0elunit ffvelrn
      cnf sylancl pcoptcl syl2anc simp1d cmin cmpo ctx crest iitopon cnfldtopon
      wf a1i dfii3 wss cr unitssre ax-resscn sstri cnmpt2nd cnmpt2res resttopon
      sylancr eqeltrid toponuni eleqtrrd sseldd cnmpt2c mulcn cnmpt22f cnmpt1st
      ax-1cn subcn cnfldtop cnrest2r ax-mp eleqtrdi cnmpt21f addcn crn ffvelrnd
      oveq2i sselid 3exp2 imp42 an32s ralrimivva oveq2 oveq1d eleq1d oveq2d weq
      wb simpr eqtrdi simpl fveq2d oveq12d ovmpoa mul02d mulid2d 3eqtrd 1elunit
      ovex 3eqtr3d eqtrd ad2ant2rl rspc2va syl21anc fmpo frnd cnrest2 eleqtrrdi
      syl3anc mpbid 1m0e1 toponunii ffvelrnda addid2d 1m1e0 addid1d fvex adantl
      eqtr4d pncan3 subcl adddird simplrr isphtpy2d ne0d isphtpc syl3anbrc expr
      fvconst2 ralrimiva issconn sylanbrc ) AGUCMZNUAUDZUEZOUVMUEZUFZUVMNOUIPZU
      VNUGUJZGUHUEUKZULZUAQGUMPZUNGUOMABCDEFGHIJKUPZAUVTUAUWAAUVMUWAMZUVPUVSAUW
      CUVPUQZUQZUWCUVRUWAMZUVMUVRGURUEPZVCUSUVSAUWCUVPUTZUWEUWFNUVRUEUVNUFZOUVR
      UEUVNUFZUWEGGVAZVBUEMZUVNUWKMZUWFUWIUWJVDUWEGVEMZUWLAUWNUWDAUVLUWNUWBGVFV
      GVHGUWKUWKVIZVJVKUWEUVQUWKUVMWFZNUVQMZUWMUWEUWCUWPUWHUVMQGUVQUWKVLUWOVOVG
      ZVMUVQUWKNUVMVNVPZUVRGUWKUVNUVRVIVQVRVSZUWEUWGLDUVQUVQDUDZUVNRPZOUXAVTPZL
      UDZUVMUEZRPZSPZWAZUWEUVMUVRUXHGUBUWHUWTUWEUXHQQWBPZFEWCPZUMPZUXIGUMPUWEUX
      HUXIFUMPMZUXHUXKMZUWELDUXBUXFSQQFFFUVQUVQQUVQVBUEMUWEWDWGZUXNUWELDUXAUVNR
      QQFFFUVQUVQUXNUXNUWELDUXAFQFFQUVQTUVQTFJWHZFTVBUEMZUWEFJWEZWGZUVQTWIUWEUV
      QWJTWKWLWMZWGZUXOUXRUXTUWELDFFTTUXRUXRWNZWOUWELDUVNQQFUVQUVQTUXNUXNUXRUWE
      ETUVNAETWIZUWDHVHZUWEUVNUWKEUWSAEUWKUFZUWDAGEVBUEZMUYDAGUXJUYEKAUXPUYBUXJ
      UYEMUXQHEFTWPWQWREGWSVGVHZWTZXAZXBRFFWBPFUMPZMUWEFJXCWGZXDUWELDUXCUXERQQF
      FFUVQUVQUXNUXNUWELDUXCFQFFQUVQTUVQTUXOUXRUXTUXOUXRUXTUWELDOUXAVTFFFFFTTUX
      RUXRUWELDOFFFTTTUXRUXRUXROTMZUWEXFWGXBUYAVTUYIMUWEFJXGWGXDWOUWELDUXDUVMQQ
      QFUVQUVQUXNUXNUWELDQQUVQUVQUXNUXNXEUWEQUXJUMPZQFUMPZUVMFVEMUYLUYMWIFJXHEQ
      FXIXJUWEUVMUWAUYLUWHGUXJQUMKXPXKXQZXLUYJXDSUYIMUWEFJXMWGXDUWEUXPUXHXNEWIU
      YBUXLUXMYGUXRUWEUVQUVQUJZEUXHUWEUXGEMZDUVQUNLUVQUNUYOEUXHWFUWEUYPLDUVQUVQ
      UWEUXDUVQMZUXAUVQMZUQZUQZUVNEMZUXEEMUXABUDZRPZUXCCUDZRPZSPZEMZCEUNBEUNZUY
      PUWEVUAUYSUYGVHUYTUXEUWKEUYTUVQUWKUXDUVMUWEUWPUYSUWRVHUWEUYQUYRUTXOUWEUYD
      UYSUYFVHWTAUYRVUHUWDUYQAUYRUQVUGBCEEAVUBEMZVUDEMZUQUYRVUGAVUIVUJUYRVUGAVU
      IVUJUYRVUGIXRXSXTYAUUAVUGUYPUXBVUESPZEMBCUVNUXEEEVUBUVNUFZVUFVUKEVULVUCUX
      BVUESVUBUVNUXARYBYCYDVUDUXEUFZVUKUXGEVUMVUEUXFUXBSVUDUXEUXCRYBYEYDUUBUUCY
      ALDUVQUVQUXGEUXHUXHVIZUUDVKUUEUYCEUXHUXIFTUUFUUHUUIGUXJUXIUMKXPUUGUWEUBUD
      ZUVQMZUQZVUONUXHPZNUVNRPZOVUOUVMUEZRPZSPZNVUTSPVUTVUQVUPUWQVURVVBUFUWEVUP
      YHZVMLDVUONUVQUVQUXGVVBUXHLUBYFZUXANUFZUQZUXBVUSUXFVVASVVFUXANUVNRVVDVVEY
      HZYCVVFUXCOUXEVUTRVVFUXCONVTPOVVFUXANOVTVVGYEUUJYIVVFUXDVUOUVMVVDVVEYJYKY
      LYLVUNVUSVVASYRYMVPVUQVUSNVVAVUTSVUQUVNUWEUVNTMVUPUYHVHZYNVUQVUTUWEUVQTVU
      OUVMUWEUVMUYMMUVQTUVMWFUYNUVMQFUVQTVLTFUXQUUKVOVGUULZYOYLVUQVUTVVIUUMYPVU
      QVUOOUXHPZOUVNRPZNVUTRPZSPZUVNNSPZVUOUVRUEZVUQVUPOUVQMZVVJVVMUFVVCYQLDVUO
      OUVQUVQUXGVVMUXHVVDUXAOUFZUQZUXBVVKUXFVVLSVVRUXAOUVNRVVDVVQYHZYCVVRUXCNUX
      EVUTRVVRUXCOOVTPNVVRUXAOOVTVVSYEUUNYIVVRUXDVUOUVMVVDVVQYJYKYLYLVUNVVKVVLS
      YRYMVPVUQVVKUVNVVLNSVUQUVNVVHYOZVUQVUTVVIYNYLVUQVVNUVNVVOVUQUVNVVHUUOVUPV
      VOUVNUFUWEUVQUVNVUONUVMUUPUVHUUQUURYPVUQNVUOUXHPZVUOUVNRPZOVUOVTPZUVNRPZS
      PZUVNVUQUWQVUPVWAVWEUFVMVVCLDNVUOUVQUVQUXGVWEUXHUXDNUFZDUBYFZUQZUXBVWBUXF
      VWDSVWHUXAVUOUVNRVWFVWGYHZYCVWHUXCVWCUXEUVNRVWHUXAVUOOVTVWIYEVWHUXDNUVMVW
      FVWGYJYKYLYLVUNVWBVWDSYRYMWQVUQVUOVWCSPZUVNRPVVKVWEUVNVUQVWJOUVNRVUQVUOTM
      ZUYKVWJOUFVUQUVQTVUOUXSVVCXQZXFVUOOUUSVPYCVUQVUOVWCUVNVWLVUQUYKVWKVWCTMXF
      VWLOVUOUUTWQVVHUVAVVTYSZYTVUQOVUOUXHPZVWBVWCUVORPZSPZUVOVUQVVPVUPVWNVWPUF
      YQVVCLDOVUOUVQUVQUXGVWPUXHUXDOUFZVWGUQZUXBVWBUXFVWOSVWRUXAVUOUVNRVWQVWGYH
      ZYCVWRUXCVWCUXEUVORVWRUXAVUOOVTVWSYEVWRUXDOUVMVWQVWGYJYKYLYLVUNVWBVWOSYRY
      MWQVUQVWEUVNVWPUVOVWMVUQVWDVWOVWBSVUQUVNUVOVWCRAUWCUVPVUPUVBZYEYEVWTYSYTU
      VCUVDUVMUVRGUVEUVFUVGUVIUAGUVJUVK $.
  $}

  ${
    $d t J $.  $d t x y K $.  $d t x y P $.  $d t x y R $.  $d t x y S $.
    blsconn.j $e |- J = ( TopOpen ` CCfld ) $.
    blsconn.s $e |- S = ( P ( ball ` ( abs o. - ) ) R ) $.
    blsconn.k $e |- K = ( J |`t S ) $.
    $( An open ball in the complex numbers is simply connected.  (Contributed
       by Mario Carneiro, 12-Feb-2015.) $)
    blsconn $p |- ( ( P e. CC /\ R e. RR* ) -> K e. SConn ) $=
      ( vx vy vt cc wcel cxr wa cabs cmin ccom cfv cv cbl co cxmet cnxmet blssm
      wss mp3an1 eqsstrid blcvx cvxsconn ) ALMZBNMZOZIJKCDEUMCABPQRZUASUBZLGUNL
      UCSMUKULUOLUFUDUNABLUEUGUHITJTABCKTGUIFHUJ $.
  $}

  ${
    $d r u x y J $.
    cnllysconn.j $e |- J = ( TopOpen ` CCfld ) $.
    $( The topology of the complex numbers is locally simply connected.
       (Contributed by Mario Carneiro, 2-Mar-2015.) $)
    cnllysconn $p |- J e. Locally SConn $=
      ( vy vu vx vr csconn wcel cv crest co wa wrex wral cfv wss crp cc syl3anc
      cnxmet clly ctop cpw cin cnfldtop cabs cmin cxmet cnfldtopn mopni2 mp3an1
      ccom cbl cxr a1i ctopon cnfldtopon simpll toponss sylancr simplr ad2antrl
      sseldd rpxr blopn simprr elpw2 sylibr elind simprl blcntr blsconn syl2anc
      vex eqid eleq2 oveq2 eleq1d anbi12d rspcev syl12anc rexlimddv rgen2 islly
      wceq mpbir2an ) AGUAHAUBHCIZDIZHZAWHJKZGHZLZDAEIZUCZUDZMZCWMNEANABUEWPECA
      WMWMAHZWGWMHZLZWGFIZUFUGULZUMOKZWMPZWPFQXARUHOHZWQWRXCFQMTFWMXAWGARABUIZU
      JUKWSWTQHZXCLZLZXBWOHWGXBHZAXBJKZGHZWPXHAWNXBXHXDWGRHZWTUNHZXBAHXDXHTUOZX
      HWMRWGXHARUPOHWQWMRPABUQWQWRXGURWMARUSUTWQWRXGVAVCZXFXMWSXCWTVDVBZXAWGWTA
      RXEVESXHXCXBWNHWSXFXCVFXBWMEVNVGVHVIXHXDXLXFXIXNXOWSXFXCVJXAWGWTRVKSXHXLX
      MXKXOXPWGWTXBAXJBXBVOXJVOVLVMWLXIXKLDXBWOWHXBWEZWIXIWKXKWHXBWGVPXQWJXJGWH
      XBAJVQVRVSVTWAWBWCECDGAWDWF $.
  $}

  ${
    $d s t w x y z A $.  $d s t w x y z J $.
    resconn.1 $e |- J = ( ( topGen ` ran (,) ) |`t A ) $.
    $( A subset of ` RR ` is simply connected iff it is connected.
       (Contributed by Mario Carneiro, 9-Mar-2015.) $)
    resconn $p |- ( A C_ RR -> ( J e. SConn <-> J e. Conn ) ) $=
      ( vx vy vt cr wcel wa co adantr cc cv c1 cmul caddc wral oveq2 cle wbr vz
      vw vs wss csconn cconn cpconn sconnpconn pconnconn syl ccnfld ctopn crest
      cfv wceq cioo crn ctg eqid rerest eqtr4di simpl ax-resscn sstrdi cc0 cicc
      w3a cmin df-3an weq oveqan12d eleq1d ralbidv unitssre sstri sselid simpr2
      simpr sseldd mulcld ax-1cn subcl sylancr simpr1 nncan oveq1d oveq2d iirev
      addcomd eqtr4d adantl eleq1i reconn syl5bb biimpa r19.21bi anasss simplll
      3adantr3 remulcld resubcl readdcld pncan3 sylancl adddird mulid2d 3eqtr3d
      1re recnd elicc01 sylib simp3d wb subge0 mpbird simplr3 lemul2ad leadd2dd
      eqbrtrrd simp2d leadd1dd breqtrd elicc2 syl2anc mpbir3and ralrimiva oveq1
      oveq12d rspcv sylc eqeltrd cbvralvw wloglei sylan2b cvxsconn eqeltrrd ex
      impbid2 ) AGUDZBUEHZBUFHZYTBUGHUUABUHBUIUJYSUUAYTYSUUAIZUKULUNZAUMJZBUEYS
      UUDBUOUUAYSUUDUPUQURUNZAUMJZBAUUEUUCUUCUSZUUEUSUTCVAKUUBDEFAUUCUUDUUBAGLY
      SUUAVBZVCVDZDMZAHZEMZAHZFMZVENVFJZHZVGUUBUUKUUMIZUUPIUUNUUJOJZNUUNVHJZUUL
      OJZPJZAHZUUKUUMUUPVIUUBUUQUUPUVBUUBUUQIUVBFUUOUUBUUNUAMZOJZUUSUBMZOJZPJZA
      HZFUUOQUVBFUUOQZUUNUULOJZUUSUUJOJZPJZAHZFUUOQZDEUAUBAUADVJZUBEVJZIZUVHUVB
      FUUOUVQUVGUVAAUVOUVPUVDUURUVFUUTPUVCUUJUUNORUVEUULUUSORVKVLVMUAEVJZUBDVJZ
      IZUVHUVMFUUOUVTUVGUVLAUVRUVSUVDUVJUVFUVKPUVCUULUUNORUVEUUJUUSORVKVLVMUUHU
      UBUUKUUMUUJUULSTZVGZIZUCMZUULOJZNUWDVHJZUUJOJZPJZAHZUCUUOQUVNUWCUWIUCUUOU
      WCUWDUUOHZIZUWHUWGNUWFVHJZUULOJZPJZAUWKUWHUWGUWEPJUWNUWKUWEUWGUWKUWDUULUW
      KUUOLUWDUUOGLVNVCVOUWCUWJVRVPZUWCUULLHZUWJUWCALUULUUBALUDUWBUUIKZUUBUUKUU
      MUWAVQZVSZKVTUWKUWFUUJUWKNLHZUWDLHZUWFLHWAUWONUWDWBWCUWCUUJLHZUWJUWCALUUJ
      UWQUUBUUKUUMUWAWDZVSZKVTWIUWKUWMUWEUWGPUWKUWLUWDUULOUWKUWTUXAUWLUWDUOWAUW
      ONUWDWEWCWFWGWJUWKUWFUUOHZUVIUWNAHZUWJUXEUWCUWDWHWKUWCUVIUWJUWCUVBFUUOUWC
      UUPIZUUJUULVFJZAUVAUWCUXHAUDZUUPUUBUUKUUMUXIUWAUUBUUKUUMUXIUUBUUKIUXIEAUU
      BUXIEAQZDAYSUUAUXJDAQZUUAUUFUFHYSUXKBUUFUFCWLDEAWMWNWOWPWPWQWSKUXGUVAUXHH
      ZUVAGHZUUJUVASTZUVAUULSTZUXGUURUUTUXGUUNUUJUXGUUOGUUNVNUWCUUPVRZVPZUXGAGU
      UJYSUUAUWBUUPWRZUWCUUKUUPUXCKVSZWTZUXGUUSUULUXGNGHZUUNGHZUUSGHXHUXQNUUNXA
      WCZUXGAGUULUXRUWCUUMUUPUWRKVSZWTZXBUXGUURUVKPJZUUJUVASUXGUUNUUSPJZUUJOJNU
      UJOJUYFUUJUXGUYGNUUJOUXGUUNLHUWTUYGNUOUXGUUNUXQXIZWAUUNNXCXDZWFUXGUUNUUSU
      UJUYHUXGUUSUYCXIZUWCUXBUUPUXDKZXEUXGUUJUYKXFXGUXGUVKUUTUURUXGUUSUUJUYCUXS
      WTUYEUXTUXGUUJUULUUSUXSUYDUYCUXGVEUUSSTZUUNNSTZUXGUYBVEUUNSTZUYMUXGUUPUYB
      UYNUYMVGUXPUUNXJXKZXLUXGUYAUYBUYLUYMXMXHUXQNUUNXNWCXOUUKUUMUWAUUBUUPXPZXQ
      XRXSUXGUVAUVJUUTPJZUULSUXGUURUVJUUTUXTUXGUUNUULUXQUYDWTUYEUXGUUJUULUUNUXS
      UYDUXQUXGUYBUYNUYMUYOXTUYPXQYAUXGUYGUULOJNUULOJUYQUULUXGUYGNUULOUYIWFUXGU
      UNUUSUULUYHUYJUWCUWPUUPUWSKZXEUXGUULUYRXFXGYBUXGUUJGHUULGHUXLUXMUXNUXOVGX
      MUXSUYDUUJUULUVAYCYDYEVSYFZKUVBUXFFUWFUUOUUNUWFUOZUVAUWNAUYTUURUWGUUTUWMP
      UUNUWFUUJOYGUYTUUSUWLUULOUUNUWFNVHRWFYHVLYIYJYKYFUWIUVMUCFUUOUCFVJZUWHUVL
      AVUAUWEUVJUWGUVKPUWDUUNUULOYGVUAUWFUUSUUJOUWDUUNNVHRWFYHVLYLXKUYSYMWPWQYN
      UUGUUDUSYOYPYQYR $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( An open interval is simply connected.  (Contributed by Mario Carneiro,
       9-Mar-2015.) $)
    ioosconn $p |- ( ( topGen ` ran (,) ) |`t ( A (,) B ) ) e. SConn $=
      ( vx vy cv cicc co cioo wss wral crn ctg cfv crest csconn iccssioo2 rgen2
      wcel cr wb ioossre cconn eqid resconn reconn bitr2d ax-mp mpbi ) CEZDEZFG
      ABHGZIZDUKJCUKJZHKLMUKNGZORZULCDUKUKABUIUJPQUKSIZUMUOTABUAUPUOUNUBRUMUKUN
      UNUCUDCDUKUEUFUGUH $.
  $}

  $( A closed interval is simply connected.  (Contributed by Mario Carneiro,
     9-Mar-2015.) $)
  iccsconn $p |- ( ( A e. RR /\ B e. RR ) ->
                         ( ( topGen ` ran (,) ) |`t ( A [,] B ) ) e. SConn ) $=
    ( cr wcel wa cioo crn ctg cfv cicc co crest csconn cconn iccconn wb iccssre
    wss eqid resconn syl mpbird ) ACDBCDEZFGHIABJKZLKZMDZUENDZABOUCUDCRUFUGPABQ
    UDUEUESTUAUB $.

  $( The real numbers are simply connected.  (Contributed by Mario Carneiro,
     9-Mar-2015.) $)
  retopsconn $p |- ( topGen ` ran (,) ) e. SConn $=
    ( cioo crn ctg cfv cmnf cpnf co crest csconn ctop wcel wceq retop cr ioomax
    cuni uniretop eqtri restid ax-mp ioosconn eqeltrri ) ABCDZEFAGZHGZUCIUCJKUE
    UCLMUCJUDUDNUCPOQRSTEFUAUB $.

  ${
    $d a b u v x y z A $.  $d a b u v x y z B $.
    $( A closed interval is locally simply connected.  (Contributed by Mario
       Carneiro, 10-Mar-2015.) $)
    iccllysconn $p |- ( ( A e. RR /\ B e. RR ) ->
                 ( ( topGen ` ran (,) ) |`t ( A [,] B ) ) e. Locally SConn ) $=
      ( vz vx vy vu vv cr wcel wa cv co wss cioo crest csconn wrex wral cxr wb
      va vb cicc cin crn ctg cfv w3a clly simprl simprr sselid tg2 syl2anc wceq
      inss1 wi cxp cpw wf wfn ioof ffn ovelrn mp2b simprrr sstrid ineq1d oveq2d
      simprrl ioossre cconn eqid resconn reconn bitrd ax-mp mpbi ssralv ralimdv
      ioosconn syld mp1i inss2 iccconn iccssre syl mpbid ad2antrr mpsyl 2ralbii
      ssin r19.26-2 bitr3i sylanbrc sstri sylibr eqeltrd exp32 rexlimdvw syl5bi
      3jca reximdvai ctb retopbas bastg syl6 mpd ralrimivva ctop cvv retop ovex
      ssrexv subislly mp2an ) AHIBHIJZCKZABUCLZUDZDKZMZEKZXRIZNUEZUFUGZXTOLZPIZ
      UHZCYFQZEYAXSUDZRDYFRZYFXSOLZPUIIZXQYJDEYFYKXQYAYFIZYCYKIZJZJZYDXRYAMZJZC
      YEQZYJYRYOYCYAIUUAXQYOYPUJYRYKYAYCYAXSUPXQYOYPUKULCYAYEYCUMUNYRUUAYICYEQZ
      YJYRYTYICYEXRYEIZXRUAKZUBKZNLZUOZUBSQZUASQZYRYTYIUQZSSURZHUSZNUTNUUKVAUUC
      UUITVBUUKUULNVCUAUBSSXRNVDVEYRUUHUUJUASYRUUGUUJUBSYRUUGYTYIYRUUGYTJZJZYBY
      DYHUUNXTXRYAXRXSUPYRUUGYDYSVFVGYRUUGYDYSVJUUNYGYFUUFXSUDZOLZPUUNXTUUOYFOU
      UNXRUUFXSYRUUGYTUJVHVIUUNFKGKUCLZUUOMZGUUORFUUORZUUPPIZUUNUUQUUFMZGUUORZF
      UUORZUUQXSMZGUUORZFUUORZUUSUVAGUUFRZFUUFRZUVCUUNYFUUFOLZPIZUVHUUDUUEWAUUF
      HMZUVJUVHTUUDUUEVKZUVKUVJUVIVLIUVHUUFUVIUVIVMVNFGUUFVOVPVQVRUUOUUFMZUVHUV
      CUQUUFXSUPZUVMUVHUVBFUUFRUVCUVMUVGUVBFUUFUVAGUUOUUFVSVTUVBFUUOUUFVSWBVQWC
      UUOXSMZUUNUVDGXSRZFXSRZUVFUUFXSWDXQUVQYQUUMXQYMVLIZUVQABWEXQXSHMUVRUVQTAB
      WFFGXSVOWGWHWIUVOUVQUVEFXSRUVFUVOUVPUVEFXSUVDGUUOXSVSVTUVEFUUOXSVSWBWJUUS
      UVAUVDJZGUUORFUUORUVCUVFJUVSUURFGUUOUUOUUQUUFXSWLWKUVAUVDFGUUOUUOWMWNWOUU
      OHMZUUTUUSTUUOUUFHUVNUVLWPUVTUUTUUPVLIUUSUUOUUPUUPVMVNFGUUOVOVPVQWQWRXBWS
      WTWTXAXCYEXDIYEYFMUUBYJUQXEYEXDXFYICYEYFXNVEXGXHXIYFXJIXSXKIYNYLTXLABUCXM
      DECPXSYFXKXOXPWQ $.

    $( The real numbers are locally simply connected.  (Contributed by Mario
       Carneiro, 10-Mar-2015.) $)
    rellysconn $p |- ( topGen ` ran (,) ) e. Locally SConn $=
      ( vy vz vx va vb cioo csconn wcel wel cv crest co wa cpw wrex wss ctb cxr
      wral rexlimivw crn ctg cfv clly cin retop tg2 retopbas bastg ax-mp simprl
      ctop sselid simprrr velpw sylibr elind simprrl wceq cxp cr wf wfn wb ioof
      ffn ovelrn mp2b oveq2 ioosconn eqeltrdi sylbi ad2antrl jca32 reximdv2 mpd
      ex rgen2 islly mpbir2an ) FUAZUBUCZGUDHWBULHABIZWBBJZKLZGHZMZBWBCJZNZUEZO
      ZAWHSCWBSUFWKCAWBWHWHWBHACIMZWCWDWHPZMZBWAOWKBWHWAAJUGWLWNWGBWAWJWLWDWAHZ
      WNMZWDWJHZWGMWLWPMZWQWCWFWRWBWIWDWRWAWBWDWAQHWAWBPUHWAQUIUJWLWOWNUKUMWRWM
      WDWIHWLWOWCWMUNBWHUOUPUQWLWOWCWMURWOWFWLWNWOWDDJZEJZFLZUSZEROZDROZWFRRUTZ
      VANZFVBFXEVCWOXDVDVEXEXFFVFDERRWDFVGVHXCWFDRXBWFERXBWEWBXAKLGWDXAWBKVIWSW
      TVJVKTTVLVMVNVQVOVPVRCABGWBVSVT $.
  $}

  $( The unit interval is simply connected.  (Contributed by Mario Carneiro,
     9-Mar-2015.) $)
  iisconn $p |- II e. SConn $=
    ( cii cioo crn ctg cfv cc0 c1 cicc crest csconn dfii2 wcel 0re 1re iccsconn
    co cr mp2an eqeltri ) ABCDEFGHPIPZJKFQLGQLTJLMNFGORS $.

  $( The unit interval is locally simply connected.  (Contributed by Mario
     Carneiro, 10-Mar-2015.) $)
  iillysconn $p |- II e. Locally SConn $=
    ( cii cioo crn ctg cfv cc0 c1 cicc crest csconn clly dfii2 wcel iccllysconn
    co cr 0re 1re mp2an eqeltri ) ABCDEFGHOIOZJKZLFPMGPMUAUBMQRFGNST $.

  $( The unit interval is locally connected.  (Contributed by Mario Carneiro,
     6-Jul-2015.) $)
  iinllyconn $p |- II e. N-Locally Conn $=
    ( vx csconn cnlly cconn cii wss wcel cpconn sconnpconn pconnconn syl nllyss
    cv ssriv ax-mp clly llyssnlly iillysconn sselii ) BCZDCZEBDFTUAFABDAMZBGUBH
    GUBDGUBIUBJKNBDLOBPTEBQRSS $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Covering maps
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CovMap $.

  $( Extend class notation with the class of covering maps. $)
  ccvm $a class CovMap $.

  ${
    $d c j f x k s u v $.
    $( Define the class of covering maps on two topological spaces.  A function
       ` f : c --> j ` is a covering map if it is continuous and for every
       point ` x ` in the target space there is a neighborhood ` k ` of ` x `
       and a decomposition ` s ` of the preimage of ` k ` as a disjoint union
       such that ` f ` is a homeomorphism of each set ` u e. s ` onto ` k ` .
       (Contributed by Mario Carneiro, 13-Feb-2015.) $)
    df-cvm $a |- CovMap = ( c e. Top , j e. Top |-> { f e. ( c Cn j ) |
      A. x e. U. j E. k e. j ( x e. k /\ E. s e. ( ~P c \ { (/) } )
       ( U. s = ( `' f " k ) /\ A. u e. s
         ( A. v e. ( s \ { u } ) ( u i^i v ) = (/) /\
           ( f |` u ) e. ( ( c |`t u ) Homeo ( j |`t k ) ) ) ) ) } ) $.

    $( Lemma for covering maps.  (Contributed by Mario Carneiro,
       13-Feb-2015.) $)
    fncvm $p |- CovMap Fn ( Top X. Top ) $=
      ( vc vj vx vk vs vf vu vv ctop cv wcel cuni wceq c0 cdif wral crest co wa
      csn ccnv cima cin cres chmeo cpw wrex crab ccvm df-cvm ovex rabex fnmpoi
      ccn ) ABIICJDJZKEJZLFJZUAUOUBMGJZHJUCNMHUPURTOPUQURUDAJZURQRBJZUOQRUERKSG
      UPPSEUSUFNTOUGSDUTUGCUTLPZFUSUTUNRZUHUICHGFBDEAUJVAFVBUSUTUNUKULUM $.
  $}

  ${
    $d a b c d f j k s u v x $.  $d a b c f j k s u x C $.  $d c f j x X $.
    $d a b c f k s u x F $.  $d a b c f j k s u x J $.
    iscvm.1 $e |- S = ( k e. J |->
      { s e. ( ~P C \ { (/) } ) | ( U. s = ( `' F " k ) /\
        A. u e. s ( A. v e. ( s \ { u } ) ( u i^i v ) = (/) /\
           ( F |` u ) e. ( ( C |`t u ) Homeo ( J |`t k ) ) ) ) } ) $.
    $( Change bound variables in the set of even coverings.  (Contributed by
       Mario Carneiro, 17-Feb-2015.) $)
    cvmscbv $p |- S = ( a e. J |->
      { b e. ( ~P C \ { (/) } ) | ( U. b = ( `' F " a ) /\
        A. c e. b ( A. d e. ( b \ { c } ) ( c i^i d ) = (/) /\
           ( F |` c ) e. ( ( C |`t c ) Homeo ( J |`t a ) ) ) ) } ) $=
      ( cv wceq c0 wral crest co wa cuni ccnv cima cin csn cdif cres chmeo wcel
      cpw crab cmpt weq unieq eqeq1d ineq2 cbvralvw sneq ineq1 raleqbidv syl5bb
      difeq2d reseq2 oveq2 oveq1d eleq12d anbi12d difeq1 raleqdv anbi1d cbvrabv
      imaeq2 eqeq2d oveq2d eleq2d anbi2d ralbidv rabbidv syl5eq cbvmptv eqtri
      raleqbi1dv ) DEGHNZUAZFUBZENZUCZOZBNZANZUDZPOZAWCWIUEZUFZQZFWIUGZCWIRSZGW
      FRSZUHSZUIZTZBWCQZTZHCUJPUEUFZUKZULIGJNZUAZWEINZUCZOZKNZLNZUDZPOZLXFXKUEZ
      UFZQZFXKUGZCXKRSZGXHRSZUHSZUIZTZKXFQZTZJXDUKZULMEIGXEYFEIUMZXEXGWGOZXQXRX
      SWRUHSZUIZTZKXFQZTZJXDUKYFXCYMHJXDHJUMZWHYHXBYLYNWDXGWGWCXFUNUOXBXNLWCXOU
      FZQZYJTZKWCQYNYLXAYQBKWCBKUMZWOYPWTYJWOWIXLUDZPOZLWNQYRYPWLYTALWNALUMWKYS
      PWJXLWIUPUOUQYRYTXNLWNYOYRWMXOWCWIXKURVBYRYSXMPWIXKXLUSUOUTVAYRWPXRWSYIWI
      XKFVCYRWQXSWRUHWIXKCRVDVEVFVGUQYQYKKWCXFYNYPXQYJYNXNLYOXPWCXFXOVHVIVJWBVA
      VGVKYGYMYEJXDYGYHXJYLYDYGWGXIXGWFXHWEVLVMYGYKYCKXFYGYJYBXQYGYIYAXRYGWRXTX
      SUHWFXHGRVDVNVOVPVQVGVRVSVTWA $.

    iscvm.2 $e |- X = U. J $.
    $( The property of being a covering map.  (Contributed by Mario Carneiro,
       13-Feb-2015.) $)
    iscvm $p |- ( F e. ( C CovMap J ) <->
      ( ( C e. Top /\ J e. Top /\ F e. ( C Cn J ) ) /\ A. x e. X E. k e. J
        ( x e. k /\ ( S ` k ) =/= (/) ) ) ) $=
      ( vf ctop wcel wa co cv wrex wral vc vj ccn cfv wne w3a ccvm anass df-3an
      anbi1i cuni ccnv cima wceq cin csn cdif cres crest chmeo cpw crab elmpocl
      c0 df-cvm oveq12 simpr unieqd eqtr4di simpl pweqd difeq1d oveq1 oveqan12d
      eleq2d anbi2d ralbidv rexeqbidv raleqbidv rabeqbidv ovex rabex ovmpoa cvv
      id pwexg adantr difexg rabexg fvmpt2 syl2anr neeq1d rabn0 bitrdi rexbidva
      cnveq imaeq1d eqeq2d reseq1 eleq1d anbi12d rexbidv elrab bitr4di biadanii
      3syl bitr4d 3bitr4ri ) DNOZHNOZPZGDHUCQZOZPZARFRZOZXOEUDZVDUEZPZFHSZAITZP
      XKXMYAPZPXIXJXMUFZYAPGDHUGQZOZXKXMYAUHYCXNYAXIXJXMUIUJYEXKYBUAUBNNXPJRZUK
      ZMRZULZXOUMZUNZCRZBRUOVDUNBYFYLUPUQTZYHYLURZUARZYLUSQZUBRZXOUSQZUTQZOZPZC
      YFTZPZJYOVAZVDUPZUQZSZPZFYQSZAYQUKZTZMYOYQUCQZVBZDHUGGABCMUBFJUAVEZVCXKYE
      GXPYKYMYNDYLUSQZHXOUSQZUTQZOZPZCYFTZPZJDVAZUUEUQZSZPZFHSZAITZMXLVBZOZYBXK
      YDUVHGUAUBDHNNUUMUVHUGYODUNZYQHUNZPZUUKUVGMUULXLYODYQHUCVFUVLUUIUVFAUUJIU
      VLUUJHUKIUVLYQHUVJUVKVGZVHLVIUVLUUHUVEFYQHUVMUVLUUGUVDXPUVLUUCUVAJUUFUVCU
      VLUUDUVBUUEUVLYODUVJUVKVJVKVLUVLUUBUUTYKUVLUUAUUSCYFUVLYTUURYMUVLYSUUQYNU
      VJUVKYPUUOYRUUPUTYODYLUSVMYQHXOUSVMVNVOVPVQVPVRVPVRVSVTUUNUVGMXLDHUCWAWBW
      CVOXKYBXMXPYGGULZXOUMZUNZYMGYLURZUUQOZPZCYFTZPZJUVCSZPZFHSZAITZPUVIXKYAUW
      EXMXKXTUWDAIXKXSUWCFHXKXOHOZPZXRUWBXPUWGXRUWAJUVCVBZVDUEUWBUWGXQUWHVDUWFU
      WFUWHWDOZXQUWHUNXKUWFWEXKUVBWDOZUVCWDOUWIXIUWJXJDNWFWGUVBUUEWDWHUWAJUVCWD
      WIXFFHUWHWDEKWJWKWLUWAJUVCWMWNVPWOVQVPUVGUWEMGXLYHGUNZUVFUWDAIUWKUVEUWCFH
      UWKUVDUWBXPUWKUVAUWAJUVCUWKYKUVPUUTUVTUWKYJUVOYGUWKYIUVNXOYHGWPWQWRUWKUUS
      UVSCYFUWKUURUVRYMUWKYNUVQUUQYHGYLWSWTVPVQXAXBVPXBVQXCXDXGXEXH $.
  $}

  ${
    $d k s u v x C $.  $d k s u x F $.  $d k s u x J $.
    $( Reverse closure for a covering map.  (Contributed by Mario Carneiro,
       11-Feb-2015.) $)
    cvmtop1 $p |- ( F e. ( C CovMap J ) -> C e. Top ) $=
      ( ccvm co wcel ctop c0 wceq wa n0i cxp fncvm fndmi ndmov nsyl2 simpld ) B
      ACDEZFZAGFZCGFZSRHITUAJRBKACGDGGLDMNOPQ $.

    $( Reverse closure for a covering map.  (Contributed by Mario Carneiro,
       13-Feb-2015.) $)
    cvmtop2 $p |- ( F e. ( C CovMap J ) -> J e. Top ) $=
      ( ccvm co wcel ctop c0 wceq wa n0i cxp fncvm fndmi ndmov nsyl2 simprd ) B
      ACDEZFZAGFZCGFZSRHITUAJRBKACGDGGLDMNOPQ $.

    $( A covering map is a continuous function.  (Contributed by Mario
       Carneiro, 13-Feb-2015.) $)
    cvmcn $p |- ( F e. ( C CovMap J ) -> F e. ( C Cn J ) ) $=
      ( vx vk vs vu vv co wcel ctop cv cuni wceq c0 csn cdif wral crest wa ccvm
      ccn w3a ccnv cima cin cres chmeo cpw crab cmpt cfv wne wrex iscvm simplbi
      eqid simp3d ) BACUAIJZAKJZCKJZBACUBIJZUSUTVAVBUCDLELZJVCECFLZMBUDVCUENGLZ
      HLUFONHVDVEPQRBVEUGAVESICVCSIUHIJTGVDRTFAUIOPQUJUKZULOUMTECUNDCMZRDHGAVFE
      BCVGFVFUQVGUQUOUPUR $.
  $}

  ${
    $d a b k s t u v w x y z C $.  $d a b k s t u v w x y z F $.  $d k x y P $.
    $d a b k s t u v w x y z J $.  $d t w x y z S $.  $d k s t u v w x y z U $.
    $d s u v x z T $.  $d a b k s t u v w x y z V $.  $d v W $.  $d x y z X $.
    $d t u v w x y z A $.  $d t v w x y z B $.
    cvmcov.1 $e |- S = ( k e. J |->
      { s e. ( ~P C \ { (/) } ) | ( U. s = ( `' F " k ) /\
        A. u e. s ( A. v e. ( s \ { u } ) ( u i^i v ) = (/) /\
           ( F |` u ) e. ( ( C |`t u ) Homeo ( J |`t k ) ) ) ) } ) $.
    ${
      cvmcov.2 $e |- X = U. J $.
      $( Property of a covering map.  In order to make the covering property
         more manageable, we define here the set ` S ( k ) ` of all even
         coverings of an open set ` k ` in the range.  Then the covering
         property states that every point has a neighborhood which has an even
         covering.  (Contributed by Mario Carneiro, 13-Feb-2015.) $)
      cvmcov $p |- ( ( F e. ( C CovMap J ) /\ P e. X ) ->
        E. x e. J ( P e. x /\ ( S ` x ) =/= (/) ) ) $=
        ( co wcel wa cv c0 wrex wceq ccvm cfv wne wral ctop ccn w3a iscvm eleq1
        simprbi anbi1d rexbidv rspcv mpan9 nfv cuni ccnv cima cin csn cdif cres
        crest chmeo crab cmpt nfmpt1 nfcxfr nfcv nffv nfne eleq2w fveq2 anbi12d
        cpw nfan neeq1d cbvrexw sylibr ) HDIUANOZEJOZPEGQZOZWBFUBZRUCZPZGISZEAQ
        ZOZWHFUBZRUCZPZAISVTWHWBOZWEPZGISZAJUDZWAWGVTDUEOIUEOHDIUFNOUGWPABCDFGH
        IJKLMUHUJWOWGAEJWHETZWNWFGIWQWMWCWEWHEWBUIUKULUMUNWLWFAGIWIWKGWIGUOGWJR
        GWHFGFGIKQZUPHUQWBURTCQZBQUSRTBWRWSUTVAUDHWSVBDWSVCNIWBVCNVDNOPCWRUDPKD
        VORUTVAVEZVFLGIWTVGVHGWHVIVJGRVIVKVPWFAUOWHWBTZWIWCWKWEAGEVLXAWJWDRWHWB
        FVMVQVNVRVS $.
    $}

    $( Reverse closure for an even covering.  (Contributed by Mario Carneiro,
       11-Feb-2015.) $)
    cvmsrcl $p |- ( T e. ( S ` U ) -> U e. J ) $=
      ( wcel cv wceq c0 csn cdif wral crest co cfv cdm cuni ccnv cima cin chmeo
      cres wa cpw crab dmmptss elfvdm sselid ) EFDUALDUBIFGIJMZUCHUDGMZUENBMZAM
      UFONAUOUQPQRHUQUHCUQSTIUPSTUGTLUIBUORUIJCUJOPQUKDKULEFDUMUN $.

    $( One direction of ~ cvmsval .  (Contributed by Mario Carneiro,
       13-Feb-2015.) $)
    cvmsi $p |- ( T e. ( S ` U ) ->
      ( U e. J /\ ( T C_ C /\ T =/= (/) ) /\ ( U. T = ( `' F " U ) /\
        A. u e. T ( A. v e. ( T \ { u } ) ( u i^i v ) = (/) /\
           ( F |` u ) e. ( ( C |`t u ) Homeo ( J |`t U ) ) ) ) ) ) $=
      ( wcel c0 wa wceq cv cdif wral crest co cfv wss cuni ccnv cima cres chmeo
      wne cin csn cvmsrcl crab imaeq2 eqeq2d oveq2 oveq2d eleq2d anbi2d ralbidv
      cpw anbi12d rabbidv fvmptss2 sseli unieq eqeq1d difeq1 raleqdv raleqbi1dv
      anbi1d elrab sylib simpld eldifsn elpwi anim1i syl simprd 3jca ) EFDUAZLZ
      FILECUBZEMUHZNZEUCZHUDZFUEZOZBPZAPUIMOZAEWIUJZQZRZHWIUFZCWISTZIFSTZUGTZLZ
      NZBERZNZABCDEFGHIJKUKWAECUTZLZWCNZWDWAEXBMUJQZLZXDWAXFXAWAEJPZUCZWGOZWJAX
      GWKQZRZWRNZBXGRZNZJXEULZLXFXANVTXOEGIXHWFGPZUEZOZXKWNWOIXPSTZUGTZLZNZBXGR
      ZNZJXEULXOFDXPFOZYDXNJXEYEXRXIYCXMYEXQWGXHXPFWFUMUNYEYBXLBXGYEYAWRXKYEXTW
      QWNYEXSWPWOUGXPFISUOUPUQURUSVAVBKVCVDXNXAJEXEXGEOZXIWHXMWTYFXHWEWGXGEVEVF
      XLWSBXGEYFXKWMWRYFWJAXJWLXGEWKVGVHVJVIVAVKVLZVMEXBMVNVLXCWBWCECVOVPVQWAXF
      XAYGVRVS $.

    $( Elementhood in the set ` S ` of all even coverings of an open set in
       ` J ` . ` S ` is an even covering of ` U ` if it is a nonempty
       collection of disjoint open sets in ` C ` whose union is the preimage of
       ` U ` , such that each set ` u e. S ` is homeomorphic under ` F ` to
       ` U ` .  (Contributed by Mario Carneiro, 13-Feb-2015.) $)
    cvmsval $p |- ( C e. V -> ( T e. ( S ` U ) <->
      ( U e. J /\ ( T C_ C /\ T =/= (/) ) /\ ( U. T = ( `' F " U ) /\
        A. u e. T ( A. v e. ( T \ { u } ) ( u i^i v ) = (/) /\
           ( F |` u ) e. ( ( C |`t u ) Homeo ( J |`t U ) ) ) ) ) ) ) $=
      ( wcel c0 wa wceq cv wral co cvv cfv wss wne cuni ccnv cima cin cdif cres
      csn crest chmeo w3a cvmsi 3anass cpw crab pwexg difexg rabexg 3syl imaeq2
      id eqeq2d oveq2 oveq2d eleq2d anbi2d ralbidv anbi12d rabbidv fvmptg unieq
      syl2anr eqeq1d difeq1 raleqdv anbi1d raleqbi1dv elrab elpw2g adantr bitrd
      eldifsn wb syl5bb biimprd expimpd syl5bi impbid2 ) CJMZEFDUAZMZFIMZECUBZE
      NUCZOZEUDZHUEZFUFZPZBQZAQUGNPZAEXBUJZUHZRZHXBUIZCXBUKSZIFUKSZULSZMZOZBERZ
      OZUMZABCDEFGHIKLUNXOWNWQXNOZOWKWMWNWQXNUOWKWNXPWMWKWNOZWMXPXQWMEKQZUDZWTP
      ZXCAXRXDUHZRZXKOZBXRRZOZKCUPZNUJZUHZUQZMZXPXQWLYIEWNWNYITMZWLYIPWKWNVCWKY
      FTMYHTMYKCJURYFYGTUSYEKYHTUTVAGFXSWSGQZUFZPZYBXGXHIYLUKSZULSZMZOZBXRRZOZK
      YHUQYIITDYLFPZYTYEKYHUUAYNXTYSYDUUAYMWTXSYLFWSVBVDUUAYRYCBXRUUAYQXKYBUUAY
      PXJXGUUAYOXIXHULYLFIUKVEVFVGVHVIVJVKLVLVNVGYJEYHMZXNOXQXPYEXNKEYHXREPZXTX
      AYDXMUUCXSWRWTXREVMVOYCXLBXREUUCYBXFXKUUCXCAYAXEXREXDVPVQVRVSVJVTXQUUBWQX
      NUUBEYFMZWPOXQWQEYFNWDXQUUDWOWPWKUUDWOWEWNECJWAWBVRWFVRWFWCWGWHWIWJ $.

    $( An even covering is a subset of the topology of the domain (i.e. a
       collection of open sets).  (Contributed by Mario Carneiro,
       11-Feb-2015.) $)
    cvmsss $p |- ( T e. ( S ` U ) -> T C_ C ) $=
      ( cfv wcel c0 wa wceq cv wral crest co wss cuni ccnv cima cdif cres chmeo
      wne cin csn cvmsi simp2d simpld ) EFDLMZECUAZENUHZUNFIMUOUPOEUBHUCFUDPBQZ
      AQUINPAEUQUJUERHUQUFCUQSTIFSTUGTMOBEROABCDEFGHIJKUKULUM $.

    $( An even covering is nonempty.  (Contributed by Mario Carneiro,
       11-Feb-2015.) $)
    cvmsn0 $p |- ( T e. ( S ` U ) -> T =/= (/) ) $=
      ( cfv wcel c0 wa wceq cv wral crest co wss cuni ccnv cima cdif cres chmeo
      wne cin csn cvmsi simp2d simprd ) EFDLMZECUAZENUHZUNFIMUOUPOEUBHUCFUDPBQZ
      AQUINPAEUQUJUERHUQUFCUQSTIFSTUGTMOBEROABCDEFGHIJKUKULUM $.

    $( An even covering of ` U ` has union equal to the preimage of ` U ` by
       ` F ` .  (Contributed by Mario Carneiro, 11-Feb-2015.) $)
    cvmsuni $p |- ( T e. ( S ` U ) -> U. T = ( `' F " U ) ) $=
      ( cfv wcel wceq cv c0 wral crest co wa cuni ccnv cima cin cdif cres chmeo
      csn wss wne cvmsi simp3d simpld ) EFDLMZEUAHUBFUCNZBOZAOUDPNAEUPUHUEQHUPU
      FCUPRSIFRSUGSMTBEQZUNFIMECUIEPUJTUOUQTABCDEFGHIJKUKULUM $.

    $( An even covering of ` U ` is a disjoint union.  (Contributed by Mario
       Carneiro, 13-Feb-2015.) $)
    cvmsdisj $p |- ( ( T e. ( S ` U ) /\ A e. T /\ B e. T ) ->
      ( A = B \/ ( A i^i B ) = (/) ) ) $=
      ( wcel wceq cin c0 wne wa wral cfv w3a wn df-ne wi cv csn cdif cres crest
      co chmeo cuni ccnv cima wss cvmsi simp3d simprd simpl ralimi sneq difeq2d
      ineq1 eqeq1d raleqbidv rspccva sylan necom eldifsn biimpri sylan2b rspccv
      syl ineq2 syl2im expd 3impia syl5bir orrd ) GHFUANZCGNZDGNZUBZCDOZCDPZQOZ
      WEUCCDRZWDWGCDUDWAWBWCWHWGUEWAWBSZWCWHWGWICAUFZPZQOZAGCUGZUHZTZWCWHSDWNNZ
      WGWABUFZWJPZQOZAGWQUGZUHZTZBGTZWBWOWAXBJWQUIEWQUJUKKHUJUKULUKNZSZBGTZXCWA
      GUMJUNHUOOZXFWAHKNGEUPGQRSXGXFSABEFGHIJKLMUQURUSXEXBBGXBXDUTVAVNXBWOBCGWQ
      COZWSWLAXAWNXHWTWMGWQCVBVCXHWRWKQWQCWJVDVEVFVGVHWHWCDCRZWPCDVIWPWCXISDGCV
      JVKVLWLWGADWNWJDOWKWFQWJDCVOVEVMVPVQVRVSVT $.

    $( Every element of an even covering of ` U ` is homeomorphic to ` U ` via
       ` F ` .  (Contributed by Mario Carneiro, 13-Feb-2015.) $)
    cvmshmeo $p |- ( ( T e. ( S ` U ) /\ A e. T ) ->
      ( F |` A ) e. ( ( C |`t A ) Homeo ( J |`t U ) ) ) $=
      ( wcel cv crest co chmeo wral wceq wa cfv cres cin c0 cdif cuni ccnv cima
      csn wss wne cvmsi simp3d simprd simpr ralimi reseq2 oveq2 eleq12d rspccva
      syl oveq1d sylan ) FGEUAMZIBNZUBZDVEOPZJGOPZQPZMZBFRZCFMICUBZDCOPZVHQPZMZ
      VDVEANUCUDSAFVEUIUERZVJTZBFRZVKVDFUFIUGGUHSZVRVDGJMFDUJFUDUKTVSVRTABDEFGH
      IJKLULUMUNVQVJBFVPVJUOUPVAVJVOBCFVECSZVFVLVIVNVECIUQVTVGVMVHQVECDOURVBUSU
      TVC $.

    $( ` F ` , localized to an element of an even covering of ` U ` , is a
       bijection.  (Contributed by Mario Carneiro, 14-Feb-2015.) $)
    cvmsf1o $p |- ( ( F e. ( C CovMap J ) /\ T e. ( S ` U ) /\ A e. T ) ->
      ( F |` A ) : A -1-1-onto-> U ) $=
      ( co wcel cfv crest ctopon cuni wss ctop ccvm w3a cres chmeo wf1o cvmtop1
      3ad2ant1 eqid toptopon sylib cvmsss 3ad2ant2 sseldd elssuni syl resttopon
      simp3 syl2anc cvmtop2 cvmsrcl cvmshmeo 3adant1 hmeof1o2 syl3anc ) IDJUAMN
      ZFGEONZCFNZUBZDCPMZCQONZJGPMZGQONZICUCZVIVKUDMNZCGVMUEVHDDRZQONZCVOSZVJVH
      DTNZVPVEVFVRVGDIJUFUGDVOVOUHUIUJVHCDNVQVHFDCVFVEFDSVGABDEFGHIJKLUKULVEVFV
      GUQUMCDUNUOCDVOUPURVHJJRZQONZGVSSZVLVHJTNZVTVEVFWBVGDIJUSUGJVSVSUHUIUJVHG
      JNZWAVFVEWCVGABDEFGHIJKLUTULGJUNUOGJVSUPURVFVGVNVEABCDEFGHIJKLVAVBVMVIVKC
      GVCVD $.

    $( The sets of an even covering are clopen in the subspace topology on
       ` T ` .  (Contributed by Mario Carneiro, 14-Feb-2015.) $)
    cvmscld $p |- ( ( F e. ( C CovMap J ) /\ T e. ( S ` U ) /\ A e. T ) ->
      A e. ( Clsd ` ( C |`t ( `' F " U ) ) ) ) $=
      ( vx wcel cuni wss wceq syl2anc cin c0 ccvm co cfv w3a ccnv cima csn cdif
      crest ccld ctop cvmtop1 3ad2ant1 cvmsuni 3ad2ant2 cvmsss eqsstrrd restuni
      unissd eqid difeq1d cun unisng 3ad2ant3 uneq2d uniun undif1 simp3 ssequn2
      snssd sylib syl5eq unieqd eqtrd eqtr3id eqtr3d difss unissi sseqtrid ciun
      wb cv uniiun ineq2i incom iunin2 3eqtr4i wa wne eldifsn wn nesym cvmsdisj
      wo 3expa syl5bi impr sylan2b iuneq2dv 3adant1 iun0 eqtrdi uneqdifeq mpbid
      ord cvv uniexg resttop elssuni adantl adantr sseqtrd df-ss sselda elrestr
      eqeltrrd syl3anc ex ssrdv ssdifssd uniopn opncld ) IDJUAUBNZFGEUCZNZCFNZU
      DZDIUEGUFZUIUBZOZFCUGZUHZOZUHZCYIUJUCZYGYHYMUHZYNCYGYHYJYMYGDUKNZYHDOZPYH
      YJQYCYEYQYFDIJULUMZYGYHFOZYRYEYCYTYHQZYFABDEFGHIJKLUNUOZYGFDYEYCFDPYFABDE
      FGHIJKLUPUOZUSUQYHDYRYRUTURRVAYGYMCVBZYHQZYPCQZYGYMYKOZVBZUUDYHYGUUGCYMYF
      YCUUGCQYECFVCVDVEYGUUHYLYKVBZOZYHYLYKVFYGUUJYTYHYGUUIFYGUUIFYKVBZFFYKVGYG
      YKFPUUKFQYGCFYCYEYFVHVJYKFVIVKVLVMUUBVNVOVPYGYMYHPYMCSZTQUUEUUFWAYGYTYMYH
      YLFFYKVQVRUUBVSYGUULMYLCMWBZSZVTZTCYMSCMYLUUMVTZSUULUUOYMUUPCMYLWCWDYMCWE
      MYLCUUMWFWGYGUUOMYLTVTZTYEYFUUOUUQQYCYEYFWHZMYLUUNTUUMYLNUURUUMFNZUUMCWIZ
      WHUUNTQZUUMFCWJUURUUSUUTUVAUUTCUUMQZWKUURUUSWHZUVAUUMCWLUVCUVBUVAYEYFUUSU
      VBUVAWNABCUUMDEFGHIJKLWMWOXEWPWQWRWSWTMYLXAXBVLYMCYHXCRXDVPYGYIUKNZYMYINZ
      YNYONYGYQYHXFNZUVDYSYGYTYHXFUUBYEYCYTXFNYFFYDXGUOXPZYHDXFXHRZYGUVDYLYIPUV
      EUVHYGFYIYKYGMFYIYGUUSUUMYINYGUUSWHZUUMYHSZUUMYIUVIUUMYHPUVJUUMQUVIUUMYTY
      HUUSUUMYTPYGUUMFXIXJYGUUAUUSUUBXKXLUUMYHXMVKUVIYQUVFUUMDNUVJYINYGYQUUSYSX
      KYGUVFUUSUVGXKYGFDUUMUUCXNUUMYHDUKXFXOXQXPXRXSXTYLYIYARYMYIYJYJUTYBRXP $.

    $( An open subset of an evenly covered set is evenly covered.  (Contributed
       by Mario Carneiro, 7-Jul-2015.) $)
    cvmsss2 $p |- ( ( F e. ( C CovMap J ) /\ V e. J /\ V C_ U ) ->
      ( ( S ` U ) =/= (/) -> ( S ` V ) =/= (/) ) ) $=
      ( vy vz vt c0 wcel co wss wa wceq vx vw va vb cfv wne cv wex ccvm n0 ccnv
      w3a cima cin cmpt crn cuni csn cdif wral cres crest chmeo simpl2 wel ctop
      simpl1 cvmtop1 syl adantr cvmsss adantl cvmcn cnima syl2anc inopn syl3anc
      sselda ccn fmpttd frnd cvmsn0 cdm dmmptg inex1g mprg eqeq1i dm0rn0 bitr3i
      cvv necon3bii sylib jca cpw inss2 wb elpw2g mpbiri sspwuni simpl3 cvmsuni
      imass2 sseqtrrd wrex eqid ineq1 rspceeqv mpan2 ad2antrl vex inex1 elrnmpt
      ax-mp sylibr simprr simplr elind rspcev rexlimdvaa eluni2 3imtr4g eqelssd
      eleq2 mpd eldifsn wi weq wn equcoms necon3ai simpllr simpr cvmsdisj inss1
      wo ord sseq0 eqeq1d syl5bi restabs mpan syl56 neeq1 ineq2 inindir eqtr4di
      imbi12d syl5ibrcom impd ralrimiv resabs1 cvmshmeo adantll elssuni restuni
      rexlimdva sseqtrid hmeores eqeltrrid a1i incom cnvresima imaeq2i wfo wf1o
      eqtr4i cvmsf1o f1ofo foimacnv syl5eq oveq2d cvmtop2 cvmsrcl eqtrd oveq12d
      eleqtrd ralrimiva rgenw cbvmptv sneq difeq2d reseq2 oveq2 eleq12d anbi12d
      raleqbidv oveq1d ralrnmptw cvmscbv cvmsval mpbir3and ne0d ex exlimdv ) ED
      UEZOUFUAUGZUWOPZUAUHGCHUIQPZIHPZIERZULZIDUEZOUFZUAUWOUJUXAUWQUXCUAUXAUWQU
      XCUXAUWQSZUXBLUWPLUGZGUKZIUMZUNZUOZUPZUXDUXJUXBPZUWSUXJCRZUXJOUFZSZUXJUQZ
      UXGTZUBUGZMUGZUNZOTZMUXJUXQURZUSZUTZGUXQVAZCUXQVBQZHIVBQZVCQZPZSZUBUXJUTZ
      SZUWRUWSUWTUWQVDZUXDUXLUXMUXDUWPCUXIUXDLUWPUXHCUXDLUAVEZSZCVFPZUXECPUXGCP
      ZUXHCPUXDUYOUYMUXDUWRUYOUWRUWSUWTUWQVGZCGHVHVIZVJUXDUWPCUXEUWQUWPCRUXAABC
      DUWPEFGHJKVKVLZVRUXDUYPUYMUXDGCHVSQPZUWSUYPUXDUWRUYTUYQCGHVMVIUYLIGCHVNVO
      VJZUXEUXGCVPVQVTWAUXDUWPOUFZUXMUWQVUBUXAABCDUWPEFGHJKWBVLUWPOUXJOUWPOTUXI
      WCZOTUXJOTVUCUWPOUXHWJPVUCUWPTLUWPLUWPUXHWJWDUXEUXGUWPWEWFWGUXIWHWIWKWLWM
      UXDUXPUYJUXDMUXOUXGUXDUXJUXGWNZRUXOUXGRUXDUWPVUDUXIUXDLUWPUXHVUDUYNUXHVUD
      PZUXHUXGRZUXEUXGWOUYNUYPVUEVUFWPVUAUXHUXGCWQVIWRVTWAUXJUXGWSWLUXDUXRUXGPZ
      SZUXRUWPUQZPZUXRUXOPZUXDUXGVUIUXRUXDUXGUXFEUMZVUIUXDUWTUXGVULRUWRUWSUWTUW
      QWTZIEUXFXBVIUWQVUIVULTUXAABCDUWPEFGHJKXAVLXCVRVUHMNVEZNUWPXDMUBVEZUBUXJX
      DZVUJVUKVUHVUNVUPNUWPVUHNUAVEZVUNSZSZNUGZUXGUNZUXJPZUXRVVAPZVUPVUSVVAUXHT
      LUWPXDZVVBVUQVVDVUHVUNVUQVVAVVATVVDVVAXELVUTUWPUXHVVAVVAUXEVUTUXGXFZXGXHX
      IVVAWJPZVVBVVDWPVUTUXGNXJXKZLUWPUXHVVAUXIWJUXIXEZXLXMXNVUSVUTUXGUXRVUHVUQ
      VUNXOUXDVUGVURXPXQVUOVVCUBVVAUXJUXQVVAUXRYCXRVOXSNUXRUWPXTUBUXRUXJXTYAYDY
      BUXDVVAUXRUNZOTZMUXJVVAURZUSZUTZGVVAVAZCVVAVBQZUYFVCQZPZSZNUWPUTZUYJUXDVV
      RNUWPUXDVUQSZVVMVVQVVTVVJMVVLUXRVVLPUXRUXJPZUXRVVAUFZSVVTVVJUXRUXJVVAYEVV
      TVWAVWBVVJVWAUXRUXHTZLUWPXDZVVTVWBVVJYFZUXRWJPVWAVWDWPMXJLUWPUXHUXRUXIWJV
      VHXLXMVVTVWCVWELUWPVVTUYMSZVWEVWCUXHVVAUFZVUTUXEUNZUXGUNZOTZYFVWGNLYGZYHV
      WFVWHOTZVWJVWKUXHVVAUXHVVATLNVVEYIYJVWFVWKVWLVWFUWQVUQUYMVWKVWLYOUXAUWQVU
      QUYMYKUXDVUQUYMXPVVTUYMYLABVUTUXECDUWPEFGHJKYMVQYPVWIVWHRVWLVWJVWHUXGYNVW
      IVWHYQUUAUUBVWCVWBVWGVVJVWJUXRUXHVVAUUCVWCVVIVWIOVWCVVIVVAUXHUNVWIUXRUXHV
      VAUUDVUTUXEUXGUUEUUFYRUUGUUHUUPYSUUIYSUUJVVTVVNCVUTVBQZVVAVBQZHEVBQZGVUTV
      AZVVAUMZVBQZVCQZVVPVVTVVNVWPVVAVAZVWSVVAVUTRZVWTVVNTVUTUXGYNZGVVAVUTUUKXM
      VVTVWPVWMVWOVCQPZVVAVWMUQZRVWTVWSPUWQVUQVXCUXAABVUTCDUWPEFGHJKUULUUMVVTVU
      TVVAVXDVXBVVTUYOVUTCUQZRZVUTVXDTUXDUYOVUQUYRVJZVVTVUTCPVXFUXDUWPCVUTUYSVR
      VUTCUUNVIVUTCVXEVXEXEUUOVOUUQVWPVWMVWOVXDVVAVXDXEUURVOUUSVVTVWNVVOVWRUYFV
      CVVTUYOVXAVUQVWNVVOTVXGVXAVVTVXBUUTUXDVUQYLZVVAVUTCVFUWPYTVQVVTVWRVWOIVBQ
      ZUYFVVTVWQIVWOVBVVTVWQVWPVWPUKIUMZUMZIVVAVXJVWPVVAUXGVUTUNVXJVUTUXGUVAVUT
      IGUVBUVFUVCVVTVUTEVWPUVDZUWTVXKITVVTVUTEVWPUVEZVXLVVTUWRUWQVUQVXMUXDUWRVU
      QUYQVJUXAUWQVUQXPVXHABVUTCDUWPEFGHJKUVGVQVUTEVWPUVHVIUXDUWTVUQVUMVJVUTEIV
      WPUVIVOUVJUVKUXDVXIUYFTZVUQUXDHVFPZUWTEHPZVXNUXDUWRVXOUYQCGHUVLVIVUMUWQVX
      PUXAABCDUWPEFGHJKUVMVLIEHVFHYTVQVJUVNUVOUVPWMUVQVVFNUWPUTUYJVVSWPVVFNUWPV
      VGUVRUYIVVRNUBUWPVVAUXIWJLNUWPUXHVVAVVEUVSUXQVVATZUYCVVMUYHVVQVXQUXTVVJMU
      YBVVLVXQUYAVVKUXJUXQVVAUVTUWAVXQUXSVVIOUXQVVAUXRXFYRUWFVXQUYDVVNUYGVVPUXQ
      VVAGUWBVXQUYEVVOUYFVCUXQVVACVBUWCUWGUWDUWEUWHXMXNWMUXDUYOUXKUWSUXNUYKULWP
      UYRMUBCDUXJIUCGHVFUDABCDFGHJUCUDUBMKUWIUWJVIUWKUWLUWMUWNYS $.

    $( The covering map property can be restricted to an open subset.
       (Contributed by Mario Carneiro, 7-Jul-2015.) $)
    cvmcov2 $p |- ( ( F e. ( C CovMap J ) /\ U e. J /\ P e. U ) ->
      E. x e. ~P U ( P e. x /\ ( S ` x ) =/= (/) ) ) $=
      ( vy wcel cv cfv c0 wne wa adantr ccvm co w3a wrex cuni simp1 simp3 simp2
      cpw elunii syl2anc eqid cvmcov cin wss inss2 vex inex1 elpw mpbir simprrl
      a1i elind simprrr ctop cvmtop2 syl simprl inopn syl3anc inss1 cvmsss2 mpd
      wi wceq eleq2 fveq2 neeq1d anbi12d rspcev syl12anc rexlimddv ) IDJUAUBNZG
      JNZEGNZUCZEMOZNZWGFPQRZSZEAOZNZWKFPZQRZSZAGUIZUDZMJWFWCEJUEZNZWJMJUDWCWDW
      EUFZWFWEWDWSWCWDWEUGZWCWDWEUHZEGJUJUKMBCDEFHIJWRKLWRULUMUKWFWGJNZWJSZSZWG
      GUNZWPNZEXFNZXFFPZQRZWQXGXEXGXFGUOWGGUPXFGWGGMUQURUSUTVBXEWGGEWFXCWHWIVAW
      FWEXDXATVCXEWIXJWFXCWHWIVDXEWCXFJNZXFWGUOZWIXJVNWFWCXDWTTZXEJVENZXCWDXKXE
      WCXNXMDIJVFVGWFXCWJVHWFWDXDXBTWGGJVIVJXLXEWGGVKVBBCDFWGHIJXFKLVLVJVMWOXHX
      JSAXFWPWKXFVOZWLXHWNXJWKXFEVPXOWMXIQWKXFFVQVRVSVTWAWB $.

    cvmseu.1 $e |- B = U. C $.
    $( Every element in ` U. T ` is a member of a unique element of ` T ` .
       (Contributed by Mario Carneiro, 14-Feb-2015.) $)
    cvmseu $p |- ( ( F e. ( C CovMap J ) /\
      ( T e. ( S ` U ) /\ A e. B /\ ( F ` A ) e. U ) ) -> E! x e. T A e. x ) $=
      ( vz wcel wa wceq c0 ccvm co cfv w3a wrex wral wreu cuni ccnv cima simpr2
      cv wi simpr3 ccn wf wfn cvmcn adantr eqid cnf ffn elpreima 4syl mpbir2and
      wb simpr1 cvmsuni syl eleqtrrd eluni2 sylib cin wne inelcm cvmsdisj 3expb
      wo sylan ord necon1ad syl5 ralrimivva eleq2w reu4 sylanbrc ) KFLUAUBQZHIG
      UCQZDEQZDKUCIQZUDZRZDAULZQZAHUEZWNDPULZQZRZWMWPSZUMZPHUFAHUFWNAHUGWLDHUHZ
      QWOWLDKUIIUJZXAWLDXBQZWIWJWGWHWIWJUKWGWHWIWJUNWLKFLUOUBQZELUHZKUPKEUQXCWI
      WJRVFWGXDWKFKLURUSKFLEXEOXEUTVAEXEKVBEDIKVCVDVEWLWHXAXBSWGWHWIWJVGZBCFGHI
      JKLMNVHVIVJADHVKVLWLWTAPHHWRWMWPVMZTVNWLWMHQZWPHQZRZRZWSDWMWPVOXKWSXGTXKW
      SXGTSZWLWHXJWSXLVRZXFWHXHXIXMBCWMWPFGHIJKLMNVPVQVSVTWAWBWCWNWQAPHAPDWDWEW
      F $.

    ${
      cvmsiota.2 $e |- W = ( iota_ x e. T A e. x ) $.
      $( Identify the unique element of ` T ` containing ` A ` .  (Contributed
         by Mario Carneiro, 14-Feb-2015.) $)
      cvmsiota $p |- ( ( F e. ( C CovMap J ) /\
        ( T e. ( S ` U ) /\ A e. B /\ ( F ` A ) e. U ) ) ->
          ( W e. T /\ A e. W ) ) $=
        ( wcel cfv wa ccvm co w3a crab crio wreu cvmseu riotacl2 eqeltrid eleq2
        cv syl cbvrabv elrab2 sylib ) KFLUAUBRHIGSRDERDKSIRUCTZMDAUKZRZAHUDZRMH
        RDMRZTUPMURAHUEZUSQUPURAHUFVAUSRABCDEFGHIJKLNOPUGURAHUHULUIDBUKZRZUTBMH
        USVBMDUJURVCABHUQVBDUJUMUNUO $.
    $}

    $( Lemma for ~ cvmopn .  (Contributed by Mario Carneiro, 7-May-2015.) $)
    cvmopnlem $p |- ( ( F e. ( C CovMap J ) /\ A e. C ) -> ( F " A ) e. J ) $=
      ( vx vy co wcel wa cv wss adantr vz vt vw ccvm cima wrex wral cfv c0 cuni
      wne simpll wf ccn cvmcn eqid cnf elssuni sseqtrrdi adantl sselda ffvelrnd
      syl cvmcov syl2anc wex crio cin crest cres wceq inss2 resima2 ax-mp chmeo
      n0 simprr simprl cvmsiota syl13anc simpld cvmtop1 simpllr elrestr syl3anc
      cvmshmeo ctop hmeoima wb cvmtop2 ad2antrr cvmsrcl ad2antll restopn2 mpbid
      eqeltrrid ffnd inss1 sstrid simplr simprd elind fnfvima imass2 mp1i eleq2
      wfn sseq1 anbi12d rspcev syl12anc expr exlimdv syl5bi rexlimdvw ralrimiva
      expimpd mpd eleq1 anbi1d rexbidv ralima mpbird eltop2 ) HEIUDOPZCEPZQZHCU
      EZIPZMRZNRZPZYKYHSZQZNIUFZMYHUGZYGYPUARZHUHZYKPZYMQZNIUFZUACUGZYGUUAUACYG
      YQCPZQZYRUBRZPZUUEFUHZUIUKZQZUBIUFZUUAUUDYEYRIUJZPUUJYEYFUUCULZUUDDUUKYQH
      YGDUUKHUMZUUCYGHEIUNOPZUUMYEUUNYFEHIUOTHEIDUUKLUUKUPZUQVCZTYGCDYQYFCDSZYE
      YFCEUJDCEURLUSZUTZVAZVBUBABEYRFGHIUUKJKUUOVDVEUUDUUIUUAUBIUUDUUFUUHUUAUUH
      UCRZUUGPZUCVFUUDUUFQZUUAUCUUGVPUVCUVBUUAUCUUDUUFUVBUUAUUDUUFUVBQZQZHCYQYJ
      PMUVAVGZVHZUEZIPZYRUVHPZUVHYHSZUUAUVEUVIUVHUUESZUVEUVHIUUEVIOZPZUVIUVLQZU
      VEUVHHUVFVJZUVGUEZUVMUVGUVFSUVQUVHVKCUVFVLHUVGUVFVMVNUVEUVPEUVFVIOZUVMVOO
      PZUVGUVRPZUVQUVMPUVEUVBUVFUVAPZUVSUUDUUFUVBVQZUVEUWAYQUVFPZUVEYEUVBYQDPZU
      UFUWAUWCQUUDYEUVDUULTZUWBUUDUWDUVDUUTTUUDUUFUVBVRMABYQDEFUVAUUEGHIUVFJKLU
      VFUPVSVTZWAZABUVFEFUVAUUEGHIJKWFVEUVEEWGPZUWAYFUVTUVEYEUWHUWEEHIWBVCUWGYE
      YFUUCUVDWCZCUVFEWGUVAWDWEUVGUVPUVRUVMWHVEWPUVEIWGPZUUEIPZUVNUVOWIYGUWJUUC
      UVDYEUWJYFEHIWJTZWKUVBUWKUUDUUFABEFUVAUUEGHIJKWLWMUUEUVHIWNVEWOWAUVEHDXGZ
      UVGDSYQUVGPUVJYGUWMUUCUVDYGDUUKHUUPWQZWKUVEUVGCDCUVFWRZUVEYFUUQUWIUURVCWS
      UVECUVFYQYGUUCUVDWTUVEUWAUWCUWFXAXBDUVGHYQXCWEUVGCSUVKUVEUWOUVGCHXDXEYTUV
      JUVKQNUVHIYKUVHVKYSUVJYMUVKYKUVHYRXFYKUVHYHXHXIXJXKXLXMXNXQXOXRXPYGUWMUUQ
      YPUUBWIUWNUUSYOUUAMUADCHYJYRVKZYNYTNIUWPYLYSYMYJYRYKXSXTYAYBVEYCYGUWJYIYP
      WIUWLMNYHIYDVCYC $.

    cvmfolem.2 $e |- X = U. J $.
    $( Lemma for ~ cvmfo .  (Contributed by Mario Carneiro, 13-Feb-2015.) $)
    cvmfolem $p |- ( F e. ( C CovMap J ) -> F : B -onto-> X ) $=
      ( vx vy vz wcel cv cfv wa vw vt ccvm co wf wceq wrex wral wfo ccn cnf syl
      cvmcn c0 wne cvmcov ex wex n0 cvmsn0 ad2antll sylib cres ccnv wss simprlr
      cuni cvmsss simprr sseldd elssuni sseqtrrdi simpll cvmsf1o syl3anc f1ocnv
      wf1o f1of 3syl simprll ffvelrnd f1ocnvfv2 syl2anc fvres eqtr3d fveq2 expr
      rspceeqv exlimdv syl5bi expimpd rexlimdva syld ralrimiv dffo3 sylanbrc
      mpd ) GDHUCUDQZCIGUEZNRZORZGSZUFOCUGZNIUHCIGUIWRGDHUJUDQWSDGHUMGDHCILMUKU
      LWRXCNIWRWTIQZWTPRZQZXEESZUNUOZTZPHUGZXCWRXDXJPABDWTEFGHIJKMUPUQWRXIXCPHW
      RXEHQZTZXFXHXCXHUARZXGQZUAURXLXFTZXCUAXGUSXOXNXCUAXLXFXNXCXLXFXNTZTZUBRZX
      MQZUBURZXCXQXMUNUOZXTXNYAXLXFABDEXMXEFGHJKUTVAUBXMUSVBXQXSXCUBXLXPXSXCXLX
      PXSTZTZWTGXRVCZVDZSZCQWTYFGSZUFXCYCXRCYFYCXRDVGZCYCXRDQXRYHVEYCXMDXRYCXNX
      MDVEXLXFXNXSVFZABDEXMXEFGHJKVHULXLXPXSVIZVJXRDVKULLVLYCXEXRWTYEYCXRXEYDVQ
      ZXEXRYEVQXEXRYEUEYCWRXNXSYKWRXKYBVMYIYJABXRDEXMXEFGHJKVNVOZXRXEYDVPXEXRYE
      VRVSXLXFXNXSVTZWAZVJYCYFYDSZWTYGYCYKXFYOWTUFYLYMXRXEWTYDWBWCYCYFXRQYOYGUF
      YNYFXRGWDULWEOYFCXBYGWTXAYFGWFWHWCWGWIWQWGWIWJWKWLWMWNONCIGWOWP $.
  $}

  ${
    $d u v A $.  $d k s u v C $.  $d k s u v F $.  $d k s u v J $.
    $( A covering map is an open map.  (Contributed by Mario Carneiro,
       7-May-2015.) $)
    cvmopn $p |- ( ( F e. ( C CovMap J ) /\ A e. C ) -> ( F " A ) e. J ) $=
      ( vv vu vk vs cuni cv ccnv wceq c0 csn cdif wral crest co wa eqid cin cpw
      cima cres chmeo wcel crab cmpt cvmopnlem ) EFABIZBGDHJZICKGJZUCLFJZEJUAML
      EUKUMNOPCUMUDBUMQRDULQRUERUFSFUKPSHBUBMNOUGUHZGCDHUNTUJTUI $.
  $}

  ${
    $d a b f g k m r s u v w C $.  $d f g G $.  $d a b k m r s t u v w y z J $.
    $d b v w B $.  $d a f g m s t x y z K $.  $d a b k m r s t u v w x y z M $.
    $d a m s t x y z N $.  $d f g x O $.  $d a f g m s t x y z ph $.  $d x Q $.
    $d a b f g k m r s t u v w y z F $.  $d a b m s t y z S $.  $d k s u v U $.
    $d f g P $.  $d x R $.  $d s u v T $.  $d u v W $.  $d a m s t x y z Y $.
    cvmliftmo.b $e |- B = U. C $.
    cvmliftmo.y $e |- Y = U. K $.
    cvmliftmo.f $e |- ( ph -> F e. ( C CovMap J ) ) $.
    cvmliftmo.k $e |- ( ph -> K e. Conn ) $.
    cvmliftmo.l $e |- ( ph -> K e. N-Locally Conn ) $.
    cvmliftmo.o $e |- ( ph -> O e. Y ) $.
    ${
      cvmliftmoi.m $e |- ( ph -> M e. ( K Cn C ) ) $.
      cvmliftmoi.n $e |- ( ph -> N e. ( K Cn C ) ) $.
      cvmliftmoi.g $e |- ( ph -> ( F o. M ) = ( F o. N ) ) $.
      cvmliftmoi.p $e |- ( ph -> ( M ` O ) = ( N ` O ) ) $.
      ${
        cvmliftmolem.1 $e |- S = ( k e. J |->
          { s e. ( ~P C \ { (/) } ) | ( U. s = ( `' F " k ) /\
            A. u e. s ( A. v e. ( s \ { u } ) ( u i^i v ) = (/) /\
               ( F |` u ) e. ( ( C |`t u ) Homeo ( J |`t k ) ) ) ) } ) $.
        ${
          cvmliftmolem.2 $e |- ( ( ph /\ ps ) -> T e. ( S ` U ) ) $.
          cvmliftmolem.3 $e |- ( ( ph /\ ps ) -> W e. T ) $.
          cvmliftmolem.4 $e |- ( ( ph /\ ps ) -> I C_ ( `' M " W ) ) $.
          cvmliftmolem.5 $e |- ( ( ph /\ ps ) -> ( K |`t I ) e. Conn ) $.
          cvmliftmolem.6 $e |- ( ( ph /\ ps ) -> X e. I ) $.
          cvmliftmolem.7 $e |- ( ( ph /\ ps ) -> Q e. I ) $.
          cvmliftmolem.8 $e |- ( ( ph /\ ps ) -> R e. I ) $.
          cvmliftmolem.9 $e |- ( ( ph /\ ps ) -> ( F ` ( M ` X ) ) e. U ) $.
          $( Lemma for ~ cvmliftmo .  (Contributed by Mario Carneiro,
             10-Mar-2015.) $)
          cvmliftmolem1 $p |- ( ( ph /\ ps ) ->
            ( Q e. dom ( M i^i N ) -> R e. dom ( M i^i N ) ) ) $=
            ( vx wa cv cfv wceq crab wcel cin cres ccom adantr fveq1d ccnv cima
            cdm sseldd wfn wb ccn co wf cnf ffnd elpreima simprbda syldan fvco3
            syl sylan 3eqtr3d simplbda fvres crest cuni eqid cconn wss cnvimass
            fssdm sstrd cnrest syl2anc ctopon ctop ccvm cvmtop1 toptopon df-ima
            crn sylib elssuni cvmsuni sseqtrd imass2 cnveqd cnvco 3eqtr3g imaco
            imaeq1d wfun ffund fdmd sseqtrrd funimass3 eqsstrrid cvmcn sseqtrid
            mpbird cnrest2 syl3anc mpbid eqeltrrd eqeq12d elrab3 3imtr4d eleq2d
            cvv fveq2 df-ss topopn ssexd cvmsss elrestr cvmscld conntop restuni
            ccld eleqtrd simpr eqeltrd conncn ffvelrnd 3eqtr4d wf1 wf1o cvmsf1o
            feq2d f1of1 f1fveq syl12anc ex fndmin ) ABVDZGVCVEZQVFZUVFRVFZVGZVC
            UBVHZVIZHUVJVIZGQRVJVQZVIHUVMVIUVEGQVFZGRVFZVGZHQVFZHRVFZVGZUVKUVLU
            VEUVPUVSUVEUVPVDZUVQMTVKZVFZUVRUWAVFZVGZUVSUVTUVQMVFZUVRMVFZUWBUWCU
            VEUWEUWFVGUVPUVEHMQVLZVFZHMRVLZVFZUWEUWFUVEHUWGUWIAUWGUWIVGBULVMZVN
            ABHUBVIZUWHUWEVGZABHQVOZTVPZVIZUWLUVENUWOHUQVAVRZAUWPUWLUVQTVIZAQUB
            VSZUWPUWLUWRVDVTAUBEQAQPFWAWBZVIUBEQWCZUJQPFUBEUEUDWDWJZWEZUBHTQWFW
            JZWGWHZAUXAUWLUWMUXBUBEHMQWIWKWHABUWLUWJUWFVGZUXEAUBERWCZUWLUXFARUW
            TVIZUXGUKRPFUBEUEUDWDWJZUBEHMRWIWKWHWLVMUVTUWRUWBUWEVGUVEUWRUVPABUW
            PUWRUWQAUWPUWLUWRUXDWMWHVMZUVQTMWNWJUVTUVRTVIZUWCUWFVGUVTHRNVKZVFZU
            VRTUVTHNVIZUXMUVRVGUVEUXNUVPVAVMZHNRWNWJUVTNTHUXLUVTNTUXLWCPNWOWBZW
            PZTUXLWCUVTGTUXLUXPFMVOZKVPZWOWBZUXQUXQWQUVEUXPWRVIUVPURVMUVEUXLUXP
            UXTWAWBVIZUVPUVEUXLUXPFWAWBVIZUYAUVEUXHNUBWSZUYBAUXHBUKVMUVENUWOUBU
            QAUWOUBWSBAUBEUWOQQTWTUXBXAVMXBZNRPFUBUEXCXDUVEFEXEVFVIZUXLXKZUXSWS
            UXSEWSUYBUYAVTUVEFXFVIZUYEUVEMFOXGWBVIZUYGAUYHBUFVMZFMOXHWJZFEUDXIX
            LUVEUYFRNVPZUXSRNXJUVEUYKUXSWSZNRVOZUXSVPZWSZUVENUWNUXSVPZUYNUVENUW
            OUYPUQUVETUXSWSZUWOUYPWSUVETJWPZUXSUVETJVIZTUYRWSUPTJXMWJUVEJKIVFVI
            ZUYRUXSVGUOCDFIJKLMOUCUNXNWJXOZTUXSUWNXPWJXBUVEUWNUXRVLZKVPUYMUXRVL
            ZKVPUYPUYNUVEVUBVUCKUVEUWGVOUWIVOVUBVUCUVEUWGUWIUWKXQMQXRMRXRXSYAUW
            NUXRKXTUYMUXRKXTXSXOUVERYBNRVQZWSUYLUYOVTUVEUBERAUXGBUXIVMZYCUVENUB
            VUDUYDUVEUBERVUEYDYENUXSRYFXDYJYGUVEMVQZUXSEMKWTAVUFEVGBAEOWPZMAMFO
            WAWBVIZEVUGMWCAUYHVUHUFFMOYHWJMFOEVUGUDVUGWQWDWJYDVMYIZUXSUXLUXPFEY
            KYLYMVMUVETUXTVIUVPUVETUXSVJZTUXTUVEUYQVUJTVGVUATUXSUUAXLUVEUYGUXSY
            SVITFVIVUJUXTVIUYJUVEUXSEFUVEUYGEFVIUYJFEUDUUBWJVUIUUCUVEJFTUVEUYTJ
            FWSUOCDFIJKLMOUCUNUUDWJUPVRTUXSFXFYSUUEYLYNVMUVETUXTUUIVFVIZUVPUVEU
            YHUYTUYSVUKUYIUOUPCDTFIJKLMOUCUNUUFYLVMUVEGUXQVIUVPUVEGNUXQUTUVEPXF
            VIZUYCNUXQVGZAVULBAPWRVIVULUGPUUGWJVMUYDNPUBUEUUHXDZUUJVMUVTGUXLVFZ
            UVOTUVTGNVIZVUOUVOVGUVEVUPUVPUTVMGNRWNWJUVTUVNUVOTUVEUVPUUKUVEUVNTV
            IZUVPABGUWOVIZVUQUVENUWOGUQUTVRZAVURGUBVIZVUQAUWSVURVUTVUQVDVTUXCUB
            GTQWFWJZWMWHVMYNUULUUMUVTNUXQTUXLUVEVUMUVPVUNVMUUSYJUXOUUNYNZUVRTMW
            NWJUUOUVTTKUWAUUPZUWRUXKUWDUVSVTUVEVVCUVPUVETKUWAUUQZVVCUVEUYHUYTUY
            SVVDUYIUOUPCDTFIJKLMOUCUNUURYLTKUWAUUTWJVMUXJVVBTKUVQUVRUWAUVAUVBYM
            UVCUVEVUTUVKUVPVTABVURVUTVUSAVURVUTVUQVVAWGWHUVIUVPVCGUBUVFGVGUVGUV
            NUVHUVOUVFGQYTUVFGRYTYOYPWJUVEUWLUVLUVSVTUXEUVIUVSVCHUBUVFHVGUVGUVQ
            UVHUVRUVFHQYTUVFHRYTYOYPWJYQUVEUVMUVJGAUVMUVJVGZBAUWSRUBVSVVEUXCAUB
            ERUXIWEVCUBQRUVDXDVMZYRUVEUVMUVJHVVFYRYQ $.
        $}

        $( Lemma for ~ cvmliftmo .  (Contributed by Mario Carneiro,
           10-Mar-2015.) $)
        cvmliftmolem2 $p |- ( ph -> M = N ) $=
          ( vx vy vz va vt vb ccn co wcel wf wfn cnf ffn 3syl cv wceq crab wral
          cfv cin cdm ccld inss1 wb wa wrex c0 ccvm cuni adantr ffvelrnda cvmcn
          wne syl eqid syldan cvmcov syl2anc wi wex n0 wss crest cconn w3a ccnv
          crio cima cpw cnlly simprrr cvmsss simprll ffvelrnd cvmsiota syl13anc
          simprrl simpld sseldd cnima simprd elpreima mpbir2and syl3anc simprr1
          nlly2i simplrr adantl adantrr simplll ad2antll elpwid simplr3 simplr2
          adantrrr cvmliftmolem1 impbid anassrs ralrimiva jca expr reximdva mpd
          rexlimdva exlimdv syl5bi expimpd conntop fndmin ssrab2 eqsstrdi fveq2
          ctop sselid isclo mpbird eqeq12d elrab sylanbrc eleqtrrd ne0d connclo
          inss2 eqtr3d rabid2 sylib r19.21bi eqfnfvd ) AUGNKLAKJEUMUNZUOZNDKUPZ
          KNUQZUBKJENDQPURZNDKUSZUTZALUUOUONDLUPLNUQZUCLJENDQPURNDLUSUTZAUGVAZK
          VEZUVDLVEZVBZUGNANUVGUGNVCZVBUVGUGNVDAKLVFVGZNUVHAUVIJNQSAJJVHVEZVFZJ
          UVIJUVJVIAUVIUVKUOZUVDUHVAZUOZUVDUVIUOZUIVAZUVIUOZVJZUIUVMVDZVKZUHJVL
          ZUGNVDZAUWAUGNAUVDNUOZVKZUVEHVEZUJVAZUOZUWFFVEZVMVSZVKZUJIVLZUWAUWDHE
          IVNUNUOZUWEIVOZUOZUWKAUWLUWCRVPAUWCUVEDUOZUWNANDUVDKAUUPUUQUBUUSVTZVQ
          ADUWMUVEHAUWLHEIUMUNUODUWMHUPREHIVRHEIDUWMPUWMWAZURUTVQWBUJBCEUWEFGHI
          UWMOUFUWQWCWDUWDUWJUWAUJIAUWCUWFIUOZUWJUWAWEAUWCUWRVKZVKZUWGUWIUWAUWI
          UKVAZUWHUOZUKWFUWTUWGVKZUWAUKUWHWGUXCUXBUWAUKUWTUWGUXBUWAAUWSUWGUXBVK
          ZUWAAUWSUXDVKZVKZUVNUVMOVAZWHZJUXGWIUNWJUOZWKZUHJVLZOKWLUVEULVAUOULUX
          AWMZWNZWOZVLZUWAUXFJWJWPUOZUXMJUOZUVDUXMUOZUXOAUXPUXETVPUXFUUPUXLEUOU
          XQAUUPUXEUBVPUXFUXAEUXLUXFUXBUXAEWHAUWSUWGUXBWQZBCEFUXAUWFGHIOUFWRVTU
          XFUXLUXAUOZUVEUXLUOZUXFUWLUXBUWOUWGUXTUYAVKAUWLUXERVPUXSUXFNDUVDKAUUQ
          UXEUWPVPZAUWCUWRUXDWSZWTAUWSUWGUXBXCZULBCUVEDEFUXAUWFGHIUXLOUFPUXLWAX
          AXBZXDZXEUXLKJEXFWDUXFUXRUWCUYAUYCUXFUXTUYAUYEXGUXFUUQUURUXRUWCUYAVKV
          JUYBUUTNUVDUXLKXHUTXIUHWJUVDUXMJOXLXJUXFUXKUWAOUXNUXFUXGUXNUOZVKUXJUV
          TUHJUXFUYGUVMJUOZUXJUVTWEUXFUYGUYHVKZUXJUVTUXFUYIUXJVKZVKZUVNUVSUVNUX
          HUXIUYIUXFXKUYKUVRUIUVMUXFUYJUVPUVMUOZUVRAUXEUYJUYLVKZUVRAUXEUYMVKZVK
          ZUVOUVQAUYNBCDEUVDUVPFUXAUWFGHUXGIJKLMUXLUVDNOPQRSTUAUBUCUDUEUFUYNUXB
          AUWSUWGUXBUYMXMXNZAUXEUXTUYMUYFXOZUYOUXGUXMUYMUYGAUXEUYGUYHUXJUYLXPXQ
          XRZUYMUXIAUXEUVNUXHUXIUYIUYLXSXQZUYOUVMUXGUVDUYMUXHAUXEUVNUXHUXIUYIUY
          LXTXQZAUXEUYJUVNUYLUXEUYJVKUVNAUVNUXHUXIUYIUXEXKXNYAXEZVUAUYOUVMUXGUV
          PUYTAUXEUYJUYLWQXEZAUXEUWGUYMUYDXOZYBAUYNBCDEUVPUVDFUXAUWFGHUXGIJKLMU
          XLUVDNOPQRSTUAUBUCUDUEUFUYPUYQUYRUYSVUAVUBVUAVUCYBYCYDYDYEYFYGYDYHYJY
          IYDYGYKYLYMYDYJYIYEAJYSUOZUVINWHUVLUWBVJAJWJUOVUDSJYNVTAUVIUVHNAUURUV
          BUVIUVHVBUVAUVCUGNKLYOWDZUVGUGNYPYQUGUHUIUVIJNQUUAWDUUBZYTAUVIMAMUVHU
          VIAMNUOMKVEZMLVEZVBZMUVHUOUAUEUVGVUIUGMNUVDMVBUVEVUGUVFVUHUVDMKYRUVDM
          LYRUUCUUDUUEVUEUUFUUGAUVKUVJUVIJUVJUUIVUFYTUUHVUEUUJUVGUGNUUKUULUUMUU
          N $.
      $}

      $( A lift of a continuous function from a connected and locally connected
         space over a covering map is unique when it exists.  (Contributed by
         Mario Carneiro, 10-Mar-2015.) $)
      cvmliftmoi $p |- ( ph -> M = N ) $=
        ( vw vr vk vs vu vv vb vm cv cuni ccnv cima wceq cin csn cdif wral cres
        c0 crest co chmeo wcel wa cpw crab cmpt eqid cvmscbv cvmliftmolem2 ) AU
        AUBBCUCEUDUIZUJDUKUCUIZULUMUEUIZUFUIUNUSUMUFVKVMUOUPUQDVMURCVMUTVAEVLUT
        VAVBVAVCVDUEVKUQVDUDCVEUSUOUPVFVGZUGDEFGHIJUHKLMNOPQRSTUFUECVNUCDEUDUGU
        HUBUAVNVHVIVJ $.
    $}

    cvmliftmo.g $e |- ( ph -> G e. ( K Cn J ) ) $.
    cvmliftmo.p $e |- ( ph -> P e. B ) $.
    cvmliftmo.e $e |- ( ph -> ( F ` P ) = ( G ` O ) ) $.
    $( A lift of a continuous function from a connected and locally connected
       space over a covering map is unique when it exists.  (Contributed by
       Mario Carneiro, 10-Mar-2015.)  (Revised by NM, 17-Jun-2017.) $)
    cvmliftmo $p |- ( ph ->
        E* f e. ( K Cn C ) ( ( F o. f ) = G /\ ( f ` O ) = P ) ) $=
      ( vg cv ccom wceq cfv wa weq wi ccn co wral wrmo wcel ccvm ad2antrr cconn
      cnlly simplrl simplrr simprll simprrl simprlr simprrr cvmliftmoi ex coeq2
      eqtr4d ralrimivva eqeq1d fveq1 anbi12d rmo4 sylibr ) AFEUBZUCZGUDZJVNUEZD
      UDZUFZFUAUBZUCZGUDZJVTUEZDUDZUFZUFZEUAUGZUHZUAICUIUJZUKEWIUKVSEWIULAWHEUA
      WIWIAVNWIUMZVTWIUMZUFZUFZWFWGWMWFUFZBCFHIVNVTJKLMAFCHUNUJUMWLWFNUOAIUPUMW
      LWFOUOAIUPUQUMWLWFPUOAJKUMWLWFQUOAWJWKWFURAWJWKWFUSWNVOGWAWMVPVRWEUTWMVSW
      BWDVAVGWNVQDWCWMVPVRWEVBWMVSWBWDVCVGVDVEVHVSWEEUAWIWGVPWBVRWDWGVOWAGVNVTF
      VFVIWGVQWCDJVNVTVJVIVKVLVM $.
  $}

  ${
    $d b v y z B $.  $d a b c f g j k m n s t u v w x y z F $.  $d n y z L $.
    $d f y K $.  $d a b c j k m s u v x y z M $.  $d b f g k m n u v x z P $.
    $d a b c f g j k n s u v y z C $.  $d a f g j n s x y z ph $.  $d z ps $.
    $d b c k m n u v x y z N $.  $d a b f g j k n s u v x z S $.  $d a j X $.
    $d a b f g j k m n s t u v w x y z G $.  $d a b c j k m s u v x y z T $.
    $d a b c f g j k n s u v x z J $.  $d b c k m n u v x y z Q $.
    $d k m x z W $.
    cvmliftlem.1 $e |- S = ( k e. J |->
      { s e. ( ~P C \ { (/) } ) | ( U. s = ( `' F " k ) /\
        A. u e. s ( A. v e. ( s \ { u } ) ( u i^i v ) = (/) /\
           ( F |` u ) e. ( ( C |`t u ) Homeo ( J |`t k ) ) ) ) } ) $.
    cvmliftlem.b $e |- B = U. C $.
    cvmliftlem.x $e |- X = U. J $.
    cvmliftlem.f $e |- ( ph -> F e. ( C CovMap J ) ) $.
    cvmliftlem.g $e |- ( ph -> G e. ( II Cn J ) ) $.
    cvmliftlem.p $e |- ( ph -> P e. B ) $.
    cvmliftlem.e $e |- ( ph -> ( F ` P ) = ( G ` 0 ) ) $.
    ${
      cvmliftlem.n $e |- ( ph -> N e. NN ) $.
      cvmliftlem.t $e |- ( ph ->
        T : ( 1 ... N ) --> U_ j e. J ( { j } X. ( S ` j ) ) ) $.
      cvmliftlem.a $e |- ( ph -> A. k e. ( 1 ... N )
        ( G " ( ( ( k - 1 ) / N ) [,] ( k / N ) ) ) C_ ( 1st ` ( T ` k ) ) ) $.
      cvmliftlem.l $e |- L = ( topGen ` ran (,) ) $.
      ${
        cvmliftlem1.m $e |- ( ( ph /\ ps ) -> M e. ( 1 ... N ) ) $.
        $( Lemma for ~ cvmlift .  In ~ cvmliftlem15 , we picked an ` N ` large
           enough so that the sections ` ( G " [ ( k - 1 ) / N , k / N ] ) `
           are all contained in an even covering, and the function ` T `
           enumerates these even coverings.  So ` 1st `` ( T `` M ) ` is a
           neighborhood of ` ( G " [ ( M - 1 ) / N , M / N ] ) ` , and
           ` 2nd `` ( T `` M ) ` is an even covering of ` 1st `` ( T `` M ) ` ,
           which is to say a disjoint union of open sets in ` C ` whose image
           is ` 1st `` ( T `` M ) ` .  (Contributed by Mario Carneiro,
           14-Feb-2015.) $)
        cvmliftlem1 $p |- ( ( ph /\ ps ) ->
          ( 2nd ` ( T ` M ) ) e. ( S ` ( 1st ` ( T ` M ) ) ) ) $=
          ( wa cfv c1st c2nd cop csn cxp ciun wcel wrel wceq relxp rgenw reliun
          cv wral mpbir c1 cfz co adantr ffvelrnd 1st2nd sylancr eqeltrrd fveq2
          wf opeliunxp2 simprbi syl ) ABULZPIUMZUNUMZWCUOUMZUPZJNJVFZUQZWGHUMZU
          RZUSZUTZWEWDHUMZUTZWBWCWFWKWBWKVAZWCWKUTWCWFVBWOWJVAZJNVGWPJNWHWIVCVD
          JNWJVEVHWBVIQVJVKZWKPIAWQWKIVRBUHVLUKVMZWCWKVNVOWRVPWLWDNUTWNJNWIWDWE
          WMWGWDHVQVSVTWA $.

        cvmliftlem3.3 $e |- W = ( ( ( M - 1 ) / N ) [,] ( M / N ) ) $.
        $( Lemma for ~ cvmlift . ` W = [ ( k - 1 ) / N , k / N ] ` is a subset
           of ` [ 0 , 1 ] ` for each ` M e. ( 1 ... N ) ` .  (Contributed by
           Mario Carneiro, 16-Feb-2015.) $)
        cvmliftlem2 $p |- ( ( ph /\ ps ) -> W C_ ( 0 [,] 1 ) ) $=
          ( wa c1 cmin co cdiv cicc cc0 cr wcel cle wbr wss 0red clt cfz elfznn
          1red cn syl nnred peano2rem cn0 nnm1nn0 adantr nngt0d divge0 syl22anc
          nn0ge0d cmul elfzle2 nncnd mulid1d breqtrrd ledivmul syl112anc mpbird
          wb iccss eqsstrid ) ABUNZRPUOUPUQZQURUQZPQURUQZUSUQZUTUOUSUQZUMWMUTVA
          VBUOVAVBZUTWOVCVDZWPUOVCVDZWQWRVEWMVFWMVJZWMWNVAVBZUTWNVCVDQVAVBZUTQV
          GVDZWTWMPVAVBZXCWMPWMPUOQVHUQVBZPVKVBZULPQVIVLZVMZPVNVLWMWNWMXHWNVOVB
          XIPVPVLWAWMQAQVKVBBUHVQZVMZWMQXKVRZWNQVSVTWMXAPQUOWBUQZVCVDZWMPQXNVCW
          MXGPQVCVDULPUOQWCVLWMQWMQXKWDWEWFWMXFWSXDXEXAXOWJXJXBXLXMPUOQWGWHWIUT
          UOWOWPWKVTWL $.

        cvmliftlem3.m $e |- ( ( ph /\ ps ) -> A e. W ) $.
        $( Lemma for ~ cvmlift .  Since ` 1st `` ( T `` M ) ` is a neighborhood
           of ` ( G " W ) ` , every element ` A e. W ` satisfies
           ` ( G `` A ) e. ( 1st `` ( T `` M ) ) ` .  (Contributed by Mario
           Carneiro, 16-Feb-2015.) $)
        cvmliftlem3 $p |- ( ( ph /\ ps ) ->
          ( G ` A ) e. ( 1st ` ( T ` M ) ) ) $=
          ( wa cima cfv c1st c1 cfz co wcel cmin cdiv cicc wss wral adantr wceq
          cv oveq1 oveq1d oveq12d eqtr4di imaeq2d 2fveq3 sseq12d rspcv sylc cdm
          wfun wi cc0 wf cii ccn iiuni cnf syl ffund cvmliftlem2 fdmd funfvima2
          sseqtrrd syl2anc mpd sseldd ) ABUPZNSUQZQJURUSURZENURZWSQUTRVAVBZVCNL
          VKZUTVDVBZRVEVBZXDRVEVBZVFVBZUQZXDJURUSURZVGZLXCVHZWTXAVGZUMAXLBUKVIX
          KXMLQXCXDQVJZXIWTXJXAXNXHSNXNXHQUTVDVBZRVEVBZQRVEVBZVFVBSXNXFXPXGXQVF
          XNXEXORVEXDQUTVDVLVMXDQRVEVLVNUNVOVPXDQUSJVQVRVSVTWSESVCZXBWTVCZUOWSN
          WBSNWAZVGXRXSWCWSWDUTVFVBZTNAYATNWEZBANWFOWGVBVCYBUFNWFOYATWHUDWIWJVI
          ZWKWSSYAXTABCDFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNWLWSYATNYCWM
          WOSENWNWPWQWR $.
      $}

      cvmliftlem.q $e |- Q = seq 0 ( ( x e. _V , m e. NN |->
        ( z e. ( ( ( m - 1 ) / N ) [,] ( m / N ) ) |->
          ( `' ( F |` ( iota_ b e. ( 2nd ` ( T ` m ) )
            ( x ` ( ( m - 1 ) / N ) ) e. b ) ) ` ( G ` z ) ) ) ) ,
          ( ( _I |` NN ) u. { <. 0 , { <. 0 , P >. } >. } ) ) $.
      $( Lemma for ~ cvmlift .  The function ` Q ` will be our lifted path,
         defined piecewise on each section ` [ ( M - 1 ) / N , M / N ] ` for
         ` M e. ( 1 ... N ) ` .  For ` M = 0 ` , it is a "seed" value which
         makes the rest of the recursion work, a singleton function mapping
         ` 0 ` to ` P ` .  (Contributed by Mario Carneiro, 15-Feb-2015.) $)
      cvmliftlem4 $p |- ( Q ` 0 ) = { <. 0 , P >. } $=
        ( cc0 cfv cop csn cid cn cres cun cvv cv c1 cmin co cdiv cicc wcel c2nd
        crio ccnv cmpt cmpo cseq fveq1i cz wceq seq1 ax-mp eqtri wfn cin fnresi
        0z c0 wa c0ex snex fnsn 0nnn disjsn mpbir snid pm3.2i fvun2 mp3an fvsn
        wn ) UOIUPZUOUOUOHUQZURZUQURZUPZXCXAUOUSUTVAZXDVBZUPZXEXAUOBNVCUTCNVDZV
        EVFVGSVHVGZXISVHVGVIVGCVDPUPOXJBVDUPUBVDVJUBXIKUPVKUPVLVAVMUPVNVOZXGUOV
        PZUPZXHUOIXLUNVQUOVRVJXMXHVSWFXKXGUOVTWAWBXFUTWCXDUOURZWCUTXNWDWGVSZUOX
        NVJZWHXHXEVSUTWEUOXCWIXBWJZWKXOXPXOUOUTVJWTWLUTUOWMWNUOWIWOWPUTXNXFXDUO
        WQWRWBUOXCWIXQWSWB $.

      ${
        cvmliftlem5.3 $e |- W = ( ( ( M - 1 ) / N ) [,] ( M / N ) ) $.
        $( Lemma for ~ cvmlift .  Definition of ` Q ` at a successor.  This is
           a function defined on ` W ` as ` ``' ( T |`` I ) o. G ` where ` I `
           is the unique covering set of ` 2nd `` ( T `` M ) ` that contains
           ` Q ( M - 1 ) ` evaluated at the last defined point, namely
           ` ( M - 1 ) / N ` (note that for ` M = 1 ` this is using the seed
           value ` Q ( 0 ) ( 0 ) = P ` ).  (Contributed by Mario Carneiro,
           15-Feb-2015.) $)
        cvmliftlem5 $p |- ( ( ph /\ M e. NN ) -> ( Q ` M ) = ( z e. W |->
            ( `' ( F |` ( iota_ b e. ( 2nd ` ( T ` M ) )
        ( ( Q ` ( M - 1 ) ) ` ( ( M - 1 ) / N ) ) e. b ) ) ` ( G ` z ) ) ) ) $=
          ( cn wcel wa cfv c1 cmin co cid cres cc0 cop csn cun cvv cv cdiv cicc
          c2nd crio ccnv cmpt cmpo cseq cz caddc cuz wceq 0z simpr 1e0p1 fveq2i
          nnuz eqtri eleqtrdi seqm1 sylancr fveq1i oveq1i 3eqtr4g cin c0 disjsn
          wn 0nnn mpbir fnresi c0ex snex fnsn fvun1 mp3an12 fvresi adantl eqtrd
          oveq2d fvexd oveq1d oveq12d eqtr4di fveq2d fveq12d eleq1d riotaeqbidv
          simpl reseq2d cnveqd fveq1d mpteq12dv eqid eqeltri mptex ovmpoa sylan
          wfn ovex 3eqtrd ) ASURUSZUTZSIVAZSVBVCVDZIVAZSVEURVFZVGVGHVHZVIZVHVIZ
          VJZVAZBNVKURCNVLZVBVCVDZTVMVDZUUETVMVDZVNVDZCVLPVAZOUUGBVLZVAZUDVLZUS
          ZUDUUEKVAZVOVAZVPZVFZVQZVAZVRZVSZVDZYRSUVBVDZCUAUUJOYQTVMVDZYRVAZUUMU
          SZUDSKVAZVOVAZVPZVFZVQZVAZVRZYOSUVBUUCVGVTZVAZYQUVOVAZUUDUVBVDZYPUVCY
          OVGWAUSSVGVBWBVDZWCVAZUSUVPUVRWDWEYOSURUVTAYNWFZURVBWCVAUVTWIVBUVSWCW
          GWHWJWKUVBUUCVGSWLWMSIUVOUPWNYRUVQUUDUVBYQIUVOUPWNWOWPYOUUDSYRUVBYOUU
          DSYSVAZSYOURVGVIZWQWRWDZYNUUDUWBWDZUWDVGURUSWTXAURVGWSXBUWAYSURYKUUBU
          WCYKUWDYNUTUWEURXCVGUUAXDYTXEXFURUWCYSUUBSXGXHWMYNUWBSWDAURSXIXJXKXLA
          YRVKUSYNUVDUVNWDAYQIXMBNYRSVKURUVAUVNUVBUUKYRWDZUUESWDZUTZCUUIUUTUAUV
          MUWHUUIUVESTVMVDZVNVDZUAUWHUUGUVEUUHUWIVNUWHUUFYQTVMUWHUUESVBVCUWFUWG
          WFZXNXNZUWHUUESTVMUWKXNXOUQXPUWHUUJUUSUVLUWHUURUVKUWHUUQUVJOUWHUUNUVG
          UDUUPUVIUWHUUOUVHVOUWHUUESKUWKXQXQUWHUULUVFUUMUWHUUGUVEUUKYRUWFUWGYAU
          WLXRXSXTYBYCYDYEUVBYFCUAUVMUAUWJVKUQUVEUWIVNYLYGYHYIYJYM $.

        ${
          cvmliftlem6.1 $e |- ( ( ph /\ ps ) -> M e. ( 1 ... N ) ) $.
          cvmliftlem6.2 $e |- ( ( ph /\ ps ) ->
            ( ( Q ` ( M - 1 ) ) ` ( ( M - 1 ) / N ) ) e.
              ( `' F " { ( G ` ( ( M - 1 ) / N ) ) } ) ) $.
          $( Lemma for ~ cvmlift .  Induction step for ~ cvmliftlem7 .
             Assuming that ` Q ( M - 1 ) ` is defined at ` ( M - 1 ) / N ` and
             is a preimage of ` G ( ( M - 1 ) / N ) ` , the next segment
             ` Q ( M ) ` is also defined and is a function on ` W ` which is a
             lift ` G ` for this segment.  This follows explicitly from the
             definition ` Q ( M ) = ``' ( F |`` I ) o. G ` since ` G ` is in
             ` 1st `` ( F `` M ) ` for the entire interval so that
             ` ``' ( F |`` I ) ` maps this into ` I ` and ` F o. Q ` maps back
             to ` G ` .  (Contributed by Mario Carneiro, 16-Feb-2015.) $)
          cvmliftlem6 $p |- ( ( ph /\ ps ) ->
            ( ( Q ` M ) : W --> B /\ ( F o. ( Q ` M ) ) = ( G |` W ) ) ) $=
            ( vy wa cfv wf ccom cres wceq cv cmin cdiv wcel c2nd crio ccnv cmpt
            c1 cuni wss c1st cfz adantrr cvmliftlem1 cvmsss syl ccvm adantr csn
            co cima wfn wb ccn cvmcn cnf 3syl fniniseg mpbid simpld simprd cicc
            ffn cxr cle wbr cr cn elfznn nnred peano2rem nndivred rexrd clt cc0
            ltm1d nngt0d ltdiv1 syl112anc syl3anc eleqtrrdi cvmliftlem3 eqeltrd
            lbicc2 eqid cvmsiota syl13anc sseldd elssuni sseqtrrdi wf1o cvmsf1o
            ltled f1ocnv f1of simprr ffvelrnd anassrs fmpttd fvres feqmptd cii
            cvmliftlem5 syldan feq1d f1ocnvfv2 syl2anc 3eqtr2rd mpteq2dva fveq2
            mpbird fmptco iiuni cvmliftlem2 fssresd 3eqtr4d jca ) ABVBZUBGTJVCZ
            VDZPUUQVEZQUBVFZVGUUPUURUBGDUBDVHZQVCZPTVPVIWHZUAVJWHZUVCJVCVCZUEVH
            VKUETLVCZVLVCZVMZVFZVNZVCZVOZVDUUPDUBUVKGABUVAUBVKZUVKGVKABUVMVBZVB
            ZUVHGUVKUVOUVHHVQZGUVOUVHHVKUVHUVPVRUVOUVGHUVHUVOUVGUVFVSVCZKVCVKZU
            VGHVRAUVNEFGHIKLMNPQRSTUAUCUDUFUGUHUIUJUKULUMUNUOUPABTVPUAVTWHVKZUV
            MUSWAZWBZEFHKUVGUVQNPRUDUFWCWDUVOUVHUVGVKZUVEUVHVKZUVOPHRWEWHVKZUVR
            UVEGVKZUVEPVCZUVQVKUWBUWCVBAUWDUVNUIWFZUWAUVOUWEUWFUVDQVCZVGZUVOUVE
            PVNUWHWGWIVKZUWEUWIVBZABUWJUVMUTWAUVOGUCPVDZPGWJUWJUWKWKUVOUWDPHRWL
            WHVKZUWLUWGHPRWMZPHRGUCUGUHWNZWOGUCPXAGUWHUVEPWPWOWQZWRUVOUWFUWHUVQ
            UVOUWEUWIUWPWSAUVNEFUVDGHIKLMNPQRSTUAUBUCUDUFUGUHUIUJUKULUMUNUOUPUV
            TURUVOUVDUVDTUAVJWHZWTWHZUBUVOUVDXBVKUWQXBVKUVDUWQXCXDUVDUWRVKUVOUV
            DUVOUVCUAUVOTXEVKZUVCXEVKZUVOTUVOUVSTXFVKZUVTTUAXGZWDXHZTXIWDZAUAXF
            VKUVNUMWFZXJZXKUVOUWQUVOTUAUXCUXEXJZXKUVOUVDUWQUXFUXGUVOUVCTXLXDZUV
            DUWQXLXDZUVOTUXCXNUVOUWTUWSUAXEVKXMUAXLXDUXHUXIWKUXDUXCUVOUAUXEXHUV
            OUAUXEXOUVCTUAXPXQWQYKUVDUWQYBXRURXSXTYAUEEFUVEGHKUVGUVQNPRUVHUDUFU
            GUVHYCYDYEWRZYFUVHHYGWDUGYHUVOUVQUVHUVBUVJUVOUVHUVQUVIYIZUVQUVHUVJY
            IUVQUVHUVJVDUVOUWDUVRUWBUXKUWGUWAUXJEFUVHHKUVGUVQNPRUDUFYJXRZUVHUVQ
            UVIYLUVQUVHUVJYMWOAUVNEFUVAGHIKLMNPQRSTUAUBUCUDUFUGUHUIUJUKULUMUNUO
            UPUVTURABUVMYNZXTZYOZYFYPZYQUUPUBGUUQUVLABUXAUUQUVLVGUUPUVSUXAUSUXB
            WDACDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUUAUUBZUUC
            UUIUUPDUBUVKPVCZVODUBUVAUUTVCZVOUUSUUTUUPDUBUXRUXSABUVMUXRUXSVGUVOU
            XSUVBUVKUVIVCZUXRUVOUVMUXSUVBVGUXMUVAUBQYRWDUVOUXKUVBUVQVKUXTUVBVGU
            XLUXNUVHUVQUVBUVIUUDUUEUVOUVKUVHVKUXTUXRVGUXOUVKUVHPYRWDUUFYPUUGUUP
            DVAUBGUVKVAVHZPVCUXRUUQPUXPUXQUUPVAGUCPAUWLBAUWDUWMUWLUIUWNUWOWOWFY
            SUYAUVKPUUHUUJUUPDUBUCUUTUUPXMVPWTWHZUCUBQAUYBUCQVDZBAQYTRWLWHVKUYC
            UJQYTRUYBUCUUKUHWNWDWFABEFGHIKLMNPQRSTUAUBUCUDUFUGUHUIUJUKULUMUNUOU
            PUSURUULUUMYSUUNUUO $.
        $}

        $( Lemma for ~ cvmlift .  Prove by induction that every ` Q ` function
           is well-defined (we can immediately follow this theorem with
           ~ cvmliftlem6 to show functionality and lifting of ` Q ` ).
           (Contributed by Mario Carneiro, 14-Feb-2015.) $)
        cvmliftlem7 $p |- ( ( ph /\ M e. ( 1 ... N ) ) ->
          ( ( Q ` ( M - 1 ) ) ` ( ( M - 1 ) / N ) ) e.
            ( `' F " { ( G ` ( ( M - 1 ) / N ) ) } ) ) $=
          ( vy vn c1 cfz co wcel cmin cc0 cdiv cfv ccnv cima wa caddc fzssp1 cc
          csn wceq nncnd adantr ax-1cn npcan sylancl oveq2d sseqtrid cz elfzelz
          simpr wb nnzd elfzm1b syl2anr mpbid sseldd elfznn0 adantl cv wi eleq1
          fveq2 oveq1 fveq12d fvoveq1 sneqd imaeq2d eleq12d imbi12d cvmliftlem4
          cn0 imbi2d cop a1i nnne0d div0d fvsng sylancr eqtrd fveq2d eqtr4d wfn
          0nn0 ccn ccvm cvmcn syl cnf fniniseg mpbir2and cuz eleqtrdi cicc cres
          wf cle wbr cn syl2anc oveq1d cxr nndivred rexrd cr clt ffn eqeltrd id
          3syl a1d nn0uz peano2fzr ex ccom eqid simprlr elfzle2 simprll nn0p1nn
          imim1d elfz5 mpbird simprr nn0cnd 3eltr4d cvmliftlem6 simpld peano2re
          pncan nn0red ltp1d nnred nngt0d ltdiv1 syl112anc ltled ubicc2 syl3anc
          nnuz eleqtrrd ffvelrnd simprd reseq2d fveq1d feq2d fvco3 3eqtr3d expr
          fvres animpimp2impd nn0ind impd mpcom syldan ) ASUTTVAVBZVCZSUTVDVBZV
          ETVAVBZVCZUWLTVFVBZUWLIVGZVGZOVHZUWOPVGZVNZVIZVCZAUWKVJZVETUTVDVBZVAV
          BZUWMUWLUXCVEUXDUTVKVBZVAVBUXEUWMVEUXDVLUXCUXFTVEVAUXCTVMVCZUTVMVCZUX
          FTVOAUXGUWKATULVPZVQVRTUTVSVTWAWBUXCUWKUWLUXEVCZAUWKWEUWKSWCVCTWCVCZU
          WKUXJWFASUTTWDATULWGZSTWHWIWJWKUWLXFVCZAUWNVJUXBUWNUXMAUWLTWLWMUXMAUW
          NUXBAURWNZUWMVCZUXNTVFVBZUXNIVGZVGZUWRUXPPVGZVNZVIZVCZWOZWOAVEUWMVCZV
          ETVFVBZVEIVGZVGZUWRUYEPVGZVNZVIZVCZWOZWOAUSWNZUWMVCZUYMTVFVBZUYMIVGZV
          GZUWRUYOPVGZVNZVIZVCZWOZWOAUYMUTVKVBZUWMVCZVUCTVFVBZVUCIVGZVGZUWRVUEP
          VGZVNZVIZVCZWOZWOAUWNUXBWOZWOURUSUWLUXNVEVOZUYCUYLAVUNUXOUYDUYBUYKUXN
          VEUWMWPVUNUXRUYGUYAUYJVUNUXPUYEUXQUYFUXNVEIWQUXNVETVFWRWSVUNUXTUYIUWR
          VUNUXSUYHUXNVETPVFWTXAXBXCXDXGUXNUYMVOZUYCVUBAVUOUXOUYNUYBVUAUXNUYMUW
          MWPVUOUXRUYQUYAUYTVUOUXPUYOUXQUYPUXNUYMIWQUXNUYMTVFWRWSVUOUXTUYSUWRVU
          OUXSUYRUXNUYMTPVFWTXAXBXCXDXGUXNVUCVOZUYCVULAVUPUXOVUDUYBVUKUXNVUCUWM
          WPVUPUXRVUGUYAVUJVUPUXPVUEUXQVUFUXNVUCIWQUXNVUCTVFWRWSVUPUXTVUIUWRVUP
          UXSVUHUXNVUCTPVFWTXAXBXCXDXGUXNUWLVOZUYCVUMAVUQUXOUWNUYBUXBUXNUWLUWMW
          PVUQUXRUWQUYAUXAVUQUXPUWOUXQUWPUXNUWLIWQUXNUWLTVFWRWSVUQUXTUWTUWRVUQU
          XSUWSUXNUWLTPVFWTXAXBXCXDXGAUYKUYDAUYGHUYJAUYGVEVEHXHVNZVGZHAUYEVEUYF
          VURUYFVURVOAABCDEFGHIJKLMNOPQRTUBUCUDUEUFUGUHUIUJUKULUMUNUOUPXEXIATUX
          IATULXJXKZWSAVEXFVCHFVCZVUSHVOXRUJVEHXFFXLXMXNAHUYJVCZVVAHOVGZUYHVOZU
          JAVVCVEPVGUYHUKAUYEVEPVUTXOXPAOFXQZVVBVVAVVDVJWFAOGQXSVBVCZFUBOYJVVEA
          OGQXTVBVCVVFUHGOQYAYBOGQFUBUFUGYCFUBOUUAUUDZFUYHHOYDYBYEUUBUUEUYMXFVC
          ZAVUBVUDVUKVUAAVVHVJZVUDUYNVUAVVIUYMVEYFVGZVCZVUDUYNWOVVHVVKAVVHUYMXF
          VVJVVHUUCUUFYGWMVVKVUDUYNUYMVETUUGUUHYBUUOAVVHVUDVJZVUAVUKAVVLVUAVJZV
          JZVUKVUGFVCZVUGOVGZVUHVOZVVNVUCUTVDVBZTVFVBZVUEYHVBZFVUEVUFVVNVVTFVUF
          YJZOVUFUUIZPVVTYIZVOZAVVMBCDEFGHIJKLMNOPQRVUCTVVTUBUCUDUEUFUGUHUIUJUK
          ULUMUNUOUPVVTUUJVVNVUCUWJVCZVUCTYKYLZVVNVUDVWFAVVHVUDVUAUUKVUCVETUULY
          BVVNVUCUTYFVGZVCUXKVWEVWFWFVVNVUCYMVWGVVNVVHVUCYMVCAVVHVUDVUAUUMZUYMU
          UNYBUVNYGAUXKVVMUXLVQVUCUTTUUPYNUUQVVNUYQUYTVVSVVRIVGZVGUWRVVSPVGZVNZ
          VIAVVLVUAUURVVNVVSUYOVWIUYPVVNVVRUYMIVVNUYMVMVCUXHVVRUYMVOVVNUYMVWHUU
          SVRUYMUTUVDVTZXOVVNVVRUYMTVFVWLYOZWSVVNVWKUYSUWRVVNVWJUYRVVNVVSUYOPVW
          MXOXAXBUUTUVAZUVBZVVNVUEUYOVUEYHVBZVVTVVNUYOYPVCVUEYPVCUYOVUEYKYLVUEV
          WPVCZVVNUYOVVNUYMTVVNUYMVWHUVEZATYMVCVVMULVQZYQZYRVVNVUEVVNVUCTVVNUYM
          YSVCZVUCYSVCZVWRUYMUVCYBZVWSYQZYRVVNUYOVUEVWTVXDVVNUYMVUCYTYLZUYOVUEY
          TYLZVVNUYMVWRUVFVVNVXAVXBTYSVCVETYTYLVXEVXFWFVWRVXCVVNTVWSUVGVVNTVWSU
          VHUYMVUCTUVIUVJWJUVKUYOVUEUVLUVMZVVNVVSUYOVUEYHVWMYOZUVOUVPVVNVUEVWBV
          GZVUEPVWPYIZVGZVVPVUHVVNVUEVWBVXJVVNVWBVWCVXJVVNVWAVWDVWNUVQVVNVVTVWP
          PVXHUVRXNUVSVVNVWPFVUFYJZVWQVXIVVPVOVVNVWAVXLVWOVVNVVTVWPFVUFVXHUVTWJ
          VXGVWPFVUEOVUFUWAYNVVNVWQVXKVUHVOVXGVUEVWPPUWDYBUWBVVNVVEVUKVVOVVQVJW
          FAVVEVVMVVGVQFVUHVUGOYDYBYEUWCUWEUWFUWGUWHUWI $.

        $( Lemma for ~ cvmlift .  The functions ` Q ` are continuous functions
           because they are defined as ` ``' ( F |`` I ) o. G ` where ` G ` is
           continuous and ` ( F |`` I ) ` is a homeomorphism.  (Contributed by
           Mario Carneiro, 16-Feb-2015.) $)
        cvmliftlem8 $p |- ( ( ph /\ M e. ( 1 ... N ) ) ->
          ( Q ` M ) e. ( ( L |`t W ) Cn C ) ) $=
          ( c1 cfz co wcel wa cfv cv cmin cdiv c2nd crio cres ccnv crest ccn cn
          cmpt wceq elfznn cvmliftlem5 sylan2 ccvm ctop adantr cvmtop1 cnrest2r
          wss 3syl c1st cr ctopon cioo crn ctg retopon eqeltri cicc cvmliftlem2
          cc0 simpr unitssre sstrdi resttopon sylancr cii eqid iitopon wf iiuni
          a1i cnf syl feqmptd eqeltrrd cnmpt1res dfii2 oveq1i cvv retop restabs
          eqtr4i ovexd syl3anc syl5eq oveq1d eleqtrd wb cvmtop2 toptopon simprl
          sylib simprr cvmliftlem3 anassrs mpbid simpld cxr wbr nnred rexrd clt
          nndivred eqeltrd fmpttd frnd cuni cvmliftlem1 cvmsrcl elssuni cnrest2
          sseqtrrdi chmeo csn cima cvmliftlem7 wfn cvmcn fniniseg simprd adantl
          ffn cle peano2rem ltm1d nngt0d ltdiv1 syl112anc ltled lbicc2 cvmsiota
          eleqtrrdi syl13anc cvmshmeo syl2anc hmeocnvcn cnmpt11f sseldd ) ASURT
          USUTVAZVBZSIVCZCUACVDZPVCZOSURVEUTZTVFUTZUVTIVCVCZUDVDVAUDSKVCZVGVCZV
          HZVIZVJZVCVNZRUAVKUTZGVLUTZUVOASVMVAZUVQUWHVOSTVPZABCDEFGHIJKLMNOPQRS
          TUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQVQVRUVPUWIGUWEVKUTZVLUTZUWJUWHUVPO
          GQVSUTVAZGVTVAUWNUWJWDAUWOUVOUHWAZGOQWBUWEUWIGWCWEUVPCUVSUWGUWIQUWCWF
          VCZVKUTZUWMUAUVPRWGWHVCZVAUAWGWDUWIUAWHVCVARWIWJWKVCZUWSUOWLWMUVPUAWP
          URWNUTZWGAUVODEFGHJKLMOPQRSTUAUBUCUEUFUGUHUIUJUKULUMUNUOAUVOWQZUQWOZW
          RWSUARWGWTXAUVPCUAUVSVNZUWIQVLUTZVAZUXDUWIUWRVLUTVAZUVPUXDXBUAVKUTZQV
          LUTUXEUVPCUVSXBUXHQUXAUAUXHXCXBUXAWHVCVAUVPXDXGUXCUVPPCUXAUVSVNXBQVLU
          TZUVPCUXAUBPUVPPUXIVAZUXAUBPXEAUXJUVOUIWAZPXBQUXAUBXFUGXHXIXJUXKXKXLU
          VPUXHUWIQVLUVPUXHRUXAVKUTZUAVKUTZUWIXBUXLUAVKXBUWTUXAVKUTUXLXMRUWTUXA
          VKUOXNXRXNUVPRVTVAZUAUXAWDUXAXOVAUXMUWIVOUXNUVPRUWTVTUOXPWMXGUXCUVPWP
          URWNXSUAUXARVTXOXQXTYAYBYCUVPQUBWHVCVAZUXDWJUWQWDUWQUBWDUXFUXGYDUVPQV
          TVAZUXOUVPUWOUXPUWPGOQYEXIQUBUGYFYHUVPUAUWQUXDUVPCUAUVSUWQAUVOUVRUAVA
          ZUVSUWQVAAUVOUXQVBDEUVRFGHJKLMOPQRSTUAUBUCUEUFUGUHUIUJUKULUMUNUOAUVOU
          XQYGUQAUVOUXQYIYJYKUUAUUBUVPUWQQUUCZUBUVPUWDUWQJVCVAZUWQQVAUWQUXRWDAU
          VODEFGHJKLMOPQRSTUBUCUEUFUGUHUIUJUKULUMUNUOUXBUUDZDEGJUWDUWQMOQUCUEUU
          EUWQQUUFWEUGUUHUWQUXDUWIQUBUUGXTYLUVPUWFUWMUWRUUIUTVAZUWGUWRUWMVLUTVA
          UVPUXSUWEUWDVAZUYAUXTUVPUYBUWBUWEVAZUVPUWOUXSUWBFVAZUWBOVCZUWQVAUYBUY
          CVBUWPUXTUVPUYDUYEUWAPVCZVOZUVPUWBOVJUYFUUJUUKVAZUYDUYGVBZABCDEFGHIJK
          LMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQUULUVPFUBOXEZOFUUMUYHUYIYD
          UVPUWOOGQVLUTVAUYJUWPGOQUUNOGQFUBUFUGXHWEFUBOUURFUYFUWBOUUOWEYLZYMUVP
          UYEUYFUWQUVPUYDUYGUYKUUPAUVODEUWAFGHJKLMOPQRSTUAUBUCUEUFUGUHUIUJUKULU
          MUNUOUXBUQUVPUWAUWASTVFUTZWNUTZUAUVPUWAYNVAUYLYNVAUWAUYLUUSYOUWAUYMVA
          UVPUWAUVPUVTTUVPSWGVAZUVTWGVAZUVPSUVOUWKAUWLUUQYPZSUUTXIZATVMVAUVOULW
          AZYSZYQUVPUYLUVPSTUYPUYRYSZYQUVPUWAUYLUYSUYTUVPUVTSYRYOZUWAUYLYRYOZUV
          PSUYPUVAUVPUYOUYNTWGVAWPTYRYOVUAVUBYDUYQUYPUVPTUYRYPUVPTUYRUVBUVTSTUV
          CUVDYLUVEUWAUYLUVFXTUQUVHYJYTUDDEUWBFGJUWDUWQMOQUWEUCUEUFUWEXCUVGUVIY
          MDEUWEGJUWDUWQMOQUCUEUVJUVKUWFUWMUWRUVLXIUVMUVNYT $.
      $}

      $( Lemma for ~ cvmlift .  The ` Q ( M ) ` functions are defined on almost
         disjoint intervals, but they overlap at the edges.  Here we show that
         at these points the ` Q ` functions agree on their common domain.
         (Contributed by Mario Carneiro, 14-Feb-2015.) $)
      cvmliftlem9 $p |- ( ( ph /\ M e. ( 1 ... N ) ) ->
          ( ( Q ` M ) ` ( ( M - 1 ) / N ) ) =
          ( ( Q ` ( M - 1 ) ) ` ( ( M - 1 ) / N ) ) ) $=
        ( c1 cfz co wcel wa cmin cdiv cfv cv c2nd crio cres ccnv cicc cmpt wceq
        cvv cn elfznn eqid cvmliftlem5 sylan2 simpr fveq2d cxr cle wbr cr nnred
        adantl peano2rem syl adantr rexrd clt ltm1d cc0 nngt0d ltdiv1 syl112anc
        nndivred wb mpbid ltled lbicc2 syl3anc fvmptd ccvm c1st cvmliftlem1 csn
        fvexd cima cvmliftlem7 wf wfn ccn cvmcn cnf 3syl fniniseg simpld simprd
        cvmliftlem3 eqeltrd cvmsiota syl13anc fvres eqtrd wf1o cvmsf1o f1ocnvfv
        ffn wi syl2anc mpd ) ASUPTUQURUSZUTZSUPVAURZTVBURZSIVCZVCYOPVCZOYOYNIVC
        VCZUCVDUSUCSKVCZVEVCZVFZVGZVHZVCZYRYMCYOCVDZPVCZUUCVCZUUDYOSTVBURZVIURZ
        YPVLYLASVMUSZYPCUUIUUGVJVKSTVNZABCDEFGHIJKLMNOPQRSTUUIUAUBUCUDUEUFUGUHU
        IUJUKULUMUNUOUUIVOZVPVQYMUUEYOVKZUTZUUFYQUUCUUNUUEYOPYMUUMVRVSVSYMYOVTU
        SUUHVTUSYOUUHWAWBYOUUIUSYMYOYMYNTYMSWCUSZYNWCUSZYMSYLUUJAUUKWEWDZSWFWGZ
        ATVMUSYLUKWHZWPZWIYMUUHYMSTUUQUUSWPZWIYMYOUUHUUTUVAYMYNSWJWBZYOUUHWJWBZ
        YMSUUQWKYMUUPUUOTWCUSWLTWJWBUVBUVCWQUURUUQYMTUUSWDYMTUUSWMYNSTWNWOWRWSY
        OUUHWTXAZYMYQUUCXGXBYMYRUUBVCZYQVKZUUDYRVKZYMUVEYROVCZYQYMYRUUAUSZUVEUV
        HVKYMUUAYTUSZUVIYMOGQXCURUSZYTYSXDVCZJVCUSZYRFUSZUVHUVLUSUVJUVIUTAUVKYL
        UGWHZAYLDEFGHJKLMOPQRSTUAUBUDUEUFUGUHUIUJUKULUMUNAYLVRZXEZYMUVNUVHYQVKZ
        YMYROVHYQXFXHUSZUVNUVRUTZABCDEFGHIJKLMNOPQRSTUUIUAUBUCUDUEUFUGUHUIUJUKU
        LUMUNUOUULXIYMFUAOXJZOFXKUVSUVTWQYMUVKOGQXLURUSUWAUVOGOQXMOGQFUAUEUFXNX
        OFUAOYHFYQYROXPXOWRZXQYMUVHYQUVLYMUVNUVRUWBXRZAYLDEYOFGHJKLMOPQRSTUUIUA
        UBUDUEUFUGUHUIUJUKULUMUNUVPUULUVDXSXTUCDEYRFGJYTUVLMOQUUAUBUDUEUUAVOYAY
        BZXRZYRUUAOYCWGUWCYDYMUUAUVLUUBYEZUVIUVFUVGYIYMUVKUVMUVJUWFUVOUVQYMUVJU
        VIUWDXQDEUUAGJYTUVLMOQUBUDYFXAUWEUUAUVLYRYQUUBYGYJYKYD $.

      cvmliftlem.k $e |- K = U_ k e. ( 1 ... N ) ( Q ` k ) $.
      ${
        cvmliftlem10.1 $e |- ( ch <-> ( ( n e. NN /\ ( n + 1 ) e. ( 1 ... N ) )
          /\ ( U_ k e. ( 1 ... n ) ( Q ` k ) e.
            ( ( L |`t ( 0 [,] ( n / N ) ) ) Cn C ) /\ ( F o.
        U_ k e. ( 1 ... n ) ( Q ` k ) ) = ( G |` ( 0 [,] ( n / N ) ) ) ) ) ) $.
        $( Lemma for ~ cvmlift .  The function ` K ` is going to be our
           complete lifted path, formed by unioning together all the ` Q `
           functions (each of which is defined on one segment
           ` [ ( M - 1 ) / N , M / N ] ` of the interval).  Here we prove by
           induction that ` K ` is a continuous function and a lift of ` G ` by
           applying ~ cvmliftlem6 , ~ cvmliftlem7 (to show it is a function and
           a lift), ~ cvmliftlem8 (to show it is continuous), and ~ cvmliftlem9
           (to show that different ` Q ` functions agree on the intersection of
           their domains, so that the pasting lemma ~ paste gives that ` K ` is
           well-defined and continuous).  (Contributed by Mario Carneiro,
           14-Feb-2015.) $)
        cvmliftlem10 $p |- ( ph ->
          ( K e. ( ( L |`t ( 0 [,] ( N / N ) ) ) Cn C ) /\
            ( F o. K ) = ( G |` ( 0 [,] ( N / N ) ) ) ) ) $=
          ( vy c1 cfz co wcel cc0 cdiv cicc crest ccn ccom cres wceq wa eluzfz2
          cfv cn syl wi cv ciun caddc eleq1 csn oveq2 eqtrdi fveq2 iunxsn oveq1
          iuneq1d oveq2d oveq1d eleq12d coeq2d reseq2d eqeq12d imbi2d cmin eqid
          anbi12d imbi12d cvmliftlem8 mpdan nncnd simpr cvmliftlem7 cvmliftlem6
          eleqtrd wf simprd eqtrd jca adantl cuni cr wss ccld 0re nnred iccssre
          nndivred sylancr simpld icccld eleqtrrdi cun a1i cle wbr clt wb mpbid
          syl3anc syl2anc ctop eqtr3d feq2d syldan cxr rexrd cvv cuz nnuz cz 1z
          eleqtrdi fzsn ax-mp 1ex eqtr4di eluzfz1 1m1e0 oveq1i nnne0d div0d a1d
          syl5eq elnnuz biimpi peano2fzr ex imim1d simplbi elfznn adantr fveq2i
          cioo crn ctg ssun1 nnnn0d nn0ge0d nngt0d divge0 syl22anc ltp1d ltdiv1
          syl112anc ltled w3a elicc2 mpbir3and iccsplit sseqtrrid unieqi eqtr4i
          uniretop restcldi ssun2 eqeltri restuni cin simprbi cnf mpbird ax-1cn
          retop pncan sylancl cop wfun cdm ffund ssiun2s peano2rem ltm1d ubicc2
          fdmd eleqtrrd funssfv fveq2d fveq12d cvmliftlem9 3eqtr2d opeq2d sneqd
          cc wfn ffnd 0xr fnressn lbicc2 3eqtr4d df-icc xrmaxle xrlemin iftrued
          cif ixxin oveq12d iccid 3eqtrd fresaun fzsuc iunxun ovex uneq2i eqtri
          eqtr2di feq1d reseq1d fresaunres1 restabs 3eltr4d fresaunres2 uneq12d
          paste coundi resundi 3eqtr2rd sylan2br expr animpimp2impd nnind mpcom
          3eqtr4g mpd ) AUBVAUBVBVCZVDZTUAVEUBUBVFVCZVGVCZVHVCZHVIVCZVDZQTVJZRV
          UTVKZVLZVMZAUBVAUUAVOZVDZVURAUBVPVVHUMUUBUUEZVAUBVNVQUBVPVDZAVURVVGVR
          ZUMAUTVSZVUQVDZNVAVVMVBVCZNVSZJVOZVTZUAVEVVMUBVFVCZVGVCZVHVCZHVIVCZVD
          ZQVVRVJZRVVTVKZVLZVMZVRZVRAVAVUQVDZVAJVOZUAVEVAUBVFVCZVGVCZVHVCZHVIVC
          ZVDZQVWJVJZRVWLVKZVLZVMZVRZVRAPVSZVUQVDZNVAVXAVBVCZVVQVTZUAVEVXAUBVFV
          CZVGVCZVHVCZHVIVCZVDZQVXDVJZRVXFVKZVLZVMZVRZVRAVXAVAWAVCZVUQVDZNVAVXO
          VBVCZVVQVTZUAVEVXOUBVFVCZVGVCZVHVCZHVIVCZVDZQVXRVJZRVXTVKZVLZVMZVRZVR
          AVVLVRUTPUBVVMVAVLZVWHVWTAVYIVVNVWIVWGVWSVVMVAVUQWBVYIVWCVWOVWFVWRVYI
          VVRVWJVWBVWNVYIVVRNVAWCZVVQVTVWJVYINVVOVYJVVQVYIVVOVAVAVBVCZVYJVVMVAV
          AVBWDVAUUCVDVYKVYJVLUUDVAUUFUUGWEWINVAVVQVWJUUHVVPVAJWFWGWEZVYIVWAVWM
          HVIVYIVVTVWLUAVHVYIVVSVWKVEVGVVMVAUBVFWHWJZWJWKWLVYIVWDVWPVWEVWQVYIVV
          RVWJQVYLWMVYIVVTVWLRVYMWNWOWSWTWPVVMVXAVLZVWHVXNAVYNVVNVXBVWGVXMVVMVX
          AVUQWBVYNVWCVXIVWFVXLVYNVVRVXDVWBVXHVYNNVVOVXCVVQVVMVXAVAVBWDWIZVYNVW
          AVXGHVIVYNVVTVXFUAVHVYNVVSVXEVEVGVVMVXAUBVFWHWJZWJWKWLVYNVWDVXJVWEVXK
          VYNVVRVXDQVYOWMVYNVVTVXFRVYPWNWOWSWTWPVVMVXOVLZVWHVYHAVYQVVNVXPVWGVYG
          VVMVXOVUQWBVYQVWCVYCVWFVYFVYQVVRVXRVWBVYBVYQNVVOVXQVVQVVMVXOVAVBWDWIZ
          VYQVWAVYAHVIVYQVVTVXTUAVHVYQVVSVXSVEVGVVMVXOUBVFWHWJZWJWKWLVYQVWDVYDV
          WEVYEVYQVVRVXRQVYRWMVYQVVTVXTRVYSWNWOWSWTWPVVMUBVLZVWHVVLAVYTVVNVURVW
          GVVGVVMUBVUQWBVYTVWCVVCVWFVVFVYTVVRTVWBVVBVYTVVRNVUQVVQVTTVYTNVVOVUQV
          VQVVMUBVAVBWDWIURUUIZVYTVWAVVAHVIVYTVVTVUTUAVHVYTVVSVUSVEVGVVMUBUBVFW
          HWJZWJWKWLVYTVWDVVDVWEVVEVYTVVRTQWUAWMVYTVVTVUTRWUBWNWOWSWTWPAVWSVWIA
          VWOVWRAVWJUAVAVAWQVCZUBVFVCZVWKVGVCZVHVCZHVIVCZVWNAVWIVWJWUGVDAVVIVWI
          VVJVAUBUUJVQZACDEFGHIJKLMNOQRSUAVAUBWUEUCUDUEUFUGUHUIUJUKULUMUNUOUPUQ
          WUEWRZXAXBAWUFVWMHVIAWUEVWLUAVHAWUDVEVWKVGAWUDVEUBVFVCVEWUCVEUBVFUUKU
          ULAUBAUBUMXCAUBUMUUMUUNUUPWKZWJWKXGAVWPRWUEVKZVWQAWUEGVWJXHZVWPWUKVLZ
          AVWIWULWUMVMWUHAVWICDEFGHIJKLMNOQRSUAVAUBWUEUCUDUEUFUGUHUIUJUKULUMUNU
          OUPUQWUIAVWIXDACDEFGHIJKLMNOQRSUAVAUBWUEUCUDUEUFUGUHUIUJUKULUMUNUOUPU
          QWUIXEXFXBXIAWUEVWLRWUJWNXJXKUUOVXAVPVDZAVXNVXPVYGVXMAWUNVMZVXPVXBVXM
          WUOVXAVVHVDZVXPVXBVRWUNWUPAWUNWUPVXAUUQUURZXLWUPVXPVXBVXAVAUBUUSZUUTV
          QUVAAWUNVXPVMZVXMVYGWUSVXMVMABVYGUSABVMZVYCVYFWUTVXFVXEVXSVGVCZVXRVYA
          HVYAXMZGWVBWRUGWUTVXTXNXOZVXFUAXPVOZVDVXFVXTXOZVXFVYAXPVOZVDWUTVEXNVD
          ZVXSXNVDZWVCXQWUTVXOUBWUTVXOWUTVXPVXOVPVDWUTWUNVXPBWUSABWUSVXMUSUVBZX
          LXIZVXOUBUVCVQXRZAVVKBUMUVDZXTZVEVXSXSYAZWUTVXFUVFUVGUVHVOZXPVOZWVDWU
          TWVGVXEXNVDZVXFWVPVDXQWUTVXAUBWUTVXABWUNABWUNVXPWVIYBXLZXRZWVLXTZVEVX
          EYCYAUAWVOXPUPUVEZYDWUTVXFWVAYEZVXFVXTVXFWVAUVIWUTWVGWVHVXEVXTVDZVXTW
          WBVLWVGWUTXQYFWVMWUTWWCWVQVEVXEYGYHZVXEVXSYGYHZWVTWUTVXAXNVDZVEVXAYGY
          HUBXNVDZVEUBYIYHZWWDWVSWUTVXAWUTVXAWVRUVJUVKWUTUBWVLXRZWUTUBWVLUVLZVX
          AUBUVMUVNZWUTVXEVXSWVTWVMWUTVXAVXOYIYHZVXEVXSYIYHZWUTVXAWVSUVOWUTWWFV
          XOXNVDWWGWWHWWLWWMYJWVSWVKWWIWWJVXAVXOUBUVPUVQYKUVRZWUTWVGWVHWWCWVQWW
          DWWEUVSYJXQWVMVEVXSVXEUVTYAUWAVEVXSVXEUWBYLZUWCZVXTVXFUAXNXNWVOXMUAXM
          UWFUAWVOUPUWDUWEZUWGYLWUTWVCWVAWVDVDWVAVXTXOZWVAWVFVDWVNWUTWVAWVPWVDW
          UTWVQWVHWVAWVPVDWVTWVMVXEVXSYCYMWWAYDWUTWWBWVAVXTWVAVXFUWHWWOUWCZVXTW
          VAUAXNWWQUWGYLWUTVXTWWBWVBWWOWUTUAYNVDZWVCVXTWVBVLUAWVOYNUPUWPUWIZWVN
          VXTUAXNWWQUWJYAYOZWUTWWBGVXRXHZWVBGVXRXHWUTWWBGVXDVXOJVOZYEZXHZWXCWUT
          VXFGVXDXHZWVAGWXDXHZVXDVXFWVAUWKZVKZWXDWXIVKZVLZWXFWUTWXGVXGXMZGVXDXH
          ZWUTVXIWXNWUTVXIVXLBVXMABWUSVXMUSUWLXLZYBZVXDVXGHWXMGWXMWRUGUWMVQZWUT
          VXFWXMGVXDWUTWWTVXFXNXOZVXFWXMVLWXAWUTWVGWVQWXRXQWVTVEVXEXSYAVXFUAXNW
          WQUWJYAYPUWNZWUTVXOVAWQVCZUBVFVCZVXSVGVCZGWXDXHZWXHWUTWYCQWXDVJZRWYBV
          KZVLZABVXPWYCWYFVMWVJAVXPCDEFGHIJKLMNOQRSUAVXOUBWYBUCUDUEUFUGUHUIUJUK
          ULUMUNUOUPUQWYBWRZAVXPXDACDEFGHIJKLMNOQRSUAVXOUBWYBUCUDUEUFUGUHUIUJUK
          ULUMUNUOUPUQWYGXEXFYQZYBWUTWYBWVAGWXDWUTWYAVXEVXSVGWUTWXTVXAUBVFWUTVX
          AUXPVDVAUXPVDWXTVXAVLWUTVXAWVRXCUWOVXAVAUWQUWRZWKZWKZYPYKZWUTVXDVXEWC
          ZVKZWXDWYMVKZWXJWXKWUTVXEVXEVXDVOZUWSZWCZVXEVXEWXDVOZUWSZWCZWYNWYOWUT
          WYQWYTWUTWYPWYSVXEWUTWYPVXEVXAJVOZVOZWYAWXTJVOZVOZWYSWUTVXDUWTXUBVXDX
          OZVXEXUBUXAZVDWYPXUCVLWUTWXMGVXDWXQUXBWUTVXAVXCVDZXUFWUTWUPXUHWUTWUNW
          UPWVRWUQVQZVAVXAVNVQNVXCVVQVXAXUBVVPVXAJWFUXCVQWUTVXEVXAVAWQVCZUBVFVC
          ZVXEVGVCZXUGWUTXUKYRVDVXEYRVDZXUKVXEYGYHVXEXULVDWUTXUKWUTXUJUBWUTWWFX
          UJXNVDZWVSVXAUXDVQZWVLXTZYSWUTVXEWVTYSZWUTXUKVXEXUPWVTWUTXUJVXAYIYHZX
          UKVXEYIYHZWUTVXAWVSUXEWUTXUNWWFWWGWWHXURXUSYJXUOWVSWWIWWJXUJVXAUBUVPU
          VQYKUVRXUKVXEUXFYLWUTXULGXUBWUTXULGXUBXHZQXUBVJRXULVKVLZABVXBXUTXVAVM
          WUTWUPVXPVXBXUIWVJWURYMAVXBCDEFGHIJKLMNOQRSUAVXAUBXULUCUDUEUFUGUHUIUJ
          UKULUMUNUOUPUQXULWRZAVXBXDACDEFGHIJKLMNOQRSUAVXAUBXULUCUDUEUFUGUHUIUJ
          UKULUMUNUOUPUQXVBXEXFYQYBUXGUXHVXEVXDXUBUXIYLWUTWYAVXEXUDXUBWUTWXTVXA
          JWYIUXJWYJUXKWUTWYAWXDVOZXUEWYSABVXPXVCXUEVLWVJACDEFGHIJKLMNOQRSUAVXO
          UBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQUXLYQWUTWYAVXEWXDWYJUXJYOUXMUXNUXOWUT
          VXDVXFUXQVXEVXFVDZWYNWYRVLWUTVXFGVXDWXSUXRWUTVEYRVDZXUMWWDXVDXVEWUTUX
          SYFZXUQWWKVEVXEUXFYLVXFVXEVXDUXTYMWUTWXDWVAUXQVXEWVAVDZWYOXUAVLWUTWVA
          GWXDWYLUXRWUTXUMVXSYRVDZWWEXVGXUQWUTVXSWVMYSZWWNVXEVXSUYAYLWVAVXEWXDU
          XTYMUYBWUTWXIWYMVXDWUTWXIWWDVXEVEUYGZWWEVXEVXSUYGZVGVCZVXEVXEVGVCZWYM
          WUTXVEXUMXUMXVHWXIXVLVLXVFXUQXUQXVICUTDVEVXEVXEVXSYGYGVGCUTDUYCVEVXED
          VSZUYDXVNVXEVXSUYEUYHUVNWUTXVJVXEXVKVXEVGWUTWWDVXEVEWWKUYFWUTWWEVXEVX
          SWWNUYFUYIWUTXUMXVMWYMVLXUQVXEUYJVQUYKZWNWUTWXIWYMWXDXVOWNUYBZVXFWVAG
          VXDWXDUYLYLWUTWWBGWXEVXRWUTVXRNVXCVXOWCZYEZVVQVTZWXEWUTNVXQXVRVVQWUTW
          UPVXQXVRVLXUIVAVXAUYMVQWIXVSVXDNXVQVVQVTZYEWXENVXCXVQVVQUYNXVTWXDVXDN
          VXOVVQWXDVXAVAWAUYOVVPVXOJWFWGUYPUYQUYRZUYSYKWUTWWBWVBGVXRWXBYPYKWUTV
          XDVXHVXRVXFVKZVYAVXFVHVCZHVIVCWXPWUTWXEVXFVKZXWBVXDWUTWXEVXRVXFXWAUYT
          WUTWXGWXHWXLXWDVXDVLWXSWYLXVPVXFWVAGVXDWXDVUAYLYOWUTXWCVXGHVIWUTWWTWV
          EVXTYTVDZXWCVXGVLWWTWUTWXAYFZWWPXWEWUTVEVXSVGUYOYFZVXFVXTUAYNYTVUBYLW
          KVUCWUTWXDUAWVAVHVCZHVIVCZVXRWVAVKZVYAWVAVHVCZHVIVCWUTWXDUAWYBVHVCZHV
          IVCZXWIABVXPWXDXWMVDWVJACDEFGHIJKLMNOQRSUAVXOUBWYBUCUDUEUFUGUHUIUJUKU
          LUMUNUOUPUQWYGXAYQWUTXWLXWHHVIWUTWYBWVAUAVHWYKWJWKXGWUTWXEWVAVKZXWJWX
          DWUTWXEVXRWVAXWAUYTWUTWXGWXHWXLXWNWXDVLWXSWYLXVPVXFWVAGVXDWXDVUDYLYOW
          UTXWKXWHHVIWUTWWTWWRXWEXWKXWHVLXWFWWSXWGWVAVXTUAYNYTVUBYLWKVUCVUFWUTV
          YERWWBVKZQWXEVJZVYDWUTVXTWWBRWWOWNWUTVXJWYDYEVXKRWVAVKZYEXWPXWOWUTVXJ
          VXKWYDXWQWUTVXIVXLWXOXIWUTWYDWYEXWQWUTWYCWYFWYHXIWUTWYBWVARWYKWNXJVUE
          QVXDWXDVUGRVXFWVAVUHVUOWUTWXEVXRQXWAWMVUIXKVUJVUKVULVUMVUNVUP $.
      $}

      $( Lemma for ~ cvmlift .  (Contributed by Mario Carneiro,
         14-Feb-2015.) $)
      cvmliftlem11 $p |- ( ph -> ( K e. ( II Cn C ) /\ ( F o. K ) = G ) ) $=
        ( vn cii ccn co wcel ccom wceq cc0 cdiv cicc crest cres cv cn caddc cfz
        c1 wa cfv ciun biid cvmliftlem10 simpld crn ctg a1i nncnd nnne0d dividd
        oveq2d oveq12d dfii2 eqtr4di oveq1d eleqtrd simprd reseq2d wf wfn iiuni
        cioo cnf ffn fnresdm 4syl 3eqtrd jca ) ARURGUSUTZVAORVBZPVCARSVDTTVEUTZ
        VFUTZVGUTZGUSUTZXDARXIVAZXEPXGVHZVCZAUQVIZVJVAXMVMVKUTVMTVLUTVAVNMVMXMV
        LUTMVIIVOVPZSVDXMTVEUTVFUTZVGUTGUSUTVAOXNVBPXOVHVCVNVNZBCDEFGHIJKLMNUQO
        PQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPXPVQVRZVSAXHURGUSAXHWQVTWAVOZVDVMV
        FUTZVGUTURASXRXGXSVGSXRVCAUNWBAXFVMVDVFATATUKWCATUKWDWEWFZWGWHWIWJWKAXE
        XKPXSVHZPAXJXLXQWLAXGXSPXTWMAPURQUSUTVAXSUAPWNPXSWOYAPVCUHPURQXSUAWPUFW
        RXSUAPWSXSPWTXAXBXC $.

      $( Lemma for ~ cvmlift .  The initial value of ` K ` is ` P ` because
         ` Q ( 1 ) ` is a subset of ` K ` which takes value ` P ` at ` 0 ` .
         (Contributed by Mario Carneiro, 16-Feb-2015.) $)
      cvmliftlem13 $p |- ( ph -> ( K ` 0 ) = P ) $=
        ( cc0 cfv c1 cop csn wfun wss cdm wcel wceq cicc co cii wf cvmliftlem11
        ccn ccom simpld iiuni cnf syl ffund cfz cv ciun cuz cn eleqtrdi eluzfz1
        nnuz fveq2 ssiun2s sseqtrrdi cmin cxr cle wbr 0xr a1i nnrecred rexrd cr
        cdiv 1red 0le1 nnred nngt0d divge0 syl22anc lbicc2 syl3anc 1m1e0 oveq1i
        clt nncnd nnne0d div0d syl5eq oveq1d eleqtrrd cres wa simpr cvmliftlem7
        eqid cvmliftlem6 mpdan fdmd cvmliftlem9 fveq2d fveq2i cvmliftlem4 eqtri
        funssfv fveq12d 3eqtr3d cn0 0nn0 fvsng sylancr 3eqtrd ) AUQRURZUQUSIURZ
        URZUQUQHUTVAZURZHARVBYSRVCUQYSVDZVEYRYTVFAUQUSVGVHZFRARVIGVLVHVEZUUDFRV
        JAUUEORVMPVFABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPVKVNRVI
        GUUDFVOUEVPVQVRAYSMUSTVSVHZMVTZIURZWAZRAUSUUFVEZYSUUIVCATUSWBURZVEUUJAT
        WCUUKUKWFWDUSTWEVQZMUUFUUHUSYSUUGUSIWGWHVQUPWIAUQUSUSWJVHZTWSVHZUSTWSVH
        ZVGVHZUUCAUQUQUUOVGVHZUUPAUQWKVEZUUOWKVEUQUUOWLWMZUQUUQVEUURAWNWOAUUOAT
        UKWPWQAUSWRVEUQUSWLWMZTWRVEUQTXJWMUUSAWTUUTAXAWOATUKXBATUKXCUSTXDXEUQUU
        OXFXGAUUNUQUUOVGAUUNUQTWSVHUQUUMUQTWSXHXIATATUKXKATUKXLXMXNZXOXPAUUPFYS
        AUUPFYSVJZOYSVMPUUPXQVFZAUUJUVBUVCXRUULAUUJBCDEFGHIJKLMNOPQSUSTUUPUAUBU
        CUDUEUFUGUHUIUJUKULUMUNUOUUPYAZAUUJXSABCDEFGHIJKLMNOPQSUSTUUPUAUBUCUDUE
        UFUGUHUIUJUKULUMUNUOUVDXTYBYCVNYDXPUQRYSYJXGAUUNYSURZUUNUUMIURZURZYTUUB
        AUUJUVEUVGVFUULABCDEFGHIJKLMNOPQSUSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOYEYCA
        UUNUQYSUVAYFAUUNUQUVFUUAUVFUUAVFAUVFUQIURUUAUUMUQIXHYGABCDEFGHIJKLMNOPQ
        STUAUBUCUDUEUFUGUHUIUJUKULUMUNUOYHYIWOUVAYKYLAUQYMVEHFVEUUBHVFYNUIUQHYM
        FYOYPYQ $.

      $( Lemma for ~ cvmlift .  Putting the results of ~ cvmliftlem11 ,
         ~ cvmliftlem13 and ~ cvmliftmo together, we have that ` K ` is a
         continuous function, satisfies ` F o. K = G ` and ` K ( 0 ) = P ` ,
         and is equal to any other function which also has these properties, so
         it follows that ` K ` is the unique lift of ` G ` .  (Contributed by
         Mario Carneiro, 16-Feb-2015.) $)
      cvmliftlem14 $p |- ( ph ->
          E! f e. ( II Cn C ) ( ( F o. f ) = G /\ ( f ` 0 ) = P ) ) $=
        ( cv ccom wceq cc0 cfv wa cii ccn co wrex wrmo wreu cvmliftlem11 simpld
        simprd cvmliftlem13 coeq2 eqeq1d fveq1 anbi12d rspcev syl12anc c1 iiuni
        wcel cicc cconn iiconn cnlly iinllyconn 0elunit cvmliftmo reu5 sylanbrc
        a1i ) APLURZUSZQUTZVAWMVBZHUTZVCZLVDGVEVFZVGZWRLWSVHWRLWSVIASWSWBZPSUSZ
        QUTZVASVBZHUTZWTAXAXCABCDEFGHIJKMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOU
        PUQVJZVKAXAXCXFVLABCDEFGHIJKMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQV
        MWRXCXEVCLSWSWMSUTZWOXCWQXEXGWNXBQWMSPVNVOXGWPXDHVAWMSVPVOVQVRVSAFGHLPQ
        RVDVAVAVTWCVFZUFWAUHVDWDWBAWEWLVDWDWFWBAWGWLVAXHWBAWHWLUIUJUKWIWRLWSWJW
        K $.
    $}

    $( Lemma for ~ cvmlift .  Discharge the assumptions of ~ cvmliftlem14 .
       The set of all open subsets ` u ` of the unit interval such that
       ` G " u ` is contained in an even covering of some open set in ` J ` is
       a cover of ` II ` by the definition of a covering map, so by the
       Lebesgue number lemma ~ lebnumii , there is a subdivision of the closed
       unit interval into ` N ` equal parts such that each part is entirely
       contained within one such open set of ` J ` .  Then using finite choice
       ~ ac6sfi to uniformly select one such subset and one even covering of
       each subset, we are ready to finish the proof with ~ cvmliftlem14 .
       (Contributed by Mario Carneiro, 14-Feb-2015.) $)
    cvmliftlem15 $p |- ( ph ->
        E! f e. ( II Cn C ) ( ( F o. f ) = G /\ ( f ` 0 ) = P ) ) $=
      ( vn vj vx vg vz vy vw vt vc va vm vb cv cmin cdiv cicc wss cima cfv wrex
      c1 co cii crab cfz wral cn ccom wceq cc0 wa ccn wreu cuni ssrab2 wcel wne
      c0 ccnv ad2antrr simprl cnima syl2anc simplr simprrl wf wfn iiuni cnf syl
      ffn elpreima 3syl mpbir2and simprrr crn cin wfun funimacnv inss1 eqsstrdi
      wb ffun ralrimivw r19.2z eleq2 imaeq2 sseq1d rexbidv anbi12d rspcev sylib
      ex sylancr csn cxp ciun c1st weq cop vex sseq2d fveq2 c2nd crio cres cmpt
      cvv cmpo cseq ax-mp eqid 2fveq3 eleq1d syl5eq reseq2d cnveqd fveq1d oveq1
      syl12anc adantr ffvelrnda cvmcov reximddv r19.42v rexbii elunirab 3bitr4i
      ccvm rexcom ssrdv uniss mp1i sseqtrrdi eqssd lebnumii wex cfn fzfi rexrab
      2rexbidv op1std rexiunxp wi imass2 sstr2 reximdv syl5bir impcom rexlimivw
      sylbi ralimi ac6sfi cid cun cioo sneq xpeq12d cbviunv feq3 simprr cbvmptv
      ctg cbvriotavw fveq1 riotabidv mpteq2dv oveq1d oveq12d fveq2d riotaeqbidv
      mpteq12dv cbvmpov seqeq2 cvmliftlem14 exlimdv syl5 rexlimdva mpd ) AIUNZV
      BUOVCUBUNZUPVCUXAUXBUPVCUQVCZBUNZURZBKCUNZUSZUCUNZURZNUXHGUTZVAZUCLVAZCVD
      VEZVAZIVBUXBVFVCZVGZUBVHVAZJHUNZVIKVJVKUXRUTFVJVLHVDEVMVCVNZAUXMVDURZVKVB
      UQVCZUXMVOZVJUXQUXLCVDVPZAUYAUYBAUDUYAUYBAUDUNZUYAVQZUYDUYBVQZAUYEVLZUYDU
      XFVQZUXKVLZCVDVAZUCLVAZUYFUYGUYDKUTZUXHVQZUXJVSVRZVLZUYJUCLUYGUXHLVQZUYOV
      LZVLZKVTUXHUSZVDVQZUYDUYSVQZKUYSUSZUXHURZNUXJVAZUYJUYRKVDLVMVCVQZUYPUYTAV
      UEUYEUYQSWAUYGUYPUYOWBUXHKVDLWCWDUYRVUAUYEUYMAUYEUYQWEUYGUYPUYMUYNWFUYRUY
      AMKWGZKUYAWHVUAUYEUYMVLXCAVUFUYEUYQAVUEVUFSKVDLUYAMWIQWJWKZWAZUYAMKWLUYAU
      YDUXHKWMWNWOUYRUYNVUCNUXJVGVUDUYGUYPUYMUYNWPUYRVUCNUXJUYRVUBUXHKWQZWRZUXH
      UYRVUFKWSVUBVUJVJVUHUYAMKXDUXHKWTWNUXHVUIXAXBXEVUCNUXJXFWDUYIVUAVUDVLCUYS
      VDUXFUYSVJZUYHVUAUXKVUDUXFUYSUYDXGVUKUXIVUCNUXJVUKUXGVUBUXHUXFUYSKXHXIXJX
      KXLUUAUYGJELUUJVCVQZUYLMVQUYOUCLVAAVULUYERUUBAUYAMUYDKVUGUUCUCBCEUYLGIJLM
      NOQUUDWDUUEUYIUCLVAZCVDVAUYHUXLVLZCVDVAUYKUYFVUMVUNCVDUYHUXKUCLUUFUUGUYIU
      CCLVDUUKUXLCUYDVDUUHUUIXMXNUULAUYBVDVOZUYAUXTUYBVUOURAUYCUXMVDUUMUUNWIUUO
      UUPBUXMIUBUUQXOAUXPUXSUBVHUXPUXOUCLUXHXPZUXJXQZXRZUEUNZWGZKUXCUSZUXAVUSUT
      ZXSUTZURZIUXOVGZVLZUEUURZAUXBVHVQZVLZUXSUXPUXOUUSVQVVAUXFXSUTZURZCVURVAZI
      UXOVGVVGVBUXBUUTUXNVVLIUXOUXNKUXDUSZUXHURZNUXJVAUCLVAZUXEVLZBVDVAVVLUXLVV
      OUXEBCVDCBXTZUXIVVNUCNLUXJVVQUXGVVMUXHUXFUXDKXHXIUVBUVAVVPVVLBVDUXEVVOVVL
      VVOVVMVVJURZCVURVAUXEVVLVVRVVNCUCNLUXJUXFUXHNUNZYAVJVVJUXHVVMUXHVVSUXFUCY
      BNYBUVCYCUVDUXEVVRVVKCVURUXEVVAVVMURVVRVVKUVEUXCUXDKUVFVVAVVMVVJUVGWKUVHU
      VIUVJUVKUVLUVMVVKVVDICUXOVURUEUXFVVBVJVVJVVCVVAUXFVVBXSYDYCUVNXOVVIVVFUXS
      UEVVIVVFUXSVVIVVFVLZUDUFBCDEFUGUHYIVHUIUHUNZVBUOVCZUXBUPVCZVWAUXBUPVCZUQV
      CZUIUNZKUTJVWCUGUNZUTZUJUNZVQZUJVWAVUSUTYEUTZYFZYGZVTZUTZYHZYJZUVOVHYGVKV
      KFYAXPYAXPUVPZVKYKZGVUSHUKIULJKLIUXOUXAVWSUTXRZUVQWQUWDUTZUXBMNUMOPQAVULV
      VHVVFRWAAVUEVVHVVFSWAAFDVQVVHVVFTWAAFJUTVKKUTVJVVHVVFUAWAAVVHVVFWEVVTVUTU
      XOUKLUKUNZXPZVXBGUTZXQZXRZVUSWGZVVIVUTVVEWBVURVXFVJVUTVXGXCUCUKLVUQVXEUCU
      KXTVUPVXCUXJVXDUXHVXBUVRUXHVXBGYDUVSUVTVURVXFUXOVUSUWAYLXMVVIVUTVVEUWBVXA
      YMVWQUDULYIVHUFULUNZVBUOVCZUXBUPVCZVXHUXBUPVCZUQVCZUFUNZKUTZJVXJUYDUTZUMU
      NZVQZUMVXHVUSUTYEUTZYFZYGZVTZUTZYHZYJZVJVWSVYDVWRVKYKVJUGUHUDULYIVHVWPVYC
      UFVWEVXNJVWCUYDUTZVXPVQZUMVWKYFZYGZVTZUTZYHZUGUDXTZVWPUFVWEVXNVWNUTZYHVYK
      UIUFVWEVWOVYMVWFVXMVWNKYNUWCVYLUFVWEVYMVYJVYLVXNVWNVYIVYLVWMVYHVYLVWLVYGJ
      VYLVWLVWHVXPVQZUMVWKYFVYGVWJVYNUJUMVWKVWIVXPVWHXGUWEVYLVYNVYFUMVWKVYLVWHV
      YEVXPVWCVWGUYDUWFYOUWGYPYQYRYSUWHYPUHULXTZUFVWEVYJVXLVYBVYOVWCVXJVWDVXKUQ
      VYOVWBVXIUXBUPVWAVXHVBUOYTUWIZVWAVXHUXBUPYTUWJVYOVXNVYIVYAVYOVYHVXTVYOVYG
      VXSJVYOVYFVXQUMVWKVXRVWAVXHYEVUSYNVYOVYEVXOVXPVYOVWCVXJUYDVYPUWKYOUWLYQYR
      YSUWMUWNVWQVYDVWRVKUWOYLVWTYMUWPXNUWQUWRUWSUWT $.
  $}

  $(
  @{
    iscvm2.1 @e |- X = U. J @.
    iscvm2.2 @e |- A = { j e. Top | E. y
      E. g e. ( ( j tX ~P y ) Homeo ( C |`t ( `' F " U. j ) ) )
       ( g o. ( F |` ( `' F " U. j ) ) ) = ( 1st |` ( U. j X. y ) ) } @.
    @{
      iscvm2.s @e |- S = ( k e. J |->
        { s e. ( ~P C \ { (/) } ) | ( U. s = ( `' F " k ) /\
          A. u e. s ( A. v e. ( s \ { u } ) ( u i^i v ) = (/) /\
             ( F |` u ) e. ( ( C |`t u ) Homeo ( J |`t k ) ) ) ) } ) @.
      @( An alternative characterization of covering maps using the
         ` Locally A `
         predicate. A continuous function ` F ` is a covering map iff ` J ` is
         locally evenly covered, where " ` x ` is evenly covered" means that
         ` ``' F " x ` is homeomorphic to the product of ` x ` with a discrete
         space, and such that ` F ` looks like the first projection function
         under this homeomorphism. @)
      iscvm2lem @p |- ( ( C e. Top /\ J e. Top /\ F e. ( C Cn J ) ) ->
        ( F e. ( C CovMap J ) <-> J e. Locally A ) ) @=
        ? @.
        @( [13-Feb-2015] @)
    @}

    @( An alternative characterization of covering maps using the ` Locally A `
       predicate. A continuous function ` F ` is a covering map iff ` J ` is
       locally evenly covered, where " ` x ` is evenly covered" means that
       ` ``' F " x ` is homeomorphic to the product of ` x ` with a discrete
       space, and such that ` F ` looks like the first projection function
       under this homeomorphism. @)
    iscvm2 @p |- ( ( C e. Top /\ J e. Top /\ F e. ( C Cn J ) ) ->
      ( F e. ( C CovMap J ) <-> J e. Locally A ) ) @=
      ? @.
      @( [13-Feb-2015] @)
  @}
  $)

  ${
    $d a b c d f k s u v C $.  $d a b c d f G $.  $d a b c d f P $.  $d a X $.
    $d a b c d f k s u v F $.  $d a b c d f k s u v J $.  $d b c d f B $.
    cvmlift.1 $e |- B = U. C $.
    $( One of the important properties of covering maps is that any path ` G `
       in the base space "lifts" to a path ` f ` in the covering space such
       that ` F o. f = G ` , and given a starting point ` P ` in the covering
       space this lift is unique.  The proof is contained in ~ cvmliftlem1 thru
       ~ cvmliftlem15 .  (Contributed by Mario Carneiro, 16-Feb-2015.) $)
    cvmlift $p |- ( ( ( F e. ( C CovMap J ) /\ G e. ( II Cn J ) ) /\
      ( P e. B /\ ( F ` P ) = ( G ` 0 ) ) ) ->
        E! f e. ( II Cn C ) ( ( F o. f ) = G /\ ( f ` 0 ) = P ) ) $=
      ( vd vc vk vs vu vv va co wcel wa wceq cv ccvm cii ccn cfv cuni ccnv cima
      vb cc0 cin c0 csn cdif wral cres crest chmeo cpw crab cmpt cvmscbv simpll
      eqid simplr simprl simprr cvmliftlem15 ) EBGUAPQZFUBGUCPQZRZCAQZCEUDUIFUD
      SZRZRIJABCKGLTZUEEUFKTZUGSMTZNTUJUKSNVNVPULUMUNEVPUOBVPUPPGVOUPPUQPQRMVNU
      NRLBURUKULUMUSUTZDOEFGGUEZUHNMBVQKEGLOUHJIVQVCVAHVRVCVHVIVMVBVHVIVMVDVJVK
      VLVEVJVKVLVFVG $.

    cvmfo.2 $e |- X = U. J $.
    $( A covering map is an onto function.  (Contributed by Mario Carneiro,
       13-Feb-2015.) $)
    cvmfo $p |- ( F e. ( C CovMap J ) -> F : B -onto-> X ) $=
      ( vd vc vk vs vu vv va vb cv wceq c0 csn co cuni ccnv cima cdif wral cres
      cin crest chmeo wcel wa cpw crab cmpt eqid cvmscbv cvmfolem ) HIABJDKPZUA
      CUBJPZUCQLPZMPUGRQMURUTSUDUECUTUFBUTUHTDUSUHTUITUJUKLURUEUKKBULRSUDUMUNZN
      CDEOMLBVAJCDKNOIHVAUOUPFGUQ $.
  $}

  ${
    $d g B $.  $d f g C $.  $d f g F $.  $d f g G $.  $d g H $.  $d f g P $.
    $d g J $.
    cvmliftiota.b $e |- B = U. C $.
    cvmliftiota.h $e |- H =
      ( iota_ f e. ( II Cn C ) ( ( F o. f ) = G /\ ( f ` 0 ) = P ) ) $.
    cvmliftiota.f $e |- ( ph -> F e. ( C CovMap J ) ) $.
    cvmliftiota.g $e |- ( ph -> G e. ( II Cn J ) ) $.
    cvmliftiota.p $e |- ( ph -> P e. B ) $.
    cvmliftiota.e $e |- ( ph -> ( F ` P ) = ( G ` 0 ) ) $.
    $( Write out a function ` H ` that is the unique lift of ` F ` .
       (Contributed by Mario Carneiro, 16-Feb-2015.) $)
    cvmliftiota $p |- ( ph ->
        ( H e. ( II Cn C ) /\ ( F o. H ) = G /\ ( H ` 0 ) = P ) ) $=
      ( vg wceq cc0 cfv wcel cv ccom wa cii ccn co crab crio coeq2 eqeq1d fveq1
      w3a anbi12d cbvriotavw eqtri wreu ccvm cvmlift syl22anc riotacl2 eqeltrid
      syl elrab 3anass bitr4i sylib ) AHFPUAZUBZGQZRVGSZDQZUCZPUDCUEUFZUGZTZHVM
      TZFHUBZGQZRHSZDQZULZAHVLPVMUHZVNHFEUAZUBZGQZRWCSZDQZUCZEVMUHWBKWHVLEPVMWC
      VGQZWEVIWGVKWIWDVHGWCVGFUIUJWIWFVJDRWCVGUKUJUMUNUOAVLPVMUPZWBVNTAFCIUQUFT
      GUDIUEUFTDBTDFSRGSQWJLMNOBCDPFGIJURUSVLPVMUTVBVAVOVPVRVTUCZUCWAVLWKPHVMVG
      HQZVIVRVKVTWLVHVQGVGHFUIUJWLVJVSDRVGHUKUJUMVCVPVRVTVDVEVF $.
  $}

  ${
    $d t u x y z $.  $d u y z M $.
    $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro, 1-Jun-2015.) $)
    cvmlift2lem1 $p |- ( A. y e. ( 0 [,] 1 ) E. u e. ( ( nei ` II ) ` { y } )
        ( ( u X. { x } ) C_ M <-> ( u X. { t } ) C_ M ) ->
      ( ( ( 0 [,] 1 ) X. { x } ) C_ M ->
        ( ( 0 [,] 1 ) X. { t } ) C_ M ) ) $=
      ( vz cv csn cxp wss wb cii cfv wral cop wcel iitop mpan adantl vex cc0 c1
      cnei wrex cicc co wi wa biimp ctop iiuni neii1 xpss1 syl simpl sstrd snss
      ssnei sylibr vsnid opelxpi sylancl ssel syl5com embantd rexlimdva ralimdv
      syl5 com12 dfss3 eleq1 ralxp weq opeq2 eleq1d ralsn ralbii 3bitri syl6ibr
      ) CGZAGHZIZEJZVTDGZHZIZEJZKZCBGZHZLUCMMZUDZBUAUBUEUFZNZWMWAIZEJZWIWDOZEPZ
      BWMNZWMWEIZEJZWPWNWSWPWLWRBWMWPWHWRCWKWHWCWGUGWPVTWKPZUHZWRWCWGUIXCWCWGWR
      XCWBWOEXCVTWMJZWBWOJXBXDWPLUJPZXBXDQWJLVTWMUKULRSVTWMWAUMUNWPXBUOUPXCWQWF
      PZWGWRXCWIVTPZWDWEPXFXCWJVTJZXGXBXHWPXEXBXHQWJLVTURRSWIVTBTUQUSDUTWIWDVTW
      EVAVBWFEWQVCVDVEVHVFVGVIXAFGZEPZFWTNWIVTOZEPZCWENZBWMNWSFWTEVJXJXLFBCWMWE
      XIXKEVKVLXMWRBWMXLWRCWDDTCDVMXKWQEVTWDWIVNVOVPVQVRVS $.
  $}

  ${
    $d c d k s A $.  $d c d k s F $.  $d x H $.  $d c d k s J $.  $d c d s T $.
    $d c d k s x C $.  $d x K $.  $d x M $.  $d x ph $.  $d c d x W $.
    cvmlift2lem9a.b $e |- B = U. C $.
    cvmlift2lem9a.y $e |- Y = U. K $.
    cvmlift2lem9a.s $e |- S = ( k e. J |->
      { s e. ( ~P C \ { (/) } ) | ( U. s = ( `' F " k ) /\
        A. c e. s ( A. d e. ( s \ { c } ) ( c i^i d ) = (/) /\
           ( F |` c ) e. ( ( C |`t c ) Homeo ( J |`t k ) ) ) ) } ) $.
    cvmlift2lem9a.f $e |- ( ph -> F e. ( C CovMap J ) ) $.
    cvmlift2lem9a.h $e |- ( ph -> H : Y --> B ) $.
    cvmlift2lem9a.g $e |- ( ph -> ( F o. H ) e. ( K Cn J ) ) $.
    cvmlift2lem9a.k $e |- ( ph -> K e. Top ) $.
    cvmlift2lem9a.1 $e |- ( ph -> X e. Y ) $.
    cvmlift2lem9a.2 $e |- ( ph -> T e. ( S ` A ) ) $.
    cvmlift2lem9a.3 $e |- ( ph -> ( W e. T /\ ( H ` X ) e. W ) ) $.
    cvmlift2lem9a.4 $e |- ( ph -> M C_ Y ) $.
    cvmlift2lem9a.6 $e |- ( ph -> ( H " M ) C_ W ) $.
    $( Lemma for ~ cvmlift2 and ~ cvmlift3 .  (Contributed by Mario Carneiro,
       9-Jul-2015.) $)
    cvmlift2lem9a $p |- ( ph -> ( H |` M ) e. ( ( K |`t M ) Cn C ) ) $=
      ( vx crest co ccn cres ctop wcel wss ccvm cvmtop1 syl cnrest2r wf ccnv cv
      cima wral wfn ffnd fnssres syl2anc df-ima eqsstrrid df-f sylanbrc wa ccom
      crn wf1 wceq wf1o cfv simpld cvmsf1o syl3anc adantr f1of1 ctopon toptopon
      sylib cvmsss toponss resttopon sylan f1imacnv imaeq2d imaco cnvco eqtr4di
      sseldd cores resco cnveqd eqtr3id imaeq1d eqtr3d cnrest restopn2 simprbda
      resima2 wb cvmopn eqeltrd cnima ralrimiva iscn mpbir2and ) AKLULUMZDMULUM
      ZUNUMZXRDUNUMZILUOZADUPUQZXTYAURAHDJUSUMUQZYCUBDHJUTVAZMXRDVBVAAYBXTUQZLM
      YBVCZYBVDZUKVEZVFZXRUQZUKXSVGZAYBLVHZYBVRZMURZYGAIOVHLOURZYMAOCIUCVIUIOLI
      VJVKAYNILVFMILVLUJVMZLMYBVNVOAYKUKXSAYIXSUQZVPZYJHIVQZLUOZVDZHMUOZYIVFZVF
      ZXRYSYHUUCVDZUUDVFZVFZYJUUEYSUUGYIYHYSMBUUCVSZYIMURZUUGYIVTYSMBUUCWAZUUIA
      UUKYRAYDFBEWBUQZMFUQZUUKUBUGAUUMNIWBMUQUHWCZRQMDEFBGHJPUAWDWEWFMBUUCWGVAA
      XSMWHWBUQZYRUUJADCWHWBUQZMCURZUUOAYCUUPYEDCSWIWJZAUUPMDUQZUUQUURAFDMAUULF
      DURUGRQDEFBGHJPUAWKVAUUNWTZMDCWLVKMDCWMVKZYIXSMWLWNZMBYIUUCWOVKWPYSUUHYHU
      UFVQZUUDVFUUEYHUUFUUDWQYSUVCUUBUUDYSUVCUUCYBVQZVDUUBUUCYBWRYSUVDUUAAUVDUU
      AVTYRAUVDHYBVQZUUAAYOUVDUVEVTYQHYBMXAVAHILXBWSWFXCXDXEXDXFYSUUAXRJUNUMUQZ
      UUDJUQUUEXRUQAUVFYRAYTKJUNUMUQYPUVFUDUILYTKJOTXGVKWFYSUUDHYIVFZJYSUUJUUDU
      VGVTUVBHYIMXJVAYSYDYIDUQZUVGJUQAYDYRUBWFAYRUVHUUJAYCUUSYRUVHUUJVPXKYEUUTM
      YIDXHVKXIYIDHJXLVKXMUUDUUAXRJXNVKXMXOAXRLWHWBUQZUUOYFYGYLVPXKAKOWHWBUQZYP
      UVIAKUPUQUVJUEKOTWIWJUILKOWMVKUVAUKYBXRXSLMXPVKXQWT $.
  $}

  ${
    $d b c d f g h k m s u v w x y z F $.  $d a b f g m n r t u v w x y z ph $.
    $d a t v x A $.  $d a b c d k r s u x y z M $.  $d b f m t u v w x y z S $.
    $d b c d f g k m s u v w x y z J $.  $d b c d s u v T $.  $d m n u w z U $.
    $d a b c f g h k m t u v w x y z G $.  $d m n u w V $.  $d c d m n u v W $.
    $d b c f u v w x y z H $.  $d a b c d f k m t u v w x y z X $.  $d z Z $.
    $d a b c d f g h k m r s t u v w x y z C $.  $d f g h k u v x y z P $.
    $d b c d v w x y z B $.  $d a b c d f k m t u v w x y z Y $.
    cvmlift2.b $e |- B = U. C $.
    cvmlift2.f $e |- ( ph -> F e. ( C CovMap J ) ) $.
    cvmlift2.g $e |- ( ph -> G e. ( ( II tX II ) Cn J ) ) $.
    cvmlift2.p $e |- ( ph -> P e. B ) $.
    cvmlift2.i $e |- ( ph -> ( F ` P ) = ( 0 G 0 ) ) $.
    ${
      cvmlift2.h $e |- H = ( iota_ f e. ( II Cn C )
      ( ( F o. f ) = ( z e. ( 0 [,] 1 ) |-> ( z G 0 ) ) /\ ( f ` 0 ) = P ) ) $.
      $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro,
         7-May-2015.) $)
      cvmlift2lem2 $p |- ( ph -> ( H e. ( II Cn C ) /\
        ( F o. H ) = ( z e. ( 0 [,] 1 ) |-> ( z G 0 ) ) /\ ( H ` 0 ) = P ) ) $=
        ( cc0 co cii cfv c1 cicc cv cmpt ctopon wcel iitopon a1i cnmptid cnmptc
        0elunit cnmpt12f wceq oveq1 eqid ovex fvmpt ax-mp eqtr4di cvmliftiota )
        ACDEFGBQUAUBRZBUCZQHRZUDZIJKPLABVBQHSSSJVASVAUETUFAUGUHZABSVAVEUIABQSSV
        AVAVEVEQVAUFZAUKUHUJMULNAEGTQQHRZQVDTZOVFVHVGUMUKBQVCVGVAVDVBQQHUNVDUOQ
        QHUPUQURUSUT $.

      ${
        cvmlift2lem3.1 $e |- K = ( iota_ f e. ( II Cn C ) ( ( F o. f ) =
     ( z e. ( 0 [,] 1 ) |-> ( X G z ) ) /\ ( f ` 0 ) = ( H ` X ) ) ) $.
        $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro,
           7-May-2015.) $)
        cvmlift2lem3 $p |- ( ( ph /\ X e. ( 0 [,] 1 ) ) ->
      ( K e. ( II Cn C ) /\ ( F o. K ) = ( z e. ( 0 [,] 1 ) |-> ( X G z ) ) /\
        ( K ` 0 ) = ( H ` X ) ) ) $=
          ( cii cc0 c1 cicc co wcel wa cv cmpt ccvm adantr ctopon iitopon simpr
          cfv a1i cnmptc cnmptid ctx ccn cnmpt12f ccom wceq cvmlift2lem2 simp1d
          wf iiuni cnf syl ffvelrnda 0elunit oveq2 eqid ovex mp1i simp2d fveq1d
          fvmpt oveq1 sylan9eq fvco3 sylan 3eqtr2rd cvmliftiota ) ALUAUBUCUDZUE
          ZUFZCDLIUNZFGBWDLBUGZHUDZUHZKJMSAGDJUIUDUEWENUJWFBLWHHTTTJWDTWDUKUNUE
          WFULUOZWFBLTTWDWDWKWKAWEUMUPWFBTWDWKUQAHTTURUDJUSUDUEWEOUJUTAWDCLIAIT
          DUSUDUEZWDCIVEZAWLGIVAZBWDWHUAHUDZUHZVBZUAIUNEVBZABCDEFGHIJMNOPQRVCZV
          DITDWDCVFMVGVHZVIWFUAWJUNZLUAHUDZLWNUNZWGGUNZUAWDUEXAXBVBWFVJBUAWIXBW
          DWJWHUALHVKWJVLLUAHVMZVQVNAWEXCLWPUNXBALWNWPAWLWQWRWSVOVPBLWOXBWDWPWH
          LUAHVRWPVLXEVQVSAWMWEXCXDVBWTWDCLGIVTWAWBWC $.
      $}

      $d a b c d f g m n r t u v w x y z K $.
      cvmlift2.k $e |- K = ( x e. ( 0 [,] 1 ) , y e. ( 0 [,] 1 ) |->
          ( ( iota_ f e. ( II Cn C ) ( ( F o. f ) =
     ( z e. ( 0 [,] 1 ) |-> ( x G z ) ) /\ ( f ` 0 ) = ( H ` x ) ) ) ` y ) ) $.
      $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro,
         1-Jun-2015.) $)
      cvmlift2lem4 $p |- ( ( X e. ( 0 [,] 1 ) /\ Y e. ( 0 [,] 1 ) ) ->
      ( X K Y ) = ( ( iota_ f e. ( II Cn C ) ( ( F o. f ) =
     ( z e. ( 0 [,] 1 ) |-> ( X G z ) ) /\ ( f ` 0 ) = ( H ` X ) ) ) ` Y ) ) $=
        ( cc0 c1 cicc co cv ccom cmpt wceq cfv wa cii ccn oveq1 mpteq2dv eqeq2d
        crio fveq2 anbi12d riotabidv fveq1d fvex ovmpo ) BCNOUCUDUEUFZVECUGZIHU
        GZUHZDVEBUGZDUGZJUFZUIZUJZUCVGUKZVIKUKZUJZULZHUMFUNUFZURZUKOVHDVENVJJUF
        ZUIZUJZVNNKUKZUJZULZHVRURZUKMVFWFUKVINUJZVFVSWFWGVQWEHVRWGVMWBVPWDWGVLW
        AVHWGDVEVKVTVINVJJUOUPUQWGVOWCVNVINKUSUQUTVAVBVFOWFUSUBOWFVCVD $.

      $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro,
         7-May-2015.) $)
      cvmlift2lem5 $p |- ( ph -> K : ( ( 0 [,] 1 ) X. ( 0 [,] 1 ) ) --> B ) $=
        ( cv ccom cc0 c1 cicc co cmpt wceq cfv wa cii ccn crio wcel wral cxp wf
        w3a eqid cvmlift2lem3 adantrr simp1d cnf syl simprr ffvelrnd ralrimivva
        iiuni fmpo sylib ) ACUAZIHUAZUBDUCUDUEUFZBUAZDUAJUFUGZUHUCVLUIVNKUIZUHU
        JHUKFULUFZUMZUIZEUNZCVMUOBVMUOVMVMUPEMUQAVTBCVMVMAVNVMUNZVKVMUNZUJUJZVM
        EVKVRWCVRVQUNZVMEVRUQWCWDIVRUBVOUHZUCVRUIVPUHZAWAWDWEWFURWBADEFGHIJKLVR
        VNNOPQRSVRUSUTVAVBVRUKFVMEVHNVCVDAWAWBVEVFVGBCVMVMVSEMTVIVJ $.

      $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro,
         7-May-2015.) $)
      cvmlift2lem6 $p |- ( ( ph /\ X e. ( 0 [,] 1 ) ) ->
        ( K |` ( { X } X. ( 0 [,] 1 ) ) ) e.
          ( ( ( II tX II ) |`t ( { X } X. ( 0 [,] 1 ) ) ) Cn C ) ) $=
        ( vu vv cc0 c1 cicc co wcel wa csn cxp cres ccom cmpt wceq cfv cii crio
        cv ccn cmpo ctx crest wfn wf cvmlift2lem5 adantr ffnd sylib reseq1d wss
        fnov simpr snssd ssid resmpo sylancl elsni 3ad2ant2 oveq1d simp1r simp3
        w3a cvmlift2lem4 syl2anc mpoeq3dva eqid ctopon iitopon a1i cvmlift2lem3
        eqtrd cnmpt2nd simp1d cnmpt21f cnmpt2res ctop cvv iitop snex ovex mp4an
        txrest oveq1i eleqtrrdi eqeltrd ) ANUDUEUFUGZUHZUIZMNUJZXGUKZULZUBUCXJX
        GUCUSZIHUSZUMDXGNDUSJUGUNZUOUDXNUPNKUPZUOUIHUQFUTUGZURZUPZVAZUQUQVBUGXK
        VCUGZFUTUGZXIXLUBUCXGXGUBUSZXMMUGZVAZXKULZXTXIMYEXKXIMXGXGUKZVDMYEUOXIY
        GEMAYGEMVEXHABCDEFGHIJKLMOPQRSTUAVFVGVHUBUCXGXGMVLVIVJXIYFUBUCXJXGYDVAZ
        XTXIXJXGVKXGXGVKZYFYHUOXINXGAXHVMVNZXGVOZUBUCXGXGXJXGYDVPVQXIUBUCXJXGYD
        XSXIYCXJUHZXMXGUHZWCZYDNXMMUGZXSYNYCNXMMYLXIYCNUOYMYCNVRVSVTYNXHYMYOXSU
        OAXHYLYMWAXIYLYMWBABCDEFGHIJKLMNXMOPQRSTUAWDWEWLWFWLWLXIXTUQXJVCUGZUQXG
        VCUGZVBUGZFUTUGYBXIUBUCXSUQYPFUQYQXGXGXJXGYPWGUQXGWHUPUHXIWIWJZYJYQWGYS
        YIXIYKWJXIUBUCXMXRUQUQUQFXGXGYSYSXIUBUCUQUQXGXGYSYSWMXIXRXQUHIXRUMXOUOU
        DXRUPXPUOADEFGHIJKLXRNOPQRSTXRWGWKWNWOWPYAYRFUTUQWQUHZYTXJWRUHXGWRUHYAY
        RUOWSWSNWTUDUEUFXAXJXGUQUQWQWQWRWRXCXBXDXEXF $.

      $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro,
         7-May-2015.) $)
      cvmlift2lem7 $p |- ( ph -> ( F o. K ) = G ) $=
        ( vw cc0 c1 cicc co cv ccom cmpt wceq cfv wa cii ccn crio cmpo wcel w3a
        cvmlift2lem3 adantrr simp2d fveq1d wf simp1d iiuni cnf syl simprr fvco3
        eqid syl2anc oveq2 ovex fvmpt 3eqtr3d 3impb mpoeq3dva ffvelrnd a1i cuni
        ccvm cvmcn 3syl feqmptd fveq2 fmpoco cxp wfn ctx iitop txunii ffn sylib
        fnov 3eqtr4d ) ABCUBUCUDUEZWOCUFZIHUFZUGDWOBUFZDUFZJUEZUHZUIUBWQUJWRKUJ
        ZUIUKHULFUMUEZUNZUJZIUJZUOBCWOWOWRWPJUEZUOZIMUGJABCWOWOXFXGAWRWOUPZWPWO
        UPZXFXGUIAXIXJUKUKZWPIXDUGZUJZWPXAUJZXFXGXKWPXLXAXKXDXCUPZXLXAUIZUBXDUJ
        XBUIZAXIXOXPXQUQXJADEFGHIJKLXDWRNOPQRSXDVIURUSZUTVAXKWOEXDVBZXJXMXFUIXK
        XOXSXKXOXPXQXRVCXDULFWOEVDNVEVFZAXIXJVGZWOEWPIXDVHVJXKXJXNXGUIYADWPWTXG
        WOXAWSWPWRJVKXAVIWRWPJVLVMVFVNVOVPABCUAWOWOEXEUAUFZIUJXFMIXKWOEWPXDXTYA
        VQMBCWOWOXEUOUIATVRAUAELVSZIAIFLVTUEUPIFLUMUEUPEYCIVBOFILWAIFLEYCNYCVIZ
        VEWBWCYBXEIWDWEAJWOWOWFZWGZJXHUIAJULULWHUEZLUMUEUPYEYCJVBYFPJYGLYEYCULU
        LWOWOWIWIVDVDWJYDVEYEYCJWKWBBCWOWOJWMWLWN $.

      $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro,
         9-Mar-2015.) $)
      cvmlift2lem8 $p |- ( ( ph /\ X e. ( 0 [,] 1 ) ) ->
          ( X K 0 ) = ( H ` X ) ) $=
        ( cc0 c1 cicc co wcel wa ccom cmpt wceq cfv cii crio simpr cvmlift2lem4
        cv ccn 0elunit sylancl eqid cvmlift2lem3 simp3d eqtrd ) ANUBUCUDUEZUFZU
        GZNUBMUEZUBIHUPZUHDVDNDUPJUEUIZUJUBVHUKNKUKZUJUGHULFUQUEZUMZUKZVJVFVEUB
        VDUFVGVMUJAVEUNURABCDEFGHIJKLMNUBOPQRSTUAUOUSVFVLVKUFIVLUHVIUJVMVJUJADE
        FGHIJKLVLNOPQRSTVLUTVAVBVC $.

      ${
        $d a S $.
        cvmlift2lem10.s $e |- S = ( k e. J |->
          { s e. ( ~P C \ { (/) } ) | ( U. s = ( `' F " k ) /\
            A. c e. s ( A. d e. ( s \ { c } ) ( c i^i d ) = (/) /\
               ( F |` c ) e. ( ( C |`t c ) Homeo ( J |`t k ) ) ) ) } ) $.
        ${
          cvmlift2lem9.1 $e |- ( ph -> ( X G Y ) e. M ) $.
          cvmlift2lem9.2 $e |- ( ph -> T e. ( S ` M ) ) $.
          cvmlift2lem9.3 $e |- ( ph -> U e. II ) $.
          cvmlift2lem9.4 $e |- ( ph -> V e. II ) $.
          cvmlift2lem9.5 $e |- ( ph -> ( II |`t U ) e. Conn ) $.
          cvmlift2lem9.6 $e |- ( ph -> ( II |`t V ) e. Conn ) $.
          cvmlift2lem9.7 $e |- ( ph -> X e. U ) $.
          cvmlift2lem9.8 $e |- ( ph -> Y e. V ) $.
          cvmlift2lem9.9 $e |- ( ph -> ( U X. V ) C_ ( `' G " M ) ) $.
          cvmlift2lem9.10 $e |- ( ph -> Z e. V ) $.
          cvmlift2lem9.11 $e |- ( ph -> ( K |` ( U X. { Z } ) ) e.
            ( ( ( II tX II ) |`t ( U X. { Z } ) ) Cn C ) ) $.
          cvmlift2lem9.w $e |- W = ( iota_ b e. T ( X K Y ) e. b ) $.
          $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro,
             1-Jun-2015.) $)
          cvmlift2lem9 $p |- ( ph ->
           ( K |` ( U X. V ) ) e. ( ( ( II tX II ) |`t ( U X. V ) ) Cn C ) ) $=
            ( vm vn cii ctx co cxp cop iitop ccn eqeltrd ctop wcel a1i wss cuni
            iiuni elssuni syl sseldd opelxpi syl2anc wa fovrnd wceq df-ov sylib
            cfv cima csn cres snidg ovres crest ccnv eqid cconn cvv snex adantr
            wf txrest syl22anc cpw iitopon restsn2 sylancr c0 indisconn eqeltri
            cpr pwsn eqeltrdi txconn xpss2 snssd restuni sseqtrd syl3anc crn wb
            xpss1 df-ima imass2 3syl eqtr3id mpbird sstrd cnrest2 mpbid eleqtrd
            eqsstrrid conncn feq2d cc0 c1 cicc txunii cvmlift2lem5 cvmlift2lem7
            ccom txtopi sseqtrrdi fvco3 fveq1d eqtr3d 3eqtr4g cvmsiota syl13anc
            ccvm fveq2i eleq1i anbi2i xpss12 wral ad2antrl simprr ctopon sselda
            cv adantrr cvmlift2lem6 syldan cnrest resabs1d ovex restabs 3eltr3d
            xpex oveq1d cvmtop1 toptopon simprl imaco cnvco cnveqd imaeq1d wfun
            sseqtrrd cdm ffund funimass3 cnvimass cvmcn cnf fdm sseqtrid cvmsss
            fdmd simpld cvmsuni cvmsrcl cnima restopn2 mpbir2and cvmscld eqtr4d
            ccld mpdan simprd eqeltrrd ralrimivva funimassov cvmlift2lem9a ) AR
            EFHILMQPVJVJVKVLZJSVMZTUAUBVNZUUAUUBUUCVLZUXNVMZUDUFUGUHVJVJUXNUXNV
            OVOWCWCUUDZUOUIABCDEFGKMNOPQUHUIUJUKULUMUNUUEZAMQUUGZNUXKPVPVLABCDE
            FGKMNOPQUHUIUJUKULUMUNUUFZUJVQUXKVRVSZAVJVJVOVOUUHZVTZAUAUXNVSZUBUX
            NVSUXMUXOVSZAJUXNUAAJVJVSZJUXNWAZURUYEJVJWBZUXNJVJWDWCUUIWEZVBWFZAS
            UXNUBASVJVSZSUXNWAZUSUYJSUYGUXNSVJWDWCUUIZWEZVCWFZUAUBUXNUXNWGWHZUQ
            ATIVSZUAUBQVLZTVSZWIZUYPUXMQWNZTVSZWIAMFPUUPVLVSZIRHWNVSZUYQEVSUYQM
            WNZRVSUYSUIUQAUAUBEUXNUXNQUXQUYIUYNWJAVUDUAUBNVLZRAUYTMWNZUXMNWNZVU
            DVUEAUXMUXRWNZVUFVUGAUXOEQXGUYDVUHVUFWKUXQUYOUXOEUXMMQUUJWHAUXMUXRN
            UXSUUKUULUYQUYTMUAUBQWLZUUQUAUBNWLUUMUPVQUEUGUFUYQEFHIRLMPTUDUOUHVG
            UUNUUOZUYRVUAUYPUYQUYTTVUIUURUUSWMAUYFUYKUXLUXOWAUYHUYMJUXNSUXNUUTW
            HZAQUXLWOZTWAZVHUVFZVIUVFZQVLZTVSZVISUVAVHJUVAZAVUQVHVIJSAVUNJVSZVU
            OSVSZWIZWIZVUNVUOQVUNWPZSVMZWQZVLZVUPTVVBVUNVVCVSZVUTVVFVUPWKVUSVVG
            AVUTVUNJWRUVBZAVUSVUTUVCZVUNVUOVVCSQWSWHVVBVUNVUOTVVCSVVEVVBVVDTVVE
            XGUXKVVDWTVLZWBZTVVEXGVVBVUNUCVNZTVVEVVJFMXAZRWOZWTVLZVVKVVKXBVVBVV
            JVJVVCWTVLZVJSWTVLZVKVLZXCVVBVJVRVSZVVSVVCXDVSZUYJVVJVVRWKVVSVVBVOV
            TZVWAVVTVVBVUNXEZVTAUYJVVAUSXFVVCSVJVJVRVRXDVJXHXIVVBVVPXCVSVVQXCVS
            ZVVRXCVSVVBVVPVVCXJZXCVVBVJUXNUVDWNVSZVUNUXNVSZVVPVWDWKXKAVUSVWFVUT
            AJUXNVUNUYHUVEUVGZVUNVJUXNXLXMVWDXNVVCXQXCVUNXRVVCXOXPXSAVWCVVAVAXF
            VVPVVQXTWHVQVVBVVEVVJFVPVLZVSZVVEVVJVVOVPVLVSZVVBQVVCUXNVMZWQZVVDWQ
            ZUXKVWKWTVLZVVDWTVLZFVPVLZVVEVWHVVBVWLVWNFVPVLVSZVVDVWNWBZWAVWMVWPV
            SAVVAVWFVWQVWGABCDEFGKMNOPQVUNUHUIUJUKULUMUNUVHUVIVVBVVDVWKVWRVVBUY
            KVVDVWKWAZAUYKVVAUYMXFSUXNVVCYAWEZVVBUXTVWKUXOWAZVWKVWRWKUYAVVBVVCU
            XNWAVXAVVBVUNUXNVWGYBVVCUXNUXNYHWEZVWKUXKUXOUXPYCXMYDVVDVWLVWNFVWRV
            WRXBUVJWHVVBQVVDVWKVWTUVKVVBVWOVVJFVPVVBUXTVWSVWKXDVSZVWOVVJWKUXTVV
            BUYAVTVWTVXCVVBVVCUXNVWBUUAUUBUUCUVLZUVOVTVVDVWKUXKVRXDUVMYEUVPUVNV
            VBFEUVDWNVSZVVEYFZVVNWAVVNEWAZVWIVWJYGVVBFVRVSZVXEAVXHVVAAVUBVXHUIF
            MPUVQWEZXFFEUHUVRZWMVVBVXFQVVDWOZVVNQVVDYIVVBVXKVULVVNVVBVVCJWAVVDU
            XLWAVXKVULWAVVBVUNJAVUSVUTUVSZYBVVCJSYHVVDUXLQYJYKAVULVVNWAZVVAAVXM
            UXLQXAZVVNWOZWAZAUXLNXAZRWOZVXOVDAVXOVXNVVMUUGZRWOVXRVXNVVMRUVTAVXS
            VXQRAVXSUXRXAVXQMQUWAAUXRNUXSUWBYLUWCYLUWEAQUWDZUXLQUWFZWAZVXMVXPYG
            AUXOEQUXQUWGZAUXLUXOVYAVUKAUXOEQUXQUWOUWEZUXLVVNQUWHWHYMZXFYNYRAVXG
            VVAAMUWFZVVNEMRUWIAMFPVPVLVSZEPWBZMXGVYFEWKAVUBVYGUIFMPUWJWEZMFPEVY
            HUHVYHXBUWKEVYHMUWLYKUWMZXFVVNVVEVVJFEYOYEYPATVVOVSZVVAAVYKTFVSZTVV
            NWAZAIFTAVUCIFWAUQUGUFFHIRLMPUDUOUWNWEAUYPUYRVUJUWPZWFATIWBZVVNAUYP
            TVYOWAVYNTIWDWEAVUCVYOVVNWKUQUGUFFHIRLMPUDUOUWQWEYDAVXHVVNFVSZVYKVY
            LVYMWIYGVXIAVYGRPVSZVYPVYIAVUCVYQUQUGUFFHIRLMPUDUOUWRWERMFPUWSWHVVN
            TFUWTWHUXAZXFATVVOUXDWNVSZVVAAVUBVUCUYPVYSUIUQVYNUGUFTFHIRLMPUDUOUX
            BYEZXFVVBVVLVVDVVKVVBVVGUCSVSZVVLVVDVSVVHAWUAVVAVEXFZVUNUCVVCSWGWHV
            VBUXTVVDUXOWAVVDVVKWKUYAVVBVVDVWKUXOVWTVXBYNVVDUXKUXOUXPYCXMZYQVVBV
            VLVVEWNZVUNUCQJUCWPZVMZWQZVLZTVVBWUDVUNUCVVEVLZWUHVUNUCVVEWLVVBWUIV
            UNUCQVLZWUHVVBVVGWUAWUIWUJWKVVHWUBVUNUCVVCSQWSWHVVBVUSUCWUEVSZWUHWU
            JWKVXLAWUKVVAAWUAWUKVEUCSWRWEZXFZVUNUCJWUEQWSWHUXCYLVVBVUNUCTJWUEWU
            GAWUFTWUGXGZVVAAWUNUXKWUFWTVLZWBZTWUGXGAUAUCVNZTWUGWUOVVOWUPWUPXBAW
            UOVJJWTVLZVJWUEWTVLZVKVLZXCAVVSVVSUYEWUEXDVSZWUOWUTWKVVSAVOVTZWVBUR
            WVAAUCXEVTJWUEVJVJVRVRVJXDXHXIAWURXCVSWUSXCVSWUTXCVSUTAWUSWUEXJZXCA
            VWEUCUXNVSWUSWVCWKXKASUXNUCUYMVEWFZUCVJUXNXLXMWVCXNWUEXQXCUCXRWUEXO
            XPXSWURWUSXTWHVQAWUGWUOFVPVLVSZWUGWUOVVOVPVLVSZVFAVXEWUGYFZVVNWAVXG
            WVEWVFYGAVXHVXEVXIVXJWMZAWVGQWUFWOZVVNQWUFYIAWVIVULVVNAWUESWAWUFUXL
            WAWVIVULWAAUCSVEYBWUESJYAWUFUXLQYJYKVYEYNYRVYJVVNWUGWUOFEYOYEYPVYRV
            YTAWUQWUFWUPAUAJVSZWUKWUQWUFVSVBWULUAUCJWUEWGWHAUXTWUFUXOWAZWUFWUPW
            KUYAAUYFWUEUXNWAWVKUYHAUCUXNWVDYBJUXNWUEUXNUUTWHWUFUXKUXOUXPYCXMZYQ
            AWUQWUGWNZUAUCQUAWPZSVMZWQZVLZTAWVMUAUCWUGVLZWVQUAUCWUGWLAWVRUAUCQV
            LZWVQAWVJWUKWVRWVSWKVBWULUAUCJWUEQWSWHAUAWVNVSZWUAWVQWVSWKAWVJWVTVB
            UAJWRWEZVEUAUCWVNSQWSWHUXCYLAUAUCTWVNSWVPAWVOTWVPXGUXKWVOWTVLZWBZTW
            VPXGAUXMTWVPWWBVVOWWCWWCXBAWWBVJWVNWTVLZVVQVKVLZXCAVVSVVSWVNXDVSZUY
            JWWBWWEWKWVBWVBWWFAUAXEZVTUSWVNSVJVJVRVRXDVJXHXIAWWDXCVSVWCWWEXCVSA
            WWDWVNXJZXCAVWEUYCWWDWWHWKXKUYIUAVJUXNXLXMWWHXNWVNXQXCUAXRWVNXOXPXS
            VAWWDVVQXTWHVQAWVPWWBFVPVLZVSZWVPWWBVVOVPVLVSZAQWVNUXNVMZWQZWVOWQZU
            XKWWLWTVLZWVOWTVLZFVPVLZWVPWWIAWWMWWOFVPVLVSZWVOWWOWBZWAWWNWWQVSAUY
            CWWRUYIABCDEFGKMNOPQUAUHUIUJUKULUMUNUVHUXEAWVOWWLWWSAUYJUYKWVOWWLWA
            ZUSUYLSUXNWVNYAYKZAUXTWWLUXOWAZWWLWWSWKUYAAWVNUXNWAWXBAUAUXNUYIYBWV
            NUXNUXNYHWEWWLUXKUXOUXPYCXMYDWVOWWMWWOFWWSWWSXBUVJWHAQWVOWWLWXAUVKA
            WWPWWBFVPAUXTWWTWWLXDVSZWWPWWBWKUYBWXAWXCAWVNUXNWWGVXDUVOVTWVOWWLUX
            KVRXDUVMYEUVPUVNAVXEWVPYFZVVNWAVXGWWJWWKYGWVHAWXDQWVOWOZVVNQWVOYIAW
            XEVULVVNAWVNJWAZWVOUXLWAZWXEVULWAAUAJVBYBZWVNJSYHZWVOUXLQYJYKVYEYNY
            RVYJVVNWVPWWBFEYOYEYPVYRVYTAUXMWVOWWCAWVTUBSVSZUXMWVOVSWWAVCUAUBWVN
            SWGWHAUXTWVOUXOWAWVOWWCWKUYAAWVOUXLUXOAWXFWXGWXHWXIWEVUKYNWVOUXKUXO
            UXPYCXMZYQAUXMWVPWNZUYQTAWXLUAUBWVPVLZUYQUAUBWVPWLAWVTWXJWXMUYQWKWW
            AVCUAUBWVNSQWSWHYLAUYPUYRVUJUXFVQYSAWVOWWCTWVPWXKYTYMWWAVEWJVQYSAWU
            FWUPTWUGWVLYTYMXFVXLWUMWJVQYSVVBVVDVVKTVVEWUCYTYMVVHVVIWJUXGUXHAVXT
            VYBVUMVURYGVYCVYDVHVIJSTQUXIWHYMUXJ $.
        $}

        cvmlift2lem10.1 $e |- ( ph -> X e. ( 0 [,] 1 ) ) $.
        cvmlift2lem10.2 $e |- ( ph -> Y e. ( 0 [,] 1 ) ) $.
        $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro,
           1-Jun-2015.) $)
        cvmlift2lem10 $p |- ( ph -> E. u e. II E. v e. II ( X e. u /\ Y e. v /\
            ( E. w e. v ( K |` ( u X. { w } ) ) e.
              ( ( ( II tX II ) |`t ( u X. { w } ) ) Cn C ) ->
       ( K |` ( u X. v ) ) e. ( ( ( II tX II ) |`t ( u X. v ) ) Cn C ) ) ) ) $=
          ( vm vt va vb cop cfv cv wcel c0 wne wa wrex csn cxp cii ctx co crest
          cres ccn wi w3a ccvm cuni cc0 c1 cicc iitop iiuni txunii eqid cnf syl
          wf opelxpd ffvelrnd cvmcov syl2anc wex n0 ccnv cima csconn wceq eleq1
          opelxp bitrdi anbi1d 2rexbidv wral adantr cvmsrcl ad2antll cnima ctop
          wss wb eltx mp2an simprl wfn ffn elpreima 3syl mpbir2and rspcdva clly
          iillysconn simplrl simprll llyi mp3an2i simplrr simprlr reeanv simpl2
          sylib a1i simpr2 simp3 reximdv mpd cpconn cconn sconnpconn pconnconn
          ex simprl1 simprr1 xpss12 sstrd 3jcad anim12i jca2 syl5bir rexlimdvva
          mp2and simp3l1 simp3l2 simpl1l simpl1r simpld eqeltrid simprd simpl2l
          crio df-ov simpl2r simp3rl simp3rr simp3l3 simprr cvmlift2lem9 3expia
          rexlimdvaa 3jca reximdvva expr exlimdv syl5bi expimpd rexlimdvw ) AST
          URZOUSZUNUTZVAZUVRKUSZVBVCZVDZUNQVEZSGUTZVAZTFUTZVAZRUWDEUTZVFVGZVLVH
          VHVIVJZUWIVKVJIVMVJVAZEUWFVERUWDUWFVGZVLUWJUWLVKVJIVMVJVAZVNZVOZFVHVE
          GVHVEZANIQVPVJVAZUVQQVQZVAUWCUEAVRVSVTVJZUWSVGZUWRUVPOAOUWJQVMVJVAZUW
          TUWROWGZUFOUWJQUWTUWRVHVHUWSUWSWAWAWBWBWCUWRWDZWEWFZASTUWSUWSULUMWHZW
          IUNUCUBIUVQKMNQUWRUAUKUXCWJWKAUWBUWPUNQAUVSUWAUWPUWAUOUTZUVTVAZUOWLAU
          VSVDZUWPUOUVTWMUXHUXGUWPUOAUVSUXGUWPAUVSUXGVDZVDZUWEUWGUWLOWNUVRWOZXI
          ZVOZVHUWDVKVJZWPVAZVHUWFVKVJZWPVAZVDZVDZFVHVEZGVHVEZUWPUXJSUPUTZVAZTU
          QUTZVAZVDZUYBUYDVGZUXKXIZVDZUQVHVEUPVHVEZUYAUXJDUTZUYGVAZUYHVDZUQVHVE
          UPVHVEZUYJDUXKUVPUYKUVPWQZUYMUYIUPUQVHVHUYOUYLUYFUYHUYOUYLUVPUYGVAUYF
          UYKUVPUYGWRSTUYBUYDWSWTXAXBUXJUXKUWJVAZUYNDUXKXCZUXJUXAUVRQVAZUYPAUXA
          UXIUFXDUXGUYRAUVSUCUBIKUXFUVRMNQUAUKXEXFUVROUWJQXGWKVHXHVAZUYSUYPUYQX
          JWAWAUPUQUXKVHVHXHXHDXKXLYJUXJUVPUXKVAZUVPUWTVAZUVSAVUAUXIUXEXDAUVSUX
          GXMUXJUXBOUWTXNUYTVUAUVSVDXJAUXBUXIUXDXDUWTUWROXOUWTUVPUVROXPXQXRXSUX
          JUYIUYAUPUQVHVHUXJUYBVHVAZUYDVHVAZVDVDZUYIUYAVUDUYIVDZUWDUYBXIZUWEUXO
          VOZGVHVEZUWFUYDXIZUWGUXQVOZFVHVEZUYAVHWPXTVAZVUEVUBUYCVUHYAUXJVUBVUCU
          YIYBVUDUYCUYEUYHYCGWPSUYBVHYDYEVULVUEVUCUYEVUKYAUXJVUBVUCUYIYFVUDUYCU
          YEUYHYGFWPTUYDVHYDYEVUHVUKVDVUGVUJVDZFVHVEZGVHVEVUEUYAVUGVUJGFVHVHYHV
          UEVUNUXTGVHVUEVUMUXSFVHVUEVUMUXMUXRVUEVUMUWEUWGUXLVUMUWEVNVUEVUFUWEUX
          OVUJYIYKVUMUWGVNVUEVUGVUIUWGUXQYLYKVUEVUMUXLVUEVUMVDZUWLUYGUXKVUOVUFV
          UIUWLUYGXIVUFUWEUXOVUJVUEUUAVUIUWGUXQVUGVUEUUBUWDUYBUWFUYDUUCWKVUDUYF
          UYHVUMYFUUDYTUUEVUGUXOVUJUXQVUFUWEUXOYMVUIUWGUXQYMUUFUUGYNYNUUHUUJYTU
          UIYOUXJUXSUWOGFVHVHUXJUWDVHVAZUWFVHVAZVDZUXSUWOUXJVURUXSVOZUWEUWGUWNU
          WEUWGUXLUXRUXJVURUUKZUWEUWGUXLUXRUXJVURUULZVUSUWKUWMEUWFVUSUWHUWFVAZU
          WKVDZVDZBCDHIJKUXFUWDLMNOPQRUVRUWFSTRVJUYDVAUQUXFUUSZSTUWHUAUQUBUCUDV
          VDAUWQAUXIVURUXSVVCUUMZUEWFVVDAUXAVVFUFWFVVDAJHVAVVFUGWFVVDAJNUSVRVRO
          VJWQVVFUHWFUIUJUKVVDSTOVJUVQUVRSTOUUTVVDUVSUXGAUXIVURUXSVVCUUNZUUOUUP
          VVDUVSUXGVVGUUQVUPVUQUXJUXSVVCUURVUPVUQUXJUXSVVCUVAVVDUXOUXNYPVAUXNYQ
          VAVUSUXOVVCUXOUXQUXMUXJVURUVBXDUXNYRUXNYSXQVVDUXQUXPYPVAUXPYQVAVUSUXQ
          VVCUXOUXQUXMUXJVURUVCXDUXPYRUXPYSXQVUSUWEVVCVUTXDVUSUWGVVCVVAXDVUSUXL
          VVCUWEUWGUXLUXRUXJVURUVDXDVUSVVBUWKXMVUSVVBUWKUVEVVEWDUVFUVHUVIUVGUVJ
          YOUVKUVLUVMUVNUVOYO $.
      $}

      ${
        cvmlift2.m $e |- M = { z e. ( ( 0 [,] 1 ) X. ( 0 [,] 1 ) ) |
          K e. ( ( ( II tX II ) CnP C ) ` z ) } $.
        ${
          cvmlift2lem11.1 $e |- ( ph -> U e. II ) $.
          cvmlift2lem11.2 $e |- ( ph -> V e. II ) $.
          cvmlift2lem11.3 $e |- ( ph -> Y e. V ) $.
          cvmlift2lem11.4 $e |- ( ph -> Z e. V ) $.
          cvmlift2lem11.5 $e |- ( ph -> ( E. w e. V
     ( K |` ( U X. { w } ) ) e. ( ( ( II tX II ) |`t ( U X. { w } ) ) Cn C ) ->
       ( K |` ( U X. V ) ) e. ( ( ( II tX II ) |`t ( U X. V ) ) Cn C ) ) ) $.
          $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro,
             1-Jun-2015.) $)
          cvmlift2lem11 $p |- ( ph ->
              ( ( U X. { Y } ) C_ M -> ( U X. { Z } ) C_ M ) ) $=
            ( csn cxp wss wa cv cii ctx ccnp cfv wcel cc0 cicc crab adantr cuni
            co c1 elssuni iiuni sseqtrrdi elunii eleqtrrdi syl2anc snssd xpss12
            syl cres crest ccn wrex wf wral cvmlift2lem5 fssresd simpr sseqtrdi
            sseldd ssrab simprbi r19.21bi ctopon iitopon txtopon mp2an cnpresti
            toponunii syl3anc ralrimiva wb resttopon sylancr ctop ccvm toptopon
            cvmtop1 sylib cncnp mpbir2and wceq sneq xpeq2d oveq2d oveq1d rspcev
            reseq2d eleq12d imp syldan xpss2 txtopi restuni sseqtrd sselda eqid
            iitop cncnpi cnt a1i txopn syl22anc isopn3i sseqtrrd cnprest mpbird
            ad2antrr ssrabdv ex ) AIRUMZUNZPUOZISUMZUNZPUOAUUBUPZUUDODUQZURURUS
            VHZGUTVHVAVBZDVCVIVDVHZUUIUNZVEZPUUEUUHDUUJUUDUUEIUUIUOZUUCUUIUOUUD
            UUJUOUUEIURVBZUULAUUMUUBUHVFZUUMIURVGZUUIIURVJVKVLVRZUUESUUIASUUIVB
            ZUUBASQVBZQURVBZUUQUKUIUURUUSUPSUUOUUISQURVMVKVNVOVFVPIUUIUUCUUIVQV
            OUUEUUFUUDVBZUPZUUHOIQUNZVSZUUFUUGUVBVTVHZGUTVHVAVBZUVAUVCUVDGWAVHV
            BZUUFUVDVGZVBUVEUUEUVFUUTAUUBOIEUQZUMZUNZVSZUUGUVJVTVHZGWAVHZVBZEQW
            BZUVFUUERQVBZOUUAVSZUUGUUAVTVHZGWAVHZVBZUVOAUVPUUBUJVFZUUEUVTUUAFUV
            QWCZUVQUUFUVRGUTVHVAVBZDUUAWDZUUEUUJFUUAOAUUJFOWCZUUBABCDFGHJKLMNOT
            UAUBUCUDUEUFWEZVFUUEUULYTUUIUOUUAUUJUOZUUPUUERUUIUUEQUUIRUUEUUSQUUI
            UOZAUUSUUBUIVFZUUSQUUOUUIQURVJVKVLVRZUWAWIVPIUUIYTUUIVQVOZWFUUEUWCD
            UUAUUEUUFUUAVBZUPUWGUWLUUHUWCUUEUWGUWLUWKVFUUEUWLWGUUEUUHDUUAUUEUUA
            UUKUOZUUHDUUAWDZUUEUUAPUUKAUUBWGUGWHUWMUWGUWNUUHDUUJUUAWJWKVRWLUUAU
            UFOUUGGUUJUUJUUGURUUIWMVAVBZUWOUUGUUJWMVAVBZWNWNURURUUIUUIWOWPZWRZW
            QWSWTUUEUVRUUAWMVAVBZGFWMVAVBZUVTUWBUWDUPXAUUEUWPUWGUWSUWQUWKUUAUUG
            UUJXBXCUUEGXDVBZUWTAUXAUUBAKGNXEVHVBUXAUAGKNXGVRVFGFTXFXHDUVQUVRGUU
            AFXIVOXJUVNUVTERQUVHRXKZUVKUVQUVMUVSUXBUVJUUAOUXBUVIYTIUVHRXLXMZXQU
            XBUVLUVRGWAUXBUVJUUAUUGVTUXCXNXOXRXPVOAUVOUVFULXSXTVFUUEUUDUVGUUFUU
            EUUDUVBUVGUUEUUCQUOUUDUVBUOUUESQAUURUUBUKVFVPUUCQIYAVRZUUEUUGXDVBZU
            VBUUJUOZUVBUVGXKURURYGYGYBZUUEUULUWHUXFUUPUWJIUUIQUUIVQVOZUVBUUGUUJ
            UWRYCXCYDYEUUFUVCUVDGUVGUVGYFYHVOUVAUXEUXFUUFUVBUUGYIVAVAZVBUWEUUHU
            VEXAUXEUVAUXGYJUUEUXFUUTUXHVFUUEUUDUXIUUFUUEUUDUVBUXIUXDUUEUXEUVBUU
            GVBZUXIUVBXKUXGUUEURXDVBZUXKUUMUUSUXJUXKUUEYGYJZUXLUUNUWIIQURURXDXD
            YKYLUVBUUGYMXCYNYEAUWEUUBUUTUWFYQUVBUUFOUUGGUUJFUWRTYOYLYPYRUGVLYS
            $.
        $}

        $d c ph $.
        cvmlift2.a $e |- A =
          { a e. ( 0 [,] 1 ) | ( ( 0 [,] 1 ) X. { a } ) C_ M } $.
        cvmlift2.s $e |- S = { <. r , t >. |
          ( t e. ( 0 [,] 1 ) /\ E. u e. ( ( nei ` II ) ` { r } )
            ( ( u X. { a } ) C_ M <-> ( u X. { t } ) C_ M ) ) } $.
        $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro,
           1-Jun-2015.) $)
        cvmlift2lem12 $p |- ( ph -> K e. ( ( II tX II ) Cn C ) ) $=
          ( vv vb vw vk vs vc vd cii ctx co ccn wcel cc0 cxp ccnp cfv wral crab
          cv wss csn ciun wceq iiuni a1i cin wb wa wrex ctop iitop copab sylibr
          wel vex adantl jca df-xp mp2an cop cres crest wi w3a cuni cdif adantr
          c0 cmpt eqid simprr simprl cvmlift2lem10 simplrl simplrr syl22anc wal
          eleqtrrdi syl2anr ad3antrrr sneq xpeq2d reseq2d oveq2d oveq1d eleq12d
          simpr weq syl5bi cvmlift2lem11 impbid syl2anc sseq12i ssopab2bw bitri
          opelxpi rexlimdvva mpd eleq1d ralrimiva sylib cvmlift2lem1 syl elrab2
          ex cmpo ctopon iitopon cvv sylancr c1 cicc cvmlift2lem5 iunid xpiundi
          wf xpeq2i eqtr3i cconn iiconn ccld inss1 cnt ccmp iicmp txtopi neiss2
          cnei mpan snss a1d rexlimiv simpl ssopab2i 3sstr4i txunii ntropn ccnv
          cima chmeo ccvm txopn elunii opnneip syl3anc simplr2 cbvrexvw simplr3
          cpw rspe alrimivv ssntr simpr1 simpr2 opeq2 ralsn anassrs dfss3 eleq1
          sseldd ralxp txtube ntrss2 sstr mpan2 r2al ralcom ralimi bicom rexbii
          3bitr2i ralbii sylbi rabeq2i ad3antlr elssuni sseqtrrdi sselda sseq1d
          baib bibi12d syl5ibr ralimdva syl5 anim2d ssrab2 eqsstri isclo sselid
          reximdva 0elunit wrel relxp opelxp df-3an wfn ffnd fnov reseq1d snssd
          id resmpo cvmlift2lem8 sylan syldan elsni eqeq1d syl5ibrcom mpoeq3dva
          simplll 3impia 3eqtrd cnmpt1st cvmlift2lem2 simp1d cnmpt21f cnmpt2res
          ccom txrest mp4an oveq1i eqeltrd rspcev xpss12 restuni eleqtrd cncnpi
          snex expcom isopn3i eleqtrrd cnprest sylibrd embantd expimpd sylanbrc
          fveq2 eleq2d opeq2d relssdv ne0d inss2 connclo eqtr3di iunss eqsstrid
          rabid2 sseqtrdi ssrab simprbi txtopon cvmtop1 toptopon mpbir2and
          cncnp ) AQURURUSUTZIVAUTVBZVCUUAUUBUTZVWHVDZHQUUFZQDVIZVWFIVEUTZVFZVB
          ZDVWIVGZABCDHIJLMNOPQUAUBUCUDUEUFUGUUCZAVWIVWNDVWIVHZVJZVWOAVWIRVWQAV
          WITVWHVWHTVIZVKZVDZVLZRVWHTVWHVWTVLZVDVWIVXBVXCVWHVWHTVWHUUDUUGTVWHVW
          TVWHUUEUUHAVXARVJZTVWHVGZVXBRVJAVWHVXDTVWHVHZVMVXEAGVWHVXFAGURVWHVNUR
          UUIVBAUUJVOAURURUUKVFZVPZURGURVXGUULATUKWDZVWSGVBZFVIZGVBZVQZFUKVIZVG
          ZVRZUKURVSZTVWHVGZGVXHVBZAVXQTVWHAVWSVWHVBZVRZVXIVWHVXNVDZKVWFUUMVFZV
          FZVJZVRZUKURVSVXQVYAUKVWSURURVYDVWHVWHVNVNURUUNVBVYAUUOVOURVTVBZVYAWA
          VOVYDVWFVBZVYAVWFVTVBZKVWIVJZVYHURURWAWAUUPZVXKVWHVBZEVIZVWTVDRVJZVYM
          VXKVKZVDRVJZVQZESVIZVKZURUURVFVFZVSZVRZSFWBZVYRVWHVBZVYLVRZSFWBKVWIWU
          BWUESFWUBWUDVYLWUAWUDVYLVYQWUDEVYTVYMVYTVBZWUDVYQWUFVYSVWHVJZWUDVYGWU
          FWUGWAVYSURVYMVWHVNUUQUUSVYRVWHSWEUUTWCUVAUVBWFVYLWUAUVCWGUVDUJSFVWHV
          WHWHUVEZKVWFVWIURURVWHVWHWAWAVNVNUVFZUVGWIVOVYAULVIZUMVIZWJZVYDVBZUMV
          WTVGZULVWHVGZVXAVYDVJZVYAWUNULVWHAVXTWUJVWHVBZWUNAVXTWUQVRZVRZWUJVWSW
          JZVYDVBZWUNWUSULEWDZVXIQVYMWUKVKZVDZWKZVWFWVDWLUTZIVAUTZVBZUMVXNVSZQV
          YMVXNVDZWKZVWFWVJWLUTZIVAUTVBZWMZWNZUKURVSEURVSWVAWUSBCDUMUKEHIJUNPUO
          VIZWOMUVHUNVIZUVIVMUPVIZUQVIVPWRVMUQWVPWVRVKZWPVGMWVRWKIWVRWLUTPWVQWL
          UTUVJUTVBVRUPWVPVGVRUOIUVSWRVKWPVHWSZLUNMNOPQWUJVWSUOUPUQUAAMIPUVKUTV
          BZWURUBWQZANVWFPVAUTVBZWURUCWQZAJHVBZWURUDWQZAJMVFVCVCNUTVMZWURUEWQZU
          FUGWVTWTZAVXTWUQXAAVXTWUQXBXCWUSWVOWVAEUKURURWUSVYMURVBZVXNURVBZVRZVR
          ZWVOWVAWWMWVOVRZWVJVYDWUTWWNVYIVYJWVJVWFVBZWVJKVJZWVJVYDVJVYIWWNVYKVO
          VYJWWNWUHVOWWNVYGVYGWWJWWKWWOVYGWWNWAVOZWWQWUSWWJWWKWVOXDZWUSWWJWWKWV
          OXEZVYMVXNURURVTVTUVLZXFWWNSEWDZFUKWDZVRZWUBWMZFXGSXGZWWPWWNWXDSFWWNW
          XCWUBWWNWXCVRZVYLWUAWXCWXBWWKVYLWWNWXAWXBXQWWSWXBWWKVRVXKURWOZVWHVXKV
          XNURUVMVNXHXIWXFWUFVYQWUAWXFVYGWWJWXAWUFVYGWXFWAVOWWNWWJWXCWWRWQZWWNW
          XAWXBXBVYRURVYMUVNUVOWXFVYNVYPWXFBCDUPHIJVYMLMNOPQRVXNVWSVXKUAWUSWWAW
          WLWVOWXCWWBXJZWUSWWCWWLWVOWXCWWDXJZWUSWWEWWLWVOWXCWWFXJZWUSWWGWWLWVOW
          XCWWHXJZUFUGUHWXHWWNWWKWXCWWSWQZWVBVXIWVNWWMWXCUVPZWWNWXAWXBXAZQVYMWV
          SVDZWKZVWFWXPWLUTZIVAUTZVBZUPVXNVSWVIWXFWVMWXTWVHUPUMVXNUPUMXRZWXQWVE
          WXSWVGWYAWXPWVDQWYAWVSWVCVYMWVRWUKXKXLZXMWYAWXRWVFIVAWYAWXPWVDVWFWLWY
          BXNXOXPUVQWVBVXIWVNWWMWXCUVRXSZXTWXFBCDUPHIJVYMLMNOPQRVXNVXKVWSUAWXIW
          XJWXKWXLUFUGUHWXHWXMWXOWXNWYCXTYAVYQEVYTUVTYBWGYOUWAWWPWXCSFWBZWUCVJW
          XEWVJWYDKWUCSFVYMVXNWHUJYCWXCWUBSFYDYEWCKVWFWVJVWIWUIUWBXFWWNWVBVXIWU
          TWVJVBWWMWVBVXIWVNUWCWWMWVBVXIWVNUWDWUJVWSVYMVXNYFYBUWJYOYGYHWUMWVAUM
          VWSTWEUMTXRWULWUTVYDWUKVWSWUJUWEYIUWFWCUWGYJWUPVYMVYDVBZEVXAVGWUOEVXA
          VYDUWHWYEWUMEULUMVWHVWTVYMWULVYDUWIUWKYEWCAVXTXQUWLVYAVYFVXPUKURVYAWW
          KVRZVYEVXOVXIVYEWUBSVWHVGZFVXNVGZWYFVXOVYEVYBKVJZWYHVYEVYDKVJZWYIVYIV
          YJWYJVYKWUHKVWFVWIWUIUWMWIVYBVYDKUWNUWOWYIWUDWXBVRZSFWBZWUCVJZWYHVYBW
          YLKWUCSFVWHVXNWHUJYCWYMWYKWUBWMFXGSXGWUBFVXNVGSVWHVGWYHWYKWUBSFYDWUBS
          FVWHVXNUWPWUBSFVWHVXNUWQUXAYEYKWYFWYGVXMFVXNWYGVXMWYFWXBVRZVXDVWHVYOV
          DZRVJZVQZWYGWUASVWHVGZWYQWUBWUASVWHVYLWUAXQUWRWYRVXDWYPTSEFRYLWYRVYPV
          YNVQZEVYTVSZSVWHVGWYPVXDWMWUAWYTSVWHVYQWYSEVYTVYNVYPUWSUWTUXBFSETRYLU
          XCYAYMWYNVXJVXDVXLWYPVXTVXJVXDVQAWWKWXBVXJVXTVXDVXDTGVWHUIUXDUXJUXEWY
          NVYLVXLWYPVQWYFVXNVWHVXKWWKVXNVWHVJZVYAWWKVXNWXGVWHVXNURUXFVNUXGZWFUX
          HVXLVYLWYPVXDWYPTVXKVWHGTFXRZVXAWYORXUCVWTVYOVWHVWSVXKXKXLUXIUIYNUXJY
          MUXKUXLUXMUXNUXOUXTYHYJVYGGVWHVJVXSVXRVQWAGVXFVWHUIVXDTVWHUXPUXQTUKFG
          URVWHVNUXRWIWCZUXSAGVCAVCVWHVBZVWHVCVKZVDZRVJZVCGVBXUEAUYAVOZASTXUGRX
          UGUYBAVWHXUFUYCVOVYRVWSWJZXUGVBWUDVWSXUFVBZVRAXUJRVBZVYRVWSVWHXUFUYDA
          WUDXUKXULAWUDVRZXULXUKVYRVCWJZRVBZXUMXUNVWIVBZQXUNVWLVFZVBZXUOWUDWUDX
          UEXUPAWUDUYKXUIVYRVCVWHVWHYFXIXUMWXAVCVXNVBZWVNWNZUKURVSEURVSXURXUMBC
          DUMUKEHIJWVTLUNMNOPQVYRVCUOUPUQUAAWWAWUDUBWQAWWCWUDUCWQAWWEWUDUDWQAWW
          GWUDUEWQUFUGWWIAWUDXQXUEXUMUYAVOXCXUMXUTXUREUKURURXUTWXAXUSVRZWVNVRXU
          MWWLVRZXURWXAXUSWVNUYEXVBXVAWVNXURXVBXVAVRZWVIWVMXURXVCXUSQVYMXUFVDZW
          KZVWFXVDWLUTZIVAUTZVBZWVIXVBWXAXUSXAXVCXVEULUMVYMXUFWUJOVFZYPZXVGXVCX
          VEULUMVWHVWHWUJWUKQUTZYPZXVDWKZULUMVYMXUFXVKYPZXVJXVCQXVLXVDXVCQVWIUY
          FQXVLVMXVCVWIHQAVWJWUDWWLXVAVWPXJZUYGULUMVWHVWHQUYHYKUYIXVCVYMVWHVJZX
          UFVWHVJZXVMXVNVMXVCWWJXVPXUMWWJWWKXVAXDZWWJVYMWXGVWHVYMURUXFVNUXGYMZA
          XVQWUDWWLXVAAVCVWHXUIUYJXJZULUMVWHVWHVYMXUFXVKUYLYBXVCULUMVYMXUFXVKXV
          IXVCWVBWUKXUFVBZXVKXVIVMZXVCWVBVRXWBXWAWUJVCQUTZXVIVMZXVCWVBWUQXWDXVC
          VYMVWHWUJXVSUXHXVCAWUQXWDAWUDWWLXVAUYTZABCDHIJLMNOPQWUJUAUBUCUDUEUFUG
          UYMUYNUYOXWAXVKXWCXVIXWAWUKVCWUJQWUKVCUYPXNUYQUYRVUAUYSVUBXVCXVJURVYM
          WLUTZURXUFWLUTZUSUTZIVAUTXVGXVCULUMXVIURXWFIURXWGXUFVWHVYMVWHXWFWTURV
          WHYQVFVBZXVCYRVOZXVSXWGWTXWJXVTXVCULUMWUJOURURURIVWHVWHXWJXWJXVCULUMU
          RURVWHVWHXWJXWJVUCXVCAOURIVAUTVBZXWEAXWKMOVUHDVWHVWKVCNUTWSVMVCOVFJVM
          ADHIJLMNOPUAUBUCUDUEUFVUDVUEYMVUFVUGXVFXWHIVAVYGVYGVYMYSVBXUFYSVBXVFX
          WHVMWAWAEWEVCVURVYMXUFURURVTVTYSYSVUIVUJVUKXHVULWVHXVHUMVCVXNWUKVCVMZ
          WVEXVEWVGXVGXWLWVDXVDQXWLWVCXUFVYMWUKVCXKXLZXMXWLWVFXVFIVAXWLWVDXVDVW
          FWLXWMXNXOXPVUMYBXVCWVMWVKXUNWVLIVEUTVFVBZXURXVCXUNWVLWOZVBZWVMXWNWMX
          VCXUNWVJXWOXVAXUNWVJVBXVBVYRVCVYMVXNYFWFZXVCVYIWVJVWIVJZWVJXWOVMVYKXV
          CXVPXUAXWRXVSXVCWWKXUAXUMWWJWWKXVAXEZXUBYMVYMVWHVXNVWHVUNYBZWVJVWFVWI
          WUIVUOYTVUPWVMXWPXWNXUNWVKWVLIXWOXWOWTVUQVUSYMXVCVYIXWRXUNWVJVYCVFZVB
          VWJXURXWNVQVYIXVCVYKVOXWTXVCXUNWVJXXAXWQXVCVYIWWOXXAWVJVMVYKXVCVYGVYG
          WWJWWKWWOVYGXVCWAVOZXXBXVRXWSWWTXFWVJVWFVUTYTVVAXVOWVJXUNQVWFIVWIHWUI
          UAVVBXFVVCVVDVVEXSYGYHVWNXURDXUNVWIRVWKXUNVMVWMXUQQVWKXUNVWLVVGVVHUHY
          NVVFXUKXUJXUNRXUKVWSVCVYRVWSVCUYPVVIYIUYRVVEXSVVJVXDXUHTVCVWHGVWSVCVM
          ZVXAXUGRXXCVWTXUFVWHVWSVCXKXLUXIUIYNVVFVVKAVXHVXGGURVXGVVLXUDUXSVVMUI
          VVNVXDTVWHVVQYKTVWHVXARVVOWCVVPUHVVRVWRVWIVWIVJVWOVWNDVWIVWIVVSVVTYMA
          VWFVWIYQVFVBZIHYQVFVBZVWGVWJVWOVRVQXWIXWIXXDYRYRURURVWHVWHVWAWIAIVTVB
          ZXXEAWWAXXFUBIMPVWBYMIHUAVWCYKDQVWFIVWIHVWEYTVWD $.
      $}

      $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro,
         7-May-2015.) $)
      cvmlift2lem13 $p |- ( ph -> E! g e. ( ( II tX II ) Cn C )
        ( ( F o. g ) = G /\ ( 0 g 0 ) = P ) ) $=
        ( vu vt va vd vv vb vc vr cv ccom wceq cc0 co wa cii ctx wrex wrmo wreu
        ccn wcel c1 cicc csn cxp ccnp cfv crab wss cnei copab weq fveq2 cbvrabv
        wb eleq2d xpeq2d sseq1d simpr eleq1d xpeq1 bibi12d cbvrexvw simpl sneqd
        sneq fveq2d bibi2d rexeqbidv syl5bb cbvopabv cvmlift2lem12 cvmlift2lem7
        anbi12d 0elunit cvmlift2lem8 mpan2 cmpt cvmlift2lem2 simp3d eqtrd coeq2
        eqeq1d rspcev syl12anc cop iitop iiuni txunii cconn iiconn txconn mp2an
        oveq a1i cnlly iinllyconn txnlly opelxpi eqtrdi cvmliftmo eqeq1i anbi2i
        df-ov rmobii sylibr reu5 sylanbrc ) AJIUJZUKZKULZUMUMYJUNZGULZUOZIUPUPU
        QUNZFVAUNZURZYOIYQUSZYOIYQUTANYQVBJNUKZKULZUMUMNUNZGULZYRABCDUBUCUMVCVD
        UNZDUJZVEZVFZNUDUJZYPFVGUNZVHZVBZUDUUDUUDVFZVIZVJZDUUDVIEFGUEUJZUUDVBZU
        FUJZUGUJZVEZVFZUUMVJZUUQUUOVEZVFZUUMVJZVPZUFUHUJZVEZUPVKVHZVHZURZUOZUHU
        EVLHJKLMNUUMUIUGOPQRSTUAUUKNUUEUUIVHZVBUDDUULUDDVMUUJUVLNUUHUUEUUIVNVQV
        OUUNUUDUUSVFZUUMVJDUGUUDDUGVMZUUGUVMUUMUVNUUFUUSUUDUUEUURWGVRVSVOUVKUCU
        JZUUDVBZUBUJZUUSVFZUUMVJZUVQUVOVEZVFZUUMVJZVPZUBUIUJZVEZUVHVHZURZUOUHUE
        UIUCUHUIVMZUEUCVMZUOZUUPUVPUVJUWGUWJUUOUVOUUDUWHUWIVTZWAUVJUVSUVQUVBVFZ
        UUMVJZVPZUBUVIURUWJUWGUVEUWNUFUBUVIUFUBVMZUVAUVSUVDUWMUWOUUTUVRUUMUUQUV
        QUUSWBVSUWOUVCUWLUUMUUQUVQUVBWBVSWCWDUWJUWNUWCUBUVIUWFUWJUVGUWEUVHUWJUV
        FUWDUWHUWIWEWFWHUWJUWMUWBUVSUWJUWLUWAUUMUWJUVBUVTUVQUWJUUOUVOUWKWFVRVSW
        IWJWKWOWLWMABCDEFGHJKLMNOPQRSTUAWNAUUBUMLVHZGAUMUUDVBZUUBUWPULWPABCDEFG
        HJKLMNUMOPQRSTUAWQWRALUPFVAUNVBJLUKDUUDUUEUMKUNWSULUWPGULADEFGHJKLMOPQR
        STWTXAXBYOUUAUUCUOINYQYJNULZYLUUAYNUUCUWRYKYTKYJNJXCXDUWRYMUUBGUMUMYJNX
        OXDWOXEXFAYLUMUMXGZYJVHZGULZUOZIYQUSYSAEFGIJKMYPUWSUULOUPUPUUDUUDXHXHXI
        XIXJPYPXKVBZAUPXKVBZUXDUXCXLXLUPUPXMXNXPYPXKXQZVBZAUPUXEVBZUXGUXFXRXRXK
        UPUPBCBUJCUJXMXSXNXPUWSUULVBZAUWQUWQUXHWPWPUMUMUUDUUDXTXNXPQRAGJVHUMUMK
        UNUWSKVHSUMUMKYEYAYBYOUXBIYQYNUXAYLYMUWTGUMUMYJYEYCYDYFYGYOIYQYHYI $.
    $}

    $( A two-dimensional version of ~ cvmlift .  There is a unique lift of
       functions on the unit square ` II tX II ` which commutes with the
       covering map.  (Contributed by Mario Carneiro, 1-Jun-2015.) $)
    cvmlift2 $p |- ( ph -> E! f e. ( ( II tX II ) Cn C )
      ( ( F o. f ) = G /\ ( 0 f 0 ) = P ) ) $=
      ( vz vg cv cc0 co wceq cfv vx vy vh vw vu vv vk ccom c1 cicc cmpt cii ccn
      crio cmpo coeq2 oveq1 cbvmptv a1i eqeq12d fveq1 eqeq1d anbi12d cbvriotavw
      oveq2 mpteq2dv eqeq2d fveq2 riotabidv syl5eq fveq1d cbvmpov cvmlift2lem13
      wa ) AUAUBNBCDOEFGFUCPZUHZUDQUIUJRZUDPZQGRZUKZSZQVOTZDSZVNZUCULCUMRZUNZHU
      EUFVQVQUFPZFUGPZUHZUDVQUEPZVRGRZUKZSZQWHTZWJWFTZSZVNZUGWEUNZTZUOIJKLMWDFO
      PZUHZNVQNPZQGRZUKZSZQWTTZDSZVNUCOWEVOWTSZWAXEWCXGXHVPXAVTXDVOWTFUPVTXDSXH
      UDNVQVSXCVRXBQGUQURUSUTXHWBXFDQVOWTVAVBVCVDUEUFUAUBVQVQWSUBPZXANVQUAPZXBG
      RZUKZSZXFXJWFTZSZVNZOWEUNZTWGXQTWJXJSZWGWRXQXRWRXANVQWJXBGRZUKZSZXFWOSZVN
      ZOWEUNXQWQYCUGOWEWHWTSZWMYAWPYBYDWIXAWLXTWHWTFUPWLXTSYDUDNVQWKXSVRXBWJGVE
      URUSUTYDWNXFWOQWHWTVAVBVCVDXRYCXPOWEXRYAXMYBXOXRXTXLXAXRNVQXSXKWJXJXBGUQV
      FVGXRWOXNXFWJXJWFVHVGVCVIVJVKWGXIXQVHVLVM $.
  $}

  ${
    $d f s x A $.  $d f s x B $.  $d f h s x F $.  $d f g h J $.  $d g h s M $.
    $d f g h s x C $.  $d f g h s x G $.  $d f g h s x H $.  $d g h s ph $.
    $d g h s N $.  $d f h x P $.
    cvmliftpht.b $e |- B = U. C $.
    cvmliftpht.m $e |- M =
      ( iota_ f e. ( II Cn C ) ( ( F o. f ) = G /\ ( f ` 0 ) = P ) ) $.
    cvmliftpht.n $e |- N =
      ( iota_ f e. ( II Cn C ) ( ( F o. f ) = H /\ ( f ` 0 ) = P ) ) $.
    cvmliftpht.f $e |- ( ph -> F e. ( C CovMap J ) ) $.
    cvmliftpht.p $e |- ( ph -> P e. B ) $.
    cvmliftpht.e $e |- ( ph -> ( F ` P ) = ( G ` 0 ) ) $.
    ${
      cvmliftphtlem.g $e |- ( ph -> G e. ( II Cn J ) ) $.
      cvmliftphtlem.h $e |- ( ph -> H e. ( II Cn J ) ) $.
      cvmliftphtlem.k $e |- ( ph -> K e. ( G ( PHtpy ` J ) H ) ) $.
      cvmliftphtlem.a $e |- ( ph -> A e. ( ( II tX II ) Cn C ) ) $.
      cvmliftphtlem.c $e |- ( ph -> ( F o. A ) = K ) $.
      cvmliftphtlem.0 $e |- ( ph -> ( 0 A 0 ) = P ) $.
      $( Lemma for ~ cvmliftpht .  (Contributed by Mario Carneiro,
         6-Jul-2015.) $)
      cvmliftphtlem $p |- ( ph -> A e. ( M ( PHtpy ` C ) N ) ) $=
        ( vs vx cii ccn co wcel ccom wceq cc0 cfv cvmliftiota simp1d c1 phtpy01
        simpld eqtrd cv cmpt wral wa cop cxp wf iitop iiuni cnf 0elunit opelxpi
        syl mpan2 fvco3 syl2an adantr fveq1d eqtr3d df-ov fveq2i 3eqtr4g ctopon
        crio a1i mpteq2dva fovrn mp3an3 sylan eqidd eqid feqmptd fmptco 3eqtr4d
        fveq2 wreu wb cnmptc cnmpt12f cvmlift syl22anc coeq2 eqeq1d fveq1 oveq1
        ovex fvmpt ax-mp eqtrdi anbi12d riota2 mpbi2and syl5eq cvv mpteqb ovexd
        syl2anc mprg sylib r19.21bi 1elunit simprd csn ffvelrn sylancl cnconst2
        cconn syl3anc mpan fconstmpt eqtr4di fcoconst oveq2 fvconst2 cvmliftmoi
        mp3an2 fvex rspcv mpsyl cicc ctx txunii iitopon cphtpy phtpyhtpy sseldd
        chtpy htpyi cuni cvmcn cnmptid iiconn cnlly iinllyconn cvmtop1 toptopon
        ccvm ctop phtpyi simp3d fveq2d wfn ffnd eqtr4d simp2d eqeq12d isphtpy2d
        3eqtrd ) ALMBDUFALUHDUIUJZUKZGLULZHUMZUNLUOZEUMZACDEFGHLJNOQTRSUPZUQZAM
        UVJUKZGMULIUMUNMUOEUMACDEFGIMJNPQUARAEGUOZUNHUOZUNIUOZSAUVTUWAUMURHUOZU
        RIUOUMAHIKJTUAUBUSUTVAZUPUQZUCAUFVBZUNBUJZUWELUOZUMZUFUNURUUAUJZAUFUWIU
        WFVCZUFUWIUWGVCZUMZUWHUFUWIVDZALUWJUWKALGFVBZULZHUMZUNUWNUOZEUMZVEZFUVJ
        WEZUWJOAGUWJULZHUMZUNUNBUJZEUMZUWTUWJUMZAUFUWIUWFGUOZVCUFUWIUWEHUOZVCUX
        AHAUFUWIUXFUXGAUWEUWIUKZVEZUXFUWEUNKUJZUXGUXIUWEUNVFZBUOZGUOZUXKKUOZUXF
        UXJUXIUXKGBULZUOZUXMUXNAUWIUWIVGZCBVHZUXKUXQUKZUXPUXMUMUXHABUHUHUUBUJZD
        UIUJUKUXRUCBUXTDUXQCUHUHUWIUWIVIVIVJVJUUCNVKVNZUXHUNUWIUKZUXSVLUWEUNUWI
        UWIVMVOUXQCUXKGBVPVQUXIUXKUXOKAUXOKUMUXHUDVRZVSVTUWFUXLGUWEUNBWAWBUWEUN
        KWAWCUXIUXJUXGUMZUWEURKUJZUWEIUOZUMZAUWEHIKUHJUWIUHUWIWDUOUKZAUUDWFZTUA
        AHIJUUEUOUJHIUHJUUHUJUJKAHIJTUAUUFUBUUGUUIZUTVAWGAUFUGUWICUWFUGVBZGUOZU
        XFUWJGAUXRUXHUWFCUKZUYAUXRUXHUYBUYMVLUWEUNCUWIUWIBWHWIWJAUWJWKAUGCJUUJZ
        GAGDJUIUJUKZCUYNGVHAGDJUURUJUKZUYOQDGJUUKVNGDJCUYNNUYNWLZVKVNZWMZUYKUWF
        GWPWNAUFUWIUYNHAHUHJUIUJZUKZUWIUYNHVHTHUHJUWIUYNVJUYQVKVNWMWOUEAUWJUVJU
        KUWSFUVJWQZUXBUXDVEZUXEWRAUFUWEUNBUHUHUHDUWIUYIAUFUHUWIUYIUULZAUFUNUHUH
        UWIUWIUYIUYIUYBAVLWFZWSZUCWTAUYPVUAECUKZUVSUVTUMZVUBQTRSCDEFGHJNXAXBUWS
        VUCFUVJUWJUWNUWJUMZUWPUXBUWRUXDVUIUWOUXAHUWNUWJGXCXDVUIUWQUXCEVUIUWQUNU
        WJUOZUXCUNUWNUWJXEUYBVUJUXCUMVLUFUNUWFUXCUWIUWJUWEUNUNBXFUWJWLUNUNBXGZX
        HXIXJXDXKXLXRXMXNAUFUWICLAUVKUWICLVHZUVQLUHDUWICVJNVKVNZWMVTUWFXOUKUWLU
        WMWRUFUWIUFUWIUWFUWGXOXPUXHUWEUNBXQXSXTZYAAUWEURBUJZUWEMUOZUMZUFUWIAUFU
        WIVUOVCZUFUWIVUPVCZUMZVUQUFUWIVDZAMVURVUSAMUWOIUMZUWRVEZFUVJWEZVURPAGVU
        RULZIUMZUNURBUJZEUMZVVDVURUMZAUFUWIVUOGUOZVCUFUWIUYFVCVVEIAUFUWIVVJUYFU
        XIVVJUYEUYFUXIUWEURVFZBUOZGUOZVVKKUOZVVJUYEUXIVVKUXOUOZVVMVVNAUXRVVKUXQ
        UKZVVOVVMUMUXHUYAUXHURUWIUKZVVPYBUWEURUWIUWIVMVOUXQCVVKGBVPVQUXIVVKUXOK
        UYCVSVTVUOVVLGUWEURBWAWBUWEURKWAWCUXIUYDUYGUYJYCVAWGAUFUGUWICVUOUYLVVJV
        URGAUXRUXHVUOCUKZUYAUXRUXHVVQVVRYBUWEURCUWIUWIBWHWIWJAVURWKUYSUYKVUOGWP
        WNAUFUWIUYNIAIUYTUKZUWIUYNIVHUAIUHJUWIUYNVJUYQVKVNWMWOAVVGUVNEVVQAUNUWE
        BUJZUVNUMZUFUWIVDZVVGUVNUMZYBAUFUWIVVTVCZUFUWIUVNVCZUMZVWBAVWDUWIUVNYDV
        GZVWEACDGJUHVWDVWGUNUWINVJQUHYHUKAUUMWFZUHYHUUNUKAUUOWFZVUEAUFUNUWEBUHU
        HUHDUWIUYIVUFVUDUCWTAUYHDCWDUOUKZUVNCUKZVWGUVJUKUYIADUUSUKZVWJAUYPVWLQD
        GJUUPVNDCNUUQXTZAVULUYBVWKVUMVLUWICUNLYEYFZUVNUHDUWICYGYIAUFUWIVVTGUOZV
        CZUWIUVNGUOZYDVGZGVWDULGVWGULZAVWPUFUWIVWQVCVWRAUFUWIVWOVWQUXIUNUWEKUJZ
        UVTVWOVWQUXIVWTUVTUMZURUWEKUJZUWBUMZAUWEHIKJTUAUBUUTZUTUXIUNUWEVFZBUOZG
        UOZVXEKUOZVWOVWTUXIVXEUXOUOZVXGVXHAUXRVXEUXQUKZVXIVXGUMUXHUYAUYBUXHVXJV
        LUNUWEUWIUWIVMYJUXQCVXEGBVPVQUXIVXEUXOKUYCVSVTVVTVXFGUNUWEBWAWBUNUWEKWA
        WCUXIVWQUVSUVTUXIUVNEGAUVOUXHAUVKUVMUVOUVPUVAZVRUVBAVUHUXHSVRVAWOWGUFUW
        IVWQYKYLAUFUGUWICVVTUYLVWOVWDGAUXRUXHVVTCUKZUYAUXRUYBUXHVXLVLUNUWECUWIU
        WIBWHYQWJAVWDWKUYSUYKVVTGWPWNAGCUVCZVWKVWSVWRUMACUYNGUYRUVDZVWNGUWICUVN
        YMXRWOAUXCUVNUNVWDUOZUNVWGUOZAUXCEUVNUEVXKUVEUYBVXOUXCUMVLUFUNVVTUXCUWI
        VWDUWEUNUNBYNVWDWLVUKXHXIUYBVXPUVNUMVLUWIUVNUNUNLYRYOXIWCYPUFUWIUVNYKXJ
        VVTXOUKVWFVWBWRUFUWIUFUWIVVTUVNXOXPUXHUNUWEBXQXSXTZVWAVWCUFURUWIUWEURUM
        ZVVTVVGUVNUWEURUNBYNXDYSYTVXKVAAVURUVJUKVVCFUVJWQZVVFVVHVEZVVIWRAUFUWEU
        RBUHUHUHDUWIUYIVUDAUFURUHUHUWIUWIUYIUYIVVQAYBWFWSZUCWTAUYPVVSVUGUVSUWAU
        MVXSQUARUWCCDEFGIJNXAXBVVCVXTFUVJVURUWNVURUMZVVBVVFUWRVVHVYBUWOVVEIUWNV
        URGXCXDVYBUWQVVGEVYBUWQUNVURUOZVVGUNUWNVURXEUYBVYCVVGUMVLUFUNVUOVVGUWIV
        URUWEUNURBXFVURWLUNURBXGXHXIXJXDXKXLXRXMXNAUFUWICMAUVRUWICMVHUWDMUHDUWI
        CVJNVKVNWMVTVUOXOUKVUTVVAWRUFUWIUFUWIVUOVUPXOXPUXHUWEURBXQXSXTYAAVWAUFU
        WIVXQYAAURUWEBUJZURLUOZUMZUFUWIAUFUWIVYDVCZUFUWIVYEVCZUMZVYFUFUWIVDZAVY
        GUWIVYEYDVGZVYHACDGJUHVYGVYKUNUWINVJQVWHVWIVUEAUFURUWEBUHUHUHDUWIUYIVYA
        VUDUCWTAUYHVWJVYECUKZVYKUVJUKUYIVWMAVULVVQVYLVUMYBUWICURLYEYFZVYEUHDUWI
        CYGYIAUFUWIVYDGUOZVCZUWIVYEGUOZYDVGZGVYGULGVYKULZAVYOUFUWIVYPVCVYQAUFUW
        IVYNVYPUXIVYNVXBUWBVYPUXIURUWEVFZBUOZGUOZVYSKUOZVYNVXBUXIVYSUXOUOZWUAWU
        BAUXRVYSUXQUKZWUCWUAUMUXHUYAVVQUXHWUDYBURUWEUWIUWIVMYJUXQCVYSGBVPVQUXIV
        YSUXOKUYCVSVTVYDVYTGURUWEBWAWBURUWEKWAWCUXIVXAVXCVXDYCUXIURUVLUOZUWBVYP
        UXIURUVLHAUVMUXHAUVKUVMUVOUVPUVFVRVSUXIVULVVQWUEVYPUMAVULUXHVUMVRYBUWIC
        URGLVPYFVTUVIWGUFUWIVYPYKYLAUFUGUWICVYDUYLVYNVYGGAUXRUXHVYDCUKZUYAUXRVV
        QUXHWUFYBURUWECUWIUWIBWHYQWJAVYGWKUYSUYKVYDGWPWNAVXMVYLVYRVYQUMVXNVYMGU
        WICVYEYMXRWOAURUNBUJZVYEUNVYGUOZUNVYKUOZVVQAUWMWUGVYEUMZYBVUNUWHWUJUFUR
        UWIVXRUWFWUGUWGVYEUWEURUNBXFUWEURLWPUVGYSYTUYBWUHWUGUMVLUFUNVYDWUGUWIVY
        GUWEUNURBYNVYGWLURUNBXGXHXIUYBWUIVYEUMVLUWIVYEUNURLYRYOXIWCYPUFUWIVYEYK
        XJVYDXOUKVYIVYJWRUFUWIUFUWIVYDVYEXOXPUXHURUWEBXQXSXTYAUVH $.
    $}

    cvmliftpht.g $e |- ( ph -> G ( ~=ph ` J ) H ) $.
    $( If ` G ` and ` H ` are path-homotopic, then their lifts ` M ` and ` N `
       are also path-homotopic.  (Contributed by Mario Carneiro,
       6-Jul-2015.) $)
    cvmliftpht $p |- ( ph -> M ( ~=ph ` C ) N ) $=
      ( co cc0 vg vh cii ccn wcel cphtpy cfv c0 wne cphtpc wbr ccom w3a isphtpc
      wceq sylib simp1d cvmliftiota simp2d c1 wa phtpc01 simpld eqtrd cv simp3d
      syl wex n0 wreu wrex ccvm adantr phtpycn sselda cicc 0elunit simpr phtpyi
      mpan2 eqtr4d cvmlift2 reurex ad2antrr simplr simprl simprrl cvmliftphtlem
      ctx simprrr ne0d rexlimddv exlimddv syl3anbrc ) AJUCCUDSZUEZKWOUEZJKCUFUG
      SZUHUIZJKCUJUGUKAWPFJULGUOTJUGDUOABCDEFGJILMOAGUCIUDSZUEZHWTUEZGHIUFUGSZU
      HUIZAGHIUJUGUKZXAXBXDUMRGHIUNUPZUQZPQURUQAWQFKULHUOTKUGDUOABCDEFHKILNOAXA
      XBXDXFUSZPADFUGZTGUGZTHUGZQAXJXKUOZUTGUGZUTHUGUOZAXEXLXNVARGHIVBVGVCVDURU
      QAUAVEZXCUEZWSUAAXDXPUAVHAXAXBXDXFVFUAXCVIUPAXPVAZFUBVEZULXOUOZTTXRSDUOZV
      AZWSUBUCUCWISZCUDSZXQYAUBYCVJYAUBYCVKXQBCDUBFXOILAFCIVLSUEZXPOVMAXCYBIUDS
      XOAGHIXGXHVNVOADBUEZXPPVMXQXIXJTTXOSZAXIXJUOZXPQVMXQYFXJUOZUTTXOSXMUOZXQT
      TUTVPSUEYHYIVAVQXQTGHXOIAXAXPXGVMAXBXPXHVMAXPVRVSVTVCWAWBYAUBYCWCVGXQXRYC
      UEZYAVAZVAZWRXRYLXRBCDEFGHIXOJKLMNAYDXPYKOWDAYEXPYKPWDAYGXPYKQWDAXAXPYKXG
      WDAXBXPYKXHWDAXPYKWEXQYJYAWFXQYJXSXTWGXQYJXSXTWJWHWKWLWMJKCUNWN $.
  $}

  ${
    $d b c d f k s w z A $.  $d f g w z I $.  $d a b c d f g k s u v w x y J $.
    $d a b c d f g h k n s u v w x y z F $.  $d f g h n x y M $.  $d f g w N $.
    $d a b c d f g h m n t v w x y z H $.  $d f g w Q $.  $d a b f m t v x S $.
    $d a b d f g h u v w x y z B $.  $d g w R $.  $d a b c d f g h n w x z X $.
    $d a b c d f g h k m n t u v w x y z G $.  $d b c d s T $.  $d f g x z Z $.
    $d a b c d f g h k m n s t u v w x y z C $.  $d a f h m n t v w x y ph $.
    $d a b c f g h m n t u v w x y z K $.  $d a b c d f g h n u v w x z P $.
    $d a b c f g h n u v w x z O $.  $d a f g h m t u v w x y z Y $.
    $d c d f h n x y W $.
    cvmlift3.b $e |- B = U. C $.
    cvmlift3.y $e |- Y = U. K $.
    cvmlift3.f $e |- ( ph -> F e. ( C CovMap J ) ) $.
    cvmlift3.k $e |- ( ph -> K e. SConn ) $.
    cvmlift3.l $e |- ( ph -> K e. N-Locally PConn ) $.
    cvmlift3.o $e |- ( ph -> O e. Y ) $.
    cvmlift3.g $e |- ( ph -> G e. ( K Cn J ) ) $.
    cvmlift3.p $e |- ( ph -> P e. B ) $.
    cvmlift3.e $e |- ( ph -> ( F ` P ) = ( G ` O ) ) $.
    ${
      cvmlift3lem1.1 $e |- ( ph -> M e. ( II Cn K ) ) $.
      cvmlift3lem1.2 $e |- ( ph -> ( M ` 0 ) = O ) $.
      cvmlift3lem1.3 $e |- ( ph -> N e. ( II Cn K ) ) $.
      cvmlift3lem1.4 $e |- ( ph -> ( N ` 0 ) = O ) $.
      cvmlift3lem1.5 $e |- ( ph -> ( M ` 1 ) = ( N ` 1 ) ) $.
      $( Lemma for ~ cvmlift3 .  (Contributed by Mario Carneiro,
         6-Jul-2015.) $)
      cvmlift3lem1 $p |- ( ph ->
        ( ( iota_ g e. ( II Cn C )
          ( ( F o. g ) = ( G o. M ) /\ ( g ` 0 ) = P ) ) ` 1 ) =
        ( ( iota_ g e. ( II Cn C )
          ( ( F o. g ) = ( G o. N ) /\ ( g ` 0 ) = P ) ) ` 1 ) ) $=
        ( cc0 cv ccom wceq cfv wa cii ccn co crio cphtpc wbr eqid fveq2d eqtr4d
        c1 cicc wf wcel iiuni cnf syl 0elunit fvco3 sylancl phtpcco2 cvmliftpht
        sconnpht2 phtpc01 simprd ) AUHFEUIZUJZGJUJZUKUHVRULDUKZUMEUNCUOUPZUQZUL
        UHVSGKUJZUKWAUMEWBUQZULUKZVCWCULVCWEULUKZAWCWECURULUSWFWGUMABCDEFVTWDHW
        CWENWCUTWEUTPUAADFULZUHJULZGULZUHVTULZAWHLGULWJUBAWILGUDVAVBAUHVCVDUPZM
        JVEZUHWLVFWKWJUKAJUNIUOUPVFWMUCJUNIWLMVGOVHVIVJWLMUHGJVKVLVBAGJKIHAJKIQ
        UCUEAWILUHKULUDUFVBUGVOTVMVNWCWECVPVIVQ $.
    $}

    $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro, 6-Jul-2015.) $)
    cvmlift3lem2 $p |- ( ( ph /\ X e. Y ) -> E! z e. B E. f e. ( II Cn K )
      ( ( f ` 0 ) = O /\ ( f ` 1 ) = X /\ ( ( iota_ g e. ( II Cn C )
        ( ( F o. g ) = ( G o. f ) /\ ( g ` 0 ) = P ) ) ` 1 ) = z ) ) $=
      ( va vh vw wcel wa cc0 cv cfv wceq cii ccn wrex ccom crio w3a wreu cpconn
      c1 co csconn adantr sconnpconn simpr pconncn syl3anc wi wral cicc wf eqid
      syl ccvm ad2antrr simprl syl2anc simprrl fveq2d iiuni cnf 0elunit sylancl
      cnco fvco3 3eqtr4rd cvmliftiota simp1d 1elunit ffvelrn eqidd fveq1 eqeq1d
      simprrr eqeq2d anbi1d riotabidv fveq1d 3anbi123d syl13anc ad4antr simprr1
      coeq2 rspcev cnlly simprr2 eqtr4d cvmlift3lem1 eqtrd rexlimdvaa ralrimiva
      simprr3 eqeq2 3anbi3d rexbidv eqeq1 imbi2d ralbidv syl12anc cbvrexvw reu8
      anbi12d syl5bb sylibr mpd ) AMNUGZUHZUIUDUJZUKZLULZVAYIUKZMULZUHZUDUMKUNV
      BZUOZUIFUJZUKZLULZVAYQUKZMULZVAHGUJZUPZIYQUPZULZUIUUBUKEULZUHZGUMDUNVBZUQ
      ZUKZBUJZULZURZFYOUOZBCUSZYHKUTUGZLNUGZYGYPYHKVCUGZUUPAUURYGRVDKVEVNAUUQYG
      TVDAYGVFLMUDKNPVGVHYHYNUUOUDYOYHYIYOUGZYNUHZUHZUUNUIUEUJZUKZLULZVAUVBUKZM
      ULZVAUUCIUVBUPZULZUUFUHZGUUHUQZUKZUFUJZULZURZUEYOUOZUUKUVLULZVIZUFCVJZUHZ
      BCUOZUUOUVAVAUUCIYIUPZULZUUFUHZGUUHUQZUKZCUGZYSUUAUUJUWEULZURZFYOUOZUVOUW
      EUVLULZVIZUFCVJZUVTUVAUIVAVKVBZCUWDVLZVAUWMUGUWFUVAUWDUUHUGZUWNUVAUWOHUWD
      UPUWAULUIUWDUKEULUVACDEGHUWAUWDJOUWDVMAHDJVOVBUGZYGUUTQVPUVAUUSIKJUNVBUGZ
      UWAUMJUNVBUGYHUUSYNVQZAUWQYGUUTUAVPYIIUMKJWEVRAECUGZYGUUTUBVPUVAYJIUKZLIU
      KZUIUWAUKZEHUKZUVAYJLIYHUUSYKYMVSZVTUVAUWMNYIVLZUIUWMUGUXBUWTULUVAUUSUXEU
      WRYIUMKUWMNWAPWBVNWCUWMNUIIYIWFWDAUXCUXAULZYGUUTUCVPWGWHWIUWDUMDUWMCWAOWB
      VNWJUWMCVAUWDWKWDUVAUUSYKYMUWEUWEULZUWIUWRUXDYHUUSYKYMWOZUVAUWEWLUWHYKYMU
      XGURFYIYOYQYIULZYSYKUUAYMUWGUXGUXIYRYJLUIYQYIWMWNUXIYTYLMVAYQYIWMWNUXIUUJ
      UWEUWEUXIVAUUIUWDUXIUUGUWCGUUHUXIUUEUWBUUFUXIUUDUWAUUCYQYIIXDWPWQWRWSWNWT
      XEXAUVAUWKUFCUVAUVLCUGZUHZUVNUWJUEYOUXKUVBYOUGZUVNUHZUHZUWEUVKUVLUXNCDEGH
      IJKYIUVBLNOPAUWPYGUUTUXJUXMQXBAUURYGUUTUXJUXMRXBAKUTXFUGYGUUTUXJUXMSXBAUU
      QYGUUTUXJUXMTXBAUWQYGUUTUXJUXMUAXBAUWSYGUUTUXJUXMUBXBAUXFYGUUTUXJUXMUCXBU
      VAUUSUXJUXMUWRVPUVAYKUXJUXMUXDVPUXKUXLUVNVQUVDUVFUVMUXLUXKXCUXNYLMUVEUVAY
      MUXJUXMUXHVPUVDUVFUVMUXLUXKXGXHXIUVDUVFUVMUXLUXKXMXJXKXLUVSUWIUWLUHBUWECU
      UKUWEULZUUNUWIUVRUWLUXOUUMUWHFYOUXOUULUWGYSUUAUUKUWEUUJXNXOXPUXOUVQUWKUFC
      UXOUVPUWJUVOUUKUWEUVLXQXRXSYCXEXTUUNUVOBUFCUUNUVDUVFUVKUUKULZURZUEYOUOUVP
      UVOUUMUXQFUEYOYQUVBULZYSUVDUUAUVFUULUXPUXRYRUVCLUIYQUVBWMWNUXRYTUVEMVAYQU
      VBWMWNUXRUUJUVKUUKUXRVAUUIUVJUXRUUGUVIGUUHUXRUUEUVHUUFUXRUUDUVGUUCYQUVBIX
      DWPWQWRWSWNWTYAUVPUXQUVNUEYOUVPUXPUVMUVDUVFUUKUVLUVKXNXOXPYDYBYEXKYF $.

    ${
      cvmlift3.h $e |- H = ( x e. Y |-> ( iota_ z e. B E. f e. ( II Cn K )
        ( ( f ` 0 ) = O /\ ( f ` 1 ) = x /\ ( ( iota_ g e. ( II Cn C )
          ( ( F o. g ) = ( G o. f ) /\ ( g ` 0 ) = P ) ) ` 1 ) = z ) ) ) $.
      $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro,
         6-Jul-2015.) $)
      cvmlift3lem3 $p |- ( ph -> H : Y --> B ) $=
        ( cc0 cv cfv wceq c1 ccom wa cii ccn co crio w3a wrex wcel cvmlift3lem2
        wreu riotacl syl fmptd ) ABOUFGUGZUHNUIUJVEUHBUGZUIUJIHUGZUKJVEUKUIUFVG
        UHFUIULHUMEUNUOUPUHCUGUIUQGUMMUNUOURZCDUPZDKAVFOUSULVHCDVAVIDUSACDEFGHI
        JLMNVFOPQRSTUAUBUCUDUTVHCDVBVCUEVD $.

      $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro,
         6-Jul-2015.) $)
      cvmlift3lem4 $p |- ( ( ph /\ X e. Y ) -> ( ( H ` X ) = A <-> E. f e.
    ( II Cn K ) ( ( f ` 0 ) = O /\ ( f ` 1 ) = X /\ ( ( iota_ g e. ( II Cn C )
      ( ( F o. g ) = ( G o. f ) /\ ( g ` 0 ) = P ) ) ` 1 ) = A ) ) ) $=
        ( wcel wa cfv wceq cc0 cv c1 ccom cii ccn co crio w3a wrex cvmlift3lem3
        ffvelrnda eleq1 syl5ibcom wi cicc eqid ccvm ad2antrr simprl cnco simprr
        syl2anc fveq2d iiuni cnf syl 0elunit fvco3 sylancl 3eqtr4rd cvmliftiota
        wf simp1d 1elunit ffvelrn expr 3impd rexlimdva wb eqeq2 3anbi2d rexbidv
        a1dd riotabidv riotaex adantl eqeq1d cvmlift3lem2 3anbi3d riota2 sylan2
        fvmpt wreu bitr4d expcom pm5.21ndd ) APQUHZUIZDEUHZPLUJZDUKZULHUMZUJZOU
        KZUNXNUJZPUKZUNJIUMZUOKXNUOZUKULXSUJGUKUIIUPFUQURZUSZUJZDUKZUTZHUPNUQUR
        ZVAZXJXLEUHXMXKAQEPLABCEFGHIJKLMNOQRSTUAUBUCUDUEUFUGVBVCXLDEVDVEXJYEXKH
        YFXJXNYFUHZUIZXPXRYDXKYIXPYDXKVFZXRXJYHXPYJXJYHXPUIZUIZYCEUHZYDXKYLULUN
        VGURZEYBWDZUNYNUHYMYLYBYAUHZYOYLYPJYBUOXTUKULYBUJGUKYLEFGIJXTYBMRYBVHAJ
        FMVIURUHXIYKTVJYLYHKNMUQURUHZXTUPMUQURUHXJYHXPVKZAYQXIYKUDVJXNKUPNMVLVN
        AGEUHXIYKUEVJYLXOKUJZOKUJZULXTUJZGJUJZYLXOOKXJYHXPVMVOYLYNQXNWDZULYNUHU
        UAYSUKYLYHUUCYRXNUPNYNQVPSVQVRVSYNQULKXNVTWAAUUBYTUKXIYKUFVJWBWCWEYBUPF
        YNEVPRVQVRWFYNEUNYBWGWAYCDEVDVEWHWOWIWJXKXJXMYGWKXKXJUIXMXPXRYCCUMZUKZU
        TZHYFVAZCEUSZDUKZYGXJXMUUIWKXKXJXLUUHDXIXLUUHUKABPXPXQBUMZUKZUUEUTZHYFV
        AZCEUSUUHQLUUJPUKZUUMUUGCEUUNUULUUFHYFUUNUUKXRXPUUEUUJPXQWLWMWNWPUGUUGC
        EWQXDWRWSWRXJXKUUGCEXEYGUUIWKACEFGHIJKMNOPQRSTUAUBUCUDUEUFWTUUGYGCEDUUD
        DUKZUUFYEHYFUUOUUEYDXPXRUUDDYCWLXAWNXBXCXFXGXH $.

      $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro,
         6-Jul-2015.) $)
      cvmlift3lem5 $p |- ( ph -> ( F o. H ) = G ) $=
        ( vy vw cv cfv cmpt ccom wcel wa cc0 wceq c1 cii ccn crio w3a wrex eqid
        co cvmlift3lem4 df-3an ccvm ad3antrrr simplr cnco syl2anc simprl fveq2d
        mpbii cicc wf iiuni cnf syl 0elunit sylancl 3eqtr4rd cvmliftiota simp2d
        fvco3 fveq1d simp1d 1elunit simprr eqtrd 3eqtr3d fveqeq2 expimpd syl5bi
        syl5ibcom rexlimdva mpteq2dva cvmlift3lem3 ffvelrnda feqmptd cuni cvmcn
        mpd 3syl fveq2 fmptco 3eqtr4d ) AUFOUFUHZKUIZIUIZUJUFOXGJUIZUJIKUKJAUFO
        XIXJAXGOULZUMZUNGUHZUIZNUOZUPXMUIZXGUOZUPIHUHZUKJXMUKZUOUNXRUIFUOUMHUQE
        URVCZUSZUIZXHUOZUTZGUQMURVCZVAZXIXJUOZXLXHXHUOYFXHVBABCXHDEFGHIJKLMNXGO
        PQRSTUAUBUCUDUEVDVMXLYDYGGYEYDXOXQUMZYCUMXLXMYEULZUMZYGXOXQYCVEYJYHYCYG
        YJYHUMZYBIUIZXJUOYCYGYKUPIYAUKZUIZUPXSUIZYLXJYKUPYMXSYKYAXTULZYMXSUOZUN
        YAUIFUOZYKDEFHIXSYALPYAVBAIELVFVCULZXKYIYHRVGYKYIJMLURVCULZXSUQLURVCULX
        LYIYHVHZAYTXKYIYHUBVGXMJUQMLVIVJAFDULXKYIYHUCVGYKXNJUIZNJUIZUNXSUIZFIUI
        ZYKXNNJYJXOXQVKVLYKUNUPVNVCZOXMVOZUNUUFULUUDUUBUOYKYIUUGUUAXMUQMUUFOVPQ
        VQVRZVSUUFOUNJXMWDVTAUUEUUCUOXKYIYHUDVGWAWBZWCWEYKUUFDYAVOZUPUUFULZYNYL
        UOYKYPUUJYKYPYQYRUUIWFYAUQEUUFDVPPVQVRWGUUFDUPIYAWDVTYKYOXPJUIZXJYKUUGU
        UKYOUULUOUUHWGUUFOUPJXMWDVTYKXPXGJYJXOXQWHVLWIWJYBXHXJIWKWNWLWMWOXBWPAU
        FUGODXHUGUHZIUIXIKIAODXGKABCDEFGHIJKLMNOPQRSTUAUBUCUDUEWQZWRAUFODKUUNWS
        AUGDLWTZIAYSIELURVCULDUUOIVOREILXAIELDUUOPUUOVBZVQXCWSUUMXHIXDXEAUFOUUO
        JAYTOUUOJVOUBJMLOUUOQUUPVQVRWSXF $.

      cvmlift3lem7.s $e |- S = ( k e. J |->
        { s e. ( ~P C \ { (/) } ) | ( U. s = ( `' F " k ) /\
          A. c e. s ( A. d e. ( s \ { c } ) ( c i^i d ) = (/) /\
             ( F |` c ) e. ( ( C |`t c ) Homeo ( J |`t k ) ) ) ) } ) $.
      ${
        cvmlift3lem7.1 $e |- ( ph -> ( G ` X ) e. A ) $.
        cvmlift3lem7.2 $e |- ( ph -> T e. ( S ` A ) ) $.
        cvmlift3lem7.3 $e |- ( ph -> M C_ ( `' G " A ) ) $.
        cvmlift3lem7.w $e |- W = ( iota_ b e. T ( H ` X ) e. b ) $.
        ${
          cvmlift3lem6.x $e |- ( ph -> X e. M ) $.
          cvmlift3lem6.z $e |- ( ph -> Z e. M ) $.
          cvmlift3lem6.q $e |- ( ph -> Q e. ( II Cn K ) ) $.
          cvmlift3lem6.r $e |- R = ( iota_ g e. ( II Cn C )
            ( ( F o. g ) = ( G o. Q ) /\ ( g ` 0 ) = P ) ) $.
          cvmlift3lem6.1 $e |- ( ph ->
            ( ( Q ` 0 ) = O /\ ( Q ` 1 ) = X /\ ( R ` 1 ) = ( H ` X ) ) ) $.
          cvmlift3lem6.n $e |- ( ph -> N e. ( II Cn ( K |`t M ) ) ) $.
          cvmlift3lem6.2 $e |- ( ph ->
            ( ( N ` 0 ) = X /\ ( N ` 1 ) = Z ) ) $.
          cvmlift3lem6.i $e |- I = ( iota_ g e. ( II Cn C )
            ( ( F o. g ) = ( G o. N ) /\ ( g ` 0 ) = ( H ` X ) ) ) $.
          $( Lemma for ~ cvmlift3 .  (Contributed by Mario Carneiro,
             9-Jul-2015.) $)
          cvmlift3lem6 $p |- ( ph -> ( H ` Z ) e. W ) $=
            ( cfv c1 wceq cc0 cv ccom wa cii ccn co crio w3a cpco wcel ctop wss
            crest syl sseldd simp2d simpld eqtr4d pcocn pco0 simp1d pco1 simprd
            eqtrd syl2anc fveq2d wf iiuni cnf 0elunit fvco3 sylancl cvmliftiota
            cnco 3eqtr4rd ccnv cima cnvimass fssdm sstrd fveq1d simp3d copco wb
            cuni coeq2 eqeq1d fveq1 syl13anc mpbird ctopon toptopon sylib rnco2
            a1i crn syl3anc frnd wfun cdm ffund eqeltrd wrex sconntop cicc eqid
            csconn cnrest2r cvmlift3lem3 cvmlift3lem5 eqtr3d oveq12d ccvm cvmcn
            ffvelrnd 3eqtr4d wreu cvmlift syl22anc anbi12d riota2 eqeq2d anbi1d
            mpbi2and riotabidv 3anbi123d rspcev cvmlift3lem4 mpdan cconn iiconn
            cvmtop1 rneqd 3eqtr3g iitopon resttopon cnf2 funimass3 eqsstrd fdmd
            sstrdi sseqtrrd mpbid cnrest2 cvmsss cvmsiota elssuni cvmsuni cnima
            sseqtrd cvmsrcl restopn2 mpbir2and cvmscld conncn 1elunit ffvelrn
            ccld ) AUGQVOZVPRVOZUDAUWQUWRVQZVRLVSZVOZUCVQZVPUWTVOZUGVQZVPOMVSZV
            TZPUWTVTZVQZVRUXEVOZGVQZWAZMWBFWCWDZWEZVOZUWRVQZWFZLWBTWCWDZUUAZAHU
            BTWGVOWDZUXQWHZVRUXSVOZUCVQZVPUXSVOZUGVQZVPUXFPUXSVTZVQZUXJWAZMUXLW
            EZVOZUWRVQZUXRAHUBTVIAWBTUAWKWDZWCWDZUXQUBATWIWHZUYLUXQWJATUUEWHUYM
            UOTUUBWLZUAWBTUUFWLVLWMZAVPHVOZUEVRUBVOZAVRHVOZUCVQZUYPUEVQZVPIVOZU
            EQVOZVQZVKWNAUYQUEVQZVPUBVOZUGVQZVMWOZWPZWQZAUYAUYRUCAHUBTVIUYOWRAU
            YSUYTVUCVKWSZXBZAUYCVUEUGAHUBTVIUYOWTAVUDVUFVMXAXBAUYIVPIRFWGVOWDZV
            OUWRAVPUYHVULAOVULVTZUYEVQZVRVULVOZGVQZUYHVULVQZAOIVTZORVTZSWGVOZWD
            PHVTZPUBVTZVUTWDVUMUYEAVURVVAVUSVVBVUTAIUXLWHZVURVVAVQZVRIVOZGVQZAE
            FGMOVVAISULVJUNAHUXQWHZPTSWCWDWHZVVAWBSWCWDZWHVIURHPWBTSXLXCUSAUYRP
            VOZUCPVOZVRVVAVOZGOVOZAUYRUCPVUJXDAVRVPUUCWDZUFHXEZVRVVNWHZVVLVVJVQ
            AVVGVVOVIHWBTVVNUFXFUMXGWLXHVVNUFVRPHXIXJUTXMXKZWNARUXLWHZVUSVVBVQZ
            VRRVOZVUBVQZAEFVUBMOVVBRSULVNUNAUBUXQWHZVVHVVBVVIWHUYOURUBPWBTSXLXC
            AUFEUEQABCEFGLMOPQSTUCUFULUMUNUOUPUQURUSUTVAUUGZAUAUFUEAUAPXNDXOZUF
            VEAUFSYCZVWDPPDXPZAVVHUFVWEPXEURPTSUFVWEUMVWEUUDZXGWLZXQXRZVGWMZUUM
            ZAUYQPVOZUEPVOZVRVVBVOZVUBOVOZAUYQUEPVUGXDAVVNUFUBXEZVVPVWNVWLVQAVW
            BVWPUYOUBWBTVVNUFXFUMXGWLXHVVNUFVRPUBXIXJAUEOQVTZVOZVWOVWMAUFEQXEUE
            UFWHVWRVWOVQVWCVWJUFEUEOQXIXCAUEVWQPABCEFGLMOPQSTUCUFULUMUNUOUPUQUR
            USUTVAUUHXSUUIZXMXKZWNZUUJAIROFSAVVCVVDVVFVVQWSZAVVRVVSVWAVWTWSZAVU
            AVUBVVTAUYSUYTVUCVKXTAVVRVVSVWAVWTXTZWPZAOFSUUKWDWHZOFSWCWDWHZUNFOS
            UULWLZYAAHUBPTSVIUYOVUHURYAUUNAVUOVVEGAIRFVXBVXCWRAVVCVVDVVFVVQXTXB
            AVULUXLWHUYGMUXLUUOZVUNVUPWAZVUQYBAIRFVXBVXCVXEWQAVXFUYEVVIWHZGEWHV
            VMVRUYEVOZVQVXIUNAUXTVVHVXKVUIURUXSPWBTSXLXCUSAUYAPVOZVVKVXLVVMAUYA
            UCPVUKXDAVVNUFUXSXEZVVPVXLVXMVQAUXTVXNVUIUXSWBTVVNUFXFUMXGWLXHVVNUF
            VRPUXSXIXJUTXMEFGMOUYESULUUPUUQUYGVXJMUXLVULUXEVULVQZUYFVUNUXJVUPVX
            OUXFVUMUYEUXEVULOYDYEVXOUXIVUOGVRUXEVULYFYEUURUUSXCUVBXSAIRFVXBVXCW
            TXBUXPUYBUYDUYJWFLUXSUXQUWTUXSVQZUXBUYBUXDUYDUXOUYJVXPUXAUYAUCVRUWT
            UXSYFYEVXPUXCUYCUGVPUWTUXSYFYEVXPUXNUYIUWRVXPVPUXMUYHVXPUXKUYGMUXLV
            XPUXHUYFUXJVXPUXGUYEUXFUWTUXSPYDUUTUVAUVCXSYEUVDUVEYGAUGUFWHUWSUXRY
            BAUAUFUGVWIVHWMABCUWREFGLMOPQSTUCUGUFULUMUNUOUPUQURUSUTVAUVFUVGYHAV
            VNUDRXEVPVVNWHUWRUDWHAVRUDRWBFOXNDXOZWKWDZVVNXFWBUVHWHAUVIYMAVVRRWB
            VXRWCWDWHZVXCAFEYIVOWHZRYNZVXQWJZVXQEWJVVRVXSYBAFWIWHZVXTAVXFVYCUNF
            OSUVJWLZFEULYJYKAOVYAXOZDWJZVYBAVYEPUBYNZXOZDAVUSYNVVBYNVYEVYHAVUSV
            VBVXAUVKORYLPUBYLUVLAVYHDWJZVYGVWDWJZAVYGUAVWDAVVNUAUBAWBVVNYIVOWHZ
            UYKUAYIVOWHZUBUYLWHVVNUAUBXEVYKAUVMYMATUFYIVOWHZUAUFWJVYLAUYMVYMUYN
            TUFUMYJYKVWIUATUFUVNXCVLUBWBUYKVVNUAUVOYOYPVEXRZAPYQVYGPYRZWJVYIVYJ
            YBAUFVWEPVWHYSAVYGVWDVYOVYNVWFUVSVYGDPUVPXCYHUVQAOYQVYAOYRZWJVYFVYB
            YBAEVWEOAVXGEVWEOXEVXHOFSEVWEULVWGXGWLZYSAVYAEVYPAVVNERAVVRVVNERXEV
            XCRWBFVVNEXFULXGWLYPAEVWEOVYQUVRUVTVYADOUVPXCUWAAEVWEVXQOODXPVYQXQV
            XQRWBFEUWBYOUWAAUDVXRWHZUDFWHZUDVXQWJZAKFUDAKDJVOWHZKFWJVDUKUJFJKDN
            OSUHVBUWCWLAUDKWHZVUBUDWHZAVXFWUAVUBEWHVWODWHWUBWUCWAUNVDVWKAVWOVWM
            DVWSVCYTUIUKUJVUBEFJKDNOSUDUHVBULVFUWDYGZWOZWMAUDKYCZVXQAWUBUDWUFWJ
            WUEUDKUWEWLAWUAWUFVXQVQVDUKUJFJKDNOSUHVBUWFWLUWHAVYCVXQFWHZVYRVYSVY
            TWAYBVYDAVXGDSWHZWUGVXHAWUAWUHVDUKUJFJKDNOSUHVBUWIWLDOFSUWGXCVXQUDF
            UWJXCUWKAVXFWUAWUBUDVXRUWPVOWHUNVDWUEUKUJUDFJKDNOSUHVBUWLYOVVPAXHYM
            AVVTVUBUDVXDAWUBWUCWUDXAYTUWMUWNVVNUDVPRUWOXJYT $.
        $}

        cvmlift3lem7.7 $e |- ( ph -> ( K |`t M ) e. PConn ) $.
        cvmlift3lem7.4 $e |- ( ph -> V e. K ) $.
        cvmlift3lem7.5 $e |- ( ph -> V C_ M ) $.
        cvmlift3lem7.6 $e |- ( ph -> X e. V ) $.
        $( Lemma for ~ cvmlift3 .  (Contributed by Mario Carneiro,
           9-Jul-2015.) $)
        cvmlift3lem7 $p |- ( ph -> H e. ( ( K CnP C ) ` X ) ) $=
          ( vy vh va vn ccnp cfv wcel cres crest cuni cvmlift3lem3 cvmlift3lem5
          ccn ccom eqeltrd csconn ctop sconntop syl ccnv cima cdm cnvimass wceq
          co wf eqid cnf 3syl sseqtrid sstrd sseldd ccvm ffvelrnd fvco3 syl2anc
          fdm wa fveq1d eqtr3d cvmsiota syl13anc wss wral cc0 cii crio w3a wrex
          cv cvmlift3lem4 mpbii mpdan adantr weq eqeq1d eqeq2d anbi1d riotabidv
          c1 fveq1 anbi12d cbvriotavw eqtr4di 3anbi123d cbvrexvw cpconn restuni
          coeq2 sylib ad3antrrr wb mpbird syl22anc eleqtrd eleq2d biimpa reeanv
          pconncn syl3anc simpllr simplrl simprl simplrr simprr cvmlift3lem6 ex
          cnlly rexlimdvva syl5bir ralrimiva wfun ffund fdmd sseqtrrd funimass4
          mp2and cvmlift2lem9a cncnpi cnt ssntr cnprest ) AOUBQFVKWKVLVMZORVNZU
          BQRVOWKZFVKWKVLVMZAUVJUVKFVSWKVMUBUVKVPZVMZUVLADEFHILMOPQRUAUBUCUDUFU
          GUHUIURUJABCEFGJKMNOPQSUCUHUIUJUKULUMUNUOUPUQVQZAMOVTZNQPVSWKZABCEFGJ
          KMNOPQSUCUHUIUJUKULUMUNUOUPUQVRZUNWAAQWBVMZQWCVMZUKQWDWEZARUCUBARNWFD
          WGZUCVAANWHZUWBUCNDWIANUVQVMZUCPVPZNWLUWCUCWJUNNQPUCUWEUIUWEWMWNUCUWE
          NXCWOWPWQZATRUBVEVFWRZWRZUTAMFPWSWKVMZIDHVLVMZUBOVLZEVMUWKMVLZDVMUAIV
          MUWKUAVMXDUJUTAUCEUBOUVOUWHWTAUWLUBNVLZDAUBUVPVLZUWLUWMAUCEOWLZUBUCVM
          ZUWNUWLWJUVOUWHUCEUBMOXAXBAUBUVPNUVRXEXFUSWAUEUGUFUWKEFHIDLMPUAUDURUH
          VBXGXHUWFAORWGUAXIZVGXPZOVLUAVMZVGRXJZAUWSVGRAUWRRVMZXDZXKVHXPZVLZSWJ
          ZYFUXCVLZUBWJZYFMVIXPZVTZNUXCVTZWJZXKUXHVLZGWJZXDZVIXLFVSWKZXMZVLZUWK
          WJZXNZVHXLQVSWKZXOZXKVJXPZVLUBWJYFUYBVLUWRWJXDZVJXLUVKVSWKZXOZUWSUXBX
          KJXPZVLZSWJZYFUYFVLZUBWJZYFMKXPZVTZNUYFVTZWJZXKUYKVLZGWJZXDZKUXOXMZVL
          ZUWKWJZXNZJUXTXOZUYAAVUBUXAAUWPVUBUWHAUWPXDUWKUWKWJVUBUWKWMABCUWKEFGJ
          KMNOPQSUBUCUHUIUJUKULUMUNUOUPUQXQXRXSXTVUAUXSJVHUXTJVHYAZUYHUXEUYJUXG
          UYTUXRVUCUYGUXDSXKUYFUXCYGYBVUCUYIUXFUBYFUYFUXCYGYBVUCUYSUXQUWKVUCYFU
          YRUXPVUCUYRUYLUXJWJZUYPXDZKUXOXMUXPVUCUYQVUEKUXOVUCUYNVUDUYPVUCUYMUXJ
          UYLUYFUXCNYOYCYDYEUXNVUEVIKUXOVIKYAZUXKVUDUXMUYPVUFUXIUYLUXJUXHUYKMYO
          ZYBVUFUXLUYOGXKUXHUYKYGZYBYHYIZYJXEYBYKYLYPUXBUVKYMVMZUVNUWRUVMVMZUYE
          AVUJUXAVCXTAUVNUXAAUBRUVMUWGAUVTRUCXIZRUVMWJUWAUWFRQUCUIYNXBZUUAZXTAU
          XAVUKARUVMUWRVUMUUBUUCUBUWRVJUVKUVMUVMWMZUUEUUFUYAUYEXDUXSUYCXDZVJUYD
          XOVHUXTXOUXBUWSUXSUYCVHVJUXTUYDUUDUXBVUPUWSVHVJUXTUYDUXBUXCUXTVMZUYBU
          YDVMZXDZXDZVUPUWSVUTVUPXDBCDEFGUXCUXPHIJKLMNOUXINUYBVTZWJZUXLUWKWJZXD
          ZVIUXOXMPQRUYBSUAUBUCUWRUDUEUFUGUHUIAUWIUXAVUSVUPUJYQAUVSUXAVUSVUPUKY
          QAQYMUUNVMUXAVUSVUPULYQASUCVMUXAVUSVUPUMYQAUWDUXAVUSVUPUNYQAGEVMUXAVU
          SVUPUOYQAGMVLSNVLWJUXAVUSVUPUPYQUQURAUWMDVMUXAVUSVUPUSYQAUWJUXAVUSVUP
          UTYQARUWBXIUXAVUSVUPVAYQVBAUBRVMUXAVUSVUPUWGYQAUXAVUSVUPUUGUXBVUQVURV
          UPUUHVUIVUTUXSUYCUUIUXBVUQVURVUPUUJVUTUXSUYCUUKVVDUYLVVAWJZUYOUWKWJZX
          DVIKUXOVUFVVBVVEVVCVVFVUFUXIUYLVVAVUGYBVUFUXLUYOUWKVUHYBYHYIUULUUMUUO
          UUPUVCUUQAOUURROWHZXIUWQUWTYRAUCEOUVOUUSARUCVVGUWFAUCEOUVOUUTUVAVGRUA
          OUVBXBYSUVDVUNUBUVJUVKFUVMVUOUVEXBAUVTVULUBRQUVFVLVLZVMUWOUVIUVLYRUWA
          UWFATVVHUBAUVTVULTQVMTRXITVVHXIUWAUWFVDVERQTUCUIUVGYTVFWRUVORUBOQFUCE
          UIUHUVHYTYS $.
      $}

      $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro,
         6-Jul-2015.) $)
      cvmlift3lem8 $p |- ( ph -> H e. ( K Cn C ) ) $=
        ( vy va vt vv vm vb ccn co wcel wf cv ccnp cfv wral cvmlift3lem3 wa wne
        c0 wrex ccvm cuni adantr eqid cnf syl ffvelrnda cvmcov syl2anc n0 crest
        wex wss cpconn w3a ccnv cima cnlly ad2antrr simprr cvmsrcl cnima simplr
        cpw simprl wfn wb elpreima 4syl mpbir2and nlly2i syl3anc crio ad3antrrr
        csconn wceq simprll elpwid simprr3 simprlr simprr2 simprr1 cvmlift3lem7
        ffn expr rexlimdvva mpd exlimdv syl5bi expimpd rexlimdvw ralrimiva ctop
        ctopon sconntop toptopon sylib cvmtop1 cncnp ) AMOEURUSUTZQDMVAZMULVBZO
        EVCUSVDUTZULQVEZABCDEFHIKLMNOPQUAUBUCUDUEUFUGUHUIUJVFAYMULQAYLQUTZVGZYL
        LVDZUMVBZUTZYRGVDZVIVHZVGZUMNVJZYMYPKENVKUSUTZYQNVLZUTUUCAUUDYOUCVMAQUU
        EYLLALONURUSUTZQUUELVAZUGLONQUUEUBUUEVNZVOZVPVQUMTSEYQGJKNUUERUKUUHVRVS
        YPUUBYMUMNYPYSUUAYMUUAUNVBZYTUTZUNWBYPYSVGZYMUNYTVTUULUUKYMUNYPYSUUKYMY
        PYSUUKVGZVGZYLUOVBZUTZUUOUPVBZWCZOUUQWAUSWDUTZWEZUOOVJUPLWFYRWGZWNZVJZY
        MUUNOWDWHUTZUVAOUTZYLUVAUTZUVCAUVDYOUUMUEWIUUNUUFYRNUTZUVEAUUFYOUUMUGWI
        ZUUNUUKUVGYPYSUUKWJZTSEGUUJYRJKNRUKWKVPYRLONWLVSUUNUVFYOYSAYOUUMWMYPYSU
        UKWOZUUNUUFUUGLQWPUVFYOYSVGWQUVHUUIQUUELXNQYLYRLWRWSWTUOWDYLUVAOUPXAXBU
        UNUUTYMUPUOUVBOUUNUUQUVBUTZUUOOUTZVGZUUTYMUUNUVMUUTVGZVGZBCYRDEFGUUJHIJ
        KLMNOUUQPUUOYLMVDUQVBUTUQUUJXCZYLQRUQSTUAUBAUUDYOUUMUVNUCXDAOXEUTZYOUUM
        UVNUDXDAUVDYOUUMUVNUEXDAPQUTYOUUMUVNUFXDAUUFYOUUMUVNUGXDAFDUTYOUUMUVNUH
        XDAFKVDPLVDXFYOUUMUVNUIXDUJUKUUNYSUVNUVJVMUUNUUKUVNUVIVMUVOUUQUVAUUNUVK
        UVLUUTXGXHUVPVNUUPUURUUSUVMUUNXIUUNUVKUVLUUTXJUUPUURUUSUVMUUNXKUUPUURUU
        SUVMUUNXLXMXOXPXQXOXRXSXTYAXQYBAOQYDVDUTZEDYDVDUTZYJYKYNVGWQAOYCUTZUVRA
        UVQUVTUDOYEVPOQUBYFYGAEYCUTZUVSAUUDUWAUCEKNYHVPEDUAYFYGULMOEQDYIVSWT $.

      $( Lemma for ~ cvmlift2 .  (Contributed by Mario Carneiro,
         7-May-2015.) $)
      cvmlift3lem9 $p |- ( ph ->
                    E. f e. ( K Cn C ) ( ( F o. f ) = G /\ ( f ` O ) = P ) ) $=
        ( ccn co wcel ccom wceq cfv cv wa wrex cvmlift3lem8 cvmlift3lem5 cc0 c1
        cii crio w3a cicc csn cxp ctopon iitopon a1i ctop sconntop syl toptopon
        csconn sylib syl3anc 0elunit fvconst2g sylancl 1elunit sneqd xpeq2d wfn
        cnconst2 ccvm cuni wf cvmcn eqid cnf 4syl fcoconst syl2anc ffnd 3eqtr4d
        ffn wreu cvmtop1 cvmtop2 ffvelrnd eqeltrd fveq1d 3eqtr4rd cvmlift coeq2
        wb syl22anc eqeq1d fveq1 anbi12d riota2 mpbi2and eqtrd eqeq2d riotabidv
        anbi1d 3anbi123d rspcev syl13anc cvmlift3lem4 mpdan mpbird syl12anc ) A
        MOEULUMZUNKMUOZLUPZPMUQZFUPZKHURZUOZLUPZPYMUQZFUPZUSZHYHUTABCDEFGHIJKLM
        NOPQRSTUAUBUCUDUEUFUGUHUIUJUKVAABCDEFHIKLMNOPQUAUBUCUDUEUFUGUHUIUJVBAYL
        VCYMUQZPUPZVDYMUQZPUPZVDKIURZUOZLYMUOZUPZVCUUCUQZFUPZUSZIVEEULUMZVFZUQZ
        FUPZVGZHVEOULUMZUTZAVCVDVHUMZPVIVJZUUOUNZVCUURUQZPUPZVDUURUQZPUPZVDUUDL
        UURUOZUPZUUHUSZIUUJVFZUQZFUPZUUPAVEUUQVKUQUNZOQVKUQUNZPQUNZUUSUVJAVLVMZ
        AOVNUNZUVKAOVRUNUVNUDOVOVPOQUBVQVSUFPVEOUUQQWHVTAUVLVCUUQUNZUVAUFWAUUQP
        VCQWBWCAUVLVDUUQUNZUVCUFWDUUQPVDQWBWCAUVHVDUUQFVIVJZUQZFAVDUVGUVQAKUVQU
        OZUVDUPZVCUVQUQZFUPZUVGUVQUPZAUUQFKUQZVIZVJZUUQPLUQZVIZVJZUVSUVDAUWEUWH
        UUQAUWDUWGUIWEWFAKDWGZFDUNZUVSUWFUPAKENWIUMUNZKENULUMUNDNWJZKWKUWJUCEKN
        WLKENDUWMUAUWMWMZWNDUWMKWTWOUHKUUQDFWPWQALQWGUVLUVDUWIUPAQUWMLALONULUMU
        NQUWMLWKUGLONQUWMUBUWNWNVPZWRUFLUUQQPWPWQZWSAUWKUVOUWBUHWAUUQFVCDWBWCAU
        VQUUJUNZUVFIUUJXAZUVTUWBUSZUWCXJAUVJEDVKUQUNZUWKUWQUVMAEVNUNZUWTAUWLUXA
        UCEKNXBVPEDUAVQVSUHFVEEUUQDWHVTAUWLUVDVENULUMZUNUWKUWDVCUVDUQZUPUWRUCAU
        VDUWIUXBUWPAUVJNUWMVKUQUNZUWGUWMUNZUWIUXBUNUVMANVNUNZUXDAUWLUXFUCEKNXCV
        PNUWMUWNVQVSAQUWMPLUWOUFXDZUWGVENUUQUWMWHVTXEUHAVCUWIUQZUWGUXCUWDAUXEUV
        OUXHUWGUPUXGWAUUQUWGVCUWMWBWCAVCUVDUWIUWPXFUIXGDEFIKUVDNUAXHXKUVFUWSIUU
        JUVQUUCUVQUPZUVEUVTUUHUWBUXIUUDUVSUVDUUCUVQKXIXLUXIUUGUWAFVCUUCUVQXMXLX
        NXOWQXPXFAUWKUVPUVRFUPUHWDUUQFVDDWBWCXQUUNUVAUVCUVIVGHUURUUOYMUURUPZYTU
        VAUUBUVCUUMUVIUXJYSUUTPVCYMUURXMXLUXJUUAUVBPVDYMUURXMXLUXJUULUVHFUXJVDU
        UKUVGUXJUUIUVFIUUJUXJUUFUVEUUHUXJUUEUVDUUDYMUURLXIXRXTXSXFXLYAYBYCAUVLY
        LUUPXJUFABCFDEFHIKLMNOPPQUAUBUCUDUEUFUGUHUIUJYDYEYFYRYJYLUSHMYHYMMUPZYO
        YJYQYLUXKYNYILYMMKXIXLUXKYPYKFPYMMXMXLXNYBYG $.
    $}

    $( A general version of ~ cvmlift .  If ` K ` is simply connected and
       weakly locally path-connected, then there is a unique lift of functions
       on ` K ` which commutes with the covering map.  (Contributed by Mario
       Carneiro, 9-Jul-2015.) $)
    cvmlift3 $p |- ( ph ->
        E! f e. ( K Cn C ) ( ( F o. f ) = G /\ ( f ` O ) = P ) ) $=
      ( vx vz vk vs vc vd vg va vb vv vu cv ccom wceq cfv wa ccn wrex wrmo wreu
      co cuni ccnv cima cin c0 csn cdif wral cres crest chmeo wcel cpw crab cc0
      cmpt cii crio w3a weq eqeq2 3anbi3d rexbidv cbvriotavw fveq1 eqeq1d coeq2
      c1 anbi12d eqeq2d anbi1d riotabidv syl5eq fveq1d 3anbi123d 3anbi2d syl5bb
      cbvrexvw cbvmptv eqid cvmscbv cvmlift3lem9 csconn cpconn cconn sconnpconn
      pconnconn 3syl cnlly ssriv nllyss ax-mp sselid cvmliftmo reu5 sylanbrc
      wss ) AFEULZUMGUNJXSUODUNUPZEICUQVAZURXTEYAUSXTEYAUTAUAUBBCDUCHUDULZVBFVC
      UCULZVDUNUEULZUFULZVEVFUNUFYBYDVGVHVIFYDVJCYDVKVAHYCVKVAVLVAVMUPUEYBVIUPU
      DCVNVFVGVHVOVQZEUGUHFGUHKVPYDUOZJUNZWIYDUOZUHULZUNZWIFYEUMZGYDUMZUNZVPYEU
      OZDUNZUPZUFVRCUQVAZVSZUOZUIULZUNZVTZUEVRIUQVAZURZUIBVSZVQHIJKUIUJUKLMNOPQ
      RSTUHUAKUUFVPXSUOZJUNZWIXSUOZUAULZUNZWIFUGULZUMZGXSUMZUNZVPUULUOZDUNZUPZU
      GYRVSZUOZUBULZUNZVTZEUUDURZUBBVSZUHUAWAZUUFYHYKYTUVAUNZVTZUEUUDURZUBBVSUV
      EUUEUVIUIUBBUIUBWAZUUCUVHUEUUDUVJUUBUVGYHYKUUAUVAYTWBWCWDWEUVFUVIUVDUBBUV
      IUUHUUIYJUNZUVBVTZEUUDURUVFUVDUVHUVLUEEUUDUEEWAZYHUUHYKUVKUVGUVBUVMYGUUGJ
      VPYDXSWFWGUVMYIUUIYJWIYDXSWFWGUVMYTUUTUVAUVMWIYSUUSUVMYSUUMYMUNZUUQUPZUGY
      RVSUUSYQUVOUFUGYRUFUGWAZYNUVNYPUUQUVPYLUUMYMYEUULFWHWGUVPYOUUPDVPYEUULWFW
      GWJWEUVMUVOUURUGYRUVMUVNUUOUUQUVMYMUUNUUMYDXSGWHWKWLWMWNWOWGWPWSUVFUVLUVC
      EUUDUVFUVKUUKUUHUVBYJUUJUUIWBWQWDWRWMWNWTUFUECYFUCFHUDUHUIUJUKYFXAXBXCABC
      DEFGHIJKLMNAIXDVMIXEVMIXFVMOIXGIXHXIAXEXJZXFXJZIXEXFXRUVQUVRXRUAXEXFUUJXH
      XKXEXFXLXMPXNQRSTXOXTEYAXPXQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Normal numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d n A $.  $d n B $.  $d k n N $.  $d n R $.
    snmlff.f $e |- F = ( n e. NN |-> ( ( # ` { k e. ( 1 ... n ) |
      ( |_ ` ( ( A x. ( R ^ k ) ) mod R ) ) = B } ) / n ) ) $.
    $( The function ` F ` from ~ snmlval is a mapping from positive integers to
       real numbers in the range ` [ 0 , 1 ] ` .  (Contributed by Mario
       Carneiro, 6-Apr-2015.) $)
    snmlff $p |- F : NN --> ( 0 [,] 1 ) $=
      ( cn cc0 c1 co cv cmul cfv wceq wcel cr cle wbr cfn cicc cexp cmo cfl cfz
      crab chash cdiv cn0 wss ssrab2 ssfi sylancl hashcl nn0red nndivre mpancom
      fzfid syl clt nn0ge0d nnre nngt0 divge0 syl22anc ssdomg mpisyl wb hashdom
      cdom syl2anc mpbird nnnn0 hashfz1 breqtrd nncn mulid1d breqtrrd syl112anc
      1red ledivmul elicc01 syl3anbrc fmpti ) EHIJUAKZACDLUBKMKCUCKUDNBOZDJELZU
      EKZUFZUGNZWGUHKZFGWGHPZWKQPZIWKRSZWKJRSZWKWEPWJQPZWLWMWLWJWLWITPZWJUIPWLW
      HTPZWIWHUJZWQWLJWGURZWFDWHUKZWHWIULUMZWIUNUSZUOZWJWGUPUQWLWPIWJRSWGQPZIWG
      UTSZWNXDWLWJXCVAWGVBZWGVCZWJWGVDVEWLWOWJWGJMKZRSZWLWJWGXIRWLWJWHUGNZWGRWL
      WJXKRSZWIWHVJSZWLWRWSXMWTXAWIWHTVFVGWLWQWRXLXMVHXBWTWIWHTVIVKVLWLWGUIPXKW
      GOWGVMWGVNUSVOWLWGWGVPVQVRWLWPJQPXEXFWOXJVHXDWLVTXGXHWJJWGWAVSVLWKWBWCWD
      $.

    $( The function ` F ` from ~ snmlval maps ` N ` to the relative density of
       ` B ` in the first ` N ` digits of the digit string of ` A ` in base
       ` R ` .  (Contributed by Mario Carneiro, 6-Apr-2015.) $)
    snmlfval $p |- ( N e. NN -> ( F ` N ) = ( ( # ` { k e. ( 1 ... N ) |
      ( |_ ` ( ( A x. ( R ^ k ) ) mod R ) ) = B } ) / N ) ) $=
      ( cv cexp co cmul cmo cfv wceq c1 cfz crab chash cdiv cfl cn oveq2 fveq2d
      rabeqdv id oveq12d ovex fvmpt ) EGACDIJKLKCMKUANBOZDPEIZQKZRZSNZUKTKUJDPG
      QKZRZSNZGTKUBFUKGOZUNUQUKGTURUMUPSURUJDULUOUKGPQUCUEUDURUFUGHUQGTUHUI $.
  $}

  ${
    $d b k n x A $.  $d b k n B $.  $d b F $.  $d b k n r x R $.
    snml.s $e |- S = ( r e. ( ZZ>= ` 2 ) |->
      { x e. RR | A. b e. ( 0 ... ( r - 1 ) ) ( n e. NN |-> ( ( # `
      { k e. ( 1 ... n ) | ( |_ ` ( ( x x. ( r ^ k ) ) mod r ) ) = b } )
        / n ) ) ~~> ( 1 / r ) } ) $.
    $( The property " ` A ` is simply normal in base ` R ` ".  A number is
       simply normal if each digit ` 0 <_ b < R ` occurs in the base- ` R `
       digit string of ` A ` with frequency ` 1 / R ` (which is consistent with
       the expectation in an infinite random string of numbers selected from
       ` 0 ... R - 1 ` ).  (Contributed by Mario Carneiro, 6-Apr-2015.) $)
    snmlval $p |- ( A e. ( S ` R ) <-> ( R e. ( ZZ>= ` 2 ) /\ A e. RR /\
      A. b e. ( 0 ... ( R - 1 ) ) ( n e. NN |-> ( ( # `
      { k e. ( 1 ... n ) | ( |_ ` ( ( A x. ( R ^ k ) ) mod R ) ) = b } )
        / n ) ) ~~> ( 1 / R ) ) ) $=
      ( cfv cr cn cv co cmul cmo cfl wceq c1 cdiv c2 cuz wcel wa cexp cfz chash
      crab cmpt cli wbr cc0 cmin wral w3a oveq1 oveq2d oveq12d fveqeq2d rabbidv
      id fveq2d oveq1d mpteq2dv oveq2 breq12d raleqbidv reex rabex fvmpt eleq2d
      fvoveq1d eqeq1d breq1d ralbidv elrab bitrdi pm5.32i dmmptss elfvdm sselid
      cdm pm4.71ri 3anass 3bitr4i ) CUAUBJZUCZBCDJZUCZUDWGBKUCZFLBCEMZUENZONZCP
      NQJZHMZRZESFMZUFNZUHZUGJZWQTNZUIZSCTNZUJUKZHULCSUMNZUFNZUNZUDZUDWIWGWJXGU
      OWGWIXHWGWIBFLAMZWLONZCPNZQJZWORZEWRUHZUGJZWQTNZUIZXCUJUKZHXFUNZAKUHZUCXH
      WGWHXTBGCFLXIGMZWKUENZONZYAPNZQJWORZEWRUHZUGJZWQTNZUIZSYATNZUJUKZHULYASUM
      NZUFNZUNZAKUHZXTWFDYACRZYNXSAKYPYKXRHYMXFYPYLXEULUFYACSUMUPUQYPYIXQYJXCUJ
      YPFLYHXPYPYGXOWQTYPYFXNUGYPYEXMEWRYPYDXKWOQYPYCXJYACPYPYBWLXIOYACWKUEUPUQ
      YPVAURUSUTVBVCVDYACSTVEVFVGUTIXSAKVHVIVJVKXSXGABKXIBRZXRXDHXFYQXQXBXCUJYQ
      FLXPXAYQXOWTWQTYQXNWSUGYQXMWPEWRYQXLWNWOYQXJWMCQPXIBWLOUPVLVMUTVBVCVDVNVO
      VPVQVRWIWGWIDWBWFCGWFYODIVSBCDVTWAWCWGWJXGWDWE $.

    ${
      snml.f $e |- F = ( n e. NN |-> ( ( # `
        { k e. ( 1 ... n ) | ( |_ ` ( ( A x. ( R ^ k ) ) mod R ) ) = B } )
          / n ) ) $.
      $( If ` A ` is simply normal, then the function ` F ` of relative density
         of ` B ` in the digit string converges to ` 1 / R ` , i.e. the set of
         occurrences of ` B ` in the digit string has natural density
         ` 1 / R ` .  (Contributed by Mario Carneiro, 6-Apr-2015.) $)
      snmlflim $p |- ( ( A e. ( S ` R ) /\ B e. ( 0 ... ( R - 1 ) ) ) ->
        F ~~> ( 1 / R ) ) $=
        ( cfv wcel cn cv co wceq c1 cdiv cexp cmul cmo cfl cfz crab cli wbr cc0
        chash cmpt cmin wral c2 cuz snmlval simp3bi eqeq2 rabbidv fveq2d oveq1d
        cr mpteq2dv eqtr4di breq1d rspccva sylan ) BDEMNZGOBDFPUAQUBQDUCQUDMZJP
        ZRZFSGPZUEQZUFZUJMZVLTQZUKZSDTQZUGUHZJUIDSULQUEQZUMZCVTNHVRUGUHZVHDUNUO
        MNBVBNWAABDEFGIJKUPUQVSWBJCVTVJCRZVQHVRUGWCVQGOVICRZFVMUFZUJMZVLTQZUKHW
        CGOVPWGWCVOWFVLTWCVNWEUJWCVKWDFVMVJCVIURUSUTVAVCLVDVEVFVG $.
    $}

  $(
    @( Almost all numbers (in the sense of Lebesgue measure) are simply normal
       in base ` R ` . @)
    snmlnul @p |- ( R e. ( ZZ>= ` 2 ) -> ( vol* ` ( RR \ ( S ` R ) ) ) = 0 ) @=
      ? @.

    @( Almost all numbers (in the sense of Lebesgue measure) are normal
       in every base. @)
    nmlnul @p |- ( vol* ` ( RR \ { x e. RR | A. r e. ( ZZ>= ` 2 ) A. n e. NN0
      A. k e. NN ( x x. ( r ^ n ) ) e. ( S ` ( r ^ k ) ) } ) ) = 0 @=
      ( cfv cn0 cn co wcel cr crab covol wral cc0 wceq wbr syl c2 cuz cexp cmul
      cv wn ciun cdif wrex wa iunrab a1i iuneq2dv eqtrdi iuneq2i wtru wb rexnal
      rexbii bitri tru biantrur 3bitri rabbiia difrab rgenw rabid2 mpbir eqcomi
      difeq1i 3eqtr2i 3eqtri fveq2i cdom wss cvv fvex clt eluz2b2 simplbi ssriv
      c1 ssdomg mp2 ssrab2 iunss cen nn0ennn endom ax-mp nnex domrefg difss crp
      cdiv ad2antrr simplr nnexpcl syl2anc nnrp simpr adantr nnre remulcl eldif
      baibr cc recnd mulcom eleq1d bitrd rabbidva nnnn0 adantl exp0 nnz simprbi
      cz 0z nngt0 ltexp2a syl32anc eqbrtrrd sylanbrc snmlnul 0re ovolsca oveq1d
      eqeltrdi wne nncn nnne0 div0 3eqtrd jca ralrimiva ovoliunnul sylancr rgen
      mp2an eqtr3i ) EUAUBHZDICJAUEZEUEZDUEZUCKZUDKZUUDCUEZUCKZBHZLZUFZAMNZUGZU
      GZUGZOHZMUUKCJPZDIPZEUUBPZAMNZUHZOHQUUPUVBOUUPEUUBUULCJUIZDIUIZAMNZUGUVDE
      UUBUIZAMNZUVBEUUBUUOUVEUUDUUBLZUUODIUVCAMNZUGUVEUVHDIUUNUVIUUNUVIRUVHUUEI
      LZUJZUULCAJMUKULUMUVCDAIMUKUNUOUVDEAUUBMUKUVGUPUUTUFZUJZAMNUPAMNZUVAUHUVB
      UVFUVMAMUVFUVMUQUUCMLZUVFUUSUFZEUUBUIUVLUVMUVDUVPEUUBUVDUURUFZDIUIUVPUVCU
      VQDIUUKCJURUSUURDIURUTUSUUSEUUBURUPUVLVAVBVCULVDUPUUTAMVEUVNMUVAMUVNMUVNR
      UPAMPUPAMVAVFUPAMVGVHVIVJVKVLVMUUBJVNSZUUOMVOZUUOOHQRZUJZEUUBPUUQQRUUBVPL
      UUBJVOUVRUAUBVQEUUBJUVHUUDJLZWBUUDVRSZUUDVSZVTZWAUUBJVPWCWDUWAEUUBUVHUVSU
      VTUVSUVHUVSUUNMVOZDIPUWFDIUWFUUMMVOZCJPUWGCJUULAMWEZVFCJUUMMWFVHZVFDIUUNM
      WFVHULUVHIJVNSZUWFUUNOHQRZUJZDIPUVTIJWGSUWJWHIJWIWJUVHUWLDIUVKUWFUWKUWFUV
      KUWIULUVKJJVNSZUWGUUMOHZQRZUJZCJPUWKJVPLUWMWKJVPWLWJUVKUWPCJUVKUUHJLZUJZU
      WGUWOUWGUWRUWHULUWRUWNMUUJUHZOHZUUFWOKQUUFWOKZQUWRAUWSUUMUUFUWSMVOUWRMUUJ
      WMULUWRUUFJLZUUFWNLUWRUWBUVJUXBUVHUWBUVJUWQUWEWPZUVHUVJUWQWQUUDUUEWRWSZUU
      FWTTUWRUULUUFUUCUDKZUWSLZAMUWRUVOUJZUULUUGUWSLZUXFUXGUUGMLZUULUXHUQUXGUVO
      UUFMLZUXIUWRUVOXAZUXGUXBUXJUWRUXBUVOUXDXBUUFXCTZUUCUUFXDWSUXHUXIUULUUGMUU
      JXEXFTUXGUUGUXEUWSUXGUUCXGLUUFXGLZUUGUXERUXGUUCUXKXHUXGUUFUXLXHUUCUUFXIWS
      XJXKXLUWRUWTQMUWRUUIUUBLZUWTQRUWRUUIJLZWBUUIVRSUXNUWRUWBUUHILZUXOUXCUWQUX
      PUVKUUHXMXNUUDUUHWRWSUWRUUDQUCKZWBUUIVRUWRUUDXGLUXQWBRUWRUUDUWRUWBUUDMLZU
      XCUUDXCTZXHUUDXOTUWRUXRQXRLZUUHXRLZUWCQUUHVRSZUXQUUIVRSUXSUXTUWRXSULUWQUY
      AUVKUUHXPXNUVHUWCUVJUWQUVHUWBUWCUWDXQWPUWQUYBUVKUUHXTXNUUDQUUHYAYBYCUUIVS
      YDAUUIBCDEFGYETZYFYIYGUWRUWTQUUFWOUYCYHUWRUXMUUFQYJZUXAQRUWRUXBUXMUXDUUFY
      KTUWRUXBUYDUXDUUFYLTUUFYMWSYNYOYPJUUMCYQYRYOYPIUUNDYQYRYOYSUUBUUOEYQYTUUA
      @.
      @( [8-Apr-2015] @)

    @( Since almost all numbers are normal in every base, there must exist a
       normal number. @)
    nmlex @p |- E. x e. RR A. r e. ( ZZ>= ` 2 ) A. n e. NN0
      A. k e. NN ( x x. ( r ^ n ) ) e. ( S ` ( r ^ k ) ) @=
      ( cv cexp co cfv wcel wral cr c0 cdif covol cpnf mpbi eqtrdi cmul cn0 cuz
      cn c2 crab wne wrex cc0 nmlnul 0re eqeltri wceq wnel pnfnre df-nel difeq2
      wn dif0 fveq2d ovolre eleq1d mtbiri necon2ai ax-mp rabn0 ) AHEHZDHIJUAJVG
      CHIJBKLCUDMDUBMEUEUCKMZANUFZOUGZVHANUHNVIPZQKZNLZVJVLUINABCDEFGUJUKULVMVI
      OVIOUMZVMRNLZRNUNVOURUORNUPSVNVLRNVNVLNQKRVNVKNQVNVKNOPNVIONUQNUSTUTVATVB
      VCVDVEVHANVFS @.
      @( [6-Apr-2015] @)
  $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Compactification
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $(
  @{
    @d k n s S @.
    alextop.1 @e |- X = U. J @.
    alextop.2 @e |- O = ~P U. X @.
    alextop.3 @e |- K = ( J u. { x | E. y e. J ( x = ( y u. { O } ) /\
                        ( J |`t ( X \ y ) ) e. Comp ) } ) @.
    @( The domain of the Alexandroff extension. @)
    alexuni @p |- ( J e. Top -> ( X u. { O } ) = U. K ) @=
      ? @.

    @( The Alexandroff extension is a compactification of the original
       topology. @)
    alextop @p |- ( J e. Top -> K e. Comp ) @=
      ? @.
  @}
  $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Godel-sets of formulas - part 1
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c e.g $. $( Godel-set of membership $)
  $c |g $. $( Godel-set for Sheffer stroke $)
  $c A.g $. $( Godel-set of universal quantification $)
  $c Fmla $. $( Formula predicate $)
  $c Sat $. $( Satisfaction predicate $)
  $c SatE $. $( Satisfaction predicate $)
  $c |= $. $( Proves relation $)

  $( The Godel-set of membership. $)
  cgoe $a class e.g $.

  $( The Godel-set for the Sheffer stroke. $)
  cgna $a class |g $.

  $( The Godel-set of universal quantification.  (Note that this is not a
     wff.) $)
  cgol $a class A.g N U $.

  $( The satisfaction function. $)
  csat $a class Sat $.

  $( The formula set predicate. $)
  cfmla $a class Fmla $.

  $( The ` e. ` -satisfaction function. $)
  csate $a class SatE $.

  $( The "proves" relation. $)
  cprv $a class |= $.

  $( Define the Godel-set of membership.  Here the arguments
     ` x = <. N , P >. ` correspond to v_N and v_P , so ` ( (/) e.g 1o ) `
     actually means v_0 ` e. ` v_1 , not ` 0 e. 1 ` .  (Contributed by Mario
     Carneiro, 14-Jul-2013.) $)
  df-goel $a |- e.g = ( x e. ( _om X. _om ) |-> <. (/) , x >. ) $.

  $( Define the Godel-set for the Sheffer stroke NAND. Here the arguments
     ` x = <. U , V >. ` are also Godel-sets corresponding to smaller formulas.
     (Contributed by Mario Carneiro, 14-Jul-2013.) $)
  df-gona $a |- |g = ( x e. ( _V X. _V ) |-> <. 1o , x >. ) $.

  $( Define the Godel-set of universal quantification.  Here ` N e. _om `
     corresponds to v_N , and ` U ` represents another formula, and this
     expression is ` [ A. x ph ] = A.g N U ` where ` x ` is the ` N ` -th
     variable, ` U = [ ph ] ` is the code for ` ph ` .  Note that this is a
     _class_ expression, not a wff.  (Contributed by Mario Carneiro,
     14-Jul-2013.) $)
  df-goal $a |- A.g N U = <. 2o , <. N , U >. >. $.

  ${
    $d a e f i j m u v x y z $.
    $( Define the satisfaction predicate. This recursive construction builds up
       a function over wff codes (see ~ satff ) and simultaneously defines the
       set of assignments to all variables from ` M ` that makes the coded wff
       true in the model ` M ` , where ` e. ` is interpreted as the binary
       relation ` E ` on ` M ` .

       The interpretation of the statement ` S e. ( ( ( M Sat E ) `` n ) `` U )
       ` is that for the model ` <. M , E >. ` , ` S : _om --> M ` is a
       valuation of the variables (v_0 ` = ( S `` (/) ) ` , v_1 ` = ( S `` 1o
       ) ` , etc.) and ` U ` is a code for a wff using ` e. , -/\ , A. ` that
       is true under the assignment ` S ` . The function is defined by finite
       recursion; ` ( ( M Sat E ) `` n ) ` only operates on wffs of depth at
       most ` n e. _om ` , and ` ( ( M Sat E ) `` _om ) = U_ n e. _om
       ( ( M Sat E ) `` n ) ` operates on all wffs.

       The coding scheme for the wffs is defined so that <HTML><ul>
       <li>v<sub>i</sub> ` e. ` v<sub>j</sub> is coded as
       ` <. (/) , <. i , j >. >. ` ,</li>
       <li> ` ( ph -/\ ps ) ` is coded as ` <. 1o , <. ph , ps >. >. ` ,
       and</li>
       <li> ` A. ` v<sub>i</sub> ` ph ` is coded as
       ` <. 2o , <. i , ph >. >. ` .</li></ul></HTML>

       (Contributed by Mario Carneiro, 14-Jul-2013.) $)
    df-sat $a |- Sat = ( m e. _V , e e. _V |->
       ( rec ( ( f e. _V |-> ( f u.
           { <. x , y >. | E. u e. f ( E. v e. f
      ( x = ( ( 1st ` u ) |g ( 1st ` v ) ) /\
        y = ( ( m ^m _om ) \ ( ( 2nd ` u ) i^i ( 2nd ` v ) ) ) ) \/ E. i e. _om
      ( x = A.g i ( 1st ` u ) /\
        y = { a e. ( m ^m _om ) | A. z e. m ( { <. i , z >. } u.
          ( a |` ( _om \ { i } ) ) ) e. ( 2nd ` u ) } ) ) } ) ) ,
           { <. x , y >. | E. i e. _om E. j e. _om
      ( x = ( i e.g j ) /\
        y = { a e. ( m ^m _om ) | ( a ` i ) e ( a ` j ) } ) } )
         |` suc _om ) ) $.
  $}

  ${
    $d m u $.
    $( A simplified version of the satisfaction predicate, using the standard
       membership relation and eliminating the extra variable ` n ` .
       (Contributed by Mario Carneiro, 14-Jul-2013.) $)
    df-sate $a |- SatE = ( m e. _V , u e. _V |->
       ( ( ( m Sat ( _E i^i ( m X. m ) ) ) ` _om ) ` u ) ) $.
  $}

  $( Define the predicate which defines the set of valid Godel formulas.  The
     parameter ` n ` defines the maximum height of the formulas: the set
     ` ( Fmla `` (/) ) ` is all formulas of the form ` x e. y ` (which in our
     coding scheme is the set ` ( { (/) } X. ( _om X. _om ) ) ` ; see ~ df-sat
     for the full coding scheme), see ~ fmla0 , and each extra level adds to
     the complexity of the formulas in ` ( Fmla `` n ) ` , see ~ fmlasuc .
     Remark: it is sufficient to have atomic formulas of the form ` x e. y `
     only, because equations (formulas of the form ` x = y ` ), which are
     required as (atomic) formulas, can be introduced as a defined notion in
     terms of ` e.g ` , see ~ df-goeq .
     ` ( Fmla `` _om ) = U_ n e. _om ( Fmla `` n ) ` is the set of all valid
     formulas, see ~ fmla .  (Contributed by Mario Carneiro, 14-Jul-2013.) $)
  df-fmla $a |- Fmla = ( n e. suc _om |-> dom ( ( (/) Sat (/) ) ` n ) ) $.

  ${
    $d m u $.
    $( Define the "proves" relation on a set.  A wff is true in a model ` M `
       if for every valuation ` s e. ( M ^m _om ) ` , the interpretation of the
       wff using the membership relation on ` M ` is true.  Since ` |= ` is
       defined in terms of the interpretations making the given formula true,
       it is not defined on the empty "model" ` M = (/) ` , since there are no
       interpretations.  In particular, the empty set on the LHS of ` |= `
       should not be interpreted as the empty model.  Statement ~ prv0 shows
       that our definition yields ` (/) |= U ` for all formulas, though of
       course the formula ` E. x x = x ` is not satisfied on the empty model.
       (Contributed by Mario Carneiro, 14-Jul-2013.) $)
    df-prv $a |- |= = { <. m , u >. | ( m SatE u ) = ( m ^m _om ) } $.
  $}

$( --- theorems for ` ( I e.g J ) ` , ` ( A |g B ) ` and ` A.g M A ` --- $)

  ${
    $d I x $.  $d J x $.
    $( A "Godel-set of membership".  The variables are identified by their
       indices (which are natural numbers), and the membership v_i ` e. ` v_j
       is coded as ` <. (/) , <. i , j >. >. ` .  (Contributed by AV,
       15-Sep-2023.) $)
    goel $p |- ( ( I e. _om /\ J e. _om )
                 -> ( I e.g J ) = <. (/) , <. I , J >. >. ) $=
      ( vx com wcel wa cgoe co cop cfv c0 df-ov cxp cvv cmpt wceq df-goel opeq2
      cv a1i adantl opelxpi opex fvmptd syl5eq ) ADEBDEFZABGHABIZGJKUGIZABGLUFC
      UGKCSZIZUHDDMZGNGCUKUJOPUFCQTUIUGPUJUHPUFUIUGKRUAABDDUBUHNEUFKUGUCTUDUE
      $.
  $}

  $( A "Godel-set of membership" is a member of a doubled Cartesian product.
     (Contributed by AV, 16-Sep-2023.) $)
  goelel3xp $p |- ( ( I e. _om /\ J e. _om )
                    -> ( I e.g J ) e. ( _om X. ( _om X. _om ) ) ) $=
    ( com wcel wa cgoe co c0 cop cxp goel peano1 a1i opelxpi opelxpd eqeltrd )
    ACDBCDEZABFGHABIZICCCJZJABKQHRCSHCDQLMABCCNOP $.

  $( Two "Godel-set of membership" codes for two variables are equal iff the
     two corresponding variables are equal.  (Contributed by AV,
     8-Oct-2023.) $)
  goeleq12bg $p |- ( ( ( M e. _om /\ N e. _om ) /\ ( I e. _om /\ J e. _om ) )
                   -> ( ( I e.g J ) = ( M e.g N ) <-> ( I = M /\ J = N ) ) ) $=
    ( com wcel wa cgoe co wceq c0 cop goel eqeqan12rd 0ex opex opth biantrur wb
    eqid opthg adantl bitr3id syl5bb bitrd ) CEFDEFGZAEFBEFGZGZABHIZCDHIZJKABLZ
    LZKCDLZLZJZACJBDJGZUGUFUIULUJUNABMCDMNUOKKJZUKUMJZGZUHUPKUKKUMOABPQUSURUHUP
    UQURKTRUGURUPSUFABCDEEUAUBUCUDUE $.

  ${
    $d A x $.  $d B x $.
    $( The "Godel-set for the Sheffer stroke NAND" for two formulas ` A ` and
       ` B ` .  (Contributed by AV, 16-Oct-2023.) $)
    gonafv $p |- ( ( A e. V /\ B e. W )
                   -> ( A |g B ) = <. 1o , <. A , B >. >. ) $=
      ( vx wcel wa cgna co cop cfv c1o df-ov cvv cxp wceq opelvvg opeq2 df-gona
      cv opex fvmpt syl syl5eq ) ACFBDFGZABHIABJZHKZLUFJZABHMUEUFNNOZFUGUHPABCD
      QEUFLETZJUHUIHUJUFLRESLUFUAUBUCUD $.
  $}

  ${
    goaleq12d.1 $e |- ( ph -> M = N ) $.
    goaleq12d.2 $e |- ( ph -> A = B ) $.
    $( Equality of the "Godel-set of universal quantification".  (Contributed
       by AV, 18-Sep-2023.) $)
    goaleq12d $p |- ( ph -> A.g M A = A.g N B ) $=
      ( cgol c2o cop wceq df-goal a1i opeq12d opeq2d eqcomi eqtrd ) ABDHZIDBJZJ
      ZCEHZRTKABDLMATIECJZJZUAASUBIADEBCFGNOUCUAKAUAUCCELPMQQ $.
  $}

  $( The Godel-set for the Sheffer stroke NAND is not equal to the Godel-set of
     universal quantification.  (Contributed by AV, 21-Oct-2023.) $)
  gonanegoal $p |- ( a |g b ) =/= A.g i u $=
    ( cv cgna co cgol wne c1o c2o wceq cop wa wn 1one2o neii intnanr cvv gonafv
    el2v df-goal eqeq12i 1oex opex opth bitri necon3abii mpbir ) CEZDEZFGZAEZBE
    ZHZIJKLZUJUKMZUNUMMZLZNZOUPUSJKPQRUTULUOULUOLJUQMZKURMZLUTULVAUOVBULVALCDUJ
    UKSSTUAUMUNUBUCJUQKURUDUJUKUEUFUGUHUI $.

$( --- theorems for ` ( M Sat E ) ` --- $)

  ${
    $d E a e f i j m u v x y $.  $d M a e f i j m u v x y z $.  $d V e m $.
    $d W e m $.
    $( The satisfaction predicate as function over wff codes in the model ` M `
       and the binary relation ` E ` on ` M ` .  (Contributed by AV,
       14-Sep-2023.) $)
    satf $p |- ( ( M e. V /\ E e. W )
                -> ( M Sat E ) = ( rec ( ( f e. _V |-> ( f u.
           { <. x , y >. | E. u e. f ( E. v e. f
      ( x = ( ( 1st ` u ) |g ( 1st ` v ) ) /\
        y = ( ( M ^m _om ) \ ( ( 2nd ` u ) i^i ( 2nd ` v ) ) ) ) \/ E. i e. _om
      ( x = A.g i ( 1st ` u ) /\
        y = { a e. ( M ^m _om ) | A. z e. M ( { <. i , z >. } u.
          ( a |` ( _om \ { i } ) ) ) e. ( 2nd ` u ) } ) ) } ) ) ,
           { <. x , y >. | E. i e. _om E. j e. _om
      ( x = ( i e.g j ) /\
        y = { a e. ( M ^m _om ) | ( a ` i ) E ( a ` j ) } ) } )
         |` suc _om ) ) $=
      ( wcel wa cvv cv wceq com wrex vm ve c1st cfv cgna co cmap c2nd cdif cgol
      cin cop csn cres cun wral crab wo copab cmpt cgoe wbr crdg csuc csat cmpo
      df-sat oveq1 adantr difeq1d eqeq2d anbi2d rexbidv simpl raleqdv rabeqbidv
      a1i orbi12d opabbidv uneq2d mpteq2dv breq adantl 2rexbidv rdgeq12 syl2anc
      wb reseq1d elex wfun rdgfun omex sucex resfunexg sylancr ovmpod ) JKNZILN
      ZOZUAUBJIPPFPFQZAQZEQZUCUDZDQZUCUDUEUFRZBQZUAQZSUGUFZXBUHUDZXDUHUDUKZUIZR
      ZOZDWTTZXAXCGQZUJRZXFXOCQULUMMQZSXOUMUIUNUOXINZCXGUPZMXHUQZRZOZGSTZURZEWT
      TZABUSZUOZUTZXAXOHQZVAUFRZXFXOXQUDZYIXQUDZUBQZVBZMXHUQZRZOZHSTGSTZABUSZVC
      ZSVDZUNZFPWTXEXFJSUGUFZXJUIZRZOZDWTTZXPXFXRCJUPZMUUCUQZRZOZGSTZURZEWTTZAB
      USZUOZUTZYJXFYKYLIVBZMUUCUQZRZOZHSTGSTZABUSZVCZUUAUNZVEPVEUAUBPPUUBVFRWSA
      BCDEUBFGHUAMVGVQXGJRZYMIRZOZUUBUVERWSUVHYTUVDUUAUVHYHUUQRYSUVCRYTUVDRUVHF
      PYGUUPUVHYFUUOWTUVHYEUUNABUVHYDUUMEWTUVHXNUUGYCUULUVHXMUUFDWTUVHXLUUEXEUV
      HXKUUDXFUVHXHUUCXJUVFXHUUCRUVGXGJSUGVHVIZVJVKVLVMUVHYBUUKGSUVHYAUUJXPUVHX
      TUUIXFUVHXSUUHMXHUUCUVIUVHXRCXGJUVFUVGVNVOVPVKVLVMVRVMVSVTWAUVHYRUVBABUVH
      YQUVAGHSSUVHYPUUTYJUVHYOUUSXFUVHYNUURMXHUUCUVIUVGYNUURWGUVFYKYLYMIWBWCVPV
      KVLWDVSYSUVCYHUUQWEWFWHWCWQJPNWRJKWIVIWRIPNWQILWIWCWSUVDWJUUAPNZUVEPNUVCU
      UQWKUVJWSSWLWMVQUVDUUAPWNWOWP $.
  $}

  ${
    $d E a f i j u v x y $.  $d M a f i j u v x y z $.
    $( The satisfaction predicate for wff codes in the model ` M ` and the
       binary relation ` E ` on ` M ` at an element of the successor of
       ` _om ` .  (Contributed by AV, 22-Sep-2023.) $)
    satfsucom $p |- ( ( M e. V /\ E e. W /\ N e. suc _om )
                 -> ( ( M Sat E ) ` N )
              = ( rec ( ( f e. _V |-> ( f u.
           { <. x , y >. | E. u e. f ( E. v e. f
      ( x = ( ( 1st ` u ) |g ( 1st ` v ) ) /\
        y = ( ( M ^m _om ) \ ( ( 2nd ` u ) i^i ( 2nd ` v ) ) ) ) \/ E. i e. _om
      ( x = A.g i ( 1st ` u ) /\
        y = { a e. ( M ^m _om ) | A. z e. M ( { <. i , z >. } u.
          ( a |` ( _om \ { i } ) ) ) e. ( 2nd ` u ) } ) ) } ) ) ,
           { <. x , y >. | E. i e. _om E. j e. _om
      ( x = ( i e.g j ) /\
        y = { a e. ( M ^m _om ) | ( a ` i ) E ( a ` j ) } ) } ) ` N ) ) $=
      ( wcel com cfv cv wceq wrex csuc w3a csat co cvv c1st cgna cmap c2nd cdif
      cin wa cgol cop csn cres cun wral crab wo copab cmpt cgoe wbr crdg fveq1d
      satf 3adant3 fvres 3ad2ant3 eqtrd ) JLOZIMOZKPUAZOZUBKJIUCUDZQZKFUEFRZARZ
      ERZUFQZDRZUFQUGUDSBRZJPUHUDZVTUIQZWBUIQUKUJSULDVRTVSWAGRZUMSWCWFCRUNUONRZ
      PWFUOUJUPUQWEOCJURNWDUSSULGPTUTEVRTABVAUQVBVSWFHRZVCUDSWCWFWGQWHWGQIVDNWD
      USSULHPTGPTABVAVEZVNUPZQZKWIQZVLVMVQWKSVOVLVMULKVPWJABCDEFGHIJLMNVGVFVHVO
      VLWKWLSVMKVNWIVIVJVK $.

    $( The satisfaction predicate for wff codes in the model ` M ` and the
       binary relation ` E ` on ` M ` is a function over ` suc _om ` .
       (Contributed by AV, 6-Oct-2023.) $)
    satfn $p |- ( ( M e. V /\ E e. W ) -> ( M Sat E ) Fn suc _om ) $=
      ( vf vx vu vv vy vi vz va vj wa co com cv cfv wceq wrex wcel csat wfn cvv
      csuc c1st cgna cmap c2nd cin cdif cgol cop csn cres cun wral crab wo cmpt
      copab cgoe wbr crdg con0 rdgfnon a1i word wss ordom mpbi ordsson fnssresd
      ordsuc mp1i satf fneq1d mpbird ) BCUAADUANZBAUBOZPUEZUCEUDEQZFQZGQZUFRZHQ
      ZUFRUGOSIQZBPUHOZWDUIRZWFUIRUJUKSNHWBTWCWEJQZULSWGWJKQUMUNLQZPWJUNUKUOUPW
      IUAKBUQLWHURSNJPTUSGWBTFIVAUPUTZWCWJMQZVBOSWGWJWKRWMWKRAVCLWHURSNMPTJPTFI
      VAZVDZWAUOZWAUCVSVEWAWOWOVEUCVSWNWLVFVGWAVHZWAVEVIVSPVHWQVJPVNVKWAVLVOVMV
      SWAVTWPFIKHGEJMABCDLVPVQVR $.

    $d E a f i j n u v x y $.  $d M n z $.  $d V n $.  $d W n $.
    $( The satisfaction predicate for wff codes in the model ` M ` and the
       binary relation ` E ` on ` M ` at omega ( ` _om ` ).  (Contributed by
       AV, 6-Oct-2023.) $)
    satom $p |- ( ( M e. V /\ E e. W ) -> ( ( M Sat E ) ` _om )
                                         = U_ n e. _om ( ( M Sat E ) ` n ) ) $=
      ( vf vx vu vv vy vi va wcel wa com co cfv cv wceq wrex csat cvv c1st cgna
      vz vj cmap c2nd cin cdif cgol cop csn cres cun wral crab wo cmpt cgoe wbr
      copab crdg csuc ciun satf fveq1d omex sucid fvres mp1i wlim pm3.2i adantr
      limom rdglim2a elelsuc adantl fvresd eqtr2d iuneq2dv eqtrd 3eqtrd ) CDMBE
      MNZOCBUAPZQOFUBFRZGRZHRZUCQZIRZUCQUDPSJRZCOUGPZWHUHQZWJUHQUIUJSNIWFTWGWIK
      RZUKSWKWNUERULUMLRZOWNUMUJUNUOWMMUECUPLWLUQSNKOTURHWFTGJVBUOUSZWGWNUFRZUT
      PSWKWNWOQWQWOQBVALWLUQSNUFOTKOTGJVBZVCZOVDZUNZQZOWSQZAOARZWEQZVEZWDOWEXAG
      JUEIHFKUFBCDELVFZVGOWTMXBXCSWDOVHVIOWTWSVJVKWDXCAOXDWSQZVEZXFOUBMZOVLZNXC
      XISWDXJXKVHVOVMAWROUBWPVPVKWDAOXHXEWDXDOMZNZXEXDXAQZXHWDXEXNSXLWDXDWEXAXG
      VGVNXMXDWTWSXLXDWTMWDXDOVQVRVSVTWAWBWC $.
  $}

  ${
    $d E a f i j u v x y $.  $d M a f i j u v x y z $.
    satfvsucom.s $e |- S = ( M Sat E ) $.
    $( The satisfaction predicate as function over wff codes at a successor of
       ` _om ` .  (Contributed by AV, 22-Sep-2023.) $)
    satfvsucom $p |- ( ( M e. V /\ E e. W /\ N e. suc _om ) -> ( S ` N )
           = ( rec ( ( f e. _V |-> ( f u. { <. x , y >. | E. u e. f ( E. v e. f
      ( x = ( ( 1st ` u ) |g ( 1st ` v ) ) /\
        y = ( ( M ^m _om ) \ ( ( 2nd ` u ) i^i ( 2nd ` v ) ) ) ) \/ E. i e. _om
      ( x = A.g i ( 1st ` u ) /\
        y = { a e. ( M ^m _om ) | A. z e. M ( { <. i , z >. } u.
          ( a |` ( _om \ { i } ) ) ) e. ( 2nd ` u ) } ) ) } ) ) ,
           { <. x , y >. | E. i e. _om E. j e. _om
      ( x = ( i e.g j ) /\
        y = { a e. ( M ^m _om ) | ( a ` i ) E ( a ` j ) } ) } ) ` N ) ) $=
      ( com cfv cv wceq wcel csuc w3a cvv c1st cgna co cmap c2nd cdif wrex cgol
      cin wa cop csn cres cun wral crab wo cmpt cgoe wbr crdg csat satf 3adant3
      copab syl5eq fveq1d fvres 3ad2ant3 eqtrd ) KMUAZJNUAZLQUBZUAZUCZLFRLGUDGS
      ZASZESZUERZDSZUERUFUGTBSZKQUHUGZWBUIRZWDUIRUMUJTUNDVTUKWAWCHSZULTWEWHCSUO
      UPOSZQWHUPUJUQURWGUACKUSOWFUTTUNHQUKVAEVTUKABVIURVBWAWHISZVCUGTWEWHWIRWJW
      IRJVDOWFUTTUNIQUKHQUKABVIVEZVQUQZRZLWKRZVSLFWLVSFKJVFUGZWLPVOVPWOWLTVRABC
      DEGHIJKMNOVGVHVJVKVRVOWMWNTVPLVQWKVLVMVN $.
  $}

  ${
    $d E a f i j m n u v x y z $.  $d M a f i j m n u v x y z $.
    satfv0.s $e |- S = ( M Sat E ) $.
    $( The value of the satisfaction predicate as function over wff codes at
       ` (/) ` .  (Contributed by AV, 8-Oct-2023.) $)
    satfv0 $p |- ( ( M e. V /\ E e. W ) -> ( S ` (/) )
              = { <. x , y >. | E. i e. _om E. j e. _om ( x = ( i e.g j )
                  /\ y = { a e. ( M ^m _om ) | ( a ` i ) E ( a ` j ) } ) } ) $=
      ( vz wcel wa cfv cvv cv wceq com wrex vf vu vv vm vn c0 c1st cgna co cmap
      c2nd cin cdif cgol cop csn cres cun wral crab wo copab cmpt cgoe wbr crdg
      csuc peano1 elelsuc satfvsucom mpd3an3 goelel3xp eleq1 syl5ibrcom adantrd
      mp1i cxp pm4.71d 2rexbiia r19.41vv ancom 3bitri opabbii omex xpex wmo cab
      xpexg wi oveq1 eqeq2d fveq2 breq1d rabbidv anbi12d oveq2 breq2d cbvrex2vw
      wal wb adantl goeleq12bg eqcomd breqan12d syl6bi imp eqeq12 adantr sylbid
      eqeq1 exp4b impd com23 expimpd rexlimdvva rexlimivv sylbi anbi2d 2rexbidv
      gen2 mo4 mpbir moabex opabex3d mp2an eqeltri rdg0 eqtrdi ) GHMZFIMZNZUFCO
      ZUFUAPUAQZAQZUBQZUGOZUCQZUGOUHUIRBQZGSUJUIZYOUKOZYQUKOULUMRNUCYMTYNYPDQZU
      NRYRUUALQZUOUPJQZSUUAUPUMUQURYTMLGUSJYSUTRNDSTVAUBYMTABVBURVCZYNUUAEQZVDU
      IZRZYRUUAUUCOZUUEUUCOZFVEZJYSUTZRZNZESTDSTZABVBZVFOZUUOYIYJUFSVGMZYLUUPRU
      FSMUUQYKVHUFSVIVPABLUCUBCUADEFGUFHIJKVJVKUUOUUDUUOYNSSSVQZVQZMZUUNNZABVBZ
      PUUNUVAABUUNUUMUUTNZESTDSTUUNUUTNUVAUUMUVCDESSUUASMUUESMNZUUMUUTUVDUUGUUT
      UULUVDUUTUUGUUFUUSMUUAUUEVLYNUUFUUSVMVNVOVRVSUUMUUTDESSVTUUNUUTWAWBWCSPMZ
      UURPMZUVBPMWDSSWDWDWEUVEUVFNZUUNABUUSPSUURPPWHUUNBWFZUUNBWGPMUVGUUTNUVHUU
      NUUGUUBUUKRZNZESTDSTZNYRUUBRZWIZLWSBWSUVMBLUUNUVKUVLUUNYNUDQZUEQZVDUIZRZY
      RUVNUUCOZUVOUUCOZFVEZJYSUTZRZNZUESTUDSTUVKUVLWIZUUMUWCYNUVNUUEVDUIZRZYRUV
      RUUIFVEZJYSUTZRZNDEUDUESSUUAUVNRZUUGUWFUULUWIUWJUUFUWEYNUUAUVNUUEVDWJWKUW
      JUUKUWHYRUWJUUJUWGJYSUWJUUHUVRUUIFUUAUVNUUCWLZWMWNWKWOUUEUVORZUWFUVQUWIUW
      BUWLUWEUVPYNUUEUVOUVNVDWPWKUWLUWHUWAYRUWLUWGUVTJYSUWLUUIUVSUVRFUUEUVOUUCW
      LZWQWNWKWOWRUWCUWDUDUESSUVNSMUVOSMNZUVKUWCUVLUWNUVJUWCUVLWIZDESSUWNUVDNZU
      UGUVIUWOUWPUUGNZUWCUVIUVLUWQUVQUWBUVIUVLWIZUWQUVQUUFUVPRZUWBUWRWIZUUGUVQU
      WSWTUWPYNUUFUVPXJXAUWPUWSUWTWIUUGUWPUWSUWBUVIUVLUWPUWSNUVLUWBUVINUWAUUKRZ
      UWPUWSUXAUWPUWSUWJUWLNZUXAUUAUUEUVNUVOXBUXBUVTUUJJYSUWJUWLUVRUUHUVSUUIFUW
      JUUHUVRUWKXCUWLUUIUVSUWMXCXDWNXEXFYRUWAUUBUUKXGVNXKXHXIXLXMXNXOXMXPXQXFXT
      UUNUVKBLUVLUUMUVJDESSUVLUULUVIUUGYRUUBUUKXJXRXSYAYBUUNBYCVPYDYEYFYGYH $.

    $d N u v x y $.  $d S u v x $.  $d V u y $.  $d W u y $.
    $( Lemma 1 for ~ satfvsuc .  (Contributed by AV, 8-Oct-2023.) $)
    satfvsuclem1 $p |- ( ( M e. V /\ E e. W /\ N e. _om )
                -> { <. x , y >. | ( E. u e. ( S ` N ) ( E. v e. ( S ` N )
                     ( x = ( ( 1st ` u ) |g ( 1st ` v ) )
                    /\ y = ( ( M ^m _om ) \ ( ( 2nd ` u ) i^i ( 2nd ` v ) ) ) )
                 \/ E. i e. _om ( x = A.g i ( 1st ` u )
                    /\ y = { a e. ( M ^m _om ) | A. z e. M ( { <. i , z >. } u.
                   ( a |` ( _om \ { i } ) ) ) e. ( 2nd ` u ) } ) )
                    /\ y e. ~P ( M ^m _om ) ) } e. _V ) $=
      ( wcel com cv wa cvv cab w3a c1st cfv cgna co wceq cmap c2nd cin cdif cop
      wrex cgol csn cres cun wral crab wo cpw copab ancom opabbii ovex pwex a1i
      fvex unab abrexex simpl reximi ss2abi ssexi omex unex ralrimiva abrexex2g
      eqeltrri sylancr opabex3rd eqeltrid ) IKOHLOJPOUAZAQZEQZUBUCZDQZUBUCUDUEZ
      UFZBQZIPUGUEZWDUHUCZWFUHUCUIUJUFZRZDJFUCZULZWCWEGQZUMZUFZWIWPCQUKUNMQPWPU
      NUJUOUPWKOCIUQMWJURUFZRZGPULZUSZEWNULZWIWJUTZOZRZABVAXEXCRZABVASXFXGABXCX
      EVBVCWBXCABXDSXDSOWBWJIPUGVDVEVFWBXERZWNSOXBATZSOZEWNUQXCATSOJFVGZXHXJEWN
      XJXHWDWNORWOATZXAATZUPXISWOXAAVHXLXMXLWHDWNULZATDAWNWGXKVIWOXNAWMWHDWNWHW
      LVJVKVLVMXMWRGPULZATGAPWQVNVIXAXOAWTWRGPWRWSVJVKVLVMVOVRVFVPXBEAWNSSVQVSV
      TWA $.

    $( Lemma 2 for ~ satfvsuc .  (Contributed by AV, 8-Oct-2023.) $)
    satfvsuclem2 $p |- ( ( M e. V /\ E e. W /\ N e. _om )
                       -> { <. x , y >. | E. u e. ( S ` N ) ( E. v e. ( S ` N )
                     ( x = ( ( 1st ` u ) |g ( 1st ` v ) )
                    /\ y = ( ( M ^m _om ) \ ( ( 2nd ` u ) i^i ( 2nd ` v ) ) ) )
                 \/ E. i e. _om ( x = A.g i ( 1st ` u )
                    /\ y = { a e. ( M ^m _om ) | A. z e. M ( { <. i , z >. } u.
                   ( a |` ( _om \ { i } ) ) ) e. ( 2nd ` u ) } ) ) } e. _V ) $=
      ( wcel com cv cfv wa wrex w3a c1st cgna wceq cmap c2nd cin cdif cgol cres
      co cop csn cun wral crab copab cpw cvv r19.41v orbi12i ovex difelpw ax-mp
      wo eleq1 mpbiri pm4.71i bianass rexbii rabelpw andir 3bitr4i satfvsuclem1
      bitri opabbii eqeltrid ) IKOHLOJPOUAAQZEQZUBRZDQZUBRUCUKUDZBQZIPUEUKZVSUF
      RZWAUFRUGZUHZUDZSZDJFRZTZVRVTGQZUIUDZWCWLCQULUMMQPWLUMUHUJUNWEOCIUOZMWDUP
      ZUDZSZGPTZVEZEWJTZABUQWTWCWDURZOZSZABUQUSWTXCABWTWSXBSZEWJTXCWSXDEWJWIXBS
      ZDWJTZWQXBSZGPTZVEWKXBSZWRXBSZVEWSXDXFXIXHXJWIXBDWJUTWQXBGPUTVAWKXFWRXHWI
      XEDWJWHWHXBWBWHXBWHXBWGXAOZWDUSOZXKIPUEVBZWDWFUSVCVDWCWGXAVFVGVHVIVJWQXGG
      PWPWPXBWMWPXBWPXBWOXAOZXLXNXMWNMWDUSVKVDWCWOXAVFVGVHVIVJVAWKWRXBVLVMVJWSX
      BEWJUTVOVPABCDEFGHIJKLMNVNVQ $.

    $d N f $.  $d S f y $.  $d V f $.  $d W f $.
    $( The value of the satisfaction predicate as function over wff codes at a
       successor.  (Contributed by AV, 10-Oct-2023.) $)
    satfvsuc $p |- ( ( M e. V /\ E e. W /\ N e. _om ) -> ( S ` suc N )
         = ( ( S ` N ) u. { <. x , y >. | E. u e. ( S ` N ) ( E. v e. ( S ` N )
                     ( x = ( ( 1st ` u ) |g ( 1st ` v ) )
                    /\ y = ( ( M ^m _om ) \ ( ( 2nd ` u ) i^i ( 2nd ` v ) ) ) )
             \/ E. i e. _om ( x = A.g i ( 1st ` u ) /\
                       y = { a e. ( M ^m _om ) | A. z e. M ( { <. i , z >. } u.
                       ( a |` ( _om \ { i } ) ) ) e. ( 2nd ` u ) } ) ) } ) ) $=
      ( wcel com cfv cvv cv wceq vf vj w3a csuc c1st cgna co cmap c2nd cin cdif
      wa wrex cgol cop csn cres cun wral crab wo copab cmpt cgoe peano2 elelsuc
      wbr crdg satfvsucom syl3an3 con0 nnon 3ad2ant3 rdgsuc eqcomd fveq2d rexeq
      syl eqid id orbi1d rexeqbi1dv opabbidv uneq12d fvexd satfvsuclem2 syl2anc
      unexg fvmptd3 eqtrd 3eqtrd ) IKOZHLOZJPOZUCZJUDZFQZWPUARUASZASZESZUEQZDSZ
      UEQUFUGTBSZIPUHUGZWTUIQZXBUIQUJUKTULZDWRUMZWSXAGSZUNTXCXHCSUOUPMSZPXHUPUK
      UQURXEOCIUSMXDUTTULGPUMZVAZEWRUMZABVBZURZVCZWSXHUBSZVDUGTXCXHXIQXPXIQHVGM
      XDUTTULUBPUMGPUMABVBZVHZQZJXRQZXOQZJFQZXFDYBUMZXJVAZEYBUMZABVBZURZWNWLWMW
      PPUDZOZWQXSTWNWPPOYIJVEWPPVFVRABCDEFUAGUBHIWPKLMNVIVJWOJVKOZXSYATWNWLYJWM
      JVLVMXQJXOVNVRWOYAYBXOQYGWOXTYBXOWOYBXTWNWLWMJYHOYBXTTJPVFABCDEFUAGUBHIJK
      LMNVIVJVOVPWOUAYBXNYGRXORXOVSWRYBTZWRYBXMYFYKVTYKXLYEABXKYDEWRYBYKXGYCXJX
      FDWRYBVQWAWBWCWDWOJFWEZWOYBROYFROYGROYLABCDEFGHIJKLMNWFYBYFRRWHWGWIWJWK
      $.
  $}

  ${
    $d E b $.  $d I a b z $.  $d J a b z $.  $d M b z $.  $d N a b z $.
    $( Lemma for ~ satfv1 .  (Contributed by AV, 9-Nov-2023.) $)
    satfv1lem $p |- ( ( N e. _om /\ I e. _om /\ J e. _om )
                      -> { a e. ( M ^m _om ) |
                   A. z e. M ( { <. N , z >. } u. ( a |` ( _om \ { N } ) ) )
                             e. { b e. ( M ^m _om ) | ( b ` I ) E ( b ` J ) } }
             = { a e. ( M ^m _om ) | A. z e. M if- ( I = N ,
                 if- ( J = N , z E z , z E ( a ` J ) ) ,
                 if- ( J = N , ( a ` I ) E z , ( a ` I ) E ( a ` J ) ) ) } ) $=
      ( com wcel cres cfv wbr cmap wceq wa wb cvv adantr adantl w3a cv cop cdif
      csn cun co crab wral wif fveq1 breq12d elrab a1i cin wf 3ad2ant1 ad2antrr
      elex fsnd elmapex simpld snex elmapd adantll mpbird elmapi difssd fssresd
      simpr omex difexi res0 eqtr4i disjdif reseq2i 3eqtr4i elmapresaun syl3anc
      c0 uncom difsnid eqtr2id oveq2d eleqtrrd ibar bicomd simpll1 eqid fvsnun1
      fveq2 breq2d ifptru bibi12d wn wne neqne simpll3 anim12ci eldifsn fvsnun2
      sylibr ifpfal bitrd pm2.61ian breq1d simpll2 adantrl ralbidva rabbidva
      mpdan ) FIJZCIJZDIJZUAZFAUBZUCUEZGUBZIFUEZUDZKZUFZCHUBZLZDYCLZBMZHEINUGZU
      HJZAEUICFOZDFOZXPXPBMZXPDXRLZBMZUJZYJCXRLZXPBMZYOYLBMZUJZUJZAEUIGYGXOXRYG
      JZPZYHYSAEUUAXPEJZPZYHYBYGJZCYBLZDYBLZBMZPZYSYHUUHQUUCYFUUGHYBYGYCYBOYDUU
      EYEUUFBCYCYBUKDYCYBUKULUMUNUUCUUDUUHYSQUUCYBEXSXTUFZNUGZYGUUCXQEXSNUGJZYA
      EXTNUGJZXQXSXTUOZKZYAUUMKZOZYBUUJJUUCUUKXSEXQUPZUUCFXPREXOFRJZYTUUBXLXMUU
      RXNFIUSUQURUUAUUBVJZUTYTUUBUUKUUQQXOYTUUBPZEXSXQRRYTERJZUUBYTUVAIRJXREIVA
      VBZSXSRJUUTFVCUNVDVEVFUUAUULUUBYTUULXOYTUULXTEYAUPYTIEXTXRXREIVGYTIXSVHVI
      YTEXTYARRUVBXTRJYTIXSVKVLUNVDVFTSUUPUUCXQVTKZYAVTKZUUNUUOUVCVTUVDXQVMYAVM
      VNUUMVTXQXSIVOZVPUUMVTYAUVEVPVQUNXSXTEXQYAVRVSUUCIUUIENXOIUUIOZYTUUBXLXMU
      VFXNXLUUIXTXSUFIXSXTWAIFWBWCUQURWDWEUUCUUDPZUUHUUGYSUVGUUGUUHUUDUUGUUHQUU
      CUUDUUGWFTWGYIUVGUUGYSQZYIUVGPUVHFYBLZUUFBMZYNQZUVGUVKYIYJUVGUVKYJUVGPUVK
      UVIUVIBMZYKQZUVGUVMYJUVGUVIXPUVIXPBUUCUVIXPOZUUDUUCFXPIXRYBIEXLXMXNYTUUBW
      HZUUSYBWIZWJSZUVQULTYJUVKUVMQUVGYJUVJUVLYNYKYJUUFUVIUVIBDFYBWKZWLYJYKYMWM
      WNSVFYJWOZUVGPZUVJYMYNUVTUVIXPUUFYLBUVGUVNUVSUVQTUVTFXPIDXRYBIEUVGXLUVSUU
      CXLUUDUVOSZTUVGUUBUVSUUCUUBUUDUUSSZTUVPUVTXNDFWPZPDXTJUVSUWCUVGXNDFWQUUCX
      NUUDXLXMXNYTUUBWRSWSDIFWTXBXAZULUVSYMYNQUVGUVSYNYMYJYKYMXCWGSXDXETYIUVHUV
      KQUVGYIUUGUVJYSYNYIUUEUVIUUFBCFYBWKXFYIYNYRWMWNSVFYIWOZUVGPZUUGYRYSYJUWFU
      UGYRQZYJUWFPUWGUUEUVIBMZYPQZUWFUWIYJUWFUUEYOUVIXPBUWFFXPICXRYBIEUVGXLUWEU
      WATUVGUUBUWEUWBTUVPUWFXMCFWPZPCXTJUWEUWJUVGXMCFWQUUCXMUUDXLXMXNYTUUBXGSWS
      CIFWTXBXAZUVGUVNUWEUVQTULTYJUWGUWIQUWFYJUUGUWHYRYPYJUUFUVIUUEBUVRWLYJYPYQ
      WMWNSVFUVSUWFPZUUGYQYRUWLUUEYOUUFYLBUWFUUEYOOUVSUWKTUVSUVGUUFYLOUWEUWDXHU
      LUVSYQYRQUWFUVSYRYQYJYPYQXCWGSXDXEUWEYRYSQUVGUWEYSYRYIYNYRXCWGSXDXEXDXKXD
      XIXJ $.
  $}

  ${
    $d E a b c d e i j k l x y $.  $d E a b e i j n o x y z $.
    $d E a b c d e k l p x y $.  $d M a b c d e i j k l x y $.
    $d M a b e i j n o x y z $.  $d M a b c d e k l p x y $.
    $d S b e o p x y $.  $d V b e o x y $.  $d W b e o x y $.
    $d n o p x y z $.
    satfv1.s $e |- S = ( M Sat E ) $.
    $( The value of the satisfaction predicate as function over wff codes of
       height 1.  (Contributed by AV, 9-Nov-2023.) $)
    satfv1 $p |- ( ( M e. V /\ E e. W ) -> ( S ` 1o ) = ( ( S ` (/) )
           u. { <. x , y >. | E. i e. _om E. j e. _om ( E. k e. _om E. l e. _om
                   ( x = ( ( i e.g j ) |g ( k e.g l ) )
                  /\ y = { a e. ( M ^m _om ) | ( -. ( a ` i ) E ( a ` j )
                                              \/ -. ( a ` k ) E ( a ` l ) ) } )
             \/ E. n e. _om ( x = A.g n ( i e.g j ) /\
                              y = { a e. ( M ^m _om ) | A. z e. M if- ( i = n ,
         if- ( j = n , z E z , z E ( a ` j ) ) ,
         if- ( j = n , ( a ` i ) E z , ( a ` i ) E ( a ` j ) ) ) } ) ) } ) ) $=
      ( vb wa wceq com wrex vo vp ve vc vd wcel c1o cfv c0 csuc cv c1st cgna co
      cmap c2nd cin cdif cgol cop csn cres cun wral crab wo copab cgoe wn df-1o
      wbr wif fveq2i a1i peano1 satfvsuc mp3an3 wex satfv0 op1std oveq1d eqeq2d
      rexeqdv eqid op2ndd ineq1d difeq2d anbi12d rexbidv eqidd goaleq12d eleq2d
      vex ralbidv rabbidv orbi12d rexopabb bitrdi oveq2d ineq2d orbi1d r19.41vv
      anbi2d 2exbidv wb oveq1 ineq1 bi2anan9 id nfrab1 nfeq2 eleq2 rabbid oveq2
      adantl wi adantr ineq2 inrab difeq2i rabbii reximi sylbir exlimivv biimpd
      fveq1 anim2d reximdva orim12d reximia cvv ovex rabex pm3.2i bicomi 2exbii
      eqeq1 2ex2rexrot bitri sylibr notrab ianor 3eqtri eqtrdi biimpa simpr w3a
      simpll simplr breq12d cbvrabv eleq2i ralbii syl5eq syl3anc sylbid expimpd
      satfv1lem eqcomi eqeq2i biimpi anim2i spc2ev sylancr eqcomd jctil spc2egv
      imp mpsyl ex impbii bitrd opabbidv uneq2d 3eqtrd ) JKUFZILUFZQZUGDUHZUIUJ
      ZDUHZUIDUHZAUKZUAUKZULUHZUBUKZULUHZUMUNZRZBUKZJSUOUNZUWDUPUHZUWFUPUHZUQZU
      RZRZQZUBUWBTZUWCUWEHUKZUSZRZUWJUWSCUKZUTVAMUKZSUWSVAURVBVCZUWLUFZCJVDZMUW
      KVEZRZQZHSTZVFZUAUWBTZABVGZVCZUWBUWCEUKZFUKZVHUNZGUKZNUKZVHUNZUMUNZRZUWJU
      XOUXCUHZUXPUXCUHZIVKZVIUXRUXCUHUXSUXCUHIVKZVIVFZMUWKVEZRZQZNSTZGSTZUWCUXQ
      UWSUSZRZUWJUXOUWSRUXPUWSRZUXBUXBIVKUXBUYDIVKVLUYOUYCUXBIVKUYEVLVLCJVDMUWK
      VEZRZQZHSTZVFZFSTZESTZABVGZVCUVSUWARUVRUGUVTDVJVMVNUVPUVQUISUFUWAUXNRVOAB
      CUBUADHIJUIKLMOVPVQUVRUXMVUCUWBUVRUXLVUBABUVRUXLUCUKZUXQRZPUKZUYEMUWKVEZR
      ZQZFSTESTZUWCVUDUWGUMUNZRZUWJUWKVUFUWMUQZURZRZQZUBUWBTZUWCVUDUWSUSZRZUWJU
      XDVUFUFZCJVDZMUWKVEZRZQZHSTZVFZQZPVRUCVRZVUBUVRUXLUXKUAVUJUCPVGZTVVHUVRUX
      KUAUWBVVIUCPDEFIJKLMOVSWCVUJUXKVVFUCPUAVVIVVIWDUWDVUDVUFUTRZUWRVUQUXJVVEV
      VJUWQVUPUBUWBVVJUWIVULUWPVUOVVJUWHVUKUWCVVJUWEVUDUWGUMVUDVUFUWDUCWMZPWMZV
      TZWAWBVVJUWOVUNUWJVVJUWNVUMUWKVVJUWLVUFUWMVUDVUFUWDVVKVVLWEZWFWGWBWHWIVVJ
      UXIVVDHSVVJUXAVUSUXHVVCVVJUWTVURUWCVVJUWEVUDUWSUWSVVJUWSWJVVMWKWBVVJUXGVV
      BUWJVVJUXFVVAMUWKVVJUXEVUTCJVVJUWLVUFUXDVVNWLWNWOWBWHWIWPWQWRUVRVVHVUJUDU
      KZUXTRZUEUKZUYFMUWKVEZRZQZNSTGSTZUWCVUDVVOUMUNZRZUWJUWKVUFVVQUQZURZRZQZQZ
      UEVRUDVRZVVEVFZQZPVRUCVRZVUBUVRVVGVWKUCPUVRVVFVWJVUJUVRVUQVWIVVEUVRVUQVUP
      UBVWAUDUEVGZTVWIUVRVUPUBUWBVWMUDUEDGNIJKLMOVSWCVWAVUPVWGUDUEUBVWMVWMWDUWF
      VVOVVQUTRZVULVWCVUOVWFVWNVUKVWBUWCVWNUWGVVOVUDUMVVOVVQUWFUDWMZUEWMZVTWSWB
      VWNVUNVWEUWJVWNVUMVWDUWKVWNUWMVVQVUFVVOVVQUWFVWOVWPWEWTWGWBWHWQWRXAXCXDVW
      LVUBVWKVUBUCPVWKVUIVWJQZFSTZESTZVUBVUIVWJEFSSXBZVWRVUAESUXOSUFZVWQUYTFSVX
      AUXPSUFZQZVUIVWJUYTVXCVUIQZVWJVWAUWCUXQVVOUMUNZRZUWJUWKVUGVVQUQZURZRZQZQZ
      UEVRUDVRZUYNUWJUXDVUGUFZCJVDZMUWKVEZRZQZHSTZVFZUYTVUIVWJVXSXEVXCVUIVWIVXL
      VVEVXRVUIVWHVXKUDUEVUIVWGVXJVWAVUEVWCVXFVUHVWFVXIVUEVWBVXEUWCVUDUXQVVOUMX
      FWBVUHVWEVXHUWJVUHVWDVXGUWKVUFVUGVVQXGWGWBXHXCXDVUIVVDVXQHSVUEVUSUYNVUHVV
      CVXPVUEVURUYMUWCVUEVUDUXQUWSUWSVUEUWSWJVUEXIWKWBVUHVVBVXOUWJVUHVVAVXNMUWK
      MVUFVUGUYEMUWKXJXKVUHVUTVXMCJVUFVUGUXDXLWNXMWBXHWIWPZXOVXDVXLUYLVXRUYSVXL
      UYLXPVXDVXKUYLUDUEVXKVVTVXJQZNSTZGSTZUYLVVTVXJGNSSXBZVYBUYKGSVYAUYJNSVVTV
      XJUYJVVTVXFUYBVXIUYIVVTVXEUYAUWCVVPVXEUYARVVSVVOUXTUXQUMXNZXQWBVVSVXIUYIX
      EVVPVVSVXHUYHUWJVVSVXHUWKVUGVVRUQZURZUYHVVSVXGVYFUWKVVQVVRVUGXRWGZVYGUWKU
      YEUYFQZMUWKVEZURVYIVIZMUWKVEUYHVYFVYJUWKUYEUYFMUWKXSXTVYIMUWKUUAVYKUYGMUW
      KUYEUYFUUBYAUUCZUUDWBXOWHUUEYBYBYCYDVNVXCVXRUYSXPVUIVXCVXQUYRHSVXCUWSSUFZ
      QZVXPUYQUYNVYNVXPUYQVYNVXOUYPUWJVYNVYMVXAVXBVXOUYPRVXCVYMUUFVXAVXBVYMUUHV
      XAVXBVYMUUIVYMVXAVXBUUGVXOUXDUXOVUFUHZUXPVUFUHZIVKZPUWKVEZUFZCJVDZMUWKVEU
      YPVXNVYTMUWKVXMVYSCJVUGVYRUXDUYEVYQMPUWKUXCVUFRUYCVYOUYDVYPIUXOUXCVUFYFUX
      PUXCVUFYFUUJUUKUULUUMYACIUXOUXPJUWSMPUURUUNUUOZWBYEYGYHXQYIUUPUUQYHYJYCYD
      VUBVWQPVRUCVRZFSTZESTZVWLVUAWUCESVXAUYTWUBFSVXCUYTWUBUXQYKUFZVUGYKUFZQVXC
      UYTQZUXQUXQRZVUGVUGRZQZVXSQZWUBWUEWUFUXOUXPVHYLUYEMUWKJSUOYLZYMYNWUGVXSWU
      JVXCUYTVXSVXCUYLVXLUYSVXRUYLVXLXPVXCUYLVYAUEVRUDVRZNSTZGSTZVXLUYKWUNGSUYJ
      WUMNSUYJUXTUXTRZVVRVVRRZQZUYBUWJVYGRZQZWUMWUPWUQUXTWDVVRWDYNUYIWUSUYBUYIW
      USUYHVYGUWJVYGUYHVYLUUSUUTUVAUVBVYAWURWUTQUDUEUXTVVRUXRUXSVHYLUYFMUWKWULY
      MVVTVVTWURVXJWUTVVPVVPWUPVVSVVSWUQVVOUXTUXTYQVVQVVRVVRYQXHVVPVXFUYBVVSVXI
      WUSVVPVXEUYAUWCVYEWBVVSVXHVYGUWJVYHWBXHWHUVCUVDYBYBVXLVYCUEVRUDVRWUOVXKVY
      CUDUEVYCVXKVYDYOYPVYAUDUEGNSSYRYSYTVNVXCUYRVXQHSVYNUYQVXPUYNVYNUYQVXPVYNU
      YPVXOUWJVYNVXOUYPWUAUVEWBYEYGYHYIUVHWUHWUIUXQWDVUGWDYNUVFVWQWUKUCPUXQVUGY
      KYKVUIVUIWUJVWJVXSVUEVUEWUHVUHVUHWUIVUDUXQUXQYQVUFVUGVUGYQXHVXTWHUVGUVIUV
      JYHYJVWLVWSPVRUCVRWUDVWKVWSUCPVWSVWKVWTYOYPVWQUCPEFSSYRYSYTUVKWRUVLUVMUVN
      UVO $.
  $}

  ${
    $d A a b $.  $d B a b $.  $d E a b $.  $d E i k u v x y z $.  $d M a b $.
    $d M i k u v x y z $.  $d S b $.  $d S a u v x y $.  $d V a b $.
    $d V u y $.  $d W a b $.  $d W u y $.
    satfsschain.s $e |- S = ( M Sat E ) $.
    $( The binary relation of a satisfaction predicate as function over wff
       codes is an increasing chain (with respect to inclusion).  (Contributed
       by AV, 15-Oct-2023.) $)
    satfsschain $p |- ( ( ( M e. V /\ E e. W ) /\ ( A e. _om /\ B e. _om ) )
                        -> ( B C_ A -> ( S ` B ) C_ ( S ` A ) ) ) $=
      ( vb com wcel wa wss cfv wi cv wceq fveq2 sseq2d imbi2d va vx vu vv vy vi
      vk vz csuc weq ssidd a1i pm2.27 adantl simpr c1st cgna cmap c2nd cin cdif
      co wrex cgol cop csn cres wral crab wo copab ssun1 simpl simplll satfvsuc
      cun syl2an23an sseqtrrid adantr sstrd ex syld com23 findsg impcom ) AJKBJ
      KZLZEFKZDGKZLZBAMZBCNZACNZMZOWGWKWJWNWGWKWJWNOZWJWLIPZCNZMZOWJWLWLMZOZWJW
      LUAPZCNZMZOZWJWLXAUIZCNZMZOWOIUAABWPBQZWRWSWJXHWQWLWLWPBCRSTIUAUJZWRXCWJX
      IWQXBWLWPXACRSTWPXEQZWRXGWJXJWQXFWLWPXECRSTWPAQZWRWNWJXKWQWMWLWPACRSTWTWF
      WJWLUKULXAJKZWFLBXAMZLZWJXDXGXNWJXDXGOXNWJLZXDXCXGWJXDXCOXNWJXCUMUNXOXCXG
      XOXCLWLXBXFXOXCUOXOXBXFMXCXOXBUBPZUCPZUPNZUDPZUPNUQVBQUEPZEJURVBZXQUSNZXS
      USNUTVAQLUDXBVCXPXRUFPZVDQXTYCUGPVEVFUHPJYCVFVAVGVPYBKUGEVHUHYAVIQLUFJVCV
      JUCXBVCUBUEVKZVPZXBXFXBYDVLWJWHWIXNXLXFYEQWHWIVMWHWIUOXLWFXMWJVNUBUEUGUDU
      CCUFDEXAFGUHHVOVQVRVSVTWAWBWAWCWDWAWCWE $.
  $}

  ${
    $d A s $.  $d B s $.  $d E a i s u v x y z $.  $d M a i s u v x y z $.
    $d N s u v x y $.  $d S s u v y x $.  $d V s u x y $.  $d W s u x y $.
    satfvsucsuc.s $e |- S = ( M Sat E ) $.
    satfvsucsuc.a $e |- A = ( ( M ^m _om )
                              \ ( ( 2nd ` u ) i^i ( 2nd ` v ) ) ) $.
    satfvsucsuc.b $e |- B = { a e. ( M ^m _om ) | A. z e. M ( { <. i , z >. }
                             u. ( a |` ( _om \ { i } ) ) ) e. ( 2nd ` u ) } $.
    $( The satisfaction predicate as function over wff codes of height
       ` ( N + 1 ) ` , expressed by the minimally necessary satisfaction
       predicates as function over wff codes of height ` N ` .  (Contributed by
       AV, 21-Oct-2023.) $)
    satfvsucsuc $p |- ( ( M e. V /\ E e. W /\ N e. _om )
                        -> ( S ` suc suc N ) = ( ( S ` suc N ) u.
         { <. x , y >. | ( E. u e. ( ( S ` suc N ) \ ( S ` N ) )
                          ( E. v e. ( S ` suc N )
                                ( x = ( ( 1st ` u ) |g ( 1st ` v ) ) /\ y = A )
                         \/ E. i e. _om ( x = A.g i ( 1st ` u ) /\ y = B ) )
                 \/ E. u e. ( S ` N ) E. v e. ( ( S ` suc N ) \ ( S ` N ) )
                     ( x = ( ( 1st ` u ) |g ( 1st ` v ) ) /\ y = A ) ) } ) ) $=
      ( wrex wo vs wcel com w3a csuc cfv cv c1st cgna co wceq cmap c2nd cdif wa
      cin cgol cop csn cres cun wral crab copab peano2 satfvsuc syl3an3 wex orc
      a1i eqeq2i anbi2i rexbii orbi12i bicomi wss 3simpa ancri 3ad2ant3 sssucid
      wi jca satfsschain imp syl2an2r undif eqcomd rexeqdv bitrdi syl5bb r19.43
      sylib rexun syl adantr rexbidv orbi1d orbi1i or32 bitri animorr wb eleq2d
      eleq1 adantl elun opabidw orbi2i eqcomi orbi2d mpbird orcd ex simplr olcd
      bitrd jaod sylbid expimpd 2eximdv 19.45v exbii syl6ib difss ax-mp 2rexbii
      ssrexv reximi syl6ibr anim2d orim2d impbid elopab 3bitr4g eqrdv eqtrd ) K
      MUBZJNUBZLUCUBZUDZLUEZUEHUFZUUAHUFZAUGZEUGZUHUFZDUGZUHUFUIUJUKZBUGZKUCULU
      JZUUEUMUFZUUGUMUFUPUNZUKZUOZDUUCSZUUDUUFIUGZUQUKZUUIUUPCUGURUSOUGUCUUPUSU
      NUTVAUUKUBCKVBOUUJVCZUKZUOZIUCSZTZEUUCSZABVDZVAZUUCUUHUUIFUKZUOZDUUCSZUUQ
      UUIGUKZUOZIUCSZTZEUUCLHUFZUNZSZUVGDUVNSZEUVMSZTZABVDZVAZYSYQYRUUAUCUBZUUB
      UVEUKLVEZABCDEHIJKUUAMNOPVFVGYTUAUVEUVTYTUAUGZUUCUBZUWCUUDUUIURZUKZUVCUOZ
      BVHAVHZTZUWDUWFUVRUOZBVHZAVHZTZUWCUVEUBZUWCUVTUBZYTUWIUWMYTUWDUWMUWHUWDUW
      MWAYTUWDUWLVIVJYTUWHUWDUWJTZBVHZAVHZUWMYTUWGUWPABYTUWFUVCUWPYTUWFUOZUVCUV
      LEUVMSZUVOTZUWPUVCUVLEUUCSZUWSUXAUXBUVCUVLUVBEUUCUVHUUOUVKUVAUVGUUNDUUCUV
      FUUMUUHFUULUUIQVKVLZVMUVJUUTIUCUVIUUSUUQGUURUUIRVKVLVMVNVMZVOUWSUXBUVLEUV
      MUVNVAZSUXAUWSUVLEUUCUXEUWSUXEUUCUWSUVMUUCVPZUXEUUCUKZYTYQYRUOZUWAYSUOZUO
      ZUWFLUUAVPZUXFYTUXHUXIYQYRYSVQYSYQUXIYRYSUWAUWBVRVSWBZUXKUWSLVTZVJUXJUXKU
      XFUUALHJKMNPWCWDZWEUVMUUCWFZWLWGWHUVLEUVMUVNWMWIWJUWSUWTUWPUVOUWSUWTUVGDU
      VMSZUVKTZEUVMSZUVQTZUWPUWTUVHEUVMSZUVKEUVMSZTZUWSUXSUVHUVKEUVMWKUWSUYBUXP
      UVPTZEUVMSZUYATZUXSUWSUXTUYDUYAUWSUVHUYCEUVMUWSUVHUVGDUXESUYCUWSUVGDUUCUX
      EUWSUXEUUCUWSUXFUXGYTUXFUWFYTUXJUXKUOUXFYTUXJUXKUXLUXKYTUXMVJWBUXNWNZWOUX
      OWLWGWHUVGDUVMUVNWMWIWPWQUYEUXPEUVMSZUVQTZUYATZUXSUYDUYHUYAUXPUVPEUVMWKWR
      UYIUYGUYATZUVQTUXSUYGUVQUYAWSUYJUXRUVQUXRUYJUXPUVKEUVMWKVOWRWTWTWIWJUWSUX
      RUWPUVQUWSUXRUWPUWSUXRUOZUWDUWJUYKUWDUWEUVMUBZUXRTZUWSUXRUYLXAUWSUWDUYMXB
      UXRUWSUWDUYLUUNDUVMSZUVATZEUVMSZTZUYMUWSUWDUWCUVMUYPABVDZVAZUBZUYQYTUWDUY
      TXBUWFYTUUCUYSUWCABCDEHIJKLMNOPVFXCWOUWSUYTUWEUYSUBZUYQUWFUYTVUAXBYTUWCUW
      EUYSXDXEVUAUYLUWEUYRUBZTUYQUWEUVMUYRXFVUBUYPUYLUYPABXGXHWTWIXPUWSUYPUXRUY
      LUYPUXRXBUWSUYOUXQEUVMUYNUXPUVAUVKUUNUVGDUVMUUMUVFUUHUULFUUIFUULQXIVKVLVM
      UUTUVJIUCUUSUVIUUQUURGUUIGUURRXIVKVLVMVNVMVJXJXPWOXKXLXMUWSUVQUWPUWSUVQUO
      ZUWJUWDVUCUWFUVRYTUWFUVQXNUWSUVQUVOXAWBXOXMXQXRUWSUVOUWPUWSUVOUOZUWJUWDVU
      DUWFUVRYTUWFUVOXNUVOUVRUWSUVOUVQVIXEWBXOXMXQXRXSXTUWRUWDUWKTZAVHUWMUWQVUE
      AUWDUWJBYAYBUWDUWKAYAWTYCXQYTUWLUWHUWDYTUWJUWGABYTUVRUVCUWFYTUVOUVCUVQYTU
      VOUXBUVCUVOUXBWAZYTUVNUUCVPZVUFUUCUVMYDZUVLEUVNUUCYGYEVJUXDYCYTUVQUUOEUUC
      SZUVAEUUCSZTZUVCYTUVQVUKYTUVQUOZVUIVUJVULUUNDUVNSZEUUCSZVUIYTUVQVUNYTUVQU
      VPEUUCSZVUNYTUXFUVQVUOWAUYFUVPEUVMUUCYGWNUVGUUNEDUUCUVNUXCYFYCWDVUMUUOEUU
      CVUGVUMUUOWAVUHUUNDUVNUUCYGYEYHWNXLXMUUOUVAEUUCWKYIXQYJXTYKYLUWNUWDUWCUVD
      UBZTUWIUWCUUCUVDXFVUPUWHUWDUVCABUWCYMXHWTUWOUWDUWCUVSUBZTUWMUWCUUCUVSXFVU
      QUWLUWDUVRABUWCYMXHWTYNYOYP $.
  $}

  ${
    $d A i u v x y $.  $d B i u v x y $.  $d E f i u v x y z $.
    $d M f i u v x y z $.  $d N u v x y $.  $d P v x y $.  $d S u v x y $.
    $d V u y $.  $d W u y $.
    satfbrsuc.s $e |- S = ( M Sat E ) $.
    satfbrsuc.p $e |- P = ( S ` N ) $.
    $( The binary relation of a satisfaction predicate as function over wff
       codes at a successor.  (Contributed by AV, 13-Oct-2023.) $)
    satfbrsuc $p |- ( ( ( M e. V /\ E e. W ) /\ N e. _om
                          /\ ( A e. X /\ B e. Y ) )
                        -> ( A ( S ` suc N ) B <-> ( A P B \/ E. u e. P
             ( E. v e. P ( A = ( ( 1st ` u ) |g ( 1st ` v ) )
                  /\ B = ( ( M ^m _om ) \ ( ( 2nd ` u ) i^i ( 2nd ` v ) ) ) )
            \/ E. i e. _om ( A = A.g i ( 1st ` u ) /\ B = {
                  f e. ( M ^m _om ) | A. z e. M ( { <. i , z >. }
                    u. ( f |` ( _om \ { i } ) ) ) e. ( 2nd ` u ) } ) ) ) ) ) $=
      ( wceq wrex vx vy wcel wa com w3a csuc cfv wbr cv c1st cgna cmap c2nd cin
      co cdif cgol cop csn cres wral crab wo copab satfvsuc 3expa 3adant3 breqd
      cun wb brun eqcomi breqi a1i eqeq1 bi2anan9 rexbidv orbi12d rexeqi orbi1i
      rexeqbii opabbii brabga syl5bb 3ad2ant3 bitrd ) KMUCZJNUCZUDZLUEUCZDOUCEP
      UCUDZUFZDELUGGUHZUIDELGUHZUAUJZCUJZUKUHZBUJZUKUHULUPZSZUBUJZKUEUMUPZWQUNU
      HZWSUNUHUOUQZSZUDZBWOTZWPWRIUJZURZSZXBXIAUJUSUTHUJUEXIUTUQVAVJXDUCAKVBHXC
      VCZSZUDZIUETZVDZCWOTZUAUBVEZVJZUIZDEFUIZDWTSZEXESZUDZBFTZDXJSZEXLSZUDZIUE
      TZVDZCFTZVDZWMWNXSDEWJWKWNXSSZWLWHWIWKYMUAUBABCGIJKLMNHQVFVGVHVIWLWJXTYLV
      KWKXTDEWOUIZDEXRUIZVDWLYLDEWOXRVLWLYNYAYOYKYNYAVKWLDEWOFFWORVMZVNVOXGBFTZ
      XOVDZCFTZYKUAUBDEXROPWPDSZXBESZUDZYRYJCFUUBYQYEXOYIUUBXGYDBFYTXAYBUUAXFYC
      WPDWTVPXBEXEVPVQVRUUBXNYHIUEYTXKYFUUAXMYGWPDXJVPXBEXLVPVQVRVSVRXQYSUAUBXP
      YRCWOFYPXHYQXOXGBWOFYPVTWAWBWCWDVSWEWFWG $.
  $}

  ${
    $d E a i j u v x y z $.  $d E a b u v x y $.  $d M a i j u v x y z $.
    $d M b $.  $d N a $.  $d V a b u y $.  $d W a b u y $.
    $( The value of the satisfaction predicate as function over wff codes at a
       natural number is a relation.  (Contributed by AV, 12-Oct-2023.) $)
    satfrel $p |- ( ( M e. V /\ E e. W /\ N e. _om )
                    -> Rel ( ( M Sat E ) ` N ) ) $=
      ( va vx vi vy wcel com co cfv wrel wa cv wi wceq releqd wrex vb csat csuc
      vj vu vv vz c0 fveq2 imbi2d weq cgoe cmap crab copab relopabv eqid satfv0
      wbr mpbiri pm2.27 c1st cgna c2nd cin cdif cgol cop csn cres wral wo simpr
      cun relun sylanblrc satfvsuc ad4ant123 exp31 com23 syld com13 finds com12
      mpbird 3impia ) BDJZAEJZCKJZCBAUBLZMZNZWIWGWHOZWLWMFPZWJMZNZQWMUHWJMZNZQW
      MUAPZWJMZNZQZWMWSUCZWJMZNZQWMWLQFUACWNUHRZWPWRWMXFWOWQWNUHWJUISUJFUAUKZWP
      XAWMXGWOWTWNWSWJUISUJWNXCRZWPXEWMXHWOXDWNXCWJUISUJWNCRZWPWLWMXIWOWKWNCWJU
      ISUJWMWRGPZHPZUDPZULLRIPZXKWNMXLWNMAUSFBKUMLZUNROUDKTHKTZGIUOZNXOGIUPWMWQ
      XPGIWJHUDABDEFWJUQZURSUTWMXBWSKJZXEWMXBXAXRXEQWMXAVAWMXRXAXEWMXRXAXEWMXRO
      ZXAOZXEWTXJUEPZVBMZUFPZVBMVCLRXMXNYAVDMZYCVDMVEVFROUFWTTXJYBXKVGRXMXKUGPV
      HVIWNKXKVIVFVJVNYDJUGBVKFXNUNROHKTVLUEWTTZGIUOZVNZNZXTXAYFNYHXSXAVMYEGIUP
      WTYFVOVPXTXDYGWGWHXRXDYGRXAGIUGUFUEWJHABWSDEFXQVQVRSWEVSVTWAWBWCWDWF $.
  $}

  ${
    $d E a b i r s u v $.  $d F a b i r s u v $.  $d M a b i r s u v $.
    $d N a b i r s u v $.  $d V a b i r s u v $.  $d W a b i r s u v $.
    $d Y a b i r s u v $.  $d a b i r s u v x $.
    $( Lemma for ~ satfdm .  (Contributed by AV, 12-Oct-2023.) $)
    satfdmlem $p |- ( ( ( M e. V /\ E e. W /\ Y e. _om )
                         /\ dom ( ( M Sat E ) ` Y ) = dom ( ( N Sat F ) ` Y ) )
                      -> ( E. u e. ( ( M Sat E ) ` Y )
               ( E. v e. ( ( M Sat E ) ` Y ) x = ( ( 1st ` u ) |g ( 1st ` v ) )
              \/ E. i e. _om x = A.g i ( 1st ` u ) )
                           -> E. a e. ( ( N Sat F ) ` Y )
              ( E. b e. ( ( N Sat F ) ` Y ) x = ( ( 1st ` a ) |g ( 1st ` b ) )
             \/ E. i e. _om x = A.g i ( 1st ` a ) ) ) ) $=
      ( vs wcel cfv wceq wa cv c1st vr com w3a csat co cdm cgna wrex cgol wo wi
      wrel satfrel adantr 1stdm sylan wb eleq2 adantl cop wex fvex eldm2g ax-mp
      cvv ad4antr sylancom ad5antlr vex op1std eqcomd ad3antlr oveqan12d eqeq2d
      simpr biimpd rspcimedv ex exlimdv syl5bi sylbid rexlimdva eqidd goaleq12d
      mpd reximdv orim12d ) GIOEJOKUBOUCZKGEUDUEPZUFZKHFUDUEPZUFZQZRZASZCSZTPZB
      SZTPZUGUEZQZBWIUHZWOWQDSZUIZQZDUBUHZUJZWOLSZTPZMSZTPZUGUEZQZMWKUHZWOXIXCU
      IZQZDUBUHZUJZLWKUHZCWIWNWPWIOZRZWQWJOZXGXSUKZWNWIULZXTYBWHYDWMEGKIJUMUNZW
      PWIUOUPYAYBWQWLOZYCWNYBYFUQZXTWMYGWHWJWLWQURUSUNYFWQNSZUTZWKOZNVAZYAYCWQV
      EOYFYKUQWPTVBZNWQWKVEVCVDYAYJYCNYAYJYCYAYJRZXRXGLYIWKYAYJVOYMXHYIQZRZXBXN
      XFXQYOXAXNBWIYOWRWIOZRZWSWJOZXAXNUKZYOYPYDYRWNYDXTYJYNYPYEVFWRWIUOVGYQYRW
      SWLOZYSWMYRYTUQWHXTYJYNYPWJWLWSURVHYTWSUASZUTZWKOZUAVAZYQYSWSVEOYTUUDUQWR
      TVBZUAWSWKVEVCVDYQUUCYSUAYQUUCYSYQUUCRZXMXAMUUBWKYQUUCVOUUFXJUUBQZRZXAXMU
      UHWTXLWOUUFUUGWQXIWSXKUGYNWQXIQYMYPUUCYNXIWQWQYHXHYLNVIVJVKZVLUUGXKWSWSUU
      AXJUUEUAVIVJVKVMVNVPVQVRVSVTWAWEWBYOXEXPDUBYNXEXPUKYMYNXEXPYNXDXOWOYNWQXI
      XCXCYNXCWCUUIWDVNVPUSWFWGVQVRVSVTWAWEWB $.

    $d E a b i u v y $.  $d E f w x $.  $d E i m u v x $.  $d E n x $.
    $d F a b i u v z $.  $d F a b f m $.  $d F x y z $.  $d F n $.  $d M m w $.
    $d M n $.  $d M i u v f w x $.  $d M w x y $.  $d N m f z $.  $d N n $.
    $d N x y z $.  $d V n $.  $d V w x y $.  $d W n $.  $d W w x y $.
    $d X a b i u v $.  $d X n $.  $d X x y z $.  $d Y n $.  $d Y x y z $.
    $( The domain of the satisfaction predicate as function over wff codes does
       not depend on the model ` M ` and the binary relation ` E ` on ` M ` .
       (Contributed by AV, 13-Oct-2023.) $)
    satfdm $p |- ( ( ( M e. V /\ E e. W ) /\ ( N e. X /\ F e. Y ) )
                   -> A. n e. _om
                      dom ( ( M Sat E ) ` n ) = dom ( ( N Sat F ) ` n ) ) $=
      ( vx vu vv vz vw vi cfv wceq com wrex wex vy va vf vm vb wcel wa csat cdm
      cv co wi c0 csuc fveq2 dmeqd eqeq12d imbi2d weq cgoe wbr cmap cab rexcom4
      crab rexbii ovex rabex isseti 2th anbi2i 19.42v 3bitr4i bitri abbii copab
      3bitr3ri eqid satfv0 dmopab eqtrdi adantr adantl 3eqtr4a pm2.27 c1st cgna
      c2nd cin cdif cgol cop csn cres cun wral wo simpr w3a simprl simpl df-3an
      satfdmlem sylan simprr eqcomd syl2an impbid difexi biantru bicomi orbi12i
      sylanbrc id 3bitr4g 19.43 3bitr3g abbidv 3eqtr4g uneq12d dmun wb satfvsuc
      syl2an23an mpbird ex syld com23 finds impcom ralrimiva ) DFUFZBGUFZUGZEHU
      FZCIUFZUGZUGZAUJZDBUHUKZPZUIZYSECUHUKZPZUIZQZARYSRUFYRUUFYRJUJZYTPZUIZUUG
      UUCPZUIZQZULYRUMYTPZUIZUMUUCPZUIZQZULYRUAUJZYTPZUIZUURUUCPZUIZQZULZYRUURU
      NZYTPZUIZUVEUUCPZUIZQZULYRUUFULJUAYSUUGUMQZUULUUQYRUVKUUIUUNUUKUUPUVKUUHU
      UMUUGUMYTUOUPUVKUUJUUOUUGUMUUCUOUPUQURJUAUSZUULUVCYRUVLUUIUUTUUKUVBUVLUUH
      UUSUUGUURYTUOUPUVLUUJUVAUUGUURUUCUOUPUQURUUGUVEQZUULUVJYRUVMUUIUVGUUKUVIU
      VMUUHUVFUUGUVEYTUOUPUVMUUJUVHUUGUVEUUCUOUPUQURJAUSZUULUUFYRUVNUUIUUBUUKUU
      EUVNUUHUUAUUGYSYTUOUPUVNUUJUUDUUGYSUUCUOUPUQURYRUUGKUJZLUJZUTUKQZUURUVOUB
      UJZPZUVPUVRPZBVAZUBDRVBUKZVEZQZUGZLRSZKRSZUATZJVCZUVQMUJZUVSUVTCVAZUBERVB
      UKZVEZQZUGZLRSZKRSZMTZJVCZUUNUUPUWHUWRJUWHUWPMTZKRSZUWRUWHUWOMTZLRSZKRSZU
      XAUWEUATZLRSZKRSUWFUATZKRSUXDUWHUXFUXGKRUWELUARVDVFUXFUXCKRUXEUXBLRUVQUWD
      UATZUGUVQUWNMTZUGUXEUXBUXHUXIUVQUXHUXIUAUWCUWAUBUWBDRVBVGZVHVIMUWMUWKUBUW
      LERVBVGZVHVIVJVKUVQUWDUAVLUVQUWNMVLVMVFVFUWFKUARVDVQUXCUWTKRUWOLMRVDVFVNU
      WPKMRVDVNVOYNUUNUWIQYQYNUUNUWGJUAVPZUIUWIYNUUMUXLJUAYTKLBDFGUBYTVRZVSUPUW
      GJUAVTWAWBYQUUPUWSQYNYQUUPUWQJMVPZUIUWSYQUUOUXNJMUUCKLCEHIUBUUCVRZVSUPUWQ
      JMVTWAWCWDUURRUFZYRUVDUVJUXPYRUVDUVJULUXPYRUGZUVDUVCUVJYRUVDUVCULUXPYRUVC
      WEWCUXQUVCUVJUXQUVCUGZUVJUUSUUGUVOWFPZUVPWFPWGUKQZNUJZUWBUVOWHPZUVPWHPWIZ
      WJZQZUGZLUUSSZUUGUXSOUJZWKQZUYAUYHUCUJWLWMUDUJRUYHWMWJWNWOZUYBUFUCDWPZUDU
      WBVEZQZUGZORSZWQZKUUSSZJNVPZWOZUIZUVAUUGUVRWFPZUEUJZWFPWGUKQZUWJUWLUVRWHP
      ZVUBWHPWIZWJZQZUGZUEUVASZUUGVUAUYHWKQZUWJUYJVUDUFUCEWPZUDUWLVEZQZUGZORSZW
      QZUBUVASZJMVPZWOZUIZQZUXRUUTUYRUIZWOUVBVURUIZWOUYTVUTUXRUUTUVBVVBVVCUXQUV
      CWRUXRUYQNTZJVCVUQMTZJVCVVBVVCUXRVVDVVEJUXRUXTUYENTZUGZLUUSSZUYIUYMNTZUGZ
      ORSZWQZKUUSSZVUCVUGMTZUGZUEUVASZVUJVUMMTZUGZORSZWQZUBUVASZVVDVVEUXRUXTLUU
      SSZUYIORSZWQZKUUSSZVUCUEUVASZVUJORSZWQZUBUVASZVVMVWAUXRVWEVWIUXQYLYMUXPWS
      ZUVCVWEVWIULUXQYNUXPVWJUXPYNYQWTUXPYRXAZYLYMUXPXBXMJLKOBCDEFGUURUBUEXCXDU
      XQYOYPUXPWSZUVBUUTQVWIVWEULUVCUXQYQUXPVWLUXPYNYQXEVWKYOYPUXPXBXMUVCUUTUVB
      UVCXNXFJUEUBOCBEDHIUURKLXCXGXHVVLVWDKUUSVVHVWBVVKVWCVVGUXTLUUSUXTVVGVVFUX
      TNUYDUWBUYCUXJXIVIXJXKVFVVJUYIORUYIVVJVVIUYINUYLUYKUDUWBUXJVHVIXJXKVFXLVF
      VVTVWHUBUVAVVPVWFVVSVWGVVOVUCUEUVAVUCVVOVVNVUCMVUFUWLVUEUXKXIVIXJXKVFVVRV
      UJORVUJVVRVVQVUJMVULVUKUDUWLUXKVHVIXJXKVFXLVFXOVVMUYPNTZKUUSSVVDVVLVWMKUU
      SVVLUYGNTZUYONTZWQZVWMVVHVWNVVKVWOVVHUYFNTZLUUSSVWNVVGVWQLUUSVWQVVGUXTUYE
      NVLXKVFUYFLNUUSVDVNVVKUYNNTZORSVWOVVJVWRORVWRVVJUYIUYMNVLXKVFUYNONRVDVNXL
      VWMVWPUYGUYONXPXKVNVFUYPKNUUSVDVNVWAVUPMTZUBUVASVVEVVTVWSUBUVAVVTVUIMTZVU
      OMTZWQZVWSVVPVWTVVSVXAVVPVUHMTZUEUVASVWTVVOVXCUEUVAVXCVVOVUCVUGMVLXKVFVUH
      UEMUVAVDVNVVSVUNMTZORSVXAVVRVXDORVXDVVRVUJVUMMVLXKVFVUNOMRVDVNXLVWSVXBVUI
      VUOMXPXKVNVFVUPUBMUVAVDVNXQXRUYQJNVTVUQJMVTXSXTUUSUYRYAUVAVURYAXSUXQUVJVV
      AYBUVCUXQUVGUYTUVIVUTUXQUVFUYSYRYLYMUXPUXPUVFUYSQYNYLYQYLYMXAWBYNYMYQYLYM
      WRWBVWKJNUCLKYTOBDUURFGUDUXMYCYDUPUXQUVHVUSYRYOYPUXPUXPUVHVUSQYNYOYPWTYNY
      OYPXEVWKJMUCUEUBUUCOCEUURHIUDUXOYCYDUPUQWBYEYFYGYFYHYIYJYK $.
  $}

  ${
    $d E a b f i j u v x y z $.  $d E n $.  $d M a b f i j u v x y z $.
    $d M n $.  $d N a n $.  $d V a b u y $.  $d V n $.  $d W a b u y $.
    $d W n $.  $d b i j n u v x y $.
    $( The range of the satisfaction predicate as function over wff codes in
       any model ` M ` and any binary relation ` E ` on ` M ` for a natural
       number ` N ` is a subset of the power set of all mappings from the
       natural numbers into the model ` M ` .  (Contributed by AV,
       13-Oct-2023.) $)
    satfrnmapom $p |- ( ( M e. V /\ E e. W /\ N e. _om )
                        -> ran ( ( M Sat E ) ` N ) C_ ~P ( M ^m _om ) ) $=
      ( va vx vi vj vy vu wcel com cfv crn cv wi wa wceq wrex vn vb vf w3a csat
      vv vz co cmap cpw csuc fveq2 rneqd eleq2d imbi1d imbi2d weq cgoe wbr crab
      c0 copab eqid satfv0 wex cab rnopab eleq2i vex eqeq1 anbi2d 2rexbidv elab
      exbidv cvv ovex ssrab2 elpwi2 eleq1 mpbiri adantl rexlimivv exlimiv sylbi
      a1i syl5bi sylbid c1st cgna c2nd cin cdif cgol cop csn cres wral satfvsuc
      cun wo 3expa rnun eqtrdi elun rexbidv orbi12d orbi2i bitrdi expcom adantr
      wb bitri imp simpr difss rexlimiva rexlimiv jaoi exp31 finds com12 3impia
      jaod ssrdv ) BDLZAELZCMLZUDUACBAUEUHZNZOZBMUIUHZUJZYEYFYGUAPZYJLZYMYLLZQZ
      YGYEYFRZYPYQYMFPZYHNZOZLZYOQZQYQYMVAYHNZOZLZYOQZQYQYMUBPZYHNZOZLZYOQZQZYQ
      YMUUGUKZYHNZOZLZYOQZQYQYPQFUBCYRVASZUUBUUFYQUURUUAUUEYOUURYTUUDYMUURYSUUC
      YRVAYHULUMUNUOUPFUBUQZUUBUUKYQUUSUUAUUJYOUUSYTUUIYMUUSYSUUHYRUUGYHULUMUNU
      OUPYRUUMSZUUBUUQYQUUTUUAUUPYOUUTYTUUOYMUUTYSUUNYRUUMYHULUMUNUOUPYRCSZUUBY
      PYQUVAUUAYNYOUVAYTYJYMUVAYSYIYRCYHULUMUNUOUPYQUUEYMGPZHPZIPZURUHSZJPZUVCU
      CPZNUVDUVGNAUSZUCYKUTZSZRZIMTHMTZGJVBZOZLZYOYQUUDUVNYMYQUUCUVMGJYHHIABDEU
      CYHVCZVDUMUNUVOYMUVLGVEZJVFZLZYQYOUVNUVRYMUVLGJVGVHUVSYOQYQUVSUVEYMUVISZR
      ZIMTHMTZGVEZYOUVQUWCJYMUAVIZJUAUQZUVLUWBGUWEUVKUWAHIMMUWEUVJUVTUVEUVFYMUV
      IVJVKVLVNVMUWBYOGUWAYOHIMMUWAYOQUVCMLZUVDMLRUVTYOUVEUVTYOUVIYLLUVIYKVOBMU
      IVPZUVHUCYKVQVRYMUVIYLVSVTWAWEWBWCWDWEWFWGUUGMLZUULYQUUQUWHUULRZYQRZUUPUU
      JUVBKPZWHNZUFPZWHNWIUHSZYMYKUWKWJNZUWMWJNWKZWLZSZRZUFUUHTZUVBUWLUVCWMSZYM
      UVCUGPWNWOYRMUVCWOWLWPWSUWOLUGBWQZFYKUTZSZRZHMTZWTZKUUHTZGVEZWTZYOUWIYQUU
      PUXJXKZUWHYQUXKQUULYQUWHUXKYQUWHRZUUPYMUUIUWNUVFUWQSZRZUFUUHTZUXAUVFUXCSZ
      RZHMTZWTZKUUHTZGJVBZOZWSZLZUXJUXLUUOUYCYMUXLUUOUUHUYAWSZOUYCUXLUUNUYEYEYF
      UWHUUNUYESGJUGUFKYHHABUUGDEFUVPWRXAUMUUHUYAXBXCUNUYDUUJYMUYBLZWTUXJYMUUIU
      YBXDUYFUXIUUJUYFYMUXTGVEZJVFZLUXIUYBUYHYMUXTGJVGVHUYGUXIJYMUWDUWEUXTUXHGU
      WEUXSUXGKUUHUWEUXOUWTUXRUXFUWEUXNUWSUFUUHUWEUXMUWRUWNUVFYMUWQVJVKXEUWEUXQ
      UXEHMUWEUXPUXDUXAUVFYMUXCVJVKXEXFXEVNVMXLXGXLXHXIXJXMUWJUUJYOUXIUWIYQUUKU
      WHUULXNXMUXIYOQUWJUXHYOGUXGYOKUUHUXGYOQUWKUUHLUWTYOUXFUWSYOUFUUHUWSYOUWMU
      UHLUWRYOUWNUWRYOUWQYLLUWQYKVOUWGYKUWPXOVRYMUWQYLVSVTWAWAXPUXEYOHMUXEYOQUW
      FUXDYOUXAUXDYOUXCYLLUXCYKVOUWGUXBFYKVQVRYMUXCYLVSVTWAWEXQXRWEXQWCWEYCWGXS
      XTYAYBYD $.
  $}

  ${
    $d E f i j k l x y z $.  $d M f i j k l x y z $.
    $( The value of the satisfaction predicate as function over wff codes at
       ` (/) ` is a function.  (Contributed by AV, 15-Oct-2023.) $)
    satfv0fun $p |- ( ( M e. V /\ E e. W ) -> Fun ( ( M Sat E ) ` (/) ) ) $=
      ( vx vi vj vy vf vz vk vl wcel wa co cfv cv wceq com wrex csat wfun copab
      c0 cgoe wbr cmap wmo funopab weq wi wal oveq1 eqeq2d fveq2 breq1d rabbidv
      crab anbi12d oveq2 breq2d cbvrex2vw eqtr2 goeleq12bg adantr eqcomd adantl
      breq12d eqeq12 syl5ibrcom expd syl5 imp4a com34 impd rexlimdvva rexlimivv
      syl6bi com23 sylbi imp gen2 eqeq1 anbi2d 2rexbidv mo4 mpbir mpgbir satfv0
      eqid funeqd mpbiri ) BCMADMNZUDBAUAOZPZUBEQZFQZGQZUEOZRZHQZWQIQZPZWRXBPZA
      UFZIBSUGOZURZRZNZGSTFSTZEHUCZUBZXLXJHUHZEXJEHUIXMXJWTJQZXGRZNZGSTFSTZNHJU
      JZUKZJULHULXSHJXJXQXRXJWPKQZLQZUEOZRZXAXTXBPZYAXBPZAUFZIXFURZRZNZLSTKSTXQ
      XRUKZXIYIWPXTWRUEOZRZXAYDXDAUFZIXFURZRZNFGKLSSFKUJZWTYLXHYOYPWSYKWPWQXTWR
      UEUMUNYPXGYNXAYPXEYMIXFYPXCYDXDAWQXTXBUOZUPUQUNUSGLUJZYLYCYOYHYRYKYBWPWRY
      AXTUEUTUNYRYNYGXAYRYMYFIXFYRXDYEYDAWRYAXBUOZVAUQUNUSVBYIYJKLSSXTSMYASMNZX
      QYIXRYTXPYIXRUKZFGSSYTWQSMWRSMNNZWTXOUUAUUBWTYIXOXRUUBWTYCYHXOXRUKZUUBWTY
      CYHUUCUKZWTYCNWSYBRZUUBUUDWPWSYBVCUUBUUEYPYRNZUUDWQWRXTYAVDUUFYHXOXRUUFXR
      YHXONYGXGRUUFYFXEIXFUUFYDXCYEXDAUUFXCYDYPXCYDRYRYQVEVFUUFXDYEYRXDYERYPYSV
      GVFVHUQXAYGXNXGVIVJVKVRVLVKVMVNVOVPVSVQVTWAWBXJXQHJXRXIXPFGSSXRXHXOWTXAXN
      XGWCWDWEWFWGWHWMWOXKEHWNFGABCDIWNWJWIWKWL $.
  $}

$( --- theorems for ` ( (/) Sat (/) ) ` --- $)

  ${
    $d a f i j u v x y z $.
    $( The satisfaction predicate as function over wff codes in the empty model
       with an empty binary relation.  (Contributed by AV, 14-Sep-2023.) $)
    satf0 $p |- ( (/) Sat (/) ) = ( rec ( ( f e. _V |-> ( f u.
                  { <. x , y >. | ( y = (/) /\ E. u e. f
                                ( E. v e. f x = ( ( 1st ` u ) |g ( 1st ` v ) )
                               \/ E. i e. _om x = A.g i ( 1st ` u ) ) ) } ) ) ,
                  { <. x , y >. | ( y = (/) /\ E. i e. _om E. j e. _om
                                               x = ( i e.g j ) ) } )
                                    |` suc _om ) $=
      ( va c0 co cvv cv cfv wceq com wa wrex crab copab eqtri vz csat c1st cgna
      cmap c2nd cin cdif cgol cop csn cres cun wcel wral wo cmpt cgoe crdg csuc
      wbr 0ex satf mp2an wne peano1 ne0ii map0b ax-mp 0dif eqeq2i anbi2i rexbii
      difeq1i r19.41v bitri rabeqi orbi12i andir bicomi 3bitri biancomi opabbii
      rab0 uneq2i mpteq2i 2rexbii r19.41vv rdgeq12 reseq1i ) IIUBJZEKELZALZDLZU
      CMZCLZUCMUDJNZBLZIOUEJZWNUFMZWPUFMUGZUHZNZPZCWLQZWMWOFLZUINZWRXFUALUJUKHL
      ZOXFUKUHULUMWTUNUAIUOZHWSRZNZPZFOQZUPZDWLQZABSZUMZUQZWMXFGLZURJNZWRXFXHMX
      SXHMIVAZHWSRZNZPZGOQFOQZABSZUSZOUTZULZEKWLWRINZWQCWLQZXGFOQZUPZDWLQZPZABS
      ZUMZUQZYJXTGOQFOQZPZABSZUSZYHULIKUNZUUCWKYINVBVBABUACDEFGIIKKHVCVDYGUUBYH
      XRYRNYFUUANYGUUBNEKXQYQXPYPWLXOYOABXOYJYNXOYKYJPZYLYJPZUPZDWLQYMYJPZDWLQY
      NYJPXNUUFDWLXEUUDXMUUEXEWQYJPZCWLQUUDXDUUHCWLXCYJWQXBIWRXBIXAUHIWSIXAOIVE
      WSINIOVFVGOVHVIZVNXAVJTVKVLVMWQYJCWLVOVPXMXGYJPZFOQUUEXLUUJFOXKYJXGXJIWRX
      JXIHIRIXIHWSIUUIVQXIHWDTVKVLVMXGYJFOVOVPVRVMUUFUUGDWLUUGUUFYKYLYJVSVTVMYM
      YJDWLVOWAWBWCWEWFYEYTABYEYJYSYEXTYJPZGOQFOQYSYJPYDUUKFGOOYCYJXTYBIWRYBYAH
      IRIYAHWSIUUIVQYAHWDTVKVLWGXTYJFGOOWHVPWBWCYFUUAXRYRWIVDWJT $.
  $}

  ${
    $d f i j u v x y $.
    $( The satisfaction predicate as function over wff codes in the empty model
       with an empty binary relation at a successor of ` _om ` .  (Contributed
       by AV, 14-Sep-2023.) $)
    satf0sucom $p |- ( N e. suc _om -> ( ( (/) Sat (/) ) ` N )
              = ( rec ( ( f e. _V |-> ( f u.
                  { <. x , y >. | ( y = (/) /\ E. u e. f
                                ( E. v e. f x = ( ( 1st ` u ) |g ( 1st ` v ) )
                               \/ E. i e. _om x = A.g i ( 1st ` u ) ) ) } ) ) ,
                  { <. x , y >. | ( y = (/) /\ E. i e. _om E. j e. _om
                                               x = ( i e.g j ) ) } ) ` N ) ) $=
      ( com csuc wcel c0 co cfv cv wceq c1st wrex wa copab csat cvv cgna wo cun
      cgol cmpt cgoe crdg cres satf0 fveq1i fvres syl5eq ) HIJZKHLLUAMZNHEUBEOZ
      BOLPZAOZDOQNZCOQNUCMPCUQRUSUTFOZUFPFIRUDDUQRSABTUEUGURUSVAGOUHMPGIRFIRSAB
      TUIZUOUJZNHVBNHUPVCABCDEFGUKULHUOVBUMUN $.

    $( The value of the satisfaction predicate as function over wff codes in
       the empty model with an empty binary relation at ` (/) ` .  (Contributed
       by AV, 14-Sep-2023.) $)
    satf00 $p |- ( ( (/) Sat (/) ) ` (/) ) = { <. x , y >. | ( y = (/)
                              /\ E. i e. _om E. j e. _om x = ( i e.g j ) ) } $=
      ( vf vu vv c0 co cfv cvv cv wceq c1st wrex com wa copab wcel omex csat wo
      cgna cgol cun cmpt cgoe crdg csuc peano1 elelsuc satf0sucom mp2b cxp xpex
      xpexg simpl goelel3xp eleq1 syl5ibrcom rexlimivv ad2antll mpbiri ad2antrl
      opabex2 mp2an rdg0 eqtri ) HHHUAIJZHEKELZBLZHMZALZFLNJZGLNJUCIMGVJOVMVNCL
      ZUDMCPOUBFVJOQABRUEUFZVLVMVODLZUGIZMZDPOCPOZQZABRZUHJZWBHPSZHPUISVIWCMUJH
      PUKABGFECDHULUMWBVPPKSZPPUNZKSZWBKSTPPTTUOWEWGQZWAABPWFUNZPKKPWFKKUPWEWGU
      QVTVMWISZWHVLVSWJCDPPVOPSVQPSQWJVSVRWISVOVQURVMVRWIUSUTVAVBVLVKPSZWHVTVLW
      KWDUJVKHPUSVCVDVEVFVGVH $.
  $}

  ${
    $d B x $.  $d C x $.  $d U u x y $.  $d V u y $.  $d W u y $.
    $d X u x y $.  $d Y u v x y $.  $d Z u w x y $.
    $( Lemma for ~ satf0suc , ~ sat1el2xp and ~ fmlasuc0 .  (Contributed by AV,
       19-Sep-2023.) $)
    satf0suclem $p |- ( ( X e. U /\ Y e. V /\ Z e. W )
                     -> { <. x , y >. | ( y = (/) /\ E. u e. X
                          ( E. v e. Y x = B \/ E. w e. Z x = C ) ) } e. _V ) $=
      ( wcel c0 wceq wrex com cvv cab cv wo wa copab peano1 eleq1 mpbiri adantr
      w3a pm4.71ri opabbii omex a1i wral simp1 cun unab abrexexg 3ad2ant2 unexg
      3ad2ant3 syl2anc eqeltrrid ralrimivw abrexex2g opabex3rd wss simpr anim2i
      ssopab2i ssexd eqeltrid ) KHNZLINZMJNZUIZBUAZOPZAUAZFPDLQZVSGPCMQZUBZEKQZ
      UCZABUDVQRNZWDUCZABUDZSWDWFABWDWEVRWEWCVRWEORNUEVQORUFUGUHUJUKVPWGWEWCUCZ
      ABUDZSVPWCABRSRSNVPULUMVPWCATSNZWEVPVMWBATZSNZEKUNWJVMVNVOUOVPWLEKVPWKVTA
      TZWAATZUPZSVTWAAUQVPWMSNZWNSNZWOSNVNVMWPVODALFIURUSVOVMWQVNCAMGJURVAWMWNS
      SUTVBVCVDWBEAKHSVEVBUHVFWGWIVGVPWFWHABWDWCWEVRWCVHVIVJUMVKVL $.
  $}

  ${
    $d f i j u v x y $.  $d N f u v x y $.  $d S f u v x y $.
    satf0suc.s $e |- S = ( (/) Sat (/) ) $.
    $( The value of the satisfaction predicate as function over wff codes in
       the empty model and the empty binary relation at a successor.
       (Contributed by AV, 19-Sep-2023.) $)
    satf0suc $p |- ( N e. _om -> ( S ` suc N )
                = ( ( S ` N ) u. { <. x , y >. | ( y = (/) /\ E. u e. ( S ` N )
                         ( E. v e. ( S ` N ) x = ( ( 1st ` u ) |g ( 1st ` v ) )
                        \/ E. i e. _om x = A.g i ( 1st ` u ) ) ) } ) ) $=
      ( vf vj com wcel cfv c0 co cvv cv wceq wrex wa csuc csat c1st cgna wo cun
      cgol copab cmpt cgoe crdg fveq1i omsucelsucb satf0sucom sylbi con0 rdgsuc
      a1i nnon syl elelsuc eqcomi eqtr3di fveq2d eqidd orbi1d rexeqbi1dv anbi2d
      id rexeq opabbidv uneq12d adantl fvex omex satf0suclem unex fvmptd 3eqtrd
      mp3an ) GKLZGUAZEMZWBNNUBOZMZWBIPIQZBQNRZAQZDQUCMZCQUCMUDOZRZCWFSZWHWIFQZ
      UGZRFKSZUEZDWFSZTZABUHZUFZUIZWGWHWMJQUJORJKSFKSTABUHZUKZMZGEMZWGWKCXESZWO
      UEZDXESZTZABUHZUFZWCWERWAWBEWDHULURWAWBKUAZLWEXDRGUMABCDIFJWBUNUOWAXDGXCM
      ZXAMZXEXAMXKWAGUPLXDXNRGUSXBGXAUQUTWAXMXEXAWAGWDMZXMXEWAGXLLXOXMRGKVAABCD
      IFJGUNUTGWDEEWDHVBULVCVDWAIXEWTXKPXAPWAXAVEWFXERZWTXKRWAXPWFXEWSXJXPVIXPW
      RXIABXPWQXHWGWPXGDWFXEXPWLXFWOWKCWFXEVJVFVGVHVKVLVMXEPLZWAGEVNZURXKPLWAXE
      XJXRXQXQKPLXJPLXRXRVOABFCDWJWNPPPXEXEKVPVTVQURVRVSVS $.
  $}

  ${
    $d i j x y z $.  $d N x y $.  $d S x y z $.  $d X x y z $.  $d a b i u v $.
    $d u v x z $.  $d a b x z $.  $d S u v $.  $d S a b $.  $d X a b $.
    satf0op.s $e |- S = ( (/) Sat (/) ) $.
    $( An element of a value of the satisfaction predicate as function over wff
       codes in the empty model and the empty binary relation expressed as
       ordered pair.  (Contributed by AV, 19-Sep-2023.) $)
    satf0op $p |- ( N e. _om -> ( X e. ( S ` N )
                                   <-> E. x ( X = <. x , (/) >.
                                         /\ <. x , (/) >. e. ( S ` N ) ) ) ) $=
      ( vy vi va vb cv cfv wcel c0 wceq wa wex wb eleq2d com wrex vz vj vu csuc
      vv cop fveq2 anbi2d exbidv bibi12d cgoe co copab csat fveq1i satf00 eqtri
      weq eleq2i elopab opeq2 adantr eqeq2d biimpd impcom anim1i adantl vex 0ex
      eqidd eqeq1 2rexbidv bi2anan9r opelopaba bitri sylibr jca exlimiv anbi12d
      anbi1d spcev sylan2b impbii exbii 3bitri c1st cgna cgol cun satf0suc elun
      wo a1i orbi2d 3bitrd simpr wi opeq1 rexbidv orbi12d cbvexvw bitr4di 19.43
      andi bicomi bitr3i bitrdi orbi2i bicomd ex finds ) DFJZBKZLZDAJZMUFZNZXPX
      MLZOZAPZQDMBKZLZXQXPYALZOZAPZQDUAJZBKZLZXQXPYGLZOZAPZQZDYFUDZBKZLZXQXPYNL
      ZOZAPZQZDCBKZLZXQXPYTLZOZAPZQFUACXLMNZXNYBXTYEUUEXMYADXLMBUGZRUUEXSYDAUUE
      XRYCXQUUEXMYAXPUUFRUHUIUJFUAURZXNYHXTYKUUGXMYGDXLYFBUGZRUUGXSYJAUUGXRYIXQ
      UUGXMYGXPUUHRUHUIUJXLYMNZXNYOXTYRUUIXMYNDXLYMBUGZRUUIXSYQAUUIXRYPXQUUIXMY
      NXPUUJRUHUIUJXLCNZXNUUAXTUUDUUKXMYTDXLCBUGZRUUKXSUUCAUUKXRUUBXQUUKXMYTXPU
      ULRUHUIUJYBDUUEXOGJZUBJUKULZNZUBSTGSTZOZAFUMZLDXOXLUFZNZUUQOZFPZAPYEYAUUR
      DYAMMMUNULZKZUURMBUVCEUOZAFGUBUPUQUSUUQAFDUTUVBYDAUVBYDUVAYDFUVAXQYCUUQUU
      TXQUUQUUTXQUUQUUSXPDUUEUUSXPNUUPXLMXOVAZVBVCVDVEUVAMMNZUUPOZYCUUQUVHUUTUU
      EUVGUUPUUEMVJVFVGYCXPYFMNZXLUUNNZUBSTGSTZOZFUAUMZLUVHYAUVMXPYAUVDUVMUVEFU
      AGUBUPUQUSUVLUVHFUAXOMAVHZVIUVIUVIUVGFAURZUVKUUPYFMMVKUVOUVJUUOGUBSSXLXOU
      UNVKVLVMVNVOZVPVQVRYCXQUVHUVBUVPUVAXQUVHOFMVIUUEUUTXQUUQUVHUUEUUSXPDUVFVC
      UUEUUEUVGUUPXLMMVKVTVSWAWBWCWDWEYFSLZYLYSUVQYLOZYOYHDHJZIJZUFZNZUVTMNZUVS
      UCJWFKZUEJWFKWGULZNZUEYGTZUVSUWDUUMWHZNZGSTZWLZUCYGTZOZOZIPZHPZWLZXQYIUVG
      XOUWENZUEYGTZXOUWHNZGSTZWLZUCYGTZOZWLZOZAPZYRUVQYOUWQQYLUVQYODYGUWMHIUMZW
      IZLZYHDUXHLZWLZUWQUVQYNUXIDHIUEUCBGYFEWJZRUXJUXLQUVQDYGUXHWKWMUVQUXKUWPYH
      UXKUWPQUVQUWMHIDUTWMWNWOVBUVRUWQYKXQUXDOZAPZWLZUXGUVRYHYKUWPUXOUVQYLWPUVQ
      UWPUXOQYLUVQUWPDUVSMUFZNZUVGUWLOZOZHPZUXOUWPUYAQUVQUWOUXTHUWOUXTUWNUXTIUW
      NUXRUXSUWMUWBUXRUWCUWBUXRWQUWLUWCUWBUXRUWCUWAUXQDUVTMUVSVAVCZVDVBVEUWNUVG
      UWLUWNMVJUWMUWLUWBUWCUWLWPVGVQVQVRUWNUXTIMVIUWCUWBUXRUWMUXSUYBUWCUWCUVGUW
      LUVTMMVKZVTVSWAWCWDWMUXNUXTAHAHURZXQUXRUXDUXSUYDXPUXQDXOUVSMWRVCUYDUXCUWL
      UVGUYDUXBUWKUCYGUYDUWSUWGUXAUWJUYDUWRUWFUEYGXOUVSUWEVKWSUYDUWTUWIGSXOUVSU
      WHVKWSWTWSUHVSXAXBVBWTUXPYJUXNWLZAPUXGYJUXNAXCUYEUXFAUXFUYEXQYIUXDXDXEWDX
      FXGUVQUXGYRQYLUVQYRUXGUVQYQUXFAUVQYPUXEXQUVQYPXPUXILZUXEUVQYNUXIXPUXMRUYF
      YIXPUXHLZWLUXEXPYGUXHWKUYGUXDYIUWMUXDHIXOMUVNVIUWCUWCUVGHAURZUWLUXCUYCUYH
      UWKUXBUCYGUYHUWGUWSUWJUXAUYHUWFUWRUEYGUVSXOUWEVKWSUYHUWIUWTGSUVSXOUWHVKWS
      WTWSVMVNXHVOXGUHUIXIVBWOXJXK $.
  $}

  ${
    $d i j x y $.  $d i u v x y z $.  $d N x $.
    $( The value of the satisfaction predicate as function over wff codes in
       the empty model and the empty binary relation does not contain the empty
       set.  (Contributed by AV, 19-Sep-2023.) $)
    satf0n0 $p |- ( N e. _om -> (/) e/ ( ( (/) Sat (/) ) ` N ) ) $=
      ( vx vy vi vj vz vu vv com wcel c0 co wn cv wceq fveq2 eleq2d notbid wrex
      cfv csat wnel csuc weq cgoe wa copab 0nelopab satf00 mtbir c1st cgna cgol
      eleq2i wo simpr ioran sylanblrc cun eqid satf0suc adantr bitrdi mtbird ex
      elun finds df-nel sylibr ) AIJKAKKUALZTZJZMZKVKUBKBNZVJTZJZMKKVJTZJZMKCNZ
      VJTZJZMZKVSUCZVJTZJZMZVMBCAVNKOZVPVRWGVOVQKVNKVJPQRBCUDZVPWAWHVOVTKVNVSVJ
      PQRVNWCOZVPWEWIVOWDKVNWCVJPQRVNAOZVPVLWJVOVKKVNAVJPQRVRKVSKOVNDNZENUELOEI
      SDISUFZBCUGZJWLBCUHVQWMKBCDEUIUNUJVSIJZWBWFWNWBUFZWEWAKFNKOVNGNUKTZHNUKTU
      LLOHVTSVNWPWKUMODISUOGVTSUFZBFUGZJZUOZWOWBWSMWTMWNWBUPWQBFUHWAWSUQURWOWEK
      VTWRUSZJWTWOWDXAKWNWDXAOWBBFHGVJDVSVJUTVAVBQKVTWRVFVCVDVEVGKVKVHVI $.
  $}

  ${
    $d N w x $.  $d a b f i j u v w x $.  $d a b r s t u v $.
    $d a b f i u v w x y $.  $d e r s u v $.  $d f i j u v w x z $.
    $d i j s u v $.  $d i s t u v y $.  $d t u v w x y z $.
    $( The first component of an element of the value of the satisfaction
       predicate as function over wff codes in the empty model with an empty
       binary relation is a member of a doubled Cartesian product.
       (Contributed by AV, 17-Sep-2023.) $)
    sat1el2xp $p |- ( N e. _om -> A. w e. ( ( (/) Sat (/) ) ` N )
                            E. a E. b ( 1st ` w ) e. ( _om X. ( a X. b ) ) ) $=
      ( vx vz vi vu vv cv cfv com wcel wex c0 wceq wrex wa cvv wi vy vj vt c1st
      vf vs vr ve cxp csat co wral csuc fveq2 raleqdv cgoe copab eqeq1 2rexbidv
      c2nd anbi2d anbi1d elopabi cop goel eqeq2d omex pm3.2i peano1 a1i opelxpi
      opelxpd xpeq12 xpeq2d eleq2d spc2egv mpsyl eleq1 2exbidv sylbid rexlimivv
      syl5ibrcom adantl syl satf00 eleq2s rgen cgna cgol wo cun cmpt satf0sucom
      crdg omsucelsucb sylbi adantr con0 nnon rdgsuc elelsuc eqcomd eqidd rexeq
      fveq2d orbi1d rexeqbi1dv opabbidv uneq12d fvexd satf0suclem syl3anc unexg
      id syl2anc fvmptd 3eqtrd elun bitrdi eleq1d rspccv rspcva exlimivv expcom
      eqtrd sels eleq2w cbvexvw vex c1o df-ov df-gona ex com23 exlimiv rexlimdv
      com24 c2o jaod rexbidv opeq2 opelvvg fvmptd3 syl5eq eqeltrd exlimdv com14
      opex 1onn syld w3a df-goal ancoms eqeltrid 3adant3 wb 3ad2ant3 mpbird a1d
      2onn 3exp impcomd rexlimiv orbi12d syl11 ralrimdv cbvralvw syl6ibr finds
      ) AJZUDKZLCJZDJZUIZUIZMZDNCNZAEJZOOUJUKZKZULUVQAOUVSKZULUVQAUAJZUVSKZULZU
      VQAUWBUMZUVSKZULZUVQABUVSKZULEUABUVROPUVQAUVTUWAUVROUVSUNUOUVRUWBPUVQAUVT
      UWCUVRUWBUVSUNUOUVRUWEPUVQAUVTUWFUVRUWEUVSUNUOUVRBPUVQAUVTUWHUVRBUVSUNUOU
      VQAUWAUVQUVJFJZOPZUVRGJZUBJZUPUKZPZUBLQGLQZRZEFUQZUWAUVJUWQMUVJUTKZOPZUVK
      UWMPZUBLQGLQZRZUVQUWPUWJUXARUXBEFUVJUVRUVKPZUWOUXAUWJUXCUWNUWTGUBLLUVRUVK
      UWMURUSVAUWIUWRPUWJUWSUXAUWIUWROURVBVCUXAUVQUWSUWTUVQGUBLLUWKLMZUWLLMRZUW
      TUVKOUWKUWLVDZVDZPZUVQUXEUWMUXGUVKUWKUWLVEVFUXEUVQUXHUXGUVOMZDNCNZLSMZUXK
      RUXEUXGLLLUIZUIZMZUXJUXKUXKVGVGVHUXEOUXFLUXLOLMUXEVIVJUWKUWLLLVKVLUXIUXNC
      DLLSSUVLLPZUVMLPRZUVOUXMUXGUXPUVNUXLLUVLLUVMLVMVNVOVPVQUXHUVPUXICDUVKUXGU
      VOVRVSWBVTWAWCWDEFGUBWEWFWGUWBLMZUWDUCJZUDKZUVOMZDNCNZUCUWFULUWGUXQUWDUYA
      UCUWFUXQUWDUXRUWFMZUYATUXQUWDRZUYBUXRUWCMZUXRUWJUVRHJZUDKZIJZUDKZWHUKZPZI
      UWCQZUVRUYFUWKWIZPZGLQZWJZHUWCQZRZEFUQZMZWJZUYAUYCUYBUXRUWCUYRWKZMUYTUYCU
      WFVUAUXRUYCUWFUWEUESUEJZUWJUYJIVUBQZUYNWJZHVUBQZRZEFUQZWKZWLZUWQWNZKZVUAU
      XQUWFVUKPZUWDUXQUWELUMZMVULUWBWOEFIHUEGUBUWEWMWPWQUYCVUKUWBVUJKZVUIKZUWCV
      UIKZVUAUXQVUKVUOPZUWDUXQUWBWRMVUQUWBWSUWQUWBVUIWTWDWQUXQVUOVUPPUWDUXQVUNU
      WCVUIUXQUWCVUNUXQUWBVUMMUWCVUNPUWBLXAEFIHUEGUBUWBWMWDXBXEWQUYCUEUWCVUHVUA
      SVUISUYCVUIXCVUBUWCPZVUHVUAPUYCVURVUBUWCVUGUYRVURXNVURVUFUYQEFVURVUEUYPUW
      JVUDUYOHVUBUWCVURVUCUYKUYNUYJIVUBUWCXDXFXGVAXHXIWCUYCUWBUVSXJZUYCUWCSMZUY
      RSMZVUASMVUSUYCVUTVUTUXKVVAVUSVUSUXKUYCVGVJEFGIHUYIUYLSSSUWCUWCLXKXLUWCUY
      RSSXMXOXPXQYEVOUXRUWCUYRXRXSUYCUYDUYAUYSUWDUYDUYATUXQUVQUYAAUXRUWCUVJUXRP
      ZUVPUXTCDVVBUVKUXSUVOUVJUXRUDUNXTVSZYAWCUXRUTKZOPZUXSUYIPZIUWCQZUXSUYLPZG
      LQZWJZHUWCQZRZUYCUYAUYSVVKUYCUYATZVVEVVJVVMHUWCUYEUWCMZVVGVVMVVIVVNVVFVVM
      IUWCUYCUYGUWCMZVVFVVNUYAUWDVVOVVFVVNUYATTZTUXQUWDVVOUYHUFJZMZUFNZVVPVVOUW
      DVVSVVOUWDRUYHUVOMZDNCNZVVSUVQVWAAUYGUWCUVJUYGPZUVPVVTCDVWBUVKUYHUVOUVJUY
      GUDUNXTVSYBVVTVVSCDUFUYHUVOYFYCWDYDUWDVVNVVFVVSUYAVVNUWDVVFVVSUYATTZVVNUW
      DRZUYFVVQMZUFNZVWCVWDUYFUVOMZDNCNZVWFUVQVWHAUYEUWCUVJUYEPZUVPVWGCDVWIUVKU
      YFUVOUVJUYEUDUNXTVSYBVWGVWFCDUFUYFUVOYFYCWDZVWFUYFUGJZMZUGNVWCVWEVWLUFUGU
      FUGUYFYGYHVWLVWCUGVWLVVSVVFUYAVWLVVRVVFUYATZUFVWLVVRVWMVWLVVRRZUYAVVFUYIU
      VOMZDNCNZVWKSMZVVQSMZRVWNUYILVWKVVQUIZUIZMZVWPVWQVWRUGYIUFYIZVHVWNUYIYJUY
      FUYHVDZVDZVWTVWNUYIVXCWHKVXDUYFUYHWHYKVWNUHVXCYJUHJZVDVXDSSUIWHSUHYLVXEVX
      CYJUUAUYFUYHVWKVVQUUBVXDSMVWNYJVXCUUHVJUUCUUDVWNYJVXCLVWSYJLMVWNUUIVJUYFU
      YHVWKVVQVKVLUUEVWOVXACDVWKVVQSSUVLVWKPUVMVVQPZRZUVOVWTUYIVXGUVNVWSLUVLVWK
      UVMVVQVMVNVOVPVQVVFUXTVWOCDUXSUYIUVOVRVSWBYMUUFYNYOWPWDYDYQUUJWCUUGYPVVNV
      VHVVMGLVVNUYCVVHUXDUYAVVNUWDUXQVVHUXDUYATTZVVNUWDUXQVXHTZVWDVWFVXIVWJVWEV
      XIUFVWEVXHUXQVWEUXDVVHUYAVWEUXDVVHUYAUXKVWRRVWEUXDVVHUUKZUXSLLVVQUIZUIZMZ
      UYAUXKVWRVGVXBVHVXJVXMUYLVXLMZVWEUXDVXNVVHVWEUXDRZUYLYRUWKUYFVDZVDVXLUYFU
      WKUULVXOYRVXPLVXKYRLMVXOUUTVJUXDVWEVXPVXKMUWKUYFLVVQVKUUMVLUUNUUOVVHVWEVX
      MVXNUUPUXDUXSUYLVXLVRUUQUURUXTVXMCDLVVQSSUXOVXFRZUVOVXLUXSVXQUVNVXKLUVLLU
      VMVVQVMVNVOVPVQUVAYNUUSYOWDYMUVBYQYPYSUVCWCUYQUWJVVKRVVLEFUXRUVRUXSPZUYPV
      VKUWJVXRUYOVVJHUWCVXRUYKVVGUYNVVIVXRUYJVVFIUWCUVRUXSUYIURYTVXRUYMVVHGLUVR
      UXSUYLURYTUVDYTVAUWIVVDPUWJVVEVVKUWIVVDOURVBVCUVEYSVTYMUVFUVQUYAAUCUWFVVC
      UVGUVHUVI $.
  $}

$( --- theorems for ` ( Fmla `` N ) ` --- $)

  ${
    $d N n $.
    $( The valid Godel formulas of height ` N ` is the domain of the value of
       the satisfaction predicate as function over wff codes in the empty model
       with an empty binary relation at ` N ` .  (Contributed by AV,
       15-Sep-2023.) $)
    fmlafv $p |- ( N e. suc _om
                   -> ( Fmla ` N ) = dom ( ( (/) Sat (/) ) ` N ) ) $=
      ( vn com csuc wcel cv c0 csat co cfv cdm cfmla cvv cmpt df-fmla a1i fveq2
      wceq dmeqd adantl id fvex dmex fvmptd ) ACDZEZBABFZGGHIZJZKZAUHJZKZUELMLB
      UEUJNRUFBOPUGARZUJULRUFUMUIUKUGAUHQSTUFUAULMEUFUKAUHUBUCPUD $.
  $}

  ${
    $d f i j n u v x y $.
    $( The set of all valid Godel formulas.  (Contributed by AV,
       20-Sep-2023.) $)
    fmla $p |- ( Fmla ` _om ) = U_ n e. _om ( Fmla ` n ) $=
      ( vf vy vx vu vv vi vj com cfmla cfv cv c0 co cdm ciun cvv wcel wceq wrex
      csuc csat cmpt df-fmla fveq1i omex eqidd fveq2 dmeqd adantl fvex dmex a1i
      sucidg fvmptd ax-mp c1st cgna cgol wo wa copab cgoe crdg sucid satf0sucom
      cun wlim limom rdglim2a mp2an eqtri dmeqi dmiun elelsuc fmlafv syl eqtr2d
      iuneq2i 3eqtri ) IJKIAIUAZALZMMUBNZKZOZUCZKZIWCKZOZAIWBJKZPZIJWFAUDUEIQRZ
      WGWISUFWLAIWEWIWAWFQWLWFUGWBISZWEWISWLWMWDWHWBIWCUHUIUJIQUNWIQRWLWHIWCUKU
      LUMUOUPWIAIWBBQBLZCLMSZDLZELUQKZFLUQKURNSFWNTWPWQGLZUSSGITUTEWNTVADCVBVGU
      CZWOWPWRHLVCNSHITGITVADCVBZVDZKZPZOAIXBOZPWKWHXCWHIXAKZXCIWARWHXESIUFVEDC
      FEBGHIVFUPWLIVHXEXCSUFVIAWTIQWSVJVKVLVMAIXBVNAIXDWJWBIRZWJWEXDXFWBWARZWJW
      ESWBIVOZWBVPVQXFWDXBXFXGWDXBSXHDCFEBGHWBVFVQUIVRVSVTVT $.
  $}

  ${
    $d i j x y $.
    $( The valid Godel formulas of height 0 is the set of all formulas of the
       form v_i ` e. ` v_j ("Godel-set of membership") coded as
       ` <. (/) , <. i , j >. >. ` .  (Contributed by AV, 14-Sep-2023.) $)
    fmla0 $p |- ( Fmla ` (/) ) = { x e. _V | E. i e. _om E. j e. _om
                                             x = ( i e.g j ) } $=
      ( vy c0 cfmla cfv csat co cdm cv wceq cgoe com wrex wa copab wcel wex cab
      cvv crab csuc peano1 elelsuc fmlafv mp2b satf00 0ex isseti 19.41v mpbiran
      dmeqi abbii dmopab rabab 3eqtr4i 3eqtri ) EFGZEEEHIGZJZDKELZAKBKCKMILCNOB
      NOZPZADQZJZVCAUAUBZENRENUCRUSVALUDENUEEUFUGUTVEADBCUHUMVDDSZATVCATVFVGVHV
      CAVHVBDSVCDEUIUJVBVCDUKULUNVDADUOVCAUPUQUR $.
  $}

  ${
    $d i j x y z $.
    $( The valid Godel formulas of height 0 is the set of all formulas of the
       form v_i ` e. ` v_j ("Godel-set of membership") coded as
       ` <. (/) , <. i , j >. >. ` .  (Contributed by AV, 15-Sep-2023.) $)
    fmla0xp $p |- ( Fmla ` (/) ) = ( { (/) } X. ( _om X. _om ) ) $=
      ( vx vi vj vy vz c0 cv wceq com wrex cxp wcel wb cop wa eqeq2d wex adantr
      elxpi adantl cfmla cfv cgoe co cvv crab cab csn fmla0 rabab goel 2rexbiia
      abeq1 0ex snid opelxpi opelxpd eleq1 syl5ibrcom rexlimivv elsni opeq1d wi
      a1i simprr simpl opeq2 eqtrd jca ex 2eximdv syl6ibr syl5com sylbid impcom
      r2ex exlimivv syl impbii bitri mpgbir 3eqtri ) FUAUBAGZBGZCGZUCUDZHZCIJBI
      JZAUEUFWHAUGZFUHZIIKZKZABCUIWHAUJWIWLHWHWCWLLZMAWHAWLUMWHWCFWDWENZNZHZCIJ
      BIJZWMWGWPBCIIWDILWEILOZWFWOWCWDWEUKPULWQWMWPWMBCIIWRWMWPWOWLLWRFWNWJWKFW
      JLWRFUNUOVDWDWEIIUPUQWCWOWLURUSUTWMWCDGZEGZNZHZWSWJLZWTWKLZOZOZEQDQWQDEWC
      WJWKSXFWQDEXEXBWQXEXBWCFWTNZHZWQXCXBXHMXDXCXAXGWCXCWSFWTWSFVAVBPRXDXHWQVC
      XCXDWTWNHZWROZCQBQZXHWQBCWTIISXHXKWRWPOZCQBQWQXHXJXLBCXHXJXLXHXJOZWRWPXHX
      IWRVEXMWCXGWOXHXJVFXJXGWOHZXHXIXNWRWTWNFVGRTVHVIVJVKWPBCIIVPVLVMTVNVOVQVR
      VSVTWAWB $.
  $}

  ${
    $d N f u v x y $.  $d N n $.  $d f i j u v x y $.
    $( The valid Godel formulas of height ` ( N + 1 ) ` .  (Contributed by AV,
       18-Sep-2023.) $)
    fmlasuc0 $p |- ( N e. _om -> ( Fmla ` suc N )
                      = ( ( Fmla ` N ) u. { x | E. u e. ( ( (/) Sat (/) ) ` N )
           ( E. v e. ( ( (/) Sat (/) ) ` N ) x = ( ( 1st ` u ) |g ( 1st ` v ) )
          \/ E. i e. _om x = A.g i ( 1st ` u ) ) } ) ) $=
      ( vf vy com wcel cfv c0 cdm cvv cv wceq wrex wa copab cun cab vj vn cfmla
      csuc csat co c1st cgna cgol wo cmpt cgoe df-fmla fveq2 omsucelsucb biimpi
      crdg dmeqd fvex dmex a1i fvmptd3 satf0sucom syl con0 rdgsuc eqtrd elelsuc
      nnon eqcomd fveq2d eqidd id rexeq orbi1d rexeqbi1dv anbi2d uneq12d adantl
      opabbidv peano1 eleq1 mpbiri pm4.71ri opabbii omex wral unab abrexex unex
      adantr eqeltrri ralrimiva abrexex2g opabex3rd ax-mp simpr anim2i ssopab2i
      sylancr ssexi eqeltrid fvmptd dmun eqtrdi fmlafv wex dmopab isseti 19.41v
      unexg 0ex mpbiran abbii 3eqtrd ) EHIZEUDZUCJXQKKUEUFZJZLZEFMFNZGNZKOZANZC
      NZUGJZBNUGJUHUFZOZBYAPZYDYFDNZUIZODHPZUJZCYAPZQZAGRZSZUKZYCYDYJUANULUFOUA
      HPDHPQAGRZUQZJZYRJZLZEUCJZYHBEXRJZPZYLUJZCUUEPZATZSZXPUBXQUBNZXRJZLXTHUDZ
      UCMUBUMUUKXQOUULXSUUKXQXRUNURXPXQUUMIZEUOUPZXTMIXPXSXQXRUSUTVAVBXPXSUUBXP
      XSXQYTJZUUBXPUUNXSUUPOUUOAGBCFDUAXQVCVDXPEVEIUUPUUBOEVIYSEYRVFVDVGURXPUUC
      UUELZYCUUHQZAGRZLZSZUUJXPUUCUUEUUSSZLUVAXPUUBUVBXPUUBUUEYRJUVBXPUUAUUEYRX
      PEUUMIZUUAUUEOEHVHZUVCUUEUUAAGBCFDUAEVCVJVDVKXPFUUEYQUVBMYRMXPYRVLYAUUEOZ
      YQUVBOXPUVEYAUUEYPUUSUVEVMUVEYOUURAGUVEYNUUHYCYMUUGCYAUUEUVEYIUUFYLYHBYAU
      UEVNVOVPVQVTVRVSUUEMIZXPEXRUSZVAXPUVFUUSMIUVBMIUVGXPUUSYBHIZUURQZAGRZMUUR
      UVIAGUURUVHYCUVHUUHYCUVHKHIWAYBKHWBWCWKWDWEUVJMIXPUVJUVHUUHQZAGRZHMIZUVLM
      IWFUVMUUHAGHMUVMVMUVMUVHQZUVFUUGATZMIZCUUEWGUUIMIUVGUVNUVPCUUEUVPUVNYEUUE
      IQUUFATZYLATZSUVOMUUFYLAWHUVQUVRBAUUEYGUVGWIDAHYKWFWIWJWLVAWMUUGCAUUEMMWN
      WTWOWPUVIUVKAGUURUUHUVHYCUUHWQWRWSXAVAXBUUEUUSMMXKWTXCVGURUUEUUSXDXEXPUUQ
      UUDUUTUUIXPUUDUUQXPUVCUUDUUQOUVDEXFVDVJXPUUTUURGXGZATZUUIUUTUVTOXPUURAGXH
      VAUVSUUHAUVSYCGXGUUHGKXLXIYCUUHGXJXMXNXEVRVGXO $.

    ${
      $d F i j u v x y z $.
      $( A class is a valid Godel formula of height ` N ` iff it is the first
         component of a member of the value of the satisfaction predicate as
         function over wff codes in the empty model with an empty binary
         relation at ` N ` .  (Contributed by AV, 19-Sep-2023.) $)
      fmlafvel $p |- ( N e. _om -> ( F e. ( Fmla ` N )
                            <-> <. F , (/) >. e. ( ( (/) Sat (/) ) ` N ) ) ) $=
        ( vx vy vi vj vu cvv wcel com cfmla cfv c0 wb cv wceq fveq2 eleq2d wrex
        wa vz vv cop csat co csuc bibi12d imbi2d cgoe crab eqeq1 2rexbidv elrab
        wi weq eqidd simpr jca anim2i ex impbid2 syl5bb fmla0 eleq2i a1i satf00
        copab 0ex bi2anan9r opelopabga mpan2 3bitr4d c1st cgna cgol wo cab eqid
        bitrd biantrur bicomi rexbidv orbi12d elabg adantl orbi2d satf0suc elun
        cun bitrdi ad2antrr fmlasuc0 imp orbi1d 3bitrd exp31 finds com12 prcnel
        3bitr4rd wn adantr opprc1 satf0n0 df-nel sylib eqneltrd 2falsed pm2.61i
        wnel ) AHIZBJIZABKLZIZAMUCZBMMUDUEZLZIZNZUNXLXKXSXKACOZKLZIZXOXTXPLZIZN
        ZUNXKAMKLZIZXOMXPLZIZNZUNXKADOZKLZIZXOYKXPLZIZNZUNZXKAYKUFZKLZIZXOYRXPL
        ZIZNZUNXKXSUNCDBXTMPZYEYJXKUUDYBYGYDYIUUDYAYFAXTMKQRUUDYCYHXOXTMXPQRUGU
        HCDUOZYEYPXKUUEYBYMYDYOUUEYAYLAXTYKKQRUUEYCYNXOXTYKXPQRUGUHXTYRPZYEUUCX
        KUUFYBYTYDUUBUUFYAYSAXTYRKQRUUFYCUUAXOXTYRXPQRUGUHXTBPZYEXSXKUUGYBXNYDX
        RUUGYAXMAXTBKQRUUGYCXQXOXTBXPQRUGUHXKAXTEOZFOUIUEZPZFJSEJSZCHUJZIZMMPZA
        UUIPZFJSEJSZTZYGYIUUMXKUUPTZXKUUQUUKUUPCAHXTAPZUUJUUOEFJJXTAUUIUKULZUMX
        KUURUUQUURUUNUUPUURMUPXKUUPUQURXKUUQUURUUQUUPXKUUNUUPUQUSUTVAVBYGUUMNXK
        YFUULACEFVCVDVEXKYIXOYKMPZUUKTZCDVGZIZUUQXKYHUVCXOYHUVCPXKCDEFVFVERXKMH
        IZUVDUUQNVHUVBUUQCDAMHHUVAUVAUUNUUSUUKUUPYKMMUKUUTVIVJVKVSVLYKJIZYQXKUU
        CUVFYQTZXKTZYOXOUAOZMPZXTGOVMLZUBOVMLVNUEZPZUBYNSZXTUVKUUHVOZPZEJSZVPZG
        YNSZTZCUAVGZIZVPZYOAUVSCVQZIZVPZUUBYTUVHUWBUWEYOXKUWBUWENUVGXKUUNAUVLPZ
        UBYNSZAUVOPZEJSZVPZGYNSZTZUWLUWBUWEUWMUWLNXKUWLUWMUUNUWLMVRVTWAVEXKUVEU
        WBUWMNVHUVTUWMCUAAMHHUVJUVJUUNUUSUVSUWLUVIMMUKUUSUVRUWKGYNUUSUVNUWHUVQU
        WJUUSUVMUWGUBYNXTAUVLUKWBUUSUVPUWIEJXTAUVOUKWBWCWBZVIVJVKUVSUWLCAHUWNWD
        VLWEWFUVFUUBUWCNYQXKUVFUUBXOYNUWAWIZIUWCUVFUUAUWOXOCUAUBGXPEYKXPVRWGRXO
        YNUWAWHWJWKUVHYTAYLUWDWIZIZYMUWEVPZUWFUVFYTUWQNYQXKUVFYSUWPACUBGEYKWLRW
        KUWQUWRNUVHAYLUWDWHVEUVHYMYOUWEUVGXKYPUVFYQUQWMWNWOWTWPWQWRXKXAZXLXSUWS
        XLTZXNXRUWSXNXAXLAXMWSXBUWTXOMXQUWSXOMPXLAMXCXBXLMXQIXAZUWSXLMXQXJUXABX
        DMXQXEXFWEXGXHUTXI $.
    $}

    $d N i u v x y $.  $d N v w x y z $.  $d i w u z $.
    $( The valid Godel formulas of height ` ( N + 1 ) ` , expressed by the
       valid Godel formulas of height ` N ` .  (Contributed by AV,
       20-Sep-2023.) $)
    fmlasuc $p |- ( N e. _om -> ( Fmla ` suc N ) = ( ( Fmla ` N ) u.
               { x | E. u e. ( Fmla ` N ) ( E. v e. ( Fmla ` N ) x = ( u |g v )
                                         \/ E. i e. _om x = A.g i u ) } ) ) $=
      ( vy vz vw wcel cfv cv cgna co wceq c0 wrex wa wi eqeq2d wb com csuc c1st
      cfmla csat cgol wo cab cun fmlasuc0 cop wex satf0op fveq2 oveq2d cbvrexvw
      eqid orbi1i w3a fmlafvel biimprd adantld imp vex 0ex op1std eleq1d mpbird
      ad2antrl 3adant3 oveq1 rexbidv eqidd goaleq12d orbi12d adantl oveq2 simpr
      id adantr rspcedvd exp31 exlimdv sylbid oveq1d imbi12d orim1d 3impia 3exp
      rexlimdv syl7bi biimpa biimpd rexlimdva2 impbid abbidv uneq2d eqtrd ) EUA
      IZEUBUDJEUDJZAKZFKZUCJZGKZUCJZLMZNZGEOOUEMZJZPZXAXCDKZUFZNZDUAPZUGZFXIPZA
      UHZUIWTXACKZBKZLMZNZBWTPZXAXRXKUFZNZDUAPZUGZCWTPZAUHZUIAGFDEUJWSXQYHWTWSX
      PYGAWSXPYGWSXOYGFXIWSXBXIIXBXDOUKZNZYIXIIZQZGULZXOYGRGXHEXBXHUQZUMXOXAXCH
      KZUCJZLMZNZHXIPZXNUGZWSYMYGXJYSXNXGYRGHXIXDYONZXFYQXAUUAXEYPXCLXDYOUCUNUO
      SUPURWSYLYTYGRGWSYLYTYGWSYLYTUSZYFXAXCXSLMZNZBWTPZXNUGZCXCWTWSYLXCWTIZYTW
      SYLQZUUGXDWTIZWSYLUUIWSYKUUIYJWSUUIYKXDEUTVAVBVCYJUUGUUITWSYKYJXCXDWTXDOX
      BGVDVEVFZVGVIVHVJXRXCNZYFUUFTUUBUUKYBUUEYEXNUUKYAUUDBWTUUKXTUUCXAXRXCXSLV
      KSVLUUKYDXMDUAUUKYCXLXAUUKXRXCXKXKUUKXKVMUUKVSVNSVLVOVPWSYLYTUUFUUHYSUUEX
      NUUHYSUUERZXAXDYPLMZNZHXIPZXAXDXSLMZNZBWTPZRZWSUUSYLWSUUNUURHXIWSYOXIIYOX
      BOUKZNZUUTXIIZQZFULUUNUURRZFXHEYOYNUMWSUVCUVDFWSUVCUUNUURWSUVCQZUUNQZUUQU
      UNBYPWTUVEYPWTIZUUNUVEUVGXBWTIZWSUVCUVHWSUVBUVHUVAWSUVHUVBXBEUTVAVBVCUVAU
      VGUVHTWSUVBUVAYPXBWTXBOYOFVDVEVFVGVIVHVTXSYPNZUUQUUNTUVFUVIUUPUUMXAXSYPXD
      LVQSVPUVEUUNVRWAWBWCWDWJVTYJUULUUSTWSYKYJYSUUOUUEUURYJYRUUNHXIYJYQUUMXAYJ
      XCXDYPLUUJWESVLYJUUDUUQBWTYJUUCUUPXAYJXCXDXSLUUJWESVLWFVIVHWGWHWAWIWCWKWD
      WJWSYFXPCWTWSXRWTIZQZYFQZXOXAXRXELMZNZGXIPZYEUGZFXROUKZXIUVKUVQXIIZYFWSUV
      JUVRXREUTWLVTXBUVQNZXOUVPTUVLUVSXJUVOXNYEUVSXGUVNGXIUVSXFUVMXAUVSXCXRXELX
      ROXBCVDVEVFZWESVLUVSXMYDDUAUVSXLYCXAUVSXCXRXKXKUVSXKVMUVTVNSVLVOVPUVKYFUV
      PUVKYBUVOYEUVKYAUVOBWTUVKXSWTIZQZYAQZUVNYAGXSOUKZXIUWBUWDXIIZYAUVKUWAUWEW
      SUWAUWERUVJWSUWAUWEXSEUTWMVTVCVTXDUWDNZUVNYATUWCUWFUVMXTXAUWFXEXSXRLXSOXD
      BVDVEVFUOSVPUWBYAVRWAWNWGVCWAWNWOWPWQWR $.

    $d n x y $.  $d i j k l m n o p q x y z $.
    $( The valid Godel formulas of height 1 is the set of all formulas of the
       form ` ( a |g b ) ` and ` A.g k a ` with atoms ` a ` , ` b ` of the form
       ` x e. y ` .  (Contributed by AV, 20-Sep-2023.) $)
    fmla1 $p |- ( Fmla ` 1o ) = ( ( { (/) } X. ( _om X. _om ) )
                                  u. { x | E. i e. _om E. j e. _om E. k e. _om
                               ( E. l e. _om x = ( ( i e.g j ) |g ( k e.g l ) )
                                 \/ x = A.g k ( i e.g j ) ) } ) $=
      ( vp vq cv cgna co wceq wrex com wo cgoe wcel cvv eqeq2d rexbidv wb vy vz
      vm vn vo c1o cfmla cfv c0 csuc cgol cab cun csn cxp fveq2i peano1 fmlasuc
      df-1o ax-mp fmla0xp crab fmla0 rexeqi wi eqeq1 2rexbidv elrab oveq1 eqidd
      weq goaleq12d orbi12d elrab2 oveq2 biimpcd reximdv com12 simplbiim orim1i
      id rexlimiv r19.43 sylibr syl6bi oveq1d cbvrex2vw cbvrexvw ne0ii r19.44zv
      wa oveq2d wne ovexd simpl adantl rspcedvd ad5ant12 elrabd adantr sylanbrc
      simpr ex orim12d imp rexlimdva syl5bir syl5bi rexlimivv sylbi bitri abbii
      impbii uneq12i 3eqtri ) UFUGUHUIUJZUGUHZUIUGUHZAHZFHZGHZIJZKZGXRLZXSXTDHZ
      UKZKZDMLZNZFXRLZAULZUMZUIUNMMUOUOZXSBHZCHZOJZYEEHZOJZIJZKZEMLZXSYPYEUKZKZ
      NZDMLZCMLZBMLZAULZUMUFXPUGUSUPUIMPXQYLKUQAGFDUIURUTXRYMYKUUHVAYJUUGAYJYIF
      UAHZYPKZCMLBMLZUAQVBZLZUUGYIFXRUULUABCVCVDUUMUUGYIUUGFUULXTUULPXTQPXTYPKZ
      CMLZBMLZYIUUGVEUUKUUPUAXTQUAFVKUUJUUNBCMMUUIXTYPVFVGVHYIUUPUUGYIUUOUUFBMY
      IUUNUUECMUUNYIUUEUUNYIXSYPYAIJZKZGXRLZUUCDMLZNZUUEUUNYDUUSYHUUTUUNYCUURGX
      RUUNYBUUQXSXTYPYAIVIRSUUNYGUUCDMUUNYFUUBXSUUNXTYPYEYEUUNYEVJUUNWAVLRSVMUV
      AUUADMLZUUTNUUEUUSUVBUUTUURUVBGXRYAXRPYAQPYAYRKZEMLZDMLZUURUVBVEUBHZYRKZE
      MLDMLUVEUBYAQXRUBGVKUVGUVCDEMMUVFYAYRVFVGUBDEVCVNUURUVEUVBUURUVDUUADMUURU
      VCYTEMUVCUURYTUVCUUQYSXSYAYRYPIVORVPVQVQVRVSWBVTUUAUUCDMWCWDWEVRVQVQVRVSW
      BUUGXSUCHZUDHZOJZYRIJZKZEMLZXSUVJYEUKZKZNZDMLZUDMLUCMLUUMUUEUVQXSUVHYOOJZ
      YRIJZKZEMLZXSUVRYEUKZKZNZDMLBCUCUDMMBUCVKZUUDUWDDMUWEUUAUWAUUCUWCUWEYTUVT
      EMUWEYSUVSXSUWEYPUVRYRIYNUVHYOOVIZWFRSUWEUUBUWBXSUWEYPUVRYEYEUWEYEVJUWFVL
      RVMSCUDVKZUWDUVPDMUWGUWAUVMUWCUVOUWGUVTUVLEMUWGUVSUVKXSUWGUVRUVJYRIYOUVIU
      VHOVOZWFRSUWGUWBUVNXSUWGUVRUVJYEYEUWGYEVJUWHVLRVMSWGUVQUUMUCUDMMUVQXSUVJU
      EHZYQOJZIJZKZEMLZXSUVJUWIUKZKZNZUEMLUVHMPZUVIMPZWKZUUMUVPUWPDUEMDUEVKZUVM
      UWMUVOUWOUWTUVLUWLEMUWTUVKUWKXSUWTYRUWJUVJIYEUWIYQOVIWLRSUWTUVNUWNXSUWTUV
      JUVJYEUWIUWTWAUWTUVJVJVLRZVMWHUWSUWPUUMUEMUWPUWLUWONZEMLZUWSUWIMPZWKZUUMM
      UIWMUXCUWPTUIMUQWIUWLUWOEMWJUTUXEUXBUUMEMUXEYQMPZWKZUXBUUMUXGUXBWKZYIXSUV
      JYAIJZKZGXRLZUVODMLZNZFUVJUULUXHUUKUVJYPKZCMLZBMLZUAUVJQUUIUVJKUUJUXNBCMM
      UUIUVJYPVFVGUXHUVHUVIOWNUWQUWRUXPUXDUXFUXBUWSUXOUVJUVRKZCMLZBUVHMUWQUWRWO
      UWEUXOUXRTUWSUWEUXNUXQCMUWEYPUVRUVJUWFRSWPUWSUXQUVJUVJKZCUVIMUWQUWRXBUWGU
      XQUXSTUWSUWGUVRUVJUVJUWHRWPUWSUVJVJWQWQWRWSXTUVJKZYIUXMTUXHUXTYDUXKYHUXLU
      XTYCUXJGXRUXTYBUXIXSXTUVJYAIVIRSUXTYGUVODMUXTYFUVNXSUXTXTUVJYEYEUXTYEVJUX
      TWAVLRSVMWPUXGUXBUXMUXGUWLUXKUWOUXLUXGUWLUXKUXGUWLWKZUXJUWLGUWJXRUXGUWJXR
      PZUWLUXGUWJQPUWJYPKZCMLZBMLZUYBUXGUWIYQOWNUXGUYDUWJUWIYOOJZKZCMLZBUWIMUXE
      UXDUXFUWSUXDXBWTZBUEVKZUYDUYHTUXGUYJUYCUYGCMUYJYPUYFUWJYNUWIYOOVIRSWPUXGU
      YGUWJUWJKZCYQMUXEUXFXBCEVKZUYGUYKTUXGUYLUYFUWJUWJYOYQUWIOVORWPUXGUWJVJWQW
      QUUPUYEFUWJQXRXTUWJKUUNUYCBCMMXTUWJYPVFVGFBCVCVNXAWTYAUWJKZUXJUWLTUYAUYMU
      XIUWKXSYAUWJUVJIVORWPUXGUWLXBWQXCUXGUWOUXLUXGUWOWKZUVOUWODUWIMUXGUXDUWOUY
      IWTUWTUVOUWOTUYNUXAWPUXGUWOXBWQXCXDXEWQXCXFXGXFXHXIXJXMXKXLXNXO $.
  $}

  ${
    $d F f i u v $.  $d N f i u v $.
    $( The characterization of a Godel formula of height at least 1.
       (Contributed by AV, 14-Oct-2023.) $)
    isfmlasuc $p |- ( ( N e. _om /\ F e. V ) -> ( F e. ( Fmla ` suc N )
                      <-> ( F e. ( Fmla ` N ) \/ E. u e. ( Fmla ` N )
                            ( E. v e. ( Fmla ` N ) F = ( u |g v )
                           \/ E. i e. _om F = A.g i u ) ) ) ) $=
      ( vf com wcel wa csuc cfmla cfv cv wceq wrex wo wb eqeq1 rexbidv cgna cab
      co cgol cun fmlasuc adantr eleq2d elun orbi12d elabg adantl orbi2d 3bitrd
      a1i ) EHIZDFIZJZDEKLMZIDELMZGNZBNZANUAUCZOZAUTPZVAVBCNUDZOZCHPZQZBUTPZGUB
      ZUEZIZDUTIZDVKIZQZVNDVCOZAUTPZDVFOZCHPZQZBUTPZQURUSVLDUPUSVLOUQGABCEUFUGU
      HVMVPRURDUTVKUIUOURVOWBVNUQVOWBRUPVJWBGDFVADOZVIWABUTWCVEVRVHVTWCVDVQAUTV
      ADVCSTWCVGVSCHVADVFSTUJTUKULUMUN $.
  $}

  ${
    $d N i u v x $.
    $( The Godel formulas of height ` N ` are a subset of the Godel formulas of
       height ` N + 1 ` .  (Contributed by AV, 20-Oct-2023.) $)
    fmlasssuc $p |- ( N e. _om -> ( Fmla ` N ) C_ ( Fmla ` suc N ) ) $=
      ( vx vu vv vi com wcel cfmla cfv cv cgna co wceq wrex cgol cab csuc ssun1
      wo cun fmlasuc sseqtrrid ) AFGAHIZBJZCJZDJKLMDUCNUDUEEJOMEFNSCUCNBPZTUCAQ
      HIUCUFRBDCEAUAUB $.
  $}

  ${
    $d N x $.  $d i j u v x y $.
    $( The empty set is not a Godel formula of any height.  (Contributed by AV,
       21-Oct-2023.) $)
    fmlaomn0 $p |- ( N e. _om -> (/) e/ ( Fmla ` N ) ) $=
      ( vx vi vj vu vv com wcel c0 cfmla cfv wn wceq fveq2 eleq2d wrex wral cop
      cv wa vy wnel csuc notbid weq cvv cgoe wne 0ex opex pm3.2i a1i necom opnz
      co bitri sylibr neneqd goel eqeq2d mtbird rgen2 ralnex2 mpbi intnan fmla0
      crab eleq2i eqeq1 2rexbidv elrab mtbir cgna cgol wo simpr c1o 1oex nesymi
      gonafv adantll mtbiri ralrimiva c2o 2oex df-goal eqeq2i jca adantr ralnex
      opnzi anbi12i ioran bitr4i ralbii sylib sylanbrc cab fmlasuc elun rexbidv
      wb cun orbi12d elab orbi2i bitrdi ex finds df-nel ) AGHIAJKZHZLZIXKUBIBSZ
      JKZHZLIIJKZHZLIUASZJKZHZLZIXSUCZJKZHZLZXMBUAAXNIMZXPXRYGXOXQIXNIJNOUDBUAU
      EZXPYAYHXOXTIXNXSJNOUDXNYCMZXPYEYIXOYDIXNYCJNOUDXNAMZXPXLYJXOXKIXNAJNOUDX
      RIUFHZICSZDSZUGUOZMZDGPCGPZTZYPYKYOLZDGQCGQYPLYRCDGGYLGHZYMGHTZYOIIYLYMRZ
      RZMYTIUUBYTYKUUAUFHZTZIUUBUHZUUDYTYKUUCUIYLYMUJUKULUUEUUBIUHUUDIUUBUMIUUA
      UNUPUQURYTYNUUBIYLYMUSUTVAVBYOCDGGVCVDVEXRIXNYNMZDGPCGPZBUFVGZHYQXQUUHIBC
      DVFVHUUGYPBIUFYGUUFYOCDGGXNIYNVIVJVKUPVLXSGHZYBYFUUIYBTZYEYAIESZFSZVMUOZM
      ZFXTPZIUUKYLVNZMZCGPZVOZEXTPZVOZUUJYBUUTLZUVALUUIYBVPUUJUUNLZFXTQZUUQLZCG
      QZTZEXTQZUVBUUIUVHYBUUIUVGEXTUUIUUKXTHZTZUVDUVFUVJUVCFXTUVJUULXTHZTZUUNIV
      QUUKUULRZRZMUVNIVQUVMVRUUKUULUJWKVSUVLUUMUVNIUVIUVKUUMUVNMUUIUUKUULXTXTVT
      WAUTWBWCUVJUVECGUVEUVJYSTUUQIWDYLUUKRZRZMUVPIWDUVOWEYLUUKUJWKVSUUPUVPIUUK
      YLWFWGVLULWCWHWCWIUVHUUSLZEXTQUVBUVGUVQEXTUVGUUOLZUURLZTUVQUVDUVRUVFUVSUU
      NFXTWJUUQCGWJWLUUOUURWMWNWOUUSEXTWJUPWPYAUUTWMWQUUIYEUVAXBYBUUIYEIXTXNUUM
      MZFXTPZXNUUPMZCGPZVOZEXTPZBWRZXCZHZUVAUUIYDUWGIBFECXSWSOUWHYAIUWFHZVOUVAI
      XTUWFWTUWIUUTYAUWEUUTBIUIYGUWDUUSEXTYGUWAUUOUWCUURYGUVTUUNFXTXNIUUMVIXAYG
      UWBUUQCGXNIUUPVIXAXDXAXEXFUPXGWIVAXHXIIXKXJUQ $.
  $}

  $( The empty set is not a Godel formula.  (Contributed by AV,
     19-Nov-2023.) $)
  fmlan0 $p |- (/) e/ ( Fmla ` _om ) $=
    ( vx c0 com cfmla wnel cv wcel wrex wn fmlaomn0 df-nel sylib nrex ciun fmla
    cfv eleq2i eliun bitri xchbinx mpbir ) BCDPZEZBAFZDPZGZACHZIUFACUDCGBUEEUFI
    UDJBUEKLMUCBUBGZUGBUBKUHBACUENZGUGUBUIBAOQABCUERSTUA $.

  ${
    $d A i j x $.  $d B i j x $.
    $( The "Godel-set of NAND" is a Godel formula of at least height 1.
       (Contributed by AV, 21-Oct-2023.) $)
    gonan0 $p |- ( ( A |g B ) e. ( Fmla ` N ) -> N =/= (/) ) $=
      ( vi vj vx cgna cfmla wcel c0 wceq cvv wa wn c1o cop cv com wrex mtbiri
      co cfv cgoe wral 1n0 neii intnanr 1oex opex opth mtbir goel rgen2 ralnex2
      eqeq2d mpbi intnan eqeq1 2rexbidv fmla0 elrab2 gonafv eleq1d cdm wrel cxp
      cmpt wss eqid dmmptss relxp relss df-gona dmeqi releqi mpbir ovprc peano1
      mp2 wnel fmlaomn0 ax-mp neli eleq1 syl pm2.61i fveq2 eleq2d necon2ai ) AB
      GUAZCHUBZIZCJCJKZWLWJJHUBZIZALIBLIMZWONZWPWOOABPZPZWNIZWTWSLIZWSDQZEQZUCU
      AZKZERSDRSZMXFXAXENZERUDDRUDXFNXGDERRXBRIXCRIMZXEWSJXBXCPZPZKZXKOJKZWRXIK
      ZMXLXMOJUEUFUGOWRJXIUHABUIUJUKXHXDXJWSXBXCULUOTUMXEDERRUNUPUQFQZXDKZERSDR
      SXFFWSLWNXNWSKXOXEDERRXNWSXDURUSFDEUTVAUKWPWJWSWNABLLVBVCTWPNWJJKZWQABGGV
      DZVEFLLVFZOXNPZVGZVDZVEZYAXRVHXRVEYBFXRXSXTXTVIVJLLVKYAXRVLVSXQYAGXTFVMVN
      VOVPVQXPWOJWNIJWNJRIJWNVTVRJWAWBWCWJJWNWDTWEWFWMWKWNWJCJHWGWHTWI $.

    $d A i j k x $.
    $( The "Godel-set of universal quantification" is a Godel formula of at
       least height 1.  (Contributed by AV, 22-Oct-2023.) $)
    goaln0 $p |- ( A.g i A e. ( Fmla ` N ) -> N =/= (/) ) $=
      ( vk vj vx cv cfmla cfv wcel c0 wceq c2o cop cvv com wrex wa wn wral cgol
      df-goal cgoe co 2on0 neii intnanr 2oex opex opth mtbir goel eqeq2d mtbiri
      rgen2 ralnex2 intnan eqeq1 2rexbidv fmla0 elrab2 eqneltri eleq2d necon2ai
      mpbi fveq2 ) ABGZUAZCHIZJZCKCKLZVJVHKHIZJVHMVGANZNZVLAVGUBVNVLJVNOJZVNDGZ
      EGZUCUDZLZEPQDPQZRVTVOVSSZEPTDPTVTSWADEPPVPPJVQPJRZVSVNKVPVQNZNZLZWEMKLZV
      MWCLZRWFWGMKUEUFUGMVMKWCUHVGAUIUJUKWBVRWDVNVPVQULUMUNUOVSDEPPUPVEUQFGZVRL
      ZEPQDPQVTFVNOVLWHVNLWIVSDEPPWHVNVRURUSFDEUTVAUKVBVKVIVLVHCKHVFVCUNVD $.

    $d N i u v $.  $d a b i u v x $.
    $( Lemma for ~ gonar (induction step).  (Contributed by AV,
       21-Oct-2023.) $)
    gonarlem $p |- ( N e. _om -> ( ( ( a |g b ) e. ( Fmla ` suc N )
                        -> ( a e. ( Fmla ` suc N ) /\ b e. ( Fmla ` suc N ) ) )
                     -> ( ( a |g b ) e. ( Fmla ` suc suc N )
         -> ( a e. ( Fmla ` suc suc N ) /\ b e. ( Fmla ` suc suc N ) ) ) ) ) $=
      ( vu vv vi com wcel cv cgna co wa wi wceq wrex wb cvv c1o cop rexlimdva
      csuc cfmla cfv wo peano2 ovexd isfmlasuc syl2anc adantr wss fmlasssuc syl
      cgol sseld anim12d com12 imim2i com23 impcom gonafv el2v a1i eqeq12d 1oex
      opex bitrdi adantll vex eleq1w equcoms bi2anan9 syl6bi sylbi adantl com13
      opth impl sylbid wne gonanegoal eqneqall mpi jaod ex ) AGHZBIZCIZJKZAUAZU
      BUCZHZWFWJHZWGWJHZLZMZWHWIUAUBUCZHZWFWPHZWGWPHZLZMWEWOLZWQWKWHDIZEIZJKZNZ
      EWJOZWHXBFIZUMZNZFGOZUDZDWJOZUDZWTWEWQXMPZWOWEWIGHZWHQHXNAUEZWEWFWGJUFEDF
      WHWIQUGUHUIXAWKWTXLWOWEWKWTMWOWKWEWTWNWEWTMZWKWEWNWTWEWLWRWMWSWEWJWPWFWEX
      OWJWPUJXPWIUKULZUNWEWJWPWGXRUNUOUPZUQURUSWEXLWTMWOWEXKWTDWJWEXBWJHZLZXFWT
      XJYAXEWTEWJYAXCWJHZLXERRNZWFWGSZXBXCSZNZLZWTXTYBXEYGPWEXTYBLZXERYDSZRYESZ
      NYGYHWHYIXDYJWHYINZYHYKBCWFWGQQUTVAVBXBXCWJWJUTVCRYDRYEVDWFWGVEVPVFVGWEXT
      YBYGWTMYGYHWEWTYFYHXQMZYCYFWFXBNZWGXCNZLZYLWFWGXBXCBVHCVHVPYOYHWNXQYMXTWL
      YNYBWMXTWLPDBDBWJVIVJYBWMPECECWJVIVJVKXSVLVMVNVOVQVRTYAXIWTFGXIWTMYAXGGHL
      XIWHXHVSWTDFBCVTWTWHXHWAWBVBTWCTUIWCVRWD $.

    $d N x $.  $d a b i j x $.  $d a b c d $.  $d a b i u v x $.  $d d x $.
    $( If the "Godel-set of NAND" applied to classes is a Godel formula, the
       classes are also Godel formulas.  Remark:  The reverse is not valid for
       ` A ` or ` B ` being of the same height as the "Godel-set of NAND".
       (Contributed by AV, 21-Oct-2023.) $)
    gonar $p |- ( ( N e. _om /\ ( a |g b ) e. ( Fmla ` N ) )
                  -> ( a e. ( Fmla ` N ) /\ b e. ( Fmla ` N ) ) ) $=
      ( vx vu vi vj com wcel cv cfmla cfv wa c0 wceq wrex wi eleq2d anbi12d c1o
      vd vc vv cgna co wne gonan0 adantl csuc nnsuc suceq fveq2d imbi12d wo cvv
      cgol wb peano1 ovex isfmlasuc mp2an cgoe eqeq1 2rexbidv elrab2 cop gonafv
      fmla0 el2v a1i goel eqeq12d 1oex opex opth 1n0 eqneqall mpi adantr syl6bi
      sylbi rexlimdva rexlimiv simpl equcomd eleq1d simpr fmlasssuc ax-mp sseli
      vex anim12i com12 sylbid gonanegoal jaod jaoi gonarlem finds fveq2 mpbird
      wss rexlimiva syl impancom mpd ) AHIZBJZCJZUDUEZAKLZIZMANUFZXHXKIZXIXKIZM
      ZXLXMXGXHXIAUGUHXGXMXLXPXGXMMADJZUIZOZDHPXLXPQZDAUJXSXTDHXQHIZXSMXTXJXRKL
      ZIZXHYBIZXIYBIZMZQZYAYGXSXJUAJZUIZKLZIZXHYJIZXIYJIZMZQXJNUIZKLZIZXHYPIZXI
      YPIZMZQXJUBJZUIZKLZIZXHUUCIZXIUUCIZMZQXJUUBUIZKLZIZXHUUIIZXIUUIIZMZQYGUAU
      BXQYHNOZYKYQYNYTUUNYJYPXJUUNYIYOKYHNUKULZRUUNYLYRYMYSUUNYJYPXHUUORUUNYJYP
      XIUUORSUMYHUUAOZYKUUDYNUUGUUPYJUUCXJUUPYIUUBKYHUUAUKULZRUUPYLUUEYMUUFUUPY
      JUUCXHUUQRUUPYJUUCXIUUQRSUMYHUUBOZYKUUJYNUUMUURYJUUIXJUURYIUUHKYHUUBUKULZ
      RUURYLUUKYMUULUURYJUUIXHUUSRUURYJUUIXIUUSRSUMYHXQOZYKYCYNYFUUTYJYBXJUUTYI
      XRKYHXQUKULZRUUTYLYDYMYEUUTYJYBXHUVARUUTYJYBXIUVARSUMYQXJNKLZIZXJEJZUCJZU
      DUEZOZUCUVBPZXJUVDFJZUPZOZFHPZUNZEUVBPZUNZYTNHIZXJUOIZYQUVOUQURXHXIUDUSUC
      EFXJNUOUTVAUVCYTUVNUVCUVQXJUVIGJZVBUEZOZGHPZFHPZMYTXQUVSOZGHPFHPUWBDXJUOU
      VBXQXJOUWCUVTFGHHXQXJUVSVCVDDFGVHVEUWBYTUVQUWAYTFHUVIHIZUVTYTGHUWDUVRHIMZ
      UVTTXHXIVFZVFZNUVIUVRVFZVFZOZYTUWEXJUWGUVSUWIXJUWGOZUWEUWKBCXHXIUOUOVGVIZ
      VJUVIUVRVKVLUWJTNOZUWFUWHOZMYTTUWFNUWHVMXHXIVNZVOUWMYTUWNUWMTNUFYTVPYTTNV
      QVRVSWAVTWBWCUHWAUVMYTEUVBUVDUVBIZUVHYTUVLUWPUVGYTUCUVBUWPUVEUVBIZMZUVGUW
      GTUVDUVEVFZVFZOZYTUWRXJUWGUVFUWTUWKUWRUWLVJUVDUVEUVBUVBVGVLUXAUWRYTUXAUWR
      XHUVBIZXIUVBIZMZYTUXATTOZUWFUWSOZMUWRUXDUQZTUWFTUWSVMUWOVOUXFUXGUXEUXFXHU
      VDOZXIUVEOZMZUXGXHXIUVDUVEBWKCWKVOUXJUWPUXBUWQUXCUXJUVDXHUVBUXJBEUXHUXIWD
      WEWFUXJUVEXIUVBUXJCUCUXHUXIWGWEWFSWAUHWAUXBYRUXCYSUVBYPXHUVPUVBYPXBURNWHW
      IZWJUVBYPXIUXKWJWLVTWMWNWBUWPUVKYTFHUVKYTQUWPUWDMUVKXJUVJUFYTEFBCWOYTXJUV
      JVQVRVJWBWPWCWQWAUUABCWRWSVSXSXTYGUQYAXSXLYCXPYFXSXKYBXJAXRKWTZRXSXNYDXOY
      EXSXKYBXHUXLRXSXKYBXIUXLRSUMUHXAXCXDXEXF $.

    $d N j u v $.
    $( Lemma for ~ goalr (induction step).  (Contributed by AV,
       22-Oct-2023.) $)
    goalrlem $p |- ( N e. _om
                  -> ( ( A.g i a e. ( Fmla ` suc N ) -> a e. ( Fmla ` suc N ) )
                       -> ( A.g i a e. ( Fmla ` suc suc N )
                            -> a e. ( Fmla ` suc suc N ) ) ) ) $=
      ( vu vv vj com wcel cv cgol csuc wi wa wceq wrex cvv c2o adantr rexlimdva
      cop cfmla cfv cgna co wo wb peano2 df-goal opex eqeltri isfmlasuc sylancl
      wss fmlasssuc syl sseld com12 imim2i com23 impcom wne gonanegoal eqneqall
      mpi eqcoms a1i eqeq12i 2oex bitri weq vex eleq1w syl6bi impcomd simplbiim
      opth jaod sylbid ex ) BGHZCIZAIZJZBKZUAUBZHZWAWEHZLZWCWDKUAUBZHZWAWIHZLVT
      WHMZWJWFWCDIZEIZUCUDZNZEWEOZWCWMFIZJZNZFGOZUEZDWEOZUEZWKVTWJXDUFZWHVTWDGH
      ZWCPHXEBUGZWCQWBWATZTZPWAWBUHZQXHUIUJEDFWCWDPUKULRWLWFWKXCWHVTWFWKLWHWFVT
      WKWGVTWKLZWFVTWGWKVTWEWIWAVTXFWEWIUMXGWDUNUOUPUQZURUSUTVTXCWKLWHVTXBWKDWE
      VTWMWEHZMZWQWKXAXNWPWKEWEWPWKLXNWNWEHMWKWOWCWOWCNWOWCVAWKCADEVBWKWOWCVCVD
      VEVFSXNWTWKFGXNWTWKLWRGHWTXNWKWTQQNZXHWRWMTZNZXNWKLZWTXIQXPTZNXOXQMWCXIWS
      XSXJWMWRUHVGQXHQXPVHWBWAUIVPVIXQAFVJCDVJZXRWBWAWRWMAVKCVKVPXTXMVTWKXTXMWG
      XKXMWGUFWMWADCWEVLVEXLVMVNVOVOUQRSVQSRVQVRVS $.

    $d N n $.  $d a i n x $.  $d a i x y $.  $d a i j k u v x $.
    $( If the "Godel-set of universal quantification" applied to a class is a
       Godel formula, the class is also a Godel formula.  Remark:  The reverse
       is not valid for ` A ` being of the same height as the "Godel-set of
       universal quantification".  (Contributed by AV, 22-Oct-2023.) $)
    goalr $p |- ( ( N e. _om /\ A.g i a e. ( Fmla ` N ) )
                  -> a e. ( Fmla ` N ) ) $=
      ( vu vv vk vj com wcel cv cfmla cfv wa c0 wceq wrex wi eleq2d c2o cop wne
      vn vx vy cgol goaln0 adantl csuc nnsuc suceq fveq2d imbi12d cgna co wo wb
      cvv peano1 df-goal opex eqeltri isfmlasuc mp2an cgoe eqeq1 2rexbidv fmla0
      elrab2 goel eqeq12d 2oex opth 2on0 eqneqall adantr sylbi syl6bi rexlimdva
      a1i mpi rexlimiv simplbiim gonanegoal eqcoms eqeq12i vex eleq1w fmlasssuc
      wss ax-mp sseli com12 syl5bi jaod jaoi goalrlem finds fveq2 rexlimiva syl
      mpbird impancom mpd ) BHIZCJZAJZUEZBKLZIZMBNUAZXEXHIZXIXJXDXEABUFUGXDXJXI
      XKXDXJMBUBJZUHZOZUBHPXIXKQZUBBUIXNXOUBHXLHIZXNMXOXGXMKLZIZXEXQIZQZXPXTXNX
      GUCJZUHZKLZIZXEYCIZQXGNUHZKLZIZXEYGIZQXGUDJZUHZKLZIZXEYLIZQXGYKUHZKLZIZXE
      YPIZQXTUCUDXLYANOZYDYHYEYIYSYCYGXGYSYBYFKYANUJUKZRYSYCYGXEYTRULYAYJOZYDYM
      YEYNUUAYCYLXGUUAYBYKKYAYJUJUKZRUUAYCYLXEUUBRULYAYKOZYDYQYEYRUUCYCYPXGUUCY
      BYOKYAYKUJUKZRUUCYCYPXEUUDRULYAXLOZYDXRYEXSUUEYCXQXGUUEYBXMKYAXLUJUKZRUUE
      YCXQXEUUFRULYHXGNKLZIZXGDJZEJZUMUNZOZEUUGPZXGUUIFJZUEZOZFHPZUOZDUUGPZUOZY
      INHIZXGUQIZYHUUTUPURXGSXFXETZTZUQXEXFUSZSUVCUTVAEDFXGNUQVBVCUUHYIUUSUUHUV
      BXGUUNGJZVDUNZOZGHPZFHPZYIYAUVGOZGHPFHPUVJUCXGUQUUGYAXGOUVKUVHFGHHYAXGUVG
      VEVFUCFGVGVHUVIYIFHUUNHIZUVHYIGHUVLUVFHIMZUVHUVDNUUNUVFTZTZOZYIUVMXGUVDUV
      GUVOXGUVDOUVMUVEVSUUNUVFVIVJUVPSNOZUVCUVNOZMYISUVCNUVNVKXFXEUTZVLUVQYIUVR
      UVQSNUAYIVMYISNVNVTVOVPVQVRWAWBUURYIDUUGUUIUUGIZUUMYIUUQUVTUULYIEUUGUULYI
      QUVTUUJUUGIMYIUUKXGUUKXGOUUKXGUAYICADEWCYIUUKXGVNVTWDVSVRUVTUUPYIFHUUPUVD
      SUUNUUITZTZOZUVTUVLMYIXGUVDUUOUWBUVEUUIUUNUSWEUVTUWCYIQUVLUWCUVTYIUWCSSOU
      VCUWAOZUVTYIQZSUVCSUWAVKUVSVLUWDXFUUNOXEUUIOUWEXFXEUUNUUIAWFCWFVLUWEUUIXE
      UUIXEOUVTXEUUGIYIDCUUGWGUUGYGXEUVAUUGYGWIURNWHWJWKVQWDWBWBWLVOWMVRWNWAWOV
      PAYJCWPWQVOXNXOXTUPXPXNXIXRXKXSXNXHXQXGBXMKWRZRXNXHXQXEUWFRULUGXAWSWTXBXC
      $.
  $}

  ${
    $d i j k u v x $.
    $( The set of valid Godel formulas of height 0 is disjoint with the
       formulas constructed from Godel-sets for the Sheffer stroke NAND and
       Godel-set of universal quantification.  (Contributed by AV,
       20-Oct-2023.) $)
    fmla0disjsuc $p |- ( ( Fmla ` (/) ) i^i { x | E. u e. ( Fmla ` (/) )
                                       ( E. v e. ( Fmla ` (/) ) x = ( u |g v )
                                      \/ E. i e. _om x = A.g i u ) } ) = (/) $=
      ( vj vk c0 cv wceq wrex com wo cab wa wn wcel wral cop c1o c2o cfmla cgna
      cfv co cgol cin cgoe cvv crab fmla0 rabab eqtri ineq1i inab eqeq2d nesymi
      goel intnanr gonafv el2v eqeq2i opex opth bitri mtbir eqeq1 mtbiri syl6bi
      1n0 0ex adantr ralrimivw 2on0 notbii ianor mpbir df-goal bitrdi ralrimiva
      imp jca ralnex anbi12i ioran bitr4i ralbii sylib rexlimdva rexlimiv imori
      orci ex abf ) GUAUCZAHZCHZBHZUBUDZIZBWNJZWOWPDHZUEZIZDKJZLZCWNJZAMZUFWOEH
      ZFHZUGUDZIZFKJZEKJZAMZXGUFZGWNXNXGWNXMAUHUIXNAEFUJXMAUKULUMXOXMXFNZAMGXMX
      FAUNXPAXPOXMOXFOZLXMXQXLXQEKXHKPZXKXQFKXRXIKPNZXKXQXSXKNZWSOZBWNQZXCOZDKQ
      ZNZCWNQZXQXTYECWNXTWPWNPZNZYBYDYHYABWNXTYAYGXSXKYAXSXKWOGXHXIRZRZIZYAXSXJ
      YJWOXHXIUQUOZYKWSYJWRIZYMGSIZYIWPWQRZIZNZYNYPSGVIUPURYMYJSYORZIYQWRYRYJWR
      YRICBWPWQUHUHUSUTVAGYISYOVJXHXIVBZVCVDVEWOYJWRVFVGVHVTVKVLYHYCDKYHYCXAKPX
      TYCYGXSXKYCXSXKYKYCYLYKXCYJTXAWPRZRZIZUUBOZGTIZOZYIYTIZOZLZUUEUUGTGVMUPWK
      UUCUUDUUFNZOUUHUUBUUIGYITYTVJYSVCVNUUDUUFVOVDVPYKXCYJXBIUUBWOYJXBVFXBUUAY
      JWPXAVQVAVRVGVHVTVKVKVSWAVSYFXEOZCWNQXQYEUUJCWNYEWTOZXDOZNUUJYBUUKYDUULWS
      BWNWBXCDKWBWCWTXDWDWEWFXECWNWBVDWGWLWHWIWJXMXFVOVPWMULUL $.
  $}

  ${
    $d N a b f i j u v $.  $d N f i u v x $.
    $( The valid Godel formulas of height ` ( N + 1 ) ` is disjoint with the
       difference ` ( ( Fmla `` suc suc N ) \ ( Fmla `` suc N ) ) ` , expressed
       by formulas constructed from Godel-sets for the Sheffer stroke NAND and
       Godel-set of universal quantification based on the valid Godel formulas
       of height ` ( N + 1 ) ` .  (Contributed by AV, 20-Oct-2023.) $)
    fmlasucdisj $p |- ( N e. _om -> ( ( Fmla ` suc N ) i^i
               { x | ( E. u e. ( ( Fmla ` suc N ) \ ( Fmla ` N ) )
                          ( E. v e. ( Fmla ` suc N ) x = ( u |g v )
                         \/ E. i e. _om x = A.g i u )
                   \/ E. u e. ( Fmla ` N )
                            E. v e. ( ( Fmla ` suc N ) \ ( Fmla ` N ) )
                               x = ( u |g v ) ) } ) = (/) ) $=
      ( va vb vj com wcel cv wn wceq wrex wo wral wa ralrimivw notbid ralbidv
      vf csuc cfmla cfv cgna co cgol cdif cab cin c0 vex eqeq1 rexbidv 2rexbidv
      orbi12d elab gonar elndif adantr intnanrd syl ex con2d impl c1o elneeldif
      cop necomd ancoms neneqd orcd ianor opth xchnxbir sylibr olcd gonafv el2v
      wne cvv eqeq12i 1oex opex bitri ralrimiva adantl gonanegoal neii sylanbrc
      a1i r19.26 jca eleq1 anbi12d syl5ibrcom rexlimdva imp nesymi 2oex df-goal
      goalr c2o wb eqcoms syl5ibcom jaod intnand sylnibr isfmlasuc ioran ralnex
      anbi12i bitr4i ralbii bitr2i anbi2i bitrdi sylibrd syl5bi ralrimiv disjr
      elvd ) EIJZUAKZEUBUCUDZJZLZUAAKZCKZBKZUEUFZMZBYFNZYIYJDKZUGZMZDINZOZCYFEU
      CUDZUHZNZYMBUUANCYTNZOZAUIZPYFUUEUJUKMYDYHUAUUEYEUUEJYEYLMZBYFNZYEYPMZDIN
      ZOZCUUANZUUFBUUANZCYTNZOZYDYHUUDUUNAYEUAULYIYEMZUUBUUKUUCUUMUUOYSUUJCUUAU
      UOYNUUGYRUUIUUOYMUUFBYFYIYEYLUMZUNUUOYQUUHDIYIYEYPUMUNUPUNUUOYMUUFCBYTUUA
      UUPUOUPUQYDUUNYEYTJZLZYEFKZGKZUEUFZMZLZGYTPZYEUUSHKZUGZMZLZHIPZQZFYTPZQZY
      HYDUUKUVLUUMYDUUJUVLCUUAYDYJUUAJZQZUUGUVLUUIUVNUUFUVLBYFUVNYKYFJZQZUVLUUF
      YLYTJZLZYLUVAMZLZGYTPZYLUVFMZLZHIPZQZFYTPZQZUVPUVRUWFYDUVMUVOUVRYDUVQUVMU
      VOQZYDUVQUWHLZYDUVQQZYJYTJZYKYTJZQZUWIECBURZUWMUVMUVOUWKUVMLZUWLYJYTYFUSZ
      UTVAVBVCVDVEUVPUWAFYTPZUWDFYTPZUWFUVNUWQUVOUVMUWQYDUVMUWAFYTUVMUUSYTJZQZU
      VTGYTUWTVFVFMZLZYJYKVHZUUSUUTVHZMZLZOZUVTUWTUXFUXBUWTYJUUSMZLZYKUUTMZLZOZ
      UXFUWTUXIUXKUWTYJUUSUWSUVMYJUUSVTUWSUVMQUUSYJYTYFUUSYJVGVIVJVKZVLUXHUXJQU
      XLUXEUXHUXJVMYJYKUUSUUTCULZBULVNVOZVPVQUXAUXEQZUXGUVSUXAUXEVMUVSVFUXCVHZV
      FUXDVHZMUXPYLUXQUVAUXRYLUXQMCBYJYKWAWAVRVSUVAUXRMFGUUSUUTWAWAVRVSWBVFUXCV
      FUXDWCYJYKWDVNWEZVOVPRWFWGUTUVPUWDFYTUVPUWCHIUWCUVPYLUVFFHCBWHWIZWKRRUWAU
      WDFYTWLZWJWMUUFUURUVRUVKUWFUUFUUQUVQYEYLYTWNSUUFUVJUWEFYTUUFUVDUWAUVIUWDU
      UFUVCUVTGYTUUFUVBUVSYEYLUVAUMSTUUFUVHUWCHIUUFUVGUWBYEYLUVFUMSTWOTWOWPWQUV
      NUUHUVLDIUVNYOIJZQZYPYTJZLZYPUVAMZLZGYTPZYPUVFMZLZHIPZQZFYTPZQZUUHUVLUYCU
      YEUYMUVNUYEUYBYDUVMUYEYDUYDUVMYDUYDUWOYDUYDQUWKUWODECXBUWPVBVCVDWRUTUYCUY
      HFYTPUYKFYTPZUYMUYCUYHFYTUYCUYGGYTUYGUYCUVAYPCDFGWHWSWKRRUVNUYOUYBUVMUYOY
      DUVMUYKFYTUWTUYJHIUWTXCXCMZLZYOYJVHZUVEUUSVHZMZLZOZUYJUWTVUAUYQUWTYOUVEMZ
      LZUXIOZVUAUWTUXIVUDUXMVQVUCUXHQVUEUYTVUCUXHVMYOYJUVEUUSDULUXNVNVOVPVQXCUY
      RVHZXCUYSVHZMZVUBUYIUYPUYTQVUBVUHUYPUYTVMXCUYRXCUYSWTYOYJWDVNVOYPVUFUVFVU
      GYJYOXAUUSUVEXAWBVOVPRWFWGUTUYHUYKFYTWLWJWMUYNUVLXDYPYEYPYEMZUYEUURUYMUVK
      VUIUYDUUQYPYEYTWNSVUIUYLUVJFYTVUIUYHUVDUYKUVIVUIUYGUVCGYTVUIUYFUVBYPYEUVA
      UMSTVUIUYJUVHHIVUIUYIUVGYPYEUVFUMSTWOTWOXEXFWQXGWQYDUULUVLCYTYDUWKQZUUFUV
      LBUUAVUJYKUUAJZQZUWGUUFUVLVULUVRUWFYDUWKVUKUVRYDUVQUWKVUKQZYDUVQVUMLZUWJU
      WMVUNUWNUWMVUKUWKUWLVUKLUWKYKYTYFUSWGXHVBVCVDVEVULUWQUWRUWFVUKUWQVUJVUKUW
      AFYTVUKUVTGYTVUKUUTYTJZQZUXPUVSVUPUXEUXAVUPUXLUXFVUPUXKUXIVUPYKUUTVUOVUKY
      KUUTVTVUOVUKQUUTYKYTYFUUTYKVGVIVJVKVQUXOVPXHUXSXIWFRWGVULUWDFYTVULUWCHIUW
      CVULUXTWKRRUYAWJWMUWGUVLXDYLYEYLYEMZUVRUURUWFUVKVUQUVQUUQYLYEYTWNSVUQUWEU
      VJFYTVUQUWAUVDUWDUVIVUQUVTUVCGYTVUQUVSUVBYLYEUVAUMSTVUQUWCUVHHIVUQUWBUVGY
      LYEUVFUMSTWOTWOXEXFWQWQXGYDYHUUQUVBGYTNZUVGHINZOZFYTNZOZLZUVLYDYGVVBYDYGV
      VBXDUAGFHYEEWAXJYCSVVCUURVVALZQUVLUUQVVAXKVVDUVKUURUVKVUTLZFYTPVVDUVJVVEF
      YTUVJVURLZVUSLZQVVEUVDVVFUVIVVGUVBGYTXLUVGHIXLXMVURVUSXKXNXOVUTFYTXLXPXQW
      EXRXSXTYAUAYFUUEYBVP $.
  $}

  ${
    $d E n $.  $d M n $.  $d N n $.  $d V n $.  $d W n $.
    $( The domain of the satisfaction predicate as function over wff codes in
       any model ` M ` and any binary relation ` E ` on ` M ` for a natural
       number ` N ` is the set of valid Godel formulas of height ` N ` .
       (Contributed by AV, 13-Oct-2023.) $)
    satfdmfmla $p |- ( ( M e. V /\ E e. W /\ N e. _om )
                       -> dom ( ( M Sat E ) ` N ) = ( Fmla ` N ) ) $=
      ( vn wcel com csat co cfv cdm c0 wceq wa cvv 0ex syl fveq2 dmeqd cfmla cv
      w3a wral pm3.2i jctr 3adant3 satfdm wi eqeq12d rspcv 3ad2ant3 mpd elelsuc
      csuc fmlafv eqtr4d ) BDGZAEGZCHGZUCZCBAIJZKZLZCMMIJZKZLZCUAKZVAFUBZVBKZLZ
      VIVEKZLZNZFHUDZVDVGNZVAURUSOZMPGZVROZOZVOURUSVTUTVQVSVRVRQQUEUFUGFAMBMDEP
      PUHRUTURVOVPUIUSVNVPFCHVICNZVKVDVMVGWAVJVCVICVBSTWAVLVFVICVESTUJUKULUMVAC
      HUOGZVHVGNUTURWBUSCHUNULCUPRUQ $.
  $}

  $( Lemma for ~ satffunlem1lem1 and ~ satffunlem2lem1 .  (Contributed by AV,
     27-Oct-2023.) $)
  satffunlem $p |- ( ( ( Fun Z /\ ( s e. Z /\ r e. Z )
                                /\ ( u e. Z /\ v e. Z ) )
             /\ ( x = ( ( 1st ` s ) |g ( 1st ` r ) )
                  /\ y = ( ( M ^m _om ) \ ( ( 2nd ` s ) i^i ( 2nd ` r ) ) ) )
             /\ ( x = ( ( 1st ` u ) |g ( 1st ` v ) )
                  /\ w = ( ( M ^m _om ) \ ( ( 2nd ` u ) i^i ( 2nd ` v ) ) ) ) )
                      -> y = w ) $=
    ( cv wcel wa c1st cfv wceq c2nd wi c1o cop cvv wfun w3a cgna co com cin weq
    cmap cdif eqtr2 fvex gonafv mp2an eqeq12i 1oex opex opth anbi2i funfv1st2nd
    3bitri ex anim12d fveq2 eqcoms adantr eqeq1d adantl anbi12d anbi1d ad2ant2r
    ad2ant2l ineq12d syl6bi com12 a1i syl2and 3imp1 difeq2d eqeq12 mpbird exp43
    expd wb adantld syl5bi syl5 com35 impd com24 3imp ) GUAZHJZGKZIJZGKZLZEJZGK
    ZDJZGKZLZUBZAJZWLMNZWNMNZUCUDZOZBJZFUEUHUDZWLPNZWNPNZUFZUIZOZLXCWQMNZWSMNZU
    CUDZOZCJZXIWQPNZWSPNZUFZUIZOZLZBCUGZXBXGXNYEYFQXBYEXNXGYFXBXRYDXNXGYFQQXBXR
    XGXNYDYFXBXRXGXNYDYFQQZXRXGLXQXFOZXBYGXCXQXFUJYHRROZXOXDOZXPXEOZLZLZXBYGYHR
    XOXPSZSZRXDXESZSZOYIYNYPOZLYMXQYOXFYQXOTKXPTKXQYOOWQMUKZWSMUKZXOXPTTULUMXDT
    KXETKXFYQOWLMUKWNMUKXDXETTULUMUNRYNRYPUOXOXPUPUQYRYLYIXOXPXDXEYSYTUQURUTXBY
    LYGYIXBYLXNYDYFXBYLLZXNYDLZLYFXMYCOZUUAUUCUUBUUAXLYBXIWKWPXAYLXLYBOZWKWPXAY
    LUUDQZWKWPXDGNZXJOZXEGNZXKOZLZXAXOGNZXTOZXPGNZYAOZLZUUEWKWMUUGWOUUIWKWMUUGG
    WLUSVAWKWOUUIGWNUSVAVBWKWRUULWTUUNWKWRUULGWQUSVAWKWTUUNGWSUSVAVBUUJUUOLZUUE
    QWKYLUUPUUDYLUUPUUKXJOZUUMXKOZLZUUOLZUUDYLUUJUUSUUOYLUUGUUQUUIUURYLUUFUUKXJ
    YJUUFUUKOZYKUVAXDXOXDXOGVCVDVEVFYLUUHUUMXKYKUUHUUMOZYJUVBXEXPXEXPGVCVDVGVFV
    HVIUUTXJXTXKYAUUQUULXJXTOUURUUNUUKXJXTUJVJUURUUNXKYAOUUQUULUUMXKYAUJVKVLVMV
    NVOVPWBVQVRVEUUBYFUUCWCUUAXHXMXSYCVSVGVTWAWDWEWFWBWGWHWIWHWJ $.

  ${
    $d E i j s u x y z $.  $d E i r s u x y z $.  $d E j s u v x y z $.
    $d M i j s u x y z $.  $d M i r s u x y z $.  $d M j s u v x y z $.
    $d N i j s u x y z $.  $d N i r s u x y z $.  $d N j s u v x y z $.
    $d f i j s u y z $.  $d f i r s u y z $.  $d f j s u v y z $.
    $d i j k s u y z $.  $d k r s u v y z $.
    $( Lemma for ~ satffunlem1 .  (Contributed by AV, 17-Oct-2023.) $)
    satffunlem1lem1 $p |- ( Fun ( ( M Sat E ) ` N )
                        -> Fun { <. x , y >. | E. u e. ( ( M Sat E ) ` N )
             ( E. v e. ( ( M Sat E ) ` N ) ( x = ( ( 1st ` u ) |g ( 1st ` v ) )
                    /\ y = ( ( M ^m _om ) \ ( ( 2nd ` u ) i^i ( 2nd ` v ) ) ) )
            \/ E. i e. _om ( x = A.g i ( 1st ` u )
                    /\ y = { f e. ( M ^m _om ) | A. k e. M ( { <. i , k >. }
                      u. ( f |` ( _om \ { i } ) ) ) e. ( 2nd ` u ) } ) ) } ) $=
      ( cfv cv c1st wceq com wa cop wcel wi c2o vz vs vr vj csat wfun cgna cmap
      co c2nd cin cdif wrex cgol csn cres cun wral crab wmo wal copab oveqan12d
      wo fveq2 eqeq2d ineqan12d difeq2d anbi12d cbvrexdva simpr goaleq12d opeq1
      adantr sneqd sneq reseq2d uneq12d adantl eleq12d ralbidv rabbidv cbvrexvw
      orbi12d simp-4l anim1i ad2antrr satffunlem eqcomd syl3anc rexlimdva eqeq1
      w3a 3exp c1o df-goal cvv fvex gonafv eqeq12i 2oex opex opth wne 1one2o wn
      mp2an df-ne pm2.21 sylbi ax-mp eqcoms syl6bi impd a1i jaod com23 com12 wb
      anbi2i 3bitri bitrdi funfv1st2nd ex fveqeq2 eqtr2 simpl eqeq12 syl5ibrcom
      vex exp4b syl com24 impcom com13 syl6 imp anbi2d rexbidv sylibr com34 mo4
      syld adantld sylbid syl5bi alrimivv alrimiv funopab ) JIHUEUIKZUFZALZDLZM
      KZCLZMKZUGUIZNZBLZIOUHUIZUUMUJKZUUOUJKZUKZULZNZPZCUUJUMZUULUUNFLZUNZNZUUS
      UVHGLZQZUOZELZOUVHUOZULZUPZUQZUVARZGIURZEUUTUSZNZPZFOUMZVDZDUUJUMZBUTZAVA
      UWFABVBUFUUKUWGAUUKUWFUURUALZUVDNZPZCUUJUMZUVJUWHUWANZPZFOUMZVDZDUUJUMZPU
      USUWHNZSZUAVABVAUWGUUKUWRBUAUUKUWFUWPUWQUWFUULUBLZMKZUCLZMKZUGUIZNZUUSUUT
      UWSUJKZUXAUJKZUKZULZNZPZUCUUJUMZUULUWTUDLZUNZNZUUSUXLUVKQZUOZUVNOUXLUOZUL
      ZUPZUQZUXERZGIURZEUUTUSZNZPZUDOUMZVDZUBUUJUMUUKUWPUWQSZUWEUYGDUBUUJUUMUWS
      NZUVGUXKUWDUYFUYIUVFUXJCUCUUJUYIUUOUXANZPZUURUXDUVEUXIUYKUUQUXCUULUYIUYJU
      UNUWTUUPUXBUGUUMUWSMVEZUUOUXAMVEVCVFUYKUVDUXHUUSUYKUVCUXGUUTUYIUYJUVAUXEU
      VBUXFUUMUWSUJVEZUUOUXAUJVEVGVHVFVIVJUYIUWCUYEFUDOUYIUVHUXLNZPZUVJUXNUWBUY
      DUYOUVIUXMUULUYOUUNUWTUVHUXLUYIUYNVKUYIUUNUWTNZUYNUYLVNVLVFUYOUWAUYCUUSUY
      OUVTUYBEUUTUYOUVSUYAGIUYOUVRUXTUVAUXEUYNUVRUXTNUYIUYNUVMUXPUVQUXSUYNUVLUX
      OUVHUXLUVKVMVOUYNUVPUXRUVNUYNUVOUXQOUVHUXLVPVHVQVRVSUYIUVAUXENZUYNUYMVNVT
      WAWBVFVIVJWDWCUUKUYGUYHUBUUJUUKUWSUUJRZPZUXKUYHUYFUYSUXJUYHUCUUJUYSUXAUUJ
      RZPZUWPUXJUWQVUAUWOUXJUWQSZDUUJVUAUUMUUJRZPZUWKVUBUWNVUDUWJVUBCUUJVUDUUOU
      UJRZPUUKVUCVUEPZUYRUYTPZUWJVUBSUUKUYRUYTVUCVUEWEVUDVUCVUEVUAVUCVKWFVUAVUG
      VUCVUEUYSUYRUYTUUKUYRVKWFWGUUKVUFVUGWMZUWJUXJUWQVUHUWJUXJWMUWHUUSAUABUCUB
      IUUJDCWHWIWNWJWKVUDUWMVUBFOUWMVUBSVUDUVHORZPUVJVUBUWLUVJUXDUXIUWQUVJUXDUV
      IUXCNZUXIUWQSZUULUVIUXCWLVUJTUVHUUNQZQZWOUWTUXBQZQZNZVUKUVIVUMUXCVUOUUNUV
      HWPZUWTWQRUXBWQRUXCVUONUWSMWRUXAMWRUWTUXBWQWQWSXGWTVUPTWONZVULVUNNZPVUKTV
      ULWOVUNXAUVHUUNXBZXCVURVUKVUSVUKWOTWOTXDZWOTNZVUKSZXEVVAVVBXFZVVCWOTXHZVV
      BVUKXIXJXKXLVNXJXJXMXNVNXOWKXPWKXQWKUYSUYEUYHUDOUYSUXLORZPZUWPUYEUWQVVGUW
      OUYEUWQSZDUUJVVGVUCPZUWKVVHUWNVVIUWJVVHCUUJUWJVVHSVVIVUEPUURVVHUWIUYEUURU
      WQUXNUURUWQSUYDUXNUURUXMUUQNZUWQUULUXMUUQWLVVJTUXLUWTQZQZWOUUNUUPQZQZNZUW
      QUXMVVLUUQVVNUWTUXLWPZUUNWQRUUPWQRUUQVVNNUUMMWRZUUOMWRUUNUUPWQWQWSXGWTVVO
      VURVVKVVMNZPUWQTVVKWOVVMXAUXLUWTXBXCVURUWQVVRUWQWOTVVAVVBUWQSZXEVVAVVDVVS
      VVEVVBUWQXIXJXKXLVNXJXJXMVNXRVNXOWKVVIUWMVVHFOVVIVUIPZUVJUWLVVHVVTUVJUYEU
      WLUWQVVTUVJUYEUWLUWQSZSVVTUVJPZUXNUYDVWAVWBUXNTTNZUYNUYPPZPZUYDVWASZUVJUX
      NVWEXSVVTUVJUXNUVIUXMNZVWEUULUVIUXMWLVWGVUMVVLNVWCVULVVKNZPVWEUVIVUMUXMVV
      LVUQVVPWTTVULTVVKXAVUTXCVWHVWDVWCUVHUUNUXLUWTFYJVVQXCXTYAYBVSVVIVWEVWFSVU
      IUVJVVIVWDVWFVWCVVGVUCVWDVWFSZUYSVUCVWISZVVFUUKUYRVWJUUKUYRUWTUUJKZUXENZV
      WJUUKUYRVWLUUJUWSYCYDUUKVUCVWLVWIUUKVUCUUNUUJKUVANZVWLVWISUUKVUCVWMUUJUUM
      YCYDVWDVWLVWMVWFUYPUYNVWLVWMVWFSSUYPVWMVWLUYNVWFUYPVWMVWKUVANZVWLUYNVWFSZ
      SUUNUWTUVAUUJYEVWNVWLVWOVWNVWLPUYQVWOVWKUVAUXEYFUYQUYNUYDUWLUWQUYQUYNPZUW
      QUYDUWLPUYCUWANVWPUYBUVTEUUTVWPUYAUVSGIVWPUXTUVRUXEUVAUYNUXTUVRNZUYQVWQUX
      LUVHUXLUVHNZUXPUVMUXSUVQVWRUXOUVLUXLUVHUVKVMVOVWRUXRUVPUVNVWRUXQUVOOUXLUV
      HVPVHVQVRXLVSVWPUVAUXEUYQUYNYGWIVTWAWBUUSUYCUWHUWAYHYIYKYLYDXMYMYNYOYPXQU
      UCYQVNYQUUDWGUUEXNYDUUAXNWKXPWKXQWKXPWKUUFXNUUGUWFUWPBUAUWQUWEUWODUUJUWQU
      VGUWKUWDUWNUWQUVFUWJCUUJUWQUVEUWIUURUUSUWHUVDWLYRYSUWQUWCUWMFOUWQUWBUWLUV
      JUUSUWHUWAWLYRYSWDYSUUBYTUUHUWFABUUIYT $.
  $}

  ${
    $d E f g i u v x y $.  $d M f g i u v x y $.  $d V f g i u v x $.
    $d W f g i u v x $.  $d j x y $.
    $( Lemma 2 for ~ satffunlem1 .  (Contributed by AV, 23-Oct-2023.) $)
    satffunlem1lem2 $p |- ( ( M e. V /\ E e. W )
                         -> ( dom ( ( M Sat E ) ` (/) )
                          i^i dom { <. x , y >. | E. u e. ( ( M Sat E ) ` (/) )
           ( E. v e. ( ( M Sat E ) ` (/) ) ( x = ( ( 1st ` u ) |g ( 1st ` v ) )
                    /\ y = ( ( M ^m _om ) \ ( ( 2nd ` u ) i^i ( 2nd ` v ) ) ) )
          \/ E. i e. _om ( x = A.g i ( 1st ` u )
                    /\ y = { f e. ( M ^m _om ) | A. j e. M ( { <. i , j >. }
              u. ( f |` ( _om \ { i } ) ) ) e. ( 2nd ` u ) } ) ) } ) = (/) ) $=
      ( vg wcel wa c0 cfv cv wceq com wrex csat co cdm c1st cgna cmap c2nd cdif
      cin cgol cop csn cres cun wral crab wo copab cab peano1 satfdmfmla mp3an3
      cfmla cvv ovex difexi a1i ralrimiva rabex jca dmopab2rex syl wrel satfrel
      1stdm sylan w3a eqcomd adantr eleqtrrd wb oveq1 eqeq2d eqidd id goaleq12d
      rexbidv orbi12d adantl ad4ant13 oveq2 simpr rspcedvd rexlimdva orim1d imp
      ex wi releldm2 eleq2d bitr3d r19.41v eqcoms biimpa reximdv syl5bir sylbid
      expd rexlimdv sylbird expimpd reximdva impbid abbidv ineq12d fmla0disjsuc
      bitrd eqtrd eqtrdi ) IJMZHKMZNZOIHUAUBPZUCZAQZDQZUDPZCQZUDPZUEUBZRZBQZISU
      FUBZYFUGPZYHUGPUIZUHZRNCYCTYEYGFQZUJZRZYLYQGQUKULEQZSYQULUHUMUNYNMGIUOZEY
      MUPZRNFSTUQDYCTABURUCZUIOVCPZYEYTLQZUEUBZRZLUUDTZYEYTYQUJZRZFSTZUQZEUUDTZ
      AUSZUIOYBYDUUDUUCUUNXTYAOSMZYDUUDRUTHIOJKVAZVBZYBUUCYKCYCTZYSFSTZUQZDYCTZ
      AUSZUUNYBYPVDMZCYCUOZUUBVDMZFSUOZNZDYCUOUUCUVBRYBUVGDYCYBYFYCMZNZUVDUVFUV
      IUVCCYCUVCUVIYHYCMZNZYMYOISUFVEZVFVGVHUVIUVEFSUVEUVIYQSMNUUAEYMUVLVIVGVHV
      JVHABCDYJYPYRUUBYCFSYCVDVDVKVLYBUVAUUMAYBUVAUUMYBUUTUUMDYCUVIUUTUUMUVIUUT
      NZUULYEYGUUEUEUBZRZLUUDTZUUSUQZEYGUUDUVIYGUUDMUUTUVIYGYDUUDYBYCVMZUVHYGYD
      MXTYAUUOUVRUTHIOJKVNVBZYFYCVOVPYBUUDYDRZUVHXTYAUUOUVTUTXTYAUUOVQYDUUDUUPV
      RVBZVSVTVSYTYGRZUULUVQWAUVMUWBUUHUVPUUKUUSUWBUUGUVOLUUDUWBUUFUVNYEYTYGUUE
      UEWBWCWGUWBUUJYSFSUWBUUIYRYEUWBYTYGYQYQUWBYQWDUWBWEWFWCWGWHWIUVIUUTUVQUVI
      UURUVPUUSUVIYKUVPCYCUVKYKUVPUVKYKNZUVOYKLYIUUDYBUVJYIUUDMUVHYKYBUVJNYIYDU
      UDYBUVRUVJYIYDMUVSYHYCVOVPYBUVTUVJUWAVSVTWJUUEYIRZUVOYKWAUWCUWDUVNYJYEUUE
      YIYGUEWKZWCWIUVKYKWLWMWQWNWOWPWMWQWNYBUULUVAEUUDYBYTUUDMZYGYTRZDYCTZUULUV
      AWRYBYTYDMZUWHUWFYBUVRUWIUWHWAUVSDYCYTWSVLYBYDUUDYTUUQWTXAYBUWHUULUVAUWHU
      ULNUWGUULNZDYCTYBUVAUWGUULDYCXBYBUWJUUTDYCUVIUWGUULUUTUVIUWGNZUULUVQUUTUW
      GUVQUULWAUVIUWGUVPUUHUUSUUKUWGUVOUUGLUUDUWGUVNUUFYEYGYTUUEUEWBWCWGUWGYSUU
      JFSUWGYRUUIYEUWGYGYTYQYQUWGYQWDUWGWEWFWCWGWHWIUWKUVPUURUUSUVIUVPUURWRZUWG
      YBUWLUVHYBUVOUURLUUDYBUUEUUDMZYIUUERZCYCTZUVOUURWRYBUWMUUEYDMZUWOYBUUDYDU
      UEYBYDUUDUUQVRWTYBUVRUWPUWOWAUVSCYCUUEWSVLXQYBUWOUVOUURUWOUVONUWNUVONZCYC
      TYBUURUWNUVOCYCXBYBUWQYKCYCUWQYKWRYBUWNUVOYKUWNUVNYJYEUVNYJRUUEYIUWEXCWCX
      DVGXEXFXHXGXIVSVSWOXJXKXLXFXHXJXIXMXNXRXOALEFXPXS $.
  $}

  ${
    $d A j s w y $.  $d A r s w y $.  $d B j s w y $.  $d B r s w y $.
    $d M i u $.  $d M u v $.  $d N i j s u w x y $.  $d N i r s u w x y $.
    $d N j s u v w x y $.  $d S i j s u w x y $.  $d S i r s u w x y $.
    $d S j s u v w x y $.  $d a i j s u $.  $d a j s u v $.  $d i j s u z $.
    $d r s u v w x y $.  $d v z $.
    satffunlem2lem1.s $e |- S = ( M Sat E ) $.
    satffunlem2lem1.a $e |- A = ( ( M ^m _om )
                              \ ( ( 2nd ` u ) i^i ( 2nd ` v ) ) ) $.
    satffunlem2lem1.b $e |- B = { a e. ( M ^m _om ) | A. z e. M
            ( { <. i , z >. } u. ( a |` ( _om \ { i } ) ) ) e. ( 2nd ` u ) } $.
    $( Lemma 1 for ~ satffunlem2 .  (Contributed by AV, 28-Oct-2023.) $)
    satffunlem2lem1 $p |- ( ( Fun ( S ` suc N ) /\ ( S ` N ) C_ ( S ` suc N ) )
                 -> Fun { <. x , y >. | ( E. u e. ( ( S ` suc N ) \ ( S ` N ) )
        ( E. v e. ( S ` suc N ) ( x = ( ( 1st ` u ) |g ( 1st ` v ) ) /\ y = A )
       \/ E. i e. _om ( x = A.g i ( 1st ` u ) /\ y = B ) )
                 \/ E. u e. ( S ` N ) E. v e. ( ( S ` suc N ) \ ( S ` N ) )
                       ( x = ( ( 1st ` u ) |g ( 1st ` v ) ) /\ y = A ) ) } ) $=
      ( wa wceq wi adantr vw vs vr vj csuc cfv wfun wss c1st cgna wrex cgol com
      cv co wo cdif wmo wal copab cmap c2nd cin cop csn cres cun wcel wral crab
      simpl fveq2d simpr oveq12d eqeq2d ineq12d difeq2d anbi12d cbvrexdva fveq2
      syl5eq goaleq12d eqeq2i opeq1 sneq reseq2d uneq12d adantl eleq12d ralbidv
      rabbidv syl5bb orbi12d cbvrexvw oveqan12d ineqan12d orbi12i eldifi anim1i
      sneqd ad2antrr 3jca syl3an 3exp com23 rexlimdva eqeq1 c1o c2o fvex gonafv
      cvv mp2an df-goal eqeq12i opex opth sylbi syl6bi com12 jaod ssel ad3antlr
      a1i impcom ad2antll jca rexlimdvva 2oex funfv1st2nd ex eqcomd imp simplll
      impd adantrd impancom anbi2d rexbidv sylibr w3a simp-5l biimpi satffunlem
      id anim2i 1oex wne 1one2o df-ne pm2.21 ax-mp simp-4l eqcoms rexlimivw vex
      wn anbi2i 3bitri bitrdi fveqeq2 eqtr2 eqtr4di eqeq12 syl5ibrcom exp4b syl
      com24 com13 syl56 3syld adantld sylbid com34 simprl syl3anc exp32 expdimp
      wb rexlimdv rexlimdvv syl5bi alrimivv 2rexbidv mo4 alrimiv funopab ) LUEH
      UFZUGZLHUFZUWHUHZQZAUNZEUNZUIUFZDUNZUIUFZUJUOZRZBUNZFRZQZDUWHUKZUWMUWOIUN
      ZULZRZUWTGRZQZIUMUKZUPZEUWHUWJUQZUKZUXBDUXKUKZEUWJUKZUPZBURZAUSUXOABUTUGU
      WLUXPAUWLUXOUWSUAUNZFRZQZDUWHUKZUXFUXQGRZQZIUMUKZUPZEUXKUKZUXSDUXKUKZEUWJ
      UKZUPZQUWTUXQRZSZUAUSBUSUXPUWLUYJBUAUWLUXOUYHUYIUXOUWMUBUNZUIUFZUCUNZUIUF
      ZUJUOZRZUWTKUMVAUOZUYKVBUFZUYMVBUFZVCZUQZRZQZUCUWHUKZUWMUYLUDUNZULZRZUWTV
      UECUNZVDZVEZMUNZUMVUEVEZUQZVFZVGZUYRVHZCKVIZMUYQVJZRZQZUDUMUKZUPZUBUXKUKZ
      VUCUCUXKUKZUBUWJUKZUPUWLUYHUYISZUXLVVCUXNVVEUXJVVBEUBUXKUWNUYKRZUXCVUDUXI
      VVAVVGUXBVUCDUCUWHVVGUWPUYMRZQZUWSUYPUXAVUBVVIUWRUYOUWMVVIUWOUYLUWQUYNUJV
      VIUWNUYKUIVVGVVHVKZVLVVIUWPUYMUIVVGVVHVMZVLVNVOVVIFVUAUWTVVIFUYQUWNVBUFZU
      WPVBUFZVCZUQZVUAOVVIVVNUYTUYQVVIVVLUYRVVMUYSVVIUWNUYKVBVVJVLVVIUWPUYMVBVV
      KVLVPVQWAVOVRVSVVGUXHVUTIUDUMVVGUXDVUERZQZUXFVUGUXGVUSVVQUXEVUFUWMVVQUWOU
      YLUXDVUEVVGVVPVMVVGUWOUYLRZVVPUWNUYKUIVTZTWBVOUXGUWTUXDVUHVDZVEZVUKUMUXDV
      EZUQZVFZVGZVVLVHZCKVIZMUYQVJZRVVQVUSGVWHUWTPWCVVQVWHVURUWTVVQVWGVUQMUYQVV
      QVWFVUPCKVVQVWEVUOVVLUYRVVPVWEVUORVVGVVPVWAVUJVWDVUNVVPVVTVUIUXDVUEVUHWDW
      TVVPVWCVUMVUKVVPVWBVULUMUXDVUEWEVQWFWGZWHVVGVVLUYRRZVVPUWNUYKVBVTZTWIWJWK
      VOWLVRVSWMWNUXMVVDEUBUWJVVGUXBVUCDUCUXKVVIUWSUYPUXAVUBVVIUWRUYOUWMVVGVVHU
      WOUYLUWQUYNUJVVSUWPUYMUIVTWOVOUXAUWTVVORVVIVUBFVVOUWTOWCVVIVVOVUAUWTVVIVV
      NUYTUYQVVGVVHVVLUYRVVMUYSVWKUWPUYMVBVTWPVQVOWLVRVSWNWQUWLVVCVVFVVEUWLVVBV
      VFUBUXKUWLUYKUXKVHZQZVUDVVFVVAVWMVUCVVFUCUWHVWMUYMUWHVHZQZUYHVUCUYIVWOUYE
      VUCUYISZUYGVWOUYDVWPEUXKVWOUWNUXKVHZQZUXTVWPUYCVWRUXSVWPDUWHVWRUWPUWHVHZQ
      ZVUCUXSUYIVWTVUCUXSUYIVWTUWIUYKUWHVHZVWNQZUWNUWHVHZVWSQZUUAZVUCVUCUXSUWSU
      XQVVORZQZUYIVWTUWIVXBVXDUWIUWKVWLVWNVWQVWSUUBVWOVXBVWQVWSVWMVXAVWNVWLVXAU
      WLUYKUWHUWJWRZWHWSZXAVWRVXCVWSVWQVXCVWOUWNUWHUWJWRZWHWSXBVUCUUEZUXRVXFUWS
      UXRVXFFVVOUXQOWCUUCUUFZABUADEKUWHUBUCUUDZXCXDXEXFVWRUYBVWPIUMUYBVWPSVWRUX
      DUMVHZQUXFVWPUYAVUCUXFUYIUYPUXFUYISVUBUYPUXFUYOUXERZUYIUWMUYOUXEXGVXOXHUY
      LUYNVDZVDZXIUXDUWOVDZVDZRZUYIUYOVXQUXEVXSUYLXLVHUYNXLVHUYOVXQRUYKUIXJUYMU
      IXJUYLUYNXLXLXKXMUWOUXDXNZXOVXTXHXIRZVXPVXRRZQUYIXHVXPXIVXRUUGUYLUYNXPXQV
      YBUYIVYCXHXIUUHZVYBUYISZUUIVYDVYBUUQVYEXHXIUUJVYBUYIUUKXRUULZTXRXRXSZTXTT
      YDXFYAXFVWOUXSVWPEDUWJUXKVWOUWNUWJVHZUWPUXKVHZQZQZVUCUXSUYIVYKVUCUXSUYIVY
      KVXEVUCVUCUXSVXGUYIVYKUWIVXBVXDUWIUWKVWLVWNVYJUUMVWOVXBVYJVXITVYKVXCVWSVY
      JVWOVXCVYHVWOVXCSVYIVWOVYHVXCUWKVYHVXCSZUWIVWLVWNUWJUWHUWNYBZYCXTTYEVYIVW
      SVWOVYHUWPUWHUWJWRZYFYGXBVXKVXLVXMXCXDXEYHYAXEXFVWMVUTVVFUDUMVWMVUEUMVHZQ
      ZUYHVUTUYIVYPUYEVUTUYISZUYGVYPUYDVYQEUXKVYPVWQQZUXTVYQUYCUXTVYQSVYRUXSVYQ
      DUWHUWSVYQUXRVUTUWSUYIVUGUWSUYISVUSVUGUWSVUFUWRRZUYIUWMVUFUWRXGVYSXIVUEUY
      LVDZVDZXHUWOUWQVDZVDZRZUYIVUFWUAUWRWUCUYLVUEXNZUWOXLVHUWQXLVHUWRWUCRUWNUI
      XJZUWPUIXJUWOUWQXLXLXKXMXOWUDXIXHRZVYTWUBRZQUYIXIVYTXHWUBYIVUEUYLXPXQWUGU
      YIWUHUYIXHXIVYFUUNTXRXRXSTXTTZUUOYDVYRUYBVYQIUMVYRVXNQZUXFUYAVYQWUJUXFVUT
      UYAUYIWUJUXFVUTUYAUYISZSWUJUXFQZVUGVUSWUKWULVUGXIXIRZVVPVVRQZQZVUSWUKSZUX
      FVUGWUOUVSWUJUXFVUGUXEVUFRZWUOUWMUXEVUFXGWUQVXSWUARWUMVXRVYTRZQWUOUXEVXSV
      UFWUAVYAWUEXOXIVXRXIVYTYIUXDUWOXPXQWURWUNWUMUXDUWOVUEUYLIUUPWUFXQUURUUSUU
      TWHVYRWUOWUPSVXNUXFVYRWUNWUPWUMVYPVWQWUNWUPSZVWMVWQWUSSZVYOUWLVWLWUTUWLVW
      LVXAUYLUWHUFZUYRRZWUTVWLVXASUWLVXHYDUWIVXAWVBSUWKUWIVXAWVBUWHUYKYJYKTUWLV
      WQWVBWUSVWQVXCUWLUWOUWHUFVVLRZWVBWUSSVXJUWIVXCWVCSUWKUWIVXCWVCUWHUWNYJYKT
      WUNWVBWVCWUPVVRVVPWVBWVCWUPSSVVRWVCWVBVVPWUPVVRWVCWVAVVLRZWVBVVPWUPSZSUWO
      UYLVVLUWHUVAWVDWVBWVEWVDWVBQVWJWVEWVAVVLUYRUVBVWJVVPVUSUYAUYIVWJVVPQZUYIV
      USUYAQVURGRWVFVURVWHGWVFVUQVWGMUYQWVFVUPVWFCKWVFVUOVWEUYRVVLVVPVUOVWERVWJ
      VVPVWEVUOVWIYLWHWVFVVLUYRVWJVVPVKYLWIWJWKPUVCUWTVURUXQGUVDUVEUVFUVGYKXSUV
      HYEUVIUVJXEUVKYMTYMUVLXAUVMYOYKUVNYOXFYAXFVYPUYFVYQEUWJVYPVYHQZUXSVYQDUXK
      UXSVYQSWVGVYIQWUIYDXFXFYAXEXFYAXFUWLVUCVVFUBUCUWJUXKUWLUYKUWJVHZUYMUXKVHZ
      QZQZVUCVVFWVKVUCQZUYEUYIUYGWVLUYDUYIEUXKWVLVWQQZUXTUYIUYCWVMUXSUYIDUWHWVL
      VWQVWSUXSUYISZWVKVWQVWSQZVUCWVNWVKWVOQZVUCUXSUYIWVPVUCUXSQZQVXEVUCVXGUYIW
      VPVXEWVQWVPUWIVXBVXDUWIUWKWVJWVOYNWVKVXBWVOWVKVXAVWNUWLWVJVXAUWKWVJVXASUW
      IUWKWVHVXAWVIUWJUWHUYKYBYPWHYMWVIVWNUWLWVHUYMUWHUWJWRYFYGZTWVOVXDWVKVWQVX
      CVWSVXJWSWHXBTWVPVUCUXSUVOUXSVXGWVPVUCVXLYFVXMUVPUVQYQUVRUVTWVMUYBUYIIUMV
      UCUYBUYISZWVKVWQVXNUYPWVSVUBUYPUXFUYIUYAVYGYPTYCXFYAXFWVLUXSUYIEDUWJUXKWV
      KVYJVUCWVNWVKVYJQZVUCUXSUYIWVTVXEVUCVUCUXSVXGUYIWVTUWIVXBVXDUWIUWKWVJVYJY
      NWVKVXBVYJWVRTWVTVXCVWSVYJWVKVXCVYHWVKVXCSVYIWVKVYHVXCUWLVYLWVJUWKVYLUWIV
      YMWHTXTTYEVYIVWSWVKVYHVYNYFYGXBVXKVXLVXMXCXDYQUWAYAYKYHYAUWBYOUWCUXOUYHBU
      AUYIUXLUYEUXNUYGUYIUXJUYDEUXKUYIUXCUXTUXIUYCUYIUXBUXSDUWHUYIUXAUXRUWSUWTU
      XQFXGYRZYSUYIUXHUYBIUMUYIUXGUYAUXFUWTUXQGXGYRYSWMYSUYIUXBUXSEDUWJUXKWWAUW
      DWMUWEYTUWFUXOABUWGYT $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d D x y z $.  $d I i x y z $.
    $d S u v x y z $.  $d U u v x y z $.  $d W z $.  $d X z $.
    $( The domain of an ordered pair class abstraction with three nested
       restricted existential quantifiers with differences.  (Contributed by
       AV, 25-Oct-2023.) $)
    dmopab3rexdif $p |- ( ( A. u e. U ( A. v e. U B e. X /\ A. i e. I D e. W )
             /\ S C_ U ) -> dom { <. x , y >. | ( E. u e. ( U \ S )
               ( E. v e. U ( x = A /\ y = B ) \/ E. i e. I ( x = C /\ y = D ) )
              \/ E. u e. S E. v e. ( U \ S ) ( x = A /\ y = B ) ) }
             = { x | ( E. u e. ( U \ S ) ( E. v e. U x = A \/ E. i e. I x = C )
                    \/ E. u e. S E. v e. ( U \ S ) x = A ) } ) $=
      ( wral wa wceq wrex wo wex vz wcel wss cdif copab cdm cab rexcom4 orbi12i
      cv 19.43 bitr4i rexbii bitri wb wi difssd ssralv syl impcom simpl exlimiv
      elisset bicomd exbidv syl5ibrcom impbid2 ralrexbid adantr orbi12d adantrd
      ibar adantl ralimdv syld bitr3id cvv weq eqeq1 rexbidv 2rexbidv dmopabelb
      anbi1d elv vex elab 3bitr4g eqrdv ) FNUBZCJOZHMUBZKLOZPZDJOZIJUCZPZUAAUJZ
      EQZBUJZFQZPZCJRZWQGQZWSHQZPZKLRZSZDJIUDZRZXACXHRDIRZSZABUEUFZWRCJRZXCKLRZ
      SZDXHRZWRCXHRDIRZSZAUGZWPUAUJZEQZWTPZCJRZXTGQZXDPZKLRZSZDXHRZYBCXHRZDIRZS
      ZBTZYACJRZYDKLRZSZDXHRZYACXHRZDIRZSZXTXLUBZXTXSUBYLYBBTZCJRZYEBTZKLRZSZDX
      HRZUUACXHRZDIRZSZWPYSUUIYHBTZYJBTZSYLUUFUUJUUHUUKUUFYGBTZDXHRUUJUUEUULDXH
      UUEYCBTZYFBTZSUULUUBUUMUUDUUNYBCBJUHYEKBLUHUIYCYFBUKULUMYGDBXHUHUNUUHYIBT
      ZDIRUUKUUGUUODIYBCBXHUHUMYIDBIUHUNUIYHYJBUKULWPUUFYPUUHYRWPWMDXHOZUUFYPUO
      WOWNUUPWOXHJUCZWNUUPUPWOJIUQZWMDXHJURUSUTWMUUEYODXHWMUUBYMUUDYNWJUUBYMUOW
      LWIUUAYACJWIUUAYAYBYABYAWTVAVBWIUUAYAWTBTBFNVCYAYBWTBYAWTYBYAWTVLVDVEVFVG
      ZVHVIWLUUDYNUOWJWKUUCYDKLWKUUCYDYEYDBYDXDVAVBWKUUCYDXDBTBHMVCYDYEXDBYDXDY
      EYDXDVLVDVEVFVGVHVMVJVHUSWPWICXHOZDIOZUUHYRUOWOWNUVAWOWNWMDIOUVAWMDIJURWO
      WMUUTDIWOWJUUTWLWOUUQWJUUTUPUURWICXHJURUSVKVNVOUTUUTUUGYQDIWIUUAYACXHUUSV
      HVHUSVJVPYTYLUOUAXKYKABVQXTAUAVRZXIYHXJYJUVBXGYGDXHUVBXBYCXFYFUVBXAYBCJUV
      BWRYAWTWQXTEVSZWCZVTUVBXEYEKLUVBXCYDXDWQXTGVSZWCVTVJVTUVBXAYBDCIXHUVDWAVJ
      WBWDXRYSAXTUAWEUVBXPYPXQYRUVBXOYODXHUVBXMYMXNYNUVBWRYACJUVCVTUVBXCYDKLUVE
      VTVJVTUVBWRYADCIXHUVCWAVJWFWGWH $.
  $}

  ${
    $d A i x y $.  $d B x y $.  $d E f g i u v x $.  $d E t v $.  $d E u w $.
    $d M a $.  $d M f g i u v x $.  $d M t v $.  $d M u w $.
    $d N f g i u v x $.  $d N t v $.  $d N u w $.  $d N i u v x y $.
    $d S f g i u v x $.  $d S t v $.  $d S u w $.  $d S i u v x y $.
    $d V f g i u v x $.  $d V t v $.  $d V u w $.  $d W f g i u v x $.
    $d W t v $.  $d W u w $.
    satffunlem2lem2.s $e |- S = ( M Sat E ) $.
    satffunlem2lem2.a $e |- A = ( ( M ^m _om )
                              \ ( ( 2nd ` u ) i^i ( 2nd ` v ) ) ) $.
    satffunlem2lem2.b $e |- B = { a e. ( M ^m _om ) | A. z e. M
            ( { <. i , z >. } u. ( a |` ( _om \ { i } ) ) ) e. ( 2nd ` u ) } $.
    $( Lemma 2 for ~ satffunlem2 .  (Contributed by AV, 27-Oct-2023.) $)
    satffunlem2lem2 $p |- ( ( ( N e. _om /\ ( M e. V /\ E e. W ) )
                              /\ Fun ( S ` suc N ) ) -> ( dom ( S ` suc N )
                i^i dom { <. x , y >. | ( E. u e. ( ( S ` suc N ) \ ( S ` N ) )
        ( E. v e. ( S ` suc N ) ( x = ( ( 1st ` u ) |g ( 1st ` v ) ) /\ y = A )
       \/ E. i e. _om ( x = A.g i ( 1st ` u ) /\ y = B ) )
            \/ E. u e. ( S ` N ) E. v e. ( ( S ` suc N ) \ ( S ` N ) )
               ( x = ( ( 1st ` u ) |g ( 1st ` v ) ) /\ y = A ) ) } ) = (/) ) $=
      ( wcel wa vf vg vw vt com csuc cfv wfun cv c1st cgna co wceq wrex cgol wo
      cdm cdif copab cin cfmla c0 csat fveq1i dmeqi simprl simprr peano2 adantr
      cab w3a 3jca satfdmfmla syl syl5eq cvv wral cmap c2nd ovex difexi eqeltri
      wss a1i ralrimiva cop csn jca ad2antrr satfsschain mpisyl syl2anc fveqeq2
      simpr wb adantl eqidd rspcedvd funeldmdif mpbird ex eleq2i eqcomd 3imtr4d
      difeq12d eleq2d imp oveq1 eqeq2d rexbidv id goaleq12d orbi12d wrel releqi
      satfrel sylibr 1stdm sylan eleqtrrd rexlimdva2 orim1d orim12d releldmdifi
      sylbid eqcomi rexeqi r19.41v releldm2 bitrd reximdv syl5bir expd rexlimdv
      wi syl5bi sylbird expimpd syld eqtrd cres cun rabex2 simplr ancri sssucid
      dmopab3rexdif funeqi biimpi 3sstr3g difeq12i simpl ad4ant13 r19.29an eqid
      oveq2 eqcoms biimpa reximdva biimpcd impbid abbidv ineq12d fmlasucdisj
      com23 ) LUESZKMSZJNSZTZTZLUFZHUGZUHZTZUVLUQZAUIZEUIZUJUGZDUIZUJUGZUKULZUM
      ZBUIZFUMTZDUVLUNUVPUVRIUIZUOZUMZUWCGUMTIUEUNUPEUVLLHUGZURZUNUWDDUWIUNEUWH
      UNUPABUSUQZUTUVKVAUGZUVPUAUIZUBUIZUKULZUMZUBUWKUNZUVPUWLUWEUOZUMZIUEUNZUP
      ZUAUWKLVAUGZURZUNZUWOUBUXBUNZUAUXAUNZUPZAVJZUTZVBUVNUVOUWKUWJUXGUVNUVOUVK
      KJVCULZUGZUQZUWKUVLUXJUVKHUXIPVDZVEUVJUXKUWKUMZUVMUVJUVGUVHUVKUESZVKZUXMU
      VJUVGUVHUXNUVFUVGUVHVFZUVFUVGUVHVGZUVFUXNUVILVHZVIVLZJKUVKMNVMZVNZVIZVOZU
      VNUWJUWBDUVLUNZUWGIUEUNZUPZEUWIUNZUWBDUWIUNZEUWHUNZUPZAVJZUXGUVNFVPSZDUVL
      VQZGVPSZIUEVQZTZEUVLVQUWHUVLWCZUWJUYKUMUVNUYPEUVLUVNUVQUVLSTZUYMUYOUYRUYL
      DUVLUYLUYRUVSUVLSZTFKUEVRULZUVQVSUGZUVSVSUGUTZURVPQUYTVUBKUEVRVTZWAWBWDWE
      UYRUYNIUEUYNUYRUWEUESTUWECUIWFWGOUIUEUWEWGURUUAUUBVUASCKVQOUYTGRVUCUUCWDW
      EWHWEUVNUVIUXNUVFTZTZLUVKWCZUYQUVNUVIVUDUVFUVIUVMUUDUVFVUDUVIUVMUVFUXNUXR
      UUEWIWHZLUUFZUVKLHJKMNPWJWKZABDEUWAFUWFGUWHUVLIUEVPVPUUGWLUVNUYJUXFAUVNUY
      JUXFUVNUYGUXCUYIUXEUVNUYFUXCEUWIUVNUVQUWISZTZUYFTZUWTUVPUVRUWMUKULZUMZUBU
      WKUNZUYEUPZUAUVRUXBVUKUVRUXBSZUYFUVNVUJVUQUVNUVQUXJLUXIUGZURZSZUVRUXKVURU
      QZURZSZVUJVUQUVNVUTVVCUVNVUTTZVVCUCUIZUJUGUVRUMZUCVUSUNZVVDVVFUVRUVRUMZUC
      UVQVUSUVNVUTWNVVEUVQUMVVFVVHWOVVDVVEUVQUVRUJWMWPVVDUVRWQWRVVDUXJUHZVURUXJ
      WCZTZVVCVVGWOUVNVVKVUTUVNVVIVVJUVMVVIUVJUVMVVIUVLUXJUXLUUHUUIWPUVNUWHUVLV
      URUXJVUILHUXIPVDZUXLUUJWHZVIUCUXJVURUVRWSVNWTXAVUJVUTWOUVNUWIVUSUVQUVLUXJ
      UWHVURUXLVVLUUKZXBWDUVNUXBVVBUVRUVNUWKUXKUXAVVAUVNUXKUWKUYBXCUVJUXAVVAUMU
      VMUVJVVAUXAUVJUVGUVHUVFVKZVVAUXAUMZUVJUVGUVHUVFUXPUXQUVFUVIUULVLZJKLMNVMZ
      VNXCZVIXEXFXDXGVIUWLUVRUMZUWTVUPWOVULVVTUWPVUOUWSUYEVVTUWOVUNUBUWKVVTUWNV
      UMUVPUWLUVRUWMUKXHXIZXJVVTUWRUWGIUEVVTUWQUWFUVPVVTUWLUVRUWEUWEVVTUWEWQVVT
      XKXLXIXJXMWPVUKUYFVUPVUKUYDVUOUYEVUKUWBVUODUVLVUKUYSTZUWBTZVUNUWBUBUVTUWK
      UVNUYSUVTUWKSVUJUWBUVNUYSTUVTUVOUWKUVNUVLXNZUYSUVTUVOSUVNUXJXNZVWDUVNUXOV
      WEUVNUVGUVHUXNUVJUVGUVMUXPVIUVJUVHUVMUXQVIUVFUXNUVIUVMUXRWIVLJKUVKMNXPVNZ
      UVLUXJUXLXOXQUVSUVLXRXSUVNUWKUVOUMUYSUVNUVOUWKUYCXCVIXTUUMUWMUVTUMZVUNUWB
      WOZVWCVWGVUMUWAUVPUWMUVTUVRUKUUPZXIZWPVWBUWBWNWRYAYBXGWRYAUVNUYHUXEEUWHUV
      NUVQUWHSZTZUYHTZUXDVUNUBUXBUNZUAUVRUXAVWLUVRUXASUYHVWLUVRUWHUQZUXAUVNUWHX
      NZVWKUVRVWOSUVNVURXNZVWPUVNVVOVWQUVJVVOUVMVVQVIZJKLMNXPZVNUWHVURVVLXOXQUV
      QUWHXRXSUVNUXAVWOUMVWKUVNVWOUXAUVNVWOVVAUXAUWHVURVVLVEUVNVVOVVPVWRVVRVNZV
      OXCVIXTVIVVTUXDVWNWOVWMVVTUWOVUNUBUXBVWAXJWPVWLUWBVWNDUWIVWLUVSUWISZTZUWB
      TZVUNUWBUBUVTUXBVXBUVTUXBSZUWBVWLVXAVXDUVNVXAVXDYOVWKUVNUVSVUSSZUVTVVBSZV
      XAVXDUVNVXEVXFUVNVXETZVXFUDUIZUJUGUVTUMZUDVUSUNZVXGVXIUVTUVTUMZUDUVSVUSUV
      NVXEWNVXHUVSUMVXIVXKWOVXGVXHUVSUVTUJWMWPVXGUVTWQWRVXGVVKVXFVXJWOUVNVVKVXE
      VVMVIUDUXJVURUVTWSVNWTXAVXAVXEWOUVNUWIVUSUVSVVNXBWDUVJVXDVXFWOUVMUVJUXBVV
      BUVTUVJUWKUXKUXAVVAUVJUXKUWKUYAXCVVSXEXFVIXDVIXGVIVWGVWHVXCVWJWPVXBUWBWNW
      RUUNWRYAYCUVNUXCUYGUXEUYIUVNUWTUYGUAUXBUVNUWLUXBSZUVRUWLUMZEVUSUNZUWTUYGY
      OZUVNVXLUWLVVBSZVXNUVNUXBVVBUWLUVNUWKUXKUXAVVAUVNUXOUWKUXKUMUVJUXOUVMUXSV
      IZUXOUXKUWKUXTXCVNUVNVVAUXAVWTXCZXEZXFUVNVWEVVJVXPVXNYOVWFUVNVUEVUFVVJVUG
      VUHUVKLUXIJKMNUXIUUOWJWKZEUXJVURUWLYDWLYEVXNVXMEUWIUNZUVNVXOVXMEVUSUWIUWI
      VUSVVNYFZYGUVNVYAUWTUYGVYAUWTTVXMUWTTZEUWIUNUVNUYGVXMUWTEUWIYHUVNVYCUYFEU
      WIVUKVXMUWTUYFVUKVXMTZUWTVUPUYFVXMVUPUWTWOVUKVXMVUOUWPUYEUWSVXMVUNUWOUBUW
      KVXMVUMUWNUVPUVRUWLUWMUKXHXIZXJVXMUWGUWRIUEVXMUWFUWQUVPVXMUVRUWLUWEUWEVXM
      UWEWQVXMXKXLXIXJXMWPVYDVUOUYDUYEUVNVUOUYDYOVUJVXMUVNVUNUYDUBUWKUVNUWMUWKS
      ZUVTUWMUMZDUXJUNZVUNUYDYOUVNVYFUWMUXKSZVYHUVNUWKUXKUWMUVNUXKUWKUVNUXOUXMV
      XQUXTVNXCXFUVNVWEVYIVYHWOVWFDUXJUWMYIVNYJUVNVYHVUNUYDVYHVUNTVYGVUNTZDUXJU
      NZUVNUYDVYGVUNDUXJYHVYKVYJDUVLUNUVNUYDVYJDUXJUVLUVKUXIHHUXIPYFVDYGUVNVYJU
      WBDUVLVYJUWBYOUVNVYGVUNUWBVYGVUMUWAUVPVUMUWAUMUWMUVTVWIUUQXIZUURWDYKYPYLY
      MYEYNWIYBYQYRUUSYLYMYPYSYNUVNUXDUYIUAUXAUVNUWLUXASZVXMEVURUNZUXDUYIYOUVNV
      YMUWLVVASZVYNUVNUXAVVAUWLVXRXFUVNVWQVYOVYNWOUVJVWQUVMUVJVVOVWQVVQVWSVNVIE
      VURUWLYIVNYJUVNVYNUXDUYIVYNUXDTVXMUXDTZEVURUNZUVNUYIVXMUXDEVURYHVYQVYPEUW
      HUNUVNUYIVYPEVURUWHUWHVURVVLYFYGUVNVYPUYHEUWHUVNVXMUXDUYHUVNVXMTUXDVWNUYH
      VXMVWNUXDWOUVNVXMVUNUWOUBUXBVYEXJWPUVNVWNUYHYOVXMUVNVUNUYHUBUXBUVNUWMUXBS
      ZVYGDVUSUNZVUNUYHYOZUVNVYRUWMVVBSZVYSUVNUXBVVBUWMVXSXFUVNVWEVVJWUAVYSYOVW
      FVXTDUXJVURUWMYDWLYEVYSVYGDUWIUNZUVNVYTVYGDVUSUWIVYBYGUVNVUNWUBUYHUVNVUNW
      UBUYHYOUVNVUNTVYGUWBDUWIVUNVYGUWBYOUVNVYGVUNUWBVYLUUTWPYKXAUVEYPYSYNVIYQY
      RYKYPYLYMYEYNYCUVAUVBYTUVCUVFUXHVBUMUVIUVMAUBUAILUVDWIYT $.
  $}

  ${
    $d E f i j u v x y $.  $d M f i j u v x y $.  $d V f i u v x y $.
    $d W f i u v x y $.
    $( Lemma 1 for ~ satffun : induction basis.  (Contributed by AV,
       28-Oct-2023.) $)
    satffunlem1 $p |- ( ( M e. V /\ E e. W )
                        -> Fun ( ( M Sat E ) ` suc (/) ) ) $=
      ( vx vu vv vy vi vj vf wcel wa c0 co cfv wfun cv wceq com cin cop csn cun
      csuc csat c1st cgna cmap c2nd cdif wrex cgol cres wral wo copab satfv0fun
      crab cdm satffunlem1lem1 syl satffunlem1lem2 funun syl21anc eqid satfvsuc
      peano1 mp3an3 funeqd mpbird ) BCLZADLZMZNUEBAUFOZPZQNVOPZERZFRZUGPZGRZUGP
      UHOSHRZBTUIOZVSUJPZWAUJPUAUKSMGVQULVRVTIRZUMSWBWEJRUBUCKRTWEUCUKUNUDWDLJB
      UOKWCUSSMITULUPFVQULEHUQZUDZQZVNVQQZWFQZVQUTWFUTUANSWHABCDURZVNWIWJWKEHGF
      KIJABNVAVBEHGFKIJABCDVCVQWFVDVEVNVPWGVLVMNTLVPWGSVHEHJGFVOIABNCDKVOVFVGVI
      VJVK $.

    $d N i u v x y $.
    $( Lemma 2 for ~ satffun : induction step.  (Contributed by AV,
       28-Oct-2023.) $)
    satffunlem2 $p |- ( ( N e. _om /\ ( M e. V /\ E e. W ) )
                        -> ( Fun ( ( M Sat E ) ` suc N )
                             -> Fun ( ( M Sat E ) ` suc suc N ) ) ) $=
      ( vx vu vv vy vi vj vf com wcel wa cfv wfun cv wceq wrex csuc csat co cin
      c1st cgna cmap c2nd cdif cgol cop csn cres cun wral wo copab cdm c0 simpr
      crab wss wi peano2 ancri adantr sssucid a1i eqid satfsschain imp syl21anc
      satffunlem2lem1 expcom satffunlem2lem2 funun simpl satfvsucsuc syl2an23an
      syl wb funeqd mpbird ex ) CMNZBDNZAENZOZOZCUAZBAUBUCZPZQZWJUAWKPZQZWIWMOZ
      WOWLFRZGRZUEPZHRZUEPUFUCSIRZBMUGUCZWRUHPZWTUHPUDUIZSOZHWLTWQWSJRZUJSXAXFK
      RUKULLRMXFULUIUMUNXCNKBUOLXBVAZSOJMTUPGWLCWKPZUIZTXEHXITGXHTUPFIUQZUNZQZW
      PWMXJQZWLURXJURUDUSSXLWIWMUTWIWMXMWIXHWLVBZWMXMVCWIWHWJMNZWEOZCWJVBZXNWEW
      HUTWEXPWHWEXOCVDVEVFXQWICVGVHWHXPOXQXNWJCWKABDEWKVIZVJVKVLWMXNXMFIKHGXDXG
      WKJABCLXRXDVIZXGVIZVMVNVTVKFIKHGXDXGWKJABCDELXRXSXTVOWLXJVPVLWIWOXLWAWMWI
      WNXKWHWFWGWEWEWNXKSWFWGVQWFWGUTWEWHVQFIKHGXDXGWKJABCDELXRXSXTVRVSWBVFWCWD
      $.
  $}

  ${
    $d E n x y $.  $d M n x y $.  $d N n $.  $d V n x y $.  $d W n x y $.
    $( The value of the satisfaction predicate as function over wff codes at a
       natural number is a function.  (Contributed by AV, 28-Oct-2023.) $)
    satffun $p |- ( ( M e. V /\ E e. W /\ N e. _om )
                    -> Fun ( ( M Sat E ) ` N ) ) $=
      ( vn vx vy c0 wceq wcel com cfv wfun wi funeqd csuc suceq fveq2d imbi2d
      w3a csat co satfv0fun 3adant3 fveq2 syl5ibr wn wa wne df-ne cv wrex nnsuc
      weq satffunlem1 pm2.27 satffunlem2 expcom com23 com13 finds adantr adantl
      syld wb mpbird rexlimiva syl sylbir 3impia com12 pm2.61i ) CIJZBDKZAEKZCL
      KZUAZCBAUBUCZMZNZOVRWAVNIVSMZNZVOVPWCVQABDEUDUEVNVTWBCIVSUFPUGVRVNUHZWAVO
      VPVQWDWAOWDVQVOVPUIZWAWDCIUJZVQWEWAOZOCIUKVQWFWGVQWFUICFULZQZJZFLUMWGFCUN
      WJWGFLWHLKZWJUIWGWEWIVSMZNZOZWKWNWJWEGULZQZVSMZNZOWEIQZVSMZNZOWEHULZQZVSM
      ZNZOZWEXCQZVSMZNZOWNGHWHWOIJZWRXAWEXJWQWTXJWPWSVSWOIRSPTGHUOZWRXEWEXKWQXD
      XKWPXCVSWOXBRSPTWOXCJZWRXIWEXLWQXHXLWPXGVSWOXCRSPTGFUOZWRWMWEXMWQWLXMWPWI
      VSWOWHRSPTABDEUPWEXFXBLKZXIWEXFXEXNXIOWEXEUQWEXNXEXIXNWEXEXIOABXBDEURUSUT
      VEVAVBVCWJWGWNVFWKWJWAWMWEWJVTWLCWIVSUFPTVDVGVHVIUSVJVAVKVLVM $.
  $}

  $( The satisfaction predicate as function over wff codes in the model ` M `
     and the binary relation ` E ` on ` M ` .  (Contributed by AV,
     28-Oct-2023.) $)
  satff $p |- ( ( M e. V /\ E e. W /\ N e. _om )
                -> ( ( M Sat E ) ` N ) : ( Fmla ` N ) --> ~P ( M ^m _om ) ) $=
    ( wcel com w3a csat co cfv cfmla wfn crn cmap cpw wss wf wfun sylanbrc wceq
    cdm satffun satfdmfmla df-fn satfrnmapom df-f ) BDFAEFCGFHZCBAIJKZCLKZMZUIN
    BGOJPZQUJULUIRUHUISUIUBUJUAUKABCDEUCABCDEUDUIUJUETABCDEUFUJULUIUGT $.

  ${
    $d E x y $.  $d M x y $.  $d V x y $.  $d W x y $.
    $( The satisfaction predicate as function over wff codes in the model ` M `
       and the binary relation ` E ` on ` M ` .  (Contributed by AV,
       29-Oct-2023.) $)
    satfun $p |- ( ( M e. V /\ E e. W )
             -> ( ( M Sat E ) ` _om ) : ( Fmla ` _om ) --> ~P ( M ^m _om ) ) $=
      ( vx vy wcel wa com cfmla cfv co wf cv ciun wss wral wbr adantl wb cpw wo
      cmap csat satff 3expa csdm cen w3o entric wpss nnsdomo pm3.22 anim2i eqid
      pssss satfsschain imp syl2an orcd ex sylbid weq ssid fveq2 sseqtrrid olcd
      nneneq syl6bi ancoms impel 3jaod mpd expr ralrimiv jca ralrimiva fvex syl
      fiun satom wceq fmla a1i feq12d mpbird ) BCGZADGZHZIJKZBIUCLUAZIBAUDLZKZM
      EIENZJKZOZWKEIWNWLKZOZMZWIWOWKWQMZWQFNZWLKZPZXBWQPZUBZFIQZHZEIQWSWIXGEIWI
      WNIGZHZWTXFWGWHXHWTABWNCDUEUFXIXEFIWIXHXAIGZXEWIXHXJHZHZWNXAUGRZWNXAUHRZX
      AWNUGRZUIZXEXKXPWIWNXAIIUJSXLXMXEXNXOXLXMWNXAUKZXEXKXMXQTWIWNXAULSXLXQXEX
      LXQHXCXDXLWIXJXHHZHZWNXAPZXCXQXKXRWIXHXJUMUNWNXAUPXSXTXCXAWNWLABCDWLUOZUQ
      URUSUTVAVBXLXNEFVCZXEXKXNYBTWIWNXAVHSYBXDXCYBXBXBWQXBVDWNXAWLVEZVFVGVIXLX
      OXAWNUKZXEXKXOYDTZWIXJXHYEXAWNULVJSXLYDXEXLYDHXDXCXLXAWNPXDYDWNXAWLABCDYA
      UQXAWNUPVKVGVAVBVLVMVNVOVPVQEFIWQXBWOWKYCWNWLVRVTVSWIWJWPWKWMWREABCDWAWJW
      PWBWIEWCWDWEWF $.
  $}

  $( An element of the value of the satisfaction predicate as function over wff
     codes in the model ` M ` and the binary relation ` E ` on ` M ` at the
     code ` U ` for a wff using ` e. , -/\ , A. ` is a valuation
     ` S : _om --> M ` of the variables (v_0 ` = ( S `` (/) ) ` , v_1
     ` = ( S `` 1o ) ` , etc.) so that ` U ` is true under the assignment
     ` S ` .  (Contributed by AV, 29-Oct-2023.) $)
  satfvel $p |- ( ( ( M e. V /\ E e. W ) /\ U e. ( Fmla ` _om )
                    /\ S e. ( ( ( M Sat E ) ` _om ) ` U ) )
                 -> S : _om --> M ) $=
    ( wcel wa com cfmla cfv csat co wf cmap cpw wi satfun ffvelrn syl fvex elpw
    wss ssel elmapi syl6 sylbi ex 3imp ) DEGCFGHZBIJKZGZABIDCLMKZKZGZIDANZUJUKD
    IOMZPZUMNZULUOUPQZQCDEFRUSULUTUSULHUNURGZUTUKURBUMSVAUNUQUCZUTUNUQBUMUAUBVB
    UOAUQGUPUNUQAUDADIUEUFUGTUHTUI $.

  ${
    $d E a i j x y $.  $d M a i j x y $.  $d X a i j x y $.
    satfv0fv.s $e |- S = ( M Sat E ) $.
    $( The value of the satisfaction predicate as function over a wff code at
       ` (/) ` .  (Contributed by AV, 2-Nov-2023.) $)
    satfv0fvfmla0 $p |- ( ( M e. V /\ E e. W /\ X e. ( Fmla ` (/) ) )
                          -> ( ( S ` (/) ) ` X ) = { a e. ( M ^m _om ) |
                                       ( a ` ( 1st ` ( 2nd ` X ) ) )
                                     E ( a ` ( 2nd ` ( 2nd ` X ) ) ) } ) $=
      ( vx vi vj wcel c0 cfv c2nd c1st com wceq wa wrex cfmla w3a wfun wbr cmap
      vy cv crab cop csat satfv0fun fveq1i funeqi sylibr 3adant3 cgoe copab cvv
      fmla0 eleq2i eqeq1 2rexbidv elrab bitri simpr goel eqeq2d 2fveq3 0ex opex
      co wb op2nd fveq2i vex op1st eqtrdi fveq2d breq12d syl6bi imp rabbidv jca
      eqtri reximdva reximia simplbiim 3ad2ant3 simp3 rabex bi2anan9 opelopabga
      ex ovex sylancl mpbird satfv0 eleq2d funopfv sylc ) CDLZBELZFMUANZLZUBZMA
      NZUCZFFONZPNZGUGZNZXHONZXJNZBUDZGCQUEVKZUHZUIZXFLZFXFNXPRXAXBXGXDXAXBSZMC
      BUJVKZNZUCXGBCDEUKXFYAMAXTHULUMUNUOXEXRXQIUGZJUGZKUGZUPVKZRZUFUGZYCXJNZYD
      XJNZBUDZGXOUHZRZSZKQTJQTZIUFUQZLZXEYPFYERZXPYKRZSZKQTZJQTZXDXAUUAXBXDFURL
      ZYQKQTZJQTZUUAXDFYFKQTJQTZIURUHZLUUBUUDSXCUUFFIJKUSUTUUEUUDIFURYBFRZYFYQJ
      KQQYBFYEVAZVBVCVDUUCYTJQYCQLZYQYSKQUUIYDQLSZYQYSUUJYQSZYQYRUUJYQVEUUKXNYJ
      GXOUUJYQXNYJVLZUUJYQFMYCYDUIZUIZRZUULUUJYEUUNFYCYDVFVGUUOXKYHXMYIBUUOXIYC
      XJUUOXIUUNONZPNZYCFUUNPOVHUUQUUMPNYCUUPUUMPMUUMVIYCYDVJVMZVNYCYDJVOZKVOZV
      PWDVQVRUUOXLYDXJUUOXLUUPONZYDFUUNOOVHUVAUUMONYDUUPUUMOUURVNYCYDUUSUUTVMWD
      VQVRVSVTWAWBWCWMWEWFWGWHXEXDXPURLYPUUAVLXAXBXDWIXNGXOCQUEWNWJYNUUAIUFFXPX
      CURUUGYGXPRZSYMYSJKQQUUGYFYQUVBYLYRUUHYGXPYKVAWKVBWLWOWPXAXBXRYPVLXDXSXFY
      OXQIUFAJKBCDEGHWQWRUOWPFXPXFWSWT $.
  $}

$( --- theorems for ` ( M SatE U ) ` --- $)

  ${
    $d M m u $.  $d U m u $.  $d V m u $.  $d W m u $.
    $( The simplified satisfaction predicate as function over wff codes in the
       model ` M ` at the code ` U ` .  (Contributed by AV, 30-Oct-2023.) $)
    satefv $p |- ( ( M e. V /\ U e. W ) -> ( M SatE U )
                       = ( ( ( M Sat ( _E i^i ( M X. M ) ) ) ` _om ) ` U ) ) $=
      ( vm vu wcel wa cvv cv com cep cxp cin csat co cfv csate wceq adantr cmpo
      df-sate a1i sqxpeqd ineq2d oveq12d fveq1d simpr fveq12d adantl elex fvexd
      id ovmpod ) BCGZADGZHZEFBAIIFJZKEJZLUSUSMZNZOPZQZQZAKBLBBMZNZOPZQZQZRIREF
      IIVDUASUQFEUBUCUSBSZURASZHZVDVISUQVLURAVCVHVJVCVHSVKVJKVBVGVJUSBVAVFOVJUM
      ZVJUTVELVJUSBVMUDUEUFUGTVJVKUHUIUJUOBIGUPBCUKTUPAIGUOADUKUJUQAVHULUN $.
  $}

  $( The simplified satisfaction predicate for any wff code over an empty
     model.  (Contributed by AV, 6-Oct-2023.)  (Revised by AV, 5-Nov-2023.) $)
  sate0 $p |- ( U e. V -> ( (/) SatE U )
                          = ( ( ( (/) Sat (/) ) ` _om ) ` U ) ) $=
    ( wcel c0 csate co com cep cxp cin csat cfv cvv wceq 0ex satefv mpan ineq2i
    xp0 fveq1i in0 eqtri oveq2i eqtrdi ) ABCZDAEFZAGDHDDIZJZKFZLZLZAGDDKFZLZLDM
    CUEUFUKNOADMBPQAUJUMGUIULUHDDKUHHDJDUGDHDSRHUAUBUCTTUD $.

  $( The simplified satisfaction predicate as function over wff codes over an
     empty model.  (Contributed by AV, 30-Oct-2023.) $)
  satef $p |- ( ( M e. V /\ U e. ( Fmla ` _om ) /\ S e. ( M SatE U ) )
                  -> S : _om --> M ) $=
    ( wcel com cfmla cfv csate co w3a cep cxp cin cvv wa csat adantr syl simpr
    wf satefv eleq2d simpl incom sqxpexg inex1g eqeltrid jca 3jca sylbid 3impia
    ex satfvel ) CDEZBFGHZEZACBIJZEZKUOLCCMZNZOEZPZUQABFCVAQJHHZEZKZFCAUAUOUQUS
    VFUOUQPZUSVEVFVGURVDABCDUPUBUCVGVEVFVGVEPVCUQVEVGVCVEVGUOVBUOUQUDVGVAUTLNZO
    LUTUEVGUTOEZVHOEUOVIUQCDUFRUTLOUGSUHUIRVGUQVEUOUQTRVGVETUJUMUKULABVACDOUNS
    $.

  $( A simplified satisfaction predicate as function over wff codes over an
     empty model is an empty set.  (Contributed by AV, 31-Oct-2023.) $)
  sate0fv0 $p |- ( U e. ( Fmla ` _om )
                   -> ( S e. ( (/) SatE U ) -> S = (/) ) ) $=
    ( com cfmla cfv wcel c0 csate co wceq cvv 0ex satef mp3an1 f00 simplbi syl6
    wf ex ) BCDEFZAGBHIFZCGARZAGJZTUAUBGKFTUAUBLABGKMNSUBUCCGJCAOPQ $.

  ${
    $d M a i $.  $d V a i $.  $d X a x y $.
    $( The simplified satisfaction predicate for wff codes of height 0.
       (Contributed by AV, 4-Nov-2023.) $)
    satefvfmla0 $p |- ( ( M e. V /\ X e. ( Fmla ` (/) ) )
                        -> ( M SatE X ) = { a e. ( M ^m _om ) |
                                           ( a ` ( 1st ` ( 2nd ` X ) ) )
                                        e. ( a ` ( 2nd ` ( 2nd ` X ) ) ) } ) $=
      ( vi vx vy wcel c0 cfv wa com cep c2nd cv cvv wceq syl adantr eqtrd cfmla
      csate co cxp cin csat c1st cmap crab satefv incom sqxpexg inex1g eqeltrid
      ciun ancli satom fveq1d wfun cdm cpw wf satfun ffund eqcomd funeqd mpbird
      peano1 a1i satfdmfmla mpd3an23 eleq2d biimpa fviunfun syl3anc simpl simpr
      eqid wbr satfv0fvfmla0 wb wi elmapi cop csn wex fmla0xp eleq2i elxp bitri
      xp1st ad2antll vex op2ndd fveq2d eleq1d exlimivv sylbi ffvelrnd xp2nd jca
      ex impcom brinxp bicomd fvex epeli bitrdi rabbidva ) ABHZCIUAJZHZKZACUBUC
      CLAMAAUDZUEZUFUCZJZJZCNJZUGJZDOZJZXSNJZYAJZHZDALUHUCZUIZCABXKUJXMXRCIXPJZ
      JZYGXMXRCELEOXPJUOZJZYIXMCXQYJXMXJXOPHZKZXQYJQXJYMXLXJYLXJXOXNMUEZPMXNUKX
      JXNPHYNPHABULXNMPUMRUNZUPSZEXOABPUQRZURXMYJUSZILHZCYHUTZHZYKYIQXMYRXQUSXM
      LUAJZYFVAZXQXMYMUUBUUCXQVBYPXOABPVCRVDXMYJXQXMXQYJYQVEVFVGYSXMVHVIXJXLUUA
      XJXKYTCXJYTXKXJYLYSYTXKQYOYSXJVHVIXOAIBPVJVKVEVLVMYJEXPLICYJVRVNVOTXMYIYB
      YDXOVSZDYFUIZYGXMXJYLXLYIUUEQXJXLVPXJYLXLYOSXJXLVQXPXOABPCDXPVRVTVOXMUUDY
      EDYFXMYAYFHZKZUUDYBYDMVSZYEUUGYBAHZYDAHZKZUUDUUHWAUUFXMUUKUUFLAYAVBZXMUUK
      WBYAALWCUULXMUUKUULXMKZUUIUUJUUMLAXTYAUULXMVPZXLXTLHZUULXJXLCFOZGOZWDQZUU
      PIWEZHZUUQLLUDZHZKZKZGWFFWFZUUOXLCUUSUVAUDZHUVEXKUVFCWGWHFGCUUSUVAWIWJZUV
      DUUOFGUVDUUOUUQUGJZLHZUVBUVIUURUUTUUQLLWKWLUURUUOUVIWAUVCUURXTUVHLUURXSUU
      QUGUUPUUQCFWMGWMWNZWOWPSVGWQWRWLWSUUMLAYCYAUUNXLYCLHZUULXJXLUVEUVKUVGUVDU
      VKFGUVDUVKUUQNJZLHZUVBUVMUURUUTUUQLLWTWLUURUVKUVMWAUVCUURYCUVLLUURXSUUQNU
      VJWOWPSVGWQWRWLWSXAXBRXCUUKUUHUUDYBYDAAMXDXERYBYDYCYAXFXGXHXITTT $.
  $}

  ${
    $d A a b x $.  $d B a b x $.  $d M a $.  $d S a $.  $d V a $.
    sategoelfvb.s $e |- E = ( M SatE ( A e.g B ) ) $.
    $( Characterization of a valuation ` S ` of a simplified satisfaction
       predicate for a Godel-set of membership.  (Contributed by AV,
       5-Nov-2023.) $)
    sategoelfvb $p |- ( ( M e. V /\ ( A e. _om /\ B e. _om ) )
         -> ( S e. E <-> ( S e. ( M ^m _om ) /\ ( S ` A ) e. ( S ` B ) ) ) ) $=
      ( va vb wcel com wa c2nd cfv c1st c0 wceq wrex cop fveq2d vx cmap co cgoe
      cv crab csate cfmla cvv ovexd simpl wb opeq1 opeq2d eqeq2d rexbidv adantl
      simpr opeq2 eqidd rspcedvd goel eqeqan12d 2rexbidva mpbird eqeq1 2rexbidv
      fmla0 elrab2 sylanbrc satefvfmla0 sylan2 syl5eq eleq2d fveq1 elrab bitrdi
      eleq12d 0ex opex op2nd fveq2i op1stg eqtrd op2ndg anbi2d bitrd ) EFJZAKJZ
      BKJZLZLZCDJZCEKUBUCZJZABUDUCZMNZONZCNZWQMNZCNZJZLZWOACNZBCNZJZLWLWMCWRHUE
      ZNZWTXGNZJZHWNUFZJXCWLDXKCWLDEWPUGUCZXKGWKWHWPPUHNZJZXLXKQWKWPUIJWPXGIUEZ
      UDUCZQZIKRHKRZXNWKABUDUJWKXRPABSZSZPXGXOSZSZQZIKRZHKRWKYDXTPAXOSZSZQZIKRZ
      HAKWIWJUKXGAQZYDYHULWKYIYCYGIKYIYBYFXTYIYAYEPXGAXOUMUNUOUPUQWKYGXTXTQZIBK
      WIWJURXOBQZYGYJULWKYKYFXTXTYKYEXSPXOBAUSUNUOUQWKXTUTVAVAWKXQYCHIKKWKXGKJX
      OKJLWPXTXPYBABVBZXGXOVBVCVDVEUAUEZXPQZIKRHKRXRUAWPUIXMYMWPQYNXQHIKKYMWPXP
      VFVGUAHIVHVIVJEFWPHVKVLVMVNXJXBHCWNXGCQXHWSXIXAWRXGCVOWTXGCVOVRVPVQWLXBXF
      WOWKXBXFULWHWKWSXDXAXEWKWRACWKWRXTMNZONZAWKWQYOOWKWPXTMYLTZTWKYPXSONAYOXS
      OPXSVSABVTWAZWBABKKWCVMWDTWKWTBCWKWTYOMNZBWKWQYOMYQTWKYSXSMNBYOXSMYRWBABK
      KWEVMWDTVRUQWFWG $.

    $( Condition of a valuation ` S ` of a simplified satisfaction predicate
       for a Godel-set of membership:  The sets in model ` M ` corresponding to
       the variables ` A ` and ` B ` under the assignment of ` S ` are in a
       membership relation in ` M ` .  (Contributed by AV, 5-Nov-2023.) $)
    sategoelfv $p |- ( ( M e. V /\ ( A e. _om /\ B e. _om ) /\ S e. E )
                       -> ( S ` A ) e. ( S ` B ) ) $=
      ( wcel com wa cfv cmap co sategoelfvb simpr syl6bi 3impia ) EFHZAIHBIHJZC
      DHZACKBCKHZRSJTCEILMHZUAJUAABCDEFGNUBUAOPQ $.

    $d M x $.  $d Z x $.
    ex-sategoelel.s $e |- S = ( x e. _om
                          |-> if ( x = A , Z , if ( x = B , ~P Z , (/) ) ) ) $.
    $( Example of a valuation of a simplified satisfaction predicate for a
       Godel-set of membership.  (Contributed by AV, 5-Nov-2023.) $)
    ex-sategoelel $p |- ( ( ( M e. WUni /\ Z e. M )
                        /\ ( A e. _om /\ B e. _om /\ A =/= B ) ) -> S e. E ) $=
      ( cwun wcel wa com wceq c0 cif ifcld adantr cvv adantl wne w3a cmap co wf
      cfv cv cpw simpr simpl wunpw wun0 fmptd omex a1i elmapd mpbird pwidg cmpt
      iftrue simpr1 fvmptd eqeq1 ifbid ifbieq2d necom ifnefalse sylbi sylan9eqr
      3ad2ant3 simpr2 0ex eqid iftruei eqtrdi 3eltr4d 3simpa sategoelfvb syl2an
      pwexg wb mpbir2and ) FJKZGFKZLZBMKZCMKZBCUAZUBZLZDEKZDFMUCUDKZBDUFZCDUFZK
      ZWJWLMFDUEWJAMAUGZBNZGWPCNZGUHZOPZPZFDWJXAFKZWPMKWEXBWIWEWQGWTFWCWDUIZWEW
      RWSOFWEGFWCWDUJZXCUKWEFXDULQQRRIUMWJFMDJSWEWCWIXDRMSKWJUNUOUPUQWJGWSWMWNW
      EGWSKZWIWDXEWCGFURTRWJABXAGMDFDAMXAUSNWJIUOZWQXAGNWJWQGWTUTTWEWFWGWHVAWEW
      DWIXCRVBWJWNCCNZWSOPZWSWJACXAXHMDSXFWRWJXACBNZGXHPZXHWRWQXIWTXHGWPCBVCWRW
      RXGWSOWPCCVCVDVEWIXJXHNZWEWHWFXKWGWHCBUAXKBCVFCBGXHVGVHVJTVIWEWFWGWHVKWEX
      HSKWIWEXGWSOSWDWSSKWCGFVTTOSKWEVLUOQRVBXGWSOCVMVNVOVPWEWCWFWGLWKWLWOLWAWI
      XDWFWGWHVQBCDEFJHVRVSWB $.

    $( Instance of ~ sategoelfv for the example of a valuation of a simplified
       satisfaction predicate for a Godel-set of membership.  (Contributed by
       AV, 5-Nov-2023.) $)
    ex-sategoel $p |- ( ( ( M e. WUni /\ Z e. M )
                          /\ ( A e. _om /\ B e. _om /\ A =/= B ) )
                        -> ( S ` A ) e. ( S ` B ) ) $=
      ( cwun wcel wa com wne w3a cfv simpll 3simpa adantl ex-sategoelel syl3anc
      sategoelfv ) FJKZGFKZLZBMKZCMKZBCNZOZLUCUFUGLZDEKBDPCDPKUCUDUIQUIUJUEUFUG
      UHRSABCDEFGHITBCDEFJHUBUA $.
  $}

  ${
    $d I i j k n $.  $d J j k n $.  $d K k n $.  $d L n $.  $d X i j k n x $.
    satfv1fvfmla1.x $e |- X = ( ( I e.g J ) |g ( K e.g L ) ) $.
    ${
      $d E a i j k l x y $.  $d E a i j n x y z $.  $d I a l x y $.  $d I z $.
      $d J a i x y z $.  $d J l $.  $d K a i j l x y $.  $d L a i j k l x y $.
      $d M a i j k l x y $.  $d M a i j n x y z $.  $d V i j k l x y $.
      $d W i j k l x y $.  $d X l y $.
      $( The value of the satisfaction predicate at two Godel-sets of
         membership combined with a Godel-set for NAND. (Contributed by AV,
         17-Nov-2023.) $)
      satfv1fvfmla1 $p |- ( ( ( M e. V /\ E e. W ) /\ ( I e. _om /\ J e. _om )
                              /\ ( K e. _om /\ L e. _om ) )
                 -> ( ( ( M Sat E ) ` 1o ) ` X )
                    = { a e. ( M ^m _om ) | ( -. ( a ` I ) E ( a ` J )
                                           \/ -. ( a ` K ) E ( a ` L ) ) } ) $=
        ( vn wcel wa com co cfv wceq wrex eqeq2d vx vi vj vk vl vy w3a c1o csat
        vz wfun cv wbr wn wo cmap crab cop simpl 1onn a1i 3jca 3ad2ant1 satffun
        simpr syl c0 cgoe cgna cgol weq wif wral copab cun simp2l simp2r simp3l
        simp3r eqid pm3.2i oveq1 oveq2d fveq2 breq1d notbid orbi2d oveq2 breq2d
        rabbidv anbi12d rspc2ev syl3anc orcd oveq1d orbi1d 2rexbidv eqidd eqeq1
        goaleq12d biidd ifpbi23d ifpbi123d ralbidv rexbidv orbi12d cvv wb ovexi
        ovex rabex bi2anan9 opelopabga sylancl mpbird olcd sylibr satfv1 eleq2d
        elun funopfv sylc ) FGMZAHMZNZBOMZCOMZNZDOMZEOMZNZUGZUHFAUIPZQZUKZIBJUL
        ZQZCYPQZAUMZUNZDYPQZEYPQZAUMZUNZUOZJFOUPPZUQZURZYNMZIYNQUUGRYLYCYDUHOMZ
        UGZYOYEYHUUKYKYEYCYDUUJYCYDUSYCYDVEUUJYEUTVAVBVCAFUHGHVDVFYLUUIUUHVGYMQ
        ZUAULZUBULZUCULZVHPZUDULZUEULZVHPZVIPZRZUFULZUUNYPQZUUOYPQZAUMZUNZUUQYP
        QZUURYPQZAUMZUNZUOZJUUFUQZRZNZUEOSUDOSZUUMUUPLULZVJZRZUVBUBLVKZUCLVKZUJ
        ULZUWAAUMZUWAUVDAUMZVLZUVTUVCUWAAUMZUVEVLZVLZUJFVMZJUUFUQZRZNZLOSZUOZUC
        OSUBOSZUAUFVNZVOZMZYLUUHUULMZUUHUWOMZUOUWQYLUWSUWRYLUWSIUUTRZUUGUVLRZNZ
        UEOSUDOSZIUVQRZUUGUWIRZNZLOSZUOZUCOSUBOSZYLYFYGIBCVHPZUUSVIPZRZUUGYTUVJ
        UOZJUUFUQZRZNZUEOSUDOSZIUXJUVPVJZRZUUGBUVPRZCUVPRZUWBUWAYRAUMZVLZUYAYQU
        WAAUMZYSVLZVLZUJFVMZJUUFUQZRZNZLOSZUOZUXIYEYFYGYKVPYEYFYGYKVQYLUXQUYKYL
        YIYJIUXJDEVHPZVIPZRZUUGUUGRZNZUXQYEYHYIYJVRYEYHYIYJVSUYQYLUYOUYPKUUGVTW
        AVAUXPUYQIUXJDUURVHPZVIPZRZUUGYTUUAUVHAUMZUNZUOZJUUFUQZRZNUDUEDEOOUUQDR
        ZUXLUYTUXOVUEVUFUXKUYSIVUFUUSUYRUXJVIUUQDUURVHWBWCTVUFUXNVUDUUGVUFUXMVU
        CJUUFVUFUVJVUBYTVUFUVIVUAVUFUVGUUAUVHAUUQDYPWDWEWFWGWJTWKUURERZUYTUYOVU
        EUYPVUGUYSUYNIVUGUYRUYMUXJVIUUREDVHWHWCTVUGVUDUUGUUGVUGVUCUUEJUUFVUGVUB
        UUDYTVUGVUAUUCVUGUVHUUBUUAAUUREYPWDWIWFWGWJTWKWLWMWNUXHUYLIBUUOVHPZUUSV
        IPZRZUUGYQUVDAUMZUNZUVJUOZJUUFUQZRZNZUEOSUDOSZIVUHUVPVJZRZUUGUXTUWDUVTU
        YDVUKVLZVLZUJFVMZJUUFUQZRZNZLOSZUOUBUCBCOOUUNBRZUXCVUQUXGVVFVVGUXBVUPUD
        UEOOVVGUWTVUJUXAVUOVVGUUTVUIIVVGUUPVUHUUSVIUUNBUUOVHWBZWOTVVGUVLVUNUUGV
        VGUVKVUMJUUFVVGUVFVULUVJVVGUVEVUKVVGUVCYQUVDAUUNBYPWDZWEZWFWPWJTWKWQVVG
        UXFVVELOVVGUXDVUSUXEVVDVVGUVQVURIVVGUUPVUHUVPUVPVVGUVPWRVVHWTTVVGUWIVVC
        UUGVVGUWHVVBJUUFVVGUWGVVAUJFVVGUVSUWDUWFUXTUWDVUTUUNBUVPWSVVGUWDXAVVGUV
        TUWEUVEUYDVUKVVGUVCYQUWAAVVIWEVVJXBXCXDWJTWKXEXFUUOCRZVUQUXQVVFUYKVVKVU
        PUXPUDUEOOVVKVUJUXLVUOUXOVVKVUIUXKIVVKVUHUXJUUSVIUUOCBVHWHZWOTVVKVUNUXN
        UUGVVKVUMUXMJUUFVVKVULYTUVJVVKVUKYSVVKUVDYRYQAUUOCYPWDZWIZWFWPWJTWKWQVV
        KVVEUYJLOVVKVUSUXSVVDUYIVVKVURUXRIVVKVUHUXJUVPUVPVVKUVPWRVVLWTTVVKVVCUY
        HUUGVVKVVBUYGJUUFVVKVVAUYFUJFVVKUXTUWDVUTUYCUYEVVKUVTUWBUWCUYAUWBUYBUUO
        CUVPWSZVVKUWBXAVVKUVDYRUWAAVVMWIXCVVKUVTUYDVUKUYAUYDYSVVOVVKUYDXAVVNXCX
        BXDWJTWKXEXFWLWMYLIXGMZUUGXGMUWSUXIXHVVPYLIUXJUYMVIKXIVAUUEJUUFFOUPXJXK
        UWNUXIUAUFIUUGXGXGUUMIRZUVBUUGRZNZUWMUXHUBUCOOVVSUVOUXCUWLUXGVVSUVNUXBU
        DUEOOVVQUVAUWTVVRUVMUXAUUMIUUTWSUVBUUGUVLWSXLWQVVSUWKUXFLOVVQUVRUXDVVRU
        WJUXEUUMIUVQWSUVBUUGUWIWSXLXEXFWQXMXNXOXPUUHUULUWOXTXQYEYHUUIUWQXHYKYEY
        NUWPUUHUAUFUJYMUBUCUDLAFGHJUEYMVTXRXSVCXOIUUGYNYAYB $.
    $}

    $( Two Godel-sets of membership combined with a Godel-set for NAND is a
       Godel formula of height 1.  (Contributed by AV, 17-Nov-2023.) $)
    2goelgoanfmla1 $p |- ( ( ( I e. _om /\ J e. _om )
                          /\ ( K e. _om /\ L e. _om ) )
                           -> X e. ( Fmla ` 1o ) ) $=
      ( vi vj vk vn com wcel cv cgoe co cgna wceq wrex wo eqeq2d vx wa csn cgol
      c0 cxp cab cun c1o cfmla cfv simpll simplr simprl simprr wb oveq2d adantl
      oveq2 a1i rspcedvd orcd oveq1 oveq1d rexbidv goaleq12d orbi12d id rspc3ev
      eqidd syl31anc ovexi eqeq1 2rexbidv elab sylibr olcd elun fmla1 eleqtrrdi
      ) AKLZBKLZUBZCKLZDKLZUBZUBZEUEUCKKUFUFZUAMZGMZHMZNOZIMZJMZNOZPOZQZJKRZWIW
      LWMUDZQZSZIKRZHKRGKRZUAUGZUHZUIUJUKWGEWHLZEXDLZSEXELWGXGXFWGEWPQZJKRZEWSQ
      ZSZIKRZHKRGKRZXGWGWAWBWDEABNOZCWNNOZPOZQZJKRZEXNCUDZQZSZXMWAWBWFULWAWBWFU
      MWCWDWEUNWGXRXTWGXQEXNCDNOZPOZQZJDKWCWDWEUOWNDQZXQYDUPWGYEXPYCEYEXOYBXNPW
      NDCNUSUQTURYDWGFUTVAVBXKYAEAWKNOZWOPOZQZJKRZEYFWMUDZQZSEXNWOPOZQZJKRZEXNW
      MUDZQZSGHIABCKKKWJAQZXIYIXJYKYQXHYHJKYQWPYGEYQWLYFWOPWJAWKNVCZVDTVEYQWSYJ
      EYQWLYFWMWMYQWMVJYRVFTVGWKBQZYIYNYKYPYSYHYMJKYSYGYLEYSYFXNWOPWKBANUSZVDTV
      EYSYJYOEYSYFXNWMWMYSWMVJYTVFTVGWMCQZYNXRYPXTUUAYMXQJKUUAYLXPEUUAWOXOXNPWM
      CWNNVCUQTVEUUAYOXSEUUAXNXNWMCUUAVHUUAXNVJVFTVGVIVKXCXMUAEEXNYBPFVLWIEQZXB
      XLGHKKUUBXAXKIKUUBWRXIWTXJUUBWQXHJKWIEWPVMVEWIEWSVMVGVEVNVOVPVQEWHXDVRVPU
      AGHIJVSVT $.

    $d I a $.  $d J a $.  $d K a $.  $d L a $.  $d M a i $.  $d V a i $.
    $( The simplified satisfaction predicate at two Godel-sets of membership
       combined with a Godel-set for NAND. (Contributed by AV, 17-Nov-2023.) $)
    satefvfmla1 $p |- ( ( M e. V /\ ( I e. _om /\ J e. _om )
                                 /\ ( K e. _om /\ L e. _om ) ) -> ( M SatE X )
                   = { a e. ( M ^m _om ) | ( -. ( a ` I ) e. ( a ` J )
                                          \/ -. ( a ` K ) e. ( a ` L ) ) } ) $=
      ( wcel com wa co cep cfv c1o cvv syl wbr wi vi w3a csate cxp cin cv wn wo
      csat cmap crab wceq cgoe cgna ovexi jctr satefv ciun sqxpexg inex2g ancli
      3ad2ant1 satom fveq1d wfun cdm cfmla wf satfun ffund eqcomd funeqd mpbird
      cpw 1onn a1i 2goelgoanfmla1 3adant1 satfdmfmla mpd3an23 eleqtrrd fviunfun
      eqid syl3anc eqtrd satfv1fvfmla1 syl3an1 brin ffvelrn ex anim12d 3ad2ant2
      elmapi com12 imp brxp sylibr biantrud fvex bitr3di syl5bb notbid 3ad2ant3
      epeli orbi12d rabbidva 3eqtrd ) EFJZAKJZBKJZLZCKJZDKJZLZUBZEGUCMZGKENEEUD
      ZUEZUIMZOZOZGPXSOZOZAHUFZOZBYDOZJZUGZCYDOZDYDOZJZUGZUHZHEKUJMZUKZXOXHGQJZ
      LZXPYAULXHXKYQXNXHYPGABUMMCDUMMUNIUOUPVBGEFQUQRXOYAGUAKUAUFXSOURZOZYCXOGX
      TYRXOXHXRQJZLZXTYRULXHXKUUAXNXHYTXHXQQJYTEFUSXQNQUTRZVAZVBZUAXREFQVCRZVDX
      OYRVEZPKJZGYBVFZJYSYCULXOUUFXTVEXOKVGOZYNVNZXTXOUUAUUIUUJXTVHUUDXREFQVIRV
      JXOYRXTXOXTYRUUEVKVLVMUUGXOVOVPXOGPVGOZUUHXKXNGUUKJXHABCDGIVQVRXHXKUUHUUK
      ULZXNXHYTUUGUULUUBUUGXHVOVPXREPFQVSVTVBWAYRUAXSKPGYRWCWBWDWEXOYCYEYFXRSZU
      GZYIYJXRSZUGZUHZHYNUKZYOXHUUAXKXNYCUURULUUCXRABCDEFQGHIWFWGXOUUQYMHYNXOYD
      YNJZLZUUNYHUUPYLUUTUUMYGUUMYEYFNSZYEYFXQSZLZUUTYGYEYFNXQWHUUTUVAUVCYGUUTU
      VBUVAUUTYEEJZYFEJZLZUVBXOUUSUVFXKXHUUSUVFTXNUUSXKUVFUUSXIUVDXJUVEUUSKEYDV
      HZXIUVDTYDEKWMZUVGXIUVDKEAYDWIWJRUUSUVGXJUVETUVHUVGXJUVEKEBYDWIWJRWKWNWLW
      OYEYFEEWPWQWRYEYFBYDWSXDWTXAXBUUTUUOYKUUOYIYJNSZYIYJXQSZLZUUTYKYIYJNXQWHU
      UTUVIUVKYKUUTUVJUVIUUTYIEJZYJEJZLZUVJXOUUSUVNXNXHUUSUVNTXKUUSXNUVNUUSXLUV
      LXMUVMUUSUVGXLUVLTUVHUVGXLUVLKECYDWIWJRUUSUVGXMUVMTUVHUVGXMUVMKEDYDWIWJRW
      KWNXCWOYIYJEEWPWQWRYIYJDYDWSXDWTXAXBXEXFWEXG $.
  $}

  ${
    $d Z x $.
    ex-sategoelelomsuc.s $e |- S = ( x e. _om
                                     |-> if ( x = 2o , Z , suc Z ) ) $.
    $( Example of a valuation of a simplified satisfaction predicate over the
       ordinal numbers as model for a Godel-set of membership using the
       properties of a successor: ` ( S `` 2o ) = Z e. suc Z = ( S `` 2o ) ` .
       Remark: the indices ` 1o ` and ` 2o ` are intentionally reversed to
       distinguish them from elements of the model: ` ( 2o e.g 1o ) ` should
       not be confused with ` 2o e. 1o ` , which is false.  (Contributed by AV,
       19-Nov-2023.) $)
    ex-sategoelelomsuc $p |- ( Z e. _om -> S e. ( _om SatE ( 2o e.g 1o ) ) ) $=
      ( com wcel c2o c1o co cfv wceq cvv omex adantl 2onn fvmptd 1onn wa pm3.2i
      a1i cgoe csate cmap wf cv csuc id peano2 ifcld adantr fmptd elmapd mpbird
      cif sucidg cmpt iftrue 1one2o neii mtbiri iffalsed 3eltr4d wb sategoelfvb
      eqeq1 eqid mp1i mpbir2and ) CEFZBEGHUAIUBIZFZBEEUCIFZGBJZHBJZFZVIVLEEBUDV
      IAEAUEZGKZCCUFZUNZEBVIVSEFVPEFVIVQCVREVIUGZCUHZUIUJDUKVIEEBLLELFZVIMTZWCU
      LUMVICVRVMVNCEUOVIAGVSCEBEBAEVSUPKVIDTZVQVSCKVIVQCVRUQNGEFZVIOTVTPVIAHVSV
      REBEWDVPHKZVSVRKVIWFVQCVRWFVQHGKHGURUSVPHGVEUTVANHEFZVIQTWAPVBWBWEWGRZRVK
      VLVORVCVIWBWHMWEWGOQSSGHBVJELVJVFVDVGVH $.
  $}

  ${
    ex-sategoelel12.s $e |- S = ( x e. _om |-> if ( x = 2o , 1o , 2o ) ) $.
    $( Example of a valuation of a simplified satisfaction predicate over a
       proper pair (of ordinal numbers) as model for a Godel-set of membership
       using the properties of a successor:
       ` ( S `` 2o ) = 1o e. 2o = ( S `` 2o ) ` .  Remark: the indices ` 1o `
       and ` 2o ` are intentionally reversed to distinguish them from elements
       of the model: ` ( 2o e.g 1o ) ` should not be confused with
       ` 2o e. 1o ` , which is false.  (Contributed by AV, 19-Nov-2023.) $)
    ex-sategoelel12 $p |- S e. ( { 1o , 2o } SatE ( 2o e.g 1o ) ) $=
      ( c1o c2o cpr co wcel com cfv wa wceq 1oex mpbir 2onn fvmptg mp2an pm3.2i
      1onn cvv cgoe csate cmap wf cv cif prid1 2oex prid2 ifcli fmpti prex omex
      elmap csuc sucid df-2o eleqtrri iftrue 1one2o neii eqeq1 iffalsed 3eltr4i
      a1i mtbiri wb eqid sategoelfvb ) BDEFZEDUAGUBGZHZBVJIUCGHZEBJZDBJZHZKZVMV
      PVMIVJBUDAIVJAUEZELZDEUFZBCVTVJHVRIHVSDEVJDEMUGDEUHUIUJVEUKVJIBDEULZUMUNN
      DEVNVODDUOEDMUPUQUREIHZDIHZVNDLOSAEVTDIIBVSDEUSCPQWCWBVOELSOADVTEIIBVRDLZ
      VSDEWDVSDELDEUTVAVRDEVBVFVCCPQVDRVJTHWBWCKVLVQVGWAWBWCOSREDBVKVJTVKVHVIQN
      $.
  $}

$( --- theorems for ` M |= U ` --- $)

  ${
    $d M m u $.  $d U m u $.
    $( The "proves" relation on a set.  A wff encoded as ` U ` is true in a
       model ` M ` iff for every valuation ` s e. ( M ^m _om ) ` , the
       interpretation of the wff using the membership relation on ` M ` is
       true.  (Contributed by AV, 5-Nov-2023.) $)
    prv $p |- ( ( M e. V /\ U e. W )
                -> ( M |= U <-> ( M SatE U ) = ( M ^m _om ) ) ) $=
      ( vm vu cv csate co com cmap wceq cprv oveq12 simpl oveq1d eqeq12d df-prv
      wa brabga ) EGZFGZHIZUAJKIZLBAHIZBJKIZLEFBAMCDUABLZUBALZSZUCUEUDUFUABUBAH
      NUIUABJKUGUHOPQFERT $.
  $}

  ${
    $d A a $.  $d B a $.  $d M a $.  $d V a $.
    $( The wff ` ( A e. B -/\ B e. A ) ` encoded as ` ( ( A e.g B ) `
       ` |g ( B e.g A ) ) ` is true in any model ` M ` .  This is the model
       theoretic proof of ~ elnanel .  (Contributed by AV, 5-Nov-2023.) $)
    elnanelprv $p |- ( ( M e. V /\ A e. _om /\ B e. _om )
                       -> M |= ( ( A e.g B ) |g ( B e.g A ) ) ) $=
      ( va wcel com w3a cgoe co cgna cprv wbr csate cmap wceq cfv wn wa cvv a1i
      cv crab simp1 3simpc pm3.22 3adant1 eqid satefvfmla1 syl3anc wnan elnanel
      wo nanor mpbi rabeqc eqtrdi wb ovex prv sylancl mpbird ) CDFZAGFZBGFZHZCA
      BIJZBAIJZKJZLMZCVINJZCGOJZPZVFVKAEUBZQZBVNQZFZRVPVOFZRUMZEVLUCZVLVFVCVDVE
      SVEVDSZVKVTPVCVDVEUDZVCVDVEUEVDVEWAVCVDVEUFUGABBACDVIEVIUHUIUJVSEVLVSVNVL
      FVQVRUKVSVOVPULVQVRUNUOUAUPUQVFVCVITFVJVMURWBVGVHKUSVICDTUTVAVB $.
  $}

  ${
    $d U x $.
    $( Every wff encoded as ` U ` is true in an "empty model" ( ` M = (/) ` ).
       Since ` |= ` is defined in terms of the interpretations making the given
       formula true, it is not defined on the "empty model", since there are no
       interpretations.  In particular, the empty set on the LHS of ` |= `
       should not be interpreted as the empty model, because ` E. x x = x ` is
       not satisfied on the empty model.  (Contributed by AV, 19-Nov-2023.) $)
    prv0 $p |- ( U e. ( Fmla ` _om ) -> (/) |= U ) $=
      ( vx com cfmla cfv wcel c0 cprv wbr csate co wceq csat sate0 cv wn peano1
      wa cvv 0ex wal wf n0ii intnan a1i f00 sylnibr pm3.2i satfvel mp3an1 mtand
      alrimiv eq0 sylibr eqtrd cmap prv mpan wne ne0ii map0b mp1i eqeq2d mpbird
      wb bitrd ) ACDEZFZGAHIZGAJKZGLZVHVJACGGMKEEZGAVGNVHBOZVLFZPZBUAVLGLVHVOBV
      HVNCGVMUBZVHVMGLZCGLZRZVPVSPVHVRVQGCQUCUDUECVMUFUGGSFZVTRVHVNVPVTVTTTUHVM
      AGGSSUIUJUKULBVLUMUNUOVHVIVJGCUPKZLZVKVTVHVIWBVETAGSVGUQURVHWAGVJCGUSWAGL
      VHGCQUTCVAVBVCVFVD $.
  $}

  ${
    $d I a $.  $d J a $.  $d V a $.  $d X a $.
    $( No wff encoded as a Godel-set of membership is true in a model with only
       one element.  (Contributed by AV, 19-Nov-2023.) $)
    prv1n $p |- ( ( I e. _om /\ J e. _om /\ X e. V )
                  -> -. { X } |= ( I e.g J ) ) $=
      ( va com wcel co c0 wceq cxp mp1i cvv wa wb c2nd cfv c1st fveq2d eqtrd cv
      w3a csn cgoe cprv wbr cmap wex wn eqid omex snex xpex eqeq1 pm3.2i elmapg
      spcev fconst2g 3ad2ant3 bitrd exbidv mpbird neq0 sylibr eqcom sylnib ovex
      wf csate prv crab cfmla cop goel 0ex snid opelxpi opelxpd eqeltrd fmla0xp
      a1i eleqtrrdi 3adant3 satefvfmla0 sylancr opex op2nd eqtrdi op1stg op2ndg
      eleq12d rabbidv wi elmapi elirr fvconst 3ad2antr1 3ad2antr2 mtbiri ex syl
      wral impcom ralrimiva rabeq0 eqeq1d mtbird ) AFGZBFGZDCGZUBZDUCZABUDHZUEU
      FZIXLFUGHZJZXKXOIJZXPXKEUAZXOGZEUHZXQUIXKXTXRFXLKZJZEUHZYAYAJZYCXKYAUJYBY
      DEYAFXLUKDULZUMXRYAYAUNUQLXKXSYBEXKXSFXLXRVHZYBXLMGZFMGZNXSYFOXKYGYHYEUKU
      OXLFXRMMUPLXJXHYFYBOXIFDCXRURUSUTVAVBEXOVCVDXOIVEVFXKXNXLXMVIHZXOJZXPYGXM
      MGZNXNYJOXKYGYKYEABUDVGUOXMXLMMVJLXKYIIXOXKYIXMPQZRQZXRQZYLPQZXRQZGZEXOVK
      ZIXKYGXMIVLQZGZYIYRJYEXHXIYTXJXHXINZXMIUCZFFKZKZYSUUAXMIABVMZVMZUUDABVNZU
      UAIUUEUUBUUCIUUBGUUAIVOVPWAABFFVQVRVSVTWBWCXLMXMEWDWEXKYRAXRQZBXRQZGZEXOV
      KZIXHXIYRUUKJXJUUAYQUUJEXOUUAYNUUHYPUUIUUAYMAXRUUAYMUUERQAUUAYLUUERUUAYLU
      UFPQUUEUUAXMUUFPUUGSIUUEVOABWFWGWHZSABFFWITSUUAYOBXRUUAYOUUEPQBUUAYLUUEPU
      ULSABFFWJTSWKWLWCXKUUJUIZEXOXBUUKIJXKUUMEXOXSXKUUMXSYFXKUUMWMXRXLFWNYFXKU
      UMYFXKNZUUJDDGDWOUUNUUHDUUIDYFXIXHUUHDJXJFDAXRWPWQYFXHXIUUIDJXJFDBXRWPWRW
      KWSWTXAXCXDUUJEXOXEVDTTXFUTXG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Godel-sets of formulas - part 2
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c =g $. $( Godel-set of equality $)
  $c /\g $. $( Godel-set of conjunction $)
  $c -.g $. $( Godel-set of negation $)
  $c ->g $. $( Godel-set of implication $)
  $c <->g $. $( Godel-set of equivalence $)
  $c \/g $. $( Godel-set of disjunction $)
  $c E.g $. $( Godel-set of existential quantification $)

  $( The Godel-set of negation.  (Note that this is not a wff.) $)
  cgon $a class -.g U $.

  $( The Godel-set of conjunction. $)
  cgoa $a class /\g $.

  $( The Godel-set of implication. $)
  cgoi $a class ->g $.

  $( The Godel-set of disjunction. $)
  cgoo $a class \/g $.

  $( The Godel-set of equivalence. $)
  cgob $a class <->g $.

  $( The Godel-set of equality. $)
  cgoq $a class =g $.

  $( The Godel-set of existential quantification.  (Note that this is not a
     wff.) $)
  cgox $a class E.g N U $.

  $( Define the Godel-set of negation.  Here the argument ` U ` is also a
     Godel-set corresponding to smaller formulas.  Note that this is a _class_
     expression, not a wff.  (Contributed by Mario Carneiro, 14-Jul-2013.) $)
  df-gonot $a |- -.g U = ( U |g U ) $.

  ${
    $d u v w $.
    $( Define the Godel-set of conjunction.  Here the arguments ` U ` and ` V `
       are also Godel-sets corresponding to smaller formulas.  (Contributed by
       Mario Carneiro, 14-Jul-2013.) $)
    df-goan $a |- /\g = ( u e. _V , v e. _V |-> -.g ( u |g v ) ) $.

    $( Define the Godel-set of implication.  Here the arguments ` U ` and ` V `
       are also Godel-sets corresponding to smaller formulas.  Note that this
       is a _class_ expression, not a wff.  (Contributed by Mario Carneiro,
       14-Jul-2013.) $)
    df-goim $a |- ->g = ( u e. _V , v e. _V |-> ( u |g -.g v ) ) $.

    $( Define the Godel-set of disjunction.  Here the arguments ` U ` and ` V `
       are also Godel-sets corresponding to smaller formulas.  Note that this
       is a _class_ expression, not a wff.  (Contributed by Mario Carneiro,
       14-Jul-2013.) $)
    df-goor $a |- \/g = ( u e. _V , v e. _V |-> ( -.g u ->g v ) ) $.

    $( Define the Godel-set of equivalence.  Here the arguments ` U ` and ` V `
       are also Godel-sets corresponding to smaller formulas.  Note that this
       is a _class_ expression, not a wff.  (Contributed by Mario Carneiro,
       14-Jul-2013.) $)
    df-gobi $a |- <->g = ( u e. _V , v e. _V |->
                           ( ( u ->g v ) /\g ( v ->g u ) ) ) $.

    $( Define the Godel-set of equality.  Here the arguments
       ` x = <. N , P >. ` correspond to v_N and v_P , so ` ( (/) =g 1o ) `
       actually means v_0 ` = ` v_1 , not ` 0 = 1 ` .  Here we use the trick
       mentioned in ~ ax-ext to introduce equality as a defined notion in terms
       of ` e.g ` .  The expression ` suc ( u u. v ) = ` max ` ( u , v ) + 1 `
       here is a convenient way of getting a dummy variable distinct from ` u `
       and ` v ` .  (Contributed by Mario Carneiro, 14-Jul-2013.) $)
    df-goeq $a |- =g = ( u e. _om , v e. _om |-> [_ suc ( u u. v ) / w ]_
                         A.g w ( ( w e.g u ) <->g ( w e.g v ) ) ) $.
  $}

  $( Define the Godel-set of existential quantification.  Here ` N e. _om `
     corresponds to v_N , and ` U ` represents another formula, and this
     expression is ` [ E. x ph ] = E.g N U ` where ` x ` is the ` N ` -th
     variable, ` U = [ ph ] ` is the code for ` ph ` .  Note that this is a
     _class_ expression, not a wff.  (Contributed by Mario Carneiro,
     14-Jul-2013.) $)
  df-goex $a |- E.g N U = -.g A.g N -.g U $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Models of ZF
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c AxExt $. $( The Axiom of Extensionality $)
  $c AxRep $. $( The Axiom Scheme of Replacement $)
  $c AxPow $. $( The Axiom of Power Sets $)
  $c AxUn $. $( The Axiom of Unions $)
  $c AxReg $. $( The Axiom of Regularity $)
  $c AxInf $. $( The Axiom of Infinity $)
  $c ZF $. $( The set of models of ZF $)

  $( The Axiom of Extensionality. $)
  cgze $a class AxExt $.

  $( The Axiom Scheme of Replacement. $)
  cgzr $a class AxRep $.

  $( The Axiom of Power Sets. $)
  cgzp $a class AxPow $.

  $( The Axiom of Unions. $)
  cgzu $a class AxUn $.

  $( The Axiom of Regularity. $)
  cgzg $a class AxReg $.

  $( The Axiom of Infinity. $)
  cgzi $a class AxInf $.

  $( The set of models of ZF. $)
  cgzf $a class ZF $.

  $( The Godel-set version of the Axiom of Extensionality.  (Contributed by
     Mario Carneiro, 14-Jul-2013.) $)
  df-gzext $a |- AxExt =
    ( A.g 2o ( ( 2o e.g (/) ) <->g ( 2o e.g 1o ) ) ->g ( (/) =g 1o ) ) $.

  $( The Godel-set version of the Axiom Scheme of Replacement.  Since this is a
     scheme and not a single axiom, it manifests as a function on wffs, each
     giving rise to a different axiom.  (Contributed by Mario Carneiro,
     14-Jul-2013.) $)
  df-gzrep $a |- AxRep = ( u e. ( Fmla ` _om ) |->
    ( A.g 3o E.g 1o A.g 2o ( A.g 1o u ->g ( 2o =g 1o ) ) ->g A.g 1o A.g 2o
      ( ( 2o e.g 1o ) <->g E.g 3o ( ( 3o e.g (/) ) /\g A.g 1o u ) ) ) ) $.

  $( The Godel-set version of the Axiom of Power Sets.  (Contributed by Mario
     Carneiro, 14-Jul-2013.) $)
  df-gzpow $a |- AxPow =
    E.g 1o A.g 2o ( A.g 1o ( ( 1o e.g 2o ) <->g ( 1o e.g (/) ) ) ->g
                    ( 2o e.g 1o ) ) $.

  $( The Godel-set version of the Axiom of Unions.  (Contributed by Mario
     Carneiro, 14-Jul-2013.) $)
  df-gzun $a |- AxUn =
    E.g 1o A.g 2o ( E.g 1o ( ( 2o e.g 1o ) /\g ( 1o e.g (/) ) ) ->g
                    ( 2o e.g 1o ) ) $.

  $( The Godel-set version of the Axiom of Regularity.  (Contributed by Mario
     Carneiro, 14-Jul-2013.) $)
  df-gzreg $a |- AxReg = ( E.g 1o ( 1o e.g (/) ) ->g
      E.g 1o ( ( 1o e.g (/) ) /\g
               A.g 2o ( ( 2o e.g 1o ) ->g -.g ( 2o e.g (/) ) ) ) ) $.

  $( The Godel-set version of the Axiom of Infinity.  (Contributed by Mario
     Carneiro, 14-Jul-2013.) $)
  df-gzinf $a |- AxInf = E.g 1o ( ( (/) e.g 1o ) /\g A.g 2o ( ( 2o e.g 1o ) ->g
      E.g (/) ( ( 2o e.g (/) ) /\g ( (/) e.g 1o ) ) ) ) $.

  ${
    $d m u $.
    $( Define the class of all (transitive) models of ZF. (Contributed by Mario
       Carneiro, 14-Jul-2013.) $)
    df-gzf $a |- ZF = { m | ( ( Tr m /\ m |= AxExt /\ m |= AxPow ) /\
                              ( m |= AxUn /\ m |= AxReg /\ m |= AxInf ) /\
                              A. u e. ( Fmla ` _om ) m |= ( AxRep ` u ) ) } $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Metamath formal systems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This is a formalization of Appendix C of the Metamath book, which describes
  the mathematical representation of a formal system, of which set.mm (this
  file) is one.

$)

  $c mCN $.
  $c mVR $.
  $c mType $.
  $c mTC $.
  $c mAx $.
  $c mVT $.
  $c mREx $.
  $c mEx $.
  $c mDV $.
  $c mVars $.
  $c mRSubst $.
  $c mSubst $.
  $c mVH $.
  $c mPreSt $.
  $c mStRed $.
  $c mStat $.
  $c mFS $.
  $c mCls $.
  $c mPPSt $.
  $c mThm $.

  $( The set of constants. $)
  cmcn $a class mCN $.

  $( The set of variables. $)
  cmvar $a class mVR $.

  $( The type function. $)
  cmty $a class mType $.

  $( The set of variable typecodes. $)
  cmvt $a class mVT $.

  $( The set of typecodes. $)
  cmtc $a class mTC $.

  $( The set of axioms. $)
  cmax $a class mAx $.

  $( The set of raw expressions. $)
  cmrex $a class mREx $.

  $( The set of expressions. $)
  cmex $a class mEx $.

  $( The set of distinct variables. $)
  cmdv $a class mDV $.

  $( The variables in an expression. $)
  cmvrs $a class mVars $.

  $( The set of raw substitutions. $)
  cmrsub $a class mRSubst $.

  $( The set of substitutions. $)
  cmsub $a class mSubst $.

  $( The set of variable hypotheses. $)
  cmvh $a class mVH $.

  $( The set of pre-statements. $)
  cmpst $a class mPreSt $.

  $( The reduct of a pre-statement. $)
  cmsr $a class mStRed $.

  $( The set of statements. $)
  cmsta $a class mStat $.

  $( The set of formal systems. $)
  cmfs $a class mFS $.

  $( The closure of a set of statements. $)
  cmcls $a class mCls $.

  $( The set of provable pre-statements. $)
  cmpps $a class mPPSt $.

  $( The set of theorems. $)
  cmthm $a class mThm $.

  $( Define the set of constants in a Metamath formal system.  (Contributed by
     Mario Carneiro, 14-Jul-2016.) $)
  df-mcn $a |- mCN = Slot 1 $.

  $( Define the set of variables in a Metamath formal system.  (Contributed by
     Mario Carneiro, 14-Jul-2016.) $)
  df-mvar $a |- mVR = Slot 2 $.

  $( Define the type function in a Metamath formal system.  (Contributed by
     Mario Carneiro, 14-Jul-2016.) $)
  df-mty $a |- mType = Slot 3 $.

  $( Define the set of typecodes in a Metamath formal system.  (Contributed by
     Mario Carneiro, 14-Jul-2016.) $)
  df-mtc $a |- mTC = Slot 4 $.

  $( Define the set of axioms in a Metamath formal system.  (Contributed by
     Mario Carneiro, 14-Jul-2016.) $)
  df-mmax $a |- mAx = Slot 5 $.

  $( Define the set of variable typecodes in a Metamath formal system.
     (Contributed by Mario Carneiro, 14-Jul-2016.) $)
  df-mvt $a |- mVT = ( t e. _V |-> ran ( mType ` t ) ) $.

  $( Define the set of "raw expressions", which are expressions without a
     typecode attached.  (Contributed by Mario Carneiro, 14-Jul-2016.) $)
  df-mrex $a |- mREx = ( t e. _V |-> Word ( ( mCN ` t ) u. ( mVR ` t ) ) ) $.

  $( Define the set of expressions, which are strings of constants and
     variables headed by a typecode constant.  (Contributed by Mario Carneiro,
     14-Jul-2016.) $)
  df-mex $a |- mEx = ( t e. _V |-> ( ( mTC ` t ) X. ( mREx ` t ) ) ) $.

  ${
    $d a c d e f h m o p s t v x y z $.
    $( Define the set of distinct variable conditions, which are pairs of
       distinct variables.  (Contributed by Mario Carneiro, 14-Jul-2016.) $)
    df-mdv $a |- mDV = ( t e. _V |->
      ( ( ( mVR ` t ) X. ( mVR ` t ) ) \ _I ) ) $.

    $( Define the set of variables in an expression.  (Contributed by Mario
       Carneiro, 14-Jul-2016.) $)
    df-mvrs $a |- mVars = ( t e. _V |-> ( e e. ( mEx ` t ) |->
        ( ran ( 2nd ` e ) i^i ( mVR ` t ) ) ) ) $.

    $( Define a substitution of raw expressions given a mapping from variables
       to expressions.  (Contributed by Mario Carneiro, 14-Jul-2016.) $)
    df-mrsub $a |- mRSubst = ( t e. _V |->
      ( f e. ( ( mREx ` t ) ^pm ( mVR ` t ) ) |-> ( e e. ( mREx ` t ) |->
        ( ( freeMnd ` ( ( mCN ` t ) u. ( mVR ` t ) ) ) gsum
    ( ( v e. ( ( mCN ` t ) u. ( mVR ` t ) ) |->
      if ( v e. dom f , ( f ` v ) , <" v "> ) ) o. e ) ) ) ) ) $.

    $( Define a substitution of expressions given a mapping from variables to
       expressions.  (Contributed by Mario Carneiro, 14-Jul-2016.) $)
    df-msub $a |- mSubst = ( t e. _V |->
      ( f e. ( ( mREx ` t ) ^pm ( mVR ` t ) ) |-> ( e e. ( mEx ` t ) |->
        <. ( 1st ` e ) , ( ( ( mRSubst ` t ) ` f ) ` ( 2nd ` e ) ) >. ) ) ) $.

    $( Define the mapping from variables to their variable hypothesis.
       (Contributed by Mario Carneiro, 14-Jul-2016.) $)
    df-mvh $a |- mVH = ( t e. _V |->
      ( v e. ( mVR ` t ) |-> <. ( ( mType ` t ) ` v ) , <" v "> >. ) ) $.

    $( Define the set of all pre-statements.  (Contributed by Mario Carneiro,
       14-Jul-2016.) $)
    df-mpst $a |- mPreSt = ( t e. _V |-> ( ( { d e. ~P ( mDV ` t ) | `' d = d }
      X. ( ~P ( mEx ` t ) i^i Fin ) ) X. ( mEx ` t ) ) ) $.

    $( Define the reduct of a pre-statement.  (Contributed by Mario Carneiro,
       14-Jul-2016.) $)
    df-msr $a |- mStRed = ( t e. _V |-> ( s e. ( mPreSt ` t ) |->
       [_ ( 2nd ` ( 1st ` s ) ) / h ]_ [_ ( 2nd ` s ) / a ]_
       <. ( ( 1st ` ( 1st ` s ) ) i^i
 [_ U. ( ( mVars ` t ) " ( h u. { a } ) ) / z ]_ ( z X. z ) ) , h , a >. ) ) $.

    $( Define the set of all statements.  (Contributed by Mario Carneiro,
       14-Jul-2016.) $)
    df-msta $a |- mStat = ( t e. _V |-> ran ( mStRed ` t ) ) $.

    $( Define the set of all formal systems.  (Contributed by Mario Carneiro,
       14-Jul-2016.) $)
    df-mfs $a |- mFS = { t |
      ( ( ( ( mCN ` t ) i^i ( mVR ` t ) ) = (/) /\
          ( mType ` t ) : ( mVR ` t ) --> ( mTC ` t ) ) /\
        ( ( mAx ` t ) C_ ( mStat ` t ) /\
          A. v e. ( mVT ` t ) -. ( `' ( mType ` t ) " { v } ) e. Fin ) ) } $.

    $( Define the closure of a set of statements relative to a set of
       disjointness constraints.  (Contributed by Mario Carneiro,
       14-Jul-2016.) $)
    df-mcls $a |- mCls = ( t e. _V |->
      ( d e. ~P ( mDV ` t ) , h e. ~P ( mEx ` t ) |->
        |^| { c | ( ( h u. ran ( mVH ` t ) ) C_ c /\
          A. m A. o A. p ( <. m , o , p >. e. ( mAx ` t ) ->
            A. s e. ran ( mSubst ` t )
      ( ( ( s " ( o u. ran ( mVH ` t ) ) ) C_ c /\
      A. x A. y ( x m y ->
        ( ( ( mVars ` t ) ` ( s ` ( ( mVH ` t ) ` x ) ) ) X.
          ( ( mVars ` t ) ` ( s ` ( ( mVH ` t ) ` y ) ) ) ) C_ d ) ) ->
        ( s ` p ) e. c ) ) ) } ) ) $.

    $( Define the set of provable pre-statements.  (Contributed by Mario
       Carneiro, 14-Jul-2016.) $)
    df-mpps $a |- mPPSt = ( t e. _V |-> { <. <. d , h >. , a >. |
      ( <. d , h , a >. e. ( mPreSt ` t ) /\ a e. ( d ( mCls ` t ) h ) ) } ) $.

    $( Define the set of theorems.  (Contributed by Mario Carneiro,
       14-Jul-2016.) $)
    df-mthm $a |- mThm = ( t e. _V |->
      ( `' ( mStRed ` t ) " ( ( mStRed ` t ) " ( mPPSt ` t ) ) ) ) $.
  $}

  ${
    $d t T $.
    mvtval.f $e |- V = ( mVT ` T ) $.
    mvtval.y $e |- Y = ( mType ` T ) $.
    $( The set of variable typecodes.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    mvtval $p |- V = ran Y $=
      ( vt cmvt cfv cmty crn cvv wcel wceq cv fveq2 rneqd df-mvt fvex c0 fvprc
      rnex fvmpt wn rn0 eqcomi 3eqtr4a pm2.61i rneqi 3eqtr4i ) AGHZAIHZJZBCJAKL
      ZUJULMFAFNZIHZJULKGUNAMUOUKUNAIOPFQUKAIRUAUBUMUCZSSJZUJULUQSUDUEAGTUPUKSA
      ITPUFUGDCUKEUHUI $.
  $}

  ${
    $d t C $.  $d t T $.  $d t V $.
    mrexval.c $e |- C = ( mCN ` T ) $.
    mrexval.v $e |- V = ( mVR ` T ) $.
    mrexval.r $e |- R = ( mREx ` T ) $.
    $( The set of "raw expressions", which are expressions without a typecode,
       that is, just sequences of constants and variables.  (Contributed by
       Mario Carneiro, 18-Jul-2016.) $)
    mrexval $p |- ( T e. W -> R = Word ( C u. V ) ) $=
      ( vt wcel cmrex cfv cun cword cvv wceq cmcn cmvar fveq2 eqtr4di wrdeq syl
      elex cv uneq12d df-mrex fvex unex wrdexi fvmpt3i syl5eq ) CEJZBCKLZADMZNZ
      HULCOJUMUOPCEUCICIUDZQLZUPRLZMZNZUOOKUPCPZUSUNPUTUOPVAUQAURDVAUQCQLAUPCQS
      FTVAURCRLDUPCRSGTUEUSUNUAUBIUFUSUQURUPQUGUPRUGUHUIUJUBUK $.
  $}

  ${
    $d t K $.  $d t R $.  $d t T $.
    mexval.k $e |- K = ( mTC ` T ) $.
    mexval.e $e |- E = ( mEx ` T ) $.
    ${
      mexval.r $e |- R = ( mREx ` T ) $.
      $( The set of expressions, which are pairs whose first element is a
         typecode, and whose second element is a raw expression.  (Contributed
         by Mario Carneiro, 18-Jul-2016.) $)
      mexval $p |- E = ( K X. R ) $=
        ( vt cmex cfv cxp cvv wceq cmtc cmrex fveq2 eqtr4di fvex c0 fvprc cv wn
        wcel xpeq12d df-mex xpex fvmpt3i xp0 eqcomi syl5eq xpeq2d 3eqtr4a eqtri
        pm2.61i ) CBIJZDAKZFBLUCZUOUPMHBHUAZNJZUROJZKUPLIURBMZUSDUTAVAUSBNJDURB
        NPEQVAUTBOJZAURBOPGQUDHUEUSUTURNRURORUFUGUQUBZSDSKZUOUPVDSDUHUIBITVCASD
        VCAVBSGBOTUJUKULUNUM $.
    $}

    mexval2.c $e |- C = ( mCN ` T ) $.
    mexval2.v $e |- V = ( mVR ` T ) $.
    $( The set of expressions, which are pairs whose first element is a
       typecode, and whose second element is a list of constants and variables.
       (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    mexval2 $p |- E = ( K X. Word ( C u. V ) ) $=
      ( cvv wcel cun cword cxp cfv syl5eq c0 cmex fvprc cmtc wceq cmrex mrexval
      eqid mexval xpeq2d wn 0xp eqcomi xpeq1d 3eqtr4a pm2.61i ) BJKZCDAELMZNZUA
      UMCDBUBOZNUOUPBCDFGUPUDZUEUMUPUNDAUPBEJHIUQUCUFPUMUGZQQUNNZCUOUSQUNUHUIUR
      CBROQGBRSPURDQUNURDBTOQFBTSPUJUKUL $.
  $}

  ${
    $d t T $.  $d t V $.
    mdvval.v $e |- V = ( mVR ` T ) $.
    mdvval.d $e |- D = ( mDV ` T ) $.
    $( The set of disjoint variable conditions, which are pairs of distinct
       variables.  (This definition differs from appendix C, which uses
       unordered pairs instead.  We use ordered pairs, but all sets of disjoint
       variable conditions of interest will be symmetric, so it does not
       matter.)  (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    mdvval $p |- D = ( ( V X. V ) \ _I ) $=
      ( vt cmdv cfv cxp cid cdif cvv wcel wceq cv cmvar fveq2 difeq1d c0 fvprc
      eqtr4di sqxpeqd df-mdv fvex xpex difexg fvmpt3i 0dif eqcomi syl5eq xpeq2d
      ax-mp wn xp0 eqtrdi 3eqtr4a pm2.61i eqtri ) ABGHZCCIZJKZEBLMZUSVANFBFOZPH
      ZVDIZJKZVALGVCBNZVEUTJVGVDCVGVDBPHZCVCBPQDUAUBRFUCVELMVFLMVDVDVCPUDZVIUEV
      EJLUFULUGVBUMZSSJKZUSVAVKSJUHUIBGTVJUTSJVJUTCSISVJCSCVJCVHSDBPTUJUKCUNUOR
      UPUQUR $.
  $}

  ${
    $d e t E $.  $d e t T $.  $d e t V $.  $d e X $.
    mvrsval.v $e |- V = ( mVR ` T ) $.
    mvrsval.e $e |- E = ( mEx ` T ) $.
    mvrsval.w $e |- W = ( mVars ` T ) $.
    $( The set of variables in an expression.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    mvrsval $p |- ( X e. E -> ( W ` X ) = ( ran ( 2nd ` X ) i^i V ) ) $=
      ( ve vt wcel cv c2nd cfv cin cvv wceq cmex cmvar fveq2 cmpt elfvex eleq2s
      crn cmvrs eqtr4di ineq2d mpteq12dv df-mvrs syl syl5eq rneqd ineq1d adantl
      mptfvmpt id fvex rnex inex1 a1i fvmptd ) EBKZIEILZMNZUDZCOZEMNZUDZCOZBDPV
      BDAUENZIBVFUAZHVBAPKZVJVKQVLEARNZBEARUBGUCIJVFRUEIJLZRNZVEVNSNZOZUABPAAVN
      AQZIVOVQBVFVRVOVMBVNARTGUFVRVPCVEVRVPASNCVNASTFUFUGUHJIUIGUOUJUKVCEQZVFVI
      QVBVSVEVHCVSVDVGVCEMTULUMUNVBUPVIPKVBVHCVGEMUQURUSUTVA $.

    $( The set of variables in an expression is a finite subset of ` V ` .
       (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    mvrsfpw $p |- ( X e. E -> ( W ` X ) e. ( ~P V i^i Fin ) ) $=
      ( wcel cfv c2nd crn cin cpw cfn mvrsval wss inss2 cc0 eqid a1i chash cfzo
      co wfo fzofi wfn cmcn cun cword wf cmtc cxp xp2nd mexval2 eleq2s wrdf ffn
      3syl dffn4 sylib fofi sylancr inss1 ssfi sylancl elfpw sylanbrc eqeltrd )
      EBIZEDJEKJZLZCMZCNOMZABCDEFGHPVJVMCQZVMOIZVMVNIVOVJVLCRUAVJVLOIZVMVLQVPVJ
      SVKUBJZUCUDZOIVSVLVKUEZVQSVRUFVJVKVSUGZVTVJVKAUHJZCUIZUJZIZVSWCVKUKWAWEEA
      ULJZWDUMBEWFWDUNWBABWFCWFTGWBTFUOUPWCVKUQVSWCVKURUSVSVKUTVAVSVLVKVBVCVLCV
      DVLVMVEVFVMCVGVHVI $.
  $}

  ${
    $d e f v A $.  $d e f t v C $.  $d e f v F $.  $d e f t v R $.  $d e v X $.
    $d e f t G $.  $d e f t v T $.  $d e f t v V $.
    mrsubffval.c $e |- C = ( mCN ` T ) $.
    mrsubffval.v $e |- V = ( mVR ` T ) $.
    mrsubffval.r $e |- R = ( mREx ` T ) $.
    mrsubffval.s $e |- S = ( mRSubst ` T ) $.
    ${
      mrsubffval.g $e |- G = ( freeMnd ` ( C u. V ) ) $.
      $( The substitution of some variables for expressions in a raw
         expression.  (Contributed by Mario Carneiro, 18-Jul-2016.) $)
      mrsubffval $p |- ( T e. W -> S = ( f e. ( R ^pm V ) |-> ( e e. R |->
        ( G gsum ( ( v e. ( C u. V ) |->
          if ( v e. dom f , ( f ` v ) , <" v "> ) ) o. e ) ) ) ) ) $=
        ( cfv cpm co cv cmpt vt wcel cmrsub cun cdm cs1 cif ccom cgsu wceq elex
        cvv cmrex cmvar cmcn cfrmd fveq2 eqtr4di oveq12d uneq12d fveq2d mpteq1d
        coeq1d mpteq12dv df-mrsub ovex mptex fvmpt syl syl5eq ) EJUBZDEUCPZGCIQ
        RZFCHABIUDZASZGSZUEUBVOVPPVOUFUGZTZFSZUHZUIRZTZTZNVKEULUBVLWCUJEJUKUAEG
        UASZUMPZWDUNPZQRZFWEWDUOPZWFUDZUPPZAWIVQTZVSUHZUIRZTZTWCULUCWDEUJZGWGWN
        VMWBWOWECWFIQWOWEEUMPCWDEUMUQMURZWOWFEUNPIWDEUNUQLURZUSWOFWEWMCWAWPWOWJ
        HWLVTUIWOWJVNUPPHWOWIVNUPWOWHBWFIWOWHEUOPBWDEUOUQKURWQUTZVAOURWOWKVRVSW
        OAWIVNVQWRVBVCUSVDVDAUAFGVEGVMWBCIQVFVGVHVIVJ $.

      $( The substitution of some variables for expressions in a raw
         expression.  (Contributed by Mario Carneiro, 18-Jul-2016.) $)
      mrsubfval $p |- ( ( F : A --> R /\ A C_ V ) -> ( S ` F ) = ( e e. R |->
        ( G gsum ( ( v e. ( C u. V ) |->
          if ( v e. A , ( F ` v ) , <" v "> ) ) o. e ) ) ) ) $=
        ( cvv wcel cfv cmpt c0 vf wf wss wa cun cv cs1 cif ccom cgsu co wceq wi
        cdm cpm mrsubffval adantr dmeq ad2antrl sylan9eqr eleq2d simpr ifbieq1d
        fdm fveq1d mpteq2dv coeq1d oveq2d cmrex fvexi a1i cmvar simprl syl22anc
        simprr elpm2r mptex fvmptd ex wn 0fv cmrsub fvprc syl5eq mpteq1d eqtrdi
        mpt0 3eqtr4a a1d pm2.61i ) FPQZBDHUBZBJUCZUDZHERZGDIACJUEZAUFZBQZWQHRZW
        QUGZUHZSZGUFZUIZUJUKZSZULZUMWKWNXGWKWNUDZUAHGDIAWPWQUAUFZUNZQZWQXIRZWTU
        HZSZXCUIZUJUKZSZXFDJUOUKZEPWKEUAXRXQSULWNACDEFGUAIJPKLMNOUPUQXHXIHULZUD
        ZGDXPXEXTXOXDIUJXTXNXBXCXTAWPXMXAXTXKWRXLWSWTXTXJBWQXSXHXJHUNZBXIHURWLY
        ABULWKWMBDHVDUSUTVAXTWQXIHXHXSVBVEVCVFVGVHVFXHDPQZJPQZWLWMHXRQYBXHDFVIM
        VJZVKYCXHJFVLLVJVKWKWLWMVMWKWLWMVODJBHPPVPVNXFPQXHGDXEYDVQVKVRVSWKVTZXG
        WNYEHTRTWOXFHWAYEHETYEEFWBRTNFWBWCWDVEYEXFGTXESTYEGDTXEYEDFVIRTMFVIWCWD
        WEGXEWGWFWHWIWJ $.

      $( The substitution of some variables for expressions in a raw
         expression.  (Contributed by Mario Carneiro, 18-Jul-2016.) $)
      mrsubval $p |- ( ( F : A --> R /\ A C_ V /\ X e. R ) ->
        ( ( S ` F ) ` X ) = ( G gsum ( ( v e. ( C u. V ) |->
          if ( v e. A , ( F ` v ) , <" v "> ) ) o. X ) ) ) $=
        ( ve wcel cv cfv cgsu wf wss w3a cun cs1 cif cmpt ccom co cvv mrsubfval
        wceq 3adant3 wa simpr coeq2d oveq2d simp3 ovexd fvmptd ) BDGUAZBIUBZJDQ
        ZUCZPJHACIUDARZBQVEGSVEUEUFUGZPRZUHZTUIZHVFJUHZTUIDGESZUJVAVBVKPDVIUGUL
        VCABCDEFPGHIKLMNOUKUMVDVGJULZUNZVHVJHTVMVGJVFVDVLUOUPUQVAVBVCURVDHVJTUS
        UT $.
    $}

    $( The value of a substituted singleton.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    mrsubcv $p |- ( ( F : A --> R /\ A C_ V /\ X e. ( C u. V ) ) ->
      ( ( S ` F ) ` <" X "> ) = if ( X e. A , ( F ` X ) , <" X "> ) ) $=
      ( vv wcel cs1 cfv cgsu wceq cvv cmcn wf wss cun w3a cfrmd cv cmpt ccom co
      cword simp3 s1cld wo elun elfvex eleq2s cmvar jaoi sylbi 3ad2ant3 mrexval
      cif syl eleqtrrd eqid mrsubval syld3an3 simpl1 ffvelrnda ad2antrr eleqtrd
      wa wn simplr ifclda fmpttd s1co syl2anc eleq1 fveq2 ifbieq12d s1cli elexi
      s1eq fvex ifex fvmpt s1eqd eqtrd ffvelrnd eqeltrrd cbs fvexi unex frmdbas
      oveq2d ax-mp eqcomi gsumws1 3eqtrd ) ACFUAZAGUBZHBGUCZNZUDZHOZFDPPZXCUEPZ
      MXCMUFZANZXIFPZXIOZVBZUGZXFUHZQUIZXHHANZHFPZXFVBZOZQUIZXSXAXBXDXFCNXGXPRX
      EXFXCUJZCXEHXCXAXBXDUKZULXEESNZCYBRZXDXAYDXBXDHBNZHGNZUMYDHBGUNYFYDYGYDHE
      TPBHETUOIUPYDHEUQPGHEUQUOJUPURUSUTBCEGSIJKVAVCZVDMABCDEFXHGXFIJKLXHVEZVFV
      GXEXOXTXHQXEXOHXNPZOZXTXEXDXCYBXNUAXOYKRYCXEMXCXMYBXEXIXCNZVLZXJXKXLYBYMX
      JVLXKCYBYMACXIFXAXBXDYLVHVIXEYEYLXJYHVJVKYMXJVMZVLXIXCXEYLYNVNULVOVPZXCYB
      HXNVQVRXEYJXSXDXAYJXSRXBMHXMXSXCXNXIHRXJXQXKXLXRXFXIHAVSXIHFVTXIHWDWAXNVE
      XQXRXFHFWEXFSUJHWBWCWFWGUTZWHWIWPXEXSYBNYAXSRXEYJXSYBYPXEXCYBHXNYOYCWJWKY
      BXSXHXHWLPZYBXCSNYQYBRBGBETIWMGEUQJWMWNYQXCXHSYIYQVEWOWQWRWSVCWT $.
  $}

  ${
    $d e f g v x R $.  $d e f g v x T $.  $d e f g v x V $.  $d e f g v W $.
    $d f g v S $.
    mrsubvr.v $e |- V = ( mVR ` T ) $.
    mrsubvr.r $e |- R = ( mREx ` T ) $.
    mrsubvr.s $e |- S = ( mRSubst ` T ) $.
    $( The value of a substituted variable.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    mrsubvr $p |- ( ( F : A --> R /\ A C_ V /\ X e. A ) ->
      ( ( S ` F ) ` <" X "> ) = ( F ` X ) ) $=
      ( wf wss wcel w3a cs1 cfv cif cmcn cun wceq ssun2 simp2 simp3 sseldd eqid
      sselid mrsubcv syld3an3 iftrue 3ad2ant3 eqtrd ) ABEKZAFLZGAMZNZGOZECPPZUN
      GEPZUPQZURULUMUNGDRPZFSZMUQUSTUOFVAGFUTUAUOAFGULUMUNUBULUMUNUCUDUFAUTBCDE
      FGUTUEHIJUGUHUNULUSURTUMUNURUPUIUJUK $.

    $( A substitution is a function from ` R ` to ` R ` .  (Contributed by
       Mario Carneiro, 18-Jul-2016.) $)
    mrsubff $p |- ( T e. W -> S : ( R ^pm V ) --> ( R ^m R ) ) $=
      ( vf ve vv wcel co wf cfv cv cmpt wa cvv eqid cpm cmap cmcn cun cfrmd cdm
      cs1 ccom cgsu cword cmnd fvex cmvar fvexi unex frmdmnd mp1i simpr mrexval
      cif wceq ad2antrr eleqtrd elpmi simpld ad3antlr ffvelrnda wn simplr s1cld
      wss ifclda fmpttd wrdco syl2anc cbs frmdbas ax-mp eqcomi gsumwcl eleqtrrd
      cmrex elmap sylibr mrsubffval feq1d mpbird ) CELZADUAMZAAUBMZBNWIWJIWIJAC
      UCOZDUDZUEOZKWLKPZIPZUFZLZWNWOOZWNUGZUTZQZJPZUHZUIMZQZQZNWHIWIXEWJWHWOWIL
      ZRZAAXENXEWJLXHJAXDAXHXBALZRZXDWLUJZAXJWMUKLZXCXKUJLZXDXKLWLSLZXLXJWKDCUC
      ULDCUMFUNUOZWLWMSWMTZUPUQXJXBXKLWLXKXANXMXJXBAXKXHXIURWHAXKVAZXGXIWKACDEW
      KTZFGUSVBZVCXJKWLWTXKXJWNWLLZRZWQWRWSXKYAWQRWRAXKYAWPAWNWOXGWPAWONZWHXIXT
      XGYBWPDVKADWOVDVEVFVGXJXQXTWQXSVBVCYAWQVHZRWNWLXJXTYCVIVJVLVMWLXKXAXBVNVO
      XKWMXCWMVPOZXKXNYDXKVAXOYDWLWMSXPYDTVQVRVSVTVOXSWAVMAAXEACWBGUNZYEWCWDVMW
      HWIWJBXFKWKABCJIWMDEXRFGHXPWEWFWG $.

    $( Although it is defined for partial mappings of variables, every partial
       substitution is a substitution on some complete mapping of the
       variables.  (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    mrsubrn $p |- ran S = ( S " ( R ^m V ) ) $=
      ( vf vx ve vv co cvv wcel wss cfv wa cif cmpt wceq crn cmap cima cpm wral
      wfn cv wf mrsubff ffnd cdm cs1 cmcn cun cfrmd ccom cgsu eleq1w fveq2 s1eq
      ifbieq12d eqid fvex cword s1cli elexi fvmpt adantl ifeq1da eqtr4di simprd
      ifex ifan elpmi sseld pm4.71rd bicomd ifbid eqtr2d mpteq2dv coeq1d oveq2d
      mrsubfval syl simpld adantr ffvelrnda wn elun2 ad2antlr mrexval ad3antrrr
      s1cld eleqtrrd ifclda fmpttd ssid sylancl 3eqtr4d mapsspm a1i cmrex fvexi
      cmvar elmap sylibr fnfvima syl3anc eqeltrd ralrimiva sylanbrc frnd cmrsub
      ffnfv c0 rnfvprc 0ss eqsstrdi pm2.61i imassrn eqssi ) BUAZBADUBLZUCZCMNZY
      BYDOYEADUDLZYDBYEBYFUFZHUGZBPZYDNZHYFUEYFYDBUHYEYFAAUBLBABCDMEFGUIUJZYEYJ
      HYFYEYHYFNZQZYIIDIUGZYHUKZNZYNYHPZYNULZRZSZBPZYDYMJACUMPZDUNZUOPZKUUCKUGZ
      YONZUUEYHPZUUEULZRZSZJUGZUPZUQLZSZJAUUDKUUCUUEDNZUUEYTPZUUHRZSZUUKUPZUQLZ
      SZYIUUAYMJAUUMUUTYMUULUUSUUDUQYMUUJUURUUKYMKUUCUUIUUQYMUUQUUOUUFQZUUGUUHR
      ZUUIYMUUQUUOUUIUUHRUVCYMUUOUUPUUIUUHUUOUUPUUITYMIUUEYSUUIDYTYNUUETYPUUFYQ
      YRUUGUUHIKYOURYNUUEYHUSYNUUEUTVAYTVBUUFUUGUUHUUEYHVCUUHMVDUUEVEVFVLVGVHVI
      UUOUUFUUGUUHVMVJYMUVBUUFUUGUUHYMUUFUVBYMUUFUUOYMYODUUEYMYOAYHUHZYODOZYLUV
      DUVEQZYEADYHVNVHZVKVOVPVQVRVSVTWAWBVTYMUVFYIUUNTUVGKYOUUBABCJYHUUDDUUBVBZ
      EFGUUDVBZWCWDYMDAYTUHZDDOUUAUVATYMIDYSAYMYNDNZQZYPYQYRAUVLYOAYNYHYMUVDUVK
      YMUVDUVEUVGWEWFWGUVLYPWHZQZYRUUCVDZAUVNYNUUCUVKYNUUCNYMUVMYNDUUBWIWJWMYEA
      UVOTYLUVKUVMUUBACDMUVHEFWKWLWNWOWPZDWQKDUUBABCJYTUUDDUVHEFGUVIWCWRWSYMYGY
      CYFOZYTYCNZUUAYDNYEYGYLYKWFUVQYMADWTXAYMUVJUVRUVPADYTACXBFXCDCXDEXCXEXFYF
      YCBYTXGXHXIXJHYFYDBXNXKXLYEWHYBXOYDXMCBGXPYDXQXRXSBYCXTYA $.

    $( When restricted to complete mappings, the substitution-producing
       function is one-to-one.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    mrsubff1 $p |- ( T e. W ->
      ( S |` ( R ^m V ) ) : ( R ^m V ) -1-1-> ( R ^m R ) ) $=
      ( vf vg vv wcel cmap co wf cv cfv wceq wral wa wi wf1 cpm mrsubff mapsspm
      cres wss a1i fssresd cs1 fveq1 simplrl elmapi ssidd simpr mrsubvr syl3anc
      syl simplrr eqeq12d syl5ib ralrimdva wb fvres eqeqan12d adantl wfn eqfnfv
      ffn syl2an 3imtr4d ralrimivva dff13 sylanbrc ) CELZADMNZAAMNZBVPUFZOIPZVR
      QZJPZVRQZRZVSWARZUAZJVPSIVPSVPVQVRUBVOADUCNZVQVPBABCDEFGHUDVPWFUGVOADUEUH
      UIVOWEIJVPVPVOVSVPLZWAVPLZTZTZVSBQZWABQZRZKPZVSQZWNWAQZRZKDSZWCWDWJWMWQKD
      WMWNUJZWKQZWSWLQZRWJWNDLZTZWQWSWKWLUKXCWTWOXAWPXCDAVSOZDDUGZXBWTWORXCWGXD
      VOWGWHXBULVSADUMZURXCDUNZWJXBUOZDABCVSDWNFGHUPUQXCDAWAOZXEXBXAWPRXCWHXIVO
      WGWHXBUSWAADUMZURXGXHDABCWADWNFGHUPUQUTVAVBWIWCWMVCVOWGWHVTWKWBWLVSVPBVDW
      AVPBVDVEVFWIWDWRVCZVOWGXDXIXKWHXFXJXDVSDVGWADVGXKXIDAVSVIDAWAVIKDVSWAVHVJ
      VJVFVKVLIJVPVQVRVMVN $.

    $( When restricted to complete mappings, the substitution-producing
       function is bijective to the set of all substitutions.  (Contributed by
       Mario Carneiro, 18-Jul-2016.) $)
    mrsubff1o $p |- ( T e. W ->
      ( S |` ( R ^m V ) ) : ( R ^m V ) -1-1-onto-> ran S ) $=
      ( wcel cmap co cres crn wf1o wf1 mrsubff1 f1f1orn syl wceq wb cima df-ima
      mrsubrn eqtri f1oeq3 ax-mp sylibr ) CEIZADJKZBUILZMZUJNZUIBMZUJNZUHUIAAJK
      ZUJOULABCDEFGHPUIUOUJQRUMUKSUNULTUMBUIUAUKABCDFGHUCBUIUBUDUMUKUIUJUEUFUG
      $.
  $}

  ${
    $d c f r v x y C $.  $d f r v x y R $.  $d c f x y S $.  $d f r v x y T $.
    $d c f r v w x y F $.  $d c f r v w x y V $.  $d r v x y W $.  $d f v X $.
    $d f v Y $.
    mrsubccat.s $e |- S = ( mRSubst ` T ) $.
    $( The value of the substituted empty string.  (Contributed by Mario
       Carneiro, 18-Jul-2016.) $)
    mrsub0 $p |- ( F e. ran S -> ( F ` (/) ) = (/) ) $=
      ( vf vv crn wcel cvv cv cfv wceq cmrex cmvar cmap co c0 wf eqid cgsu wrex
      n0i cmrsub rnfvprc nsyl2 wfun cima cpm mrsubff ffun mrsubrn eleq2i biimpi
      3syl fvelima syl2anc wa cmcn cun cfrmd cs1 cif cmpt ccom wss elmapi ssidd
      adantl cword mrexval adantr eleqtrrid mrsubval syl3anc oveq2i frmd0 gsum0
      wrd0 co02 eqtri eqtrdi fveq1 eqeq1d syl5ibcom rexlimdva sylc ) CAGZHZBIHZ
      EJZAKZCLZEBMKZBNKZOPZUAZQCKZQLZWHWGQLWIWGCUBUCBADUDUEZWHAUFZCAWOUGZHZWPWH
      WIWMWNUHPZWMWMOPZARWTWSWMABWNIWNSZWMSZDUIXCXDAUJUNWHXBWGXACWMABWNXEXFDUKU
      LUMECWOAUOUPWIWLWREWOWIWJWOHZUQZQWKKZQLWLWRXHXIBURKZWNUSZUTKZFXKFJZWNHXMW
      JKXMVAVBVCZQVDZTPZQXHWNWMWJRZWNWNVEQWMHXIXPLXGXQWIWJWMWNVFVHXHWNVGXHQXKVI
      ZWMXKVRWIWMXRLXGXJWMBWNIXJSZXEXFVJVKVLFWNXJWMABWJXLWNQXSXEXFDXLSZVMVNXPXL
      QTPQXOQXLTXNVSVOXLQXKXLXTVPVQVTWAWLXIWQQQWKCWBWCWDWEWF $.

    mrsubccat.r $e |- R = ( mREx ` T ) $.
    $( A substitution is a function.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    mrsubf $p |- ( F e. ran S -> F : R --> R ) $=
      ( crn wcel cmap co wf cvv cmvar cfv cpm wss c0 wceq n0i cmrsub nsyl2 eqid
      rnfvprc mrsubff frn 3syl id sseldd elmapi syl ) DBGZHZDAAIJZHAADKULUKUMDU
      LCLHZACMNZOJZUMBKUKUMPULUKQRUNUKDSTCBEUCUAABCUOLUOUBFEUDUPUMBUEUFULUGUHDA
      AUIUJ $.

    $( Substitution distributes over concatenation.  (Contributed by Mario
       Carneiro, 18-Jul-2016.) $)
    mrsubccat $p |- ( ( F e. ran S /\ X e. R /\ Y e. R ) ->
      ( F ` ( X ++ Y ) ) = ( ( F ` X ) ++ ( F ` Y ) ) ) $=
      ( vv wcel cconcat co cfv wceq wa cvv eqid syl2anc cgsu syl3anc vf cv cmap
      crn cmvar wrex wi wfun cima cpm wf c0 n0i rnfvprc nsyl2 mrsubff ffun 3syl
      cmrsub mrsubrn eleq2i biimpi fvelima cmcn cun cfrmd cs1 cmpt cplusg cword
      simprl cmrex elfvex eleq2s mrexval eleqtrd simprr elmapi adantr ffvelrnda
      cif ccom ad2antrr simplr s1cld ifclda fmpttd ccatco oveq2d cmnd fvex unex
      wn frmdmnd wrdco cbs frmdbas ax-mp eqcomi gsumccat gsumwcl frmdadd 3eqtrd
      mp1i wss ssidd ccatcl eleqtrrd mrsubval oveq12d 3eqtr4d eqeq12d syl5ibcom
      fveq1 ex com23 rexlimiv syl 3impib ) DBUDZJZEAJZFAJZEFKLZDMZEDMZFDMZKLZNZ
      YAUAUBZBMZDNZUAACUEMZUCLZUFZYBYCOZYIUGZYABUHZDBYNUIZJZYOYACPJZAYMUJLZAAUC
      LZBUKYRYAXTULNUUAXTDUMUSCBGUNUOABCYMPYMQZHGUPUUBUUCBUQURYAYTXTYSDABCYMUUD
      HGUTVAVBUADYNBVCRYLYQUAYNYJYNJZYPYLYIUUEYPYLYIUGUUEYPOZYDYKMZEYKMZFYKMZKL
      ZNYLYIUUFCVDMZYMVEZVFMZIUULIUBZYMJZUUNYJMZUUNVGZWAZVHZYDWBZSLZUUMUUSEWBZS
      LZUUMUUSFWBZSLZKLZUUGUUJUUFUVAUUMUVBUVDKLZSLZUVCUVEUUMVIMZLZUVFUUFUUTUVGU
      UMSUUFEUULVJZJZFUVKJZUULUVKUUSUKZUUTUVGNUUFEAUVKUUEYBYCVKZUUFYBUUAAUVKNZU
      VOUUAECVLMAECVLVMHVNUUKACYMPUUKQZUUDHVOURZVPZUUFFAUVKUUEYBYCVQZUVRVPZUUFI
      UULUURUVKUUFUUNUULJZOZUUOUUPUUQUVKUWCUUOOUUPAUVKUWCYMAUUNYJUUFYMAYJUKZUWB
      UUEUWDYPYJAYMVRVSZVSVTUUFUVPUWBUUOUVRWCVPUWCUUOWMZOUUNUULUUFUWBUWFWDWEWFW
      GZUULUVKEFUUSWHTWIUUFUUMWJJZUVBUVKVJZJZUVDUWIJZUVHUVJNUULPJZUWHUUFUUKYMCV
      DWKCUEWKWLZUULUUMPUUMQZWNXDZUUFUVLUVNUWJUVSUWGUULUVKUUSEWORZUUFUVMUVNUWKU
      WAUWGUULUVKUUSFWORZUVKUVIUUMUVBUVDUUMWPMZUVKUWLUWRUVKNUWMUWRUULUUMPUWNUWR
      QWQWRWSZUVIQZWTTUUFUVCUVKJZUVEUVKJZUVJUVFNUUFUWHUWJUXAUWOUWPUVKUUMUVBUWSX
      ARUUFUWHUWKUXBUWOUWQUVKUUMUVDUWSXARUVKUVIUULUUMUVCUVEUWNUWSUWTXBRXCUUFUWD
      YMYMXEZYDAJUUGUVANUWEUUFYMXFZUUFYDUVKAUUFUVLUVMYDUVKJUVSUWAUULEFXGRUVRXHI
      YMUUKABCYJUUMYMYDUVQUUDHGUWNXITUUFUUHUVCUUIUVEKUUFUWDUXCYBUUHUVCNUWEUXDUV
      OIYMUUKABCYJUUMYMEUVQUUDHGUWNXITUUFUWDUXCYCUUIUVENUWEUXDUVTIYMUUKABCYJUUM
      YMFUVQUUDHGUWNXITXJXKYLUUGYEUUJYHYDYKDXNYLUUHYFUUIYGKEYKDXNFYKDXNXJXLXMXO
      XPXQXRXS $.

    mrsubcn.v $e |- V = ( mVR ` T ) $.
    mrsubcn.c $e |- C = ( mCN ` T ) $.
    $( A substitution does not change the value of constant substrings.
       (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    mrsubcn $p |- ( ( F e. ran S /\ X e. ( C \ V ) ) ->
      ( F ` <" X "> ) = <" X "> ) $=
      ( vf wcel cfv wceq cmap co cvv wf adantr crn cv wrex cdif cs1 wfun cpm c0
      cima cmrsub rnfvprc nsyl2 mrsubff ffun 3syl mrsubrn eleq2i biimpi fvelima
      n0i syl2anc wa cif wss cun elmapi adantl ssidd eldifi syl mrsubcv syl3anc
      elun1 wn eldifn iffalsed eqtrd fveq1 eqeq1d syl5ibcom rexlimdva mpan9 ) E
      CUAZMZLUBZCNZEOZLBFPQZUCZGAFUDMZGUEZENZWKOZWDCUFZECWHUIZMZWIWDDRMZBFUGQZB
      BPQZCSWNWDWCUHOWQWCEUTUJDCHUKULBCDFRJIHUMWRWSCUNUOWDWPWCWOEBCDFJIHUPUQURL
      EWHCUSVAWJWGWMLWHWJWEWHMZVBZWKWFNZWKOWGWMXAXBGFMZGWENZWKVCZWKXAFBWESZFFVD
      GAFVEMZXBXEOWTXFWJWEBFVFVGXAFVHWJXGWTWJGAMXGGAFVIGAFVMVJTFABCDWEFGKJIHVKV
      LXAXCXDWKWJXCVNWTGAFVOTVPVQWGXBWLWKWKWFEVRVSVTWAWB $.

    $( Characterization of the substitutions as functions from expressions to
       expressions that distribute under concatenation and map constants to
       themselves.  (The constant part uses ` ( C \ V ) ` because we don't know
       that ` C ` and ` V ` are disjoint until we get to ~ ismfs .)
       (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    elmrsubrn $p |- ( T e. W -> ( F e. ran S <-> ( F : R --> R /\
      A. c e. ( C \ V ) ( F ` <" c "> ) = <" c "> /\
      A. x e. R A. y e. R ( F ` ( x ++ y ) ) =
        ( ( F ` x ) ++ ( F ` y ) ) ) ) ) $=
      ( vv wcel cfv wceq co c0 vw vr crn wf cv cs1 cdif wral cconcat w3a mrsubf
      mrsubcn ralrimiva mrsubccat 3expb ralrimivva 3jca cmpt cun cfrmd cif ccom
      wa cgsu cword mrexval adantr s1eq fveq2d eqid fvex fvmpt adantl wn difun2
      eleq2i eldif bitr3i simpr2 eqeq12d rspccva sylan2br anassrs eqcomd ifeqda
      weq sylan mpteq2dva coeq1d oveq2d mpteq12dv wss elun2 simplr1 simpr s1cld
      ad2antrr eleqtrrd ffvelrnd sylan2 cbvmptv ssid mrsubfval sylancl cmnd cvv
      fmptd cmhm cvrmd cmcn fvexi cmvar frmdmnd ax-mp a1i eleqtrd fmpttd cplusg
      unex simpr1 feq23d mpbid simpr3 simprl simprr cbs frmdbas frmdadd syl2anc
      eqcomi ffvelrn ad2ant2lr ad2ant2l 2ralbidva chash cc0 caddc fveq2 eqtrdi
      wb raleqdv raleqbidv bitr3d 3ad2antr1 cn0 wrd0 lencl syl nn0cnd eleqtrrid
      addid1d fvoveq1 oveq1d ccatidid rspc2va syl21anc ccatlen 3eqtrrd addcanad
      0cnd oveq2 hasheq0 sylib pm3.2i frmd0 ismhm mpbiran syl3anbrc fcompt mpan
      vrmdf vrmdval mpteq2ia frmdup3lem syl32anc 3eqtr4rd cpm cmap mrsubff ffnd
      wfn cmrex elpm2r mpanl12 fnfvelrn eqeltrd ex impbid2 ) FIPZGEUCZPZDDGUDZJ
      UEZUFZGQZUWNRZJCHUGZUHZAUEZBUEZUISZGQZUWSGQZUWTGQZUISZRZBDUHADUHZUJZUWKUW
      LUWRUXGDEFGKLUKUWKUWPJUWQCDEFGHUWMKLMNULUMUWKUXFABDDUWKUWSDPZUWTDPZUXFDEF
      GUWSUWTKLUNUOUPUQUWIUXHUWKUWIUXHVCZGUAHUAUEZUFZGQZURZEQZUWJUXKUBDCHUSZUTQ
      ZOUXQOUEZHPZUXSUXOQZUXSUFZVAZURZUBUEZVBZVDSZURZUBUXQVEZUXROUXQUYBGQZURZUY
      EVBZVDSZURZUXPGUXKUBDUYGUYIUYMUWIDUYIRZUXHCDFHINMLVFZVGZUXKUYFUYLUXRVDUXK
      UYDUYKUYEUXKOUXQUYCUYJUXKUXSUXQPZVCZUXTUYAUYBUYJUXTUYAUYJRUYSUAUXSUXNUYJH
      UXOUAOWFUXMUYBGUXLUXSVHVIZUXOVJUYBGVKVLVMUYSUXTVNZVCUYJUYBUXKUYRVUAUYJUYB
      RZUYRVUAVCZUXKUXSUWQPZVUBVUDUXSUXQHUGZPVUCVUEUWQUXSCHVOVPUXSUXQHVQVRUXKUW
      RVUDVUBUWIUWLUWRUXGVSUWPVUBJUXSUWQJOWFZUWOUYJUWNUYBVUFUWNUYBGUWMUXSVHZVIV
      UGVTWAWGWBWCWDWEWHWIWJWKUXKHDUXOUDZHHWLZUXPUYHRUXKOHUYJDUXOUXTUXKUYRUYJDP
      UXSHCWMUYSDDUYBGUWLUWRUXGUWIUYRWNUYSUYBUYIDUYSUXSUXQUXKUYRWOWPUWIUYOUXHUY
      RUYPWQZWRWSZWTUAOHUXNUYJUYTXAXGZHXBZOHCDEFUBUXOUXRHNMLKUXRVJZXCXDUXKUXRXE
      PZUXQXFPZUXQUYIUYKUDGUXRUXRXHSPZGUXQXIQZVBZUYKRGUYNRVUOUXKVUPVUOCHCFXJNXK
      HFXLMXKZXSZUXQUXRXFVUNXMXNZXOVUPUXKVVAXOUXKOUXQUYJUYIUYSUYJDUYIVUKVUJXPXQ
      UXKUYIUYIGUDZUWSUWTUXRXRQZSZGQZUXCUXDVVDSZRZBUYIUHZAUYIUHZTGQZTRZVUQUXKUW
      LVVCUWIUWLUWRUXGXTUXKDDUYIUYIGUYQUYQYAYBZUXKUXGVVJUWIUWLUWRUXGYCZUWIUWRUW
      LUXGVVJYTUXGUWIUWLVCZVVHBDUHZADUHUXGVVJVVOVVHUXFABDDVVOUXIUXJVCZVCZVVFUXB
      VVGUXEVVRVVEUXAGVVRUWSUYIPUWTUYIPVVEUXARVVRUWSDUYIVVOUXIUXJYDVVOUYOVVQUWI
      UYOUWLUYPVGZVGZXPVVRUWTDUYIVVOUXIUXJYEVVTXPUYIVVDUXQUXRUWSUWTVUNUXRYFQZUY
      IVUPVWAUYIRVVAVWAUXQUXRXFVUNVWAVJYGXNYJZVVDVJZYHYIVIVVRUXCUYIPUXDUYIPVVGU
      XERVVRUXCDUYIUWLUXIUXCDPUWIUXJDDUWSGYKYLVVTXPVVRUXDDUYIUWLUXJUXDDPUWIUXID
      DUWTGYKYMVVTXPUYIVVDUXQUXRUXCUXDVUNVWBVWCYHYIVTYNVVOVVPVVIADUYIVVSVVOVVHB
      DUYIVVSUUAUUBUUCUUDYBUXKVVKYOQZYPRZVVLUXKVWDVWDYPUXKVWDUXKVVKUYIPZVWDUUEP
      UXKVVCTUYIPVWFVVMUXQUUFZUYIUYITGYKXDZUXQVVKUUGUUHUUIZVWIUXKUUTUXKVWDYPYQS
      VWDVVKVVKUISZYOQZVWDVWDYQSZUXKVWDVWIUUKUXKVVKVWJYOUXKTDPZVWMUXGVVKVWJRZUX
      KTUYIDVWGUYQUUJZVWOVVNUXFVWNTUWTUISZGQZVVKUXDUISZRABTTDDUWSTRZUXBVWQUXEVW
      RUWSTUWTGUIUULVWSUXCVVKUXDUIUWSTGYRUUMVTUWTTRZVWQVVKVWRVWJVWTVWPTGVWTVWPT
      TUISTUWTTTUIUVAUUNYSVIVWTUXDVVKVVKUIUWTTGYRWJVTUUOUUPVIUXKVWFVWFVWKVWLRVW
      HVWHUXQUXQVVKVVKUUQYIUURUUSVVKXFPVWEVVLYTTGVKVVKXFUVBXNUVCVUQVUOVUOVCVVCV
      VJVVLUJVUOVUOVVBVVBUVDABUYIUYIVVDVVDUXRUXRGTTVWBVWBVWCVWCUXQUXRVUNUVEZVXA
      UVFUVGUVHUXKVUSOUXQUXSVURQZGQZURZUYKUXKVVCUXQUYIVURUDZVUSVXDRVVMVUPVXEVVA
      VURUXQXFVURVJZUVKXNOGVURUXQUYIUYIUVIXDOUXQVXCUYJUYRVXBUYBGVUPUYRVXBUYBRVV
      AUXSVURUXQXFVXFUVLUVJVIUVMYSUBUYKUYIVURGUXRUXQUXRXFVUNVWBVXFUVNUVOUVPUXKE
      DHUVQSZUWAZUXOVXGPZUXPUWJPUWIVXHUXHUWIVXGDDUVRSEDEFHIMLKUVSUVTVGUXKVUHVUI
      VXIVULVUMDXFPHXFPVUHVUIVCVXIDFUWBLXKVUTDHHUXOXFXFUWCUWDXDVXGUXOEUWEYIUWFU
      WGUWH $.
  $}

  ${
    $d c v x y z F $.  $d c v x y z S $.  $d c v x y z T $.  $d v x y z V $.
    $d c x y G $.  $d v x X $.
    mrsubco.s $e |- S = ( mRSubst ` T ) $.
    $( The composition of two substitutions is a substitution.  (Contributed by
       Mario Carneiro, 18-Jul-2016.) $)
    mrsubco $p |- ( ( F e. ran S /\ G e. ran S ) -> ( F o. G ) e. ran S ) $=
      ( vc vx vy wcel wa cfv wf cv wceq cconcat co adantr syl2anc syl fvco3 crn
      ccom cmrex cs1 cmcn cmvar cdif wral eqid mrsubf adantl cword eldifi elun1
      fco cun s1cld cvv c0 cmrsub rnfvprc nsyl2 mrexval eleqtrrd mrsubcn fveq2d
      n0i adantll adantlr 3eqtrd ralrimiva mrsubccat 3expb simpll simprl simprr
      ffvelrnd syl3anc eqtrd eleqtrd ccatcl oveq12d ralrimivva w3a wb elmrsubrn
      3eqtr4d mpbir3and ) CAUAZIZDWIIZJZCDUBZWIIZBUCKZWOWMLZFMZUDZWMKZWRNZFBUEK
      ZBUFKZUGZUHZGMZHMZOPZWMKZXEWMKZXFWMKZOPZNZHWOUHGWOUHZWLWOWOCLZWOWODLZWPWJ
      XNWKWOABCEWOUIZUJQWKXOWJWOABDEXPUJUKZWOWOWOCDUORWLWTFXCWLWQXCIZJZWSWRDKZC
      KZWRCKZWRXSXOWRWOIWSYANWLXOXRXQQXSWRXAXBUPZULZWOXSWQYCXRWQYCIZWLXRWQXAIYE
      WQXAXBUMWQXAXBUNSUKUQXSBURIZWOYDNZWLYFXRWJYFWKWJWIUSNYFWICVGUTBAEVAVBQZQX
      AWOBXBURXAUIZXBUIZXPVCZSVDWOWOWRCDTRXSXTWRCWKXRXTWRNWJXAWOABDXBWQEXPYJYIV
      EVHVFWJXRYBWRNWKXAWOABCXBWQEXPYJYIVEVIVJVKWLXLGHWOWOWLXEWOIZXFWOIZJZJZXGD
      KZCKZXEDKZCKZXFDKZCKZOPZXHXKYOYQYRYTOPZCKZUUBYOYPUUCCWKYNYPUUCNZWJWKYLYMU
      UEWOABDXEXFEXPVLVMVHVFYOWJYRWOIYTWOIUUDUUBNWJWKYNVNYOWOWOXEDWLXOYNXQQZWLY
      LYMVOZVQYOWOWOXFDUUFWLYLYMVPZVQWOABCYRYTEXPVLVRVSYOXOXGWOIXHYQNUUFYOXGYDW
      OYOXEYDIXFYDIXGYDIYOXEWOYDUUGWLYGYNWLYFYGYHYKSQZVTYOXFWOYDUUHUUIVTYCXEXFW
      ARUUIVDWOWOXGCDTRYOXIYSXJUUAOYOXOYLXIYSNUUFUUGWOWOXECDTRYOXOYMXJUUANUUFUU
      HWOWOXFCDTRWBWGWCWLYFWNWPXDXMWDWEYHGHXAWOABWMXBURFEXPYJYIWFSWH $.

    mrsubvrs.v $e |- V = ( mVR ` T ) $.
    mrsubvrs.r $e |- R = ( mREx ` T ) $.
    $( The set of variables in a substitution is the union, indexed by the
       variables in the original expression, of the variables in the
       substitution to that variable.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    mrsubvrs $p |- ( ( F e. ran S /\ X e. R ) -> ( ran ( F ` X ) i^i V ) =
      U_ x e. ( ran X i^i V ) ( ran ( F ` <" x "> ) i^i V ) ) $=
      ( crn wcel cfv cin ciun wceq cun c0 ineq1d eqtrdi vv vy vz cs1 cmcn cword
      cv cvv n0i cmrsub rnfvprc nsyl2 mrexval syl eleq2d wi cconcat fveq2 rneqd
      eqid co rneq rn0 iuneq1d 0iun eqeq12d imbi2d mrsub0 wa uneq1 simpl simprl
      adantr eleqtrrd simprr s1cld mrsubccat syl3anc wf mrsubf ffvelrnd eleqtrd
      0in ccatrn syl2anc eqtrd indir csn ad2antll uneq2d iunxun wss simpr snssd
      s1rn df-ss sylib vex s1eq fveq2d iunxsn wn incom disjsn sylibr cdif eldif
      syl5eq biimpri sylan difun2 eleqtrdi mrsubcn 3eqtr4a pm2.61dan expcom a2d
      syl5ibr wrdind com12 sylbid imp ) ECKZLZGBLZGEMZKZFNZAGKZFNZAUGZUDZEMZKZF
      NZOZPZYDYEGDUEMZFQZUFZLZYQYDBYTGYDDUHLZBYTPZYDYCRPUUBYCEUIUJDCHUKULYRBDFU
      HYRUTZIJUMUNZUOUUAYDYQYDUAUGZEMZKZFNZAUUFKZFNZYOOZPZUPYDREMZKZFNZRPZUPYDU
      BUGZEMZKZFNZAUURKZFNZYOOZPZUPYDUURUCUGZUDZUQVAZEMZKZFNZAUVHKZFNZYOOZPZUPY
      DYQUPUAUBUCGYSUUFRPZUUMUUQYDUVPUUIUUPUULRUVPUUHUUOFUVPUUGUUNUUFREURUSSUVP
      UULARYOOZRUVPAUUKRYOUVPUUKRFNZRUVPUUJRFUVPUUJRKZRUUFRVBVCTSFWCZTVDAYOVEZT
      VFVGUUFUURPZUUMUVEYDUWBUUIUVAUULUVDUWBUUHUUTFUWBUUGUUSUUFUUREURUSSUWBAUUK
      UVCYOUWBUUJUVBFUUFUURVBSVDVFVGUUFUVHPZUUMUVOYDUWCUUIUVKUULUVNUWCUUHUVJFUW
      CUUGUVIUUFUVHEURUSSUWCAUUKUVMYOUWCUUJUVLFUUFUVHVBSVDVFVGUUFGPZUUMYQYDUWDU
      UIYHUULYPUWDUUHYGFUWDUUGYFUUFGEURUSSUWDAUUKYJYOUWDUUJYIFUUFGVBSVDVFVGYDUU
      PUVRRYDUUORFYDUUOUVSRYDUUNRCDEHVHUSVCTSUVTTUURYTLZUVFYSLZVIZYDUVEUVOYDUWG
      UVEUVOUPUVEUVOYDUWGVIZUVAUVGEMZKZFNZQZUVDUWKQZPUVAUVDUWKVJUWHUVKUWLUVNUWM
      UWHUVKUUTUWJQZFNUWLUWHUVJUWNFUWHUVJUUSUWIUQVAZKZUWNUWHUVIUWOUWHYDUURBLUVG
      BLUVIUWOPYDUWGVKZUWHUURYTBYDUWEUWFVLZYDUUCUWGUUEVMZVNZUWHUVGYTBUWHUVFYSYD
      UWEUWFVOZVPZUWSVNZBCDEUURUVGHJVQVRUSUWHUUSYTLUWIYTLUWPUWNPUWHUUSBYTUWHBBU
      UREYDBBEVSUWGBCDEHJVTVMZUWTWAUWSWBUWHUWIBYTUWHBBUVGEUXDUXCWAUWSWBYSUUSUWI
      WDWEWFSUUTUWJFWGTUWHUVNUVDAUVFWHZFNZYOOZQZUWMUWHUVNAUVCUXFQZYOOUXHUWHAUVM
      UXIYOUWHUVMUVBUXEQZFNUXIUWHUVLUXJFUWHUVLUVBUVGKZQZUXJUWHUWEUVGYTLUVLUXLPU
      WRUXBYSUURUVGWDWEUWHUXKUXEUVBUWFUXKUXEPZYDUWEUVFYSWOWIZWJWFSUVBUXEFWGTVDA
      UVCUXFYOWKTUWHUXGUWKUVDUWHUVFFLZUXGUWKPUWHUXOVIZUXGAUXEYOOUWKUXPAUXFUXEYO
      UXPUXEFWLUXFUXEPUXPUVFFUWHUXOWMWNUXEFWPWQVDAUVFYOUWKUCWRYKUVFPZYNUWJFUXQY
      MUWIUXQYLUVGEYKUVFWSWTUSSXATUWHUXOXBZVIZUVQRUXGUWKUWAUXSAUXFRYOUXSUXFFUXE
      NZRUXEFXCUXSUXRUXTRPUWHUXRWMFUVFXDXEXHZVDUXSUWKUXFRUXSUWJUXEFUXSUWJUXKUXE
      UXSUWIUVGUXSYDUVFYRFXFZLUWIUVGPUWHYDUXRUWQVMUXSUVFYSFXFZUYBUWHUWFUXRUVFUY
      CLZUXAUYDUWFUXRVIUVFYSFXGXIXJYRFXKXLYRBCDEFUVFHJIUUDXMWEUSUWHUXMUXRUXNVMW
      FSUYAWFXNXOWJWFVFXRXPXQXSXTYAYB $.
  $}

  ${
    $d e f t E $.  $d e f t O $.  $d e f t R $.  $d e f t T $.  $d e f t V $.
    $d e f A $.  $d e f F $.  $d e X $.
    msubffval.v $e |- V = ( mVR ` T ) $.
    msubffval.r $e |- R = ( mREx ` T ) $.
    msubffval.s $e |- S = ( mSubst ` T ) $.
    msubffval.e $e |- E = ( mEx ` T ) $.
    ${
      msubffval.o $e |- O = ( mRSubst ` T ) $.
      $( A substitution applied to an expression.  (Contributed by Mario
         Carneiro, 18-Jul-2016.) $)
      msubffval $p |- ( T e. W -> S = ( f e. ( R ^pm V ) |-> ( e e. E |->
        <. ( 1st ` e ) , ( ( O ` f ) ` ( 2nd ` e ) ) >. ) ) ) $=
        ( vt cpm cfv cmpt fveq2 eqtr4di wcel cvv co cv c1st c2nd cop wceq cmsub
        elex cmrex cmvar cmex cmrsub oveq12d fveq1d opeq2d mpteq12dv ovex mptex
        df-msub fvmpt syl5eq syl ) CIUACUBUAZBEAHPUCZDFDUDZUEQZVGUFQZEUDZGQZQZU
        GZRZRZUHCIUJVEBCUIQVOLOCEOUDZUKQZVPULQZPUCZDVPUMQZVHVIVJVPUNQZQZQZUGZRZ
        RVOUBUIVPCUHZEVSWEVFVNWFVQAVRHPWFVQCUKQAVPCUKSKTWFVRCULQHVPCULSJTUOWFDV
        TWDFVMWFVTCUMQFVPCUMSMTWFWCVLVHWFVIWBVKWFVJWAGWFWACUNQGVPCUNSNTUPUPUQUR
        URODEVAEVFVNAHPUSUTVBVCVD $.

      $( A substitution applied to an expression.  (Contributed by Mario
         Carneiro, 18-Jul-2016.) $)
      msubfval $p |- ( ( F : A --> R /\ A C_ V ) -> ( S ` F ) = ( e e. E |->
      <. ( 1st ` e ) , ( ( O ` F ) ` ( 2nd ` e ) ) >. ) ) $=
        ( vf cvv wcel wa cfv c0 wf wss cv c1st c2nd cop cmpt wceq cpm msubffval
        wi adantr simplr fveq2d fveq1d opeq2d mpteq2dva cmrex pm3.2i a1i elpm2r
        co fvexi cmvar sylan cmex mptex fvmptd ex 0fv eqtr4i cmsub fvprc syl5eq
        wn mpt0 mpteq1d 3eqtr4a a1d pm2.61i ) DPQZABGUAAIUBRZGCSZEFEUCZUDSZWDUE
        SZGHSZSZUFZUGZUHZUKWAWBWKWAWBRZOGEFWEWFOUCZHSZSZUFZUGZWJBIUIVBZCPWACOWR
        WQUGUHWBBCDEOFHIPJKLMNUJULWLWMGUHZRZEFWPWIWTWDFQZRZWOWHWEXBWFWNWGXBWMGH
        WLWSXAUMUNUOUPUQWABPQZIPQZRZWBGWRQXEWAXCXDBDURKVCIDVDJVCUSUTBIAGPPVAVEW
        JPQWLEFWIFDVFMVCVGUTVHVIWAVOZWKWBXFGTSZETWIUGZWCWJXGTXHGVJEWIVPVKXFGCTX
        FCDVLSTLDVLVMVNUOXFEFTWIXFFDVFSTMDVFVMVNVQVRVSVT $.

      $( A substitution applied to an expression.  (Contributed by Mario
         Carneiro, 18-Jul-2016.) $)
      msubval $p |- ( ( F : A --> R /\ A C_ V /\ X e. E ) ->
      ( ( S ` F ) ` X ) = <. ( 1st ` X ) , ( ( O ` F ) ` ( 2nd ` X ) ) >. ) $=
        ( ve wcel c1st cfv c2nd fveq2d wf wss w3a cv cop cvv cmpt wceq msubfval
        3adant3 wa simpr opeq12d simp3 opex a1i fvmptd ) ABFUAZAHUBZIEPZUCZOIOU
        DZQRZVBSRZFGRZRZUEZIQRZISRZVERZUEZEFCRZUFURUSVLOEVGUGUHUTABCDOEFGHJKLMN
        UIUJVAVBIUHZUKZVCVHVFVJVNVBIQVAVMULZTVNVDVIVEVNVBISVOTTUMURUSUTUNVKUFPV
        AVHVJUOUPUQ $.

      $( A substitution applied to an expression.  (Contributed by Mario
         Carneiro, 18-Jul-2016.) $)
      msubrsub $p |- ( ( F : A --> R /\ A C_ V /\ X e. E ) ->
        ( 2nd ` ( ( S ` F ) ` X ) ) = ( ( O ` F ) ` ( 2nd ` X ) ) ) $=
        ( wf cfv c1st c2nd wceq fvex wss wcel w3a cop msubval op2ndd syl ) ABFO
        AHUAIEUBUCIFCPPZIQPZIRPZFGPZPZUDSUHRPULSABCDEFGHIJKLMNUEUIULUHIQTUJUKTU
        FUG $.
    $}

    $( The type of a substituted expression is the same as the original type.
       (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    msubty $p |- ( ( F : A --> R /\ A C_ V /\ X e. E ) ->
      ( 1st ` ( ( S ` F ) ` X ) ) = ( 1st ` X ) ) $=
      ( wf wss wcel w3a cfv c1st wceq fvex c2nd cmrsub cop eqid msubval op1std
      syl ) ABFMAGNHEOPHFCQQZHRQZHUAQZFDUBQZQZQZUCSUHRQUISABCDEFUKGHIJKLUKUDUEU
      IUMUHHRTUJULTUFUG $.
  $}

  ${
    $d e f g E $.  $d e f g O $.  $d e g T $.
    elmsubrn.e $e |- E = ( mEx ` T ) $.
    elmsubrn.o $e |- O = ( mRSubst ` T ) $.
    elmsubrn.s $e |- S = ( mSubst ` T ) $.
    $( Characterization of substitution in terms of raw substitution, without
       reference to the generating functions.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    elmsubrn $p |- ran S = ran ( f e. ran O |-> ( e e. E |->
      <. ( 1st ` e ) , ( f ` ( 2nd ` e ) ) >. ) ) $=
      ( vg cvv wcel crn cv cfv cop cmpt wceq co c0 c1st c2nd ccom cpm msubffval
      cmrex cmvar eqid wfn cmap mrsubff ffnd fnfvelrn sylan feqmptd eqidd fveq1
      opeq2d mpteq2dv fmptco eqtr4d rneqd cres rnco wss ssid resmpt ax-mp rneqi
      eqtri eqtrdi wn eqcomi cmsub fvprc syl5eq rnfvprc mpteq1d 3eqtr4a pm2.61i
      mpt0 cmrsub ) BKLZAMZDFMZCECNZUAOZWFUBOZDNZOZPZQZQZMZRWCWDWMFUCZMZWNWCAWO
      WCAJBUFOZBUGOZUDSZCEWGWHJNZFOZOZPZQZQWOWQABCJEFWRKWRUHZWQUHZIGHUEWCJDWSWE
      XAWLXDFWMWCFWSUIWTWSLXAWELWCWSWQWQUJSZFWQFBWRKXEXFHUKZULWSWTFUMUNWCJWSXGF
      XHUOWCWMUPWIXARZCEWKXCXIWJXBWGWHWIXAUQURUSUTVAVBWPWMWEVCZMWNWMFVDXJWMWEWE
      VEXJWMRWEVFDWEWEWLVGVHVIVJVKWCVLZAWMXKTDTWLQZAWMXLTDWLWAVMXKABVNOTIBVNVOV
      PXKDWETWLWBBFHVQVRVSVBVT $.
  $}

  ${
    $d e f E $.  $d e f g R $.  $d f g S $.  $d e f g T $.  $d e f g V $.
    $d e f W $.
    msubff.v $e |- V = ( mVR ` T ) $.
    msubff.r $e |- R = ( mREx ` T ) $.
    msubff.s $e |- S = ( mSubst ` T ) $.
    $( Although it is defined for partial mappings of variables, every partial
       substitution is a substitution on some complete mapping of the
       variables.  (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    msubrn $p |- ran S = ( S " ( R ^m V ) ) $=
      ( vf ve vg crn co cvv wcel wss cfv cv cmpt eqid wa cmap cima cpm cmex cop
      c1st c2nd cmrsub msubffval rneqd wceq wrex wfun mrsubff adantr ffund ffnd
      wf wfn fnfvelrn sylan mrsubrn eleqtrdi fvelima syl2anc elmapi adantl ssid
      msubfval sylancl mptex fnmpti fneq1d mpbiri mapsspm simpr fnfvima syl3anc
      a1i eqeltrrd adantlr fveq1 opeq2d mpteq2dv eleq1d syl5ibcom rexlimdva mpd
      fvex fmpttd frnd eqsstrd wn c0 cmsub rnfvprc 0ss eqsstrdi pm2.61i imassrn
      eqssi ) BKZBADUALZUBZCMNZXBXDOXEXBHADUCLZICUDPZIQZUFPZXHUGPZHQZCUHPZPZPZU
      EZRZRZKXDXEBXQABCIHXGXLDMEFGXGSZXLSZUIZUJXEXFXDXQXEHXFXPXDXEXKXFNZTZJQZXL
      PZXMUKZJXCULZXPXDNZYBXLUMXMXLXCUBZNYFYBXFAAUALZXLXEXFYIXLURYAAXLCDMEFXSUN
      ZUOUPYBXMXLKZYHXEXLXFUSYAXMYKNXEXFYIXLYJUQXFXKXLUTVAAXLCDEFXSVBVCJXMXCXLV
      DVEYBYEYGJXCYBYCXCNZTIXGXIXJYDPZUEZRZXDNZYEYGXEYLYPYAXEYLTZYCBPZYOXDYQDAY
      CURZDDOYRYOUKYLYSXEYCADVFVGDVHDABCIXGYCXLDEFGXRXSVIVJYQBXFUSZXCXFOZYLYRXD
      NXEYTYLXEYTXQXFUSHXFXPXQIXGXOCUDWIVKXQSVLXEXFBXQXTVMVNUOUUAYQADVOVSXEYLVP
      XFXCBYCVQVRVTWAYEYOXPXDYEIXGYNXOYEYMXNXIXJYDXMWBWCWDWEWFWGWHWJWKWLXEWMXBW
      NXDWOCBGWPXDWQWRWSBXCWTXA $.

    msubff.e $e |- E = ( mEx ` T ) $.
    $( A substitution is a function from ` E ` to ` E ` .  (Contributed by
       Mario Carneiro, 18-Jul-2016.) $)
    msubff $p |- ( T e. W -> S : ( R ^pm V ) --> ( E ^m E ) ) $=
      ( vf ve wcel co cmap wf cv cfv cmpt wa cpm c1st c2nd cmrsub cop cxp xp1st
      cmtc eqid mexval eleq2s adantl mrsubff ffvelrnda elmapi syl xp2nd ffvelrn
      syl2an opelxp sylanbrc eleqtrrdi fmpttd cmex fvexi elmap sylibr msubffval
      feq1d mpbird ) CFMZAEUANZDDONZBPVLVMKVLLDLQZUBRZVNUCRZKQZCUDRZRZRZUEZSZSZ
      PVKKVLWBVMVKVQVLMTZDDWBPWBVMMWDLDWADWDVNDMZTZWACUHRZAUFZDWFVOWGMZVTAMZWAW
      HMWEWIWDWIVNWHDVNWGAUGACDWGWGUIJHUJZUKULWDAAVSPZVPAMZWJWEWDVSAAONZMWLVKVL
      WNVQVRAVRCEFGHVRUIZUMUNVSAAUOUPWMVNWHDVNWGAUQWKUKAAVPVSURUSVOVTWGAUTVAWKV
      BVCDDWBDCVDJVEZWPVFVGVCVKVLVMBWCABCLKDVREFGHIJWOVHVIVJ $.
  $}

  ${
    $d f g F $.  $d f g G $.  $d f g S $.  $d f g h x y T $.
    msubco.s $e |- S = ( mSubst ` T ) $.
    $( The composition of two substitutions is a substitution.  (Contributed by
       Mario Carneiro, 18-Jul-2016.) $)
    msubco $p |- ( ( F e. ran S /\ G e. ran S ) -> ( F o. G ) e. ran S ) $=
      ( vx vf vy vg vh crn wcel cfv cv cop cmpt wceq wrex ccom eqid cmex cmrsub
      c1st c2nd elmsubrn eleq2i fvex mptex elrnmpti bitri reeanv cmtc cmrex cxp
      wa simpr mexval eleqtrdi xp1st syl mrsubf ad2antlr xp2nd ffvelrnd opelxpi
      wf syl2anc eleqtrrdi op1std op2ndd fveq2d opeq12d fmptco opeq2d mpteq2dva
      eqidd fvco3 eqtr4d mrsubco fveq1 mpteq2dv elrnmpt1s sylancl eqeltrd coeq1
      cvv coeq2 sylan9eq eleq1d syl5ibrcom rexlimivv sylbir syl2anb ) CAKZLZCFB
      UAMZFNZUCMZWQUDMZGNZMZOZPZQZGBUBMZKZRZDHWPHNZUCMZXHUDMZINZMZOZPZQZIXFRZCD
      SZWNLZDWNLZWOCGXFXCPZKZLXGWNYACABFGWPXEWPTZXETZEUEUFGXFXCCXTXTTFWPXBBUAUG
      ZUHUIUJXSDIXFXNPZKZLXPWNYFDABHIWPXEYBYCEUEUFIXFXNDYEYETHWPXMYDUHUIUJXGXPU
      OXDXOUOZIXFRGXFRXRXDXOGIXFXFUKYGXRGIXFXFWTXFLZXKXFLZUOZXRYGXCXNSZWNLYJYKH
      WPXIXJWTXKSZMZOZPZWNYJYKHWPXIXLWTMZOZPYOYJHFWPWPXMXBYQXNXCYJXHWPLZUOZXMBU
      LMZBUMMZUNZWPYSXIYTLZXLUUALXMUUBLYSXHUUBLZUUCYSXHWPUUBYJYRUPUUABWPYTYTTYB
      UUATZUQZURZXHYTUUAUSUTYSUUAUUAXJXKYIUUAUUAXKVFZYHYRUUAXEBXKYCUUEVAVBZYSUU
      DXJUUALZUUGXHYTUUAVCUTZVDXIXLYTUUAVEVGUUFVHYJXNVPYJXCVPWQXMQZWRXIXAYPXIXL
      WQXHUCUGZXJXKUGZVIUULWSXLWTXIXLWQUUMUUNVJVKVLVMYJHWPYNYQYSYMYPXIYSUUHUUJY
      MYPQUUIUUKUUAUUAXJWTXKVQVGVNVOVRYJYOJXFHWPXIXJJNZMZOZPZPZKZWNYJYLXFLYOWFL
      YOUUTLXEBWTXKYCVSHWPYNYDUHJXFUURYOYLUUSWFUUSTUUOYLQZHWPUUQYNUVAUUPYMXIXJU
      UOYLVTVNWAWBWCABHJWPXEYBYCEUEVHWDYGXQYKWNXDXOXQXCDSYKCXCDWEDXNXCWGWHWIWJW
      KWLWM $.

    msubf.e $e |- E = ( mEx ` T ) $.
    $( A substitution is a function.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    msubf $p |- ( F e. ran S -> F : E --> E ) $=
      ( crn wcel cmap co wf cvv cmrex cfv cmvar cpm wss c0 wceq eqid n0i msubff
      cmsub rnfvprc nsyl2 frn 3syl id sseldd elmapi syl ) DAGZHZDCCIJZHCCDKUMUL
      UNDUMBLHZBMNZBONZPJZUNAKULUNQUMULRSUOULDUAUCBAEUDUEUPABCUQLUQTUPTEFUBURUN
      AUFUGUMUHUIDCCUJUK $.
  $}

  ${
    $d t v T $.  $d t v V $.  $d v X $.  $d t v Y $.
    mvhfval.v $e |- V = ( mVR ` T ) $.
    mvhfval.y $e |- Y = ( mType ` T ) $.
    mvhfval.h $e |- H = ( mVH ` T ) $.
    $( Value of the function mapping variables to their corresponding variable
       expressions.  (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    mvhfval $p |- H = ( v e. V |-> <. ( Y ` v ) , <" v "> >. ) $=
      ( vt cmvh cfv cv cop cmpt cvv wceq cmvar cmty fveq2 c0 cs1 eqtr4di fveq1d
      wcel opeq1d mpteq12dv df-mvh mptfvmpt wn mpt0 eqcomi fvprc syl5eq mpteq1d
      3eqtr4a pm2.61i eqtri ) CBJKZADALZEKZUSUAZMZNZHBOUDZURVCPAIVBQJAILZQKZUSV
      ERKZKZVAMZNDOBBVEBPZAVFVIDVBVJVFBQKZDVEBQSFUBVJVHUTVAVJUSVGEVJVGBRKEVEBRS
      GUBUCUEUFAIUGFUHVDUIZTATVBNZURVCVMTAVBUJUKBJULVLADTVBVLDVKTFBQULUMUNUOUPU
      Q $.

    $( Value of the function mapping variables to their corresponding variable
       expressions.  (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    mvhval $p |- ( X e. V -> ( H ` X ) = <. ( Y ` X ) , <" X "> >. ) $=
      ( vv cv cfv cs1 cop wceq fveq2 s1eq opeq12d mvhfval opex fvmpt ) IDIJZEKZ
      UALZMDEKZDLZMCBUADNUBUDUCUEUADEOUADPQIABCEFGHRUDUEST $.
  $}

  ${
    $d d D $.  $d t E $.  $d d t T $.  $d d t V $.
    mpstval.v $e |- V = ( mDV ` T ) $.
    mpstval.e $e |- E = ( mEx ` T ) $.
    mpstval.p $e |- P = ( mPreSt ` T ) $.
    $( A pre-statement is an ordered triple, whose first member is a symmetric
       set of disjoint variable conditions, whose second member is a finite set
       of expressions, and whose third member is an expression.  (Contributed
       by Mario Carneiro, 18-Jul-2016.) $)
    mpstval $p |- P =
      ( ( { d e. ~P V | `' d = d } X. ( ~P E i^i Fin ) ) X. E ) $=
      ( vt cmpst cfv cv wceq cpw crab cfn cxp cmdv cmex c0 ccnv cin cvv eqtr4di
      wcel fveq2 pweqd rabeqdv ineq1d xpeq12d fvexi pwex rabex inex1 xpex fvmpt
      df-mpst wn xp0 eqcomi fvprc syl5eq xpeq2d 3eqtr4a pm2.61i eqtri ) ABJKZEL
      ZUAVHMZEDNZOZCNZPUBZQZCQZHBUCUEZVGVOMIBVIEILZRKZNZOZVQSKZNZPUBZQZWAQVOUCJ
      VQBMZWDVNWACWEVTVKWCVMWEVIEVSVJWEVRDWEVRBRKDVQBRUFFUDUGUHWEWBVLPWEWACWEWA
      BSKZCVQBSUFGUDZUGUIUJWGUJIEUQVNCVKVMVIEVJDDBRFUKULUMVLPCCBSGUKZULUNUOWHUO
      UPVPURZTVNTQZVGVOWJTVNUSUTBJVAWICTVNWICWFTGBSVAVBVCVDVEVF $.

    $( Property of being a pre-statement.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    elmpst $p |- ( <. D , H , A >. e. P <->
      ( ( D C_ V /\ `' D = D ) /\ ( H C_ E /\ H e. Fin ) /\ A e. E ) ) $=
      ( vd cop ccnv wceq cpw cfn cxp wcel wa bitri crab cin wss cotp w3a opelxp
      cv cnveq id eqeq12d elrab cmdv fvexi elpw2 anbi1i anbi12i mpstval eleq12i
      elfpw df-ot df-3an 3bitr4i ) BFLZALZKUGZMZVENZKGOZUAZEOPUBZQZEQZRZBGUCZBM
      ZBNZSZFEUCFPRSZSZAERZSZBFAUDZCRVQVRVTUEVMVCVKRZVTSWAVCAVKEUFWCVSVTWCBVIRZ
      FVJRZSVSBFVIVJUFWDVQWEVRWDBVHRZVPSVQVGVPKBVHVEBNZVFVOVEBVEBUHWGUIUJUKWFVN
      VPBGGDULHUMUNUOTFEUSUPTUOTWBVDCVLBFAUTCDEGKHIJUQURVQVRVTVAVB $.
  $}

  ${
    $d a h s z A $.  $d a h s z D $.  $d a h s z H $.  $d a h s t z P $.
    $d a h s t T $.  $d t z V $.  $d a h s z Z $.
    msrfval.v $e |- V = ( mVars ` T ) $.
    msrfval.p $e |- P = ( mPreSt ` T ) $.
    msrfval.r $e |- R = ( mStRed ` T ) $.
    $( Value of the reduct of a pre-statement.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    msrfval $p |- R = ( s e. P |->
       [_ ( 2nd ` ( 1st ` s ) ) / h ]_ [_ ( 2nd ` s ) / a ]_
       <. ( ( 1st ` ( 1st ` s ) ) i^i
          [_ U. ( V " ( h u. { a } ) ) / z ]_ ( z X. z ) ) , h , a >. ) $=
      ( vt cmsr cfv cv csb cmpt cmpst cmvrs c0 c1st c2nd csn cun cima cuni cotp
      cxp cin cvv wcel wceq fveq2 eqtr4di imaeq1d unieqd ineq2d oteq1d csbeq2dv
      csbeq1d mpteq12dv df-msr mptfvmpt wn eqcomi fvprc mpteq1d 3eqtr4a pm2.61i
      mpt0 syl5eq eqtri ) CDMNZGBEGOZUANZUBNZHVNUBNZVOUANZAFEOZHOZUCUDZUEZUFZAO
      ZWDUHZPZUIZVSVTUGZPZPZQZKDUJUKZVMWKULGLWJRMGLOZRNZEVPHVQVRAWMSNZWAUEZUFZW
      EPZUIZVSVTUGZPZPZQBUJDDWMDULZGWNXBBWJXCWNDRNZBWMDRUMJUNXCEVPXAWIXCHVQWTWH
      XCWSWGVSVTXCWRWFVRXCAWQWCWEXCWPWBXCWOFWAXCWODSNFWMDSUMIUNUOUPUTUQURUSUSVA
      ALEGHVBJVCWLVDZTGTWJQZVMWKXFTGWJVJVEDMVFXEGBTWJXEBXDTJDRVFVKVGVHVIVL $.

    msrval.z $e |- Z = U. ( V " ( H u. { A } ) ) $.
    $( Value of the reduct of a pre-statement.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    msrval $p |- ( <. D , H , A >. e. P -> ( R ` <. D , H , A >. ) =
       <. ( D i^i ( Z X. Z ) ) , H , A >. ) $=
      ( vs wcel c1st cfv c2nd cvv wceq wa vh va vz cotp cv csn cun cima cxp csb
      cuni cin cmpt msrfval a1i fvexd simpllr fveq2d cmex cmdv ccnv eqid elmpst
      cfn wss simp1bi simpld ad3antrrr fvex ssex simp2bi simprd simp3bi syl3anc
      ot1stg eqtrd cmvrs fvexi imaexg ax-mp uniex id simplr ot2ndg 3eqtrd simpr
      syl ot3rdg sneqd uneq12d imaeq2d unieqd eqtr4di sylan9eqr sqxpeqd ineq12d
      csbied oteq123d otex fvmptd ) BFAUDZCNZMXAUAMUEZOPZQPZUBXCQPZXDOPZUCGUAUE
      ZUBUEZUFZUGZUHZUKZUCUEZXNUIZUJZULZXHXIUDZUJZUJZBHHUIZULZFAUDZCDRDMCXTUMSX
      BUCCDEUAGMUBIJKUNUOXBXCXASZTZUAXEXSYCRYEXDQUPYEXHXESZTZUBXFXRYCRYGXCQUPYG
      XIXFSZTZXQYBXHFXIAYIXGBXPYAYIXGXAOPZOPZBYIXDYJOYIXCXAOXBYDYFYHUQZURZURYIB
      RNZFVDNZAEUSPZNZYKBSYIBEUTPZVEZYNXBYSYDYFYHXBYSBVABSZXBYSYTTZFYPVEZYOTZYQ
      ABCEYPFYRYRVBYPVBJVCZVFVGVHBYREUTVIVJWGZXBYOYDYFYHXBUUBYOXBUUAUUCYQUUDVKV
      LVHZXBYQYDYFYHXBUUAUUCYQUUDVMVHZBFARVDYPVOVNVPYIUCXMXOYARXMRNYIXLGRNXLRNG
      EVQIVRGXKRVSVTWAUOYIXNXMSZTXNHUUHYIXNXMHUUHWBYIXMGFAUFZUGZUHZUKHYIXLUUKYI
      XKUUJGYIXHFXJUUIYIXHXEYJQPZFYEYFYHWCYIXDYJQYMURYIYNYOYQUULFSUUEUUFUUGBFAR
      VDYPWDVNWEZYIXIAYIXIXFXAQPZAYGYHWFYIXCXAQYLURYIYQUUNASUUGBFAYPWHWGWEZWIWJ
      WKWLLWMWNWOWQWPUUMUUOWRWQWQXBWBYCRNXBYBFAWSUOWT $.
  $}

  ${
    $d a h s z P $.  $d s R $.  $d a d h s z T $.
    mpstssv.p $e |- P = ( mPreSt ` T ) $.
    $( A pre-statement is an ordered triple.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    mpstssv $p |- P C_ ( ( _V X. _V ) X. _V ) $=
      ( vd cv ccnv wceq cmdv cfv cpw crab cmex cfn cin cxp cvv eqid mpstval wss
      xpss ssv xpss12 mp2an eqsstri ) ADEZFUEGDBHIZJKZBLIZJMNZOZUHOZPPOZPOZABUH
      UFDUFQUHQCRUJULSUHPSUKUMSUGUITUHUAUJULUHPUBUCUD $.

    $( Decompose a pre-statement into a triple of values.  (Contributed by
       Mario Carneiro, 18-Jul-2016.) $)
    mpst123 $p |- ( X e. P -> X =
      <. ( 1st ` ( 1st ` X ) ) , ( 2nd ` ( 1st ` X ) ) , ( 2nd ` X ) >. ) $=
      ( wcel cvv cxp c1st cfv c2nd cotp wceq mpstssv sseli 1st2nd2 xp1st opeq1d
      cop syl eqtrd df-ot eqtr4di ) CAECFFGZFGZEZCCHIZHIZUFJIZCJIZKZLAUDCABDMNU
      ECUGUHRZUIRZUJUECUFUIRULCUCFOUEUFUKUIUEUFUCEUFUKLCUCFPUFFFOSQTUGUHUIUAUBS
      $.

    $( The elements of a pre-statement are sets.  (Contributed by Mario
       Carneiro, 18-Jul-2016.) $)
    mpstrcl $p |- ( <. D , H , A >. e. P ->
      ( D e. _V /\ H e. _V /\ A e. _V ) ) $=
      ( cotp cop cvv cxp w3a df-ot mpstssv sseli eqeltrrid opelxp anbi1i df-3an
      wcel wa 3bitr4i sylib ) BEAGZCSZBEHZAHZIIJZIJZSZBISZEISZAISZKZUDUFUCUHBEA
      LCUHUCCDFMNOUEUGSZULTUJUKTZULTUIUMUNUOULBEIIPQUEAUGIPUJUKULRUAUB $.

    msrf.r $e |- R = ( mStRed ` T ) $.
    $( The reduct of a pre-statement is a pre-statement.  (Contributed by Mario
       Carneiro, 18-Jul-2016.) $)
    msrf $p |- R : P --> P $=
      ( vs vh va vz cv cfv wcel csb cin cotp eqid wceq wss ccnv wa wf wral c1st
      wfn c2nd cmvrs csn cun cima cuni otex csbex msrfval fnmpti mpst123 fveq2d
      cxp eqeltrrd msrval syl eqtrd cmdv cmex cfn inss1 w3a elmpst sylib simp1d
      simpld sstrid cnvin simprd a1i ineq12d syl5eq jca simp2d simp3d syl3anbrc
      id cnvxp eqeltrd rgen ffnfv mpbir2an ) AABUABAUDFJZBKZALZFAUBFAGWGUCKZUEK
      ZHWGUEKZWJUCKZICUFKZGJZHJZUGUHUIUJIJZWQUQMNZWOWPOZMZMBGWKWTHWLWSWRWOWPUKU
      LULIABCGWNFHWNPZDEUMUNWIFAWGALZWHWMWNWKWLUGUHUIUJZXCUQZNZWKWLOZAXBWHWMWKW
      LOZBKZXFXBWGXGBACWGDUOZUPXBXGALZXHXFQXBWGXGAXIXBWAURZWLWMABCWKWNXCXADEXCP
      USUTVAXBXECVBKZRZXESZXEQZTWKCVCKZRWKVDLTZWLXPLZXFALXBXMXOXBXEWMXLWMXDVEXB
      WMXLRZWMSZWMQZXBXSYATZXQXRXBXJYBXQXRVFXKWLWMACXPWKXLXLPZXPPZDVGVHZVIZVJVK
      XBXNXTXDSZNXEWMXDVLXBXTWMYGXDXBXSYAYFVMYGXDQXBXCXCWBVNVOVPVQXBYBXQXRYEVRX
      BYBXQXRYEVSWLXEACXPWKXLYCYDDVGVTWCWDFAABWEWF $.

    $( If ` X ` and ` Y ` have the same reduct, then one is a pre-statement iff
       the other is.  (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    msrrcl $p |- ( ( R ` X ) = ( R ` Y ) -> ( X e. P <-> Y e. P ) ) $=
      ( cfv wceq wcel wi msrf ffvelrni a1i eleq1 syl5ibr c0 cvv cxp ndmfvrcl wb
      wa fdmi 0nelxp mpstssv sseli mto adantl biimpa syl 2thd ex pm5.21ndd ) DB
      HZEBHZIZUNAJZDAJZEAJZURUQKUPAADBABCFGLZMNUSUQUPUOAJZAAEBUTMUNUOAOZPUPUQUR
      USUAUPUQUBZURUSUQURUPDABAABUTUCZQAJQRRSZRSZJVERUDAVFQACFUEUFUGZTUHVCVAUSU
      PUQVAVBUIEABVDVGTUJUKULUM $.
  $}

  ${
    $d s t R $.  $d s t T $.  $d s X $.
    mstaval.r $e |- R = ( mStRed ` T ) $.
    mstaval.s $e |- S = ( mStat ` T ) $.
    $( Value of the set of statements.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    mstaval $p |- S = ran R $=
      ( vt cmsta cfv crn wcel wceq cv cmsr fveq2 eqtr4di rneqd df-msta c0 fvprc
      cvv fvexi rnex fvmpt wn rn0 eqcomi syl5eq 3eqtr4a pm2.61i eqtri ) BCGHZAI
      ZECTJZUKULKFCFLZMHZIULTGUNCKZUOAUPUOCMHZAUNCMNDOPFQAACMDUAUBUCUMUDZRRIZUK
      ULUSRUEUFCGSURARURAUQRDCMSUGPUHUIUJ $.

    $( The reduct of a statement is itself.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    msrid $p |- ( X e. S -> ( R ` X ) = X ) $=
      ( vs cfv wceq wcel eqid c1st c2nd cin cotp fveq2d id eqeltrrd msrval syl
      crn cv cmpst wrex wf wfn wb msrf ffn fvelrnb mp2b cmvrs csn cun cima cuni
      cxp mpst123 eqtrd ffvelrni inass inidm ineq2i eqtri 3eqtr4d fveq2 eqeq12d
      a1i oteq1d syl5ibcom rexlimiv sylbi mstaval eleq2s ) DAHZDIZDAUAZBDVQJZGU
      BZAHZDIZGCUCHZUDZVPWBWBAUEAWBUFVRWCUGWBACWBKZEUHZWBWBAUIGWBDAUJUKWAVPGWBV
      SWBJZVTAHZVTIWAVPWFVSLHZLHZCULHZWHMHZVSMHZUMUNUOUPZWMUQZNZWKWLOZAHZWPWGVT
      WFWQWOWNNZWKWLOZWPWFWPWBJWQWSIWFVTWPWBWFVTWIWKWLOZAHZWPWFVSWTAWBCVSWDURZP
      WFWTWBJXAWPIWFVSWTWBXBWFQRWLWIWBACWKWJWMWJKZWDEWMKZSTUSZWBWBVSAWEUTRWLWOW
      BACWKWJWMXCWDEXDSTWFWRWOWKWLWRWOIWFWRWIWNWNNZNWOWIWNWNVAXFWNWIWNVBVCVDVHV
      IUSWFVTWPAXEPXEVEWAWGVOVTDVTDAVFWAQVGVJVKVLABCEFVMVN $.

    msrfo.p $e |- P = ( mPreSt ` T ) $.
    $( The reduct of a pre-statement is a statement.  (Contributed by Mario
       Carneiro, 18-Jul-2016.) $)
    msrfo $p |- R : P -onto-> S $=
      ( wfo crn wfn wf msrf ffn ax-mp dffn4 mpbi wceq wb mstaval foeq3 mpbir )
      ACBHZABIZBHZBAJZUDAABKUEABDGELAABMNABOPCUCQUBUDRBCDEFSCUCABTNUA $.
  $}

  ${
    mstapst.p $e |- P = ( mPreSt ` T ) $.
    mstapst.s $e |- S = ( mStat ` T ) $.
    $( A statement is a pre-statement.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    mstapst $p |- S C_ P $=
      ( cmsr cfv crn eqid mstaval wf wss msrf frn ax-mp eqsstri ) BCFGZHZAQBCQI
      ZEJAAQKRALAQCDSMAAQNOP $.

    elmsta.v $e |- V = ( mVars ` T ) $.
    elmsta.z $e |- Z = U. ( V " ( H u. { A } ) ) $.
    $( Property of being a statement.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    elmsta $p |- ( <. D , H , A >. e. S <->
                   ( <. D , H , A >. e. P /\ D C_ ( Z X. Z ) ) ) $=
      ( cotp wcel wss c1st cfv wceq syl cvv cxp wa mstapst cin cmsr eqid msrval
      sseli msrid eqtr3d fveq2d inss1 mpstrcl simp1d ssexg simp2d simp3d ot1stg
      w3a sylancr syl3anc 3eqtr3d inss2 eqsstrrdi jca adantr simpr df-ss oteq1d
      crn sylib eqtrd wfn wf msrf ffn ax-mp fnfvelrn eqeltrrd mstaval eleqtrrdi
      simpl impbii ) BFAMZDNZWDCNZBHHUAZOZUBZWEWFWHDCWDCDEIJUCUHZWEBBWGUDZWGWEW
      KFAMZPQZPQZWDPQZPQZWKBWEWMWOPWEWLWDPWEWDEUEQZQZWLWDWEWFWRWLRZWJABCWQEFGHK
      IWQUFZLUGZSWQDEWDWTJUIUJUKUKWEWKTNZFTNZATNZWNWKRWEWKBOBTNZXBBWGULWEXEXCXD
      WEWFXEXCXDUSZWJABCEFIUMSZUNWKBTUOUTWEXEXCXDXGUPWEXEXCXDXGUQWKFATTTURVAWEX
      FWPBRXGBFATTTURSVBBWGVCVDVEWIWDWQVJZDWIWRWDXHWIWRWLWDWFWSWHXAVFWIWKBFAWIW
      HWKBRWFWHVGBWGVHVKVIVLWIWQCVMZWFWRXHNCCWQVNXICWQEIWTVOCCWQVPVQWFWHWBCWDWQ
      VRUTVSWQDEWTJVTWAWC $.
  $}

  ${
    $d t A $.  $d t C $.  $d t v F $.  $d t K $.  $d t S $.  $d t v T $.
    $d t V $.  $d t Y $.
    ismfs.c $e |- C = ( mCN ` T ) $.
    ismfs.v $e |- V = ( mVR ` T ) $.
    ismfs.y $e |- Y = ( mType ` T ) $.
    ismfs.f $e |- F = ( mVT ` T ) $.
    ismfs.k $e |- K = ( mTC ` T ) $.
    ismfs.a $e |- A = ( mAx ` T ) $.
    ismfs.s $e |- S = ( mStat ` T ) $.
    $( A formal system is a tuple ` <. mCN , mVR , mType , mVT , mTC , mAx >. `
       such that: ` mCN ` and ` mVR ` are disjoint; ` mType ` is a function
       from ` mVR ` to ` mVT ` ; ` mVT ` is a subset of ` mTC ` ; ` mAx ` is a
       set of statements; and for each variable typecode, there are infinitely
       many variables of that type.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    ismfs $p |- ( T e. W -> ( T e. mFS <->
      ( ( ( C i^i V ) = (/) /\ Y : V --> K ) /\ ( A C_ S /\
          A. v e. F -. ( `' Y " { v } ) e. Fin ) ) ) ) $=
      ( cfv fveq2 eqtr4di vt cv cmcn cmvar cin c0 wceq cmtc cmty wf wa cmax wss
      cmsta ccnv csn cima wcel wn cmvt wral cmfs ineq12d eqeq1d feq123d anbi12d
      cfn sseq12d cnveqd imaeq1d eleq1d notbid raleqbidv df-mfs elab2g ) UAUBZU
      CRZVPUDRZUEZUFUGZVRVPUHRZVPUIRZUJZUKZVPULRZVPUNRZUMZWBUOZAUBUPZUQZVGURZUS
      ZAVPUTRZVAZUKZUKCHUEZUFUGZHGJUJZUKZBDUMZJUOZWIUQZVGURZUSZAFVAZUKZUKUAEVBI
      VPEUGZWDWSWOXFXGVTWQWCWRXGVSWPUFXGVQCVRHXGVQEUCRCVPEUCSKTXGVREUDRHVPEUDSL
      TZVCVDXGVRHWAGWBJXGWBEUIRJVPEUISMTZXHXGWAEUHRGVPEUHSOTVEVFXGWGWTWNXEXGWEB
      WFDXGWEEULRBVPEULSPTXGWFEUNRDVPEUNSQTVHXGWLXDAWMFXGWMEUTRFVPEUTSNTXGWKXCX
      GWJXBVGXGWHXAWIXGWBJXIVIVJVKVLVMVFVFAUAVNVO $.
  $}

  ${
    $d v T $.
    mfsdisj.c $e |- C = ( mCN ` T ) $.
    mfsdisj.v $e |- V = ( mVR ` T ) $.
    $( The constants and variables of a formal system are disjoint.
       (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    mfsdisj $p |- ( T e. mFS -> ( C i^i V ) = (/) ) $=
      ( vv cmfs wcel cin c0 wceq cmtc cfv cmty wf cmax cmsta wss wa eqid cv csn
      ccnv cima cfn wn cmvt wral ismfs ibi simplld ) BGHZACIJKZCBLMZBNMZOZBPMZB
      QMZRUOUCFUAUBUDUEHUFFBUGMZUHSZULUMUPSUTSFUQAURBUSUNCGUODEUOTUSTUNTUQTURTU
      IUJUK $.
  $}

  ${
    $d v T $.
    mtyf2.v $e |- V = ( mVR ` T ) $.
    mvtf2.k $e |- K = ( mTC ` T ) $.
    mtyf2.y $e |- Y = ( mType ` T ) $.
    $( The type function maps variables to typecodes.  (Contributed by Mario
       Carneiro, 18-Jul-2016.) $)
    mtyf2 $p |- ( T e. mFS -> Y : V --> K ) $=
      ( vv cmfs wcel cmcn cfv cin c0 wceq wf cmax cmsta wa eqid wss ccnv cv csn
      cima cfn wn cmvt wral ismfs ibi simplrd ) AIJZAKLZCMNOZCBDPZAQLZARLZUADUB
      HUCUDUEUFJUGHAUHLZUISZUMUOUPSUTSHUQUNURAUSBCIDUNTEGUSTFUQTURTUJUKUL $.
  $}

  ${
    mtyf.v $e |- V = ( mVR ` T ) $.
    mtyf.f $e |- F = ( mVT ` T ) $.
    mtyf.y $e |- Y = ( mType ` T ) $.
    $( The type function maps variables to variable typecodes.  (Contributed by
       Mario Carneiro, 18-Jul-2016.) $)
    mtyf $p |- ( T e. mFS -> Y : V --> F ) $=
      ( cmfs wcel crn wf cmtc cfv wfo eqid mtyf2 wfn ffn dffn4 sylib fof mvtval
      3syl wceq wb feq3 ax-mp sylibr ) AHIZCDJZDKZCBDKZUICALMZDKZCUJDNZUKAUMCDE
      UMOGPUNDCQUOCUMDRCDSTCUJDUAUCBUJUDULUKUEABDFGUBBUJCDUFUGUH $.
  $}

  ${
    mvtss.f $e |- F = ( mVT ` T ) $.
    mvtss.k $e |- K = ( mTC ` T ) $.
    $( The set of variable typecodes is a subset of all typecodes.
       (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    mvtss $p |- ( T e. mFS -> F C_ K ) $=
      ( cmfs wcel cmty cfv crn eqid mvtval cmvar mtyf2 frnd eqsstrid ) AFGZBAHI
      ZJCABRDRKZLQAMIZCRACTRTKESNOP $.
  $}

  ${
    $d v T $.
    maxsta.a $e |- A = ( mAx ` T ) $.
    maxsta.s $e |- S = ( mStat ` T ) $.
    $( An axiom is a statement.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    maxsta $p |- ( T e. mFS -> A C_ S ) $=
      ( vv cmfs wcel cmcn cfv cmvar cin c0 wceq cmtc cmty wf wa wss eqid cv csn
      ccnv cima cfn wn cmvt wral ismfs ibi simprld ) CGHZCIJZCKJZLMNUNCOJZCPJZQ
      RZABSZUPUCFUAUBUDUEHUFFCUGJZUHZULUQURUTRRFAUMBCUSUOUNGUPUMTUNTUPTUSTUOTDE
      UIUJUK $.
  $}

  ${
    $d v F $.  $d v T $.  $d v X $.  $d v Y $.
    mvtinf.f $e |- F = ( mVT ` T ) $.
    mvtinf.y $e |- Y = ( mType ` T ) $.
    $( Each variable typecode has infinitely many variables.  (Contributed by
       Mario Carneiro, 18-Jul-2016.) $)
    mvtinf $p |- ( ( T e. mFS /\ X e. F ) -> -. ( `' Y " { X } ) e. Fin ) $=
      ( vv cmfs wcel ccnv cv csn cima cfn wn wral cfv wceq wa eqid cmvar cin c0
      cmcn cmtc wf cmax cmsta wss ismfs ibi simprrd sneq imaeq2d eleq1d rspccva
      notbid sylan ) AHIZDJZGKZLZMZNIZOZGBPZCBIUTCLZMZNIZOZUSAUDQZAUAQZUBUCRVLA
      UEQZDUFSZAUGQZAUHQZUIZVFUSVNVQVFSSGVOVKVPABVMVLHDVKTVLTFEVMTVOTVPTUJUKULV
      EVJGCBVACRZVDVIVRVCVHNVRVBVGUTVACUMUNUOUQUPUR $.
  $}

  ${
    $d f g r v R $.  $d f g r v S $.  $d f g r v T $.  $d f g r v V $.
    msubff1.v $e |- V = ( mVR ` T ) $.
    msubff1.r $e |- R = ( mREx ` T ) $.
    msubff1.s $e |- S = ( mSubst ` T ) $.
    ${
      msubff1.e $e |- E = ( mEx ` T ) $.
      $( When restricted to complete mappings, the substitution-producing
         function is one-to-one.  (Contributed by Mario Carneiro,
         18-Jul-2016.) $)
      msubff1 $p |- ( T e. mFS ->
        ( S |` ( R ^m V ) ) : ( R ^m V ) -1-1-> ( E ^m E ) ) $=
        ( vf vg vv cmfs wcel co wf cfv wceq wa wb vr cmap cres cv wi wf1 msubff
        wral cpm wss mapsspm a1i fssresd cmrsub wfn eqid mrsubff simplrl sselid
        ad2antrr ffvelrnd elmapi ffn 3syl simplrr cmty cop c2nd c1st fveq1d syl
        adantr ssidd cmtc cxp mtyf2 ad3antrrr opelxpi sylancom mexval eleqtrrdi
        msubval syl3anc 3eqtr3d fvex opth simprbi op2nd fveq2i 3eqtr3g mrsubff1
        vex eqfnfvd f1fveq sylan fvres eqeqan12d adantl bitr3d mpbird ralrimdva
        expr eqfnfv syl2an 3imtr4d ralrimivva dff13 sylanbrc ) CMNZAEUBOZDDUBOZ
        BXJUCZPJUDZXLQZKUDZXLQZRZXMXORZUEZKXJUHJXJUHXJXKXLUFXIAEUIOZXKXJBABCDEM
        FGHIUGXJXTUJXIAEUKZULUMXIXSJKXJXJXIXMXJNZXOXJNZSZSZXMBQZXOBQZRZLUDZXMQY
        IXOQRZLEUHZXQXRYEYHYJLEYEYIENZYHYJYEYLYHSZSZYIXMXOYNXRXMCUNQZQZXOYOQZRZ
        YNUAAYPYQYNYPAAUBOZNAAYPPYPAUOYNXTYSXMYOXIXTYSYOPYDYMAYOCEMFGYOUPZUQUTZ
        YNXJXTXMYAXIYBYCYMURZUSVAYPAAVBAAYPVCVDYNYQYSNAAYQPYQAUOYNXTYSXOYOUUAYN
        XJXTXOYAXIYBYCYMVEZUSVAYQAAVBAAYQVCVDYNUAUDZANZSZYICVFQZQZUUDVGZVHQZYPQ
        ZUUJYQQZUUDYPQUUDYQQUUFUUIVIQZUUKVGZUUMUULVGZRZUUKUULRZUUFUUIYFQZUUIYGQ
        ZUUNUUOUUFUUIYFYGYEYLYHUUEVEVJUUFEAXMPZEEUJZUUIDNZUURUUNRUUFYBUUTYNYBUU
        EUUBVLXMAEVBZVKUUFEVMZUUFUUICVNQZAVOZDYNUUEUUHUVENUUIUVFNUUFEUVEYIUUGXI
        EUVEUUGPYDYMUUECUVEEUUGFUVEUPZUUGUPVPVQYEYLYHUUEURVAUUHUUDUVEAVRVSACDUV
        EUVGIGVTWAZEABCDXMYOEUUIFGHIYTWBWCUUFEAXOPZUVAUVBUUSUUORUUFYCUVIYNYCUUE
        UUCVLXOAEVBZVKUVDUVHEABCDXOYOEUUIFGHIYTWBWCWDUUPUUMUUMRUUQUUMUUKUUMUULU
        UIVIWEUUJYPWEWFWGVKUUJUUDYPUUHUUDYIUUGWEUAWLWHZWIUUJUUDYQUVKWIWJWMYEXRY
        RTYMYEXMYOXJUCZQZXOUVLQZRZXRYRXIXJYSUVLUFYDUVOXRTAYOCEMFGYTWKXJYSXMXOUV
        LWNWOYDUVOYRTXIYBYCUVMYPUVNYQXMXJYOWPXOXJYOWPWQWRWSVLWTVJXBXAYDXQYHTXIY
        BYCXNYFXPYGXMXJBWPXOXJBWPWQWRYDXRYKTZXIYBUUTUVIUVPYCUVCUVJUUTXMEUOXOEUO
        UVPUVIEAXMVCEAXOVCLEXMXOXCXDXDWRXEXFJKXJXKXLXGXH $.
    $}

    $( When restricted to complete mappings, the substitution-producing
       function is bijective to the set of all substitutions.  (Contributed by
       Mario Carneiro, 18-Jul-2016.) $)
    msubff1o $p |- ( T e. mFS ->
      ( S |` ( R ^m V ) ) : ( R ^m V ) -1-1-onto-> ran S ) $=
      ( cmfs wcel cmap co cres crn wf1o cmex cfv wf1 eqid msubff1 f1f1orn eqtri
      syl wceq wb cima msubrn df-ima f1oeq3 ax-mp sylibr ) CHIZADJKZBULLZMZUMNZ
      ULBMZUMNZUKULCOPZURJKZUMQUOABCURDEFGURRSULUSUMTUBUPUNUCUQUOUDUPBULUEUNABC
      DEFGUFBULUGUAUPUNULUMUHUIUJ $.
  $}

  ${
    $d v E $.  $d v w H $.  $d v w T $.  $d v w V $.
    mvhf.v $e |- V = ( mVR ` T ) $.
    mvhf.e $e |- E = ( mEx ` T ) $.
    mvhf.h $e |- H = ( mVH ` T ) $.
    $( The function mapping variables to variable expressions is a function.
       (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    mvhf $p |- ( T e. mFS -> H : V --> E ) $=
      ( vv cmfs wcel cv cmty cfv cs1 cop wa cmtc cmrex cxp eqid mtyf2 ffvelrnda
      cmcn cun cword elun2 adantl s1cld mrexval adantr eleqtrrd opelxpi syl2anc
      wceq mexval eleqtrrdi mvhfval fmptd ) AIJZHDHKZALMZMZUTNZOZBCUSUTDJZPZVDA
      QMZARMZSZBVFVBVGJVCVHJVDVIJUSDVGUTVAAVGDVAEVGTZVATZUAUBVFVCAUCMZDUDZUEZVH
      VFUTVMVEUTVMJUSUTDVLUFUGUHUSVHVNUNVEVLVHADIVLTEVHTZUIUJUKVBVCVGVHULUMVHAB
      VGVJFVOUOUPHACDVAEVKGUQUR $.

    $( The function mapping variables to variable expressions is one-to-one.
       (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    mvhf1 $p |- ( T e. mFS -> H : V -1-1-> E ) $=
      ( vv vw wcel cv cfv wceq wral wa cs1 cop wb mvhval adantl cmfs wf wi mvhf
      wf1 cmty eqid eqeqan12d fvex cword s1cli elexi opth simprbi syl5ib sylbid
      cvv s111 ralrimivva dff13 sylanbrc ) AUAJZDBCUBHKZCLZIKZCLZMZVCVEMZUCZIDN
      HDNDBCUEABCDEFGUDVBVIHIDDVBVCDJZVEDJZOZOZVGVCAUFLZLZVCPZQZVEVNLZVEPZQZMZV
      HVLVGWARVBVJVKVDVQVFVTACDVCVNEVNUGZGSACDVEVNEWBGSUHTWAVPVSMZVMVHWAVOVRMWC
      VOVPVRVSVCVNUIVPUQUJVCUKULUMUNVLWCVHRVBDVCVEURTUOUPUSHIDBCUTVA $.
  $}

  ${
    $d e f x E $.  $d f x F $.  $d e f H $.  $d e f x T $.  $d e f x X $.
    $d f x V $.
    msubvrs.s $e |- S = ( mSubst ` T ) $.
    msubvrs.e $e |- E = ( mEx ` T ) $.
    msubvrs.v $e |- V = ( mVars ` T ) $.
    msubvrs.h $e |- H = ( mVH ` T ) $.
    $( The set of variables in a substitution is the union, indexed by the
       variables in the original expression, of the variables in the
       substitution to that variable.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    msubvrs $p |- ( ( T e. mFS /\ F e. ran S /\ X e. E ) -> ( V ` ( F ` X ) ) =
      U_ x e. ( V ` X ) ( V ` ( F ` ( H ` x ) ) ) ) $=
      ( ve wcel crn cfv wceq c2nd eqid syl vf cmfs cv ciun c1st cop cmpt cmrsub
      wrex wi elmsubrn eleq2i cmex fvexi mptex elrnmpti bitri w3a cmvar cin cs1
      wa cmrex simp2 cmtc cxp simp3 mexval eleqtrdi xp2nd mrsubvrs fveq2 2fveq3
      syl2anc opeq12d opex fvmpt3i fveq2d xp1st mrsubf eleq2s opelxpi eleqtrrdi
      ffvelrnd mvrsval fvex op2nd a1i rneqd ineq1d 3eqtrd iuneq1d cmty 3ad2ant1
      wf mvhf inss2 sseli ffvelrn syl2an adantl mvhval cword s1cli elexi op1std
      cvv op2ndd eqtrd simpl1 mtyf2 adantr cmcn elun2 mrexval eleqtrrd iuneq2dv
      cun s1cld 3eqtr4d fveq1 iuneq2d eqeq12d syl5ibrcom 3expia com23 rexlimdva
      syl5bi 3imp ) CUBNZEBOZNZHDNZHEPZGPZAHGPZAUCZFPZEPZGPZUDZQZYLEMDMUCZUEPZU
      UCRPUAUCZPZUFZUGZQZUACUHPZOZUIZYJYMUUBUJZYLEUAUUKUUHUGZOZNUULYKUUOEBCMUAD
      UUJJUUJSZIUKULUAUUKUUHEUUNUUNSMDUUGDCUMJUNUOUPUQYJUUIUUMUAUUKYJUUEUUKNZVB
      YMUUIUUBYJUUQYMUUIUUBUJYJUUQYMURZUUBUUIHUUHPZGPZAYPYRUUHPZGPZUDZQUURHRPZU
      UEPZOZCUSPZUTZAUVDOZUVGUTZYQVAZUUEPZOZUVGUTZUDZUUTUVCUURUUQUVDCVCPZNZUVHU
      VOQYJUUQYMVDZUURHCVEPZUVPVFZNZUVQUURHDUVTYJUUQYMVGZUVPCDUVSUVSSZJUVPSZVHZ
      VIZHUVSUVPVJZTAUVPUUJCUUEUVGUVDUUPUVGSZUWDVKVNUURUUTHUEPZUVEUFZGPZUWJRPZO
      ZUVGUTZUVHUURUUSUWJGUURYMUUSUWJQUWBMHUUGUWJDUUHUUCHQUUDUWIUUFUVEUUCHUEVLU
      UCHUUERVMVOUUHSZUUDUUFVPZVQTVRUURUWJDNUWKUWNQUURUWJUVTDUURUWIUVSNZUVEUVPN
      UWJUVTNUURUWAUWQUWFHUVSUVPVSTUURUVPUVPUVDUUEUURUUQUVPUVPUUEWOZUVRUVPUUJCU
      UEUUPUWDVTTZUURYMUVQUWBUVQHUVTDUWGUWEWATWDUWIUVEUVSUVPWBVNUWEWCCDUVGGUWJU
      WHJKWETUURUWMUVFUVGUURUWLUVEUWLUVEQUURUWIUVEHUEWFUVDUUEWFWGWHWIWJWKUURUVC
      AUVJUVBUDUVOUURAYPUVJUVBUURYMYPUVJQUWBCDUVGGHUWHJKWETWLUURAUVJUVBUVNUURYQ
      UVJNZVBZUVBYQCWMPZPZUVLUFZGPZUXDRPZOZUVGUTZUVNUXAUVAUXDGUXAUVAYRUEPZYRRPZ
      UUEPZUFZUXDUXAYRDNZUVAUXLQUURUVGDFWOZYQUVGNZUXMUWTYJUUQUXNYMCDFUVGUWHJLWP
      WNUVJUVGYQUVIUVGWQWRZUVGDYQFWSWTMYRUUGUXLDUUHUUCYRQUUDUXIUUFUXKUUCYRUEVLU
      UCYRUUERVMVOUWOUWPVQTUXAUXIUXCUXKUVLUXAYRUXCUVKUFQZUXIUXCQUXAUXOUXQUWTUXO
      UURUXPXAZCFUVGYQUXBUWHUXBSZLXBTZUXCUVKYRYQUXBWFZUVKXGXCYQXDXEZXFTUXAUXJUV
      KUUEUXAUXQUXJUVKQUXTUXCUVKYRUYAUYBXHTVRVOXIVRUXAUXDDNUXEUXHQUXAUXDUVTDUXA
      UXCUVSNUVLUVPNUXDUVTNUXAUVGUVSYQUXBUXAYJUVGUVSUXBWOYJUUQYMUWTXJZCUVSUVGUX
      BUWHUWCUXSXKTUXRWDUXAUVPUVPUVKUUEUURUWRUWTUWSXLUXAUVKCXMPZUVGXRZXCZUVPUXA
      YQUYEUXAUXOYQUYENUXRYQUVGUYDXNTXSUXAYJUVPUYFQUYCUYDUVPCUVGUBUYDSUWHUWDXOT
      XPWDUXCUVLUVSUVPWBVNUWEWCCDUVGGUXDUWHJKWETUXAUXGUVMUVGUXAUXFUVLUXFUVLQUXA
      UXCUVLUYAUVKUUEWFWGWHWIWJWKXQXIXTUUIYOUUTUUAUVCUUIYNUUSGHEUUHYAVRUUIAYPYT
      UVBUUIYSUVAGYREUUHYAVRYBYCYDYEYFYGYHYI $.
  $}

  ${
    $d d h t D $.  $d c d h m o p s t v E $.  $d a b c d h m o p s t v x z H $.
    $d c d h m o p s t v x y B $.  $d m o p s t v x C $.  $d c m o p s x y L $.
    $d c d h m o p s t A $.  $d m o p s x y O $.  $d a b c d h s t v x y z S $.
    $d a b m o p s x y M $.  $d c m o p s x y P $.  $d c d h m o p s t x y T $.
    $d a b c d h m o p s v x y ph $.  $d c m o p s v Q $.  $d c d h t v x V $.
    $d a b c m o p s x z W $.  $d c m o p s x y X $.  $d c m o p s x y Y $.
    $d a b c d h m o p s t v x y z K $.
    mclsval.d $e |- D = ( mDV ` T ) $.
    mclsval.e $e |- E = ( mEx ` T ) $.
    mclsval.c $e |- C = ( mCls ` T ) $.
    $( Reverse closure for the closure function.  (Contributed by Mario
       Carneiro, 18-Jul-2016.) $)
    mclsrcl $p |- ( A e. ( K C B ) -> ( T e. _V /\ K C_ D /\ B C_ E ) ) $=
      ( vt vd vh wcel cvv wss c0 cmcls cfv cv vc vm vo vp vs vx vy co n0i fvprc
      wceq wn syl5eq oveqd 0ov eqtrdi nsyl2 wa cmdv cpw wi fveq2 eqtr4di eleq2d
      cmex fvex elpw2 sseq2d syl5bb anbi12d imbi12d cmvh crn cun cotp cmax cima
      wbr cmvrs cxp wal cmsub wral cab cint cmpo vex mpoex df-mcls fvmpt2 mp2an
      pwex elmpocl vtoclg mpcom simpld simprd 3jca ) AGBCUHZNZEONZGDPZBFPZWTWSQ
      UKXAWSAUIXAULZWSGBQUHQXDCQGBXDCERSZQJERUJUMUNGBUOUPUQZWTXBXCXAWTXBXCURZXF
      AGBKTZRSZUHZNZGXHUSSZUTZNZBXHVESZUTZNZURZVAWTXGVAKEOXHEUKZXKWTXRXGXSXJWSA
      XSXICGBXSXIXECXHERVBJVCUNVDXSXNXBXQXCXNGXLPXSXBGXLXHUSVFZVGXSXLDGXSXLEUSS
      DXHEUSVBHVCVHVIXQBXOPXSXCBXOXHVEVFZVGXSXOFBXSXOEVESFXHEVEVBIVCVHVIVJVKLMX
      MXPMTXHVLSZVMZVNUATZPUBTZUCTZUDTZVOXHVPSNUETZYFYCVNVQYDPUFTZUGTZYEVRYIYBS
      YHSXHVSSZSYJYBSYHSYKSVTLTPVAUGWAUFWAURYGYHSYDNVAUEXHWBSVMWCVAUDWAUCWAUBWA
      URUAWDWEZGBXIAXHONLMXMXPYLWFZONXIYMUKKWGLMXMXPYLXLXTWLXOYAWLWHKOYMORUFUGK
      MUBUCUEUDUALWIWJWKWMWNWOZWPWTXBXCYNWQWR $.

    mclsval.1 $e |- ( ph -> T e. mFS ) $.
    mclsval.2 $e |- ( ph -> K C_ D ) $.
    mclsval.3 $e |- ( ph -> B C_ E ) $.
    ${
      mclsval.h $e |- H = ( mVH ` T ) $.
      mclsval.a $e |- A = ( mAx ` T ) $.
      mclsval.s $e |- S = ( mSubst ` T ) $.
      mclsval.v $e |- V = ( mVars ` T ) $.
      $( Lemma for ~ mclsssv .  (Contributed by Mario Carneiro,
         18-Jul-2016.) $)
      mclsssvlem $p |- ( ph -> |^| { c | ( ( B u. ran H ) C_ c /\
            A. m A. o A. p ( <. m , o , p >. e. A ->
              A. s e. ran S ( ( ( s " ( o u. ran H ) ) C_ c /\
       A. x A. y ( x m y ->
         ( ( V ` ( s ` ( H ` x ) ) ) X. ( V ` ( s ` ( H ` y ) ) ) ) C_ K ) ) ->
         ( s ` p ) e. c ) ) ) } C_ E ) $=
        ( crn cun cv wss cotp wcel cima wbr cfv cxp wi wal wral cint cmvar cmfs
        wa cab eqid mvhf syl frnd unssd msubf cmpst cmsta maxsta mstapst sstrdi
        wf sselda ccnv wceq cfn elmpst simp3bi ffvelrn syl2anr a1d ralrimiva ex
        alrimiv alrimivv fvexi sseq2 anbi1d eleq2 imbi12d ralbidv imbi2d albidv
        cmex 2albidv anbi12d elab sylanbrc intss1 ) ALEMUIZUJZRUKZULZJUKZKUKZQU
        KZUMZDUNZPUKZXKXFUJUOZXHULZBUKZCUKZXJUPXRMUQXOUQOUQXSMUQXOUQOUQURNULUSC
        UTBUTZVEZXLXOUQZXHUNZUSZPHUIZVAZUSZQUTZKUTJUTZVEZRVFZUNZYKVBLULAXGLULZX
        NXPLULZXTVEZYBLUNZUSZPYEVAZUSZQUTZKUTJUTZYLAEXFLUDAIVCUQZLMAIVDUNZUUBLM
        VRUBILMUUBUUBVGTUEVHVIVJVKAYTJKAYSQAXNYRAXNVEZYQPYEUUDXOYEUNZVEYPYOUUEL
        LXOVRXLLUNZYPUUDHILXOUGTVLUUDXMIVMUQZUNZUUFADUUGXMADIVNUQZUUGAUUCDUUIUL
        UBDUUIIUFUUIVGZVOVIUUGUUIIUUGVGZUUJVPVQVSUUHXJGULXJVTXJWAVEXKLULXKWBUNV
        EUUFXLXJUUGILXKGSTUUKWCWDVILLXLXOWEWFWGWHWIWJWKYJYMUUAVERLLIWTTWLXHLWAZ
        XIYMYIUUAXHLXGWMUULYHYTJKUULYGYSQUULYFYRXNUULYDYQPYEUULYAYOYCYPUULXQYNX
        TXHLXPWMWNXHLYBWOWPWQWRWSXAXBXCXDLYKXEVI $.

      $( The function mapping variables to variable expressions is one-to-one.
         (Contributed by Mario Carneiro, 18-Jul-2016.) $)
      mclsval $p |- ( ph -> ( K C B ) = |^| { c | ( ( B u. ran H ) C_ c /\
            A. m A. o A. p ( <. m , o , p >. e. A ->
              A. s e. ran S ( ( ( s " ( o u. ran H ) ) C_ c /\
       A. x A. y ( x m y ->
         ( ( V ` ( s ` ( H ` x ) ) ) X. ( V ` ( s ` ( H ` y ) ) ) ) C_ K ) ) ->
         ( s ` p ) e. c ) ) ) } ) $=
        ( vd vh vt cpw cv crn cun wss cotp wcel cima wbr cfv cxp wi wal wa wral
        cab cint cvv cmcls cmpo cmfs wceq elex cmdv cmex cmvh cmvrs cmsub fveq2
        eqtr4di pweqd rneqd uneq2d sseq1d eleq2d imaeq2d fveq1d fveq12d xpeq12d
        fveq2d imbi2d 2albidv anbi12d imbi1d raleqbidv albidv abbidv mpoeq123dv
        cmax imbi12d inteqd df-mcls fvexi pwex mpoex fvmpt syl5eq simprr uneq1d
        3syl simprl sseq2d anbi2d ralbidv elpw2 sylibr mclsssvlem ssex ovmpod
        syl ) AUIUJNEGULZLULZUJUMZMUNZUOZRUMZUPZJUMZKUMZQUMZUQZDURZPUMZYJYEUOZU
        SZYGUPZBUMZCUMZYIUTZYRMVAZYNVAZOVAZYSMVAZYNVAZOVAZVBZUIUMZUPZVCZCVDBVDZ
        VEZYKYNVAYGURZVCZPHUNZVFZVCZQVDZKVDJVDZVEZRVGZVHZEYEUOZYGUPZYMYQYTUUGNU
        PZVCZCVDBVDZVEZUUMVCZPUUOVFZVCZQVDZKVDJVDZVEZRVGZVHZFVIAFIVJVAZUIUJYBYC
        UVBVKZUAAIVLURIVIURUVQUVRVMUBIVLVNUKIUIUJUKUMZVOVAZULZUVSVPVAZULZYDUVSV
        QVAZUNZUOZYGUPZYLUVSWTVAZURZYNYJUWEUOZUSZYGUPZYTYRUWDVAZYNVAZUVSVRVAZVA
        ZYSUWDVAZYNVAZUWOVAZVBZUUHUPZVCZCVDBVDZVEZUUMVCZPUVSVSVAZUNZVFZVCZQVDZK
        VDJVDZVEZRVGZVHZVKUVRVIVJUVSIVMZUIUJUWAUWCUXNYBYCUVBUXOUVTGUXOUVTIVOVAG
        UVSIVOVTSWAWBUXOUWBLUXOUWBIVPVALUVSIVPVTTWAWBUXOUXMUVAUXOUXLUUTRUXOUWGY
        HUXKUUSUXOUWFYFYGUXOUWEYEYDUXOUWDMUXOUWDIVQVAMUVSIVQVTUEWAZWCZWDWEUXOUX
        JUURJKUXOUXIUUQQUXOUWIYMUXHUUPUXOUWHDYLUXOUWHIWTVADUVSIWTVTUFWAWFUXOUXE
        UUNPUXGUUOUXOUXFHUXOUXFIVSVAHUVSIVSVTUGWAWCUXOUXDUULUUMUXOUWLYQUXCUUKUX
        OUWKYPYGUXOUWJYOYNUXOUWEYEYJUXQWDWGWEUXOUXBUUJBCUXOUXAUUIYTUXOUWTUUGUUH
        UXOUWPUUCUWSUUFUXOUWNUUBUWOOUXOUWOIVRVAOUVSIVRVTUHWAZUXOUWMUUAYNUXOYRUW
        DMUXPWHWKWIUXOUWRUUEUWOOUXRUXOUWQUUDYNUXOYSUWDMUXPWHWKWIWJWEWLWMWNWOWPX
        AWQWMWNWRXBWSBCUKUJJKPQRUIXCUIUJYBYCUVBGGIVOSXDZXELLIVPTXDZXEXFXGXKXHAU
        UHNVMZYDEVMZVEVEZUVAUVOUYCUUTUVNRUYCYHUVDUUSUVMUYCYFUVCYGUYCYDEYEAUYAUY
        BXIXJWEUYCUURUVLJKUYCUUQUVKQUYCUUPUVJYMUYCUUNUVIPUUOUYCUULUVHUUMUYCUUKU
        VGYQUYCUUJUVFBCUYCUUIUVEYTUYCUUHNUUGAUYAUYBXLXMWLWMXNWOXOWLWQWMWNWRXBAN
        GUPNYBURUCNGUXSXPXQAELUPEYCURUDELUXTXPXQAUVPLUPUVPVIURABCDEFGHIJKLMNOPQ
        RSTUAUBUCUDUEUFUGUHXRUVPLUXTXSYAXT $.
    $}

    $( The closure of a set of expressions is a set of expressions.
       (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    mclsssv $p |- ( ph -> ( K C B ) C_ E ) $=
      ( vc vm vo vp cfv cv wal vs vx vy co cmvh crn cun wss cotp cmax wcel cima
      wbr cmvrs cxp wi wa cmsub wral cab cint eqid mclsval mclsssvlem eqsstrd )
      AGBCUDBEUERZUFZUGNSZUHOSZPSZQSZUIEUJRZUKUASZVJVGUGULVHUHUBSZUCSZVIUMVNVFR
      VMREUNRZRVOVFRVMRVPRUOGUHUPUCTUBTUQVKVMRVHUKUPUAEURRZUFUSUPQTPTOTUQNUTVAF
      AUBUCVLBCDVQEOPFVFGVPUAQNHIJKLMVFVBZVLVBZVQVBZVPVBZVCAUBUCVLBCDVQEOPFVFGV
      PUAQNHIJKLMVRVSVTWAVDVE $.

    ${
      ssmclslem.h $e |- H = ( mVH ` T ) $.
      $( Lemma for ~ ssmcls .  (Contributed by Mario Carneiro, 18-Jul-2016.) $)
      ssmclslem $p |- ( ph -> ( B u. ran H ) C_ ( K C B ) ) $=
        ( vc cv wss cfv wal vm vo vp vs vx vy crn cun cotp cmax wcel cima cmvrs
        wbr cxp wi wa cmsub wral cab cint simpl a1i alrimiv ssintab sylibr eqid
        co mclsval sseqtrrd ) ABGUGZUHZVLPQZRZUAQZUBQZUCQZUIEUJSZUKUDQZVPVKUHUL
        VMRUEQZUFQZVOUNVTGSVSSEUMSZSWAGSVSSWBSUOHRUPUFTUETUQVQVSSVMUKUPUDEURSZU
        GUSUPUCTUBTUATZUQZPUTVAZHBCVHAWEVNUPZPTVLWFRAWGPWGAVNWDVBVCVDWEPVLVEVFA
        UEUFVRBCDWCEUAUBFGHWBUDUCPIJKLMNOVRVGWCVGWBVGVIVJ $.

      vhmcls.v $e |- V = ( mVR ` T ) $.
      vhmcls.3 $e |- ( ph -> X e. V ) $.
      $( All variable hypotheses are in the closure.  (Contributed by Mario
         Carneiro, 18-Jul-2016.) $)
      vhmcls $p |- ( ph -> ( H ` X ) e. ( K C B ) ) $=
        ( wcel crn cfv ssmclslem unssbd wfn cmfs mvhf ffn 3syl fnfvelrn syl2anc
        co wf sseldd ) AGUAZHBCULZJGUBZABUOUPABCDEFGHKLMNOPQUCUDAGIUEZJITUQUOTA
        EUFTIFGUMURNEFGIRLQUGIFGUHUISIJGUJUKUN $.
    $}

    $( The original expressions are also in the closure.  (Contributed by Mario
       Carneiro, 18-Jul-2016.) $)
    ssmcls $p |- ( ph -> B C_ ( K C B ) ) $=
      ( cmvh cfv crn co eqid ssmclslem unssad ) ABENOZPGBCQABCDEFUAGHIJKLMUARST
      $.

    ${
      ss2mcls.4 $e |- ( ph -> X C_ K ) $.
      ss2mcls.5 $e |- ( ph -> Y C_ B ) $.
      $( The closure is monotonic under subsets of the original set of
         expressions and the set of disjoint variable conditions.  (Contributed
         by Mario Carneiro, 18-Jul-2016.) $)
      ss2mcls $p |- ( ph -> ( X C Y ) C_ ( K C B ) ) $=
        ( cfv wss wal vc vm vo vp vs vx vy cmvh crn cun cotp cmax wcel cima wbr
        cv cmvrs cxp wi wa cmsub wral cab cint unss1 sstr2 3syl syl5com 2alimdv
        co imim2d anim2d imim1d ralimdv alimdv anim12d ss2abdv intss sstrd eqid
        syl mclsval 3sstr4d ) AIEUHRZUIZUJZUAUPZSZUBUPZUCUPZUDUPZUKEULRZUMZUEUP
        ZWJWEUJUNWGSZUFUPZUGUPZWIUOZWPWDRWNREUQRZRWQWDRWNRWSRURZHSZUSZUGTUFTZUT
        ZWKWNRWGUMZUSZUEEVARZUIZVBZUSZUDTZUCTUBTZUTZUAVCZVDZBWEUJZWGSZWMWOWRWTG
        SZUSZUGTUFTZUTZXEUSZUEXHVBZUSZUDTZUCTUBTZUTZUAVCZVDZHICVJGBCVJAYHXNSXOY
        ISAYGXMUAAXQWHYFXLAIBSWFXPSXQWHUSQIBWEVEWFXPWGVFVGAYEXKUBUCAYDXJUDAYCXI
        WMAYBXFUEXHAXDYAXEAXCXTWOAXBXSUFUGAXAXRWRAHGSXAXRPWTHGVFVHVKVIVLVMVNVKV
        OVIVPVQYHXNVRWAAUFUGWLICDXGEUBUCFWDHWSUEUDUAJKLMAHGDPNVSAIBFQOVSWDVTZWL
        VTZXGVTZWSVTZWBAUFUGWLBCDXGEUBUCFWDGWSUEUDUAJKLMNOYJYKYLYMWBWC $.
    $}

    mclsax.a $e |- A = ( mAx ` T ) $.
    mclsax.l $e |- L = ( mSubst ` T ) $.
    mclsax.v $e |- V = ( mVR ` T ) $.
    mclsax.h $e |- H = ( mVH ` T ) $.
    mclsax.w $e |- W = ( mVars ` T ) $.
    ${
      mclsax.4 $e |- ( ph -> <. M , O , P >. e. A ) $.
      mclsax.5 $e |- ( ph -> S e. ran L ) $.
      mclsax.6 $e |- ( ( ph /\ x e. O ) -> ( S ` x ) e. ( K C B ) ) $.
      mclsax.7 $e |- ( ( ph /\ v e. V ) -> ( S ` ( H ` v ) ) e. ( K C B ) ) $.
      mclsax.8 $e |- ( ( ph /\ ( x M y /\ a e. ( W ` ( S ` ( H ` x ) ) ) /\
        b e. ( W ` ( S ` ( H ` y ) ) ) ) ) -> a K b ) $.
      $( The closure is closed under axiom application.  (Contributed by Mario
         Carneiro, 18-Jul-2016.) $)
      mclsax $p |- ( ph -> ( S ` P ) e. ( K C B ) ) $=
        ( vc vm vo vp vs vz cfv crn cun cv wss cotp wcel cima wbr cxp wi wal wa
        wral cab cint co abid intss1 sylbir mclsval sseq1d syl5ibr sstr2 anim1d
        com12 imim1d ralimdv imim2d alimdv 2alimdv adantl sylcom cmpst cvv eqid
        w3a cmsta mstapst cmfs maxsta syl sseldd mpstrcl wceq simp1 simp2 simp3
        sselid eleq1d uneq1d imaeq2d breqd imbi1d 2albidv anbi12d fveq2d spc3gv
        oteq123d imbi12d ralbidv 3syl wo elun ralrimiva wf wfn mvhf fveq2 ralrn
        wb ffn mpbird r19.21bi sseqtrrd sylibr fveq1 jaodan sylan2b msubf ffund
        wfun cdm cfn ccnv elmpst sylib simp2d fdmd frnd unssd funimass4 syl2anc
        simpld 3exp2 imp4b ralrimivv dfss3 cop eleq1 df-br ralxp bitri alrimivv
        bitr4di jca imaeq1 xpeq12d imbi2d rspcv mpid embantd 3syld alrimiv fvex
        ex elintab eleqtrrd ) AIJVDZFMVEZVFURVGZVHZUSVGZUTVGZVAVGZVIZEVJZVBVGZU
        WGUWCVFZVKZUWDVHZBVGZCVGZUWFVLZUWOMVDZUWKVDZSVDZUWPMVDZUWKVDZSVDZVMZNVH
        ZVNZCVOBVOZVPZUWHUWKVDZUWDVJZVNZVBOVEZVQZVNZVAVOZUTVOUSVOZVPZURVRZVSZNF
        GVTZAUXQUWBUWDVJZVNZURVOUWBUXSVJAUYBURAUXQUWJUWMUXTVHZUXGVPZUXJVNZVBUXL
        VQZVNZVAVOZUTVOUSVOZPQIVIZEVJZUWKQUWCVFZVKZUXTVHZUWOUWPPVLZUXEVNZCVOBVO
        ZVPZIUWKVDZUWDVJZVNZVBUXLVQZVNZUYAAUXQUXTUWDVHZUYIUXQVUDAUXSUWDVHZUXQUW
        DUXRVJVUEUXQURWAUWDUXRWBWCAUXTUXSUWDABCEFGHOKUSUTLMNSVBVAURUBUCUDUEUFUG
        UKUHUIULWDZWEWFUXPVUDUYIVNUWEVUDUXPUYIVUDUXOUYHUSUTVUDUXNUYGVAVUDUXMUYF
        UWJVUDUXKUYEVBUXLVUDUYDUXHUXJVUDUYCUWNUXGUYCVUDUWNUWMUXTUWDWGWIWHWJWKWL
        WMWNWIWOWPAUYJKWQVDZVJZPWRVJQWRVJIWRVJWTUYIVUCVNAKXAVDZVUGUYJVUGVUIKVUG
        WSZVUIWSZXBAEVUIUYJAKXCVJZEVUIVHUEEVUIKUHVUKXDXEUMXFXLZIPVUGKQVUJXGUYGV
        UCUSUTVAPQIWRWRWRUWFPXHZUWGQXHZUWHIXHZWTZUWJUYKUYFVUBVUQUWIUYJEVUQUWFPU
        WGQUWHIVUNVUOVUPXIZVUNVUOVUPXJZVUNVUOVUPXKZYBXMVUQUYEVUAVBUXLVUQUYDUYRU
        XJUYTVUQUYCUYNUXGUYQVUQUWMUYMUXTVUQUWLUYLUWKVUQUWGQUWCVUSXNXOWEVUQUXFUY
        PBCVUQUWQUYOUXEVUQUWFPUWOUWPVURXPXQXRXSVUQUXIUYSUWDVUQUWHIUWKVUTXTXMYCY
        DYCYAYEAUYKVUBUYAUMAVUBJUYLVKZUXTVHZUYOUWRJVDZSVDZUXAJVDZSVDZVMZNVHZVNZ
        CVOBVOZVPZUYAAVVBVVJAVVBUWOJVDZUXTVJZBUYLVQZAVVMBUYLUWOUYLVJAUWOQVJZUWO
        UWCVJZYFVVMUWOQUWCYGAVVOVVMVVPUOAVVMBUWCAVVMBUWCVQZDVGMVDZJVDZUXTVJZDRV
        QZAVVTDRUPYHARLMYIZMRYJVVQVWAYNAVULVWBUEKLMRUJUCUKYKXEZRLMYOVVMVVTBDRMU
        WOVVRXHVVLVVSUXTUWOVVRJYLXMYMYEYPYQUUAUUBYHAJUUEUYLJUUFZVHVVBVVNYNALLJA
        JUXLVJZLLJYIUNOKLJUIUCUUCXEZUUDAQUWCVWDAQLVWDAQLVHZQUUGVJZAPHVHPUUHPXHV
        PZVWGVWHVPZILVJZAVUHVWIVWJVWKWTVUMIPVUGKLQHUBUCVUJUUIUUJUUKUUQALLJVWFUU
        LZYRAUWCLVWDARLMVWCUUMVWLYRUUNBUYLUXTJUUOUUPYPAVVIBCAUYOVVHAUYOVPZTVGZU
        AVGZNVLZUAVVFVQTVVDVQZVVHVWMVWPTUAVVDVVFAUYOVWNVVDVJZVWOVVFVJZVWPAUYOVW
        RVWSVWPUQUURUUSUUTVVHVCVGZNVJZVCVVGVQVWQVCVVGNUVAVXAVWPVCTUAVVDVVFVWTVW
        NVWOUVBZXHVXAVXBNVJVWPVWTVXBNUVCVWNVWONUVDUVHUVEUVFYSUVSUVGUVIAVWEVUBVV
        KUYAVNZVNUNVUAVXCVBJUXLUWKJXHZUYRVVKUYTUYAVXDUYNVVBUYQVVJVXDUYMVVAUXTUW
        KJUYLUVJWEVXDUYPVVIBCVXDUXEVVHUYOVXDUXDVVGNVXDUWTVVDUXCVVFVXDUWSVVCSUWR
        UWKJYTXTVXDUXBVVESUXAUWKJYTXTUVKWEUVLXRXSVXDUYSUWBUWDIUWKJYTXMYCUVMXEUV
        NUVOUVPUVQUXQURUWBIJUVRUVTYSVUFUWA $.
    $}

    mclsind.4 $e |- ( ph -> B C_ Q ) $.
    mclsind.5 $e |- ( ( ph /\ v e. V ) -> ( H ` v ) e. Q ) $.
    mclsind.6 $e |- ( ( ph /\ ( <. m , o , p >. e. A /\
      s e. ran L /\ ( s " ( o u. ran H ) ) C_ Q ) /\
      A. x A. y ( x m y ->
       ( ( W ` ( s ` ( H ` x ) ) ) X. ( W ` ( s ` ( H ` y ) ) ) ) C_ K ) )
    -> ( s ` p ) e. Q ) $.
    $( Induction theorem for closure: any other set ` Q ` closed under the
       axioms and the hypotheses contains all the elements of the closure.
       (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    mclsind $p |- ( ph -> ( K C B ) C_ Q ) $=
      ( vc co crn cun cv wss cotp wcel cima wbr cfv cxp wi wal wa wral cab cint
      mclsval cin ssind wfn wf cmfs mvhf syl ffvelrnda elind ralrimiva sylanbrc
      ffnd ffnfv frnd unssd id inss2 sstrdi w3a cmap cpm adantr eqid msubff frn
      cmrex 3syl simpr2 sseldd elmapi cmpst maxsta mstapst simpr1 ccnv wceq cfn
      cmsta elmpst simp3bi ffvelrnd 3adant3 3exp 3expd imp31 syl5 impd alrimivv
      alrimiv cmex fvexi inex1 sseq2 anbi1d eleq2 imbi12d ralbidv imbi2d albidv
      ex 2albidv anbi12d elab intss1 eqsstrd ) AOFGUPFNUQZURZUOUSZUTZKUSZLUSZTU
      SZVAZEVBZSUSZUUDYSURVCZUUAUTZBUSZCUSZUUCVDUUKNVEUUHVERVEUULNVEUUHVERVEVFO
      UTVGCVHBVHZVIZUUEUUHVEZUUAVBZVGZSPUQZVJZVGZTVHZLVHKVHZVIZUOVKZVLZIABCEFGH
      PJKLMNORSTUOUAUBUCUDUEUFUJUGUHUKVMAUVEMIVNZIAUVFUVDVBZUVEUVFUTAYTUVFUTZUU
      GUUIUVFUTZUUMVIZUUOUVFVBZVGZSUURVJZVGZTVHZLVHKVHZUVGAFYSUVFAFMIUFULVOAQUV
      FNANQVPDUSZNVEZUVFVBZDQVJQUVFNVQAQMNAJVRVBZQMNVQUDJMNQUIUBUJVSVTZWEAUVSDQ
      AUVQQVBVIMIUVRAQMUVQNUWAWAUMWBWCDQUVFNWFWDWGWHAUVOKLAUVNTAUUGUVMAUUGVIZUV
      LSUURUWBUUHUURVBZVIZUVIUUMUVKUVIUUIIUTZUWDUUMUVKVGZUVIUUIUVFIUVIWIMIWJZWK
      AUUGUWCUWEUWFVGAUUGUWCUWEUWFAUUGUWCUWEWLZUUMUVKAUWHUUMWLMIUUOAUWHUUOMVBUU
      MAUWHVIZMMUUEUUHUWIUUHMMWMUPZVBMMUUHVQUWIUURUWJUUHUWIUVTJWSVEZQWNUPZUWJPV
      QUURUWJUTAUVTUWHUDWOZUWKPJMQVRUIUWKWPUHUBWQUWLUWJPWRWTAUUGUWCUWEXAXBUUHMM
      XCVTUWIUUFJXDVEZVBZUUEMVBZUWIEUWNUUFUWIEJXKVEZUWNUWIUVTEUWQUTUWMEUWQJUGUW
      QWPZXEVTUWNUWQJUWNWPZUWRXFWKAUUGUWCUWEXGXBUWOUUCHUTUUCXHUUCXIVIUUDMUTUUDX
      JVBVIUWPUUEUUCUWNJMUUDHUAUBUWSXLXMVTXNXOUNWBXPXQXRXSXTWCYMYBYAUVCUVHUVPVI
      UOUVFMIMJYCUBYDYEUUAUVFXIZUUBUVHUVBUVPUUAUVFYTYFUWTUVAUVOKLUWTUUTUVNTUWTU
      USUVMUUGUWTUUQUVLSUURUWTUUNUVJUUPUVKUWTUUJUVIUUMUUAUVFUUIYFYGUUAUVFUUOYHY
      IYJYKYLYNYOYPWDUVFUVDYQVTUWGWKYR $.
  $}

  ${
    $d a d h A $.  $d a d h t x C $.  $d a d h t x P $.  $d a d h t x T $.
    $d a d h D $.  $d a d h H $.
    mppsval.p $e |- P = ( mPreSt ` T ) $.
    mppsval.j $e |- J = ( mPPSt ` T ) $.
    ${
      mppsval.c $e |- C = ( mCls ` T ) $.
      $( Lemma for ~ mppspst .  (Contributed by Mario Carneiro,
         18-Jul-2016.) $)
      mppspstlem $p |- { <. <. d , h >. , a >. |
        ( <. d , h , a >. e. P /\ a e. ( d C h ) ) } C_ P $=
        ( vx cv cotp wcel co wa coprab cop wceq wex cab df-oprab eqeq2i biimpri
        df-ot eleq1d biimpar adantrr exlimiv exlimivv abssi eqsstri ) GLZDLZFLZ
        MZBNZUOUMUNAONZPZGDFQKLZUMUNRUORZSZUSPZFTZDTGTZKUABUSGDFKUBVEKBVDUTBNZG
        DVCVFFVBUQVFURVBVFUQVBUTUPBUTUPSVBUPVAUTUMUNUOUEUCUDUFUGUHUIUJUKUL $.

      $( Definition of a provable pre-statement, essentially just a
         reorganization of the arguments of df-mcls .  (Contributed by Mario
         Carneiro, 18-Jul-2016.) $)
      mppsval $p |- J = { <. <. d , h >. , a >. |
        ( <. d , h , a >. e. P /\ a e. ( d C h ) ) } $=
        ( vt vx cmpps cfv cv wcel wa cmpst c0 wex cotp co coprab cvv wceq cmcls
        fveq2 eqtr4di eleq2d oveqd anbi12d df-mpps fvexi mppspstlem ssexi fvmpt
        oprabbidv wn fvprc cop cab df-oprab wne elfvex eleq2s ad2antrl exlimivv
        abn0 sylbi necon1bi syl5eq eqtr4d pm2.61i eqtri ) ECMNZGOZDOZFOZUAZBPZV
        RVPVQAUBZPZQZGDFUCZICUDPZVOWDUEKCVSKOZRNZPZVRVPVQWFUFNZUBZPZQZGDFUCWDUD
        MWFCUEZWLWCGDFWMWHVTWKWBWMWGBVSWMWGCRNZBWFCRUGHUHUIWMWJWAVRWMWIAVPVQWMW
        ICUFNAWFCUFUGJUHUJUIUKUQKDFGULWDBBCRHUMABCDEFGHIJUNUOUPWEURZVOSWDCMUSWO
        WDLOVPVQUTVRUTUEZWCQZFTDTZGTZLVAZSWCGDFLVBWEWTSWTSVCWSLTWEWSLVHWRWELGWQ
        WEDFVTWEWPWBWEVSWNBVSCRVDHVEVFVGVGVIVJVKVLVMVN $.

      $( Definition of a provable pre-statement, essentially just a
         reorganization of the arguments of df-mcls .  (Contributed by Mario
         Carneiro, 18-Jul-2016.) $)
      elmpps $p |- ( <. D , H , A >. e. J <->
        ( <. D , H , A >. e. P /\ A e. ( D C H ) ) ) $=
        ( vd vh va cotp wcel cop cv wa cvv wceq co coprab df-ot mppsval eleq12i
        cxp oprabss sseli mpstssv eqeltrrid adantr opelxp w3a simp1 simp2 simp3
        wb oteq123d eleq1d oveq12d eleq12d anbi12d eloprabga 3expa sylanb sylbi
        pm5.21nii bitri ) CFANZGOCFPZAPZKQZLQZMQZNZDOZVNVLVMBUAZOZRZKLMUBZOZVID
        OZACFBUAZOZRZVIVKGVTCFAUCZBDELGMKHIJUDUEWAVKSSUFZSUFZOZWEVTWHVKVSKLMUGU
        HWBWIWDWBVKVIWHWFDWHVIDEHUIUHUJUKWIVJWGOZASOZRWAWEUQZVJAWGSULWJCSOZFSOZ
        RWKWLCFSSULWMWNWKWLVSWEKLMCFASSSVLCTZVMFTZVNATZUMZVPWBVRWDWRVOVIDWRVLCV
        MFVNAWOWPWQUNZWOWPWQUOZWOWPWQUPZURUSWRVNAVQWCXAWRVLCVMFBWSWTUTVAVBVCVDV
        EVFVGVH $.
    $}

    $( A provable pre-statement is a pre-statement.  (Contributed by Mario
       Carneiro, 18-Jul-2016.) $)
    mppspst $p |- J C_ P $=
      ( vd vh va cv cotp wcel cmcls cfv co wa coprab mppsval mppspstlem eqsstri
      eqid ) CFIZGIZHIZJAKUCUAUBBLMZNKOFGHPAUDABGCHFDEUDTZQUDABGCHFDEUERS $.
  $}

  ${
    $d t x J $.  $d t x R $.  $d t x T $.  $d x X $.  $d x Y $.
    mthmval.r $e |- R = ( mStRed ` T ) $.
    mthmval.j $e |- J = ( mPPSt ` T ) $.
    mthmval.u $e |- U = ( mThm ` T ) $.
    $( A theorem is a pre-statement, whose reduct is also the reduct of a
       provable pre-statement.  Unlike the difference between pre-statement and
       statement, this application of the reduct is not necessarily trivial:
       there are theorems that are not themselves provable but are provable
       once enough "dummy variables" are introduced.  (Contributed by Mario
       Carneiro, 18-Jul-2016.) $)
    mthmval $p |- U = ( `' R " ( R " J ) ) $=
      ( vt cmthm cfv ccnv cima cvv wcel wceq cmsr cmpps fveq2 eqtr4di c0 cnveqd
      cv imaeq12d df-mthm fvex cnvex imaexg ax-mp fvmpt3i wn 0ima eqcomi syl5eq
      fvprc cnv0 eqtrdi imaeq1d 3eqtr4a pm2.61i eqtri ) CBIJZAKZADLZLZGBMNZVAVD
      OHBHUBZPJZKZVGVFQJZLZLZVDMIVFBOZVHVBVJVCVLVGAVLVGBPJZAVFBPRESZUAVLVGAVIDV
      NVLVIBQJDVFBQRFSUCUCHUDVHMNVKMNVGVFPUEUFVHVJMUGUHUIVEUJZTTVCLZVAVDVPTVCUK
      ULBIUNVOVBTVCVOVBTKTVOATVOAVMTEBPUNUMUAUOUPUQURUSUT $.

    $( A theorem is a pre-statement, whose reduct is also the reduct of a
       provable pre-statement.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    elmthm $p |- ( X e. U <-> E. x e. J ( R ` x ) = ( R ` X ) ) $=
      ( wcel ccnv cima cmpst cfv wa cv wceq wrex wb ax-mp mthmval eleq2i wfn wf
      eqid msrf ffn elpreima wss mppspst fvelimab mp2an anbi2i msrrcl syl5ibcom
      sseli rexlimiv pm4.71ri bitr4i 3bitri ) FDJFBKBELZLZJZFCMNZJZFBNZVAJZOZAP
      ZBNVFQZAERZDVBFBCDEGHIUAUBBVDUCZVCVHSVDVDBUDVLVDBCVDUEZGUFVDVDBUGTZVDFVAB
      UHTVHVEVKOVKVGVKVEVLEVDUIVGVKSVNVDCEVMHUJZAVDEVFBUKULUMVKVEVJVEAEVIEJVIVD
      JVJVEEVDVIVOUPVDBCVIFVMGUNUOUQURUSUT $.

    $( A statement whose reduct is the reduct of a provable pre-statement is a
       theorem.  (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    mthmi $p |- ( ( X e. J /\ ( R ` X ) = ( R ` Y ) ) -> Y e. U ) $=
      ( vx wcel cfv wceq wa cv wrex fveqeq2 rspcev elmthm sylibr ) EDKEALFALZMZ
      NJOZALUAMZJDPFCKUDUBJEDUCEUAAQRJABCDFGHIST $.
  $}

  ${
    mthmsta.u $e |- U = ( mThm ` T ) $.
    mthmsta.s $e |- S = ( mPreSt ` T ) $.
    $( A theorem is a pre-statement.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    mthmsta $p |- U C_ S $=
      ( cmsr cfv ccnv cmpps cima eqid mthmval cdm cnvimass msrf sseqtri eqsstri
      fdmi ) CBFGZHSBIGZJZJZASBCTSKZTKDLUBSMASUANAASASBEUCORPQ $.
  $}

  ${
    $d x J $.  $d x U $.
    mppsthm.j $e |- J = ( mPPSt ` T ) $.
    mppsthm.u $e |- U = ( mThm ` T ) $.
    $( A provable pre-statement is a theorem.  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    mppsthm $p |- J C_ U $=
      ( vx cv wcel cmsr cfv wceq eqid mthmi mpan2 ssriv ) FCBFGZCHPAIJZJZRKPBHR
      LQABCPPQLDEMNO $.
  $}

  ${
    $d x R $.  $d x T $.  $d x U $.  $d x Y $.
    mthmb.r $e |- R = ( mStRed ` T ) $.
    mthmb.u $e |- U = ( mThm ` T ) $.
    $( Lemma for ~ mthmb .  (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    mthmblem $p |- ( ( R ` X ) = ( R ` Y ) -> ( X e. U -> Y e. U ) ) $=
      ( vx wcel cmpst cfv cmpps cima wa wceq ccnv eqid mthmval eleq2i ax-mp wfn
      wb wf msrf ffn elpreima bitri eleq1 wrex wfun ffun fvelima mpan rexlimiva
      cv mthmi syl syl6bi adantld syl5bi ) DCIZDBJKZIZDAKZABLKZMZIZNZVDEAKZOZEC
      IZVADAPVFMZIZVHCVLDABCVEFVEQZGRSAVBUAZVMVHUBVBVBAUCZVOVBABVBQFUDZVBVBAUET
      VBDVFAUFTUGVJVGVKVCVJVGVIVFIZVKVDVIVFUHVRHUOZAKVIOZHVEUIZVKAUJZVRWAVPWBVQ
      VBVBAUKTHVIVEAULUMVTVKHVEABCVEVSEFVNGUPUNUQURUSUT $.

    $( If two statements have the same reduct then one is a theorem iff the
       other is.  (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    mthmb $p |- ( ( R ` X ) = ( R ` Y ) -> ( X e. U <-> Y e. U ) ) $=
      ( cfv wceq wcel mthmblem wi eqcoms impbid ) DAHZEAHZIDCJZECJZABCDEFGKRQLP
      OABCEDFGKMN $.
  $}

  ${
    $d x A $.  $d x C $.  $d x H $.  $d x J $.  $d x M $.  $d x R $.  $d x T $.
    $d x U $.
    mthmpps.r $e |- R = ( mStRed ` T ) $.
    mthmpps.j $e |- J = ( mPPSt ` T ) $.
    mthmpps.u $e |- U = ( mThm ` T ) $.
    mthmpps.d $e |- D = ( mDV ` T ) $.
    mthmpps.v $e |- V = ( mVars ` T ) $.
    mthmpps.z $e |- Z = U. ( V " ( H u. { A } ) ) $.
    mthmpps.m $e |- M = ( C u. ( D \ ( Z X. Z ) ) ) $.
    $( Given a theorem, there is an explicitly definable witnessing provable
       pre-statement for the provability of the theorem.  (However, this
       pre-statement requires infinitely many disjoint variable conditions,
       which is sometimes inconvenient.)  (Contributed by Mario Carneiro,
       18-Jul-2016.) $)
    mthmpps $p |- ( T e. mFS -> ( <. C , H , A >. e. U <->
      ( <. M , H , A >. e. J /\
        ( R ` <. M , H , A >. ) = ( R ` <. C , H , A >. ) ) ) ) $=
      ( wcel wceq vx cmfs cotp cfv wa cmpst cmcls co wss ccnv cmex cfn cxp cdif
      cun w3a eqid mthmsta simpr sselid elmpst sylib simp1d simpld difssd unssd
      eqsstrid simprd cnvdif cmvar cid cnvxp cnvi difeq12i eqtri mdvval 3eqtr4i
      cnveqi a1i uneq12d cnvun 3eqtr4g jca simp2d simp3d syl3anbrc cv wrex c1st
      elmthm simpll adantr cin c2nd csn cima cuni mppspst simprl mpst123 fveq2d
      syl simprr eqtr3d eqeltrrd msrval 3eqtr3d fvex inex1 sneqd imaeq2d unieqd
      otth eqtr4di sqxpeqd ineq2d inss1 eqsstrrdi eqidd oteq123d simp1bi ssdifd
      eqtrd unss12 syl2anc inundif eqcomi 3sstr4g ss2mcls elmpps simprbi sseldd
      ssidd rexlimddv sylanbrc ineq1i indir c0 disjdifr 0ss eqsstri mpbi 3eqtri
      ssequn2 oteq1d 3eqtr4d ex mthmi impbid1 ) EUBSZBGAUCZFSZIGAUCZHSZUUMDUDZU
      UKDUDZTZUEZUUJUULUURUUJUULUEZUUNUUQUUSUUMEUFUDZSZAIGEUGUDZUHZSZUUNUUSICUI
      ZIUJZITZUEGEUKUDZUIZGULSZUEZAUVHSZUVAUUSUVEUVGUUSIBCKKUMZUNZUOZCRUUSBUVNC
      UUSBCUIZBUJZBTZUUSUVPUVRUEZUVKUVLUUSUUKUUTSZUVSUVKUVLUPUUSFUUTUUKUUTEFNUU
      TUQZURUUJUULUSZUTZABUUTEUVHGCOUVHUQZUWAVAVBZVCZVDUUSCUVMVEVFVGZUUSUVQUVNU
      JZUOZUVOUVFIUUSUVQBUWHUVNUUSUVPUVRUWFVHUWHUVNTUUSUWHCUJZUVMUJZUNUVNCUVMVI
      UWJCUWKUVMEVJUDZUWLUMZVKUNZUJZUWNUWJCUWOUWMUJZVKUJZUNUWNUWMVKVIUWPUWMUWQV
      KUWLUWLVLVMVNVOCUWNCEUWLUWLUQOVPZVRUWRVQKKVLVNVOVSVTUVFUVOUJUWIIUVORVRBUV
      NWAVORWBWCUUSUVSUVKUVLUWEWDZUUSUVSUVKUVLUWEWEAIUUTEUVHGCOUWDUWAVAWFZUUSUA
      WGZDUDZUUPTZUVDUAHUUSUULUXCUAHWHUWBUADEFHUUKLMNWJVBUUSUXAHSZUXCUEZUEZUXAW
      IUDZWIUDZGUVBUHZUVCAUXFGUVBCEUVHIUXHGOUWDUVBUQZUUJUULUXEWKUUSUVEUXEUWGWLU
      USUVIUXEUUSUVIUVJUWSVDWLUXFUXHUVMWMZUXHUVMUNZUOZUVOUXHIUXFUXKBUIUXLUVNUIU
      XMUVOUIUXFUXKBUVMWMZBUXFUXHJUXGWNUDZUXAWNUDZWOZUOZWPZWQZUXTUMZWMZUXNUXKUX
      FUYBUXNTZUXOGTZUXPATZUXFUYBUXOUXPUCZUXNGAUCZTUYCUYDUYEUPUXFUXHUXOUXPUCZDU
      DZUUPUYFUYGUXFUXBUYIUUPUXFUXAUYHDUXFUXAUUTSUXAUYHTUXFHUUTUXAUUTEHUWAMWRUU
      SUXDUXCWSZUTZUUTEUXAUWAWTXBZXAUUSUXDUXCXCXDUXFUYHUUTSUYIUYFTUXFUXAUYHUUTU
      YLUYKXEUXPUXHUUTDEUXOJUXTPUWALUXTUQXFXBUUSUUPUYGTZUXEUUSUVTUYMUWCABUUTDEG
      JKPUWALQXFXBZWLXGUYBUXOUXNGUXPAUXHUYAUXGWIXHXIUXGWNXHUXAWNXHXMVBZVCUXFUYA
      UVMUXHUXFUXTKUXFUXTJGAWOZUOZWPZWQKUXFUXSUYRUXFUXRUYQJUXFUXOGUXQUYPUXFUYCU
      YDUYEUYOWDZUXFUXPAUXFUYCUYDUYEUYOWEZXJVTXKXLQXNXOXPXDBUVMXQXRUXFUXHCUVMUX
      FUXHGAUCZUUTSZUXHCUIZUXFUXAVUAUUTUXFUXAUYHVUAUYLUXFUXHUXHUXOGUXPAUXFUXHXS
      UYSUYTXTYCZUYKXEVUBVUCUXHUJUXHTZVUBVUCVUEUEUVKUVLAUXHUUTEUVHGCOUWDUWAVAYA
      VDXBYBUXKBUXLUVNYDYEUXMUXHUXHUVMYFYGRYHUXFGYMYIUXFVUAHSZAUXISZUXFUXAVUAHV
      UDUYJXEVUFVUBVUGAUVBUXHUUTEGHUWAMUXJYJYKXBYLYNAUVBIUUTEGHUWAMUXJYJYOUUSIU
      VMWMZGAUCZUYGUUOUUPUUSVUHUXNGAVUHUXNTUUSVUHUVOUVMWMUXNUVNUVMWMZUOZUXNIUVO
      UVMRYPBUVNUVMYQVUJUXNUIVUKUXNTVUJYRUXNUVMCYSUXNYTUUAVUJUXNUUDUUBUUCVSUUEU
      USUVAUUOVUITUWTAIUUTDEGJKPUWALQXFXBUYNUUFWCUUGDEFHUUMUUKLMNUUHUUI $.
  $}

  $(
  @{
    mclsppsfi.r @e |- R = ( mStRed ` T ) @.
    mclsppsfi.j @e |- J = ( mPPSt ` T ) @.
    mclsppsfi.u @e |- C = ( mCls ` T ) @.
    @( Any theorem has a proof using a _finite_ number of disjoint variable
       conditions and using only finitely many of the provided hypotheses, to
       reach the same conclusion.  This variation on ~ mclsppsfi also allows
       specifying a subset ` B ` of the hypotheses that will not be dropped.
       (Contributed by Mario Carneiro, 18-Jul-2016.) @)
    mclsppsfi2 @p |- ( ( T e. mFS /\ A e. ( D C H ) /\ B e. ( ~P H i^i Fin ) )
    -> E. d e. Fin E. h e. ( ~P H i^i Fin ) ( B C_ h /\ <. d , h , A >. e. J /\
                       ( R ` <. d , h , A >. ) = ( R ` <. D , h , A >. ) ) ) @=
      ? @.
      @( [18-Jul-2016] @)

    @( Any theorem has a proof using a _finite_ number of disjoint variable
       conditions and using only finitely many of the provided hypotheses, to
       reach the same conclusion.  (Contributed by Mario Carneiro,
       18-Jul-2016.) @)
    mclsppsfi @p |- ( ( T e. mFS /\ A e. ( D C H ) ) ->
              E. d e. Fin E. h e. ( ~P H i^i Fin ) ( <. d , h , A >. e. J /\
                       ( R ` <. d , h , A >. ) = ( R ` <. D , h , A >. ) ) ) @=
      ( wcel wa c0 cv wss cotp cfn wrex cmfs co cfv wceq w3a cpw cin 0fin elfpw
      0ss mpbir2an mclsppsfi2 mp3an3 3simpc reximi syl ) EUAMZACGBUBMZNOFPZQZIP
      USARZHMZVADUCCUSARDUCUDZUEZFGUFSUGZTZISTZVBVCNZFVETZISTUQUROVEMZVGVJOGQOS
      MGUJUHOGUIUKAOBCDEFGHIJKLULUMVFVIISVDVHFVEUTVBVCUNUOUOUP @.
      @( [18-Jul-2016] @)
  @}

  @{
    mthmppsfi.r @e |- R = ( mStRed ` T ) @.
    mthmppsfi.j @e |- J = ( mPPSt ` T ) @.
    mthmppsfi.u @e |- U = ( mThm ` T ) @.
    @( Any theorem has a proof using a _finite_ number of disjoint variable
       conditions.  (Unlike ~ mclsppsfi , we do not need to prove that there is
       a finite subset of the hypotheses because ` H ` is already finite.)
       (Contributed by Mario Carneiro, 18-Jul-2016.) @)
    mthmppsfi @p |- ( ( T e. mFS /\ <. D , H , A >. e. U ) ->
                    E. d e. Fin ( <. d , H , A >. e. J /\
                       ( R ` <. d , H , A >. ) = ( R ` <. D , H , A >. ) ) ) @=
      ( vx wcel cotp wa cfv wceq cfn wss eqid vh cmfs cv wrex simpr elmthm c1st
      sylib w3a cpw cin cmcls co simpll cmpst mppspst simprl sselid mpst123 syl
      c2nd eqidd csn cun cima cuni fveq2d simprr eqtr3d eqeltrrd msrval mthmsta
      cmvrs simplr 3eqtr3d fvex inex1 otth simp2d simp3d oteq123d eqtrd simprbi
      cxp elmpps ssid a1i cmex cmdv ccnv elmpst simprd elfpw mclsppsfi2 syl3anc
      sylanbrc wi simpld eqssd oteq2d eleq1d adantr eqeq12d anbi12d biimpd expr
      expd 3impd rexlimdva reximdv mpd ) DUBMZBFANZEMZOZLUCZCPZXMCPZQZLGUDZHUC
      ZFANZGMZYBCPZXRQZOZHRUDZXOXNXTXLXNUELCDEGXMIJKUFUHXOXSYGLGXOXPGMZXSYGXOYH
      XSOZOZFUAUCZSZYAYKANZGMZYMCPZXPUGPZUGPZYKANZCPZQZUIZUAFUJRUKZUDZHRUDZYGYJ
      XLAYQFDULPZUMMZFUUBMZUUDXLXNYIUNYJYQFANZGMZUUFYJXPUUHGYJXPYQYPVAPZXPVAPZN
      ZUUHYJXPDUOPZMXPUULQYJGUUMXPUUMDGUUMTZJUPXOYHXSUQZURZUUMDXPUUNUSUTZYJYQYQ
      UUJFUUKAYJYQVBYJYQDVMPZUUJUUKVCVDVEVFZUUSWDZUKZBUURFAVCVDVEVFZUVBWDUKZQZU
      UJFQZUUKAQZYJUVAUUJUUKNZUVCFANZQUVDUVEUVFUIYJUULCPZXRUVGUVHYJXQUVIXRYJXPU
      ULCUUQVGXOYHXSVHZVIYJUULUUMMUVIUVGQYJXPUULUUMUUQUUPVJUUKYQUUMCDUUJUURUUSU
      URTZUUNIUUSTVKUTYJXMUUMMZXRUVHQYJEUUMXMUUMDEKUUNVLXLXNYIVNURZABUUMCDFUURU
      VBUVKUUNIUVBTVKUTVOUVAUUJUVCFUUKAYQUUTYPUGVPVQYPVAVPXPVAVPVRUHZVSYJUVDUVE
      UVFUVNVTWAWBZUUOVJUUIUUHUUMMUUFAUUEYQUUMDFGUUNJUUETZWEWCUTYJFFSZFRMZUUGUV
      QYJFWFWGYJFDWHPZSZUVRYJBDWIPZSBWJBQOZUVTUVROZAUVSMZYJUVLUWBUWCUWDUIUVMABU
      UMDUVSFUWAUWATUVSTUUNWKUHVSWLFFWMWPAFUUEYQCDUAFGHIJUVPWNWOYJUUCYFHRYJUUAY
      FUAUUBYJYKUUBMZOYLYNYTYFYJUWEYLYNYTYFWQWQYJUWEYLOZOZYNYTYFUWGYNYTOYFUWGYN
      YCYTYEUWGYMYBGUWGYKFYAAUWGYKFUWGYKFSZYKRMZUWGUWEUWHUWIOYJUWEYLUQYKFWMUHWR
      YJUWEYLVHWSZWTZXAUWGYOYDYSXRUWGYMYBCUWKVGUWGYSUUHCPZXRUWGYRUUHCUWGYKFYQAU
      WJWTVGYJUWLXRQUWFYJXQUWLXRYJXPUUHCUVOVGUVJVIXBWBXCXDXEXGXFXHXIXJXKXFXIXK
      @.
      @( [18-Jul-2016] @)
  @}
  $)

  ${
    $d m o p s t u v E $.  $d a b c m o p s t u v w x y z H $.  $d c t v z V $.
    $d a b c d m o p s t u v x y K $.  $d a b c d m o p s u v w x y z T $.
    $d a b c d m o p s v w x y z L $.  $d a b c d m o p s t u v x y S $.
    $d a b c d m o p s t v x y B $.  $d a b c m o p s u v w x y z W $.
    $d a b c m o p s t v x y z C $.  $d a b m o p s v w x y z M $.
    $d m o p s v w x z O $.  $d a b c d t u v x y ph $.
    mclspps.d $e |- D = ( mDV ` T ) $.
    mclspps.e $e |- E = ( mEx ` T ) $.
    mclspps.c $e |- C = ( mCls ` T ) $.
    mclspps.1 $e |- ( ph -> T e. mFS ) $.
    mclspps.2 $e |- ( ph -> K C_ D ) $.
    mclspps.3 $e |- ( ph -> B C_ E ) $.
    mclspps.j $e |- J = ( mPPSt ` T ) $.
    mclspps.l $e |- L = ( mSubst ` T ) $.
    mclspps.v $e |- V = ( mVR ` T ) $.
    mclspps.h $e |- H = ( mVH ` T ) $.
    mclspps.w $e |- W = ( mVars ` T ) $.
    mclspps.4 $e |- ( ph -> <. M , O , P >. e. J ) $.
    mclspps.5 $e |- ( ph -> S e. ran L ) $.
    mclspps.6 $e |- ( ( ph /\ x e. O ) -> ( S ` x ) e. ( K C B ) ) $.
    mclspps.7 $e |- ( ( ph /\ v e. V ) -> ( S ` ( H ` v ) ) e. ( K C B ) ) $.
    mclspps.8 $e |- ( ( ph /\ ( x M y /\ a e. ( W ` ( S ` ( H ` x ) ) ) /\
      b e. ( W ` ( S ` ( H ` y ) ) ) ) ) -> a K b ) $.
    ${
      mclsppslem.9 $e |- ( ph -> <. m , o , p >. e. ( mAx ` T ) ) $.
      mclsppslem.10 $e |- ( ph -> s e. ran L ) $.
      mclsppslem.11 $e |- ( ph ->
        ( s " ( o u. ran H ) ) C_ ( `' S " ( K C B ) ) ) $.
      mclsppslem.12 $e |- ( ph -> A. z A. w ( z m w ->
        ( ( W ` ( s ` ( H ` z ) ) ) X. ( W ` ( s ` ( H ` w ) ) ) ) C_ M ) ) $.
      $( The closure is closed under application of provable pre-statements.
         (Compare ~ mclsax .)  This theorem is what justifies the treatment of
         theorems as "equivalent" to axioms once they have been proven: the
         composition of one theorem in the proof of another yields a theorem.
         (Contributed by Mario Carneiro, 18-Jul-2016.) $)
      mclsppslem $p |- ( ph -> ( s ` p ) e. ( `' S " ( K C B ) ) ) $=
        ( vc vd vt vu cv cfv ccnv co cima wcel crn wf msubf syl wss wceq wa cfn
        cotp cmpst w3a cmax cmsta cmfs eqid maxsta mstapst sstrdi sseldd elmpst
        sylib simp3d ffvelrnd ccom fvco3 syl2anc msubco wfn fco ffnd adantr cun
        wfun cdm wb ffund simpld 3syl elpreima simplbda wbr wrex ciun cxp ssbrd
        cid imp brxp fveq2d msubvrs syl3anc eqtrd eleq2d eliun bitrdi wi breq12
        wal cvv simpl simpr syl5bir vex simp2bi mvhf unssd fdmd funimass3 mpbid
        frn sseqtrrd cnvco imaeq1i imaco eqtri sseqtrrdi unssad sselda fnfvelrn
        unssbd ffn sylan simp1d cdif mdvval difss eqsstri simprd anbi12d reeanv
        simpll xpeq12d sseq1d imbi12d spc2gv el2v 3anbi123d anbi2d imbi1d 3exp2
        vtocl2 imp4b rexlimdvva sylbid exp4b 3imp2 mclsax eqeltrrd mpbir2and )
        AUEVLZUDVLZVMZKVNZRGHVOZVPZVQZUWIOVQZUWIKVMZUWKVQZAOOUWGUWHAUWHSVRZVQZO
        OUWHVSZVESLOUWHUOUIVTWAZAMVLZIWBZUXAVNUXAWCZWDZNVLZOWBZUXEWEVQZWDZUWGOV
        QZAUXAUXEUWGWFZLWGVMZVQZUXDUXHUXIWHALWIVMZUXKUXJAUXMLWJVMZUXKALWKVQZUXM
        UXNWBUKUXMUXNLUXMWLZUXNWLZWMWAUXKUXNLUXKWLZUXQWNWOVDWPZUWGUXAUXKLOUXEIU
        HUIUXRWQZWRZWSZWTAUWGKUWHXAZVMZUWOUWKAUWSUXIUYDUWOWCUWTUYBOOUWGKUWHXBXC
        AVHVIVJUXMGHIUWGUYCLOPRSUXAUXEUBUCUFUGUHUIUJUKULUMUXPUOUPUQURVDAKUWQVQZ
        UWRUYCUWQVQUTVESLKUWHUOXDXCAVHVLZUXEVQZWDUYCOXEZUYFUYCVNZUWKVPZVQZUYFUY
        CVMUWKVQZAUYHUYGAOOUYCAOOKVSZUWSOOUYCVSAUYEUYMUTSLOKUOUIVTWAZUWTOOOKUWH
        XFXCXGZXHAUXEUYJUYFAUXEPVRZUYJAUXEUYPXIZUWHVNZUWLVPZUYJAUWHUYQVPUWLWBZU
        YQUYSWBZVFAUWHXJUYQUWHXKZWBUYTVUAXLAOOUWHUWTXMAUYQOVUBAUXEUYPOAUXFUXGAU
        XLUXHUXSUXLUXDUXHUXIUXTUUAWAXNAUXOUBOPVSZUYPOWBUKLOPUBUPUIUQUUBZUBOPUUG
        XOUUCAOOUWHUWTUUDUUHUYQUWLUWHUUEXCUUFUYJUYRUWJXAZUWKVPUYSUYIVUEUWKKUWHU
        UIUUJUYRUWJUWKUUKUULUUMZUUNUUOUYHUYKUYFOVQUYLOUYFUWKUYCXPXQXCAVJVLZUBVQ
        ZWDZUYHVUGPVMZUYJVQZVUJUYCVMUWKVQZAUYHVUHUYOXHVUIUYPUYJVUJAUYPUYJWBVUHA
        UXEUYPUYJVUFUUQXHAPUBXEZVUHVUJUYPVQAUXOVUCVUMUKVUDUBOPUURXOUBVUGPUUPUUS
        WPUYHVUKVUJOVQVULOVUJUWKUYCXPXQXCAUYFVIVLZUXAXRZUFVLZUYFPVMZUYCVMZUCVMZ
        VQZUGVLZVUNPVMZUYCVMZUCVMZVQZVUPVVARXRZAVUOVUTVVEVVFAVUOWDZVUTVVEWDVUPV
        KVLZPVMZKVMZUCVMZVQZVKVUQUWHVMZUCVMZXSZVVAFVLZPVMZKVMZUCVMZVQZFVVBUWHVM
        ZUCVMZXSZWDZVVFVVGVUTVVOVVEVWCVVGVUTVUPVKVVNVVKXTZVQVVOVVGVUSVWEVUPVVGV
        USVVMKVMZUCVMZVWEVVGVURVWFUCVVGUWSVUQOVQVURVWFWCAUWSVUOUWTXHZVVGUBOUYFP
        AVUCVUOAUXOVUCUKVUDWAXHZVVGUYFUBVQZVUNUBVQZVVGUYFVUNUBUBYAZXRZVWJVWKWDA
        VUOVWMAUXAVWLUYFVUNAUXAIVWLAUXBUXCAUXDUXHUXIUYAUUTXNIVWLYCUVAVWLILUBUPU
        HUVBVWLYCUVCUVDWOYBYDUYFVUNUBUBYEWRZXNWTZOOVUQKUWHXBXCYFVVGUXOUYEVVMOVQ
        VWGVWEWCAUXOVUOUKXHZAUYEVUOUTXHZVVGOOVUQUWHVWHVWOWTVKSLOKPUCVVMUOUIURUQ
        YGYHYIYJVKVUPVVNVVKYKYLVVGVVEVVAFVWBVVSXTZVQVWCVVGVVDVWRVVAVVGVVDVWAKVM
        ZUCVMZVWRVVGVVCVWSUCVVGUWSVVBOVQVVCVWSWCVWHVVGUBOVUNPVWIVVGVWJVWKVWNUVE
        WTZOOVVBKUWHXBXCYFVVGUXOUYEVWAOVQVWTVWRWCVWPVWQVVGOOVVBUWHVWHVXAWTFSLOK
        PUCVWAUOUIURUQYGYHYIYJFVVAVWBVVSYKYLUVFVWDVVLVVTWDZFVWBXSVKVVNXSVVGVVFV
        VLVVTVKFVVNVWBUVGVVGVXBVVFVKFVVNVWBVVGVVHVVNVQVVPVWBVQWDZWDAVVHVVPTXRZV
        XBVVFYMAVUOVXCUVHVVGVXCVXDVXCVVHVVPVVNVWBYAZXRVVGVXDVVHVVPVVNVWBYEVVGVX
        ETVVHVVPAVUOVXETWBZADVLZEVLZUXAXRZVXGPVMZUWHVMZUCVMZVXHPVMZUWHVMZUCVMZY
        AZTWBZYMZEYODYOZVUOVXFYMZVGVXSVXTYMVHVIVXRVXTDEUYFVUNYPYPVXGUYFWCZVXHVU
        NWCZWDZVXIVUOVXQVXFVXGUYFVXHVUNUXAYNVYCVXPVXETVYCVXLVVNVXOVWBVYCVXKVVMU
        CVYCVXJVUQUWHVYCVXGUYFPVYAVYBYQYFYFYFVYCVXNVWAUCVYCVXMVVBUWHVYCVXHVUNPV
        YAVYBYRYFYFYFUVIUVJUVKUVLUVMWAYDYBYSYDAVXDVVLVVTVVFAVXDVVLVVTVVFABVLZCV
        LZTXRZVUPVYDPVMZKVMZUCVMZVQZVVAVYEPVMZKVMZUCVMZVQZWHZWDZVVFYMAVXDVVLVVT
        WHZWDZVVFYMBCVVHVVPVKYTFYTVYDVVHWCZVYEVVPWCZWDZVYPVYRVVFWUAVYOVYQAWUAVY
        FVXDVYJVVLVYNVVTVYDVVHVYEVVPTYNWUAVYIVVKVUPWUAVYHVVJUCWUAVYGVVIKWUAVYDV
        VHPVYSVYTYQYFYFYFYJWUAVYMVVSVVAWUAVYLVVRUCWUAVYKVVQKWUAVYEVVPPVYSVYTYRY
        FYFYFYJUVNUVOUVPVCUVRUVQUVSXCUVTYSUWAUWBUWCUWDUWEAKOXEUWMUWNUWPWDXLAOOK
        UYNXGOUWIUWKKXPWAUWF $.
    $}

    $d m o p s w z ph $.
    $( The closure is closed under application of provable pre-statements.
       (Compare ~ mclsax .)  This theorem is what justifies the treatment of
       theorems as "equivalent" to axioms once they have been proven: the
       composition of one theorem in the proof of another yields a theorem.
       (Contributed by Mario Carneiro, 18-Jul-2016.) $)
    mclspps $p |- ( ph -> ( S ` P ) e. ( K C B ) ) $=
      ( vz vw vm vo vs vp wfn ccnv co cima wcel cfv crn msubf syl ffnd cmax wss
      wf wceq cfn cotp cmpst w3a eqid mppspst sselid elmpst sylib simp1d simpld
      wa simp2d cv wral ralrimiva wfun wb ffund fdmd sseqtrrd funimass5 syl2anc
      cdm mpbird cmfs mvhf ffvelrnda elpreima adantr mpbir2and cun wbr 3ad2ant1
      cxp wi wal 3ad2antl1 simp21 simp22 simp23 simp3 mclsppslem mclsind elmpps
      simprbi sseldd simplbda ) AIKVDZHIVENEFVFZVGZVHZHIVIYGVHZAKKIAIOVJZVHZKKI
      VPUNOJKIUIUCVKVLZVMZAPQFVFZYHHAURUSDJVNVIZQFGYHJUTVAKLPORSVBVCUBUCUDUEAPG
      VOZPVEPVQZAYQYRWIZQKVOZQVRVHZWIZHKVHZAPQHVSZJVTVIZVHZYSUUBUUCWAAMUUEUUDUU
      EJMUUEWBZUHWCUMWDHPUUEJKQGUBUCUUGWEWFZWGWHAYTUUAAYSUUBUUCUUHWJWHZYPWBUIUJ
      UKULAQYHVOZBWKZIVIYGVHZBQWLZAUULBQUOWMAIWNQIXAZVOUUJUUMWOAKKIYMWPAQKUUNUU
      IAKKIYMWQWRBQYGIWSWTXBADWKZRVHZWIUUOLVIZYHVHZUUQKVHZUUQIVIYGVHZARKUUOLAJX
      CVHZRKLVPUEJKLRUJUCUKXDVLXEUPAUURUUSUUTWIWOZUUPAYFUVBYNKUUQYGIXFVLXGXHAUT
      WKZVAWKZVCWKVSYPVHZVBWKZYKVHZUVFUVDLVJXIVGYHVOZWAZURWKZUSWKZUVCXJUVJLVIUV
      FVISVIUVKLVIUVFVISVIXLPVOXMUSXNURXNZWABCURUSDEFGHIJUTVAKLMNOPQRSVBVCTUAUB
      UCUDAUVIUVAUVLUEXKAUVINGVOUVLUFXKAUVIEKVOUVLUGXKUHUIUJUKULAUVIUUDMVHZUVLU
      MXKAUVIYLUVLUNXKAUVIUUKQVHUULUVLUOXOAUVIUUPUUTUVLUPXOAUVIUUKCWKZPXJTWKZUU
      KLVIIVISVIVHUAWKZUVNLVIIVISVIVHWAUVOUVPNXJUVLUQXOAUVEUVGUVHUVLXPAUVEUVGUV
      HUVLXQAUVEUVGUVHUVLXRAUVIUVLXSXTYAAUVMHYOVHZUMUVMUUFUVQHFPUUEJQMUUGUHUDYB
      YCVLYDYFYIUUCYJKHYGIXFYEWT $.
  $}

  $(
  @{
    mthmco.d @e |- D = ( mDV ` T ) @.
    mthmco.e @e |- E = ( mEx ` T ) @.
    mthmco.1 @e |- ( ph -> T e. mFS ) @.
    mthmco.2 @e |- ( ph -> K C_ D ) @.
    mthmco.3 @e |- ( ph -> B C_ E ) @.
    mthmco.j @e |- U = ( mThm ` T ) @.
    mthmco.l @e |- L = ( mSubst ` T ) @.
    mthmco.v @e |- V = ( mVR ` T ) @.
    mthmco.h @e |- H = ( mVH ` T ) @.
    mthmco.w @e |- W = ( mVars ` T ) @.
    mthmco.4 @e |- ( ph -> <. M , O , P >. e. U ) @.
    mthmco.5 @e |- ( ph -> S e. ran L ) @.
    mthmco.6 @e |- ( ( ph /\ x e. O ) ->
      <. K , B , ( S ` x ) >. e. U ) @.
    mthmco.7 @e |- ( ( ph /\ v e. V ) ->
      <. K , B , ( S ` ( H ` v ) ) >. e. U ) @.
    mthmco.8 @e |- ( ( ph /\ ( x M y /\ a e. ( W ` ( S ` ( H ` x ) ) ) /\
      b e. ( W ` ( S ` ( H ` y ) ) ) ) ) -> a K b ) @.
    @( The application of a theorem to a collection of theorems is a theorem.
       (Compare ~ mclsax .)  This is what justifies the treatment of
       theorems as "equivalent" to axioms once they have been proven: the
       composition of one theorem in the proof of another yields a theorem.

       This theorem has a similar statement to ~ mclspps , but deals with the
       elimination of dummy variables instead of raw composition. The
       assumption ~ mfsinf that there are enough variables of each type is
       essential for this proof. @)
    mthmco @p |- ( ph -> <. K , B , ( S ` P ) >. e. U ) @=
      ? @.
  @}
  $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Grammatical formal systems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c m0St $.
  $c mSA $.
  $c mWGFS $.
  $c mSyn $.
  $c mESyn $.
  $c mGFS $.
  $c mTree $.
  $c mST $.
  $c mSAX $.
  $c mUFS $.

  $( Mapping expressions to statements. $)
  cm0s $a class m0St $.

  $( The set of syntax axioms. $)
  cmsa $a class mSA $.

  $( The set of weakly grammatical formal systems. $)
  cmwgfs $a class mWGFS $.

  $( The syntax typecode function. $)
  cmsy $a class mSyn $.

  $( The syntax typecode function for expressions. $)
  cmesy $a class mESyn $.

  $( The set of grammatical formal systems. $)
  cmgfs $a class mGFS $.

  $( The set of proof trees. $)
  cmtree $a class mTree $.

  $( The set of syntax trees. $)
  cmst $a class mST $.

  $( The indexing set for a syntax axiom. $)
  cmsax $a class mSAX $.

  $( The set of unambiguous formal sytems. $)
  cmufs $a class mUFS $.

  $( Define a function mapping expressions to statements.  (Contributed by
     Mario Carneiro, 14-Jul-2016.) $)
  df-m0s $a |- m0St = ( a e. _V |-> <. (/) , (/) , a >. ) $.

  ${
    $d a c d e h m o p r s t x y $.
    $( Define the set of syntax axioms.  (Contributed by Mario Carneiro,
       14-Jul-2016.) $)
    df-msa $a |- mSA = ( t e. _V |-> { a e. ( mEx ` t ) |
      ( ( m0St ` a ) e. ( mAx ` t ) /\ ( 1st ` a ) e. ( mVT ` t ) /\
        Fun ( `' ( 2nd ` a ) |` ( mVR ` t ) ) ) } ) $.

    $( Define the set of weakly grammatical formal systems.  (Contributed by
       Mario Carneiro, 14-Jul-2016.) $)
    df-mwgfs $a |- mWGFS = { t e. mFS | A. d A. h A. a
      ( ( <. d , h , a >. e. ( mAx ` t ) /\ ( 1st ` a ) e. ( mVT ` t ) ) ->
        E. s e. ran ( mSubst ` t ) a e. ( s " ( mSA ` t ) ) ) } $.

    $( Define the syntax typecode function.  (Contributed by Mario Carneiro,
       14-Jul-2016.) $)
    df-msyn $a |- mSyn = Slot 6 $.

    $( Define the syntax typecode function for expressions.  (Contributed by
       Mario Carneiro, 12-Jun-2023.) $)
    df-mesyn $a |- mESyn = ( t e. _V |->
      ( c e. ( mTC ` t ) , e e. ( mREx ` t ) |->
        ( ( ( mSyn ` t ) ` c ) m0St e ) ) ) $.

    $( Define the set of grammatical formal systems.  (Contributed by Mario
       Carneiro, 12-Jun-2023.) $)
    df-mgfs $a |- mGFS = { t e. mWGFS |
      ( ( mSyn ` t ) : ( mTC ` t ) --> ( mVT ` t ) /\
        A. c e. ( mVT ` t ) ( ( mSyn ` t ) ` c ) = c /\
        A. d A. h A. a ( <. d , h , a >. e. ( mAx ` t ) ->
          A. e e. ( h u. { a } )
            ( ( mESyn ` t ) ` e ) e. ( mPPSt ` t ) ) ) } $.

    $( Define the set of proof trees.  (Contributed by Mario Carneiro,
       14-Jul-2016.) $)
    df-mtree $a |- mTree = ( t e. _V |->
      ( d e. ~P ( mDV ` t ) , h e. ~P ( mEx ` t ) |->
        |^| { r | ( A. e e. ran ( mVH ` t ) e r <. ( m0St ` e ) , (/) >. /\
          A. e e. h e r <. ( ( mStRed ` t ) ` <. d , h , e >. ) , (/) >. /\
        A. m A. o A. p ( <. m , o , p >. e. ( mAx ` t ) ->
            A. s e. ran ( mSubst ` t ) ( A. x A. y ( x m y ->
        ( ( ( mVars ` t ) ` ( s ` ( ( mVH ` t ) ` x ) ) ) X.
          ( ( mVars ` t ) ` ( s ` ( ( mVH ` t ) ` y ) ) ) ) C_ d ) ->
           ( { ( s ` p ) } X. X_ e e. ( o u. ( ( mVH ` t ) "
        U. ( ( mVars ` t ) " ( o u. { p } ) ) ) ) ( r " { ( s ` e ) } ) ) C_ r
      ) ) ) } ) ) $.

    $( Define the function mapping syntax expressions to syntax trees.
       (Contributed by Mario Carneiro, 14-Jul-2016.) $)
    df-mst $a |- mST = ( t e. _V |->
      ( ( (/) ( mTree ` t ) (/) ) |` ( ( mEx ` t ) |` ( mVT ` t ) ) ) ) $.

    $( Define the indexing set for a syntax axiom's representation in a tree.
       (Contributed by Mario Carneiro, 14-Jul-2016.) $)
    df-msax $a |- mSAX = ( t e. _V |->
      ( p e. ( mSA ` t ) |-> ( ( mVH ` t ) " ( ( mVars ` t ) ` p ) ) ) ) $.
  $}

  $( Define the set of unambiguous formal systems.  (Contributed by Mario
     Carneiro, 14-Jul-2016.) $)
  df-mufs $a |- mUFS = { t e. mGFS | Fun ( mST ` t ) } $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Models of formal systems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c mUV $.
  $c mVL $.
  $c mVSubst $.
  $c mFresh $.
  $c mFRel $.
  $c mEval $.
  $c mMdl $.
  $c mUSyn $.
  $c mGMdl $.
  $c mItp $.
  $c mFromItp $.

  $( The universe of a model. $)
  cmuv $a class mUV $.

  $( The set of valuations. $)
  cmvl $a class mVL $.

  $( Substitution for a valuation. $)
  cmvsb $a class mVSubst $.

  $( The freshness relation of a model. $)
  cmfsh $a class mFresh $.

  $( The set of freshness relations. $)
  cmfr $a class mFRel $.

  $( The evaluation function of a model. $)
  cmevl $a class mEval $.

  $( The set of models. $)
  cmdl $a class mMdl $.

  $( The syntax function applied to elements of the model. $)
  cusyn $a class mUSyn $.

  $( The set of models in a grammatical formal system. $)
  cgmdl $a class mGMdl $.

  $( The interpretation function of the model. $)
  cmitp $a class mItp $.

  $( The evaluation function derived from the interpretation. $)
  cmfitp $a class mFromItp $.

  $( Define the universe of a model.  (Contributed by Mario Carneiro,
     14-Jul-2016.) $)
  df-muv $a |- mUV = Slot 7 $.

  $( Define the freshness relation of a model.  (Contributed by Mario Carneiro,
     14-Jul-2016.) $)
  df-mfsh $a |- mFresh = Slot ; 1 9 $.

  $( Define the evaluation function of a model.  (Contributed by Mario
     Carneiro, 14-Jul-2016.) $)
  df-mevl $a |- mEval = Slot ; 2 0 $.

  ${
    $d a c d e f g h i m n p r s t u v w x y z $.
    $( Define the set of valuations.  (Contributed by Mario Carneiro,
       14-Jul-2016.) $)
    df-mvl $a |- mVL = ( t e. _V |-> X_ v e. ( mVR ` t )
      ( ( mUV ` t ) " { ( ( mType ` t ) ` v ) } ) ) $.

    $( Define substitution applied to a valuation.  (Contributed by Mario
       Carneiro, 14-Jul-2016.) $)
    df-mvsb $a |- mVSubst = ( t e. _V |-> { <. <. s , m >. , x >. |
      ( ( s e. ran ( mSubst ` t ) /\ m e. ( mVL ` t ) ) /\
         A. v e. ( mVR ` t ) m dom ( mEval ` t ) ( s ` ( ( mVH ` t ) ` v ) ) /\
      x = ( v e. ( mVR ` t ) |->
        ( m ( mEval ` t ) ( s ` ( ( mVH ` t ) ` v ) ) ) ) ) } ) $.

    $( Define the set of freshness relations.  (Contributed by Mario Carneiro,
       14-Jul-2016.) $)
    df-mfrel $a |- mFRel = ( t e. _V |->
      { r e. ~P ( ( mUV ` t ) X. ( mUV ` t ) ) | ( `' r = r /\
        A. c e. ( mVT ` t ) A. w e. ( ~P ( mUV ` t ) i^i Fin )
          E. v e. ( ( mUV ` t ) " { c } ) w C_ ( r " { v } ) ) } ) $.

    $( Define the set of models of a formal system.  (Contributed by Mario
       Carneiro, 14-Jul-2016.) $)
    df-mdl $a |- mMdl = { t e. mFS |
      [. ( mUV ` t ) / u ]. [. ( mEx ` t ) / x ].
      [. ( mVL ` t ) / v ]. [. ( mEval ` t ) / n ]. [. ( mFresh ` t ) / f ].
   ( ( u C_ ( ( mTC ` t ) X. _V ) /\ f e. ( mFRel ` t ) /\
       n e. ( u ^pm ( v X. ( mEx ` t ) ) ) ) /\ A. m e. v
  ( ( A. e e. x ( n " { <. m , e >. } ) C_ ( u " { ( 1st ` e ) } ) /\
      A. y e. ( mVR ` t ) <. m , ( ( mVH ` t ) ` y ) >. n ( m ` y ) /\
      A. d A. h A. a ( <. d , h , a >. e. ( mAx ` t ) ->
        ( ( A. y A. z ( y d z -> ( m ` y ) f ( m ` z ) ) /\
            h C_ ( dom n " { m } ) ) -> m dom n a ) ) ) /\
    ( A. s e. ran ( mSubst ` t ) A. e e. ( mEx ` t )
        A. y ( <. s , m >. ( mVSubst ` t ) y ->
        ( n " { <. m , ( s ` e ) >. } ) = ( n " { <. y , e >. } ) ) /\
      A. p e. v A. e e. x
        ( ( m |` ( ( mVars ` t ) ` e ) ) = ( p |` ( ( mVars ` t ) ` e ) ) ->
          ( n " { <. m , e >. } ) = ( n " { <. p , e >. } ) ) /\
      A. y e. u A. e e. x ( ( m " ( ( mVars ` t ) ` e ) ) C_ ( f " { y } ) ->
          ( n " { <. m , e >. } ) C_ ( f " { y } ) ) ) ) ) } $.

    $( Define the syntax typecode function for the model universe.
       (Contributed by Mario Carneiro, 14-Jul-2016.) $)
    df-musyn $a |- mUSyn = ( t e. _V |-> ( v e. ( mUV ` t ) |->
      <. ( ( mSyn ` t ) ` ( 1st ` v ) ) , ( 2nd ` v ) >. ) ) $.

    $( Define the set of models of a grammatical formal system.  (Contributed
       by Mario Carneiro, 14-Jul-2016.) $)
    df-gmdl $a |- mGMdl = { t e. ( mGFS i^i mMdl ) |
     ( A. c e. ( mTC ` t ) ( ( mUV ` t ) " { c } ) C_
          ( ( mUV ` t ) " { ( ( mSyn ` t ) ` c ) } ) /\
       A. v e. ( mUV ` c ) A. w e. ( mUV ` c ) ( v ( mFresh ` t ) w <->
          v ( mFresh ` t ) ( ( mUSyn ` t ) ` w ) ) /\
       A. m e. ( mVL ` t ) A. e e. ( mEx ` t )
          ( ( mEval ` t ) " { <. m , e >. } ) =
          ( ( ( mEval ` t ) " { <. m , ( ( mESyn ` t ) ` e ) >. } ) i^i
            ( ( mUV ` t ) " { ( 1st ` e ) } ) ) ) } $.

    $( Define the interpretation function for a model.  (Contributed by Mario
       Carneiro, 14-Jul-2016.) $)
    df-mitp $a |- mItp = ( t e. _V |-> ( a e. ( mSA ` t ) |->
      ( g e. X_ i e. ( ( mVars ` t ) ` a )
          ( ( mUV ` t ) " { ( ( mType ` t ) ` i ) } ) |->
        ( iota x E. m e. ( mVL ` t ) ( g = ( m |` ( ( mVars ` t ) ` a ) ) /\
          x = ( m ( mEval ` t ) a ) ) ) ) ) ) $.

    $( Define a function that produces the evaluation function, given the
       interpretation function for a model.  (Contributed by Mario Carneiro,
       14-Jul-2016.) $)
    df-mfitp $a |- mFromItp = ( t e. _V |-> ( f e. X_ a e. ( mSA ` t )
    ( ( ( mUV ` t ) " { ( ( 1st ` t ) ` a ) } ) ^m
        X_ i e. ( ( mVars ` t ) ` a )
          ( ( mUV ` t ) " { ( ( mType ` t ) ` i ) } ) ) |->
    ( iota_ n e. ( ( mUV ` t ) ^pm ( ( mVL ` t ) X. ( mEx ` t ) ) )
      A. m e. ( mVL ` t )
        ( A. v e. ( mVR ` t ) <. m , ( ( mVH ` t ) ` v ) >. n ( m ` v ) /\
          A. e A. a A. g ( e ( mST ` t ) <. a , g >. ->
            <. m , e >. n ( f ` ( i e. ( ( mVars ` t ) ` a ) |->
              ( m n ( g ` ( ( mVH ` t ) ` i ) ) ) ) ) ) /\
          A. e e. ( mEx ` t ) ( n " { <. m , e >. } ) =
            ( ( n " { <. m , ( ( mESyn ` t ) ` e ) >. } ) i^i
              ( ( mUV ` t ) " { ( 1st ` e ) } ) ) ) ) ) ) $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Splitting fields
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c IntgRing $. $( Integral subring of a ring $)
  $c cplMetSp $. $( Completion of a metric space $)
  $c HomLimB $. $( Direct limit auxiliaries $)
  $c HomLim $. $( Direct limit structure $)
  $c polyFld $. $( Polynomial extension field $)
  $c splitFld1 $. $( Splitting field for a polynomial auxiliary $)
  $c splitFld $. $( Splitting field for a polynomial $)
  $c polySplitLim $. $( Splitting field for a sequence of polynomials $)

  $( Integral subring of a ring. $)
  citr $a class IntgRing $.

  $( Completion of a metric space. $)
  ccpms $a class cplMetSp $.

  $( Embeddings for a direct limit. $)
  chlb $a class HomLimB $.

  $( Direct limit structure. $)
  chlim $a class HomLim $.

  $( Polynomial extension field. $)
  cpfl $a class polyFld $.

  $( Splitting field for a single polynomial (auxiliary). $)
  csf1 $a class splitFld1 $.

  $( Splitting field for a finite set of polynomials. $)
  csf $a class splitFld $.

  $( Splitting field for a sequence of polynomials. $)
  cpsl $a class polySplitLim $.

  ${
    $d b e f g h i j m n p q r s t v w x y z $.
    $( Define the subring of elements of ` r ` integral over ` s ` in a ring.
       (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    df-irng $a |- IntgRing = ( r e. _V , s e. _V |->
      U_ f e. ( Monic1p ` ( r |`s s ) ) ( `' f " { ( 0g ` r ) } ) ) $.

    $( A function which completes the given metric space.  (Contributed by
       Mario Carneiro, 2-Dec-2014.) $)
    df-cplmet $a |- cplMetSp = ( w e. _V |->
      [_ ( ( w ^s NN ) |`s ( Cau ` ( dist ` w ) ) ) / r ]_
      [_ ( Base ` r ) / v ]_ [_ { <. f , g >. | ( { f , g } C_ v /\
        A. x e. RR+ E. j e. ZZ ( f |` ( ZZ>= ` j ) ) :
          ( ZZ>= ` j ) --> ( ( g ` j ) ( ball ` ( dist ` w ) ) x ) ) } / e ]_
      ( ( r /s e ) sSet { <. ( dist ` ndx ) , { <. <. x , y >. , z >. |
        E. p e. v E. q e. v ( ( x = [ p ] e /\ y = [ q ] e ) /\
          ( p oF ( dist ` r ) q ) ~~> z ) } >. } ) ) $.

    $( The input to this function is a sequence (on ` NN ` ) of homomorphisms
       ` F ( n ) : R ( n ) --> R ( n + 1 ) ` .  The resulting structure is the
       direct limit of the direct system so defined.  This function returns the
       pair ` <. S , G >. ` where ` S ` is the terminal object and ` G ` is a
       sequence of functions such that ` G ( n ) : R ( n ) --> S ` and
       ` G ( n ) = F ( n ) o. G ( n + 1 ) ` .  (Contributed by Mario Carneiro,
       2-Dec-2014.) $)
    df-homlimb $a |- HomLimB = ( f e. _V |->
     [_ U_ n e. NN ( { n } X. dom ( f ` n ) ) / v ]_
     [_ |^| { s | ( s Er v /\ ( x e. v |-> <. ( ( 1st ` x ) + 1 ) ,
          ( ( f ` ( 1st ` x ) ) ` ( 2nd ` x ) ) >. ) C_ s ) } / e ]_
    <. ( v /. e ) , ( n e. NN |->
       ( x e. dom ( f ` n ) |-> [ <. n , x >. ] e ) ) >. ) $.

    $( The input to this function is a sequence (on ` NN ` ) of structures
       ` R ( n ) ` and homomorphisms ` F ( n ) : R ( n ) --> R ( n + 1 ) ` .
       The resulting structure is the direct limit of the direct system so
       defined, and maintains any structures that were present in the original
       objects.  TODO: generalize to directed sets?  (Contributed by Mario
       Carneiro, 2-Dec-2014.) $)
    df-homlim $a |- HomLim = ( r e. _V , f e. _V |->
     [_ ( HomLimB ` f ) / e ]_ [_ ( 1st ` e ) / v ]_ [_ ( 2nd ` e ) / g ]_
    ( { <. ( Base ` ndx ) , v >. ,
        <. ( +g ` ndx ) , U_ n e. NN ran ( x e. dom ( g ` n ) ,
        y e. dom ( g ` n ) |-> <. <. ( ( g ` n ) ` x ) , ( ( g ` n ) ` y ) >. ,
          ( ( g ` n ) ` ( x ( +g ` ( r ` n ) ) y ) ) >. ) >. ,
        <. ( .r ` ndx ) , U_ n e. NN ran ( x e. dom ( g ` n ) ,
        y e. dom ( g ` n ) |-> <. <. ( ( g ` n ) ` x ) , ( ( g ` n ) ` y ) >. ,
          ( ( g ` n ) ` ( x ( .r ` ( r ` n ) ) y ) ) >. ) >. } u.
      { <. ( TopOpen ` ndx ) , { s e. ~P v |
           A. n e. NN ( `' ( g ` n ) " s ) e. ( TopOpen ` ( r ` n ) ) } >. ,
        <. ( dist ` ndx ) , U_ n e. NN ran ( x e. dom ( ( g ` n ) ` n ) ,
        y e. dom ( ( g ` n ) ` n ) |-> <. <. ( ( g ` n ) ` x ) ,
             ( ( g ` n ) ` y ) >. , ( x ( dist ` ( r ` n ) ) y ) >. ) >. ,
        <. ( le ` ndx ) , U_ n e. NN ( `' ( g ` n ) o.
           ( ( le ` ( r ` n ) ) o. ( g ` n ) ) ) >. } ) ) $.

    $( Define the field extension that augments a field with the root of the
       given irreducible polynomial, and extends the norm if one exists and the
       extension is unique.  (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    df-plfl $a |- polyFld = ( r e. _V , p e. _V |-> [_ ( Poly1 ` r ) / s ]_
      [_ ( ( RSpan ` s ) ` { p } ) / i ]_
      [_ ( z e. ( Base ` r ) |->
           [ ( z ( .s ` s ) ( 1r ` s ) ) ] ( s ~QG i ) ) / f ]_
      <. [_ ( s /s ( s ~QG i ) ) / t ]_ ( ( t toNrmGrp ( iota_ n e.
        ( AbsVal ` t ) ( n o. f ) = ( norm ` r ) ) ) sSet <. ( le ` ndx ) ,
          [_ ( z e. ( Base ` t ) |->
            ( iota_ q e. z ( r deg1 q ) < ( r deg1 p ) ) ) / g ]_
          ( `' g o. ( ( le ` s ) o. g ) ) >. ) , f >. ) $.

    $( Temporary construction for the splitting field of a polynomial.  The
       inputs are a field ` r ` and a polynomial ` p ` that we want to split,
       along with a tuple ` j ` in the same format as the output.  The output
       is a tuple ` <. S , F >. ` where ` S ` is the splitting field and ` F `
       is an injective homomorphism from the original field ` r ` .

       The function works by repeatedly finding the smallest monic irreducible
       factor, and extending the field by that factor using the ` polyFld `
       construction.  We keep track of a total order in each of the splitting
       fields so that we can pick an element definably without needing global
       choice.  (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    df-sfl1 $a |- splitFld1 = ( r e. _V , j e. _V |-> ( p e. ( Poly1 ` r ) |->
        ( rec ( ( s e. _V , f e. _V |-> [_ ( mPoly ` s ) / m ]_
        [_ { g e. ( ( Monic1p ` s ) i^i ( Irred ` m ) ) |
             ( g ( ||r ` m ) ( p o. f ) /\ 1 < ( s deg1 g ) ) } / b ]_
        if ( ( ( p o. f ) = ( 0g ` m ) \/ b = (/) ) , <. s , f >. ,
          [_ ( glb ` b ) / h ]_ [_ ( s polyFld h ) / t ]_
          <. ( 1st ` t ) , ( f o. ( 2nd ` t ) ) >. ) ) , j ) `
        ( card ` ( 1 ... ( r deg1 p ) ) ) ) ) ) $.

    $( Define the splitting field of a finite collection of polynomials, given
       a total ordered base field.  The output is a tuple ` <. S , F >. ` where
       ` S ` is the totally ordered splitting field and ` F ` is an injective
       homomorphism from the original field ` r ` .  (Contributed by Mario
       Carneiro, 2-Dec-2014.) $)
    df-sfl $a |- splitFld = ( r e. _V , p e. _V |->
        ( iota x E. f ( f Isom < , ( lt ` r ) ( ( 1 ... ( # ` p ) ) , p ) /\
          x = ( seq 0 ( ( e e. _V , g e. _V |->
            ( ( r splitFld1 e ) ` g ) ) , ( f u.
        { <. 0 , <. r , ( _I |` ( Base ` r ) ) >. >. } ) ) `
          ( # ` p ) ) ) ) ) $.

    $( Define the direct limit of an increasing sequence of fields produced by
       pasting together the splitting fields for each sequence of polynomials.
       That is, given a ring ` r ` , a strict order on ` r ` , and a sequence
       ` p : NN --> ( ~P r i^i Fin ) ` of finite sets of polynomials to split,
       we construct the direct limit system of field extensions by splitting
       one set at a time and passing the resulting construction to ` HomLim ` .
       (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    df-psl $a |- polySplitLim = ( r e. _V ,
      p e. ( ( ~P ( Base ` r ) i^i Fin ) ^m NN ) |->
    [_ ( 1st o. seq 0 ( ( g e. _V , q e. _V |->
      [_ ( 1st ` g ) / e ]_ [_ ( 1st ` e ) / s ]_
      [_ ( s splitFld ran ( x e. q |-> ( x o. ( 2nd ` g ) ) ) ) / f ]_
        <. f , ( ( 2nd ` g ) o. ( 2nd ` f ) ) >. ) ,
        ( p u. { <. 0 , <. <. r , (/) >. ,
          ( _I |` ( Base ` r ) ) >. >. } ) ) ) / f ]_
      ( ( 1st o. ( f shift 1 ) ) HomLim ( 2nd o. f ) ) ) $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  <i>p</i>-adic number fields
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c ZRing $. $( Integral elements of a ring $)
  $c GF $. $( Galois finite field $)
  $c GF_oo $. $( Galois limit field $)
  $c ~Qp $. $( Equivalence relation for Qp $)
  $c /Qp $. $( Representative of equivalence relation $)
  $c Qp $. $( p-adic rational numbers $)
  $c Zp $. $( p-adic integers $)
  $c _Qp $. $( Algebraic completion of Qp $)
  $c Cp $. $( Metric completion of _Qp $)

  $( Integral elements of a ring. $)
  czr $a class ZRing $.

  $( Galois finite field. $)
  cgf $a class GF $.

  $( Galois limit field. $)
  cgfo $a class GF_oo $.

  $( Equivalence relation for ~ df-qp . $)
  ceqp $a class ~Qp $.

  $( Equivalence relation representatives for ~ df-qp . $)
  crqp $a class /Qp $.

  $( The set of ` p ` -adic rational numbers. $)
  cqp $a class Qp $.

  $( The set of ` p ` -adic integers.  (Not to be confused with ~ czn .) $)
  czp $a class Zp $.

  $( Algebraic completion of the ` p ` -adic rational numbers. $)
  cqpa $a class _Qp $.

  $( Metric completion of ` _Qp ` . $)
  ccp $a class Cp $.

  ${
    $d b d f g h k n p r s x y $.
    $( Define the subring of integral elements in a ring.  (Contributed by
       Mario Carneiro, 2-Dec-2014.) $)
    df-zrng $a |- ZRing = ( r e. _V |->
      ( r IntgRing ran ( ZRHom ` r ) ) ) $.

    $( Define the Galois finite field of order ` p ^ n ` .  (Contributed by
       Mario Carneiro, 2-Dec-2014.) $)
    df-gf $a |- GF = ( p e. Prime , n e. NN |-> [_ ( Z/nZ ` p ) / r ]_
    ( 1st ` ( r splitFld { [_ ( Poly1 ` r ) / s ]_ [_ ( var1 ` r ) / x ]_
        ( ( ( p ^ n ) ( .g ` ( mulGrp ` s ) ) x ) ( -g ` s ) x ) } ) ) ) $.

    $( Define the Galois field of order ` p ^ +oo ` , as a direct limit of the
       Galois finite fields.  (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    df-gfoo $a |- GF_oo = ( p e. Prime |-> [_ ( Z/nZ ` p ) / r ]_
      ( r polySplitLim ( n e. NN |->
      { [_ ( Poly1 ` r ) / s ]_ [_ ( var1 ` r ) / x ]_
        ( ( ( p ^ n ) ( .g ` ( mulGrp ` s ) ) x ) ( -g ` s ) x ) } ) ) ) $.

    $( Define an equivalence relation on ` ZZ ` -indexed sequences of integers
       such that two sequences are equivalent iff the difference is equivalent
       to zero, and a sequence is equivalent to zero iff the sum
       ` sum_ k <_ n f ( k ) ( p ^ k ) ` is a multiple of ` p ^ ( n + 1 ) ` for
       every ` n ` .  (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    df-eqp $a |- ~Qp = ( p e. Prime |->
      { <. f , g >. | ( { f , g } C_ ( ZZ ^m ZZ ) /\
       A. n e. ZZ sum_ k e. ( ZZ>= ` -u n ) ( ( ( f ` -u k ) - ( g ` -u k ) ) /
        ( p ^ ( k + ( n + 1 ) ) ) ) e. ZZ ) } ) $.

    $( There is a unique element of ` ( ZZ ^m ( 0 ... ( p - 1 ) ) ) ` ` ~Qp `
       -equivalent to any element of ` ( ZZ ^m ZZ ) ` , if the sequences are
       zero for sufficiently large negative values; this function selects that
       element.  (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    df-rqp $a |- /Qp = ( p e. Prime |-> ( ~Qp i^i [_ { f e. ( ZZ ^m ZZ ) |
      E. x e. ran ZZ>= ( `' f " ( ZZ \ { 0 } ) ) C_ x } / y ]_
        ( y X. ( y i^i ( ZZ ^m ( 0 ... ( p - 1 ) ) ) ) ) ) ) $.

    $( Define the ` p ` -adic completion of the rational numbers, as a normed
       field structure with a total order (that is not compatible with the
       operations).  (Contributed by Mario Carneiro, 2-Dec-2014.)  (Revised by
       AV, 10-Oct-2021.) $)
    df-qp $a |- Qp = ( p e. Prime |->
        [_ { h e. ( ZZ ^m ( 0 ... ( p - 1 ) ) ) |
          E. x e. ran ZZ>= ( `' h " ( ZZ \ { 0 } ) ) C_ x } / b ]_
  ( ( { <. ( Base ` ndx ) , b >. ,
        <. ( +g ` ndx ) ,
          ( f e. b , g e. b |-> ( ( /Qp ` p ) ` ( f oF + g ) ) ) >. ,
        <. ( .r ` ndx ) ,
          ( f e. b , g e. b |-> ( ( /Qp ` p ) ` ( n e. ZZ |->
           sum_ k e. ZZ ( ( f ` k ) x. ( g ` ( n - k ) ) ) ) ) ) >. } u.
      { <. ( le ` ndx ) , { <. f , g >. | ( { f , g } C_ b /\
        sum_ k e. ZZ ( ( f ` -u k ) x. ( ( p + 1 ) ^ -u k ) ) <
        sum_ k e. ZZ ( ( g ` -u k ) x. ( ( p + 1 ) ^ -u k ) ) ) } >. } )
        toNrmGrp ( f e. b |-> if ( f = ( ZZ X. { 0 } ) , 0 ,
        ( p ^ -u inf ( ( `' f " ( ZZ \ { 0 } ) ) , RR , < ) ) ) ) ) ) $.

    $( Define the ` p ` -adic integers, as a subset of the ` p ` -adic
       rationals.  (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    df-zp $a |- Zp = ( ZRing o. Qp ) $.

    $( Define the completion of the ` p ` -adic rationals.  Here we simply
       define it as the splitting field of a dense sequence of polynomials
       (using as the ` n ` -th set the collection of polynomials with degree
       less than ` n ` and with coefficients ` < ( p ^ n ) ` ).  Krasner's
       lemma will then show that all monic polynomials have splitting fields
       isomorphic to a sufficiently close Eisenstein polynomial from the list,
       and unramified extensions are generated by the polynomial
       ` x ^ ( p ^ n ) - x ` , which is in the list.  Thus, every finite
       extension of ` Qp ` is a subfield of this field extension, so it is
       algebraically closed.  (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    df-qpa $a |- _Qp = ( p e. Prime |-> [_ ( Qp ` p ) / r ]_
      ( r polySplitLim ( n e. NN |-> { f e. ( Poly1 ` r ) |
        ( ( r deg1 f ) <_ n /\ A. d e. ran ( coe1 ` f )
          ( `' d " ( ZZ \ { 0 } ) ) C_ ( 0 ... n ) ) } ) ) ) $.

    $( Define the metric completion of the algebraic completion of the ` p `
       -adic rationals.  (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    df-cp $a |- Cp = ( cplMetSp o. _Qp ) $.
  $}

  $( TODO list $)

  $( change *mpt2* -> *mpo* $)
  $( use more symbol variables like .+ $)
  $( Uniform spaces $)
  $( Characterization of perfectly normal spaces $)
  $( Hausdorff quotient $)
  $( add mpt2mptf, fmpt2i $)

$( (End of Mario Carneiro's mathbox.) $)
$( End $[ set-mbox-mc.mm $] $)


$( Begin $[ set-mbox-fc.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Filip Cernatescu
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  I hope someone will enjoy solving (proving) the simple equations,
  inequalities, and calculations from this mathbox.  I have proved these
  problems (theorems) using the Milpgame proof assistant.  (It can be
  downloaded from ~ https://us.metamath.org/other/milpgame/milpgame.html .)

$)

  $( Practice problem 1.  Clues: ~ 5p4e9 ~ 3p2e5 ~ eqtri ~ oveq1i .
     (Contributed by Filip Cernatescu, 16-Mar-2019.)
     (Proof modification is discouraged.) $)
  problem1 $p |- ( ( 3 + 2 ) + 4 ) = 9 $=
    ( c3 c2 caddc co c4 c5 c9 3p2e5 oveq1i 5p4e9 eqtri ) ABCDZECDFECDGLFECHIJK
    $.

  $( Practice problem 2.  Clues: ~ oveq12i ~ adddiri ~ add4i ~ mulcli ~ recni
     ~ 2re ~ 3eqtri ~ 10re ~ 5re ~ 1re ~ 4re ~ eqcomi ~ 5p4e9 ~ oveq1i ~ df-3 .
     (Contributed by Filip Cernatescu, 16-Mar-2019.)  (Revised by AV,
     9-Sep-2021.)  (Proof modification is discouraged.) $)
  problem2 $p |- ( ( ( 2 x. ; 1 0 ) + 5 ) + ( ( 1 x. ; 1 0 ) + 4 ) )
          = ( ( 3 x. ; 1 0 ) + 9 ) $=
    ( c2 c1 cc0 cdc cmul co c5 caddc c4 c9 c3 2re recni 10re mulcli 5re 1re 4re
    eqcomi oveq1i add4i adddiri 5p4e9 oveq12i df-3 3eqtri ) ABCDZEFZGHFBUGEFZIH
    FHFUHUIHFZGIHFZHFABHFZUGEFZJHFKUGEFZJHFUHGUIIAUGALMZUGNMZOGPMBUGBQMZUPOIRMU
    AUJUMUKJHUMUJABUGUOUQUPUBSUCUDUMUNJHULKUGEKULUESTTUF $.

  ${
    problem3.1 $e |- A e. CC $.
    problem3.2 $e |- ( A + 3 ) = 4 $.
    $( Practice problem 3.  Clues: ~ eqcomi ~ eqtri ~ subaddrii ~ recni ~ 4re
       ~ 3re ~ 1re ~ df-4 ~ addcomi .  (Contributed by Filip Cernatescu,
       16-Mar-2019.)  (Proof modification is discouraged.) $)
    problem3 $p |- A = 1 $=
      ( c1 c4 c3 cmin co 4re recni 3re 1re caddc eqcomi subaddrii addcomi eqtri
      df-4 ) DADEFGHZASDEFDEIJZFKJZDLJEFDMHRNONEFATUABFAMHAFMHEFAUABPCQOQN $.
  $}

  ${
    problem4.1 $e |- A e. CC $.
    problem4.2 $e |- B e. CC $.
    problem4.3 $e |- ( A + B ) = 3 $.
    problem4.4 $e |- ( ( 3 x. A ) + ( 2 x. B ) ) = 7 $.
    $( Practice problem 4.  Clues: ~ pm3.2i ~ eqcomi ~ eqtri ~ subaddrii
       ~ recni ~ 7re ~ 6re ~ ax-1cn ~ df-7 ~ ax-mp ~ oveq1i ~ 3cn ~ 2cn ~ df-3
       ~ mulid2i ~ subdiri ~ mp3an ~ mulcli ~ subadd23 ~ oveq2i ~ oveq12i
       ~ 3t2e6 ~ mulcomi ~ subcli ~ biimpri ~ subadd2i .  (Contributed by Filip
       Cernatescu, 16-Mar-2019.)  (Proof modification is discouraged.) $)
    problem4 $p |- ( A = 1 /\ B = 2 ) $=
      ( c1 wceq c2 c7 c6 cmin co caddc eqcomi c3 cmul 3cn 2cn eqtri ax-1cn df-7
      7re recni 6re subaddrii df-3 oveq1i mulid2i subdiri mulcli subadd23 mp3an
      cc wcel 3t2e6 mulcomi oveq12i subcli oveq2i subadd2i biimpri ax-mp pm3.2i
      ) AGHBIHGAGJKLMZAVEGJKGJUCUDZKUEUDZUAJKGNMUBOUFOAKNMZJHZVEAHZVHPAQMZIBQMZ
      NMZJVHVKIAQMZLMZKNMZVMAVOKNAPILMZAQMZVOVRAVRGAQMAVQGAQPIGRSUAPIGNMZUGOZUF
      UHACUITOPIARSCUJTUHVPVKKVNLMZNMZVMVKUNUOVNUNUOKUNUOVPWBHPARCUKIASCUKVGVKV
      NKULUMVMWBVLWAVKNWAVLWAPIQMZAIQMZLMZVLWEWAWCKWDVNLUPAICSUQUROWEPALMZIQMZV
      LWGWEPAIRCSUJOWGIWFQMZVLWHWGIWFSPARCUSUQOVLWHBWFIQWFBPABRCDEUFOZUTOTTTOUT
      OTTFTVJVIJKAVFVGCVAVBVCTOZBWFIWIWFPGLMZIAGPLWJUTVSPHZWKIHZVTWMWLPGIRUASVA
      VBVCTTVD $.
  $}

  ${
    problem5.1 $e |- A e. RR $.
    problem5.2 $e |- ( ( 2 x. A ) + 3 ) < 9 $.
    $( Practice problem 5.  Clues: ~ 3brtr3i ~ mpbi ~ breqtri ~ ltaddsubi
       ~ remulcli ~ 2re ~ 3re ~ 9re ~ eqcomi ~ mvlladdi 3cn ~ 6cn ~ eqtr3i
       ~ 6p3e9 ~ addcomi ~ ltdiv1ii ~ 6re ~ nngt0i ~ 2nn ~ divcan3i ~ recni
       ~ 2cn ~ 2ne0 ~ mpbir ~ eqtri ~ mulcomi ~ 3t2e6 ~ divmuli .  (Contributed
       by Filip Cernatescu, 16-Mar-2019.)
       (Proof modification is discouraged.) $)
    problem5 $p |- A < 3 $=
      ( c2 cmul co cdiv c6 c3 clt wbr c9 caddc 2re mpbi 3cn 6cn eqcomi 2cn 2ne0
      cmin remulcli 3re 9re ltaddsubi 6p3e9 addcomi eqtr3i mvlladdi breqtri 6re
      2nn nngt0i ltdiv1ii recni divcan3i wceq mulcomi 3t2e6 eqtri divmuli mpbir
      3brtr3i ) DAEFZDGFZHDGFZAIJVDHJKVEVFJKVDLIUAFZHJVDIMFLJKVDVGJKCVDILDANBUB
      ZUCUDUEOHVGIHLPQLIHMFZHIMFLVIUFHIQPUGUHRUIRUJVDHDVHUKNDULUMUNOADABUOSTUPV
      FIUQDIEFZHUQVJIDEFHDISPURUSUTHDIQSPTVAVBVC $.
  $}

  ${
    quad3.1 $e |- X e. CC $.
    quad3.2 $e |- A e. CC $.
    quad3.3 $e |- A =/= 0 $.
    quad3.4 $e |- B e. CC $.
    quad3.5 $e |- C e. CC $.
    quad3.6 $e |- ( ( A x. ( X ^ 2 ) ) + ( ( B x. X ) + C ) ) = 0 $.
    $( Variant of quadratic equation with discriminant expanded.  (Contributed
       by Filip Cernatescu, 19-Oct-2019.) $)
    quad3 $p |- ( X = ( ( -u B + ( sqrt ` ( ( B ^ 2 ) - ( 4 x. ( A x. C ) ) )
              ) ) / ( 2 x. A ) ) \/ X = ( ( -u B - ( sqrt ` ( ( B ^ 2 ) -
              ( 4 x. ( A x. C ) ) ) ) ) / ( 2 x. A ) ) ) $=
      ( c2 cmul co cdiv caddc cmin wceq 2cn oveq2i oveq1i cexp c4 csqrt cneg wo
      cfv mulcli 2ne0 mulne0i divcli addcli sqmuli binom2i sqcli divdiri div23i
      divcan3i oveq12i eqtr2i mulcomi divcan2i divassi cc cc0 wa pm3.2i divdiv1
      wcel wne mp3an eqtri 3eqtr2i addassi eqcomi pncan3oi df-neg eqtr4i negcli
      3eqtr3i addcomi sqdivi 4cn 4ne0 divmuldivi c1 dividi eqtr3i mulm1i neg1cn
      mulid2i mulassi 3eqtri 2t2e4 sqvali eqnetri negsubi subcli eqsqrtor ax-mp
      wb mpbi sqrtcl divmuli eqcom bitr3i subadd2i divneg eqeq2i 3bitri orbi12i
      ) KALMZDBXKNMZOMZLMZBKUAMZUBACLMZLMZPMZUCUFZQZXNXSUDZQZUEZDBUDZXSOMXKNMZQ
      ZDYDXSPMZXKNMZQZUEXNKUAMZXRQZYCYJXKKUAMZXMKUAMZLMYLXRYLNMZLMXRXKXMKARFUGZ
      DXLEBXKHYOKARFUHGUIZUJZUKZULYMYNYLLYMCUDZANMZXLKUAMZOMZUUAYTOMZYNYMDKUAMZ
      KDXLLMZLMZOMZUUAOMUUBDXLEYQUMUUGYTUUAOUUDBANMZDLMZOMZAUUDLMZBDLMZOMZANMZU
      UGYTUUNUUKANMZUULANMZOMUUJUUKUULAAUUDFDEUNZUGZBDHEUGZFGUOUUOUUDUUPUUIOUUD
      AUUQFGUQBDAHEFGUPURUSUUIUUFUUDOUUIDUUHLMZKUUTKNMZLMUUFUUHDBAHFGUJZEUTUUTK
      DUUHEUVBUGRUHVAUVAUUEKLUVADUUHKNMZLMUUEDUUHKEUVBRUHVBUVCXLDLUVCBAKLMZNMZX
      LBVCVHZAVCVHZAVDVIZVEKVCVHZKVDVIZVEUVCUVEQHUVGUVHFGVFUVIUVJRUHVFBAKVGVJUV
      DXKBNAKFRUTSVKSVKSVLSUUMYSANUUMUUKUULCOMOMZCPMZYSUVLUUMCOMZCPMUUMUVKUVMCP
      UVMUVKUUKUULCUURUUSIVMVNTUUMCUUKUULUURUUSUKIVOUSUVLVDCPMYSUVKVDCPJTCVPVQV
      KTVSTVKYTUUAYSACIVRZFGUJZXLYQUNVTUUCXOYLNMZXQUDZYLNMZOMXOUVQOMZYLNMYNUUAU
      VPYTUVROBXKHYOYPWAUBALMZUVTNMZYTLMZUVTYSLMZUVTALMZNMYTUVRUVTUVTYSAUBAWBFU
      GZUWEUVNFUBAWBFWCGUIZGWDWEYTLMUWBYTWEUWAYTLUWAWEUVTUWEUWFWFVNTYTUVOWJWGUW
      CUVQUWDYLNUWCWEUDZUVTCLMZLMZUWGXQLMUVQUWCUVTUWGLMZCLMZUWGUVTLMZCLMUWIUWCU
      VTUWGCLMZLMUWKYSUWMUVTLUWMYSCIWHVNSUVTUWGCUWEWIIWKVQUWJUWLCLUVTUWGUWEWIUT
      TUWGUVTCWIUWEIWKWLUWHXQUWGLUBACWBFIWKSXQUBXPWBACFIUGUGZWHWLUWDXKXKLMZYLUW
      DKXKLMZALMZXKKLMZALMUWOUWDKKLMZALMZALMUWQUVTUWTALUBUWSALUWSUBWMVNTTUWTUWP
      ALKKARRFWKTVKUWPUWRALKXKRYOUTTXKKAYORFWKWLXKYOWNZVQURVSURXOUVQYLBHUNZXQUW
      NVRXKYOUNZYLUWOVDUXAXKXKYOYOYPYPUIWOZUOUVSXRYLNXOXQUXBUWNWPTVLWLSXRYLXOXQ
      UXBUWNWQZUXCUXDVAWLXNVCVHZXRVCVHZVEYKYCWTUXFUXGXKXMYOYRUGUXEVFXNXRWRWSXAX
      TYFYBYIXTXMXSXKNMZQZDUXHXLPMZQZYFXTUXHXMQUXIXSXKXMUXGXSVCVHUXEXRXBWSZYOYR
      YPXCUXHXMXDXEUXIUXJDQUXKUXHXLDXSXKUXLYOYPUJZYQEXFUXJDXDXEUXJYEDUXJYDXKNMZ
      UXHOMZYEUXHXLUDZOMUXHUXNOMUXJUXOUXPUXNUXHOUVFXKVCVHXKVDVIUXPUXNQHYOYPBXKX
      GVJZSUXHXLUXMYQWPUXHUXNUXMYDXKBHVRZYOYPUJZVTVSYDXSXKUXRUXLYOYPUOVQXHXIYBX
      MYAXKNMZQZDUXTXLPMZQZYIYBUXTXMQUYAYAXKXMXSUXLVRZYOYRYPXCUXTXMXDXEUYAUYBDQ
      UYCUXTXLDYAXKUYDYOYPUJZYQEXFUYBDXDXEUYBYHDUYBUXNUXTOMZYDYAOMZXKNMYHUXTUXP
      OMUXTUXNOMUYBUYFUXPUXNUXTOUXQSUXTXLUYEYQWPUXTUXNUYEUXSVTVSYDYAXKUXRUYDYOY
      PUOUYGYGXKNYDXSUXRUXLWPTVLXHXIXJXA $.
  $}

$( (End of Filip Cernatescu's mathbox.) $)
$( End $[ set-mbox-fc.mm $] $)


$( Begin $[ set-mbox-pc.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Paul Chapman
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Propositional calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Prime numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Finite set induction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The ` # ` (set size) function
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Real and complex numbers (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d k m $.
    $( Utility lemma to convert between ` m <_ k ` and ` k e. ( ZZ>= `` m ) `
       in limit theorems.  (Contributed by Paul Chapman, 10-Nov-2012.) $)
    climuzcnv $p |- ( m e. NN -> ( ( k e. ( ZZ>= ` m ) -> ph ) <->
                                   ( k e. NN -> ( m <_ k -> ph ) ) ) ) $=
      ( cv cn wcel cuz cfv wi cle wbr wa elnnuz uztrn sylan2b sylibr expcom nnz
      c1 cz eluzle a1i jcad biimpri syl3an1 syl3an2 3expib impbid imbi1d impexp
      w3a eluz2 bitrdi ) CDZEFZBDZUNGHFZAIUPEFZUNUPJKZLZAIURUSAIIUOUQUTAUOUQUTU
      OUQURUSUQUOURUQUOLUPSGHZFZURUOUQUNVAFVBUNMUNUPSNOUPMPQUQUSIUOUNUPUAUBUCUO
      URUSUQURUOUPTFZUSUQUPRUOUNTFZVCUSUQUNRUQVDVCUSUKUNUPULUDUEUFUGUHUIURUSAUJ
      UM $.
  $}

  ${
    $d k w x y z F $.  $d k w y z H $.  $d k z M $.  $d k w y z ph $.
    $d k G $.
    sinccvg.1 $e |- ( ph -> F : NN --> ( RR \ { 0 } ) ) $.
    sinccvg.2 $e |- ( ph -> F ~~> 0 ) $.
    sinccvg.3 $e |- G = ( x e. ( RR \ { 0 } ) |-> ( ( sin ` x ) / x ) ) $.
    sinccvg.4 $e |- H = ( x e. CC |-> ( 1 - ( ( x ^ 2 ) / 3 ) ) ) $.
    sinccvg.5 $e |- ( ph -> M e. NN ) $.
    sinccvg.6 $e |- ( ( ph /\ k e. ( ZZ>= ` M ) ) ->
                      ( abs ` ( F ` k ) ) < 1 ) $.
    $( ` ( ( sin `` x ) / x ) ~~> 1 ` as (real) ` x ~~> 0 ` .  (Contributed by
       Paul Chapman, 10-Nov-2012.)  (Revised by Mario Carneiro,
       21-May-2014.) $)
    sinccvglem $p |- ( ph -> ( G o. F ) ~~> 1 ) $=
      ( c1 cc0 wcel cc co c3 cdiv vy vz vw ccom cvv cuz cfv eqid nnzd cli cv c2
      wfun cexp cmin funmpt2 cn cr csn cdif wf nnex sylancl cofunexg sylancr wa
      fex wne adantr eluznn sylan ffvelrnd eldifsn sylib simpld ax-1cn sqcl 3cn
      recnd 3ne0 divcl mp3an23 syl subcl fmpti ccncf crp cabs clt wbr wral wrex
      cmpt ccnfld ctopn ccn wtru ctopon cnfldtopon a1i 1cnd cnmptc divccn mp2an
      wi sqcn oveq1 cnmpt11 ctx subcn cnmpt12f mptru cncfcn1 3eltr4i cncfi wceq
      mp3an1 fvco3 syldan climcn1lem oveq1d eqtrdi oveq2d fvmpt csin ovex eqtrd
      0cn 1re eqeltrd fveq2 oveq12d resincld simprd cle cmul eqbrtrd cneg ltled
      id sq0i div0i 1m0e1 1ex ax-mp breqtrdi resqcld 3nn nndivre resubcl abscld
      redivcld subdird mulid2d caddc df-3 oveq2i cn0 2nn0 absresq syl5eq div23d
      expp1 eqtr2d cioc absrpcld rpgt0d ltle mpd cxr w3a wb 0xr elioc2 sin01bnd
      syl3anbrc ltmuldivd mpbid sinneg div2negd eqeq1d syl5ibrcom absord mpjaod
      breqtrd 3brtr4d mulid1d breqtrrd ltdivmuld mpbird eqbrtrrd climsqz ) ANCF
      DUDZEDUDZGUEGUFUGZUWOUHZAGLUIZAUWMOFUGZNUJAUAUBUCOCDUWMFGUEUWOUWPIAFUMDUE
      PZUWMUEPBQNBUKZULUNRZSTRZUORZFKUPAUQUROUSUTZDVAZUQUEPUWSHVBUQUXDUEDVGVCZF
      DUEVDVEUWQACUKZUWOPZVFZUXGDUGZUXIUXJURPZUXJOVHZUXIUXJUXDPZUXKUXLVFUXIUQUX
      DUXGDAUXEUXHHVIAGUQPUXHUXGUQPZLUXGGVJVKZVLZUXJUROVMVNZVOZVSZBQQUXCFKUWTQP
      ZNQPUXBQPZUXCQPVPUXTUXAQPZUYAUWTVQUYBSQPZSOVHZUYAVRVTUXASWAWBWCNUXBWDVEWE
      FQQWFRZPOQPZUAUKZWGPUCUKZOUORWHUGUBUKWIWJUYHFUGUWRUORWHUGUYGWIWJXEUCQWKUB
      WGWLBQUXCWMZWNWOUGZUYJWPRZFUYEUYIUYKPWQBNUXBUOUYJUYJUYJUYJQUYJQWRUGPWQUYJ
      UYJUHZWSWTZWQBNUYJUYJQQUYMUYMWQXAXBWQBUAUXAUYGSTRZUXBUYJUYJUYJQQUYMBQUXAW
      MUYKPWQBUYJUYLXFWTUYMUAQUYNWMUYKPZWQUYCUYDUYOVRVTUASUYJUYLXCXDWTUYGUXASTX
      GXHUOUYJUYJXIRUYJWPRPWQUYJUYLXJWTXKXLKUYJUYLXMXNUBUCQQOUYGFXOXQAUXHUXNUXG
      UWMUGZUXJFUGZXPZUXOAUXEUXNUYRHUQUXDUXGFDXRVKXSZXTUYFUWRNXPYHBOUXCNQFUWTOX
      PZUXCNOUORNUYTUXBONUOUYTUXBOSTROUYTUXAOSTUWTUUAYASVRVTUUBYBYCUUCYBKUUDYDU
      UEUUFAEUMUWSUWNUEPBUXDUWTYEUGZUWTTRZEJUPUXFEDUEVDVEUXIUYPNUXJULUNRZSTRZUO
      RZURUXIUYPUYQVUEUYSUXIUXJQPZUYQVUEXPUXSBUXJUXCVUEQFUWTUXJXPZUXBVUDNUOVUGU
      XAVUCSTUWTUXJULUNXGYAYCKNVUDUOYFYDWCYGZUXINURPZVUDURPZVUEURPYIUXIVUCURPSU
      QPVUJUXIUXJUXRUUGZUUHVUCSUUIVCZNVUDUUJVEZYJUXIUXGUWNUGZUXJYEUGZUXJTRZURUX
      IVUNUXJEUGZVUPAUXHUXNVUNVUQXPZUXOAUXEUXNVURHUQUXDUXGEDXRVKXSUXIUXMVUQVUPX
      PUXPBUXJVUBVUPUXDEVUGVUAVUOUWTUXJTUWTUXJYEYKVUGYTYLJVUOUXJTYFYDWCYGZUXIVU
      OUXJUXIUXJUXRYMZUXRUXIUXKUXLUXQYNZUULZYJUXIVUEVUPUYPVUNYOUXIVUEVUPVUMVVBU
      XIVUEUXJWHUGZYEUGZVVCTRZVUPWIUXIVUEVVCYPRZVVDWIWJVUEVVEWIWJUXIVVFVVCVVCSU
      NRZSTRZUORZVVDWIUXIVVFNVVCYPRZVUDVVCYPRZUORVVIUXINVUDVVCUXIXAUXIVUDVULVSU
      XIVVCUXIUXJUXSUUKZVSZUUMUXIVVJVVCVVKVVHUOUXIVVCVVMUUNUXIVVHVUCVVCYPRZSTRV
      VKUXIVVGVVNSTUXIVVGVVCULNUUORZUNRZVVNSVVOVVCUNUUPUUQUXIVVPVVCULUNRZVVCYPR
      ZVVNUXIVVCQPULUURPVVPVVRXPVVMUUSVVCULUVCVCUXIVVQVUCVVCYPUXIUXKVVQVUCXPUXR
      UXJUUTWCYAYGUVAYAUXIVUCVVCSUXIVUCVUKVSVVMUYCUXIVRWTUYDUXIVTWTUVBUVDYLYGUX
      IVVIVVDWIWJZVVDVVCWIWJZUXIVVCONUVERPZVVSVVTVFUXIVVCURPZOVVCWIWJZVVCNYOWJZ
      VWAVVLUXIVVCUXIUXJUXSVVAUVFZUVGUXIVVCNWIWJZVWDMUXIVWBVUIVWFVWDXEVVLYIVVCN
      UVHVCUVIOUVJPVUIVWAVWBVWCVWDUVKUVLUVMYIONVVCUVNXDUVPVVCUVOWCZVOYQUXIVUEVV
      DVVCVUMUXIVVCVVLYMZVWEUVQUVRUXIVVCUXJXPZVVEVUPXPZVVCUXJYRZXPZVWIVWJXEUXIV
      WIVVDVUOVVCUXJTVVCUXJYEYKVWIYTYLWTUXIVWJVWLVWKYEUGZVWKTRZVUPXPUXIVWNVUOYR
      ZVWKTRVUPUXIVWMVWOVWKTUXIVUFVWMVWOXPUXSUXJUVSWCYAUXIVUOUXJUXIVUOVUTVSUXSV
      VAUVTYGVWLVVEVWNVUPVWLVVDVWMVVCVWKTVVCVWKYEYKVWLYTYLUWAUWBUXIUXJUXRUWCUWD
      ZUWEYSVUHVUSUWFUXIVUNVUPNYOVUSUXIVUPNVVBVUIUXIYIWTZUXIVVEVUPNWIVWPUXIVVEN
      WIWJVVDVVCNYPRZWIWJUXIVVDVVCVWRWIUXIVVSVVTVWGYNUXIVVCVVMUWGUWHUXIVVDNVVCV
      WHVWQVWEUWIUWJUWKYSYQUWL $.
  $}

  ${
    $d j k n x F $.
    $( ` ( ( sin `` x ) / x ) ~~> 1 ` as (real) ` x ~~> 0 ` .  (Contributed by
       Paul Chapman, 10-Nov-2012.)  (Proof shortened by Mario Carneiro,
       21-May-2014.) $)
    sinccvg $p |- ( ( F : NN --> ( RR \ { 0 } ) /\ F ~~> 0 ) ->
      ( ( x e. ( RR \ { 0 } ) |-> ( ( sin ` x ) / x ) ) o. F ) ~~> 1 ) $=
      ( vk vj vn cn cc0 cli wbr wa cv cfv cabs c1 clt cdiv co cmpt wcel eqid cr
      csn cdif wf cuz wral csin ccom nnuz 1zzd crp 1rp eqidd simpr climi0 cc c2
      a1i cexp cmin simpll simplr simprl simprr weq 2fveq3 breq1d rspccva sylan
      c3 sinccvglem rexlimddv ) FUAGUBUCZBUDZBGHIZJZCKZBLZMLZNOIZCDKZUELZUFZAVM
      AKZUGLWDPQRZBUHNHIDFVPVRNDCBNFUIVPUJNUKSVPULURVPVQFSJVRUMVNVOUNUOVPWAFSZW
      CJZJZAEBWEAUPNWDUQUSQVJPQUTQRZWAVNVOWGVAVNVOWGVBWETWITVPWFWCVCWHWCEKZWBSW
      JBLMLZNOIZVPWFWCVDVTWLCWJWBCEVEVSWKNOVQWJMBVFVGVHVIVKVL $.
  $}

  ${
    $d n y $.  $d k P $.  $d k n R $.
    circum.1 $e |- A = ( ( 2 x. _pi ) / n ) $.
    circum.2 $e |-
      P = ( n e. NN |-> ( ( 2 x. n ) x. ( R x. ( sin ` ( A / 2 ) ) ) ) ) $.
    circum.3 $e |- R e. RR $.
    $( The circumference of a circle of radius ` R ` , defined as the limit as
       ` n ~~> +oo ` of the perimeter of an inscribed n-sided isogons, is
       ` ( ( 2 x. _pi ) x. R ) ` .  (Contributed by Paul Chapman, 10-Nov-2012.)
       (Proof shortened by Mario Carneiro, 21-May-2014.) $)
    circum $p |- P ~~> ( ( 2 x. _pi ) x. R ) $=
      ( c2 cpi cmul co wtru cn cdiv csin cfv cr cc0 wcel cc vk vy c1 cli wbr cv
      cmpt cvv nnuz 1zzd csn cdif ccom wne wa crp pirp rpdivcl sylancr rprene0d
      nnrp eldifsn sylibr adantl eqidd wceq fveq2 id oveq12d wf eqid fmpti pire
      fmptco recni divcnv mp1i sinccvg eqbrtrrd 2re remulcli nnex mptex eqeltri
      a1i eldifi resincld eldifsni redivcld fco mp2an mptru feq1i mpbi ffvelrni
      recnd nncn nnne0 divassd oveq1d simpr nndivre 2ne0 divcan3d fveq2d rpne0d
      eqtrd divcan2d eqtr4d oveq2d oveq2 ovex fvmpt eqeltrrd mulcl mul4d mul32d
      mulassd 3eqtr2d syl5eq 3eqtr4d climmulc2 mulid1i breqtri ) BHIJKZCJKZUCJK
      ZYFUDBYGUDUELUCYFUADMIDUFZNKZOPZYINKZUGZBUCUHMUILUJLUBQRUKZULZUBUFZOPZYON
      KZUGZDMYIUGZUMZYLUCUDLDUBMYNYIYQYKYSYRYHMSZYIYNSZLUUAYIQSYIRUNUOUUBUUAYIU
      UAIUPSZYHUPSYIUPSUQYHVAIYHURUSUTYIQRVBVCZVDLYSVELYRVEYOYIVFZYPYJYOYINYOYI
      OVGUUEVHVIVNZLMYNYSVJZYSRUDUEZYTUCUDUEDMYNYIYSYSVKUUDVLZITSZUUHLIVMVOZIDV
      PVQUBYSVRUSVSYFTSLYFYECHIVTVMWAGWAVOZWEBUHSLBDMHYHJKZCAHNKZOPZJKZJKZUGUHF
      DMUUQWBWCWDWELUAUFZMSZUOZUURYLPZUUSUVAQSLMQUURYLMQYTVJZMQYLVJYNQYRVJUUGUV
      BUBYNQYQYRYRVKYOYNSZYPYOUVCYOYOQYMWFZWGUVDYOQRWHWIVLUUIMYNQYRYSWJWKMQYTYL
      YTYLVFUUFWLWMWNWOVDWPZUUTHUURJKZCYEUURNKZHNKZOPZJKZJKZYFIUURNKZOPZUVLNKZJ
      KZUURBPZYFUVAJKUUTUVKUVFCUVLJKZUVNJKZJKUVFUVQJKZUVNJKUVOUUTUVJUVRUVFJUUTU
      VJCUVLUVNJKZJKUVRUUTUVIUVTCJUUTUVIUVMUVTUUTUVHUVLOUUTUVHHUVLJKZHNKUVLUUTU
      VGUWAHNUUTHIUURHTSZUUTHVTVOZWEZUUJUUTUUKWEZUUSUURTSZLUURWQVDZUUSUURRUNLUU
      RWRVDZWSWTUUTUVLHUUTUVLUUTIQSUUSUVLQSVMLUUSXAIUURXBUSZWPZUWDHRUNUUTXCWEXD
      XGXEUUTUVMUVLUUTUVMUUTUVLUWIWGWPUWJUUTUVLUUTUUCUURUPSZUVLUPSUQUUSUWKLUURV
      AVDIUURURUSXFXHXIXJUUTCUVLUVNCTSZUUTCGVOZWEZUWJUUTUVAUVNTUUSUVAUVNVFLDUUR
      YKUVNMYLYHUURVFZYJUVMYIUVLNUWOYIUVLOYHUURINXKZXEUWPVIYLVKUVMUVLNXLXMVDZUV
      EXNZXRXIXJUUTUVFUVQUVNUUTUWBUWFUVFTSUWCUWGHUURXOUSUUTUWLUVLTSUVQTSUWMUWJC
      UVLXOUSUWRXRUUTUVSYFUVNJUUTUVSHCJKZUURUVLJKZJKZYFUUTHUURCUVLUWDUWGUWNUWJX
      PUUTUXAUWSIJKYFUUTUWTIUWSJUUTIUURUWEUWGUWHXHXJUUTHCIUWDUWNUWEXQXGXGWTXSUU
      SUVPUVKVFLDUURUUQUVKMBUWOUUMUVFUUPUVJJYHUURHJXKUWOUUOUVICJUWOUUNUVHOUWOAU
      VGHNUWOAYEYHNKUVGEYHUURYENXKXTWTXEXJVIFUVFUVJJXLXMVDUUTUVAUVNYFJUWQXJYAYB
      WLYFUULYCYD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellaneous theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Membership in a curtailed finite sequence of integers.  (Contributed by
     Paul Chapman, 17-Nov-2012.) $)
  elfzm12 $p |- ( N e. NN ->
                  ( M e. ( 1 ... ( N - 1 ) ) -> M e. ( 1 ... N ) ) ) $=
    ( cn wcel c1 cmin co cfz cz cuz cfv wss nnz cle wbr zre lem1d peano2zm eluz
    wb mpancom mpbird fzss2 3syl sseld ) BCDZEBEFGZHGZEBHGZAUFBIDZBUGJKDZUHUILB
    MUJUKUGBNOZUJBBPQUGIDUJUKULTBRUGBSUAUBUGEBUCUDUE $.

  ${
    $d F k $.  $d N k $.
    nn0seqcvg.1 $e |- F : NN0 --> NN0 $.
    nn0seqcvg.2 $e |- N = ( F ` 0 ) $.
    nn0seqcvg.3 $e |- ( k e. NN0 -> ( ( F ` ( k + 1 ) ) =/= 0 ->
                                      ( F ` ( k + 1 ) ) < ( F ` k ) ) ) $.
    $( A strictly-decreasing nonnegative integer sequence with initial term
       ` N ` reaches zero by the ` N ` th term.  Inference version.
       (Contributed by Paul Chapman, 31-Mar-2011.) $)
    nn0seqcvg $p |- ( F ` N ) = 0 $=
      ( c1 wceq cfv cc0 eqid cn0 wf a1i cv wcel caddc co wne clt wbr nn0seqcvgd
      wi adantl ax-mp ) GGHZCBIJHGKUFABCLLBMUFDNCJBIHUFENAOZLPUGGQRBIZJSUHUGBIT
      UAUCUFFUDUBUE $.
  $}

  $( Division of both sides of 'less than or equal to' by a nonnegative number.
     (Contributed by Paul Chapman, 7-Sep-2007.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  lediv2aALT $p |- ( ( ( A e. RR /\ 0 < A ) /\ ( B e. RR /\ 0 < B ) /\
                     ( C e. RR /\ 0 <_ C ) ) ->
                   ( A <_ B -> ( C / B ) <_ ( C / A ) ) ) $=
    ( cr wcel cc0 clt wbr wa cle w3a c1 cdiv co anim12i ancoms syl recn adantr
    cc wi wne gt0ne0 rereccl syldan 3adant3 simp3 df-3an sylanbrc lemul2a ex wb
    cmul lerec wceq jca 3anass sylibr divrec 3adant1 3adant2 breq12d 3imtr4d )
    ADEZFAGHZIZBDEZFBGHZIZCDEZFCJHZIZKZLBMNZLAMNZJHZCVNUMNZCVOUMNZJHZABJHZCBMNZ
    CAMNZJHVMVNDEZVODEZVLKZVPVSUAVMWCWDIZVLWEVFVIWFVLVIVFWFVIWCVFWDVGVHBFUBZWCB
    UCZBUDUEVDVEAFUBZWDAUCZAUDUEOPUFVFVIVLUGWCWDVLUHUIWEVPVSVNVOCUJUKQVFVIVTVPU
    LVLABUNUFVMWAVQWBVRJVIVLWAVQUOZVFVLVIWKVLVIIZCTEZBTEZWGKZWKWLWMWNWGIZIWOVLW
    MVIWPVJWMVKCRSZVIWNWGVGWNVHBRSWHUPOWMWNWGUQURCBUSQPUTVFVLWBVRUOZVIVLVFWRVLV
    FIZWMATEZWIKZWRWSWMWTWIIZIXAVLWMVFXBWQVFWTWIVDWTVEARSWJUPOWMWTWIUQURCAUSQPV
    AVBVC $.

  ${
    abs2sqlei.1 $e |- A e. CC $.
    abs2sqlei.2 $e |- B e. CC $.
    $( The absolute values of two numbers compare as their squares.
       (Contributed by Paul Chapman, 7-Sep-2007.) $)
    abs2sqlei $p |- ( ( abs ` A ) <_ ( abs ` B ) <->
                     ( ( abs ` A ) ^ 2 ) <_ ( ( abs ` B ) ^ 2 ) ) $=
      ( cc0 cabs cfv cle wbr c2 cexp co wb absge0i abscli le2sqi mp2an ) EAFGZH
      IEBFGZHIRSHIRJKLSJKLHIMACNBDNRSACOBDOPQ $.
  $}

  ${
    abs2sqlti.1 $e |- A e. CC $.
    abs2sqlti.2 $e |- B e. CC $.
    $( The absolute values of two numbers compare as their squares.
       (Contributed by Paul Chapman, 7-Sep-2007.) $)
    abs2sqlti $p |- ( ( abs ` A ) < ( abs ` B ) <->
                     ( ( abs ` A ) ^ 2 ) < ( ( abs ` B ) ^ 2 ) ) $=
      ( cc0 cabs cfv cle wbr clt c2 cexp co wb absge0i abscli lt2sqi mp2an ) EA
      FGZHIEBFGZHISTJISKLMTKLMJINACOBDOSTACPBDPQR $.
  $}

  $( The absolute values of two numbers compare as their squares.  (Contributed
     by Paul Chapman, 7-Sep-2007.) $)
  abs2sqle $p |- ( ( A e. CC /\ B e. CC ) ->
                    ( ( abs ` A ) <_ ( abs ` B ) <->
                      ( ( abs ` A ) ^ 2 ) <_ ( ( abs ` B ) ^ 2 ) ) ) $=
    ( cc wcel cabs cfv cle wbr c2 cexp co wb cc0 cif wceq breq1d bibi12d breq2d
    fveq2 0cn oveq1d oveq1 syl elimel abs2sqlei dedth2h ) ACDZBCDZAEFZBEFZGHZUI
    IJKZUJIJKZGHZLUGAMNZEFZUJGHZUPIJKZUMGHZLUPUHBMNZEFZGHZURVAIJKZGHZLABMMAUOOZ
    UKUQUNUSVEUIUPUJGAUOESZPVEULURUMGVEUIUPIJVFUAPQBUTOZUQVBUSVDVGUJVAUPGBUTESZ
    RVGUJVAOZUSVDLVHVIUMVCURGUJVAIJUBRUCQUOUTAMCTUDBMCTUDUEUF $.

  $( The absolute values of two numbers compare as their squares.  (Contributed
     by Paul Chapman, 7-Sep-2007.) $)
  abs2sqlt $p |- ( ( A e. CC /\ B e. CC ) ->
                    ( ( abs ` A ) < ( abs ` B ) <->
                      ( ( abs ` A ) ^ 2 ) < ( ( abs ` B ) ^ 2 ) ) ) $=
    ( cc wcel cabs cfv clt wbr c2 cexp co wb cc0 cif wceq breq1d bibi12d breq2d
    fveq2 0cn oveq1d oveq1 syl elimel abs2sqlti dedth2h ) ACDZBCDZAEFZBEFZGHZUI
    IJKZUJIJKZGHZLUGAMNZEFZUJGHZUPIJKZUMGHZLUPUHBMNZEFZGHZURVAIJKZGHZLABMMAUOOZ
    UKUQUNUSVEUIUPUJGAUOESZPVEULURUMGVEUIUPIJVFUAPQBUTOZUQVBUSVDVGUJVAUPGBUTESZ
    RVGUJVAOZUSVDLVHVIUMVCURGUJVAIJUBRUCQUOUTAMCTUDBMCTUDUEUF $.

  ${
    abs2difi.1 $e |- A e. CC $.
    abs2difi.2 $e |- B e. CC $.
    $( Difference of absolute values.  (Contributed by Paul Chapman,
       7-Sep-2007.) $)
    abs2difi $p |- ( ( abs ` A ) - ( abs ` B ) ) <_ ( abs ` ( A - B ) ) $=
      ( cc wcel cabs cfv cmin co cle wbr abs2dif mp2an ) AEFBEFAGHBGHIJABIJGHKL
      CDABMN $.
  $}

  ${
    abs2difabsi.1 $e |- A e. CC $.
    abs2difabsi.2 $e |- B e. CC $.
    $( Absolute value of difference of absolute values.  (Contributed by Paul
       Chapman, 7-Sep-2007.) $)
    abs2difabsi $p |- ( abs ` ( ( abs ` A ) - ( abs ` B ) ) ) <_
                     ( abs ` ( A - B ) ) $=
      ( cc wcel cabs cfv cmin co cle wbr abs2difabs mp2an ) AEFBEFAGHBGHIJGHABI
      JGHKLCDABMN $.
  $}

$( (End of Paul Chapman's mathbox.) $)
$( End $[ set-mbox-pc.mm $] $)


$( Begin $[ set-mbox-df.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Drahflow
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  This is the mathbox of Jens-Wolfhard Schicke-Uffmann, reachable at
  drahflow@gmx.de / drahflow.name

$)

$( (End of Drahflow's mathbox.) $)
$( End $[ set-mbox-df.mm $] $)


$( Begin $[ set-mbox-sf.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Scott Fenton
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $( Set up a new wff var $)
  $v al $.  $( Greek alpha $)

  $( Let variable ` al ` be a wff. $)
  walpha $f wff al $.

  $( Declare some new variables. $)
  $v xO $.
  $v xL $.
  $v xR $.
  $v yO $.
  $v yL $.
  $v yR $.
  $( Let ` xO ` be an individual variable. $)
  vxo $f setvar xO $.
  $( Let ` xL ` be an individual variable. $)
  vxl $f setvar xL $.
  $( Let ` xR ` be an individual variable. $)
  vxr $f setvar xR $.
  $( Let ` yO ` be an individual variable. $)
  vyo $f setvar yO $.
  $( Let ` yL ` be an individual variable. $)
  vyl $f setvar yL $.
  $( Let ` yR ` be an individual variable. $)
  vyr $f setvar yR $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  ZFC Axioms in primitive form
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( ~ ax-ext without distinct variable conditions or defined symbols.
     (Contributed by Scott Fenton, 13-Oct-2010.) $)
  axextprim $p |- -. A. x -. ( ( x e. y -> x e. z ) ->
               ( ( x e. z -> x e. y ) -> y = z ) ) $=
    ( wel wb weq wi wex wn wal axextnd wa dfbi2 imbi1i impexp bitri exbii df-ex
    mpbi ) ABDZACDZEZBCFZGZAHZTUAGZUATGZUCGGZIAJIZABCKUEUHAHUIUDUHAUDUFUGLZUCGU
    HUBUJUCTUAMNUFUGUCOPQUHARPS $.

  $( ~ ax-rep without distinct variable conditions or defined symbols.
     (Contributed by Scott Fenton, 13-Oct-2010.) $)
  axrepprim $p |- -. A. x -. ( -. A. y -. A. z ( ph -> z = y ) ->
               A. z -. ( ( A. y z e. x -> -. A. x ( A. z x e. y ->
               -. A. y ph ) ) -> -. ( -. A. x ( A. z x e. y -> -. A. y ph )
               -> A. y z e. x ) ) ) $=
    ( weq wi wal wex wel wa wb wn axrepnd df-ex df-an exbii exnal bitri bibi2i
    dfbi1 albii imbi12i mpbi ) ADCEFDGZCHZDBICGZBCIDGZACGZJZBHZKZDGZFZBHZUDLCGL
    ZUFUGUHLFZBGLZFUQUFFLFLZDGZFZLBGLZABCDMUNUTBHVAUMUTBUEUOULUSUDCNUKURDUKUFUQ
    KURUJUQUFUJUPLZBHUQUIVBBUGUHOPUPBQRSUFUQTRUAUBPUTBNRUC $.

  $( ~ ax-un without distinct variable conditions or defined symbols.
     (Contributed by Scott Fenton, 13-Oct-2010.) $)
  axunprim $p |- -. A. x -. A. y ( -. A. x ( y e. x -> -. x e. z )
               -> y e. x ) $=
    ( wel wa wex wi wal axunnd df-an exbii exnal bitri imbi1i albii df-ex mpbi
    wn ) BADZACDZEZAFZSGZBHZAFZSTRGZAHRZSGZBHZRAHRZABCIUEUIAFUJUDUIAUCUHBUBUGSU
    BUFRZAFUGUAUKASTJKUFALMNOKUIAPMQ $.

  $( ~ ax-pow without distinct variable conditions or defined symbols.
     (Contributed by Scott Fenton, 13-Oct-2010.) $)
  axpowprim $p |- ( A. x -. A. y ( A. x ( -. A. z -. x e. y -> A. y x e. z )
               -> y e. x ) -> x = y ) $=
    ( weq wel wn wal wi wex axpownd df-ex imbi1i albii exbii bitri sylib con4i
    ) ABDZABEZFCGFZACEBGZHZAGZBAEZHZBGZFAGZRFSCIZUAHZAGZUDHZBGZAIZUGFZABCJUMUFA
    IUNULUFAUKUEBUJUCUDUIUBAUHTUASCKLMLMNUFAKOPQ $.

  $( ~ ax-reg without distinct variable conditions or defined symbols.
     (Contributed by Scott Fenton, 13-Oct-2010.) $)
  axregprim $p |- ( x e. y ->
               -. A. x ( x e. y -> -. A. z ( z e. x -> -. z e. y ) ) ) $=
    ( wel wn wi wal wa wex axregnd df-an exbii exnal bitri sylib ) ABDZPCADCBDE
    FCGZHZAIZPQEFZAGEZABCJSTEZAIUARUBAPQKLTAMNO $.

  $( ~ ax-inf without distinct variable conditions or defined symbols.
     (New usage is discouraged.)  (Contributed by Scott Fenton,
     13-Oct-2010.) $)
  axinfprim $p |- -. A. x -. ( y e. z -> -. ( y e. x ->
               -. A. y ( y e. x -> -. A. z ( y e. z -> -. z e. x ) ) ) ) $=
    ( wel wa wex wi wn axinfnd df-an exbii exnal bitri imbi2i albii anbi2i mpbi
    wal df-ex ) BCDZBADZUATCADZEZCFZGZBRZEZGZAFZTUAUATUBHGZCRHZGZBRZHGHZGZHARHZ
    ABCIUIUOAFUPUHUOAUGUNTUGUAUMEUNUFUMUAUEULBUDUKUAUDUJHZCFUKUCUQCTUBJKUJCLMNO
    PUAUMJMNKUOASMQ $.

  $( ~ ax-ac without distinct variable conditions or defined symbols.
     (New usage is discouraged.)  (Contributed by Scott Fenton,
     26-Oct-2010.) $)
  axacprim $p |- -. A. x -. A. y A. z ( A. x -. ( y e. z -> -. z e. w ) ->
                  -. A. w -. A. y -. ( ( -. A. w ( y e. z -> ( z e. w ->
                  ( y e. w -> -. w e. x ) ) ) -> y = w ) -> -. ( y = w ->
                  -. A. w ( y e. z -> ( z e. w -> ( y e. w -> -. w e. x )
                  ) ) ) ) ) $=
    ( wel wa wal wex wb wi wn axacnd df-an albii annim anbi2i exbii bitri df-ex
    weq anass pm4.63 bitr3i 3bitr2i exnal bibi1i dfbi1 imbi12i 2albii mpbi ) BC
    EZCDEZFZAGZUMBDEZDAEZFZFZDHZBDTZIZBGZDHZJZCGBGZAHZUKULKJKZAGZUKULUOUPKJZJZJ
    ZDGKZUTJUTVLJKJKZBGZKDGKZJZCGBGZKAGKZABCDLVFVQAHVRVEVQAVDVPBCUNVHVCVOUMVGAU
    KULMNVCVNDHVOVBVNDVAVMBVAVLUTIVMUSVLUTUSVKKZDHVLURVSDURUKULUQFZFUKVJKZFVSUK
    ULUQUAWAVTUKWAULVIKZFVTULVIOWBUQULUOUPUBPUCPUKVJOUDQVKDUERUFVLUTUGRNQVNDSRU
    HUIQVQASRUJ $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Untangled classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.
    $( We call a class "untanged" if all its members are not members of
       themselves.  The term originates from Isbell (see citation in ~ dfon2 ).
       Using this concept, we can avoid a lot of the uses of the Axiom of
       Regularity.  Here, we prove a series of properties of untanged classes.
       First, we prove that an untangled class is not a member of itself.
       (Contributed by Scott Fenton, 28-Feb-2011.) $)
    untelirr $p |- ( A. x e. A -. x e. x -> -. A e. A ) $=
      ( wel wn wral wcel cv wceq eleq1 eleq2 bitrd notbid rspccv pm2.01d ) AACZ
      DZABEBBFZPQDABBAGZBHZOQSOBRFQRBRIRBBJKLMN $.
  $}

  ${
    $d x y A $.
    $( The union of a class is untangled iff all its members are untangled.
       (Contributed by Scott Fenton, 28-Feb-2011.) $)
    untuni $p |- ( A. x e. U. A -. x e. x
        <-> A. y e. A A. x e. y -. x e. x ) $=
      ( cv cuni wcel wel wn wal wral wrex r19.23v albii ralcom4 eluni2 3bitr4ri
      wi imbi1i df-ral ralbii 3bitr4i ) ADZCEZFZAAGHZQZAIZABGZUEQZAIZBCJZUEAUCJ
      UEABDZJZBCJUIBCJZAIUHBCKZUEQZAIUKUGUNUPAUHUEBCLMUIBACNUFUPAUDUOUEBUBCORMP
      UEAUCSUMUJBCUEAULSTUA $.
  $}

  ${
    $d x A $.  $d x y $.
    untsucf.1 $e |- F/_ y A $.
    $( If a class is untangled, then so is its successor.  (Contributed by
       Scott Fenton, 28-Feb-2011.)  (Revised by Mario Carneiro,
       11-Dec-2016.) $)
    untsucf $p |- ( A. x e. A -. x e. x -> A. y e. suc A -. y e. y ) $=
      ( wel wn wral csuc nfv nfralw cv wcel wceq vex elsuc elequ1 elequ2 notbid
      wo bitrd rspccv untelirr eleq1 eleq2 syl5ibrcom jaod syl5bi ralrimi ) AAE
      ZFZACGZBBEZFZBCHZUJBACDUJBIJBKZUNLUOCLZUOCMZSUKUMUOCBNOUKUPUMUQUJUMAUOCAK
      UOMZUIULURUIBAEULABAPABBQTRUAUKUMUQCCLZFACUBUQULUSUQULCUOLUSUOCUOUCUOCCUD
      TRUEUFUGUH $.
  $}

  $( The null set is untangled.  (Contributed by Scott Fenton, 10-Mar-2011.)
     (Proof shortened by Andrew Salmon, 27-Aug-2011.) $)
  unt0 $p |- A. x e. (/) -. x e. x $=
    ( wel wn ral0 ) AABCAD $.

  ${
    $d x y A $.
    $( If there is an untangled element of a class, then the intersection of
       the class is untangled.  (Contributed by Scott Fenton, 1-Mar-2011.) $)
    untint $p |- ( E. x e. A A. y e. x -. y e. y ->
                    A. y e. |^| A -. y e. y ) $=
      ( wel wn cv wral cint wcel wss wi intss1 ssralv syl rexlimiv ) BBDEZBAFZG
      ZPBCHZGZACQCISQJRTKQCLPBSQMNO $.
  $}

  ${
    $d x A $.
    $( If ` A ` is well-founded by ` _E ` , then it is untangled.  (Contributed
       by Scott Fenton, 1-Mar-2011.) $)
    efrunt $p |- ( _E Fr A -> A. x e. A -. x e. x ) $=
      ( cep wfr cv wcel wn wa wbr frirr epel sylnib ralrimiva ) BCDZAEZOFZGABNO
      BFHOOCIPBOCJAOKLM $.
  $}

  ${
    $d x y A $.
    $( A transitive class is untangled iff its elements are.  (Contributed by
       Scott Fenton, 7-Mar-2011.) $)
    untangtr $p |- ( Tr A ->
                   ( A. x e. A -. x e. x <->
                     A. x e. A A. y e. x -. y e. y ) ) $=
      ( wtr wel wn wral cv cuni wss df-tr ssralv sylbi weq elequ1 elequ2 notbid
      wi bitrd cbvralvw untuni bitri syl6ib untelirr ralimi impbid1 ) CDZAAEZFZ
      ACGZBBEZFZBAHZGZACGZUGUJUIACIZGZUOUGUPCJUJUQRCKUIAUPCLMUQULBUPGUOUIULABUP
      ABNZUHUKURUHBAEUKABAOABBPSQTBACUAUBUCUNUIACBUMUDUEUF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Extra propositional calculus theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Partial elimination of a triple disjunction by denial of a disjunct.
     (Contributed by Scott Fenton, 26-Mar-2011.)  (Proof shortened by Andrew
     Salmon, 25-May-2011.) $)
  3orel2 $p |- ( -. ps -> ( ( ph \/ ps \/ ch ) -> ( ph \/ ch ) ) ) $=
    ( w3o wn wo 3orrot 3orel1 orcom syl6ib syl5bi ) ABCDBCADZBEZACFZABCGMLCAFNB
    CAHCAIJK $.

  $( Partial elimination of a triple disjunction by denial of a disjunct.
     (Contributed by Scott Fenton, 26-Mar-2011.) $)
  3orel3 $p |- ( -. ch -> ( ( ph \/ ps \/ ch ) -> ( ph \/ ps ) ) ) $=
    ( w3o wo wn df-3or orel2 syl5bi ) ABCDABEZCECFJABCGCJHI $.

  ${
    3pm3.2ni.1 $e |- -. ph $.
    3pm3.2ni.2 $e |- -. ps $.
    3pm3.2ni.3 $e |- -. ch $.
    $( Triple negated disjunction introduction.  (Contributed by Scott Fenton,
       20-Apr-2011.) $)
    3pm3.2ni $p |- -. ( ph \/ ps \/ ch ) $=
      ( w3o wo pm3.2ni df-3or mtbir ) ABCGABHZCHLCABDEIFIABCJK $.
  $}

  ${
    3jaodd.1 $e |- ( ph -> ( ps -> ( ch -> et ) ) ) $.
    3jaodd.2 $e |- ( ph -> ( ps -> ( th -> et ) ) ) $.
    3jaodd.3 $e |- ( ph -> ( ps -> ( ta -> et ) ) ) $.
    $( Double deduction form of ~ 3jaoi .  (Contributed by Scott Fenton,
       20-Apr-2011.) $)
    3jaodd $p |- ( ph -> ( ps -> ( ( ch \/ th \/ ta ) -> et ) ) ) $=
      ( w3o wi com3r 3jaoi com3l ) CDEJABFCABFKKDEABCFGLABDFHLABEFILMN $.
  $}

  $( Closed form of ~ 3ori .  (Contributed by Scott Fenton, 20-Apr-2011.) $)
  3orit $p |- ( ( ph \/ ps \/ ch ) <-> ( ( -. ph /\ -. ps ) -> ch ) ) $=
    ( w3o wo wn wi wa df-3or df-or ioran imbi1i 3bitri ) ABCDABEZCENFZCGAFBFHZC
    GABCINCJOPCABKLM $.

  $( A biconditional in the antecedent is the same as two implications.
     (Contributed by Scott Fenton, 12-Dec-2010.) $)
  biimpexp $p |- ( ( ( ph <-> ps ) -> ch )
                   <-> ( ( ph -> ps ) -> ( ( ps -> ph ) -> ch ) ) ) $=
    ( wb wi wa dfbi2 imbi1i impexp bitri ) ABDZCEABEZBAEZFZCELMCEEKNCABGHLMCIJ
    $.

  $( Elimination of two disjuncts in a triple disjunction.  (Contributed by
     Scott Fenton, 9-Jun-2011.) $)
  3orel13 $p |- ( ( -. ph /\ -. ch ) -> ( ( ph \/ ps \/ ch ) -> ps ) ) $=
    ( wn w3o wo 3orel3 orel1 sylan9r ) CDABCEABFADBABCGABHI $.

  ${
    $d A b $.  $d C b $.
    $( Ordinal less than is equivalent to having an ordinal between them.
       (Contributed by Scott Fenton, 8-Aug-2024.) $)
    onelssex $p |- ( ( A e. On /\ C e. On ) ->
     ( A e. C <-> E. b e. C A C_ b ) ) $=
      ( con0 wcel wa cv wss wrex ssid sseq2 rspcev mpan2 ontr2 expcomd rexlimdv
      impbid2 ) ADEBDEFZABEZACGZHZCBIZSAAHZUBAJUAUCCABTAAKLMRUASCBRUATBESATBNOP
      Q $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Misc. Useful Theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Two classes are unequal iff their intersection is a proper subset of one
     of them.  (Contributed by Scott Fenton, 23-Feb-2011.) $)
  nepss $p |- ( A =/= B <-> ( ( A i^i B ) C. A \/ ( A i^i B ) C. B ) ) $=
    ( wne cin wss wa wo wpss wn wceq nne neeq1 biimprcd orrd jctl inidm necon3i
    syl5bi adantl df-pss inss1 inss2 orim12i syl ineq2 ineq1 eqtrdi jaoi impbii
    eqtr3di orbi12i bitr4i ) ABCZABDZAEZUNACZFZUNBEZUNBCZFZGZUNAHZUNBHZGUMVAUMU
    PUSGVAUMUPUSUPIUNAJZUMUSUNAKVDUSUMUNABLMRNUPUQUSUTUPUOABUAOUSURABUBOUCUDUQU
    MUTUPUMUOABUNAABJZAADUNAABAUEAPUJQSUSUMURABUNBVEUNBBDBABBUFBPUGQSUHUIVBUQVC
    UTUNATUNBTUKUL $.

  ${
    3ccased.1 $e |- ( ph -> ( ( ch /\ et ) -> ps ) ) $.
    3ccased.2 $e |- ( ph -> ( ( ch /\ ze ) -> ps ) ) $.
    3ccased.3 $e |- ( ph -> ( ( ch /\ si ) -> ps ) ) $.
    3ccased.4 $e |- ( ph -> ( ( th /\ et ) -> ps ) ) $.
    3ccased.5 $e |- ( ph -> ( ( th /\ ze ) -> ps ) ) $.
    3ccased.6 $e |- ( ph -> ( ( th /\ si ) -> ps ) ) $.
    3ccased.7 $e |- ( ph -> ( ( ta /\ et ) -> ps ) ) $.
    3ccased.8 $e |- ( ph -> ( ( ta /\ ze ) -> ps ) ) $.
    3ccased.9 $e |- ( ph -> ( ( ta /\ si ) -> ps ) ) $.
    $( Triple disjunction form of ~ ccased .  (Contributed by Scott Fenton,
       27-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    3ccased $p |- ( ph -> ( ( ( ch \/ th \/ ta ) /\ ( et \/ ze \/ si ) ) ->
                     ps ) ) $=
      ( wa com12 3jaodan w3o wi 3jaoian ) CDEUAFGHUAZRABCUDABUBZDECFUEGHACFRBIS
      ACGRBJSACHRBKSTDFUEGHADFRBLSADGRBMSADHRBNSTEFUEGHAEFRBOSAEGRBPSAEHRBQSTUC
      S $.
  $}

  ${
    $d R x y z $.  $d A x y z $.
    $( Expansion of the definition of a strict order.  (Contributed by Scott
       Fenton, 6-Jun-2016.) $)
    dfso3 $p |- ( R Or A <->
       A. x e. A A. y e. A A. z e. A
       ( -. x R x /\
         ( ( x R y /\ y R z ) -> x R z ) /\
         ( x R y \/ x = y \/ y R x ) ) ) $=
      ( cv wbr wn wa wi weq w3o wral w3a wor wcel c0 wne wb ralbii r19.27zv syl
      ne0i ralbiia df-3an 2ralbii df-po anbi1i df-so r19.26-2 3bitr4i 3bitr4ri
      wpo ) AFZUNEGHZUNBFZEGZUPCFZEGIUNUREGJZIZUQABKUPUNEGLZIZCDMZBDMZADMUTCDMZ
      VAIZBDMZADMZUOUSVANZCDMZBDMADMDEOZVDVGADVCVFBDUPDPDQRVCVFSDUPUCUTVACDUAUB
      UDTVJVCABDDVIVBCDUOUSVAUETUFDEUMZVABDMADMZIVEBDMADMZVMIVKVHVLVNVMABCDEUGU
      HABDEUIVEVAABDDUJUKUL $.
  $}

  $( A binary relation involving unordered triples.  (Contributed by Scott
     Fenton, 7-Jun-2016.) $)
  brtpid1 $p |- A { <. A , B >. , C , D } B $=
    ( cop ctp wbr wcel opex tpid1 df-br mpbir ) ABABEZCDFZGMNHMCDABIJABNKL $.

  $( A binary relation involving unordered triples.  (Contributed by Scott
     Fenton, 7-Jun-2016.) $)
  brtpid2 $p |- A { C , <. A , B >. , D } B $=
    ( cop ctp wbr wcel opex tpid2 df-br mpbir ) ABCABEZDFZGMNHCMDABIJABNKL $.

  $( A binary relation involving unordered triples.  (Contributed by Scott
     Fenton, 7-Jun-2016.) $)
  brtpid3 $p |- A { C , D , <. A , B >. } B $=
    ( cop ctp wbr wcel opex tpid3 df-br mpbir ) ABCDABEZFZGMNHCDMABIJABNKL $.

  ${
    $d A x $.  $d B x $.  $d ps x $.
    ceqsrexv2.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Alternate elimitation of a restricted existential quantifier, using
       implicit substitution.  (Contributed by Scott Fenton, 5-Sep-2017.) $)
    ceqsrexv2 $p |- ( E. x e. B ( x = A /\ ph ) <-> ( A e. B /\ ps ) ) $=
      ( ceqsrexbv ) ABCDEFG $.
  $}

  ${
    $d x V $.  $d A y $.  $d ps y $.  $d x y $.
    iota5f.1 $e |- F/ x ph $.
    iota5f.2 $e |- F/_ x A $.
    iota5f.3 $e |- ( ( ph /\ A e. V ) -> ( ps <-> x = A ) ) $.
    $( A method for computing iota.  (Contributed by Scott Fenton,
       13-Dec-2017.) $)
    iota5f $p |- ( ( ph /\ A e. V ) -> ( iota x ps ) = A ) $=
      ( vy wcel wa cv wceq wb wal cio nfel1 nfan wi eqeq2 alrimi bibi2d imbi12d
      weq nfeq2 albid iotaval vtoclg adantl mpd ) ADEJZKZBCLZDMZNZCOZBCPZDMZULU
      OCAUKCFCDEGQRHUAUKUPURSZABCIUDZNZCOZUQILZMZSUSIDEVCDMZVBUPVDURVEVAUOCCVCD
      GUEVEUTUNBVCDUMTUBUFVCDUQTUCBCIUGUHUIUJ $.
  $}

  ${
    $d x A $.  $d x B $.  $d ps x $.
    ceqsralv2.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Alternate elimination of a restricted universal quantifier, using
       implicit substitution.  (Contributed by Scott Fenton, 7-Dec-2020.) $)
    ceqsralv2 $p |- ( A. x e. B ( x = A -> ph ) <-> ( A e. B -> ps ) ) $=
      ( cv wceq wi wral wcel wn wa wrex notbid ceqsrexv2 rexanali annim 3bitr3i
      con4bii ) CGDHZAICEJZDEKZBIZUAALZMCENUCBLZMUBLUDLUEUFCDEUAABFOPUAACEQUCBR
      ST $.
  $}

  $( A class is ordinal iff it is a subclass of ` On ` and transitive.
     (Contributed by Scott Fenton, 21-Nov-2021.) $)
  dford5 $p |- ( Ord A <-> ( A C_ On /\ Tr A ) ) $=
    ( word con0 wss wtr wa ordsson ordtr jca cep wwe epweon wess df-ord biimpri
    mpi ancoms sylan impbii ) ABZACDZAEZFTUAUBAGAHIUAAJKZUBTUACJKUCLACJMPUBUCTT
    UBUCFANOQRS $.

  $( Closed form of ~ ja .  Proved using the completeness script.
     (Proof modification is discouraged.)  (Contributed by Scott Fenton,
     13-Dec-2021.) $)
  jath $p |- ( ( -. ph -> ch ) -> ( ( ps -> ch ) ->
  ( ( ph -> ps ) -> ch ) ) ) $=
    ( wn wi jcn pm2.21 imim2 ax-mp ax-1 pm2.61 ) ADZLCEZBCEZABEZCEZEZEZEZRLCDZR
    EZEZSLTMDZEZEZUBLCFUDUAEZUEUBEUCREUFMQGUCRTHIUDUALHIIUAREZUBSECREZUGCQEZUHC
    PEZUICOJPQEZUJUIEPNJZPQCHIIQREZUIUHEQMJZQRCHIICRKIZUARLHIIAREZSREABDZREZEZU
    PAUQQEZEZUSAUQPEZEZVAAUQODZEZEZVCABFVEVBEZVFVCEVDPEVGOCGVDPUQHIVEVBAHIIVBUT
    EZVCVAEUKVHULPQUQHIVBUTAHIIUTUREZVAUSEUMVIUNQRUQHIUTURAHIIURREZUSUPEBREZVJB
    UAEZVKBTQEZEZVLBTNDZEZEZVNBCFVPVMEZVQVNEVOQEVRNPGVOQTHIVPVMBHIIVMUAEZVNVLEU
    MVSUNQRTHIVMUABHIIUGVLVKEUOUARBHIIBRKIURRAHIIARKII $.

  ${
    $d A y $.  $d ph y $.  $d x y $.
    riotarab.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Restricted iota of a restricted abstraction.  (Contributed by Scott
       Fenton, 8-Aug-2024.) $)
    riotarab $p |- ( iota_ x e. { y e. A | ps } ch ) =
     ( iota_ x e. A ( ph /\ ch ) ) $=
      ( cv crab wcel wa cio crio wb weq bicomd equcoms elrab anbi1i df-riota
      anass bitri iotabii 3eqtr4i ) DHZBEFIZJZCKZDLUEFJZACKZKZDLCDUFMUJDFMUHUKD
      UHUIAKZCKUKUGULCBAEUEFBANDEDEOABGPQRSUIACUAUBUCCDUFTUJDFTUD $.
  $}

  ${
    $d A y $.  $d ph y $.  $d x y $.
    reurab.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Restricted existential uniqueness of a restricted abstraction.
       (Contributed by Scott Fenton, 8-Aug-2024.) $)
    reurab $p |- ( E! x e. { y e. A | ps } ch <-> E! x e. A ( ph /\ ch ) ) $=
      ( cv crab wcel wa weu wreu wb weq bicomd equcoms elrab anbi1i df-reu
      anass bitri eubii 3bitr4i ) DHZBEFIZJZCKZDLUEFJZACKZKZDLCDUFMUJDFMUHUKDUH
      UIAKZCKUKUGULCBAEUEFBANDEDEOABGPQRSUIACUAUBUCCDUFTUJDFTUD $.
  $}

  ${
    snres0.1 $e |- B e. _V $.
    $( Condition for restriction of a singleton to be empty.  (Contributed by
       Scott Fenton, 9-Aug-2024.) $)
    snres0 $p |- ( ( { <. A , B >. } |` C ) = (/) <-> -. A e. C ) $=
      ( cop csn cres c0 wceq cdm cin wcel wn wrel wb relres reldm0 ax-mp dmsnop
      dmres ineq2i eqtri eqeq1i disjsn 3bitri ) ABEFZCGZHIZUGJZHIZCAFZKZHIACLMU
      GNUHUJOUFCPUGQRUIULHUICUFJZKULUFCTUMUKCABDSUAUBUCCAUDUE $.
  $}

  ${
    $d A y $.  $d B x y $.  $d C x y $.  $d F x y $.
    $( Condition for subset of an intersection of an image.  (Contributed by
       Scott Fenton, 16-Aug-2024.) $)
    fnssintima $p |- ( ( F Fn A /\ B C_ A ) -> ( C C_ |^| ( F " B ) <->
     A. x e. B C C_ ( F ` x ) ) ) $=
      ( vy cima cint wss cv wcel wi wal wfn wa cfv wral bitri wceq albii df-ral
      ssint wrex fvelimab imbi1d albidv ralcom4 eqcom imbi1i fvex sseq2 ceqsalv
      ralbii r19.23v 3bitr3ri bitrdi syl5bb ) DECGZHIZFJZURKZDUTIZLZFMZEBNCBIOZ
      DAJZEPZIZACQZUSVBFURQVDFDURUBVBFURUARVEVDVGUTSZACUCZVBLZFMZVIVEVCVLFVEVAV
      KVBABCUTEUDUEUFVJVBLZFMZACQVNACQZFMVIVMVNAFCUGVOVHACVOUTVGSZVBLZFMVHVNVRF
      VJVQVBVGUTUHUITVBVHFVGVFEUJUTVGDUKULRUMVPVLFVJVBACUNTUOUPUQ $.
  $}

  ${
    $d a b $.  $d a ph $.  $d a ps $.  $d a x $.  $d a y $.  $d b ph $.
    $d b ps $.  $d b x $.  $d b y $.  $d ph y $.  $d ps x $.  $d x y $.
    $( Cross product of two class abstractions.  (Contributed by Scott Fenton,
       19-Aug-2024.) $)
    xpab $p |- ( { x | ph } X. { y | ps } ) = { <. x , y >. | ( ph /\ ps ) } $=
      ( va vb cab cxp wa copab wcel wsbc wbr wsb df-clab sban sbsbc sbv 3bitr3i
      cv relxp relopabv anbi12i anbi1i sbbii anbi2i bitri bitr4i brabsb 3bitr4i
      brxp eqid eqbrriv ) EFACGZBDGZHZABIZCDJZUNUOUAUQCDUBETZUNKZFTZUOKZIZUQDVA
      LZCUSLZUSVAUPMUSVAURMVCACENZBDFNZIZVEUTVFVBVGAECOBFDOUCVDCENAVGIZCENZVEVH
      VDVICEUQDFNADFNZVGIVDVIABDFPUQDFQVKAVGADFRUDSUEVDCEQVJVFVGCENZIVHAVGCEPVL
      VGVFVGCERUFUGSUHUSVAUNUOUKUQCDUSVAURURULUIUJUM $.
  $}

  ${
    $d A x $.  $d R x $.
    $( Alternate definition of set-like relationships.  (Contributed by Scott
       Fenton, 19-Aug-2024.) $)
    dfse3 $p |- ( R Se A <-> A. x e. A Pred ( R , A , x ) e. _V ) $=
      ( wse ccnv cv csn cima cin cvv wcel wral cpred dfse2 eleq1i ralbii bitr4i
      df-pred ) BCDBCEAFZGHIZJKZABLBCSMZJKZABLABCNUCUAABUBTJBCSROPQ $.
  $}

  ${
    $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d B z $.  $d ph x $.
    $d x y $.  $d x z $.  $d y z $.
    $( A version of ~ ralxp with explicit substitution.  (Contributed by Scott
       Fenton, 21-Aug-2024.) $)
    ralxpes $p |- ( A. x e. ( A X. B ) [. ( 1st ` x ) / y ].
     [. ( 2nd ` x ) / z ]. ph <-> A. y e. A A. z e. B ph ) $=
      ( cv c2nd cfv wsbc c1st nfsbc1v nfcv nfsbcw nfv sbcopeq1a ralxpf ) ADBGZH
      IZJZCRKIZJABCDEFTCUALTDCUADUAMADSLNABOACDRPQ $.
  $}

  $( Ordered triple membership in a triple cross product.  (Contributed by
     Scott Fenton, 21-Aug-2024.) $)
  ot2elxp $p |- ( <. <. A , B >. , C >. e. ( ( D X. E ) X. F ) <->
  ( A e. D /\ B e. E /\ C e. F ) ) $=
    ( cop cxp wcel wa w3a opelxp anbi1i df-3an 3bitr4i ) ABGZDEHZIZCFIZJADIZBEI
    ZJZSJPCGQFHITUASKRUBSABDELMPCQFLTUASNO $.

  ${
    ot21st.1 $e |- A e. _V $.
    ot21st.2 $e |- B e. _V $.
    ot21st.3 $e |- C e. _V $.
    $( Extract the first member of an ordered triple.  Deduction version.
       (Contributed by Scott Fenton, 21-Aug-2024.) $)
    ot21std $p |- ( X = <. <. A , B >. , C >. -> ( 1st ` ( 1st ` X ) ) = A ) $=
      ( cop wceq c1st cfv opex op1std fveq2d op1st eqtrdi ) DABHZCHIZDJKZJKQJKA
      RSQJQCDABLGMNABEFOP $.

    $( Extract the second member of an ordered triple.  Deduction version.
       (Contributed by Scott Fenton, 21-Aug-2024.) $)
    ot22ndd $p |- ( X = <. <. A , B >. , C >. -> ( 2nd ` ( 1st ` X ) ) = B ) $=
      ( cop wceq c1st cfv c2nd opex op1std fveq2d op2nd eqtrdi ) DABHZCHIZDJKZL
      KRLKBSTRLRCDABMGNOABEFPQ $.
  $}

  ${
    otthne.1 $e |- A e. _V $.
    otthne.2 $e |- B e. _V $.
    otthne.3 $e |- C e. _V $.
    $( Contrapositive of the ordered triple theorem.  (Contributed by Scott
       Fenton, 21-Aug-2024.) $)
    otthne $p |- ( <. <. A , B >. , C >. =/= <. <. D , E >. , F >. <->
     ( A =/= D \/ B =/= E \/ C =/= F ) ) $=
      ( cop wne wo w3o opthne orbi1i opex df-3or 3bitr4i ) ABJZDEJZKZCFKZLADKZB
      EKZLZUBLSCJTFJKUCUDUBMUAUEUBABDEGHNOSCTFABPINUCUDUBQR $.
  $}

  ${
    $d A x y z p $.  $d B x y z p $.  $d C x y z p $.  $d D x y z p $.
    $( Membership in a triple cross product.  (Contributed by Scott Fenton,
       21-Aug-2024.) $)
    elxpxp $p |- ( A e. ( ( B X. C ) X. D ) <->
     E. x e. B E. y e. C E. z e. D A = <. <. x , y >. , z >. ) $=
      ( vp cxp wcel cv cop wceq wrex elxp2 opeq1 eqeq2d rexbidv rexxp bitri ) D
      EFIZGIJDHKZCKZLZMZCGNZHUANDAKBKLZUCLZMZCGNZBFNAENHCDUAGOUFUJHABEFUBUGMZUE
      UICGUKUDUHDUBUGUCPQRST $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d D x y z $.
    $( Version of ~ elrel for triple cross products.  (Contributed by Scott
       Fenton, 21-Aug-2024.) $)
    elxpxpss $p |- ( ( R C_ ( ( B X. C ) X. D ) /\ A e. R ) ->
     E. x E. y E. z A = <. <. x , y >. , z >. ) $=
      ( cxp wss wcel wa cv cop wceq wex wrex rexex reximi syl ssel2 elxpxp
      sylbi ) HEFIGIZJDHKLDUDKZDAMBMNCMNOZCPZBPZAPZHUDDUAUEUFCGQZBFQZAEQZUIABCD
      EFGUBULUHAEQUIUKUHAEUKUGBFQUHUJUGBFUFCGRSUGBFRTSUHAERTUCT $.
  $}

  ${
    $d A w $.  $d A x $.  $d A y $.  $d A z $.  $d B w $.  $d B x $.  $d B y $.
    $d B z $.  $d C w $.  $d C x $.  $d C y $.  $d C z $.  $d w x $.  $d w y $.
    $d w z $.  $d x y $.  $d x z $.  $d y z $.
    ral3xpf.1 $e |- F/ y ph $.
    ral3xpf.2 $e |- F/ z ph $.
    ral3xpf.3 $e |- F/ w ph $.
    ral3xpf.4 $e |- F/ x ps $.
    ral3xpf.5 $e |- ( x = <. <. y , z >. , w >. -> ( ph <-> ps ) ) $.
    $( Restricted for all over a triple cross product.  (Contributed by Scott
       Fenton, 22-Aug-2024.) $)
    ralxp3f $p |- ( A. x e. ( ( A X. B ) X. C ) ph <->
     A. y e. A A. z e. B A. w e. C ps ) $=
      ( wral cv wi wal wrex ralbii cxp wcel cop wceq df-ral r19.23 bitri elxpxp
      imbi1i 3bitr4ri albii ralcom4 opex ceqsal bitr3i 3bitri ) ACGHUAIUAZOCPZU
      QUBZAQZCRURDPEPUCZFPZUCZUDZAQZFIOZEHOZDGOZCRZBFIOZEHOZDGOZACUQUEUTVHCVDFI
      SZEHSZAQZDGOVNDGSZAQVHUTVNADGJUFVGVODGVGVMAQZEHOVOVFVQEHVDAFILUFTVMAEHKUF
      UGTUSVPADEFURGHIUHUIUJUKVIVGCRZDGOVLVGDCGULVRVKDGVRVFCRZEHOVKVFECHULVSVJE
      HVSVECRZFIOVJVEFCIULVTBFIABCVCMVAVBUMNUNTUOTUOTUOUP $.
  $}

  ${
    $d A p $.  $d A x $.  $d A y $.  $d A z $.  $d B p $.  $d B x $.  $d B y $.
    $d B z $.  $d C p $.  $d C x $.  $d C y $.  $d C z $.  $d p ps $.
    $d p x $.  $d p y $.  $d p z $.  $d ph x $.  $d ph y $.  $d ph z $.
    $d x y $.  $d x z $.  $d y z $.
    ralxp3.1 $e |- ( p = <. <. x , y >. , z >. -> ( ph <-> ps ) ) $.
    $( Restricted for-all over a triple cross product.  (Contributed by Scott
       Fenton, 21-Aug-2024.) $)
    ralxp3 $p |- ( A. p e. ( ( A X. B ) X. C ) ph <->
     A. x e. A A. y e. B A. z e. C ps ) $=
      ( nfv ralxp3f ) ABICDEFGHACKADKAEKBIKJL $.
  $}

  $( Equality theorem for substitution of a class for an ordered triple.
     (Contributed by Scott Fenton, 22-Aug-2024.) $)
  sbcoteq1a $p |- ( A = <. <. x , y >. , z >. ->
  ( [. ( 1st ` ( 1st ` A ) ) / x ]. [. ( 2nd ` ( 1st ` A ) ) / y ].
    [. ( 2nd ` A ) / z ]. ph <-> ph ) ) $=
    ( cv cop wceq c2nd cfv wsbc c1st opex vex op2ndd eqcomd sbceq1a syl ot22ndd
    wb ot21std 3bitrrd ) EBFZCFZGZDFZGHZAADEIJZKZUICELJZIJZKZULBUJLJZKZUGUFUHHA
    UITUGUHUFUEUFEUCUDMDNZOPADUHQRUGUDUKHUIULTUGUKUDUCUDUFEBNZCNZUOSPUICUKQRUGU
    CUMHULUNTUGUMUCUCUDUFEUPUQUOUAPULBUMQRUB $.

  ${
    $d A w $.  $d A x $.  $d A y $.  $d A z $.  $d B w $.  $d B x $.  $d B y $.
    $d B z $.  $d C w $.  $d C x $.  $d C y $.  $d C z $.  $d ph x $.
    $d w x $.  $d w y $.  $d w z $.  $d x y $.  $d x z $.  $d y z $.
    $( Restricted for-all over a triple cross product with explicit
       substitution.  (Contributed by Scott Fenton, 22-Aug-2024.) $)
    ralxp3es $p |- ( A. x e. ( ( A X. B ) X. C )
     [. ( 1st ` ( 1st ` x ) ) / y ]. [. ( 2nd ` ( 1st ` x ) ) / z ].
     [. ( 2nd ` x ) / w ]. ph <->
     A. y e. A A. z e. B A. w e. C ph ) $=
      ( cv c2nd cfv wsbc c1st nfsbc1v nfcv nfsbcw nfv sbcoteq1a ralxp3f ) AEBIZ
      JKZLZDTMKZJKZLZCUCMKZLABCDEFGHUECUFNUEDCUFDUFOUBDUDNPUEECUFEUFOUBEDUDEUDO
      AEUANPPABQACDETRS $.
  $}

  $( The union of two ordinals is in a third iff both of the first two are.
     (Contributed by Scott Fenton, 10-Sep-2024.) $)
  onunel $p |- ( ( A e. On /\ B e. On /\ C e. On ) -> ( ( A u. B ) e. C <->
  ( A e. C /\ B e. C ) ) ) $=
    ( con0 wcel w3a wss cun wa wb wceq biimpi eleq1d adantl ontr2 expdimp bitrd
    wi word eloni ssequn1 3adant2 pm4.71rd ssequn2 3adant1 wo ordtri2or2 syl2an
    pm4.71d 3adant3 mpjaodan ) ADEZBDEZCDEZFZABGZABHZCEZACEZBCEZIZJBAGZUOUPIZUR
    UTVAUPURUTJUOUPUQBCUPUQBKABUALMNVCUTUSUOUPUTUSULUNUPUTIUSRUMABCOUBPUCQUOVBI
    ZURUSVAVBURUSJUOVBUQACVBUQAKBAUDLMNVDUSUTUOVBUSUTUMUNVBUSIUTRULBACOUEPUIQUL
    UMUPVBUFZUNULASBSVEUMATBTABUGUHUJUK $.

  ${
    $d A x $.  $d B x y $.  $d F x y $.  $d ph y $.  $d ps x $.
    imaeqsex.1 $e |- ( x = ( F ` y ) -> ( ph <-> ps ) ) $.
    $( Substitute a function value into an existential quantifier over an
       image.  (Contributed by Scott Fenton, 27-Sep-2024.) $)
    imaeqsexv $p |- ( ( F Fn A /\ B C_ A ) ->
    ( E. x e. ( F " B ) ph <-> E. y e. B ps ) ) $=
      ( wfn wss wa cima wrex cv cfv wceq wex wcel df-rex exbii fvelimab rexcom4
      anbi1d exbidv syl5bb eqcom anbi1i ceqsexv rexbii r19.41v 3bitr3ri bitrdi
      fvex bitri ) GEIFEJKZACGFLZMZDNZGOZCNZPZDFMZAKZCQZBDFMZUQUTUPRZAKZCQUOVDA
      CUPSUOVGVCCUOVFVBADEFUTGUAUCUDUEVAAKZCQZDFMVHDFMZCQVEVDVHDCFUBVIBDFVIUTUS
      PZAKZCQBVHVLCVAVKAUSUTUFUGTABCUSURGUMHUHUNUIVJVCCVAADFUJTUKUL $.

    $( Substitute a function value into a universal quantifier over an image.
       (Contributed by Scott Fenton, 27-Sep-2024.) $)
    imaeqsalv $p |- ( ( F Fn A /\ B C_ A ) ->
    ( A. x e. ( F " B ) ph <-> A. y e. B ps ) ) $=
      ( wfn wss wa wn cima wrex wral cv cfv wceq notbid dfral2 imaeqsexv
      3bitr4g ) GEIFEJKZALZCGFMZNZLBLZDFNZLACUEOBDFOUCUFUHUDUGCDEFGCPDPGQRABHSU
      ASACUETBDFTUB $.
  $}

  ${
    $d A x $.
    $( The union of a finite ordinal is a finite ordinal.  (Contributed by
       Scott Fenton, 17-Oct-2024.) $)
    nnuni $p |- ( A e. _om -> U. A e. _om ) $=
      ( vx com wcel c0 wceq cv csuc wrex cuni nn0suc unieq uni0 eqtrdi eqeltrdi
      wo peano1 word nnord syl ordunisuc id eqeltrd eleq1d syl5ibrcom rexlimiv
      jaoi ) ACDAEFZABGZHZFZBCIZPAJZCDZBAKUHUNULUHUMECUHUMEJEAELMNQOUKUNBCUICDZ
      UNUKUJJZCDUOUPUICUOUIRUPUIFUISUIUATUOUBUCUKUMUPCAUJLUDUEUFUGT $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Finite ordinal subtraction cancels on the left.  (Contributed by Scott
       Fenton, 17-Oct-2024.) $)
    nnasmo $p |- ( A e. _om -> E* x e. _om ( A +o x ) = B ) $=
      ( vy com wcel cv coa co wceq wa weq wi wral w3a eqtr3 nnacan syl5ib 3expb
      wrmo ralrimivva oveq2 eqeq1d rmo4 sylibr ) BEFZBAGZHIZCJZBDGZHIZCJZKZADLZ
      MZDENAENUIAETUFUOADEEUFUGEFZUJEFZUOUMUHUKJUFUPUQOUNUHUKCPBUGUJQRSUAUIULAD
      EUNUHUKCUGUJBHUBUCUDUE $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Condition for membership in the difference of ` _om ` and a nonzero
       finite ordinal.  (Contributed by Scott Fenton, 24-Oct-2024.) $)
    eldifsucnn $p |- ( A e. _om -> ( B e. ( _om \ suc A ) <->
     E. x e. ( _om \ A ) B = suc x ) ) $=
      ( vy com wcel csuc wss wa cv wceq wrex cdif coa co wb peano2 nnord syl2an
      word nnawordex sylan wi nnacl nnaword1 nnasuc ancoms nnacom suceq 3eqtr4d
      syl sseq2 eqeq2d anbi12d rspcev syl12anc eqeq1 anbi2d syl5ibcom rexlimdva
      rexbidv adantr sylbid ad2antlr ordsucsssuc biimpa eleq1 syl5ibrcom impbid
      expimpd jca wn eldif ordtri1 pm5.32da bitr4id anbi1i anass rexbii2 anbi1d
      bitri rexbidva 3bitr4d ) BEFZCEFZBGZCHZIZBAJZHZCWIGZKZIZAELZCEWFMFZWLAEBM
      ZLZWDWHWNWDWEWGWNWDWEIWGWFDJZNOZCKZDELZWNWDWFEFZWEWGXAPBQZDWFCUAUBWDXAWNU
      CWEWDWTWNDEWDWREFZIZWJWSWKKZIZAELZWTWNXEBWRNOZEFBXIHZWSXIGZKZXHBWRUDBWRUE
      XEWRWFNOZWRBNOZGZWSXKXDWDXMXOKWRBUFUGWDXBXDWSXMKXCWFWRUHUBXEXIXNKXKXOKBWR
      UHXIXNUIUKUJXGXJXLIAXIEWIXIKZWJXJXFXLWIXIBULXPWKXKWSWIXIUIUMUNUOUPWTXGWMA
      EWTXFWLWJWSCWKUQURVAUSUTVBVCVJWDWMWHAEWDWIEFZIZWJWLWHXRWJIZWHWLWKEFZWFWKH
      ZIXSXTYAXQXTWDWJWIQVDXRWJYAWDBTZWITZWJYAPXQBRZWIRZBWIVESVFVKWLWEXTWGYACWK
      EVGCWKWFULUNVHVJUTVIWDWOWECWFFVLZIWHCEWFVMWDWEWGYFWDWFTZCTWGYFPWEWDXBYGXC
      WFRUKCRWFCVNSVOVPWDWQWIBFVLZWLIZAELWNWLYIAWPEWIWPFZWLIXQYHIZWLIXQYIIYJYKW
      LWIEBVMVQXQYHWLVRWAVSWDWMYIAEXRWJYHWLWDYBYCWJYHPXQYDYEBWIVNSVTWBVPWC $.
  $}

  ${
    $d F g $.  $d A g $.
    $( If ` A ` is a proper class, then the recursive function generator at
       ` (/) ` is the empty set.  (Contributed by Scott Fenton,
       31-Oct-2024.) $)
    rdg0n $p |- ( -. A e. _V -> ( rec ( F , A ) ` (/) ) = (/) ) $=
      ( vg cvv wcel wn c0 crdg cfv cv wceq cdm wlim crn cuni cif cmpt cres con0
      0elon df-rdg tfr2 ax-mp res0 fveq2i eqtri iftrue eqid fvmptn eqtrid ) ADE
      FGBAHZIZGCDCJZGKZAUMLZMUMNOUOOUMIBIPZPZQZIZGULUKGRZURIZUSGSEULVAKTGUKURCB
      AUAUBUCUTGURUKUDUEUFCDUQAGURUNAUPUGURUHUIUJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Properties of real and complex numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    sqdivzi.1 $e |- A e. CC $.
    sqdivzi.2 $e |- B e. CC $.
    $( Distribution of square over division.  (Contributed by Scott Fenton,
       7-Jun-2013.) $)
    sqdivzi $p |- ( B =/= 0 ->
            ( ( A / B ) ^ 2 ) = ( ( A ^ 2 ) / ( B ^ 2 ) ) ) $=
      ( cc0 wne cdiv co c2 cexp c1 cif oveq2 oveq1d oveq1 oveq2d eqeq12d ax-1cn
      wceq cc ifcli elimne0 sqdivi dedth ) BEFZABGHZIJHZAIJHZBIJHZGHZSAUEBKLZGH
      ZIJHZUHUKIJHZGHZSBKBUKSZUGUMUJUOUPUFULIJBUKAGMNUPUIUNUHGBUKIJOPQAUKCUEBKT
      DRUABUBUCUD $.
  $}

  ${
    $d N x $.  $d M x $.
    $( The supremum of a finite sequence of integers.  (Contributed by Scott
       Fenton, 8-Aug-2013.) $)
    supfz $p |- ( N e. ( ZZ>= ` M ) -> sup ( ( M ... N ) , ZZ , < ) = N ) $=
      ( vx cuz cfv wcel cz cfz co clt wor cr wss zssre ltso mp2 a1i eluzelz wbr
      soss eluzfz2 cv wa cle wn elfzle2 adantl wb elfzelz zred eluzelre syl2anr
      lenlt mpbid supmax ) BADEFZCGABHIZBJGJKZUPGLMLJKURNOGLJTPQABRABUAUPCUBZUQ
      FZUCUSBUDSZBUSJSUEZUTVAUPUSABUFUGUTUSLFBLFVAVBUHUPUTUSUSABUIUJABUKUSBUMUL
      UNUO $.

    $( The infimum of a finite sequence of integers.  (Contributed by Scott
       Fenton, 8-Aug-2013.)  (Revised by AV, 10-Oct-2021.) $)
    inffz $p |- ( N e. ( ZZ>= ` M ) -> inf ( ( M ... N ) , ZZ , < ) = M ) $=
      ( vx cuz cfv wcel cz cfz co clt wor wss zssre ltso soss mp2 a1i wbr zred
      cr eluzel2 eluzfz1 cv wa cle wn elfzle1 adantl elfzelz lenlt syl2an mpbid
      wb infmin ) BADEFZCGABHIZAJGJKZUOGTLTJKUQMNGTJOPQABUAZABUBUOCUCZUPFZUDAUS
      UERZUSAJRUFZUTVAUOUSABUGUHUOATFUSTFVAVBUMUTUOAURSUTUSUSABUISAUSUJUKULUN
      $.
  $}

  $( The sequence ` ( 0 ... ( N - 1 ) ) ` is empty iff ` N ` is zero.
     (Contributed by Scott Fenton, 16-May-2014.) $)
  fz0n $p |- ( N e. NN0 -> ( ( 0 ... ( N - 1 ) ) = (/) <-> N = 0 ) ) $=
    ( cn0 wcel c1 cmin co cc0 clt wbr cfz c0 wceq cz wb nn0z sylancr cle bitr3d
    0z cr peano2zm syl fzn cn wo elnn0 wn nnge1 1re wa subge0 0re resubcl lenlt
    nnre sylancl mpbid nnne0 neneqd 2falsed cneg oveq1 eqtr4di neg1lt0 eqbrtrdi
    df-neg id 2thd jaoi sylbi ) ABCZADEFZGHIZGVLJFKLZAGLZVKGMCVLMCZVMVNNSVKAMCV
    PAOAUAUBGVLUCPVKAUDCZVOUEVMVONZAUFVQVRVOVQVMVOVQDAQIZVMUGZAUHVQATCZDTCZVSVT
    NAUOUIWAWBUJZGVLQIZVSVTADUKWCGTCVLTCWDVTNULADUMGVLUNPRUPUQVQAGAURUSUTVOVMVO
    VOVLDVAZGHVOVLGDEFWEAGDEVBDVFVCVDVEVOVGVHVIVJR $.

  ${
    $d F f $.  $d A f $.  $d B f $.
    $( Value of a sequence shifted by ` A ` .  (Contributed by Scott Fenton,
       16-Dec-2017.) $)
    shftvalg $p |- ( ( F e. V /\ A e. CC /\ B e. CC ) ->
      ( ( F shift A ) ` B ) = ( F ` ( B - A ) ) ) $=
      ( vf wcel cc cshi co cmin wceq wa cv wi oveq1 fveq1d fveq1 eqeq12d imbi2d
      cfv vex shftval vtoclg 3impib ) CDFAGFZBGFZBCAHIZTZBAJIZCTZKZUEUFLZBEMZAH
      IZTZUIUMTZKZNULUKNECDUMCKZUQUKULURUOUHUPUJURBUNUGUMCAHOPUIUMCQRSABUMEUAUB
      UCUD $.
  $}

  ${
    $d A k $.  $d A m $.  $d B k $.  $d B m $.  $d F k $.  $d k m $.
    $d k ph $.  $d M k $.  $d m ph $.  $d Z k $.
    divcnvlin.1 $e |- Z = ( ZZ>= ` M ) $.
    divcnvlin.2 $e |- ( ph -> M e. ZZ ) $.
    divcnvlin.3 $e |- ( ph -> A e. CC ) $.
    divcnvlin.4 $e |- ( ph -> B e. ZZ ) $.
    divcnvlin.5 $e |- ( ph -> F e. V ) $.
    divcnvlin.6 $e |- ( ( ph /\ k e. Z ) ->
        ( F ` k ) = ( ( k + A ) / ( k + B ) ) ) $.
    $( Limit of the ratio of two linear functions.  (Contributed by Scott
       Fenton, 17-Dec-2017.) $)
    divcnvlin $p |- ( ph -> F ~~> 1 ) $=
      ( vm c1 co caddc cn wcel cli wbr cz cv cmin cdiv cmpt cc0 wa cc nncn zcnd
      adantl subcld adantr wne nnne0 divdird dividd oveq1d eqtrd mpteq2dva nnuz
      cvv 1zzd divcnv syl 1cnd nnex mptex a1i divcld fmpttd ffvelrnda cfv oveq2
      wceq weq oveq2d eqid ovex fvmpt eqtr4d climaddc2 eqbrtrd cuz nnssz resmpt
      cres wss ax-mp reseq2i eqtr3i 1p0e1 breq12i wb 1z zex climres mp2an bitri
      sylib eluzelz eleq2s ppncand zaddcld id oveq12d 3eqtr4d climshft2 mpbird
      oveq1 ) AEPUAUBOUCOUDZBCUEQZRQZXMUFQZUGZPUAUBZAOSXPUGZPUHRQZUAUBZXRAXSOSP
      XNXMUFQZRQZUGZXTUAAOSXPYCAXMSTZUIZXPXMXMUFQZYBRQYCYFXMXNXMYEXMUJTAXMUKUMZ
      AXNUJTZYEABCKACLULUNZUOZYHYEXMUHUPAXMUQUMZURYFYGPYBRYFXMYHYLUSUTVAVBAUHPD
      OSYBUGZYDPVDSVCAVEAYIYMUHUAUBYJXNOVFVGAVHYDVDTAOSYCVIVJVKASUJDUDZYMAOSYBU
      JYFXNXMYKYHYLVLVMVNYNSTZYNYDVOZPYNYMVOZRQZVQAYOYPPXNYNUFQZRQZYROYNYCYTSYD
      ODVRYBYSPRXMYNXNUFVPZVSYDVTPYSRWAWBYOYQYSPROYNYBYSSYMUUAYMVTXNYNUFWAWBVSW
      CUMWDWEYAXQPWFVOZWIZPUAUBZXRXSUUCXTPUAXQSWIZXSUUCSUCWJUUEXSVQWGOUCSXPWHWK
      SUUBXQVCWLWMWNWOPUCTXQVDTZUUDXRWPWQOUCXPWRVJZPXQPVDWSWTXAXBAPDEXQCFGVDHIJ
      LMUUFAUUGVKAYNHTZUIZYNCRQZXNRQZUUJUFQZYNBRQZUUJUFQUUJXQVOZYNEVOUUIUUKUUMU
      UJUFUUIYNCBUUHYNUJTAUUHYNYNUCTZYNFWFVOHFYNXCIXDZULUMUUICACUCTUUHLUOZULABU
      JTUUHKUOXEUTUUIUUJUCTUUNUULVQUUIYNCUUHUUOAUUPUMUUQXFOUUJXPUULUCXQXMUUJVQZ
      XOUUKXMUUJUFXMUUJXNRXLUURXGXHXQVTUUKUUJUFWAWBVGNXIXJXK $.
  $}

  ${
    $d A k $.  $d B k $.  $d F k $.  $d F m $.  $d k m $.  $d k ph $.
    $d M k $.  $d Z k $.  $d Z m $.
    climlec3.1 $e |- Z = ( ZZ>= ` M ) $.
    climlec3.2 $e |- ( ph -> M e. ZZ ) $.
    climlec3.3 $e |- ( ph -> B e. RR ) $.
    climlec3.4 $e |- ( ph -> F ~~> A ) $.
    climlec3.5 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. RR ) $.
    climlec3.6 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) <_ B ) $.
    $( Comparison of a constant to the limit of a sequence.  (Contributed by
       Scott Fenton, 5-Jan-2018.) $)
    climlec3 $p |- ( ph -> A <_ B ) $=
      ( vm cle wbr cneg cfv cc0 wcel cv cmpt renegcld cmin co cli cvv cuz fvexi
      0cnd mptex a1i wa recnd eqid weq fveq2 negeqd simpr fvmptd3 df-neg eqtrdi
      climsubc2 breqtrrdi adantr lenegd mpbid breqtrrd climlec2 climrecl mpbird
      cr eqeltrd ) ABCOPCQZBQZOPAVNVODNGNUAZERZQZUBZFGHIACJUCAVSSBUDUEVOUFABSDE
      VSFUGGHIKAUJVSUGTANGVRGFUHHUIUKULADUAZGTZUMZVTERZLUNWBVTVSRZWCQZSWCUDUEWB
      NVTVRWEGVSVLVSUONDUPVQWCVPVTEUQURAWAUSWBWCLUCZUTZWCVAVBVCBVAVDWBWDWEVLWGW
      FVMWBVNWEWDOWBWCCOPVNWEOPMWBWCCLACVLTWAJVEVFVGWGVHVIABCABDEFGHIKLVJJVFVK
      $.
  $}

  $( Calculate the logarithm of ` _i ` .  (Contributed by Scott Fenton,
     13-Apr-2020.) $)
  logi $p |- ( log ` _i ) = ( _i x. ( _pi / 2 ) ) $=
    ( ci clog cfv cpi c2 co cmul wceq cc wcel cc0 ax-icn clt wbr halfpire pipos
    wb pire ax-mp wtru cdiv ce efhalfpi wne crn ine0 cneg cim cle recni lt0neg2
    mulcli mpbi halfpos2 renegcli 0re lttri mp2an cre reim rere eqtr3i breqtrri
    cr caddc a1i ltaddposd mpbii picn times2i breqtrrdi ltdivmul2d mpbird mptru
    crp 2rp ltleii eqbrtri ellogrn mpbir3an logeftb mp3an mpbir ) ABCADEUAFZGFZ
    HZWEUBCAHZUCAIJAKUDWEBUEJZWFWGQLUFWHWEIJDUGZWEUHCZMNWJDUINAWDLWDOUJZULWIWDW
    JMWIKMNZKWDMNZWIWDMNKDMNZWLPDVDJZWNWLQRDUKSUMWNWMPWOWNWMQRDUNSUMWIKWDDRUOUP
    OUQURWDUSCZWJWDWDIJWPWJHWKWDUTSWDVDJWPWDHOWDVASVBZVCWJWDDUIWQWDDORWDDMNZTWR
    DDEGFZMNTDDDVEFZWSMTWNDWTMNPTDDWOTRVFZXAVGVHDVIVJVKTDDEXAXAEVOJTVPVFVLVMVNV
    QVRWEVSVTAWEWAWBWC $.

  $( ` _i ` raised to itself is real.  (Contributed by Scott Fenton,
     13-Apr-2020.) $)
  iexpire $p |- ( _i ^c _i ) e. RR $=
    ( ci ccxp co c1 cneg cpi c2 cdiv cmul ce cfv cr clog cc wcel cc0 wne ax-icn
    wceq halfpire ine0 cxpef mp3an logi oveq2i recni mulassi ixi oveq1i 3eqtr2i
    fveq2i eqtri neg1rr remulcli reefcl ax-mp eqeltri ) AABCZDEZFGHCZICZJKZLURA
    AMKZICZJKZVBANOZAPQVFURVESRUARAAUBUCVDVAJVDAAUTICZICAAICZUTICVAVCVGAIUDUEAA
    UTRRUTTUFUGVHUSUTIUHUIUJUKULVALOVBLOUSUTUMTUNVAUOUPUQ $.

  $( The binomial coefficent over negative one is zero.  (Contributed by Scott
     Fenton, 29-May-2020.) $)
  bcneg1 $p |- ( N e. NN0 -> ( N _C -u 1 ) = 0 ) $=
    ( cn0 wcel c1 cneg cbc co cc0 cfz cfa cfv cmin cmul cdiv cif wceq neg1z cle
    cz wbr bcval mpan2 wa clt wn neg1lt0 neg1rr 0re ltnlei mpbi intnanr wb nn0z
    0z elfz mp3an12 syl mtbiri iffalsed eqtrd ) ABCZADEZFGZVBHAIGCZAJKAVBLGJKVB
    JKMGNGZHOZHVAVBSCZVCVFPQVBAUAUBVAVDVEHVAVDHVBRTZVBARTZUCZVHVIVBHUDTVHUEUFVB
    HUGUHUIUJUKVAASCZVDVJULZAUMVGHSCVKVLQUNVBHAUOUPUQURUSUT $.

  $( The proportion of one bionmial coefficient to another with ` N ` decreased
     by 1.  (Contributed by Scott Fenton, 23-Jun-2020.) $)
  bcm1nt $p |- ( ( N e. NN /\ K e. ( 0 ... ( N - 1 ) ) ) ->
    ( N _C K ) = ( ( ( N - 1 ) _C K ) x. ( N / ( N - K ) ) ) ) $=
    ( cn wcel cc0 c1 cmin co cfz wa caddc cbc cdiv cmul wceq bcp1n adantl simpl
    nncnd oveq1d 1cnd npcand oveq12d oveq2d 3eqtr3d ) BCDZAEBFGHZIHDZJZUGFKHZAL
    HZUGALHZUJUJAGHZMHZNHZBALHULBBAGHZMHZNHUHUKUOOUFAUGPQUIUJBALUIBFUIBUFUHRSUI
    UAUBZTUIUNUQULNUIUJBUMUPMURUIUJBAGURTUCUDUE $.

  ${
    $d N n m j k $.
    $( A product identity for binomial coefficents.  (Contributed by Scott
       Fenton, 23-Jun-2020.) $)
    bcprod $p |- ( N e. NN ->
     prod_ k e. ( 1 ... ( N - 1 ) ) ( ( N - 1 ) _C k ) =
     prod_ k e. ( 1 ... ( N - 1 ) ) ( k ^ ( ( 2 x. k ) - N ) ) ) $=
      ( c1 cmin co cfz cbc cprod cmul cexp wceq oveq2d oveq1d adantr prodeq12dv
      c2 wcel cn cdiv nncnd vm vn vj cv cc0 caddc oveq1 1m1e0 eqtrdi fz10 oveq2
      c0 eqeq12d weq prod0 eqtr4i wa cfa cfv nncn 1cnd pncand cuz elnnuz biimpi
      simpr cn0 nnnn0 elfzelz bccl syl2an nn0cnd fprodm1 bcnn syl fzfid fprodcl
      cz mulid1d fz1ssfz0 bcm1nt sylan2 prodeq2dv nnm1nn0 clt wbr elfznn adantl
      sseli cc nnred nn0red cr cle elfzle2 ltm1d lelttrd wb simpl nnsub syl2anc
      nnre mpbid nnne0d divcld fprodmul fproddiv chash cfn fzfi sylancr hashfz1
      fprodconst eqtr2d fprodfac nnz 1zzd nn0zd fprodrev nncand prodeq1d 3eqtrd
      id oveq12d eqtr4d 2nn a1i nnmulcld nnzd peano2nn zsubcld expclzd subsub4d
      expm1d eqtr3d 3eqtr4d 2timesd mvrladdd faccl expcld div32d eqtrd ex nnind
      ) CUAUDZCDEZFEZUUFAUDZGEZAHZUUGUUHPUUHIEZUUEDEZJEZAHZKULUEUUHGEZAHZULUUHU
      UKCDEZJEZAHZKCUBUDZCDEZFEZUVAUUHGEZAHZUVBUUHUUKUUTDEZJEZAHZKZCUUTCUFEZCDE
      ZFEZUVJUUHGEZAHZUVKUUHUUKUVIDEZJEZAHZKZCBCDEZFEZUVRUUHGEZAHZUVSUUHUUKBDEZ
      JEZAHZKUAUBBUUECKZUUJUUPUUNUUSUWEUUGULUUIUUOAUWEUUGCUEFEULUWEUUFUECFUWEUU
      FCCDEUEUUECCDUGUHUIZLUJUIZUWEUUIUUOKUUHUUGQZUWEUUFUEUUHGUWFMNOUWEUUGULUUM
      UURAUWGUWEUUMUURKUWHUWEUULUUQUUHJUUECUUKDUKLNOUMUAUBUNZUUJUVDUUNUVGUWIUUG
      UVBUUIUVCAUWIUUFUVACFUUEUUTCDUGZLZUWIUUIUVCKUWHUWIUUFUVAUUHGUWJMNOUWIUUGU
      VBUUMUVFAUWKUWIUUMUVFKUWHUWIUULUVEUUHJUUEUUTUUKDUKLNOUMUUEUVIKZUUJUVMUUNU
      VPUWLUUGUVKUUIUVLAUWLUUFUVJCFUUEUVICDUGZLZUWLUUIUVLKUWHUWLUUFUVJUUHGUWMMN
      OUWLUUGUVKUUMUVOAUWNUWLUUMUVOKUWHUWLUULUVNUUHJUUEUVIUUKDUKLNOUMUUEBKZUUJU
      WAUUNUWDUWOUUGUVSUUIUVTAUWOUUFUVRCFUUEBCDUGZLZUWOUUIUVTKUWHUWOUUFUVRUUHGU
      WPMNOUWOUUGUVSUUMUWCAUWQUWOUUMUWCKUWHUWOUULUWBUUHJUUEBUUKDUKLNOUMUUPCUUSU
      UOAUOUURAUOUPUUTRQZUVHUVQUWRUVHUQZUVDUUTUVAJEZUVAURUSZSEZIEZUVGUXBIEZUVMU
      VPUWSUVDUVGUXBIUWRUVHVFMUWRUVMUXCKUVHUWRUVMCUUTFEZUUTUUHGEZAHUVBUXFAHZUUT
      UUTGEZIEZUXCUWRUVKUXEUVLUXFAUWRUVJUUTCFUWRUUTCUUTUTZUWRVAZVBZLZUWRUVLUXFK
      UUHUVKQUWRUVJUUTUUHGUXLMNOUWRUXFUXHACUUTUWRUUTCVCUSQUUTVDVEZUWRUUHUXEQZUQ
      ZUXFUWRUUTVGQZUUHVRQZUXFVGQZUXOUUTVHZUUHCUUTVIUUHUUTVJZVKVLUUHUUTUUTGUKVM
      UWRUXIUXGCIEUXGUXCUWRUXHCUXGIUWRUXQUXHCKUXTUUTVNVOLUWRUXGUWRUVBUXFAUWRCUV
      AVPZUWRUUHUVBQZUQZUXFUWRUXQUXRUXSUYCUXTUUHCUVAVIZUYAVKVLVQVSUWRUXGUVBUVCU
      UTUUTUUHDEZSEZIEZAHUVDUVBUYGAHZIEUXCUWRUVBUXFUYHAUYCUWRUUHUEUVAFEZQUXFUYH
      KUVBUYJUUHUVAVTWIUUHUUTWAWBWCUWRUVBUVCUYGAUYBUYDUVCUWRUVAVGQZUXRUVCVGQUYC
      UUTWDZUYEUUHUVAVJVKVLUYDUUTUYFUWRUUTWJQZUYCUXJNZUYDUYFUYDUUHUUTWEWFZUYFRQ
      ZUYDUUHUVAUUTUYDUUHUYCUUHRQZUWRUUHUVAWGWHZWKUYDUVAUWRUYKUYCUYLNWLUWRUUTWM
      QUYCUUTXBNZUYCUUHUVAWNWFUWRUUHCUVAWOWHUYDUUTUYSWPWQUYDUYQUWRUYOUYPWRUYRUW
      RUYCWSUUHUUTWTXAXCZTZUYDUYFUYTXDZXEXFUWRUYIUXBUVDIUWRUYIUVBUUTAHZUVBUYFAH
      ZSEUXBUWRUVBUUTUYFAUYBUYNVUAVUBXGUWRUWTVUCUXAVUDSUWRVUCUUTUVBXHUSZJEZUWTU
      WRUVBXIQUYMVUCVUFKCUVAXJUXJUVBUUTAXMXKUWRVUEUVAUUTJUWRUYKVUEUVAKUYLUVAXLV
      OLXNUWRUXAUVBUCUDZUCHZUUTUVADEZUVAFEZUYFAHVUDUWRUYKUXAVUHKUYLUVAUCXOVOUWR
      VUGUYFUCAUUTCUVAUUTXPZUWRXQUWRUVAUYLXRUWRVUGUVBQZUQVUGVULVUGRQUWRVUGUVAWG
      WHTVUGUYFKYCXSUWRVUJUVBUYFAUWRVUICUVAFUWRUUTCUXJUXKXTMYAYBYDYELYBYBYBNUWR
      UVPUXDKUVHUWRUVPUXEUVOAHUVBUVOAHZUUTPUUTIEZUVIDEZJEZIEZUXDUWRUVKUXEUVOAUX
      MYAUWRUVOVUPACUUTUXNUXPUUHUVNUXPUUHUXOUYQUWRUUHUUTWGWHZTUXPUUHVURXDUXPUUK
      UVIUXPUUKUXPPUUHPRQZUXPYFYGVURYHYIUXPUVIUWRUVIRQUXOUUTYJNYIYKYLAUBUNZUUHU
      UTUVNVUOJVUTYCVUTUUKVUNUVIDUUHUUTPIUKMYDVMUWRVUQUVGUXASEZUWTIEUXDUWRVUMVV
      AVUPUWTIUWRUVBUVFUUHSEZAHUVGUVBUUHAHZSEVUMVVAUWRUVBUVFUUHAUYBUYDUUHUVEUYD
      UUHUYRTZUYDUUHUYRXDZUYDUUKUUTUYDUUKUYDPUUHVUSUYDYFYGUYRYHZYIUWRUUTVRQUYCV
      UKNYKZYLZVVDVVEXGUWRUVBUVOVVBAUYDUUHUVECDEZJEUVOVVBUYDVVIUVNUUHJUYDUUKUUT
      CUYDUUKVVFTUYNUYDVAYMLUYDUUHUVEVVDVVEVVGYNYOWCUWRUXAVVCUVGSUWRUYKUXAVVCKU
      YLUVAAXOVOLYPUWRVUOUVAUUTJUWRVUNUUTDEZCDEVUOUVAUWRVUNUUTCUWRVUNUWRPUUTVUS
      UWRYFYGUWRYCYHTUXJUXKYMUWRVVJUUTCDUWRVUNUUTUUTUXJUXJUWRUUTUXJYQYRMYOLYDUW
      RUVGUXAUWTUWRUVBUVFAUYBVVHVQUWRUXAUWRUYKUXARQUYLUVAYSVOZTUWRUUTUVAUXJUYLY
      TUWRUXAVVKXDUUAUUBYBNYPUUCUUD $.
  $}

  ${
    $d N n m k $.  $d C n m k $.
    $( A column-sum rule for binomial coefficents.  (Contributed by Scott
       Fenton, 24-Jun-2020.) $)
    bccolsum $p |- ( ( N e. NN0 /\ C e. NN0 ) ->
    sum_ k e. ( 0 ... N ) ( k _C C ) = ( ( N + 1 ) _C ( C + 1 ) ) ) $=
      ( cn0 wcel cc0 cfz co cbc csu c1 caddc wceq wi oveq2 sumeq1d oveq1 oveq1d
      eqeq12d imbi2d vm vn cv 0p1e1 eqtrdi weq cz 0nn0 nn0z bccl sylancr nn0cnd
      cc 0z fsum1 cn wo elnn0 cfa cfv cmin cmul cdiv cif cle wbr 1red ltaddrp2d
      wn nnrp peano2nn nnred ltnled mpbid elfzle2 nsyl iffalsed 1nn0 nnzd bcval
      clt bc0k 3eqtr4rd bcnn ax-mp eqtr4i oveq2d 3eqtr4a sylbi eqtrd wa elnn0uz
      jaoi cuz biimpi adantr elfznn0 adantl simplr nn0zd syl2anc fsump1 id 1cnd
      nn0cn pncand eqcomd oveqan12rd peano2nn0 bcpasc syl2an 3eqtrd a2d nn0ind
      exp31 imp ) CDEADEZFCGHZBUCZAIHZBJZCKLHZAKLHZIHZMZXQFUAUCZGHZXTBJZYFKLHZY
      CIHZMZNXQFFGHZXTBJZKYCIHZMZNXQFUBUCZGHZXTBJZYPKLHZYCIHZMZNXQFYSGHZXTBJZYS
      KLHZYCIHZMZNXQYENUAUBCYFFMZYKYOXQUUGYHYMYJYNUUGYGYLXTBYFFFGOPUUGYIKYCIUUG
      YIFKLHZKYFFKLQUDUERSTUAUBUFZYKUUAXQUUIYHYRYJYTUUIYGYQXTBYFYPFGOPUUIYIYSYC
      IYFYPKLQRSTYFYSMZYKUUFXQUUJYHUUCYJUUEUUJYGUUBXTBYFYSFGOPUUJYIUUDYCIYFYSKL
      QRSTYFCMZYKYEXQUUKYHYAYJYDUUKYGXRXTBYFCFGOPUUKYIYBYCIYFCKLQRSTXQYMFAIHZYN
      XQFUGEUULUMEYMUULMUNXQUULXQFDEZAUGEZUULDEUHAUIAFUJUKULXTUULBFXSFAIQUOUKXQ
      AUPEZAFMZUQUULYNMZAURUUOUUQUUPUUOYCFKGHEZKUSUTKYCVAHUSUTYCUSUTVBHVCHZFVDZ
      FYNUULUUOUURUUSFUUOYCKVEVFZUURUUOKYCWAVFUVAVIUUOKAUUOVGZAVJVHUUOKYCUVBUUO
      YCAVKZVLVMVNYCFKVOVPVQUUOKDEZYCUGEZYNUUTMVRUUOYCUVCVSYCKVTUKAWBWCUUPFFIHZ
      KKIHZUULYNUVFKUVGUUMUVFKMUHFWDWEUVDUVGKMVRKWDWEWFAFFIOUUPYCKKIUUPYCUUHKAF
      KLQUDUEWGWHWMWIWJYPDEZXQUUAUUFUVHXQUUAUUFUVHXQWKZUUAWKUUCYRYSAIHZLHZYTYSY
      CKVAHZIHZLHZUUEUVIUUCUVKMUUAUVIXTUVJBFYPUVHYPFWNUTEZXQUVHUVOYPWLWOWPUVIXS
      UUBEZWKZXTUVQXSDEZUUNXTDEUVPUVRUVIXSYSWQWRUVQAUVHXQUVPWSWTAXSUJXAULXSYSAI
      QXBWPUUAUVIYRYTUVJUVMLUUAXCUVIUVMUVJUVIUVLAYSIUVIAKXQAUMEUVHAXEWRUVIXDXFW
      GXGXHUVIUVNUUEMZUUAUVHYSDEUVEUVSXQYPXIXQYCAXIWTYCYSXJXKWPXLXOXMXNXP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Infinite products
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $(
  @{
    @d A w x @. @d B w x @. @d C w x @. @d ph x @. @d R w x @.
    @d w z @. @d X w y @. @d x y @. @d x z @. @d X z @. @d Y w x @.
    ntrivcvgvaulem1.1 @e |- ( ( ph /\ x e. A ) ->
      E. y e. B A. z e. C Y R x ) @.
    @( Lemma for ~ ntrivcvgcau .  Specialization of a particular form
       while avoiding a distinctness requirement between ` x ` and ` X ` .
       (Contributed by Scott Fenton, 30-Dec-2017.) @)
    ntrivcvgcaulem1 @p |- ( ( ph /\ X e. A ) ->
      E. y e. B A. z e. C Y R X ) @=
      ( vw cv wbr wral wrex wcel breq2 ralbidv rexbidv ralrimiva weq sylib wceq
      cbvralv rspcv mpan9 ) AJLMZHNZDGOZCFPZLEOZIEQJIHNZDGOZCFPZAJBMZHNZDGOZCFP
      ZBEOULAUSBEKUAUSUKBLEBLUBZURUJCFUTUQUIDGUPUHJHRSTUEUCUKUOLIEUHIUDZUJUNCFV
      AUIUMDGUHIJHRSTUFUG @.
  @}

  @{
    ntrivcvgcaulem2.1 @e |- Z = ( ZZ>= `  M ) @.
    ntrivcvgcaulem2.2 @e |- ( ph -> K e. Z ) @.
    ntrivcvgcaulem2.3 @e |- ( ( ph /\ k e. Z ) -> A e. CC ) @.
    ntrivcvgcaulem2.4 @e |- ( ( ph /\ m e. ( ZZ>= ` K ) ) ->
       ( abs ` ( prod_ k e. ( K ... m ) A - 1 ) ) < ( 1 / 2 ) ) @.

    @{
      @d K k @. @d k m @. @d k ph @.
    @( Lemma for ~ ntrivcvgcau .  A product whose absolute difference
       from one is less than one half has an absolute value less than two.
       (Contributed by Scott Fenton, 30-Dec-2017.) @)
    ntrivcvgcaulem2 @p |- ( ( ph /\ m e. ( ZZ>= ` K ) ) ->
     ( abs ` prod_ k e. ( K ... m ) A ) < 2 ) @=
      ( cfv wcel co c1 caddc cabs c2 a1i cr cv cuz wa cfz cprod cmin clt elfzuz
      fzfid cc uztrn2 syl2an syldan adantlr fprodcl ax-1cn npcand fveq2d abscld
      eqeltrd subcld abs1 1re eqeltri readdcld 2re abstrid rereccli wbr halflt1
      cdiv 2ne0 lttrd ltadd1dd oveq2i df-2 3brtr4g lelttrd eqbrtrrd ) ADUAZEUBL
      ZMZUCZEVTUDNZBCUEZOUFNZOPNZQLZWEQLRUGWCWGWEQWCWEOWCWDBCWCEVTUIACUAZWDMZBU
      JMZWBAWJWIGMZWKAEGMWIWAMWLWJIWIEVTUHFWIEGHUKULJUMUNUOZOUJMWCUPSZUQZURWCWH
      WFQLZOQLZPNZRWCWGWCWGWEUJWOWMUTUSWCWPWQWCWFWCWEOWMWNVAZUSZWQTMWCWQOTVBVCV
      DSVERTMWCVFSWCWFOWSWNVGWCWPOPNOOPNWRRUGWCWPOOWTOTMWCVCSZXAWCWPORVKNZOWTXB
      TMWCRVFVLVHSXAKXBOUGVIWCVJSVMVNWQOWPPVBVOVPVQVRVS @.
    @}

    @{
      @d A m @. @d K k @. @d k m @. @d K m @. @d k ph @. @d m ph @.
    @( Lemma for ~ ntrivcvgcau .  A product whose absolute difference from
       one is less than one half has no zero values.  (Contributed
       by Scott Fenton, 30-Dec-2017.) @)
    ntrivcvgcaulem3 @p |- ( ( ph /\ k e. ( ZZ>= ` K ) ) -> A =/= 0 ) @=
      ( cfv wcel cc0 wceq co c1 cmin cabs clt cv cuz wne csb wi wa cfz cprod c2
      wral cdiv wbr fzfid elfzuz uztrn2 syl2an syldan fprodcl adantr ax-1cn a1i
      cc subcld abscld cr 2re 2ne0 rereccli ltnsymd halflt1 cneg absnegi df-neg
      fveq2i abs1 3eqtr3i breqtrri oveq1 fveq2d breqtrrid nsyl adantlr fprodm1s
      cmul simpr oveq2 sylan9eqr eqtrd mtand neqned ralrimiva nfv nfcsb1v nfcv
      mul01d nfne weq csbeq1a neeq1d cbvral rsp sylbir syl imp ) ACUAZEUBLZMZBN
      UCZACDUAZBUDZNUCZDXFUJZXGXHUEZAXKDXFAXIXFMZUFZXJNXOXJNOZEXIUGPZBCUHZNOZXO
      QUIUKPZXRQRPZSLZTULXSXOYBXTXOYAXOXRQAXRVBMXNAXQBCAEXIUMAXEXQMZXEGMZBVBMZA
      EGMZXGYDYCIXEEXIUNFXEEGHUOZUPJUQZURUSQVBMXOUTVAVCVDXTVEMXOUIVFVGVHVAKVIXS
      XTNQRPZSLZYBTXTQYJTVJQVKZSLQSLYJQQUTVLYKYISQVMVNVOVPVQXSYAYISXRNQRVRVSVTW
      AXOXPUFXREXIQRPZUGPZBCUHZXJWDPZNXOXRYOOXPXOBCEXIAXNWEAYCYEXNYHWBWCUSXPXOY
      OYNNWDPNXJNYNWDWFXOYNXOYMBCXOEYLUMAXEYMMZYEXNAYPYDYEAYFXGYDYPIXEEYLUNYGUP
      JUQWBURWOWGWHWIWJWKXLXHCXFUJXMXHXKCDXFXHDWLCXJNCXIBWMCNWNWPCDWQBXJNCXIBWR
      WSWTXHCXFXAXBXCXD @.
    @}

    ntrivcvgcaulem4.5 @e |- ( ( ph /\ x e. RR+ ) ->
      E. n e. Z A. q e. ( ZZ>= ` n )
       ( abs ` ( prod_ k e. ( n ... q ) A - 1 ) ) < x ) @.

    ntrivcvgcaulem4 @p |- ( ( ph /\ x e. RR+ ) ->
      E. j e. ( ZZ>= ` K ) A. p e. ( ZZ>= ` j )
      ( abs ` ( prod_ k e. ( ( j + 1 ) ... p ) A - 1 ) ) < ( x / 2 ) ) @= ? @.

    @{
    @d j p @. @d j ph @. @d j x @. @d K p @. @d p ph @. @d p x @. @d A m @.
    @d j k @. @d j m @. @d K k @. @d k m @. @d K m @. @d k p @. @d k ph @.
    @d k x @. @d m ph @.

    @( Lemma for ~ ntrivcvgcau .  Translate final hypothesis into
       a Cauchy-like criterion.  (Contributed by Scott Fenton, 30-Dec-2017.) @)
    ntrivcvgcaulem5 @p |- ( ( ph /\ x e. RR+ ) ->
     E. j e. Z A. p e. ( ZZ>= ` j )
       ( abs ` ( prod_ k e. ( K ... p ) A - prod_ k e. ( K ... j ) A ) )
                 < x ) @=
      ( wcel wa co cv crp c1 caddc cfz cprod cmin cabs cfv c2 cdiv clt wbr wral
      cuz wrex ntrivcvgcaulem4 wss eleqtrdi uzss sseqtrrdi adantr sseld adantrd
      syl wi w3a cmul fzfid simplll simpll elfzuz uztrn2 syl2an syl2anc fprodcl
      cr cc abscld 3adant3 simpl peano2uzs ax-1cn subcld simplr rphalfcld rpred
      2re a1i cc0 cle absge0d simprl eleq1 anbi2d prodeq1d oveq1d fveq2d breq1d
      weq oveq2 imbi12d chvarv ntrivcvgcaulem2 simp3 ltmul12ad wceq c0 eluzelre
      cin ad2antrl fzdisj cun simprr elfzuzb sylanbrc fzsplit fprodsplit muls1d
      ltp1d eqtr4d absmuld eqtr2d simp1r rpcn 2cn 2ne0 divcan2d 3brtr3d anassrs
      wne 3expia ralimdva expimpd jcad reximdv2 mpd ) ABUAZUBRZSZDUAZUCUDTZLUAZ
      UETZCEUFZUCUGTZUHUIZYRUJUKTZULUMZLUUAUOUIZUNZDHUOUIZUPHUUCUETZCEUFZHUUAUE
      TZCEUFZUGTZUHUIZYRULUMZLUUJUNZDJUPABCDEFGHIJKLMNOPQUQYTUUKUUTDUULJYTUUAUU
      LRZUUKSUUAJRZUUTYTUVAUVBUUKYTUULJUUAAUULJURYSAUULIUOUIZJAHUVCRUULUVCURAHJ
      UVCNMUSIHUTVEMVAVBVCVDYTUVAUUKUUTYTUVASUUIUUSLUUJYTUVAUUCUUJRZUUIUUSVFYTU
      VAUVDSZUUIUUSYTUVEUUIVGZUUPUHUIZUUGVHTZUJUUHVHTZUURYRULUVFUVGUJUUGUUHYTUV
      EUVGVQRUUIYTUVESZUUPUVJUUOCEUVJHUUAVIUVJEUAZUUORZSAUVKJRZCVRRZAYSUVEUVLVJ
      UVJHJRZUVKUULRZUVMUVLUVJAUVOAYSUVEVKZNVEZUVKHUUAVLIUVKHJMVMZVNOVOVPZVSVTU
      JVQRUVFWHWIYTUVEUUGVQRUUIUVJUUFUVJUUEUCUVJUUDCEUVJUUBUUCVIUVJUVKUUDRZSAUV
      MUVNAYSUVEUWAVJUVJUUBJRZUVKUUBUOUIRUVMUWAUVJUVBUWBYTUVOUVAUVBUVEAUVOYSNVB
      UVAUVDWAIUUAHJMVMVNIUUAJMWBVEUVKUUBUUCVLIUVKUUBJMVMVNOVOVPZUCVRRUVJWCWIWD
      ZVSVTYTUVEUUHVQRUUIUVJUUHUVJYRAYSUVEWEWFWGVTYTUVEWJUVGWKUMUUIUVJUUPUVTWLV
      TYTUVEUVGUJULUMZUUIUVJAUVAUWEUVQYTUVAUVDWMZACEDHIJMNOAFUAZUULRZSZHUWGUETZ
      CEUFZUCUGTZUHUIZUCUJUKTZULUMZVFAUVASZUUPUCUGTZUHUIZUWNULUMZVFFDFDWTZUWIUW
      PUWOUWSUWTUWHUVAAUWGUUAUULWNWOUWTUWMUWRUWNULUWTUWLUWQUHUWTUWKUUPUCUGUWTUW
      JUUOCEUWGUUAHUEXAWPWQWRWSXBPXCXDVOVTYTUVEWJUUGWKUMUUIUVJUUFUWDWLVTYTUVEUU
      IXEXFYTUVEUVHUURXGUUIUVJUURUUPUUFVHTZUHUIUVHUVJUUQUXAUHUVJUUQUUPUUEVHTZUU
      PUGTUXAUVJUUNUXBUUPUGUVJUUOUUDCUUMEUVJUUAUUBULUMUUOUUDXJXHXGUVJUUAUVAUUAV
      QRYTUVDHUUAXIXKXTHUUAUUBUUCXLVEUVJUUAUUMRZUUMUUOUUDXMXGUVJUVAUVDUXCUWFYTU
      VAUVDXNUUAHUUCXOXPUUAHUUCXQVEUVJHUUCVIUVJUVKUUMRZSAUVMUVNAYSUVEUXDVJUVJUV
      OUVPUVMUXDUVRUVKHUUCVLUVSVNOVOXRWQUVJUUPUUEUVTUWCXSYAWRUVJUUPUUFUVTUWDYBY
      CVTUVFYSUVIYRXGAYSUVEUUIYDYSYRUJYRYEUJVRRYSYFWIUJWJYKYSYGWIYHVEYIYLYJYMYN
      YOYPYQ @.
    @}
  @}
  $)

  ${
    $d F j $.  $d F k $.  $d F n $.  $d j k $.  $d j n $.  $d j ph $.
    $d k ph $.  $d M j $.  $d M k $.  $d M n $.  $d n ph $.  $d Z k $.
    iprodefisumlem.1 $e |- Z = ( ZZ>= ` M ) $.
    iprodefisumlem.2 $e |- ( ph -> M e. ZZ ) $.
    iprodefisumlem.3 $e |- ( ph -> F : Z --> CC ) $.
    $( Lemma for ~ iprodefisum .  (Contributed by Scott Fenton,
       11-Feb-2018.) $)
    iprodefisumlem $p |- ( ph -> seq M ( x. , ( exp o. F ) ) =
       ( exp o. seq M ( + , F ) ) ) $=
      ( vk vj cmul ce caddc cc wcel cfv wceq fvco3 syl wi co vn ccom cseq cv wa
      wf sylan ffvelrnda efcl eqeltrd prodf ffnd wfn eff ffn ax-mp serf sylancr
      fnfco cuz c1 fveq2 2fveq3 eqeq12d imbi2d cz uzid eleqtrrdi syl2anc fveq2d
      weq seq1 3eqtr4d a1i 3ad2ant3 adantl peano2uz adantr oveq2d expcom eqcomi
      w3a oveq1 eleq2s imp ffvelrnd efadd eqtr4d 3adant3 eqtrd seqp1 a2d uzind4
      3exp impcom eqfnfvd ) AHDJKBUBZCUCZKLBCUCZUBZADMWRAHWQCDEFAHUDZDNZUEZXAWQ
      OZXABOZKOZMADMBUFZXBXDXFPGDMXAKBQUGXCXEMNXFMNADMXABGUHZXEUIRUJUKULAKMUMZD
      MWSUFZWTDUMMMKUFXIUNMMKUOUPAHBCDEFXHUQZMDKWSUSURXCXAWROZXAWSOKOZXAWTOZXBA
      XLXMPZAXOSZXACUTOZDAIUDZWROZXRWSOKOZPZSACWROZCWSOZKOZPZSZAUAUDZWROZYGWSOZ
      KOZPZSAYGVALTZWROZYLWSOZKOZPZSXPIUACXAXRCPZYAYEAYQXSYBXTYDXRCWRVBXRCKWSVC
      VDVEIUAVKZYAYKAYRXSYHXTYJXRYGWRVBXRYGKWSVCVDVEXRYLPZYAYPAYSXSYMXTYOXRYLWR
      VBXRYLKWSVCVDVEIHVKZYAXOAYTXSXLXTXMXRXAWRVBXRXAKWSVCVDVEYFCVFNZACWQOZCBOZ
      KOZYBYDAXGCDNUUBUUDPGACXQDAUUACXQNFCVGREVHDMCKBQVIAUUAYBUUBPFJWQCVLRAYCUU
      CKAUUAYCUUCPFLBCVLRVJVMVNYGXQNZAYKYPUUEAYKYPUUEAYKWBZYHYLWQOZJTZYIYLBOZLT
      ZKOZYMYOUUFUUHYJUUGJTZUUKYKUUEUUHUULPAYHYJUUGJWCVOUUEAUULUUKPYKUUEAUEZUUL
      YJUUIKOZJTZUUKUUMUUGUUNYJJUUMXGYLDNZUUGUUNPAXGUUEGVPZUUEUUPAUUEYLXQDCYGVQ
      EVHVRZDMYLKBQVIVSUUMYIMNZUUIMNUUKUUOPUUEAUUSAUUSSYGDXQAYGDNUUSADMYGWSXKUH
      VTDXQEWAWDWEUUMDMYLBUUQUURWFYIUUIWGVIWHWIWJUUEAYMUUHPZYKUUEUUTAJWQCYGWKVR
      WIUUEAYOUUKPYKUUMYNUUJKUUEYNUUJPALBCYGWKVRVJWIVMWNWLWMEWDWOAXJXBXNXMPXKDM
      XAKWSQUGWHWP $.
  $}

  ${
    $d F k $.  $d k ph $.  $d M k $.  $d Z k $.  $d F j $.  $d j k $.
    $d Z j $.  $d j ph $.  $d M j $.
    iprodefisum.1 $e |- Z = ( ZZ>= ` M ) $.
    iprodefisum.2 $e |- ( ph -> M e. ZZ ) $.
    iprodefisum.3 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = B ) $.
    iprodefisum.4 $e |- ( ( ph /\ k e. Z ) -> B e. CC ) $.
    iprodefisum.5 $e |- ( ph -> seq M ( + , F ) e. dom ~~> ) $.
    $( Applying the exponential function to an infinite sum yields an infinite
       product.  (Contributed by Scott Fenton, 11-Feb-2018.) $)
    iprodefisum $p |- ( ph -> prod_ k e. Z ( exp ` B ) =
       ( exp ` sum_ k e. Z B ) ) $=
      ( vj ce cfv cc wcel syl caddc cseq cli cmpt ccom csu cc0 wne isumcl efne0
      cv cmul ccncf co efcn a1i wa wceq fveq2 eqid fvex adantl eqeltrd serf cuz
      fvmpt eqcomi eleq2s seqfeq cdm wbr climdm eqbrtrd climcl climcncf cbvmptv
      sylib fmptd iprodefisumlem isum fveq2d 3brtr4d wf fvco3 sylan 3eqtrd efcl
      iprodn0 ) ABMNZCMLFLUHZDNZUAZUBZEFBCUCZMNZFGHAWKOPWLUDUEABCDEFGHIJKUFWKUG
      QAMRWIESZUBRDESZTNZMNUIWJESWLTAOOWOMWMEFGHMOOUJUKPAULUMACWIEFGHACUHZFPZUN
      ZWPWINZWPDNZOWQWSWTUOZALWPWHWTFWIWGWPDUPZWIUQWPDURVCZUSZWRWTBOIJUTZUTVAAW
      MWNWOTARCWIDEHWPEVBNZPXAAXAWPFXFXCFXFGVDVEUSVFAWNTVGPWNWOTVHZKWNVIVNZVJAX
      GWOOPXHWOWNVKQVLAWIEFGHACFWTOWIXELCFWHWTXBVMVOZVPAWKWOMABCDEFGHIJVQVRVSWR
      WPWJNZWSMNZWTMNWFAFOWIVTWQXJXKUOXIFOWPMWIWAWBWRWSWTMXDVRWRWTBMIVRWCWRBOPW
      FOPJBWDQWE $.
  $}

  ${
    $d A j $.  $d A k $.  $d A z $.  $d j k $.  $d j ph $.  $d k ph $.
    $d k z $.
    iprodgam.1 $e |- ( ph -> A e. ( CC \ ( ZZ \ NN ) ) ) $.
    $( An infinite product version of Euler's gamma function.  (Contributed by
       Scott Fenton, 12-Feb-2018.) $)
    iprodgam $p |- ( ph -> ( _G ` A ) =
    ( prod_ k e. NN ( ( ( 1 + ( 1 / k ) ) ^c A ) / ( 1 + ( A / k ) ) ) /
      A ) ) $=
      ( vj cfv ce cn c1 cdiv co caddc cc wcel wceq clog cmul cmin oveq12d eqtrd
      vz clgam cgam cv ccxp cprod cz cdif eflgam oveq1 fvoveq1d sumeq2sdv fveq2
      syl csu df-lgam ovex fvmpt fveq2d cmpt nnuz 1zzd weq id oveq2d oveq2 eqid
      adantl wa eldifad adantr peano2nn nncnd nncn cc0 wne nnne0 divcld divne0d
      nnne0d logcld mulcld 1cnd addcld simpr dmgmdivn0 cseq cli wbr cdm lgamcvg
      subcld seqex breldm isumcl dmgmn0 efsub syl2anc iprodefisum dividd oveq1d
      divdird crp 1rp nnrpd rpreccld rpaddcld rpcnd rpne0d cxpefd eflog addcomd
      a1i eqtr4d prodeq2dv eqtr3d ) ABUBFZGFZBUCFZHIICUDZJKZLKZBUEKZIBXTJKZLKZJ
      KZCUFZBJKZABMUGHUHZUHZNZXRXSODBUIUNAXRHBXTILKZXTJKZPFZQKZYDILKZPFZRKZCUOZ
      BPFZRKZGFZYHAXQUUAGAYKXQUUAODUABHUAUDZYNQKZUUCXTJKZILKPFZRKZCUOZUUCPFZRKU
      UAYJUBUUCBOZUUHYSUUIYTRUUJHUUGYRCUUJUUDYOUUFYQRUUCBYNQUJUUJUUEYDIPLUUCBXT
      JUJUKSULUUCBPUMSUACUPYSYTRUQURUNUSAUUBYSGFZYTGFZJKZYHAYSMNYTMNUUBUUMOAYRC
      EHBEUDZILKZUUNJKZPFZQKZBUUNJKZILKPFZRKZUTZIHVAAVBZXTHNZXTUVBFYROAEXTUVAYR
      HUVBECVCZUURYOUUTYQRUVEUUQYNBQUVEUUPYMPUVEUUOYLUUNXTJUUNXTILUJUVEVDSUSVEU
      VEUUSYDIPLUUNXTBJVFUKSUVBVGZYOYQRUQURVHZAUVDVIZYOYQUVHBYNABMNZUVDABMYIDVJ
      ZVKZUVHYMUVHYLXTUVHYLUVDYLHNAXTVLVHZVMZUVDXTMNAXTVNVHZUVDXTVOVPAXTVQVHZVR
      UVHYLXTUVMUVNUVHYLUVLVTUVOVSWAWBZUVHYPUVHYDIUVHBXTUVKUVNUVOVRZUVHWCZWDZUV
      HBXTAYKUVDDVKAUVDWEZWFZWAZWLZALUVBIWGZXQYTLKZWHWIUWDWHWJNABEUVBUVFDWKUWDU
      WEWHLUVBIWMXQYTLUQWNUNZWOABUVJABDWPZWAYSYTWQWRAUUKYGUULBJAHYRGFZCUFUUKYGA
      YRCUVBIHVAUVCUVGUWCUWFWSAHUWHYFCUVHUWHYOGFZYQGFZJKZYFUVHYOMNYQMNUWHUWKOUV
      PUWBYOYQWQWRUVHUWIYCUWJYEJUVHUWIBYBPFZQKZGFYCUVHYOUWMGUVHYNUWLBQUVHYMYBPU
      VHYMXTXTJKZYALKYBUVHXTIXTUVNUVRUVNUVOXBUVHUWNIYALUVHXTUVNUVOWTXATUSVEUSUV
      HYBBUVHYBUVHIYAIXCNUVHXDXMUVHXTUVHXTUVTXEXFXGZXHUVHYBUWOXIUVKXJXNUVHUWJYP
      YEUVHYPMNYPVOVPUWJYPOUVSUWAYPXKWRUVHYDIUVQUVRXLTSTXOXPAUVIBVOVPUULBOUVJUW
      GBXKWRSTTXP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Factorial limits
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d a b $.  $d a k $.  $d a n $.  $d b n $.  $d b x $.  $d k n $.  $d M a $.
    $d M b $.  $d M k $.  $d M n $.  $d M x $.
    $( Lemma for ~ faclim .  Closed form for a particular sequence.
       (Contributed by Scott Fenton, 15-Dec-2017.) $)
    faclimlem1 $p |- ( M e. NN0 ->
     seq 1 ( x. , ( n e. NN |-> ( ( ( 1 + ( M / n ) ) x. ( 1 + ( 1 / n ) ) ) /
     ( 1 + ( ( M + 1 ) / n ) ) ) ) ) =
     ( x e. NN |-> ( ( M + 1 ) x. ( ( x + 1 ) / ( x + ( M + 1 ) ) ) ) ) ) $=
      ( vb wcel cv cmul cn c1 cdiv co caddc cfv wceq oveq1 oveq12d oveq2d oveq2
      3eqtrd rpcnd va vk cn0 cmpt cseq wral wa wi fveq2 cz 1z seq1 ax-mp eqtrdi
      eqeq12d imbi2d weq 1nn eqid ovex fvmpt nn0cn div1d 1div1e1 oveq2i nn0p1nn
      nncnd 1cnd addcomd oveq1d cc ax-1cn addcli nnaddcld nnne0d divassd syl5eq
      a1i cuz seqp1 nnuz eleq2s adantr adantl peano2nn syl nnrpd simpl rpaddcld
      rpdivcld crp cr nn0re nndivred recnd cc0 cle wbr divge0d ge0p1rpd eqeltrd
      nn0ge0 1rp rpreccld rpmulcld mulassd rpne0d divcan5d mul12d mulid1d simpr
      adddid nn0cnd divcan2d addassd eqtrd eqtr3d divcan1d 3eqtr3rd exp31 nnind
      a2d impcom eqtr4d ralrimiva wfn wb seqfn fneq2i mpbir fnmpti eqfnfv mp2an
      sylibr ) CUCEZDFZGBHICBFZJKZLKZIIYQJKZLKZGKZICILKZYQJKZLKZJKZUDZIUEZMZYPA
      HUUCAFZILKZUUJUUCLKZJKZGKZUDZMZNZDHUFZUUHUUONZYOUUQDHYOYPHEZUGUUIUUCYPILK
      ZYPUUCLKZJKZGKZUUPUUTYOUUIUVDNZYOUAFZUUHMZUUCUVFILKZUVFUUCLKZJKZGKZNZUHYO
      IUUGMZUUCIILKZIUUCLKZJKZGKZNZUHYOUBFZUUHMZUUCUVSILKZUVSUUCLKZJKZGKZNZUHYO
      UWAUUHMZUUCUWAILKZUWAUUCLKZJKZGKZNZUHYOUVEUHUAUBYPUVFINZUVLUVRYOUWLUVGUVM
      UVKUVQUWLUVGIUUHMZUVMUVFIUUHUIIUJEZUWMUVMNUKGUUGIULUMUNUWLUVJUVPUUCGUWLUV
      HUVNUVIUVOJUVFIILOUVFIUUCLOPQUOUPUAUBUQZUVLUWEYOUWOUVGUVTUVKUWDUVFUVSUUHU
      IUWOUVJUWCUUCGUWOUVHUWAUVIUWBJUVFUVSILOUVFUVSUUCLOPQUOUPUVFUWANZUVLUWKYOU
      WPUVGUWFUVKUWJUVFUWAUUHUIUWPUVJUWIUUCGUWPUVHUWGUVIUWHJUVFUWAILOUVFUWAUUCL
      OPQUOUPUADUQZUVLUVEYOUWQUVGUUIUVKUVDUVFYPUUHUIUWQUVJUVCUUCGUWQUVHUVAUVIUV
      BJUVFYPILOUVFYPUUCLOPQUOUPYOUVMICIJKZLKZIIIJKZLKZGKZIUUCIJKZLKZJKZUVQIHEZ
      UVMUXENURBIUUFUXEHUUGYQINZUUBUXBUUEUXDJUXGYSUWSUUAUXAGUXGYRUWRILYQICJRQUX
      GYTUWTILYQIIJRQPUXGUUDUXCILYQIUUCJRQPUUGUSZUXBUXDJUTVAUMYOUXEICLKZUVNGKZU
      VOJKUUCUVNGKZUVOJKUVQYOUXBUXJUXDUVOJYOUWSUXIUXAUVNGYOUWRCILYOCCVBZVCQUXAU
      VNNYOUWTIILVDVEVRPYOUXCUUCILYOUUCYOUUCCVFZVGZVCQPYOUXJUXKUVOJYOUXIUUCUVNG
      YOICYOVHUXLVIVJVJYOUUCUVNUVOUXNUVNVKEYOIIVLVLVMVRYOUVOYOIUUCUXFYOURVRUXMV
      NZVGYOUVOUXOVOVPSVQUVSHEZYOUWEUWKUXPYOUWEUWKUXPYOUGZUWEUGUWFUVTUWAUUGMZGK
      ZUWDUXRGKZUWJUXQUWFUXSNZUWEUXPUYAYOUYAUVSIVSMZHGUUGIUVSVTWAWBWCWCUWEUXSUX
      TNUXQUVTUWDUXRGOWDUXQUXTUWJNUWEUXQUXTUWDICUWAJKZLKZIIUWAJKZLKZGKZIUUCUWAJ
      KZLKZJKZGKZUUCUWCUYJGKZGKUWJUXPUXTUYKNYOUXPUXRUYJUWDGUXPUWAHEZUXRUYJNUVSW
      EZBUWAUUFUYJHUUGYQUWANZUUBUYGUUEUYIJUYOYSUYDUUAUYFGUYOYRUYCILYQUWACJRQUYO
      YTUYEILYQUWAIJRQPUYOUUDUYHILYQUWAUUCJRQPUXHUYGUYIJUTVAWFQWCUXQUUCUWCUYJUX
      QUUCYOUUCHEUXPUXMWDZVGZUXQUWCUXQUWAUWBUXQUWAUXPUYMYOUYNWCZWGZUXQUVSUUCUXQ
      UVSUXPYOWHZWGUXQUUCUYPWGZWIZWJZTZUXQUYJUXQUYGUYIUXQUYDUYFUXQUYDUYCILKWKUX
      QIUYCUXQVHZUXQUYCUXQCUWAYOCWLEUXPCWMWDZUYRWNZWOZVIUXQUYCVUGUXQCUWAVUFUYSY
      OWPCWQWRUXPCXBWDWSWTXAZUXQIUYEIWKEUXQXCVRZUXQUWAUYSXDZWIZXEZUXQIUYHVUJUXQ
      UUCUWAVUAUYSWJZWIZWJTXFUXQUYLUWIUUCGUXQUWAUWCUYGGKZGKZUWAUYIGKZJKVUPUYIJK
      UWIUYLUXQVUPUYIUWAUXQVUPUXQUWCUYGVUCVUMXETUXQUYIVUOTZUXQUWAUYRVGZUXQUYIVU
      OXGZUXQUWAUYRVOZXHUXQVUQUWGVURUWHJUXQVUQUWCUWAUYGGKZGKUWCUWBUYFGKZGKZUWGU
      XQUWAUWCUYGVUTVUDUXQUYGVUMTZXIUXQVVCVVDUWCGUXQUWAUYDGKZUYFGKVVCVVDUXQUWAU
      YDUYFVUTUXQUYDVUITUXQUYFVULTZXFUXQVVGUWBUYFGUXQVVGUWAIGKZUWAUYCGKZLKUWACL
      KZUWBUXQUWAIUYCVUTVUEVUHXLUXQVVIUWAVVJCLUXQUWAVUTXJZUXQCUWAUXQCUXPYOXKXMZ
      VUTVVBXNPUXQVVKUVSUXILKUWBUXQUVSICUXQUVSUYTVGVUEVVMXOUXQUXIUUCUVSLUXQICVU
      EVVMVIQXPSVJXQQUXQUWCUWBGKZUYFGKZVVEUWGUXQUWCUWBUYFVUDUXQUWBVUBTZVVHXFUXQ
      VVOUWAUYFGKVVIUWAUYEGKZLKUWGUXQVVNUWAUYFGUXQUWAUWBVUTVVPUXQUWBVUBXGXRVJUX
      QUWAIUYEVUTVUEUXQUYEVUKTXLUXQVVIUWAVVQILVVLUXQIUWAVUEVUTVVBXNPSXQSUXQVURV
      VIUWAUYHGKZLKUWHUXQUWAIUYHVUTVUEUXQUYHVUNTXLUXQVVIUWAVVRUUCLVVLUXQUUCUWAU
      YQVUTVVBXNPXPPUXQUWCUYGUYIVUDVVFVUSVVAVPXSQSWCSXTYBYAYCUUTUUPUVDNYOAYPUUN
      UVDHUUOADUQZUUMUVCUUCGVVSUUKUVAUULUVBJUUJYPILOUUJYPUUCLOPQUUOUSZUUCUVCGUT
      VAWDYDYEUUHHYFZUUOHYFUUSUURYGVWAUUHUYBYFZUWNVWBUKGUUGIYHUMHUYBUUHWAYIYJAH
      UUNUUOUUCUUMGUTVVTYKDHUUHUUOYLYMYN $.
  $}

  ${
    $d k m $.  $d M k $.  $d M m $.  $d M n $.
    $( Lemma for ~ faclim .  Show a limit for the inductive step.  (Contributed
       by Scott Fenton, 15-Dec-2017.) $)
    faclimlem2 $p |- ( M e. NN0 ->
     seq 1 ( x. ,
     ( n e. NN |-> ( ( ( 1 + ( M / n ) ) x. ( 1 + ( 1 / n ) ) ) /
     ( 1 + ( ( M + 1 ) / n ) ) ) ) ) ~~> ( M + 1 ) ) $=
      ( vm vk wcel cmul cn c1 cv cdiv co caddc cmpt cli cvv nnuz nnex mptex a1i
      adantl cn0 cseq faclimlem1 1zzd 1cnd nn0p1nn nnzd cfv wceq weq oveq1 eqid
      oveq12d ovex fvmpt divcnvlin nncnd cc wa peano2nn nnred nnaddcld nndivred
      simpr adantr recnd fmpttd ffvelrnda oveq2d eqtr4d mulid1d breqtrd eqbrtrd
      climmulc2 ) BUAEZFAGHBAIZJKLKHHVPJKLKFKHBHLKZVPJKLKJKMHUBCGVQCIZHLKZVRVQL
      KZJKZFKZMZVQNCABUCVOWCVQHFKVQNVOHVQDCGWAMZWCHOGPVOUDZVOHVQDWDHOGPWEVOUEVO
      VQBUFZUGWDOEVOCGWAQRSDIZGEZWGWDUHZWGHLKZWGVQLKZJKZUIVOCWGWAWLGWDCDUJZVSWJ
      VTWKJVRWGHLUKVRWGVQLUKUMZWDULWJWKJUNUOZTUPVOVQWFUQZWCOEVOCGWBQRSVOGURWGWD
      VOCGWAURVOVRGEZUSZWAWRVSVTWRVSWQVSGEVOVRUTTVAWRVRVQVOWQVDVOVQGEWQWFVEVBVC
      VFVGVHWHWGWCUHZVQWIFKZUIVOWHWSVQWLFKZWTCWGWBXAGWCWMWAWLVQFWNVIWCULVQWLFUN
      UOWHWIWLVQFWOVIVJTVNVOVQWPVKVLVM $.
  $}

  $( Lemma for ~ faclim .  Algebraic manipulation for the final induction.
     (Contributed by Scott Fenton, 15-Dec-2017.) $)
  faclimlem3 $p |- ( ( M e. NN0 /\ B e. NN ) ->
  ( ( ( 1 + ( 1 / B ) ) ^ ( M + 1 ) ) / ( 1 + ( ( M + 1 ) / B ) ) ) =
  ( ( ( ( 1 + ( 1 / B ) ) ^ M ) / ( 1 + ( M / B ) ) ) x.
    ( ( ( 1 + ( M / B ) ) x. ( 1 + ( 1 / B ) ) ) / ( 1 + ( ( M + 1 ) / B ) ) )
    ) ) $=
    ( cn0 wcel cn c1 cdiv co caddc cexp cmul crp 1rp a1i adantl rpaddcld rpne0d
    rpcnd oveq1d rpdivcld wa nnrp rpreccld simpl expp1d cz nn0z rpexpcl syl2anr
    1cnd nn0nndivcl addcomd nn0ge0div ge0p1rpd eqeltrd divcan1d mulassd 3eqtr2d
    recnd rpmulcld nn0p1nn nnrpd adantr divassd eqtrd ) BCDZAEDZUAZFFAGHZIHZBFI
    HZJHZFVKAGHZIHZGHVJBJHZFBAGHZIHZGHZVQVJKHZKHZVNGHVRVSVNGHKHVHVLVTVNGVHVLVOV
    JKHVRVQKHZVJKHVTVHVJBVHVJVHFVIFLDZVHMNZVGVILDVFVGAAUBZUCZOPZRZVFVGUDUEVHWAV
    OVJKVHVOVQVHVOVGVJLDBUFDVOLDVFVGFVIWBVGMNWEPBUGVJBUHUIZRVHVQVHVQVPFIHLVHFVP
    VHUJVHVPBAUKZUSULVHVPWIBAUMUNUOZRZVHVQWJQUPSVHVRVQVJVHVRVHVOVQWHWJTRZWKWGUQ
    URSVHVRVSVNWLVHVSVHVQVJWJWFUTRVHVNVHFVMWCVHVKAVFVKLDVGVFVKBVAVBVCVGALDVFWDO
    TPZRVHVNWMQVDVE $.

  ${
    $d A a b m n x $.
    faclim.1 $e |- F =
         ( n e. NN |-> ( ( ( 1 + ( 1 / n ) ) ^ A ) / ( 1 + ( A / n ) ) ) ) $.
    $( An infinite product expression relating to factorials.  Originally due
       to Euler.  (Contributed by Scott Fenton, 22-Nov-2017.) $)
    faclim $p |- ( A e. NN0 -> seq 1 ( x. , F ) ~~> ( ! ` A ) ) $=
      ( wcel cmul c1 cseq cn cdiv co caddc cexp cfa cfv cli wceq cc0 oveq12d cc
      va vm vb vx cn0 cmpt seqeq3 ax-mp wbr oveq2 oveq1 oveq2d mpteq2dv seqeq3d
      cv fveq2 fac0 eqtrdi breq12d weq csn cxp 1red nnrecre readdcld recnd nncn
      exp0d nnne0 div0d 1p0e1 1div1e1 fconstmpt eqtr4i wtru nnuz 1zzd climprod1
      mpteq2ia mptru eqbrtri wa cvv simpr seqex faclimlem2 adantr elnnuz biimpi
      a1i cuz adantl cfz wf crp nnrp rpreccld rpaddcld nn0z rpexpcld nn0nndivcl
      1rp 1cnd addcomd nn0ge0div ge0p1rpd eqeltrd rpdivcld rpcnd fmpttd ffvelrn
      cz elfznn syl2an adantlr mulcl rpmulcld nn0p1nn rpdivcl faclimlem3 oveq1d
      seqcl nnrpd eqid ovex fvmpt 3eqtr4d sylan2 prodfmul facp1 breqtrrd nn0ind
      climmul ex eqbrtrid ) AUEEFCGHZFBIGGBUOZJKZLKZAMKZGAYQJKZLKZJKZUFZGHZANOZ
      PCUUDQYPUUEQDFCUUDGUGUHFBIYSUAUOZMKZGUUGYQJKZLKZJKZUFZGHZUUGNOZPUIFBIYSRM
      KZGRYQJKZLKZJKZUFZGHZGPUIFBIYSUBUOZMKZGUVAYQJKZLKZJKZUFZGHZUVANOZPUIZFBIY
      SUVAGLKZMKZGUVJYQJKZLKZJKZUFZGHZUVJNOZPUIZUUEUUFPUIUAUBAUUGRQZUUMUUTUUNGP
      UVSUULUUSFGUVSBIUUKUURUVSUUHUUOUUJUUQJUUGRYSMUJUVSUUIUUPGLUUGRYQJUKULSUMU
      NUVSUUNRNOGUUGRNUPUQURUSUAUBUTZUUMUVGUUNUVHPUVTUULUVFFGUVTBIUUKUVEUVTUUHU
      VBUUJUVDJUUGUVAYSMUJUVTUUIUVCGLUUGUVAYQJUKULSUMUNUUGUVANUPUSUUGUVJQZUUMUV
      PUUNUVQPUWAUULUVOFGUWABIUUKUVNUWAUUHUVKUUJUVMJUUGUVJYSMUJUWAUUIUVLGLUUGUV
      JYQJUKULSUMUNUUGUVJNUPUSUUGAQZUUMUUEUUNUUFPUWBUULUUDFGUWBBIUUKUUCUWBUUHYT
      UUJUUBJUUGAYSMUJUWBUUIUUAGLUUGAYQJUKULSUMUNUUGANUPUSUUTFIGVAVBZGHZGPUUSUW
      CQUUTUWDQUUSBIGUFUWCBIUURGYQIEZUURGGJKGUWEUUOGUUQGJUWEYSUWEYSUWEGYRUWEVCY
      QVDVEVFVHUWEUUQGRLKGUWEUUPRGLUWEYQYQVGYQVIVJULVKURSVLURVSBIGVMVNFUUSUWCGU
      GUHUWDGPUIVOGIVPVOVQVRVTWAUVAUEEZUVIUVRUWFUVIWBZUVPUVHUVJFKZUVQPUWGUVHUVJ
      UAUVGFBIUVDYSFKZUVMJKZUFZGHZUVPGWCIVPUWGVQUWFUVIWDUVPWCEUWGFUVOGWEWJUWFUW
      LUVJPUIUVIBUVAWFWGUWFUUGIEZUUGUVGOZTEUVIUWFUWMWBZUCUDFTUVFGUUGUWMUUGGWKOE
      ZUWFUWMUWPUUGWHWIWLZUWFUCUOZGUUGWMKEZUWRUVFOZTEZUWMUWFITUVFWNUWRIEZUXAUWS
      UWFBIUVETUWFUWEWBZUVEUXCUVBUVDUXCYSUVAUXCGYRGWOEUXCXBWJZUWEYRWOEUWFUWEYQY
      QWPZWQWLWRZUWFUVAXLEUWEUVAWSWGWTUXCUVDUVCGLKWOUXCGUVCUXCXCUXCUVCUVAYQXAZV
      FXDUXCUVCUXGUVAYQXEXFXGZXHXIXJUWRUUGXMZITUWRUVFXKXNXOZUWRTEUDUOZTEWBUWRUX
      KFKTEUWOUWRUXKXPWLZYBXOUWFUWMUUGUWLOZTEUVIUWOUCUDFTUWKGUUGUWQUWFUWSUWRUWK
      OZTEZUWMUWFITUWKWNUXBUXOUWSUWFBIUWJTUXCUWJUXCUWIUVMUXCUVDYSUXHUXFXQUXCGUV
      LUXDUWFUVJWOEYQWOEUVLWOEUWEUWFUVJUVAXRYCUXEUVJYQXSXNWRXHXIXJUXIITUWRUWKXK
      XNXOZUXLYBXOUWFUWMUUGUVPOUWNUXMFKQUVIUWOUCUVFUWKUVOGUUGUWQUXJUXPUWFUWSUWR
      UVOOZUWTUXNFKZQZUWMUWSUWFUXBUXSUXIUWFUXBWBGGUWRJKZLKZUVJMKZGUVJUWRJKZLKZJ
      KZUYAUVAMKZGUVAUWRJKZLKZJKZUYHUYAFKZUYDJKZFKZUXQUXRUWRUVAXTUXBUXQUYEQUWFB
      UWRUVNUYEIUVOBUCUTZUVKUYBUVMUYDJUYMYSUYAUVJMUYMYRUXTGLYQUWRGJUJULZYAUYMUV
      LUYCGLYQUWRUVJJUJULZSUVOYDUYBUYDJYEYFWLUXBUXRUYLQUWFUXBUWTUYIUXNUYKFBUWRU
      VEUYIIUVFUYMUVBUYFUVDUYHJUYMYSUYAUVAMUYNYAUYMUVCUYGGLYQUWRUVAJUJULZSUVFYD
      UYFUYHJYEYFBUWRUWJUYKIUWKUYMUWIUYJUVMUYDJUYMUVDUYHYSUYAFUYPUYNSUYOSUWKYDU
      YJUYDJYEYFSWLYGYHXOYIXOYMUWFUVQUWHQUVIUVAYJWGYKYNYLYO $.
  $}

  ${
    $d A k x $.
    $( An infinite product expression for factorial.  (Contributed by Scott
       Fenton, 15-Dec-2017.) $)
    iprodfac $p |- ( A e. NN0 -> ( ! ` A ) =
      prod_ k e. NN ( ( ( 1 + ( 1 / k ) ) ^ A ) / ( 1 + ( A / k ) ) ) ) $=
      ( vx cn0 wcel cn c1 cv cdiv co caddc cexp cprod cfa cfv cmpt oveq2 oveq2d
      nnuz crp 1zzd facne0 eqid faclim wceq oveq1d oveq12d ovex fvmpt adantl wa
      weq 1rp a1i simpr nnrpd rpreccld rpaddcld nn0z adantr rpexpcld nn0nndivcl
      cz recnd addcomd nn0ge0div ge0p1rpd eqeltrd rpdivcld rpcnd iprodn0 eqcomd
      1cnd ) ADEZFGGBHZIJZKJZALJZGAVOIJZKJZIJZBMANOZVNWABCFGGCHZIJZKJZALJZGAWCI
      JZKJZIJZPZGWBFSVNUAAUBACWJWJUCZUDVOFEZVOWJOWAUEVNCVOWIWAFWJCBULZWFVRWHVTI
      WMWEVQALWMWDVPGKWCVOGIQRUFWMWGVSGKWCVOAIQRUGWKVRVTIUHUIUJVNWLUKZWAWNVRVTW
      NVQAWNGVPGTEWNUMUNWNVOWNVOVNWLUOUPUQURVNAVCEWLAUSUTVAWNVTVSGKJTWNGVSWNVMW
      NVSAVOVBZVDVEWNVSWOAVOVFVGVHVIVJVKVL $.
  $}

  ${
    $d a m $.  $d a n $.  $d k m $.  $d k n $.  $d M a $.  $d m n $.  $d M n $.
    faclim2.1 $e |- F =
     ( n e. NN |->
     ( ( ( ! ` n ) x. ( ( n + 1 ) ^ M ) ) / ( ! ` ( n + M ) ) ) ) $.
    $( Another factorial limit due to Euler.  (Contributed by Scott Fenton,
       17-Dec-2017.) $)
    faclim2 $p |- ( M e. NN0 -> F ~~> 1 ) $=
      ( wcel cn cfa cfv c1 caddc co cexp cmul cdiv cli wceq oveq2 oveq12d nncnd
      cc0 va vm vk cn0 cmpt wbr oveq2d fveq2d mpteq2dv breq1d weq wtru cvv nnuz
      cv 1zzd nnex mptex a1i 1cnd fveq2 oveq1 oveq1d fvoveq1 eqid ovex peano2nn
      fvmpt exp0d nnnn0 faccl mulid1d eqtrd addid1d nnne0d dividd 3eqtrd adantl
      syl nncn climconst mptru wa simpr nn0p1nn nnzd divcnvlin adantr cc nnnn0d
      nnexpcl sylan ancoms nnmulcld nnred nnnn0addcl nndivred ffvelrnda adantlr
      recnd fmpttd nnaddcld simpl expp1d mulassd eqtr4d nn0addcld facp1 addassd
      nn0cnd 3eqtr3d divmuldivd 3eqtr4d climmul 1t1e1 breqtrdi nn0ind eqbrtrid
      ex ) CUDEBAFAUOZGHZXTIJKZCLKZMKZXTCJKZGHZNKZUEZIODAFYAYBUAUOZLKZMKZXTYIJK
      ZGHZNKZUEZIOUFAFYAYBTLKZMKZXTTJKZGHZNKZUEZIOUFZAFYAYBUBUOZLKZMKZXTUUCJKZG
      HZNKZUEZIOUFZAFYAYBUUCIJKZLKZMKZXTUUKJKZGHZNKZUEZIOUFZYHIOUFUAUBCYITPZYOU
      UAIOUUSAFYNYTUUSYKYQYMYSNUUSYJYPYAMYITYBLQUGUUSYLYRGYITXTJQUHRUIUJUAUBUKZ
      YOUUIIOUUTAFYNUUHUUTYKUUEYMUUGNUUTYJUUDYAMYIUUCYBLQUGUUTYLUUFGYIUUCXTJQUH
      RUIUJYIUUKPZYOUUQIOUVAAFYNUUPUVAYKUUMYMUUONUVAYJUULYAMYIUUKYBLQUGUVAYLUUN
      GYIUUKXTJQUHRUIUJYICPZYOYHIOUVBAFYNYGUVBYKYDYMYFNUVBYJYCYAMYICYBLQUGUVBYL
      YEGYICXTJQUHRUIUJUUBULIUBUUAIUMFUNULUPUUAUMEULAFYTUQURUSULUTUUCFEZUUCUUAH
      ZIPULUVCUVDUUCGHZUUKTLKZMKZUUCTJKZGHZNKZUVEUVENKIAUUCYTUVJFUUAAUBUKZYQUVG
      YSUVINUVKYAUVEYPUVFMXTUUCGVAUVKYBUUKTLXTUUCIJVBVCRXTUUCTGJVDRUUAVEUVGUVIN
      VFVHUVCUVGUVEUVIUVENUVCUVGUVEIMKUVEUVCUVFIUVEMUVCUUKUVCUUKUUCVGSVIUGUVCUV
      EUVCUVEUVCUUCUDEZUVEFEUUCVJUUCVKVSZSZVLVMUVCUVHUUCGUVCUUCUUCVTVNUHRUVCUVE
      UVNUVCUVEUVMVOVPVQVRWAWBUVLUUJUURUVLUUJWCZUUQIIMKIOUVOIIUCUUIAFYBUUNNKZUE
      ZUUQIUMFUNUVOUPUVLUUJWDUUQUMEUVOAFUUPUQURUSUVLUVQIOUFUUJUVLIUUKUCUVQIUMFU
      NUVLUPUVLUTUVLUUKUUCWEZWFUVQUMEUVLAFUVPUQURUSUCUOZFEZUVSUVQHZUVSIJKZUVSUU
      KJKZNKZPUVLAUVSUVPUWDFUVQAUCUKZYBUWBUUNUWCNXTUVSIJVBZXTUVSUUKJVBRUVQVEUWB
      UWCNVFVHZVRWGWHUVLUVTUVSUUIHZWIEUUJUVLFWIUVSUUIUVLAFUUHWIUVLXTFEZWCZUUHUW
      JUUEUUGUWJUUEUWJYAUUDUWJXTUDEYAFEUWJXTUVLUWIWDZWJXTVKVSUWIUVLUUDFEZUWIYBF
      EZUVLUWLXTVGZYBUUCWKWLWMWNWOUWJUUFUDEUUGFEUWJUUFUWIUVLUUFFEXTUUCWPWMWJUUF
      VKVSWQWTXAWRWSUVLUVTUWAWIEUUJUVLFWIUVSUVQUVLAFUVPWIUWJUVPUWJYBUUNUWJYBUWI
      UWMUVLUWNVRWOUWJXTUUKUWKUVLUUKFEZUWIUVRWHXBWQWTXAWRWSUVLUVTUVSUUQHZUWHUWA
      MKZPUUJUVLUVTWCZUVSGHZUWBUUKLKZMKZUWCGHZNKZUWSUWBUUCLKZMKZUVSUUCJKZGHZNKZ
      UWDMKZUWPUWQUWRUXCUXEUWBMKZUXGUWCMKZNKUXIUWRUXAUXJUXBUXKNUWRUXAUWSUXDUWBM
      KZMKUXJUWRUWTUXLUWSMUWRUWBUUCUWRUWBUVTUWBFEZUVLUVSVGZVRSZUVLUVTXCZXDUGUWR
      UWSUXDUWBUWRUWSUWRUVSUDEUWSFEUWRUVSUVLUVTWDZWJZUVSVKVSZSUWRUXDUVTUVLUXDFE
      ZUVTUXMUVLUXTUXNUWBUUCWKWLWMZSUXOXEXFUWRUXFIJKZGHZUXGUYBMKZUXBUXKUWRUXFUD
      EZUYCUYDPUWRUVSUUCUXRUXPXGZUXFXHVSUWRUYBUWCGUWRUVSUUCIUWRUVSUXQSUWRUUCUXP
      XJUWRUTXIZUHUWRUYBUWCUXGMUYGUGXKRUWRUXEUXGUWBUWCUWRUXEUWRUWSUXDUXSUYAWNSU
      WRUXGUWRUYEUXGFEUYFUXFVKVSZSUXOUWRUWCUWRUVSUUKUXQUVLUWOUVTUVRWHXBZSUWRUXG
      UYHVOUWRUWCUYIVOXLXFUVTUWPUXCPUVLAUVSUUPUXCFUUQUWEUUMUXAUUOUXBNUWEYAUWSUU
      LUWTMXTUVSGVAZUWEYBUWBUUKLUWFVCRXTUVSUUKGJVDRUUQVEUXAUXBNVFVHVRUVTUWQUXIP
      UVLUVTUWHUXHUWAUWDMAUVSUUHUXHFUUIUWEUUEUXEUUGUXGNUWEYAUWSUUDUXDMUYJUWEYBU
      WBUUCLUWFVCRXTUVSUUCGJVDRUUIVEUXEUXGNVFVHUWGRVRXMWSXNXOXPXSXQXR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Greatest common divisor and divisibility
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Swap the second and third arguments of a gcd.  (Contributed by Scott
     Fenton, 8-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  gcd32 $p |- ( ( A e. ZZ /\ B e. ZZ /\ C e. ZZ ) ->
    ( ( A gcd B ) gcd C ) = ( ( A gcd C ) gcd B ) ) $=
    ( cz wcel w3a cgcd co wceq gcdcom 3adant1 oveq2d gcdass 3com23 3eqtr4d ) AD
    EZBDEZCDEZFZABCGHZGHACBGHZGHZABGHCGHACGHBGHZSTUAAGQRTUAIPBCJKLCBAMPRQUCUBIB
    CAMNO $.

  $( Absorption law for gcd.  (Contributed by Scott Fenton, 8-Apr-2014.)
     (Revised by Mario Carneiro, 19-Apr-2014.) $)
  gcdabsorb $p |- ( ( A e. ZZ /\ B e. ZZ ) -> ( ( A gcd B ) gcd B ) = ( A gcd B
      ) ) $=
    ( cz wcel wa cgcd cabs cfv wceq gcdass 3anidm23 gcdid oveq2d adantl gcdabs2
    co 3eqtrd ) ACDZBCDZEABFPZBFPZABBFPZFPZABGHZFPZTRSUAUCIBBAJKSUCUEIRSUBUDAFB
    LMNBAOQ $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Properties of relationships
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    brtp.1 $e |- X e. _V $.
    brtp.2 $e |- Y e. _V $.
    $( A condition for a binary relation over an unordered triple.
       (Contributed by Scott Fenton, 8-Jun-2011.) $)
    brtp $p |- ( X { <. A , B >. , <. C , D >. , <. E , F >. } Y <->
                 ( ( X = A /\ Y = B ) \/
                   ( X = C /\ Y = D ) \/
                   ( X = E /\ Y = F ) ) ) $=
      ( cop ctp wbr wcel wceq w3o wa df-br opex opth eltp 3orbi123i 3bitri ) GH
      ABKZCDKZEFKZLZMGHKZUGNUHUDOZUHUEOZUHUFOZPGAOHBOQZGCOHDOQZGEOHFOQZPGHUGRUH
      UDUEUFGHSUAUIULUJUMUKUNGHABIJTGHCDIJTGHEFIJTUBUC $.
  $}

  ${
    $d A x y $.
    dftr6.1 $e |- A e. _V $.
    $( A potential definition of transitivity for sets.  (Contributed by Scott
       Fenton, 18-Mar-2012.) $)
    dftr6 $p |- ( Tr A <-> A e. ( _V \ ran ( ( _E o. _E ) \ _E ) ) ) $=
      ( vx vy wel cv wcel wa wi wal cep cdif wn cvv wbr wex epeli anbi12i exbii
      3bitri ccom crn wtr elrn brdif vex brco epel notbii 19.41v exanali bitr3i
      bitri exnal con2bii dftr2 eldif mpbiran 3bitr4i ) CDEZDFZAGZHZCFZAGZIDJZC
      JZAKKUAZKLZUBZGZMZAUCANVJLGZVKVGVKVDAVIOZCPVFMZCPVGMCAVIBUDVNVOCVNVDAVHOZ
      VDAKOZMZHVCDPZVEMZHZVOVDAVHKUEVPVSVRVTVPVDVAKOZVAAKOZHZDPVSDVDAKKCUFBUGWD
      VCDWBUTWCVBDVDUHVAABQRSUMVQVEVDABQUIRWAVCVTHDPVOVCVTDUJVCVEDUKULTSVFCUNTU
      OCDAUPVMANGVLBANVJUQURUS $.
  $}

  ${
    $d A x $.  $d B x $.  $d R x $.
    coep.1 $e |- A e. _V $.
    coep.2 $e |- B e. _V $.
    $( Composition with the membership relation.  (Contributed by Scott Fenton,
       18-Feb-2013.) $)
    coep $p |- ( A ( _E o. R ) B <-> E. x e. B A R x ) $=
      ( cv wbr cep wex wcel ccom wrex epeli anbi1ci exbii brco df-rex 3bitr4i
      wa ) BAGZDHZUACIHZTZAJUACKZUBTZAJBCIDLHUBACMUDUFAUCUEUBUACFNOPABCIDEFQUBA
      CRS $.

    $( Composition with the converse membership relation.  (Contributed by
       Scott Fenton, 18-Feb-2013.) $)
    coepr $p |- ( A ( R o. `' _E ) B <-> E. x e. A x R B ) $=
      ( cv cep ccnv wbr wa wex wcel ccom wrex vex brcnv epeli bitri anbi1i brco
      exbii df-rex 3bitr4i ) BAGZHIZJZUECDJZKZALUEBMZUHKZALBCDUFNJUHABOUIUKAUGU
      JUHUGUEBHJUJBUEHEAPQUEBERSTUBABCDUFEFUAUHABUCUD $.
  $}

  ${
    $d R x y z $.  $d A x y z $.
    $( A quantifier-free definition of a well-founded relationship.
       (Contributed by Scott Fenton, 11-Apr-2011.) $)
    dffr5 $p |- ( R Fr A <->
                  ( ~P A \ { (/) } ) C_ ran ( _E \ ( _E o. `' R ) ) ) $=
      ( vx vz vy cv c0 cdif wcel cep wi wal wss wa wbr wrex anbi12i bitri vex
      wn cpw csn ccnv ccom crn wne wral wfr eldif velpw necon3bbii wex wel epel
      velsn brdif coep brcnv rexbii dfrex2 3bitrri con1bii exbii df-rex 3bitr4i
      elrn imbi12i albii dfss2 df-fr 3bitr4ri ) CFZAUAZGUBZHZIZVLJJBUCZUDZHZUEZ
      IZKZCLVLAMZVLGUFZNZDFZEFZBOZTDVLUGZEVLPZKZCLVOVTMABUHWBWKCVPWEWAWJVPVLVMI
      ZVLVNIZTZNWEVLVMVNUIWLWCWNWDCAUJWMVLGCGUOUKQRWGVLVSOZEULECUMZWINZEULWAWJW
      OWQEWOWGVLJOZWGVLVROZTZNWQWGVLJVRUPWRWPWTWICWGUNWIWSWSWGWFVQOZDVLPWHDVLPW
      ITDWGVLVQESZCSZUQXAWHDVLWGWFBXBDSURUSWHDVLUTVAVBQRVCEVLVSXCVFWIEVLVDVEVGV
      HCVOVTVICEDABVJVK $.
  $}

  ${
    $d A x y $.  $d R x y $.
    $( Quantifier-free definition of a strict order.  (Contributed by Scott
       Fenton, 22-Feb-2013.) $)
    dfso2 $p |- ( R Or A <->
              ( R Po A /\ ( A X. A ) C_ ( R u. ( _I u. `' R ) ) ) ) $=
      ( vx vy wor wpo cv wbr wral wa cid cun wcel wi wal wo brun bitr2i 3bitr4i
      vex weq w3o cxp ccnv wss df-so cop opelxp ideq brcnv orbi12i orbi2i df-br
      3orass imbi12i 2albii wrel wb relxp ssrel ax-mp r2al anbi2i bitr4i ) ABEA
      BFZCGZDGZBHZCDUAZVGVFBHZUBZDAICAIZJVEAAUCZBKBUDZLZLZUEZJCDABUFVQVLVEVFVGU
      GZVMMZVRVPMZNZDOCOZVFAMVGAMJZVKNZDOCOVQVLWAWDCDVSWCVTVKVFVGAAUHVKVFVGVPHZ
      VTVHVIVJPZPVHVFVGVOHZPVKWEWFWGVHWGVFVGKHZVFVGVNHZPWFVFVGKVNQWHVIWIVJVFVGD
      TZUIVFVGBCTWJUJUKRULVHVIVJUNVFVGBVOQSVFVGVPUMRUOUPVMUQVQWBURAAUSCDVMVPUTV
      AVKCDAAVBSVCVD $.
  $}

  ${
    $d b ch $.  $d e et $.  $d a b c d e f g h p q P $.  $d a ps $.  $d g si $.
    $d a b c d e f g h p q x A $.  $d p q x ph $.  $d a b c d e f g h x rh $.
    $d a b c d e f g h p q x B $.  $d a b c d e f g h p q x C $.  $d d ta $.
    $d a b c d e f g h p q x D $.  $d a b c d e f g h p q x E $.  $d c th $.
    $d a b c d e f g h p q x F $.  $d a b c d e f g h p q x G $.  $d f ze $.
    $d a b c d e f g h p q x H $.  $d a b c d e f g h p q x S $.
    $d a b c d e f g h x Q $.  $d a b c d e f g h x X $.
    br8.1 $e |- ( a = A -> ( ph <-> ps ) ) $.
    br8.2 $e |- ( b = B -> ( ps <-> ch ) ) $.
    br8.3 $e |- ( c = C -> ( ch <-> th ) ) $.
    br8.4 $e |- ( d = D -> ( th <-> ta ) ) $.
    br8.5 $e |- ( e = E -> ( ta <-> et ) ) $.
    br8.6 $e |- ( f = F -> ( et <-> ze ) ) $.
    br8.7 $e |- ( g = G -> ( ze <-> si ) ) $.
    br8.8 $e |- ( h = H -> ( si <-> rh ) ) $.
    br8.9 $e |- ( x = X -> P = Q ) $.
    br8.10 $e |- R = { <. p , q >. |
       E. x e. S E. a e. P E. b e. P E. c e. P E. d e. P E. e e. P
       E. f e. P E. g e. P E. h e. P ( p = <. <. a , b >. , <. c , d >. >. /\
       q = <. <. e , f >. , <. g , h >. >. /\ ph ) } $.
    $( Substitution for an eight-place predicate.  (Contributed by Scott
       Fenton, 26-Sep-2013.)  (Revised by Mario Carneiro, 3-May-2015.) $)
    br8 $p |- ( ( ( X e. S /\ A e. Q /\ B e. Q ) /\
                   ( C e. Q /\ D e. Q /\ E e. Q ) /\
                   ( F e. Q /\ G e. Q /\ H e. Q ) ) ->
      ( <. <. A , B >. , <. C , D >. >. R <. <. E , F >. , <. G , H >. >. <->
        rh ) ) $=
      ( cop wbr wceq wrex wcel opex eqeq1 3anbi1d rexbidv 2rexbidv 3anbi2d brab
      cv w3a wa wi wb opth vex sylan9bb eqcoms biimp3a a1i rexlimdva rexlimdvva
      sylbi simpl11 simpl12 simpl13 simpl21 simpl22 simpl23 simpl31 eqidd simpr
      simpl32 simpl33 opeq2d eqeq2d 3anbi23d rspc2ev syl113anc 3anbi13d rspc3ev
      opeq1 opeq1d syl31anc rexeqdv rexeqbidv rspcev syl2anc ex impbid syl5bb
      opeq2 ) KLVDZMNVDZVDZUCUDVDZUEUFVDZVDZQVEYAUJVPZUKVPZVDZULVPZUMVPZVDZVDZV
      FZYDSVPZTVPZVDZUAVPZUBVPZVDZVDZVFZAVQZUBOVGZUAOVGZTOVGZSOVGZUMOVGZULOVGZU
      KOVGZUJOVGZJRVGZUGRVHZKPVHZLPVHZVQZMPVHZNPVHZUCPVHZVQZUDPVHZUEPVHZUFPVHZV
      QZVQZIUIVPZYKVFZUHVPZYSVFZAVQZUBOVGZUAOVGTOVGZSOVGUMOVGZULOVGUKOVGZUJOVGJ
      RVGYLUVGAVQZUBOVGZUAOVGTOVGZSOVGUMOVGZULOVGUKOVGZUJOVGJRVGUUJUIUHYAYDQXSX
      TVIYBYCVIUVDYAVFZUVLUVQJUJROUVRUVKUVPUKULOOUVRUVJUVOUMSOOUVRUVIUVNTUAOOUV
      RUVHUVMUBOUVRUVEYLUVGAUVDYAYKVJVKVLVMVMVMVMUVFYDVFZUVQUUHJUJROUVSUVPUUFUK
      ULOOUVSUVOUUDUMSOOUVSUVNUUBTUAOOUVSUVMUUAUBOUVSUVGYTYLAUVFYDYSVJVNVLVMVMV
      MVMVCVOUVCUUJIUVCUUHIJUJROUVCJVPZRVHYEOVHVRVRZUUFIUKULOOUWAYFOVHYHOVHVRVR
      ZUUDIUMSOOUWBYIOVHYMOVHVRVRZUUBITUAOOUWCYNOVHYPOVHVRVRZUUAIUBOUUAIVSUWDYQ
      OVHVRYLYTAIYLAEYTIAEVTZYKYAYKYAVFYGXSVFZYJXTVFZVRUWEYGYJXSXTYEYFVIYHYIVIW
      AUWFACUWGEUWFYEKVFZYFLVFZVRACVTYEYFKLUJWBUKWBWAUWHABUWICUNUOWCWIUWGYHMVFZ
      YINVFZVRCEVTYHYIMNULWBUMWBWAUWJCDUWKEUPUQWCWIWCWIWDEIVTZYSYDYSYDVFYOYBVFZ
      YRYCVFZVRUWLYOYRYBYCYMYNVIYPYQVIWAUWMEGUWNIUWMYMUCVFZYNUDVFZVREGVTYMYNUCU
      DSWBTWBWAUWOEFUWPGURUSWCWIUWNYPUEVFZYQUFVFZVRGIVTYPYQUEUFUAWBUBWBWAUWQGHU
      WRIUTVAWCWIWCWIWDWCWEWFWGWHWHWHWHUVCIUUJUVCIVRZUUKUUAUBPVGZUAPVGZTPVGZSPV
      GZUMPVGZULPVGZUKPVGZUJPVGZUUJUUKUULUUMUURUVBIWJUWSUULUUMUUOYAXSMYIVDZVDZV
      FZYTDVQZUBPVGZUAPVGZTPVGZSPVGUMPVGZUXGUUKUULUUMUURUVBIWKUUKUULUUMUURUVBIW
      LUUOUUPUUQUUNUVBIWMUWSUUPUUQUUSYAYAVFZYDYBYRVDZVFZGVQZUBPVGUAPVGZUXOUUOUU
      PUUQUUNUVBIWNUUOUUPUUQUUNUVBIWOUUSUUTUVAUUNUURIWPUWSUUTUVAUXPYDYDVFZIUXTU
      USUUTUVAUUNUURIWSUUSUUTUVAUUNUURIWTUWSYAWQUWSYDWQUVCIWRUXSUXPUYAIVQUXPYDY
      BUEYQVDZVDZVFZHVQUAUBUEUFPPUWQUXRUYDGHUXPUWQUXQUYCYDUWQYRUYBYBYPUEYQXHXAX
      BUTXCUWRUYDUYAHIUXPUWRUYCYDYDUWRUYBYCYBYQUFUEXRXAXBVAXCXDXEUXMUXTUXPYTEVQ
      ZUBPVGUAPVGUXPYDUCYNVDZYRVDZVFZFVQZUBPVGUAPVGUMSTNUCUDPPPUWKUXKUYEUAUBPPU
      WKUXJUXPDEYTUWKUXIYAYAUWKUXHXTXSYINMXRXAXBUQXFVMUWOUYEUYIUAUBPPUWOYTUYHEF
      UXPUWOYSUYGYDUWOYOUYFYRYMUCYNXHXIXBURXCVMUWPUYIUXSUAUBPPUWPUYHUXRFGUXPUWP
      UYGUXQYDUWPUYFYBYRYNUDUCXRXIXBUSXCVMXGXJUXDUXOYAKYFVDZYJVDZVFZYTBVQZUBPVG
      ZUAPVGTPVGZSPVGUMPVGYAXSYJVDZVFZYTCVQZUBPVGZUAPVGTPVGZSPVGUMPVGUJUKULKLMP
      PPUWHUXBUYOUMSPPUWHUWTUYNTUAPPUWHUUAUYMUBPUWHYLUYLABYTUWHYKUYKYAUWHYGUYJY
      JYEKYFXHXIXBUNXFVLVMVMUWIUYOUYTUMSPPUWIUYNUYSTUAPPUWIUYMUYRUBPUWIUYLUYQBC
      YTUWIUYKUYPYAUWIUYJXSYJYFLKXRXIXBUOXFVLVMVMUWJUYTUXNUMSPPUWJUYSUXLTUAPPUW
      JUYRUXKUBPUWJUYQUXJCDYTUWJUYPUXIYAUWJYJUXHXSYHMYIXHXAXBUPXFVLVMVMXGXJUUIU
      XGJUGRUVTUGVFZUUHUXFUJOPVBVUAUUGUXEUKOPVBVUAUUFUXDULOPVBVUAUUEUXCUMOPVBVU
      AUUDUXBSOPVBVUAUUCUXATOPVBVUAUUBUWTUAOPVBVUAUUAUBOPVBXKXLXLXLXLXLXLXLXMXN
      XOXPXQ $.
  $}

  ${
    $d b ch $.  $d e et $.  $d a b c d e f p q P $.  $d p q x ph $.  $d a ps $.
    $d a b c d e f p q x A $.  $d a b c d e f p q x B $.  $d a b c d e f x Q $.
    $d a b c d e f p q x C $.  $d a b c d e f p q x D $.  $d a b c d e f x X $.
    $d a b c d e f p q x E $.  $d d ta $.  $d c th $.  $d a b c d e f x ze $.
    $d a b c d e f p q x F $.  $d a b c d e f p q x S $.
    br6.1 $e |- ( a = A -> ( ph <-> ps ) ) $.
    br6.2 $e |- ( b = B -> ( ps <-> ch ) ) $.
    br6.3 $e |- ( c = C -> ( ch <-> th ) ) $.
    br6.4 $e |- ( d = D -> ( th <-> ta ) ) $.
    br6.5 $e |- ( e = E -> ( ta <-> et ) ) $.
    br6.6 $e |- ( f = F -> ( et <-> ze ) ) $.
    br6.7 $e |- ( x = X -> P = Q ) $.
    br6.8 $e |- R = { <. p , q >. |
       E. x e. S E. a e. P E. b e. P E. c e. P E. d e. P E. e e. P
       E. f e. P ( p = <. a , <. b , c >. >. /\
       q = <. d , <. e , f >. >. /\ ph ) } $.
    $( Substitution for a six-place predicate.  (Contributed by Scott Fenton,
       4-Oct-2013.)  (Revised by Mario Carneiro, 3-May-2015.) $)
    br6 $p |- ( ( X e. S /\
                   ( A e. Q /\ B e. Q /\ C e. Q ) /\
                   ( D e. Q /\ E e. Q /\ F e. Q ) ) ->
      ( <. A , <. B , C >. >. R <. D , <. E , F >. >. <-> ze ) ) $=
      ( cop wbr cv wceq w3a wrex wcel opex eqeq1 eqcom 3anbi1d rexbidv 2rexbidv
      bitrdi 3anbi2d brab wa wi wb vex opth sylan9bb sylbi rexlimdva rexlimdvva
      biimp3a a1i simpl1 simpl2 opeq1 eqeq1d 3anbi23d opeq2d eqid pm3.2i df-3an
      opeq2 mpbiran rspc3ev 3ad2antl3 3anbi13d syl2anc rexeqdv rexeqbidv rspcev
      ex impbid syl5bb ) IJKUPZUPZLSTUPZUPZOUQUDURZUEURZUFURZUPZUPZXEUSZUGURZQU
      RZRURZUPZUPZXGUSZAUTZRMVAZQMVAZUGMVAZUFMVAZUEMVAZUDMVAZHPVAZUAPVBZINVBJNV
      BKNVBUTZLNVBSNVBTNVBUTZUTZGUCURZXLUSZUBURZXRUSZAUTZRMVAZQMVAUGMVAZUFMVAUE
      MVAZUDMVAHPVAXMYOAUTZRMVAZQMVAUGMVAZUFMVAUEMVAZUDMVAHPVAYGUCUBXEXGOIXDVCL
      XFVCYLXEUSZYSUUCHUDPMUUDYRUUBUEUFMMUUDYQUUAUGQMMUUDYPYTRMUUDYMXMYOAUUDYMX
      EXLUSXMYLXEXLVDXEXLVEVIVFVGVHVHVHYNXGUSZUUCYEHUDPMUUEUUBYCUEUFMMUUEUUAYAU
      GQMMUUEYTXTRMUUEYOXSXMAUUEYOXGXRUSXSYNXGXRVDXGXRVEVIVJVGVHVHVHUOVKYKYGGYK
      YEGHUDPMYKHURZPVBXHMVBVLVLZYCGUEUFMMUUGXIMVBXJMVBVLVLZYAGUGQMMUUHXNMVBXOM
      VBVLVLZXTGRMXTGVMUUIXPMVBVLXMXSAGXMADXSGXMXHIUSZXKXDUSZVLADVNXHXKIXDUDVOX
      IXJVCVPUUJABUUKDUHUUKXIJUSZXJKUSZVLBDVNXIXJJKUEVOUFVOVPUULBCUUMDUIUJVQVRV
      QVRXSXNLUSZXQXFUSZVLDGVNXNXQLXFUGVOXOXPVCVPUUNDEUUOGUKUUOXOSUSZXPTUSZVLEG
      VNXOXPSTQVORVOVPUUPEFUUQGULUMVQVRVQVRVQWAWBVSVTVTVTYKGYGYKGVLZYHXTRNVAZQN
      VAZUGNVAZUFNVAZUENVAZUDNVAZYGYHYIYJGWCUURYIXEXEUSZXSDUTZRNVAZQNVAUGNVAZUV
      DYHYIYJGWDYJYHGUVHYIUVFGUVELXQUPZXGUSZEUTUVELSXPUPZUPZXGUSZFUTZUGQRLSTNNN
      UUNXSUVJDEUVEUUNXRUVIXGXNLXQWEWFUKWGUUPUVJUVMEFUVEUUPUVIUVLXGUUPXQUVKLXOS
      XPWEWHWFULWGUUQUVNUVEXGXGUSZGUTZGUUQUVMUVOFGUVEUUQUVLXGXGUUQUVKXFLXPTSWLW
      HWFUMWGUVPUVEUVOVLGUVEUVOXEWIXGWIWJUVEUVOGWKWMVIWNWOUVAUVHIXKUPZXEUSZXSBU
      TZRNVAZQNVAUGNVAIJXJUPZUPZXEUSZXSCUTZRNVAZQNVAUGNVAUDUEUFIJKNNNUUJUUSUVTU
      GQNNUUJXTUVSRNUUJXMUVRABXSUUJXLUVQXEXHIXKWEWFUHWPVGVHUULUVTUWEUGQNNUULUVS
      UWDRNUULUVRUWCBCXSUULUVQUWBXEUULXKUWAIXIJXJWEWHWFUIWPVGVHUUMUWEUVGUGQNNUU
      MUWDUVFRNUUMUWCUVECDXSUUMUWBXEXEUUMUWAXDIXJKJWLWHWFUJWPVGVHWNWQYFUVDHUAPU
      UFUAUSZYEUVCUDMNUNUWFYDUVBUEMNUNUWFYCUVAUFMNUNUWFYBUUTUGMNUNUWFYAUUSQMNUN
      UWFXTRMNUNWRWSWSWSWSWSWTWQXAXBXC $.
  $}

  ${
    $d a b c d p q x A $.  $d a b c d p q x B $.  $d b ch $.  $d a b c d x Q $.
    $d a b c d p q x C $.  $d a b c d p q x D $.  $d a ps $.  $d a b c d x X $.
    $d a b c d p q P $.  $d a b c d p q x S $.  $d a b c d x ta $.  $d c th $.
    $d p q x ph $.
    br4.1 $e |- ( a = A -> ( ph <-> ps ) ) $.
    br4.2 $e |- ( b = B -> ( ps <-> ch ) ) $.
    br4.3 $e |- ( c = C -> ( ch <-> th ) ) $.
    br4.4 $e |- ( d = D -> ( th <-> ta ) ) $.
    br4.5 $e |- ( x = X -> P = Q ) $.
    br4.6 $e |- R = { <. p , q >. |
       E. x e. S E. a e. P E. b e. P E. c e. P E. d e. P
       ( p = <. a , b >. /\ q = <. c , d >. /\ ph ) } $.
    $( Substitution for a four-place predicate.  (Contributed by Scott Fenton,
       9-Oct-2013.)  (Revised by Mario Carneiro, 14-Oct-2013.) $)
    br4 $p |- ( ( X e. S /\
                   ( A e. Q /\ B e. Q ) /\
                   ( C e. Q /\ D e. Q ) ) ->
      ( <. A , B >. R <. C , D >. <-> ta ) ) $=
      ( cop wbr cv wceq w3a wrex wcel wa eqeq1 3anbi1d rexbidv 2rexbidv 3anbi2d
      opex brab wi wb vex opth sylan9bb eqcoms biimp3a a1i rexlimdva rexlimdvva
      sylbi simpl1 simpl2l simpl2r simpl3l simpl3r eqidd simpr 3anbi23d rspc2ev
      opeq1 eqeq2d opeq2 syl113anc 3anbi13d syl3anc rexeqdv rexeqbidv rspcev ex
      syl2anc impbid syl5bb ) GHUHZIJUHZMUIWPRUJZSUJZUHZUKZWQTUJZUAUJZUHZUKZAUL
      ZUAKUMZTKUMZSKUMZRKUMZFNUMZONUNZGLUNZHLUNZUOZILUNZJLUNZUOZULZEQUJZWTUKZPU
      JZXDUKZAULZUAKUMZTKUMSKUMZRKUMFNUMXAYCAULZUAKUMZTKUMSKUMZRKUMFNUMXKQPWPWQ
      MGHVAIJVAXTWPUKZYFYIFRNKYJYEYHSTKKYJYDYGUAKYJYAXAYCAXTWPWTUPUQURUSUSYBWQU
      KZYIXIFRNKYKYHXGSTKKYKYGXFUAKYKYCXEXAAYBWQXDUPUTURUSUSUGVBXSXKEXSXIEFRNKX
      SFUJZNUNWRKUNUOUOZXGESTKKYMWSKUNXBKUNUOUOZXFEUAKXFEVCYNXCKUNUOXAXEAEXAACX
      EEACVDZWTWPWTWPUKWRGUKZWSHUKZUOYOWRWSGHRVESVEVFYPABYQCUBUCVGVMVHCEVDZXDWQ
      XDWQUKXBIUKZXCJUKZUOYRXBXCIJTVEUAVEVFYSCDYTEUDUEVGVMVHVGVIVJVKVLVLXSEXKXS
      EUOZXLXFUALUMZTLUMZSLUMZRLUMZXKXLXOXREVNUUAXMXNWPWPUKZXECULZUALUMTLUMZUUE
      XMXNXLXREVOXMXNXLXREVPUUAXPXQUUFWQWQUKZEUUHXPXQXLXOEVQXPXQXLXOEVRUUAWPVSU
      UAWQVSXSEVTUUGUUFUUIEULUUFWQIXCUHZUKZDULTUAIJLLYSXEUUKCDUUFYSXDUUJWQXBIXC
      WCWDUDWAYTUUKUUIDEUUFYTUUJWQWQXCJIWEWDUEWAWBWFUUCUUHWPGWSUHZUKZXEBULZUALU
      MTLUMRSGHLLYPXFUUNTUALLYPXAUUMABXEYPWTUULWPWRGWSWCWDUBWGUSYQUUNUUGTUALLYQ
      UUMUUFBCXEYQUULWPWPWSHGWEWDUCWGUSWBWHXJUUEFONYLOUKZXIUUDRKLUFUUOXHUUCSKLU
      FUUOXGUUBTKLUFUUOXFUAKLUFWIWJWJWJWKWMWLWNWO $.
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( Another distributive law of converse over class composition.
       (Contributed by Scott Fenton, 3-May-2014.) $)
    cnvco1 $p |- `' ( `' A o. B ) = ( `' B o. A ) $=
      ( vx vy vz ccnv ccom relcnv relco cv wbr wa wex cop wcel vex brcnv bicomi
      anbi12ci opelco exbii opelcnv bitri 3bitr4i eqrelriiv ) CDAFZBGZFZBFZAGZU
      GHUIAIDJZEJZBKZULCJZUFKZLZEMZUNULAKZULUKUIKZLZEMUNUKNZUHOZVAUJOUPUTEUMUSU
      OURUSUMULUKBEPZDPZQRULUNAVCCPZQSUAVBUKUNNUGOUQUNUKUGVEVDUBEUKUNUFBVDVETUC
      EUNUKUIAVEVDTUDUE $.

    $( Another distributive law of converse over class composition.
       (Contributed by Scott Fenton, 3-May-2014.) $)
    cnvco2 $p |- `' ( A o. `' B ) = ( B o. `' A ) $=
      ( vx vy vz ccnv ccom relcnv relco cv wbr wa wex cop wcel vex brcnv bicomi
      anbi12ci opelco exbii opelcnv bitri 3bitr4i eqrelriiv ) CDABFZGZFZBAFZGZU
      GHBUIIDJZEJZUFKZULCJZAKZLZEMZUNULUIKZULUKBKZLZEMUNUKNZUHOZVAUJOUPUTEUMUSU
      OURUKULBDPZEPZQURUOUNULACPZVDQRSUAVBUKUNNUGOUQUNUKUGVEVCUBEUKUNAUFVCVETUC
      EUNUKBUIVEVCTUDUE $.
  $}

  ${
    $d A x y z p $.  $d B x y z p $.
    $( Quantifier-free definition of membership in a domain.  (Contributed by
       Scott Fenton, 21-Jan-2017.) $)
    eldm3 $p |- ( A e. dom B <-> ( B |` { A } ) =/= (/) ) $=
      ( vx vy vp vz cdm wcel cvv csn cres c0 wne wceq cv eleq1 cop wex wa exbii
      elex wn snprc reseq2 res0 eqtrdi sylbi necon1ai reseq2d neeq1d dfclel vex
      sneq eldm2 n0 wrex elres pm5.32i opeq1 eqeq2d anbi1d bitr3id exbidv rexsn
      weq bitri excom 3bitri 3bitr4i vtoclbg pm5.21nii ) ABGZHZAIHZBAJZKZLMZAVL
      UAVNVPLVNUBVOLNZVPLNAUCVRVPBLKLVOLBUDBUEUFUGUHCOZVLHZBVSJZKZLMZVMVQCAIVSA
      VLPVSANZWBVPLWDWAVOBVSAUMUIUJVSDOZQZBHZDREOZWFNZWHBHZSZERZDRZVTWCWGWLDEWF
      BUKTDVSBCULZUNWCWHWBHZERWKDRZERWMEWBUOWOWPEWOWHFOZWEQZNZWRBHZSZDRZFWAUPWP
      FDWHBWAUQXBWPFVSWNFCVEZXAWKDXAWSWJSXCWKWSWJWTWHWRBPURXCWSWIWJXCWRWFWHWQVS
      WEUSUTVAVBVCVDVFTWKEDVGVHVIVJVK $.
  $}

  $( Quantifier-free definition of membership in a range.  (Contributed by
     Scott Fenton, 21-Jan-2017.) $)
  elrn3 $p |- ( A e. ran B <-> ( B i^i ( _V X. { A } ) ) =/= (/) ) $=
    ( crn wcel ccnv cdm csn cres wne cvv cxp cin df-rn eleq2i eldm3 wceq ineq2i
    c0 cnvxp cnvin df-res 3eqtr4ri eqeq1i wrel wb cnveq0 ax-mp bitr4i necon3bii
    relinxp 3bitri ) ABCZDABEZFZDUMAGZHZRIBJUOKZLZRIULUNABMNAUMOUPRURRUPRPUREZR
    PZURRPZUPUSRUMUQEZLUMUOJKZLUSUPVBVCUMJUOSQBUQTUMUOUAUBUCURUDVAUTUEJUOBUJURU
    FUGUHUIUK $.

  ${
    $d R x y z $.  $d A x y z $.

    $( The converse of a partial ordering is still a partial ordering.
       (Contributed by Scott Fenton, 13-Jun-2018.) $)
    pocnv $p |- ( R Po A -> `' R Po A ) $=
      ( vx vy vz wpo ccnv cv wcel wa wbr poirr vex brcnv sylnibr wi 3anrev potr
      w3a sylan2b anbi12ci 3imtr4g ispod ) ABFZCDEABGZUDCHZAIZJUFUFBKUFUFUEKAUF
      BLUFUFBCMZUHNOUDUGDHZAIZEHZAIZSZJUKUIBKZUIUFBKZJZUKUFBKZUFUIUEKZUIUKUEKZJ
      UFUKUEKUMUDULUJUGSUPUQPUGUJULQAUKUIUFBRTURUOUSUNUFUIBUHDMZNUIUKBUTEMZNUAU
      FUKBUHVANUBUC $.

    $( The converse of a strict ordering is still a strict ordering.
       (Contributed by Scott Fenton, 13-Jun-2018.) $)
    socnv $p |- ( R Or A -> `' R Or A ) $=
      ( wor ccnv cnvso biimpi ) ABCABDCABEF $.
  $}

  ${
    sotrd.1 $e |- ( ph -> R Or A ) $.
    sotrd.2 $e |- ( ph -> X e. A ) $.
    sotrd.3 $e |- ( ph -> Y e. A ) $.
    sotrd.4 $e |- ( ph -> Z e. A ) $.
    sotrd.5 $e |- ( ph -> X R Y ) $.
    sotrd.6 $e |- ( ph -> Y R Z ) $.
    $( Transitivity law for strict orderings, deduction form.  (Contributed by
       Scott Fenton, 24-Nov-2021.) $)
    sotrd $p |- ( ph -> X R Z ) $=
      ( wbr wor wcel wa wi sotr syl13anc mp2and ) ADECMZEFCMZDFCMZKLABCNDBOEBOF
      BOUAUBPUCQGHIJBDEFCRST $.
  $}

  $( Transitivity law for strict orderings.  (Contributed by Scott Fenton,
     24-Nov-2021.) $)
  sotr3 $p |- ( ( R Or A /\ ( X e. A /\ Y e. A /\ Z e. A ) ) ->
  ( ( X R Y /\ -. Z R Y ) -> X R Z ) ) $=
    ( wor wcel w3a wa wbr wn wceq wo wb simp3 simp2 jca sotric sylan2 con2bid
    adantr wi breq2 biimprcd adantl sotr expdimp jaod sylbird expimpd ) ABFZCAG
    ZDAGZEAGZHZIZCDBJZEDBJZKZCEBJZUPUQIZUSEDLZDEBJZMZUTUPVDUSNUQUPURVDUOUKUNUMI
    URVDKNUOUNUMULUMUNOULUMUNPQAEDBRSTUAVAVBUTVCUQVBUTUBUPVBUTUQEDCBUCUDUEUPUQV
    CUTACDEBUFUGUHUIUJ $.

  $( Trichotomy law for strict orderings.  (Contributed by Scott Fenton,
     8-Dec-2021.) $)
  sotrine $p |- ( ( R Or A /\ ( B e. A /\ C e. A ) ) ->
    ( B =/= C <-> ( B R C \/ C R B ) ) ) $=
    ( wor wcel wa wbr wo wceq wn sotrieq bicomd necon1abid ) ADEBAFCAFGGZBCDHCB
    DHIZBCOBCJPKABCDLMN $.

  ${
    $d F x y $.  $d G x y $.  $d X x y $.  $d Y x y $.
    $( Law for adjoining an element to restrictions of functions.  (Contributed
       by Scott Fenton, 6-Dec-2021.) $)
    eqfunresadj $p |- ( ( ( Fun F /\ Fun G ) /\ ( F |` X ) = ( G |` X ) /\
     ( Y e. dom F /\ Y e. dom G /\ ( F ` Y ) = ( G ` Y ) ) ) ->
     ( F |` ( X u. { Y } ) ) = ( G |` ( X u. { Y } ) ) ) $=
      ( vx vy wfun wa cres wceq cdm wcel cfv w3a cun relres cv wbr wo wb simp33
      breq 3ad2ant2 eqeq1d simp1l simp31 funbrfvb syl2anc simp1r simp32 3bitr3d
      csn velsn breq1 bibi12d syl5ibrcom syl5bi pm5.32d 3bitr4g orbi12d resundi
      vex brresi breqi brun bitri eqbrrdiv ) AGZBGZHZACIZBCIZJZDAKLZDBKLZDAMZDB
      MZJZNZNZEFACDULZOZIZBWBIZAWBPBWBPVTEQZFQZVKRZWEWFAWAIZRZSZWEWFVLRZWEWFBWA
      IZRZSZWEWFWCRZWEWFWDRZVTWGWKWIWMVMVJWGWKTVSWEWFVKVLUBUCVTWEWALZWEWFARZHWQ
      WEWFBRZHWIWMVTWQWRWSWQWEDJZVTWRWSTZEDUMVTXAWTDWFARZDWFBRZTVTVPWFJZVQWFJZX
      BXCVTVPVQWFVJVMVNVOVRUAUDVTVHVNXDXBTVHVIVMVSUEVJVMVNVOVRUFDWFAUGUHVTVIVOX
      EXCTVHVIVMVSUIVJVMVNVOVRUJDWFBUGUHUKWTWRXBWSXCWEDWFAUNWEDWFBUNUOUPUQURWAW
      EWFAFVBZVCWAWEWFBXFVCUSUTWOWEWFVKWHOZRWJWEWFWCXGACWAVAVDWEWFVKWHVEVFWPWEW
      FVLWLOZRWNWEWFWDXHBCWAVAVDWEWFVLWLVEVFUSVG $.
  $}

  $( Law for equality of restriction to successors.  This is primarily useful
     when ` X ` is an ordinal, but it does not require that.  (Contributed by
     Scott Fenton, 6-Dec-2021.) $)
  eqfunressuc $p |- ( ( ( Fun F /\ Fun G ) /\ ( F |` X ) = ( G |` X ) /\
   ( X e. dom F /\ X e. dom G /\ ( F ` X ) = ( G ` X ) ) ) ->
   ( F |` suc X ) = ( G |` suc X ) ) $=
    ( wfun wa cres wceq cdm wcel cfv w3a csn eqfunresadj df-suc reseq2i 3eqtr4g
    cun csuc ) ADBDEACFBCFGCAHICBHICAJCBJGKKACCLQZFBSFACRZFBTFABCCMTSACNZOTSBUA
    OP $.

  $( If ` (/) ` is not part of the range of a function ` F ` , then ` A ` is in
     the domain of ` F ` iff ` ( F `` A ) =/= (/) ` .  (Contributed by Scott
     Fenton, 7-Dec-2021.) $)
  funeldmb $p |- ( ( Fun F /\ -. (/) e. ran F ) ->
  ( A e. dom F <-> ( F ` A ) =/= (/) ) ) $=
    ( wfun c0 crn wcel wn wa cdm cfv wi fvelrn ex adantr wb eleq1 adantl sylibd
    wceq con3d impancom ndmfv impbid1 necon2abid ) BCZDBEZFZGZHZABIFZABJZDUIUKD
    SZUJGZUEULUHUMUEULHZUJUGUNUJUKUFFZUGUEUJUOKULUEUJUOABLMNULUOUGOUEUKDUFPQRTU
    AABUBUCUD $.

  ${
    $d A y z $.  $d B y z $.  $d F y z $.  $d X y z $.
    elintfv.1 $e |- X e. _V $.
    $( Membership in an intersection of function values.  (Contributed by Scott
       Fenton, 9-Dec-2021.) $)
    elintfv $p |- ( ( F Fn A /\ B C_ A ) ->
       ( X e. |^| ( F " B ) <-> A. y e. B X e. ( F ` y ) ) ) $=
      ( vz cima cint wcel cv wi wal wfn wss wa cfv wral elint wceq wrex r19.23v
      imbi1d bitr4di albidv ralcom4 eqcom imbi1i albii fvex eleq2 ceqsalv bitri
      fvelimab ralbii bitr3i bitrdi syl5bb ) EDCHZIJGKZUSJZEUTJZLZGMZDBNCBOPZEA
      KZDQZJZACRZGEUSFSVEVDVGUTTZVBLZACRZGMZVIVEVCVLGVEVCVJACUAZVBLVLVEVAVNVBAB
      CUTDUNUCVJVBACUBUDUEVMVKGMZACRVIVKAGCUFVOVHACVOUTVGTZVBLZGMVHVKVQGVJVPVBV
      GUTUGUHUIVBVHGVGVFDUJUTVGEUKULUMUOUPUQUR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Properties of functions and mappings
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( A condition for subset trichotomy for functions.  (Contributed by Scott
     Fenton, 19-Apr-2011.) $)
  funpsstri $p |- ( ( Fun H /\ ( F C_ H /\ G C_ H ) /\
                      ( dom F C_ dom G \/ dom G C_ dom F ) ) ->
                    ( F C. G \/ F = G \/ G C. F ) ) $=
    ( wfun wss wa cdm wo w3a wpss wceq w3o cres funssres anim12d ssres2 orim12i
    wi ex sseq12 wb ancoms orbi12d syl5ib syl6 3imp sspsstri sylib ) CDZACEZBCE
    ZFZAGZBGZEZUNUMEZHZIABEZBAEZHZABJABKBAJLUIULUQUTUIULCUMMZAKZCUNMZBKZFZUQUTR
    UIUJVBUKVDUIUJVBCANSUIUKVDCBNSOUQVAVCEZVCVAEZHVEUTUOVFUPVGUMUNCPUNUMCPQVEVF
    URVGUSVAAVCBTVDVBVGUSUAVCBVAATUBUCUDUEUFABUGUH $.

  ${
    $d F p x y z $.  $d G p x y z $.
    $( If a class ` F ` is a proper subset of a function ` G ` , then
       ` dom F C. dom G ` .  (Contributed by Scott Fenton, 20-Apr-2011.) $)
    fundmpss $p |- ( Fun G -> ( F C. G -> dom F C. dom G ) ) $=
      ( vx vy vz vp wpss wss wn wa wi syl cv wbr wex wcel adantl ex wal exlimdv
      wfun cdm pssss dmss a1i cdif c0 wne pssdif n0 wrel funrel reldif cop wceq
      sylib elrel eleq1 df-br bitr4di biimpcd 2eximdv difss ssbri eximi simprbi
      mpd adantr brdif ssbrd ad2antlr weq dffun2 2sp breq2 biimprd syl6 simplbi
      sps expd impel adantlr com23 mpdd mtod jcad eximdv nss vex notbii anbi12i
      syld eldm exbii bitri sylibr dfpss3 syl6ibr ) BUAZABGZAUBZBUBZHZXBXAHIZJX
      AXBGWSWTXCXDWTXCKWSWTABHXCABUCZABUDLUEWSWTXDWSWTJZCMZDMZBNZDOZXGEMZANZEOZ
      IZJZCOZXDXFFMZBAUFZPZFOZXPWTXTWSWTXRUGUHXTABUIFXRUJUPQXFXSXPFXFXSXGXHXRNZ
      DOZCOZXPWSXSYCKZWTWSXRUKZYDWSBUKZYEBULBAUMLYEXSYCYEXSJZXQXGXHUNZUOZDOCOYC
      CDXQXRUQYGYIYACDXSYIYAKYEYIXSYAYIXSYHXRPYAXQYHXRURXGXHXRUSUTVAQVBVGRLVHXF
      YBXOCXFYBXJXNYBXJKXFYAXIDXRBXGXHBAVCVDVEUEXFYAXNDXFYAXNXFYAJZXMXGXHANZYAY
      KIZXFYAXIYLXGXHBAVIZVFQYJXLYKEYJXLXGXKBNZYKWTXLYNKWSYAWTABXGXKXEVJVKYJYNX
      LYKWSYAYNXLYKKZKZWTWSXIYPYAWSXIYNYOWSXIYNJZDEVLZYOWSYQYRKZESDSZCSZYSWSYFU
      UACDEBVMVFYTYSCYSDEVNVSLYRYKXLXHXKXGAVOVPVQVTYAXIYLYMVRWAWBWCWDTWERTWFWGW
      LTVGXDXGXBPZXGXAPZIZJZCOXPCXBXAWHUUEXOCUUBXJUUDXNDXGBCWIZWMUUCXMEXGAUUFWM
      WJWKWNWOWPRWFXAXBWQWR $.
  $}

  $( The value of a function at a restriction is either null or the same as the
     function itself.  (Contributed by Scott Fenton, 4-Sep-2011.) $)
  fvresval $p |- ( ( ( F |` B ) ` A ) = ( F ` A ) \/
                   ( ( F |` B ) ` A ) = (/) ) $=
    ( wcel wn wo cres cfv wceq c0 exmid fvres nfvres orim12i ax-mp ) ABDZPEZFAC
    BGHZACHIZRJIZFPKPSQTABCLABCMNO $.

  $( Given two functions with equal domains, equality only requires one
     direction of the subset relationship.  (Contributed by Scott Fenton,
     24-Apr-2012.)  (Proof shortened by Mario Carneiro, 3-May-2015.) $)
  funsseq $p |- ( ( Fun F /\ Fun G /\ dom F = dom G ) ->
                  ( F = G <-> F C_ G ) ) $=
    ( wfun cdm wceq w3a eqimss wa cres simpl3 reseq2d funssres 3ad2antl2 simpl2
    wss wrel funrel resdm 3syl 3eqtr3d ex impbid2 ) ACZBCZADZBDZEZFZABEZABOZABG
    UHUJUIUHUJHZBUEIZBUFIZABUKUEUFBUCUDUGUJJKUDUCUJULAEUGBALMUKUDBPUMBEUCUDUGUJ
    NBQBRSTUAUB $.

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d F x y z $.
    fununiq.1 $e |- A e. _V $.
    fununiq.2 $e |- B e. _V $.
    fununiq.3 $e |- C e. _V $.
    $( The uniqueness condition of functions.  (Contributed by Scott Fenton,
       18-Feb-2013.) $)
    fununiq $p |- ( Fun F -> ( ( A F B /\ A F C ) -> B = C ) ) $=
      ( vx vy vz cv wbr wa wi wal wceq cvv wcel wb breq12 wfun wrel weq 3adant3
      dffun2 w3a 3adant2 anbi12d eqeq12 3adant1 imbi12d spc3gv mp3an simplbiim
      ) DUADUBHKZIKZDLZUOJKZDLZMZIJUCZNZJOIOHOZABDLZACDLZMZBCPZNZHIJDUEAQRBQRCQ
      RVCVHNEFGVBVHHIJABCQQQUOAPZUPBPZURCPZUFZUTVFVAVGVLUQVDUSVEVIVJUQVDSVKUOAU
      PBDTUDVIVKUSVESVJUOAURCDTUGUHVJVKVAVGSVIUPBURCUIUJUKULUMUN $.
  $}

  ${
    funbreq.1 $e |- A e. _V $.
    funbreq.2 $e |- B e. _V $.
    funbreq.3 $e |- C e. _V $.
    $( An equality condition for functions.  (Contributed by Scott Fenton,
       18-Feb-2013.) $)
    funbreq $p |- ( ( Fun F /\ A F B ) -> ( A F C <-> B = C ) ) $=
      ( wfun wbr wa wceq fununiq expdimp wi breq2 biimpcd adantl impbid ) DHZAB
      DIZJACDIZBCKZSTUAUBABCDEFGLMTUBUANSUBTUABCADOPQR $.
  $}

  ${
    br1steq.1 $e |- A e. _V $.
    br1steq.2 $e |- B e. _V $.
    $( Uniqueness condition for the binary relation ` 1st ` .  (Contributed by
       Scott Fenton, 11-Apr-2014.)  (Proof shortened by Mario Carneiro,
       3-May-2015.) $)
    br1steq $p |- ( <. A , B >. 1st C <-> C = A ) $=
      ( cvv wcel cop c1st wbr wceq wb br1steqg mp2an ) AFGBFGABHCIJCAKLDEABCFFM
      N $.

    $( Uniqueness condition for the binary relation ` 2nd ` .  (Contributed by
       Scott Fenton, 11-Apr-2014.)  (Proof shortened by Mario Carneiro,
       3-May-2015.) $)
    br2ndeq $p |- ( <. A , B >. 2nd C <-> C = B ) $=
      ( cvv wcel cop c2nd wbr wceq wb br2ndeqg mp2an ) AFGBFGABHCIJCBKLDEABCFFM
      N $.
  $}

  ${
    $d A p x y z $.
    $( Definition of domain in terms of ` 1st ` and image.  (Contributed by
       Scott Fenton, 11-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.)
       (Proof shortened by Peter Mazsa, 2-Oct-2022.) $)
    dfdm5 $p |- dom A = ( ( 1st |` ( _V X. _V ) ) " A ) $=
      ( vx vy vp vz c1st cvv cv cop wcel wex wbr wa wceq excom vex bitri anbi1i
      exbii 3bitr4i cdm cxp cres cima breq1 eleq1 anbi12d br1steq equcom bitrdi
      opex ceqsexv opeq1 eleq1d 3bitr3ri ancom anass brresi elvv 19.41vv elima2
      eldm2 eqriv ) BAUAZFGGUBZUCZAUDZBHZCHZIZAJZCKZDHZAJZVMVHVFLZMZDKZVHVDJVHV
      GJVMEHZVIIZNZVMVHFLZVNMZMZEKZDKZCKWDCKZDKVLVQWDCDOVKWECWCDKZEKVRVHNZVSAJZ
      MZEKWEVKWGWJEWBWJDVSVRVIUKVTWBVSVHFLZWIMWJVTWAWKVNWIVMVSVHFUEVMVSAUFUGWKW
      HWIWKVHVRNWHVRVIVHEPCPUHBEUIQRUJULSWCEDOWIVKEVHBPZWHVSVJAVRVHVIUMUNULUOSV
      PWFDVPVOVNMZWFVNVOUPVTEKCKZWAMZVNMWNWBMWMWFWNWAVNUQVOWOVNVOVMVEJZWAMWOVEV
      MVHFWLURWPWNWAWPVTCKEKWNECVMUSVTECOQRQRVTWBCEUTTQSTCVHAWLVBDVHVFAWLVATVC
      $.

    $( Definition of range in terms of ` 2nd ` and image.  (Contributed by
       Scott Fenton, 17-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.)
       (Proof shortened by Peter Mazsa, 2-Oct-2022.) $)
    dfrn5 $p |- ran A = ( ( 2nd |` ( _V X. _V ) ) " A ) $=
      ( vx vy vp vz c2nd cvv cv cop wcel wex wbr wa wceq excom vex bitri anbi1i
      exbii 3bitr4i crn cxp cres cima breq1 eleq1 anbi12d br2ndeq equcom bitrdi
      opex ceqsexv opeq2 eleq1d 3bitr3ri ancom anass brresi elvv 19.41vv elima2
      elrn2 eqriv ) BAUAZFGGUBZUCZAUDZCHZBHZIZAJZCKZDHZAJZVMVIVFLZMZDKZVIVDJVIV
      GJVMVHEHZIZNZVMVIFLZVNMZMZEKZDKZCKWDCKZDKVLVQWDCDOVKWECWCDKZEKVRVINZVSAJZ
      MZEKWEVKWGWJEWBWJDVSVHVRUKVTWBVSVIFLZWIMWJVTWAWKVNWIVMVSVIFUEVMVSAUFUGWKW
      HWIWKVIVRNWHVHVRVICPEPUHBEUIQRUJULSWCEDOWIVKEVIBPZWHVSVJAVRVIVHUMUNULUOSV
      PWFDVPVOVNMZWFVNVOUPVTEKCKZWAMZVNMWNWBMWMWFWNWAVNUQVOWOVNVOVMVEJZWAMWOVEV
      MVIFWLURWPWNWACEVMUSRQRVTWBCEUTTQSTCVIAWLVBDVIVFAWLVATVC $.
  $}

  ${
    $d A z $.  $d B z $.  $d C z $.  $d D z $.
    $( Alternate way of saying that an ordered pair is in a composition.
       (Contributed by Scott Fenton, 6-May-2018.) $)
    opelco3 $p |- ( <. A , B >. e. ( C o. D ) <->
       B e. ( C " ( D " { A } ) ) ) $=
      ( vz cop ccom wcel wbr csn cima df-br cvv wa relco wn c0 ima0 wex wb wceq
      brrelex12i snprc noel imaeq2 imaeq2d eqtri eqtrdi eleq2d sylbi con4i elex
      imaeq2i mtbiri jca wrex df-rex elimasng elvd bitr4di adantr anbi1d exbidv
      cv bitr2id brcog elimag adantl 3bitr4d pm5.21nii bitr3i ) ABFCDGZHABVLIZB
      CDAJZKZKZHZABVLLVMAMHZBMHZNZVQABVLCDOUBVQVRVSVRVQVRPVNQUAZVQPAUCWAVQBQHBU
      DWAVPQBWAVPCDQKZKZQWAVOWBCVNQDUEUFWCCQKQWBQCDRUMCRUGUHUIUNUJUKBVPULUOVTAE
      VDZDIZWDBCIZNZESZWFEVOUPZVMVQWIWDVOHZWFNZESVTWHWFEVOUQVTWKWGEVTWJWEWFVRWJ
      WETVSVRWJAWDFDHZWEVRWJWLTEDAWDMMURUSAWDDLUTVAVBVCVEEABCDMMVFVSVQWITVREBCV
      OMVGVHVIVJVK $.
  $}

  ${
    $d A x $.  $d B p x y z $.  $d R p x y z $.
    $( Quantifier-free expression saying that a class is a member of an image.
       (Contributed by Scott Fenton, 8-May-2018.) $)
    elima4 $p |- ( A e. ( R " B ) <-> ( R i^i ( B X. { A } ) ) =/= (/) ) $=
      ( vx vp vy vz wcel cvv csn cxp cin c0 wne wceq cv wex wa 3bitri exbii xp0
      cima elex xpeq2 eqtrdi ineq2d in0 necon3i snnzb sylibr sneq xpeq2d neeq1d
      eleq1 cop elin ancom anbi1i anass 2exbii 19.41vv bitr3i exrot3 weq anbi2d
      elxp opex ceqsexv an12 velsn vex opeq2 eleq1d n0 elima3 vtoclbg pm5.21nii
      3bitr4ri ) ACBUBZHZAIHZCBAJZKZLZMNZAVSUCWEWBMNWAWBMWDMWBMOZWDCMLMWFWCMCWF
      WCBMKMWBMBUDBUAUEUFCUGUEUHAUIUJDPZVSHZCBWGJZKZLZMNZVTWEDAIWGAVSUNWGAOZWKW
      DMWMWJWCCWMWIWBBWGAUKULUFUMEPZWKHZEQZFPZBHZWQWGUOZCHZRZFQZWLWHWPWNWQGPZUO
      ZOZWRXCWIHZRZRZGQFQZWNCHZRZEQZXEXGXJRZRZEQZGQZFQZXBWOXKEWOXJWNWJHZRXRXJRX
      KWNCWJUPXJXRUQXRXIXJFGWNBWIVFURSTXLXNGQFQZEQXQXSXKEXSXHXJRZGQFQXKXTXNFGXE
      XGXJUSUTXHXJFGVAVBTXNEFGVCVBXPXAFXPXGXDCHZRZGQGDVDZWRYARZRZGQXAXOYBGXMYBE
      XDWQXCVGXEXJYAXGWNXDCUNVEVHTYBYEGYBWRXFYARRXFYDRYEWRXFYAUSWRXFYAVIXFYCYDG
      WGVJURSTYDXAGWGDVKZYCYAWTWRYCXDWSCXCWGWQVLVMVEVHSTSEWKVNFWGCBYFVOVRVPVQ
      $.
  $}

  $( The value of the converse of ` 1st ` restricted to a singleton.
     (Contributed by Scott Fenton, 2-Jul-2020.) $)
  fv1stcnv $p |- ( ( X e. A /\ Y e. V ) ->
       ( `' ( 1st |` ( A X. { Y } ) ) ` X ) = <. X , Y >. ) $=
    ( wcel wa c1st csn cxp cres ccnv cfv cop wceq wbr wb cvv bitrd mpbird wf1o
    snidg anim2i eqid jctir opex brcnvg mpan2 brres adantr opelxp anbi1i anbi2d
    br1steqg syl5bb wfn 1stconst f1ocnv f1ofn 3syl simpl fnbrfvb syl2an2 ) CAEZ
    DBEZFZCGADHZIZJZKZLCDMZNZCVJVIOZVEVLVCDVFEZFZCCNZFZVEVNVOVDVMVCDBUAUBCUCUDV
    EVLVJVGEZVJCGOZFZVPVCVLVSPVDVCVLVJCVHOZVSVCVJQEVLVTPCDUECVJAQVHUFUGVGVJCGAU
    HRUIVSVNVRFVEVPVQVNVRCDAVFUJUKVEVRVOVNCDCABUMULUNRSVDVIAUOZVCVCVKVLPVDVGAVH
    TAVGVITWAADBUPVGAVHUQAVGVIURUSVCVDUTACVJVIVAVBS $.

  $( The value of the converse of ` 2nd ` restricted to a singleton.
     (Contributed by Scott Fenton, 2-Jul-2020.) $)
  fv2ndcnv $p |- ( ( X e. V /\ Y e. A ) ->
       ( `' ( 2nd |` ( { X } X. A ) ) ` Y ) = <. X , Y >. ) $=
    ( wcel wa c2nd csn cxp cres ccnv cfv cop wceq wbr wb wf1o cvv adantl bitrd
    snidg anim1i eqid jctir wfn 2ndconst adantr f1ocnv f1ofn 3syl sylancom opex
    fnbrfvb brcnvg mpan2 brres opelxp anbi1i br2ndeqg anbi2d syl5bb mpbird ) CB
    EZDAEZFZDGCHZAIZJZKZLCDMZNZCVFEZVDFZDDNZFZVEVMVNVCVLVDCBUAUBDUCUDVEVKDVJVIO
    ZVOVCVDVIAUEZVKVPPVEVGAVHQZAVGVIQVQVCVRVDCABUFUGVGAVHUHAVGVIUIUJADVJVIUMUKV
    EVPVJDVHOZVOVDVPVSPZVCVDVJREVTCDULDVJARVHUNUOSVEVSVJVGEZVJDGOZFZVOVDVSWCPVC
    VGVJDGAUPSWCVMWBFVEVOWAVMWBCDVFAUQURVEWBVNVMCDDBAUSUTVATTTVB $.

  ${
    $d R x y $.  $d A x y $.
    $( The image is unaffected by intersection with the domain.  (Contributed
       by Scott Fenton, 17-Dec-2021.) $)
    imaindm $p |- ( R " A ) = ( R " ( A i^i dom R ) ) $=
      ( vx vy cima cdm cin cv wbr wrex wcel wa vex breldm pm4.71ri rexbii rexin
      bitr4i elima 3bitr4i eqriv ) CBAEZBABFZGZEZDHZCHZBIZDAJZUHDUDJZUGUBKUGUEK
      UIUFUCKZUHLZDAJUJUHULDAUHUKUFUGBDMCMZNOPUHDAUCQRDUGBAUMSDUGBUDUMSTUA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Set induction (or epsilon induction)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d ph y z $.  $d x y z $.
    setinds.1 $e |- ( A. y e. x [. y / x ]. ph -> ph ) $.
    $( Principle of set induction (or ` _E ` -induction).  If a property passes
       from all elements of ` x ` to ` x ` itself, then it holds for all
       ` x ` .  (Contributed by Scott Fenton, 10-Mar-2011.) $)
    setinds $p |- ph $=
      ( vz cv cvv wcel vex cab wss wi wceq setind wsbc wral dfss3 df-sbc ralbii
      nfsbc1v nfcv nfralw nfim raleq sbceq1a imbi12d chvarfv sylbir sylbi sylib
      mpg eqcomi abeq2i mpbi ) BFZGHABIABGABJZGEFZUPKZUQUPHZLUPGMEEUPNURABUQOZU
      SURCFZUPHZCUQPZUTCUQUPQVCABVAOZCUQPZUTVDVBCUQABVARSVDCUOPZALVEUTLBEVEUTBV
      DBCUQBUQUAABVATUBABUQTUCUOUQMVFVEAUTVDCUOUQUDABUQUEUFDUGUHUIABUQRUJUKULUM
      UN $.
  $}

  ${
    $d x y $.  $d ph y $.
    setinds2f.1 $e |- F/ x ps $.
    setinds2f.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    setinds2f.3 $e |- ( A. y e. x ps -> ph ) $.
    $( ` _E ` induction schema, using implicit substitution.  (Contributed by
       Scott Fenton, 10-Mar-2011.)  (Revised by Mario Carneiro,
       11-Dec-2016.) $)
    setinds2f $p |- ph $=
      ( cv wsbc wral wsb sbsbc sbiev bitr3i ralbii sylbi setinds ) ACDACDHIZDCH
      ZJBDSJARBDSRACDKBACDLABCDEFMNOGPQ $.
  $}

  ${
    $d x y $.  $d ph y $.  $d ps x $.
    setinds2.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    setinds2.2 $e |- ( A. y e. x ps -> ph ) $.
    $( ` _E ` induction schema, using implicit substitution.  (Contributed by
       Scott Fenton, 10-Mar-2011.) $)
    setinds2 $p |- ph $=
      ( nfv setinds2f ) ABCDBCGEFH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ordinal numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z A $.
    $( A class of transitive sets is partially ordered by ` _E ` .
       (Contributed by Scott Fenton, 15-Oct-2010.) $)
    elpotr $p |- ( A. z e. A Tr z -> _E Po A ) $=
      ( vx vy wel wa wi wal wral wtr cep wpo alral alimi syl ralcom ralbii epel
      cv wbr ralimi bitri sylib dftr2 df-po anbi12i imbi12i elirrv mtbir bitr3i
      wn biantrur 2ralbii bitr4i 3imtr4i ) CDEZDAEZFZCAEZGZDHZCHZABIZUTABIZDBIZ
      CBIZASZJZABIBKLZVCUTDBIZCBIZABIZVFVBVKABVBVJCHVKVAVJCUTDBMNVJCBMOUAVLVJAB
      IZCBIVFVJACBBPVMVECBUTADBBPQUBUCVHVBABCDVGUDQVICSZVNKTZUKZVNDSZKTZVQVGKTZ
      FZVNVGKTZGZFZABIZDBICBIVFCDABKUEVDWDCDBBUTWCABUTWBWCVTURWAUSVRUPVSUQDVNRA
      VQRUFAVNRUGVPWBVOCCECUHCVNRUIULUJQUMUNUO $.
  $}

  $( Given ~ ax-reg , an ordinal is a transitive class totally ordered by the
     membership relation.  (Contributed by Scott Fenton, 28-Jan-2011.) $)
  dford5reg $p |- ( Ord A <-> ( Tr A /\ _E Or A ) ) $=
    ( word wtr cep wwe wa wor df-ord wfr zfregfr df-we mpbiran anbi2i bitri ) A
    BACZADEZFOADGZFAHPQOPADIQAJADKLMN $.

  ${
    $d x y $.  $d y ph $.  $d y ps $.
    $( Lemma for ~ dfon2 .  (Contributed by Scott Fenton, 28-Feb-2011.) $)
    dfon2lem1 $p |- Tr U. { x | ( ph /\ Tr x /\ ps ) } $=
      ( vy cv wtr w3a cab cuni truni wcel wsbc nfsbc1v nfv vex weq sbceq1a treq
      nf3an 3anbi123d elabf simp2bi mprg ) DEZFZACEZFZBGZCHZIFDUIDUIJUDUIKACUDL
      ZUEBCUDLZUHUJUEUKGCUDUJUEUKCACUDMUECNBCUDMSDOCDPAUJUGUEBUKACUDQUFUDRBCUDQ
      TUAUBUC $.
  $}

  ${
    $d x A $.
    $( Lemma for ~ dfon2 .  (Contributed by Scott Fenton, 28-Feb-2011.) $)
    dfon2lem2 $p |- U. { x | ( x C_ A /\ ph /\ ps ) } C_ A $=
      ( cv wss w3a cab cpw cuni simp1 ss2abi df-pw sseqtrri sspwuni mpbi ) CEDF
      ZABGZCHZDIZFSJDFSQCHTRQCQABKLCDMNSDOP $.
  $}

  ${
    $d A x z w t $.

    $( Lemma for ~ dfon2 .  All sets satisfying the new definition are
       transitive and untangled.  (Contributed by Scott Fenton,
       25-Feb-2011.) $)
    dfon2lem3 $p |- ( A e. V -> ( A. x ( ( x C. A /\ Tr x ) -> x e. A ) ->
                                        ( Tr A /\ A. z e. A -. z e. z ) ) ) $=
      ( vw vt wcel cv wtr wa wi wel wn wral wss w3a wceq sseq1 treq cvv wal cab
      wpss cuni untelirr wrex eluni2 raleq 3anbi123d elequ1 elequ2 bitrd notbid
      vex elab cbvralvw biimpi 3ad2ant3 sylbi rsp syl rexlimiv dfon2lem2 dfpss2
      mprg dfon2lem1 ssexg mpan psseq1 anbi12d eleq1 imbi12d spcgv imp csuc csn
      sylan snssi cun unss df-suc sseq1i sylbb2 sylancr suctr ax-mp mprgbir nfv
      untuni nfra1 nf3an nfab nfuni untsucf raleqf cbvabv elab2g biimprd sucexg
      nfcv nfsuc syl11 mp3an23 com12 elssuni sucssel syl5 syld mpd syl6 syl5bir
      mpan2i mpani mt3i pm3.2i mpbii ex ) CDGZAHZCUCZXSIZJZXSCGZKZAUAZCIZBBLZMZ
      BCNZJZXRYEJZEHZCOZYLIZFFLZMZFYLNZPZEUBZUDZCQZYJYKUUAYTYTGZYHUUBMBYTBYTUEB
      HZYTGBALZAYSUFYHAUUCYSUGUUDYHAYSXSYSGZYHBXSNZUUDYHKUUEXSCOZYAYPFXSNZPZUUF
      YRUUIEXSAUNYLXSQYMUUGYNYAYQUUHYLXSCRYLXSSYPFYLXSUHUIUOUUHUUGUUFYAUUHUUFYP
      YHFBXSFHUUCQZYOYGUUJYOBFLYGFBFUJFBBUKULUMUPUQURUSZYHBXSUTVAVBUSVEYKYTCOZU
      UAMZUUBYNYQECVCZUULUUMJYTCUCZYKUUBYTCVDYKUUOYTIZUUBYMYQEVFZYKUUOUUPJZYTCG
      ZUUBXRYTTGZYEUURUUSKZUULXRUUTUUNYTCDVGVHUUTYEUVAYDUVAAYTTXSYTQZYBUURYCUUS
      UVBXTUUOYAUUPXSYTCVIXSYTSVJXSYTCVKVLVMVNVQUUSYTVOZCOZUUBUUSUULYTVPZCOZUVD
      UUNYTCVRUULUVFJYTUVEVSZCOUVDYTUVECVTUVCUVGCYTWAWBWCWDUUSUVDUVCYSGZUUBUVDU
      USUVHUVDUVCIZYPFUVCNZUUSUVHKUUPUVIUUQYTWEWFYHBYTNZUVJUVKUUFAYSBAYSWIUUKWG
      ZBFYTFYSYRFEYMYNYQFYMFWHYNFWHYPFYLWJWKWLWMZWNWFUVCTGZUVDUVIUVJPZUVHUUSUVN
      UVHUVOUUCCOZUUCIZYPFUUCNZPZUVOBUVCYSTUUCUVCQUVPUVDUVQUVIUVRUVJUUCUVCCRUUC
      UVCSYPFUUCUVCFUUCWTFYTUVMXAWOUIYRUVSEBYLUUCQYMUVPYNUVQYQUVRYLUUCCRYLUUCSY
      PFYLUUCUHUIWPWQWRYTCWSXBXCXDUVHUVCYTOUUSUUBUVCYSXEYTYTCXFXGXHXIXJXLXKXMXN
      UUAUUPUVKJYJUUPUVKUUQUVLXOUUAUUPYFUVKYIYTCSYHBYTCUHVJXPVAXQ $.
  $}

  ${
    $d A x y z $.  $d B x y z $.
    dfon2lem4.1 $e |- A e. _V $.
    dfon2lem4.2 $e |- B e. _V $.
    $( Lemma for ~ dfon2 .  If two sets satisfy the new definition, then one is
       a subset of the other.  (Contributed by Scott Fenton, 25-Feb-2011.) $)
    dfon2lem4 $p |- ( ( A. x ( ( x C. A /\ Tr x ) -> x e. A ) /\
                         A. y ( ( y C. B /\ Tr y ) -> y e. B ) ) ->
                         ( A C_ B \/ B C_ A ) ) $=
      ( vz cv wpss wtr wa wcel wi wal wceq wo wss wn cvv eleq1 inss1 sseli wral
      cin wel dfon2lem3 ax-mp simprd eleq2 bitrd notbid rspccv syl syl5 pm2.01d
      adantr elin sylnib simpld trin syl2an inex1 psseq1 anbi12d imbi12d mpan2d
      treq spcv adantl anim12d mtod ianor sylib sspss mpbi inss2 orel1 orc syl6
      olc jaoa mp2ani df-ss sseqin2 orbi12i sylibr ) AHZCIZWGJZKZWGCLZMZANZBHZD
      IZWNJZKZWNDLZMZBNZKZCDUDZCOZXBDOZPZCDQZDCQZPXAXBCIZRZXBDIZRZPZXEXAXHXJKZR
      XLXAXMXBCLZXBDLZKZXAXBXBLZXPXAXQXQXNXAXQRZXBCXBCDUAZUBWMXNXRMZWTWMGGUEZRZ
      GCUCZXTWMCJZYCCSLWMYDYCKMEAGCSUFUGZUHYBXRGXBCGHZXBOZYAXQYGYAXBYFLXQYFXBYF
      TYFXBXBUIUJUKULUMUPUNUOXBCDUQURXAXHXNXJXOXAXHXBJZXNWMYDDJZYHWTWMYDYCYEUSW
      TYIYBGDUCZDSLWTYIYJKMFBGDSUFUGUSCDUTVAZWMXHYHKZXNMZWTWLYMAXBCDEVBZWGXBOZW
      JYLWKXNYOWHXHWIYHWGXBCVCWGXBVGVDWGXBCTVEVHUPVFXAXJYHXOYKWTXJYHKZXOMZWMWSY
      QBXBYNWNXBOZWQYPWRXOYRWOXJWPYHWNXBDVCWNXBVGVDWNXBDTVEVHVIVFVJVKXHXJVLVMXL
      XHXCPZXJXDPZXEXBCQYSXSXBCVNVOXBDQYTCDVPXBDVNVOXIYSXEXKYTXIYSXCXEXHXCVQXCX
      DVRVSXKYTXDXEXJXDVQXDXCVTVSWAWBUMXFXCXGXDCDWCDCWDWEWF $.
  $}

  ${
    $d A x y z $.  $d B x y z $.
    dfon2lem5.1 $e |- A e. _V $.
    dfon2lem5.2 $e |- B e. _V $.
    $( Lemma for ~ dfon2 .  Two sets satisfying the new definition also satisfy
       trichotomy with respect to ` e. ` .  (Contributed by Scott Fenton,
       25-Feb-2011.) $)
    dfon2lem5 $p |- ( ( A. x ( ( x C. A /\ Tr x ) -> x e. A ) /\
                         A. y ( ( y C. B /\ Tr y ) -> y e. B ) ) ->
                       ( A e. B \/ A = B \/ B e. A ) ) $=
      ( vz cv wpss wtr wa wcel wi wal wceq wn wo w3o bitri cvv dfon2lem4 dfpss2
      wss eqcom notbii anbi2i orbi12i andir bitr4i orcom dfon2lem3 ax-mp simpld
      wel wral psseq1 treq anbi12d eleq1 imbi12d spcv expcomd imp mpan9 orim12d
      sylan2 syl5bi syl5bir mpand 3orrot 3orass df-or sylibr ) AHZCIZVNJZKZVNCL
      ZMZANZBHZDIZWAJZKZWADLZMZBNZKZCDOZPZDCLZCDLZQZMZWLWIWKRZWHCDUCZDCUCZQZWJW
      MABCDEFUAWRWJKZCDIZDCIZQZWHWMXBWPWJKZWQWJKZQWSWTXCXAXDCDUBXAWQDCOZPZKXDDC
      UBXFWJWQXEWIDCUDUEUFSUGWPWQWJUHUIXBXAWTQWHWMWTXAUJWHXAWKWTWLWGVTDJZXAWKMZ
      WGXGGGUNPZGDUOZDTLWGXGXJKMFBGDTUKULUMVTXGXHVTXAXGWKVSXAXGKZWKMADFVNDOZVQX
      KVRWKXLVOXAVPXGVNDCUPVNDUQURVNDCUSUTVAVBVCVFVTCJZWGWTWLMVTXMXIGCUOZCTLVTX
      MXNKMEAGCTUKULUMWGWTXMWLWFWTXMKZWLMBCEWACOZWDXOWEWLXPWBWTWCXMWACDUPWACUQU
      RWACDUSUTVAVBVDVEVGVHVIWOWIWKWLRZWNWLWIWKVJXQWIWMQWNWIWKWLVKWIWMVLSSVM $.
  $}

  ${
    $d S x y z w s t $.
    $( Lemma for ~ dfon2 .  A transitive class of sets satisfying the new
       definition satisfies the new definition.  (Contributed by Scott Fenton,
       25-Feb-2011.) $)
    dfon2lem6 $p |- ( ( Tr S /\
                         A. x e. S A. z ( ( z C. x /\ Tr z ) -> z e. x ) ) ->
                       A. y ( ( y C. S /\ Tr y ) -> y e. S ) ) $=
      ( vs vw vt wtr cv wpss wa wel wi wal wral wcel weq wn syl imbi12d wo cdif
      wss pssss ssralv impcom adantrr ad2ant2lr psseq2 anbi1d elequ2 albidv imp
      rspccv eldifi rspcv psseq1 treq anbi12d elequ1 syl6ib ad2ant2l adantr w3o
      cbvalvw vex dfon2lem5 3orrot 3orass bitri eleq1a nsyli adantll orel1 trss
      elndif eldifn ssel con3d syl5com syl9 adantl imp31 mpd syl5bi syl5 mp2and
      syl9r ssrdv dfpss2 spvv expd com23 syl6 com3l adantld imp32 syl5bir mpand
      orrd anassrs ralrimiva wrex wne pssdif r19.2z ad2antrl eleq1w syl5ibr a1i
      ex c0 trel syl7 ad2antrr jaod rexlimdv syld alrimiv ) DHZCIZAIZJZYAHZKZCA
      LZMZCNZADOZKZBIZDJZYKHZKZYKDPZMBYJYNYOYJYNKZBEQZBELZUAZEDYKUBZOZYOYPYSEYT
      YJYNEIZYTPZYSYJYNUUCKZKZYQYRUUEYKUUBUCZYQRZYRUUEFYKUUBUUEFBLZFELZUUEUUHKZ
      YAFIZJZYDKZCFLZMZCNZGIZUUBJZUUQHZKZGELZMZGNZUUIUUEUUHUUPUUEYHAYKOZUUHUUPM
      YIYNUVDXTUUCYIYLUVDYMYLYIUVDYLYKDUCYIUVDMYKDUDYHAYKDUESUFUGUHYHUUPAUUKYKA
      FQZYGUUOCUVEYEUUMYFUUNUVEYCUULYDYBUUKYAUIUJAFCUKTULUNSUMUUEUVCUUHYIUUCUVC
      XTYNUUCYIUVCUUCYIYAUUBJZYDKZCELZMZCNZUVCUUCUUBDPZYIUVJMUUBDYKUOZYHUVJAUUB
      DAEQZYGUVICUVMYEUVGYFUVHUVMYCUVFYDYBUUBYAUIUJAECUKTULUPSZUVIUVBCGCGQZUVGU
      UTUVHUVAUVOUVFUURYDUUSYAUUQUUBUQYAUUQURUSCGEUTTVEVAUFVBVCUUPUVCKUUIFEQZEF
      LZVDZUUJUUICGUUKUUBFVFEVFVGUVRUVPUVQUUIUAZUAZUUJUUIUVRUVPUVQUUIVDUVTUUIUV
      PUVQVHUVPUVQUUIVIVJUUJUVPRZUVTUUIMUUDUUHUWAYJUUCUUHUWAYNUUCUUHUWAUUCUVPUU
      KYTPUUHUUBYTUUKVKUUKYKDVPVLUMVMVMUWAUVTUVSUUJUUIUVPUVSVNUUJUVQRZUVSUUIMUU
      DUUHUWBYJYNUUCUUHUWBYMUUCUUHUWBMMYLYMUUHUUKYKUCZUUCUWBYKUUKVOUUCEBLZRUWCU
      WBUUBDYKVQUWCUVQUWDUUKYKUUBVRVSVTWAWBWCVMUVQUUIVNSWHWDWEWFWGXKWIUUFUUGKYK
      UUBJZUUEYRYKUUBWJYJYNUUCUWEYRMZYIYNUUCUWFMZMXTYIYMUWGYLUUCYIYMUWFUUCYIUVJ
      YMUWFMUVNUVJUWEYMYRUVJUWEYMYRUVIUWEYMKZYRMCBCBQZUVGUWHUVHYRUWIUVFUWEYDYMY
      AYKUUBUQYAYKURUSCBEUTTWKWLWMWNWOWPWBWQWRWSWTXAXBYPUUAYSEYTXCZYOYLUUAUWJMZ
      YJYMYLYTXLXDZUWKYKDXEUWLUUAUWJYSEYTXFXKSXGYPYSYOEYTYPYSUUCYOYPYQUUCYOMZYR
      YQUWMMYPUUCYOYQUVKUVLBEDXHXIXJXTYRUWMMYIYNUUCUVKXTYRYOUVLXTYRUVKYODYKUUBX
      MWLXNXOXPWMXQXRWDXKXS $.
  $}

  ${
    $d A x y z w s t u $.  $d B x y z w t $.
    dfon2lem7.1 $e |- A e. _V $.
    $( Lemma for ~ dfon2 .  All elements of a new ordinal are new ordinals.
       (Contributed by Scott Fenton, 25-Feb-2011.) $)
    dfon2lem7 $p |- ( A. x ( ( x C. A /\ Tr x ) -> x e. A ) ->
                       ( B e. A -> A. y ( ( y C. B /\ Tr y ) -> y e. B ) ) ) $=
      ( vw vt vz vu wpss wtr wa wcel wi wal wss wel wral sylbi imbi12d w3a cuni
      vs cv cab wceq csuc csn wn weq elequ1 elequ2 bitrd notbid cbvralvw biimpi
      ralimi untuni sylibr vex sseq1 treq raleq 3anbi123d elab dfon2lem3 simprd
      cvv ax-mp untelirr syl 3ad2ant3 psseq2 anbi1d albidv 3anbi3i abbii unieqi
      mprg eleq2i sylnib dfon2lem2 ssexi snss mtbi intnan cun df-suc unss mtbir
      sseq1i bitr4i dfon2lem1 suctr wo elsuc wrex eluni2 rspccv anbi12d cbvalvw
      nfa1 psseq1 syl6ib rexlimi rexlimiv rgen dfon2lem6 mp2an eleq2 jaoi sucex
      mpbiri elssuni sylbir mp3an23 ralbii bitrdi cbvabv sseqtrdi syl5bir mpani
      a1i syl5bi mtoi eleq1 spcv mpan2i mtod dfpss2 biimpri mpan nsyl2 rsp 3syl
      mpbii ) AUDZCJZYQKZLZYQCMZNZAOZFUDZCPZUUDKZBUDZGUDZJZUUGKZLZBGQZNZBOZGUUD
      RZUAZFUEZUBZCUFZUUGHUDZJZUUJLZBHQZNZBOZHCRZDCMUUGDJZUUJLZUUGDMZNZBOZNUUCU
      URCJZUUSUUCUVLUURCMZUUCUVMUURUGZUUEUUFUUGIUDZJZUUJLZBIQZNZBOZIUUDRZUAZFUE
      ZUBZPZUWEUURUWDPZUURUHZUWDPZLZUWHUWFUURUWDMZUWHHHQZUIZHUURRZUWJUIGGQZUIZG
      YQRZUWMAUUQUWPAUUQRUWLHYQRZAUUQRUWMUWPUWQAUUQUWPUWQUWOUWLGHYQGHUJZUWNUWKU
      WRUWNHGQUWKGHGUKGHHULUMUNUOUPUQHAUUQURUSYQUUQMZYQCPZYSUUNGYQRZUAZUWPUUPUX
      BFYQAUTZFAUJZUUEUWTUUFYSUUOUXAUUDYQCVAZUUDYQVBZUUNGUUDYQVCZVDVEZUXAUWTUWP
      YSUUNUWOGYQUUNIIQUIIUUHRZUWOUUNUUHKZUXIUUHVHMUUNUXJUXILNGUTBIUUHVHVFVIVGI
      UUHVJVKUQVLSVSUWMUURUURMUWJHUURVJUURUWDUURUUQUWCUUPUWBFUUOUWAUUEUUFUUNUVT
      GIUUDGIUJZUUMUVSBUXKUUKUVQUULUVRUXKUUIUVPUUJUUHUVOUUGVMVNGIBULTVOZUOVPVQV
      RVTWAVIUURUWDUURCEUUFUUOFCWBZWCZWDWEWFUWEUURUWGWGZUWDPUWIUVNUXOUWDUURWHZW
      KUURUWGUWDWIWLWJUVMUWGCPZUUCUWEUURCUXNWDUUCUURCPZUXQUWEUXMUXRUXQLZUVNCPZU
      UCUWEUXTUXOCPUXSUVNUXOCUXPWKUURUWGCWIWLUXTUWENUUCUXTUVNUCUDZCPZUYAKZYQUVO
      JZYSLZAIQZNZAOZIUYARZUAZUCUEZUBZUWDUXTUVNKZUYHIUVNRZUVNUYLPZUURKZUYMUUEUU
      OFWMZUURWNVIUYHIUVNUVOUVNMUVOUURMZUVOUURUFZWOUYHUVOUURIUTWPUYRUYHUYSUYRIA
      QZAUUQWQZUYHAUVOUUQWRZUYTUYHAUUQUYGAXBUWSUXBUYTUYHNZUXHUXAUWTVUCYSUXAUYTU
      VTUYHUUNUVTGUVOYQUXLWSZUVSUYGBABAUJZUVQUYEUVRUYFVUEUVPUYDUUJYSUUGYQUVOXCU
      UGYQVBWTBAIUKTXAXDVLSXESUYSUYHYQUURJZYSLZYQUURMZNZAOZUYPUUTUVOJZUUTKZLZHI
      QZNZHOZIUURRVUJUYQVUPIUURUYRVUAVUPVUBUYTVUPAUUQUWSUXBUYTVUPNZUXHUXAUWTVUQ
      YSUXAUYTUVTVUPVUDUVSVUOBHBHUJZUVQVUMUVRVUNVURUVPVUKUUJVULUUGUUTUVOXCUUGUU
      TVBWTBHIUKTXAXDVLSXFSXGIAHUURXHXIUYSUYGVUIAUYSUYEVUGUYFVUHUYSUYDVUFYSUVOU
      URYQVMVNUVOUURYQXJTVOXMXKSXGUXTUYMUYNUAZUVNUYKMUYOUYJVUSUCUVNUURUXNXLUYAU
      VNUFUYBUXTUYCUYMUYIUYNUYAUVNCVAUYAUVNVBUYHIUYAUVNVCVDVEUVNUYKXNXOXPUYKUWC
      UYJUWBUCFUCFUJZUYBUUEUYCUUFUYIUWAUYAUUDCVAUYAUUDVBVUTUYIUYHIUUDRUWAUYHIUY
      AUUDVCUYHUVTIUUDUYGUVSABABUJZUYEUVQUYFUVRVVAUYDUVPYSUUJYQUUGUVOXCYQUUGVBW
      TABIUKTXAXQXRVDXSVRXTYCYAYBYDYEUUCUVLUYPUVMUYQUUBUVLUYPLZUVMNAUURUXNYQUUR
      UFZYTVVBUUAUVMVVCYRUVLYSUYPYQUURCXCYQUURVBWTYQUURCYFTYGYHYIUXRUUSUIZUVLUX
      MUVLUXRVVDLUURCYJYKYLYMUUSUVEHUURRUVFUVEHUURUUTUURMHAQZAUUQWQUVEAUUTUUQWR
      VVEUVEAUUQUWSUWTYSUVEHYQRZUAZVVEUVENZUUPVVGFYQUXCUXDUUEUWTUUFYSUUOVVFUXEU
      XFUXDUUOUXAVVFUXGUUNUVEGHYQUWRUUMUVDBUWRUUKUVBUULUVCUWRUUIUVAUUJUUHUUTUUG
      VMVNGHBULTVOUOXRVDVEVVFUWTVVHYSUVEHYQYNVLSXFSXGUVEHUURCVCYPUVEUVKHDCUUTDU
      FZUVDUVJBVVIUVBUVHUVCUVIVVIUVAUVGUUJUUTDUUGVMVNUUTDUUGXJTVOWSYO $.
  $}

  ${
    $d A x y z w t $.
    $( Lemma for ~ dfon2 .  The intersection of a nonempty class ` A ` of new
       ordinals is itself a new ordinal and is contained within ` A `
       (Contributed by Scott Fenton, 26-Feb-2011.) $)
    dfon2lem8 $p |- ( ( A =/= (/) /\
                         A. x e. A A. y ( ( y C. x /\ Tr y ) -> y e. x ) ) ->
                       ( A. z ( ( z C. |^| A /\ Tr z ) -> z e. |^| A ) /\
                         |^| A e. A ) ) $=
      ( vt vw cv wpss wtr wa wel wi wal wral wcel wn cvv syl sylbi wceq c0 cint
      wne vex dfon2lem3 ax-mp simpld ralimi trint adantl cuni dfon2lem7 alrimiv
      df-ral 19.21v albii bitr4i impexp 2albii eluni2 biimpi imim1i alimi alcom
      wrex wex 19.23v df-rex imbi1i bitri 3imtr4i sylbir intssuni ssralv adantr
      wss mpd dfon2lem6 imp simprd untelirr adantlr risset notbii ralnex psseq2
      intex eqcom anbi1d elequ2 imbi12d albidv rspccv intss1 dfpss2 psseq1 treq
      anbi12d eleq1 spcgv expd exp4b com45 com23 syl5 mpdd mpid syl7bi ralrimiv
      syl5bir ralim syl5bi wb elintg ad2antrr sylibrd mt3d ex ancld mp2and ) DU
      AUCZBGZAGZHZYBIZJZBAKZLZBMZADNZJZDUBZIZEGZFGZHYNIJEFKLEMZFYLNZCGZYLHYRIJY
      RYLOLCMZYLDOZJZYJYMYAYJYCIZADNYMYIUUBADYIUUBCCKPCYCNZYCQOYIUUBUUCJLAUDZBC
      YCQUEUFUGUHADUIRUJYKYPFDUKZNZYQYJUUFYAYJFAKZYPLZFMZADNZUUFYIUUIADYIUUHFBE
      YCYOUUDULUMUHUUJYCDOZUUHLZFMZAMZUUFUUJUUKUUILZAMUUNUUIADUNUUMUUOAUUKUUHFU
      OUPUQUUNUUKUUGJZYPLZFMAMZUUFUUQUULAFUUKUUGYPURUSUUGADVEZYPLZFMZYOUUEOZYPL
      ZFMUURUUFUUTUVCFUVBUUSYPUVBUUSAYODUTVAVBVCUURUUQAMZFMUVAUUQAFVDUVDUUTFUVD
      UUPAVFZYPLUUTUUPYPAVGUUSUVEYPUUGADVHVIUQUPVJYPFUUEUNVKVLSRUJYAUUFYQLZYJYA
      YLUUEVPUVFDVMYPFYLUUEVNRVOVQYMYQJYSYKUUAFCEYLVRYKYSYTYKYSYTYKYSJZYTYLYLOZ
      YAYSUVHPZYJYAYSJZEEKPEYLNZUVIUVJYMUVKYAYSYMUVKJZYAYLQOZYSUVLLDWGZCEYLQUES
      VSZVTEYLWARWBUVGYTPZYLYNOZEDNZUVHUVPYNYLTZPZEDNZUVGUVRUVPUVSEDVEZPUWAYTUW
      BEYLDWCWDUVSEDWEUQUVGUVTUVQLZEDNUWAUVRLUVGUWCEDUVTYLYNTZPZUVGYNDOZUVQUVSU
      WDYNYLWHWDUVGUWFYMUWEUVQLZYAYSYMYJUVJYMUVKUVOUGWBYKUWFYMUWGLZLYSYKUWFYBYN
      HZYEJZBEKZLZBMZUWHYJUWFUWMLYAYIUWMAYNDYCYNTZYHUWLBUWNYFUWJYGUWKUWNYDUWIYE
      YCYNYBWFWIAEBWJWKWLWMUJYAUWFUWMUWHLZLYJUWFYLYNVPZYAUWOYNDWNYAUWMUWPUWHYAU
      WMUWPUWEYMUVQYAUWMUWPUWEYMUVQLZUWPUWEJYLYNHZYAUWMJZUWQYLYNWOUWSUWRYMUVQYA
      UWMUWRYMJZUVQLZYAUVMUWMUXALUVNUWLUXABYLQYBYLTZUWJUWTUWKUVQUXBUWIUWRYEYMYB
      YLYNWPYBYLWQWRYBYLYNWSWKWTSVSXAXJXBXCXDXEVOXFVOXGXHXIUVTUVQEDXKRXLYAUVHUV
      RXMZYJYSYAUVMUXCUVNEYLDQXNSXOXPXQXRXSXEXT $.
  $}

  ${
    $d A x y z w t u $.
    $( Lemma for ~ dfon2 .  A class of new ordinals is well-founded by ` _E ` .
       (Contributed by Scott Fenton, 3-Mar-2011.) $)
    dfon2lem9 $p |- ( A. x e. A A. y ( ( y C. x /\ Tr y ) -> y e. x )
                         -> _E Fr A ) $=
      ( vz vt vw vu cv wpss wtr wa wel wi wal wral wss wn wrex cep wcel wne wfr
      c0 ssralv cint dfon2lem8 simprd intss1 simpld cvv wceq dfon2lem3 untelirr
      intex imp syl eleq1 notbid syl5ibcom a1dd trss eqss simplbi2com syl6 con3
      com23 pm2.61d sylanb syldan ralrimiv eleq2 ralbidv rspcev syl2anc syl6com
      syl5 expcom impd alrimiv wbr df-fr epel notbii ralbii rexbii imbi2i albii
      bitri sylibr ) BHZAHIWJJKBALMBNZACOZDHZCPZWMUCUAZKZEFLZQZEWMOZFWMRZMZDNZC
      SUBZWLXADWLWNWOWTWNWLWKAWMOZWOWTMWKAWMCUDWOXDWTWOXDKZWMUEZWMTZEHZXFTZQZEW
      MOZWTXEGHZXFIXLJKXLXFTMGNZXGABGWMUFZUGXEXJEWMEDLXFXHPZXEXJXHWMUHWOXDXMXOX
      JMZXEXMXGXNUIWOXFUJTZXMXPWMUNXQXMKZXFXHUKZXPXRXSXJXOXRXFXFTZQZXSXJXRAALQA
      XFOZYAXRXFJZYBXQXMYCYBKGAXFUJULUOZUGAXFUMUPXSXTXIXFXHXFUQURUSUTXRXOXSQZXJ
      XRXOXIXSMYEXJMXRXIXOXSXRXIXHXFPZXOXSMXRYCXIYFMXRYCYBYDUIXFXHVAUPXSXOYFXFX
      HVBVCVDVFXIXSVEVDVFVGVHVIVPVJWSXKFXFWMFHZXFUKZWRXJEWMYHWQXIYGXFXHVKURVLVM
      VNVQVOVRVSXCWPXHYGSVTZQZEWMOZFWMRZMZDNXBDFECSWAYMXADYLWTWPYKWSFWMYJWREWMY
      IWQFXHWBWCWDWEWFWGWHWI $.
  $}

  ${
    $d x y z w t u v $.
    $( ` On ` consists of all sets that contain all its transitive proper
       subsets.  This definition comes from J. R. Isbell, "A Definition of
       Ordinal Numbers", American Mathematical Monthly, vol 67 (1960), pp.
       51-52.  (Contributed by Scott Fenton, 20-Feb-2011.) $)
    dfon2 $p |- On = { x | A. y ( ( y C. x /\ Tr y ) -> y e. x ) } $=
      ( vz vw vu vt vv cv cab wpss wtr wa wel wi wal cep wral vex weq imbi12d
      con0 word df-on wss wne tz7.7 df-pss bitr4di exbiri com23 impd alrimiv wn
      wwe cvv wcel dfon2lem3 simpld wfr w3o dfon2lem7 ralrimiv dfon2lem9 psseq2
      ax-mp anbi1d elequ2 albidv psseq1 anbi12d elequ1 cbvalvw bitrdi dfon2lem5
      treq anim12d syl6 ralrimivv jca syl wbr dfwe2 epel biid 3orbi123i 2ralbii
      rspccv anbi2i bitri sylibr df-ord sylanbrc impbii abbii eqtri ) UAAHZUBZA
      IBHZWPJZWRKZLBAMZNZBOZAIAUCWQXCAWQXCWQXBBWQWSWTXAWQWTWSXAWQWTXAWSWQWTLXAW
      RWPUDWRWPUELWSWPWRUFWRWPUGUHUIUJUKULXCWPKZWPPUNZWQXCXDCCMUMCWPQZWPUOUPXCX
      DXFLNARZBCWPUOUQVEURXCWPPUSZCDMZCDSZDCMZUTZDWPQCWPQZLZXEXCEHZFHZJZXOKZLZE
      FMZNZEOZFWPQZXNXCYBFWPBEWPXPXGVAVBYCXHXMFEWPVCYCXLCDWPWPYCCAMZDAMZLGHZCHZ
      JZYFKZLZGCMZNZGOZWRDHZJZWTLZBDMZNZBOZLXLYCYDYMYEYSYBYMFYGWPFCSZYBXOYGJZXR
      LZECMZNZEOYMYTYAUUDEYTXSUUBXTUUCYTXQUUAXRXPYGXOVDVFFCEVGTVHUUDYLEGEGSZUUB
      YJUUCYKUUEUUAYHXRYIXOYFYGVIXOYFVOVJEGCVKTVLVMWGYBYSFYNWPFDSZYBXOYNJZXRLZE
      DMZNZEOYSUUFYAUUJEUUFXSUUHXTUUIUUFXQUUGXRXPYNXOVDVFFDEVGTVHUUJYREBEBSZUUH
      YPUUIYQUUKUUGYOXRWTXOWRYNVIXOWRVOVJEBDVKTVLVMWGVPGBYGYNCRDRVNVQVRVSVTXEXH
      YGYNPWAZXJYNYGPWAZUTZDWPQCWPQZLXNCDWPPWBUUOXMXHUUNXLCDWPWPUULXIXJXJUUMXKD
      YGWCXJWDCYNWCWEWFWHWIWJWPWKWLWMWNWO $.
  $}

  ${
    $d F g $.  $d I g $.
    $( The value of the recursive definition generator at ` (/) ` when the base
       value is a proper class.  (Contributed by Scott Fenton, 26-Mar-2014.)
       (Revised by Mario Carneiro, 19-Apr-2014.) $)
    rdgprc0 $p |- ( -. I e. _V -> ( rec ( F , I ) ` (/) ) = (/) ) $=
      ( vg cvv wcel wn c0 crdg cfv cv wceq cdm wlim crn cuni cif cmpt cres eqid
      unieqd con0 0elon rdgval ax-mp res0 fveq2i eqtri eqeq1 wb dmeq limeq rneq
      syl fveq12d fveq2d ifbieq12d ifbieq2d eleq1d elrab2 iftruei eleq1i biimpi
      id dmmpt simplbiim ndmfv nsyl5 syl5eq ) BDEZFGABHZIZGCDCJZGKZBVLLZMZVLNZO
      ZVNOZVLIZAIZPZPZQZIZGVKVJGRZWCIZWDGUAEVKWFKUBBGCAUCUDWEGWCVJUEUFUGGWCLZEZ
      VIWDGKWHGDEGGKZBGLZMZGNZOZWJOZGIZAIZPZPZDEZVIWBDEWSCGDWGVMWBWRDVMVMWIWAWQ
      BVLGGUHVMVOWKVQVTWMWPVMVNWJKVOWKUIVLGUJZVNWJUKUMVMVPWLVLGULTVMVSWOAVMVRWN
      VLGVMVCVMVNWJWTTUNUOUPUQURCDWBWCWCSVDUSWSVIWRBDWIBWQGSUTVAVBVEGWCVFVGVH
      $.
  $}

  ${
    $d F x y z $.  $d I x y z $.
    $( The value of the recursive definition generator when ` I ` is a proper
       class.  (Contributed by Scott Fenton, 26-Mar-2014.)  (Revised by Mario
       Carneiro, 19-Apr-2014.) $)
    rdgprc $p |- ( -. I e. _V -> rec ( F , I ) = rec ( F , (/) ) ) $=
      ( vx vz vy cvv wcel cv crdg cfv c0 wceq con0 wral wi fveq2 eqeq12d imbi2d
      weq wb csuc rdgprc0 0ex rdg0 eqtr4di rdgsuc syl5ibr imim2d wlim cres word
      r19.21v wss limord ordsson wfn rdgfnon fvreseq mpanl12 3syl cima cuni crn
      wn rneq df-ima 3eqtr4g unieqd vex rdglim mpan sylbird syl5bi tfinds com12
      wa ralrimiv eqfnfv mp2an sylibr ) BFGVDZCHZABIZJZWBAKIZJZLZCMNZWCWELZWAWG
      CMWBMGWAWGWADHZWCJZWJWEJZLZOZWAKWCJZKWEJZLZOWAEHZWCJZWRWEJZLZOZWAWRUAZWCJ
      ZXCWEJZLZOWAWGODEWBWJKLZWMWQWAXGWKWOWLWPWJKWCPWJKWEPQRDESZWMXAWAXHWKWSWLW
      TWJWRWCPWJWRWEPQRWJXCLZWMXFWAXIWKXDWLXEWJXCWCPWJXCWEPQRDCSZWMWGWAXJWKWDWL
      WFWJWBWCPWJWBWEPQRWAWOKWPABUBKAUCUDUEWRMGZXAXFWAXAXFXKWSAJZWTAJZLWSWTAPXK
      XDXLXEXMBWRAUFKWRAUFQUGUHXBEWJNWAXAEWJNZOWJUIZWNWAXAEWJULXOXNWMWAXOXNWCWJ
      UJZWEWJUJZLZWMXOWJUKWJMUMZXRXNTZWJUNWJUOWCMUPZWEMUPZXSXTBAUQZKAUQZEMWJWCW
      EURUSUTXRWMXOWCWJVAZVBZWEWJVAZVBZLZXRYEYGXRXPVCXQVCYEYGXPXQVEWCWJVFWEWJVF
      VGVHWJFGZXOWMYITDVIYJXOVPWKYFWLYHBWJFAVJKWJFAVJQVKUGVLUHVMVNVOVQYAYBWIWHT
      YCYDCMWCWEVRVSVT $.
  $}

  ${
    $d F f $.  $d f g $.  $d F g $.  $d f i $.  $d F i $.  $d f x $.  $d F x $.
    $d f y $.  $d F y $.  $d g i $.  $d g x $.  $d g y $.  $d I f $.  $d I i $.
    $d i x $.  $d I x $.  $d i y $.  $d I y $.  $d x y $.  $d f z $.  $d F z $.
    $d i z $.  $d y z $.
    $( Alternate definition of the recursive function generator when ` I ` is a
       set.  (Contributed by Scott Fenton, 26-Mar-2014.)  (Revised by Mario
       Carneiro, 19-Apr-2014.) $)
    dfrdg2 $p |- ( I e. V -> rec ( F , I ) =
       U. { f | E. x e. On ( f Fn x /\
            A. y e. x ( f ` y ) =
              if ( y = (/) , I ,
                   if ( Lim y , U. ( f " y ) ,
                        ( F ` ( f ` U. y ) ) ) ) ) } ) $=
      ( vg vz cv cfv c0 wceq cuni cif wa con0 cvv wcel fveq2d ifbieq2d crdg wfn
      wlim cima wral wrex cab rdgeq2 ifeq1 eqeq2d ralbidv anbi2d rexbidv abbidv
      vi unieqd eqeq12d cdm crn cmpt crecs cres df-rdg dfrecs3 wb w3a vex resex
      eqeq1 wrel relres reldm0 ax-mp bitrdi dmeq limeq syl rneq eqtr4di fveq12d
      df-ima id ifbieq12d eqid imaexg uniex fvex fvmpt cin dmres wss onelss imp
      ifex 3adant2 fndm 3ad2ant2 sseqtrrd df-ss sylib syl5eq unieq onelon eloni
      word csuc ordzsl iftrue eqtr4d sucid fvres ordunisuc 3eqtr4a nsuceq0 neii
      w3o iffalsei wn nlimsucg iffalse eqtri 3eqtr4g reseq2 syl5ibrcom rexlimiv
      mp2b wne df-lim simp2bi neneqd iffalsed 3jaoi sylbi sylan9eqr mpdan 3expa
      3eqtr4d ralbidva pm5.32da rexbiia abbii unieqi 3eqtri vtoclg ) DUOIZUAZCI
      ZAIZUBZBIZUUGJZUUJKLZUUEUUJUCZUUGUUJUDZMZUUJMZUUGJZDJZNZNZLZBUUHUEZOZAPUF
      ZCUGZMZLDEUAZUUIUUKUULEUUSNZLZBUUHUEZOZAPUFZCUGZMZLUOEFUUEELZUUFUVGUVFUVN
      UUEEDUHUVOUVEUVMUVOUVDUVLCUVOUVCUVKAPUVOUVBUVJUUIUVOUVAUVIBUUHUVOUUTUVHUU
      KUULUUEEUUSUIUJUKULUMUNUPUQUUFGQGIZKLZUUEUVPURZUCZUVPUSZMZUVRMZUVPJZDJZNZ
      NZUTZVAUUIUUKUUGUUJVBZUWGJZLZBUUHUEZOZAPUFZCUGZMUVFGDUUEVCABCUWGVDUWNUVEU
      WMUVDCUWLUVCAPUUHPRZUUIUWKUVBUWOUUIOUWJUVABUUHUWOUUIUUJUUHRZUWJUVAVEUWOUU
      IUWPVFZUWIUUTUUKUWQUWIUWHURZKLZUUEUWRUCZUUOUWRMZUWHJZDJZNZNZUUTUWHQRUWIUX
      ELUUGUUJCVGZVHGUWHUWFUXEQUWGUVPUWHLZUVQUWSUWEUXDUUEUXGUVQUWHKLZUWSUVPUWHK
      VIUWHVJUXHUWSVEUUGUUJVKUWHVLVMVNUXGUVSUWTUWAUWDUUOUXCUXGUVRUWRLUVSUWTVEUV
      PUWHVOZUVRUWRVPVQUXGUVTUUNUXGUVTUWHUSUUNUVPUWHVRUUGUUJWAVSUPUXGUWCUXBDUXG
      UWBUXAUVPUWHUXGWBUXGUVRUWRUXIUPVTSWCTUWGWDUWSUUEUXDUOVGUWTUUOUXCUUNUUGQRU
      UNQRUXFUUGUUJQWEVMWFUXBDWGWNWNWHVMUWQUWRUUJLZUXEUUTLUWQUWRUUJUUGURZWIZUUJ
      UUGUUJWJUWQUUJUXKWKUXLUUJLUWQUUJUUHUXKUWOUWPUUJUUHWKZUUIUWOUWPUXMUUHUUJWL
      WMWOUUIUWOUXKUUHLUWPUUHUUGWPWQWRUUJUXKWSWTXAUXJUWQUXEUULUUEUUMUUOUUPUWHJZ
      DJZNZNZUUTUXJUWSUULUXDUXPUUEUWRUUJKVIUXJUWTUUMUXCUXOUUOUWRUUJVPUXJUXBUXND
      UXJUXAUUPUWHUWRUUJXBSSTTUWQUUJXEZUXQUUTLZUWOUWPUXRUUIUWOUWPOUUJPRUXRUUHUU
      JXCUUJXDVQWOUXRUULUUJHIZXFZLZHPUFZUUMXPUXSHUUJXGUULUXSUYCUUMUULUXQUUEUUTU
      ULUUEUXPXHUULUUEUUSXHXIUYBUXSHPUXTPRZUXSUYBUYAKLZUUEUYAUCZUUOUYAMZUUGUYAV
      BZJZDJZNZNZUYEUUEUYFUUOUYGUUGJZDJZNZNZLUYDUYJUYNUYLUYPUYDUYIUYMDUYDUXTUYH
      JZUXTUUGJZUYIUYMUXTUYARUYQUYRLUXTHVGZXJUXTUYAUUGXKVMUYDUYGUXTUYHUYDUXTXEU
      YGUXTLUXTXDUXTXLVQZSUYDUYGUXTUUGUYTSXMSUYLUYKUYJUYEUUEUYKUYAKUXTXNXOZXQUX
      TQRZUYFXRZUYKUYJLUYSUXTQXSZUYFUUOUYJXTYFYAUYPUYOUYNUYEUUEUYOVUAXQVUBVUCUY
      OUYNLUYSVUDUYFUUOUYNXTYFYAYBUYBUXQUYLUUTUYPUYBUULUYEUXPUYKUUEUUJUYAKVIZUY
      BUUMUYFUXOUYJUUOUUJUYAVPZUYBUXNUYIDUYBUUPUYGUWHUYHUUJUYAUUGYCUUJUYAXBZVTS
      TTUYBUULUYEUUSUYOUUEVUEUYBUUMUYFUURUYNUUOVUFUYBUUQUYMDUYBUUPUYGUUGVUGSSTT
      UQYDYEUUMUXQUUSUUTUUMUXPUUOUXQUUSUUMUUOUXOXHUUMUULUUEUXPUUMUUJKUUMUXRUUJK
      YGUUJUUPLUUJYHYIYJZYKUUMUUOUURXHYQUUMUULUUEUUSVUHYKXIYLYMVQYNYOXAUJYPYRYS
      YTUUAUUBUUCUUD $.
  $}

  ${
    $d F f $.  $d f x $.  $d F x $.  $d f y $.  $d F y $.  $d I f $.  $d I x $.
    $d I y $.  $d x y $.
    $( Generalization of ~ dfrdg2 to remove sethood requirement.  (Contributed
       by Scott Fenton, 27-Mar-2014.)  (Revised by Mario Carneiro,
       19-Apr-2014.) $)
    dfrdg3 $p |- rec ( F , I ) =
       U. { f | E. x e. On ( f Fn x /\
            A. y e. x ( f ` y ) =
              if ( y = (/) , if ( I e. _V , I , (/) ) ,
                   if ( Lim y , U. ( f " y ) ,
                        ( F ` ( f ` U. y ) ) ) ) ) } $=
      ( cvv wcel crdg cv cfv c0 wceq cif cuni wral wa con0 wrex cab dfrdg2 wlim
      wfn cima iftrue ifeq1d eqeq2d ralbidv anbi2d rexbidv abbidv unieqd eqtr4d
      wn 0ex ax-mp rdgprc iffalse 3eqtr4a pm2.61i ) EFGZDEHZCIZAIZUBZBIZVBJZVEK
      LZUTEKMZVEUAVBVEUCNVENVBJDJMZMZLZBVCOZPZAQRZCSZNZLUTVAVDVFVGEVIMZLZBVCOZP
      ZAQRZCSZNVPABCDEFTUTVOWBUTVNWACUTVMVTAQUTVLVSVDUTVKVRBVCUTVJVQVFUTVGVHEVI
      UTEKUDUEUFUGUHUIUJUKULUTUMZDKHZVDVFVGKVIMZLZBVCOZPZAQRZCSZNZVAVPKFGWDWKLU
      NABCDKFTUODEUPWCVOWJWCVNWICWCVMWHAQWCVLWGVDWCVKWFBVCWCVJWEVFWCVGVHKVIUTEK
      UQUEUFUGUHUIUJUKURUS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Defined equality axioms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( A version of ~ ax-ext for use with defined equality.  (Contributed by
     Scott Fenton, 12-Dec-2010.) $)
  axextdfeq $p |- E. z ( ( z e. x -> z e. y )
                    -> ( ( z e. y -> z e. x ) -> ( x e. w -> y e. w ) ) ) $=
    ( wel wb wi wex weq axextnd ax8 imim2i eximii biimpexp exbii mpbi ) CAEZCBE
    ZFZADEBDEGZGZCHQRGRQGTGGZCHSABIZGUACCABJUCTSABDKLMUAUBCQRTNOP $.

  $( A version of ~ ax-8 for use with defined equality.  (Contributed by Scott
     Fenton, 12-Dec-2010.) $)
  ax8dfeq $p |- E. z ( ( z e. x -> z e. y ) -> ( w e. x -> w e. y ) ) $=
    ( weq wel wi ax6e ax8 equcoms imim12d eximii ) CDEZCAFZCBFZGDAFZDBFZGGCCDHM
    PNOQPNGDCDCAIJCDBIKL $.

  ${
    $d w x $.  $d w y $.  $d z w $.
    $( ~ ax-ext with distinctors instead of distinct variable conditions.
       (Contributed by Scott Fenton, 13-Dec-2010.) $)
    axextdist $p |- ( ( -. A. z z = x /\ -. A. z z = y )
                      -> ( A. z ( z e. x <-> z e. y ) -> x = y ) ) $=
      ( vw weq wal wn wa wel wb nfnae nfan wnfc nfcvf adantr nfcrd adantl nfbid
      cv elequ1 wi bibi12d a1i cbvald axextg syl6bir ) CAECFGZCBECFGZHZCAIZCBIZ
      JZCFDAIZDBIZJZDFABEUIUOULDCUGUHCCACKCBCKLUIUMUNCUICDASZUGCUPMUHCANOPUICDB
      SZUHCUQMUGCBNQPRDCEZUOULJUAUIURUMUJUNUKDCATDCBTUBUCUDABDUEUF $.

    $( ~ axextb with distinctors instead of distinct variable conditions.
       (Contributed by Scott Fenton, 13-Dec-2010.) $)
    axextbdist $p |- ( ( -. A. z z = x /\ -. A. z z = y )
                      -> ( x = y <-> A. z ( z e. x <-> z e. y ) ) ) $=
      ( weq wal wn wa wel wb wi axc9 imp nfnae nfan elequ2 alimd syld axextdist
      a1i impbid ) CADCEFZCBDCEFZGZABDZCAHCBHIZCEZUCUDUDCEZUFUAUBUDUGJABCKLUCUD
      UECUAUBCCACMCBCMNUDUEJUCABCOSPQABCRT $.
  $}

  ${
    $d x y $.
    19.12b.1 $e |- F/ y ph $.
    19.12b.2 $e |- F/ x ps $.
    $( Version of ~ 19.12vv with not-free hypotheses, instead of distinct
       variable conditions.  (Contributed by Scott Fenton, 13-Dec-2010.)
       (Revised by Mario Carneiro, 11-Dec-2016.) $)
    19.12b $p |- ( E. x A. y ( ph -> ps ) <-> A. y E. x ( ph -> ps ) ) $=
      ( wi wal wex 19.21 exbii nfal 19.36 albii bitr2i 3bitri ) ABGZDHZCIABDHZG
      ZCIACHZSGZQCIZDHZRTCABDEJKASCBCDFLMUDUABGZDHUBUCUEDABCFMNUABDADCELJOP $.
  $}

  $( There is always a set not in ` y ` .  (Contributed by Scott Fenton,
     13-Dec-2010.) $)
  exnel $p |- E. x -. x e. y $=
    ( wel wn wex elirrv nfth weq ax8 con3d spime ax-mp ) BBCZDZABCZDZAEBFZNPABN
    AQGABHOMABBIJKL $.

  ${
    $d x z $.  $d y z $.
    $( Distinctors in terms of membership.  (NOTE: this only works with
       relations where we can prove ~ el and ~ elirrv .)  (Contributed by Scott
       Fenton, 15-Dec-2010.) $)
    distel $p |- ( -. A. y y = x <-> -. A. y -. x e. y ) $=
      ( vz weq wal wn wel wex el df-ex nfnae dveel1 nf5d nfnd elequ2 notbid a1i
      wb wi cbvald syl5bb mpbii elirrv elequ1 mtbii alimi con3i impbii ) BADZBE
      ZFZABGZFZBEZFZUKACGZCHZUOACIUQUPFZCEZFUKUOUPCJUKUSUNUKURUMCBBABKZUKUPBUKU
      PBUTBACLMNCBDZURUMRSUKVAUPULCBAOPQTPUAUBUJUNUIUMBUIBBGULBUCBABUDUEUFUGUH
      $.
  $}

  $( ~ axextnd as a biconditional.  (Contributed by Scott Fenton,
     14-Dec-2010.) $)
  axextndbi $p |- E. z ( x = y <-> ( z e. x <-> z e. y ) ) $=
    ( weq wel wb wex wi wa axextnd elequ2 jctl eximii dfbi2 exbii mpbir ) ABDZC
    AECBEFZFZCGQRHZRQHZIZCGUAUBCCABJUATABCKLMSUBCQRNOP $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Hypothesis builders
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( A more general form of ~ hbnt .  (Contributed by Scott Fenton,
     13-Dec-2010.) $)
  hbntg $p |- ( A. x ( ph -> A. x ps ) -> ( -. ps -> A. x -. ph ) ) $=
    ( wn wal wi axc7 con1i con3 al2imi syl5 ) BDBCEZDZCEZALFZCEADZCENBBCGHOMPCA
    LIJK $.

  $( A more general and closed form of ~ hbim .  (Contributed by Scott Fenton,
     13-Dec-2010.) $)
  hbimtg $p |- ( ( A. x ( ph -> A. x ch ) /\ ( ps -> A. x th ) ) ->
                ( ( ch -> ps ) -> A. x ( ph -> th ) ) ) $=
    ( wal wi wa wn hbntg pm2.21 alimi syl6 adantr ala1 imim2i adantl jad ) ACEF
    GEFZBDEFZGZHCBADGZEFZSCIZUCGUASUDAIZEFUCACEJUEUBEADKLMNUABUCGSTUCBDAEOPQR
    $.

  $( A more general and closed form of ~ hbal .  (Contributed by Scott Fenton,
     13-Dec-2010.) $)
  hbaltg $p |- ( A. x ( ph -> A. y ps ) -> ( A. x ph -> A. y A. x ps ) ) $=
    ( wal wi alim ax-11 syl6 ) ABDEZFCEACEJCEBCEDEAJCGBCDHI $.

  ${
    hbg.1 $e |- ( ph -> A. x ps ) $.
    $( A more general form of ~ hbn .  (Contributed by Scott Fenton,
       13-Dec-2010.) $)
    hbng $p |- ( -. ps -> A. x -. ph ) $=
      ( wal wi wn hbntg mpg ) ABCEFBGAGCEFCABCHDI $.

    ${
      hbg.2 $e |- ( ch -> A. x th ) $.
      $( A more general form of ~ hbim .  (Contributed by Scott Fenton,
         13-Dec-2010.) $)
      hbimg $p |- ( ( ps -> ch ) -> A. x ( ph -> th ) ) $=
        ( wal wi ax-gen hbimtg mp2an ) ABEHIZEHCDEHIBCIADIEHIMEFJGACBDEKL $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  (Trans)finite Recursion Theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d ph y z $.  $d x y z $.
    $( A closed form of ~ tfis .  (Contributed by Scott Fenton, 8-Jun-2011.) $)
    tfisg $p |- ( A. x e. On ( A. y e. x [. y / x ]. ph -> ph ) ->
                 A. x e. On ph ) $=
      ( vz cv wsbc wral wi con0 crab wceq wss wcel ssrab2 wa dfss3 nfcv elrabsf
      simprbi nfsbc1v ralimi sylbi nfralw nfim sbceq1a imbi12d rspc impcom syl5
      raleq simpr jctild syl6ibr ralrimiva tfi sylancr eqcomd rabid2 sylib ) AB
      CEZFZCBEZGZAHZBIGZIABIJZKABIGVEVFIVEVFILDEZVFLZVGVFMZHZDIGVFIKABINVEVJDIV
      EVGIMZOZVHVKABVGFZOVIVLVHVMVKVHVACVGGZVLVMVHUTVFMZCVGGVNCVGVFPVOVACVGVOUT
      IMVAABUTIBIQZRSUAUBVKVEVNVMHZVDVQBVGIVNVMBVABCVGBVGQABUTTUCABVGTUDVBVGKVC
      VNAVMVACVBVGUJABVGUEUFUGUHUIVEVKUKULABVGIVPRUMUNDVFUOUPUQABIURUS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Transitive closure of a relation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constant $)
  $c t++ $.

  $( Declare the syntax for the transitive closure of a class. $)
  cttrcl $a class t++ R $.

  ${
    $d R f n m x y $.
    $( Define the transitive closure of a class.  This is the smallest
       relationship containing ` R ` (or more precisely, the relation
       ` ( R |`` _V ) ` induced by ` R ` ) and having the transitive property.
       Definition from [Levy] p. 59, who denotes it as ` R * ` and calls it the
       "ancestral" of ` R ` .  (Contributed by Scott Fenton, 17-Oct-2024.) $)
    df-ttrcl $a |- t++ R = { <. x , y >. | E. n e. ( _om \ 1o )
     E. f ( f Fn suc n /\ ( ( f ` (/) ) = x /\ ( f ` n ) = y ) /\
     A. m e. n ( f ` m ) R ( f ` suc m ) ) } $.
  $}

  ${
    $d R f m n x y $.  $d S f m n x y $.
    $( Equality theorem for transitive closure.  (Contributed by Scott Fenton,
       17-Oct-2024.) $)
    ttrcleq $p |- ( R = S -> t++ R = t++ S ) $=
      ( vf vn vx vy vm wceq csuc wfn cfv wbr wral w3a wex copab cttrcl df-ttrcl
      cv wrex com c1o cdif breq ralbidv 3anbi3d exbidv rexbidv opabbidv 3eqtr4g
      c0 wa ) ABHZCSZDSZIJZUKUNKESHUOUNKFSHULZGSZUNKZURIUNKZALZGUOMZNZCOZDUAUBU
      CZTZEFPUPUQUSUTBLZGUOMZNZCOZDVETZEFPAQBQUMVFVKEFUMVDVJDVEUMVCVICUMVBVHUPU
      QUMVAVGGUOUSUTABUDUEUFUGUHUIEFACGDREFBCGDRUJ $.
  $}

  ${
    $d R y z n f a $.  $d ph y z n f a $.  $d x y z n f a $.
    nfttrcld.1 $e |- ( ph -> F/_ x R ) $.
    $( Bound variable hypothesis builder for transitive closure.  Deduction
       form.  (Contributed by Scott Fenton, 26-Oct-2024.) $)
    nfttrcld $p |- ( ph -> F/_ x t++ R ) $=
      ( vf vn vy vz va cttrcl cv csuc wfn c0 cfv wceq wa nfv nfcvd nfvd wbr w3a
      wral wex com cdif wrex copab df-ttrcl nfbrd nfraldw nf3and nfrexd nfopabd
      c1o nfexd nfcxfrd ) ABCJEKZFKZLMZNUROGKPUSUROHKPQZIKZUROZVBLUROZCUAZIUSUC
      ZUBZEUDZFUEUOUFZUGZGHUHGHCEIFUIAVJGHBAGRAHRAVHBFVIAFRABVISAVGBEAERAUTVAVF
      BAUTBTAVABTAVEBIUSAIRABUSSABVCVDCABVCSDABVDSUJUKULUPUMUNUQ $.
  $}

  ${
    nfttrcl.1 $e |- F/_ x R $.
    $( Bound variable hypothesis builder for transitive closure.  (Contributed
       by Scott Fenton, 17-Oct-2024.) $)
    nfttrcl $p |- F/_ x t++ R $=
      ( cttrcl wnfc wtru a1i nfttrcld mptru ) ABDEFABABEFCGHI $.
  $}

  ${
    $d R f n m x y $.
    $( The transitive closure of a class is a relation.  (Contributed by Scott
       Fenton, 17-Oct-2024.) $)
    relttrcl $p |- Rel t++ R $=
      ( vf vn vx vy vm cv csuc wfn c0 cfv wceq wa wbr wral w3a wex com c1o cdif
      wrex cttrcl df-ttrcl relopabi ) BGZCGZHIJUEKDGLUFUEKEGLMFGZUEKUGHUEKANFUF
      OPBQCRSTUADEAUBDEABFCUCUD $.
  $}

  ${
    $d A x y n f a $.  $d B x y n f a $.  $d R x y n f a $.
    $( Characterization of elements of the transitive closure of a relation.
       (Contributed by Scott Fenton, 18-Aug-2024.) $)
    brttrcl $p |- ( A t++ R B <-> E. n e. ( _om \ 1o ) E. f
     ( f Fn suc n /\ ( ( f ` (/) ) = A /\ ( f ` n ) = B ) /\
     A. a e. n ( f ` a ) R ( f ` suc a ) ) ) $=
      ( vx vy wbr cvv wcel wa cv csuc c0 cfv wceq w3a wex wrex wfn wral com c1o
      cttrcl cdif relttrcl brrelex12i fvex eleq1 mpbii anim12i 3ad2ant2 exlimiv
      rexlimivw eqeq2 anbi1d 3anbi2d exbidv rexbidv anbi2d df-ttrcl pm5.21nii
      brabg ) ABCUEZIAJKZBJKZLZDMZEMZNUAZOVIPZAQZVJVIPZBQZLZFMZVIPVQNVIPCIFVJUB
      ZRZDSZEUCUDUFZTZABVECUGUHVTVHEWAVSVHDVPVKVHVRVMVFVOVGVMVLJKVFOVIUIVLAJUJU
      KVOVNJKVGVJVIUIVNBJUJUKULUMUNUOVKVLGMZQZVNHMZQZLZVRRZDSZEWATVKVMWFLZVRRZD
      SZEWATWBGHABJJVEWCAQZWIWLEWAWMWHWKDWMWGWJVKVRWMWDVMWFWCAVLUPUQURUSUTWEBQZ
      WLVTEWAWNWKVSDWNWJVPVKVRWNWFVOVMWEBVNUPVAURUSUTGHCDFEVBVDVC $.
  $}

  ${
    $d A m n f a $.  $d B m n f a $.  $d R m n f a $.
    $( Characterization of elements of the transitive closure of a relation.
       (Contributed by Scott Fenton, 24-Aug-2024.) $)
    brttrcl2 $p |- ( A t++ R B <-> E. n e. _om E. f
     ( f Fn suc suc n /\ ( ( f ` (/) ) = A /\ ( f ` suc n ) = B ) /\
     A. a e. suc n ( f ` a ) R ( f ` suc a ) ) ) $=
      ( vm wbr cv csuc wfn c0 cfv wceq wa wex com cdif wrex wcel cttrcl w3a c1o
      wral brttrcl df-1o difeq2i eleq2i wb peano1 eldifsucnn dif0 rexeqi 3bitri
      ax-mp anbi1i r19.41v bitr4i exbii df-rex rexcom4 3bitr4i vex sucex fneq2d
      suceq fveqeq2 anbi2d raleq 3anbi123d exbidv ceqsexv rexbii ) ABCUAHDIZGIZ
      JZKZLVNMANZVOVNMBNZOZFIZVNMWAJVNMCHZFVOUDZUBZDPZGQUCRZSZVOEIZJZNZWEOZGPZE
      QSZVNWIJZKZVRWIVNMBNZOZWBFWIUDZUBZDPZEQSABCDGFUEVOWFTZWEOZGPWKEQSZGPWGWMX
      BXCGXBWJEQSZWEOXCXAXDWEXAVOQLJZRZTZWJEQLRZSZXDWFXFVOUCXEQUFUGUHLQTXGXIUIU
      JELVOUKUOWJEXHQQULUMUNUPWJWEEQUQURUSWEGWFUTWKEGQVAVBWLWTEQWEWTGWIWHEVCVDW
      JWDWSDWJVQWOVTWQWCWRWJVPWNVNVOWIVFVEWJVSWPVRVOWIBVNVGVHWBFVOWIVIVJVKVLVMU
      N $.
  $}

  ${
    $d R x y z f n m $.
    $( If ` R ` is a relation, then it is a subclass of its transitive closure.
       (Contributed by Scott Fenton, 17-Oct-2024.) $)
    ssttrcl $p |- ( Rel R -> R C_ t++ R ) $=
      ( vx vy vf vn vm cv wcel wbr csuc wfn c0 cfv wceq wral w3a com c1o eqid
      wa wrel cttrcl wss cop wi wal wex cdif wrex wn 1onn onirri eldif mpbir2an
      1on cif cmpt weq vex ifex fnmpti pm3.2i 1oex sucex mptex fneq1 fveq1 word
      onordi 0elsuc ax-mp iftrue fvmpt eqtrdi eqeq1d sucid eqeq1 ifbid cvv neii
      1n0 iffalsei eqeltri eqtri anbi12d breq12d 3anbi123d spcev mp3an12 fneq2d
      suceq fveqeq2 anbi2d raleq csn df1o2 raleqi 0ex fveq2 df-1o eqtr4di ralsn
      fveq2d bitri bitrdi exbidv rspcev sylancr df-br brttrcl bitr3i gen2 ssrel
      3imtr3i mpbiri ) AUAAAUBZUCBGZCGZUDZAHZXSXPHZUEZCUFBUFYBBCXQXRAIZDGZEGZJZ
      KZLYDMZXQNZYEYDMXRNZTZFGZYDMZYLJZYDMZAIZFYEOZPZDUGZEQRUHZUIZXTYAYCRYTHZYD
      RJZKZYIRYDMZXRNZTZYHUUEAIZPZDUGZUUAUUBRQHRRHUJUKRUOULRQRUMUNFUUCYLLNZXQXR
      UPZUQZUUCKZBBURZCCURZTZYCUUJFUUCUULUUMUUKXQXRBUSZCUSZUTUUMSZVAUUOUUPXQSXR
      SVBUUIUUNUUQYCPDUUMFUUCUULRVCVDVEYDUUMNZUUDUUNUUGUUQUUHYCUUCYDUUMVFUVAYIU
      UOUUFUUPUVAYHXQXQUVAYHLUUMMZXQLYDUUMVGLUUCHZUVBXQNRVHUVCRUOVIRVJVKFLUULXQ
      UUCUUMUUKXQXRVLUUTUURVMVKVNZVOUVAUUEXRXRUVAUUERUUMMZXRRYDUUMVGUVERLNZXQXR
      UPZXRRUUCHUVEUVGNRVCVPFRUULUVGUUCUUMYLRNUUKUVFXQXRYLRLVQVRUUTUVGXRVSUVFXQ
      XRRLWAVTWBZUUSWCVMVKUVHWDVNZVOWEUVAYHXQUUEXRAUVDUVIWFWGWHWIYSUUJERYTYERNZ
      YRUUIDUVJYGUUDYKUUGYQUUHUVJYFUUCYDYERWKWJUVJYJUUFYIYERXRYDWLWMUVJYQYPFROZ
      UUHYPFYERWNUVKYPFLWOZOUUHYPFRUVLWPWQYPUUHFLWRUUKYMYHYOUUEAYLLYDWSUUKYNRYD
      UUKYNLJRYLLWKWTXAXCWFXBXDXEWGXFXGXHXQXRAXIUUAXQXRXPIYAXQXRADEFXJXQXRXPXIX
      KXNXLBCAXPXMXO $.
  $}

  ${
    $d R a b c f g h n m p q x y z $.
    $( The transitive closure of a class is transitive.  (Contributed by Scott
       Fenton, 17-Oct-2024.) $)
    ttrcltr $p |- ( t++ R o. t++ R ) C_ t++ R $=
      ( vn vp vc vq cv csuc c0 cfv wceq wa wbr com c1o wrex wcel coa adantr syl
      wb vx vy vf vz va vg vm vb vh wfn wral w3a wex co eldifi nnacl syl2an wss
      cdif wn eldif word nnord ordtri1 sylancr biimpar sylbi nnaword1 mpbid cif
      crio 0elsuc eleq1 fveq2 eqeq2 riotabidv ifbieq12d fvex ifex fvmpt iftrued
      fveq2d eqtrd sylan9eq sucid df-1o eleq2i peano1 eldifsucnn rexeqi anbi12i
      ax-mp 3bitri reeanv peano2 sylan syl2anc nnasuc notbid rexlimivv iffalsed
      suceq adantl weq simpr syl3anc breq12d elelsuc ordsucelsuc biimpa 3brtr4d
      wel elnn ancoms syl2an2r oveq2 eqeq1d mpbird wreu wrmo nnasmo reu5 riota2
      sylanbrc rspcdva cvv vex ordelsuc nfcv nfov nfeq1 rspcev eqeq2d syl5ibcom
      riota2f ex 1onn fveq1 3anbi123d brttrcl cttrcl relco cop 1on onordi sstrd
      ccom eldifd cmpt eqid simpl2l ovex mp1i difeq2i dif0 ordsucsssuc sseqtrrd
      bitr4i oveq12 eleq12d syl5ibrcom nnacan riota5 3eqtrd simpr2r rspcv mpan9
      simprl3 adantlr wo w3o ordtri3or 3orel3 syl5com simprr3 ordelss nnawordex
      cbvrexvw sylib simprr simpllr eqeltrd simprl ad4antlr nnaord eqcom bitrdi
      reximssdv rexbidva risset sylibr bitrd riotacl nfriota1 syl2an2 rexlimdva
      eqidd rexbidv mpd nfsuc eqtr4di eqsstrrid 0ex simpl2r simpr2l eqtr4d con0
      wi nnon oa1suc iftruei ifbieq1d eqtr3id jaod syld imp pm2.61dan ralrimiva
      breqtrrd fnmpti sucex mptex fneq1 anbi12d ralbidv mp3an1 syl21anc fveqeq2
      spcev fneq2d anbi2d raleq exbidv exlimdvv exlimiv opelco 2rexbii 3bitr4ri
      eeanv exbii bitri df-br bitr3i 3imtr4i relssi ) UAUBAUUAZVUFUUGZVUFVUFVUF
      UUBUCFZBFZGZUJZHVUHIZUAFZJZVUIVUHIZUDFZJZKZUEFZVUHIZVUSGZVUHIZALZUEVUIUKZ
      ULZUFFZUGFZGUJZHVVFIZVUPJZVVGVVFIZUBFZJZKZUHFZVVFIZVVOGZVVFIZALZUHVVGUKZU
      LZKZUFUMUCUMZUGMNUSZOBVWDOZUDUMZUIFZCFZGZUJZHVWGIZVUMJZVWHVWGIVVLJZKZDFZV
      WGIZVWOGZVWGIZALZDVWHUKZULZUIUMZCVWDOZVUMVVLUUCZVUGPZVXDVUFPZVWEVXCUDVWCV
      XCBUGVWDVWDVUIVWDPZVVGVWDPZKZVWBVXCUCUFVXIVWBVXCVXIVUIVVGQUNZVWDPVWBVWGVX
      JGZUJZVWLVXJVWGIZVVLJZKZVWSDVXJUKZULZUIUMZVXCVXIVXJMNVXGVUIMPZVVGMPZVXJMP
      ZVXHVUIMNUOZVVGMNUOZVUIVVGUPUQZVXINVXJURZVXJNPUTZVXINVUIVXJVXGNVUIURZVXHV
      XGVXSVUINPUTZKVYGVUIMNVAVXSVYGVYHVXSNVBZVUIVBZVYGVYHTNUUDUUEZVUIVCZNVUIVD
      VEVFVGRVXGVXSVXTVUIVXJURVXHVYBVYCVUIVVGVHUQUUFVXIVYIVXJVBZVYEVYFTVYKVXIVY
      AVYMVYDVXJVCSZNVXJVDVEVIUUHVXIVWBKZHCVXKVWHVUJPZVWHVUHIZVUIEFZQUNZVWHJZEM
      VKZVVFIZVJZUUIZIZVUMJZVXJWUDIZVVLJZVWOWUDIZVWQWUDIZALZDVXJUKZVXRVXIVWBWUE
      VULVUMVXIWUEHVUJPZVULVYSHJZEMVKZVVFIZVJZVULVXIHVXKPZWUEWUQJVXIVYMWURVYNVX
      JVLSCHWUCWUQVXKWUDVWHHJZVYPWUMVYQWUBVULWUPVWHHVUJVMVWHHVUHVNWUSWUAWUOVVFW
      USVYTWUNEMVWHHVYSVOVPWBVQWUDUUJZWUMVULWUPHVUHVRWUOVVFVRVSVTSVXIWUMVULWUPV
      XIVYJWUMVXIVXSVYJVXGVXSVXHVYBRZVYLSZVUIVLSWAWCVUNVUQVUKVVDVWAUUKWDVXIVWBW
      UGVVKVVLVXIWUGVXJVUJPZVXJVUHIZVYSVXJJZEMVKZVVFIZVJZWVGVVKVXJVXKPWUGWVHJVX
      IVXJVUIVVGQUULZWECVXJWUCWVHVXKWUDVWHVXJJZVYPWVCVYQWUBWVDWVGVWHVXJVUJVMVWH
      VXJVUHVNWVJWUAWVFVVFWVJVYTWVEEMVWHVXJVYSVOVPWBVQWUTWVCWVDWVGVXJVUHVRWVFVV
      FVRVSVTUUMVXIWVCWVDWVGVXIVUIVUMGZJZVVGVVLGZJZKZUBMOUAMOZWVCUTZVXIWVLUAMOZ
      WVNUBMOZKWVPVXGWVRVXHWVSVXGVUIMHGZUSZPZWVLUAMHUSZOZWVRVWDWWAVUINWVTMWFUUN
      ZWGHMPZWWBWWDTWHUAHVUIWIWLWVLUAWWCMMUUOZWJWMVXHVVGWWAPZWVNUBWWCOZWVSVWDWW
      AVVGWWEWGWWFWWHWWITWHUBHVVGWIWLWVNUBWWCMWWGWJWMWKWVLWVNUAUBMMWNUURWVOWVQU
      AUBMMVUMMPZVVLMPZKZWVQWVOWVKWVMQUNZWVKGZPZUTZWWLWWNWWMURZWWPWWLWWNWVKVVLQ
      UNZGZWWMWWLWVKWWRURZWWNWWSURZWWJWVKMPZWWKWWTVUMWOZWVKVVLVHWPWWLWVKVBZWWRV
      BZWWTWXATWWLWXBWXDWWJWXBWWKWXCRZWVKVCSWWLWWRMPZWXEWWJWXBWWKWXGWXCWVKVVLUP
      WPWWRVCSWVKWWRUUPWQVIWWJWXBWWKWWMWWSJWXCWVKVVLWRWPUUQWWLWWNVBZWWMVBZWWQWW
      PTWWLWWNMPZWXHWWLWXBWXJWXFWVKWOSWWNVCSWWLWWMMPZWXIWWJWXBWVMMPWXKWWKWXCVVL
      WOWVKWVMUPUQWWMVCSWWNWWMVDWQVIWVOWVCWWOWVOVXJWWMVUJWWNVUIWVKVVGWVMQUUSWVL
      VUJWWNJWVNVUIWVKXBRUUTWSUVAWTVGXAVXIWVFVVGVVFVXIWVEEMVVGVXHVXTVXGVYCXCZVX
      IVYRMPZKVXSWXMVXTWVEEUGXDTVXIVXSWXMWVARVXIWXMXEVXIVXTWXMWXLRVUIVYRVVGUVBX
      FUVCWBUVDVVJVVMVVHVVTVVEUVEWDVYOWUKDVXJVYOVWOVXJPZKZVWOVUJPZVWOVUHIZVYSVW
      OJZEMVKZVVFIZVJZVWQVUJPZVWQVUHIZVYSVWQJZEMVKZVVFIZVJZWUIWUJAWXODBXLZWYAWY
      GALZVYOWYHWYIWXNVYOWYHKZWXQWYCWYAWYGAVYOVVDWYHWXQWYCALZVUKVURVVDVWAVXIUVH
      VVCWYKUEVWOVUIUEDXDZVUTWXQVVBWYCAVUSVWOVUHVNWYLVVAVWQVUHVUSVWOXBWBXGUVFUV
      GWYJWXPWXQWXTWYHWXPVYOVWOVUIXHXCWAWYJWYBWYCWYFVYOWYHWYBVXIWYHWYBTZVWBVXIV
      YJWYMWVBVWOVUIXISZRXJWAXKUVIWXOWYHUTZKZWYAWYFWYGAWXOWYOWYAWYFALZWXOWYOBDX
      LZBDXDZUVJZWYQWXOWYRWYSWYHUVKZWYOWYTVYOVYJWXNVWOVBZXUAVXIVYJVWBWVBRWXOVWO
      MPZXUBVYOVYAWXNXUCVXIVYAVWBVYDRWXNVYAXUCVWOVXJXMXNWPZVWOVCSZVUIVWOUVLXOWY
      RWYSWYHUVMUVNWXOWYRWYQWYSWXOWYRWYQWXOWYRKZWXTWXSGZVVFIZWYAWYFAXUFVVSWXTXU
      HALUHVVGWXSVVOWXSJZVVPWXTVVRXUHAVVOWXSVVFVNXUIVVQXUGVVFVVOWXSXBWBXGWXOVVT
      WYRVYOVVTWXNVVHVVNVVTVVEVXIUVOZRRXUFVWHWXSJZCVVGOZWXSVVGPXUFVUIVWHQUNZVWO
      JZCVVGOXULXUFXUNXUNCVVGMXUFWXREMOZXUNCMOZXUFVUIVWOURZXUOWXOXUBWYRXUQXUEVW
      OVUIUVPWPWXOVXSWYRXUCXUQXUOTVYOVXSWXNVXIVXSVWBWVARRZWXOXUCWYRXUDREVUIVWOU
      VQXOVIZWXRXUNECMECXDVYSXUMVWOVYRVWHVUIQXPXQZUVRUVSZXUFVWHMPZXUNKZKZCUGXLZ
      XUMVXJPZXVDXUMVWOVXJXUFXVBXUNUVTZVYOWXNWYRXVCUWAUWBXVDXVBVXTVXSXVEXVFTXUF
      XVBXUNUWCXUFVXTXVCVXHVXTVXGVWBWXNWYRVYCUWDZRXUFVXSXVCWXOVXSWYRXURRZRVWHVV
      GVUIUWEXFXRXVGUWHXUFXUNXUKCVVGXUFXVEKZXUNWXSVWHJZXUKXVJXVBWXREMXSZXUNXVKT
      XUFVXTXVEXVBXVHXVEVXTXVBVWHVVGXMXNWPXUFXVLXVEXUFXUOWXREMXTZXVLXUSXUFVXSXV
      MXVIEVUIVWOYASWXREMYBYDZRWXRXUNEMVWHXUTYCWQWXSVWHUWFUWGUWIVICWXSVVGUWJUWK
      YEXUFWXPWXQWXTXUFWYRWXPUTZWXOWYRXEXUFWYRVUJVWOURZXVOXUFVUIYFPXUBWYRXVPTBY
      GZWXOXUBWYRXUERZVUIVWOYFYHVEWXOVUJVBZWYRXUBXVPXVOTVYOXVSWXNVXIXVSVWBVXIVU
      JMPZXVSVXIVXSXVTWVAVUIWOSVUJVCSRRXVRVUJVWOVDXOUWLVIXAXUFWYEXUGVVFXUFVUIXU
      GQUNZVWQJZWYEXUGJZXUFXWAVUIWXSQUNZGZVWQWXOVXSWYRWXSMPZXWAXWEJXURXUFXVLXWF
      XVNWXREMUWMSZVUIWXSWRXOXUFXWDVWOJZXWEVWQJXUFXWHWXSWXSJZXUFWXSUWQXUFXWFXVL
      XWHXWITXWGXVNWXRXWHEMWXSWXREMUWNZEXWDVWOEVUIWXSQEVUIYIZEQYIZXWJYJYKVYRWXS
      JVYSXWDVWOVYRWXSVUIQXPXQYOWQXRXWDVWOXBSWCXUFXUGMPZWYDEMXSZXWBXWCTXUFXWFXW
      MXWGWXSWOSXUFWYDEMOZWYDEMXTZXWNXUFXUPXWOXVAXUFXUNXWOCMXUFXVBKVYSXUMGZJZEM
      OZXUNXWOXVBVWIMPXUFVUIVWIQUNZXWQJZXWSVWHWOXUFVXSXVBXXAXVIVUIVWHWRWPXWRXXA
      EVWIMVYRVWIJVYSXWTXWQVYRVWIVUIQXPXQYLUWOXUNXWRWYDEMXUNXWQVWQVYSXUMVWOXBYM
      UWRYNUWPUWSXUFVXSXWPXVIEVUIVWQYASWYDEMYBYDWYDXWBEMXUGEWXSXWJUWTZEXWAVWQEV
      UIXUGQXWKXWLXXBYJYKVYRXUGJVYSXWAVWQVYRXUGVUIQXPXQYOWQVIWBXKYPVYOWYSWYQUXH
      WXNVYOVUOVYSVUJJZEMVKZVVFIZALWYSWYQVYOVVINVVFIZVUOXXEAVYOVVSVVIXXFALUHVVG
      HVVOHJZVVPVVIVVRXXFAVVOHVVFVNXXGVVQNVVFXXGVVQWVTNVVOHXBWFUXAWBXGXUJVXIHVV
      GPZVWBVXIXXHWVTVVGURZVXIWVTNVVGWFVXHNVVGURZVXGVXHVXTVVGNPUTZKXXJVVGMNVAVX
      TXXJXXKVXTVYIVVGVBZXXJXXKTVYKVVGVCZNVVGVDVEVFVGXCUXBVXIHYFPXXLXXHXXITUXCV
      XIVXTXXLWXLXXMSHVVGYFYHVEXRRYEVWBVUOVVIJVXIVWBVUOVUPVVIVUNVUQVUKVVDVWAUXD
      VVJVVMVVHVVTVVEUXEUXFXCVYOXXDNVVFVXIXXDNJZVWBVXIVUINQUNZVUJJZXXNVXIVUIUXG
      PZXXPVXIVXSXXQWVAVUIUXISVUIUXJSZVXINMPZXXCEMXSZXXPXXNTYQVXIXXCEMOZXXCEMXT
      ZXXTVXIXXSXXPXYAYQXXRXXCXXPENMVYRNJVYSXXOVUJVYRNVUIQXPXQZYLVEVXIVXSXYBWVA
      EVUIVUJYASXXCEMYBYDXXCXXPEMNXYCYCVEVIRWBXKWYSVUOWYAXXEWYFAWYSVUOVUIVUJPZV
      UOWXTVJWYAXYDVUOWXTVUIXVQWEUXKWYSXYDWXPVUOWXQWXTVUIVWOVUJVMVUIVWOVUHVNUXL
      UXMWYSXXDWYEVVFWYSXXCWYDEMWYSVUJVWQVYSVUIVWOXBYMVPWBXGYNRUXNUXOUXPWYPWYBW
      YCWYFWXOWYOWYBUTZVYOWYOXYETZWXNVXIXYFVWBVXIWYHWYBWYNWSRRXJXAUXSUXQWXOVWOV
      XKPZWUIWYAJWXNXYGVYOVWOVXJXHXCCVWOWUCWYAVXKWUDCDXDZVYPWXPVYQWUBWXQWXTVWHV
      WOVUJVMVWHVWOVUHVNXYHWUAWXSVVFXYHVYTWXREMVWHVWOVYSVOVPWBVQWUTWXPWXQWXTVWO
      VUHVRWXSVVFVRVSVTSWXOVWQVXKPZWUJWYGJVYOWXNXYIVXIWXNXYITZVWBVXIVYMXYJVYNVW
      OVXJXISRXJCVWQWUCWYGVXKWUDVWHVWQJZVYPWYBVYQWUBWYCWYFVWHVWQVUJVMVWHVWQVUHV
      NXYKWUAWYEVVFXYKVYTWYDEMVWHVWQVYSVOVPWBVQWUTWYBWYCWYFVWQVUHVRWYEVVFVRVSVT
      SXKUXRWUDVXKUJZWUFWUHKZWULVXRCVXKWUCWUDVYPVYQWUBVWHVUHVRWUAVVFVRVSWUTUXTV
      XQXYLXYMWULULUIWUDCVXKWUCVXJWVIUYAUYBVWGWUDJZVXLXYLVXOXYMVXPWULVXKVWGWUDU
      YCXYNVWLWUFVXNWUHXYNVWKWUEVUMHVWGWUDYRXQXYNVXMWUGVVLVXJVWGWUDYRXQUYDXYNVW
      SWUKDVXJXYNVWPWUIVWRWUJAVWOVWGWUDYRVWQVWGWUDYRXGUYEYSUYIUYFUYGVXBVXRCVXJV
      WDWVJVXAVXQUIWVJVWJVXLVWNVXOVWTVXPWVJVWIVXKVWGVWHVXJXBUYJWVJVWMVXNVWLVWHV
      XJVVLVWGUYHUYKVWSDVWHVXJUYLYSUYMYLXOYPUYNWTUYOVXEVUMVUPVUFLZVUPVVLVUFLZKZ
      UDUMVWFUDVUMVVLVUFVUFUAYGUBYGUYPXYQVWEUDVVEUCUMZVWAUFUMZKZUGVWDOBVWDOXYRB
      VWDOZXYSUGVWDOZKVWEXYQXYRXYSBUGVWDVWDWNVWCXYTBUGVWDVWDVVEVWAUCUFUYSUYQXYO
      YUAXYPYUBVUMVUPAUCBUEYTVUPVVLAUFUGUHYTWKUYRUYTVUAVXFVUMVVLVUFLVXCVUMVVLVU
      FVUBVUMVVLAUICDYTVUCVUDVUE $.
  $}

  ${
    $d R f n a x y $.
    $( The transitive closure of ` R ` restricted to ` _V ` is the same as the
       transitive closure of ` R ` itself.  (Contributed by Scott Fenton,
       20-Oct-2024.) $)
    ttrclresv $p |- t++ ( R |` _V ) = t++ R $=
      ( vf vn vx vy va cv csuc cfv wceq cvv wbr wral w3a wrex copab cttrcl fvex
      wex df-ttrcl wfn c0 wa cres com c1o cdif wcel brresi mpbiran ralbii exbii
      3anbi3i rexbii opabbii 3eqtr4i ) BGZCGZHUAZUBUQIDGJURUQIEGJUCZFGZUQIZVAHZ
      UQIZAKUDZLZFURMZNZBSZCUEUFUGZOZDEPUSUTVBVDALZFURMZNZBSZCVJOZDEPVEQAQVKVPD
      EVIVOCVJVHVNBVGVMUSUTVFVLFURVFVBKUHVLVAUQRKVBVDAVCUQRUIUJUKUMULUNUODEVEBF
      CTDEABFCTUP $.
  $}

  $( Composition law for the transitive closure of a relationship.
     (Contributed by Scott Fenton, 20-Oct-2024.) $)
  ttrclco $p |- ( t++ R o. R ) C_ t++ R $=
    ( cvv cres cttrcl ccom wrel wss ssttrcl coss2 mp2b ttrcltr sstri wceq relco
    relres dfrel3 mpbi resco ttrclresv coeq1i 3eqtr3i 3sstr3i ) ABCZDZUCEZUDADZ
    AEZUFUEUDUDEZUDUCFUCUDGUEUHGABOUCHUCUDUDIJUCKLUDAEZBCZUIUEUGUIFUJUIMUDANUIP
    QUDABRUDUFAASZTUAUKUB $.

  $( Composition law for the transitive closure of a relationship.
     (Contributed by Scott Fenton, 20-Oct-2024.) $)
  cottrcl $p |- ( R o. t++ R ) C_ t++ R $=
    ( cvv cres cttrcl ccom wss wrel relres ssttrcl ax-mp coss1 ttrcltr crn wceq
    sstri ssv cores ttrclresv coeq2i eqtri 3sstr3i ) ABCZUBDZEZUCAADZEZUEUDUCUC
    EZUCUBUCFZUDUGFUBGUHABHUBIJUBUCUCKJUBLOUDAUCEZUFUCMZBFUDUINUJPAUCBQJUCUEAAR
    ZSTUKUA $.

  ${
    $d R x y z f g n m a b i $.  $d S x y z f g n m a b i $.
    $( If ` R ` is a subclass of ` S ` and ` S ` is transitive, then the
       transitive closure of ` R ` is a subclass of ` S ` .  (Contributed by
       Scott Fenton, 20-Oct-2024.) $)
    ttrclss $p |- ( ( R C_ S /\ ( S o. S ) C_ S ) -> t++ R C_ S ) $=
      ( vy vf vn va vg wa cv wcel wi wal csuc c0 cfv wceq wbr wral w3a suceq vx
      vm vi vz vb wss ccom cop cttrcl wfn wex com wrex c1o fneq2d df-1o eqtr4di
      syl anbi2d csn df1o2 eqtrdi raleqdv 0ex fveq2 fveq2d breq12d ralsn bitrdi
      fveqeq2d 3anbi123d exbidv imbi1d albidv imbi2d weq cbvralvw fneq1 anbi12d
      fveq1 eqeq1d ralbidv cbvexvw eqeq2 3anbi2d imbi12d cbvalvw breq12 3adant1
      breq2 biimpa ssbr adantr syl5 exlimdv alrimiv fvex simpr1 sssucid fnssres
      spcv cres sylancl peano2 ad2antrr nnord 0elsuc fvresd simpr2l eqtrd sucex
      word vex sucid mp1i simplr3 elelsuc adantl rspcdva wb ordsucelsuc 3brtr4d
      fvres ralrimiva resex spcev syl121anc simplrl simpr3 ralimdv sylc simpr2r
      rspcv mpsyl breqtrd breq1 sylibr albii sylib df-br simplrr mpan2d embantd
      brco ssbrd ex com23 3impia a2d finds com12 ralrimiv ralcom4 r19.23v bitri
      3exp brttrcl2 bitr3i imbi12i wrel relttrcl ssrel ax-mp ) ABUFZBBUGZBUFZHZ
      UAIZCIZUHZAUIZJZUVJBJZKZCLZUALZUVKBUFZUVGUVOUAUVGDIZEIZMZMZUJZNUVROZUVHPZ
      UVTUVROUVIPZHZFIZUVROZUWGMZUVROZAQZFUVTRZSZDUKZEULUMZUVHUVIBQZKZCLZUVOUVG
      UWNUWPKZCLZEULRZUWRUVGUWTEULUVSULJUVGUWTUVGUVRUBIZMZMZUJZUWDUXCUVROUVIPZH
      ZUWKFUXCRZSZDUKZUWPKZCLZKUVGUVRNMZMZUJZUWDUNUVROZUVIPZHZUWCUXPAQZSZDUKZUW
      PKZCLZKUVGGIZUCIZMZMZUJZNUYDOZUVHPZUYFUYDOZUDIZPZHZUEIZUYDOZUYOMZUYDOZAQZ
      UEUYFRZSZGUKZUVHUYLBQZKZUDLZKUVGUVRUYGMZUJZUWDUYGUVROZUVIPZHZUWKFUYGRZSZD
      UKZUWPKZCLZKUVGUWTKUBUCUVSUXBNPZUXLUYCUVGVUPUXKUYBCVUPUXJUYAUWPVUPUXIUXTD
      VUPUXEUXOUXGUXRUXHUXSVUPUXDUXNUVRVUPUXCUXMPUXDUXNPUXBNTZUXCUXMTURUOVUPUXF
      UXQUWDVUPUXCUNUVIUVRVUPUXCUXMUNVUQUPUQZVJUSVUPUXHUWKFNUTZRUXSVUPUWKFUXCVU
      SVUPUXCUNVUSVURVAVBVCUWKUXSFNVDUWGNPZUWHUWCUWJUXPAUWGNUVRVEVUTUWIUNUVRVUT
      UWIUXMUNUWGNTUPUQVFVGVHVIVKVLVMVNVOUBUCVPZUXLVUEUVGVVAUXLUYHUYJUYKUVIPZHZ
      UYTSZGUKZUWPKZCLVUEVVAUXKVVFCVVAUXJVVEUWPVVAUXJUVRUYGUJZUWDUYFUVROZUVIPZH
      ZUYOUVROZUYQUVROZAQZUEUYFRZSZDUKVVEVVAUXIVVODVVAUXEVVGUXGVVJUXHVVNVVAUXDU
      YGUVRVVAUXCUYFPUXDUYGPUXBUYETZUXCUYFTURUOVVAUXFVVIUWDVVAUXCUYFUVIUVRVVPVJ
      USVVAUXHUWKFUYFRVVNVVAUWKFUXCUYFVVPVCUWKVVMFUEUYFFUEVPZUWHVVKUWJVVLAUWGUY
      OUVRVEVVQUWIUYQUVRUWGUYOTVFVGZVQVIVKVLVVOVVDDGDGVPZVVGUYHVVJVVCVVNUYTUYGU
      VRUYDVRVVSUWDUYJVVIVVBVVSUWCUYIUVHNUVRUYDVTWAVVSVVHUYKUVIUYFUVRUYDVTWAVSV
      VSVVMUYSUEUYFVVSVVKUYPVVLUYRAUYOUVRUYDVTUYQUVRUYDVTVGWBVKWCVIVMVNVVFVUDCU
      DCUDVPZVVEVUBUWPVUCVVTVVDVUAGVVTVVCUYNUYHUYTVVTVVBUYMUYJUVIUYLUYKWDUSWEVL
      UVIUYLUVHBWJWFWGVIVOUXBUYFPZUXLVUOUVGVWAUXKVUNCVWAUXJVUMUWPVWAUXIVULDVWAU
      XEVUGUXGVUJUXHVUKVWAUXDVUFUVRVWAUXCUYGPUXDVUFPUXBUYFTZUXCUYGTURUOVWAUXFVU
      IUWDVWAUXCUYGUVIUVRVWBVJUSVWAUWKFUXCUYGVWBVCVKVLVMVNVOUBEVPZUXLUWTUVGVWCU
      XKUWSCVWCUXJUWNUWPVWCUXIUWMDVWCUXEUWBUXGUWFUXHUWLVWCUXDUWAUVRVWCUXCUVTPUX
      DUWAPUXBUVSTZUXCUVTTURUOVWCUXFUWEUWDVWCUXCUVTUVIUVRVWDVJUSVWCUWKFUXCUVTVW
      DVCVKVLVMVNVOUVGUYBCUVGUXTUWPDUXTUVHUVIAQZUVGUWPUXRUXSVWEUXOUXRUXSVWEUWCU
      VHUXPUVIAWHWKWIUVDVWEUWPKUVFABUVHUVIWLWMWNWOWPUYEULJZUVGVUEVUOVWFUVGVUEVU
      OVWFUVGVUESZVUNCVWGVULUWPDVWFUVGVUEVULUWPKZVUEUYHUYJUYKVVHPZHZUYTSZGUKZUV
      HVVHBQZKZVWFUVGHZVWHVUDVWNUDVVHUYFUVRWQZUYLVVHPZVUBVWLVUCVWMVWQVUAVWKGVWQ
      UYNVWJUYHUYTVWQUYMVWIUYJUYLVVHUYKWDUSWEVLUYLVVHUVHBWJZWFXAVWOVULVWNUWPVWO
      VULVWNUWPKVWOVULHZVWLVWMUWPVWSUVRUYGXBZUYGUJZNVWTOZUVHPZUYFVWTOZVVHPZUYOV
      WTOZUYQVWTOZAQZUEUYFRZVWLVWSVUGUYGVUFUFVXAVWOVUGVUJVUKWRUYGWSVUFUYGUVRWTX
      CVWSVXBUWCUVHVWSNUYGUVRVWSUYFXLZNUYGJVWSUYFULJZVXJVWFVXKUVGVULUYEXDXEUYFX
      FURZUYFXGURXHUWDVUIVUGVUKVWOXIXJUYFUYGJZVXEVWSUYFUYEUCXMXKXNZUYFUYGUVRYCX
      OVWSVXHUEUYFVWSUYOUYFJZHZVVKVVLVXFVXGAVXPUWKVVMFUYGUYOVVRVUGVUJVUKVWOVXOX
      PVXOUYOUYGJVWSUYOUYFXQXRZXSVXPUYOUYGUVRVXQXHVXPUYQUYGUVRVWSVXOUYQUYGJZVWS
      VXJVXOVXRXTVXLUYOUYFYAURWKXHYBYDVWKVXAVXCVXEHZVXISGVWTUVRUYGDXMYEUYDVWTPZ
      UYHVXAVWJVXSUYTVXIUYGUYDVWTVRVXTUYJVXCVWIVXEVXTUYIVXBUVHNUYDVWTVTWAVXTUYK
      VXDVVHUYFUYDVWTVTWAVSVXTUYSVXHUEUYFVXTUYPVXFUYRVXGAUYOUYDVWTVTUYQUYDVWTVT
      VGWBVKYFYGVWSVWMVVHUVIBQZUWPVWSVVHVUHUVIBVXMVWSUWHUWJBQZFUYGRZVVHVUHBQZVX
      NVWSUVDVUKVYCVWFUVDUVFVULYHVWOVUGVUJVUKYIUVDUWKVYBFUYGABUWHUWJWLYJYKVYBVY
      DFUYFUYGUWGUYFPZUWHVVHUWJVUHBUWGUYFUVRVEVYEUWIUYGUVRUWGUYFTVFVGYMYNUWDVUI
      VUGVUKVWOYLYOVWMVYAHZUVHUVIUVEQZVWSUWPVYFVUCUYLUVIBQZHZUDUKVYGVYIVYFUDVVH
      VWPVWQVUCVWMVYHVYAVWRUYLVVHUVIBYPVSYFUDUVHUVIBBUAXMCXMUUDYQVWSUVEBUVHUVIV
      WFUVDUVFVULUUAUUEWNUUBUUCUUFUUGWNUUHWOWPUUPUUIUUJUUKUULUXAUWSEULRZCLUWRUW
      SECULUUMVYJUWQCUWNUWPEULUUNYRUUOYSUWQUVNCUWOUVLUWPUVMUWOUVHUVIUVKQUVLUVHU
      VIADEFUUQUVHUVIUVKYTUURUVHUVIBYTUUSYRYSWPUVKUUTUVQUVPXTAUVAUACUVKBUVBUVCY
      Q $.
  $}

  ${
    $d R x y f n a $.
    $( The domain of a transitive closure is the same as the domain of the
       original class.  (Contributed by Scott Fenton, 26-Oct-2024.) $)
    dmttrcl $p |- dom t++ R = dom R $=
      ( vf vn vx vy va cttrcl cdm cv csuc c0 cfv wceq wbr com c1o wcel wss cvv
      wa wfn wral w3a wex cdif wrex cab copab df-ttrcl dmeqi dmopab eqtri fveq2
      simpr2l suceq df-1o eqtr4di fveq2d breq12d simpr3 wn eldif word 0ex nnord
      wb ordelsuc sylancr sseq1i 1on onordi ordtri1 bitr3id bitr2d biimpa sylbi
      adantr rspcdva eqbrtrrd vex fvex breldm ex exlimdv rexlimiv exlimiv abssi
      syl eqsstri cres dmresv wrel relres ssttrcl ax-mp ttrclresv dmss eqsstrri
      sseqtri eqssi ) AGZHZAHZXBBIZCIZJUAZKXDLZDIZMZXEXDLEIMZTZFIZXDLZXLJZXDLZA
      NZFXEUBZUCZBUDZCOPUEZUFZEUDZDUGZXCXBYADEUHZHYCXAYDDEABFCUIUJYADEUKULYBDXC
      YAXHXCQZEXSYECXTXEXTQZXRYEBYFXRYEYFXRTZXHPXDLZANYEYGXGXHYHAXIXJXFXQYFUNYG
      XPXGYHANFXEKXLKMZXMXGXOYHAXLKXDUMYIXNPXDYIXNKJZPXLKUOUPUQURUSYFXFXKXQUTYF
      KXEQZXRYFXEOQZXEPQVAZTYKXEOPVBYLYMYKYLYKYJXERZYMYLKSQXEVCZYKYNVFVDXEVEZKX
      ESVGVHYNPXERZYLYMPYJXEUPVIYLPVCYOYQYMVFPVJVKYPPXEVLVHVMVNVOVPVQVRVSXHYHAD
      VTPXDWAWBWHWCWDWEWFWGWIXCASWJZHZXBAWKYRXARYSXBRYRYRGZXAYRWLYRYTRASWMYRWNW
      OAWPWSYRXAWQWOWRWT $.

    $( The range of a transitive closure is the same as the range of the
       original class.  (Contributed by Scott Fenton, 26-Oct-2024.) $)
    rnttrcl $p |- ran t++ R = ran R $=
      ( vf vn vx vy va crn cv csuc c0 cfv wceq wbr com cdif wrex wcel suceq syl
      rexlimiv cttrcl wfn wa wral w3a wex c1o copab df-ttrcl rneqi rnopab eqtri
      cab fveq2 fveq2d breq12d simpr3 df-1o difeq2i eleq2i wb peano1 eldifsucnn
      cuni ax-mp dif0 rexeqi 3bitri nnord ordunisuc vex sucid eqeltrdi unieq id
      word eleq12d syl5ibrcom sylbi adantr rspcdva eqeq12d simpr2r breqtrd fvex
      eqtrd brelrn ex exlimdv exlimiv abssi eqsstri cvv cres rnresv wrel relres
      wss ssttrcl ttrclresv sseqtri rnssi eqsstrri eqssi ) AUAZGZAGZXFBHZCHZIUB
      ZJXHKDHZLZXIXHKZEHZLZUCZFHZXHKZXQIZXHKZAMZFXIUDZUEZBUFZCNUGOZPZDUFZEUMZXG
      XFYFDEUHZGYHXEYIDEABFCUIUJYFDEUKULYGEXGYFXNXGQZDYDYJCYEXIYEQZYCYJBYKYCYJY
      KYCUCZXIVDZXHKZXNAMYJYLYNYMIZXHKZXNAYLYAYNYPAMFXIYMXQYMLZXRYNXTYPAXQYMXHU
      NYQXSYOXHXQYMRUOUPYKXJXPYBUQYKYMXIQZYCYKXIXKIZLZDNPZYRYKXINJIZOZQZYTDNJOZ
      PZUUAYEUUCXIUGUUBNURUSUTJNQUUDUUFVAVBDJXIVCVEYTDUUENNVFVGVHZYTYRDNXKNQZYR
      YTYSVDZYSQUUHUUIXKYSUUHXKVPUUIXKLZXKVIXKVJSZXKDVKVLVMYTYMUUIXIYSXIYSVNZYT
      VOZVQVRTVSVTWAYLYPXMXNYKYPXMLYCYKYOXIXHYKUUAYOXILZUUGYTUUNDNUUHUUNYTUUIIZ
      YSLZUUHUUJUUPUUKUUIXKRSYTYOUUOXIYSYTYMUUILYOUUOLUULYMUUIRSUUMWBVRTVSUOVTX
      LXOXJYBYKWCWFWDYNXNAYMXHWEEVKWGSWHWITWJWKWLXGAWMWNZGXFAWOUUQXEUUQUUQUAZXE
      UUQWPUUQUURWRAWMWQUUQWSVEAWTXAXBXCXD $.
  $}

  $( If ` R ` is a set, then so is ` t++ R ` .  (Contributed by Scott Fenton,
     26-Oct-2024.) $)
  ttrclexg $p |- ( R e. V -> t++ R e. _V ) $=
    ( wcel cttrcl cdm crn cxp cvv dmexg rnexg xpexd wss wrel relttrcl relssdmrn
    ax-mp dmttrcl rnttrcl xpeq12i sseqtri a1i ssexd ) ABCZADZAEZAFZGZHUCUEUFHHA
    BIABJKUDUGLUCUDUDEZUDFZGZUGUDMUDUJLANUDOPUHUEUIUFAQARSTUAUB $.

  ${
    $d R z $.
    $( When ` R ` is a set and a relationship, then its transitive closure can
       be defined by an intersection.  (Contributed by Scott Fenton,
       26-Oct-2024.) $)
    dfttrcl2 $p |- ( ( R e. V /\ Rel R ) -> t++ R =
     |^| { z | ( R C_ z /\ ( z o. z ) C_ z ) } ) $=
      ( wcel wrel wa cttrcl cv wss ccom cab cint ssintab ttrclss mpgbir a1i cvv
      wi crab rabab ttrclexg ssttrcl ttrcltr jctir wceq sseq2 coeq1 coeq2 eqtrd
      inteqi id sseq12d anbi12d intminss syl2an eqsstrrid eqssd ) BCDZBEZFZBGZB
      AHZIZVBVBJZVBIZFZAKZLZVAVHIZUTVIVFVAVBIRAVFAVAMBVBNOPUTVHVFAQSZLZVAVJVGVF
      ATUJURVAQDBVAIZVAVAJZVAIZFZVKVAIUSBCUAUSVLVNBUBBUCUDVFVOAVAQVBVAUEZVCVLVE
      VNVBVABUFVPVDVMVBVAVPVDVAVBJVMVBVAVBUGVBVAVAUHUIVPUKULUMUNUOUPUQ $.
  $}

  ${
    ttrclselem.1 $e |- F = rec ( ( b e. _V |->
     U_ w e. b Pred ( R , A , w ) ) , Pred ( R , A , X ) ) $.

    ${
      $d A b n t w $.  $d F n t $.  $d N n t $.  $d R b t w $.  $d X b t $.
      $( Lemma for ~ ttrclse .  Show that all finite ordinal function values of
         ` F ` are subsets of ` A ` .  (Contributed by Scott Fenton,
         31-Oct-2024.) $)
      ttrclselem1 $p |- ( N e. _om -> ( F ` N ) C_ A ) $=
        ( vn vt com wcel c0 wceq cv cfv wss cvv cpred eqsstrdi csuc wrex nn0suc
        wo ciun cmpt crdg fveq1i fveq2 eqtrid rdg0g predss wn rdg0n 0ss pm2.61i
        con0 nnon wa nfcv nfmpt1 nfrdg nfcxfr nffv nfiun predeq3 cbviunv iuneq1
        rdgsucmptf iunss a1i mprgbir sylan rdgsucmptnf adantl sseq1d syl5ibrcom
        pm2.61dan rexlimiv jaoi syl ) EKLEMNZEIOZUAZNZIKUBZUDEDPZBQZIEUCWBWHWFW
        BWGMGRAGOZBCAOZSZUEZUFZBCFSZUGZPZBWBWGEWOPWPEDWOHUHEMWOUIUJWNRLZWPBQWQW
        PWNBWNRWMUKBCFULTWQUMWPMBWNWMUNBUOZTUPTWEWHIKWCKLZWHWEWDDPZBQZWSJWCDPZB
        CJOZSZUEZRLZXAWSWCUQLZXFXAWCURXGXFUSWTXEBGWNWCWLXEDRGWNUTZGWCUTZJGXBXDG
        WCDGDWOHGWNWMGRWLVAXHVBVCXIVDGXDUTVEZHWIXBNWLJWIXDUEXEAJWIWKXDBCWJXCVFV
        GJWIXBXDVHUJZVIXEBQXDBQZJXBJXBXDBVJXLXCXBLBCXCULVKVLTVMXFUMZXAWSXMWTMBG
        WNWCWLXEDXHXIXJHXKVNWRTVOVRWEWGWTBEWDDUIVPVQVSVTWA $.
    $}

    ${
      $d A a b c f g m n w x y z $.  $d F m n y z $.  $d N a f m y $.
      $d R a b c f g m n w x y z $.  $d X b f g m n x y z $.
      $( Lemma for ~ ttrclse .  Show that a ` suc N ` element long chain gives
         membership in the ` N ` -th predecessor class and vice-versa.
         (Contributed by Scott Fenton, 31-Oct-2024.) $)
      ttrclselem2 $p |- ( ( N e. _om /\ R Se A /\ X e. A ) ->
     ( E. f ( f Fn suc suc N /\
     ( ( f ` (/) ) = y /\ ( f ` suc N ) = X ) /\
     A. a e. suc N ( f ` a ) ( R |` A ) ( f ` suc a ) ) <->
     y e. ( F ` N ) ) ) $=
        ( vz wcel c0 cfv wceq wa wex c1o syl vm vg vn vc vx com w3a cv csuc wfn
        wbr wb wal wi suceq df-1o eqtr4di fneq2d fveqeq2d anbi2d eqtrdi raleqdv
        wral fveq2 fveq2d breq12d bitrdi 3anbi123d exbidv eleq2d bibi12d albidv
        imbi2d weq fneq1 fveq1 eqeq1d anbi12d ralbidv eqeq2 3anbi2d eleq1 cpred
        anbi1d cif cmpt vex ifex eqid fnmpti equid 1oex sucex mptex word 0elsuc
        iftrue fvmpt sucid eqeq1 neii iffalsei spcev vtoclg adantl elpred bitri
        3bitr4rd exbii a1i cvv ciun ancoms eqtrid alrimiv wrex anbi2i fvex nfcv
        adantr 3adant3 peano2 nnord eqtrd ordsucelsuc rspcdva elelsuc ralrimiva
        mp1i biimpa 3brtr4d syl121anc ex exlimdv cuni 3ad2ant1 ifbieq2d nsuceq0
        unieq ordunisuc wse csn df1o2 0ex ralsn cbvralvw cbvexvw cbvalvw pm3.2i
        cres 1on onordi ifbid ax-mp mp2an biantrurd brres df-3an breq12 pm5.32i
        mp2b 1n0 19.41v fveq1i setlikespec rdg0g 3bitr4d eliun df-rex elv anbi1
        crdg bitr4id alexbii 3ad2ant3 syl5bb con0 nnon ttrclselem1 dfse3 biimpi
        wss ssralv sylc adantrr iunexg sylancr nfmpt1 nfrdg nfcxfr nffv predeq3
        nfiun cbviunv iuneq1 rdgsucmptf syl2an2r simpr2r simplr3 simpr2l simpr3
        eqbrtrrd breq2 syl2anc simp22r 3eqtrd simpl3 simp22l elnn sylan2 simp23
        sylan9eqr rspcv mpan9 eqbrtrd sylbird imbi12d mpbiri com12 rexlimdvw wo
        sylan nn0suc mpjaod 3exp impd impbid brresi impcom adantrl finds 3impib
        imp a2d 19.21bi ) GUFMZCDUUAZHCMZUGEUHZGUIZUIZUJZNUYSOZAUHZPZUYTUYSOHPZ
        QZIUHZUYSOZVUHUIZUYSOZDCUUJZUKZIUYTVCZUGZERZVUDGFOZMZULZAUYPUYQUYRVUSAU
        MZUYQUYRQZUYSUAUHZUIZUIZUJZVUEVVCUYSOHPZQZVUMIVVCVCZUGZERZVUDVVBFOZMZUL
        ZAUMZUNVVAUYSSUIZUJZVUESUYSOZHPZQZVUCVVQVULUKZUGZERZVUDNFOZMZULZAUMZUNV
        VAUBUHZUCUHZUIZUIZUJZNVWGOZLUHZPZVWIVWGOZHPZQZUDUHZVWGOZVWRUIZVWGOZVULU
        KZUDVWIVCZUGZUBRZVWMVWHFOZMZULZLUMZUNVVAUYSVWJUIZUJZVUEVWJUYSOZHPZQZVUM
        IVWJVCZUGZERZVUDVWIFOZMZULZAUMZUNVVAVUTUNUAUCGVVBNPZVVNVWFVVAVYBVVMVWEA
        VYBVVJVWBVVLVWDVYBVVIVWAEVYBVVEVVPVVGVVSVVHVVTVYBVVDVVOUYSVYBVVCSPVVDVV
        OPVYBVVCNUIZSVVBNUOUPUQZVVCSUOTURVYBVVFVVRVUEVYBVVCSHUYSVYDUSUTVYBVVHVU
        MINUUBZVCVVTVYBVUMIVVCVYEVYBVVCSVYEVYDUUCVAVBVUMVVTINUUDVUHNPZVUIVUCVUK
        VVQVULVUHNUYSVDZVYFVUJSUYSVYFVUJVYCSVUHNUOZUPUQVEVFUUEVGVHVIVYBVVKVWCVU
        DVVBNFVDVJVKVLVMUAUCVNZVVNVXIVVAVYIVVNVWKVWLVUDPZVWPQZVXCUGZUBRZVUDVXFM
        ZULZAUMVXIVYIVVMVYOAVYIVVJVYMVVLVYNVYIVVJUYSVWJUJZVUEVWIUYSOZHPZQZVWRUY
        SOZVWTUYSOZVULUKZUDVWIVCZUGZERVYMVYIVVIWUDEVYIVVEVYPVVGVYSVVHWUCVYIVVDV
        WJUYSVYIVVCVWIPVVDVWJPVVBVWHUOZVVCVWIUOTURVYIVVFVYRVUEVYIVVCVWIHUYSWUEU
        SUTVYIVVHVUMIVWIVCWUCVYIVUMIVVCVWIWUEVBVUMWUBIUDVWIIUDVNZVUIVYTVUKWUAVU
        LVUHVWRUYSVDWUFVUJVWTUYSVUHVWRUOVEVFUUFVGVHVIWUDVYLEUBEUBVNZVYPVWKVYSVY
        KWUCVXCVWJUYSVWGVOWUGVUEVYJVYRVWPWUGVUCVWLVUDNUYSVWGVPVQWUGVYQVWOHVWIUY
        SVWGVPVQVRWUGWUBVXBUDVWIWUGVYTVWSWUAVXAVULVWRUYSVWGVPVWTUYSVWGVPVFVSVHU
        UGVGVYIVVKVXFVUDVVBVWHFVDVJVKVLVYOVXHALALVNZVYMVXEVYNVXGWUHVYLVXDUBWUHV
        YKVWQVWKVXCWUHVYJVWNVWPVUDVWMVWLVTWDWAVIVUDVWMVXFWBVKUUHVGVMVVBVWIPZVVN
        VYAVVAWUIVVMVXTAWUIVVJVXQVVLVXSWUIVVIVXPEWUIVVEVXKVVGVXNVVHVXOWUIVVDVXJ
        UYSWUIVVCVWJPVVDVXJPVVBVWIUOZVVCVWJUOTURWUIVVFVXMVUEWUIVVCVWJHUYSWUJUSU
        TWUIVUMIVVCVWJWUJVBVHVIWUIVVKVXRVUDVVBVWIFVDVJVKVLVMVVBGPZVVNVUTVVAWUKV
        VMVUSAWUKVVJVUPVVLVURWUKVVIVUOEWUKVVEVUBVVGVUGVVHVUNWUKVVDVUAUYSWUKVVCU
        YTPVVDVUAPVVBGUOZVVCUYTUOTURWUKVVFVUFVUEWUKVVCUYTHUYSWULUSUTWUKVUMIVVCU
        YTWULVBVHVIWUKVVKVUQVUDVVBGFVDVJVKVLVMVVAVWEAVVAVVPVVSQZERZVUDHVULUKZQZ
        VUDCDHWCZMZVWBVWDVVAVUDCMZVUDHDUKQZWUNWUTQWURWUPVVAWUNWUTUYRWUNUYQVVPVU
        EVVQUEUHZPZQZQZERZWUNUEHCWVAHPZWVDWUMEWVFWVCVVSVVPWVFWVBVVRVUEWVAHVVQVT
        UTUTVIJVVOJUHZNPZVUDWVAWEZWFZVVOUJZAAVNZUEUEVNZQZWVEJVVOWVIWVJWVHVUDWVA
        AWGZUEWGZWHWVJWIZWJWVLWVMAWKUEWKUUIWVDWVKWVNQEWVJJVVOWVISWLWMWNUYSWVJPZ
        VVPWVKWVCWVNVVOUYSWVJVOWVRVUEWVLWVBWVMWVRVUCVUDVUDWVRVUCNWVJOZVUDNUYSWV
        JVPSWONVVOMWVSVUDPSUUKUULSWPJNWVIVUDVVOWVJWVHVUDWVAWQWVQWVOWRUVAVAVQWVR
        VVQWVAWVAWVRVVQSWVJOZWVASUYSWVJVPSVVOMWVTWVAPSWLWSJSWVIWVAVVOWVJWVGSPZW
        VISNPZVUDWVAWEWVAWWAWVHWWBVUDWVAWVGSNWTUUMWWBVUDWVASNUVBXAXBVAWVQWVPWRU
        UNVAVQVRVRXCUUOXDXEUUPUYRWURWUTULUYQCCDHVUDWVOXFXEVVAWUOWUTWUNUYRWUOWUT
        ULUYQCVUDHDCUUQXEUTXHVWBWUPULVVAVWBWUMWUOQZERWUPVWAWWCEVWAWUMVVTQWWCVVP
        VVSVVTUURWUMVVTWUOVVSVVTWUOULVVPVUCVUDVVQHVULUUSXEUUTXGXIWUMWUOEUVCXGXJ
        VVAVWCWUQVUDVVAVWCNJXKBWVGCDBUHZWCZXLZWFZWUQUVLZOZWUQNFWWHKUVDVVAWUQXKM
        ZWWIWUQPUYRUYQWWJCDHUVEXMWUQXKWWGUVFTXNVJUVGXOVWHUFMZVVAVXIVYAWWKVVAVXI
        VYAWWKVVAVXIUGZVXTAWWLVUDLVXFCDVWMWCZXLZMZVXEWUSVUDVWMDUKQZQZLRZVXSVXQW
        WOVXGVUDWWMMZQZLRZWWLWWRWWOWWSLVXFXPWXALVUDVXFWWMUVHWWSLVXFUVIXGVXIWWKW
        XAWWRULVVAVXHWWTWWQLVXHWWTVXGWWPQWWQWWSWWPVXGWWSWWPULLCXKDVWMVUDWVOXFUV
        JXQVXEVXGWWPUVKUVMUVNUVOUVPWWLVXRWWNVUDWWKVVAVXRWWNPZVXIWWKVWHUVQMVVAWW
        NXKMZWXBVWHUVRWWKVVAQVXFXKMWWMXKMZLVXFVCZWXCVWHFXRWWKUYQWXEUYRWWKUYQQVX
        FCUWBZWXDLCVCZWXEWWKWXFUYQBCDFVWHHJKUVSXTUYQWXGWWKUYQWXGLCDUVTUWAXEWXDL
        VXFCUWCUWDUWELVXFWWMXKXKUWFUWGJWUQVWHWWFWWNFXKJWUQXSZJVWHXSZLJVXFWWMJVW
        HFJFWWHKJWUQWWGJXKWWFUWHWXHUWIUWJWXIUWKJWWMXSUWMKWVGVXFPWWFLWVGWWMXLWWN
        BLWVGWWEWWMCDWWDVWMUWLUWNLWVGVXFWWMUWOXNUWPUWQYAVJWWKVVAVXQWWRULZVXIWWK
        UYRWXJUYQUYRWWKWXJWWKVXKVUEVXLWVAPZQZVXOUGZERZVWKVWNVWOWVAPZQZVXCUGZUBR
        ZWWPQZLRZULZUNWWKWXJUNUEHCWVFWYAWXJWWKWVFWXNVXQWXTWWRWVFWXMVXPEWVFWXLVX
        NVXKVXOWVFWXKVXMVUEWVAHVXLVTUTWAVIWVFWXSWWQLWVFWXRVXEWWPWVFWXQVXDUBWVFW
        XPVWQVWKVXCWVFWXOVWPVWNWVAHVWOVTUTWAVIWDVIVKVMWWKWXNWXRVUDVWMVULUKZQZLR
        ZWXTWWKWXNWYDWWKWXMWYDEWWKWXMWYDWWKWXMQZVWKVWLVYCUYSOZPZWXOQZVXCUGZUBRZ
        VUDWYFVULUKZWYDWYEJVWJWVGUIZUYSOZWFZVWJUJZNWYNOZWYFPZVWIWYNOZWVAPZVWRWY
        NOZVWTWYNOZVULUKZUDVWIVCZWYJWYOWYEJVWJWYMWYNWYLUYSXRWYNWIZWJXJWYENVWJMZ
        WYQWYEVWIWOZXUEWYEVWIUFMZXUFWWKXUGWXMVWHYBZXTVWIYCZTZVWIWPTZJNWYMWYFVWJ
        WYNWVHWYLVYCUYSWVGNUOVEXUDVYCUYSXRZWRTWYEWYRVXLWVAVWIVWJMWYRVXLPWYEVWIV
        WHUCWGWMZWSJVWIWYMVXLVWJWYNWVGVWIPWYLVWJUYSWVGVWIUOVEXUDVWJUYSXRWRYIVUE
        WXKVXKVXOWWKUWRYDWYEXUBUDVWIWYEVWRVWIMZQZWUAVWTUIZUYSOZWYTXUAVULXUOVUMW
        UAXUQVULUKIVWJVWTVUHVWTPZVUIWUAVUKXUQVULVUHVWTUYSVDXURVUJXUPUYSVUHVWTUO
        VEVFVXKWXLVXOWWKXUNUWSWYEXUNVWTVWJMZWYEXUFXUNXUSULXUJVWRVWIYETYJZYFXUNW
        YTWUAPZWYEXUNVWRVWJMXVAVWRVWIYGJVWRWYMWUAVWJWYNJUDVNWYLVWTUYSWVGVWRUOVE
        XUDVWTUYSXRWRTXEXUOXUSXUAXUQPXUTJVWTWYMXUQVWJWYNWVGVWTPWYLXUPUYSWVGVWTU
        OVEXUDXUPUYSXRWRTYKYHWYIWYOWYQWYSQZXUCUGUBWYNJVWJWYMVWIXUMWMZWNVWGWYNPZ
        VWKWYOWYHXVBVXCXUCVWJVWGWYNVOXVDWYGWYQWXOWYSXVDVWLWYPWYFNVWGWYNVPVQXVDV
        WOWYRWVAVWIVWGWYNVPVQVRXVDVXBXUBUDVWIXVDVWSWYTVXAXUAVULVWRVWGWYNVPVWTVW
        GWYNVPVFVSVHXCYLWYEVUCVUDWYFVULVUEWXKVXKVXOWWKUWTWYEVUMVUCWYFVULUKIVWJN
        VYFVUIVUCVUKWYFVULVYGVYFVUJVYCUYSVYHVEVFWWKVXKWXLVXOUXAXUKYFUXBWYCWYJWY
        KQLWYFXULVWMWYFPZWXRWYJWYBWYKXVEWXQWYIUBXVEWXPWYHVWKVXCXVEVWNWYGWXOVWMW
        YFVWLVTWDWAVIVWMWYFVUDVULUXCVRXCUXDYMYNWWKWYCWXNLWWKWXRWYBWXNWWKWXQWYBW
        XNUNUBWWKWXQWYBWXNWWKWXQWYBUGZJVXJWVHVUDWVGYOZVWGOZWEZWFZVXJUJZNXVJOZVU
        DPZVWJXVJOZWVAPZVUHXVJOZVUJXVJOZVULUKZIVWJVCZWXNXVKXVFJVXJXVIXVJWVHVUDX
        VHWVOXVGVWGXRWHXVJWIZWJXJXVFNVXJMZXVMXVFVWJWOZXWAXVFVWJUFMZXWBWWKWXQXWC
        WYBWWKXUGXWCXUHVWIYBTYPZVWJYCTZVWJWPTJNXVIVUDVXJXVJWVHVUDXVHWQXVTWVOWRT
        XVFXVNVWJYOZVWGOZVWOWVAVWJVXJMXVNXWGPXVFVWJXVCWSJVWJXVIXWGVXJXVJWVGVWJP
        ZXVIVWJNPZVUDXWGWEXWGXWHWVHXWIXVHXWGVUDWVGVWJNWTXWHXVGXWFVWGWVGVWJYSVEY
        QXWIVUDXWGVWJNVWIYRXAXBVAXVTXWFVWGXRWRYIXVFXWFVWIVWGXVFXUFXWFVWIPXVFXUG
        XUFWWKWXQXUGWYBXUHYPZXUITZVWIYTTVEVWNWXOVWKVXCWWKWYBUXEUXFXVFXVRIVWJXVF
        VUHVWJMZQZVYFVUDVUHYOZVWGOZWEZVUHVWGOZXVPXVQVULXWMVYFXWPXWQVULUKZVUHWYL
        PZJUFXPZXVFVYFXWRUNXWLXVFVYFXWRXVFVYFQVUDVWMXWPXWQVULWWKWXQWYBVYFUXGVYF
        XWPVUDPXVFVYFVUDXWOWQXEVYFXVFXWQVWLVWMVUHNVWGVDVWNWXOVWKVXCWWKWYBUXHUXL
        YKYMXTXWMXWSXWRJUFXWSXWMXWRXWSXWMXWRUNXVFWYLVWJMZQZWYLYOZVWGOZWYLVWGOZV
        ULUKZUNXVFXXAXXFXVFXXAWVGVWIMZXXFXVFXUFXXGXXAULXWKWVGVWIYETXVFXXGXXFXVF
        XXGQZXXDWVGVWGOZXXEVULXXHXXCWVGVWGXXHWVGWOZXXCWVGPXXHWVGUFMZXXJXXGXVFXX
        KXVFXXGXUGXXKXWJWVGVWIUXIUXJXMWVGYCTWVGYTTVEXVFVXCXXGXXIXXEVULUKZWWKVWK
        WXPVXCWYBUXKVXBXXLUDWVGVWIUDJVNZVWSXXIVXAXXEVULVWRWVGVWGVDXXMVWTWYLVWGV
        WRWVGUOVEVFUXMUXNUXOYMUXPUYMXWSXWMXXBXWRXXFXWSXWLXXAXVFVUHWYLVWJWBUTXWS
        XWPXXDXWQXXEVULXWSXWPWYLNPZVUDXXDWEXXDXWSVYFXXNXWOXXDVUDVUHWYLNWTXWSXWN
        XXCVWGVUHWYLYSVEYQXXNVUDXXDWYLNWVGYRXAXBVAVUHWYLVWGVDVFUXQUXRUXSUXTXWMV
        UHUFMZVYFXWTUYAXVFXWCXWLXXOXWDXWLXWCXXOVUHVWJUXIXMUYBZJVUHUYCTUYDXWLXVP
        XWPPZXVFXWLVUHVXJMXXQVUHVWJYGJVUHXVIXWPVXJXVJJIVNZWVHVYFXVHXWOVUDWVGVUH
        NWTXXRXVGXWNVWGWVGVUHYSVEYQXVTVYFVUDXWOWVOXWNVWGXRWHWRTXEXWMXVQVUJYOZVW
        GOZXWQXWMVUJVXJMZXVQXXTPXVFXWLXYAXVFXWBXWLXYAULXWEVUHVWJYETYJJVUJXVIXXT
        VXJXVJWVGVUJPZXVIVUJNPZVUDXXTWEXXTXYBWVHXYCXVHXXTVUDWVGVUJNWTXYBXVGXXSV
        WGWVGVUJYSVEYQXYCVUDXXTVUJNVUHYRXAXBVAXVTXXSVWGXRWRTXWMXXSVUHVWGXWMVUHW
        OZXXSVUHPXWMXXOXYDXXPVUHYCTVUHYTTVEYDYKYHWXMXVKXVMXVOQZXVSUGEXVJJVXJXVI
        VWJXVCWMWNUYSXVJPZVXKXVKWXLXYEVXOXVSVXJUYSXVJVOXYFVUEXVMWXKXVOXYFVUCXVL
        VUDNUYSXVJVPVQXYFVXLXVNWVAVWJUYSXVJVPVQVRXYFVUMXVRIVWJXYFVUIXVPVUKXVQVU
        LVUHUYSXVJVPVUJUYSXVJVPVFVSVHXCYLUYEYNUYFYNUYGWYCWXSLWYBWWPWXRCVUDVWMDL
        WGUYHXQXIVGXDUYIUYJYAXHXOUYEUYNUYKUYLUYO $.
    $}
  $}

  ${
    $d A a b f n w x y $.  $d R a b f n w x y $.
    $( If ` R ` is set-like over ` A ` , then the transitive closure of the
       restriction of ` R ` to ` A ` is set-like over ` A ` .

       This theorem requires the axioms of infinity and replacement for its
       proof.  (Contributed by Scott Fenton, 31-Oct-2024.) $)
    ttrclse $p |- ( R Se A -> t++ ( R |` A ) Se A ) $=
      ( vx vb vw vy vn vf va wse cv cpred cvv wcel wral wa com cfv csuc wb cres
      cttrcl ciun cmpt crdg cima cuni wbr wrex wfn c0 wceq brttrcl2 ttrclselem2
      w3a wex eqid ancoms rexbidva syl5bb vex elpred elv resdmss breldm dmttrcl
      3expb cdm eleqtrdi sselid pm4.71ri bitr4i wfun rdgfun ax-mp 3bitr4g eqrdv
      eluniima omex funimaex uniex eqeltrdi ralrimiva dfse3 sylibr ) ABJZABAUAZ
      UBZCKZLZMNZCAOAWHJWFWKCAWFWIANZPZWJDMEDKABEKLUCUDZABWILZUEZQUFZUGZMWMFWJW
      RWMFKZWIWHUHZWSGKZWPRNZGQUIZWSWJNZWSWRNZWTHKZXASZSUJUKXFRWSULXGXFRWIULPIK
      ZXFRXHSXFRWGUHIXGOUOHUPZGQUIWMXCWSWIWGHGIUMWMXIXBGQXAQNZWMXIXBTZXJWFWLXKF
      EABHWPXAWIIDWPUQUNVGURUSUTXDWSANZWTPZWTXDXMTCAMWHWIWSFVAZVBVCWTXLWTWGVHZA
      WSBAVDWTWSWHVHXOWSWIWHXNCVAVEWGVFVIVJVKVLWPVMZXEXCTWOWNVNZGQWSWPVRVOVPVQW
      QXPWQMNXQWPQVSVTVOWAWBWCCAWHWDWE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Well-Founded Induction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A p $.  $d A q $.  $d A w $.  $d A x $.  $d A y $.  $d A z $.  $d B p $.
    $d B q $.  $d B w $.  $d B x $.  $d B y $.  $d B z $.  $d ch q $.
    $d ch y $.  $d p ph $.  $d p q $.  $d p x $.  $d p y $.  $d ph q $.
    $d ph z $.  $d ps w $.  $d ps x $.  $d q w $.  $d q x $.  $d q y $.
    $d q z $.  $d R p $.  $d R q $.  $d R w $.  $d R x $.  $d R y $.  $d R z $.
    $d ta y $.  $d th x $.  $d w x $.  $d w y $.  $d w z $.  $d X x $.
    $d x y $.  $d X y $.  $d x z $.  $d Y y $.  $d y z $.
    frpoins3xpg.1 $e |- ( ( x e. A /\ y e. B ) ->
    ( A. z A. w ( <. z , w >. e. Pred ( R , ( A X. B ) , <. x , y >. ) -> ch )
      -> ph ) ) $.
    frpoins3xpg.2 $e |- ( x = z -> ( ph <-> ps ) ) $.
    frpoins3xpg.3 $e |- ( y = w -> ( ps <-> ch ) ) $.
    frpoins3xpg.4 $e |- ( x = X -> ( ph <-> th ) ) $.
    frpoins3xpg.5 $e |- ( y = Y -> ( th <-> ta ) ) $.
    $( Special case of founded partial induction over a cross product.
       (Contributed by Scott Fenton, 22-Aug-2024.) $)
    frpoins3xpg $p |- ( ( ( R Fr ( A X. B ) /\ R Po ( A X. B ) /\
    R Se ( A X. B ) ) /\ ( X e. A /\ Y e. B ) ) -> ta ) $=
      ( vq vp wcel wa cxp wfr wpo wse w3a wral c2nd cfv wsbc c1st cop wceq wrex
      cv cpred wi elxp2 nfcv nfsbc1v nfralw nfv nfsbcw wal weq sbcbidv cbvsbcvw
      nfim sbcbii bitri ralbii impexp cin elin wss predss sseqin2 eleq2i bitr3i
      imbi1i albii df-ral 3bitr4ri eleq1 sbcopeq1a imbi12d ralxpf opelxp 2albii
      mpbi r2al 3bitri syl5bi predeq3 raleqdv syl5ibrcom ex rexlimd sylbi fveq2
      rexlimi sbceq1d sbceqbid frpoins2g ralxpes sylib rspc2va sylan2 ancoms )
      MJUBNKUBUCZJKUDZLUEXMLUFXMLUGUHZEXNXLAGKUIFJUIZEXNAGUAUQZUJUKZULZFXPUMUKZ
      ULZUAXMUIXOXTAGTUQZUJUKZULZFYAUMUKZULZUATXMLXPXMUBXPFUQZGUQZUNZUOZGKUPZFJ
      UPYETXMLXPURZUIZXTUSZFGXPJKUTYJYMFJYLXTFYEFTYKFYKVAYCFYDVBVCXRFXSVBVJYFJU
      BZYIYMGKYNGVDYLXTGYEGTYKGYKVAYCGFYDGYDVAAGYBVBVEVCXRGFXSGXSVAAGXQVBVEVJYN
      YGKUBZYIYMUSYNYOUCZYMYIYETXMLYHURZUIZAUSYRHUQZIUQZUNZYQUBZCUSZIVFHVFZYPAY
      RCIYBULZHYDULZTYQUIZYAYQUBZUUFUSZTXMUIZUUDYEUUFTYQYEBGYBULZHYDULUUFYCUUKF
      HYDFHVGABGYBPVHVIUUKUUEHYDBCGIYBQVIVKVLVMYAXMUBZUUIUSZTVFUUITVFUUJUUGUUMU
      UITUUMUULUUHUCZUUFUSUUIUULUUHUUFVNUUNUUHUUFUUNYAXMYQVOZUBUUHYAXMYQVPUUOYQ
      YAYQXMVQUUOYQUOXMLYHVRYQXMVSWLZVTWAWBWAWCUUITXMWDUUFTYQWDWEUUJUUCIKUIHJUI
      YSJUBYTKUBUCZUUCUSZIVFHVFUUDUUIUUCTHIJKUUHUUFHUUHHVDUUEHYDVBVJUUHUUFIUUHI
      VDUUEIHYDIYDVACIYBVBVEVJUUCTVDYAUUAUOUUHUUBUUFCYAUUAYQWFCHIYAWGWHWIUUCHIJ
      KWMUURUUCHIUURUUAXMUBZUUBUCZCUSZUUCUVAUUSUUCUSUURUUSUUBCVNUUSUUQUUCYSYTJK
      WJWBVLUUTUUBCUUTUUAUUOUBUUBUUAXMYQVPUUOYQUUAUUPVTWAWBWAWKWNWNOWOYIYLYRXTA
      YIYETYKYQXMLXPYHWPWQAFGXPWGWHWRWSWTXCXAUATVGZXRYCFXSYDXPYAUMXBUVBAGXQYBXP
      YAUJXBXDXEXFAUAFGJKXGXHAEDFGMNJKRSXIXJXK $.
  $}

  ${
    $d A p $.  $d A q $.  $d A x $.  $d A y $.  $d A z $.  $d B p $.  $d B q $.
    $d B x $.  $d B y $.  $d B z $.  $d C p $.  $d C q $.  $d C x $.  $d C y $.
    $d C z $.  $d et y $.  $d p ph $.  $d p q $.  $d p x $.  $d p y $.
    $d p z $.  $d ph q $.  $d q x $.  $d q y $.  $d q z $.  $d R p $.
    $d R q $.  $d ta x $.  $d X x $.  $d x y $.  $d X y $.  $d x z $.
    $d X z $.  $d Y y $.  $d y z $.  $d Y z $.  $d Z z $.  $d z ze $.
    $d A t $.  $d A u $.  $d A w $.  $d B t $.  $d B u $.  $d B w $.  $d C t $.
    $d C u $.  $d C w $.  $d ch u $.  $d ch y $.  $d ph w $.  $d ps t $.
    $d ps x $.  $d q t $.  $d q th $.  $d q u $.  $d q w $.  $d R t $.
    $d R u $.  $d R w $.  $d R x $.  $d R y $.  $d R z $.  $d t u $.  $d t w $.
    $d t x $.  $d t y $.  $d t z $.  $d th x $.  $d th y $.  $d th z $.
    $d u w $.  $d u x $.  $d u y $.  $d u z $.  $d w x $.  $d w y $.  $d w z $.
    frpoins3xp3g.1 $e |- ( ( x e. A /\ y e. B /\ z e. C ) ->
     ( A. w A. t A. u
     ( <. <. w , t >. , u >. e. Pred ( R , ( ( A X. B ) X. C ) ,
     <. <. x , y >. , z >. ) -> th ) -> ph ) ) $.
    frpoins3xp3g.2 $e |- ( x = w -> ( ph <-> ps ) ) $.
    frpoins3xp3g.3 $e |- ( y = t -> ( ps <-> ch ) ) $.
    frpoins3xp3g.4 $e |- ( z = u -> ( ch <-> th ) ) $.
    frpoins3xp3g.5 $e |- ( x = X -> ( ph <-> ta ) ) $.
    frpoins3xp3g.6 $e |- ( y = Y -> ( ta <-> et ) ) $.
    frpoins3xp3g.7 $e |- ( z = Z -> ( et <-> ze ) ) $.
    $( Special case of founded partial recursion over a triple cross product.
       (Contributed by Scott Fenton, 22-Aug-2024.) $)
    frpoins3xp3g $p |- ( ( ( R Fr ( ( A X. B ) X. C )
     /\ R Po ( ( A X. B ) X. C )
     /\ R Se ( ( A X. B ) X. C ) ) /\ ( X e. A /\ Y e. B /\ Z e. C ) )
     -> ze ) $=
      ( vp vq cxp wfr wpo wse w3a wral wcel cv c2nd cfv wsbc c1st cpred sbcbidv
      weq cbvsbcvw sbcbii bitri ralbii cop wceq wrex wi elxpxp nfv nfsbc1v nfim
      nfcv nfsbcw wa wal impexp cin elin wss predss sseqin2 eleq2i bitr3i albii
      mpbi imbi1i r3al sbcoteq1a imbi12d ralxp3f ot2elxp 2albii 3bitr4ri df-ral
      eleq1 syl5bi predeq3 raleqdv syl5ibrcom 3expia rexlimd sylbi 2fveq3 fveq2
      ex rexlimi sbceq1d sbceqbid frpoins2g ralxp3es sylib rspc3v mpan9 ) NOUJP
      UJZQUKXSQULXSQUMUNZAJPUOIOUOHNUOZRNUPSOUPTPUPUNGXTAJUHUQZURUSZUTZIYBVAUSZ
      URUSZUTZHYEVAUSZUTZUHXSUOYAYIAJUIUQZURUSZUTZIYJVAUSZURUSZUTZHYMVAUSZUTZUH
      UIXSQYQUIXSQYBVBZUODLYKUTZMYNUTZKYPUTZUIYRUOZYBXSUPZYIYQUUAUIYRYQBJYKUTZI
      YNUTZKYPUTUUAYOUUEHKYPHKVDZYLUUDIYNUUFABJYKUBVCVCVEUUEYTKYPUUECJYKUTZMYNU
      TYTUUDUUGIMYNIMVDBCJYKUCVCVEUUGYSMYNCDJLYKUDVEVFVGVFVGVHUUCYBHUQZIUQZVIJU
      QZVIZVJZJPVKZIOVKZHNVKUUBYIVLZHIJYBNOPVMUUNUUOHNUUBYIHUUBHVNYGHYHVOVPUUHN
      UPZUUMUUOIOUUPIVNUUBYIIUUBIVNYGIHYHIYHVQYDIYFVOVRVPUUPUUIOUPZUUMUUOVLUUPU
      UQVSZUULUUOJPUURJVNUUBYIJUUBJVNYGJHYHJYHVQYDJIYFJYFVQAJYCVOVRVRVPUUPUUQUU
      JPUPZUULUUOVLUUPUUQUUSUNZUUOUULUUAUIXSQUUKVBZUOZAVLUVBKUQZMUQZVILUQZVIZUV
      AUPZDVLZLVTZMVTKVTZUUTAYJXSUPZYJUVAUPZUUAVLZVLZUIVTZUVMUIVTUVJUVBUVNUVMUI
      UVNUVKUVLVSZUUAVLUVMUVKUVLUUAWAUVPUVLUUAUVPYJXSUVAWBZUPUVLYJXSUVAWCUVQUVA
      YJUVAXSWDUVQUVAVJXSQUUKWEUVAXSWFWJZWGWHWKWHWIUVJUVMUIXSUOZUVOUVHLPUOMOUOK
      NUOUVCNUPUVDOUPUVEPUPUNZUVHVLZLVTZMVTKVTUVSUVJUVHKMLNOPWLUVMUVHUIKMLNOPUV
      LUUAKUVLKVNYTKYPVOVPUVLUUAMUVLMVNYTMKYPMYPVQYSMYNVOVRVPUVLUUALUVLLVNYTLKY
      PLYPVQYSLMYNLYNVQDLYKVOVRVRVPUVHUIVNYJUVFVJUVLUVGUUADYJUVFUVAWTDKMLYJWMWN
      WOUVIUWBKMUVHUWALUVHUVFXSUPZUVHVLZUWAUVHUWCUVGVSZDVLUWDUWEUVGDUWEUVFUVQUP
      UVGUVFXSUVAWCUVQUVAUVFUVRWGWHWKUWCUVGDWAWHUWCUVTUVHUVCUVDUVENOPWPWKVGWIWQ
      WRUVMUIXSWSVGUUAUIUVAWSWRUAXAUULUUBUVBYIAUULUUAUIYRUVAXSQYBUUKXBXCAHIJYBW
      MWNXDXEXFXJXFXKXGXAUHUIVDZYGYOHYHYPYBYJVAVAXHUWFYDYLIYFYNYBYJURVAXHUWFAJY
      CYKYBYJURXIXLXMXMXNAUHHIJNOPXOXPAGEFHIJRSTNOPUEUFUGXQXR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ordering Cross Products, Part 2
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    xpord2.1 $e |- T = { <. x , y >. | ( x e. ( A X. B ) /\ y e. ( A X. B )
     /\ ( ( ( 1st ` x ) R ( 1st ` y ) \/ ( 1st ` x ) = ( 1st ` y ) ) /\
          ( ( 2nd ` x ) S ( 2nd ` y ) \/ ( 2nd ` x ) = ( 2nd ` y ) ) /\
          x =/= y ) ) } $.

    ${
      $d a x $.  $d A x $.  $d a y $.  $d A y $.  $d b x $.  $d B x $.
      $d b y $.  $d B y $.  $d c x $.  $d c y $.  $d d x $.  $d d y $.
      $d R x $.  $d R y $.  $d S x $.  $d S y $.  $d x y $.
      $( Lemma for cross product ordering.  Calculate the value of the cross
         product relationship.  (Contributed by Scott Fenton, 19-Aug-2024.) $)
      xpord2lem $p |- ( <. a , b >. T <. c , d >. <->
       ( ( a e. A /\ b e. B ) /\ ( c e. A /\ d e. B ) /\
         ( ( a R c \/ a = c ) /\ ( b S d \/ b = d ) /\
           ( a =/= c \/ b =/= d ) ) ) ) $=
        ( cv wcel cfv wbr wceq wo wne w3a cxp c1st c2nd wa cop weq eleq1 opelxp
        bitrdi vex op1std breq1d eqeq1d orbi12d op2ndd neeq1 3anbi123d 3anbi13d
        opex breq2d eqeq2d neeq2 opthne 3anbi23d brab ) AMZCDUAZNZBMZVGNZVFUBOZ
        VIUBOZEPZVKVLQZRZVFUCOZVIUCOZFPZVPVQQZRZVFVISZTZTHMZCNIMZDNUDZVJWCVLEPZ
        WCVLQZRZWDVQFPZWDVQQZRZWCWDUEZVISZTZTWEJMZCNKMZDNUDZWCWOEPZHJUFZRZWDWPF
        PZIKUFZRZWCWOSWDWPSRZTZTABWLWOWPUEZGWCWDUSWOWPUSVFWLQZVHWEWBWNVJXGVHWLV
        GNWEVFWLVGUGWCWDCDUHUIXGVOWHVTWKWAWMXGVMWFVNWGXGVKWCVLEWCWDVFHUJZIUJZUK
        ZULXGVKWCVLXJUMUNXGVRWIVSWJXGVPWDVQFWCWDVFXHXIUOZULXGVPWDVQXKUMUNVFWLVI
        UPUQURVIXFQZVJWQWNXEWEXLVJXFVGNWQVIXFVGUGWOWPCDUHUIXLWHWTWKXCWMXDXLWFWR
        WGWSXLVLWOWCEWOWPVIJUJZKUJZUKZUTXLVLWOWCXOVAUNXLWIXAWJXBXLVQWPWDFWOWPVI
        XMXNUOZUTXLVQWPWDXPVAUNXLWMWLXFSXDVIXFWLVBWCWDWOWPXHXIVCUIUQVDLVE $.
    $}

    ${
      $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a p $.
      $d A p $.  $d a ph $.  $d a q $.  $d A q $.  $d a r $.  $d A r $.
      $d a s $.  $d A s $.  $d a t $.  $d A t $.  $d a u $.  $d A u $.
      $d A x $.  $d A y $.  $d B a $.  $d B b $.  $d b c $.  $d B c $.
      $d b p $.  $d B p $.  $d b ph $.  $d b q $.  $d B q $.  $d b r $.
      $d B r $.  $d b s $.  $d B s $.  $d b t $.  $d B t $.  $d b u $.
      $d B u $.  $d B x $.  $d B y $.  $d c p $.  $d c ph $.  $d c q $.
      $d c r $.  $d c s $.  $d c t $.  $d c u $.  $d p ph $.  $d p q $.
      $d p r $.  $d p s $.  $d p t $.  $d p u $.  $d p x $.  $d p y $.
      $d ph q $.  $d ph r $.  $d ph s $.  $d ph t $.  $d ph u $.  $d q r $.
      $d q s $.  $d q t $.  $d q u $.  $d q x $.  $d q y $.  $d r s $.
      $d r t $.  $d r u $.  $d r x $.  $d R x $.  $d r y $.  $d R y $.
      $d s t $.  $d s u $.  $d s x $.  $d S x $.  $d s y $.  $d S y $.
      $d T a $.  $d T b $.  $d T c $.  $d T p $.  $d T q $.  $d T r $.
      $d T s $.  $d T t $.  $d t u $.  $d T u $.  $d t x $.  $d t y $.
      $d u x $.  $d u y $.  $d x y $.
      poxp2.1 $e |- ( ph -> R Po A ) $.
      poxp2.2 $e |- ( ph -> S Po B ) $.
      $( Another way of partially ordering a cross product of two classes.
         (Contributed by Scott Fenton, 19-Aug-2024.) $)
      poxp2 $p |- ( ph -> T Po ( A X. B ) ) $=
        ( vp vq vr vs vt wbr wrex wa wo va vb vc vu cxp cv wcel wn cop wceq weq
        elxp2 wne w3a equid pm3.2i neorian con2bii simp3 mto xpord2lem mtbir wb
        mpbi breq12 anidms mtbiri rexlimivw sylbi adantl 3reeanv rexbii 2rexbii
        wi 3anbi123i 3bitr4ri df-3an simpr1l adantr simpr2r jca simpr2l simpr3r
        wpo ad2antrr simpr1r potr syl13anc orc syl6 expd syl6bir simprl1 mpjaod
        breq1 a1i breq2 equequ2 orbi12d simprr1 simpr3l simprl2 simprr2 simprr3
        syl5ibcom sylib equequ1 neeq1 3anbi123d anbi1d anbi2d orcom ordi equcom
        orbi2i bitri anbi12i 3bitri sylanbrc po2nr syl12anc orcnd com12 syl5bir
        syl6bi mt3d 3jca syl2ani 3adant3 bitrdi 3adant1 anbi12d 3adant2 imbi12d
        ex syl5ibrcom sylan2br anassrs rexlimdvva imp sylan2b ispod ) AUAUBUCDE
        UEZHUAUFZUUCUGZUUDUUDHQZUHZAUUEUUDLUFZMUFZUIZUJZMERZLDRZUUGLMUUDDEULZUU
        LUUGLDUUKUUGMEUUKUUFUUJUUJHQZUUOUUHDUGZUUIEUGZSZUURUUHUUHFQLLUKZTZUUIUU
        IGQMMUKZTZUUHUUHUMUUIUUIUMTZUNZUNZUVEUVDUVDUVCUUSUVASZUVCUHUUSUVALUOMUO
        UPUVCUVFUUHUUHUUIUUIUQURVDUUTUVBUVCUSUTUURUURUVDUSUTBCDEFGHLMLMIVAVBUUK
        UUFUUOVCUUDUUJUUDUUJHVEVFVGVHVHVIVJUUEUBUFZUUCUGZUCUFZUUCUGZUNZAUUKUVGN
        UFZOUFZUIZUJZUVIPUFZUDUFZUIZUJZUNZUDEROERZMERZPDRZNDRLDRZUUDUVGHQZUVGUV
        IHQZSZUUDUVIHQZVNZUULUVOOERZUVSUDERZUNZPDRZNDRLDRUUMUWJNDRZUWKPDRZUNUWD
        UVKUULUWJUWKLNPDDDVKUWCUWMLNDDUWBUWLPDUUKUVOUVSMOUDEEEVKVLVMUUEUUMUVHUW
        NUVJUWOUUNNOUVGDEULPUDUVIDEULVOVPAUWDUWIAUWCUWILNDDAUUPUVLDUGZSZSUWAUWI
        PMDEAUWQUVPDUGZUUQSZUWAUWIVNAUWQUWSSZSUVTUWIOUDEEAUWTUVMEUGZUVQEUGZSZUV
        TUWIVNZUWTUXCSAUWQUWSUXCUNZUXDUWQUWSUXCVQAUXESZUWIUVTUURUWPUXASZUUHUVLF
        QZLNUKZTZUUIUVMGQZMOUKZTZUUHUVLUMZUUIUVMUMZTZUNZUNZUXGUWRUXBSZUVLUVPFQZ
        NPUKZTZUVMUVQGQZOUDUKZTZUVLUVPUMUVMUVQUMTZUNZUNZSZUURUXSUUHUVPFQZLPUKZT
        ZUUIUVQGQZMUDUKZTZUUHUVPUMUUIUVQUMTZUNZUNZVNUXRUXFUXQUYGUYRUYHUURUXGUXQ
        USUXGUXSUYGUSUXFUXQUYGSZUYRUXFUYSSZUURUXSUYQUYTUUPUUQUXFUUPUYSUUPUWPUWS
        UXCAVRVSZUXFUUQUYSUWRUUQUWQUXCAVTVSZWAUYTUWRUXBUXFUWRUYSUWRUUQUWQUXCAWB
        ZVSZUXFUXBUYSUXAUXBUWQUWSAWCZVSZWAUYTUYLUYOUYPUYTUXTUYLUYAUYTUXHUXTUYLV
        NZUXIUYTUXHUXTUYLUYTUXHUXTSZUYJUYLUYTDFWDZUUPUWPUWRVUHUYJVNAVUIUXEUYSJW
        EVUAUXFUWPUYSUUPUWPUWSUXCAWFZVSVUDDUUHUVLUVPFWGWHUYJUYKWIZWJWKUXIVUGVNU
        YTUXIUXTUYJUYLUUHUVLUVPFWOVUKWLWPUXJUXMUXPUYGUXFWMZWNUYTUXJUYAUYLVULUYA
        UXHUYJUXIUYKUVLUVPUUHFWQNPLWRWSXEUYBUYEUYFUXQUXFWTWNUYTUYCUYOUYDUYTUXKU
        YCUYOVNZUXLUYTUXKUYCUYOUYTUXKUYCSZUYMUYOUYTEGWDZUUQUXAUXBVUNUYMVNAVUOUX
        EUYSKWEVUBUXFUXAUYSUXAUXBUWQUWSAXAZVSVUFEUUIUVMUVQGWGWHUYMUYNWIZWJWKUXL
        VUMVNUYTUXLUYCUYMUYOUUIUVMUVQGWOVUQWLWPUXJUXMUXPUYGUXFXBZWNUYTUXMUYDUYO
        VURUYDUXKUYMUXLUYNUVMUVQUUIGWQOUDMWRWSXEUYBUYEUYFUXQUXFXCWNUYTUYPUYAUYD
        SZUYTUYFVUSUHUYBUYEUYFUXQUXFXDUVLUVPUVMUVQUQXFUYPUHUYKUYNSZUYTVUSUYPVUT
        UUHUVPUUIUVQUQURVUTUYTVUSVUTUYTUXFUVPUVLFQZPNUKZTZUVQUVMGQZUDOUKZTZUVPU
        VLUMZUVQUVMUMZTZUNZUYGSZSZVUSVUTUYSVVKUXFVUTUXQVVJUYGVUTUXJVVCUXMVVFUXP
        VVIUYKUXJVVCVCUYNUYKUXHVVAUXIVVBUUHUVPUVLFWOLPNXGWSVSUYNUXMVVFVCUYKUYNU
        XKVVDUXLVVEUUIUVQUVMGWOMUDOXGWSVJVUTUXNVVGUXOVVHUYKUXNVVGVCUYNUUHUVPUVL
        XHVSUYNUXOVVHVCUYKUUIUVQUVMXHVJWSXIXJXKVVLUYAUYDVVLVVAUXTSZUYAVVLVVCUYB
        VVMUYATZVVCVVFVVIUYGUXFWMUYBUYEUYFVVJUXFWTVVNUYAVVMTUYAVVATZUYAUXTTZSVV
        CUYBSVVMUYAXLUYAVVAUXTXMVVOVVCVVPUYBVVOVVAUYATVVCUYAVVAXLUYAVVBVVANPXNX
        OXPUYAUXTXLXQXRXSVVLVUIUWRUWPVVMUHAVUIUXEVVKJWEUXFUWRVVKVUCVSUXFUWPVVKV
        UJVSDUVPUVLFXTYAYBVVLVVDUYCSZUYDVVLVVFUYEVVQUYDTZVVCVVFVVIUYGUXFXBUYBUY
        EUYFVVJUXFXCVVRUYDVVQTUYDVVDTZUYDUYCTZSVVFUYESVVQUYDXLUYDVVDUYCXMVVSVVF
        VVTUYEVVSVVDUYDTVVFUYDVVDXLUYDVVEVVDOUDXNXOXPUYDUYCXLXQXRXSVVLVUOUXBUXA
        VVQUHAVUOUXEVVKKWEUXFUXBVVKVUEVSUXFUXAVVKVUPVSEUVQUVMGXTYAYBWAYEYCYDYFY
        GYGYOYHUVTUWGUYIUWHUYRUVTUWEUXRUWFUYHUVTUWEUUJUVNHQZUXRUUKUVOUWEVWAVCUV
        SUUDUUJUVGUVNHVEYIBCDEFGHLMNOIVAYJUVTUWFUVNUVRHQZUYHUVOUVSUWFVWBVCUUKUV
        GUVNUVIUVRHVEYKBCDEFGHNOPUDIVAYJYLUVTUWHUUJUVRHQZUYRUUKUVSUWHVWCVCUVOUU
        DUUJUVIUVRHVEYMBCDEFGHLMPUDIVAYJYNYPYQYRYSYRYSYSYTUUAUUB $.
    $}

    ${
      $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a d $.
      $d a e $.  $d a p $.  $d A p $.  $d a ph $.  $d a q $.  $d A q $.
      $d a s $.  $d A s $.  $d B a $.  $d b c $.  $d B c $.  $d B d $.
      $d B e $.  $d B p $.  $d B q $.  $d b s $.  $d B s $.  $d c d $.
      $d c e $.  $d c s $.  $d d e $.  $d d s $.  $d e s $.  $d p q $.
      $d p s $.  $d ph s $.  $d q s $.  $d R a $.  $d R b $.  $d R c $.
      $d S c $.  $d S d $.  $d S e $.  $d T a $.  $d T p $.  $d T q $.
      $d T s $.  $d A e $.  $d a f $.  $d A f $.  $d a x $.  $d A x $.
      $d a y $.  $d A y $.  $d b e $.  $d b f $.  $d B f $.  $d b q $.
      $d B x $.  $d B y $.  $d c f $.  $d c p $.  $d c ph $.  $d c q $.
      $d c x $.  $d c y $.  $d d f $.  $d d q $.  $d e f $.  $d e ph $.
      $d e q $.  $d e x $.  $d e y $.  $d f ph $.  $d f q $.  $d f s $.
      $d f x $.  $d f y $.  $d ph q $.  $d R e $.  $d R f $.  $d R q $.
      $d R x $.  $d R y $.  $d S f $.  $d S q $.  $d S x $.  $d S y $.
      $d T c $.  $d T e $.  $d T f $.  $d x y $.
      frxp2.1 $e |- ( ph -> R Fr A ) $.
      frxp2.2 $e |- ( ph -> S Fr B ) $.
      $( Another way of giving a founded order to a cross product of two
         classes.  (Contributed by Scott Fenton, 19-Aug-2024.) $)
      frxp2 $p |- ( ph -> T Fr ( A X. B ) ) $=
        ( va vc ve cv c0 wa wn wi wcel vs vq vp vb vd cxp wss wne wbr wral wrex
        vf wal wfr cdm dmss ad2antrl dmxpss sstrdi simprr wrel wceq relxp relss
        wb mpi reldm0 syl necon3bid mpbid adantr df-fr sylib dmex sseq1 anbi12d
        vex neeq1 raleq rexeqbi1dv imbi12d spcv mp2and csn cima crn rnss rnxpss
        imassrn sstrid simprl cin imadisj disjsn bitri necon2abii imaex elimasn
        ad2antrr cop wel wex elrel sylan weq wo w3a breq1 notbid simplrr adantl
        biimpri rspcdva intnanrd opeq1 eleq1d anbi2d 3anass olc biantrurd neirr
        orbi1d biorf bitr4di nonconne biorfi bitr4i bitrdi bitr3d syl5bb mpbiri
        ax-mp andir impcom opeldm simpr neneqd ioran sylanbrc rexlimddv ralbidv
        intn3an1d pm2.61dane intn3an3d eleq1 xpord2lem com12 exlimdvv ralrimiva
        mpd breq2 rspcev syl2anc ex alrimiv sylibr ) AUAOZDEUFZUGZUUQPUHZQZUBOZ
        UCOZHUIZRZUBUUQUJZUCUUQUKZSZUAUMUURHUNAUVHUAAUVAUVGAUVAQZUDOZLOZFUIZRZU
        DUUQUOZUJZUVGLUVNUVIUVNDUGZUVNPUHZUVOLUVNUKZUVIUVNUURUOZDUUSUVNUVSUGAUU
        TUUQUURUPUQDEURUSUVIUUTUVQAUUSUUTUTUVIUUQPUVNPUVIUUQVAZUUQPVBUVNPVBVEUU
        SUVTAUUTUUSUURVAUVTDEVCUUQUURVDVFUQZUUQVGVHVIVJUVIMOZDUGZUWBPUHZQZUVMUD
        UWBUJZLUWBUKZSZMUMZUVPUVQQZUVRSZUVIDFUNZUWIAUWLUVAJVKMLUDDFVLVMUWHUWKMU
        VNUUQUAVQZVNUWBUVNVBZUWEUWJUWGUVRUWNUWCUVPUWDUVQUWBUVNDVOUWBUVNPVRVPUWF
        UVOLUWBUVNUVMUDUWBUVNVSVTWAWBVHWCUVIUVKUVNTZUVOQZQZUEOZUWBGUIZRZUEUUQUV
        KWDZWEZUJZUVGMUXBUWQUXBEUGZUXBPUHZUXCMUXBUKZUWQUXBUUQWFZEUUQUXAWIUWQUXG
        UURWFZEUVIUXGUXHUGZUWPUUSUXIAUUTUUQUURWGUQVKDEWHUSWJUWQUWOUXEUVIUWOUVOW
        KUWOUXBPUXBPVBUVNUXAWLPVBUWORUUQUXAWMUVNUVKWNWOWPVMUWQNOZEUGZUXJPUHZQZU
        WTUEUXJUJZMUXJUKZSZNUMZUXDUXEQZUXFSZAUXQUVAUWPAEGUNUXQKNMUEEGVLVMWSUXPU
        XSNUXBUUQUXAUWMWQUXJUXBVBZUXMUXRUXOUXFUXTUXKUXDUXLUXEUXJUXBEVOUXJUXBPVR
        VPUXNUXCMUXJUXBUWTUEUXJUXBVSVTWAWBVHWCUWQUWBUXBTZUXCQZQZUVKUWBWTZUUQTZU
        VBUYDHUIZRZUBUUQUJZUVGUYCUYAUYEUWQUYAUXCWKUUQUVKUWBLVQZMVQWRVMUYCUYGUBU
        UQUYCUBUAXAZQZUVBUXJULOZWTZVBZULXBNXBZUYGUYCUVTUYJUYOUVIUVTUWPUYBUWAWSN
        ULUVBUUQXCXDUYKUYNUYGNULUYNUYKUYGUYNUYKUYGSUYCUYMUUQTZQZUXJDTUYLETQZUVK
        DTUWBETQZUXJUVKFUIZNLXEZXFZUYLUWBGUIZULMXEZXFZUXJUVKUHZUYLUWBUHZXFZXGZX
        GZRZSUYQVUIUYRUYSUYQVUIRZUXJUVKVUAUYQVULVUAUYQVULSUYCUVKUYLWTZUUQTZQZVU
        CVUGQZRZSVUOVUCVUGVUOUWTVUCRUEUXBUYLUEULXEUWSVUCUWRUYLUWBGXHXIUWQUYAUXC
        VUNXJVUNUYLUXBTZUYCVURVUNUUQUVKUYLUYIULVQZWRXLXKXMXNVUAUYQVUOVULVUQVUAU
        YPVUNUYCVUAUYMVUMUUQUXJUVKUYLXOXPXQVUAVUIVUPVUIVUBVUEVUHQZQZVUAVUPVUBVU
        EVUHXRVUAVUTVVAVUPVUAVUBVUTVUAUYTXSXTVUAVUTVUEVUGQZVUPVUAVUHVUGVUEVUAVU
        HUVKUVKUHZVUGXFZVUGVUAVUFVVCVUGUXJUVKUVKVRYBVVCRVUGVVDVEUVKYAVVCVUGYCYL
        YDXQVVBVUPVUDVUGQZXFVUPVUCVUDVUGYMVVEVUPUYLUWBYEYFYGYHYIYJXIWAYKYNUYQVU
        FQZVUBVUEVUHVVFUYTRZVUARVUBRVVFUVMVVGUDUVNUXJUDNXEUVLUYTUVJUXJUVKFXHXIU
        YCUVOUYPVUFUVIUWOUVOUYBXJWSUYQUXJUVNTZVUFUYPVVHUYCUXJUYLUUQNVQVUSYOXKVK
        XMVVFUXJUVKUYQVUFYPYQUYTVUAYRYSUUBUUCUUDUYNUYKUYQUYGVUKUYNUYJUYPUYCUVBU
        YMUUQUUEXQUYNUYFVUJUYNUYFUYMUYDHUIVUJUVBUYMUYDHXHBCDEFGHNULLMIUUFYHXIWA
        YKUUGUUHUUJUUIUVFUYHUCUYDUUQUVCUYDVBZUVEUYGUBUUQVVIUVDUYFUVCUYDUVBHUUKX
        IUUAUULUUMYTYTUUNUUOUAUCUBUURHVLUUP $.
    $}

    ${
      $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a d $.
      $d A d $.  $d a e $.  $d A e $.  $d a x $.  $d A x $.  $d a y $.
      $d A y $.  $d B a $.  $d B b $.  $d b c $.  $d B c $.  $d b d $.
      $d B d $.  $d b e $.  $d B e $.  $d b x $.  $d B x $.  $d b y $.
      $d B y $.  $d c d $.  $d c e $.  $d c x $.  $d c y $.  $d d e $.
      $d d x $.  $d d y $.  $d R a $.  $d R b $.  $d R c $.  $d R d $.
      $d R e $.  $d R x $.  $d R y $.  $d S a $.  $d S b $.  $d S c $.
      $d S d $.  $d S e $.  $d S x $.  $d S y $.  $d T a $.  $d T b $.
      $d T c $.  $d T d $.  $d T e $.  $d X a $.  $d X b $.  $d x y $.
      $d Y b $.
      $( Calculate the predecessor class in ~ frxp2 .  (Contributed by Scott
         Fenton, 22-Aug-2024.) $)
      xpord2pred $p |- ( ( X e. A /\ Y e. B ) ->
      Pred ( T , ( A X. B ) , <. X , Y >. ) =
      ( ( ( Pred ( R , A , X ) u. { X } ) X. ( Pred ( S , B , Y ) u. { Y } ) )
      \ { <. X , Y >. } ) ) $=
        ( va vb vc vd cpred csn wceq wcel wa wo ve cxp cv cop cun opeq1 predeq3
        cdif syl sneq uneq12d xpeq1d sneqd difeq12d eqeq12d opeq2 xpeq2d predel
        wi a1i eldifi predss snssi unssd xpss12 syl2an sseld syl5 wrex wb elxp2
        wss wbr cvv elpred ax-mp opelxpi adantl biantrurd weq wne w3a xpord2lem
        opex eldif opelxp elun vex elv velsn orbi12i bitri anbi12i notbii df-ne
        elsn opthne 3bitr2i simprl orbi1d simprr 3anbi12d df-3an bitr2di syl5bb
        pm3.22 bitr4di bitr2d bitr3d eleq1 bibi12d syl5ibrcom rexlimdvva syl5bi
        wn pm5.21ndd eqrdv vtocl2ga ) CDUBZGKUCZLUCZUDZOZCEXTOZXTPZUEZDFYAOZYAP
        ZUEZUBZYBPZUHZQXSGHYAUDZOZCEHOZHPZUEZYIUBZYMPZUHZQXSGHIUDZOZYQDFIOZIPZU
        EZUBZUUAPZUHZQKLHICDXTHQZYCYNYLYTUUIYBYMQYCYNQXTHYAUFZXSGYBYMUGUIUUIYJY
        RYKYSUUIYFYQYIUUIYDYOYEYPCEXTHUGXTHUJUKULUUIYBYMUUJUMUNUOYAIQZYNUUBYTUU
        HUUKYMUUAQYNUUBQYAIHUPZXSGYMUUAUGUIUUKYRUUFYSUUGUUKYIUUEYQUUKYGUUCYHUUD
        DFYAIUGYAIUJUKUQUUKYMUUAUULUMUNUOXTCRZYADRZSZUAYCYLUUOUAUCZXSRZUUPYCRZU
        UPYLRZUURUUQUSUUOXSGYBUUPURUTUUSUUPYJRUUOUUQUUPYJYKVAUUOYJXSUUPUUMYFCVL
        YIDVLYJXSVLUUNUUMYDYECYDCVLUUMCEXTVBUTXTCVCVDUUNYGYHDYGDVLUUNDFYAVBUTYA
        DVCVDYFCYIDVEVFVGVHUUQUUPMUCZNUCZUDZQZNDVIMCVIUUOUURUUSVJZMNUUPCDVKUUOU
        VCUVDMNCDUUOUUTCRZUVADRZSZSZUVDUVCUVBYCRZUVBYLRZVJUVIUVBXSRZUVBYBGVMZSZ
        UVHUVJYBVNRUVIUVMVJXTYAWDXSVNGYBUVBUUTUVAWDZVOVPUVHUVLUVMUVJUVHUVKUVLUV
        GUVKUUOUUTUVACDVQVRVSUVLUVGUUOUUTXTEVMZMKVTZTZUVAYAFVMZNLVTZTZUUTXTWAUV
        AYAWATZWBZWBZUVHUVJABCDEFGMNKLJWCUVHUVJUWBUWCUVJUVEUVOSZUVPTZUVFUVRSZUV
        STZSZUWASZUVHUWBUVJUVBYJRZUVBYKRZXOZSUWIUVBYJYKWEUWJUWHUWLUWAUWJUUTYFRZ
        UVAYIRZSUWHUUTUVAYFYIWFUWMUWEUWNUWGUWMUUTYDRZUUTYERZTUWEUUTYDYEWGUWOUWD
        UWPUVPUWOUWDVJKCVNEXTUUTMWHZVOWIMXTWJWKWLUWNUVAYGRZUVAYHRZTUWGUVAYGYHWG
        UWRUWFUWSUVSUWRUWFVJLDVNFYAUVANWHZVOWINYAWJWKWLWMWLUWLUVBYBQZXOUVBYBWAU
        WAUWKUXAUVBYBUVNWPWNUVBYBWOUUTUVAXTYAUWQUWTWQWRWMWLUVHUWBUWEUWGUWAWBUWI
        UVHUVQUWEUVTUWGUWAUVHUVOUWDUVPUVHUVEUVOUUOUVEUVFWSVSWTUVHUVRUWFUVSUVHUV
        FUVRUUOUVEUVFXAVSWTXBUWEUWGUWAXCXDXEUVHUWBUVGUUOSZUWBSUWCUVHUXBUWBUUOUV
        GXFVSUVGUUOUWBXCXGXHXEXIXEUVCUURUVIUUSUVJUUPUVBYCXJUUPUVBYLXJXKXLXMXNXP
        XQXR $.
    $}

    ${
      $d A a $.  $d a b $.  $d A b $.  $d a p $.  $d A p $.  $d a ph $.
      $d A x $.  $d A y $.  $d B a $.  $d B b $.  $d b p $.  $d B p $.
      $d b ph $.  $d B x $.  $d B y $.  $d p ph $.  $d R x $.  $d R y $.
      $d S x $.  $d S y $.  $d T a $.  $d T b $.  $d T p $.  $d x y $.
      sexp2.1 $e |- ( ph -> R Se A ) $.
      sexp2.2 $e |- ( ph -> S Se B ) $.
      $( Condition for the relationship in ~ frxp2 to be set-like.
         (Contributed by Scott Fenton, 19-Aug-2024.) $)
      sexp2 $p |- ( ph -> T Se ( A X. B ) ) $=
        ( vp va vb cv cpred cvv wcel wse csn cxp wral cop wceq wrex wa cun cdif
        elxp2 xpord2pred adantl setlikespec ancoms sylan adantrr snex a1i unexd
        adantrl xpexd difexd eqeltrd predeq3 eleq1d syl5ibrcom rexlimdvva dfse3
        syl5bi ralrimiv sylibr ) ADEUAZHLOZPZQRZLVKUBVKHSAVNLVKVLVKRVLMOZNOZUCZ
        UDZNEUEMDUEAVNMNVLDEUIAVRVNMNDEAVODRZVPERZUFZUFZVNVRVKHVQPZQRWBWCDFVOPZ
        VOTZUGZEGVPPZVPTZUGZUAZVQTZUHZQWAWCWLUDABCDEFGHVOVPIUJUKWBWJWKQWBWFWIQQ
        WBWDWEQQAVSWDQRZVTADFSZVSWMJVSWNWMDFVOULUMUNUOWEQRWBVOUPUQURWBWGWHQQAVT
        WGQRZVSAEGSZVTWOKVTWPWOEGVPULUMUNUSWHQRWBVPUPUQURUTVAVBVRVMWCQVKHVLVQVC
        VDVEVFVHVILVKHVGVJ $.
    $}

    ${
      $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a d $.
      $d A d $.  $d a ps $.  $d a ta $.  $d A x $.  $d A y $.  $d B a $.
      $d B b $.  $d b c $.  $d B c $.  $d b ch $.  $d b d $.  $d B d $.
      $d b et $.  $d B x $.  $d B y $.  $d c d $.  $d c ph $.  $d c th $.
      $d d ps $.  $d R c $.  $d R d $.  $d R x $.  $d R y $.  $d S c $.
      $d S d $.  $d S x $.  $d S y $.  $d T a $.  $d T b $.  $d T c $.
      $d T d $.  $d X a $.  $d X b $.  $d x y $.  $d Y b $.
      xpord2ind.1 $e |- R Fr A $.
      xpord2ind.2 $e |- R Po A $.
      xpord2ind.3 $e |- R Se A $.
      xpord2ind.4 $e |- S Fr B $.
      xpord2ind.5 $e |- S Po B $.
      xpord2ind.6 $e |- S Se B $.
      xpord2ind.7 $e |- ( a = c -> ( ph <-> ps ) ) $.
      xpord2ind.8 $e |- ( b = d -> ( ps <-> ch ) ) $.
      xpord2ind.9 $e |- ( a = c -> ( th <-> ch ) ) $.
      xpord2ind.11 $e |- ( a = X -> ( ph <-> ta ) ) $.
      xpord2ind.12 $e |- ( b = Y -> ( ta <-> et ) ) $.
      xpord2ind.i $e |- ( ( a e. A /\ b e. B ) ->
       ( ( A. c e. Pred ( R , A , a ) A. d e. Pred ( S , B , b ) ch /\
           A. c e. Pred ( R , A , a ) ps /\
           A. d e. Pred ( S , B , b ) th ) -> ph ) ) $.
      $( Induction over the cross product ordering.  Note that the
         substitutions cover all possible cases of membership in the
         predecessor class.  (Contributed by Scott Fenton, 22-Aug-2024.) $)
      xpord2ind $p |- ( ( X e. A /\ Y e. B ) -> et ) $=
        ( cxp wfr wpo wse w3a wcel wa wtru a1i frxp2 poxp2 sexp2 3jca mptru cop
        cv cpred wi wal wne wo csn cun wral cdif xpord2pred eleq2d imbi1d eldif
        wn opelxp wceq opex elsn notbii df-ne vex opthne 3bitr2i anbi12i imbi1i
        bitri impexp bitrdi 2albidv r2al bitr4di wss ssun1 ssralv ax-mp syl weq
        ralimi predpoirr eleq1w mtbiri necon2ai olcd pm2.27 ralimia ssun2 neeq1
        orbi2d wb equcoms bicomd imbi12d ralsn ralbii sylib orcd orbi1d ralbidv
        syl5 sylbid frpoins3xpg mpan ) IJUMZMUNZYKMUOZYKMUPZUQZNIUROJURUSFYOUTY
        LYMYNUTGHIJKLMTIKUNUTUAVAJLUNUTUDVAVBUTGHIJKLMTIKUOZUTUBVAJLUOZUTUEVAVC
        UTGHIJKLMTIKUPUTUCVAJLUPUTUFVAVDVEVFABCEFPQRSIJMNOPVHZIURQVHZJURUSZRVHZ
        SVHZVGZYKMYRYSVGZVIZURZCVJZSVKRVKZUUAYRVLZUUBYSVLZVMZCVJZSJLYSVIZYSVNZV
        OZVPZRIKYRVIZYRVNZVOZVPZAYTUUHUUAUUSURUUBUUOURUSZUULVJZSVKRVKUUTYTUUGUV
        BRSYTUUGUUCUUSUUOUMZUUDVNZVQZURZCVJZUVBYTUUFUVFCYTUUEUVEUUCGHIJKLMYRYST
        VRVSVTUVGUVAUUKUSZCVJUVBUVFUVHCUVFUUCUVCURZUUCUVDURZWBZUSUVHUUCUVCUVDWA
        UVIUVAUVKUUKUUAUUBUUSUUOWCUVKUUCUUDWDZWBUUCUUDVLUUKUVJUVLUUCUUDUUAUUBWE
        WFWGUUCUUDWHUUAUUBYRYSRWISWIWJWKWLWNWMUVAUUKCWOWNWPWQUULRSUUSUUOWRWSUUT
        CSUUMVPZRUUQVPZBRUUQVPZDSUUMVPZUQYTAUUTUVNUVOUVPUUTUULSUUMVPZRUUQVPZUVN
        UUTUUPRUUQVPZUVRUUQUUSWTUUTUVSVJUUQUURXAUUPRUUQUUSXBXCZUUPUVQRUUQUUMUUO
        WTUUPUVQVJUUMUUNXAUULSUUMUUOXBXCZXFXDUVQUVMRUUQUULCSUUMUUBUUMURZUUKUULC
        VJUWBUUJUUIUWBUUBYSSQXEZUWBYSUUMURZYQUWDWBUEJLYSXGXCSQUUMXHXIXJZXKUUKCX
        LXDXMXFXDUUTUUIYSYSVLZVMZBVJZRUUQVPZUVOUUTUULSUUNVPZRUUQVPZUWIUUTUVSUWK
        UVTUUPUWJRUUQUUNUUOWTUUPUWJVJUUNUUMXNUULSUUNUUOXBXCXFXDUWJUWHRUUQUULUWH
        SYSQWIUWCUUKUWGCBUWCUUJUWFUUIUUBYSYSXOXPUWCBCBCXQQSUHXRXSXTYAYBYCUWHBRU
        UQUUAUUQURZUWGUWHBVJUWLUUIUWFUWLUUAYRRPXEZUWLYRUUQURZYPUWNWBUBIKYRXGXCR
        PUUQXHXIXJYDUWGBXLXDXMXDUUTYRYRVLZUUJVMZDVJZSUUMVPZUVPUUTUVQRUURVPZUWRU
        UTUUPRUURVPZUWSUURUUSWTUUTUWTVJUURUUQXNUUPRUURUUSXBXCUUPUVQRUURUWAXFXDU
        VQUWRRYRPWIUWMUULUWQSUUMUWMUUKUWPCDUWMUUIUWOUUJUUAYRYRXOYEUWMDCDCXQPRUI
        XRXSXTYFYAYCUWQDSUUMUWBUWPUWQDVJUWBUUJUWOUWEXKUWPDXLXDXMXDVEULYGYHUGUHU
        JUKYIYJ $.
    $}

  $}

  ${
    xpord3.1 $e |- U = { <. x , y >. | ( x e. ( ( A X. B ) X. C )
     /\ y e. ( ( A X. B ) X. C )
     /\ ( ( ( ( 1st ` ( 1st ` x ) ) R ( 1st ` ( 1st ` y ) ) \/
              ( 1st ` ( 1st ` x ) ) = ( 1st ` ( 1st ` y ) ) ) /\
            ( ( 2nd ` ( 1st ` x ) ) S ( 2nd ` ( 1st ` y ) ) \/
              ( 2nd ` ( 1st ` x ) ) = ( 2nd ` ( 1st ` y ) ) ) /\
            ( ( 2nd ` x ) T ( 2nd ` y ) \/ ( 2nd ` x ) = ( 2nd ` y ) ) ) /\
          x =/= y ) ) } $.

    ${
      $d a x $.  $d A x $.  $d a y $.  $d A y $.  $d b x $.  $d B x $.
      $d b y $.  $d B y $.  $d c x $.  $d C x $.  $d c y $.  $d C y $.
      $d d x $.  $d d y $.  $d e x $.  $d e y $.  $d f x $.  $d f y $.
      $d R x $.  $d R y $.  $d S x $.  $d S y $.  $d T x $.  $d T y $.
      $d x y $.
      $( Lemma for triple ordering.  Calculate the value of the relationship.
         (Contributed by Scott Fenton, 21-Aug-2024.) $)
      xpord3lem $p |- ( <. <. a , b >. , c >. U <. <. d , e >. , f >. <->
     ( ( a e. A /\ b e. B /\ c e. C ) /\ ( d e. A /\ e e. B /\ f e. C ) /\
     ( ( ( a R d \/ a = d ) /\ ( b S e \/ b = e ) /\ ( c T f \/ c = f ) ) /\
       ( a =/= d \/ b =/= e \/ c =/= f ) ) ) ) $=
        ( wbr wcel wo w3a cv cop cxp weq wne wa w3o c1st cfv wceq c2nd opex vex
        ot21std breq1d eqeq1d orbi12d ot22ndd op2ndd 3anbi123d anbi12d 3anbi13d
        eleq1 neeq1 breq2d eqeq2d 3anbi23d brab ot2elxp otthne anbi2i 3anbi123i
        neeq2 bitri ) LUAZMUAZUBZNUAZUBZOUAZJUAZUBZKUAZUBZIQVSCDUCEUCZRZWDWERZV
        OVTFQZLOUDZSZVPWAGQZMJUDZSZVRWCHQZNKUDZSZTZVSWDUEZUFZTZVOCRVPDRVRERTZVT
        CRWADRWCERTZWQVOVTUEVPWAUEVRWCUEUGZUFZTAUAZWERZBUAZWERZXEUHUIZUHUIZXGUH
        UIZUHUIZFQZXJXLUJZSZXIUKUIZXKUKUIZGQZXPXQUJZSZXEUKUIZXGUKUIZHQZYAYBUJZS
        ZTZXEXGUEZUFZTWFXHVOXLFQZVOXLUJZSZVPXQGQZVPXQUJZSZVRYBHQZVRYBUJZSZTZVSX
        GUEZUFZTWTABVSWDIVQVRULWBWCULXEVSUJZXFWFYHYTXHXEVSWEVCUUAYFYRYGYSUUAXOY
        KXTYNYEYQUUAXMYIXNYJUUAXJVOXLFVOVPVRXELUMZMUMZNUMZUNZUOUUAXJVOXLUUEUPUQ
        UUAXRYLXSYMUUAXPVPXQGVOVPVRXEUUBUUCUUDURZUOUUAXPVPXQUUFUPUQUUAYCYOYDYPU
        UAYAVRYBHVQVRXEVOVPULUUDUSZUOUUAYAVRYBUUGUPUQUTXEVSXGVDVAVBXGWDUJZXHWGY
        TWSWFXGWDWEVCUUHYRWQYSWRUUHYKWJYNWMYQWPUUHYIWHYJWIUUHXLVTVOFVTWAWCXGOUM
        ZJUMZKUMZUNZVEUUHXLVTVOUULVFUQUUHYLWKYMWLUUHXQWAVPGVTWAWCXGUUIUUJUUKURZ
        VEUUHXQWAVPUUMVFUQUUHYOWNYPWOUUHYBWCVRHWBWCXGVTWAULUUKUSZVEUUHYBWCVRUUN
        VFUQUTXGWDVSVMVAVGPVHWFXAWGXBWSXDVOVPVRCDEVIVTWAWCCDEVIWRXCWQVOVPVRVTWA
        WCUUBUUCUUDVJVKVLVN $.
    $}

    ${
      $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a d $.
      $d A d $.  $d a e $.  $d A e $.  $d a f $.  $d A f $.  $d a g $.
      $d A g $.  $d a h $.  $d A h $.  $d a i $.  $d A i $.  $d a j $.
      $d A j $.  $d a k $.  $d A k $.  $d a l $.  $d A l $.  $d a ph $.
      $d A x $.  $d A y $.  $d B a $.  $d B b $.  $d b c $.  $d B c $.
      $d b d $.  $d B d $.  $d b e $.  $d B e $.  $d b f $.  $d B f $.
      $d b g $.  $d B g $.  $d b h $.  $d B h $.  $d b i $.  $d B i $.
      $d b j $.  $d B j $.  $d b k $.  $d B k $.  $d b l $.  $d B l $.
      $d b ph $.  $d B x $.  $d B y $.  $d C a $.  $d C b $.  $d C c $.
      $d c d $.  $d C d $.  $d c e $.  $d C e $.  $d c f $.  $d C f $.
      $d c g $.  $d C g $.  $d c h $.  $d C h $.  $d c i $.  $d C i $.
      $d c j $.  $d C j $.  $d c k $.  $d C k $.  $d c l $.  $d C l $.
      $d c ph $.  $d C x $.  $d C y $.  $d d e $.  $d d f $.  $d d g $.
      $d d h $.  $d d i $.  $d d j $.  $d d k $.  $d d l $.  $d d ph $.
      $d d x $.  $d d y $.  $d e f $.  $d e g $.  $d e h $.  $d e i $.
      $d e j $.  $d e k $.  $d e l $.  $d e ph $.  $d e x $.  $d e y $.
      $d f g $.  $d f h $.  $d f i $.  $d f j $.  $d f k $.  $d f l $.
      $d f ph $.  $d f x $.  $d f y $.  $d g h $.  $d g i $.  $d g j $.
      $d g k $.  $d g l $.  $d g ph $.  $d g x $.  $d g y $.  $d h i $.
      $d h j $.  $d h k $.  $d h l $.  $d h ph $.  $d h x $.  $d h y $.
      $d i j $.  $d i k $.  $d i l $.  $d i ph $.  $d i x $.  $d i y $.
      $d j k $.  $d j l $.  $d j ph $.  $d j x $.  $d j y $.  $d k l $.
      $d k ph $.  $d k x $.  $d k y $.  $d l ph $.  $d l x $.  $d l y $.
      $d R x $.  $d R y $.  $d S x $.  $d S y $.  $d T x $.  $d T y $.
      $d U a $.  $d U b $.  $d U c $.  $d U d $.  $d U e $.  $d U f $.
      $d U g $.  $d U h $.  $d U i $.  $d U j $.  $d U k $.  $d U l $.
      $d x y $.
      poxp3.1 $e |- ( ph -> R Po A ) $.
      poxp3.2 $e |- ( ph -> S Po B ) $.
      poxp3.3 $e |- ( ph -> T Po C ) $.
      $( Triple cross product partial ordering.  (Contributed by Scott Fenton,
         21-Aug-2024.) $)
      poxp3 $p |- ( ph -> U Po ( ( A X. B ) X. C ) ) $=
        ( vd ve wbr wrex wa wo va vb vc vf vg vh vi vj vk vl cxp cv wcel wn cop
        elxpxp wi w3a weq wne w3o neirr 3pm3.2ni intnan simp3 mto breq12 anidms
        wceq wb xpord3lem bitrdi mtbiri rexlimivw a1i rexlimivv sylbi 3anbi123i
        adantl 3reeanv rexbii 2rexbii bitr4i simprl1 simprr2 wpo adantr simpl11
        bitri simpr11 simpr21 potr syl13anc orc syl6 expd breq1 syl6bir simp3l1
        ad2antrl mpjaod breq2 equequ2 orbi12d syl5ibcom simpl12 simpr12 simpr22
        ad2antll simp3l2 simpl13 simpr13 simpr23 simp3l3 3jca simpr3r 3orbi123i
        df-ne 3ianor sylib con2bii equequ1 equcom ordir sylanbrc po2nr syl12anc
        imp orcnd ex orbi2i 3anim123d syl5bir jca 3adant3 3adant1 rexlimdvw a1d
        mt3d rexlimdvv anbi12d 3adant2 imbi12d syl5ibrcom syl5bi ispod ) AUAUBU
        CDEUKFUKZJUAULZUUGUMZUUHUUHJQZUNZAUUIUUHOULZPULZUOUDULZUOZVIZUDFRZPERZO
        DRZUUKOPUDUUHDEFUPZUUQUUKOPDEUUQUUKUQUULDUMZUUMEUMZSUUPUUKUDFUUPUUJUVAU
        VBUUNFUMZURZUVDUULUULGQOOUSTUUMUUMHQPPUSTUUNUUNIQUDUDUSTURZUULUULUTZUUM
        UUMUTZUUNUUNUTZVAZSZURZUVKUVJUVIUVEUVFUVGUVHUULVBUUMVBUUNVBVCVDUVDUVDUV
        JVEVFUUPUUJUUOUUOJQZUVKUUPUUJUVLVJUUHUUOUUHUUOJVGVHBCDEFGHIJPUDOPUDOKVK
        VLVMVNVOVPVQVSAUUIUBULZUUGUMZUCULZUUGUMZURZUUHUVMJQZUVMUVOJQZSZUUHUVOJQ
        ZUQZUVQUUPUVMUEULZUFULZUOUGULZUOZVIZUVOUHULZUIULZUOUJULZUOZVIZURZUJFRZU
        GFRUDFRZUIERZUFERPERZUHDRZUEDRODRZAUWBUVQUUSUWGUGFRZUFERZUEDRZUWLUJFRZU
        IERZUHDRZURZUWSUUIUUSUVNUXBUVPUXEUUTUEUFUGUVMDEFUPUHUIUJUVODEFUPVRUWSUU
        RUXAUXDURZUHDRZUEDRODRUXFUWRUXHOUEDDUWQUXGUHDUWQUUQUWTUXCURZUIERZUFERPE
        RUXGUWPUXJPUFEEUWOUXIUIEUUPUWGUWLUDUGUJFFFVTWAWBUUQUWTUXCPUFUIEEEVTWIWA
        WBUURUXAUXDOUEUHDDDVTWIWCAUWRUWBOUEDDAUWRUWBUQUVAUWCDUMZSAUWQUWBUHDAUWP
        UWBPUFEEAUWPUWBUQUVBUWDEUMZSAUWOUWBUIEAUWNUWBUDUGFFAUWNUWBUQUVCUWEFUMZS
        AUWMUWBUJFAUWBUWMUVDUXKUXLUXMURZUULUWCGQZOUEUSZTZUUMUWDHQZPUFUSZTZUUNUW
        EIQZUDUGUSZTZURUULUWCUTUUMUWDUTUUNUWEUTVAZSZURZUXNUWHDUMZUWIEUMZUWJFUMZ
        URZUWCUWHGQZUEUHUSZTZUWDUWIHQZUFUIUSZTZUWEUWJIQZUGUJUSZTZURZUWCUWHUTZUW
        DUWIUTZUWEUWJUTZVAZSZURZSZUVDUYJUULUWHGQZOUHUSZTZUUMUWIHQZPUIUSZTZUUNUW
        JIQZUDUJUSZTZURZUULUWHUTZUUMUWIUTZUUNUWJUTZVAZSZURZUQAVUGVVCAVUGSZUVDUY
        JVVBUVDUXNUYEVUFAWDUXNUYJVUEUYFAWEVVDVUQVVAVVDVUJVUMVUPVVDUYKVUJUYLVVDU
        XOUYKVUJUQZUXPVVDUXOUYKVUJVVDUXOUYKSZVUHVUJVVDDGWFZUVAUXKUYGVVFVUHUQAVV
        GVUGLWGZVUGUVAAUVAUVBUVCUXNUYEVUFWHVSVUGUXKAUXKUXLUXMUYJVUEUYFWJVSZVUGU
        YGAUYGUYHUYIUXNVUEUYFWKVSZDUULUWCUWHGWLWMVUHVUIWNZWOWPUXPVVEUQVVDUXPUYK
        VUHVUJUULUWCUWHGWQVVKWRVOUYFUXQAVUFUXQUXTUYCUYDUVDUXNWSWTZXAVVDUXQUYLVU
        JVVLUYLUXOVUHUXPVUIUWCUWHUULGXBUEUHOXCXDXEVUFUYMAUYFUYMUYPUYSVUDUXNUYJW
        SXIZXAVVDUYNVUMUYOVVDUXRUYNVUMUQZUXSVVDUXRUYNVUMVVDUXRUYNSZVUKVUMVVDEHW
        FZUVBUXLUYHVVOVUKUQAVVPVUGMWGZVUGUVBAUVAUVBUVCUXNUYEVUFXFVSVUGUXLAUXKUX
        LUXMUYJVUEUYFXGVSZVUGUYHAUYGUYHUYIUXNVUEUYFXHVSZEUUMUWDUWIHWLWMVUKVULWN
        ZWOWPUXSVVNUQVVDUXSUYNVUKVUMUUMUWDUWIHWQVVTWRVOUYFUXTAVUFUXQUXTUYCUYDUV
        DUXNXJWTZXAVVDUXTUYOVUMVWAUYOUXRVUKUXSVULUWDUWIUUMHXBUFUIPXCXDXEVUFUYPA
        UYFUYMUYPUYSVUDUXNUYJXJXIZXAVVDUYQVUPUYRVVDUYAUYQVUPUQZUYBVVDUYAUYQVUPV
        VDUYAUYQSZVUNVUPVVDFIWFZUVCUXMUYIVWDVUNUQAVWEVUGNWGZVUGUVCAUVAUVBUVCUXN
        UYEVUFXKVSVUGUXMAUXKUXLUXMUYJVUEUYFXLVSZVUGUYIAUYGUYHUYIUXNVUEUYFXMVSZF
        UUNUWEUWJIWLWMVUNVUOWNZWOWPUYBVWCUQVVDUYBUYQVUNVUPUUNUWEUWJIWQVWIWRVOUY
        FUYCAVUFUXQUXTUYCUYDUVDUXNXNWTZXAVVDUYCUYRVUPVWJUYRUYAVUNUYBVUOUWEUWJUU
        NIXBUGUJUDXCXDXEVUFUYSAUYFUYMUYPUYSVUDUXNUYJXNXIZXAXOVVDVVAUYLUYOUYRURZ
        VVDVUDVWLUNZVUGVUDAUYTVUDUXNUYJUYFXPVSVUDUYLUNZUYOUNZUYRUNZVAVWMVUAVWNV
        UBVWOVUCVWPUWCUWHXRUWDUWIXRUWEUWJXRXQUYLUYOUYRXSWCXTVVAUNVUIVULVUOURZVV
        DVWLVVAVWQVVAVUIUNZVULUNZVUOUNZVAVWQUNVURVWRVUSVWSVUTVWTUULUWHXRUUMUWIX
        RUUNUWJXRXQVUIVULVUOXSWCYAVVDVUIUYLVULUYOVUOUYRVVDVUIUYLVVDVUISZUWHUWCG
        QZUYKSZUYLVXAVXBUYLTZUYMVXCUYLTVVDVUIVXDVVDUXQVUIVXDVVLVUIUXOVXBUXPUYLU
        ULUWHUWCGWQVUIUXPUHUEUSUYLOUHUEYBUHUEYCVLXDXEYHVVDUYMVUIVVMWGVXBUYKUYLY
        DYEVVDVXCUNZVUIVVDVVGUYGUXKVXEVVHVVJVVIDUWHUWCGYFYGWGYIYJVVDVULUYOVVDVU
        LSZUWIUWDHQZUYNSZUYOVXFVXGUYOTZUYPVXHUYOTVVDVULVXIVVDUXTVULVXIVWAVULUXR
        VXGUXSUYOUUMUWIUWDHWQVULUXSUIUFUSUYOPUIUFYBUIUFYCVLXDXEYHVVDUYPVULVWBWG
        VXGUYNUYOYDYEVVDVXHUNZVULVVDVVPUYHUXLVXJVVQVVSVVREUWIUWDHYFYGWGYIYJVVDV
        UOUYRVVDVUOSZUWJUWEIQZUYQSZUYRVXKVXLUYRTZUYSVXMUYRTVXKVXLUJUGUSZTZVXNVV
        DVUOVXPVVDUYCVUOVXPVWJVUOUYAVXLUYBVXOUUNUWJUWEIWQUDUJUGYBXDXEYHVXOUYRVX
        LUJUGYCYKXTVVDUYSVUOVWKWGVXLUYQUYRYDYEVVDVXMUNZVUOVVDVWEUYIUXMVXQVWFVWH
        VWGFUWJUWEIYFYGWGYIYJYLYMYSYNXOYJUWMUVTVUGUWAVVCUWMUVRUYFUVSVUFUWMUVRUU
        OUWFJQZUYFUUPUWGUVRVXRVJUWLUUHUUOUVMUWFJVGYOBCDEFGHIJUFUGOPUDUEKVKVLUWM
        UVSUWFUWKJQZVUFUWGUWLUVSVXSVJUUPUVMUWFUVOUWKJVGYPBCDEFGHIJUIUJUEUFUGUHK
        VKVLUUAUWMUWAUUOUWKJQZVVCUUPUWLUWAVXTVJUWGUUHUUOUVOUWKJVGUUBBCDEFGHIJUI
        UJOPUDUHKVKVLUUCUUDYQYRYTYQYRYTYQYRYTUUEYHUUF $.
    $}

    ${
      $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a d $.
      $d A d $.  $d a e $.  $d a f $.  $d a g $.  $d A g $.  $d a p $.
      $d A p $.  $d a ph $.  $d a q $.  $d A q $.  $d a s $.  $d A s $.
      $d B a $.  $d B b $.  $d b c $.  $d B c $.  $d b d $.  $d b e $.
      $d B e $.  $d b f $.  $d b g $.  $d B g $.  $d b p $.  $d B p $.
      $d b ph $.  $d b q $.  $d B q $.  $d b s $.  $d B s $.  $d C a $.
      $d C b $.  $d C c $.  $d c d $.  $d c e $.  $d c f $.  $d C f $.
      $d c g $.  $d C g $.  $d c p $.  $d C p $.  $d c ph $.  $d c q $.
      $d C q $.  $d c s $.  $d C s $.  $d d g $.  $d d s $.  $d e g $.
      $d e s $.  $d f g $.  $d f s $.  $d g s $.  $d p q $.  $d p s $.
      $d ph s $.  $d q s $.  $d R a $.  $d R b $.  $d R c $.  $d R d $.
      $d R g $.  $d S b $.  $d S c $.  $d S e $.  $d S g $.  $d T c $.
      $d T f $.  $d T g $.  $d U a $.  $d U b $.  $d U c $.  $d U p $.
      $d U q $.  $d U s $.  $d A h $.  $d A i $.  $d B h $.  $d B i $.
      $d C h $.  $d C i $.  $d d q $.  $d e q $.  $d f q $.  $d g h $.
      $d g i $.  $d g q $.  $d h i $.  $d h q $.  $d i q $.  $d ph q $.
      $d R q $.  $d S q $.  $d T q $.  $d a h $.  $d a i $.  $d a x $.
      $d A x $.  $d a y $.  $d A y $.  $d b h $.  $d b i $.  $d b x $.
      $d B x $.  $d b y $.  $d B y $.  $d c h $.  $d c i $.  $d c x $.
      $d C x $.  $d c y $.  $d C y $.  $d d h $.  $d d i $.  $d e h $.
      $d e i $.  $d f h $.  $d f i $.  $d g ph $.  $d g x $.  $d g y $.
      $d h ph $.  $d h s $.  $d h x $.  $d h y $.  $d i ph $.  $d i s $.
      $d i x $.  $d i y $.  $d R h $.  $d R i $.  $d R x $.  $d R y $.
      $d S h $.  $d S i $.  $d S x $.  $d S y $.  $d T h $.  $d T i $.
      $d T x $.  $d T y $.  $d U g $.  $d U h $.  $d U i $.  $d x y $.
      frxp3.1 $e |- ( ph -> R Fr A ) $.
      frxp3.2 $e |- ( ph -> S Fr B ) $.
      frxp3.3 $e |- ( ph -> T Fr C ) $.
      $( Give foundedness over a triple cross product.  (Contributed by Scott
         Fenton, 21-Aug-2024.) $)
      frxp3 $p |- ( ph -> U Fr ( ( A X. B ) X. C ) ) $=
        ( vg c0 wa wn wi wcel vs vq vp vd va ve vb vf vc vh vi cxp wss wne wral
        cv wbr wrex wal wfr cdm dmss ad2antrl dmxpss sstrdi simprr wrel wceq wb
        syl simprl relxp relss mpisyl reldm0 necon3bid mpbid df-fr sylib adantr
        vex dmex sseq1 neeq1 anbi12d raleq rexeqbi1dv imbi12d spcv csn cima crn
        mp2and imassrn rnss rnxpss sstrid imadisj disjsn bitri necon2abii imaex
        cin ad2antrr cop elimasn ad3antrrr opex wel wex w3a weq wo adantl breq1
        notbid simplrr sylibr rspcdva simpr ioran sylanbrc intn3an3d pm2.61dane
        neneqd opeq1d eleq1d anbi2d orbi1d neirr orel1 olc impbii bitrdi mpbiri
        intnanrd ax-mp impcom opeldm rexlimddv simplrl elxpxpss sylan w3o df-ne
        con2bii biimpi intnand simplr opeq2 intn3an2d opeq1 3orass syl5bb eleq1
        intn3an1d xpord3lem com12 exlimdv exlimdvv mpd ralrimiva ralbidv rspcev
        breq2 syl2anc ex alrimiv ) AUAUPZDEULZFULZUMZUVIPUNZQZUBUPZUCUPZJUQZRZU
        BUVIUOZUCUVIURZSZUAUSUVKJUTAUWAUAAUVNUVTAUVNQZUDUPZUEUPZGUQZRZUDUVIVAZV
        AZUOZUVTUEUWHUWBUWHDUMZUWHPUNZUWIUEUWHURZUWBUWHUVJVAZDUWBUWGUVJUMZUWHUW
        MUMUWBUWGUVKVAZUVJUVLUWGUWOUMAUVMUVIUVKVBVCUVJFVDVEZUWGUVJVBVJDEVDVEUWB
        UWGPUNZUWKUWBUVMUWQAUVLUVMVFUWBUVIPUWGPUWBUVIVGZUVIPVHUWGPVHZVIUWBUVLUV
        KVGUWRAUVLUVMVKUVJFVLUVIUVKVMVNUVIVOVJVPVQUWBUWGPUWHPUWBUWGVGZUWSUWHPVH
        VIUWBUWNUVJVGUWTUWPDEVLUWGUVJVMVNUWGVOVJVPVQUWBOUPZDUMZUXAPUNZQZUWFUDUX
        AUOZUEUXAURZSZOUSZUWJUWKQZUWLSZAUXHUVNADGUTUXHLOUEUDDGVRVSVTUXGUXJOUWHU
        WGUVIUAWAZWBZWBUXAUWHVHZUXDUXIUXFUWLUXMUXBUWJUXCUWKUXAUWHDWCUXAUWHPWDWE
        UXEUWIUEUXAUWHUWFUDUXAUWHWFWGWHWIVJWMUWBUWDUWHTZUWIQZQZUFUPZUGUPZHUQZRZ
        UFUWGUWDWJZWKZUOZUVTUGUYBUXPUYBEUMZUYBPUNZUYCUGUYBURZUXPUYBUWGWLZEUWGUY
        AWNUWBUYGEUMUXOUWBUYGUVJWLZEUWBUWNUYGUYHUMUWPUWGUVJWOVJDEWPVEVTWQUXPUXN
        UYEUWBUXNUWIVKUXNUYBPUYBPVHUWHUYAXCPVHUXNRUWGUYAWRUWHUWDWSWTXAVSAUYDUYE
        QZUYFSZUVNUXOAUXAEUMZUXCQZUXTUFUXAUOZUGUXAURZSZOUSZUYJAEHUTUYPMOUGUFEHV
        RVSUYOUYJOUYBUWGUYAUXLXBUXAUYBVHZUYLUYIUYNUYFUYQUYKUYDUXCUYEUXAUYBEWCUX
        AUYBPWDWEUYMUYCUGUXAUYBUXTUFUXAUYBWFWGWHWIVJXDWMUXPUXRUYBTZUYCQZQZUHUPZ
        UIUPZIUQZRZUHUVIUWDUXRXEZWJZWKZUOZUVTUIVUGUYTVUGFUMZVUGPUNZVUHUIVUGURZU
        WBVUIUXOUYSUWBVUGUVIWLZFUVIVUFWNUWBVULUVKWLZFUVLVULVUMUMAUVMUVIUVKWOVCU
        VJFWPVEWQXDUYTVUEUWGTZVUJUYTUYRVUNUXPUYRUYCVKUWGUWDUXRUEWAZUGWAXFVSVUNV
        UGPVUGPVHUWGVUFXCPVHVUNRUVIVUFWRUWGVUEWSWTXAVSAVUIVUJQZVUKSZUVNUXOUYSAU
        XAFUMZUXCQZVUDUHUXAUOZUIUXAURZSZOUSZVUQAFIUTVVCNOUIUHFIVRVSVVBVUQOVUGUV
        IVUFUXKXBUXAVUGVHZVUSVUPVVAVUKVVDVURVUIUXCVUJUXAVUGFWCUXAVUGPWDWEVUTVUH
        UIUXAVUGVUDUHUXAVUGWFWGWHWIVJXGWMUYTVUBVUGTZVUHQZQZVUEVUBXEZUVITZUVOVVH
        JUQZRZUBUVIUOZUVTVVGVVEVVIUYTVVEVUHVKUVIVUEVUBUWDUXRXHZUIWAXFVSVVGVVKUB
        UVIVVGUBUAXIZQZUVOUXAUJUPZXEZUKUPZXEZVHZUKXJZUJXJOXJZVVKVVGUVLVVNVWBUXP
        UVLUYSVVFAUVLUVMUXOUUAXDOUJUKUVODEFUVIUUBUUCVVOVWAVVKOUJVVOVVTVVKUKVVTV
        VOVVKVVTVVOVVKSVVGVVSUVITZQZUXADTVVPETVVRFTXKZUWDDTUXRETVUBFTXKZUXAUWDG
        UQZOUEXLZXMZVVPUXRHUQZUJUGXLZXMZVVRVUBIUQZUKUIXLZXMZXKZUXAUWDUNZVVPUXRU
        NZVVRVUBUNZUUDZQZXKZRZSVWDVXAVWEVWFVWDVXARZUXAUWDVWHVWDVXDVWHVWDVXDSVVG
        UWDVVPXEZVVRXEZUVITZQZVWPVWRVWSXMZQZRZSZVXHVXKVVPUXRVWKVXHVXKVWKVXLVVGV
        UEVVRXEZUVITZQZVWPVWSQZRZSVXOVXQVVRVUBVXOVWNQVWSVWPVWNVWSRZVXOVWNVXRVWS
        VWNVVRVUBUUEUUFUUGXNUUHVXOVWSQZVWPVWSVXSVWOVWIVWLVXSVWMRZVWNRVWORVXSVUD
        VXTUHVUGVVRUHUKXLVUCVWMVUAVVRVUBIXOXPVXOVUHVWSUYTVVEVUHVXNXQVTVXSVXNVVR
        VUGTVVGVXNVWSUUIUVIVUEVVRVVMUKWAZXFXRXSVXSVVRVUBVXOVWSXTYEVWMVWNYAYBYCY
        PYDVWKVXHVXOVXKVXQVWKVXGVXNVVGVWKVXFVXMUVIVWKVXEVUEVVRVVPUXRUWDUUJYFYGY
        HVWKVXJVXPVWKVXIVWSVWPVWKVXIUXRUXRUNZVWSXMZVWSVWKVWRVYBVWSVVPUXRUXRWDYI
        VYCVWSVYBRVYCVWSSUXRYJVYBVWSYKYQVWSVYBYLYMYNYHXPWHYOYRVXHVWRQZVWPVXIVYD
        VWLVWIVWOVYDVWJRZVWKRVWLRVYDUXTVYEUFUYBVVPUFUJXLUXSVWJUXQVVPUXRHXOXPVVG
        UYCVXGVWRUXPUYRUYCVVFXQXDVYDVXEUWGTZVVPUYBTVXHVYFVWRVXGVYFVVGVXEVVRUVIU
        WDVVPXHVYAYSXNVTUWGUWDVVPVUOUJWAZXFXRXSVYDVVPUXRVXHVWRXTYEVWJVWKYAYBUUK
        YPYDVWHVWDVXHVXDVXKVWHVWCVXGVVGVWHVVSVXFUVIVWHVVQVXEVVRUXAUWDVVPUULYFYG
        YHVWHVXAVXJVWHVWTVXIVWPVWHVWTUWDUWDUNZVXIXMZVXIVWTVWQVXIXMVWHVYIVWQVWRV
        WSUUMVWHVWQVYHVXIUXAUWDUWDWDYIUUNVYIVXIVYHRVYIVXISUWDYJVYHVXIYKYQVXIVYH
        YLYMYNYHXPWHYOYRVWDVWQQZVWPVWTVYJVWIVWLVWOVYJVWGRZVWHRVWIRVYJUWFVYKUDUW
        HUXAUDOXLUWEVWGUWCUXAUWDGXOXPUYTUWIVVFVWCVWQUWBUXNUWIUYSXQXGVWDUXAUWHTZ
        VWQVWDVVQUWGTZVYLVWCVYMVVGVVQVVRUVIUXAVVPXHVYAYSXNUXAVVPUWGOWAVYGYSVJVT
        XSVYJUXAUWDVWDVWQXTYEVWGVWHYAYBUUPYPYDYCVVTVVOVWDVVKVXCVVTVVNVWCVVGUVOV
        VSUVIUUOYHVVTVVJVXBVVTVVJVVSVVHJUQVXBUVOVVSVVHJXOBCDEFGHIJUGUIOUJUKUEKU
        UQYNXPWHYOUURUUSUUTUVAUVBUVSVVLUCVVHUVIUVPVVHVHZUVRVVKUBUVIVYNUVQVVJUVP
        VVHUVOJUVEXPUVCUVDUVFYTYTYTUVGUVHUAUCUBUVKJVRXR $.
    $}

    ${
      $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a d $.
      $d A d $.  $d a e $.  $d A e $.  $d a f $.  $d A f $.  $d a q $.
      $d A q $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.  $d B a $.
      $d B b $.  $d b c $.  $d B c $.  $d b d $.  $d B d $.  $d b e $.
      $d B e $.  $d b f $.  $d B f $.  $d b q $.  $d B q $.  $d b x $.
      $d B x $.  $d b y $.  $d B y $.  $d C a $.  $d C b $.  $d C c $.
      $d c d $.  $d C d $.  $d c e $.  $d C e $.  $d c f $.  $d C f $.
      $d c q $.  $d C q $.  $d c x $.  $d C x $.  $d c y $.  $d C y $.
      $d d e $.  $d d f $.  $d d q $.  $d d x $.  $d d y $.  $d e f $.
      $d e q $.  $d e x $.  $d e y $.  $d f q $.  $d f x $.  $d f y $.
      $d R a $.  $d R b $.  $d R c $.  $d R d $.  $d R e $.  $d R f $.
      $d R q $.  $d R x $.  $d R y $.  $d S a $.  $d S b $.  $d S c $.
      $d S d $.  $d S e $.  $d S f $.  $d S q $.  $d S x $.  $d S y $.
      $d T a $.  $d T b $.  $d T c $.  $d T d $.  $d T e $.  $d T f $.
      $d T q $.  $d T x $.  $d T y $.  $d U a $.  $d U b $.  $d U c $.
      $d U d $.  $d U e $.  $d U f $.  $d U q $.  $d X a $.  $d X b $.
      $d X c $.  $d x y $.  $d Y b $.  $d Y c $.  $d Z c $.
      $( Calculate the predecsessor class for the triple order.  (Contributed
         by Scott Fenton, 21-Aug-2024.) $)
      xpord3pred $p |- ( ( X e. A /\ Y e. B /\ Z e. C ) ->
       Pred ( U , ( ( A X. B ) X. C ) , <. <. X , Y >. , Z >. ) =
       ( ( ( ( Pred ( R , A , X ) u. { X } ) X.
             ( Pred ( S , B , Y ) u. { Y } ) ) X.
             ( Pred ( T , C , Z ) u. { Z } ) ) \
             { <. <. X , Y >. , Z >. } ) ) $=
        ( cxp cop cpred csn wceq wcel wa va vb vc vq vd ve vf cv cun cdif opeq1
        opeq1d predeq3 syl sneq uneq12d xpeq1d sneqd difeq12d eqeq12d opeq2 w3a
        xpeq2d cin wbr wrex wb elxpxp wi df-3an weq wo wne wn eldif opelxp elun
        w3o cvv vex elpred velsn orbi12i bitri anbi12i df-ne otthne bitr3i opex
        elv elsn simpr1 biantrurd orbi1d simpr2 simpr3 3anbi123d bitrdi bitr4id
        xchnxbir anbi1d pm3.22 bitr2d syl5bb breq1 xpord3lem bibi12d syl5ibrcom
        eleq1 sylan2br anassrs rexlimdva rexlimdvva syl5bi pm5.32d elin 3bitr4g
        ax-mp eqrdv wss predss a1i snssi unssd 3ad2ant1 3ad2ant2 xpss12 syl2anc
        3ad2ant3 ssdifssd sseqin2 sylib eqtrd vtocl3ga ) CDNZENZIUAUHZUBUHZOZUC
        UHZOZPZCFYQPZYQQZUIZDGYRPZYRQZUIZNZEHYTPZYTQZUIZNZUUAQZUJZRYPIJYROZYTOZ
        PZCFJPZJQZUIZUUHNZUULNZUUQQZUJZRYPIJKOZYTOZPZUVADGKPZKQZUIZNZUULNZUVGQZ
        UJZRYPIUVFLOZPZUVLEHLPZLQZUIZNZUVPQZUJZRUAUBUCJKLCDEYQJRZUUBUURUUOUVEUW
        DUUAUUQRUUBUURRUWDYSUUPYTYQJYRUKULZYPIUUAUUQUMUNUWDUUMUVCUUNUVDUWDUUIUV
        BUULUWDUUEUVAUUHUWDUUCUUSUUDUUTCFYQJUMYQJUOUPUQUQUWDUUAUUQUWEURUSUTYRKR
        ZUURUVHUVEUVOUWFUUQUVGRUURUVHRUWFUUPUVFYTYRKJVAULZYPIUUQUVGUMUNUWFUVCUV
        MUVDUVNUWFUVBUVLUULUWFUUHUVKUVAUWFUUFUVIUUGUVJDGYRKUMYRKUOUPVCUQUWFUUQU
        VGUWGURUSUTYTLRZUVHUVQUVOUWCUWHUVGUVPRUVHUVQRYTLUVFVAZYPIUVGUVPUMUNUWHU
        VMUWAUVNUWBUWHUULUVTUVLUWHUUJUVRUUKUVSEHYTLUMYTLUOUPVCUWHUVGUVPUWIURUSU
        TYQCSZYRDSZYTESZVBZUUBYPUUOVDZUUOUWMUDUUBUWNUWMUDUHZYPSZUWOUUAIVEZTZUWP
        UWOUUOSZTUWOUUBSZUWOUWNSUWMUWPUWQUWSUWPUWOUEUHZUFUHZOZUGUHZOZRZUGEVFZUF
        DVFUECVFUWMUWQUWSVGZUEUFUGUWOCDEVHUWMUXGUXHUEUFCDUWMUXACSZUXBDSZTZTUXFU
        XHUGEUWMUXKUXDESZUXFUXHVIZUXKUXLTUWMUXIUXJUXLVBZUXMUXIUXJUXLVJUWMUXNTZU
        XHUXFUXNUWMUXAYQFVEZUEUAVKZVLZUXBYRGVEZUFUBVKZVLZUXDYTHVEZUGUCVKZVLZVBZ
        UXAYQVMUXBYRVMUXDYTVMVRZTZVBZUXEUUOSZVGUYHUXNUWMTZUYGTZUXOUYIUXNUWMUYGV
        JUXOUYIUYGUYKUXOUYIUXIUXPTZUXQVLZUXJUXSTZUXTVLZTZUXLUYBTZUYCVLZTZUYFTZU
        YGUYIUXEUUMSZUXEUUNSZVNZTUYTUXEUUMUUNVOVUAUYSVUCUYFVUAUXCUUISZUXDUULSZT
        UYSUXCUXDUUIUULVPVUDUYPVUEUYRVUDUXAUUESZUXBUUHSZTUYPUXAUXBUUEUUHVPVUFUY
        MVUGUYOVUFUXAUUCSZUXAUUDSZVLUYMUXAUUCUUDVQVUHUYLVUIUXQVUHUYLVGUACVSFYQU
        XAUEVTZWAWJUEYQWBWCWDVUGUXBUUFSZUXBUUGSZVLUYOUXBUUFUUGVQVUKUYNVULUXTVUK
        UYNVGUBDVSGYRUXBUFVTZWAWJUFYRWBWCWDWEWDVUEUXDUUJSZUXDUUKSZVLUYRUXDUUJUU
        KVQVUNUYQVUOUYCVUNUYQVGUCEVSHYTUXDUGVTZWAWJUGYTWBWCWDWEWDUXEUUARZUYFVUB
        VUQVNUXEUUAVMUYFUXEUUAWFUXAUXBUXDYQYRYTVUJVUMVUPWGWHUXEUUAUXCUXDWIWKWTW
        EWDUXOUYEUYSUYFUXOUYEUYMUYOUYRVBUYSUXOUXRUYMUYAUYOUYDUYRUXOUXPUYLUXQUXO
        UXIUXPUWMUXIUXJUXLWLWMWNUXOUXSUYNUXTUXOUXJUXSUWMUXIUXJUXLWOWMWNUXOUYBUY
        QUYCUXOUXLUYBUWMUXIUXJUXLWPWMWNWQUYMUYOUYRVJWRXAWSUXOUYJUYGUWMUXNXBWMXC
        XDUXFUWQUYHUWSUYIUXFUWQUXEUUAIVEUYHUWOUXEUUAIXEABCDEFGHIUBUCUEUFUGUAMXF
        WRUWOUXEUUOXIXGXHXJXKXLXMXNXOUUAVSSUWTUWRVGYSYTWIYPVSIUUAUWOUDVTWAXRUWO
        YPUUOXPXQXSUWMUUOYPXTUWNUUORUWMUUMYPUUNUWMUUIYOXTZUULEXTZUUMYPXTUWMUUEC
        XTZUUHDXTZVURUWJUWKVUTUWLUWJUUCUUDCUUCCXTUWJCFYQYAYBYQCYCYDYEUWKUWJVVAU
        WLUWKUUFUUGDUUFDXTUWKDGYRYAYBYRDYCYDYFUUECUUHDYGYHUWLUWJVUSUWKUWLUUJUUK
        EUUJEXTUWLEHYTYAYBYTEYCYDYIUUIYOUULEYGYHYJUUOYPYKYLYMYN $.
    $}

    ${
      $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a p $.
      $d A p $.  $d a ph $.  $d A x $.  $d A y $.  $d B a $.  $d B b $.
      $d b c $.  $d B c $.  $d b p $.  $d B p $.  $d b ph $.  $d B x $.
      $d B y $.  $d C a $.  $d C b $.  $d C c $.  $d c p $.  $d C p $.
      $d c ph $.  $d C x $.  $d C y $.  $d p ph $.  $d R x $.  $d R y $.
      $d S x $.  $d S y $.  $d T x $.  $d T y $.  $d U a $.  $d U b $.
      $d U c $.  $d U p $.  $d x y $.
      sexp3.1 $e |- ( ph -> R Se A ) $.
      sexp3.2 $e |- ( ph -> S Se B ) $.
      sexp3.3 $e |- ( ph -> T Se C ) $.
      $( Show that the triple order is set-like.  (Contributed by Scott Fenton,
         21-Aug-2024.) $)
      sexp3 $p |- ( ph -> U Se ( ( A X. B ) X. C ) ) $=
        ( vp va vb cpred cvv wcel vc cxp cv wral wse cop wceq wrex elxpxp wa wi
        w3a df-3an csn cdif xpord3pred adantl simpr1 adantr setlikespec syl2anc
        cun a1i unexd simpr2 xpexd simpr3 difexd eqeltrd predeq3 eleq1d biimprd
        snex com12 sylan2br anassrs rexlimdva rexlimdvva syl5bi ralrimiv sylibr
        syl dfse3 ) ADEUBFUBZJOUCZRZSTZOWDUDWDJUEAWGOWDWEWDTWEPUCZQUCZUFUAUCZUF
        ZUGZUAFUHZQEUHPDUHAWGPQUAWEDEFUIAWMWGPQDEAWHDTZWIETZUJZUJWLWGUAFAWPWJFT
        ZWLWGUKZWPWQUJAWNWOWQULZWRWNWOWQUMAWSUJZWDJWKRZSTZWRWTXADGWHRZWHUNZVBZE
        HWIRZWIUNZVBZUBZFIWJRZWJUNZVBZUBZWKUNZUOZSWSXAXOUGABCDEFGHIJWHWIWJKUPUQ
        WTXMXNSWTXIXLSSWTXEXHSSWTXCXDSSWTWNDGUEZXCSTAWNWOWQURAXPWSLUSDGWHUTVAXD
        STWTWHVMVCVDWTXFXGSSWTWOEHUEZXFSTAWNWOWQVEAXQWSMUSEHWIUTVAXGSTWTWIVMVCV
        DVFWTXJXKSSWTWQFIUEZXJSTAWNWOWQVGAXRWSNUSFIWJUTVAXKSTWTWJVMVCVDVFVHVIWL
        XBWGWLWGXBWLWFXASWDJWEWKVJVKVLVNWBVOVPVQVRVSVTOWDJWCWA $.
    $}

    ${
      $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a d $.
      $d A d $.  $d a e $.  $d A e $.  $d a f $.  $d A f $.  $d a ps $.
      $d a rh $.  $d a th $.  $d A x $.  $d A y $.  $d B a $.  $d B b $.
      $d b c $.  $d B c $.  $d b ch $.  $d b d $.  $d B d $.  $d b e $.
      $d B e $.  $d b f $.  $d B f $.  $d b mu $.  $d b th $.  $d B x $.
      $d B y $.  $d C a $.  $d C b $.  $d C c $.  $d c d $.  $d C d $.
      $d c e $.  $d C e $.  $d c f $.  $d C f $.  $d c la $.  $d c th $.
      $d C x $.  $d C y $.  $d ch f $.  $d d e $.  $d d f $.  $d d ph $.
      $d d ta $.  $d e et $.  $d e f $.  $d e ps $.  $d e ze $.  $d f si $.
      $d R d $.  $d R e $.  $d R f $.  $d R x $.  $d R y $.  $d S d $.
      $d S e $.  $d S f $.  $d S x $.  $d S y $.  $d T d $.  $d T e $.
      $d T f $.  $d T x $.  $d T y $.  $d U a $.  $d U b $.  $d U c $.
      $d U d $.  $d U e $.  $d U f $.  $d X a $.  $d X b $.  $d X c $.
      $d x y $.  $d Y b $.  $d Y c $.  $d Z c $.
      xpord3ind.1 $e |- R Fr A $.
      xpord3ind.2 $e |- R Po A $.
      xpord3ind.3 $e |- R Se A $.
      xpord3ind.4 $e |- S Fr B $.
      xpord3ind.5 $e |- S Po B $.
      xpord3ind.6 $e |- S Se B $.
      xpord3ind.7 $e |- T Fr C $.
      xpord3ind.8 $e |- T Po C $.
      xpord3ind.9 $e |- T Se C $.
      xpord3ind.10 $e |- ( a = d -> ( ph <-> ps ) ) $.
      xpord3ind.11 $e |- ( b = e -> ( ps <-> ch ) ) $.
      xpord3ind.12 $e |- ( c = f -> ( ch <-> th ) ) $.
      xpord3ind.13 $e |- ( a = d -> ( ta <-> th ) ) $.
      xpord3ind.14 $e |- ( b = e -> ( et <-> ta ) ) $.
      xpord3ind.15 $e |- ( b = e -> ( ze <-> th ) ) $.
      xpord3ind.16 $e |- ( c = f -> ( si <-> ta ) ) $.
      xpord3ind.17 $e |- ( a = X -> ( ph <-> rh ) ) $.
      xpord3ind.18 $e |- ( b = Y -> ( rh <-> mu ) ) $.
      xpord3ind.19 $e |- ( c = Z -> ( mu <-> la ) ) $.
      xpord3ind.i $e |- ( ( a e. A /\ b e. B /\ c e. C ) ->
       ( ( ( A. d e. Pred ( R , A , a ) A. e e. Pred ( S , B , b )
             A. f e. Pred ( T , C , c ) th /\
             A. d e. Pred ( R , A , a ) A. e e. Pred ( S , B , b ) ch /\
             A. d e. Pred ( R , A , a ) A. f e. Pred ( T , C , c ) ze )
             /\
             ( A. d e. Pred ( R , A , a ) ps /\
               A. e e. Pred ( S , B , b ) A. f e. Pred ( T , C , c ) ta /\
               A. e e. Pred ( S , B , b ) si ) /\
             A. f e. Pred ( T , C , c ) et )
           -> ph ) ) $.
      $( Induction over the triple cross product ordering.  Note that the
         substitutions cover all possible cases of membership in the
         predecessor class.  (Contributed by Scott Fenton, 4-Sep-2024.) $)
      xpord3ind $p |- ( ( X e. A /\ Y e. B /\ Z e. C ) -> la ) $=
        ( cxp wfr wpo wse w3a wcel wtru a1i frxp3 mptru poxp3 sexp3 3pm3.2i cop
        cv cpred wal wne w3o csn cun wral cdif xpord3pred eleq2d imbi1d eldifsn
        wi ot2elxp vex otthne anbi12i bitri imbi1i impexp bitr2i bitr4di albidv
        wa 2albidv wss ssun1 ssralv ax-mp ralimi syl wn predpoirr eleq1w mtbiri
        weq necon2ai 3mix3d pm2.27 ralimia ssun2 biidd 3orbi123d bicomd equcoms
        neeq1 wb imbi12d ralsn sylib 3mix2d ralbidv ralbii 3jca 2ralbidv equcom
        r3al 2ralimi 3syl 2ralbii bicom 3imtr3i 3mix1d syl5 sylbid frpoins3xp3g
        mpan ) NOVKPVKZTVLZUUMTVMZUUMTVNZVOUCNVPUDOVPUEPVPVOKUUNUUOUUPUUNVQLMNO
        PQRSTUJNQVLVQUKVRORVLVQUNVRPSVLVQUQVRVSVTUUOVQLMNOPQRSTUJNQVMZVQULVRORV
        MZVQUOVRPSVMZVQURVRWAVTUUPVQLMNOPQRSTUJNQVNVQUMVRORVNVQUPVRPSVNVQUSVRWB
        VTWCABCDIJKUFUGUHUIUBUANOPTUCUDUEUFWEZNVPUGWEZOVPUHWEZPVPVOZUIWEZUAWEZW
        DUBWEZWDZUUMTUUTUVAWDUVBWDZWFZVPZDWRZUBWGZUAWGUIWGZUVDUUTWHZUVEUVAWHZUV
        FUVBWHZWIZDWRZUBPSUVBWFZUVBWJZWKZWLZUAORUVAWFZUVAWJZWKZWLZUINQUUTWFZUUT
        WJZWKZWLZAUVCUVMUVDUWIVPUVEUWEVPUVFUWAVPVOZUVRWRZUBWGZUAWGUIWGUWJUVCUVL
        UWMUIUAUVCUVKUWLUBUVCUVKUVGUWIUWEVKUWAVKZUVHWJWMZVPZDWRZUWLUVCUVJUWPDUV
        CUVIUWOUVGLMNOPQRSTUUTUVAUVBUJWNWOWPUWQUWKUVQXIZDWRUWLUWPUWRDUWPUVGUWNV
        PZUVGUVHWHZXIUWRUVGUWNUVHWQUWSUWKUWTUVQUVDUVEUVFUWIUWEUWAWSUVDUVEUVFUUT
        UVAUVBUIWTUAWTUBWTXAXBXCXDUWKUVQDXEXFXGXHXJUVRUIUAUBUWIUWEUWAUUBXGUWJDU
        BUVSWLZUAUWCWLUIUWGWLZCUAUWCWLZUIUWGWLZGUBUVSWLZUIUWGWLZVOZBUIUWGWLZEUB
        UVSWLZUAUWCWLZHUAUWCWLZVOZFUBUVSWLZVOUVCAUWJUXGUXLUXMUWJUXBUXDUXFUWJUWF
        UIUWGWLZUVRUBUVSWLZUAUWCWLZUIUWGWLUXBUWGUWIXKUWJUXNWRUWGUWHXLUWFUIUWGUW
        IXMXNZUWFUXPUIUWGUWFUWBUAUWCWLZUXPUWCUWEXKUWFUXRWRUWCUWDXLUWBUAUWCUWEXM
        XNZUWBUXOUAUWCUVSUWAXKUWBUXOWRUVSUVTXLUVRUBUVSUWAXMXNZXOXPZXOUXOUXAUIUA
        UWGUWCUVRDUBUVSUVFUVSVPZUVQUVRDWRUYBUVPUVNUVOUYBUVFUVBUBUHYAZUYBUVBUVSV
        PZUUSUYDXQURPSUVBXRXNUBUHUVSXSXTYBZYCUVQDYDXPYEUUCUUDUWJUVNUVOUVBUVBWHZ
        WIZCWRZUAUWCWLZUIUWGWLZUXDUWJUVRUBUVTWLZUAUWCWLZUIUWGWLZUYJUWJUXNUYMUXQ
        UWFUYLUIUWGUWFUXRUYLUXSUWBUYKUAUWCUVTUWAXKUWBUYKWRUVTUVSYFUVRUBUVTUWAXM
        XNZXOXPZXOXPUYKUYHUIUAUWGUWCUVRUYHUBUVBUHWTZUYCUVQUYGDCUYCUVNUVNUVOUVOU
        VPUYFUYCUVNYGUYCUVOYGZUVFUVBUVBYKZYHDCYLUHUBUHUBYAZCDVBYIYJYMYNZUUEYOUY
        IUXCUIUWGUYHCUAUWCUVEUWCVPZUYGUYHCWRVUAUVOUVNUYFVUAUVEUVAUAUGYAZVUAUVAU
        WCVPZUURVUCXQUOORUVAXRXNUAUGUWCXSXTYBZYPUYGCYDXPYEXOXPUWJUVNUVAUVAWHZUV
        PWIZGWRZUBUVSWLZUIUWGWLZUXFUWJUXOUAUWDWLZUIUWGWLZVUIUWJUXNVUKUXQUWFVUJU
        IUWGUWFUWBUAUWDWLZVUJUWDUWEXKUWFVULWRUWDUWCYFUWBUAUWDUWEXMXNZUWBUXOUAUW
        DUXTXOXPZXOXPVUJVUHUIUWGUXOVUHUAUVAUGWTZVUBUVRVUGUBUVSVUBUVQVUFDGVUBUVN
        UVNUVOVUEUVPUVPVUBUVNYGZUVEUVAUVAYKZVUBUVPYGZYHUGUAYAZGDYLVUBDGYLVEUGUA
        UUAGDUUFUUGYMYQYNYRYOVUHUXEUIUWGVUGGUBUVSUYBVUFVUGGWRUYBUVPUVNVUEUYEYCV
        UFGYDXPYEXOXPYSUWJUXHUXJUXKUWJUVNVUEUYFWIZBWRZUIUWGWLZUXHUWJUYKUAUWDWLZ
        UIUWGWLZVVBUWJUXNVVDUXQUWFVVCUIUWGUWFVULVVCVUMUWBUYKUAUWDUYNXOXPXOXPVVC
        VVAUIUWGVVCUYHUAUWDWLVVAUYKUYHUAUWDUYTYRUYHVVAUAUVAVUOVUBUYGVUTCBVUBUVN
        UVNUVOVUEUYFUYFVUPVUQVUBUYFYGYHCBYLUGUAVUSBCVAYIYJYMYNXCYRYOVVABUIUWGUV
        DUWGVPZVUTVVABWRVVEUVNVUEUYFVVEUVDUUTUIUFYAZVVEUUTUWGVPZUUQVVGXQULNQUUT
        XRXNUIUFUWGXSXTYBUUHVUTBYDXPYEXPUWJUUTUUTWHZUVOUVPWIZEWRZUBUVSWLZUAUWCW
        LZUXJUWJUXPUIUWHWLZVVLUWJUWFUIUWHWLZVVMUWHUWIXKUWJVVNWRUWHUWGYFUWFUIUWH
        UWIXMXNZUWFUXPUIUWHUYAXOXPUXPVVLUIUUTUFWTZVVFUVRVVJUAUBUWCUVSVVFUVQVVID
        EVVFUVNVVHUVOUVOUVPUVPUVDUUTUUTYKVVFUVOYGVVFUVPYGYHVVFEDEDYLUFUIVCYJYIY
        MZYTYNYOVVKUXIUAUWCVVJEUBUVSUYBVVIVVJEWRUYBUVPVVHUVOUYEYCVVIEYDXPYEXOXP
        UWJVVHUVOUYFWIZHWRZUAUWCWLZUXKUWJUYLUIUWHWLZVVTUWJVVNVWAVVOUWFUYLUIUWHU
        YOXOXPVWAVVJUBUVTWLZUAUWCWLZVVTUYLVWCUIUUTVVPVVFUVRVVJUAUBUWCUVTVVQYTYN
        VWBVVSUAUWCVVJVVSUBUVBUYPUYCVVIVVREHUYCVVHVVHUVOUVOUVPUYFUYCVVHYGUYQUYR
        YHEHYLUHUBUYSHEVFYIYJYMYNYRXCYOVVSHUAUWCVUAVVRVVSHWRVUAUVOVVHUYFVUDYPVV
        RHYDXPYEXPYSUWJVVHVUEUVPWIZFWRZUBUVSWLZUXMUWJVUJUIUWHWLZVWFUWJVVNVWGVVO
        UWFVUJUIUWHVUNXOXPVWGVVKUAUWDWLZVWFVUJVWHUIUUTVVPVVFUVRVVJUAUBUWDUVSVVQ
        YTYNVVKVWFUAUVAVUOVUBVVJVWEUBUVSVUBVVIVWDEFVUBVVHVVHUVOVUEUVPUVPVUBVVHY
        GVUQVURYHVUBFEFEYLUGUAVDYJYIYMYQYNXCYOVWEFUBUVSUYBVWDVWEFWRUYBUVPVVHVUE
        UYEYCVWDFYDXPYEXPYSVJUUIUUJUTVAVBVGVHVIUUKUUL $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ordering Ordinal Sequences
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A f x $.  $d G f x $.  $d X x $.
    orderseqlem.1 $e |- F = { f | E. x e. On f : x --> A } $.
    $( Lemma for ~ poseq and ~ soseq .  The function value of a sequene is
       either in ` A ` or null.  (Contributed by Scott Fenton, 8-Jun-2011.) $)
    orderseqlem $p |- ( G e. F -> ( G ` X ) e. ( A u. { (/) } ) ) $=
      ( wcel cv wf con0 wrex cfv c0 csn cun wceq feq1 wss syl rexbidv ibi unss1
      elab2g crn frn fvrn0 ssel mpisyl rexlimivw ) EDHZAIZBEJZAKLZFEMZBNOZPZHZU
      KUNULBCIZJZAKLUNCEDDUSEQUTUMAKULBUSERUAGUDUBUMURAKUMEUEZUPPZUQSZUOVBHURUM
      VABSVCULBEUFVABUPUCTEFUGVBUQUOUHUIUJT $.
  $}

  ${
    $d A b f x $.  $d a b c f g t w x y z $.  $d F a b c f g t w x z $.
    $d R f g t w x z $.  $d S a b c $.
    poseq.1 $e |- R Po ( A u. { (/) } ) $.
    poseq.2 $e |- F = { f | E. x e. On f : x --> A } $.
    poseq.3 $e |- S = { <. f , g >. | ( ( f e. F /\ g e. F ) /\
                        E. x e. On ( A. y e. x ( f ` y ) = ( g ` y ) /\
                           ( f ` x ) R ( g ` x ) ) ) } $.
    $( A partial ordering of sequences of ordinals.  (Contributed by Scott
       Fenton, 8-Jun-2011.) $)
    poseq $p |- S Po F $=
      ( vz vw wbr wa wral cfv con0 wrex anbi12d va vb vc vt wpo cv wn wcel wceq
      wi w3a c0 csn cun cab feq2 cbvrexvw abbii eqtri orderseqlem poirr sylancr
      wf intnand adantr nrexdv imnan vex weq eleq1w anbi1d fveq1 eqeq1d ralbidv
      mpbi breq1d rexbidv anbi2d eqeq2d breq2d mtbir raleq fveq2 breq12d syl5bb
      brab simplll simplrr an4 2rexbii reeanv bitri word eloni ordtri3or syl2an
      wel w3o simp1l wss onelss imp adantll ssralv anim2d r19.26 syl6ibr ralimi
      eqtr syl adantrd 3impia eqeq12d rspcv breq2 biimpd com3l ad2ant2lr impcom
      syl6 3adant1 rspcev syl12anc 3exp ad2antrr ad2antlr ad2antll 3jca anim12i
      potr anassrs sylan2 exp32 imbi1d syl5ibcom simp1r adantlr anim1d sylbir
      a1d breq1 biimprd ad2ant2rl 3jaod mpd rexlimivv jca31 an4s syl2anb sylibr
      pm3.2i a1i rgen3 df-po mpbir ) HEUEUAUFZUUPENZUGZUUPUBUFZENZUUSUCUFZENZOZ
      UUPUVAENZUJZOZUCHPUBHPUAHPUVFUAUBUCHHHUVFUUPHUHZUUSHUHZUVAHUHZUKUURUVEUUQ
      UVGUVGOZBUFZUUPQZUVLUIZBAUFZPZUVNUUPQZUVPDNZOZARSZOZUVJUVSUGZUJUVTUGUVGUW
      AUVGUVGUVRARUVGUVRUGUVNRUHUVGUVQUVOUVGCULUMUNZDUEZUVPUWBUHUVQUGIUBCFHUUPU
      VNHUVNCFUFZVCZARSZFUOUUSCUWDVCZUBRSZFUOJUWFUWHFUWEUWGAUBRUVNUUSCUWDUPUQUR
      USUTUWBUVPDVAVBVDVEVFVEUVJUVSVGVOUWDHUHZGUFZHUHZOZUVKUWDQZUVKUWJQZUIZBUVN
      PZUVNUWDQZUVNUWJQZDNZOZARSZOZUVGUWKOZUVLUWNUIZBUVNPZUVPUWRDNZOZARSZOUVTFG
      UUPUUPEUAVHZUXIFUAVIZUWLUXCUXAUXHUXJUWIUVGUWKFUAHVJVKZUXJUWTUXGARUXJUWPUX
      EUWSUXFUXJUWOUXDBUVNUXJUWMUVLUWNUVKUWDUUPVLVMZVNUXJUWQUVPUWRDUVNUWDUUPVLV
      PTVQTGUAVIZUXCUVJUXHUVSUXMUWKUVGUVGGUAHVJVRUXMUXGUVRARUXMUXEUVOUXFUVQUXMU
      XDUVMBUVNUXMUWNUVLUVLUVKUWJUUPVLVSVNUXMUWRUVPUVPDUVNUWJUUPVLVTTVQTKWFWAUV
      CUVGUVIOZUVLUVKUVAQZUIZBUDUFZPZUXQUUPQZUXQUVAQZDNZOZUDRSZOZUVDUUTUVGUVHOZ
      UVLUVKUUSQZUIZBLUFZPZUYHUUPQZUYHUUSQZDNZOZLRSZOZUVHUVIOZUYFUXOUIZBMUFZPZU
      YRUUSQZUYRUVAQZDNZOZMRSZOZUYDUVBUXBUXCUXDBUYHPZUYJUYHUWJQZDNZOZLRSZOUYOFG
      UUPUUSEUXIUBVHZUXJUWLUXCUXAVUJUXKUXAUWOBUYHPZUYHUWDQZVUGDNZOZLRSUXJVUJUWT
      VUOALRALVIZUWPVULUWSVUNUWOBUVNUYHWBVUPUWQVUMUWRVUGDUVNUYHUWDWCUVNUYHUWJWC
      WDTUQUXJVUOVUILRUXJVULVUFVUNVUHUXJUWOUXDBUYHUXLVNUXJVUMUYJVUGDUYHUWDUUPVL
      VPTVQWETGUBVIZUXCUYEVUJUYNVUQUWKUVHUVGGUBHVJVRVUQVUIUYMLRVUQVUFUYIVUHUYLV
      UQUXDUYGBUYHVUQUWNUYFUVLUVKUWJUUSVLVSVNVUQVUGUYKUYJDUYHUWJUUSVLVTTVQTKWFU
      XBUVHUWKOZUYFUWNUIZBUYRPZUYTUYRUWJQZDNZOZMRSZOVUEFGUUSUVAEVUKUCVHZFUBVIZU
      WLVURUXAVVDVVFUWIUVHUWKFUBHVJVKUXAUWOBUYRPZUYRUWDQZVVADNZOZMRSVVFVVDUWTVV
      JAMRAMVIZUWPVVGUWSVVIUWOBUVNUYRWBVVKUWQVVHUWRVVADUVNUYRUWDWCUVNUYRUWJWCWD
      TUQVVFVVJVVCMRVVFVVGVUTVVIVVBVVFUWOVUSBUYRVVFUWMUYFUWNUVKUWDUUSVLVMVNVVFV
      VHUYTVVADUYRUWDUUSVLVPTVQWETGUCVIZVURUYPVVDVUDVVLUWKUVIUVHGUCHVJZVRVVLVVC
      VUCMRVVLVUTUYSVVBVUBVVLVUSUYQBUYRVVLUWNUXOUYFUVKUWJUVAVLZVSVNVVLVVAVUAUYT
      DUYRUWJUVAVLVTTVQTKWFUYEUYPUYNVUDUYDUYEUYPOZUYNVUDOZOUVGUVIUYCUVGUVHUYPVV
      PWGUYEUVHUVIVVPWHVVPVVOUYCVVPUYIUYSOZUYLVUBOZOZMRSLRSZVVOUYCUJZVVTUYMVUCO
      ZMRSLRSVVPVVSVWBLMRRUYIUYSUYLVUBWIWJUYMVUCLMRRWKWLVVSVWALMRRUYHRUHZUYRRUH
      ZOZLMWQZLMVIZMLWQZWRZVVSVWAUJZVWCUYHWMUYRWMVWIVWDUYHWNUYRWNUYHUYRWOWPVWEV
      WFVWJVWGVWHVWEVWFVVSVWAVWEVWFVVSUKZUYCVVOVWKVWCUXPBUYHPZUYJUYHUVAQZDNZUYC
      VWCVWDVWFVVSWSVWEVWFVVSVWLVWEVWFOZVVQVWLVVRVWOUYHUYRWTZVVQVWLUJVWDVWFVWPV
      WCVWDVWFVWPUYRUYHXAXBXCVWPVVQUYGUYQOZBUYHPZVWLVWPVVQUYIUYQBUYHPZOZVWRVWPU
      YSVWSUYIUYQBUYHUYRXDXEUYGUYQBUYHXFZXGVWQUXPBUYHUVLUYFUXOXIZXHZXTXJXKXLVWF
      VVSVWNVWEVVSVWFVWNUYSUYLVWFVWNUJZUYIVUBUYSUYLVXDVWFUYSUYLVWNVWFUYSUYKVWMU
      IZUYLVWNUJUYQVXEBUYHUYRBLVIUYFUYKUXOVWMUVKUYHUUSWCUVKUYHUVAWCXMXNVXEUYLVW
      NUYKVWMUYJDXOXPXTXQXBXRXSYAUYBVWLVWNOZUDUYHRUDLVIZUXRVWLUYAVWNUXPBUXQUYHW
      BVXGUXSUYJUXTVWMDUXQUYHUUPWCUXQUYHUVAWCWDTYBZYCYTYDVWCVWGVWJUJVWDVWCVWRUY
      LUYKVWMDNZOZOZVWAUJVWGVWJVWCVXKVVOUYCVXKVVOOVWCVXFUYCVWRVXJVVOVXFVWRVWLVX
      JVVOOVWNVXCVVOVXJVWNVVOUWCUYJUWBUHZUYKUWBUHZVWMUWBUHZUKVXJVWNUJIVVOVXLVXM
      VXNUVGVXLUVHUYPACFHUUPUYHJUTYEUVHVXMUVGUYPACFHUUSUYHJUTYFUVIVXNUYEUVHACFH
      UVAUYHJUTYGYHUWBUYJUYKVWMDYJVBXSYIYKVXHYLYMVWGVXKVVSVWAVWGVWRVVQVXJVVRVWR
      VWTVWGVVQVXAVWGVWSUYSUYIUYQBUYHUYRWBVRWEVWGVXIVUBUYLVWGUYKUYTVWMVUADUYHUY
      RUUSWCUYHUYRUVAWCWDVRTYNYOVEVWEVWHVVSVWAVWEVWHVVSUKZUYCVVOVXOVWDUXPBUYRPZ
      UYRUUPQZVUADNZUYCVWCVWDVWHVVSYPVWEVWHVVSVXPVWEVWHOUYRUYHWTZVVSVXPUJVWCVWH
      VXSVWDVWCVWHVXSUYHUYRXAXBYQVXSVVQVXPVVRVXSVVQUYGBUYRPZUYSOZVXPVXSUYIVXTUY
      SUYGBUYRUYHXDYRVYAVWQBUYRPVXPUYGUYQBUYRXFVWQUXPBUYRVXBXHYSXTXKXJXLVWHVVSV
      XRVWEVVSVWHVXRUYIVUBVWHVXRUJZUYSUYLUYIVUBVYBVWHUYIVUBVXRVWHUYIVXQUYTUIZVU
      BVXRUJUYGVYCBUYRUYHBMVIUVLVXQUYFUYTUVKUYRUUPWCUVKUYRUUSWCXMXNVYCVXRVUBVXQ
      UYTVUADUUAUUBXTXQXBUUCXSYAUYBVXPVXROUDUYRRUDMVIZUXRVXPUYAVXRUXPBUXQUYRWBV
      YDUXSVXQUXTVUADUXQUYRUUPWCUXQUYRUVAWCWDTYBYCYTYDUUDUUEUUFYSXSUUGUUHUUIUXB
      UXCUXDBUXQPZUXSUXQUWJQZDNZOZUDRSZOUYDFGUUPUVAEUXIVVEUXJUWLUXCUXAVYIUXKUXA
      UWOBUXQPZUXQUWDQZVYFDNZOZUDRSUXJVYIUWTVYMAUDRAUDVIZUWPVYJUWSVYLUWOBUVNUXQ
      WBVYNUWQVYKUWRVYFDUVNUXQUWDWCUVNUXQUWJWCWDTUQUXJVYMVYHUDRUXJVYJVYEVYLVYGU
      XJUWOUXDBUXQUXLVNUXJVYKUXSVYFDUXQUWDUUPVLVPTVQWETVVLUXCUXNVYIUYCVVLUWKUVI
      UVGVVMVRVVLVYHUYBUDRVVLVYEUXRVYGUYAVVLUXDUXPBUXQVVLUWNUXOUVLVVNVSVNVVLVYF
      UXTUXSDUXQUWJUVAVLVTTVQTKWFUUJUUKUULUUMUAUBUCHEUUNUUO $.
  $}

  ${
    $d a b p q y $.  $d A f p q x $.  $d A y $.  $d F a b f g x $.
    $d f g x y $.  $d R f g x $.  $d S a b $.
    soseq.1 $e |- R Or ( A u. { (/) } ) $.
    soseq.2 $e |- F = { f | E. x e. On f : x --> A } $.
    soseq.3 $e |- S = { <. f , g >. | ( ( f e. F /\ g e. F ) /\
                        E. x e. On ( A. y e. x ( f ` y ) = ( g ` y ) /\
                           ( f ` x ) R ( g ` x ) ) ) } $.
    soseq.4 $e |- -. (/) e. A $.
    $( A linear ordering of sequences of ordinals.  (Contributed by Scott
       Fenton, 8-Jun-2011.) $)
    soseq $p |- S Or F $=
      ( wral wcel wa cfv wceq con0 wrex wi va vb vp wor wpo wbr weq w3o csn cun
      vq cv c0 sopo ax-mp poseq wo wn eleq1w anbi1d fveq1 eqeq1d ralbidv breq1d
      anbi12d rexbidv anbi2d eqeq2d breq2d brabg bianabs ancoms notbid ralinexa
      wb orbi12d andi eqcom ralbii anbi1i orbi2i bitri rexbii r19.43 xchbinx wf
      cab feq2 cbvrexvw abbii eqtri orderseqlem sotrieq mpan syl2an imbi2d wsbc
      vex fveq2 eqeq12d sbcie imbi1i tfisg sylbir feq1 elab2 anbi12i reeanv wss
      bitr4i onss ssralv syl ad2antlr rspcv a1i ffvelrn word eloni ordirr eleq2
      cdm fdm biimparc sylan ndmfv eleq1 ex com23 sylan2 syl5 exp4b imp32 syldd
      imp mtoi syld jcad wfn ffn eqtr2 biimprd 3syl ad2antrr eqtr biimpd expcom
      adantlr adantll ordtri3or adantr 3orel13 syl6ci eqfnfv2 sylibrd rexlimivv
      adantl sylbi sylbird syl5bir sylbid orrd 3orcomb df-3or sylib rgen2 df-so
      bitr2i mpbir2an ) HEUDHEUEUAULZUBULZEUFZUAUBUGZUVKUVJEUFZUHZUBHMUAHMABCDE
      FGHCUMUIUJZDUDZUVPDUEIUVPDUNUOJKUPUVOUAUBHHUVJHNZUVKHNZOZUVLUVNUQZUVMUQZU
      VOUVTUWAUVMUVTUWAURBULZUVJPZUWCUVKPZQZBAULZMZUWGUVJPZUWGUVKPZDUFZOZARSZUW
      EUWDQZBUWGMZUWJUWIDUFZOZARSZUQZURZUVMUVTUWAUWSUVTUVLUWMUVNUWRUVTUVLUWMFUL
      ZHNZGULZHNZOZUWCUXAPZUWCUXCPZQZBUWGMZUWGUXAPZUWGUXCPZDUFZOZARSZOZUVRUXDOZ
      UWDUXGQZBUWGMZUWIUXKDUFZOZARSZOUVTUWMOFGUVJUVKHHEFUAUGZUXEUXPUXNUYAUYBUXB
      UVRUXDFUAHUSUTUYBUXMUXTARUYBUXIUXRUXLUXSUYBUXHUXQBUWGUYBUXFUWDUXGUWCUXAUV
      JVAVBVCUYBUXJUWIUXKDUWGUXAUVJVAVDVEVFVEGUBUGZUXPUVTUYAUWMUYCUXDUVSUVRGUBH
      USVGUYCUXTUWLARUYCUXRUWHUXSUWKUYCUXQUWFBUWGUYCUXGUWEUWDUWCUXCUVKVAVHVCUYC
      UXKUWJUWIDUWGUXCUVKVAVIVEVFVEKVJVKUVSUVRUVNUWRVOUVSUVROZUVNUWRUXOUVSUXDOZ
      UWEUXGQZBUWGMZUWJUXKDUFZOZARSZOUYDUWROFGUVKUVJHHEFUBUGZUXEUYEUXNUYJUYKUXB
      UVSUXDFUBHUSUTUYKUXMUYIARUYKUXIUYGUXLUYHUYKUXHUYFBUWGUYKUXFUWEUXGUWCUXAUV
      KVAVBVCUYKUXJUWJUXKDUWGUXAUVKVAVDVEVFVEGUAUGZUYEUYDUYJUWRUYLUXDUVRUVSGUAH
      USVGUYLUYIUWQARUYLUYGUWOUYHUWPUYLUYFUWNBUWGUYLUXGUWDUWEUWCUXCUVJVAVHVCUYL
      UXKUWIUWJDUWGUXCUVJVAVIVEVFVEKVJVKVLVPVMUWTUWHUWKUWPUQZURZTZARMZUVTUVMUYP
      UWHUYMOZARSZUWSUWHUYMARVNUYRUWLUWQUQZARSUWSUYQUYSARUYQUWLUWHUWPOZUQUYSUWH
      UWKUWPVQUYTUWQUWLUWHUWOUWPUWFUWNBUWGUWDUWEVRVSVTWAWBWCUWLUWQARWDWBWEUVTUY
      PUWHUWIUWJQZTZARMZUVMUVTVUBUYOARUVTVUAUYNUWHUVRUWIUVPNZUWJUVPNZVUAUYNVOZU
      VSBCFHUVJUWGHUWGCUXAWFZARSZFWGUWCCUXAWFZBRSZFWGJVUHVUJFVUGVUIABRUWGUWCCUX
      AWHWIWJWKZWLBCFHUVKUWGVUKWLUVQVUDVUEOVUFIUVPUWIUWJDWMWNWOWPVCVUCVUAARMZUV
      TUVMVUCVUAAUWCWQZBUWGMZVUATZARMVULVUOVUBARVUNUWHVUAVUMUWFBUWGVUAUWFAUWCBW
      RABUGUWIUWDUWJUWEUWGUWCUVJWSUWGUWCUVKWSWTXAVSXBVSVUAABXCXDUVTUCULZCUVJWFZ
      UKULZCUVKWFZOZUKRSUCRSZVULUVMTZUVTVUQUCRSZVUSUKRSZOVVAUVRVVCUVSVVDUVRUWGC
      UVJWFZARSZVVCVUHVVFFUVJHUAWRUYBVUGVVEARUWGCUXAUVJXEVFJXFVVEVUQAUCRUWGVUPC
      UVJWHWIWBUVSUWGCUVKWFZARSZVVDVUHVVHFUVKHUBWRUYKVUGVVGARUWGCUXAUVKXEVFJXFV
      VGVUSAUKRUWGVURCUVKWHWIWBXGVUQVUSUCUKRRXHXJVUTVVBUCUKRRVUPRNZVURRNZOZVUTV
      VBVVKVUTOZVULUCUKUGZVUAAVUPMZOZUVMVVLVULVVMVVNVVLVULVUPVURNZURZVURVUPNZUR
      ZOVVPVVMVVRUHZVVMVVLVULVVQVVSVVLVULVUAAVURMZVVQVVJVULVWATZVVIVUTVVJVURRXI
      VWBVURXKVUAAVURRXLXMXNVVLVWAVVQVVLVWAOVVPUMCNZLVVLVWAVVPVWCTVVLVVPVWAVWCV
      VLVVPVWAVUPUVJPZVUPUVKPZQZVWCVVPVWAVWFTTVVLVUAVWFAVUPVURAUCUGUWIVWDUWJVWE
      UWGVUPUVJWSUWGVUPUVKWSWTXOXPVVKVUQVUSVVPVWFVWCTZTVVKVUQVUSVVPVWGVUSVVPOVW
      ECNZVVKVUQOVWGVURCVUPUVKXQVVIVUQVWHVWGTZVVJVUQVVIUVJYBZVUPQZVWIVUPCUVJYCV
      VIVWKOZVWFVWHVWCVWLVUPVWJNZURZVWDUMQZVWFVWHVWCTZTVVIVUPVUPNZURZVWKVWNVVIV
      UPXRZVWRVUPXSZVUPXTXMVWKVWNVWRVWKVWMVWQVWJVUPVUPYAVMYDYEVUPUVJYFVWOVWFVWP
      VWOVWFOUMVWEQZVWPVWDUMVWEUUAVXAVWCVWHUMVWECYGUUBXMYHUUCYIYJUUHYKYLYMYNYIY
      OYPYHYQVVLVULVVNVVSVVIVULVVNTZVVJVUTVVIVUPRXIVXBVUPXKVUAAVUPRXLXMUUDZVVLV
      VNVVSVVLVVNOVVRVWCLVVLVVNVVRVWCTVVLVVRVVNVWCVVLVVRVVNVURUVJPZVURUVKPZQZVW
      CVVRVVNVXFTTVVLVUAVXFAVURVUPAUKUGUWIVXDUWJVXEUWGVURUVJWSUWGVURUVKWSWTXOXP
      VVKVUQVUSVVRVXFVWCTZTZVVKVUSVUQVXHVVKVUSVUQVVRVXGVUQVVROVXDCNZVVKVUSOVXGV
      UPCVURUVJXQVUSVVKUVKYBZVURQZVXIVXGTZVURCUVKYCVVJVXKVXLVVIVVJVXKOVXEUMQZVX
      LVVJVURVURNZURZVXKVXMVVJVURXRZVXOVURXSZVURXTXMVXOVXKOVURVXJNZURZVXMVXKVXS
      VXOVXKVXRVXNVXJVURVURYAVMYDVURUVKYFXMYEVXMVXFVXIVWCVXFVXMVXIVWCTZVXFVXMOV
      XDUMQZVXTVXDVXEUMUUEVYAVXIVWCVXDUMCYGUUFXMUUGYIXMUUIYJYKYLYIYMYNYIYOYPYHY
      QYRVVKVVTVUTVVIVWSVXPVVTVVJVWTVXQVUPVURUUJWOUUKVVPVVMVVRUULUUMVXCYRVUTUVM
      VVOVOZVVKVUQUVJVUPYSUVKVURYSVYBVUSVUPCUVJYTVURCUVKYTAVUPVURUVJUVKUUNWOUUQ
      UUOYHUUPUURYKUUSUUTUVAUVBUVOUVLUVNUVMUHUWBUVLUVMUVNUVCUVLUVNUVMUVDUVHUVEU
      VFUAUBHEUVGUVI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Well-founded zero, successor, and limits
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c wsuc WLim $.

  $( Declare the syntax for well-founded successor. $)
  cwsuc $a class wsuc ( R , A , X ) $.

  $( Declare the syntax for well-founded limit class. $)
  cwlim $a class WLim ( R , A ) $.

  $( Define the concept of a successor in a well-founded set.  (Contributed by
     Scott Fenton, 13-Jun-2018.)  (Revised by AV, 10-Oct-2021.) $)
  df-wsuc $a |- wsuc ( R , A , X ) = inf ( Pred ( `' R , A , X ) , A , R ) $.

  ${
    $d R x $.  $d A x $.
    $( Define the class of limit points of a well-founded set.  (Contributed by
       Scott Fenton, 15-Jun-2018.)  (Revised by AV, 10-Oct-2021.) $)
    df-wlim $a |- WLim ( R , A ) =
       { x e. A | ( x =/= inf ( A , A , R ) /\
           x = sup ( Pred ( R , A , x ) , A , R ) ) } $.
  $}

  $( Equality theorem for well-founded successor.  (Contributed by Scott
     Fenton, 13-Jun-2018.)  (Proof shortened by AV, 10-Oct-2021.) $)
  wsuceq123 $p |- ( ( R = S /\ A = B /\ X = Y ) ->
     wsuc ( R , A , X ) = wsuc ( S , B , Y ) ) $=
    ( wceq w3a ccnv cpred cwsuc simp1 cnveqd predeq123 syld3an1 simp2 infeq123d
    cinf df-wsuc 3eqtr4g ) CDGZABGZEFGZHZACIZEJZACRBDIZFJZBDRACEKBDFKUDUFACUHBD
    UEUGGUBUAUCUFUHGUDCDUAUBUCLZMABUEUGEFNOUAUBUCPUIQACESBDFST $.

  $( Equality theorem for well-founded successor.  (Contributed by Scott
     Fenton, 13-Jun-2018.) $)
  wsuceq1 $p |- ( R = S -> wsuc ( R , A , X ) = wsuc ( S , A , X ) ) $=
    ( wceq cwsuc eqid wsuceq123 mp3an23 ) BCEAAEDDEABDFACDFEAGDGAABCDDHI $.

  $( Equality theorem for well-founded successor.  (Contributed by Scott
     Fenton, 13-Jun-2018.) $)
  wsuceq2 $p |- ( A = B -> wsuc ( R , A , X ) = wsuc ( R , B , X ) ) $=
    ( wceq cwsuc eqid wsuceq123 mp3an13 ) CCEABEDDEACDFBCDFECGDGABCCDDHI $.

  $( Equality theorem for well-founded successor.  (Contributed by Scott
     Fenton, 13-Jun-2018.) $)
  wsuceq3 $p |- ( X = Y -> wsuc ( R , A , X ) = wsuc ( R , A , Y ) ) $=
    ( wceq cwsuc eqid wsuceq123 mp3an12 ) BBEAAECDEABCFABDFEBGAGAABBCDHI $.

  ${
    nfwsuc.1 $e |- F/_ x R $.
    nfwsuc.2 $e |- F/_ x A $.
    nfwsuc.3 $e |- F/_ x X $.
    $( Bound-variable hypothesis builder for well-founded successor.
       (Contributed by Scott Fenton, 13-Jun-2018.)  (Proof shortened by AV,
       10-Oct-2021.) $)
    nfwsuc $p |- F/_ x wsuc ( R , A , X ) $=
      ( cwsuc ccnv cpred cinf df-wsuc nfcnv nfpred nfinf nfcxfr ) ABCDHBCIZDJZB
      CKBCDLARBCABQDACEMFGNFEOP $.
  $}

  ${
    $d R x $.  $d S x $.  $d A x $.  $d B x $.
    $( Equality theorem for the limit class.  (Contributed by Scott Fenton,
       15-Jun-2018.)  (Proof shortened by AV, 10-Oct-2021.) $)
    wlimeq12 $p |- ( ( R = S /\ A = B ) ->
        WLim ( R , A ) = WLim ( S , B ) ) $=
      ( vx wceq wa cv cinf wne cpred csup crab cwlim simpr infeq123d neeq2d weq
      simpl df-wlim predeq123 mp3an3 supeq123d eqeq2d anbi12d rabeqbidv 3eqtr4g
      equid ) CDFZABFZGZEHZAACIZJZULACULKZACLZFZGZEAMULBBDIZJZULBDULKZBDLZFZGZE
      BMACNBDNUKURVDEABUIUJOZUKUNUTUQVCUKUMUSULUKAACBBDVEVEUIUJSZPQUKUPVBULUKUO
      ACVABDUIUJEERUOVAFEUHABCDULULUAUBVEVFUCUDUEUFEACTEBDTUG $.
  $}

  $( Equality theorem for the limit class.  (Contributed by Scott Fenton,
     15-Jun-2018.) $)
  wlimeq1 $p |- ( R = S -> WLim ( R , A ) = WLim ( S , A ) ) $=
    ( wceq cwlim eqid wlimeq12 mpan2 ) BCDAADABEACEDAFAABCGH $.

  $( Equality theorem for the limit class.  (Contributed by Scott Fenton,
     15-Jun-2018.) $)
  wlimeq2 $p |- ( A = B -> WLim ( R , A ) = WLim ( R , B ) ) $=
    ( wceq cwlim eqid wlimeq12 mpan ) CCDABDACEBCEDCFABCCGH $.

  ${
    $d R y $.  $d A y $.  $d x y $.
    nfwlim.1 $e |- F/_ x R $.
    nfwlim.2 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for the limit class.  (Contributed by
       Scott Fenton, 15-Jun-2018.)  (Proof shortened by AV, 10-Oct-2021.) $)
    nfwlim $p |- F/_ x WLim ( R , A ) $=
      ( vy cwlim cv cinf cpred csup wceq wa crab df-wlim nfcv nfinf nfne nfpred
      wne nfsup nfeq2 nfan nfrabw nfcxfr ) ABCGFHZBBCIZTZUFBCUFJZBCKZLZMZFBNFBC
      OULAFBUHUKAAUFUGAUFPZABBCEEDQRAUFUJAUIBCABCUFDEUMSEDUAUBUCEUDUE $.
  $}

  ${
    $d R x $.  $d A x $.  $d X x $.
    $( Membership in the limit class.  (Contributed by Scott Fenton,
       15-Jun-2018.)  (Revised by AV, 10-Oct-2021.) $)
    elwlim $p |- ( X e. WLim ( R , A ) <-> ( X e. A /\
        X =/= inf ( A , A , R ) /\
        X = sup ( Pred ( R , A , X ) , A , R ) ) ) $=
      ( vx cwlim wcel cinf wne cpred csup wceq wa neeq1 predeq3 supeq1d eqeq12d
      w3a cv id anbi12d df-wlim elrab2 3anass bitr4i ) CABEZFCAFZCAABGZHZCABCIZ
      ABJZKZLZLUFUHUKQDRZUGHZUMABUMIZABJZKZLULDCAUEUMCKZUNUHUQUKUMCUGMURUMCUPUJ
      URSURAUOUIBABUMCNOPTDABUAUBUFUHUKUCUD $.
  $}

  ${
    $d R x y z $.  $d A x y z $.
    $( The zero of a well-founded set is a member of that set.  (Contributed by
       Scott Fenton, 13-Jun-2018.)  (Revised by AV, 10-Oct-2021.) $)
    wzel $p |- ( ( R We A /\ R Se A /\ A =/= (/) ) ->
       inf ( A , A , R ) e. A ) $=
      ( vx vy vz wwe wse c0 wne w3a wor cv wrex wbr wn wral wi wa wcel wal weso
      3ad2ant1 cpred wceq wss simp1 simp2 ssidd simp3 tz6.26 syl22anc wb elpred
      cvv vex elv notbii imnan bitr4i pm2.27 ad2antll rspcev ex ad2antrl jctird
      breq1 syl5bi com23 alimdv eq0 r19.26 df-ral bitr3i 3imtr4g reximdva infcl
      expr mpd ) ABFZABGZAHIZJZCDEAABVSVTABKWAABUAUBWBABCLZUCZHUDZCAMZDLZWCBNZO
      ZDAPWCWGBNZELZWGBNZEAMZQZDAPRZCAMWBVSVTAAUEWAWFVSVTWAUFVSVTWAUGWBAUHVSVTW
      AUICAABUJUKWBWEWOCAWBWCASZRZWGWDSZOZDTWGASZWIWNRZQZDTZWEWOWQWSXBDWQWTWSXA
      WBWPWTWSXAQWSWTWIQZWBWPWTRRZXAWSWTWHRZOXDWRXFWRXFULCAUNBWCWGDUOUMUPUQWTWH
      URUSXEXDWIWNWTXDWIQWBWPWTWIUTVAWPWNWBWTWPWJWMWLWJEWCAWKWCWGBVFVBVCVDVEVGV
      QVHVIDWDVJWOXADAPXCWIWNDAVKXADAVLVMVNVOVRVP $.
  $}

  ${
    $d A x y z w $.  $d ph x y $.  $d R x y z w $.  $d X x y z w $.
    wsuclem.1 $e |- ( ph -> R We A ) $.
    wsuclem.2 $e |- ( ph -> R Se A ) $.
    wsuclem.3 $e |- ( ph -> X e. V ) $.
    wsuclem.4 $e |- ( ph -> E. w e. A X R w ) $.
    $( Lemma for the supremum properties of well-founded successor.
       (Contributed by Scott Fenton, 15-Jun-2018.)  (Revised by AV,
       10-Oct-2021.) $)
    wsuclem $p |- ( ph -> E. x e. A
         ( A. y e. Pred ( `' R , A , X ) -. y R x /\
           A. y e. A ( x R y -> E. z e. Pred ( `' R , A , X ) z R y ) ) ) $=
      ( cv c0 wrex wbr wa wcel cvv ccnv cpred wceq wn wi wwe wse wss wne predss
      wral a1i crab dfpred3g syl elexd wb brcnvg ancoms rexbidva syl5bb biimpar
      rabn0 syl2anc eqnetrd tz6.26 syl22anc breq1 rexrab w3a noel simp2r eleq2d
      rexeqdv mtbiri simp3 elpredg mtbid 3expa ralrimiva simp1rl simp1rr adantr
      vex expr 3ad2ant1 elpred mpbir2and rspcev 3expia anim12d ancomsd reximdva
      syl5bi sylbid mpd ) AFGUAZIUBZGBNZUBZOUCZBWRPZCNZWSGQZUDZCWRUKZWSXCGQZDNZ
      XCGQZDWRPZUEZCFUKZRZBFPZAFGUFFGUGWRFUHZWROUIXBJKXOAFWQIUJULAWRENZIWQQZEFU
      MZOAIHSZWRXRUCLEFWQHIUNUOAITSZIXPGQZEFPZXROUIZAIHLUPMXTYCYBYCXQEFPXTYBXQE
      FVCXTXQYAEFXPFSXTXQYAUQXPIFTGURUSUTVAVBVDVEBFWRGVFVGAXBXABXCIWQQZCFUMZPZX
      NAXABWRYEAXSWRYEUCLCFWQHIUNUOVNYFWSIWQQZXARZBFPAXNYDYGXABCFXCWSIWQVHVIAYH
      XMBFAWSFSZRZXAYGXMYJXAXFYGXLAYIXAXFAYIXARZRXECWRAYKXCWRSZXEAYKYLVJZXCWTSZ
      XDYMYNXCOSXCVKYMWTOXCAYIXAYLVLVMVOYMWSTSZYLYNXDUQYOYMBWDZULAYKYLVPWRTGWSX
      CVQVDVRVSVTWEAYIYGXLAYIYGRZRZXKCFYRXCFSZXGXJYRYSXGVJZWSWRSZXGXJYTUUAYIYGY
      IYGAYSXGWAYIYGAYSXGWBYTXSUUAYQUQYRYSXSXGAXSYQLWCWFFHWQIWSYPWGUOWHYRYSXGVP
      XIXGDWSWRXHWSXCGVHWIVDWJVTWEWKWLWMWNWOWP $.
  $}

  ${
    wsucex.1 $e |- ( ph -> R Or A ) $.
    $( Existence theorem for well-founded successor.  (Contributed by Scott
       Fenton, 16-Jun-2018.)  (Proof shortened by AV, 10-Oct-2021.) $)
    wsucex $p |- ( ph -> wsuc ( R , A , X ) e. _V ) $=
      ( cwsuc ccnv cpred cinf cvv df-wsuc infexd eqeltrid ) ABCDFBCGDHZBCIJBCDK
      ABNCELM $.
  $}

  ${
    $d R a b c y $.  $d A a b c y $.  $d X a b c y $.  $d ph a b $.
    wsuccl.1 $e |- ( ph -> R We A ) $.
    wsuccl.2 $e |- ( ph -> R Se A ) $.
    wsuccl.3 $e |- ( ph -> X e. V ) $.
    wsuccl.4 $e |- ( ph -> E. y e. A X R y ) $.
    $( If ` X ` is a set with an ` R ` successor in ` A ` , then its
       well-founded successor is a member of ` A ` .  (Contributed by Scott
       Fenton, 15-Jun-2018.)  (Proof shortened by AV, 10-Oct-2021.) $)
    wsuccl $p |- ( ph -> wsuc ( R , A , X ) e. A ) $=
      ( va vb vc cwsuc ccnv cpred cinf df-wsuc wwe wor weso syl infcl eqeltrid
      wsuclem ) ACDFNCDOFPZCDQCCDFRAKLMCUFDACDSCDTGCDUAUBAKLMBCDEFGHIJUEUCUD $.
  $}

  ${
    $d R a b c y $.  $d A a b c y $.  $d X a b c y $.  $d ph a b c $.
    $d Y y $.
    wsuclb.1 $e |- ( ph -> R We A ) $.
    wsuclb.2 $e |- ( ph -> R Se A ) $.
    wsuclb.3 $e |- ( ph -> X e. V ) $.
    wsuclb.4 $e |- ( ph -> Y e. A ) $.
    wsuclb.5 $e |- ( ph -> X R Y ) $.
    $( A well-founded successor is a lower bound on points after ` X ` .
       (Contributed by Scott Fenton, 16-Jun-2018.)  (Proof shortened by AV,
       10-Oct-2021.) $)
    wsuclb $p |- ( ph -> -. Y R wsuc ( R , A , X ) ) $=
      ( va vb vc vy wbr wcel wb syl2anc mpbird ccnv cpred cinf cwsuc wn elpredg
      brcnvg wwe wor weso syl cv wrex breq2 rspcev wsuclem inflb df-wsuc breq2i
      mpd sylnibr ) AFBCUAZEUBZBCUCZCPZFBCEUDZCPAFVCQZVEUEAVGFEVBPZAVHEFCPZKAFB
      QZEDQZVHVIRJIFEBDCUGSTAVKVJVGVHRIJBDVBEFUFSTALMNBVCFCABCUHBCUIGBCUJUKALMN
      OBCDEGHIAVJVIEOULZCPZOBUMJKVMVIOFBVLFECUNUOSUPUQUTVFVDFCBCEURUSVA $.
  $}

  ${
    $d R x $.  $d A x $.
    $( The class of limit points is a subclass of the base class.  (Contributed
       by Scott Fenton, 16-Jun-2018.) $)
    wlimss $p |- WLim ( R , A ) C_ A $=
      ( vx cv cinf wne cpred csup wceq wa cwlim df-wlim ssrab3 ) CDZAABEFNABNGA
      BHIJCAABKCABLM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Natural operations on ordinals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constants $)
  $c +no $.

  $( Declare the syntax for natural ordinal addition.  See ~ df-nadd . $)
  cnadd $a class +no $.

  ${
    $d x y a z w t $.
    $( Define natural ordinal addition.  This is a commutative form of addition
       over the ordinals.  (Contributed by Scott Fenton, 26-Aug-2024.) $)
    df-nadd $a |- +no =
     frecs ( { <. x , y >. | ( x e. ( On X. On ) /\ y e. ( On X. On )
     /\ ( ( ( 1st ` x ) _E ( 1st ` y ) \/ ( 1st ` x ) = ( 1st ` y ) ) /\
          ( ( 2nd ` x ) _E ( 2nd ` y ) \/ ( 2nd ` x ) = ( 2nd ` y ) ) /\
          x =/= y ) ) } , ( On X. On ) ,
          ( z e. _V , a e. _V |->
          |^| { w e. On | ( ( a " ( { ( 1st ` z ) } X. ( 2nd ` z ) ) ) C_ w /\
          ( a " ( ( 1st ` z ) X. { ( 2nd ` z ) } ) ) C_ w ) } ) ) $.
  $}

  ${
    on2recs.1 $e |- F = frecs ( { <. x , y >. |
     ( x e. ( On X. On ) /\ y e. ( On X. On )
     /\ ( ( ( 1st ` x ) _E ( 1st ` y ) \/ ( 1st ` x ) = ( 1st ` y ) ) /\
          ( ( 2nd ` x ) _E ( 2nd ` y ) \/ ( 2nd ` x ) = ( 2nd ` y ) ) /\
          x =/= y ) ) } , ( On X. On ) , G ) $.

    ${
      $d x y $.
      $( Show that double recursion over ordinals yields a function over pairs
         of ordinals.  (Contributed by Scott Fenton, 3-Sep-2024.) $)
      on2recsfn $p |- F Fn ( On X. On ) $=
        ( con0 cv wcel c1st cfv cep wbr wceq wo c2nd w3a wfr wtru a1i mptru cxp
        wne copab wpo wse wfn eqid onfr frxp2 wwe wor weso sopo mp2b poxp2 epse
        epweon sexp2 fpr1 mp3an ) FFUAZAGZVAHBGZVAHVBIJZVCIJZKLVDVEMNVBOJZVCOJZ
        KLVFVGMNVBVCUBPPABUCZQZVAVHUDZVAVHUEZCVAUFVIRABFFKKVHVHUGZFKQRUHSZVMUIT
        VJRABFFKKVHVLFKUDZRFKUJFKUKVNUQFKULFKUMUNSZVOUOTVKRABFFKKVHVLFKUERFUPSZ
        VPURTVAVHCDEUSUT $.
    $}

    ${
      $d x y $.
      $( Calculate the value of the double ordinal recursion operator.
         (Contributed by Scott Fenton, 3-Sep-2024.) $)
      on2recsov $p |- ( ( A e. On /\ B e. On ) ->
     ( A F B ) = ( <. A , B >. G
     ( F |` ( ( suc A X. suc B ) \ { <. A , B >. } ) ) ) ) $=
        ( con0 wcel co cxp cfv cep wceq w3a cpred csn wtru a1i cun cop c1st wbr
        wa cv c2nd wne copab cres csuc cdif df-ov opelxp wfr wpo wse eqid frxp2
        wo onfr mptru wwe wor weso sopo mp2b poxp2 epse sexp2 3pm3.2i fpr2 mpan
        epweon sylbir syl5eq predon adantr uneq1d df-suc eqtr4di adantl xpeq12d
        xpord2pred difeq1d eqtrd reseq2d oveq2d ) CHIZDHIZUDZCDEJZCDUAZEHHKZAUE
        ZWMIBUEZWMIWNUBLZWOUBLZMUCWPWQNUSWNUFLZWOUFLZMUCWRWSNUSWNWOUGOOABUHZWLP
        ZUIZFJZWLECUJZDUJZKZWLQZUKZUIZFJWJWKWLELZXCCDEULWJWLWMIZXJXCNZCDHHUMWMW
        TUNZWMWTUOZWMWTUPZOXKXLXMXNXOXMRABHHMMWTWTUQZHMUNRUTSZXQURVAXNRABHHMMWT
        XPHMUOZRHMVBHMVCXRVMHMVDHMVEVFSZXSVGVAXORABHHMMWTXPHMUPRHVHSZXTVIVAVJWM
        WTEFWLGVKVLVNVOWJXBXIWLFWJXAXHEWJXAHMCPZCQZTZHMDPZDQZTZKZXGUKXHABHHMMWT
        CDXPWCWJYGXFXGWJYCXDYFXEWJYCCYBTXDWJYACYBWHYACNWICVPVQVRCVSVTWJYFDYETXE
        WJYDDYEWIYDDNWHDVPWAVRDVSVTWBWDWEWFWGWE $.
    $}

  $}

  ${
    $d a b $.  $d a c $.  $d a d $.  $d a ps $.  $d a ta $.  $d a x $.
    $d a y $.  $d b c $.  $d b ch $.  $d b d $.  $d b et $.  $d b x $.
    $d b y $.  $d c d $.  $d c ph $.  $d c th $.  $d c x $.  $d c y $.
    $d d ps $.  $d d x $.  $d d y $.  $d X a $.  $d X b $.  $d x y $.
    $d Y b $.
    on2ind.1 $e |- ( a = c -> ( ph <-> ps ) ) $.
    on2ind.2 $e |- ( b = d -> ( ps <-> ch ) ) $.
    on2ind.3 $e |- ( a = c -> ( th <-> ch ) ) $.
    on2ind.4 $e |- ( a = X -> ( ph <-> ta ) ) $.
    on2ind.5 $e |- ( b = Y -> ( ta <-> et ) ) $.
    on2ind.i $e |- ( ( a e. On /\ b e. On ) ->
       ( ( A. c e. a A. d e. b ch /\
           A. c e. a ps /\
           A. d e. b th ) -> ph ) ) $.
    $( Double induction over ordinal numbers.  (Contributed by Scott Fenton,
       26-Aug-2024.) $)
    on2ind $p |- ( ( X e. On /\ Y e. On ) -> et ) $=
      ( con0 cep vx vy cv cxp wcel c1st cfv wbr wceq wo c2nd wne w3a copab eqid
      onfr wwe wor wpo epweon weso sopo mp2b epse wa cpred predon adantr adantl
      wral raleqdv raleqbidv 3anbi123d sylbid xpord2ind ) ABCDEFUAUBSSTTUAUCZSS
      UDZUEUBUCZVQUEVPUFUGZVRUFUGZTUHVSVTUIUJVPUKUGZVRUKUGZTUHWAWBUIUJVPVRULUMU
      MUAUBUNZGHIJKLWCUOUPSTUQSTURSTUSUTSTVASTVBVCZSVDZUPWDWEMNOPQIUCZSUEZJUCZS
      UEZVEZCLSTWHVFZVJZKSTWFVFZVJZBKWMVJZDLWKVJZUMCLWHVJZKWFVJZBKWFVJZDLWHVJZU
      MAWJWNWRWOWSWPWTWJWLWQKWMWFWGWMWFUIWIWFVGVHZWJCLWKWHWIWKWHUIWGWHVGVIZVKVL
      WJBKWMWFXAVKWJDLWKWHXBVKVMRVNVO $.
  $}

  ${
    $d a b $.  $d a c $.  $d a d $.  $d a e $.  $d a f $.  $d a ps $.
    $d a rh $.  $d a th $.  $d a x $.  $d a y $.  $d b c $.  $d b ch $.
    $d b d $.  $d b e $.  $d b f $.  $d b mu $.  $d b th $.  $d b x $.
    $d b y $.  $d c d $.  $d c e $.  $d c f $.  $d c la $.  $d c th $.
    $d c x $.  $d c y $.  $d ch f $.  $d d e $.  $d d f $.  $d d ph $.
    $d d ta $.  $d d x $.  $d d y $.  $d e et $.  $d e f $.  $d e ps $.
    $d e x $.  $d e y $.  $d e ze $.  $d f si $.  $d f x $.  $d f y $.
    $d X a $.  $d X b $.  $d X c $.  $d x y $.  $d Y b $.  $d Y c $.  $d Z c $.
    on3ind.1 $e |- ( a = d -> ( ph <-> ps ) ) $.
    on3ind.2 $e |- ( b = e -> ( ps <-> ch ) ) $.
    on3ind.3 $e |- ( c = f -> ( ch <-> th ) ) $.
    on3ind.4 $e |- ( a = d -> ( ta <-> th ) ) $.
    on3ind.5 $e |- ( b = e -> ( et <-> ta ) ) $.
    on3ind.6 $e |- ( b = e -> ( ze <-> th ) ) $.
    on3ind.7 $e |- ( c = f -> ( si <-> ta ) ) $.
    on3ind.8 $e |- ( a = X -> ( ph <-> rh ) ) $.
    on3ind.9 $e |- ( b = Y -> ( rh <-> mu ) ) $.
    on3ind.10 $e |- ( c = Z -> ( mu <-> la ) ) $.
    on3ind.i $e |- ( ( a e. On /\ b e. On /\ c e. On ) ->
       ( ( ( A. d e. a A. e e. b A. f e. c th /\
             A. d e. a A. e e. b ch /\
             A. d e. a A. f e. c ze )
             /\
             ( A. d e. a ps /\
               A. e e. b A. f e. c ta /\
               A. e e. b si ) /\
             A. f e. c et )
           -> ph ) ) $.
    $( Triple induction over ordinals.  (Contributed by Scott Fenton,
       4-Sep-2024.) $)
    on3ind $p |- ( ( X e. On /\ Y e. On /\ Z e. On ) -> la ) $=
      ( vx vy con0 cep cv cxp wcel c1st cfv wbr wceq wo c2nd w3a wne copab eqid
      wa onfr wwe wor wpo epweon weso sopo mp2b epse cpred wral predon 3ad2ant1
      3ad2ant2 3ad2ant3 raleqdv raleqbidv 3anbi123d sylbid xpord3ind ) ABCDEFGH
      IJKULUMUNUNUNUOUOUOULUPZUNUNUQUNUQZURUMUPZWKURWJUSUTZUSUTZWLUSUTZUSUTZUOV
      AWNWPVBVCWMVDUTZWOVDUTZUOVAWQWRVBVCWJVDUTZWLVDUTZUOVAWSWTVBVCVEWJWLVFVIVE
      ULUMVGZLMNOPQRSTXAVHVJUNUOVKUNUOVLUNUOVMVNUNUOVOUNUOVPVQZUNVRZVJXBXCVJXBX
      CUAUBUCUDUEUFUGUHUIUJQUPZUNURZRUPZUNURZSUPZUNURZVEZDMUNUOXHVSZVTZLUNUOXFV
      SZVTZTUNUOXDVSZVTZCLXMVTZTXOVTZGMXKVTZTXOVTZVEZBTXOVTZEMXKVTZLXMVTZHLXMVT
      ZVEZFMXKVTZVEDMXHVTZLXFVTZTXDVTZCLXFVTZTXDVTZGMXHVTZTXDVTZVEZBTXDVTZEMXHV
      TZLXFVTZHLXFVTZVEZFMXHVTZVEAXJYAYOYFYTYGUUAXJXPYJXRYLXTYNXJXNYITXOXDXEXGX
      OXDVBXIXDWAWBZXJXLYHLXMXFXGXEXMXFVBXIXFWAWCZXJDMXKXHXIXEXKXHVBXGXHWAWDZWE
      WFWFXJXQYKTXOXDUUBXJCLXMXFUUCWEWFXJXSYMTXOXDUUBXJGMXKXHUUDWEWFWGXJYBYPYDY
      RYEYSXJBTXOXDUUBWEXJYCYQLXMXFUUCXJEMXKXHUUDWEWFXJHLXMXFUUCWEWGXJFMXKXHUUD
      WEWGUKWHWI $.
  $}

  ${
    $d a w $.  $d a x $.  $d a y $.  $d a z $.  $d w x $.  $d w y $.  $d w z $.
    $d x y $.  $d x z $.  $d y z $.
    $( Natural addition is a function over pairs of ordinals.  (Contributed by
       Scott Fenton, 26-Aug-2024.) $)
    naddfn $p |- +no Fn ( On X. On ) $=
      ( vx vy vz va vw cnadd cvv cv c1st cfv csn c2nd cxp cima wss wa con0 crab
      cint cmpo df-nadd on2recsfn ) ABFCDGGDHZCHZIJZKUDLJZMNEHZOUCUEUFKMNUGOPEQ
      RSTABCEDUAUB $.
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d a d $.  $d a f $.  $d a t $.
    $d a x $.  $d A x $.  $d B b $.  $d b c $.  $d b d $.  $d b f $.  $d b t $.
    $d b x $.  $d B x $.  $d c d $.  $d c t $.  $d c x $.  $d d t $.  $d d x $.
    $d f p $.  $d f q $.  $d f t $.  $d f x $.  $d p q $.  $d p t $.  $d p x $.
    $d q t $.  $d q x $.  $d t x $.
    $( Lemma for ordinal addition closure.  (Contributed by Scott Fenton,
       26-Aug-2024.) $)
    naddcllem $p |- ( ( A e. On /\ B e. On ) ->
     ( ( A +no B ) e. On /\
       ( A +no B ) = |^| { x e. On | ( ( +no " ( { A } X. B ) ) C_ x /\
       ( +no " ( A X. { B } ) ) C_ x ) } ) ) $=
      ( vc vd vt cnadd co con0 wcel cxp cima wss wa wceq imaeq2d sseq1d anbi12d
      wral cvv va vb vf vp vq cv csn crab cint oveq1 eleq1d sneq xpeq1d rabbidv
      weq xpeq1 inteqd eqeq12d oveq2 xpeq2 xpeq2d w3a simpl ralimi 3ad2ant2 jca
      3ad2ant3 cop csuc cdif cres c1st cfv c2nd cmpo on2recsov adantr opex wfun
      df-nadd wfn naddfn fnfun ax-mp vex sucex difexi resfunexg mp2an wn wel wo
      xpex word eloni ad2antlr ordirr olcd ianor opelxp xchnxbir sylibr sssucid
      sucid snssi xpss12 ssdifsn mpbiran resima2 ad2antrr orcd wrex cuni simprr
      syl cun ralbidv ralsn cdm onss syl2an sseqtrrdi funimassov sylancr mpbird
      wb fndmi simprl ralbii unssd ssorduni funimaexg sylib sseq2 eqeltrd sneqd
      snex unex xpeq12d imaeq1 uniex elon sucelon onsucuni unssad unssbd rspcev
      syl12anc onintrab2 op1std op2ndd eqid ovmpog mp3an12i 3eqtrd syl5 on2ind
      ex ) UAUFZUBUFZGHZIJZUVAGUUSUGZUUTKZLZAUFZMZGUUSUUTUGZKZLZUVFMZNZAIUHZUIZ
      OZNZDUFZUUTGHZIJZUVRGUVQUGZUUTKZLZUVFMZGUVQUVHKZLZUVFMZNZAIUHZUIZOZNZUVQE
      UFZGHZIJZUWMGUVTUWLKZLZUVFMZGUVQUWLUGZKZLZUVFMZNZAIUHZUIZOZNZUUSUWLGHZIJZ
      UXGGUVCUWLKZLZUVFMZGUUSUWRKZLZUVFMZNZAIUHZUIZOZNZBUUTGHZIJZUXTGBUGZUUTKZL
      ZUVFMZGBUVHKZLZUVFMZNZAIUHZUIZOZNBCGHZIJZUYMGUYBCKZLZUVFMZGBCUGZKZLZUVFMZ
      NZAIUHZUIZOZNBCUAUBDEUADUOZUVBUVSUVOUWJVUFUVAUVRIUUSUVQUUTGUJZUKVUFUVAUVR
      UVNUWIVUGVUFUVMUWHVUFUVLUWGAIVUFUVGUWCUVKUWFVUFUVEUWBUVFVUFUVDUWAGVUFUVCU
      VTUUTUUSUVQULZUMPQVUFUVJUWEUVFVUFUVIUWDGUUSUVQUVHUPPQRUNUQURRUBEUOZUVSUWN
      UWJUXEVUIUVRUWMIUUTUWLUVQGUSZUKVUIUVRUWMUWIUXDVUJVUIUWHUXCVUIUWGUXBAIVUIU
      WCUWQUWFUXAVUIUWBUWPUVFVUIUWAUWOGUUTUWLUVTUTPQVUIUWEUWTUVFVUIUWDUWSGVUIUV
      HUWRUVQUUTUWLULVAPQRUNUQURRVUFUXHUWNUXRUXEVUFUXGUWMIUUSUVQUWLGUJZUKVUFUXG
      UWMUXQUXDVUKVUFUXPUXCVUFUXOUXBAIVUFUXKUWQUXNUXAVUFUXJUWPUVFVUFUXIUWOGVUFU
      VCUVTUWLVUHUMPQVUFUXMUWTUVFVUFUXLUWSGUUSUVQUWRUPPQRUNUQURRUUSBOZUVBUYAUVO
      UYLVULUVAUXTIUUSBUUTGUJZUKVULUVAUXTUVNUYKVUMVULUVMUYJVULUVLUYIAIVULUVGUYE
      UVKUYHVULUVEUYDUVFVULUVDUYCGVULUVCUYBUUTUUSBULUMPQVULUVJUYGUVFVULUVIUYFGU
      USBUVHUPPQRUNUQURRUUTCOZUYAUYNUYLVUEVUNUXTUYMIUUTCBGUSZUKVUNUXTUYMUYKVUDV
      UOVUNUYJVUCVUNUYIVUBAIVUNUYEUYQUYHVUAVUNUYDUYPUVFVUNUYCUYOGUUTCUYBUTPQVUN
      UYGUYTUVFVUNUYFUYSGVUNUVHUYRBUUTCULVAPQRUNUQURRUXFEUUTSDUUSSZUWKDUUSSZUXS
      EUUTSZVBZUVSDUUSSZUXHEUUTSZNZUUSIJZUUTIJZNZUVPVUSVUTVVAVUQVUPVUTVURUWKUVS
      DUUSUVSUWJVCVDVEVURVUPVVAVUQUXSUXHEUUTUXHUXRVCVDVGVFVVEVVBUVPVVEVVBNZUVBU
      VOVVFUVAUVNIVVFUVAUUSUUTVHZGUUSVIZUUTVIZKZVVGUGZVJZVKZFUCTTUCUFZFUFZVLVMZ
      UGZVVOVNVMZKZLZUVFMZVVNVVPVVRUGZKZLZUVFMZNZAIUHZUIZVOZHZVVMUVDLZUVFMZVVMU
      VILZUVFMZNZAIUHZUIZUVNVVEUVAVWJOVVBUDUEUUSUUTGVWIUDUEFAUCVTVPVQVVGTJVVMTJ
      ZVVFVWQIJVWJVWQOUUSUUTVRGVSZVVLTJVWRGIIKZWAVWSWBVWTGWCWDZVVJVVKVVHVVIUUSU
      AWEZWFUUTUBWEZWFWMWGGVVLTWHWIVVFVWQUVNIVVFVWPUVMVVFVWOUVLAIVVFVWLUVGVWNUV
      KVVFVWKUVEUVFVVFUVDVVLMZVWKUVEOVVFVVGUVDJZWJZVXDVVFUUSUVCJZWJZUBUBWKZWJZW
      LZVXFVVFVXJVXHVVFUUTWNZVXJVVDVXLVVCVVBUUTWOWPUUTWQXOWRVXGVXINVXKVXEVXGVXI
      WSUUSUUTUVCUUTWTXAXBVXDUVDVVJMZVXFUVCVVHMZUUTVVIMVXMUUSVVHJVXNUUSVXBXDUUS
      VVHXEWDUUTXCUVCVVHUUTVVIXFWIUVDVVJVVGXGXHXBGUVDVVLXIXOQVVFVWMUVJUVFVVFUVI
      VVLMZVWMUVJOVVFVVGUVIJZWJZVXOVVFUAUAWKZWJZUUTUVHJZWJZWLZVXQVVFVXSVYAVVFUU
      SWNZVXSVVCVYCVVDVVBUUSWOXJUUSWQXOXKVXRVXTNVYBVXPVXRVXTWSUUSUUTUUSUVHWTXAX
      BVXOUVIVVJMZVXQUUSVVHMUVHVVIMZVYDUUSXCUUTVVIJVYEUUTVXCXDUUTVVIXEWDUUSVVHU
      VHVVIXFWIUVIVVJVVGXGXHXBGUVIVVLXIXOQRUNUQZVVFUVLAIXLZUVNIJVVFUVEUVJXPZXMZ
      VIZIJZUVEVYJMZUVJVYJMZVYGVVFVYIIJZVYKVVFVYIWNZVYNVVFVYHIMZVYOVVFUVEUVJIVV
      FUVEIMZVVOUWLGHZIJZEUUTSZFUVCSZVVFVVAWUAVVEVUTVVAXNVYTVVAFUUSVXBFUAUOZVYS
      UXHEUUTWUBVYRUXGIVVOUUSUWLGUJUKXQXRXBVVFVWSUVDGXSZMVYQWUAYFVXAVVFUVDVWTWU
      CVVEUVDVWTMZVVBVVCUVCIMUUTIMWUDVVDUUSIXEUUTXTUVCIUUTIXFYAVQVWTGWBYGZYBFEU
      VCUUTIGYCYDYEVVFUVJIMZUVQVVOGHZIJZFUVHSZDUUSSZVVFVUTWUJVVEVUTVVAYHWUIUVSD
      UUSWUHUVSFUUTVXCFUBUOWUGUVRIVVOUUTUVQGUSUKXRYIXBVVFVWSUVIWUCMWUFWUJYFVXAV
      VFUVIVWTWUCVVEUVIVWTMZVVBVVCUUSIMUVHIMWUKVVDUUSXTUUTIXEUUSIUVHIXFYAVQWUEY
      BDFUUSUVHIGYCYDYEYJZVYHYKXOVYIVYHUVEUVJVWSUVDTJUVETJVXAUVCUUTUUSYQVXCWMGU
      VDTYLWIVWSUVITJUVJTJVXAUUSUVHVXBUUTYQWMGUVITYLWIYRUUAUUBXBVYIUUCYMVVFUVEU
      VJVYJVVFVYPVYHVYJMWULVYHUUDXOZUUEVVFUVEUVJVYJWUMUUFUVLVYLVYMNAVYJIUVFVYJO
      UVGVYLUVKVYMUVFVYJUVEYNUVFVYJUVJYNRUUGUUHUVLAUUIYMZYOFUCVVGVVMTTVWHVWQVWI
      VVNUVDLZUVFMZVVNUVILZUVFMZNZAIUHZUIIVVOVVGOZVWGWUTWVAVWFWUSAIWVAVWAWUPVWE
      WURWVAVVTWUOUVFWVAVVSUVDVVNWVAVVQUVCVVRUUTWVAVVPUUSUUSUUTVVOVXBVXCUUJZYPU
      USUUTVVOVXBVXCUUKZYSPQWVAVWDWUQUVFWVAVWCUVIVVNWVAVVPUUSVWBUVHWVBWVAVVRUUT
      WVCYPYSPQRUNUQVVNVVMOZWUTVWPWVDWUSVWOAIWVDWUPVWLWURVWNWVDWUOVWKUVFVVNVVMU
      VDYTQWVDWUQVWMUVFVVNVVMUVIYTQRUNUQVWIUULUUMUUNVYFUUOZWUNYOWVEVFUURUUPUUQ
      $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Closure law for natural addition.  (Contributed by Scott Fenton,
       26-Aug-2024.) $)
    naddcl $p |- ( ( A e. On /\ B e. On ) -> ( A +no B ) e. On ) $=
      ( vx con0 wcel wa cnadd co csn cxp cima cv wss crab cint naddcllem simpld
      wceq ) ADEBDEFABGHZDESGAIBJKCLZMGABIJKTMFCDNORCABPQ $.

    $( The value of natural addition.  (Contributed by Scott Fenton,
       26-Aug-2024.) $)
    naddov $p |- ( ( A e. On /\ B e. On ) -> ( A +no B ) =
     |^| { x e. On | ( ( +no " ( { A } X. B ) ) C_ x /\
                       ( +no " ( A X. { B } ) ) C_ x ) } ) $=
      ( con0 wcel wa cnadd co csn cxp cima wss crab cint wceq naddcllem simprd
      cv ) BDECDEFBCGHZDESGBICJKARZLGBCIJKTLFADMNOABCPQ $.

    $d A t $.  $d A y $.  $d A z $.  $d B t $.  $d B y $.  $d B z $.  $d t x $.
    $d t y $.  $d t z $.  $d x y $.  $d x z $.
    $( Alternate expression for natural addition.  (Contributed by Scott
       Fenton, 26-Aug-2024.) $)
    naddov2 $p |- ( ( A e. On /\ B e. On ) -> ( A +no B ) =
     |^| { x e. On | ( A. y e. B ( A +no y ) e. x /\
     A. z e. A ( z +no B ) e. x ) } ) $=
      ( vt con0 wcel wa cnadd co csn cxp cima cv wss crab cint wral wb cdm onss
      naddov snssi xpss12 syl2an fndmi sseqtrrdi wfun wfn fnfun funimassov mpan
      naddfn ax-mp wceq oveq1 eleq1d ralbidv ralsng adantr bitrd adantl anbi12d
      syl oveq2 rabbidv inteqd eqtrd ) DGHZEGHZIZDEJKJDLZEMZNAOZPZJDELZMZNVOPZI
      ZAGQZRDBOZJKZVOHZBESZCOZEJKZVOHZCDSZIZAGQZRADEUCVLWAWKVLVTWJAGVLVPWEVSWIV
      LVPFOZWBJKZVOHZBESZFVMSZWEVLVNJUAZPZVPWPTZVLVNGGMZWQVJVMGPEGPVNWTPVKDGUDE
      UBVMGEGUEUFWTJUNUGZUHJUIZWRWSJWTUJXBUNWTJUKUOZFBVMEVOJULUMVEVJWPWETVKWOWE
      FDGWLDUPZWNWDBEXDWMWCVOWLDWBJUQURUSUTVAVBVLVSWFWLJKZVOHZFVQSZCDSZWIVLVRWQ
      PZVSXHTZVLVRWTWQVJDGPVQGPVRWTPVKDUBEGUDDGVQGUEUFXAUHXBXIXJXCCFDVQVOJULUMV
      EVKXHWITVJVKXGWHCDXFWHFEGWLEUPXEWGVOWLEWFJVFURUTUSVCVBVDVGVHVI $.
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d a d $.  $d a x $.  $d B b $.
    $d b c $.  $d b d $.  $d b x $.  $d c d $.  $d c x $.  $d d x $.
    $( Natural addition commutes.  (Contributed by Scott Fenton,
       26-Aug-2024.) $)
    naddcom $p |- ( ( A e. On /\ B e. On ) -> ( A +no B ) = ( B +no A ) ) $=
      ( va vb vc vd vx cv cnadd co wceq weq oveq1 oveq2 eqeq12d con0 wcel wa wb
      wral w3a crab cint eleq1 ralimi 3ad2ant3 adantl 3ad2ant2 anbi12d biancomd
      ralbi syl rabbidv inteqd naddov2 adantr ancoms 3eqtr4d ex on2ind ) CHZDHZ
      IJZVBVAIJZKZEHZVBIJZVBVFIJZKZVFFHZIJZVJVFIJZKZVAVJIJZVJVAIJZKZAVBIJZVBAIJ
      ZKABIJZBAIJZKABCDEFCELZVCVGVDVHVAVFVBIMVAVFVBINODFLVGVKVHVLVBVJVFINVBVJVF
      IMOWAVNVKVOVLVAVFVJIMVAVFVJINOVAAKVCVQVDVRVAAVBIMVAAVBINOVBBKVQVSVRVTVBBA
      INVBBAIMOVAPQZVBPQZRZVMFVBTEVATZVIEVATZVPFVBTZUAZVEWDWHRZVNGHZQZFVBTZVGWJ
      QZEVATZRZGPUBZUCZVHWJQZEVATZVOWJQZFVBTZRZGPUBZUCZVCVDWIWPXCWIWOXBGPWIWOWS
      XAWIWLXAWNWSWHWLXASZWDWGWEXEWFWGWKWTSZFVBTXEVPXFFVBVNVOWJUDUEWKWTFVBUKULU
      FUGWHWNWSSZWDWFWEXGWGWFWMWRSZEVATXGVIXHEVAVGVHWJUDUEWMWREVAUKULUHUGUIUJUM
      UNWDVCWQKWHGFEVAVBUOUPWDVDXDKZWHWCWBXIGEFVBVAUOUQUPURUSUT $.
  $}

  ${
    $d A a $.  $d a b $.  $d a c $.  $d a x $.  $d b x $.  $d c x $.
    $( Ordinal zero is the additive identity for natural addition.
       (Contributed by Scott Fenton, 26-Aug-2024.) $)
    naddid1 $p |- ( A e. On -> ( A +no (/) ) = A ) $=
      ( va vb vc vx cv c0 cnadd co wceq oveq1 id eqeq12d con0 wcel wral wa crab
      cint adantr weq wss 0elon naddov2 mpan2 ral0 biantrur wel wb eleq1 ralimi
      ralbi syl adantl dfss3 bitr4di bitr3id rabbidv inteqd intmin 3eqtrd tfis3
      ex ) BFZGHIZVDJZCFZGHIZVGJZAGHIZAJBCABCUAZVEVHVDVGVDVGGHKVKLMVDAJZVEVJVDA
      VDAGHKVLLMVDNOZVICVDPZVFVMVNQZVEVDDFHIEFZOZDGPZVHVPOZCVDPZQZENRZSZVDVPUBZ
      ENRZSZVDVMVEWCJZVNVMGNOWGUCEDCVDGUDUETVOWBWEVOWAWDENWAVTVOWDVRVTVQDUFUGVO
      VTCEUHZCVDPZWDVNVTWIUIZVMVNVSWHUIZCVDPWJVIWKCVDVHVGVPUJUKVSWHCVDULUMUNCVD
      VPUOUPUQURUSVMWFVDJVNEVDNUTTVAVCVB $.
  $}

  ${
    $d A c $.  $d A d $.  $d A w $.  $d A x $.  $d A z $.  $d B c $.  $d B d $.
    $d B w $.  $d B x $.  $d B y $.  $d B z $.  $d C c $.  $d c d $.  $d c w $.
    $d c x $.  $d c y $.  $d c z $.  $d d w $.  $d d x $.  $d w x $.  $d w y $.
    $d w z $.  $d x y $.  $d x z $.
    $( Ordinal less-than-or-equal is preserved by natural addition.
       (Contributed by Scott Fenton, 7-Sep-2024.) $)
    naddssim $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
     ( A C_ B -> ( A +no C ) C_ ( B +no C ) ) ) $=
      ( vc vd vw vx vz vy con0 wcel wss cnadd co wi wa cv oveq2 imbi2d wral weq
      sseq12d wceq r19.21v imbi2i crab cint wel rspccva ad4ant24 simprrl eleq1d
      bitri sylan simplrl adantr simp-4l onelon naddcl syl2anc mp2and ralrimiva
      ontr2 simpllr simprrr ssralv sylc jca expr ss2rabdv intss simplll naddov2
      syl simplrr 3sstr4d exp31 a2d ex syl5bi tfis3 com12 3impia ) AJKZBJKZCJKZ
      ABLZACMNZBCMNZLZOZWFWDWEPZWKWLWGADQZMNZBWMMNZLZOZOZWLWGAEQZMNZBWSMNZLZOZO
      ZWLWKODECDEUAZWQXCWLXEWPXBWGXEWNWTWOXAWMWSAMRWMWSBMRUBSSWMCUCZWQWKWLXFWPW
      JWGXFWNWHWOWIWMCAMRWMCBMRUBSSXDEWMTZWLWGXBEWMTZOZOZWMJKZWRXGWLXCEWMTZOXJW
      LXCEWMUDXLXIWLWGXBEWMUDUEUMXKWLXIWQXKWLXIWQOXKWLPZWGXHWPXMWGXHWPXMWGPZXHP
      ZAFQZMNZGQZKZFWMTZHQWMMNXRKZHATZPZGJUFZUGZBIQZMNZXRKZIWMTZYAHBTZPZGJUFZUG
      ZWNWOXOYLYDLYEYMLXOYKYCGJXOXRJKZYKYCXOYNYKPZPZXTYBYPXSFWMYPFDUHZPZXQBXPMN
      ZLZYSXRKZXSXHYQYTXNYOXBYTEXPWMEFUAWTXQXAYSWSXPAMRWSXPBMRUBUIUJYPYIYQUUAXO
      YNYIYJUKYHUUAIXPWMIFUAYGYSXRYFXPBMRULUIUNYRXQJKZYNYTUUAPXSOYRWDXPJKZUUBYP
      WDYQXOWDYOXNWDXHXKWDWEWGUOUPZUPUPYPXKYQUUCXKWLWGXHYOUQWMXPURUNAXPUSUTXOYN
      YKYQUOXQYSXRVCUTVAVBYPWGYJYBXMWGXHYOVDXOYNYIYJVEYAHABVFVGVHVIVJYLYDVKVNXO
      WDXKWNYEUCUUDXKWLWGXHVLZGFHAWMVMUTXOWEXKWOYMUCXNWEXHXKWDWEWGVOUPUUEGIHBWM
      VMUTVPVQVRVSVRVTWAWBWC $.
  $}

  ${
    $d A b $.  $d A x $.  $d B b $.  $d B c $.  $d b x $.  $d B x $.  $d C b $.
    $d C c $.  $d c x $.  $d C x $.
    $( Ordinal less-than is preserved by natural addition.  (Contributed by
       Scott Fenton, 9-Sep-2024.) $)
    naddelim $p |- ( ( A e. On /\ B e. On /\ C e. On ) -> ( A e. B ->
    ( A +no C ) e. ( B +no C ) ) ) $=
      ( vc vx vb con0 wcel w3a cnadd co wa cv wral crab cint wceq oveq1 eleq1d
      wi ad2antlr adantld ralrimiva ovex elintrab sylibr naddov2 3adant1 adantr
      rspcv eleqtrrd ex ) AGHZBGHZCGHZIZABHZACJKZBCJKZHUPUQLZURBDMJKEMZHDCNZFMZ
      CJKZVAHZFBNZLZEGOPZUSUTVGURVAHZTZEGNURVHHUTVJEGUTVAGHZLVFVIVBUQVFVITUPVKV
      EVIFABVCAQVDURVAVCACJRSUJUAUBUCVGEURGACJUDUEUFUPUSVHQZUQUNUOVLUMEDFBCUGUH
      UIUKUL $.
  $}

  $( Ordinal less-than is not affected by natural addition.  (Contributed by
     Scott Fenton, 9-Sep-2024.) $)
  naddel1 $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
  ( A e. B <-> ( A +no C ) e. ( B +no C ) ) ) $=
    ( con0 wcel w3a cnadd co naddelim wss naddssim 3com12 ontri1 ancoms 3adant3
    wn wi wb naddcl 3adant1 3imp3i2an 3imtr3d impcon4bid ) ADEZBDEZCDEZFZABEZAC
    GHZBCGHZEZABCIUGBAJZUJUIJZUHPZUKPZUEUDUFULUMQBACKLUDUEULUNRZUFUEUDUPBAMNOUD
    UEUFUJDEZUIDEUMUORUEUFUQUDBCSTACSUJUIMUAUBUC $.

  $( Ordinal less-than is not affected by natural addition.  (Contributed by
     Scott Fenton, 9-Sep-2024.) $)
  naddel2 $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
  ( A e. B <-> ( C +no A ) e. ( C +no B ) ) ) $=
    ( con0 wcel w3a cnadd co naddel1 wceq naddcom 3adant2 3adant1 eleq12d bitrd
    ) ADEZBDEZCDEZFZABEACGHZBCGHZECAGHZCBGHZEABCISTUBUAUCPRTUBJQACKLQRUAUCJPBCK
    MNO $.

  $( Ordinal less-than-or-equal is not affected by natural addition.
     (Contributed by Scott Fenton, 9-Sep-2024.) $)
  naddss1 $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
  ( A C_ B <-> ( A +no C ) C_ ( B +no C ) ) ) $=
    ( con0 wcel w3a wn cnadd co wss naddel1 3com12 notbid ontri1 3adant3 naddcl
    wb 3adant2 3adant1 syl2anc 3bitr4d ) ADEZBDEZCDEZFZBAEZGZBCHIZACHIZEZGZABJZ
    UIUHJZUEUFUJUCUBUDUFUJQBACKLMUBUCULUGQUDABNOUEUIDEZUHDEZUMUKQUBUDUNUCACPRUC
    UDUOUBBCPSUIUHNTUA $.

  $( Ordinal less-than-or-equal is not affected by natural addition.
     (Contributed by Scott Fenton, 9-Sep-2024.) $)
  naddss2 $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
  ( A C_ B <-> ( C +no A ) C_ ( C +no B ) ) ) $=
    ( con0 wcel w3a cnadd co naddss1 wceq naddcom 3adant2 3adant1 sseq12d bitrd
    wss ) ADEZBDEZCDEZFZABPACGHZBCGHZPCAGHZCBGHZPABCITUAUCUBUDQSUAUCJRACKLRSUBU
    DJQBCKMNO $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Surreal Numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Set up the new syntax for surreal numbers $)
  $c No <s bday $.

  $( Declare the class of all surreal numbers (see ~ df-no ). $)
  csur $a class No $.

  $( Declare the less than relationship over surreal numbers (see
     ~ df-slt ). $)
  cslt $a class <s $.

  $( Declare the birthday function for surreal numbers (see ~ df-bday ). $)
  cbday $a class bday $.

  ${
    $d f a $.
    $( Define the class of surreal numbers.  The surreal numbers are a proper
       class of numbers developed by John H. Conway and introduced by Donald
       Knuth in 1975.  They form a proper class into which all ordered fields
       can be embedded.  The approach we take to defining them was first
       introduced by Hary Gonshor, and is based on the conception of a "sign
       expansion" of a surreal number.  We define the surreals as
       ordinal-indexed sequences of ` 1o ` and ` 2o ` , analagous to Gonshor's
       ` ( - ) ` and ` ( + ) ` .

       After introducing this definition, we will abstract away from it using
       axioms that Norman Alling developed in "Foundations of Analysis over
       Surreal Number Fields."  This is done in an effort to be agnostic
       towards the exact implementation of surreals.  (Contributed by Scott
       Fenton, 9-Jun-2011.) $)
    df-no $a |- No = { f | E. a e. On f : a --> { 1o , 2o } } $.
  $}

  ${
    $d f g x y $.
    $( Next, we introduce surreal less-than, a comparison relationship over the
       surreals by lexicographically ordering them.  (Contributed by Scott
       Fenton, 9-Jun-2011.) $)
    df-slt $a |- <s = { <. f , g >. | ( ( f e. No /\ g e. No ) /\
                         E. x e. On (
                            A. y e. x ( f ` y ) = ( g ` y ) /\
                              ( f ` x ) { <. 1o , (/) >. ,
                                          <. 1o , 2o >. ,
                                          <. (/) , 2o >. } ( g ` x ) ) ) } $.
  $}

  $( Finally, we introduce the birthday function.  This function maps each
     surreal to an ordinal.  In our implementation, this is the domain of the
     sign function.  The important properties of this function are established
     later.  (Contributed by Scott Fenton, 11-Jun-2011.) $)
  df-bday $a |- bday = ( x e. No |-> dom x ) $.

  ${
    $d A f x $.
    $( Membership in the surreals.  (Shortened proof on 2012-Apr-14, SF).
       (Contributed by Scott Fenton, 11-Jun-2011.) $)
    elno $p |- ( A e. No <-> E. x e. On A : x --> { 1o , 2o } ) $=
      ( vf csur wcel cvv cv c1o c2o cpr wf con0 wrex elex ancoms rexlimiva wceq
      fex feq1 rexbidv df-no elab2g pm5.21nii ) BDEBFEZAGZHIJZBKZALMZBDNUGUDALU
      GUELEUDUEUFLBROPUEUFCGZKZALMUHCBDFUIBQUJUGALUEUFUIBSTCAUAUBUC $.
  $}

  ${
    $d A f g x y $.  $d B f g x y $.
    $( The value of the surreal less than relationship.  (Contributed by Scott
       Fenton, 14-Jun-2011.) $)
    sltval $p |- ( ( A e. No /\ B e. No ) ->
            ( A <s B <-> E. x e. On ( A. y e. x ( A ` y ) = ( B ` y ) /\
                         ( A ` x ) { <. 1o , (/) >. , <. 1o , 2o >. ,
                                     <. (/) , 2o >. } ( B ` x ) ) ) ) $=
      ( vf vg csur wcel wa cslt wbr cfv wceq wral cop con0 wrex fveq1 anbi12d
      cv c1o c0 c2o ctp eleq1 anbi1d eqeq1d ralbidv breq1d anbi2d eqeq2d breq2d
      rexbidv df-slt brabg bianabs ) CGHZDGHZIZCDJKBTZCLZUTDLZMZBATZNZVDCLZVDDL
      ZUAUBOUAUCOUBUCOUDZKZIZAPQZETZGHZFTZGHZIZUTVLLZUTVNLZMZBVDNZVDVLLZVDVNLZV
      HKZIZAPQZIUQVOIZVAVRMZBVDNZVFWBVHKZIZAPQZIUSVKIEFCDGGJVLCMZVPWFWEWKWLVMUQ
      VOVLCGUEUFWLWDWJAPWLVTWHWCWIWLVSWGBVDWLVQVAVRUTVLCRUGUHWLWAVFWBVHVDVLCRUI
      SUMSVNDMZWFUSWKVKWMVOURUQVNDGUEUJWMWJVJAPWMWHVEWIVIWMWGVCBVDWMVRVBVAUTVND
      RUKUHWMWBVGVFVHVDVNDRULSUMSABEFUNUOUP $.
  $}

  ${
    $d A x $.
    $( The value of the birthday function within the surreals.  (Contributed by
       Scott Fenton, 14-Jun-2011.) $)
    bdayval $p |- ( A e. No -> ( bday ` A ) = dom A ) $=
      ( vx csur wcel cdm cvv cbday cfv wceq dmexg cv dmeq df-bday fvmptg mpdan
      ) ACDAEZFDAGHPIACJBABKZEPCFGQALBMNO $.
  $}

  ${
    $d A x $.
    $( A surreal is a function.  (Contributed by Scott Fenton, 16-Jun-2011.) $)
    nofun $p |- ( A e. No -> Fun A ) $=
      ( vx csur wcel cv c1o c2o cpr wf con0 wrex wfun elno ffun rexlimivw sylbi
      ) ACDBEZFGHZAIZBJKALZBAMSTBJQRANOP $.

    $( The domain of a surreal is an ordinal.  (Contributed by Scott Fenton,
       16-Jun-2011.) $)
    nodmon $p |- ( A e. No -> dom A e. On ) $=
      ( vx csur wcel cv c1o c2o cpr wf con0 wrex cdm elno fdm biimprcd rexlimiv
      eleq1d sylbi ) ACDBEZFGHZAIZBJKALZJDZBAMUAUCBJUAUCSJDUAUBSJSTANQOPR $.

    $( The range of a surreal is a subset of the surreal signs.  (Contributed
       by Scott Fenton, 16-Jun-2011.) $)
    norn $p |- ( A e. No -> ran A C_ { 1o , 2o } ) $=
      ( vx csur wcel cv c1o c2o cpr con0 wrex crn wss elno frn rexlimivw sylbi
      wf ) ACDBEZFGHZAQZBIJAKSLZBAMTUABIRSANOP $.
  $}

  $( A surreal is a function over its birthday.  (Contributed by Scott Fenton,
     16-Jun-2011.) $)
  nofnbday $p |- ( A e. No -> A Fn ( bday ` A ) ) $=
    ( csur wcel wfun cdm cbday cfv wceq wfn nofun bdayval eqcomd df-fn sylanbrc
    ) ABCZADAEZAFGZHAQIAJOQPAKLAQMN $.

  $( The domain of a surreal has the ordinal property.  (Contributed by Scott
     Fenton, 16-Jun-2011.) $)
  nodmord $p |- ( A e. No -> Ord dom A ) $=
    ( csur wcel cdm con0 word nodmon eloni syl ) ABCADZECJFAGJHI $.

  ${
    $d x A $.
    $( An alternative condition for membership in ` No ` .  (Contributed by
       Scott Fenton, 21-Mar-2012.) $)
    elno2 $p |- ( A e. No <->
              ( Fun A /\ dom A e. On /\ ran A C_ { 1o , 2o } ) ) $=
      ( vx csur wcel wfun cdm con0 crn c1o c2o cpr wss w3a nofun nodmon norn wf
      3jca wa sylibr wrex simp2 wfn simpl funfnd anim1i 3impa df-f feq2 syl2anc
      cv rspcev elno impbii ) ACDZAEZAFZGDZAHIJKZLZMZUOUPURUTANAOAPRVABUKZUSAQZ
      BGUAZUOVAURUQUSAQZVDUPURUTUBVAAUQUCZUTSZVEUPURUTVGUPURSZVFUTVHAUPURUDUEUF
      UGUQUSAUHTVCVEBUQGVBUQUSAUIULUJBAUMTUN $.
  $}

  $( Another condition for membership in ` No ` .  (Contributed by Scott
     Fenton, 14-Apr-2012.) $)
  elno3 $p |- ( A e. No <-> ( A : dom A --> { 1o , 2o } /\ dom A e. On ) ) $=
    ( wfun cdm con0 wcel crn c1o c2o cpr wss w3a wa csur 3anan32 elno2 wfn df-f
    wf funfn anbi1i bitr4i 3bitr4i ) ABZACZDEZAFGHIZJZKUCUGLZUELAMEUDUFARZUELUC
    UEUGNAOUIUHUEUIAUDPZUGLUHUDUFAQUCUJUGASTUATUB $.

  ${
    $d A a x y $.  $d B a x y $.
    $( Alternate expression for surreal less than.  Two surreals obey surreal
       less than iff they obey the sign ordering at the first place they
       differ.  (Contributed by Scott Fenton, 17-Jun-2011.) $)
    sltval2 $p |- ( ( A e. No /\ B e. No ) ->
                     ( A <s B <->
                       ( A ` |^| { a e. On | ( A ` a ) =/= ( B ` a ) } )
                       { <. 1o , (/) >. , <. 1o , 2o >. , <. (/) , 2o >. }
                       ( B ` |^| { a e. On | ( A ` a ) =/= ( B ` a ) } )
                     ) ) $=
      ( vy vx wcel wa wbr cfv wceq c1o c0 c2o con0 wne fvex mtbiri adantl fveq2
      wn csur cslt cv wral cop ctp wrex crab cint sltval cvv w3o brtp 1n0 eqeq1
      neii fvprc nsyl2 adantr 2on0 3jaoi sylbi sylib onelon expcom syl5 neeq12d
      onintrab onnminsb com12 syldc df-ne con2bii syl6ibr ralrimiv jca ex impac
      anass raleq breq12d anbi12d rspcev syl wi eqeq12 csuc 1on 0elon necon3bid
      suc11 mp2an mpbir df-2o df-1o eqeq12i nemtbir eqcom bitrdi nesymi 3imtr4i
      wb elrab biimpri adantlr ssrab2 ne0i onint sylancr nfrab1 nfint nfcv nffv
      nfne elrabf simprbi eqeq12d rspccv ad2antlr simpll oninton ontri1 syl2anc
      wss mtod mpbird intss1 eqssd syldan sylan2 fveq2d biimpd pm2.43d rexlimiv
      expimpd impbid1 bitr4d ) AUAFBUAFGZABUBHDUCZAIZYSBIZJZDEUCZUDZUUCAIZUUCBI
      ZKLUEKMUELMUEUFZHZGZENUGZCUCZAIZUUKBIZOZCNUHZUIZAIZUUPBIZUUGHZEDABUJYRUUS
      UUJYRUUSUUJYRUUSGZUUPNFZUUBDUUPUDZUUSGZGZUUJUUTUVAUVBGZUUSGUVDYRUUSUVEYRU
      USUVEUUTUVAUVBUUSUVAYRUUSUUPUKFZUVAUUSUUQKJZUURLJZGZUVGUURMJZGZUUQLJZUVJG
      ZULUVFKLKMLMUUQUURUUPAPUUPBPUMUVIUVFUVKUVMUVGUVFUVHUVGUVLUVFUVGUVLKLJZKLU
      NUPZUUQKLUOQUUPAUQURZUSUVGUVFUVJUVPUSUVJUVFUVLUVJUVHUVFUVJUVHMLJMLUTUPUUR
      MLUOQUUPBUQURRVAVBUUNCVHVCRZUUTUUBDUUPUUTYSUUPFZYTUUAOZTZUUBUVRUUTYSNFZUV
      TUUTUVAUVRUWAUVQUVAUVRUWAUUPYSVDVEVFUWAUVRUVTUUNUVSCYSUUKYSJUULYTUUMUUAUU
      KYSASUUKYSBSVGVIVJVKUVSUUBYTUUAVLVMVNVOVPVQVRUVAUVBUUSVSVCUUIUVCEUUPNUUCU
      UPJZUUDUVBUUHUUSUUBDUUCUUPVTUWBUUEUUQUUFUURUUGUUCUUPASUUCUUPBSWAWBWCWDVQU
      UIUUSENUUCNFZUUDUUHUUSUWCUUDGZUUHUUSUWDUUHUUHUUSWEUWDUUHGZUUHUUSUWEUUEUUQ
      UUFUURUUGUWEUUCUUPAUUHUWDUUEUUFOZUWBUUEKJZUUFLJGZUWGUUFMJZGZUUELJUWIGZULU
      UEUUFJZTZUUHUWFUWHUWMUWJUWKUWHUWLUVNUVOUUEKUUFLWFQUWJUWLMKJZUWNKWGZLWGZUW
      OUWPOZKLOZUNKNFZLNFZUWQUWRXBWHWIUWSUWTGUWOUWPKLKLWKWJWLWMMUWOKUWPWNWOWPWQ
      UWJUWLKMJUWNUUEKUUFMWFKMWRWSQUWKUWLLMJMLUTWTUUELUUFMWFQVAKLKMLMUUEUUFUUCA
      PUUCBPUMUUEUUFVLXAUWDUWFUUCUUOFZUWBUWCUWFUXAUUDUXAUWCUWFGUUNUWFCUUCNUUKUU
      CJUULUUEUUMUUFUUKUUCASUUKUUCBSVGXCXDXEUWDUXAGZUUCUUPUXBUUCUUPYDZUUPUUCFZT
      ZUXBUXDUUQUURJZUXBUUQUUROZUXFTUXBUUPUUOFZUXGUXBUUONYDZUUOLOZUXHUUNCNXFZUX
      AUXJUWDUUOUUCXGZRUUOXHXIUXHUVAUXGUUNUXGCUUPNCUUOUUNCNXJXKZCNXLCUUQUURCUUP
      ACAXLUXMXMCUUPBCBXLUXMXMXNUUKUUPJUULUUQUUMUURUUKUUPASUUKUUPBSVGXOXPWDUUQU
      URVLVCUUDUXDUXFWEUWCUXAUUBUXFDUUPUUCYSUUPJYTUUQUUAUURYSUUPASYSUUPBSXQXRXS
      YEUXBUWCUVAUXCUXEXBUWCUUDUXAXTUXAUVAUWDUXAUXIUXJUVAUXKUXLUUOYAXIRUUCUUPYB
      YCYFUXAUUPUUCYDUWDUUCUUOYGRYHYIYJZYKUWEUUCUUPBUXNYKWAYLVQYMYOYNYPYQ $.
  $}

  $( The function value of a surreal is either a sign or the empty set.
     (Contributed by Scott Fenton, 22-Jun-2011.) $)
  nofv $p |- ( A e. No -> ( ( A ` X ) = (/) \/ ( A ` X ) = 1o \/
                             ( A ` X ) = 2o ) ) $=
    ( csur wcel cfv c0 wceq c1o c2o wo w3o cdm wn pm2.1 wi ndmfv a1i wfun crn
    wa cpr nofun norn fvelrn ssel syl5com impancom 1oex con0 elexi elpr2 syl6ib
    wss 2on syl2anc orim12d mpi 3orass sylibr ) ACDZBAEZFGZVAHGZVAIGZJZJZVBVCVD
    KUTBALDZMZVGJVFVGNUTVHVBVGVEVHVBOUTBAPQUTARZASZHIUAZUMZVGVEOAUBAUCVIVLTVGVA
    VKDZVEVIVGVLVMVIVGTVAVJDVLVMBAUDVJVKVAUEUFUGVAHIUHIUIUNUJUKULUOUPUQVBVCVDUR
    US $.

  $( ` (/) ` is not a surreal sign.  (Contributed by Scott Fenton,
     16-Jun-2011.) $)
  nosgnn0 $p |- -. (/) e. { 1o , 2o } $=
    ( c0 c1o c2o cpr wcel wceq wo 1n0 nesymi csuc wne necom df-2o neeq2i bitr4i
    nsuceq0 mpbi neii pm3.2ni 0ex elpr mtbir ) ABCDEABFZACFZGUCUDBAHIACBJZAKZAC
    KZBPUFAUEKUGUEALCUEAMNOQRSABCTUAUB $.

  ${
    nosgnn0i.1 $e |- X e. { 1o , 2o } $.
    $( If ` X ` is a surreal sign, then it is not null.  (Contributed by Scott
       Fenton, 3-Aug-2011.) $)
    nosgnn0i $p |- (/) =/= X $=
      ( c0 wceq c1o c2o cpr wcel nosgnn0 eleq1 mpbiri mto neir ) CACADZCEFGZHZI
      NPAOHBCAOJKLM $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( The restriction of a surreal to an ordinal is still a surreal.
       (Contributed by Scott Fenton, 4-Sep-2011.) $)
    noreson $p |- ( ( A e. No /\ B e. On ) -> ( A |` B ) e. No ) $=
      ( vy vx csur wcel con0 wa cv c1o c2o cpr cres wf wrex elno wi onin fresin
      cin feq2 rspcev syl2an an32s ex rexlimiva imp sylanb sylibr ) AEFZBGFZHCI
      ZJKLZABMZNZCGOZUNEFUJDIZUMANZDGOZUKUPDAPUSUKUPURUKUPQDGUQGFZURHUKUPUTUKUR
      UPUTUKHUQBTZGFVAUMUNNZUPURUQBRUQUMABSUOVBCVAGULVAUMUNUAUBUCUDUEUFUGUHCUNP
      UI $.
  $}

  ${
    $d A a $.  $d B a $.
    $( If ` A <s B ` , then the intersection of all the ordinals that have
       differing signs in ` A ` and ` B ` exists.  (Contributed by Scott
       Fenton, 22-Feb-2012.) $)
    sltintdifex $p |- ( ( A e. No /\ B e. No ) ->
       ( A <s B -> |^| { a e. On | ( A ` a ) =/= ( B ` a ) } e. _V ) ) $=
      ( csur wcel wa wbr cfv c1o c0 cop c2o wceq fvex wn fvprc neii eqeq1 eqcom
      bitrdi cslt cv wne con0 crab cint ctp cvv sltval2 w3o brtp 1n0 mtbiri syl
      con4i adantr 2on0 adantl 3jaoi sylbi syl6bi ) ADEBDEFABUAGCUBZAHVBBHUCCUD
      UEUFZAHZVCBHZIJKILKJLKUGGZVCUHEZABCUIVFVDIMZVEJMZFZVHVELMZFZVDJMZVKFZUJVG
      IJILJLVDVEVCANVCBNUKVJVGVLVNVHVGVIVGVHVGOZVMVHOVCAPVMVHIJMZIJULQVMVHJIMVP
      VDJIRJISTUMUNUOZUPVHVGVKVQUPVKVGVMVGVKVOVIVKOVCBPVIVKLJMZLJUQQVIVKJLMVRVE
      JLRJLSTUMUNUOURUSUTVA $.
  $}

  ${
    $d A a x y $.  $d B a x y $.  $d X a x y $.
    $( If the restrictions of two surreals to a given ordinal obey surreal less
       than, then so do the two surreals themselves.  (Contributed by Scott
       Fenton, 4-Sep-2011.) $)
    sltres $p |- ( ( A e. No /\ B e. No /\ X e. On ) ->
                      ( ( A |` X ) <s ( B |` X ) -> A <s B ) ) $=
      ( vy va wcel con0 wbr wa cfv wceq c1o c0 c2o wi imp syl sylc wn ex vx w3a
      csur cres cslt cv wral cop ctp wrex wne crab cint noreson 3adant2 3adant1
      cvv sltintdifex onintrab syl6ib syl2anc wss simpl3 cdm wo wb sltval2 fvex
      w3o brtp 1n0 neii eqeq1 mtbiri ndmfv nsyl2 adantr orcd 2on elexi nosgnn0i
      prid2 eqcom bitrdi adantl olcd 3jaoi sylbi syl6bi dmres elin2 jaoi onelss
      simplbi sselda onelon sylan intss1 ontri1 syl5ib con2d impancom mpd fveq2
      neeq12d elrab simplbi2 con3d df-ne con2bii sylibr fvres eqeq12d ralrimiva
      biimpd fvresval ori eqcomd eqeq2 mpbid a1i ad2antrl cpr wfun nofun fvelrn
      norn sseld syld nosgnn0 eleq1 nsyli adantrl jcad anim12i ad2antll adantrr
      crn syl6 3orim123d 3imtr4g sylbid breq12d anbi12d rspcev syl12anc 3adant3
      raleq sltval mpbird ) AUCFZBUCFZCGFZUBZACUDZBCUDZUEHZABUEHZUUNUUQIZUURDUF
      ZAJZUUTBJZKZDUAUFZUGZUVDAJZUVDBJZLMUHLNUHMNUHUIZHZIZUAGUJZUUSEUFZUUOJZUVL
      UUPJZUKZEGULZUMZGFZUVCDUVQUGZUVQAJZUVQBJZUVHHZUVKUUNUUQUVRUUNUUOUCFZUUPUC
      FZUUQUVROUUKUUMUWCUULACUNUOZUULUUMUWDUUKBCUNUPZUWCUWDIUUQUVQUQFUVRUUOUUPE
      URUVOEUSUTVAPZUUSUVCDUVQUUSUUTUVQFZIZUUTCFZUUTUUOJZUUTUUPJZKZUVCUUSUVQCUU
      TUUSUUMUVQCFZUVQCVBUUKUULUUMUUQVCUUSUVQUUOVDZFZUVQUUPVDZFZVEZUWNUUNUUQUWS
      UUNUUQUVQUUOJZUVQUUPJZUVHHZUWSUUNUWCUWDUUQUXBVFUWEUWFUUOUUPEVGVAZUXBUWTLK
      ZUXAMKZIZUXDUXANKZIZUWTMKZUXGIZVIZUWSLMLNMNUWTUXAUVQUUOVHUVQUUPVHVJZUXFUW
      SUXHUXJUXFUWPUWRUXDUWPUXEUXDUXIUWPUXDUXILMKLMVKVLUWTLMVMVNZUVQUUOVOVPZVQV
      RUXHUWPUWRUXDUWPUXGUXNVQVRUXJUWRUWPUXGUWRUXIUXGUXEUWRUXGUXEMNKZMNNLNNGVSV
      TWBWAVLUXGUXENMKUXOUXANMVMNMWCWDVNZUVQUUPVOVPZWEWFWGWHWIPUWPUWNUWRUWPUWNU
      VQAVDZFZUVQCUXRUWOACWJWKZWNZUWRUWNUVQBVDZFZUVQCUYBUWQBCWJWKZWNZWLQCUVQWMR
      WOUWIUWKUWLUKZSZUWMUWIUUTGFZUUTUVPFZSZUYGUUSUVRUWHUYHUWGUVQUUTWPWQZUWIUYH
      UYJUYKUUSUYHUWHUYJUUSUVRUYHUWHUYJOUWGUVRUYHIZUYIUWHUYIUVQUUTVBUYLUWHSUUTU
      VPWRUVQUUTWSWTXAWQXBXCUYHUYFUYIUYIUYHUYFUVOUYFEUUTGUVLUUTKUVMUWKUVNUWLUVL
      UUTUUOXDUVLUUTUUPXDXEXFXGXHRUYFUWMUWKUWLXIXJXKUWJUWMUVCUWJUWKUVAUWLUVBUUT
      CAXLUUTCBXLXMXORXNUUNUUQUWBUUNUUQUXBUWBUXCUUNUXKUVTLKZUWAMKZIZUYMUWANKZIZ
      UVTMKZUYPIZVIUXBUWBUUNUXFUYOUXHUYQUXJUYSUUNUXFUYMUYNUXFUYMOUUNUXDUYMUXEUX
      DUVTUWTKUYMUXDUWTUVTUXDUXIUWTUVTKZUXMUYTUXIUVQCAXPXQVPXRUWTLUVTXSXTZVQYAU
      UNUXFUYNUUNUXFIZUYCSZUYNVUBUWNUWRSZVUCVUBUWPUWNUXDUWPUUNUXEUXNYBUYAQUUNUX
      EVUDUXDUUNUXEVUDUUNUWDUXEVUDOUWFUWDUWRUXALNYCZFZUXEUWDUWRUXAUUPYRZFZVUFUW
      DUUPYDZUWRVUHOUUPYEVUIUWRVUHUVQUUPYFTQUWDVUGVUEUXAUUPYGYHYIUXEVUFMVUEFZYJ
      UXAMVUEYKVNYLQPYMUWNUYCUWRUWRUWNUYCUYDXGXHRUVQBVOQTYNUXHUYQOUUNUXDUYMUXGU
      YPVUAUXGUWAUXAKUYPUXGUXAUWAUXGUXEUXAUWAKZUXPVUKUXEUVQCBXPXQVPXRUXANUWAXSX
      TZYOYAUUNUXJUYRUYPUUNUXJUXSSZUYRUUNUXJVUMUUNUXJIZUWNUWPSZVUMVUNUWRUWNUXGU
      WRUUNUXIUXQYPUYEQUUNUXIVUOUXGUUNUXIVUOUUNUWCUXIVUOOUWEUWCUWPUWTVUEFZUXIUW
      CUWPUWTUUOYRZFZVUPUWCUUOYDZUWPVUROUUOYEVUSUWPVURUVQUUOYFTQUWCVUQVUEUWTUUO
      YGYHYIUXIVUPVUJYJUWTMVUEYKVNYLQPYQUWNUXSUWPUWPUWNUXSUXTXGXHRTUVQAVOYSUXJU
      YPOUUNUXGUYPUXIVULWEYAYNYTUXLLMLNMNUVTUWAUVQAVHUVQBVHVJUUAUUBPUVJUVSUWBIU
      AUVQGUVDUVQKZUVEUVSUVIUWBUVCDUVDUVQUUHVUTUVFUVTUVGUWAUVHUVDUVQAXDUVDUVQBX
      DUUCUUDUUEUUFUUNUURUVKVFZUUQUUKUULVVAUUMUADABUUIUUGVQUUJT $.
  $}

  $( The Cartesian product of an ordinal and ` { 1o } ` is a surreal.
     (Contributed by Scott Fenton, 12-Jun-2011.) $)
  noxp1o $p |- ( A e. On -> ( A X. { 1o } ) e. No ) $=
    ( con0 wcel c1o csn cxp cdm c2o cpr wf csur 1oex prid1 fconst6 c0 wceq snnz
    wne dmxp ax-mp feq2i mpbir a1i eleq1i biimpri elno3 sylanbrc ) ABCZADEZFZGZ
    DHIZUJJZUKBCZUJKCUMUHUMAULUJJADULDHLMNUKAULUJUIORUKAPDLQAUISTZUAUBUCUNUHUKA
    BUOUDUEUJUFUG $.

  ${
    $d A x $.  $d B x $.
    $( Lemma for ~ nosepon .  Consider a case of proper subset domain.
       (Contributed by Scott Fenton, 21-Sep-2020.) $)
    noseponlem $p |- ( ( A e. No /\ B e. No /\ dom A e. dom B ) ->
       -. A. x e. On ( A ` x ) = ( B ` x ) ) $=
      ( csur wcel cdm w3a cv cfv wne con0 wrex wceq wral wn nodmon 3ad2ant1 syl
      c0 fveq2 word nodmord ordirr ndmfv c1o c2o nosgnn0 elno3 simplbi 3ad2ant2
      cpr wf simp3 ffvelrnd syl5ibcom mtoi neqned necomd eqnetrd neeq12d rspcev
      eleq1 syl2anc df-ne rexbii rexnal bitri sylib ) BDEZCDEZBFZCFZEZGZAHZBIZV
      OCIZJZAKLZVPVQMZAKNOZVNVKKEZVKBIZVKCIZJZVSVIVJWBVMBPQVNWCSWDVNVKVKEOZWCSM
      VIVJWFVMVIVKUAWFBUBVKUCRQVKBUDRVNWDSVNWDSVNWDSMZSUEUFUKZEZUGVNWDWHEWGWIVN
      VLWHVKCVJVIVLWHCULZVMVJWJVLKECUHUIUJVIVJVMUMUNWDSWHVBUOUPUQURUSVRWEAVKKVO
      VKMVPWCVQWDVOVKBTVOVKCTUTVAVCVSVTOZAKLWAVRWKAKVPVQVDVEVTAKVFVGVH $.

    $( Given two unequal surreals, the minimal ordinal at which they differ is
       an ordinal.  (Contributed by Scott Fenton, 21-Sep-2020.) $)
    nosepon $p |- ( ( A e. No /\ B e. No /\ A =/= B ) ->
       |^| { x e. On | ( A ` x ) =/= ( B ` x ) } e. On ) $=
      ( csur wcel wne w3a cfv con0 wrex wa wn wceq wral cdm word nodmord 3expia
      wo 3impia cv crab cint df-ne rexbii notbii dfral2 bitr4i ordtri3or syl2an
      w3o 3orass or12 bitri sylib ord noseponlem wi eqcom ralbii sylnibr ancoms
      jaod syld con4d wss ordsson ssralv 3syl adantr wb nofun 3ad2ant1 3ad2ant2
      wfun eqfunfv syl2anc mpbir2and syl5bi necon1ad onintrab2 ) BDEZCDEZBCFZGA
      UAZBHZWECHZFZAIJZWHAIUBUCIEWBWCWDWIWBWCKZWIBCWILZWFWGMZAINZWJBCMZWKWLLZAI
      JZLWMWIWPWHWOAIWFWGUDUEUFWLAIUGUHWBWCWMWNWBWCWMGZWNBOZCOZMZWLAWRNZWBWCWMW
      TWJWTWMWJWTLWRWSEZWSWREZSZWMLZWJWTXDWJXBWTXCUKZWTXDSZWBWRPZWSPXFWCBQZCQWR
      WSUIUJXFXBWTXCSSXGXBWTXCULXBWTXCUMUNUOUPWJXBXEXCWBWCXBXEABCUQRWCWBXCXEURW
      CWBXCXEWCWBXCGWGWFMZAINWMACBUQWLXJAIWFWGUSUTVARVBVCVDVETWBWCWMXAWBWMXAURZ
      WCWBXHWRIVFXKXIWRVGWLAWRIVHVIVJTWQBVOZCVOZWNWTXAKVKWBWCXLWMBVLVMWCWBXMWMC
      VLVNABCVPVQVRRVSVTTWHAWAUO $.
  $}

  ${
    noextend.1 $e |- X e. { 1o , 2o } $.
    $( Extending a surreal by one sign value results in a new surreal.
       (Contributed by Scott Fenton, 22-Nov-2021.) $)
    noextend $p |- ( A e. No -> ( A u. { <. dom A , X >. } ) e. No ) $=
      ( csur wcel cdm cop csn cun wfun con0 crn c1o wss cin wceq cvv syl syl5eq
      c0 c2o cpr nofun dmexg funsng sylancl elexi dmsnop ineq2i wn word nodmord
      ordirr disjsn sylibr funun syl21anc uneq2i df-suc 3eqtr4i nodmon suceloni
      csuc dmun eqeltrid rnun rnsnopg uneq2d norn snssi unssd eqsstrd syl3anbrc
      mp1i elno2 ) ADEZAAFZBGHZIZJZVSFZKEVSLZMUAUBZNVSDEVPAJVRJZVQVRFZOZTPVTAUC
      VPVQQEZBWCEZWDADUDZCVQBQWCUEUFVPWFVQVQHZOZTWEWJVQVQBBWCCUGUHZUIVPVQVQEUJZ
      WKTPVPVQUKWMAULVQUMRVQVQUNUOSAVRUPUQVPWAVQVCZKVQWEIVQWJIWAWNWEWJVQWLURAVR
      VDVQUSUTVPVQKEWNKEAVAVQVBRVEVPWBALZBHZIZWCVPWBWOVRLZIWQAVRVFVPWRWPWOVPWGW
      RWPPWIVQBQVGRVHSVPWOWPWCAVIWHWPWCNVPCBWCVJVNVKVLVSVOVM $.

    $( Extend a surreal by a sequence of ordinals.  (Contributed by Scott
       Fenton, 30-Nov-2021.) $)
    noextendseq $p |- ( ( A e. No /\ B e. On ) ->
       ( A u. ( ( B \ dom A ) X. { X } ) ) e. No ) $=
      ( csur wcel con0 wa cdm cun wfun crn wss mp2b cin c0 wceq eqtri adantr wi
      cdif csn cxp c1o c2o cpr nofun wfn fnconstg fnfun wne dmxp ineq2i disjdif
      snnzg funun mpan2 sylancl uneq2i nodmon undif eleq1a adantl syl5bi ssdif0
      dmun uneq2 un0 eqtrdi eleq1d biimprcd word eloni ordtri2or2 syl2an mpjaod
      sylan eqeltrid rnun norn rnxpss snssi ax-mp sstri sylanblc eqsstrid elno2
      wo unss syl3anbrc ) AEFZBGFZHZABAIZUAZCUBZUCZJZKZWRIZGFWRLZUDUEUFZMWREFWK
      WSWLWKAKZWQKZWSAUGCXBFZWQWOUHXDDWOCXBUIWOWQUJNXCXDHWNWQIZOZPQWSXGWNWOOPXF
      WOWNXEWPPUKXFWOQDCXBUOWOWPULNZUMWNBUNRAWQUPUQURSWMWTWNWOJZGWTWNXFJXIAWQVF
      XFWOWNXHUSRWKWNGFZWLXIGFZAUTXJWLHZWNBMZXKBWNMZXMXIBQZXLXKWNBVAWLXOXKTXJBG
      XIVBVCVDXNWOPQZXLXKBWNVEXJXPXKTWLXPXKXJXPXIWNGXPXIWNPJWNWOPWNVGWNVHVIVJVK
      SVDXJWNVLBVLXMXNWHWLWNVMBVMWNBVNVOVPVQVRWMXAALZWQLZJZXBAWQVSWMXQXBMZXRXBM
      XSXBMWKXTWLAVTSXRWPXBWOWPWAXEWPXBMDCXBWBWCWDXQXRXBWIWEWFWRWGWJ $.

    $d A x y $.  $d X x y $.
    $( Calculate the place where a surreal and its extension differ.
       (Contributed by Scott Fenton, 22-Nov-2021.) $)
    noextenddif $p |- ( A e. No ->
     |^| { x e. On | ( A ` x ) =/= ( ( A u. { <. dom A , X >. } ) ` x ) } =
     dom A ) $=
      ( vy wcel cv cfv wne con0 wss c0 wn wceq syl sylibr fveq2 wa wo 3ad2ant1
      csur cdm cop csn cun crab cint nodmon nosgnn0i a1i word nodmord ndmfv wfn
      ordirr cin nofun funfn sylib c1o c2o cpr fnsng sylancl disjsn snidg fvun2
      wfun syl112anc fvsng eqtrd 3netr4d neeq12d onintss sylc wi wb eloni eqcom
      ordtri2 orbi1i orcom notbii bitrdi ordsseleq notbid ancoms bitr4d syl2anr
      bitri w3a simp3 fvun1 eqcomd 3expia sylbird necon1ad ralrimiva weq ralrab
      wral ssint eqssd ) BUAFZAGZBHZXEBBUBZCUCUDZUEZHZIZAJUFZUGZXGXDXGJFZXGBHZX
      GXIHZIZXMXGKBUHZXDLCXOXPLCIXDCDUIUJXDXGXGFMZXOLNXDXGUKZXSBULZXGUOOZXGBUMO
      XDXPXGXHHZCXDBXGUNZXHXGUDZUNZXGYEUPLNZXGYEFZXPYCNXDBVHYDBUQBURUSZXDXNCUTV
      AVBZFZYFXRDXGCJYJVCVDZXDXSYGYBXGXGVEPZXDXNYHXRXGJVFOXGYEBXHXGVGVIXDXNYKYC
      CNXRDXGCJYJVJVDVKVLXKXQAXGXEXGNXFXOXJXPXEXGBQXEXGXIQVMVNVOXDXGEGZKZEXLXAZ
      XGXMKXDYNBHZYNXIHZIZYOVPZEJXAYPXDYTEJXDYNJFZRZYOYQYRUUBYOMZYNXGFZYQYRNZUU
      AYNUKZXTUUDUUCVQXDYNVRYAUUFXTRZUUDXGYNFZXGYNNZSZMZUUCUUGUUDYNXGNZUUHSZMUU
      KYNXGVTUUMUUJUUMUUIUUHSUUJUULUUIUUHYNXGVSWAUUIUUHWBWJWCWDXTUUFUUCUUKVQXTU
      UFRYOUUJXGYNWEWFWGWHWIXDUUAUUDUUEXDUUAUUDWKZYRYQUUNYDYFYGUUDYRYQNXDUUAYDU
      UDYITXDUUAYFUUDYLTXDUUAYGUUDYMTXDUUAUUDWLXGYEBXHYNWMVIWNWOWPWQWRXKYSYOEAJ
      AEWSXFYQXJYRXEYNBQXEYNXIQVMWTPEXGXLXBPXC $.
  $}

  ${
    $d A x $.
    $( Extending a surreal with a negative sign results in a smaller surreal.
       (Contributed by Scott Fenton, 22-Nov-2021.) $)
    noextendlt $p |- ( A e. No -> ( A u. { <. dom A , 1o >. } ) <s A ) $=
      ( vx csur wcel c1o cop csn wbr cfv wne con0 crab cint c0 c2o wceq wfn 1on
      wa syl cdm cun cslt cv ctp w3o cin nofun funfn sylib nodmon fnsng sylancl
      wfun wn word ordirr disjsn sylibr snidg fvun2 syl112anc fvsng eqtrd ndmfv
      nodmord jca 3mix1d fvex brtp necom rabbii inteqi prid1 noextenddif syl5eq
      1oex fveq2d 3brtr4d wb noextend sltval2 mpancom mpbird ) ACDZAAUAZEFGZUBZ
      AUCHZBUDZWHIZWJAIZJZBKLZMZWHIZWOAIZENFEOFNOFUEZHZWEWFWHIZWFAIZWPWQWRWEWTE
      PZXANPZSZXBXAOPZSZWTNPXESZUFWTXAWRHWEXDXFXGWEXBXCWEWTWFWGIZEWEAWFQZWGWFGZ
      QZWFXJUGNPZWFXJDZWTXHPWEAUNXIAUHAUIUJWEWFKDZEKDZXKAUKZRWFEKKULUMWEWFWFDUO
      ZXLWEWFUPXQAVFWFUQTZWFWFURUSWEXNXMXPWFKUTTWFXJAWGWFVAVBWEXNXOXHEPXPRWFEKK
      VCUMVDWEXQXCXRWFAVETVGVHENEONOWTXAWFWHVIWFAVIVJUSWEWOWFWHWEWOWLWKJZBKLZMW
      FWNXTWMXSBKWKWLVKVLVMBAEEOVQVNZVOVPZVRWEWOWFAYBVRVSWHCDWEWIWSVTAEYAWAWHAB
      WBWCWD $.

    $( Extending a surreal with a positive sign results in a bigger surreal.
       (Contributed by Scott Fenton, 22-Nov-2021.) $)
    noextendgt $p |- ( A e. No -> A <s ( A u. { <. dom A , 2o >. } ) ) $=
      ( vx csur wcel c2o cop csn wbr cfv con0 c1o c0 wceq wa syl wfn 2on sylibr
      sylancl fvex cdm cun cslt cv wne crab cint ctp w3o wn word nodmord ordirr
      ndmfv cin wfun nofun funfn sylib nodmon fnsng snidg fvun2 syl112anc fvsng
      disjsn eqtrd jca 3mix3d brtp elexi noextenddif fveq2d 3brtr4d wb noextend
      prid2 sltval2 mpdan mpbird ) ACDZAAAUAZEFGZUBZUCHZBUDZAIWFWDIUEBJUFUGZAIZ
      WGWDIZKLFKEFLEFUHZHZWAWBAIZWBWDIZWHWIWJWAWLKMZWMLMNZWNWMEMZNZWLLMZWPNZUIW
      LWMWJHWAWSWOWQWAWRWPWAWBWBDUJZWRWAWBUKWTAULWBUMOZWBAUNOWAWMWBWCIZEWAAWBPZ
      WCWBGZPZWBXDUOLMZWBXDDZWMXBMWAAUPXCAUQAURUSWAWBJDZEJDZXEAUTZQWBEJJVASWAWT
      XFXAWBWBVFRWAXHXGXJWBJVBOWBXDAWCWBVCVDWAXHXIXBEMXJQWBEJJVESVGVHVIKLKELEWL
      WMWBATWBWDTVJRWAWGWBABAEKEEJQVKVQZVLZVMWAWGWBWDXLVMVNWAWDCDWEWKVOAEXKVPAW
      DBVRVSVT $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d X x y $.
    $( Given ` A ` less than or equal to ` B ` , equal to ` B ` up to ` X ` ,
       and ` A ( X ) = 2o ` , then ` B ( X ) = 2o ` .  (Contributed by Scott
       Fenton, 6-Dec-2021.) $)
    nolesgn2o $p |- ( ( ( A e. No /\ B e. No /\ X e. On ) /\
    ( ( A |` X ) = ( B |` X ) /\ ( A ` X ) = 2o ) /\ -. B <s A ) ->
    ( B ` X ) = 2o ) $=
      ( vy vx csur wcel con0 w3a cres wceq cfv c2o wa wbr wn c0 c1o wo cop cslt
      w3o simpl2 nofv syl 3orel3 syl5com cv wral ctp simp13 fveq1 eqcomd adantr
      simpr fvresd 3eqtr3d ralrimiva 3ad2ant2 simprr ancld orim12d 3impia 3mix3
      wrex a1d 3mix2 jaoi fvex brtp sylibr raleq fveq2 breq12d anbi12d syl12anc
      rspcev wb simp12 simp11 sltval syl2anc mpbird 3expia syld con1d ) AFGZBFG
      ZCHGZIZACJZBCJZKZCALZMKZNZBAUAOZPCBLZMKZWJWPNZWSWQWTWSPZWRQKZWRRKZSZWQWTX
      BXCWSUBZXAXDWTWHXEWGWHWIWPUCBCUDUEXBXCWSUFUGWJWPXDWQWJWPXDIZWQDUHZBLZXGAL
      ZKZDEUHZUIZXKBLZXKALZRQTRMTQMTUJZOZNZEHVEZXFWIXJDCUIZWRWNXOOZXRWGWHWIWPXD
      UKWPWJXSXDWMXSWOWMXJDCWMXGCGZNZXGWLLZXGWKLZXHXIWMYCYDKYAWMYDYCXGWKWLULUMU
      NYBXGCBWMYAUOZUPYBXGCAYEUPUQURUNUSXFXCWNQKNZXCWONZXBWONZUBZXTXFYHYGSZYIWJ
      WPXDYJWTXBYHXCYGWTXBWOWTWOXBWJWMWOUTZVFVAWTXCWOWTWOXCYKVFVAVBVCYHYIYGYHYF
      YGVDYGYFYHVGVHUERQRMQMWRWNCBVICAVIVJVKXQXSXTNECHXKCKZXLXSXPXTXJDXKCVLYLXM
      WRXNWNXOXKCBVMXKCAVMVNVOVQVPXFWHWGWQXRVRWGWHWIWPXDVSWGWHWIWPXDVTEDBAWAWBW
      CWDWEWFVC $.

    $( Given ` A ` less than or equal to ` B ` , equal to ` B ` up to ` X ` ,
       and ` A ( X ) = 2o ` , then ` ( A |`` suc X ) = ( B |`` suc X ) ` .
       (Contributed by Scott Fenton, 6-Dec-2021.) $)
    nolesgn2ores $p |- ( ( ( A e. No /\ B e. No /\ X e. On ) /\
    ( ( A |` X ) = ( B |` X ) /\ ( A ` X ) = 2o ) /\ -. B <s A ) ->
    ( A |` suc X ) = ( B |` suc X ) ) $=
      ( vx csur wcel con0 w3a cres wceq cfv c2o wa wn cdm syl wne fvresd wfun
      c0 cslt wbr csuc cv wral cin dmres wss simp11 nodmord ndmfv c1o 2on elexi
      word prid2 nosgnn0i neeq1 mpbiri neneqd con4i adantl 3ad2ant2 df-ss sylib
      ordsucss syl5eq simp12 nolesgn2o eqtr4d eleq2d wo vex elsuc simp2l fveq1d
      sylc adantr simpr 3eqtr3d simp2r fveq2 eqeq12d syl5ibrcom jaod syl5bi imp
      ex 3eqtr4d sylbid ralrimiv wb nofun funres 3syl eqfunfv syl2anc mpbir2and
      ) AEFZBEFZCGFZHZACIZBCIZJZCAKZLJZMZBAUAUBNZHZACUCZIZBXKIZJZXLOZXMOZJZDUDZ
      XLKZXRXMKZJZDXOUEZXJXOXKXPXJXOXKAOZUFZXKAXKUGXJXKYCUHZYDXKJXJYCUOZCYCFZYE
      XJWSYFWSWTXAXHXIUIZAUJPXHXBYGXIXGYGXEYGXGYGNXFTJZXGNCAUKYIXFLYIXFLQTLQZLU
      LLLGUMUNUPUQZXFTLURUSUTPVAVBVCCYCVFVQXKYCVDVEVGZXJXPXKBOZUFZXKBXKUGXJXKYM
      UHZYNXKJXJYMUOZCYMFZYOXJWTYPWSWTXAXHXIVHZBUJPXJCBKZLJZYQABCVIZYQYTYQNYSTJ
      ZYTNCBUKUUBYSLUUBYSLQYJYKYSTLURUSUTPVAPCYMVFVQXKYMVDVEVGVJXJYADXOXJXRXOFX
      RXKFZYAXJXOXKXRYLVKXJUUCYAXJUUCMZXRAKZXRBKZXSXTXJUUCUUEUUFJZUUCXRCFZXRCJZ
      VLXJUUGXRCDVMVNXJUUHUUGUUIXJUUHUUGXJUUHMZXRXCKZXRXDKZUUEUUFXJUUKUULJUUHXJ
      XRXCXDXBXEXGXIVOVPVRUUJXRCAXJUUHVSZRUUJXRCBUUMRVTWHXJUUGUUIXFYSJXJXFLYSXB
      XEXGXIWAUUAVJUUIUUEXFUUFYSXRCAWBXRCBWBWCWDWEWFWGUUDXRXKAXJUUCVSZRUUDXRXKB
      UUNRWIWHWJWKXJXLSZXMSZXNXQYBMWLXJWSASUUOYHAWMXKAWNWOXJWTBSUUPYRBWMXKBWNWO
      DXLXMWPWQWR $.

    $( Given ` A ` greater than or equal to ` B ` , equal to ` B ` up to
       ` X ` , and ` A ( X ) = 1o ` , then ` B ( X ) = 1o ` .  (Contributed by
       Scott Fenton, 9-Aug-2024.) $)
    nogesgn1o $p |- ( ( ( A e. No /\ B e. No /\ X e. On ) /\
    ( ( A |` X ) = ( B |` X ) /\ ( A ` X ) = 1o ) /\ -. A <s B ) ->
    ( B ` X ) = 1o ) $=
      ( vy vx csur wcel con0 w3a cres wceq cfv c1o wa wbr wn c0 c2o wo cop cslt
      w3o simpl2 nofv syl 3orel2 syl5com cv wral wrex simp13 fveq1 adantr simpr
      ctp fvresd 3eqtr3d ralrimiva 3ad2ant2 simp2r simp3 andi sylib 3mix1 3mix2
      jca jaoi fvex brtp sylibr raleq breq12d anbi12d rspcev syl12anc wb simp11
      fveq2 simp12 sltval syl2anc mpbird 3expia syld con1d 3impia ) AFGZBFGZCHG
      ZIZACJZBCJZKZCALZMKZNZABUAOZPCBLZMKZWJWPNZWSWQWTWSPZWRQKZWRRKZSZWQWTXBWSX
      CUBZXAXDWTWHXEWGWHWIWPUCBCUDUEXBWSXCUFUGWJWPXDWQWJWPXDIZWQDUHZALZXGBLZKZD
      EUHZUIZXKALZXKBLZMQTMRTQRTUOZOZNZEHUJZXFWIXJDCUIZWNWRXOOZXRWGWHWIWPXDUKWP
      WJXSXDWMXSWOWMXJDCWMXGCGZNZXGWKLZXGWLLZXHXIWMYCYDKYAXGWKWLULUMYBXGCAWMYAU
      NZUPYBXGCBYEUPUQURUMUSXFWOXBNZWOXCNZWNQKXCNZUBZXTXFYFYGSZYIXFWOXDNYJXFWOX
      DWJWMWOXDUTWJWPXDVAVFWOXBXCVBVCYFYIYGYFYGYHVDYGYFYHVEVGUEMQMRQRWNWRCAVHCB
      VHVIVJXQXSXTNECHXKCKZXLXSXPXTXJDXKCVKYKXMWNXNWRXOXKCAVRXKCBVRVLVMVNVOXFWG
      WHWQXRVPWGWHWIWPXDVQWGWHWIWPXDVSEDABVTWAWBWCWDWEWF $.

    $( Given ` A ` greater than or equal to ` B ` , equal to ` B ` up to
       ` X ` , and ` A ( X ) = 1o ` , then
       ` ( A |`` suc X ) = ( B |`` suc X ) ` .  (Contributed by Scott Fenton,
       6-Dec-2021.) $)
    nogesgn1ores $p |- ( ( ( A e. No /\ B e. No /\ X e. On ) /\
    ( ( A |` X ) = ( B |` X ) /\ ( A ` X ) = 1o ) /\ -. A <s B ) ->
    ( A |` suc X ) = ( B |` suc X ) ) $=
      ( vx csur wcel w3a cres wceq cfv c1o wa wn cdm cin syl c0 wne fvresd wfun
      con0 cslt wbr csuc cv wral dmres wss word simp11 nodmord ndmfv 1n0 necomi
      neeq1 mpbiri neneqd con4i adantl 3ad2ant2 ordsucss df-ss syl5eq nogesgn1o
      sylc sylib simp12 eqtr4d eleq2d wo vex elsuc simpl2l fveq1d simpr 3eqtr3d
      ex simp2r fveq2 eqeq12d syl5ibrcom jaod syl5bi 3eqtr4d sylbid ralrimiv wb
      imp nofun funresd eqfunfv syl2anc mpbir2and ) AEFZBEFZCUAFZGZACHZBCHZIZCA
      JZKIZLZABUBUCMZGZACUDZHZBXFHZIZXGNZXHNZIZDUEZXGJZXMXHJZIZDXJUFZXEXJXFXKXE
      XJXFANZOZXFAXFUGXEXFXRUHZXSXFIXEXRUIZCXRFZXTXEWNYAWNWOWPXCXDUJZAUKPXCWQYB
      XDXBYBWTYBXBYBMXAQIZXBMCAULYDXAKYDXAKRQKRZKQUMUNZXAQKUOUPUQPURUSUTCXRVAVE
      XFXRVBVFVCZXEXKXFBNZOZXFBXFUGXEXFYHUHZYIXFIXEYHUIZCYHFZYJXEWOYKWNWOWPXCXD
      VGZBUKPXECBJZKIZYLABCVDZYLYOYLMYNQIZYOMCBULYQYNKYQYNKRYEYFYNQKUOUPUQPURPC
      YHVAVEXFYHVBVFVCVHXEXPDXJXEXMXJFXMXFFZXPXEXJXFXMYGVIXEYRXPXEYRLZXMAJZXMBJ
      ZXNXOXEYRYTUUAIZYRXMCFZXMCIZVJXEUUBXMCDVKVLXEUUCUUBUUDXEUUCUUBXEUUCLZXMWR
      JXMWSJYTUUAUUEXMWRWSWTXBWQXDUUCVMVNUUEXMCAXEUUCVOZSUUEXMCBUUFSVPVQXEUUBUU
      DXAYNIXEXAKYNWQWTXBXDVRYPVHUUDYTXAUUAYNXMCAVSXMCBVSVTWAWBWCWHYSXMXFAXEYRV
      OZSYSXMXFBUUGSWDVQWEWFXEXGTXHTXIXLXQLWGXEXFAXEWNATYCAWIPWJXEXFBXEWOBTYMBW
      IPWJDXGXHWKWLWM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Surreal Numbers: Ordering
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( Lemma for ~ sltso .  The sign expansion relationship totally orders the
       surreal signs.  (Contributed by Scott Fenton, 8-Jun-2011.) $)
    sltsolem1 $p |- { <. 1o , (/) >. , <. 1o , 2o >. , <. (/) , 2o >. }
                      Or ( { 1o , 2o } u. { (/) } ) $=
      ( vx vy vz c1o c2o c0 cop cv wbr wcel wceq wa w3o eqtr2 brtp expcom 3jaod
      mto ex ad2ant2lr ctp wor cpr csn cun wn 1n0 neii con0 wb 0elon csuc df-2o
      1on df-1o eqeq12i suc11 syl5bb nemtbir ancoms nsuceq0 eqeq1i 3pm3.2ni vex
      mp2an mtbir a1i w3a pm2.21i ad2ant2rl 3mix2 3jaoi imp syl2anb sylibr eltp
      wi eqtr3 3mix2d 3mix1d 3mix1 3mix3 biid 3orbi123i issoi df-tp soeq2 ax-mp
      3mix3d mpbi ) DEFUAZDFGDEGFEGUAZUBZDEUCFUDUEZWLUBZABCWKWLAHZWPWLIZUFWPWKJ
      ZWQWPDKZWPFKZLZWSWPEKZLZWTXBLZMXAXCXDXADFKZDFUGUHZWPDFNRXCEDKZXGDFUGDUIJZ
      FUIJZXGXEUJUNUKXGDULZFULZKXHXILXEEXJDXKUMUOUPDFUQURVEUSZXBWSXGWPEDNUTRXDE
      FKZXMXJFDVAEXJFUMVBUSZXBWTXMWPEFNUTRVCDFDEFEWPWPAVDZXOOVFVGWPBHZWLIZXPCHZ
      WLIZLZWPXRWLIZVQWRXPWKJZXRWKJVHXTWSXRFKZLZWSXREKZLZWTYELZMZYAXQWSXPFKZLZW
      SXPEKZLZWTYKLZMZXPDKZYCLZYOYELZYIYELZMZYHXSDFDEFEWPXPXOBVDZOZDFDEFEXPXRYT
      CVDZOYNYSYHYJYSYHVQYLYMYJYPYHYQYRYPYJYHYOYIYHYCWSYOYILZYHUUCXEXFXPDFNRVIZ
      VJPYQYJYHYOYIYHYEWSUUDVJPYJYRYHWSYEYHYIYIYFYDYGVKVJSQYLYPYHYQYRYLYPYHYKYO
      YHWSYCYKYOLZYHUUEXGXLXPEDNRVIZTSYLYQYHYKYOYHWSYEUUFTSYLYRYHYKYIYHWSYEYKYI
      LZYHUUGXMXNXPEFNRVIZTSQYMYPYHYQYRYMYPYHYKYOYHWTYCUUFTSYMYQYHYKYOYHWTYEUUF
      TSYMYRYHYKYIYHWTYEUUHTSQVLVMVNDFDEFEWPXRXOUUBOVOVGWRYBLYNWPXPKZYOWTLZYOXB
      LZYIXBLZMZMZXQUUIXPWPWLIZMWRWSXBWTMZYOYKYIMZUUNYBWPDEFXOVPXPDEFYTVPUUPUUQ
      UUNWSUUQUUNVQXBWTWSYOUUNYKYIWSYOUUNWSYOLUUIYNUUMWPXPDVRVSSWSYKUUNYLYNUUIU
      UMYLYJYMVKVTSWSYIUUNYJYNUUIUUMYJYLYMWAVTSQXBYOUUNYKYIYOXBUUNUUKUUMYNUUIUU
      KUUJUULVKWIPXBYKUUNXBYKLUUIYNUUMWPXPEVRVSSYIXBUUNUULUUMYNUUIUULUUJUUKWBWI
      PQWTYOUUNYKYIYOWTUUNUUJUUMYNUUIUUJUUKUULWAWIPWTYKUUNYMYNUUIUUMYMYJYLWBVTS
      WTYIUUNWTYILUUIYNUUMWPXPFVRVSSQVLVMVNXQYNUUIUUIUUOUUMUUAUUIWCDFDEFEXPWPYT
      XOOWDVOWEWKWNKWMWOUJDEFWFWKWNWLWGWHWJ $.
  $}

  ${
    $d f g x y $.
    $( Surreal less than totally orders the surreals.  Axiom O of [Alling]
       p. 184.  (Contributed by Scott Fenton, 9-Jun-2011.) $)
    sltso $p |- <s Or No $=
      ( vx vy vf vg c1o c2o cpr c0 cop cslt csur sltsolem1 df-no df-slt nosgnn0
      ctp soseq ) ABEFGEHIEFIHFIPJCDKLCAMABCDNOQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Surreal Numbers: Birthday Function
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( The birthday function maps the surreals onto the ordinals.  Axiom B of
       [Alling] p. 184.  (Shortened proof on 2012-Apr-14, SF).  (Contributed by
       Scott Fenton, 11-Jun-2011.) $)
    bdayfo $p |- bday : No -onto-> On $=
      ( vx vy csur con0 cbday wfo wfn crn wceq cdm wcel wral dmexg rgen df-bday
      cv cvv mptfng mpbi c1o wrex cab rnmpt csn cxp noxp1o 1oex snnz dmxp ax-mp
      wne eqcomi dmeq rspceeqv sylancl nodmon eleq1a syl rexlimiv impbii abbi2i
      c0 wi eqtr4i df-fo mpbir2an ) CDEFECGZEHZDIAPZJZQKZACLVGVKACVICMNACVJEAOZ
      RSVHBPZVJIZACUAZBUBDABCVJEVLUCVOBDVMDKZVOVPVMTUDZUEZCKVMVRJZIVOVMUFVSVMVQ
      VBUKVSVMITUGUHVMVQUIUJULAVRCVJVSVMVIVRUMUNUOVNVPACVICKVJDKVNVPVCVIUPVJDVM
      UQURUSUTVAVDCDEVEVF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Surreal Numbers: Density
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The value of a surreal at its birthday is ` (/) ` .  (Contributed by Scott
     Fenton, 14-Jun-2011.)  (Proof shortened by SF, 14-Apr-2012.) $)
  fvnobday $p |- ( A e. No -> ( A ` ( bday ` A ) ) = (/) ) $=
    ( csur wcel cbday cfv wn c0 wceq bdayval word nodmord ordirr eqneltrd ndmfv
    cdm syl ) ABCZADEZAOZCFRAEGHQRSSAIQSJSSCFAKSLPMRANP $.

  ${
    $d A x $.  $d B x $.
    $( Lemma for ~ nosepne .  (Contributed by Scott Fenton, 24-Nov-2021.) $)
    nosepnelem $p |- ( ( A e. No /\ B e. No /\ A <s B ) ->
       ( A ` |^| { x e. On | ( A ` x ) =/= ( B ` x ) } ) =/=
       ( B ` |^| { x e. On | ( A ` x ) =/= ( B ` x ) } ) ) $=
      ( csur wcel wbr cfv wne con0 wa c1o cop c2o wceq fvex simpl simpr neeq12d
      c0 mpbiri cslt cv crab cint ctp sltval2 w3o brtp csuc df-2o df-1o eqeq12i
      1n0 wb 1on 0elon suc11 mp2an bitri necon3bii mpbir necomi 2on elexi prid2
      nosgnn0i 3jaoi sylbi syl6bi 3impia ) BDEZCDEZBCUAFZAUBZBGVNCGHAIUCUDZBGZV
      OCGZHZVKVLJVMVPVQKSLKMLSMLUEFZVRBCAUFVSVPKNZVQSNZJZVTVQMNZJZVPSNZWCJZUGVR
      KSKMSMVPVQVOBOVOCOUHWBVRWDWFWBVRKSHZUMWBVPKVQSVTWAPVTWAQRTWDVRKMHMKMKHWGU
      MMKKSMKNKUIZSUIZNZKSNZMWHKWIUJUKULKIESIEWJWKUNUOUPKSUQURUSUTVAVBWDVPKVQMV
      TWCPVTWCQRTWFVRSMHMKMMIVCVDVEVFWFVPSVQMWEWCPWEWCQRTVGVHVIVJ $.

    $( The value of two non-equal surreals at the first place they differ is
       different.  (Contributed by Scott Fenton, 24-Nov-2021.) $)
    nosepne $p |- ( ( A e. No /\ B e. No /\ A =/= B ) ->
       ( A ` |^| { x e. On | ( A ` x ) =/= ( B ` x ) } ) =/=
       ( B ` |^| { x e. On | ( A ` x ) =/= ( B ` x ) } ) ) $=
      ( csur wcel wne cv cfv con0 crab cint wa cslt wbr wo wor nosepnelem necom
      3expia fveq2i wb sltso sotrine mpan wi rabbii inteqi neeq12i bitri sylibr
      w3a ancoms jaod sylbid 3impia ) BDEZCDEZBCFZAGZBHZUSCHZFZAIJZKZBHZVDCHZFZ
      UPUQLZURBCMNZCBMNZOZVGDMPVHURVKUAUBDBCMUCUDVHVIVGVJUPUQVIVGABCQSUQUPVJVGU
      EUQUPVJVGUQUPVJUKVAUTFZAIJZKZCHZVNBHZFZVGACBQVGVPVOFVQVEVPVFVOVDVNBVCVMVB
      VLAIUTVARUFUGZTVDVNCVRTUHVPVORUIUJSULUMUNUO $.
  $}

  ${
    $d A x $.  $d B x $.
    $( If the value of a surreal at a separator is ` 1o ` then the surreal is
       lesser.  (Contributed by Scott Fenton, 7-Dec-2021.) $)
    nosep1o $p |- ( ( ( A e. No /\ B e. No /\ A =/= B ) /\
     ( A ` |^| { x e. On | ( A ` x ) =/= ( B ` x ) } ) = 1o ) ->
     A <s B ) $=
      ( csur wcel wne w3a cv cfv con0 c1o wceq wa wbr c0 cop c2o w3o wo syl ctp
      crab cint cslt simpr wn nosepne adantr eqnetrrd necomd neneqd simpl2 nofv
      3orel2 sylc eqid jctil andi sylib 3mix1 3mix2 jaoi 1oex fvex brtp eqbrtrd
      sylibr wb simpl1 sltval2 syl2anc mpbird ) BDEZCDEZBCFZGZAHZBIVQCIFAJUBUCZ
      BIZKLZMZBCUDNZVSVRCIZKOPKQPOQPUAZNZWAVSKWCWDVPVTUEZWAKKLZWCOLZMZWGWCQLZMZ
      KOLWJMZRZKWCWDNWAWIWKSZWMWAWGWHWJSZMWNWAWOWGWAWCKLZUFWHWPWJRZWOWAWCKWAKWC
      WAVSKWCWFVPVSWCFVTABCUGUHUIUJUKWAVNWQVMVNVOVTULZCVRUMTWHWPWJUNUOKUPUQWGWH
      WJURUSWIWMWKWIWKWLUTWKWIWLVAVBTKOKQOQKWCVCVRCVDVEVGVFWAVMVNWBWEVHVMVNVOVT
      VIWRBCAVJVKVL $.
  $}

  ${
    $d A x $.  $d B x $.
    $( If the value of a surreal at a separator is ` 2o ` then the surreal is
       greater.  (Contributed by Scott Fenton, 7-Dec-2021.) $)
    nosep2o $p |- ( ( ( A e. No /\ B e. No /\ A =/= B ) /\
     ( A ` |^| { x e. On | ( B ` x ) =/= ( A ` x ) } ) = 2o ) ->
     B <s A ) $=
      ( csur wcel wne w3a cv cfv c2o wceq wa wbr c1o c0 cop w3o wo syl fvex ctp
      con0 crab cint cslt simp2 simp1 simp3 necomd nosepne syl3anc adantr simpr
      neeqtrd neneqd simpl2 nofv 3orel3 sylc orcomd jca andir sylib 3mix2 3mix3
      wn jaoi brtp sylibr wb simpl1 sltval2 syl2anc mpbird ) BDEZCDEZBCFZGZAHZC
      IVSBIFAUBUCUDZBIZJKZLZCBUEMZVTCIZWANOPNJPOJPUAMZWCWENKZWAOKLZWGWBLZWEOKZW
      BLZQZWFWCWIWKRZWLWCWGWJRZWBLWMWCWNWBWCWJWGWCWEJKZVFWJWGWOQZWJWGRWCWEJWCWE
      WAJVRWEWAFZWBVRVPVOCBFWQVOVPVQUFVOVPVQUGVRBCVOVPVQUHUIACBUJUKULVRWBUMZUNU
      OWCVPWPVOVPVQWBUPZCVTUQSWJWGWOURUSUTWRVAWGWJWBVBVCWIWLWKWIWHWKVDWKWHWIVEV
      GSNONJOJWEWAVTCTVTBTVHVIWCVPVOWDWFVJWSVOVPVQWBVKCBAVLVMVN $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Lemma for ~ nosepdm .  (Contributed by Scott Fenton, 24-Nov-2021.) $)
    nosepdmlem $p |- ( ( A e. No /\ B e. No /\ A <s B ) ->
       |^| { x e. On | ( A ` x ) =/= ( B ` x ) } e. ( dom A u. dom B ) ) $=
      ( csur wcel wbr cfv wne con0 cdm wo wn wi wa c1o c0 cop c2o wceq syl cslt
      w3a cv crab cint cun ctp sltval2 w3o fvex brtp df-3or ndmfv 1oex nosgnn0i
      prid1 neeq1 mpbiri neneqd intnanrd ioran sylanbrc adantl orel1 syl5bi 2on
      elexi prid2 con4i syl6 ex com23 sylbid 3impia orrd elun sylibr ) BDEZCDEZ
      BCUAFZUBZAUCZBGWBCGHAIUDUEZBJZEZWCCJZEZKWCWDWFUFEWAWEWGVRVSVTWELZWGMZVRVS
      NZVTWCBGZWCCGZOPQORQPRQUGFZWIBCAUHWMWKOSZWLPSZNZWNWLRSZNZWKPSZWQNZUIZWJWI
      OPORPRWKWLWCBUJWCCUJUKWJWHXAWGWJWHXAWGMWJWHNZXAWTWGXAWPWRKZWTKZXBWTWPWRWT
      ULXBXCLZXDWTMWHXEWJWHWSXEWCBUMWSWPLWRLXEWSWNWOWSWKOWSWKOHPOHOORUNUPUOWKPO
      UQURUSZUTWSWNWQXFUTWPWRVAVBTVCXCWTVDTVEWQWGWSWGWQWGLZWLRXGWOWLRHZWCCUMWOX
      HPRHRORRIVFVGVHUOWLPRUQURTUSVIVCVJVKVLVEVMVNVOWCWDWFVPVQ $.

    $( The first place two surreals differ is an element of the larger of their
       domains.  (Contributed by Scott Fenton, 24-Nov-2021.) $)
    nosepdm $p |- ( ( A e. No /\ B e. No /\ A =/= B ) ->
       |^| { x e. On | ( A ` x ) =/= ( B ` x ) } e. ( dom A u. dom B ) ) $=
      ( csur wcel wne cv cfv con0 crab cint cdm cun wa wbr wo wor wb nosepdmlem
      cslt sltso sotrine 3expa simplr simpll simpr syl3anc necom rabbii 3eltr4g
      mpan inteqi uncom jaodan ex sylbid 3impia ) BDEZCDEZBCFZAGZBHZVACHZFZAIJZ
      KZBLZCLZMZEZURUSNZUTBCTOZCBTOZPZVJDTQVKUTVNRUADBCTUBUKVKVNVJVKVLVJVMURUSV
      LVJABCSUCVKVMNZVCVBFZAIJZKZVHVGMZVFVIVOUSURVMVRVSEURUSVMUDURUSVMUEVKVMUFA
      CBSUGVEVQVDVPAIVBVCUHUIULVGVHUMUJUNUOUPUQ $.
  $}

  ${
    $d A x $.  $d B x $.  $d X x $.
    $( The values of two surreals at a point less than their separators are
       equal.  (Contributed by Scott Fenton, 6-Dec-2021.) $)
    nosepeq $p |- ( ( ( A e. No /\ B e. No /\ A =/= B ) /\
     X e. |^| { x e. On | ( A ` x ) =/= ( B ` x ) } ) ->
     ( A ` X ) = ( B ` X ) ) $=
      ( csur wcel wne w3a cv cfv con0 crab cint wa wn wceq nosepon onelon sylan
      fveq2 simpr neeq12d onnminsb sylc df-ne con2bii sylibr ) BEFCEFBCGHZDAIZB
      JZUICJZGZAKLMZFZNZDBJZDCJZGZOZUPUQPZUODKFZUNUSUHUMKFUNVAABCQUMDRSUHUNUAUL
      URADUIDPUJUPUKUQUIDBTUIDCTUBUCUDURUTUPUQUEUFUG $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Given two non-equal surreals, their separator is less than or equal to
       the domain of one of them.  Part of Lemma 2.1.1 of [Lipparini] p. 3.
       (Contributed by Scott Fenton, 6-Dec-2021.) $)
    nosepssdm $p |- ( ( A e. No /\ B e. No /\ A =/= B ) ->
      |^| { x e. On | ( A ` x ) =/= ( B ` x ) } C_ dom A ) $=
      ( csur wcel wne cfv con0 cdm wn wceq wa c0 wi word nodmord 3ad2ant1 ndmfv
      wss syl w3a cv crab cint nosepne neneqd ordn2lp sylibr imp nosepeq simpl1
      imnan ordirr 3syl eqeq1d eqcom bitrdi crn wb simpl2 nofun c1o c2o nosgnn0
      wfun cpr norn sseld mtoi funeldmb syl2anc necon2bbid ordtr1 expdimp con3d
      3ad2ant2 sylbid mpd eqtr4d mtand nosepon nodmon ontri1 mpbird ) BDEZCDEZB
      CFZUAZAUBZBGWICGFAHUCUDZBIZSZWKWJEZJZWHWMWJBGZWJCGZKWHWOWPABCUEUFWHWMLZWO
      MWPWQWJWKEZJZWOMKWHWMWSWHWMWRLJZWMWSNWHWKOZWTWEWFXAWGBPZQWKWJUGTWMWRULUHU
      IWJBRTWQWJCIZEZJZWPMKWQWKBGZWKCGZKZXEABCWKUJWQXHXGMKZXEWQXHMXGKXIWQXFMXGW
      QXAWKWKEJXFMKWQWEXAWEWFWGWMUKXBTWKUMWKBRUNUOMXGUPUQWQXIWKXCEZJXEWQXJXGMWQ
      CVEZMCURZEZJXJXGMFUSWQWFXKWEWFWGWMUTZCVATWQXMMVBVCVFZEVDWQXLXOMWQWFXLXOSX
      NCVGTVHVIWKCVJVKVLWQXDXJWHWMXDXJWHXCOZWMXDLXJNWFWEXPWGCPVPWKWJXCVMTVNVOVQ
      VQVRWJCRTVSVTWHWJHEWKHEZWLWNUSABCWAWEWFXQWGBWBQWJWKWCVKWD $.
  $}

  ${
    $d A a $.  $d B a $.
    $( Lemma for ~ nodense .  Show that a particular abstraction is an ordinal.
       (Contributed by Scott Fenton, 16-Jun-2011.) $)
    nodenselem4 $p |- ( ( ( A e. No /\ B e. No ) /\ A <s B ) ->
                        |^| { a e. On | ( A ` a ) =/= ( B ` a ) } e. On ) $=
      ( csur wcel wa cslt wbr wne cv con0 crab cint simpll simplr wn wceq sltso
      cfv wor sonr mpan adantr breq2 notbid syl5ibcom necon2ad nosepon syl3anc
      imp ) ADEZBDEZFZABGHZFUKULABIZCJZASUPBSICKLMKEUKULUNNUKULUNOUMUNUOUMUNABU
      MAAGHZPZABQZUNPUKURULDGTUKURRDAGUAUBUCUSUQUNABAGUDUEUFUGUJCABUHUI $.
  $}

  ${
    $d A a $.  $d B a $.
    $( Lemma for ~ nodense .  If the birthdays of two distinct surreals are
       equal, then the ordinal from ~ nodenselem4 is an element of that
       birthday.  (Contributed by Scott Fenton, 16-Jun-2011.) $)
    nodenselem5 $p |- ( ( ( A e. No /\ B e. No ) /\
                            ( ( bday ` A ) = ( bday ` B ) /\ A <s B ) ) ->
                          |^| { a e. On | (
                                     A ` a ) =/= ( B ` a ) } e.
                          ( bday ` A ) ) $=
      ( csur wcel wa cbday cfv wceq cslt wbr cv wne con0 cdm cun wn bdayval syl
      crab cint simpll simplr wi wor sltso sonr breq2 notbid syl5ibcom necon2ad
      mpan adantr adantrl nosepdm syl3anc simprl uneq2d eqtr3di uneq12d 3eqtr3d
      imp unidm eleqtrd eleqtrrd ) ADEZBDEZFZAGHZBGHZIZABJKZFZFZCLZAHVOBHMCNTUA
      ZAOZVIVNVPVQBOZPZVQVNVFVGABMZVPVSEVFVGVMUBZVFVGVMUCZVHVLVTVKVHVLVTVFVLVTU
      DVGVFVLABVFAAJKZQZABIZVLQDJUEVFWDUFDAJUGULWEWCVLABAJUHUIUJUKUMVBUNCABUOUP
      VNVIVJPZVIVSVQVNVIVIPWFVIVNVIVJVIVHVKVLUQURVIVCUSVNVIVQVJVRVNVFVIVQIWAARS
      ZVNVGVJVRIWBBRSUTWGVAVDWGVE $.
  $}

  ${
    $d A a $.  $d B a $.
    $( The restriction of a surreal to the abstraction from ~ nodenselem4 is
       still a surreal.  (Contributed by Scott Fenton, 16-Jun-2011.) $)
    nodenselem6 $p |- ( ( ( A e. No /\ B e. No ) /\
                        ( ( bday ` A ) = ( bday ` B ) /\ A <s B ) ) ->
                        ( A |` |^| { a e. On | (
                                     A ` a ) =/= ( B ` a ) } ) e. No ) $=
      ( csur wcel wa cbday cfv wceq cslt wbr cv con0 crab cint cres nodenselem4
      wne simpll adantrl noreson syl2anc ) ADEZBDEZFZAGHBGHIZABJKZFZFUCCLZAHUIB
      HRCMNOZMEZAUJPDEUCUDUHSUEUGUKUFABCQTAUJUAUB $.
  $}

  ${
    $d A a $.  $d B a $.  $d C a $.
    $( Lemma for ~ nodense . ` A ` and ` B ` are equal at all elements of the
       abstraction.  (Contributed by Scott Fenton, 17-Jun-2011.) $)
    nodenselem7 $p |- ( ( ( A e. No /\ B e. No ) /\
                        ( ( bday ` A ) = ( bday ` B ) /\ A <s B ) ) ->
                        ( C e. |^| { a e. On | ( A ` a ) =/= ( B ` a ) }
                          -> ( A ` C ) = ( B ` C ) ) ) $=
      ( csur wcel wa cbday cfv wceq cslt wbr cv wne con0 crab cint w3a simpll
      wn simplr wor sltso sonr mpan breq2 syl5ibcom necon2ad imp ad2ant2rl 3jca
      notbid nosepeq sylan ex ) AEFZBEFZGAHIBHIJZABKLZGZGZCDMZAIVBBINDOPQFZCAIC
      BIJZVAUPUQABNZRVCVDVAUPUQVEUPUQUTSUPUQUTUAUPUSVEUQURUPUSVEUPUSABUPAAKLZTZ
      ABJZUSTEKUBUPVGUCEAKUDUEVHVFUSABAKUFULUGUHUIUJUKDABCUMUNUO $.
  $}

  ${
    $d A a $.  $d B a $.
    $( Lemma for ~ nodense .  Give a condition for surreal less than when two
       surreals have the same birthday.  (Contributed by Scott Fenton,
       19-Jun-2011.) $)
    nodenselem8 $p |- ( ( A e. No /\ B e. No /\
                            ( bday ` A ) = ( bday ` B ) ) ->
                          ( A <s B <->
                            ( ( A `
                                |^| { a e. On | ( A ` a ) =/= ( B ` a ) } ) =
                              1o /\
                              ( B `
                                |^| { a e. On | ( A ` a ) =/= ( B ` a ) } ) =
                              2o ) ) ) $=
      ( csur wcel cbday cfv wceq wbr c1o c2o wa wi 3impia c0 cop wn nosgnn0 crn
      fvex w3a cslt cv wne con0 crab cint nodenselem5 exp32 ctp sltval2 3adant3
      wb w3o brtp eleq2 biimpd cpr nofnbday fnfvelrn eleq1 syl5ibcom sylan norn
      wfn sseld adantr syld mtoi ex adantl syl9r imp intnand 3ad2antl1 intnanrd
      3orel13 syl2anc com23 syl5bi sylbid mpdd 3mix2 sylibr syl5ibr impbid ) AD
      EZBDEZAFGZBFGZHZUAZABUBIZCUCZAGWNBGUDCUEUFUGZAGZJHZWOBGZKHZLZWLWMWOWIEZWT
      WGWHWKWMXAMWGWHLZWKWMXAABCUHUINWLWMWPWRJOPJKPOKPUJIZXAWTMZWGWHWMXCUMWKABC
      UKULZXCWQWROHZLZWTWPOHZWSLZUNZWLXDJOJKOKWPWRWOATWOBTUOZWLXAXJWTWLXAXJWTMZ
      WLXALZXGQXIQXLXMXFWQWLXAXFQZWGWHWKXAXNMWKXAWOWJEZXBXNWKXAXOWIWJWOUPUQWHXO
      XNMWGWHXOXNWHXOLZXFOJKURZEZRXPXFOBSZEZXRWHBWJVEZXOXFXTMBUSYAXOLWRXSEXFXTW
      JWOBUTWROXSVAVBVCWHXTXRMXOWHXSXQOBVDVFVGVHVIVJVKVLNVMVNXMXHWSWGWHXAXHQWKW
      GXALZXHXRRYBXHOASZEZXRWGAWIVEZXAXHYDMAUSYEXALWPYCEXHYDWIWOAUTWPOYCVAVBVCW
      GYDXRMXAWGYCXQOAVDVFVGVHVIVOVPXGWTXIVQVRVJVSVTWAWBWTWMWLXCWTXJXCWTXGXIWCX
      KWDXEWEWF $.
  $}

  ${
    $d A a x y $.  $d B a x y $.
    $( Given two distinct surreals with the same birthday, there is an older
       surreal lying between the two of them.  Axiom SD of [Alling] p. 184.
       (Contributed by Scott Fenton, 16-Jun-2011.) $)
    nodense $p |- ( ( ( A e. No /\ B e. No ) /\
                      ( ( bday ` A ) = ( bday ` B ) /\ A <s B ) ) ->
                    E. x e. No ( ( bday ` x ) e. ( bday ` A ) /\
                                 A <s x /\ x <s B ) ) $=
      ( va vy csur wcel wa cbday cfv wceq cslt wbr cv con0 wral c1o c2o fveq2
      c0 wne crab cint cres w3a nodenselem6 cdm bdayval syl cin wss nodenselem5
      wrex dmres wfo wf bdayfo ax-mp 0elon f0cli onelssi ad2antrr sseqtrd df-ss
      fof sylib syl5eq eqtrd eqeltrd cop ctp nodenselem4 adantrl wi nodenselem8
      w3o biimpd 3expia imp32 simpld eqid jctir 3mix1d fvex 0ex sylibr fvnobday
      brtp fveq2d eqtr3d breqtrrd fvres eqcomd rgen jctil raleq breq12d anbi12d
      rspcev wb simpll sltval mpbird adantl nodenselem7 ralrimiva simprd 3mix3d
      syl2anc imp eqbrtrd syl12anc simplr eleq1d breq2 breq1 3anbi123d syl13anc
      ) BFGZCFGZHZBIJZCIJKZBCLMZHZHZBDNZBJYGCJUADOUBUCZUDZFGZYIIJZYBGZBYILMZYIC
      LMZANZIJZYBGZBYOLMZYOCLMZUEZAFUMBCDUFZYFYKYHYBYFYKYIUGZYHYFYJYKUUBKUUAYIU
      HUIYFUUBYHBUGZUJZYHBYHUNYFYHUUCUKUUDYHKYFYHYBUUCYFYHYBGYHYBUKBCDULZYBYHFO
      BIFOIUOFOIUPUQFOIVEURUSUTVAUIXSYBUUCKXTYEBUHVBVCYHUUCVDVFVGVHZUUEVIYFYMEN
      ZBJZUUGYIJZKZEYOPZYOBJZYOYIJZQTVJQRVJTRVJVKZMZHZAOUMZYFYHOGZUUJEYHPZYHBJZ
      YHYIJZUUNMZHZUUQYAYDUURYCBCDVLVMZYFUVBUUSYFUUTTUVAUUNYFUUTQKZTTKZHZUVETRK
      ZHZUUTTKUVHHZVPUUTTUUNMYFUVGUVIUVJYFUVEUVFYFUVEYHCJZRKZYAYCYDUVEUVLHZXSXT
      YCYDUVMVNXSXTYCUEYDUVMBCDVOVQVRVSZVTTWAZWBWCQTQRTRUUTTYHBWDWEWHWFYFYKYIJZ
      UVATYFYKYHYIUUFWIYFYJUVPTKUUAYIWGUIWJZWKUUJEYHUUGYHGZUUIUUHUUGYHBWLWMZWNW
      OUUPUVCAYHOYOYHKZUUKUUSUUOUVBUUJEYOYHWPUVTUULUUTUUMUVAUUNYOYHBSYOYHYISZWQ
      WRWSXIYFXSYJYMUUQWTXSXTYEXAUUAAEBYIXBXIXCYFYNUUIUUGCJZKZEYOPZUUMYOCJZUUNM
      ZHZAOUMZYFUURUWCEYHPZUVAUVKUUNMZUWHUVDYFUWCEYHYFUVRHUUHUUIUWBUVRUUJYFUVSX
      DYFUVRUUHUWBKBCUUGDXEXJWJXFYFUVATUVKUUNUVQYFTQKZUVKTKHZUWKUVLHZUVFUVLHZVP
      TUVKUUNMYFUWNUWLUWMYFUVLUVFYFUVEUVLUVNXGUVOWOXHQTQRTRTUVKWEYHCWDWHWFXKUWG
      UWIUWJHAYHOUVTUWDUWIUWFUWJUWCEYOYHWPUVTUUMUVAUWEUVKUUNUWAYOYHCSWQWRWSXLYF
      YJXTYNUWHWTUUAXSXTYEXMAEYICXBXIXCYTYLYMYNUEAYIFYOYIKZYQYLYRYMYSYNUWOYPYKY
      BYOYIISXNYOYIBLXOYOYICLXPXQWSXR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Surreal Numbers: Full-Eta Property
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The theorems in this section are derived from "A clean way to separate sets
  of surreals" by Paolo Lipparini,
  ~ https://doi.org/10.48550/arXiv.1712.03500 .

$)

  $( Lemma for full-eta properties.  The successor of the union of the image of
     the birthday function under a set is an ordinal.  (Contributed by Scott
     Fenton, 20-Aug-2011.) $)
  bdayimaon $p |- ( A e. V -> suc U. ( bday " A ) e. On ) $=
    ( wcel cbday cima cuni word cvv wa csuc con0 wfun csur wfo bdayfo funimaexg
    fofun ax-mp mpan uniexd wss crn imassrn wceq sseqtri ssorduni jctil sucelon
    forn elon2 bitr3i sylib ) ABCZDAEZFZGZUOHCZIZUOJKCZUMUQUPUMUNHDLZUMUNHCMKDN
    ZUTOMKDQRDABPSTUNKUAUPUNDUBZKDAUCVAVBKUDOMKDUIRUEUNUFRUGURUOKCUSUOUJUOUHUKU
    L $.

  $( Lemma for ~ nolt02o .  If ` A ( X ) ` is undefined with ` A ` surreal and
     ` X ` ordinal, then ` dom A C_ X ` .  (Contributed by Scott Fenton,
     6-Dec-2021.) $)
  nolt02olem $p |- ( ( A e. No /\ X e. On /\ ( A ` X ) = (/) ) ->
     dom A C_ X ) $=
    ( csur wcel con0 cfv c0 wceq w3a cdm wss wn c1o c2o cpr nosgnn0 wa 3ad2ant1
    a1i simpl3 crn simpl1 norn wfun nofun fvelrn sylan sseldd eqeltrrd mtand wb
    syl nodmon simp2 ontri1 syl2anc mpbird ) ACDZBEDZBAFZGHZIZAJZBKZBVCDZLZVBVE
    GMNOZDZVHLVBPSVBVEQZUTGVGURUSVAVETVIAUAZVGUTVIURVJVGKURUSVAVEUBAUCULVBAUDZV
    EUTVJDURUSVKVAAUERBAUFUGUHUIUJVBVCEDZUSVDVFUKURUSVLVAAUMRURUSVAUNVCBUOUPUQ
    $.

  ${
    $d A x y $.  $d B x y $.  $d X x y $.
    $( Given ` A ` less than ` B ` , equal to ` B ` up to ` X ` , and undefined
       at ` X ` , then ` B ( X ) = 2o ` .  (Contributed by Scott Fenton,
       6-Dec-2021.) $)
    nolt02o $p |- ( ( ( A e. No /\ B e. No /\ X e. On ) /\
        ( ( A |` X ) = ( B |` X ) /\ A <s B ) /\ ( A ` X ) = (/) ) ->
        ( B ` X ) = 2o ) $=
      ( vy vx csur wcel con0 wceq cslt wbr wa cfv c0 c2o c1o syl2anc bitri w3o
      wn w3a cres simp11 wor sltso sonr mpan syl simp2r syl5ibrcom mtod simpl2l
      breq2 wrel cdm wss simpl11 nofun funrel simpl13 simpl3 nolt02olem syl3anc
      wfun 3syl relssres simpl12 simpr 3eqtr3d mtand cv wral cop ctp wi wrex wb
      simp12 sltval mpbid df-an rexbii rexnal sylib 1oex prid1 nosgnn0i simpll3
      neii simplr eqeq1 anbi1d eqtr2 syl6bi com12 mtoi simplrr fveq2 rspcv sylc
      eqeq12d simprl adantr ontri1 mpbird wo onsseleq ancoms csuc df-1o eqeq12i
      mto df-2o 0elon 1on suc11 mp2an nemtbir 2on elexi prid2 3pm3.2i fvex brtp
      3oran con2bii fveq1d breq2d mtbii breq12d notbid syl5ibcom intnanr intnan
      mpbi fvres 0ex mtbiri jaod 3orrot sylbid mpd expr ralrimiva nofv ecase23d
      ) AFGZBFGZCHGZUAZACUBZBCUBZIZABJKZLZCAMZNIZUAZCBMZOIZUUSNIZUUSPIZUURUVAAB
      IZUURUVCAAJKZUURUUGUVDTZUUGUUHUUIUUOUUQUCZFJUDUUGUVEUEFAJUFUGUHUURUVDUVCU
      UNUUJUUMUUNUUQUIZABAJUMUJUKUURUVALZUUKUULABUUMUUNUUJUUQUVAULUVHAUNZAUOCUP
      ZUUKAIUVHUUGAVDUVIUUGUUHUUIUUOUUQUVAUQZAURAUSVEUVHUUGUUIUUQUVJUVKUUGUUHUU
      IUUOUUQUVAUTZUUJUUOUUQUVAVAACVBVCACVFQUVHBUNZBUOCUPZUULBIUVHUUHBVDUVMUUGU
      UHUUIUUOUUQUVAVGZBURBUSVEUVHUUHUUIUVAUVNUVOUVLUURUVAVHBCVBVCBCVFQVIVJUURU
      VBDVKZAMZUVPBMZIZDEVKZVLZUVTAMZUVTBMZPNVMPOVMNOVMVNZKZTZVOZEHVLZUURUWAUWE
      LZEHVPZUWHTZUURUUNUWJUVGUURUUGUUHUUNUWJVQUVFUUGUUHUUIUUOUUQVRZEDABVSQVTUW
      JUWGTZEHVPUWKUWIUWMEHUWAUWEWAWBUWGEHWCRWDUURUVBLZUWGEHUWNUVTHGZUWAUWFUWNU
      WOUWALZLZUVTCUPZUWFUWQUWRCUVTGZTZUWQUWSUUPUUSIZUWQUXANPIZNPPPOWEWFWGZWIZU
      WQUUQUVBUXAUXBVOUUJUUOUUQUVBUWPWHZUURUVBUWPWJZUXAUUQUVBLZUXBUXAUXGUVAUVBL
      UXBUXAUUQUVAUVBUUPUUSNWKWLUUSNPWMWNWOQWPUWQUWSLUWSUWAUXAUWQUWSVHUWNUWOUWA
      UWSWQUVSUXADCUVTUVPCIUVQUUPUVRUUSUVPCAWRUVPCBWRXAWSWTVJUWQUWOUUIUWRUWTVQU
      WNUWOUWAXBZUWNUUIUWPUUGUUHUUIUUOUUQUVBUTXCZUVTCXDQXEUWQUWRUVTCGZUVTCIZXFZ
      UWFUWQUWOUUIUWRUXLVQUXHUXIUVTCXGQUWQUXJUWFUXKUWQUVTUUKMZUVTUULMZUWDKZTUXJ
      UWFUWQUXMUXMUWDKZUXOUXMPIZUXMNIZLZTZUXQUXMOIZLZTZUXRUYALZTZUAZUXPTUXTUYCU
      YEUXSUXBUXDUXRUXQUXBUXMNPWMXHXLUYBPOIZUYGNPUXCUYGNXIZPXIZIZUXBPUYHOUYIXJX
      MXKNHGPHGUYJUXBVQXNXONPXPXQRXRZUXMPOWMXLUYDNOINOOPOOHXSXTYAWGWIUXMNOWMXLY
      BUXPUYFUXPUXSUYBUYDSUYFTPNPONOUXMUXMUVTUUKYCZUYLYDUXSUYBUYDYERYFYOUWQUXMU
      XNUXMUWDUWQUVTUUKUULUWNUUMUWPUUMUUNUUJUUQUVBULXCYGYHYIUXJUXOUWEUXJUXMUWBU
      XNUWCUWDUVTCAYPUVTCBYPYJYKYLUWQUWFUXKUUPUUSUWDKZTUWQUYMNPUWDKZUXBPNIZLZTZ
      UXBUYGLZTZNNIZUYGLZTZUAZUYNTUYQUYSVUBUXBUYOUXDYMUXBUYGUXDYMUYGUYTUYKYNYBU
      YNVUCUYNUYPUYRVUASVUCTPNPONONPYQWEYDUYPUYRVUAYERYFYOUWQUUPNUUSPUWDUXEUXFY
      JYRUXKUWEUYMUXKUWBUUPUWCUUSUWDUVTCAWRUVTCBWRYJYKUJYSUUAUUBUUCUUDVJUURUVAU
      VBUUTSZUUTUVAUVBSZUURUUHVUDUWLBCUUEUHVUDUVBUUTUVASVUEUVAUVBUUTYTUVBUUTUVA
      YTRWDUUF $.

    $( Given ` A ` greater than ` B ` , equal to ` B ` up to ` X ` , and
       ` B ( X ) ` undefined, then ` A ( X ) = 1o ` .  (Contributed by Scott
       Fenton, 9-Aug-2024.) $)
    nogt01o $p |- ( ( ( A e. No /\ B e. No /\ X e. On ) /\
    ( ( A |` X ) = ( B |` X ) /\ A <s B ) /\ ( B ` X ) = (/) ) ->
    ( A ` X ) = 1o ) $=
      ( vy vx csur wcel con0 w3a wceq cslt wbr wa cfv c0 c1o c2o wn syl syl2anc
      cres wor sltso simp11 sonr sylancr simpl2r simpl2l wrel cdm simpl11 nofun
      wss wfun funrel simpl13 simpr nolt02olem syl3anc relssres simpl12 3eqtr3d
      simpl3 breqtrrd mtand cv wral cop ctp wi simp2r wb simp12 sltval ralinexa
      wrex mpbid con2bii sylib 1n0 neii eqtr2 mto csuc word wne eqeltrri onordi
      df-2o 1oex sucid nordeq mp2an eqnetri nesymi 2on0 3pm3.2i fvex brtp 3oran
      2on bitri mpbi adantr fveq1d breq2d mtbii fvres breq12d syl5ibcom intnanr
      w3o notbid intnan 2oex 0ex simplr simpll3 mtbiri fveq2 syl5ibrcom eqeq12d
      wo rspccv ad2antll eqcom syl6ib sylibd mtoi simprl ontri1 onsseleq bitr3d
      mpjaod expr ralrimiva nofv 3orcoma ecase23d ) AFGZBFGZCHGZIZACUAZBCUAZJZA
      BKLZMZCBNZOJZIZCANZPJZUULOJZUULQJZUUKUUNAAKLZUUKFKUBYTUUPRUCYTUUAUUBUUHUU
      JUDZFAKUEUFUUKUUNMZABAKUUFUUGUUCUUJUUNUGUURUUDUUEABUUFUUGUUCUUJUUNUHUURAU
      IZAUJCUMZUUDAJUURYTUUSYTUUAUUBUUHUUJUUNUKZYTAUNUUSAULAUOSSUURYTUUBUUNUUTU
      VAYTUUAUUBUUHUUJUUNUPZUUKUUNUQACURUSACUTTUURBUIZBUJCUMZUUEBJUURUUAUVCYTUU
      AUUBUUHUUJUUNVAZUUABUNUVCBULBUOSSUURUUAUUBUUJUVDUVEUVBUUCUUHUUJUUNVCBCURU
      SBCUTTVBVDVEUUKUUODVFZANZUVFBNZJZDEVFZVGZUVJANZUVJBNZPOVHPQVHOQVHVIZLZRZV
      JZEHVGZUUKUVKUVOMEHVPZUVRRUUKUUGUVSUUCUUFUUGUUJVKUUKYTUUAUUGUVSVLUUQYTUUA
      UUBUUHUUJVMEDABVNTVQUVRUVSUVKUVOEHVOVRVSUUKUUOMZUVQEHUVTUVJHGZUVKUVPUVTUW
      AUVKMZMZUVJCGZUVPUVJCJZUWCUVJUUDNZUVJUUENZUVNLZRUWDUVPUWCUWFUWFUVNLZUWHUW
      FPJZUWFOJZMZRZUWJUWFQJZMZRZUWKUWNMZRZIZUWIRUWMUWPUWRUWLPOJPOVTWAUWFPOWBWC
      UWOPQJQPQPWDZPWIUWTWEPUWTGUWTPWFUWTQUWTHWIXAWGWHPWJWKUWTPWLWMWNZWOUWFPQWB
      WCUWQOQJZQOWPWOZUWFOQWBWCWQUWIUWSUWIUWLUWOUWQXLUWSRPOPQOQUWFUWFUVJUUDWRZU
      XDWSUWLUWOUWQWTXBVRXCUWCUWFUWGUWFUVNUWCUVJUUDUUEUVTUUFUWBUUFUUGUUCUUJUUOU
      HXDXEXFXGUWDUWHUVOUWDUWFUVLUWGUVMUVNUVJCAXHUVJCBXHXIXMXJUWCUVPUWEUULUUIUV
      NLZRUWCUXEQOUVNLZQPJZOOJZMZRZUXGUXBMZRZQOJZUXBMZRZIZUXFRUXJUXLUXOUXGUXHQP
      UXAWAXKUXBUXGUXCXNUXBUXMUXCXNWQUXFUXPUXFUXIUXKUXNXLUXPRPOPQOQQOXOXPWSUXIU
      XKUXNWTXBVRXCUWCUULQUUIOUVNUUKUUOUWBXQZUUCUUHUUJUUOUWBXRZXIXSUWEUVOUXEUWE
      UVLUULUVMUUIUVNUVJCAXTUVJCBXTXIXMYAUWCCUVJGZRZUWDUWEYCZUWCUXSUXBUXCUWCUXS
      UUIUULJZUXBUWCUXSUULUUIJZUYBUVKUXSUYCVJUVTUWAUVIUYCDCUVJUVFCJUVGUULUVHUUI
      UVFCAXTUVFCBXTYBYDYEUULUUIYFYGUWCUUIOUULQUXRUXQYBYHYIUWCUWAUUBUXTUYAVLUVT
      UWAUVKYJUVTUUBUWBYTUUAUUBUUHUUJUUOUPXDUWAUUBMUVJCUMUXTUYAUVJCYKUVJCYLYMTV
      QYNYOYPVEUUKUUNUUMUUOXLZUUMUUNUUOXLUUKYTUYDUUQACYQSUUNUUMUUOYRVSYS $.
  $}

  ${
    $d S g x $.  $d U g x $.  $d A g x $.
    $( Restriction law for surreals.  Lemma 2.1.4 of [Lipparini] p. 3.
       (Contributed by Scott Fenton, 5-Dec-2021.) $)
    noresle $p |- ( ( ( U e. No /\ S e. No ) /\
      ( dom U C_ A /\ dom S C_ A /\
        A. g e. A -. ( S |` suc g ) <s ( U |` suc g ) ) ) ->
      -. S <s U ) $=
      ( vx wss cres cslt wbr wn csur wcel wa wceq sltso mpan cfv con0 syl3anc
      wi cdm csuc wral w3a cun unss ssralv sylbi 3impia breq1 notbid biimpd wor
      cv sonr adantr impel adantrr wne simprl crab cint simprll simprlr nosepne
      ex simpl nosepon sucidg syl fvresd 3netr4d neneqd fveq1 nsyl simprr suceq
      nosepdm reseq2d breq12d rspcv w3o suceloni noreson syl2anc solin ecase23d
      sylc sltres mpd soasym pm2.61ine sylan2 ) CUAZAFZBUAZAFZBDUNZUBZGZCWSGZHI
      ZJZDAUCZUDCKLZBKLZMZXCDWNWPUEZUCZBCHIZJZWOWQXDXIWOWQMXHAFXDXITWNWPAUFXCDX
      HAUGUHUIXGXIMZXKTCBCBNZXLXKXMXGXKXIXMCCHIZJZXKXGXMXOXKXMXNXJCBCHUJUKULXEX
      OXFKHUMZXEXOOKCHUOPUPUQURVFCBUSZXLXKXQXLMZXGCBHIZXKXQXGXIUTXRCEUNZCQXTBQU
      SERVAVBZUBZGZBYBGZHIZXSXRYEYCYDNZYDYCHIZXRYAYCQZYAYDQZNYFXRYHYIXRYACQZYAB
      QZYHYIXRXEXFXQYJYKUSXQXEXFXIVCZXQXEXFXIVDZXQXLVGZECBVESXRYAYBCXRYARLZYAYB
      LXRXEXFXQYOYLYMYNECBVHSZYARVIVJZVKXRYAYBBYQVKVLVMYAYCYDVNVOXRYAXHLZXIYGJZ
      XRXEXFXQYRYLYMYNECBVRSXQXGXIVPXCYSDYAXHWRYANZXBYGYTWTYDXAYCHYTWSYBBWRYAVQ
      ZVSYTWSYBCUUAVSVTUKWAWHXRYCKLZYDKLZYEYFYGWBZXRXEYBRLZUUBYLXRYOUUEYPYAWCVJ
      ZCYBWDWEXRXFUUEUUCYMUUFBYBWDWEXPUUBUUCMUUDOKYCYDHWFPWEWGXRXEXFUUEYEXSTYLY
      MUUFCBYBWISWJXPXGXSXKTOKHCBWKPWHVFWLWM $.
  $}

  ${
    $d S x y $.
    $( A class of surreals has at most one maximum.  (Contributed by Scott
       Fenton, 5-Dec-2021.) $)
    nomaxmo $p |- ( S C_ No -> E* x e. S A. y e. S -. x <s y ) $=
      ( csur wss cv cslt ccnv wbr wral wrmo wor sltso soss mpi cnvso sylib somo
      wn vex syl brcnv notbii ralbii rmobii ) CDEZBFZAFZGHZIZSZBCJZACKZUHUGGIZS
      ZBCJZACKUFCUILZUMUFCGLZUQUFDGLURMCDGNOCGPQABCUIRUAULUPACUKUOBCUJUNUGUHGBT
      ATUBUCUDUEQ $.

    $( A class of surreals has at most one minimum.  (Contributed by Scott
       Fenton, 8-Aug-2024.) $)
    nominmo $p |- ( S C_ No -> E* x e. S A. y e. S -. y <s x ) $=
      ( csur wss cslt wor cv wbr wn wral wrmo sltso soss mpi somo syl ) CDEZCFG
      ZBHAHFIJBCKACLRDFGSMCDFNOABCFPQ $.

    $d A p u v x y $.  $d G p u v x y $.
    $( In any class of surreals, there is at most one value of the prefix
       property.  (Contributed by Scott Fenton, 26-Nov-2021.) $)
    nosupprefixmo $p |- ( A C_ No ->
       E* x E. u e. A ( G e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc G ) = ( v |` suc G ) ) /\
       ( u ` G ) = x ) ) $=
      ( vp vy csur cv wcel cslt wbr wn wceq wi cfv wrex wa weq adantl csuc cres
      wss cdm w3a wal reeanv breq1 notbid reseq1 eqeq2d imbi12d simprr2 simprll
      wmo rspcdva eqcom syl6ib simprl2 simprlr wo simpl sseldd wor sltso soasym
      wral syl2anc pm4.62 sylib mpjaod fveq1d simprl1 sucidg syl fvresd 3eqtr3d
      mpan simprl3 simprr3 expr rexlimdvva syl5bir eqeq2 3anbi3d rexbidv eleq2d
      alrimivv dmeq breq2 eqeq1d ralbidv fveq1 3anbi123d cbvrexvw bitrdi sylibr
      mo4 ) DHUCZECIZUDZJZBIZWTKLZMZWTEUAZUBZXCXFUBZNZOZBDVGZEWTPZAIZNZUEZCDQZE
      FIZUDZJZXCXQKLZMZXQXFUBZXHNZOZBDVGZEXQPZGIZNZUEZFDQZRZAGSZOZGUFAUFXPAUOWS
      YMAGYKXOYIRZFDQCDQWSYLXOYICFDDUGWSYNYLCFDDWSWTDJZXQDJZRZYNYLWSYQYNRZRZXLY
      FXMYGYSEXGPEYBPXLYFYSEXGYBYSWTXQKLZMZXGYBNZXQWTKLZMZYSUUAYBXGNZUUBYSYDUUA
      UUEOBDWTBCSZYAUUAYCUUEUUFXTYTXCWTXQKUHUIUUFXHXGYBXCWTXFUJUKULYRYEWSXSYEYH
      XOYQUMTWSYOYPYNUNZUPYBXGUQURYSXJUUDUUBOBDXQBFSZXEUUDXIUUBUUHXDUUCXCXQWTKU
      HUIUUHXHYBXGXCXQXFUJUKULYRXKWSXBXKXNYIYQUSTWSYOYPYNUTZUPYSYTUUDOZUUAUUDVA
      YSWTHJZXQHJZUUJYSDHWTWSYRVBZUUGVCYSDHXQUUMUUIVCHKVDUUKUULRUUJVEHKWTXQVFVR
      VHYTUUCVIVJVKVLYSEXFWTYSXBEXFJYRXBWSXBXKXNYIYQVMTEXAVNVOZVPYSEXFXQUUNVPVQ
      YRXNWSXBXKXNYIYQVSTYRYHWSXSYEYHXOYQVTTVQWAWBWCWHXPYJAGYLXPXBXKXLYGNZUEZCD
      QYJYLXOUUPCDYLXNUUOXBXKXMYGXLWDWEWFUUPYICFDCFSZXBXSXKYEUUOYHUUQXAXREWTXQW
      IWGUUQXJYDBDUUQXEYAXIYCUUQXDXTWTXQXCKWJUIUUQXGYBXHWTXQXFUJWKULWLUUQXLYFYG
      EWTXQWMWKWNWOWPWRWQ $.

    $( In any class of surreals, there is at most one value of the prefix
       property.  (Contributed by Scott Fenton, 8-Aug-2024.) $)
    noinfprefixmo $p |- ( A C_ No ->
       E* x E. u e. A ( G e. dom u /\
       A. v e. A ( -. u <s v -> ( u |` suc G ) = ( v |` suc G ) ) /\
       ( u ` G ) = x ) ) $=
      ( vp vy csur cv wcel cslt wbr wn wceq wi cfv wrex wa weq adantl csuc cres
      wss cdm w3a wal reeanv breq2 notbid reseq1 eqeq2d imbi12d simprl2 simprlr
      wmo rspcdva simprr2 simprll eqcom syl6ib wo simpl sseldd wor sltso soasym
      wral mpan syl2anc imor sylib mpjaod fveq1d simprl1 sucidg 3eqtr3d simprl3
      syl fvresd simprr3 expr rexlimdvva syl5bir alrimivv eqeq2 3anbi3d rexbidv
      dmeq eleq2d breq1 eqeq1d ralbidv fveq1 3anbi123d cbvrexvw bitrdi sylibr
      mo4 ) DHUCZECIZUDZJZWTBIZKLZMZWTEUAZUBZXCXFUBZNZOZBDVGZEWTPZAIZNZUEZCDQZE
      FIZUDZJZXQXCKLZMZXQXFUBZXHNZOZBDVGZEXQPZGIZNZUEZFDQZRZAGSZOZGUFAUFXPAUOWS
      YMAGYKXOYIRZFDQCDQWSYLXOYICFDDUGWSYNYLCFDDWSWTDJZXQDJZRZYNYLWSYQYNRZRZXLY
      FXMYGYSEXGPEYBPXLYFYSEXGYBYSWTXQKLZMZXGYBNZXQWTKLZMZYSXJUUAUUBOBDXQBFSZXE
      UUAXIUUBUUEXDYTXCXQWTKUHUIUUEXHYBXGXCXQXFUJUKULYRXKWSXBXKXNYIYQUMTWSYOYPY
      NUNZUPYSUUDYBXGNZUUBYSYDUUDUUGOBDWTBCSZYAUUDYCUUGUUHXTUUCXCWTXQKUHUIUUHXH
      XGYBXCWTXFUJUKULYRYEWSXSYEYHXOYQUQTWSYOYPYNURZUPYBXGUSUTYSYTUUDOZUUAUUDVA
      YSWTHJZXQHJZUUJYSDHWTWSYRVBZUUIVCYSDHXQUUMUUFVCHKVDUUKUULRUUJVEHKWTXQVFVH
      VIYTUUDVJVKVLVMYSEXFWTYSXBEXFJYRXBWSXBXKXNYIYQVNTEXAVOVRZVSYSEXFXQUUNVSVP
      YRXNWSXBXKXNYIYQVQTYRYHWSXSYEYHXOYQVTTVPWAWBWCWDXPYJAGYLXPXBXKXLYGNZUEZCD
      QYJYLXOUUPCDYLXNUUOXBXKXMYGXLWEWFWGUUPYICFDCFSZXBXSXKYEUUOYHUUQXAXREWTXQW
      HWIUUQXJYDBDUUQXEYAXIYCUUQXDXTWTXQXCKWJUIUUQXGYBXHWTXQXFUJWKULWLUUQXLYFYG
      EWTXQWMWKWNWOWPWRWQ $.

  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d A d $.  $d a e $.
    $d A e $.  $d A f $.  $d a g $.  $d A g $.  $d a u $.  $d A u $.  $d a v $.
    $d A v $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.  $d b x $.  $d b y $.
    $d c d $.  $d c e $.  $d c f $.  $d c g $.  $d c u $.  $d c v $.  $d c x $.
    $d c y $.  $d d e $.  $d d f $.  $d d u $.  $d d v $.  $d d y $.  $d e f $.
    $d e g $.  $d e u $.  $d e v $.  $d e x $.  $d e y $.  $d f g $.  $d f u $.
    $d f v $.  $d f x $.  $d f y $.  $d g u $.  $d g v $.  $d g x $.  $d g y $.
    $d u v $.  $d u x $.  $d u y $.  $d v y $.  $d x y $.
    nosupcbv.1 $e |- S = if ( E. x e. A A. y e. A -. x <s y ,
       ( ( iota_ x e. A A. y e. A -. x <s y ) u.
         { <. dom ( iota_ x e. A A. y e. A -. x <s y ) , 2o >. } ) ,
       ( g e. { y | E. u e. A ( y e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. A ( g e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    $( Lemma to change bound variables in a surreal supremum.  (Contributed by
       Scott Fenton, 9-Aug-2024.) $)
    nosupcbv $p |- S = if ( E. a e. A A. b e. A -. a <s b ,
       ( ( iota_ a e. A A. b e. A -. a <s b ) u.
         { <. dom ( iota_ a e. A A. b e. A -. a <s b ) , 2o >. } ) ,
       ( c e. { d | E. e e. A ( d e. dom e /\
       A. f e. A ( -. f <s e -> ( e |` suc d ) = ( f |` suc d ) ) ) }
       |-> ( iota a E. e e. A ( c e. dom e /\
       A. f e. A ( -. f <s e -> ( e |` suc c ) = ( f |` suc c ) ) /\
       ( e ` c ) = a ) ) ) ) $=
      ( cv cslt wral wrex cres wceq wbr wn crio cdm c2o cop csn wcel csuc wi wa
      cun cab cfv w3a cio cmpt cif breq1 notbid ralbidv breq2 cbvralvw cbvrexvw
      bitrdi cbvriotavw dmeqi opeq1i sneqi uneq12i eleq1w suceq reseq2d eqeq12d
      weq imbi2d fveqeq2 3anbi123d rexbidv iotabidv eqeq2 3anbi3d eleq2d reseq1
      dmeq eqeq1d imbi12d eqeq2d fveq1 cbviotavw eqtrdi cbvmptv anbi12d mpteq1i
      cbvabv eqtri ifbieq12i ) FAOZBOZPUAZUBZBEQZAERZXBAEUCZXDUDZUEUFZUGZULZIWS
      DOZUDZUHZCOZXIPUAZUBZXIWSUIZSZXLXOSZTZUJZCEQZUKZDERZBUMZIOZXJUHZXNXIYDUIZ
      SZXLYFSZTZUJZCEQZYDXIUNWRTZUOZDERZAUPZUQZURJOZKOZPUAZUBZKEQZJERZUUAJEUCZU
      UCUDZUEUFZUGZULZLMOZGOZUDZUHZHOZUUIPUAZUBZUUIUUHUIZSZUULUUOSZTZUJZHEQZUKZ
      GERZMUMZLOZUUJUHZUUNUUIUVDUIZSZUULUVFSZTZUJZHEQZUVDUUIUNZYQTZUOZGERZJUPZU
      QZURNXCUUBXHYPUUGUVQXBUUAAJEAJVOZXBYQWSPUAZUBZBEQUUAUVRXAUVTBEUVRWTUVSWRY
      QWSPUSUTVAUVTYTBKEBKVOUVSYSWSYRYQPVBUTVCVEZVDXDUUCXGUUFXBUUAAJEUWAVFZXFUU
      EXEUUDUEXDUUCUWBVGVHVIVJYPLYCUVPUQUVQILYCYOUVPILVOZYOUVDXJUHZXNXIUVFSZXLU
      VFSZTZUJZCEQZUVDXIUNZWRTZUOZDERZAUPUVPUWCYNUWMAUWCYMUWLDEUWCYEUWDYKUWIYLU
      WKILXJVKUWCYJUWHCEUWCYIUWGXNUWCYGUWEYHUWFUWCYFUVFXIYDUVDVLZVMUWCYFUVFXLUW
      NVMVNVPVAYDUVDWRXIVQVRVSVTUWMUVOAJUVRUWMUWDUWIUWJYQTZUOZDERUVOUVRUWLUWPDE
      UVRUWKUWOUWDUWIWRYQUWJWAWBVSUWPUVNDGEDGVOZUWDUVEUWIUVKUWOUVMUWQXJUUJUVDXI
      UUIWEZWCUWQUWIXLUUIPUAZUBZUVGUWFTZUJZCEQUVKUWQUWHUXBCEUWQXNUWTUWGUXAUWQXM
      UWSXIUUIXLPVBUTZUWQUWEUVGUWFXIUUIUVFWDWFWGVAUXBUVJCHECHVOZUWTUUNUXAUVIUXD
      UWSUUMXLUULUUIPUSUTZUXDUWFUVHUVGXLUULUVFWDWHWGVCVEUWQUWJUVLYQUVDXIUUIWIWF
      VRVDVEWJWKWLLYCUVCUVPYBUVBBMBMVOZYBUUHXJUHZXNXIUUOSZXLUUOSZTZUJZCEQZUKZDE
      RUVBUXFYAUXMDEUXFXKUXGXTUXLBMXJVKUXFXSUXKCEUXFXRUXJXNUXFXPUXHXQUXIUXFXOUU
      OXIWSUUHVLZVMUXFXOUUOXLUXNVMVNVPVAWMVSUXMUVADGEUWQUXGUUKUXLUUTUWQXJUUJUUH
      UWRWCUWQUXLUWTUUPUXITZUJZCEQUUTUWQUXKUXPCEUWQXNUWTUXJUXOUXCUWQUXHUUPUXIXI
      UUIUUOWDWFWGVAUXPUUSCHEUXDUWTUUNUXOUURUXEUXDUXIUUQUUPXLUULUUOWDWHWGVCVEWM
      VDVEWOWNWPWQWP $.
  $}

  ${
    $d A a b x y z g v u $.
    nosupno.1 $e |- S = if ( E. x e. A A. y e. A -. x <s y ,
       ( ( iota_ x e. A A. y e. A -. x <s y ) u.
         { <. dom ( iota_ x e. A A. y e. A -. x <s y ) , 2o >. } ) ,
       ( g e. { y | E. u e. A ( y e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. A ( g e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    $( The next several theorems deal with a surreal "supremum".  This surreal
       will ultimately be shown to bound ` A ` below and bound the restriction
       of any surreal above.  We begin by showing that the given expression
       actually defines a surreal number.  (Contributed by Scott Fenton,
       5-Dec-2021.) $)
    nosupno $p |- ( ( A C_ No /\ A e. V ) -> S e. No ) $=
      ( va wcel csur cvv wa wrex cres wceq syl con0 cbday vb vz wss elex cv wbr
      cslt wn wral crio cdm c2o cop csn cun csuc wi cab cfv w3a cio cmpt iftrue
      cif adantr simprl wreu wrmo nomaxmo ad2antrl reu5 sylanbrc riotacl sseldd
      simpl c1o 2on elexi prid2 noextend eqeltrd iffalse wfun crn funmpt iotaex
      cpr a1i eqid dmmpti word ssel2 nodmon onss sseld adantrd rexlimdva abssdv
      wtr wel wal simplr adantlr ontr1 mpand reseq1 onelon sylan suceloni eloni
      simpllr ordsucelsuc mpbid onelss sylc resabs1d eqeq12d syl5ib expimpd vex
      weq eleq1w suceq reseq2d imbi2d ralbidv anbi12d rexbidv elab bdayfo ax-mp
      wb mpan adantl reximi eqeltrrd eqeltrid wex eqeq2 3anbi3d imim2d reximdva
      ralimdv jcad anbi2i 3imtr4g alrimivv dftr2 sylibr cima cuni wfo funimaexg
      dford5 fofun uniexd ss2abi bdayval wfn fofn fnfvima mp3an1 elssuni sstrid
      ssexd elong mpbird rnmpt weu wmo spcev mp3an3 rexcom4 sylib nosupprefixmo
      fvex df-eu iota2 eqcom bitrdi simprr3 adantrr norn simprr1 fvelrn syl2anc
      nofun rexlimdvaa sylbird sylan2b eqsstrid syl3anbrc pm2.61ian sylan2
      elno2 ) EHKELUCZEMKZFLKEHUDUWPUWQNZFAUEZBUEZUGUFUHBEUIZAEOZUXAAEUJZUXCUKU
      LUMUNUOZGUWTDUEZUKZKZCUEZUXEUGUFUHZUXEUWTUPZPZUXHUXJPZQZUQZCEUIZNZDEOZBUR
      ZGUEZUXFKZUXIUXEUXSUPZPZUXHUYAPZQZUQZCEUIZUXSUXEUSZUWSQZUTZDEOZAVAZVBZVDZ
      LIUXBUWRUYMLKUXBUWRNZUYMUXDLUXBUYMUXDQUWRUXBUXDUYLVCVEUYNUXCLKUXDLKUYNELU
      XCUXBUWPUWQVFUYNUXAAEVGZUXCEKUYNUXBUXAAEVHZUYOUXBUWRVOUWPUYPUXBUWQABEVIVJ
      UXAAEVKVLUXAAEVMRVNUXCULVPULULSVQVRVSVTRWAUXBUHZUWRNZUYMUYLLUYQUYMUYLQUWR
      UXBUXDUYLWBVEUYRUYLWCZUYLUKZSKZUYLWDZVPULWGZUCZUYLLKUYSUYRGUXRUYKWEWHUWRV
      UAUYQUWRUYTUXRSGUXRUYKUYLUYJAWFUYLWIZWJUWRUXRSKZUXRWKZUWPVUGUWQUWPUXRSUCU
      XRWSZVUGUWPUXQBSUWPUXPUWTSKZDEUWPUXEEKZNZUXGVUIUXOVUKUXFSUWTVUKUXFSKZUXFS
      UCVUKUXELKZVULELUXEWLZUXEWMRZUXFWNRWOWPWQWRUWPJUAWTZUAUEZUXRKZNZJUEZUXRKZ
      UQZUAXAJXAVUHUWPVVBJUAUWPVUPVUQUXFKZUXIUXEVUQUPZPZUXHVVDPZQZUQZCEUIZNZDEO
      ZNVUTUXFKZUXIUXEVUTUPZPZUXHVVMPZQZUQZCEUIZNZDEOZVUSVVAUWPVUPVVKVVTUWPVUPN
      ZVVJVVSDEVWAVUJNZVVJVVLVVRVWBVVCVVLVVIVWBVUPVVCVVLUWPVUPVUJXBVWBVULVUPVVC
      NVVLUQUWPVUJVULVUPVUOXCZVUTVUQUXFXDRXEWPVWBVVCVVIVVRVWBVVCNZVVHVVQCEVWDVV
      GVVPUXIVVGVVEVVMPZVVFVVMPZQVWDVVPVVEVVFVVMXFVWDVWEVVNVWFVVOVWDUXEVVMVVDVW
      DVVDSKZVVMVVDKZVVMVVDUCVWDVUQSKZVWGVWBVULVVCVWIVWCUXFVUQXGXHZVUQXIRVWDVUP
      VWHUWPVUPVUJVVCXKVWDVUQWKZVUPVWHYLVWDVWIVWKVWJVUQXJRVUTVUQXLRXMVVDVVMXNXO
      ZXPVWDUXHVVMVVDVWLXPXQXRUUAUUCXSUUDUUBXSVURVVKVUPUXQVVKBVUQUAXTBUAYAZUXPV
      VJDEVWMUXGVVCUXOVVIBUAUXFYBVWMUXNVVHCEVWMUXMVVGUXIVWMUXKVVEUXLVVFVWMUXJVV
      DUXEUWTVUQYCZYDVWMUXJVVDUXHVWNYDXQYEYFYGYHYIUUEUXQVVTBVUTJXTBJYAZUXPVVSDE
      VWOUXGVVLUXOVVRBJUXFYBVWOUXNVVQCEVWOUXMVVPUXIVWOUXKVVNUXLVVOVWOUXJVVMUXEU
      WTVUTYCZYDVWOUXJVVMUXHVWPYDXQYEYFYGYHYIUUFUUGJUAUXRUUHUUIUXRUUNVLVEUWRUXR
      MKVUFVUGYLUWRUXRTEUUJZUUKZMUWQVWRMKUWPUWQVWQMTWCZUWQVWQMKLSTUULZVWSYJLSTU
      UOYKTEMUUMYMUUPYNUWRUXRUXGDEOZBURZVWRUXQVXABUXPUXGDEUXGUXOVOYOUUQUWPVXBVW
      RUCUWQUWPVXABVWRUWPUXGUWTVWRKDEVUKUXFVWRUWTVUKUXFVWQKUXFVWRUCVUKUXETUSZUX
      FVWQVUKVUMVXCUXFQVUNUXEUURRTLUUSZUWPVUJVXCVWQKVWTVXDYJLSTUUTYKLETUXEUVAUV
      BYPUXFVWQUVCRWOWQWRVEUVDUVEUXRMUVFRUVGYQYNUWPVUDUYQUWQUWPVUBUBUEZUYKQZGUX
      ROZUBURVUCGUBUXRUYKUYLVUEUVHUWPVXGUBVUCUWPVXFVXEVUCKZGUXRUXSUXRKUWPUXTUYF
      NZDEOZVXFVXHUQUXQVXJBUXSGXTBGYAZUXPVXIDEVXKUXGUXTUXOUYFBGUXFYBVXKUXNUYECE
      VXKUXMUYDUXIVXKUXKUYBUXLUYCVXKUXJUYAUXEUWTUXSYCZYDVXKUXJUYAUXHVXLYDXQYEYF
      YGYHYIUWPVXJNZVXFUXTUYFUYGVXEQZUTZDEOZVXHVXMVXPUYKVXEQZVXFVXMUYJAUVIZVXPV
      XQYLZVXMUYJAYRZUYJAUVJZVXRVXJVXTUWPVXJUYIAYRZDEOVXTVXIVYBDEUXTUYFUYGUYGQZ
      VYBUYGWIUYIUXTUYFVYCUTAUYGUXSUXEUVPUWSUYGQUYHVYCUXTUYFUWSUYGUYGYSYTUVKUVL
      YOUYIDAEUVMUVNYNUWPVYAVXJACDEUXSUVOVEUYJAUVQVLVXEMKVXRVXSUBXTUYJVXPAVXEMA
      UBYAZUYIVXODEVYDUYHVXNUXTUYFUWSVXEUYGYSYTYHUVRYMRUYKVXEUVSUVTUWPVXPVXHUQV
      XJUWPVXOVXHDEUWPVUJVXONNZUYGVXEVUCUXTUYFVXNVUJUWPUWAVYEUXEWDZVUCUYGVYEVUM
      VYFVUCUCUWPVUJVUMVXOVUNUWBZUXEUWCRVYEUXEWCZUXTUYGVYFKVYEVUMVYHVYGUXEUWGRU
      XTUYFVXNVUJUWPUWDUXSUXEUWEUWFVNYPUWHVEUWIUWJWQWRUWKVJUYLUWOUWLWAUWMYQUWN
      $.
  $}

  ${
    $d A g $.  $d A p $.  $d A q $.  $d A u $.  $d A v $.  $d A y $.  $d A z $.
    $d g u $.  $d g v $.  $d g y $.  $d p q $.  $d p u $.  $d p v $.  $d p y $.
    $d p z $.  $d q u $.  $d q v $.  $d q y $.  $d q z $.  $d u v $.  $d u y $.
    $d u z $.  $d v y $.  $d v z $.  $d y z $.
    nosupdm.1 $e |- S = if ( E. x e. A A. y e. A -. x <s y ,
       ( ( iota_ x e. A A. y e. A -. x <s y ) u.
         { <. dom ( iota_ x e. A A. y e. A -. x <s y ) , 2o >. } ) ,
       ( g e. { y | E. u e. A ( y e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. A ( g e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    $( The domain of the surreal supremum when there is no maximum.  The
       primary point of this theorem is to change bound variable.  (Contributed
       by Scott Fenton, 6-Dec-2021.) $)
    nosupdm $p |- ( -. E. x e. A A. y e. A -. x <s y ->
      dom S = { z | E. p e. A ( z e. dom p /\
       A. q e. A ( -. q <s p -> ( p |` suc z ) = ( q |` suc z ) ) ) } ) $=
      ( cv cslt wn wral wrex cdm cres wceq wi wbr wcel csuc wa cab cfv w3a cmpt
      cio crio c2o cop csn cun cif iffalse syl5eq iotaex eqid dmmpti eqtrdi weq
      dmeqd dmeq eleq2d breq1 notbid reseq1 eqeq2d imbi12d breq2 eqeq1d ralbidv
      cbvralvw syl5bb anbi12d cbvrexvw eleq1w reseq2d eqeq12d imbi2d rexbidv
      suceq cbvabv ) ALZBLZMUANBFOZAFPZNZGQZWFELZQZUBZDLZWKMUAZNZWKWFUCZRZWNWQR
      ZSZTZDFOZUDZEFPZBUEZCLZJLZQZUBZILZXGMUAZNZXGXFUCZRZXJXMRZSZTZIFOZUDZJFPZC
      UEWIWJHXEHLZWLUBWPWKYAUCZRWNYBRSTDFOYAWKUFWESUGEFPZAUIZUHZQXEWIGYEWIGWHWG
      AFUJZYFQUKULUMUNZYEUOYEKWHYGYEUPUQVCHXEYDYEYCAURYEUSUTVAXDXTBCXDWFXHUBZXL
      XGWQRZXJWQRZSZTZIFOZUDZJFPBCVBZXTXCYNEJFEJVBZWMYHXBYMYPWLXHWFWKXGVDVEXBXJ
      WKMUAZNZWRYJSZTZIFOYPYMXAYTDIFDIVBZWPYRWTYSUUAWOYQWNXJWKMVFVGUUAWSYJWRWNX
      JWQVHVIVJVNYPYTYLIFYPYRXLYSYKYPYQXKWKXGXJMVKVGYPWRYIYJWKXGWQVHVLVJVMVOVPV
      QYOYNXSJFYOYHXIYMXRBCXHVRYOYLXQIFYOYKXPXLYOYIXNYJXOYOWQXMXGWFXFWCZVSYOWQX
      MXJUUBVSVTWAVMVPWBVOWDVA $.
  $}

  ${
    $d A g u v x y $.  $d O u y $.
    nosupbday.1 $e |- S = if ( E. x e. A A. y e. A -. x <s y ,
       ( ( iota_ x e. A A. y e. A -. x <s y ) u.
         { <. dom ( iota_ x e. A A. y e. A -. x <s y ) , 2o >. } ) ,
       ( g e. { y | E. u e. A ( y e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. A ( g e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    $( Birthday bounding law for surreal supremum.  (Contributed by Scott
       Fenton, 5-Dec-2021.) $)
    nosupbday $p |- ( ( ( A C_ No /\ A e. _V ) /\
    ( O e. On /\ ( bday " A ) C_ O ) ) ->
    ( bday ` S ) C_ O ) $=
      ( csur wss wcel wa cbday cfv cdm wceq adantr syl cv cvv con0 cima nosupno
      bdayval cslt wbr wn wral wrex crio csuc c2o cop csn cun cres cab w3a cmpt
      cio cif iftrue syl5eq dmeqd 2oex dmsnop uneq2i dmun df-suc 3eqtr4i eqtrdi
      wi word simprrl eloni simprll wreu wrmo simpl nomaxmo adantl reu5 adantrr
      sylanbrc riotacl sseldd simprrr wfn wfo bdayfo fofn ax-mp fnfvima mp3an2i
      eqeltrrd ordsucss sylc eqsstrd iffalse iotaex eqid simplrl ssel2 ad4ant14
      dmmpti simplrr mp3an1 onelss sseld adantrd rexlimdva abssdv pm2.61ian ) E
      JKZEUALZMZHUBLZNEUCZHKZMZMZFNOZFPZHYBFJLZYCYDQXQYEYAABCDEFGUAIUDRFUESATZB
      TZUFUGUHBEUIZAEUJZYBYDHKYIYBMZYDYHAEUKZPZULZHYIYDYMQYBYIYDYKYLUMUNUOZUPZP
      ZYMYIFYOYIFYIYOGYGDTZPZLZCTZYQUFUGUHZYQYGULZUQYTUUBUQQVMCEUIZMZDEUJZBURZG
      TZYRLUUAYQUUGULZUQYTUUHUQQVMCEUIUUGYQOYFQUSDEUJZAVAZUTZVBZYOIYIYOUUKVCVDV
      EYLYNPZUPYLYLUOZUPYPYMUUMUUNYLYLUMVFVGVHYKYNVIYLVJVKVLRYJHVNZYLHLYMHKYJXR
      UUOYIXQXRXTVOHVPSYJYKNOZYLHYJYKJLUUPYLQYJEJYKYIXOXPYAVQZYJYHAEVRZYKELZYIX
      QUURYAYIXQMYIYHAEVSZUURYIXQVTXQUUTYIXOUUTXPABEWARWBYHAEWCWEWDYHAEWFSZWGYK
      UESYJXSHUUPYIXQXRXTWHNJWIZYJXOUUSUUPXSLJUBNWJUVBWKJUBNWLWMZUUQUVAJENYKWNW
      OWGWPYLHWQWRWSYIUHZYBMYDUUFHUVDYDUUFQYBUVDYDUUKPUUFUVDFUUKUVDFUULUUKIYIYO
      UUKWTVDVEGUUFUUJUUKUUIAXAUUKXBXFVLRYBUUFHKUVDYBUUEBHYBUUDYGHLZDEYBYQELZMZ
      YSUVEUUCUVGYRHYGUVGXRYRHLYRHKXQXRXTUVFXCUVGYQNOZYRHUVGYQJLZUVHYRQXOUVFUVI
      XPYAEJYQXDXEYQUESUVGXSHUVHXQXRXTUVFXGXOUVFUVHXSLZXPYAUVBXOUVFUVJUVCJENYQW
      NXHXEWGWPHYRXIWRXJXKXLXMWBWSXNWS $.
  $}

  ${
    $d A g $.  $d A p $.  $d A u $.  $d A v $.  $d A x $.  $d A y $.  $d G g $.
    $d G p $.  $d g u $.  $d G u $.  $d g v $.  $d G v $.  $d g x $.  $d G x $.
    $d g y $.  $d G y $.  $d p u $.  $d p v $.  $d U p $.  $d U u $.  $d u v $.
    $d U v $.  $d u x $.  $d U x $.  $d u y $.  $d v x $.  $d v y $.
    nosupfv.1 $e |- S = if ( E. x e. A A. y e. A -. x <s y ,
       ( ( iota_ x e. A A. y e. A -. x <s y ) u.
         { <. dom ( iota_ x e. A A. y e. A -. x <s y ) , 2o >. } ) ,
       ( g e. { y | E. u e. A ( y e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. A ( g e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    $( The value of surreal supremum when there is no maximum.  (Contributed by
       Scott Fenton, 5-Dec-2021.) $)
    nosupfv $p |- ( ( -. E. x e. A A. y e. A -. x <s y /\
      ( A C_ No /\ A e. _V ) /\ ( U e. A /\ G e. dom U /\
      A. v e. A ( -. v <s U -> ( U |` suc G ) = ( v |` suc G ) ) ) ) ->
      ( S ` G ) = ( U ` G ) ) $=
      ( vp cv cslt wn wral wrex wcel cres wceq w3a wbr csur wss cvv wa cdm csuc
      wi cfv cab cio cmpt crio c2o cop csn cun cif iffalse syl5eq fveq1d simp32
      3ad2ant1 eleq2d breq2 notbid reseq1 eqeq1d imbi12d ralbidv anbi12d rspcev
      dmeq 3impb weq cbvrexvw sylibr eleq1 suceq reseq2d eqeq12d imbi2d rexbidv
      3ad2ant3 elabd 3anbi123d iotabidv eqid iotaex fvmpt syl simp1 simp2 simp3
      fveqeq2 eqidd fveq1 syl13anc weu fvex wex wmo eqeq2 3anbi3d mp3an3 reximi
      wb spcev rexcom4 sylib nosupprefixmo adantr 3ad2ant2 df-eu sylanbrc iota2
      sylancr mpbid 3eqtrd ) ALZBLZMUANBEOZAEPZNZEUBUCZEUDQZUEZGEQZIGUFZQZCLZGM
      UAZNZGIUGZRZYKYNRZSZUHZCEOZTZTZIFUIZIHYADLZUFZQZYKUUCMUAZNZUUCYAUGZRZYKUU
      HRZSZUHZCEOZUEZDEPZBUJZHLZUUDQZUUGUUCUUQUGZRZYKUUSRZSZUHZCEOZUUQUUCUIXTSZ
      TZDEPZAUKZULZUIZIUUDQZUUGUUCYNRZYPSZUHZCEOZIUUCUIZXTSZTZDEPZAUKZIGUIZYDYG
      UUBUVJSYTYDIFUVIYDFYCYBAEUMZUWBUFUNUOUPUQZUVIURUVIJYCUWCUVIUSUTVAVCUUAIUU
      PQUVJUVTSUUAUUOUVKUVOUEZDEPZBIYIYDYGYHYJYSVBYTYDUWEYGYTIKLZUFZQZYKUWFMUAZ
      NZUWFYNRZYPSZUHZCEOZUEZKEPZUWEYHYJYSUWPUWOYJYSUEKGEUWFGSZUWHYJUWNYSUWQUWG
      YIIUWFGVMVDUWQUWMYRCEUWQUWJYMUWLYQUWQUWIYLUWFGYKMVEVFUWQUWKYOYPUWFGYNVGVH
      VIVJVKVLVNUWDUWODKEDKVOZUVKUWHUVOUWNUWRUUDUWGIUUCUWFVMVDUWRUVNUWMCEUWRUUG
      UWJUVMUWLUWRUUFUWIUUCUWFYKMVEVFUWRUVLUWKYPUUCUWFYNVGVHVIVJVKVPVQZWDYAISZU
      UNUWDDEUWTUUEUVKUUMUVOYAIUUDVRUWTUULUVNCEUWTUUKUVMUUGUWTUUIUVLUUJYPUWTUUH
      YNUUCYAIVSZVTUWTUUHYNYKUXAVTWAWBVJVKWCWEHIUVHUVTUUPUVIUUQISZUVGUVSAUXBUVF
      UVRDEUXBUURUVKUVDUVOUVEUVQUUQIUUDVRUXBUVCUVNCEUXBUVBUVMUUGUXBUUTUVLUVAYPU
      XBUUSYNUUCUUQIVSZVTUXBUUSYNYKUXCVTWAWBVJUUQIXTUUCWOWFWCWGUVIWHUVSAWIWJWKU
      UAUVKUVOUVPUWASZTZDEPZUVTUWASZYTYDUXFYGYTYHYJYSUWAUWASZUXFYHYJYSWLYHYJYSW
      MYHYJYSWNYTUWAWPUXEYJYSUXHTDGEUUCGSZUVKYJUVOYSUXDUXHUXIUUDYIIUUCGVMVDUXIU
      VNYRCEUXIUUGYMUVMYQUXIUUFYLUUCGYKMVEVFUXIUVLYOYPUUCGYNVGVHVIVJUXIUVPUWAUW
      AIUUCGWQVHWFVLWRWDUUAUWAUDQUVSAWSZUXFUXGXGIGWTUUAUVSAXAZUVSAXBZUXJYTYDUXK
      YGYTUWEUXKUWSUWEUVRAXAZDEPUXKUWDUXMDEUVKUVOUVPUVPSZUXMUVPWHUVRUVKUVOUXNTA
      UVPIUUCWTXTUVPSUVQUXNUVKUVOXTUVPUVPXCXDXHXEXFUVRDAEXIXJWKWDYGYDUXLYTYEUXL
      YFACDEIXKXLXMUVSAXNXOUVSUXFAUWAUDXTUWASZUVRUXEDEUXOUVQUXDUVKUVOXTUWAUVPXC
      XDWCXPXQXRXS $.
  $}

  ${
    $d A a $.  $d a g $.  $d A g $.  $d A p $.  $d a u $.  $d A u $.  $d a v $.
    $d A v $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.  $d G a $.  $d G p $.
    $d g u $.  $d G u $.  $d g v $.  $d G v $.  $d g x $.  $d g y $.  $d G y $.
    $d p u $.  $d p v $.  $d S a $.  $d U a $.  $d U p $.  $d U u $.  $d u v $.
    $d U v $.  $d u x $.  $d U x $.  $d u y $.  $d v x $.  $d v y $.  $d x y $.
    nosupres.1 $e |- S = if ( E. x e. A A. y e. A -. x <s y ,
       ( ( iota_ x e. A A. y e. A -. x <s y ) u.
         { <. dom ( iota_ x e. A A. y e. A -. x <s y ) , 2o >. } ) ,
       ( g e. { y | E. u e. A ( y e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. A ( g e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    $( A restriction law for surreal supremum when there is no maximum.
       (Contributed by Scott Fenton, 5-Dec-2021.) $)
    nosupres $p |- ( ( -. E. x e. A A. y e. A -. x <s y /\
      ( A C_ No /\ A e. _V ) /\ ( U e. A /\ G e. dom U /\
      A. v e. A ( -. v <s U -> ( U |` suc G ) = ( v |` suc G ) ) ) ) ->
      ( S |` suc G ) = ( U |` suc G ) ) $=
      ( vp cv cslt wral wcel wa cdm cres wceq wi wbr wrex csur wss cvv csuc w3a
      va cfv cin dmres word nosupno 3ad2ant2 nodmord syl cab dmeq eleq2d notbid
      wn breq2 reseq1 eqeq1d imbi12d ralbidv anbi12d rspcev weq cbvrexvw sylibr
      3impb wb eleq1 suceq reseq2d eqeq12d imbi2d rexbidv elabg mpbird 3ad2ant3
      cio cmpt crio c2o cop csn cun cif iffalse syl5eq dmeqd iotaex eqid dmmpti
      eqtrdi 3ad2ant1 eleqtrrd ordsucss df-ss sylib simp2l simp31 sseldd simp32
      sylc eqtr4d simpl1 simpl2 simpl31 sselda con0 nodmon onelon syl2anc eloni
      ordsuc imp simpl33 resabs1 syl5ib imim2d ralimdv nosupfv syl113anc fvresd
      simpr 3eqtr4d ex sylbid ralrimiv wfun nofun funres 3syl eqfunfv mpbir2and
      ) ALZBLZMUAVABENZAEUBZVAZEUCUDZEUEOZPZGEOZIGQZOZCLZGMUAZVAZGIUFZRZUUJUUMR
      ZSZTZCENZUGZUGZFUUMRZUUNSZUVAQZUUNQZSZUHLZUVAUIZUVFUUNUIZSZUHUVCNZUUTUVCU
      UMUVDUUTUVCUUMFQZUJZUUMFUUMUKUUTUUMUVKUDZUVLUUMSUUTUVKULZIUVKOUVMUUTFUCOZ
      UVNUUFUUCUVOUUSABCDEFHUEJUMUNZFUOUPUUTIYTDLZQZOZUUJUVQMUAZVAZUVQYTUFZRZUU
      JUWBRZSZTZCENZPZDEUBZBUQZUVKUUSUUCIUWJOZUUFUUSUWKIUVROZUWAUVQUUMRZUUOSZTZ
      CENZPZDEUBZUUSIKLZQZOZUUJUWSMUAZVAZUWSUUMRZUUOSZTZCENZPZKEUBZUWRUUGUUIUUR
      UXIUXHUUIUURPKGEUWSGSZUXAUUIUXGUURUXJUWTUUHIUWSGURUSUXJUXFUUQCEUXJUXCUULU
      XEUUPUXJUXBUUKUWSGUUJMVBUTUXJUXDUUNUUOUWSGUUMVCVDVEVFVGVHVLUWQUXHDKEDKVIZ
      UWLUXAUWPUXGUXKUVRUWTIUVQUWSURUSUXKUWOUXFCEUXKUWAUXCUWNUXEUXKUVTUXBUVQUWS
      UUJMVBUTUXKUWMUXDUUOUVQUWSUUMVCVDVEVFVGVJVKUUIUUGUWKUWRVMUURUWIUWRBIUUHYT
      ISZUWHUWQDEUXLUVSUWLUWGUWPYTIUVRVNUXLUWFUWOCEUXLUWEUWNUWAUXLUWCUWMUWDUUOU
      XLUWBUUMUVQYTIVOZVPUXLUWBUUMUUJUXMVPVQVRVFVGVSVTUNWAWBUUCUUFUVKUWJSUUSUUC
      UVKHUWJHLZUVROUWAUVQUXNUFZRUUJUXORSTCENUXNUVQUIYSSUGDEUBZAWCZWDZQUWJUUCFU
      XRUUCFUUBUUAAEWEZUXSQWFWGWHWIZUXRWJUXRJUUBUXTUXRWKWLWMHUWJUXQUXRUXPAWNUXR
      WOWPWQWRWSIUVKWTXGUUMUVKXAXBWLZUUTUVDUUMUUHUJZUUMGUUMUKUUTUUMUUHUDZUYBUUM
      SUUTUUHULZUUIUYCUUTGUCOZUYDUUTEUCGUUCUUDUUEUUSXCUUCUUFUUGUUIUURXDXEZGUOUP
      UUCUUFUUGUUIUURXFZIUUHWTXGZUUMUUHXAXBWLXHUUTUVIUHUVCUUTUVFUVCOUVFUUMOZUVI
      UUTUVCUUMUVFUYAUSUUTUYIUVIUUTUYIPZUVFFUIZUVFGUIZUVGUVHUYJUUCUUFUUGUVFUUHO
      UULGUVFUFZRZUUJUYMRZSZTZCENZUYKUYLSUUCUUFUUSUYIXIUUCUUFUUSUYIXJUUGUUIUURU
      UCUUFUYIXKUUTUUMUUHUVFUYHXLUYJUYMUUMUDZUURUYRUUTUYIUYSUUTUUMULZUYIUYSTUUT
      IULZUYTUUTIXMOZVUAUUTUUHXMOZUUIVUBUUTUYEVUCUYFGXNUPUYGUUHIXOXPIXQUPIXRXBU
      VFUUMWTUPXSUUGUUIUURUUCUUFUYIXTUYSUUQUYQCEUYSUUPUYPUULUUPUUNUYMRZUUOUYMRZ
      SUYSUYPUUNUUOUYMVCUYSVUDUYNVUEUYOGUYMUUMYAUUJUYMUUMYAVQYBYCYDXGABCDEFGHUV
      FJYEYFUYJUVFUUMFUUTUYIYHZYGUYJUVFUUMGVUFYGYIYJYKYLUUTUVAYMZUUNYMZUVBUVEUV
      JPVMUUTUVOFYMVUGUVPFYNUUMFYOYPUUTUYEGYMVUHUYFGYNUUMGYOYPUHUVAUUNYQXPYR $.
  $}

  ${
    nosupbnd1.1 $e |- S = if ( E. x e. A A. y e. A -. x <s y ,
       ( ( iota_ x e. A A. y e. A -. x <s y ) u.
         { <. dom ( iota_ x e. A A. y e. A -. x <s y ) , 2o >. } ) ,
       ( g e. { y | E. u e. A ( y e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. A ( g e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.

    ${
      $d A g $.  $d A h $.  $d A p $.  $d A u $.  $d A v $.  $d A x $.
      $d A y $.  $d g u $.  $d g v $.  $d g x $.  $d g y $.  $d h p $.
      $d h u $.  $d h v $.  $d h x $.  $d h y $.  $d p u $.  $d p v $.
      $d p x $.  $d p y $.  $d S h $.  $d S p $.  $d U h $.  $d U p $.
      $d u v $.  $d U v $.  $d u x $.  $d u y $.  $d v x $.  $d v y $.
      $d x y $.
      $( Lemma for ~ nosupbnd1 .  Establish a soft upper bound.  (Contributed
         by Scott Fenton, 5-Dec-2021.) $)
      nosupbnd1lem1 $p |- ( ( -. E. x e. A A. y e. A -. x <s y /\
    ( A C_ No /\ A e. _V ) /\ U e. A ) -> -. S <s ( U |` dom S ) ) $=
        ( vh cv cslt wbr wn csur wcel wa cres wceq wi wral wrex wss cvv w3a cdm
        vp csuc simp2l simp3 sseldd nosupno 3ad2ant2 nodmon syl noreson syl2anc
        con0 cin dmres inss1 eqsstri a1i ssidd wb cab cfv cio cmpt crio c2o cop
        csn cun cif iffalse syl5eq dmeqd iotaex dmmpti eqtrdi eleq2d vex eleq1w
        eqid weq suceq reseq2d eqeq12d imbi2d ralbidv anbi12d dmeq breq2 notbid
        rexbidv reseq1 eqeq1d imbi12d cbvrexvw bitrdi elab simpl1 simpl2 simprl
        3ad2ant1 simprrl simprrr nosupres syl113anc simpl2l adantr sltso soasym
        wor mpan simpl3 breq1 eqeq2d rspcv sylc syld imp sucelon sylib eqnbrtrd
        onelon sonr sltres syl3anc con3d pm2.61d rexlimdvaa sylbid word nodmord
        ex ordsucss 3syl resabs1d breq2d mtbird ralrimiva noresle syl23anc ) AK
        ZBKZLMNBEUAZAEUBZNZEOUCZEUDPZQZGEPZUEZGFUFZRZOPZFOPZUUQUFZUUPUCZUUPUUPU
        CFJKZUHZRZUUQUVCRZLMZNZJUUPUAFUUQLMNUUOGOPZUUPURPZUURUUOEOGUUJUUKUULUUN
        UIUUJUUMUUNUJUKZUUOUUSUVIUUMUUJUUSUUNABCDEFHUDIULUMZFUNUOGUUPUPUQUVKUVA
        UUOUUTUUPGUFZUSUUPGUUPUTUUPUVLVAVBVCUUOUUPVDUUOUVGJUUPUUOUVBUUPPZQZUVFU
        VDGUVCRZLMZUUOUVMUVPNZUUOUVMUVBUGKZUFZPZCKZUVRLMZNZUVRUVCRZUWAUVCRZSZTZ
        CEUAZQZUGEUBZUVQUUJUUMUVMUWJVEUUNUUJUVMUVBUUGDKZUFZPZUWAUWKLMZNZUWKUUGU
        HZRZUWAUWPRZSZTZCEUAZQZDEUBZBVFZPUWJUUJUUPUXDUVBUUJUUPHUXDHKZUWLPUWOUWK
        UXEUHZRUWAUXFRSTCEUAUXEUWKVGUUFSUEDEUBZAVHZVIZUFUXDUUJFUXIUUJFUUIUUHAEV
        JZUXJUFVKVLVMVNZUXIVOUXIIUUIUXKUXIVPVQVRHUXDUXHUXIUXGAVSUXIWEVTWAWBUXCU
        WJBUVBJWCBJWFZUXCUVBUWLPZUWOUWKUVCRZUWESZTZCEUAZQZDEUBUWJUXLUXBUXRDEUXL
        UWMUXMUXAUXQBJUWLWDUXLUWTUXPCEUXLUWSUXOUWOUXLUWQUXNUWRUWEUXLUWPUVCUWKUU
        GUVBWGZWHUXLUWPUVCUWAUXSWHWIWJWKWLWPUXRUWIDUGEDUGWFZUXMUVTUXQUWHUXTUWLU
        VSUVBUWKUVRWMWBUXTUXPUWGCEUXTUWOUWCUXOUWFUXTUWNUWBUWKUVRUWALWNWOUXTUXNU
        WDUWEUWKUVRUVCWQWRWSWKWLWTXAXBXAXFUUOUWIUVQUGEUUOUVREPZUWIQZQZUVDUWDUVO
        LUYCUUJUUMUYAUVTUWHUVDUWDSUUJUUMUUNUYBXCUUJUUMUUNUYBXDUUOUYAUWIXEZUUOUY
        AUVTUWHXGZUUOUYAUVTUWHXHZABCDEFUVRHUVBIXIXJUYCUVRGLMZUWDUVOLMZNZUYCUYGU
        YIUYCUYGQUWDUVOUVOLUYCUYGUWDUVOSZUYCUYGGUVRLMZNZUYJUYCUVROPZUVHUYGUYLTZ
        UYCEOUVRUUKUULUUJUUNUYBXKUYDUKZUUOUVHUYBUVJXLZOLXOZUYMUVHQUYNXMOLUVRGXN
        XPUQUYCUUNUWHUYLUYJTZUUJUUMUUNUYBXQUYFUWGUYRCGEUWAGSZUWCUYLUWFUYJUYSUWB
        UYKUWAGUVRLXRWOUYSUWEUVOUWDUWAGUVCWQXSWSXTYAYBYCUYCUVOUVOLMNZUYGUYCUVOO
        PZUYTUYCUVHUVCURPZVUAUYPUYCUVBURPZVUBUYCUVSURPZUVTVUCUYCUYMVUDUYOUVRUNU
        OUYEUVSUVBYGUQUVBYDYEZGUVCUPUQUYQVUAUYTXMOUVOLYHXPUOXLYFYQUYCUYHUYGUYCU
        YMUVHVUBUYHUYGTUYOUYPVUEUVRGUVCYIYJYKYLYFYMYNYCUVNUVEUVOUVDLUVNGUVCUUPU
        UOUVMUVCUUPUCZUUOUUSUUPYOUVMVUFTUVKFYPUVBUUPYRYSYCYTUUAUUBUUCUUPFUUQJUU
        DUUE $.
    $}

    ${
      $d A g $.  $d A u $.  $d A v $.  $d A x $.  $d A y $.  $d g u $.
      $d g v $.  $d g x $.  $d g y $.  $d u v $.  $d u x $.  $d u y $.
      $d v x $.  $d v y $.  $d W v $.  $d x y $.
      $( Lemma for ~ nosupbnd1 .  When there is no maximum, if any member of
         ` A ` is a prolongment of ` S ` , then so are all elements of ` A `
         above it.  (Contributed by Scott Fenton, 5-Dec-2021.) $)
      nosupbnd1lem2 $p |- ( ( -. E. x e. A A. y e. A -. x <s y /\
    ( A C_ No /\ A e. _V ) /\
    ( ( U e. A /\ ( U |` dom S ) = S ) /\ ( W e. A /\ -. W <s U ) ) ) ->
    ( W |` dom S ) = S ) $=
        ( cv cslt wbr wn csur cvv wcel wa cres wceq wral wss cdm w3a simp3rr wi
        wrex con0 simp2l simp3rl sseldd simp3ll nosupno 3ad2ant2 nodmon syl3anc
        sltres mtod simp3lr breq2d mtbid nosupbnd1lem1 syld3an3 noreson syl2anc
        syl wb wor sltso sotrieq2 mpan mpbir2and ) AKBKLMNBEUAAEUGNZEOUBZEPQZRZ
        GEQZGFUCZSZFTZRZIEQZIGLMZNZRZRZUDZIVRSZFTZWHFLMZNZFWHLMNZWGWHVSLMZWJWGW
        MWCWBWDWAVMVPUEWGIOQZGOQVRUHQZWMWCUFWGEOIVMVNVOWFUIZWBWDWAVMVPUJZUKZWGE
        OGWPVQVTWEVMVPULUKWGFOQZWOVPVMWSWFABCDEFHPJUMUNZFUOVFZIGVRUQUPURWGVSFWH
        LVQVTWEVMVPUSUTVAVMVPWFWBWLWQABCDEFIHJVBVCWGWHOQZWSWIWKWLRVGZWGWNWOXBWR
        XAIVRVDVEWTOLVHXBWSRXCVIOWHFLVJVKVEVL $.
    $}

    ${
      $d A g $.  $d A p $.  $d A q $.  $d A u $.  $d A v $.  $d A x $.
      $d A y $.  $d A z $.  $d g u $.  $d g v $.  $d g x $.  $d g y $.
      $d p q $.  $d p u $.  $d p v $.  $d p y $.  $d p z $.  $d q u $.
      $d q v $.  $d q x $.  $d q y $.  $d q z $.  $d S p $.  $d S q $.
      $d S z $.  $d U p $.  $d U q $.  $d u v $.  $d u x $.  $d u y $.
      $d u z $.  $d v x $.  $d v y $.  $d v z $.  $d x y $.  $d y z $.
      $( Lemma for ~ nosupbnd1 .  If ` U ` is a prolongment of ` S ` and in
         ` A ` , then ` ( U `` dom S ) ` is not ` 2o ` .  (Contributed by Scott
         Fenton, 6-Dec-2021.) $)
      nosupbnd1lem3 $p |- ( ( -. E. x e. A A. y e. A -. x <s y /\
    ( A C_ No /\ A e. _V ) /\ ( U e. A /\ ( U |` dom S ) = S ) ) ->
    ( U ` dom S ) =/= 2o ) $=
        ( vp vq cv wn csur wcel wa cres wceq c2o adantr vz cslt wbr wss cvv cdm
        wral wrex w3a word nosupno 3ad2ant2 nodmord ordirr 3syl csuc wi simpl3l
        cfv ndmfv wne c1o con0 2on elexi prid2 nosgnn0i neeq1 mpbiri neneqd syl
        con4i adantl simpl2l sseldd simprl nodmon simpl3r simpll1 simpll2 simpr
        c0 simpll3 nosupbnd1lem2 syl112anc eqtr4d simplr nolesgn2ores syl321anc
        simprr expr ralrimiva eleq2d breq2 notbid reseq1 eqeq1d imbi12d ralbidv
        dmeq anbi12d rspcev syl12anc cab nosupdm 3ad2ant1 eleq1 reseq2d eqeq12d
        wb suceq imbi2d rexbidv elabg bitrd mpbird mtand neqned ) ALBLUBUCMBEUG
        AEUHMZENUDZEUEOZPZGEOZGFUFZQZFRZPZUIZYDGUSZSYHYISRZYDYDOZYHFNOZYDUJYKMY
        BXSYLYGABCDEFHUEIUKULZFUMYDUNUOYHYJPZYKYDJLZUFZOZKLZYOUBUCZMZYOYDUPZQZY
        RUUAQZRZUQZKEUGZPZJEUHZYNYCYDGUFZOZYRGUBUCZMZGUUAQZUUCRZUQZKEUGZUUHYCYF
        XSYBYJURZYJUUJYHUUJYJUUJMYIWBRZYJMYDGUTUURYISUURYISVAWBSVASVBSSVCVDVEVF
        VGYIWBSVHVIVJVKVLVMYNUUOKEYNYREOZUULUUNYNUUSUULPZPZGNOYRNOYDVCOZYEYRYDQ
        ZRYJUULUUNUVAENGYNXTUUTXTYAXSYGYJVNTZYNYCUUTUUQTVOUVAENYRUVDYNUUSUULVPV
        OUVAYLUVBYNYLUUTYHYLYJYMTTFVQZVKUVAYEFUVCYNYFUUTYCYFXSYBYJVRTUVAXSYBYGU
        UTUVCFRXSYBYGYJUUTVSXSYBYGYJUUTVTXSYBYGYJUUTWCYNUUTWAABCDEFGHYRIWDWEWFY
        HYJUUTWGYNUUSUULWJGYRYDWHWIWKWLUUGUUJUUPPJGEYOGRZYQUUJUUFUUPUVFYPUUIYDY
        OGWTWMUVFUUEUUOKEUVFYTUULUUDUUNUVFYSUUKYOGYRUBWNWOUVFUUBUUMUUCYOGUUAWPW
        QWRWSXAXBXCYHYKUUHXJYJYHYKYDUALZYPOZYTYOUVGUPZQZYRUVIQZRZUQZKEUGZPZJEUH
        ZUAXDZOZUUHXSYBYKUVRXJYGXSYDUVQYDABUACDEFHKJIXEWMXFYHYLUVBUVRUUHXJYMUVE
        UVPUUHUAYDVCUVGYDRZUVOUUGJEUVSUVHYQUVNUUFUVGYDYPXGUVSUVMUUEKEUVSUVLUUDY
        TUVSUVJUUBUVKUUCUVSUVIUUAYOUVGYDXKZXHUVSUVIUUAYRUVTXHXIXLWSXAXMXNUOXOTX
        PXQXR $.
    $}

    ${
      $d A g $.  $d A u $.  $d A v $.  $d A w $.  $d A x $.  $d A y $.
      $d g u $.  $d g v $.  $d g x $.  $d g y $.  $d S w $.  $d U u $.
      $d u v $.  $d u w $.  $d U w $.  $d u x $.  $d u y $.  $d v w $.
      $d v x $.  $d v y $.  $d w x $.  $d w y $.  $d x y $.
      $( Lemma for ~ nosupbnd1 .  If ` U ` is a prolongment of ` S ` and in
         ` A ` , then ` ( U `` dom S ) ` is not undefined.  (Contributed by
         Scott Fenton, 6-Dec-2021.) $)
      nosupbnd1lem4 $p |- ( ( -. E. x e. A A. y e. A -. x <s y /\
    ( A C_ No /\ A e. _V ) /\ ( U e. A /\ ( U |` dom S ) = S ) ) ->
    ( U ` dom S ) =/= (/) ) $=
        ( vw cv cslt wbr wn wrex csur wcel wa wceq adantr wral wss cvv cdm cres
        w3a cfv c2o wne simpl1 simpl2 simprl simpl3 simprr simp2l simp3l sseldd
        c0 wi simpl2l wor sltso soasym syl2an2r mpd jca nosupbnd1lem2 syl112anc
        mpan nosupbnd1lem3 neneqd imnan sylib nrexdv simpl3l weq breq2 cbvrexvw
        expr breq1 rexbidv syl5bb dfrex2 ralbii ralnex 3bitri sylibr rspcv sylc
        cbvralvw nosupno 3ad2ant2 nodmon simpl3r simpll1 simpll2 simpll3 eqtr4d
        con0 syl simplr nolt02o syl321anc ancld reximdva mtand neqned ) AKZBKZL
        MZNBEUAZAEONZEPUBZEUCQZRZGEQZGFUDZUEZFSZRZUFZXQGUGZURYAYBURSZGJKZLMZXQY
        DUGZUHSZRZJEOZYAYHJEYAYDEQZRYEYGNZUSYHNYAYJYEYKYAYJYERZRZYFUHYMXLXOYJYD
        XQUEZFSZYFUHUIXLXOXTYLUJZXLXOXTYLUKZYAYJYEULZYMXLXOXTYJYDGLMNZRZYOYPYQX
        LXOXTYLUMYMYJYSYRYMYEYSYAYJYEUNYAGPQZYLYDPQZYEYSUSZYAEPGXLXMXNXTUOXLXOX
        PXSUPUQYMEPYDXMXNXLXTYLUTYRUQPLVAUUAUUBRUUCVBPLGYDVCVIZVDVEVFABCDEFGHYD
        IVGZVHABCDEFYDHIVJVHVKVSYEYGVLVMVNYAYCRZYEJEOZYIUUFXPDKZYDLMZJEOZDEUAZU
        UGXPXSXLXOYCVOZUUFXLUUKXLXOXTYCUJUUKXJBEOZAEUAXKNZAEUAXLUUJUUMDAEUUJUUH
        XILMZBEODAVPZUUMUUIUUOJBEYDXIUUHLVQVRUUPUUOXJBEUUHXHXILVTWAWBWJUUMUUNAE
        XJBEWCWDXKAEWEWFWGUUJUUGDGEUUHGSUUIYEJEUUHGYDLVTWAWHWIUUFYEYHJEUUFYJRYE
        YGUUFYJYEYGUUFYLRZUUAUUBXQWSQZXRYNSYEYCYGUUFUUAYLUUFEPGXMXNXLXTYCUTZUUL
        UQZTUUQEPYDUUFXMYLUUSTUUFYJYEULZUQZUUQFPQZUURUUFUVCYLYAUVCYCXOXLUVCXTAB
        CDEFHUCIWKWLTTFWMWTUUQXRFYNUUFXSYLXPXSXLXOYCWNTUUQXLXOXTYTYOXLXOXTYCYLW
        OXLXOXTYCYLWPXLXOXTYCYLWQUUQYJYSUVAUUQYEYSUUFYJYEUNZUUFUUAYLUUBUUCUUTUV
        BUUDVDVEVFUUEVHWRUVDYAYCYLXAGYDXQXBXCVSXDXEVEXFXG $.
    $}

    ${
      $d A a $.  $d A g $.  $d a p $.  $d A p $.  $d a u $.  $d A u $.
      $d a v $.  $d A v $.  $d A x $.  $d a y $.  $d A y $.  $d a z $.
      $d A z $.  $d g u $.  $d g v $.  $d g x $.  $d g y $.  $d p u $.
      $d p v $.  $d p y $.  $d p z $.  $d S a $.  $d S p $.  $d S z $.
      $d U p $.  $d u v $.  $d u x $.  $d u y $.  $d u z $.  $d U z $.
      $d v x $.  $d v y $.  $d v z $.  $d x y $.  $d x z $.  $d y z $.
      $( Lemma for ~ nosupbnd1 .  If ` U ` is a prolongment of ` S ` and in
         ` A ` , then ` ( U `` dom S ) ` is not ` 1o ` .  (Contributed by Scott
         Fenton, 6-Dec-2021.) $)
      nosupbnd1lem5 $p |- ( ( -. E. x e. A A. y e. A -. x <s y /\
    ( A C_ No /\ A e. _V ) /\ ( U e. A /\ ( U |` dom S ) = S ) ) ->
    ( U ` dom S ) =/= 1o ) $=
        ( vz vp wn c1o wceq wi csur wcel wa cres c0 va cv cslt wbr cdm cfv wral
        wrex wss cvv w3a word nosupno 3ad2ant2 adantl nodmord 3syl csuc simpr3l
        wne ordirr adantr ndmfv c2o 1oex prid1 nosgnn0i neeq1 mpbiri neneqd syl
        con4i simp2l simp3l sseldd nofun simpl2l simpll simpl3r simpll1 simpll2
        wfun syl2an simpll3 simprl nosupbnd1lem2 syl112anc eqtr4d simplr simprr
        ssel2 eqfunressuc syl213anc expr a2d ralimdva impcom anassrs dmeq breq2
        eleq2d notbid reseq1 eqeq1d imbi12d ralbidv anbi12d rspcev syl12anc cab
        wb simplr1 nosupdm con0 nodmon eleq1 suceq reseq2d eqeq12d imbi2d elabg
        rexbidv bitrd mpbird mtand neqned rexanali wo simpl nofv 3orel2 syl5com
        w3o imdistanda simpl1 simpl2 simpl3 simpr nosupbnd1lem4 pm2.21d expimpd
        nosupbnd1lem3 jaod syldc anasss rexlimiva imp sylanbr pm2.61ian ) JUBZG
        UCUDZLZFUEZUUJUFZMNZOZJEUGZAUBBUBUCUDLBEUGAEUHLZEPUIZEUJQZRZGEQZGUUMSZF
        NZRZUKZUUMGUFZMUTZUUQUVFRZUVGMUVIUVGMNZUUMUUMQZUVIFPQZUUMULUVKLUVFUVLUU
        QUVAUURUVLUVEABCDEFHUJIUMUNUOZFUPUUMVAUQUVIUVJRZUVKUUMKUBZUEZQZUUJUVOUC
        UDZLZUVOUUMURZSZUUJUVTSZNZOZJEUGZRZKEUHZUVNUVBUUMGUEZQZUULGUVTSZUWBNZOZ
        JEUGZUWGUVIUVBUVJUVBUVDUURUVAUUQUSVBUVJUWIUVIUWIUVJUWILUVGTNZUVJLUUMGVC
        UWNUVGMUWNUVHTMUTZMMVDVEVFVGZUVGTMVHVIVJVKVLZUOUUQUVFUVJUWMUVFUVJRZUUQU
        WMUWRUUPUWLJEUWRUUJEQZRUULUUOUWKUWRUWSUULUUOUWKOUWRUWSUULRZUUOUWKUWRUWT
        UUORZRZGWBZUUJWBZUVCUUJUUMSZNUWIUUMUUJUEQZUVGUUNNUWKUXBGPQZUXCUWRUXGUXA
        UVFUXGUVJUVFEPGUURUUSUUTUVEVMZUURUVAUVBUVDVNVOVBVBGVPVKUXBUUJPQZUXDUWRU
        USUWSUXIUXAUUSUUTUURUVEUVJVQUWSUULUUOVREPUUJWKZWCUUJVPVKUXBUVCFUXEUWRUV
        DUXAUVBUVDUURUVAUVJVSVBUXBUURUVAUVEUWTUXEFNZUURUVAUVEUVJUXAVTUURUVAUVEU
        VJUXAWAUURUVAUVEUVJUXAWDUWRUWTUUOWEABCDEFGHUUJIWFZWGWHUWRUWIUXAUVJUWIUV
        FUWQUOVBUXAUXFUWRUUOUXFUWTUXFUUOUXFLUUNTNZUUOLZUUMUUJVCUXMUUNMUXMUUNMUT
        UWOUWPUUNTMVHVIVJVKVLUOUOUXBUVGMUUNUVFUVJUXAWIUWRUWTUUOWJWHGUUJUUMWLWMW
        NWNWOWPWQWRUWFUWIUWMRKGEUVOGNZUVQUWIUWEUWMUXOUVPUWHUUMUVOGWSXAUXOUWDUWL
        JEUXOUVSUULUWCUWKUXOUVRUUKUVOGUUJUCWTXBUXOUWAUWJUWBUVOGUVTXCXDXEXFXGXHX
        IUVNUVKUUMUAUBZUVPQZUVSUVOUXPURZSZUUJUXRSZNZOZJEUGZRZKEUHZUAXJZQZUWGUVN
        UURUVKUYGXKUURUVAUVEUUQUVJXLUURUUMUYFUUMABUACDEFHJKIXMXAVKUVNUVLUUMXNQU
        YGUWGXKUVIUVLUVJUVMVBFXOUYEUWGUAUUMXNUXPUUMNZUYDUWFKEUYHUXQUVQUYCUWEUXP
        UUMUVPXPUYHUYBUWDJEUYHUYAUWCUVSUYHUXSUWAUXTUWBUYHUXRUVTUVOUXPUUMXQZXRUY
        HUXRUVTUUJUYIXRXSXTXFXGYBYAUQYCYDYEYFUUQLUULUXNRZJEUHZUVFUVHUULUUOJEYGU
        YKUVFUVHUYJUVFUVHOZJEUWSUULUXNUYLUVFUWTUXNRUWTUXMUUNVDNZYHZRUVHUVFUWTUX
        NUYNUVFUWTRZUXMUUOUYMYMZUXNUYNUYOUXIUYPUVFUUSUWSUXIUWTUXHUWSUULYIUXJWCU
        UJUUMYJVKUXMUUOUYMYKYLYNUVFUWTUYNUVHUYOUXMUVHUYMUYOUXMUVHUYOUUNTUYOUURU
        VAUWSUXKUUNTUTUURUVAUVEUWTYOZUURUVAUVEUWTYPZUVFUWSUULWEZUYOUURUVAUVEUWT
        UXKUYQUYRUURUVAUVEUWTYQUVFUWTYRUXLWGZABCDEFUUJHIYSWGVJYTUYOUYMUVHUYOUUN
        VDUYOUURUVAUWSUXKUUNVDUTUYQUYRUYSUYTABCDEFUUJHIUUBWGVJYTUUCUUAUUDUUEUUF
        UUGUUHUUI $.
    $}

    ${
      $d A g $.  $d A u $.  $d A v $.  $d A x $.  $d A y $.  $d g u $.
      $d g v $.  $d g x $.  $d g y $.  $d U u $.  $d u v $.  $d U v $.
      $d u x $.  $d u y $.  $d v x $.  $d v y $.  $d x y $.
      $( Lemma for ~ nosupbnd1 .  Establish a hard upper bound when there is no
         maximum.  (Contributed by Scott Fenton, 6-Dec-2021.) $)
      nosupbnd1lem6 $p |- ( ( -. E. x e. A A. y e. A -. x <s y /\
    ( A C_ No /\ A e. _V ) /\ U e. A ) -> ( U |` dom S ) <s S ) $=
        ( cslt wbr wn csur wcel wa wceq c0 c1o c2o wne cv wral wrex wss cvv w3a
        cdm cres cfv w3o simp2l simp3 sseldd nofv syl 3oran sylib simpl1 simpl2
        simpl3 simpr nosupbnd1lem4 syl112anc neneqd nosupbnd1lem5 nosupbnd1lem3
        3jca mtand nosupbnd1lem1 con0 nosupno 3ad2ant2 nodmon noreson wor sltso
        syl2anc solin mpan ecase23d ) AUABUAJKLBEUBAEUCLZEMUDZEUENZOZGENZUFZGFU
        GZUHZFJKZWHFPZFWHJKZWFWJWGGUIZQPZLZWLRPZLZWLSPZLZUFZWFWMWOWQUJZWSLWFGMN
        ZWTWFEMGWAWBWCWEUKWAWDWEULUMZGWGUNUOWMWOWQUPUQWFWJOZWNWPWRXCWLQXCWAWDWE
        WJWLQTWAWDWEWJURZWAWDWEWJUSZWAWDWEWJUTZWFWJVAZABCDEFGHIVBVCVDXCWLRXCWAW
        DWEWJWLRTXDXEXFXGABCDEFGHIVEVCVDXCWLSXCWAWDWEWJWLSTXDXEXFXGABCDEFGHIVFV
        CVDVGVHABCDEFGHIVIWFWHMNZFMNZWIWJWKUJZWFXAWGVJNZXHXBWFXIXKWDWAXIWEABCDE
        FHUEIVKVLZFVMUOGWGVNVQXLMJVOXHXIOXJVPMWHFJVRVSVQVT $.
    $}

    ${
      $d A g $.  $d A u $.  $d A v $.  $d A x $.  $d A y $.  $d g u $.
      $d g v $.  $d g x $.  $d g y $.  $d U u $.  $d u v $.  $d U v $.
      $d u x $.  $d U x $.  $d u y $.  $d U y $.  $d v x $.  $d v y $.
      $d x y $.
      $( Bounding law from below for the surreal supremum.  Proposition 4.2 of
         [Lipparini] p. 6.  (Contributed by Scott Fenton, 6-Dec-2021.) $)
      nosupbnd1 $p |- ( ( A C_ No /\ A e. _V /\ U e. A ) ->
    ( U |` dom S ) <s S ) $=
        ( cv cslt wbr wn csur wcel cdm cres wa nfcv wceq wral wrex wss cvv crio
        w3a csuc c2o cop csn cun simpr3 nfv nfriota1 nfbr nfn nfralw nfim simpl
        wi wreu wb wrmo rspe adantr nomaxmo 3ad2ant1 adantl sylanbrc riota1 syl
        reu5 mpbid simplr nfra1 nfriota nfeq notbid ralbid biimprd sylc rexlimi
        breq1 exp31 imp breq2 rspc wrel wfun simpr1 riotacl sseldd nofun funrel
        3syl sssucid relssres sylancl breq1d con0 nodmon sucelon sltres syl3anc
        sylib sylbird mtod noextendgt noreson syl2anc c1o 2on elexi prid2 sltso
        noextend wor sotr2 mpan mp2and cab cfv cio cmpt cif iftrue syl5eq dmeqd
        dmsnop uneq2i dmun df-suc 3eqtr4i eqtrdi simpr2 nosupbnd1lem6 syl121anc
        reseq2d 3brtr4d pm2.61ian ) AJZBJZKLZMZBEUAZAEUBZENUCZEUDOZGEOZUFZGFPZQ
        ZFKLZUUFUUJRZGUUEAEUEZPZUGZQZUUOUUPUHUIUJZUKZUULFKUUNUUOUURKLZMZUUOUUTK
        LZUURUUTKLZUUNUVAUUOGKLZUUNUUIUUOUUBKLZMZBEUAZUVEMZUUFUUGUUHUUIULZUUFUU
        JUVHUUEUUJUVHUTAEUUJUVHAUUJAUMUVGABEAESUVFAAUUOUUBKUUEAEUNAKSAUUBSUOUPU
        QURUUAEOZUUEUUJUVHUVKUUERZUUJRZUUOUUATZUUEUVHUVMUVLUVNUVLUUJUSUVMUUEAEV
        AZUVLUVNVBUVMUUFUUEAEVCZUVOUVLUUFUUJUUEAEVDVEUUJUVPUVLUUGUUHUVPUUIABEVF
        VGZVHUUEAEVLZVIUUEAEVJVKVMUVKUUEUUJVNUVNUVHUUEUVNUVGUUDBEBUUOUUAUUEBAEU
        UDBEVOBESVPZBUUASVQUVNUVFUUCUUOUUAUUBKWCVRVSVTWAWDWBWEUVGUVIBGEUVEBBUUO
        GKUVSBKSBGSUOUPUUBGTUVFUVEUUBGUUOKWFVRWGWAUUNUVAUUOUUQQZUURKLZUVEUUNUVT
        UUOUURKUUNUUOWHZUUPUUQUCUVTUUOTUUNUUONOZUUOWIUWBUUNENUUOUUFUUGUUHUUIWJZ
        UUNUVOUUOEOUUNUUFUVPUVOUUFUUJUSUUJUVPUUFUVQVHUVRVIUUEAEWKVKWLZUUOWMUUOW
        NWOUUPWPUUOUUQWQWRWSUUNUWCGNOZUUQWTOZUWAUVEUTUWEUUNENGUWDUVJWLZUUNUUPWT
        OZUWGUUNUWCUWIUWEUUOXAVKUUPXBXEZUUOGUUQXCXDXFXGUUNUWCUVCUWEUUOXHVKUUNUU
        RNOZUWCUUTNOZUVBUVCRUVDUTZUUNUWFUWGUWKUWHUWJGUUQXIXJUWEUUNUWCUWLUWEUUOU
        HXKUHUHWTXLXMZXNXPVKNKXQUWKUWCUWLUFUWMXONUURUUOUUTKXRXSXDXTUUNUUKUUQGUU
        FUUKUUQTUUJUUFUUKUUTPZUUQUUFFUUTUUFFUUFUUTHUUBDJZPZOCJZUWPKLMZUWPUUBUGZ
        QUWRUWTQTUTCEUARDEUBBYAHJZUWQOUWSUWPUXAUGZQUWRUXBQTUTCEUAUXAUWPYBUUATUF
        DEUBAYCYDZYEUUTIUUFUUTUXCYFYGZYHUUPUUSPZUKUUPUUPUJZUKUWOUUQUXEUXFUUPUUP
        UHUWNYIYJUUOUUSYKUUPYLYMYNVEYRUUFFUUTTUUJUXDVEYSUUFMZUUJRUXGUUGUUHUUIUU
        MUXGUUJUSUXGUUGUUHUUIWJUXGUUGUUHUUIYOUXGUUGUUHUUIULABCDEFGHIYPYQYT $.
    $}
  $}

  ${
    $d A a $.  $d a q $.  $d A q $.  $d p q $.  $d p x $.  $d q x $.  $d q y $.
    $d U a $.  $d U p $.  $d U q $.  $d U x $.  $d Z a $.  $d Z p $.  $d Z q $.
    $d Z x $.
    $( Bounding law from above when a set of surreals has a maximum.
       (Contributed by Scott Fenton, 6-Dec-2021.) $)
    nosupbnd2lem1 $p |- ( ( ( U e. A /\ A. y e. A -. U <s y ) /\
     ( A C_ No /\ A e. _V /\ Z e. No ) /\
     A. a e. A a <s Z ) ->
     -. ( Z |` suc dom U ) <s ( U u. { <. dom U , 2o >. } ) ) $=
      ( vx vq wcel cslt wbr wn wa csur c2o cfv con0 wceq syl c1o c0 vp wral wss
      cvv w3a cdm csuc cres cop csn cun simp1l simp3 breq1 rspcv sylc crab cint
      cv wne simpl21 simpl1l sseldd simpl23 simp21 sltso sonr mpan breq2 notbid
      wor syl5ibcom con2d neqned nosepssdm syl3anc wo wb nosepon nodmon syl2anc
      imp onsseleq ctp wrex adantr sylan simpr weq fveq2 neeq12d onnminsb df-ne
      onelon con2bii sylibr simplr ontr1 mp2and fvresd eqtr4d ralrimiva sltval2
      wi mpbid breqtrrd raleq breq12d anbi12d rspcev syl12anc sltval mpbird cxp
      noreson cin df-res 2on xpsng sylancl ineq1d 3syl syl5eq nofun eqtrd sylib
      wfun mpd eleq2d ex sylbid nosgnn0i mpbiri neneqd intnanrd w3o adantl fvex
      ndmfv 3orrot incom word nodmord ordirr disjsn xpdisj1 eqtr3d resundir un0
      uneq2d eqcomi 3eqtr4g wrel resdm sssucid resabs1 mp1i 3brtr4d elexi prid2
      funrel noextend sucelon sltres soasym df-suc reseq2i resundi eqtri rabbii
      dmres necom inteqi necomd eqsstrid eqsstrrd df-ss biimpar ralrimiv funres
      nesym eqfunfv mpbir2and wfn funfn 1oex prid1 neeq1d 3brtr3d brtp ecase23d
      3bitri simprd neeq1 con4i fnressn opeq2d sneqd uneq12d eqnbrtrd jaodan
      mpdan ) CBHZCAUSIJKABUBZLZBMUCZBUDHZDMHZUEZEUSZDIJZEBUBZUEZCDIJZDCUFZUGZU
      HZCUXONUIZUJZUKZIJKZUXMUXCUXLUXNUXCUXDUXIUXLULZUXEUXIUXLUMUXKUXNECBUXJCDI
      UNUOUPUXMUXNLZFUSZCOZUYDDOZUTZFPUQZURZUXOUCZUYAUYCCMHZUXHCDUTZUYJUYCBMCUX
      FUXGUXHUXEUXLUXNVAUXCUXDUXIUXLUXNVBVCZUXFUXGUXHUXEUXLUXNVDZUYCCDUXMUXNCDQ
      ZKUXMUYOUXNUXMCCIJZKZUYOUXNKUXMUYKUYQUXMBMCUXEUXFUXGUXHUXLVEUYBVCMIVKZUYK
      UYQVFMCIVGVHRUYOUYPUXNCDCIVIVJVLVMWBVNZFCDVOVPUYCUYJUYIUXOHZUYIUXOQZVQZUY
      AUYCUYIPHZUXOPHZUYJVUBVRUYCUYKUXHUYLVUCUYMUYNUYSFCDVSZVPUYCUYKVUDUYMCVTZR
      ZUYIUXOWCWAUYCVUBUYAUYCUYTUYAVUAUYCUYTLZUXTUXQIJZUYAVUHUXTUXOUHZUXQUXOUHZ
      IJZVUIVUHCDUXOUHZVUJVUKIVUHCVUMIJZGUSZCOZVUOVUMOZQZGUAUSZUBZVUSCOZVUSVUMO
      ZSTUISNUITNUIWDZJZLZUAPWEZVUHVUCVURGUYIUBZUYICOZUYIVUMOZVVCJZVVFVUHUYKUXH
      UYLVUCUYCUYKUYTUYMWFZUYCUXHUYTUYNWFZUYCUYLUYTUYSWFVUEVPZVUHVURGUYIVUHVUOU
      YIHZLZVUPVUODOZVUQVVOVUPVVPUTZKZVUPVVPQZVVOVUOPHZVVNVVRVUHVUCVVNVVTVVMUYI
      VUOWNWGVUHVVNWHZUYGVVQFVUOFGWIUYEVUPUYFVVPUYDVUOCWJUYDVUODWJWKWLZUPVVQVVS
      VUPVVPWMWOWPVVOVUOUXODVVOVVNUYTVUOUXOHZVWAUYCUYTVVNWQVVOVUDVVNUYTLVWCXDVU
      HVUDVVNUYCVUDUYTVUGWFZWFVUOUYIUXOWRRWSWTXAXBVUHVVHUYIDOZVVIVVCVUHUXNVVHVW
      EVVCJZUXMUXNUYTWQVUHUYKUXHUXNVWFVRZVVKVVLCDFXCZWAXEVUHUYIUXODUYCUYTWHWTXF
      VVEVVGVVJLUAUYIPVUSUYIQZVUTVVGVVDVVJVURGVUSUYIXGVWIVVAVVHVVBVVIVVCVUSUYIC
      WJVUSUYIVUMWJXHXIXJXKVUHUYKVUMMHZVUNVVFVRVVKVUHUXHVUDVWJVVLVWDDUXOXOWAUAG
      CVUMXLWAXMVUHVUJCUXOUHZCVUHVWKUXSUXOUHZUKVWKTUKZVUJVWKVUHVWLTVWKVUHVWLUXS
      UXOUDXNZXPZTUXSUXOXQVUHUXOUJZNUJZXNZVWNXPZVWOTVUHVWRUXSVWNVUHVUDNPHVWRUXS
      QVWDXRUXONPPXSXTYAVUHVWPUXOXPZTQVWSTQVUHVWTUXOVWPXPZTVWPUXOUUAVUHUXOUXOHK
      ZVXATQVUHUYKUXOUUBZVXBVVKCUUCZUXOUUDZYBUXOUXOUUEWPYCVWPUXOVWQUDUUFRUUGYCU
      UJCUXSUXOUUHVWMVWKVWKUUIUUKUULVUHCYGZCUUMVWKCQVUHUYKVXFVVKCYDZRCUVACUUNYB
      YEUXOUXPUCVUKVUMQVUHUXOUUODUXOUXPUUPUUQUURVUHUXTMHZUXQMHZVUDVULVUIXDUYCVX
      HUYTUYCUYKVXHUYMCNSNNPXRUUSUUTZUVBZRWFZUYCVXIUYTUYCUXHUXPPHZVXIUYNUYCVUDV
      XMVUGUXOUVCYFDUXPXOWAWFZVWDUXTUXQUXOUVDVPYHVUHVXHVXIVUIUYAXDZVXLVXNUYRVXH
      VXILVXOVFMIUXTUXQUVEVHWAYHUYCVUALZUXQUXTUXTIVXPUXQVUMDVWPUHZUKZUXTUXQDUXO
      VWPUKZUHVXRUXPVXSDUXOUVFUVGDUXOVWPUVHUVIVXPVUMCVXQUXSVXPVUMCQZVUMUFZUXOQZ
      VUQVUPQZGVYAUBZVXPVYAUXODUFZXPZUXODUXOUVKVXPUXOVYEUCVYFUXOQVXPUXOUYIVYEUY
      CVUAWHZVXPUYIUYFUYEUTZFPUQZURZVYEUYHVYIUYGVYHFPUYEUYFUVLUVJUVMVXPUXHUYKDC
      UTVYJVYEUCUYCUXHVUAUYNWFZUYCUYKVUAUYMWFZVXPCDUYCUYLVUAUYSWFUVNFDCVOVPUVOU
      VPUXOVYEUVQYFYCZVXPVYCGVYAVXPVUOVYAHVWCVYCVXPVYAUXOVUOVYMYIVXPVWCVYCVXPVW
      CLZVUQVVPVUPVYNVUOUXODVXPVWCWHWTVYNVVRVVPVUPQZVYNVVTVVNVVRVXPVUDVWCVVTVXP
      UYKVUDVYLVUFRUXOVUOWNWGVXPVVNVWCVXPUYIUXOVUOVYGYIUVRVWBUPVVQVYOVUPVVPUWAW
      OWPYEYJYKUVSVXPVUMYGZVXFVXTVYBVYDLVRVXPUXHDYGZVYPVYKDYDZUXODUVTYBVXPUYKVX
      FVYLVXGRGVUMCUWBWAUWCVXPVXQUXOUXODOZUIZUJZUXSVXPDVYEUWDZUXOVYEHZVXQWUAQVX
      PVYQWUBVXPUXHVYQVYKVYRRDUWEYFVXPVYSNQZWUCVXPUXOCOZTQZWUDVXPWUFWUDLZWUESQZ
      VYSTQZLZWUHWUDLZVXPWUHWUIVXPWUESVXPWUESUTTSUTSSNUWFUWGYLVXPWUETSVXPVXCVXB
      WUFVXPUYKVXCVYLVXDRVXEUXOCYSYBUWHYMYNZYOVXPWUHWUDWULYOVXPWUEVYSVVCJZWUGWU
      JWUKYPZVXPVVHVWEWUEVYSVVCVXPUXNVWFUXMUXNVUAWQVXPUYKUXHVWGVYLVYKVWHWAXEVUA
      VVHWUEQUYCUYIUXOCWJYQVUAVWEVYSQUYCUYIUXODWJYQUWIWUMWUJWUKWUGYPWUKWUGWUJYP
      WUNSTSNTNWUEVYSUXOCYRUXODYRUWJWUJWUKWUGYTWUKWUGWUJYTUWLYFUWKUWMZWUCWUDWUC
      KWUIWUDKUXODYSWUIVYSNWUIVYSNUTTNUTNVXJYLVYSTNUWNYMYNRUWORVYEUXODUWPWAVXPV
      YTUXRVXPVYSNUXOWUOUWQUWRYEUWSYCVXPUYKVXHUXTUXTIJKZVYLVXKUYRVXHWUPVFMUXTIV
      GVHYBUWTUXAYJYKYHUXB $.
  $}

  ${
    nosupbnd2.1 $e |- S = if ( E. x e. A A. y e. A -. x <s y ,
       ( ( iota_ x e. A A. y e. A -. x <s y ) u.
         { <. dom ( iota_ x e. A A. y e. A -. x <s y ) , 2o >. } ) ,
       ( g e. { y | E. u e. A ( y e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. A ( g e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.

    ${
      $d A a $.  $d a g $.  $d A g $.  $d a p $.  $d A p $.  $d A q $.
      $d a u $.  $d A u $.  $d a v $.  $d A v $.  $d a x $.  $d A x $.
      $d a y $.  $d A y $.  $d g p $.  $d g q $.  $d g u $.  $d g v $.
      $d g x $.  $d g y $.  $d p q $.  $d p u $.  $d p v $.  $d p x $.
      $d p y $.  $d q u $.  $d q v $.  $d q y $.  $d S a $.  $d S g $.
      $d S p $.  $d u v $.  $d u x $.  $d u y $.  $d v x $.  $d v y $.
      $d x y $.  $d Z a $.  $d Z g $.  $d Z p $.  $d Z x $.

      $( Bounding law from above for the surreal supremum.  Proposition 4.3 of
         [Lipparini] p. 6.  (Contributed by Scott Fenton, 6-Dec-2021.) $)
      nosupbnd2 $p |- ( ( A C_ No /\ A e. _V /\ Z e. No ) ->
     ( A. a e. A a <s Z <-> -. ( Z |` dom S ) <s S ) ) $=
        ( csur wcel cslt wbr cdm cres wn wa wi wceq vp vq wss cvv w3a wral wrex
        nfv nfcv crio c2o cop csn cun csuc cab cfv cio cmpt nfre1 nfriota1 nfdm
        cif nfop nfsn nfun nfiota1 nfmpt nfif nfcxfr nfres nfbr nfim simpl wreu
        nfn wrmo rspe adantr nomaxmo 3ad2ant1 ad2antrl reu5 sylanbrc riota1 syl
        cv wb mpbid nosupbnd2lem1 3expb dmeq suceq reseq2d opeq1d sneqd uneq12d
        breq12d notbid syl5ibrcom mpd iftrue syl5eq dmeqd con0 2on elexi dmsnop
        id uneq2i dmun df-suc 3eqtr4i eqtrdi mtbird rexlimi imp nosupno 3adant3
        exp31 nodmon noreson syl2anc simprl3 cin dmres inss2 eqsstri inss1 sylc
        a1i breq1 sltso mpan sltres syl3anc breq2d simpr resabs1d ralrimiva wor
        nosupdm abeq2d simprl simplrr rspcv simprl1 sseldd soasym simprrl sylib
        onelon sucelon mtod simpll simprl2 jca simprrr weq reseq1 eqeq2d sylibr
        imbi12d cbvralvw nosupres syl113anc rexlimdvaa nodmord ordsucss noresle
        sylbid word syl23anc wfun wrel nofun resdm 3syl mtbid pm2.61ian simpll1
        funrel simpll2 nosupbnd1 simplr simpl1 sselda simpll3 mp2and impbida
        sotr3 ) EKUCZEUDLZHKLZUEZIWGZHMNZIEUFZHFOZPZFMNZQZAWGZBWGZMNQBEUFZAEUGZ
        UWOUWRRZUXBUXFUXGUXBUXEUXGUXBSAEUXGUXBAUXGAUHUXAAAUWTFMAHUWSAHUIAFAFUXF
        UXEAEUJZUXHOZUKULZUMZUNZGUXDDWGZOZLCWGZUXMMNQZUXMUXDUOZPUXOUXQPTSCEUFRD
        EUGBUPZGWGZUXNLUXPUXMUXSUOZPUXOUXTPZTSCEUFUXSUXMUQUXCTUEDEUGZAURZUSZVCZ
        JUXFAUXLUYDUXEAEUTAUXHUXKUXEAEVAZAUXJAUXIUKAUXHUYFVBAUKUIVDVEVFAGUXRUYC
        AUXRUIUYBAVGVHVIVJZVBVKAMUIUYGVLVPVMUXCELZUXEUXGUXBUYHUXERZUXGRZUXAHUXI
        UOZPZUXLMNZUYJUXHUXCTZUYMQZUYJUYIUYNUYIUXGVNUYJUXEAEVOZUYIUYNWHUYJUXFUX
        EAEVQZUYPUYIUXFUXGUXEAEVRZVSUWOUYQUYIUWRUWLUWMUYQUWNABEVTWAWBUXEAEWCWDU
        XEAEWEWFWIUYJUYOUYNHUXCOZUOZPZUXCUYSUKULZUMZUNZMNZQZUYIUWOUWRVUFBEUXCHI
        WJWKUYNUYMVUEUYNUYLVUAUXLVUDMUYNUYKUYTHUYNUXIUYSTUYKUYTTUXHUXCWLZUXIUYS
        WMWFWNUYNUXHUXCUXKVUCUYNXIUYNUXJVUBUYNUXIUYSUKVUGWOWPWQWRWSWTXAUYJUWTUY
        LFUXLMUYIUWTUYLTUXGUYIUWSUYKHUYIUWSUXLOZUYKUYIFUXLUYIUXFFUXLTZUYRUXFFUY
        EUXLJUXFUXLUYDXBXCWFZXDUXIUXKOZUNUXIUXIUMZUNVUHUYKVUKVULUXIUXIUKUKXEXFX
        GXHXJUXHUXKXKUXIXLXMXNWNVSUYIVUIUXGVUJVSWRXOXTXPXQUXFQZUXGRZUWTFUWSPZMN
        ZUXAVUNVUOKLZUWTKLZVUOOZUWSUCZUWTOZUWSUCZUWTUXTPZVUOUXTPZMNZQZGUWSUFVUP
        QVUNFKLZUWSXELZVUQUWOVVGVUMUWRUWLUWMVVGUWNABCDEFGUDJXRZXSWBZVUNVVGVVHVV
        JFYAZWFZFUWSYBYCVUNUWNVVHVURUWLUWMUWNUWRVUMYDZVVLHUWSYBZYCVUTVUNVUSUWSU
        WSYEUWSFUWSYFUWSUWSYGYHYKVVBVUNVVAUWSHOZYEUWSHUWSYFUWSVVOYIYHYKVUNVVFGU
        WSVUNUXSUWSLZRZVVEHUXTPZFUXTPZMNZVUNVVPVVTQZVUNVVPUXSUAWGZOZLZUBWGZVWBM
        NZQZVWBUXTPZVWEUXTPZTZSZUBEUFZRZUAEUGZVWAVUMVVPVWNWHUXGVUMVWNGUWSABGCDE
        FGUBUAJUUBUUCVSVUNVWMVWAUAEVUNVWBELZVWMRZRZVVTVVRVWHMNZVWQVWRHVWBMNZVWQ
        VWBHMNZVWSQZVWQVWOUWRVWTVUNVWOVWMUUDZVUMUWOUWRVWPUUEUWQVWTIVWBEUWPVWBHM
        YLUUFYJVWQVWBKLZUWNVWTVXASZVWQEKVWBVUNUWLVWPUWLUWMUWNUWRVUMUUGZVSVXBUUH
        ZVUNUWNVWPVVMVSZKMUUAZVXCUWNRVXDYMKMVWBHUUIYNYCXAVWQUWNVXCUXTXELZVWRVWS
        SVXGVXFVWQUXSXELZVXIVWQVWCXELZVWDVXJVWQVXCVXKVXFVWBYAWFVUNVWOVWDVWLUUJZ
        VWCUXSUULYCUXSUUMUUKHVWBUXTYOYPUUNVWQVVSVWHVVRMVWQVUMUWLUWMRZVWOVWDUXOV
        WBMNZQZVWHUYATZSZCEUFZVVSVWHTVUMUXGVWPUUOVUNVXMVWPVUNUWLUWMVXEUWLUWMUWN
        UWRVUMUUPUUQVSVXBVXLVWQVWLVXRVUNVWOVWDVWLUURVXQVWKCUBECUBUUSZVXOVWGVXPV
        WJVXSVXNVWFUXOVWEVWBMYLWSVXSUYAVWIVWHUXOVWEUXTUUTUVAUVCUVDUVBABCDEFVWBG
        UXSJUVEUVFYQXOUVGUVKXQVVQVVCVVRVVDVVSMVVQHUXTUWSVVQUWSUVLZVVPUXTUWSUCVV
        QVVGVXTVUNVVGVVPVVJVSFUVHWFVUNVVPYRUXSUWSUVIYJZYSVVQFUXTUWSVYAYSWRXOYTU
        WSUWTVUOGUVJUVMVUNVUOFUWTMVUNFUVNZFUVOVUOFTVUNVVGVYBVVJFUVPWFFUWBFUVQUV
        RYQUVSUVTUWOUXBRZUWQIEVYCUWPELZRZUWPUWSPZUWTMNZUWQVYEVYFFMNZUXBVYGVYEUW
        LUWMVYDVYHUWLUWMUWNUXBVYDUWAZUWLUWMUWNUXBVYDUWCZVYCVYDYRABCDEFUWPGJUWDY
        PUWOUXBVYDUWEVYEVYFKLZVVGVURVYHUXBRVYGSZVYEUWPKLZVVHVYKVYCEKUWPUWLUWMUW
        NUXBUWFUWGZVYEVVGVVHVYEUWLUWMVVGVYIVYJVVIYCZVVKWFZUWPUWSYBYCVYOVYEUWNVV
        HVURUWLUWMUWNUXBVYDUWHZVYPVVNYCVXHVYKVVGVURUEVYLYMKMVYFFUWTUWKYNYPUWIVY
        EVYMUWNVVHVYGUWQSVYNVYQVYPUWPHUWSYOYPXAYTUWJ $.
    $}
  $}

  ${
    $d a b $.  $d a c $.  $d a d $.  $d a g $.  $d a u $.  $d a v $.  $d a x $.
    $d a y $.  $d B a $.  $d B b $.  $d b c $.  $d B c $.  $d b d $.  $d B d $.
    $d b e $.  $d B e $.  $d B g $.  $d b u $.  $d B u $.  $d b v $.  $d B v $.
    $d b x $.  $d B x $.  $d b y $.  $d B y $.  $d c d $.  $d c e $.  $d c g $.
    $d c u $.  $d c v $.  $d c x $.  $d c y $.  $d d e $.  $d d g $.  $d d u $.
    $d d v $.  $d d x $.  $d d y $.  $d e g $.  $d e u $.  $d e v $.  $d e x $.
    $d e y $.  $d g u $.  $d g v $.  $d g x $.  $d g y $.  $d u v $.  $d u x $.
    $d u y $.  $d v y $.  $d x y $.
    noinfcbv.1 $e |- T = if ( E. x e. B A. y e. B -. y <s x ,
       ( ( iota_ x e. B A. y e. B -. y <s x ) u.
         { <. dom ( iota_ x e. B A. y e. B -. y <s x ) , 1o >. } ) ,
       ( g e. { y | E. u e. B ( y e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. B ( g e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    $( Change bound variables for surreal infimum.  (Contributed by Scott
       Fenton, 9-Aug-2024.) $)
    noinfcbv $p |- T = if ( E. a e. B A. b e. B -. b <s a ,
       ( ( iota_ a e. B A. b e. B -. b <s a ) u.
         { <. dom ( iota_ a e. B A. b e. B -. b <s a ) , 1o >. } ) ,
       ( c e. { b | E. d e. B ( b e. dom d /\
       A. e e. B ( -. d <s e -> ( d |` suc b ) = ( e |` suc b ) ) ) }
       |-> ( iota a E. d e. B ( c e. dom d /\
       A. e e. B ( -. d <s e -> ( d |` suc c ) = ( e |` suc c ) ) /\
       ( d ` c ) = a ) ) ) ) $=
      ( cv cslt wral wrex cres wceq wi wbr wn crio cdm c1o cop csn wcel csuc wa
      cun cab cfv w3a cio cmpt cif breq2 notbid ralbidv breq1 cbvralvw cbvrexvw
      bitrdi cbvriotavw dmeqi opeq1i sneqi uneq12i eleq1w suceq reseq2d eqeq12d
      weq imbi2d fveqeq2 3anbi123d rexbidv iotabidv eqeq2 3anbi3d eleq2d reseq1
      dmeq eqeq1d imbi12d eqeq2d fveq1 cbviotavw eqtrdi cbvmptv anbi12d mpteq1i
      cbvabv eqtri ifbieq12i ) FBNZANZOUAZUBZBEPZAEQZXAAEUCZXCUDZUEUFZUGZUKZHWQ
      DNZUDZUHZXHCNZOUAZUBZXHWQUIZRZXKXNRZSZTZCEPZUJZDEQZBULZHNZXIUHZXMXHYCUIZR
      ZXKYERZSZTZCEPZYCXHUMWRSZUNZDEQZAUOZUPZUQJNZINZOUAZUBZJEPZIEQZYTIEUCZUUBU
      DZUEUFZUGZUKZKYPLNZUDZUHZUUGGNZOUAZUBZUUGYPUIZRZUUJUUMRZSZTZGEPZUJZLEQZJU
      LZKNZUUHUHZUULUUGUVBUIZRZUUJUVDRZSZTZGEPZUVBUUGUMZYQSZUNZLEQZIUOZUPZUQMXB
      UUAXGYOUUFUVOXAYTAIEAIVNZXAWQYQOUAZUBZBEPYTUVPWTUVRBEUVPWSUVQWRYQWQOURUSU
      TUVRYSBJEBJVNZUVQYRWQYPYQOVAUSVBVDZVCXCUUBXFUUEXAYTAIEUVTVEZXEUUDXDUUCUEX
      CUUBUWAVFVGVHVIYOKYBUVNUPUVOHKYBYNUVNHKVNZYNUVBXIUHZXMXHUVDRZXKUVDRZSZTZC
      EPZUVBXHUMZWRSZUNZDEQZAUOUVNUWBYMUWLAUWBYLUWKDEUWBYDUWCYJUWHYKUWJHKXIVJUW
      BYIUWGCEUWBYHUWFXMUWBYFUWDYGUWEUWBYEUVDXHYCUVBVKZVLUWBYEUVDXKUWMVLVMVOUTY
      CUVBWRXHVPVQVRVSUWLUVMAIUVPUWLUWCUWHUWIYQSZUNZDEQUVMUVPUWKUWODEUVPUWJUWNU
      WCUWHWRYQUWIVTWAVRUWOUVLDLEDLVNZUWCUVCUWHUVIUWNUVKUWPXIUUHUVBXHUUGWDZWBUW
      PUWHUUGXKOUAZUBZUVEUWESZTZCEPUVIUWPUWGUXACEUWPXMUWSUWFUWTUWPXLUWRXHUUGXKO
      VAUSZUWPUWDUVEUWEXHUUGUVDWCWEWFUTUXAUVHCGECGVNZUWSUULUWTUVGUXCUWRUUKXKUUJ
      UUGOURUSZUXCUWEUVFUVEXKUUJUVDWCWGWFVBVDUWPUWIUVJYQUVBXHUUGWHWEVQVCVDWIWJW
      KKYBUVAUVNYAUUTBJUVSYAYPXIUHZXMXHUUMRZXKUUMRZSZTZCEPZUJZDEQUUTUVSXTUXKDEU
      VSXJUXEXSUXJBJXIVJUVSXRUXICEUVSXQUXHXMUVSXOUXFXPUXGUVSXNUUMXHWQYPVKZVLUVS
      XNUUMXKUXLVLVMVOUTWLVRUXKUUSDLEUWPUXEUUIUXJUURUWPXIUUHYPUWQWBUWPUXJUWSUUN
      UXGSZTZCEPUURUWPUXIUXNCEUWPXMUWSUXHUXMUXBUWPUXFUUNUXGXHUUGUUMWCWEWFUTUXNU
      UQCGEUXCUWSUULUXMUUPUXDUXCUXGUUOUUNXKUUJUUMWCWGWFVBVDWLVCVDWNWMWOWPWO $.
  $}

  ${
    $d B a b x y z g v u $.  $d V g z $.
    noinfno.1 $e |- T = if ( E. x e. B A. y e. B -. y <s x ,
       ( ( iota_ x e. B A. y e. B -. y <s x ) u.
         { <. dom ( iota_ x e. B A. y e. B -. y <s x ) , 1o >. } ) ,
       ( g e. { y | E. u e. B ( y e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. B ( g e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    $( The next several theorems deal with a surreal "infimum".  This surreal
       will ultimately be shown to bound ` B ` above and bound the restriction
       of any surreal below.  We begin by showing that the given expression
       actually defines a surreal number.  (Contributed by Scott Fenton,
       8-Aug-2024.) $)
    noinfno $p |- ( ( B C_ No /\ B e. V ) -> T e. No ) $=
      ( va vb csur wcel wa wrex cres wceq syl con0 cbday vz wss cv cslt wn wral
      wbr crio cdm c1o cop csn cun csuc wi cab cfv w3a cio iftrue adantr simprl
      cmpt cif wreu wrmo nominmo ad2antrl reu5 sylanbrc riotacl sseldd c2o 1oex
      simpl noextend eqeltrd iffalse wfun crn cpr funmpt a1i iotaex eqid dmmpti
      prid1 word wtr nodmon simprrl onelon syl2anc rexlimdvaa abssdv wel simplr
      wal ssel2 adantlr ontr1 mpand adantrd reseq1 sylan sucelon sylib wb eloni
      simpllr ordsucelsuc onelss resabs1d eqeq12d syl5ib imim2d ralimdv expimpd
      mpbid sylc vex weq eleq1w reseq2d imbi2d ralbidv anbi12d rexbidv elab cvv
      suceq bdayfo ax-mp mpan adantl eqeltrrd eqeltrid wex eqeq2 3anbi3d anbi2i
      jcad reximdva 3imtr4g alrimivv dftr2 sylibr cima cuni wfo fofun funimaexg
      dford5 uniexd bdayval wfn fofn fnfvima mp3an1 adantrr elssuni ssexd elong
      mpbird rnmpt rexab weu wmo fvex spcev mp3an3 reximi rexcom4 noinfprefixmo
      df-eu iota2 eqcom bitrdi simprr3 norn nofun simprr1 fvelrn sylbird syl5bi
      exlimdv eqsstrid elno2 syl3anbrc pm2.61ian ) ELUBZEHMZNZFBUCZAUCZUDUGUEBE
      UFZAEOZUWPAEUHZUWRUIUJUKULUMZGUWNDUCZUIZMZUWTCUCZUDUGUEZUWTUWNUNZPZUXCUXE
      PZQZUOZCEUFZNZDEOZBUPZGUCZUXAMZUXDUWTUXNUNZPZUXCUXPPZQZUOZCEUFZUXNUWTUQZU
      WOQZURZDEOZAUSZVCZVDZLIUWQUWMUYHLMUWQUWMNZUYHUWSLUWQUYHUWSQUWMUWQUWSUYGUT
      VAUYIUWRLMUWSLMUYIELUWRUWQUWKUWLVBUYIUWPAEVEZUWREMUYIUWQUWPAEVFZUYJUWQUWM
      VOUWKUYKUWQUWLABEVGVHUWPAEVIVJUWPAEVKRVLUWRUJUJVMVNWGVPRVQUWQUEZUWMNZUYHU
      YGLUYLUYHUYGQUWMUWQUWSUYGVRVAUYMUYGVSZUYGUIZSMUYGVTZUJVMWAZUBUYGLMUYNUYMG
      UXMUYFWBWCUYMUYOUXMSGUXMUYFUYGUYEAWDUYGWEZWFUYMUXMSMZUXMWHZUWKUYTUYLUWLUW
      KUXMSUBUXMWIZUYTUWKUXLBSUWKUXKUWNSMZDEUWKUWTEMZUXKNZNZUXASMZUXBVUBVUEUWTL
      MZVUFVUEELUWTUWKVUDVOUWKVUCUXKVBVLZUWTWJZRUWKVUCUXBUXJWKZUXAUWNWLWMWNWOUW
      KJKWPZKUCZUXMMZNZJUCZUXMMZUOZKWRJWRVUAUWKVUQJKUWKVUKVULUXAMZUXDUWTVULUNZP
      ZUXCVUSPZQZUOZCEUFZNZDEOZNVUOUXAMZUXDUWTVUOUNZPZUXCVVHPZQZUOZCEUFZNZDEOZV
      UNVUPUWKVUKVVFVVOUWKVUKNZVVEVVNDEVVPVUCNZVVEVVGVVMVVQVURVVGVVDVVQVUKVURVV
      GUWKVUKVUCWQVVQVUFVUKVURNVVGUOVVQVUGVUFUWKVUCVUGVUKELUWTWSWTVUIRZVUOVULUX
      AXARXBXCVVQVURVVDVVMVVQVURNZVVCVVLCEVVSVVBVVKUXDVVBVUTVVHPZVVAVVHPZQVVSVV
      KVUTVVAVVHXDVVSVVTVVIVWAVVJVVSUWTVVHVUSVVSVUSSMZVVHVUSMZVVHVUSUBVVSVULSMZ
      VWBVVQVUFVURVWDVVRUXAVULWLXEZVULXFXGVVSVUKVWCUWKVUKVUCVURXJVVSVULWHZVUKVW
      CXHVVSVWDVWFVWEVULXIRVUOVULXKRXSVUSVVHXLXTZXMVVSUXCVVHVUSVWGXMXNXOXPXQXRU
      UBUUCXRVUMVVFVUKUXLVVFBVULKYABKYBZUXKVVEDEVWHUXBVURUXJVVDBKUXAYCVWHUXIVVC
      CEVWHUXHVVBUXDVWHUXFVUTUXGVVAVWHUXEVUSUWTUWNVULYKZYDVWHUXEVUSUXCVWIYDXNYE
      YFYGYHYIUUAUXLVVOBVUOJYABJYBZUXKVVNDEVWJUXBVVGUXJVVMBJUXAYCVWJUXIVVLCEVWJ
      UXHVVKUXDVWJUXFVVIUXGVVJVWJUXEVVHUWTUWNVUOYKZYDVWJUXEVVHUXCVWKYDXNYEYFYGY
      HYIUUDUUEJKUXMUUFUUGUXMUUMVJVHUYMUXMYJMUYSUYTXHUYMUXMTEUUHZUUIZYJUWMVWMYJ
      MZUYLUWLVWNUWKUWLVWLYJTVSZUWLVWLYJMLSTUUJZVWOYLLSTUUKYMTEHUULYNUUNYOYOUWK
      UXMVWMUBUYLUWLUWKUXLBVWMUWKUXKUWNVWMMDEVUEUXAVWMUWNVUEUXAVWLMUXAVWMUBVUEU
      WTTUQZUXAVWLVUEVUGVWQUXAQVUHUWTUUORUWKVUCVWQVWLMZUXKTLUUPZUWKVUCVWRVWPVWS
      YLLSTUUQYMLETUWTUURUUSUUTYPUXAVWLUVARVUJVLWNWOVHUVBUXMYJUVCRUVDYQUYMUYPUA
      UCZUYFQZGUXMOZUAUPUYQGUAUXMUYFUYGUYRUVEUYMVXBUAUYQVXBUXOUYANZDEOZVXANZGYR
      UYMVWTUYQMZUXLVXDVXAGBBGYBZUXKVXCDEVXGUXBUXOUXJUYABGUXAYCVXGUXIUXTCEVXGUX
      HUXSUXDVXGUXFUXQUXGUXRVXGUXEUXPUWTUWNUXNYKZYDVXGUXEUXPUXCVXHYDXNYEYFYGYHU
      VFUYMVXEVXFGUYMVXDVXAVXFUYMVXDNZVXAUXOUYAUYBVWTQZURZDEOZVXFVXIVXLUYFVWTQZ
      VXAVXIUYEAUVGZVXLVXMXHZVXIUYEAYRZUYEAUVHZVXNVXDVXPUYMVXDUYDAYRZDEOVXPVXCV
      XRDEUXOUYAUYBUYBQZVXRUYBWEUYDUXOUYAVXSURAUYBUXNUWTUVIUWOUYBQUYCVXSUXOUYAU
      WOUYBUYBYSYTUVJUVKUVLUYDDAEUVMXGYOUYMVXQVXDUWKVXQUYLUWLACDEUXNUVNVHVAUYEA
      UVOVJVWTYJMVXNVXOUAYAUYEVXLAVWTYJAUAYBZUYDVXKDEVXTUYCVXJUXOUYAUWOVWTUYBYS
      YTYHUVPYNRUYFVWTUVQUVRUYMVXLVXFUOZVXDUWKVYAUYLUWLUWKVXKVXFDEUWKVUCVXKNZNZ
      UYBVWTUYQUXOUYAVXJVUCUWKUVSVYCUWTVTZUYQUYBVYCVUGVYDUYQUBVYCELUWTUWKVYBVOU
      WKVUCVXKVBVLZUWTUVTRVYCUWTVSZUXOUYBVYDMVYCVUGVYFVYEUWTUWARUXOUYAVXJVUCUWK
      UWBUXNUWTUWCWMVLYPWNVHVAUWDXRUWFUWEWOUWGUYGUWHUWIVQUWJYQ $.
  $}

  ${
    $d B g $.  $d B p q u v y z $.  $d g u $.  $d g v $.  $d g y $.
    noinfdm.1 $e |- T = if ( E. x e. B A. y e. B -. y <s x ,
       ( ( iota_ x e. B A. y e. B -. y <s x ) u.
         { <. dom ( iota_ x e. B A. y e. B -. y <s x ) , 1o >. } ) ,
       ( g e. { y | E. u e. B ( y e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. B ( g e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    $( Next, we calculate the domain of ` T ` .  This is mostly to change bound
       variables.  (Contributed by Scott Fenton, 8-Aug-2024.) $)
    noinfdm $p |- ( -. E. x e. B A. y e. B -. y <s x ->
    dom T = { z | E. p e. B ( z e. dom p /\ A. q e. B ( -. p <s q ->
    ( p |` suc z ) = ( q |` suc z ) ) ) } ) $=
      ( cv cslt wn wral wrex cdm cres wceq wi wbr wcel csuc wa cab cfv w3a cmpt
      cio crio c1o cop csn cun cif iffalse syl5eq iotaex eqid dmmpti weq eleq1w
      dmeqd reseq2d eqeq12d imbi2d ralbidv anbi12d rexbidv eleq2d notbid reseq1
      suceq dmeq breq1 eqeq1d imbi12d breq2 eqeq2d cbvralvw bitrdi cbvabv eqtri
      cbvrexvw eqtrdi ) BLZALZMUANBFOZAFPZNZGQHWFELZQZUBZWKDLZMUAZNZWKWFUCZRZWN
      WQRZSZTZDFOZUDZEFPZBUEZHLZWLUBWPWKXFUCZRWNXGRSTDFOXFWKUFWGSUGEFPZAUIZUHZQ
      ZCLZJLZQZUBZXMILZMUAZNZXMXLUCZRZXPXSRZSZTZIFOZUDZJFPZCUEZWJGXJWJGWIWHAFUJ
      ZYHQUKULUMUNZXJUOXJKWIYIXJUPUQVCXKXEYGHXEXIXJXHAURXJUSUTXDYFBCBCVAZXDXLWL
      UBZWPWKXSRZWNXSRZSZTZDFOZUDZEFPYFYJXCYQEFYJWMYKXBYPBCWLVBYJXAYODFYJWTYNWP
      YJWRYLWSYMYJWQXSWKWFXLVMZVDYJWQXSWNYRVDVEVFVGVHVIYQYEEJFEJVAZYKXOYPYDYSWL
      XNXLWKXMVNVJYSYPXMWNMUAZNZXTYMSZTZDFOYDYSYOUUCDFYSWPUUAYNUUBYSWOYTWKXMWNM
      VOVKYSYLXTYMWKXMXSVLVPVQVGUUCYCDIFDIVAZUUAXRUUBYBUUDYTXQWNXPXMMVRVKUUDYMY
      AXTWNXPXSVLVSVQVTWAVHWDWAWBWCWE $.
  $}

  ${
    $d B g $.  $d B p $.  $d B q $.  $d B u $.  $d B v $.  $d B x $.  $d B y $.
    $d B z $.  $d g u $.  $d g v $.  $d g x $.  $d g y $.  $d O p $.  $d O z $.
    $d p q $.  $d p u $.  $d p v $.  $d p y $.  $d p z $.  $d q u $.  $d q v $.
    $d q y $.  $d q z $.  $d u v $.  $d u x $.  $d u y $.  $d u z $.  $d V g $.
    $d V p $.  $d v x $.  $d v y $.  $d v z $.  $d V z $.  $d x y $.  $d y z $.
    noinfbday.1 $e |- T = if ( E. x e. B A. y e. B -. y <s x ,
       ( ( iota_ x e. B A. y e. B -. y <s x ) u.
         { <. dom ( iota_ x e. B A. y e. B -. y <s x ) , 1o >. } ) ,
       ( g e. { y | E. u e. B ( y e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. B ( g e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    $( Birthday bounding law for surreal infimum.  (Contributed by Scott
       Fenton, 8-Aug-2024.) $)
    noinfbday $p |- ( ( ( B C_ No /\ B e. V ) /\
   ( O e. On /\ ( bday " B ) C_ O ) ) -> ( bday ` T ) C_ O ) $=
      ( csur wss wcel wa cbday cdm wceq syl cv cres vz vp con0 cima cfv noinfno
      vq bdayval adantr cslt wbr wn wral wrex crio csuc c1o cop csn cun cab w3a
      wi cio cmpt cif iftrue syl5eq dmeqd 1oex dmsnop uneq2i dmun df-suc eqtrdi
      3eqtr4i word simprrl eloni simprll wreu wrmo nominmo reu5 sylanbrc sseldd
      simpl riotacl simprrr wfn wfo bdayfo fofn ax-mp fnfvima eqeltrrd ordsucss
      mp3an2i sylc eqsstrd noinfdm simplrl ssel2 simplrr mp3an1 ordelss syl2anc
      ad4ant14 sseld adantrd rexlimdva abssdv adantl pm2.61ian ) EKLZEIMZNZHUCM
      ZOEUDZHLZNZNZFOUEZFPZHXQYCYDQZYAXQFKMYEABCDEFGIJUFFUHRUIBSZASZUJUKULBEUMZ
      AEUNZYBYDHLYIYBNZYDYHAEUOZPZUPZHYIYDYMQYBYIYDYKYLUQURUSZUTZPZYMYIFYOYIFYI
      YOGYFDSZPZMYQCSZUJUKULZYQYFUPZTYSUUATQVCCEUMNDEUNBVAGSZYRMYTYQUUBUPZTYSUU
      CTQVCCEUMUUBYQUEYGQVBDEUNAVDVEZVFYOJYIYOUUDVGVHVIYLYNPZUTYLYLUSZUTYPYMUUE
      UUFYLYLUQVJVKVLYKYNVMYLVNVPVOUIYJHVQZYLHMYMHLYJXRUUGYIXQXRXTVRHVSZRYJYKOU
      EZYLHYJYKKMUUIYLQYJEKYKYIXOXPYAVTZYJYHAEWAZYKEMZYJYIYHAEWBZUUKYIYBWGYJXOU
      UMUUJABEWCRYHAEWDWEYHAEWHRZWFYKUHRYJXSHUUIYIXQXRXTWIOKWJZYJXOUULUUIXSMKUC
      OWKUUOWLKUCOWMWNZUUJUUNKEOYKWOWRWFWPYLHWQWSWTYIULZYBNYDUASZUBSZPZMZUUSUGS
      ZUJUKULUUSUURUPZTUVBUVCTQVCUGEUMZNZUBEUNZUAVAZHUUQYDUVGQYBABUACDEFGUGUBJX
      AUIYBUVGHLUUQYBUVFUAHYBUVEUURHMZUBEYBUUSEMZNZUVAUVHUVDUVJUUTHUURUVJUUGUUT
      HMUUTHLUVJXRUUGXQXRXTUVIXBUUHRUVJUUSOUEZUUTHUVJUUSKMZUVKUUTQXOUVIUVLXPYAE
      KUUSXCXHUUSUHRUVJXSHUVKXQXRXTUVIXDXOUVIUVKXSMZXPYAUUOXOUVIUVMUUPKEOUUSWOX
      EXHWFWPHUUTXFXGXIXJXKXLXMWTXNWT $.
  $}

  ${
    $d B g $.  $d B u $.  $d B v $.  $d B x $.  $d B y $.  $d G g $.  $d g u $.
    $d G u $.  $d g v $.  $d G v $.  $d g x $.  $d G x $.  $d g y $.  $d G y $.
    $d U u $.  $d u v $.  $d U v $.  $d u x $.  $d U x $.  $d u y $.  $d v x $.
    $d v y $.
    noinffv.1 $e |- T = if ( E. x e. B A. y e. B -. y <s x ,
       ( ( iota_ x e. B A. y e. B -. y <s x ) u.
         { <. dom ( iota_ x e. B A. y e. B -. y <s x ) , 1o >. } ) ,
       ( g e. { y | E. u e. B ( y e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. B ( g e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    $( The value of surreal infimum when there is no minimum.  (Contributed by
       Scott Fenton, 8-Aug-2024.) $)
    noinffv $p |- ( ( -. E. x e. B A. y e. B -. y <s x /\
   ( B C_ No /\ B e. V ) /\
   ( U e. B /\ G e. dom U /\
     A. v e. B ( -. U <s v ->
     ( U |` suc G ) = ( v |` suc G ) ) ) ) -> ( T ` G ) = ( U ` G ) ) $=
      ( cv cslt wral wrex wcel cres wceq w3a cfv wbr wn csur wss wa cdm csuc wi
      cab cio cmpt crio c1o cop csn cun cif iffalse syl5eq fveq1d 3ad2ant1 dmeq
      eleq2d breq1 notbid reseq1 eqeq1d imbi12d ralbidv anbi12d rspcev 3ad2ant3
      3impb simp32 eleq1 suceq reseq2d eqeq12d imbi2d rexbidv elabg syl fveqeq2
      mpbird 3anbi123d iotabidv eqid iotaex fvmpt simp1 simp2 simp3 eqidd fveq1
      wb syl13anc cvv weu fvex wex wmo eqeq2 3anbi3d spcev mp3an3 rexcom4 sylib
      reximi simp2l noinfprefixmo df-eu sylanbrc iota2 sylancr mpbid 3eqtrd ) B
      LZALZMUAUBBENZAEOZUBZEUCUDZEJPZUEZGEPZIGUFZPZGCLZMUAZUBZGIUGZQZYHYKQZRZUH
      ZCENZSZSZIFTZIHXQDLZUFZPZYTYHMUAZUBZYTXQUGZQZYHUUEQZRZUHZCENZUEZDEOZBUIZH
      LZUUAPZUUDYTUUNUGZQZYHUUPQZRZUHZCENZUUNYTTXRRZSZDEOZAUJZUKZTZIUUAPZUUDYTY
      KQZYMRZUHZCENZIYTTZXRRZSZDEOZAUJZIGTZYAYDYSUVGRYQYAIFUVFYAFXTXSAEULZUVSUF
      UMUNUOUPZUVFUQUVFKXTUVTUVFURUSUTVAYRIUUMPZUVGUVQRYRUWAUVHUVLUEZDEOZYQYAUW
      CYDYEYGYPUWCUWBYGYPUEDGEYTGRZUVHYGUVLYPUWDUUAYFIYTGVBVCZUWDUVKYOCEUWDUUDY
      JUVJYNUWDUUCYIYTGYHMVDVEUWDUVIYLYMYTGYKVFVGVHVIZVJVKVMZVLYRYGUWAUWCWOYAYD
      YEYGYPVNUULUWCBIYFXQIRZUUKUWBDEUWHUUBUVHUUJUVLXQIUUAVOUWHUUIUVKCEUWHUUHUV
      JUUDUWHUUFUVIUUGYMUWHUUEYKYTXQIVPZVQUWHUUEYKYHUWIVQVRVSVIVJVTWAWBWDHIUVEU
      VQUUMUVFUUNIRZUVDUVPAUWJUVCUVODEUWJUUOUVHUVAUVLUVBUVNUUNIUUAVOUWJUUTUVKCE
      UWJUUSUVJUUDUWJUUQUVIUURYMUWJUUPYKYTUUNIVPZVQUWJUUPYKYHUWKVQVRVSVIUUNIXRY
      TWCWEVTWFUVFWGUVPAWHWIWBYRUVHUVLUVMUVRRZSZDEOZUVQUVRRZYQYAUWNYDYQYEYGYPUV
      RUVRRZUWNYEYGYPWJYEYGYPWKYEYGYPWLYQUVRWMUWMYGYPUWPSDGEUWDUVHYGUVLYPUWLUWP
      UWEUWFUWDUVMUVRUVRIYTGWNVGWEVKWPVLYRUVRWQPUVPAWRZUWNUWOWOIGWSYRUVPAWTZUVP
      AXAZUWQYQYAUWRYDYQUWCUWRUWGUWCUVOAWTZDEOUWRUWBUWTDEUVHUVLUVMUVMRZUWTUVMWG
      UVOUVHUVLUXASAUVMIYTWSXRUVMRUVNUXAUVHUVLXRUVMUVMXBXCXDXEXHUVODAEXFXGWBVLY
      RYBUWSYAYBYCYQXIACDEIXJWBUVPAXKXLUVPUWNAUVRWQXRUVRRZUVOUWMDEUXBUVNUWLUVHU
      VLXRUVRUVMXBXCVTXMXNXOXP $.
  $}

  ${
    $d a b $.  $d a c $.  $d a g $.  $d a u $.  $d a v $.  $d a x $.  $d a y $.
    $d B a $.  $d B b $.  $d b c $.  $d B c $.  $d B g $.  $d b u $.  $d B u $.
    $d b v $.  $d B v $.  $d B x $.  $d b y $.  $d B y $.  $d c u $.  $d c v $.
    $d c y $.  $d G a $.  $d G b $.  $d G c $.  $d g u $.  $d g v $.  $d G v $.
    $d g x $.  $d g y $.  $d T a $.  $d U a $.  $d U b $.  $d U c $.  $d U u $.
    $d u v $.  $d U v $.  $d u x $.  $d U x $.  $d u y $.  $d V a $.  $d V g $.
    $d v x $.  $d v y $.  $d x y $.
    noinfres.1 $e |- T = if ( E. x e. B A. y e. B -. y <s x ,
       ( ( iota_ x e. B A. y e. B -. y <s x ) u.
         { <. dom ( iota_ x e. B A. y e. B -. y <s x ) , 1o >. } ) ,
       ( g e. { y | E. u e. B ( y e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. B ( g e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    $( The restriction of surreal infimum when there is no minimum.
       (Contributed by Scott Fenton, 8-Aug-2024.) $)
    noinfres $p |- ( ( -. E. x e. B A. y e. B -. y <s x /\
   ( B C_ No /\ B e. V ) /\
   ( U e. B /\ G e. dom U /\
     A. v e. B ( -. U <s v ->
     ( U |` suc G ) = ( v |` suc G ) ) ) ) ->
     ( T |` suc G ) = ( U |` suc G ) ) $=
      ( va vb vc cv wral wcel cres wceq syl cslt wbr wn wrex csur wss wa cdm wi
      csuc w3a cfv cin dmres word noinfno 3ad2ant2 nodmord simp31 simp32 simp33
      cab dmeq eleq2d breq1 notbid reseq1 eqeq1d imbi12d ralbidv breq2 cbvralvw
      weq eqeq2d bitrdi anbi12d rspcev syl12anc wb eleq1 reseq2d eqeq12d imbi2d
      suceq rexbidv elabg mpbird noinfdm 3ad2ant1 eleqtrrd ordsucss df-ss sylib
      sylc syl5eq con0 simp2l sseldd nodmon eqtr4d simpl1 simpl2 simpl31 sselda
      eloni adantr simpl32 onelon syl2anc sucelon simpl33 resabs1 syl5ib imim2d
      simpr ralimdv noinffv syl113anc fvresd 3eqtr4d sylbid ralrimiv wfun nofun
      ex funresd eqfunfv mpbir2and ) BOAOUAUBUCBEPAEUDUCZEUEUFZEJQZUGZGEQZIGUHZ
      QZGCOZUAUBZUCZGIUJZRZYPYSRZSZUIZCEPZUKZUKZFYSRZYTSZUUGUHZYTUHZSZLOZUUGULZ
      UULYTULZSZLUUIPZUUFUUIYSUUJUUFUUIYSFUHZUMZYSFYSUNUUFYSUUQUFZUURYSSUUFUUQU
      OZIUUQQUUSUUFFUEQZUUTYLYIUVAUUEABCDEFHJKUPUQZFURTUUFIUULMOZUHZQZUVCNOZUAU
      BZUCZUVCUULUJZRZUVFUVIRZSZUIZNEPZUGZMEUDZLVBZUUQUUFIUVQQZIUVDQZUVHUVCYSRZ
      UVFYSRZSZUIZNEPZUGZMEUDZUUFYMYOUUDUWFYIYLYMYOUUDUSZYIYLYMYOUUDUTZYIYLYMYO
      UUDVAUWEYOUUDUGMGEUVCGSZUVSYOUWDUUDUWIUVDYNIUVCGVCVDUWIUWDGUVFUAUBZUCZYTU
      WASZUIZNEPUUDUWIUWCUWMNEUWIUVHUWKUWBUWLUWIUVGUWJUVCGUVFUAVEVFUWIUVTYTUWAU
      VCGYSVGVHVIVJUWMUUCNCENCVMZUWKYRUWLUUBUWNUWJYQUVFYPGUAVKVFUWNUWAUUAYTUVFY
      PYSVGVNVIVLVOVPVQVRUUFYOUVRUWFVSUWHUVPUWFLIYNUULISZUVOUWEMEUWOUVEUVSUVNUW
      DUULIUVDVTUWOUVMUWCNEUWOUVLUWBUVHUWOUVJUVTUVKUWAUWOUVIYSUVCUULIWDZWAUWOUV
      IYSUVFUWPWAWBWCVJVPWEWFTWGYIYLUUQUVQSUUEABLCDEFHNMKWHWIWJIUUQWKWNYSUUQWLW
      MWOZUUFUUJYSYNUMZYSGYSUNUUFYSYNUFZUWRYSSUUFYNUOZYOUWSUUFYNWPQZUWTUUFGUEQZ
      UXAUUFEUEGYIYJYKUUEWQUWGWRZGWSZTYNXETUWHIYNWKWNZYSYNWLWMWOWTUUFUUOLUUIUUF
      UULUUIQUULYSQZUUOUUFUUIYSUULUWQVDUUFUXFUUOUUFUXFUGZUULFULZUULGULZUUMUUNUX
      GYIYLYMUULYNQYRGUVIRZYPUVIRZSZUIZCEPZUXHUXISYIYLUUEUXFXAYIYLUUEUXFXBYMYOU
      UDYIYLUXFXCUUFYSYNUULUXEXDUXGUVIYSUFZUUDUXNUXGYSUOZUXFUXOUXGYSWPQZUXPUXGI
      WPQZUXQUXGUXAYOUXRUXGUXBUXAUUFUXBUXFUXCXFUXDTYMYOUUDYIYLUXFXGYNIXHXIIXJWM
      YSXETUUFUXFXOZUULYSWKWNYMYOUUDYIYLUXFXKUXOUUCUXMCEUXOUUBUXLYRUUBYTUVIRZUU
      AUVIRZSUXOUXLYTUUAUVIVGUXOUXTUXJUYAUXKGUVIYSXLYPUVIYSXLWBXMXNXPWNABCDEFGH
      UULJKXQXRUXGUULYSFUXSXSUXGUULYSGUXSXSXTYEYAYBUUFUUGYCZYTYCZUUHUUKUUPUGVSU
      UFUVAUYBUVBUVAYSFFYDYFTUUFUXBUYCUXCUXBYSGGYDYFTLUUGYTYGXIYH $.
  $}

  ${
    $d B g $.  $d B h $.  $d B p $.  $d B q $.  $d B u $.  $d B v $.  $d B x $.
    $d B y $.  $d g u $.  $d g v $.  $d g x $.  $d g y $.  $d h p $.  $d h q $.
    $d h u $.  $d h v $.  $d h x $.  $d h y $.  $d p q $.  $d p u $.  $d p v $.
    $d p x $.  $d p y $.  $d q u $.  $d q v $.  $d q y $.  $d T h $.  $d T p $.
    $d U h $.  $d U p $.  $d u v $.  $d U v $.  $d u x $.  $d u y $.  $d V g $.
    $d V h $.  $d V p $.  $d v x $.  $d v y $.  $d x y $.
    noinfbnd1.1 $e |- T = if ( E. x e. B A. y e. B -. y <s x ,
       ( ( iota_ x e. B A. y e. B -. y <s x ) u.
         { <. dom ( iota_ x e. B A. y e. B -. y <s x ) , 1o >. } ) ,
       ( g e. { y | E. u e. B ( y e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. B ( g e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    $( Lemma for ~ noinfbnd1 .  Establish a soft lower bound.  (Contributed by
       Scott Fenton, 9-Aug-2024.) $)
    noinfbnd1lem1 $p |- ( ( -. E. x e. B A. y e. B -. y <s x /\
   ( B C_ No /\ B e. V ) /\ U e. B ) -> -. ( U |` dom T ) <s T ) $=
      ( vh vp cv cslt wbr wn csur wcel wa cres vq wral wrex wss w3a cdm noinfno
      csuc 3ad2ant2 con0 simp2l simp3 sseldd nodmon noreson syl2anc ssidd dmres
      syl cin inss1 eqsstri a1i word nodmord ordsucss imp resabs1d wceq noinfdm
      wi cab eleq2d abid weq breq2 notbid reseq1 eqeq2d imbi12d cbvralvw anbi2i
      rexbii bitri bitrdi 3ad2ant1 simpl2l simprl adantr wor sltso mpan simprrl
      wb soasym onelon sucelon sylib sltres syl3anc sonr simprrr simpl3 rspcdva
      nsyld breq2d mtbird ex simpl1 simpl2 noinfres syl113anc rexlimdvaa sylbid
      pm2.61d eqnbrtrd ralrimiva noresle syl23anc ) BMAMNOPBEUBAEUCPZEQUDZEIRZS
      ZGERZUEZFQRZGFUFZTZQRZYGYGUDYHUFZYGUDZYHKMZUHZTZFYMTZNOPZKYGUBYHFNOPYCXTY
      FYDABCDEFHIJUGUIZYEGQRZYGUJRZYIYEEQGXTYAYBYDUKXTYCYDULUMZYEYFYSYQFUNUSGYG
      UOUPYEYGUQYKYEYJYGGUFZUTYGGYGURYGUUAVAVBVCYEYPKYGYEYLYGRZSZYNGYMTZYONUUCG
      YMYGYEUUBYMYGUDZYEYGVDZUUBUUEVKYEYFUUFYQFVEUSYLYGVFUSVGVHYEUUBUUDYONOZPZY
      EUUBYLLMZUFZRZUUICMZNOZPZUUIYMTZUULYMTZVIZVKZCEUBZSZLEUCZUUHXTYCUUBUVAWNY
      DXTUUBYLUUKUUIUAMZNOZPZUUOUVBYMTZVIZVKZUAEUBZSZLEUCZKVLZRZUVAXTYGUVKYLABK
      CDEFHUALJVJVMUVLUVJUVAUVJKVNUVIUUTLEUVHUUSUUKUVGUURUACEUACVOZUVDUUNUVFUUQ
      UVMUVCUUMUVBUULUUINVPVQUVMUVEUUPUUOUVBUULYMVRVSVTWAWBWCWDWEWFYEUUTUUHLEYE
      UUIERZUUTSZSZUUGUUDUUONOZUVPUUIGNOZUVQPZUVPUVRGUUINOZUVQUVPUUIQRZYRUVRUVT
      PVKZUVPEQUUIYAYBXTYDUVOWGYEUVNUUTWHZUMZYEYRUVOYTWIZQNWJZUWAYRSUWBWKQNUUIG
      WOWLUPUVPYRUWAYMUJRZUVQUVTVKUWEUWDUVPYLUJRZUWGUVPUUJUJRZUUKUWHUVPUWAUWIUW
      DUUIUNUSYEUVNUUKUUSWMZUUJYLWPUPYLWQWRZGUUIYMWSWTXEUVPUVRPZUVSUVPUWLSZUVQU
      UDUUDNOZUVPUWNPZUWLUVPUUDQRZUWOUVPYRUWGUWPUWEUWKGYMUOUPUWFUWPUWOWKQUUDNXA
      WLUSWIUWMUUOUUDUUDNUVPUWLUUOUUDVIZUVPUURUWLUWQVKCEGUULGVIZUUNUWLUUQUWQUWR
      UUMUVRUULGUUINVPVQUWRUUPUUDUUOUULGYMVRVSVTYEUVNUUKUUSXBZXTYCYDUVOXCXDVGXF
      XGXHXOUVPYOUUOUUDNUVPXTYCUVNUUKUUSYOUUOVIXTYCYDUVOXIXTYCYDUVOXJUWCUWJUWSA
      BCDEFUUIHYLIJXKXLXFXGXMXNVGXPXQYGYHFKXRXS $.

    $d W v $.
    $( Lemma for ~ noinfbnd1 .  When there is no minimum, if any member of
       ` B ` is a prolongment of ` T ` , then so are all elements below it.
       (Contributed by Scott Fenton, 9-Aug-2024.) $)
    noinfbnd1lem2 $p |- ( ( -. E. x e. B A. y e. B -. y <s x /\
     ( B C_ No /\ B e. V ) /\ ( ( U e. B /\ ( U |` dom T ) = T ) /\
     ( W e. B /\ -. U <s W ) ) ) -> ( W |` dom T ) = T ) $=
      ( cv cslt wbr wn csur wcel wa cres wceq wss cdm w3a simp3rl noinfbnd1lem1
      wral wrex syld3an3 simp3rr con0 wi simp2l simp3ll sseldd noinfno 3ad2ant2
      nodmon syl sltres syl3anc mtod simp3lr breq1d mtbid noreson syl2anc sltso
      wb wor sotrieq2 mpan mpbir2and ) BLALMNOBEUFAEUGOZEPUAZEIQZRZGEQZGFUBZSZF
      TZRZJEQZGJMNZOZRZRZUCZJVRSZFTZWHFMNOZFWHMNZOZVMVPWFWBWJWBWDWAVMVPUDZABCDE
      FJHIKUEUHWGVSWHMNZWKWGWNWCWBWDWAVMVPUIWGGPQJPQZVRUJQZWNWCUKWGEPGVMVNVOWFU
      LZVQVTWEVMVPUMUNWGEPJWQWMUNZWGFPQZWPVPVMWSWFABCDEFHIKUOUPZFUQURZGJVRUSUTV
      AWGVSFWHMVQVTWEVMVPVBVCVDWGWHPQZWSWIWJWLRVHZWGWOWPXBWRXAJVRVEVFWTPMVIXBWS
      RXCVGPWHFMVJVKVFVL $.

    $d B z $.  $d p z $.  $d q z $.  $d T q $.  $d T z $.  $d U q $.  $d u z $.
    $d v z $.  $d y z $.  $d q x $.  $d V q $.
    $( Lemma for ~ noinfbnd1 .  If ` U ` is a prolongment of ` T ` and in
       ` B ` , then ` ( U `` dom T ) ` is not ` 1o ` .  (Contributed by Scott
       Fenton, 9-Aug-2024.) $)
    noinfbnd1lem3 $p |- ( ( -. E. x e. B A. y e. B -. y <s x /\
     ( B C_ No /\ B e. V ) /\ ( U e. B /\ ( U |` dom T ) = T ) ) ->
     ( U ` dom T ) =/= 1o ) $=
      ( vp vq wn csur wcel wa cres wceq c1o adantr vz cv cslt wbr wral wrex wss
      cdm w3a cfv word noinfno 3ad2ant2 nodmord ordirr 3syl wi simpl3l c0 ndmfv
      wne 1n0 necomi neeq1 mpbiri neneqd syl con4i adantl simpl2l sseldd simprl
      csuc nodmon simpl3r simpll1 simpll2 simpll3 simpr noinfbnd1lem2 syl112anc
      con0 eqtr4d simplr simprr nogesgn1ores syl321anc expr eleq2d breq1 notbid
      ralrimiva dmeq reseq1 eqeq1d imbi12d ralbidv anbi12d syl12anc cab noinfdm
      rspcev wb 3ad2ant1 eleq1 suceq reseq2d eqeq12d imbi2d rexbidv elabg bitrd
      mpbird mtand neqned ) BUBAUBUCUDMBEUEAEUFMZENUGZEIOZPZGEOZGFUHZQZFRZPZUIZ
      YAGUJZSYEYFSRZYAYAOZYEFNOZYAUKYHMXSXPYIYDABCDEFHIJULUMZFUNYAUOUPYEYGPZYHY
      AKUBZUHZOZYLLUBZUCUDZMZYLYAVMZQZYOYRQZRZUQZLEUEZPZKEUFZYKXTYAGUHZOZGYOUCU
      DZMZGYRQZYTRZUQZLEUEZUUEXTYCXPXSYGURZYGUUGYEUUGYGUUGMYFUSRZYGMYAGUTUUOYFS
      UUOYFSVAUSSVASUSVBVCYFUSSVDVEVFVGVHVIYKUULLEYKYOEOZUUIUUKYKUUPUUIPZPZGNOZ
      YONOYAWBOZYBYOYAQZRYGUUIUUKYKUUSUUQYKENGXQXRXPYDYGVJZUUNVKTUURENYOYKXQUUQ
      UVBTYKUUPUUIVLVKYKUUTUUQYKYIUUTYEYIYGYJTFVNZVGTUURYBFUVAYKYCUUQXTYCXPXSYG
      VOTUURXPXSYDUUQUVAFRXPXSYDYGUUQVPXPXSYDYGUUQVQXPXSYDYGUUQVRYKUUQVSABCDEFG
      HIYOJVTWAWCYEYGUUQWDYKUUPUUIWEGYOYAWFWGWHWLUUDUUGUUMPKGEYLGRZYNUUGUUCUUMU
      VDYMUUFYAYLGWMWIUVDUUBUULLEUVDYQUUIUUAUUKUVDYPUUHYLGYOUCWJWKUVDYSUUJYTYLG
      YRWNWOWPWQWRXBWSYEYHUUEXCYGYEYHYAUAUBZYMOZYQYLUVEVMZQZYOUVGQZRZUQZLEUEZPZ
      KEUFZUAWTZOZUUEXPXSYHUVPXCYDXPYAUVOYAABUACDEFHLKJXAWIXDYEYIUUTUVPUUEXCYJU
      VCUVNUUEUAYAWBUVEYARZUVMUUDKEUVQUVFYNUVLUUCUVEYAYMXEUVQUVKUUBLEUVQUVJUUAY
      QUVQUVHYSUVIYTUVQUVGYRYLUVEYAXFZXGUVQUVGYRYOUVRXGXHXIWQWRXJXKUPXLTXMXNXO
      $.

    $d B w $.  $d T w $.  $d U w $.  $d U x $.  $d U y $.  $d v w $.  $d V w $.
    $d w x $.  $d w y $.

    $( Lemma for ~ noinfbnd1 .  If ` U ` is a prolongment of ` T ` and in
       ` B ` , then ` ( U `` dom T ) ` is not undefined.  (Contributed by Scott
       Fenton, 9-Aug-2024.) $)
    noinfbnd1lem4 $p |- ( ( -. E. x e. B A. y e. B -. y <s x /\
    ( B C_ No /\ B e. V ) /\ ( U e. B /\ ( U |` dom T ) = T ) ) ->
    ( U ` dom T ) =/= (/) ) $=
      ( vw cslt wbr wn wrex csur wcel wa wceq adantr cv wral wss cdm w3a cfv c0
      cres c1o wi simpl1 simpl2 simprl simpl3 simp2l sselda simp3l sseldd sltso
      wne soasym mpan syl2anc impr noinfbnd1lem2 syl112anc noinfbnd1lem3 neneqd
      wor jca expr imnan sylib nrexdv breq2 rexbidv dfral2 ralnex rexbii sylibr
      xchbinxr simpl3l rspcdva cbvrexvw con0 simpl2l noinfno syl nodmon simpll1
      breq1 simpll2 simpll3 simprr mpd simpl3r eqtr4d simplr syl321anc reximdva
      nogt01o ancld mtand neqned ) BUAZAUAZLMZNBEUBZAEOZNZEPUCZEIQZRZGEQZGFUDZU
      HZFSZRZUEZXOGUFZUGXSXTUGSZKUAZGLMZXOYBUFZUISZRZKEOZXSYFKEXSYBEQZRZYCYENZU
      JYFNXSYHYCYJXSYHYCRZRZYDUIYLXJXMYHYBXOUHZFSZYDUIUTXJXMXRYKUKZXJXMXRYKULZX
      SYHYCUMZYLXJXMXRYHGYBLMNZRZYNYOYPXJXMXRYKUNYLYHYRYQXSYHYCYRYIYBPQZGPQZYCY
      RUJZXSEPYBXJXKXLXRUOZUPXSUUAYHXSEPGUUCXJXMXNXQUQURTPLVIYTUUARUUBUSPLYBGVA
      VBZVCVDVJABCDEFGHIYBJVEZVFABCDEFYBHIJVGVFVHVKYCYEVLVMVNXSYARZYCKEOZYGUUFX
      EGLMZBEOZUUGUUFXGBEOZUUIAEGXFGSXGUUHBEXFGXELVOVPUUFXJUUJAEUBZXJXMXRYAUKUU
      KUUJNZAEOXIUUJAEVQXHUULAEXGBEVRVSWAVTXNXQXJXMYAWBZWCUUHYCBKEXEYBGLWKWDVMU
      UFYCYFKEUUFYHRYCYEUUFYHYCYEUUFYKRZYTUUAXOWEQZYMXPSYCYAYEUUNEPYBUUFXKYKXKX
      LXJXRYAWFTZUUFYHYCUMZURZUUNEPGUUPUUFXNYKUUMTURZUUNFPQZUUOUUFUUTYKUUFXMUUT
      XJXMXRYAULABCDEFHIJWGWHTFWIWHUUNYMFXPUUNXJXMXRYSYNXJXMXRYAYKWJXJXMXRYAYKW
      LXJXMXRYAYKWMUUNYHYRUUQUUNYCYRUUFYHYCWNZUUNYTUUAUUBUURUUSUUDVCWOVJUUEVFUU
      FXQYKXNXQXJXMYAWPTWQUVAXSYAYKWRYBGXOXAWSVKXBWTWOXCXD $.

    $d a p $.  $d a u $.  $d a v $.  $d a y $.  $d a z $.  $d B a $.  $d T a $.
    $d U z $.  $d V z $.  $d x z $.

    $( Lemma for ~ noinfbnd1 .  If ` U ` is a prolongment of ` T ` and in
       ` B ` , then ` ( U `` dom T ) ` is not ` 2o ` .  (Contributed by Scott
       Fenton, 9-Aug-2024.) $)
    noinfbnd1lem5 $p |- ( ( -. E. x e. B A. y e. B -. y <s x /\
    ( B C_ No /\ B e. V ) /\ ( U e. B /\ ( U |` dom T ) = T ) ) ->
    ( U ` dom T ) =/= 2o ) $=
      ( vz wn c2o wceq csur wcel wa cres syl c0 va vp cv cslt wbr cdm wral wrex
      cfv wi wss w3a wne word noinfno 3ad2ant2 adantl nodmord ordirr cab adantr
      csuc simpr3l ndmfv 2on0 necomi neeq1 mpbiri neneqd simpl2l simpl3l sseldd
      con4i wfun nofun simprll simpl3r simpll1 simpll2 simpll3 simprl syl112anc
      noinfbnd1lem2 eqtr4d simplr simprr eqfunressuc syl213anc expr a2d anassrs
      ralimdva impcom eleq2d breq1 notbid reseq1 eqeq1d imbi12d ralbidv anbi12d
      dmeq rspcev syl12anc wb nodmon eleq1 suceq reseq2d eqeq12d imbi2d rexbidv
      elabg mpbird noinfdm 3ad2ant1 mtand neqned rexanali simpr1 simpr2 simplll
      con0 c1o simpr3 simpll noinfbnd1lem4 pm2.21d noinfbnd1lem3 w3o wo simpr2l
      nofv 3orel3 sylc mpjaod ex anasss rexlimiva imp sylanbr pm2.61ian ) GKUCZ
      UDUEZLZFUFZUUCUIZMNZUJZKEUGZBUCAUCUDUELBEUGAEUHLZEOUKZEIPZQZGEPZGUUFRZFNZ
      QZULZUUFGUIZMUMZUUJUUSQZUUTMUVBUUTMNZUUFUUFPZUVBUUFUNZUVDLUVBFOPZUVEUUSUV
      FUUJUUNUUKUVFUURABCDEFHIJUOUPUQZFURSUUFUSSUVBUVCQZUVDUUFUAUCZUBUCZUFZPZUV
      JUUCUDUEZLZUVJUVIVBZRZUUCUVORZNZUJZKEUGZQZUBEUHZUAUTZPZUVHUWDUUFUVKPZUVNU
      VJUUFVBZRZUUCUWFRZNZUJZKEUGZQZUBEUHZUVHUUOUUFGUFZPZUUEGUWFRZUWHNZUJZKEUGZ
      UWMUVBUUOUVCUUOUUQUUKUUNUUJVCVAUVCUWOUVBUWOUVCUWOLZUUTMUWTUUTTNZUVAUUFGVD
      UXAUVATMUMZMTVEVFZUUTTMVGVHSVIVMZUQUUJUUSUVCUWSUUSUVCQZUUJUWSUXEUUIUWRKEU
      XEUUCEPZQUUEUUHUWQUXEUXFUUEUUHUWQUJUXEUXFUUEQZUUHUWQUXEUXGUUHQZQZGVNZUUCV
      NZUUPUUCUUFRZNUWOUUFUUCUFPZUUTUUGNUWQUXIGOPUXJUXIEOGUXEUULUXHUULUUMUUKUUR
      UVCVJVAZUXEUUOUXHUUOUUQUUKUUNUVCVKVAVLGVOSUXIUUCOPZUXKUXIEOUUCUXNUXEUXFUU
      EUUHVPVLUUCVOSUXIUUPFUXLUXEUUQUXHUUOUUQUUKUUNUVCVQVAUXIUUKUUNUURUXGUXLFNZ
      UUKUUNUURUVCUXHVRUUKUUNUURUVCUXHVSUUKUUNUURUVCUXHVTUXEUXGUUHWAABCDEFGHIUU
      CJWCZWBWDUXIUVCUWOUUSUVCUXHWEZUXDSUXIUUHUXMUXEUXGUUHWFZUXMUUHUXMLZUUGMUXT
      UUGTNZUUGMUMZUUFUUCVDUYAUYBUXBUXCUUGTMVGVHSVIVMSUXIUUTMUUGUXRUXSWDGUUCUUF
      WGWHWIWIWJWLWMWKUWLUWOUWSQUBGEUVJGNZUWEUWOUWKUWSUYCUVKUWNUUFUVJGXBWNUYCUW
      JUWRKEUYCUVNUUEUWIUWQUYCUVMUUDUVJGUUCUDWOWPUYCUWGUWPUWHUVJGUWFWQWRWSWTXAX
      CXDUVHUUFYCPZUWDUWMXEUVBUYDUVCUVBUVFUYDUVGFXFSVAUWBUWMUAUUFYCUVIUUFNZUWAU
      WLUBEUYEUVLUWEUVTUWKUVIUUFUVKXGUYEUVSUWJKEUYEUVRUWIUVNUYEUVPUWGUVQUWHUYEU
      VOUWFUVJUVIUUFXHZXIUYEUVOUWFUUCUYFXIXJXKWTXAXLXMSXNUVHUUFUWCUUFUVBUUFUWCN
      ZUVCUUSUYGUUJUUKUUNUYGUURABUACDEFHKUBJXOXPUQVAWNXNXQXRUUJLUUEUUHLZQZKEUHZ
      UUSUVAUUEUUHKEXSUYJUUSUVAUYIUUSUVAUJZKEUXFUUEUYHUYKUXGUYHQZUUSUVAUYLUUSQZ
      UYAUVAUUGYDNZUYMUYAUVAUYMUUGTUYMUUKUUNUXFUXPUUGTUMUYLUUKUUNUURXTZUYLUUKUU
      NUURYAZUXFUUEUYHUUSYBZUYMUUKUUNUURUXGUXPUYOUYPUYLUUKUUNUURYEUXGUYHUUSYFUX
      QWBZABCDEFUUCHIJYGWBVIYHUYMUYNUVAUYMUUGYDUYMUUKUUNUXFUXPUUGYDUMUYOUYPUYQU
      YRABCDEFUUCHIJYIWBVIYHUYMUYHUYAUYNUUHYJZUYAUYNYKUXGUYHUUSWEUYMUXOUYSUYMEO
      UUCUULUUMUUKUURUYLYLUYQVLUUCUUFYMSUYAUYNUUHYNYOYPYQYRYSYTUUAUUB $.

    $( Lemma for ~ noinfbnd1 .  Establish a hard lower bound when there is no
       minimum.  (Contributed by Scott Fenton, 9-Aug-2024.) $)
    noinfbnd1lem6 $p |- ( ( -. E. x e. B A. y e. B -. y <s x /\
    ( B C_ No /\ B e. V ) /\ U e. B ) -> T <s ( U |` dom T ) ) $=
      ( cslt wbr wn csur wcel wa wceq c0 c1o c2o wral wrex wss w3a cdm cres cfv
      cv w3o simp2l simp3 sseldd syl 3oran sylib wne simpl1 simpl2 simpl3 simpr
      nofv eqcomd noinfbnd1lem4 noinfbnd1lem3 noinfbnd1lem5 mtand noinfbnd1lem1
      syl112anc neneqd 3jca noinfno 3ad2ant2 nodmon noreson syl2anc sltso solin
      con0 wor mpan ecase23d ) BUHAUHKLMBEUAAEUBMZENUCZEIOZPZGEOZUDZFGFUEZUFZKL
      ZFWIQZWIFKLZWGWKWHGUGZRQZMZWMSQZMZWMTQZMZUDZWGWNWPWRUIZWTMWGGNOZXAWGENGWB
      WCWDWFUJWBWEWFUKULZGWHVAUMWNWPWRUNUOWGWKPZWOWQWSXDWMRXDWBWEWFWIFQZWMRUPWB
      WEWFWKUQZWBWEWFWKURZWBWEWFWKUSZXDFWIWGWKUTVBZABCDEFGHIJVCVHVIXDWMSXDWBWEW
      FXEWMSUPXFXGXHXIABCDEFGHIJVDVHVIXDWMTXDWBWEWFXEWMTUPXFXGXHXIABCDEFGHIJVEV
      HVIVJVFABCDEFGHIJVGWGFNOZWINOZWJWKWLUIZWEWBXJWFABCDEFHIJVKVLZWGXBWHVROZXK
      XCWGXJXNXMFVMUMGWHVNVONKVSXJXKPXLVPNFWIKVQVTVOWA $.

    $d V x $.
    $( Bounding law from above for the surreal infimum.  Analagous to
       proposition 4.2 of [Lipparini] p. 6.  (Contributed by Scott Fenton,
       9-Aug-2024.) $)
    noinfbnd1 $p |- ( ( B C_ No /\ B e. V /\ U e. B ) ->
    T <s ( U |` dom T ) ) $=
      ( cslt wbr wn csur wcel cres wa syl nfcv wceq cv wral wss w3a cdm c1o cop
      wrex crio csn cun csuc simpr1 wreu wrmo simpl nominmo reu5 riotacl sseldd
      sylanbrc noextendlt simpr3 wi nfv nfriota1 nfbr nfn nfralw nfim wb adantr
      riota1 mpbid simplr nfra1 nfriota nfeq1 breq2 notbid ralbid biimprd exp31
      rspe sylc rexlimi breq1 rspc wrel wfun nofun funrel 3syl sssucid relssres
      sylancl breq2d con0 nodmon sucelon sylib sltres syl3anc sylbird mtod 1oex
      imp c2o prid1 noextend noreson syl2anc wor sltso sotr3 mp2and cab cfv cio
      mpan cmpt iftrue syl5eq dmeqd dmsnop uneq2i df-suc 3eqtr4i eqtrdi reseq2d
      cif dmun 3brtr4d simpr2 noinfbnd1lem6 syl121anc pm2.61ian ) BUAZAUAZKLZMZ
      BEUBZAEUHZENUCZEIOZGEOZUDZFGFUEZPZKLZUUCUUGQZUUBAEUIZUULUEZUFUGUJZUKZGUUM
      ULZPZFUUIKUUKUUOUULKLZUUQUULKLZMZUUOUUQKLZUUKUULNOZUURUUKENUULUUCUUDUUEUU
      FUMZUUKUUBAEUNZUULEOUUKUUCUUBAEUOZUVDUUCUUGUPUUKUUDUVEUVCABEUQZRUUBAEURZV
      AUUBAEUSRUTZUULVBRUUKUUSGUULKLZUUKUUFYRUULKLZMZBEUBZUVIMZUUCUUDUUEUUFVCZU
      UCUUGUVLUUBUUGUVLVDAEUUGUVLAUUGAVEUVKABEAESUVJAAYRUULKAYRSAKSUUBAEVFVGVHV
      IVJYSEOZUUBUUGUVLUVOUUBQZUUGQZUULYSTZUUBUVLUVQUVPUVRUVPUUGUPUVQUVDUVPUVRV
      KUVQUUCUVEUVDUVPUUCUUGUUBAEWDVLUVQUUDUVEUVPUUDUUEUUFUMUVFRUVGVAUUBAEVMRVN
      UVOUUBUUGVOUVRUVLUUBUVRUVKUUABEBUULYSUUBBAEUUABEVPBESVQZVRUVRUVJYTUULYSYR
      KVSVTWAWBWEWCWFXGUVKUVMBGEUVIBBGUULKBGSBKSUVSVGVHYRGTUVJUVIYRGUULKWGVTWHW
      EUUKUUSUUQUULUUPPZKLZUVIUUKUVTUULUUQKUUKUULWIZUUMUUPUCUVTUULTUUKUVBUULWJU
      WBUVHUULWKUULWLWMUUMWNUULUUPWOWPWQUUKGNOZUVBUUPWROZUWAUVIVDUUKENGUVCUVNUT
      ZUVHUUKUUMWROZUWDUUKUVBUWFUVHUULWSRUUMWTXAZGUULUUPXBXCXDXEUUKUUONOZUVBUUQ
      NOZUURUUTQUVAVDZUUKUVBUWHUVHUULUFUFXHXFXIXJRUVHUUKUWCUWDUWIUWEUWGGUUPXKXL
      NKXMUWHUVBUWIUDUWJXNNKUUOUULUUQXOXTXCXPUUCFUUOTUUGUUCFUUCUUOHYRDUAZUEZOUW
      KCUAZKLMZUWKYRULZPUWMUWOPTVDCEUBQDEUHBXQHUAZUWLOUWNUWKUWPULZPUWMUWQPTVDCE
      UBUWPUWKXRYSTUDDEUHAXSYAZYKUUOJUUCUUOUWRYBYCZVLUUCUUIUUQTUUGUUCUUHUUPGUUC
      UUHUUOUEZUUPUUCFUUOUWSYDUUMUUNUEZUKUUMUUMUJZUKUWTUUPUXAUXBUUMUUMUFXFYEYFU
      ULUUNYLUUMYGYHYIYJVLYMUUCMZUUGQUXCUUDUUEUUFUUJUXCUUGUPUXCUUDUUEUUFUMUXCUU
      DUUEUUFYNUXCUUDUUEUUFVCABCDEFGHIJYOYPYQ $.
  $}

  ${
    $d B b $.  $d b q $.  $d B q $.  $d p q $.  $d p x $.  $d q x $.  $d q y $.
    $d U b $.  $d U p $.  $d U q $.  $d U x $.  $d V q $.  $d Z b $.  $d Z p $.
    $d Z q $.  $d Z x $.

    $( Bounding law from below when a set of surreals has a minimum.
       (Contributed by Scott Fenton, 9-Aug-2024.) $)
    noinfbnd2lem1 $p |- ( ( ( U e. B /\ A. y e. B -. y <s U ) /\
     ( B C_ No /\ B e. V /\ Z e. No ) /\
     A. b e. B Z <s b ) ->
     -. ( U u. { <. dom U , 1o >. } ) <s ( Z |` suc dom U ) ) $=
      ( vx wcel cslt wbr wn wa csur c1o cfv wceq c0 c2o syl adantr vq vp cv wss
      wral w3a cdm cop csn cun csuc cres breq2 simp3 rspcdva wne con0 crab cint
      simp1l wrex simpl21 simpl1l sseldd nodmon onelon sylan simpr simplr ontr1
      ctp wi mp2and fvresd weq fveq2 neeq12d onnminsb sylc df-ne con2bii sylibr
      eqtr4d ralrimiva wb simpl23 sltval2 syl2an2r rabbii inteqi fveq2i 3brtr4g
      mpbid necom eqbrtrd raleq breq12d anbi12d rspcev syl12anc noreson syl2anc
      sltval mpbird sssucid resabs1 mp1i resundir wrel wfun nofun resdm nodmord
      funrel word ordirr snres0 uneq12d un0 eqtrdi syl5eq 3brtr4d sylib syl3anc
      1oex mpd sltso sonr sylancr nosepssdm eleq2d eqtrd wo ndmfv necomi mpbiri
      neeq1 neneqd fveq2d fvex sucelon prid1 noextend sltres soasym mpan df-suc
      reseq2i resundi eqtri dmres eqeq1i biimpi adantl simp23 notbid syl5ibrcom
      wor cin necon2ad imp necomd eqsstrrd df-ss biimpar nesym ralrimiv funresd
      ex sylbid eqfunfv mpbir2and wfn funfnd w3o 2on0 intnand 3brtr3d brtp andi
      3orel3 simpld con4i fnressn opeq2d sneqd breq2d nosepon onsseleq mpjaodan
      1n0 mtbird mpdan ) CBHZAUCCIJKABUEZLZBMUDZBDHZEMHZUFZEFUCZIJZFBUEZUFZECIJ
      ZCCUGZNUHZUIZUJZEUXFUKZULZIJZKZUXDUXBUXEFBCUXACEIUMUWPUWTUXCUNUWNUWOUWTUX
      CUTUOUXDUXELZGUCZCOZUXOEOZUPZGUQURZUSZUXFHZUXMUXTUXFPZUXNUYALZUXKUXIIJZUX
      MUYCUXKUXFULZUXIUXFULZIJZUYDUYCEUXFULZCUYEUYFIUYCUYHCIJZUAUCZUYHOZUYJCOZP
      ZUAUBUCZUEZUYNUYHOZUYNCOZNQUHNRUHQRUHVKZJZLZUBUQVAZUYCUXTUQHZUYMUAUXTUEZU
      XTUYHOZUXTCOZUYRJZVUAUXNUXFUQHZUYAVUBUXNCMHZVUGUXNBMCUWQUWRUWSUWPUXCUXEVB
      UWNUWOUWTUXCUXEVCVDZCVEZSZUXFUXTVFVGZUYCUYMUAUXTUYCUYJUXTHZLZUYKUYJEOZUYL
      VUNUYJUXFEVUNVUMUYAUYJUXFHZUYCVUMVHZUXNUYAVUMVIVUNVUGVUMUYALVUPVLUYCVUGVU
      MUXNVUGUYAVUKTZTUYJUXTUXFVJSVMVNVUNUYLVUOUPZKZUYLVUOPZVUNUYJUQHZVUMVUTUYC
      VUBVUMVVBVULUXTUYJVFVGVUQUXRVUSGUYJGUAVOUXPUYLUXQVUOUXOUYJCVPUXOUYJEVPVQV
      RZVSVUSVVAUYLVUOVTWAWBWCWDUYCVUDUXTEOZVUEUYRUYCUXTUXFEUXNUYAVHVNUYCUXQUXP
      UPZGUQURZUSZEOZVVGCOZVVDVUEUYRUYCUXEVVHVVIUYRJZUXDUXEUYAVIUXNUWSUYAVUHUXE
      VVJWEZUWQUWRUWSUWPUXCUXEWFZUXNVUHUYAVUITZECGWGZWHWMUXTVVGEUXSVVFUXRVVEGUQ
      UXPUXQWNWIWJZWKUXTVVGCVVOWKWLWOUYTVUCVUFLUBUXTUQUYNUXTPZUYOVUCUYSVUFUYMUA
      UYNUXTWPVVPUYPVUDUYQVUEUYRUYNUXTUYHVPUYNUXTCVPWQWRWSWTUXNUYHMHZUYAVUHUYIV
      UAWEUXNUWSVUGVVQVVLVUKEUXFXAXBVVMUBUAUYHCXCWHXDUXFUXJUDUYEUYHPUYCUXFXEEUX
      FUXJXFXGUYCUYFCUXFULZUXHUXFULZUJZCCUXHUXFXHUYCVVTCQUJCUYCVVRCVVSQUYCCXIZV
      VRCPUXNVWAUYAUXNCXJZVWAUXNVUHVWBVUICXKSZCXNSTCXLSUYCUXFUXFHKZVVSQPUYCUXFX
      OZVWDUXNVWEUYAUXNVUHVWEVUICXMZSTUXFXPZSUXFNUXFYEXQWBXRCXSXTYAYBUYCUXKMHZU
      XIMHZVUGUYGUYDVLUXNVWHUYAUXNUWSUXJUQHZVWHVVLUXNVUGVWJVUKUXFUUAYCEUXJXAXBZ
      TUXNVWIUYAUXNVUHVWIVUICNNRYEUUBUUCSZTZVURUXKUXIUXFUUDYDYFUXNVWHUYAVWIUYDU
      XMVLZVWKVWMMIUURZVWHVWILVWNYGMIUXKUXIUUEUUFWHYFUXNUYBLZUXLUXIUXIIJZUXNVWQ
      KZUYBUXNVWOVWIVWRYGVWLMUXIIYHYITVWPUXKUXIUXIIVWPUXKUYHEUXFUIZULZUJZUXIUXK
      EUXFVWSUJZULVXAUXJVXBEUXFUUGUUHEUXFVWSUUIUUJVWPUYHCVWTUXHVWPUYHCPZUYHUGZU
      XFPZUYMUAVXDUEZVWPVXDUXFEUGZUUSZUXFEUXFUUKVWPUXFVXGUDVXHUXFPVWPUXFVVGVXGU
      YBVVGUXFPZUXNUYBVXIUXTVVGUXFVVOUULUUMUUNZVWPUWSVUHECUPZVVGVXGUDUXNUWSUYBV
      VLTZUXNVUHUYBVUITZUXNVXKUYBUXNCEUXDUXECEUPZUXDUXECEUXDUXEKCEPZEEIJZKZUXDV
      WOUWSVXQYGUWPUWQUWRUWSUXCUUOMEIYHYIVXOUXEVXPCEEIUMUUPUUQUUTUVAZUVBTGECYJY
      DUVCUXFVXGUVDYCYAZVWPUYMUAVXDVWPUYJVXDHVUPUYMVWPVXDUXFUYJVXSYKVWPVUPUYMVW
      PVUPLZUYKVUOUYLVXTUYJUXFEVWPVUPVHVNVXTVUTVUOUYLPZVXTVVBVUMVUTVWPVUGVUPVVB
      VWPVUHVUGVXMVUJSUXFUYJVFVGVWPVUMVUPVWPUXTUXFUYJUXNUYBVHYKUVEVVCVSVUSVYAUY
      LVUOUVFWAWBYLUVIUVJUVGVWPUYHXJVWBVXCVXEVXFLWEVWPUXFEVWPUWSEXJZVXLEXKZSUVH
      UXNVWBUYBVWCTUAUYHCUVKXBUVLVWPVWTUXFUXFEOZUHZUIZUXHUXNEVXGUVMUYBUXFVXGHZV
      WTVYFPUXNEUXNUWSVYBVVLVYCSUVNVWPVYDNPZVYGVWPVYHUXFCOZQPZVYIRPZYMZVWPVYHVY
      JLZVYHVYKLZYMZVYHVYLLVWPVYDQPZVYKLZKVYMVYNVYQUVOZVYOVWPVYKVYPVWPVWDVYKKZV
      WPVWEVWDVWPVUHVWEVXMVWFSVWGSVWDVYJVYSUXFCYNVYJVYIRVYJVYIRUPQRUPRQUVPYOVYI
      QRYQYPYRSSUVQVWPVYDVYIUYRJVYRVWPVVHVVIVYDVYIUYRUXNVVJUYBUXNUXEVVJUXDUXEVH
      UXNUWSVUHVVKVVLVUIVVNXBWMTVWPVVGUXFEVXJYSVWPVVGUXFCVXJYSUVRNQNRQRVYDVYIUX
      FEYTUXFCYTUVSYCVYMVYNVYQUWAVSVYHVYJVYKUVTWBUWBZVYGVYHVYGKVYPVYHKUXFEYNVYP
      VYDNVYPVYDNUPQNUPNQUWKYOVYDQNYQYPYRSUWCSVXGUXFEUWDWHVWPVYEUXGVWPVYDNUXFVY
      TUWEUWFYLXRYAUWGUWLUXNUXTUXFUDZUYAUYBYMZUXNVUHUWSVXNWUAVUIVVLVXRGCEYJYDUX
      NVUBVUGWUAWUBWEUXNVUHUWSVXNVUBVUIVVLVXRGCEUWHYDVUKUXTUXFUWIXBWMUWJUWM $.
  $}

  ${
    $d B b $.  $d b g $.  $d B g $.  $d b p $.  $d B p $.  $d B q $.  $d B u $.
    $d b v $.  $d B v $.  $d b x $.  $d B x $.  $d b y $.  $d B y $.  $d g p $.
    $d g q $.  $d g u $.  $d g v $.  $d g x $.  $d g y $.  $d p q $.  $d p u $.
    $d p v $.  $d p x $.  $d p y $.  $d q u $.  $d q v $.  $d q y $.  $d T b $.
    $d T g $.  $d T p $.  $d u v $.  $d u x $.  $d u y $.  $d V b $.  $d V g $.
    $d V p $.  $d v x $.  $d V x $.  $d v y $.  $d x y $.  $d Z b $.  $d Z g $.
    $d Z p $.  $d Z x $.
    noinfbnd2.1 $e |- T = if ( E. x e. B A. y e. B -. y <s x ,
       ( ( iota_ x e. B A. y e. B -. y <s x ) u.
         { <. dom ( iota_ x e. B A. y e. B -. y <s x ) , 1o >. } ) ,
       ( g e. { y | E. u e. B ( y e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. B ( g e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    $( Bounding law from below for the surreal infimum.  Analagous to
       proposition 4.3 of [Lipparini] p. 6.  (Contributed by Scott Fenton,
       9-Aug-2024.) $)
    noinfbnd2 $p |- ( ( B C_ No /\ B e. V /\ Z e. No ) ->
   ( A. b e. B Z <s b <-> -. T <s ( Z |` dom T ) ) ) $=
      ( csur wcel cslt wbr cdm cres wn wa wi vp vq wss w3a cv wral wrex nfv c1o
      crio cop csn cun csuc wceq cab cfv cio cmpt nfre1 nfriota1 nfdm nfcv nfop
      cif nfsn nfun nfiota1 nfmpt nfif nfcxfr nfres nfbr nfn nfim noinfbnd2lem1
      3expb rspe adantr iftrued simpl wreu wb wrmo simprl1 nominmo syl sylanbrc
      reu5 riota1 mpbid dmeqd opeq1d sneqd eqtrd syl5eq 1oex dmsnop uneq2i dmun
      uneq12d df-suc 3eqtr4ri eqtr4di reseq2d breq12d mtbird exp31 rexlimi con0
      simprl3 noinfno 3adant3 ad2antrl nodmon noreson syl2anc wrel nofun funrel
      imp wfun 3syl resdm eqeltrd resdmss a1i noinfdm abeq2d simpll breq2 sylib
      simprl2 sltso mpan mpd sltres syl3anc resabs1d ralrimiva simprrl cbvralvw
      simprl simprrr weq notbid reseq1 eqeq2d imbi12d syl123anc simplrr rspcdva
      noinfres sseldd wor soasym onelon sucelon mtod eqnbrtrd rexlimdvaa sylbid
      nodmord ordsucss noresle syl23anc breq1d pm2.61ian simplr simpll1 simpll2
      word mtbid simpr simpl3 simpl1 simpl2 sselda sotr2 mp2and simpll3 impbida
      noinfbnd1 ) ELUCZEHMZILMZUDZIJUEZNOZJEUFZFIFPZQZNOZRZBUEZAUEZNORBEUFZAEUG
      ZUWGUWJSZUWNUWRUWSUWNUWQUWSUWNTAEUWSUWNAUWSAUHUWMAAFUWLNAFUWRUWQAEUJZUWTP
      ZUIUKZULZUMZGUWODUEZPZMUXECUEZNORZUXEUWOUNZQUXGUXIQUOTCEUFSDEUGBUPZGUEZUX
      FMUXHUXEUXKUNZQUXGUXLQZUOTCEUFUXKUXEUQUWPUOUDDEUGZAURZUSZVEZKUWRAUXDUXPUW
      QAEUTAUWTUXCUWQAEVAZAUXBAUXAUIAUWTUXRVBAUIVCVDVFVGAGUXJUXOAUXJVCUXNAVHVIV
      JVKZANVCAIUWKAIVCAFUXSVBVLVMVNVOUWPEMZUWQUWSUWNUXTUWQSZUWSSZUWMUWPUWPPZUI
      UKZULZUMZIUYCUNZQZNOZUYAUWGUWJUYIRBEUWPHIJVPVQUYBFUYFUWLUYHNUYBFUXQUYFKUY
      BUXQUXDUYFUYBUWRUXDUXPUYAUWRUWSUWQAEVRVSZVTUYBUWTUWPUXCUYEUYBUYAUWTUWPUOZ
      UYAUWSWAUYBUWQAEWBZUYAUYKWCUYBUWRUWQAEWDZUYLUYJUYBUWDUYMUWDUWEUWFUWJUYAWE
      ABEWFWGUWQAEWIWHUWQAEWJWGWKZUYBUXBUYDUYBUXAUYCUIUYBUWTUWPUYNWLWMWNXAWOWPZ
      UYBUWKUYGIUYBUWKUYFPZUYGUYBFUYFUYOWLUYCUYEPZUMUYCUYCULZUMUYPUYGUYQUYRUYCU
      YCUIWQWRWSUWPUYEWTUYCXBXCXDXEXFXGXHXIYAUWRRZUWSSZFUWKQZUWLNOZUWMUYTUWLLMZ
      VUALMUWLPUWKUCZVUAPUWKUCZVUAUXLQZUWLUXLQZNOZRZGUWKUFVUBRUYTUWFUWKXJMZVUCU
      WDUWEUWFUWJUYSXKZUYTFLMZVUJUWGVULUYSUWJUWDUWEVULUWFABCDEFGHKXLZXMZXNZFXOZ
      WGIUWKXPZXQUYTVUAFLUYTFXRZVUAFUOUWGVURUYSUWJUWGVULFYBVURVUNFXSFXTYCXNFYDW
      GZVUOYEVUDUYTIUWKYFYGVUEUYTFUWKYFYGUYTVUIGUWKUYTUXKUWKMZSZVUHFUXLQZIUXLQZ
      NOZUYTVUTVVDRZUYTVUTUXKUAUEZPZMZVVFUBUEZNOZRZVVFUXLQZVVIUXLQZUOZTZUBEUFZS
      ZUAEUGZVVEUYSVUTVVRWCUWSUYSVVRGUWKABGCDEFGUBUAKYHYIVSUYTVVQVVEUAEUYTVVFEM
      ZVVQSZSZVVBVVLVVCNVWAUYSUWDUWEVVSVVHVVFUXGNOZRZVVLUXMUOZTZCEUFZVVBVVLUOUY
      SUWSVVTYJUYTUWDVVTUWDUWEUWFUWJUYSWEVSZUYTUWEVVTUWDUWEUWFUWJUYSYMVSUYTVVSV
      VQUUCZUYTVVSVVHVVPUUAZVWAVVPVWFUYTVVSVVHVVPUUDVVOVWEUBCEUBCUUEZVVKVWCVVNV
      WDVWJVVJVWBVVIUXGVVFNYKUUFVWJVVMUXMVVLVVIUXGUXLUUGUUHUUIUUBYLABCDEFVVFGUX
      KHKUUMUUJVWAVVLVVCNOZVVFINOZVWAIVVFNOZVWLRZVWAUWIVWMJEVVFUWHVVFINYKUYSUWG
      UWJVVTUUKVWHUULVWAUWFVVFLMZVWMVWNTZUYTUWFVVTVUKVSZVWAELVVFVWGVWHUUNZLNUUO
      ZUWFVWOSVWPYNLNIVVFUUPYOXQYPVWAVWOUWFUXLXJMZVWKVWLTVWRVWQVWAUXKXJMZVWTVWA
      VVGXJMZVVHVXAVWAVWOVXBVWRVVFXOWGVWIVVGUXKUUQXQUXKUURYLVVFIUXLYQYRUUSUUTUV
      AUVBYAVVAVUFVVBVUGVVCNVVAFUXLUWKUYTVUTUXLUWKUCZUYTVULUWKUVLVUTVXCTVUOFUVC
      UXKUWKUVDYCYAZYSVVAIUXLUWKVXDYSXFXGYTUWKVUAUWLGUVEUVFUYTVUAFUWLNVUSUVGUVM
      UVHUWGUWNSZUWIJEVXEUWHEMZSZUWLUWHUWKQZNOZUWIVXGUWNFVXHNOZVXIUWGUWNVXFUVIV
      XGUWDUWEVXFVXJUWDUWEUWFUWNVXFUVJUWDUWEUWFUWNVXFUVKVXEVXFUVNABCDEFUWHGHKUW
      CYRVXGVUCVULVXHLMZUWNVXJSVXITZVXEVUCVXFVXEUWFVUJVUCUWDUWEUWFUWNUVOVXEVULV
      UJVXEUWDUWEVULUWDUWEUWFUWNUVPZUWDUWEUWFUWNUVQVUMXQZVUPWGZVUQXQVSVXEVULVXF
      VXNVSVXGUWHLMZVUJVXKVXEELUWHVXMUVRZVXEVUJVXFVXOVSZUWHUWKXPXQVWSVUCVULVXKU
      DVXLYNLUWLFVXHNUVSYOYRUVTVXGUWFVXPVUJVXIUWITUWDUWEUWFUWNVXFUWAVXQVXRIUWHU
      WKYQYRYPYTUWB $.
  $}

  ${
    $d A a $.  $d a g $.  $d A g $.  $d a u $.  $d A u $.  $d a v $.  $d A v $.
    $d a x $.  $d A x $.  $d a y $.  $d A y $.  $d B b $.  $d b g $.  $d B g $.
    $d B u $.  $d b v $.  $d B v $.  $d b x $.  $d B x $.  $d b y $.  $d B y $.
    $d g u $.  $d g v $.  $d g x $.  $d g y $.  $d S a $.  $d S b $.  $d S g $.
    $d S x $.  $d T a $.  $d T b $.  $d T g $.  $d T x $.  $d u v $.  $d u x $.
    $d u y $.  $d v x $.  $d v y $.  $d W a $.  $d W b $.  $d W g $.  $d W x $.
    $d x y $.
    nosupinfsep.1 $e |- S = if ( E. x e. A A. y e. A -. x <s y ,
       ( ( iota_ x e. A A. y e. A -. x <s y ) u.
         { <. dom ( iota_ x e. A A. y e. A -. x <s y ) , 2o >. } ) ,
       ( g e. { y | E. u e. A ( y e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. A ( g e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    nosupinfsep.2 $e |- T = if ( E. x e. B A. y e. B -. y <s x ,
       ( ( iota_ x e. B A. y e. B -. y <s x ) u.
         { <. dom ( iota_ x e. B A. y e. B -. y <s x ) , 1o >. } ) ,
       ( g e. { y | E. u e. B ( y e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. B ( g e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    $( Given two sets of surreals, a surreal ` W ` separates them iff its
       restriction to the maximum of ` dom S ` and ` dom T ` separates them.
       Corollary 4.4 of [Lipparini] p. 7.  (Contributed by Scott Fenton,
       9-Aug-2024.) $)
    nosupinfsep $p |- ( ( ( A C_ No /\ A e. _V ) /\ ( B C_ No /\ B e. _V )
    /\ W e. No ) -> ( ( A. a e. A a <s W /\ A. b e. B W <s b ) <->
    ( A. a e. A a <s ( W |` ( dom S u. dom T ) ) /\
      A. b e. B ( W |` ( dom S u. dom T ) ) <s b ) ) ) $=
      ( csur cvv wcel wa cslt wbr wss w3a cdm cres wn cun cv wral wb wceq ssun1
      resabs1 ax-mp breq1i notbii ssun2 breq2i anbi12i bicomi a1i simp1l simp1r
      nosupbnd2 syl3anc simp2l simp2r noinfbnd2 anbi12d con0 nosupno nodmon syl
      simp3 3ad2ant1 noinfno 3ad2ant2 onun2 syl2anc noreson 3jca 3bitr4d ) EOUA
      ZEPQZRZFOUAZFPQZRZJOQZUBZJGUCZUDZGSTZUEZHJHUCZUDZSTZUEZRZJWJWNUFZUDZWJUDZ
      GSTZUEZHWTWNUDZSTZUEZRZKUGZJSTKEUHZJLUGZSTLFUHZRXHWTSTKEUHZWTXJSTLFUHZRWR
      XGUIWIXGWRXCWMXFWQXBWLXAWKGSWJWSUAXAWKUJWJWNUKJWJWSULUMUNUOXEWPXDWOHSWNWS
      UAXDWOUJWNWJUPJWNWSULUMUQUOURUSUTWIXIWMXKWQWIWBWCWHXIWMUIWBWCWGWHVAZWBWCW
      GWHVBZWDWGWHVMZABCDEGIJKMVCVDWIWEWFWHXKWQUIWDWEWFWHVEZWDWEWFWHVFZXPABCDFH
      IPJLNVGVDVHWIXLXCXMXFWIWBWCWTOQZXLXCUIXNXOWIWHWSVIQZXSXPWIWJVIQZWNVIQZXTW
      DWGYAWHWDGOQYAABCDEGIPMVJGVKVLVNWGWDYBWHWGHOQYBABCDFHIPNVOHVKVLVPWJWNVQVR
      JWSVSVRZABCDEGIWTKMVCVDWIWEWFXSUBXMXFUIWIWEWFXSXQXRYCVTABCDFHIPWTLNVGVLVH
      WA $.
  $}

  ${
    noetasuplem.1 $e |- S = if ( E. x e. A A. y e. A -. x <s y ,
       ( ( iota_ x e. A A. y e. A -. x <s y ) u.
         { <. dom ( iota_ x e. A A. y e. A -. x <s y ) , 2o >. } ) ,
       ( g e. { y | E. u e. A ( y e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. A ( g e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    noetasuplem.2 $e |- Z =
    ( S u. ( ( suc U. ( bday " B ) \ dom S ) X. { 1o } ) ) $.

    ${
      $d A g $.  $d A u $.  $d A v $.  $d A x $.  $d A y $.  $d g u $.
      $d g v $.  $d g x $.  $d g y $.  $d u v $.  $d u x $.  $d u y $.
      $d v x $.  $d v y $.  $d x y $.
      $( Lemma for ~ noeta .  Establish that our final surreal really is a
         surreal.  (Contributed by Scott Fenton, 6-Dec-2021.) $)
      noetasuplem1 $p |- ( ( A C_ No /\ A e. _V /\ B e. _V ) -> Z e. No ) $=
        ( csur wss cvv wcel w3a cbday cima cuni c1o cdm csn cxp nosupno 3adant3
        csuc cdif cun con0 bdayimaon 3ad2ant3 1oex noextendseq syl2anc eqeltrid
        c2o prid1 ) ELMZENOZFNOZPZIGQFRSUFZGUAUGTUBUCUHZLKVAGLOZVBUIOZVCLOURUSV
        DUTABCDEGHNJUDUEUTURVEUSFNUJUKGVBTTUPULUQUMUNUO $.
    $}

    ${
      $d A g $.  $d A u $.  $d A v $.  $d A x $.  $d A y $.  $d g u $.
      $d g v $.  $d g x $.  $d g y $.  $d u v $.  $d u x $.  $d u y $.
      $d v x $.  $d v y $.  $d x y $.
      $( Lemma for ~ noeta .  The restriction of ` Z ` to ` dom S ` is ` S ` .
         (Contributed by Scott Fenton, 9-Aug-2024.) $)
      noetasuplem2 $p |- ( ( A C_ No /\ A e. _V /\ B e. _V ) ->
        ( Z |` dom S ) = S ) $=
        ( csur cvv wcel cdm cres c0 cun c1o wceq wss w3a cima cuni csuc csn cxp
        cbday cdif reseq1i resundir cin dmres wne 1oex snnz dmxp ineq2i disjdif
        ax-mp 3eqtri wrel relres reldm0 mpbir uneq2i wfun nosupno 3adant3 nofun
        wb syl funrel resdm 3syl uneq1d un0 eqtrdi syl5eq ) ELUAZEMNZFMNZUBZIGO
        ZPZGWDPZQRZGWEGUHFUCUDUEZWDUIZSUFZUGZRZWDPWFWKWDPZRWGIWLWDKUJGWKWDUKWMQ
        WFWMQTZWMOZQTZWOWDWKOZULWDWIULQWKWDUMWQWIWDWJQUNWQWITSUOUPWIWJUQUTURWDW
        HUSVAWMVBWNWPVKWKWDVCWMVDUTVEVFVAWCWGGQRGWCWFGQWCGVGZGVBWFGTWCGLNZWRVTW
        AWSWBABCDEGHMJVHVIGVJVLGVMGVNVOVPGVQVRVS $.
    $}

    ${
      $d A g $.  $d A u $.  $d A v $.  $d A x $.  $d A y $.  $d g u $.
      $d g v $.  $d g x $.  $d g y $.  $d u v $.  $d u x $.  $d u y $.
      $d v x $.  $d v y $.  $d X u $.  $d X v $.  $d X x $.  $d x y $.
      $d X y $.
      $( Lemma for ~ noeta . ` Z ` is an upper bound for ` A ` .  Part of
         Theorem 5.1 of [Lipparini] p. 7-8.  (Contributed by Scott Fenton,
         4-Dec-2021.) $)
      noetasuplem3 $p |- ( ( ( A C_ No /\ A e. _V /\ B e. _V ) /\ X e. A ) ->
      X <s Z ) $=
        ( csur cvv wcel cres cslt wbr cun c0 wss w3a wa cdm simpl1 simpl2 simpr
        nosupbnd1 syl3anc cbday cima cuni csuc c1o csn cxp reseq1i resundir cin
        cdif df-res wceq disjdifr xpdisj1 ax-mp eqtri uneq2i un0 3eqtri nosupno
        wfun wrel syl2anc nofun funrel resdm 3syl syl5eq breqtrrd con0 wi simp1
        syl sselda noetasuplem1 adantr nodmon sltres mpd ) EMUAZENOZFNOZUBZIEOZ
        UCZIGUDZPZJWPPZQRZIJQRZWOWQGWRQWOWJWKWNWQGQRWJWKWLWNUEZWJWKWLWNUFZWMWNU
        GABCDEGIHKUHUIWOWRGWPPZGWRGUJFUKULUMZWPUTZUNUOZUPZSZWPPZXCJXHWPLUQXIXCX
        GWPPZSXCTSXCGXGWPURXJTXCXJXGWPNUPUSZTXGWPVAXEWPUSTVBXKTVBWPXDVCXEWPXFNV
        DVEVFVGXCVHVIVFWOGVKZGVLXCGVBWOGMOZXLWOWJWKXMXAXBABCDEGHNKVJVMZGVNWCGVO
        GVPVQVRVSWOIMOJMOZWPVTOZWSWTWAWMEMIWJWKWLWBWDWMXOWNABCDEFGHJKLWEWFWOXMX
        PXNGWGWCIJWPWHUIWI $.
    $}

    ${
      $d A a $.  $d a b $.  $d A b $.  $d a g $.  $d A g $.  $d a u $.
      $d A u $.  $d a v $.  $d A v $.  $d a x $.  $d A x $.  $d a y $.
      $d A y $.  $d B a $.  $d B b $.  $d b g $.  $d b p $.  $d b q $.
      $d b x $.  $d g u $.  $d g v $.  $d g x $.  $d g y $.  $d p q $.
      $d S a $.  $d S g $.  $d S q $.  $d u v $.  $d u x $.  $d u y $.
      $d v x $.  $d v y $.  $d x y $.  $d Z p $.  $d Z q $.
      $( Lemma for ~ noeta .  When ` A ` and ` B ` are separated, then ` Z ` is
         a lower bound for ` B ` .  Part of Theorem 5.1 of [Lipparini] p. 7-8.
         (Contributed by Scott Fenton, 7-Dec-2021.) $)
      noetasuplem4 $p |- ( ( ( A C_ No /\ A e. _V ) /\ ( B C_ No /\ B e. _V )
      /\
      A. a e. A A. b e. B a <s b ) -> A. b e. B Z <s b ) $=
        ( csur wcel wa wn wceq cfv con0 vp vq wss cvv cslt wbr wral ralcom cres
        cv cdm wb simplll simpllr simprl nosupbnd2 syl3anc cbday cima cuni csuc
        sselda cun word simpl ssel2 syl2an nodmord ordirr ssun2 bdayval syl wfn
        3syl wfo bdayfo fofn fnfvima mp3an1 eqeltrrd elssuni nodmon crn imassrn
        ax-mp forn sseqtri ssorduni ordsssuc mpan2 mpbid sselid eleq2 syl5ibcom
        mtod cdif c1o csn cxp dmeqi dmun eqtri wne 1oex snnz dmxp uneq2i undif2
        c0 3eqtri dmeq eqtr3id nsyl df-ne crab cint notnotr wrex fvresd reseq1i
        wo simpr resundir cin df-res disjdifr wfun adantr nofun simp-4l simplrr
        syl5eq simplr fveq2 necom syl2anc con2bid wi a1i simplrl xpdisj1 funrel
        wrel nosupno resdm fveq1d eqtr3d simp-4r noetasuplem1 eqnetrrd neeqtrrd
        nosepne neeq12d 3bitr3g rspcev rexeq syl5ibrcom rexnal syl6ib syl5 orrd
        un0 funres eqfunfv ianor con1bii bitr4di pm2.21d breq1d sylbird noreson
        sltres wor sltso sotric mpan mpbird mpjaod fveq1i funfn sylib wf fconst
        ffn disjdif rabbii inteqi necomd nosepssdm eqsstrid nosepon ordsuc mpbi
        eloni ordtr2 mp2and ontri1 eldifd fvun2 fvconst2 eqtrd nosep1o syl31anc
        syl112anc ordtri2or mpjaodan ex syl5bir mpd expr sylbid ralimdva syl5bi
        3impia ) ENUCZEUDOZPZFNUCZFUDOZPZJUJKUJZUEUFZKFUGJEUGZIUYAUEUFZKFUGZUYC
        UYBJEUGZKFUGUXQUXTPZUYEUYBJKEFUHUYGUYFUYDKFUYGUYAFOZPZUYFUYAGUKZUIZGUEU
        FZQZUYDUYIUXOUXPUYANOZUYFUYMULUXOUXPUXTUYHUMUXOUXPUXTUYHUNUYGFNUYAUXQUX
        RUXSUOZVBABCDEGHUYAJLUPUQUYGUYHUYMUYDUYGUYHUYMPZPZIUYARZQZUYDUYQUYJURFU
        SZUTZVAZVCZUYAUKZRZUYRUYQVUEVUDVUDOZUYQUYNVUDVDVUFQUYGUXRUYHUYNUYPUYOUY
        HUYMVEZFNUYAVFVGZUYAVHVUDVIVNUYQVUDVUCOVUEVUFUYQVUBVUCVUDVUBUYJVJUYQVUD
        VUAUCZVUDVUBOZUYQVUDUYTOZVUIUYQUYAURSZVUDUYTUYQUYNVULVUDRZVUHUYAVKZVLUY
        GUXRUYHVULUYTOZUYPUYOVUGURNVMZUXRUYHVUONTURVOZVUPVPNTURVQWENFURUYAVRVSZ
        VGVTVUDUYTWAZVLUYQUYNVUDTOZVUIVUJULZVUHUYAWBZVUTVUAVDZVVAUYTTUCVVCUYTUR
        WCZTURFWDVUQVVDTRVPNTURWFWEWGUYTWHWEZVUDVUAWIWJZVNWKWLVUCVUDVUDWMWNWOUY
        RVUCIUKZVUDVVGUYJVUBUYJWPZWQWRZWSZUKZVCZUYJVVHVCVUCVVGGVVJVCZUKVVLIVVMM
        WTGVVJXAXBVVKVVHUYJVVIXIXCVVKVVHRWQXDXEVVHVVIXFWEXGUYJVUBXHXJIUYAXKXLXM
        UYSIUYAXCZUYQUYDIUYAXNUYQVVNUYDUYQVVNPZUAUJZISZVVPUYASZXCZUATXOZXPZUYJO
        ZUYDUYJVWAUCZVVOVWBPZUYKGRZUYDGUYKUEUFZVWDVWEUYDVWDUYKUKZUYJRZQZUBUJZUY
        KSZVWJGSZRZUBVWGUGZQZYAZVWEQVWDVWIVWOVWIQVWHVWDVWOVWHXQVWDVWHVWMQZUBVWG
        XRZVWOVWDVWRVWHVWQUBUYJXRZVWDVWBVWAGSZVWAUYKSZXCZVWSVVOVWBYBZVWDVWTVWAU
        YASZVXAVWDVWAISZVWTVXDVWDVWAIUYJUIZSVXEVWTVWDVWAUYJIVXCXSVWDVWAVXFGVWDV
        XFGUYJUIZGVXFVVMUYJUIVXGVVJUYJUIZVCZVXGIVVMUYJMXTGVVJUYJYCVXIVXGXIVCVXG
        VXHXIVXGVXHVVJUYJUDWSYDZXIVVJUYJYEVVHUYJYDXIRVXJXIRUYJVUBYFVVHUYJVVIUDU
        UAWEXBXGVXGUVBXBXJVWDGYGZGUUCVXGGRVWDGNOZVXKVVOVXLVWBVVOUXQVXLUXQUXTUYP
        VVNUMZABCDEGHUDLUUDZVLYHZGYIZVLZGUUBGUUEVNYLZUUFUUGVWDINOZUYNVVNVXEVXDX
        CVVOVXSVWBVVOUXOUXPUXSVXSUXOUXPUXTUYPVVNYJUXOUXPUXTUYPVVNUUHUYQUXSVVNUX
        QUXRUXSUYPYKYHABCDEFGHILMUUIUQZYHZVVOUYNVWBUYQUYNVVNVUHYHZYHZUYQVVNVWBY
        MUAIUYAUULUQUUJVWDVWAUYJUYAVXCXSUUKVWQVXBUBVWAUYJVWJVWARZVWKVWLXCVXAVWT
        XCVWQVXBVYDVWKVXAVWLVWTVWJVWAUYKYNVWJVWAGYNUUMVWKVWLXNVXAVWTYOUUNUUOYPV
        WQUBVWGUYJUUPUUQVWMUBVWGUURUUSUUTUVAVWDVWEVWPVWDVWEVWHVWNPZVWPQVWDUYKYG
        ZVXKVWEVYEULVWDUYNUYAYGVYFVYCUYAYIUYJUYAUVCVNVXQUBUYKGUVDYPVYEVWPVWHVWN
        UVEUVFUVGYQWKUVHVWDVWFVXFUYKUEUFZUYDVWDVXFGUYKUEVXRUVIVWDVXSUYNUYJTOZVY
        GUYDYRVYAVYCVWDVXLVYHVXOGWBZVLZIUYAUYJUVLUQUVJVWDVWEVWFYAZUYMVVOUYMVWBU
        YGUYHUYMVVNYKYHVWDUYLVYKVWDUYKNOZVXLUYLVYKQULZVWDUYNVYHVYLVYCVYJUYAUYJU
        VKYPVXONUEUVMVYLVXLPVYMUVNNUYKGUEUVOUVPYPYQUVQUVRVVOVWCPZVXSUYNVVNVXEWQ
        RUYDVVOVXSVWCVXTYHZVVOUYNVWCVYBYHZUYQVVNVWCYMZVYNVXEVWAVVJSZWQVYNVXEVWA
        VVMSZVYRVWAIVVMMUVSVYNGUYJVMZVVJVVHVMZUYJVVHYDXIRZVWAVVHOZVYSVYRRVYNVXK
        VYTVYNUXQVXLVXKUXQUXTUYPVVNVWCYJZVXNVXPVNGUVTUWAWUAVYNVVHVVIVVJUWBWUAVV
        HWQXDUWCVVHVVIVVJUWDWEYSWUBVYNUYJVUBUWEYSVYNVWAVUBUYJVYNVWAVUDUCZVUJVWA
        VUBOZVYNVWAVVRVVQXCZUATXOZXPZVUDVVTWUHVVSWUGUATVVQVVRYOUWFUWGVYNUYNVXSU
        YAIXCWUIVUDUCVYPVYOVYNIUYAVYQUWHUAUYAIUWIUQUWJVYNVUIVUJVYNVUKVUIVYNVULV
        UDUYTVYNUYNVUMVYPVUNVLVYNUXRUYHVUOVVOUXRVWCUYQUXRVVNUXQUXRUXSUYPYTYHYHV
        VOUYHVWCUYGUYHUYMVVNYTYHVURYPVTVUSVLVYNUYNVUTVVAVYPVVBVVFVNWKVYNVWATOZV
        WAVDZWUEVUJPWUFYRZVYNVXSUYNVVNWUJVYOVYPVYQUAIUYAUWKZUQZVWAUWNZWUKVUBVDZ
        WULVVCWUPVVEVUAUWLUWMVWAVUDVUBUWOWJVNUWPVYNVWCVWBQZVVOVWCYBVYNVYHWUJVWC
        WUQULVYNUXQVXLVYHWUDVXNVYIVNWUNUYJVWAUWQYPWKUWRZUYJVVHGVVJVWAUWSUXDYLVY
        NWUCVYRWQRWURVVHWQVWAXDUWTVLUXAUAIUYAUXBUXCVVOWUKUYJVDZVWBVWCYAVVOWUJWU
        KVVOVXSUYNVVNWUJVXTVYBUYQVVNYBWUMUQWUOVLVVOUXQVXLWUSVXMVXNGVHVNVWAUYJUX
        EYPUXFUXGUXHUXIUXJUXKUXLUXMUXN $.
    $}
  $}

  ${
    $d B g $.  $d B u $.  $d B v $.  $d B x $.  $d B y $.  $d g u $.  $d g v $.
    $d g x $.  $d g y $.  $d u v $.  $d u x $.  $d u y $.  $d v x $.  $d v y $.
    $d x y $.
    noetainflem.1 $e |- T = if ( E. x e. B A. y e. B -. y <s x ,
       ( ( iota_ x e. B A. y e. B -. y <s x ) u.
         { <. dom ( iota_ x e. B A. y e. B -. y <s x ) , 1o >. } ) ,
       ( g e. { y | E. u e. B ( y e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. B ( g e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    noetainflem.2 $e |- W = ( T u.
   ( ( suc U. ( bday " A ) \ dom T ) X. { 2o } ) ) $.
    $( Lemma for ~ noeta .  Establish that this particular construction gives a
       surreal.  (Contributed by Scott Fenton, 9-Aug-2024.) $)
    noetainflem1 $p |- ( ( A e. _V /\ B C_ No /\ B e. _V ) -> W e. No ) $=
      ( cvv wcel csur wss w3a cbday cima cuni c2o csuc cdm cdif csn cxp noinfno
      cun con0 3adant1 bdayimaon 3ad2ant1 c1o 2oex noextendseq syl2anc eqeltrid
      prid2 ) ELMZFNOZFLMZPZIGQERSUAZGUBUCTUDUEUGZNKVAGNMZVBUHMZVCNMUSUTVDURABC
      DFGHLJUFUIURUSVEUTELUJUKGVBTULTUMUQUNUOUP $.

    $( Lemma for ~ noeta .  The restriction of ` W ` to the domain of ` T ` is
       ` T ` .  (Contributed by Scott Fenton, 9-Aug-2024.) $)
    noetainflem2 $p |- ( ( B C_ No /\ B e. _V ) ->
   ( W |` dom T ) = T ) $=
      ( csur cvv wcel cdm cres cun eqtri c0 wceq wss wa cima cuni csuc cdif c2o
      cbday csn cxp reseq1i resundir wfun wrel noinfno nofun syl resdm 3syl cin
      funrel dmres wne 2oex snnz dmxp ax-mp ineq2i disjdif wb relres reldm0 a1i
      mpbir uneq12d un0 eqtrdi syl5eq ) FLUAFMNUBZIGOZPZGVTPZUHEUCUDUEZVTUFZUGU
      IZUJZVTPZQZGWAGWFQZVTPWHIWIVTKUKGWFVTULRVSWHGSQGVSWBGWGSVSGUMZGUNWBGTVSGL
      NWJABCDFGHMJUOGUPUQGVAGURUSWGSTZVSWKWGOZSTZWLVTWFOZUTZSWFVTVBWOVTWDUTSWNW
      DVTWESVCWNWDTUGVDVEWDWEVFVGVHVTWCVIRRWGUNWKWMVJWFVTVKWGVLVGVNVMVOGVPVQVR
      $.

    $d Y v $.  $d Y x $.  $d Y y $.
    $( Lemma for ~ noeta . ` W ` bounds ` B ` below .  (Contributed by Scott
       Fenton, 9-Aug-2024.) $)
    noetainflem3 $p |- ( ( ( A e. _V /\ B C_ No /\ B e. _V ) /\ Y e. B ) ->
   W <s Y ) $=
      ( cvv wcel csur cres cslt wbr syl2anc syl3anc wss w3a wa cdm noetainflem2
      wceq simpl2 simpl3 simpr noinfbnd1 eqbrtrd con0 noetainflem1 adantr simp2
      wi sselda noinfno nodmon syl sltres mpd ) EMNZFOUAZFMNZUBZJFNZUCZIGUDZPZJ
      VIPZQRZIJQRZVHVJGVKQVHVDVEVJGUFVCVDVEVGUGZVCVDVEVGUHZABCDEFGHIKLUESVHVDVE
      VGGVKQRVNVOVFVGUIABCDFGJHMKUJTUKVHIONZJONVIULNZVLVMUPVFVPVGABCDEFGHIKLUMU
      NVFFOJVCVDVEUOUQVHGONZVQVHVDVEVRVNVOABCDFGHMKURSGUSUTIJVIVATVB $.

    $d A a $.  $d a b $.  $d a g $.  $d a p $.  $d a q $.  $d a x $.  $d B a $.
    $d B b $.  $d b g $.  $d b v $.  $d b x $.  $d b y $.  $d p q $.  $d T b $.
    $d T g $.  $d T q $.  $d W p $.  $d W q $.
    $( Lemma for ~ noeta .  If ` A ` precedes ` B ` , then ` W ` is greater
       than ` A ` .  (Contributed by Scott Fenton, 9-Aug-2024.) $)
    noetainflem4 $p |- ( ( ( A C_ No /\ A e. _V ) /\ ( B C_ No /\ B e. _V ) /\
   A. a e. A A. b e. B a <s b ) -> A. a e. A a <s W ) $=
      ( csur wcel wa wceq cfv syl adantr vp vq wss cvv cv cslt wbr wral cres wn
      cdm wb simplrl simplrr simpll sselda noinfbnd2 syl3anc wne cima cuni csuc
      cbday cun word simplll simprl sseldd nodmord ordirr 3syl bdayval wfn con0
      wfo bdayfo fofn ax-mp fnfvima mp3an2i eqeltrrd elssuni nodmon crn imassrn
      forn sseqtri ssorduni ordsssuc mpan2 mpbid elun2 syl5ibrcom mtod dmeq c2o
      eleq2 cdif csn cxp dmeqi dmun 2oex snnz uneq2i undif2 eqtri 3eqtri eqtrdi
      c0 dmxp nsyl neqned crab cint wo wrex simp-4r noetainflem1 simplr nosepne
      simpr fvresd noetainflem2 fveq1d eqtr3d neeqtrd necomd fveq2 rspcev df-ne
      neeq12d syl2anc fvres neeq2d wfun nofun con2bid wi a1i rexnal bitr3i olcd
      bitr3id rexbiia sylib noinfno funres eqfunfv ianor con1bii bitr4di breq2d
      ad3antlr pm2.21d sltres sylbird noreson sltso sotric mpbird mpjaod fveq1i
      wor mpan funfnd fnconstg disjdif nosepssdm simp-5l eqsstrrd nosepon eloni
      cin ordsuc mpbi ordtr2 mp2and ontri1 biimpa eldifd fvun2d fvconst2 syl5eq
      eqtrd nosep2o syl31anc ordtri2or mpjaodan mpdan sylbid ralimdva 3impia
      expr ) ENUCZEUDOZPZFNUCZFUDOZPZJUEZKUEUFUGKFUHZJEUHUXAIUFUGZJEUHUWQUWTPZU
      XBUXCJEUXDUXAEOZPZUXBGUXAGUKZUIZUFUGZUJZUXCUXFUWRUWSUXANOZUXBUXJULUWQUWRU
      WSUXEUMUWQUWRUWSUXEUNUXDENUXAUWOUWPUWTUOUPABCDFGHUDUXAKLUQURUXDUXEUXJUXCU
      XDUXEUXJPZPZUXAIUSZUXCUXMUXAIUXMUXAUKZUXGVCEUTZVAZVBZVDZQZUXAIQZUXMUXTUXO
      UXOOZUXMUXKUXOVEUYBUJUXMENUXAUWOUWPUWTUXLVFZUXDUXEUXJVGZVHZUXAVIUXOVJVKUX
      MUYBUXTUXOUXSOZUXMUXOUXROZUYFUXMUXOUXQUCZUYGUXMUXOUXPOUYHUXMUXAVCRZUXOUXP
      UXMUXKUYIUXOQZUYEUXAVLZSVCNVMZUXMUWOUXEUYIUXPOZNVNVCVOZUYLVPNVNVCVQVRZUYC
      UYDNEVCUXAVSZVTWAUXOUXPWBSUXMUXKUXOVNOZUYHUYGULZUYEUXAWCZUYQUXQVEZUYRUXPV
      NUCUYTUXPVCWDZVNVCEWEUYNVUAVNQVPNVNVCWFVRWGUXPWHVRZUXOUXQWIWJZVKWKUXOUXRU
      XGWLSUXOUXSUXOWQWMWNUYAUXOIUKZUXSUXAIWOVUDGUXRUXGWRZWPWSZWTZVDZUKUXGVUGUK
      ZVDZUXSIVUHMXAGVUGXBVUJUXGVUEVDUXSVUIVUEUXGVUFXJUSVUIVUEQWPXCXDVUEVUFXKVR
      XEUXGUXRXFXGXHXIXLXMUXMUXNPZUAUEZUXARVULIRUSUAVNXNXOZUXGOZUXCUXGVUMUCZVUK
      VUNPZGUXHQZUXCUXHGUFUGZVUPVUQUXCVUPUXGUXHUKQZUJZUBUEZGRZVVAUXHRZQZUBUXGUH
      ZUJZXPZVUQUJVUPVVFVUTVUPVVBVVAUXARZUSZUBUXGXQZVVFVUPVUNVUMGRZVUMUXARZUSZV
      VJVUKVUNYBZVUPVVLVVKVUPVVLVUMIRZVVKVUPUXKINOZUXNVVLVVOUSVUKUXKVUNUXMUXKUX
      NUYETZTZVUKVVPVUNVUKUWPUWRUWSVVPUWOUWPUWTUXLUXNXRUXMUWRUXNUWQUWRUWSUXLUMT
      UXMUWSUXNUWQUWRUWSUXLUNTABCDEFGHILMXSURZTZUXMUXNVUNXTUAUXAIYAURVUPVUMIUXG
      UIZRVVOVVKVUPVUMUXGIVVNYCVUPVUMVWAGVUPUWTVWAGQUWQUWTUXLUXNVUNXRABCDEFGHIL
      MYDSZYEYFYGYHVVIVVMUBVUMUXGVVAVUMQVVBVVKVVHVVLVVAVUMGYIVVAVUMUXAYIYLYJYMV
      VJVVDUJZUBUXGXQVVFVWCVVIUBUXGVWCVVBVVCUSVVAUXGOZVVIVVBVVCYKVWDVVCVVHVVBVV
      AUXGUXAYNYOUUDUUEVVDUBUXGUUAUUBUUFUUCVUPVUQVVGVUPVUQVUSVVEPZVVGUJVUPGYPZU
      XHYPZVUQVWEULVUPGNOZVWFVUKVWHVUNUWTVWHUWQUXLUXNABCDFGHUDLUUGUUNZTZGYQZSVU
      PUXKUXAYPVWGVVRUXAYQUXGUXAUUHVKUBGUXHUUIYMVWEVVGVUSVVEUUJUUKUULYRWKUUOVUP
      VURUXHVWAUFUGZUXCVUPVWAGUXHUFVWBUUMVUPUXKVVPUXGVNOZVWLUXCYSVVRVVTVUKVWMVU
      NVUKVWHVWMVWIGWCSZTUXAIUXGUUPURUUQVUPVUQVURXPZUXJVUKUXJVUNUXDUXEUXJUXNUNT
      VUPUXIVWOVUPVWHUXHNOZUXIVWOUJULZVWJVUKVWPVUNVUKUXKVWMVWPVVQVWNUXAUXGUURYM
      TNUFUVDVWHVWPPVWQUUSNGUXHUFUUTUVEYMYRUVAUVBVUKVUOPZVVPUXKIUXAUSVVOWPQUXCV
      UKVVPVUOVVSTZVUKUXKVUOVVQTZVWRUXAIUXMUXNVUOXTZYHVWRVVOVUMVUHRZWPVUMIVUHMU
      VCVWRVXBVUMVUGRZWPVWRUXGVUEGVUGVUMVWRGVWRVWHVWFVUKVWHVUOVWITVWKSUVFVUGVUE
      VMZVWRWPUDOVXDXCVUEWPUDUVGVRYTUXGVUEUVNXJQVWRUXGUXRUVHYTVWRVUMUXRUXGVWRVU
      MUXOUCZUYGVUMUXROZVWRUXKVVPUXNVXEVWTVWSVXAUAUXAIUVIURVWRUYHUYGVWRUXOUYIUX
      QVWRUXKUYJVWTUYKSVWRUYMUYIUXQUCUYLVWRUWOUXEUYMUYOUWOUWPUWTUXLUXNVUOUVJVUK
      UXEVUOUXDUXEUXJUXNUMTUYPVTUYIUXPWBSUVKVWRUXKUYQUYRVWTUYSVUCVKWKVWRVUMVNOZ
      VUMVEZVXEUYGPVXFYSZVUKVXGVUOVUKUXKVVPUXNVXGVVQVVSUXMUXNYBUAUXAIUVLURZTVUM
      UVMZVXHUXRVEZVXIUYTVXLVUBUXQUVOUVPVUMUXOUXRUVQWJVKUVRVUKVUOVUNUJZVUKVWMVX
      GVUOVXMULVWNVXJUXGVUMUVSYMUVTUWAZUWBVWRVUMVUEOVXCWPQVXNVUEWPVUMXCUWCSUWEU
      WDUAIUXAUWFUWGVUKVXHUXGVEZVUNVUOXPVUKVXGVXHVXJVXKSVUKVWHVXOVWIGVISVUMUXGU
      WHYMUWIUWJUWNUWKUWLUWM $.
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a g $.  $d A g $.  $d a u $.  $d A u $.
    $d a v $.  $d A v $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.  $d B a $.
    $d B b $.  $d b g $.  $d B g $.  $d B u $.  $d b v $.  $d B v $.  $d b x $.
    $d B x $.  $d b y $.  $d B y $.  $d g u $.  $d g v $.  $d g x $.  $d g y $.
    $d O u $.  $d O y $.  $d S a $.  $d S b $.  $d S g $.  $d S x $.  $d T a $.
    $d T b $.  $d T g $.  $d T x $.  $d u v $.  $d u x $.  $d u y $.  $d v x $.
    $d v y $.  $d W a $.  $d W b $.  $d W g $.  $d W x $.  $d x y $.  $d Z a $.
    $d Z b $.  $d Z g $.  $d Z x $.
    noetalem1.1 $e |- S = if ( E. x e. A A. y e. A -. x <s y ,
       ( ( iota_ x e. A A. y e. A -. x <s y ) u.
         { <. dom ( iota_ x e. A A. y e. A -. x <s y ) , 2o >. } ) ,
       ( g e. { y | E. u e. A ( y e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. A ( g e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    noetalem1.2 $e |- T = if ( E. x e. B A. y e. B -. y <s x ,
       ( ( iota_ x e. B A. y e. B -. y <s x ) u.
         { <. dom ( iota_ x e. B A. y e. B -. y <s x ) , 1o >. } ) ,
       ( g e. { y | E. u e. B ( y e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. B ( g e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    noetalem1.3 $e |- Z =
    ( S u. ( ( suc U. ( bday " B ) \ dom S ) X. { 1o } ) ) $.
    noetalem1.4 $e |- W = ( T u.
    ( ( suc U. ( bday " A ) \ dom T ) X. { 2o } ) ) $.
    $( Lemma for ~ noeta .  Either ` S ` or ` T ` satisfies the final
       condition.  (Contributed by Scott Fenton, 9-Aug-2024.) $)
    noetalem1 $p |- ( ( ( ( A C_ No /\ A e. _V ) /\ ( B C_ No /\ B e. _V ) /\
            A. a e. A A. b e. B a <s b ) /\
            ( O e. On /\ ( bday " ( A u. B ) ) C_ O ) ) ->
            ( ( S e. No /\ ( A. a e. A a <s S /\ A. b e. B S <s b /\
                       ( bday ` S ) C_ O ) ) \/
              ( T e. No /\ ( A. a e. A a <s T /\ A. b e. B T <s b /\
                       ( bday ` T ) C_ O ) ) ) ) $=
      ( wa cslt csur wss cvv wcel wbr wral w3a con0 cbday cun cima cfv cdm wceq
      word noinfno adantl nodmord syl nosupno adantr ordtri2or2 syl2anc ssequn2
      cv wo ssequn1 orbi12i sylib 3adant3 simplll simpllr noetasuplem3 syl31anc
      simplrr ralrimiva noetasuplem4 jca cres simp1l simp1r simp2r noetasuplem1
      simpr wb syl3anc nosupinfsep syld3an3 reseq2d noetasuplem2 breq2d ralbidv
      eqtrd breq1d anbi12d bitrd mpbid noetainflem4 simplrl noetainflem3 simpl1
      3adantl3 ex simpl2l simpl2r simpl1r noetainflem1 syl121anc simplr orim12d
      noetainflem2 mpd simpll simprl ssun1 imass2 ax-mp simprr sstrid nosupbday
      wi syl12anc a1d ancld df-3an syl6ibr jctild ssun2 noinfbday ) EUAUBZEUCUD
      ZSZFUAUBZFUCUDZSZMVEZNVEZTUENFUFMEUFZUGZJUHUDZUIEFUJZUKZJUBZSZSYPGTUEZMEU
      FZGYQTUEZNFUFZSZYPHTUEZMEUFZHYQTUEZNFUFZSZVFZGUAUDZUUFUUHGUIULJUBZUGZSZHU
      AUDZUUKUUMHUIULJUBZUGZSZVFZYSUUOUUDYSGUMZHUMZUJZUVEUNZUVGUVFUNZVFZUUOYLYO
      UVJYRYLYOSZUVFUVEUBZUVEUVFUBZVFZUVJUVKUVFUOZUVEUOZUVNUVKUUTUVOYOUUTYLABCD
      FHIUCPUPZUQHURUSUVKUUPUVPYLUUPYOABCDEGIUCOUTZVAGURUSUVFUVEVBVCUVLUVHUVMUV
      IUVFUVEVDUVEUVFVGVHVIVJYSUVHUUIUVIUUNYSUVHUUIYSUVHSZYPLTUEZMEUFZLYQTUENFU
      FZSZUUIYSUWCUVHYSUWAUWBYLYOUWAYRUVKUVTMEUVKYPEUDZSYJYKYNUWDUVTYJYKYOUWDVK
      YJYKYOUWDVLYLYMYNUWDVOUVKUWDWDABCDEFGIYPLOQVMVNVPVJABCDEFGILMNOQVQVRVAUVS
      UWCYPLUVGVSZTUEZMEUFZUWEYQTUEZNFUFZSZUUIYSUWCUWJWEZUVHYLYOYRLUAUDZUWKYSYJ
      YKYNUWLYJYKYOYRVTYJYKYOYRWAYLYMYNYRWBABCDEFGILOQWCWFABCDEFGHILMNOPWGWHVAY
      LYOUVHUWJUUIWEYRUVKUVHSZUWGUUFUWIUUHUWMUWFUUEMEUWMUWEGYPTUWMUWELUVEVSZGUW
      MUVGUVELUVKUVHWDWIUWMYJYKYNUWNGUNYJYKYOUVHVKYJYKYOUVHVLYLYMYNUVHVOABCDEFG
      ILOQWJWFWMZWKWLUWMUWHUUGNFUWMUWEGYQTUWOWNWLWOXBWPWQXCYSUVIUUNYSUVISZYPKTU
      EMEUFZKYQTUEZNFUFZSZUUNYSUWTUVIYSUWQUWSABCDEFHIKMNPRWRYLYOUWSYRUVKUWRNFUV
      KYQFUDZSYKYMYNUXAUWRYJYKYOUXAVLYLYMYNUXAWSYLYMYNUXAVOUVKUXAWDABCDEFHIKYQP
      RWTVNVPVJVRVAUWPUWTYPKUVGVSZTUEZMEUFZUXBYQTUEZNFUFZSZUUNUWPYLYMYNKUAUDZUW
      TUXGWEYLYOYRUVIXAYMYNYLYRUVIXDZYMYNYLYRUVIXEZUWPYKYMYNUXHYJYKYOYRUVIXFUXI
      UXJABCDEFHIKPRXGWFABCDEFGHIKMNOPWGXHYLYOUVIUXGUUNWEYRUVKUVISZUXDUUKUXFUUM
      UXKUXCUUJMEUXKUXBHYPTUXKUXBKUVFVSZHUXKUVGUVFKUVKUVIWDWIUXKYOUXLHUNYLYOUVI
      XIABCDEFHIKPRXKUSWMZWKWLUXKUXEUULNFUXKUXBHYQTUXMWNWLWOXBWPWQXCXJXLVAYLYOU
      UDUUOUVDYAYRUVKUUDSZUUIUUSUUNUVCUXNUUIUURUUPUXNUUIUUIUUQSUURUXNUUIUUQUXNU
      UQUUIUXNYLYTUIEUKZJUBUUQYLYOUUDXMZUVKYTUUCXNZUXNUXOUUBJEUUAUBUXOUUBUBEFXO
      EUUAUIXPXQUVKYTUUCXRZXSABCDEGIJOXTYBYCYDUUFUUHUUQYEYFUXNYLUUPUXPUVRUSYGUX
      NUUNUVBUUTUXNUUNUUNUVASUVBUXNUUNUVAUXNUVAUUNUXNYOYTUIFUKZJUBUVAYLYOUUDXIZ
      UXQUXNUXSUUBJFUUAUBUXSUUBUBFEYHFUUAUIXPXQUXRXSABCDFHIJUCPYIYBYCYDUUKUUMUV
      AYEYFUXNYOUUTUXTUVQUSYGXJXBXL $.
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a g $.  $d A g $.
    $d a u $.  $d A u $.  $d a v $.  $d A v $.  $d a x $.  $d A x $.  $d a y $.
    $d A y $.  $d B a $.  $d B b $.  $d b c $.  $d B c $.  $d b g $.  $d B g $.
    $d B u $.  $d b v $.  $d B v $.  $d b x $.  $d B x $.  $d b y $.  $d B y $.
    $d g u $.  $d g v $.  $d g x $.  $d g y $.  $d O c $.  $d O u $.  $d O y $.
    $d S a $.  $d S b $.  $d S c $.  $d S g $.  $d S x $.  $d T a $.  $d T b $.
    $d T c $.  $d T g $.  $d T x $.  $d u v $.  $d u x $.  $d u y $.  $d v x $.
    $d v y $.  $d x y $.
    noetalem2.1 $e |- S = if ( E. x e. A A. y e. A -. x <s y ,
       ( ( iota_ x e. A A. y e. A -. x <s y ) u.
         { <. dom ( iota_ x e. A A. y e. A -. x <s y ) , 2o >. } ) ,
       ( g e. { y | E. u e. A ( y e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. A ( g e. dom u /\
       A. v e. A ( -. v <s u -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    noetalem2.2 $e |- T = if ( E. x e. B A. y e. B -. y <s x ,
       ( ( iota_ x e. B A. y e. B -. y <s x ) u.
         { <. dom ( iota_ x e. B A. y e. B -. y <s x ) , 1o >. } ) ,
       ( g e. { y | E. u e. B ( y e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc y ) = ( v |` suc y ) ) ) }
       |-> ( iota x E. u e. B ( g e. dom u /\
       A. v e. B ( -. u <s v -> ( u |` suc g ) = ( v |` suc g ) ) /\
       ( u ` g ) = x ) ) ) ) $.
    $( Lemma for ~ noeta .  The full statement of the theorem with hypotheses
       in place.  (Contributed by Scott Fenton, 10-Aug-2024.) $)
    noetalem2 $p |- ( ( ( ( A C_ No /\ A e. V ) /\ ( B C_ No /\ B e. W ) /\
            A. a e. A A. b e. B a <s b ) /\
            ( O e. On /\ ( bday " ( A u. B ) ) C_ O ) ) ->
    E. c e. No ( A. a e. A a <s c /\ A. b e. B c <s b /\ ( bday ` c ) C_ O ) )
    $=
      ( wa cslt wral csur wss wcel cv wbr w3a cvv con0 cbday cun cima wrex elex
      cfv anim2i id 3anim123i cuni csuc cdm cdif c2o csn cxp c1o eqid noetalem1
      wo wceq breq2 ralbidv breq1 fveq2 sseq1d 3anbi123d rspcev jaoi syl sylan
      ) EUAUBZEKUCZRZFUAUBZFLUCZRZMUDZNUDZSUENFTMETZUFVTEUGUCZRZWCFUGUCZRZWHUFZ
      JUHUCUIEFUJUKJUBRZWFOUDZSUEZMETZWOWGSUEZNFTZWOUIUNZJUBZUFZOUAULZWBWJWEWLW
      HWHWAWIVTEKUMUOWDWKWCFLUMUOWHUPUQWMWNRGUAUCWFGSUEZMETZGWGSUEZNFTZGUIUNZJU
      BZUFZRZHUAUCWFHSUEZMETZHWGSUEZNFTZHUIUNZJUBZUFZRZVHXCABCDEFGHIJHUIEUKURUS
      HUTVAVBVCVDUJZGUIFUKURUSGUTVAVEVCVDUJZMNPQYAVFXTVFVGXKXCXSXBXJOGUAWOGVIZW
      QXEWSXGXAXIYBWPXDMEWOGWFSVJVKYBWRXFNFWOGWGSVLVKYBWTXHJWOGUIVMVNVOVPXBXROH
      UAWOHVIZWQXMWSXOXAXQYCWPXLMEWOHWFSVJVKYCWRXNNFWOHWGSVLVKYCWTXPJWOHUIVMVNV
      OVPVQVRVS $.
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a d $.  $d A d $.
    $d a e $.  $d A e $.  $d a f $.  $d A f $.  $d a g $.  $d A g $.  $d a h $.
    $d A h $.  $d a j $.  $d A j $.  $d a k $.  $d A k $.  $d a x $.  $d A x $.
    $d a y $.  $d A y $.  $d A z $.  $d B a $.  $d B b $.  $d b c $.  $d B c $.
    $d b d $.  $d B d $.  $d b e $.  $d B e $.  $d b f $.  $d B f $.  $d b g $.
    $d B g $.  $d B h $.  $d b j $.  $d B j $.  $d b k $.  $d B k $.  $d b x $.
    $d B x $.  $d b y $.  $d B y $.  $d B z $.  $d c d $.  $d c e $.  $d c f $.
    $d c g $.  $d c h $.  $d c j $.  $d c k $.  $d c x $.  $d c y $.  $d d e $.
    $d d f $.  $d d g $.  $d d h $.  $d d j $.  $d d k $.  $d d x $.  $d e f $.
    $d e g $.  $d e h $.  $d e j $.  $d e k $.  $d e x $.  $d e y $.  $d f g $.
    $d f h $.  $d f j $.  $d f x $.  $d f y $.  $d f z $.  $d g h $.  $d g j $.
    $d g k $.  $d g x $.  $d g y $.  $d g z $.  $d h j $.  $d h k $.  $d h x $.
    $d h y $.  $d h z $.  $d j k $.  $d j x $.  $d j y $.  $d j z $.  $d k x $.
    $d k y $.  $d k z $.  $d O b $.  $d O d $.  $d O z $.  $d x y $.  $d x z $.
    $d y z $.
    $( The full-eta axiom for the surreal numbers.  This is the single most
       important property of the surreals.  It says that, given two sets of
       surreals such that one comes completely before the other, there is a
       surreal lying strictly between the two.  Furthermore, if the birthdays
       of members of ` A ` and ` B ` are strictly bounded above by ` O ` , then
       ` O ` non-strictly bounds the separator.  Axiom FE of [Alling] p. 185.
       (Contributed by Scott Fenton, 9-Aug-2024.) $)
    noeta $p |- ( ( ( ( A C_ No /\ A e. V ) /\ ( B C_ No /\ B e. W ) /\
            A. x e. A A. y e. B x <s y ) /\
            ( O e. On /\ ( bday " ( A u. B ) ) C_ O ) ) ->
          E. z e. No ( A. x e. A x <s z /\ A. y e. B z <s y /\
                       ( bday ` z ) C_ O ) ) $=
      ( vb vf vg vh vj vk cv cslt wbr wn wral wrex va ve vd vc crio cdm c2o cop
      csn cun wcel csuc cres wceq wi cab cfv w3a cio cmpt cif c1o eqid nosupcbv
      wa noinfcbv noetalem2 ) UAIUBUCDEJOZKOZPQRKDSZJDTVJJDUEZVKUFUGUHUIUJLVIMO
      ZUFZUKZNOZVLPQRZVLVIULZUMVOVQUMUNZUONDSVEMDTKUPLOZVMUKZVPVLVSULZUMVOWAUMU
      NZUONDSVSVLUQVHUNZURMDTJUSUTVAZVIVHPQRKESZJETWEJEUEZWFUFVBUHUIUJLVNVLVOPQ
      RZVRUONESVEMETKUPVTWGWBUONESWCURMETJUSUTVAZUDFGHABCJKNMDWDUCUBLUAIUDIWDVC
      VDJKNMEWHUBLUAIUDUCWHVCVFVG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Surreal numbers - ordering theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare a new constant for surreal less than or equal. $)
  $c <_s $.

  $( Declare the syntax for surreal less than or equal. $)
  csle $a class <_s $.

  $( Define the surreal less than or equal predicate.  Compare ~ df-le .
     (Contributed by Scott Fenton, 8-Dec-2021.) $)
  df-sle $a |- <_s = ( ( No X. No ) \ `' <s ) $.

  $( Surreal less than is irreflexive.  (Contributed by Scott Fenton,
     16-Jun-2011.) $)
  sltirr $p |- ( A e. No -> -. A <s A ) $=
    ( csur cslt wor wcel wbr wn sltso sonr mpan ) BCDABEAACFGHBACIJ $.

  $( Surreal less than is transitive.  (Contributed by Scott Fenton,
     16-Jun-2011.) $)
  slttr $p |- ( ( A e. No /\ B e. No /\ C e. No ) ->
                ( ( A <s B /\ B <s C ) -> A <s C ) ) $=
    ( csur cslt wor wcel w3a wbr wa wi sltso sotr mpan ) DEFADGBDGCDGHABEIBCEIJ
    ACEIKLDABCEMN $.

  $( Surreal less than is asymmetric.  (Contributed by Scott Fenton,
     16-Jun-2011.) $)
  sltasym $p |- ( ( A e. No /\ B e. No ) -> ( A <s B -> -. B <s A ) ) $=
    ( csur cslt wor wcel wa wbr wn wi sltso soasym mpan ) CDEACFBCFGABDHBADHIJK
    CDABLM $.

  $( Surreal less than obeys trichotomy.  (Contributed by Scott Fenton,
     16-Jun-2011.) $)
  sltlin $p |- ( ( A e. No /\ B e. No ) -> ( A <s B \/ A = B \/ B <s A ) ) $=
    ( csur cslt wor wcel wa wbr wceq w3o sltso solin mpan ) CDEACFBCFGABDHABIBA
    DHJKCABDLM $.

  $( Trichotomy law for surreal less than.  (Contributed by Scott Fenton,
     22-Apr-2012.) $)
  slttrieq2 $p |- ( ( A e. No /\ B e. No ) ->
                    ( A = B <-> ( -. A <s B /\ -. B <s A ) ) ) $=
    ( csur cslt wor wcel wa wceq wbr wn wb sltso sotrieq2 mpan ) CDEACFBCFGABHA
    BDIJBADIJGKLCABDMN $.

  $( Trichotomy law for surreals.  (Contributed by Scott Fenton,
     23-Nov-2021.) $)
  slttrine $p |- ( ( A e. No /\ B e. No ) ->
    ( A =/= B <-> ( A <s B \/ B <s A ) ) ) $=
    ( csur cslt wor wcel wa wne wbr wo wb sltso sotrine mpan ) CDEACFBCFGABHABD
    IBADIJKLCABDMN $.

  $( Surreal less than or equal in terms of less than.  (Contributed by Scott
     Fenton, 8-Dec-2021.) $)
  slenlt $p |- ( ( A e. No /\ B e. No ) -> ( A <_s B <-> -. B <s A ) ) $=
    ( csle wbr csur wcel wa cslt ccnv cxp cdif df-sle breqi brdif anbi1i 3bitri
    wn brxp ibar brcnvg notbid bitr3d syl5bb ) ABCDZAEFBEFGZABHIZDZQZGZUEBAHDZQ
    ZUDABEEJZUFKZDABULDZUHGUIABCUMLMABULUFNUNUEUHABEEROPUEUHUIUKUEUHSUEUGUJABEE
    HTUAUBUC $.

  $( Surreal less than in terms of less than or equal.  (Contributed by Scott
     Fenton, 8-Dec-2021.) $)
  sltnle $p |- ( ( A e. No /\ B e. No ) -> ( A <s B <-> -. B <_s A ) ) $=
    ( csur wcel wa csle wbr cslt wn wb slenlt ancoms con2bid ) ACDZBCDZEBAFGZAB
    HGZONPQIJBAKLM $.

  $( Surreal less than or equal in terms of less than.  (Contributed by Scott
     Fenton, 8-Dec-2021.) $)
  sleloe $p |- ( ( A e. No /\ B e. No ) -> ( A <_s B <->
  ( A <s B \/ A = B ) ) ) $=
    ( csur wcel wa csle wbr cslt wn wceq wo slenlt orcom eqcom orbi1i bitri wor
    wb sltso sotric mpan ancoms con2bid syl5bb bitr4d ) ACDZBCDZEZABFGBAHGZIZAB
    HGZABJZKZABLUMBAJZUKKZUHUJUMULUKKUOUKULMULUNUKABNOPUHUIUOUGUFUIUOIRZCHQUGUF
    EUPSCBAHTUAUBUCUDUE $.

  $( Trichotomy law for surreal less than or equal.  (Contributed by Scott
     Fenton, 8-Dec-2021.) $)
  sletri3 $p |- ( ( A e. No /\ B e. No ) ->
  ( A = B <-> ( A <_s B /\ B <_s A ) ) ) $=
    ( csur wcel wa wceq cslt wbr wn csle slttrieq2 slenlt ancoms anbi12d bitrdi
    wb ancom bitr4d ) ACDZBCDZEZABFABGHIZBAGHIZEZABJHZBAJHZEZABKUAUGUCUBEUDUAUE
    UCUFUBABLTSUFUBPBALMNUCUBQOR $.

  $( Surreal transitive law.  (Contributed by Scott Fenton, 8-Dec-2021.) $)
  sltletr $p |- ( ( A e. No /\ B e. No /\ C e. No ) ->
  ( ( A <s B /\ B <_s C ) -> A <s C ) ) $=
    ( csur wcel w3a cslt wbr csle wa wn wb slenlt 3adant1 anbi2d wi sltso sotr3
    wor mpan sylbid ) ADEZBDEZCDEZFZABGHZBCIHZJUFCBGHKZJZACGHZUEUGUHUFUCUDUGUHL
    UBBCMNODGSUEUIUJPQDGABCRTUA $.

  $( Surreal transitive law.  (Contributed by Scott Fenton, 8-Dec-2021.) $)
  slelttr $p |- ( ( A e. No /\ B e. No /\ C e. No ) ->
  ( ( A <_s B /\ B <s C ) -> A <s C ) ) $=
    ( csur wcel w3a csle wbr cslt wa wn wb slenlt 3adant3 anbi1d wi sltso sotr2
    wor mpan sylbid ) ADEZBDEZCDEZFZABGHZBCIHZJBAIHKZUGJZACIHZUEUFUHUGUBUCUFUHL
    UDABMNODISUEUIUJPQDABCIRTUA $.

  $( Surreal transitive law.  (Contributed by Scott Fenton, 8-Dec-2021.) $)
  sletr $p |- ( ( A e. No /\ B e. No /\ C e. No ) ->
  ( ( A <_s B /\ B <_s C ) -> A <_s C ) ) $=
    ( csur wcel w3a csle wbr cslt wn wa sltletr 3coml expcomd imp con3d expimpd
    wi wb slenlt 3adant1 anbi2d 3adant2 3imtr4d ) ADEZBDEZCDEZFZABGHZCBIHZJZKCA
    IHZJZUIBCGHZKACGHZUHUIUKUMUHUIKULUJUHUIULUJRUHULUIUJUGUEUFULUIKUJRCABLMNOPQ
    UHUNUKUIUFUGUNUKSUEBCTUAUBUEUGUOUMSUFACTUCUD $.

  ${
    slttrd.1 $e |- ( ph -> A e. No ) $.
    slttrd.2 $e |- ( ph -> B e. No ) $.
    slttrd.3 $e |- ( ph -> C e. No ) $.
    ${
      slttrd.4 $e |- ( ph -> A <s B ) $.
      slttrd.5 $e |- ( ph -> B <s C ) $.
      $( Surreal less than is transitive.  (Contributed by Scott Fenton,
         8-Dec-2021.) $)
      slttrd $p |- ( ph -> A <s C ) $=
        ( cslt wbr csur wcel wa wi slttr syl3anc mp2and ) ABCJKZCDJKZBDJKZHIABL
        MCLMDLMSTNUAOEFGBCDPQR $.
    $}

    ${
      sltletrd.4 $e |- ( ph -> A <s B ) $.
      sltletrd.5 $e |- ( ph -> B <_s C ) $.
      $( Surreal less than is transitive.  (Contributed by Scott Fenton,
         8-Dec-2021.) $)
      sltletrd $p |- ( ph -> A <s C ) $=
        ( cslt wbr csle csur wcel wa wi sltletr syl3anc mp2and ) ABCJKZCDLKZBDJ
        KZHIABMNCMNDMNTUAOUBPEFGBCDQRS $.
    $}

    ${
      slelttrd.4 $e |- ( ph -> A <_s B ) $.
      slelttrd.5 $e |- ( ph -> B <s C ) $.
      $( Surreal less than is transitive.  (Contributed by Scott Fenton,
         8-Dec-2021.) $)
      slelttrd $p |- ( ph -> A <s C ) $=
        ( csle wbr cslt csur wcel wa wi slelttr syl3anc mp2and ) ABCJKZCDLKZBDL
        KZHIABMNCMNDMNTUAOUBPEFGBCDQRS $.
    $}

    ${
      sletrd.4 $e |- ( ph -> A <_s B ) $.
      sletrd.5 $e |- ( ph -> B <_s C ) $.
      $( Surreal less than or equal is transitive.  (Contributed by Scott
         Fenton, 8-Dec-2021.) $)
      sletrd $p |- ( ph -> A <_s C ) $=
        ( csle wbr csur wcel wa wi sletr syl3anc mp2and ) ABCJKZCDJKZBDJKZHIABL
        MCLMDLMSTNUAOEFGBCDPQR $.
    $}
  $}

  $( Surreal less than or equal is reflexive.  Theorem 0(iii) of [Conway]
     p. 16.  (Contributed by Scott Fenton, 7-Aug-2024.) $)
  slerflex $p |- ( A e. No -> A <_s A ) $=
    ( csur wcel csle wbr cslt wn sltirr wb slenlt anidms mpbird ) ABCZAADEZAAFE
    GZAHMNOIAAJKL $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Surreal numbers - birthday theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The birthday function is a function.  (Contributed by Scott Fenton,
     14-Jun-2011.) $)
  bdayfun $p |- Fun bday $=
    ( csur con0 cbday wfo wfun bdayfo fofun ax-mp ) ABCDCEFABCGH $.

  $( The birthday function is a function over ` No ` .  (Contributed by Scott
     Fenton, 30-Jun-2011.) $)
  bdayfn $p |- bday Fn No $=
    ( csur con0 cbday wfo wfn bdayfo fofn ax-mp ) ABCDCAEFABCGH $.

  $( The birthday function's domain is ` No ` .  (Contributed by Scott Fenton,
     14-Jun-2011.) $)
  bdaydm $p |- dom bday = No $=
    ( csur con0 cbday wfo wf bdayfo fof ax-mp fdmi ) ABCABCDABCEFABCGHI $.

  $( The birthday function's range is ` On ` .  (Contributed by Scott Fenton,
     14-Jun-2011.) $)
  bdayrn $p |- ran bday = On $=
    ( csur con0 cbday wfo crn wceq bdayfo forn ax-mp ) ABCDCEBFGABCHI $.

  $( The value of the birthday function is always an ordinal.  (Contributed by
     Scott Fenton, 14-Jun-2011.)  (Proof shortened by Scott Fenton,
     8-Dec-2021.) $)
  bdayelon $p |- ( bday ` A ) e. On $=
    ( csur con0 cbday wfo wf bdayfo fof ax-mp 0elon f0cli ) BCADBCDEBCDFGBCDHIJ
    K $.

  ${
    $d A w x y z $.  $d X w x y z $.  $d Y w y z $.
    $( Lemma for ~ nocvxmin .  Given two birthday-minimal elements of a convex
       class of surreals, they are not comparable.  (Contributed by Scott
       Fenton, 30-Jun-2011.) $)
    nocvxminlem $p |- ( ( A C_ No /\ A. x e. A A. y e. A
                           A. z e. No ( ( x <s z /\ z <s y ) -> z e. A ) ) ->
                         ( ( ( X e. A /\ Y e. A ) /\
                             ( ( bday ` X ) = |^| ( bday " A ) /\
                               ( bday ` Y ) = |^| ( bday " A ) ) ) ->
                           -. X <s Y ) ) $=
      ( vw csur wss cv cslt wbr wa wcel wi wral cbday wceq wn con0 cfv cima w3a
      cint wrex breq1 anbi1d imbi1d ralbidv breq2 anbi2d rspc2v anbi12d imbi12d
      weq eleq1w rspcv cdm bdaydm sseq2i wfun bdayfun funfvima2 mpan sylbir imp
      intss1 syl wb c0 wne imassrn bdayrn sseqtri ne0d oninton sylancr bdayelon
      crn ontri1 sylancl mpbid ex eleq2 notbid biimprcd syl6 com3l adantrd syl8
      com35 com4l impcom imp42 con2d 3anass notbii bitr4i sylibr nrexdv anim12d
      imnan ssel eqtr3 anim12i anasss adantlr nodense anassrs sylan mtand ) DHI
      ZAJZCJZKLZXNBJZKLZMZXNDNZOZCHPZBDPADPZMZEDNZFDNZMZEQUAZQDUBZUDZRZFQUAZYIR
      ZMZMZEFKLZSYCYNMZYOGJZQUAZYGNZEYQKLZYQFKLZUCZGHUEZYPUUBGHYPYQHNZMZYSYTUUA
      MZSOZUUBSZUUEUUFYSYCYFYMUUDUUFYSSZOZYBXLYFYMUUDUUJOOZOYFYBXLUUKYFYBEXNKLZ
      XNFKLZMZXSOZCHPZXLUUKOYAUUPUULXQMZXSOZCHPABEFDDXMERZXTUURCHUUSXRUUQXSUUSX
      OUULXQXMEXNKUFUGUHUIXPFRZUURUUOCHUUTUUQUUNXSUUTXQUUMUULXPFXNKUJUKUHUIULUU
      DUUPXLYMUUJUUDUUPUUFYMXLUUIUUDUUPUUFYQDNZYMXLUUIOZOUUOUUFUVAOCYQHCGUOZUUN
      UUFXSUVAUVCUULYTUUMUUAXNYQEKUJXNYQFKUFUMCGDUPUNUQUVAYJUVBYLXLUVAYJUUIXLUV
      AYRYINZSZYJUUIOXLUVAUVEXLUVAMZYIYRIZUVEUVFYRYHNZUVGXLUVAUVHXLDQURZIZUVAUV
      HOZUVIHDUSUTQVAUVJUVKVBDYQQVCVDVEVFZYRYHVGVHUVFYITNZYRTNUVGUVEVIUVFYHTIYH
      VJVKUVMYHQVSTQDVLVMVNUVFYHYRUVLVOYHVPVQYQVRYIYRVTWAWBWCYJUUIUVEYJYSUVDYGY
      IYRWDWEWFWGWHWIWJWKWLWGWHWMWNWOUUHYSUUFMZSUUGUUBUVNYSYTUUAWPWQYSUUFXBWRWS
      WTYPEHNZFHNZMZYGYKRZMZYOUUCXLYNUVSYBXLYFYMUVSXLYFMUVQYMUVRXLYFUVQXLYDUVOY
      EUVPDHEXCDHFXCXAVFYGYKYIXDXEXFXGUVQUVRYOUUCGEFXHXIXJXKWC $.
  $}

  ${
    $d A t w x y z $.
    $( Given a nonempty convex class of surreals, there is a unique
       birthday-minimal element of that class.  Lemma 0 of [Alling] p. 185.
       (Contributed by Scott Fenton, 30-Jun-2011.) $)
    nocvxmin $p |- ( ( A =/= (/) /\ A C_ No /\
                        A. x e. A A. y e. A
                           A. z e. No ( ( x <s z /\ z <s y ) -> z e. A ) ) ->
                      E! w e. A ( bday ` w ) = |^| ( bday " A ) ) $=
      ( vt c0 wne csur wss cv cslt wbr wa wcel wi wral cbday cfv imp w3a bdayrn
      cima cint wceq wrex weq wreu con0 crn imassrn sseqtri wex cdm bdaydm wfun
      sseq2i bdayfun funfvima2 mpan sylbir elex2 syl6 exlimdv n0 3imtr4g impcom
      onint sylancr wb wfn bdayfn fvelimab adantl mpbid 3adant3 wn ssel anim12d
      ad2ant2r nocvxminlem ancom anbi12i syl5bi slttrieq2 biimpar exp32 3adant1
      syl12anc ralrimivv fveqeq2 reu4 sylanbrc ) EGHZEIJZAKZCKZLMWQBKLMNWQEOPCI
      QBEQAEQZUADKZRSREUCZUDZUEZDEUFZXBFKZRSXAUEZNZDFUGZPZFEQDEQZXBDEUHWNWOXCWR
      WNWONZXAWTOZXCXJWTUIJWTGHZXKWTRUJUIREUKUBULWOWNXLWOWPEOZAUMWSWTODUMZWNXLW
      OXMXNAWOXMWPRSZWTOZXNWOERUNZJZXMXPPZXQIEUOUQRUPXRXSUREWPRUSUTVADXOWTVBVCV
      DAEVEDWTVEVFVGWTVHVIWOXKXCVJZWNRIVKWOXTVLDIEXARVMUTVNVOVPWOWRXIWNWOWRNZXH
      DFEEYAWSEOZXDEOZNZXFXGYAYDXFNZNWSIOZXDIOZNZWSXDLMVQZXDWSLMVQZXGWOYDYHWRXF
      WOYDYHWOYBYFYCYGEIWSVREIXDVRVSTVTYAYEYIABCEWSXDWATYAYEYJYEYCYBNZXEXBNZNYA
      YJYDYKXFYLYBYCWBXBXEWBWCABCEXDWSWAWDTYHXGYIYJNWSXDWEWFWIWGWJWHXBXEDFEWSXD
      XARWKWLWM $.
  $}

  $( The surreal numbers are a proper class.  (Contributed by Scott Fenton,
     16-Jun-2011.) $)
  noprc $p |- -. No e. _V $=
    ( csur cvv wcel con0 onprc cbday wfo bdayfo fornex mpi mto ) ABCZDBCZELADFG
    MHADBFIJK $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Surreal numbers: Conway cuts
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constant symbols. $)
  $c <<s |s $.

  $( Declare the syntax for surreal set less than. $)
  csslt $a class <<s $.
  ${
    $d a b x y $.
    $( Define the relationship that holds iff one set of surreals completely
       precedes another.  (Contributed by Scott Fenton, 7-Dec-2021.) $)
    df-sslt $a |- <<s = { <. a , b >. | ( a C_ No /\ b C_ No /\
        A. x e. a A. y e. b x <s y ) } $.
  $}

  $( Declare the syntax for the surreal cut operator. $)
  cscut $a class |s $.
  ${
    $d a b x y $.
    $( Define the cut operator on surreal numbers.  This operator, which Conway
       takes as the primitive operator over surreals, picks the surreal lying
       between two sets of surreals of minimal birthday.  Definition from
       [Gonshor] p. 7.  (Contributed by Scott Fenton, 7-Dec-2021.) $)
    df-scut $a |- |s = ( a e. ~P No , b e. ( <<s " { a } ) |->
      ( iota_ x e. { y e. No | ( a <<s { y } /\ { y } <<s b ) }
        ( bday ` x ) =
        |^| ( bday " { y e. No | ( a <<s { y } /\ { y } <<s b ) } ) ) ) $.
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( A version of ~ noeta with fewer hypotheses but a weaker upper bound
       (Contributed by Scott Fenton, 7-Dec-2021.) $)
    noeta2 $p |- ( ( ( A C_ No /\ A e. V ) /\ ( B C_ No /\ B e. W ) /\
            A. x e. A A. y e. B x <s y ) ->
          E. z e. No ( A. x e. A x <s z /\ A. y e. B z <s y /\
                       ( bday ` z ) C_ suc U. ( bday " ( A u. B ) ) ) ) $=
      ( csur wss wcel wa cv cslt wbr wral w3a cbday con0 cvv ax-mp cun cima cfv
      cuni csuc wrex id wfun bdayfo fofun simp1r simp2r unexg syl2anc funimaexg
      wfo sylancr uniexd word imassrn wceq forn sseqtri ssorduni mpbiran sylibr
      crn elon2 sucelon sylib onsucuni mp1i noeta syl12anc ) DHIZDFJZKZEHIZEGJZ
      KZALZBLZMNBEOADOZPZWDQDEUAZUBZUDZUEZRJZWFWHIZWACLZMNADOWKWBMNBEOWKQUCWHIP
      CHUFWDUGWDWGRJZWIWDWGSJZWLWDWFSWDQUHZWESJZWFSJHRQUPZWNUIHRQUJTWDVPVSWOVOV
      PVTWCUKVQVRVSWCULDEFGUMUNQWESUOUQURWLWGUSZWMWFRIZWQWFQVGZRQWEUTWPWSRVAUIH
      RQVBTVCZWFVDTWGVHVEVFWGVIVJWRWJWDWTWFVKVLABCDEWHFGVMVN $.
  $}

  ${
    $d A a b x y $.  $d B a b x y $.
    $( Binary relation form of the surreal set less-than relation.
       (Contributed by Scott Fenton, 8-Dec-2021.) $)
    brsslt $p |- ( A <<s B <-> ( ( A e. _V /\ B e. _V ) /\
     ( A C_ No /\ B C_ No /\ A. x e. A A. y e. B x <s y ) ) ) $=
      ( va vb csslt wbr cvv wcel wa csur wss cv cslt wral w3a wceq sseq1 raleq
      df-sslt bropaex12 3anbi13d ralbidv 3anbi23d brabg biadanii ) CDGHCIJDIJKC
      LMZDLMZANBNOHZBDPZACPZQZENZLMZFNZLMZUJBUPPZAUNPZQZEFCDGABEFUAZUBUTUHUQURA
      CPZQUMEFCDIIGUNCRUOUHUSVBUQUNCLSURAUNCTUCUPDRZUQUIVBULUHUPDLSVCURUKACUJBU
      PDTUDUEVAUFUG $.

    $( The first argument of surreal set less than exists.  (Contributed by
       Scott Fenton, 8-Dec-2021.) $)
    ssltex1 $p |- ( A <<s B -> A e. _V ) $=
      ( vx vy csslt wbr cvv wcel wa csur wss cslt wral w3a brsslt simpll sylbi
      cv ) ABEFAGHZBGHZIAJKBJKCRDRLFDBMCAMNZISCDABOSTUAPQ $.

    $( The second argument of surreal set less than exists.  (Contributed by
       Scott Fenton, 8-Dec-2021.) $)
    ssltex2 $p |- ( A <<s B -> B e. _V ) $=
      ( vx vy csslt wbr cvv wcel wa csur wss cslt wral w3a brsslt simplr sylbi
      cv ) ABEFAGHZBGHZIAJKBJKCRDRLFDBMCAMNZITCDABOSTUAPQ $.

    $( The first argument of surreal set is a set of surreals.  (Contributed by
       Scott Fenton, 8-Dec-2021.) $)
    ssltss1 $p |- ( A <<s B -> A C_ No ) $=
      ( vx vy csslt wbr cvv wcel wa csur wss cslt wral w3a brsslt simpr1 sylbi
      cv ) ABEFAGHBGHIZAJKZBJKZCRDRLFDBMCAMZNITCDABOSTUAUBPQ $.

    $( The second argument of surreal set is a set of surreals.  (Contributed
       by Scott Fenton, 8-Dec-2021.) $)
    ssltss2 $p |- ( A <<s B -> B C_ No ) $=
      ( vx vy csslt wbr cvv wcel wa csur wss cslt wral w3a brsslt simpr2 sylbi
      cv ) ABEFAGHBGHIZAJKZBJKZCRDRLFDBMCAMZNIUACDABOSTUAUBPQ $.

    $( The separation property of surreal set less than.  (Contributed by Scott
       Fenton, 8-Dec-2021.) $)
    ssltsep $p |- ( A <<s B -> A. x e. A A. y e. B x <s y ) $=
      ( csslt wbr cvv wcel wa csur wss cv cslt wral w3a brsslt simpr3 sylbi ) C
      DEFCGHDGHIZCJKZDJKZALBLMFBDNACNZOIUBABCDPSTUAUBQR $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d ph x y $.
    ssltd.1 $e |- ( ph -> A e. V ) $.
    ssltd.2 $e |- ( ph -> B e. W ) $.
    ssltd.3 $e |- ( ph -> A C_ No ) $.
    ssltd.4 $e |- ( ph -> B C_ No ) $.
    ssltd.5 $e |- ( ( ph /\ x e. A /\ y e. B ) -> x <s y ) $.
    $( Deduce surreal set less than.  (Contributed by Scott Fenton,
       24-Sep-2024.) $)
    ssltd $p |- ( ph -> A <<s B ) $=
      ( cvv wcel csur wss cv wbr wral elexd cslt w3a ralrimivva 3jca syl21anbrc
      csslt 3expb brsslt ) ADMNEMNDOPZEOPZBQZCQZUARZCESBDSZUBDEUFRADFHTAEGITAUI
      UJUNJKAUMBCDEAUKDNULENUMLUGUCUDBCDEUHUE $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d X x y $.  $d Y x y $.
    $( Two elements of separated sets obey less than.  (Contributed by Scott
       Fenton, 20-Aug-2024.) $)
    ssltsepc $p |- ( ( A <<s B /\ X e. A /\ Y e. B ) -> X <s Y ) $=
      ( vx vy csslt wbr wcel cslt cv wral wa ssltsep breq1 breq2 rspc2va ancoms
      sylan 3impb ) ABGHZCAIZDBIZCDJHZUAEKZFKZJHZFBLEALZUBUCMZUDEFABNUIUHUDUGUD
      CUFJHEFCDABUECUFJOUFDCJPQRST $.
  $}

  ${
    ssltsepcd.1 $e |- ( ph -> A <<s B ) $.
    ssltsepcd.2 $e |- ( ph -> X e. A ) $.
    ssltsepcd.3 $e |- ( ph -> Y e. B ) $.
    $( Two elements of separated sets obey less than.  Deduction form of
       ~ ssltsepc .  (Contributed by Scott Fenton, 25-Sep-2024.) $)
    ssltsepcd $p |- ( ph -> X <s Y ) $=
      ( csslt wbr wcel cslt ssltsepc syl3anc ) ABCIJDBKECKDELJFGHBCDEMN $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.
    $( Relationship between surreal set less than and subset.  (Contributed by
       Scott Fenton, 9-Dec-2021.) $)
    sssslt1 $p |- ( ( A <<s B /\ C C_ A ) -> C <<s B ) $=
      ( vx vy csslt wbr wss wa cvv wcel csur cslt wral w3a ssltex1 adantr simpr
      cv ssexd ssltex2 ssltss1 sstrd ssltss2 ssltsep ssralv mpan9 3jca brsslt
      syl21anbrc ) ABFGZCAHZIZCJKBJKZCLHZBLHZDSESMGEBNZDCNZOCBFGUMCAJUKAJKULABP
      QUKULRZTUKUNULABUAQUMUOUPURUMCALUSUKALHULABUBQUCUKUPULABUDQUKUQDANULURDEA
      BUEUQDCAUFUGUHDECBUIUJ $.

    $( Relationship between surreal set less than and subset.  (Contributed by
       Scott Fenton, 9-Dec-2021.) $)
    sssslt2 $p |- ( ( A <<s B /\ C C_ B ) -> A <<s C ) $=
      ( vx vy csslt wbr wss wa cvv wcel csur cv cslt w3a ssltex1 adantr ssltex2
      wral simpr ssexd ssltss1 ssltss2 sstrd ssltsep ssralv ralimdv 3jca brsslt
      mpan9 syl21anbrc ) ABFGZCBHZIZAJKZCJKALHZCLHZDMEMNGZECSZDASZOACFGULUOUMAB
      PQUNCBJULBJKUMABRQULUMTZUAUNUPUQUTULUPUMABUBQUNCBLVAULBLHUMABUCQUDULUREBS
      ZDASUMUTDEABUEUMVBUSDAURECBUFUGUJUHDEACUIUK $.
  $}

  ${
    $d A x y $.
    $( The empty set is less than any set of surreals.  (Contributed by Scott
       Fenton, 8-Dec-2021.) $)
    nulsslt $p |- ( A e. ~P No -> (/) <<s A ) $=
      ( vx vy csur cpw wcel c0 cvv 0ex a1i id wss 0ss elpwi cv cslt wbr pm2.21i
      noel 3ad2ant2 ssltd ) ADEZFZBCGAHUBGHFUCIJUCKGDLUCDMJADNBOZGFZUCUDCOZPQZU
      FAFUEUGUDSRTUA $.

    $( The empty set is greater than any set of surreals.  (Contributed by
       Scott Fenton, 8-Dec-2021.) $)
    nulssgt $p |- ( A e. ~P No -> A <<s (/) ) $=
      ( vx vy csur cpw wcel c0 cvv id 0ex a1i elpwi wss 0ss cv cslt wbr pm2.21i
      noel 3ad2ant3 ssltd ) ADEZFZBCAGUBHUCIGHFUCJKADLGDMUCDNKCOZGFZUCBOZUDPQZU
      FAFUEUGUDSRTUA $.
  $}

  ${
    $d A x y p q r $.  $d B x y p q r $.
    $( Conway's Simplicity Theorem.  Given ` A ` preceeding ` B ` , there is a
       unique surreal of minimal length separating them.  This is a fundamental
       property of surreals and will be used (via surreal cuts) to prove many
       properties later on.  Theorem from [Alling] p. 185.  (Contributed by
       Scott Fenton, 8-Dec-2021.) $)
    conway $p |- ( A <<s B ->
     E! x e. { y e. No | ( A <<s { y } /\ { y } <<s B ) }
     ( bday ` x ) =
     |^| ( bday " { y e. No | ( A <<s { y } /\ { y } <<s B ) } ) ) $=
      ( vp vr vq csslt wbr wa csur wss cslt wcel wi wral ad2antrr adantr ralbii
      w3a cv csn crab c0 wne cfv cima cint wceq wreu wrex cun cuni csuc ssltss1
      cbday ssltex1 ssltss2 ssltex2 ssltsep noeta2 syl221anc 3simpa jctir snssi
      cvv snex adantl vex breq2 ralsn biimpri 3jca brsslt sylanbrc jctil ralcom
      ex breq1 sylbbr anim12d syl5 reximdva mpd rabn0 sylibr ssrab2 a1i simplr3
      syl sselda simplr1 simplll sylib simprrl slttrd ralrimiva simplr2 simprrr
      r19.21bi simplrr weq ralbidv jca32 ralrimivvva sneq breq2d breq1d anbi12d
      exp44 ralrab elrab imbi2i r19.21v 3bitr4i bitri nocvxmin syl3anc ) CDHIZC
      BUAZUBZHIZYADHIZJZBKUCZUDUEZYEKLZEUAZFUAZMIZYIGUAZMIZJZYIYENZOZFKPZGYEPZE
      YEPZAUAZUPUFUPYEUGUHUIAYEUJXSYDBKUKZYFXSYHXTMIZECPZXTYKMIZGDPZXTUPUFUPCDU
      LUGUMUNLZTZBKUKZYTXSCKLZCVFNZDKLZDVFNZYHYKMIZGDPZECPUUGCDUOZCDUQZCDURZCDU
      SZEGCDUTEGBCDVFVFVAVBXSUUFYDBKUUFUUBUUDJXSXTKNZJZYDUUBUUDUUEVCUUSUUBYBUUD
      YCUUSUUBYBUUSUUBJZUUIYAVFNZJUUHYAKLZUULGYAPZECPZTYBUUTUUIUVAXSUUIUURUUBUU
      OQXTVGZVDUUTUUHUVBUVDXSUUHUURUUBUUNQUUSUVBUUBUURUVBXSXTKVEVHZRUUBUVDUUSUV
      DUUBUVCUUAECUULUUAGXTBVIZYKXTYHMVJVKSVLVHVMEGCYAVNVOVRUUSUUDYCUUSUUDJZUVA
      UUKJUVBUUJUUMEYAPZTYCUVHUUKUVAXSUUKUURUUDUUQQUVEVPUVHUVBUUJUVIUUSUVBUUDUV
      FRXSUUJUURUUDUUPQUUDUVIUUSUVIUULEYAPZGDPUUDUULEGYADVQUVJUUCGDUULUUCEXTUVG
      YHXTYKMVSVKSVTVHVMEGYADVNVOVRWAWBWCWDYDBKWEWFYGXSYDBKWGWHXSCYHUBZHIZUVKDH
      IZJZCYKUBZHIZUVODHIZJZYMYIKNZCYIUBZHIZUVTDHIZJZJZOZOZOZFKPZGKPZEKPZYRXSUW
      GEGFKKKXSYHKNZYKKNZUVSTZJZUVNUVRYMUWDUWNUVNUVRJZYMJZJZUVSUWAUWBUWKUWLUVSX
      SUWPWIZUWQUUIUVTVFNZJUUHUVTKLZYSXTMIZBUVTPZACPZTUWAUWQUUIUWSXSUUIUWMUWPUU
      OQYIVGZVDUWQUUHUWTUXCXSUUHUWMUWPUUNQZUWQUVSUWTUWRYIKVEWJZUWQUXBACUWQYSCNZ
      JZYSYIMIZUXBUXHYSYHYIUWQCKYSUXEWKUWQUWKUXGUWKUWLUVSXSUWPWLRUWQUVSUXGUWRRU
      XHUXABUVKPZYSYHMIZUWQUXJACUWQUVLUXJACPUWPUVLUWNUVLUVMUVRYMWMVHABCUVKUTWJW
      TUXAUXKBYHEVIXTYHYSMVJVKWNUWQYJUXGUWNUWOYJYLWORWPUXAUXIBYIFVIZXTYIYSMVJVK
      WFWQVMABCUVTVNVOUWQUWSUUKJUWTUUJUXABDPZAUVTPZTUWBUWQUUKUWSXSUUKUWMUWPUUQQ
      UXDVPUWQUWTUUJUXNUXFXSUUJUWMUWPUUPQZUWQYIXTMIZBDPZUXNUWQUXPBDUWQXTDNZJYIY
      KXTUWQUVSUXRUWRRUWQUWLUXRUWKUWLUVSXSUWPWRRUWQDKXTUXOWKUWQYLUXRUWNUWOYJYLW
      SRUWQYKXTMIZBDUWQUXMAUVOPZUXSBDPZUWQUVQUXTUWPUVQUWNUVNUVPUVQYMXAVHABUVODU
      TWJUXMUYAAYKGVIAGXBUXAUXSBDYSYKXTMVSXCVKWNWTWPWQUXMUXQAYIUXLAFXBUXAUXPBDY
      SYIXTMVSXCVKWFVMABUVTDVNVOXDXJXEUWFFKPZGKPZEYEPUVNUYCOZEKPYRUWJYDUVNUYCEB
      KBEXBZYBUVLYCUVMUYEYAUVKCHXTYHXFZXGUYEYAUVKDHUYFXHXIXKYQUYCEYEUWEFKPZGYEP
      UVRUYGOZGKPYQUYCYDUVRUYGGBKBGXBZYBUVPYCUVQUYIYAUVOCHXTYKXFZXGUYIYAUVODHUY
      JXHXIXKYPUYGGYEYOUWEFKYNUWDYMYDUWCBYIKBFXBZYBUWAYCUWBUYKYAUVTCHXTYIXFZXGU
      YKYAUVTDHUYLXHXIXLXMSSUYBUYHGKUVRUWEFKXNSXOSUWIUYDEKUWIUVNUYBOZGKPUYDUWHU
      YMGKUVNUWFFKXNSUVNUYBGKXNXPSXOWFEGFAYEXQXR $.
  $}

  ${
    $d A a b x y $.  $d B a b x y $.
    $( The value of the surreal cut operation.  (Contributed by Scott Fenton,
       8-Dec-2021.) $)
    scutval $p |- ( A <<s B -> ( A |s B ) =
     ( iota_ x e. { y e. No | ( A <<s { y } /\ { y } <<s B ) }
      ( bday ` x ) =
      |^| ( bday " { y e. No | ( A <<s { y } /\ { y } <<s B ) } ) ) ) $=
      ( va vb csslt wbr csur wcel csn cima cscut cv cbday wa crab cint wceq cvv
      cpw co cfv crio ssltex1 ssltss1 elpwd cop df-br biimpi wb ssltex2 syl2anc
      elimasng mpbird riotaex breq1 bi2anan9 rabbidv imaeq2d inteqd riotaeqbidv
      breq2 eqeq2d sneq df-scut ovmpox mp3an3 ) CDGHZCIUAZJZDGCKZLZJZCDMUBANOUC
      ZOCBNKZGHZVPDGHZPZBIQZLZRZSZAVTUDZSZVICITCDUEZCDUFUGVIVNCDUHGJZVIWGCDGUIU
      JVICTJDTJVNWGUKWFCDULGCDTTUNUMUOVKVNWDTJWEWCAVTUPEFCDVJGENZKZLVOOWHVPGHZV
      PFNZGHZPZBIQZLZRZSZAWNUDWDMTVMWHCSZWKDSZPZWQWCAWNVTWTWMVSBIWRWJVQWSWLVRWH
      CVPGUQWKDVPGVCURUSZWTWPWBVOWTWOWAWTWNVTOXAUTVAVDVBWRWIVLGWHCVEUTABEFVFVGV
      HUM $.

    $( Cut properties of the surreal cut operation.  (Contributed by Scott
       Fenton, 8-Dec-2021.) $)
    scutcut $p |- ( A <<s B ->
     ( ( A |s B ) e. No /\ A <<s { ( A |s B ) } /\ { ( A |s B ) } <<s B ) ) $=
      ( vy vx csslt wbr cscut co cv csn csur crab wcel w3a cbday cima cint wceq
      wa cfv crio scutval wreu conway riotacl syl eqeltrd breq2d breq1d anbi12d
      sneq elrab 3anass bitr4i sylib ) ABEFZABGHZACIZJZEFZUSBEFZSZCKLZMZUQKMZAU
      QJZEFZVFBEFZNZUPUQDIOTOVCPQRZDVCUAZVCDCABUBUPVJDVCUCVKVCMDCABUDVJDVCUEUFU
      GVDVEVGVHSZSVIVBVLCUQKURUQRZUTVGVAVHVMUSVFAEURUQUKZUHVMUSVFBEVNUIUJULVEVG
      VHUMUNUO $.

    $( Closure law for surreal cuts.  (Contributed by Scott Fenton,
       23-Aug-2024.) $)
    scutcl $p |- ( A <<s B -> ( A |s B ) e. No ) $=
      ( csslt wbr cscut co csur wcel csn scutcut simp1d ) ABCDABEFZGHALIZCDMBCD
      ABJK $.

    ${
      scutcld.1 $e |- ( ph -> A <<s B ) $.
      $( Closure law for surreal cuts.  (Contributed by Scott Fenton,
         23-Aug-2024.) $)
      scutcld $p |- ( ph -> ( A |s B ) e. No ) $=
        ( csslt wbr cscut co csur wcel scutcl syl ) ABCEFBCGHIJDBCKL $.
    $}

    $( The birthday of the surreal cut is equal to the minimum birthday in the
       gap.  (Contributed by Scott Fenton, 8-Dec-2021.) $)
    scutbday $p |- ( A <<s B ->
     ( bday ` ( A |s B ) ) =
     |^| ( bday " { x e. No | ( A <<s { x } /\ { x } <<s B ) } ) ) $=
      ( vy csslt wbr cscut co cbday cfv cv csn wa csur crab cima cint wceq crio
      wcel scutval eqcomd wreu wb w3a scutcut sneq breq2d breq1d anbi12d 3anass
      elrab bitr4i sylibr conway fveqeq2 riota2 syl2anc mpbird ) BCEFZBCGHZIJIB
      AKZLZEFZVCCEFZMZANOZPQZRZDKZIJVHRZDVGSZVARZUTVAVLDABCUAUBUTVAVGTZVKDVGUCV
      IVMUDUTVANTZBVALZEFZVPCEFZUEZVNBCUFVNVOVQVRMZMVSVFVTAVANVBVARZVDVQVEVRWAV
      CVPBEVBVAUGZUHWAVCVPCEWBUIUJULVOVQVRUKUMUNDABCUOVKVIDVGVAVJVAVHIUPUQURUS
      $.
  $}

  ${
    $d L x y $.  $d R x y $.  $d X x $.
    $( Condition for equality to a surreal cut.  (Contributed by Scott Fenton,
       8-Aug-2024.) $)
    eqscut $p |- ( ( L <<s R /\ X e. No ) -> ( ( L |s R ) = X <->
     ( L <<s { X } /\ { X } <<s R /\ ( bday ` X ) = |^| ( bday " { y e. No |
     ( L <<s { y } /\ { y } <<s R ) } ) ) ) ) $=
      ( vx csslt wbr csur wa wceq cv csn cbday cfv crio sneq breq2d breq1d wreu
      w3a wcel cscut co crab cima cint scutval adantr weq anbi12d eqtrdi eqeq1d
      riotarab conway reurab sylib df-3an fveqeq2 3anbi123d riota2 ancoms sylan
      wb bitr3id bitr4d ) CBFGZDHUAZIZCBUBUCZDJCEKZLZFGZVKBFGZIZVJMNMCAKZLZFGZV
      PBFGZIZAHUDZUEUFZJZIZEHOZDJZCDLZFGZWFBFGZDMNWAJZTZVHVIWDDVHVIWBEVTOZWDVFV
      IWKJVGEACBUGUHVNVSWBEAHEAUIZVLVQVMVRWLVKVPCFVJVOPZQWLVKVPBFWMRUJZUMUKULVF
      WCEHSZVGWJWEVCZVFWBEVTSWOEACBUNVNVSWBEAHWNUOUPVGWOWPWCWJEHDWCVLVMWBTVJDJZ
      WJVLVMWBUQWQVLWGVMWHWBWIWQVKWFCFVJDPZQWQVKWFBFWRRVJDWAMURUSVDUTVAVBVE $.

    $d L z $.  $d R z $.  $d X y $.  $d x z $.  $d X z $.  $d y z $.
    $( Condition for equality to a surreal cut.  (Contributed by Scott Fenton,
       8-Aug-2024.) $)
    eqscut2 $p |- ( ( L <<s R /\ X e. No ) -> ( ( L |s R ) = X <->
    ( L <<s { X } /\ { X } <<s R /\
      A. y e. No ( ( L <<s { y } /\ { y } <<s R ) ->
      ( bday ` X ) C_ ( bday ` y ) ) ) ) ) $=
      ( vx vz csslt wbr csur wcel wa wceq csn cbday cv wss wi wral wal bitri co
      cscut cfv crab cima cint eqscut eqss wb sneq breq2d breq1d anbi12d elrab3
      w3a adantl biimpar wfn bdayfn ssrab2 fnfvima mp3an12 intss1 3syl biantrud
      ssint wrex fvelimab mp2an weq rexrab imbi1i r19.23v anbi1ci impexp ralbii
      eqcom 3bitr2i albii df-ral ralcom4 3bitr4i sseq2 ceqsalv bitr3di pm5.32da
      fvex imbi2d syl5bb df-3an 3bitr4g bitrd ) CBGHZDIJZKZCBUBUADLCDMZGHZWPBGH
      ZDNUCZNCEOZMZGHZXABGHZKZEIUDZUEZUFZLZUOZWQWRCAOZMZGHZXKBGHZKZWSXJNUCZPZQZ
      AIRZUOZEBCDUGWOWQWRKZXHKXTXRKXIXSWOXTXHXRXHWSXGPZXGWSPZKZWOXTKZXRWSXGUHYD
      YAYCXRYDYBYAYDDXEJZWSXFJZYBWOYEXTWNYEXTUIWMXDXTEDIWTDLZXBWQXCWRYGXAWPCGWT
      DUJZUKYGXAWPBGYHULUMUNUPUQNIURZXEIPZYEYFUSXDEIUTZIXENDVAVBWSXFVCVDVEYAWSF
      OZPZFXFRZXRFWSXFVFYNYLXOLZXNYMQZQZFSZAIRZXRYLXFJZYMQZFSYQAIRZFSYNYSUUAUUB
      FUUAXNXOYLLZKZAIVGZYMQUUDYMQZAIRUUBYTUUEYMYTUUCAXEVGZUUEYIYJYTUUGUIUSYKAI
      XEYLNVHVIXDXNUUCAEIEAVJZXBXLXCXMUUHXAXKCGWTXJUJZUKUUHXAXKBGUUIULUMVKTVLUU
      DYMAIVMUUFYQAIUUFYOXNKZYMQYQUUDUUJYMUUCYOXNXOYLVQVNVLYOXNYMVOTVPVRVSYMFXF
      VTYQAFIWAWBYRXQAIYPXQFXOXJNWGYOYMXPXNYLXOWSWCWHWDVPTTWEWIWFWQWRXHWJWQWRXR
      WJWKWL $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.
    $( Transitive law for surreal set less than.  (Contributed by Scott Fenton,
       9-Dec-2021.) $)
    sslttr $p |- ( ( A <<s B /\ B <<s C /\ B =/= (/) ) -> A <<s C ) $=
      ( vy vx vz csslt wbr wcel w3a cvv 3ad2ant2 3ad2ant3 csur ssltss2 3ad2ant1
      cv wi wss sseldd c0 wne wex n0 ssltex1 ssltex2 ssltss1 simp2 simp11 simp3
      simp12 ssltsepcd simp13 slttrd ssltd 3exp exlimiv sylbi 3imp231 ) BUAUBZA
      BGHZBCGHZACGHZUTDQZBIZDUCVAVBVCRRZDBUDVEVFDVEVAVBVCVEVAVBJZEFACKKVAVEAKIV
      BABUELVBVECKIVABCUFMVAVEANSZVBABUGLZVBVECNSZVABCOMZVGEQZAIZFQZCIZJZVLVDVN
      VPANVLVGVMVHVOVIPVGVMVOUHZTVPBNVDVGVMBNSZVOVAVEVRVBABOLPVEVAVBVMVOUIZTVPC
      NVNVGVMVJVOVKPVGVMVOUJZTVPABVLVDVEVAVBVMVOUKVQVSULVPBCVDVNVEVAVBVMVOUMVSV
      TULUNUOUPUQURUS $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.
    $( Union law for surreal set less than.  (Contributed by Scott Fenton,
       9-Dec-2021.) $)
    ssltun1 $p |- ( ( A <<s C /\ B <<s C ) -> ( A u. B ) <<s C ) $=
      ( vx vy csslt wbr cvv wcel ssltex1 adantr adantl csur ssltss1 cv ssltsepc
      wss wi 3exp com12 wa cun unexd ssltex2 unssd ssltss2 cslt elun jaoi sylbi
      wo 3imp21 ssltd ) ACFGZBCFGZUAZDEABUBZCHHUPABHHUNAHIUOACJKUOBHIUNBCJLUCUN
      CHIUOACUDKUPABMUNAMQUOACNKUOBMQUNBCNLUEUNCMQUOACUFKDOZUQIZUPEOZCIZURUTUGG
      ZUSURAIZURBIZUKUPVAVBRZRZURABUHVCVFVDUPVCVEUNVCVERUOUNVCVAVBACURUTPSKTUPV
      DVEUOVDVERUNUOVDVAVBBCURUTPSLTUIUJULUM $.

    $( Union law for surreal set less than.  (Contributed by Scott Fenton,
       9-Dec-2021.) $)
    ssltun2 $p |- ( ( A <<s B /\ A <<s C ) -> A <<s ( B u. C ) ) $=
      ( vx vy csslt wbr cvv wcel adantr ssltex2 adantl csur ssltss2 cv ssltsepc
      wss wi 3exp com3r wa cun ssltex1 unexd ssltss1 unssd cslt elun jaoi sylbi
      wo 3imp231 ssltd ) ABFGZACFGZUAZDEABCUBZHHUNAHIUOABUCJUPBCHHUNBHIUOABKJUO
      CHIUNACKLUDUNAMQUOABUEJUPBCMUNBMQUOABNJUOCMQUNACNLUFEOZUQIZUPDOZAIZUTURUG
      GZUSURBIZURCIZUKUPVAVBRRZURBCUHVCVEVDUPVAVCVBUNVAVCVBRRUOUNVAVCVBABUTURPS
      JTUPVAVDVBUOVAVDVBRRUNUOVAVDVBACUTURPSLTUIUJULUM $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d D x y z $.
    $( Union law for surreal cuts.  (Contributed by Scott Fenton,
       9-Dec-2021.) $)
    scutun12 $p |- ( ( A <<s B /\ C <<s { ( A |s B ) } /\
     { ( A |s B ) } <<s D ) -> ( ( A u. C ) |s ( B u. D ) ) = ( A |s B ) ) $=
      ( vx vy vz csslt wbr cscut csn cv cbday wa csur wceq wcel syl syl2anc wss
      w3a cun cfv crab cima cint crio simp1 scutcut simp2d simp2 ssltun1 simp3d
      co simp3 ssltun2 c0 wne ovex snnz sslttr mp3an3 scutval wral wrex vex weq
      elima sneq breq2d breq1d anbi12d rexrab bitri wi wb simplr bdayfn fnbrfvb
      wfn mpan simpll1 scutbday simprl ssun1 sssslt1 mpan2 simprr sssslt2 elrab
      sylanbrc ssrab2 fnfvima mp3an12 intss1 eqsstrd sseq2 biimpd com12 sylbird
      jca impd rexlimdva syl5bi ralrimiv ssint sylibr simp1d eqssd wreu fveqeq2
      ex conway riota2 mpbid eqcomd eqtr4d ) ABHIZCABJUNZKZHIZXTDHIZUAZACUBZBDU
      BZJUNZELZMUCMYDFLZKZHIZYIYEHIZNZFOUDZUEZUFZPZEYMUGZXSYCYDYEHIZYFYQPYCYDXT
      HIZXTYEHIZYRYCAXTHIZYAYSYCXSOQZUUAXTBHIZYCXRUUBUUAUUCUAXRYAYBUHABUIRZUJXR
      YAYBUKACXTULSZYCUUCYBYTYCUUBUUAUUCUUDUMXRYAYBUOXTBDUPSZYSYTXTUQURYRXSABJU
      SUTYDXTYEVAVBSZEFYDYEVCRYCYQXSYCXSMUCZYOPZYQXSPZYCUUHYOYCUUHYGTZEYNVDUUHY
      OTYCUUKEYNYGYNQZYDGLZKZHIZUUNYEHIZNZUUMYGMIZNZGOVEZYCUUKUULUURGYMVEUUTGYG
      MYMEVFVHYLUUQUURGFOFGVGZYJUUOYKUUPUVAYIUUNYDHYHUUMVIZVJUVAYIUUNYEHUVBVKVL
      VMVNYCUUSUUKGOYCUUMOQZNZUUQUURUUKUVDUUQUURUUKVOUVDUUQNZUURUUMMUCZYGPZUUKU
      VEUVCUVGUURVPZYCUVCUUQVQZMOVTZUVCUVHVROUUMYGMVSWARUVEUUHUVFTZUVGUUKVOUVEU
      UHMAYIHIZYIBHIZNZFOUDZUEZUFZUVFUVEXRUUHUVQPXRYAYBUVCUUQWBFABWCRUVEUVFUVPQ
      ZUVQUVFTUVEUUMUVOQZUVRUVEUVCAUUNHIZUUNBHIZNZUVSUVIUVEUVTUWAUVEUUOUVTUVDUU
      OUUPWDUUOAYDTUVTACWEYDUUNAWFWGRUVEUUPUWAUVDUUOUUPWHUUPBYETUWABDWEUUNYEBWI
      WGRXAUVNUWBFUUMOUVAUVLUVTUVMUWAUVAYIUUNAHUVBVJUVAYIUUNBHUVBVKVLWJWKUVJUVO
      OTUVSUVRVRUVNFOWLOUVOMUUMWMWNRUVFUVPWORWPUVGUVKUUKUVGUVKUUKUVFYGUUHWQWRWS
      RWTXLXBXCXDXEEUUHYNXFXGYCUUHYNQZYOUUHTYCXSYMQZUWCYCUUBYSYTNZUWDYCUUBUUAUU
      CUUDXHYCYSYTUUEUUFXAYLUWEFXSOYHXSPZYJYSYKYTUWFYIXTYDHYHXSVIZVJUWFYIXTYEHU
      WGVKVLWJWKZUVJYMOTUWDUWCVRYLFOWLOYMMXSWMWNRUUHYNWORXIYCUWDYPEYMXJZUUIUUJV
      PUWHYCYRUWIUUGEFYDYEXMRYPUUIEYMXSYGXSYOMXKXNSXOXPXQ $.
  $}

  ${
    $d a b c x y $.
    $( The domain of the surreal cut operation is all separated surreal sets.
       (Contributed by Scott Fenton, 8-Dec-2021.) $)
    dmscut $p |- dom |s = <<s $=
      ( va vb vc vx vy cv csur wcel csslt csn cima cbday wbr wceq cdm wex cscut
      wa wtru wss cpw cfv crab cint crio coprab copab dmoprab cmpo df-mpo eqtri
      df-scut dmeqi cslt wral w3a df-sslt relopabiv cop wb 19.42v ssltss1 velpw
      sylibr pm4.71ri vex elimasn bitr4i anbi2i riotaex isseti biantru 3bitr2ri
      df-br 3bitr2i a1i opabbi2dv mptru 3eqtr4i ) AFZGUAZHZBFZIVTJKZHZRZCFDFZLU
      BLVTEFZJZIMWIWCIMREGUCZKUDNZDWJUEZNZRZABCUFZOWNCPZABUGZQOIWNABCUHQWOQABWA
      WDWLUIWODEABULABCWAWDWLUJUKUMIWQNSWPABIVTGTZWCGTWGWHUNMEWCUODVTUOUPABIDEA
      BUQURVTWCUSIHZWPUTSWPWFWMCPZRZVTWCIMZWSWFWMCVAXBWBXBRWFXAXBWBXBWRWBVTWCVB
      AGVCVDVEWEXBWBWEWSXBIVTWCAVFBVFVGVTWCIVNZVHVIWTWFCWLWKDWJVJVKVLVOXCVMVPVQ
      VRVS $.
  $}

  ${
    $d a b x y z $.
    $( Functionality statement for the surreal cut operator.  (Contributed by
       Scott Fenton, 15-Dec-2021.) $)
    scutf $p |- |s : <<s --> No $=
      ( va vb vx vy vz csslt csur cscut wf wfn wceq csn cima cbday wbr mpbir2an
      cv wrex wcel vex crn wss wfun cdm cpw cfv wa crab cint crio mpofun dmscut
      df-scut df-fn cab rnmpo wi elimasn df-br bitr4i co scutval eqeltrrd sylbi
      cop scutcl eleq1a syl adantl rexlimivv abssi eqsstri df-f ) FGHIHFJZHUAZG
      UBVNHUCHUDFKABGUEZFAQZLMZCQNUFNVQDQLZFOVSBQZFOUGDGUHZMUIKCWAUJZHCDABUMZUK
      ULHFUNPVOEQZWBKZBVRRAVPRZEUOGABEVPVRWBHWCUPWFEGWEWDGSZABVPVRVTVRSZWEWGUQZ
      VQVPSWHWBGSZWIWHVQVTFOZWJWHVQVTVEFSWKFVQVTATBTURVQVTFUSUTWKVQVTHVAWBGCDVQ
      VTVBVQVTVFVCVDWBGWDVGVHVIVJVKVLFGHVMP $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d O x y z $.
    $( A restatement of ~ noeta using set less than.  (Contributed by Scott
       Fenton, 10-Aug-2024.) $)
    etasslt $p |- ( ( A <<s B /\ O e. On /\ ( bday " ( A u. B ) ) C_ O ) ->
    E. x e. No ( A <<s { x } /\ { x } <<s B /\ ( bday ` x ) C_ O ) ) $=
      ( vy vz csslt wbr wcel cbday wss w3a cv cslt wral csur cvv 3jca ad2antrr
      wa con0 cun cima cfv wrex csn ssltss1 ssltex1 jca ssltss2 ssltex2 ssltsep
      3ad2ant1 3simpc noeta syl2anc snex jctir snssi ad2antrl simprr1 vex breq2
      wi ralsn ralbii sylibr brsslt sylanbrc jctil simprr2 ralbidv simprr3 expr
      weq breq1 reximdva 3adant3 mpd ) BCGHZDUAIZJBCUBUCDKZLZEMZAMZNHZEBOZWEFMZ
      NHZFCOZWEJUDDKZLZAPUEZBWEUFZGHZWNCGHZWKLZAPUEZWCBPKZBQIZTZCPKZCQIZTZWDWHN
      HZFCOZEBOZLZWAWBTWMVTWAXHWBVTXAXDXGVTWSWTBCUGZBCUHZUIVTXBXCBCUJZBCUKZUIEF
      BCULRUMVTWAWBUNEFABCDQQUOUPVTWAWMWRVDWBVTWATZWLWQAPXMWEPIZWLWQXMXNWLTZTZW
      OWPWKXPWTWNQIZTWSWNPKZXEFWNOZEBOZLWOXPWTXQVTWTWAXOXJSWEUQZURXPWSXRXTVTWSW
      AXOXISXNXRXMWLWEPUSUTZXPWGXTWGWJWKXNXMVAXSWFEBXEWFFWEAVBZWHWEWDNVCVEVFVGR
      EFBWNVHVIXPXQXCTXRXBXFEWNOZLWPXPXCXQVTXCWAXOXLSYAVJXPXRXBYDYBVTXBWAXOXKSX
      PWJYDWGWJWKXNXMVKXFWJEWEYCEAVOXEWIFCWDWEWHNVPVLVEVGREFWNCVHVIWGWJWKXNXMVM
      RVNVQVRVS $.
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( A version of ~ etasslt with fewer hypotheses but a weaker upper bound.
       (Contributed by Scott Fenton, 10-Dec-2021.) $)
    etasslt2 $p |- ( A <<s B ->
       E. x e. No ( A <<s { x } /\ { x } <<s B /\
       ( bday ` x ) C_ suc U. ( bday " ( A u. B ) ) ) ) $=
      ( csslt wbr cun cima cuni csuc con0 wcel wss cv csn cfv w3a csur wrex cvv
      cbday wfun bdayfun ssltex1 ssltex2 unexg syl2anc funimaexg sylancr uniexd
      word crn imassrn bdayrn sseqtri ssorduni ax-mp elon2 mpbiran sylibr sylib
      sucelon onsucuni mp1i etasslt mpd3an23 ) BCDEZTBCFZGZHZIZJKZVHVJLZBAMZNZD
      EVNCDEVMTOVJLPAQRVFVIJKZVKVFVISKZVOVFVHSVFTUAVGSKZVHSKUBVFBSKCSKVQBCUCBCU
      DBCSSUEUFTVGSUGUHUIVOVIUJZVPVHJLZVRVHTUKJTVGULUMUNZVHUOUPVIUQURUSVIVAUTVS
      VLVFVTVHVBVCABCVJVDVE $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d O x y $.
    $( An upper bound on the birthday of a surreal cut.  (Contributed by Scott
       Fenton, 10-Aug-2024.) $)
    scutbdaybnd $p |- ( ( A <<s B /\ O e. On /\ ( bday " ( A u. B ) ) C_ O )
    -> ( bday ` ( A |s B ) ) C_ O ) $=
      ( vx vy csslt wbr con0 wcel cbday cun cima wss w3a cv csn cfv csur wa syl
      cscut etasslt crab cint wceq simpl1 scutbday wfn bdayfn ssrab2 weq breq2d
      co sneq breq1d anbi12d simprl simprr1 simprr2 jca elrabd fnfvima mp3an12i
      intss1 eqsstrd simprr3 sstrd rexlimddv ) ABFGZCHIZJABKLCMZNZADOZPZFGZVNBF
      GZVMJQZCMZNZABUAUMJQZCMDRDABCUBVLVMRIZVSSZSZVTVQCWCVTJAEOZPZFGZWEBFGZSZER
      UCZLZUDZVQWCVIVTWKUEVIVJVKWBUFEABUGTWCVQWJIZWKVQMJRUHWIRMWCVMWIIWLUIWHERU
      JWCWHVOVPSEVMREDUKZWFVOWGVPWMWEVNAFWDVMUNZULWMWEVNBFWNUOUPVLWAVSUQWCVOVPV
      OVPVRWAVLURVOVPVRWAVLUSUTVARWIJVMVBVCVQWJVDTVEVOVPVRWAVLVFVGVH $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( An upper bound on the birthday of a surreal cut.  (Contributed by Scott
       Fenton, 10-Dec-2021.) $)
    scutbdaybnd2 $p |- ( A <<s B ->
     ( bday ` ( A |s B ) ) C_ suc U. ( bday " ( A u. B ) ) ) $=
      ( vx vy csslt wbr csn cbday cfv cun cima cuni csuc wss w3a csur wrex wcel
      cv wa co etasslt2 crab cint wceq scutbday adantr wfn bdayfn ssrab2 simprl
      cscut simprr1 simprr2 jca weq sneq breq2d breq1d anbi12d sylanbrc fnfvima
      elrab mp3an12i intss1 syl eqsstrd simprr3 sstrd rexlimdvaa mpd ) ABEFZACS
      ZGZEFZVNBEFZVMHIZHABJKLMZNZOZCPQABULUAHIZVRNZCABUBVLVTWBCPVLVMPRZVTTZTZWA
      VQVRWEWAHADSZGZEFZWGBEFZTZDPUCZKZUDZVQVLWAWMUEWDDABUFUGWEVQWLRZWMVQNHPUHW
      KPNWEVMWKRZWNUIWJDPUJWEWCVOVPTZWOVLWCVTUKWEVOVPVOVPVSWCVLUMVOVPVSWCVLUNUO
      WJWPDVMPDCUPZWHVOWIVPWQWGVNAEWFVMUQZURWQWGVNBEWRUSUTVCVAPWKHVMVBVDVQWLVEV
      FVGVOVPVSWCVLVHVIVJVK $.
  $}

  ${
    $( An upper bound on the birthday of a surreal cut when it is a limit
       birthday.  (Contributed by Scott Fenton, 7-Aug-2024.) $)
    scutbdaybnd2lim $p |- ( ( A <<s B /\ Lim ( bday ` ( A |s B ) ) ) ->
     ( bday ` ( A |s B ) ) C_ U. ( bday " ( A u. B ) ) ) $=
      ( csslt wbr cscut co cbday cfv wlim wa cun cima cuni wss wcel adantr word
      cvv wb con0 csuc wne scutbdaybnd2 wceq wfun bdayfun ssltex1 ssltex2 unexg
      wn syl2anc funimaexg sylancr uniexd nlimsucg wi limeq biimpcd adantl mtod
      syl neqned bdayelon onordi crn imassrn bdayrn sseqtri ssorduni ax-mp mpbi
      ordsuc ordelssne mp2an sylanbrc a1i ordsssuc sylancl mpbird ) ABCDZABEFZG
      HZIZJZWBGABKZLZMZNZWBWGUAZOZWDWBWINZWBWIUBZWJVTWKWCABUCPWDWBWIWDWBWIUDZWI
      IZWDWGROZWNUJVTWOWCVTWFRVTGUEWEROZWFROUFVTAROBROWPABUGABUHABRRUIUKGWERULU
      MUNPWGRUOVAWCWMWNUPVTWMWCWNWBWIUQURUSUTVBWBQWIQZWJWKWLJSWBWAVCZVDWGQZWQWF
      TNWSWFGVETGWEVFVGVHWFVIVJZWGVLVKWBWIVMVNVOWDWBTOZWSWHWJSXAWDWRVPWTWBWGVQV
      RVS $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d X x y $.
    $( If a surreal lies in a gap and is not equal to the cut, its birthday is
       greater than the cut's.  (Contributed by Scott Fenton, 11-Dec-2021.) $)
    scutbdaylt $p |- ( ( X e. No /\ ( A <<s { X } /\ { X } <<s B ) /\
       X =/= ( A |s B ) ) -> ( bday ` ( A |s B ) ) e. ( bday ` X ) ) $=
      ( vy vx csur wcel csn csslt wbr wa wne cbday cfv cv wceq syl3anc sylanbrc
      wss syl cscut co w3a crab cima cint simp2l simp2r snnzg 3ad2ant1 scutbday
      c0 sslttr wfn bdayfn ssrab2 simp1 simp2 sneq breq2d anbi12d elrab fnfvima
      breq1d mp3an12i intss1 crio simprl simprr adantr eqeq1d eqcom bitrdi wreu
      eqsstrd biimpa wb biimpri conway fveqeq2 riota2 syl2an2r mpbid scutval ex
      eqtr4d necon3d 3impia con0 bdayelon onelpss mp2an ) CFGZACHZIJZWNBIJZKZCA
      BUAUBZLZUCZWRMNZCMNZSZXAXBLZXAXBGZWTXAMADOZHZIJZXGBIJZKZDFUDZUEZUFZXBWTAB
      IJZXAXMPZWTWOWPWNULLZXNWMWOWPWSUGWMWOWPWSUHWMWQXPWSCFUIZUJAWNBUMZQDABUKZT
      WTXBXLGZXMXBSMFUNXKFSWTCXKGZXTUOXJDFUPWTWMWQYAWMWQWSUQWMWQWSURXJWQDCFXFCP
      ZXHWOXIWPYBXGWNAIXFCUSZUTYBXGWNBIYCVDVAVBZRFXKMCVCVEXBXLVFTVOWMWQWSXDWMWQ
      KZXAXBCWRYEXAXBPZCWRPYEYFKZCEOZMNXMPZEXKVGZWRYGXBXMPZCYJPZYEYFYKYEYFXMXBP
      YKYEXAXMXBYEXNXOYEWOWPXPXNWMWOWPVHWMWOWPVIWMXPWQXQVJXRQZXSTVKXMXBVLVMVPYE
      YAYFYIEXKVNZYKYLVQYAYEYDVRYGXNYNYEXNYFYMVJZEDABVSTYAYNKYKYJCPYLYIYKEXKCYH
      CXMMVTWAYJCVLVMWBWCYGXNWRYJPYOEDABWDTWFWEWGWHXAWIGXBWIGXEXCXDKVQWRWJCWJXA
      XBWKWLR $.
  $}

  ${
    $d A a b c d $.  $d B a b c d $.  $d C a b c d $.  $d D a b c d $.
    $d X a d $.  $d Y a d $.
    $( A comparison law for surreals considered as cuts of sets of surreals.
       Definition from [Conway] p. 4.  Theorem 4 of [Alling] p. 186.  Theorem
       2.5 of [Gonshor] p. 9.  (Contributed by Scott Fenton, 11-Dec-2021.) $)
    slerec $p |- ( ( ( A <<s B /\ C <<s D ) /\
     ( X = ( A |s B ) /\ Y = ( C |s D ) ) ) ->
     ( X <_s Y <-> ( A. d e. D X <s d /\ A. a e. A a <s Y ) ) ) $=
      ( vb wa csslt wbr cslt wral wcel csur ad3antrrr ad3antlr ralsn adantr wss
      vc cscut co wceq csle cv wb scutcl ssltss2 ad2antlr sselda simplr scutcut
      csn simp3d ssltsep syl ovex breq1 ralbidv sylib r19.21bi slelttrd ssltss1
      ralrimiva simp2d breq2 sltletrd jca cbday word wn bdayelon onordi ordn2lp
      cfv ax-mp sltnle syl2anc wne cvv ssltex1 snex jctir simplrr ralbii sylibr
      snssd 3jca brsslt sylanbrc ssltex2 jctil slttrd sltirr syl5ibcom necon2ad
      w3a notbid imp necomd scutbdaylt syl121anc simplrl ex sylbird mt3i breq12
      impbida bi2anan9 bibi12d syl5ibr impcom ) EABUCUDZUEZFCDUCUDZUEZJZABKLZCD
      KLZJZEFUFLZEHUGZMLZHDNZGUGZFMLZGANZJZUHZYBYKXSXOXQUFLZXOYDMLZHDNZYGXQMLZG
      ANZJZUHYBYLYQYBYLJZYNYPYRYMHDYRYDDOZJXOXQYDXTXOPOZYAYLYSABUIZQYAXQPOZXTYL
      YSCDUIZRYRDPYDYADPUAZXTYLCDUJZUKULYBYLYSUMYRXQYDMLZHDYRYGYDMLZHDNZGXQUOZN
      ZUUFHDNZYRUUIDKLZUUJYAUULXTYLYAUUBCUUIKLZUULCDUNZUPUKGHUUIDUQURUUHUUKGXQC
      DUCUSZYGXQUEZUUGUUFHDYGXQYDMUTVASVBVCVDVFYRYOGAYRYGAOZJZYGXOXQYRAPYGYBAPU
      AZYLXTUUSYAABVEZTTULXTYTYAYLUUQUUAQYAUUBXTYLUUQUUCRUURUUGHXOUOZNZYGXOMLZY
      RUVBGAYRAUVAKLZUVBGANYBUVDYLXTUVDYAXTYTUVDUVABKLZABUNZVGTTGHAUVAUQURVCUUG
      UVCHXOABUCUSZYDXOYGMVHSVBYBYLUUQUMVIVFVJYBYQJZYLXOVKVQZXQVKVQZOZUVJUVIOZJ
      ZUVIVLUVMVMUVIXOVNVOUVIUVJVPVRUVHYLVMZXQXOMLZUVMUVHUUBYTUVOUVNUHYAUUBXTYQ
      UUCUKYBYTYQXTYTYAUUATZTZXQXOVSVTUVHUVOUVMUVHUVOJZUVKUVLUVRUUBAUUIKLZUUIBK
      LZXQXOWAUVKYAUUBXTYQUVOUUCRZUVRAWBOZUUIWBOZJUUSUUIPUAZUUGHUUINZGANZWSUVSU
      VRUWBUWCXTUWBYAYQUVOABWCQXQWDZWEUVRUUSUWDUWFXTUUSYAYQUVOUUTQUVRXQPUWAWIZU
      VRYPUWFYBYNYPUVOWFUWEYOGAUUGYOHXQUUOYDXQYGMVHSWGWHWJGHAUUIWKWLUVRUWCBWBOZ
      JUWDBPUAZYGIUGZMLZIBNZGUUINZWSUVTUVRUWIUWCXTUWIYAYQUVOABWMQUWGWNUVRUWDUWJ
      UWNUWHXTUWJYAYQUVOABUJQZUVRXQUWKMLZIBNZUWNUVRUWPIBUVRUWKBOZJXQXOUWKUVRUUB
      UWRUWATYBYTYQUVOUWRUVPQUVRBPUWKUWOULUVHUVOUWRUMUVRXOUWKMLZIBUVRUWMGUVANZU
      WSIBNZUVRUVEUWTXTUVEYAYQUVOXTYTUVDUVEUVFUPQGIUVABUQURUWMUXAGXOUVGYGXOUEZU
      WLUWSIBYGXOUWKMUTVASVBVCWOVFUWMUWQGXQUUOUUPUWLUWPIBYGXQUWKMUTVASWHWJGIUUI
      BWKWLUVRXOXQUVHUVOXOXQWAZUVHUVOXOXQUVHXOXOMLZVMZXOXQUEZUVOVMUVHYTUXEUVQXO
      WPURUXFUXDUVOXOXQXOMUTWTWQWRXAZXBABXQXCXDUVRYTCUVAKLZUVADKLZUXCUVLXTYTYAY
      QUVOUUAQZUVRCWBOZUVAWBOZJCPUAZUVAPUAZUBUGZYGMLZGUVANZUBCNZWSUXHUVRUXKUXLY
      AUXKXTYQUVOCDWCRXOWDZWEUVRUXMUXNUXRYAUXMXTYQUVOCDVERZUVRXOPUXJWIZUVRUXQUB
      CUVRUXOCOZJZUXOXOMLZUXQUYCUXOXQXOUVRCPUXOUXTULUVRUUBUYBUWATYBYTYQUVOUYBUV
      PQUYCUXOYDMLZHUUINZUXOXQMLZUVRUYFUBCUVRUUMUYFUBCNYAUUMXTYQUVOYAUUBUUMUULU
      UNVGRUBHCUUIUQURVCUYEUYGHXQUUOYDXQUXOMVHSVBUVHUVOUYBUMWOUXPUYDGXOUVGYGXOU
      XOMVHSWHVFWJUBGCUVAWKWLUVRUXLDWBOZJUXNUUDUUHGUVANZWSUXIUVRUYHUXLYAUYHXTYQ
      UVOCDWMRUXSWNUVRUXNUUDUYIUYAYAUUDXTYQUVOUUERUVRYNUYIYBYNYPUVOXEUUHYNGXOUV
      GUXBUUGYMHDYGXOYDMUTVASWHWJGHUVADWKWLUXGCDXOXCXDVJXFXGXHXJXSYCYLYJYQEXOFX
      QUFXIXPYFYNXRYIYPXPYEYMHDEXOYDMUTVAXRYHYOGAFXQYGMVHVAXKXLXMXN $.
  $}

  ${
    $d A b c $.  $d B b c $.  $d C b c $.  $d D b c $.  $d X b c $.
    $d Y b c $.
    $( A comparison law for surreals considered as cuts of sets of surreals.
       (Contributed by Scott Fenton, 11-Dec-2021.) $)
    sltrec $p |- ( ( ( A <<s B /\ C <<s D ) /\
     ( X = ( A |s B ) /\ Y = ( C |s D ) ) ) ->
     ( X <s Y <-> ( E. c e. C X <_s c \/ E. b e. B b <_s Y ) ) ) $=
      ( csslt wbr wa cscut cslt csle wral wn wb csur wcel syl2anc co wceq cv wo
      wrex simplr simpll simprr simprl slerec syl22anc ancom bitrdi csn scutcut
      simp1d ad2antlr eqeltrd ad2antrr slenlt wss sselda adantr sltnle ralbidva
      ssltss1 ssltss2 anbi12d ralnex anbi12i ioran bitr4i 3bitr3d con4bid ) ABI
      JZCDIJZKZEABLUAZUBZFCDLUAZUBZKZKZEFMJZEHUCZNJZHCUEZGUCZFNJZGBUEZUDZWCFENJ
      ZWEEMJZHCOZFWHMJZGBOZKZWDPZWKPZWCWLWPWNKZWQWCVPVOWAVSWLWTQVOVPWBUFVOVPWBU
      GVQVSWAUHZVQVSWAUIZCDABFEHGUJUKWPWNULUMWCFRSZERSZWLWRQWCFVTRXAVPVTRSZVOWB
      VPXECVTUNZIJXFDIJCDUOUPUQURZWCEVRRXBVOVRRSZVPWBVOXHAVRUNZIJXIBIJABUOUPUSU
      RZFEUTTWCWQWFPZHCOZWIPZGBOZKZWSWCWNXLWPXNWCWMXKHCWCWECSZKWERSXDWMXKQWCCRW
      EVPCRVAVOWBCDVFUQVBWCXDXPXJVCWEEVDTVEWCWOXMGBWCWHBSZKXCWHRSWOXMQWCXCXQXGV
      CWCBRWHVOBRVAVPWBABVGUSVBFWHVDTVEVHXOWGPZWJPZKWSXLXRXNXSWFHCVIWIGBVIVJWGW
      JVKVLUMVMVN $.
  $}

  ${
    $d A x $.  $d B x $.
    $( If ` A ` preceeds ` B ` , then ` A ` and ` B ` are disjoint.
       (Contributed by Scott Fenton, 18-Sep-2024.) $)
    ssltdisj $p |- ( A <<s B -> ( A i^i B ) = (/) ) $=
      ( vx csslt wbr cv wcel wn wral c0 wceq wa cslt csur ssltss1 sselda sltirr
      cin syl ssltsepc 3expa mtand ralrimiva disj sylibr ) ABDEZCFZBGZHZCAIABRJ
      KUFUICAUFUGAGZLZUHUGUGMEZUKUGNGULHUFANUGABOPUGQSUFUJUHULABUGUGTUAUBUCCABU
      DUE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Surreal numbers - zero and one
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define new constants. $)
  $c 0s 1s $.

  $( Declare the class syntax for surreal zero. $)
  c0s $a class 0s $.

  $( Declare the class syntax for surreal one. $)
  c1s $a class 1s $.

  $( Define surreal zero.  This is the simplest cut of surreal number sets.
     Definition from [Conway] p. 17.  (Contributed by Scott Fenton,
     7-Aug-2024.) $)
  df-0s $a |- 0s = ( (/) |s (/) ) $.

  $( Define surreal one.  This is the simplest number greater than surreal
     zero.  Definition from [Conway] p. 18.  (Contributed by Scott Fenton,
     7-Aug-2024.) $)
  df-1s $a |- 1s = ( { 0s } |s (/) ) $.

  $( Surreal zero is a surreal.  (Contributed by Scott Fenton, 7-Aug-2024.) $)
  0sno $p |- 0s e. No $=
    ( c0s c0 cscut co csur df-0s csslt wbr wcel cpw 0elpw nulssgt ax-mp eqeltri
    scutcl ) ABBCDZEFBBGHZPEIBEJIQEKBLMBBOMN $.

  $( Surreal one is a surreal.  (Contributed by Scott Fenton, 7-Aug-2024.) $)
  1sno $p |- 1s e. No $=
    ( c1s c0s csn c0 cscut csur df-1s csslt wbr wcel 0sno snelpwi ax-mp nulssgt
    co cpw scutcl eqeltri ) ABCZDEOZFGSDHIZTFJSFPJZUABFJUBKBFLMSNMSDQMR $.

  ${
    $d x y $.
    $( Calculate the birthday of surreal zero.  (Contributed by Scott Fenton,
       7-Aug-2024.) $)
    bday0s $p |- ( bday ` 0s ) = (/) $=
      ( vx c0s cbday cfv c0 cv csn csslt wa csur crab cima cint con0 cscut wcel
      wbr co nulssgt 3eqtri df-0s fveq2i cpw wceq 0elpw scutbday mp2b eqtri cdm
      crn snelpwi nulsslt jca rabeqc bdaydm eqtr4i imaeq2i imadmrn bdayrn inton
      syl inteqi ) BCDZCEAFZGZHQZVEEHQZIZAJKZLZMZNMEVCEEORZCDZVKBVLCUAUBEJUCZPE
      EHQVMVKUDJUEESAEEUFUGUHVJNVJCCUIZLCUJNVIVOCVIJVOVHAJVDJPVEVNPZVHVDJUKVPVF
      VGVEULVESUMVAUNUOUPUQCURUSTVBUTT $.
  $}

  ${
    $d x y $.
    $( Surreal zero is less than surreal one.  Theorem from [Conway] p. 7.
       (Contributed by Scott Fenton, 7-Aug-2024.) $)
    0slt1s $p |- 0s <s 1s $=
      ( vx vy c0s c1s cslt wbr cv csle wrex c0 csur wcel 0sno ax-mp mpbir csslt
      cscut co wceq nulssgt csn wo slerflex elexi breq2 rexsn orci wb cpw 0elpw
      wss snssi snex elpw df-0s df-1s sltrec mp4an ) CDEFZCAGZHFZACUAZIZBGDHFBJ
      IZUBZVCVDVCCCHFZCKLZVFMCUCNVAVFACCKMUDUTCCHUEUFOUGJJPFZVBJPFZCJJQRSDVBJQR
      SUSVEUHJKUIZLVHKUJJTNVBVJLZVIVKVBKUKZVGVLMCKULNVBKCUMUNOVBTNUOUPJJVBJCDBA
      UQURO $.
  $}

  ${
    $d X x $.
    $( The only surreal with birthday ` (/) ` is ` 0s ` .  (Contributed by
       Scott Fenton, 8-Aug-2024.) $)
    bday0b $p |- ( X e. No -> ( ( bday ` X ) = (/) <-> X = 0s ) ) $=
      ( vx csur wcel cbday cfv c0 c0s wa cscut co df-0s csn csslt wbr cv adantr
      wceq syl nulssgt wss wi cpw snelpwi nulsslt id 0ss eqsstrdi a1d ralrimivw
      wral adantl wb 0elpw ax-mp eqscut2 mpan mpbir3and eqtr2id ex fveq2 bday0s
      w3a eqtrdi impbid1 ) ACDZAEFZGRZAHRZVFVHVIVFVHIZHGGJKZALVJVKARZGAMZNOZVMG
      NOZGBPZMZNOVQGNOIZVGVPEFZUAZUBZBCUKZVFVNVHVFVMCUCZDZVNACUDZVMUESQVFVOVHVF
      WDVOWEVMTSQVJWABCVHWAVFVHVTVRVHVGGVSVHUFVSUGUHUIULUJVFVLVNVOWBVCUMZVHGGNO
      ZVFWFGWCDWGCUNGTUOBGGAUPUQQURUSUTVIVGHEFGAHEVAVBVDVE $.
  $}

  ${
    $d x y z $.
    $( The birthday of surreal one is ordinal one.  (Contributed by Scott
       Fenton, 8-Aug-2024.) $)
    bday1s $p |- ( bday ` 1s ) = 1o $=
      ( vx vy vz cbday cfv c0s csn c1o cima csslt wbr csur wcel 0sno ax-mp wceq
      c0 wss wral cslt c1s cscut df-1s fveq2i cun cuni csuc cpw snelpwi nulssgt
      co scutbdaybnd2 un0 imaeq2i wfn bdayfn fnsnfv mp2an bday0s 3eqtr2i unieqi
      sneqi 0ex unisn eqtri suceq df-1o eqtr4i sseqtri cv wa crab wb fnssintima
      cint ssrab2 weq sneq breq2d breq1d anbi12d elrab wn sltirr breq2 necon2ai
      wne mtbiri bday0b necon3bid syl5ibr word bdayelon onordi ordge1n0 syl6ibr
      ssltsep ralsn ralbii elexi breq1 bitri sylib impel adantrr sylbi scutbday
      vex mprgbir sseqtrri eqssi ) UADEFGZQUBUKZDEZHUAXMDUCUDXNHXNDXLQUEZIZUFZU
      GZHXLQJKZXNXRRXLLUHMZXSFLMZXTNFLUIOXLUJOZXLQULOXRQUGZHXQQPXRYCPXQQGZUFQXP
      YDXPDXLIZFDEZGZYDXOXLDXLUMUNDLUOZYAYGYEPUPNLFDUQURYFQUSVBUTVAQVCVDVEXQQVF
      OVGVHVIHDXLAVJZGZJKZYJQJKZVKZALVLZIVOZXNHYORZHBVJZDEZRZBYNYHYNLRYPYSBYNSV
      MUPYMALVPBLYNHDVNURYQYNMYQLMZXLYQGZJKZUUAQJKZVKZVKYSYMUUDAYQLABVQZYKUUBYL
      UUCUUEYJUUAXLJYIYQVRZVSUUEYJUUAQJUUFVTWAWBYTUUBYSUUCYTFYQTKZYSUUBYTUUGYRQ
      WGZYSUUGUUHYTYQFWGUUGYQFYQFPUUGFFTKZYAUUIWCNFWDOYQFFTWEWHWFYTYRQYQFYQWIWJ
      WKYRWLYSUUHVMYRYQWMWNYRWOOWPUUBYICVJZTKZCUUASZAXLSZUUGACXLUUAWQUUMYIYQTKZ
      AXLSUUGUULUUNAXLUUKUUNCYQBXHUUJYQYITWEWRWSUUNUUGAFFLNWTYIFYQTXAWRXBXCXDXE
      XFXIXSXNYOPYBAXLQXGOXJXKVE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Surreal numbers - cuts and options
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constants. $)
  $c _M _Old _N _L _R $.

  $( Declare the symbol for the made by function. $)
  cmade $a class _M $.

  $( Declare the symbol for the older than function. $)
  cold $a class _Old $.

  $( Declare the symbol for the new on function. $)
  cnew $a class _N $.

  $( Declare the symbol for the left option function. $)
  cleft $a class _L $.

  $( Declare the symbol for the right option function. $)
  cright $a class _R $.

  $( Define the made by function.  This function carries an ordinal to all
     surreals made by sections of surreals older than it.  Definition from
     [Conway] p. 29.  (Contributed by Scott Fenton, 17-Dec-2021.) $)
  df-made $a |- _M = recs ( ( f e. _V |->
  ( |s " ( ~P U. ran f X. ~P U. ran f ) ) ) ) $.

  $( Define the older than function.  This function carries an ordinal to all
     surreals made by a previous ordinal.  Definition from [Conway] p. 29.
     (Contributed by Scott Fenton, 17-Dec-2021.) $)
  df-old $a |- _Old = ( x e. On |-> U. ( _M " x ) ) $.

  $( Define the newer than function.  This function carries an ordinal to all
     surreals made on that day.  Definition from [Conway] p. 29.  (Contributed
     by Scott Fenton, 17-Dec-2021.) $)
  df-new $a |- _N = ( x e. On |-> ( ( _M ` x ) \ ( _Old ` x ) ) ) $.

  ${
    $d x y z $.
    $( Define the left options of a surreal.  This is the set of surreals that
       are simpler and less than the given surreal.  (Contributed by Scott
       Fenton, 6-Aug-2024.) $)
    df-left $a |- _L = ( x e. No |-> { y e. ( _Old ` ( bday ` x ) ) |
     y <s x } ) $.

    $( Define the right options of a surreal.  This is the set of surreals that
       are simpler and greater than the given surreal.  (Contributed by Scott
       Fenton, 6-Aug-2024.) $)
    df-right $a |- _R = ( x e. No |-> { y e. ( _Old ` ( bday ` x ) ) |
     x <s y } ) $.
  $}

  ${
    $d A x $.
    $( The value of the made by function.  (Contributed by Scott Fenton,
       17-Dec-2021.) $)
    madeval $p |- ( A e. On -> ( _M ` A ) =
    ( |s " ( ~P U. ( _M " A ) X. ~P U. ( _M " A ) ) ) ) $=
      ( vx con0 wcel cmade cfv cres cvv cscut crn cuni cpw cima wfun ax-mp mpan
      cxp csslt csur funimaexg cv cmpt df-made tfr2 eqid wceq rneq df-ima pweqd
      eqtr4di unieqd sqxpeqd imaeq2d wfn tfr1 fnfun resfunexg scutf ffun uniexg
      wf pwexg 3syl xpexd sylancr fvmptd3 eqtrd ) ACDZAEFEAGZBHIBUAZJZKZLZVMQZM
      ZUBZFIEAMZKZLZVSQZMZAEVPBUCZUDVHBVIVOWAHVPHVPUEVJVIUFZVNVTIWCVMVSWCVLVRWC
      VKVQWCVKVIJVQVJVIUGEAUHUJUKUIULUMENZVHVIHDECUNWDEVPWBUOCEUPOZEACUQPVHINZV
      THDWAHDRSIVAWFURRSIUSOVHVSVSHHVHVQHDZVRHDVSHDWDVHWGWEEACTPVQHUTVRHVBVCZWH
      VDIVTHTVEVFVG $.

    $d A a b x y $.
    $( Alternative characterization of the made by function.  (Contributed by
       Scott Fenton, 17-Dec-2021.) $)
    madeval2 $p |- ( A e. On -> ( _M ` A ) =
   { x e. No |
     E. a e. ~P U. ( _M " A ) E. b e. ~P U. ( _M " A )
     ( a <<s b /\ ( a |s b ) = x ) } ) $=
      ( vy wcel cmade cfv cscut cima cv csslt wceq wa wrex csur eleq1 rexlimivw
      wbr cab con0 cuni cpw cxp crab madeval scutcl biimpd mpan9 pm4.71ri abbii
      co cop breq1 anbi12d rexxp cin imaindm dmscut ineq2i imaeq2i eqtri eleq2i
      cdm vex elima anbi1i anass bitri rexbii2 3bitri df-br df-ov eqeq1i wfn wb
      elin wf scutf ffn ax-mp fnbrfvb mpan syl5bb pm5.32i 2rexbii abbi2i df-rab
      3bitr4i 3eqtr4i eqtrdi ) BUAFBGHIGBJUBUCZWLUDZJZCKZDKZLSZWOWPIULZAKZMZNZD
      WLOZCWLOZAPUEZBUFXCATWSPFZXCNZATWNXDXCXFAXCXEXBXECWLXAXEDWLWQWRPFZWTXEWOW
      PUGWTXGXEWRWSPQUHUIRRUJUKXCAWNEKZLFZXHWSISZNZEWMOZWOWPUMZLFZXMWSISZNZDWLO
      CWLOWSWNFZXCXKXPECDWLWLXHXMMXIXNXJXOXHXMLQXHXMWSIUNUOUPXQWSIWMLUQZJZFXJEX
      ROXLWNXSWSWNIWMIVDZUQZJXSWMIURYAXRIXTLWMUSUTVAVBVCEWSIXRAVEVFXJXKEXRWMXHX
      RFZXJNXHWMFZXINZXJNYCXKNYBYDXJXHWMLVQVGYCXIXJVHVIVJVKXAXPCDWLWLXAXNWTNXPW
      QXNWTWOWPLVLVGXNWTXOWTXMIHZWSMZXNXOWRYEWSWOWPIVMVNILVOZXNYFXOVPLPIVRYGVSL
      PIVTWALXMWSIWBWCWDWEVIWFWIWGXCAPWHWJWK $.
  $}

  ${
    $d A x $.
    $( The value of the old options function.  (Contributed by Scott Fenton,
       6-Aug-2024.) $)
    oldval $p |- ( A e. On -> ( _Old ` A ) = U. ( _M " A ) ) $=
      ( con0 wcel cmade cima cuni cvv cold cfv wceq wfun cscut crn cpw cxp cmpt
      vx cv crecs ax-mp df-made wfn recsfnon fnfun mpbiri funimaexg mpan uniexd
      funeq imaeq2 unieqd df-old fvmptg mpdan ) ABCZDAEZFZGCAHIUQJUOUPGDKZUOUPG
      CDQGLQRZMFNZUTOEPZSZJZURQUAVCURVBKZVBBUBVDVAUCBVBUDTDVBUIUETDABUFUGUHQADU
      SEZFUQBGHUSAJVEUPUSADUJUKQULUMUN $.

    $( The value of the new options function.  (Contributed by Scott Fenton,
       9-Oct-2024.) $)
    newval $p |- ( _N ` A ) = ( ( _M ` A ) \ ( _Old ` A ) ) $=
      ( vx vf con0 wcel cnew cmade cold cdif wceq cv fveq2 difeq12d df-new fvex
      cfv difexi fvmpt wn c0 fvmptndm cdm cvv cscut crn cuni cpw cima cmpt tfr1
      cxp df-made fndmi eleq2i ndmfv sylnbir difeq1d 0dif eqtrdi eqtr4d pm2.61i
      ) ADEZAFPZAGPZAHPZIZJBABKZGPZVGHPZIZVFDFVGAJVHVDVIVEVGAGLVGAHLMBNZVDVEAGO
      QRVBSZVCTVFBDVJFAVKUAVLVFTVEITVLVDTVEVBAGUBZEVDTJVMDADGGCUCUDCKUEUFUGZVNU
      KUHUICULUJUMUNAGUOUPUQVEURUSUTVA $.

  $}

  ${
    $d x y z w $.
    $( The made function is a function from ordinals to sets of surreals.
       (Contributed by Scott Fenton, 6-Aug-2024.) $)
    madef $p |- _M : On --> ~P No $=
      ( vx vy vz vw con0 csur cpw cmade wf wfn crn wss cvv cscut cuni cima wceq
      cv wrex wcel cxp cmpt df-made tfr1 cfv csslt co wa crab madeval2 eqsstrdi
      wbr ssrab2 sseq1 syl5ibrcom rexlimiv vex eqeq1 rexbidv fnrnfv ax-mp elab2
      weq cab velpw 3imtr4i ssriv df-f mpbir2an ) EFGZHIHEJZHKZVJLHAMNARZKOGZVN
      UAPUBAUCUDZBVLVJBRZVMHUEZQZAESZVPFLZVPVLTVPVJTVRVTAEVMETZVTVRVQFLWAVQCRZD
      RZUFULWBWCNUGVPQUHDHVMPOGZSCWDSZBFUIFBVMCDUJWEBFUMUKVPVQFUNUOUPWBVQQZAESZ
      VSCVPVLBUQCBVCWFVRAEWBVPVQURUSVKVLWGCVDQVOACEHUTVAVBBFVEVFVGEVJHVHVI $.
  $}

  ${
    $d x y $.
    $( The older function is a function from ordinals to sets of surreals.
       (Contributed by Scott Fenton, 6-Aug-2024.) $)
    oldf $p |- _Old : On --> ~P No $=
      ( vx vy con0 csur cpw cmade cv cima cuni cold df-old wcel wss crn imassrn
      wral wf madef frn ax-mp sstri sseli elpwid rgen a1i wfun cvv vex funimaex
      ffun uniex elpw unissb bitri sylibr fmpti ) ACDEZFAGZHZIZJAKURCLZBGZDMZBU
      SPZUTUQLZVDVAVCBUSVBUSLVBDUSUQVBUSFNZUQFUROCUQFQZVFUQMRCUQFSTUAUBUCUDUEVE
      UTDMVDUTDUSFUFZUSUGLVGVHRCUQFUJTFURAUHUITUKULBUSDUMUNUOUP $.

    $( The new function is a function from ordinals to sets of surreals.
       (Contributed by Scott Fenton, 6-Aug-2024.) $)
    newf $p |- _N : On --> ~P No $=
      ( vx con0 csur cpw cv cmade cfv cold cdif cnew df-new wcel madef ffvelrni
      wss elpwid ssdifssd fvex difexi elpw sylibr fmpti ) ABCDZAEZFGZUDHGZIZJAK
      UDBLZUGCOUGUCLUHUECUFUHUECBUCUDFMNPQUGCUEUFUDFRSTUAUB $.
  $}

  $( No surreal is older than ` (/) ` .  (Contributed by Scott Fenton,
     7-Aug-2024.) $)
  old0 $p |- ( _Old ` (/) ) = (/) $=
    ( c0 cold cfv cmade cima cuni con0 wcel wceq 0elon oldval ax-mp ima0 unieqi
    uni0 3eqtri ) ABCZDAEZFZAFAAGHQSIJAKLRADMNOP $.

  $( Made sets are surreals.  (Contributed by Scott Fenton, 9-Oct-2024.) $)
  madessno $p |- ( _M ` A ) C_ No $=
    ( cmade cfv csur cpw wcel wss con0 madef 0elpw f0cli elpwi ax-mp ) ABCZDEZF
    NDGHOABIDJKNDLM $.

  $( Old sets are surreals.  (Contributed by Scott Fenton, 9-Oct-2024.) $)
  oldssno $p |- ( _Old ` A ) C_ No $=
    ( cold cfv csur cpw wcel wss con0 oldf 0elpw f0cli elpwi ax-mp ) ABCZDEZFND
    GHOABIDJKNDLM $.

  $( New sets are surreals.  (Contributed by Scott Fenton, 9-Oct-2024.) $)
  newssno $p |- ( _N ` A ) C_ No $=
    ( cnew cfv csur cpw wcel wss con0 newf 0elpw f0cli elpwi ax-mp ) ABCZDEZFND
    GHOABIDJKNDLM $.

  ${
    $d A x y $.
    $( The value of the left options function.  (Contributed by Scott Fenton,
       9-Oct-2024.) $)
    leftval $p |- ( _L ` A ) = { x e. ( _Old ` ( bday ` A ) ) | x <s A } $=
      ( vy csur wcel cleft cfv cv cslt wbr cbday cold crab wceq breq2 rabeqbidv
      2fveq3 df-left c0 eqtrdi fvex rabex fvmpt wn fvmptndm bdaydm eleq2i ndmfv
      cdm sylnbir fveq2d old0 rabeqdv rab0 eqtr4d pm2.61i ) BDEZBFGZAHZBIJZABKG
      ZLGZMZNCBUSCHZIJZAVDKGLGZMZVCDFVDBNVEUTAVFVBVDBLKQVDBUSIOPCARZUTAVBVALUAU
      BUCUQUDZURSVCCDVGFBVHUEVIVCUTASMSVIUTAVBSVIVBSLGSVIVASLUQBKUIZEVASNVJDBUF
      UGBKUHUJUKULTUMUTAUNTUOUP $.

    $( The value of the right options function.  (Contributed by Scott Fenton,
       9-Oct-2024.) $)
    rightval $p |- ( _R ` A ) = { x e. ( _Old ` ( bday ` A ) ) | A <s x } $=
      ( vy csur wcel cright cfv cslt wbr cbday cold crab 2fveq3 breq1 rabeqbidv
      cv wceq df-right c0 eqtrdi fvex rabex fvmpt wn fvmptndm cdm bdaydm eleq2i
      ndmfv sylnbir fveq2d old0 rabeqdv rab0 eqtr4d pm2.61i ) BDEZBFGZBAPZHIZAB
      JGZKGZLZQCBCPZUSHIZAVDJGKGZLZVCDFVDBQVEUTAVFVBVDBKJMVDBUSHNOCARZUTAVBVAKU
      AUBUCUQUDZURSVCCDVGFBVHUEVIVCUTASLSVIUTAVBSVIVBSKGSVIVASKUQBJUFZEVASQVJDB
      UGUHBJUIUJUKULTUMUTAUNTUOUP $.

  $}

  ${
    $d x y $.
    $( The functionality of the left options function.  (Contributed by Scott
       Fenton, 6-Aug-2024.) $)
    leftf $p |- _L : No --> ~P No $=
      ( vx vy csur cpw cv cslt wbr cbday cfv cold crab cleft df-left wcel wi wa
      wral con0 bdayelon oldf ffvelrni mp1i elpwid a1d ralrimiva wss fvex rabex
      sselda elpw rabss bitri sylibr fmpti ) ACCDZBEZAEZFGZBUQHIZJIZKZLABMUQCNZ
      URUPCNZOZBUTQZVAUONZVBVDBUTVBUPUTNPVCURVBUTCUPVBUTCUSRNUTUONVBUQSRUOUSJTU
      AUBUCUIUDUEVFVACUFVEVACURBUTUSJUGUHUJURBUTCUKULUMUN $.

    $( The functionality of the right options function.  (Contributed by Scott
       Fenton, 6-Aug-2024.) $)
    rightf $p |- _R : No --> ~P No $=
      ( vx vy csur cpw cv cslt wbr cbday cold crab cright df-right wcel wi wral
      cfv wa con0 bdayelon oldf ffvelrni mp1i elpwid sselda a1d ralrimiva rabex
      wss fvex elpw rabss bitri sylibr fmpti ) ACCDZAEZBEZFGZBUPHPZIPZJZKABLUPC
      MZURUQCMZNZBUTOZVAUOMZVBVDBUTVBUQUTMQVCURVBUTCUQVBUTCUSRMUTUOMVBUPSRUOUSI
      TUAUBUCUDUEUFVFVACUHVEVACURBUTUSIUIUGUJURBUTCUKULUMUN $.
  $}

  ${
    $d A x l r $.  $d X x l r $.
    $( Membership in the made function.  (Contributed by Scott Fenton,
       6-Aug-2024.) $)
    elmade $p |- ( A e. On ->
     ( X e. ( _M ` A ) <-> E. l e. ~P U. ( _M " A ) E. r e. ~P U. ( _M " A )
     ( l <<s r /\ ( l |s r ) = X ) ) ) $=
      ( vx con0 wcel csur cmade cfv cv csslt wbr cscut co wceq wa cpw rexlimivw
      wrex cima madef ffvelrni elpwid sseld wi scutcl eleq1 biimpd mpan9 a1i wb
      cuni crab madeval2 eleq2d eqeq2 anbi2d 2rexbidv elrab3 sylan9bb pm5.21ndd
      ex ) AFGZBHGZBAIJZGZDKZCKZLMZVHVINOZBPZQZCIAUAUMRZTZDVNTZVDVFHBVDVFHFHRAI
      UBUCUDUEVPVEUFVDVOVEDVNVMVECVNVJVKHGZVLVEVHVIUGVLVQVEVKBHUHUIUJSSUKVDVEVG
      VPULVDVGBVJVKEKZPZQZCVNTDVNTZEHUNZGVEVPVDVFWBBEADCUOUPWAVPEBHVRBPZVTVMDCV
      NVNWCVSVLVJVRBVKUQURUSUTVAVCVB $.

    $( Membership in the made function in terms of the old function.
       (Contributed by Scott Fenton, 7-Aug-2024.) $)
    elmade2 $p |- ( A e. On ->
    ( X e. ( _M ` A ) <-> E. l e. ~P ( _Old ` A ) E. r e. ~P ( _Old ` A )
    ( l <<s r /\ ( l |s r ) = X ) ) ) $=
      ( con0 wcel cmade cfv cv csslt wbr cscut co wceq cima cuni cpw wrex cold
      wa elmade oldval pweqd rexeqdv rexeqbidv bitr4d ) AEFZBAGHFDIZCIZJKUHUILM
      BNTZCGAOPZQZRZDULRUJCASHZQZRZDUORABCDUAUGUPUMDUOULUGUNUKAUBUCZUGUJCUOULUQ
      UDUEUF $.
  $}

  ${
    $d A y b $.  $d X y b $.
    $( Membership in an old set.  (Contributed by Scott Fenton, 7-Aug-2024.) $)
    elold $p |- ( A e. On -> ( X e. ( _Old ` A ) <->
     E. b e. A X e. ( _M ` b ) ) ) $=
      ( vy con0 wcel cold cfv cmade cima cuni cv wrex oldval eleq2d wa wex wceq
      eluni rexbii wfn wss wb csur cpw wf madef ffn ax-mp onss fvelimab sylancr
      anbi2d exbidv fvex clel3 rexcom4 eqcom anbi2ci r19.42v bitri exbii bitrdi
      3bitrri syl5bb bitrd ) AEFZBAGHZFBIAJZKZFZBCLZIHZFZCAMZVGVHVJBANOVKBDLZFZ
      VPVIFZPZDQZVGVODBVISVGVTVQVMVPRZCAMZPZDQZVOVGVSWCDVGVRWBVQVGIEUAZAEUBVRWB
      UCEUDUEZIUFWEUGEWFIUHUIAUJCEAVPIUKULUMUNVOVPVMRZVQPZDQZCAMWHCAMZDQWDVNWIC
      ADBVMVLIUOUPTWHCDAUQWJWCDWJVQWAPZCAMWCWHWKCAWGWAVQVPVMURUSTVQWACAUTVAVBVD
      VCVEVF $.
  $}

  ${
    $d A x y $.
    $( A surreal is greater than its left options.  Theorem 0(ii) of [Conway]
       p. 16.  (Contributed by Scott Fenton, 7-Aug-2024.) $)
    ssltleft $p |- ( A e. No -> ( _L ` A ) <<s { A } ) $=
      ( vx vy csur wcel cleft cfv csn cvv fvexd snex a1i cpw leftf cv cslt wceq
      wbr wi wa ffvelrni elpwid snssi velsn cbday cold crab eleq2d rabid bitrdi
      leftval simplbda breq2 syl5ibr expd sylbi 3imp231 ssltd ) ADEZBCAFGZAHZII
      USAFJVAIEUSAKLUSUTDDDMAFNUAUBADUCCOZVAEZUSBOZUTEZVDVBPRZVCVBAQZUSVEVFSSCA
      UDVGUSVEVFUSVETVFVGVDAPRZUSVEVDAUEGUFGZEZVHUSVEVDVHBVIUGZEVJVHTUSUTVKVDUT
      VKQUSBAUKLUHVHBVIUIUJULVBAVDPUMUNUOUPUQUR $.

    $( A surreal is less than its right options.  Theorem 0(i) of [Conway]
       p. 16.  (Contributed by Scott Fenton, 7-Aug-2024.) $)
    ssltright $p |- ( A e. No -> { A } <<s ( _R ` A ) ) $=
      ( vx vy csur wcel csn cright cfv cvv snex a1i fvexd snssi cpw cv cslt wbr
      wceq wi wa rightf ffvelrni elpwid velsn cbday cold rightval eleq2d bitrdi
      crab rabid simplbda breq1 syl5ibr expd sylbi 3imp21 ssltd ) ADEZBCAFZAGHZ
      IIUTIEUSAJKUSAGLADMUSVADDDNAGUAUBUCBOZUTEZUSCOZVAEZVBVDPQZVCVBARZUSVEVFSS
      BAUDVGUSVEVFUSVETVFVGAVDPQZUSVEVDAUEHUFHZEZVHUSVEVDVHCVIUJZEVJVHTUSVAVKVD
      VAVKRUSCAUGKUHVHCVIUKUIULVBAVDPUMUNUOUPUQUR $.
  $}

  $( The left options of a surreal are strictly less than the right options of
     the same surreal.  (Contributed by Scott Fenton, 6-Aug-2024.) $)
  lltropt $p |- ( A e. No -> ( _L ` A ) <<s ( _R ` A ) ) $=
    ( csur wcel cleft cfv csn csslt wbr cright c0 wne ssltleft ssltright sslttr
    snnzg syl3anc ) ABCADEZAFZGHRAIEZGHRJKQSGHALAMABOQRSNP $.

  ${
    $d x l r $.
    $( The only surreal made on day ` (/) ` is ` 0s ` .  (Contributed by Scott
       Fenton, 7-Aug-2024.) $)
    made0 $p |- ( _M ` (/) ) = { 0s } $=
      ( vl vr vx c0 cmade cv csslt wbr cscut co wceq cuni cpw wrex csur c0s csn
      wa wcel eqtri cfv cima crab 0elon madeval2 ax-mp wb rabeqsn 0elpw nulssgt
      con0 ima0 unieqi pweqi pw0 rexeqi rexbii breq2 oveq2 eqeq1d anbi12d rexsn
      uni0 0ex breq1 oveq1 bitri 3bitri mpbiran df-0s eqeq1i eqcom 3bitr2i 0sno
      anbi2i eleq1 mpbiri pm4.71ri bitr4i mpgbir ) DEUAZAFZBFZGHZWBWCIJZCFZKZRZ
      BEDUBZLZMZNZAWKNZCOUCZPQZDUKSWAWNKUDCDABUEUFWNWOKWFOSZWMRZWFPKZUGCWMCOPUH
      WQWPWRRWRWMWRWPWMDDIJZWFKZPWFKWRWMDDGHZWTDOMSXAOUIDUJUFWMWLADQZNWHBXBNZAX
      BNZXAWTRZWLAWKXBWKDMXBWJDWJDLDWIDEULUMVCTUNUOTZUPWLXCAXBWHBWKXBXFUPUQXDWB
      DGHZWBDIJZWFKZRZAXBNXEXCXJAXBWHXJBDVDWCDKZWDXGWGXIWCDWBGURXKWEXHWFWCDWBIU
      SUTVAVBUQXJXEADVDWBDKZXGXAXIWTWBDDGVEXLXHWSWFWBDDIVFUTVAVBVGVHVIPWSWFVJVK
      PWFVLVMVOWRWPWRWPPOSVNWFPOVPVQVRVSVTT $.
  $}

  $( The only surreal new on day ` (/) ` is ` 0s ` .  (Contributed by Scott
     Fenton, 8-Aug-2024.) $)
  new0 $p |- ( _N ` (/) ) = { 0s } $=
    ( cnew cfv cmade cold cdif c0s csn newval made0 old0 difeq12i dif0 3eqtri
    c0 ) NABNCBZNDBZEFGZNEQNHOQPNIJKQLM $.

  ${
    $d A a b x l r $.  $d B a b x l r $.
    $( If ` A ` is less than or equal to ordinal ` B ` , then the made set of
       ` A ` is included in the made set of ` B ` .  (Contributed by Scott
       Fenton, 9-Oct-2024.) $)
    madess $p |- ( ( B e. On /\ A C_ B ) -> ( _M ` A ) C_ ( _M ` B ) ) $=
      ( va vb vx con0 wcel wss wa cmade cfv cv wceq cima cpw wrex adantl adantr
      csur wi csslt wbr cscut cuni crab imass2 unissd sspwd ssrexv reximdv syld
      co syl ss2rabdv madeval2 3sstr4d wn c0 cdm madef eleq2i ndmfv sylnbir 0ss
      fdmi eqsstrdi pm2.61ian ) AFGZBFGZABHZIZAJKZBJKZHZVHVKIZCLZDLZUAUBVPVQUCU
      LELZMIZDJANZUDZOZPZCWBPZESUEZVSDJBNZUDZOZPZCWHPZESUEZVLVMVOWDWJESVOWDWJTV
      RSGVOWDWCCWHPZWJVOWBWHHZWDWLTVKWMVHVJWMVIVJWAWGVJVTWFABJUFUGUHQQZWCCWBWHU
      IUMVOWCWICWHVOWMWCWITWNVSDWBWHUIUMUJUKRUNVHVLWEMVKEACDUORVKVMWKMZVHVIWOVJ
      EBCDUORQUPVHUQZVNVKWPVLURVMVHAJUSZGVLURMWQFAFSOJUTVEVAAJVBVCVMVDVFRVG $.
  $}

  ${
    $d A x b $.
    $( The older-than set is a subset of the made set.  (Contributed by Scott
       Fenton, 9-Oct-2024.) $)
    oldssmade $p |- ( _Old ` A ) C_ ( _M ` A ) $=
      ( vx vb con0 wcel cold cfv cmade wss cv elold wa onelss imp madess syldan
      wrex sseld rexlimdva c0 sylbid ssrdv wn cdm wceq csur cpw oldf fdmi ndmfv
      eleq2i sylnbir 0ss eqsstrdi pm2.61i ) ADEZAFGZAHGZIUPBUQURUPBJZUQEUSCJZHG
      ZEZCAQUSUREZAUSCKUPVBVCCAUPUTAEZLVAURUSUPVDUTAIZVAURIUPVDVEAUTMNUTAOPRSUA
      UBUPUCUQTURUPAFUDZEUQTUEVFDADUFUGFUHUIUKAFUJULURUMUNUO $.
  $}

  ${
    $d X x $.
    $( The left options are a subset of the old set.  (Contributed by Scott
       Fenton, 9-Oct-2024.) $)
    leftssold $p |- ( _L ` X ) C_ ( _Old ` ( bday ` X ) ) $=
      ( vx cleft cfv cv cslt wbr cbday cold crab leftval ssrab2 eqsstri ) ACDBE
      AFGZBAHDIDZJOBAKNBOLM $.

    $( The right options are a subset of the old set.  (Contributed by Scott
       Fenton, 9-Oct-2024.) $)
    rightssold $p |- ( _R ` X ) C_ ( _Old ` ( bday ` X ) ) $=
      ( vx cright cfv cv cslt wbr cbday cold crab rightval ssrab2 eqsstri ) ACD
      ABEFGZBAHDIDZJOBAKNBOLM $.
  $}

  $( The left set of a surreal number is a subset of the surreals.
     (Contributed by Scott Fenton, 9-Oct-2024.) $)
  leftssno $p |- ( _L ` A ) C_ No $=
    ( cleft cfv cbday cold csur leftssold oldssno sstri ) ABCADCZECFAGJHI $.

  $( The right set of a surreal number is a subset of the surreals.
     (Contributed by Scott Fenton, 9-Oct-2024.) $)
  rightssno $p |- ( _R ` A ) C_ No $=
    ( cright cfv cbday cold csur rightssold oldssno sstri ) ABCADCZECFAGJHI $.

  ${
    $d A l r $.  $d L l r $.  $d R l r $.
    $( Given a section that is a subset of an old set, the cut is a member of
       the made set.  (Contributed by Scott Fenton, 7-Aug-2024.) $)
    madecut $p |- ( ( ( A e. On /\ L <<s R ) /\
     ( L C_ ( _Old ` A ) /\ R C_ ( _Old ` A ) ) ) ->
     ( L |s R ) e. ( _M ` A ) ) $=
      ( vl vr wcel csslt wbr wa cfv wss cscut co wceq wrex cvv syl elpwd eqeq1d
      cv con0 cold cmade simplr ssltex1 simprl ssltex2 simprr eqidd breq1 oveq1
      cpw anbi12d breq2 oveq2 rspc2ev syl112anc wb elmade2 ad2antrr mpbird ) AU
      AFZCBGHZIZCAUBJZKZBVEKZIZIZCBLMZAUCJFZDTZETZGHZVLVMLMZVJNZIZEVEULZODVROZV
      ICVRFBVRFVCVJVJNZVSVICVEPVIVCCPFVBVCVHUDZCBUEQVDVFVGUFRVIBVEPVIVCBPFWACBU
      GQVDVFVGUHRWAVIVJUIVQVCVTICVMGHZCVMLMZVJNZIDECBVRVRVLCNZVNWBVPWDVLCVMGUJW
      EVOWCVJVLCVMLUKSUMVMBNZWBVCWDVTVMBCGUNWFWCVJVJVMBCLUOSUMUPUQVBVKVSURVCVHA
      VJEDUSUTVA $.
  $}

  $( The made set is the union of the old set and the new set.  (Contributed by
     Scott Fenton, 9-Oct-2024.) $)
  madeun $p |- ( _M ` A ) = ( ( _Old ` A ) u. ( _N ` A ) ) $=
    ( cold cfv cnew cun cmade cdif newval uneq2i wss wceq oldssmade mpbi eqtr2i
    undif ) ABCZADCZEPAFCZPGZEZRQSPAHIPRJTRKALPROMN $.

  $( The made set is the old set of its successor.  (Contributed by Scott
     Fenton, 8-Aug-2024.) $)
  madeoldsuc $p |- ( A e. On -> ( _M ` A ) = ( _Old ` suc A ) ) $=
    ( con0 wcel cmade cfv csuc cima cuni cold csn cun wceq df-suc imaeq2i eqtri
    imaundi unieqi a1i oldval eqcomd uniun wfn cpw wf madef ffn ax-mp wa fnsnfv
    csur mpan unieqd fvex unisn eqtrdi uneq12d oldssmade ssequn1 sylib suceloni
    wss 3eqtrrd syl eqtr4d ) ABCZADEZDAFZGZHZVGIEZVEVIDAGZHZDAJZGZHZKZAIEZVFKZV
    FVIVPLVEVIVKVNKZHVPVHVSVHDAVMKZGVSVGVTDAMNDAVMPOQVKVNUAORVEVLVQVOVFVEVQVLAS
    TVEVOVFJZHVFVEVNWADBUBZVEVNWALBUJUCZDUDWBUEBWCDUFUGWBVEUHWAVNBADUITUKULVFAD
    UMUNUOUPVEVQVFVAZVRVFLWDVEAUQRVQVFURUSVBVEVGBCVJVILAUTVGSVCVD $.

  $( The value of the old set at a successor.  (Contributed by Scott Fenton,
     8-Aug-2024.) $)
  oldsuc $p |- ( A e. On ->
  ( _Old ` suc A ) = ( ( _Old ` A ) u. ( _N ` A ) ) ) $=
    ( con0 wcel cmade cfv csuc cold cnew cun madeoldsuc madeun eqtr3di ) ABCADE
    AFGEAGEAHEIAJAKL $.

  ${
    $d A x b c $.  $d V x b c $.
    $( The value of the old set at a limit ordinal.  (Contributed by Scott
       Fenton, 8-Aug-2024.) $)
    oldlim $p |- ( ( Lim A /\ A e. V ) ->
     ( _Old ` A ) = U. ( _Old " A ) ) $=
      ( vb vx vc wcel wa cold cfv cv cmade wrex simprl wb simprr con0 syl fveq2
      wceq eleq2d wlim ciun cima cuni csuc limsuc ad2antrr word cvv limord elex
      mpbid anim12i sylibr onelon syl2an2r madeoldsuc eleqtrd rspcev rexlimdvaa
      elon2 syl2anc oldssmade sselid weq elold eliun a1i 3bitr4d eqrdv csur cpw
      impbid wf wfun oldf ffun funiunfv mp2b eqtrdi ) AUAZABFZGZAHIZCACJZHIZUBZ
      HAUCUDZWCDWDWGWCDJZEJZKIZFZEALZWIWFFZCALZWIWDFZWIWGFZWCWMWOWCWLWOEAWCWJAF
      ZWLGZGZWJUEZAFZWIXAHIZFZWOWTWRXBWCWRWLMZWAWRXBNWBWSAWJUFUGULWTWIWKXCWCWRW
      LOWTWJPFZWKXCSWCAPFZWSWRXFWCAUHZAUIFZGXGWAXHWBXIAUJABUKUMAVAUNZXEAWJUOUPW
      JUQQURWNXDCXAAWEXASWFXCWIWEXAHRTUSVBUTWCWNWMCAWCWEAFZWNGGZXKWIWEKIZFZWMWC
      XKWNMXLWFXMWIWEVCWCXKWNOVDWLXNEWEAECVEWKXMWIWJWEKRTUSVBUTVMWCXGWPWMNXJAWI
      EVFQWQWONWCCWIAWFVGVHVIVJPVKVLZHVNHVOWGWHSVPPXOHVQCAHVRVSVT $.
  $}

  ${
    $d A a b x y z l r $.  $d X x $.
    $( If a surreal is a member of a made set, its birthday is less than or
       equal to the level.  (Contributed by Scott Fenton, 10-Aug-2024.) $)
    madebdayim $p |- ( X e. ( _M ` A ) -> ( bday ` X ) C_ A ) $=
      ( vx vy vb vl vr vz con0 wcel cmade cfv cbday wss csur cv fveq2 wa adantr
      wral va cdm elfvdm madef fdmi eleqtrdi wi sseq2 raleqbidv sseq1d cbvralvw
      cpw weq bitrdi wceq csslt wbr cscut co cold wrex wb elmade2 elpwi anim12i
      cun unss sylib cima simpr simplll dfss3 rspccv ralimi syl adantl bdayelon
      rexim elold onelssex mpan 3imtr4d ralimdv syl5bi imp wfun bdayfun oldssno
      sstr mpan2 bdaydm sseqtrrdi funimass4 sylancr scutbdaybnd syl3anc expimpd
      mpbird syl5ibcom ex syl5 rexlimdvv sylbid ralrimiv tfis3 mpcom ) AIJZBAKL
      ZJZBMLZANZXIAKUBIBAKUCIOULKUDUEUFXGCPZMLZANZCXHTZXIXKUGXMUAPZNZCXPKLZTZDP
      ZMLZEPZNZDYBKLZTZXOUAEAUAEUMZXSXMYBNZCYDTYEYFXQYGCXRYDXPYBKQXPYBXMUHUIYGY
      CCDYDCDUMXMYAYBXLXTMQUJUKUNXPAUOXQXNCXRXHXPAKQXPAXMUHUIXPIJZYEEXPTZXSYHYI
      RZXQCXRYJXLXRJZFPZGPZUPUQZYLYMURUSZXLUOZRZGXPUTLZULZVAFYSVAZXQYHYKYTVBYIX
      PXLGFVCSYJYQXQFGYSYSYLYSJZYMYSJZRZYLYMVFZYRNZYJYQXQUGZUUCYLYRNZYMYRNZRUUE
      UUAUUGUUBUUHYLYRVDYMYRVDVEYLYMYRVGVHYJUUEUUFYJUUERZYNYPXQUUIYNRZYOMLZXPNZ
      YPXQUUJYNYHMUUDVIXPNZUULUUIYNVJYHYIUUEYNVKUUJUUMHPZMLZXPJZHUUDTZUUIUUQYNY
      JUUEUUQUUEUUNYRJZHUUDTYJUUQHUUDYRVLYJUURUUPHUUDYJUUNYDJZEXPVAZUUOYBNZEXPV
      AZUURUUPYIUUTUVBUGZYHYIUUSUVAUGZEXPTUVCYEUVDEXPYCUVADUUNYDDHUMYAUUOYBXTUU
      NMQUJVMVNUUSUVAEXPVRVOVPYHUURUUTVBYIXPUUNEVSSYHUUPUVBVBZYIUUOIJYHUVEUUNVQ
      UUOXPEVTWASWBWCWDWESUUIUUMUUQVBZYNUUEUVFYJUUEMWFUUDMUBZNUVFWGUUEUUDOUVGUU
      EYRONUUDONXPWHUUDYROWIWJWKWLHUUDXPMWMWNVPSWRYLYMXPWOWPYPUUKXMXPYOXLMQUJWS
      WQWTXAXBXCXDWTXEXNXKCBXHXLBUOXMXJAXLBMQUJVMVOXF $.
  $}

  ${
    $d A b $.  $d X b $.
    $( If ` X ` is in the old set for ` A ` , then the birthday of ` X ` is
       less than ` A ` .  (Contributed by Scott Fenton, 10-Aug-2024.) $)
    oldbdayim $p |- ( X e. ( _Old ` A ) -> ( bday ` X ) e. A ) $=
      ( vb con0 wcel cold cfv cbday cdm elfvdm csur oldf fdmi eleqtrdi cv cmade
      cpw wrex elold wa wss madebdayim ad2antll simprl wi bdayelon ontr2 adantr
      mpan mp2and rexlimdvaa sylbid mpcom ) ADEZBAFGEZBHGZAEZUOAFIDBAFJDKQFLMNU
      NUOBCOZPGEZCARUQABCSUNUSUQCAUNURAEZUSTZTUPURUAZUTUQUSVBUNUTURBUBUCUNUTUSU
      DUNVBUTTUQUEZVAUPDEUNVCBUFUPURAUGUIUHUJUKULUM $.
  $}

  $( No surreal is a member of its birthday's old set.  (Contributed by Scott
     Fenton, 10-Aug-2024.) $)
  oldirr $p |- -. X e. ( _Old ` ( bday ` X ) ) $=
    ( cbday cfv cold wcel bdayelon onirri oldbdayim mto ) AABCZDCEJJEJAFGJAHI
    $.

  $( No surreal is a member of its left set.  (Contributed by Scott Fenton,
     9-Oct-2024.) $)
  leftirr $p |- -. X e. ( _L ` X ) $=
    ( cleft cfv wcel cbday cold oldirr leftssold sseli mto ) AABCZDAAECFCZDAGKL
    AAHIJ $.

  $( No surreal is a member of its right set.  (Contributed by Scott Fenton,
     9-Oct-2024.) $)
  rightirr $p |- -. X e. ( _R ` X ) $=
    ( cright cfv wcel cbday cold oldirr rightssold sseli mto ) AABCZDAAECFCZDAG
    KLAAHIJ $.

  $( The left set of ` 0s ` is empty.  (Contributed by Scott Fenton,
     20-Aug-2024.) $)
  left0s $p |- ( _L ` 0s ) = (/) $=
    ( c0s cleft cfv cbday cold c0 wceq leftssold bday0s fveq2i old0 eqtri sseq0
    wss mp2an ) ABCZADCZECZNRFGPFGAHRFECFQFEIJKLPRMO $.

  $( The right set of ` 0s ` is empty.  (Contributed by Scott Fenton,
     20-Aug-2024.) $)
  right0s $p |- ( _R ` 0s ) = (/) $=
    ( c0s cright cfv cbday cold wss c0 wceq rightssold bday0s fveq2i old0 eqtri
    sseq0 mp2an ) ABCZADCZECZFRGHPGHAIRGECGQGEJKLMPRNO $.

  ${
    $d A x $.
    $( The union of the left and right options of a surreal make its old set.
       (Contributed by Scott Fenton, 9-Oct-2024.) $)
    lrold $p |- ( ( _L ` A ) u. ( _R ` A ) ) = ( _Old ` ( bday ` A ) ) $=
      ( vx csur wcel cleft cfv cright cun cbday cold wceq cslt wbr crab c0 fdmi
      cdm eleq2i ndmfv sylnbir cv wo leftval rightval unrab eqtri wa wne oldirr
      uneq12i eleq1 mtbiri necon2ai adantl oldssno sseli slttrine ancoms sylan2
      wb mpbid rabeqcda syl5eq wn un0 leftf rightf uneq12d bdaydm fveq2d eqtrdi
      cpw old0 3eqtr4a pm2.61i ) ACDZAEFZAGFZHZAIFZJFZKVPVSBUAZALMZAWBLMZUBZBWA
      NZWAVSWCBWANZWDBWANZHWFVQWGVRWHBAUCBAUDUJWCWDBWAUEUFVPWEBWAVPWBWADZUGWBAU
      HZWEWIWJVPWIWBAWBAKWIAWADAUIWBAWAUKULUMUNWIVPWBCDZWJWEUTZWACWBVTUOUPWKVPW
      LWBAUQURUSVAVBVCVPVDZOOHOVSWAOVEWMVQOVROVPAEQZDVQOKWNCACCVLZEVFPRAESTVPAG
      QZDVROKWPCACWOGVGPRAGSTVHWMWAOJFOWMVTOJVPAIQZDVTOKWQCAVIRAISTVJVMVKVNVO
      $.
  $}

  ${
    $d A b $.  $d b y $.  $d X b $.  $d X y $.
    $( Lemma for ~ madebday .  If the inductive hypothesis of ~ madebday is
       satisfied, the converse of ~ oldbdayim holds.  (Contributed by Scott
       Fenton, 19-Aug-2024.) $)
    madebdaylemold $p |- ( ( A e. On /\ A. b e. A A. y e. No
    ( ( bday ` y ) C_ b -> y e. ( _M ` b ) ) /\ X e. No ) ->
    ( ( bday ` X ) e. A -> X e. ( _Old ` A ) ) ) $=
      ( con0 wcel cv cbday cfv wss cmade wi csur wral w3a wrex cold wa 3ad2ant1
      wb wceq fveq2 sseq1d eleq1 imbi12d rspcv ralimdv impcom rexim syl 3adant1
      bdayelon onelssex mpan elold 3imtr4d ) BEFZAGZHIZDGZJZURUTKIZFZLZAMNZDBNZ
      CMFZOCHIZUTJZDBPZCVBFZDBPZVHBFZCBQIFZVFVGVJVLLZUQVFVGRVIVKLZDBNZVOVGVFVQV
      GVEVPDBVDVPACMURCUAZVAVIVCVKVRUSVHUTURCHUBUCURCVBUDUEUFUGUHVIVKDBUIUJUKUQ
      VFVMVJTZVGVHEFUQVSCULVHBDUMUNSUQVFVNVLTVGBCDUOSUP $.
  $}

  ${
    $d b w $.  $d w y $.  $d w z $.  $d X w $.  $d X z $.  $d b y $.  $d w x $.
    $d X b $.  $d X x $.  $d x y $.  $d X y $.  $d x z $.
    $( Lemma for ~ madebday .  If the inductive hypothesis of ~ madebday is
       satisfied up to the birthday of ` X ` , then the conclusion of ~ lrcut
       holds.  (Contributed by Scott Fenton, 19-Aug-2024.) $)
    madebdaylemlrcut $p |- ( ( A. b e. ( bday ` X ) A. y e. No
     ( ( bday ` y ) C_ b -> y e. ( _M ` b ) ) /\ X e. No ) ->
     ( ( _L ` X ) |s ( _R ` X ) ) = X ) $=
      ( vz vw vx cv cbday cfv wss wcel wi csur wral wa wceq csslt wbr syl cslt
      cmade cleft cright cscut co csn crab cima ssltleft adantl ssltright fveq2
      eqimss a1i wne ssltsep vex breq2 ralsn ralbii sylib breq1 ralbidv anim12i
      cint weq cold wb leftval raleqdv rightval anbi12d ralrab anbi12i ad2antlr
      bitrdi simplrl sltirr con0 bdayelon ontri1 con2bii simplll madebdaylemold
      wn mp2an mp3an2i wo slttrine ad2ant2lr simprrr imbi12d com23 simprrl jaod
      rspccv sylbid imp syld syl5bir mt3d expr impr sylanr2 pm2.61dne ralrimiva
      ex wfn bdayfn ssrab2 fnssintima sneq breq2d breq1d bitri sylibr simpr jca
      elrabd fnfvima mp3an12i intss1 eqssd w3a lltropt eqscut mpancom mpbir3and
      ) AGZHICGZJYIYJUAIKLAMNCBHIZNZBMKZOZBUBIZBUCIZUDUEBPZYOBUFZQRZYRYPQRZYKHY
      ODGZUFZQRZUUBYPQRZOZDMUGZUHZVEZPZYMYSYLBUIUJZYMYTYLBUKUJZYNYKUUHYNYOEGZUF
      ZQRZUUMYPQRZOZYKUULHIZJZLZEMNZYKUUHJZYNUUSEMYNUULMKZUUPUURYNUVBUUPOOZUURB
      UULBUULPZUURLUVCUVDYKUUQPUURBUULHULYKUUQUMSUNUUPYNUVBFGZUULTRZFYONZUULUVE
      TRZFYPNZOZBUULUOZUURLZUUNUVGUUOUVIUUNUVEYITRZAUUMNZFYONUVGFAYOUUMUPUVNUVF
      FYOUVMUVFAUULEUQZYIUULUVETURUSUTVAUUOYIUVETRZFYPNZAUUMNUVIAFUUMYPUPUVQUVI
      AUULUVOAEVFUVPUVHFYPYIUULUVETVBVCUSVAVDYNUVBUVJUVLYNUVBOUVJUVEBTRZUVFLZFY
      KVGIZNZBUVETRZUVHLZFUVTNZOZUVLYMUVJUWEVHYLUVBYMUVJUVFFUUABTRZDUVTUGZNZUVH
      FBUUATRZDUVTUGZNZOUWEYMUVGUWHUVIUWKYMUVFFYOUWGYOUWGPYMDBVIUNVJYMUVHFYPUWJ
      YPUWJPYMDBVKUNVJVLUWHUWAUWKUWDUWFUVRUVFFDUVTUUAUVEBTVBVMUWIUWBUVHFDUVTUUA
      UVEBTURVMVNVPVOYNUVBUWEUVLYNUVBUWEOZOZUVKUURUWMUVKOZUURUULUULTRZUWNUVBUWO
      WEYNUVBUWEUVKVQZUULVRSUURWEUUQYKKZUWNUWOUURUWQYKVSKZUUQVSKUURUWQWEVHBVTZU
      ULVTYKUUQWAWFWBUWNUWQUULUVTKZUWOUWRUWNYLUVBUWQUWTLUWSYLYMUWLUVKWCUWPAYKUU
      LCWDWGUWMUVKUWTUWOLZUWMUVKBUULTRZUULBTRZWHZUXAYMUVBUVKUXDVHYLUWEBUULWIWJU
      WMUXBUXAUXCUWMUWTUXBUWOUWMUWDUWTUXBUWOLZLYNUVBUWAUWDWKUWCUXEFUULUVTFEVFZU
      WBUXBUVHUWOUVEUULBTURUVEUULUULTURWLWPSWMUWMUWTUXCUWOUWMUWAUWTUXCUWOLZLYNU
      VBUWAUWDWNUVSUXGFUULUVTUXFUVRUXCUVFUWOUVEUULBTVBUVEUULUULTVBWLWPSWMWOWQWR
      WSWTXAXGXBWQXCXDXEXBXFUVAUUREUUFNZUUTHMXHZUUFMJZUVAUXHVHXIUUEDMXJZEMUUFYK
      HXKWFUUEUUPUUREDMDEVFZUUCUUNUUDUUOUXLUUBUUMYOQUUAUULXLZXMUXLUUBUUMYPQUXMX
      NVLVMXOXPYNYKUUGKZUUHYKJUXIUXJYNBUUFKUXNXIUXKYNUUEYSYTODBMUUABPZUUCYSUUDY
      TUXOUUBYRYOQUUABXLZXMUXOUUBYRYPQUXPXNVLYLYMXQYNYSYTUUJUUKXRXSMUUFHBXTYAYK
      UUGYBSYCYMYQYSYTUUIYDVHZYLYOYPQRYMUXQBYEDYPYOBYFYGUJYH $.
  $}

  ${
    $d A a $.  $d a b $.  $d a x $.  $d A x $.  $d a y $.  $d b w $.  $d b x $.
    $d b y $.  $d b z $.  $d l r $.  $d l x $.  $d r x $.  $d w x $.  $d w y $.
    $d w z $.  $d X x $.  $d x y $.  $d x z $.  $d y z $.
    $( A surreal is part of the set made by ordinal ` A ` iff its birthday is
       less than or equal to ` A ` .  Remark in [Conway] p. 29.  (Contributed
       by Scott Fenton, 19-Aug-2024.) $)
    madebday $p |- ( ( A e. On /\ X e. No ) -> ( X e. ( _M ` A ) <->
    ( bday ` X ) C_ A ) ) $=
      ( vx va vy vb wcel csur wa cmade cfv cbday wss cv wi fveq2 eleq2d imbi12d
      wral wceq madebdayim weq sseq2 ralbidv sseq1d eleq1 cbvralvw bitrdi wo wb
      con0 bdayelon onsseleq mpan ad2antrr simpll onelss madess syl2an2r simplr
      imp ssid simpr jca simpllr rspc2v sylc mpi sseldd cright madebdaylemlrcut
      ex cleft cscut co csslt wbr cold a1i lltropt leftssold rightssold madecut
      syl22anc adantl eqeltrrd raleq anbi1d mpbii adantll jaod sylbid ralrimiva
      com12 tfis3 rspccva sylan impbid2 ) AUKGZBHGZIBAJKZGZBLKZAMZABUAWSCNZLKZA
      MZXEXAGZOZCHSZWTXDXBOZXFDNZMZXEXLJKZGZOZCHSZENZLKZFNZMZXRXTJKZGZOZEHSZXJD
      FADFUBZXQXFXTMZXEYBGZOZCHSYEYFXPYICHYFXMYGXOYHXLXTXFUCYFXNYBXEXLXTJPQRUDY
      IYDCEHCEUBZYGYAYHYCYJXFXSXTXEXRLPUEXEXRYBUFRUGUHXLATZXPXICHYKXMXGXOXHXLAX
      FUCYKXNXAXEXLAJPQRUDXLUKGZYEFXLSZXQYLYMIZXPCHYNXEHGZIZXMXFXLGZXFXLTZUIZXO
      YLXMYSUJZYMYOXFUKGZYLYTXEULZXFXLUMUNUOYPYQXOYRYPYQXOYPYQIZXFJKZXNXEYPYLYQ
      XMUUDXNMYLYMYOUPYPYQXMYLYQXMOYMYOXLXFUQUOVAXFXLURUSUUCXFXFMZXEUUDGZXFVBUU
      CYQYOIYMUUEUUFOZUUCYQYOYPYQVCYNYOYQUTVDYLYMYOYQVEYDUUGXSXFMZXRUUDGZOFEXFX
      EXLHXTXFTZYAUUHYCUUIXTXFXSUCUUJYBUUDXRXTXFJPQRECUBZUUHUUEUUIUUFUUKXSXFXFX
      RXELPUEXRXEUUDUFRVFVGVHVIVLYMYOYRXOOYLYRYMYOIZXOYRYEFXFSZYOIZUUFOUULXOOUU
      NXEVMKZXEVJKZVNVOZXEUUDEXEFVKYOUUQUUDGZUUMYOUUAUUOUUPVPVQUUOXFVRKZMZUUPUU
      SMZUURUUAYOUUBVSXEVTUUTYOXEWAVSUVAYOXEWBVSXFUUPUUOWCWDWEWFYRUUNUULUUFXOYR
      UUMYMYOYEFXFXLWGWHYRUUDXNXEXFXLJPQRWIWNWJWKWLWMVLWOXIXKCBHXEBTZXGXDXHXBUV
      BXFXCAXEBLPUEXEBXAUFRWPWQWR $.
  $}

  ${
    $d A b y $.  $d X b y $.
    $( A surreal is part of the set older than ordinal ` A ` iff its birthday
       is less than ` A ` .  Remark in [Conway] p. 29.  (Contributed by Scott
       Fenton, 19-Aug-2024.) $)
    oldbday $p |- ( ( A e. On /\ X e. No ) -> ( X e. ( _Old ` A ) <->
     ( bday ` X ) e. A ) ) $=
      ( vy vb con0 wcel csur wa cold cfv cbday oldbdayim cv cmade wi wral simpl
      wss onelon madebday biimprd sylan anasss ralrimivva adantr madebdaylemold
      simpr syl3anc impbid2 ) AEFZBGFZHZBAIJFZBKJAFZABLULUJCMZKJDMZRZUOUPNJFZOZ
      CGPDAPZUKUNUMOUJUKQUJUTUKUJUSDCAGUJUPAFZUOGFZUSUJVAHUPEFZVBUSAUPSVCVBHURU
      QUPUOTUAUBUCUDUEUJUKUGCABDUFUHUI $.
  $}

  $( A surreal is an element of a new set iff its birthday is equal to that
     ordinal.  Remark in [Conway] p. 29.  (Contributed by Scott Fenton,
     19-Aug-2024.) $)
  newbday $p |- ( ( A e. On /\ X e. No ) -> ( X e. ( _N ` A ) <->
  ( bday ` X ) = A ) ) $=
    ( con0 wcel csur wa cmade cfv cold wn wss cnew wceq madebday oldbday notbid
    cbday wb adantr word anbi12d newval a1i eleq2d eldif bitrdi bdayelon onordi
    cdif eloni ordtri4 sylancr 3bitr4d ) ACDZBEDZFZBAGHZDZBAIHZDZJZFZBQHZAKZVCA
    DZJZFZBALHZDZVCAMZUPURVDVAVFABNUPUTVEABOPUAUNVIVBRUOUNVIBUQUSUIZDVBUNVHVKBV
    HVKMUNAUBUCUDBUQUSUEUFSUNVJVGRZUOUNVCTATVLVCBUGUHAUJVCAUKULSUM $.

  ${
    $d X b y $.
    $( A surreal is equal to the cut of its left and right sets.  (Contributed
       by Scott Fenton, 19-Aug-2024.) $)
    lrcut $p |- ( X e. No -> ( ( _L ` X ) |s ( _R ` X ) ) = X ) $=
      ( vy vb cv cbday cfv cmade wcel wi csur wral cleft cright cscut wceq con0
      wss co bdayelon oneli madebday biimprd sylan rgen2 madebdaylemlrcut mpan
      wa ) BDZEFCDZQZUHUIGFHZIZBJKCAEFZKAJHALFAMFNRAOULCBUMJUIUMHUIPHZUHJHZULUM
      UIASTUNUOUGUKUJUIUHUAUBUCUDBACUEUF $.
  $}

  ${
    $d x y $.
    $( The surreal cut function is onto.  (Contributed by Scott Fenton,
       23-Aug-2024.) $)
    scutfo $p |- |s : <<s -onto-> No $=
      ( vx vy csslt csur cscut wfo wf cv wceq wrex wral scutf wcel cleft cright
      cfv cop co wbr lltropt df-br sylib lrcut eqcomd fveq2 df-ov rspceeqv rgen
      eqtr4di syl2anc dffo3 mpbir2an ) CDEFCDEGAHZBHZEPZIBCJZADKLUPADUMDMZUMNPZ
      UMOPZQZCMZUMURUSERZIUPUQURUSCSVAUMTURUSCUAUBUQVBUMUMUCUDBUTCUOVBUMUNUTIUO
      UTEPVBUNUTEUEURUSEUFUIUGUJUHBACDEUKUL $.
  $}

  ${
    $d X x y $.  $d Y x y $.
    $( If ` X ` is less than ` Y ` , then either ` ( _L `` Y ) ` or
       ` ( _R `` X ) ` is non-empty.  (Contributed by Scott Fenton,
       10-Dec-2024.) $)
    sltn0 $p |- ( ( X e. No /\ Y e. No /\ X <s Y ) ->
     ( ( _L ` Y ) =/= (/) \/ ( _R ` X ) =/= (/) ) ) $=
      ( vy vx csur wcel wbr cv csle cleft cfv wrex cright wo c0 wne csslt cscut
      co wceq cslt w3a wa wb lltropt adantr adantl lrcut eqcomd sltrec syl22anc
      biimp3a rexn0 orim12i syl ) AEFZBEFZABUAGZUBACHIGZCBJKZLZDHBIGZDAMKZLZNZU
      TOPZVCOPZNUPUQURVEUPUQUCAJKZVCQGZUTBMKZQGZAVHVCRSZTZBUTVJRSZTZURVEUDUPVIU
      QAUEUFUQVKUPBUEUGUPVMUQUPVLAAUHUIUFUQVOUPUQVNBBUHUIUGVHVCUTVJABDCUJUKULVA
      VFVDVGUSCUTUMVBDVCUMUNUO $.
  $}

  $( If two surreals share a birthday, then the union of their left and right
     sets are equal.  (Contributed by Scott Fenton, 17-Sep-2024.) $)
  lruneq $p |- ( ( X e. No /\ Y e. No /\ ( bday ` X ) = ( bday ` Y ) ) ->
     ( ( _L ` X ) u. ( _R ` X ) ) = ( ( _L ` Y ) u. ( _R ` Y ) ) ) $=
    ( csur wcel cbday cfv wceq w3a cold cleft cright cun fveq2 3ad2ant3 3eqtr4g
    lrold ) ACDZBCDZAEFZBEFZGZHSIFZTIFZAJFAKFLBJFBKFLUAQUBUCGRSTIMNAPBPO $.

  ${
    $d X x $.  $d Y x $.
    $( If two surreals share a birthday, then ` X <s Y ` iff the left set of
       ` X ` is a proper subset of the left set of ` Y ` .  (Contributed by
       Scott Fenton, 17-Sep-2024.) $)
    sltlpss $p |- ( ( X e. No /\ Y e. No /\ ( bday ` X ) = ( bday ` Y ) ) ->
     ( X <s Y <-> ( _L ` X ) C. ( _L ` Y ) ) ) $=
      ( vx csur wcel cfv wceq cslt wbr wa wn cold adantr eleq2d a1i bitrdi cdif
      cun c0 cin cbday w3a cleft wpss cv oldssno sseli 3ad2ant2 simp1l1 simp1l2
      wss simp3 simp1r slttrd 3exp imdistand fveq2 3ad2ant3 anbi1d crab leftval
      sylibd rabid 3imtr4d ssrdv sltirr breq1 notbid syl5ibrcom con2d imp cscut
      cright simpr lruneq difeq12d difundir difid uneq1i 0un 3eqtri incom csslt
      simpll1 lltropt ssltdisj 3syl eqtr3id disjdif2 syl syl5eq simpll2 3eqtr3d
      co oveq12d lrcut mtand dfpss2 sylanbrc ex dfpss3 wex ssdif0 necon3bbii n0
      wne bitri eldif wo ianor bi2anan9r 3adant3 simprl simpl3 eleqtrrd pm2.24d
      wb fveq2d sselid csle simpl1 slenlt syl2anc biimpar simplrr slelttrd jaod
      expimpd sylbid syl5bi exlimdv adantld impbid ) ADEZBDEZAUAFZBUAFZGZUBZABH
      IZAUCFZBUCFZUDZYSYTUUCYSYTJZUUAUUBUKZUUAUUBGZKUUCUUDCUUAUUBUUDCUEZYPLFZEZ
      UUGAHIZJZUUGYQLFZEZUUGBHIZJZUUGUUAEZUUGUUBEZUUDUUKUUIUUNJUUOUUDUUIUUJUUNU
      UDUUIUUJUUNUUDUUIUUJUBUUGABUUIUUDUUGDEZUUJUUHDUUGYPUFUGUHYNYOYRYTUUIUUJUI
      YNYOYRYTUUIUUJUJUUDUUIUUJULYSYTUUIUUJUMUNUOUPUUDUUIUUMUUNUUDUUHUULUUGYSUU
      HUULGZYTYRYNUUSYOYPYQLUQURMNUSVBUUDUUPUUGUUJCUUHUTZEZUUKUUDUUAUUTUUGUUAUU
      TGZUUDCAVAZONUUJCUUHVCZPUUDUUQUUGUUNCUULUTZEZUUOUUDUUBUVEUUGUUBUVEGZUUDCB
      VAZONUUNCUULVCZPVDVEUUDUUFABGZYSYTUVJKYSUVJYTYSYTKUVJBBHIZKZYOYNUVLYRBVFU
      HUVJYTUVKABBHVGVHVIVJVKUUDUUFJZUUAAVMFZVLWNZUUBBVMFZVLWNZABUVMUUAUUBUVNUV
      PVLUUDUUFVNZUVMUUAUVNRZUUAQZUUBUVPRZUUBQZUVNUVPUVMUVSUWAUUAUUBUUDUVSUWAGZ
      UUFYSUWCYTABVOMMUVRVPUVMUVTUVNUUAQZUVNUVTUUAUUAQZUWDRSUWDRUWDUUAUVNUUAVQU
      WESUWDUUAVRVSUWDVTWAUVMUVNUUATZSGUWDUVNGUVMUWFUUAUVNTZSUUAUVNWBUVMYNUUAUV
      NWCIUWGSGYNYOYRYTUUFWDZAWEUUAUVNWFWGWHUVNUUAWIWJWKUVMUWBUVPUUBQZUVPUWBUUB
      UUBQZUWIRSUWIRUWIUUBUVPUUBVQUWJSUWIUUBVRVSUWIVTWAUVMUVPUUBTZSGUWIUVPGUVMU
      WKUUBUVPTZSUUBUVPWBUVMYOUUBUVPWCIUWLSGYNYOYRYTUUFWLZBWEUUBUVPWFWGWHUVPUUB
      WIWJWKWMWOUVMYNUVOAGUWHAWPWJUVMYOUVQBGUWMBWPWJWMWQUUAUUBWRWSWTUUCUUEUUBUU
      AUKZKZJYSYTUUAUUBXAYSUWOYTUUEUWOUUGUUBUUAQZEZCXBZYSYTUWOUWPSXFUWRUWNUWPSU
      UBUUAXCXDCUWPXEXGYSUWQYTCUWQUUQUUPKZJZYSYTUUGUUBUUAXHYSUWTUUOUUIKZUUJKZXI
      ZJZYTYNYOUWTUXDXQYRYOUUQUUOYNUWSUXCYOUUQUVFUUOYOUUBUVEUUGUVGYOUVHONUVIPYN
      UWSUUKKUXCYNUUPUUKYNUUPUVAUUKYNUUAUUTUUGUVBYNUVCONUVDPVHUUIUUJXJPXKXLYSUU
      OUXCYTYSUUOJZUXAYTUXBUXEUUIYTUXEUUGUULUUHYSUUMUUNXMZUXEYPYQLYNYOYRUUOXNXR
      XOXPUXEUXBYTUXEUXBJAUUGBYNYOYRUUOUXBWDUXEUURUXBUXEUULDUUGYQUFUXFXSZMYNYOY
      RUUOUXBWLUXEAUUGXTIZUXBUXEYNUURUXHUXBXQYNYOYRUUOYAUXGAUUGYBYCYDYSUUMUUNUX
      BYEYFWTYGYHYIYJYKYJYLYJYM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Surreal numbers: Cofinality and coinitiality
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A a b c x $.  $d B a b c x y $.  $d C a b c $.
    $( If every element of ` A ` is bounded by some element of ` B ` and ` B `
       precedes ` C ` , then ` A ` precedes ` C ` .  Note - we will often use
       the term "cofinal" to denote that every element of ` A ` is bounded
       above by some element of ` B ` .  Similarly, we will use the term
       "coinitial" to denote that every element of ` A ` is bounded below by
       some element of ` B ` .  (Contributed by Scott Fenton, 24-Sep-2024.) $)
    cofsslt $p |- ( ( A e. ~P No /\
     A. x e. A E. y e. B x <_s y /\ B <<s C ) -> A <<s C ) $=
      ( va vc vb csur wcel cv csle wbr wrex w3a cvv 3ad2ant3 elpwid wss sseldd
      cpw wral csslt simp1 ssltex2 ssltss2 cslt weq breq1 rexbidv simp2 rspcdva
      simp12 breq2 cbvrexvw wa simpl11 simpl2 simpl13 ssltss1 syl simprl simpl3
      sylib simprr ssltsepcd slelttrd rexlimddv ssltd ) CIUAZJZAKZBKZLMZBDNZACU
      BZDEUCMZOZFGCEVJPVKVPVQUDZVQVKEPJVPDEUEQVRCIVSRVQVKEISZVPDEUFZQVRFKZCJZGK
      ZEJZOZWBHKZLMZWBWDUGMHDWFWBVMLMZBDNZWHHDNWFVOWJACWBAFUHVNWIBDVLWBVMLUIUJV
      KVPVQWCWEUMVRWCWEUKULWIWHBHDVMWGWBLUNUOVDWFWGDJZWHUPZUPZWBWGWDWMCIWBWMCIV
      KVPVQWCWEWLUQRVRWCWEWLURTWMDIWGWMVQDISVKVPVQWCWEWLUSZDEUTVAWFWKWHVBZTWMEI
      WDWMVQVTWNWAVAVRWCWEWLVCZTWFWKWHVEWMDEWGWDWNWOWPVFVGVHVI $.
  $}

  ${
    $d A a b c $.  $d B a b c x $.  $d C a b c x y $.
    $( If ` B ` is coinitial with ` C ` and ` A ` precedes ` C ` , then ` A `
       precedes ` B ` .  (Contributed by Scott Fenton, 24-Sep-2024.) $)
    coinitsslt $p |- ( ( B e. ~P No /\
     A. x e. B E. y e. C y <_s x /\ A <<s C ) -> A <<s B ) $=
      ( va vb vc csur wcel cv csle wbr wrex w3a cvv 3ad2ant3 wss syl sseldd cpw
      wral csslt ssltex1 simp1 ssltss1 elpwid cslt breq2 rexbidv simp12 rspcdva
      simp3 breq1 cbvrexvw sylib wa simpl13 simpl2 ssltss2 simprl simpl1 simpl3
      weq ssltsepcd simprr sltletrd rexlimddv ssltd ) DIUAZJZBKZAKZLMZBENZADUBZ
      CEUCMZOZFGCDPVJVQVKCPJVPCEUDQVKVPVQUEZVQVKCIRZVPCEUFZQVRDIVSUGZVRFKZCJZGK
      ZDJZOZHKZWELMZWCWEUHMHEWGVLWELMZBENZWIHENWGVOWKADWEAGVDVNWJBEVMWEVLLUIUJV
      KVPVQWDWFUKVRWDWFUMULWJWIBHEVLWHWELUNUOUPWGWHEJZWIUQZUQZWCWHWEWNCIWCWNVQV
      TVKVPVQWDWFWMURZWASVRWDWFWMUSZTWNEIWHWNVQEIRWOCEUTSWGWLWIVAZTWNDIWEWNVRDI
      RVRWDWFWMVBWBSVRWDWFWMVCTWNCEWCWHWOWPWQVEWGWLWIVFVGVHVI $.
  $}

  ${
    $d A t x $.  $d B t z $.  $d C t x y $.  $d D t w z $.
    $( If ` C ` is cofinal with ` A ` and ` D ` is coinitial with ` B ` and the
       cut of ` A ` and ` B ` lies between ` C ` and ` D ` .  Then the cut of
       ` C ` and ` D ` is equal to the cut of ` A ` and ` B ` .  Theorem 2.6 of
       [Gonshor] p. 10.  (Contributed by Scott Fenton, 25-Sep-2024.) $)
    cofcut1 $p |- ( ( A <<s B /\
     ( A. x e. A E. y e. C x <_s y /\ A. z e. B E. w e. D w <_s z ) /\
     ( C <<s { ( A |s B ) } /\ { ( A |s B ) } <<s D ) ) ->
     ( A |s B ) = ( C |s D ) ) $=
      ( vt csslt wbr cv wa wceq cbday csur syl wss wcel cvv csle wrex cscut csn
      wral w3a cfv crab cima cint simp3l simp3r simp1 scutbday ssltex1 ad2antrr
      co cpw ssltss1 elpwd simpl2l adantr simpr cofsslt syl3anc ssltex2 ssltss2
      ex simpl2r coinitsslt anim12d ss2rabdv imass2 intss eqsstrd bdayfn ssrab2
      3syl wfn sneq breq2d breq1d anbi12d scutcld simp3 elrabd fnfvima mp3an12i
      intss1 eqssd wb c0 wne ovex snnz sslttr mp3an3 3ad2ant3 syl2anc mpbir3and
      eqscut eqcomd ) EFJKZALBLUAKBGUBAEUEZDLCLUAKDHUBCFUEZMZGEFUCUQZUDZJKZXHHJ
      KZMZUFZGHUCUQZXGXLXMXGNZXIXJXGOUGZOGILZUDZJKZXQHJKZMZIPUHZUIZUJZNZXCXFXIX
      JUKXCXFXIXJULXLXOYCXLXOOEXQJKZXQFJKZMZIPUHZUIZUJZYCXLXCXOYJNXCXFXKUMZIEFU
      NQXLYAYHRYBYIRYJYCRXLXTYGIPXLXPPSZMZXRYEXSYFYMXRYEYMXRMZEPURZSXDXRYEYNEPT
      XLETSZYLXRXLXCYPYKEFUOQUPXLEPRZYLXRXLXCYQYKEFUSQUPUTYMXDXRXDXEXCXKYLVAVBY
      MXRVCABEGXQVDVEVHYMXSYFYMXSMZFYOSXEXSYFYRFPTXLFTSZYLXSXLXCYSYKEFVFQUPXLFP
      RZYLXSXLXCYTYKEFVGQUPUTYMXEXSXDXEXCXKYLVIVBYMXSVCCDXQFHVJVEVHVKVLYAYHOVMY
      BYIVNVRVOXLXOYBSZYCXOROPVSYAPRXLXGYASUUAVPXTIPVQXLXTXKIXGPXPXGNZXRXIXSXJU
      UBXQXHGJXPXGVTZWAUUBXQXHHJUUCWBWCXLEFYKWDZXCXFXKWEWFPYAOXGWGWHXOYBWIQWJXL
      GHJKZXGPSXNXIXJYDUFWKXKXCUUEXFXIXJXHWLWMUUEXGEFUCWNWOGXHHWPWQWRUUDIHGXGXA
      WSWTXB $.
  $}

  ${
    $d A t u $.  $d A x $.  $d B r s $.  $d B z $.  $d C t $.  $d C x y $.
    $d D r $.  $d D w z $.
    $( If ` A ` and ` C ` are mutually cofinal and ` B ` and ` D ` are mutually
       coinitial, then the cut of ` A ` and ` B ` is equal to the cut of ` C `
       and ` D ` .  Theorem 2.7 of [Gonshor] p. 10.  (Contributed by Scott
       Fenton, 25-Sep-2024.) $)
    cofcut2 $p |- ( ( ( A <<s B /\ C e. ~P No /\ D e. ~P No ) /\
     ( A. x e. A E. y e. C x <_s y /\ A. z e. B E. w e. D w <_s z ) /\
     ( A. t e. C E. u e. A t <_s u /\ A. r e. D E. s e. B s <_s r ) ) ->
     ( A |s B ) = ( C |s D ) ) $=
      ( csslt wbr wcel w3a cv csle wrex wral csur cpw wa cscut csn simp11 simp2
      co wceq simp12 simp3l scutcut simp2d cofsslt syl3anc simp13 simp3r simp3d
      syl coinitsslt cofcut1 syl112anc ) GHMNZIUAUBZOZJVDOZPZAQBQRNBISAGTDQCQRN
      DJSCHTUCZFQEQRNEGSFITZKQLQRNKHSLJTZUCZPZVCVHIGHUDUHZUEZMNZVNJMNZVMIJUDUHU
      IVCVEVFVHVKUFZVGVHVKUGVLVEVIGVNMNZVOVCVEVFVHVKUJVGVHVIVJUKVLVMUAOZVRVNHMN
      ZVLVCVSVRVTPVQGHULUSZUMFEIGVNUNUOVLVFVJVTVPVCVEVFVHVKUPVGVHVIVJUQVLVSVRVT
      WAURLKVNJHUTUOABCDGHIJVAVB $.
  $}

  ${
    $d A a b t w z $.  $d A a b t x y $.  $d B a b t w z $.  $d B x y $.
    $d X a b w z $.  $d X x y $.
    $( If ` X ` is the cut of ` A ` and ` B ` , then ` A ` is cofinal with
       ` ( _L `` X ) ` and ` B ` is coinitial with ` ( _R `` X ) ` .  Theorem
       2.9 of [Gonshor] p. 12.  (Contributed by Scott Fenton, 25-Sep-2024.) $)
    cofcutr $p |- ( ( A <<s B /\ X = ( A |s B ) ) ->
     ( A. x e. ( _L ` X ) E. y e. A x <_s y /\
       A. z e. ( _R ` X ) E. w e. B w <_s z ) ) $=
      ( vt csslt wbr wa wral wcel cslt wn cbday wss csur adantr ad2antrr va cfv
      vb cscut co wceq cv csle wrex cright csn bdayelon onssneli cold leftssold
      cleft sselda con0 wb leftssno oldbday sylancr mpbid simplr fveq2d eleqtrd
      a1i nsyl3 crab cima cint scutbday ad3antrrr wfn bdayfn ssrab2 sneq breq2d
      weq breq1d anbi12d cvv snex ssltex2 snssd ssltss2 w3a simpr simpl scutcld
      eqeltrd leftval eleq2d rabid bitrdi simplbda simpllr simp3d ovex ssltsepc
      scutcut snid mp3an2 sylan eqbrtrd slttrd 3adant2 velsn breq1 sylbi mpbird
      3ad2ant2 ssltd anim1ci elrabd fnfvima mp3an12i intss1 syl eqsstrd ssltex1
      mtand jctir ssltss1 3jca brsslt sylanbrc rexnal ralcom xchbinx sylibr vex
      breq2 ralbidv notbid rexsn sylib slenlt rexbidva ralrimiva simp2d 3adant3
      syl2an2r rightssno mp3an3 breqtrrd rightval 3ad2ant3 anim1i jctil syl2anc
      rightssold jca ) EFIJZGEFUDUEZUFZKZAUGZBUGZUHJZBEUIZAGUPUBZLDUGZCUGZUHJZD
      FUIZCGUJUBZLUUQUVAAUVBUUQUURUVBMZKZUVAUUSUURNJZBELZOZUVIUUSHUGZNJZBELZOZH
      UURUKZUIZUVLUVIUVNHUVQLBELZOUVRUVIUVSEUVQIJZUVIUVTUUOPUBZUURPUBZQZUWCUWBU
      WAMUVIUWAUWBUUOULZUMUVIUWBGPUBZUWAUVIUURUWEUNUBZMZUWBUWEMZUUQUVBUWFUURUVB
      UWFQUUQGUOVGUQUVIUWEURMZUURRMZUWGUWHUSGULZUUQUVBRUURUVBRQUUQGUTVGUQZUWEUU
      RVAVBVCUVIGUUOPUUNUUPUVHVDVEVFVHUVIUVTKZUWAPEUVMUKZIJZUWNFIJZKZHRVIZVJZVK
      ZUWBUUNUWAUWTUFZUUPUVHUVTHEFVLZVMUWMUWBUWSMZUWTUWBQPRVNZUWRRQZUWMUURUWRMU
      XCVOUWQHRVPZUWMUWQUVTUVQFIJZKHUURRHAVSZUWOUVTUWPUXGUXHUWNUVQEIUVMUURVQZVR
      UXHUWNUVQFIUXIVTWAUVIUWJUVTUWLSUVIUXGUVTUVIUAUCUVQFWBWBUVQWBMZUVIUURWCZVG
      UUNFWBMZUUPUVHEFWDZTUVIUURRUWLWEUUNFRQZUUPUVHEFWFZTZUVIUAUGZUVQMZUCUGZFMZ
      WGUXQUXSNJZUURUXSNJZUVIUXTUYBUXRUVIUXTKZUURGUXSUVIUWJUXTUWLSUUQGRMZUVHUXT
      UUQGUUORUUNUUPWHUUQEFUUNUUPWIWJWKZTUVIFRUXSUXPUQUVIUURGNJZUXTUUQUVHUWGUYF
      UUQUVHUURUYFAUWFVIZMUWGUYFKUUQUVBUYGUURUVBUYGUFUUQAGWLVGWMUYFAUWFWNWOWPSU
      YCGUUOUXSNUUNUUPUVHUXTWQUVIUUOUKZFIJZUXTUUOUXSNJZUVIUUORMZEUYHIJZUYIUUNUY
      KUYLUYIWGZUUPUVHEFXAZTWRUYIUUOUYHMZUXTUYJUUOEFUDWSXBZUYHFUUOUXSWTXCXDXEXF
      XGUXRUVIUYAUYBUSZUXTUXRUAAVSUYQUAUURXHUXQUURUXSNXIXJXLXKXMXNXORUWRPUURXPX
      QUWBUWSXRXSXTYBUVIUVSKZEWBMZUXJKERQZUVQRQZUVSWGUVTUYRUYSUXJUUNUYSUUPUVHUV
      SEFYAZVMUXKYCUYRUYTVUAUVSUUNUYTUUPUVHUVSEFYDZVMUYRUURRUVIUWJUVSUWLSWEUVIU
      VSWHYEBHEUVQYFYGYBUVRUVOHUVQLUVSUVOHUVQYHUVNHBUVQEYIYJYKUVPUVLHUURAYLUXHU
      VOUVKUXHUVNUVJBEUVMUURUUSNYMYNYOYPYQUVIUVAUVJOZBEUIUVLUVIUUTVUDBEUVIUWJUU
      SEMUUSRMUUTVUDUSUWLUVIERUUSUUNUYTUUPUVHVUCTUQUURUUSYRUUCYSUVJBEYHWOXKYTUU
      QUVFCUVGUUQUVDUVGMZKZUVFUVDUVCNJZDFLZOZVUFUVMUVCNJZDFLZOZHUVDUKZUIZVUIVUF
      VUKHVUMLZOVUNVUFVUOVUMFIJZVUFVUPUWAUVDPUBZQZVURVUQUWAMVUFUWAVUQUWDUMVUFVU
      QUWEUWAVUFUVDUWFMZVUQUWEMZUUQUVGUWFUVDUVGUWFQUUQGUULVGUQVUFUWIUVDRMZVUSVU
      TUSUWKUUQUVGRUVDUVGRQUUQGUUDVGUQZUWEUVDVAVBVCVUFGUUOPUUNUUPVUEVDVEVFVHVUF
      VUPKZUWAUWTVUQUUNUXAUUPVUEVUPUXBVMVVCVUQUWSMZUWTVUQQUXDUXEVVCUVDUWRMVVDVO
      UXFVVCUWQEVUMIJZVUPKHUVDRHCVSZUWOVVEUWPVUPVVFUWNVUMEIUVMUVDVQZVRVVFUWNVUM
      FIVVGVTWAVUFVVAVUPVVBSVUFVVEVUPVUFUAUCEVUMWBWBUUNUYSUUPVUEVUBTVUMWBMZVUFU
      VDWCZVGUUNUYTUUPVUEVUCTZVUFUVDRVVBWEZVUFUXQEMZUXSVUMMZWGUYAUXQUVDNJZVUFVV
      LVVNVVMVUFVVLKZUXQGUVDVUFERUXQVVJUQUUQUYDVUEVVLUYETVUFVVAVVLVVBSVVOUXQUUO
      GNVUFUYLVVLUXQUUONJZVUFUYKUYLUYIUUNUYMUUPVUEUYNTUUAUYLVVLUYOVVPUYPEUYHUXQ
      UUOWTUUEXDUUNUUPVUEVVLWQUUFVUFGUVDNJZVVLUUQVUEVUSVVQUUQVUEUVDVVQCUWFVIZMV
      USVVQKUUQUVGVVRUVDUVGVVRUFUUQCGUUGVGWMVVQCUWFWNWOWPSXFUUBVVMVUFUYAVVNUSZV
      VLVVMUCCVSVVSUCUVDXHUXSUVDUXQNYMXJUUHXKXMUUIXORUWRPUVDXPXQVUQUWSXRXSXTYBV
      UFVUOKZVVHUXLKVUMRQZUXNVUOWGVUPVVTUXLVVHUUNUXLUUPVUEVUOUXMVMVVIUUJVVTVWAU
      XNVUOVUFVWAVUOVVKSUUNUXNUUPVUEVUOUXOVMVUFVUOWHYEHDVUMFYFYGYBVUKHVUMYHYKVU
      LVUIHUVDCYLVVFVUKVUHVVFVUJVUGDFUVMUVDUVCNXIYNYOYPYQVUFUVFVUGOZDFUIVUIVUFU
      VEVWBDFVUFUVCFMZKUVCRMVVAUVEVWBUSVUFFRUVCUUNUXNUUPVUEUXOTUQVUFVVAVWCVVBSU
      VCUVDYRUUKYSVUGDFYHWOXKYTUUM $.
  $}

  ${
    $d A x $.  $d A z $.  $d B x $.  $d B z $.  $d w z $.  $d X w $.
    $d X x y $.  $d X z $.
    $( If ` X ` is the cut of ` A ` and ` B ` and all of ` A ` and ` B ` are
       older than ` X ` , then ` ( _L `` X ) ` is cofinal with ` A ` and
       ` ( _R `` X ) ` is coinitial with ` B ` .  Note: we will call a cut
       where all of the elements of the cut are older than the cut itself a
       "timely" cut.  Part of Theorem 4.02(12) of [Alling] p. 125.
       (Contributed by Scott Fenton, 27-Sep-2024.) $)
    cofcutrtime $p |- ( ( ( A u. B ) C_ ( _Old ` ( bday ` X ) ) /\
    A <<s B /\ X = ( A |s B ) ) ->
     ( A. x e. A E. y e. ( _L ` X ) x <_s y /\
       A. z e. B E. w e. ( _R ` X ) w <_s z ) ) $=
      ( cfv wss csslt wbr wceq cv csle wcel wa cslt csur syl a1i cun cbday cold
      cscut co w3a cleft wrex wral cright ssun1 sstr 3ad2ant1 sselda csn simpl2
      mpan scutcut simp2d simpr ovex snid ssltsepcd simpl3 breqtrrd crab eleq2d
      leftval rabid bitrdi mpbir2and leftssno sselid slerflex syl2anc ralrimiva
      breq2 rspcev ssun2 simp3d eqbrtrd rightval rightssno breq1 jca ) EFUAZGUB
      HUCHZIZEFJKZGEFUDUEZLZUFZAMZBMZNKZBGUGHZUHZAEUIDMZCMZNKZDGUJHZUHZCFUIWLWQ
      AEWLWMEOZPZWMWPOZWMWMNKZWQXDXEWMWGOZWMGQKZWLEWGWMWHWIEWGIZWKEWFIWHXIEFUKE
      WFWGULUQUMUNXDWMWJGQXDEWJUOZWMWJXDWJROZEXJJKZXJFJKZXDWIXKXLXMUFZWHWIWKXCU
      PEFURZSUSWLXCUTWJXJOZXDWJEFUDVAVBZTVCWHWIWKXCVDVEXDXEWMXHAWGVFZOXGXHPXDWP
      XRWMWPXRLXDAGVHTVGXHAWGVIVJVKZXDWMROXFXDWPRWMGVLXSVMWMVNSWOXFBWMWPWNWMWMN
      VQVRVOVPWLXBCFWLWSFOZPZWSXAOZWSWSNKZXBYAYBWSWGOZGWSQKZWLFWGWSWHWIFWGIZWKF
      WFIWHYFFEVSFWFWGULUQUMUNYAGWJWSQWHWIWKXTVDYAXJFWJWSYAXKXLXMYAWIXNWHWIWKXT
      UPXOSVTXPYAXQTWLXTUTVCWAYAYBWSYECWGVFZOYDYEPYAXAYGWSXAYGLYACGWBTVGYECWGVI
      VJVKZYAWSROYCYAXARWSGWCYHVMWSVNSWTYCDWSXAWRWSWSNWDVRVOVPWE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Surreal numbers: Induction and recursion on one variable
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constant. $)
  $c norec $.

  $( Declare the syntax for surreal recursion of one variable. $)
  cnorec $a class norec ( F ) $.

  ${
    $d F x y $.
    $( Define the recursion generator for surreal functions of one variable.
       This generator creates a recursive function of surreals from their value
       on their left and right sets.  (Contributed by Scott Fenton,
       19-Aug-2024.) $)
    df-norec $a |- norec ( F ) =
     frecs ( { <. x , y >. | x e. ( ( _L ` y ) u. ( _R ` y ) ) } , No , F ) $.
  $}

  ${
    $d A x y $.  $d B x y $.
    lrrec.1 $e |- R = { <. x , y >. | x e. ( ( _L ` y ) u. ( _R ` y ) ) } $.
    $( The next step in the development of the surreals is to establish
       induction and recursion across left and right sets.  To that end, we are
       going to develop a relationship ` R ` that is founded, partial, and
       set-like across the surreals.  This first theorem just establishes the
       value of ` R ` .  (Contributed by Scott Fenton, 19-Aug-2024.) $)
    lrrecval $p |- ( ( A e. No /\ B e. No ) -> ( A R B <->
     A e. ( ( _L ` B ) u. ( _R ` B ) ) ) ) $=
      ( cv cleft cfv cright cun wcel csur eleq1 wceq fveq2 uneq12d eleq2d brabg
      ) AGZBGZHIZUAJIZKZLCUDLCDHIZDJIZKZLABCDMMETCUDNUADOZUDUGCUHUBUEUCUFUADHPU
      ADJPQRFS $.

    $( Next, we establish an alternate expression for ` R ` .  (Contributed by
       Scott Fenton, 19-Aug-2024.) $)
    lrrecval2 $p |- ( ( A e. No /\ B e. No ) -> ( A R B <->
     ( bday ` A ) e. ( bday ` B ) ) ) $=
      ( csur wcel wbr cleft cfv cright cun cbday cold lrrecval wceq lrold a1i
      wa eleq2d wb con0 bdayelon oldbday mpan adantr 3bitrd ) CGHZDGHZTZCDEICDJ
      KDLKMZHCDNKZOKZHZCNKUMHZABCDEFPUKULUNCULUNQUKDRSUAUIUOUPUBZUJUMUCHUIUQDUD
      UMCUEUFUGUH $.

    $d x y a b c $.  $d R a b c $.
    $( Now, we establish that ` R ` is a partial ordering on ` No ` .
       (Contributed by Scott Fenton, 19-Aug-2024.) $)
    lrrecpo $p |- R Po No $=
      ( va vb vc csur wtru cv wcel wbr cbday bdayelon wb lrrecval2 adantl wa wi
      cfv wpo onirri anidms mtbiri w3a con0 ontr1 ax-mp 3adant3 3adant1 anbi12d
      wn 3adant2 imbi12d mpbiri ispod mptru ) HCUAIEFGHCEJZHKZURURCLZULIUSUTURM
      TZVAKZVAURNUBUSUTVBOABURURCDPUCUDQUSFJZHKZGJZHKZUEZURVCCLZVCVECLZRZURVECL
      ZSZIVGVLVAVCMTZKZVMVEMTZKZRZVAVOKZSZVOUFKVSVENVAVMVOUGUHVGVJVQVKVRVGVHVNV
      IVPUSVDVHVNOVFABURVCCDPUIVDVFVIVPOUSABVCVECDPUJUKUSVFVKVROVDABURVECDPUMUN
      UOQUPUQ $.

    $( Next, we show that ` R ` is set-like over ` No ` .  (Contributed by
       Scott Fenton, 19-Aug-2024.) $)
    lrrecse $p |- R Se No $=
      ( vb va csur wse cv wbr crab cvv wcel df-se cleft cfv cright cun cin fvex
      lrrecval ancoms rabbidva cab dfrab2 abid2 ineq1i eqtri unex inex1 eqeltri
      wb eqeltrdi mprgbir ) GCHEIZFIZCJZEGKZLMFGFEGCNUPGMZURUOUPOPZUPQPZRZMZEGK
      ZLUSUQVCEGUOGMUSUQVCULABUOUPCDUAUBUCVDVBGSZLVDVCEUDZGSVEVCEGUEVFVBGEVBUFU
      GUHVBGUTVAUPOTUPQTUIUJUKUMUN $.

    $d R p q $.  $d a p q x y $.
    $( Now we show that ` R ` is founded over ` No ` .  (Contributed by Scott
       Fenton, 19-Aug-2024.) $)
    lrrecfr $p |- R Fr No $=
      ( va vq vp csur cv wss wa wn wral wrex cbday wcel wceq wex wb sylancr wfr
      c0 wne wbr wi df-fr cfv cima cint wfun bdayfun crn imassrn bdayrn sseqtri
      con0 cvv fvex jctr eximi n0 df-rex 3imtr4i isset eqcom exbii bitri rexbii
      wel rexcom4 sylib adantl bdayfn fvelimab mpan adantr exbidv mpbird sylibr
      wfn onint fvelima fnfvima mp3an1 onnmin ralrimiva eleq2 notbid syl5ibrcom
      adantlr ralbidv reximdv mpd simpll simprr sseldd simprl lrrecval2 syl2anc
      anassrs ralbidva rexbidva mpgbir ) HCUAEIZHJZXDUBUCZKZFIZGIZCUDZLZFXDMZGX
      DNZUEEEGFHCUFXGXMXHOUGZXIOUGZPZLZFXDMZGXDNZXGXOOXDUHZUIZQZGXDNZXSXGOUJYAX
      TPZYCUKXGXTUPJZXTUBUCZYDXTOULUPOXDUMUNUOZXGXIXTPZGRZYFXGYIXNXIQZFXDNZGRZX
      FYLXEXFXNUQPZFXDNZYLFEVIZFRYOYMKZFRXFYNYOYPFYOYMXHOURUSUTFXDVAYMFXDVBVCYN
      YJGRZFXDNYLYMYQFXDYMXIXNQZGRYQGXNVDYRYJGXIXNVEVFVGVHYJFGXDVJVGVKVLXGYHYKG
      XEYHYKSZXFOHVTZXEYSVMFHXDXIOVNVOVPVQVRGXTVAVSXTWATGYAXDOWBTXGYBXRGXDXGXRY
      BXNYAPZLZFXDMXGUUBFXDXGYOKYEXNXTPZUUBYGXEYOUUCXFYTXEYOUUCVMHXDOXHWCWDWJXT
      XNWETWFYBXQUUBFXDYBXPUUAXOYAXNWGWHWKWIWLWMXGXLXRGXDXGGEVIZKXKXQFXDXGUUDYO
      XKXQSXGUUDYOKZKZXJXPUUFXHHPXIHPXJXPSUUFXDHXHXEXFUUEWNZXGUUDYOWOWPUUFXDHXI
      UUGXGUUDYOWQWPABXHXICDWRWSWHWTXAXBVRXC $.

    $d A b $.
    $( Finally, we calculate the value of the predecessor class over ` R ` .
       (Contributed by Scott Fenton, 19-Aug-2024.) $)
    lrrecpred $p |- ( A e. No ->
    Pred ( R , No , A ) = ( ( _L ` A ) u. ( _R ` A ) ) ) $=
      ( vb csur wcel cpred wbr crab cleft cfv cright cun cin dfpred3g wss a1i
      cv lrrecval ancoms rabbidva cab dfrab2 abid2 ineq1i eqtri eqtrdi leftssno
      wb wceq rightssno unssd df-ss sylib 3eqtrd ) CGHZGDCIFTZCDJZFGKZCLMZCNMZO
      ZGPZVDFGDGCQURVAUSVDHZFGKZVEURUTVFFGUSGHURUTVFUKABUSCDEUAUBUCVGVFFUDZGPVE
      VFFGUEVHVDGFVDUFUGUHUIURVDGRVEVDULURVBVCGVBGRURCUJSVCGRURCUMSUNVDGUOUPUQ
      $.
  $}

  ${
    $d a b x y $.  $d A x $.  $d ch x $.  $d ph y $.  $d ps x $.
    noinds.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    noinds.2 $e |- ( x = A -> ( ph <-> ch ) ) $.
    noinds.3 $e |- ( x e. No ->
     ( A. y e. ( ( _L ` x ) u. ( _R ` x ) ) ps -> ph ) ) $.
    $( Induction principle for a single surreal.  If a property passes from a
       surreal's left and right sets to the surreal itself, then it holds for
       all surreals.  (Contributed by Scott Fenton, 19-Aug-2024.) $)
    noinds $p |- ( A e. No -> ch ) $=
      ( va vb csur cv cleft cfv cright cun wcel copab wral wfr wpo wse w3a eqid
      lrrecfr lrrecpo lrrecse 3pm3.2i cpred lrrecpred raleqdv sylbid frpoins3g
      mpan ) LJMKMZNOUPPOQRJKSZUAZLUQUBZLUQUCZUDFLRCURUSUTJKUQUQUEZUFJKUQVAUGJK
      UQVAUHUIABCDELFUQDMZLRZBELUQVBUJZTBEVBNOVBPOQZTAVCBEVDVEJKVBUQVAUKULIUMGH
      UNUO $.
  $}

  ${
    $d G x y $.  $d A x y $.
    norec.1 $e |- F = norec ( G ) $.
    $( Surreal recursion over one variable is a function over the surreals.
       (Contributed by Scott Fenton, 19-Aug-2024.) $)
    norecfn $p |- F Fn No $=
      ( vx vy csur cleft cfv cright cun wcel copab wfr wpo wse wfn eqid lrrecfr
      cv lrrecpo lrrecse cnorec cfrecs df-norec eqtri fpr1 mp3an ) FDSESZGHUHIH
      JKDELZMFUINFUIOAFPDEUIUIQZRDEUIUJTDEUIUJUAFUIABABUBFUIBUCCDEBUDUEUFUG $.

    $( Calculate the value of the surreal recursion operation.  (Contributed by
       Scott Fenton, 19-Aug-2024.) $)
    norecov $p |- ( A e. No ->
     ( F ` A ) = ( A G ( F |` ( ( _L ` A ) u. ( _R ` A ) ) ) ) ) $=
      ( vx vy csur wcel cfv cv cleft cright cun copab cpred cres co wfr wpo wse
      w3a wceq eqid lrrecfr lrrecpo lrrecse 3pm3.2i cnorec cfrecs df-norec fpr2
      eqtri mpan lrrecpred reseq2d oveq2d eqtrd ) AGHZABIZABGEJFJZKIUTLIMHEFNZA
      OZPZCQZABAKIALIMZPZCQGVARZGVASZGVATZUAURUSVDUBVGVHVIEFVAVAUCZUDEFVAVJUEEF
      VAVJUFUGGVABCABCUHGVACUIDEFCUJULUKUMURVCVFACURVBVEBEFAVAVJUNUOUPUQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Surreal numbers: Induction and recursion on two variables
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constant. $)
  $c norec2 $.

  $( Declare the syntax for surreal recursion on two arguments. $)
  cnorec2 $a class norec2 ( F ) $.

  ${
    $d F a b c d $.
    $( Define surreal recursion on two variables.  This function is key to the
       development of most of surreal numbers.  (Contributed by Scott Fenton,
       20-Aug-2024.) $)
    df-norec2 $a |- norec2 ( F ) = frecs (
     { <. a , b >. | ( a e. ( No X. No ) /\
    b e. ( No X. No )
     /\ ( ( ( 1st ` a ) { <. c , d >. | c e. ( ( _L ` d ) u. ( _R ` d ) ) }
            ( 1st ` b ) \/ ( 1st ` a ) = ( 1st ` b ) ) /\
          ( ( 2nd ` a ) { <. c , d >. | c e. ( ( _L ` d ) u. ( _R ` d ) ) }
            ( 2nd ` b ) \/ ( 2nd ` a ) = ( 2nd ` b ) ) /\
          a =/= b ) ) } , ( No X. No ) , F ) $.
  $}

  ${
    $d R x y $.  $d a b $.
    noxpord.1 $e |- R = { <. a , b >. | a e. ( ( _L ` b ) u. ( _R ` b ) ) } $.
    noxpord.2 $e |- S = { <. x , y >. | ( x e. ( No X. No ) /\
    y e. ( No X. No )
     /\ ( ( ( 1st ` x ) R ( 1st ` y ) \/ ( 1st ` x ) = ( 1st ` y ) ) /\
          ( ( 2nd ` x ) R ( 2nd ` y ) \/ ( 2nd ` x ) = ( 2nd ` y ) ) /\
          x =/= y ) ) } $.
    $( To get through most of the textbook defintions in surreal numbers we
       will need recursion on two variables.  This set of theorems sets up the
       preconditions for double recursion.  This theorem establishes the
       partial ordering.  (Contributed by Scott Fenton, 19-Aug-2024.) $)
    noxpordpo $p |- S Po ( No X. No ) $=
      ( csur cxp wpo wtru lrrecpo a1i poxp2 mptru ) IIJDKLABIICCDHICKLEFCGMNZQO
      P $.

    $( Next we establish the foundedness of the relationship.  (Contributed by
       Scott Fenton, 19-Aug-2024.) $)
    noxpordfr $p |- S Fr ( No X. No ) $=
      ( csur cxp wfr wtru lrrecfr a1i frxp2 mptru ) IIJDKLABIICCDHICKLEFCGMNZQO
      P $.

    $( Next we establish the set-like nature of the relationship.  (Contributed
       by Scott Fenton, 19-Aug-2024.) $)
    noxpordse $p |- S Se ( No X. No ) $=
      ( csur cxp wse wtru lrrecse a1i sexp2 mptru ) IIJDKLABIICCDHICKLEFCGMNZQO
      P $.

    $d A a $.  $d A b $.  $d a e $.  $d A e $.  $d a f $.  $d A f $.  $d A p $.
    $d A q $.  $d A x $.  $d A y $.  $d B a $.  $d B b $.  $d b e $.  $d B e $.
    $d b f $.  $d B f $.  $d B p $.  $d B q $.  $d B x $.  $d B y $.  $d e f $.
    $d e p $.  $d e q $.  $d f p $.  $d f q $.  $d p q $.  $d p x $.  $d p y $.
    $d q x $.  $d q y $.  $d R e $.  $d R f $.  $d R p $.  $d R q $.  $d S p $.
    $d S q $.
    $( Next we calculate the predecessor class of the relationship.
       (Contributed by Scott Fenton, 19-Aug-2024.) $)
    noxpordpred $p |- ( ( A e. No /\ B e. No ) ->
    Pred ( S , ( No X. No ) , <. A , B >. ) =
    ( ( ( ( ( _L ` A ) u. ( _R ` A ) ) u. { A } ) X.
    ( ( ( _L ` B ) u. ( _R ` B ) ) u. { B } ) ) \ { <. A , B >. } ) ) $=
      ( csur wcel cxp cpred csn cun cdif cleft cfv cright wa cop wceq lrrecpred
      xpord2pred adantr uneq1d adantl xpeq12d difeq1d eqtrd ) CKLZDKLZUAZKKMFCD
      UBZNKECNZCOZPZKEDNZDOZPZMZUOOZQCRSCTSPZUQPZDRSDTSPZUTPZMZVCQABKKEEFCDJUEU
      NVBVHVCUNURVEVAVGUNUPVDUQULUPVDUCUMGHCEIUDUFUGUNUSVFUTUMUSVFUCULGHDEIUDUH
      UGUIUJUK $.
  $}

  ${
    $d a b $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.  $d b x $.  $d b y $.
    $d B y $.  $d c d $.  $d ch y $.  $d et y $.  $d ph z $.  $d ps w $.
    $d ps x $.  $d R c $.  $d R d $.  $d R w $.  $d R z $.  $d S w $.
    $d S x $.  $d S y $.  $d S z $.  $d ta x $.  $d th z $.  $d w x $.
    $d w y $.  $d w z $.  $d x y $.  $d x z $.  $d y z $.
    no2indslem.a $e |- R = { <. a , b >. |
     a e. ( ( _L ` b ) u. ( _R ` b ) ) } $.
    no2indslem.b $e |- S = { <. c , d >. | ( c e. ( No X. No ) /\
    d e. ( No X. No )
     /\ ( ( ( 1st ` c ) R ( 1st ` d ) \/ ( 1st ` c ) = ( 1st ` d ) ) /\
          ( ( 2nd ` c ) R ( 2nd ` d ) \/ ( 2nd ` c ) = ( 2nd ` d ) ) /\
          c =/= d ) ) } $.
    no2indslem.1 $e |- ( x = z -> ( ph <-> ps ) ) $.
    no2indslem.2 $e |- ( y = w -> ( ps <-> ch ) ) $.
    no2indslem.3 $e |- ( x = z -> ( th <-> ch ) ) $.
    no2indslem.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    no2indslem.5 $e |- ( y = B -> ( ta <-> et ) ) $.
    no2indslem.i $e |- ( ( x e. No /\ y e. No ) ->
     ( ( A. z e. ( ( _L ` x ) u. ( _R ` x ) )
         A. w e. ( ( _L ` y ) u. ( _R ` y ) ) ch /\
         A. z e. ( ( _L ` x ) u. ( _R ` x ) ) ps /\
         A. w e. ( ( _L ` y ) u. ( _R ` y ) ) th ) -> ph ) ) $.
    $( Double induction on surreals with explicit notation for the
       relationships.  (Contributed by Scott Fenton, 22-Aug-2024.) $)
    no2indslem $p |- ( ( A e. No /\ B e. No ) -> et ) $=
      ( csur lrrecfr lrrecpo lrrecse cv wcel wa cpred wral w3a cleft cfv cright
      wceq lrrecpred adantr adantl raleqdv raleqbidv 3anbi123d sylbid xpord2ind
      cun ) ABCDEFQRUGUGMMNKLGHIJTOPMSUHZOPMSUIZOPMSUJZVJVKVLUAUBUCUDUEGUKZUGUL
      ZHUKZUGULZUMZCJUGMVOUNZUOZIUGMVMUNZUOZBIVTUOZDJVRUOZUPCJVOUQURVOUSURVIZUO
      ZIVMUQURVMUSURVIZUOZBIWFUOZDJWDUOZUPAVQWAWGWBWHWCWIVQVSWEIVTWFVNVTWFUTVPO
      PVMMSVAVBZVQCJVRWDVPVRWDUTVNOPVOMSVAVCZVDVEVQBIVTWFWJVDVQDJVRWDWKVDVFUFVG
      VH $.
  $}

  ${
    $d a b $.  $d a c $.  $d a d $.  $d a w $.  $d a x $.  $d A x $.  $d a y $.
    $d A y $.  $d a z $.  $d b c $.  $d b d $.  $d b w $.  $d b x $.  $d b y $.
    $d B y $.  $d b z $.  $d c d $.  $d c w $.  $d c x $.  $d c y $.  $d c z $.
    $d ch y $.  $d d w $.  $d d x $.  $d d y $.  $d d z $.  $d et y $.
    $d ph z $.  $d ps w $.  $d ps x $.  $d ta x $.  $d th z $.  $d w x $.
    $d w y $.  $d w z $.  $d x y $.  $d x z $.  $d y z $.
    no2inds.1 $e |- ( x = z -> ( ph <-> ps ) ) $.
    no2inds.2 $e |- ( y = w -> ( ps <-> ch ) ) $.
    no2inds.3 $e |- ( x = z -> ( th <-> ch ) ) $.
    no2inds.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    no2inds.5 $e |- ( y = B -> ( ta <-> et ) ) $.
    no2inds.i $e |- ( ( x e. No /\ y e. No ) ->
     ( ( A. z e. ( ( _L ` x ) u. ( _R ` x ) )
         A. w e. ( ( _L ` y ) u. ( _R ` y ) ) ch /\
         A. z e. ( ( _L ` x ) u. ( _R ` x ) ) ps /\
         A. w e. ( ( _L ` y ) u. ( _R ` y ) ) th ) -> ph ) ) $.
    $( Double induction on surreals.  The many substitution instances are to
       cover all possible cases.  (Contributed by Scott Fenton,
       22-Aug-2024.) $)
    no2inds $p |- ( ( A e. No /\ B e. No ) -> et ) $=
      ( cv cfv va vb vc cleft cright cun wcel copab csur cxp c1st wbr wceq c2nd
      vd wo wne w3a eqid no2indslem ) ABCDEFGHIJKLUASUBSZUDTVAUETUFUGUAUBUHZUCS
      ZUIUIUJZUGUOSZVDUGVCUKTZVEUKTZVBULVFVGUMUPVCUNTZVEUNTZVBULVHVIUMUPVCVEUQU
      RURUCUOUHZUAUBUCUOVBUSVJUSMNOPQRUT $.
  $}

  ${
    $d G a b c d $.  $d A a b c d $.  $d B a b c d $.
    norec2.1 $e |- F = norec2 ( G ) $.
    $( The double-recursion operator on surreals yields a function on pairs of
       surreals.  (Contributed by Scott Fenton, 20-Aug-2024.) $)
    norec2fn $p |- F Fn ( No X. No ) $=
      ( va vb vc vd csur cxp cv wcel c1st cfv copab wbr wceq wo c2nd w3a eqid
      cleft cright cun wne wfr wpo wse wfn noxpordfr noxpordpo noxpordse cfrecs
      cnorec2 df-norec2 eqtri fpr1 mp3an ) HHIZDJZURKEJZURKUSLMZUTLMZFJGJZUAMVC
      UBMUCKFGNZOVAVBPQUSRMZUTRMZVDOVEVFPQUSUTUDSSDENZUEURVGUFURVGUGAURUHDEVDVG
      FGVDTZVGTZUIDEVDVGFGVHVIUJDEVDVGFGVHVIUKURVGABABUMURVGBULCBDEFGUNUOUPUQ
      $.

    $( The value of the double-recursion surreal function.  (Contributed by
       Scott Fenton, 20-Aug-2024.) $)
    norec2ov $p |- ( ( A e. No /\ B e. No ) -> ( A F B ) =
     ( <. A , B >. G ( F |` ( ( ( ( ( _L ` A ) u. ( _R ` A ) ) u. { A } ) X.
    ( ( ( _L ` B ) u. ( _R ` B ) ) u. { B } ) ) \ { <. A , B >. } ) ) ) ) $=
      ( va vb vc vd csur wcel co cv cfv cleft cright cun wceq w3a csn cop copab
      wa cxp c1st wbr wo c2nd wne cpred cres cdif df-ov opelxp wfr wpo wse eqid
      noxpordfr noxpordpo noxpordse 3pm3.2i cnorec2 cfrecs df-norec2 eqtri fpr2
      mpan sylbir syl5eq noxpordpred reseq2d oveq2d eqtrd ) AJKBJKUCZABCLZABUAZ
      CJJUDZFMZVRKGMZVRKVSUENZVTUENZHMIMZONWCPNQKHIUBZUFWAWBRUGVSUHNZVTUHNZWDUF
      WEWFRUGVSVTUISSFGUBZVQUJZUKZDLZVQCAONAPNQATQBONBPNQBTQUDVQTULZUKZDLVOVPVQ
      CNZWJABCUMVOVQVRKZWMWJRZABJJUNVRWGUOZVRWGUPZVRWGUQZSWNWOWPWQWRFGWDWGHIWDU
      RZWGURZUSFGWDWGHIWSWTUTFGWDWGHIWSWTVAVBVRWGCDVQCDVCVRWGDVDEDFGHIVEVFVGVHV
      IVJVOWIWLVQDVOWHWKCFGABWDWGHIWSWTVKVLVMVN $.
  $}

  ${
    $d a b $.  $d a c $.  $d a d $.  $d a e $.  $d a f $.  $d a ps $.
    $d a rh $.  $d a th $.  $d a w $.  $d a x $.  $d a y $.  $d a z $.
    $d b c $.  $d b ch $.  $d b d $.  $d b e $.  $d b f $.  $d b mu $.
    $d b th $.  $d b w $.  $d b x $.  $d b y $.  $d b z $.  $d c d $.
    $d c e $.  $d c f $.  $d c la $.  $d c th $.  $d c w $.  $d c x $.
    $d c y $.  $d c z $.  $d ch f $.  $d d e $.  $d d f $.  $d d ph $.
    $d d ta $.  $d d w $.  $d d x $.  $d d y $.  $d d z $.  $d e et $.
    $d e f $.  $d e ps $.  $d e w $.  $d e x $.  $d e y $.  $d e z $.
    $d e ze $.  $d f si $.  $d f w $.  $d f x $.  $d f y $.  $d f z $.
    $d w x $.  $d w y $.  $d w z $.  $d X a $.  $d X b $.  $d X c $.  $d x y $.
    $d x z $.  $d Y b $.  $d Y c $.  $d y z $.  $d Z c $.
    no3inds.1 $e |- ( a = d -> ( ph <-> ps ) ) $.
    no3inds.2 $e |- ( b = e -> ( ps <-> ch ) ) $.
    no3inds.3 $e |- ( c = f -> ( ch <-> th ) ) $.
    no3inds.4 $e |- ( a = d -> ( ta <-> th ) ) $.
    no3inds.5 $e |- ( b = e -> ( et <-> ta ) ) $.
    no3inds.6 $e |- ( b = e -> ( ze <-> th ) ) $.
    no3inds.7 $e |- ( c = f -> ( si <-> ta ) ) $.
    no3inds.8 $e |- ( a = X -> ( ph <-> rh ) ) $.
    no3inds.9 $e |- ( b = Y -> ( rh <-> mu ) ) $.
    no3inds.10 $e |- ( c = Z -> ( mu <-> la ) ) $.
    no3inds.i $e |- ( ( a e. No /\ b e. No /\ c e. No ) ->
       ( ( ( A. d e. ( ( _L ` a ) u. ( _R ` a ) )
             A. e e. ( ( _L ` b ) u. ( _R ` b ) )
             A. f e. ( ( _L ` c ) u. ( _R ` c ) ) th /\
             A. d e. ( ( _L ` a ) u. ( _R ` a ) )
             A. e e. ( ( _L ` b ) u. ( _R ` b ) ) ch /\
             A. d e. ( ( _L ` a ) u. ( _R ` a ) )
             A. f e. ( ( _L ` c ) u. ( _R ` c ) ) ze )
             /\
             ( A. d e. ( ( _L ` a ) u. ( _R ` a ) ) ps /\
               A. e e. ( ( _L ` b ) u. ( _R ` b ) )
               A. f e. ( ( _L ` c ) u. ( _R ` c ) ) ta /\
               A. e e. ( ( _L ` b ) u. ( _R ` b ) ) si ) /\
             A. f e. ( ( _L ` c ) u. ( _R ` c ) ) et )
           -> ph ) ) $.
    $( Triple induction over surreal numbers.  (Contributed by Scott Fenton,
       9-Oct-2024.) $)
    no3inds $p |- ( ( X e. No /\ Y e. No /\ Z e. No ) -> la ) $=
      ( vz vw vx vy csur cleft cfv cright cun wcel copab cxp c1st wbr wceq c2nd
      cv wo w3a wne wa eqid lrrecfr lrrecpo lrrecse lrrecpred 3ad2ant1 3ad2ant2
      cpred wral 3ad2ant3 raleqdv raleqbidv 3anbi123d sylbid xpord3ind ) ABCDEF
      GHIJKULUMUPUPUPUNVHUOVHZUQURWHUSURUTVAUNUOVBZWIWIULVHZUPUPVCUPVCZVAUMVHZW
      KVAWJVDURZVDURZWLVDURZVDURZWIVEWNWPVFVIWMVGURZWOVGURZWIVEWQWRVFVIWJVGURZW
      LVGURZWIVEWSWTVFVIVJWJWLVKVLVJULUMVBZLMNOPQRSTXAVMUNUOWIWIVMZVNZUNUOWIXBV
      OZUNUOWIXBVPZXCXDXEXCXDXEUAUBUCUDUEUFUGUHUIUJQVHZUPVAZRVHZUPVAZSVHZUPVAZV
      JZDMUPWIXJVTZWAZLUPWIXHVTZWAZTUPWIXFVTZWAZCLXOWAZTXQWAZGMXMWAZTXQWAZVJZBT
      XQWAZEMXMWAZLXOWAZHLXOWAZVJZFMXMWAZVJDMXJUQURXJUSURUTZWAZLXHUQURXHUSURUTZ
      WAZTXFUQURXFUSURUTZWAZCLYLWAZTYNWAZGMYJWAZTYNWAZVJZBTYNWAZEMYJWAZLYLWAZHL
      YLWAZVJZFMYJWAZVJAXLYCYTYHUUEYIUUFXLXRYOXTYQYBYSXLXPYMTXQYNXGXIXQYNVFXKUN
      UOXFWIXBVQVRZXLXNYKLXOYLXIXGXOYLVFXKUNUOXHWIXBVQVSZXLDMXMYJXKXGXMYJVFXIUN
      UOXJWIXBVQWBZWCWDWDXLXSYPTXQYNUUGXLCLXOYLUUHWCWDXLYAYRTXQYNUUGXLGMXMYJUUI
      WCWDWEXLYDUUAYFUUCYGUUDXLBTXQYNUUGWCXLYEUUBLXOYLUUHXLEMXMYJUUIWCWDXLHLXOY
      LUUHWCWEXLFMXMYJUUIWCWEUKWFWG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Surreal numbers - addition, negation, and subtraction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constants. $)
  $c +s $.
  $c -us $.
  $c -s $.

  $( Declare the syntax for surreal addition. $)
  cadds $a class +s $.

  $( Declare the syntax for surreal negation. $)
  cnegs $a class -us $.

  $( Declare the syntax for surreal subtraction. $)
  csubs $a class -s $.

  ${
    $d x y z a l r $.
    $( Define surreal addition.  This is the first of the field operations on
       the surreals.  Definition from [Conway] p. 5.  Definition from [Gonshor]
       p. 13.  (Contributed by Scott Fenton, 20-Aug-2024.) $)
    df-adds $a |- +s = norec2 (
     ( x e. _V , a e. _V |->
     ( ( { y | E. l e. ( _L ` ( 1st ` x ) ) y = ( l a ( 2nd ` x ) ) } u.
         { z | E. l e. ( _L ` ( 2nd ` x ) ) z = ( ( 1st ` x ) a l ) } )
       |s
       ( { y | E. r e. ( _R ` ( 1st ` x ) ) y = ( r a ( 2nd ` x ) ) } u.
         { z | E. r e. ( _R ` ( 2nd ` x ) ) z = ( ( 1st ` x ) a r ) } )
         ) ) ) $.
  $}

  ${
    $d x n $.
    $( Define surreal negation.  Definition from [Conway] p. 5.  (Contributed
       by Scott Fenton, 20-Aug-2024.) $)
    df-negs $a |- -us = norec (
      ( x e. _V , n e. _V |-> ( ( n " ( _R ` x ) ) |s ( n " ( _L ` x ) ) ) )
      ) $.
  $}

  ${
    $d x y $.
    $( Define surreal subtraction.  (Contributed by Scott Fenton,
       20-Aug-2024.) $)
    df-subs $a |- -s = ( x e. No , y e. No |-> ( x +s ( -us ` y ) ) ) $.
  $}

  ${
    $d x n $.
    $( Surreal negation is a function over surreals.  (Contributed by Scott
       Fenton, 20-Aug-2024.) $)
    negsfn $p |- -us Fn No $=
      ( vx vn cnegs cvv cv cright cfv cima cleft cscut co cmpo df-negs norecfn
      ) CABDDBEZAEZFGHOPIGHJKLABMN $.
  $}

  ${
    $d A x n $.
    $( The value of the surreal negation function.  (Contributed by Scott
       Fenton, 20-Aug-2024.) $)
    negsval $p |- ( A e. No ->
    ( -us ` A ) = ( ( -us " ( _R ` A ) ) |s ( -us " ( _L ` A ) ) ) ) $=
      ( vx vn csur wcel cnegs cfv cleft cright cv cima cscut co wceq ax-mp fvex
      cvv a1i fveq2 imaeq2d cun cres cmpo df-negs norecov elex wfn negsfn fnfun
      wfun unex resfunexg mp2an ovexd oveq12d imaeq1 ovmpog syl3anc wss resima2
      eqid ssun2 ssun1 oveq12i 3eqtrd ) ADEZAFGAFAHGZAIGZUAZUBZBCQQCJZBJZIGZKZV
      KVLHGZKZLMZUCZMZVJVHKZVJVGKZLMZFVHKZFVGKZLMZAFVRBCUDUEVFAQEVJQEZWBQEVSWBN
      ADUFWFVFFUJZVIQEWFFDUGWGUHDFUIOVGVHAHPAIPUKFVIQULUMRVFVTWALUNBCAVJQQVQWBV
      RVKVHKZVKVGKZLMQVLANZVNWHVPWILWJVMVHVKVLAISTWJVOVGVKVLAHSTUOVKVJNWHVTWIWA
      LVKVJVHUPVKVJVGUPUOVRVAUQURWBWENVFVTWCWAWDLVHVIUSVTWCNVHVGVBFVHVIUTOVGVIU
      SWAWDNVGVHVCFVGVIUTOVDRVE $.
  $}

  $( Negative surreal zero is surreal zero.  (Contributed by Scott Fenton,
     20-Aug-2024.) $)
  negs0s $p |- ( -us ` 0s ) = 0s $=
    ( cnegs c0s cright cima cleft cscut co c0 right0s imaeq2i ima0 eqtri left0s
    cfv oveq12i csur wcel wceq 0sno negsval ax-mp df-0s 3eqtr4i ) ABCNZDZABENZD
    ZFGZHHFGBANZBUEHUGHFUEAHDZHUDHAIJAKZLUGUJHUFHAMJUKLOBPQUIUHRSBTUAUBUC $.

  ${
    $d A a l r x y z $.  $d B a l r x y z $.
    $( Surreal addition is a function over pairs of surreals.  (Contributed by
       Scott Fenton, 20-Aug-2024.) $)
    addsfn $p |- +s Fn ( No X. No ) $=
      ( vx va vy vl vz vr cadds cvv cv c2nd cfv co wceq c1st cleft wrex cab cun
      cright cscut cmpo df-adds norec2fn ) GABHHCIZDIZAIZJKZBIZLMDUFNKZOKPCQEIZ
      UIUEUHLMDUGOKPEQRUDFIZUGUHLMFUISKPCQUJUIUKUHLMFUGSKPEQRTLUAACEFBDUBUC $.

    $( The value of surreal addition.  Definition from [Conway] p. 5.
       (Contributed by Scott Fenton, 20-Aug-2024.) $)
    addsval $p |- ( ( A e. No /\ B e. No ) -> ( A +s B ) =
      ( ( { y | E. l e. ( _L ` A ) y = ( l +s B ) } u.
          { z | E. l e. ( _L ` B ) z = ( A +s l ) } )
       |s
       ( { y | E. r e. ( _R ` A ) y = ( r +s B ) } u.
         { z | E. r e. ( _R ` B ) z = ( A +s r ) } ) ) ) $=
      ( csur wcel cadds co cleft cfv cright cun wceq wrex cab eqeq2d abbidv wne
      vx va wa cop csn cxp cdif cres c2nd c1st cscut cmpo df-adds norec2ov opex
      cvv cv wfun addsfn fnfun ax-mp fvex unex snex xpex difexi resfunexg mp2an
      wfn 2fveq3 oveq2d rexeqbidv oveq1d uneq12d oveq12d oveq rexbidv eqid ovex
      fveq2 ovmpo op1stg fveq2d wb eleq2d op2ndg adantr elun1 syl snidg opelxpd
      adantl elun2 wo wn leftirr a1i eleq1 notbid syl5ibrcom necon2ad imp simpr
      simplr opthneg syl2anc mpbird eldifsn sylanbrc fvresd df-ov 3eqtr4g eqtrd
      orcd sylbida rexeqbidva olcd adantlr rightirr syl5eq ) CGHZDGHZUCZCDIJCDU
      DZICKLZCMLZNZCUEZNZDKLZDMLZNZDUEZNZUFZYDUEZUGZUHZUAUBUPUPAUQZFUQZUAUQZUIL
      ZUBUQZJZOZFUUAUJLZKLZPZAQZBUQZUUFYTUUCJZOZFUUBKLZPZBQZNZYSEUQZUUBUUCJZOZE
      UUFMLZPZAQZUUJUUFUUQUUCJZOZEUUBMLZPZBQZNZUKJZULZJZYSYTDIJZOZFYEPZAQZUUJCY
      TIJZOZFYJPZBQZNZYSUUQDIJZOZEYFPZAQZUUJCUUQIJZOZEYKPZBQZNZUKJZCDIUVJUAABEU
      BFUMUNYCUVKYSYTYDUILZYRJZOZFYDUJLZKLZPZAQZUUJUWNYTYRJZOZFUWKKLZPZBQZNZYSU
      UQUWKYRJZOZEUWNMLZPZAQZUUJUWNUUQYRJZOZEUWKMLZPZBQZNZUKJZUWJYDUPHYRUPHZUVK
      UXOOCDUOIURZYQUPHUXPIGGUFZVIUXQUSUXRIUTVAYOYPYIYNYGYHYEYFCKVBCMVBVCCVDVCY
      LYMYJYKDKVBDMVBVCDVDVCVEVFIYQUPVGVHUAUBYDYRUPUPUVIUXOUVJYSYTUWKUUCJZOZFUW
      OPZAQZUUJUWNYTUUCJZOZFUWTPZBQZNZYSUUQUWKUUCJZOZEUXFPZAQZUUJUWNUUQUUCJZOZE
      UXKPZBQZNZUKJUUAYDOZUUPUYGUVHUYPUKUYQUUIUYBUUOUYFUYQUUHUYAAUYQUUEUXTFUUGU
      WOUUAYDKUJVJUYQUUDUXSYSUYQUUBUWKYTUUCUUAYDUIVTZVKRVLSUYQUUNUYEBUYQUULUYDF
      UUMUWTUUAYDKUIVJUYQUUKUYCUUJUYQUUFUWNYTUUCUUAYDUJVTZVMRVLSVNUYQUVBUYKUVGU
      YOUYQUVAUYJAUYQUUSUYIEUUTUXFUUAYDMUJVJUYQUURUYHYSUYQUUBUWKUUQUUCUYRVKRVLS
      UYQUVFUYNBUYQUVDUYMEUVEUXKUUAYDMUIVJUYQUVCUYLUUJUYQUUFUWNUUQUUCUYSVMRVLSV
      NVOUUCYROZUYGUXCUYPUXNUKUYTUYBUWQUYFUXBUYTUYAUWPAUYTUXTUWMFUWOUYTUXSUWLYS
      YTUWKUUCYRVPRVQSUYTUYEUXABUYTUYDUWSFUWTUYTUYCUWRUUJUWNYTUUCYRVPRVQSVNUYTU
      YKUXHUYOUXMUYTUYJUXGAUYTUYIUXEEUXFUYTUYHUXDYSUUQUWKUUCYRVPRVQSUYTUYNUXLBU
      YTUYMUXJEUXKUYTUYLUXIUUJUWNUUQUUCYRVPRVQSVNVOUVJVRUXCUXNUKVSWAVHYCUXCUVTU
      XNUWIUKYCUWQUVOUXBUVSYCUWPUVNAYCUWMUVMFUWOYEYCUWNCKCDGGWBZWCZYCYTUWOHYTYE
      HZUWMUVMWDYCUWOYEYTVUBWEYCVUCUCZUWLUVLYSVUDUWLYTDYRJZUVLVUDUWKDYTYRYCUWKD
      OZVUCCDGGWFZWGVKVUDYTDUDZYRLVUHILVUEUVLVUDVUHYQIVUDVUHYOHVUHYDTZVUHYQHVUD
      YTDYIYNVUCYTYIHZYCVUCYTYGHVUJYTYEYFWHYTYGYHWHWIWLYCDYNHZVUCYBVUKYAYBDYMHV
      UKDGWJDYMYLWMWIWLZWGWKVUDVUIYTCTZDDTZWNZVUDVUMVUNYCVUCVUMYCVUCYTCYCVUCWOY
      TCOZCYEHZWOZVURYCCWPWQVUPVUCVUQYTCYEWRWSWTXAXBXNVUDVUCYBVUIVUOWDYCVUCXCYA
      YBVUCXDYTDCDYEGXEXFXGVUHYOYDXHXIXJYTDYRXKYTDIXKXLXMRXOXPSYCUXAUVRBYCUWSUV
      QFUWTYJYCUWKDKVUGWCZYCYTUWTHYTYJHZUWSUVQWDYCUWTYJYTVUSWEYCVUTUCZUWRUVPUUJ
      VVAUWRCYTYRJZUVPVVAUWNCYTYRYCUWNCOZVUTVUAWGVMVVACYTUDZYRLVVDILVVBUVPVVAVV
      DYQIVVAVVDYOHVVDYDTZVVDYQHVVACYTYIYNYCCYIHZVUTYCCYHHZVVFYAVVGYBCGWJWGZCYH
      YGWMZWIWGVUTYTYNHZYCVUTYTYLHVVJYTYJYKWHYTYLYMWHWIWLWKVVAVVECCTZYTDTZWNZVV
      AVVLVVKYCVUTVVLYCVUTYTDYCVUTWOYTDOZDYJHZWOZVVPYCDWPWQVVNVUTVVOYTDYJWRWSWT
      XAXBXQYAVUTVVEVVMWDYBCYTCDGYJXEXRXGVVDYOYDXHXIXJCYTYRXKCYTIXKXLXMRXOXPSVN
      YCUXHUWDUXMUWHYCUXGUWCAYCUXEUWBEUXFYFYCUWNCMVUAWCZYCUUQUXFHUUQYFHZUXEUWBW
      DYCUXFYFUUQVVQWEYCVVRUCZUXDUWAYSVVSUXDUUQDYRJZUWAVVSUWKDUUQYRYCVUFVVRVUGW
      GVKVVSUUQDUDZYRLVWAILVVTUWAVVSVWAYQIVVSVWAYOHVWAYDTZVWAYQHVVSUUQDYIYNVVRU
      UQYIHZYCVVRUUQYGHVWCUUQYFYEWMUUQYGYHWHWIWLYCVUKVVRVULWGWKVVSVWBUUQCTZVUNW
      NZVVSVWDVUNYCVVRVWDYCVVRUUQCYCVVRWOUUQCOZCYFHZWOZVWHYCCXSWQVWFVVRVWGUUQCY
      FWRWSWTXAXBXNVVSVVRYBVWBVWEWDYCVVRXCYAYBVVRXDUUQDCDYFGXEXFXGVWAYOYDXHXIXJ
      UUQDYRXKUUQDIXKXLXMRXOXPSYCUXLUWGBYCUXJUWFEUXKYKYCUWKDMVUGWCZYCUUQUXKHUUQ
      YKHZUXJUWFWDYCUXKYKUUQVWIWEYCVWJUCZUXIUWEUUJVWKUXICUUQYRJZUWEVWKUWNCUUQYR
      YCVVCVWJVUAWGVMVWKCUUQUDZYRLVWMILVWLUWEVWKVWMYQIVWKVWMYOHVWMYDTZVWMYQHVWK
      CUUQYIYNVWKVVGVVFYCVVGVWJVVHWGVVIWIVWKUUQYLHZUUQYNHVWJVWOYCUUQYKYJWMWLUUQ
      YLYMWHWIWKVWKVWNVVKUUQDTZWNZVWKVWPVVKYCVWJVWPYCVWJUUQDYCVWJWOUUQDOZDYKHZW
      OZVWTYCDXSWQVWRVWJVWSUUQDYKWRWSWTXAXBXQYAVWJVWNVWQWDYBCUUQCDGYKXEXRXGVWMY
      OYDXHXIXJCUUQYRXKCUUQIXKXLXMRXOXPSVNVOXTXM $.
  $}

  ${
    $d A a $.  $d a b $.  $d a w $.  $d a x $.  $d a y $.  $d a z $.  $d b w $.
    $d b x $.  $d b y $.  $d w x $.  $d w y $.  $d w z $.  $d x y $.  $d x z $.
    $d y z $.
    $( Surreal addition to zero is identity.  Part of Theorem 3 of [Conway]
       p. 17.  (Contributed by Scott Fenton, 20-Aug-2024.) $)
    addsid1 $p |- ( A e. No -> ( A +s 0s ) = A ) $=
      ( vb vx vy vz vw cv c0s cadds co wceq weq oveq1 eqeq12d wcel cfv cun wrex
      id c0 va csur cleft cright wral cab cscut 0sno addsval mpan2 adantr elun1
      simpr rspcva syl2anr eqeq2d equcom bitrdi rexbidva risset bitr4di abbi1dv
      rex0 left0s rexeqi mtbir abf a1i uneq12d un0 eqtrdi elun2 right0s oveq12d
      wa lrcut 3eqtrd ex noinds ) UAGZHIJZVTKZBGZHIJZWCKZAHIJZAKUABAUABLZWAWDVT
      WCVTWCHIMWGSNVTAKZWAWFVTAVTAHIMWHSNVTUBOZWEBVTUCPZVTUDPZQZUEZWBWIWMVOZWAC
      GZDGZHIJZKZDWJRZCUFZEGZVTWPIJKZDHUCPZRZEUFZQZWOFGZHIJZKZFWKRZCUFZXAVTXGIJ
      KZFHUDPZRZEUFZQZUGJZWJWKUGJZVTWIWAXQKZWMWIHUBOXSUHCEVTHFDUIUJUKWNXFWJXPWK
      UGWNXFWJTQWJWNWTWJXETWNWSCWJWNWSDCLZDWJRWOWJOWNWRXTDWJWNWPWJOZVOZWRCDLXTY
      BWQWPWOYAWPWLOWMWQWPKZWNWPWJWKULWIWMUMZWEYCBWPWLBDLZWDWQWCWPWCWPHIMYESNUN
      UOUPCDUQURUSDWOWJUTVAVBXETKWNXDEXDXBDTRXBDVCXBDXCTVDVEVFVGVHVIWJVJVKWNXPW
      KTQWKWNXKWKXOTWNXJCWKWNXJFCLZFWKRWOWKOWNXIYFFWKWNXGWKOZVOZXICFLYFYHXHXGWO
      YGXGWLOWMXHXGKZWNXGWKWJVLYDWEYIBXGWLBFLZWDXHWCXGWCXGHIMYJSNUNUOUPCFUQURUS
      FWOWKUTVAVBXOTKWNXNEXNXLFTRXLFVCXLFXMTVMVEVFVGVHVIWKVJVKVNWIXRVTKWMVTVPUK
      VQVRVS $.
  $}

  ${
    addsid1d.1 $e |- ( ph -> A e. No ) $.
    $( Surreal addition to zero is identity.  Part of Theorem 3 of [Conway]
       p. 17.  (Contributed by Scott Fenton, 20-Aug-2024.) $)
    addsid1d $p |- ( ph -> ( A +s 0s ) = A ) $=
      ( csur wcel c0s cadds co wceq addsid1 syl ) ABDEBFGHBICBJK $.
  $}

  ${
    $d A x $.  $d A y $.  $d B y $.  $d l r $.  $d l w $.  $d l x $.
    $d l xO $.  $d l y $.  $d l yO $.  $d l z $.  $d r w $.  $d r x $.
    $d r xO $.  $d r y $.  $d r yO $.  $d r z $.  $d w x $.  $d w xO $.
    $d w y $.  $d w yO $.  $d w z $.  $d x xO $.  $d x y $.  $d x yO $.
    $d x z $.  $d xO y $.  $d xO yO $.  $d xO z $.  $d y yO $.  $d y z $.
    $d yO z $.
    $( Surreal addition commutes.  Part of Theorem 3 of [Conway] p. 17.
       (Contributed by Scott Fenton, 20-Aug-2024.) $)
    addscom $p |- ( ( A e. No /\ B e. No ) -> ( A +s B ) = ( B +s A ) ) $=
      ( vxo vyo vw vl vz vr cv cadds wceq weq oveq1 oveq2 eqeq12d wcel cun wrex
      co cab vx vy csur wa cleft cfv cright wral w3a cscut simpr2 elun1 rspccva
      syl2an eqeq2d rexbidva abbidv simpr3 uneq12d uncom eqtrdi oveq12d addsval
      elun2 adantr ancoms 3eqtr4d ex no2inds ) UAIZUBIZJSZVKVJJSZKZCIZVKJSZVKVO
      JSZKZVODIZJSZVSVOJSZKZVJVSJSZVSVJJSZKZAVKJSZVKAJSZKABJSZBAJSZKUAUBCDABUAC
      LZVLVPVMVQVJVOVKJMVJVOVKJNOUBDLVPVTVQWAVKVSVOJNVKVSVOJMOWJWCVTWDWAVJVOVSJ
      MVJVOVSJNOVJAKVLWFVMWGVJAVKJMVJAVKJNOVKBKWFWHWGWIVKBAJNVKBAJMOVJUCPZVKUCP
      ZUDZWBDVKUEUFZVKUGUFZQZUHCVJUEUFZVJUGUFZQZUHZVRCWSUHZWEDWPUHZUIZVNWMXCUDZ
      EIZFIZVKJSZKZFWQRZETZGIZVJXFJSZKZFWNRZGTZQZXEHIZVKJSZKZHWRRZETZXKVJXQJSZK
      ZHWORZGTZQZUJSZXKXFVJJSZKZFWNRZGTZXEVKXFJSZKZFWQRZETZQZXKXQVJJSZKZHWORZGT
      ZXEVKXQJSZKZHWRRZETZQZUJSZVLVMXDXPYPYFUUEUJXDXPYOYKQYPXDXJYOXOYKXDXIYNEXD
      XHYMFWQXDXFWQPZUDXGYLXEXDXAXFWSPXGYLKZUUGWMWTXAXBUKZXFWQWRULVRUUHCXFWSCFL
      VPXGVQYLVOXFVKJMVOXFVKJNOUMUNUOUPUQXDXNYJGXDXMYIFWNXDXFWNPZUDXLYHXKXDXBXF
      WPPXLYHKZUUJWMWTXAXBURZXFWNWOULWEUUKDXFWPDFLWCXLWDYHVSXFVJJNVSXFVJJMOUMUN
      UOUPUQUSYOYKUTVAXDYFUUDYTQUUEXDYAUUDYEYTXDXTUUCEXDXSUUBHWRXDXQWRPZUDXRUUA
      XEXDXAXQWSPXRUUAKZUUMUUIXQWRWQVDVRUUNCXQWSCHLVPXRVQUUAVOXQVKJMVOXQVKJNOUM
      UNUOUPUQXDYDYSGXDYCYRHWOXDXQWOPZUDYBYQXKXDXBXQWPPYBYQKZUUOUULXQWOWNVDWEUU
      PDXQWPDHLWCYBWDYQVSXQVJJNVSXQVJJMOUMUNUOUPUQUSUUDYTUTVAVBWMVLYGKXCEGVJVKH
      FVCVEWMVMUUFKZXCWLWKUUQGEVKVJHFVCVFVEVGVHVI $.
  $}

  ${
    addscomd.1 $e |- ( ph -> A e. No ) $.
    addscomd.2 $e |- ( ph -> B e. No ) $.
    $( Surreal addition commutes.  Part of Theorem 3 of [Conway] p. 17.
       (Contributed by Scott Fenton, 20-Aug-2024.) $)
    addscomd $p |- ( ph -> ( A +s B ) = ( B +s A ) ) $=
      ( csur wcel cadds co wceq addscom syl2anc ) ABFGCFGBCHICBHIJDEBCKL $.
  $}

  ${
    $d A l $.  $d A r $.  $d A x $.  $d A y $.  $d B l $.  $d B r $.  $d B x $.
    $d B y $.  $d l r $.  $d l x $.  $d l y $.  $d r x $.  $d r y $.  $d x y $.
    $( Lemma for addscl (future) Alternate expression for surreal addition.
       (Contributed by Scott Fenton, 23-Aug-2024.) $)
    addscllem1 $p |- ( ( A e. No /\ B e. No ) -> ( A +s B ) =
    ( ( ( +s " ( ( _L ` A ) X. { B } ) ) u.
        ( +s " ( { A } X. ( _L ` B ) ) ) )
       |s
      ( ( +s " ( ( _R ` A ) X. { B } ) ) u.
        ( +s " ( { A } X. ( _R ` B ) ) ) ) ) ) $=
      ( vx vl vy vr csur wcel cadds co cv wceq cfv wrex cab cun cxp cima wss wb
      wa cleft cright cscut csn addsval wfn addsfn leftssno snssi xpss12 syl2an
      a1i sylancr oveq2 eqeq2d rexsng adantl rexbidv bitrd abbi2dv oveq1 adantr
      ovelimab uneq12d rightssno oveq12d eqtr4d ) AGHZBGHZUAZABIJCKZDKZBIJZLZDA
      UBMZNZCOZEKZAVMIJZLZDBUBMZNZEOZPZVLFKZBIJZLZFAUCMZNZCOZVSAWFIJZLZFBUCMZNZ
      EOZPZUDJIVPBUEZQZRZIAUEZWBQZRZPZIWIWRQZRZIXAWNQZRZPZUDJCEABFDUFVKXDWEXIWQ
      UDVKWTVRXCWDVKVQCWTVKVLWTHZVLVMWFIJZLZFWRNZDVPNZVQVKIGGQZUGZWSXOSZXJXNTUH
      VIVPGSZWRGSZXQVJXRVIAUIUMBGUJZVPGWRGUKULDFXOVPWRVLIVDUNVKXMVODVPVJXMVOTVI
      XLVOFBGWFBLXKVNVLWFBVMIUOUPUQURUSUTVAVKWCEXCVKVSXCHZVSWFVMIJZLZDWBNZFXANZ
      WCVKXPXBXOSZYAYETUHVIXAGSZWBGSZYFVJAGUJZYHVJBUIUMXAGWBGUKULFDXOXAWBVSIVDU
      NVIYEWCTVJYDWCFAGWFALZYCWADWBYJYBVTVSWFAVMIVBUPUSUQVCUTVAVEVKXFWKXHWPVKWJ
      CXFVKVLXFHZVLYBLZDWRNZFWINZWJVKXPXEXOSZYKYNTUHVIWIGSZXSYOVJYPVIAVFUMXTWIG
      WRGUKULFDXOWIWRVLIVDUNVKYMWHFWIVJYMWHTVIYLWHDBGVMBLYBWGVLVMBWFIUOUPUQURUS
      UTVAVKWOEXHVKVSXHHZVSXKLZFWNNZDXANZWOVKXPXGXOSZYQYTTUHVIYGWNGSZUUAVJYIUUB
      VJBVFUMXAGWNGUKULDFXOXAWNVSIVDUNVIYTWOTVJYSWODAGVMALZYRWMFWNUUCXKWLVSVMAW
      FIVBUPUSUQVCUTVAVEVGVH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Quantifier-free definitions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c (x) Bigcup SSet Trans Limits Fix Funs Singleton Singletons Image Cart $.
  $c Img Domain Range pprod Apply Cup Cap Succ Funpart FullFun Restrict $.
  $c UB LB $.
  $( Declare the syntax for tail Cartesian product. $)
  ctxp $a class ( A (x) B ) $.
  $( Declare the syntax for the parallel product. $)
  cpprod $a class pprod ( R , S ) $.
  $( Declare the subset relationship class. $)
  csset $a class SSet $.
  $( Declare the transitive set class. $)
  ctrans $a class Trans $.
  $( Declare the set union relationship. $)
  cbigcup $a class Bigcup $.
  $( Declare the syntax for the fixpoints of a class. $)
  cfix $a class Fix A $.
  $( Declare the class of limit ordinals. $)
  climits $a class Limits $.
  $( Declare the syntax for the class of all function. $)
  cfuns $a class Funs $.
  $( Declare the syntax for the singleton function. $)
  csingle $a class Singleton $.
  $( Declare the syntax for the class of all singletons. $)
  csingles $a class Singletons $.
  $( Declare the syntax for the image functor. $)
  cimage $a class Image A $.
  $( Declare the syntax for the cartesian function. $)
  ccart $a class Cart $.
  $( Declare the syntax for the image function. $)
  cimg $a class Img $.
  $( Declare the syntax for the domain function. $)
  cdomain $a class Domain $.
  $( Declare the syntax for the range function. $)
  crange $a class Range $.
  $( Declare the syntax for the application function. $)
  capply $a class Apply $.
  $( Declare the syntax for the cup function. $)
  ccup $a class Cup $.
  $( Declare the syntax for the cap function. $)
  ccap $a class Cap $.
  $( Declare the syntax for the successor function. $)
  csuccf $a class Succ $.
  $( Declare the syntax for the functional part functor. $)
  cfunpart $a class Funpart F $.
  $( Declare the syntax for the full function functor. $)
  cfullfn $a class FullFun F $.
  $( Declare the syntax for the restriction function. $)
  crestrict $a class Restrict $.
  $( Declare the syntax for the upper bound relationship functor. $)
  cub $a class UB R $.
  $( Declare the syntax for the lower bound relationship functor. $)
  clb $a class LB R $.

  $( Define the tail cross of two classes.  Membership in this class is defined
     by ~ txpss3v and ~ brtxp .  (Contributed by Scott Fenton, 31-Mar-2012.) $)
  df-txp $a |- ( A (x) B ) = ( ( `' ( 1st |` ( _V X. _V ) ) o. A ) i^i
                               ( `' ( 2nd |` ( _V X. _V ) ) o. B ) ) $.

  $( Define the parallel product of two classes.  Membership in this class is
     defined by ~ pprodss4v and ~ brpprod .  (Contributed by Scott Fenton,
     11-Apr-2014.) $)
  df-pprod $a |- pprod ( A , B ) =
     ( ( A o. ( 1st |` ( _V X. _V ) ) ) (x)
       ( B o. ( 2nd |` ( _V X. _V ) ) ) ) $.

  $( Define the subset class.  For the value, see ~ brsset .  (Contributed by
     Scott Fenton, 31-Mar-2012.) $)
  df-sset $a |- SSet = ( ( _V X. _V ) \ ran ( _E (x) ( _V \ _E ) ) ) $.

  $( Define the class of all transitive sets.  (Contributed by Scott Fenton,
     31-Mar-2012.) $)
  df-trans $a |- Trans = ( _V \ ran ( ( _E o. _E ) \ _E ) ) $.

  $( Define the Bigcup function, which, per ~ fvbigcup , carries a set to its
     union.  (Contributed by Scott Fenton, 11-Apr-2012.) $)
  df-bigcup $a |- Bigcup = ( ( _V X. _V ) \
     ran ( ( _V (x) _E ) /_\ ( ( _E o. _E ) (x) _V ) ) ) $.

  $( Define the class of all fixpoints of a relationship.  (Contributed by
     Scott Fenton, 11-Apr-2012.) $)
  df-fix $a |- Fix A = dom ( A i^i _I ) $.

  $( Define the class of all limit ordinals.  (Contributed by Scott Fenton,
     11-Apr-2012.) $)
  df-limits $a |- Limits = ( ( On i^i Fix Bigcup ) \ { (/) } ) $.

  $( Define the class of all functions.  See ~ elfuns for membership.
     (Contributed by Scott Fenton, 18-Feb-2013.) $)
  df-funs $a |- Funs =
    ( ~P ( _V X. _V ) \
      Fix ( _E o. ( ( 1st (x) ( ( _V \ _I ) o. 2nd ) ) o. `' _E ) ) ) $.

  $( Define the singleton function.  See ~ brsingle for its value.
     (Contributed by Scott Fenton, 4-Apr-2014.) $)
  df-singleton $a |- Singleton =
     ( ( _V X. _V ) \ ran ( ( _V (x) _E ) /_\ ( _I (x) _V ) ) ) $.

  $( Define the class of all singletons.  See ~ elsingles for membership.
     (Contributed by Scott Fenton, 19-Feb-2013.) $)
  df-singles $a |- Singletons = ran Singleton $.

  $( Define the image functor.  This function takes a set ` A ` to a function
     ` x |-> ( A " x ) ` , providing that the latter exists.  See ~ imageval
     for the derivation.  (Contributed by Scott Fenton, 27-Mar-2014.) $)
  df-image $a |- Image A = ( ( _V X. _V ) \
           ran ( ( _V (x) _E ) /_\ ( ( _E o. `' A ) (x) _V ) ) ) $.

  $( Define the cartesian product function.  See ~ brcart for its value.
     (Contributed by Scott Fenton, 11-Apr-2014.) $)
  df-cart $a |- Cart = ( ( ( _V X. _V ) X. _V ) \
    ran ( ( _V (x) _E ) /_\ ( pprod ( _E , _E ) (x) _V ) ) ) $.

  $( Define the image function.  See ~ brimg for its value.  (Contributed by
     Scott Fenton, 12-Apr-2014.) $)
  df-img $a |- Img = ( Image ( ( 2nd o. 1st ) |` ( 1st |` ( _V X. _V ) ) )
                       o. Cart ) $.

  $( Define the domain function.  See ~ brdomain for its value.  (Contributed
     by Scott Fenton, 11-Apr-2014.) $)
  df-domain $a |- Domain = Image ( 1st |` ( _V X. _V ) ) $.

  $( Define the range function.  See ~ brrange for its value.  (Contributed by
     Scott Fenton, 11-Apr-2014.) $)
  df-range $a |- Range = Image ( 2nd |` ( _V X. _V ) ) $.

  $( Define the little cup function.  See ~ brcup for its value.  (Contributed
     by Scott Fenton, 14-Apr-2014.) $)
  df-cup $a |- Cup = ( ( ( _V X. _V ) X. _V ) \
  ran ( ( _V (x) _E ) /_\
        ( ( ( `' 1st o. _E ) u. ( `' 2nd o. _E ) ) (x) _V ) ) ) $.

  $( Define the little cap function.  See ~ brcap for its value.  (Contributed
     by Scott Fenton, 17-Apr-2014.) $)
  df-cap $a |- Cap = ( ( ( _V X. _V ) X. _V ) \
  ran ( ( _V (x) _E ) /_\
        ( ( ( `' 1st o. _E ) i^i ( `' 2nd o. _E ) ) (x) _V ) ) ) $.

  $( Define the restriction function.  See ~ brrestrict for its value.
     (Contributed by Scott Fenton, 17-Apr-2014.) $)
  df-restrict $a |- Restrict = ( Cap o.
    ( 1st (x) ( Cart o. ( 2nd (x) ( Range o. 1st ) ) ) ) ) $.

  $( Define the successor function.  See ~ brsuccf for its value.  (Contributed
     by Scott Fenton, 14-Apr-2014.) $)
  df-succf $a |- Succ = ( Cup o. ( _I (x) Singleton ) ) $.

  $( Define the application function.  See ~ brapply for its value.
     (Contributed by Scott Fenton, 12-Apr-2014.) $)
  df-apply $a |- Apply = ( ( Bigcup o. Bigcup ) o.
  ( ( ( _V X. _V ) \
      ran ( ( _V (x) _E ) /_\ ( ( _E |` Singletons ) (x) _V ) ) ) o.
  ( ( Singleton o. Img ) o. pprod ( _I , Singleton ) ) ) ) $.

  $( Define the functional part of a class ` F ` .  This is the maximal part of
     ` F ` that is a function.  See ~ funpartfun and ~ funpartfv for the
     meaning of this statement.  (Contributed by Scott Fenton, 16-Apr-2014.) $)
  df-funpart $a |- Funpart F =
             ( F |` dom ( ( Image F o. Singleton ) i^i ( _V X. Singletons ) ) )
      $.

  $( Define the full function over ` F ` .  This is a function with domain
     ` _V ` that always agrees with ` F ` for its value.  (Contributed by Scott
     Fenton, 17-Apr-2014.) $)
  df-fullfun $a |- FullFun F = ( Funpart F u. ( ( _V \ dom Funpart F ) X. { (/)
      } ) ) $.

  $( Define the upper bound relationship functor.  See ~ brub for value.
     (Contributed by Scott Fenton, 3-May-2018.) $)
  df-ub $a |- UB R = ( ( _V X. _V ) \ ( ( _V \ R ) o. `' _E ) ) $.

  $( Define the lower bound relationship functor.  See ~ brlb for value.
     (Contributed by Scott Fenton, 3-May-2018.) $)
  df-lb $a |- LB R = UB `' R $.

  ${
    $d A x y z $.  $d B x y z $.
    $( A tail Cartesian product is a subset of the class of ordered triples.
       (Contributed by Scott Fenton, 31-Mar-2012.) $)
    txpss3v $p |- ( A (x) B ) C_ ( _V X. ( _V X. _V ) ) $=
      ( vx vy vz ctxp c1st cvv cxp cres ccnv ccom c2nd cin df-txp inss1 cv wcel
      wbr vex relco wa wex cop brcnv brresi simplbi sylbi adantl exlimiv opelco
      opelxp mpbiran 3imtr4i relssi sstri eqsstri ) ABFGHHIZJZKZALZMURJKBLZNZHU
      RIZABOVCVAVDVAVBPCDVAVDUTAUACQZEQZASZVFDQZUTSZUBZEUCVHURRZVEVHUDZVARVLVDR
      ZVJVKEVIVKVGVIVHVFUSSZVKVFVHUSETZDTZUEVNVKVHVFGSURVHVFGVOUFUGUHUIUJEVEVHU
      TACTZVPUKVMVEHRVKVQVEVHHURULUMUNUOUPUQ $.
  $}

  $( A tail Cartesian product is a relationship.  (Contributed by Scott Fenton,
     31-Mar-2012.) $)
  txprel $p |- Rel ( A (x) B ) $=
    ( ctxp wrel cvv cxp wss txpss3v xpss sstri df-rel mpbir ) ABCZDMEEFZGMENFNA
    BHENIJMKL $.

  ${
    $d A y z $.  $d B y z $.  $d X y z $.  $d Y y z $.  $d Z y z $.
    brtxp.1 $e |- X e. _V $.
    brtxp.2 $e |- Y e. _V $.
    brtxp.3 $e |- Z e. _V $.
    $( Characterize a ternary relation over a tail Cartesian product.  Together
       with ~ txpss3v , this completely defines membership in a tail cross.
       (Contributed by Scott Fenton, 31-Mar-2012.)  (Proof shortened by Peter
       Mazsa, 2-Oct-2022.) $)
    brtxp $p |- ( X ( A (x) B ) <. Y , Z >. <-> ( X A Y /\ X B Z ) ) $=
      ( vy vz wbr c1st cvv cres ccnv ccom c2nd wa wex 3bitri cop cxp cin df-txp
      ctxp breqi brin cv wceq opex brco vex brcnv opelvv brresi mpbiran br1steq
      wcel anbi1ci exbii breq2 ceqsexv br2ndeq anbi12i ) CDEUAZABUEZKCVELMMUBZN
      ZOZAPZQVGNZOZBPZUCZKCVEVJKZCVEVMKZRCDAKZCEBKZRCVEVFVNABUDUFCVEVJVMUGVOVQV
      PVRVOCIUHZAKZVSVEVIKZRZISVSDUIZVTRZISVQICVEVIAFDEUJZUKWBWDIWAWCVTWAVEVSVH
      KZVEVSLKZWCVSVEVHIULZWEUMWFVEVGURZWGDEGHUNZVGVEVSLWHUOUPDEVSGHUQTUSUTVTVQ
      IDGVSDCAVAVBTVPCJUHZBKZWKVEVLKZRZJSWKEUIZWLRZJSVRJCVEVLBFWEUKWNWPJWMWOWLW
      MVEWKVKKZVEWKQKZWOWKVEVKJULZWEUMWQWIWRWJVGVEWKQWSUOUPDEWKGHVCTUSUTWLVRJEH
      WKECBVAVBTVDT $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d R x y $.  $d S x y $.
    brtxp2.1 $e |- A e. _V $.
    $( The binary relation over a tail cross when the second argument is not an
       ordered pair.  (Contributed by Scott Fenton, 14-Apr-2014.)  (Revised by
       Mario Carneiro, 3-May-2015.) $)
    brtxp2 $p |- ( A ( R (x) S ) B <->
            E. x E. y ( B = <. x , y >. /\ A R x /\ A S y ) ) $=
      ( ctxp wbr cv cop wceq wa wex w3a cvv wcel bitr4i 2exbii vex txpss3v brel
      cxp simprd elvv sylib pm4.71ri 19.41vv breq2 pm5.32i anbi2i 3anass 3bitri
      brtxp ) CDEFHZIZDAJZBJZKZLZUPMZBNANZUTCUSUOIZMZBNANUTCUQEIZCURFIZOZBNANUP
      UTBNANZUPMVBUPVHUPDPPUCZQZVHUPCPQVJCDPVIUOEFUAUBUDABDUEUFUGUTUPABUHRVAVDA
      BUTUPVCDUSCUOUIUJSVDVGABVDUTVEVFMZMVGVCVKUTEFCUQURGATBTUNUKUTVEVFULRSUM
      $.
  $}

  $( Expanded definition of parallel product.  (Contributed by Scott Fenton,
     3-May-2014.) $)
  dfpprod2 $p |- pprod ( A , B ) =
     ( ( `' ( 1st |` ( _V X. _V ) ) o. ( A o. ( 1st |` ( _V X. _V ) ) ) ) i^i
       ( `' ( 2nd |` ( _V X. _V ) ) o. ( B o. ( 2nd |` ( _V X. _V ) ) ) ) ) $=
    ( cpprod c1st cvv cxp cres ccom c2nd ctxp ccnv cin df-pprod df-txp eqtri )
    ABCADEEFZGZHZBIPGZHZJQKRHSKTHLABMRTNO $.

  $( A converse law for parallel product.  (Contributed by Scott Fenton,
     3-May-2014.) $)
  pprodcnveq $p |- pprod ( R , S ) = `' pprod ( `' R , `' S ) $=
    ( cpprod c1st cvv cxp cres ccnv ccom c2nd cin dfpprod2 cnveqi cnvco1 coeq1i
    cnvin coass 3eqtri ineq12i eqtr4i ) ABCDEEFZGZHZAUBIIZJUAGZHZBUEIIZKZAHZBHZ
    CZHZABLULUCUIUBIZIZUFUJUEIZIZKZHUNHZUPHZKUHUKUQUIUJLMUNUPPURUDUSUGURUMHZUBI
    UCAIZUBIUDUBUMNUTVAUBAUBNOUCAUBQRUSUOHZUEIUFBIZUEIUGUEUONVBVCUEBUENOUFBUEQR
    SRT $.

  ${
    $d A x y z w $.  $d B x y z w $.
    $( The parallel product is a subclass of
       ` ( ( _V X. _V ) X. ( _V X. _V ) ) ` .  (Contributed by Scott Fenton,
       11-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.)  (Proof
       shortened by Peter Mazsa, 2-Oct-2022.) $)
    pprodss4v $p |- pprod ( A , B ) C_ ( ( _V X. _V ) X. ( _V X. _V ) ) $=
      ( vx vy vz vw c1st cvv cxp cres ccom cv cop wcel wex wbr vex adantr sylbi
      wa cpprod c2nd ctxp df-pprod txprel txpss3v sseli opelxp2 wceq elvv opeq2
      syl eleq1d df-br brtxp brco brresi simplbi exlimiv sylbir syl6bi exlimivv
      wi mpcom opelxpd relssi eqsstri ) ABUAAGHHIZJZKZBUBVHJKZUCZVHVHIZABUDCDVL
      VMVJVKUECLZDLZMZVLNZVNVOVHVHVOVHNZVQVNVHNZVQVPHVHIZNVRVLVTVPVJVKUFUGVNVOH
      VHUHULZVRVOELZFLZMZUIZFOEOVQVSVCZEFVOUJWEWFEFWEVQVNWDMZVLNZVSWEVPWGVLVOWD
      VNUKUMWHVNWDVLPZVSVNWDVLUNWIVNWBVJPZVNWCVKPZTVSVJVKVNWBWCCQZEQZFQUOWJVSWK
      WJVNVOVIPZVOWBAPZTZDOVSDVNWBAVIWLWMUPWPVSDWNVSWOWNVSVNVOGPVHVNVOGDQUQURRU
      SSRSUTVAVBSVDWAVEVFVG $.
  $}

  ${
    $d A x $.  $d B y $.  $d W y $.  $d X x $.  $d X y $.  $d Y x $.  $d Y y $.
    $d Z x $.
    brpprod.1 $e |- X e. _V $.
    brpprod.2 $e |- Y e. _V $.
    brpprod.3 $e |- Z e. _V $.
    brpprod.4 $e |- W e. _V $.
    $( Characterize a quaternary relation over a tail Cartesian product.
       Together with ~ pprodss4v , this completely defines membership in a
       parallel product.  (Contributed by Scott Fenton, 11-Apr-2014.)  (Revised
       by Mario Carneiro, 19-Apr-2014.) $)
    brpprod $p |- ( <. X , Y >. pprod ( A , B ) <. Z , W >. <->
            ( X A Z /\ Y B W ) ) $=
      ( vx vy cop wbr c1st cvv c2nd wa wex 3bitri cpprod cxp cres ccom df-pprod
      ctxp breqi opex brtxp cv wceq brco wcel opelvv vex brresi mpbiran br1steq
      bitri anbi1i exbii breq1 ceqsexv br2ndeq anbi12i ) DEMZFCMZABUAZNVFVGAOPP
      UBZUCZUDZBQVIUCZUDZUFZNVFFVKNZVFCVMNZRDFANZECBNZRVFVGVHVNABUEUGVKVMVFFCDE
      UHZIJUIVOVQVPVRVOVFKUJZVJNZVTFANZRZKSVTDUKZWBRZKSVQKVFFAVJVSIULWCWEKWAWDW
      BWAVFVTONZWDWAVFVIUMZWFDEGHUNZVIVFVTOKUOUPUQDEVTGHURUSUTVAWBVQKDGVTDFAVBV
      CTVPVFLUJZVLNZWICBNZRZLSWIEUKZWKRZLSVRLVFCBVLVSJULWLWNLWJWMWKWJVFWIQNZWMW
      JWGWOWHVIVFWIQLUOUPUQDEWIGHVDUSUTVAWKVRLEHWIECBVBVCTVET $.
  $}

  ${
    $d w z $.  $d R w $.  $d R z $.  $d S w $.  $d S z $.  $d X w $.  $d X z $.
    $d Y w $.  $d Y z $.  $d Z w $.  $d Z z $.
    brpprod3.1 $e |- X e. _V $.
    brpprod3.2 $e |- Y e. _V $.
    brpprod3.3 $e |- Z e. _V $.
    $( Condition for parallel product when the last argument is not an ordered
       pair.  (Contributed by Scott Fenton, 11-Apr-2014.)  (Revised by Mario
       Carneiro, 19-Apr-2014.) $)
    brpprod3a $p |- ( <. X , Y >. pprod ( R , S ) Z <->
       E. z E. w ( Z = <. z , w >. /\ X R z /\ Y S w ) ) $=
      ( cop wbr cv wa wex cvv wcel bitr4i 2exbii vex cpprod wceq pprodss4v brel
      w3a cxp simprd sylib pm4.71ri 19.41vv breq2 pm5.32i brpprod anbi2i 3anass
      elvv 3bitri ) EFKZGCDUAZLZGAMZBMZKZUBZUTNZBOAOZVDURVCUSLZNZBOAOVDEVACLZFV
      BDLZUEZBOAOUTVDBOAOZUTNVFUTVLUTGPPUFZQZVLUTURVMQVNURGVMVMUSCDUCUDUGABGUPU
      HUIVDUTABUJRVEVHABVDUTVGGVCURUSUKULSVHVKABVHVDVIVJNZNVKVGVOVDCDVBEFVAHIAT
      BTUMUNVDVIVJUORSUQ $.

    $( Condition for parallel product when the first argument is not an ordered
       pair.  (Contributed by Scott Fenton, 3-May-2014.) $)
    brpprod3b $p |- ( X pprod ( R , S ) <. Y , Z >. <->
       E. z E. w ( X = <. z , w >. /\ z R Y /\ w S Z ) ) $=
      ( cop cpprod wbr ccnv cv w3a wex brcnv bitri vex wceq opex brpprod3a biid
      pprodcnveq breqi 3anbi123i 2exbii ) EFGKZCDLZMEUICNZDNZLZNZMZEAOZBOZKUAZU
      PFCMZUQGDMZPZBQAQZEUIUJUNCDUEUFUOURFUPUKMZGUQULMZPZBQAQZVBUOUIEUMMVFEUIUM
      HFGUBRABUKULFGEIJHUCSVEVAABURURVCUSVDUTURUDFUPCIATRGUQDJBTRUGUHSS $.
  $}

  $( The subset class is a binary relation.  (Contributed by Scott Fenton,
     31-Mar-2012.) $)
  relsset $p |- Rel SSet $=
    ( csset wrel cvv cxp wss cep cdif ctxp df-sset difss eqsstri df-rel mpbir
    crn ) ABACCDZEAOFCFGHNZGOIOPJKALM $.

  ${
    $d A x y $.  $d B x y $.
    brsset.1 $e |- B e. _V $.
    $( For sets, the ` SSet ` binary relation is equivalent to the subset
       relationship.  (Contributed by Scott Fenton, 31-Mar-2012.) $)
    brsset $p |- ( A SSet B <-> A C_ B ) $=
      ( vx vy csset wbr cvv wcel wss relsset cv cep wn wex wa vex mpbiran bitri
      cdif brrelex1i ssex breq1 sseq1 cop ctxp crn wal opex elrn brtxp epel brv
      wi brdif epeli xchbinx anbi12i exbii exanali 3bitrri con1bii df-br eleq2i
      cxp df-sset opelvv eldif dfss2 3bitr4i vtoclbg pm5.21nii ) ABFGZAHIABJZAB
      FKUAABCUBDLZBFGZVOBJZVMVNDAHVOABFUCVOABUDVOBUEZMHMTZUFZUGZIZNZELZVOIZWDBI
      ZUNEUHZVPVQWGWBWBWDVRVTGZEOWEWFNZPZEOWGNEVRVTVOBUIUJWHWJEWHWDVOMGZWDBVSGZ
      PWJMVSWDVOBEQDQZCUKWKWEWLWIDWDULWLWDBMGZWFWLWDBHGWNNWDBUMWDBHMUORWDBCUPUQ
      URSUSWEWFEUTVAVBVPVRFIZWCVOBFVCWOVRHHVEZWATZIZWCFWQVRVFVDWRVRWPIWCVOBWMCV
      GVRWPWAVHRSSEVOBVIVJVKVL $.
  $}

  ${
    $d y z $.
    $( ` _I ` is equal to the intersection of ` SSet ` and its converse.
       (Contributed by Scott Fenton, 31-Mar-2012.) $)
    idsset $p |- _I = ( SSet i^i `' SSet ) $=
      ( vy vz cid csset ccnv cin reli wrel relsset relin1 ax-mp weq cv wss eqss
      wa wbr vex brsset bitri ideq brin brcnv anbi12i 3bitr4i eqbrriv ) ABCDDEZ
      FZGDHUHHIDUGJKABLAMZBMZNZUJUINZPZUIUJCQUIUJUHQZUIUJOUIUJBRZUAUNUIUJDQZUIU
      JUGQZPUMUIUJDUGUBUPUKUQULUIUJUOSUQUJUIDQULUIUJDARZUOUCUJUIURSTUDTUEUF $.
  $}

  ${
    eltrans.1 $e |- A e. _V $.
    $( Membership in the class of all transitive sets.  (Contributed by Scott
       Fenton, 31-Mar-2012.) $)
    eltrans $p |- ( A e. Trans <-> Tr A ) $=
      ( ctrans wcel cvv cep ccom cdif crn wtr df-trans eleq2i dftr6 bitr4i ) AC
      DAEFFGFHIHZDAJCOAKLABMN $.
  $}

  ${
    $d x y $.

    $( A quantifier-free definition of ` On ` .  (Contributed by Scott Fenton,
       5-Apr-2012.) $)
    dfon3 $p |- On =
     ( _V \ ran ( ( SSet i^i ( Trans X. _V ) ) \ ( _I u. _E ) ) ) $=
      ( vy vx cv wa wcel cvv csset ctrans cid cep cdif wceq wbr wex vex anbi12i
      wn bitri wo anbi1i con0 wpss wtr wi wal cab cxp cin cun crn dfon2 wb elrn
      abeq1 wss brin brsset brxp mpbiran2 eltrans ioran brun ideq epel xchnxbir
      orbi12i brdif dfpss2 an32 anass 3bitr4i exbii exanali eldif bitr4i mpgbir
      con2bii mpbiran eqtri ) UAACZBCZUBZVTUCZDZVTWAEZUDAUEZBUFZFGHFUGZUHZIJUIZ
      KZUJZKZBAUKWGWMLWFWAWMEZULBWFBWMUNWFWAWLEZQZWNWOWFWOVTWAWKMZANZWFQZAWAWKB
      OZUMWRWDWEQZDZANWSWQXBAVTWAWIMZVTWAWJMZQZDVTWAUOZWCDZVTWALZQZXADZDZWQXBXC
      XGXEXJXCVTWAGMZVTWAWHMZDXGVTWAGWHUPXLXFXMWCVTWAWTUQXMVTHEZWCXMXNWAFEZWTVT
      WAHFURUSVTAOUTRPRXHWESZXJXDXHWEVAXDVTWAIMZVTWAJMZSXPVTWAIJVBXQXHXRWEVTWAW
      TVCBVTVDVFRVEPVTWAWIWJVGXBXGXIDZXADXKWDXSXAWDXFXIDZWCDXSWBXTWCVTWAVHTXFXI
      WCVIRTXGXIXAVJRVKVLWDWEAVMRRVQWNXOWPWTWAFWLVNVRVOVPVS $.
  $}

  $( Another quantifier-free definition of ` On ` .  (Contributed by Scott
     Fenton, 4-May-2014.) $)
  dfon4 $p |- On = ( _V \ ( ( SSet \ ( _I u. _E ) ) " Trans ) ) $=
    ( con0 cvv csset ctrans cxp cin cid cep cun cdif crn cima dfon3 cres df-ima
    df-res indif1 eqtri rneqi difeq2i eqtr4i ) ABCDBEZFGHIZJZKZJBCUCJZDLZJMUGUE
    BUGUFDNZKUEUFDOUHUDUHUFUBFUDUFDPCUBUCQRSRTUA $.

  ${
    $d A x $.  $d B x $.  $d R x $.
    brtxpsd.1 $e |- A e. _V $.
    brtxpsd.2 $e |- B e. _V $.
    $( Expansion of a common form used in quantifier-free definitions.
       (Contributed by Scott Fenton, 17-Apr-2014.)  (Revised by Mario Carneiro,
       19-Apr-2014.) $)
    brtxpsd $p |- ( -. A ran ( ( _V (x) _E ) /_\ ( R (x) _V ) ) B <->
       A. x ( x e. B <-> x R A ) ) $=
      ( cv wcel wbr wb wal cvv cep ctxp csymdif wn wex brv brtxp bitri crn opex
      cop df-br brsymdif vex mpbiran epeli mpbiran2 bibi12i xchbinx exbii exnal
      elrn 3bitrri con1bii ) AGZCHZUQBDIZJZAKZBCLMNZDLNZOZUAZIZVFBCUCZVEHZUTPZA
      QZVAPBCVEUDVHUQVGVDIZAQVJAVGVDBCUBUNVKVIAVKUQVGVBIZUQVGVCIZJUTUQVGVBVCUEV
      LURVMUSVLUQCMIZURVLUQBLIVNUQBRLMUQBCAUFZEFSUGUQCFUHTVMUSUQCLIUQCRDLUQBCVO
      EFSUIUJUKULTUTAUMUOUP $.
  $}

  ${
    $d A x $.  $d B x $.  $d S x $.
    brtxpsd2.1 $e |- A e. _V $.
    brtxpsd2.2 $e |- B e. _V $.
    brtxpsd2.3 $e |- R = ( C \ ran ( ( _V (x) _E ) /_\ ( S (x) _V ) ) ) $.
    brtxpsd2.4 $e |- A C B $.
    $( Another common abbreviation for quantifier-free definitions.
       (Contributed by Scott Fenton, 21-Apr-2014.) $)
    brtxpsd2 $p |- ( A R B <-> A. x ( x e. B <-> x S A ) ) $=
      ( wbr cvv cep ctxp csymdif crn wn cv wcel bitri wb wal cdif breqi mpbiran
      wa brdif brtxpsd ) BCEKZBCLMNFLNOPZKQZARZCSULBFKUAAUBUIBCDKZUKJUIBCDUJUCZ
      KUMUKUFBCEUNIUDBCDUJUGTUEABCFGHUHT $.

    ${
      $d X x $.
      brtxpsd3.5 $e |- ( x e. X <-> x S A ) $.
      $( A third common abbreviation for quantifier-free definitions.
         (Contributed by Scott Fenton, 3-May-2014.) $)
      brtxpsd3 $p |- ( A R B <-> B = X ) $=
        ( cv wcel wb wal wbr wceq bibi2i albii dfcleq brtxpsd2 3bitr4ri ) AMZCN
        ZUDGNZOZAPUEUDBFQZOZAPCGRBCEQUGUIAUFUHUELSTACGUAABCDEFHIJKUBUC $.
    $}
  $}

  $( The ` Bigcup ` relationship is a relationship.  (Contributed by Scott
     Fenton, 11-Apr-2012.) $)
  relbigcup $p |- Rel Bigcup $=
    ( cbigcup wrel cvv cxp cep ctxp ccom csymdif crn cdif relxp ax-mp df-bigcup
    reldif releqi mpbir ) ABCCDZCEFEEGCFHIZJZBZQBTCCKQRNLASMOP $.

  ${
    $d A x y z $.  $d B x y z $.
    brbigcup.1 $e |- B e. _V $.
    $( Binary relation over ` Bigcup ` .  (Contributed by Scott Fenton,
       11-Apr-2012.) $)
    brbigcup $p |- ( A Bigcup B <-> U. A = B ) $=
      ( vx vy vz cbigcup wbr wcel cuni wceq relbigcup brrelex1i eleq1 mpbiri cv
      cvv cep vex wrex uniexb sylibr breq1 unieq eqeq1d cxp ccom df-bigcup brxp
      mpbir2an epel rexbii coep 3bitr4ri brtxpsd3 eqcom bitri vtoclbg pm5.21nii
      eluni2 ) ABGHZAQIZAJZBKZABGLMVDVCQIZVBVDVEBQIZCVCBQNOAUAUBDPZBGHZVGJZBKZV
      AVDDAQVGABGUCVGAKVIVCBVGAUDUEVHBVIKVJEVGBQQUFZGRRUGZVIDSZCUHVGBVKHVGQIVFV
      MCVGBQQUIUJEPZFPZRHZFVGTVNVOIZFVGTVNVGVLHVNVIIVPVQFVGFVNUKULFVNVGRESVMUMF
      VNVGUTUNUOBVIUPUQURUS $.
  $}

  ${
    $d x y z t $.
    $( ` Bigcup ` using maps-to notation.  (Contributed by Scott Fenton,
       16-Apr-2012.) $)
    dfbigcup2 $p |- Bigcup = ( x e. _V |-> U. x ) $=
      ( vy vz vt cbigcup cvv cuni cmpt relbigcup mptrel wceq wbr eqcom brbigcup
      cv vex wcel wa weq eleq1w unieq eqeq2d anbi12d biantrur eqeq1 df-mpt brab
      bitr4di 3bitr4i eqbrriv ) BCEAFAOZGZHZIAFULJBOZGZCOZKUPUOKZUNUPELUNUPUMLU
      OUPMUNUPCPZNUKFQZDOZULKZRZUTUOKZUQADUNUPUMBPZURABSZVBUNFQZVCRVCVEUSVFVAVC
      ABFTVEULUOUTUKUNUAUBUCVFVCVDUDUHUTUPUOUEADFULUFUGUIUJ $.
  $}

  ${
    $d x y $.
    $( ` Bigcup ` maps the universe onto itself.  (Contributed by Scott Fenton,
       16-Apr-2012.) $)
    fobigcup $p |- Bigcup : _V -onto-> _V $=
      ( vx vy cvv cbigcup wfo wfn crn wceq cuni wcel wral uniexg rgen dfbigcup2
      cv mptfng mpbi wrex cab rnmpt vex csn snex unisn unieq rspceeqv mp2an 2th
      eqcomi abbi2i eqtr4i df-fo mpbir2an ) CCDEDCFZDGZCHAOZIZCJZACKUNURACUPCLM
      ACUQDANZPQUOBOZUQHACRZBSCABCUQDUSTVABCUTCJVABUAZUTUBZCJUTVCIZHVAUTUCVDUTU
      TVBUDUIAVCCUQVDUTUPVCUEUFUGUHUJUKCCDULUM $.
  $}

  $( ` Bigcup ` is a function over the universal class.  (Contributed by Scott
     Fenton, 11-Apr-2012.) $)
  fnbigcup $p |- Bigcup Fn _V $=
    ( cvv cbigcup wfo wfn fobigcup fofn ax-mp ) AABCBADEAABFG $.

  ${
    fvbigcup.1 $e |- A e. _V $.
    $( For sets, ` Bigcup ` yields union.  (Contributed by Scott Fenton,
       11-Apr-2012.) $)
    fvbigcup $p |- ( Bigcup ` A ) = U. A $=
      ( cbigcup cfv cuni wceq wbr eqid uniex brbigcup mpbir cvv wfn wb fnbigcup
      wcel fnbrfvb mp2an ) ACDAEZFZASCGZUASSFSHASABIJKCLMALPTUANOBLASCQRK $.
  $}

  ${
    $d A x $.  $d R x $.
    elfix.1 $e |- A e. _V $.
    $( Membership in the fixpoints of a class.  (Contributed by Scott Fenton,
       11-Apr-2012.) $)
    elfix $p |- ( A e. Fix R <-> A R A ) $=
      ( vx cfix wcel cid cin cdm cv wceq wbr wex df-fix eleq2i eldm brin 3bitri
      wa bitri ancom vex ideq eqcom anbi1i exbii breq2 ceqsexv ) ABEZFABGHZIZFZ
      DJZAKZAUMBLZSZDMZAABLZUIUKABNOULAUMUJLZDMUQDAUJCPUSUPDUSUOAUMGLZSUTUOSUPA
      UMBGQUOUTUAUTUNUOUTAUMKUNAUMDUBUCAUMUDTUERUFTUOURDACUMAABUGUHR $.
  $}

  ${
    $d A x $.  $d R x $.
    elfix2.1 $e |- Rel R $.
    $( Alternative membership in the fixpoint of a class.  (Contributed by
       Scott Fenton, 11-Apr-2012.) $)
    elfix2 $p |- ( A e. Fix R <-> A R A ) $=
      ( vx cfix wcel cvv wbr elex brrelex1i cv eleq1 wb breq12 anidms vex elfix
      wceq vtoclbg pm5.21nii ) ABEZFZAGFAABHZAUAIAABCJDKZUAFUDUDBHZUBUCDAGUDAUA
      LUDARUEUCMUDAUDABNOUDBDPQST $.
  $}

  ${
    $d A x y $.
    $( The fixpoints of a class in terms of its range.  (Contributed by Scott
       Fenton, 16-Apr-2012.) $)
    dffix2 $p |- Fix A = ran ( A i^i _I ) $=
      ( vx vy cfix cid cin crn cv wcel wbr vex elfix wex weq wa elrn brin ancom
      ideq 3bitri anbi1i exbii breq1 equsexvw bitr4i eqriv ) BADZAEFZGZBHZUGIUJ
      UJAJZUJUIIZUJABKZLULCHZUJUHJZCMCBNZUNUJAJZOZCMUKCUJUHUMPUOURCUOUQUNUJEJZO
      USUQOURUNUJAEQUQUSRUSUPUQUNUJUMSUATUBUQUKCBUNUJUJAUCUDTUEUF $.
  $}

  $( The fixpoints of a class are a subset of its domain.  (Contributed by
     Scott Fenton, 16-Apr-2012.) $)
  fixssdm $p |- Fix A C_ dom A $=
    ( cfix cid cin cdm df-fix wss inss1 dmss ax-mp eqsstri ) ABACDZEZAEZAFLAGMN
    GACHLAIJK $.

  $( The fixpoints of a class are a subset of its range.  (Contributed by Scott
     Fenton, 16-Apr-2012.) $)
  fixssrn $p |- Fix A C_ ran A $=
    ( cfix cid cin crn dffix2 inss1 rnssi eqsstri ) ABACDZEAEAFJAACGHI $.

  ${
    $d A x $.
    $( The fixpoints of a class are the same as those of its converse.
       (Contributed by Scott Fenton, 16-Apr-2012.) $)
    fixcnv $p |- Fix A = Fix `' A $=
      ( vx cfix ccnv cv wbr wcel vex brcnv elfix 3bitr4ri eqriv ) BACZADZCZBEZP
      NFPPAFPOGPMGPPABHZQIPNQJPAQJKL $.
  $}

  $( The fixpoint operator distributes over union.  (Contributed by Scott
     Fenton, 16-Apr-2012.) $)
  fixun $p |- Fix ( A u. B ) = ( Fix A u. Fix B ) $=
    ( cun cid cin cdm cfix indir dmeqi dmun eqtri df-fix uneq12i 3eqtr4i ) ABCZ
    DEZFZADEZFZBDEZFZCZOGAGZBGZCQRTCZFUBPUEABDHIRTJKOLUCSUDUAALBLMN $.

  ${
    ellimits.1 $e |- A e. _V $.
    $( Membership in the class of all limit ordinals.  (Contributed by Scott
       Fenton, 11-Apr-2012.) $)
    ellimits $p |- ( A e. Limits <-> Lim A ) $=
      ( climits wcel con0 cbigcup cfix cin c0 csn cdif wn wlim df-limits eleq2i
      wa eldif wceq 3bitri anbi12i word wne cuni 3anan32 df-lim elin elon elfix
      w3a wbr brbigcup eqcom bitri elsn necon3bbii 3bitr4ri ) ACDAEFGZHZIJZKZDA
      URDZAUSDZLZPZAMZCUTANOAURUSQAUAZAIUBZAAUCZRZUIVFVIPZVGPVEVDVFVGVIUDAUEVAV
      JVCVGVAAEDZAUQDZPVJAEUQUFVKVFVLVIABUGVLAAFUJVHARVIAFBUHAABUKVHAULSTUMVBAI
      AIBUNUOTUPS $.
  $}

  $( The class of all limit ordinals is a subclass of the class of all
     ordinals.  (Contributed by Scott Fenton, 11-Apr-2012.) $)
  limitssson $p |- Limits C_ On $=
    ( climits con0 cbigcup cfix cin c0 cdif df-limits difss inss1 sstri eqsstri
    csn ) ABCDZEZFMZGZBHQOBOPIBNJKL $.

  ${
    $d x y $.
    $( A quantifier-free definition of ` _om ` that does not depend on
       ~ ax-inf .  (Note: label was changed from ~ dfom5 to ~ dfom5b to prevent
       naming conflict.  NM, 12-Feb-2013.)  (Contributed by Scott Fenton,
       11-Apr-2012.) $)
    dfom5b $p |- _om = ( On i^i |^| Limits ) $=
      ( vx vy com con0 climits cint cin cv wcel wlim wi wal wa vex elint imbi1i
      ellimits albii bitr2i anbi2i elom elin 3bitr4i eqriv ) ACDEFZGZAHZDIZBHZJ
      ZUGUIIZKZBLZMUHUGUEIZMUGCIUGUFIUMUNUHUNUIEIZUKKZBLUMBUGEANOUPULBUOUJUKUIB
      NQPRSTBUGUAUGDUEUBUCUD $.
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( A condition for subset and composition with identity.  (Contributed by
       Scott Fenton, 13-Apr-2018.) $)
    sscoid $p |- ( A C_ ( _I o. B ) <-> ( Rel A /\ A C_ B ) ) $=
      ( vx vy vz cid wss wrel cv wcel wi wal wa wex wbr vex eleq1 df-br bitr4di
      wb ccom relco relss mpi cop wceq elrel weq brco ideq exbii breq2 equsexvw
      anbi1ci 3bitri a1i 3bitr4d exlimivv syl pm5.74da albidv 3bitr4g biadanii
      dfss2 ) AFBUAZGZAHZABGZVFVEHVGFBUBAVEUCUDVGCIZAJZVIVEJZKZCLVJVIBJZKZCLVFV
      HVGVLVNCVGVJVKVMVGVJMVIDIZEIZUEZUFZENDNVKVMTZDEVIAUGVRVSDEVRVOVPVEOZVOVPB
      OZVKVMVTWATVRVTVOVIBOZVIVPFOZMZCNCEUHZWBMZCNWACVOVPFBDPEPZUIWDWFCWCWEWBVI
      VPWGUJUNUKWBWACEVIVPVOBULUMUOUPVRVKVQVEJVTVIVQVEQVOVPVERSVRVMVQBJWAVIVQBQ
      VOVPBRSUQURUSUTVACAVEVDCABVDVBVC $.
  $}

  ${
    $d F x y z $.
    $( Another potential definition of functionality.  Based on statements in
~ http://people.math.gatech.edu/~~belinfan/research/autoreas/otter/sum/fs/ .
       (Contributed by Scott Fenton, 30-Aug-2017.) $)
    dffun10 $p |- ( Fun F <-> F C_ ( _I o. ( _V \ ( ( _V \ _I ) o. F ) ) ) ) $=
      ( vx vy vz cv cop wcel wa weq wi wal cvv cid cdif ccom wss wn wbr wex vex
      wrel wfun impexp albii 19.21v opelco df-br brv brdif mpbiran equcom bitri
      ideq xchbinx anbi12i exbii exanali 3bitri opex eldif bitr4i imbi2i 2albii
      con2bii ssrel bitr4id pm5.32i dffun4 sscoid 3bitr4i ) AUAZBEZCEZFZAGZVLDE
      ZFAGZHCDIZJZDKZCKBKZHVKALLMNZAOZNZPZHAUBAMWDOPVKWAWEVKWAVOVNWDGZJZCKBKWEV
      TWGBCVTVOVQVRJZJZDKVOWHDKZJWGVSWIDVOVQVRUCUDVOWHDUEWJWFVOWJVNWCGZQZWFWKWJ
      WKVLVPARZVPVMWBRZHZDSVQVRQZHZDSWJQDVLVMWBABTCTZUFWOWQDWMVQWNWPVLVPAUGWNVP
      VMMRZVRWNVPVMLRWSQVPVMUHVPVMLMUIUJWSDCIVRVPVMWRUMDCUKULUNUOUPVQVRDUQURVDW
      FVNLGWLVLVMUSVNLWCUTUJVAVBURVCBCAWDVEVFVGBCDAVHAWDVIVJ $.
  $}

  ${
    $d F a x y z p q $.
    elfuns.1 $e |- F e. _V $.
    $( Membership in the class of all functions.  (Contributed by Scott Fenton,
       18-Feb-2013.) $)
    elfuns $p |- ( F e. Funs <-> Fun F ) $=
      ( vx vy vz vp vq va cv wcel wa weq cvv wbr wex wn bitrdi vex bitri 3bitri
      wrel cop wi wal c1st cdif c2nd ccom ctxp wfun cfuns wceq elrel ex anim12d
      cid adantrd pm4.71rd 19.41vvvv ee4anv anbi1i bitr2i 2exbidv excom13 excom
      exrot4 df-3an 2exbii opex eleq1 anbi1d breq2 anbi12d anbi2d breq1 br1steq
      w3a brtxp equcom brco br2ndeq exbii brv brdif mpbiran ideq notbii anbi12i
      equsexvw an12 ceqsex2v bitr3i opeq1 eleq1d exanali con2bid pm5.32i dffun4
      exnal cxp cpw cep ccnv cfix df-funs eleq2i eldif elpw df-rel bitr4i elfix
      wss wrex coep coepr rexbii r2ex 3bitr4ri ) AUAZCIZDIZUBZAJZXTEIZUBZAJZKZD
      ELZUCEUDZDUDZCUDZKXSFIZAJZGIZAJZKZYNYLUEMUPUFZUGUHZUIZNZKZGOFOZPZKZAUJAUK
      JZXSYKUUCXSUUBYKXSUUBYLYBULZYNHIZYDUBZULZKZUUAKZEOHOZDOZCOZGOFOZYKPZXSUUA
      UUNFGXSUUAUUFDOCOZUUIEOHOZKZUUAKZUUNXSUUAUUSXSYPUUSYTXSYMUUQYOUURXSYMUUQC
      DYLAUMUNXSYOUURHEYNAUMUNUOUQURUUNUUJEOHODOCOZUUAKUUTUUJUUADHECUSUVAUUSUUA
      UUFUUICDHEUTVAVBQVCUUOUUMFOGOZCOYJPZCOUUPUUMFGCVDUVBUVCCUVBUULGOFOZDOYIPZ
      DOUVCUULGFDVDUVDUVEDUVDUUKGOFOZEOHOUVFHOZEOZUVEUUKFGHEVFUVFHEVEUVHYGYHPZK
      ZEOUVEUVGUVJEUVGHCLZYCUUHAJZKZUVIKZKZHOUVJUVFUVOHUVFUUFUUIUUAVQZGOFOUVOUV
      PUUKFGUUFUUIUUAVGVHUUAYCYOKZYNYBYSNZKZUVOFGYBUUHXTYAVIUUGYDVIZUUFYPUVQYTU
      VRUUFYMYCYOYLYBAVJVKYLYBYNYSVLVMUUIUVSUVMUVKUVIKZKUVOUUIUVQUVMUVRUWAUUIYO
      UVLYCYNUUHAVJVNUUIUVRUUHYBYSNZUWAYNUUHYBYSVOUWBUUHXTUENZUUHYAYRNZKUWAUEYR
      UUHXTYAUVTCRDRZVRUWCUVKUWDUVIUWCCHLUVKUUGYDXTHRZERZVPCHVSSUWDUUHXTUGNZXTY
      AYQNZKZCOCELZUWIKZCOUVICUUHYAYQUGUVTUWEVTUWJUWLCUWHUWKUWIUUGYDXTUWFUWGWAV
      AWBUWIUVICEUWKUWIYDYAYQNZUVIXTYDYAYQVOUWMYDYAUPNZPZUVIUWMYDYAMNUWOYDYAWCY
      DYAMUPWDWEUWNYHUWNEDLYHYDYAUWEWFEDVSSWGSQWITWHSQVMUVMUVKUVIWJQWKWLWBUVNUV
      JHCUVKUVMYGUVIUVKUVLYFYCUVKUUHYEAUUGXTYDWMWNVNVKWISWBYGYHEWOSTWBYIDWSTWBY
      JCWSTQWPWQCDEAWRUUEAMMWTZXAZXBYSXBXCUHZUHZXDZUFZJAUWQJZAUWTJZPZKUUDUKUXAA
      XEXFAUWQUWTXGUXBXSUXDUUCUXBAUWPXLXSAUWPBXHAXIXJUXCUUBUXCAAUWSNZYTGAXMZFAX
      MZUUBAUWSBXKUXEAYLUWRNZFAXMUXGFAAUWRBBXNUXHUXFFAGAYLYSBFRXOXPSYTFGAAXQTWG
      WHTXR $.
  $}

  ${
    $d F f $.
    $( Closed form of ~ elfuns .  (Contributed by Scott Fenton, 2-May-2014.) $)
    elfunsg $p |- ( F e. V -> ( F e. Funs <-> Fun F ) ) $=
      ( vf cv cfuns wcel wfun eleq1 funeq vex elfuns vtoclbg ) CDZEFMGAEFAGCABM
      AEHMAIMCJKL $.
  $}

  ${
    $d A x $.  $d B x $.
    brsingle.1 $e |- A e. _V $.
    brsingle.2 $e |- B e. _V $.
    $( The binary relation form of the singleton function.  (Contributed by
       Scott Fenton, 4-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    brsingle $p |- ( A Singleton B <-> B = { A } ) $=
      ( vx cvv cxp csingle cid csn df-singleton wbr wcel brxp mpbir2an cv velsn
      wceq ideq bitr4i brtxpsd3 ) EABFFGZHIAJZCDKABUBLAFMBFMCDABFFNOEPZUCMUDARU
      DAILEAQUDACSTUA $.
  $}

  ${
    $d A x y $.
    $( Membership in the class of all singletons.  (Contributed by Scott
       Fenton, 19-Feb-2013.) $)
    elsingles $p |- ( A e. Singletons <-> E. x A = { x } ) $=
      ( vy csingles wcel cvv csn wceq wex elex snex eleq1 mpbiri exlimiv exbidv
      cv eqeq1 csingle crn vex wbr df-singles eleq2i elrn brsingle exbii 3bitri
      vtoclbg pm5.21nii ) BDEZBFEZBAPZGZHZAIZBDJUNUKAUNUKUMFEULKBUMFLMNCPZDEZUP
      UMHZAIZUJUOCBFUPBDLUPBHURUNAUPBUMQOUQUPRSZEULUPRUAZAIUSDUTUPUBUCAUPRCTZUD
      VAURAULUPATVBUEUFUGUHUI $.
  $}

  ${
    $d x y z $.
    $( The singleton relationship is a function over the universe.
       (Contributed by Scott Fenton, 4-Apr-2014.)  (Revised by Mario Carneiro,
       19-Apr-2014.) $)
    fnsingle $p |- Singleton Fn _V $=
      ( vx vy vz csingle cvv wfn wfun cdm wceq wrel cv wbr wa weq wal mpbir vex
      ctxp brsingle mpbir2an wi cxp cep cid csymdif crn cdif difss df-singleton
      wss df-rel releqi csn eqtr3 syl2anb ax-gen gen2 dffun2 wcel eqv eqid snex
      wex breq2 spcev ax-mp eldm mpgbir df-fn ) DEFDGZDHZEIZVJDJZAKZBKZDLZVNCKZ
      DLZMBCNZUAZCOZBOAOVMEEUBZEUCRUDERUEUFZUGZJZWEWDWBUJWBWCUHWDUKPDWDUIULPWAA
      BVTCVPVOVNUMZIVQWFIVSVRVNVOAQZBQSVNVQWGCQSVOVQWFUNUOUPUQABCDURTVLVNVKUSZA
      AVKUTWHVPBVCZVNWFDLZWIWJWFWFIWFVAVNWFWGVNVBZSPVPWJBWFWKVOWFVNDVDVEVFBVNDW
      GVGPVHDEVIT $.
  $}

  ${
    $d A x $.
    $( The value of the singleton function.  (Contributed by Scott Fenton,
       4-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.)  (Revised by
       Scott Fenton, 13-Apr-2018.) $)
    fvsingle $p |- ( Singleton ` A ) = { A } $=
      ( vx cvv wcel csingle cfv csn wceq cv fveq2 sneq eqeq12d wbr vex brsingle
      eqid snex mpbir wfn c0 wb fnsingle mp2an vtoclg fvprc snprc biimpi eqtr4d
      fnbrfvb wn pm2.61i ) ACDZAEFZAGZHZBIZEFZUPGZHZUOBACUPAHUQUMURUNUPAEJUPAKL
      USUPUREMZUTURURHURPUPURBNZUPQORECSUPCDUSUTUAUBVACUPUREUIUCRUDULUJZUMTUNAE
      UEVBUNTHAUFUGUHUK $.
  $}

  ${
    $d x y $.
    $( Alternate definition of the class of all singletons.  (Contributed by
       Scott Fenton, 20-Nov-2013.)  (Revised by Mario Carneiro,
       19-Apr-2014.) $)
    dfsingles2 $p |- Singletons = { x | E. y x = { y } } $=
      ( cv csn wceq wex csingles elsingles abbi2i ) ACZBCDEBFAGBJHI $.
  $}

  ${
    $d A x $.
    snelsingles.1 $e |- A e. _V $.
    $( A singleton is a member of the class of all singletons.  (Contributed by
       Scott Fenton, 19-Feb-2013.) $)
    snelsingles $p |- { A } e. Singletons $=
      ( vx csn csingles wcel cv wceq wex cvv isset eqcom exbii mpbi sneq eximii
      bitri elsingles mpbir ) ADZEFTCGZDHZCIAUAHZUBCAJFZUCCIZBUDUAAHZCIUECAKUFU
      CCUAALMQNAUAOPCTRS $.
  $}

  ${
    $d x y z w $.  $d ph y z w $.
    $( A definition of iota using minimal quantifiers.  (Contributed by Scott
       Fenton, 19-Feb-2013.) $)
    dfiota3 $p |- ( iota x ph ) = U. U. ( { { x | ph } } i^i Singletons ) $=
      ( vy vz vw cab cv csn wceq cuni csingles cin wex wcel ceqsexv bitri exbii
      wa weq eqtri cio df-iota wb abeq1 wel exdistr vex sneq eqeq2d eqeq1 eleq2
      snex anbi12d eqcom velsn equcom anbi12ci bitrdi an13 bitr3i excom eluniab
      3bitr4i mpgbir df-sn dfsingles2 ineq12i 19.42v bicomi abbii unieqi eqtr4i
      inab ) ABUAABFZCGZHZIZCFZJVNHZKLZJZJABCUBVRWAVRDGZVNIZWBEGZHZIZRZEMZDFZJZ
      WAVRWJIVQVOWJNZUCCVQCWJUDCDUEZWGRZEMDMZWLWHRDMVQWKWLWGDEUFVQWMDMZEMZWNVQE
      CSZVNWEIZRZEMWPWRVQEVOCUGWQWEVPVNWDVOUHUIOWSWOEWSWFWCWLRZRZDMWOWTWSDWEWDU
      LWFWTWEVNIZVOWENZRWSWFWCXBWLXCWBWEVNUJWBWEVOUKUMXBWRXCWQWEVNUNXCCESWQCWDU
      OCEUPPUQUROXAWMDWFWCWLUSQUTQUTWMEDVAPWHDVOVBVCVDVTWIVTWCDFZWFEMZDFZLZWIVS
      XDKXFDVNVEDEVFVGXGWCXERZDFWIWCXEDVMXHWHDWHXHWCWFEVHVIVJTTVKVLVKT $.
  $}

  ${
    $d F x $.  $d A x $.
    $( Another quantifier-free definition of function value.  (Contributed by
       Scott Fenton, 19-Feb-2013.) $)
    dffv5 $p |- ( F ` A ) = U. U. ( { ( F " { A } ) } i^i Singletons ) $=
      ( vx cfv cv csn cima wcel cio cab csingles cuni dffv3 dfiota3 abid2 sneqi
      cin ineq1i unieqi 3eqtri ) ABDCEBAFGZHZCIUBCJZFZKQZLZLUAFZKQZLZLCABMUBCNU
      FUIUEUHUDUGKUCUACUAOPRSST $.
  $}

  $( Express union of singleton in terms of ` if ` .  (Contributed by Scott
     Fenton, 27-Mar-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  unisnif $p |- U. { A } = if ( A e. _V , A , (/) ) $=
    ( cvv wcel c0 cif csn cuni wceq iftrue unisng eqtr4d wn snprc biimpi unieqd
    iffalse uni0 eqtrdi pm2.61i eqcomi ) ABCZADEZAFZGZUAUBUDHUAUBAUDUAADIABJKUA
    LZUBDUDUAADPUEUDDGDUEUCDUEUCDHAMNOQRKST $.

  ${
    $d A x y $.  $d B x y $.  $d R x y $.
    brimage.1 $e |- A e. _V $.
    brimage.2 $e |- B e. _V $.
    $( Binary relation form of the Image functor.  (Contributed by Scott
       Fenton, 4-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    brimage $p |- ( A Image R B <-> B = ( R " A ) ) $=
      ( vx vy cvv cxp cimage cep ccnv ccom cima df-image wbr wcel cv wrex vex
      brxp mpbir2an brcnv rexbii coep elima 3bitr4ri brtxpsd3 ) FABHHIZCJKCLZMZ
      CANZDECOABUIPAHQBHQDEABHHUAUBFRZGRZUJPZGASUNUMCPZGASUMAUKPUMULQUOUPGAUMUN
      CFTZGTUCUDGUMAUJUQDUEGUMCAUQUFUGUH $.
  $}

  ${
    $d R x y $.  $d A x y $.  $d B x y $.
    $( Closed form of ~ brimage .  (Contributed by Scott Fenton, 4-Apr-2014.)
       (Revised by Mario Carneiro, 19-Apr-2014.) $)
    brimageg $p |- ( ( A e. V /\ B e. W ) ->
               ( A Image R B <-> B = ( R " A ) ) ) $=
      ( vx vy cv cimage wbr cima wb breq1 imaeq2 eqeq2d bibi12d breq2 eqeq1 vex
      wceq brimage vtocl2g ) FHZGHZCIZJZUDCUCKZTZLAUDUEJZUDCAKZTZLABUEJZBUJTZLF
      GABDEUCATZUFUIUHUKUCAUDUEMUNUGUJUDUCACNOPUDBTUIULUKUMUDBAUEQUDBUJRPUCUDCF
      SGSUAUB $.
  $}

  ${
    $d A x y z $.
    $( ` Image A ` is a function.  (Contributed by Scott Fenton, 27-Mar-2014.)
       (Revised by Mario Carneiro, 19-Apr-2014.) $)
    funimage $p |- Fun Image A $=
      ( vx vy vz cimage wfun wrel cv wbr wa weq wal cvv cep ctxp mpbir wceq vex
      wi brimage cxp ccnv ccom csymdif crn cdif wss df-rel df-image releqi cima
      difss eqtr3 syl2anb gen2 ax-gen dffun2 mpbir2an ) AEZFUSGZBHZCHZUSIZVADHZ
      USIZJCDKZSZDLCLZBLUTMMUAZMNONAUBUCMOUDUEZUFZGZVLVKVIUGVIVJULVKUHPUSVKAUIU
      JPVHBVGCDVCVBAVAUKZQVDVMQVFVEVAVBABRZCRTVAVDAVNDRTVBVDVMUMUNUOUPBCDUSUQUR
      $.
  $}

  ${
    $d R x y $.
    $( ` Image R ` is a function over the set-like portion of ` R ` .
       (Contributed by Scott Fenton, 4-Apr-2014.)  (Revised by Mario Carneiro,
       19-Apr-2014.) $)
    fnimage $p |- Image R Fn { x | ( R " x ) e. _V } $=
      ( cimage cima cvv wcel cab wfn wfun cdm wceq funimage wbr wex vex brimage
      vy cv eqvisset sylbi exlimiv eqid brimageg mpbiri breq2 spcegv mpd impbii
      wb mpan eldm weq imaeq2 eleq1d elab 3bitr4i eqriv df-fn mpbir2an ) BCZBAR
      ZDZEFZAGZHUTIUTJZVDKBLQVEVDQRZVAUTMZANZBVFDZEFZVFVEFVFVDFVHVJVGVJAVGVAVIK
      VJVFVABQOZAOPAVISTUAVJVFVIUTMZVHVJVLVIVIKZVIUBVFEFVJVLVMUIVKVFVIBEEUCUJUD
      VGVLAVIEVAVIVFUTUEUFUGUHAVFUTVKUKVCVJAVFVKAQULVBVIEVAVFBUMUNUOUPUQUTVDURU
      S $.
  $}

  ${
    $d R x y z $.
    $( The image functor in maps-to notation.  (Contributed by Scott Fenton,
       4-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    imageval $p |- Image R = ( x e. _V |-> ( R " x ) ) $=
      ( vy vz cimage cvv cv cima cmpt wfun wrel wbr wcel cdm breldm eleqtrdi wb
      vex wceq syl5bb funimage funrel ax-mp mptrel cab fnimage fndmi crab dmmpt
      eqid rabab eqtri imaeq2 eleq1d elab brimage cfv fvmptg mpan eqeq1d funmpt
      eqcom wfn df-fn mpbir2an biimpri fnbrfvb sylancr bitr3d pm5.21nii eqbrriv
      sylbi ) CDBEZAFBAGZHZIZVMJVMKBUAVMUBUCAFVOUDCGZDGZVMLZVQVOFMZAUEZMZVQVRVP
      LZVSVQVMNWAVQVRVMCRZDRZOWAVMABUFUGPWCVQVPNZWAVQVRVPWDWEOWFVTAFUHWAAFVOVPV
      PUJZUIVTAUKULZPWBBVQHZFMZVSWCQVTWJAVQWDVNVQSVOWIFVNVQBUMZUNUOZVSVRWISZWJW
      CVQVRBWDWEUPWMWIVRSZWJWCVRWIVBWJVQVPUQZVRSZWNWCWJWOWIVRVQFMWJWOWISWDAVQVO
      WIFFVPWKWGURUSUTWJVPWAVCZWBWPWCQWQVPJWFWASAFVOVAWHVPWAVDVEWBWJWLVFWAVQVRV
      PVGVHVITTVLVJVK $.
  $}

  ${
    $d R x $.  $d A x $.
    $( Value of the image functor.  (Contributed by Scott Fenton, 4-Apr-2014.)
       (Revised by Mario Carneiro, 19-Apr-2014.) $)
    fvimage $p |- ( ( A e. V /\ ( R " A ) e. W ) ->
             ( Image R ` A ) = ( R " A ) ) $=
      ( vx wcel cvv cima cimage cfv wceq elex cv imaeq2 imageval fvmptg sylan )
      ACFAGFBAHZDFABIZJRKACLEABEMZHRGDSTABNEBOPQ $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.
    brcart.1 $e |- A e. _V $.
    brcart.2 $e |- B e. _V $.
    brcart.3 $e |- C e. _V $.
    $( Binary relation form of the cartesian product operator.  (Contributed by
       Scott Fenton, 11-Apr-2014.)  (Revised by Mario Carneiro,
       19-Apr-2014.) $)
    brcart $p |- ( <. A , B >. Cart C <-> C = ( A X. B ) ) $=
      ( vx vy vz cop cvv cxp ccart cep wbr wcel cv wex wa epeli cpprod mpbir2an
      opex df-cart opelvv brxp w3a 3anass anbi12i anbi2i bitri 2exbii brpprod3b
      wceq vex elxp 3bitr4ri brtxpsd3 ) GABJZCKKLZKLZMNNUAZABLZABUCFUDUSCVAOUSU
      TPCKPABDEUEFUSCUTKUFUBGQZHQZIQZJUNZVEANOZVFBNOZUGZIRHRVGVEAPZVFBPZSZSZIRH
      RVDUSVBOVDVCPVJVNHIVJVGVHVISZSVNVGVHVIUHVOVMVGVHVKVIVLVEADTVFBETUIUJUKULH
      INNVDABGUODEUMHIVDABUPUQUR $.
  $}

  ${
    brdomain.1 $e |- A e. _V $.
    brdomain.2 $e |- B e. _V $.
    $( Binary relation form of the domain function.  (Contributed by Scott
       Fenton, 11-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    brdomain $p |- ( A Domain B <-> B = dom A ) $=
      ( c1st cvv cxp cres cimage wbr cima cdomain brimage df-domain breqi dfdm5
      wceq cdm eqeq2i 3bitr4i ) ABEFFGHZIZJBUAAKZQABLJBARZQABUACDMABLUBNOUDUCBA
      PST $.

    $( Binary relation form of the range function.  (Contributed by Scott
       Fenton, 11-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    brrange $p |- ( A Range B <-> B = ran A ) $=
      ( c2nd cvv cxp cres cimage wbr cima wceq crn brimage df-range breqi dfrn5
      crange eqeq2i 3bitr4i ) ABEFFGHZIZJBUAAKZLABRJBAMZLABUACDNABRUBOPUDUCBAQS
      T $.
  $}

  ${
    $d A a b $.  $d B a b $.
    $( Closed form of ~ brdomain .  (Contributed by Scott Fenton,
       2-May-2014.) $)
    brdomaing $p |- ( ( A e. V /\ B e. W ) ->
               ( A Domain B <-> B = dom A ) ) $=
      ( va vb cv cdomain wbr cdm wceq breq1 dmeq eqeq2d bibi12d breq2 eqeq1 vex
      wb brdomain vtocl2g ) EGZFGZHIZUCUBJZKZSAUCHIZUCAJZKZSABHIZBUHKZSEFABCDUB
      AKZUDUGUFUIUBAUCHLULUEUHUCUBAMNOUCBKUGUJUIUKUCBAHPUCBUHQOUBUCERFRTUA $.

    $( Closed form of ~ brrange .  (Contributed by Scott Fenton,
       3-May-2014.) $)
    brrangeg $p |- ( ( A e. V /\ B e. W ) ->
               ( A Range B <-> B = ran A ) ) $=
      ( va vb cv crange wbr crn wceq wb breq1 rneq eqeq2d bibi12d breq2 brrange
      eqeq1 vex vtocl2g ) EGZFGZHIZUCUBJZKZLAUCHIZUCAJZKZLABHIZBUHKZLEFABCDUBAK
      ZUDUGUFUIUBAUCHMULUEUHUCUBANOPUCBKUGUJUIUKUCBAHQUCBUHSPUBUCETFTRUA $.
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a p $.  $d A p $.  $d a q $.  $d A q $.
    $d a x $.  $d A x $.  $d B a $.  $d B b $.  $d b p $.  $d B p $.  $d b q $.
    $d B q $.  $d b x $.  $d B x $.  $d C a $.  $d p q $.  $d p x $.  $d q x $.
    brimg.1 $e |- A e. _V $.
    brimg.2 $e |- B e. _V $.
    brimg.3 $e |- C e. _V $.
    $( Binary relation form of the ` Img ` function.  (Contributed by Scott
       Fenton, 12-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.)  (Proof
       shortened by Peter Mazsa, 2-Oct-2022.) $)
    brimg $p |- ( <. A , B >. Img C <-> C = ( A " B ) ) $=
      ( va vb vp vq cop wbr c2nd c1st wceq wa wex 3bitri wcel bitri vx cimg cvv
      ccom cres cimage ccart cima df-img breqi cv opex brco brcart anbi1i exbii
      cxp vex xpex breq1 ceqsexv brimage 19.42v anass an21 anbi2i 2exbii anbi2d
      excom wrex df-br risset brresi bitr3i elvv w3a ancom opeq1 breq1d anbi12d
      br1steq equcom br2ndeq anbi12i bitrdi pm5.32i df-3an 3bitr4i eqeq2d opeq2
      19.41vv ceqsex2v 3bitr3ri 3bitr4ri rexbii df-rex elima2 elxp bitr4i eqriv
      exrot3 eqeq2i ) ABKZCUBLXCCMNUDZNUCUCUQZUEZUEZUFZUGUDZLZABUQZCXHLZCABUHZO
      ZXCCUBXIUIUJXJXCGUKZUGLZXOCXHLZPZGQXOXKOZXQPZGQXLGXCCXHUGABULFUMXRXTGXPXS
      XQABXODEGURUNUOUPXQXLGXKABDEUSZXOXKCXHUTVARXLCXGXKUHZOXNXKCXGYAFVBYBXMCUA
      YBXMHUKZBSZYCUAUKZALZPZHQIUKZXOYCKZOZXOASZYDPZPZYHYEXGLZPZGQIQZHQZYEXMSYE
      YBSZYGYPHYDYKYIYEXGLZPZPZGQZYDYTGQZPYPYGYDYTGVCYPYJYDYKYNPZPZPZGQIQUUFIQZ
      GQUUBYOUUFIGYOYJYLYNPZPUUFYJYLYNVDUUHUUEYJYKYDYNVEVFTVGUUFIGVIUUGUUAGUUEU
      UAIYIXOYCULYJUUDYTYDYJYNYSYKYHYIYEXGUTVHVHVAUPRYFUUCYDYFYCYEKZASZYSGAVJZU
      UCYCYEAVKUUJXOUUIOZGAVJUUKGUUIAVLUULYSGAXOXESZXOYCNLZPZYIYEXDLZPZYIXFSZUU
      PPUULYSUUOUURUUPUUOXOYCXFLUURXEXOYCNHURZVMXOYCXFVKVNUOUUMUUNUUPPZPXOYHJUK
      ZKZOZJQIQZUUTPZUUQUULUUMUVDUUTIJXOVOUOUUMUUNUUPVDUVCUUTPZJQIQYHYCOZUVAYEO
      ZUVCVPZJQIQUVEUULUVFUVIIJUVCUVGUVHPZPUVJUVCPUVFUVIUVCUVJVQUVCUUTUVJUVCUUT
      UVBYCNLZUVBYCKZYEXDLZPUVJUVCUUNUVKUUPUVMXOUVBYCNUTUVCYIUVLYEXDXOUVBYCVRVS
      VTUVKUVGUVMUVHUVKYCYHOUVGYHUVAYCIURZJURZWAHIWBTUVMUVCXOYEMLZPZGQZYEUVAOZU
      VHUVMUVLXONLZUVPPZGQUVRGUVLYEMNUVBYCULUAURZUMUWAUVQGUVTUVCUVPUVBYCXOYHUVA
      ULZUUSWAUOUPTUVRUVBYEMLZUVSUVPUWDGUVBUWCXOUVBYEMUTVAYHUVAYEUVNUVOWCTUAJWB
      RWDWEWFUVGUVHUVCWGWHVGUVCUUTIJWKUVCXOYCUVAKZOUULIJYCYEUUSUWBUVGUVBUWEXOYH
      YCUVAVRWIUVHUWEUUIXOUVAYEYCWJWIWLWMWNXFYIYEXDUWBVMWHWOTYSGAWPRVFWNUPHYEAB
      UWBWQYRYHXKSZYNPZIQYOHQGQZIQZYQIYEXGXKUWBWQUWGUWHIUWGYMHQGQZYNPUWHUWFUWJY
      NGHYHABWRUOYMYNGHWKWSUPUWIYOIQHQGQYQYOIGHXAYOGHIXATRWNWTXBTR $.
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a x $.  $d A x $.  $d A y $.  $d B a $.
    $d B b $.  $d b x $.  $d B x $.  $d B y $.  $d C x $.  $d C y $.  $d x y $.
    $d x z $.  $d y z $.  $d a z $.  $d A z $.  $d b z $.  $d B z $.
    brapply.1 $e |- A e. _V $.
    brapply.2 $e |- B e. _V $.
    brapply.3 $e |- C e. _V $.
    $( Binary relation form of the ` Apply ` function.  (Contributed by Scott
       Fenton, 12-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.)  (Proof
       shortened by Peter Mazsa, 2-Oct-2022.) $)
    brapply $p |- ( <. A , B >. Apply C <-> C = ( A ` B ) ) $=
      ( vx vy vz va vb csingles wceq wa wex wbr eqeq2d cbigcup cvv csingle cima
      csn cin cuni cop capply cfv snex inex1 unieq unieqd ceqsexv ccom cxp ctxp
      cv cep cres csymdif crn cdif cimg cid cpprod df-apply breqi opex brco vex
      w3a brpprod3a 3anrot ideq eqcom bitri brsingle biid 3anbi123i opeq1 opeq2
      2exbii ceqsex2v 3bitri anbi1i exbii breq1 brimg imaex sneq eqid wcel brxp
      anbi12i mpbir2an epel brresi elin 3bitr4ri brtxpsd3 ineq1 brbigcup vuniex
      anbi1ci dffv5 eqeq2i 3bitr4i ) GUPZABUBZUAZUBZLUCZMZCXGUDZUDZMZNZGOZCXKUD
      ZUDZMZABUEZCUFPZCBAUGZMXOXTGXKXJLXIUHZUIXLXNXSCXLXMXRXGXKUJUKQULYBYACRRUM
      ZSSUNZSUQUOUQLURZSUOUSUTVAZTVBUMZVCTVDZUMZUMZUMZPYAXGYLPZXGCYEPZNZGOXQYAC
      UFYMVEVFGYACYEYLABVGZFVHYPXPGYNXLYOXOYNYAHUPZYKPZYRXGYHPZNZHOYRXJMZXGYRLU
      CZMZNZHOXLHYAXGYHYKYQGVIZVHUUAUUEHYSUUBYTUUDYSYAIUPZYJPZUUGYRYIPZNZIOUUGA
      XHUEZMZUUINZIOZUUBIYAYRYIYJYQHVIZVHUUJUUMIUUHUULUUIUUHUUGJUPZKUPZUEZMZAUU
      PVCPZBUUQTPZVJZKOJOUUPAMZUUQXHMZUUSVJZKOJOUULJKVCTABUUGDEIVIVKUVBUVEJKUVB
      UUTUVAUUSVJUVEUUSUUTUVAVLUUTUVCUVAUVDUUSUUSUUTAUUPMUVCAUUPJVIVMAUUPVNVOBU
      UQEKVIVPUUSVQVRVOWAUUSUUGAUUQUEZMUULJKAXHDBUHZUVCUURUVFUUGUUPAUUQVSQUVDUV
      FUUKUUGUUQXHAVTQWBWCWDWEUUNUUKYRYIPZUUKXGVBPZXGYRTPZNZGOZUUBUUIUVHIUUKAXH
      VGZUUGUUKYRYIWFULGUUKYRTVBUVMUUOVHUVLXGXIMZYRXGUBZMZNZGOUUBUVKUVQGUVIUVNU
      VJUVPAXHXGDUVGUUFWGXGYRUUFUUOVPWMWEUVPUUBGXIAXHDWHUVNUVOXJYRXGXIWIQULVOWC
      WCIYRXGYFYHYGUUCUUOUUFYHWJYRXGYFPYRSWKXGSWKUUOUUFYRXGSSWLWNUUGLWKZUUGYRUQ
      PZNUUGYRWKZUVRNUUGYRYGPUUGUUCWKUVSUVTUVRHUUGWOXCLUUGYRUQUUOWPUUGYRLWQWRWS
      WMWEUUDXLHXJYDUUBUUCXKXGYRXJLWTQULWCYOXGYRRPZYRCRPZNZHOYRXMMZCYRUDZMZNZHO
      XOHXGCRRUUFFVHUWCUWGHUWAUWDUWBUWFUWAXMYRMUWDXGYRUUOXAXMYRVNVOUWBUWECMUWFY
      RCFXAUWECVNVOWMWEUWFXOHXMGXBUWDUWEXNCYRXMUJQULWCWMWEWCYCXSCBAXDXEXF $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.
    brcup.1 $e |- A e. _V $.
    brcup.2 $e |- B e. _V $.
    brcup.3 $e |- C e. _V $.
    $( Binary relation form of the ` Cup ` function.  (Contributed by Scott
       Fenton, 14-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    brcup $p |- ( <. A , B >. Cup C <-> C = ( A u. B ) ) $=
      ( vx vy cvv cxp c1st ccnv cep ccom c2nd cun wbr wcel wa wex cop ccup opex
      df-cup opelvv brxp mpbir2an cv wceq wel epel brcnv br1steq bitri anbi12ci
      vex exbii brco clel3 3bitr4i br2ndeq orbi12i brun elun 3bitr4ri brtxpsd3
      wo ) GABUAZCIIJZIJZUBKLZMNZOLZMNZPZABPZABUCZFUDVHCVJQVHVIRCIRABDEUEFVHCVI
      IUFUGGUHZVHVLQZVRVHVNQZVGVRARZVRBRZVGVRVHVOQVRVPRVSWAVTWBVRHUHZMQZWCVHVKQ
      ZSZHTWCAUIZGHUJZSZHTVSWAWFWIHWDWHWEWGHVRUKZWEVHWCKQWGWCVHKHUPZVQULABWCDEU
      MUNUOUQHVRVHVKMGUPZVQURHVRADUSUTWDWCVHVMQZSZHTWCBUIZWHSZHTVTWBWNWPHWDWHWM
      WOWJWMVHWCOQWOWCVHOWKVQULABWCDEVAUNUOUQHVRVHVMMWLVQURHVRBEUSUTVBVRVHVLVNV
      CVRABVDVEVF $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x $.
    brcap.1 $e |- A e. _V $.
    brcap.2 $e |- B e. _V $.
    brcap.3 $e |- C e. _V $.
    $( Binary relation form of the ` Cap ` function.  (Contributed by Scott
       Fenton, 17-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    brcap $p |- ( <. A , B >. Cap C <-> C = ( A i^i B ) ) $=
      ( vx vy cvv cxp c1st ccnv cep ccom c2nd cin wbr wcel wa wex cop ccap opex
      df-cap opelvv brxp mpbir2an cv wceq wel epel brcnv br1steq bitri anbi12ci
      vex exbii brco clel3 3bitr4i br2ndeq anbi12i brin elin 3bitr4ri brtxpsd3
      ) GABUAZCIIJZIJZUBKLZMNZOLZMNZPZABPZABUCZFUDVGCVIQVGVHRCIRABDEUEFVGCVHIUF
      UGGUHZVGVKQZVQVGVMQZSVQARZVQBRZSVQVGVNQVQVORVRVTVSWAVQHUHZMQZWBVGVJQZSZHT
      WBAUIZGHUJZSZHTVRVTWEWHHWCWGWDWFHVQUKZWDVGWBKQWFWBVGKHUPZVPULABWBDEUMUNUO
      UQHVQVGVJMGUPZVPURHVQADUSUTWCWBVGVLQZSZHTWBBUIZWGSZHTVSWAWMWOHWCWGWLWNWIW
      LVGWBOQWNWBVGOWJVPULABWBDEVAUNUOUQHVQVGVLMWKVPURHVQBEUSUTVBVQVGVKVMVCVQAB
      VDVEVF $.
  $}

  ${
    $d A a b x $.  $d B a b x $.
    brsuccf.1 $e |- A e. _V $.
    brsuccf.2 $e |- B e. _V $.
    $( Binary relation form of the ` Succ ` function.  (Contributed by Scott
       Fenton, 14-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    brsuccf $p |- ( A Succ B <-> B = suc A ) $=
      ( vx va vb csuccf wbr ccup cid csingle cv wex wceq cop bitri w3a anbi1i
      wa ctxp ccom csuc df-succf breqi brco csn opex breq1 ceqsexv brcup brtxp2
      cun snex 3anass an32 vex ideq eqcom brsingle anbi12i ancom df-3an 3bitr4i
      3bitri 2exbii 19.41vv opeq1 eqeq2d anbi1d ceqsex2v 3bitr3i df-suc eqeq2i
      opeq2 exbii ) ABHIABJKLUAZUBZIAEMZVQIZVSBJIZTZENZBAUCZOZABHVRUDUEEABJVQCD
      UFVSAAUGZPZOZWATZENZBAWFUMZOZWCWEWJWGBJIZWLWAWMEWGAWFUHVSWGBJUIUJAWFBCAUN
      ZDUKQWBWIEWBVSFMZGMZPZOZAWOKIZAWPLIZRZGNFNZWATZWIVTXBWAFGAVSKLCULSXAWATZG
      NFNWOAOZWPWFOZWRWATZRZGNFNXCWIXDXHFGXDWRWSWTTZTZWATXGXITZXHXAXJWAWRWSWTUO
      SWRXIWAUPXIXGTXEXFTZXGTXKXHXIXLXGWSXEWTXFWSAWOOXEAWOFUQURAWOUSQAWPCGUQUTV
      ASXGXIVBXEXFXGVCVDVEVFXAWAFGVGXGVSAWPPZOZWATWIFGAWFCWNXEWRXNWAXEWQXMVSWOA
      WPVHVIVJXFXNWHWAXFXMWGVSWPWFAVOVIVJVKVLQVPWDWKBAVMVNVDVE $.
  $}

  ${
    $d A x y z $.  $d F x y z $.
    $( Lemma for ~ funpartfun .  Show membership in the restriction.
       (Contributed by Scott Fenton, 4-Dec-2017.) $)
    funpartlem $p |- (
    A e. dom ( ( Image F o. Singleton ) i^i ( _V X. Singletons ) ) <->
    E. x ( F " { A } ) = { x } ) $=
      ( vy vz csingle cvv csingles wcel csn cima cv wex c0 imaeq2d wbr wa exbii
      wceq 3bitri cimage ccom cxp cin cdm elex vsnid eleq2 mpbiri n0i wn biimpi
      snprc ima0 eqtrdi nsyl2 syl exlimiv eleq1 sneq eqeq1d exbidv eldm mpbiran
      vex brxp elsingles bitri anbi2i brin 19.42v 3bitr4i excom exancom ceqsexv
      snex breq2 brco brsingle anbi1i breq1 brimage eqcom vtoclbg pm5.21nii ) B
      CUAZFUBZGHUCZUDZUEZIZBGIZCBJZKZALZJZSZAMZBWJUFWQWLAWQWOWNIZWLWQWSWOWPIAUG
      WNWPWOUHUIWSWNNSWLWNWOUJWLUKZWNCNKNWTWMNCWTWMNSBUMULOCUNUOUPUQURDLZWJIZCX
      AJZKZWPSZAMZWKWRDBGXABWJUSXABSZXEWQAXGXDWNWPXGXCWMCXABUTOVAVBXBXAELZWIPZE
      MZXAXHWGPZXHWPSZQZEMZAMZXFEXAWIDVEZVCXJXMAMZEMXOXIXQEXKXAXHWHPZQXKXLAMZQX
      IXQXRXSXKXRXHHIZXSXRXAGIXTXPXAXHGHVFVDAXHVGVHVIXAXHWGWHVJXKXLAVKVLRXMEAVM
      VHXNXEAXNXLXKQEMXAWPWGPZXEXKXLEVNXKYAEWPWOVPZXHWPXAWGVQVOYAXAXHFPZXHWPWFP
      ZQZEMXHXCSZYDQZEMZXEEXAWPWFFXPYBVRYEYGEYCYFYDXAXHXPEVEVSVTRYHXCWPWFPZWPXD
      SXEYDYIEXCXAVPZXHXCWPWFWAVOXCWPCYJYBWBWPXDWCTTTRTWDWE $.
  $}

  ${
    $d F x y z w $.
    $( The functional part of ` F ` is a function.  (Contributed by Scott
       Fenton, 16-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.)  (Proof
       shortened by Peter Mazsa, 2-Oct-2022.) $)
    funpartfun $p |- Fun Funpart F $=
      ( vx vy vz vw wfun cv wbr wa wceq wal wcel vex brresi csn bitri cop df-br
      wi anbi12i cfunpart cimage csingle ccom cvv csingles cxp cres wrel relres
      cin cdm simprbi cima funpartlem anbi1i elimasn bitr4i eleq2 anbi12d velsn
      equtr2 syl2anb syl6bi syl5bi exlimiv impl sylanb sylan2 ax-gen df-funpart
      wex gen2 funeqi dffun2 mpbir2an ) AUAZFZAAUBUCUDUEUFUGUKULZUHZUIZBGZCGZVT
      HZWBDGZVTHZIWCWEJZSZDKCKZBKZAVSUJWIBWHCDWFWDWBWEAHZWGWFWBVSLZWKVSWBWEADMZ
      NUMWDAWBOUNZEGZOZJZEVLZWBWCAHZIZWKWGWDWLWSIWTVSWBWCACMZNWLWRWSEWBAUOUPPWR
      WSWKWGWQWSWKIZWGSEXBWCWNLZWEWNLZIZWQWGXBWBWCQALZWBWEQALZIXEWSXFWKXGWBWCAR
      WBWEARTXCXFXDXGAWBWCBMZXAUQAWBWEXHWMUQTURWQXEWCWPLZWEWPLZIWGWQXCXIXDXJWNW
      PWCUSWNWPWEUSUTXIWCWOJWEWOJWGXJCWOVADWOVACDEVBVCVDVEVFVGVHVIVMVJVRVTFWAWJ
      IVQVTAVKVNBCDVTVOPVP $.
  $}

  $( The functional part of ` F ` is a subset of ` F ` .  (Contributed by Scott
     Fenton, 17-Apr-2014.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  funpartss $p |- Funpart F C_ F $=
    ( cfunpart cimage csingle ccom cvv csingles cxp cin cres df-funpart eqsstri
    cdm resss ) ABAACDEFGHIMZJAAKAONL $.

  ${
    $d A x $.  $d F x $.
    $( The function value of the functional part is identical to the original
       functional value.  (Contributed by Scott Fenton, 17-Apr-2014.)  (Revised
       by Mario Carneiro, 19-Apr-2014.) $)
    funpartfv $p |- ( Funpart F ` A ) = ( F ` A ) $=
      ( vx cfunpart cfv cimage csingle ccom cvv csingles cxp cin cdm wcel wn c0
      wceq weu csn pm2.61i cres df-funpart fveq1i fvres nfvres wi cv funpartlem
      wbr cima wex eusn bitr4i cop wb elimasng elvd df-br bitr4di eubidv syl5bb
      notbid tz6.12-2 syl6bi fvprc a1d eqtr4d eqtri ) ABDZEABBFGHIJKLMZUAZEZABE
      ZAVIVKBUBUCAVJNZVLVMQAVJBUDVNOZVLPVMAVJBUEAINZVOVMPQZUFVPVOACUGZBUIZCRZOV
      QVPVNVTVNVRBASUJZNZCRZVPVTVNWAVRSQCUKWCCABUHCWAULUMVPWBVSCVPWBAVRUNBNZVSV
      PWBWDUOCBAVRIIUPUQAVRBURUSUTVAVBCABVCVDVPOVQVOABVEVFTVGTVH $.
  $}

  $( The full functional part of ` F ` is a function over ` _V ` .
     (Contributed by Scott Fenton, 17-Apr-2014.)  (Revised by Mario Carneiro,
     19-Apr-2014.) $)
  fullfunfnv $p |- FullFun F Fn _V $=
    ( cfullfn cvv wfn cfunpart cdm cdif c0 csn cxp cun cin wceq wfun funpartfun
    wa funfn mpbi wf 0ex fconst ffn ax-mp pm3.2i disjdif fnun df-fullfun fneq1i
    mp2an unvdif eqcomi fneq2i bitri mpbir ) ABZCDZAEZCUQFZGZHIZJZKZURUSKZDZUQU
    RDZVAUSDZPURUSLHMVDVEVFUQNVEAOUQQRUSUTVASVFUSHTUAUSUTVAUBUCUDURCUEURUSUQVAU
    FUIUPVBCDVDCUOVBAUGUHCVCVBVCCURUJUKULUMUN $.

  ${
    $d F x $.  $d A x $.
    $( The function value of the full function of ` F ` agrees with ` F ` .
       (Contributed by Scott Fenton, 17-Apr-2014.)  (Revised by Mario Carneiro,
       19-Apr-2014.) $)
    fullfunfv $p |- ( FullFun F ` A ) = ( F ` A ) $=
      ( vx cvv wcel cfullfn cfv wceq cv fveq2 c0 wfn wa 0ex mp3an12 mpan eqtr4d
      wn pm2.61i fvprc eqeq12d cfunpart cdm cdif csn cxp cun df-fullfun disjdif
      fveq1i cin wfun funpartfun funfn mpbi wf fconst ffn ax-mp fvun1 vex eldif
      mpbiran fvun2 fvconst2 eqtrd sylbir ndmfv funpartfv 3eqtri vtoclg ) ADEZA
      BFZGZABGZHZCIZVMGZVQBGZHVPCADVQAHVRVNVSVOVQAVMJVQABJUAVRVQBUBZDVTUCZUDZKU
      EZUFZUGZGZVQVTGZVSVQVMWEBUHUJVQWAEZWFWGHZWAWBUKKHZWHWIWADUIZVTWALZWDWBLZW
      JWHMWIVTULWLBUMVTUNUOZWBWCWDUPWMWBKNUQWBWCWDURUSZWAWBVTWDVQUTOPWHRZWFKWGW
      PVQWBEZWFKHWQVQDEWPCVAVQDWAVBVCWQWFVQWDGZKWJWQWFWRHZWKWLWMWJWQMWSWNWOWAWB
      VTWDVQVDOPWBKVQNVEVFVGVQVTVHQSVQBVIVJVKVLRVNKVOAVMTABTQS $.
  $}

  ${
    brfullfun.1 $e |- A e. _V $.
    brfullfun.2 $e |- B e. _V $.
    $( A binary relation form condition for the full function.  (Contributed by
       Scott Fenton, 17-Apr-2014.)  (Revised by Mario Carneiro,
       19-Apr-2014.) $)
    brfullfun $p |- ( A FullFun F B <-> B = ( F ` A ) ) $=
      ( cfullfn cfv wceq wbr eqcom cvv wfn wcel wb fullfunfnv fnbrfvb fullfunfv
      mp2an eqeq2i 3bitr3i ) ACFZGZBHZBUBHABUAIZBACGZHUBBJUAKLAKMUCUDNCODKABUAP
      RUBUEBACQST $.
  $}

  ${
    $d A a b x $.  $d B a b x $.  $d C x $.
    brrestrict.1 $e |- A e. _V $.
    brrestrict.2 $e |- B e. _V $.
    brrestrict.3 $e |- C e. _V $.
    $( Binary relation form of the ` Restrict ` function.  (Contributed by
       Scott Fenton, 17-Apr-2014.)  (Revised by Mario Carneiro,
       19-Apr-2014.) $)
    brrestrict $p |- ( <. A , B >. Restrict C <-> C = ( A |` B ) ) $=
      ( vx va vb cop ccap c1st ccart crange wbr wceq wa wex w3a bitri c2nd ccom
      ctxp crn cxp cin crestrict cres cv opex brtxp2 3anrot br1steq vex br2ndeq
      brco anbi1i exbii breq1 ceqsexv brrange 3bitri biid 3anbi123i 2exbii rnex
      opeq1 eqeq2d opeq2 ceqsex2v brcart brcap df-restrict breqi dfres3 3bitr4i
      xpex eqeq2i ) ABJZCKLMUANLUBZUCZUBZUCZUBZOZCABAUDZUEZUFZPZVSCUGOCABUHZPWE
      GUIZAWGJZPZWKCKOZQZGRZWLCKOZWIWEVSWKWCOZWNQZGRWPGVSCKWCABUJZFUPWSWOGWRWMW
      NWRWKHUIZIUIZJZPZVSXALOZVSXBWBOZSZIRHRXAAPZXBWGPZXDSZIRHRWMHIVSWKLWBWTUKX
      GXJHIXGXEXFXDSXJXDXEXFULXEXHXFXIXDXDABXADEUMXFVSWKWAOZWKXBMOZQZGRZBWFJZXB
      MOZXIGVSXBMWAWTIUNZUPXNWKXOPZXLQZGRXPXMXSGXKXRXLXKXDVSXAUAOZVSXBVTOZSZIRH
      RXABPZXBWFPZXDSZIRHRXRHIVSWKUAVTWTUKYBYEHIYBXTYAXDSYEXDXTYAULXTYCYAYDXDXD
      ABXADEUOYAVSWKLOZWKXBNOZQZGRZAXBNOZYDGVSXBNLWTXQUPYIWKAPZYGQZGRYJYHYLGYFY
      KYGABWKDEUMUQURYGYJGADWKAXBNUSUTTAXBDXQVAVBXDVCZVDTVEXDWKBXBJZPXRHIBWFEAD
      VFZYCXCYNWKXABXBVGVHYDYNXOWKXBWFBVIVHVJVBUQURXLXPGXOBWFUJWKXOXBMUSUTTBWFX
      BEYOXQVKVBYMVDTVEXDWKAXBJZPWMHIAWGDBWFEYOVQZXHXCYPWKXAAXBVGVHXIYPWLWKXBWG
      AVIVHVJVBUQURTWNWQGWLAWGUJWKWLCKUSUTAWGCDYQFVLVBVSCUGWDVMVNWJWHCABVOVRVP
      $.
  $}

  ${
    $d F f x y $.
    $( A quantifier-free definition of ` recs ` .  (Contributed by Scott
       Fenton, 17-Jul-2020.) $)
    dfrecs2 $p |- recs ( F ) = U. ( ( Funs i^i ( `' Domain " On ) ) \
         dom ( ( `' _E o. Domain ) \
         Fix ( `' Apply o. ( FullFun F o. Restrict ) ) ) ) $=
      ( vf vx vy cv wceq wa con0 wrex cfuns cdomain wcel wn wex wbr bitri exbii
      anbi1i ceqsexv 3bitri crecs wfn cfv cres wral cab cuni ccnv cima cin ccom
      cep capply cfullfn crestrict cfix cdif cdm dfrecs3 wfun elin elfuns brcnv
      vex brdomain rexbii elima risset 3bitr4i eldm brdif brco dmex breq1 epeli
      anbi12i df-br opex elfix ancom brapply fvex breq2 brrestrict resex notbii
      brfullfun df-rex rexnal 3bitr2ri con1bii anass eleq1 raleq anbi12d anbi2d
      cop df-fn eqcom anbi2i an12 3bitr3ri 3bitr2i eldif abbi2i unieqi eqtr4i )
      AUABEZCEZUBZDEZXHUCZXHXKUDZAUCFZDXIUEZGZCHIZBUFZUGJKUHZHUIZUJZULUHZKUKZUM
      UHZAUNZUOUKZUKZUPZUQZURZUQZUGCDBAUSYKXRXQBYKXHYALZXHYJLZMZGZXIHLZXPGZCNZX
      HYKLXQYOXHUTZXHURZHLZXNDYTUEZGZGZXIYTFZYSYPXOGZGZGZCNYRYOYSUUAGZUUBGUUDYL
      UUIYNUUBYLXHJLZXHXTLZGUUIXHJXTVAUUJYSUUKUUAXHBVDZVBXIXHXSOZCHIUUECHIUUKUU
      AUUMUUECHUUMXHXIKOZUUEXIXHKCVDZUULVCXHXIUULUUOVEZPVFCXHXSHUULVGCYTHVHVIVP
      PUUBYMYMXKYTLZXNMZGZDNZUURDYTIUUBMYMXHXKYIOZDNUUTDXHYIUULVJUVAUUSDUVAXHXK
      YCOZXHXKYHOZMZGUUSXHXKYCYHVKUVBUUQUVDUURUVBUUNXIXKYBOZGZCNZYTXKYBOZUUQCXH
      XKYBKUULDVDZVLUVGUUEUVEGZCNUVHUVFUVJCUUNUUEUVEUUPRQUVEUVHCYTXHUULVMZXIYTX
      KYBVNSPUVHXKYTULOUUQYTXKULUVKUVIVCXKYTUVKVOPTUVCXNUVCXHXKWQZYHLUVLUVLYGOZ
      XNXHXKYHVQUVLYGXHXKVRZVSUVMUVLXIYFOZXIUVLYDOZGZCNZUVLXLYFOZXNCUVLUVLYDYFU
      VNUVNVLUVRXIXLFZUVOGZCNUVSUVQUWACUVQUVPUVOGUWAUVOUVPVTUVPUVTUVOUVPUVLXIUM
      OUVTXIUVLUMUUOUVNVCXHXKXIUULUVIUUOWAPRPQUVOUVSCXLXKXHWBZXIXLUVLYFWCSPUVSU
      VLXIUOOZXIXLYEOZGZCNZXMXLYEOZXNCUVLXLYEUOUVNUWBVLUWFXIXMFZUWDGZCNUWGUWEUW
      ICUWCUWHUWDXHXKXIUULUVIUUOWDRQUWDUWGCXMXHXKUULWEZXIXMXLYEVNSPXMXLAUWJUWBW
      GTTTWFVPPQPUURDYTWHXNDYTWIWJWKVPYSUUAUUBWLPUUGUUDCYTUVKUUEUUFUUCYSUUEYPUU
      AXOUUBXIYTHWMXNDXIYTWNWOWPSUUHYQCXJUUFGUUEYSGZUUFGYQUUHXJUWKUUFXJYSYTXIFZ
      GYSUUEGUWKXHXIWRUWLUUEYSYTXIWSWTYSUUEVTTRXJYPXOXAUUEYSUUFWLXBQXCXHYAYJXDX
      PCHWHVIXEXFXG $.
  $}

  ${
    $d A a b f x y z $.  $d F a b f x y z $.
    $( A quantifier-free definition of the recursive definition generator.
       (Contributed by Scott Fenton, 17-Apr-2014.)  (Revised by Mario Carneiro,
       19-Apr-2014.)  (Proof shortened by Peter Mazsa, 2-Oct-2022.) $)
    dfrdg4 $p |- rec ( F , A ) = U.
       ( ( Funs i^i ( `' Domain " On ) ) \
         dom ( ( `' _E o. Domain ) \
         Fix ( `' Apply o.
               ( ( ( _V X. { (/) } ) X. { U. { A } } ) u.
                 ( ( ( Bigcup o. Img ) |` ( _V X. Limits ) ) u.
                   ( ( FullFun F o. ( Apply o. pprod ( _I , Bigcup ) ) ) |`
                     ( _V X. ran Succ ) ) ) ) ) ) ) $=
      ( vx vy vz va vb c0 wceq cvv wcel cuni wa con0 capply wex 3bitri bitri wn
      wbr vf crdg cv wfn cfv cif wlim cima wral wrex cab cfuns cdomain ccnv cin
      cep ccom csn cxp cbigcup cimg climits cres cfullfn cid cpprod csuccf cfix
      crn cun cdif cdm dfrdg3 wfun an12 df-fn ancom eqcom anbi1i anass vex dmex
      exbii eleq1 raleq anbi12d anbi2d ceqsexv df-rex eldif elin elfuns anbi12i
      brcnv wi brco breq1 wb w3a cop wo brun opelxp mpbiran velsn opex brbigcup
      brresi unieq eqeq2d brapply fvex orbi12i limeq mtbiri intnanrd wne mpbiri
      neneqd syl iftrue biimprd adantld biimpd anc2li orc syl6 impbid rexlimivw
      orel2 orel1 fveq2d ifbieq2d 3syld olcd con2i adantl syl5bb exbidv bitr4di
      elima brdomain anbi1ci wal brdif epeli onelon 3adant1 csuc ellimits brimg
      brxp imaex eqeq1d elrn brpprod3a 3anrot ideq equcom biid 3anbi123i 2exbii
      brsuccf vuniex opeq1 opeq2 ceqsex2v brfullfun fveq2 w3o onzsl nlim0 neeq2
      nsuceq0 nexdv ioran sylanbrc unisnif eqtr4di syld neeq1 nlimsucg elv neii
      necomd iffalsei iffalse mp2b eqtri eqeq1 3eqtr4a rexex olc syl6an exlimiv
      iffalsed eqtrd 3jaoi sylbi a1i biancomd df-br elfix eqvinc 3bitr4g notbid
      3expia pm5.32d annim bitrdi exnal bitr2di con1bid df-ral pm5.32i 3bitr4ri
      eldm abbi2i unieqi eqtr4i ) BAUBUAUCZCUCZUDZDUCZUYAUEZUYDHIZAJKAHUFZUYDUG
      ZUYAUYDUHZLZUYDLZUYAUEZBUEZUFZUFZIZDUYBUIZMZCNUJZUAUKZLULUMUNZNUHZUOZUPUN
      ZUMUQZOUNZJHURZUSZAURLZURZUSZUTVAUQZJVBUSZVCZBVDZOVEUTVFZUQZUQZJVGVIZUSZV
      CZVJZVJZUQZVHZVKZVLZVKZLCDUABAVMVVHUYTUYSUAVVHUYBNKZUYRMZCPZUYAVNZUYAVLZN
      KZUYPDVVMUIZMZMZUYSUYAVVHKZVVKUYBVVMIZVVLVVIUYQMZMZMZCPVVQVVJVWBCVVJUYCVV
      TMVVSVVLMZVVTMVWBVVIUYCUYQVOUYCVWCVVTUYCVVLVVMUYBIZMVWDVVLMVWCUYAUYBVPVVL
      VWDVQVWDVVSVVLVVMUYBVRVSQVSVVSVVLVVTVTQWCVWAVVQCVVMUYAUAWAZWBZVVSVVTVVPVV
      LVVSVVIVVNUYQVVOUYBVVMNWDZUYPDUYBVVMWEWFWGWHRUYRCNWIVVRUYAVUCKZUYAVVGKZSZ
      MVVLVVNMZVWJMZVVQUYAVUCVVGWJVWHVWKVWJVWHUYAULKZUYAVUBKZMVWKUYAULVUBWKVWMV
      VLVWNVVNUYAVWEWLVWNUYBUYAVUATZCNUJVVIVWOMZCPZVVNCUYAVUANVWEUUAVWOCNWIVWQV
      VSVVIMZCPVVNVWPVWRCVWOVVSVVIVWOUYAUYBUMTZVVSUYBUYAUMCWAZVWEWNUYAUYBVWEVWT
      UUBZRUUCWCVVIVVNCVVMVWFVWGWHRQWMRVSVWLVWKVVOMVVQVWKVWJVVOVWKVWJUYDVVMKZUY
      PWOZDUUDZVVOVWKVXDVWIVWKVXDSZUYAUYDVVFTZDPZVWIVWKVXGVXCSZDPVXEVWKVXFVXHDV
      XFVXBUYAUYDVVETZSZMZVWKVXHVXFUYAUYDVUETZVXJMVXKUYAUYDVUEVVEUUEVXLVXBVXJVX
      LVWSUYBUYDVUDTZMZCPZVVMUYDVUDTZVXBCUYAUYDVUDUMVWEDWAZWPVXOVVSVXMMZCPVXPVX
      NVXRCVWSVVSVXMVXAVSWCVXMVXPCVVMVWFUYBVVMUYDVUDWQWHRVXPUYDVVMUPTVXBVVMUYDU
      PVWFVXQWNUYDVVMVWFUUFRQVSRVWKVXKVXBUYPSZMVXHVWKVXBVXJVXSVVLVVNVXBVXJVXSWR
      VVLVVNVXBWSZVXIUYPVXTUYAUYDWTZUYBVVCTZUYBVYAVUFTZMZCPZUYBUYEIZUYBUYOIZMZC
      PVXIUYPVXTVYDVYHCVXTVYDVYFVYGVXTVYBVYGVYCVYFVXTUYDNKZVYBVYGWRVVNVXBVYIVVL
      VVMUYDUUGUUHVYBUYFUYBVUIIZMZUYHUYBUYJIZMZUYDEUCZUUIZIZEPZUYBUYMIZMZXAZXAZ
      VYIVYGVYBVYAUYBVUKTZVYAUYBVVBTZXAWUAVYAUYBVUKVVBXBWUBVYKWUCVYTWUBVYAVUHKZ
      UYBVUJKZMVYKVYAUYBVUHVUJUULWUDUYFWUEVYJWUDUYDVUGKZUYFWUDUYAJKZWUFVWEUYAUY
      DJVUGXCXDDHXERCVUIXEWMRWUCVYAUYBVUNTZVYAUYBVVATZXAVYTVYAUYBVUNVVAXBWUHVYM
      WUIVYSWUHVYAVUMKZVYAUYBVULTZMVYMVUMVYAUYBVULVWTXHWUJUYHWUKVYLWUJUYDVBKZUY
      HWUJWUGWULVWEUYAUYDJVBXCXDUYDVXQUUJRWUKVYAVYNVATZVYNUYBUTTZMZEPVYNUYIIZVY
      NLZUYBIZMZEPZVYLEVYAUYBUTVAUYAUYDXFZVWTWPWUOWUSEWUMWUPWUNWURUYAUYDVYNVWEV
      XQEWAZUUKVYNUYBVWTXGWMWCWUTUYJUYBIZVYLWURWVCEUYIUYAUYDVWEUUMWUPWUQUYJUYBV
      YNUYIXIUUNWHUYJUYBVRRQWMRWUIVYAVUTKZVYAUYBVURTZMVYSVUTVYAUYBVURVWTXHWVDVY
      QWVEVYRWVDUYDVUSKZVYNUYDVGTZEPVYQWVDWUGWVFVWEUYAUYDJVUSXCXDEUYDVGVXQUUOWV
      GVYPEVYNUYDWVBVXQUVCWCQWVEVYAFUCZVUQTZWVHUYBVUOTZMZFPWVHUYLIZUYBWVHBUEZIZ
      MZFPVYRFVYAUYBVUOVUQWVAVWTWPWVKWVOFWVIWVLWVJWVNWVIVYAVYNVUPTZVYNWVHOTZMZE
      PVYNUYAUYKWTZIZWVQMZEPZWVLEVYAWVHOVUPWVAFWAZWPWVRWWAEWVPWVTWVQWVPVYNWVHGU
      CZWTZIZUYAWVHVETZUYDWWDUTTZWSZGPFPWVHUYAIZWWDUYKIZWWFWSZGPFPWVTFGVEUTUYAU
      YDVYNVWEVXQWVBUUPWWIWWLFGWWIWWGWWHWWFWSWWLWWFWWGWWHUUQWWGWWJWWHWWKWWFWWFW
      WGUYAWVHIWWJUYAWVHWWCUURUAFUUSRWWHUYKWWDIWWKUYDWWDGWAXGUYKWWDVRRWWFUUTUVA
      RUVBWWFVYNUYAWWDWTZIWVTFGUYAUYKVWEDUVDZWWJWWEWWMVYNWVHUYAWWDUVEXJWWKWWMWV
      SVYNWWDUYKUYAUVFXJUVGQVSWCWWBWVSWVHOTZWVLWVQWWOEWVSUYAUYKXFVYNWVSWVHOWQWH
      UYAUYKWVHVWEWWNWWCXKRQWVHUYBBWWCVWTUVHWMWCWVNVYRFUYLUYKUYAXLWVLWVMUYMUYBW
      VHUYLBUVIXJWHQWMRXMRXMRVYIUYFVYPENUJZUYDJKZUYHMZUVJWUAVYGWRZEUYDUVKUYFWWS
      WWPWWRUYFWUAVYGUYFWUAVYKVYGUYFVYTSZWUAVYKWOUYFVYMSZVYSSZWWTUYFUYHVYLUYFUY
      HHUGUVLUYDHXNXOZXPUYFVYQVYRUYFVYPEUYFUYDVYOUYFVYOUYDUYFVYOUYDXQVYOHXQZVYN
      UVNZUYDHVYOUVMXRUWEXSUVOXPVYMVYSUVPUVQVYTVYKYJXTUYFVYJVYGUYFUYFVYGVYJUYFU
      YOVUIUYBUYFUYOUYGVUIUYFUYGUYNYAAUVRUVSXJZYBYCUVTUYFVYGVYKWUAUYFVYGVYJUYFV
      YGVYJWXFYDYEVYKVYTYFYGYHWWPWUAVYGWWPWUAVYTVYSVYGWWPVYKSZWUAVYTWOZVYPWXGEN
      VYPUYFVYJVYPUYDHVYPUYDHXQWXDWXEUYDVYOHUWAXRXSXPYIVYKVYTYKZXTWWPWXAVYTVYSW
      OWWPUYHVYLVYPUYHSZENVYPUYHVYOUGZWXKSZEVYNJUWBZUWCUYDVYOXNZXOZYIXPVYMVYSYK
      XTWWPVYRVYGVYQWWPVYGVYRWWPUYOUYMUYBVYPUYOUYMIENVYPVYOHIZUYGWXKUYJVYOLZUYA
      UEZBUEZUFZUFZWXSUYOUYMWYAWXTWXSWXPUYGWXTVYOHWXEUWDUWFVYNJKWXLWXTWXSIWVBWX
      MWXKUYJWXSUWGUWHUWIVYPUYFWXPUYNWXTUYGUYDVYOHUWJVYPUYHWXKUYMWXSUYJWXNVYPUY
      LWXRBVYPUYKWXQUYAUYDVYOXIYLYLZYMYMWYBUWKYIXJZYBYCYNWWPVYQVYGVYRWUAVYPENUW
      LWWPVYGVYRWYCYDVYSVYTVYKVYSVYMUWMYOUWNYHWWRWUAVYGUYHWUAVYGWOWWQUYHWUAVYTV
      YMVYGUYHWXGWXHUYHUYFVYJUYFUYHWXCYPZXPWXIXTUYHWXBVYTVYMWOUYHVYQVYRVYQUYHVY
      PWXJEWXOUWOYPXPVYSVYMYJXTUYHVYLVYGUYHUYHVYGVYLUYHUYOUYJUYBUYHUYOUYNUYJUYH
      UYFUYGUYNWYDUWPUYHUYJUYMYAUWQXJZYBYCYNYQUYHVYGWUAWOWWQUYHVYGVYMWUAUYHVYGV
      YLUYHVYGVYLWYEYDYEVYMVYTVYKVYMVYSYFYOYGYQYHUWRUWSYRXTVYCVYFWRVXTVYCVYAUYB
      OTVYFUYBVYAOVWTWVAWNUYAUYDUYBVWEVXQVWTXKRUWTWFUXAYSVXIVYAVVEKVYAVYAVVDTVY
      EUYAUYDVVEUXBVYAVVDWVAUXCCVYAVYAVUFVVCWVAWVAWPQCUYEUYOUYDUYAXLUXDUXEUXFUX
      GUXHVXBUYPUXIUXJYRYSVXCDUXKUXLDUYAVVFVWEUXQYTUXMUYPDVVMUXNYTUXOVVLVVNVVOV
      TRQUXPUXRUXSUXT $.
  $}

  ${
    $d A x y $.
    $( Quantifier-free definition of class intersection.  (Contributed by Scott
       Fenton, 13-Apr-2018.) $)
    dfint3 $p |- |^| A = ( _V \ ( `' ( _V \ _E ) " A ) ) $=
      ( vx vy cint wel wral cab cvv cep cdif ccnv cima dfint2 cv wbr wn mpbiran
      wcel vex bitr2i wrex ralnex brcnv brdif con1bii epel ralbii eldif xchbinx
      brv elima 3bitr4ri abbi2i eqtr4i ) ADBCEZCAFZBGHHIJZKZALZJZBCAMUPBUTCNZBN
      ZUROZPZCAFVCCAUAZPUPVBUTRZVCCAUBUOVDCAVDVBVAIOZUOVGVCVCVBVAUQOZVGPZVAVBUQ
      CSBSZUCVHVBVAHOVIVBVAUJVBVAHIUDQTUECVBUFTUGVFVBUSRZVEVFVBHRVKPVJVBHUSUHQC
      VBURAVJUKUIULUMUN $.
  $}

  ${
    $d x y z $.
    $( The Image functor applied to the converse of the subset relationship
       yields a subset of the subset relationship.  (Contributed by Scott
       Fenton, 14-Apr-2018.) $)
    imagesset $p |- Image `' SSet C_ SSet $=
      ( vx vy vz csset ccnv cimage wss cv cop wcel wi wal wrex sseq2 wbr brsset
      vex bitri df-br bitr3i cima wceq wel ssid rspcev mpan2 elima brcnv rexbii
      sylibr ssriv mpbiri brimage 3imtr3i gen2 wfun wrel wb funimage ssrel mp2b
      funrel mpbir ) DEZFZDGZAHZBHZIZVEJZVIDJZKZBLALZVLABVHVDVGUAZUBZVGVHGZVJVK
      VOVPVGVNGBVGVNBAUCZVHCHZGZCVGMZVHVNJZVQVHVHGZVTVHUDVSWBCVHVGVRVHVHNUEUFWA
      VRVHVDOZCVGMVTCVHVDVGBQZUGWCVSCVGWCVHVRDOVSVRVHDCQZWDUHVHVRWEPRUIRUJUKVHV
      NVGNULVOVGVHVEOVJVGVHVDAQWDUMVGVHVESTVPVGVHDOVKVGVHWDPVGVHDSTUNUOVEUPVEUQ
      VFVMURVDUSVEVBABVEDUTVAVC $.
  $}

  ${
    $d A x $.  $d R x $.  $d S x $.
    brub.1 $e |- S e. _V $.
    brub.2 $e |- A e. _V $.
    $( Binary relation form of the upper bound functor.  (Contributed by Scott
       Fenton, 3-May-2018.) $)
    brub $p |- ( S UB R A <-> A. x e. S x R A ) $=
      ( cvv cxp cdif cep ccnv ccom wbr cv wrex wn cub wcel brdif mpbiran rexbii
      wral brxp mpbir2an coepr xchbinx df-ub breqi rexnal bitri con2bii 3bitr4i
      brv ) DBGGHZGCIZJKLZIZMZANZBUOMZADOZPDBCQZMUSBCMZADUBZURDBUPMZVAURDBUNMZV
      EPVFDGRBGREFDBGGUCUDDBUNUPSTADBUOEFUEUFDBVBUQCUGUHVAVDVAVCPZADOVDPUTVGADU
      TUSBGMVGUSBUMUSBGCSTUAVCADUIUJUKUL $.

    $( Binary relation form of the lower bound functor.  (Contributed by Scott
       Fenton, 3-May-2018.) $)
    brlb $p |- ( S LB R A <-> A. x e. S A R x ) $=
      ( clb wbr ccnv cub cv wral df-lb breqi brub vex brcnv ralbii 3bitri ) DBC
      GZHDBCIZJZHAKZBUAHZADLBUCCHZADLDBTUBCMNABUADEFOUDUEADUCBCAPFQRS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Alternate ordered pairs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c << >> XX. $.
  $( Declare the syntax for an alternate ordered pair. $)
  caltop $a class << A , B >> $.
  $( Declare the syntax for an alternate Cartesian product. $)
  caltxp $a class ( A XX. B ) $.

  $( An alternative definition of ordered pairs.  This definition removes a
     hypothesis from its defining theorem (see ~ altopth ), making it more
     convenient in some circumstances.  (Contributed by Scott Fenton,
     22-Mar-2012.) $)
  df-altop $a |- << A , B >> = { { A } , { A , { B } } } $.

  ${
    $d A x y z $.  $d B x y z $.
    $( Define Cartesian products of alternative ordered pairs.  (Contributed by
       Scott Fenton, 23-Mar-2012.) $)
    df-altxp $a |- ( A XX. B ) = { z | E. x e. A E. y e. B z = << x , y >> } $.
  $}

  $( Alternative ordered pairs always exist.  (Contributed by Scott Fenton,
     22-Mar-2012.) $)
  altopex $p |- << A , B >> e. _V $=
    ( caltop csn cpr cvv df-altop prex eqeltri ) ABCADZABDEZEFABGJKHI $.

  $( Two alternate ordered pairs are equal iff the singletons of their
     respective elements are equal.  Note that this holds regardless of sethood
     of any of the elements.  (Contributed by Scott Fenton, 16-Apr-2012.) $)
  altopthsn $p |- ( << A , B >> = << C , D >> <->
                    ( { A } = { C } /\ { B } = { D } ) ) $=
    ( caltop wceq csn cpr wa df-altop eqeq12i snex prex wss snsspr1 sseq2 df-pr
    cun preq2d preqr2 preq12b simpl mpbii adantl mpbiri adantr eqssd jaoi sylbi
    wo uneq1 3eqtr4g preq1 eqtrd eqeq1d biimpd syl syl6com jcai sylan9eq impbii
    preq2 bitri ) ABEZCDEZFAGZABGZHZHZCGZCDGZHZHZFZVFVJFZVGVKFZIZVDVIVEVMABJCDJ
    KVNVQVNVOVPVNVOVHVLFZIZVFVLFZVHVJFZIZUJVOVFVHVJVLALAVGMCLCVKMZUAVSVOWBVOVRU
    BWBVFVJWAVFVJNZVTWAVFVHNWDAVGOVHVJVFPUCUDVTVJVFNZWAVTWEVJVLNCVKOVFVLVJPUEUF
    UGUHUIVOVNVJCVGHZHZVMFZVPVOVNWHVOVIWGVMVOVIVFWFHWGVOVHWFVFVOVFVGGZRVJWIRVHW
    FVFVJWIUKAVGQCVGQULSVFVJWFUMUNZUOUPWHWFVLFVPWFVLVJCVGMWCTVGVKCBLDLTUQURUSVO
    VPVIWGVMWJVPWFVLVJVGVKCVBSUTVAVC $.

  $( Equality for alternate ordered pairs.  (Contributed by Scott Fenton,
     22-Mar-2012.) $)
  altopeq12 $p |- ( ( A = B /\ C = D ) -> << A , C >> = << B , D >> ) $=
    ( wceq wa csn caltop sneq anim12i altopthsn sylibr ) ABEZCDEZFAGBGEZCGDGEZF
    ACHBDHEMONPABICDIJACBDKL $.

  $( Equality for alternate ordered pairs.  (Contributed by Scott Fenton,
     22-Mar-2012.) $)
  altopeq1 $p |- ( A = B -> << A , C >> = << B , C >> ) $=
    ( wceq caltop eqid altopeq12 mpan2 ) ABDCCDACEBCEDCFABCCGH $.

  $( Equality for alternate ordered pairs.  (Contributed by Scott Fenton,
     22-Mar-2012.) $)
  altopeq2 $p |- ( A = B -> << C , A >> = << C , B >> ) $=
    ( wceq caltop eqid altopeq12 mpan ) CCDABDCAECBEDCFCCABGH $.

  $( Equality of the first members of equal alternate ordered pairs, which
     holds regardless of the second members' sethood.  (Contributed by Scott
     Fenton, 22-Mar-2012.) $)
  altopth1 $p |- ( A e. V -> ( << A , B >> = << C , D >> -> A = C ) ) $=
    ( caltop wceq csn wa wcel altopthsn sneqrg adantrd syl5bi ) ABFCDFGAHCHGZBH
    DHGZIAEJZACGZABCDKQORPACELMN $.

  $( Equality of the second members of equal alternate ordered pairs, which
     holds regardless of the first members' sethood.  (Contributed by Scott
     Fenton, 22-Mar-2012.) $)
  altopth2 $p |- ( B e. V -> ( << A , B >> = << C , D >> -> B = D ) ) $=
    ( caltop wceq csn wa wcel altopthsn sneqrg adantld syl5bi ) ABFCDFGAHCHGZBH
    DHGZIBEJZBDGZABCDKQPROBDELMN $.

  $( Alternate ordered pair theorem.  (Contributed by Scott Fenton,
     22-Mar-2012.) $)
  altopthg $p |- ( ( A e. V /\ B e. W ) ->
                   ( << A , B >> = << C , D >> <-> ( A = C /\ B = D ) ) ) $=
    ( caltop wceq csn wa wcel altopthsn sneqbg bi2anan9 syl5bb ) ABGCDGHAICIHZB
    IDIHZJAEKZBFKZJACHZBDHZJABCDLRPTSQUAACEMBDFMNO $.

  $( Alternate ordered pair theorem.  (Contributed by Scott Fenton,
     14-Apr-2012.) $)
  altopthbg $p |- ( ( A e. V /\ D e. W ) ->
                   ( << A , B >> = << C , D >> <-> ( A = C /\ B = D ) ) ) $=
    ( caltop wceq csn wa wcel altopthsn sneqbg eqcom 3bitr4g bi2anan9 syl5bb )
    ABGCDGHAICIHZBIZDIZHZJAEKZDFKZJACHZBDHZJABCDLUBRUDUCUAUEACEMUCTSHDBHUAUEDBF
    MSTNBDNOPQ $.

  ${
    altopth.1 $e |- A e. _V $.
    altopth.2 $e |- B e. _V $.
    $( The alternate ordered pair theorem.  If two alternate ordered pairs are
       equal, their first elements are equal and their second elements are
       equal.  Note that ` C ` and ` D ` are not required to be a set due to a
       peculiarity of our specific ordered pair definition, as opposed to the
       regular ordered pairs used here, which (as in ~ opth ), requires ` D `
       to be a set.  (Contributed by Scott Fenton, 23-Mar-2012.) $)
    altopth $p |- ( << A , B >> = << C , D >> <-> ( A = C /\ B = D ) ) $=
      ( cvv wcel caltop wceq wa wb altopthg mp2an ) AGHBGHABICDIJACJBDJKLEFABCD
      GGMN $.
  $}

  ${
    altopthb.1 $e |- A e. _V $.
    altopthb.2 $e |- D e. _V $.
    $( Alternate ordered pair theorem with different sethood requirements.  See
       ~ altopth for more comments.  (Contributed by Scott Fenton,
       14-Apr-2012.) $)
    altopthb $p |- ( << A , B >> = << C , D >> <-> ( A = C /\ B = D ) ) $=
      ( cvv wcel caltop wceq wa wb altopthbg mp2an ) AGHDGHABICDIJACJBDJKLEFABC
      DGGMN $.
  $}

  ${
    altopthc.1 $e |- B e. _V $.
    altopthc.2 $e |- C e. _V $.
    $( Alternate ordered pair theorem with different sethood requirements.  See
       ~ altopth for more comments.  (Contributed by Scott Fenton,
       14-Apr-2012.) $)
    altopthc $p |- ( << A , B >> = << C , D >> <-> ( A = C /\ B = D ) ) $=
      ( caltop wceq wa eqcom altopthb anbi12i 3bitri ) ABGZCDGZHONHCAHZDBHZIACH
      ZBDHZINOJCDABFEKPRQSCAJDBJLM $.
  $}

  ${
    altopthd.1 $e |- C e. _V $.
    altopthd.2 $e |- D e. _V $.
    $( Alternate ordered pair theorem with different sethood requirements.  See
       ~ altopth for more comments.  (Contributed by Scott Fenton,
       14-Apr-2012.) $)
    altopthd $p |- ( << A , B >> = << C , D >> <-> ( A = C /\ B = D ) ) $=
      ( caltop wceq wa eqcom altopth anbi12i 3bitri ) ABGZCDGZHONHCAHZDBHZIACHZ
      BDHZINOJCDABEFKPRQSCAJDBJLM $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.
    $( Equality for alternate Cartesian products.  (Contributed by Scott
       Fenton, 24-Mar-2012.) $)
    altxpeq1 $p |- ( A = B -> ( A XX. C ) = ( B XX. C ) ) $=
      ( vz vx vy wceq cv caltop wrex cab caltxp rexeq abbidv df-altxp 3eqtr4g )
      ABGZDHEHFHIGFCJZEAJZDKREBJZDKACLBCLQSTDREABMNEFDACOEFDBCOP $.

    $( Equality for alternate Cartesian products.  (Contributed by Scott
       Fenton, 24-Mar-2012.) $)
    altxpeq2 $p |- ( A = B -> ( C XX. A ) = ( C XX. B ) ) $=
      ( vz vx vy wceq cv caltop wrex cab caltxp rexbidv abbidv df-altxp 3eqtr4g
      rexeq ) ABGZDHEHFHIGZFAJZECJZDKSFBJZECJZDKCALCBLRUAUCDRTUBECSFABQMNEFDCAO
      EFDCBOP $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d X x y z $.
    $( Membership in alternate Cartesian products.  (Contributed by Scott
       Fenton, 23-Mar-2012.) $)
    elaltxp $p |- ( X e. ( A XX. B ) <->
                     E. x e. A E. y e. B X = << x , y >> ) $=
      ( vz caltxp wcel cvv cv caltop wceq wrex elex wi altopex eleq1 mpbiri a1i
      wa rexlimivv eqeq1 2rexbidv df-altxp elab2g pm5.21nii ) ECDGZHEIHZEAJZBJZ
      KZLZBDMACMZEUGNULUHABCDULUHOUICHUJDHTULUHUKIHUIUJPEUKIQRSUAFJZUKLZBDMACMU
      MFEUGIUNELUOULABCDUNEUKUBUCABFCDUDUEUF $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d X x y $.  $d Y x y $.
    $( Alternate ordered pair membership in a Cartesian product.  Note that,
       unlike ~ opelxp , there is no sethood requirement here.  (Contributed by
       Scott Fenton, 22-Mar-2012.) $)
    altopelaltxp $p |- ( << X , Y >> e. ( A XX. B ) <->
                          ( X e. A /\ Y e. B ) ) $=
      ( vx vy caltop caltxp wcel cv wceq wrex wa elaltxp reeanv eqcom vex bitri
      altopth risset 2rexbii anbi12i 3bitr4i ) CDGZABHIUDEJZFJZGZKZFBLEALZCAIZD
      BIZMZEFABUDNUECKZUFDKZMZFBLEALUMEALZUNFBLZMUIULUMUNEFABOUHUOEFABUHUGUDKUO
      UDUGPUEUFCDEQFQSRUAUJUPUKUQECATFDBTUBUCR $.
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( An inclusion rule for alternate Cartesian products.  (Contributed by
       Scott Fenton, 24-Mar-2012.) $)
    altxpsspw $p |- ( A XX. B ) C_ ~P ~P ( A u. ~P B ) $=
      ( vz vx vy caltxp cpw cun cv wcel wrex wa csn cpr wss snssi syl snex elpw
      prex caltop wceq elaltxp df-altop ssun3 adantr elun1 elun2 sylbir anim12i
      wi prss sylib prsspw bitri sylanbrc eqeltrid eleq1a rexlimivv sylbi ssriv
      vex ) CABFZABGZHZGZGZCIZVCJVHDIZEIZUAZUBZEBKDAKVHVGJZDEABVHUCVLVMDEABVIAJ
      ZVJBJZLZVKVGJVLVMUKVPVKVIMZVIVJMZNZNZVGVIVJUDVPVQVEOZVSVEOZVTVGJZVNWAVOVN
      VQAOWAVIAPVQAVDUEQUFVPVIVEJZVRVEJZLWBVNWDVOWEVIAVDUGVOVRBOZWEVJBPWFVRVDJW
      EVRBVJRZSVRVDAUHUIQUJVIVRVEDVBWGULUMWCVTVFOWAWBLVTVFVQVSTSVQVSVEVIRVIVRTU
      NUOUPUQVKVGVHURQUSUTVA $.
  $}

  $( The alternate Cartesian product of two sets is a set.  (Contributed by
     Scott Fenton, 24-Mar-2012.) $)
  altxpexg $p |- ( ( A e. V /\ B e. W ) -> ( A XX. B ) e. _V ) $=
    ( wcel wa caltxp cpw cun wss cvv altxpsspw pwexg unexg sylan2 ssexg sylancr
    3syl ) ACEZBDEZFZABGZABHZIZHZHZJUFKEZUBKEABLUAUDKEZUEKEUGTSUCKEUHBDMAUCCKNO
    UDKMUEKMRUBUFKPQ $.

  $( Compute the rank of an alternate ordered pair.  (Contributed by Scott
     Fenton, 18-Dec-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  rankaltopb $p |- ( ( A e. U. ( R1 " On ) /\ B e. U. ( R1 " On ) ) -> ( rank
    ` << A , B >> ) = suc suc ( ( rank ` A ) u. suc ( rank ` B ) ) ) $=
    ( cr1 con0 cima wcel wa crnk cfv csn cun csuc wceq snwf cpr rankprb syl2anc
    fveq2i suceq eqtrd cuni caltop df-altop adantr prwf syl5eq wss snsspr1 mpbi
    ssequn1 rankunb 3eqtr3a syl sylan2 ranksnb uneq2d 3syl adantl ) ACDEUAZFZBU
    SFZGABUBZHIZAHIZBJZHIZKZLZLZVDBHILZKZLZLZVAUTVEUSFZVCVIMBNUTVNGZVCAJZHIAVEO
    ZHIZKZLZVIVOVCVPVQOZHIZVTVBWAHABUCRVOVPUSFZVQUSFZWBVTMUTWCVNANUDZAVEUEZVPVQ
    PQUFVOVSVHMVTVIMVOVPVQKZHIZVRVSVHWGVQHVPVQUGWGVQMAVEUHVPVQUJUIRVOWCWDWHVSMW
    EWFVPVQUKQAVEPULVSVHSUMTUNVAVIVMMZUTVAVGVKMVHVLMWIVAVFVJVDBUOUPVGVKSVHVLSUQ
    URT $.

  ${
    nfaltop.1 $e |- F/_ x A $.
    nfaltop.2 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for alternate ordered pairs.
       (Contributed by Scott Fenton, 25-Sep-2015.) $)
    nfaltop $p |- F/_ x << A , B >> $=
      ( caltop csn cpr df-altop nfsn nfpr nfcxfr ) ABCFBGZBCGZHZHBCIAMOABDJABND
      ACEJKKL $.
  $}

  ${
    $d x A $.
    $( Distribution of class substitution over alternate ordered pairs.
       (Contributed by Scott Fenton, 25-Sep-2015.) $)
    sbcaltop $p |- ( A e. _V -> [_ A / x ]_ << C , D >> =
                                << [_ A / x ]_ C , [_ A / x ]_ D >> ) $=
      ( caltop csb cvv wnfc wcel nfcsb1v nfaltop wceq csbeq1a altopeq1 altopeq2
      a1i cv syl eqtrd csbiegf ) ABCDEZABCFZABDFZEZGAUDHBGIAUBUCABCJABDJKPAQBLZ
      UAUBDEZUDUECUBLUAUFLABCMCUBDNRUEDUCLUFUDLABDMDUCUBORST $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Geometry in the Euclidean space
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Congruence properties
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c OuterFiveSeg $.

  $( Declare the syntax for the outer five segment configuration. $)
  cofs $a class OuterFiveSeg $.

  ${
    $d a b c d x y z w p q n $.
    $( The outer five segment configuration is an abbreviation for the
       conditions of the Five Segment Axiom ( ~ ax5seg ).  See ~ brofs and
       ~ 5segofs for how it is used.  Definition 2.10 of [Schwabhauser] p. 28.
       (Contributed by Scott Fenton, 21-Sep-2013.) $)
    df-ofs $a |- OuterFiveSeg =
        { <. p , q >. |
           E. n e. NN E. a e. ( EE ` n ) E. b e. ( EE ` n ) E. c e. ( EE ` n )
           E. d e. ( EE ` n ) E. x e. ( EE ` n ) E. y e. ( EE ` n )
           E. z e. ( EE ` n ) E. w e. ( EE ` n ) (
           p = <. <. a , b >. , <. c , d >. >. /\
           q = <. <. x , y >. , <. z , w >. >. /\
           ( ( b Btwn <. a , c >. /\ y Btwn <. x , z >. ) /\
             ( <. a , b >. Cgr <. x , y >. /\
               <. b , c >. Cgr <. y , z >. ) /\
             ( <. a , d >. Cgr <. x , w >. /\
               <. b , d >. Cgr <. y , w >. ) ) ) } $.
  $}

  ${
    cgrrflx2d.1 $e |- ( ph -> N e. NN ) $.
    cgrrflx2d.2 $e |- ( ph -> A e. ( EE ` N ) ) $.
    cgrrflx2d.3 $e |- ( ph -> B e. ( EE ` N ) ) $.
    $( Deduction form of ~ axcgrrflx .  (Contributed by Scott Fenton,
       13-Oct-2013.) $)
    cgrrflx2d $p |- ( ph -> <. A , B >. Cgr <. B , A >. ) $=
      ( cn wcel cee cfv cop ccgr wbr axcgrrflx syl3anc ) ADHIBDJKZICQIBCLCBLMNE
      FGBCDOP $.
  $}

  ${
    cgrtr4d.1 $e |- ( ph -> N e. NN ) $.
    cgrtr4d.2 $e |- ( ph -> A e. ( EE ` N ) ) $.
    cgrtr4d.3 $e |- ( ph -> B e. ( EE ` N ) ) $.
    cgrtr4d.4 $e |- ( ph -> C e. ( EE ` N ) ) $.
    cgrtr4d.5 $e |- ( ph -> D e. ( EE ` N ) ) $.
    cgrtr4d.6 $e |- ( ph -> E e. ( EE ` N ) ) $.
    cgrtr4d.7 $e |- ( ph -> F e. ( EE ` N ) ) $.
    cgrtr4d.8 $e |- ( ph -> <. A , B >. Cgr <. C , D >. ) $.
    cgrtr4d.9 $e |- ( ph -> <. A , B >. Cgr <. E , F >. ) $.
    $( Deduction form of ~ axcgrtr .  (Contributed by Scott Fenton,
       13-Oct-2013.) $)
    cgrtr4d $p |- ( ph -> <. C , D >. Cgr <. E , F >. ) $=
      ( cop ccgr wcel wbr cn cee cfv wa wi axcgrtr syl133anc mp2and ) ABCRZDERZ
      SUAZUJFGRZSUAZUKUMSUAZPQAHUBTBHUCUDZTCUPTDUPTEUPTFUPTGUPTULUNUEUOUFIJKLMN
      OBCDEFGHUGUHUI $.
  $}

  ${
    cgrtr4and.1 $e |- ( ph -> N e. NN ) $.
    cgrtr4and.2 $e |- ( ph -> A e. ( EE ` N ) ) $.
    cgrtr4and.3 $e |- ( ph -> B e. ( EE ` N ) ) $.
    cgrtr4and.4 $e |- ( ph -> C e. ( EE ` N ) ) $.
    cgrtr4and.5 $e |- ( ph -> D e. ( EE ` N ) ) $.
    cgrtr4and.6 $e |- ( ph -> E e. ( EE ` N ) ) $.
    cgrtr4and.7 $e |- ( ph -> F e. ( EE ` N ) ) $.
    cgrtr4and.8 $e |- ( ( ph /\ ps ) -> <. A , B >. Cgr <. C , D >. ) $.
    cgrtr4and.9 $e |- ( ( ph /\ ps ) -> <. A , B >. Cgr <. E , F >. ) $.
    $( Deduction form of ~ axcgrtr .  (Contributed by Scott Fenton,
       13-Oct-2013.) $)
    cgrtr4and $p |- ( ( ph /\ ps ) -> <. C , D >. Cgr <. E , F >. ) $=
      ( wcel adantr wa cn cee cfv cgrtr4d ) ABUACDEFGHIAIUBSBJTACIUCUDZSBKTADUF
      SBLTAEUFSBMTAFUFSBNTAGUFSBOTAHUFSBPTQRUE $.
  $}

  $( Reflexivity law for congruence.  Theorem 2.1 of [Schwabhauser] p. 27.
     (Contributed by Scott Fenton, 12-Jun-2013.) $)
  cgrrflx $p |- ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
    <. A , B >. Cgr <. A , B >. ) $=
    ( wcel cee cfv w3a simp1 simp3 simp2 cop ccgr wbr axcgrrflx 3com23 cgrtr4d
    cn ) CQDZACEFZDZBSDZGBAABABCRTUAHRTUAIZRTUAJZUCUBUCUBRUATBAKABKLMBACNOZUDP
    $.

  ${
    cgrrflxd.1 $e |- ( ph -> N e. NN ) $.
    cgrrflxd.2 $e |- ( ph -> A e. ( EE ` N ) ) $.
    cgrrflxd.3 $e |- ( ph -> B e. ( EE ` N ) ) $.
    $( Deduction form of ~ cgrrflx .  (Contributed by Scott Fenton,
       13-Oct-2013.) $)
    cgrrflxd $p |- ( ph -> <. A , B >. Cgr <. A , B >. ) $=
      ( cn wcel cee cfv cop ccgr wbr cgrrflx syl3anc ) ADHIBDJKZICQIBCLZRMNEFGB
      CDOP $.
  $}

  $( Congruence commutes on the two sides.  Implication version.  Theorem 2.2
     of [Schwabhauser] p. 27.  (Contributed by Scott Fenton, 12-Jun-2013.) $)
  cgrcomim $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
    ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
    ( <. A , B >. Cgr <. C , D >. ->
      <. C , D >. Cgr <. A , B >. ) ) $=
    ( cn wcel cee cfv w3a cop ccgr wbr simp1 simp2l simp2r simp3l simp3r simpr
    wa simpl1 simpl2l simpl2r cgrrflxd cgrtr4and ex ) EFGZAEHIZGZBUHGZTZCUHGZDU
    HGZTZJZABKZCDKZLMZUQUPLMUOURABCDABEUGUKUNNUGUIUJUNOZUGUIUJUNPZUGUKULUMQUGUK
    ULUMRUSUTUOURSUOURTABEUGUKUNURUAUIUJUGUNURUBUIUJUGUNURUCUDUEUF $.

  $( Congruence commutes between the two sides.  (Contributed by Scott Fenton,
     12-Jun-2013.) $)
  cgrcom $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
    ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
    ( <. A , B >. Cgr <. C , D >. <->
      <. C , D >. Cgr <. A , B >. ) ) $=
    ( cn wcel cee cfv wa w3a cop ccgr wbr cgrcomim wi 3com23 impbid ) EFGZAEHIZ
    GBTGJZCTGDTGJZKABLZCDLZMNZUDUCMNZABCDEOSUBUAUFUEPCDABEOQR $.

  ${
    cgrcomand.1 $e |- ( ph -> N e. NN ) $.
    cgrcomand.2 $e |- ( ph -> A e. ( EE ` N ) ) $.
    cgrcomand.3 $e |- ( ph -> B e. ( EE ` N ) ) $.
    cgrcomand.4 $e |- ( ph -> C e. ( EE ` N ) ) $.
    cgrcomand.5 $e |- ( ph -> D e. ( EE ` N ) ) $.
    cgrcomand.6 $e |- ( ( ph /\ ps ) -> <. A , B >. Cgr <. C , D >. ) $.
    $( Deduction form of ~ cgrcom .  (Contributed by Scott Fenton,
       13-Oct-2013.) $)
    cgrcomand $p |- ( ( ph /\ ps ) -> <. C , D >. Cgr <. A , B >. ) $=
      ( wa cop ccgr wbr wb cn wcel cee cfv cgrcom syl122anc adantr mpbid ) ABNC
      DOZEFOZPQZUHUGPQZMAUIUJRZBAGSTCGUAUBZTDULTEULTFULTUKHIJKLCDEFGUCUDUEUF $.
  $}

  $( Transitivity law for congruence.  Theorem 2.3 of [Schwabhauser] p. 27.
     (Contributed by Scott Fenton, 24-Sep-2013.) $)
  cgrtr $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) ->
       ( ( <. A , B >. Cgr <. C , D >. /\
           <. C , D >. Cgr <. E , F >. ) ->
         <. A , B >. Cgr <. E , F >. ) ) $=
    ( cn wcel cee cfv w3a cop ccgr wbr wa simp1 simp23 simp31 simp21 cgrcomand
    simp22 simp32 simp33 simprl simprr cgrtr4and ex ) GHIZAGJKZIZBUJIZCUJIZLZDU
    JIZEUJIZFUJIZLZLZABMZCDMZNOZVAEFMZNOZPZUTVCNOUSVECDABEFGUIUNURQZUIUKULUMURR
    ZUIUNUOUPUQSZUIUKULUMURTZUIUKULUMURUBZUIUNUOUPUQUCUIUNUOUPUQUDUSVEABCDGVFVI
    VJVGVHUSVBVDUEUAUSVBVDUFUGUH $.

  ${
    cgrtrand.1 $e |- ( ph -> N e. NN ) $.
    cgrtrand.2 $e |- ( ph -> A e. ( EE ` N ) ) $.
    cgrtrand.3 $e |- ( ph -> B e. ( EE ` N ) ) $.
    cgrtrand.4 $e |- ( ph -> C e. ( EE ` N ) ) $.
    cgrtrand.5 $e |- ( ph -> D e. ( EE ` N ) ) $.
    cgrtrand.6 $e |- ( ph -> E e. ( EE ` N ) ) $.
    cgrtrand.7 $e |- ( ph -> F e. ( EE ` N ) ) $.
    cgrtrand.8 $e |- ( ( ph /\ ps ) -> <. A , B >. Cgr <. C , D >. ) $.
    cgrtrand.9 $e |- ( ( ph /\ ps ) -> <. C , D >. Cgr <. E , F >. ) $.
    $( Deduction form of ~ cgrtr .  (Contributed by Scott Fenton,
       13-Oct-2013.) $)
    cgrtrand $p |- ( ( ph /\ ps ) -> <. A , B >. Cgr <. E , F >. ) $=
      ( cop wcel wa ccgr wbr wi cn cee cfv cgrtr syl133anc adantr mp2and ) ABUA
      CDSZEFSZUBUCZUMGHSZUBUCZULUOUBUCZQRAUNUPUAUQUDZBAIUETCIUFUGZTDUSTEUSTFUST
      GUSTHUSTURJKLMNOPCDEFGHIUHUIUJUK $.
  $}

  $( Transitivity law for congruence.  (Contributed by Scott Fenton,
     7-Oct-2013.) $)
  cgrtr3 $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) ->
       ( ( <. A , B >. Cgr <. E , F >. /\
           <. C , D >. Cgr <. E , F >. ) ->
         <. A , B >. Cgr <. C , D >. ) ) $=
    ( cn wcel cee cfv w3a cop ccgr wbr wa simp1 simp21 simp22 simp32 cgrcomand
    simp33 simp23 simp31 simprl simprr cgrtrand ex ) GHIZAGJKZIZBUJIZCUJIZLZDUJ
    IZEUJIZFUJIZLZLZABMZEFMZNOZCDMZVANOZPZUTVCNOUSVEABEFCDGUIUNURQZUIUKULUMURRU
    IUKULUMURSUIUNUOUPUQTZUIUNUOUPUQUBZUIUKULUMURUCZUIUNUOUPUQUDZUSVBVDUEUSVECD
    EFGVFVIVJVGVHUSVBVDUFUAUGUH $.

  ${
    cgrtr3and.1 $e |- ( ph -> N e. NN ) $.
    cgrtr3and.2 $e |- ( ph -> A e. ( EE ` N ) ) $.
    cgrtr3and.3 $e |- ( ph -> B e. ( EE ` N ) ) $.
    cgrtr3and.4 $e |- ( ph -> C e. ( EE ` N ) ) $.
    cgrtr3and.5 $e |- ( ph -> D e. ( EE ` N ) ) $.
    cgrtr3and.6 $e |- ( ph -> E e. ( EE ` N ) ) $.
    cgrtr3and.7 $e |- ( ph -> F e. ( EE ` N ) ) $.
    cgrtr3and.8 $e |- ( ( ph /\ ps ) -> <. A , B >. Cgr <. E , F >. ) $.
    cgrtr3and.9 $e |- ( ( ph /\ ps ) -> <. C , D >. Cgr <. E , F >. ) $.
    $( Deduction form of ~ cgrtr3 .  (Contributed by Scott Fenton,
       13-Oct-2013.) $)
    cgrtr3and $p |- ( ( ph /\ ps ) -> <. A , B >. Cgr <. C , D >. ) $=
      ( cop wcel wa ccgr wbr wi cn cee cfv cgrtr3 syl133anc adantr mp2and ) ABU
      ACDSZGHSZUBUCZEFSZUMUBUCZULUOUBUCZQRAUNUPUAUQUDZBAIUETCIUFUGZTDUSTEUSTFUS
      TGUSTHUSTURJKLMNOPCDEFGHIUHUIUJUK $.
  $}

  $( Congruence commutes on the left.  Biconditional version of Theorem 2.4 of
     [Schwabhauser] p. 27.  (Contributed by Scott Fenton, 12-Jun-2013.) $)
  cgrcoml $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
    ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
    ( <. A , B >. Cgr <. C , D >. <->
      <. B , A >. Cgr <. C , D >. ) ) $=
    ( cn wcel cee cfv wa w3a cop wbr simp1 cgrrflx2d wi axcgrtr syl133anc mpand
    ccgr simp2l simp2r simp3l simp3r impbid ) EFGZAEHIZGZBUGGZJZCUGGZDUGGZJZKZA
    BLZCDLZTMZBALZUPTMZUNUOURTMZUQUSUNABEUFUJUMNZUFUHUIUMUAZUFUHUIUMUBZOUNUFUHU
    IUIUHUKULUTUQJUSPVAVBVCVCVBUFUJUKULUCZUFUJUKULUDZABBACDEQRSUNURUOTMZUSUQUNB
    AEVAVCVBOUNUFUIUHUHUIUKULVFUSJUQPVAVCVBVBVCVDVEBAABCDEQRSUE $.

  $( Congruence commutes on the right.  Biconditional version of Theorem 2.5 of
     [Schwabhauser] p. 27.  (Contributed by Scott Fenton, 12-Jun-2013.) $)
  cgrcomr $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
    ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
    ( <. A , B >. Cgr <. C , D >. <->
      <. A , B >. Cgr <. D , C >. ) ) $=
    ( cn wcel cee cfv wa w3a cop ccgr wbr wb cgrcoml 3com23 cgrcom simp1 simp2l
    simp2r simp3r simp3l syl122anc 3bitr4d ) EFGZAEHIZGZBUGGZJZCUGGZDUGGZJZKZCD
    LZABLZMNZDCLZUPMNZUPUOMNUPURMNZUFUMUJUQUSOCDABEPQABCDERUNUFUHUIULUKUTUSOUFU
    JUMSUFUHUIUMTUFUHUIUMUAUFUJUKULUBUFUJUKULUCABDCERUDUE $.

  $( Congruence commutes on both sides.  (Contributed by Scott Fenton,
     12-Jun-2013.) $)
  cgrcomlr $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
    ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
    ( <. A , B >. Cgr <. C , D >. <->
      <. B , A >. Cgr <. D , C >. ) ) $=
    ( cn wcel cee cfv wa w3a cop ccgr wbr cgrcoml ancom cgrcomr syl3an2b bitrd
    wb ) EFGZAEHIZGZBUBGZJZCUBGDUBGJZKABLCDLZMNBALZUGMNZUHDCLMNZABCDEOUEUAUDUCJ
    UFUIUJTUCUDPBACDEQRS $.

  ${
    cgrcomlrand.1 $e |- ( ph -> N e. NN ) $.
    cgrcomlrand.2 $e |- ( ph -> A e. ( EE ` N ) ) $.
    cgrcomlrand.3 $e |- ( ph -> B e. ( EE ` N ) ) $.
    cgrcomlrand.4 $e |- ( ph -> C e. ( EE ` N ) ) $.
    cgrcomlrand.5 $e |- ( ph -> D e. ( EE ` N ) ) $.
    cgrcomlrand.6 $e |- ( ( ph /\ ps ) -> <. A , B >. Cgr <. C , D >. ) $.
    $( Deduction form of ~ cgrcoml .  (Contributed by Scott Fenton,
       14-Oct-2013.) $)
    cgrcomland $p |- ( ( ph /\ ps ) -> <. B , A >. Cgr <. C , D >. ) $=
      ( wa cop ccgr wbr wb cn wcel cee cfv cgrcoml syl122anc adantr mpbid ) ABN
      CDOEFOZPQZDCOUGPQZMAUHUIRZBAGSTCGUAUBZTDUKTEUKTFUKTUJHIJKLCDEFGUCUDUEUF
      $.

    $( Deduction form of ~ cgrcoml .  (Contributed by Scott Fenton,
       14-Oct-2013.) $)
    cgrcomrand $p |- ( ( ph /\ ps ) -> <. A , B >. Cgr <. D , C >. ) $=
      ( wa cop ccgr wbr wb cn wcel cee cfv cgrcomr syl122anc adantr mpbid ) ABN
      CDOZEFOPQZUGFEOPQZMAUHUIRZBAGSTCGUAUBZTDUKTEUKTFUKTUJHIJKLCDEFGUCUDUEUF
      $.

    $( Deduction form of ~ cgrcomlr .  (Contributed by Scott Fenton,
       14-Oct-2013.) $)
    cgrcomlrand $p |- ( ( ph /\ ps ) -> <. B , A >. Cgr <. D , C >. ) $=
      ( cgrcomrand cgrcomland ) ABCDFEGHIJLKABCDEFGHIJKLMNO $.
  $}

  ${
    $d A x $.  $d B x $.  $d N x $.
    $( Degenerate segments are congruent.  Theorem 2.8 of [Schwabhauser] p. 28.
       (Contributed by Scott Fenton, 12-Jun-2013.) $)
    cgrtriv $p |- ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
    <. A , A >. Cgr <. B , B >. ) $=
      ( vx cn wcel cee cfv w3a cv cop cbtwn wbr ccgr simp1 simp2 simp3 axsegcon
      wa wrex syl122anc wceq simpl1 simpl2 simpr simpl3 axcgrid syl13anc breq1d
      wi opeq2 biimprd syli adantld rexlimdva mpd ) CEFZACGHZFZBURFZIZAADJZKZLM
      ZVCBBKZNMZSZDURTZAAKZVENMZVAUQUSUSUTUTVHUQUSUTOUQUSUTPZVKUQUSUTQZVLDAABBC
      RUAVAVGVJDURVAVBURFZSZVFVJVDVFVNAVBUBZVJVNUQUSVMUTVFVOUJUQUSUTVMUCUQUSUTV
      MUDVAVMUEUQUSUTVMUFAVBBCUGUHVOVJVFVOVIVCVENAVBAUKUIULUMUNUOUP $.
  $}

  $( Identity law for congruence.  (Contributed by Scott Fenton,
     12-Jun-2013.) $)
  cgrid2 $p |- ( ( N e. NN /\
    ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
    ( <. A , A >. Cgr <. B , C >. -> B = C ) ) $=
    ( cn wcel cee cfv w3a wa cop ccgr wceq wb simpl simpr1 simpr2 simpr3 cgrcom
    wbr syl122anc wi 3anrot axcgrid sylan2b sylbid ) DEFZADGHZFZBUHFZCUHFZIZJZA
    AKZBCKZLTZUOUNLTZBCMZUMUGUIUIUJUKUPUQNUGULOUGUIUJUKPZUSUGUIUJUKQUGUIUJUKRAA
    BCDSUAULUGUJUKUIIUQURUBUIUJUKUCBCADUDUEUF $.

  $( Two congruent segments are either both degenerate or both nondegenerate.
     (Contributed by Scott Fenton, 12-Jun-2013.) $)
  cgrdegen $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
    ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
      ( <. A , B >. Cgr <. C , D >. -> ( A = B <-> C = D ) ) ) $=
    ( cn wcel cee cfv wa cop ccgr wbr wceq opeq1 biimpac syl13anc syl5 expdimp
    wi wb breq1d simp1 simp2r simp3l simp3r cgrid2 breq2d simp2l axcgrid impbid
    w3a ex ) EFGZAEHIZGZBUOGZJZCUOGZDUOGZJZULZABKZCDKZLMZABNZCDNZUAVBVEJVFVGVBV
    EVFVGVEVFJBBKZVDLMZVBVGVFVEVIVFVCVHVDLABBOUBPVBUNUQUSUTVIVGTUNURVAUCZUNUPUQ
    VAUDZUNURUSUTUEUNURUSUTUFZBCDEUGQRSVBVEVGVFVEVGJVCDDKZLMZVBVFVGVEVNVGVDVMVC
    LCDDOUHPVBUNUPUQUTVNVFTVJUNUPUQVAUIVKVLABDEUJQRSUKUM $.

  ${
    $d N a b c d e f g h p q n $.  $d A a b c d e f g h p q n $.
    $d B a b c d e f g h p q n $.  $d C a b c d e f g h p q n $.
    $d D a b c d e f g h p q n $.  $d E a b c d e f g h p q n $.
    $d F a b c d e f g h p q n $.  $d G a b c d e f g h p q n $.
    $d H a b c d e f g h p q n $.
    $( Binary relation form of the outer five segment predicate.  (Contributed
       by Scott Fenton, 21-Sep-2013.) $)
    brofs $p |- ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
        ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ E e. ( EE ` N ) ) /\
        ( F e. ( EE ` N ) /\ G e. ( EE ` N ) /\ H e. ( EE ` N ) ) ) ->
    ( <. <. A , B >. , <. C , D >. >. OuterFiveSeg
      <. <. E , F >. , <. G , H >. >. <-> ( ( B Btwn <. A , C >. /\
                     F Btwn <. E , G >. ) /\
        ( <. A , B >. Cgr <. E , F >. /\
          <. B , C >. Cgr <. F , G >. ) /\
        ( <. A , D >. Cgr <. E , H >. /\
          <. B , D >. Cgr <. F , H >. ) ) ) ) $=
      ( cv cop cbtwn wbr wa ccgr w3a wceq opeq1 breq2d opeq2 vb va vc vf ve cee
      vg vd vh vn vq vp cfv cofs anbi1d breq1d 3anbi123d breq1 anbi12d 3anbi12d
      cn anbi2d 3anbi3d fveq2 df-ofs br8 ) UAJZUBJZUCJZKZLMZUDJZUEJZUGJZKZLMZNZ
      VHVGKZVMVLKZOMZVGVIKZVLVNKZOMZNZVHUHJZKZVMUIJZKZOMZVGWEKZVLWGKZOMZNZPVGAV
      IKZLMZVPNZAVGKZVSOMZWCNZAWEKZWHOMZWLNZPBWNLMZVPNZABKZVSOMZBVIKZWBOMZNZXAB
      WEKZWKOMZNZPBACKZLMZVPNZXFBCKZWBOMZNZXLPXOXRADKZWHOMZBDKZWKOMZNZPXNVLEVNK
      ZLMZNZXEEVLKZOMZXQNZXSEWGKZOMZYBNZPXNFYDLMZNZXEEFKZOMZXPFVNKZOMZNZYKYAFWG
      KZOMZNZPXNFEGKZLMZNZYPXPFGKZOMZNZUUBPUUEUUHXSEHKZOMZYAFHKZOMZNZPUJABCDUJJ
      ZUFUMIUFUMUNVAUEUDUGUIEFGHIUKULUBUAUCUHVHAQZVQWPWDWSWMXBUUOVKWOVPUUOVJWNV
      GLVHAVIRSUOUUOVTWRWCUUOVRWQVSOVHAVGRUPUOUUOWIXAWLUUOWFWTWHOVHAWERUPUOUQVG
      BQZWPXDWSXIXBXLUUPWOXCVPVGBWNLURUOUUPWRXFWCXHUUPWQXEVSOVGBATUPUUPWAXGWBOV
      GBVIRUPUSUUPWLXKXAUUPWJXJWKOVGBWERUPVBUQVICQZXDXOXIXRXLUUQXCXNVPUUQWNXMBL
      VICATSUOUUQXHXQXFUUQXGXPWBOVICBTUPVBUTWEDQZXLYCXOXRUURXAXTXKYBUURWTXSWHOW
      EDATUPUURXJYAWKOWEDBTUPUSVCVMEQZXOYFXRYIYCYLUUSVPYEXNUUSVOYDVLLVMEVNRSVBU
      USXFYHXQUUSVSYGXEOVMEVLRSUOUUSXTYKYBUUSWHYJXSOVMEWGRSUOUQVLFQZYFYNYIYSYLU
      UBUUTYEYMXNVLFYDLURVBUUTYHYPXQYRUUTYGYOXEOVLFETSUUTWBYQXPOVLFVNRSUSUUTYBU
      UAYKUUTWKYTYAOVLFWGRSVBUQVNGQZYNUUEYSUUHUUBUVAYMUUDXNUVAYDUUCFLVNGETSVBUV
      AYRUUGYPUVAYQUUFXPOVNGFTSVBUTWGHQZUUBUUMUUEUUHUVBYKUUJUUAUULUVBYJUUIXSOWG
      HETSUVBYTUUKYAOWGHFTSUSVCUUNIUFVDUEUDUGUIUJUKULUBUAUCUHVEVF $.
  $}

  $( Rephrase ~ ax5seg using the outer five segment predicate.  Theorem 2.10 of
     [Schwabhauser] p. 28.  (Contributed by Scott Fenton, 21-Sep-2013.) $)
  5segofs $p |- ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
        ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ E e. ( EE ` N ) ) /\
        ( F e. ( EE ` N ) /\ G e. ( EE ` N ) /\ H e. ( EE ` N ) ) ) ->
    ( ( <. <. A , B >. , <. C , D >. >. OuterFiveSeg
        <. <. E , F >. , <. G , H >. >. /\ A =/= B ) ->
        <. C , D >. Cgr <. G , H >. ) ) $=
    ( cn wcel cee cfv w3a cop wbr wa cbtwn ccgr 3jca brofs anbi1d simpr simpl1l
    cofs wne simpl1r simpl2 simpl3 syl6bi ax5seg syld ) IJKAILMZKBUMKNCUMKDUMKE
    UMKNFUMKGUMKHUMKNNZABOZCDOZOEFOZGHOZOUEPZABUFZQZUTBACORPZFEGORPZNZUOUQSPBCO
    FGOSPQZADOEHOSPBDOFHOSPQZNZUPURSPUNVAVBVCQZVEVFNZUTQZVGUNUSVIUTABCDEFGHIUAU
    BVJVDVEVFVJUTVBVCVIUTUCVBVCVEVFUTUDVBVCVEVFUTUGTVHVEVFUTUHVHVEVFUTUITUJABCD
    EFGHIUKUL $.

  $( The outer five segment predicate commutes.  (Contributed by Scott Fenton,
     26-Sep-2013.) $)
  ofscom $p |- ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
        ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ E e. ( EE ` N ) ) /\
        ( F e. ( EE ` N ) /\ G e. ( EE ` N ) /\ H e. ( EE ` N ) ) ) ->
    ( <. <. A , B >. , <. C , D >. >. OuterFiveSeg
      <. <. E , F >. , <. G , H >. >. <->
      <. <. E , F >. , <. G , H >. >. OuterFiveSeg
      <. <. A , B >. , <. C , D >. >. ) ) $=
    ( wcel w3a cop cbtwn wbr wa ccgr cofs wb cgrcom syl122anc cee cfv ancom a1i
    cn simp11 simp12 simp13 simp23 simp31 simp21 simp32 simp22 simp33 3anbi123d
    anbi12d brofs syl333anc 3bitr4d ) IUEJZAIUAUBZJZBVAJZKZCVAJZDVAJZEVAJZKZFVA
    JZGVAJZHVAJZKZKZBACLMNZFEGLMNZOZABLZEFLZPNZBCLZFGLZPNZOZADLZEHLZPNZBDLZFHLZ
    PNZOZKVOVNOZVRVQPNZWAVTPNZOZWEWDPNZWHWGPNZOZKZVQCDLLZVRGHLLZQNWTWSQNZVMVPWK
    WCWNWJWQVPWKRVMVNVOUCUDVMVSWLWBWMVMUTVBVCVGVIVSWLRUTVBVCVHVLUFZUTVBVCVHVLUG
    ZUTVBVCVHVLUHZVDVEVFVGVLUIZVDVHVIVJVKUJZABEFISTVMUTVCVEVIVJWBWMRXBXDVDVEVFV
    GVLUKZXFVDVHVIVJVKULZBCFGISTUPVMWFWOWIWPVMUTVBVFVGVKWFWORXBXCVDVEVFVGVLUMZX
    EVDVHVIVJVKUNZADEHISTVMUTVCVFVIVKWIWPRXBXDXIXFXJBDFHISTUPUOABCDEFGHIUQVMUTV
    GVIVJVKVBVCVEVFXAWRRXBXEXFXHXJXCXDXGXIEFGHABCDIUQURUS $.

  $( Link congruence over a pair of line segments.  Theorem 2.11 of
     [Schwabhauser] p. 29.  (Contributed by Scott Fenton, 12-Jun-2013.) $)
  cgrextend $p |- ( ( N e. NN /\
    ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
    ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) ->
    ( ( ( B Btwn <. A , C >. /\ E Btwn <. D , F >. ) /\
        ( <. A , B >. Cgr <. D , E >. /\
          <. B , C >. Cgr <. E , F >. ) ) ->
      <. A , C >. Cgr <. D , F >. ) ) $=
    ( wcel w3a cop cbtwn wbr wa ccgr wi wceq wb opeq1 adantr 3jca cn cee breq1d
    cfv simp1 simp22 simp31 simp32 cgrid2 syl13anc adantl sylbid breqan12d syld
    exbiri impd adantld wne cofs simpl1 simpl21 simpl22 simpl23 simpl31 simpl32
    simpl33 simprrl simprrr cgrtriv syl3anc simpld cgrcomlr syl122anc mpbid jca
    ex brofs syl333anc mpbir3and simprl 5segofs sylc exp32 com12 pm2.61ine ) GU
    AHZAGUBUDZHZBWGHZCWGHZIZDWGHZEWGHZFWGHZIZIZBACJZKLEDFJZKLMZABJZDEJZNLZBCJZE
    FJZNLZMZMZWQWRNLZOZOABABPZWPXIXJWPMZXFXHWSXKXBXEXHXKXBDEPZXEXHOZXKXBBBJZXAN
    LZXLXJXBXOQWPXJWTXNXANABBRUCSWPXOXLOZXJWPWFWIWLWMXPWFWKWOUEWFWHWIWJWOUFWFWK
    WLWMWNUGWFWKWLWMWNUHBDEGUIUJUKULXJXLXMOWPXJXLXHXEXJXLWQXCWRXDNABCRDEFRUMUOS
    UNUPUQVPWPABURZXIWPXQXGXHWPXQXGMZMZCAJZFDJZNLZXHXSWFWHWIIZWJWHWLIZWMWNWLIZI
    WTXTJXAYAJUSLZXQMYBXSYCYDYEXSWFWHWIWFWKWOXRUTZWHWIWJWFWOXRVAZWHWIWJWFWOXRVB
    ZTXSWJWHWLWHWIWJWFWOXRVCZYHWLWMWNWFWKXRVDZTXSWMWNWLWLWMWNWFWKXRVEZWLWMWNWFW
    KXRVFZYKTTXSYFXQXSYFWSXFAAJDDJNLZBAJEDJNLZMZWPXQWSXFVGWPXQWSXFVHZXSYNYOXSWF
    WHWLYNYGYHYKADGVIVJXSXBYOXSXBXEYQVKXSWFWHWIWLWMXBYOQYGYHYIYKYLABDEGVLVMVNVO
    XSWFWHWIWJWHWLWMWNWLYFWSXFYPIQYGYHYIYJYHYKYLYMYKABCADEFDGVQVRVSWPXQXGVTVOAB
    CADEFDGWAWBXSWFWJWHWNWLYBXHQYGYJYHYMYKCAFDGVLVMVNWCWDWE $.

  ${
    cgrextendand.1 $e |- ( ph -> N e. NN ) $.
    cgrextendand.2 $e |- ( ph -> A e. ( EE ` N ) ) $.
    cgrextendand.3 $e |- ( ph -> B e. ( EE ` N ) ) $.
    cgrextendand.4 $e |- ( ph -> C e. ( EE ` N ) ) $.
    cgrextendand.5 $e |- ( ph -> D e. ( EE ` N ) ) $.
    cgrextendand.6 $e |- ( ph -> E e. ( EE ` N ) ) $.
    cgrextendand.7 $e |- ( ph -> F e. ( EE ` N ) ) $.
    cgrextendand.8 $e |- ( ( ph /\ ps ) -> B Btwn <. A , C >. ) $.
    cgrextendand.9 $e |- ( ( ph /\ ps ) -> E Btwn <. D , F >. ) $.
    cgrextendand.10 $e |- ( ( ph /\ ps ) -> <. A , B >. Cgr <. D , E >. ) $.
    cgrextendand.11 $e |- ( ( ph /\ ps ) -> <. B , C >. Cgr <. E , F >. ) $.
    $( Deduction form of ~ cgrextend .  (Contributed by Scott Fenton,
       14-Oct-2013.) $)
    cgrextendand $p |- ( ( ph /\ ps ) -> <. A , C >. Cgr <. D , F >. ) $=
      ( wa cop cbtwn wbr ccgr jca wi cn wcel cee cfv cgrextend syl133anc adantr
      mp2and ) ABUAZDCEUBZUCUDZGFHUBZUCUDZUAZCDUBFGUBUEUDZDEUBGHUBUEUDZUAZUQUSU
      EUDZUPURUTQRUFUPVBVCSTUFAVAVDUAVEUGZBAIUHUICIUJUKZUIDVGUIEVGUIFVGUIGVGUIH
      VGUIVFJKLMNOPCDEFGHIULUMUNUO $.
  $}

  $( Two points that satisfy the conclusion of ~ axsegcon are identical.
     Uniqueness portion of Theorem 2.12 of [Schwabhauser] p. 29.  (Contributed
     by Scott Fenton, 12-Jun-2013.) $)
  segconeq $p |- ( ( N e. NN /\
   ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
   ( Q e. ( EE ` N ) /\ X e. ( EE ` N ) /\ Y e. ( EE ` N ) ) ) ->
   ( ( Q =/= A /\
     ( A Btwn <. Q , X >. /\ <. A , X >. Cgr <. B , C >. ) /\
     ( A Btwn <. Q , Y >. /\ <. A , Y >. Cgr <. B , C >. ) )
   -> X = Y ) ) $=
    ( wcel w3a cop cbtwn wbr ccgr wa jca cgrrflxd 3jca wb cgrcom wi cee cfv wne
    cn cofs wceq simpr2l simpl1 simpl31 simpl21 simpl32 simpl33 simpr3l simpl22
    simpl23 simpr3r syl122anc mpbid simpr2r cgrtr4d jca32 cgrextend sylc simp31
    simp1 simp21 simp32 simp33 brofs syl333anc sylibrd a1i jcad 5segofs axcgrid
    ex syl13anc 3syld ) EUDHZAEUAUBZHZBVTHZCVTHZIZDVTHZFVTHZGVTHZIZIZDAUCZADFJZ
    KLZAFJZBCJZMLZNZADGJZKLZAGJZWNMLZNZIZDAJZFGJZJXCFFJZJUELZWJNZXDXEMLZFGUFZWI
    XBXFWJWIXBWLWLNZXCXCMLZWMWMMLZNZWQWKMLZWSWMMLZNZIZXFWIXBXQWIXBNZXJXMXPXRWLW
    LWLWOWJXAWIUGZXSOXRXKXLXRDAEVSWDWHXBUHZWEWFWGVSWDXBUIZWAWBWCVSWHXBUJZPZXRAF
    EXTYBWEWFWGVSWDXBUKZPOXRXNXOXRVSWEWAWGIZWEWAWFIZIWRWLNZXKXONNXNXRVSYEYFXTXR
    WEWAWGYAYBWEWFWGVSWDXBULZQXRWEWAWFYAYBYDQQXRYGXKXOXRWRWLWRWTWJWPWIUMXSOYCXR
    BCAGAFEXTWAWBWCVSWHXBUNZWAWBWCVSWHXBUOZYBYHYBYDXRWTWNWSMLZWRWTWJWPWIUPXRVSW
    AWGWBWCWTYKRXTYBYHYIYJAGBCESUQURXRWOWNWMMLZWLWOWJXAWIUSXRVSWAWFWBWCWOYLRXTY
    BYDYIYJAFBCESUQURUTZVADAGDAFEVBVCYMOQVPWIVSWEWAWFWGWEWAWFWFXFXQRVSWDWHVEZVS
    WDWEWFWGVDZVSWAWBWCWHVFZVSWDWEWFWGVGZVSWDWEWFWGVHZYOYPYQYQDAFGDAFFEVIVJVKXB
    WJTWIWJWPXAVEVLVMWIVSWEWAWFWGWEWAWFWFXGXHTYNYOYPYQYRYOYPYQYQDAFGDAFFEVNVJWI
    VSWFWGWFXHXITYNYQYRYQFGFEVOVQVR $.

  ${
    $d N r s $.  $d A r s $.  $d B r s $.  $d C r s $.  $d D r s $.
    $( Existential uniqueness version of ~ segconeq .  (Contributed by Scott
       Fenton, 19-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    segconeu $p |- ( ( N e. NN /\
       ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) /\
         C =/= D ) ) ->
       E! r e. ( EE ` N ) ( D Btwn <. C , r >. /\
       <. D , r >. Cgr <. A , B >. ) ) $=
      ( vs cn wcel cee wa w3a cv cop cbtwn wbr ccgr wi wral opeq2 cfv wrex wreu
      wne simpl simpr2 simpr1 axsegcon syl3anc simpl23 simprl simprr 3jca simp1
      weq simp22r simp21l simp21r simp22l simp3l simp3r segconeq syl133anc syld
      ex 3expa ralrimivva breq2d breq1d anbi12d reu4 sylanbrc ) EHIZAEJUAZIZBVN
      IZKZCVNIZDVNIZKZCDUDZLZKZDCFMZNZOPZDWDNZABNZQPZKZFVNUBZWJDCGMZNZOPZDWLNZW
      HQPZKZKZFGUOZRZGVNSFVNSWJFVNUCWCVMVTVQWKVMWBUEVMVQVTWAUFVMVQVTWAUGFCDABEU
      HUIWCWTFGVNVNVMWBWDVNIZWLVNIZKZWTVMWBXCLZWRWAWJWQLZWSXDWRXEXDWRKWAWJWQVQV
      TWAVMXCWRUJXDWJWQUKXDWJWQULUMVEXDVMVSVOVPVRXAXBXEWSRVMWBXCUNVRVSVQWAVMXCU
      PVOVPVTWAVMXCUQVOVPVTWAVMXCURVRVSVQWAVMXCUSVMWBXAXBUTVMWBXAXBVADABCEWDWLV
      BVCVDVFVGWJWQFGVNWSWFWNWIWPWSWEWMDOWDWLCTVHWSWGWOWHQWDWLDTVIVJVKVL $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Betweenness properties
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A x $.  $d B x $.  $d N x $.
    $( Betweenness always holds for the second endpoint.  Theorem 3.1 of
       [Schwabhauser] p. 30.  (Contributed by Scott Fenton, 12-Jun-2013.) $)
    btwntriv2 $p |- ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
      B Btwn <. A , B >. ) $=
      ( vx cn wcel cee cfv w3a cv cop cbtwn wbr ccgr wa wrex simp1 simp2 simp3
      wi axsegcon syl122anc simpl1 simpl3 simpr axcgrid syl13anc breq2d biimprd
      wceq opeq2 syl6 impd ancomsd rexlimdva mpd ) CEFZACGHZFZBURFZIZBADJZKZLMZ
      BVBKBBKNMZOZDURPZBABKZLMZVAUQUSUTUTUTVGUQUSUTQUQUSUTRUQUSUTSZVJVJDABBBCUA
      UBVAVFVIDURVAVBURFZOZVEVDVIVLVEVDVIVLVEBVBUJZVDVITVLUQUTVKUTVEVMTUQUSUTVK
      UCUQUSUTVKUDZVAVKUEVNBVBBCUFUGVMVIVDVMVHVCBLBVBAUKUHUIULUMUNUOUP $.
  $}

  ${
    $d N x $.  $d A x $.  $d B x $.  $d C x $.
    $( Betweenness commutes.  Implication version.  Theorem 3.2 of
       [Schwabhauser] p. 30.  (Contributed by Scott Fenton, 12-Jun-2013.) $)
    btwncomim $p |- ( ( N e. NN /\
      ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
      ( A Btwn <. B , C >. -> A Btwn <. C , B >. ) ) $=
      ( vx cn wcel cee cfv w3a wa cop cbtwn wbr cv btwntriv2 3adant3r2 wi simpl
      wrex simpr2 simpr1 simpr3 axpasch syl132anc mpan2d simpr simplr1 axbtwnid
      wceq simpll syl3anc breq1 biimpd syl6 impd rexlimdva syld ) DFGZADHIZGZBU
      TGZCUTGZJZKZABCLMNZEOZAALMNZVGCBLZMNZKZEUTTZAVIMNZVEVFCACLMNZVLUSVAVCVNVB
      ACDPQVEUSVBVAVCVAVCVFVNKVLRUSVDSUSVAVBVCUAUSVAVBVCUBZUSVAVBVCUCZVOVPEBACA
      CDUDUEUFVEVKVMEUTVEVGUTGZKZVHVJVMVRVHVGAUJZVJVMRVRUSVQVAVHVSRUSVDVQUKVEVQ
      UGVAVBVCUSVQUHVGADUIULVSVJVMVGAVIMUMUNUOUPUQUR $.
  $}

  $( Betweenness commutes.  (Contributed by Scott Fenton, 12-Jun-2013.) $)
  btwncom $p |- ( ( N e. NN /\
      ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
      ( A Btwn <. B , C >. <-> A Btwn <. C , B >. ) ) $=
    ( cn wcel cee cfv w3a wa cop cbtwn wbr btwncomim wi 3ancomb sylan2b impbid
    ) DEFZADGHZFZBTFZCTFZIZJABCKLMZACBKLMZABCDNUDSUAUCUBIUFUEOUAUBUCPACBDNQR $.

  ${
    btwncomand.1 $e |- ( ph -> N e. NN ) $.
    btwncomand.2 $e |- ( ph -> A e. ( EE ` N ) ) $.
    btwncomand.3 $e |- ( ph -> B e. ( EE ` N ) ) $.
    btwncomand.4 $e |- ( ph -> C e. ( EE ` N ) ) $.
    btwncomand.5 $e |- ( ( ph /\ ps ) -> A Btwn <. B , C >. ) $.
    $( Deduction form of ~ btwncom .  (Contributed by Scott Fenton,
       14-Oct-2013.) $)
    btwncomand $p |- ( ( ph /\ ps ) -> A Btwn <. C , B >. ) $=
      ( wa cop cbtwn wbr wb cn wcel cee cfv btwncom syl13anc adantr mpbid ) ABL
      CDEMNOZCEDMNOZKAUEUFPZBAFQRCFSTZRDUHREUHRUGGHIJCDEFUAUBUCUD $.
  $}

  $( Betweenness always holds for the first endpoint.  Theorem 3.3 of
     [Schwabhauser] p. 30.  (Contributed by Scott Fenton, 12-Jun-2013.) $)
  btwntriv1 $p |- ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
      A Btwn <. A , B >. ) $=
    ( cn wcel cee cfv w3a cop cbtwn wbr btwntriv2 3com23 wb simp1 simp2 btwncom
    simp3 syl13anc mpbird ) CDEZACFGZEZBUBEZHZAABIJKZABAIJKZUAUDUCUGBACLMUEUAUC
    UCUDUFUGNUAUCUDOUAUCUDPZUHUAUCUDRAABCQST $.

  ${
    $d N x $.  $d A x $.  $d B x $.  $d C x $.
    $( If you can swap the first two arguments of a betweenness statement, then
       those arguments are identical.  Theorem 3.4 of [Schwabhauser] p. 30.
       (Contributed by Scott Fenton, 12-Jun-2013.) $)
    btwnswapid $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
       ( ( A Btwn <. B , C >. /\ B Btwn <. A , C >. ) ->
         A = B ) ) $=
      ( vx cn wcel cee cfv w3a wa cop cbtwn wbr cv wrex wceq axbtwnid syl3anc
      wi simpl simpr2 simpr1 simpr3 axpasch simpr simplr1 simplr2 anim12d eqtr2
      syl132anc simpll syl6 rexlimdva syld ) DFGZADHIZGZBUQGZCUQGZJZKZABCLMNBAC
      LMNKZEOZAALMNZVDBBLMNZKZEUQPZABQZVBUPUSURUTURUSVCVHTUPVAUAUPURUSUTUBZUPUR
      USUTUCZUPURUSUTUDVKVJEBACABDUEUKVBVGVIEUQVBVDUQGZKZVGVDAQZVDBQZKVIVMVEVNV
      FVOVMUPVLURVEVNTUPVAVLULZVBVLUFZURUSUTUPVLUGVDADRSVMUPVLUSVFVOTVPVQURUSUT
      UPVLUHVDBDRSUIVDABUJUMUNUO $.
  $}

  $( If you can swap arguments one and three of a betweenness statement, then
     those arguments are identical.  (Contributed by Scott Fenton,
     7-Oct-2013.) $)
  btwnswapid2 $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
       ( ( A Btwn <. B , C >. /\ C Btwn <. B , A >. ) ->
         A = C ) ) $=
    ( cn wcel cee cfv w3a wa cop cbtwn wbr btwncom wb 3anrev sylan2b anbi12d wi
    wceq 3ancomb btwnswapid sylbid ) DEFZADGHZFZBUEFZCUEFZIZJZABCKLMZCBAKLMZJAC
    BKLMZCABKLMZJZACTZUJUKUMULUNABCDNUIUDUHUGUFIULUNOUFUGUHPCBADNQRUIUDUFUHUGIU
    OUPSUFUGUHUAACBDUBQUC $.

  ${
    $d N x $.  $d A x $.  $d B x $.  $d C x $.  $d D x $.
    $( Inner transitivity law for betweenness.  Left-hand side of Theorem 3.5
       of [Schwabhauser] p. 30.  (Contributed by Scott Fenton, 12-Jun-2013.) $)
    btwnintr $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
       ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
       ( ( B Btwn <. A , D >. /\ C Btwn <. B , D >. ) ->
         B Btwn <. A , C >. ) ) $=
      ( vx cn wcel cee cfv wa w3a cop cbtwn wbr cv wrex wi simp1 simp2l axpasch
      simp2r simp3r simp3l syl132anc wceq simpl1 simpr simpl2r axbtwnid syl3anc
      breq1 biimpa wb simpl3l simpl2l btwncom syl13anc syl5ib syland rexlimdva
      syld ) EGHZAEIJZHZBVDHZKZCVDHZDVDHZKZLZBADMNOCBDMNOKZFPZBBMNOZVMCAMZNOZKZ
      FVDQZBACMNOZVKVCVEVFVIVFVHVLVRRVCVGVJSVCVEVFVJTVCVEVFVJUBZVCVGVHVIUCVTVCV
      GVHVIUDFABDBCEUAUEVKVQVSFVDVKVMVDHZKZVNVMBUFZVPVSWBVCWAVFVNWCRVCVGVJWAUGZ
      VKWAUHVEVFVCVJWAUIZVMBEUJUKWCVPKBVONOZWBVSWCVPWFVMBVONULUMWBVCVFVHVEWFVSU
      NWDWEVHVIVCVGWAUOVEVFVCVJWAUPBCAEUQURUSUTVAVB $.

    $( Exchange the first endpoint in betweenness.  Left-hand side of Theorem
       3.6 of [Schwabhauser] p. 30.  (Contributed by Scott Fenton,
       12-Jun-2013.) $)
    btwnexch3 $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
       ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
       ( ( B Btwn <. A , C >. /\ C Btwn <. A , D >. ) ->
         C Btwn <. B , D >. ) ) $=
      ( vx cn wcel cee cfv wa w3a cop cbtwn wbr cv wb btwncom syl13anc wi simp1
      wrex simp3l simp2l simp3r simp2r anbi12d axpasch syl132anc sylbid ancomsd
      wceq simpl1 simpr simpl3l axbtwnid syl3anc breq1 syl6 impd rexlimdva syld
      biimpd ) EGHZAEIJZHZBVEHZKZCVEHZDVEHZKZLZBACMNOZCADMNOZKFPZCCMNOZVOBDMZNO
      ZKZFVEUBZCVQNOZVLVNVMVTVLVNVMKCDAMNOZBCAMNOZKZVTVLVNWBVMWCVLVDVIVFVJVNWBQ
      VDVHVKUAZVDVHVIVJUCZVDVFVGVKUDZVDVHVIVJUEZCADERSVLVDVGVFVIVMWCQWEVDVFVGVK
      UFZWGWFBACERSUGVLVDVJVIVFVIVGWDVTTWEWHWFWGWFWIFDCACBEUHUIUJUKVLVSWAFVEVLV
      OVEHZKZVPVRWAWKVPVOCULZVRWATWKVDWJVIVPWLTVDVHVKWJUMVLWJUNVIVJVDVHWJUOVOCE
      UPUQWLVRWAVOCVQNURVCUSUTVAVB $.

    ${
      btwnexch3and.1 $e |- ( ph -> N e. NN ) $.
      btwnexch3and.2 $e |- ( ph -> A e. ( EE ` N ) ) $.
      btwnexch3and.3 $e |- ( ph -> B e. ( EE ` N ) ) $.
      btwnexch3and.4 $e |- ( ph -> C e. ( EE ` N ) ) $.
      btwnexch3and.5 $e |- ( ph -> D e. ( EE ` N ) ) $.
      btwnexch3and.6 $e |- ( ( ph /\ ps ) -> B Btwn <. A , C >. ) $.
      btwnexch3and.7 $e |- ( ( ph /\ ps ) -> C Btwn <. A , D >. ) $.
      $( Deduction form of ~ btwnexch3 .  (Contributed by Scott Fenton,
         13-Oct-2013.) $)
      btwnexch3and $p |- ( ( ph /\ ps ) -> C Btwn <. B , D >. ) $=
        ( wa cop cbtwn wbr wi wcel cn cee cfv btwnexch3 syl122anc adantr mp2and
        ) ABODCEPQRZECFPQRZEDFPQRZMNAUHUIOUJSZBAGUATCGUBUCZTDULTEULTFULTUKHIJKL
        CDEFGUDUEUFUG $.
    $}

    $( Outer transitivity law for betweenness.  Left-hand side of Theorem 3.1
       of [Schwabhauser] p. 30.  (Contributed by Scott Fenton, 12-Jun-2013.) $)
    btwnouttr2 $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
       ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
       ( ( B =/= C /\
           B Btwn <. A , C >. /\ C Btwn <. B , D >. ) ->
         C Btwn <. A , D >. ) ) $=
      ( vx cn wcel cee wa w3a cop cbtwn wbr ccgr syl122anc adantr wi jca mpd cv
      cfv wne simp1 simp2l simp3l simp3r axsegcon simprrl simprl1 simpl2 simprl
      wrex wceq adantl simpl1 simpl2l simpl2r simpl3l btwnexch3 simprrr simprl3
      simpr simpl3r cgrrflxd segconeq syl133anc mp3and opeq2d breqtrd rexlimdva
      expr an32s ex ) EGHZAEIUBZHZBVPHZJZCVPHZDVPHZJZKZBCUCZBACLMNZCBDLMNZKZCAD
      LZMNZWCWGJZCAFUAZLZMNZCWKLCDLZONZJZFVPUMZWIWCWQWGWCVOVQVTVTWAWQVOVSWBUDVO
      VQVRWBUEVOVSVTWAUFZWRVOVSVTWAUGFACCDEUHPQWJWPWIFVPWCWKVPHZWGWPWIRWCWSJZWG
      WPWIWTWGWPJZJZCWLWHMWTWGWMWOUIXBWKDAXBWDCBWKLMNZWOJZWFWNWNONZJZWKDUNZWDWE
      WFWPWTUJXBXCWOXBWEWMJZXCXAXHWTXAWEWMWDWEWFWPUKWGWMWOULSUOWTXHXCRZXAWTVOVQ
      VRVTWSXIVOVSWBWSUPZVQVRVOWBWSUQVQVRVOWBWSURZVTWAVOVSWSUSZWCWSVCZABCWKEUTP
      QTWTWGWMWOVASXBWFXEWDWEWFWPWTVBWTXEXAWTCDEXJXLVTWAVOVSWSVDZVEQSWTWDXDXFKX
      GRZXAWTVOVTVTWAVRWSWAXOXJXLXLXNXKXMXNCCDBEWKDVFVGQVHVIVJVLVMVKTVN $.
  $}

  $( Exchange the outer point of two betweenness statements.  Right-hand side
     of Theorem 3.5 of [Schwabhauser] p. 30.  (Contributed by Scott Fenton,
     14-Jun-2013.) $)
  btwnexch2 $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
   ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
   ( ( B Btwn <. A , D >. /\ C Btwn <. B , D >. ) ->
     C Btwn <. A , D >. ) ) $=
    ( cn wcel cee cfv wa w3a cop cbtwn wbr wi wceq breq1 biimpd adantrd adantr
    a1i wne simprl simprr btwnintr simprrr btwnouttr2 mp3and exp32 pm2.61dne
    mpd ) EFGAEHIZGBULGJCULGDULGJKZBADLZMNZCBDLMNZJZCUNMNZOZBCBCPZUSOUMUTUOURUP
    UTUOURBCUNMQRSUAUMBCUBZUQURUMVAUQJZJZVABACLMNZUPURUMVAUQUCVCUQVDUMVAUQUDUMU
    QVDOVBABCDEUETUKUMVAUOUPUFUMVAVDUPKUROVBABCDEUGTUHUIUJ $.

  $( Outer transitivity law for betweenness.  Right-hand side of Theorem 3.7 of
     [Schwabhauser] p. 30.  (Contributed by Scott Fenton, 14-Jun-2013.) $)
  btwnouttr $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
   ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
   ( ( B =/= C /\
       B Btwn <. A , C >. /\ C Btwn <. B , D >. ) ->
     B Btwn <. A , D >. ) ) $=
    ( cn wcel cee cfv wa w3a wne cop cbtwn wbr simp1 simp2r wb btwncom syl13anc
    simp3r simp2l necom a1i simp3l 3anbi123d 3ancomb bitrdi biimpa wi syl122anc
    btwnouttr2 adantr mpd btwncomand ex ) EFGZAEHIZGZBURGZJZCURGZDURGZJZKZBCLZB
    ACMNOZCBDMNOZKZBADMNOVEVIBDAEUQVAVDPZUQUSUTVDQZUQVAVBVCUAZUQUSUTVDUBZVEVIJC
    BLZCDBMNOZBCAMNOZKZBDAMNOZVEVIVQVEVIVNVPVOKVQVEVFVNVGVPVHVOVFVNRVEBCUCUDVEU
    QUTUSVBVGVPRVJVKVMUQVAVBVCUEZBACESTVEUQVBUTVCVHVORVJVSVKVLCBDESTUFVNVPVOUGU
    HUIVEVQVRUJZVIVEUQVCVBUTUSVTVJVLVSVKVMDCBAEULUKUMUNUOUP $.

  $( Outer transitivity law for betweenness.  Right-hand side of Theorem 3.6 of
     [Schwabhauser] p. 30.  (Contributed by Scott Fenton, 24-Sep-2013.) $)
  btwnexch $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
  ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
  ( ( B Btwn <. A , C >. /\ C Btwn <. A , D >. ) -> B Btwn <. A , D >. ) ) $=
    ( cn wcel cee cfv wa w3a cop cbtwn wbr simp1 simp2r simp2l btwncom syl13anc
    wb simp3l simp3r anbi12d ancom bitrdi wi btwnexch2 syl122anc sylbid sylibd
    ) EFGZAEHIZGZBULGZJZCULGZDULGZJZKZBACLMNZCADLZMNZJZBDALZMNZBVAMNZUSVCCVDMNZ
    BCALMNZJZVEUSVCVHVGJVIUSUTVHVBVGUSUKUNUMUPUTVHTUKUOUROZUKUMUNURPZUKUMUNURQZ
    UKUOUPUQUAZBACERSUSUKUPUMUQVBVGTVJVMVLUKUOUPUQUBZCADERSUCVHVGUDUEUSUKUQUPUN
    UMVIVEUFVJVNVMVKVLDCBAEUGUHUIUSUKUNUQUMVEVFTVJVKVNVLBDAERSUJ $.

  ${
    btwnexchand.1 $e |- ( ph -> N e. NN ) $.
    btwnexchand.2 $e |- ( ph -> A e. ( EE ` N ) ) $.
    btwnexchand.3 $e |- ( ph -> B e. ( EE ` N ) ) $.
    btwnexchand.4 $e |- ( ph -> C e. ( EE ` N ) ) $.
    btwnexchand.5 $e |- ( ph -> D e. ( EE ` N ) ) $.
    btwnexchand.6 $e |- ( ( ph /\ ps ) -> B Btwn <. A , C >. ) $.
    btwnexchand.7 $e |- ( ( ph /\ ps ) -> C Btwn <. A , D >. ) $.
    $( Deduction form of ~ btwnexch .  (Contributed by Scott Fenton,
       13-Oct-2013.) $)
    btwnexchand $p |- ( ( ph /\ ps ) -> B Btwn <. A , D >. ) $=
      ( wa cop cbtwn wbr wi wcel cn cee cfv btwnexch syl122anc adantr mp2and )
      ABODCEPQRZECFPZQRZDUIQRZMNAUHUJOUKSZBAGUATCGUBUCZTDUMTEUMTFUMTULHIJKLCDEF
      GUDUEUFUG $.
  $}

  ${
    $d A c u v $.  $d B c u v $.  $d N c u v $.
    $( There is always a ` c ` distinct from ` B ` such that ` B ` lies between
       ` A ` and ` c ` .  Theorem 3.14 of [Schwabhauser] p. 32.  (Contributed
       by Scott Fenton, 24-Sep-2013.) $)
    btwndiff $p |- ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
       E. c e. ( EE ` N ) ( B Btwn <. A , c >. /\ B =/= c ) ) $=
      ( vu vv cn wcel cee cfv w3a cv wne wrex cop wbr wa syl122anc wi mpd cbtwn
      axlowdim1 3ad2ant1 ccgr simp11 simp12 simp13 simp2l axsegcon wceq simpl11
      simp2r weq wb simpl13 simpr simpl2l simpl2r cgrdegen biimp com12 3ad2ant3
      necon3d adantr syld anim2d reximdva 3exp rexlimdvv ) CGHZACIJZHZBVKHZKZEL
      ZFLZMZFVKNEVKNZBADLZOUAPZBVSMZQZDVKNZVJVLVRVMEFCUBUCVNVQWCEFVKVKVNVOVKHZV
      PVKHZQZVQWCVNWFVQKZVTBVSOVOVPOUDPZQZDVKNZWCWGVJVLVMWDWEWJVJVLVMWFVQUEVJVL
      VMWFVQUFVJVLVMWFVQUGVNWDWEVQUHVNWDWEVQULDABVOVPCUIRWGWIWBDVKWGVSVKHZQZWHW
      AVTWLWHBVSUJZEFUMZUNZWAWLVJVMWKWDWEWHWOSVJVLVMWFVQWKUKVJVLVMWFVQWKUOWGWKU
      PWDWEVNVQWKUQWDWEVNVQWKURBVSVOVPCUSRWGWOWASZWKVQVNWPWFWOVQWAWOBVSVOVPWMWN
      UTVCVAVBVDVEVFVGTVHVIT $.
  $}

  ${
    $d A q r $.  $d B q r $.  $d C q r $.  $d D q r $.  $d E q r $.
    $d N q r $.  $d P q r $.
    $( A line segment between two sides of a triange intersects a segment
       crossing from the remaining side to the opposite vertex.  Theorem 3.17
       of [Schwabhauser] p. 33.  (Contributed by Scott Fenton, 24-Sep-2013.) $)
    trisegint $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ P e. ( EE ` N ) ) ) ->
       ( ( B Btwn <. A , C >. /\ E Btwn <. D , C >. /\ P Btwn <. A , D >. ) ->
       E. q e. ( EE ` N ) ( q Btwn <. P , C >. /\ q Btwn <. B , E >. ) ) ) $=
      ( vr wcel w3a cop cbtwn wbr wa wrex 3jca jca sylc 3ad2ant1 cee cfv simpl1
      cn simpl23 simpl21 simpl31 simpl32 simpl33 simpr2 btwncom syl13anc simpr3
      cv mpbid axpasch simp1l1 simp2 simpl22 simp3l simp1r1 simpll1 syl simpll2
      wb simplr simpl3r anim1i btwnexch2 ex anim1d reximdva mpd rexlimdv3a ) GU
      DJZAGUAUBZJZBVPJZCVPJZKZDVPJZFVPJZEVPJZKZKZBACLMNZFDCLMNZEADLMNZKZHUNZECL
      ZMNZWJBFLMNZOZHVPPZWEWIOZIUNZFALMNZWQWKMNZOZIVPPZWOWPVOVSVQWAKZWBWCOZKFCD
      LMNZWHOXAWPVOXBXCVOVTWDWIUCZWPVSVQWAVQVRVSVOWDWIUEZVQVRVSVOWDWIUFZWAWBWCV
      OVTWIUGZQWPWBWCWAWBWCVOVTWIUHZWAWBWCVOVTWIUIZRQWPXDWHWPWGXDWEWFWGWHUJWPVO
      WBWAVSWGXDVEXEXIXHXFFDCGUKULUOWEWFWGWHUMRICADFEGUPSWPWTWOIVPWPWQVPJZWTKZW
      JWQCLMNZWMOZHVPPZWOXLVOWBVSVQKZXKVROZKWRBCALMNZOXOXLVOXPXQVOVTWDWIXKWTUQZ
      XLWBVSVQWPXKWBWTXITWPXKVSWTXFTZWPXKVQWTXGTZQXLXKVRWPXKWTURWPXKVRWTVQVRVSV
      OWDWIUSTZRQXLWRXRWPXKWRWSUTXLWFXRWFWGWHWEXKWTVAXLVOVRVQVSWFXRVEXSYBYAXTBA
      CGUKULUORHFCAWQBGUPSXLXNWNHVPXLWJVPJZOZXMWLWMYDXMWLYDXMOZVOWCXKOZYCVSOZKW
      SXMOWLYEVOYFYGYEWPVOWPXKWTYCXMVBZXEVCYEWCXKYEWPWCYHXJVCWPXKWTYCXMVDRYEYCV
      SXLYCXMVFYEWPVSYHXFVCRQYDWSXMWRWSWPXKYCVGVHEWQWJCGVISVJVKVLVMVNVMVJ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Segment Transportation
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c TransportTo $.

  $( Declare the syntax for the segment transport function. $)
  ctransport $a class TransportTo $.

  ${
    $d n p q r x $.
    $( Define the segment transport function.  See ~ fvtransport for an
       explanation of the function.  (Contributed by Scott Fenton,
       18-Oct-2013.) $)
    df-transport $a |- TransportTo =
       { <. <. p , q >. , x >. |
         E. n e. NN ( ( p e. ( ( EE ` n ) X. ( EE ` n ) ) /\
                        q e. ( ( EE ` n ) X. ( EE ` n ) ) /\
                        ( 1st ` q ) =/= ( 2nd ` q ) ) /\
                      x = ( iota_ r e. ( EE ` n )
                        ( ( 2nd ` q ) Btwn <. ( 1st ` q ) , r >. /\
                        <. ( 2nd ` q ) , r >. Cgr p ) ) ) } $.
  $}

  ${
    $d m n p q r x y $.
    $( The ` TransportTo ` relationship is a function.  (Contributed by Scott
       Fenton, 18-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    funtransport $p |- Fun TransportTo $=
      ( vp vn vq vx vr vm vy ctransport wfun cv cee cfv cxp wcel c1st w3a wa cn
      wceq wrex c2nd wne cop cbtwn wbr ccgr crio coprab wmo weq wi reeanv simp1
      anim12i anim1i an4s xp1st axdimuniq fveq2 riotaeqdv eqeq2d anbi2d syl6bir
      wal eqtr3 syl ex syl2ani impd syl5 rexlimivv sylbir eqeq1 rexbidv sqxpeqd
      gen2 eleq2d 3anbi12d anbi12d cbvrexvw bitrdi funoprab df-transport funeqi
      mo4 mpbir ) HIAJZBJZKLZWIMZNZCJZWJNZWLOLZWLUALZUBZPZDJZWOWNEJZUCUDUEWOWSU
      CWGUFUEQZEWIUGZSZQZBRTZACDUHZIXDACDXDDUIXDWGFJZKLZXGMZNZWLXHNZWPPZGJZWTEX
      GUGZSZQZFRTZQZDGUJZUKZGVDDVDXSDGXQXCXOQZFRTBRTXRXCXOBFRRULXTXRBFRRXTWKXIQ
      ZXBXNQZQZWHRNZXFRNZQZXRWQXKXBXNYCWQXKQYAYBWQWKXKXIWKWMWPUMXIXJWPUMUNUOUPY
      FYAYBXRWKYFWGOLZWINZYGXGNZYBXRUKZXIWGWIWIUQWGXGXGUQYFYHYIQYJYDYHYEYIYJYDY
      HQYEYIQQBFUJZYJYGXFWHURYKYBXBXLXASZQXRYKYLXNXBYKXAXMXLYKWTEWIXGWHXFKUSZUT
      VAZVBWRXLXAVEVCVFUPVGVHVIVJVKVLVPXDXPDGXRXDWQYLQZBRTXPXRXCYOBRXRXBYLWQWRX
      LXAVMVBVNYOXOBFRYKWQXKYLXNYKWKXIWMXJWPYKWJXHWGYKWIXGYMVOZVQYKWJXHWLYPVQVR
      YNVSVTWAWEWFWBHXEDBECAWCWDWF $.
  $}

  ${
    $d N n p q r x $.  $d A n p q r x $.  $d B n p q r x $.  $d C n p q r x $.
    $d D n p q r x $.
    $( Calculate the value of the ` TransportTo ` function.  This function
       takes four points, ` A ` through ` D ` , where ` C ` and ` D ` are
       distinct.  It then returns the point that extends ` C D ` by the length
       of ` A B ` .  (Contributed by Scott Fenton, 18-Oct-2013.)  (Revised by
       Mario Carneiro, 19-Apr-2014.) $)
    fvtransport $p |- ( ( N e. NN /\
       ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) /\
         C =/= D ) ) ->
       ( <. A , B >. TransportTo <. C , D >. ) =
       ( iota_ r e. ( EE ` N ) ( D Btwn <. C , r >. /\
         <. D , r >. Cgr <. A , B >. ) ) ) $=
      ( vn cn wcel cfv wa w3a cop ctransport cv cbtwn wbr ccgr wceq cvv cee wne
      vp vq vx co crio df-ov cxp c1st c2nd wrex opelxpi 3ad2ant1 3ad2ant2 simp3
      op1stg op2ndg 3netr4d 3jca opeq1d breq12d breq1d anbi12d riotabidv eqcomd
      fveq2 sqxpeqd eleq2d 3anbi12d riotaeqdv eqeq2d rspcev sylan2 coprab df-br
      jca df-transport eleq2i opex riotaex eleq1 3anbi1d anbi2d rexbidv neeq12d
      wb breq2 3anbi23d eqeq1 eloprabg mp3an wfun wi funtransport funbrfv ax-mp
      3bitri sylbir syl syl5eq ) EHIZAEUAJZIBXCIKZCXCIDXCIKZCDUBZLZKZABMZCDMZNU
      FXIXJMZNJZDCFOZMZPQZDXMMZXIRQZKZFXCUGZXIXJNUHXHXIGOZUAJZYAUIZIZXJYBIZXJUJ
      JZXJUKJZUBZLZXSYFYEXMMZPQZYFXMMZXIRQZKZFYAUGZSZKZGHULZXLXSSZXGXBXIXCXCUIZ
      IZXJYSIZYGLZXSYMFXCUGZSZKZYQXGUUBUUDXGYTUUAYGXDXEYTXFABXCXCUMUNXEXDUUAXFC
      DXCXCUMUOXGCDYEYFXDXEXFUPXEXDYECSXFCDXCXCUQUOZXEXDYFDSXFCDXCXCURUOZUSUTXG
      UUCXSXGYMXRFXCXGYJXOYLXQXGYFDYIXNPUUGXGYECXMUUFVAVBXGYKXPXIRXGYFDXMUUGVAV
      CVDVEVFVQYPUUEGEHXTESZYHUUBYOUUDUUHYCYTYDUUAYGUUHYBYSXIUUHYAXCXTEUAVGZVHZ
      VIUUHYBYSXJUUJVIVJUUHYNUUCXSUUHYMFYAXCUUIVKVLVDVMVNYQXKXSNQZYRUUKXKXSMZNI
      UULUCOZYBIZUDOZYBIZUUOUJJZUUOUKJZUBZLZUEOZUURUUQXMMZPQZUURXMMZUUMRQZKZFYA
      UGZSZKZGHULZUCUDUEVOZIZYQXKXSNVPNUVKUULUEGFUDUCVRVSXITIXJTIXSTIUVLYQWGABV
      TCDVTXRFXCWAUVJYCUUPUUSLZUVAUVCUVDXIRQZKZFYAUGZSZKZGHULYHUVAYNSZKZGHULYQU
      CUDUEXIXJXSTTTUUMXISZUVIUVRGHUWAUUTUVMUVHUVQUWAUUNYCUUPUUSUUMXIYBWBWCUWAU
      VGUVPUVAUWAUVFUVOFYAUWAUVEUVNUVCUUMXIUVDRWHWDVEVLVDWEUUOXJSZUVRUVTGHUWBUV
      MYHUVQUVSUWBUUPYDUUSYGYCUUOXJYBWBUWBUUQYEUURYFUUOXJUJVGZUUOXJUKVGZWFWIUWB
      UVPYNUVAUWBUVOYMFYAUWBUVCYJUVNYLUWBUURYFUVBYIPUWDUWBUUQYEXMUWCVAVBUWBUVDY
      KXIRUWBUURYFXMUWDVAVCVDVEVLVDWEUVAXSSZUVTYPGHUWEUVSYOYHUVAXSYNWJWDWEWKWLW
      RNWMUUKYRWNWOXKXSNWPWQWSWTXA $.
  $}

  ${
    $d N r $.  $d A r $.  $d B r $.  $d C r $.  $d D r $.
    $( Closure law for segment transport.  (Contributed by Scott Fenton,
       19-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    transportcl $p |- ( ( N e. NN /\
       ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) /\
         C =/= D ) ) ->
       ( <. A , B >. TransportTo <. C , D >. ) e. ( EE ` N ) ) $=
      ( vr cn wcel cee cfv wa wne w3a cop ctransport co cv cbtwn wbr ccgr crio
      fvtransport wreu segconeu riotacl syl eqeltrd ) EGHAEIJZHBUHHKCUHHDUHHKCD
      LMKZABNZCDNOPDCFQZNRSDUKNUJTSKZFUHUAZUHABCDEFUBUIULFUHUCUMUHHABCDEFUDULFU
      HUEUFUG $.

    $( Calculate the defining properties of the transport function.
       (Contributed by Scott Fenton, 19-Oct-2013.)  (Revised by Mario Carneiro,
       19-Apr-2014.) $)
    transportprops $p |- ( ( N e. NN /\
       ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) /\
         C =/= D ) ) ->
         ( D Btwn <. C , ( <. A , B >. TransportTo <. C , D >. ) >. /\
           <. D , ( <. A , B >. TransportTo <. C , D >. ) >. Cgr
           <. A , B >. ) ) $=
      ( vr cn wcel cee cfv wa wne w3a cop ctransport cbtwn wbr ccgr wceq opeq2
      co cv crio fvtransport eqcomd wreu wb transportcl segconeu breq2d anbi12d
      breq1d riota2 syl2anc mpbird ) EGHAEIJZHBUPHKCUPHDUPHKCDLMKZDCABNZCDNOUAZ
      NZPQZDUSNZURRQZKZDCFUBZNZPQZDVENZURRQZKZFUPUCZUSSZUQUSVKABCDEFUDUEUQUSUPH
      VJFUPUFVDVLUGABCDEUHABCDEFUIVJVDFUPUSVEUSSZVGVAVIVCVMVFUTDPVEUSCTUJVMVHVB
      URRVEUSDTULUKUMUNUO $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Properties relating betweenness and congruence
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c InnerFiveSeg Cgr3 Colinear FiveSeg $.

  $( Declare the syntax for the inner five segment predicate. $)
  cifs $a class InnerFiveSeg $.

  $( Declare the syntax for the three place congruence predicate. $)
  ccgr3 $a class Cgr3 $.

  $( Declare the syntax for the colinearity predicate. $)
  ccolin $a class Colinear $.

  $( Declare the syntax for the five segment predicate. $)
  cfs $a class FiveSeg $.

  ${
    $d a b c n $.
    $( The colinearity predicate states that the three points in its arguments
       sit on one line.  Definition 4.10 of [Schwabhauser] p. 36.  (Contributed
       by Scott Fenton, 25-Oct-2013.) $)
    df-colinear $a |- Colinear = `' { <. <. b , c >. , a >. |
       E. n e. NN ( ( a e. ( EE ` n ) /\ b e. ( EE ` n ) /\ c e. ( EE ` n ) )
         /\
         ( a Btwn <. b , c >. \/ b Btwn <. c , a >. \/
           c Btwn <. a , b >. ) ) } $.
  $}

  ${
    $d a b c d x y z w p q n $.
    $( The inner five segment configuration is an abbreviation for another
       congruence condition.  See ~ brifs and ~ ifscgr for how it is used.
       Definition 4.1 of [Schwabhauser] p. 34.  (Contributed by Scott Fenton,
       26-Sep-2013.) $)
    df-ifs $a |- InnerFiveSeg =
        { <. p , q >. |
           E. n e. NN E. a e. ( EE ` n ) E. b e. ( EE ` n ) E. c e. ( EE ` n )
           E. d e. ( EE ` n ) E. x e. ( EE ` n ) E. y e. ( EE ` n )
           E. z e. ( EE ` n ) E. w e. ( EE ` n ) (
           p = <. <. a , b >. , <. c , d >. >. /\
           q = <. <. x , y >. , <. z , w >. >. /\
           ( ( b Btwn <. a , c >. /\ y Btwn <. x , z >. ) /\
             ( <. a , c >. Cgr <. x , z >. /\
               <. b , c >. Cgr <. y , z >. ) /\
             ( <. a , d >. Cgr <. x , w >. /\
               <. c , d >. Cgr <. z , w >. ) ) ) } $.
  $}

  ${
    $d a b c d e f n p q $.
    $( The three place congruence predicate.  This is an abbreviation for
       saying that all three pair in a triple are congruent with each other.
       Three place form of Definition 4.4 of [Schwabhauser] p. 35.
       (Contributed by Scott Fenton, 4-Oct-2013.) $)
    df-cgr3 $a |- Cgr3 = { <. p , q >. |
       E. n e. NN E. a e. ( EE ` n ) E. b e. ( EE ` n ) E. c e. ( EE ` n )
       E. d e. ( EE ` n ) E. e e. ( EE ` n ) E. f e. ( EE ` n )
       ( p = <. a , <. b , c >. >. /\
       q = <. d , <. e , f >. >. /\
       ( <. a , b >. Cgr <. d , e >. /\ <. a , c >. Cgr <. d , f >. /\
         <. b , c >. Cgr <. e , f >. ) ) } $.
  $}

  ${
    $d a b c d x y z w p q n $.
    $( The general five segment configuration is a generalization of the outer
       and inner five segment configurations.  See ~ brfs and ~ fscgr for its
       use.  Definition 4.15 of [Schwabhauser] p. 37.  (Contributed by Scott
       Fenton, 5-Oct-2013.) $)
    df-fs $a |- FiveSeg =
        { <. p , q >. |
           E. n e. NN E. a e. ( EE ` n ) E. b e. ( EE ` n ) E. c e. ( EE ` n )
           E. d e. ( EE ` n ) E. x e. ( EE ` n ) E. y e. ( EE ` n )
           E. z e. ( EE ` n ) E. w e. ( EE ` n ) (
           p = <. <. a , b >. , <. c , d >. >. /\
           q = <. <. x , y >. , <. z , w >. >. /\
           ( a Colinear <. b , c >. /\
             <. a , <. b , c >. >. Cgr3 <. x , <. y , z >. >. /\
             ( <. a , d >. Cgr <. x , w >. /\
               <. b , d >. Cgr <. y , w >. ) ) ) } $.
  $}

  ${
    $d N a b c d e f g h p q n $.  $d A a b c d e f g h p q n $.
    $d B a b c d e f g h p q n $.  $d C a b c d e f g h p q n $.
    $d D a b c d e f g h p q n $.  $d E a b c d e f g h p q n $.
    $d F a b c d e f g h p q n $.  $d G a b c d e f g h p q n $.
    $d H a b c d e f g h p q n $.
    $( Binary relation form of the inner five segment predicate.  (Contributed
       by Scott Fenton, 26-Sep-2013.) $)
    brifs $p |- ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
        ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ E e. ( EE ` N ) ) /\
        ( F e. ( EE ` N ) /\ G e. ( EE ` N ) /\ H e. ( EE ` N ) ) ) ->
    ( <. <. A , B >. , <. C , D >. >. InnerFiveSeg
      <. <. E , F >. , <. G , H >. >. <-> ( ( B Btwn <. A , C >. /\
                     F Btwn <. E , G >. ) /\
        ( <. A , C >. Cgr <. E , G >. /\
          <. B , C >. Cgr <. F , G >. ) /\
        ( <. A , D >. Cgr <. E , H >. /\
          <. C , D >. Cgr <. G , H >. ) ) ) ) $=
      ( cv cop cbtwn wbr wa ccgr w3a wceq opeq1 breq2d breq1d vb va vc vf ve vg
      vd vh vn vq vp cee cifs cn anbi1d 3anbi123d breq1 anbi2d 3anbi12d anbi12d
      cfv opeq2 3anbi3d fveq2 df-ifs br8 ) UAJZUBJZUCJZKZLMZUDJZUEJZUFJZKZLMZNZ
      VJVOOMZVGVIKZVLVNKZOMZNZVHUGJZKZVMUHJZKZOMZVIWCKZVNWEKZOMZNZPVGAVIKZLMZVP
      NZWLVOOMZWANZAWCKZWFOMZWJNZPBWLLMZVPNZWOBVIKZVTOMZNZWSPBACKZLMZVPNZXEVOOM
      ZBCKZVTOMZNZWRCWCKZWIOMZNZPXGXKADKZWFOMZCDKZWIOMZNZPXFVLEVNKZLMZNZXEXTOMZ
      XJNZXOEWEKZOMZXRNZPXFFXTLMZNZYCXIFVNKZOMZNZYGPXFFEGKZLMZNZXEYMOMZXIFGKZOM
      ZNZYFXQGWEKZOMZNZPYOYSXOEHKZOMZXQGHKZOMZNZPUIABCDUIJZULVAIULVAUMUNUEUDUFU
      HEFGHIUJUKUBUAUCUGVHAQZVQWNWBWPWKWSUUIVKWMVPUUIVJWLVGLVHAVIRZSUOUUIVRWOWA
      UUIVJWLVOOUUJTUOUUIWGWRWJUUIWDWQWFOVHAWCRTUOUPVGBQZWNXAWPXDWSUUKWMWTVPVGB
      WLLUQUOUUKWAXCWOUUKVSXBVTOVGBVIRTURUSVICQZXAXGXDXKWSXNUULWTXFVPUULWLXEBLV
      ICAVBZSUOUULWOXHXCXJUULWLXEVOOUUMTUULXBXIVTOVICBVBTUTUULWJXMWRUULWHXLWIOV
      ICWCRTURUPWCDQZXNXSXGXKUUNWRXPXMXRUUNWQXOWFOWCDAVBTUUNXLXQWIOWCDCVBTUTVCV
      MEQZXGYBXKYDXSYGUUOVPYAXFUUOVOXTVLLVMEVNRZSURUUOXHYCXJUUOVOXTXEOUUPSUOUUO
      XPYFXRUUOWFYEXOOVMEWERSUOUPVLFQZYBYIYDYLYGUUQYAYHXFVLFXTLUQURUUQXJYKYCUUQ
      VTYJXIOVLFVNRSURUSVNGQZYIYOYLYSYGUUBUURYHYNXFUURXTYMFLVNGEVBZSURUURYCYPYK
      YRUURXTYMXEOUUSSUURYJYQXIOVNGFVBSUTUURXRUUAYFUURWIYTXQOVNGWERSURUPWEHQZUU
      BUUGYOYSUUTYFUUDUUAUUFUUTYEUUCXOOWEHEVBSUUTYTUUEXQOWEHGVBSUTVCUUHIULVDUEU
      DUFUHUIUJUKUBUAUCUGVEVF $.
  $}

  ${
    $d A e f $.  $d B e f $.  $d C e f $.  $d D e f $.  $d E e f $.
    $d F e f $.  $d G e f $.  $d H e f $.  $d N e f $.
    $( Inner five segment congruence.  Take two triangles, ` A D C ` and
       ` E H G ` , with ` B ` between ` A ` and ` C ` and ` F ` between ` E `
       and ` G ` .  If the other components of the triangles are congruent,
       then so are ` B D ` and ` F H ` .  Theorem 4.2 of [Schwabhauser] p. 34.
       (Contributed by Scott Fenton, 27-Sep-2013.) $)
    ifscgr $p |- ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
        ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ E e. ( EE ` N ) ) /\
        ( F e. ( EE ` N ) /\ G e. ( EE ` N ) /\ H e. ( EE ` N ) ) ) ->
    ( <. <. A , B >. , <. C , D >. >. InnerFiveSeg
      <. <. E , F >. , <. G , H >. >. -> <. B , D >. Cgr <. F , H >. ) ) $=
      ( wcel w3a cop wbr cbtwn wa ccgr wi jca wb adantr ve vf cn cee cifs brifs
      cfv wceq simp1l simp11 simp13 simp21 axbtwnid syl3anc simp2r simp3r opeq2
      syl5 breq1d opeq1 anbi12d mpan9 simp31 simp32 cgrid2 syl13anc breq2d syl6
      biimprd impd expd mpdd anbi1d 3anbi12d imbi1d syl5ibr wne simp12 btwndiff
      cv simpl11 simpl23 simpl32 simpl21 simpr axsegcon syl122anc anass simplrl
      wrex adantl simplll simpr2l simpllr ad2antrr simplrr cgrcom mpbid simprr3
      cofs 3jca simpl12 simprl simpl22 simprr simpl33 syl333anc sylibrd 5segofs
      ex brofs syland simpr1l simpr1r simpl13 btwnexch3 simpl31 anim12d btwncom
      jca32 imp ad2antrl cgrcomlr bitrd simpr2r cgrcomlrand simpr3r necomd jcad
      a1i syld adantrd syl5bir anassrs rexlimdva mpd com3r pm2.61ine sylbid ) I
      UCJZAIUDUGZJZBUUAJZKZCUUAJZDUUAJZEUUAJZKZFUUAJZGUUAJZHUUAJZKZKZABLCDLZLEF
      LGHLZLUEMBACLZNMZFEGLZNMZOZUUPUURPMZBCLZFGLZPMZOZADLEHLPMZUUNUUOPMZOZKZBD
      LZFHLZPMZABCDEFGHIUFUUMUVIUVLQZQACUUMUVMACUHZBCCLZNMZUUSOZUVOUURPMZUVDOZU
      VHKZUVLQUUMUVTBCUHZUVLUVTUVPUUMUWAUVPUUSUVSUVHUIUUMYTUUCUUEUVPUWAQYTUUBUU
      CUUHUULUJZYTUUBUUCUUHUULUKZUUDUUEUUFUUGUULULZBCIUMUNURUUMUVTUWAUVLUVTUWAO
      BBLZUVCPMZUVJUUOPMZOZUUMUVLUVTUVDUVGOZUWAUWHUVTUVDUVGUVQUVRUVDUVHUOUVQUVS
      UVFUVGUPRUWAUWHUWIUWAUWFUVDUWGUVGUWAUWEUVBUVCPBCBUQUSUWAUVJUUNUUOPBCDUTUS
      VAVIVBUUMUWFUWGUVLUUMUWFFGUHZUWGUVLQUUMYTUUCUUIUUJUWFUWJQUWBUWCUUDUUHUUIU
      UJUUKVCUUDUUHUUIUUJUUKVDZBFGIVEVFUWJUVLUWGUWJUVKUUOUVJPFGHUTVGVIVHVJURVKV
      LUVNUVIUVTUVLUVNUUTUVQUVEUVSUVHUVNUUQUVPUUSUVNUUPUVOBNACCUTZVGVMUVNUVAUVR
      UVDUVNUUPUVOUURPUWLUSVMVNVOVPUUMUVIACVQZUVLUUMUVIUWMUVLUUMCAUAVTZLNMZCUWN
      VQZOZUAUUAWJZUVIUWMOZUVLQZUUMYTUUBUUEUWRUWBYTUUBUUCUUHUULVRUWDACIUAVSUNUU
      MUWQUWTUAUUAUUMUWNUUAJZOZUWQUWSUVLUXBGEUBVTZLNMZGUXCLZCUWNLZPMZOZUBUUAWJZ
      UWQUWSOZUVLQZUXBYTUUGUUJUUEUXAUXIYTUUBUUCUUHUULUXAWAUUEUUFUUGUUDUULUXAWBU
      UIUUJUUKUUDUUHUXAWCUUEUUFUUGUUDUULUXAWDUUMUXAWEUBEGCUWNIWFWGUXBUXHUXKUBUU
      AUUMUXAUXCUUAJZUXHUXKQUUMUXAUXLOZOZUXHUXJUVLUXHUXJOUXHUWQOZUWSOZUXNUVLUXH
      UWQUWSWHUXPUXOUVIOZUWMOZUXNUVLUXOUVIUWMWHUXNUXRUWNDLZUXCHLZPMZUVLUXNUXQUU
      PUXSLUURUXTLWTMZUWMUYAUXNUXQUWOUXDOZUVAUXFUXEPMZOZUVHKZUYBUXNUXQUYFUXNUXQ
      OZUYCUYEUVHUYGUWOUXDUXQUWOUXNUXHUWOUWPUVIWIZWKUXQUXDUXNUXDUXGUWQUVIWLZWKR
      UYGUVAUYDUXQUVAUXNUVAUVDUUTUVHUXOWMWKUYGUXGUYDUXQUXGUXNUXDUXGUWQUVIWNZWKU
      YGYTUUJUXLUUEUXAUXGUYDSZUUMYTUXMUXQUWBWOUUMUUJUXMUXQUWKWOUUMUXAUXLUXQWPUU
      MUUEUXMUXQUWDWOUUMUXAUXLUXQWIGUXCCUWNIWQZWGWRRUUTUVEUVHUXOUXNWSXAXJUXNYTU
      UBUUEUXAUUFUUGUUJUXLUUKUYBUYFSYTUUBUUCUUHUULUXMWAZYTUUBUUCUUHUULUXMXBZUUE
      UUFUUGUUDUULUXMWDZUUMUXAUXLXCZUUEUUFUUGUUDUULUXMXDZUUEUUFUUGUUDUULUXMWBZU
      UIUUJUUKUUDUUHUXMWCZUUMUXAUXLXEZUUIUUJUUKUUDUUHUXMXFZACUWNDEGUXCHIXKXGXHU
      XNYTUUBUUEUXAUUFUUGUUJUXLUUKUYBUWMOUYAQUYMUYNUYOUYPUYQUYRUYSUYTVUAACUWNDE
      GUXCHIXIXGXLUXNUXQUYAUVLQUWMUXNUXQUYAUVLUXNUXQUYAOZUWNCLZUVJLUXCGLZUVKLWT
      MZUWNCVQZOZUVLUXNVUBVUEVUFUXNVUBCUWNBLNMZGUXCFLNMZOZVUCVUDPMZCBLGFLPMZOZU
      YAUVGOZKZVUEUXNVUBVUOUXNVUBOZVUJVUMVUNVUPCBUWNLNMZGFUXCLNMZOZVUJUXNVUBVUS
      VUBUUQUWOOZUUSUXDOZOUXNVUSVUBVUTUUSUXDVUBUUQUWOUXQUUQUYAUUQUUSUVEUVHUXOXM
      TUXQUWOUYAUYHTRUXQUUSUYAUUQUUSUVEUVHUXOXNTUXQUXDUYAUYITXTUXNVUTVUQVVAVURU
      XNYTUUBUUCUUEUXAVUTVUQQUYMUYNYTUUBUUCUUHUULUXMXOZUYOUYPABCUWNIXPWGUXNYTUU
      GUUIUUJUXLVVAVURQUYMUYRUUIUUJUUKUUDUUHUXMXQZUYSUYTEFGUXCIXPWGXRURYAUXNVUS
      VUJSVUBUXNVUQVUHVURVUIUXNYTUUEUUCUXAVUQVUHSUYMUYOVVBUYPCBUWNIXSVFUXNYTUUJ
      UUIUXLVURVUISUYMUYSVVCUYTGFUXCIXSVFVATWRVUPVUKVULVUPUXGVUKUXQUXGUXNUYAUYJ
      YBUXNUXGVUKSVUBUXNUXGUYDVUKUXNYTUUJUXLUUEUXAUYKUYMUYSUYTUYOUYPUYLWGUXNYTU
      UEUXAUUJUXLUYDVUKSUYMUYOUYPUYSUYTCUWNGUXCIYCWGYDTWRUXNVUBBCFGIUYMVVBUYOVV
      CUYSUXQUVDUXNUYAUVAUVDUUTUVHUXOYEYBYFRVUPUYAUVGUXNUXQUYAXEUXQUVGUXNUYAUVF
      UVGUUTUVEUXOYGYBRXAXJUXNYTUXAUUEUUCUUFUXLUUJUUIUUKVUEVUOSUYMUYPUYOVVBUYQU
      YTUYSVVCVUAUWNCBDUXCGFHIXKXGXHVUBVUFQUXNVUBCUWNUXQUWPUYAUXHUWOUWPUVIWPTYH
      YJYIUXNYTUXAUUEUUCUUFUXLUUJUUIUUKVUGUVLQUYMUYPUYOVVBUYQUYTUYSVVCVUAUWNCBD
      UXCGFHIXIXGYKVKYLVLYMYMVKYNYOYPVKYOYPVKYQYRYS $.
  $}

  $( Removing identical parts from the end of a line segment preserves
     congruence.  Theorem 4.3 of [Schwabhauser] p. 35.  (Contributed by Scott
     Fenton, 4-Oct-2013.) $)
  cgrsub $p |- ( ( N e. NN /\
         ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
         ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) ->
         ( ( ( B Btwn <. A , C >. /\ E Btwn <. D , F >. ) /\
             ( <. A , C >. Cgr <. D , F >. /\ <. B , C >. Cgr <. E , F >. ) )
           -> <. A , B >. Cgr <. D , E >. ) ) $=
    ( cn wcel cee w3a cop cbtwn wbr wa ccgr wb cgrcomlr syl122anc mpbid simpl21
    cfv simprl simprr simpl1 simpl31 cgrtriv syl3anc simprrl simpl23 simpl33 wi
    jca simpl22 simpl32 cifs brifs ifscgr sylbird syl333anc mp3and ex ) GHIZAGJ
    UBZIZBVDIZCVDIZKZDVDIZEVDIZFVDIZKZKZBACLZMNEDFLZMNOZVNVOPNZBCLEFLPNZOZOZABL
    ZDELZPNZVMVTOZBALEDLPNZWCWDVPVSAALDDLPNZCALZFDLZPNZOZWEVMVPVSUCVMVPVSUDWDWF
    WIWDVCVEVIWFVCVHVLVTUEZVEVFVGVCVLVTUAZVIVJVKVCVHVTUFZADGUGUHWDVQWIVMVPVQVRU
    IWDVCVEVGVIVKVQWIQWKWLVEVFVGVCVLVTUJZWMVIVJVKVCVHVTUKZACDFGRSTUMWDVCVEVFVGV
    EVIVJVKVIVPVSWJKZWEULWKWLVEVFVGVCVLVTUNZWNWLWMVIVJVKVCVHVTUOZWOWMVCVEVFKVGV
    EVIKVJVKVIKKWPWAWGLWBWHLUPNWEABCADEFDGUQABCADEFDGURUSUTVAWDVCVFVEVJVIWEWCQW
    KWQWLWRWMBAEDGRSTVB $.

  ${
    $d A a b c d e f n p q $.  $d B a b c d e f n p q $.
    $d C a b c d e f n p q $.  $d D a b c d e f n p q $.
    $d E a b c d e f n p q $.  $d F a b c d e f n p q $.
    $d N a b c d e f n p q $.
    $( Binary relation form of the three-place congruence predicate.
       (Contributed by Scott Fenton, 4-Oct-2013.) $)
    brcgr3 $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) ->
       ( <. A , <. B , C >. >. Cgr3 <. D , <. E , F >. >. <->
         ( <. A , B >. Cgr <. D , E >. /\ <. A , C >. Cgr <. D , F >. /\
           <. B , C >. Cgr <. E , F >. ) ) ) $=
      ( va vb vd cv cop ccgr wbr w3a wceq opeq1 breq1d opeq2 breq2d ve vc vf vn
      vq vp cee cfv ccgr3 cn 3anbi12d 3anbi13d 3anbi23d fveq2 df-cgr3 br6 ) HKZ
      IKZLZJKZUAKZLZMNZUQUBKZLZUTUCKZLZMNZURVDLZVAVFLZMNZOAURLZVBMNZAVDLZVGMNZV
      KOABLZVBMNZVOBVDLZVJMNZOVQACLZVGMNZBCLZVJMNZOVPDVALZMNZVTDVFLZMNZWCOVPDEL
      ZMNZWGWBEVFLZMNZOWIVTDFLZMNZWBEFLZMNZOUDABCDUDKZUGUHGUGUHUIUJUAUCEFGUEUFH
      IUBJUQAPZVCVMVHVOVKWQUSVLVBMUQAURQRWQVEVNVGMUQAVDQRUKURBPZVMVQVKVSVOWRVLV
      PVBMURBASRWRVIVRVJMURBVDQRULVDCPZVOWAVSWCVQWSVNVTVGMVDCASRWSVRWBVJMVDCBSR
      UMUTDPZVQWEWAWGWCWTVBWDVPMUTDVAQTWTVGWFVTMUTDVFQTUKVAEPZWEWIWCWKWGXAWDWHV
      PMVAEDSTXAVJWJWBMVAEVFQTULVFFPZWGWMWKWOWIXBWFWLVTMVFFDSTXBWJWNWBMVFFESTUM
      WPGUGUNUAUCUDUEUFHIUBJUOUP $.
  $}

  $( Permutation law for three-place congruence.  (Contributed by Scott Fenton,
     5-Oct-2013.) $)
  cgr3permute3 $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) ->
       ( <. A , <. B , C >. >. Cgr3 <. D , <. E , F >. >. <->
         <. B , <. C , A >. >. Cgr3 <. E , <. F , D >. >. ) ) $=
    ( wcel w3a cop ccgr wbr ccgr3 wa wb 3simpa cgrcomlr syl3an 3simpb 3anrot cn
    cee cfv id 3anbi12d bitr4di brcgr3 biid syl3anb 3bitr4d ) GUAHZAGUBUCZHZBUL
    HZCULHZIZDULHZEULHZFULHZIZIZABJDEJKLZACJDFJKLZBCJZEFJZKLZIZVFBAJEDJKLZCAJZF
    DJZKLZIZAVDJDVEJMLBVIJEVJJMLZVAVGVHVKVFIVLVAVBVHVCVKVFUKUKUPUMUNNUTUQURNVBV
    HOUKUDZUMUNUOPUQURUSPABDEGQRUKUKUPUMUONUTUQUSNVCVKOVNUMUNUOSUQURUSSACDFGQRU
    EVFVHVKTUFABCDEFGUGUKUKUPUNUOUMIUTURUSUQIVMVLOUKUHUMUNUOTUQURUSTBCAEFDGUGUI
    UJ $.

  $( Permutation law for three-place congruence.  (Contributed by Scott Fenton,
     5-Oct-2013.) $)
  cgr3permute1 $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) ->
       ( <. A , <. B , C >. >. Cgr3 <. D , <. E , F >. >. <->
         <. A , <. C , B >. >. Cgr3 <. D , <. F , E >. >. ) ) $=
    ( cn wcel cee w3a cop ccgr wbr ccgr3 wa wb 3simpc brcgr3 3ancomb cfv syl3an
    id cgrcomlr 3anbi3d 3ancoma bitrdi biid syl3anb 3bitr4d ) GHIZAGJUAZIZBULIZ
    CULIZKZDULIZEULIZFULIZKZKZABLDELMNZACLDFLMNZBCLZEFLZMNZKZVCVBCBLZFELZMNZKZA
    VDLDVELONAVHLDVILONZVAVGVBVCVJKVKVAVFVJVBVCUKUKUPUNUOPUTURUSPVFVJQUKUCUMUNU
    ORUQURUSRBCEFGUDUBUEVBVCVJUFUGABCDEFGSUKUKUPUMUOUNKUTUQUSURKVLVKQUKUHUMUNUO
    TUQURUSTACBDFEGSUIUJ $.

  $( Permutation law for three-place congruence.  (Contributed by Scott Fenton,
     5-Oct-2013.) $)
  cgr3permute2 $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) ->
       ( <. A , <. B , C >. >. Cgr3 <. D , <. E , F >. >. <->
         <. B , <. A , C >. >. Cgr3 <. E , <. D , F >. >. ) ) $=
    ( cn wcel cee cfv w3a cop ccgr3 wbr cgr3permute3 biid 3anrot cgr3permute1
    wb syl3anb bitrd ) GHIZAGJKZIZBUDIZCUDIZLZDUDIZEUDIZFUDIZLZLABCMMDEFMMNOBCA
    MMEFDMMNOZBACMMEDFMMNOZABCDEFGPUCUCUHUFUGUELULUJUKUILUMUNTUCQUEUFUGRUIUJUKR
    BCAEFDGSUAUB $.

  $( Permutation law for three-place congruence.  (Contributed by Scott Fenton,
     5-Oct-2013.) $)
  cgr3permute4 $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) ->
       ( <. A , <. B , C >. >. Cgr3 <. D , <. E , F >. >. <->
         <. C , <. A , B >. >. Cgr3 <. F , <. D , E >. >. ) ) $=
    ( cn wcel cee cfv w3a cop ccgr3 wbr cgr3permute3 wb biid 3anrot syl3anb
    bitrd ) GHIZAGJKZIZBUCIZCUCIZLZDUCIZEUCIZFUCIZLZLABCMMDEFMMNOBCAMMEFDMMNOZC
    ABMMFDEMMNOZABCDEFGPUBUBUGUEUFUDLUKUIUJUHLULUMQUBRUDUEUFSUHUIUJSBCAEFDGPTUA
    $.

  $( Permutation law for three-place congruence.  (Contributed by Scott Fenton,
     5-Oct-2013.) $)
  cgr3permute5 $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) ->
       ( <. A , <. B , C >. >. Cgr3 <. D , <. E , F >. >. <->
         <. C , <. B , A >. >. Cgr3 <. F , <. E , D >. >. ) ) $=
    ( cn wcel cee cfv w3a cop ccgr3 wbr cgr3permute3 biid 3anrot cgr3permute2
    wb syl3anb bitrd ) GHIZAGJKZIZBUDIZCUDIZLZDUDIZEUDIZFUDIZLZLABCMMDEFMMNOBCA
    MMEFDMMNOZCBAMMFEDMMNOZABCDEFGPUCUCUHUFUGUELULUJUKUILUMUNTUCQUEUFUGRUIUJUKR
    BCAEFDGSUAUB $.

  $( Transitivity law for three-place congruence.  (Contributed by Scott
     Fenton, 5-Oct-2013.) $)
  cgr3tr4 $p |- ( ( N e. NN /\
    ( ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
      ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) /\
      ( G e. ( EE ` N ) /\ H e. ( EE ` N ) /\ I e. ( EE ` N ) ) ) ) ->
    ( ( <. A , <. B , C >. >. Cgr3 <. D , <. E , F >. >. /\
        <. A , <. B , C >. >. Cgr3 <. G , <. H , I >. >. ) ->
      <. D , <. E , F >. >. Cgr3 <. G , <. H , I >. >. ) ) $=
    ( wcel w3a wa cop ccgr wbr ccgr3 wi axcgrtr syl133anc cn cee cfv 3an6 simpl
    simpr11 simpr12 simpr21 simpr22 simpr31 simpr32 simpr13 3anim123d wb brcgr3
    simpr23 simpr33 syl5bir 3adant3r3 3adant3r2 anbi12d 3adant3r1 3imtr4d ) JUA
    KZAJUBUCZKZBVEKZCVEKZLZDVEKZEVEKZFVEKZLZGVEKZHVEKZIVEKZLZLZMZABNZDENZOPZACN
    ZDFNZOPZBCNZEFNZOPZLZVTGHNZOPZWCGINZOPZWFHINZOPZLZMZWAWJOPZWDWLOPZWGWNOPZLZ
    AWFNZDWGNZQPZXBGWNNZQPZMXCXEQPZWQWBWKMZWEWMMZWHWOMZLVSXAWBWKWEWMWHWOUDVSXHW
    RXIWSXJWTVSVDVFVGVJVKVNVOXHWRRVDVRUEZVFVGVHVMVQVDUFZVFVGVHVMVQVDUGZVJVKVLVI
    VQVDUHZVJVKVLVIVQVDUIZVNVOVPVIVMVDUJZVNVOVPVIVMVDUKZABDEGHJSTVSVDVFVHVJVLVN
    VPXIWSRXKXLVFVGVHVMVQVDULZXNVJVKVLVIVQVDUPZXPVNVOVPVIVMVDUQZACDFGIJSTVSVDVG
    VHVKVLVOVPXJWTRXKXMXRXOXSXQXTBCEFHIJSTUMURVSXDWIXFWPVDVIVMXDWIUNVQABCDEFJUO
    USVDVIVQXFWPUNVMABCGHIJUOUTVAVDVMVQXGXAUNVIDEFGHIJUOVBVC $.

  $( Commutativity law for three-place congruence.  (Contributed by Scott
     Fenton, 5-Oct-2013.) $)
  cgr3com $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) ->
       ( <. A , <. B , C >. >. Cgr3 <. D , <. E , F >. >. <->
         <. D , <. E , F >. >. Cgr3 <. A , <. B , C >. >. ) ) $=
    ( wcel w3a cop ccgr wbr ccgr3 wa wb 3simpa cgrcom syl3an 3simpb 3simpc cee
    cn cfv id 3anbi123d brcgr3 3com23 3bitr4d ) GUBHZAGUAUCZHZBUJHZCUJHZIZDUJHZ
    EUJHZFUJHZIZIZABJZDEJZKLZACJZDFJZKLZBCJZEFJZKLZIVAUTKLZVDVCKLZVGVFKLZIZAVFJ
    ZDVGJZMLVNVMMLZUSVBVIVEVJVHVKUIUIUNUKULNURUOUPNVBVIOUIUDZUKULUMPUOUPUQPABDE
    GQRUIUIUNUKUMNURUOUQNVEVJOVPUKULUMSUOUPUQSACDFGQRUIUIUNULUMNURUPUQNVHVKOVPU
    KULUMTUOUPUQTBCEFGQRUEABCDEFGUFUIURUNVOVLODEFABCGUFUGUH $.

  $( Identity law for three-place congruence.  (Contributed by Scott Fenton,
     6-Oct-2013.) $)
  cgr3rflx $p |- ( ( N e. NN /\
    ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
    <. A , <. B , C >. >. Cgr3 <. A , <. B , C >. >. ) $=
    ( cn wcel cee cfv w3a wa cop wbr ccgr cgrrflx 3adant3r3 3adant3r2 3adant3r1
    ccgr3 wb brcgr3 3anidm23 mpbir3and ) DEFZADGHZFZBUDFZCUDFZIZJABCKZKZUJRLZAB
    KZULMLZACKZUNMLZUIUIMLZUCUEUFUMUGABDNOUCUEUGUOUFACDNPUCUFUGUPUEBCDNQUCUHUKU
    MUOUPISABCABCDTUAUB $.

  ${
    $d A e f g $.  $d B e f g $.  $d C e f g $.  $d D e f g $.  $d F e f g $.
    $d N e f g $.
    $( A line segment can be divided at the same place as a congruent line
       segment is divided.  Theorem 4.5 of [Schwabhauser] p. 35.  (Contributed
       by Scott Fenton, 4-Oct-2013.) $)
    cgrxfr $p |- ( ( N e. NN /\
            ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
            ( D e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) ->
            ( ( B Btwn <. A , C >. /\ <. A , C >. Cgr <. D , F >. ) ->
              E. e e. ( EE ` N ) ( e Btwn <. D , F >. /\
               <. A , <. B , C >. >. Cgr3 <. D , <. e , F >. >. ) ) ) $=
      ( vg vf wcel w3a wa cop cbtwn wbr ccgr wrex simpl1 wi ad2antrl cn cee cfv
      ccgr3 wne simpl3r simpl3l btwndiff syl3anc simpr simpl21 simpl22 axsegcon
      cv syl122anc adantr anass simprl simprr simpl23 df-3an anbi2i bitr4i wceq
      simplrr necomd simpr1 simpr2 simpr3 btwnexchand btwnexch3and cgrextendand
      simprrl simplll simprrr jca simplrl btwncomand simpllr cgrcomand segconeq
      3jca ex syl133anc syld opeq2 breq2d breq1d anbi12d biimpa simpl btwnexch3
      imp syl2ani adantl wb brcgr3 mpbir3and expr syl5 expcomd mpd sylanb an32s
      impr rexlimdva reximdva ) GUAJZAGUBUCZJZBXIJZCXIJZKZDXIJZFXIJZLZKZBACMZNO
      ZXRDFMZPOZLZEUNZXTNOZABCMZMDYCFMZMUDOZLZEXIQZXQYBLZDFHUNZMNOZDYKUEZLZHXIQ
      ZYIYJXHXOXNYOXHXMXPYBRXNXOXHXMYBUFXNXOXHXMYBUGFDGHUHUIYJYNYIHXIXQYKXIJZYB
      YNYISXQYPLZYBYNYIYQYBYNLZLZDYKYCMNOZDYCMZABMZPOZLZEXIQZYIYQUUEYRYQXHYPXNX
      JXKUUEXHXMXPYPRXQYPUJXNXOXHXMYPUGXJXKXLXHXPYPUKXJXKXLXHXPYPULEYKDABGUMUOU
      PYSUUDYHEXIYQYCXIJZYRUUDYHSZYQUUFLXQYPUUFLZLZYRUUGXQYPUUFUQUUIYRUUDYHUUIY
      RUUDLZLZYCYKIUNZMZNOZYCUULMZYEPOZLZIXIQZYHUUIUURUUJUUIXHYPUUFXKXLUURXHXMX
      PUUHRXQYPUUFURXQYPUUFUSXJXKXLXHXPUUHULXJXKXLXHXPUUHUTIYKYCBCGUMUOUPUUKUUQ
      YHIXIUUIUULXIJZUUJUUQYHSZUUIUUSLZXQYPUUFUUSKZLZUUJUUTUVAXQUUHUUSLZLUVCXQU
      UHUUSUQUVBUVDXQYPUUFUUSVAVBVCUVCUUJUUQYHUVCUUJUUQLZLZUULFVDZYHUVCUVEUVGUV
      CUVEYKDUEZDUUMNOZDUULMXRPOZLZDYKFMZNOZXTXRPOZLZKZUVGUVCUVEUVPUVFUVHUVKUVO
      UVFDYKUUJYMUVCUUQYBYLYMUUDVETVFUVFUVIUVJUVCUVEYKDYCUULGXHXMXPUVBRZXQYPUUF
      UUSVGZXNXOXHXMUVBUGZXQYPUUFUUSVHZXQYPUUFUUSVIZUUJYTUVCUUQYRYTUUCURZTZUVCU
      UJUUNUUPVMZVJUVCUVEDYCUULABCGUVQUVSUVTUWAXJXKXLXHXPUVBUKZXJXKXLXHXPUVBULZ
      XJXKXLXHXPUVBUTZUVCUVEYKDYCUULGUVQUVRUVSUVTUWAUWCUWDVKUUJXSUVCUUQXSYAYNUU
      DVNTUUJUUCUVCUUQYRYTUUCUSTUVCUUJUUNUUPVOVLVPUVFUVMUVNUVCUVEDFYKGUVQUVSXNX
      OXHXMUVBUFZUVRUUJYLUVCUUQYBYLYMUUDVQTVRUVCUVEACDFGUVQUWEUWGUVSUWHUUJYAUVC
      UUQXSYAYNUUDVSZTVTVPWBWCUVCXHXNXJXLYPUUSXOUVPUVGSUVQUVSUWEUWGUVRUWAUWHDAC
      YKGUULFWAWDWEWMUVCUUJUUQUVGYHSUVCUUJLZUVGUUQYHUVGUUQLYCUVLNOZYFYEPOZLZUWJ
      YHUVGUUQUWMUVGUUNUWKUUPUWLUVGUUMUVLYCNUULFYKWFWGUVGUUOYFYEPUULFYCWFWHWIWJ
      UVCUUJUWMYHUVCUUJUWMLZLZYDYGUVCUWNYDUUJUVCYTUWKYDUWMUWBUWKUWLWKUVCXHYPXNU
      UFXOYTUWKLYDSUVQUVRUVSUVTUWHYKDYCFGWLUOWNWMUWOYGUUBUUAPOZYAYEYFPOZUVCUWND
      YCABGUVQUVSUVTUWEUWFUWNUUCUVCYRYTUUCUWMVEWOVTUUJYAUVCUWMUWITUVCUWNYCFBCGU
      VQUVTUWHUWFUWGUVCUUJUWKUWLVOVTUVCYGUWPYAUWQKWPZUWNUVCXHXJXKXLXNUUFXOUWRUV
      QUWEUWFUWGUVSUVTUWHABCDYCFGWQWDUPWRVPWSWTXAXEXBWSXCXDXFXBWSXCXDXGXBWSXDXF
      XBWC $.
  $}

  ${
    $d N e $.  $d A e $.  $d B e $.  $d C e $.  $d D e $.  $d E e $.  $d F e $.
    $( A condition for extending betweenness to a new set of points based on
       congruence with another set of points.  Theorem 4.6 of [Schwabhauser]
       p. 36.  (Contributed by Scott Fenton, 4-Oct-2013.) $)
    btwnxfr $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) ->
       ( ( B Btwn <. A , C >. /\
           <. A , <. B , C >. >. Cgr3 <. D , <. E , F >. >. ) ->
         E Btwn <. D , F >. ) ) $=
      ( ve wcel w3a cop cbtwn wbr ccgr3 wa ccgr wi imp jca simpr cn cee cv wrex
      cfv brcgr3 simp2 syl6bi simp21 simp22 simp23 simp31 simp33 cgrxfr sylan2d
      simp1 syl132anc wceq simprrl simpl1 simpl31 cgrrflxd adantr simpl2 simpl3
      simpl33 3jca cgr3tr4 wb cgr3com syl113anc simpl32 syl133anc simpr1 simpr3
      syl13anc cgrcomlrand ex sylbid syld syl2ani cifs ifscgr sylbird syl333anc
      brifs cgrid2 eqbrtrrd expr an32s rexlimdva mpd ) GUAIZAGUBUEZIZBWNIZCWNIZ
      JZDWNIZEWNIZFWNIZJZJZBACKZLMZABCKZKZDEFKZKZNMZOZEDFKZLMZXCXKOZHUCZXLLMZXG
      DXOFKZKZNMZOZHWNUDZXMXCXKYAXCXJXDXLPMZXEYAXCXJABKDEKZPMZYBXFXHPMZJYBABCDE
      FGUFYDYBYEUGUHXCWMWOWPWQWSXAXEYBOYAQWMWRXBUPWMWOWPWQXBUIWMWOWPWQXBUJWMWOW
      PWQXBUKWMWRWSWTXAULWMWRWSWTXAUMABCDHFGUNUQUORXNXTXMHWNXCXOWNIZXKXTXMQXCYF
      OZXKXTXMYGXKXTOZOZXOEXLLYGYHXOEURZYGYHXOXOKXOEKPMZYJYGYHXPXPOZXLXLPMZXQXQ
      PMZOZDXOKZYCPMZFXOKZFEKZPMZOZJZYKYGYHUUBYIYLYOUUAYIXPXPYGXKXPXSUSZUUCSYGY
      OYHYGYMYNYGDFGWMWRXBYFUTZWSWTXAWMWRYFVAZWSWTXAWMWRYFVFZVBYGXOFGUUDXCYFTZU
      UFVBSVCYGYHUUAXKYGXJXSUUAXTXEXJTXPXSTYGXJXSOZXIXRNMZUUAYGWMWRXBWSYFXAJUUH
      UUIQUUDWMWRXBYFVDWMWRXBYFVEZYGWSYFXAUUEUUGUUFVGABCDEFDXOFGVHVPYGUUIXRXINM
      ZUUAYGWMXBWSYFXAUUIUUKVIUUDUUJUUEUUGUUFDEFDXOFGVJVKYGUUKYQYMXQXHPMZJZUUAY
      GWMWSYFXAWSWTXAUUKUUMVIUUDUUEUUGUUFUUEWSWTXAWMWRYFVLZUUFDXOFDEFGUFVMYGUUM
      UUAYGUUMOYQYTYGYQYMUULVNYGUUMXOFEFGUUDUUGUUFUUNUUFYGYQYMUULVOVQSVRVSVSVTW
      ARVGVRYGWMWSYFXAYFWSYFXAWTUUBYKQUUDUUEUUGUUFUUGUUEUUGUUFUUNWMWSYFJXAYFWSJ
      YFXAWTJJUUBYPYRKYPYSKWBMYKDXOFXODXOFEGWFDXOFXODXOFEGWCWDWEVTYGWMYFYFWTYKY
      JQUUDUUGUUGUUNXOXOEGWGVPVTRUUCWHWIWJWKWLVR $.
  $}

  ${
    $d p q r n $.
    $( Colinearity is a relationship.  (Contributed by Scott Fenton,
       7-Nov-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    colinrel $p |- Rel Colinear $=
      ( vp vn vq vr ccolin wrel cv cee cfv wcel w3a cop cbtwn wbr w3o wa coprab
      cn wrex ccnv relcnv df-colinear releqi mpbir ) EFAGZBGHIZJCGZUFJDGZUFJKUE
      UGUHLMNUGUHUELMNUHUEUGLMNOPBRSCDAQZTZFUIUAEUJBACDUBUCUD $.
  $}

  ${
    $d n p $.  $d n q $.  $d n r $.  $d P n $.  $d P p $.  $d p q $.  $d P q $.
    $d p r $.  $d P r $.  $d Q n $.  $d Q p $.  $d Q q $.  $d q r $.  $d Q r $.
    $d R n $.  $d R p $.  $d R q $.  $d R r $.

    $( Alternate colinearity binary relation.  (Contributed by Scott Fenton,
       7-Nov-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    brcolinear2 $p |- ( ( Q e. V /\ R e. W ) ->
        ( P Colinear <. Q , R >. <-> E. n e. NN
          ( ( P e. ( EE ` n ) /\ Q e. ( EE ` n ) /\ R e. ( EE ` n ) ) /\
            ( P Btwn <. Q , R >. \/ Q Btwn <. R , P >. \/
              R Btwn <. P , Q >. ) ) ) ) $=
      ( vp vq vr wcel wa cvv cop ccolin wbr cv w3a cbtwn cn breq2d cee cfv wrex
      w3o wi colinrel brrelex1i a1i elex 3ad2ant1 adantr rexlimivw coprab df-br
      wb ccnv df-colinear eleq2i bitri opex opelcnvg mpan2 3ad2ant3 syl5bb wceq
      eleq1 3anbi2d opeq1 breq1 opeq2 3orbi123d anbi12d rexbidv 3anbi3d 3anbi1d
      eloprabg bitrd 3expia pm5.21ndd ) BEJZCFJZKZALJZABCMZNOZADPUAUBZJZBWFJZCW
      FJZQZAWDROZBCAMZROZCABMZROZUDZKZDSUCZWEWCUEWBAWDNUFUGUHWRWCUEWBWQWCDSWJWC
      WPWGWHWCWIAWFUIUJUKULUHVTWAWCWEWRUOVTWAWCQZWEWDAMGPZWFJZHPZWFJZIPZWFJZQZW
      TXBXDMZROZXBXDWTMZROZXDWTXBMZROZUDZKZDSUCZHIGUMZJZWRWEAWDMZXPUPZJZWSXQWEX
      RNJXTAWDNUNNXSXRDGHIUQURUSWCVTXTXQUOZWAWCWDLJYABCUTAWDLLXPVAVBVCVDXOXAWHX
      EQZWTBXDMZROZBXIROZXDWTBMZROZUDZKZDSUCXAWHWIQZWTWDROZBCWTMZROZCYFROZUDZKZ
      DSUCWRHIGBCAEFLXBBVEZXNYIDSYQXFYBXMYHYQXCWHXAXEXBBWFVFVGYQXHYDXJYEXLYGYQX
      GYCWTRXBBXDVHTXBBXIRVIYQXKYFXDRXBBWTVJTVKVLVMXDCVEZYIYPDSYRYBYJYHYOYRXEWI
      XAWHXDCWFVFVNYRYDYKYEYMYGYNYRYCWDWTRXDCBVJTYRXIYLBRXDCWTVHTXDCYFRVIVKVLVM
      WTAVEZYPWQDSYSYJWJYOWPYSXAWGWHWIWTAWFVFVOYSYKWKYMWMYNWOWTAWDRVIYSYLWLBRWT
      ACVJTYSYFWNCRWTABVHTVKVLVMVPVQVRVS $.
  $}

  ${
    $d A n $.  $d B n $.  $d C n $.  $d N n $.
    $( The binary relation form of the colinearity predicate.  (Contributed by
       Scott Fenton, 5-Oct-2013.) $)
    brcolinear $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
       ( A Colinear <. B , C >. <->
         ( A Btwn <. B , C >. \/ B Btwn <. C , A >. \/
           C Btwn <. A , B >. ) ) ) $=
      ( vn cn wcel cee cfv w3a wa cop ccolin wbr cv cbtwn w3o wrex wb eleq2d
      brcolinear2 3adant1 adantl simpr rexlimivw fveq2 3anbi123d anbi1d impbid2
      wceq rspcev expr bitrd ) DFGZADHIZGZBUOGZCUOGZJZKZABCLZMNZAEOZHIZGZBVDGZC
      VDGZJZAVAPNBCALPNCABLPNQZKZEFRZVIUSVBVKSZUNUQURVLUPABCEUOUOUAUBUCUTVKVIVJ
      VIEFVHVIUDUEUNUSVIVKVJUSVIKEDFVCDUJZVHUSVIVMVEUPVFUQVGURVMVDUOAVCDHUFZTVM
      VDUOBVNTVMVDUOCVNTUGUHUKULUIUM $.
  $}

  ${
    $d a b $.  $d a c $.  $d a n $.  $d a x $.  $d b c $.  $d b n $.  $d b x $.
    $d c n $.  $d c x $.  $d n x $.
    $( The colinear predicate exists.  (Contributed by Scott Fenton,
       25-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    colinearex $p |- Colinear e. _V $=
      ( va vn vb vc vx ccolin cv cee cfv wcel cop cbtwn wbr wa cn wrex cxp xpex
      wex opelxpi w3a w3o coprab ccnv cvv df-colinear ciun nnex fvex iunex wceq
      cab 3adant1 simp1 syl2anc adantr reximi eliun sylibr eleq1 biimpar sylan2
      df-oprab exlimiv exlimivv abssi eqsstri ssexi cnvex eqeltri ) FAGZBGZHIZJ
      ZCGZVMJZDGZVMJZUAZVKVOVQKZLMVOVQVKKLMVQVKVOKLMUBZNZBOPZCDAUCZUDUEBACDUFWD
      WDBOVMVMQZVMQZUGZBOWFUHWEVMVMVMVLHUIZWHRWHRUJWDEGZVTVKKZUKZWCNZASZDSCSZEU
      LWGWCCDAEVCWNEWGWMWIWGJZCDWLWOAWCWKWJWGJZWOWCWJWFJZBOPWPWBWQBOVSWQWAVSVTW
      EJZVNWQVPVRWRVNVOVQVMVMTUMVNVPVRUNVTVKWEVMTUOUPUQBWJOWFURUSWKWOWPWIWJWGUT
      VAVBVDVEVFVGVHVIVJ $.
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a n $.  $d A n $.
    $d B a $.  $d B b $.  $d b c $.  $d B c $.  $d b n $.  $d B n $.  $d C a $.
    $d C b $.  $d C c $.  $d c n $.  $d C n $.  $d N n $.  $d V n $.  $d W n $.
    $( If ` A ` is colinear with ` B ` and ` C ` , then ` A ` is in the same
       space as ` B ` .  (Contributed by Scott Fenton, 25-Oct-2013.)  (Revised
       by Mario Carneiro, 19-Apr-2014.) $)
    colineardim1 $p |- (
       ( N e. NN /\ ( A e. V /\ B e. ( EE ` N ) /\ C e. W ) ) ->
       ( A Colinear <. B , C >. ->
       A e. ( EE ` N ) ) ) $=
      ( va vn vb vc cop wbr cv wcel w3a cbtwn w3o wa cn breq2d ccolin wrex ccnv
      cee cfv coprab df-colinear breqi wb simpr1 opex brcnvg sylancl df-br wceq
      eleq1 3anbi2d opeq1 breq1 opeq2 3orbi123d anbi12d rexbidv 3anbi3d 3anbi1d
      eloprabg 3comr adantl simpl simp2 anim2i axdimuniq adantrrl simprrl fveq2
      cvv 3simpa eleq2d syl5ibrcom mpd syl2an exp32 syl7 rexlimdv sylbid syl5bi
      ) ABCKZUALAWGGMZHMZUDUEZNZIMZWJNZJMZWJNZOZWHWLWNKZPLZWLWNWHKZPLZWNWHWLKZP
      LZQZRZHSUBZIJGUFZUCZLZDSNZAENZBDUDUEZNZCFNZOZRZAXKNZAWGUAXGHGIJUGUHXOXHWG
      AXFLZXPXOXJWGVPNXHXQUIXIXJXLXMUJBCUKAWGEVPXFULUMXQWGAKXFNZXOXPWGAXFUNXOXR
      AWJNZBWJNZCWJNZOZAWGPLZBCAKZPLZCABKZPLZQZRZHSUBZXPXNXRYJUIZXIXLXMXJYKXEWK
      XTWOOZWHBWNKZPLZBWSPLZWNWHBKZPLZQZRZHSUBWKXTYAOZWHWGPLZBCWHKZPLZCYPPLZQZR
      ZHSUBYJIJGBCAXKFEWLBUOZXDYSHSUUGWPYLXCYRUUGWMXTWKWOWLBWJUPUQUUGWRYNWTYOXB
      YQUUGWQYMWHPWLBWNURTWLBWSPUSUUGXAYPWNPWLBWHUTTVAVBVCWNCUOZYSUUFHSUUHYLYTY
      RUUEUUHWOYAWKXTWNCWJUPVDUUHYNUUAYOUUCYQUUDUUHYMWGWHPWNCBUTTUUHWSUUBBPWNCW
      HURTWNCYPPUSVAVBVCWHAUOZUUFYIHSUUIYTYBUUEYHUUIWKXSXTYAWHAWJUPVEUUIUUAYCUU
      CYEUUDYGWHAWGPUSUUIUUBYDBPWHACUTTUUIYPYFCPWHABURTVAVBVCVFVGVHXOYIXPHSYIYB
      XOWISNZXPYBYHVIXOUUJYBXPXOXIXLRZUUJXSXTRZRZXPUUJYBRXNXLXIXJXLXMVJVKYBUULU
      UJXSXTYAVQVKUUKUUMRZDWIUOZXPUUKUUJXTUUOXSBWIDVLVMUUNXPUUOXSUUKUUJXSXTVNUU
      OXKWJADWIUDVOVRVSVTWAWBWCWDWEWFWEWF $.
  $}

  $( Permutation law for colinearity.  Part of theorem 4.11 of [Schwabhauser]
     p. 36.  (Contributed by Scott Fenton, 5-Oct-2013.) $)
  colinearperm1 $p |- ( ( N e. NN /\
      ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
      ( A Colinear <. B , C >. <-> A Colinear <. C , B >. ) ) $=
    ( cn wcel cee cfv w3a wa cop cbtwn wbr w3o ccolin btwncom wb 3anrot sylan2b
    brcolinear sylan2br 3orbi123d 3orcomb bitrdi 3ancomb 3bitr4d ) DEFZADGHZFZB
    UHFZCUHFZIZJZABCKZLMZBCAKLMZCABKLMZNZACBKZLMZCBAKLMZBACKLMZNZAUNOMAUSOMZUMU
    RUTVBVANVCUMUOUTUPVBUQVAABCDPULUGUJUKUIIUPVBQUIUJUKRBCADPSULUGUKUIUJIUQVAQU
    KUIUJRCABDPUAUBUTVBVAUCUDABCDTULUGUIUKUJIVDVCQUIUJUKUEACBDTSUF $.

  $( Permutation law for colinearity.  Part of theorem 4.11 of [Schwabhauser]
     p. 36.  (Contributed by Scott Fenton, 5-Oct-2013.) $)
  colinearperm3 $p |- ( ( N e. NN /\
      ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
      ( A Colinear <. B , C >. <-> B Colinear <. C , A >. ) ) $=
    ( cn wcel cee cfv w3a cop cbtwn wbr w3o ccolin 3orrot a1i brcolinear 3anrot
    wa wb sylan2b 3bitr4d ) DEFZADGHZFZBUDFZCUDFZIZSZABCJZKLZBCAJZKLZCABJKLZMZU
    MUNUKMZAUJNLBULNLZUOUPTUIUKUMUNOPABCDQUHUCUFUGUEIUQUPTUEUFUGRBCADQUAUB $.

  $( Permutation law for colinearity.  Part of theorem 4.11 of [Schwabhauser]
     p. 36.  (Contributed by Scott Fenton, 5-Oct-2013.) $)
  colinearperm2 $p |- ( ( N e. NN /\
      ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
      ( A Colinear <. B , C >. <-> B Colinear <. A , C >. ) ) $=
    ( cn wcel cee cfv w3a wa cop ccolin wbr colinearperm3 colinearperm1 sylan2b
    wb 3anrot bitrd ) DEFZADGHZFZBUAFZCUAFZIZJABCKLMBCAKLMZBACKLMZABCDNUETUCUDU
    BIUFUGQUBUCUDRBCADOPS $.

  $( Permutation law for colinearity.  Part of theorem 4.11 of [Schwabhauser]
     p. 36.  (Contributed by Scott Fenton, 5-Oct-2013.) $)
  colinearperm4 $p |- ( ( N e. NN /\
      ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
      ( A Colinear <. B , C >. <-> C Colinear <. A , B >. ) ) $=
    ( cn wcel cee cfv w3a wa cop ccolin wbr colinearperm3 3anrot sylan2b bitrd
    wb ) DEFZADGHZFZBTFZCTFZIZJABCKLMBCAKLMZCABKLMZABCDNUDSUBUCUAIUEUFRUAUBUCOB
    CADNPQ $.

  $( Permutation law for colinearity.  Part of theorem 4.11 of [Schwabhauser]
     p. 36.  (Contributed by Scott Fenton, 5-Oct-2013.) $)
  colinearperm5 $p |- ( ( N e. NN /\
      ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
      ( A Colinear <. B , C >. <-> C Colinear <. B , A >. ) ) $=
    ( cn wcel cee cfv w3a wa cop ccolin colinearperm4 wb colinearperm1 sylan2br
    wbr 3anrot bitrd ) DEFZADGHZFZBUAFZCUAFZIZJABCKLQCABKLQZCBAKLQZABCDMUETUDUB
    UCIUFUGNUDUBUCRCABDOPS $.

  $( Trivial case of colinearity.  Theorem 4.12 of [Schwabhauser] p. 37.
     (Contributed by Scott Fenton, 5-Oct-2013.) $)
  colineartriv1 $p |- ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
    A Colinear <. A , B >. ) $=
    ( cn wcel cee cfv w3a cop ccolin wbr cbtwn w3o btwntriv1 3mix1d simp1 simp2
    wb simp3 brcolinear syl13anc mpbird ) CDEZACFGZEZBUDEZHZAABIZJKZAUHLKZABAIL
    KZBAAILKZMZUGUJUKULABCNOUGUCUEUEUFUIUMRUCUEUFPUCUEUFQZUNUCUEUFSAABCTUAUB $.

  $( Trivial case of colinearity.  (Contributed by Scott Fenton, 18-Oct-2013.)
     (Revised by Mario Carneiro, 19-Apr-2014.) $)
  colineartriv2 $p |- ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
    A Colinear <. B , B >. ) $=
    ( cn wcel cee cfv w3a cop ccolin wbr cbtwn btwntriv1 3mix2d 3com23 wb simp1
    w3o simp2 simp3 brcolinear syl13anc mpbird ) CDEZACFGZEZBUEEZHZABBIZJKZAUIL
    KZBBAILKZBABILKZRZUDUGUFUNUDUGUFHULUKUMBACMNOUHUDUFUGUGUJUNPUDUFUGQUDUFUGSU
    DUFUGTZUOABBCUAUBUC $.

  $( Betweenness implies colinearity.  (Contributed by Scott Fenton,
     7-Oct-2013.) $)
  btwncolinear1 $p |- ( ( N e. NN /\
    ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
    ( C Btwn <. A , B >. -> A Colinear <. B , C >. ) ) $=
    ( cop cbtwn wbr ccolin cn wcel cee cfv w3a wa w3o 3mix3 brcolinear syl5ibr
    ) CABEFGZABCEZHGDIJADKLZJBUAJCUAJMNATFGZBCAEFGZSOSUBUCPABCDQR $.

  $( Betweenness implies colinearity.  (Contributed by Scott Fenton,
     15-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  btwncolinear2 $p |- ( ( N e. NN /\
    ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
    ( C Btwn <. A , B >. -> A Colinear <. C , B >. ) ) $=
    ( cn cee cfv w3a wa cop cbtwn wbr ccolin btwncolinear1 colinearperm1 sylibd
    wcel ) DEQADFGZQBRQCRQHICABJKLABCJMLACBJMLABCDNABCDOP $.

  $( Betweenness implies colinearity.  (Contributed by Scott Fenton,
     15-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  btwncolinear3 $p |- ( ( N e. NN /\
    ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
    ( C Btwn <. A , B >. -> B Colinear <. A , C >. ) ) $=
    ( cn cee cfv w3a wa cop cbtwn wbr ccolin btwncolinear1 colinearperm2 sylibd
    wcel ) DEQADFGZQBRQCRQHICABJKLABCJMLBACJMLABCDNABCDOP $.

  $( Betweenness implies colinearity.  (Contributed by Scott Fenton,
     15-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  btwncolinear4 $p |- ( ( N e. NN /\
    ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
    ( C Btwn <. A , B >. -> B Colinear <. C , A >. ) ) $=
    ( cn cee cfv w3a wa cop cbtwn wbr ccolin btwncolinear1 colinearperm3 sylibd
    wcel ) DEQADFGZQBRQCRQHICABJKLABCJMLBCAJMLABCDNABCDOP $.

  $( Betweenness implies colinearity.  (Contributed by Scott Fenton,
     15-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  btwncolinear5 $p |- ( ( N e. NN /\
    ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
    ( C Btwn <. A , B >. -> C Colinear <. A , B >. ) ) $=
    ( cn cee cfv w3a wa cop cbtwn wbr ccolin btwncolinear1 colinearperm4 sylibd
    wcel ) DEQADFGZQBRQCRQHICABJZKLABCJMLCSMLABCDNABCDOP $.

  $( Betweenness implies colinearity.  (Contributed by Scott Fenton,
     15-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  btwncolinear6 $p |- ( ( N e. NN /\
    ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
    ( C Btwn <. A , B >. -> C Colinear <. B , A >. ) ) $=
    ( cn cee cfv w3a wa cop cbtwn wbr ccolin btwncolinear1 colinearperm5 sylibd
    wcel ) DEQADFGZQBRQCRQHICABJKLABCJMLCBAJMLABCDNABCDOP $.

  $( Transfer law for colinearity.  Theorem 4.13 of [Schwabhauser] p. 37.
     (Contributed by Scott Fenton, 5-Oct-2013.) $)
  colinearxfr $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) ->
       ( ( B Colinear <. A , C >. /\
           <. A , <. B , C >. >. Cgr3 <. D , <. E , F >. >. ) ->
         E Colinear <. D , F >. ) ) $=
    ( wcel w3a cop ccolin wbr ccgr3 wi wa cbtwn btwnxfr expcomd imp 3anrot biid
    cn cee cfv w3o cgr3permute4 syl3anbr sylbid cgr3permute3 3orim123d wb simp1
    syl3anb simp22 simp21 simp23 brcolinear adantr simp32 simp31 simp33 3imtr4d
    syl13anc ex com23 impd ) GUBHZAGUCUDZHZBVHHZCVHHZIZDVHHZEVHHZFVHHZIZIZBACJZ
    KLZABCJJDEFJJMLZEDFJZKLZVQVTVSWBVQVTVSWBNVQVTOZBVRPLZACBJPLZCBAJPLZUEZEWAPL
    ZDFEJPLZFEDJPLZUEZVSWBWCWDWHWEWIWFWJVQVTWDWHNVQWDVTWHABCDEFGQRSVQVTWEWINZVQ
    VTCABJJFDEJJMLZWLABCDEFGUFVQWEWMWIVGVGVLVKVIVJIVPVOVMVNIWEWMOWINVGUAZVKVIVJ
    TVOVMVNTCABFDEGQUGRUHSVQVTWFWJNZVQVTBCAJJEFDJJMLZWOABCDEFGUIVQWFWPWJVGVGVLV
    JVKVIIVPVNVOVMIWFWPOWJNWNVIVJVKTVMVNVOTBCAEFDGQUMRUHSUJVQVSWGUKZVTVQVGVJVIV
    KWQVGVLVPULZVGVIVJVKVPUNVGVIVJVKVPUOVGVIVJVKVPUPBACGUQVCURVQWBWKUKZVTVQVGVN
    VMVOWSWRVGVLVMVNVOUSVGVLVMVNVOUTVGVLVMVNVOVAEDFGUQVCURVBVDVEVF $.

  ${
    $d N f $.  $d A f $.  $d B f $.  $d C f $.  $d D f $.  $d E f $.
    $( Extend a line with a missing point.  Theorem 4.14 of [Schwabhauser]
       p. 37.  (Contributed by Scott Fenton, 6-Oct-2013.) $)
    lineext $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( D e. ( EE ` N ) /\ E e. ( EE ` N ) ) ) ->
       ( ( A Colinear <. B , C >. /\ <. A , B >. Cgr <. D , E >. ) ->
         E. f e. ( EE ` N )
            <. A , <. B , C >. >. Cgr3 <. D , <. E , f >. >. ) ) $=
      ( wcel w3a wa cop wbr ccgr cbtwn wrex wb wi 3jca adantr anbi2d cn cee cfv
      ccolin w3o ccgr3 brcolinear 3adant3 anbi1d simp1 simp3r simp3l jca simp21
      cv simp23 axsegcon syl simprlr simprrr an4 simpl1 simpl21 simpl22 simpl3l
      simpl3r cgrcomlr syl122anc simpl23 cgrextend syl133anc sylbid syl5bi expr
      simpr imp cgrcom simpl2 brcgr3 syl113anc 3imtr4d an32s reximdva mpd exp32
      3ancoma btwncom simp3 simp22 syl112anc simpll simplr adantl sylcom syl5bb
      sylan2b ex expdimp sylbird cgrxfr cgr3permute1 biimprd adantld syld 3jaod
      syl131anc expd impd ) GUAHZAGUBUCZHZBXJHZCXJHZIZDXJHZFXJHZJZIZABCKZUDLZAB
      KZDFKZMLZJAXSNLZBCAKNLZCYANLZUEZYCJAXSKDFEUOZKZKUFLZEXJOZXRXTYGYCXIXNXTYG
      PXQABCGUGUHUIXRYGYCYKXRYDYCYKQZYEYFXRYDYCYKXRYDYCJZJZDYINLZDYHKZACKZMLZJZ
      EXJOZYKYNXIXPXOJZXKXMJZIZYTXRUUCYMXRXIUUAUUBXIXNXQUJZXRXPXOXIXNXOXPUKXIXN
      XOXPULUMXRXKXMXIXKXLXMXQUNZXIXKXLXMXQUPZUMRSEFDACGUQURYNYSYJEXJXRYHXJHZYM
      YSYJQXRUUGJZYMJYOYQYPMLZJZYCUUIXSYIMLZIZYSYJUUHYMUUJUULUUHYMUUJJZJYCUUIUU
      KUUHYDYCUUJUSUUHYMYOUUIUTUUHUUMUUKUUMYDYOJZYCUUIJZJZUUHUUKYDYCYOUUIVAUUHU
      UPUUNBAKFDKMLZUUIJZJZUUKUUHUUOUURUUNUUHYCUUQUUIUUHXIXKXLXOXPYCUUQPXIXNXQU
      UGVBZXKXLXMXIXQUUGVCZXKXLXMXIXQUUGVDZXOXPXIXNUUGVEZXOXPXIXNUUGVFZABDFGVGV
      HUITUUHXIXLXKXMXPXOUUGUUSUUKQUUTUVBUVAXKXLXMXIXQUUGVIZUVDUVCXRUUGVOZBACFD
      YHGVJVKVLVMVPRVNUUHYSUUJPYMUUHYRUUIYOUUHXIXOUUGXKXMYRUUIPUUTUVCUVFUVAUVED
      YHACGVQVHTSUUHYJUULPZYMUUHXIXNXOXPUUGUVGUUTXIXNXQUUGVRZUVCUVDUVFABCDFYHGV
      SVTZSWAWBWCWDWEXRYEBYQNLZYLXIXNUVJYEPZXQXNXIXLXKXMIUVKXKXLXMWFBACGWGWPUHX
      RUVJYCYKXRUVJYCJZJZFYPNLZYIXSMLZJZEXJOZYKXRUVQUVLXRXIXQXLXMUVQUUDXIXNXQWH
      ZXIXKXLXMXQWIZUUFEDFBCGUQWJSUVMUVPYJEXJXRUUGUVLUVPYJQUUHUVLUVPYJUUHUVJUVN
      JZYCUUKJZJZUULUVLUVPJZYJUUHUWBUUIUULUUHXIXNXOXPUUGUWBUUIQUUTUVHUVCUVDUVFA
      BCDFYHGVJVTUWAUUIUULQUVTUWAUUIUULUWAUUIJYCUUIUUKYCUUKUUIWKUWAUUIVOYCUUKUU
      IWLRWQWMWNUWCUVTYCUVOJZJUUHUWBUVJYCUVNUVOVAUUHUWDUWAUVTUUHUVOUUKYCUUHXIXP
      UUGXLXMUVOUUKPUUTUVDUVFUVBUVEFYHBCGVQVHTTWOUVIWAWRWBWCWDWEWSXRYFYCYKXRYFY
      CJZYHYBNLZACBKKDYHFKKUFLZJZEXJOZYKXRXIXKXMXLXQUWEUWIQUUDUUEUUFUVSUVRACBDE
      FGWTXFXRUWHYJEXJUUHUWGYJUWFUUHYJUWGUUHXIXNXOXPUUGYJUWGPUUTUVHUVCUVDUVFABC
      DFYHGXAVTXBXCWCXDXGXEXHVL $.
  $}

  $( Change some conditions for outer five segment predicate.  (Contributed by
     Scott Fenton, 6-Oct-2013.) $)
  brofs2 $p |- ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
        ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ E e. ( EE ` N ) ) /\
        ( F e. ( EE ` N ) /\ G e. ( EE ` N ) /\ H e. ( EE ` N ) ) ) ->
    ( <. <. A , B >. , <. C , D >. >. OuterFiveSeg
      <. <. E , F >. , <. G , H >. >. <->
      ( B Btwn <. A , C >. /\
        <. A , <. B , C >. >. Cgr3 <. E , <. F , G >. >. /\
        ( <. A , D >. Cgr <. E , H >. /\
          <. B , D >. Cgr <. F , H >. ) ) ) ) $=
    ( wcel w3a cop wbr cbtwn wa ccgr simpr1 syl133anc imp 3jca cn cee cfv ccgr3
    cofs brofs simpr1l simpr2l simpr2 jca ex simp11 simp12 simp13 simp21 simp23
    wi simp31 simp32 cgrextend syld simpr2r brcgr3 sylibrd simpr3 3simpa 3simpb
    wb btwnxfr syl5 syl6bi 3ad2antr2 impbida bitrd ) IUAJZAIUBUCZJZBVPJZKZCVPJZ
    DVPJZEVPJZKZFVPJZGVPJZHVPJZKZKZABLZCDLLEFLZGHLLUEMBACLZNMZFEGLZNMZOZWIWJPMZ
    BCLZFGLZPMZOZADLEHLPMBDLFHLPMOZKZWLAWQLEWRLUDMZXAKZABCDEFGHIUFWHXBXDWHXBOZW
    LXCXAWLWNWTXAWHUGWHXBXCWHXBWPWKWMPMZWSKZXCWHXBXGXEWPXFWSWPWSWOXAWHUHWHXBXFW
    HXBWOWTOZXFWHXBXHXEWOWTWHWOWTXAQWHWOWTXAUIUJUKWHVOVQVRVTWBWDWEXHXFUQVOVQVRW
    CWGULZVOVQVRWCWGUMZVOVQVRWCWGUNZVSVTWAWBWGUOZVSVTWAWBWGUPZVSWCWDWEWFURZVSWC
    WDWEWFUSZABCEFGIUTRVASWPWSWOXAWHVBTUKWHVOVQVRVTWBWDWEXCXGVHXIXJXKXLXMXNXOAB
    CEFGIVCRZVDSWHWOWTXAVETWHXDOZWOWTXAXQWLWNWHWLXCXAQWHXDWNXDWLXCOZWHWNWLXCXAV
    FWHVOVQVRVTWBWDWEXRWNUQXIXJXKXLXMXNXOABCEFGIVIRVJSUJWHWLXCWTXAWHXCWTWHXCXGW
    TXPWPXFWSVGVKSVLWHWLXCXAVETVMVN $.

  $( Change some conditions for inner five segment predicate.  (Contributed by
     Scott Fenton, 6-Oct-2013.) $)
  brifs2 $p |- ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
        ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ E e. ( EE ` N ) ) /\
        ( F e. ( EE ` N ) /\ G e. ( EE ` N ) /\ H e. ( EE ` N ) ) ) ->
    ( <. <. A , B >. , <. C , D >. >. InnerFiveSeg
      <. <. E , F >. , <. G , H >. >. <->
      ( B Btwn <. A , C >. /\
        <. A , <. B , C >. >. Cgr3 <. E , <. F , G >. >. /\
        ( <. A , D >. Cgr <. E , H >. /\
          <. C , D >. Cgr <. G , H >. ) ) ) ) $=
    ( wcel w3a cop wbr cbtwn wa ccgr 3simpa syl133anc imp 3jca cn cee cfv ccgr3
    cifs brifs simpr1l wi simp11 simp12 simp13 simp21 simp23 simp31 simp32 syl5
    cgrsub simpr2l simpr2r ex wb brcgr3 sylibrd simpr3 simpr1 jca 3simpc syl6bi
    btwnxfr 3ad2antr2 impbida bitrd ) IUAJZAIUBUCZJZBVNJZKZCVNJZDVNJZEVNJZKZFVN
    JZGVNJZHVNJZKZKZABLZCDLZLEFLZGHLZLUEMBACLZNMZFEGLZNMZOZWKWMPMZBCLZFGLZPMZOZ
    ADLEHLPMWHWJPMOZKZWLAWQLEWRLUDMZXAKZABCDEFGHIUFWFXBXDWFXBOZWLXCXAWLWNWTXAWF
    UGWFXBXCWFXBWGWIPMZWPWSKZXCWFXBXGXEXFWPWSWFXBXFXBWOWTOZWFXFWOWTXAQWFVMVOVPV
    RVTWBWCXHXFUHVMVOVPWAWEUIZVMVOVPWAWEUJZVMVOVPWAWEUKZVQVRVSVTWEULZVQVRVSVTWE
    UMZVQWAWBWCWDUNZVQWAWBWCWDUOZABCEFGIUQRUPSWPWSWOXAWFURWPWSWOXAWFUSTUTWFVMVO
    VPVRVTWBWCXCXGVAXIXJXKXLXMXNXOABCEFGIVBRZVCSWFWOWTXAVDTWFXDOZWOWTXAXQWLWNWF
    WLXCXAVEWFXDWNXDWLXCOZWFWNWLXCXAQWFVMVOVPVRVTWBWCXRWNUHXIXJXKXLXMXNXOABCEFG
    IVIRUPSVFWFWLXCWTXAWFXCWTWFXCXGWTXPXFWPWSVGVHSVJWFWLXCXAVDTVKVL $.

  ${
    $d N a b c d e f g h p q n $.  $d A a b c d e f g h p q n $.
    $d B a b c d e f g h p q n $.  $d C a b c d e f g h p q n $.
    $d D a b c d e f g h p q n $.  $d E a b c d e f g h p q n $.
    $d F a b c d e f g h p q n $.  $d G a b c d e f g h p q n $.
    $d H a b c d e f g h p q n $.
    $( Binary relation form of the general five segment predicate.
       (Contributed by Scott Fenton, 5-Oct-2013.) $)
    brfs $p |- ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
        ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ E e. ( EE ` N ) ) /\
        ( F e. ( EE ` N ) /\ G e. ( EE ` N ) /\ H e. ( EE ` N ) ) ) ->
    ( <. <. A , B >. , <. C , D >. >. FiveSeg <. <. E , F >. , <. G , H >. >.
      <->
      ( A Colinear <. B , C >. /\
        <. A , <. B , C >. >. Cgr3 <. E , <. F , G >. >. /\
        ( <. A , D >. Cgr <. E , H >. /\ <. B , D >. Cgr <. F , H >. ) ) ) ) $=
      ( cv cop ccolin wbr ccgr3 ccgr wa w3a wceq opeq1 breq2d va vb vc ve vf vg
      vd vh vn vq vp cee cfv cfs cn breq1 breq1d anbi1d 3anbi123d opeq2d anbi2d
      opeq2 3anbi12d anbi12d 3anbi3d 3anbi23d 3anbi2d fveq2 df-fs br8 ) UAJZUBJ
      ZUCJZKZLMZVKVNKZUDJZUEJZUFJZKZKZNMZVKUGJZKZVQUHJZKZOMZVLWCKZVRWEKZOMZPZQA
      VNLMZAVNKZWANMZAWCKZWFOMZWJPZQABVMKZLMZAWRKZWANMZWPBWCKZWIOMZPZQABCKZLMZA
      XEKZWANMZXDQXFXHADKZWFOMZBDKZWIOMZPZQXFXGEVTKZNMZXIEWEKZOMZXLPZQXFXGEFVSK
      ZKZNMZXQXKFWEKZOMZPZQXFXGEFGKZKZNMZYDQXFYGXIEHKZOMZXKFHKZOMZPZQUIABCDUIJZ
      ULUMIULUMUNUOUDUEUFUHEFGHIUJUKUAUBUCUGVKARZVOWLWBWNWKWQVKAVNLUPYNVPWMWANV
      KAVNSUQYNWGWPWJYNWDWOWFOVKAWCSUQURUSVLBRZWLWSWNXAWQXDYOVNWRALVLBVMSZTYOWM
      WTWANYOVNWRAYPUTUQYOWJXCWPYOWHXBWIOVLBWCSUQVAUSVMCRZWSXFXAXHXDYQWRXEALVMC
      BVBZTYQWTXGWANYQWRXEAYRUTUQVCWCDRZXDXMXFXHYSWPXJXCXLYSWOXIWFOWCDAVBUQYSXB
      XKWIOWCDBVBUQVDVEVQERZXHXOXMXRXFYTWAXNXGNVQEVTSTYTXJXQXLYTWFXPXIOVQEWESTU
      RVFVRFRZXOYAXRYDXFUUAXNXTXGNUUAVTXSEVRFVSSUTTUUAXLYCXQUUAWIYBXKOVRFWESTVA
      VFVSGRZYAYGXFYDUUBXTYFXGNUUBXSYEEVSGFVBUTTVGWEHRZYDYLXFYGUUCXQYIYCYKUUCXP
      YHXIOWEHEVBTUUCYBYJXKOWEHFVBTVDVEYMIULVHUDUEUFUHUIUJUKUAUBUCUGVIVJ $.
  $}

  $( Congruence law for the general five segment configuration.  Theorem 4.16
     of [Schwabhauser] p. 37.  (Contributed by Scott Fenton, 5-Oct-2013.) $)
  fscgr $p |- ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
      ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ E e. ( EE ` N ) ) /\
      ( F e. ( EE ` N ) /\ G e. ( EE ` N ) /\ H e. ( EE ` N ) ) ) ->
   ( ( <. <. A , B >. , <. C , D >. >. FiveSeg <. <. E , F >. , <. G , H >. >.
       /\ A =/= B ) -> <. C , D >. Cgr <. G , H >. ) ) $=
    ( wcel w3a cop wbr wa ccgr3 wi cbtwn wb syl333anc sylbid cn cee cfv cfs wne
    ccolin ccgr brfs anbi1d w3o simp11 simp12 simp13 simp21 brcolinear syl13anc
    cofs simp23 simp31 simp32 cgr3permute2 syl133anc a1i 3anbi23d simp22 simp33
    ancom brofs2 bitr4d necom anbi12d 5segofs expd btwncom 3anbi1d cgr3permute1
    3expd cifs 3anbi2d brifs2 ifscgr a1dd 3jaod 3impd impd ) IUAJZAIUBUCZJZBWGJ
    ZKZCWGJZDWGJZEWGJZKZFWGJZGWGJZHWGJZKZKZABLZCDLZLZEFLGHLZLZUDMZABUEZNABCLZUF
    MZAXGLEFGLLOMZADLEHLUGMZBDLZFHLZUGMZNZKZXFNXAXCUGMZWSXEXOXFABCDEFGHIUHUIWSX
    OXFXPWSXHXIXNXFXPPZWSXHAXGQMZBCALQMZCWTQMZUJZXIXNXQPPZWSWFWHWIWKXHYARWFWHWI
    WNWRUKZWFWHWIWNWRULZWFWHWIWNWRUMZWJWKWLWMWRUNZABCIUOUPWSXRYBXSXTWSXRXIXNXQW
    SXRXIXNKZXFXPWSYGXFNBALXALFELXCLUQMZBAUEZNZXPWSYGYHXFYIWSYGXRBACLZLFEGLZLOM
    ZXMXJNZKZYHWSXIYMXNYNXRWSWFWHWIWKWMWOWPXIYMRYCYDYEYFWJWKWLWMWRURZWJWNWOWPWQ
    USZWJWNWOWPWQUTZABCEFGIVAVBXNYNRWSXJXMVGVCVDWSWFWIWHWKWLWOWMWPWQYHYORYCYEYD
    YFWJWKWLWMWRVEZYQYPYRWJWNWOWPWQVFZBACDFEGHIVHSVIXFYIRWSABVJVCVKWSWFWIWHWKWL
    WOWMWPWQYJXPPYCYEYDYFYSYQYPYRYTBACDFEGHIVLSTVMVQWSXSXIXNXQWSXSXIXNKZXFXPWSU
    UAXFNXBXDUQMZXFNXPWSUUAUUBXFWSUUABYKQMZXIXNKUUBWSXSUUCXIXNWSWFWIWKWHXSUUCRY
    CYEYFYDBCAIVNUPVOABCDEFGHIVHVIUIABCDEFGHIVLTVMVQWSXTXIXNXQWSXTXIXNKZXPXFWSU
    UDYKXKLYLXLLVRMZXPWSUUDXTACBLLEGFLLOMZXNKZUUEWSXIUUFXTXNWSWFWHWIWKWMWOWPXIU
    UFRYCYDYEYFYPYQYRABCEFGIVPVBVSWSWFWHWKWIWLWMWPWOWQUUEUUGRYCYDYFYEYSYPYRYQYT
    ACBDEGFHIVTSVIWSWFWHWKWIWLWMWPWOWQUUEXPPYCYDYFYEYSYPYRYQYTACBDEGFHIWASTWBVQ
    WCTWDWET $.

  $( Congruence rule for lines.  Theorem 4.17 of [Schwabhauser] p. 37.
     (Contributed by Scott Fenton, 6-Oct-2013.) $)
  linecgr $p |- ( ( N e. NN /\
    ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
    ( P e. ( EE ` N ) /\ Q e. ( EE ` N ) ) ) ->
    ( ( ( A =/= B /\ A Colinear <. B , C >. ) /\
        ( <. A , P >. Cgr <. A , Q >. /\ <. B , P >. Cgr <. B , Q >. ) ) ->
      <. C , P >. Cgr <. C , Q >. ) ) $=
    ( cn wcel cee cfv w3a wa wne cop ccolin wbr ccgr ccgr3 simprlr cgr3rflx jca
    3adant3 adantr simprr 3jca simprll ex wi simp21 simp22 simp23 simp3l simp3r
    simp1 cfs brfs anbi1d fscgr sylbird syl333anc syld ) FGHZAFIJZHZBVCHZCVCHZK
    ZDVCHZEVCHZLZKZABMZABCNZOPZLZADNAENQPBDNBENQPLZLZVNAVMNZVRRPZVPKZVLLZCDNZCE
    NZQPZVKVQWAVKVQLZVTVLWEVNVSVPVKVLVNVPSVKVSVQVBVGVSVJABCFTUBUCVKVOVPUDUEVKVL
    VNVPUFUAUGVKVBVDVEVFVHVDVEVFVIWAWDUHVBVGVJUNVBVDVEVFVJUIZVBVDVEVFVJUJZVBVDV
    EVFVJUKZVBVGVHVIULWFWGWHVBVGVHVIUMVBVDVEKVFVHVDKVEVFVIKKZWAABNZWBNWJWCNUOPZ
    VLLWDWIWKVTVLABCDABCEFUPUQABCDABCEFURUSUTVA $.

  ${
    linecgrand.1 $e |- ( ph -> N e. NN ) $.
    linecgrand.2 $e |- ( ph -> A e. ( EE ` N ) ) $.
    linecgrand.3 $e |- ( ph -> B e. ( EE ` N ) ) $.
    linecgrand.4 $e |- ( ph -> C e. ( EE ` N ) ) $.
    linecgrand.5 $e |- ( ph -> P e. ( EE ` N ) ) $.
    linecgrand.6 $e |- ( ph -> Q e. ( EE ` N ) ) $.
    linecgrand.7 $e |- ( ( ph /\ ps ) -> A =/= B ) $.
    linecgrand.8 $e |- ( ( ph /\ ps ) -> A Colinear <. B , C >. ) $.
    linecgrand.9 $e |- ( ( ph /\ ps ) -> <. A , P >. Cgr <. A , Q >. ) $.
    linecgrand.10 $e |- ( ( ph /\ ps ) -> <. B , P >. Cgr <. B , Q >. ) $.
    $( Deduction form of ~ linecgr .  (Contributed by Scott Fenton,
       14-Oct-2013.) $)
    linecgrand $p |- ( ( ph /\ ps ) -> <. C , P >. Cgr <. C , Q >. ) $=
      ( cop wcel wa wne ccolin wbr ccgr jca wi cee cfv linecgr syl132anc adantr
      cn mp2and ) ABUAZCDUBZCDESUCUDZUAZCFSCGSUEUDZDFSDGSUEUDZUAZEFSEGSUEUDZUOU
      PUQOPUFUOUSUTQRUFAURVAUAVBUGZBAHUMTCHUHUIZTDVDTEVDTFVDTGVDTVCIJKLMNCDEFGH
      UJUKULUN $.
  $}

  $( Identity law for points on lines.  Theorem 4.18 of [Schwabhauser] p. 38.
     (Contributed by Scott Fenton, 7-Oct-2013.) $)
  lineid $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
    ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
    ( ( ( A =/= B /\ A Colinear <. B , C >. ) /\
        ( <. A , C >. Cgr <. A , D >. /\ <. B , C >. Cgr <. B , D >. ) ) ->
      C = D ) ) $=
    ( cn wcel cee cfv wa w3a wne cop ccolin wbr ccgr wceq wi simp2l simp2r 3jca
    simp3l linecgr syld3an2 simp1 simp3r cgrid2 syl13anc syld ) EFGZAEHIZGZBUKG
    ZJZCUKGZDUKGZJZKZABLABCMZNOJACMADMPOUSBDMPOJJZCCMCDMPOZCDQZUJULUMUOKUNUQUTV
    ARURULUMUOUJULUMUQSUJULUMUQTUJUNUOUPUBZUAABCCDEUCUDURUJUOUOUPVAVBRUJUNUQUEV
    CVCUJUNUOUPUFCCDEUGUHUI $.

  $( Law for finding a point inside a segment.  Theorem 4.19 of [Schwabhauser]
     p. 38.  (Contributed by Scott Fenton, 7-Oct-2013.) $)
  idinside $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
   ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
   ( ( C Btwn <. A , B >. /\ <. A , C >. Cgr <. A , D >. /\
       <. B , C >. Cgr <. B , D >. ) -> C = D ) ) $=
    ( cn wcel wa w3a cop cbtwn wbr ccgr wceq wi simp1 syl13anc opeq1 imbi1d idd
    cee simp3l simp3r cgrid2 axbtwnid syl3anc breq12d biimpcd ax-1 syl8 sylsyld
    cfv simp2l 3impd opeq2 breq2d 3anbi1d syl5ib ccolin simpr2l simpr2r simpr3l
    simpr1 btwncolinear1 3anim123d anim2i 3simpc adantl lineid syl5 expd impcom
    wne jca syld ex pm2.61ine ) EFGZAEUAULZGZBVSGZHZCVSGZDVSGZHZIZCABJZKLZACJZA
    DJZMLZBCJZBDJMLZIZCDNZOZOABWFCAAJZKLZWKWMIZWOOABNZWPWFWRWKWMWOWFCCJZCDJZMLZ
    WOOZWRCANZWKWMWOOZOWFVRWCWCWDXDVRWBWEPZVRWBWCWDUBZXHVRWBWCWDUCCCDEUDQWFVRWC
    VTWRXEOXGXHVRVTWAWEUMCAEUEUFXDXEWKWOXFXEXDWKWOOXEXCWKWOXEXAWIXBWJMCACRCADRU
    GSUHWOWMUIUJUKUNWTWSWNWOWTWRWHWKWMWTWQWGCKABAUOUPUQSURABVMZWFWPXIWFHZWNAWLU
    SLZWKWMIZWOXJWHXKWKWKWMWMXJVRVTWAWCWHXKOXIVRWBWEVCVTWAVRWEXIUTVTWAVRWEXIVAW
    CWDVRWBXIVBABCEVDQXJWKTXJWMTVEWFXIXLWOOWFXIXLWOXIXLHZXIXKHZWKWMHZHWFWOXMXNX
    OXLXKXIXKWKWMPVFXLXOXIXKWKWMVGVHVNABCDEVIVJVKVLVOVPVQ $.

  $( If ` A ` , ` B ` , and ` C ` fall in order on a line, and ` A B ` and
     ` A C ` are congruent, then ` C = B ` .  (Contributed by Scott Fenton,
     7-Oct-2013.) $)
  endofsegid $p |- ( ( N e. NN /\
    ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
    ( ( B Btwn <. A , C >. /\ <. A , C >. Cgr <. A , B >. ) ->
      C = B ) ) $=
    ( cn wcel cee cfv w3a wa cop cbtwn ccgr wceq wb simpl syl3an3br 3anidm23 wi
    wbr ccgr3 simpr1 simpr3 simpr2 cgrcom syl122anc idd axcgrrflx 3adant3r1 a1d
    biimpd 3jcad 3ancomb brcgr3 sylibrd btwnxfr sylan2d jcad 3anrot btwnswapid2
    a1i sylan2br syld ) DEFZADGHZFZBVEFZCVEFZIZJZBACKZLTZVKABKZMTZJZCVMLTZVLJZC
    BNZVJVOVPVLVJVNABCKZKACBKZKUATZVLVPVJVNVMVKMTZVNVSVTMTZIZWAVJVNWBVNWCVJVNWB
    VJVDVFVHVFVGVNWBOVDVIPVDVFVGVHUBZVDVFVGVHUCWEVDVFVGVHUDACABDUEUFUKVJVNUGVJW
    CVNVDVGVHWCVFBCDUHUIUJULVDVIWAWDOZVIVDVIVFVHVGIZWFVFVHVGUMZABCACBDUNQRUOVDV
    IVLWAJVPSZVIVDVIWGWIWHABCACBDUPQRUQVOVLSVJVLVNPVAURVIVDVHVFVGIVQVRSVHVFVGUS
    CABDUTVBVC $.

  ${
    endofsegidand.1 $e |- ( ph -> N e. NN ) $.
    endofsegidand.2 $e |- ( ph -> A e. ( EE ` N ) ) $.
    endofsegidand.3 $e |- ( ph -> B e. ( EE ` N ) ) $.
    endofsegidand.4 $e |- ( ph -> C e. ( EE ` N ) ) $.
    endofsegidand.5 $e |- ( ( ph /\ ps ) -> C Btwn <. A , B >. ) $.
    endofsegidand.6 $e |- ( ( ph /\ ps ) -> <. A , B >. Cgr <. A , C >. ) $.
    $( Deduction form of ~ endofsegid .  (Contributed by Scott Fenton,
       15-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    endofsegidand $p |- ( ( ph /\ ps ) -> B = C ) $=
      ( wa cop cbtwn wbr ccgr wceq wi wcel cn endofsegid syl13anc adantr mp2and
      cee cfv ) ABMECDNZOPZUHCENQPZDERZKLAUIUJMUKSZBAFUATCFUFUGZTEUMTDUMTULGHJI
      CEDFUBUCUDUE $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Connectivity of betweenness
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Lemma for ~ btwnconn1 .  The next several lemmas introduce various
     properties of hypothetical points that end up eliminating alternatives to
     connectivity.  We begin by showing a congruence property of those
     hypothetical points.  (Contributed by Scott Fenton, 8-Oct-2013.) $)
  btwnconn1lem1 $p |- (
     ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ c e. ( EE ` N ) ) /\
         ( d e. ( EE ` N ) /\ b e. ( EE ` N ) /\ X e. ( EE ` N ) ) ) /\
         ( ( ( A =/= B /\ B =/= C ) /\
             ( B Btwn <. A , C >. /\ B Btwn <. A , D >. ) ) /\
           ( ( D Btwn <. A , c >. /\ <. D , c >. Cgr <. C , D >. ) /\
             ( C Btwn <. A , d >. /\ <. C , d >. Cgr <. C , D >. ) ) /\
           ( ( c Btwn <. A , b >. /\ <. c , b >. Cgr <. C , B >. ) /\
             ( d Btwn <. A , X >. /\ <. d , X >. Cgr <. D , B >. ) ) ) ) ->
     <. B , c >. Cgr <. X , C >. ) $=
    ( wcel w3a cv wne wa cop cbtwn wbr ccgr adantl btwnexch3and cee cfv simp1rr
    cn simp11 simp13 simp22 simp23 simp33 simp31 simp21 simp2ll simp2rl simp3rl
    simp12 btwncomand simp3rr cgrcomand simp2lr simp2rr cgrcomland cgrextendand
    cgrcomlrand cgrtr3and ) EUDJZAEUAUBZJZBVFJZKZCVFJZDVFJZHLZVFJZKZILZVFJZGLZV
    FJZFVFJZKZKZABMBCMNZBACOPQZBADOPQZNNZDAVLOPQZDVLOCDOZRQZNZCAVOOPQZCVOOWGRQZ
    NZNZVLAVQOPQVLVQOCBORQNZVOAFOPQZVOFODBORQZNNZKZBDVLFVOCEVEVGVHVNVTUEZVEVGVH
    VNVTUFZVIVJVKVMVTUGZVIVJVKVMVTUHZVIVNVPVRVSUIZVIVNVPVRVSUJZVIVJVKVMVTUKZWAW
    RABDVLEWSVEVGVHVNVTUOZWTXAXBWRWDWAWCWDWBWMWQUCSWRWFWAWFWHWLWEWQULSTWAWRVOCF
    EWSXDXEXCWAWRACVOFEWSXFXEXDXCWRWJWAWJWKWIWEWQUMSWRWOWAWOWPWNWEWMUNSTUPWAWRD
    BVOFEWSXAWTXDXCWAWRVOFDBEWSXDXCXAWTWRWPWAWOWPWNWEWMUQSURVCWAWRDVLVOCCDEWSXA
    XBXDXEXEXAWRWHWAWFWHWLWEWQUSSWAWRCVOCDEWSXEXDXEXAWRWKWAWJWKWIWEWQUTSVAVDVB
    $.

  $( Lemma for ~ btwnconn1 .  Now, we show that two of the hypotheticals we
     introduced in the first lemma are identical.  (Contributed by Scott
     Fenton, 8-Oct-2013.) $)
  btwnconn1lem2 $p |- (
     ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ c e. ( EE ` N ) ) /\
         ( d e. ( EE ` N ) /\ b e. ( EE ` N ) /\ X e. ( EE ` N ) ) ) /\
         ( ( ( A =/= B /\ B =/= C ) /\
             ( B Btwn <. A , C >. /\ B Btwn <. A , D >. ) ) /\
           ( ( D Btwn <. A , c >. /\ <. D , c >. Cgr <. C , D >. ) /\
             ( C Btwn <. A , d >. /\ <. C , d >. Cgr <. C , D >. ) ) /\
           ( ( c Btwn <. A , b >. /\ <. c , b >. Cgr <. C , B >. ) /\
             ( d Btwn <. A , X >. /\ <. d , X >. Cgr <. D , B >. ) ) ) ) ->
     X = b ) $=
    ( wcel w3a cv wa cop cbtwn wbr ccgr adantl jca adantr cn cee cfv wne simp11
    simp1ll simp12 simp13 simp21 simp33 simp1rl simp2rl simp3rl simp31 btwnexch
    wi syl122anc mpd btwnexchand cgrrflx2d simp23 simp32 simp1rr simp2ll simp22
    simp3ll btwnexch3and btwncomand btwnconn1lem1 simp3lr cgrextendand segconeq
    wceq syl133anc mp3and ) EUAJZAEUBUCZJZBVQJZKZCVQJZDVQJZHLZVQJZKZILZVQJZGLZV
    QJZFVQJZKZKZABUDZBCUDZMZBACNOPZBADNOPZMZMZDAWCNZOPZDWCNCDNZQPZMZCAWFNOPZCWF
    NXBQPZMZMZWCAWHNZOPZWCWHNCBNQPZMZWFAFNZOPZWFFNDBNQPZMZMZKZMZWMBXMOPZBFNFBNZ
    QPZMZBXIOPZBWHNYAQPZMZFWHVMZXRWMWLWMWNWRXHXQUFRXSXTYBWLXRABCFEVPVRVSWEWKUEZ
    VPVRVSWEWKUGZVPVRVSWEWKUHZVTWAWBWDWKUIZVTWEWGWIWJUJZXRWPWLWPWQWOXHXQUKRZXSX
    EXNMZCXMOPZXRYNWLXRXEXNXEXFXDWSXQULXNXOXLWSXHUMSRWLYNYOUPZXRWLVPVRWAWGWJYPY
    HYIYKVTWEWGWIWJUNYLACWFFEUOUQTURZUSWLYBXRWLBFEYHYJYLUTTSXSYDYEWLXRABWCWHEYH
    YIYJVTWAWBWDWKVAZVTWEWGWIWJVBZXSWQXAMZBWTOPZXRYTWLXRWQXAWPWQWOXHXQVCXAXCXGW
    SXQVDSRWLYTUUAUPZXRWLVPVRVSWBWDUUBYHYIYJVTWAWBWDWKVEYRABDWCEUOUQTURZXRXJWLX
    JXKXPWSXHVFRZUSWLXRBWCWHFCBEYHYJYRYSYLYKYJWLXRABWCWHEYHYIYJYRYSUUCUUDVGWLXR
    CBFEYHYKYJYLWLXRABCFEYHYIYJYKYLYMYQVGVHABCDEFGHIVIXRXKWLXJXKXPWSXHVJRVKSWLW
    MYCYFKYGUPZXRWLVPVSWJVSVRWJWIUUEYHYJYLYJYIYLYSBFBAEFWHVLVNTVO $.

  $( Lemma for ~ btwnconn1 .  Establish the next congruence in the series.
     (Contributed by Scott Fenton, 8-Oct-2013.) $)
  btwnconn1lem3 $p |- (
     ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ c e. ( EE ` N ) ) /\
         ( d e. ( EE ` N ) /\ b e. ( EE ` N ) ) ) /\
         ( ( ( A =/= B /\ B =/= C ) /\
             ( B Btwn <. A , C >. /\ B Btwn <. A , D >. ) ) /\
           ( ( D Btwn <. A , c >. /\ <. D , c >. Cgr <. C , D >. ) /\
             ( C Btwn <. A , d >. /\ <. C , d >. Cgr <. C , D >. ) ) /\
           ( ( c Btwn <. A , b >. /\ <. c , b >. Cgr <. C , B >. ) /\
             ( d Btwn <. A , b >. /\ <. d , b >. Cgr <. D , B >. ) ) ) ) ->
     <. B , d >. Cgr <. b , D >. ) $=
    ( wcel w3a cv wa cop cbtwn wbr ccgr adantl syl122anc adantr wb cn simp11 wi
    cee cfv simp13 simp21 simp3l simp3r simp23 simp22 simp1rl simp2rl btwnexch3
    wne jca simp12 mpd simp2ll simp3ll btwncomand simp3lr cgrcomlr cgrcom bitrd
    mpbid simp2rr simp2lr cgrcomland cgrtr3and cgrextendand ) EUAIZAEUDUEZIZBVM
    IZJZCVMIZDVMIZGKZVMIZJZHKZVMIZFKZVMIZLZJZABUOBCUOLZBACMNOZBADMNOZLLZDAVSMNO
    ZDVSMCDMZPOZLZCAWBMNOZCWBMWMPOZLZLZVSAWDMZNOZVSWDMCBMPOZLWBWTNOWBWDMDBMPOLZ
    LZJZBCWBWDVSDEVLVNVOWAWFUBZVLVNVOWAWFUFZVPVQVRVTWFUGZVPWAWCWEUHZVPWAWCWEUIZ
    VPVQVRVTWFUJZVPVQVRVTWFUKZWGXELZWIWPLZCBWBMNOZXEXNWGXEWIWPWIWJWHWSXDULWPWQW
    OWKXDUMUPQWGXNXOUCZXEWGVLVNVOVQWCXPXFVLVNVOWAWFUQZXGXHXIABCWBEUNRSURWGXEVSD
    WDEXFXKXLXJXMWLXALZVSDWDMNOZXEXRWGXEWLXAWLWNWRWKXDUSXAXBXCWKWSUTUPQWGXRXSUC
    ZXEWGVLVNVRVTWEXTXFXQXLXKXJADVSWDEUNRSURVAXMXBBCMZWDVSMZPOZXEXBWGXAXBXCWKWS
    VBQWGXBYCTXEWGXBYBYAPOZYCWGVLVTWEVQVOXBYDTXFXKXJXHXGVSWDCBEVCRWGVLWEVTVOVQY
    DYCTXFXJXKXGXHWDVSBCEVDRVESVFWGXECWBVSDCDEXFXHXIXKXLXHXLXEWQWGWPWQWOWKXDVGQ
    WGXEDVSCDEXFXLXKXHXLXEWNWGWLWNWRWKXDVHQVIVJVK $.

  $( Lemma for ~ btwnconn1 .  Assuming ` C =/= c ` , we now attempt to force
     ` D = d ` from here out via a series of congruences.  (Contributed by
     Scott Fenton, 8-Oct-2013.) $)
  btwnconn1lem4 $p |- (
     ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ c e. ( EE ` N ) ) /\
         ( d e. ( EE ` N ) /\ b e. ( EE ` N ) ) ) /\
         ( ( ( A =/= B /\ B =/= C /\ C =/= c ) /\
             ( B Btwn <. A , C >. /\ B Btwn <. A , D >. ) ) /\
           ( ( D Btwn <. A , c >. /\ <. D , c >. Cgr <. C , D >. ) /\
             ( C Btwn <. A , d >. /\ <. C , d >. Cgr <. C , D >. ) ) /\
           ( ( c Btwn <. A , b >. /\ <. c , b >. Cgr <. C , B >. ) /\
             ( d Btwn <. A , b >. /\ <. d , b >. Cgr <. D , B >. ) ) ) ) ->
     <. d , c >. Cgr <. D , C >. ) $=
    ( wcel w3a cv wa wne cop cbtwn wbr ccgr adantl adantr wb cn cee cfv simp1rl
    ccgr3 simp2rl jca wi simp11 simp12 simp13 simp21 simp3l btwnexch3 syl122anc
    mpd simp3lr simp23 simp3r cgrcomlr cgrcom bitrd 3simpa anim1i btwnconn1lem3
    mpbid syl3anr1 simp22 simp2rr simp2lr cgrcomland cgrtr3and brcgr3 syl133anc
    mpbir3and simpl 3jca 3anim3i 3anim1i btwnconn1lem1 syl2an cgrrflx2d simp1l2
    simpr cofs brofs2 anbi1d 5segofs sylbird syl333anc mp2and ) EUAIZAEUBUCZIZB
    WMIZJZCWMIZDWMIZGKZWMIZJZHKZWMIZFKZWMIZLZJZABMZBCMZCWSMZJZBACNOPZBADNOPZLZL
    ZDAWSNOPZDWSNCDNZQPZLZCAXBNOPZCXBNZXQQPZLZLZWSAXDNZOPZWSXDNCBNQPZLXBYEOPXBX
    DNDBNQPLZLZJZLZCBXBNZOPZBYANXDWSDNZNUEPZBWSNXDCNQPZCWSNWSCNQPZLZJZXIXBWSNZD
    CNZQPZYKYMYOYRYKXLXTLZYMYJUUCXGYJXLXTXLXMXKYDYIUDXTYBXSXOYIUFUGRXGUUCYMUHZY
    JXGWLWNWOWQXCUUDWLWNWOXAXFUIZWLWNWOXAXFUJWLWNWOXAXFUKZWPWQWRWTXFULZWPXAXCXE
    UMZABCXBEUNUOSUPYKYOBCNZXDWSNZQPZYLXDDNQPZYAYNQPZYKYGUUKYJYGXGYFYGYHXOYDUQR
    XGYGUUKTYJXGYGUUJUUIQPZUUKXGWLWTXEWQWOYGUUNTUUEWPWQWRWTXFURZWPXAXCXEUSZUUGU
    UFWSXDCBEUTUOXGWLXEWTWOWQUUNUUKTUUEUUPUUOUUFUUGXDWSBCEVAUOVBSVFXOXHXILZXNLZ
    XGYDYIUULXKUUQXNXHXIXJVCVDZABCDEFGHVEVGXGYJCXBWSDCDEUUEUUGUUHUUOWPWQWRWTXFV
    HZUUGUUTYJYBXGXTYBXSXOYIVIRXGYJDWSCDEUUEUUTUUOUUGUUTYJXRXGXPXRYCXOYIVJRVKVL
    XGYOUUKUULUUMJTZYJXGWLWOWQXCXEWTWRUVAUUEUUFUUGUUHUUPUUOUUTBCXBXDWSDEVMVNSVO
    YKYPYQXGWPXAXCXEXEJZJUURYDYIJYPYJXFUVBWPXAXFXCXEXEXCXEVPXCXEWDZUVCVQVRXOUUR
    YDYIUUSVSABCDEXDFGHVTWAXGYQYJXGCWSEUUEUUGUUOWBSUGVQYJXIXGXHXIXJXNYDYIWCRXGY
    SXILZUUBUHZYJXGWLWOWQXCWTXEWTWRWQUVEUUEUUFUUGUUHUUOUUPUUOUUTUUGWLWOWQJXCWTX
    EJWTWRWQJJZUVDUUIYTNUUJUUANWEPZXILUUBUVFUVGYSXIBCXBWSXDWSDCEWFWGBCXBWSXDWSD
    CEWHWIWJSWK $.

  $( Lemma for ~ btwnconn1 .  Now, we introduce ` E ` , the intersection of
     ` C c ` and ` D d ` .  We begin by showing that it is the midpoint of
     ` C ` and ` c ` .  (Contributed by Scott Fenton, 8-Oct-2013.) $)
  btwnconn1lem5 $p |- (
     ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ c e. ( EE ` N ) ) /\
         ( d e. ( EE ` N ) /\ b e. ( EE ` N ) /\ E e. ( EE ` N ) ) ) /\
         ( ( ( ( A =/= B /\ B =/= C /\ C =/= c ) /\
               ( B Btwn <. A , C >. /\ B Btwn <. A , D >. ) ) /\
             ( ( D Btwn <. A , c >. /\ <. D , c >. Cgr <. C , D >. ) /\
               ( C Btwn <. A , d >. /\ <. C , d >. Cgr <. C , D >. ) ) /\
             ( ( c Btwn <. A , b >. /\ <. c , b >. Cgr <. C , B >. ) /\
               ( d Btwn <. A , b >. /\ <. d , b >. Cgr <. D , B >. ) ) ) /\
           ( E Btwn <. C , c >. /\ E Btwn <. D , d >. ) ) ) ->
         <. E , C >. Cgr <. E , c >. ) $=
    ( wcel w3a cv wne cop cbtwn wbr wa ccgr adantr wb cn cee cfv simprrr simp11
    ccgr3 simp22 simp33 simp31 cgr3rflx syl13anc simp2lr ad2antrl simp23 simp21
    cgrcomr cgrcom bitrd mpbid simp2rr cgrcomlrand 3simpa 3anim3i btwnconn1lem4
    syl122anc simpl syl2an cgrtr3and jca wi cifs brifs2 ifscgr syl333anc mp3and
    sylbird ) FUAJZAFUBUCZJZBVRJZKZCVRJZDVRJZHLZVRJZKZILZVRJZGLZVRJZEVRJZKZKZAB
    MBCMCWDMKBACNOPBADNOPQQZDAWDNOPZDWDNZCDNZRPZQZCAWGNOPZCWGNWQRPZQZQWDAWINZOP
    WDWINCBNRPQWGXCOPWGWINDBNRPQQZKZECWDNOPZEDWGNOPZQZQZQZXGDEWGNNZXKUFPZDCNZWP
    RPZWGCNZWGWDNZRPZQZECNEWDNRPZWMXEXFXGUDWMXLXIWMVQWCWKWHXLVQVSVTWFWLUEZWAWBW
    CWEWLUGZWAWFWHWJWKUHZWAWFWHWJWKUIZDEWGFUJUKSXJXNXQXJWRXNXEWRWMXHWOWRXBWNXDU
    LUMWMWRXNTXIWMWRWPXMRPZXNWMVQWCWEWBWCWRYDTXTYAWAWBWCWEWLUNZWAWBWCWEWLUOZYAD
    WDCDFUPVEWMVQWCWEWCWBYDXNTXTYAYEYAYFDWDDCFUQVEURSUSWMXIWGCWGWDDCFXTYCYFYCYE
    YAYFWMXICWGCDFXTYFYCYFYAXEXAWMXHWTXAWSWNXDUTUMVAWMWAWFWHWJQZKXEXPXMRPXIWLYG
    WAWFWHWJWKVBVCXEXHVFABCDFGHIVDVGVHVIWMXGXLXRKZXSVJZXIWMVQWCWKWHWBWCWKWHWEYI
    XTYAYBYCYFYAYBYCYEVQWCWKKWHWBWCKWKWHWEKKYHDENZXONYJXPNVKPXSDEWGCDEWGWDFVLDE
    WGCDEWGWDFVMVPVNSVO $.

  $( Lemma for ~ btwnconn1 .  Next, we show that ` E ` is the midpoint of ` D `
     and ` d ` .  (Contributed by Scott Fenton, 8-Oct-2013.) $)
  btwnconn1lem6 $p |- (
     ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ c e. ( EE ` N ) ) /\
         ( d e. ( EE ` N ) /\ b e. ( EE ` N ) /\ E e. ( EE ` N ) ) ) /\
         ( ( ( ( A =/= B /\ B =/= C /\ C =/= c ) /\
               ( B Btwn <. A , C >. /\ B Btwn <. A , D >. ) ) /\
             ( ( D Btwn <. A , c >. /\ <. D , c >. Cgr <. C , D >. ) /\
               ( C Btwn <. A , d >. /\ <. C , d >. Cgr <. C , D >. ) ) /\
             ( ( c Btwn <. A , b >. /\ <. c , b >. Cgr <. C , B >. ) /\
               ( d Btwn <. A , b >. /\ <. d , b >. Cgr <. D , B >. ) ) ) /\
           ( E Btwn <. C , c >. /\ E Btwn <. D , d >. ) ) ) ->
         <. E , D >. Cgr <. E , d >. ) $=
    ( wcel w3a cv wne cop cbtwn wbr wa ccgr jca cgrrflxd cee cfv simprrl simp11
    cn simp21 simp23 simp33 adantr simp31 simp2rr ad2antrl cgrcomand cgrcomrand
    simp22 simp2lr 3simpa 3anim3i btwnconn1lem4 syl2an cgrtr3and cgrcomlrand wi
    simpl cifs brifs ifscgr sylbird syl333anc mp3and ) FUEJZAFUAUBZJZBVLJZKZCVL
    JZDVLJZHLZVLJZKZILZVLJZGLZVLJZEVLJZKZKZABMBCMCVRMKBACNOPBADNOPQQZDAVRNOPZDV
    RNCDNZRPZQZCAWANOPZCWANZWJRPZQZQVRAWCNZOPVRWCNCBNRPQWAWQOPWAWCNDBNRPQQZKZEC
    VRNZOPZEDWANOPZQZQZQZXAXAQZWTWTRPZEVRNZXHRPZQZWJWNRPZVRDNZVRWANZRPZQZEDNEWA
    NRPZXEXAXAWGWSXAXBUCZXQSWGXJXDWGXGXIWGCVRFVKVMVNVTWFUDZVOVPVQVSWFUFZVOVPVQV
    SWFUGZTWGEVRFXRVOVTWBWDWEUHZXTTSUIXEXKXNWGXDCWACDFXRXSVOVTWBWDWEUJZXSVOVPVQ
    VSWFUOZWSWOWGXCWMWOWLWHWRUKULUMWGXDDVRWAVRFXRYCXTYBXTWGXDDVRWAVRDCFXRYCXTYB
    XTYCXSWGXDDVRCDFXRYCXTXSYCWSWKWGXCWIWKWPWHWRUPULUNWGVOVTWBWDQZKWSWAVRNDCNRP
    XDWFYDVOVTWBWDWEUQURWSXCVDABCDFGHIUSUTVAVBSWGXFXJXOKZXPVCZXDWGVKVPWEVSVQVPW
    EVSWBYFXRXSYAXTYCXSYAXTYBVKVPWEKVSVQVPKWEVSWBKKYECENZXLNYGXMNVEPXPCEVRDCEVR
    WAFVFCEVRDCEVRWAFVGVHVIUIVJ $.

  $( Lemma for ~ btwnconn1 .  Under our assumptions, ` C ` and ` d ` are
     distinct.  (Contributed by Scott Fenton, 8-Oct-2013.) $)
  btwnconn1lem7 $p |- (
     ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ c e. ( EE ` N ) ) /\
         ( d e. ( EE ` N ) /\ b e. ( EE ` N ) /\ E e. ( EE ` N ) ) ) /\
         ( ( ( ( A =/= B /\ B =/= C /\ C =/= c ) /\
               ( B Btwn <. A , C >. /\ B Btwn <. A , D >. ) ) /\
             ( ( D Btwn <. A , c >. /\ <. D , c >. Cgr <. C , D >. ) /\
               ( C Btwn <. A , d >. /\ <. C , d >. Cgr <. C , D >. ) ) /\
             ( ( c Btwn <. A , b >. /\ <. c , b >. Cgr <. C , B >. ) /\
               ( d Btwn <. A , b >. /\ <. d , b >. Cgr <. D , B >. ) ) ) /\
           ( E Btwn <. C , c >. /\ E Btwn <. D , d >. ) ) ) ->
        C =/= d ) $=
    ( wcel w3a cv wne cop cbtwn wbr wa ccgr wi syl5 cee simp1l3 simp2rr simp2lr
    cfv adantr 3jca simp11 simp21 simp22 simp23 simp31 simpr1 wceq opeq2 breq1d
    cn 3anbi2d biimparc simp2 simp1 simp2l simp2r cgrid2 syl13anc opeq1 breq12d
    imp simp3l axcgrid expdimp 3ad2antr3 mpd ex necon3d syl122anc ) FUQJZAFUAUE
    ZJZBVRJZKZCVRJZDVRJZHLZVRJZKZILZVRJZGLZVRJZEVRJZKZKZABMZBCMZCWDMZKBACNOPBAD
    NOPQZQZDAWDNOPZDWDNZCDNZRPZQZCAWGNOPZCWGNZXARPZQZQZWDAWINZOPWDWINCBNRPQWGXI
    OPWGWINDBNRPQQZKZECWDNZOPEDWGNOPQZQZCWGMZXNWPXFXBKZWMXOXNWPXFXBXKWPXMWNWOWP
    WQXHXJUBUFXKXFXMXDXFXCWRXJUCUFXKXBXMWSXBXGWRXJUDUFUGWMVQWBWCWEWHXPXOSVQVSVT
    WFWLUHWAWBWCWEWLUIWAWBWCWEWLUJWAWBWCWEWLUKWAWFWHWJWKULVQWBWCQZWEWHQZKZXPXOX
    SXPQZWPXOXSWPXFXBUMXTCWGCWDXSXPCWGUNZCWDUNZXPYAQWPCCNZXARPZXBKZXSYBYAYEXPYA
    YDXFWPXBYAYCXEXARCWGCUOUPURUSXSYEYBXSYEQCDUNZYBXSYEYFYEYDXSYFWPYDXBUTXSVQWB
    WBWCYDYFSVQXQXRVAZVQWBWCXRVBZYHVQWBWCXRVCCCDFVDVETVHXSWPXBYFYBSYDXSXBYFYBXB
    YFQXLYCRPZXSYBYFYIXBYFXLWTYCXARCDWDVFCDCUOVGUSXSVQWBWEWBYIYBSYGYHVQXQWEWHVI
    YHCWDCFVJVETVKVLVMVNTVKVOVMVNVPTVH $.

  $( Lemma for ~ btwnconn1 .  Now, we introduce the last three points used in
     the construction: ` P ` , ` Q ` , and ` R ` will turn out to be equal
     further down, and will provide us with the key to the final statement.  We
     begin by establishing congruence of ` R P ` and ` E d ` .  (Contributed by
     Scott Fenton, 8-Oct-2013.) $)
  btwnconn1lem8 $p |- (
     ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ c e. ( EE ` N ) ) /\
           ( d e. ( EE ` N ) /\ b e. ( EE ` N ) /\ E e. ( EE ` N ) ) ) /\
         ( P e. ( EE ` N ) /\ Q e. ( EE ` N ) /\ R e. ( EE ` N ) ) ) /\
         ( ( ( ( A =/= B /\ B =/= C /\ C =/= c ) /\
               ( B Btwn <. A , C >. /\ B Btwn <. A , D >. ) ) /\
             ( ( D Btwn <. A , c >. /\ <. D , c >. Cgr <. C , D >. ) /\
               ( C Btwn <. A , d >. /\ <. C , d >. Cgr <. C , D >. ) ) /\
             ( ( c Btwn <. A , b >. /\ <. c , b >. Cgr <. C , B >. ) /\
               ( d Btwn <. A , b >. /\ <. d , b >. Cgr <. D , B >. ) ) ) /\
           ( ( E Btwn <. C , c >. /\ E Btwn <. D , d >. ) /\
             ( ( C Btwn <. c , P >. /\ <. C , P >. Cgr <. C , d >. ) /\
               ( C Btwn <. d , R >. /\ <. C , R >. Cgr <. C , E >. ) /\
               ( R Btwn <. P , Q >. /\ <. R , Q >. Cgr <. R , P >. ) ) ) ) ) ->
       <. R , P >. Cgr <. E , d >. ) $=
    ( wcel w3a wa wne cop cbtwn wbr ccgr cn cee cfv cv simpr2l ad2antll simpr1r
    ccgr3 wb simp11 simp2l1 simp31 cgrcomlr syl122anc cgrcom bitrd adantr mpbid
    simp2r1 simp33 simp2r3 simp2l3 simpr1l btwncomand adantl wi btwnintr mp2and
    simprll simpr2r cgrextendand brcgr3 syl133anc mpbir3and cgrrflx2d jca simp1
    3jca simp2l simp2r simprl btwnconn1lem7 syl2an necomd brofs2 anbi1d 5segofs
    simpl cofs sylbird syl333anc ) IUAMZAIUBUCZMZBWMMZNZCWMMZDWMMZKUDZWMMZNZLUD
    ZWMMZJUDZWMMZHWMMZNZOZEWMMZFWMMZGWMMZNZNZABPBCPCWSPNBACQRSBADQRSOODAWSQRSDW
    SQCDQZTSOCAXBQRSCXBQZXNTSOOWSAXDQZRSWSXDQCBQTSOXBXPRSXBXDQDBQTSOONZHCWSQRSZ
    HDXBQRSZOZCWSEQRSZCEQXOTSZOZCXBGQZRSZCGQZCHQZTSZOZGEFQRSGFQGEQZTSOZNZOZOZOZ
    YEXBYFQEYGQUHSZXBEQEXBQTSZYBOZNZXBCPZYJHXBQZTSZYOYEYPYRYMYEXMXQYEYHYCYKXTUE
    UFZYOYPXBCQZECQZTSZYDEHQZTSZYHYOYBUUFYMYBXMXQYAYBYIYKXTUGUFZXMYBUUFUIYNXMYB
    UUEUUDTSZUUFXMWLWQXIWQXCYBUUJUIWLWNWOXHXLUJZWQWRWTXGWPXLUKZWPXHXIXJXKULZUUL
    XCXEXFXAWPXLUSZCECXBIUMUNXMWLXIWQXCWQUUJUUFUIUUKUUMUULUUNUULECXBCIUOUNUPUQU
    RZXMYNXBCGECHIUUKUUNUULWPXHXIXJXKUTZUUMUULXCXEXFXAWPXLVAZUUCYOCEWSQRSZXRCUU
    GRSZXMYNCWSEIUUKUULWQWRWTXGWPXLVBZUUMYMYAXMXQYAYBYIYKXTVCUFVDYNXRXMXQXRXSYL
    VIVEXMUURXROUUSVFZYNXMWLXIWQXFWTUVAUUKUUMUULUUQUUTECHWSIVGUNUQVHUUOYMYHXMXQ
    YEYHYCYKXTVJUFZVKUVBXMYPUUFUUHYHNUIZYNXMWLXCWQXKXIWQXFUVCUUKUUNUULUUPUUMUUL
    UUQXBCGECHIVLVMUQVNYOYQYBXMYQYNXMXBEIUUKUUNUUMVOUQUUIVPVRYOCXBXMWPXAXGNXQXT
    OCXBPYNXMWPXAXGWPXHXLVQWPXAXGXLVSWPXAXGXLVTVRYNXQXTXQYMWHXQXTYLWAVPABCDHIJK
    LWBWCWDXMYSYTOZUUBVFZYNXMWLXCWQXKXIXIWQXFXCUVEUUKUUNUULUUPUUMUUMUULUUQUUNWL
    XCWQNXKXIXINWQXFXCNNZUVDUUDYJQUUEUUAQWISZYTOUUBUVFUVGYSYTXBCGEECHXBIWEWFXBC
    GEECHXBIWGWJWKUQVH $.

  $( Lemma for ~ btwnconn1 .  Now, a quick use of transitivity to establish
     congruence on ` R Q ` and ` E D ` .  (Contributed by Scott Fenton,
     8-Oct-2013.) $)
  btwnconn1lem9 $p |- (
     ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ c e. ( EE ` N ) ) /\
           ( d e. ( EE ` N ) /\ b e. ( EE ` N ) /\ E e. ( EE ` N ) ) ) /\
         ( P e. ( EE ` N ) /\ Q e. ( EE ` N ) /\ R e. ( EE ` N ) ) ) /\
         ( ( ( ( A =/= B /\ B =/= C /\ C =/= c ) /\
               ( B Btwn <. A , C >. /\ B Btwn <. A , D >. ) ) /\
             ( ( D Btwn <. A , c >. /\ <. D , c >. Cgr <. C , D >. ) /\
               ( C Btwn <. A , d >. /\ <. C , d >. Cgr <. C , D >. ) ) /\
             ( ( c Btwn <. A , b >. /\ <. c , b >. Cgr <. C , B >. ) /\
               ( d Btwn <. A , b >. /\ <. d , b >. Cgr <. D , B >. ) ) ) /\
           ( ( E Btwn <. C , c >. /\ E Btwn <. D , d >. ) /\
             ( ( C Btwn <. c , P >. /\ <. C , P >. Cgr <. C , d >. ) /\
               ( C Btwn <. d , R >. /\ <. C , R >. Cgr <. C , E >. ) /\
               ( R Btwn <. P , Q >. /\ <. R , Q >. Cgr <. R , P >. ) ) ) ) ) ->
       <. R , Q >. Cgr <. E , D >. ) $=
    ( wcel w3a cv wa cop cbtwn wbr ccgr cn cee cfv simp11 simp33 simp32 simp2r3
    simp2l2 simp2r1 simp31 simpr3r ad2antll btwnconn1lem8 cgrtrand simp1 simp2l
    wne simp2r 3jca simpl simprl jca btwnconn1lem6 syl2an cgrtr3and ) IUAMZAIUB
    UCZMZBVGMZNZCVGMZDVGMZKOZVGMZNZLOZVGMZJOZVGMZHVGMZNZPZEVGMZFVGMZGVGMZNZNZAB
    UQBCUQCVMUQNBACQRSBADQRSPPDAVMQRSDVMQCDQZTSPCAVPQRSCVPQZWHTSPPVMAVRQZRSVMVR
    QCBQTSPVPWJRSVPVRQDBQTSPPNZHCVMQRSHDVPQRSPZCVMEQRSCEQWITSPZCVPGQRSCGQCHQTSP
    ZGEFQRSZGFQGEQTSZPNZPZPZGFHDHVPIVFVHVIWBWFUDZVJWBWCWDWEUEZVJWBWCWDWEUFZVQVS
    VTVOVJWFUGZVKVLVNWAVJWFUHXCVQVSVTVOVJWFUIZWGWSGFGEHVPIWTXAXBXAVJWBWCWDWEUJX
    CXDWRWPWGWKWOWPWMWNWLUKULABCDEFGHIJKLUMUNWGVJVOWANWKWLPHDQHVPQTSWSWGVJVOWAV
    JWBWFUOVJVOWAWFUPVJVOWAWFURUSWSWKWLWKWRUTWKWLWQVAVBABCDHIJKLVCVDVE $.

  $( Lemma for ~ btwnconn1 .  Now we establish a congruence that will give us
     ` D = d ` when we compute ` P = Q ` later on.  (Contributed by Scott
     Fenton, 8-Oct-2013.) $)
  btwnconn1lem10 $p |- (
     ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ c e. ( EE ` N ) ) /\
           ( d e. ( EE ` N ) /\ b e. ( EE ` N ) /\ E e. ( EE ` N ) ) ) /\
         ( P e. ( EE ` N ) /\ Q e. ( EE ` N ) /\ R e. ( EE ` N ) ) ) /\
         ( ( ( ( A =/= B /\ B =/= C /\ C =/= c ) /\
               ( B Btwn <. A , C >. /\ B Btwn <. A , D >. ) ) /\
             ( ( D Btwn <. A , c >. /\ <. D , c >. Cgr <. C , D >. ) /\
               ( C Btwn <. A , d >. /\ <. C , d >. Cgr <. C , D >. ) ) /\
             ( ( c Btwn <. A , b >. /\ <. c , b >. Cgr <. C , B >. ) /\
               ( d Btwn <. A , b >. /\ <. d , b >. Cgr <. D , B >. ) ) ) /\
           ( ( E Btwn <. C , c >. /\ E Btwn <. D , d >. ) /\
             ( ( C Btwn <. c , P >. /\ <. C , P >. Cgr <. C , d >. ) /\
               ( C Btwn <. d , R >. /\ <. C , R >. Cgr <. C , E >. ) /\
               ( R Btwn <. P , Q >. /\ <. R , Q >. Cgr <. R , P >. ) ) ) ) ) ->
       <. d , D >. Cgr <. P , Q >. ) $=
    ( wcel w3a cv wa cop cbtwn wbr ccgr cn cee cfv simp11 simp2r1 simp31 simp33
    wne simp2r3 simp2l2 simp32 simprlr adantl btwncomand ad2antll btwnconn1lem8
    simpr3l wb cgrcomlr syl122anc cgrcom bitrd mpbid btwnconn1lem9 cgrextendand
    adantr cgrcomand ) IUAMZAIUBUCZMZBVIMZNZCVIMZDVIMZKOZVIMZNZLOZVIMZJOZVIMZHV
    IMZNZPZEVIMZFVIMZGVIMZNZNZABUHBCUHCVOUHNBACQRSBADQRSPPDAVOQRSDVOQCDQZTSPCAV
    RQRSCVRQZWJTSPPVOAVTQZRSVOVTQCBQTSPVRWLRSVRVTQDBQTSPPNZHCVOQRSZHDVRQRSZPZCV
    OEQRSCEQWKTSPZCVRGQRSCGQCHQTSPZGEFQRSZGFQGEQZTSZPNZPZPZVRHDEGFIVHVJVKWDWHUD
    ZVSWAWBVQVLWHUEZVSWAWBVQVLWHUIZVMVNVPWCVLWHUJZVLWDWEWFWGUFZVLWDWEWFWGUGZVLW
    DWEWFWGUKZWIXDHDVRIXEXGXHXFXDWOWIWMWNWOXBULUMUNXCWSWIWMWSXAWQWRWPUQUOWIXDPW
    THVRQTSZVRHQZEGQZTSZABCDEFGHIJKLUPWIXLXOURXDWIXLXNXMTSZXOWIVHWGWEWBVSXLXPUR
    XEXJXIXGXFGEHVRIUSUTWIVHWEWGVSWBXPXOURXEXIXJXFXGEGVRHIVAUTVBVFVCWIXDGFHDIXE
    XJXKXGXHABCDEFGHIJKLVDVGVE $.

  $( Lemma for ~ btwnconn1 .  Now, we establish that ` D ` and ` Q ` are
     equidistant from ` C ` .  (Contributed by Scott Fenton, 8-Oct-2013.) $)
  btwnconn1lem11 $p |- (
     ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ c e. ( EE ` N ) ) /\
           ( d e. ( EE ` N ) /\ b e. ( EE ` N ) /\ E e. ( EE ` N ) ) ) /\
         ( P e. ( EE ` N ) /\ Q e. ( EE ` N ) /\ R e. ( EE ` N ) ) ) /\
         ( ( ( ( A =/= B /\ B =/= C /\ C =/= c ) /\
               ( B Btwn <. A , C >. /\ B Btwn <. A , D >. ) ) /\
             ( ( D Btwn <. A , c >. /\ <. D , c >. Cgr <. C , D >. ) /\
               ( C Btwn <. A , d >. /\ <. C , d >. Cgr <. C , D >. ) ) /\
             ( ( c Btwn <. A , b >. /\ <. c , b >. Cgr <. C , B >. ) /\
               ( d Btwn <. A , b >. /\ <. d , b >. Cgr <. D , B >. ) ) ) /\
           ( ( E Btwn <. C , c >. /\ E Btwn <. D , d >. ) /\
             ( ( C Btwn <. c , P >. /\ <. C , P >. Cgr <. C , d >. ) /\
               ( C Btwn <. d , R >. /\ <. C , R >. Cgr <. C , E >. ) /\
               ( R Btwn <. P , Q >. /\ <. R , Q >. Cgr <. R , P >. ) ) ) ) ) ->
       <. D , C >. Cgr <. Q , C >. ) $=
    ( wcel w3a wa cop cbtwn wbr ccgr wb cee cfv wne btwnconn1lem8 btwnconn1lem9
    cn cv wceq btwnconn1lem10 adantr wi simpr3r adantl simpr2r jca opeq2 breq2d
    anbi2d 3anbi12d anbi12d biimpar simpr1 simp11 simp33 simp31 simp2r1 axcgrid
    3jca opeq1 syl5 breq12d breq1d biimpac simpll simp32 simprlr simpr3 simp2l2
    syl13anc imp opeq2d simp2l1 cgrcomlr syl122anc cgrcom bitrd mpbid ex anbi1d
    3anbi23d imbi12d syl5ibcom com23 mpdd expd exp4d imp31 mpd ccgr3 btwncomand
    simp2r3 cgrcomand brcgr3 syl133anc mpbir3and simpr1r ad2antll simpr 5segofs
    cofs brofs2 sylbird syl333anc ad2antrr mp2and pm2.61dane ) IUFMZAIUAUBZMZBX
    RMZNZCXRMZDXRMZKUGZXRMZNZLUGZXRMZJUGZXRMZHXRMZNZOZEXRMZFXRMZGXRMZNZNZABUCBC
    UCCYDUCNBACPQRBADPQROODAYDPQRDYDPCDPZSROCAYGPQRCYGPZYSSROOYDAYIPZQRYDYIPCBP
    SROYGUUAQRYGYIPDBPSROONZHCYDPQRZHDYGPQRZOZCYDEPQRZCEPZYTSRZOZCYGGPQRZCGPZCH
    PZSRZOZGEFPZQRZGFPZGEPZSRZOZNZOZOZOZDCPZFCPZSRZYGHUVDYGHUHZOUURHYGPZSRZUUQH
    DPZSRZYGDPZUUOSRZNZUVGUVDUVOUVHUVDUVJUVLUVNABCDEFGHIJKLUDZABCDEFGHIJKLUEZAB
    CDEFGHIJKLUIZVHUJYRUVCUVHUVOUVGUKZUVCUUSUUMOZYRUVHUVSUKUVCUUSUUMUVBUUSUUBUU
    PUUSUUIUUNUUEULUMUVBUUMUUBUUJUUMUUIUUTUUEUNZUMUOYRUVHUVTUVSYRUVHUVTUVOUVGUV
    HUVTUVOOZOUUSUUKYTSRZOZUURYGYGPZSRZUUQUVMSRZUVNNZOZYRUVGUVHUWIUWBUVHUWDUVTU
    WHUVOUVHUWCUUMUUSUVHYTUULUUKSYGHCUPUQURUVHUWFUVJUWGUVLUVNUVHUWEUVIUURSYGHYG
    VIUQUVHUVMUVKUUQSYGHDVIUQUSUTVAYRUWIGEUHZUVGUWIUWFYRUWJUWDUWFUWGUVNVBYRXQYP
    YNYHUWFUWJUKXQXSXTYMYQVCZYAYMYNYOYPVDZYAYMYNYOYPVEZYHYJYKYFYAYQVFZGEYGIVGVS
    VJYRUWIUWJUVGUWIUWJOUUOEEPZSRZUUHOZUWOUWESRZUUOUVMSRZUVNNZOZYRUVGUWJUWIUXAU
    WJUWDUWQUWHUWTUWJUUSUWPUWCUUHUWJUUQUUOUURUWOSGEFVIZGEEVIZVKUWJUUKUUGYTSGECU
    PVLUTUWJUWFUWRUWGUWSUVNUWJUURUWOUWESUXCVLUWJUUQUUOUVMSUXBVLUSUTVMYRUXAEFUHZ
    UVGUXAUWPYRUXDUWPUUHUWTVNYRXQYNYOYNUWPUXDUKUWKUWMYAYMYNYOYPVOZUWMEFEIVGVSVJ
    YRUXDUXAUVGYRUWOUWOSRZUUHOZUWRUWOUVMSRZUVMUWOSRZNZOZUVEECPZSRZUKUXDUXAUVGUK
    YRUXKUXMYRUXKOZUUHUXMYRUXFUUHUXJVPUXNUUHUUGYSSRZUXMUXNYTYSUUGSUXNYGDCYRUXKY
    GDUHZUXKUXIYRUXPUXGUWRUXHUXIVQYRXQYHYCYNUXIUXPUKUWKUWNYBYCYEYLYAYQVRZUWMYGD
    EIVGVSVJVTWAUQYRUXOUXMTUXKYRUXOUXLUVESRZUXMYRXQYBYNYBYCUXOUXRTUWKYBYCYEYLYA
    YQWBZUWMUXSUXQCECDIWCWDYRXQYNYBYCYBUXRUXMTUWKUWMUXSUXQUXSECDCIWEWDWFUJWFWGW
    HUXDUXKUXAUXMUVGUXDUXGUWQUXJUWTUXDUXFUWPUUHUXDUWOUUOUWOSEFEUPZVLWIUXDUXHUWS
    UXIUVNUWRUXDUWOUUOUVMSUXTVLUXDUWOUUOUVMSUXTUQWJUTUXDUXLUVFUVESEFCVIUQWKWLWM
    WNVJWOWNVJWPWMVJWQWRUVDYGHUCZOHUVMQRZYGUVKPEUUQPWSRZYGCPZUXLSRZHCPZGCPZSRZO
    ZNZUYAUVGUVDUYJUYAUVDUYBUYCUYIYRUVCHDYGIUWKYHYJYKYFYAYQXAZUXQUWNUVCUUDYRUUB
    UUCUUDUVAVPUMWTUVDUYCYGHPZEGPZSRZUVNUVKUUQSRZUVDUVJUYNUVPYRUVJUYNTUVCYRUVJU
    YMUYLSRZUYNYRXQYPYNYKYHUVJUYPTUWKUWLUWMUYKUWNGEHYGIWCWDYRXQYNYPYHYKUYPUYNTU
    WKUWMUWLUWNUYKEGYGHIWEWDWFUJWGUVRYRUVCGFHDIUWKUWLUXEUYKUXQUVQXBYRUYCUYNUVNU
    YONTZUVCYRXQYHYKYCYNYPYOUYQUWKUWNUYKUXQUWMUWLUXEYGHDEGFIXCXDUJXEUVDUYEUYHUV
    DUUHUYEUVBUUHYRUUBUUFUUHUUNUUTUUEXFXGYRUUHUYETUVCYRUUHUXLUYDSRZUYEYRXQYBYNY
    BYHUUHUYRTUWKUXSUWMUXSUWNCECYGIWCWDYRXQYNYBYHYBUYRUYETUWKUWMUXSUWNUXSECYGCI
    WEWDWFUJWGUVDUUMUYHUVBUUMYRUUBUWAXGYRUUMUYHTUVCYRUUMUYGUYFSRZUYHYRXQYBYPYBY
    KUUMUYSTUWKUXSUWLUXSUYKCGCHIWCWDYRXQYPYBYKYBUYSUYHTUWKUWLUXSUYKUXSGCHCIWEWD
    WFUJWGUOVHUJUVDUYAXHYRUYJUYAOZUVGUKZUVCUYAYRXQYHYKYCYBYNYPYOYBVUAUWKUWNUYKU
    XQUXSUWMUWLUXEUXSXQYHYKNYCYBYNNYPYOYBNNZUYTUYLUVEPUYMUVFPXJRZUYAOUVGVUBVUCU
    YJUYAYGHDCEGFCIXKWIYGHDCEGFCIXIXLXMXNXOXP $.

  $( Lemma for ~ btwnconn1 .  Using a long string of invocations of ~ linecgr ,
     we show that ` D = d ` .  (Contributed by Scott Fenton, 9-Oct-2013.) $)
  btwnconn1lem12 $p |- (
     ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ c e. ( EE ` N ) ) /\
           ( d e. ( EE ` N ) /\ b e. ( EE ` N ) /\ E e. ( EE ` N ) ) ) /\
         ( P e. ( EE ` N ) /\ Q e. ( EE ` N ) /\ R e. ( EE ` N ) ) ) /\
         ( ( ( ( A =/= B /\ B =/= C /\ C =/= c ) /\
               ( B Btwn <. A , C >. /\ B Btwn <. A , D >. ) ) /\
             ( ( D Btwn <. A , c >. /\ <. D , c >. Cgr <. C , D >. ) /\
               ( C Btwn <. A , d >. /\ <. C , d >. Cgr <. C , D >. ) ) /\
             ( ( c Btwn <. A , b >. /\ <. c , b >. Cgr <. C , B >. ) /\
               ( d Btwn <. A , b >. /\ <. d , b >. Cgr <. D , B >. ) ) ) /\
           ( ( E Btwn <. C , c >. /\ E Btwn <. D , d >. ) /\
             ( ( C Btwn <. c , P >. /\ <. C , P >. Cgr <. C , d >. ) /\
               ( C Btwn <. d , R >. /\ <. C , R >. Cgr <. C , E >. ) /\
               ( R Btwn <. P , Q >. /\ <. R , Q >. Cgr <. R , P >. ) ) ) ) ) ->
       D = d ) $=
    ( wcel w3a wa cop cbtwn wbr ccgr wi cee cfv wne wceq simp11 simp2l1 simp2l3
    cn cv simp31 simp32 simp1l3 ad2antrl ccolin ad2antll btwncolinear5 syl13anc
    simpr1l simp2l2 simp2r1 simpr1r simp2rr cgrtrand btwnconn1lem11 cgrcomlrand
    adantr mpd weq simp12 simp13 simp2r2 simp1rr btwnexchand btwnexch3and opeq1
    simp2ll simp3ll breq2d biimpac axbtwnid syl3anc syl5 expd simp1 simp2l 3jca
    simp2r simprl jca btwnconn1lem7 syl2an simp2rl simp3rl btwncolinear2 simp33
    simpr2r btwnconn1lem5 breq1d anbi1d simp2r3 breq12d biimpar necon3d simpr2l
    simpl opeq2 cgrid2 syland mp2and btwncolinear4 simpr3r cgrcomand linecgrand
    biimprd syl6ci com12 adantrl btwncolinear1 btwncolinear6 an12s ex pm2.61ine
    simp1rl btwnconn1lem10 biimpa axcgrid eqcomd ) IUHMZAIUAUBZMZBYIMZNZCYIMZDY
    IMZKUIZYIMZNZLUIZYIMZJUIZYIMZHYIMZNZOZEYIMZFYIMZGYIMZNZNZABUCZBCUCZCYOUCZNZ
    BACPQRZBADPQRZOZOZDAYOPQRZDYOPCDPZSRZOZCAYRPQRZCYRPZUUSSRZOZOZYOAYTPZQRZYOY
    TPCBPSRZOZYRUVGQRZYRYTPZDBPSRZOZOZNZHCYOPZQRHDYRPQROZCYOEPZQRZCEPUVCSRZOZCY
    RGPQRZCGPZCHPZSRZOZGEFPZQRZGFPGEPSRZOZNZOZOZOZYRDUWOEFUDZYRDPZUWHSRZYRDUDZU
    WOEEPUWHSRZUWPUUIUWNCYOEEFIYHYJYKUUDUUHUEZYMYNYPUUCYLUUHUFZYMYNYPUUCYLUUHUG
    ZYLUUDUUEUUFUUGUJZUXDYLUUDUUEUUFUUGUKZUVPUULUUIUWMUUJUUKUULUUPUVFUVOULUMZUW
    OUVTCUVSUNRZUWMUVTUUIUVPUVTUWAUWGUWKUVRURUOUUIUVTUXGTZUWNUUIYHYPUUEYMUXHUXA
    UXCUXDUXBYOECIUPUQVFVGUUIUWNCECDCFIUXAUXBUXDUXBYMYNYPUUCYLUUHUSZUXBUXEUUIUW
    NCECYRCDIUXAUXBUXDUXBYSUUAUUBYQYLUUHUTZUXBUXIUWMUWAUUIUVPUVTUWAUWGUWKUVRVAU
    OUVPUVDUUIUWMUVBUVDUVAUUQUVOVBUMVCUUIUWNDCFCIUXAUXIUXBUXEUXBABCDEFGHIJKLVDV
    EVCZUWOUVSYOFPZSRZTBYTUWOBYTUDZUXMUWOUXNKJVHZYTEPZYTFPZSRZUXMUWOYOBYTPZQRZU
    XNUXOTZUUIUWNABYOYTIUXAYHYJYKUUDUUHVIZYHYJYKUUDUUHVJZUXCYSUUAUUBYQYLUUHVKZU
    UIUWNABDYOIUXAUYBUYCUXIUXCUVPUUOUUIUWMUUNUUOUUMUVFUVOVLUMUVPUURUUIUWMUURUUT
    UVEUUQUVOVPUMVMUVPUVHUUIUWMUVHUVIUVNUUQUVFVQUMVNZUUIUXTUYATUWNUUIUXTUXNUXOU
    XTUXNOYOYTYTPZQRZUUIUXOUXNUXTUYGUXNUXSUYFYOQBYTYTVOVRVSUUIYHYPUUAUYGUXOTUXA
    UXCUYDYOYTIVTWAWBWCVFVGUUIUWNCYRYTEFIUXAUXBUXJUYDUXDUXEUUIYLYQUUCNZUVPUVROZ
    CYRUCUWNUUIYLYQUUCYLUUDUUHWDYLYQUUCUUHWEYLYQUUCUUHWGWFZUWNUVPUVRUVPUWMXEUVP
    UVRUWLWHWIZABCDHIJKLWJWKZUWOYRCYTPQRZCUVLUNRZUUIUWNACYRYTIUXAUYBUXBUXJUYDUV
    PUVBUUIUWMUVBUVDUVAUUQUVOWLUMZUVPUVKUUIUWMUVKUVMUVJUUQUVFWMUMVNUUIUYMUYNTZU
    WNUUIYHYMUUAYSUYPUXAUXBUYDUXJCYTYRIWNUQVFVGUXKUUIUWNGCYREFIUXAYLUUDUUEUUFUU
    GWOZUXBUXJUXDUXEUWOUULGCUCUXFUWOGCCYOUWOUWFHCPZHYOPZSRZGCUDZCYOUDZTZUWMUWFU
    UIUVPUWCUWFUWBUWKUVRWPUOUUIUYHUYIUYTUWNUYJUYKABCDHIJKLWQWKUUIUWFUYTOZVUCTUW
    NUUIVUDVUAVUBVUDVUAOCCPZUWESRZUYTOZUUIVUBVUAVUDVUGVUAUWFVUFUYTVUAUWDVUEUWES
    GCCXFWRWSVSUUIVUFCHUDZUYTVUBUUIYHYMYMUUBVUFVUHTUXAUXBUXBYSUUAUUBYQYLUUHWTCC
    HIXGUQVUHUYTOVUEUVQSRZUUIVUBVUHVUIUYTVUHVUEUYRUVQUYSSCHCVOCHYOVOXAXBUUIYHYM
    YMYPVUIVUBTUXAUXBUXBUXCCCYOIXGUQWBXHWBWCVFXIXCVGUWOUWCGUVCUNRZUWMUWCUUIUVPU
    WCUWFUWBUWKUVRXDUOUUIUWCVUJTZUWNUUIYHYSUUGYMVUKUXAUXJUYQUXBYRGCIXJUQVFVGUUI
    UWNGFGEIUXAUYQUXEUYQUXDUWMUWJUUIUVPUWIUWJUWBUWGUVRXKUOXLUXKXMZXMZUXOUXMUXRU
    XOUVSUXPUXLUXQSYOYTEVOYOYTFVOXAXNXOXPBYTUCZUWOUXMUUIVUNUWNUXMUUIVUNUWNOZBYT
    YOEFIUXAUYCUYDUXCUXDUXEUUIVUNUWNWHUUIVUOOUXTBYTYOPUNRZUUIUWNUXTVUNUYEXQUUIU
    XTVUPTZVUOUUIYHYKUUAYPVUQUXAUYCUYDUXCBYTYOIXRUQVFVGUUIUWNBEPBFPSRVUNUUIUWNC
    YRBEFIUXAUXBUXJUYCUXDUXEUYLUWOCBYRPQRZCYRBPUNRZUUIUWNABCYRIUXAUYBUYCUXBUXJU
    VPUUNUUIUWMUUNUUOUUMUVFUVOYCUMUYOVNUUIVURVUSTZUWNUUIYHYKYSYMVUTUXAUYCUXJUXB
    BYRCIXSUQVFVGUXKVULXMXQUUIUWNUXRVUNVUMXQXMXTYAYBXMUUIUWTUWPTZUWNUUIYHUUEUUE
    UUFVVAUXAUXDUXDUXEEEFIXGUQVFVGABCDEFGHIJKLYDUUIUWPUWROZUWSTUWNVVBUWQFFPZSRZ
    UUIUWSUWPUWRVVDUWPUWHVVCUWQSEFFVOVRYEUUIYHYSYNUUFVVDUWSTUXAUXJUXIUXEYRDFIYF
    UQWBVFXIYG $.

  ${
    $d A e p q r $.  $d B e p q r $.  $d C e p q r $.  $d D e p q r $.
    $d N e p q r $.  $d b e p q r $.  $d c e p q r $.  $d d e p q r $.
    $( Lemma for ~ btwnconn1 .  Begin back-filling and eliminating hypotheses.
       (Contributed by Scott Fenton, 9-Oct-2013.) $)
    btwnconn1lem13 $p |- (
     ( ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ c e. ( EE ` N ) ) /\
           ( d e. ( EE ` N ) /\ b e. ( EE ` N ) ) ) ) /\
         ( ( ( A =/= B /\ B =/= C ) /\
               ( B Btwn <. A , C >. /\ B Btwn <. A , D >. ) ) /\
             ( ( D Btwn <. A , c >. /\ <. D , c >. Cgr <. C , D >. ) /\
               ( C Btwn <. A , d >. /\ <. C , d >. Cgr <. C , D >. ) ) /\
             ( ( c Btwn <. A , b >. /\ <. c , b >. Cgr <. C , B >. ) /\
               ( d Btwn <. A , b >. /\ <. d , b >. Cgr <. D , B >. ) ) ) ) ->
       ( C = c \/ D = d ) ) $=
      ( vp vr wcel w3a cv wa cop cbtwn wbr ccgr adantr ad3antrrr ve cee cfv wne
      vq cn wceq wn df-ne wrex simp2rl simp2ll wb simpl1 simprl1 simpl2 simprrl
      btwncom syl13anc simprl2 simprl3 anbi12d syl5ib wi axpasch syl132anc syld
      jca imp simpll1 axsegcon syl122anc reeanv sylanbrc ad2antrr simprl simprr
      simpr simp-4l simplrl simprrr simpllr 3jca simplrr simp1ll btwnconn1lem12
      simp1lr simpl1r simpll2 simpl3l simpl3r jca32 syl2an an4s rexlimddv exp32
      rexlimdvv mpd expr syl5bir orrd ) EUFKZAEUBUCZKZBXCKZLZCXCKZDXCKZGMZXCKZL
      ZHMZXCKZFMZXCKZNZNZNZABUDZBCUDZNZBACOPQBADOPQNZNZDAXIOPQZDXIOCDOZRQZNZCAX
      LOPQZCXLOZYERQZNZNZXIAXNOZPQXIXNOCBORQNZXLYMPQXLXNODBORQNZNZLZNZCXIUGZDXL
      UGZYSUHCXIUDZYRYTCXIUIXRYQUUAYTXRYQUUANZNUAMZCXIOPQUUCDXLOPQNZYTUAXCXRUUB
      UUDUAXCUJZXRUUBCXLAOPQZDXIAOPQZNZUUEUUBYHYDNXRUUHUUBYHYDYQYHUUAYHYJYGYCYP
      UKSYQYDUUAYDYFYKYCYPULSVHXRYHUUFYDUUGXRXBXGXDXMYHUUFUMXBXDXEXQUNZXGXHXJXP
      XFUOZXBXDXEXQUPZXFXKXMXOUQZCAXLEURUSXRXBXHXDXJYDUUGUMUUIXGXHXJXPXFUTZUUKX
      GXHXJXPXFVAZDAXIEURUSVBVCXRXBXMXJXDXGXHUUHUUEVDUUIUULUUNUUKUUJUUMUAXLXIAC
      DEVEVFVGVIXRUUCXCKZUUBUUDYTXRUUONZUUBUUDNZNZCXIIMZOPQCUUSOYIRQNZCXLJMZOPQ
      CUVAOCUUCORQNZNZJXCUJIXCUJZYTUUPUVDUUQUUPUUTIXCUJZUVBJXCUJZUVDUUPXBXJXGXG
      XMUVEXBXDXEXQUUOVJZXRXJUUOUUNSXRXGUUOUUJSZUVHXRXMUUOUULSZIXICCXLEVKVLUUPX
      BXMXGXGUUOUVFUVGUVIUVHUVHXRUUOVRJXLCCUUCEVKVLUUTUVBIJXCXCVMVNSUURUVCYTIJX
      CXCUURUUSXCKZUVAXCKZNZUVCYTUUPUVLUUQUVCYTUUPUVLNZUUQUVCNZNUVAUUSUEMZOPQUV
      AUVOOUVAUUSORQNZYTUEXCUVMUVPUEXCUJZUVNUVMXBUVJUVKUVKUVJUVQXRXBUUOUVLUUIVO
      UUPUVJUVKVPZUUPUVJUVKVQZUVSUVRUEUUSUVAUVAUUSEVKVLSUVMUVOXCKZUVNUVPYTUVMUV
      TNZXFXKXMXOUUOLZNZUVJUVTUVKLZLXSXTUUALZYBNZYLYPLZUUDUUTUVBUVPLZNNYTUVNUVP
      NZUWAXFUWCUWDXFXQUUOUVLUVTVSUWAXKUWBUUPXKUVLUVTXFXKXPUUOVTVOUWAXMXOUUOXRX
      MUUOUVLUVTUULTXRXOUUOUVLUVTXFXKXMXOWATXRUUOUVLUVTWBWCVHUWAUVJUVTUVKUUPUVJ
      UVKUVTVTUVMUVTVRUUPUVJUVKUVTWDWCWCUWIUWGUUDUWHUWIUWFYLYPUWIUWEYBUWIXSXTUU
      AUVNXSUVPYQXSUUAUUDUVCXSXTYBYLYPWETSUVNXTUVPYQXTUUAUUDUVCXSXTYBYLYPWGTSUV
      NUUAUVPYQUUAUUDUVCWBSWCUUBYBUUDUVCUVPYAYBYLYPUUAWHTVHUUQYLUVCUVPYCYLYPUUA
      UUDWIVOUWIYNYOUUBYNUUDUVCUVPYNYOYCYLUUAWJTUUBYOUUDUVCUVPYNYOYCYLUUAWKTVHW
      CUUBUUDUVCUVPWBUWIUUTUVBUVPUUQUUTUVBUVPVTUUQUUTUVBUVPWDUVNUVPVRWCWLABCDUU
      SUVOUVAUUCEFGHWFWMWNWOWNWPWQWRWNWOWSWTXA $.
  $}

  ${
    $d A b c d x $.  $d B b c d x $.  $d C b c d x $.  $d D b c d x $.
    $d N b c d x $.
    $( Lemma for ~ btwnconn1 .  Final statement of the theorem when
       ` B =/= C ` .  (Contributed by Scott Fenton, 9-Oct-2013.) $)
    btwnconn1lem14 $p |- ( (
     ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
       ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) /\
       ( ( A =/= B /\ B =/= C ) /\
         ( B Btwn <. A , C >. /\ B Btwn <. A , D >. ) ) ) ->
         ( C Btwn <. A , D >. \/ D Btwn <. A , C >. ) ) $=
      ( vc vd vb vx wcel wa w3a cop cbtwn wbr cv ccgr wrex axsegcon 3jca cn cee
      cfv wne simp1 simp2l simp3r simp3 syl121anc simp3l reeanv sylanbrc adantr
      wo wceq simpl1 simpl2l simprl simpl3l simpl2r syl122anc simprr jca sylibr
      simpl3r weq simplrr simpll simplr simpr btwnconn1lem2 syl2an opeq2 breq2d
      breq1d anbi12d anbi2d biimpac jca32 btwnconn1lem13 syl5 expdimp mpd exp32
      ex an4s rexlimdvv orcom simprrl adantl syl5ibrcom simprll orim12d syl5bi
      ) EUAJZAEUBUCZJZBWPJZKZCWPJZDWPJZKZLZABUDBCUDKBACMZNOBADMZNOKKZKZDAFPZMZN
      OZDXHMCDMZQOZKZCAGPZMZNOZCXNMXKQOZKZKZGWPRFWPRZCXENOZDXDNOZUNZXCXTXFXCXMF
      WPRZXRGWPRZXTXCWOWQXAXBYDWOWSXBUEZWOWQWRXBUFZWOWSWTXAUGWOWSXBUHZFADCDESUI
      XCWOWQWTXBYEYFYGWOWSWTXAUJYHGACCDESUIXMXRFGWPWPUKULUMXGXSYCFGWPWPXGXHWPJZ
      XNWPJZKZXSYCXCYKXFXSYCXCYKKZXFXSKZKZCXHUOZDXNUOZUNZYCYNXHAHPZMZNOXHYRMCBM
      QOKZXNAIPZMZNOZXNUUAMZDBMZQOZKZKZIWPRHWPRZYQYNYTHWPRZUUGIWPRZKZUUIYLUULYM
      YLUUJUUKYLWOWQYIWTWRUUJWOWSXBYKUPZWQWRWOXBYKUQZXCYIYJURZWTXAWOWSYKUSZWQWR
      WOXBYKUTZHAXHCBESVAYLWOWQYJXAWRUUKUUMUUNXCYIYJVBWTXAWOWSYKVEZUUQIAXNDBESV
      AVCUMYTUUGHIWPWPUKVDYNUUHYQHIWPWPYNYRWPJZUUAWPJZKZUUHYQYLUVAYMUUHYQYLUVAK
      ZYMUUHKZKIHVFZYQUVBWOWQWRLZWTXAYILZYJUUSUUTLZLXFXSUUHLUVDUVCUVBUVEUVFUVGY
      LUVEUVAYLWOWQWRUUMUUNUUQTUMZYLUVFUVAYLWTXAYIUUPUURUUOTUMZUVBYJUUSUUTXCYIY
      JUVAVGZYLUUSUUTURZYLUUSUUTVBTTUVCXFXSUUHXFXSUUHVHXFXSUUHVIYMUUHVJTABCDEUU
      AHFGVKVLUVBUVCUVDYQUVCUVDKYMYTXNYSNOZXNYRMZUUEQOZKZKZKZUVBYQUVDUVCUVQUVDU
      UHUVPYMUVDUUGUVOYTUVDUUCUVLUUFUVNUVDUUBYSXNNUUAYRAVMVNUVDUUDUVMUUEQUUAYRX
      NVMVOVPVQVQVRUVBUVQYQUVBUVEUVFYJUUSKZKKXFXSUVPLYQUVQUVBUVEUVFUVRUVHUVIUVB
      YJUUSUVJUVKVCVSUVQXFXSUVPXFXSUVPVHXFXSUVPVIYMUVPVJTABCDEHFGVTVLWEWAWBWCWF
      WDWGWCYQYPYOUNYNYCYOYPWHYNYPYAYOYBYNYAYPXPYMXPYLXFXMXPXQWIWJYPXEXOCNDXNAV
      MVNWKYNYBYOXJYMXJYLXFXJXLXRWLWJYOXDXIDNCXHAVMVNWKWMWNWCWFWDWGWC $.
  $}

  $( Connectitivy law for betweenness.  Theorem 5.1 of [Schwabhauser] p. 39-41.
     (Contributed by Scott Fenton, 9-Oct-2013.) $)
  btwnconn1 $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
     ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
     ( ( A =/= B /\ B Btwn <. A , C >. /\ B Btwn <. A , D >. ) ->
       ( C Btwn <. A , D >. \/ D Btwn <. A , C >. ) ) ) $=
    ( cn wcel cee cfv wa w3a wne cop cbtwn wbr wo wi wceq breq1 ex orc 3ad2ant3
    3anbi3d syl6bi simpr1 simpl 3simpc adantl jca31 btwnconn1lem14 sylan2 an12s
    adantld pm2.61ine ) EFGAEHIZGBUOGJCUOGDUOGJKZABLZBACMZNOZBADMZNOZKZCUTNOZDU
    RNOZPZUPVBJZVEQBCBCRZVBVEUPVGVBUQUSVCKVEVGVAVCUQUSBCUTNSUCVCUQVEUSVCVDUAUBU
    DUMBCLZVFVEUPVHVBVEVHVBJZUPUQVHJUSVAJZJVEVIUQVHVJVHUQUSVAUEVHVBUFVBVJVHUQUS
    VAUGUHUIABCDEUJUKULTUNT $.

  $( Another connectivity law for betweenness.  Theorem 5.2 of [Schwabhauser]
     p. 41.  (Contributed by Scott Fenton, 9-Oct-2013.) $)
  btwnconn2 $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
    ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
    ( ( A =/= B /\ B Btwn <. A , C >. /\ B Btwn <. A , D >. ) ->
      ( C Btwn <. B , D >. \/ D Btwn <. B , C >. ) ) ) $=
    ( cn wcel cee cfv wa w3a wne cop cbtwn wbr wo btwnconn1 wi btwnexch3 ex mpd
    simpr2 anim1i ad2antrr simpr3 simp3r simp3l jca syld3an3 mpand orim12d mpdd
    adantr ) EFGZAEHIZGBUOGJZCUOGZDUOGZJZKZABLZBACMZNOZBADMZNOZKZCVDNOZDVBNOZPZ
    CBDMNOZDBCMNOZPZABCDEQUTVFVIVLRUTVFJZVGVJVHVKVMVGVJVMVGJVCVGJZVJVMVCVGUTVAV
    CVEUBUCUTVNVJRVFVGABCDESUDUATVMVEVHVKUTVAVCVEUEUTVEVHJVKRZVFUNUPUSURUQJVOUT
    URUQUNUPUQURUFUNUPUQURUGUHABDCESUIUMUJUKTUL $.

  ${
    $d N p $.  $d A p $.  $d B p $.  $d C p $.  $d D p $.
    $( Inner connectivity law for betweenness.  Theorem 5.3 of [Schwabhauser]
       p. 41.  (Contributed by Scott Fenton, 9-Oct-2013.) $)
    btwnconn3 $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
    ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
    ( ( B Btwn <. A , D >. /\ C Btwn <. A , D >. ) ->
      ( B Btwn <. A , C >. \/ C Btwn <. A , B >. ) ) ) $=
      ( vp cn wcel cee cfv wa w3a cv cop cbtwn wbr wne btwncomand btwnexch3and
      wi wo simp1 simp3r simp2l btwndiff syl3anc simprlr necomd simpl2l simpl2r
      wrex simpr simpl3r simprrl simprll simpl3l simprrr ex btwnconn2 syl122anc
      simpl1 3jca syld expd rexlimdva mpd ) EGHZAEIJZHZBVHHZKZCVHHZDVHHZKZLZADF
      MZNOPZAVPQZKZFVHUKZBADNZOPZCWAOPZKZBACNOPCABNOPUAZTZVOVGVMVIVTVGVKVNUBVGV
      KVLVMUCVGVIVJVNUDDAEFUEUFVOVSWFFVHVOVPVHHZKZVSWDWEWHVSWDKZVPAQZAVPBNOPZAV
      PCNOPZLZWEWHWIWMWHWIKZWJWKWLWNAVPWHVQVRWDUGUHWHWIABVPEVGVKVNWGVAZVIVJVGVN
      WGUIZVIVJVGVNWGUJZVOWGULZWHWIDBAVPEWOVLVMVGVKWGUMZWQWPWRWHWIBADEWOWQWPWSW
      HVSWBWCUNRWHVQVRWDUOZSRWHWIACVPEWOWPVLVMVGVKWGUPZWRWHWIDCAVPEWOWSXAWPWRWH
      WICADEWOXAWPWSWHVSWBWCUQRWTSRVBURWHVGWGVIVJVLWMWETWOWRWPWQXAVPABCEUSUTVCV
      DVEVF $.
  $}

  $( If two points fall in the same place in the middle of a segment, then they
     are identical.  (Contributed by Scott Fenton, 16-Oct-2013.)  (Revised by
     Mario Carneiro, 19-Apr-2014.) $)
  midofsegid $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
   ( D e. ( EE ` N ) /\ E e. ( EE ` N ) ) ) ->
   ( ( D Btwn <. A , B >. /\ E Btwn <. A , B >. /\
       <. A , D >. Cgr <. A , E >. ) -> D = E ) ) $=
    ( cn wcel cee cfv wa w3a cop cbtwn wbr ccgr wceq simprl3 endofsegidand expr
    simprr simp2l simp3r simp3l cgrcomand eqcomd 3simpa adantl simp2r btwnconn3
    simp1 wo wi syl122anc adantr mpd mpjaod ex ) EFGZAEHIZGZBUSGZJZCUSGZDUSGZJZ
    KZCABLZMNZDVGMNZACLZADLZONZKZCDPZVFVMJZCVKMNZVNDVJMNZVFVMVPVNVFVMVPJZJDCVFV
    RADCEURVBVEUJZURUTVAVEUAZURVBVCVDUBZURVBVCVDUCZVFVMVPTVFVRACADEVSVTWBVTWAVH
    VIVLVPVFQUDRUESVFVMVQVNVFVMVQJACDEVSVTWBWAVFVMVQTVHVIVLVQVFQRSVOVHVIJZVPVQU
    KZVMWCVFVHVIVLUFUGVFWCWDULZVMVFURUTVCVDVAWEVSVTWBWAURUTVAVEUHACDBEUIUMUNUOU
    PUQ $.

  ${
    $d Q a x $.  $d N a x $.  $d A a x $.  $d B a x $.  $d C a x $.
    $( Generalization of ~ axsegcon .  This time, we generate an endpoint for a
       segment on the ray ` Q A ` congruent to ` B C ` and starting at ` Q ` ,
       as opposed to ~ axsegcon , where the segment starts at ` A `
       (Contributed by Scott Fenton, 14-Oct-2013.)  Remove unneeded inequality.
       (Revised by Scott Fenton, 15-Oct-2013.) $)
    segcon2 $p |- ( ( N e. NN /\
       ( Q e. ( EE ` N ) /\ A e. ( EE ` N ) ) /\
       ( B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
         E. x e. ( EE ` N ) ( ( A Btwn <. Q , x >. \/ x Btwn <. Q , A >. ) /\
           <. Q , x >. Cgr <. B , C >. ) ) $=
      ( va wcel wa w3a cv cop cbtwn wbr wrex wne axsegcon adantr wi mpd cee cfv
      cn ccgr wceq breq1 orbi1d anbi1d rexbidv simp1 simp2 ancomd syl3anc simpr
      wo simpl1 simpl2l simpl3 syl121anc anass df-3an simpr1 wb simpr2r simpl2r
      simprl syl122anc necon3bid mpbird necomd simpr2l btwncomand simpr3 simprr
      cgrdegen btwnconn2 mp3and sylan2br anim1d sylanb an32s reximdva rexlimdva
      expr simp2l simp3 orc anim1i reximi syl pm2.61ne ) FUCHZEFUAUBZHZBWMHZIZC
      WMHDWMHIZJZBEAKZLZMNZWSEBLMNZUOZWTCDLUDNZIZAWMOZEWTMNZXBUOZXDIZAWMOZBEBEU
      EZXEXIAWMXKXCXHXDXKXAXGXBBEWTMUFUGUHUIWRBEPZIZEBGKZLMNZEXNLBELUDNZIZGWMOZ
      XFWRXRXLWRWLWOWNIZXSXRWLWPWQUJZWRWNWOWLWPWQUKULZYAGBEBEFQUMRXMXQXFGWMWRXN
      WMHZXLXQXFSWRYBIZXLXQXFYCXLXQIZIZEXNWSLMNZXDIZAWMOZXFYCYHYDYCWLYBWNWQYHWL
      WPWQYBUPWRYBUNWNWOWLWQYBUQWLWPWQYBURAXNECDFQUSRYEYGXEAWMYCWSWMHZYDYGXESZY
      CYIIWRYBYIIZIZYDYJWRYBYIUTYLYDIYFXCXDYLYDYFXCYDYFIYLXLXQYFJZXCXLXQYFVAYLY
      MIZXNEPZEXNBLMNZYFXCYNEXNYNEXNPXLYLXLXQYFVBYNEXNBEYNXPEXNUEXKVCZXOXPXLYFY
      LVDYLXPYQSZYMYLWLWNYBWOWNYRWLWPWQYKUPZWNWOWLWQYKUQZWRYBYIVFZWNWOWLWQYKVEZ
      YTEXNBEFVOVGRTVHVIVJYLYMEBXNFYSYTUUBUUAXOXPXLYFYLVKVLYLXLXQYFVMYLYOYPYFJX
      CSZYMYLWLYBWNWOYIUUCYSUUAYTUUBWRYBYIVNXNEBWSFVPVGRVQVRWDVSVTWAWBTWDWAWCTW
      RXGXDIZAWMOZXJWRWLWNWNWQUUEXTWLWNWOWQWEZUUFWLWPWQWFAEECDFQUSUUDXIAWMXGXHX
      DXGXBWGWHWIWJWK $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Segment less than or equal to
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c Seg<_ $.

  $( Declare the constant for the segment less than or equal to
     relationship. $)
  csegle $a class Seg<_ $.

  ${
    $d p q n a b c d y $.
    $( Define the segment length comparison relationship.  This relationship
       expresses that the segment ` A B ` is no longer than ` C D ` .  In this
       section, we establish various properties of this relationship showing
       that it is a transitive, reflexive relationship on pairs of points that
       is substitutive under congruence.  Definition 5.4 of [Schwabhauser]
       p. 41.  (Contributed by Scott Fenton, 11-Oct-2013.) $)
    df-segle $a |- Seg<_ = { <. p , q >. |
       E. n e. NN E. a e. ( EE ` n ) E. b e. ( EE ` n ) E. c e. ( EE ` n )
       E. d e. ( EE ` n ) ( p = <. a , b >. /\ q = <. c , d >. /\
         E. y e. ( EE ` n ) ( y Btwn <. c , d >. /\
                              <. a , b >. Cgr <. c , y >. ) ) } $.
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a d $.  $d A d $.
    $d a n $.  $d A n $.  $d a p $.  $d A p $.  $d a q $.  $d A q $.  $d a y $.
    $d A y $.  $d B a $.  $d B b $.  $d b c $.  $d B c $.  $d b d $.  $d B d $.
    $d b n $.  $d B n $.  $d b p $.  $d B p $.  $d b q $.  $d B q $.  $d b y $.
    $d B y $.  $d C a $.  $d C b $.  $d C c $.  $d c d $.  $d C d $.  $d c n $.
    $d C n $.  $d c p $.  $d C p $.  $d c q $.  $d C q $.  $d c y $.  $d C y $.
    $d D a $.  $d D b $.  $d D c $.  $d D d $.  $d d n $.  $d D n $.  $d d p $.
    $d D p $.  $d d q $.  $d D q $.  $d d y $.  $d D y $.  $d N a $.  $d N b $.
    $d N c $.  $d N d $.  $d N n $.  $d n p $.  $d n q $.  $d n y $.  $d N y $.
    $d p q $.  $d p y $.  $d q y $.
    $( Binary relation form of the segment comparison relationship.
       (Contributed by Scott Fenton, 11-Oct-2013.) $)
    brsegle $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
        ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
        ( <. A , B >. Seg<_ <. C , D >. <->
          E. y e. ( EE ` N ) ( y Btwn <. C , D >. /\
                  <. A , B >. Cgr <. C , y >. ) ) ) $=
      ( va vb vc vd vn cop wbr cv wceq wa wrex w3a cn wcel vp csegle cbtwn ccgr
      cee cfv opex eqeq1 eqcom bitrdi 3anbi1d rexbidv 2rexbidv 3anbi2d df-segle
      vq brab vex opth biid 3anbi123i 2rexbii rexbii wi simpl2l ad2antrl eleenn
      syl simprlr simprll adantl axdimuniq syl22anc fveq2d rexeqdv exbiri eleq1
      anassrs bi2anan9 anbi2d opeq12 breq1d breq2d opeq1 adantr sylan9bb imbi1d
      wb anbi12d 3imtr4d com12 expd 3impd rexlimdvv rexlimdvva rexlimdva syl5bi
      simpl1 simpl2r simpl3l simpl3r eqidd simpr eqeq1d 3anbi23d anbi1d rspc2ev
      expr opeq2 syl113anc 3anbi13d syl3anc 3anbi3d rexeqbidv rspcev syl2anc ex
      fveq2 impbid syl5bb ) BCLZDELZUBMGNZHNZLZYAOZINZJNZLZYBOZANZYIUCMZYEYGYKL
      ZUDMZPZAKNZUEUFZQZRZJYQQZIYQQZHYQQZGYQQZKSQZFSTZBFUEUFZTZCUUFTZPZDUUFTZEU
      UFTZPZRZYKYBUCMZYADYKLZUDMZPZAUUFQZUANZYEOZUPNZYIOZYRRZJYQQZIYQQHYQQZGYQQ
      KSQYFUVBYRRZJYQQZIYQQHYQQZGYQQKSQUUDUAUPYAYBUBBCUGDEUGUUSYAOZUVEUVHKGSYQU
      VIUVDUVGHIYQYQUVIUVCUVFJYQUVIUUTYFUVBYRUVIUUTYAYEOYFUUSYAYEUHYAYEUIUJUKUL
      UMUMUVAYBOZUVHUUBKGSYQUVJUVGYTHIYQYQUVJUVFYSJYQUVJUVBYJYFYRUVJUVBYBYIOYJU
      VAYBYIUHYBYIUIUJUNULUMUMAKUPUAGHIJUOUQUUMUUDUURUUDYCBOZYDCOZPZYGDOZYHEOZP
      ZYRRZJYQQIYQQZHYQQGYQQZKSQUUMUURUUCUVSKSUUAUVRGHYQYQYSUVQIJYQYQYFUVMYJUVP
      YRYRYCYDBCGURHURUSYGYHDEIURJURUSYRUTVAVBVBVCUUMUVSUURKSUUMYPSTZPZUVRUURGH
      YQYQUWAYCYQTZYDYQTZPZPUVQUURIJYQYQUWAUWDYGYQTZYHYQTZPZUVQUURVDUWAUWDUWGPZ
      PZUVMUVPYRUURUWIUVMUVPYRUURVDZUVMUVPPZUWIUWJUWKUWABYQTZCYQTZPZDYQTZEYQTZP
      ZPZPZUUQAYQQZUURVDZUWIUWJUVKUVLUVPUWSUXAVDUVKUVLUVPPPZUWSUURUWTUXBUWSPZUU
      QAUUFYQUXCFYPUEUXCUUEUUGUVTUWLFYPOUXCUUGUUEUWAUUGUXBUWRUUGUUHUUEUULUVTVEV
      FZBFVGVHUXDUXBUUMUVTUWRVIUWSUWLUXBUWAUWLUWMUWQVJVKBYPFVLVMVNVOVPVRUWKUWHU
      WRUWAUVMUWDUWNUVPUWGUWQUVKUWBUWLUVLUWCUWMYCBYQVQYDCYQVQVSUVNUWEUWOUVOUWFU
      WPYGDYQVQYHEYQVQVSVSVTUWKYRUWTUURUWKYOUUQAYQUVMYOYLYAYMUDMZPZUVPUUQUVMYNU
      XEYLUVMYEYAYMUDYCYDBCWAWBVTUVPYLUUNUXEUUPUVPYIYBYKUCYGYHDEWAWCUVNUXEUUPWH
      UVOUVNYMUUOYAUDYGDYKWDWCZWEWIWFULWGWJWKWLWMXHWNWOWPWQUUMUURUUDUUMUURPZUUE
      YFYJYOAUUFQZRZJUUFQZIUUFQZHUUFQZGUUFQZUUDUUEUUIUULUURWRUXHUUGUUHYAYAOZYJU
      XFAUUFQZRZJUUFQIUUFQZUXNUUGUUHUUEUULUURVEUUGUUHUUEUULUURWSUXHUUJUUKUXOYBY
      BOZUURUXRUUJUUKUUEUUIUURWTUUJUUKUUEUUIUURXAUXHYAXBUXHYBXBUUMUURXCUXQUXOUX
      SUURRUXODYHLZYBOZYKUXTUCMZUUPPZAUUFQZRIJDEUUFUUFUVNYJUYAUXPUYDUXOUVNYIUXT
      YBYGDYHWDZXDUVNUXFUYCAUUFUVNYLUYBUXEUUPUVNYIUXTYKUCUYEWCUXGWIULXEUVOUYAUX
      SUYDUURUXOUVOUXTYBYBYHEDXIZXDUVOUYCUUQAUUFUVOUYBUUNUUPUVOUXTYBYKUCUYFWCXF
      ULXEXGXJUXLUXRBYDLZYAOZYJYLUYGYMUDMZPZAUUFQZRZJUUFQIUUFQGHBCUUFUUFUVKUXJU
      YLIJUUFUUFUVKYFUYHUXIUYKYJUVKYEUYGYAYCBYDWDZXDUVKYOUYJAUUFUVKYNUYIYLUVKYE
      UYGYMUDUYMWBVTULXKUMUVLUYLUXQIJUUFUUFUVLUYHUXOUYKUXPYJUVLUYGYAYAYDCBXIZXD
      UVLUYJUXFAUUFUVLUYIUXEYLUVLUYGYAYMUDUYNWBVTULXKUMXGXLUUCUXNKFSYPFOZUUBUXM
      GYQUUFYPFUEXRZUYOUUAUXLHYQUUFUYPUYOYTUXKIYQUUFUYPUYOYSUXJJYQUUFUYPUYOYRUX
      IYFYJUYOYOAYQUUFUYPVOXMXNXNXNXNXOXPXQXSXT $.
  $}

  ${
    $d N x y $.  $d A x y $.  $d B x y $.  $d C x y $.  $d D x y $.
    $( Alternate characterization of segment comparison.  Theorem 5.5 of
       [Schwabhauser] p. 41-42.  (Contributed by Scott Fenton, 11-Oct-2013.) $)
    brsegle2 $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
        ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
        ( <. A , B >. Seg<_ <. C , D >. <->
          E. x e. ( EE ` N ) ( B Btwn <. A , x >. /\
                  <. A , x >. Cgr <. C , D >. ) ) ) $=
      ( vy wcel wa w3a cop wbr ccgr wrex wi adantr mpd mp2and wb 3ad2ant1 cn cv
      cee csegle cbtwn brsegle ccgr3 ccolin simprl simpl1 simpl3l simpl3r simpr
      btwncolinear2 syl13anc simpl2l simpl2r simprr cgrcomand lineext syl131anc
      simpl2 simpll1 simplr brcgr3 syl133anc simp2l simp3 mpbird btwnxfr simp32
      cfv an32 cgrcom syl122anc mpbid jca 3expia sylbid sylanb an32s rexlimdva2
      reximdva btwncolinear1 simpl3 3jca syl113anc simp2r simp33 cgrcomlr bitrd
      impbid ) FUAHZBFUCVLZHZCWNHZIZDWNHZEWNHZIZJZBCKZDEKZUDLGUBZXCUELZXBDXDKZM
      LZIZGWNNZCBAUBZKZUELZXKXCMLZIZAWNNZGBCDEFUFXAXIXOXAXHXOGWNXAXDWNHZIZXHIZD
      XDEKZKZBCXJKZKZUGLZAWNNZXOXRDXSUHLZXFXBMLZYDXRXEYEXQXEXGUIXQXEYEOZXHXQWMW
      RWSXPYGWMWQWTXPUJZWRWSWMWQXPUKZWRWSWMWQXPULZXAXPUMZDEXDFUNUOPQXQXHBCDXDFY
      HWOWPWMWTXPUPWOWPWMWTXPUQYIYKXQXEXGURUSXQYEYFIYDOZXHXQWMWRXPWSWQYLYHYIYKY
      JWMWQWTXPVBDXDEBACFUTVAPRXRYCXNAWNXQXJWNHZXHYCXNOZXQYMIXAYMIZXPIZXHYNXAXP
      YMVMYPXHIYCYFXCXKMLZXSYAMLZJZXNYPYCYSSZXHYPWMWRXPWSWOWPYMYTWMWQWTYMXPVCZY
      OWRXPWRWSWMWQYMUKPZYOXPUMZYOWSXPWRWSWMWQYMULPZYOWOXPWOWPWMWTYMUPZPZYOWPXP
      WOWPWMWTYMUQZPZXAYMXPVDZDXDEBCXJFVEVFZPYPXHYSXNYPXHYSJZXLXMUUKXEYCXLYPXEX
      GYSVGUUKYCYSYPXHYSVHYPXHYTYSUUJTVIYPXHXEYCIXLOZYSYPWMWRXPWSWOWPYMUULUUAUU
      BUUCUUDUUFUUHUUIDXDEBCXJFVJVFTRUUKYQXMYPXHYFYQYRVKYPXHYQXMSZYSYPWMWRWSWOY
      MUUMUUAUUBUUDUUFUUIDEBXJFVNVOTVPVQVRVSVTWAWCQWBXAXNXIAWNYOXNIZBXJCKZKDEXD
      KZKUGLZGWNNZXIUUNBUUOUHLZXMUURUUNXLUUSYOXLXMUIUUNWMWOYMWPXLUUSOWMWQWTYMXN
      VCYOWOXNUUEPXAYMXNVDYOWPXNUUGPBXJCFWDUOQYOXLXMURYOUUSXMIUUROZXNYOWMWOYMWP
      WTUUTWMWQWTYMUJUUEXAYMUMZUUGWMWQWTYMWEBXJCDGEFUTVAPRUUNUUQXHGWNYOXPXNUUQX
      HOYPXNIUUQXMXGUUOUUPMLZJZXHYPUUQUVCSZXNYPWMWOYMWPJZWRWSXPUVDUUAYOUVEXPYOW
      OYMWPUUEUVAUUGWFPUUBUUDUUCBXJCDEXDFVEWGPYPXNUVCXHYPXNUVCJZXEXGUVFXLYBXTUG
      LZXEYPXLXMUVCVGUVFUVGXGXMYAXSMLZJZUVFXGXMUVHYPXNXMXGUVBVKZYPXLXMUVCWHUVFU
      VBUVHYPXNXMXGUVBWIYPXNUVBUVHSZUVCYPWMYMWPWSXPUVKUUAUUIUUHUUDUUCXJCEXDFWJV
      OTVPWFYPXNUVGUVISZUVCYPWMWOWPYMWRXPWSUVLUUAUUFUUHUUIUUBUUCUUDBCXJDXDEFVEV
      FTVIYPXNXLUVGIXEOZUVCYPWMWOWPYMWRXPWSUVMUUAUUFUUHUUIUUBUUCUUDBCXJDXDEFVJV
      FTRUVJVQVRVSWAWCQWBWLWK $.
  $}

  ${
    $d N y z $.  $d A y z $.  $d B y z $.  $d C y z $.  $d D y z $.
    $d E y z $.  $d F y z $.  $d G y z $.  $d H y z $.
    $( Substitution law for segment comparison under congruence.  Theorem 5.6
       of [Schwabhauser] p. 42.  (Contributed by Scott Fenton, 11-Oct-2013.) $)
    seglecgr12im $p |- (
       ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ E e. ( EE ` N ) ) /\
         ( F e. ( EE ` N ) /\ G e. ( EE ` N ) /\ H e. ( EE ` N ) ) ) ->
       ( ( <. A , B >. Cgr <. E , F >. /\ <. C , D >. Cgr <. G , H >. /\
           <. A , B >. Seg<_ <. C , D >. ) ->
           <. E , F >. Seg<_ <. G , H >. ) ) $=
      ( vy vz wcel w3a cop ccgr wbr wi wa wrex adantr cn cee csegle cbtwn ccgr3
      cv simprrl simprlr simpl11 simpl21 simpr simpl22 simpl32 cgrxfr syl132anc
      cfv simpl33 mp2and anass wb simprl simprr brcgr3 syl133anc df-3an simpl23
      simpl31 simpl12 simpl13 simpr1l simpr2r cgrtr4and simpr31 cgrtrand sylbid
      sylan2br expr anim2d sylanb an32s reximdva rexlimdva simp11 simp12 simp13
      simp21 simp22 brsegle syl122anc simp23 simp31 simp32 simp33 3imtr4d exp32
      mpd 3impd ) IUALZAIUBUPZLZBWSLZMZCWSLZDWSLZEWSLZMZFWSLZGWSLZHWSLZMZMZABNZ
      EFNZOPZCDNZGHNZOPZXLXOUCPZXMXPUCPZXKXNXQXRXSQXKXNXQRZRZJUFZXOUDPZXLCYBNZO
      PZRZJWSSZKUFZXPUDPZXMGYHNZOPZRZKWSSZXRXSYAYFYMJWSXKYBWSLZXTYFYMQXKYNRZXTY
      FYMYOXTYFRZRZYICYBDNZNGYHHNZNUEPZRZKWSSZYMYQYCXQUUBYOXTYCYEUGYOXNXQYFUHYO
      YCXQRUUBQZYPYOWRXCYNXDXHXIUUCWRWTXAXFXJYNUIXCXDXEXBXJYNUJXKYNUKXCXDXEXBXJ
      YNULXGXHXIXBXFYNUMXGXHXIXBXFYNUQCYBDGKHIUNUOTURYQUUAYLKWSYOYHWSLZYPUUAYLQ
      ZYOUUDRXKYNUUDRZRZYPUUEXKYNUUDUSUUGYPRZYTYKYIUUHYTYDYJOPZXQYRYSOPZMZYKUUG
      YTUUKUTZYPUUGWRXCYNXDXHUUDXIUULWRWTXAXFXJUUFUIZXCXDXEXBXJUUFUJZXKYNUUDVAZ
      XCXDXEXBXJUUFULXGXHXIXBXFUUFUMZXKYNUUDVBZXGXHXIXBXFUUFUQCYBDGYHHIVCVDTUUG
      YPUUKYKYPUUKRUUGXTYFUUKMZYKXTYFUUKVEUUGUUREFCYBGYHIUUMXCXDXEXBXJUUFVFZXGX
      HXIXBXFUUFVGZUUNUUOUUPUUQUUGUURABEFCYBIUUMWRWTXAXFXJUUFVHWRWTXAXFXJUUFVIU
      USUUTUUNUUOXNXQYFUUKUUGVJYCYEXTUUKUUGVKVLUUIXQUUJXTYFUUGVMVNVPVQVOVRVSVTW
      AWPVQVTWBXKXRYGUTZXTXKWRWTXAXCXDUVAWRWTXAXFXJWCZWRWTXAXFXJWDWRWTXAXFXJWEX
      BXCXDXEXJWFXBXCXDXEXJWGJABCDIWHWITXKXSYMUTZXTXKWRXEXGXHXIUVCUVBXBXCXDXEXJ
      WJXBXFXGXHXIWKXBXFXGXHXIWLXBXFXGXHXIWMKEFGHIWHWITWNWOWQ $.
  $}

  $( Substitution law for segment comparison under congruence.  Biconditional
     version.  (Contributed by Scott Fenton, 15-Oct-2013.)  (Revised by Mario
     Carneiro, 19-Apr-2014.) $)
  seglecgr12 $p |- (
       ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
         ( C e. ( EE ` N ) /\ D e. ( EE ` N ) /\ E e. ( EE ` N ) ) /\
         ( F e. ( EE ` N ) /\ G e. ( EE ` N ) /\ H e. ( EE ` N ) ) ) ->
       ( ( <. A , B >. Cgr <. E , F >. /\ <. C , D >. Cgr <. G , H >. ) ->
           ( <. A , B >. Seg<_ <. C , D >. <->
             <. E , F >. Seg<_ <. G , H >. ) ) ) $=
    ( wcel w3a cop ccgr wbr wa csegle df-3an seglecgr12im syl5bir expd cn wi wb
    simp11 simp12 simp13 simp23 simp31 cgrcom syl122anc simp21 simp22 syl333anc
    cee cfv simp32 simp33 anbi12d sylbid impbidd ) IUAJZAIUNUOZJZBVBJZKZCVBJZDV
    BJZEVBJZKZFVBJZGVBJZHVBJZKZKZABLZEFLZMNZCDLZGHLZMNZOZVOVRPNZVPVSPNZVNWAWBWC
    WAWBOVQVTWBKVNWCVQVTWBQABCDEFGHIRSTVNWAVPVOMNZVSVRMNZOZWCWBUBVNVQWDVTWEVNVA
    VCVDVHVJVQWDUCVAVCVDVIVMUDZVAVCVDVIVMUEZVAVCVDVIVMUFZVEVFVGVHVMUGZVEVIVJVKV
    LUHZABEFIUIUJVNVAVFVGVKVLVTWEUCWGVEVFVGVHVMUKZVEVFVGVHVMULZVEVIVJVKVLUPZVEV
    IVJVKVLUQZCDGHIUIUJURVNWFWCWBWFWCOWDWEWCKZVNWBWDWEWCQVNVAVHVJVKVLVCVDVFVGWP
    WBUBWGWJWKWNWOWHWIWLWMEFGHABCDIRUMSTUSUT $.

  ${
    $d A y $.  $d B y $.  $d N y $.
    $( Segment comparison is reflexive.  Theorem 5.7 of [Schwabhauser] p. 42.
       (Contributed by Scott Fenton, 11-Oct-2013.) $)
    seglerflx $p |- ( ( N e. NN /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ->
        <. A , B >. Seg<_ <. A , B >. ) $=
      ( vy cn wcel cee cfv w3a cop csegle cv cbtwn ccgr wa wrex simp3 btwntriv2
      wbr cgrrflx wceq breq1 opeq2 breq2d anbi12d rspcev syl12anc simp1 brsegle
      wb simp2 syl122anc mpbird ) CEFZACGHZFZBUOFZIZABJZUSKSZDLZUSMSZUSAVAJZNSZ
      OZDUOPZURUQBUSMSZUSUSNSZVFUNUPUQQZABCRABCTVEVGVHODBUOVABUAZVBVGVDVHVABUSM
      UBVJVCUSUSNVABAUCUDUEUFUGURUNUPUQUPUQUTVFUJUNUPUQUHUNUPUQUKZVIVKVIDABABCU
      IULUM $.
  $}

  ${
    $d N y $.  $d A y $.  $d B y $.  $d C y $.
    $( Any segment is at least as long as a degenerate segment.  Theorem 5.11
       of [Schwabhauser] p. 42.  (Contributed by Scott Fenton, 11-Oct-2013.) $)
    seglemin $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
       <. A , A >. Seg<_ <. B , C >. ) $=
      ( vy cn wcel cee cfv w3a wa cop csegle wbr cv cbtwn ccgr simpr2 btwntriv1
      wrex 3adant3r1 cgrtriv 3adant3r3 wceq breq1 opeq2 breq2d anbi12d syl12anc
      rspcev wb simpl simpr1 simpr3 brsegle syl122anc mpbird ) DFGZADHIZGZBUSGZ
      CUSGZJZKZAALZBCLZMNZEOZVFPNZVEBVHLZQNZKZEUSTZVDVABVFPNZVEBBLZQNZVMURUTVAV
      BRZURVAVBVNUTBCDSUAURUTVAVPVBABDUBUCVLVNVPKEBUSVHBUDZVIVNVKVPVHBVFPUEVRVJ
      VOVEQVHBBUFUGUHUJUIVDURUTUTVAVBVGVMUKURVCULURUTVAVBUMZVSVQURUTVAVBUNEAABC
      DUOUPUQ $.
  $}

  ${
    $d N y z w $.  $d A y z w $.  $d B y z w $.  $d C y z w $.  $d D y z w $.
    $d E y z w $.  $d F y z w $.
    $( Segment less than is transitive.  Theorem 5.8 of [Schwabhauser] p. 42.
       (Contributed by Scott Fenton, 11-Oct-2013.) $)
    segletr $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) /\
       ( D e. ( EE ` N ) /\ E e. ( EE ` N ) /\ F e. ( EE ` N ) ) ) ->
       ( ( <. A , B >. Seg<_ <. C , D >. /\ <. C , D >. Seg<_ <. E , F >. ) ->
         <. A , B >. Seg<_ <. E , F >. ) ) $=
      ( vy vz vw wcel w3a cv cop cbtwn wbr ccgr wa wrex wb cee cfv csegle ccgr3
      cn simprll simprrr wi simpl1 simpl23 simprl simpl31 simpl32 simprr cgrxfr
      jca syl132anc adantr mpd df-3an anbi2i bitr4i simpr1 simpr3 simpr2 brcgr3
      anass simpl33 simpr3l simpr2l btwnexchand simpl21 simpl22 simpr1r simp3r1
      syl133anc anbi2d adantl cgrtrand sylan2br sylbid an32s reximdva rexlimdvv
      expr sylanb exp31 simp1 simp21 simp22 simp23 simp31 brsegle simp32 simp33
      syl122anc anbi12d reeanv bitr4di 3imtr4d ) GUEKZAGUAUBZKZBXBKZCXBKZLZDXBK
      ZEXBKZFXBKZLZLZHMZCDNZOPZABNZCXLNZQPZRZIMZEFNZOPZXMEXSNZQPZRZRZIXBSHXBSZJ
      MZXTOPZXOEYGNZQPZRZJXBSZXOXMUCPZXMXTUCPZRZXOXTUCPZXKYEYLHIXBXBXKXLXBKZXSX
      BKZRZYEYLXKYSRZYERZYGYBOPZCXLDNZNEYGXSNZNUDPZRZJXBSZYLUUAXNYCRZUUGUUAXNYC
      YTXNXQYDUFYTXRYAYCUGUPYTUUHUUGUHZYEYTXAXEYQXGXHYRUUIXAXFXJYSUIXCXDXEXAXJY
      SUJXKYQYRUKXGXHXIXAXFYSULXGXHXIXAXFYSUMXKYQYRUNCXLDEJXSGUOUQURUSUUAUUFYKJ
      XBYTYGXBKZYEUUFYKUHZYTUUJRZXKYQYRUUJLZRZYEUUKUULXKYSUUJRZRUUNXKYSUUJVGUUM
      UUOXKYQYRUUJUTVAVBUUNYERUUFUUBXPYIQPZYCUUCUUDQPZLZRZYKUUNUUFUUSTYEUUNUUEU
      URUUBUUNXAXEYQXGXHUUJYRUUEUURTXAXFXJUUMUIZXCXDXEXAXJUUMUJZXKYQYRUUJVCZXGX
      HXIXAXFUUMULXGXHXIXAXFUUMUMZXKYQYRUUJVDZXKYQYRUUJVEZCXLDEYGXSGVFVPVQURUUN
      YEUUSYKYEUUSRUUNXRYDUUSLZYKXRYDUUSUTUUNUVFRYHYJUUNUVFEYGXSFGUUTUVCUVDUVEX
      GXHXIXAXFUUMVHUUBUURXRYDUUNVIYAYCXRUUSUUNVJVKUUNUVFABCXLEYGGUUTXCXDXEXAXJ
      UUMVLXCXDXEXAXJUUMVMUVAUVBUVCUVDXNXQYDUUSUUNVNUVFUUPUUNUUPYCUUQUUBXRYDVOV
      RVSUPVTWEWAWFWBWCUSWGWDXKYOXRHXBSZYDIXBSZRYFXKYMUVGYNUVHXKXAXCXDXEXGYMUVG
      TXAXFXJWHZXAXCXDXEXJWIZXAXCXDXEXJWJZXAXCXDXEXJWKZXAXFXGXHXIWLZHABCDGWMWPX
      KXAXEXGXHXIYNUVHTUVIUVLUVMXAXFXGXHXIWNZXAXFXGXHXIWOZICDEFGWMWPWQXRYDHIXBX
      BWRWSXKXAXCXDXHXIYPYLTUVIUVJUVKUVNUVOJABEFGWMWPWT $.
  $}

  ${
    $d N y t $.  $d A y t $.  $d B y t $.  $d C y t $.  $d D y t $.
    $( Antisymmetry law for segment comparison.  Theorem 5.9 of [Schwabhauser]
       p. 42.  (Contributed by Scott Fenton, 14-Oct-2013.) $)
    segleantisym $p |- ( ( N e. NN /\
        ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
        ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
        ( ( <. A , B >. Seg<_ <. C , D >. /\ <. C , D >. Seg<_ <. A , B >. ) ->
          <. A , B >. Cgr <. C , D >. ) ) $=
      ( vy vt wcel wa cop csegle wbr cv cbtwn ccgr wrex anbi12d simprll simprrl
      simprlr cn cee cfv w3a brsegle brsegle2 3com23 reeanv bitr4di weq simpl3l
      simpl1 simprr simprl simpl3r btwnexchand simpl2l simpl2r simprrr cgrtrand
      wb endofsegidand opeq2 breq2d breq1d anbi2d wceq btwncomand wi btwnswapid
      syl13anc adantr mp2and syl5ibrcom mpd syl6bi mpcom exp31 rexlimdvv sylbid
      ) EUAHZAEUBUCZHZBWBHZIZCWBHZDWBHZIZUDZABJZCDJZKLZWKWJKLZIZFMZWKNLZWJCWOJZ
      OLZIZDCGMZJZNLZXAWJOLZIZIZGWBPFWBPZWJWKOLZWIWNWSFWBPZXDGWBPZIXFWIWLXHWMXI
      FABCDEUEWAWHWEWMXIVAGCDABEUFUGQWSXDFGWBWBUHUIWIXEXGFGWBWBWIWOWBHZWTWBHZIZ
      XEXGGFUJZWIXLIZXEIZXGXNXECWTWOEWAWEWHXLULZWFWGWAWEXLUKZWIXJXKUMZWIXJXKUNZ
      XNXECWODWTEXPXQXSWFWGWAWEXLUOZXRXNWPWRXDRXNWSXBXCSUPXNXECWTABCWOEXPXQXRWC
      WDWAWHXLUQWCWDWAWHXLURXQXSXNWSXBXCUSXNWPWRXDTUTVBXMXOXNWSDWQNLZWQWJOLZIZI
      ZIZXGXMXEYDXNXMXDYCWSXMXBYAXCYBXMXAWQDNWTWOCVCZVDXMXAWQWJOYFVEQVFVFYEDWOV
      GZXGYEDWOCJNLZWODCJNLZYGXNYDDCWOEXPXTXQXSXNWSYAYBSVHXNYDWOCDEXPXSXQXTXNWP
      WRYCRVHXNYHYIIYGVIZYDXNWAWGXJWFYJXPXTXSXQDWOCEVJVKVLVMYEXGYGWRXNWPWRYCTYG
      WKWQWJODWOCVCVDVNVOVPVQVRVSVT $.
  $}

  ${
    $d N x $.  $d A x $.  $d B x $.  $d C x $.  $d D x $.
    $( Linearity law for segment comparison.  Theorem 5.10 of [Schwabhauser]
       p. 42.  (Contributed by Scott Fenton, 14-Oct-2013.) $)
    seglelin $p |- ( ( N e. NN /\
     ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
     ( C e. ( EE ` N ) /\ D e. ( EE ` N ) ) ) ->
     ( <. A , B >. Seg<_ <. C , D >. \/ <. C , D >. Seg<_ <. A , B >. ) ) $=
      ( vx cn wcel cee cfv wa w3a cop cbtwn wbr wo ccgr wrex csegle wb cv andir
      segcon2 simpl1 simpl2l simpr simpl3 cgrcom syl121anc anbi2d orbi2d syl5bb
      rexbidva brsegle2 brsegle 3com23 orbi12d r19.43 bitr4di bitr4d mpbid ) EG
      HZAEIJZHZBVCHZKZCVCHDVCHKZLZBAFUAZMZNOZVIABMZNOZPVJCDMZQOZKZFVCRZVLVNSOZV
      NVLSOZPZFBCDAEUCVHVQVKVOKZVMVNVJQOZKZPZFVCRZVTVHVPWDFVCVPWAVMVOKZPVHVIVCH
      ZKZWDVKVMVOUBWHWFWCWAWHVOWBVMWHVBVDWGVGVOWBTVBVFVGWGUDVDVEVBVGWGUEVHWGUFV
      BVFVGWGUGAVICDEUHUIUJUKULUMVHVTWAFVCRZWCFVCRZPWEVHVRWIVSWJFABCDEUNVBVGVFV
      SWJTFCDABEUOUPUQWAWCFVCURUSUTVA $.
  $}

  ${
    $d N x $.  $d A x $.  $d B x $.  $d C x $.
    $( If ` B ` falls between ` A ` and ` C ` , then ` A B ` is no longer than
       ` A C ` .  (Contributed by Scott Fenton, 16-Oct-2013.)  (Revised by
       Mario Carneiro, 19-Apr-2014.) $)
    btwnsegle $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
       ( B Btwn <. A , C >. -> <. A , B >. Seg<_ <. A , C >. ) ) $=
      ( vx cn wcel cee cfv w3a wa cop cbtwn wbr csegle ccgr wrex simplr2 adantr
      cv simpr simpl simpr1 simpr2 cgrrflxd breq1 opeq2 breq2d anbi12d syl12anc
      wceq rspcev wb simpr3 brsegle syl122anc mpbird ex ) DFGZADHIZGZBUTGZCUTGZ
      JZKZBACLZMNZABLZVFONZVEVGKZVIETZVFMNZVHAVKLZPNZKZEUTQZVJVBVGVHVHPNZVPVAVB
      VCUSVGRVEVGUAVEVQVGVEABDUSVDUBZUSVAVBVCUCZUSVAVBVCUDZUESVOVGVQKEBUTVKBUKZ
      VLVGVNVQVKBVFMUFWAVMVHVHPVKBAUGUHUIULUJVEVIVPUMZVGVEUSVAVBVAVCWBVRVSVTVSU
      SVAVBVCUNEABACDUOUPSUQUR $.
  $}

  $( Given three colinear points ` A ` , ` B ` , and ` C ` , ` B ` falls in the
     middle iff the two segments to ` B ` are no longer than ` A C ` .  Theorem
     5.12 of [Schwabhauser] p. 42.  (Contributed by Scott Fenton, 15-Oct-2013.)
     (Revised by Mario Carneiro, 19-Apr-2014.) $)
  colinbtwnle $p |- ( ( N e. NN /\
      ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
      ( A Colinear <. B , C >. ->
        ( B Btwn <. A , C >. <->
          ( <. A , B >. Seg<_ <. A , C >. /\
            <. B , C >. Seg<_ <. A , C >. ) ) ) ) $=
    ( wcel w3a wa cop wbr cbtwn csegle btwnsegle sylan2b ccgr mp2and adantr imp
    wb wi ex cn cee ccolin 3anrev 3ancoma btwncom simpl simpr2 simpr3 cgrrflx2d
    cfv simpr1 seglecgr12 syl333anc 3imtr4d jcad w3o brcolinear wceq btwncomand
    simprl biimpa adantrl 3anrot sylan2br sylbid adantrr segleantisym syl122anc
    endofsegidand btwntriv1 3adant3r2 breq1 syl5ibrcom mpd expr adantld biimprd
    a1dd simprr 3ancomb btwntriv2 adantrd 3jaod impbid ) DUAEZADUBUKZEZBWGEZCWG
    EZFZGZABCHZUCIZBACHZJIZABHZWOKIZWMWOKIZGZRWLWNGWPWTWLWPWTSWNWLWPWRWSABCDLWL
    BCAHZJIZCBHZXAKIZWPWSWKWFWJWIWHFXBXDSWHWIWJUDCBADLMWKWFWIWHWJFWPXBRWHWIWJUE
    BACDUFMZWLWMXCNIZWOXANIZWSXDRZWLBCDWFWKUGZWFWHWIWJUHZWFWHWIWJUIZUJWLACDXIWF
    WHWIWJULZXKUJWLWFWIWJWHWJWJWIWJWHXFXGGXHSXIXJXKXLXKXKXJXKXLBCACCBCADUMUNOZU
    OUPPWLWNWTWPSZWLWNAWMJIZXBCWQJIZUQXNABCDURWLXOXNXBXPWLXOXNWLXOGWSWPWRWLXOWS
    WPWLXOWSGZGZBAUSZWPWLXQCBADXIXKXJXLWLXQABCDXIXLXJXKWLXOWSVAUTXRXDXAXCKIZXCX
    ANIZWLWSXDXOWLWSXDXMVBVCWLXOXTWSWLXOXTWLXOAXCJIZXTABCDUFWKWFWJWHWIFYBXTSWJW
    HWIVDCABDLVEVFQVGWLXDXTGYASZXQWLWFWJWIWJWHYCXIXKXJXKXLCBCADVHVIPOVJWLXSWPSX
    QWLWPXSAWOJIZWFWHWJYDWIACDVKVLBAWOJVMVNPVOVPVQTWLXBWPWTWLWPXBXEVRVSWLXPXNWL
    XPGWRWPWSWLXPWRWPWLXPWRGZGZBCUSZWPWLYEABCDXIXLXJXKWLXPWRVAYFWRWOWQKIZWQWONI
    ZWLXPWRVTWLXPYHWRWLXPYHWKWFWHWJWIFXPYHSWHWIWJWAACBDLMQVGWLWRYHGYISZYEWLWFWH
    WIWHWJYJXIXLXJXLXKABACDVHVIPOVJWLYGWPSYEWLWPYGCWOJIZWFWHWJYKWIACDWBVLBCWOJV
    MVNPVOVPWCTWDVFQWET $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Outside-of relationship
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c OutsideOf $.

  $( Declare the syntax for the outside of constant. $)
  coutsideof $a class OutsideOf $.

  $( The outside of relationship.  This relationship expresses that ` P ` ,
     ` A ` , and ` B ` fall on a line, but ` P ` is not on the segment
     ` A B ` .  This definition is taken from theorem 6.4 of [Schwabhauser]
     p. 43, since it requires no dummy variables.  (Contributed by Scott
     Fenton, 17-Oct-2013.) $)
  df-outsideof $a |- OutsideOf = ( Colinear \ Btwn ) $.

  $( Binary relation form of ` OutsideOf ` .  Theorem 6.4 of [Schwabhauser]
     p. 43.  (Contributed by Scott Fenton, 17-Oct-2013.)  (Revised by Mario
     Carneiro, 19-Apr-2014.) $)
  broutsideof $p |- ( P OutsideOf <. A , B >. <->
    ( P Colinear <. A , B >. /\ -. P Btwn <. A , B >. ) ) $=
    ( cop coutsideof wbr ccolin cbtwn cdif wn wa df-outsideof breqi brdif bitri
    ) CABDZEFCPGHIZFCPGFCPHFJKCPEQLMCPGHNO $.

  $( Alternate form of ` OutsideOf ` .  Definition 6.1 of [Schwabhauser] p. 43.
     (Contributed by Scott Fenton, 17-Oct-2013.)  (Revised by Mario Carneiro,
     19-Apr-2014.) $)
  broutsideof2 $p |- ( ( N e. NN /\
    ( P e. ( EE ` N ) /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ) ->
    ( P OutsideOf <. A , B >. <->
      ( A =/= P /\ B =/= P /\
        ( A Btwn <. P , B >. \/ B Btwn <. P , A >. ) ) ) ) $=
    ( cop wbr cbtwn wa wcel w3a wne wceq 3adant3r1 breq1 syl5ibcom necon3bd imp
    adantrl wi a1i coutsideof ccolin wn cee cfv broutsideof btwntriv1 btwntriv2
    cn wo w3o brcolinear pm2.24 wb 3anrot btwncom sylan2b orc syl6bi a1dd 3jaod
    olc sylbid imp32 3jca simp3 3ancomb btwncolinear2 btwncolinear1 jaod simpr2
    a1d syl5 neneqd simprl1 simprr simpl simpr1 simpr3 btwnswapid adantr mp2and
    syl13anc expr mtod 3exp2 btwncomand sylan2br com12 com4l jca impbida syl5bb
    3imp2 ) CABEZUAFCWOUBFZCWOGFZUCZHZDUIIZCDUDUEZIZAXAIZBXAIZJZHZACKZBCKZACBEG
    FZBCAEGFZUJZJZABCUFXFWSXLXFWSHXGXHXKXFWRXGWPXFWRXGXFWQACXFAWOGFZACLZWQWTXCX
    DXMXBABDUGMACWOGNOPQRXFWRXHWPXFWRXHXFWQBCXFBWOGFZBCLZWQWTXCXDXOXBABDUHMBCWO
    GNOPQRXFWPWRXKXFWPWQABCEGFZXJUKWRXKSZCABDULXFWQXRXQXJWQXRSXFWQXKUMTXFXQXKWR
    XFXQXIXKXEWTXCXDXBJXQXIUNXBXCXDUOABCDUPUQXIXJURUSUTXJXRSXFXJXKWRXJXIVBVLTVA
    VCVDVEXFXLHWPWRXFXLWPXLXKXFWPXGXHXKVFXFXIWPXJXEWTXBXDXCJXIWPSXBXCXDVGCBADVH
    UQCABDVIVJVMQXFXGXHXKWRXKXFXGXHWRXFXKXGXHWRSSZXFXIXSXJXFXIXGXHWRXFXIXGXHJZH
    ZWQXNYAACXFXIXGXHVKVNXFXTWQXNXFXTWQHZHXIWQXNXIXGXHWQXFVOXFXTWQVPXFXIWQHXNSZ
    YBXFWTXCXBXDYCWTXEVQZWTXBXCXDVKZWTXBXCXDVRZWTXBXCXDVSZACBDVTWCWAWBWDWEWFXFX
    JXGXHWRXFXJXGXHJZHZWQXPYIBCXFXJXGXHVSVNXFYHWQXPXFYHWQHZHXJCBAEGFZXPXJXGXHWQ
    XFVOXFYJCABDYDYFYEYGXFYHWQVPWGXFXJYKHXPSZYJXEWTXDXBXCJYLXDXBXCUOBCADVTWHWAW
    BWDWEWFVJWIWJWNWKWLWM $.

  $( Outsideness implies inequality.  (Contributed by Scott Fenton,
     18-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  outsidene1 $p |- ( ( N e. NN /\
   ( P e. ( EE ` N ) /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ) ->
   ( P OutsideOf <. A , B >. -> A =/= P ) ) $=
    ( cn wcel cee cfv w3a wa cop coutsideof wbr wne cbtwn wo broutsideof2 simp1
    syl6bi ) DEFCDGHZFATFBTFIJCABKLMACNZBCNZACBKOMBCAKOMPZIUAABCDQUAUBUCRS $.

  $( Outsideness implies inequality.  (Contributed by Scott Fenton,
     18-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  outsidene2 $p |- ( ( N e. NN /\
   ( P e. ( EE ` N ) /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ) ->
   ( P OutsideOf <. A , B >. -> B =/= P ) ) $=
    ( cn wcel cee cfv w3a wa cop coutsideof wbr wne cbtwn wo broutsideof2 simp2
    syl6bi ) DEFCDGHZFATFBTFIJCABKLMACNZBCNZACBKOMBCAKOMPZIUBABCDQUAUBUCRS $.

  $( A principle linking outsideness to betweenness.  Theorem 6.2 of
     [Schwabhauser] p. 43.  (Contributed by Scott Fenton, 18-Oct-2013.)
     (Revised by Mario Carneiro, 19-Apr-2014.) $)
  btwnoutside $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
    ( C e. ( EE ` N ) /\ P e. ( EE ` N ) ) ) ->
    ( ( ( A =/= P /\ B =/= P /\ C =/= P ) /\ P Btwn <. A , C >. ) ->
      ( P Btwn <. B , C >. <-> P OutsideOf <. A , B >. ) ) ) $=
    ( wcel wa w3a wne cop cbtwn wbr wb df-3an simpr2 btwncomand simpr3 sylan2br
    adantr expr cee cfv coutsideof simpr11 simpr12 simpr13 simp3r simp2l simp3l
    cn wo simp1 simp2r wi btwnconn2 3com23 mp3and simp3 btwnouttr2 btwnexch3and
    3jca syl122anc jaod syl5 impbid broutsideof2 syl13anc bitr4d ex ) EUJFZAEUA
    UBZFZBVKFZGZCVKFZDVKFZGZHZADIZBDIZCDIZHZDACJKLZGZDBCJKLZDABJUCLZMVRWDGZWEVS
    VTADBJKLZBDAJKLZUKZHZWFWGWEWKVRWDWEWKWDWEGVRWBWCWEHZWKWBWCWENVRWLGZVSVTWJVS
    VTWAWCWEVRUDVSVTWAWCWEVRUEWMWADCAJKLZDCBJKLZWJVSVTWAWCWEVRUFVRWLDACEVJVNVQU
    LZVJVNVOVPUGZVJVLVMVQUHZVJVNVOVPUIZVRWBWCWEOPVRWLDBCEWPWQVJVLVMVQUMZWSVRWBW
    CWEQPVRWAWNWOHWJUNZWLVJVQVNXACDABEUOUPSUQVARTWKWJWGWEVSVTWJURWGWHWEWIVRWDWH
    WEWDWHGVRWBWCWHHZWEWBWCWHNVRXBGVSABDJKLZWCWEVSVTWAWCWHVRUDVRXBADBEWPWRWQWTV
    RWBWCWHQPVRWBWCWHOVRVSXCWCHWEUNZXBVRVJVMVLVPVOXDWPWTWRWQWSBADCEUSVBSUQRTVRW
    DWIWEWDWIGVRWBWCWIHZWEWBWCWINVRXEABDCEWPWRWTWQWSVRXEBDAEWPWTWQWRVRWBWCWIQPV
    RWBWCWIOUTRTVCVDVEVRWFWKMZWDVRVJVPVLVMXFWPWQWRWTABDEVFVGSVHVI $.

  ${
    $d N c $.  $d A c $.  $d B c $.  $d P c $.
    $( Characterization of outsideness in terms of relationship to a fourth
       point.  Theorem 6.3 of [Schwabhauser] p. 43.  (Contributed by Scott
       Fenton, 18-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    broutsideof3 $p |- ( ( N e. NN /\
       ( P e. ( EE ` N ) /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ) ->
       ( P OutsideOf <. A , B >. <->
         ( A =/= P /\ B =/= P /\
           E. c e. ( EE ` N ) ( c =/= P /\ P Btwn <. A , c >. /\
                                P Btwn <. B , c >. ) ) ) ) $=
      ( wcel w3a wa cop wbr wne cbtwn simpr3 adantr wi df-3an btwncomand simpr2
      wrex expr cn cee cfv coutsideof wo cv broutsideof2 simpl btwndiff syl3anc
      simpr1 3anass necomd simp1 simp23 simp22 simp21 simpr1r btwnexch3and 3jca
      simp3 syl2anbr an32s reximdva jaod simprr1 simpll simplr1 simplr2 simprr2
      simpr simplr3 simprr3 btwnconn2 syl122anc mp3and rexlimdva impbid 3bitr4g
      mpd pm5.32da bitrd ) DUAFZCDUBUCZFZAWDFZBWDFZGZHZCABIUDJACKZBCKZACBILJZBC
      AILJZUEZGZWJWKEUFZCKZCAWPILJZCBWPILJZGZEWDSZGZABCDUGWIWJWKHZWNHXCXAHWOXBW
      IXCWNXAWIXCHZWNXAXDWLXAWMWIXCWLXAWIXCWLHZHZWSCWPKZHZEWDSZXAWIXIXEWIWCWGWE
      XIWCWHUHZWCWEWFWGMWCWEWFWGUKZBCDEUIUJNXFXHWTEWDWIWPWDFZXEXHWTOWIXLHZXEXHW
      TXMWCWHXLGZXEWSXGGZWTXEXHHWCWHXLPZXEWSXGULXNXOHZWQWRWSXQCWPXNXEWSXGMUMXNX
      OBACWPDWCWHXLUNZWCWEWFWGXLUOZWCWEWFWGXLUPZWCWEWFWGXLUQZWCWHXLVAZXNXOACBDX
      RXTYAXSXCWLWSXGXNURQXNXEWSXGRZUSYCUTVBTVCVDVTTWIXCWMXAWIXCWMHZHZWRXGHZEWD
      SZXAWIYGYDWIWCWFWEYGXJWCWEWFWGRXKACDEUIUJNYEYFWTEWDWIXLYDYFWTOXMYDYFWTXMX
      NYDWRXGGZWTYDYFHXPYDWRXGULXNYHHZWQWRWSYICWPXNYDWRXGMUMXNYDWRXGRZXNYHABCWP
      DXRXTXSYAYBXNYHBCADXRXSYAXTXCWMWRXGXNURQYJUSUTVBTVCVDVTTVEXDWTWNEWDWIXLXC
      WTWNOXMXCWTWNXMXCWTHZHWQCWPAILJZCWPBILJZWNWQWRWSXCXMVFXMYKCAWPDWCWHXLVGZW
      EWFWGWCXLVHZWEWFWGWCXLVIZWIXLVKZWQWRWSXCXMVJQXMYKCBWPDYNYOWEWFWGWCXLVLZYQ
      WQWRWSXCXMVMQXMWQYLYMGWNOZYKXMWCXLWEWFWGYSYNYQYOYPYRWPCABDVNVONVPTVCVQVRW
      AWJWKWNPWJWKXAPVSWB $.
  $}

  $( Reflexivity of outsideness.  Theorem 6.5 of [Schwabhauser] p. 44.
     (Contributed by Scott Fenton, 18-Oct-2013.)  (Revised by Mario Carneiro,
     19-Apr-2014.) $)
  outsideofrflx $p |- ( ( N e. NN /\ P e. ( EE ` N ) /\ A e. ( EE ` N ) ) ->
    ( A =/= P -> P OutsideOf <. A , A >. ) ) $=
    ( cn wcel cee cfv w3a wne cop ccolin wbr cbtwn wn coutsideof axbtwnid eqcom
    wa wceq syl6ib necon3ad colineartriv2 jctild broutsideof syl6ibr ) CDEBCFGZ
    EAUFEHZABIZBAAJZKLZBUIMLZNZRBUIOLUGUHULUJUGUKABUGUKBASABSBACPBAQTUABACUBUCA
    ABUDUE $.

  $( Commutativity law for outsideness.  Theorem 6.6 of [Schwabhauser] p. 44.
     (Contributed by Scott Fenton, 18-Oct-2013.)  (Revised by Mario Carneiro,
     19-Apr-2014.) $)
  outsideofcom $p |- ( ( N e. NN /\
    ( P e. ( EE ` N ) /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ) ->
    ( P OutsideOf <. A , B >. <-> P OutsideOf <. B , A >. ) ) $=
    ( cn cee cfv w3a wa wne cop cbtwn wbr wo coutsideof wb 3ancoma broutsideof2
    wcel orcom 3anbi3i bitri a1i 3ancomb sylan2b 3bitr4d ) DESZCDFGZSZAUHSZBUHS
    ZHZIZACJZBCJZACBKLMZBCAKLMZNZHZUOUNUQUPNZHZCABKOMCBAKOMZUSVAPUMUSUOUNURHVAU
    NUOURQURUTUOUNUPUQTUAUBUCABCDRULUGUIUKUJHVBVAPUIUJUKUDBACDRUEUF $.

  $( Transitivity law for outsideness.  Theorem 6.7 of [Schwabhauser] p. 44.
     (Contributed by Scott Fenton, 18-Oct-2013.)  (Revised by Mario Carneiro,
     19-Apr-2014.) $)
  outsideoftr $p |- ( ( N e. NN /\ ( A e. ( EE ` N ) /\ B e. ( EE ` N ) )
          /\
    ( C e. ( EE ` N ) /\ P e. ( EE ` N ) ) ) ->
    ( ( P OutsideOf <. A , B >. /\ P OutsideOf <. B , C >. ) ->
      P OutsideOf <. A , C >. ) ) $=
    ( wcel wa w3a wne cop cbtwn wbr wo coutsideof wi simprr df-3an expr jaod wb
    cn cee simpll simplr 3jca simplr1 simplr3 simp1 simp3r simp2l simp2r simp3l
    cfv simpr2 simpr3 btwnexchand orcd sylan2br simprlr btwnconn3 adantr mp2and
    syl122anc simpll2 adantl necomd btwnconn1 mp3and olcd imp32 exp31 syl5 impd
    broutsideof2 syl13anc anbi12d anbi12i an4 bitr4i bitrdi 3imtr4d ) EUAFZAEUB
    UMZFZBWCFZGZCWCFZDWCFZGZHZADIZBDIZGZWLCDIZGZGZADBJZKLZBDAJZKLZMZBDCJZKLZCWQ
    KLZMZGZGZWKWNAXBKLZCWSKLZMZHZDABJNLZDBCJNLZGZDACJNLZWJWPXFXKWPWKWLWNHZWJXFX
    KOWPWKWLWNWKWLWOUCWKWLWOUDWMWLWNPUEWJXPXFXKWJXPGZXFGWKWNXJWKWLWNWJXFUFWKWLW
    NWJXFUGXQXAXEXJXQWRXEXJOZWTWJXPWRXRWJXPWRGZGXCXJXDWJXSXCXJXSXCGWJXPWRXCHZXJ
    XPWRXCQWJXTGXHXIWJXTDABCEWBWFWIUHZWBWFWGWHUIZWBWDWEWIUJZWBWDWEWIUKZWBWFWGWH
    ULZWJXPWRXCUNWJXPWRXCUOUPUQURRWJXSXDXJWJXSXDGZGWRXDXJWJXPWRXDUSWJXSXDPWJWRX
    DGXJOZYFWJWBWHWDWGWEYGYAYBYCYEYDDACBEUTVCVAVBRSRWJXPWTXRWJXPWTGZGXCXJXDWJYH
    XCXJWJYHXCGZGZDBIZWTXCXJYJBDYIWLWJWKWLWNWTXCVDVEVFWJXPWTXCUSWJYHXCPWJYKWTXC
    HXJOZYIWJWBWHWEWDWGYLYAYBYDYCYEDBACEVGVCVAVHRWJYHXDXJYHXDGWJXPWTXDHZXJXPWTX
    DQWJYMGXIXHWJYMDCBAEYAYBYEYDYCWJXPWTXDUOWJXPWTXDUNUPVIURRSRSVJUEVKVLVMWJXNW
    KWLXAHZWLWNXEHZGZXGWJXLYNXMYOWJWBWHWDWEXLYNTYAYBYCYDABDEVNVOWJWBWHWEWGXMYOT
    YAYBYDYEBCDEVNVOVPYPWMXAGZWOXEGZGXGYNYQYOYRWKWLXAQWLWNXEQVQWMWOXAXEVRVSVTWJ
    WBWHWDWGXOXKTYAYBYCYEACDEVNVOWA $.

  $( Uniqueness law for ` OutsideOf ` .  Analogue of ~ segconeq .  (Contributed
     by Scott Fenton, 24-Oct-2013.)  (Revised by Mario Carneiro,
     19-Apr-2014.) $)
  outsideofeq $p |- ( ( N e. NN /\
    ( A e. ( EE ` N ) /\ R e. ( EE ` N ) /\ B e. ( EE ` N ) ) /\
    ( C e. ( EE ` N ) /\ X e. ( EE ` N ) /\ Y e. ( EE ` N ) ) ) ->
    ( ( ( A OutsideOf <. X , R >. /\ <. A , X >. Cgr <. B , C >. ) /\
        ( A OutsideOf <. Y , R >. /\ <. A , Y >. Cgr <. B , C >. ) ) ->
      X = Y ) ) $=
    ( wcel w3a cop wbr wa wne cbtwn simprlr simprrr simprll exp32 endofsegidand
    adantl cn cee cfv coutsideof ccgr wo wceq simp21 simp32 simp22 broutsideof2
    wb syl13anc anbi1d simp33 anbi12d simpll3 simprl3 jca simpll2 simp23 simp31
    simp1 cgrtr3and wi midofsegid syl122anc adantr mp3and btwnexchand cgrcomand
    jca32 eqcomd simprr simplrr simprrl necomd btwnconn1 mpjaod ccased imp32 ex
    expr syldan sylbid ) EUAHZAEUBUCZHZDWGHZBWGHZIZCWGHZFWGHZGWGHZIZIZAFDJUDKZA
    FJZBCJZUEKZLZAGDJUDKZAGJZWSUEKZLZLFAMZDAMZFADJZNKZDWRNKZUFZIZWTLZGAMZXGGXHN
    KZDXCNKZUFZIZXDLZLZFGUGZWPXAXMXEXSWPWQXLWTWPWFWHWMWIWQXLULWFWKWOVCZWFWHWIWJ
    WOUHZWFWKWLWMWNUIZWFWHWIWJWOUJZFDAEUKUMUNWPXBXRXDWPWFWHWNWIXBXRULYBYCWFWKWL
    WMWNUOZYEGDAEUKUMUNUPWPXTYAWPXTXKXQLZXGWRXCUEKZLZLYAWPXTLYGXGYHXTYGWPXTXKXQ
    XFXGXKWTXSUQXNXGXQXDXMURUSTXTXGWPXFXGXKWTXSUTTWPXTAFAGBCEYBYCYDYCYFWFWHWIWJ
    WOVAWFWKWLWMWNVBWPXLWTXSOWPXMXRXDPVDVLWPYGYIYAWPXIXOXJXPYIYAVEWPXIXOLZYIYAW
    PYJYILZLXIXOYHYAWPXIXOYIQWPXIXOYIOWPYJXGYHPWPXIXOYHIYAVEZYKWPWFWHWIWMWNYLYB
    YCYEYDYFADFGEVFVGVHVIRWPXJXOLZYIYAWPYMYILZAFGEYBYCYDYFWPYNAGDFEYBYCYFYEYDWP
    XJXOYIOWPXJXOYIQVJWPYMXGYHPSRWPXIXPLZYIYAWPYOYILZLGFWPYPAGFEYBYCYFYDWPYPAFD
    GEYBYCYDYEYFWPXIXPYIQWPXIXPYIOVJWPYPAFAGEYBYCYDYCYFWPYOXGYHPVKSVMRWPXJXPLZY
    IYAWPYQYILZLZFXCNKZYAGWRNKZWPYRYTYAWPYRYTLZLGFWPUUBAGFEYBYCYFYDWPYRYTVNWPUU
    BAFAGEYBYCYDYCYFUUBYHWPYQXGYHYTVOTVKSVMWCWPYRUUAYAWPYRUUALZAFGEYBYCYDYFWPYR
    UUAVNUUCYHWPYQXGYHUUAVOTSWCYSADMZXJXPYTUUAUFZYSDAWPYQXGYHVPVQWPXJXPYIQWPXJX
    PYIOWPUUDXJXPIUUEVEZYRWPWFWHWIWMWNUUFYBYCYEYDYFADFGEVRVGVHVIVSRVTWAWDWBWE
    $.

  ${
    $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d C x $.  $d C y $.  $d N x $.
    $d N y $.  $d R x $.  $d R y $.  $d x y $.
    $( Given a nondegenerate ray, there is a unique point congruent to the
       segment ` B C ` lying on the ray ` A R ` .  Theorem 6.11 of
       [Schwabhauser] p. 44.  (Contributed by Scott Fenton, 23-Oct-2013.)
       (Revised by Mario Carneiro, 19-Apr-2014.) $)
    outsideofeu $p |- ( ( N e. NN /\
      ( A e. ( EE ` N ) /\ R e. ( EE ` N ) ) /\
      ( B e. ( EE ` N ) /\ C e. ( EE ` N ) ) ) ->
      ( ( R =/= A /\ B =/= C ) ->
        E! x e. ( EE ` N ) ( A OutsideOf <. x , R >. /\
         <. A , x >. Cgr <. B , C >. ) ) ) $=
      ( vy wcel wa w3a wne cv cop coutsideof wbr ccgr wrex adantr wb 3jca cn wi
      cee cfv wreu weq wral cbtwn wo segcon2 simpl2l simpr simpl2r broutsideof2
      simpl1 syl13anc simpllr adantl wceq simprlr simp2l anim1i simpl3 cgrdegen
      simp3 syl3anc mpd necon3bid mpbird necomd simplll simprr expr bitrd orcom
      impbid2 bitrdi pm5.32rd an32s rexbidva simpl3l simpl3r simprl outsideofeq
      imp syl2an an4s exp32 ralrimivv opeq1 breq2d breq1d anbi12d reu4 sylanbrc
      opeq2 ex ) FUAHZBFUCUDZHZEWSHZIZCWSHZDWSHZIZJZEBKZCDKZIZBALZEMZNOZBXJMZCD
      MZPOZIZAWSUEZXFXIIZXPAWSQZXPBGLZEMZNOZBXTMZXNPOZIZIZAGUFZUBZGWSUGAWSUGXQX
      RXSEXMUHOZXJBEMUHOZUIZXOIZAWSQZXFYMXIAECDBFUJRXRXPYLAWSXFXJWSHZXIXPYLSXFY
      NIZXIIXOXLYKYOXIXOXLYKSYOXIXOIZIZXLYJYIUIZYKYQXLXJBKZXGYRJZYRYOXLYTSZYPYO
      WRWTYNXAUUAWRXBXEYNUOZWTXAWRXEYNUKXFYNULWTXAWRXEYNUMXJEBFUNUPRYQYTYRYSXGY
      RVEYOYPYRYTYOYPYRIZIZYSXGYRUUDBXJUUDBXJKXHUUCXHYOXGXHXOYRUQURUUDBXJCDUUDX
      OBXJUSCDUSSZYOXIXOYRUTYOXOUUEUBZUUCYOWRWTYNIXEUUFUUBXFWTYNWRWTXAXEVAVBWRX
      BXEYNVCBXJCDFVDVFRVGVHVIVJUUCXGYOXGXHXOYRVKURYOYPYRVLTVMVPVNYJYIVOVQVMVRV
      SVTVIXRYHAGWSWSXRYNXTWSHZIZYFYGXFUUHXIYFYGXFUUHIZWRWTXAXCJZXDYNUUGJZJZYFY
      GXIYFIUUIWRUUJUUKWRXBXEUUHUOUUIWTXAXCWTXAWRXEUUHUKWTXAWRXEUUHUMXCXDWRXBUU
      HWATUUIXDYNUUGXCXDWRXBUUHWBXFYNUUGWCXFYNUUGVLTTXIYFULUULYFYGBCDEFXJXTWDWE
      WFWGWHWIXPYEAGWSYGXLYBXOYDYGXKYABNXJXTEWJWKYGXMYCXNPXJXTBWPWLWMWNWOWQ $.
  $}

  ${
    $d A y $.  $d B y $.  $d P y $.  $d N y $.
    $( Relate ` OutsideOf ` to ` Seg<_ ` .  Theorem 6.13 of [Schwabhauser]
       p. 45.  (Contributed by Scott Fenton, 24-Oct-2013.)  (Revised by Mario
       Carneiro, 19-Apr-2014.) $)
    outsidele $p |- ( ( N e. NN /\
    ( P e. ( EE ` N ) /\ A e. ( EE ` N ) /\ B e. ( EE ` N ) ) ) ->
    ( P OutsideOf <. A , B >. ->
      ( <. P , A >. Seg<_ <. P , B >. <-> A Btwn <. P , B >. ) ) ) $=
      ( vy wcel w3a wa cop coutsideof cbtwn wb ccgr simpr3 adantr wceq ad2antrr
      wbr wi mpd cn cee cfv csegle cv wrex simpl simpr1 simpr2 syl122anc simprl
      brsegle2 outsideofcom mpbid simpll simplr1 simplr3 cgrrflxd jca ccolin wn
      simprrl simpr simplr2 btwncolinear1 syl13anc wne outsidene1 neneqd df-3an
      simpr2l btwncomand btwnswapid2 mp2and sylan2br expr mtod sylanbrc simprrr
      broutsideof outsideofeq syl133anc opeq2 breq2d syl5ibrcom an4s rexlimdvaa
      sylbid btwnsegle impbid ex ) DUAFZCDUBUCZFZAWMFZBWMFZGZHZCABIJRZCAICBIZUD
      RZAWTKRZLWRWSHZXAXBXCXAACEUEZIZKRZXEWTMRZHZEWMUFZXBWRXAXILZWSWRWLWNWOWNWP
      XJWLWQUGWLWNWOWPUHZWLWNWOWPUIXKWLWNWOWPNECACBDULUJOXCXHXBEWMWRXDWMFZWSXHX
      BWRXLHZWSXHHZHZBXDPZXBXOCBAIJRZWTWTMRZHZCXDAIZJRZXGHZXPXOXQXRXOWSXQXMWSXH
      UKZWRWSXQLXLXNABCDUMQUNXMXRXNXMCBDWLWQXLUOZWNWOWPWLXLUPZWNWOWPWLXLUQZUROU
      SXOYAXGXOCXTUTRZCXTKRZVAYAXOXFYGXMWSXFXGVBZXMXFYGSZXNXMWLWNXLWOYJYDYEWRXL
      VCZWNWOWPWLXLVDZCXDADVEVFOTXOYHACPZXOACXOWSACVGZYCWRWSYNSXLXNABCDVHQTVIXM
      XNYHYMXNYHHXMWSXHYHGZYMWSXHYHVJXMYOHAXDCIKRZYHYMXMYOACXDDYDYLYEYKXFXGWSYH
      XMVKVLXMWSXHYHNXMYPYHHYMSZYOXMWLWOXLWNYQYDYLYKYEAXDCDVMVFOVNVOVPVQXDACVTV
      RXMWSXFXGVSUSXMXSYBHXPSZXNXMWLWNWOWNWPWPXLYRYDYEYLYEYFYFYKCCBADBXDWAWBOVN
      XOXBXPXFYIXPWTXEAKBXDCWCWDWETWFWGWHWRXBXASWSCABDWIOWJWK $.
  $}

  $( Outside of implies colinearity.  (Contributed by Scott Fenton,
     26-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
  outsideofcol $p |- ( P OutsideOf <. Q , R >. -> P Colinear <. Q , R >. ) $=
    ( cop coutsideof wbr ccolin cbtwn wn broutsideof simplbi ) ABCDZEFALGFALHFI
    BCAJK $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Lines and Rays
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c Line LinesEE Ray $.

  $( Declare the constant for the line function. $)
  cline2 $a class Line $.

  $( Declare the constant for the ray function. $)
  cray $a class Ray $.

  $( Declare the constant for the set of all lines. $)
  clines2 $a class LinesEE $.

  ${
    $d a b l n $.
    $( Define the ` Line ` function.  This function generates the line passing
       through the distinct points ` a ` and ` b ` .  Adapted from definition
       6.14 of [Schwabhauser] p. 45.  (Contributed by Scott Fenton,
       25-Oct-2013.) $)
    df-line2 $a |- Line = { <. <. a , b >. , l >. |
       E. n e. NN ( ( a e. ( EE ` n ) /\ b e. ( EE ` n ) /\ a =/= b ) /\
         l = [ <. a , b >. ] `' Colinear ) } $.
  $}

  ${
    $d p a r n x $.
    $( Define the ` Ray ` function.  This function generates the set of all
       points that lie on the ray starting at ` p ` and passing through ` a ` .
       Definition 6.8 of [Schwabhauser] p. 44.  (Contributed by Scott Fenton,
       21-Oct-2013.) $)
    df-ray $a |- Ray = { <. <. p , a >. , r >. |
       E. n e. NN ( ( p e. ( EE ` n ) /\ a e. ( EE ` n ) /\ p =/= a ) /\
         r = { x e. ( EE ` n ) | p OutsideOf <. a , x >. } ) } $.
  $}

  $( Define the set of all lines.  Definition 6.14, part 2 of [Schwabhauser]
     p. 45.  See ~ ellines for membership.  (Contributed by Scott Fenton,
     28-Oct-2013.) $)
  df-lines2 $a |- LinesEE = ran Line $.

  ${
    $d a m $.  $d a n $.  $d a p $.  $d a r $.  $d a s $.  $d a x $.  $d m n $.
    $d m p $.  $d m r $.  $d m s $.  $d m x $.  $d n p $.  $d n r $.  $d n s $.
    $d n x $.  $d p r $.  $d p s $.  $d p x $.  $d r s $.  $d r x $.  $d s x $.

    $( Show that the ` Ray ` relationship is a function.  (Contributed by Scott
       Fenton, 21-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    funray $p |- Fun Ray $=
      ( vp vn va vr vx vm vs cray wfun cv cee cfv wcel w3a crab wceq wa cn wrex
      wi wne cop coutsideof wbr coprab wmo weq wal reeanv simp1 axdimuniq fveq2
      rabeq syl eqeq2d anbi1d eqtr3 syl6bi an4s ex com3l syl2an com12 rexlimivv
      imp sylbir gen2 eqeq1 anbi2d rexbidv eleq2d 3anbi12d anbi12d cbvrexvw mo4
      bitrdi mpbir funoprab df-ray funeqi ) HIAJZBJZKLZMZCJZWCMZWAWEUAZNZDJZWAW
      EEJUBUCUDZEWCOZPZQZBRSZACDUEZIWNACDWNDUFWNWAFJZKLZMZWEWQMZWGNZGJZWJEWQOZP
      ZQZFRSZQZDGUGZTZGUHDUHXHDGXFWMXDQZFRSBRSXGWMXDBFRRUIXIXGBFRRXIWBRMZWPRMZQ
      ZXGWHWTWLXCXLXGTZWHWTQWLXCQZXMWHWDWRXNXMTWTWDWFWGUJWRWSWGUJXLWDWRQZXNXGXL
      XOXNXGTZXJWDXKWRXPXJWDQXKWRQQBFUGZXPWAWPWBUKXQXNWIXBPZXCQXGXQWLXRXCXQWKXB
      WIXQWCWQPWKXBPWBWPKULZWJEWCWQUMUNZUOUPWIXAXBUQURUNUSUTVAVBVEUSVCVDVFVGWNX
      EDGXGWNWHXAWKPZQZBRSXEXGWMYBBRXGWLYAWHWIXAWKVHVIVJYBXDBFRXQWHWTYAXCXQWDWR
      WFWSWGXQWCWQWAXSVKXQWCWQWEXSVKVLXQWKXBXAXTUOVMVNVPVOVQVRHWOEBDACVSVTVQ $.
  $}

  ${
    $d A a $.  $d a n $.  $d A n $.  $d a p $.  $d A p $.  $d a r $.  $d A r $.
    $d a x $.  $d A x $.  $d N a $.  $d N n $.  $d n p $.  $d N p $.  $d n r $.
    $d N r $.  $d n x $.  $d N x $.  $d P a $.  $d P n $.  $d P p $.  $d p r $.
    $d P r $.  $d p x $.  $d P x $.  $d r x $.
    $( Calculate the value of the ` Ray ` function.  (Contributed by Scott
       Fenton, 21-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    fvray $p |- ( ( N e. NN /\
           ( P e. ( EE ` N ) /\ A e. ( EE ` N ) /\ P =/= A ) ) ->
           ( P Ray A ) =
             { x e. ( EE ` N ) | P OutsideOf <. A , x >. } ) $=
      ( vp vn va vr cn wcel cee w3a wa cray cop cv coutsideof wbr crab wceq cfv
      wne df-ov wrex coprab eqid fveq2 eleq2d 3anbi12d rabeq syl eqeq2d anbi12d
      co rspcev mpanr2 wb simpr1 simpr2 fvex rabex eleq1 neeq1 3anbi13d rabbidv
      cvv breq1 rexbidv neeq2 3anbi23d opeq1 breq2d eqeq1 anbi2d mp3an3 syl2anc
      eloprabg mpbird df-br df-ray eleq2i bitri wi funray funbrfv sylbir syl5eq
      wfun ax-mp ) DIJZCDKUAZJZBWKJZCBUBZLZMZCBNUNCBOZNUAZCBAPZOZQRZAWKSZCBNUCW
      PWQXBOZEPZFPZKUAZJZGPZXFJZXDXHUBZLZHPZXDXHWSOZQRZAXFSZTZMZFIUDZEGHUEZJZWR
      XBTZWPXTCXFJZBXFJZWNLZXBXAAXFSZTZMZFIUDZWJWOXBXBTZYHXBUFYGWOYIMFDIXEDTZYD
      WOYFYIYJYBWLYCWMWNYJXFWKCXEDKUGZUHYJXFWKBYKUHUIYJYEXBXBYJXFWKTYEXBTYKXAAX
      FWKUJUKULUMUOUPWPWLWMXTYHUQZWJWLWMWNURWJWLWMWNUSWLWMXBVFJYLXAAWKDKUTVAXRY
      BXICXHUBZLZXLCXMQRZAXFSZTZMZFIUDYDXLYETZMZFIUDYHEGHCBXBWKWKVFXDCTZXQYRFIU
      UAXKYNXPYQUUAXGYBXJYMXIXDCXFVBXDCXHVCVDUUAXOYPXLUUAXNYOAXFXDCXMQVGVEULUMV
      HXHBTZYRYTFIUUBYNYDYQYSUUBXIYCYMWNYBXHBXFVBXHBCVIVJUUBYPYEXLUUBYOXAAXFUUB
      XMWTCQXHBWSVKVLVEULUMVHXLXBTZYTYGFIUUCYSYFYDXLXBYEVMVNVHVQVOVPVRXTWQXBNRZ
      YAUUDXCNJXTWQXBNVSNXSXCAFHEGVTWAWBNWHUUDYAWCWDWQXBNWEWIWFUKWG $.
  $}

  ${
    $d a b $.  $d a k $.  $d a l $.  $d a m $.  $d a n $.  $d b k $.  $d b l $.
    $d b m $.  $d b n $.  $d k l $.  $d k m $.  $d k n $.  $d l m $.  $d l n $.
    $d m n $.
    $( Show that the ` Line ` relationship is a function.  (Contributed by
       Scott Fenton, 25-Oct-2013.)  (Revised by Mario Carneiro,
       19-Apr-2014.) $)
    funline $p |- Fun Line $=
      ( va vn vb vl vm vk cline2 wfun cv cee cfv wcel w3a wceq wa cn weq wi wal
      wrex wne cop ccolin cec coprab wmo reeanv eqtr3 ad2ant2l rexlimivv sylbir
      ccnv a1i gen2 eqeq1 anbi2d rexbidv eleq2d 3anbi12d anbi1d cbvrexvw bitrdi
      fveq2 mo4 mpbir funoprab df-line2 funeqi ) GHAIZBIZJKZLZCIZVKLZVIVMUAZMZD
      IZVIVMUBUCULUDZNZOZBPTZACDUEZHWAACDWADUFWAVIEIZJKZLZVMWDLZVOMZFIZVRNZOZEP
      TZOZDFQZRZFSDSWNDFWLVTWJOZEPTBPTWMVTWJBEPPUGWOWMBEPPWOWMRVJPLWCPLOVSWIWMV
      PWGVQWHVRUHUIUMUJUKUNWAWKDFWMWAVPWIOZBPTWKWMVTWPBPWMVSWIVPVQWHVRUOUPUQWPW
      JBEPBEQZVPWGWIWQVLWEVNWFVOWQVKWDVIVJWCJVCZURWQVKWDVMWRURUSUTVAVBVDVEVFGWB
      BACDVGVHVE $.
  $}

  ${
    $d A l $.  $d A n $.  $d A x $.  $d A y $.  $d l n $.  $d l x $.  $d l y $.
    $d n x $.  $d n y $.  $d x y $.
    $( When ` Line ` is applied with the same argument, the result is the empty
       set.  (Contributed by Scott Fenton, 29-Oct-2013.)  (Revised by Mario
       Carneiro, 19-Apr-2014.) $)
    linedegen $p |- ( A Line A ) = (/) $=
      ( vx vn vy vl cline2 cop cfv wcel wn wceq cv wne w3a cec wa wrex wex cvv
      cn co c0 df-ov cdm cee ccolin ccnv copab neirr simp3 mto intnanr a1i nrex
      nex eleq1 neeq1 3anbi13d opeq1 eceq1d eqeq2d anbi12d rexbidv exbidv neeq2
      wb 3anbi23d opeq2 opelopabg anidms mtbiri cxp elopaelxp opelxp1 syl con3i
      pm2.61i coprab df-line2 dmeqi dmoprab eqtri eleq2i mtbir ndmfv ax-mp ) AA
      FUAAAGZFHZUBAAFUCWGFUDZIZJWHUBKWJWGBLZCLZUEHZIZDLZWMIZWKWOMZNZELZWKWOGZUF
      UGZOZKZPZCTQZERZBDUHZIZASIZXHJXIXHAWMIZXJAAMZNZWSWGXAOZKZPZCTQZERZXPEXOCT
      XOJWLTIXLXNXLXKAUIXJXJXKUJUKULUMUNUOXIXHXQVFXFXJWPAWOMZNZWSAWOGZXAOZKZPZC
      TQZERXQBDAASSWKAKZXEYDEYEXDYCCTYEWRXSXCYBYEWNXJWQXRWPWKAWMUPWKAWOUQURYEXB
      YAWSYEWTXTXAWKAWOUSUTVAVBVCVDWOAKZYDXPEYFYCXOCTYFXSXLYBXNYFWPXJXRXKXJWOAW
      MUPWOAAVEVGYFYAXMWSYFXTWGXAWOAAVHUTVAVBVCVDVIVJVKXHXIXHWGSSVLIXIXFBDWGVMA
      ASSVNVOVPVQWIXGWGWIXEBDEVRZUDXGFYGCBDEVSVTXEBDEWAWBWCWDWGFWEWFWB $.
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a l $.  $d A l $.  $d a n $.  $d A n $.
    $d A x $.  $d B a $.  $d B b $.  $d b l $.  $d B l $.  $d b n $.  $d B n $.
    $d B x $.  $d l n $.  $d N n $.
    $( Calculate the value of the ` Line ` function.  (Contributed by Scott
       Fenton, 25-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    fvline $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ A =/= B ) ) ->
       ( A Line B ) = { x | x Colinear <. A , B >. } ) $=
      ( va vn vb vl cn wcel cee w3a wa cline2 cop ccolin cv wceq wrex cvv fveq2
      cfv wne ccnv cec wbr cab coprab eqid eleq2d 3anbi12d anbi1d rspcev mpanr2
      co simpr1 simpr2 colinearex cnvex ecexg ax-mp eleq1 neeq1 3anbi13d eceq1d
      wb opeq1 eqeq2d anbi12d neeq2 3anbi23d opeq2 eqeq1 anbi2d eloprabg mp3an3
      rexbidv syl2anc mpbird df-ov df-br df-line2 bitri wfun wi funline funbrfv
      eleq2i sylbir syl5eq syl opex dfec2 vex brcnv abbii eqtri eqtrdi ) DIJZBD
      KUBZJZCWTJZBCUCZLZMZBCNUOZBCOZPUDZUEZAQZXGPUFZAUGZXEXGXIOZEQZFQZKUBZJZGQZ
      XPJZXNXRUCZLZHQZXNXROZXHUEZRZMZFISZEGHUHZJZXFXIRXEYIBXPJZCXPJZXCLZXIXIRZM
      ZFISZWSXDYMYOXIUIYNXDYMMFDIXODRZYLXDYMYPYJXAYKXBXCYPXPWTBXODKUAZUJYPXPWTC
      YQUJUKULUMUNXEXAXBYIYOVFZWSXAXBXCUPWSXAXBXCUQXAXBXITJZYRXHTJYSPURUSXGTXHU
      TVAYGYJXSBXRUCZLZYBBXROZXHUEZRZMZFISYLYBXIRZMZFISYOEGHBCXIWTWTTXNBRZYFUUE
      FIUUHYAUUAYEUUDUUHXQYJXTYTXSXNBXPVBXNBXRVCVDUUHYDUUCYBUUHYCUUBXHXNBXRVGVE
      VHVIVQXRCRZUUEUUGFIUUIUUAYLUUDUUFUUIXSYKYTXCYJXRCXPVBXRCBVJVKUUIUUCXIYBUU
      IUUBXGXHXRCBVLVEVHVIVQUUFUUGYNFIUUFUUFYMYLYBXIXIVMVNVQVOVPVRVSYIXFXGNUBZX
      IBCNVTYIXGXINUFZUUJXIRZUUKXMNJYIXGXINWANYHXMFEGHWBWHWCNWDUUKUULWEWFXGXINW
      GVAWIWJWKXIXGXJXHUFZAUGZXLXGTJXIUUNRBCWLZAXGXHTWMVAUUMXKAXGXJPUUOAWNWOWPW
      QWR $.
  $}

  ${
    $d N x $.  $d A x $.  $d B x $.
    $( A line is a subset of the space its two points lie in.  (Contributed by
       Scott Fenton, 25-Oct-2013.)  (Revised by Mario Carneiro,
       19-Apr-2014.) $)
    liness $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ A =/= B ) ) ->
       ( A Line B ) C_ ( EE ` N ) ) $=
      ( vx cn wcel cee cfv wne w3a wa cline2 co cop ccolin wbr cab fvline cvv
      cv wi vex a1i simp1 simp2 3jca colineardim1 sylan2 abssdv eqsstrd ) CEFZA
      CGHZFZBULFZABIZJZKZABLMDTZABNOPZDQULDABCRUQUSDULUPUKURSFZUMUNJUSURULFUAUP
      UTUMUNUTUPDUBUCUMUNUOUDUMUNUOUEUFURABCSULUGUHUIUJ $.

    $( Alternate definition of a line.  (Contributed by Scott Fenton,
       25-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    fvline2 $p |- ( ( N e. NN /\
       ( A e. ( EE ` N ) /\ B e. ( EE ` N ) /\ A =/= B ) ) ->
       ( A Line B ) = { x e. ( EE ` N ) | x Colinear <. A , B >. } ) $=
      ( cn wcel cee cfv wne w3a wa cline2 co cv cop ccolin wbr cab cin crab wss
      fvline wceq liness eqsstrrd df-ss sylib eqtr4d dfrab2 eqtr4di ) DEFBDGHZF
      CUKFBCIJKZBCLMZANBCOPQZARZUKSZUNAUKTULUMUOUPABCDUBZULUOUKUAUPUOUCULUOUMUK
      UQBCDUDUEUOUKUFUGUHUNAUKUIUJ $.
  $}

  ${
    $d N x $.  $d P x $.  $d Q x $.  $d R x $.
    $( A line is composed of a point and the two rays emerging from it.
       Theorem 6.15 of [Schwabhauser] p. 45.  (Contributed by Scott Fenton,
       26-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    lineunray $p |- ( ( N e. NN /\
       ( P e. ( EE ` N ) /\ Q e. ( EE ` N ) /\ R e. ( EE ` N ) ) /\
       ( P =/= Q /\ P =/= R ) ) ->
       ( P Btwn <. Q , R >. ->
       ( P Line Q ) = ( ( ( P Ray Q ) u. { P } ) u. ( P Ray R ) ) ) ) $=
      ( vx wcel w3a wne wa cop cbtwn wbr cun wceq crab wo wb syl13anc adantr wi
      cn cee cfv cline2 co cray csn cv ccolin coutsideof simpl1 simpl21 simpl22
      w3o simpr brcolinear olc orcd simpl3l necomd simprl simprr 3jca btwnconn2
      a1i simpl23 syl122anc olcd expr btwncom syl6bi 3jaod sylbid colineartriv1
      mpd orc syl6 syl3anc breq1 syl5ibrcom btwncolinear3 btwncolinear5 simpl3r
      jaod btwnouttr btwncolinear4 btwncomand btwnexch3and btwncolinear2 impbid
      pm5.63 df-ne anbi1i andi bitr3i orbi2i bitrdi broutsideof2 3simpc simprrl
      wn bitri simprrr impbid2 bitrd orbi12d orbi2d bitr4d orcom an32s rabbidva
      or32 simp1 simp21 simp22 simp3l fvline2 fvray rabsn eqcomd uneq12d simp23
      syl simp3r unrab uneq1i eqtri eqtrdi 3eqtr4d ex ) DUAFZADUBUCZFZBYLFZCYLF
      ZGZABHZACHZIZGZABCJKLZABUDUEZABUFUEZAUGZMZACUFUEZMZNYTUUAIZEUHZABJZUILZEY
      LOZABUUIJZUJLZUUIANZPZACUUIJUJLZPZEYLOZUUBUUGUUHUUKUUREYLYTUUIYLFZUUAUUKU
      URQYTUUTIZUUAIZUUKUUOUUNUUQPZPZUURUVBUUKUUOUUIAHZBAUUIJZKLZUUIUUJKLZPZIZU
      VECUVFKLZUUIACJKLZPZIZPZPZUVDUVBUUKUUOUVIUVMPZPZUVPUVBUUKUVRUVBUUKUVQUVRU
      VBUUKUVHAUUMKLZBUUIAJKLZUNZUVQUVAUUKUWAQZUUAUVAYKUUTYMYNUWBYKYPYSUUTUKZYT
      UUTUOZYMYNYOYKYSUUTULZYMYNYOYKYSUUTUMZUUIABDUPRSUVBUVHUVQUVSUVTUVHUVQTUVB
      UVHUVIUVMUVHUVGUQURVEUVAUUAUVSUVQUVAUUAUVSIZIZUVMUVIUWHBAHZUUAUVSGZUVMUWH
      UWIUUAUVSUVAUWIUWGUVAABYQYRYKYPUUTUSUTSUVAUUAUVSVAUVAUUAUVSVBVCUVAUWJUVMT
      ZUWGUVAYKYNYMYOUUTUWKUWCUWFUWEYMYNYOYKYSUUTVFZUWDBACUUIDVDVGSVOVHVIUVAUVT
      UVQTUUAUVAUVTUVGUVQUVAYKYNUUTYMUVTUVGQUWCUWFUWDUWEBUUIADVJRUVGUVIUVMUVGUV
      HVPURVKSVLVMUVQUUOUQVQUVBUUOUUKUVQUVAUUOUUKTUUAUVAUUKUUOAUUJUILZUVAYKYMYN
      UWMUWCUWEUWFABDVNVRUUIAUUJUIVSVTSUVBUVIUUKUVMUVAUVIUUKTUUAUVAUVGUUKUVHUVA
      YKYMUUTYNUVGUUKTUWCUWEUWDUWFAUUIBDWARUVAYKYMYNUUTUVHUUKTUWCUWEUWFUWDABUUI
      DWBRWDSUVBUVKUUKUVLUVAUUAUVKUUKUVAUUAUVKIZIZUVSUUKUWOYRUUAUVKGZUVSUWOYRUU
      AUVKUVAYRUWNYQYRYKYPUUTWCSUVAUUAUVKVAUVAUUAUVKVBVCUVAUWPUVSTZUWNUVAYKYNYM
      YOUUTUWQUWCUWFUWEUWLUWDBACUUIDWEVGSVOUVAUVSUUKTZUWNUVAYKYNUUTYMUWRUWCUWFU
      WDUWEBUUIADWFRSVOVIUVAUUAUVLUUKUVAUUAUVLIZIAUUIBJKLZUUKUVAUWSCUUIABDUWCUW
      LUWDUWEUWFUVAUWSUUIACDUWCUWDUWEUWLUVAUUAUVLVBWGUVAUWSABCDUWCUWEUWFUWLUVAU
      UAUVLVAWGWHUVAUWTUUKTZUWSUVAYKUUTYNYMUXAUWCUWDUWFUWEUUIBADWIRSVOVIWDWDWDW
      JUVRUUOUUOXAZUVQIZPUVPUUOUVQWKUXCUVOUUOUXCUVEUVQIUVOUVEUXBUVQUUIAWLWMUVEU
      VIUVMWNWOWPXBWQUVBUVCUVOUUOUVAUVCUVOQUUAUVAUUNUVJUUQUVNUVAUUNUWIUVEUVIGZU
      VJUVAYKYMYNUUTUUNUXDQUWCUWEUWFUWDBUUIADWRRUVAUXDUVJUWIUVEUVIWSYTUUTUVJUXD
      YTUUTUVJIZIZUWIUVEUVIUXFABYQYRYKYPUXEUSUTYTUUTUVEUVIWTYTUUTUVEUVIXCVCVIXD
      XEUVAUUQCAHZUVEUVMGZUVNUVAYKYMYOUUTUUQUXHQUWCUWEUWLUWDCUUIADWRRUVAUXHUVNU
      XGUVEUVMWSYTUUTUVNUXHYTUUTUVNIZIZUXGUVEUVMUXJACYQYRYKYPUXIWCUTYTUUTUVEUVM
      WTYTUUTUVEUVMXCVCVIXDXEXFSXGXHUVDUVCUUOPUURUUOUVCXIUUNUUQUUOXLXBWQXJXKYTU
      UBUULNZUUAYTYKYMYNYQUXKYKYPYSXMZYKYMYNYOYSXNZYKYMYNYOYSXOZYKYPYQYRXPZEABD
      XQRSUUHUUGUUNEYLOZUUOEYLOZMZUUQEYLOZMZUUSYTUUGUXTNUUAYTUUEUXRUUFUXSYTUUCU
      XPUUDUXQYTYKYMYNYQUUCUXPNUXLUXMUXNUXOEBADXRRYTUXQUUDYTYMUXQUUDNUXMEYLAXSY
      CXTYAYTYKYMYOYRUUFUXSNUXLUXMYKYMYNYOYSYBYKYPYQYRYDECADXRRYASUXTUUPEYLOZUX
      SMUUSUXRUYAUXSUUNUUOEYLYEYFUUPUUQEYLYEYGYHYIYJ $.
  $}

  ${
    $d N x $.  $d P x $.  $d Q x $.  $d S x $.
    $( If ` S ` lies on ` P Q ` , then ` P Q = P S ` .  Theorem 6.16 of
       [Schwabhauser] p. 45.  (Contributed by Scott Fenton, 27-Oct-2013.)
       (Revised by Mario Carneiro, 19-Apr-2014.) $)
    lineelsb2 $p |- ( ( N e. NN /\
      ( P e. ( EE ` N ) /\ Q e. ( EE ` N ) /\ P =/= Q ) /\
      ( S e. ( EE ` N ) /\ P =/= S ) ) ->
        ( S e. ( P Line Q ) -> ( P Line Q ) = ( P Line S ) ) ) $=
      ( vx w3a wa cop wbr cbtwn syl13anc adantr syl122anc mpd simprl btwncomand
      wi expr simprr mp3and cn wcel cee cfv wne ccolin cv crab cline2 co wb w3o
      wceq simpl1 simpl3l simpl21 simpl22 brcolinear biimpa simpr btwnconn3 imp
      btwncolinear3 btwncolinear5 btwnexch3and btwncolinear4 btwnexchand sylbid
      wo 3jaod simpl3r necomd btwnouttr2 btwnconn1 impbid btwncolinear2 simpl23
      jaod btwnconn2 btwnouttr mp2and 3jaodan adantrl an32s rabbidva ex fvline2
      syldan 3adant3 eleq2d breq1 bitrdi simp21 simp3l simp3r eqeq12d 3imtr4d
      elrab simp1 ) DUAUBZADUCUDZUBZBXAUBZABUEZFZCXAUBZACUEZGZFZXFCABHZUFIZGZEU
      GZXJUFIZEXAUHZXMACHZUFIZEXAUHZUMZCABUIUJZUBZXTACUIUJZUMXIXLXSXIXLGXNXQEXA
      XIXMXAUBZXLXNXQUKZXIYCGZXKYDXFYEXKCXJJIZABCHJIZBCAHJIZULZYDYEXKYIYEWTXFXB
      XCXKYIUKWTXEXHYCUNZXFXGWTXEYCUOZXBXCXDWTXHYCUPZXBXCXDWTXHYCUQZCABDURKUSYE
      YFYDYGYHYEYFGZXNXQYNXNXMXJJIZABXMHJIZBXMAHZJIZULZXQYEXNYSUKZYFYEWTYCXBXCY
      TYJXIYCUTZYLYMXMABDURKZLYNYOXQYPYRYEYFYOXQYEYFYOGZGCAXMHZJIZXMXPJIZVIZXQY
      EUUCUUGYEWTXBXFYCXCUUCUUGQYJYLYKUUAYMACXMBDVAMVBYEUUGXQQZUUCYEUUEXQUUFYEW
      TXBYCXFUUEXQQZYJYLUUAYKAXMCDVCKZYEWTXBXFYCUUFXQQZYJYLYKUUAACXMDVDKZVRZLNR
      YEYFYPXQYEYFYPGZGACXMHJIZXQYEUUNBCAXMDYJYMYKYLUUAYEUUNCABDYJYKYLYMYEYFYPO
      PYEYFYPSVEYEUUOXQQZUUNYEWTXFYCXBUUPYJYKUUAYLCXMADVFKZLNRYEYFYRXQYEYFYRGZG
      UUEXQYEUURACBXMDYJYLYKYMUUAYEYFYROYEUURBXMADYJYMUUAYLYEYFYRSPVGYEUUIUURUU
      JLNRVJVHYNXQUUFUUOCYQJIZULZXNYEXQUUTUKZYFYEWTYCXBXFUVAYJUUAYLYKXMACDURKZL
      YNUUFXNUUOUUSYEYFUUFXNYEYFUUFGZGYOXNYEUVCAXMCBDYJYLUUAYKYMYEYFUUFSYEYFUUF
      OVGYEYOXNQZUVCYEWTXBXCYCUVDYJYLYMUUAABXMDVDKZLNRYEYFUUOXNYEYFUUOGZGZYPXNU
      VGCAUEZCBAHJIZUUOYPYEUVHUVFYEACXFXGWTXEYCVKZVLZLYEUVFCABDYJYKYLYMYEYFUUOO
      PYEYFUUOSYEUVHUVIUUOFYPQZUVFYEWTXCXFXBYCUVLYJYMYKYLUUABCAXMDVMMLTYEYPXNQZ
      UVFYEWTXCYCXBUVMYJYMUUAYLBXMADVFKZLNRYEYFUUSXNYEYFUUSGZGZBUUDJIZYOVIZXNUV
      PXGYFUUEUVRYEXGUVOUVJLYEYFUUSOYEUVOCXMADYJYKUUAYLYEYFUUSSPYEXGYFUUEFUVRQZ
      UVOYEWTXBXFXCYCUVSYJYLYKYMUUAACBXMDVNMLTYEUVRXNQZUVOYEUVQXNYOYEWTXBYCXCUV
      QXNQZYJYLUUAYMAXMBDVCKZUVEVRZLNRVJVHVOYEYGGZXNXQUWDXNYSXQYEYTYGUUBLUWDYOX
      QYPYRYEYGYOXQYEYGYOGZGAXMCHJIZXQYEUWEBXMACDYJYMUUAYLYKYEUWEXMABDYJUUAYLYM
      YEYGYOSPYEYGYOOVEYEUWFXQQZUWEYEWTYCXFXBUWGYJUUAYKYLXMCADVPKLNRYEYGYPXQYEY
      GYPGZGZUUGXQUWIBAUEZYGYPUUGYEUWJUWHYEABXBXCXDWTXHYCVQZVLZLYEYGYPOYEYGYPSY
      EUWJYGYPFUUGQZUWHYEWTXCXBXFYCUWMYJYMYLYKUUABACXMDVSMLTYEUUHUWHUUMLNRYEYGY
      RXQYEYGYRGZGZUUOXQUWOXDACBHJIZUVQUUOYEXDUWNUWKLYEUWNABCDYJYLYMYKYEYGYROPY
      EUWNBXMADYJYMUUAYLYEYGYRSPYEXDUWPUVQFUUOQZUWNYEWTXFXBXCYCUWQYJYKYLYMUUACA
      BXMDVTMLTYEUUPUWNUUQLNRVJVHUWDXQUUTXNYEUVAYGUVBLUWDUUFXNUUOUUSYEYGUUFXNYE
      YGUUFGZGAXMBHJIZXNYEUWRCXMABDYJYKUUAYLYMYEUWRXMACDYJUUAYLYKYEYGUUFSPYEUWR
      ABCDYJYLYMYKYEYGUUFOPVEYEUWSXNQZUWRYEWTYCXCXBUWTYJUUAYMYLXMBADVPKLNRYEYGU
      UOXNYEYGUUOGZGZUVRXNUXBUVHUWPUUOUVRYEUVHUXAUVKLYEUXAABCDYJYLYMYKYEYGUUOOP
      YEYGUUOSYEUVHUWPUUOFUVRQZUXAYEWTXFXBXCYCUXCYJYKYLYMUUACABXMDVSMLTYEUVTUXA
      UWCLNRYEYGUUSXNYEYGUUSGZGZYPXNUXEXGYGUUEYPYEXGUXDUVJLYEYGUUSOYEUXDCXMADYJ
      YKUUAYLYEYGUUSSPYEXGYGUUEFYPQZUXDYEWTXCXBXFYCUXFYJYMYLYKUUABACXMDVTMLTYEU
      VMUXDUVNLNRVJVHVOYEYHGZXNXQUXGXNYSXQYEYTYHUUBLUXGYOXQYPYRYEYHYOXQYEYHYOGZ
      GUUFXQYEUXHAXMBCDYJYLUUAYMYKYEYHYOSYEUXHBCADYJYMYKYLYEYHYOOPVGYEUUKUXHUUL
      LNRYEYHYPXQYEYHYPGZGZUUOXQUXJUWJYHYPUUOYEUWJUXIUWLLYEYHYPOYEYHYPSYEUWJYHY
      PFUUOQZUXIYEWTXFXCXBYCUXKYJYKYMYLUUACBAXMDVMMLTYEUUPUXIUUQLNRYEYHYRXQYEYH
      YRGZGZUUGXQUXMXDBXPJIZUVQUUGYEXDUXLUWKLYEUXLBCADYJYMYKYLYEYHYROPYEUXLBXMA
      DYJYMUUAYLYEYHYRSPYEXDUXNUVQFUUGQZUXLYEWTXBXCXFYCUXOYJYLYMYKUUAABCXMDVNML
      TYEUUHUXLUUMLNRVJVHUXGXQUUTXNYEUVAYHUVBLUXGUUFXNUUOUUSYEYHUUFXNYEYHUUFGZG
      ZUVRXNUXQUXNUUFUVRYEUXPBCADYJYMYKYLYEYHUUFOPYEYHUUFSYEUXNUUFGUVRQZUXPYEWT
      XBXCYCXFUXRYJYLYMUUAYKABXMCDVAMLWAYEUVTUXPUWCLNRYEYHUUOXNYEYHUUOGZGYPXNYE
      UXSCBAXMDYJYKYMYLUUAYEYHUUOOYEYHUUOSVEYEUVMUXSUVNLNRYEYHUUSXNYEYHUUSGZGUV
      QXNYEUXTABCXMDYJYLYMYKUUAYEUXTBCADYJYMYKYLYEYHUUSOPYEUXTCXMADYJYKUUAYLYEY
      HUUSSPVGYEUWAUXTUWBLNRVJVHVOWBWHWCWDWEWFXIYACXOUBXLXIXTXOCWTXEXTXOUMXHEAB
      DWGWIZWJXNXKECXAXMCXJUFWKWRWLXIXTXOYBXRUYAXIWTXBXFXGYBXRUMWTXEXHWSWTXBXCX
      DXHWMWTXEXFXGWNWTXEXFXGWOEACDWGKWPWQ $.
  $}

  ${
    $d N x $.  $d P x $.  $d Q x $.
    $( Reflexivity law for line membership.  Part of theorem 6.17 of
       [Schwabhauser] p. 45.  (Contributed by Scott Fenton, 28-Oct-2013.)
       (Revised by Mario Carneiro, 19-Apr-2014.) $)
    linerflx1 $p |- ( ( N e. NN /\
        ( P e. ( EE ` N ) /\ Q e. ( EE ` N ) /\ P =/= Q ) ) ->
        P e. ( P Line Q ) ) $=
      ( vx cn wcel cee cfv wne w3a wa cv cop ccolin wbr cline2 co colineartriv1
      crab simpr1 3adant3r3 breq1 elrab sylanbrc fvline2 eleqtrrd ) CEFZACGHZFZ
      BUHFZABIZJKZADLZABMZNOZDUHSZABPQULUIAUNNOZAUPFUGUIUJUKTUGUIUJUQUKABCRUAUO
      UQDAUHUMAUNNUBUCUDDABCUEUF $.

    $( Commutativity law for lines.  Part of theorem 6.17 of [Schwabhauser]
       p. 45.  (Contributed by Scott Fenton, 28-Oct-2013.)  (Revised by Mario
       Carneiro, 19-Apr-2014.) $)
    linecom $p |- ( ( N e. NN /\
        ( P e. ( EE ` N ) /\ Q e. ( EE ` N ) /\ P =/= Q ) ) ->
        ( P Line Q ) = ( Q Line P ) ) $=
      ( vx cn wcel cee cfv wne w3a wa cv cop ccolin wbr crab cline2 co fvline2
      wb simp1 simp3 simp21 simp22 colinearperm1 syl13anc rabbidva wceq 3anbi3i
      3expa necom 3ancoma bitri sylan2b 3eqtr4d ) CEFZACGHZFZBUQFZABIZJZKZDLZAB
      MNOZDUQPVCBAMNOZDUQPZABQRBAQRZVBVDVEDUQUPVAVCUQFZVDVETZUPVAVHJUPVHURUSVIU
      PVAVHUAUPVAVHUBUPURUSUTVHUCUPURUSUTVHUDVCABCUEUFUJUGDABCSVAUPUSURBAIZJZVG
      VFUHVAURUSVJJVKUTVJURUSABUKUIURUSVJULUMDBACSUNUO $.
  $}

  $( Reflexivity law for line membership.  Part of theorem 6.17 of
     [Schwabhauser] p. 45.  (Contributed by Scott Fenton, 28-Oct-2013.)
     (Revised by Mario Carneiro, 19-Apr-2014.) $)
  linerflx2 $p |- ( ( N e. NN /\
        ( P e. ( EE ` N ) /\ Q e. ( EE ` N ) /\ P =/= Q ) ) ->
        Q e. ( P Line Q ) ) $=
    ( cn wcel cee cfv wne w3a wa cline2 necom 3anbi3i 3ancoma linerflx1 sylan2b
    co bitri linecom eleqtrrd ) CDEZACFGZEZBUBEZABHZIZJBBAKQZABKQUFUAUDUCBAHZIZ
    BUGEUFUCUDUHIUIUEUHUCUDABLMUCUDUHNRBACOPABCST $.

  ${
    $d A n $.  $d A p $.  $d A q $.  $d A x $.  $d n p $.  $d n q $.  $d n x $.
    $d p q $.  $d p x $.  $d q x $.
    $( Membership in the set of all lines.  (Contributed by Scott Fenton,
       28-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    ellines $p |- ( A e. LinesEE <->
             E. n e. NN E. p e. ( EE ` n ) E. q e. ( EE ` n )
                ( p =/= q /\ A = ( p Line q ) ) ) $=
      ( vx clines2 wcel cvv cv cline2 wceq wa wrex cn ccolin bitr3i bitri anass
      wex cab wne co cee cfv elex wi ovex mpbiri adantl rexlimivw a1i rexlimivv
      eleq1 eqeq1 anbi2d rexbidv 2rexbidv w3a cop ccnv cec crn coprab df-lines2
      df-line2 rneqi rnoprab 3eqtri eleq2i df-rex 2exbii exrot3 r19.42v simplrl
      abid r2ex simplrr simpll simpr 3jca jca simpr2 simpl simpr1 simpr3 impbii
      jca32 anbi1i wbr fvline opex dfec2 ax-mp brcnv abbii eqtri eqtr4di eqeq2d
      vex pm5.32i 3bitrri 3exbii 3bitr4ri vtoclbg pm5.21nii ) AFGZAHGZDIZCIZUAZ
      AXHXIJUBZKZLZCBIZUCUDZMZDXOMBNMZAFUEXPXGBDNXOXPXGUFXNNGZXHXOGZLZXMXGCXOXL
      XGXJXLXGXKHGXHXIJUGAXKHUMUHUIUJUKULEIZFGZXJYAXKKZLZCXOMZDXOMBNMZXFXQEAHYA
      AFUMYAAKZYEXPBDNXOYGYDXMCXOYGYCXLXJYAAXKUNUOUPUQYBYAXSXIXOGZXJURZYAXHXIUS
      ZOUTZVAZKZLZBNMZCSDSZETZGZYFFYQYAFJVBYODCEVCZVBYQVDJYSBDCEVEVFYODCEVGVHVI
      YRYPYFYPEVOYPXRYNLZBSZCSDSZYFYOUUADCYNBNVJVKYHXTYDLZLZCSZDSBSZUUDBSCSDSYF
      UUBUUDBDCVLYFXTYELZDSBSUUFYEBDNXOVPUUGUUEBDUUGUUCCXOMUUEXTYDCXOVMUUCCXOVJ
      PVKQYTUUDDCBUUDXRYILZYCLZUUHYMLYTUUDYHXTLZYDLZUUIYHXTYDRUUKUUJXJLZYCLUUIU
      UJXJYCRUULUUHYCUULUUHUULXRYIYHXRXSXJVNUULXSYHXJYHXRXSXJVQYHXTXJVRUUJXJVSV
      TWAUUHUUJXJUUHYHXRXSXRXSYHXJWBXRYIWCXRXSYHXJWDWGXRXSYHXJWEWAWFWHPPUUHYCYM
      UUHXKYLYAUUHXKYAYJOWIZETZYLEXHXIXNWJYLYJYAYKWIZETZUUNYJHGYLUUPKXHXIWKZEYJ
      YKHWLWMUUOUUMEYJYAOUUQEWSWNWOWPWQWRWTXRYIYMRXAXBXCQQQXDXE $.
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a n $.  $d A n $.  $d b n $.  $d P a $.
    $d P b $.  $d P n $.  $d Q a $.  $d Q b $.  $d Q n $.
    $( If ` A ` is a line containing two distinct points ` P ` and ` Q ` , then
       ` A ` is the line through ` P ` and ` Q ` .  Theorem 6.18 of
       [Schwabhauser] p. 45.  (Contributed by Scott Fenton, 28-Oct-2013.)
       (Revised by Mario Carneiro, 19-Apr-2014.) $)
    linethru $p |- ( ( A e. LinesEE /\ ( P e. A /\ Q e. A ) /\ P =/= Q ) ->
       A = ( P Line Q ) ) $=
      ( va vb vn wcel wa cline2 co wceq cv wrex cn wi syl13anc necomd lineelsb2
      wne syl132anc clines2 cee cfv ellines w3a simpll1 simpll2 simpll3 simprll
      wss simplr liness sseldd simprlr simplll adantl simprrl mpd linecom eqtrd
      neeq2 anbi2d anbi1d eqeq2d imbi12d mpbiri syl2anc simp1l1 simp1l2 simp1l3
      oveq2 simp2l simp1r simp2rr simplld eleqtrd simp2rl simp2lr 3eqtrd expcom
      simp1 simp3 3expa pm2.61ine expr mp2and ex eleq2 anbi12d eqeq1 syl5ibrcom
      expimpd rexlimdva rexlimivv sylbi 3impib ) AUAGZBAGZCAGZHZBCSZABCIJZKZWQD
      LZELZSZAXDXEIJZKZHZEFLZUBUCZMZDXKMFNMWTXAHZXCOZAFEDUDXLXNFDNXKXJNGZXDXKGZ
      HXIXNEXKXOXPXEXKGZXIXNOXOXPXQUEZXFXHXNXRXFHZXNXHBXGGZCXGGZHZXAHZXGXBKZOXS
      YCYDXSYCHZBXKGZCXKGZYDYEXGXKBYEXOXPXQXFXGXKUJXOXPXQXFYCUFXOXPXQXFYCUGXOXP
      XQXFYCUHXRXFYCUKXDXEXJULPZXSXTYAXAUIUMYEXGXKCYHXSXTYAXAUNZUMXSYCYFYGHZYDX
      SYCYJHZHZYDOZCXDCXDKZYMXSYBBXDSZHZYJHZHZXGBXDIJZKZOYRXGXDBIJZYSYRXTXGUUAK
      ZYQXTXSXTYAYOYJUOUPYRXOXPXQXFYFXDBSZXTUUBOXOXPXQXFYQUFZXOXPXQXFYQUGZXOXPX
      QXFYQUHXRXFYQUKXSYPYFYGUQZYRBXDXSYBYOYJUNQZXDXEBXJRTURYRXOXPYFUUCUUAYSKUU
      DUUEUUFUUGXDBXJUSPUTYNYLYRYDYTYNYKYQXSYNYCYPYJYNXAYOYBCXDBVAVBVCVBYNXBYSX
      GCXDBIVKVDVEVFYLCXDSZYDXSYKUUHYDXSYKUUHUEZXGCXDIJZCBIJZXBUUIXGXDCIJZUUJUU
      IYAXGUULKZUUIXSYCYAXSYKUUHWAXSYCYJUUHVLZYIVGUUIXOXPXQXFYGXDCSZYAUUMOXOXPX
      QXFYKUUHVHZXOXPXQXFYKUUHVIZXOXPXQXFYKUUHVJXRXFYKUUHVMYFYGYCXSUUHVNZUUICXD
      XSYKUUHWBZQZXDXECXJRTURUUIXOXPYGUUOUULUUJKUUPUUQUURUUTXDCXJUSPUTZUUIBUUJG
      ZUUJUUKKZUUIBXGUUJUUIXTYAXAUUNVOUVAVPUUIXOYGXPUUHYFCBSZUVBUVCOUUPUURUUQUU
      SYFYGYCXSUUHVQZUUIBCYBXAYJXSUUHVRQZCXDBXJRTURUUIXOYGYFUVDUUKXBKUUPUURUVEU
      VFCBXJUSPVSWCVTWDWEWFWGXHXMYCXCYDXHWTYBXAXHWRXTWSYAAXGBWHAXGCWHWIVCAXGXBW
      JVEWKWLWCWMWNWOWP $.
  $}

  ${
    $d N n $.  $d n p $.  $d N p $.  $d n q $.  $d N q $.  $d P n $.  $d P p $.
    $d p q $.  $d P q $.  $d P x $.  $d Q n $.  $d Q p $.  $d Q q $.  $d Q x $.
    $( There is a line through any two distinct points.  Hilbert's axiom I.1
       for geometry.  (Contributed by Scott Fenton, 29-Oct-2013.)  (Revised by
       Mario Carneiro, 19-Apr-2014.) $)
    hilbert1.1 $p |- ( ( N e. NN /\
       ( P e. ( EE ` N ) /\ Q e. ( EE ` N ) /\ P =/= Q ) ) ->
       E. x e. LinesEE ( P e. x /\ Q e. x ) ) $=
      ( vp vq vn cn wcel cee cfv wne wa cline2 co clines2 cv wrex wceq anbi12d
      simp1 simp2 simp3 eqidd neeq1 oveq1 neeq2 oveq2 rspc2ev syl112anc rexeqdv
      w3a eqeq2d fveq2 rexeqbidv rspcev sylan2 sylibr linerflx1 linerflx2 eleq2
      ellines syl12anc ) DHIZBDJKZIZCVEIZBCLZULZMZBCNOZPIZBVKIZCVKIZBAQZIZCVOIZ
      MZAPRVJEQZFQZLZVKVSVTNOZSZMZFGQZJKZRZEWFRZGHRZVLVIVDWDFVERZEVERZWIVIVFVGV
      HVKVKSZWKVFVGVHUAVFVGVHUBVFVGVHUCVIVKUDWDVHWLMBVTLZVKBVTNOZSZMEFBCVEVEVSB
      SZWAWMWCWOVSBVTUEWPWBWNVKVSBVTNUFUMTVTCSZWMVHWOWLVTCBUGWQWNVKVKVTCBNUHUMT
      UIUJWHWKGDHWEDSZWGWJEWFVEWEDJUNZWRWDFWFVEWSUKUOUPUQVKGFEVBURBCDUSBCDUTVRV
      MVNMAVKPVOVKSVPVMVQVNVOVKBVAVOVKCVATUPVC $.
  $}

  ${
    $d P x $.  $d P y $.  $d Q x $.  $d Q y $.  $d x y $.
    $( There is at most one line through any two distinct points.  Hilbert's
       axiom I.2 for geometry.  (Contributed by Scott Fenton, 29-Oct-2013.)
       (Revised by NM, 17-Jun-2017.) $)
    hilbert1.2 $p |- ( P =/= Q -> E* x e. LinesEE ( P e. x /\ Q e. x ) ) $=
      ( vy wne cv wcel wa weq wi clines2 wral wceq simprl simprr simpl linethru
      syl3anc ex eleq2w wrmo cline2 co anim12d eqtr3 syl6 syl5bi expd ralrimivv
      an4 anbi12d rmo4 sylibr ) BCEZBAFZGZCUOGZHZBDFZGZCUSGZHZHZADIZJZDKLAKLURA
      KUAUNVEADKKUNUOKGZUSKGZHZVCVDVHVCHVFURHZVGVBHZHZUNVDVFVGURVBUJUNVKUOBCUBU
      CZMZUSVLMZHVDUNVIVMVJVNUNVIVMUNVIHVFURUNVMUNVFURNUNVFUROUNVIPUOBCQRSUNVJV
      NUNVJHVGVBUNVNUNVGVBNUNVGVBOUNVJPUSBCQRSUDUOUSVLUEUFUGUHUIURVBADKVDUPUTUQ
      VAADBTADCTUKULUM $.
  $}

  ${
    $d P x $.  $d Q x $.
    $( There is a unique line going through any two distinct points.  Theorem
       6.19 of [Schwabhauser] p. 46.  (Contributed by Scott Fenton,
       29-Oct-2013.)  (Revised by Mario Carneiro, 19-Apr-2014.) $)
    linethrueu $p |- ( ( N e. NN /\
       ( P e. ( EE ` N ) /\ Q e. ( EE ` N ) /\ P =/= Q ) ) ->
       E! x e. LinesEE ( P e. x /\ Q e. x ) ) $=
      ( cn wcel cee cfv wne w3a wa clines2 wrex wrmo wreu hilbert1.1 hilbert1.2
      cv simpr3 syl reu5 sylanbrc ) DEFZBDGHZFZCUDFZBCIZJKZBARZFCUIFKZALMUJALNZ
      UJALOABCDPUHUGUKUCUEUFUGSABCQTUJALUAUB $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Two distinct lines intersect in at most one point.  Theorem 6.21 of
       [Schwabhauser] p. 46.  (Contributed by Scott Fenton, 29-Oct-2013.)
       (Revised by Mario Carneiro, 19-Apr-2014.) $)
    lineintmo $p |- ( ( A e. LinesEE /\ B e. LinesEE /\ A =/= B ) ->
       E* x ( x e. A /\ x e. B ) ) $=
      ( vy clines2 wcel wne w3a cv wa weq wi wal wmo an4 wceq linethru 3expa ex
      eleq1w cline2 co eqtr3 syl2an anandirs necon1d an4s com23 3impia alrimivv
      sylan2b anbi12d mo4 sylibr ) BEFZCEFZBCGZHZAIZBFZUSCFZJZDIZBFZVCCFZJZJZAD
      KZLZDMAMVBANURVIADUOUPUQVIUOUPJZVGUQVHVJVGUQVHLZVGVJUTVDJZVAVEJZJVKUTVAVD
      VEOUOVLUPVMVKUOVLJZUPVMJZJZUSVCBCVPUSVCGZBCPZVNVOVQVRVNVQJBUSVCUAUBZPZCVS
      PZVRVOVQJUOVLVQVTBUSVCQRUPVMVQWACUSVCQRBCVSUCUDUESUFUGUKSUHUIUJVBVFADVHUT
      VDVAVEADBTADCTULUMUN $.
  $}

  $(
  @{
    @d a n @.  @d a p @.  @d a q @.  @d n p @.  @d n q @.  @d P a @.  @d P n @.
    @d P p @.  @d p q @.  @d P q @.  @d p x @.  @d P x @.  @d Q a @.  @d Q n @.
    @d Q p @.  @d Q q @.  @d q x @.  @d Q x @.  @d R a @.  @d R n @.  @d R p @.
    @d R q @.  @d R x @.
    @( Three points are colinear iff there is a line through all three of
       them.  Theorem 6.23 of [Schwabhauser] p. 46.  (Contributed by Scott
       Fenton, 7-Nov-2013). @)
    colinline @p |- ( ( Q e. V /\ R e. W ) -> ( P Colinear <. Q , R >. <->
          E. a e. LinesEE ( P e. a /\ Q e. a /\ R e. a ) ) ) @=
      ( vp vq vn vx wcel wa cop ccolin wbr cv w3a clines2 wrex wne cline2 co
      wceq cee cfv cn wi ellines df-3an cab fvline eqeq2d cvv eleq2 3anbi123d
      breq1 eqid elab4g 3anbi123i bitrdi pm5.32i 3an6 syl5bi adantld expd
      sylbid sylan2br expr impd anassrs rexlimdva rexlimivv sylbi rexlimiv
      impbid1 ) BDKCEKLABCMNOZAFPZKZBVQKZCVQKZQZFRS?WAVPFRVQRKGPZHPZTZVQWBWCUAU
      BZUCZLZHIPZUDUEZSZGWISIUFSWAVPUGZVQIHGUHWJWKIGUFWIWHUFKZWBWIKZLWGWKHWIWLW
      MWCWIKZWGWKUGWLWMWNLZLWDWFWKWLWOWDWFWKUGZWOWDLWLWMWNWDQZWPWMWNWDUIWLWQLZW
      FVQJPZWBWCMZNOZJUJZUCZWKWRWEXBVQJWBWCWHUKULWRXCWAVPXCWALXCAUMKZAWTNOZLZBU
      MKZBWTNOZLZCUMKZCWTNOZLZQZLWRVPXCWAXMXCWAAXBKZBXBKZCXBKZQXMXCVRXNVSXOVTXP
      VQXBAUNVQXBBUNVQXBCUNUOXNXFXOXIXPXLXAXEJAXBWSAWTNUPXBUQZURXAXHJBXBWSBWTNU
      PXQURXAXKJCXBWSCWTNUPXQURUSUTVAWRXMVPXCXMXDXGXJQXEXHXKQLWRVPXDXEXGXHXJXKV
      B?VCVDVCVEVFVGVHVIVJVKVLVMVNVO @.
      @( [19-Apr-2014] @) @( [7-Nov-2013] @)
  @}
  $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Forward difference
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare the constant for the forward difference operator. $)
  $c _/_\ $.

  $( Declare the syntax for the forward difference operator. $)
  cfwddif $a class _/_\ $.

  ${
    $d f x y $.
    $( Define the forward difference operator.  This is a discrete analogue of
       the derivative operator.  Definition 2.42 of [GramKnuthPat], p. 47.
       (Contributed by Scott Fenton, 18-May-2020.) $)
    df-fwddif $a |- _/_\ = ( f e. ( CC ^pm CC ) |->
       ( x e. { y e. dom f | ( y + 1 ) e. dom f } |->
       ( ( f ` ( x + 1 ) ) - ( f ` x ) ) ) ) $.
  $}

  $( Declare the constant for the nth forward difference operator. $)
  $c _/_\^n $.

  $( Declare the syntax for the nth forward difference operator. $)
  cfwddifn $a class _/_\^n $.

  ${
    $d n f x y k $.
    $( Define the nth forward difference operator.  This works out to be the
       forward difference operator iterated ` n ` times.  (Contributed by Scott
       Fenton, 28-May-2020.) $)
    df-fwddifn $a |- _/_\^n = ( n e. NN0 , f e. ( CC ^pm CC ) |->
        ( x e. { y e. CC | A. k e. ( 0 ... n ) ( y + k ) e. dom f } |->
          sum_ k e. ( 0 ... n )
          ( ( n _C k ) x. ( ( -u 1 ^ ( n - k ) ) x. ( f ` ( x + k ) ) ) ) ) )
          $.
  $}

  ${
    $d F x y f $.  $d X x y f $.  $d A x y f $.  $d ph x y f $.
    fwddifval.1 $e |- ( ph -> A C_ CC ) $.
    fwddifval.2 $e |- ( ph -> F : A --> CC ) $.
    fwddifval.3 $e |- ( ph -> X e. A ) $.
    fwddifval.4 $e |- ( ph -> ( X + 1 ) e. A ) $.
    $( Calculate the value of the forward difference operator at a point.
       (Contributed by Scott Fenton, 18-May-2020.) $)
    fwddifval $p |- ( ph ->
     ( ( _/_\ ` F ) ` X ) = ( ( F ` ( X + 1 ) ) - ( F ` X ) ) ) $=
      ( vx vy vf c1 caddc co cfv cmin wcel cvv cc wceq cv crab cfwddif cdm cmpt
      cpm df-fwddif dmeq eleq2d rabeqbidv fveq1 oveq12d mpteq12dv wf wss elpm2r
      wa cnex mpanl12 syl2anc fdmd a1i ssexd eqeltrd rabexg mptexg 3syl fvmptd3
      mpteq1d eqtrd fvoveq1 fveq2 adantl oveq1 eleq1d elrab sylanbrc fvmptd
      ovexd ) AIDIUAZLMNZCOZVTCOZPNZDLMNZCOZDCOZPNZJUAZLMNZBQZJBUBZCUCOZRAWMIWJ
      CUDZQZJWNUBZWDUEZIWLWDUEAKCIWJKUAZUDZQZJWSUBZWAWROZVTWROZPNZUEWQSSUFNZUCR
      IJKUGWRCTZIXAXDWPWDXFWTWOJWSWNWRCUHZXFWSWNWJXGUIUJXFXBWBXCWCPWAWRCUKVTWRC
      UKULUMABSCUNZBSUOZCXEQZFESRQZXKXHXIUQXJURURSSBCRRUPUSUTAWNRQWPRQWQRQAWNBR
      ABSCFVAZABSRXKAURVBEVCVDWOJWNRVEIWPWDRVFVGVHAIWPWLWDAWOWKJWNBXLAWNBWJXLUI
      UJVIVJVTDTZWDWHTAXMWBWFWCWGPVTDLCMVKVTDCVLULVMADBQWEBQZDWLQGHWKXNJDBWIDTW
      JWEBWIDLMVNVOVPVQAWFWGPVSVR $.
  $}

  ${
    $d N n f k x y $.  $d A n f k x y $.  $d X n f k x y $.  $d F n f k x y $.
    $d ph n f k x y $.
    fwddifnval.1 $e |- ( ph -> N e. NN0 ) $.
    fwddifnval.2 $e |- ( ph -> A C_ CC ) $.
    fwddifnval.3 $e |- ( ph -> F : A --> CC ) $.
    fwddifnval.4 $e |- ( ph -> X e. CC ) $.
    fwddifnval.5 $e |- ( ( ph /\ k e. ( 0 ... N ) ) -> ( X + k ) e. A ) $.
    $( The value of the forward difference operator at a point.  (Contributed
       by Scott Fenton, 28-May-2020.) $)
    fwddifnval $p |- ( ph -> ( ( N _/_\^n F ) ` X ) =
       sum_ k e. ( 0 ... N )
       ( ( N _C k ) x. ( ( -u 1 ^ ( N - k ) ) x. ( F ` ( X + k ) ) ) ) ) $=
      ( vx vy co cv cmul wcel cc cvv wceq vn vf cc0 cfz c1 cneg cmin cexp caddc
      cbc cfv csu cdm wral crab cfwddifn cn0 cpm cmpt cmpo df-fwddifn a1i oveq2
      wa adantr wb eleq2d adantl raleqbidv rabbidv oveq1 oveq2d fveq1 oveqan12d
      dmeq oveq12d sumeq12dv mpteq12dv wss cnex elpm2r mpanl12 syl2anc mptrabex
      wf ovmpod fvoveq1 sumeq2sdv fdmd eleqtrrd ralrimiva eleq1d elrab sylanbrc
      ralbidv sumex fvmptd ) ALFUCEUDNZECOZUJNZUEUFZEWSUGNZUHNZLOZWSUINZDUKZPNZ
      PNZCULZWRWTXCFWSUINZDUKZPNZPNZCULZMOZWSUINZDUMZQZCWRUNZMRUOZEDUPNSAUAUBED
      UQRRURNZLXPUBOZUMZQZCUCUAOZUDNZUNZMRUOZYFYEWSUJNZXAYEWSUGNZUHNZXEYBUKZPNZ
      PNZCULZUSZLXTXIUSZUPSUPUAUBUQYAYPUTTALMUBCUAVAVBYEETZYBDTZVDZYPYQTAYTLYHY
      OXTXIYTYGXSMRYTYDXRCYFWRYRYFWRTYSYEEUCUDVCVEZYSYDXRVFYRYSYCXQXPYBDVOVGVHV
      IVJYTYFWRYNXHCUUAYTYNXHTWSYFQYTYIWTYMXGPYRYIWTTYSYEEWSUJVKVEYRYSYKXCYLXFP
      YRYJXBXAUHYEEWSUGVKVLXEYBDVMVNVPVEVQVRVHGABRDWEZBRVSZDYAQZIHRSQZUUEUUBUUC
      VDUUDVTVTRRBDSSWAWBWCYQSQAXSLMRXIVTWDVBWFXDFTZXIXNTAUUFWRXHXMCUUFXGXLWTPU
      UFXFXKXCPXDFWSDUIWGVLVLWHVHAFRQXJXQQZCWRUNZFXTQJAUUGCWRAWSWRQZVDXJBXQKAXQ
      BTUUIABRDIWIVEWJWKXSUUHMFRXOFTZXRUUGCWRUUJXPXJXQXOFWSUIVKWLWOWMWNXNSQAWRX
      MCWPVBWQ $.
  $}

  ${
    $d A k $.  $d F k $.  $d X k $.  $d ph k $.
    fwddifn0.1 $e |- ( ph -> A C_ CC ) $.
    fwddifn0.2 $e |- ( ph -> F : A --> CC ) $.
    fwddifn0.3 $e |- ( ph -> X e. A ) $.
    $( The value of the n-iterated forward difference operator at zero is just
       the function value.  (Contributed by Scott Fenton, 28-May-2020.) $)
    fwddifn0 $p |- ( ph -> ( ( 0 _/_\^n F ) ` X ) = ( F ` X ) ) $=
      ( vk cc0 co cfv cbc c1 cmin cexp cmul wcel cc wceq eqtrd cfwddifn cv cneg
      cfz caddc csu cn0 0nn0 a1i sseldd csn cz 0z fzsn ax-mp eleq2i velsn bitri
      wa oveq2 adantl addid1d eqeltrd adantr sylan2b fwddifnval fveq2d ffvelrnd
      oveq2d mulid2d bcnn eqtrdi 0m0e0 neg1cn exp0 oveq12d fsum1 sylancr ) ADIC
      UAJKIIUDJZIHUBZLJZMUCZIVTNJZOJZDVTUEJZCKZPJZPJZHUFZDCKZABHCIDIUGQZAUHUIEF
      ABRDEGUJZVTVSQZAVTISZWEBQWMVTIUKZQWNVSWOVTIULQZVSWOSUMIUNUOUPHIUQURAWNUSW
      EDIUEJZBWNWEWQSAVTIDUEUTZVAAWQBQWNAWQDBADWLVBZGVCVDVCVEVFAWIMMWQCKZPJZPJZ
      WJAWPXBRQWIXBSUMAXBWJRAXBMWJPJZWJAXAWJMPAXAXCWJAWTWJMPAWQDCWSVGVIAWJABRDC
      FGVHZVJZTVIXETZXDVCWHXBHIWNWAMWGXAPWNWAIILJZMVTIILUTWKXGMSUHIVKUOVLWNWDMW
      FWTPWNWDWBIOJZMWNWCIWBOWNWCIINJIVTIINUTVMVLVIWBRQXHMSVNWBVOUOVLWNWEWQCWRV
      GVPVPVQVRXFTT $.
  $}

  ${
    $d A k j $.  $d F k j $.  $d X k j $.  $d N k j $.  $d ph k j $.
    fwddifnp1.1 $e |- ( ph -> N e. NN0 ) $.
    fwddifnp1.2 $e |- ( ph -> A C_ CC ) $.
    fwddifnp1.3 $e |- ( ph -> F : A --> CC ) $.
    fwddifnp1.4 $e |- ( ph -> X e. CC ) $.
    fwddifnp1.5 $e |- ( ( ph /\ k e. ( 0 ... ( N + 1 ) ) ) ->
     ( X + k ) e. A ) $.
    $( The value of the n-iterated forward difference at a successor.
       (Contributed by Scott Fenton, 28-May-2020.) $)
    fwddifnp1 $p |- ( ph -> ( ( ( N + 1 ) _/_\^n F ) ` X ) =
      ( ( ( N _/_\^n F ) ` ( X + 1 ) ) - ( ( N _/_\^n F ) ` X ) ) ) $=
      ( cc0 c1 caddc co cmin cmul wcel cz oveq2d cfz cbc cneg cexp cfv cfwddifn
      vj csu cn0 wceq elfzelz bcpasc syl2an oveq1d bccl nn0cnd peano2zm addcomd
      cv wa syl peano2nn0 nn0zd zsubcl m1expcl zcnd cc wf adantr mulcld adddird
      ffvelrnd eqtrd adantl 1cnd subsub3d eqcomd addsubd neg1cn a1i wne neg1ne0
      expp1zd mulcomd mulm1d mulneg1d mulneg2d oveq12d negsubd sumeq2dv fsumsub
      3eqtrd eqtr3d fzfid cuz nn0uz eleqtrdi fveq2d fsum1p df-neg oveq2i bcneg1
      oveq1 oveq2 eqtr3id 0z mp2an zsubcld wral eluzfz1 ralrimiva eleq1d rspcva
      1z syl2anc mul02d wo olc wb elfzp12 biimpar sylan2 syldan addid2d ppncand
      fsumcl 1zzd 0zd addassd fzp1elp1 imp eqeltrd fsumshft weq cbvsumv eqtr3di
      wi rspccv cfa fwddifnval 3eqtr2d fsump1 cif bcval fzp1nel iffalsei eqtrdi
      cdiv eluzfz2 rspcv fzelp1 addid1d peano2cn anbi2d imbi12d chvarvv 3eqtr4d
      sylc ) ALEMNOZUAOZUUSCUSZUBOZMUCZUUSUVAPOZUDOZFUVANOZDUEZQOZQOZCUHZLEUAOZ
      EUVAUBOZUVCEUVAPOZUDOZFMNOZUVANOZDUEZQOZQOZCUHZUVKUVLUVNUVGQOZQOZCUHZPOZF
      UUSDUFOUEUVOEDUFOZUEZFUWEUEZPOAUVJUUTEUVAMPOZUBOZUVCEUWHPOZUDOZUVGQOZQOZU
      WBPOZCUHUUTUWMCUHZUUTUWBCUHZPOUWDAUUTUVIUWNCAUVAUUTRZUTZUVLUWINOZUVHQOZUV
      IUWNUWRUWSUVBUVHQAEUIRZUVASRZUWSUVBUJUWQGUVALUUSUKZUVAEULUMUNUWRUWTUWIUVH
      QOZUVLUVHQOZNOZUWMUWBUCZNOUWNUWRUWTUWIUVLNOZUVHQOUXFUWRUWSUXHUVHQUWRUVLUW
      IUWRUVLAUXAUXBUVLUIRUWQGUXCUVAEUOUMUPZUWRUWIAUXAUWHSRZUWIUIRUWQGUWQUXBUXJ
      UXCUVAUQVAZUWHEUOUMUPZURUNUWRUWIUVLUVHUXLUXIUWRUVEUVGUWRUVEUWRUVDSRZUVESR
      AUUSSRZUXBUXMUWQAUUSAUXAUUSUIRGEVBVAZVCZUXCUUSUVAVDUMUVDVEVAVFUWRBVGUVFDA
      BVGDVHZUWQIVIKVLZVJVKVMUWRUXDUWMUXEUXGNUWRUVHUWLUWIQUWRUVEUWKUVGQUWRUVDUW
      JUVCUDUWRUWJUVDUWREUVAMUWREAUXAUWQGVIUPZUWRUVAUWQUXBAUXCVNVFZUWRVOZVPVQTU
      NTUWRUXEUVLUWAUCZQOUXGUWRUVHUYBUVLQUWRUVHUVNUCZUVGQOUYBUWRUVEUYCUVGQUWRUV
      EUVNUVCQOZUVCUVNQOUYCUWRUVEUVCUVMMNOZUDOUYDUWRUVDUYEUVCUDUWREMUVAUXSUYAUX
      TVRTUWRUVCUVMUVCVGRUWRVSVTZUVCLWAUWRWBVTAESRZUXBUVMSRZUWQAEGVCZUXCEUVAVDU
      MZWCVMUWRUVNUVCUWRUVNUWRUYHUVNSRUYJUVMVEVAVFZUYFWDUWRUVNUYKWEWLUNUWRUVNUV
      GUYKUXRWFVMTUWRUVLUWAUXIUWRUVNUVGUYKUXRVJZWGVMWHUWRUWMUWBUWRUWIUWLUXLUWRU
      WKUVGUWRUWKUWRUWJSRZUWKSRAUYGUXJUYMUWQUYIUXKEUWHVDUMUWJVEVAVFUXRVJVJZUWRU
      VLUWAUXIUYLVJZWIWLWMWJAUUTUWMUWBCALUUSWNUYNUYOWKAUWOUVTUWPUWCPAUWOLMNOZUU
      SUAOZUWMCUHZUYQUWIUWKUVOUWHNOZDUEZQOZQOZCUHZUVTAUWOELMPOZUBOZUVCEVUDPOZUD
      OZFLNOZDUEZQOZQOZUYRNOLUYRNOUYRAUWMVUKCLUUSAUUSUILWOUEZUXOWPWQZUYNUVALUJZ
      UWIVUEUWLVUJQVUNUWHVUDEUBUVALMPXCZTVUNUWKVUGUVGVUIQVUNUWJVUFUVCUDVUNUWHVU
      DEPVUOTTVUNUVFVUHDUVALFNXDZWRWHWHWSAVUKLUYRNAVUKLVUJQOLAVUELVUJQAVUEEUVCU
      BOZLUVCVUDEUBMWTXAAUXAVUQLUJGEXBVAXEUNAVUJAVUGVUIAVUGAVUFSRVUGSRAEVUDUYIV
      UDSRZALSRMSRVURXFXNLMVDXGVTXHVUFVEVAVFABVGVUHDIALUUTRZUVFBRZCUUTXIZVUHBRZ
      AUUSVULRZVUSVUMLUUSXJVAAVUTCUUTKXKZVUTVVBCLUUTVUNUVFVUHBVUPXLXMXOVLVJXPVM
      UNAUYRAUYQUWMCAUYPUUSWNAUVAUYQRZUWQUWMVGRVVEAVUNVVEXQZUWQVVEVUNXRAUWQVVFA
      VVCUWQVVFXSVUMUVALUUSXTVAYAYBUYNYCYFYDWLAUYQVUBUWMCAVVEUTZVUAUWLUWIQVVGUY
      TUVGUWKQVVGUYSUVFDVVGFMUVAAFVGRZVVEJVIVVGVOVVEUVAVGRZAVVEUVAUVAUYPUUSUKVF
      VNYEWRTTWJAUVKEUGUSZUBOZUVCEVVJPOZUDOZUVOVVJNOZDUEZQOZQOZUGUHVUCUVTAVVQVU
      BUGCMLEAYGAYHUYIAVVJUVKRZUTZVVKVVPAUXAVVJSRZVVKVGRVVRGVVJLEUKZUXAVVTUTVVK
      VVJEUOUPUMVVSVVMVVOVVSVVMVVSVVLSRZVVMSRAUYGVVTVWBVVRUYIVWAEVVJVDUMVVLVEVA
      VFVVSBVGVVNDAUXQVVRIVIVVSVVNFVVJMNOZNOZBVVSVVNFMVVJNOZNOVWDVVSFMVVJAVVHVV
      RJVIVVSVOZVVRVVJVGRAVVRVVJVWAVFVNZYIVVSVWEVWCFNVVSMVVJVWFVWGURTVMVVRAVWCU
      UTRZVWDBRZVVJLEYJAVWHVWIAVVAVWHVWIYQVVDVUTVWICVWCUUTUVAVWCUJUVFVWDBUVAVWC
      FNXDXLYRVAYKZYBYLVLVJVJVVJUWHUJZVVKUWIVVPVUAQVVJUWHEUBXDVWKVVMUWKVVOUYTQV
      WKVVLUWJUVCUDVVJUWHEPXDTVWKVVNUYSDVVJUWHUVONXDWRWHWHYMUVKVVQUVSUGCUGCYNZV
      VKUVLVVPUVRQVVJUVAEUBXDVWLVVMUVNVVOUVQQVWLVVLUVMUVCUDVVJUVAEPXDTVWLVVNUVP
      DVVJUVAUVONXDWRWHWHYOYPUUAAUWPUWCEUUSUBOZUVCEUUSPOZUDOZFUUSNOZDUEZQOZQOZN
      OUWCLNOUWCAUWBVWSCLEAEUIVULGWPWQUYOUVAUUSUJZUVLVWMUWAVWRQUVAUUSEUBXDVWTUV
      NVWOUVGVWQQVWTUVMVWNUVCUDUVAUUSEPXDTVWTUVFVWPDUVAUUSFNXDZWRWHWHUUBAVWSLUW
      CNAVWSLVWRQOLAVWMLVWRQAVWMUUSUVKRZEYSUEVWNYSUEUUSYSUEQOUUHOZLUUCZLAUXAUXN
      VWMVXDUJGUXPUUSEUUDXOVXBVXCLLEUUEUUFUUGUNAVWRAVWOVWQAVWNSRZVWOVGRAEUUSUYI
      UXPXHVXEVWOVWNVEVFVAABVGVWPDIAUUSUUTRZVVAVWPBRZAVVCVXFVUMLUUSUUIVAVVDVUTV
      XGCUUSUUTVWTUVFVWPBVXAXLUUJUURVLVJXPVMTAUWCAUVKUWBCALEWNUVAUVKRZAUWQUWBVG
      RUVALEUUKZUYOYBYFUULWLWHWLABCDUUSFUXOHIJKYTAUWFUVTUWGUWCPABCDEUVOGHIAVVHU
      VOVGRJFUUMVAAVXHUTZUVPFUVAMNOZNOZBVXJUVPFMUVANOZNOVXLVXJFMUVAAVVHVXHJVIVX
      JVOZVXHVVIAVXHUVAUVALEUKVFVNZYIVXJVXMVXKFNVXJMUVAVXNVXOURTVMVXHAVXKUUTRZV
      XLBRZUVALEYJAVWHUTZVWIYQAVXPUTZVXQYQUGCVWLVXRVXSVWIVXQVWLVWHVXPAVWLVWCVXK
      UUTVVJUVAMNXCZXLUUNVWLVWDVXLBVWLVWCVXKFNVXTTXLUUOVWJUUPYBYLYTABCDEFGHIJVX
      HAUWQVUTVXIKYBYTWHUUQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Rank theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x $.  $d A y $.  $d B y $.  $d x y $.
    $( The rank of the union of two sets.  Closed form of ~ rankun .
       (Contributed by Scott Fenton, 15-Jul-2015.) $)
    rankung $p |- ( ( A e. V /\ B e. W ) ->
          ( rank ` ( A u. B ) ) = ( ( rank ` A ) u. ( rank ` B ) ) ) $=
      ( vx vy cv cun crnk cfv wceq uneq1 fveq2d fveq2 uneq1d eqeq12d uneq2d vex
      uneq2 rankun vtocl2g ) EGZFGZHZIJZUBIJZUCIJZHZKAUCHZIJZAIJZUGHZKABHZIJZUK
      BIJZHZKEFABCDUBAKZUEUJUHULUQUDUIIUBAUCLMUQUFUKUGUBAINOPUCBKZUJUNULUPURUIU
      MIUCBASMURUGUOUKUCBINQPUBUCERFRTUA $.

    $( The rank of a singleton.  Closed form of ~ ranksn .  (Contributed by
       Scott Fenton, 15-Jul-2015.) $)
    ranksng $p |- ( A e. V -> ( rank ` { A } ) = suc ( rank ` A ) ) $=
      ( vx cv csn crnk cfv csuc wceq sneq fveq2d fveq2 suceq syl eqeq12d ranksn
      vex vtoclg ) CDZEZFGZSFGZHZIAEZFGZAFGZHZICABSAIZUAUEUCUGUHTUDFSAJKUHUBUFI
      UCUGISAFLUBUFMNOSCQPR $.

    $( The membership relation is inherited by the rank function.  Closed form
       of ~ rankel .  (Contributed by Scott Fenton, 16-Jul-2015.) $)
    rankelg $p |- ( ( B e. V /\ A e. B ) -> ( rank ` A ) e. ( rank ` B ) ) $=
      ( vy wcel crnk cfv cv wi eleq2 fveq2 eleq2d imbi12d vex rankel vtoclg imp
      wceq ) BCEABEZAFGZBFGZEZADHZEZTUCFGZEZISUBIDBCUCBRZUDSUFUBUCBAJUGUEUATUCB
      FKLMAUCDNOPQ $.

    $( The rank of a power set.  Closed form of ~ rankpw .  (Contributed by
       Scott Fenton, 16-Jul-2015.) $)
    rankpwg $p |- ( A e. V -> ( rank ` ~P A ) = suc ( rank ` A ) ) $=
      ( vx cv cpw crnk cfv csuc wceq pweq fveq2d fveq2 suceq syl eqeq12d rankpw
      vex vtoclg ) CDZEZFGZSFGZHZIAEZFGZAFGZHZICABSAIZUAUEUCUGUHTUDFSAJKUHUBUFI
      UCUGISAFLUBUFMNOSCQPR $.
  $}

  $( The rank of the empty set is ` (/) ` .  (Contributed by Scott Fenton,
     17-Jul-2015.) $)
  rank0 $p |- ( rank ` (/) ) = (/) $=
    ( c0 wceq crnk cfv eqid 0ex rankeq0 mpbi ) AABACDABAEAFGH $.

  ${
    $d A x $.  $d x y $.
    $( The only set with rank ` 1o ` is the singleton of the empty set.
       (Contributed by Scott Fenton, 17-Jul-2015.) $)
    rankeq1o $p |- ( ( rank ` A ) = 1o <-> A = { (/) } ) $=
      ( vx vy crnk cfv c1o wceq c0 cvv wcel wne mpbiri wi csuc con0 ax-mp pweqi
      cr1 cpw sylbi csn 1n0 neeq1 neneqd fvprc nsyl2 cv fveqeq2 imbi12d rankeq0
      eqeq1 vex necon3bii sylibr crab cint rankval eqeq1i cpr wa wss elirr 1oex
      ssrab2 id eleqtrid inteq int0 eqtrdi eqeq1d mtbiri necon2ai onint sylancr
      mto eleq1 mpbid suceq fveq2d df-1o fveq2i 0elon r1suc r10 pw0 3eqtrri 1on
      3eqtri pwpw0 eqtr4i eqtr4di eleq2d elrab sylib wo df-ne orel1 df1o2 eqeq2
      elpr wn eqcomd syl6com adantl syl mpd vtoclg mpcom fveq2 cdm wf1 eleqtrri
      r111 f1dm rankonid mpbi impbii eqeq2i bitri ) ADEZFGZAFGZAHUAZGYAYBAIJZYA
      YBYAXTHGYDYAXTHYAXTHKFHKZUBXTFHUCLUDADUEUFBUGZDEZFGZYFFGZMYAYBMBAIYFAGYHY
      AYIYBYFAFDUHYFAFUKUIYHYFHKZYIYHYGHKZYJYHYKYEUBYGFHUCLYFHYGHYFBULZUJUMUNYH
      YFCUGZNZREZJZCOUOZUPZFGZYJYIMZYGYRFCYFYLUQURYSFOJZYFHYCUSZJZUTZYTYSFYQJZU
      UDYSYRYQJZUUEYSYQOVAYQHKUUFYPCOVDYSYQHYQHGZYSIFGZUUHFFJFVBUUHFIFVCUUHVEVF
      VOUUGYRIFUUGYRHUPIYQHVGVHVIVJVKVLYQVMVNYRFYQVPVQYPUUCCFOYMFGZYOUUBYFUUIYO
      FNZREZUUBUUIYNUUJRYMFVRVSUUBFREZSZUUKUUMHSZSYCSUUBUULUUNUULHNZREZHREZSZUU
      NFUUORVTWAHOJUUPUURGWBHWCPUUQHWDQWHQUUNYCWEQWIWFUUAUUKUUMGWGFWCPWJWKWLWMW
      NUUCYTUUAUUCYFHGZYFYCGZWOZYTYFHYCYLWTYJUVAUUTYIYJUUSXAUVAUUTMYFHWPUUSUUTW
      QTUUTFYFUUTFYFGFYCGWRYFYCFWSLXBXCTXDXETXFXGXHYBXTFDEZFAFDXIFRXJZJUVBFGFOU
      VCWGOIRXKUVCOGXMOIRXNPXLFXOXPVIXQFYCAWRXRXS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Hereditarily Finite Sets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare the constants for HF sets. $)
  $c Hf $.

  $( The constant ` Hf ` is a class. $)
  chf $a class Hf $.

  $( Define the hereditarily finite sets.  These are the finite sets whose
     elements are finite, and so forth.  (Contributed by Scott Fenton,
     9-Jul-2015.) $)
  df-hf $a |- Hf = U. ( R1 " _om ) $.

  ${
    $d A x $.
    $( Membership in the hereditarily finite sets.  (Contributed by Scott
       Fenton, 9-Jul-2015.) $)
    elhf $p |- ( A e. Hf <-> E. x e. _om A e. ( R1 ` x ) ) $=
      ( chf wcel cr1 com cima cuni cfv wrex df-hf eleq2i con0 cvv wf1 wfun r111
      cv wb f1fun eluniima mp2b bitri ) BCDBEFGHZDZBAREIDAFJZCUDBKLMNEOEPUEUFSQ
      MNETAFBEUAUBUC $.
  $}

  ${
    $d A x $.
    elhf2.1 $e |- A e. _V $.
    $( Alternate form of membership in the hereditarily finite sets.
       (Contributed by Scott Fenton, 13-Jul-2015.) $)
    elhf2 $p |- ( A e. Hf <-> ( rank ` A ) e. _om ) $=
      ( vx chf wcel cv cr1 cfv com wrex con0 wceq nnon syl adantl expcom adantr
      wb wa cvv crnk elhf wo omon rankr1a elnn sylbid rexlimdva csuc peano2 cpw
      wss r1rankid mp1i elpw sylibr r1suc eleqtrrd eleq2d rspcev syl2anc impbid
      wi fveq2 tz9.13 rankon 2th rexeq eleq2 bibi12d mpbiri jaoi ax-mp bitri )
      ADEACFZGHZEZCIJZAUAHZIEZCAUBIKEZIKLZUCVRVTRZUDWAWCWBWAVRVTWAVQVTCIWAVOIEZ
      SVQVSVOEZVTWDVQWERZWAWDVOKEWFVOMAVOBUENOWDWEVTVCWAWEWDVTVSVOUFPOUGUHVTWAV
      RVTWASZVSUIZIEZAWHGHZEZVRVTWIWAVSUJQWGAVSGHZUKZWJWGAWLULZAWMEATEWNWGBATUM
      UNAWLBUOUPVTWJWMLZWAVTVSKEZWOVSMVSUQNQURVQWKCWHIVOWHLVPWJAVOWHGVDUSUTVAPV
      BWBWCVQCKJZWPRWQWPCABVEAVFVGWBVRWQVTWPVQCIKVHIKVSVIVJVKVLVMVN $.
  $}

  ${
    $d A x $.
    $( Hereditarily finiteness via rank.  Closed form of ~ elhf2 .
       (Contributed by Scott Fenton, 15-Jul-2015.) $)
    elhf2g $p |- ( A e. V -> ( A e. Hf <-> ( rank ` A ) e. _om ) ) $=
      ( vx cv chf wcel crnk cfv com eleq1 wceq fveq2 eleq1d vex elhf2 vtoclbg )
      CDZEFQGHZIFAEFAGHZIFCABQAEJQAKRSIQAGLMQCNOP $.
  $}

  $( The empty set is a hereditarily finite set.  (Contributed by Scott Fenton,
     9-Jul-2015.) $)
  0hf $p |- (/) e. Hf $=
    ( vx c0 chf wcel cv cr1 cfv com wrex csuc peano1 peano2 ax-mp cpw con0 wceq
    0elpw 0elon r1suc eleqtrri fveq2 eleq2d rspcev mp2an elhf mpbir ) BCDBAEZFG
    ZDZAHIZBJZHDZBUKFGZDZUJBHDULKBLMBBFGZNZUMUOQBODUMUPPRBSMTUIUNAUKHUGUKPUHUMB
    UGUKFUAUBUCUDABUEUF $.

  $( The union of two HF sets is an HF set.  (Contributed by Scott Fenton,
     15-Jul-2015.) $)
  hfun $p |- ( ( A e. Hf /\ B e. Hf ) -> ( A u. B ) e. Hf ) $=
    ( chf wcel wa cun crnk cfv com elhf2g ibi wceq wi wss wo word nnord ssequn1
    syl2an cvv rankung eleq1a adantl uncom eqeq1i biimpi eleq1d biimprcd adantr
    ordtri2or2 orbi12i sylib mpjaod eqeltrd wb unexg syl mpbird ) ACDZBCDZEZABF
    ZCDZVBGHZIDZVAVDAGHZBGHZFZIABCCUAUSVFIDZVGIDZVHIDZUTUSVIACJKUTVJBCJKVIVJEZV
    HVGLZVKVGVFFZVFLZVJVMVKMVIVGIVHUBUCVIVOVKMVJVOVKVIVOVHVFIVOVHVFLVNVHVFVGVFU
    DUEUFUGUHUIVLVFVGNZVGVFNZOZVMVOOVIVFPVGPVRVJVFQVGQVFVGUJSVPVMVQVOVFVGRVGVFR
    UKULUMSUNVAVBTDVCVEUOABCCUPVBTJUQUR $.

  $( The singleton of an HF set is an HF set.  (Contributed by Scott Fenton,
     15-Jul-2015.) $)
  hfsn $p |- ( A e. Hf -> { A } e. Hf ) $=
    ( chf wcel csn crnk cfv com csuc ranksng elhf2g ibi peano2 syl eqeltrd snex
    elhf2 sylibr ) ABCZADZEFZGCSBCRTAEFZHZGABIRUAGCZUBGCRUCABJKUALMNSAOPQ $.

  $( Adjoining one HF element to an HF set preserves HF status.  (Contributed
     by Scott Fenton, 15-Jul-2015.) $)
  hfadj $p |- ( ( A e. Hf /\ B e. Hf ) -> ( A u. { B } ) e. Hf ) $=
    ( chf wcel csn cun hfsn hfun sylan2 ) BCDACDBEZCDAJFCDBGAJHI $.

  $( Any member of an HF set is itself an HF set.  (Contributed by Scott
     Fenton, 16-Jul-2015.) $)
  hfelhf $p |- ( ( A e. B /\ B e. Hf ) -> A e. Hf ) $=
    ( wcel chf wa crnk cfv rankelg ancoms com wi elhf2g ibi syl5ibr expcomd imp
    elnn sylan2 mpd ) ABCZBDCZEAFGZBFGZCZADCZUATUDABDHIUATUCJCZUDUEKZUAUFBDLMTU
    FUGTUDUFUEUDUFEUETUBJCUBUCQABLNOPRS $.

  ${
    $d x y $.
    $( The class of all hereditarily finite sets is transitive.  (Contributed
       by Scott Fenton, 16-Jul-2015.) $)
    hftr $p |- Tr Hf $=
      ( vx vy chf wtr wel cv wcel wa wi wal dftr2 hfelhf ax-gen mpgbir ) CDABEB
      FZCGHAFZCGIZBJAABCKQBPOLMN $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Extensionality for HF sets depends only on comparison of HF elements.
       (Contributed by Scott Fenton, 16-Jul-2015.) $)
    hfext $p |- ( ( A e. Hf /\ B e. Hf ) ->
       ( A = B <-> A. x e. Hf ( x e. A <-> x e. B ) ) ) $=
      ( chf wcel wa wceq cv wb wral cvv cdif wal dfcleq unvdif raleqi wn hfelhf
      cun stoic1b ralv bitr2i ralunb 3bitri vex mpbiran adantlr adantll 2falsed
      eldif sylan2b ralrimiva biantrud bitr4id ) BDEZCDEZFZBCGZAHZBEZUSCEZIZADJ
      ZVBAKDLZJZFZVCURVBAMZVBADVDSZJZVFABCNVIVBAKJVGVBAVHKDOPVBAUAUBVBADVDUCUDU
      QVEVCUQVBAVDUSVDEZUQUSDEZQZVBVJUSKEVLAUEUSKDUJUFUQVLFUTVAUOVLUTQUPUTUOVKU
      SBRTUGUPVLVAQUOVAUPVKUSCRTUHUIUKULUMUN $.
  $}

  $( The union of an HF set is itself hereditarily finite.  (Contributed by
     Scott Fenton, 16-Jul-2015.) $)
  hfuni $p |- ( A e. Hf -> U. A e. Hf ) $=
    ( chf wcel cuni crnk cfv com rankuni wss wtr rankon ontrci df-tr elhf2g ibi
    mpbi word wa wi cvv con0 eqeltrri onordi ordom ordtr2 mp2an eqeltrid uniexg
    sylancr wb syl mpbird ) ABCZADZBCZUNEFZGCZUMUPAEFZDZGAHZUMUSURIZURGCZUSGCZU
    RJVAURAKLURMPUMVBABNOUSQGQVAVBRVCSUSUPUSUAUTUNKUBUCUDUSURGUEUFUIUGUMUNTCUOU
    QUJABUHUNTNUKUL $.

  $( The power class of an HF set is hereditarily finite.  (Contributed by
     Scott Fenton, 16-Jul-2015.) $)
  hfpw $p |- ( A e. Hf -> ~P A e. Hf ) $=
    ( chf wcel cpw crnk cfv com rankpwg elhf2g ibi peano2 syl eqeltrd cvv pwexg
    csuc wb mpbird ) ABCZADZBCZTEFZGCZSUBAEFZPZGABHSUDGCZUEGCSUFABIJUDKLMSTNCUA
    UCQABOTNILR $.

  $( ` _om ` is not hereditarily finite.  (Contributed by Scott Fenton,
     16-Jul-2015.) $)
  hfninf $p |- -. _om e. Hf $=
    ( com chf wcel wn wi elirr crnk cfv elhf2g con0 wceq ordom elong mpbiri cr1
    word cdm cvv wf1 ax-mp r111 f1dm eleq2i rankonid bitr3i sylib eleq1d mtbiri
    bitrd pm2.01 ) ABCZUKDZEULUKUKAACZAFUKUKAGHZACUMABIUKUNAAUKAJCZUNAKZUKUOAPL
    ABMNUOAOQZCUPUQJAJROSUQJKUAJROUBTUCAUDUEUFUGUIUHUKUJT $.

  $(
  @{ @d t y @. @d t z @. @d x y @.
     @( The hereditarily finite sets are a subset of the finite sets. @)
     hfssfin @p |- Hf C_ Fin @=
       ( vx vy vt vz cr1 com cfn wss cv wcel cfv wceq con0 cvv fveq2 sseq1d weq
       c0 eqsstri syl chf cima cuni df-hf wral wrex wfun wf1 r111 f1fun fvelima
       ax-mp mpan wi csuc r10 0ss cpw r1suc sylibrd finds sseq1 biimpd rexlimiv
       nnon com12 rgen unissb mpbir ) UAEFUBZUCZGUDVKGHAIZGHZAVJUEVMAVJVLVJJZBI
       ZEKZVLLZBFUFZVMEUGZVNVRMNEUHVSUIMNEUJULBVLFEUKUMVQVMBFVOFJVPGHZVQVMUNCIZ
       EKZGHREKZGHDIZEKZGHZWDUOZEKZGHZVTCDVOWARLWBWCGWAREOPCDQWBWEGWAWDEOPWAWGL
       WBWHGWAWGEOPCBQWBVPGWAVOEOPWCRGUPGUQSWDFJZWFWEURZGHWI?WJWHWKGWJWDMJWHWKL
       WDVEWDUSTPUTVAVQVTVMVQVTVMVPVLGVBVCVFTVDTVGAVJGVHVIS @.
       @( [20-Jul-2015] @)

     @( Any finite set of HF sets is itself an HF set. @)
     hffinhf @p |- ( ( A C_ Hf /\ A e. Fin ) -> A e. Hf ) @= ? @.

  @}

  @{ @d A z @. @d x z @. @d y z @. @d A a @. @d a b @. @d A b @. @d a c @.
     @d A c @. @d a w @. @d A w @. @d a x @. @d a y @. @d a z @. @d b c @.
     @d b x @. @d b y @. @d b z @. @d c x @. @d c y @. @d c z @. @d w x @.
     @d w y @. @d w z @.

     @( Induction rule for hereditarily finite sets.  If the empty class
        is in a class ` A ` , and ` A ` is closed under adjunction of HF sets,
        then all HF sets are elements of ` A ` . @)
     hfind @p |- ( ( (/) e. A /\ A. x e. A A. y e. A ( ( x e. Hf /\ y e. Hf )
           -> ( x u. { y } ) e. A ) ) -> Hf C_ A ) @=
       ( vz vw va vb vc c0 wcel cv chf wa wi wral crnk cfv com wceq wal csn cun
       wrex risset eqeq1 imbi1d albidv fveq2 eqeq2d eleq1 imbi2d imbi12d cbvalv
       weq bitrdi nn0suc eqcom vex rankeq0 bicomi bitr3i biimprd syl6bi adantrd
       com23 a1dd a1i jaod mpd bi2.04 albii 19.21v bitri ralbii r19.21v 3imtr4g
       a2d alrimdv omsinds sp syl com12 rexlimdv syl5bi elhf2 anbi12i 2ralbii
       imbi1i anbi2i 3imtr4i ssrdv ) ICJZAKZLJZBKZLJZMZWMWOUAUBCJZNZBCOACOZMZDL
       CWLWMPQRJZWOPQRJZMZWRNZBCOACOZMZDKZPQZRJZXHCJZNXAXHLJZXKNXJEKZXISZERUCXG
       XKEXIRUDXGXNXKERXMRJZXGXNXKNXOXNXGXKXOXNXGXKNZNZDTZXQFKZXISZXPNZDTZGKZHK
       ZPQZSZXGYDCJZNZNZHTZXRFGXMFGUNZYBYCXISZXPNZDTYJYKYAYMDYKXTYLXPXSYCXIUEUF
       UGYMYIDHDHUNZYLYFXPYHYNXIYEYCXHYDPUHUIYNXKYGXGXHYDCUJUKULUMUOFEUNZYAXQDY
       OXTXNXPXSXMXIUEUFUGXSRJZYJGXSOZYADYPXGYFYGNZHTZGXSOZNZXGXTXKNZNYQYAYPXGY
       TUUBYP?XGYTUUBNNZ?XSUPYPXSISZUUC?UUDUUCNYPUUDXGUUBYTUUDWLUUBXFUUDXTWLXKU
       UDXTXHISZWLXKNUUDXTIXISZUUEXSIXIUEUUFXIISZUUEXIIUQUUEUUGXHDURZUSUTVAUOUU
       EXKWLXHICUJVBVCVEVDVFVG?VHVIVQYQXGYSNZGXSOUUAYJUUIGXSYJXGYRNZHTUUIYIUUJH
       YFXGYGVJVKXGYRHVLVMVNXGYSGXSVOVMXTXGXKVJVPVRVSXQDVTWAVEWBWCWDWTXFWLWSXEA
       BCCWQXDWRWNXBWPXCWMAURWEWOBURWEWFWHWGWIXLXJXKXHUUHWEWHWJWK @.
       @( [17-Jul-2015] @)
  @}
  $)

$( (End of Scott Fenton's mathbox.) $)
$( End $[ set-mbox-sf.mm $] $)


$( Begin $[ set-mbox-jgh.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Jeff Hankins
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellany
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    a1i14.1 $e |- ( ps -> ( ch -> ta ) ) $.
    $( Add two antecedents to a wff.  (Contributed by Jeff Hankins,
       4-Aug-2009.) $)
    a1i14 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi a1dd a1i ) BCDEGGGABCEDFHI $.
  $}

  ${
    a1i24.1 $e |- ( ph -> ( ch -> ta ) ) $.
    $( Add two antecedents to a wff.  Deduction associated with ~ a1i13 .
       (Contributed by Jeff Hankins, 5-Aug-2009.) $)
    a1i24 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi a1dd a1d ) ACDEGGBACEDFHI $.
  $}

  ${
    exp5d.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> ( ( th /\ ta ) -> et ) ) $.
    $( An exportation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    exp5d $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wi wa expd exp31 ) ABCDEFHHABICIDEFGJK $.
  $}

  ${
    exp5g.1 $e |- ( ( ph /\ ps ) -> ( ( ( ch /\ th ) /\ ta ) -> et ) ) $.
    $( An exportation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    exp5g $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wi wa exp4c ex ) ABCDEFHHHABICDEFGJK $.
  $}

  ${
    exp5k.1 $e |- ( ph -> ( ( ( ps /\ ( ch /\ th ) ) /\ ta ) -> et ) ) $.
    $( An exportation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    exp5k $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wi wa expd exp4d ) ABCDEFHABCDIIEFGJK $.
  $}

  ${
    exp56.1 $e |- ( ( ( ( ph /\ ps ) /\ ch ) /\ ( th /\ ta ) ) -> et ) $.
    $( An exportation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    exp56 $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wa ex exp5d ) ABCDEFABHCHDEHFGIJ $.
  $}

  ${
    exp58.1 $e |- ( ( ( ph /\ ps ) /\ ( ( ch /\ th ) /\ ta ) ) -> et ) $.
    $( An exportation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    exp58 $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wa ex exp5g ) ABCDEFABHCDHEHFGIJ $.
  $}

  ${
    exp510.1 $e |- ( ( ph /\ ( ( ( ps /\ ch ) /\ th ) /\ ta ) ) -> et ) $.
    $( An exportation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    exp510 $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wa ex exp5j ) ABCDEFABCHDHEHFGIJ $.
  $}

  ${
    exp511.1 $e |- ( ( ph /\ ( ( ps /\ ( ch /\ th ) ) /\ ta ) ) -> et ) $.
    $( An exportation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    exp511 $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wa ex exp5k ) ABCDEFABCDHHEHFGIJ $.
  $}

  ${
    exp512.1 $e |- ( ( ph /\ ( ( ps /\ ch ) /\ ( th /\ ta ) ) ) -> et ) $.
    $( An exportation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    exp512 $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wa ex exp5l ) ABCDEFABCHDEHHFGIJ $.
  $}

  ${
    3com12d.1 $e |- ( ph -> ( ps /\ ch /\ th ) ) $.
    $( Commutation in consequent.  Swap 1st and 2nd.  (Contributed by Jeff
       Hankins, 17-Nov-2009.) $)
    3com12d $p |- ( ph -> ( ch /\ ps /\ th ) ) $=
      ( w3a id 3com12 syl ) ABCDFCBDFZECBDJJGHI $.
  $}

  ${
    3imp5.1 $e |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $.
    $( A triple importation inference.  (Contributed by Jeff Hankins,
       8-Jul-2009.) $)
    imp5p $p |- ( ph -> ( ps -> ( ( ch /\ th /\ ta ) -> et ) ) ) $=
      ( w3a wi com52l 3imp com3l ) CDEHABFCDEABFIIABCDEFGJKL $.

    $( A triple importation inference.  (Contributed by Jeff Hankins,
       8-Jul-2009.) $)
    imp5q $p |- ( ( ph /\ ps ) -> ( ( ch /\ th /\ ta ) -> et ) ) $=
      ( wa wi imp 3impd ) ABHCDEFABCDEFIIIGJK $.
  $}

  ${
    ecase13d.1 $e |- ( ph -> -. ch ) $.
    ecase13d.2 $e |- ( ph -> -. th ) $.
    ecase13d.3 $e |- ( ph -> ( ch \/ ps \/ th ) ) $.
    $( Deduction for elimination by cases.  (Contributed by Jeff Hankins,
       18-Aug-2009.) $)
    ecase13d $p |- ( ph -> ps ) $=
      ( wn wo wi w3o 3orass df-or bitri sylib mpd orcom ) ADHZBFABDIZRBJZACHZSE
      ACBDKZUASJZGUBCSIUCCBDLCSMNOPSDBITBDQDBMNOP $.
  $}

  ${
    subtr.1 $e |- F/_ x A $.
    subtr.2 $e |- F/_ x B $.
    ${
      subtr.3 $e |- F/_ x Y $.
      subtr.4 $e |- F/_ x Z $.
      subtr.5 $e |- ( x = A -> X = Y ) $.
      subtr.6 $e |- ( x = B -> X = Z ) $.
      $( Transitivity of implicit substitution.  (Contributed by Jeff Hankins,
         13-Sep-2009.)  (Proof shortened by Mario Carneiro, 11-Dec-2016.) $)
      subtr $p |- ( ( A e. C /\ B e. D ) -> ( A = B -> Y = Z ) ) $=
        ( wcel wceq wi cv nfeq nfim eqeq1 eqeq1d imbi12d vtoclgf adantr ) BDOBC
        PZGHPZQZCEOARZCPZFHPZQUHABDIUFUGAABCIJSAGHKLSTUIBPZUJUFUKUGUIBCUAULFGHM
        UBUCNUDUE $.
    $}

    ${
      subtr2.3 $e |- F/ x ps $.
      subtr2.4 $e |- F/ x ch $.
      subtr2.5 $e |- ( x = A -> ( ph <-> ps ) ) $.
      subtr2.6 $e |- ( x = B -> ( ph <-> ch ) ) $.
      $( Transitivity of implicit substitution into a wff.  (Contributed by
         Jeff Hankins, 19-Sep-2009.)  (Proof shortened by Mario Carneiro,
         11-Dec-2016.) $)
      subtr2 $p |- ( ( A e. C /\ B e. D ) -> ( A = B -> ( ps <-> ch ) ) ) $=
        ( wcel wceq wb wi cv nfeq nfbi nfim eqeq1 bibi1d imbi12d vtoclgf adantr
        ) EGOEFPZBCQZRZFHODSZFPZACQZRUJDEGIUHUIDDEFIJTBCDKLUAUBUKEPZULUHUMUIUKE
        FUCUNABCMUDUENUFUG $.
    $}
  $}

  ${
    $d a b c r s t .<_ $.
    $( A relation intersected with its converse is an equivalence relation if
       the relation is transitive.  (Contributed by Jeff Hankins, 6-Oct-2009.)
       (Revised by Mario Carneiro, 12-Aug-2015.) $)
    trer $p |- ( A. a A. b A. c ( ( a .<_ b /\ b .<_ c ) -> a .<_ c ) ->
      ( .<_ i^i `' .<_ ) Er dom ( .<_ i^i `' .<_ ) ) $=
      ( vr vs vt cv wbr wa wi wal brin vex brcnv weq breq1 imbi12d spvv breq2
      ccnv cin wrel cdm wer wss inss2 relcnv relss mp2 a1i eqidd anbi2i anbi12i
      wceq bitri anbi1d 2albidv anbi12d imbi1d albidv anbi2d pm3.3 adantrd impd
      com23 4syl adantld jcad bitr2i syl6ib syl5bi bicomi anbi12ci biimpi jctil
      3bitr4i alrimiv alrimivv dfer2 syl3anbrc ) BHZCHZAIZWCDHZAIZJZWBWEAIZKZDL
      CLZBLZAAUAZUBZUCZWMUDZWOUOEHZFHZWMIZWQWPWMIZKZWRWQGHZWMIZJZWPXAWMIZKZJZGL
      ZFLELWOWMUEWNWKWMWLUFWLUCWNAWLUGAUHWMWLUIUJUKWKWOULWKXGEFWKXFGWKXEWTXCWPW
      QAIZWQWPAIZJZWQXAAIZXAWQAIZJZJZWKXDWRXJXBXMWRXHWPWQWLIZJZXJWPWQAWLMZXOXIX
      HWPWQAENZFNZOZUMUPXBXKWQXAWLIZJXMWQXAAWLMYAXLXKWQXAAXSGNZOUMUPUNWKXNWPXAA
      IZXAWPAIZJZXDWKXNYCYDWKWPWCAIZWFJZWPWEAIZKZDLZCLZXHWQWEAIZJZYHKZDLZXHXKJZ
      YCKZXNYCKWJYKBEBEPZWIYICDYRWGYGWHYHYRWDYFWFWBWPWCAQUQWBWPWEAQRURSYJYOCFCF
      PZYIYNDYSYGYMYHYSYFXHWFYLWCWQWPATWCWQWEAQZUSUTVASYNYQDGDGPZYMYPYHYCUUAYLX
      KXHWEXAWQATVBWEXAWPATRSYQXJXMYCYQXHXMYCKXIYQXMXHYCYQXKXHYCKXLYQXHXKYCXHXK
      YCVCVFVDVFVDVEVGWKXAWCAIZWFJZXAWEAIZKZDLZCLZXLYLJZUUDKZDLZXLXIJZYDKZXNYDK
      WJUUGBGBGPZWIUUECDUUMWGUUCWHUUDUUMWDUUBWFWBXAWCAQUQWBXAWEAQRURSUUFUUJCFYS
      UUEUUIDYSUUCUUHUUDYSUUBXLWFYLWCWQXAATYTUSUTVASUUIUULDEDEPZUUHUUKUUDYDUUNY
      LXIXLWEWPWQATVBWEWPXAATRSUULXJXMYDUULXIXMYDKXHUULXMXIYDUULXLXIYDKXKXLXIYD
      VCVHVFVHVEVGVIXDYCWPXAWLIZJYEWPXAAWLMUUOYDYCWPXAAXRYBOUMVJVKVLWRWSXPXIWQW
      PWLIZJWRWSXHUUPXOXIUUPXHWQWPAXSXROVMXTVNXQWQWPAWLMVQVOVPVRVSEFGWOWMVTWA
      $.
  $}

  $( An equivalent membership condition for closed intervals.  (Contributed by
     Jeff Hankins, 14-Jul-2009.) $)
  elicc3 $p |- ( ( A e. RR* /\ B e. RR* ) -> ( C e. ( A [,] B ) <-> ( C e. RR*
  /\ A <_ B /\ ( C = A \/ ( A < C /\ C < B ) \/ C = B ) ) ) ) $=
    ( cxr wcel wa cle wbr w3a wceq clt wi simp1 a1i xrleltne biimprd syl5ibrcom
    wn wne wo cicc co w3o elicc1 xrletr exp5o com23 imp5q df-ne syl5bir adantlr
    3adant3r3 eqcom necon3bbii syl5bi 3exp com12 imp32 3adantr2 adantll anim12d
    ex df-or 3orass pm5.6 orcom imbi2i bitri 3bitr4ri syl6ib 3jcad xrleid breq2
    xrltle adantr adantllr adantrd simpr 3jaod exp31 3impd breq1 ancoms adantld
    ad3antrrr ad3antlr impbid bitrd ) ADEZBDEZFZCABUAUBECDEZACGHZCBGHZIZWLABGHZ
    CAJZACKHZCBKHZFZCBJZUCZIZABCUDWKWOXCWKWOWLWPXBWOWLLWKWLWMWNMNWIWJWLWMWNWPWI
    WLWJWMWNWPLLWIWLWJWMWNWPACBUEUFUGUHWKWOWQRZXARZFWTLZXBWKWOXFWKWOFXDWRXEWSWI
    WOXDWRLZWJWIWLWMXGWNXDCASZWIWLWMIZWRCAUIXIWRXHACOPUJULUKWJWOXEWSLZWIWJWLWNX
    JWMWJWLWNXJWLWJWNXJLWLWJWNXJXEBCSZWLWJWNIZWSXABCCBUMUNXLWSXKCBOPUOUPUQURUSU
    TVAVBWQWTXATZTXDXMLZXBXFWQXMVCWQWTXAVDXFXDXAWTTZLXNXDXAWTVEXOXMXDXAWTVFVGVH
    VIVJVKWKXCWLWMWNXCWLLWKWLWPXBMNWKWLWPXBWMWKWLWPXBWMLWKWLFZWPFZWQWMWTXAXQWMW
    QAAGHZWIXRWJWLWPAVLWECAAGVMQXQWRWMWSWIWLWPWRWMLZWJWIWLFXSWPACVNVOVPVQXQWMXA
    WPXPWPVRZCBAGVMQVSVTWAWKWLWPXBWNWKWLWPXBWNLXQWQWNWTXAXQWNWQWPXTCABGWBQXPWTW
    NLZWPWJWLYAWIWJWLFWSWNWRWLWJWSWNLCBVNWCWDUTVOXQWNXABBGHZWJYBWIWLWPBVLWFCBBG
    WBQVSVTWAVKWGWH $.

  ${
    $d k m n y ph $.  $d k m n x ps $.  $d x y $.
    finminlem.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( A useful lemma about finite sets.  If a property holds for a finite set,
       it holds for a minimal set.  (Contributed by Jeff Hankins,
       4-Dec-2009.) $)
    finminlem $p |- ( E. x e. Fin ph -> E. x ( ph /\ A. y ( ( y C_ x /\ ps ) ->
    x = y ) ) ) $=
      ( vn vm vk cfn wrex cv cen wbr wa wex com c0 wi wcel ex crab wne cin wceq
      wss weq nfe1 nfcv nfrabw nfne isfi 19.8a anim2i 3impb breq2 anbi1d exbidv
      wal w3a elrab sylibr ne0d 3exp rexlimiv sylbi rexlimi con0 cep wwe epweon
      ssrab2 omsson sstri wefrc mp3an12 nfin nfeq1 nfan simprr wpss wo sspss wn
      nfv rspe pssss ssfi sylan2 sylbir syl adantrr simprll simprlr simplrr vex
      breq1 anbi12d spcev syl2anc csdm adantr php3 cdom ssdomg endomtr ad2antrr
      cvv ax-mp ad2antlr ensym domentr expcom ad2antll syld domnsym con2i nsyli
      syl5 impr word wb nnord ad2antrl ordtri1 con2bid mpbird jca31 elin anbi1i
      bitri exp44 rexlimdv syl5bi com23 mpdd necon2bd imp31 pm2.21d equcomi a1i
      jaod expr impd alrimiv jca eximd impancom 3syl ) ACIJCKZFKZLMZANZCOZFPUAZ
      QUBZUUNGKZUCZQUDZGUUNJZADKZUUIUEZBNCDUFZRZDURZNZCOZAUUOCICUUNQUUMCFPUULCU
      GCPUHUIZCQUHUJUUIISZUUIUUPLMZGPJZAUUORZGUUIUKZUVIUVKGPUUPPSZUVIAUUOUVMUVI
      AUSZUUNUUPUVNUVMUVIANZCOZNZUUPUUNSZUVMUVIAUVQUVOUVPUVMUVOCULUMUNUUMUVPFUU
      PPFGUFZUULUVOCUVSUUKUVIAUUJUUPUUILUOUPUQUTZVAVBVCVDVEVFVGVHVIUUNVGUEUUOUU
      SVJUUNPVGUUMFPVKVLVMGVGUUNVNVOUURUVFGUUNUVRUVQUURUVFRUVTUVMUURUVPUVFUVMUU
      RNZUVOUVECUVMUURCUVMCWDCUUQQCUUNUUPUVGCUUPUHVPVQVRUWAUVOUVEUWAUVONZAUVDUW
      AUVIAVSUWBUVCDUWBUVABUVBUWBBUVAUVBUWAUVOBUVAUVBRUVAUUTUUIVTZDCUFZWAUWAUVO
      BNZNZUVBUUTUUIWBUWFUWCUVBUWDUWFUWCUVBUVMUURUWEUWCWCZUVMUWEUURUWGUVMUWEUUR
      UWGRUVMUWENZUWCUUQQUWHUWCUUTISZUUQQUBZUVMUVOUWCUWIRZBUVMUVIUWKAUVMUVINZUV
      JUWKUVIGPWEZUVJUVHUWKUVLUVHUWCUWIUWCUVHUVAUWIUUTUUIWFUUIUUTWGWHTWIWJWKWKU
      WHUWIUWCUWJUWIUUTHKZLMZHPJUWHUWCUWJRZHUUTUKUWHUWOUWPHPUWHUWNPSZUWOUWCUWJU
      WHUWQUWONZUWCNZNZUUQUWNUWTUWQUUIUWNLMZANZCOZNZUWNUUPSZNZUWNUUQSZUWTUWQUXC
      UXEUWHUWQUWOUWCWLUWTUWOBUXCUWHUWQUWOUWCWMUVMUVOBUWSWNUXBUWOBNCUUTDWOUVBUX
      AUWOABUUIUUTUWNLWPEWQWRWSUWTUXEUUPUWNUEZWCZUWHUWRUWCUXIUWHUWRNZUWCUUTUUIW
      TMZUXIUXJUVHUWCUXKRUWHUVHUWRUVMUVOUVHBUVMUVIUVHAUWLUVJUVHUWMUVLVAWKWKXAUV
      HUWCUXKUUIUUTXBTWJUXJUXHUUIUUTXCMZUXKUXHUUPUWNXCMZUXJUXLUWNXGSUXHUXMRHWOU
      UPUWNXGXDXHUXJUXMUUIUWNXCMZUXLUWEUXMUXNRZUVMUWRUVIUXOABUVIUXMUXNUUIUUPUWN
      XETXFXIUWOUXNUXLRUWHUWQUXNUWOUXLUWOUXNUWNUUTLMUXLUUTUWNXJUUIUWNUUTXKWHXLX
      MXNXRUXLUXKUUIUUTXOXPXQXNXSUWTUUPXTZUWNXTZUXEUXIYAUVMUXPUWEUWSUUPYBXFUWRU
      XQUWHUWCUWQUXQUWOUWNYBXAYCUXPUXQNUXHUXEUUPUWNYDYEWSYFYGUXGUWNUUNSZUXENUXF
      UWNUUNUUPYHUXRUXDUXEUUMUXCFUWNPFHUFZUULUXBCUXSUUKUXAAUUJUWNUUILUOUPUQUTYI
      YJVAVBYKYLYMYNYOYPTYNYQYRUWDUVBRUWFDCYSYTUUAYMUUBYNUUCUUDUUETUUFUUGVEVDUU
      H $.
  $}

  ${
    $d z A $.  $d x y z S $.
    $( Any number greater than an infimum is greater than some element of the
       set.  (Contributed by Jeff Hankins, 29-Sep-2013.)  (Revised by AV,
       10-Oct-2021.) $)
    gtinf $p |- ( ( ( S C_ RR /\ S =/= (/) /\ E. x e. RR A. y e. S x <_ y ) /\
    ( A e. RR /\ inf ( S , RR , < ) < A ) ) -> E. z e. S z < A ) $=
      ( cr wss c0 wne cv cle wbr wral wrex w3a wcel clt cinf wa simprl wor ltso
      simprr a1i wn wi infm3 adantr infglb mp2and ) EFGEHIAJZBJZKLBEMAFNOZDFPZE
      FQRDQLZSZSZUNUOCJZDQLCENUMUNUOTUMUNUOUCUQABCFEDQFQUAUQUBUDUMULUKQLUEBEMUK
      ULQLURULQLCENUFBFMSAFNUPABCEUGUHUIUJ $.
  $}

  ${
    $d x y A $.
    $( A set is open in the standard topology of the reals precisely when every
       point can be enclosed in an open ball.  (Contributed by Jeff Hankins,
       23-Sep-2013.)  (Proof shortened by Mario Carneiro, 30-Jan-2014.) $)
    opnrebl $p |- ( A e. ( topGen ` ran (,) ) <-> ( A C_ RR /\ A. x e. A E. y
    e. RR+ ( ( x - y ) (,) ( x + y ) ) C_ A ) ) $=
      ( cioo crn ctg cfv wcel cr wss cv cabs cmin co crp wrex wral wa wb eqid
      ccom cxp cres cbl caddc cxmet rexmet cmopn tgioo elmopn2 ax-mp ssel2 wceq
      rpre bl2ioo sylan2 sseq1d rexbidva syl ralbidva pm5.32i bitri ) CDEFGZHZC
      IJZAKZBKZLMUAIIUBUCZUDGNZCJZBOPZACQZRZVEVFVGMNVFVGUENDNZCJZBOPZACQZRVHIUF
      GHVDVMSVHVHTZUGABCVHVCIVHVHUHGZVRVSTUIUJUKVEVLVQVEVKVPACVEVFCHRVFIHZVKVPS
      CIVFULVTVJVOBOVTVGOHZRVIVNCWAVTVGIHVIVNUMVGUNVFVGVHVRUOUPUQURUSUTVAVB $.
  $}

  ${
    $d x y z A $.
    $( A set is open in the standard topology of the reals precisely when every
       point can be enclosed in an arbitrarily small ball.  (Contributed by
       Jeff Hankins, 22-Sep-2013.)  (Proof shortened by Mario Carneiro,
       30-Jan-2014.) $)
    opnrebl2 $p |- ( A e. ( topGen ` ran (,) ) <-> ( A C_ RR /\ A. x e. A A. y
    e. RR+ E. z e. RR+ ( z <_ y /\ ( ( x - z ) (,) ( x + z ) ) C_ A ) ) ) $=
      ( cioo cfv wcel cr wss cv wbr cmin co wa crp wrex wral eqid wi c1 crn ctg
      cle caddc cabs ccom cxp cres cxmet rexmet cmopn tgioo mopnss mpan clt cbl
      w3a mopni3 mp3an1 sselda wceq bl2ioo sylan2 sseq1d anbi2d rexbidva biimpd
      ex rpre ltle syl2anr anim1d reximdva syl9 syl expimpd ralrimivv jca ssel2
      mpdd 1rp simpr reximi ralimi biidd rspcv mpsyl syl5ibr ralimdva imdistani
      wb elmopn2 ax-mp sylibr impbii ) DEUAUBFZGZDHIZCJZBJZUCKZAJZWSLMXBWSUDMEM
      ZDIZNZCOPZBOQZADQZNZWQWRXHUELUFHHUGUHZHUIFGZWQWRXJXJRZUJZDXJWPHXJXJUKFZXL
      XNRULZUMUNZWQXFABDOWQXBDGZWTOGZXFWQXQNZXRWSWTUOKZXBWSXJUPFMZDIZNZCOPZXFXK
      WQXQXRYDSXMXKWQXQUQXRYDCDXJXBWTWPHXOURVHUSXSXBHGZXRYDXFSSWQDHXBXPUTYEYDXT
      XDNZCOPZXRXFYEYDYGYEYCYFCOYEWSOGZNZYBXDXTYIYAXCDYHYEWSHGZYAXCVAWSVIZXBWSX
      JXLVBVCVDZVEVFVGXRYFXECOXRYHNXTXAXDYHYJWTHGXTXASXRYKWTVIWSWTVJVKVLVMVNVOV
      TVPVQVRXIWRYBCOPZADQZNZWQWRXHYNWRXGYMADWRXQNYEXGYMSDHXBVSXGYMYEXDCOPZTOGX
      GYPBOQYPWAXFYPBOXEXDCOXAXDWBWCWDYPYPBTOWTTVAYPWEWFWGYEYBXDCOYLVFWHVOWIWJX
      KWQYOWKXMACDXJWPHXOWLWMWNWO $.
  $}

  ${
    $d k m n p q r t x y A $.  $d k m n p q r t x y B $.
    $( Lemma for ~ nn0prpw .  Use strong induction to show that every positive
       integer has unique prime power divisors.  (Contributed by Jeff Hankins,
       28-Sep-2013.) $)
    nn0prpwlem $p |- ( A e. NN -> A. k e. NN ( k < A -> E. p e. Prime E. n e.
    NN -. ( ( p ^ n ) || k <-> ( p ^ n ) || A ) ) ) $=
      ( clt wbr cexp co cdvds wb wn cn wrex cprime wi notbid c1 wcel wa breq1d
      vx vy vq vt vr vm cv wral wceq bibi2d 2rexbidv imbi12d ralbidv weq nnnlt1
      breq2 pm2.21d rgen c2 cuz cfv exprmfct w3a cdiv cc0 wne prmz adantr prmnn
      cz nnne0d adantl dvdsval2 syl3anc biimpd 3ad2antl2 adantrl simprr cr nnre
      nnz nngt0 jca divgt0 syl2anr adantrr elnnz sylanbrc expr eluzelz eluzelre
      syl 2z breq1 rspcv 3ad2ant1 cmul ad2antrr ad2antlr syl112anc mpbid bibi1d
      cle 3ad2ant2 3ad2ant3 biimpa ad2antrl ad4antlr syl2anc ad3antlr dvdsmulcr
      zexpcl cc divcan1d breq12d bitr3d ad4antr bibi12d impr oveq2 rspcev oveq1
      anbi2d rexbidv dvdsmultr2 simp-4r bitrdi coprmdvds mpan2d impbid divcan2d
      cgcd breq2d bitrd ex com23 pm2.61d embantd syld biimpar eluz1i zre ltletr
      2pos 0re 2re mp3an12 mpani imp sylbi ancld syl6ibr sylbid ancoms eluzelcn
      a1d mulid2d prmgt1 1red nnred ltmul1 eqbrtrrd mpbird ltdiv1 simprll caddc
      ltdivmul peano2nn nnnn0 ad2antll nncnd expp1d eqcomd mpbiri com12 gcdcomd
      simplr simprl prmdvdsexpb equcom con3d coprm eqtrd exp32 rexlimdvv 3impia
      cn0 nncn 3exp2 com24 imp32 3syld simpl2 1nn a1i exp1d 3adant1 mpid biimpr
      idd mtod nsyl rspc2ev expd ralrimiv cbvrex2vw cbvralvw sylib rexlimdv mpd
      3exp1 indstr2 vtoclga ) BUGZUAUGZEFZDUGZCUGZGHZUXNIFZUXSUXOIFZJZKZCLMDNMZ
      OZBLUHZUXNAEFZUXTUXSAIFZJZKZCLMDNMZOZBLUHUAALUXOAUIZUYEUYLBLUYMUXPUYGUYDU
      YKUXOAUXNEUPUYMUYCUYJDCNLUYMUYBUYIUYMUYAUYHUXTUXOAUXSIUPUJPUKULUMUYFUXNUB
      UGZEFZUXTUXSUYNIFZJZKZCLMDNMZOZBLUHZUXNQEFZUXTUXSQIFZJZKZCLMDNMZOZBLUHUAU
      BUXOQUIZUYEVUGBLVUHUXPVUBUYDVUFUXOQUXNEUPVUHUYCVUEDCNLVUHUYBVUDVUHUYAVUCU
      XTUXOQUXSIUPUJPUKULUMUAUBUNZUYEUYTBLVUIUXPUYOUYDUYSUXOUYNUXNEUPVUIUYCUYRD
      CNLVUIUYBUYQVUIUYAUYPUXTUXOUYNUXSIUPUJPUKULUMVUGBLUXNLRVUBVUFUXNUOUQURUXO
      USUTVARZUCUGZUXOIFZUCNMUYNUXOEFZVUAOZUBLUHZUYFOZUXOUCVBVUJVULVUPUCNVUJVUK
      NRZVULVUOUYFVUJVUQVULVCZVUOSZUDUGZUXOEFZUEUGZUFUGZGHZVUTIFZVVDUXOIFZJZKZU
      FLMZUENMZOZUDLUHUYFVUSVVKUDLVURVUOVUTLRZVVKVURVUOVVLSSZVUKVUTIFZVVKVVMVVN
      VUTVUKVDHZVJRZVVOLRZVVKVURVVLVVNVVPOZVUOVUQVUJVVLVVRVULVUQVVLSZVVNVVPVVSV
      UKVJRZVUKVEVFZVUTVJRZVVNVVPJVUQVVTVVLVUKVGZVHVUQVWAVVLVUQVUKVUKVIZVKZVHVV
      LVWBVUQVUTWAVLVUKVUTVMVNVOVPVQVURVVLVVPVVQOVUOVURVVLVVPVVQVURVVLVVPSSVVPV
      EVVOEFZVVQVURVVLVVPVRVURVVLVWFVVPVUQVUJVVLVWFVULVVLVUTVSRZVEVUTEFZSVUKVSR
      ZVEVUKEFZSZVWFVUQVVLVWGVWHVUTVTZVUTWBWCVUQVUKLRZVWKVWDVWMVWIVWJVUKVTVUKWB
      ZWCWLZVUTVUKWDWEVPWFVVOWGWHWIVQVURVUOVVLVVQVVKOVURVVQVVLVUOVVKVUJVUQVULVV
      QVVLVUOVVKOZOOZVUJVUQSZVULUXOVUKVDHZLRZVWQVUQVUJVULVWTOVUQVUJSZVULVWSVJRZ
      VWTVXAVVTVWAUXOVJRZVULVXBJVUQVVTVUJVWCVHVUQVWAVUJVWEVHVUJVXCVUQUSUXOWJVLV
      UKUXOVMVNVXAVXBVXBVEVWSEFZSVWTVXAVXBVXDVXAVXDVXBVUJUXOVSRZVEUXOEFZSVWKVXD
      VUQVUJVXEVXFUSUXOWKZVUJVXCUSUXOXCFZSVXFUSUXOWMUUAVXCVXHVXFVXCVEUSEFZVXHVX
      FUUDVXCVXEVXIVXHSVXFOZUXOUUBVEVSRUSVSRVXEVXJUUEUUFVEUSUXOUUCUUGWLUUHUUIUU
      JZWCVWOUXOVUKWDWEUUPUUKVWSWGUULUUMUUNVWRVWTVVQVVLVWPVWRVWTVVQVVLVCZSZVUOV
      WSUXOEFZUXNVWSEFZUXTUXSVWSIFZJZKZCLMDNMZOZBLUHZOZVVKVXLVUOVYBOZVWRVWTVVQV
      YCVVLVUNVYBUBVWSLUYNVWSUIZVUMVXNVUAVYAUYNVWSUXOEWNVYDUYTVXTBLVYDUYOVXOUYS
      VXSUYNVWSUXNEUPVYDUYRVXRDCNLVYDUYQVXQVYDUYPVXPUXTUYNVWSUXSIUPUJPUKULUMULW
      OWPVLVXMVXNVYAVVKVXMVXNUXOVUKUXOWQHZEFZVXMQUXOWQHZUXOVYEEVUJVYGUXOUIVUQVX
      LVUJUXOUSUXOUUOZUUQWRVXMQVUKEFZVYGVYEEFZVUQVYIVUJVXLVUKUURWSVXMQVSRVWIVXE
      VXFVYIVYJJVXMUUSVUQVWIVUJVXLVUQVUKVWDUUTWSZVUJVXEVUQVXLVXGWRZVUJVXFVUQVXL
      VXKWRQVUKUXOUVAWTXAUVBVXMVXEVXEVWIVWJVXNVYFJVYLVYLVYKVUQVWJVUJVXLVUQVWMVW
      JVWDVWNWLWSZUXOUXOVUKUVGWTUVCVXMVYAVVOVWSEFZUXSVVOIFZVXPJZKZCLMDNMZOZVVKV
      XLVYAVYSOZVWRVVQVWTVYTVVLVXTVYSBVVOLUXNVVOUIZVXOVYNVXSVYRUXNVVOVWSEWNWUAV
      XRVYQDCNLWUAVXQVYPWUAUXTVYOVXPUXNVVOUXSIUPXBPUKULWOXDVLVXMVVAVYSVVJVXMVVA
      VYSVVJOVXMVVASZVYNVYRVVJVXMVVAVYNVXMVWGVXEVWIVWJVVAVYNJVXLVWGVWRVVLVWTVWG
      VVQVWLXEVLVYLVYKVYMVUTUXOVUKUVDWTXFWUBVYQVVJDCNLWUBUXQNRZUXRLRZSZVYQVVJWU
      BWUEVYQSZSZWUCUXQVVCGHZVUTIFZWUHUXOIFZJZKZUFLMZVVJWUBWUCWUDVYQUVEWUGDUCUN
      ZWUMWUNWUGWUMWUNWUGWUMOWUBWUEVUKUXRGHZVVOIFZWUOVWSIFZJZKZSZSZVUKVVCGHZVUT
      IFZWVBUXOIFZJZKZUFLMZOWVAUXRQUVFHZLRZVUKWVHGHZVUTIFZWVJUXOIFZJZKZWVGWUEWV
      IWUBWUSWUDWVIWUCUXRUVHVLXGWUBWUEWUSWVNWUBWUESZWUSWVNWVOWURWVMWVOWUPWVKWUQ
      WVLWVOWUOVUKWQHZVVOVUKWQHZIFZWUPWVKWVOWUOVJRZVVPVVTVWAWVRWUPJWVOVVTUXRUWG
      RZWVSVUQVVTVUJVXLVVAWUEVWCXHZWUDWVTWUBWUCUXRUVIZUVJZVUKUXRXLXIZVXLVVPVWRV
      VAWUEVVQVWTVVPVVLVVOWAXDZXJWWAVUQVWAVUJVXLVVAWUEVWEXHZVUKWUOVVOXKWTWVOWVP
      WVJWVQVUTIWVOWVJWVPWVOVUKUXRVUQVUKXMRZVUJVXLVVAWUEVUQVUKVWDUVKZXHZWWCUVLU
      VMZWVOVUTVUKVXLVUTXMRZVWRVVAWUEVVLVWTWWKVVQVUTUWHXEZXJWWIWWFXNXOXPWVOWVPV
      WSVUKWQHZIFZWUQWVLWVOWVSVXBVVTVWAWWNWUQJWWDVXLVXBVWRVVAWUEVWTVVQVXBVVLVWS
      WAWPZXJWWAWWFVUKWUOVWSXKWTWVOWVPWVJWWMUXOIWWJWVOUXOVUKVUJUXOXMRZVUQVXLVVA
      WUEVYHXQWWIWWFXNXOXPXRPVOXSWVFWVNUFWVHLVVCWVHUIZWVEWVMWWQWVCWVKWVDWVLWWQW
      VBWVJVUTIVVCWVHVUKGXTZTWWQWVBWVJUXOIWWRTXRPYAXIWUNWUGWVAWUMWVGWUNWUFWUTWU
      BWUNVYQWUSWUEWUNVYPWURWUNVYOWUPVXPWUQWUNUXSWUOVVOIUXQVUKUXRGYBZTWUNUXSWUO
      VWSIWWSTXRPYCYCWUNWULWVFUFLWUNWUKWVEWUNWUIWVCWUJWVDWUNWUHWVBVUTIUXQVUKVVC
      GYBZTWUNWUHWVBUXOIWWTTXRPYDULUVNUVOWUBWUEVYQWUNKZWUMOWVOWXAVYQWUMWUBWUEWX
      AVYQWUMOWUBWUEWXASZSZVYQWUMWXCVYQSWUDUXSVUTIFZUYAJZKZWUMWXBWUDWUBVYQWUCWU
      DWXAUVQWSWXCVYQWXFWXCVYPWXEWXCVYOWXDVXPUYAWXCVYOUXSVUKVVOWQHZIFZWXDWXCVYO
      WXHWXCUXSVJRZVVTVVPVYOWXHOWXCUXQVJRZWVTWXIWUEWXJWUBWXAWUCWXJWUDUXQVGVHXGW
      UEWVTWUBWXAWUDWVTWUCWWBVLXGUXQUXRXLXIZVUQVVTVUJVXLVVAWXBVWCXHZVXLVVPVWRVV
      AWXBWWEXJZUXSVUKVVOYEVNWXCWXHUXSVUKYLHZQUIZVYOWXCWXNVUKUXSYLHZQWXCUXSVUKW
      XKWXLUVPWXCVUKUXSIFZKZWXPQUIZWUBWUEWXAWXRWVOWXQWUNWVOVUQWUCWUDWXQWUNOVUJV
      UQVXLVVAWUEYFWUBWUCWUDUVRWUBWUCWUDVRVUQWUCWUDVCZWXQWUNWXTWXQUCDUNWUNVUKUX
      QUXRUVSUCDUVTYGVOVNUWAXSWXCVUQWXIWXRWXSJVUJVUQVXLVVAWXBYFWXKVUKUXSUWBXIXA
      UWCZWXCWXIVVTVVPWXHWXOSVYOOWXKWXLWXMUXSVUKVVOYHVNYIYJWXCWXGVUTUXSIWXCVUTV
      UKVXLWWKVWRVVAWXBWWLXJVUQWWGVUJVXLVVAWXBWWHXHZVUQVWAVUJVXLVVAWXBVWEXHZYKY
      MYNWXCVXPUXSVUKVWSWQHZIFZUYAWXCVXPWYEWXCWXIVVTVXBVXPWYEOWXKWXLVXLVXBVWRVV
      AWXBWWOXJZUXSVUKVWSYEVNWXCWYEWXOVXPWYAWXCWXIVVTVXBWYEWXOSVXPOWXKWXLWYFUXS
      VUKVWSYHVNYIYJWXCWYDUXOUXSIWXCUXOVUKVUJWWPVUQVXLVVAWXBVYHXQWYBWYCYKYMYNXR
      PXFWULWXFUFUXRLUFCUNZWUKWXEWYGWUIWXDWUJUYAWYGWUHUXSVUTIVVCUXRUXQGXTZTWYGW
      UHUXSUXOIWYHTZXRPYAXIYOWIYPXSYQVVIWUMUEUXQNUEDUNZVVHWULUFLWYJVVGWUKWYJVVE
      WUIVVFWUJWYJVVDWUHVUTIVVBUXQVVCGYBZTWYJVVDWUHUXOIWYKTZXRPYDYAXIUWDUWEYRYO
      YPYSYRYSUWIYSUWFUWJUWKUWLVURVVLVVNKZVVKOVUOVURVVLSWYMVVAVVJVURVVLWYMVVASZ
      VVJVURVVLWYNSZSZVUQQLRZVUKQGHZVUTIFZWYRUXOIFZJZKZVVJVUJVUQVULWYOUWMWYQWYP
      UWNUWOWYPWYTWYSOZXUAWYPXUCWYSVURWYNWYSKZVVLVURWYMXUDVVAVUQVUJWYMXUDVULVUQ
      XUDWYMVUQWYSVVNVUQWYRVUKVUTIVUQVUKWWHUWPZTPYTVPWFVQVURXUCWYSOWYOVURXUCWYT
      WYSVUQVULWYTVUJVUQWYTVULVUQWYRVUKUXOIXUETYTUWQVURXUCUWTUWRVHUXAWYSWYTUWSU
      XBVVHXUBWVFUEUFVUKQNLUEUCUNZVVGWVEXUFVVEWVCVVFWVDXUFVVDWVBVUTIVVBVUKVVCGY
      BZTXUFVVDWVBUXOIXUGTXRPVVCQUIZWVEXUAXUHWVCWYSWVDWYTXUHWVBWYRVUTIVVCQVUKGX
      TZTXUHWVBWYRUXOIXUITXRPUXCVNWIUXDVQYQWIUXEVVKUYEUDBLUDBUNZVVAUXPVVJUYDVUT
      UXNUXOEWNXUJVVJVVDUXNIFZVVFJZKZUFLMUENMUYDXUJVVHXUMUEUFNLXUJVVGXULXUJVVEX
      UKVVFVUTUXNVVDIUPXBPUKXUMUYCWUHUXNIFZWUJJZKUEUFDCNLWYJXULXUOWYJXUKXUNVVFW
      UJWYJVVDWUHUXNIWYKTWYLXRPWYGXUOUYBWYGXUNUXTWUJUYAWYGWUHUXSUXNIWYHTWYIXRPU
      XFYGULUXGUXHUXKUXIUXJUXLUXM $.

    $( Two nonnegative integers are the same if and only if they are divisible
       by the same prime powers.  (Contributed by Jeff Hankins,
       29-Sep-2013.) $)
    nn0prpw $p |- ( ( A e. NN0 /\ B e. NN0 ) -> ( A = B <-> A. p e. Prime A. n
    e. NN ( ( p ^ n ) || A <-> ( p ^ n ) || B ) ) ) $=
      ( vk wcel wa wceq cdvds wbr wb cn wral cprime cc0 wi wn wrex clt c1 cv co
      cn0 cexp breq2 a1d ralrimivv wo elnn0 wne lttri2 syl2an ancoms nn0prpwlem
      cr nnre breq1 bibi1d notbid 2rexbidv imbi12d rspcv mpan9 bicom impel jaod
      bitrdi sylbid df-ne rexnal2 3imtr3g con4d prmunb w3a 1nn prmz 1nn0 zexpcl
      ex cz sylancl dvds0 syl 3ad2ant2 cle dvdsle sylan prmnn lenlt nncnd exp1d
      reexpcl adantr breq2d bitrd sylibd con2d 3impia jcnd biimpr oveq2 bibi12d
      nsyl breq1d rspcev sylancr 3expia reximdva mpd sylib pm2.21d bibi2d eqeq2
      2ralbidv syl5ibr sylbi com12 orcom df-or 3bitri biimp imim2i eqcom syl6ib
      jaoi eqeq1 imp sylanb impbid2 ) AUCFZBUCFZGABHZDUAZCUAZUDUBZAIJZYOBIJZKZC
      LMDNMZYLYRDCNLYLYRYMNFZYNLFGABYOIUEUFUGYJALFZAOHZUHZYKYSYLPZAUIUUCYKUUDUU
      AYKUUDPUUBYKUUAUUDYKBLFZBOHZUHZUUAUUDPZBUIZUUEUUHUUFUUEUUAUUDUUEUUAGZYLYS
      UUJABUJZYRQZCLRDNRZYLQYSQUUJUUKABSJZBASJZUHZUUMUUAUUEUUKUUPKZUUAAUOFZBUOF
      ZUUQUUEAUPZBUPZABUKULUMUUJUUNUUMUUOUUEEUAZBSJZYOUVBIJZYQKZQZCLRDNRZPZELMU
      UAUUNUUMPZBECDUNUVHUVIEALUVBAHZUVCUUNUVGUUMUVBABSUQUVJUVFUULDCNLUVJUVEYRU
      VJUVDYPYQUVBAYOIUEURUSUTVAVBVCUUEUVBASJZUVDYPKZQZCLRDNRZPZELMUUOUUMPZUUAU
      VOUVPEBLUVBBHZUVKUUOUVNUUMUVBBASUQUVQUVMUULDCNLUVQUVLYRUVQUVLYQYPKYRUVQUV
      DYQYPUVBBYOIUEURYQYPVDVGUSUTVAVBAECDUNVEVFVHABVIYRDCNLVJVKVLVSUUAUUDUUFYP
      YOOIJZKZCLMDNMZUUBPUUAUVTUUBUUAUVSQZCLRZDNRZUVTQUUAAYMSJZDNRUWCADVMUUAUWD
      UWBDNUUAYTUWDUWBUUAYTUWDVNZTLFZYMTUDUBZAIJZUWGOIJZKZQZUWBVOUWEUWIUWHPUWJU
      WEUWIUWHYTUUAUWIUWDYTUWGVTFZUWIYTYMVTFTUCFZUWLYMVPVQYMTVRWAZUWGWBWCZWDUUA
      YTUWDUWHQUUAYTGUWHUWDYTUUAUWHUWDQZPYTUUAGZUWHUWGAWEJZUWPYTUWLUUAUWHUWRPUW
      NUWGAWFWGUWQUWRAUWGSJZQZUWPYTUWGUOFZUURUWRUWTKUUAYTYMUOFZUWMUXAYTYMLFUXBY
      MWHZYMUPWCVQYMTWLWAZUUTUWGAWIULUWQUWSUWDUWQUWGYMASYTUWGYMHZUUAYTYMYTYMUXC
      WJWKZWMWNUSWOWPUMWQWRWSUWHUWIWTXCUWAUWKCTLYNTHZUVSUWJUXGYPUWHUVRUWIUXGYOU
      WGAIYNTYMUDXAZXDUXGYOUWGOIUXHXDZXBUSXEXFXGXHXIUVSDCNLVJXJXKUUFYSUVTYLUUBU
      UFYRUVSDCNLUUFYQUVRYPBOYOIUEXLXNBOAXMVAXOYEXPXQYKUUDUUBUVRYQKZCLMDNMZOBHZ
      PYKUXKUUFUXLYKUUFUXKYKUUFQZUUEPZUXMUXKQZPYKUUGUUFUUEUHUXNUUIUUEUUFXRUUFUU
      EXSXTUUEUXOUXMUUEUXJQZCLRZDNRZUXOUUEBYMSJZDNRUXRBDVMUUEUXSUXQDNUUEYTUXSUX
      QUUEYTUXSVNZUWFUWIUWGBIJZKZQZUXQVOUXTUWIUYAPUYBUXTUWIUYAYTUUEUWIUXSUWOWDU
      UEYTUXSUYAQUUEYTGUYAUXSYTUUEUYAUXSQZPYTUUEGZUYAUWGBWEJZUYDYTUWLUUEUYAUYFP
      UWNUWGBWFWGUYEUYFBUWGSJZQZUYDYTUXAUUSUYFUYHKUUEUXDUVAUWGBWIULUYEUYGUXSUYE
      UWGYMBSYTUXEUUEUXFWMWNUSWOWPUMWQWRWSUWIUYAYAXCUXPUYCCTLUXGUXJUYBUXGUVRUWI
      YQUYAUXIUXGYOUWGBIUXHXDXBUSXEXFXGXHXIUXJDCNLVJXJYBXPVLBOYCYDUUBYSUXKYLUXL
      UUBYRUXJDCNLUUBYPUVRYQAOYOIUEURXNAOBYFVAXOYEYGYHYI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Basic topological facts
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    topbnd.1 $e |- X = U. J $.
    $( Two equivalent expressions for the boundary of a topology.  (Contributed
       by Jeff Hankins, 23-Sep-2009.) $)
    topbnd $p |- ( ( J e. Top /\ A C_ X ) -> ( ( ( cls ` J ) ` A ) i^i ( ( cls
    ` J ) ` ( X \ A ) ) ) = ( ( ( cls ` J ) ` A ) \ ( ( int ` J ) ` A ) ) ) $=
      ( ctop wcel wss wa ccl cfv cdif cin cnt clsdif ineq2d indif2 eqtrdi df-ss
      wceq clsss3 sylib difeq1d eqtrd ) BEFACGHZABIJZJZCAKUEJZLZUFCLZABMJJZKZUF
      UJKUDUHUFCUJKZLUKUDUGULUFABCDNOUFCUJPQUDUIUFUJUDUFCGUIUFSABCDTUFCRUAUBUC
      $.
  $}

  ${
    opnbnd.1 $e |- X = U. J $.
    $( A set is open iff it is disjoint from its boundary.  (Contributed by
       Jeff Hankins, 23-Sep-2009.) $)
    opnbnd $p |- ( ( J e. Top /\ A C_ X ) -> ( A e. J <-> ( A i^i ( ( ( cls ` J
    ) ` A ) i^i ( ( cls ` J ) ` ( X \ A ) ) ) ) = (/) ) ) $=
      ( ctop wcel wss wa cnt cfv wceq ccl cdif cin disjdif a1i eqeq1d syl5ibcom
      c0 ineq1 ntrss2 adantr inssdif0 sscls df-ss sylib eqcomd eqimss syl sylan
      sstr sylan2br eqssd ex impbid isopn3 topbnd ineq2d 3bitr4d ) BEFACGHZABIJ
      JZAKZAABLJZJZVAMZNZSKZABFAVDCAMVCJNZNZSKUTVBVGUTVAVENZSKZVBVGVKUTVAVDOPVB
      VJVFSVAAVETQRUTVGVBUTVGHVAAUTVAAGVGABCDUAUBVGUTAVDNZVAGZAVAGZAVDVAUCUTAVL
      GZVMVNUTAVLKVOUTVLAUTAVDGVLAKABCDUDAVDUEUFUGAVLUHUIAVLVAUKUJULUMUNUOABCDU
      PUTVIVFSUTVHVEAABCDUQURQUS $.

    $( A set is closed iff it contains its boundary.  (Contributed by Jeff
       Hankins, 1-Oct-2009.) $)
    cldbnd $p |- ( ( J e. Top /\ A C_ X ) -> ( A e. ( Clsd ` J ) <-> ( ( ( cls
    ` J ) ` A ) i^i ( ( cls ` J ) ` ( X \ A ) ) ) C_ A ) ) $=
      ( ctop wcel wss wa ccld cfv cdif wceq c0 adantl ex sylbi ineq2d wb adantr
      cin ccl iscld3 eqimss syl6bi ssinss1 syl6 sslin sseq0 sylancl incom dfss4
      fveq2 eqcomd syl5eq eqeq1d difss opnbnd mpan2 bitr4d opncld sylibd sylbid
      disjdifr wi eleq1 syld impbid ) BEFZACGZHZABIJZFZABUAJZJZCAKZVMJZTZAGZVJV
      LVNAGZVRVJVLVNALVSABCDUBVNAUCUDVNVPAUEUFVJVRVOVQTZMLZVLVJVRWAVJVRHVTVOATZ
      GZWBMLWAVRWCVJVQAVOUGNACVCVTWBUHUIOVJWAVOBFZVLVJWAVOVPCVOKZVMJZTZTZMLZWDV
      JVTWHMVJVQWGVOVJVQVPVNTWGVNVPUJVJVNWFVPVIVNWFLZVHVIWEALZWJACUKZWKWFVNWEAV
      MULUMPNQUNQUOVHWDWIRZVIVHVOCGWMCAUPVOBCDUQURSUSVJWDWEVKFZVLVHWDWNVDVIVHWD
      WNVOBCDUTOSVIWNVLRZVHVIWKWOWLWEAVKVEPNVAVBVFVG $.
  $}

  ${
    $d o J $.  $d o O $.  $d o X $.
    ntruni.1 $e |- X = U. J $.
    $( A union of interiors is a subset of the interior of the union.  The
       reverse inclusion may not hold.  (Contributed by Jeff Hankins,
       31-Aug-2009.) $)
    ntruni $p |- ( ( J e. Top /\ O C_ ~P X ) -> U_ o e. O ( ( int ` J ) ` o
    ) C_ ( ( int ` J ) ` U. O ) ) $=
      ( ctop wcel cpw wss wa cv cnt cfv cuni wral ciun elssuni wi sspwuni ntrss
      3expia sylan2b syl5 ralrimiv iunss sylibr ) BFGZCDHIZJZAKZBLMZMZCNZUKMZIZ
      ACOACULPUNIUIUOACUJCGUJUMIZUIUOUJCQUHUGUMDIZUPUORCDSUGUQUPUOUMUJBDETUAUBU
      CUDACULUNUEUF $.
  $}

  ${
    clsun.1 $e |- X = U. J $.
    $( A pairwise union of closures is the closure of the union.  (Contributed
       by Jeff Hankins, 31-Aug-2009.) $)
    clsun $p |- ( ( J e. Top /\ A C_ X /\ B C_ X ) -> ( ( cls ` J ) ` ( A u. B
    ) ) = ( ( ( cls ` J ) ` A ) u. ( ( cls ` J ) ` B ) ) ) $=
      ( wcel wss cun cfv cdif difundi wceq difss wa unss ntrdif syl2anc 3adant3
      cin 3adant2 w3a ccl cnt fveq2i ntrin mp3an23 3ad2ant1 syl5eq simp1 biimpi
      ctop 3adant1 ineq12d eqtr4di 3eqtr3d difeq2d clscld cldss syl dfss4 sylib
      ccld clsss3 jca bitri ) CUKFZADGZBDGZUAZDDABHZCUBIZIZJZJZDDAVKIZBVKIZHZJZ
      JZVLVQVIVMVRDVIDVJJZCUCIZIZDAJZWAIZDBJZWAIZSZVMVRVIWBWCWESZWAIZWGVTWHWADA
      BKUDVFVGWIWGLZVHVFWCDGWEDGWJDAMDBMWCWECDEUEUFUGUHVIVFVJDGZWBVMLVFVGVHUIZV
      GVHWKVFVGVHNWKABDOUJULZVJCDEPQVIWGDVOJZDVPJZSVRVIWDWNWFWOVFVGWDWNLVHACDEP
      RVFVHWFWOLVGBCDEPTUMDVOVPKUNUOUPVIVLDGZVNVLLVIVLCVBIFZWPVIVFWKWQWLWMVJCDE
      UQQVLCDEURUSVLDUTVAVIVODGZVPDGZNZVSVQLZVIWRWSVFVGWRVHACDEVCRVFVHWSVGBCDEV
      CTVDWTVQDGXAVOVPDOVQDUTVEVAUO $.
  $}

  ${
    $d c C $.  $d c J $.  $d c X $.
    clsint2.1 $e |- X = U. J $.
    $( The closure of an intersection is a subset of the intersection of the
       closures.  (Contributed by Jeff Hankins, 31-Aug-2009.) $)
    clsint2 $p |- ( ( J e. Top /\ C C_ ~P X ) -> ( ( cls ` J ) ` |^| C ) C_
    |^|_ c e. C ( ( cls ` J ) ` c ) ) $=
      ( ctop wcel cpw wss wa cint ccl cfv cv wral ciin cuni wi sspwuni elssuni
      sstr2 syl adantl intss1 clsss syl3an3 3com23 3expia syld impancom sylan2b
      ralrimiv ssiin sylibr ) BFGZACHIZJZAKZBLMZMZDNZUSMZIZDAOUTDAVBPIUQVCDAUPU
      OAQZCIZVAAGZVCRACSUOVFVEVCUOVFJVEVACIZVCVFVEVGRZUOVFVAVDIVHVAATVAVDCUAUBU
      CUOVFVGVCUOVGVFVCVFUOVGURVAIVCVAAUDVAURBCEUEUFUGUHUIUJUKULDAVBUTUMUN $.
  $}

  ${
    $d c o A $.  $d c o J $.  $d c o X $.
    opnregcld.1 $e |- X = U. J $.
    $( A set is regularly closed iff it is the closure of some open set.
       (Contributed by Jeff Hankins, 27-Sep-2009.) $)
    opnregcld $p |- ( ( J e. Top /\ A C_ X ) -> ( ( ( cls ` J ) ` ( ( int ` J )
    ` A ) ) = A <-> E. o e. J A = ( ( cls ` J ) ` o ) ) ) $=
      ( ctop wcel wss wa cnt cfv wceq cv wrex ntropn eqcom syldan clsss syl3anc
      ccl biimpi rspceeqv syl2an ex eltopss clsss3 ntrss2 clsidm sseqtrd ntrss3
      fveq2 simpl simpr sscls ssntr syl22anc eqssd adantlr 2fveq3 id syl5ibrcom
      eqeq12d rexlimdva impbid ) CFGZADHZIZACJKZKZCTKZKZALZABMZVJKZLZBCNZVGVLVP
      VGVICGAVKLZVPVLACDEOVLVQVKAPUABVICVNVKAVMVIVJUKUBUCUDVGVOVLBCVGVMCGZIVLVO
      VNVHKZVJKZVNLZVEVRWAVFVEVRIZVTVNWBVTVNVJKZVNWBVEVNDHZVSVNHZVTWCHVEVRULZVE
      VRVMDHZWDVMCDEUEZVMCDEUFQZVEVRWDWEWIVNCDEUGQVNVSCDERSVEVRWGWCVNLWHVMCDEUH
      QUIWBVEVSDHZVMVSHZVNVTHWFVEVRWDWJWIVNCDEUJQWBVEWDVRVMVNHZWKWFWIVEVRUMVEVR
      WGWLWHVMCDEUNQVNCVMDEUOUPVSVMCDERSUQURVOVKVTAVNAVNVJVHUSVOUTVBVAVCVD $.

    $( A set if regularly open iff it is the interior of some closed set.
       (Contributed by Jeff Hankins, 27-Sep-2009.) $)
    cldregopn $p |- ( ( J e. Top /\ A C_ X ) -> ( ( ( int ` J ) ` ( ( cls ` J )
    ` A ) ) = A <-> E. c e. ( Clsd ` J ) A = ( ( int ` J ) ` c ) ) ) $=
      ( ctop wcel wss wa ccl cfv wceq cv ccld wrex clscld syl2anc ntrss syl3anc
      cnt eqcom biimpi fveq2 rspceeqv syl2an cldrcl ntrss2 clsss2 ntridm ntrss3
      ex cldss mpdan clsss3 sscls eqsstrrd eqssd adantl id syl5ibrcom rexlimdva
      2fveq3 eqeq12d impbid ) BFGZACHIZABJKZKZBTKZKZALZADMZVIKZLZDBNKZOZVFVKVPV
      FVHVOGAVJLZVPVKABCEPVKVQVJAUAUBDVHVOVMVJAVLVHVIUCUDUEUKVFVNVKDVOVFVLVOGZI
      VKVNVMVGKZVIKZVMLZVRWAVFVRVTVMVRVEVLCHZVSVLHZVTVMHVLBUFZVLBCEULZVRVMVLHZW
      CVRVEWBWFWDWEVLBCEUGQVLVMBCEUHUMVLVSBCERSVRVMVMVIKZVTVRVEWBWGVMLWDWEVLBCE
      UIQVRVEVSCHZVMVSHZWGVTHWDVRVEVMCHZWHWDVRVEWBWJWDWEVLBCEUJQZVMBCEUNQVRVEWJ
      WIWDWKVMBCEUOQVSVMBCERSUPUQURVNVJVTAVMAVMVIVGVBVNUSVCUTVAVD $.
  $}

  $( Two neighborhoods intersect to form a neighborhood of the intersection.
     (Contributed by Jeff Hankins, 31-Aug-2009.) $)
  neiin $p |- ( ( J e. Top /\ M e. ( ( nei ` J ) ` A ) /\ N e. ( ( nei ` J ) `
  B ) ) -> ( M i^i N ) e. ( ( nei ` J ) ` ( A i^i B ) ) ) $=
    ( cfv cin wss wa simpr wb simpl neiss2 neii1 neiint syl3anc ssinss1 3adant3
    wcel syl ctop cnei w3a cnt cuni eqid mpbid inss2 3adant2 sstrid ssind simp1
    wceq ntrin sseqtrrd mpbird ) CUASZDACUBFZFSZEBURFSZUCZDEGZABGZURFSZVCVBCUDF
    ZFZHZVAVCDVEFZEVEFZGZVFVAVCVHVIUQUSVCVHHZUTUQUSIZAVHHZVKVLUSVMUQUSJVLUQACUE
    ZHZDVNHZUSVMKUQUSLZACDVNVNUFZMZACDVNVRNZACDVNVROPUGABVHQTRVAVCBVIABUHUQUTBV
    IHZUSUQUTIZUTWAUQUTJWBUQBVNHEVNHZUTWAKUQUTLBCEVNVRMBCEVNVRNZBCEVNVROPUGUIUJ
    UKVAUQVPWCVFVJUMUQUSUTULUQUSVPUTVTRUQUTWCUSWDUIDECVNVRUNPUOUQUSVDVGKZUTVLUQ
    VCVNHZVBVNHZWEVQVLVOWFVSABVNQTVLVPWGVTDEVNQTVCCVBVNVROPRUP $.

  $( Homeomorphisms preserve closedness.  (Contributed by Jeff Hankins,
     3-Jul-2009.)  (Revised by Mario Carneiro, 3-Jun-2014.) $)
  hmeoclda $p |- ( ( ( J e. Top /\ K e. Top /\ F e. ( J Homeo K ) ) /\ S e. (
  Clsd ` J ) ) -> ( F " S ) e. ( Clsd ` K ) ) $=
    ( ctop wcel chmeo co w3a ccnv ccn ccld cima hmeocnvcn 3ad2ant3 wa imacnvcnv
    cfv cnclima eqeltrrid sylan ) CEFZDEFZBCDGHFZIBJZDCKHFZACLRFZBAMZDLRZFUDUBU
    FUCBCDNOUFUGPUHUEJAMUIBAQAUEDCSTUA $.

  $( Homeomorphisms preserve closedness.  (Contributed by Jeff Hankins,
     3-Jul-2009.) $)
  hmeocldb $p |- ( ( ( J e. Top /\ K e. Top /\ F e. ( J Homeo K ) ) /\ S e. (
  Clsd ` K ) ) -> ( `' F " S ) e. ( Clsd ` J ) ) $=
    ( ctop wcel chmeo w3a ccn ccld cfv ccnv cima hmeocn 3ad2ant3 cnclima sylan
    co ) CEFZDEFZBCDGRFZHBCDIRFZADJKFBLAMCJKFUASUBTBCDNOABCDPQ $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Topology of the real numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y A $.  $d x y B $.  $d x y D $.  $d x y F $.  $d x y U $.
    $( An alternate proof of the Intermediate Value Theorem ~ ivth using
       topology.  (Contributed by Jeff Hankins, 17-Aug-2009.)  (Revised by
       Mario Carneiro, 15-Dec-2013.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    ivthALT $p |- ( ( ( A e. RR /\ B e. RR /\ U e. RR ) /\ A < B /\ ( ( A [,] B
    ) C_ D /\ D C_ CC /\ ( F e. ( D -cn-> CC ) /\ ( F " ( A [,] B ) ) C_ RR /\
    U e. ( ( F ` A ) (,) ( F ` B ) ) ) ) ) -> E. x e. ( A (,) B ) ( F ` x ) = U
    ) $=
      ( cr wcel w3a wbr co wss cc cfv wceq syl 3ad2ant3 crest ccn wa cicc ccncf
      vy clt cima cioo cv wrex wfun wf simp31 cncff ffun wral crn ctg cuni cres
      cconn iccconn 3adant3 3ad2ant1 simpr1 anim2i 3impb adantl sseq2d biimparc
      wfo cdm fdm fores ctop retop simp332 uniretop restuni sylancr foeq3 mpbid
      jca wb ccnfld ctopn simp331 ssid eqid cnfldtop cnfldtopon toponunii ax-mp
      restid eqcomi cncfcn mpan2 3ad2ant2 eleqtrd ctopon simp32 toponuni cnrest
      resttopon sseqtrd syl2anc cvv cnex sylancl restabs syl3anc iccssre rerest
      ssexg eqtrd oveq1d df-ima eqimss2i ax-resscn sstrdi cnrest2 oveq2d cnconn
      a1i reconn wi cxr rexrd funfvima2 sseq1d mpd sseldd adantr eqnetrd neneqd
      sylc wne fveq2 nsyl jcad rexr syl2an cle simp11 simp12 ltle lbicc2 ubicc2
      imp 3adantl3 oveq1 oveq2 rspc2v ioossicc sseli fvelima w3o simpl1 simp333
      simprr elioo2 simp2d gtned simp13 simp3d ltned simprl3 ecase13d ex 3anass
      syl6ibr elicc3 anbi1d elioo1 3imtr4d simpr reximdv2 ) BGHZCGHZEGHZIZBCUDJ
      ZBCUAKZDLZDMLZFDMUBKZHZFUWAUEZGLZEBFNZCFNZUFKZHZIZIZIZAUGZFNZEOZAUWAUHZUW
      QABCUFKZUHUWNFUIZEUWFHUWRUWMUVSUWTUVTUWMDMFUJZUWTUWMUWEUXAUWBUWCUWEUWGUWK
      UKDMFULZPDMFUMZPQUWNUWHUWIUAKZUWFEUWNUWOUCUGZUAKZUWFLZUCUWFUNAUWFUNZUXDUW
      FLZUWNUFUOUPNZUWFRKZUSHZUXHUWNUXJUWARKZUSHZUWAUXKUQZFUWAURZVIZUXPUXMUXKSK
      ZHUXLUVSUVTUXNUWMUVPUVQUXNUVRBCUTVAVBUWNUWAUWFUXPVIZUXQUWNUWTUWAFVJZLZTZU
      XSUWNUWBUXATZUYBUWMUVSUYCUVTUWBUWCUWLUYCUWCUWLTZUXAUWBUYDUWEUXAUWCUWEUWGU
      WKVCUXBPVDVEQUYCUWTUYAUXAUWTUWBUXCVFUXAUYAUWBUXAUXTDUWADMFVKVGVHWAPZUWAFV
      LPUWNUWFUXOOZUXSUXQWBUWNUXJVMHUWGUYFVNUWEUWGUWKUWBUWCUVSUVTVOZUWFUXJGVPVQ
      VRUWFUXOUWAUXPVSPVTUWNUXPUXMWCWDNZUWFRKZSKZUXRUWNUXPUXMUYHSKZHZUXPUYJHZUW
      NUXPUYHDRKZUWARKZUYHSKZUYKUWNFUYNUYHSKZHUWAUYNUQZLUXPUYPHUWNFUWDUYQUWEUWG
      UWKUWBUWCUVSUVTWEUWMUVSUWDUYQOZUVTUWCUWBUYSUWLUWCMMLUYSMWFDMUYHUYNUYHUYHW
      GZUYNWGUYHMRKZUYHUYHVMHZVUAUYHOUYHUYTWHZUYHVMMMUYHUYHUYTWIZWJWLWKWMWNWOWP
      QWQUWNUWADUYRUVSUVTUWBUWCUWLUKZUWNUYNDWRNHZDUYROUWNUYHMWRNHZUWCVUFVUDUVSU
      VTUWBUWCUWLWSZDUYHMXBVRDUYNWTPXCUWAFUYNUYHUYRUYRWGXAXDUWNUYOUXMUYHSUWNUYO
      UYHUWARKZUXMUWNVUBUWBDXEHZUYOVUIOVUBUWNVUCYBVUEUWNUWCMXEHVUJVUHXFDMXEXLXG
      UWADUYHVMXEXHXIUWNUWAGLZVUIUXMOUVSUVTVUKUWMUVPUVQVUKUVRBCXJVAVBUWAUXJUYHU
      YTUXJWGZXKPXMXNWQUWNVUGUXPUOZUWFLZUWFMLUYLUYMWBVUGUWNVUDYBVUNUWNUWFVUMFUW
      AXOXPYBUWNUWFGMUYGXQXRUWFUXPUXMUYHMXSXIVTUWNUYIUXKUXMSUWNUWGUYIUXKOUYGUWF
      UXJUYHUYTVULXKPXTWQUXPUXMUXKUWAUXOUXOWGYAXIUWMUVSUXLUXHWBZUVTUWLUWBVUOUWC
      UWGUWEVUOUWKAUCUWFYCWPQQVTUWNUWHUWFHZUWIUWFHZUXHUXIYDUWNUYBBUWAHZVUPUYEUW
      NBYEHZCYEHZBCUUAJZVURUWNBUVPUVQUVRUVTUWMUUBYFZUWNCUVPUVQUVRUVTUWMUUCYFZUV
      SUVTVVAUWMUVPUVQUVTVVAUVRUVPUVQTUVTVVABCUUDUUGUUHVAZBCUUEXIUWABFYGYNZUWNU
      YBCUWAHZVUQUYEUWNVUSVUTVVAVVFVVBVVCVVDBCUUFXIUWACFYGYNZUXGUXIUWHUXEUAKZUW
      FLAUCUWHUWIUWFUWFUWOUWHOUXFVVHUWFUWOUWHUXEUAUUIYHUXEUWIOVVHUXDUWFUXEUWIUW
      HUAUUJYHUUKXDYIUWMUVSEUXDHZUVTUWLUWBVVIUWCUWKUWEVVIUWGUWJUXDEUWHUWIUULUUM
      QQQYJAEUWAFUUNXDUWNUWQUWQAUWAUWSUWNUWOUWAHZUWQTZUWOUWSHZUWQUWNUWOYEHZVVAU
      WOBOZBUWOUDJZUWOCUDJZTZUWOCOZUUOZIZUWQTZVVMVVOVVPIZVVKVVLUWNVWAVVMVVQTVWB
      UWNVWAVVMVVQVWAVVMYDUWNVVMVVAVVSUWQUUPYBUWNVWAVVQUWNVWATZVVQVVNVVRVWCUWPU
      WHOVVNVWCUWPUWHVWCUWPEUWHUWNVVTUWQUURZUWNEUWHYOVWAUWNUWHEUWNUWFGUWHUYGVVE
      YJZUWNUVRUWHEUDJZEUWIUDJZUWNUWKUVRVWFVWGIZUWEUWGUWKUWBUWCUVSUVTUUQUWNUWHY
      EHUWIYEHUWKVWHWBUWNUWHVWEYFUWNUWIUWNUWFGUWIUYGVVGYJYFUWHUWIEUUSXDVTZUUTUV
      AYKYLYMUWOBFYPYQVWCUWPUWIOVVRVWCUWPUWIVWCUWPEUWIVWDUWNEUWIYOVWAUWNEUWIUVP
      UVQUVRUVTUWMUVBUWNUVRVWFVWGVWIUVCUVDYKYLYMUWOCFYPYQVVMVVAVVSUWQUWNUVEUVFU
      VGYRVVMVVOVVPUVHUVIUWNVVJVVTUWQUVSUVTVVJVVTWBZUWMUVPUVQVWJUVRUVPVUSVUTVWJ
      UVQBYSZCYSZBCUWOUVJYTVAVBUVKUVSUVTVVLVWBWBZUWMUVPUVQVWMUVRUVPVUSVUTVWMUVQ
      VWKVWLBCUWOUVLYTVAVBUVMVVKUWQYDUWNVVJUWQUVNYBYRUVOYI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Refinements
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Fne $.
  $( Extend class definition to include the "finer than" relation. $)
  cfne $a class Fne $.

  ${
    $d x y z $.
    $( Define the fineness relation for covers.  (Contributed by Jeff Hankins,
       28-Sep-2009.) $)
    df-fne $a |- Fne = { <. x , y >. | ( U. x = U. y /\ A. z e. x z C_ U. ( y
    i^i ~P z ) ) } $.
  $}

  ${
    $d x y z $.
    $( Fineness is a relation.  (Contributed by Jeff Hankins, 28-Sep-2009.) $)
    fnerel $p |- Rel Fne $=
      ( vx vy vz cv cuni wceq cpw cin wss wral wa cfne df-fne relopabiv ) ADZEB
      DZEFCDZPQGHEICOJKABLABCMN $.
  $}

  ${
    $d r s x y z A $.  $d r s x y z B $.  $d x y z C $.  $d r s X $.
    $d r s Y $.
    isfne.1 $e |- X = U. A $.
    isfne.2 $e |- Y = U. B $.
    $( The predicate " ` B ` is finer than ` A ` ".  This property is, in a
       sense, the opposite of refinement, as refinement requires every element
       to be a subset of an element of the original and fineness requires that
       every element of the original have a subset in the finer cover
       containing every point.  I do not know of a literature reference for
       this.  (Contributed by Jeff Hankins, 28-Sep-2009.) $)
    isfne $p |- ( B e. C -> ( A Fne B <-> ( X = Y /\ A. x e. A x C_ U. ( B i^i
    ~P x ) ) ) ) $=
      ( vr vs wcel cfne wceq cv cin cuni wss wral wa cvv fnerel brrelex1i simpr
      wbr cpw anim1i ancoms 3eqtr3g uniexg adantr eqeltrd uniexb sylibr adantrr
      simpl jca syldan unieq eqtr4di eqeq1d raleq anbi12d eqeq2d unieqd ralbidv
      ineq1 sseq2d df-fne brabg pm5.21nd ) CDKZBCLUDZEFMZANZCVNUEZOZPZQZABRZSZB
      TKZVKSZVLVKWBVLWAVKBCLUAUBUFUGVKVMWBVSVKVMBPZCPZMZWBVKVMSEFWCWDVKVMUCGHUH
      VKWESZWAVKWFWCTKWAWFWCWDTVKWEUCVKWDTKWECDUIUJUKBULUMVKWEUOUPUQUNINZPZJNZP
      ZMZVNWIVOOZPZQZAWGRZSEWJMZWNABRZSVTIJBCTDLWGBMZWKWPWOWQWRWHEWJWRWHWCEWGBU
      RGUSUTWNAWGBVAVBWICMZWPVMWQVSWSWJFEWSWJWDFWICURHUSVCWSWNVRABWSWMVQVNWSWLV
      PWICVOVFVDVGVEVBIJAVHVIVJ $.

    $( The predicate " ` B ` is finer than ` A ` " in terms of the topology
       generation function.  (Contributed by Mario Carneiro, 11-Sep-2015.) $)
    isfne4 $p |- ( A Fne B <-> ( X = Y /\ A C_ ( topGen ` B ) ) ) $=
      ( vx cfne wbr cvv wcel wceq ctg cfv wss wa fnerel brrelex2i cuni wral cpw
      simpl 3eqtr3g fvex ssex adantl uniexd eqeltrrd uniexb sylibr cv cin isfne
      dfss3 eltg ralbidv syl5bb anbi2d bitr4d pm5.21nii ) ABHIZBJKZCDLZABMNZOZP
      ZABHQRVFBSZJKVBVFASZVGJVFCDVHVGVCVEUBEFUCVFAJVEAJKVCAVDBMUDUEUFUGUHBUIUJV
      BVAVCGUKZBVIUAULSOZGATZPVFGABJCDEFUMVBVEVKVCVEVIVDKZGATVBVKGAVDUNVBVLVJGA
      VIBJUOUPUQURUSUT $.

    $( A condition for a topology to be finer than another.  (Contributed by
       Jeff Hankins, 28-Sep-2009.)  (Revised by Mario Carneiro,
       11-Sep-2015.) $)
    isfne4b $p |- ( B e. V -> ( A Fne B <-> ( X = Y /\
        ( topGen ` A ) C_ ( topGen ` B ) ) ) ) $=
      ( wcel cfne wbr wceq ctg cfv wss wa isfne4 cvv wb cuni simpr uniexg simpl
      3eqtr3g adantr eqeltrd uniexb sylibr tgss3 syl2anc pm5.32da bitr4id ) BCH
      ZABIJDEKZABLMZNZOUMALMUNNZOABDEFGPULUMUPUOULUMOZAQHZULUPUORUQASZQHURUQUSB
      SZQUQDEUSUTULUMTFGUCULUTQHUMBCUAUDUEAUFUGULUMUBABQCUHUIUJUK $.

    $( The predicate " ` B ` is finer than ` A ` ".  (Contributed by Jeff
       Hankins, 28-Sep-2009.)  (Proof shortened by Mario Carneiro,
       11-Sep-2015.) $)
    isfne2 $p |- ( B e. C -> ( A Fne B <-> ( X = Y /\ A. x e. A A. y e. x E. z
    e. B ( y e. z /\ z C_ x ) ) ) ) $=
      ( cfne wbr wceq ctg wss wa wcel cv wral syl5bb wrex isfne4 eltg2b ralbidv
      cfv dfss3 anbi2d ) DEKLGHMZDENUEZOZPEFQZUHBRCRZQULARZOPCEUABUMSZADSZPDEGH
      IJUBUKUJUOUHUJUMUIQZADSUKUOADUIUFUKUPUNADBCUMEFUCUDTUGT $.

    $( The predicate " ` B ` is finer than ` A ` ".  (Contributed by Jeff
       Hankins, 11-Oct-2009.)  (Proof shortened by Mario Carneiro,
       11-Sep-2015.) $)
    isfne3 $p |- ( B e. C -> ( A Fne B <-> ( X = Y /\ A. x e. A E. y ( y C_ B
    /\ x = U. y ) ) ) ) $=
      ( cfne wbr wceq ctg cfv wss wa wcel cv wral syl5bb wex isfne4 dfss3 eltg3
      cuni ralbidv anbi2d ) CDJKFGLZCDMNZOZPDEQZUHBRZDOARZULUELPBUAZACSZPCDFGHI
      UBUKUJUOUHUJUMUIQZACSUKUOACUIUCUKUPUNACBUMDEUDUFTUGT $.
  $}

  ${
    fnebas.1 $e |- X = U. A $.
    fnebas.2 $e |- Y = U. B $.
    $( A finer cover covers the same set as the original.  (Contributed by Jeff
       Hankins, 28-Sep-2009.) $)
    fnebas $p |- ( A Fne B -> X = Y ) $=
      ( cfne wbr wceq ctg cfv wss isfne4 simplbi ) ABGHCDIABJKLABCDEFMN $.
  $}

  $( A finer cover generates a topology finer than the original set.
     (Contributed by Mario Carneiro, 11-Sep-2015.) $)
  fnetg $p |- ( A Fne B -> A C_ ( topGen ` B ) ) $=
    ( cfne wbr cuni wceq ctg cfv wss eqid isfne4 simprbi ) ABCDAEZBEZFABGHIABMN
    MJNJKL $.

  ${
    $d x A $.  $d x B $.  $d x P $.  $d x S $.
    $( If ` B ` is finer than ` A ` and ` S ` is an element of ` A ` , every
       point in ` S ` is an element of a subset of ` S ` which is in ` B ` .
       (Contributed by Jeff Hankins, 28-Sep-2009.) $)
    fnessex $p |- ( ( A Fne B /\ S e. A /\ P e. S ) -> E. x e. B
        ( P e. x /\ x C_ S ) ) $=
      ( cfne wbr wcel ctg cfv cv wss wa wrex fnetg sselda tg2 stoic3 ) BCFGZEBH
      ECIJZHDEHDAKZHUAELMACNSBTEBCOPAECDQR $.
  $}

  ${
    $d x A $.  $d x B $.  $d x S $.
    $( If ` B ` is finer than ` A ` , every element of ` A ` is a union of
       elements of ` B ` .  (Contributed by Jeff Hankins, 11-Oct-2009.) $)
    fneuni $p |- ( ( A Fne B /\ S e. A ) -> E. x ( x C_ B /\ S = U. x ) ) $=
      ( cfne wbr wcel wa ctg cfv cv wss cuni wceq wex fnetg sselda cdm wb syl
      elfvdm eltg3 ibi ) BCEFZDBGHDCIJZGZAKZCLDUGMNHAOZUDBUEDBCPQUFUHUFCIRZGUFU
      HSDCIUAADCUIUBTUCT $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z P $.
    $( If a cover is finer than another, every point can be approached more
       closely by intersections.  (Contributed by Jeff Hankins,
       11-Oct-2009.) $)
    fneint $p |- ( A Fne B -> |^| { x e. B | P e. x }
    C_ |^| { x e. A | P e. x } ) $=
      ( vy vz cfne wbr cv wcel crab cint wss wral wa eleq2w elrab fnessex 3expb
      wrex intminss sstr sylan expl rexlimiv syl syl5bi ralrimiv ssint sylibr
      ex ) BCGHZDAIJZACKLZEIZMZEUMABKZNUNUQLMULUPEUQUOUQJUOBJZDUOJZOZULUPUMUSAU
      OBAEDPQULUTUPULUTODFIZJZVAUOMZOZFCTZUPULURUSVEFBCDUORSVDUPFCVACJZVBVCUPVF
      VBOUNVAMVCUPUMVBAVACAFDPUAUNVAUOUBUCUDUEUFUKUGUHEUNUQUIUJ $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    fness.1 $e |- X = U. A $.
    fness.2 $e |- Y = U. B $.
    $( A cover is finer than its subcovers.  (Contributed by Jeff Hankins,
       11-Oct-2009.) $)
    fness $p |- ( ( B e. C /\ A C_ B /\ X = Y ) -> A Fne B ) $=
      ( vy vz vx wcel wss wceq w3a cfne wel cv wa wral simp3 wrex ssel2 3adant3
      wbr ssid jctir elequ2 anbi12d rspcev syl2anc 3expib ralrimivv 3ad2ant2 wb
      sseq1 isfne2 3ad2ant1 mpbir2and ) BCKZABLZDEMZNABOUDZVAHIPZIQZJQZLZRZIBUA
      ZHVESJASZUSUTVATUTUSVIVAUTVHJHAVEUTVEAKZHJPZVHUTVJVKNZVEBKZVKVEVELZRZVHUT
      VJVMVKABVEUBUCVLVKVNUTVJVKTVEUEUFVGVOIVEBVDVEMVCVKVFVNIJHUGVDVEVEUOUHUIUJ
      UKULUMUSUTVBVAVIRUNVAJHIABCDEFGUPUQUR $.
  $}

  ${
    $d x y z A $.  $d x y z V $.
    $( Reflexivity of the fineness relation.  (Contributed by Jeff Hankins,
       12-Oct-2009.) $)
    fneref $p |- ( A e. V -> A Fne A ) $=
      ( vy vz vx wcel cfne wbr cuni wceq wel cv wss wrex wral eqid elequ2 sseq1
      wa ssid anbi12d rspcev mpanr2 rgen2 pm3.2i isfne2 mpbiri ) ABFAAGHAIZUHJZ
      CDKZDLZELZMZSZDANZCULOEAOZSUIUPUHPZUOECAULULAFCEKZULULMZUOULTUNURUSSDULAU
      KULJUJURUMUSDECQUKULULRUAUBUCUDUEECDAABUHUHUQUQUFUG $.
  $}

  $( Transitivity of the fineness relation.  (Contributed by Jeff Hankins,
     5-Oct-2009.)  (Proof shortened by Mario Carneiro, 11-Sep-2015.) $)
  fnetr $p |- ( ( A Fne B /\ B Fne C ) -> A Fne C ) $=
    ( cfne wbr wa cuni wceq ctg cfv wss eqid fnebas cvv wcel brrelex2i simplbda
    fnerel isfne4b mpancom sylan9eq sylan9ss wb adantl syl mpbir2and ) ABDEZBCD
    EZFZACDEZAGZCGZHZAIJZCIJZKZUGUHUKBGZULABUKUQUKLZUQLZMBCUQULUSULLZMUAUGUHUNB
    IJZUOBNOZUGUNVAKZABDRPVBUGUKUQHVCABNUKUQURUSSQTCNOZUHVAUOKZBCDRPZVDUHUQULHV
    EBCNUQULUSUTSQTUBUIVDUJUMUPFUCUHVDUGVFUDACNUKULURUTSUEUF $.

  ${
    fneval.1 $e |- .~ = ( Fne i^i `' Fne ) $.
    $( Two covers are finer than each other iff they are both bases for the
       same topology.  (Contributed by Mario Carneiro, 11-Sep-2015.) $)
    fneval $p |- ( ( A e. V /\ B e. W ) ->
      ( A .~ B <-> ( topGen ` A ) = ( topGen ` B ) ) ) $=
      ( wbr cfne wa wcel ctg cfv wceq anbi2i bitri cuni wss eqid isfne4b unitg
      ccnv breqi brin fnerel relbrcnv eqcom anbi1i bitrdi bi2anan9r eqss anandi
      cin bitr4di unieq eqeqan12d syl5ib pm4.71rd bitr4d syl5bb ) ABCGZABHGZBAH
      GZIZADJZBEJZIZAKLZBKLZMZUTABHHUAZULZGZVCABCVKFUBVLVAABVJGZIVCABHVJUCVMVBV
      AABHUDUENOOVFVCAPZBPZMZVIIZVIVFVCVPVGVHQZIZVPVHVGQZIZIZVQVEVAVSVDVBWAABEV
      NVOVNRZVORZSVDVBVOVNMZVTIWABADVOVNWDWCSWEVPVTVOVNUFUGUHUIVQVPVRVTIZIWBVIW
      FVPVGVHUJNVPVRVTUKOUMVFVIVPVIVGPZVHPZMVFVPVGVHUNVDVEWGVNWHVOADTBETUOUPUQU
      RUS $.

    $d x y .~ $.
    $( Fineness intersected with its converse is an equivalence relation.
       (Contributed by Jeff Hankins, 6-Oct-2009.)  (Revised by Mario Carneiro,
       11-Sep-2015.) $)
    fneer $p |- .~ Er _V $=
      ( vx vy ctg cfv fveq2 wbr copab wceq wrel cfne wss ccnv cin inss1 eqsstri
      cv fnerel cvv relss mp2 dfrel4v mpbi wb fneval el2v opabbii eqtri eqer )
      CDCRZEFZDRZEFZAUKUMEGAUKUMAHZCDIZULUNJZCDIAKZAUPJALMLKURALLNZOLBLUSPQSALU
      AUBCDAUCUDUOUQCDUOUQUECDUKUMATTBUFUGUHUIUJ $.
  $}

  ${
    topfne.1 $e |- X = U. J $.
    topfne.2 $e |- Y = U. K $.
    $( Fineness for covers corresponds precisely with fineness for topologies.
       (Contributed by Jeff Hankins, 29-Sep-2009.) $)
    topfne $p |- ( ( K e. Top /\ X = Y ) -> ( J C_ K <-> J Fne K ) ) $=
      ( ctop wcel wss ctg cfv wceq cfne wbr tgtop sseq2d bicomd isfne4 sylan9bb
      baibr ) BGHZABIZABJKZIZCDLZABMNZUAUDUBUAUCBABOPQUFUEUDABCDEFRTS $.
  $}

  ${
    topfneec.1 $e |- .~ = ( Fne i^i `' Fne ) $.
    $( A cover is equivalent to a topology iff it is a base for that topology.
       (Contributed by Jeff Hankins, 8-Oct-2009.)  (Proof shortened by Mario
       Carneiro, 11-Sep-2015.) $)
    topfneec $p |- ( J e. Top -> ( A e. [ J ] .~ <-> ( topGen ` A ) = J ) ) $=
      ( cec wcel wbr ctop ctg cfv wceq wrel wb cvv wer fneer ax-mp wa ctb ex wi
      errel relelec brrelex2i a1i eleq1 biimparc tgclb sylibr elex fneval tgtop
      syl eqeq1d eqcom bitrdi adantr bitrd pm5.21ndd syl5bb ) ACBEFZCABGZCHFZAI
      JZCKZBLZVAVBMNBOVFBDPNBUBQZACBUCQVCANFZVBVEVBVHUAVCCABVGUDUEVCVEVHVCVERZA
      SFZVHVIVDHFZVJVEVKVCVDCHUFUGAUHUIASUJUMTVCVHVBVEMVCVHRVBCIJZVDKZVECABHNDU
      KVCVMVEMVHVCVMCVDKVEVCVLCVDCULUNCVDUOUPUQURTUSUT $.
  $}

  ${
    topfneec2.1 $e |- .~ = ( Fne i^i `' Fne ) $.
    $( A topology is precisely identified with its equivalence class.
       (Contributed by Jeff Hankins, 12-Oct-2009.) $)
    topfneec2 $p |- ( ( J e. Top /\ K e. Top ) ->
      ( [ J ] .~ = [ K ] .~ <-> J = K ) ) $=
      ( ctop wcel wa wbr ctg cfv wceq cec fneval cvv wer fneer a1i adantr tgtop
      elex erth eqeqan12d 3bitr3d ) BEFZCEFZGZBCAHBIJZCIJZKBALCALKBCKBCAEEDMUFB
      CANNAOUFADPQUDBNFUEBETRUAUDUEUGBUHCBSCSUBUC $.
  $}

  ${
    $d c t w x y z A $.  $d c t w x y z B $.  $d c t w x y z X $.
    $d c t w x y z Y $.
    fnessref.1 $e |- X = U. A $.
    fnessref.2 $e |- Y = U. B $.
    $( A cover is finer iff it has a subcover which is both finer and a
       refinement.  (Contributed by Jeff Hankins, 18-Jan-2010.)  (Revised by
       Thierry Arnoux, 3-Feb-2020.) $)
    fnessref $p |- ( X = Y ->
      ( A Fne B <-> E. c ( c C_ B /\ ( A Fne c /\ c Ref A ) ) ) ) $=
      ( vx vy vw vz wceq cfne wbr wss wa wrex cvv wcel wi vt cv cref wex fnerel
      crab brrelex2i adantl rabexg syl ssrab2 a1i cuni wral eluni bitri fnessex
      eleq2i 3expia adantll sseq2 rspcev anim2d reximdv syld com23 impd exlimdv
      ex syl5bi elunirab syl6ibr ssrdv unissi simpl sseqtrid eqssd 3expb expcom
      eqtr2di ad2antll com12 ad2antrl jcad sseq1 rexbidv elrab simpr ralrimivva
      reximdv2 mpd wb eqid isfne2 3syl mpbir2and cbvrexvw biimpi ralrimiv isref
      jca32 breq2 breq1 anbi12d spcegv sylc simprrl fnebas eqtr3d eqtrdi vuniex
      eqeltrrdi uniexb sylibr simprl fness syl3anc fnetr syl2anc impbid ) CDLZA
      BMNZEUBZBOZAYCMNZYCAUCNZPZPZEUDZYAYBYIYAYBPZHUBZIUBZOZIAQZHBUFZRSZYOBOZAY
      OMNZYOAUCNZPZPZYIYJBRSZYPYBUUBYAABMUEUGUHZYNHBRUIZUJYJYQYRYSYQYJYNHBUKZUL
      YJYRCYOUMZLZUAUBZJUBZSZUUIKUBZOZPZJYOQZUAUUKUNKAUNZYJCUUFYJUACUUFYJUUHCSZ
      UUHYKSZYNPZHBQZUUHUUFSUUPUUHUUKSZUUKASZPZKUDZYJUUSUUPUUHAUMZSUVCCUVDUUHFU
      RKUUHAUOUPYJUVBUUSKYJUUTUVAUUSYJUVAUUTUUSYJUVAUUTUUSTYJUVAPZUUTUUQYKUUKOZ
      PZHBQZUUSYBUVAUUTUVHTYAYBUVAUUTUVHHABUUHUUKUQUSUTUVEUVGUURHBUVEUVFYNUUQUV
      AUVFYNTYJUVAUVFYNYMUVFIUUKAYLUUKYKVAVBVIUHVCVDVEVIVFVGVHVJYNHUUHBVKVLVMYJ
      BUMZUUFCYOBUUEVNYJCDUVIYAYBVOGVTVPVQZYJUUNKUAAUUKYJUVAUUTPZPZUUMJBQZUUNYB
      UVKUVMYAYBUVAUUTUVMJABUUHUUKUQVRUTUVLUUMUUMJBYOUVLUUIBSZUUMPZUUIYOSZUUMUV
      LUVOUVNUUIYLOZIAQZPUVPUVLUVOUVNUVRUVOUVNTUVLUVNUUMVOULUVAUVOUVRTYJUUTUVOU
      VAUVRUULUVAUVRTUVNUUJUVAUULUVRUVQUULIUUKAYLUUKUUIVAVBVSWAWBWCWDYNUVRHUUIB
      YKUUILYMUVQIAYKUUIYLWEWFWGVLUVOUUMTUVLUVNUUMWHULWDWJWKWIYJUUBYPYRUUGUUOPW
      LUUCUUDKUAJAYORCUUFFUUFWMZWNWOWPYJYSUUGUUKUUIOZJAQZKYOUNZUVJYJUWAKYOUUKYO
      SUUKBSZUUKYLOZIAQZPZYJUWAYNUWEHUUKBYKUUKLYMUWDIAYKUUKYLWEWFWGUWFUWATYJUWE
      UWAUWCUWEUWAUWDUVTIJAYLUUIUUKVAWQWRUHULVJWSYJUUBYPYSUUGUWBPWLUUCUUDKJYOAR
      UUFCUVSFWTWOWPXAYHUUAEYORYCYOLZYDYQYGYTYCYOBWEUWGYEYRYFYSYCYOAMXBYCYOAUCX
      CXDXDXEXFVIYAYHYBEYAYHYBYAYHPZYEYCBMNZYBYAYDYEYFXGZUWHUUBYDYCUMZDLUWIUWHU
      VIRSUUBUWHUVIUWKRUWHUWKDUVIUWHCUWKDUWHYECUWKLUWJAYCCUWKFUWKWMZXHUJYAYHVOX
      IZGXJEXKXLBXMXNYAYDYGXOUWMYCBRUWKDUWLGXPXQAYCBXRXSVIVHXT $.
  $}

  ${
    $d c x y A $.  $d c x y B $.  $d c x y X $.  $d c x y Y $.
    refssfne.1 $e |- X = U. A $.
    refssfne.2 $e |- Y = U. B $.
    $( A cover is a refinement iff it is a subcover of something which is both
       finer and a refinement.  (Contributed by Jeff Hankins, 18-Jan-2010.)
       (Revised by Thierry Arnoux, 3-Feb-2020.) $)
    refssfne $p |- ( X = Y -> ( B Ref A <->
      E. c ( B C_ c /\ ( A Fne c /\ c Ref A ) ) ) ) $=
      ( vx vy wceq cref wbr cv wss cfne wa cvv wcel adantl cuni brrelex2i unexg
      wex cun refrel brrelex1i syl2anc ssun2 ssun1 eqimss2 adantr ssequn2 sylib
      eqcomd uneq12i uniun eqtr4i fness syl3anc wrex wral wo elun wi ssid sseq2
      a1i rspcev mpan2 refssex ex jaod syl5bi ralrimiv wb isref mpbir2and jca32
      syl breq2 breq1 anbi12d spcegv sylc vex ssex ad2antrl simprl simpl refbas
      eqid ad2antll eqtr3d ssref simprrr reftr exlimdv impbid ) CDJZBAKLZBEMZNZ
      AXAOLZXAAKLZPZPZEUCZWSWTXGWSWTPZABUDZQRZBXINZAXIOLZXIAKLZPZPZXGXHAQRZBQRZ
      XJWTXPWSBAKUEUASWTXQWSBAKUEUFSABQQUBUGZXHXKXLXMXKXHBAUHVGXHXJAXINZCCDUDZJ
      ZXLXRXSXHABUIVGXHXTCXHDCNZXTCJWSYBWTDCUJUKDCULUMUNZAXIQCXTFXTATZBTZUDXITC
      YDDYEFGUOABUPUQZURUSXHXMYAHMZIMZNZIAUTZHXIVAZYCXHYJHXIYGXIRYGARZYGBRZVBXH
      YJYGABVCXHYLYJYMYLYJVDXHYLYGYGNZYJYGVEYIYNIYGAYHYGYGVFVHVIVGWTYMYJVDWSWTY
      MYJIBAYGVJVKSVLVMVNXHXJXMYAYKPVOXRHIXIAQXTCYFFVPVSVQVRXFXOEXIQXAXIJZXBXKX
      EXNXAXIBVFYOXCXLXDXMXAXIAOVTXAXIAKWAWBWBWCWDVKWSXFWTEWSXFWTWSXFPZBXAKLZXD
      WTYPXQXBDXATZJYQXBXQWSXEBXAEWEWFWGWSXBXEWHYPCDYRWSXFWIXECYRJZWSXBXDYSXCXA
      AYRCYRWKZFWJSWLWMBXAQDYRGYTWNUSWSXBXCXDWOBXAAWPUGVKWQWR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Neighborhood bases determine topologies
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d f k n t v y z G $.  $d j n s u v x y z J $.  $d f o s t u v w x y z P $.
    $d f k o s t u v w x y z N $.  $d f k o t u v x y S $.  $d f k n x y z U $.
    $d a b f g j k n o s t u v w x y z F $.  $d f j k n o s t v w x y z ph $.
    $d a b f g j k n o s t u v w x y z X $.
    neibastop1.1 $e |- ( ph -> X e. V ) $.
    neibastop1.2 $e |- ( ph -> F : X --> ( ~P ~P X \ { (/) } ) ) $.
    neibastop1.3 $e |- ( ( ph /\ ( x e. X /\ v e. ( F ` x ) /\
      w e. ( F ` x ) ) ) -> ( ( F ` x ) i^i ~P ( v i^i w ) ) =/= (/) ) $.
    neibastop1.4 $e |- J = { o e. ~P X |
      A. x e. o ( ( F ` x ) i^i ~P o ) =/= (/) } $.
    $( A collection of neighborhood bases determines a topology.  Part of
       Theorem 4.5 of Stephen Willard's _General Topology_.  (Contributed by
       Jeff Hankins, 8-Sep-2009.)  (Proof shortened by Mario Carneiro,
       11-Sep-2015.) $)
    neibastop1 $p |- ( ph -> J e. ( TopOn ` X ) ) $=
      ( vy wcel wss cin wral wa c0 vz ctop cuni wceq ctopon cfv cv wi wal simpr
      cpw wne crab ssrab2 eqsstri sstrdi sspwuni vuniex elpw sylibr wrex eluni2
      sylib elssuni ad2antrl sspwd sslin syl sselda adantrr weq pweq raleqbi1dv
      ineq2d neeq1d elrab2 simprbi simprr sylc ssn0 syl2anc rexlimdvaa ralrimiv
      rsp syl5bi sylanbrc ex alrimiv anbi12i an4 bitri inss1 elpwi sstrid inex1
      vex ssralv ax-mp inss2 anim12i r19.26 wex n0 exdistrv simprl sselid ss2in
      elpwid simplll ad2antrr simplr sseldd syl13anc exlimdvv syl5bir syl5 impr
      ralimdva sylan2b ralrimivva cvv wb mpbi a1i ssexd uniexb istopg mpbir2and
      pwidg cdif ffvelrnda eldifi 3syl df-ss eldifsni eqnetrd ralrimiva istopon
      csn eqssd ) AGUBOZIGUCZUDGIUEUFOAUUANUGZGPZUUCUCZGOZUHZNUIZUUCUAUGZQZGOZU
      AGRNGRZAUUGNAUUDUUFAUUDSZUUEIUKZOZBUGZFUFZUUEUKZQZTULZBUUERZUUFUUMUUEIPZU
      UOUUMUUCUUNPUVBUUMUUCGUUNAUUDUJZGUUQEUGZUKZQZTULZBUVDRZEUUNUMUUNMUVHEUUNU
      NUOZUPUUCIUQVCUUEINURUSUTUUMUUTBUUEUUPUUEOUUPUUIOZUAUUCVAUUMUUTUAUUPUUCVB
      UUMUVJUUTUAUUCUUMUUIUUCOZUVJSSZUUQUUIUKZQZUUSPZUVNTULZUUTUVLUVMUURPUVOUVL
      UUIUUEUVKUUIUUEPUUMUVJUUIUUCVDVEVFUVMUURUUQVGVHUVLUVPBUUIRZUVJUVPUVLUUIGO
      ZUVQUUMUVKUVRUVJUUMUUCGUUIUVCVIVJUVRUUIUUNOZUVQUVHUVQEUUIUUNGUVGUVPBUVDUU
      IEUAVKZUVFUVNTUVTUVEUVMUUQUVDUUIVLVNVOVMMVPZVQVHUUMUVKUVJVRUVPBUUIWDVSUVN
      UUSVTWAWBWEWCUVHUVAEUUEUUNGUVGUUTBUVDUUEUVDUUEUDZUVFUUSTUWBUVEUURUUQUVDUU
      EVLVNVOVMMVPWFWGWHAUUKNUAGGUUCGOZUVRSZAUUCUUNOZUVSSZUUQUUCUKZQZTULZBUUCRZ
      UVQSZSZUUKUWDUWEUWJSZUVSUVQSZSUWLUWCUWMUVRUWNUVHUWJEUUCUUNGUVGUWIBUVDUUCE
      NVKZUVFUWHTUWOUVEUWGUUQUVDUUCVLVNVOVMMVPUWAWIUWEUWJUVSUVQWJWKAUWLSZUUJUUN
      OZUUQUUJUKZQZTULZBUUJRZUUKUWPUUJIPZUWQAUWFUXBUWKUWEUXBAUVSUWEUUJUUCIUUCUU
      IWLZUUCIWMWNVEZVJUUJIUUCUUINWPWOUSUTAUWFUWKUXAUWKUWIUVPSZBUUJRZAUWFSZUXAU
      WKUWIBUUJRZUVPBUUJRZSUXFUWJUXHUVQUXIUUJUUCPUWJUXHUHUXCUWIBUUJUUCWQWRUUJUU
      IPUVQUXIUHUUCUUIWSUVPBUUJUUIWQWRWTUWIUVPBUUJXAUTUXGUXEUWTBUUJUXEDUGZUWHOZ
      DXBZCUGZUVNOZCXBZSZUXGUUPUUJOZSZUWTUWIUXLUVPUXODUWHXCCUVNXCWIUXPUXKUXNSZC
      XBDXBUXRUWTUXKUXNDCXDUXRUXSUWTDCUXRUXSUWTUXRUXSSZUUQUXJUXMQZUKZQZUWSPZUYC
      TULZUWTUXTUYBUWRPUYDUXTUYAUUJUXTUXJUUCPUXMUUIPUYAUUJPUXTUXJUUCUXTUWHUWGUX
      JUUQUWGWSUXRUXKUXNXEZXFXHUXTUXMUUIUXTUVNUVMUXMUUQUVMWSUXRUXKUXNVRZXFXHUXJ
      UUCUXMUUIXGWAVFUYBUWRUUQVGVHUXTAUUPIOZUXJUUQOUXMUUQOUYEAUWFUXQUXSXIUXTUUJ
      IUUPUXGUXBUXQUXSUXDXJUXGUXQUXSXKXLUXTUWHUUQUXJUUQUWGWLUYFXFUXTUVNUUQUXMUU
      QUVMWLUYGXFLXMUYCUWSVTWAWGXNXOWEXRXPXQUVHUXAEUUJUUNGUVGUWTBUVDUUJUVDUUJUD
      ZUVFUWSTUYIUVEUWRUUQUVDUUJVLVNVOVMMVPWFXSXTAGYAOZUUAUUHUULSYBAUUBYAOUYJAU
      UBIHJUUBIPZAGUUNPUYKUVIGIUQYCYDZYEGYFUTNUAYAGYGVHYHAIUUBAIGOZIUUBPAIUUNOZ
      UUQUUNQZTULZBIRZUYMAIHOUYNJIHYIVHAUYPBIAUYHSZUYOUUQTUYRUUQUUNPZUYOUUQUDUY
      RUUQUUNUKZTYSZYJZOZUUQUYTOUYSAIVUBUUPFKYKZUUQUYTVUAYLUUQUUNWMYMUUQUUNYNVC
      UYRVUCUUQTULVUDUUQUYTTYOVHYPYQUVHUYQEIUUNGUVGUYPBUVDIUVDIUDZUVFUYOTVUEUVE
      UUNUUQUVDIVLVNVOVMMVPWFIGVDVHUYLYTIGYRWF $.

    neibastop1.5 $e |- ( ( ph /\ ( x e. X /\ v e. ( F ` x ) ) ) -> x e. v ) $.
    neibastop1.6 $e |- ( ( ph /\ ( x e. X /\ v e. ( F ` x ) ) ) ->
      E. t e. ( F ` x ) A. y e. t ( ( F ` y ) i^i ~P v ) =/= (/) ) $.
    ${
      neibastop2.p $e |- ( ph -> P e. X ) $.
      neibastop2.n $e |- ( ph -> N C_ X ) $.
      neibastop2.f $e |- ( ph -> U e. ( F ` P ) ) $.
      neibastop2.u $e |- ( ph -> U C_ N ) $.
      neibastop2.g $e |- G = ( rec ( ( a e. _V |-> U_ z e. a U_ x e. X
        ( ( F ` x ) i^i ~P z ) ) , { U } ) |` _om ) $.
      neibastop2.s $e |- S = { y e. X |
        E. f e. U. ran G ( ( F ` y ) i^i ~P f ) =/= (/) } $.
      $( Lemma for ~ neibastop2 .  (Contributed by Jeff Hankins,
         12-Sep-2009.) $)
      neibastop2lem $p |- ( ph -> E. u e. J ( P e. u /\ u C_ N ) ) $=
        ( vk vn wcel wss cv wa wrex cpw cfv cin c0 wne wral cuni ssrab2 eqsstri
        crn crab wb elpw2g syl mpbiri weq fveq2 ineq1d neeq1d rexbidv elrab2 wi
        com wfn cvv ciun cmpt csn crdg frfnom fneq1i mpbir fnunirn ax-mp wex n0
        cres inss1 sseli anassrs sylan2 adantrl simprl wel fvssunirn frnd sylib
        sspwuni ad2antrr sstrid sselda elpwid adantrr pweq ineq2d eleq2d rspcev
        eliun syl2anc sylibr wceq sseq1d adantr adantl iunss ralrimiva ralrimiv
        iuneq1 syl12anc fnfvelrn elunii sylanbrc inelcm exlimdv syl5bi rexlimdv
        expr impr eleq2 ad3antrrr sseldd cdif difss2d csuc rspe ad2ant2l syl5bb
        simprlr simpll simprll fveq1i snex eqtri eqtrdi pwidg snssd pwexd inss2
        fr0g elpwi sspwd ralrimivw ssralv mpan9 frsucmpt2 eqsstrd expcom finds2
        wf ssexd fvex elpw syl6ibr com12 mpbiran eleqtrrd peano2 sylancr simprr
        ffnfv rabeq2i dfss3 velpw rexlimddv rexlimdvaa expimpd raleqbi1dv snidg
        ralimdva peano1 mp2an sylancl eluni2 rexrn ffvelrnda sstrd elin simprrr
        eqeltrri simpllr simprrl elequ1 imbi12d rspcv rexlimdva 3impia eqsstrid
        syl3c exp32 rabssdv sseq1 anbi12d ) AJPUOZIJUOZJQUPZIGUQZUOZUXOQUPZURZG
        PUSAJSUTZUOZBUQZNVAZJUTZVBZVCVDZBJVEZUXLAUXTJSUPZJCUQZNVAZLUQZUTZVBZVCV
        DZLOVIZVFZUSZCSVJZSULUYPCSVGVHASRUOUXTUYGVKUAJSRVLVMVNAUYEBJUYAJUOUYASU
        OZUYBUYKVBZVCVDZLUYOUSZURAUYEUYPVUACUYASJCBVOZUYMUYTLUYOVUBUYLUYSVCVUBU
        YIUYBUYKUYHUYANVPVQVRVSULVTAUYRVUAUYEAUYRURZUYTUYELUYOUYJUYOUOZUYJUMUQZ
        OVAZUOZUMWBUSZVUCUYTUYEWAZOWBWCZVUDVUHVKVUJTWDDTUQZBSUYBDUQZUTZVBZWEZWE
        ZWFZKWGZWHWBWPZWBWCVURVUQWIWBOVUSUKWJWKZUMUYJOWBWLWMVUCVUGVUIUMWBUYTFUQ
        ZUYSUOZFWNVUCVUEWBUOZVUGURZURZUYEFUYSWOVVEVVBUYEFVUCVVDVVBUYEVUCVVDVVBU
        RZURZUYIVVAUTZVBZVCVDZCHUQZVEZUYEHUYBVUCVVBVVLHUYBUSZVVDVVBVUCVVAUYBUOZ
        VVMUYSUYBVVAUYBUYKWQWRAUYRVVNVVMUFWSWTXAVVGVVKUYBUOZVVLURURZVVOVVKUYCUO
        ZUYEVVGVVOVVLXBVVPVVKJUPZVVQVVPUYHJUOZCVVKVEZVVRVVGVVOVVLVVTVVGVVOURZVV
        JVVSCVVKVWACHXCZVVJVVSVWAVWBVVJURZURZUYHSUOZUYPVVSVWAVWBVWEVVJVWAVVKSUY
        HVWAVVKSVVGUYBUXSVVKVVGUYBNVIZVFZUXSNUYAXDAVWGUXSUPZUYRVVFAVWFUXSUTZUPV
        WHAVWFVWIVCWGZASVWIVWJUUANUBXEUUBVWFUXSXGXFXHXIXJXKXJXLVWDVVAUYOUOZVVJU
        YPVVGVWKVVOVWCVVGVVAVUEUUCZOVAZUOVWMUYNUOZVWKVVGVVADVUFVUOWEZVWMVVGVVAV
        UOUOZDVUFUSZVVAVWOUOVVGVUGVVBBSUSZVWQVUCVVCVUGVVBUUGUYRVVBVWRAVVDVVBBSU
        UDUUEVWPVWRDUYJVUFVWPVVAVUNUOZBSUSDLVOZVWRBVVASVUNXQVWTVWSVVBBSVWTVUNUY
        SVVAVWTVUMUYKUYBVULUYJXMXNXOVSUUFXPXRDVVAVUFVUOXQXSVVGAVVCVUFKUTZUPZVWM
        VWOXTZAUYRVVFUUHVUCVVCVUGVVBUUIZVVGVUFUYOVXAOVUEXDAUYOVXAUPZUYRVVFAUYNV
        XAUTZUPVXEAWBVXFOAUNUQZOVAZVXFUOZUNWBVEZWBVXFOUVHZAVXIUNWBVXGWBUOZAVXIV
        XLAVXHVXAUPZVXIVXMVURVXAUPVXBVWMVXAUPZAUNUMVXGVCXTZVXHVURVXAVXOVXHVCOVA
        ZVURVXGVCOVPVXPVCVUSVAZVURVCOVUSUKUUJVURWDUOVXQVURXTKUUKVURWDVUQUURWMUU
        LZUUMYAUNUMVOVXHVUFVXAVXGVUEOVPYAVXGVWLXTVXHVWMVXAVXGVWLOVPYAAKVXAAKINV
        AZUOZKVXAUOZUIKVXSUUNVMZUUOAVVCVXBVXNWAAVVCVXBVXNAVVCVXBURZURZVWMVWOVXA
        VYDVVCVWOWDUOVXCAVVCVXBXBVYDVWOVXAWDVYDKVXSAVXTVYCUIYBUUPVYDVUOVXAUPZDV
        UFVEZVWOVXAUPAVYEDVXAVEZVYCVYFAVYEDVXAAVULVXAUOZURZVUNVXAUPZBSVEVYEVYIV
        YJBSVYIVUNVUMVXAUYBVUMUUQVYIVULKVYHVULKUPAVULKUUSYCUUTXIUVABSVUNVXAYDXS
        YEVXBVYGVYFWAVVCVYEDVUFVXAUVBYCUVCDVUFVUOVXAYDXSZUVITCVURVUEVUPVWODUYHV
        UOWEOWDUKDUYHVUKVUOYGDUYHVUFVUOYGUVDXRZVYKUVEYPUVFUVGVXHVXAVXGOUVJUVKUV
        LUVMYFVXKVUJVXJVUTUNWBVXFOUVSUVNXSZXEUYNVXAXGXFXHXIVYLYHUVOVVGVUJVWLWBU
        OZVWNVUTVVGVVCVYNVXDVUEUVPVMWBVWLOYIUVQVVAVWMUYNYJXRXHVWAVWBVVJUVRUYMVV
        JLVVAUYOLFVOZUYLVVIVCVYOUYKVVHUYIUYJVVAXMXNVRXPXRUYPCJSULUVTYKYPUWHYQCV
        VKJUWAXSHJUWBXSVVKUYBUYCYLXRUWCYPYMYNUWDYNYOUWEYNYFUYBMUQZUTZVBZVCVDZBV
        YPVEUYFMJUXSPVYSUYEBVYPJVYPJXTZVYRUYDVCVYTVYQUYCUYBVYPJXMXNVRUWFUDVTYKA
        ISUOVXSUYKVBZVCVDZLUYOUSZUXMUGAKUYOUOZVXSVXAVBZVCVDZWUCAKVURUOZVURUYNUO
        WUDAVXTWUGUIKVXSUWGVMVXPVURUYNVXRVUJVCWBUOVXPUYNUOVUTUWIWBVCOYIUWJUWRKV
        URUYNYJUWKAVXTVYAWUFUIVYBKVXSVXAYLXRWUBWUFLKUYOUYJKXTZWUAWUEVCWUHUYKVXA
        VXSUYJKXMXNVRXPXRUYPWUCCISJUYHIXTZUYMWUBLUYOWUIUYLWUAVCWUIUYIVXSUYKUYHI
        NVPVQVRVSULVTYKAJUYQQULAUYPCSQAVWEUYPUYHQUOZAVWEURZUYMWUJLUYOVUDLDXCZDU
        YNUSZWUKUYMWUJWAZDUYJUYNUWLWUMVUHWUKWUNVUJWUMVUHVKVUTWULVUGDUMWBOVULVUF
        UYJYRUWMWMWUKVUGWUNUMWBWUKVVCURZVUGUYMWUJWUOVUGUYMURZURZUYJQUYHWUQUYJKQ
        WUQUYJKWUOVUGUYJVXAUOUYMWUOVUFVXAUYJWUOVUFVXAWUKWBVXFVUEOAVXKVWEVYMYBUW
        NXKXJXLXKAKQUPVWEVVCWUPUJYSUWOWUOVUGUYMCLXCZUYMVVAUYLUOZFWNWUOVUGURZWUR
        FUYLWOWUTWUSWURFWUSVVAUYIUOZVVAUYKUOZURZWUTWURVVAUYIUYKUWPWUOVUGWVCWURW
        UOVUGWVCURZURZVVAUYJUYHWVEVVAUYJWUOVUGWVAWVBUWQXKWVEVWEVVNBFXCZWAZBSVEZ
        WVACFXCZAVWEVVCWVDUWSAWVHVWEVVCWVDAWVGBSAUYRVVNWVFUEYPYEYSWUOVUGWVAWVBU
        WTWVGWVAWVIWABUYHSBCVOZVVNWVAWVFWVIWVJUYBUYIVVAUYAUYHNVPXOBCFUXAUXBUXCU
        XGYTYPYNYMYNYQYTUXHUXDYNYNYOUXEUXIUXFUXRUXMUXNURGJPUXOJXTUXPUXMUXQUXNUX
        OJIYRUXOJQUXJUXKXPYH $.
    $}

    $( In the topology generated by a neighborhood base, a set is a
       neighborhood of a point iff it contains a subset in the base.
       (Contributed by Jeff Hankins, 9-Sep-2009.)  (Proof shortened by Mario
       Carneiro, 11-Sep-2015.) $)
    neibastop2 $p |- ( ( ph /\ P e. X ) -> ( N e. ( ( nei ` J ) ` { P } ) <->
        ( N C_ X /\ ( ( F ` P ) i^i ~P N ) =/= (/) ) ) ) $=
      ( wcel vs vu vz vg va vb vn vf wa csn cnei cfv wss cpw cin c0 cuni ctopon
      wne ctop neibastop1 topontop syl adantr eqid neii1 wceq toponuni ad2antrr
      sylan sseqtrrd cv wrex neii2 wral wi pweq ineq2d neeq1d raleqbi1dv elrab2
      weq simprrr sspwd sslin simprrl wb snssg ad3antlr mpbird fveq2 rspcv ssn0
      ineq1d syl6an expr com23 expimpd syl5bi rexlimdv mpd jca ex wex n0 simprl
      elin sseqtrd cvv ciun cmpt crdg com cres crn crab wf simpll simplr elpwid
      cdif cbviunv iuneq2d syl5eq mpteq2i rdgeq1 ax-mp reseq1i cbvrexvw rexbidv
      w3a syl5bb cbvrabv neibastop2lem eleqtrd isneip syl2anc mpbir2and exlimdv
      impbid ) AGMTZUIZKGUJZJUKULULTZKMUMZGIULZKUNZUOZUPUSZUIZUUBUUDUUJUUBUUDUI
      ZUUEUUIUUKKJUQZMUUBJUTTZUUDKUULUMZAUUMUUAAJMURULTZUUMABDEHIJLMNOPQVAZMJVB
      VCZVDZUUCJKUULUULVEZVFVJAMUULVGZUUAUUDAUUOUUTUUPMJVHVCZVIVKUUKUUCCVLZUMZU
      VBKUMZUIZCJVMZUUIUUBUUMUUDUVFUURUUCCJKVNVJUUKUVEUUICJUVBJTUVBMUNZTZBVLZIU
      LZUVBUNZUOZUPUSZBUVBVOZUIUUKUVEUUIVPZUVJHVLZUNZUOZUPUSZBUVPVOUVNHUVBUVGJU
      VSUVMBUVPUVBHCWBZUVRUVLUPUVTUVQUVKUVJUVPUVBVQVRVSVTQWAUUKUVHUVNUVOUUKUVHU
      IUVEUVNUUIUUKUVHUVEUVNUUIVPUUKUVHUVEUIZUIZUUFUVKUOZUUHUMZUVNUWCUPUSZUUIUW
      BUVKUUGUMUWDUWBUVBKUUKUVHUVCUVDWCWDUVKUUGUUFWEVCUWBGUVBTZUVNUWEVPUWBUWFUV
      CUUKUVHUVCUVDWFUUAUWFUVCWGAUUDUWAGUVBMWHWIWJUVMUWEBGUVBUVIGVGZUVLUWCUPUWG
      UVJUUFUVKUVIGIWKWNVSWLVCUWCUUHWMWOWPWQWRWSWTXAXBXCUUBUUEUUIUUDUUIUAVLZUUH
      TZUAXDUUBUUEUIZUUDUAUUHXEUWJUWIUUDUAUWIUWHUUFTZUWHUUGTZUIZUWJUUDUWHUUFUUG
      XGUUBUUEUWMUUDUUBUUEUWMUIZUIZUUDUUNGUBVLZTUWPKUMUIUBJVMZUWOKMUULUUBUUEUWM
      XFZAUUTUUAUWNUVAVIZXHUWOBCUCDEUBFGDVLZIULZUDVLZUNZUOZUPUSZUDUEXIUFUEVLZUG
      MUGVLZIULZUFVLZUNZUOZXJZXJZXKZUWHUJZXLZXMXNZXOUQZVMZDMXPUWHUHHIUXQJKLMUEA
      MLTUUAUWNNVIAMUVGUNUPUJYAIXQUUAUWNOVIUWOAUVIMTZEVLZUVJTZUWTUVJTYKUVJUYAUW
      TUOUNUOUPUSAUUAUWNXRZPVJQUWOAUXTUYBUIZUVIUYATUYCRVJUWOAUYDUVBIULZUYAUNUOU
      PUSCFVLVOFUVJVMUYCSVJAUUAUWNXSZUWRUUBUUEUWKUWLWFUWOUWHKUUBUUEUWKUWLWCXTUX
      PUEXIUCUXFBMUVJUCVLZUNZUOZXJZXJZXKZUXOXLZXMUXNUYLVGUXPUYMVGUEXIUXMUYKUFUC
      UXFUXLUYJUFUCWBZUXLBMUVJUXJUOZXJUYJUGBMUXKUYOUGBWBUXHUVJUXJUXGUVIIWKWNYBU
      YNBMUYOUYIUYNUXJUYHUVJUXIUYGVQVRYCYDYBYEUXOUXNUYLYFYGYHUXSUYEUHVLZUNZUOZU
      PUSZUHUXRVMZDCMUXSUXAUYQUOZUPUSZUHUXRVMDCWBZUYTUXEVUBUDUHUXRUDUHWBZUXDVUA
      UPVUDUXCUYQUXAUXBUYPVQVRVSYIVUCVUBUYSUHUXRVUCVUAUYRUPVUCUXAUYEUYQUWTUVBIW
      KWNVSYJYLYMYNUWOUUMGUULTUUDUUNUWQUIWGAUUMUUAUWNUUQVIUWOGMUULUYFUWSYOGUBJK
      UULUUSYPYQYRWPWSYSWSWRYT $.

    $( The topology generated by a neighborhood base is unique.  (Contributed
       by Jeff Hankins, 16-Sep-2009.)  (Proof shortened by Mario Carneiro,
       11-Sep-2015.) $)
    neibastop3 $p |- ( ph -> E! j e. ( TopOn ` X )
      A. x e. X ( ( nei ` j ) ` { x } ) =
        { n e. ~P X | ( ( F ` x ) i^i ~P n ) =/= (/) } ) $=
      ( wcel vz cv ctopon cfv csn cnei cpw cin c0 wne crab wceq wral wa wreu wi
      weu wal neibastop1 cab wss neibastop2 velpw anbi1i bitr4di abbi2dv df-rab
      eqtr4di ralrimiva sneq fveq2d fveq2 ineq1d neeq1d rabbidv cbvralvw sylibr
      eqeq12d cuni toponuni eqimss2 sspwuni ad2antlr sseqin2 sylib wrex ctop wb
      topontop ad3antlr eltop2 ssralv adantl simprr eleq2d sseq2d biimpa sylan2
      elpwi sselda adantrr adantr eqid isneip baibd syl21anc pweq ineq2d elrab3
      syl 3bitr3d expr ralimdva syld an32s ralbi bitrd rabbi2dva eqtr3d alrimiv
      imp expl eleq1 fveq1d eqeq1d ralbidv anbi12d eqeu syl121anc df-reu ) AGUB
      ZMUCUDZTZBUBZUEZYKUFUDZUDZYNJUDZHUBZUGZUHZUIUJZHMUGZUKZULZBMUMZUNZGUQZUUF
      GYLUOAKYLTZUUIYOKUFUDZUDZUUDULZBMUMZUUGYKKULZUPZGURUUHABDEIJKLMNOPQUSZUUP
      AUAUBZUEZUUJUDZUUQJUDZYTUHZUIUJZHUUCUKZULZUAMUMUUMAUVDUAMAUUQMTUNZUUSYSUU
      CTZUVBUNZHUTUVCUVEUVGHUUSUVEYSUUSTYSMVAZUVBUNUVGABCDEFUUQIJKYSLMNOPQRSVBU
      VFUVHUVBHMVCVDVEVFUVBHUUCVGVHVIUULUVDBUAMYNUUQULZUUKUUSUUDUVCUVIYOUURUUJY
      NUUQVJVKUVIUUBUVBHUUCUVIUUAUVAUIUVIYRUUTYTYNUUQJVLVMVNVOVRVPVQAUUOGAYMUUF
      UUNAYMUNZUUFUNZUUCYKUHZYKKUVKYKUUCVAZUVLYKULYMUVMAUUFYMYKVSZMVAZUVMYMMUVN
      ULZUVOMYKVTZUVNMWAXJYKMWBVQWCYKUUCWDWEUVKUVLYRIUBZUGZUHZUIUJZBUVRUMZIUUCU
      KKUVKUWBIUUCYKUVKUVRUUCTZUNZUVRYKTZYNUUQTUUQUVRVAUNUAYKWFZBUVRUMZUWBUWDYK
      WGTZUWEUWGWHYMUWHAUUFUWCMYKWIZWJBUAUVRYKWKXJUWDUWFUWAWHZBUVRUMZUWGUWBWHUV
      JUWCUUFUWKUVJUWCUNZUUFUWKUWLUUFUUEBUVRUMZUWKUWCUUFUWMUPZUVJUWCUVRMVAZUWNU
      VRMWSZUUEBUVRMWLXJWMUWLUUEUWJBUVRUWLYNUVRTZUUEUWJUWLUWQUUEUNZUNZUVRYQTZUV
      RUUDTZUWFUWAUWSYQUUDUVRUWLUWQUUEWNWOUWSUWHYNUVNTZUVRUVNVAZUWTUWFWHYMUWHAU
      WCUWRUWIWJUWLUWQUXBUUEUWLUVRUVNYNUWCUVJUWOUXCUWPUVJUWOUXCUVJMUVNUVRYMUVPA
      UVQWMWPWQWRZWTXAUWLUXCUWRUXDXBUWHUXBUNUWTUXCUWFYNUAYKUVRUVNUVNXCXDXEXFUWC
      UXAUWAWHUVJUWRUUBUWAHUVRUUCYSUVRULZUUAUVTUIUXEYTUVSYRYSUVRXGXHVNXIWCXKXLX
      MXNYAXOUWFUWABUVRXPXJXQXRQVHXSYBXTUUGUUIUUMUNGKYLUUNYMUUIUUFUUMYKKYLYCUUN
      UUEUULBMUUNYQUUKUUDUUNYOYPUUJYKKUFVLYDYEYFYGYHYIUUFGYLYJVQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Lattice structure of topologies
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d t y A $.  $d j k t x y S $.  $d j k t x V $.  $d j k t x y X $.
    $d t x T $.
    $( The meet of a collection of topologies on ` X ` is again a topology on
       ` X ` .  (Contributed by Jeff Hankins, 5-Oct-2009.)  (Proof shortened by
       Mario Carneiro, 12-Sep-2015.) $)
    topmtcl $p |- ( ( X e. V /\ S C_ ( TopOn ` X ) ) ->
      ( ~P X i^i |^| S ) e. ( TopOn ` X ) ) $=
      ( wcel ctopon cfv cpw cmre wss cint cin toponmre mrerintcl sylan ) CBDCEF
      ZCGZHFDAOIPAJKODCBLOAPMN $.

    $( Two equivalent formulations of the meet of a collection of topologies.
       (Contributed by Jeff Hankins, 4-Oct-2009.)  (Proof shortened by Mario
       Carneiro, 12-Sep-2015.) $)
    topmeet $p |- ( ( X e. V /\ S C_ ( TopOn ` X ) ) ->
      ( ~P X i^i |^| S ) = U. { k e. ( TopOn ` X ) | A. j e. S k C_ j } ) $=
      ( wcel ctopon cfv wss wa cpw cint cin wral cuni wceq sylibr syl sspwuni
      cv crab topmtcl inss2 intss1 sstrid rgen sseq1 ralbidv elrab mpbiran2 w3a
      elssuni toponuni eqimss2 3ad2ant2 simp3 ssint ssind velpw rabssdv sylib
      eqssd ) EDFAEGHZIJZEKZALZMZCTZBTZIZBANZCVCUAZOZVDVGVLFZVGVMIVDVGVCFZVNADE
      UBVNVOVGVIIZBANZVPBAVIAFVGVFVIVEVFUCVIAUDUEUFVKVQCVGVCVHVGPVJVPBAVHVGVIUG
      UHUIUJQVGVLULRVDVLVGKZIVMVGIVDVKCVCVRVDVHVCFZVKUKZVHVGIVHVRFVTVHVEVFVSVDV
      HVEIZVKVSVHOZEIZWAVSEWBPWCEVHUMWBEUNRVHESQUOVTVKVHVFIVDVSVKUPBVHAUQQURCVG
      USQUTVLVGSVAVB $.

    $( Two equivalent formulations of the join of a collection of topologies.
       (Contributed by Jeff Hankins, 6-Oct-2009.)  (Proof shortened by Mario
       Carneiro, 12-Sep-2015.) $)
    topjoin $p |- ( ( X e. V /\ S C_ ( TopOn ` X ) ) ->
      ( topGen ` ( fi ` ( { X } u. U. S ) ) ) =
        |^| { k e. ( TopOn ` X ) | A. j e. S j C_ k } ) $=
      ( wcel ctopon cfv wss wa cuni cun wral sylibr wceq syl sspwuni sstrdi cvv
      sylib csn cfi ctg cv crab cint wi topontop ad2antrl toponmax snssd simprr
      ctop unissb unssd syl2anc expr ralrimiva ssintrab ctb fibas tgtopon ax-mp
      tgfiss uniun unisng adantr eqtr2id cpw simpr toponuni eqimss2 velpw ssriv
      uneq1d ssequn2 snex fvex adantl uniexd unexg sylancr fiuni 3eqtr3d fveq2d
      ssex eleqtrrid elssuni ssun2 ssfii sylan9ssr bastg sseq2 ralbidv sylanbrc
      elrab intss1 eqssd ) EDFZAEGHZIZJZEUAZAKZLZUBHZUCHZBUDZCUDZIZBAMZCWTUEZUF
      ZXBXKXGXIIZUGZCWTMXGXMIXBXOCWTXBXIWTFZXKXNXBXPXKJJZXIUMFZXEXIIXNXPXRXBXKE
      XIUHUIXQXCXDXIXQEXIXPEXIFXBXKEXIUJUIUKXQXKXDXIIXBXPXKULBAXIUNNUOXEXIVDUPU
      QURXKCXGWTUSNXBXGXLFZXMXGIXBXGWTFXHXGIZBAMZXSXBXGXFKZGHZWTXFUTFZXGYCFXEVA
      ZXFVBVCXBEYBGXBEXDKZLZXEKZEYBXBYHXCKZYFLYGXCXDVEXBYIEYFWSYIEOXAEDVFVGVOVH
      XBYFEIZYGEOXBXDEVIZIZYJXBAYKVIZIYLXBAWTYMWSXAVJCWTYMXPXIYKIZXIYMFXPXIKZEI
      ZYNXPEYOOYPEXIVKYOEVLPXIEQNCYKVMNVNRAYKQTXDEQTYFEVPTXBXESFZYHYBOXBXCSFXDS
      FYQEVQXBASXAASFWSAWTEGVRWFVSVTXCXDSSWAWBZXESWCPWDWEWGXBXTBAXBXHAFZJXHXFXG
      YSXBXHXEXFYSXHXDXEXHAWHXDXCWIRXBYQXEXFIYRXESWJPWKYDXFXGIYEXFUTWLVCRURXKYA
      CXGWTXIXGOXJXTBAXIXGXHWMWNWPWOXGXLWQPWR $.

    $( The meet of a collection of equivalence classes of covers with respect
       to fineness.  (Contributed by Jeff Hankins, 5-Oct-2009.)  (Proof
       shortened by Mario Carneiro, 12-Sep-2015.) $)
    fnemeet1 $p |- ( ( X e. V /\ A. y e. S X = U. y /\ A e. S ) ->
      ( ~P X i^i |^|_ t e. S ( topGen ` t ) ) Fne A ) $=
      ( wcel cv cuni wceq wral ctg cfv cfne wss unitg unieq eqeq2d syl 3ad2ant3
      w3a cpw ciin cin c0 wne wa adantl rspccva 3ad2antl2 eqtr4d eqimss sspwuni
      sylibr ralrimiva ne0i riinn0 syl2anc wrex simp3 ssid fveq2 sseq1d sylancl
      rspcev iinss unissd sseqtrd 3adant1 adantr eqtr3d simpr eltg3i eqeltrd wb
      wbr cvv uniexg eliin mpbird elssuni eqssd eqid isfne4 sylanbrc eqbrtrd )
      FEGZFAHZIZJZADKZCDGZUAZFUBZBDBHZLMZUCZUDZWQCNWMWPWNOZBDKDUEUFZWRWQJWMWSBD
      WMWODGZUGZWPIZFOZWSXBXCFJXDXBXCWOIZFXAXCXEJWMWODPUHWKWGXAFXEJZWLWJXFAWODW
      HWOJWIXEFWHWOQRUIUJZUKXCFULSWPFUMUNUOWLWGWTWKDCUPTBWNWPDUQURWMWQIZCIZJWQC
      LMZOZWQCNVPWMXHXIWMXHXJIZXIWMWQXJWMWPXJOZBDUSZXKWMWLXJXJOZXNWGWKWLUTXJVAX
      MXOBCDWOCJWPXJXJWOCLVBVCVEVDBDWPXJVFSZVGWLWGXLXIJWKCDPTVHWMXIWQGZXIXHOWMX
      QXIWPGZBDKZWMXRBDXBXIXEWPXBFXIXEWMFXIJZXAWKWLXTWGWJXTACDWHCJWIXIFWHCQRUIV
      IVJXGVKXBXAWOWOOXEWPGWMXAVLWOVAWOWODVMVDVNUOWMXIVQGZXQXSVOWLWGYAWKCDVRTBX
      IDWPVQVSSVTXIWQWASWBXPWQCXHXIXHWCXIWCWDWEWF $.

    $( The meet of equivalence classes under the fineness relation-part two.
       (Contributed by Jeff Hankins, 6-Oct-2009.)  (Proof shortened by Mario
       Carneiro, 12-Sep-2015.) $)
    fnemeet2 $p |- ( ( X e. V /\ A. y e. S X = U. y ) ->
      ( T Fne ( ~P X i^i |^|_ t e. S ( topGen ` t ) ) <->
        ( X = U. T /\ A. x e. S T Fne x ) ) ) $=
      ( wcel cv cuni wceq wral wa cfne wbr c0 eqid syl wss cvv cpw ctg cfv ciin
      cin wi riin0 unieqd unipw eqtr2di a1i wne wex n0 w3a unieq eqeq2d rspccva
      3adant1 fnebas eqtr4d 3expia exlimdv syl5bi pm2.61dne adantr adantl fnetr
      fnemeet1 ex expcom 3expa ralrimdva simprl eqtr3d eqimss2 ad2antrl sspwuni
      jcad sylibr breq2 cbvralvw fnetg ralimi sylbi ad2antll ssiin ssind inex1g
      pwexg ad2antrr bastg sstrd isfne4 sylanbrc impbid ) GFHZGBIZJZKZBDLZMZEGU
      AZCDCIZUBUCZUDZUEZNOZGEJZKZEAIZNOZADLZMZXBXHXJXMXBXHXJXBXHMGXGJZXIXBGXOKZ
      XHXBXPDPDPKZXPUFXBXQXOXCJGXQXGXCCXCXEDUGUHGUIUJUKDPULXKDHZAUMXBXPADUNXBXR
      XPAWQXAXRXPWQXAXRUOZGXKJZXOXAXRGXTKZWQWTYABXKDWRXKKWSXTGWRXKUPUQURUSXSXGX
      KNOZXOXTKBCXKDFGVIZXGXKXOXTXOQZXTQUTRVAVBVCVDVEZVFXHXIXOKZXBEXGXIXOXIQZYD
      UTVGVAVJXBXHXLADWQXAXRXHXLUFZXSYBYHYCXHYBXLEXGXKVHVKRVLVMVSXBXNXHXBXNMZYF
      EXGUBUCZSXHYIGXIXOXBXJXMVNXBXPXNYEVFVOYIEXGYJYIEXCXFYIXIGSZEXCSXJYKXBXMXI
      GVPVQEGVRVTYIEXESZCDLZEXFSXMYMXBXJXMEXDNOZCDLYMXLYNACDXKXDENWAWBYNYLCDEXD
      WCWDWEWFCDXEEWGVTWHYIXGTHZXGYJSWQYOXAXNWQXCTHYOGFWJXCXFTWIRWKXGTWLRWMEXGX
      IXOYGYDWNWOVJWP $.

    $( Join of equivalence classes under the fineness relation-part one.
       (Contributed by Jeff Hankins, 8-Oct-2009.)  (Proof shortened by Mario
       Carneiro, 12-Sep-2015.) $)
    fnejoin1 $p |- ( ( X e. V /\ A. y e. S X = U. y /\ A e. S ) ->
      A Fne if ( S = (/) , { X } , U. S ) ) $=
      ( wcel cv cuni wceq wral w3a c0 cfne wss 3ad2ant3 sspwuni sylibr cvv eqid
      syl csn cif ctg cfv wbr elssuni unissd cpw eqimss2 ralimi 3ad2ant2 unissb
      sylib unieq eqeq2d rspccva 3adant1 eqssd pwexg 3ad2ant1 ssexd bastg sstrd
      sseqtrd isfne4 sylanbrc wne ne0i ifnefalse breqtrrd ) EDFZEAGZHZIZACJZBCF
      ZKZBCHZCLIEUAZVRUBZMVQBHZVRHZIBVRUCUDZNBVRMUEVQWAWBVQBVRVPVKBVRNVOBCUFOZU
      GVQWBEWAVQVREUHZNZWBENVQVLWENZACJZWFVOVKWHVPVNWGACVNVMENWGVMEUIVLEPQUJUKA
      CWEULQZVREPUMVOVPEWAIZVKVNWJABCVLBIVMWAEVLBUNUOUPUQVDURVQBVRWCWDVQVRRFVRW
      CNVQVRWERVKVOWERFVPEDUSUTWIVAVRRVBTVCBVRWAWBWASWBSVEVFVQCLVGZVTVRIVPVKWKV
      OCBVHOCLVSVRVITVJ $.

    $( Join of equivalence classes under the fineness relation-part two.
       (Contributed by Jeff Hankins, 8-Oct-2009.)  (Proof shortened by Mario
       Carneiro, 12-Sep-2015.) $)
    fnejoin2 $p |- ( ( X e. V /\ A. y e. S X = U. y ) ->
      ( if ( S = (/) , { X } , U. S ) Fne T <->
        ( X = U. T /\ A. x e. S x Fne T ) ) ) $=
      ( wcel cuni wceq wral wa c0 cfne wbr adantr eqid syl ex wss cvv cv unisng
      csn cif eqcomd iftrue unieqd eqeq2d syl5ibrcom wne wex n0 rspccva 3adant1
      w3a unieq fnejoin1 fnebas eqtrd 3expia syl5bi pm2.61dne sylan9eq wi fnetr
      exlimdv 3expa ralrimdva jcad ctg cfv simprl eqtr3d elex ad2antrr eqeltrrd
      sseq1 uniexb sylibr eltg3i sylancl eqeltrd snssd wn simplrr ralimi unissb
      ssid fnetg ifbothda isfne4 sylanbrc impbid ) FEGZFBUAZHZIZBCJZKZCLIZFUCZC
      HZUDZDMNZFDHZIZAUAZDMNZACJZKZWSXDXFXIWSXDXFWSXDFXCHZXEWSFXKIZCLWSXLWTFXAH
      ZIZWNXNWRWNXMFFEUBUEOWTXKXMFWTXCXAWTXAXBUFUGUHUICLUJXGCGZAUKWSXLACULWSXOX
      LAWNWRXOXLWNWRXOUOZFXGHZXKWRXOFXQIZWNWQXRBXGCWOXGIWPXQFWOXGUPUHUMUNXPXGXC
      MNZXQXKIBXGCEFUQZXGXCXQXKXQPXKPZURQUSUTVFVAVBZXCDXKXEYAXEPZURVCRWSXDXHACW
      NWRXOXDXHVDZXPXSYDXTXSXDXHXGXCDVERQVGVHVIWSXJXDWSXJKZXKXEIXCDVJVKZSZXDYEF
      XKXEWSXLXJYBOWSXFXIVLZVMWTXAYFSZXBYFSZYGYEXAXBXAXCYFVQXBXCYFVQYEYIWTYEFYF
      YEFXEYFYHYEDTGZDDSXEYFGYEXETGYKYEFXETYHWNFTGWRXJFEVNVOVPDVRVSDWHDDTVTWAWB
      WCOYEWTWDZKZXGYFSZACJZYJYMXIYOWSXFXIYLWEXHYNACXGDWIWFQACYFWGVSWJXCDXKXEYA
      YCWKWLRWM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Filter bases
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d t x B $.  $d t x F $.  $d t x X $.
    $( Minimality property of a generated filter: every filter that contains
       ` B ` contains its generated filter.  (Contributed by Jeff Hankins,
       5-Sep-2009.)  (Revised by Mario Carneiro, 7-Aug-2015.) $)
    fgmin $p |- ( ( B e. ( fBas ` X ) /\ F e. ( Fil ` X ) ) ->
        ( B C_ F <-> ( X filGen B ) C_ F ) ) $=
      ( vt vx cfbas cfv wcel cfil wa wss cfg co cv wrex wb elfg adantr ssrexv
      wi adantl filss 3exp2 com34 rexlimdv ad2antlr syld com23 impd sylbid ssfg
      ssrdv ex sstr2 syl impbid ) ACFGHZBCIGHZJZABKZCALMZBKZUSUTVBUSUTJZDVABVCD
      NZVAHZVDCKZENZVDKZEAOZJZVDBHZUSVEVJPZUTUQVLUREVDACQRRVCVFVIVKVCVIVFVKVCVI
      VHEBOZVFVKTZUTVIVMTUSVHEABSUAURVMVNTUQUTURVHVNEBURVGBHZVFVHVKURVOVFVHVKVG
      VDBCUBUCUDUEUFUGUHUIUJULUMUQVBUTTZURUQAVAKVPACUKAVABUNUORUP $.
  $}

  ${
    $d t u x z J $.  $d t u x z S $.  $d t u x z X $.
    neifg.1 $e |- X = U. J $.
    $( The neighborhood filter of a nonempty set is generated by its open
       supersets.  See comments for ~ opnfbas .  (Contributed by Jeff Hankins,
       3-Sep-2009.) $)
    neifg $p |- ( ( J e. Top /\ S C_ X /\ S =/= (/) ) ->
        ( X filGen { x e. J | S C_ x } ) = ( ( nei ` J ) ` S ) ) $=
      ( vt vu vz wcel wss c0 wne cv crab cpw cin cfv wa wex wb ctop w3a co cnei
      cfg cfbas wceq opnfbas fgval syl pweq ineq2d neeq1d elrab velpw a1i sseq2
      n0 elin anbi12i bitri exbii anbi12d wrex anass df-rex bitr4i anbi2i isnei
      3adant3 bitr4id bitrd syl5bb eqrdv eqtrd ) CUAIZBDJZBKLZUBZDBAMZJZACNZUEU
      CZWBFMZOZPZKLZFDOZNZBCUDQQZVSWBDUFQIWCWIUGABCDEUHFWBDUIUJVSGWIWJGMZWIIWKW
      HIZWBWKOZPZKLZRZVSWKWJIZWGWOFWKWHWDWKUGZWFWNKWRWEWMWBWDWKUKULUMUNVSWPWKDJ
      ZHMZCIZBWTJZRZWTWKJZRZHSZRZWQVSWLWSWOXFWLWSTVSGDUOUPWOXFTVSWOWTWNIZHSXFHW
      NURXHXEHXHWTWBIZWTWMIZRXEWTWBWMUSXIXCXJXDWAXBAWTCVTWTBUQUNHWKUOUTVAVBVAUP
      VCVSXGWSXBXDRZHCVDZRZWQXFXLWSXFXAXKRZHSXLXEXNHXAXBXDVEVBXKHCVFVGVHVPVQWQX
      MTVRBHCWKDEVIVJVKVLVMVNVO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Directed sets, nets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d d x D $.  $d x X $.  $d x A $.
    tailfval.1 $e |- X = dom D $.
    $( The tail function for a directed set.  (Contributed by Jeff Hankins,
       25-Nov-2009.)  (Revised by Mario Carneiro, 24-Nov-2013.) $)
    tailfval $p |- ( D e. DirRel -> ( tail ` D ) =
                     ( x e. X |-> ( D " { x } ) ) ) $=
      ( vd cdir wcel ctail cfv cuni cv csn cima cmpt cvv wceq uniexg 3syl unieq
      mptexg unieqd imaeq1 mpteq12dv df-tail fvmptg mpdan dirdm eqtr2id mpteq1d
      cdm eqtrd ) BFGZBHIZABJZJZBAKLZMZNZACUQNULUROGZUMURPULUNOGUOOGUSBFQUNOQAU
      OUQOTREBAEKZJZJZUTUPMZNURFOHUTBPZAVBVCUOUQVDVAUNUTBSUAUTBUPUBUCAEUDUEUFUL
      AUOCUQULCBUJUODBUGUHUIUK $.

    $( The tail of an element in a directed set.  (Contributed by Jeff Hankins,
       25-Nov-2009.)  (Revised by Mario Carneiro, 24-Nov-2013.) $)
    tailval $p |- ( ( D e. DirRel /\ A e. X ) ->
                   ( ( tail ` D ) ` A ) = ( D " { A } ) ) $=
      ( vx cdir wcel wa ctail cfv csn cima cmpt wceq tailfval fveq1d adantr cvv
      cv id imaexg sneq imaeq2d eqid fvmptg syl2anr eqtrd ) BFGZACGZHABIJZJZAEC
      BESZKZLZMZJZBAKZLZUHUKUPNUIUHAUJUOEBCDOPQUIUIURRGUPURNUHUITBUQFUAEAUNURCR
      UOULANUMUQBULAUBUCUOUDUEUFUG $.

    $( An element of a tail.  (Contributed by Jeff Hankins, 25-Nov-2009.)
       (Revised by Mario Carneiro, 24-Nov-2013.) $)
    eltail $p |- ( ( D e. DirRel /\ A e. X /\ B e. C ) ->
                   ( B e. ( ( tail ` D ) ` A ) <-> A D B ) ) $=
      ( cdir wcel w3a ctail cfv csn cima wbr wb wa tailval eleq2d 3adant3 cop
      elimasng df-br bitr4di 3adant1 bitrd ) DGHZAEHZBCHZIBADJKKZHZBDALMZHZABDN
      ZUFUGUJULOUHUFUGPUIUKBADEFQRSUGUHULUMOUFUGUHPULABTDHUMDABECUAABDUBUCUDUE
      $.
  $}

  ${
    $d x D $.  $d x X $.
    tailf.1 $e |- X = dom D $.
    $( The tail function of a directed set sends its elements to its subsets.
       (Contributed by Jeff Hankins, 25-Nov-2009.)  (Revised by Mario Carneiro,
       24-Nov-2013.) $)
    tailf $p |- ( D e. DirRel -> ( tail ` D ) : X --> ~P X ) $=
      ( vx cdir wcel cpw ctail cfv wf cv csn cima cmpt wral wss cuni cvv mpbird
      sstri crn imassrn cdm cun ssun2 dmrnssfld dirdm eqtr2id sseqtrid wb dmexg
      eqeltrid elpw2g syl ralrimivw eqid fmpt sylib tailfval feq1d ) AEFZBBGZAH
      IZJBVBDBADKLZMZNZJZVAVEVBFZDBOVGVAVHDBVAVHVEBPZVAAQQZVEBVEAUAZVJAVDUBVKAU
      CZVKUDVJVKVLUEAUFTTVABVLVJCAUGUHUIVABRFVHVIUJVABVLRCAEUKULVEBRUMUNSUODBVB
      VEVFVFUPUQURVABVBVCVFDABCUSUTS $.
  $}

  ${
    tailini.1 $e |- X = dom D $.
    $( A tail contains its initial element.  (Contributed by Jeff Hankins,
       25-Nov-2009.) $)
    tailini $p |- ( ( D e. DirRel /\ A e. X ) -> A e. ( ( tail ` D ) ` A ) ) $=
      ( cdir wcel wa ctail cfv wbr dirref wb eltail 3anidm23 mpbird ) BEFZACFZG
      AABHIIFZAABJZABCDKPQRSLAACBCDMNO $.
  $}

  ${
    $d u v w x y z D $.  $d u v w x y z X $.
    tailfb.1 $e |- X = dom D $.
    $( The collection of tails of a directed set is a filter base.
       (Contributed by Jeff Hankins, 25-Nov-2009.)  (Revised by Mario Carneiro,
       8-Aug-2015.) $)
    tailfb $p |- ( ( D e. DirRel /\ X =/= (/) )
          -> ran ( tail ` D ) e. ( fBas ` X ) ) $=
      ( vz vx vy vu vv wcel c0 wa cfv wss cv wrex adantr wi wb wbr cvv cdir wne
      vw ctail crn cfbas cpw wnel cin wral w3a tailf wex n0 wf wfn ffn fnfvelrn
      frnd ex 3syl ne0i syl6 exlimdv syl5bi imp wn wceq tailini n0i syl fvelrnb
      nrexdv mtbird df-nel sylibr reeanv dirge 3expb sylan ad2ant2r dirtr exp32
      anbi12d elvd com23 ad2ant2rl anim12d expr impr vex eltail adantrr adantrl
      mp3an3 3imtr4d syl6ibr ssrdv sseq1 rspcev syl2anc rexlimddv ineq1 rexbidv
      elin sseq2d ineq2 sylan9bb syl5ibcom rexlimdvva sylbid ralrimivv 3jca cdm
      syl5bir dmexg eqeltrid isfbas2 mpbir2and ) AUAIZBJUBZKZAUDLZUEZBUFLIZYDBU
      GZMZYDJUBZJYDUHZDNZENZFNZUIZMZDYDOZFYDUJEYDUJZUKZXTYGYAXTBYFYCABCULZUSPYB
      YHYIYPXTYAYHYAYKBIZEUMXTYHEBUNXTYSYHEXTYSYKYCLZYDIZYHXTBYFYCUOZYCBUPZYSUU
      AQYRBYFYCUQZUUCYSUUABYKYCURUTVAYDYTVBVCVDVEVFYBJYDIZVGYIYBUUEYTJVHZEBOZXT
      UUGVGYAXTUUFEBXTYSKYKYTIUUFVGYKABCVIYTYKVJVKVMPXTUUEUUGRZYAXTUUBUUCUUHYRU
      UDEBJYCVLVAPVNJYDVOVPYBYOEFYDYDXTYKYDIZYLYDIZKZYOQYAXTUUKGNZYCLZYKVHZGBOZ
      HNZYCLZYLVHZHBOZKZYOXTUUBUUCUUKUUTRYRUUDUUCUUIUUOUUJUUSGBYKYCVLHBYLYCVLWD
      VAUUTUUNUURKZHBOGBOXTYOUUNUURGHBBVQXTUVAYOGHBBXTUULBIZUUPBIZKZKZYJUUMUUQU
      IZMZDYDOZUVAYOUVEUULUCNZASZUUPUVIASZKZUVHUCBXTUVBUVCUVLUCBOUCUULUUPABCVRV
      SUVEUVIBIZUVLKZKZUVIYCLZYDIZUVPUVFMZUVHXTUVMUVQUVDUVLXTUUCUVMUVQXTUUBUUCY
      RUUDVKBUVIYCURVTWAUVOEUVPUVFUVOYKUVPIZYKUUMIZYKUUQIZKZYKUVFIUVOUVIYKASZUU
      LYKASZUUPYKASZKZUVSUWBUVEUVMUVLUWCUWFQUVEUVMKUWCUVLUWFUVEUVMUWCUVLUWFQUVE
      UVMUWCKKUVJUWDUVKUWEXTUWCUVJUWDQZUVDUVMXTUWCUWGXTUVJUWCUWDXTUVJUWCUWDQQEX
      TYKTIZKZUVJUWCUWDUULUVIYKATWBWCWEWFVFWGXTUWCUVKUWEQZUVDUVMXTUWCUWJXTUVKUW
      CUWEXTUVKUWCUWEQQEUWIUVKUWCUWEUUPUVIYKATWBWCWEWFVFWGWHWIWFWJXTUVMUVSUWCRZ
      UVDUVLXTUVMUWHUWKEWKZUVIYKTABCWLWOWAUVEUWBUWFRUVNUVEUVTUWDUWAUWEXTUVBUVTU
      WDRZUVCXTUVBUWHUWMUWLUULYKTABCWLWOWMXTUVCUWAUWERZUVBXTUVCUWHUWNUWLUUPYKTA
      BCWLWOWNWDPWPYKUUMUUQXEWQWRUVGUVRDUVPYDYJUVPUVFWSWTXAXBUUNUVHYJYKUUQUIZMZ
      DYDOUURYOUUNUVGUWPDYDUUNUVFUWOYJUUMYKUUQXCXFXDUURUWPYNDYDUURUWOYMYJUUQYLY
      KXGXFXDXHXIXJXOXKPXLXMYBBTIZYEYGYQKRXTUWQYAXTBAXNTCAUAXPXQPEFDTBYDXRVKXS
      $.
  $}

  ${
    $d x y A $.  $d d f k m n t u v w x y z F $.  $d d f m t u v w x y z H $.
    $d x y B $.  $d d f t u v w z D $.  $d d f n t u v z X $.
    ${
      filnet.h $e |- H = U_ n e. F ( { n } X. n ) $.
      filnet.d $e |- D = { <. x , y >. |
          ( ( x e. H /\ y e. H ) /\ ( 1st ` y ) C_ ( 1st ` x ) ) } $.
      ${
        filnetlem1.a $e |- A e. _V $.
        filnetlem1.b $e |- B e. _V $.
        $( Lemma for ~ filnet .  Change variables.  (Contributed by Jeff
           Hankins, 13-Dec-2009.)  (Revised by Mario Carneiro, 8-Aug-2015.) $)
        filnetlem1 $p |- ( A D B <-> ( ( A e. H /\ B e. H ) /\
            ( 1st ` B ) C_ ( 1st ` A ) ) ) $=
          ( cv c1st cfv wss wceq fveq2 sseq2d sseq1d sylan9bb brab2a ) BMZNOZAM
          ZNOZPZDNOZCNOZPZABCDHHEUECQZUGUDUIPUCDQZUJUKUFUIUDUECNRSULUDUHUIUCDNR
          TUAJUB $.
      $}

      $( Lemma for ~ filnet .  The field of the direction.  (Contributed by
         Jeff Hankins, 13-Dec-2009.)  (Revised by Mario Carneiro,
         8-Aug-2015.) $)
      filnetlem2 $p |- ( ( _I |` H ) C_ D /\ D C_ ( H X. H ) ) $=
        ( vz cid cres wss cxp cv wbr idref wcel wa c1st cfv ssid vex filnetlem1
        mpbiran2 biimpri anidms mprgbir copab opabssxp eqsstri pm3.2i ) JFKCLZC
        FFMZLULINZUNCOZIFIFCPUNFQZUOUOUPUPRZUOUQUNSTZURLURUAABUNUNCDEFGHIUBZUSU
        CUDUEUFUGCANZFQBNZFQRVASTUTSTLZRABUHUMHVBABFFUIUJUK $.

      $( Lemma for ~ filnet .  (Contributed by Jeff Hankins, 13-Dec-2009.)
         (Revised by Mario Carneiro, 8-Aug-2015.) $)
      filnetlem3 $p |- ( H = U. U. D /\
        ( F e. ( Fil ` X ) -> ( H C_ ( F X. X ) /\ D e. DirRel ) ) ) $=
        ( vv vw vz cfv wcel wss wa cv c1st wbr cvv vu cuni wceq cfil cxp wi cdm
        cdir crn cun cid cres dmresi filnetlem2 dmss ax-mp eqsstrri ssun1 sstri
        simpli dmrnssfld simpri uniss mp2b unixpss unidm sseqtri eqssi csn ciun
        wral filelss xpss2 syl ralrimiva iunxpconst sseqtrdi eqsstrid wrel ccom
        ss2iun ccnv a1i relopabiv jctil wex c0 simpl adantr simprl sseldd xp1st
        cin wne simprr filinn0 syl3anc n0 sylib filin simpr opeliunxp2 sylanbrc
        cop id eleqtrrdi fvex inex1 vex op1st inss1 eqsstri filnetlem1 mpbiran2
        opex inss2 breq2 anbi12d spcev syl2anc exlimddv ralrimivva codir sylibr
        wal simplbi simpld simprd anim12i simprbi sylan9ssr ax-gen gen2 cotr wb
        mpbir filtop xpexg mpdan ssexd xpexd ssexg sylancr mpbir2and jca pm3.2i
        isdir ) FCUBZUBZUCEGUDMZNZFEGUEZOZCUHNZPUFFUUIFCUGZCUIZUJZUUIFUUOUUQFUK
        FULZUGZUUOFUMUURCOZUUSUUOOUUTCFFUEZOZABCDEFHIUNZUTZUURCUOUPUQUUOUUPURUS
        CVAUSUUIUVAUBZUBZFUVBUUHUVEOUUIUVFOUUTUVBUVCVBZCUVAVCUUHUVEVCVDUVFFFUJF
        FFVEFVFVGUSVHZUUKUUMUUNUUKFDEDQZVIZUVIUEZVJZUULHUUKUVLDEUVJGUEZVJZUULUU
        KUVKUVMOZDEVKUVLUVNOUUKUVODEUUKUVIENPUVIGOUVOUVIEGVLUVIGUVJVMVNVODEUVKU
        VMWAVNDEGVPVQVRZUUKUUNCVSZUUTPZCCVTCOZUVACWBCVTOZPZUUKUUTUVQUUTUUKUVDWC
        AQZFNBQZFNPUWCRMUWBRMOPABCIWDWEUUKUVTUVSUUKJQZKQZCSZLQZUWECSZPZKWFZLFVK
        JFVKUVTUUKUWJJLFFUUKUWDFNZUWGFNZPZPZUAQZUWDRMZUWGRMZWMZNZUWJUAUWNUWRWGW
        NZUWSUAWFUWNUUKUWPENZUWQENZUWTUUKUWMWHZUWNUWDUULNUXAUWNFUULUWDUUKUUMUWM
        UVPWIZUUKUWKUWLWJZWKUWDEGWLVNZUWNUWGUULNUXBUWNFUULUWGUXDUUKUWKUWLWOZWKU
        WGEGWLVNZUWPUWQEGWPWQUAUWRWRWSUWNUWSPZUWDUWRUWOXDZCSZUWGUXJCSZUWJUXIUWK
        UXJFNZUXKUWNUWKUWSUXEWIUXIUXJUVLFUXIUWRENZUWSUXJUVLNUWNUXNUWSUWNUUKUXAU
        XBUXNUXCUXFUXHUWPUWQEGWTWQWIUWNUWSXADEUVIUWRUWOUWRUVIUWRUCXEXBXCHXFZUXK
        UWKUXMPUXJRMZUWPOUXPUWRUWPUWRUWOUWPUWQUWDRXGXHUAXIXJZUWPUWQXKXLABUWDUXJ
        CDEFHIJXIZUWRUWOXOZXMXNXCUXIUWLUXMUXLUWNUWLUWSUXGWIUXOUXLUWLUXMPUXPUWQO
        UXPUWRUWQUXQUWPUWQXPXLABUWGUXJCDEFHILXIZUXSXMXNXCUWIUXKUXLPKUXJUXSUWEUX
        JUCUWFUXKUWHUXLUWEUXJUWDCXQUWEUXJUWGCXQXRXSXTYAYBJLKFFCYCYDUVSUWFUWEUWG
        CSZPZUWDUWGCSZUFZLYEZKYEJYEUYEJKUYDLUYBUWMUWQUWPOUYCUWFUWKUYAUWLUWFUWKU
        WEFNZUWFUWKUYFPZUWERMZUWPOZABUWDUWECDEFHIUXRKXIZXMZYFYGUYAUYFUWLUYAUYFU
        WLPZUWQUYHOZABUWEUWGCDEFHIUYJUXTXMZYFYHYIUYAUWFUWQUYHUWPUYAUYLUYMUYNYJU
        WFUYGUYIUYKYJYKABUWDUWGCDEFHIUXRUXTXMXCYLYMJKLCYNYPWEUUKCTNZUUNUVRUWAPY
        OUUKUVBUVATNUYOUVGUUKFFTTUUKFUULTUUKGENUULTNEGYQEGUUJEYRYSUVPYTZUYPUUAC
        UVATUUBUUCFCTUVHUUGVNUUDUUEUUF $.

      $( Lemma for ~ filnet .  (Contributed by Jeff Hankins, 15-Dec-2009.)
         (Revised by Mario Carneiro, 8-Aug-2015.) $)
      filnetlem4 $p |- ( F e. ( Fil ` X ) -> E. d e. DirRel E. f ( f : dom d
          --> X
       /\ F = ( ( X FilMap f ) ` ran ( tail ` d ) ) ) ) $=
        ( vk cfv wcel wceq wa wss wi cvv c0 vt vm vv cfil cdir cdm cv ctail crn
        cfm wex wrex cxp cuni filnetlem3 simpri simprd c2nd cres f2ndres simpld
        wf co fssres2 sylancr filtop xpexg mpdan ssexd simpli dirdm syl eqtr4id
        fexd feq2d mpbid cfg cima c1st wral cpw wfn wb eqid tailf mpbird adantr
        ffn imaeq2 rexrn 3syl wfun wfo fo2nd fofn ax-mp ssv fnssres mp2an fnfun
        sseq1d ffvelrnda elpwid ad2antrr sseqtrrd fndmi sseqtrrdi funimass4 wbr
        simpr eleqtrd vex a1i eltail syl3anc biantrurd anbi1d filnetlem1 bitr4d
        bitr4di imbi1d eleq1d bitri rexbidva csn ciun cop imbi12d weq wne sseq1
        op1std cfbas wn sylib ss0b syl2anc dmss eqeq2d anbi12d pm5.74i ralbidv2
        fvres impexp bitrdi bitrd op2ndd raliunxp sneq id xpeq12d cbviunv eqtri
        raleqi dfss3 imbi2i r19.21v bitr4i ralbii 3bitr4i rexbii rexeqi ralbidv
        sseq2d rexiunxp 3bitri fileln0 adantlr r19.9rzv ssid rspcv adantl sstr2
        mpii com12 ralrimivw impbid1 bitr3d syl5bb pm5.32da filn0 wo snnz jctil
        3bitrd neanior xpeq0 sylnibr ralrimiva r19.2z rexnal 3bitr3i necon3abii
        sseq1i iunss sylibr cid dmresi filnetlem2 eqsstrri dmxpid sseqtri eqssi
        tailfb elfm filfbas elfg 3bitr4d eqrdv fgfil eqtr2d oveq2 fveq1d spcegv
        jca feq1 sylc dmeq fveq2 rneqd fveq2d exbidv rspcev ) FHUDMZNZCUENZCUFZ
        HDUGZVBZFCUHMZUIZHUYHUJVCZMZOZPZDUKZIUGZUFZHUYHVBZFUYQUHMZUIZUYLMZOZPZD
        UKZIUEULUYEGFHUMZQZUYFGCUNUNZOZUYEVUGUYFPRZABCEFGHJKUOZUPZUQZUYEURGUSZS
        NUYGHVUNVBZFUYKHVUNUJVCZMZOZPZUYPUYEGHSVUNUYEVUFHURVUFUSVBVUGGHVUNVBZFH
        UTUYEVUGUYFVULVAZVUFHGURVDVEZUYEGVUFSUYEHFNZVUFSNFHVFZFHUYDFVGVHVVAVIVN
        UYEVUOVURUYEVUTVUOVVBUYEGUYGHVUNUYEGVUHUYGVUIVUJVUKVJUYEUYFUYGVUHOVUMCV
        KVLVMZVOVPUYEVUQHFVQVCZFUYEUAVUQVVFUYEUAUGZHQZVUNUYQVRZVVGQZIUYKULZPZVV
        HEUGZVVGQZEFULZPZVVGVUQNZVVGVVFNZUYEVVHVVKVVOUYEVVHPZVVKVUNUYHUYJMZVRZV
        VGQZDGULZUYQVSMZUYHVSMZQZUYQURMZVVGNZRZIGVTZDGULZVVOVVSGUYGWAZUYJVBZUYJ
        GWBVVKVWCWCUYEVWMVVHUYEVWMUYGVWLUYJVBZUYEUYFVWNVUMCUYGUYGWDZWEVLUYEGUYG
        VWLUYJVVEVOWFWGZGVWLUYJWHVVJVWBIDGUYJUYQVVTOVVIVWAVVGUYQVVTVUNWIXAWJWKV
        VSVWBVWJDGVVSUYHGNZPZVWBUYQVUNMZVVGNZIVVTVTZVWJVWRVUNWLZVVTVUNUFZQVWBVX
        AWCVUNGWBZVXBURSWBZGSQVXDSSURWMVXEWNSSURWOWPGWQSGURWRWSZGVUNWTWPVWRVVTG
        VXCVWRVVTUYGGVWRVVTUYGVVSGVWLUYHUYJVWPXBXCUYEGUYGOVVHVWQVVEXDZXEGVUNVXF
        XFXGIVVTVVGVUNXHVEVWRVWTVWIIVVTGVWRUYQVVTNZVWTRUYQGNZVWFPZVWTRZVXIVWIRZ
        VWRVXHVXJVWTVWRVXHUYHUYQCXIZVXJVWRUYFUYHUYGNUYQSNZVXHVXMWCUYEUYFVVHVWQV
        UMXDVWRUYHGUYGVVSVWQXJZVXGXKVXNVWRIXLZXMUYHUYQSCUYGVWOXNXOVWRVXJVWQVXIP
        ZVWFPVXMVWRVXIVXQVWFVWRVWQVXIVXOXPXQABUYHUYQCEFGJKDXLVXPXRXTXSYAVXKVXJV
        WHRVXLVXJVWTVWHVXIVWTVWHWCVWFVXIVWSVWGVVGUYQGURUUCYBWGUUAVXIVWFVWHUUDYC
        UUEUUBUUFYDVWKLUGZVVMQZVXRVVGQZRZLFVTZUBVVMULZEFULZVVSVVOVWKVXRVWEQZVXT
        RZLFVTZDGULVYGDEFVVMYEZVVMUMZYFZULVYDVWJVYGDGVWIILFVXRYEZVXRUMZYFZVTVYE
        UCUGZVVGNZRZUCVXRVTZLFVTVWJVYGVWIVYPILUCFVXRUYQVXRVYNYGOZVWFVYEVWHVYOVY
        RVWDVXRVWEVXRVYNUYQLXLZUCXLZYLXAVYRVWGVYNVVGVXRVYNUYQVYSVYTUUGYBYHUUHVW
        IIGVYMGVYJVYMJELFVYIVYLELYIZVYHVYKVVMVXRVVMVXRUUIWUAUUJUUKUULUUMUUNVYFV
        YQLFVYFVYEVYOUCVXRVTZRVYQVXTWUBVYEUCVXRVVGUUOUUPVYEVYOUCVXRUUQUURUUSUUT
        UVAVYGDGVYJJUVBVYGVYBDEUBFVVMUYHVVMUBUGZYGOZVYFVYALFWUDVYEVXSVXTWUDVWEV
        VMVXRVVMWUCUYHEXLZUBXLYLUVDYAUVCUVEUVFVVSVYCVVNEFVVSVVMFNZPZVYBVYCVVNWU
        GVVMTYJZVYBVYCWCUYEWUFWUHVVHVVMFHUVGZUVHVYBUBVVMUVIVLWUGVYBVVNWUFVYBVVN
        RVVSWUFVYBVVMVVMQZVVNVVMUVJVYAWUJVVNRLVVMFLEYIVXSWUJVXTVVNVXRVVMVVMYKVX
        RVVMVVGYKYHUVKUVNUVLVVNVYALFVXSVVNVXTVXRVVMVVGUVMUVOUVPUVQUVRYDUVSUWEUV
        TUYEVVCUYKGYMMNZVUTVVQVVLWCVVDUYEUYFGTYJZWUKVUMUYEVYITQZEFVTZYNZWULUYEW
        UMYNZEFULZWUOUYEFTYJWUPEFVTWUQFHUWAUYEWUPEFUYEWUFPZVYHTOVVMTOUWBZWUMWUR
        VYHTYJZWUHPWUSYNWURWUHWUTWUIVVMWUEUWCUWDVYHTVVMTUWFYOWUMVYITOWUSVYIYPVY
        HVVMUWGYCUWHUWIWUPEFUWJYQWUMEFUWKYOWUNGTGTQVYJTQGTOWUNGVYJTJUWNGYPEFVYI
        TUWOUWLUWMUWPCGGUYGGUWQGUSZUFZUYGGUWRWVACQZWVBUYGQWVCCGGUMZQZABCEFGJKUW
        SZVJWVACYRWPUWTUYGWVDUFZGWVEUYGWVGQWVCWVEWVFUPCWVDYRWPGUXAUXBUXCUXDYQVV
        BIVVGUYKFVUNHGUXEXOUYEFHYMMNVVRVVPWCFHUXFEVVGFHUXGVLUXHUXIFHUXJUXKUXOUY
        OVUSDVUNSUYHVUNOZUYIVUOUYNVURUYGHUYHVUNUXPWVHUYMVUQFWVHUYKUYLVUPUYHVUNH
        UJUXLUXMYSYTUXNUXQVUEUYPICUEUYQCOZVUDUYODWVIUYSUYIVUCUYNWVIUYRUYGHUYHUY
        QCUXRVOWVIVUBUYMFWVIVUAUYKUYLWVIUYTUYJUYQCUHUXSUXTUYAYSYTUYBUYCYQ $.
    $}

    $( A filter has the same convergence and clustering properties as some net.
       (Contributed by Jeff Hankins, 12-Dec-2009.)  (Revised by Mario Carneiro,
       8-Aug-2015.) $)
    filnet $p |- ( F e. ( Fil ` X ) -> E. d e. DirRel E. f ( f : dom d --> X
       /\ F = ( ( X FilMap f ) ` ran ( tail ` d ) ) ) ) $=
      ( vx vy vn cv csn cxp ciun wcel wa c1st cfv wss copab eqid filnetlem4 ) E
      FEHZGBGHZIUAJKZLFHZUBLMUCNOTNOPMEFQZAGBUBCDUBRUDRS $.
  $}

$( (End of Jeff Hankins's mathbox.) $)
$( End $[ set-mbox-jgh.mm $] $)


$( Begin $[ set-mbox-ah.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Anthony Hart
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Propositional Calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The first of three axioms in the Tarski-Bernays axiom system.
     (Contributed by Anthony Hart, 16-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  tb-ax1 $p |- ( ( ph -> ps ) -> ( ( ps -> ch ) -> ( ph -> ch ) ) ) $=
    ( imim1 ) ABCD $.

  $( The second of three axioms in the Tarski-Bernays axiom system.
     (Contributed by Anthony Hart, 16-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  tb-ax2 $p |- ( ph -> ( ps -> ph ) ) $=
    ( ax-1 ) ABC $.

  $( The third of three axioms in the Tarski-Bernays axiom system.

     This axiom, along with ~ ax-mp , ~ tb-ax1 , and ~ tb-ax2 , can be used to
     derive any theorem or rule that uses only ` -> ` .  (Contributed by
     Anthony Hart, 16-Aug-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  tb-ax3 $p |- ( ( ( ph -> ps ) -> ph ) -> ph ) $=
    ( peirce ) ABC $.

  ${
    tbsyl.1 $e |- ( ph -> ps ) $.
    tbsyl.2 $e |- ( ps -> ch ) $.
    $( The weak syllogism from Tarski-Bernays'.  (Contributed by Anthony Hart,
       16-Aug-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    tbsyl $p |- ( ph -> ch ) $=
      ( wi tb-ax1 ax-mp ) BCFZACFZEABFIJFDABCGHH $.
  $}

  $( Lemma for ~ re1ax2 .  (Contributed by Anthony Hart, 16-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  re1ax2lem $p |- ( ( ph -> ( ps -> ch ) ) -> ( ps -> ( ph -> ch ) ) ) $=
    ( wi tb-ax2 tb-ax1 tbsyl tb-ax3 mpsyl ) BBCDZCDZDAJDKACDZDBLDBJKDZKBJBDMBJE
    JBCFGMKCDKDKJKCFKCHGGAJCFBKLFI $.

  $( ~ ax-2 rederived from the Tarski-Bernays axiom system.  Often ~ tb-ax1 is
     replaced with this theorem to make a "standard" system.  This is because
     this theorem is easier to work with, despite it being longer.
     (Contributed by Anthony Hart, 16-Aug-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  re1ax2 $p |-
              ( ( ph -> ( ps -> ch ) ) -> ( ( ph -> ps ) -> ( ph -> ch ) ) ) $=
    ( wi re1ax2lem tb-ax1 tb-ax3 tbsyl ax-mp mpsyl ) ABCDDBACDZDZABDZKDZABCEAKD
    ZKDZLMODZNOKCDKDKAKCFKCGHMLODDLQDABKFMLOEIQPNDDPQNDDMOKFQPNEIJH $.

  $( Constructor theorem for ` -/\ ` .  (Contributed by Anthony Hart,
     1-Sep-2011.) $)
  naim1 $p |- ( ( ph -> ps ) -> ( ( ps -/\ ch ) -> ( ph -/\ ch ) ) ) $=
    ( wi wn wo wnan con3 orim1d wa pm3.13 pm3.14 imim12i df-nan 3imtr4g syl ) A
    BDZBEZCEZFZAEZSFZDZBCGZACGZDQRUASABHIUCBCJEZACJEZUDUEUFTUBUGBCKACLMBCNACNOP
    $.

  $( Constructor theorem for ` -/\ ` .  (Contributed by Anthony Hart,
     1-Sep-2011.) $)
  naim2 $p |- ( ( ph -> ps ) -> ( ( ch -/\ ps ) -> ( ch -/\ ph ) ) ) $=
    ( wi wn wo wnan con3 orim2d wa pm3.13 pm3.14 imim12i df-nan 3imtr4g syl ) A
    BDZCEZBEZFZRAEZFZDZCBGZCAGZDQSUARABHIUCCBJEZCAJEZUDUEUFTUBUGCBKCALMCBNCANOP
    $.

  ${
    naim1i.1 $e |- ( ph -> ps ) $.
    naim1i.2 $e |- ( ps -/\ ch ) $.
    $( Constructor rule for ` -/\ ` .  (Contributed by Anthony Hart,
       2-Sep-2011.) $)
    naim1i $p |- ( ph -/\ ch ) $=
      ( wi wnan naim1 mp2 ) ABFBCGACGDEABCHI $.
  $}

  ${
    naim2i.1 $e |- ( ph -> ps ) $.
    naim2i.2 $e |- ( ch -/\ ps ) $.
    $( Constructor rule for ` -/\ ` .  (Contributed by Anthony Hart,
       2-Sep-2011.) $)
    naim2i $p |- ( ch -/\ ph ) $=
      ( wi wnan naim2 mp2 ) ABFCBGCAGDEABCHI $.
  $}

  ${
    naim12i.1 $e |- ( ph -> ps ) $.
    naim12i.2 $e |- ( ch -> th ) $.
    naim12i.3 $e |- ( ps -/\ th ) $.
    $( Constructor rule for ` -/\ ` .  (Contributed by Anthony Hart,
       2-Sep-2011.) $)
    naim12i $p |- ( ph -/\ ch ) $=
      ( naim1i naim2i ) CDAFABDEGHI $.
  $}

  ${
    nabi1i.1 $e |- ( ph <-> ps ) $.
    nabi1i.2 $e |- ( ps -/\ ch ) $.
    $( Constructor rule for ` -/\ ` .  (Contributed by Anthony Hart,
       2-Sep-2011.) $)
    nabi1i $p |- ( ph -/\ ch ) $=
      ( wnan bicomi nanbi1i mpbi ) BCFACFEBACABDGHI $.
  $}

  ${
    nabi2i.1 $e |- ( ph <-> ps ) $.
    nabi2i.2 $e |- ( ch -/\ ps ) $.
    $( Constructor rule for ` -/\ ` .  (Contributed by Anthony Hart,
       2-Sep-2011.) $)
    nabi2i $p |- ( ch -/\ ph ) $=
      ( wnan bicomi nanbi2i mpbi ) CBFCAFEBACABDGHI $.
  $}

  ${
    nabi12i.1 $e |- ( ph <-> ps ) $.
    nabi12i.2 $e |- ( ch <-> th ) $.
    nabi12i.3 $e |- ( ps -/\ th ) $.
    $( Constructor rule for ` -/\ ` .  (Contributed by Anthony Hart,
       2-Sep-2011.) $)
    nabi12i $p |- ( ph -/\ ch ) $=
      ( nabi1i nabi2i ) CDAFABDEGHI $.
  $}

  $( The double nand. $)
  w3nand $a wff ( ph -/\ ps -/\ ch ) $.

  $( The double nand.  This definition allows us to express the input of three
     variables only being false if all three are true.  (Contributed by Anthony
     Hart, 2-Sep-2011.) $)
  df-3nand $a |- ( ( ph -/\ ps -/\ ch ) <-> ( ph -> ( ps -> -. ch ) ) ) $.

  $( The double nand expressed in terms of pure nand.  (Contributed by Anthony
     Hart, 2-Sep-2011.) $)
  df3nandALT1 $p |- ( ( ph -/\ ps -/\ ch ) <->
                            ( ph -/\ ( ( ps -/\ ch ) -/\ ( ps -/\ ch ) ) ) ) $=
    ( wn wi wnan wa w3nand iman biimpi jca biimpri adantl impbii df-nan anbi12i
    imnan bitr4i imbi2i 3bitr4i anbi2i notbii df-3nand ) ABCDEZEZABCFZUFFZGZDZA
    BCHAUGFAUFUFGZEAUJDZGZDUEUIAUJIUDUJAUDBCGDZUMGZUJUDUNUDUMUMUDUMBCQZJZUPKUMU
    DUMUDUMUOLMNUFUMUFUMBCOZUQPRSUHULUGUKAUFUFOUAUBTABCUCAUGOT $.

  $( The double nand expressed in terms of negation and and not.  (Contributed
     by Anthony Hart, 13-Sep-2011.) $)
  df3nandALT2 $p |- ( ( ph -/\ ps -/\ ch ) <-> -. ( ph /\ ps /\ ch ) ) $=
    ( w3nand wn wi wa w3a df-3nand imnan imbi2i 3anass xchbinxr 3bitri ) ABCDAB
    CEFZFABCGZEZFZABCHZEABCIOQABCJKRAPGSAPJABCLMN $.

  $( Double and in terms of double nand.  (Contributed by Anthony Hart,
     2-Sep-2011.) $)
  andnand1 $p |- ( ( ph /\ ps /\ ch ) <->
                         ( ( ph -/\ ps -/\ ch ) -/\ ( ph -/\ ps -/\ ch ) ) ) $=
    ( w3a wn wi w3nand wnan wa 3anass pm4.63 anbi2i annim 3bitr2i notbii nannot
    df-3nand ) ABCDZABCEFZFZEZABCGZEUBUBHRABCIZIASEZIUAABCJUDUCABCKLASMNUBTABCQ
    OUBPN $.

  $( An ` -> ` nand relation.  (Contributed by Anthony Hart, 2-Sep-2011.) $)
  imnand2 $p |- ( ( -. ph -> ps ) <-> ( ( ph -/\ ph ) -/\ ( ps -/\ ps ) ) ) $=
    ( wn wa wnan wi nannot anbi12i notbii iman df-nan 3bitr4i ) ACZBCZDZCAAEZBB
    EZDZCMBFPQEORMPNQAGBGHIMBJPQKL $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Predicate Calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Not all sets hold ` F. ` as true.  (Contributed by Anthony Hart,
     13-Sep-2011.) $)
  nalfal $p |- -. A. x F. $=
    ( wfal wal wn alfal falim sps mt2 ) BACBDACZAEBIDZAJFGH $.

  $( There does not exist a set such that ` T. ` is not true.  (Contributed by
     Anthony Hart, 13-Sep-2011.) $)
  nexntru $p |- -. E. x -. T. $=
    ( wtru wn tru notnoti nex ) BCABDEF $.

  $( There does not exist a set such that ` F. ` is true.  (Contributed by
     Anthony Hart, 13-Sep-2011.) $)
  nexfal $p |- -. E. x F. $=
    ( wfal fal nex ) BACD $.

  $( There does not exist exactly one set such that ` F. ` is true.
     (Contributed by Anthony Hart, 13-Sep-2011.) $)
  neufal $p |- -. E! x F. $=
    ( wfal weu wex nexfal euex mto ) BACBADAEBAFG $.

  $( There does not exist exactly one set such that ` T. ` is true.
     (Contributed by Anthony Hart, 13-Sep-2011.) $)
  neutru $p |- -. E! x T. $=
    ( wtru weu wn wex nexntru eunex mto ) BACBDAEAFBAGH $.

  $( There does not exist at most one set such that ` T. ` is true.
     (Contributed by Anthony Hart, 13-Sep-2011.) $)
  nmotru $p |- -. E* x T. $=
    ( wtru wmo wex weu wi wn extru neutru jcn mp2 moeu mtbir ) BACBADZBAEZFZNOG
    PGAHAINOJKBALM $.

  $( There exist at most one set such that ` F. ` is true.  (Contributed by
     Anthony Hart, 13-Sep-2011.) $)
  mofal $p |- E* x F. $=
    ( wfal wex wmo nexfal exmo mtpor ) BACBADAEBAFG $.

  ${
    nrmo.1 $e |- ( x e. A -> -. ph ) $.
    $( "At most one" restricted existential quantifier for a statement which is
       never true.  (Contributed by Thierry Arnoux, 27-Nov-2023.) $)
    nrmo $p |- E* x e. A ph $=
      ( wrmo cv wcel wa wmo wfal mofal wn imori ianor mpbir bifal mobii df-rmo
      wo ) ABCEBFCGZAHZBIZUBJBIBKUAJBUAUALTLALZSTUCDMTANOPQOABCRO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellaneous single axioms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( A single axiom for propositional calculus discovered by C. A. Meredith.
     (Contributed by Anthony Hart, 13-Aug-2011.) $)
  meran1 $p |- ( -. ( -. ( -. ph \/ ps ) \/ ( ch \/ ( th \/ ta ) ) ) \/
                          ( -. ( -. th \/ ph ) \/ ( ch \/ ( ta \/ ph ) ) ) ) $=
    ( wn wo wi orc olc imim1i pm2.24 idd jaod com12 pm1.5 imor 3imtr3i orim2i
    ja pm2.3 pm2.21 jcn imim12i pm2.43d con4d 4syl 3syl 3imtr4i syl2im imori )
    AFZBGZFCDEGZGZGZDFZAGZFCEAGZGZGZUMUOHZURUTHUPVAVBABHZUOHZURDAHZUTVCUMUOABUM
    ULBIBULJTKDURADUQAADALDAMNOVCFZUOGZVEFZUTGZVDVEUTHVGCVFUNGZGCVHUSGZGVIVFCUN
    PVJVKCVJVFEDGGEVFDGZGEVHAGZGVKVFDEUAVFEDPVLVMEVCDHZVEAHVLVMVNAVEVNULVHULVCD
    ULVHHABUBDAUCUDUEUFVCDQVEAQRSEVHAPUGSCVHUSPUHVCUOQVEUTQUIUJUMUOQURUTQRUK $.

  $( A single axiom for propositional calculus discovered by C. A. Meredith.
     (Contributed by Anthony Hart, 13-Aug-2011.) $)
  meran2 $p |- ( -. ( -. ( -. ph \/ ps ) \/ ( ch \/ ( th \/ ta ) ) ) \/
                          ( -. ( -. ta \/ th ) \/ ( ch \/ ( ph \/ th ) ) ) ) $=
    ( wn wo meran1 imorri syl imori ) AFBGFCDEGGGZEFDGFCADGGGZLDFAGFCEAGGGZMLNA
    BCDEHINMDACEAHIJK $.

  $( A single axiom for propositional calculus discovered by C. A. Meredith.
     (Contributed by Anthony Hart, 13-Aug-2011.) $)
  meran3 $p |- ( -. ( -. ( -. ph \/ ps ) \/ ( ch \/ ( th \/ ta ) ) ) \/
                          ( -. ( -. ch \/ ph ) \/ ( ta \/ ( th \/ ph ) ) ) ) $=
    ( wn wo wi pm2.3 imim2i pm1.5 syl6 imor 3imtr3i meran1 imorri syl imori ) A
    FBGZFZCDEGGZGZCFAGFEDAGGGZUBTECDGGZGZUCSUAHZSUDHUBUEUFSCEDGGZUDUAUGSCDEIJCE
    DKLSUAMSUDMNUEUCABECDOPQR $.

  $( A single axiom for propositional calculus discovered by Mordchaj Wajsberg
     (Logical Works, Polish Academy of Sciences, 1977).  See:  Fitelson, _Some
     recent results in algebra and logical calculi obtained using automated
     reasoning_, 2003 (axiom W on slide 8).  (Contributed by Anthony Hart,
     13-Aug-2011.) $)
  waj-ax $p |- ( ( ph -/\ ( ps -/\ ch ) ) -/\ ( ( ( th -/\ ch ) -/\
      ( ( ph -/\ th ) -/\ ( ph -/\ th ) ) ) -/\ ( ph -/\ ( ph -/\ ps ) ) ) ) $=
    ( wnan wa wi nannan simpr imim2i pm2.27 anim2d expdimp syl5com con3d df-nan
    wn 3imtr4g nanim sylib pm3.21 adantr com12 a2i sylibr jca sylbi mpbir ) ABC
    EEZDCEZADEZUKEEZAABEEZEEUIULUMFZGUIABCFZGZUNABCHUPULUMUPUJUKGULUPDCFZQADFZQ
    UJUKUPURUQUPACGZURUQUOCABCIJADUSUQAUSCDACKLMNODCPADPRUJUKSTUPAABFZGZUMAUOUT
    UOAUTBVACBAUAUBUCUDAABHUEUFUGUIULUMHUH $.

  $( A single axiom for propositional calculus discovered by Jan Lukasiewicz.
     See:  Fitelson, _Some recent results in algebra and logical calculi
     obtained using automated reasoning_, 2003 (axiom L2 on slide 8).
     (Contributed by Anthony Hart, 14-Aug-2011.) $)
  lukshef-ax2 $p |- ( ( ph -/\ ( ps -/\ ch ) ) -/\ ( ( ph -/\ ( ch -/\ ph ) )
           -/\ ( ( th -/\ ps ) -/\ ( ( ph -/\ th ) -/\ ( ph -/\ th ) ) ) ) ) $=
    ( wnan wa wi nannan biimpi simpr imim2i simpl pm2.27 anim2d expdimp syl5com
    ancr anim1i wn df-nan syl2anc con3 3imtr4g biimpri nanim anim12i 4syl mpbir
    anim2i ) ABCEEZACAEEZDBEZADEZUMEEZEEUJUKUNFZGUJABCFZGZACAFGZADFZDBFZGZFZURU
    LUMGZFUOUJUQABCHIUQACGZVAVBUPCABCJKUQABGZUSUTUPBABCLKADVEUTAVEBDABMNOPVDURV
    AACQRUAVAVCURVAUTSUSSULUMUSUTUBDBTADTUCUIURUKVCUNUKURACAHUDVCUNULUMUEIUFUGU
    JUKUNHUH $.

  $( A single axiom for propositional calculus discovered by Ken Harris and
     Branden Fitelson.  See:  Fitelson, _Some recent results in algebra and
     logical calculi obtained using automated reasoning_, 2003 (axiom HF1 on
     slide 8).  (Contributed by Anthony Hart, 14-Aug-2011.) $)
  arg-ax $p |- ( ( ph -/\ ( ps -/\ ch ) ) -/\ ( ( ph -/\ ( ps -/\ ch ) )
           -/\ ( ( th -/\ ch ) -/\ ( ( ch -/\ th ) -/\ ( ph -/\ th ) ) ) ) ) $=
    ( wnan wa wi wn df-nan pm4.57 com12 pm3.45 anim12i jaob 3imtr4i syl6 syl5bi
    wo biimpri nannan orel2 simpr a1i jad syl pm3.22 con1d ancli mpbir ) ABCEEZ
    UJDCEZCDEZADEZEEZEEUJUJUNFGUJUNABCFZGZUKULUMFZGUJUNUKDCFZHZUPUQDCIUPUSCDFZH
    ZADFZHZFZUQUPVDURVDHUTVBRZUPURUTVBJUPVEUTURUPCARZCGZVEUTGZVFUPCVFAUOCAHVFCA
    CUAKUOCGVFBCUBUCUDKCCGZACGZFUTUTGZVBUTGZFVGVHVIVKVJVLCCDLACDLMCCANUTUTVBNOU
    ECDUFPQUGVAULVCUMULVACDISUMVCADISMPQABCTUKULUMTOUHUJUJUNTUI $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Connective Symmetry
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( In the paper "On Variable Functors of Propositional Arguments",
     Lukasiewicz introduced a system that can handle variable connectives.
     This was done by introducing a variable, marked with a lowercase delta,
     which takes a wff as input.  In the system, "delta ` ph ` " means that
     "something is true of ` ph ` ".  The expression "delta ` ph ` " can be
     substituted with ` -. ph ` , ` ps /\ ph ` , ` A. x ph ` , etc.

     Later on, Meredith discovered a single axiom, in the form of ` ( ` delta
     delta ` F. -> ` delta ` ph ` ` ) ` .  This represents the shortest theorem
     in the extended propositional calculus that cannot be derived as an
     instance of a theorem in propositional calculus.

     A symmetry with ` -. ` .  (Contributed by Anthony Hart, 4-Sep-2011.) $)
  negsym1 $p |- ( -. -. F. -> -. ph ) $=
    ( wfal wn fal pm2.24i ) BCACDE $.

  $( A symmetry with ` -> ` .

     See ~ negsym1 for more information.  (Contributed by Anthony Hart,
     4-Sep-2011.) $)
  imsym1 $p |- ( ( ps -> ( ps -> F. ) ) -> ( ps -> ph ) ) $=
    ( wfal wi pm2.21 falim imim2i ja ) BBCDBADBAECABAFGH $.

  $( A symmetry with ` <-> ` .

     See ~ negsym1 for more information.  (Contributed by Anthony Hart,
     4-Sep-2011.) $)
  bisym1 $p |- ( ( ps <-> ( ps <-> F. ) ) -> ( ps <-> ph ) ) $=
    ( wfal wb wn nbfal bibi2i pm5.19 pm2.21i sylbir ) BBCDZDBBEZDZBADZLKBBFGMNB
    HIJ $.

  $( A symmetry with ` /\ ` .

     See ~ negsym1 for more information.  (Contributed by Anthony Hart,
     4-Sep-2011.) $)
  consym1 $p |- ( ( ps /\ ( ps /\ F. ) ) -> ( ps /\ ph ) ) $=
    ( wfal wa wi falim ad2antll pm2.43i ) BBCDDZBADZCIJEZBBKFGH $.

  $( A symmetry with ` \/ ` .

     See ~ negsym1 for more information.  (Contributed by Anthony Hart,
     4-Sep-2011.) $)
  dissym1 $p |- ( ( ps \/ ( ps \/ F. ) ) -> ( ps \/ ph ) ) $=
    ( wo wfal orc falim orim2i jaoi ) BBACBDCBAEDABAFGH $.

  $( A symmetry with ` -/\ ` .

     See ~ negsym1 for more information.  (Contributed by Anthony Hart,
     4-Sep-2011.) $)
  nandsym1 $p |- ( ( ps -/\ ( ps -/\ F. ) ) -> ( ps -/\ ph ) ) $=
    ( wfal wnan wa wn df-nan biimpi anbi2i sylnib simpl fal intnan jctir sylibr
    nsyl ) BBCDZDZBAEZFBADRBBCEFZEZSRBQEZUARUBFBQGHQTBBCGIJSBTBAKCBLMNPBAGO $.

  $( A symmetry with ` A. ` .

     See ~ negsym1 for more information.  (Contributed by Anthony Hart,
     4-Sep-2011.)  (Proof shortened by Mario Carneiro, 11-Dec-2016.) $)
  unisym1 $p |- ( A. x A. x F. -> A. x ph ) $=
    ( wfal wal falim sps ) CBDABDZBCGBGEFF $.

  $( A symmetry with ` E. ` .

     See ~ negsym1 for more information.  (Contributed by Anthony Hart,
     4-Sep-2011.) $)
  exisym1 $p |- ( E. x E. x F. -> E. x ph ) $=
    ( wfal wex nfe1 falim eximi exlimi ) CBDABDBABECABAFGH $.

  $( A symmetry with ` E! ` .

     See ~ negsym1 for more information.  (Contributed by Anthony Hart,
     6-Sep-2011.) $)
  unqsym1 $p |- ( E! x E! x F. -> E! x ph ) $=
    ( wfal weu wex neufal nex euex mto pm2.21i ) CBDZBDZABDLKBEKBBFGKBHIJ $.

  $( A symmetry with ` E* ` .

     See ~ negsym1 for more information.  (Contributed by Anthony Hart,
     13-Sep-2011.) $)
  amosym1 $p |- ( E* x E* x F. -> E* x ph ) $=
    ( wfal wmo wex weu wi moeu wn mofal 19.8a notnotd ax-mp pm2.21i notnoti nex
    eunex mto ja sylbi ) CBDZBDUABEZUABFZGABDZUABHUBUCUDUBIZUDUAUEIBJZUAUBUABKL
    MNUCUDUCUAIZBEUGBUAUFOPUABQRNST $.

  $( A symmetry with ` [ x / y ] ` .

     See ~ negsym1 for more information.  (Contributed by Anthony Hart,
     11-Sep-2011.) $)
  subsym1 $p |- ( [ y / x ] [ y / x ] F. -> [ y / x ] ph ) $=
    ( wfal wsb weq wi wa wex fal intnan nex dfsb1 mtbir pm2.21i ) DBCEZBCEZABCE
    QBCFZPGZRPHZBIZHUASTBPRPRDGZRDHZBIZHUDUBUCBDRJKLKDBCMNKLKPBCMNO $.

$( (End of Anthony Hart's mathbox.) $)
$( End $[ set-mbox-ah.mm $] $)


$( Begin $[ set-mbox-ch.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Chen-Pang He
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ordinal topology
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d B x y $.
    $( An ordinal number is a topological basis.  (Contributed by Chen-Pang He,
       8-Oct-2015.) $)
    ontopbas $p |- ( B e. On -> B e. TopBases ) $=
      ( vx vy con0 wcel cv cin wral ctb wa onelon anim12dan ex onin syl6 anc2ri
      wss wi inss1 jctl adantr a1i ontr2 syl6c ralrimivv fiinbas mpdan ) ADEZBF
      ZCFZGZAEZCAHBAHAIEUHULBCAAUHUIAEZUJAEZJZUKDEZUHJUKUIQZUMJZULUHUOUPUHUOUID
      EZUJDEZJZUPUHUOVAUHUMUSUNUTAUIKAUJKLMUIUJNOPUOURRUHUMURUNUMUQUIUJSTUAUBUK
      UIAUCUDUEBCADUFUG $.
  $}

  $( The class of ordinal numbers is a subclass of the class of topological
     bases.  (Contributed by Chen-Pang He, 8-Oct-2015.) $)
  onsstopbas $p |- On C_ TopBases $=
    ( vx con0 ctb cv ontopbas ssriv ) ABCADEF $.

  $( The class of ordinal numbers is a proper subclass of the class of
     topological bases.  (Contributed by Chen-Pang He, 9-Oct-2015.) $)
  onpsstopbas $p |- On C. TopBases $=
    ( con0 ctb wss c0 csn wcel wn wa wpss onsstopbas ctop indistop topbas ax-mp
    cpr wi snex prid2 snsn0non mp2 jcn onelon ex mto pm3.2i ssnelpss ) ABCDDEZE
    ZOZBFZUIAFZGZHABIJUJULUIKFUJUHLUIMNUKUHUIFZUHAFZPZUMUNGUOGDUHUGQRSUMUNUATUK
    UMUNUIUHUBUCUDUEABUIUFT $.

  ${
    $d B x $.
    $( The topology generated from an ordinal number ` B ` is ` suc U. B ` .
       (Contributed by Chen-Pang He, 10-Oct-2015.) $)
    ontgval $p |- ( B e. On -> ( topGen ` B ) = suc U. B ) $=
      ( vx con0 wcel ctg cfv cuni csuc cv wa wss cpw cin wceq eltg4i cvv inex1g
      syl jctird wi onss ssinss1 ssonuni eleq1 biimprd syl2imc suceloni tg1 a1i
      sylc onuni sucidg ontr2 syl6c elsuci word eloni orduniss bastg sstrd ssid
      wo sseld eltg3i mpan2 eleq1a jaod syl5 impbid eqrdv ) ACDZBAEFZAGZHZVKBIZ
      VLDZVOVNDZVKVPVOCDZVNCDZJVOVMKZVMVNDZJVQVKVPVRVSVPVOAVOLZMZGZNZVKWDCDZVRV
      OAOVKWCPDWCCKZWFAWBCQVKACKWGAUAAWBCUBRWCPUCUJWEVRWFVOWDCUDUEUFVKVMCDZVSAU
      KZVMUGRSVKVPVTWAVPVTTVKVOAUHUIVKWHWAWIVMCULRSVOVMVNUMUNVQVOVMDZVOVMNZVBVK
      VPVOVMUOVKWJVPWKVKVMVLVOVKVMAVLVKAUPVMAKAUQAURRACUSUTVCVKVMVLDZWKVPTVKAAK
      WLAVAAACVDVEVMVLVOVFRVGVHVIVJ $.
  $}

  $( The topology generated from a successor ordinal number is itself.
     (Contributed by Chen-Pang He, 11-Oct-2015.) $)
  ontgsucval $p |- ( A e. On -> ( topGen ` suc A ) = suc A ) $=
    ( con0 wcel csuc ctg cuni wceq suceloni ontgval eloni ordunisuc suceq eqtrd
    cfv syl word ) ABCZADZENZRFZDZRQRBCSUAGAHRIOQTAGZUARGQAPUBAJAKOTALOM $.

  $( A successor ordinal number is a topology.  (Contributed by Chen-Pang He,
     11-Oct-2015.) $)
  onsuctop $p |- ( A e. On -> suc A e. Top ) $=
    ( con0 wcel csuc ctg ctop ontgsucval suceloni ontopbas tgcl 3syl eqeltrrd
    cfv ctb ) ABCZADZEMZPFAGOPBCPNCQFCAHPIPJKL $.

  $( One of the topologies on an ordinal number is its successor.  (Contributed
     by Chen-Pang He, 7-Nov-2015.) $)
  onsuctopon $p |- ( A e. On -> suc A e. ( TopOn ` A ) ) $=
    ( con0 wcel csuc ctop cuni wceq ctopon onsuctop word eloni ordunisuc eqcomd
    cfv syl istopon sylanbrc ) ABCZADZECASFZGZSAHNCAIRAJZUAAKUBTAALMOASPQ $.

  ${
    ordtoplem.1 $e |- ( U. A e. On -> suc U. A e. S ) $.
    $( Membership of the class of successor ordinals.  (Contributed by
       Chen-Pang He, 1-Nov-2015.) $)
    ordtoplem $p |- ( Ord A -> ( A =/= U. A -> A e. S ) ) $=
      ( cuni wne wceq wn word wcel df-ne con0 csuc wo ordeleqon eqcomi id unieq
      unon 3eqtr4a ord orim2i sylbi orcomd orduniorsuc onuni eleq1a 3syl syl5bi
      wi syl6c ) AADZEAUKFZGZAHZABIZAUKJUNUMAKIZAUKLZFZUOUNULUPUNUPULUNUPAKFZMU
      PULMANUSULUPUSKKDZAUKUTKROUSPAKQSUAUBUCTUNULURAUDTUPUKKIUQBIURUOUIAUECUQB
      AUFUGUJUH $.
  $}

  $( An ordinal is a topology iff it is not its supremum (union), proven
     without the Axiom of Regularity.  (Contributed by Chen-Pang He,
     1-Nov-2015.) $)
  ordtop $p |- ( Ord J -> ( J e. Top <-> J =/= U. J ) ) $=
    ( word ctop wcel cuni wne eqid topopn nordeq syl5 onsuctop ordtoplem impbid
    ex ) ABZACDZAAEZFZPQADZORAQQGHOSRAQINJACQKLM $.

  ${
    $d A x $.
    onsucconni.1 $e |- A e. On $.
    $( A successor ordinal number is a connected topology.  (Contributed by
       Chen-Pang He, 16-Oct-2015.) $)
    onsucconni $p |- suc A e. Conn $=
      ( vx csuc cconn wcel c0 wss con0 wa wceq wo wi oneli wne on0eln0 necon1bd
      wn biimprd syl ctop ccld cfv cin cpr onsuctop ax-mp elin cdif elsuci cuni
      onunisuci eqcomi cldopn onsuci elndif ssdif0 onssneli sylbir syl56 sylcom
      con2d orim1d impcom vex elpr sylibr syl2an sylbi ssriv isconn2 mpbir2an
      cv ) ADZEFVNUAFZVNVNUBUCZUDZGAUEZHAIFVOBAUFUGCVQVRCVMZVQFVSVNFZVSVPFZJVSV
      RFZVSVNVPUHVTVSAFZVSAKZLZAVSUIZVNFZWBWAVSAUJVSVNAVNUKAABULUMZUNWEWGJVSGKZ
      WDLZWBWGWEWJWGWCWIWDWGWFIFZWCWIMVNWFABUONWKWCGVSFZRWIWKWLWCWLGWFFZRWKWFGK
      ZWCRZGVSAUPWKWMWFGWKWMWFGOWFPSQWNAVSHWOAVSUQAVSBURUSUTVBWCWLVSGWCVSIFZVSG
      OZWLMAVSBNWPWLWQVSPSTQVATVCVDVSGACVEVFVGVHVIVJVNAWHVKVL $.
  $}

  $( A successor ordinal number is a connected topology.  (Contributed by
     Chen-Pang He, 16-Oct-2015.) $)
  onsucconn $p |- ( A e. On -> suc A e. Conn ) $=
    ( con0 wcel csuc cconn cif wceq suceq eleq1d 0elon elimel onsucconni dedth
    c0 ) ABCZADZECOANFZDZECANAQGPREAQHIQANBJKLM $.

  $( An ordinal topology is connected.  (Contributed by Chen-Pang He,
     1-Nov-2015.) $)
  ordtopconn $p |- ( Ord J -> ( J e. Top <-> J e. Conn ) ) $=
    ( word ctop wcel cuni wne ordtop onsucconn ordtoplem sylbid conntop impbid1
    cconn ) ABZACDZAMDZNOAAEZFPAGAMQHIJAKL $.

  $( An ordinal topology is connected, expressed in constants.  (Contributed by
     Chen-Pang He, 16-Oct-2015.) $)
  onintopssconn $p |- ( On i^i Top ) C_ Conn $=
    ( vx con0 ctop cin cconn cv wcel wa elin word wb eloni ordtopconn syl sylbi
    biimpa ssriv ) ABCDZEAFZRGSBGZSCGZHSEGZSBCITUAUBTSJUAUBKSLSMNPOQ $.

  ${
    $d A o x y $.
    $( A successor ordinal number is a T_0 space.  (Contributed by Chen-Pang
       He, 8-Nov-2015.) $)
    onsuct0 $p |- ( A e. On -> suc A e. Kol2 ) $=
      ( vx vo vy con0 wcel csuc wel wb wral wi word cv wa wal ordelon wn ancoms
      wss syl ct0 weq eloni df-ral anim12dan ordsuc sylbi adantr ontri1 onsssuc
      ex notbi bitr3d adantrr adantrl bibi12d syl5bb biimpd syl6an a2d ordelord
      ordelss ordsucsssuc syldan mpbid ssneld jcad pm5.21 idd jad alimdv syl5bi
      syl6 syld dfcleq suc11 bitr3id sylibd ralrimivva ctopon onsuctopon ist0-2
      wceq cfv mpbird ) AEFZAGZUAFZBCHZDCHZIZCWGJZBDUBZKZDAJBAJZWFALZWOAUCWPWNB
      DAAWPBMZAFZDMZAFZNZNZWLCMZWQGZFZXCWSGZFZIZCOZWMWLXCWGFZWKKZCOXBXIWKCWGUDX
      BXKXHCXBXKXJXHKXHXBXJWKXHXBWQEFZWSEFZNZXJXCEFZWKXHKWPWRXLWTXMAWQPAWSPUEZW
      PXJXOKZXAWPWGLZXQAUFXRXJXOWGXCPUKUGUHXNXONZWKXHWKWIQZWJQZIZXSXHWIWJULXOXN
      YBXHIXOXNNXTXEYAXGXOXLXTXEIXMXOXLNXCWQSXTXEXCWQUIXCWQUJUMUNXOXMYAXGIXLXOX
      MNXCWSSYAXGXCWSUIXCWSUJUMUOUPRUQURUSUTXBXJXHXHXBXJQZXEQZXGQZNXHXBYCYDYEWP
      WRYCYDKWTWPWRNZXDWGXCYFWQASZXDWGSZAWQVBWPWRWQLZYGYHIZAWQVAYIWPYJWQAVCRVDV
      EVFUNWPWTYCYEKWRWPWTNZXFWGXCYKWSASZXFWGSZAWSVBWPWTWSLZYLYMIZAWSVAYNWPYOWS
      AVCRVDVEVFUOVGXEXGVHVMXBXHVIVJVNVKVLXBXNXIWMIXPXIXDXFWCXNWMCXDXFVOWQWSVPV
      QTVRVSTWFWGAVTWDFWHWOIAWABDCWGAWBTWE $.
  $}

  $( An ordinal topology is T_0.  (Contributed by Chen-Pang He, 8-Nov-2015.) $)
  ordtopt0 $p |- ( Ord J -> ( J e. Top <-> J e. Kol2 ) ) $=
    ( word ctop wcel ct0 cuni wne ordtop onsuct0 ordtoplem sylbid t0top impbid1
    ) ABZACDZAEDZNOAAFZGPAHAEQIJKALM $.

  ${
    $d A y z $.
    onsucsuccmpi.1 $e |- A e. On $.
    $( The successor of a successor ordinal number is a compact topology,
       proven without the Axiom of Regularity.  (Contributed by Chen-Pang He,
       18-Oct-2015.) $)
    onsucsuccmpi $p |- suc suc A e. Comp $=
      ( vy vz csuc ccmp wcel ctop cv cuni wceq cpw cfn cin wi con0 onunisuci wa
      wss eqcomi wrex wral onsuci onsuctop ax-mp wn onirri onsucssi sseq1 mtbii
      mtbi elpwi unissd sseqtrdi nsyl csn cun cdif eldif elpwunsn sylbir df-suc
      ex pweqi eleq2s snelpwi snfi jctr elin elexi unisn unieq rspceeqv sylancl
      sylibr syl syl56 rgen iscmp mpbir2an ) AEZEZFGWBHGZWACIZJZKZWADIZJZKDWDLZ
      MNZUAZOZCWBLZUBWAPGWCABUCZWAUDUEWLCWMWFWDWALZGZUFZWDWMGWAWDGZWKWFWEASZWPW
      FWAASZWSAAGWTABUGAABBUHUKWAWEAUIUJWPWEWAJAWPWDWAWDWAULUMABQUNUOWQWROWDWAW
      AUPZUQZLZWMWDXCGZWQWRXDWQRWDXCWOURGWRWDXCWOUSWDWAWAUTVAVCWBXBWAVBVDVEWRXA
      WIGZWKWAWDVFXEXAWJGZWAXAJZKWKXEXEXAMGZRXFXEXHWAVGVHXAWIMVIVOXGWAWAWAPWNVJ
      VKTDXAWJWHXGWAWGXAVLVMVNVPVQVRCDWBWAWBJWAWAWNQTVSVT $.
  $}

  $( The successor of a successor ordinal number is a compact topology.
     (Contributed by Chen-Pang He, 18-Oct-2015.) $)
  onsucsuccmp $p |- ( A e. On -> suc suc A e. Comp ) $=
    ( con0 wcel csuc ccmp c0 cif wceq suceq syl eleq1d 0elon onsucsuccmpi dedth
    elimel ) ABCZADZDZECPAFGZDZDZECAFASHZRUAEUBQTHRUAHASIQTIJKSAFBLOMN $.

  ${
    $d A y z $.
    limsucncmpi.1 $e |- Lim A $.
    $( The successor of a limit ordinal is not compact.  (Contributed by
       Chen-Pang He, 20-Oct-2015.) $)
    limsucncmpi $p |- -. suc A e. Comp $=
      ( vy vz wcel ctop cuni wceq cpw cfn wrex wi wa wn cvv wss ax-mp wne con0
      c0 csuc ccmp cin wral elex sucexb sylibr sssucid elpwg mpbiri wlim limuni
      cv elin elpwi anim1i sylbi wb nlim0 2th xor3 mpbir necon3bi uni0 neeqtrri
      limeq unieq neeq2d a1i word limord ordsson mp2b sstr2 mpi ordunifi 3expia
      sylan ssel nordeq mpan syl6 adantr syld pm2.61dne neneqd nrex eqeq2d pweq
      syl ineq1d rexeqdv notbid anbi12d rspcev mpanr12 rexanali sylib 3syl mpbi
      imnan ordunisuc eqcomi iscmp mtbir ) AUAZUBEXFFEZACUMZGZHZADUMZGZHZDXHIZJ
      UCZKZLCXFIZUDZMZXGXRNZLXSNXGAOEZAXQEZXTXGXFOEYAXFFUEAUFUGYAYBAXFPAUHAXFOU
      IUJYBXJXPNZMZCXQKZXTYBAAGZHZXMDAIZJUCZKZNZYEAUKZYGBAULQXMDYIXKYIEZAXLYMXK
      APZXKJEZMZAXLRZYMXKYHEZYOMYPXKYHJUNYRYNYOXKAUOUPUQYPYQXKTXKTHZYQLYPYSYQAT
      GZRATYTYLTUKZURZNZATRUUCYLUUANZURYLUUDBUSUTYLUUAVAVBUUBATATVFVCQVDVEYSXLY
      TAXKTVGVHUJVIYPXKTRZXLXKEZYQYNXKSPZYOUUEUUFLYNASPZUUGYLAVJZUUHBAVKZAVLVMX
      KASVNVOUUGYOUUEUUFXKVPVQVRYNUUFYQLYOYNUUFXLAEZYQXKAXLVSUUIUUKYQYLUUIBUUJQ
      AXLVTWAWBWCWDWEWJWFWGYDYGYKMCAXQXHAHZXJYGYCYKUULXIYFAXHAVGWHUULXPYJUULXMD
      XOYIUULXNYHJXHAWIWKWLWMWNWOWPXJXPCXQWQWRWSXGXRXAWTCDXFAXFGZAYLUUIUUMAHBUU
      JAXBVMXCXDXE $.
  $}

  $( The successor of a limit ordinal is not compact.  (Contributed by
     Chen-Pang He, 20-Oct-2015.) $)
  limsucncmp $p |- ( Lim A -> -. suc A e. Comp ) $=
    ( wlim csuc ccmp wcel con0 cif wceq suceq eleq1d notbid limeq limon elimhyp
    wn limsucncmpi dedth ) ABZACZDEZORAFGZCZDEZOAFAUAHZTUCUDSUBDAUAIJKUARUABFBA
    FAUALFUALMNPQ $.

  $( An ordinal topology is compact iff the underlying set is its supremum
     (union) only when the ordinal is ` 1o ` .  (Contributed by Chen-Pang He,
     1-Nov-2015.) $)
  ordcmp $p |- ( Ord A -> ( A e. Comp <-> ( U. A = U. U. A -> A = 1o ) ) ) $=
    ( word ccmp wcel cuni wceq c1o wi c0 wo biimpd syl ctop cmptop wn csuc syl6
    a1i con0 ord csn wss wlim orduni unizlim uni0b orbi1i bitrdi sssn 0ntop mto
    eleq1 mtbiri pm2.21d df1o2 eqtr4di a1d jaoi sylbi wne ordtop necon2bd con3i
    id a1dd limsucncmp notbid syl5ibr orduniorsuc mpjaod pm2.21 com23 ordeleqon
    jaod syl5d unon eqcomi unieqi unieq unieqd 3eqtr4a orim2i orcomd syl5 suceq
    eqtr ex syl6c onuni onsucsuccmp eleq1a 4syl eqtrdi 0cmp eqeltrdi jad impbid
    ) ABZACDZAEZWTEZFZAGFZHWRXBAIUAZUBZWTUCZJZWSXCWRWTBZXBXGHAUDZXHXBXGXHXBWTIF
    ZXFJXGWTUEXJXEXFAUFUGUHKLWRXGWSXCWRXEWSXCHZXFXEXKHWRXEAIFZAXDFZJXKAIUIXLXKX
    MXLWSXCXLWSICDZXNIMDUJINUKAICULUMUNXMXCWSXMAXDGXMVDUOUPUQURUSRWRXFWSOZXKWRA
    WTFZXFXOHZAWTPZFZWRXPXOXFWRXPAMDZOXOWRXTAWTWRXTAWTUTAVAKVBWSXTANVCQVEXSXQHW
    RXFXOXSXRCDZOWTVFXSWSYAAXRCULVGVHRAVIZVJWSXCVKQVNVLVOWRXBXCWSWRXBOZASDZAXAP
    ZPZFZWSWRXBYDWRYDXBWRYDASFZJYDXBJAVMYHXBYDYHSEZYIEWTXASYIYISVPVQVRASVSZYHWT
    YIYJVTWAWBUSWCTWRYCXSXRYFFZYGYCXPOWRXSXPXBAWTVSVCWRXPXSYBTWDWRYCWTYEFZYKWRX
    BYLWRXHXBYLJXIWTVILTWTYEWEQXSYKYGAXRYFWFWGWHYDWTSDXASDYFCDYGWSHAWIWTWIXAWJY
    FCAWKWLWHXCWSHWRXCAXDCXCAGXDXCVDUOWMWNWORWPWQ $.

  $( The ordinal topologies ` 1o ` and ` 2o ` are Hausdorff.  (Contributed by
     Chen-Pang He, 10-Nov-2015.) $)
  ssoninhaus $p |- { 1o , 2o } C_ ( On i^i Haus ) $=
    ( c1o c2o cpr con0 cha wcel wss 1on 2on prssi mp2an c0 cpw csn df1o2 eqtr4i
    cvv dishaus ax-mp eqeltri pw0 0ex df2o2 pwpw0 p0ex ssini ) ABCZDEADFBDFUGDG
    HIABDJKAEFBEFUGEGALMZEALNZUHOUAPLQFUHEFUBLQRSTBUIMZEBLUICUJUCUDPUIQFUJEFUEU
    IQRSTABEJKUF $.

  ${
    $d j a $.
    $( The ordinal T_1 spaces are ` 1o ` and ` 2o ` , proven without the Axiom
       of Regularity.  (Contributed by Chen-Pang He, 9-Nov-2015.) $)
    onint1 $p |- ( On i^i Fre ) = { 1o , 2o } $=
      ( vj va con0 ct1 cin c1o c2o cpr c0 csn cdif wcel wa wne wceq wss cun cha
      wn wb csuc cv elin ccld cuni wral ctop eqid ist1 simprbi onelon neldifsnd
      cfv ex p0ex prid2 df2o2 eleqtrri elunii mpan df1o2 eqeltrri onirri eldifd
      1on a1i ne0d 2thd nbbn sylib on0eln0 nsyl nsyli imp 0ex prid1 simpr sneqd
      adantl eleq1d rspcdv cldopn syl6 mtod con2d syl5 2on ontri1 onsssuc mpan2
      bitr3d sylibd 0ntop t1top nelneq elsni sylbi ssriv difeq1i difundir eqtri
      mto df-suc df-pr df2o3 difid 1n0 disjsn2 ax-mp difeq2i difin dif0 3eqtr3i
      uneq12i uncom un0 3eqtri 2on0 eqtr4i sseqtri ssoninhaus sslin sstri eqssi
      haust1 ) CDEZFGHZYFGUAZIJZKZYGAYFYJAUBZYFLYKCLZYKDLZMZYKYJLYKCDUCYNYKYHYI
      YLYMYKYHLZYLYMGYKLZSZYOYMBUBZJZYKUDUMZLZBYKUEZUFZYLYQYMYKUGLUUCYKUUBBUUBU
      HZUIUJYLYPUUCYLYPUUCSYLYPMZUUCUUBYIKZYKLZYLYPUUGSYLUUGUUFCLZYPYLUUGUUHYKU
      UFUKUNYPIUUFLZUUFINZTZUUHYPUUISZUUJTUUKSYPUULUUJYPIUUBULYPUUFYIYPYIUUBYIY
      IGLYPYIUUBLYIIYIHZGIYIUOUPUQURYIGYKUSUTYIYILSYPYIFYICVAVEVBVCVFVDVGVHUUIU
      UJVIVJUUFVKVLVMVNUUEUUCYIYTLZUUGUUEUUAUUNBIUUBYPIUUBLZYLIGLYPUUOIUUMGIYIV
      OVPUQURIGYKUSUTVSUUEYRIOZMZYSYIYTUUQYRIUUEUUPVQVRVTWAYIYKUUBUUDWBWCWDUNWE
      WFYLGCLZYQYOTWGYLUURMYKGPYQYOYKGWHYKGWIWKWJWLVNYMYKYILZSYLYMYKIOZUUSYMIDL
      ZSUUTSUVAIUGLWMIWNXBYKIDWOWJYKIWPVLVSVDWQWRYJGYIKZGJZYIKZQZYGYJGUVCQZYIKU
      VEYHUVFYIGXCWSGUVCYIWTXAYGFJZUVCQUVEFGXDUVBUVGUVDUVCUVBYIUVGQZYIKYIYIKZUV
      GYIKZQZUVGGUVHYIGIFHUVHXEIFXDXAWSYIUVGYIWTUVKIUVGQUVGIQUVGUVIIUVJUVGYIXFU
      VGUVGYIEZKUVGIKUVJUVGUVLIUVGFINUVLIOXGFIXHXIXJUVGYIXKUVGXLXMXNIUVGXOUVGXP
      XQXQUVCUVCYIEZKUVCIKUVDUVCUVMIUVCGINUVMIOXRGIXHXIXJUVCYIXKUVCXLXMXNXSXSXT
      YGCREZYFYARDPUVNYFPARDYKYEWRRDCYBXIYCYD $.
  $}

  $( The ordinal Hausdorff spaces are ` 1o ` and ` 2o ` .  (Contributed by
     Chen-Pang He, 10-Nov-2015.) $)
  oninhaus $p |- ( On i^i Haus ) = { 1o , 2o } $=
    ( vx cha cin c1o c2o cpr ct1 wss cv haust1 ssriv sslin ax-mp onint1 sseqtri
    con0 ssoninhaus eqssi ) PBCZDEFZSPGCZTBGHSUAHABGAIJKBGPLMNOQR $.

$( (End of Chen-Pang He's mathbox.) $)
$( End $[ set-mbox-ch.mm $] $)


$( Begin $[ set-mbox-jh.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Jeff Hoffman
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Inferences for finite induction on generic function values
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( findrec.mm - Inferences for finite induction on generic function values
     and specifically, functions defined via rec(G, A). $)

  $( Please add description here.  (Contributed by Jeff Hoffman,
     12-Feb-2008.) $)
  fveleq $p |- ( A = B ->
             ( ( ph -> ( F ` A ) e. P ) <-> ( ph -> ( F ` B ) e. P ) ) ) $=
    ( wceq cfv wcel fveq2 eleq1d imbi2d ) BCFZBEGZDHCEGZDHALMNDBCEIJK $.

  ${
    $d F x y $.  $d P x y $.  $d x y ph $.  $d x A $.
    findfvcl.1 $e |- ( ph -> ( F ` (/) ) e. P ) $.
    findfvcl.2 $e |- ( y e. _om -> ( ph -> ( ( F ` y ) e. P ->
                     ( F ` suc y ) e. P ) ) ) $.
    $( Please add description here.  (Contributed by Jeff Hoffman,
       12-Feb-2008.) $)
    findfvcl $p |- ( A e. _om -> ( ph -> ( F ` A ) e. P ) ) $=
      ( vx cv cfv wcel wi c0 csuc fveleq com a2d finds ) AHIZEJDKLAMEJDKLABIZEJ
      DKZLATNZEJDKZLACEJDKLHBCASMDEOASTDEOASUBDEOASCDEOFTPKAUAUCGQR $.
  $}

  ${
    $d y z $.  $d G y $.  $d A y $.  $d P y $.  $d G z $.  $d A z $.  $d P z $.
    findreccl.1 $e |- ( z e. P -> ( G ` z ) e. P ) $.
    $( Please add description here.  (Contributed by Jeff Hoffman,
       19-Feb-2008.) $)
    findreccl $p |- ( C e. _om -> ( A e. P -> ( rec ( G , A ) ` C ) e. P ) ) $=
      ( vy wcel crdg c0 cfv wceq rdg0g eleq1a mpd cv com csuc wi eleq1d vtoclga
      con0 nnon fveq2 rdgsuc syl5ibr syl a1d findfvcl ) BDHZGCDEBIZUJJUKKZBLULD
      HBDEMBDULNOGPZQHZUMUKKZDHZUMRUKKZDHZSZUJUNUMUBHZUSUMUCUPURUTUOEKZDHZAPZEK
      ZDHVBAUODVCUOLVDVADVCUOEUDTFUAUTUQVADBUMEUETUFUGUHUI $.
  $}

  ${
    $d G x $.  $d A x $.  $d C x $.  $d G z $.  $d A z $.  $d P z $.
    findabrcl.1 $e |- ( z e. P -> ( G ` z ) e. P ) $.
    $( Please add description here.  (Contributed by Jeff Hoffman,
       16-Feb-2008.)  (Revised by Mario Carneiro, 11-Sep-2015.) $)
    findabrcl $p |- ( ( C e. _om /\ A e. P ) ->
                  ( ( x e. _V |-> ( rec ( G , A ) ` x ) ) ` C ) e. P ) $=
      ( com wcel wa cvv cv crdg cfv cmpt wceq elex fveq2 eqid fvex fvmpt adantr
      syl findreccl imp eqeltrd ) DHIZCEIZJDAKALZFCMZNZOZNZDUJNZEUGUMUNPZUHUGDK
      IUODHQADUKUNKULUIDUJRULSDUJTUAUCUBUGUHUNEIBCDEFGUDUEUF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  gdc.mm
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( gdc.mm  9-Apr-2008 $)

  ${
    nnssi2.1 $e |- NN C_ D $.
    nnssi2.2 $e |- ( B e. NN -> ph ) $.
    nnssi2.3 $e |- ( ( A e. D /\ B e. D /\ ph ) -> ps ) $.
    $( Convert a theorem for real/complex numbers into one for positive
       integers.  (Contributed by Jeff Hoffman, 17-Jun-2008.) $)
    nnssi2 $p |- ( ( A e. NN /\ B e. NN ) -> ps ) $=
      ( cn wcel wa w3a sseli 3anim123i 3anidm23 syl ) CIJZDIJZKCEJZDEJZALZBQRUA
      QSRTRAIECFMIEDFMGNOHP $.
  $}

  ${
    nnssi3.1 $e |- NN C_ D $.
    nnssi3.2 $e |- ( C e. NN -> ph ) $.
    nnssi3.3 $e |- ( ( ( A e. D /\ B e. D /\ C e. D ) /\ ph ) -> ps ) $.
    $( Convert a theorem for real/complex numbers into one for positive
       integers.  (Contributed by Jeff Hoffman, 17-Jun-2008.) $)
    nnssi3 $p |- ( ( A e. NN /\ B e. NN /\ C e. NN ) -> ps ) $=
      ( cn wcel w3a sseli 3anim123i 3ad2ant3 syl2anc ) CJKZDJKZEJKZLCFKZDFKZEFK
      ZLABQTRUASUBJFCGMJFDGMJFEGMNSQARHOIP $.
  $}

  $( Please add description here.  (Contributed by Jeff Hoffman,
     17-Jun-2008.) $)
  nndivsub $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN )
                       /\ ( ( A / C ) e. NN /\ A < B ) )
                    -> ( ( B / C ) e. NN <-> ( ( B - A ) / C ) e. NN ) ) $=
    ( cn wcel cdiv co clt wbr wa cmin wi cr cc0 wb nnre jca biimpd cc nncn wceq
    w3a nngt0 ltdiv1 syl3an nnsub sylan9bb exp32 com34 imp32 nnaddcl expcom wne
    caddc nnsscn nnne0 divcl nnssi2 anim12i 3impdir npcan ancoms eleq1d sylan9r
    adantrr impbid 3ad2ant2 3ad2ant1 3ad2ant3 divsubdir syl3anc adantr bitr4d
    syl ) ADEZBDEZCDEZUBZACFGZDEZABHIZJZJZBCFGZDEZWDVSKGZDEZBAKGCFGZDEZWCWEWGVR
    VTWAWEWGLVRVTWEWAWGVRVTWEWAWGLVRVTWEJZJWAWGVRWAVSWDHIZWJWGVOAMEVPBMEVQCMEZN
    CHIZJWAWKOAPBPVQWLWMCPCUCQABCUDUEVSWDUFUGRUHUIUJVRVTWGWELWAVTWGWFVSUNGZDEZV
    RWEWGVTWOWFVSUKULVRWOWEVRWNWDDVRVSSEZWDSEZJZWNWDUAZVOVQVPWRVOVQJWPVPVQJWQCN
    UMZWPACSUOCUPZACUQURWTWQBCSUOXABCUQURUSUTWQWPWSWDVSVAVBVNVCRVDVEVFVRWIWGOWB
    VRWHWFDVRBSEZASEZCSEZWTJZWHWFUAVPVOXBVQBTVGVOVPXCVQATVHVQVOXEVPVQXDWTCTXAQV
    IBACVJVKVCVLVM $.

  $( A factor of a positive integer cannot exceed it.  (Contributed by Jeff
     Hoffman, 17-Jun-2008.) $)
  nndivlub $p |- ( ( A e. NN /\ B e. NN )
        -> ( ( A / B ) e. NN -> B <_ A ) ) $=
    ( cn wcel cr cc0 clt wbr wa cdiv co cle wi nnre nngt0 jca c1 nnge1 lediv2
    wb 3anidm23 cc recn adantr gt0ne0 divid breq1d syl2anc adantl bitrd syl5ibr
    wne syl2anr ) BCDZBEDZFBGHZIZAEDZFAGHZIZABJKZCDZBALHZMACDZUNUOUPBNBOPVDURUS
    ANAOPVBVCUQUTIZQVALHZVARVEVCAAJKZVALHZVFUQUTVCVHTBAASUAUTVHVFTZUQUTAUBDZAFU
    LZVIURVJUSAUCUDAUEVJVKIVGQVALAUFUGUHUIUJUKUM $.

  $c gcdOLD $. $( The greatest common divisor $)

  $( Extend class notation to include the gdc function.
     (New usage is discouraged.) $)
  cgcdOLD $a class gcdOLD ( A , B ) $.

  ${
    $d x A $.  $d x B $.
    $( ` gcdOLD ( A , B ) ` is the largest positive integer that evenly divides
       both ` A ` and ` B ` .  (Contributed by Jeff Hoffman, 17-Jun-2008.)
       (New usage is discouraged.) $)
    df-gcdOLD $a |- gcdOLD ( A , B ) = sup ( { x e. NN | ( ( A / x ) e. NN
                                           /\ ( B / x ) e. NN ) } , NN , < ) $.

    $( Lemma for Euclid's Elements, Book 7, proposition 2.  The original
       mentions the smaller measure being 'continually subtracted' from the
       larger.  Many authors interpret this phrase as ` A ` mod ` B ` .  Here,
       just one subtraction step is proved to preserve the ` gcdOLD ` .  The
       ` rec ` function will be used in other proofs for iterated subtraction.
       (Contributed by Jeff Hoffman, 17-Jun-2008.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ee7.2aOLD $p |- ( ( A e. NN /\ B e. NN )
         -> ( A < B -> gcdOLD ( A , B ) = gcdOLD ( A , ( B - A ) ) ) ) $=
      ( vx cn wcel wa clt wbr cgcdOLD cmin co wceq cv cdiv crab com23 df-gcdOLD
      csup wi imp wb w3a nndivsub exp32 3expia pm5.32d rabbidva supeq1d 3eqtr4g
      ex ) ADEZBDEZFZABGHZABIZABAJKZIZLUMUNFZACMZNKDEZBUSNKDEZFZCDOZDGRUTUPUSNK
      DEZFZCDOZDGRUOUQURDVCVFGURVBVECDURUSDEZFUTVAVDURVGUTVAVDUAZSZUMUNVGVISUMV
      GUNVIUKULVGUNVISUKULVGUBZUTUNVHVJUTUNVHABUSUCUDPUEPTTUFUGUHCABQCAUPQUIUJ
      $.
  $}

$( (End of Jeff Hoffman's mathbox.) $)
$( End $[ set-mbox-jh.mm $] $)


$( Begin $[ set-mbox-ai.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Asger C. Ipsen
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Continuous nowhere differentiable functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x $.
    dnival.1 $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    $( Value of the "distance to nearest integer" function.  (Contributed by
       Asger C. Ipsen, 4-Apr-2021.) $)
    dnival $p |- ( A e. RR ->
              ( T ` A ) = ( abs ` ( ( |_ ` ( A + ( 1 / 2 ) ) ) - A ) ) ) $=
      ( cv c1 c2 cdiv co caddc cfl cfv cmin cabs cr wceq fvoveq1 oveq12d fveq2d
      id fvex fvmpt ) ABAEZFGHIZJIKLZUCMIZNLBUDJIKLZBMIZNLOCUCBPZUFUHNUIUEUGUCB
      MUCBUDKJQUITRSDUHNUAUB $.
  $}

  ${
    dnicld1.1 $e |- ( ph -> A e. RR ) $.
    $( Closure theorem for the "distance to nearest integer" function.
       (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
    dnicld1 $p |- ( ph -> ( abs ` ( ( |_ ` ( A + ( 1 / 2 ) ) ) - A ) ) e. RR )
      $=
      ( c1 c2 cdiv co caddc cfl cfv cmin cr wa halfre a1i jca readdcl syl recnd
      wcel reflcl subcld abscld ) ABDEFGZHGZIJZBKGAUFBAUFAUELTZUFLTABLTZUDLTZMU
      GAUHUICUIANOPBUDQRUEUARSABCSUBUC $.
  $}

  ${
    $d A x $.
    dnicld2.1 $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    dnicld2.2 $e |- ( ph -> A e. RR ) $.
    $( Closure theorem for the "distance to nearest integer" function.
       (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
    dnicld2 $p |- ( ph -> ( T ` A ) e. RR ) $=
      ( cfv c1 c2 cdiv co caddc cfl cmin cabs cr wcel wceq dnival syl dnicld1
      eqeltrd ) ACDGZCHIJKLKMGCNKOGZPACPQUCUDRFBCDESTACFUAUB $.
  $}

  ${
    dnif.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    $( The "distance to nearest integer" function is a function.  (Contributed
       by Asger C. Ipsen, 4-Apr-2021.) $)
    dnif $p |- T : RR --> RR $=
      ( cr cv c1 c2 cdiv co caddc cfl cfv cmin cabs wcel id dnicld1 fmpti ) ADD
      AEZFGHIJIKLSMINLBCSDOZSTPQR $.
  $}

  ${
    $d A x $.
    dnizeq0.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    dnizeq0.1 $e |- ( ph -> A e. ZZ ) $.
    $( The distance to nearest integer is zero for integers.  (Contributed by
       Asger C. Ipsen, 15-Jun-2021.) $)
    dnizeq0 $p |- ( ph -> ( T ` A ) = 0 ) $=
      ( cfv c1 co caddc cmin cabs cc0 wcel wceq syl halfre a1i cxr eqtrd c2 cfl
      cdiv cr zred dnival cz wa jca flzadd cle wbr clt w3a rexri halfgt0 ltleii
      cico 0re halflt1 3pm3.2i wb 0xr pm3.2i elico1 ax-mp mpbir ico01fl0 oveq2d
      1xr recnd addid1d oveq1d subidd fveq2d abs0 ) ACDGZCHUAUCIZJIUBGZCKIZLGZM
      ACUDNVQWAOACFUEZBCDEUFPAWAMLGZMAVTMLAVTCCKIMAVSCCKAVSCVRUBGZJIZCACUGNZVRU
      DNZUHVSWEOAWFWGFWGAQRUIVRCUJPAWECMJICAWDMCJAVRMHURINZWDMOWHAWHVRSNZMVRUKU
      LZVRHUMULZUNZWIWJWKVRQUOMVRUSQUPUQUTVAMSNZHSNZUHWHWLVBWMWNVCVJVDMHVRVEVFV
      GRVRVHPVIACACWBVKZVLTTVMACWOVNTVOWCMOAVPRTT $.
  $}

  ${
    $d A x $.
    dnizphlfeqhlf.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    dnizphlfeqhlf.1 $e |- ( ph -> A e. ZZ ) $.
    $( The distance to nearest integer is a half for half-integers.
       (Contributed by Asger C. Ipsen, 15-Jun-2021.) $)
    dnizphlfeqhlf $p |- ( ph -> ( T ` ( A + ( 1 / 2 ) ) ) = ( 1 / 2 ) ) $=
      ( c1 co caddc cfv cabs cr wcel wceq halfre a1i syl recnd cz cc0 cdiv cmin
      c2 cfl zred readdcld dnival addcld addassd 2halvesd oveq2d eqtrd peano2zd
      1cnd eqeltrd flid mvrladdd fveq2d cle wbr clt halfgt0 ltlei absidd 3eqtrd
      0re ax-mp ) ACGUCUAHZIHZDJZVIVHIHZUDJZVIUBHZKJZVHKJVHAVILMVJVNNACVHACFUEZ
      VHLMAOPZUFBVIDEUGQAVMVHKAVLVIVHACVHACVORZAVHVPRZUHVRAVKSMVLVKNAVKCGIHZSAV
      KCVHVHIHZIHVSACVHVHVQVRVRUIAVTGCIAGAUNUJUKULACFUMUOVKUPQUQURAVHVPTVHUSUTZ
      ATVHVAUTWAVBTVHVFOVCVGPVDVE $.
  $}

  $( Variant of ~ rddif .  (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
  rddif2 $p |- ( A e. RR ->
    0 <_ ( ( 1 / 2 ) - ( abs ` ( ( |_ ` ( A + ( 1 / 2 ) ) ) - A ) ) ) ) $=
    ( cr wcel cc0 c1 c2 cdiv co caddc cfl cfv cmin cabs cle wbr rddif halfre id
    a1i dnicld1 subge0d mpbird ) ABCZDEFGHZAUDIHJKALHMKZLHNOUEUDNOAPUCUDUEUDBCU
    CQSUCAUCRTUAUB $.

  ${
    $d A x $.  $d B x $.
    dnibndlem1.1 $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    dnibndlem1.2 $e |- ( ph -> A e. RR ) $.
    dnibndlem1.3 $e |- ( ph -> B e. RR ) $.
    $( Lemma for ~ dnibnd .  (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
    dnibndlem1 $p |- ( ph -> ( ( abs ` ( ( T ` B ) - ( T ` A ) ) ) <_ S
                          <->
                          ( abs `
                             ( ( abs ` ( ( |_ ` ( B + ( 1 / 2 ) ) ) - B ) ) -
                               ( abs ` ( ( |_ ` ( A + ( 1 / 2 ) ) ) - A ) ) ) )
                            <_ S ) ) $=
      ( cfv cmin co cabs caddc cfl cr wcel wceq dnival syl c1 c2 oveq12d fveq2d
      cdiv cle breq1d ) ADFJZCFJZKLZMJDUAUBUELZNLOJDKLMJZCUKNLOJCKLMJZKLZMJEUFA
      UJUNMAUHULUIUMKADPQUHULRIBDFGSTACPQUIUMRHBCFGSTUCUDUG $.
  $}

  ${
    $d A x $.  $d B x $.
    dnibndlem2.1 $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    dnibndlem2.2 $e |- ( ph -> A e. RR ) $.
    dnibndlem2.3 $e |- ( ph -> B e. RR ) $.
    dnibndlem2.4 $e |- ( ph ->
                  ( |_ ` ( B + ( 1 / 2 ) ) ) = ( |_ ` ( A + ( 1 / 2 ) ) ) ) $.
    $( Lemma for ~ dnibnd .  (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
    dnibndlem2 $p |- ( ph -> ( abs ` ( ( T ` B ) - ( T ` A ) ) )
                              <_ ( abs ` ( B - A ) ) ) $=
      ( cfv cmin co cabs cle wbr cr wcel recnd subcld abscld c1 c2 caddc cfl wa
      halfre a1i jca readdcl syl reflcl cc eqeltrrd abs2difabsd nnncan1d eqcomd
      cdiv fveq2d oveq1d abssubd 3eqtrd leidd eqbrtrrd letrd dnibndlem1 mpbird
      ) ADEJCEJKLMJDCKLZMJZNODUAUBUQLZUCLZUDJZDKLZMJZCVIUCLUDJZCKLZMJZKLZMJZVHN
      OAVRVLVOKLZMJZVHAVQAVMVPAVMAVLAVKDAVKAVJPQZVKPQADPQZVIPQZUEWAAWBWCHWCAUFU
      GUHDVIUIUJVJUKUJRZADHRZSZTRAVPAVOAVNCAVKVNULIWDUMACGRZSZTRSTAVSAVLVOWFWHS
      TAVGADCWEWGSTZAVLVOWFWHUNAVHVTVHNAVHVKCKLZVLKLZMJVOVLKLZMJVTAVGWKMAWKVGAV
      KCDWDWGWEUOUPURAWKWLMAWJVOVLKAVKVNCKIUSUSURAVOVLWHWFUTVAAVHWIVBVCVDABCDVH
      EFGHVEVF $.
  $}

  ${
    dnibndlem3.1 $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    dnibndlem3.2 $e |- ( ph -> A e. RR ) $.
    dnibndlem3.3 $e |- ( ph -> B e. RR ) $.
    dnibndlem3.4 $e |- ( ph ->
          ( |_ ` ( B + ( 1 / 2 ) ) ) = ( ( |_ ` ( A + ( 1 / 2 ) ) ) + 1 ) ) $.
    $( Lemma for ~ dnibnd .  (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
    dnibndlem3 $p |- ( ph -> ( abs ` ( B - A ) ) =
        ( abs ` ( ( B - ( ( |_ ` ( B + ( 1 / 2 ) ) ) - ( 1 / 2 ) ) )
                  + ( ( ( |_ ` ( A + ( 1 / 2 ) ) ) + ( 1 / 2 ) ) - A ) ) ) )
      $=
      ( cmin co c1 caddc cc wcel wceq recnd cr a1i syl c2 cdiv cfl cfv cabs w3a
      wa halfre jca readdcl reflcl halfcn subcld 3jca npncan eqcomd oveq1d 1cnd
      addsubass 1mhlfehlf oveq2d 3eqtrd eqtrd fveq2d ) ADCJKZDDLUAUBKZMKZUCUDZV
      FJKZJKZCVFMKZUCUDZVFMKZCJKZMKZUEAVEVJVICJKZMKZVOAVQVEADNOZVINOZCNOZUFVQVE
      PAVRVSVTADHQAVHVFAVHAVGROZVHROADROZVFROZUGWAAWBWCHWCAUHSZUIDVFUJTVGUKTQVF
      NOZAULSZUMACGQUNDVICUOTUPAVPVNVJMAVIVMCJAVIVLLMKZVFJKZVLLVFJKZMKZVMAVHWGV
      FJIUQAVLNOZLNOZWEUFWHWJPAWKWLWEAVLAVKROZVLROACROZWCUGWMAWNWCGWDUICVFUJTVK
      UKTQAURWFUNVLLVFUSTAWIVFVLMWIVFPAUTSVAVBUQVAVCVD $.
  $}

  $( Lemma for ~ dnibnd .  (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
  dnibndlem4 $p |- ( B e. RR ->
    0 <_ ( B - ( ( |_ ` ( B + ( 1 / 2 ) ) ) - ( 1 / 2 ) ) ) ) $=
    ( cr wcel cc0 c1 c2 cdiv caddc cfl cfv cmin cle wbr halfre a1i readdcld syl
    co id mpbird flle reflcl lesubaddd wa jca resubcl subge0d ) ABCZDAAEFGRZHRZ
    IJZUIKRZKRLMULALMZUHUMUKUJLMZUHUJBCZUNUHAUIUHSZUIBCZUHNOZPZUJUAQUHUKUIAUHUO
    UKBCZUSUJUBQZURUPUCTUHAULUPUHUTUQUDULBCUHUTUQVAURUEUKUIUFQUGT $.

  $( Lemma for ~ dnibnd .  (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
  dnibndlem5 $p |- ( A e. RR ->
    0 < ( ( ( |_ ` ( A + ( 1 / 2 ) ) ) + ( 1 / 2 ) ) - A ) ) $=
    ( cr wcel c1 c2 cdiv co caddc cfl cfv clt wbr cc0 cmin a1i readdcl syl wceq
    cc recnd halfre syl2anc2 flltp1 ax-1cn 2halves ax-mp eqcomi oveq2d w3a 3jca
    id reflcl addass eqcomd eqtrd breqtrd wa jca ltadd1d mpbird posdifd mpbid )
    ABCZAADEFGZHGZIJZVDHGZKLZMVGANGKLVCVHVEVGVDHGZKLVCVEVFDHGZVIKVCVEBCZVEVJKLV
    CVCVDBCZVKVCUKZVLVCUAOZAVDPUBZVEUCQVCVJVFVDVDHGZHGZVIVCDVPVFHDVPRVCVPDDSCVP
    DRUDDUEUFUGOUHVCVIVQVCVFSCZVDSCZVSUIVIVQRVCVRVSVSVCVFVCVKVFBCZVOVEULQZTVCVD
    VNTZWBUJVFVDVDUMQUNUOUPVCAVGVDVMVCVTVLUQVGBCVCVTVLWAVNURVFVDPQZVNUSUTVCAVGV
    MWCVAVB $.

  ${
    dnibndlem6.1 $e |- ( ph -> A e. RR ) $.
    dnibndlem6.2 $e |- ( ph -> B e. RR ) $.
    $( Lemma for ~ dnibnd .  (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
    dnibndlem6 $p |- ( ph ->
            ( abs `
                 ( ( abs ` ( ( |_ ` ( B + ( 1 / 2 ) ) ) - B ) ) -
                   ( abs ` ( ( |_ ` ( A + ( 1 / 2 ) ) ) - A ) ) ) )
            <_
            ( ( ( 1 / 2 ) - ( abs ` ( ( |_ ` ( B + ( 1 / 2 ) ) ) - B ) ) ) +
              ( ( 1 / 2 ) - ( abs ` ( ( |_ ` ( A + ( 1 / 2 ) ) ) - A ) ) ) ) )
      $=
      ( co caddc cfl cfv cmin cabs dnicld1 subcld abscld cc wcel cr syl cle wbr
      c1 c2 recnd halfcn a1i readdcld wa halfre jca resubcl w3a abs3dif abssubd
      cdiv 3jca cc0 rddif2 absidd eqtrd oveq12d eqled letrd ) ACUAUBUNFZGFHICJF
      KIZBVCGFHIBJFKIZJFZKIZVDVCJFZKIZVCVEJFZKIZGFZVCVDJFZVJGFZAVFAVDVEAVDACELZ
      UCZAVEABDLZUCZMNAVIVKAVHAVDVCVPVCOPZAUDUEZMNAVJAVCVEVTVRMNUFZAVMVJAVCQPZV
      DQPZUGVMQPAWBWCWBAUHUEZVOUIVCVDUJRZAWBVEQPZUGVJQPAWBWFWDVQUIVCVEUJRZUFAVD
      OPZVEOPZVSUKVGVLSTAWHWIVSVPVRVTUOVDVEVCULRAVLVNWAAVIVMVKVJGAVIVMKIVMAVDVC
      VPVTUMAVMWEACQPUPVMSTECUQRURUSAVJWGABQPUPVJSTDBUQRURUTVAVB $.
  $}

  ${
    dnibndlem7.1 $e |- ( ph -> B e. RR ) $.
    $( Lemma for ~ dnibnd .  (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
    dnibndlem7 $p |- ( ph ->
        ( ( 1 / 2 ) - ( abs ` ( ( |_ ` ( B + ( 1 / 2 ) ) ) - B ) ) )
        <_ ( B - ( ( |_ ` ( B + ( 1 / 2 ) ) ) - ( 1 / 2 ) ) ) ) $=
      ( c1 c2 cdiv co caddc cfl cfv cmin cabs cle cr wcel wa jca recnd subsub3d
      syl halfre a1i readdcl reflcl resubcl dnicld1 leabsd oveq1d eqcomd 3eqtrd
      lesub2dd addcomd breqtrd ) ADEFGZBUNHGZIJZBKGZLJZKGUNUQKGZBUPUNKGKGZMAUQU
      RUNAUPNOZBNOZPUQNOAVAVBAUONOZVAAVBUNNOZPVCAVBVDCVDAUAUBZQBUNUCTUOUDTZCQUP
      BUETZABCUFVEAUQVGUGUKAUSUNBHGZUPKGUOUPKGZUTAUNUPBAUNVERZAUPVFRZABCRZSAVHU
      OUPKAUNBVJVLULUHAUTVIABUPUNVLVKVJSUIUJUM $.
  $}

  ${
    dnibndlem8.1 $e |- ( ph -> A e. RR ) $.
    $( Lemma for ~ dnibnd .  (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
    dnibndlem8 $p |- ( ph ->
        ( ( 1 / 2 ) - ( abs ` ( ( |_ ` ( A + ( 1 / 2 ) ) ) - A ) ) )
        <_ ( ( ( |_ ` ( A + ( 1 / 2 ) ) ) + ( 1 / 2 ) ) - A ) ) $=
      ( c1 c2 cdiv co caddc cfl cfv cmin cabs cle wcel halfre a1i recnd breqtrd
      cr syl jca simpl readdcld reflcl resubcld dnicld1 leabsd abssubd lesub2dd
      wa subsub3d addcomd oveq1d eqtrd ) ADEFGZBUOHGZIJZBKGLJZKGUOBUQKGZKGZUQUO
      HGZBKGZMAUSURUOABUQCAUPSNZUQSNABSNZUOSNZUJZVCAVDVECVEAOPZUAVFBUOVDVEUBVEV
      FOPUCTUPUDTZUEZABCUFVGAUSUSLJURMAUSVIUGABUQABCQZAUQVHQZUHRUIAUTUOUQHGZBKG
      VBAUOBUQAUOVGQZVJVKUKAVLVABKAUOUQVMVKULUMUNR $.
  $}

  ${
    $d A x $.  $d B x $.
    dnibndlem9.1 $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    dnibndlem9.2 $e |- ( ph -> A e. RR ) $.
    dnibndlem9.3 $e |- ( ph -> B e. RR ) $.
    dnibndlem9.4 $e |- ( ph ->
          ( |_ ` ( B + ( 1 / 2 ) ) ) = ( ( |_ ` ( A + ( 1 / 2 ) ) ) + 1 ) ) $.
    $( Lemma for ~ dnibnd .  (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
    dnibndlem9 $p |- ( ph -> ( abs ` ( ( T ` B ) - ( T ` A ) ) )
                              <_ ( abs ` ( B - A ) ) ) $=
      ( cfv cmin co cabs cle caddc recnd cr wcel wa syl wbr c1 cdiv cfl dnicld1
      c2 subcld abscld halfre a1i jca resubcl readdcld reflcl addcld dnibndlem6
      dnibndlem7 dnibndlem8 le2addd cc0 dnibndlem4 clt dnibndlem5 ltled addge0d
      0red absidd eqcomd breqtrd letrd dnibndlem3 dnibndlem1 mpbird ) ADEJCEJKL
      MJDCKLMJZNUADUBUFUCLZOLZUDJZDKLMJZCVOOLZUDJZCKLMJZKLZMJZVNNUAAWCDVQVOKLZK
      LZVTVOOLZCKLZOLZMJZVNNAWCVOVRKLZVOWAKLZOLZWIAWBAVRWAAVRADHUEZPAWAACGUEZPU
      GUHAWJWKAVOQRZVRQRZSWJQRAWOWPWOAUIUJZWMUKVOVRULTZAWOWAQRZSWKQRAWOWSWQWNUK
      VOWAULTZUMAWHAWEWGADWDADHPAVQVOAVQAVPQRVQQRZADVOHWQUMVPUNTZPAVOWQPZUGUGAW
      FCAVTVOAVTAVSQRVTQRACVOGWQUMVSUNTZPXCUOACGPUGUOUHACDGHUPAWLWHWINAWJWKWEWG
      WRWTADQRZWDQRZSWEQRAXEXFHAXAWOSXFAXAWOXBWQUKVQVOULTUKDWDULTZAWFQRZCQRZSWG
      QRAXHXIAVTVOXDWQUMGUKWFCULTZADHUQACGURUSAWIWHAWHAWEWGXGXJUMAWEWGXGXJAXEUT
      WENUAHDVATAUTWGAVFXJAXIUTWGVBUAGCVCTVDVEVGVHVIVJAVNWIABCDEFGHIVKVHVIABCDV
      NEFGHVLVM $.
  $}

  ${
    dnibndlem10.1 $e |- ( ph -> A e. RR ) $.
    dnibndlem10.2 $e |- ( ph -> B e. RR ) $.
    dnibndlem10.3 $e |- ( ph ->
          ( ( |_ ` ( A + ( 1 / 2 ) ) ) + 2 ) <_ ( |_ ` ( B + ( 1 / 2 ) ) ) ) $.
    $( Lemma for ~ dnibnd .  (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
    dnibndlem10 $p |- ( ph -> 1 <_ ( B - A ) ) $=
      ( c1 c2 co caddc cmin cr wcel wa a1i readdcld syl jca cle wbr cdiv halfre
      cfl cfv 1red reflcl resubcl resubcld recnd 2cnd addsubassd oveq1d pnpcand
      subcld subsub4d wceq cc ax-1cn 2halves ax-mp oveq2d 2m1e1 3eqtrd lesub1dd
      eqcomd eqbrtrd flle lesubaddd mpbird fllep1 addassd eqtrd breqtrd leadd1d
      2re le2subd letrd ) AGCGHUAIZJIZUCUDZVRKIZBVRJIZUCUDZVRJIZKIZCBKIAUEAWALM
      ZWDLMZNWELMAWFWGAVTLMZVRLMZNWFAWHWIAVSLMZWHACVREWIAUBOZPZVSUFQZWKRVTVRUGQ
      ZAWCVRAWBLMZWCLMABVRDWKPZWBUFQZWKPZRWAWDUGQACBEDUHAGWCHJIZVRKIZWDKIZWESAX
      AGAXAWCHVRKIZJIZWDKIXBVRKIZGAWTXCWDKAWCHVRAWCWQUIZAUJZAVRWKUIZUKULAWCXBVR
      XEAHVRXFXGUNXGUMAXDHVRVRJIZKIHGKIZGAHVRVRXFXGXGUOAXHGHKXHGUPZAGUQMXJURGUS
      UTOZVAXIGUPAVBOVCVCVEAWTWAWDAWSLMZWINWTLMAXLWIAWCHWQHLMAVOOPZWKRWSVRUGQWN
      WRAWSVTVRXMWMWKFVDVDVFAWABCWDWNDEWRAWACSTVTVSSTZAWJXNWLVSVGQAVTVRCWMWKEVH
      VIABWDSTWBWDVRJIZSTAWBWCGJIZXOSAWOWBXPSTWPWBVJQAXOXPAXOWCXHJIXPAWCVRVRXEX
      GXGVKAXHGWCJXKVAVLVEVMABWDVRDWRWKVNVIVPVQ $.
  $}

  ${
    dnibndlem11.1 $e |- ( ph -> A e. RR ) $.
    dnibndlem11.2 $e |- ( ph -> B e. RR ) $.
    $( Lemma for ~ dnibnd .  (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
    dnibndlem11 $p |- ( ph ->
                          ( abs `
                            ( ( abs ` ( ( |_ ` ( B + ( 1 / 2 ) ) ) - B ) ) -
                              ( abs ` ( ( |_ ` ( A + ( 1 / 2 ) ) ) - A ) ) ) )
                          <_ ( 1 / 2 ) ) $=
      ( co caddc cfl cfv cmin cabs cle wbr cneg dnicld1 resubcld wcel recnd syl
      cr c1 c2 cdiv wa halfre a1i negsubdi2d cc0 readdcld reflcl subcld absge0d
      subge02d mpbid rddif letrd eqbrtrd lenegcon1d jca absled mpbird ) ACUAUBU
      CFZGFZHIZCJFZKIZBVBGFZHIZBJFZKIZJFZKIVBLMVBNVKLMZVKVBLMZUDAVLVMAVKVBAVFVJ
      ACEOZABDOZPZVBTQAUEUFZAVKNVJVFJFZVBLAVFVJAVFVNRAVJVORUGAVRVJVBAVJVFVOVNPV
      OVQAUHVFLMVRVJLMAVEAVDCAVDAVCTQVDTQACVBEVQUIVCUJSRACERUKULAVJVFVOVNUMUNAB
      TQVJVBLMDBUOSUPUQURAVKVFVBVPVNVQAUHVJLMVKVFLMAVIAVHBAVHAVGTQVHTQABVBDVQUI
      VGUJSRABDRUKULAVFVJVNVOUMUNACTQVFVBLMECUOSUPUSAVKVBVPVQUTVA $.
  $}

  ${
    $d A x $.  $d B x $.
    dnibndlem12.1 $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    dnibndlem12.2 $e |- ( ph -> A e. RR ) $.
    dnibndlem12.3 $e |- ( ph -> B e. RR ) $.
    dnibndlem12.4 $e |- ( ph ->
        ( ( |_ ` ( A + ( 1 / 2 ) ) ) + 2 ) <_ ( |_ ` ( B + ( 1 / 2 ) ) ) ) $.
    $( Lemma for ~ dnibnd .  (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
    dnibndlem12 $p |- ( ph -> ( abs ` ( ( T ` B ) - ( T ` A ) ) )
                              <_ ( abs ` ( B - A ) ) ) $=
      ( cfv cmin co cabs cle wbr c1 caddc cfl dnicld1 letrd cdiv resubcld recnd
      c2 abscld 1red rehalfcld dnibndlem11 clt halflt1 cr wcel wa wi halfre 1re
      pm3.2i ltle ax-mp a1i dnibndlem10 leabsd dnibndlem1 mpbird ) ADEJCEJKLMJD
      CKLZMJZNODPUDUALZQLRJDKLMJZCVGQLRJCKLMJZKLZMJZVFNOAVKPVFAVJAVJAVHVIADHSAC
      GSUBUCUEZAUFZAVEAVEADCHGUBZUCUEZAVKVGPVLAPVMUGVMACDGHUHVGPNOZAVGPUIOZVPUJ
      VGUKULZPUKULZUMVQVPUNVRVSUOUPUQVGPURUSUSUTTAPVEVFVMVNVOACDGHIVAAVEVNVBTTA
      BCDVFEFGHVCVD $.
  $}

  ${
    $d A x $.  $d B x $.
    dnibndlem13.1 $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    dnibndlem13.2 $e |- ( ph -> A e. RR ) $.
    dnibndlem13.3 $e |- ( ph -> B e. RR ) $.
    dnibndlem13.4 $e |- ( ph ->
         ( |_ ` ( A + ( 1 / 2 ) ) ) <_ ( |_ ` ( B + ( 1 / 2 ) ) ) ) $.
    $( Lemma for ~ dnibnd .  (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
    dnibndlem13 $p |- ( ph -> ( abs ` ( ( T ` B ) - ( T ` A ) ) )
                              <_ ( abs ` ( B - A ) ) ) $=
      ( c1 c2 co caddc cfv wbr cle wa cr wcel adantr cdiv cfl clt cmin ad2antrr
      cabs wceq simpr dnibndlem12 eqcomd dnibndlem9 wo cz halfre readdcld flcld
      wb a1i jca zltp1le syl mpbid reflcl peano2re zred leloed wi peano2zd 1cnd
      recnd addassd 1p1e2 oveq2d eqtrd breq1d biimpd orim1d mpjaodan dnibndlem2
      bitrd mpd ) ACJKUALZMLZUBNZDWBMLZUBNZUCOZDENCENUDLUFNDCUDLUFNPOZWDWFUGZAW
      GQZWDKMLZWFPOZWHWDJMLZWFUGZWJWLQBCDEFACRSZWGWLGUEADRSZWGWLHUEWJWLUHUIWJWN
      QZBCDEFAWOWGWNGUEAWPWGWNHUEWQWMWFWJWNUHUJUKWJWMWFUCOZWNULZWLWNULWJWMWFPOZ
      WSWJWGWTAWGUHWJWDUMSZWFUMSZQZWGWTUQAXCWGAXAXBAWCACWBGWBRSAUNURZUOZUPZAWEA
      DWBHXDUOUPZUSTWDWFUTVAVBWJWMWFAWMRSZWGAWDRSZXHAWCRSXIXEWCVCVAZWDVDVATAWFR
      SWGAWFXGVEZTVFVBWJWRWLWNAWRWLVGWGAWRWLAWRWMJMLZWFPOZWLAWMUMSZXBQWRXMUQAXN
      XBAWDXFVHXGUSWMWFUTVAAXLWKWFPAXLWDJJMLZMLWKAWDJJAWDXJVJAVIZXPVKAXOKWDMXOK
      UGAVLURVMVNVOVTVPTVQWAVRAWIQZBCDEFAWOWIGTAWPWIHTXQWDWFAWIUHUJVSAWDWFPOWGW
      IULIAWDWFXJXKVFVBVR $.
  $}

  ${
    $d A x $.  $d B x $.
    dnibnd.1 $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    dnibnd.2 $e |- ( ph -> A e. RR ) $.
    dnibnd.3 $e |- ( ph -> B e. RR ) $.
    $( The "distance to nearest integer" function is 1-Lipschitz continuous,
       i.e., is a short map.  (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
    dnibnd $p |- ( ph -> ( abs ` ( ( T ` B ) - ( T ` A ) ) )
                              <_ ( abs ` ( B - A ) ) ) $=
      ( co caddc cfl cfv cle wbr cmin cabs cr wcel adantr recnd c1 c2 cdiv wceq
      wa dnibndlem13 dnicld2 abssubd breqtrd eqbrtrd halfre a1i readdcld reflcl
      simpr syl letrid mpjaodan ) ACUAUBUCIZJIZKLZDUSJIZKLZMNZDELZCELZOIPLZDCOI
      PLZMNVCVAMNZAVDUEBCDEFACQRZVDGSADQRZVDHSAVDUOUFAVIUEZVGVFVEOIPLZVHMAVGVMU
      DVIAVEVFAVEABDEFHUGTAVFABCEFGUGTUHSVLVMCDOIPLZVHMVLBDCEFAVKVIHSAVJVIGSAVI
      UOUFAVNVHUDVIACDACGTADHTUHSUIUJAVAVCAUTQRVAQRACUSGUSQRAUKULZUMUTUNUPAVBQR
      VCQRADUSHVOUMVBUNUPUQUR $.
  $}

  ${
    $d T d e y z $.  $d x y z $.
    dnicn.1 $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    $( The "distance to nearest integer" function is continuous.  (Contributed
       by Asger C. Ipsen, 4-Apr-2021.) $)
    dnicn $p |- T e. ( RR -cn-> RR ) $=
      ( vz vy vd ve cr co wcel cv cmin cabs cfv clt wbr wi wral crp wa ccncf wf
      wrex dnif simpr simplr dnicld2 simplll resubcld recnd abscld rpred dnibnd
      ad2antrr lelttrd ex ralrimiva breq2 rspceaimv syl2anc rgen2 wss ax-resscn
      cc wb elcncf2 mp2an mpbir2an ) BHHUAIJZHHBUBZDKZEKZLIZMNZFKZOPZVKBNZVLBNZ
      LIZMNZGKZOPZQDHRFSUCZGSREHRZABCUDWCEGHSVLHJZWASJZTZWFVNWAOPZWBQZDHRWCWEWF
      UEZWGWIDHWGVKHJZTZWHWBWLWHTZVTVNWAWMVSWMVSWMVQVRWMAVKBCWGWKWHUFZUGWMAVLBC
      WEWFWKWHUHZUGUIUJUKWMVMWMVMWMVKVLWNWOUIUJUKWMWAWGWFWKWHWJUNULWMAVLVKBCWOW
      NUMWLWHUEUOUPUQVPWHWBFDWASHVOWAVNOURUSUTVAHVDVBZWPVIVJWDTVEVCVCEGFDHHBVFV
      GVH $.
  $}

  ${
    $d A n y $.  $d C n y $.  $d M n $.  $d N n y $.  $d T n y $.  $d ph y n $.
    knoppcnlem1.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppcnlem1.2 $e |- ( ph -> A e. RR ) $.
    knoppcnlem1.3 $e |- ( ph -> M e. NN0 ) $.
    $( Lemma for ~ knoppcn .  (Contributed by Asger C. Ipsen, 4-Apr-2021.) $)
    knoppcnlem1 $p |- ( ph -> ( ( F ` A ) ` M ) =
            ( ( C ^ M ) x. ( T ` ( ( ( 2 x. N ) ^ M ) x. A ) ) ) ) $=
      ( cexp co cmul cfv cn0 cvv wceq oveq2 cv cmpt fveq2d oveq2d mpteq2dv wcel
      c2 cr nn0ex mptex a1i fvmptd3 fvoveq1d oveq12d adantl ovexd fvmptd ) AFHD
      FUAZMNZUGIONZURMNZCONZEPZONZDHMNZUTHMNZCONEPZONZQCGPRABCFQUSVABUAZONZEPZO
      NZUBFQVDUBZUHGRJVICSZFQVLVDVNVKVCUSOVNVJVBEVICVAOTUCUDUEKVMRUFAFQVDUIUJUK
      ULURHSZVDVHSAVOUSVEVCVGOURHDMTVOVAVFCEOURHUTMTUMUNUOLAVEVGOUPUQ $.
  $}

  ${
    $d A x $.  $d M x $.  $d N x $.
    knoppcnlem2.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppcnlem2.n $e |- ( ph -> N e. NN ) $.
    knoppcnlem2.1 $e |- ( ph -> C e. RR ) $.
    knoppcnlem2.2 $e |- ( ph -> A e. RR ) $.
    knoppcnlem2.3 $e |- ( ph -> M e. NN0 ) $.
    $( Lemma for ~ knoppcn .  (Contributed by Asger C. Ipsen, 4-Apr-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppcnlem2 $p |- ( ph ->
        ( ( C ^ M ) x. ( T ` ( ( ( 2 x. N ) ^ M ) x. A ) ) ) e. RR ) $=
      ( cexp co c2 cmul reexpcld cr wcel remulcld cfv 2re a1i nnre syl dnicld2
      cn ) ADFMNOGPNZFMNZCPNZEUAADFJLQABUJEHAUICAUHFAOGORSAUBUCAGUGSGRSIGUDUETL
      QKTUFT $.
  $}

  ${
    $d A n y $.  $d A x $.  $d C n y $.  $d M n $.  $d M x $.  $d N n y $.
    $d N x $.  $d T n y $.  $d ph n y $.
    knoppcnlem3.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppcnlem3.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppcnlem3.n $e |- ( ph -> N e. NN ) $.
    knoppcnlem3.1 $e |- ( ph -> C e. RR ) $.
    knoppcnlem3.2 $e |- ( ph -> A e. RR ) $.
    knoppcnlem3.3 $e |- ( ph -> M e. NN0 ) $.
    $( Lemma for ~ knoppcn .  (Contributed by Asger C. Ipsen, 4-Apr-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppcnlem3 $p |- ( ph -> ( ( F ` A ) ` M ) e. RR ) $=
      ( cfv cexp co cmul c2 cr knoppcnlem1 knoppcnlem2 eqeltrd ) AIDHQQEIRSUAJT
      SIRSDTSFQTSUBACDEFGHIJLOPUCABDEFIJKMNOPUDUE $.
  $}

  ${
    $d A n y $.  $d A x $.  $d C m $.  $d C n y $.  $d M m $.  $d M n $.
    $d M x $.  $d N n y $.  $d N x $.  $d T n y $.  $d ph m $.  $d ph n y $.
    knoppcnlem4.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppcnlem4.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppcnlem4.n $e |- ( ph -> N e. NN ) $.
    knoppcnlem4.1 $e |- ( ph -> C e. RR ) $.
    knoppcnlem4.2 $e |- ( ph -> A e. RR ) $.
    knoppcnlem4.3 $e |- ( ph -> M e. NN0 ) $.
    $( Lemma for ~ knoppcn .  (Contributed by Asger C. Ipsen, 4-Apr-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppcnlem4 $p |- ( ph ->
        ( abs ` ( ( F ` A ) ` M ) ) <_
        ( ( m e. NN0 |-> ( ( abs ` C ) ^ m ) ) ` M ) ) $=
      ( cfv cabs co cexp c2 cmul cn0 cv cmpt knoppcnlem1 fveq2d recnd expcld cr
      cle wcel 2re a1i cn nnre remulcld reexpcld dnicld2 absmuld absexpd oveq1d
      syl eqtrd c1 abscld 1red absge0d expge0d cdiv cfl cmin wceq dnival halfre
      caddc cc readdcld reflcl resubcld absidm eqeltrrd wbr rddif halflt1 ltlei
      clt 1re ax-mp letrd eqbrtrd lemul2ad ax-1rid breqtrd adantl fvmptd eqcomd
      eqidd oveq2 ) AJDIRRZSREJUATZUBKUCTZJUATZDUCTZFRZUCTZSRZJGUDESRZGUEZUATZU
      FZRZULAXAXGSACDEFHIJKMPQUGUHAXHXIJUATZXMULAXHXNXFSRZUCTZXNULAXHXBSRZXOUCT
      XPAXBXFAEJAEOUIZQUJAXFABXEFLAXDDAXCJAUBKUBUKUMAUNUOAKUPUMKUKUMNKUQVDURQUS
      PURZUTZUIZVAAXQXNXOUCAEJXRQVBVCVEAXPXNVFUCTZXNULAXOVFXNAXFYAVGAVHZAXIJAEX
      RVGZQUSZAXIJYDQAEXRVIVJAXOXEVFUBVKTZVQTZVLRZXEVMTZSRZVFULAXOYJSRZYJAXFYJS
      AXEUKUMZXFYJVNXSBXEFLVOVDZUHAYIVRUMYKYJVNAYIAYHXEAYGUKUMYHUKUMAXEYFXSYFUK
      UMAVPUOZVSYGVTVDXSWAUIYIWBVDVEAYJYFVFAXFYJUKYMXTWCYNYCAYLYJYFULWDXSXEWEVD
      YFVFULWDZAYFVFWHWDYOWFYFVFVPWIWGWJUOWKWLWMAXNUKUMYBXNVNYEXNWNVDWOWLAXMXNA
      GJXKXNUDXLUKAXLWSXJJVNXKXNVNAXJJXIUAWTWPQYEWQWRWOWL $.
  $}

  ${
    $d C n y $.  $d N n y $.  $d N x $.  $d T n y $.  $d ph m n y z $.
    $d m x z $.
    knoppcnlem5.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppcnlem5.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppcnlem5.n $e |- ( ph -> N e. NN ) $.
    knoppcnlem5.1 $e |- ( ph -> C e. RR ) $.
    $( Lemma for ~ knoppcn .  (Contributed by Asger C. Ipsen, 4-Apr-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppcnlem5 $p |- ( ph ->
        ( m e. NN0 |-> ( z e. RR |-> ( ( F ` z ) ` m ) ) )
                         : NN0 --> ( CC ^m RR ) ) $=
      ( cn0 cr cc wcel wa cvv cv cfv cmpt cmap co wf ad2antrr simpr knoppcnlem3
      cn simplr recnd fmpttd wb cnex reex pm3.2i elmapg ax-mp sylibr ) AGODPGUA
      ZDUAZIUBUBZUCZQPUDUEZAVAORZSZPQVDUFZVDVERZVGDPVCQVGVBPRZSZVCVKBCVBEFHIVAJ
      KLAJUJRVFVJMUGAEPRVFVJNUGVGVJUHAVFVJUKUIULUMQTRZPTRZSVIVHUNVLVMUOUPUQQPVD
      TTURUSUTUM $.
  $}

  ${
    $d C k m n w y $.  $d F k m w z $.  $d N n y $.  $d N x $.  $d T n y $.
    $d ph k m n w y z $.  $d k m w x z $.
    knoppcnlem6.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppcnlem6.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppcnlem6.n $e |- ( ph -> N e. NN ) $.
    knoppcnlem6.1 $e |- ( ph -> C e. RR ) $.
    knoppcnlem6.2 $e |- ( ph -> ( abs ` C ) < 1 ) $.
    $( Lemma for ~ knoppcn .  (Contributed by Asger C. Ipsen, 4-Apr-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppcnlem6 $p |- ( ph ->
        seq 0 ( oF + , ( m e. NN0 |-> ( z e. RR |-> ( ( F ` z ) ` m ) ) ) )
        e. dom ( ~~>u ` RR ) ) $=
      ( cr cn0 cfv cvv wcel vw vk cv cmpt cabs cexp co cc0 0zd reex knoppcnlem5
      nn0uz a1i nn0ex mptex wa wceq eqid simpr oveq2d ovexd fvmptd recnd abscld
      adantr reexpcld eqeltrd fveq2d mpteq2dv adantrr fveq1d simprr knoppcnlem4
      cle fvexd cn eqbrtrd caddc cseq c1 cmin cdiv cli wbr cdm cc absidm geolim
      clt syl seqex ovex breldm mtest ) AUAPUBGQDPGUCZDUCZIRZRZUDZUDZGQEUERZWOU
      FUGZUDZUHSSQULAUIPSTAUJUMABCDEFGHIJKLMNUKXCSTAGQXBUNUOUMAUBUCZQTZUPZXDXCR
      ZXAXDUFUGZPXFGXDXBXHQXCSXCXCUQXFXCURUMXFWOXDUQZUPWOXDXAUFXFXIUSUTAXEUSZXF
      XAXDUFVAVBZXFXAXDAXAPTXEAEAENVCZVDZVEXJVFVGAXEUAUCZPTZUPZUPZXNXDWTRZRZUER
      XDXNIRZRZUERXGVNXQXSYAUEXQDXNXDWQRZYAPXRSXQGXDWSDPYBUDZQWTSWTWTUQXQWTURUM
      XQXIUPZDPWRYBYDWOXDWQXQXIUSVHVIAXEXEXOXJVJZYCSTXQDPYBUJUOUMVBXQWPXNUQZUPZ
      XDWQXTYGWPXNIXQYFUSVHVKAXEXOVLZXQXDXTVOVBVHXQBCXNEFGHIXDJKLAJVPTXPMVEAEPT
      XPNVEYHYEVMVQAVRXCUHVSZVTVTXAWAUGZWBUGZWCWDYIWCWETAXAUBXCAXAXMVCAXAUERZXA
      VTWIAEWFTYLXAUQXLEWGWJOVQXKWHYIYKWCVRXCUHWKVTYJWBWLWMWJWN $.
  $}

  ${
    $d F k m w z $.  $d M k m w $.  $d ph k m w $.
    knoppcnlem7.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppcnlem7.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppcnlem7.n $e |- ( ph -> N e. NN ) $.
    knoppcnlem7.1 $e |- ( ph -> C e. RR ) $.
    knoppcnlem7.2 $e |- ( ph -> M e. NN0 ) $.
    $( Lemma for ~ knoppcn .  (Contributed by Asger C. Ipsen, 4-Apr-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppcnlem7 $p |- ( ph ->
        ( seq 0
            ( oF + , ( m e. NN0 |-> ( z e. RR |-> ( ( F ` z ) ` m ) ) ) )
        ` M )
        = ( w e. RR |-> ( seq 0 ( + , ( F ` w ) ) ` M ) ) ) $=
      ( cr cfv wcel vk caddc cn0 cv cmpt cc0 cvv reex a1i cuz elnn0uz sylib cfz
      co wa wceq eqid fveq2 fveq1d cbvmptv mpteq2dv adantl eqtrd elfznn0 fvmptd
      mptex seqof ) AUAERUBHUCDRHUDZDUDZJSZSZUEZUEZEUDZJSZUFKUGRUGTAUHUIAKUCTKU
      FUJSTQKUKULAUAUDZUFKUMUNTZUOZHVPVLERVPVOSZUEZUCVMUGVMVMUPVRVMUQUIVRVHVPUP
      ZUOZVLERVHVOSZUEZVTVLWDUPWBDERVKWCVIVNUPVHVJVOVIVNJURUSUTUIWAWDVTUPVRWAER
      WCVSVHVPVOURVAVBVCVQVPUCTAVPKVDVBVTUGTVRERVSUHVFUIVEVG $.
  $}

  ${
    $d C n y $.  $d F a b k w $.  $d F k m w z $.  $d N n y $.  $d N x $.
    $d T n y $.  $d ph a k n w y $.  $d a w x $.  $d ph b k w $.  $d ph m w $.
    knoppcnlem8.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppcnlem8.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppcnlem8.n $e |- ( ph -> N e. NN ) $.
    knoppcnlem8.1 $e |- ( ph -> C e. RR ) $.
    $( Lemma for ~ knoppcn .  (Contributed by Asger C. Ipsen, 4-Apr-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppcnlem8 $p |- ( ph ->
        seq 0 ( oF + , ( m e. NN0 |-> ( z e. RR |-> ( ( F ` z ) ` m ) ) ) )
                : NN0 --> ( CC ^m RR ) ) $=
      ( cn0 cc cr cfv cc0 wcel vk vw va vb cmap co cv caddc cof cmpt cseq wf wa
      cn adantr simpr knoppcnlem7 cuz simplr nn0uz eleqtrdi cfz ad2antrr adantl
      elfznn0 knoppcnlem3 recnd addcl seqcl fmpttd cvv cnex pm3.2i elmapg ax-mp
      wb reex sylibr eqeltrd wfn wceq cz 0z seqfn fneq2i mpbir dffn5 mpbi feq1i
      ) AOPQUEUFZUAOUAUGZUHUIZGODQGUGDUGIRRUJUJZSUKZRZUJZULOWJWNULAUAOWOWJAWKOT
      ZUMZWOUBQWKUHUBUGZIRZSUKRZUJZWJWRBCDUBEFGHIWKJKLAJUNTZWQMUOZAEQTZWQNUOZAW
      QUPUQWRQPXBULZXBWJTZWRUBQXAPWRWSQTZUMZUCUDUHPWTSWKXJWKOSURRZAWQXIUSUTVAXJ
      UCUGZSWKVBUFTZUMZXLWTRXNBCWSEFHIXLJKLWRXCXIXMXDVCWRXEXIXMXFVCWRXIXMUSXMXL
      OTXJXLWKVEVDVFVGXLPTUDUGZPTUMXLXOUHUFPTXJXLXOVHVDVIVJPVKTZQVKTZUMXHXGVPXP
      XQVLVQVMPQXBVKVKVNVOVRVSVJOWJWNWPWNOVTZWNWPWAXRWNXKVTZSWBTXSWCWLWMSWDVOOX
      KWNUTWEWFUAOWNWGWHWIVR $.
  $}

  ${
    $d C m n y $.  $d F f i m w z $.  $d F f k m v w z $.  $d N n y $.
    $d N x $.  $d T n y $.  $d W f $.  $d ph f i m w z $.  $d ph i m n w y z $.
    $d i m w x z $.  $d ph k m v w z $.
    knoppcnlem9.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppcnlem9.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppcnlem9.w $e |- W = ( w e. RR |-> sum_ i e. NN0 ( ( F ` w ) ` i ) ) $.
    knoppcnlem9.n $e |- ( ph -> N e. NN ) $.
    knoppcnlem9.1 $e |- ( ph -> C e. RR ) $.
    knoppcnlem9.2 $e |- ( ph -> ( abs ` C ) < 1 ) $.
    $( Lemma for ~ knoppcn .  (Contributed by Asger C. Ipsen, 4-Apr-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppcnlem9 $p |- ( ph ->
        seq 0 ( oF + , ( m e. NN0 |-> ( z e. RR |-> ( ( F ` z ) ` m ) ) ) )
        ( ~~>u ` RR ) W ) $=
      ( cr vf vk vv caddc cof cn0 cv cfv cmpt cc0 cseq culm wbr wex knoppcnlem6
      cdm wcel seqex eldm sylib wa simpr csu wceq cc ulmcl feqmptd adantl nn0uz
      0zd eqidd ad2antrr simplr knoppcnlem3 adantllr recnd cvv cmap knoppcnlem8
      cn co wf knoppcnlem7 fveq1d eqid fveq2 seqeq3d adantr fvexd fvmptd3 eqtrd
      a1i ulmclm isumclim eqcomd mpteq2dva 3eqtrd breqtrd ex exlimdv mpd ) AUDU
      EZIUFDTIUGDUGKUHUHUIUIZUJUKZUAUGZTULUHZUMZUAUNZXDMXFUMZAXDXFUPUQXHABCDFGI
      JKLNOQRSUOUAXDXFXBXCUJURUSUTAXGXIUAAXGXIAXGVAZXDXEMXFAXGVBXJXEETEUGZXEUHZ
      UIZETUFHUGZXKKUHZUHZHVCZUIZMXGXEXMVDAXGETVEXETXDXEVFVGVHXJETXLXQXJXKTUQZV
      AZXQXLXTXPXLHXOUJUFVIXTVJZXTXNUFUQZVAZXPVKYCXPAXSYBXPTUQXGAXSVAZYBVABCXKF
      GJKXNLNOALVTUQZXSYBQVLAFTUQZXSYBRVLAXSYBVMYDYBVBVNVOVPXTXKTUBXDXEUDXOUJUK
      ZUJVQUFVIYAAUFVETVRWAXDWBXGXSABCDFGIJKLNOQRVSVLXJXSVBZYGVQUQXTUDXOUJURWLX
      TUBUGZUFUQZVAZXKYIXDUHZUHXKUCTYIUDUCUGZKUHZUJUKZUHZUIZUHYIYGUHZYKXKYLYQAX
      SYJYLYQVDXGYDYJVABCDUCFGIJKYILNOAYEXSYJQVLAYFXSYJRVLYDYJVBWCVOWDYKUCXKYPY
      RTYQVQYQWEYMXKVDZYIYOYGYSYNXOUDUJYMXKKWFWGWDXTXSYJYHWHYKYIYGWIWJWKAXGXSVM
      WMWNWOWPXJMXRMXRVDXJPWLWOWQWRWSWTXA $.
  $}

  ${
    $d C n y z $.  $d M n z $.  $d N n y z $.  $d T n y z $.  $d ph n y z $.
    knoppcnlem10.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppcnlem10.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppcnlem10.n $e |- ( ph -> N e. NN ) $.
    knoppcnlem10.1 $e |- ( ph -> C e. RR ) $.
    knoppcnlem10.2 $e |- ( ph -> M e. NN0 ) $.
    $( Lemma for ~ knoppcn .  (Contributed by Asger C. Ipsen, 4-Apr-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppcnlem10 $p |- ( ph -> ( z e. RR |-> ( ( F ` z ) ` M ) )
      e. ( ( topGen ` ran (,) ) Cn ( TopOpen ` CCfld ) ) ) $=
      ( cr cfv co wcel cc cv cmpt cexp c2 cmul cioo crn ctg ccnfld ctopn ccn wa
      simpr cn0 adantr knoppcnlem1 mpteq2dva ctopon retopon a1i eqid cnfldtopon
      recnd expcld cnmptc crest 2re cn nnre syl remulcld reexpcld tgioo2 oveq2i
      ctop wss topontopi cnrest2r ax-mp eqsstri cnmptid sselid ctx cnmpt12f w3a
      mulcn wb fmpttd frnd ax-resscn 3jca cnrest2 mpbid eleqtrrdi pm3.2i cncfss
      ccncf ssid dnicn wceq toponrestid cncfcn eleqtrdi cnmpt11f eqeltrd ) ADPI
      DUAZHQQZUBDPEIUCRZUDJUERZIUCRZXFUERZFQZUERZUBUFUGUHQZUIUJQZUKRZADPXGXMAXF
      PSZULZCXFEFGHIJLAXQUMZAIUNSXQOUOUPUQADXHXLUEXNXOXOXOPXNPURQSAUSUTZADXHXNX
      OPTXTXOTURQSZAXOXOVAZVBZUTZAEIAENVCOVDVEADXKFXNXNXOPXTADPXKUBZXNXOPVFRZUK
      RZXNXNUKRZAYEXPSZYEYGSZADXJXFUEXNXOXOXOPXTADXJXNXOPTXTYDAXJAXIIAUDJUDPSAV
      GUTAJVHSJPSMJVIVJVKOVLZVCVEAYHXPDPXFUBYHYGXPXNYFXNUKXOYBVMZVNZXOVOSYGXPVP
      TXOYCVQPXNXOVRVSVTADXNPXTWAWBUEXOXOWCRXOUKRSAXOYBWFUTZWDAYAYEUGPVPZPTVPZW
      EYIYJWGAYAYOYPYDAPPYEADPXKPXRXJXFAXJPSXQYKUOXSVKWHWIYPAWJUTWKPYEXNXOTWLVJ
      WMYMWNAFPTWQRZXPAPPWQRZYQFYPTTVPZULZYRYQVPYPYSWJTWRWOZPPTWPVSFYRSABFKWSUT
      WBYTYQXPWTUUAPTXOXNXOYBYLXOTYCXAXBVSXCXDYNWDXE $.
  $}

  ${
    $d C n w y $.  $d F k l w $.  $d F k m w z $.  $d N n w y $.  $d N w x $.
    $d T n w y $.  $d ph k l n w y $.  $d l w x $.  $d ph m w $.
    knoppcnlem11.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppcnlem11.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppcnlem11.n $e |- ( ph -> N e. NN ) $.
    knoppcnlem11.1 $e |- ( ph -> C e. RR ) $.
    $( Lemma for ~ knoppcn .  (Contributed by Asger C. Ipsen, 4-Apr-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppcnlem11 $p |- ( ph ->
        seq 0 ( oF + , ( m e. NN0 |-> ( z e. RR |-> ( ( F ` z ) ` m ) ) ) )
                : NN0 --> ( RR -cn-> CC ) ) $=
      ( vw cn0 cr cfv cc0 wcel vk vl cc ccncf co cv caddc cof cmpt cseq cfz csu
      wf wa cn adantr simpr knoppcnlem7 eqidd cuz simplr elnn0uz sylib ad2antrr
      elfzuz nn0uz eleqtrrdi adantl knoppcnlem3 recnd fsumser eqcomd eqtrd cioo
      mpteq2dva crn ctg ccnfld ctopn ccn eqid ctopon retopon fzfid knoppcnlem10
      a1i fsumcn wss wceq ax-resscn pm3.2i tgioo2 cnfldtopon toponrestid cncfcn
      ssid ax-mp eqeltrd fmpttd wfn cz 0z seqfn fneq2i mpbir dffn5 feq1i sylibr
      mpbi ) APQUCUDUEZUAPUAUFZUGUHZGPDQGUFDUFIRRUIUIZSUJZRZUIZUMPXJXNUMAUAPXOX
      JAXKPTZUNZXOOQSXKUKUEZUBUFZOUFZIRZRZUBULZUIZXJXRXOOQXKUGYBSUJRZUIYEXRBCDO
      EFGHIXKJKLAJUOTZXQMUPZAEQTZXQNUPZAXQUQURXROQYFYDXRYAQTZUNZYDYFYLYCUBYBSXK
      YLXTXSTZUNZYCUSYLXQXKSUTRZTAXQYKVAXKVBVCYNYCYNBCYAEFHIXTJKLXRYGYKYMYHVDXR
      YIYKYMYJVDXRYKYMVAYMXTPTZYLYMXTYOPXTSXKVEVFVGZVHVIVJVKVLVOVMXRYEVNVPVQRZV
      RVSRZVTUEZXJXROXSYCUBYRYSQYSWAZYRQWBRTXRWCWFXRSXKWDXRYMUNBCOEFHIXTJKLXRYG
      YMYHUPXRYIYMYJUPYMYPXRYQVHWEWGQUCWHZUCUCWHZUNXJYTWIUUBUUCWJUCWPWKQUCYSYRY
      SUUAYSUUAWLYSUCYSUUAWMWNWOWQVGWRWSPXJXNXPXNPWTZXNXPWIUUDXNYOWTZSXATUUEXBX
      LXMSXCWQPYOXNVFXDXEUAPXNXFXIXGXH $.
  $}

  ${
    $d C m n y $.  $d F i m w z $.  $d N n y $.  $d N x $.  $d T n y $.
    $d ph i m n w y z $.  $d i m w x z $.
    knoppcn.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppcn.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppcn.w $e |- W = ( w e. RR |-> sum_ i e. NN0 ( ( F ` w ) ` i ) ) $.
    knoppcn.n $e |- ( ph -> N e. NN ) $.
    knoppcn.1 $e |- ( ph -> C e. RR ) $.
    knoppcn.2 $e |- ( ph -> ( abs ` C ) < 1 ) $.
    $( The continuous nowhere differentiable function ` W ` ( Knopp, K. (1918).
       Math.  Z. 2, 1-26 ) is, in fact, continuous.  (Contributed by Asger C.
       Ipsen, 4-Apr-2021.)  (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppcn $p |- ( ph -> W e. ( RR -cn-> CC ) ) $=
      ( vm vz cr caddc cof cn0 cfv cmpt cc0 cseq nn0uz knoppcnlem11 knoppcnlem9
      cv 0zd ulmcn ) ATUAUBRUCSTRUKSUKIUDUDUEUEUFUGKUFUCUHAULABCSEFRHIJLMOPUIAB
      CSDEFGRHIJKLMNOPQUJUM $.
  $}

  ${
    $d C n y $.  $d F i w $.  $d N n y $.  $d N x $.  $d T n y $.
    $d ph i n w y $.  $d i w x $.
    knoppcld.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppcld.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppcld.w $e |- W = ( w e. RR |-> sum_ i e. NN0 ( ( F ` w ) ` i ) ) $.
    knoppcld.a $e |- ( ph -> A e. RR ) $.
    knoppcld.n $e |- ( ph -> N e. NN ) $.
    knoppcld.1 $e |- ( ph -> C e. RR ) $.
    knoppcld.2 $e |- ( ph -> ( abs ` C ) < 1 ) $.
    $( Closure theorem for Knopp's function.  (Contributed by Asger C. Ipsen,
       26-Jul-2021.) $)
    knoppcld $p |- ( ph -> ( W ` A ) e. CC ) $=
      ( cr cc ccncf co wcel wf knoppcn cncff syl ffvelrnd ) ATUAELALTUAUBUCUDTU
      ALUEABCDFGHIJKLMNOQRSUFTUALUGUHPUI $.
  $}

  ${
    $d A b d x $.  $d A d x y $.  $d F b d x $.  $d F d x y $.  $d S b d x $.
    $d S d x y $.  $d ph b c d x $.  $d ph c d x y $.
    unblimceq0lem.0 $e |- ( ph -> S C_ CC ) $.
    unblimceq0lem.1 $e |- ( ph -> F : S --> CC ) $.
    unblimceq0lem.2 $e |- ( ph -> A e. CC ) $.
    unblimceq0lem.3 $e |- ( ph -> A. b e. RR+ A. d e. RR+ E. x e. S
      ( ( abs ` ( x - A ) ) < d /\ b <_ ( abs ` ( F ` x ) ) ) ) $.
    $( Lemma for ~ unblimceq0 .  (Contributed by Asger C. Ipsen,
       12-May-2021.) $)
    unblimceq0lem $p |- ( ph -> A. c e. RR+ A. d e. RR+ E. y e. S
      ( y =/= A /\ ( abs ` ( y - A ) ) < d /\ c <_ ( abs ` ( F ` y ) ) ) ) $=
      ( cabs wbr cle crp wcel wa adantr cv wne cmin cfv clt w3a wrex caddc wral
      co wceq breq1 anbi2d rexbidv ralbidv cc wf ad2antrr simpr ffvelrnd abscld
      cif cr simprl rpred readdcld absge0d cc0 rpgt0d addgegt0d elrpd wn ifclda
      simplrl rspcdva simprr rsp sylc wb fvoveq1 breq1d 2fveq3 breq2d 3anbi123d
      neeq1 adantl adantlr iftrued eqcomd simprrr eqbrtrd wi ltaddposd mpbid ex
      lensymd necon3bd addge02d letrd 3jca eqeltrrd iffalsed pm2.61dan rspcedvd
      mpd simprrl rexlimddv ralrimivva ) ACUAZDUBZXIDUCUJNUDZIUAZUEOZHUAZXIFUDN
      UDZPOZUFZCEUGZHIQQAXNQRZXLQRZSZSZBUAZDUCUJNUDZXLUEOZDERZDFUDZNUDZXNUHUJZX
      NVBZYCFUDZNUDZPOZSZXRBEYBYNBEUGZIQUIZXTYOYBYEGUAZYLPOZSZBEUGZIQUIZYPGQYJY
      QYJUKZYTYOIQUUBYSYNBEUUBYRYMYEYQYJYLPULUMUNUOAUUAGQUIYAMTYBYFYIXNQYBYFSZY
      IUUCYHXNUUCYGUUCEUPDFAEUPFUQZYAYFKURYBYFUSUTZVAZYBXNVCRZYFYBXNAXSXTVDZVET
      ZVFZUUCYHXNUUFUUIUUCYGUUEVGYBVHXNUEOZYFYBXNUUHVITZVJVKAXSXTYFVLZVNVMVOAXS
      XTVPYOIQVQVRYBYCERZYNSZSZXQYCDUBZYEXNYLPOZUFZCYCEYBUUNYNVDZXIYCUKZXQUUSVS
      UUPUVAXJUUQXMYEXPUURXIYCDWEUVAXKYDXLUEXIYCDNUCVTWAUVAXOYLXNPXIYCNFWBWCWDW
      FUUPYFUUSUUPYFSZUUQYEUURUVBYLYIUEOZVLUUQUVBYIYLYBYFYIVCRUUOUUJWGZUUPYLVCR
      YFUUPYKUUPEUPYCFAUUDYAUUOKURUUTUTVATZUVBYIYJYLPUVBYJYIUVBYFYIXNUUPYFUSWHW
      IUUPYMYFYBUUNYEYMWJZTWKZWPUVBUVCYCDYBYFYCDUKZUVCWLUUOUUCUVHUVCUUCUVHSYLYH
      YIUEUVHYLYHUKUUCYCDNFWBWFUUCYHYIUEOZUVHUUCUUKUVIUULUUCXNYHUUIUUFWMWNTWKWO
      WGWQXEUUPYEYFYBUUNYEYMXFZTUVBXNYIYLYBYFUUGUUOUUIWGZUVDUVEUVBVHYHPOXNYIPOU
      VBYGYBYFYGUPRUUOUUEWGVGUVBXNYHUVKYBYFYHVCRUUOUUFWGWRWNUVGWSWTUUPUUMSZUUQY
      EUURUVLUUMUUQUUPUUMUSZUVLYFYCDUVLUVHYFUVLUVHSYCDEUVLUVHUSUVLUUNUVHUUPUUNU
      UMUUTTTXAWOWQXEUUPYEUUMUVJTUVLXNYJYLPUVLYJXNUVLYFYIXNUVMXBWIUUPYMUUMUVFTW
      KWTXCXDXGXH $.
  $}

  ${
    $d A a b d x $.  $d A a c d y z $.  $d A c e y z $.  $d F a b d x $.
    $d F a c d y z $.  $d F c e y z $.  $d S a b d x $.  $d S a c d z $.
    $d S c e z $.  $d ph a b d x $.  $d ph c d y z $.  $d ph e y z $.
    $d x z $.
    unblimceq0.0 $e |- ( ph -> S C_ CC ) $.
    unblimceq0.1 $e |- ( ph -> F : S --> CC ) $.
    unblimceq0.2 $e |- ( ph -> A e. CC ) $.
    unblimceq0.3 $e |- ( ph -> A. b e. RR+ A. d e. RR+ E. x e. S
      ( ( abs ` ( x - A ) ) < d /\ b <_ ( abs ` ( F ` x ) ) ) ) $.
    $( If ` F ` is unbounded near ` A ` it has no limit at ` A ` .
       (Contributed by Asger C. Ipsen, 12-May-2021.) $)
    unblimceq0 $p |- ( ph -> ( F limCC A ) = (/) ) $=
      ( vz vc ve wcel clt wbr crp wrex c1 vy va climc co cv cc wne cmin cabs wa
      cfv wi wral wn 1rp a1i wb breq2 imbi2d rexralbidv notbid adantl caddc cle
      wceq w3a simprr1 simprr2 jca 1red wf ad2antrr adantr simprl simplr subcld
      ffvelrnd abscld cr resubcld 1cnd recnd readdcld simprr3 lesub1dd eqbrtrrd
      pncand abs2difd letrd lensymd 3anbi2d rexbidv breq1 3anbi3d unblimceq0lem
      jcnd ralbidv cc0 0lt1 absge0d addgtge0d elrpd simpr reximddv rexnal sylib
      rspcdva nrexdv rspcedvd ex imnan ellimc3 mtbird eq0rdv ) AUAECUCUDZAUAUEZ
      XOOXPUFOZLUEZCUGZXRCUHUDUIUKZMUEZPQZUJZXREUKZXPUHUDZUIUKZNUEZPQZULZLDUMMR
      SZNRUMZUJZAXQYKUNZULYLUNAXQYMAXQUJZYJUNZNRSYMYNYOYCYFTPQZULZLDUMZMRSZUNZN
      TRTROYNUOUPYGTVEZYOYTUQYNUUAYJYSUUAYIYQMLRDUUAYHYPYCYGTYFPURUSUTVAVBYNYRM
      RYNYAROZUJZYQUNZLDSYRUNUUCXSYBTXPUIUKZVCUDZYDUIUKZVDQZVFZUUDLDUUCXRDOZUUI
      UJZUJZYCYPUULXSYBXSYBUUHUUJUUCVGXSYBUUHUUJUUCVHVIUULTYFUULVJZUULYEUULYDXP
      UULDUFXREUUCDUFEVKZUUKAUUNXQUUBIVLVMUUCUUJUUIVNVQZUUCXQUUKAXQUUBVOZVMZVPV
      RZUULTUUGUUEUHUDZYFUUMUULUUGUUEUULYDUUOVRZUUCUUEVSOUUKUUCXPUUPVRZVMZVTUUR
      UULUUFUUEUHUDTUUSVDUULTUUEUULWAUULUUEUVBWBWGUULUUFUUGUUEUUCUUFVSOUUKUUCTU
      UEUUCVJZUVAWCZVMUUTUVBXSYBUUHUUJUUCWDWEWFUULYDXPUUOUUQWHWIWJWPUUCXSXTGUEZ
      PQZUUHVFZLDSZUUILDSGRYAUVEYAVEZUVGUUILDUVIUVFYBXSUUHUVEYAXTPURWKWLUUCXSUV
      FUBUEZUUGVDQZVFZLDSZGRUMZUVHGRUMUBRUUFUVJUUFVEZUVMUVHGRUVOUVLUVGLDUVOUVKU
      UHXSUVFUVJUUFUUGVDWMWNWLWQAUVNUBRUMXQUUBABLCDEFUBGHIJKWOVLUUCUUFUVDUUCTUU
      EUVCUVAWRTPQUUCWSUPUUCXPUUPWTXAXBXGYNUUBXCXGXDYQLDXEXFXHXIYJNRXEXFXJXQYKX
      KXFANMLDCXPEIHJXLXMXN $.
  $}

  ${
    $d A b d x $.  $d A y z $.  $d F b d x $.  $d F y z $.  $d G b d x $.
    $d S b d x $.  $d S y z $.  $d X b d x $.  $d X z $.  $d ph b d x $.
    $d ph y z $.
    unbdqndv1.g $e |- G = ( z e. ( X \ { A } ) |->
        ( ( ( F ` z ) - ( F ` A ) ) / ( z - A ) ) ) $.
    unbdqndv1.1 $e |- ( ph -> S C_ CC ) $.
    unbdqndv1.2 $e |- ( ph -> X C_ S ) $.
    unbdqndv1.3 $e |- ( ph -> F : X --> CC ) $.
    unbdqndv1.4 $e |- ( ph -> A. b e. RR+ A. d e. RR+ E. x e. ( X \ { A } )
      ( ( abs ` ( x - A ) ) < d /\ b <_ ( abs ` ( G ` x ) ) ) ) $.
    $( If the difference quotient
       ` ( ( ( F `` z ) - ( F `` A ) ) / ( z - A ) ) ` is unbounded near ` A `
       then ` F ` is not differentiable at ` A ` .  (Contributed by Asger C.
       Ipsen, 12-May-2021.) $)
    unbdqndv1 $p |- ( ph -> -. A e. dom ( S _D F ) ) $=
      ( vy co wn cfv cc cdv cdm wcel wa cv wbr wal ccnfld ctopn crest cnt climc
      c0 noel a1i csn cdif wss sstrd adantr ssdifssd cmin wf dvbss sselda dvlem
      cdiv fmptd sseldd cabs clt cle wrex crp wral unblimceq0 neleqtrrd intnand
      wb eqid eldv notbid mpbird alrimiv wex simpr eldmg syl alnex bicomd bitrd
      pm2.01da ) ADEFUAQZUBZUCZAWOUDZWORZDPUEZWMUFZRZPUGZWPWTPWPWTDHUHUISZEUJQZ
      UKSSUCZWRGDULQZUCZUDZRZWPXFXDWPXEUMWRWRUMUCRWPWRUNUOWPBDHDUPZUQZGIJWPHTXI
      AHTURWOAHETMLUSUTZVAWPCXJCUEZFSDFSVBQXLDVBQVGQTGWPXLDHFAHTFVCWONUTXKAWNHD
      AHEFLNMVDVEZVFKVHWPHTDXKXMVIABUEZDVBQVJSJUEVKUFIUEXNGSVJSVLUFUDBXJVMJVNVO
      IVNVOWOOUTVPVQVRAWTXHVSWOAWSXGACHDWREXCFGXBXCVTXBVTKLNMWAWBUTWCWDWPWQWSPW
      EZRZXAWPWOXOWPWOWOXOVSAWOWFPDWMWNWGWHWBWPXAXPXAXPVSWPWSPWIUOWJWKWCWL $.
  $}

  ${
    unbdqndv2lem1.a $e |- ( ph -> A e. CC ) $.
    unbdqndv2lem1.b $e |- ( ph -> B e. CC ) $.
    unbdqndv2lem1.c $e |- ( ph -> C e. CC ) $.
    unbdqndv2lem1.d $e |- ( ph -> D e. CC ) $.
    unbdqndv2lem1.e $e |- ( ph -> E e. RR+ ) $.
    unbdqndv2lem1.1 $e |- ( ph -> D =/= 0 ) $.
    unbdqndv2lem1.2 $e |- ( ph ->
          ( 2 x. E ) <_ ( abs ` ( ( A - B ) / D ) ) ) $.
    $( Lemma for ~ unbdqndv2 .  (Contributed by Asger C. Ipsen,
       12-May-2021.) $)
    unbdqndv2lem1 $p |- ( ph -> ( ( E x. ( abs ` D ) ) <_ ( abs ` ( A - C ) )
                      \/ ( E x. ( abs ` D ) ) <_ ( abs ` ( B - C ) ) ) ) $=
      ( cabs co wbr clt adantr cr wcel cfv cmul cmin cle wo cdiv c2 wceq subcld
      wn wa absdivd caddc abscld readdcld 2re a1i rpred remulcld abssubd oveq2d
      abs3difd breqtrd pm2.45 adantl ltnled mpbird pm2.46 lt2addd recnd 2timesd
      wb eqcomd mulassd eqtrd lelttrd cc0 w3a wne cc absgt0 syl mpbid ltdivmul2
      jca 3jca eqbrtrd divcld lenltd condan ) AFENUAZUBOZBDUCOZNUAZUDPZWLCDUCOZ
      NUAZUDPZUEZBCUCOZEUFOZNUAZUGFUBOZQPZAWSUJZUKZXBWTNUAZWKUFOZXCQAXBXHUHXEAW
      TEABCGHUIZJLULRXFXHXCQPZXGXCWKUBOZQPZXFXGWNWQUMOZXKAXGSTZXEAWTXIUNZRAXMST
      XEAWNWQAWMABDGIUIUNZAWPACDHIUIUNZUORAXKSTXEAXCWKAUGFUGSTAUPUQZAFKURZUSZAE
      JUNZUSRAXGXMUDPXEAXGWNDCUCONUAZUMOXMUDABCDGHIVBAYBWQWNUMADCIHUTVAVCRXFXMW
      LWLUMOZXKQXFWNWQWLWLAWNSTXEXPRAWQSTXEXQRAWLSTXEAFWKXSYAUSZRZYEXFWNWLQPZWO
      UJZXEYGAWOWRVDVEAYFYGVLXEAWNWLXPYDVFRVGXFWQWLQPZWRUJZXEYIAWOWRVHVEAYHYIVL
      XEAWQWLXQYDVFRVGVIAYCXKUHXEAYCUGWLUBOZXKAYJYCAWLAWLYDVJVKVMAXKYJAUGFWKAUG
      XRVJAFXSVJAWKYAVJVNVMVORVCVPAXJXLVLZXEAXNXCSTZWKSTZVQWKQPZUKZVRYKAXNYLYOX
      OXTAYMYNYAAEVQVSZYNLAEVTTYPYNVLJEWAWBWCWEWFXGXCWKWDWBRVGWGAXDUJZXEAXCXBUD
      PYQMAXCXBXTAXAAWTEXIJLWHUNWIWCRWJ $.
  $}

  ${
    $d A z $.  $d B z $.  $d F z $.  $d U z $.  $d V z $.  $d X z $.
    $d ph z $.
    unbdqndv2lem2.g $e |- G = ( z e. ( X \ { A } ) |->
        ( ( ( F ` z ) - ( F ` A ) ) / ( z - A ) ) ) $.
    unbdqndv2lem2.w $e |- W =
        if ( ( B x. ( V - U ) )
            <_ ( abs ` ( ( F ` U ) - ( F ` A ) ) ) , U , V ) $.
    unbdqndv2lem2.x $e |- ( ph -> X C_ RR ) $.
    unbdqndv2lem2.f $e |- ( ph -> F : X --> CC ) $.
    unbdqndv2lem2.a $e |- ( ph -> A e. X ) $.
    unbdqndv2lem2.b $e |- ( ph -> B e. RR+ ) $.
    unbdqndv2lem2.d $e |- ( ph -> D e. RR+ ) $.
    unbdqndv2lem2.u $e |- ( ph -> U e. X ) $.
    unbdqndv2lem2.v $e |- ( ph -> V e. X ) $.
    unbdqndv2lem2.1 $e |- ( ph -> U =/= V ) $.
    unbdqndv2lem2.2 $e |- ( ph -> U <_ A ) $.
    unbdqndv2lem2.3 $e |- ( ph -> A <_ V ) $.
    unbdqndv2lem2.4 $e |- ( ph -> ( V - U ) < D ) $.
    unbdqndv2lem2.5 $e |- ( ph ->
      ( 2 x. B ) <_ ( ( abs ` ( ( F ` V ) - ( F ` U ) ) ) / ( V - U ) ) ) $.
    $( Lemma for ~ unbdqndv2 .  (Contributed by Asger C. Ipsen,
       12-May-2021.) $)
    unbdqndv2lem2 $p |- ( ph ->
     ( W e. ( X \ { A } ) /\
      ( ( abs ` ( W - A ) ) < D /\ B <_ ( abs ` ( G ` W ) ) ) ) ) $=
      ( cmin cmul cfv cabs cle wbr csn cdif wcel clt cif wceq a1i iftrue adantl
      co eqtrd wne adantr cc0 simplr fveq2 eqcomd oveq2d fveq2d ffvelrnd subidd
      wa cc abs0 adantlr breqtrd wn rpred sseldd resubcld rpgt0d necomd leneltd
      cr letrd posdifd mulgt0d 0red remulcld ltnled pm2.65da neqned jca eldifsn
      mpbid sylibr eqeltrd oveq1d abssuble0d lelttrd eqbrtrd cdiv subcld abscld
      lesub1dd ltled lemul2ad simpr crp wb ltlend mpbird lemuldivd cv cvv oveq1
      oveq12d ovexd fvmptd3 recnd subne0d absdivd iffalsed wo abssubge0d breq1d
      elrp mtbird gtned c2 unbdqndv2lem1 orel2 sylc lesub2dd absrpcld pm2.61dan
      3brtr4d ) ADIFUFVAZUGVAZFGUHZCGUHZUFVAZUIUHZUJUKZJKCULUMZUNZJCUFVAZUIUHZE
      UOUKZDJHUHZUIUHZUJUKZVMZVMAUUEVMZUUGUUNUUOJFUUFUUOJUUEFIUPZFJUUPUQZUUOMUR
      UUEUUPFUQAUUEFIUSUTVBZUUOFKUNZFCVCZVMFUUFUNUUOUUSUUTAUUSUUESVDUUOFCUUOFCU
      QZYTVEUJUKZUUOUVAVMYTUUDVEUJAUUEUVAVFAUVAUUDVEUQUUEAUVAVMZUUDUUAUUAUFVAZU
      IUHZVEUVAUUDUVEUQAUVAUUCUVDUIUVAUUBUUAUUAUFUVAUUAUUBFCGVGVHVIVJUTUVCUVEVE
      UIUHZVEAUVEUVFUQUVAAUVDVEUIAUUAAKVNFGOSVKZVLVJVDUVFVEUQZUVCVOURVBVBVPVQUU
      OUVBVRZUVAAUVIUUEAVEYTUOUKUVIADYSADQVSZAIFAKWEINTVTZAKWEFNSVTZWAZADQWBZAF
      IUOUKVEYSUOUKAFIUVLUVKAFCIUVLAKWECNPVTZUVKUBUCWFZAFIUAWCWDAFIUVLUVKWGWPZW
      HAVEYTAWIZADYSUVJUVMWJZWKWPZVDVDWLWMZWNFKCWOWQZWRUUOUUJUUMUUOUUICFUFVAZEU
      OUUOUUIFCUFVAZUIUHZUWCUUOUUHUWDUIUUOJFCUFUURWSVJAUWEUWCUQUUEAFCUVLUVOUBWT
      VDZVBAUWCEUOUKUUEAUWCYSEACFUVOUVLWAZUVMAERVSZACIFUVOUVKUVLUCXFZUDXAVDXBUU
      ODUUDUWCXCVAZUULUJUUODUWCUGVAZUUDUJUKDUWJUJUKUUOUWKYTUUDAUWKWEUNUUEADUWCU
      VJUWGWJVDAYTWEUNUUEUVSVDAUUDWEUNUUEAUUCAUUAUUBUVGAKVNCGOPVKZXDZXEVDZAUWKY
      TUJUKUUEAUWCYSDUWGUVMUVJAVEDUVRUVJUVNXGZUWIXHVDAUUEXIWFUUODUUDUWCADWEUNZU
      UEUVJVDUWNUUOUWCWEUNZVEUWCUOUKZVMUWCXJUNUUOUWQUWRAUWQUUEUWGVDUUOFCUOUKZUW
      RUUOUWSFCUJUKZCFVCZVMZUUOUWTUXAAUWTUUEUBVDUUOFCUWAWCWNAUWSUXBXKUUEAFCUVLU
      VOXLVDXMAUWSUWRXKUUEAFCUVLUVOWGVDWPWNUWCYHWQXNWPUUOUULUWJUUOUULUUCUWDXCVA
      ZUIUHZUWJUUOUUKUXCUIUUOUUKFHUHUXCUUOJFHUURVJUUOBFBXOZGUHZUUBUFVAZUXECUFVA
      ZXCVAZUXCUUFHXPLUXEFUQZUXGUUCUXHUWDXCUXJUXFUUAUUBUFUXEFGVGWSUXEFCUFXQXRUW
      BUUOUUCUWDXCXSXTVBVJUUOUXDUUDUWEXCVAUWJUUOUUCUWDAUUCVNUNUUEUWMVDAUWDVNUNU
      UEAFCAFUVLYAZACUVOYAZXDVDUUOFCAFVNUNUUEUXKVDACVNUNZUUEUXLVDUWAYBYCUUOUWEU
      WCUUDXCUWFVIVBVBVHVQWNWNAUUEVRZVMZUUGUUNUXOJIUUFUXOJUUPIUUQUXOMURUXOUUEFI
      AUXNXIZYDVBZUXOIKUNZICVCZVMIUUFUNUXOUXRUXSAUXRUXNTVDUXOICUXOICUQZDYSUIUHZ
      UGVAZVEUJUKZUXOUXTVMUYBIGUHZUUBUFVAZUIUHZVEUJUXOUYBUYFUJUKZUXTUXOUYBUUDUJ
      UKZVRUYGUYHYEZUYGUXOUYHUUEUXPAUYHUUEXKUXNAUYBYTUUDUJAUYAYSDUGAFIUVLUVKUVP
      YFZVIZYGVDYIAUYIUXNAUYDUUAUUBYSDAKVNIGOTVKZUVGUWLAYSUVMYAZQAVEYSUVRUVQYJZ
      AYKDUGVAUYDUUAUFVAZUIUHZYSXCVAZUYOYSXCVAUIUHZUJUEAUYRUYQAUYRUYPUYAXCVAUYQ
      AUYOYSAUYDUUAUYLUVGXDUYMUYNYCAUYAYSUYPXCUYJVIVBVHVQYLVDUYHUYGYMYNZVDAUXTU
      YFVEUQUXNAUXTVMZUYFUVFVEUYTUYEVEUIUYTUYEUUBUUBUFVAZVEUXTUYEVUAUQAUXTUYDUU
      BUUBUFICGVGWSUTAVUAVEUQUXTAUUBUWLVLVDVBVJUVHUYTVOURVBVPVQUXOUYCVRZUXTAVUB
      UXNAUYCUVBUVTAUYBYTVEUJUYKYGYIVDVDWLWMZWNIKCWOWQZWRUXOUUJUUMUXOUUIICUFVAZ
      EUOUXOUUIVUEUIUHZVUEUXOUUHVUEUIUXOJICUFUXQWSVJAVUFVUEUQUXNACIUVOUVKUCYFZV
      DVBAVUEEUOUKUXNAVUEYSEAICUVKUVOWAZUVMUWHAFCIUVLUVOUVKUBYOZUDXAVDXBUXODUYF
      VUFXCVAZUULUJUXODVUFUGVAZUYFUJUKDVUJUJUKUXOVUKUYBUYFAVUKWEUNUXNADVUFUVJAV
      UFVUEWEVUGVUHWRZWJVDAUYBWEUNUXNAUYBYTWEUYKUVSWRVDAUYFWEUNUXNAUYEAUYDUUBUY
      LUWLXDZXEVDZAVUKUYBUJUKUXNAVUFUYADVULAUYAYSWEUYJUVMWRUVJUWOAVUEYSVUFUYAUJ
      VUIVUGUYJYRXHVDUYSWFUXODUYFVUFAUWPUXNUVJVDVUNUXOVUEAVUEVNUNUXNAVUEVUHYAVD
      ZUXOICAIVNUNUXNAIUVKYAVDAUXMUXNUXLVDVUCYBZYPXNWPUXOUULVUJUXOUULUYEVUEXCVA
      ZUIUHVUJUXOUUKVUQUIUXOUUKIHUHVUQUXOJIHUXQVJUXOBIUXIVUQUUFHXPLUXEIUQZUXGUY
      EUXHVUEXCVURUXFUYDUUBUFUXEIGVGWSUXEICUFXQXRVUDUXOUYEVUEXCXSXTVBVJUXOUYEVU
      EAUYEVNUNUXNVUMVDVUOVUPYCVBVHVQWNWNYQ $.
  $}

  ${
    $d A b c d x y $.  $d A c d w x y z $.  $d F b c d x y $.
    $d F c d w x y z $.  $d X b c d x y $.  $d X c d w x y z $.
    $d ph b c d x y $.  $d ph w x y z $.
    unbdqndv2.x $e |- ( ph -> X C_ RR ) $.
    unbdqndv2.f $e |- ( ph -> F : X --> CC ) $.
    unbdqndv2.1 $e |- ( ph -> A. b e. RR+ A. d e. RR+ E. x e. X E. y e. X
      ( ( x <_ A /\ A <_ y ) /\ ( ( y - x ) < d /\ x =/= y ) /\
         b <_ ( ( abs ` ( ( F ` y ) - ( F ` x ) ) ) / ( y - x ) ) ) ) $.
    $( Variant of ~ unbdqndv1 with the hypothesis that
       ` ( ( ( F `` y ) - ( F `` x ) ) / ( y - x ) ) ` is unbounded where
       ` x <_ A ` and ` A <_ y ` .  (Contributed by Asger C. Ipsen,
       12-May-2021.) $)
    unbdqndv2 $p |- ( ph -> -. A e. dom ( RR _D F ) ) $=
      ( co wcel wa cfv cmin cabs wbr cle crp vw vz vc cr cdv cdm cdif cdiv cmpt
      csn cv eqid cc wss ax-resscn a1i adantr wf clt wrex wne c2 cmul wral wceq
      w3a breq1 3anbi3d rexbidv ralbidv ad2antrr simprl rpmulcld rspcdva simprr
      2rp rsp sylc ad3antrrr dvbss simpr sseldd simplrl simplrr simpr2r simpr1l
      cif simpr1r simpr2l simpr3 unbdqndv2lem2 simpld wb fvoveq1 breq1d anbi12d
      2fveq3 breq2d adantl simprd rspcedvd ex rexlimdvva mpd unbdqndv1 pm2.01da
      ralrimivva ) ADUDEUELUFZMZAXINZUAUBDUDEUBFDUJUGZUBUKZEODEOZPLXLDPLUHLUIZF
      UCHXNULZUDUMUNXJUOUPZAFUDUNZXIIUQZAFUMEURZXIJUQZXJUAUKZDPLQOZHUKZUSRZUCUK
      ZYAXNOQOZSRZNZUAXKUTZUCHTTXJYETMZYCTMZNZNZBUKZDSRZDCUKZSRZNZYPYNPLZYCUSRZ
      YNYPVAZNZVBYEVCLZYPEOYNEOZPLQOYSUHLZSRZVFZCFUTZBFUTZYIYMUUIHTVDZYKUUIYMYR
      UUBGUKZUUESRZVFZCFUTZBFUTZHTVDZUUJGTUUCUUKUUCVEZUUOUUIHTUUQUUNUUHBFUUQUUM
      UUGCFUUQUULUUFYRUUBUUKUUCUUESVGVHVIVIVJAUUPGTVDXIYLKVKYMVBYEVBTMYMVPUPXJY
      JYKVLZVMVNXJYJYKVOZUUIHTVQVRYMUUGYIBCFFYMYNFMZYPFMZNZNZUUGYIUVCUUGNZYHYEY
      SVCLUUDXMPLQOSRYNYPWGZDPLQOZYCUSRZYEUVEXNOQOZSRZNZUAUVEXKUVDUVEXKMZUVJUVD
      UBDYEYCYNEXNYPUVEFXOUVEULXJXQYLUVBUUGXRVSXJXSYLUVBUUGXTVSUVCDFMZUUGYMUVLU
      VBXJUVLYLXJXHFDXJFUDEXPXTXRVTAXIWAWBUQUQUQYMYJUVBUUGUURVKYMYKUVBUUGUUSVKY
      MUUTUVAUUGWCYMUUTUVAUUGWDYTUUAYRUUFUVCWEYOYQUUBUUFUVCWFYOYQUUBUUFUVCWHYTU
      UAYRUUFUVCWIUVCYRUUBUUFWJWKZWLYAUVEVEZYHUVJWMUVDUVNYDUVGYGUVIUVNYBUVFYCUS
      YAUVEDQPWNWOUVNYFUVHYESYAUVEQXNWQWRWPWSUVDUVKUVJUVMWTXAXBXCXDXGXEXF $.
  $}

  ${
    knoppndvlem1.n $e |- ( ph -> N e. NN ) $.
    knoppndvlem1.j $e |- ( ph -> J e. ZZ ) $.
    knoppndvlem1.m $e |- ( ph -> M e. ZZ ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 15-Jun-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppndvlem1 $p |- ( ph -> ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. M ) e. RR )
      $=
      ( c2 cmul co cneg wcel a1i syl zred remulcld recnd cc0 c1 wbr cexp cr 2re
      cdiv cn cz nnz wne 2ne0 0red 1red clt 0lt1 cle nnge1 ltletrd ltned necomd
      mulne0d znegcld reexpclzd redivcld ) AHDIJZBKZUAJZHUDJCAVEHAVCVDAHDHUBLAU
      CMZADADUELZDUFLEDUGNOZPAHDAHVFQADVHQHRUHAUIMZARDARDAUJZARSDVJAUKVHRSULTAU
      MMAVGSDUNTEDUONUPUQURUSABFUTVAVFVIVBACGOP $.
  $}

  ${
    knoppndvlem2.n $e |- ( ph -> N e. NN ) $.
    knoppndvlem2.i $e |- ( ph -> I e. ZZ ) $.
    knoppndvlem2.j $e |- ( ph -> J e. ZZ ) $.
    knoppndvlem2.m $e |- ( ph -> M e. ZZ ) $.
    knoppndvlem2.1 $e |- ( ph -> J < I ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 15-Jun-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppndvlem2 $p |- ( ph -> ( ( ( 2 x. N ) ^ I ) x.
      ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. M ) ) e. ZZ ) $=
      ( c2 cmul co cexp cz wcel syl cc0 wa jca cneg cdiv cmin c1 2cnd cn mulcld
      nnz zcnd wne 2ne0 a1i 0red 1red zred clt wbr 0lt1 cle nnge1 ltletrd ltned
      necomd mulne0d expclzd znegcld divcld mulassd eqcomd divassd wceq expaddz
      caddc cc negsubd oveq2d wb znnsub mpbid expm1t 3eqtrd oveq1d cn0 peano2zm
      zsubcl posdifd 0zd zltlem1 elnn0z sylibr expcld divcan3d 2z zmulcl zexpcl
      eqtrd zmulcld eqeltrd ) AKELMZBNMZWSCUAZNMZKUBMZDLMLMZWSBCUCMZUDUCMZNMZEL
      MZDLMZOAXDWTXCLMZDLMZXIAXKXDAWTXCDAWSBAKEAUEZAEAEUFPZEOPZFEUHQZUIZUGZAKEX
      LXPKRUJAUKULZAREAREAUMZARUDEXSAUNAEXOUORUDUPUQAURULAXMUDEUSUQFEUTQVAVBVCV
      DZGVEZAXBKAWSXAXQXTACHVFZVEZXLXRVGADIUIVHVIAXJXHDLAXJWTXBLMZKUBMZXGWSLMZK
      UBMZXHAYEXJAWTXBKYAYCXLXRVJVIAYDYFKUBAYDWSBXAVMMZNMZWSXENMZYFAYIYDAWSVNPZ
      WSRUJZSZBOPZXAOPZSZSYIYDVKAYMYPAYKYLXQXTTAYNYOGYBTTWSBXAVLQVIAYHXEWSNABCA
      BGUIACHUIVOVPAYKXEUFPZSYJYFVKAYKYQXQACBUPUQZYQJACOPZYNSYRYQVQAYSYNHGTCBVR
      QVSTWSXEVTQWAWBAYGXGWSKUBMZLMXHAXGWSKAWSXFXQAXFOPZRXFUSUQZSXFWCPZAUUAUUBA
      XEOPZUUAAYNYSSUUDAYNYSGHTBCWEQZXEWDQARXEUPUQZUUBAYRUUFJACBACHUOABGUOWFVSA
      ROPZUUDSUUFUUBVQAUUGUUDAWGUUETRXEWHQVSTXFWIWJZWKXQXLXRVJAYTEXGLAEKXPXLXRW
      LVPWPWAWBWPAXHDAXGEAWSOPZUUCSXGOPAUUIUUCAKOPZXNSUUIAUUJXNUUJAWMULXOTKEWNQ
      UUHTWSXFWOQXOWQIWQWR $.
  $}

  ${
    knoppndvlem3.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 15-Jun-2021.) $)
    knoppndvlem3 $p |- ( ph -> ( C e. RR /\ ( abs ` C ) < 1 ) ) $=
      ( cr wcel cabs cfv c1 clt wbr cneg cioo co elioore syl wa eliooord absltd
      1red mpbird jca ) ABDEZBFGHIJZABHKZHLMEZUBCBUDHNOZAUCUDBIJBHIJPZAUEUGCBUD
      HQOABHUFASRTUA $.
  $}

  ${
    $d A k v $.  $d C m n y $.  $d F i m w z $.  $d F k m v z $.  $d N n y $.
    $d N x $.  $d T n y $.  $d W k $.  $d ph i m n w y z $.  $d i m w x z $.
    $d ph k m v z $.
    knoppndvlem4.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppndvlem4.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppndvlem4.w $e |- W =
                        ( w e. RR |-> sum_ i e. NN0 ( ( F ` w ) ` i ) ) $.
    knoppndvlem4.a $e |- ( ph -> A e. RR ) $.
    knoppndvlem4.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    knoppndvlem4.n $e |- ( ph -> N e. NN ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 15-Jun-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppndvlem4 $p |- ( ph
                      -> seq 0 ( + , ( F ` A ) ) ~~> ( W ` A ) ) $=
      ( cfv cc0 vk vm vz vv cr caddc cof cn0 cv cmpt cseq cvv nn0uz 0zd wcel c1
      cabs clt wbr knoppndvlem3 simpld knoppcnlem8 seqex a1i wa cn adantr simpr
      knoppcnlem7 fveq1d wceq eqid fveq2 seqeq3d fvexd eqtrd simprd knoppcnlem9
      fvmptd3 ulmclm ) AEUEUAUFUGUBUHUCUEUBUIUCUIJSSUJUJTUKZLUFEJSZTUKZTULUHUMA
      UNABCUCFGUBIJKMNRAFUEUOZFUQSUPURUSZAFQUTZVAZVBPWCULUOAUFWBTVCVDAUAUIZUHUO
      ZVEZEWHWASZSEUDUEWHUFUDUIZJSZTUKZSZUJZSZWHWCSZWJEWKWPWJBCUCUDFGUBIJWHKMNA
      KVFUOWIRVGAWDWIWGVGAWIVHVIVJAWQWRVKWIAUDEWOWRUEWPULWPVLWLEVKZWHWNWCWSWMWB
      UFTWLEJVMVNVJPAWHWCVOVSVGVPABCUCDFGHUBIJKLMNORWGAWDWEWFVQVRVT $.
  $}

  ${
    $d A n y $.  $d A x $.  $d C n y $.  $d J i n y $.  $d N n y $.  $d N x $.
    $d T n y $.  $d ph i n y $.  $d i x $.
    knoppndvlem5.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppndvlem5.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppndvlem5.a $e |- ( ph -> A e. RR ) $.
    knoppndvlem5.c $e |- ( ph -> C e. RR ) $.
    knoppndvlem5.n $e |- ( ph -> N e. NN ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 15-Jun-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppndvlem5 $p |- ( ph ->
              sum_ i e. ( 0 ... J ) ( ( F ` A ) ` i ) e. RR ) $=
      ( cc0 cfv wcel adantr cfz co cv fzfid wa cn cr elfznn0 adantl knoppcnlem3
      cn0 fsumrecl ) AQJUAUBZGUCZDIRRGAQJUDAUNUMSZUEBCDEFHIUNKLMAKUFSUOPTAEUGSU
      OOTADUGSUONTUOUNUKSAUNJUHUIUJUL $.
  $}

  ${
    $d A i n w y $.  $d A i w x $.  $d C n y $.  $d F i w $.  $d J i n y $.
    $d N n y $.  $d N x $.  $d T n y $.  $d ph i n w y $.
    knoppndvlem6.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppndvlem6.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppndvlem6.w $e |- W =
                        ( w e. RR |-> sum_ i e. NN0 ( ( F ` w ) ` i ) ) $.
    knoppndvlem6.a $e |- A = ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. M ) $.
    knoppndvlem6.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    knoppndvlem6.j $e |- ( ph -> J e. NN0 ) $.
    knoppndvlem6.m $e |- ( ph -> M e. ZZ ) $.
    knoppndvlem6.n $e |- ( ph -> N e. NN ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 15-Jun-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppndvlem6 $p |- ( ph -> ( W ` A ) =
                        sum_ i e. ( 0 ... J ) ( ( F ` A ) ` i ) ) $=
      ( cfv cc0 cfz co cv csu c1 caddc cuz cn0 cmin cr cvv wceq fveq2 sumeq2sdv
      fveq1d c2 cmul cneg cexp cdiv a1i nn0zd knoppndvlem1 eqeltrd wcel fvmptd3
      sumex nn0uz eqid peano2nn0 syl wa eqidd cn adantr clt knoppndvlem3 simpld
      cabs wbr simpr knoppcnlem3 recnd cseq cli cdm knoppndvlem4 fvex isumsplit
      seqex breldm nn0cnd 1cnd pncand oveq2d sumeq1d oveq1d eluznn0 knoppcnlem1
      3eqtrd sylan cz cle eluzle adantl jca zltp1le mpbird knoppndvlem2 dnizeq0
      wb cc expcld mul01d sumeq2dv wss cfn ssidd orcd sumz knoppndvlem5 addid1d
      wo eqtrd ) AENUCZUDKUEUFZHUGZEJUCZUCZHUHZKUIUJUFZUKUCZYMHUHZUJUFZYNAYIULY
      MHUHZUDYOUIUMUFZUEUFZYMHUHZYQUJUFYRADEULYKDUGZJUCZUCZHUHYSUNNUOQUUCEUPZUL
      UUEYMHUUFYKUUDYLUUCEJUQUSURAEUTMVAUFZKVBVCUFUTVDUFLVAUFZUNEUUHUPZARVEAKLM
      UBAKTVFZUAVGVHZYSUOVIAULYMHVKVEVJAYMHYLUDYOYPULVLYPVMAKULVIYOULVIZTKVNVOZ
      AYKULVIZVPZYMVQUUOYMUUOBCEFGIJYKMOPAMVRVIZUUNUBVSAFUNVIZUUNAUUQFWCUCUIVTW
      DAFSWAWBZVSAEUNVIZUUNUUKVSAUUNWEWFWGAUJYLUDWHZYIWIWDUUTWIWJVIABCDEFGHIJMN
      OPQUUKSUBWKUUTYIWIUJYLUDWNENWLWOVOWMAUUBYNYQUJAUUAYJYMHAYTKUDUEAKUIAKTWPA
      WQWRWSWTXAXDAYRYNUDUJUFYNAYQUDYNUJAYQYPUDHUHZUDAYPYMUDHAYKYPVIZVPZYMFYKVC
      UFZUUGYKVCUFZEVAUFZGUCZVAUFUVDUDVAUFUDUVCCEFGIJYKMPAUUSUVBUUKVSAUULUVBUUN
      UUMYKYOXBXEZXCUVCUVGUDUVDVAUVCBUVFGOUVCUVFUVEUUHVAUFXFUVCEUUHUVEVAUUIUVCR
      VEWSUVCYKKLMAUUPUVBUBVSUVCYKUVHVFZAKXFVIZUVBUUJVSZALXFVIUVBUAVSUVCKYKVTWD
      ZYOYKXGWDZUVBUVMAYOYKXHXIUVCUVJYKXFVIZVPUVLUVMXOUVCUVJUVNUVKUVIXJKYKXKVOX
      LXMVHXNWSUVCUVDUVCFYKAFXPVIUVBAFUURWGVSUVHXQXRXDXSAYPYPXTZYPYAVIZYGUVAUDU
      PAUVOUVPAYPYBYCYPHYOYDVOYHWSAYNAYNABCEFGHIJKMOPUUKUURUBYEWGYFYHYH $.
  $}

  ${
    $d A n y $.  $d C n y $.  $d J n $.  $d N n y $.  $d T n y $.  $d ph n y $.
    knoppndvlem7.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppndvlem7.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppndvlem7.a $e |- A = ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. M ) $.
    knoppndvlem7.j $e |- ( ph -> J e. NN0 ) $.
    knoppndvlem7.m $e |- ( ph -> M e. ZZ ) $.
    knoppndvlem7.n $e |- ( ph -> N e. NN ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 15-Jun-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppndvlem7 $p |- ( ph -> ( ( F ` A ) ` J ) =
                            ( ( C ^ J ) x. ( T ` ( M / 2 ) ) ) ) $=
      ( co c2 cmul cfv cexp cdiv cneg wceq a1i knoppndvlem1 eqeltrd knoppcnlem1
      cr nn0zd oveq2i c1 2cnd wcel nnz syl zcnd mulcld expcld cc0 wne 2ne0 0red
      cn 1red zred clt wbr 0lt1 cle nnge1 ltletrd ltned mulne0d znegcld expclzd
      necomd divcld mulassd eqcomd divassd expnegd oveq2d expne0d recidd oveq1d
      cz eqtrd divrec2d 3eqtrd fveq2d ) AIDHUAUAEIUBRZSKTRZIUBRZDTRZFUAZTRWMJSU
      CRZFUAZTRACDEFGHIKMADWNIUDZUBRZSUCRZJTRZUJDXCUEANUFAIJKQAIOUKZPUGUHOUIAWQ
      WSWMTAWPWRFAWPWOXCTRZWRWPXEUEADXCWOTNULUFAXEWOXBTRZJTRZUMSUCRZJTRZWRAXGXE
      AWOXBJAWNIASKAUNZAKAKVEUOZKWHUOQKUPUQZURZUSZOUTZAXASAWNWTXNASKXJXMSVAVBAV
      CUFZAVAKAVAKAVDZAVAUMKXQAVFAKXLVGVAUMVHVIAVJUFAXKUMKVKVIQKVLUQVMVNVRVOZAI
      XDVPVQZXJXPVSAJPURZVTWAAXFXHJTAXFWOXATRZSUCRZXHAYBXFAWOXASXOXSXJXPWBWAAYA
      UMSUCAYAWOUMWOUCRZTRUMAXAYCWOTAWNIXNXRXDWCWDAWOXOAWNIXNXRXDWEWFWIWGWIWGAW
      RXIAJSXTXJXPWJWAWKWIWLWDWI $.
  $}

  ${
    $d A n y $.  $d C n y $.  $d J n $.  $d M x $.  $d N n y $.  $d T n y $.
    $d n ph y $.
    knoppndvlem8.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppndvlem8.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppndvlem8.a $e |- A = ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. M ) $.
    knoppndvlem8.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    knoppndvlem8.j $e |- ( ph -> J e. NN0 ) $.
    knoppndvlem8.m $e |- ( ph -> M e. ZZ ) $.
    knoppndvlem8.n $e |- ( ph -> N e. NN ) $.
    knoppndvlem8.1 $e |- ( ph -> 2 || M ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 15-Jun-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppndvlem8 $p |- ( ph -> ( ( F ` A ) ` J ) = 0 ) $=
      ( c2 cfv cexp co cdiv cmul cc0 knoppndvlem7 cdvds wbr cz wcel wne w3a a1i
      wb 2z 2ne0 3jca dvdsval2 syl mpbid dnizeq0 oveq2d cr cabs c1 knoppndvlem3
      clt simpld recnd expcld mul01d 3eqtrd ) AIDHUAUAEIUBUCZJTUDUCZFUAZUEUCVNU
      FUEUCUFABCDEFGHIJKLMNPQRUGAVPUFVNUEABVOFLATJUHUIZVOUJUKZSATUJUKZTUFULZJUJ
      UKZUMVQVRUOAVSVTWAVSAUPUNVTAUQUNQURTJUSUTVAVBVCAVNAEIAEAEVDUKEVEUAVFVHUIA
      EOVGVIVJPVKVLVM $.
  $}

  ${
    $d A n y $.  $d C n y $.  $d J n $.  $d M m $.  $d N n y $.  $d T m $.
    $d T n y $.  $d ph m $.  $d m x $.  $d ph n y $.
    knoppndvlem9.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppndvlem9.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppndvlem9.a $e |- A = ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. M ) $.
    knoppndvlem9.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    knoppndvlem9.j $e |- ( ph -> J e. NN0 ) $.
    knoppndvlem9.m $e |- ( ph -> M e. ZZ ) $.
    knoppndvlem9.n $e |- ( ph -> N e. NN ) $.
    knoppndvlem9.1 $e |- ( ph -> -. 2 || M ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 15-Jun-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppndvlem9 $p |- ( ph -> ( ( F ` A ) ` J ) = ( ( C ^ J ) / 2 ) ) $=
      ( c2 vm cfv cexp co cdiv cmul c1 knoppndvlem7 cv caddc wceq cz cdvds wrex
      wbr wn wcel wb odd2np1 mpbid wa eqcom biimpi oveq1d adantl 2cnd cc mulcld
      syl zcn 1cnd cc0 wne 2ne0 a1i divdird divcan3d eqtrd fveq2d dnizphlfeqhlf
      adantrr id rexlimddv oveq2d cr cabs clt knoppndvlem3 simpld expcld div12d
      recnd divcld mulid2d 3eqtrd ) AIDHUBUBEIUCUDZJTUEUDZFUBZUFUDWPUGTUEUDZUFU
      DZWPTUEUDZABCDEFGHIJKLMNPQRUHAWRWSWPUFATUAUIZUFUDZUGUJUDZJUKZWRWSUKUAULAT
      JUMUOUPZXEUAULUNZSAJULUQXFXGURQUAJUSVIUTAXBULUQZXEVAZVAZWRXBWSUJUDZFUBZWS
      XJWQXKFXJWQXDTUEUDZXKXIWQXMUKZAXEXNXHXEJXDTUEXEJXDUKXDJVBVCVDVEVEAXHXMXKU
      KXEAXHVAZXMXCTUEUDZWSUJUDXKXOXCUGTXOTXBXOVFZXHXBVGUQAXBVJVEZVHXOVKXQTVLVM
      ZXOVNVOZVPXOXPXBWSUJXOXBTXRXQXTVQVDVRWAVRVSAXHXLWSUKZXEXHYAAXHBXBFLXHWBVT
      VEWAVRWCWDAWTUGXAUFUDXAAWPUGTAEIAEAEWEUQEWFUBUGWGUOAEOWHWIWLPWJZAVKAVFZXS
      AVNVOZWKAXAAWPTYBYCYDWMWNVRWO $.
  $}

  ${
    $d A n y $.  $d A x $.  $d B n y $.  $d B x $.  $d C n y $.  $d J n $.
    $d J x $.  $d M n y $.  $d M x $.  $d N n y $.  $d N x $.  $d T n y $.
    $d ph n y $.
    knoppndvlem10.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppndvlem10.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppndvlem10.a $e |- A = ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. M ) $.
    knoppndvlem10.b $e |- B = ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. ( M + 1 ) ) $.
    knoppndvlem10.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    knoppndvlem10.j $e |- ( ph -> J e. NN0 ) $.
    knoppndvlem10.m $e |- ( ph -> M e. ZZ ) $.
    knoppndvlem10.n $e |- ( ph -> N e. NN ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 15-Jun-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppndvlem10 $p |- ( ph ->
                  ( abs ` ( ( ( F ` B ) ` J ) - ( ( F ` A ) ` J ) ) )
                = ( ( ( abs ` C ) ^ J ) / 2 ) ) $=
      ( cfv cmin co cabs cexp c2 cdiv cdvds wbr wceq wa c1 caddc cneg cioo wcel
      cc0 adantr cn0 cz peano2zd cn wn notnot adantl oddp1even syl knoppndvlem9
      wb mtbid notnotrd knoppndvlem8 oveq12d clt knoppndvlem3 simpld recnd 2cnd
      expcld wne 2ne0 a1i divcld subid1d eqtrd fveq2d cmul knoppndvlem1 eqeltrd
      cr nn0zd knoppcnlem3 abssubd simpr pm2.61dan absdivd absexpd cle 0le2 2re
      mpbid absidi ax-mp ) AJEIUAUAZJDIUAUAZUBUCZUDUAZFJUEUCZUFUGUCZUDUAZFUDUAZ
      JUEUCZUFUGUCZAUFKUHUIZXGXJUJAXNUKZXFXIUDXOXFXIUQUBUCZXIXOXDXIXEUQUBXOBCEF
      GHIJKULUMUCZLMNPAFULUNULUOUCUPZXNQURZAJUSUPZXNRURZAXQUTUPZXNAKSVAZURALVBU
      PZXNTURZXOXNVCZUFXQUHUIZXNYFVCAXNVDVEZXOKUTUPZYFYGVIZAYIXNSURZKVFZVGVJVHX
      OBCDFGHIJKLMNOXSYAYKYEXOXNYHVKVLVMAXPXIUJZXNAXIAXHUFAFJAFAFWJUPXKULVNUIAF
      QVOVPZVQZRVSZAVRZUFUQVTAWAWBZWCWDZURWEWFAYFUKZXGXEXDUBUCZUDUAZXJAXGUUBUJY
      FAXDXEAXDABCEFGHIJLMNTYNAEUFLWGUCJUNUEUCUFUGUCZXQWGUCZWJEUUDUJAPWBAJXQLTA
      JRWKZYCWHWIRWLVQAXEABCDFGHIJLMNTYNADUUCKWGUCZWJDUUFUJAOWBAJKLTUUESWHWIRWL
      VQWMURYTUUAXIUDYTUUAXPXIYTXEXIXDUQUBYTBCDFGHIJKLMNOAXRYFQURZAXTYFRURZAYIY
      FSURZAYDYFTURZAYFWNZVHYTBCEFGHIJXQLMNPUUGUUHAYBYFYCURUUJYTYFYGUUKYTYIYJUU
      IYLVGXAVLVMAYMYFYSURWEWFWEWOAXJXHUDUAZUFUDUAZUGUCXMAXHUFYPYQYRWPAUULXLUUM
      UFUGAFJYORWQUUMUFUJZAUQUFWRUIUUNWSUFWTXBXCWBVMWEWE $.
  $}

  ${
    $d A i n y $.  $d A i x $.  $d B i n y $.  $d B i x $.  $d C n y $.
    $d J i n y $.  $d N n y $.  $d N x $.  $d T n y $.  $d ph i n y $.
    knoppndvlem11.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppndvlem11.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppndvlem11.a $e |- ( ph -> A e. RR ) $.
    knoppndvlem11.b $e |- ( ph -> B e. RR ) $.
    knoppndvlem11.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    knoppndvlem11.j $e |- ( ph -> J e. NN0 ) $.
    knoppndvlem11.n $e |- ( ph -> N e. NN ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 28-Jun-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppndvlem11 $p |- ( ph ->
      ( abs ` ( sum_ i e. ( 0 ... ( J - 1 ) ) ( ( F ` B ) ` i )
              - sum_ i e. ( 0 ... ( J - 1 ) ) ( ( F ` A ) ` i ) ) )
         <_ ( ( abs ` ( B - A ) ) x. sum_ i e. ( 0 ... ( J - 1 ) )
                                ( ( ( 2 x. N ) x. ( abs ` C ) ) ^ i ) ) ) $=
      ( co cc0 c1 cmin cfz cv cfv csu cabs c2 cmul cexp fzfid wcel wa cn adantr
      cle cr clt wbr knoppndvlem3 simpld cn0 elfznn0 adantl knoppcnlem3 fsumsub
      recnd eqcomd fveq2d subcld fsumcl fsumrecl resubcld 2re a1i nnre remulcld
      abscld syl reexpcld fsumabs knoppcnlem1 oveq12d dnicld2 subdid absmuld cc
      eqtrd absexpd oveq1d absge0d expge0d dnibnd lemul2ad wceq 0le2 ax-mp 0red
      absidi 1red 0le1 nnge1 letrd absidd oveq2d mulassd mulcld mulcomd mulexpd
      3eqtrd breqtrd eqbrtrd fsumle eqeltrrd fsummulc2 ) AUAKUBUCTZUDTZHUEZEJUF
      UFZHUGXRXSDJUFUFZHUGUCTZUHUFXRXTYAUCTZHUGZUHUFZEDUCTZUHUFZXRUILUJTZFUHUFZ
      UJTZXSUKTZHUGZUJTZUQAYBYDUHAYDYBAXRXTYAHAUAXQULZAXSXRUMZUNZXTYPBCEFGIJXSL
      MNALUOUMZYOSUPZAFURUMZYOAYSYIUBUSUTAFQVAVBZUPZAEURUMYOPUPZYOXSVCUMAXSXQVD
      VEZVFVHZYPYAYPBCDFGIJXSLMNYRUUAADURUMYOOUPZUUCVFVHZVGVIVJAYEXRYCUHUFZHUGZ
      YMAYDAXRYCHYNYPXTYAUUDUUFVKZVLVSAXRUUGHYNYPYCUUIVSZVMAYGYLAYFAYFAEDPOVNVH
      ZVSZAXRYKHYNYPYJXSAYJURUMYOAYHYIAUILUIURUMAVOVPZAYQLURUMSLVQVTZVRZAFAFYTV
      HZVSZVRUPUUCWAZVMVRAXRYCHYNUUIWBAUUHXRYGYKUJTZHUGZYMUQAXRUUGUUSHYNUUJYPYG
      YKAYGURUMYOUULUPZUURVRYPUUGYIXSUKTZYHXSUKTZEUJTZGUFZUVCDUJTZGUFZUCTZUHUFZ
      UJTZUUSUQYPUUGFXSUKTZUVHUJTZUHUFZUVJYPYCUVLUHYPYCUVKUVEUJTZUVKUVGUJTZUCTZ
      UVLYPXTUVNYAUVOUCYPCEFGIJXSLNUUBUUCWCYPCDFGIJXSLNUUEUUCWCWDYPUVLUVPYPUVKU
      VEUVGYPUVKYPFXSUUAUUCWAVHZYPUVEYPBUVDGMYPUVCEYPYHXSAYHURUMYOUUOUPZUUCWAZU
      UBVRZWEVHZYPUVGYPBUVFGMYPUVCDUVSUUEVRZWEVHZWFVIWIVJYPUVMUVKUHUFZUVIUJTUVJ
      YPUVKUVHUVQYPUVEUVGUWAUWCVKZWGYPUWDUVBUVIUJYPFXSAFWHUMYOUUPUPZUUCWJWKWIWI
      YPUVJUVBUVDUVFUCTZUHUFZUJTZUUSUQYPUVIUWHUVBYPUVHUWEVSYPUWGYPUWGYPUVDUVFUV
      TUWBVNVHVSYPYIXSAYIURUMYOUUQUPZUUCWAZYPYIXSUWJUUCYPFUWFWLWMYPBUVFUVDGMUWB
      UVTWNWOYPUWIUVBUVCYGUJTZUJTZUUSYPUWHUWLUVBUJYPUWHUVCYFUJTZUHUFZUWLYPUWGUW
      NUHYPUWNUWGYPUVCEDYPUVCUVSVHZYPEUUBVHYPDUUEVHWFVIVJYPUWOUVCUHUFZYGUJTUWLY
      PUVCYFUWPAYFWHUMYOUUKUPWGYPUWQUVCYGUJYPUWQYHUHUFZXSUKTZUVCYPYHXSYPYHUVRVH
      ZUUCWJAUWSUVCWPYOAUWRYHXSUKAUWRUIUHUFZLUHUFZUJTYHAUILAUIUUMVHALUUNVHWGAUX
      AUIUXBLUJUXAUIWPZAUAUIUQUTUXCWQUIVOWTWRVPALUUNAUAUBLAWSAXAUUNUAUBUQUTAXBV
      PAYQUBLUQUTSLXCVTXDXEWDWIWKUPWIWKWIWIXFYPUWMUVBUVCUJTZYGUJTZYGUXDUJTUUSYP
      UXEUWMYPUVBUVCYGYPUVBUWKVHZUWPYPYGUVAVHZXGVIYPUXDYGYPUVBUVCUXFUWPXHZUXGXI
      YPUXDYKYGUJYPUXDUVCUVBUJTZYKYPUVBUVCUXFUWPXIYPYKUXIYPYHYIXSUWTYPYIUWJVHUU
      CXJVIWIZXFXKWIXLXMXNAYMUUTAXRYKYGHYNAYGUULVHYPUXDYKWHUXJUXHXOXPVIXLXDXM
      $.
  $}

  ${
    knoppndvlem12.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    knoppndvlem12.n $e |- ( ph -> N e. NN ) $.
    knoppndvlem12.1 $e |- ( ph -> 1 < ( N x. ( abs ` C ) ) ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 29-Jun-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppndvlem12 $p |- ( ph -> ( ( ( 2 x. N ) x. ( abs ` C ) ) =/= 1
      /\ 1 < ( ( ( 2 x. N ) x. ( abs ` C ) ) - 1 ) ) ) $=
      ( c2 cmul co c1 clt wbr cr wcel a1i syl remulcld recnd wceq eqbrtrd wa cn
      cabs cfv wne cmin 1red 2re nnre knoppndvlem3 simpld abscld 1lt2 2t1e2 crp
      eqcomi 2rp ltmul2dd mulassd eqcomd breqtrd lttrd jca ltne caddc ltaddsubd
      1p1e2 mpbid ) AGCHIZBUCUDZHIZJUEZJVKJUFIKLZAJMNZJVKKLZUAVLAVNVOAUGZAJGVKV
      PGMNAUHOZAVIVJAGCVQACUBNCMNECUIPZQABABABMNVJJKLABDUJUKRULZQZJGKLAUMOAGGCV
      JHIZHIZVKKAGGJHIZWBKGWCSAWCGUNUPOAJWAGVPACVJVRVSQGUONAUQOFURTAVKWBAGCVJAG
      VQRACVRRAVJVSRUSUTVAZVBVCJVKVDPAJJVEIZVKKLVMAWEGVKKWEGSAVGOWDTAJJVKVPVPVT
      VFVHVC $.
  $}

  ${
    knoppndvlem13.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    knoppndvlem13.n $e |- ( ph -> N e. NN ) $.
    knoppndvlem13.1 $e |- ( ph -> 1 < ( N x. ( abs ` C ) ) ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 1-Jul-2021.)
       (Revised by Asger C. Ipsen, 5-Jul-2021.) $)
    knoppndvlem13 $p |- ( ph -> C =/= 0 ) $=
      ( cc0 wceq c1 cabs cfv cmul co clt wbr adantr wa wn 0lt1 wcel 0re ltnsymi
      1re ax-mp a1i id abs00bd oveq2d adantl cc cn nncn syl mul01d eqtrd eqcomd
      breq2d mtbid pm2.65da neqned ) ABGABGHZICBJKZLMZNOZAVDVAFPAVAQZIGNOZVDVFR
      ZVEGINOVGSGIUAUCUBUDUEVEGVCINVEVCGVEVCCGLMZGVAVCVHHAVAVBGCLVABVAUFUGUHUIV
      ECACUJTZVAACUKTVIECULUMPUNUOUPUQURUSUT $.
  $}

  ${
    $d A i n y $.  $d A i x $.  $d B i n y $.  $d B i x $.  $d C i n y $.
    $d J i n y $.  $d N i n y $.  $d N i x $.  $d T n y $.  $d ph i n y $.
    knoppndvlem14.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppndvlem14.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppndvlem14.a $e |- A = ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. M ) $.
    knoppndvlem14.b $e |- B = ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. ( M + 1 ) ) $.
    knoppndvlem14.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    knoppndvlem14.j $e |- ( ph -> J e. NN0 ) $.
    knoppndvlem14.m $e |- ( ph -> M e. ZZ ) $.
    knoppndvlem14.n $e |- ( ph -> N e. NN ) $.
    knoppndvlem14.1 $e |- ( ph -> 1 < ( N x. ( abs ` C ) ) ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 1-Jul-2021.)
       (Revised by Asger C. Ipsen, 7-Jul-2021.) $)
    knoppndvlem14 $p |- ( ph ->
      ( abs ` ( sum_ i e. ( 0 ... ( J - 1 ) ) ( ( F ` B ) ` i )
              - sum_ i e. ( 0 ... ( J - 1 ) ) ( ( F ` A ) ` i ) ) )
      <_ ( ( ( ( abs ` C ) ^ J ) / 2 ) x.
          ( 1 / ( ( ( 2 x. N ) x. ( abs ` C ) ) - 1 ) ) ) ) $=
      ( cc0 c1 cmin co cfz cv cfv csu cabs c2 cmul cexp cdiv cneg caddc cr wceq
      a1i nn0zd peano2zd knoppndvlem1 eqeltrd clt wbr knoppndvlem3 knoppndvlem5
      wcel simpld resubcld recnd abscld fzfid wa 2re cn syl remulcld adantr cn0
      nnre elfznn0 reexpcld fsumrecl 2ne0 redivcld 1red 0red 0lt1 knoppndvlem12
      adantl wne lttrd jca ltne knoppndvlem11 cle oveq12d nnge1 ltletrd mulne0d
      simprd znegcld reexpclzd zcnd subdid eqcomd pncan2d oveq2d mulid1d 3eqtrd
      1cnd eqtrd fveq2d absdivd cc w3a mulcld 3jca absexpz absmuld pm3.2i absid
      0le2 ax-mp ltled absidd oveq1d geoser expcld necomd div2subd eqeltrrd crp
      cz 2rp rpgt0d mulgt0d mulassd expgt0 divge0d elrpd lem1d lediv1dd divrecd
      lemul2ad div23d knoppndvlem13 absne0d mulexpz jca32 expaddz nn0cnd negidd
      addcomd exp0d mulid2d breqtrd eqbrtrd letrd ) AUCKUDUEUFZUGUFZHUHZEJUIUIH
      UJZUVCUVDDJUIUIHUJZUEUFZUKUIEDUEUFZUKUIZUVCULMUMUFZFUKUIZUMUFZUVDUNUFZHUJ
      ZUMUFZUVKKUNUFZULUOUFZUDUVLUDUEUFZUOUFZUMUFZAUVGAUVGAUVEUVFABCEFGHIJUVBMN
      OAEUVJKUPZUNUFZULUOUFZLUDUQUFZUMUFZUREUWEUSAQUTZAKUWDMUAAKSVAZALTVBZVCVDZ
      AFURVIUVKUDVEVFAFRVGVJZUAVHABCDFGHIJUVBMNOADUWCLUMUFZURDUWKUSAPUTZAKLMUAU
      WGTVCVDZUWJUAVHVKVLVMAUVIUVNAUVHAUVHAEDUWIUWMVKVLVMAUVCUVMHAUCUVBVNAUVDUV
      CVIZVOUVLUVDAUVLURVIUWNAUVJUVKAULMULURVIZAVPUTZAMVQVIZMURVIUAMWBVRZVSZAFA
      FUWJVLZVMZVSZVTUWNUVDWAVIAUVDUVBWCWLWDWEZVSAUVQUVSAUVPULAUVKKUXASWDZUWPUL
      UCWMAWFUTZWGAUDUVRAWHZAUVLUDUXBUXFVKZAUCURVIZUCUVRVEVFZVOUVRUCWMAUXHUXIAW
      IZAUCUDUVRUXJUXFUXGUCUDVEVFAWJUTZAUVLUDWMZUDUVRVEVFZAFMRUAUBWKZXCWNZWOUCU
      VRWPVRZWGZVSABCDEFGHIJKMNOUWMUWIRSUAWQAUVOUWCUVLKUNUFZUDUEUFZUVRUOUFZUMUF
      ZUVTWRAUVIUWCUVNUXTUMAUVIUWCUKUIZUWCAUVHUWCUKAUVHUWEUWKUEUFZUWCAEUWEDUWKU
      EUWFUWLWSAUYCUWCUWDLUEUFZUMUFZUWCUDUMUFUWCAUYEUYCAUWCUWDLAUWCAUWBULAUVJUW
      AUWSAULMAULUWPVLZAMUWRVLZUXEAUXHUCMVEVFZVOMUCWMAUXHUYHUXJAUCUDMUXJUXFUWRU
      XKAUWQUDMWRVFUAMWTVRXAZWOUCMWPVRXBZAKUWGXDZXEZUWPUXEWGZVLZAUWDUWHXFALTXFZ
      XGXHAUYDUDUWCUMALUDUYOAXMZXIXJAUWCUYNXKXLXNXOAUYBUWBUKUIZULUKUIZUOUFUWCAU
      WBULAUWBUYLVLZUYFUXEXPAUYQUWBUYRULUOAUYQUVJUKUIZUWAUNUFZUWBAUVJXQVIZUVJUC
      WMZUWAYPVIZXRUYQVUAUSAVUBVUCVUDAULMUYFUYGXSZUYJUYKXTUVJUWAYAVRAUYTUVJUWAU
      NAUYTUYRMUKUIZUMUFUVJAULMUYFUYGYBAUYRULVUFMUMUYRULUSZAUWOUCULWRVFZVOVUGUW
      OVUHVPYEYCULYDYFUTZAMUWRAUCMUXJUWRUYIYGYHWSXNYIXNVUIWSXNXNAUVNUDUXRUEUFUD
      UVLUEUFUOUFUXTAUVLHKAUVLUXBVLZAUXLUXMUXNVJZSYJAUDUXRUDUVLUYPAUVLKVUJSYKZU
      YPVUJAUVLUDVUKYLYMXNZWSAUYAUWCUXRUVRUOUFZUMUFZUVTWRAUXTVUNUWCAUVNUXTURVUM
      UXCYNAUXRUVRAUVLKUXBSWDZUXGUXPWGUYMAUWBULUYLULYOVIAYQUTZAUCUWBUXJUYLAUVJU
      RVIZVUDUCUVJVEVFZXRUCUWBVEVFAVURVUDVUSUWSUYKAULMUWPUWRAULVUQYRUYIYSXTUVJU
      WAUUAVRYGUUBAUXSUXRUVRAUXRUDVUPUXFVKVUPAUVRUXGUXOUUCAUXRVUPUUDUUEUUGAVUOU
      WCUXRUVSUMUFZUMUFZUWCUXRUMUFZUVSUMUFZUVTAVUNVUTUWCUMAUXRUVRVULAUVRUXGVLUX
      PUUFXJAVVCVVAAUWCUXRUVSUYNVULAUVSUXQVLYTXHAVVBUVQUVSUMAVVBUWBUXRUMUFZULUO
      UFZUVQAVVEVVBAUWBUXRULUYSVULUYFUXEUUHXHAVVDUVPULUOAVVDUWBUVJKUNUFZUVPUMUF
      ZUMUFZUWBVVFUMUFZUVPUMUFZUVPAUXRVVGUWBUMAVUBVUCVOZUVKXQVIZUVKUCWMZVOZKYPV
      IZXRUXRVVGUSAVVKVVNVVOAVUBVUCVUEUYJWOZAVVLVVMAUVKUXAVLAFUWTAFMRUAUBUUIUUJ
      WOUWGXTUVJUVKKUUKVRXJAVVJVVHAUWBVVFUVPUYSAUVJKVUESYKAUVPUXDVLZYTXHAVVJUDU
      VPUMUFUVPAVVIUDUVPUMAVVIUVJUWAKUQUFZUNUFZUVJUCUNUFUDAVVSVVIAVVKVUDVVOVOVO
      VVSVVIUSAVVKVUDVVOVVPUYKUWGUULUVJUWAKUUMVRXHAVVRUCUVJUNAVVRKUWAUQUFUCAUWA
      KAUWAUYKXFAKSUUNZUUPAKVVTUUOXNXJAUVJVUEUUQXLYIAUVPVVQUURXNXLYIXNYIXLUUSUU
      TUVA $.
  $}

  ${
    $d A i n w y $.  $d A i w x $.  $d B i n w y $.  $d B i w x $.
    $d C i n y $.  $d F i w $.  $d J i n y $.  $d J i x $.  $d M n y $.
    $d M x $.  $d N i n y $.  $d N i x $.  $d T n y $.  $d ph i n w y $.
    knoppndvlem15.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppndvlem15.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppndvlem15.w $e |- W =
                        ( w e. RR |-> sum_ i e. NN0 ( ( F ` w ) ` i ) ) $.
    knoppndvlem15.a $e |- A = ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. M ) $.
    knoppndvlem15.b $e |- B = ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. ( M + 1 ) ) $.
    knoppndvlem15.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    knoppndvlem15.j $e |- ( ph -> J e. NN0 ) $.
    knoppndvlem15.m $e |- ( ph -> M e. ZZ ) $.
    knoppndvlem15.n $e |- ( ph -> N e. NN ) $.
    knoppndvlem15.1 $e |- ( ph -> 1 < ( N x. ( abs ` C ) ) ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 6-Jul-2021.) $)
    knoppndvlem15 $p |- ( ph ->
      ( ( ( ( abs ` C ) ^ J ) / 2 ) x.
          ( 1 - ( 1 / ( ( ( 2 x. N ) x. ( abs ` C ) ) - 1 ) ) ) )
        <_ ( abs ` ( ( W ` B ) - ( W ` A ) ) ) ) $=
      ( cabs cfv cexp co c2 cdiv c1 cmul cmin cc0 cfz csu cle wcel knoppndvlem3
      cv cr clt wbr simpld recnd abscld reexpcld 2re a1i wne 2ne0 redivcld 1red
      nnred remulcld resubcld wa 0red knoppndvlem12 simprd lttrd jca gt0ne0 syl
      0lt1 cneg wceq nn0zd knoppndvlem1 knoppcnlem3 caddc peano2zd knoppndvlem5
      eqeltrd subcld remulcl resubcl 1cnd subdid mulid1d oveq1d eqbrtrd abssubd
      leidd knoppndvlem10 eqtrd eqcomd breqtrd knoppndvlem14 letrd knoppndvlem6
      le2subd abs2difd cn0 cuz elnn0uz sylib adantr elfznn0 adantl fveq2 fsumm1
      cn oveq12d subadd4d fveq2d ) AGUFUGZLUHUIZUJUKUIZULULUJNUMUIZYHUMUIZULUNU
      IZUKUIZUNUIZUMUIZUOLULUNUIZUPUIZIVAZFKUGZUGZIUQZYRYSEKUGZUGZIUQZUNUIZLUUC
      UGZLYTUGZUNUIZUNUIZUFUGZFOUGZEOUGZUNUIZUFUGZURAYPUUIUUFUNUIZUFUGZUUKURAYP
      UUIUFUGZUUFUFUGZUNUIZUUQAYJYOAYIUJAYHLAGAGAGVBUSZYHULVCVDAGUAUTVEZVFVGZUB
      VHUJVBUSAVIVJZUJUOVKAVLVJVMZAULYNAVNZAULYMUVFAYLULAYKYHAUJNUVDANUDVOVPUVC
      VPUVFVQZAYMVBUSZUOYMVCVDZVRYMUOVKAUVHUVIUVGAUOULYMAVSUVFUVGUOULVCVDAWFVJA
      YLULVKULYMVCVDAGNUAUDUEVTWAWBWCYMWDWEVMZVQVPZAUURUUSAUUIAUUGUUHAUUGABCEGH
      JKLNPQUDUVBAEYKLWGUHUIUJUKUIZMUMUIZVBEUVMWHASVJALMNUDALUBWIZUCWJWOZUBWKVF
      ZAUUHABCFGHJKLNPQUDUVBAFUVLMULWLUIZUMUIZVBFUVRWHATVJALUVQNUDUVNAMUCWMZWJW
      OZUBWKVFZWPZVGZAUUFAUUBUUEAUUBABCFGHIJKYQNPQUVTUVBUDWNVFZAUUEABCEGHIJKYQN
      PQUVOUVBUDWNVFZWPZVGZVQZAUUPAUUIUUFUWBUWFWPVGAYPYJYJYNUMUIZUNUIZUUTUVKAYJ
      VBUSZUWIVBUSZVRUWJVBUSAUWKUWLUVEAUWKYNVBUSZVRUWLAUWKUWMUVEUVJWCYJYNWQWEWC
      YJUWIWRWEZUWHAYPYJULUMUIZUWIUNUIZUWJURAYJULYNAYJUVEVFZAWSAYNUVJVFWTAUWPUW
      JUWJURAUWOYJUWIUNAYJUWQXAXBAUWJUWNXEXCXCAYJUUSUURUWIUVEUWGUWCAYJYNUVEUVJV
      PAYJYJUURURAYJUVEXEAUURYJAUURUUHUUGUNUIUFUGYJAUUGUUHUVPUWAXDABCEFGHJKLMNP
      QSTUAUBUCUDXFXGXHXIABCEFGHIJKLMNPQSTUAUBUCUDUEXJXMXKAUUIUUFUWBUWFXNXKAUUI
      UUFUWBUWFXDXIAUUOUUKAUUNUUJUFAUUNUUBUUHWLUIZUUEUUGWLUIZUNUIZUUJAUULUWRUUM
      UWSUNAUULUOLUPUIZUUAIUQUWRABCDFGHIJKLUVQNOPQRTUAUBUVSUDXLAUUAUUHIUOLALXOU
      SLUOXPUGUSUBLXQXRZAYSUXAUSZVRZUUAUXDBCFGHJKYSNPQANYDUSUXCUDXSZAUVAUXCUVBX
      SZAFVBUSUXCUVTXSUXCYSXOUSAYSLXTYAZWKVFYSLYTYBYCXGAUUMUXAUUDIUQUWSABCDEGHI
      JKLMNOPQRSUAUBUCUDXLAUUDUUGIUOLUXBUXDUUDUXDBCEGHJKYSNPQUXEUXFAEVBUSUXCUVO
      XSUXGWKVFYSLUUCYBYCXGYEAUUJUWTAUUBUUEUUGUUHUWDUWEUVPUWAYFXHXGYGXHXI $.
  $}

  ${
    knoppndvlem16.a $e |- A = ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. M ) $.
    knoppndvlem16.b $e |- B = ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. ( M + 1 ) ) $.
    knoppndvlem16.j $e |- ( ph -> J e. NN0 ) $.
    knoppndvlem16.m $e |- ( ph -> M e. ZZ ) $.
    knoppndvlem16.n $e |- ( ph -> N e. NN ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 19-Jul-2021.) $)
    knoppndvlem16 $p |- ( ph -> ( B - A ) = ( ( ( 2 x. N ) ^ -u J ) / 2 ) ) $=
      ( cmin co c2 cmul cneg cexp c1 wceq a1i cdiv caddc oveq12d 2cnd nncnd cc0
      mulcld wne 2ne0 nnne0d mulne0d znegcld expclzd mulne0bad divcld zcnd 1cnd
      nn0zd addcld subdid eqcomd pncan2d oveq2d mulid1d eqtrd 3eqtrd ) ACBLMNFO
      MZDPZQMZNUAMZERUBMZOMZVJEOMZLMZVJVKELMZOMZVJACVLBVMLCVLSAHTBVMSAGTUCAVPVN
      AVJVKEAVINAVGVHANFAUDZAFKUEZUGANFVQVRNUFUHAUITAFKUJUKZADADIURULUMVQANFVQV
      RVSUNUOZAERAEJUPZAUQZUSWAUTVAAVPVJROMVJAVORVJOAERWAWBVBVCAVJVTVDVEVF $.
  $}

  ${
    $d A i n w y $.  $d A i w x $.  $d B i n w y $.  $d B i w x $.
    $d C i n y $.  $d F i w $.  $d J i n y $.  $d J i x $.  $d M n y $.
    $d M x $.  $d N i n y $.  $d N i x $.  $d T n y $.  $d ph i n w y $.
    knoppndvlem17.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppndvlem17.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppndvlem17.w $e |- W =
                        ( w e. RR |-> sum_ i e. NN0 ( ( F ` w ) ` i ) ) $.
    knoppndvlem17.a $e |- A = ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. M ) $.
    knoppndvlem17.b $e |- B = ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. ( M + 1 ) ) $.
    knoppndvlem17.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    knoppndvlem17.j $e |- ( ph -> J e. NN0 ) $.
    knoppndvlem17.m $e |- ( ph -> M e. ZZ ) $.
    knoppndvlem17.n $e |- ( ph -> N e. NN ) $.
    knoppndvlem17.1 $e |- ( ph -> 1 < ( N x. ( abs ` C ) ) ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 12-Aug-2021.) $)
    knoppndvlem17 $p |- ( ph ->
     ( ( ( ( 2 x. N ) x. ( abs ` C ) ) ^ J ) x.
          ( 1 - ( 1 / ( ( ( 2 x. N ) x. ( abs ` C ) ) - 1 ) ) ) )
      <_ ( ( abs ` ( ( W ` B ) - ( W ` A ) ) ) / ( B - A ) ) ) $=
      ( c2 cmul co cabs cfv cexp c1 cmin cdiv cneg cle cr wcel clt knoppndvlem3
      wbr simpld recnd abscld reexpcld 2re a1i cc0 wne 2ne0 redivcld 1red nnred
      remulcld resubcld 0red 0lt1 knoppndvlem12 simprd lttrd jca gt0ne0 mulcomd
      syl oveq1d crp 2rp nnrpd rpmulcld nn0zd znegcld rpexpcld rphalfcld rpne0d
      wa rpcnd divassd divcld divcan7d expnegd oveq2d 1cnd expcld gtned expne0d
      divdiv2d mulcld div1d cc cz w3a wceq knoppndvlem13 absne0d mulexpz eqcomd
      3eqtrd eqtrd caddc peano2zd knoppndvlem1 eqeltrd knoppcld subcld lediv1dd
      3jca knoppndvlem15 eqbrtrd knoppndvlem16 breqtrd ) AUFNUGUHZGUIUJZUGUHZLU
      KUHZULULYMULUMUHZUNUHZUMUHZUGUHZFOUJZEOUJZUMUHZUIUJZYKLUOZUKUHZUFUNUHZUNU
      HZUUBFEUMUHZUNUHUPAYRYLLUKUHZUFUNUHZYQUGUHZUUEUNUHZUUFUPAUUKYRAUUKYQUUIUG
      UHZUUEUNUHYQUUIUUEUNUHZUGUHZYRAUUJUULUUEUNAUUIYQAUUIAUUHUFAYLLAGAGAGUQURZ
      YLULUSVAZAGUAUTZVBZVCZVDZUBVEZUFUQURAVFVGZUFVHVIAVJVGZVKZVCZAYQAULYPAVLZA
      ULYOUVFAYMULAYKYLAUFNUVBANUDVMVNZUUTVNUVFVOZAYOUQURZVHYOUSVAZWOYOVHVIAUVI
      UVJUVHAVHULYOAVPZUVFUVHVHULUSVAAVQVGZAYMULVIULYOUSVAAGNUAUDUEVRVSVTWAYOWB
      WDVKVOZVCZWCWEAYQUUIUUEUVNUVEAUUEAUUDAYKUUCAUFNUFWFURAWGVGANUDWHWIZALALUB
      WJZWKWLZWMZWPZAUUEUVRWNZWQAUUNUUMYQUGUHYRAYQUUMUVNAUUIUUEUVEUVSUVTWRWCAUU
      MYNYQUGAUUMUUHUUDUNUHZYNAUUHUUDUFAUUHUVAVCZAUUDUVQWPAUFUVBVCAUUDUVQWNUVCW
      SAUWAUUHULYKLUKUHZUNUHZUNUHUUHUWCUGUHZULUNUHZYNAUUDUWDUUHUNAYKLAYKUVGVCZA
      YKUVOWNZUVPWTXAAUUHULUWCUWBAXBAYKLUWGUBXCZAVHULUVKUVLXDAYKLUWGUWHUVPXEXFA
      UWFUWEUWCUUHUGUHZYNAUWEAUUHUWCUWBUWIXGXHAUUHUWCUWBUWIWCAYNUWJAYKXIURZYKVH
      VIZWOZYLXIURZYLVHVIZWOZLXJURZXKYNUWJXLAUWMUWPUWQAUWKUWLUWGUWHWAAUWNUWOAYL
      UUTVCAGUUSAGNUAUDUEXMXNWAUVPYFYKYLLXOWDXPXQXQXRWEXRXQXPAUUJUUBUUEAUUIYQUV
      DUVMVNAUUAAYSYTABCDFGHIJKNOPQRAFUUEMULXSUHZUGUHZUQFUWSXLATVGALUWRNUDUVPAM
      UCXTYAYBUDUURAUUOUUPUUQVSZYCABCDEGHIJKNOPQRAEUUEMUGUHZUQEUXAXLASVGALMNUDU
      VPUCYAYBUDUURUWTYCYDVDUVRABCDEFGHIJKLMNOPQRSTUAUBUCUDUEYGYEYHAUUEUUGUUBUN
      AUUGUUEAEFLMNSTUBUCUDYIXPXAYJ $.
  $}

  ${
    $d C j $.  $d D j $.  $d E j $.  $d G j $.  $d N j $.  $d ph j $.
    knoppndvlem18.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    knoppndvlem18.n $e |- ( ph -> N e. NN ) $.
    knoppndvlem18.d $e |- ( ph -> D e. RR+ ) $.
    knoppndvlem18.e $e |- ( ph -> E e. RR+ ) $.
    knoppndvlem18.g $e |- ( ph -> G e. RR+ ) $.
    knoppndvlem18.1 $e |- ( ph -> 1 < ( N x. ( abs ` C ) ) ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 14-Aug-2021.) $)
    knoppndvlem18 $p |- ( ph -> E. j e. NN0
      ( ( ( ( 2 x. N ) ^ -u j ) / 2 ) < D /\
      E <_ ( ( ( ( 2 x. N ) x. ( abs ` C ) ) ^ j ) x. G ) ) ) $=
      ( c2 co wbr cle c1 wcel adantr cmul cv cneg cexp cdiv clt cabs wa cn wrex
      cfv cn0 cif wceq 2re a1i nnred remulcld recnd cc0 wne 2pos nngt0d mulgt0d
      cr gt0ne0d cz nnz adantl expnegd adantrr crp 2rp jca rpmulcl syl rpexpcld
      elrpd rprecred knoppndvlem3 simpld abscld nnnn0 reexpcld rpred ifcld max1
      rpne0d redivcld simprr lelttrd cc mulexpd rpge0d w3a absge0d simprd ltled
      1red exple1 lemul2ad mulid1d breqtrd eqbrtrd ltletrd ltrec1d wb reexpclzd
      3jca nnnegz ltdivmuld mpbird max2 letrd ledivmul2d mpbid eqcomi 0le1 1lt2
      1t1e1 ltmul12ad mulassd eqcomd expnbnd reximddv wss nnssnn0 ssrexv ax-mp
      wi ) ANGUAOZDUBZUCZUDOZNUEOCUFPZEYKBUGUKZUAOZYLUDOZFUAOQPZUHZDUIUJZYTDULU
      JZARNCUAOZUEOZEFUEOZQPZUUEUUDUMZYRUFPZYTDUIAYLUISZUUHUHZUHZYOYSUUKYOYNUUC
      UFPZUUKYNRYKYLUDOZUEOZUUCUFAUUIYNUUNUNUUHAUUIUHZYKYLUUOYKAYKVESUUIANGNVES
      AUOUPZAGIUQZURZTZUSZAYKUTVAUUIAYKANGUUPUUQUTNUFPAVBUPAGIVCVDZVFTZUUIYLVGS
      AYLVHVIZVJVKUUKUUCUUMAUUCVLSZUUJANVLSZCVLSZUHUVDAUVEUVFUVEAVMUPJVNNCVOVPZ
      TZAUUIUUMVLSUUHUUOYKYLAYKVLSUUIAYKUURUVAVRTUVCVQZVKZUUKUUDYRUUMUUKUUCUVHV
      SZAUUIYRVESUUHUUOYQYLAYQVESZUUIAYKYPUURABABABVESZYPRUFPZABHVTZWAUSZWBZURZ
      TUUIYLULSZAYLWCVIZWDVKZUUKUUMUVJWEUUKUUDUUGYRUVKAUUGVESZUUJAUUFUUEUUDVEAE
      FAEKWEZAFLWEAFLWHWIZAUUCUVGVSZWFZTZUWAAUUDUUGQPZUUJAUUDVESZUUEVESZUHZUWHA
      UWIUWJUWEUWDVNZUUDUUEWGVPTAUUIUUHWJZWKAUUIYRUUMQPUUHUUOYRUUMYPYLUDOZUAOZU
      UMQUUOYKYPYLUUTAYPWLSUUIAYPUVQUSZTUVTWMUUOUWOUUMRUAOUUMQUUOUWNRUUMUUOYPYL
      AYPVESZUUIUVQTUVTWDUUOWSUUOUUMUVIWEZUUOUUMUVIWNUUOUWQUTYPQPZYPRQPZWOZUVSU
      HUWNRQPUUOUXAUVSAUXAUUIAUWQUWSUWTUVQABUVPWPAYPRUVQAWSZAUVMUVNUVOWQWRXITUV
      TVNYPYLWTVPXAUUOUUMUUOUUMUWRUSXBXCXDVKXEXFXDAUUIYOUULXGUUHUUOYNCNUUOYKYMU
      USUVBUUIYMVGSAYLXJVIXHACVESUUIACJWETUVEUUOVMUPXKVKXLUUKUUEYRQPYSUUKUUEUUG
      YRAUWJUUJUWDTUWGUWAAUUEUUGQPZUUJAUWKUXCUWLUUDUUEXMVPTUUKUUGYRUWGUWAUWMWRX
      NUUKEYRFAEVESUUJUWCTUWAAFVLSUUJLTXOXPVNAUWBUVLRYQUFPZWOUUHDUIUJAUWBUVLUXD
      UWFUVRARNGYPUAOZUAOZYQUFARRRUAOZUXFUFRUXGUNAUXGRXTXQUPARNRUXEUXBUUPUXBAGY
      PUUQUVQURUTRQPAXRUPZRNUFPAXSUPUXHMYAXDAYQUXFANGYPANUUPUSAGUUQUSUWPYBYCXCX
      IUUGYQDYDVPYEUIULYFUUAUUBYJYGYTDUIULYHYIVP $.
  $}

  ${
    $d ph m $.  $d J m $.  $d H m $.  $d N m $.
    knoppndvlem19.a $e |- A = ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. m ) $.
    knoppndvlem19.b $e |- B = ( ( ( ( 2 x. N ) ^ -u J ) / 2 ) x. ( m + 1 ) ) $.
    knoppndvlem19.j $e |- ( ph -> J e. NN0 ) $.
    knoppndvlem19.h $e |- ( ph -> H e. RR ) $.
    knoppndvlem19.n $e |- ( ph -> N e. NN ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 17-Aug-2021.) $)
    knoppndvlem19 $p |- ( ph -> E. m e. ZZ ( A <_ H /\ H <_ B ) ) $=
      ( cle wbr c2 cmul co cr wcel a1i wa cneg cexp cdiv cfl cfv c1 caddc nnred
      cz 2re remulcld cc0 clt 2pos nngt0d mulgt0d gt0ne0d nn0zd reexpclzd recnd
      znegcld mulne0bad redivcld w3a 3jca expgt0 syl divgt0d flcld cv wb oveq2d
      wceq id eqtrd breq1d oveq1d breq2d anbi12d adantl zred 0red flle lemul2ad
      ltled divcan2d breqtrd eqcomd peano2re fllep1 eqbrtrd jca rspcedvd ) ABEM
      NZECMNZUAZOGPQZFUBZUCQZOUDQZEXAUDQZUEUFZPQZEMNZEXAXCUGUHQZPQZMNZUAZDXCUJA
      XBAEXAKAWTOAWRWSAOGORSAUKTZAGLUIZULZAWRAOGXJXKUMOUNNAUOTZAGLUPUQZURZAFAFJ
      USVBZUTZXJAOGAOXJVAAGXKVAXOVCVDZAXAAWTOXQXJAWRRSZWSUJSZUMWRUNNZVEUMWTUNNA
      XSXTYAXLXPXNVFWRWSVGVHXMVIZURZVDZVJZDVKZXCVNZWQXIVLAYGWOXEWPXHYGBXDEMYGBX
      AYFPQZXDBYHVNYGHTYGYFXCXAPYGVOZVMVPVQYGCXGEMYGCXAYFUGUHQZPQZXGCYKVNYGITYG
      YJXFXAPYGYFXCUGUHYIVRVMVPVSVTWAAXEXHAXDXAXBPQZEMAXCXBXAAXCYEWBZYDXRAUMXAA
      WCXRYBWFZAXBRSZXCXBMNYDXBWDVHWEAEXAAEKVAAXAXRVAYCWGZWHAEYLXGMAYLEYPWIAXBX
      FXAYDAXCRSXFRSYMXCWJVHXRYNAYOXBXFMNYDXBWKVHWEWLWMWN $.
  $}

  ${
    knoppndvlem20.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    knoppndvlem20.n $e |- ( ph -> N e. NN ) $.
    knoppndvlem20.1 $e |- ( ph -> 1 < ( N x. ( abs ` C ) ) ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 18-Aug-2021.) $)
    knoppndvlem20 $p |- ( ph ->
      ( 1 - ( 1 / ( ( ( 2 x. N ) x. ( abs ` C ) ) - 1 ) ) ) e. RR+ ) $=
      ( c1 c2 cmul co cabs cmin clt wbr wcel cr a1i remulcld cc0 mpbid cfv cdiv
      crp wne knoppndvlem12 simprd 2re nnred knoppndvlem3 simpld recnd resubcld
      abscld 1red 0red 0lt1 lttrd elrpd recgt1d wa wb rprecred jca difrp syl )
      AGHCIJZBKUAZIJZGLJZUBJZGMNZGVJLJUCOZAGVIMNZVKAVHGUDVMABCDEFUEUFZAVIAVIAVH
      GAVFVGAHCHPOAUGQACEUHRABABABPOVGGMNABDUIUJUKUMRAUNZULZASGVIAUOVOVPSGMNAUP
      QVNUQURZUSTAVJPOZGPOZUTVKVLVAAVRVSAVIVQVBVOVCVJGVDVET $.
  $}

  ${
    $d C i n y $.  $d D a b m $.  $d E a b m $.  $d F i w $.  $d H a b m $.
    $d J a b m $.  $d J i m n w y $.  $d J i m w x $.  $d N a b m $.
    $d N i m n w y $.  $d N i m w x $.  $d T n y $.  $d W a b m $.
    $d ph i m n w y $.
    knoppndvlem21.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppndvlem21.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppndvlem21.w $e |- W =
                        ( w e. RR |-> sum_ i e. NN0 ( ( F ` w ) ` i ) ) $.
    knoppndvlem21.g $e |- G =
                   ( 1 - ( 1 / ( ( ( 2 x. N ) x. ( abs ` C ) ) - 1 ) ) ) $.
    knoppndvlem21.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    knoppndvlem21.d $e |- ( ph -> D e. RR+ ) $.
    knoppndvlem21.e $e |- ( ph -> E e. RR+ ) $.
    knoppndvlem21.h $e |- ( ph -> H e. RR ) $.
    knoppndvlem21.j $e |- ( ph -> J e. NN0 ) $.
    knoppndvlem21.n $e |- ( ph -> N e. NN ) $.
    knoppndvlem21.1 $e |- ( ph -> 1 < ( N x. ( abs ` C ) ) ) $.
    knoppndvlem21.2 $e |- ( ph -> ( ( ( 2 x. N ) ^ -u J ) / 2 ) < D ) $.
    knoppndvlem21.3 $e |- ( ph ->
            E <_ ( ( ( ( 2 x. N ) x. ( abs ` C ) ) ^ J ) x. G ) ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 18-Aug-2021.) $)
    knoppndvlem21 $p |- ( ph -> E. a e. RR E. b e. RR
      ( ( a <_ H /\ H <_ b ) /\ ( ( b - a ) < D /\ a =/= b ) /\
         E <_ ( ( abs ` ( ( W ` b ) - ( W ` a ) ) ) / ( b - a ) ) ) ) $=
      ( vm c2 cmul co cneg cexp cdiv cv cle wbr caddc cmin clt wne cfv cabs w3a
      c1 wa cr wrex cz eqid knoppndvlem19 wcel 2re a1i remulcld cc0 2pos nngt0d
      nnred mulgt0d gt0ne0d nn0zd znegcld reexpclzd rehalfcld adantr simpr zred
      adantrr peano2re syl jca remulcl simprr cn0 cn knoppndvlem16 eqbrtrd 3jca
      expgt0 divgt0d eqcomd mpbird ltned rpred knoppndvlem3 simpld recnd abscld
      breqtrd posdifd reexpcld wceq knoppndvlem20 simprd knoppcld subcld oveq2i
      eqeltrd redivcld cioo knoppndvlem17 letrd breq1 anbi1d oveq2 breq1d neeq1
      anbi12d fveq2 oveq2d fveq2d oveq12d breq2d 3anbi123d breq2 oveq1 fvoveq1d
      anbi2d neeq2 rspc2ev rexlimddv ) AUMOUNUOZNUPZUQUOZUMURUOZULUSZUNUOZMUTVA
      ZMUUJUUKVIVBUOZUNUOZUTVAZVJZQUSZMUTVAZMRUSZUTVAZVJZUUTUURVCUOZFVDVAZUURUU
      TVEZVJZJUUTPVFZUURPVFZVCUOZVGVFZUVCURUOZUTVAZVHZRVKVLQVKVLZULVMAUULUUOULM
      NOUULVNZUUOVNZUGUFUHVOAUUKVMVPZUUQVJVJZUULVKVPZUUOVKVPZUUQUUOUULVCUOZFVDV
      AZUULUUOVEZVJZJUUOPVFZUULPVFZVCUOZVGVFZUWAURUOZUTVAZVHZVHUVNUVRUVSUVTUWKA
      UVQUVSUUQAUVQVJZUUJUUKAUUJVKVPZUVQAUUIAUUGUUHAUMOUMVKVPAVQVRZAOUHWCZVSZAU
      UGAUMOUWNUWOVTUMVDVAAWAVRZAOUHWBWDZWEANANUGWFWGZWHZWIWJZUWLUUKAUVQWKZWLZV
      SZWMAUVQUVTUUQUWLUWMUUNVKVPZVJUVTUWLUWMUXEUXAUWLUUKVKVPUXEUXCUUKWNWOWPUUJ
      UUNWQWOZWMUVRUUQUWDUWJAUVQUUQWRAUVQUWDUUQUWLUWBUWCUWLUWAUUJFVDUWLUULUUONU
      UKOUVOUVPANWSVPUVQUGWJZUXBAOWTVPUVQUHWJZXAZAUUJFVDVAUVQUJWJXBUWLUULUUOUXD
      UWLUULUUOVDVAVTUWAVDVAUWLVTUUJUWAVDAVTUUJVDVAUVQAUUIUMUWTUWNAUUGVKVPZUUHV
      MVPZVTUUGVDVAZVHVTUUIVDVAAUXJUXKUXLUWPUWSUWRXCUUGUUHXDWOUWQXEWJUWLUWAUUJU
      XIXFXNZUWLUULUUOUXDUXFXOXGXHWPWMAUVQUWJUUQUWLJUUGEVGVFZUNUOZNUQUOZLUNUOZU
      WIAJVKVPUVQAJUEXIWJAUXQVKVPUVQAUXPLAUXONAUUGUXNUWPAEAEAEVKVPZUXNVIVDVAZAE
      UCXJZXKZXLXMVSUGXPALVIVIUXOVIVCUOURUOVCUOZVKLUYBXQAUBVRAUYBAEOUCUHUIXRXIY
      CVSWJUWLUWHUWAUWLUWGUWLUWEUWFUWLBCDUUOEGHIKOPSTUAUXFUXHAUXRUVQUYAWJZAUXSU
      VQAUXRUXSUXTXSWJZXTUWLBCDUULEGHIKOPSTUAUXDUXHUYCUYDXTYAXMUWLUWAUUJVKUXIUX
      AYCUWLUWAUXMWEYDAJUXQUTVAUVQUKWJUWLUXQUXPUYBUNUOZUWIUTUXQUYEXQUWLLUYBUXPU
      NUBYBVRUWLBCDUULUUOEGHIKNUUKOPSTUAUVOUVPAEVIUPVIYEUOVPUVQUCWJUXGUXBUXHAVI
      OUXNUNUOVDVAUVQUIWJYFXBYGWMXCXCUVMUWKUUMUVAVJZUUTUULVCUOZFVDVAZUULUUTVEZV
      JZJUVGUWFVCUOZVGVFZUYGURUOZUTVAZVHQRUULUUOVKVKUURUULXQZUVBUYFUVFUYJUVLUYN
      UYOUUSUUMUVAUURUULMUTYHYIUYOUVDUYHUVEUYIUYOUVCUYGFVDUURUULUUTVCYJZYKUURUU
      LUUTYLYMUYOUVKUYMJUTUYOUVJUYLUVCUYGURUYOUVIUYKVGUYOUVHUWFUVGVCUURUULPYNYO
      YPUYPYQYRYSUUTUUOXQZUYFUUQUYJUWDUYNUWJUYQUVAUUPUUMUUTUUOMUTYTUUCUYQUYHUWB
      UYIUWCUYQUYGUWAFVDUUTUUOUULVCUUAZYKUUTUUOUULUUDYMUYQUYMUWIJUTUYQUYLUWHUYG
      UWAURUYQUVGUWEUWFVGVCUUTUUOPYNUUBUYRYQYRYSUUEWOUUF $.
  $}

  ${
    $d C i j n w y $.  $d D a b j $.  $d D i j n w y $.  $d E a b j $.
    $d E i j n w y $.  $d F i w $.  $d H a b j $.  $d N a b j $.
    $d N i j n w y $.  $d N i j w x $.  $d T n y $.  $d W a b j $.
    $d ph i j n w y $.
    knoppndvlem22.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppndvlem22.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppndvlem22.w $e |- W =
                        ( w e. RR |-> sum_ i e. NN0 ( ( F ` w ) ` i ) ) $.
    knoppndvlem22.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    knoppndvlem22.d $e |- ( ph -> D e. RR+ ) $.
    knoppndvlem22.e $e |- ( ph -> E e. RR+ ) $.
    knoppndvlem22.h $e |- ( ph -> H e. RR ) $.
    knoppndvlem22.n $e |- ( ph -> N e. NN ) $.
    knoppndvlem22.1 $e |- ( ph -> 1 < ( N x. ( abs ` C ) ) ) $.
    $( Lemma for ~ knoppndv .  (Contributed by Asger C. Ipsen, 19-Aug-2021.) $)
    knoppndvlem22 $p |- ( ph -> E. a e. RR E. b e. RR
      ( ( a <_ H /\ H <_ b ) /\ ( ( b - a ) < D /\ a =/= b ) /\
         E <_ ( ( abs ` ( ( W ` b ) - ( W ` a ) ) ) / ( b - a ) ) ) ) $=
      ( vj c2 cmul co cv cneg cexp cdiv clt wbr cabs cfv c1 cmin cle wa wne w3a
      cr wrex cn0 knoppndvlem20 knoppndvlem18 wcel eqid cioo adantr crp simprrl
      simprl cn simprrr knoppndvlem21 rexlimddv ) AUGMUHUIZUFUJZUKULUIUGUMUIFUN
      UOZJVTEUPUQZUHUIZWAULUIURURWDURUSUIUMUIUSUIZUHUIUTUOZVAZOUJZLUTUOLPUJZUTU
      OVAWIWHUSUIZFUNUOWHWIVBVAJWINUQWHNUQUSUIUPUQWJUMUIUTUOVCPVDVEOVDVEUFVFAEF
      UFJWEMTUDUAUBAEMTUDUEVGUEVHAWAVFVIZWGVAZVABCDEFGHIJKWELWAMNOPQRSWEVJAEURU
      KURVKUIVIWLTVLAFVMVIWLUAVLAJVMVIWLUBVLALVDVIWLUCVLAWKWGVOAMVPVIWLUDVLAURM
      WCUHUIUNUOWLUEVLAWKWBWFVNAWKWBWFVQVRVS $.
  $}

  ${
    $d C i n w y $.  $d F i w $.  $d N a b $.  $d N i n w y $.  $d N i w x $.
    $d T n y $.  $d W a b d e h $.  $d ph a b d e h $.  $d ph d e h i n w y $.
    knoppndv.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppndv.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppndv.w $e |- W =
                        ( w e. RR |-> sum_ i e. NN0 ( ( F ` w ) ` i ) ) $.
    knoppndv.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    knoppndv.n $e |- ( ph -> N e. NN ) $.
    knoppndv.1 $e |- ( ph -> 1 < ( N x. ( abs ` C ) ) ) $.
    $( The continuous nowhere differentiable function ` W ` ( Knopp, K. (1918).
       Math.  Z. 2, 1-26 ) is, in fact, nowhere differentiable.  (Contributed
       by Asger C. Ipsen, 19-Aug-2021.) $)
    knoppndv $p |- ( ph -> dom ( RR _D W ) = (/) ) $=
      ( cr co wcel vh va vb ve vd cv cdv cdm wn wal c0 wceq simpl wss ax-resscn
      wa cc a1i ccncf wf cabs cfv c1 clt wbr knoppndvlem3 simpld simprd knoppcn
      cncff syl ssidd dvbss adantr simpr sseldd jca cle cmin wne cdiv wrex cneg
      w3a cioo ad2antrr simprr simprl simplr knoppndvlem22 ralrimivva unbdqndv2
      crp cn cmul pm2.01da alrimiv eq0 sylibr ) AUAUFZRKUGSUHZTZUIZUAUJXAUKULAX
      CUAAXBAXBUPZAWTRTZUPZXCXDAXEAXBUMXDXARWTAXARUNXBARRKRUQUNAUOURAKRUQUSSTRU
      QKUTZABCDEFGHIJKLMNPAERTZEVAVBZVCVDVEZAEOVFZVGAXHXJXKVHVIRUQKVJVKZARVLVMV
      NAXBVOVPVQXFUBUCWTKRUDUEXFRVLAXGXEXLVNXFUBUFZWTVRVEWTUCUFZVRVEUPXNXMVSSZU
      EUFZVDVEXMXNVTUPUDUFZXNKVBXMKVBVSSVAVBXOWASVRVEWDUCRWBUBRWBUDUEWMWMXFXQWM
      TZXPWMTZUPZUPBCDEXPFGHXQIWTJKUBUCLMNAEVCWCVCWESTXEXTOWFXFXRXSWGXFXRXSWHAX
      EXTWIAJWNTXEXTPWFAVCJXIWOSVDVEXEXTQWFWJWKWLVKWPWQUAXAWRWS $.
  $}

  ${
    $d C n y $.  $d F i w z $.  $d N n y $.  $d N x $.  $d T n y $.
    $d ph i n w y z $.  $d i w x z $.
    knoppf.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppf.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppf.w $e |- W =
                        ( w e. RR |-> sum_ i e. NN0 ( ( F ` w ) ` i ) ) $.
    knoppf.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    knoppf.n $e |- ( ph -> N e. NN ) $.
    $( Knopp's function is a function.  (Contributed by Asger C. Ipsen,
       25-Aug-2021.) $)
    knoppf $p |- ( ph -> W : RR --> RR ) $=
      ( cr cfv wcel adantr vz cn0 cv csu wa cc0 nn0uz 0zd eqidd cn cabs clt wbr
      knoppndvlem3 simpld simpr knoppcnlem3 caddc cseq cli cdm cmpt wceq fveq1d
      c1 fveq2 sumeq2sdv cbvmptv eqtri cneg cioo knoppndvlem4 seqex fvex breldm
      co syl isumrecl fmptd ) ADQUBGUCZDUCZIRZRZGUDZQKAWAQSZUEZWCGWBUFUBUGWFUHW
      FVTUBSZUEZWCUIWHBCWAEFHIVTJLMWFJUJSZWGAWIWEPTZTWFEQSZWGAWKWEAWKEUKRVEULUM
      AEOUNUOTTWFWEWGAWEUPZTWFWGUPUQWFURWBUFUSZWAKRZUTUMWMUTVASWFBCUAWAEFGHIJKL
      MKDQWDVBUAQUBVTUAUCZIRZRZGUDZVBNDUAQWDWRWAWOVCZUBWCWQGWSVTWBWPWAWOIVFVDVG
      VHVIWLAEVEVJVEVKVPSWEOTWJVLWMWNUTURWBUFVMWAKVNVOVQVRNVS $.
  $}

  ${
    $d C n y $.  $d F i w $.  $d N n y $.  $d N x $.  $d T n y $.
    $d ph i n w y $.  $d i w x $.
    knoppcn2.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    knoppcn2.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( C ^ n ) x. ( T ` ( ( ( 2 x. N ) ^ n ) x. y ) ) ) ) ) $.
    knoppcn2.w $e |- W = ( w e. RR |-> sum_ i e. NN0 ( ( F ` w ) ` i ) ) $.
    knoppcn2.n $e |- ( ph -> N e. NN ) $.
    knoppcn2.c $e |- ( ph -> C e. ( -u 1 (,) 1 ) ) $.
    $( Variant of ~ knoppcn with different codomain.  (Contributed by Asger C.
       Ipsen, 25-Aug-2021.) $)
    knoppcn2 $p |- ( ph -> W e. ( RR -cn-> RR ) ) $=
      ( cr ccncf wcel cc co wf knoppf wss wa wb ax-resscn a1i cabs knoppndvlem3
      cfv c1 clt wbr simpld simprd knoppcn jca cncffvrn syl mpbird ) AKQQRUASZQ
      QKUBZABCDEFGHIJKLMNPOUCAQTUDZKQTRUASZUEVBVCUFAVDVEVDAUGUHABCDEFGHIJKLMNOA
      EQSZEUIUKULUMUNZAEPUJZUOAVFVGVHUPUQURQTQKUSUTVA $.
  $}

  ${
    $d F i w $.  $d T n y $.  $d i n w y $.  $d i w x $.
    cnndvlem1.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    cnndvlem1.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( ( 1 / 2 ) ^ n ) x. ( T ` ( ( ( 2 x. 3 ) ^ n ) x. y ) ) ) ) ) $.
    cnndvlem1.w $e |- W = ( w e. RR |-> sum_ i e. NN0 ( ( F ` w ) ` i ) ) $.
    $( Lemma for ~ cnndv .  (Contributed by Asger C. Ipsen, 25-Aug-2021.) $)
    cnndvlem1 $p |- ( W e. ( RR -cn-> RR ) /\ dom ( RR _D W ) = (/) ) $=
      ( co wcel wtru c1 c2 c3 clt wbr cc0 cr ccncf cdv cdm c0 wceq cdiv 3nn a1i
      cn cneg cxr w3a wa neg1rr rexri 1re halfre 3pm3.2i neg1lt0 halfgt0 pm3.2i
      cioo 0re lttri ax-mp halflt1 elioo3g mpbir knoppcn2 cabs cfv cmul mulid2i
      mptru 2cn 2lt3 eqbrtri wb 2pos nnrei 2re ltmuldivi mpbi cle ltleii absidi
      oveq2i nncni 2ne0 divreci eqcomi eqtri breqtrri knoppndv ) HUAUAUBLMZUAHU
      CLUDUEUFZWPNABCOPUGLZDEFGQHIJKQUJMNUHUIZWROUKZOVCLMZNXAWTULMZOULMZWRULMZU
      MZWTWRRSZWRORSZUNZUNXEXHXBXCXDWTUOUPOUQUPWRURUPUSXFXGWTTRSZTWRRSZUNXFXIXJ
      UTVAVBWTTWRUOVDURVEVFVGVBVBWTOWRVHVIUIZVJVOWQNABCWRDEFGQHIJKXKWSOQWRVKVLZ
      VMLZRSNOQPUGLZXMROPVMLZQRSZOXNRSZXOPQRPVPVNVQVRTPRSXPXQVSVTOQPUQQUHWAWBWC
      VFWDXMQWRVMLZXNXLWRQVMTWRWESXLWRUFTWRVDURVAWFWRURWGVFWHXNXRQPQUHWIVPWJWKW
      LWMWNUIWOVOVB $.
  $}

  ${
    $d F i w $.  $d T n y $.  $d W f $.  $d i n w y $.  $d i w x $.
    cnndvlem2.t $e |- T = ( x e. RR |->
                            ( abs ` ( ( |_ ` ( x + ( 1 / 2 ) ) ) - x ) ) ) $.
    cnndvlem2.f $e |- F = ( y e. RR |-> ( n e. NN0 |->
            ( ( ( 1 / 2 ) ^ n ) x. ( T ` ( ( ( 2 x. 3 ) ^ n ) x. y ) ) ) ) ) $.
    cnndvlem2.w $e |- W = ( w e. RR |-> sum_ i e. NN0 ( ( F ` w ) ` i ) ) $.
    $( Lemma for ~ cnndv .  (Contributed by Asger C. Ipsen, 26-Aug-2021.) $)
    cnndvlem2 $p |- E. f ( f e. ( RR -cn-> RR ) /\ dom ( RR _D f ) = (/) ) $=
      ( cr co wcel cdv cdm c0 wceq cv ccncf wex cnndvlem1 cn0 cfv csu cmpt reex
      wa cvv mptex eqeltri eleq1 oveq2 dmeqd eqeq1d anbi12d spcev ax-mp ) IMMUA
      NZOZMIPNZQZRSZUIZETZUTOZMVFPNZQZRSZUIZEUBABCDFGHIJKLUCVKVEEIICMUDFTCTHUEU
      EFUFZUGUJLCMVLUHUKULVFISZVGVAVJVDVFIUTUMVMVIVCRVMVHVBVFIMPUNUOUPUQURUS $.
  $}

  ${
    $d f i n w x y $.
    $( There exists a continuous nowhere differentiable function.  The result
       follows directly from ~ knoppcn and ~ knoppndv .  (Contributed by Asger
       C. Ipsen, 26-Aug-2021.) $)
    cnndv $p |- E. f ( f e. ( RR -cn-> RR ) /\ dom ( RR _D f ) = (/) ) $=
      ( vx vy vw vi vn cr cv c1 c2 cdiv caddc cfl cfv cmpt cn0 cexp cmul eqid
      co cmin cabs c3 csu cnndvlem2 ) BCDBGBHZIJKTZLTMNUFUATUBNOZAEFCGFPUGFHZQT
      JUCRTUIQTCHRTUHNRTOOZDGPEHDHUJNNEUDOZUHSUJSUKSUE $.
  $}

$( (End of Asger C. Ipsen's mathbox.) $)
$( End $[ set-mbox-ai.mm $] $)


$( Begin $[ set-mbox-bj.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for BJ
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  In this mathbox, we try to respect the ordering of the sections of the main
  part.  There are strengthenings of theorems of the main part, as well as work
  on reducing axiom dependencies.

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Propositional calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Miscellaneous utility theorems of propositional calculus.

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Derived rules of inference
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  In this section, we prove a few rules of inference derived from modus ponens
  ~ ax-mp , and which do not depend on any other axioms.

$)

  ${
    bj-mp2c.1 $e |- ph $.
    bj-mp2c.2 $e |- ( ph -> ps ) $.
    bj-mp2c.3 $e |- ( ph -> ( ps -> ch ) ) $.
    $( A double modus ponens inference.  Inference associated with ~ mpd .
       (Contributed by BJ, 24-Sep-2019.) $)
    bj-mp2c $p |- ch $=
      ( ax-mp mp2 ) ABCDABDEGFH $.
  $}

  ${
    bj-mp2d.1 $e |- ph $.
    bj-mp2d.2 $e |- ( ph -> ps ) $.
    bj-mp2d.3 $e |- ( ps -> ( ph -> ch ) ) $.
    $( A double modus ponens inference.  Inference associated with ~ mpcom .
       (Contributed by BJ, 24-Sep-2019.) $)
    bj-mp2d $p |- ch $=
      ( ax-mp mp2 ) BACABDEGDFH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  A syntactic theorem
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  In this section, we prove a syntactic theorem ( ~ bj-0 ) asserting that some
  formula is well-formed.  Then, we use this syntactic theorem to shorten the
  proof of a "usual" theorem ( ~ bj-1 ) and explain in the comment of that
  theorem why this phenomenon is unusual.

$)

  $( A syntactic theorem.  See the section comment and the comment of ~ bj-1 .
     The full proof (that is, with the syntactic, non-essential steps) does not
     appear on this webpage.  It has five steps and reads $= wph wps wi wch wi
     $.  The only other syntactic theorems in the main part of set.mm are ~ wel
     and ~ weq .  (Contributed by BJ, 24-Sep-2019.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  bj-0 $p wff ( ( ph -> ps ) -> ch ) $=
    ( wi ) ABDCD $.

  $( In this proof, the use of the syntactic theorem ~ bj-0 allows to reduce
     the total length by one (non-essential) step.  See also the section
     comment and the comment of ~ bj-0 .  Since ~ bj-0 is used in a
     non-essential step, this use does not appear on this webpage (but the
     present theorem appears on the webpage for ~ bj-0 as a theorem referencing
     it).  The full proof reads $= wph wps wch bj-0 id $.  (while, without
     using ~ bj-0 , it would read $= wph wps wi wch wi id $.).

     Now we explain why syntactic theorems are not useful in set.mm.  Suppose
     that the syntactic theorem thm-0 proves that PHI is a well-formed formula,
     and that thm-0 is used to shorten the proof of thm-1.  Assume that PHI
     does have proper non-atomic subformulas (which is not the case of the
     formula proved by ~ weq or ~ wel ).  Then, the proof of thm-1 does not
     construct all the proper non-atomic subformulas of PHI (if it did, then
     using thm-0 would not shorten it).  Therefore, thm-1 is a special instance
     of a more general theorem with essentially the same proof.  In the present
     case, ~ bj-1 is a special instance of ~ id .  (Contributed by BJ,
     24-Sep-2019.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  bj-1 $p |- ( ( ( ph -> ps ) -> ch ) -> ( ( ph -> ps ) -> ch ) ) $=
    ( bj-0 id ) ABCDE $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Minimal implicational calculus
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Weakening of ~ ax-1 .  As a consequence, its associated inference is an
     instance (where we allow extra hypotheses) of ~ ax-1 .  Its commuted form
     is ~ 2a1 (but ~ bj-a1k does not require ~ ax-2 ).  This shortens the
     proofs of ~ dfwe2 (937>925), ~ ordunisuc2 (789>777), ~ r111 (558>545),
     ~ smo11 (1176>1164).  (Contributed by BJ, 11-Aug-2020.)
     (Proof modification is discouraged.) $)
  bj-a1k $p |- ( ph -> ( ps -> ( ch -> ps ) ) ) $=
    ( wi ax-1 a1i ) BCBDDABCEF $.
    $( $j usage 'bj-a1k' avoids 'ax-2' 'ax-3'; $)

  ${
    bj-poni.1 $e |- ph $.
    $( Inference associated with "pon", ~ pm2.27 .  Its associated inference is
       ~ ax-mp .  (Contributed by BJ, 30-Jul-2024.) $)
    bj-poni $p |- ( ( ph -> ps ) -> ps ) $=
      ( wi pm2.27 ax-mp ) AABDBDCABEF $.
  $}

  $( When ` F. ` is substituted for ` ps ` , this formula is the Clavius law
     with a doubly negated consequent, which is therefore a minimalistic
     tautology.  Notice the non-intuitionistic proof from ~ peirce and ~ pm2.27
     chained using ~ syl .  (Contributed by BJ, 4-Dec-2023.) $)
  bj-nnclav $p |- ( ( ( ph -> ps ) -> ph ) -> ( ( ph -> ps ) -> ps ) ) $=
    ( wi id a2i ) ABCZABFDE $.

  ${
    bj-nnclavi.1 $e |- ( ( ph -> ps ) -> ph ) $.
    $( Inference associated with ~ bj-nnclav .  Its associated inference is an
       instance of ~ syl .  Notice the non-intuitionistic proof from
       ~ bj-peircei and ~ bj-poni .  (Contributed by BJ, 30-Jul-2024.) $)
    bj-nnclavi $p |- ( ( ph -> ps ) -> ps ) $=
      ( wi bj-nnclav ax-mp ) ABDZADGBDCABEF $.
  $}

  $( Commuted form of ~ bj-nnclav .  Notice the non-intuitionistic proof from
     ~ bj-peircei and ~ imim1i .  (Contributed by BJ, 30-Jul-2024.)  A proof
     which is shorter when compressed uses ~ embantd .
     (Proof modification is discouraged.) $)
  bj-nnclavc $p |- ( ( ph -> ps ) -> ( ( ( ph -> ps ) -> ph ) -> ps ) ) $=
    ( wi bj-nnclav com12 ) ABCZACFBABDE $.

  ${
    bj-nnclavci.1 $e |- ( ph -> ps ) $.
    $( Inference associated with ~ bj-nnclavc .  Its associated inference is an
       instance of ~ syl .  Notice the non-intuitionistic proof from ~ peirce
       and ~ syl .  (Contributed by BJ, 30-Jul-2024.) $)
    bj-nnclavci $p |- ( ( ( ph -> ps ) -> ph ) -> ps ) $=
      ( wi bj-nnclavc ax-mp ) ABDZGADBDCABEF $.
  $}

  ${
    bj-jarrii.1 $e |- ( ( ph -> ps ) -> ch ) $.
    bj-jarrii.2 $e |- ps $.
    $( Inference associated with ~ jarri .  Contrary to it , it does not
       require ~ ax-2 , but only ~ ax-mp and ~ ax-1 .  (Contributed by BJ,
       29-Mar-2020.)  (Proof modification is discouraged.) $)
    bj-jarrii $p |- ch $=
      ( wi a1i ax-mp ) ABFCBAEGDH $.
      $( $j usage 'bj-jarrii' avoids 'ax-2' 'ax-3'; $)
  $}

  $( The propositional function ` ( ch -> ( . -> th ) ) ` is decreasing.
     (Contributed by BJ, 19-Jul-2019.) $)
  bj-imim21 $p |- ( ( ph -> ps ) ->
                      ( ( ch -> ( ps -> th ) ) -> ( ch -> ( ph -> th ) ) ) ) $=
    ( wi imim1 imim2d ) ABEBDEADECABDFG $.

  ${
    bj-imim21i.1 $e |- ( ph -> ps ) $.
    $( Inference associated with ~ bj-imim21 .  Its associated inference is
       ~ syl5 .  (Contributed by BJ, 19-Jul-2019.) $)
    bj-imim21i $p |- ( ( ch -> ( ps -> th ) ) -> ( ch -> ( ph -> th ) ) ) $=
      ( wi bj-imim21 ax-mp ) ABFCBDFFCADFFFEABCDGH $.
  $}

  $( Over minimal implicational calculus, Peirce's law implies the double
     negation of the stability of any formula (that is the interpretation when
     ` F. ` is substituted for ` ps ` and for ` ch ` ).  Therefore, the double
     negation of the stability of any formula is provable in classical
     refutability calculus.  It is also provable in intuitionistic calculus
     (see iset.mm/bj-nnst) but it is not provable in minimal calculus (see
     ~ bj-stabpeirce ).  (Contributed by BJ, 30-Nov-2023.)  Axiom ~ ax-3 is
     only used through Peirce's law ~ peirce .
     (Proof modification is discouraged.) $)
  bj-peircestab $p |- ( ( ( ( ( ph -> ps ) -> ch ) -> ph ) -> ch ) -> ch ) $=
    ( wi bj-nnclav ax-1 imim2i peirce syl imim2 syl56 a1dd syl11 ) ABDZCDZADZCD
    ZCADZCDCQPDQCRPCERQAOQORNADAQPODOCOPCNFGOAHICANJABHKLMCAHI $.

  $( This minimal implicational calculus tautology is used in the following
     argument:  When ` ph , ps , ch , th , ta ` are replaced respectively by
     ` ( ph -> F. ) , F. , ph , F. , F. ` , the antecedent becomes
     ` -. -. ( -. -. ph -> ph ) ` , that is, the double negation of the
     stability of ` ph ` .  If that statement were provable in minimal
     calculus, then, since ` F. ` plays no particular role in minimal calculus,
     also the statement with ` ps ` in place of ` F. ` would be provable.  The
     corresponding consequent is ` ( ( ( ps -> ph ) -> ps ) -> ps ) ` , that
     is, the non-intuitionistic Peirce law.  Therefore, the double negation of
     the stability of any formula is not provable in minimal calculus.
     However, it is provable both in intuitionistic calculus (see
     iset.mm/bj-nnst) and in classical refutability calculus (see
     ~ bj-peircestab ).  (Contributed by BJ, 30-Nov-2023.)  (Revised by BJ,
     30-Jul-2024.)  (Proof modification is discouraged.) $)
  bj-stabpeirce $p |- ( ( ( ( ( ph -> ps ) -> ch ) -> th ) -> ta ) ->
                                          ( ( ( ps -> ch ) -> th ) -> ta ) ) $=
    ( wi jarr imim1i ) BCFZDFABFCFZDFEJIDABCGHH $.
    $( $j usage 'bj-stabpeirce' avoids 'ax-3'; $)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Positive calculus
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Positive calculus is understood to be intuitionistic.

$)

  ${
    bj-syl66ib.1 $e |- ( ph -> ( ps -> th ) ) $.
    bj-syl66ib.2 $e |- ( th -> ta ) $.
    bj-syl66ib.3 $e |- ( ta <-> ch ) $.
    $( A mixed syllogism inference derived from ~ syl6ib .  In addition to
       ~ bj-dvelimdv1 , it can also shorten ~ alexsubALTlem4 (4821>4812),
       ~ supsrlem (2868>2863).  (Contributed by BJ, 20-Oct-2021.) $)
    bj-syl66ib $p |- ( ph -> ( ps -> ch ) ) $=
      ( syl6 syl6ib ) ABECABDEFGIHJ $.
  $}

  $( Proof of ~ orim2 from the axiomatic definition of disjunction ( ~ olc ,
     ~ orc , ~ jao ) and minimal implicational calculus.  (Contributed by BJ,
     4-Apr-2021.)  (Proof modification is discouraged.) $)
  bj-orim2 $p |- ( ( ph -> ps ) -> ( ( ch \/ ph ) -> ( ch \/ ps ) ) ) $=
    ( wo wi orc olc imim2i jao mpsyl ) CCBDZEABEAKECADKECBFBKABCGHCKAIJ $.

  $( Curry's axiom ~ curryax (a non-intuitionistic positive statement sometimes
     called a paradox of material implication) implies Peirce's axiom ~ peirce
     over minimal implicational calculus and the axiomatic definition of
     disjunction (actually, only the elimination axiom ~ jao via its inference
     form ~ jaoi ; the introduction axioms ~ olc and ~ orc are not needed).
     Note that this theorem shows that actually, the standard instance of
     ~ curryax implies the standard instance of ~ peirce , which is not the
     case for the converse ~ bj-peircecurry .  (Contributed by BJ,
     15-Jun-2021.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  bj-currypeirce $p |-
              ( ( ph \/ ( ph -> ps ) ) -> ( ( ( ph -> ps ) -> ph ) -> ph ) ) $=
    ( wi ax-1 pm2.27 jaoi ) AABCZACZACGAHDGAEF $.

  $( Peirce's axiom ~ peirce implies Curry's axiom ~ curryax over minimal
     implicational calculus and the axiomatic definition of disjunction
     (actually, only the introduction axioms ~ olc and ~ orc ; the elimination
     axiom ~ jao is not needed).  See ~ bj-currypeirce for the converse.
     (Contributed by BJ, 15-Jun-2021.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  bj-peircecurry $p |- ( ph \/ ( ph -> ps ) ) $=
    ( wi wo orc olc peirce peirceroll ax-mp mpsyl ) AAABCZDZCZLAKEKLCZMLCZKAFLA
    CZLCLCNPACZOLAGKACACNQCABGABLHILAAHJII $.

  $( Conjunction in terms of implication and biconditional.  Note that the
     proof is intuitionistic (use of ~ ax-3 comes from the unusual definition
     of the biconditional in set.mm).  (Contributed by BJ, 23-Sep-2023.) $)
  bj-animbi $p |- ( ( ph /\ ps ) <-> ( ph <-> ( ph -> ps ) ) ) $=
    ( wa wi wb simpl pm3.4 2thd biimp pm2.43d biimpr mpd jcai impbii ) ABCZAABD
    ZEZOAPABFABGHQABQPAQABAPIJZAPKLRMN $.

  $( Curry's paradox.  Note that the proof is intuitionistic (use ~ ax-3 comes
     from the unusual definition of the biconditional in set.mm).  The paradox
     comes from the case where ` ph ` is the self-referential sentence "If this
     sentence is true, then ` ps ` ", so that one can prove everything.
     Therefore, a consistent system cannot allow the formation of such
     self-referential sentences.  This has lead to the study of logics
     rejecting contraction ~ pm2.43 , such as affine logic and linear logic.
     (Contributed by BJ, 23-Sep-2023.) $)
  bj-currypara $p |- ( ( ph <-> ( ph -> ps ) ) -> ps ) $=
    ( wi wb wa bj-animbi simpr sylbir ) AABCDABEBABFABGH $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Implication and negation
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( A commuted form of the contrapositive, true in minimal calculus.
     (Contributed by BJ, 19-Mar-2020.) $)
  bj-con2com $p |- ( ph -> ( ( ps -> -. ph ) -> -. ps ) ) $=
    ( wn wi con2 com12 ) BACDABCBAEF $.

  ${
    bj-con2comi.1 $e |- ph $.
    $( Inference associated with ~ bj-con2com .  Its associated inference is
       ~ mt2 .  TODO: when in the main part, add to ~ mt2 that it is the
       inference associated with ~ bj-con2comi .  (Contributed by BJ,
       19-Mar-2020.) $)
    bj-con2comi $p |- ( ( ps -> -. ph ) -> -. ps ) $=
      ( wn wi bj-con2com ax-mp ) ABADEBDECABFG $.
  $}

  ${
    bj-pm2.01i.1 $e |- ( ph -> -. ph ) $.
    $( Inference associated with the weak Clavius law ~ pm2.01 .  (Contributed
       by BJ, 30-Mar-2020.) $)
    bj-pm2.01i $p |- -. ph $=
      ( wn wi pm2.01 ax-mp ) AACZDGBAEF $.
  $}

  $( If a formula is true, then it does not imply its negation.  (Contributed
     by BJ, 19-Mar-2020.)  A shorter proof is possible using ~ id and ~ jc ,
     however, the present proof uses theorems that are more basic than ~ jc .
     (Proof modification is discouraged.) $)
  bj-nimn $p |- ( ph -> -. ( ph -> -. ph ) ) $=
    ( wn wi pm2.01 con2i ) AABCAADE $.

  ${
    bj-nimni.1 $e |- ph $.
    $( Inference associated with ~ bj-nimn .  (Contributed by BJ,
       19-Mar-2020.) $)
    bj-nimni $p |- -. ( ph -> -. ph ) $=
      ( wn wi bj-nimn ax-mp ) AAACDCBAEF $.
  $}

  ${
    bj-peircei.1 $e |- ( ( ph -> ps ) -> ph ) $.
    $( Inference associated with ~ peirce .  (Contributed by BJ,
       30-Mar-2020.) $)
    bj-peircei $p |- ph $=
      ( wi peirce ax-mp ) ABDADACABEF $.
  $}

  ${
    bj-looinvi.1 $e |- ( ( ph -> ps ) -> ps ) $.
    $( Inference associated with ~ looinv .  Its associated inference is
       ~ bj-looinvii .  (Contributed by BJ, 30-Mar-2020.) $)
    bj-looinvi $p |- ( ( ps -> ph ) -> ph ) $=
      ( wi looinv ax-mp ) ABDBDBADADCABEF $.
  $}

  ${
    bj-looinvii.1 $e |- ( ( ph -> ps ) -> ps ) $.
    bj-looinvii.2 $e |- ( ps -> ph ) $.
    $( Inference associated with ~ bj-looinvi .  (Contributed by BJ,
       30-Mar-2020.) $)
    bj-looinvii $p |- ph $=
      ( wi bj-looinvi ax-mp ) BAEADABCFG $.
  $}

  ${
    bj-mt2bi.min $e |- ph $.
    bj-mt2bi.maj $e |- ( ps <-> -. ph ) $.
    $( Version of ~ mt2 where the major premise is a biconditional.  Another
       proof is also possible via ~ con2bii and ~ mpbi .  The current ~ mt2bi
       should be relabeled, maybe to imfal.  (Contributed by BJ,
       5-Oct-2024.) $)
    bj-mt2bi $p |- -. ps $=
      ( wn biimpi mt2 ) BACBAEDFG $.
  $}

  ${
    bj-ntrufal.1 $e |- ph $.
    $( The negation of a theorem is equivalent to false.  This can shorten
       ~ dfnul2 .  (Contributed by BJ, 5-Oct-2024.) $)
    bj-ntrufal $p |- ( -. ph <-> F. ) $=
      ( wn notnoti bifal ) ACABDE $.
  $}

  $( Shortening of ~ fal using ~ bj-mt2bi .  (Contributed by Anthony Hart,
     22-Oct-2010.)  (Proof shortened by Mel L. O'Cat, 11-Mar-2012.)
     (Proof modification is discouraged.) $)
  bj-fal $p |- -. F. $=
    ( wtru wfal tru df-fal bj-mt2bi ) ABCDE $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Disjunction
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  A few lemmas about disjunction.  The fundamental theorems in this family are
  the dual statements ~ pm4.71 and ~ pm4.72 .
  See also ~ biort and ~ biorf .

$)

  ${
    bj-jaoi1.1 $e |- ( ph -> ps ) $.
    $( Shortens ~ orfa2 (58>53), ~ pm1.2 (20>18), ~ pm1.2 (20>18), ~ pm2.4
       (31>25), ~ pm2.41 (31>25), ~ pm2.42 (38>32), ~ pm3.2ni (43>39), ~ pm4.44
       (55>51).  (Contributed by BJ, 30-Sep-2019.) $)
    bj-jaoi1 $p |- ( ( ph \/ ps ) -> ps ) $=
      ( id jaoi ) ABBCBDE $.

    $( Shortens ~ consensus (110>106), ~ elnn0z (336>329), ~ pm1.2 (20>19),
       ~ pm3.2ni (43>39), ~ pm4.44 (55>51).  (Contributed by BJ,
       30-Sep-2019.) $)
    bj-jaoi2 $p |- ( ( ps \/ ph ) -> ps ) $=
      ( id jaoi ) BBABDCE $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Logical equivalence
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  A few other characterizations of the bicondional.  The inter-definability of
  logical connectives offers many ways to express a given statement.  Some
  useful theorems in this regard are ~ df-or , ~ df-an , ~ pm4.64 , ~ imor ,
  ~ pm4.62 through ~ pm4.67 , and, for the De Morgan laws, ~ ianor through
  ~ pm4.57 .

$)

  $( Alternate definition of the biconditional.  (Contributed by BJ,
     4-Oct-2019.) $)
  bj-dfbi4 $p |- ( ( ph <-> ps ) <-> ( ( ph /\ ps ) \/ -. ( ph \/ ps ) ) ) $=
    ( wb wa wn wo dfbi3 pm4.56 orbi2i bitri ) ABCABDZAEBEDZFKABFEZFABGLMKABHIJ
    $.

  $( Alternate definition of the biconditional.  (Contributed by BJ,
     4-Oct-2019.) $)
  bj-dfbi5 $p |- ( ( ph <-> ps ) <-> ( ( ph \/ ps ) -> ( ph /\ ps ) ) ) $=
    ( wa wo wn wb wi orcom bj-dfbi4 imor 3bitr4i ) ABCZABDZEZDNLDABFMLGLNHABIML
    JK $.

  $( Alternate definition of the biconditional.  (Contributed by BJ,
     4-Oct-2019.) $)
  bj-dfbi6 $p |- ( ( ph <-> ps ) <-> ( ( ph \/ ps ) <-> ( ph /\ ps ) ) ) $=
    ( wb wo wa wi bj-dfbi5 id animorr impbid1 biimp impbii bitri ) ABCABDZABEZF
    ZNOCZABGPQPNOPHABAIJNOKLM $.

  $( Alternate proof of ~ bijust0 ; shorter but using additional intermediate
     results.  (Contributed by NM, 11-May-1999.)  (Proof shortened by Josh
     Purinton, 29-Dec-2000.)  (Revised by BJ, 19-Mar-2020.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  bj-bijust0ALT $p |- -. ( ( ph -> ph ) -> -. ( ph -> ph ) ) $=
    ( wi id bj-nimni ) AABACD $.

  $( A self-implication does not imply the negation of a self-implication.
     Most general theorem of which ~ bijust is an instance ( ~ bijust0 and
     ~ bj-bijust0ALT are therefore also instances of it).  (Contributed by BJ,
     7-Sep-2022.) $)
  bj-bijust00 $p |- -. ( ( ph -> ph ) -> -. ( ps -> ps ) ) $=
    ( wi wn id pm3.2im mp2 ) AACZBBCZHIDCDAEBEHIFG $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The conditional operator for propositions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Version of ~ consensus expressed using the conditional operator.  (Remark:
     it may be better to express it as ~ consensus , using only binary
     connectives, and hinting at the fact that it is a Boolean algebra
     identity, like the absorption identities.)  (Contributed by BJ,
     30-Sep-2019.) $)
  bj-consensus $p |- ( ( if- ( ph , ps , ch ) \/ ( ps /\ ch ) ) <->
                                                      if- ( ph , ps , ch ) ) $=
    ( wif wa wo anifp bj-jaoi2 orc impbii ) ABCDZBCEZFKLKABCGHKLIJ $.

  $( Alternate proof of ~ bj-consensus .  (Contributed by BJ, 30-Sep-2019.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  bj-consensusALT $p |- ( ( if- ( ph , ps , ch ) \/ ( ps /\ ch ) ) <->
                                                      if- ( ph , ps , ch ) ) $=
    ( wif wa wo orcom wi wb anifp pm4.72 mpbi bitr4i ) ABCDZBCEZFONFZNNOGONHNPI
    ABCJONKLM $.

  ${
    $d x ph $.  $d x A $.  $d x B $.
    $( Candidate definition for the conditional operator for classes.  This is
       in line with the definition of a class as the extension of a predicate
       in ~ df-clab .  We reprove the current ~ df-if from it in ~ bj-dfif .
       (Contributed by BJ, 20-Sep-2019.)
       (Proof modification is discouraged.) $)
    bj-df-ifc $p |- if ( ph , A , B ) = { x | if- ( ph , x e. A , x e. B ) } $=
      ( cif cv wcel wa wn cab wif df-if ancom orbi12i df-ifp bitr4i abbii eqtri
      wo ) ACDEBFZCGZAHZTDGZAIZHZSZBJAUAUCKZBJABCDLUFUGBUFAUAHZUDUCHZSUGUBUHUEU
      IUAAMUCUDMNAUAUCOPQR $.
  $}

  ${
    $d x ph $.  $d x A $.  $d x B $.
    $( Alternate definition of the conditional operator for classes, which used
       to be the main definition.  (Contributed by BJ, 26-Dec-2023.)
       (Proof modification is discouraged.) $)
    bj-dfif $p |-
     if ( ph , A , B ) = { x | ( ( ph /\ x e. A ) \/ ( -. ph /\ x e. B ) ) } $=
      ( cif cv wcel wif cab wa wn wo bj-df-ifc df-ifp abbii eqtri ) ACDEABFZCGZ
      QDGZHZBIARJAKSJLZBIABCDMTUABARSNOP $.
  $}

  ${
    $d x ph $.  $d x A $.  $d x B $.  $d x X $.
    $( A biconditional connecting the conditional operator for propositions and
       the conditional operator for classes.  Note that there is no sethood
       hypothesis on ` X ` : it is implied by either side.  (Contributed by BJ,
       24-Sep-2019.)  Generalize statement from setvar ` x ` to class ` X ` .
       (Revised by BJ, 26-Dec-2023.) $)
    bj-ififc $p |-
                 ( X e. if ( ph , A , B ) <-> if- ( ph , X e. A , X e. B ) ) $=
      ( vx cif wcel cv wif cab bj-df-ifc eleq2i cvv wa wn wo df-ifp elex adantl
      eleq1 jaoi sylbi wceq ifpbi23d elab3 bitri ) DABCFZGDAEHZBGZUHCGZIZEJZGAD
      BGZDCGZIZUGULDAEBCKLUKUOEDMUOAUMNZAOZUNNZPDMGZAUMUNQUPUSURUMUSADBRSUNUSUQ
      DCRSUAUBUHDUCAUIUJUMUNUHDBTUHDCTUDUEUF $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Propositional calculus: miscellaneous
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Miscellaneous theorems of propositional calculus.

$)

  $( Uncurried (imported) form of ~ imbi12 .  (Contributed by BJ,
     6-May-2019.) $)
  bj-imbi12 $p |- ( ( ( ph <-> ps ) /\ ( ch <-> th ) ) ->
                                         ( ( ph -> ch ) <-> ( ps -> th ) ) ) $=
    ( wb wi imbi12 imp ) ABECDEACFBDFEABCDGH $.

  ${
    bj-biorfi.1 $e |- -. ph $.
    $( This should be labeled "biorfi" while the current ~ biorfi should be
       labeled "biorfri".  The dual of ~ biorf is not ~ biantr but ~ iba (and
       ~ ibar ).  So there should also be a "biorfr".  (Note that these four
       statements can actually be strengthened to biconditionals.)
       (Contributed by BJ, 26-Oct-2019.)
       (Proof modification is discouraged.) $)
    bj-biorfi $p |- ( ps <-> ( ph \/ ps ) ) $=
      ( wn wo wb biorf ax-mp ) ADBABEFCABGH $.
  $}

  $( Dual of ~ truan (which has biconditional reversed).  (Contributed by BJ,
     26-Oct-2019.)  (Proof modification is discouraged.) $)
  bj-falor $p |- ( ph <-> ( F. \/ ph ) ) $=
    ( wfal fal bj-biorfi ) BACD $.

  $( Dual of ~ truan .  (Contributed by BJ, 26-Oct-2019.)
     (Proof modification is discouraged.) $)
  bj-falor2 $p |- ( ( F. \/ ph ) <-> ph ) $=
    ( wfal wo falim bj-jaoi1 olc impbii ) BACABAADEABFG $.

  $( A property of the biconditional.  (Contributed by BJ, 26-Oct-2019.)
     (Proof modification is discouraged.) $)
  bj-bibibi $p |- ( ph <-> ( ps <-> ( ph <-> ps ) ) ) $=
    ( wb pm5.501 bianir ex wn bibif con2bid biimprd bija impbii ) ABABCZCABDBMA
    BMABAEFBGZAMGNMAABHIJKL $.

  ${
    bj-imn3ani.1 $e |- -. ( ph /\ ps /\ ch ) $.
    $( Duplication of ~ bnj1224 .  Three-fold version of ~ imnani .
       (Contributed by Jonathan Ben-Naim, 3-Jun-2011.)  (Revised by BJ,
       22-Oct-2019.)  (Proof modification is discouraged.) $)
    bj-imn3ani $p |- ( ( ph /\ ps ) -> -. ch ) $=
      ( wa w3a df-3an mtbi imnani ) ABEZCABCFJCEDABCGHI $.
  $}

  $( Two ways of expressing a certain ternary connective.  Note the respective
     positions of the three formulas on each side of the biconditional.
     (Contributed by BJ, 6-Oct-2018.) $)
  bj-andnotim $p |- ( ( ( ph /\ -. ps ) -> ch ) <-> ( ( ph -> ps ) \/ ch ) ) $=
    ( wn wa wi wo imor iman biimpri orim1i sylbi pm2.24 imim2i impd ax-1 impbii
    jaoi ) ABDZEZCFZABFZCGZUATDZCGUCTCHUDUBCUBUDABIJKLUBUACUBASCBSCFABCMNOCTPRQ
    $.

  ${
    bj-bi3ant.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( This used to be in the main part.  (Contributed by Wolf Lammen,
       14-May-2013.)  (Revised by BJ, 14-Jun-2019.) $)
    bj-bi3ant $p |- ( ( ( th -> ta ) -> ph )
          -> ( ( ( ta -> th ) -> ps ) -> ( ( th <-> ta ) -> ch ) ) ) $=
      ( wi wb biimp imim1i biimpr imim3i syl2im ) DEGZAGDEHZAGEDGZBGOBGOCGONADE
      IJOPBDEKJABCOFLM $.
  $}

  $( This used to be in the main part.  (Contributed by Wolf Lammen,
     14-May-2013.)  (Revised by BJ, 14-Jun-2019.) $)
  bj-bisym $p |- ( ( ( ph -> ps ) -> ( ch -> th ) ) -> ( ( ( ps -> ph )
        -> ( th -> ch ) ) -> ( ( ph <-> ps ) -> ( ch <-> th ) ) ) ) $=
    ( wi wb impbi bj-bi3ant ) CDEDCECDFABCDGH $.

  $( Equivalence of two ternary operations.  Note the identical order and
     parenthesizing of the three arguments in both expressions.  (Contributed
     by BJ, 31-Dec-2023.) $)
  bj-bixor $p |- ( ( ph <-> ( ps \/_ ch ) ) <-> ( ph \/_ ( ps <-> ch ) ) ) $=
    ( wb wn wxo pm5.18 con2bii df-xor bibi2i 3bitr4i ) ABCDZEZDZALDZEABCFZDALFO
    NALGHPMABCIJALIK $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Modal logic
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  In this section, we prove some theorems related to modal logic.  For modal
  logic, we refer to ~ https://en.wikipedia.org/wiki/Kripke_semantics ,
  ~ https://en.wikipedia.org/wiki/Modal_logic and
  ~ https://plato.stanford.edu/entries/logic-modal/ .

  Monadic first-order logic (i.e., with quantification over only one variable)
  is bi-interpretable with modal logic, by mapping ` A. x ` to "necessity"
  (generally denoted by a box) and ` E. x ` to "possibility" (generally denoted
  by a diamond).  Therefore, we use these quantifiers so as not to introduce
  new symbols.  (To be strictly within modal logic, we should add disjoint
  variable conditions between ` x ` and any other metavariables appearing in
  the statements.)

  For instance, ~ ax-gen corresponds to the necessitation rule of modal logic,
  and ~ ax-4 corresponds to the distributivity axiom (K) of modal logic, also
  called the Kripke scheme.  Modal logics satisfying these rule and axiom are
  called "normal modal logics", of which the most important modal logics are.

  The minimal normal modal logic is also denoted by (K).
  Here are a few normal modal logics with their axiomatizations (on top of
  (K)):
  (K) axiomatized by no supplementary axioms;
  (T) axiomatized by the axiom T;
  (K4) axiomatized by the axiom 4;
  (S4) axiomatized by the axioms T,4;
  (S5) axiomatized by the axioms T,5 or D,B,4;
  (GL) axiomatized by the axiom GL.

  The last one, called G&ouml;del&ndash;L&ouml;b logic or provability logic, is
  important because it describes exactly the properties of provability in Peano
  arithmetic, as proved by Robert Solovay.  See for instance
  ~ https://plato.stanford.edu/entries/logic-provability/ .
  A basic result in this logic is ~ bj-gl4 .

$)

  $( This implication, proved using only ~ ax-gen and ~ ax-4 on top of
     propositional calculus (hence holding, up to the standard interpretation,
     in any normal modal logic), shows that the axiom scheme ` |- E. x T. `
     implies the axiom scheme ` |- ( A. x ph -> E. x ph ) ` .  These correspond
     to the modal axiom (D), and in predicate calculus, they assert that the
     universe of discourse is nonempty.  For the converse, see ~ bj-axd2d .
     (Contributed by BJ, 16-May-2019.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  bj-axdd2 $p |- ( E. x ph -> ( A. x ps -> E. x ps ) ) $=
    ( wal wex wi ala1 exim syl com12 ) BCDZACEZBCEZKABFCDLMFBACGABCHIJ $.

  $( This implication, proved using only ~ ax-gen on top of propositional
     calculus (hence holding, up to the standard interpretation, in any modal
     logic), shows that the axiom scheme ` |- ( A. x ph -> E. x ph ) ` implies
     the axiom scheme ` |- E. x T. ` .  These correspond to the modal axiom
     (D), and in predicate calculus, they assert that the universe of discourse
     is nonempty.  For the converse, see ~ bj-axdd2 .  (Contributed by BJ,
     16-May-2019.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  bj-axd2d $p |- ( ( A. x T. -> E. x T. ) -> E. x T. ) $=
    ( wtru wal wex wi pm2.27 tru mpg ) BBACZBADZEJEAIJFGH $.

  $( This implication, proved from propositional calculus only (hence holding,
     up to the standard interpretation, in any modal logic), shows that the
     axiom scheme ` |- ( A. x ph -> ph ) ` (modal T) implies the axiom scheme
     ` |- ( A. x ph -> E. x ph ) ` (modal D).  See also ~ bj-axdd2 and
     ~ bj-axd2d .  (Contributed by BJ, 16-May-2019.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  bj-axtd $p |- ( ( A. x -. ph -> -. ph ) ->
                           ( ( A. x ph -> ph ) -> ( A. x ph -> E. x ph ) ) ) $=
    ( wn wal wi wex con2 df-ex syl6ibr imim2d ) ACZBDZKEZAABFZABDMALCNLAGABHIJ
    $.

  $( In a normal modal logic, the modal axiom GL implies the modal axiom (4).
     Translated to first-order logic, Axiom GL reads
     ` |- ( A. x ( A. x ph -> ph ) -> A. x ph ) ` .  Note that the antecedent
     of ~ bj-gl4 is an instance of the axiom GL, with ` ph ` replaced by
     ` ( A. x ph /\ ph ) ` , which is a modality sometimes called the "strong
     necessity" of ` ph ` .  (Contributed by BJ, 12-Dec-2019.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  bj-gl4 $p |- ( ( A. x ( A. x ( A. x ph /\ ph ) -> ( A. x ph /\ ph ) ) ->
                   A. x ( A. x ph /\ ph ) ) -> ( A. x ph -> A. x A. x ph ) ) $=
    ( wal wa wi 19.26 simpr a1i anc2ri syl5bi alimi biimpi imim12i simpl syl6 )
    ABCZADZBCZQEZBCZREPPBCZPDZUAPTRUBASBRUBAQPABFZAUBPUBPEAUAPGHIJKRUBUCLMUAPNO
    $.

  $( Over minimal calculus, the modal axiom (4) ( ~ hba1 ) and the modal axiom
     (K) ( ~ ax-4 ) together imply ~ axc4 .  (Contributed by BJ, 29-Nov-2020.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  bj-axc4 $p |- ( ( A. x ph -> A. x A. x ph ) ->
                ( ( A. x ( A. x ph -> ps ) -> ( A. x A. x ph -> A. x ps ) ) ->
                    ( A. x ( A. x ph -> ps ) -> ( A. x ph -> A. x ps ) ) ) ) $=
    ( wal wi bj-imim21 ) ACDZGCDGBECDBCDF $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Provability logic
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  In this section, we assume that, on top of propositional calculus, there is
  given a provability predicate ` Prv ` satisfying the three axioms ~ ax-prv1
  and ~ ax-prv2 and ~ ax-prv3 .  Note the similarity with ~ ax-gen , ~ ax-4 and
  ~ hba1 respectively.  These three properties of ` Prv ` are often called the
  Hilbert&ndash;Bernays&ndash;L&ouml;b derivability conditions, or the
  Hilbert&ndash;Bernays provability conditions.

  This corresponds to the modal logic (K4) (see previous section for modal
  logic).  The interpretation of provability logic is the following: we are
  given a background first-order theory T, the wff ` Prv ph ` means " ` ph ` is
  provable in T", and the turnstile ` |- ` indicates provability in T.

  Beware that "provability logic" often means (K) augmented with the
  G&ouml;del&ndash;L&ouml;b axiom GL, which we do not assume here (at least for
  the moment).  See for instance
  ~ https://plato.stanford.edu/entries/logic-provability/ .

  Provability logic is worth studying because whenever T is a first-order
  theory containing Robinson arithmetic (a fragment of Peano arithmetic), one
  can prove (using G&ouml;del numbering, and in the much weaker primitive
  recursive arithmetic) that there exists in T a provability predicate ` Prv `
  satisfying the above three axioms.  (We do not construct this predicate in
  this section; this is still a project.)

  The main theorems of this section are the "easy parts" of the proofs of
  G&ouml;del's second incompleteness theorem ( ~ bj-babygodel ) and L&ouml;b's
  theorem ( ~ bj-babylob ).  See the comments of these theorems for details.

$)

  $c Prv $.

  $( Syntax for the provability predicate. $)
  cprvb $a wff Prv ph $.

  $( Register the provability predicate as a primitive expression (lacking a
     definition). $)
  $( $j primitive 'cprvb'; $)

  ${
    ax-prv1.1 $e |- ph $.
    $( First property of three of the provability predicate.  (Contributed by
       BJ, 3-Apr-2019.) $)
    ax-prv1 $a |- Prv ph $.
  $}

  $( Second property of three of the provability predicate.  (Contributed by
     BJ, 3-Apr-2019.) $)
  ax-prv2 $a |- ( Prv ( ph -> ps ) -> ( Prv ph -> Prv ps ) ) $.

  $( Third property of three of the provability predicate.  (Contributed by BJ,
     3-Apr-2019.) $)
  ax-prv3 $a |- ( Prv ph -> Prv Prv ph ) $.

  ${
    prvlem1.1 $e |- ( ph -> ps ) $.
    $( An elementary property of the provability predicate.  (Contributed by
       BJ, 3-Apr-2019.) $)
    prvlem1 $p |- ( Prv ph -> Prv ps ) $=
      ( wi cprvb ax-prv1 ax-prv2 ax-mp ) ABDZEAEBEDICFABGH $.
  $}

  ${
    prvlem2.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( An elementary property of the provability predicate.  (Contributed by
       BJ, 3-Apr-2019.) $)
    prvlem2 $p |- ( Prv ph -> ( Prv ps -> Prv ch ) ) $=
      ( cprvb wi prvlem1 ax-prv2 syl ) AEBCFZEBECEFAJDGBCHI $.
  $}

  ${
    bj-babygodel.s $e |- ( ph <-> -. Prv ph ) $.
    bj-babygodel.1 $e |- -. Prv F. $.
    $( See the section header comments for the context.

       The first hypothesis reads " ` ph ` is true if and only if it is not
       provable in T" (and having this first hypothesis means that we can prove
       this fact in T).  The wff ` ph ` is a formal version of the sentence
       "This sentence is not provable".  The hard part of the proof of
       G&ouml;del's theorem is to construct such a ` ph ` , called a
       "G&ouml;del&ndash;Rosser sentence", for a first-order theory T which is
       effectively axiomatizable and contains Robinson arithmetic, through
       G&ouml;del diagonalization (this can be done in primitive recursive
       arithmetic).  The second hypothesis means that ` F. ` is not provable in
       T, that is, that the theory T is consistent (and having this second
       hypothesis means that we can prove in T that the theory T is
       consistent).  The conclusion is the falsity, so having the conclusion
       means that T can prove the falsity, that is, T is inconsistent.

       Therefore, taking the contrapositive, this theorem expresses that if a
       first-order theory is consistent (and one can prove in it that some
       formula is true if and only if it is not provable in it), then this
       theory does not prove its own consistency.

       This proof is due to George Boolos, _G&ouml;del's Second Incompleteness
       Theorem Explained in Words of One Syllable_, Mind, New Series, Vol. 103,
       No. 409 (January 1994), pp. 1--3.

       (Contributed by BJ, 3-Apr-2019.) $)
    bj-babygodel $p |- F. $=
      ( wfal cprvb wn ax-prv1 biimpi prvlem1 ax-prv3 pm2.21 prvlem2 sylc sylibr
      con3i mp2b pm2.24ii ) DEZDRFZEAEZRSCGSASTFZATRTUAETERAUAAUABHIAJUATDTDKLM
      ZOBNIUBPCQ $.
  $}

  ${
    bj-babylob.s $e |- ( ps <-> ( Prv ps -> ph ) ) $.
    bj-babylob.1 $e |- ( Prv ph -> ph ) $.
    $( See the section header comments for the context, as well as the comments
       for ~ bj-babygodel .

       L&ouml;b's theorem when the L&ouml;b sentence is given as a hypothesis
       (the hard part of the proof of L&ouml;b's theorem is to construct this
       L&ouml;b sentence; this can be done, using G&ouml;del diagonalization,
       for any first-order effectively axiomatizable theory containing Robinson
       arithmetic).  More precisely, the present theorem states that if a
       first-order theory proves that the provability of a given sentence
       entails its truth (and if one can construct in this theory a provability
       predicate and a L&ouml;b sentence, given here as the first hypothesis),
       then the theory actually proves that sentence.

       See for instance, Eliezer Yudkowsky, _The Cartoon Guide to L&ouml;b's
       Theorem_ (available at ~ http://yudkowsky.net/rational/lobs-theorem/ ).

       (Contributed by BJ, 20-Apr-2019.) $)
    bj-babylob $p |- ph $=
      ( cprvb wi ax-prv3 biimpi prvlem2 mpd syl mpbir ax-prv1 ax-mp ) BEZABBOAF
      ZOAEZAOOEQBGBOABPCHIJDKZCLMRN $.
  $}

  ${
    bj-godellob.s $e |- ( ph <-> -. Prv ph ) $.
    bj-godellob.1 $e |- -. Prv F. $.
    $( Proof of G&ouml;del's theorem from L&ouml;b's theorem (see comments at
       ~ bj-babygodel and ~ bj-babylob for details).  (Contributed by BJ,
       20-Apr-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    bj-godellob $p |- F. $=
      ( wfal cprvb wn wi dfnot bitri pm2.21i bj-babylob ) DAAAEZFLDGBLHIDEDCJK
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  First-order logic
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Utility lemmas or strengthenings of theorems in the main part (biconditional
  or closed forms, or fewer disjoint variable conditions, or disjoint variable
  conditions replaced with nonfreeness hypotheses...).  Sorted in the same
  order as in the main part.

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Universal and existential quantifiers, nonfreeness predicate
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Adding ax-gen
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    bj-genr.1 $e |- ( ph /\ ps ) $.
    $( Generalization rule on the right conjunct.  See ~ 19.28 .  (Contributed
       by BJ, 7-Jul-2021.) $)
    bj-genr $p |- ( ph /\ A. x ps ) $=
      ( wal simpli simpri ax-gen pm3.2i ) ABCEABDFBCABDGHI $.

    $( Generalization rule on the left conjunct.  See ~ 19.27 .  (Contributed
       by BJ, 7-Jul-2021.) $)
    bj-genl $p |- ( A. x ph /\ ps ) $=
      ( wal simpli ax-gen simpri pm3.2i ) ACEBACABDFGABDHI $.

    $( Generalization rule on a conjunction.  Forward inference associated with
       ~ 19.26 .  (Contributed by BJ, 7-Jul-2021.) $)
    bj-genan $p |- ( A. x ph /\ A. x ps ) $=
      ( wal simpli ax-gen simpri pm3.2i ) ACEBCEACABDFGBCABDHGI $.
  $}

  ${
    bj-mpgs.min $e |- ph $.
    bj-mpgs.maj $e |- ( ( ph /\ A. x ph ) -> ps ) $.
    $( From a closed form theorem (the major premise) with an antecedent in the
       "strong necessity" modality (in the language of modal logic), deduce the
       inference ` |- ph => |- ps ` .  Strong necessity is stronger than
       necessity, and equivalent to it when ~ sp (modal T) is available.
       Therefore, this theorem is stronger than ~ mpg when ~ sp is not
       available.  (Contributed by BJ, 1-Nov-2023.) $)
    bj-mpgs $p |- ps $=
      ( wal ax-gen mp2an ) AACFBDACDGEH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Adding ax-4
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Closed form of ~ 2alimi .  (Contributed by BJ, 6-May-2019.) $)
  bj-2alim $p |- ( A. x A. y ( ph -> ps ) ->
                                          ( A. x A. y ph -> A. x A. y ps ) ) $=
    ( wi wal alim al2imi ) ABEDFADFBDFCABDGH $.
  $( Closed form of ~ 2eximi .  (Contributed by BJ, 6-May-2019.) $)
  bj-2exim $p |- ( A. x A. y ( ph -> ps ) ->
                                          ( E. x E. y ph -> E. x E. y ps ) ) $=
    ( wi wal wex exim aleximi ) ABEDFADGBDGCABDHI $.

  $( Closed form of ~ alanimi .  (Contributed by BJ, 6-May-2019.) $)
  bj-alanim $p |- ( A. x ( ( ph /\ ps ) -> ch ) ->
                                     ( ( A. x ph /\ A. x ps ) -> A. x ch ) ) $=
    ( wa wi wal pm3.3 alimi al2im syl impd ) ABECFZDGZADGZBDGZCDGZNABCFFZDGOPQF
    FMRDABCHIABCDJKL $.

  $( Closed form of ~ 2albii .  (Contributed by BJ, 6-May-2019.) $)
  bj-2albi $p |- ( A. x A. y ( ph <-> ps ) ->
                                         ( A. x A. y ph <-> A. x A. y ps ) ) $=
    ( wb wal albi alimi syl ) ABEDFZCFADFZBDFZEZCFKCFLCFEJMCABDGHKLCGI $.

  ${
    bj-notalbii.1 $e |- ( ph <-> ps ) $.
    $( Equivalence of universal quantification of negation of equivalent
       formulas.  Shortens ~ ab0 (103>94), ~ ballotlem2 (2655>2648), ~ bnj1143
       (522>519), ~ hausdiag (2119>2104).  (Contributed by BJ, 17-Jul-2021.) $)
    bj-notalbii $p |- ( A. x -. ph <-> A. x -. ps ) $=
      ( wn notbii albii ) AEBECABDFG $.
  $}

  $( Closed form of ~ 2exbii .  (Contributed by BJ, 6-May-2019.) $)
  bj-2exbi $p |- ( A. x A. y ( ph <-> ps ) ->
                                         ( E. x E. y ph <-> E. x E. y ps ) ) $=
    ( wb wal wex exbi alexbii ) ABEDFADGBDGCABDHI $.

  $( Closed form of ~ 3exbii .  (Contributed by BJ, 6-May-2019.) $)
  bj-3exbi $p |- ( A. x A. y A. z ( ph <-> ps ) ->
                               ( E. x E. y E. z ph <-> E. x E. y E. z ps ) ) $=
    ( wb wal wex exbi 2alimi bj-2exbi syl ) ABFEGZDGCGAEHZBEHZFZDGCGNDHCHODHCHF
    MPCDABEIJNOCDKL $.

  $( Uncurried (imported) form of ~ sylgt .  (Contributed by BJ,
     2-May-2019.) $)
  bj-sylgt2 $p |- ( ( A. x ( ps -> ch ) /\ ( ph -> A. x ps ) ) ->
                                                         ( ph -> A. x ch ) ) $=
    ( wi wal sylgt imp ) BCEDFABDFEACDFEABCDGH $.

  $( The general form of the *alrim* family of theorems: if ` ph ` is
     substituted for ` ps ` , then the antecedent expresses a form of
     nonfreeness of ` x ` in ` ph ` , so the theorem means that under a
     nonfreeness condition in an antecedent, one can deduce from the
     universally quantified implication an implication where the consequent is
     universally quantified.  Dual of ~ bj-exlimg .  (Contributed by BJ,
     9-Dec-2023.) $)
  bj-alrimg $p |-
         ( ( ph -> A. x ps ) -> ( A. x ( ps -> ch ) -> ( ph -> A. x ch ) ) ) $=
    ( wi wal sylgt com12 ) BCEDFABDFEACDFEABCDGH $.

  ${
    bj-alrimd.ph $e |- ( ph -> A. x ps ) $.
    bj-alrimd.th $e |- ( ph -> ( ch -> A. x th ) ) $.
    bj-alrimd.maj $e |- ( ps -> ( th -> ta ) ) $.
    $( A slightly more general ~ alrimd .  A common usage will have ` ph `
       substituted for ` ps ` and ` ch ` substituted for ` th ` , giving a form
       closer to ~ alrimd .  (Contributed by BJ, 25-Dec-2023.) $)
    bj-alrimd $p |- ( ph -> ( ch -> A. x ta ) ) $=
      ( wal wi sylg bj-alrimg sylc ) ACDFJKDEKZFJCEFJKHABOFGILCDEFMN $.
  $}

  $( Dual statement of ~ sylgt .  Closed form of ~ bj-sylge .  (Contributed by
     BJ, 2-May-2019.) $)
  bj-sylget $p |-
         ( A. x ( ch -> ph ) -> ( ( E. x ph -> ps ) -> ( E. x ch -> ps ) ) ) $=
    ( wi wal wex exim imim1d ) CAEDFCDGADGBCADHI $.

  $( Uncurried (imported) form of ~ bj-sylget .  (Contributed by BJ,
     2-May-2019.) $)
  bj-sylget2 $p |- ( ( A. x ( ph -> ps ) /\ ( E. x ps -> ch ) ) ->
                                                         ( E. x ph -> ch ) ) $=
    ( wi wal wex bj-sylget imp ) ABEDFBDGCEADGCEBCADHI $.

  $( The general form of the *exlim* family of theorems: if ` ph ` is
     substituted for ` ps ` , then the antecedent expresses a form of
     nonfreeness of ` x ` in ` ph ` , so the theorem means that under a
     nonfreeness condition in a consequent, one can deduce from the universally
     quantified implication an implication where the antecedent is
     existentially quantified.  Dual of ~ bj-alrimg .  (Contributed by BJ,
     9-Dec-2023.) $)
  bj-exlimg $p |-
         ( ( E. x ph -> ps ) -> ( A. x ( ch -> ph ) -> ( E. x ch -> ps ) ) ) $=
    ( wi wal wex bj-sylget com12 ) CAEDFADGBECDGBEABCDHI $.

  ${
    bj-sylge.nf $e |- ( E. x ph -> ps ) $.
    bj-sylge.maj $e |- ( ch -> ph ) $.
    $( Dual statement of ~ sylg (the final "e" in the label stands for
       "existential (version of ~ sylg )".  Variant of ~ exlimih .
       (Contributed by BJ, 25-Dec-2023.) $)
    bj-sylge $p |- ( E. x ch -> ps ) $=
      ( wex eximi syl ) CDGADGBCADFHEI $.
  $}

  ${
    bj-exlimd.ph $e |- ( ph -> A. x ps ) $.
    bj-exlimd.th $e |- ( ph -> ( E. x th -> ta ) ) $.
    bj-exlimd.maj $e |- ( ps -> ( ch -> th ) ) $.
    $( A slightly more general ~ exlimd .  A common usage will have ` ph `
       substituted for ` ps ` and ` th ` substituted for ` ta ` , giving a form
       closer to ~ exlimd .  (Contributed by BJ, 25-Dec-2023.) $)
    bj-exlimd $p |- ( ph -> ( E. x ch -> ta ) ) $=
      ( wex wi wal sylg bj-exlimg sylc ) ADFJEKCDKZFLCFJEKHABPFGIMDECFNO $.
  $}

  $( A weak from of nonfreeness in either an antecedent or a consequent implies
     that a universally quantified implication is equivalent to the associated
     implication where the antecedent is existentially quantified and the
     consequent is universally quantified.  The forward implication always
     holds (this is ~ 19.38 ) and the converse implication is the join of
     instances of ~ bj-alrimg and ~ bj-exlimg (see ~ 19.38a and ~ 19.38b ).
     TODO: prove a version where the antecedents use the nonfreeness
     quantifier.  (Contributed by BJ, 9-Dec-2023.) $)
  bj-nfimexal $p |- ( ( ( E. x ph -> A. x ph ) \/ ( E. x ps -> A. x ps ) ) ->
                          ( ( E. x ph -> A. x ps ) <-> A. x ( ph -> ps ) ) ) $=
    ( wex wal wi wo 19.38 bj-alrimg bj-exlimg jaoi impbid2 ) ACDZACEFZBCDBCEZFZ
    GMOFZABFCEZABCHNRQFPMABCIBOACJKL $.

  $( Closed form of ~ aleximi .  Note: this proof is shorter, so ~ aleximi
     could be deduced from it ( ~ exim would have to be proved first, see
     ~ bj-eximALT but its proof is shorter (currently almost a subproof of
     ~ aleximi )).  (Contributed by BJ, 8-Nov-2021.) $)
  bj-alexim $p |-
    ( A. x ( ph -> ( ps -> ch ) ) -> ( A. x ph -> ( E. x ps -> E. x ch ) ) ) $=
    ( wi wal wex alim exim syl6 ) ABCEZEDFADFKDFBDGCDGEAKDHBCDIJ $.

  $( Closed form of ~ nexdh (actually, its general instance).  (Contributed by
     BJ, 6-May-2019.) $)
  bj-nexdh $p |- ( A. x ( ph -> -. ps ) ->
                             ( ( ch -> A. x ph ) -> ( ch -> -. E. x ps ) ) ) $=
    ( wn wi wal wex sylgt alnex syl8ib ) ABEZFDGCADGFCLDGBDHECALDIBDJK $.

  $( Uncurried (imported) form of ~ bj-nexdh .  (Contributed by BJ,
     6-May-2019.) $)
  bj-nexdh2 $p |- ( ( A. x ( ph -> -. ps ) /\ ( ch -> A. x ph ) ) ->
                                                      ( ch -> -. E. x ps ) ) $=
    ( wn wi wal wex bj-nexdh imp ) ABEFDGCADGFCBDHEFABCDIJ $.

  $( Closed form of ~ hbxfrbi .  Note: it is less important than ~ nfbiit .
     The antecedent is in the "strong necessity" modality of modal logic (see
     also ~ bj-nnftht ) in order not to require ~ sp (modal T).  See
     ~ bj-hbyfrbi for its version with existential quantifiers.  (Contributed
     by BJ, 6-May-2019.) $)
  bj-hbxfrbi $p |- ( ( ( ph <-> ps ) /\ A. x ( ph <-> ps ) ) ->
                               ( ( ph -> A. x ph ) <-> ( ps -> A. x ps ) ) ) $=
    ( wb wal wa simpl albi adantl imbi12d ) ABDZKCEZFABACEZBCEZKLGLMNDKABCHIJ
    $.

  $( Version of ~ bj-hbxfrbi with existential quantifiers.  (Contributed by BJ,
     23-Aug-2023.) $)
  bj-hbyfrbi $p |- ( ( ( ph <-> ps ) /\ A. x ( ph <-> ps ) ) ->
                               ( ( E. x ph -> ph ) <-> ( E. x ps -> ps ) ) ) $=
    ( wb wal wa wex exbi adantl simpl imbi12d ) ABDZLCEZFACGZBCGZABMNODLABCHILM
    JK $.

  $( Distribute quantifiers over a nested implication.

     This and the following theorems are the general instances of already
     proved theorems.  They could be moved to the main part, before ~ ax-5 .  I
     propose to move to the main part: ~ bj-exalim , ~ bj-exalimi ,
     ~ bj-exalims , ~ bj-exalimsi , ~ bj-ax12i , ~ bj-ax12wlem , ~ bj-ax12w .
     A new label is needed for ~ bj-ax12i and label suggestions are welcome for
     the others.  I also propose to change ` -. A. x -. ` to ` E. x ` in
     ~ speimfw and ~ spimfw (other spim* theorems use ` E. x ` and very few
     theorems in set.mm use ` -. A. x -. ` ).  (Contributed by BJ,
     8-Nov-2021.) $)
  bj-exalim $p |- ( A. x ( ph -> ( ps -> ch ) ) ->
                                   ( E. x ph -> ( A. x ps -> E. x ch ) ) ) $=
    ( wi wal wex pm2.04 alimi bj-alexim 3syl ) ABCEEZDFBACEEZDFBDFZADGZCDGZEEON
    PEELMDABCHIBACDJNOPHK $.

  ${
    bj-exalimi.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( An inference for distributing quantifiers over a nested implication.
       The canonical derivation from its closed form ~ bj-exalim (using ~ mpg )
       has fewer essential steps, but more steps in total (yielding a longer
       compressed proof).  (Almost) the general statement that ~ speimfw
       proves.  (Contributed by BJ, 29-Sep-2019.) $)
    bj-exalimi $p |- ( E. x ph -> ( A. x ps -> E. x ch ) ) $=
      ( wal wex com12 aleximi ) BDFADGCDGBACDABCEHIH $.
  $}

  ${
    bj-exalims.1 $e |- ( E. x ph -> ( -. ch -> A. x -. ch ) ) $.
    $( Distributing quantifiers over a nested implication.  (Almost) the
       general statement that ~ spimfw proves.  (Contributed by BJ,
       29-Sep-2019.) $)
    bj-exalims $p |-
         ( A. x ( ph -> ( ps -> ch ) ) -> ( E. x ph -> ( A. x ps -> ch ) ) ) $=
      ( wi wal wex bj-exalim wn eximal sylibr a1i syldd ) ABCFFDGZADHZBDGCDHZCA
      BCDIPQCFZFOPCJZSDGFRECCDKLMN $.
  $}

  ${
    bj-exalimsi.1 $e |- ( ph -> ( ps -> ch ) ) $.
    bj-exalimsi.2 $e |- ( E. x ph -> ( -. ch -> A. x -. ch ) ) $.
    $( An inference for distributing quantifiers over a nested implication.
       (Almost) the general statement that ~ spimfw proves.  (Contributed by
       BJ, 29-Sep-2019.) $)
    bj-exalimsi $p |- ( E. x ph -> ( A. x ps -> ch ) ) $=
      ( wi wex wal bj-exalims mpg ) ABCGGADHBDICGGDABCDFJEK $.
  $}

  ${
    bj-ax12ig.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bj-ax12ig.2 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    $( A lemma used to prove a weak form of the axiom of substitution.  A
       generalization of ~ bj-ax12i .  (Contributed by BJ, 19-Dec-2020.) $)
    bj-ax12ig $p |- ( ph -> ( ps -> A. x ( ph -> ps ) ) ) $=
      ( wi wal wa pm5.32i imp biimprcd sylg sylbi ex ) ABABGZDHZABIACIZQABCEJRC
      PDACCDHFKABCELMNO $.
  $}

  ${
    bj-ax12i.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bj-ax12i.2 $e |- ( ch -> A. x ch ) $.
    $( A weakening of ~ bj-ax12ig that is sufficient to prove a weak form of
       the axiom of substitution ~ ax-12 .  The general statement of which
       ~ ax12i is an instance.  (Contributed by BJ, 29-Sep-2019.) $)
    bj-ax12i $p |- ( ph -> ( ps -> A. x ( ph -> ps ) ) ) $=
      ( wal wi a1i bj-ax12ig ) ABCDECCDGHAFIJ $.
  $}

  $( Closed form of ~ nfim and curried (exported) form of ~ nfimt .
     (Contributed by BJ, 20-Oct-2021.) $)
  bj-nfimt $p |- ( F/ x ph -> ( F/ x ps -> F/ x ( ph -> ps ) ) ) $=
    ( wnf wi wex wal 19.35 id nfrd imim1d syl5bi imim2d 19.38 syl6 syl9 syl6ibr
    df-nf ) ACDZBCDZABEZCFZUACGZEUACDSUBACFZBCFZEZTUCUBACGZUEESUFABCHSUDUGUESAC
    SIJKLTUFUDBCGZEUCTUEUHUDTBCTIJMABCNOPUACRQ $.

  $( A lemma in closed form used to prove ~ bj-cbval in a weak axiomatization.
     (Contributed by BJ, 12-Mar-2023.)  Do not use ~ 19.35 since only the
     direction of the biconditional used here holds in intuitionistic logic.
     (Proof modification is discouraged.) $)
  bj-cbvalimt $p |- ( A. y E. x ch ->
         ( A. y A. x ( ch -> ( ph -> ps ) ) -> ( ( A. x ph -> A. y A. x ph ) ->
                  ( A. y ( E. x ps -> ps ) -> ( A. x ph -> A. y ps ) ) ) ) ) $=
    ( wi wal wex exim al2imi pm2.27 aleximi com12 alimi imim1 imim2 syl56 com23
    alim 3syl syl6com ) CABFZFDGZEGCDHZEGUBDHZEGZADGZUGEGZFZBDHZBFEGZUGBEGZFZFF
    ZUCUDUEECUBDIJUFUGUJFZEGUHUJEGZFZUNUEUOEUGUEUJAUBBDABKLMNUGUJESUQUKUIUMUKUP
    ULFUQUHULFUIUMFUJBESUHUPULOUHULUGPQRTUA $.

  $( A lemma in closed form used to prove ~ bj-cbvex in a weak axiomatization.
     (Contributed by BJ, 12-Mar-2023.)  Do not use ~ 19.35 since only the
     direction of the biconditional used here holds in intuitionistic logic.
     (Proof modification is discouraged.) $)
  bj-cbveximt $p |- ( A. x E. y ch ->
         ( A. x A. y ( ch -> ( ph -> ps ) ) -> ( A. x ( ph -> A. y ph ) ->
             ( ( E. x E. y ps -> E. y ps ) -> ( E. x ph -> E. y ps ) ) ) ) ) $=
    ( wi wal wex bj-exalim alimi bj-alexim syl exim imim2 imim1 syl56 syl6com )
    CABFFEGZDGZCEHZDGZAEGZDHZBEHZDHZFZAUBFDGZUEUDFADHZUDFFZFSTUBUDFFZDGUAUFFRUJ
    DCABEIJTUBUDDKLUGUHUCFUFUHUEFUIAUBDMUCUEUHNUHUEUDOPQ $.

  $( Alternate proof of ~ exim directly from ~ alim by using ~ df-ex (using
     duality of ` A. ` and ` E. ` .  (Contributed by BJ, 9-Dec-2023.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  bj-eximALT $p |- ( A. x ( ph -> ps ) -> ( E. x ph -> E. x ps ) ) $=
    ( wi wal wn wex con3 alimi alim 3syl df-ex 3imtr4g ) ABDZCEZAFZCEZFZBFZCEZF
    ZACGBCGOSPDZCETQDRUADNUBCABHISPCJTQHKACLBCLM $.

  ${
    bj-aleximiALT.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Alternate proof of ~ aleximi from ~ exim , which is sometimes used as an
       axiom in instuitionistic modal logic.  (Contributed by BJ, 9-Dec-2023.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    bj-aleximiALT $p |- ( A. x ph -> ( E. x ps -> E. x ch ) ) $=
      ( wal wi wex alimi bj-eximALT syl ) ADFBCGZDFBDHCDHGALDEIBCDJK $.
  $}

  $( A commuted form of ~ exim which is sometimes posited as an axiom in
     instuitionistic modal logic.  (Contributed by BJ, 9-Dec-2023.) $)
  bj-eximcom $p |- ( E. x ( ph -> ps ) -> ( A. x ph -> E. x ps ) ) $=
    ( wal wi wex pm2.27 aleximi com12 ) ACDABEZCFBCFAJBCABGHI $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Adding ax-5
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x ch $.
    bj-ax12wlem.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( A lemma used to prove a weak version of the axiom of substitution
       ~ ax-12 .  (Temporary comment:  The general statement that ~ ax12wlem
       proves.)  (Contributed by BJ, 20-Mar-2020.) $)
    bj-ax12wlem $p |- ( ph -> ( ps -> A. x ( ph -> ps ) ) ) $=
      ( ax-5 bj-ax12i ) ABCDECDFG $.
  $}

  ${
    $d x y $.  $d x ps $.  $d y ph $.
    $( A lemma used to prove ~ bj-cbval in a weak axiomatization.  (Contributed
       by BJ, 12-Mar-2023.)  (Proof modification is discouraged.) $)
    bj-cbvalim $p |- ( A. y E. x ch ->
            ( A. y A. x ( ch -> ( ph -> ps ) ) -> ( A. x ph -> A. y ps ) ) ) $=
      ( wex wi wal ax5e ax-gen ax-5 bj-cbvalimt com3l com14 mp2 ) BDFBGZEHZADHZ
      REHGZCDFEHZCABGGDHEHZRBEHGZGGPEBDIJREKUASTQUBTUASQUBGABCDELMNO $.

    $( A lemma used to prove ~ bj-cbvex in a weak axiomatization.  (Contributed
       by BJ, 12-Mar-2023.)  (Proof modification is discouraged.) $)
    bj-cbvexim $p |- ( A. x E. y ch ->
            ( A. x A. y ( ch -> ( ph -> ps ) ) -> ( E. x ph -> E. y ps ) ) ) $=
      ( wex wi wal ax5e ax-5 ax-gen bj-cbveximt com3l com14 mp2 ) BEFZDFPGZAAEH
      GZDHZCEFDHZCABGGEHDHZADFPGZGGPDIRDAEJKUASTQUBTUASQUBGABCDELMNO $.
  $}

  ${
    $d x y $.  $d x ps $.  $d y ph $.
    bj-cbvalimi.maj $e |- ( ch -> ( ph -> ps ) ) $.
    ${
      bj-cbvalimi.denote $e |- A. y E. x ch $.
      $( An equality-free general instance of one half of a precise form of
         ~ bj-cbval .  (Contributed by BJ, 12-Mar-2023.)
         (Proof modification is discouraged.) $)
      bj-cbvalimi $p |- ( A. x ph -> A. y ps ) $=
        ( wex wal wi gen2 bj-cbvalim mp2 ) CDHEICABJJZDIEIADIBEIJGNEDFKABCDELM
        $.
    $}

    ${
      bj-cbveximi.denote $e |- A. x E. y ch $.
      $( An equality-free general instance of one half of a precise form of
         ~ bj-cbvex .  (Contributed by BJ, 12-Mar-2023.)
         (Proof modification is discouraged.) $)
      bj-cbveximi $p |- ( E. x ph -> E. y ps ) $=
        ( wex wal wi gen2 bj-cbvexim mp2 ) CEHDICABJJZEIDIADHBEHJGNDEFKABCDELM
        $.
    $}
  $}

  ${
    $d x y $.  $d x ps $.  $d y ph $.
    bj-cbval.denote $e |- A. y E. x x = y $.
    bj-cbval.denote2 $e |- A. x E. y y = x $.
    bj-cbval.maj $e |- ( x = y -> ( ph <-> ps ) ) $.
    bj-cbval.equcomiv $e |- ( y = x -> x = y ) $.
    $( Changing a bound variable (universal quantification case) in a weak
       axiomatization, assuming that all variables denote (which is valid in
       inclusive free logic) and that equality is symmetric.  (Contributed by
       BJ, 12-Mar-2023.)  (Proof modification is discouraged.) $)
    bj-cbval $p |- ( A. x ph <-> A. y ps ) $=
      ( wal weq biimpd bj-cbvalimi wi biimprd syl impbii ) ACIBDIABCDJZCDQABGKE
      LBADCJZDCRQBAMHQABGNOFLP $.

    $( Changing a bound variable (existential quantification case) in a weak
       axiomatization, assuming that all variables denote (which is valid in
       inclusive free logic) and that equality is symmetric.  (Contributed by
       BJ, 12-Mar-2023.)  (Proof modification is discouraged.) $)
    bj-cbvex $p |- ( E. x ph <-> E. y ps ) $=
      ( wex weq wi biimpd syl bj-cbveximi biimprd impbii ) ACIBDIABDCJZCDQCDJZA
      BKHRABGLMFNBARDCRABGOENP $.
  $}

  $( Symbol for BJ's version of the uniqueness quantifier. $)
  $c E** $.

  $( Syntax for BJ's version of the uniqueness quantifier. $)
  wmoo $a wff E** x ph $.

  ${
    $d x y z $.  $d ph y z $.
    $( Definition of the uniqueness quantifier which is correct on the empty
       domain.  Instead of the fresh variable ` z ` , one could save a dummy
       variable by using ` x ` or ` y ` at the cost of having nested
       quantifiers on the same variable.  (Contributed by BJ, 12-Mar-2023.) $)
    df-bj-mo $a |- ( E** x ph <-> A. z E. y A. x ( ph -> x = y ) ) $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Equality and substitution
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d y x u $.  $d z x u $.  $d u t $.
    $( Substitution in an equality, disjoint variables case.  Uses only ~ ax-1
       through ~ ax-6 .  It might be shorter to prove the result about
       composition of two substitutions and prove ~ bj-ssbeq first with a DV
       condition on ` x , t ` , and then in the general case.  (Contributed by
       BJ, 22-Dec-2020.)  (Proof modification is discouraged.) $)
    bj-ssbeq $p |- ( [ t / x ] y = z <-> y = z ) $=
      ( vu weq wsb wi wal df-sb wex 19.23v ax6ev pm2.27 ax-mp ax-1 impbii bitri
      imbi2i albii ) BCFZADGEDFZAEFZUAHAIZHZEIZUAUAAEDJUFUBUAHZEIZUAUEUGEUDUAUB
      UDUCAKZUAHZUAUCUAALUJUAUIUJUAHAEMUIUANOUAUIPQRSTUHUBEKZUAHZUAUBUAELULUAUK
      ULUAHEDMUKUANOUAUKPQRRR $.
  $}

  ${
    $d y z x $.  $d y z t $.  $d y z ph $.
    $( A lemma for the definiens of ~ df-sb .  An instance of ~ sp proved
       without it.  Note: it has a common subproof with ~ sbjust .
       (Contributed by BJ, 22-Dec-2020.)
       (Proof modification is discouraged.) $)
    bj-ssblem1 $p |- ( A. y ( y = t -> A. x ( x = y -> ph ) ) ->
                                         ( y = t -> A. x ( x = y -> ph ) ) ) $=
      ( vz weq wi wal equequ1 equequ2 imbi1d albidv imbi12d spw ) CDFZBCFZAGZBH
      ZGEDFZBEFZAGZBHZGCECEFZOSRUBCEDIUCQUABUCPTACEBJKLMN $.
  $}

  ${
    $d x y z t $.  $d y z ph $.
    $( An instance of ~ ax-11 proved without it.  The converse may not be
       provable without ~ ax-11 (since using ~ alcomiw would require a DV on
       ` ph , x ` , which defeats the purpose).  (Contributed by BJ,
       22-Dec-2020.)  (Proof modification is discouraged.) $)
    bj-ssblem2 $p |- ( A. x A. y ( y = t -> ( x = y -> ph ) ) ->
                                   A. y A. x ( y = t -> ( x = y -> ph ) ) ) $=
      ( vz weq wi equequ1 equequ2 imbi1d imbi12d alcomiw ) CDFZBCFZAGZGEDFZBEFZ
      AGZGBCECEFZMPORCEDHSNQACEBIJKL $.
  $}

  ${
    $d x t $.  $d t ph $.
    $( A weaker form of ~ ax-12 and ~ ax12v , namely the generalization over
       ` x ` of the latter.  In this statement, all occurrences of ` x ` are
       bound.  (Contributed by BJ, 26-Dec-2020.)
       (Proof modification is discouraged.) $)
    bj-ax12v $p |- A. x ( x = t -> ( ph -> A. x ( x = t -> ph ) ) ) $=
      ( weq wi wal ax12v ax-gen ) BCDZAIAEBFEEBABCGH $.
  $}

  ${
    $d y x t $.  $d y ph $.
    $( Remove a DV condition from ~ bj-ax12v (using core axioms only).
       (Contributed by BJ, 26-Dec-2020.)
       (Proof modification is discouraged.) $)
    bj-ax12 $p |- A. x ( x = t -> ( ph -> A. x ( x = t -> ph ) ) ) $=
      ( vy weq wi wal bj-ax12v equequ2 imbi1d albidv imbi2d imbi12d mpbii ax6ev
      exlimiiv ) DCEZBCEZARAFZBGZFZFZBGZDQBDEZAUDAFZBGZFZFZBGUCABDHQUHUBBQUDRUG
      UADCBIZQUFTAQUESBQUDRAUIJKLMKNDCOP $.
  $}

  ${
    $d x t $.
    $( Axiom ~ bj-ax12 expressed using substitution.  (Contributed by BJ,
       26-Dec-2020.)  (Proof modification is discouraged.) $)
    bj-ax12ssb $p |- [ t / x ] ( ph -> [ t / x ] ph ) $=
      ( wsb wi weq wal bj-ax12 sb6 imbi2i albii mpbir ) AABCDZEZBCDBCFZNEZBGZQO
      AOAEBGZEZEZBGABCHPTBNSOMRAABCIJJKLNBCIL $.
  $}

  $( Special case of ~ 19.41 proved from core axioms, ~ ax-10 (modal5), and
     ~ hba1 (modal4).  (Contributed by BJ, 29-Dec-2020.)
     (Proof modification is discouraged.) $)
  bj-19.41al $p |- ( E. x ( ph /\ A. x ps ) <-> ( E. x ph /\ A. x ps ) ) $=
    ( wal wa wex 19.40 hbe1a anim2i syl hba1 19.29r impbii ) ABCDZECFZACFZNEZOP
    NCFZEQANCGRNPBCHIJQPNCDZEONSPBCKIANCLJM $.

  ${
    $d x y $.
    bj-equsexval.1 $e |- ( x = y -> ( ph <-> A. x ps ) ) $.
    $( Special case of ~ equsexv proved from core axioms, ~ ax-10 (modal5), and
       ~ hba1 (modal4).  (Contributed by BJ, 29-Dec-2020.)
       (Proof modification is discouraged.) $)
    bj-equsexval $p |- ( E. x ( x = y /\ ph ) <-> A. x ps ) $=
      ( weq wa wex wal pm5.32i exbii ax6ev bj-19.41al mpbiran bitri ) CDFZAGZCH
      PBCIZGZCHZRQSCPAREJKTPCHRCDLPBCMNO $.
  $}

  ${
    $d x y $.
    $( Proof of ~ sbalex from core axioms, ~ ax-10 (modal5), and ~ bj-ax12 .
       (Contributed by BJ, 29-Dec-2020.)
       (Proof modification is discouraged.) $)
    bj-subst $p |- ( E. x ( x = y /\ ph ) <-> A. x ( x = y -> ph ) ) $=
      ( weq wa wex wi wal bj-ax12 pm3.31 aleximi ax-mp hbe1a syl equs4v impbii
      ) BCDZAEZBFZQAGZBHZSUABFZUAQAUAGGZBHSUBGABCIUCRUABQAUAJKLTBMNABCOP $.
  $}

  ${
    $d y x $.  $d y ph $.
    $( A special case of ~ sbequ2 .  (Contributed by BJ, 22-Dec-2020.) $)
    bj-ssbid2 $p |- ( [ x / x ] ph -> ph ) $=
      ( weq wsb wi equid sbequ2 ax-mp ) BBCABBDAEBFABBGH $.

    $( Alternate proof of ~ bj-ssbid2 , not using ~ sbequ2 .  (Contributed by
       BJ, 22-Dec-2020.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    bj-ssbid2ALT $p |- ( [ x / x ] ph -> ph ) $=
      ( vy wsb weq wi wal df-sb sp imim2i alimi wex pm2.21 equcomi imim1i ax6ev
      ja 19.23v biimpi mpisyl syl sylbi ) ABBDCBEZBCEZAFZBGZFZCGZAABCBHUHUCUEFZ
      CGZAUGUICUFUEUCUEBIJKUJUCAFZCGZUCCLZAUIUKCUCUEUKUCAMUCUDACBNOQKCBPULUMAFU
      CACRSTUAUB $.
  $}

  ${
    $d y x $.  $d y ph $.
    $( A special case of ~ sbequ1 .  (Contributed by BJ, 22-Dec-2020.) $)
    bj-ssbid1 $p |- ( ph -> [ x / x ] ph ) $=
      ( weq wsb wi equid sbequ1 ax-mp ) BBCAABBDEBFABBGH $.

    $( Alternate proof of ~ bj-ssbid1 , not using ~ sbequ1 .  (Contributed by
       BJ, 22-Dec-2020.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    bj-ssbid1ALT $p |- ( ph -> [ x / x ] ph ) $=
      ( vy weq wi wal wsb ax12v equcoms com12 alrimiv df-sb sylibr ) ACBDZBCDAE
      BFZEZCFABBGAPCNAOAOEBCABCHIJKABCBLM $.
  $}

  ${
    $d x z $.
    $( Lemma for ~ bj-ax6e .  (Contributed by BJ, 22-Dec-2020.)
       (Proof modification is discouraged.) $)
    bj-ax6elem1 $p |- ( -. A. x x = y -> ( y = z -> A. x y = z ) ) $=
      ( weq wal wn wi axc9 axc16 pm2.61d2 ) ABDAEFACDAEBCDZKAEGBCAHKACIJ $.
  $}

  ${
    $d x z $.
    $( Lemma for ~ bj-ax6e .  (Contributed by BJ, 22-Dec-2020.)
       (Proof modification is discouraged.) $)
    bj-ax6elem2 $p |- ( A. x y = z -> E. x x = y ) $=
      ( weq wi ax6ev equeucl eximii 19.35i ) BCDZABDZAACDJKEAACFABCGHI $.
  $}

  ${
    $d x z $.  $d y z $.
    $( Proof of ~ ax6e (hence ~ ax6 ) from Tarski's system, ~ ax-c9 ,
       ~ ax-c16 .  Remark: ~ ax-6 is used only via its principal (unbundled)
       instance ~ ax6v .  (Contributed by BJ, 22-Dec-2020.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    bj-ax6e $p |- E. x x = y $=
      ( vz weq wex wal wi 19.2 wn bj-ax6elem1 bj-ax6elem2 syl6 pm2.61i exlimiiv
      a1d ax6evr ) BCDZABDZAEZCRAFZQSGTSQRAHOTIQQAFSABCJABCKLMCBPN $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Adding ax-6
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y $.  $d x ps $.
    $( Closed form of ~ spimvw .  See also ~ spimt .  (Contributed by BJ,
       8-Nov-2021.) $)
    bj-spimvwt $p |- ( A. x ( x = y -> ( ph -> ps ) ) -> ( A. x ph -> ps ) ) $=
      ( weq wi wal wex alequexv 19.36v sylib ) CDEABFZFCGLCHACGBFLCDIABCJK $.
  $}

  $( Theorem close to a closed form of ~ spnfw .  (Contributed by BJ,
     12-May-2019.) $)
  bj-spnfw $p |- ( ( E. x ph -> ps ) -> ( A. x ph -> ps ) ) $=
    ( wal wex 19.2 imim1i ) ACDACEBACFG $.

  ${
    $d x y $.
    bj-cbvexiw.1 $e |- ( E. x E. y ps -> E. y ps ) $.
    bj-cbvexiw.2 $e |- ( ph -> A. y ph ) $.
    bj-cbvexiw.3 $e |- ( y = x -> ( ph -> ps ) ) $.
    $( Change bound variable.  This is to ~ cbvexvw what ~ cbvaliw is to
       ~ cbvalvw .  TODO: move after ~ cbvalivw .  (Contributed by BJ,
       17-Mar-2020.) $)
    bj-cbvexiw $p |- ( E. x ph -> E. y ps ) $=
      ( wex spimew bj-sylge ) BDHZKACEABDCFGIJ $.
  $}

  ${
    $d x y $.  $d x ps $.  $d y ph $.
    bj-cbvexivw.1 $e |- ( y = x -> ( ph -> ps ) ) $.
    $( Change bound variable.  This is to ~ cbvexvw what ~ cbvalivw is to
       ~ cbvalvw .  TODO: move after ~ cbvalivw .  (Contributed by BJ,
       17-Mar-2020.) $)
    bj-cbvexivw $p |- ( E. x ph -> E. y ps ) $=
      ( wex ax5e ax-5 bj-cbvexiw ) ABCDBDFCGADHEI $.
  $}

  $( A short form of the axiom D of modal logic.  (Contributed by BJ,
     4-Apr-2021.) $)
  bj-modald $p |- ( A. x -. ph -> -. A. x ph ) $=
    ( wal wn wex 19.2 df-ex sylib con2i ) ABCZADBCZJABEKDABFABGHI $.

  ${
    $d x y $.
    $( A weakening of ~ ax-6 and ~ ax6v .  (Contributed by BJ, 4-Apr-2021.)
       (New usage is discouraged.) $)
    bj-denot $p |- ( x = x -> -. A. y -. y = x ) $=
      ( weq wn wal ax6v a1i ) BACDBEDAACBAFG $.
  $}

  ${
    $d x y $.  $d x ph $.
    $( A lemma for substitutions, proved from Tarski's FOL. The version without
       DV ` ( x , y ) ` is true but requires ~ ax-13 .  The disjoint variable
       condition DV ` ( x , ph ) ` is necessary for both directions: consider
       substituting ` x = z ` for ` ph ` .  (Contributed by BJ,
       25-May-2021.) $)
    bj-eqs $p |- ( ph <-> A. x ( x = y -> ph ) ) $=
      ( weq wi wal ax-1 alrimiv wex exim ax6ev pm2.27 ax-mp ax5e 3syl impbii )
      ABCDZAEZBFZARBAQGHSQBIZABIZEZUAAQABJTUBUAEBCKTUALMABNOP $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Adding ax-7
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y $.
    bj-cbvexw.1 $e |- ( E. x E. y ps -> E. y ps ) $.
    bj-cbvexw.2 $e |- ( ph -> A. y ph ) $.
    bj-cbvexw.3 $e |- ( E. y E. x ph -> E. x ph ) $.
    bj-cbvexw.4 $e |- ( ps -> A. x ps ) $.
    bj-cbvexw.5 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change bound variable.  This is to ~ cbvexvw what ~ cbvalw is to
       ~ cbvalvw .  (Contributed by BJ, 17-Mar-2020.) $)
    bj-cbvexw $p |- ( E. x ph <-> E. y ps ) $=
      ( wex weq wb equcoms biimpd bj-cbvexiw biimprd impbii ) ACJBDJABCDEFDCKAB
      ABLCDIMNOBADCGHCDKABIPOQ $.
  $}

  ${
    $d x ch $.  $d y th $.  $d z ps $.  $d y z $.
    bj-ax12w.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bj-ax12w.2 $e |- ( y = z -> ( ps <-> th ) ) $.
    $( The general statement that ~ ax12w proves.  (Contributed by BJ,
       20-Mar-2020.) $)
    bj-ax12w $p |- ( ph -> ( A. y ps -> A. x ( ph -> ps ) ) ) $=
      ( wal wi spw bj-ax12wlem syl5 ) BFJBAABKEJBDFGILABCEHMN $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Membership predicate, ax-8 and ax-9
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( A theorem which could be used as sole axiom for the non-logical predicate
     instead of ~ ax-8 and ~ ax-9 .  Indeed, it is implied over propositional
     calculus by the conjunction of ~ ax-8 and ~ ax-9 , as proved here.  In the
     other direction, one can prove ~ ax-8 (respectively ~ ax-9 ) from
     ~ bj-ax89 by using ~ mpan2 (respectively ~ mpan ) and ~ equid .  TODO:
     move to main part.  (Contributed by BJ, 3-Oct-2019.) $)
  bj-ax89 $p |- ( ( x = y /\ z = t ) -> ( x e. z -> y e. t ) ) $=
    ( weq wel ax8 ax9 sylan9 ) ABEACFBCFCDEBDFABCGCDBHI $.

  $( An identity law for the non-logical predicate, which combines ~ elequ1 and
     ~ elequ2 .  For the analogous theorems for class terms, see ~ eleq1 ,
     ~ eleq2 and ~ eleq12 .  TODO: move to main part.  (Contributed by BJ,
     29-Sep-2019.) $)
  bj-elequ12 $p |- ( ( x = y /\ z = t ) -> ( x e. z <-> y e. t ) ) $=
    ( weq wel elequ1 elequ2 sylan9bb ) ABEACFBCFCDEBDFABCGCDBHI $.

  ${
    $d x z $.  $d y z $.
    $( One direction of ~ cleljust , requiring only ~ ax-1 -- ~ ax-5 and
       ~ ax8v1 .  (Contributed by BJ, 31-Dec-2020.)
       (Proof modification is discouraged.) $)
    bj-cleljusti $p |- ( E. z ( z = x /\ z e. y ) -> x e. y ) $=
      ( weq wel wa ax8v1 imp exlimiv ) CADZCBEZFABEZCJKLCABGHI $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Logical redundancy of ax-10--13
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Adding ax-10
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Adding ax-11
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Commutation of universal quantifiers implies commutation of existential
     quantifiers.  Can be placed in the ~ ax-4 section, soon after ~ 2nexaln ,
     and used to prove ~ excom .  (Contributed by BJ, 29-Nov-2020.)
     (Proof modification is discouraged.) $)
  bj-alcomexcom $p |- ( ( A. x A. y -. ph -> A. y A. x -. ph ) ->
                                          ( E. y E. x ph -> E. x E. y ph ) ) $=
    ( wn wal wi wex 2nexaln imbi12i con4 sylbir ) ADZCEBEZLBECEZFACGBGZDZABGCGZ
    DZFQOFPMRNABCHACBHIOQJK $.

  $( Closed form of ~ hbal .  When in main part, prove ~ hbal and ~ hbald from
     it.  (Contributed by BJ, 2-May-2019.) $)
  bj-hbalt $p |- ( A. y ( ph -> A. x ph ) -> ( A. y ph -> A. x A. y ph ) ) $=
    ( wal wi alim ax-11 syl6 ) AABDZECDACDZICDJBDAICFACBGH $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Adding ax-12
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Proof of ~ axc11n from { ~ ax-1 -- ~ ax-7 , ~ axc11 } .  Almost identical
     to ~ axc11nfromc11 .  (Contributed by NM, 6-Jul-2021.)
     (Proof modification is discouraged.) $)
  axc11n11 $p |- ( A. x x = y -> A. y y = x ) $=
    ( weq wal axc11 pm2.43i equcomi sylg ) ABCZADZIBACBJIBDIABEFABGH $.

  ${
    $d x z $.  $d y z $.
    $( Proof of ~ axc11n from { ~ ax-1 -- ~ ax-7 , ~ axc9 , ~ axc11r } (note
       that ~ axc16 is provable from { ~ ax-1 -- ~ ax-7 , ~ axc11r }).

       Note that ~ axc11n proves (over minimal calculus) that ~ axc11 and
       ~ axc11r are equivalent.  Therefore, ~ axc11n11 and ~ axc11n11r prove
       that one can use one or the other as an axiom, provided one assumes the
       axioms listed above ( ~ axc11 appears slightly stronger since
       ~ axc11n11r requires ~ axc9 while ~ axc11n11 does not).

       (Contributed by BJ, 6-Jul-2021.)
       (Proof modification is discouraged.) $)
    axc11n11r $p |- ( A. x x = y -> A. y y = x ) $=
      ( vz weq wal wex wi equcomi axc16 syl5 spsd exlimiv wn alnex ax6evr 19.29
      wa mpan2 axc9 impcom axc11r syl9 aev syl8 ex com24 imp pm2.18 syl6 sylbir
      syl pm2.61i ) BCDBEZCFZABDZAEZBADZBEZGZUMUSCUMUOURAUOUQUMURABHUQBCIJKLUNM
      UMMZCEZUSUMCNVAUTACDZQZCFZUSVAVBCFVDCAOUTVBCPRVCUSCVCUPURMZURGZURUTVBUPVF
      GUTVEUPVBURUTVEUPVBURGGUTVEQZUPVBVBAEZURVGVBVBBEZUPVHVEUTVBVIGACBSTVBBAUA
      UBACBABUCUDUEUFUGURUHUILUKUJUL $.
  $}

  ${
    $d x y $.  $d z t $.
    $( Proof of ~ axc16g from { ~ ax-1 -- ~ ax-7 , ~ axc16 }.  (Contributed by
       BJ, 6-Jul-2021.)  (Proof modification is discouraged.) $)
    bj-axc16g16 $p |- ( A. x x = y -> ( ph -> A. z ph ) ) $=
      ( vt weq wal wi aevlem axc16 syl ) BCFBGDEFDGAADGHBCDEIADEJK $.
  $}

  ${
    $d y ph $.
    $( A weak version of ~ ax-12 which is stronger than ~ ax12v .  Note that if
       one assumes reflexivity of equality ` |- x = x ` ( ~ equid ), then
       ~ bj-ax12v3 implies ~ ax-5 over modal logic K (substitute ` x ` for
       ` y ` ).  See also ~ bj-ax12v3ALT .  (Contributed by BJ, 6-Jul-2021.)
       (Proof modification is discouraged.) $)
    bj-ax12v3 $p |- ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) $=
      ( wal weq wi ax-5 ax12 syl5 ) AACDBCEZJAFBDACGABCHI $.

    $( Alternate proof of ~ bj-ax12v3 .  Uses ~ axc11r and ~ axc15 instead of
       ~ ax-12 .  (Contributed by BJ, 6-Jul-2021.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    bj-ax12v3ALT $p |- ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) $=
      ( weq wal wi ax-5 axc11r ala1 syl56 a1d axc15 pm2.61i ) BCDZBEZNANAFBEZFZ
      FOQNAACEOABEPACGACBHANBIJKABCLM $.
  $}

  ${
    $d x y $.  $d y ph $.
    $( A weak variant of ~ sbid2 not requiring ~ ax-13 nor ~ ax-10 .  On top of
       Tarski's FOL, one implication requires only ~ ax12v , and the other
       requires only ~ sp .  (Contributed by BJ, 25-May-2021.) $)
    bj-sb $p |- ( ph <-> A. y ( y = x -> A. x ( x = y -> ph ) ) ) $=
      ( weq wi wal ax12v equcoms com12 alrimiv a2i alimi bj-eqs sylibr impbii
      sp ) ACBDZBCDZAEZBFZEZCFZAUACQATATEBCABCGHIJUBQAEZCFAUAUCCQTATAEBCTRASBPI
      HKLACBMNO $.
  $}

  $( The predicate-calculus version of the axiom (B) of modal logic.  See also
     ~ modal-b .  (Contributed by BJ, 20-Oct-2019.) $)
  bj-modalbe $p |- ( ph -> A. x E. x ph ) $=
    ( wn wal wex modal-b df-ex biimpri sylg ) AACBDCZABEZBABFKJABGHI $.

  $( Closed form of ~ sps .  Once in main part, prove ~ sps and ~ spsd from it.
     (Contributed by BJ, 20-Oct-2019.) $)
  bj-spst $p |- ( ( ph -> ps ) -> ( A. x ph -> ps ) ) $=
    ( wal sp imim1i ) ACDABACEF $.

  $( Closed form of ~ 19.21bi .  (Contributed by BJ, 20-Oct-2019.) $)
  bj-19.21bit $p |- ( ( ph -> A. x ps ) -> ( ph -> ps ) ) $=
    ( wal sp imim2i ) BCDBABCEF $.

  $( Closed form of ~ 19.23bi .  (Contributed by BJ, 20-Oct-2019.) $)
  bj-19.23bit $p |- ( ( E. x ph -> ps ) -> ( ph -> ps ) ) $=
    ( wex 19.8a imim1i ) AACDBACEF $.

  $( Closed form of ~ nexr .  Contrapositive of ~ 19.8a .  (Contributed by BJ,
     20-Oct-2019.) $)
  bj-nexrt $p |- ( -. E. x ph -> -. ph ) $=
    ( wex 19.8a con3i ) AABCABDE $.

  $( Closed form of ~ alrimi .  (Contributed by BJ, 2-May-2019.) $)
  bj-alrim $p |- ( F/ x ph -> ( A. x ( ph -> ps ) -> ( ph -> A. x ps ) ) ) $=
    ( wnf wal wi nf5r sylgt syl5com ) ACDAACEFABFCEABCEFACGAABCHI $.

  $( Uncurried (imported) form of ~ bj-alrim .  (Contributed by BJ,
     2-May-2019.) $)
  bj-alrim2 $p |- ( ( F/ x ph /\ A. x ( ph -> ps ) ) -> ( ph -> A. x ps ) ) $=
    ( wnf wi wal bj-alrim imp ) ACDABECFABCFEABCGH $.

  $( A theorem close to a closed form of ~ nf5d and ~ nf5dh .  (Contributed by
     BJ, 2-May-2019.) $)
  bj-nfdt0 $p |- ( A. x ( ph -> ( ps -> A. x ps ) ) ->
                                ( A. x ph -> F/ x ps ) ) $=
    ( wal wi wnf alim nf5 syl6ibr ) ABBCDEZECDACDJCDBCFAJCGBCHI $.

  $( Closed form of ~ nf5d and ~ nf5dh .  (Contributed by BJ, 2-May-2019.) $)
  bj-nfdt $p |- ( A. x ( ph -> ( ps -> A. x ps ) ) ->
                                ( ( ph -> A. x ph ) -> ( ph -> F/ x ps ) ) ) $=
    ( wal wi wnf bj-nfdt0 imim2d ) ABBCDEECDACDBCFAABCGH $.

  $( Closed form of ~ nexd .  (Contributed by BJ, 20-Oct-2019.) $)
  bj-nexdt $p |- ( F/ x ph ->
                          ( A. x ( ph -> -. ps ) -> ( ph -> -. E. x ps ) ) ) $=
    ( wnf wal wi wn wex nf5r bj-nexdh syl5com ) ACDAACEFABGFCEABCHGFACIABACJK
    $.

  ${
    $d x ph $.
    $( Closed form of ~ nexdv .  (Contributed by BJ, 20-Oct-2019.) $)
    bj-nexdvt $p |- ( A. x ( ph -> -. ps ) -> ( ph -> -. E. x ps ) ) $=
      ( wnf wn wi wal wex nfv bj-nexdt ax-mp ) ACDABEFCGABCHEFFACIABCJK $.
  $}

  $( Adding a second quantifier over the same variable is a transparent
     operation, ( ` A. E. ` case).  (Contributed by BJ, 20-Oct-2019.) $)
  bj-alexbiex $p |- ( A. x E. x ph <-> E. x ph ) $=
    ( wex nfe1 19.3 ) ABCBABDE $.

  $( Adding a second quantifier over the same variable is a transparent
     operation, ( ` E. E. ` case).  (Contributed by BJ, 20-Oct-2019.) $)
  bj-exexbiex $p |- ( E. x E. x ph <-> E. x ph ) $=
    ( wex nfe1 19.9 ) ABCBABDE $.

  $( Adding a second quantifier over the same variable is a transparent
     operation, ( ` A. A. ` case).  (Contributed by BJ, 20-Oct-2019.) $)
  bj-alalbial $p |- ( A. x A. x ph <-> A. x ph ) $=
    ( wal nfa1 19.3 ) ABCBABDE $.

  $( Adding a second quantifier over the same variable is a transparent
     operation, ( ` E. A. ` case).  (Contributed by BJ, 20-Oct-2019.) $)
  bj-exalbial $p |- ( E. x A. x ph <-> A. x ph ) $=
    ( wal nfa1 19.9 ) ABCBABDE $.

  $( Strengthening ~ 19.9ht by replacing its consequent with a biconditional
     ( ~ 19.9t does have a biconditional consequent).  This propagates.
     (Contributed by BJ, 20-Oct-2019.) $)
  bj-19.9htbi $p |- ( A. x ( ph -> A. x ph ) -> ( E. x ph <-> ph ) ) $=
    ( wal wi wex 19.9ht 19.8a impbid1 ) AABCDBCABEAABFABGH $.

  $( Strengthening ~ hbnt by replacing its consequent with a biconditional.
     See also ~ hbntg and ~ hbntal .  (Contributed by BJ, 20-Oct-2019.)  Proved
     from ~ bj-19.9htbi .  (Proof modification is discouraged.) $)
  bj-hbntbi $p |- ( A. x ( ph -> A. x ph ) -> ( -. ph <-> A. x -. ph ) ) $=
    ( wal wi wn wex bj-19.9htbi bicomd notbid alnex bitr4di ) AABCDBCZAEZABFZEM
    BCLANLNAABGHIABJK $.

  $( A general FOL biconditional that generalizes ~ 19.9ht among others.  For
     this and the following theorems, see also ~ 19.35 , ~ 19.21 , ~ 19.23 .
     When ` ph ` is substituted for ` ps ` , both sides express a form of
     nonfreeness.  (Contributed by BJ, 20-Oct-2019.) $)
  bj-biexal1 $p |- ( A. x ( ph -> A. x ps ) <-> ( E. x ph -> A. x ps ) ) $=
    ( wal nfa1 19.23 ) ABCDCBCEF $.

  $( When ` ph ` is substituted for ` ps ` , both sides express a form of
     nonfreeness.  (Contributed by BJ, 20-Oct-2019.) $)
  bj-biexal2 $p |- ( A. x ( E. x ph -> ps ) <-> ( E. x ph -> A. x ps ) ) $=
    ( wex nfe1 19.21 ) ACDBCACEF $.

  $( When ` ph ` is substituted for ` ps ` , both sides express a form of
     nonfreeness.  (Contributed by BJ, 20-Oct-2019.) $)
  bj-biexal3 $p |- ( A. x ( ph -> A. x ps ) <-> A. x ( E. x ph -> ps ) ) $=
    ( wal wi wex bj-biexal1 bj-biexal2 bitr4i ) ABCDZECDACFZJEKBECDABCGABCHI $.

  $( When ` ph ` is substituted for ` ps ` , both sides express a form of
     nonfreeness.  (Contributed by BJ, 20-Oct-2019.) $)
  bj-bialal $p |- ( A. x ( A. x ph -> ps ) <-> ( A. x ph -> A. x ps ) ) $=
    ( wal nfa1 19.21 ) ACDBCACEF $.

  $( When ` ph ` is substituted for ` ps ` , both sides express a form of
     nonfreeness.  (Contributed by BJ, 20-Oct-2019.) $)
  bj-biexex $p |- ( A. x ( ph -> E. x ps ) <-> ( E. x ph -> E. x ps ) ) $=
    ( wex nfe1 19.23 ) ABCDCBCEF $.

  $( Closed form of ~ hbex .  (Contributed by BJ, 10-Oct-2019.) $)
  bj-hbext $p |-
              ( A. y A. x ( ph -> A. x ph ) -> ( E. y ph -> A. x E. y ph ) ) $=
    ( wal wi wex nfa2 hbnt alimi bj-hbalt syl alrimi df-ex bicomi albii 3imtr3g
    wn ) AABDEZBDZCDZAQZCDZQZUCBDZACFZUEBDTUBUBBDEZBDUCUDETUFBRBCGTUAUABDEZCDUF
    SUGCABHIUABCJKLUBBHKUEUCACMNZUCUEBUHOP $.

  $( Closed form of ~ nfal .  (Contributed by BJ, 2-May-2019.) $)
  bj-nfalt $p |- ( A. x F/ y ph -> F/ y A. x ph ) $=
    ( wal wi wnf bj-hbalt alimi alcoms nf5 albii 3imtr4i ) AACDEZCDZBDABDZOCDEZ
    CDZACFZBDOCFMQCBMBDPCACBGHIRNBACJKOCJL $.

  $( Closed form of ~ nfex .  (Contributed by BJ, 10-Oct-2019.) $)
  bj-nfext $p |- ( A. x F/ y ph -> F/ y E. x ph ) $=
    ( wnf wal wex wi nf5 biimpi alimi nfa2 bj-hbext alrimi syl sylibr ) ACDZBEZ
    ABFZRCEGZCEZRCDQAACEGZCEZBEZTPUBBPUBACHIJUCSCUACBKACBLMNRCHO $.

  ${
    $d y ph $.  $d x ps $.  $d x y $.
    $( Version of ~ exdistrv with a disjoint variable condition on ` x , y `
       not requiring ~ ax-11 .  (The same can be done with ~ eeeanv and
       ~ ee4anv .)  (Contributed by BJ, 29-Sep-2019.)
       (Proof modification is discouraged.) $)
    bj-eeanvw $p |- ( E. x E. y ( ph /\ ps ) <-> ( E. x ph /\ E. y ps ) ) $=
      ( wa wex 19.42v exbii 19.41v bitri ) ABEDFZCFABDFZEZCFACFLEKMCABDGHALCIJ
      $.
  $}

  $( First-order logic form of the modal axiom (4).  See ~ hba1 .  This is the
     standard proof of the implication in modal logic (B5 ` => ` 4).  Its dual
     statement is ~ bj-modal4e .  (Contributed by BJ, 12-Aug-2023.)
     (Proof modification is discouraged.) $)
  bj-modal4 $p |- ( A. x ph -> A. x A. x ph ) $=
    ( wal wex bj-modalbe hbe1a sylg ) ABCZHBDHBHBEABFG $.

  $( First-order logic form of the modal axiom (4) using existential
     quantifiers.  Dual statement of ~ bj-modal4 ( ~ hba1 ).  (Contributed by
     BJ, 21-Dec-2020.)  (Proof modification is discouraged.) $)
  bj-modal4e $p |- ( E. x E. x ph -> E. x ph ) $=
    ( wex wn wal bj-modal4 alnex 2exnaln con2bii 3imtr3i con4i ) ABCZLBCZADZBEZ
    OBEZLDMDNBFABGMPABBHIJK $.

  $( A short form of the axiom B of modal logic using only primitive symbols
     ( ` -> , -. , A. ` ).  (Contributed by BJ, 4-Apr-2021.)
     (Proof modification is discouraged.) $)
  bj-modalb $p |- ( -. ph -> A. x -. A. x ph ) $=
    ( wal wn axc7 con1i ) ABCDBCAABEF $.

  $( When ` ph ` is substituted for ` ps ` , this is the first half of
     nonfreness ` ( . -> A. ) ` of the weak form of nonfreeness
     ` ( E. -> A. ) ` .  (Contributed by BJ, 9-Dec-2023.) $)
  bj-wnf1 $p |- ( ( E. x ph -> A. x ps ) -> A. x ( E. x ph -> A. x ps ) ) $=
    ( wex wal wi bj-modal4e hba1 imim12i 19.38 syl ) ACDZBCEZFZLCDZMCEZFNCEOLMP
    ACGBCHILMCJK $.

  $( When ` ph ` is substituted for ` ps ` , this is the first half of
     nonfreness ` ( . -> A. ) ` of the weak form of nonfreeness
     ` ( E. -> A. ) ` .  (Contributed by BJ, 9-Dec-2023.) $)
  bj-wnf2 $p |- ( E. x ( E. x ph -> A. x ps ) -> ( E. x ph -> A. x ps ) ) $=
    ( wex wal wi hbe1 bj-eximcom hbe1a syl56 ) ACDZKCEKBCEZFCDLCDLACGKLCHBCIJ
    $.

  $( When ` ph ` is substituted for ` ps ` , this statement expresses that weak
     nonfreeness implies the universal form of nonfreeness.  (Contributed by
     BJ, 9-Dec-2023.) $)
  bj-wnfanf $p |- ( ( E. x ph -> A. x ps ) -> A. x ( ph -> A. x ps ) ) $=
    ( wex wal wi bj-wnf1 bj-19.23bit sylg ) ACDBCEZFZKAJFCABCGAJCHI $.

  $( When ` ph ` is substituted for ` ps ` , this statement expresses that weak
     nonfreeness implies the existential form of nonfreeness.  (Contributed by
     BJ, 9-Dec-2023.) $)
  bj-wnfenf $p |- ( ( E. x ph -> A. x ps ) -> A. x ( E. x ph -> ps ) ) $=
    ( wex wal wi bj-wnf1 bj-19.21bit sylg ) ACDZBCEFZKJBFCABCGJBCHI $.

  $( Equivalent form of the axiom of substitution ~ bj-ax12 .  Although both
     sides need a DV condition on ` x , t ` (or as in ~ bj-ax12v3 on
     ` t , ph ` ) to hold, their equivalence holds without DV conditions.  The
     forward implication is proved in modal (K4) while the reverse implication
     is proved in modal (T5).  The LHS has the advantage of not involving
     nested quantifiers on the same variable.  Its metaweakening is proved from
     the core axiom schemes in ~ bj-substw .  Note that in the LHS, the reverse
     implication holds by ~ equs4 (or ~ equs4v if a DV condition is added on
     ` x , t ` as in ~ bj-ax12 ).

     The LHS can be read as saying that if there exists a setvar equal to a
     given term witnessing ` ph ` , then all setvars equal to that term also
     witness ` ph ` .  An equivalent suggestive form for the LHS is
     ` -. ( E. x ( x = t /\ ph ) /\ E. x ( x = t /\ -. ph ) ) ` , which
     expresses that there can be no two variables both equal to a given term,
     one witnessing ` ph ` and the other witnessing ` -. ph ` .  (Contributed
     by BJ, 21-May-2024.)  (Proof modification is discouraged.) $)
  bj-substax12 $p |- ( ( E. x ( x = t /\ ph ) -> A. x ( x = t -> ph ) ) <->
                          A. x ( x = t -> ( ph -> A. x ( x = t -> ph ) ) ) ) $=
    ( weq wa wex wi wal bj-modal4 imim2i 19.38 syl hbe1a bj-exlimg ax-mp impbii
    sp impexp albii bitri ) BCDZAEZBFZUAAGZBHZGZUBUEGZBHZUAAUEGGZBHUFUHUFUCUEBH
    ZGZUHUEUJUCUDBIZJUBUEBKLUHUKUFUEBFZUJGUHUKGUMUEUJUDBMULLUEUJUBBNOUJUEUCUEBQ
    JLPUGUIBUAAUERST $.

  ${
    $d x ps $.
    bj-substw.is $e |- ( x = t -> ( ph <-> ps ) ) $.
    $( Weak form of the LHS of ~ bj-substax12 proved from the core axiom
       schemes.  Compare ~ ax12w .  (Contributed by BJ, 26-May-2024.)
       (Proof modification is discouraged.) $)
    bj-substw $p |- ( E. x ( x = t /\ ph ) -> A. x ( x = t -> ph ) ) $=
      ( weq wa wex wi wal pm5.32i exbii 19.41v bitri biimprcd alrimiv simplbiim
      ) CDFZAGZCHZRCHZBRAIZCJTRBGZCHUABGSUCCRABEKLRBCMNBUBCRABEOPQ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Really adding ax-12
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  The results in the previous section, as actually many theorems of the main
  part using ~ ax-12 , actually only require ~ sp (which is proved using
  ~ ax-12 ).

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Nonfreeness
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Token for the nonfreeness quantifier. $)
  $c F// $.

  $( Syntax for the nonfreeness quantifier. $)
  wnnf $a wff F// x ph $.

  $( Definition of the nonfreeness quantifier.  The formula ` F// x ph ` has
     the intended meaning that the variable ` x ` is semantically nonfree in
     the formula ` ph ` .  The motivation for this quantifier is to have a
     condition expressible in the logic which is as close as possible to the
     non-occurrence condition DV ` ( x , ph ) ` (in Metamath files, "$d x ph
     $."), which belongs to the metalogic.

     The standard syntactic nonfreeness condition, also expressed in the
     metalogic, is intermediate between these two notions: semantic nonfreeness
     implies syntactic nonfreeness, which implies non-occurrence.  Both
     implications are strict; for the first, note that ` |- F// x x = x ` ,
     that is, ` x ` is semantically (but not syntactically) nonfree in the
     formula ` x = x ` ; for the second, note that ` x ` is syntactically
     nonfree in the formula ` A. x x = x ` although it occurs in it.

     We now prove two metatheorems which make precise the above fact that, as
     far as proving power is concerned, the nonfreeness condition ` F// x ph `
     is very close to the non-occurrence condition DV ` ( x , ph ) ` .

     Let S be a Metamath system with the FOL-syntax of (i)set.mm, containing
     intuitionistic positive propositional calculus and ~ ax-5 and ~ ax5e .

     Theorem 1.  If the scheme

     ` ( F// x ph & ` PHI_1 ` & ... & ` PHI_n ` => ` PHI_0, DV)

     is provable in S, then so is the scheme

     (PHI_1 ` & ... & ` PHI_n ` => ` PHI_0, DV ` u. { { x , ph } } ) ` .

     Proof:  By ~ bj-nnfv , we can prove ` ( F// x ph , { { x , ph } } ) ` ,
     from which the theorem follows.  QED

     Theorem 2.  Suppose that S also contains (the FOL version of) modal logic
     KB and commutation of quantifiers ~ alcom and ~ excom (possibly weakened
     by a DV condition on the quantifying variables), and that S can be
     axiomatized such that the only axioms with a DV condition involving a
     formula variable are among ~ ax-5 , ~ ax5e , ~ ax5ea .  If the scheme

     (PHI_1 ` & ... & ` PHI_n ` => ` PHI_0, DV)

     is provable in S, then so is the scheme

     ` ( F// x ph & ` PHI_1 ` & ... & ` PHI_n ` => ` PHI_0, DV
     ` \ { { x , ph } } ) ` .

     More precisely, if S contains modal 45 and if the variables quantified
     over in PHI_0, ..., PHI_n are among ` x `_1, ..., ` x `_m, then the scheme

     (PHI_1 ` & ... & ` PHI_n ` => ` (antecedent ` -> ` PHI_0), DV
     ` \ { { x , ph } } ) `

     is provable in S, where the antecedent is a finite conjunction of formulas
     of the form ` A. x `_i1 ` ... A. x `_ip ` F// x ph ` where the ` x `_ij's
     are among the ` x `_i's.

     Lemma:  If ` x e/ ` OC(PHI), then S proves the scheme

     ` ( F// x ph => F// x ` PHI, ` { { x , a } | a e. ` OC(PHI)
     ` \ { ph } } ) ` .

     More precisely, if the variables quantified over in PHI are among
     ` x `_1, ..., ` x `_m, then

     ((antecedent ` -> F// x ` PHI), ` { { x , a } | a e. ` OC(PHI)
     ` \ { ph } } ) `

     is provable in S, with the same form of antecedent as above.

     Proof:  By induction on the height of PHI. We first note that by
     ~ bj-nnfbi we can assume that PHI contains only primitive (as opposed to
     defined) symbols.  For the base case, atomic formulas are either ` ph ` ,
     in which case the scheme to prove is an instance of ~ id , or have
     variables all in OC(PHI) ` \ { ph } ` , so ` ( F// x ` PHI,
     ` { { x , a } | a e. ` OC(PHI) ` \ { ph } } ) ` by ~ bj-nnfv , hence
     ` ( ( F// x ph -> F// x ` PHI), ` { { x , a } | a e. ` OC(PHI)
     ` \ { ph } } ) ` by ~ a1i .  For the induction step, PHI is either an
     implication, a negation, a conjunction, a disjunction, a biconditional, a
     universal or an existential quantification of formulas where ` x ` does
     not occur.  We use respectively ~ bj-nnfim , ~ bj-nnfnt , ~ bj-nnfan ,
     ~ bj-nnfor , ~ bj-nnfbit , ~ bj-nnfalt , ~ bj-nnfext .  For instance, in
     the implication case, if we have by induction hypothesis

     ` ( ( A. x `_1 ` ... A. x `_m ` F// x ph -> F// x ` PHI),
     ` { { x , a } | a e. ` OC(PHI) ` \ { ph } } ) ` and ` ( ( A. y `_1
     ` ... A. y `_n ` F// x ph -> F// x ` PSI), ` { { x , a } | a e. ` OC(PSI)
     ` \ { ph } } ) ` ,

     then ~ bj-nnfim yields

     ` ( ( ( A. x `_1 ` ... A. x `_m ` F// x ph /\ A. y `_1 ` ... A. y `_n
     ` F// x ph ) -> F// x ` (PHI ` -> ` PSI)), ` { { x , a } | a e. ` OC(PHI
     ` -> ` PSI) ` \ { ph } } ) `

     and similarly for antecedents which are conjunctions as in the statement
     of the lemma.

     In the universal quantification case, say quantification over ` y ` , if
     we have by induction hypothesis

     ` ( ( A. x `_1 ` ... A. x `_m ` F// x ph -> F// x ` PHI),
     ` { { x , a } | a e. ` OC(PHI) ` \ { ph } } ) ` ,

     then ~ bj-nnfalt yields

     ` ( ( A. y A. x `_1 ` ... A. x `_m ` F// x ph -> F// x A. y ` PHI),
     ` { { x , a } | a e. ` OC( ` A. y ` PHI) ` \ { ph } } ) `

     and similarly for antecedents which are conjunctions as in the statement
     of the lemma.

     Note ~ bj-nnfalt and ~ bj-nnfext are proved from positive propositional
     calculus with ~ alcom and ~ excom (possibly weakened by a DV condition on
     the quantifying variables), and modalB (via ~ bj-19.12 ).  QED

     Proof of the theorem:  Consider a proof of that scheme directly from the
     axioms.  Consider a step where a DV condition involving ` ph ` is used.
     By hypothesis, that step is an instance of ~ ax-5 or ~ ax5e or ~ ax5ea .
     It has the form (PSI ` -> A. x ` PSI) where PSI has the form of the lemma
     and the DV conditions of the proof contain ` { { x , a } | a e. ` OC(PSI)
     ` } ` .  Therefore, one has

     ` ( ( A. x `_1 ` ... A. x `_m ` F// x ph -> F// x ` PSI),
     ` { { x , a } | a e. ` OC(PSI) ` \ { ph } } ) `

     for appropriate ` x `_i's, and by ~ bj-nnfa we obtain

     ` ( ( A. x `_1 ` ... A. x `_m ` F// x ph -> ` (PSI ` -> A. x ` PSI)),
     ` { { x , a } | a e. ` OC(PSI) ` \ { ph } } ) `

     and similarly for antecedents which are conjunctions as in the statement
     of the theorem.  Similarly if the step is using ~ ax5e or ~ ax5ea , we
     would use ~ bj-nnfe or ~ bj-nnfea respectively.

     Therefore, taking as antecedent of the theorem to prove the conjunction of
     all the antecedents at each of these steps, we obtain a proof by "carrying
     the context over", which is possible, as in the deduction theorem when the
     step uses ~ ax-mp , and when the step uses ~ ax-gen , by ~ bj-nnf-alrim
     and ~ bj-nnfa1 (which requires modal 45).  The condition DV ` ( x , ph ) `
     is not required by the resulting proof.

     Finally, there may be in the global antecedent thus constructed some dummy
     variables, which can be removed by ~ spvw .  QED

     Compared with ~ df-nf , the present definition is stricter on positive
     propositional calculus ( ~ bj-nnfnfTEMP ) and equivalent on core FOL plus
     ~ sp ( ~ bj-nfnnfTEMP ).  While being stricter, it still holds for
     non-occurring variables ( ~ bj-nnfv ), which is the basic requirement for
     this quantifier.  In particular, it translates more closely the associated
     variable disjointness condition.  Since the nonfreeness quantifier is a
     means to translate a variable disjointness condition from the metalogic to
     the logic, it seems preferable.  Also, since nonfreeness is mainly used as
     a hypothesis, this definition would allow more theorems, notably the 19.xx
     theorems, to be proved from the core axioms, without needing a 19.xxv
     variant.

     One can devise infinitely many definitions increasingly close to the
     non-occurring condition, like
     ` ( ( E. x ph -> ph ) /\ ( ph -> A. x ph ) ) /\ `
     ` A. x ( ( E. x ph -> ph ) /\ ( ph -> A. x ph ) ) /\ A. x A. x ` ... and
     each stronger definition would permit more theorems to be proved from the
     core axioms.  A reasonable rule seems to be to stop before nested
     quantifiers appear (since they typically require ~ ax-10 to work with),
     and also not to have redundant conjuncts when full metacomplete FOL= is
     developed.

     (Contributed by BJ, 28-Jul-2023.) $)
  df-bj-nnf $a |-
                 ( F// x ph <-> ( ( E. x ph -> ph ) /\ ( ph -> A. x ph ) ) ) $.

  $( If two formulas are equivalent for all ` x ` , then nonfreeness of ` x `
     in one of them is equivalent to nonfreeness in the other.  Compare
     ~ nfbiit .  From this and ~ bj-nnfim and ~ bj-nnfnt , one can prove
     analogous nonfreeness conservation results for other propositional
     operators.  The antecedent is in the "strong necessity" modality of modal
     logic (see also ~ bj-nnftht ) in order not to require ~ sp (modal T).
     (Contributed by BJ, 27-Aug-2023.) $)
  bj-nnfbi $p |- ( ( ( ph <-> ps ) /\ A. x ( ph <-> ps ) ) ->
                                                 ( F// x ph <-> F// x ps ) ) $=
    ( wb wal wa wex wi wnnf bj-hbyfrbi bj-hbxfrbi anbi12d df-bj-nnf 3bitr4g ) A
    BDZOCEFZACGAHZAACEHZFBCGBHZBBCEHZFACIBCIPQSRTABCJABCKLACMBCMN $.

  ${
    $d x ph $.
    bj-nnfbd.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( If two formulas are equivalent for all ` x ` , then nonfreeness of ` x `
       in one of them is equivalent to nonfreeness in the other, deduction
       form.  See ~ bj-nnfbi .  (Contributed by BJ, 27-Aug-2023.) $)
    bj-nnfbd $p |- ( ph -> ( F// x ps <-> F// x ch ) ) $=
      ( wb wal wnnf alrimiv bj-nnfbi syl2anc ) ABCFZLDGBDHCDHFEALDEIBCDJK $.
  $}

  ${
    bj-nnfbii.1 $e |- ( ph <-> ps ) $.
    $( If two formulas are equivalent for all ` x ` , then nonfreeness of ` x `
       in one of them is equivalent to nonfreeness in the other, inference
       form.  See ~ bj-nnfbi .  (Contributed by BJ, 18-Nov-2023.) $)
    bj-nnfbii $p |- ( F// x ph <-> F// x ps ) $=
      ( wb wnnf bj-nnfbi bj-mpgs ) ABEACFBCFECDABCGH $.
  $}

  $( Nonfreeness implies the equivalent of ~ ax-5 .  See ~ nf5r .  (Contributed
     by BJ, 28-Jul-2023.) $)
  bj-nnfa $p |- ( F// x ph -> ( ph -> A. x ph ) ) $=
    ( wnnf wex wi wal df-bj-nnf simprbi ) ABCABDAEAABFEABGH $.

  ${
    bj-nnfad.1 $e |- ( ph -> F// x ps ) $.
    $( Nonfreeness implies the equivalent of ~ ax-5 , deduction form.  See
       ~ nf5rd .  (Contributed by BJ, 2-Dec-2023.) $)
    bj-nnfad $p |- ( ph -> ( ps -> A. x ps ) ) $=
      ( wnnf wal wi bj-nnfa syl ) ABCEBBCFGDBCHI $.
  $}

  ${
    bj-nnfai.1 $e |- F// x ph $.
    $( Nonfreeness implies the equivalent of ~ ax-5 , inference form.  See
       ~ nf5ri .  (Contributed by BJ, 22-Sep-2024.) $)
    bj-nnfai $p |- ( ph -> A. x ph ) $=
      ( wnnf wal wi bj-nnfa ax-mp ) ABDAABEFCABGH $.
  $}

  $( Nonfreeness implies the equivalent of ~ ax5e .  (Contributed by BJ,
     28-Jul-2023.) $)
  bj-nnfe $p |- ( F// x ph -> ( E. x ph -> ph ) ) $=
    ( wnnf wex wi wal df-bj-nnf simplbi ) ABCABDAEAABFEABGH $.

  ${
    bj-nnfed.1 $e |- ( ph -> F// x ps ) $.
    $( Nonfreeness implies the equivalent of ~ ax5e , deduction form.
       (Contributed by BJ, 2-Dec-2023.) $)
    bj-nnfed $p |- ( ph -> ( E. x ps -> ps ) ) $=
      ( wnnf wex wi bj-nnfe syl ) ABCEBCFBGDBCHI $.
  $}

  ${
    bj-nnfei.1 $e |- F// x ph $.
    $( Nonfreeness implies the equivalent of ~ ax5e , inference form.
       (Contributed by BJ, 22-Sep-2024.) $)
    bj-nnfei $p |- ( E. x ph -> ph ) $=
      ( wnnf wex wi bj-nnfe ax-mp ) ABDABEAFCABGH $.
  $}

  $( Nonfreeness implies the equivalent of ~ ax5ea .  (Contributed by BJ,
     28-Jul-2023.) $)
  bj-nnfea $p |- ( F// x ph -> ( E. x ph -> A. x ph ) ) $=
    ( wnnf wex wal bj-nnfe bj-nnfa syld ) ABCABDAABEABFABGH $.

  ${
    bj-nnfead.1 $e |- ( ph -> F// x ps ) $.
    $( Nonfreeness implies the equivalent of ~ ax5ea , deduction form.
       (Contributed by BJ, 2-Dec-2023.) $)
    bj-nnfead $p |- ( ph -> ( E. x ps -> A. x ps ) ) $=
      ( wnnf wex wal wi bj-nnfea syl ) ABCEBCFBCGHDBCIJ $.
  $}

  ${
    bj-nnfeai.1 $e |- F// x ph $.
    $( Nonfreeness implies the equivalent of ~ ax5ea , inference form.
       (Contributed by BJ, 22-Sep-2024.) $)
    bj-nnfeai $p |- ( E. x ph -> A. x ph ) $=
      ( wnnf wex wal wi bj-nnfea ax-mp ) ABDABEABFGCABHI $.
  $}

  $( Alternate definition of ~ df-bj-nnf using only primitive symbols
     ( ` -> ` , ` -. ` , ` A. ` ) in each conjunct.  (Contributed by BJ,
     20-Aug-2023.) $)
  bj-dfnnf2 $p |- ( F// x ph <->
                          ( ( ph -> A. x ph ) /\ ( -. ph -> A. x -. ph ) ) ) $=
    ( wnnf wex wi wal wa wn df-bj-nnf eximal anbi2ci bitri ) ABCABDAEZAABFEZGNA
    HZOBFEZGABIMPNAABJKL $.

  $( New nonfreeness implies old nonfreeness on minimal implicational calculus
     (the proof indicates it uses ~ ax-3 because of set.mm's definition of the
     biconditional, but the proof actually holds in minimal implicational
     calculus).  (Contributed by BJ, 28-Jul-2023.)  The proof should not rely
     on ~ df-nf except via ~ df-nf directly.
     (Proof modification is discouraged.) $)
  bj-nnfnfTEMP $p |- ( F// x ph -> F/ x ph ) $=
    ( wnnf wex wal wi wnf bj-nnfea df-nf sylibr ) ABCABDABEFABGABHABIJ $.

  $( When ` ph ` is substituted for ` ps ` , this statement expresses
     nonfreeness in the weak form of nonfreeness ` ( E. -> A. ) ` .  Note that
     this could also be proved from ~ bj-nnfim , ~ bj-nnfe1 and ~ bj-nnfa1 .
     (Contributed by BJ, 9-Dec-2023.) $)
  bj-wnfnf $p |- F// x ( E. x ph -> A. x ps ) $=
    ( wex wal wi wnnf bj-wnf2 bj-wnf1 df-bj-nnf mpbir2an ) ACDBCEFZCGLCDLFLLCEF
    ABCHABCILCJK $.

  $( A variable is nonfree in a formula if and only if it is nonfree in its
     negation.  The foward implication is intuitionistically valid (and that
     direction is sufficient for the purpose of recursively proving that some
     formulas have a given variable not free in them, like ~ bj-nnfim ).
     Intuitionistically, ` |- ( F// x -. ph <-> F// x -. -. ph ) ` .  See
     ~ nfnt .  (Contributed by BJ, 28-Jul-2023.) $)
  bj-nnfnt $p |- ( F// x ph <-> F// x -. ph ) $=
    ( wex wi wal wa wn wnnf eximal alimex anbi12ci df-bj-nnf 3bitr4i ) ABCADZAA
    BEDZFAGZBCPDZPPBEDZFABHPBHNROQAABIAABJKABLPBLM $.

  $( A variable is nonfree in a theorem.  The antecedent is in the "strong
     necessity" modality of modal logic in order not to require ~ sp (modal T),
     as in ~ bj-nnfbi .  (Contributed by BJ, 28-Jul-2023.) $)
  bj-nnftht $p |- ( ( ph /\ A. x ph ) -> F// x ph ) $=
    ( wal wa wex wi wnnf ax-1 anim12i df-bj-nnf sylibr ) AABCZDABEZAFZALFZDABGA
    NLOAMHLAHIABJK $.

  ${
    bj-nnfth.1 $e |- ph $.
    $( A variable is nonfree in a theorem, inference form.  (Contributed by BJ,
       28-Jul-2023.) $)
    bj-nnfth $p |- F// x ph $=
      ( wnnf bj-nnftht bj-mpgs ) AABDBCABEF $.
  $}

  ${
    bj-nnfnth.1 $e |- -. ph $.
    $( A variable is nonfree in the negation of a theorem, inference form.
       (Contributed by BJ, 27-Aug-2023.) $)
    bj-nnfnth $p |- F// x ph $=
      ( wnnf wn bj-nnfth bj-nnfnt mpbir ) ABDAEZBDIBCFABGH $.
  $}

  $( A consequence of nonfreeness in the antecedent and the consequent of an
     implication.  (Contributed by BJ, 27-Aug-2023.) $)
  bj-nnfim1 $p |- ( ( F// x ph /\ F// x ps ) ->
                                ( ( ph -> ps ) -> ( E. x ph -> A. x ps ) ) ) $=
    ( wnnf wex wi wal bj-nnfe bj-nnfa imim12 imp syl2an ) ACDACEZAFZBBCGZFZABFM
    OFFZBCDACHBCINPQMABOJKL $.

  $( A consequence of nonfreeness in the antecedent and the consequent of an
     implication.  (Contributed by BJ, 27-Aug-2023.) $)
  bj-nnfim2 $p |- ( ( F// x ph /\ F// x ps ) ->
                                ( ( A. x ph -> E. x ps ) -> ( ph -> ps ) ) ) $=
    ( wnnf wal wi wex bj-nnfa bj-nnfe imim12 imp syl2an ) ACDAACEZFZBCGZBFZMOFA
    BFFZBCDACHBCINPQAMOBJKL $.

  $( Nonfreeness in the antecedent and the consequent of an implication implies
     nonfreeness in the implication.  (Contributed by BJ, 27-Aug-2023.) $)
  bj-nnfim $p |- ( ( F// x ph /\ F// x ps ) -> F// x ( ph -> ps ) ) $=
    ( wnnf wa wex wal 19.35 bj-nnfim2 syl5bi bj-nnfim1 19.38 df-bj-nnf sylanbrc
    wi syl6 ) ACDBCDEZABOZCFZRORRCGZORCDSACGBCFOQRABCHABCIJQRACFBCGOTABCKABCLPR
    CMN $.

  ${
    bj-nnfimd.1 $e |- ( ph -> F// x ps ) $.
    bj-nnfimd.2 $e |- ( ph -> F// x ch ) $.
    $( Nonfreeness in the antecedent and the consequent of an implication
       implies nonfreeness in the implication, deduction form.  (Contributed by
       BJ, 2-Dec-2023.) $)
    bj-nnfimd $p |- ( ph -> F// x ( ps -> ch ) ) $=
      ( wnnf wi bj-nnfim syl2anc ) ABDGCDGBCHDGEFBCDIJ $.
  $}

  $( Nonfreeness in both conjuncts implies nonfreeness in the conjunction.
     (Contributed by BJ, 19-Nov-2023.)  In classical logic, there is a proof
     using the definition of conjunction in terms of implication and negation,
     so using ~ bj-nnfim , ~ bj-nnfnt and ~ bj-nnfbi , but we want a proof
     valid in intuitionistic logic.  (Proof modification is discouraged.) $)
  bj-nnfan $p |- ( ( F// x ph /\ F// x ps ) -> F// x ( ph /\ ps ) ) $=
    ( wnnf wa wex wi wal df-bj-nnf 19.40 anim12 syl5 id alanimi anim12i syl2anb
    syl6 an4s sylibr ) ACDZBCDZEABEZCFZUBGZUBUBCHZGZEZUBCDTACFZAGZAACHZGZEBCFZB
    GZBBCHZGZEUGUAACIBCIUIUMUKUOUGUIUMEZUDUKUOEZUFUCUHULEUPUBABCJUHAULBKLUQUBUJ
    UNEUEAUJBUNKABUBCUBMNQORPUBCIS $.

  ${
    bj-nnfand.1 $e |- ( ph -> F// x ps ) $.
    bj-nnfand.2 $e |- ( ph -> F// x ch ) $.
    $( Nonfreeness in both conjuncts implies nonfreeness in the conjunction,
       deduction form.  Note: compared with the proof of ~ bj-nnfan , it has
       two more essential steps but fewer total steps (since there are fewer
       intermediate formulas to build) and is easier to follow and understand.
       This statement is of intermediate complexity: for simpler statements,
       closed-style proofs like that of ~ bj-nnfan will generally be shorter
       than deduction-style proofs while still easy to follow, while for more
       complex statements, the opposite will be true (and deduction-style
       proofs like that of ~ bj-nnfand will generally be easier to understand).
       (Contributed by BJ, 19-Nov-2023.)
       (Proof modification is discouraged.) $)
    bj-nnfand $p |- ( ph -> F// x ( ps /\ ch ) ) $=
      ( wa wex wi wal wnnf 19.40 bj-nnfed anim12d syl5 bj-nnfad 19.26 df-bj-nnf
      syl6ibr sylanbrc ) ABCGZDHZUAIUAUADJZIUADKUBBDHZCDHZGAUABCDLAUDBUECABDEMA
      CDFMNOAUABDJZCDJZGUCABUFCUGABDEPACDFPNBCDQSUADRT $.
  $}

  $( Nonfreeness in both disjuncts implies nonfreeness in the disjunction.
     (Contributed by BJ, 19-Nov-2023.)  In classical logic, there is a proof
     using the definition of disjunction in terms of implication and negation,
     so using ~ bj-nnfim , ~ bj-nnfnt and ~ bj-nnfbi , but we want a proof
     valid in intuitionistic logic.  (Proof modification is discouraged.) $)
  bj-nnfor $p |- ( ( F// x ph /\ F// x ps ) -> F// x ( ph \/ ps ) ) $=
    ( wnnf wa wo wex wi wal df-bj-nnf 19.43 pm3.48 syl5bi 19.33 anim12i syl2anb
    syl6 an4s sylibr ) ACDZBCDZEABFZCGZUBHZUBUBCIZHZEZUBCDTACGZAHZAACIZHZEBCGZB
    HZBBCIZHZEUGUAACJBCJUIUMUKUOUGUIUMEZUDUKUOEZUFUCUHULFUPUBABCKUHAULBLMUQUBUJ
    UNFUEAUJBUNLABCNQORPUBCJS $.

  ${
    bj-nnford.1 $e |- ( ph -> F// x ps ) $.
    bj-nnford.2 $e |- ( ph -> F// x ch ) $.
    $( Nonfreeness in both disjuncts implies nonfreeness in the disjunction,
       deduction form.  See comments for ~ bj-nnfor and ~ bj-nnfand .
       (Contributed by BJ, 2-Dec-2023.)
       (Proof modification is discouraged.) $)
    bj-nnford $p |- ( ph -> F// x ( ps \/ ch ) ) $=
      ( wo wex wi wal wnnf 19.43 bj-nnfed orim12d bj-nnfad 19.33 syl6 df-bj-nnf
      syl5bi sylanbrc ) ABCGZDHZUAIUAUADJZIUADKUBBDHZCDHZGAUABCDLAUDBUECABDEMAC
      DFMNSAUABDJZCDJZGUCABUFCUGABDEOACDFONBCDPQUADRT $.
  $}

  $( Nonfreeness in both sides implies nonfreeness in the biconditional.
     (Contributed by BJ, 2-Dec-2023.)  (Proof modification is discouraged.) $)
  bj-nnfbit $p |- ( ( F// x ph /\ F// x ps ) -> F// x ( ph <-> ps ) ) $=
    ( wnnf wa wi bj-nnfim ancoms bj-nnfan syl2anc dfbi2 bicomi bj-nnfbii sylib
    wb ) ACDZBCDZEZABFZBAFZEZCDZABOZCDRSCDTCDZUBABCGQPUDBACGHSTCIJUAUCCUCUAABKL
    MN $.

  ${
    bj-nnfbid.1 $e |- ( ph -> F// x ps ) $.
    bj-nnfbid.2 $e |- ( ph -> F// x ch ) $.
    $( Nonfreeness in both sides implies nonfreeness in the biconditional,
       deduction form.  (Contributed by BJ, 2-Dec-2023.)
       (Proof modification is discouraged.) $)
    bj-nnfbid $p |- ( ph -> F// x ( ps <-> ch ) ) $=
      ( wi wa wnnf wb bj-nnfim syl2anc bj-nnfand dfbi2 bj-nnfbii sylibr ) ABCGZ
      CBGZHZDIBCJZDIAQRDABDIZCDIZQDIEFBCDKLAUBUARDIFECBDKLMTSDBCNOP $.
  $}

  ${
    $d x ph $.
    $( A non-occurring variable is nonfree in a formula.  (Contributed by BJ,
       28-Jul-2023.) $)
    bj-nnfv $p |- F// x ph $=
      ( wnnf wex wi wal ax5e ax-5 df-bj-nnf mpbir2an ) ABCABDAEAABFEABGABHABIJ
      $.
  $}

  $( Proof of the closed form of ~ alrimi from modalK (compare ~ alrimiv ).
     See also ~ bj-alrim .  Actually, most proofs between ~ 19.3t and ~ 2sbbid
     could be proved without ~ ax-12 .  (Contributed by BJ, 20-Aug-2023.) $)
  bj-nnf-alrim $p |-
                  ( F// x ph -> ( A. x ( ph -> ps ) -> ( ph -> A. x ps ) ) ) $=
    ( wnnf wal wi bj-nnfa alim syl9 ) ACDAACEABFCEBCEACGABCHI $.

  $( Proof of the closed form of ~ exlimi from modalK (compare ~ exlimiv ).
     See also ~ bj-sylget2 .  (Contributed by BJ, 2-Dec-2023.) $)
  bj-nnf-exlim $p |-
                  ( F// x ps -> ( A. x ( ph -> ps ) -> ( E. x ph -> ps ) ) ) $=
    ( wi wal wex wnnf exim bj-nnfe syl9r ) ABDCEACFBCFBCGBABCHBCIJ $.

  $( Alternate definition of nonfreeness when ~ sp is available.  (Contributed
     by BJ, 28-Jul-2023.)  The proof should not rely on ~ df-nf .
     (Proof modification is discouraged.) $)
  bj-dfnnf3 $p |- ( F// x ph <-> ( E. x ph -> A. x ph ) ) $=
    ( wnnf wex wal bj-nnfea bj-19.21bit bj-19.23bit df-bj-nnf sylanbrc impbii
    wi ) ABCZABDZABEZLZABFPNALAOLMNABGAOBHABIJK $.

  $( New nonfreeness is equivalent to old nonfreeness on core FOL axioms plus
     ~ sp .  (Contributed by BJ, 28-Jul-2023.)  The proof should not rely on
     ~ df-nf except via ~ df-nf directly.
     (Proof modification is discouraged.) $)
  bj-nfnnfTEMP $p |- ( F// x ph <-> F/ x ph ) $=
    ( wnnf wex wal wi wnf bj-dfnnf3 df-nf bitr4i ) ABCABDABEFABGABHABIJ $.

  $( See ~ nfa1 .  (Contributed by BJ, 12-Aug-2023.)
     (Proof modification is discouraged.) $)
  bj-nnfa1 $p |- F// x A. x ph $=
    ( wal wnnf wex wi hbe1a bj-modal4 df-bj-nnf mpbir2an ) ABCZBDKBEKFKKBCFABGA
    BHKBIJ $.

  $( See ~ nfe1 .  (Contributed by BJ, 12-Aug-2023.)
     (Proof modification is discouraged.) $)
  bj-nnfe1 $p |- F// x E. x ph $=
    ( wex wnnf wi wal bj-modal4e hbe1 df-bj-nnf mpbir2an ) ABCZBDKBCKEKKBFEABGA
    BHKBIJ $.

  $( See ~ 19.12 .  Could be labeled "exalimalex" for "'there exists for all'
     implies 'for all there exists'".  This proof is from ~ excom and modal (B)
     on top of modalK logic.  (Contributed by BJ, 12-Aug-2023.)  The proof
     should not rely on ~ df-nf or ~ df-bj-nnf , directly or indirectly.
     (Proof modification is discouraged.) $)
  bj-19.12 $p |- ( E. x A. y ph -> A. y E. x ph ) $=
    ( wal wex bj-modalbe excom axc7e eximi sylbi sylg ) ACDZBEZMCEZABEZCMCFNLCE
    ZBEOLCBGPABACHIJK $.

  $( One of four lemmas for nonfreeness: antecedent and consequent both
     expressed using universal quantifier.  Note: this is ~ bj-hbalt .
     (Contributed by BJ, 12-Aug-2023.)  (Proof modification is discouraged.) $)
  bj-nnflemaa $p |-
                   ( A. x ( ph -> A. y ph ) -> ( A. x ph -> A. y A. x ph ) ) $=
    ( wal wi alim ax-11 syl6 ) AACDZEBDABDZIBDJCDAIBFABCGH $.

  $( One of four lemmas for nonfreeness: antecedent and consequent both
     expressed using existential quantifier.  (Contributed by BJ, 12-Aug-2023.)
     (Proof modification is discouraged.) $)
  bj-nnflemee $p |-
                   ( A. x ( E. y ph -> ph ) -> ( E. y E. x ph -> E. x ph ) ) $=
    ( wex wi wal excom exim syl5bi ) ABDZCDACDZBDKAEBFJACBGKABHI $.

  $( One of four lemmas for nonfreeness: antecedent expressed with universal
     quantifier and consequent expressed with existential quantifier.
     (Contributed by BJ, 12-Aug-2023.)  (Proof modification is discouraged.) $)
  bj-nnflemae $p |-
                   ( A. x ( ph -> A. y ph ) -> ( E. x ph -> A. y E. x ph ) ) $=
    ( wal wi wex exim bj-19.12 syl6 ) AACDZEBDABFZJBFKCDAJBGABCHI $.

  $( One of four lemmas for nonfreeness: antecedent expressed with existential
     quantifier and consequent expressed with universal quantifier.
     (Contributed by BJ, 12-Aug-2023.)  (Proof modification is discouraged.) $)
  bj-nnflemea $p |-
                   ( A. x ( E. y ph -> ph ) -> ( E. y A. x ph -> A. x ph ) ) $=
    ( wal wex wi bj-19.12 alim syl5 ) ABDZCEACEZBDKAFBDJACBGKABHI $.

  ${
    $( See ~ nfal and ~ bj-nfalt .  (Contributed by BJ, 12-Aug-2023.)
       (Proof modification is discouraged.) $)
    bj-nnfalt $p |- ( A. x F// y ph -> F// y A. x ph ) $=
      ( wnnf wal wex wi df-bj-nnf albii simpl alimi bj-nnflemea syl sylbi simpr
      wa bj-nnflemaa sylanbrc ) ACDZBEZABEZCFUAGZUAUACEGZUACDTACFAGZAACEGZPZBEZ
      UBSUFBACHIZUGUDBEUBUFUDBUDUEJKABCLMNTUGUCUHUGUEBEUCUFUEBUDUEOKABCQMNUACHR
      $.
  $}

  ${
    $( See ~ nfex and ~ bj-nfext .  (Contributed by BJ, 12-Aug-2023.)
       (Proof modification is discouraged.) $)
    bj-nnfext $p |- ( A. x F// y ph -> F// y E. x ph ) $=
      ( wnnf wal wex wi df-bj-nnf albii simpl alimi bj-nnflemee syl sylbi simpr
      wa bj-nnflemae sylanbrc ) ACDZBEZABFZCFUAGZUAUACEGZUACDTACFAGZAACEGZPZBEZ
      UBSUFBACHIZUGUDBEUBUFUDBUDUEJKABCLMNTUGUCUHUGUEBEUCUFUEBUDUEOKABCQMNUACHR
      $.
  $}

  $( Alias of ~ bj-nnf-alrim for labeling consistency (a standard predicate
     calculus axiom).  Closed form of ~ stdpc5 proved from modalK (obsoleting
     ~ stdpc5v ).  (Contributed by BJ, 2-Dec-2023.)  Use ~ bj-nnf-alrim
     instead.  (New usaged is discouraged.) $)
  bj-stdpc5t $p |-
                  ( F// x ph -> ( A. x ( ph -> ps ) -> ( ph -> A. x ps ) ) ) $=
    ( bj-nnf-alrim ) ABCD $.

  $( Statement ~ 19.21t proved from modalK (obsoleting ~ 19.21v ).
     (Contributed by BJ, 2-Dec-2023.) $)
  bj-19.21t $p |-
                 ( F// x ph -> ( A. x ( ph -> ps ) <-> ( ph -> A. x ps ) ) ) $=
    ( wnnf wi wal bj-nnf-alrim wex bj-nnfe imim1d 19.38 syl6 impbid ) ACDZABECF
    ZABCFZEZABCGNQACHZPEONRAPACIJABCKLM $.

  $( Statement ~ 19.23t proved from modalK (obsoleting ~ 19.23v ).
     (Contributed by BJ, 2-Dec-2023.) $)
  bj-19.23t $p |-
                 ( F// x ps -> ( A. x ( ph -> ps ) <-> ( E. x ph -> ps ) ) ) $=
    ( wnnf wi wal wex bj-nnf-exlim bj-nnfa imim2d 19.38 syl6 impbid ) BCDZABECF
    ZACGZBEZABCHNQPBCFZEONBRPBCIJABCKLM $.

  $( One direction of ~ 19.36 from the same axioms as ~ 19.36imv .
     (Contributed by BJ, 2-Dec-2023.) $)
  bj-19.36im $p |-
                 ( F// x ps -> ( E. x ( ph -> ps ) -> ( A. x ph -> ps ) ) ) $=
    ( wi wex wal wnnf 19.35 bj-nnfe imim2d syl5bi ) ABDCEACFZBCEZDBCGZLBDABCHNM
    BLBCIJK $.

  $( One direction of ~ 19.37 from the same axioms as ~ 19.37imv .
     (Contributed by BJ, 2-Dec-2023.) $)
  bj-19.37im $p |-
                 ( F// x ph -> ( E. x ( ph -> ps ) -> ( ph -> E. x ps ) ) ) $=
    ( wi wex wal wnnf 19.35 bj-nnfa imim1d syl5bi ) ABDCEACFZBCEZDACGZAMDABCHNA
    LMACIJK $.

  $( Closed form of ~ 19.42 from the same axioms as ~ 19.42v .  (Contributed by
     BJ, 2-Dec-2023.) $)
  bj-19.42t $p |-
                 ( F// x ph -> ( E. x ( ph /\ ps ) <-> ( ph /\ E. x ps ) ) ) $=
    ( wnnf wa wex 19.40 bj-nnfe anim1d syl5 wal bj-nnfa 19.29 syl6 impbid ) ACD
    ZABECFZABCFZEZQACFZREPSABCGPTARACHIJPSACKZREQPAUARACLIABCMNO $.

  $( Closed form of ~ 19.41 from the same axioms as ~ 19.41v .  The same is
     doable with ~ 19.27 , ~ 19.28 , ~ 19.31 , ~ 19.32 , ~ 19.44 , ~ 19.45 .
     (Contributed by BJ, 2-Dec-2023.) $)
  bj-19.41t $p |-
                 ( F// x ps -> ( E. x ( ph /\ ps ) <-> ( E. x ph /\ ps ) ) ) $=
    ( wnnf wa wex exancom bj-19.42t syl5bb biancomd ) BCDZABECFZACFZBLBAECFKBME
    ABCGBACHIJ $.

  $( Version of ~ sbft using ` F// ` , proved from core axioms.  (Contributed
     by BJ, 19-Nov-2023.) $)
  bj-sbft $p |- ( F// x ph -> ( [ t / x ] ph <-> ph ) ) $=
    ( wnnf wsb wex spsbe bj-nnfe syl5 wal bj-nnfa stdpc4 syl6 impbid ) ABDZABCE
    ZAPABFOAABCGABHIOAABJPABKABCLMN $.

  $( Version of ~ pm11.53v with nonfreeness antecedents.  One can also prove
     the theorem with antecedent ` ( F// y A. x ph /\ A. y F// x ps ) ` .
     (Contributed by BJ, 7-Oct-2024.) $)
  bj-pm11.53vw $p |- ( ( A. x F// y ph /\ F// x A. y ps ) ->
                     ( A. x A. y ( ph -> ps ) <-> ( E. x ph -> A. y ps ) ) ) $=
    ( wnnf wal wa wi wex simpl bj-19.21t sylg albi syl bj-19.23t adantl bitrd
    wb ) ADEZCFZBDFZCEZGZABHDFZCFZAUAHZCFZACIUAHZUCUDUFRZCFUEUGRUCSUICTUBJABDKL
    UDUFCMNUBUGUHRTAUACOPQ $.

  $( Version of ~ pm11.53v with nonfreeness antecedents.  (Contributed by BJ,
     7-Oct-2024.) $)
  bj-pm11.53v $p |- ( ( A. x F// y ph /\ A. y F// x ps ) ->
                     ( A. x A. y ( ph -> ps ) <-> ( E. x ph -> A. y ps ) ) ) $=
    ( wnnf wal wi wex wb bj-nnfalt bj-pm11.53vw sylan2 ) BCEDFADECFBDFZCEABGDFC
    FACHMGIBDCJABCDKL $.

  ${
    $d x ps $.  $d x y $.
    $( A variant of ~ pm11.53v .  One can similarly prove a variant with DV
       ` ( y , ph ) ` and ` A. y F// x ps ` instead of DV ` ( x , ps ) ` and
       ` A. x F// y ph ` .  (Contributed by BJ, 7-Oct-2024.) $)
    bj-pm11.53a $p |- ( A. x F// y ph ->
                     ( A. x A. y ( ph -> ps ) <-> ( E. x ph -> A. y ps ) ) ) $=
      ( wnnf wal wi wex wb bj-nnfv bj-pm11.53vw mpan2 ) ADECFBDFZCEABGDFCFACHMG
      IMCJABCDKL $.
  $}

  ${
    $d x y $.
    $( A variant of ~ equsv .  (Contributed by BJ, 7-Oct-2024.) $)
    bj-equsvt $p |- ( F// x ph -> ( A. x ( x = y -> ph ) <-> ph ) ) $=
      ( wnnf weq wi wal wex bj-19.23t ax6ev a1bi bitr4di ) ABDBCEZAFBGMBHZAFAMA
      BINABCJKL $.
  $}

  ${
    $d x y $.
    bj-equsalvwd.nf0 $e |- ( ph -> A. x ph ) $.
    bj-equsalvwd.nf $e |- ( ph -> F// x ch ) $.
    bj-equsalvwd.is $e |- ( ( ph /\ x = y ) -> ( ps <-> ch ) ) $.
    $( Variant of ~ equsalvw .  (Contributed by BJ, 7-Oct-2024.) $)
    bj-equsalvwd $p |- ( ph -> ( A. x ( x = y -> ps ) <-> ch ) ) $=
      ( weq wi wal pm5.74da albidh wnnf wb bj-equsvt syl bitrd ) ADEIZBJZDKSCJZ
      DKZCATUADFASBCHLMACDNUBCOGCDEPQR $.
  $}

  ${
    $d x y $.
    bj-equsexvwd.nf0 $e |- ( ph -> A. x ph ) $.
    bj-equsexvwd.nf $e |- ( ph -> F// x ch ) $.
    bj-equsexvwd.is $e |- ( ( ph /\ x = y ) -> ( ps <-> ch ) ) $.
    $( Variant of ~ equsexvw .  (Contributed by BJ, 7-Oct-2024.) $)
    bj-equsexvwd $p |- ( ph -> ( E. x ( x = y /\ ps ) <-> ch ) ) $=
      ( weq wa wex wn wi wal alinexa wnnf bj-nnfnt sylib notbid bj-equsalvwd
      bitr3id con4bid ) ADEIZBJDKZCUDLUCBLZMDNACLZUCBDOAUEUFDEFACDPUFDPGCDQRAUC
      JBCHSTUAUB $.
  $}

  ${
    $d x y $.
    bj-sbievwd.nf0 $e |- ( ph -> A. x ph ) $.
    bj-sbievwd.nf $e |- ( ph -> F// x ch ) $.
    bj-sbievwd.is $e |- ( ( ph /\ x = y ) -> ( ps <-> ch ) ) $.
    $( Variant of ~ sbievw .  (Contributed by BJ, 7-Oct-2024.) $)
    bj-sbievwd $p |- ( ph -> ( [ y / x ] ps <-> ch ) ) $=
      ( wsb weq wi wal sb6 bj-equsalvwd syl5bb ) BDEIDEJBKDLACBDEMABCDEFGHNO $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Adding ax-13
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Alternate proof of ~ axc10 .  Shorter.  One can prove a version with DV
     ` ( x , y ) ` without ~ ax-13 , by using ~ ax6ev instead of ~ ax6e .
     (Contributed by BJ, 31-Mar-2021.)  (Proof modification is discouraged.) $)
  bj-axc10 $p |- ( A. x ( x = y -> A. x ph ) -> ph ) $=
    ( weq wal wi wex ax6e exim mpi axc7e syl ) BCDZABEZFBEZNBGZAOMBGPBCHMNBIJAB
    KL $.

  $( A fol lemma.  See ~ alequexv for a version with a disjoint variable
     condition requiring fewer axioms.  Can be used to reduce the proof of
     ~ spimt from 133 to 112 bytes.  (Contributed by BJ, 6-Oct-2018.) $)
  bj-alequex $p |- ( A. x ( x = y -> ph ) -> E. x ph ) $=
    ( weq wi wal wex ax6e exim mpi ) BCDZAEBFKBGABGBCHKABIJ $.

  $( A step in the proof of ~ spimt .  (Contributed by BJ, 2-May-2019.) $)
  bj-spimt2 $p |- ( A. x ( x = y -> ( ph -> ps ) ) ->
                                ( ( E. x ps -> ps ) -> ( A. x ph -> ps ) ) ) $=
    ( weq wi wal wex bj-alequex 19.35 sylib imim1d ) CDEABFZFCGZACGZBCHZBNMCHOP
    FMCDIABCJKL $.

  $( Closed form of ~ cbv3 .  (Contributed by BJ, 2-May-2019.) $)
  bj-cbv3ta $p |- ( A. x A. y ( x = y -> ( ph -> ps ) ) ->
                    ( ( A. y ( E. x ps -> ps ) /\ A. x ( ph -> A. y ph ) ) ->
                                                  ( A. x ph -> A. y ps ) ) ) $=
    ( weq wi wex wal bj-spimt2 imp alanimi bj-hbalt sylgt syl2im expimpd alcoms
    wa ) CDEABFFZBCGBFZDHZAADHFCHZQACHZBDHFZFDCRCHZDHZTUAUCUETQUBBFZDHUAUBUBDHF
    UCUDSUFDUDSUFABCDIJKADCLUBUBBDMNOP $.

  $( Closed form of ~ cbv3 .  (Contributed by BJ, 2-May-2019.) $)
  bj-cbv3tb $p |- ( A. x A. y ( x = y -> ( ph -> ps ) ) ->
      ( ( A. y F/ x ps /\ A. x F/ y ph ) -> ( A. x ph -> A. y ps ) ) ) $=
    ( wnf wal weq wi wex 19.9t biimpd alimi nf5r bj-cbv3ta syl2ani ) BCEZDFCDGA
    BHHDFCFBCIZBHZDFAADFHZCFACFBDFHADEZCFPRDPQBBCJKLTSCADMLABCDNO $.

  $( A theorem close to a closed form of ~ hbsb3 .  (Contributed by BJ,
     2-May-2019.) $)
  bj-hbsb3t $p |- ( A. x ( ph -> A. y ph ) ->
                                     ( [ y / x ] ph -> A. x [ y / x ] ph ) ) $=
    ( wal wi wsb spsbim hbsb2a syl6 ) AACDZEBDABCFZJBCFKBDAJBCGABCHI $.

  ${
    bj-hbsb3.1 $e |- ( ph -> A. y ph ) $.
    $( Shorter proof of ~ hbsb3 .  (Contributed by BJ, 2-May-2019.)
       (Proof modification is discouraged.) $)
    bj-hbsb3 $p |- ( [ y / x ] ph -> A. x [ y / x ] ph ) $=
      ( wal wi wsb bj-hbsb3t mpg ) AACEFABCGZJBEFBABCHDI $.
  $}

  $( A theorem close to a closed form of ~ nfs1 .  (Contributed by BJ,
     2-May-2019.) $)
  bj-nfs1t $p |- ( A. x ( ph -> A. y ph ) -> F/ x [ y / x ] ph ) $=
    ( wal wi wsb wnf bj-hbsb3t axc4i nf5 sylibr ) AACDEZBDABCFZMBDEZBDMBGLNBABC
    HIMBJK $.

  $( A theorem close to a closed form of ~ nfs1 .  (Contributed by BJ,
     2-May-2019.) $)
  bj-nfs1t2 $p |- ( A. x F/ y ph -> F/ x [ y / x ] ph ) $=
    ( wnf wal wi wsb nf5r alimi bj-nfs1t syl ) ACDZBEAACEFZBEABCGBDLMBACHIABCJK
    $.

  ${
    bj-nfs1.nf $e |- F/ y ph $.
    $( Shorter proof of ~ nfs1 (three essential steps instead of four).
       (Contributed by BJ, 2-May-2019.)
       (Proof modification is discouraged.) $)
    bj-nfs1 $p |- F/ x [ y / x ] ph $=
      ( wnf wsb bj-nfs1t2 mpg ) ACEABCFBEBABCGDH $.
  $}

  $( Goal: closed form of sb8, but first need closed form of cbval.
     Remark: The equality may be a hypothesis.
     TODO: prove sb8v with fewer axioms than ~ sb8 ; use it for ~ abtrubi . $)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Removing dependencies on ax-13 (and ax-11)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  It is known that ~ ax-13 is logically redundant (see ~ ax13w and the head
  comment of the section "Logical redundancy of ax-10--13").  More precisely,
  one can remove dependency on ~ ax-13 from every theorem in set.mm which is
  totally unbundled (i.e., has disjoint variable conditions on all setvar
  variables).  Indeed, start with the existing proof, and replace any
  occurrence of ~ ax-13 with ~ ax13w .

  This section is an experiment to see in practice if (partially) unbundled
  versions of existing theorems can be proved more efficiently without ~ ax-13
  (and using ~ ax6v / ~ ax6ev instead of ~ ax-6 / ~ ax6e , as is currently
  done).

  One reason to be optimistic is that the first few utility theorems using
  ~ ax-13 (roughly 200 of them) are then used mainly with dummy variables,
  which one can assume distinct from any other, so that the unbundled versions
  of the utility theorems suffice.

  In this section, we prove versions of theorems in the main part with dv
  conditions and not requiring ~ ax-13 , labeled bj-xxxv (we follow the proof
  of xxx but use ~ ax6v and ~ ax6ev instead of ~ ax-6 and ~ ax6e , and ~ ax-5
  instead of ~ ax13v ; shorter proofs may be possible).  When no additional dv
  condition is required, we label it bj-xxx.

  It is important to keep all the bundled theorems already in set.mm, but one
  may also add the (partially) unbundled versions which dipense with ~ ax-13 ,
  so as to remove dependencies on ~ ax-13 from many existing theorems.

  UPDATE: it turns out that several theorems of the form bj-xxxv, or minor
  variations, are already in set.mm with label xxxw.

  It is also possible to remove dependencies on ~ ax-11 , typically by
  replacing a nonfree hypothesis with a disjoint variable condition (see
  ~ cbv3v2 and following theorems).

$)

  ${
    $d x y $.
    $( Version of ~ axc10 with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by BJ, 14-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-axc10v $p |- ( A. x ( x = y -> A. x ph ) -> ph ) $=
      ( weq wal wi wn ax6v con3 al2imi mtoi axc7 syl ) BCDZABEZFZBEZOGZBEZGAQSN
      GZBEBCHPRTBNOIJKABLM $.
  $}

  ${
    $d x y $.
    $( Version of ~ spimt with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by BJ, 14-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-spimtv $p |- ( ( F/ x ps /\ A. x ( x = y -> ( ph -> ps ) ) ) ->
                                                         ( A. x ph -> ps ) ) $=
      ( weq wi wal wex wnf ax6ev exim mpi 19.35 sylib 19.9t biimpd sylan9r ) CD
      EZABFZFCGZACGZBCHZBCIZBTSCHZUAUBFTRCHUDCDJRSCKLABCMNUCUBBBCOPQ $.
  $}

  ${
    $d x y $.  $d y ph $.
    bj-cbv3hv2.nf $e |- ( ps -> A. x ps ) $.
    bj-cbv3hv2.1 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Version of ~ cbv3h with two disjoint variable conditions, which does not
       require ~ ax-11 nor ~ ax-13 .  (Contributed by BJ, 24-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-cbv3hv2 $p |- ( A. x ph -> A. y ps ) $=
      ( nf5i cbv3v2 ) ABCDBCEGFH $.
  $}

  ${
    $d x y $.
    bj-cbv1hv.1 $e |- ( ph -> ( ps -> A. y ps ) ) $.
    bj-cbv1hv.2 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    bj-cbv1hv.3 $e |- ( ph -> ( x = y -> ( ps -> ch ) ) ) $.
    $( Version of ~ cbv1h with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by BJ, 16-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-cbv1hv $p |- ( A. x A. y ph -> ( A. x ps -> A. y ch ) ) $=
      ( wal nfa1 nfa2 wi 2sp syl nf5d weq cbv1v ) AEIZDIZBCDERDJZAEDKZSBEUASABB
      EILADEMZFNOSCDTSACCDILUBGNOSADEPBCLLUBHNQ $.
  $}

  ${
    $d x y $.
    bj-cbv2hv.1 $e |- ( ph -> ( ps -> A. y ps ) ) $.
    bj-cbv2hv.2 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    bj-cbv2hv.3 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Version of ~ cbv2h with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by BJ, 16-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-cbv2hv $p |- ( A. x A. y ph -> ( A. x ps <-> A. y ch ) ) $=
      ( wal weq wb wi biimp syl6 bj-cbv1hv equcomi biimpr syl56 alcoms impbid )
      AEIDIBDIZCEIZABCDEFGADEJZBCKZBCLHBCMNOAUBUALEDACBEDGFEDJUCAUDCBLEDPHBCQRO
      ST $.
  $}

  ${
    $d x y $.
    bj-cbv2v.1 $e |- F/ x ph $.
    bj-cbv2v.2 $e |- F/ y ph $.
    bj-cbv2v.3 $e |- ( ph -> F/ y ps ) $.
    bj-cbv2v.4 $e |- ( ph -> F/ x ch ) $.
    bj-cbv2v.5 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Version of ~ cbv2 with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by BJ, 16-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-cbv2v $p |- ( ph -> ( A. x ps <-> A. y ch ) ) $=
      ( wal wb nf5ri nfal syl nf5rd bj-cbv2hv ) AAEKZDKZBDKCEKLARSAEGMRDADEFNMO
      ABCDEABEHPACDIPJQO $.
  $}

  ${
    $d x y $.  $d x ph $.  $d x ch $.
    bj-cbvaldv.1 $e |- F/ y ph $.
    bj-cbvaldv.2 $e |- ( ph -> F/ y ps ) $.
    bj-cbvaldv.3 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Version of ~ cbvald with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by BJ, 16-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-cbvaldv $p |- ( ph -> ( A. x ps <-> A. y ch ) ) $=
      ( nfv wnf a1i bj-cbv2v ) ABCDEADIFGCDJACDIKHL $.

    $( Version of ~ cbvexd with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by BJ, 16-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-cbvexdv $p |- ( ph -> ( E. x ps <-> E. y ch ) ) $=
      ( wn wal wex nfnd weq wb notbi syl6ib bj-cbvaldv notbid df-ex 3bitr4g ) A
      BIZDJZICIZEJZIBDKCEKAUBUDAUAUCDEFABEGLADEMBCNUAUCNHBCOPQRBDSCEST $.
  $}

  ${
    $d z w ph $.  $d x y ps $.  $d x y z w $.
    bj-cbval2vv.1 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Version of ~ cbval2vv with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by BJ, 16-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-cbval2vv $p |- ( A. x A. y ph <-> A. z A. w ps ) $=
      ( nfv cbval2v ) ABCDEFAEHAFHBCHBDHGI $.

    $( Version of ~ cbvex2vv with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by BJ, 16-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-cbvex2vv $p |- ( E. x E. y ph <-> E. z E. w ps ) $=
      ( nfv cbvex2v ) ABCDEFAEHAFHBCHBDHGI $.
  $}

  ${
    $d ps y $.  $d ch x $.  $d ph x y $.
    bj-cbvaldvav.1 $e |- ( ( ph /\ x = y ) -> ( ps <-> ch ) ) $.
    $( Version of ~ cbvaldva with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by BJ, 16-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-cbvaldvav $p |- ( ph -> ( A. x ps <-> A. y ch ) ) $=
      ( nfv nfvd weq wb ex bj-cbvaldv ) ABCDEAEGABEHADEIBCJFKL $.

    $( Version of ~ cbvexdva with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by BJ, 16-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-cbvexdvav $p |- ( ph -> ( E. x ps <-> E. y ch ) ) $=
      ( nfv nfvd weq wb ex bj-cbvexdv ) ABCDEAEGABEHADEIBCJFKL $.
  $}

  ${
    $d w z ch $.  $d u v ph $.  $d x y ps $.  $d f g ps $.  $d z w f g $.
    $d u v w x y z $.
    bj-cbvex4vv.1 $e |- ( ( x = v /\ y = u ) -> ( ph <-> ps ) ) $.
    bj-cbvex4vv.2 $e |- ( ( z = f /\ w = g ) -> ( ps <-> ch ) ) $.
    $( Version of ~ cbvex4v with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by BJ, 16-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-cbvex4vv $p |- ( E. x E. y E. z E. w ph <-> E. v E. u E. f E. g ch ) $=
      ( wex weq wa 2exbidv cbvex2vw 2exbii bitri ) AGNFNZENDNBGNFNZINHNCKNJNZIN
      HNUAUBDEHIDHOEIOPABFGLQRUBUCHIBCFGJKMRST $.
  $}

  ${
    $d x y $.
    bj-equsalhv.nf $e |- ( ps -> A. x ps ) $.
    bj-equsalhv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Version of ~ equsalh with a disjoint variable condition, which does not
       require ~ ax-13 .  Remark: this is the same as ~ equsalhw .  TODO:
       delete after moving the following paragraph somewhere.

       Remarks: ~ equsexvw has been moved to Main; Theorem ~ ax13lem2 has a DV
       version which is a simple consequence of ~ ax5e ; Theorems ~ nfeqf2 ,
       ~ dveeq2 , ~ nfeqf1 , ~ dveeq1 , ~ nfeqf , ~ axc9 , ~ ax13 , have dv
       versions which are simple consequences of ~ ax-5 .  (Contributed by BJ,
       14-Jun-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    bj-equsalhv $p |- ( A. x ( x = y -> ph ) <-> ps ) $=
      ( nf5i equsalv ) ABCDBCEGFH $.
  $}

  ${
    $d x y $.
    $( Version of ~ axc11n with a disjoint variable condition; instance of
       ~ aevlem .  TODO: delete after checking surrounding theorems.
       (Contributed by BJ, 31-May-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    bj-axc11nv $p |- ( A. x x = y -> A. y y = x ) $=
      ( aevlem ) ABBAC $.
  $}

  ${
    $d x y $.
    bj-aecomsv.1 $e |- ( A. x x = y -> ph ) $.
    $( Version of ~ aecoms with a disjoint variable condition, provable from
       Tarski's FOL. The corresponding version of ~ naecoms should not be very
       useful since ` -. A. x x = y ` , DV ` ( x , y ) ` is true when the
       universe has at least two objects (see ~ dtru ).  (Contributed by BJ,
       31-May-2019.)  (Proof modification is discouraged.) $)
    bj-aecomsv $p |- ( A. y y = x -> ph ) $=
      ( weq wal aevlem syl ) CBECFBCEBFACBBCGDH $.
  $}

  ${
    $d x y $.
    $( Version of ~ axc11 with a disjoint variable condition, which does not
       require ~ ax-13 nor ~ ax-10 .  Remark: the following theorems ( ~ hbae ,
       ~ nfae , ~ hbnae , ~ nfnae , ~ hbnaes ) would need to be totally
       unbundled to be proved without ~ ax-13 , hence would be simple
       consequences of ~ ax-5 or ~ nfv .  (Contributed by BJ, 31-May-2019.)
       (Proof modification is discouraged.) $)
    bj-axc11v $p |- ( A. x x = y -> ( A. x ph -> A. y ph ) ) $=
      ( wal wi axc11rv bj-aecomsv ) ABDACDECBACBFG $.
  $}

  ${
    $d x y z $.
    bj-drnf2v.1 $e |- ( A. x x = y -> ( ph <-> ps ) ) $.
    $( Version of ~ drnf2 with a disjoint variable condition, which does not
       require ~ ax-10 , ~ ax-11 , ~ ax-12 , ~ ax-13 .  Instance of ~ nfbidv .
       Note that the version of ~ axc15 with a disjoint variable condition is
       actually ~ ax12v2 (up to adding a superfluous antecedent).  (Contributed
       by BJ, 17-Jun-2019.)  (Proof modification is discouraged.) $)
    bj-drnf2v $p |- ( A. x x = y -> ( F/ z ph <-> F/ z ps ) ) $=
      ( weq wal nfbidv ) CDGCHABEFI $.
  $}

  ${
    $d x y $.
    bj-equs45fv.1 $e |- F/ y ph $.
    $( Version of ~ equs45f with a disjoint variable condition, which does not
       require ~ ax-13 .  Note that the version of ~ equs5 with a disjoint
       variable condition is actually ~ sbalex (up to adding a superfluous
       antecedent).  (Contributed by BJ, 11-Sep-2019.)
       (Proof modification is discouraged.) $)
    bj-equs45fv $p |- ( E. x ( x = y /\ ph ) <-> A. x ( x = y -> ph ) ) $=
      ( weq wa wex wi wal nf5ri anim2i eximi equs5av syl equs4v impbii ) BCEZAF
      ZBGZQAHBIZSQACIZFZBGTRUBBAUAQACDJKLABCMNABCOP $.
  $}

  ${
    $d x y $.
    $( Version of ~ hbsb2 with a disjoint variable condition, which does not
       require ~ ax-13 , and removal of ~ ax-13 from ~ hbs1 .  (Contributed by
       BJ, 23-Jun-2019.)  (Proof modification is discouraged.) $)
    bj-hbs1 $p |- ( [ y / x ] ph -> A. x [ y / x ] ph ) $=
      ( wsb weq wi wal sb6 biimpri axc4i sylbi ) ABCDZBCEAFZBGZLBGABCHZMLBLNOIJ
      K $.
  $}

  ${
    $d x y $.
    $( Version of ~ nfsb2 with a disjoint variable condition, which does not
       require ~ ax-13 , and removal of ~ ax-13 from ~ nfs1v .  (Contributed by
       BJ, 24-Jun-2019.)  (Proof modification is discouraged.) $)
    bj-nfs1v $p |- F/ x [ y / x ] ph $=
      ( wsb bj-hbs1 nf5i ) ABCDBABCEF $.
  $}

  ${
    $d x y $.
    $( Version of ~ hbsb2a with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by BJ, 11-Sep-2019.)
       (Proof modification is discouraged.) $)
    bj-hbsb2av $p |- ( [ y / x ] A. y ph -> A. x [ y / x ] ph ) $=
      ( wal wsb weq wi sb4av sb6 biimpri axc4i syl ) ACDBCEBCFAGZBDZABCEZBDABCH
      MOBONABCIJKL $.
  $}

  ${
    $d x y $.
    bj-hbsb3v.1 $e |- ( ph -> A. y ph ) $.
    $( Version of ~ hbsb3 with a disjoint variable condition, which does not
       require ~ ax-13 .  (Remark: the unbundled version of ~ nfs1 is given by
       ~ bj-nfs1v .)  (Contributed by BJ, 11-Sep-2019.)
       (Proof modification is discouraged.) $)
    bj-hbsb3v $p |- ( [ y / x ] ph -> A. x [ y / x ] ph ) $=
      ( wsb wal sbimi bj-hbsb2av syl ) ABCEZACFZBCEJBFAKBCDGABCHI $.
  $}

  ${
    $d x y $.
    $( Remove dependency on ~ ax-13 from ~ nfsab1 .  UPDATE / TODO: ~ nfsab1
       does not use ~ ax-13 either anymore; ~ bj-nfsab1 is shorter than
       ~ nfsab1 but uses ~ ax-12 .  (Contributed by BJ, 23-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-nfsab1 $p |- F/ x y e. { x | ph } $=
      ( cv cab wcel hbab1 nf5i ) CDABEFBABCGH $.
  $}

  ${
    $d w x y z $.
    $( Remove dependency on ~ ax-13 from ~ dtru .  (Contributed by BJ,
       31-May-2019.)

       TODO:  This predates the removal of ~ ax-13 in ~ dtru .  But actually,
       ~ sn-dtru is better than either, so move it to Main with ~ sn-el (and
       determine whether ~ bj-dtru should be kept as ALT or deleted).

       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    bj-dtru $p |- -. A. x x = y $=
      ( vw vz weq wn wex wal wel wa el ax-nul sp eximii exdistrv mpbir2an ax-mp
      ax7 con3d spimevw ax9 com12 con3dimp 2eximi equequ2 notbid syl6bi pm2.61i
      wi a1d exlimivv exnal mpbi ) ABEZFZAGZUNAHFCDEZFZDGCGZUPACIZADIZFZJZDGCGZ
      USVDUTCGVBDGACKVBAHVBDDALVBAMNUTVBCDOPVCURCDUTUQVAUQUTVACDAUAUBUCUDQURUPC
      DDBEZURUPUIVEURCBEZFZUPVEUQVFDBCUEUFVGUOACACEUNVFACBRSTUGVEFZUPURVHUOADAD
      EUNVEADBRSTUJUHUKQUNAULUM $.
  $}

  ${
    $d x y $.
    bj-dtrucor2v.1 $e |- ( x = y -> x =/= y ) $.
    $( Version of ~ dtrucor2 with a disjoint variable condition, which does not
       require ~ ax-13 (nor ~ ax-4 , ~ ax-5 , ~ ax-7 , ~ ax-12 ).  (Contributed
       by BJ, 16-Jul-2019.)  (Proof modification is discouraged.) $)
    bj-dtrucor2v $p |- ( ph /\ -. ph ) $=
      ( weq wex wn wa ax6ev wi cv necon2bi pm2.01 ax-mp nex pm2.24ii ) BCEZBFAA
      GHBCIQBQQGZJRQBKCKDLQMNOP $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Strengthenings of theorems of the main part
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Typically, these are biconditional versions of theorems in the main part
  which are formulated as implications.  They could be added after said
  implication, or sometimes replace it (by "inlining" it).

  This section contained ~ sb3b , now moved to Main.  This could also be done
  for ~ hba1 , ~ hbe1 , ~ hbe1a , ~ hbn1 , ~ modal5 .

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Distinct var metavariables
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  The closed formula ` A. x A. y x = y ` approximately means that the var
  metavariables ` x ` and ` y ` represent the same variable v_i.  In a domain
  with at most one object, however, this formula is always true, hence the
  "approximately" in the previous sentence.

$)

  $( Biconditional version of a form of ~ hbae with commuted quantifiers, not
     requiring ~ ax-11 .  (Contributed by BJ, 12-Dec-2019.)
     (Proof modification is discouraged.) $)
  bj-hbaeb2 $p |- ( A. x x = y <-> A. x A. z x = y ) $=
    ( weq wal wi wn sp axc9 syl7 axc11r axc11 pm2.43i syl5 pm2.61ii axc4i alimi
    impbii ) ABDZAEZSCEZAESUAACADCEZCBDCEZTUAFTSUBGUCGUASAHABCIJSACKTSBEZUCUATU
    DSABLMSBCKNOPUASASCHQR $.

  $( Biconditional version of ~ hbae .  (Contributed by BJ, 6-Oct-2018.)
     (Proof modification is discouraged.) $)
  bj-hbaeb $p |- ( A. x x = y <-> A. z A. x x = y ) $=
    ( weq wal bj-hbaeb2 alcom bitri ) ABDZAEZICEAEJCEABCFIACGH $.

  $( Biconditional version of ~ hbnae (to replace it?).  (Contributed by BJ,
     6-Oct-2018.) $)
  bj-hbnaeb $p |- ( -. A. x x = y <-> A. z -. A. x x = y ) $=
    ( weq wal wn hbnae sp impbii ) ABDAEFZJCEABCGJCHI $.

  $( A special instance of ~ bj-hbaeb2 .  A lemma for distinct var
     metavariables.  Note that the right-hand side is a closed formula (a
     sentence).  (Contributed by BJ, 6-Oct-2018.) $)
  bj-dvv $p |- ( A. x x = y <-> A. x A. y x = y ) $=
    ( bj-hbaeb2 ) ABBC $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Around ~ equsal
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  As a rule of thumb, if a theorem of the form
  ` |- ( ph <-> ps ) => |- ( ch <-> th ) ` is in the database, and the "more
  precise" theorems ` |- ( ph -> ps ) => |- ( ch -> th ) ` and
  ` |- ( ps -> ph ) => |- ( th -> ch ) ` also hold (see ~ bj-bisym ), then they
  should be added to the database.  The present case is similar.  Similar
  additions can be done regarding ~ equsex (and ~ equsalh and ~ equsexh ).
  Even if only one of these two theorems holds, it should be added to the
  database.

$)

  $( Duplication of ~ wl-equsal1t , with shorter proof.  If one imposes a
     disjoint variable condition on x,y , then one can use ~ alequexv and
     reduce axiom dependencies, and similarly for the following theorems.
     Note: ~ wl-equsalcom is also interesting.  (Contributed by BJ,
     6-Oct-2018.) $)
  bj-equsal1t $p |- ( F/ x ph -> ( A. x ( x = y -> ph ) <-> ph ) ) $=
    ( wnf weq wi wal wex bj-alequex 19.9t syl5ib nf5r ala1 syl6 impbid ) ABDZBC
    EZAFBGZARABHPAABCIABJKPAABGRABLAQBMNO $.

  ${
    bj-equsal1ti.1 $e |- F/ x ph $.
    $( Inference associated with ~ bj-equsal1t .  (Contributed by BJ,
       30-Sep-2018.) $)
    bj-equsal1ti $p |- ( A. x ( x = y -> ph ) <-> ph ) $=
      ( wnf weq wi wal wb bj-equsal1t ax-mp ) ABEBCFAGBHAIDABCJK $.
  $}

  ${
    bj-equsal1.1 $e |- F/ x ps $.
    bj-equsal1.2 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( One direction of ~ equsal .  (Contributed by BJ, 30-Sep-2018.) $)
    bj-equsal1 $p |- ( A. x ( x = y -> ph ) -> ps ) $=
      ( weq wi wal a2i alimi bj-equsal1ti sylib ) CDGZAHZCINBHZCIBOPCNABFJKBCDE
      LM $.
  $}

  ${
    bj-equsal2.1 $e |- F/ x ph $.
    bj-equsal2.2 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( One direction of ~ equsal .  (Contributed by BJ, 30-Sep-2018.) $)
    bj-equsal2 $p |- ( ph -> A. x ( x = y -> ps ) ) $=
      ( weq wi wal bj-equsal1ti a2i alimi sylbir ) ACDGZAHZCINBHZCIACDEJOPCNABF
      KLM $.
  $}

  ${
    bj-equsal.1 $e |- F/ x ps $.
    bj-equsal.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Shorter proof of ~ equsal .  (Contributed by BJ, 30-Sep-2018.)  Proof
       modification is discouraged to avoid using ~ equsal , but "min */exc
       equsal" is ok.  (Proof modification is discouraged.) $)
    bj-equsal $p |- ( A. x ( x = y -> ph ) <-> ps ) $=
      ( weq wi wal biimpd bj-equsal1 biimprd bj-equsal2 impbii ) CDGZAHCIBABCDE
      OABFJKBACDEOABFLMN $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Some Principia Mathematica proofs
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  References are made to the second edition (1927, reprinted 1963) of
  _Principia Mathematica_, Vol. 1.  Theorems are referred to in the form
  "PM*xx.xx".

$)

  $( Closed form of ~ stdpc5 .  (Possible to place it before ~ 19.21t and use
     it to prove ~ 19.21t ).  (Contributed by BJ, 15-Sep-2018.)
     (Proof modification is discouraged.) $)
  stdpc5t $p |- ( F/ x ph -> ( A. x ( ph -> ps ) -> ( ph -> A. x ps ) ) ) $=
    ( wnf wal wi nf5r alim syl9 ) ACDAACEABFCEBCEACGABCHI $.

  ${
    bj-stdpc5.1 $e |- F/ x ph $.
    $( More direct proof of ~ stdpc5 .  (Contributed by BJ, 15-Sep-2018.)
       (Proof modification is discouraged.) $)
    bj-stdpc5 $p |- ( A. x ( ph -> ps ) -> ( ph -> A. x ps ) ) $=
      ( wnf wi wal stdpc5t ax-mp ) ACEABFCGABCGFFDABCHI $.
  $}

  ${
    2stdpc5.1 $e |- F/ x ph $.
    2stdpc5.2 $e |- F/ y ph $.
    $( A double ~ stdpc5 (one direction of PM*11.3).  See also ~ 2stdpc4 and
       ~ 19.21vv .  (Contributed by BJ, 15-Sep-2018.)
       (Proof modification is discouraged.) $)
    2stdpc5 $p |- ( A. x A. y ( ph -> ps ) -> ( ph -> A. x A. y ps ) ) $=
      ( wi wal stdpc5 alimi syl ) ABGDHZCHABDHZGZCHAMCHGLNCABDFIJAMCEIK $.
  $}

  $( Proof of ~ 19.21t from ~ stdpc5t .  (Contributed by BJ, 15-Sep-2018.)
     (Proof modification is discouraged.) $)
  bj-19.21t0 $p |-
                  ( F/ x ph -> ( A. x ( ph -> ps ) <-> ( ph -> A. x ps ) ) ) $=
    ( wnf wi wal stdpc5t wex 19.9t imbi1d 19.38 syl6bir impbid ) ACDZABECFZABCF
    ZEZABCGNQACHZPEONRAPACIJABCKLM $.

  ${
    exlimii.1 $e |- F/ x ps $.
    exlimii.2 $e |- ( ph -> ps ) $.
    exlimii.3 $e |- E. x ph $.
    $( Inference associated with ~ exlimi .  Inferring a theorem when it is
       implied by an antecedent which may be true.  (Contributed by BJ,
       15-Sep-2018.) $)
    exlimii $p |- ps $=
      ( wex exlimi ax-mp ) ACGBFABCDEHI $.
  $}

  $( Proof of ~ ax-11 similar to PM's proof of ~ alcom (PM*11.2).  For a proof
     closer to PM's proof, see ~ ax11-pm2 .  Axiom ~ ax-11 is used in the proof
     only through ~ nfa2 .  (Contributed by BJ, 15-Sep-2018.)
     (Proof modification is discouraged.) $)
  ax11-pm $p |- ( A. x A. y ph -> A. y A. x ph ) $=
    ( wal wi 2sp gen2 nfa2 nfa1 2stdpc5 ax-mp ) ACDZBDZAEZBDCDMABDCDENCBABCFGMA
    CBACBHLBIJK $.

  $( Commuted form of ~ ax6e .  (Could be placed right after ~ ax6e ).
     (Contributed by BJ, 15-Sep-2018.) $)
  ax6er $p |- E. x y = x $=
    ( weq ax6e equcomi eximii ) ABCBACAABDABEF $.

  ${
    exlimiieq1.1 $e |- F/ x ph $.
    exlimiieq1.2 $e |- ( x = y -> ph ) $.
    $( Inferring a theorem when it is implied by an equality which may be true.
       (Contributed by BJ, 30-Sep-2018.) $)
    exlimiieq1 $p |- ph $=
      ( weq ax6e exlimii ) BCFABDEBCGH $.
  $}

  ${
    exlimiieq2.1 $e |- F/ y ph $.
    exlimiieq2.2 $e |- ( x = y -> ph ) $.
    $( Inferring a theorem when it is implied by an equality which may be true.
       (Contributed by BJ, 15-Sep-2018.)  (Revised by BJ, 30-Sep-2018.) $)
    exlimiieq2 $p |- ph $=
      ( weq ax6er exlimii ) BCFACDECBGH $.
  $}

  ${
    $d x y z t $.  $d z t ph $.
    $( Proof of ~ ax-11 from the standard axioms of predicate calculus, similar
       to PM's proof of ~ alcom (PM*11.2).  This proof requires that ` x ` and
       ` y ` be distinct.  Axiom ~ ax-11 is used in the proof only through
       ~ nfal , ~ nfsb , ~ sbal , ~ sb8 .  See also ~ ax11-pm .  (Contributed
       by BJ, 15-Sep-2018.)  (Proof modification is discouraged.) $)
    ax11-pm2 $p |- ( A. x A. y ph -> A. y A. x ph ) $=
      ( vt vz wal wsb wi 2stdpc4 gen2 nfv nfal 2stdpc5 ax-mp nfsbv albii sylibr
      sb8v sbal ) ACFZBFZABFZCDGZDFZUBCFUAACDGZBFZDFZUDUAUEBEGZEFZDFZUGUAUHHZEF
      DFUAUJHUKDEABCEDIJUAUHDETDBADCADKZLLTEBAECAEKZLLMNUFUIDUEBEACDEUMORPQUCUF
      DABCDSPQUBCDADBULLRQ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Alternate definition of substitution
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Biconditional showing two possible (dual) definitions of substitution
     ~ df-sb not using dummy variables.  (Contributed by BJ, 19-Mar-2021.) $)
  bj-sbsb $p |- ( ( ( x = y -> ph ) /\ E. x ( x = y /\ ph ) ) <->
                               ( A. x ( x = y -> ph ) \/ ( x = y /\ ph ) ) ) $=
    ( weq wi wa wex wal wo simpl pm2.27 anc2li sps olc syl56 simpr equs5 biimpd
    wn jaoi orc pm2.61i sp pm3.4 equs4 19.8a jca impbii ) BCDZAEZUIAFZBGZFZUJBH
    ZUKIZUIBHZUMUOEUMUJUPUKUOUJULJUIUJUKEBUIUJAUIAKLMUKUNNOUMULUPSZUNUOUJULPUQU
    LUNABCQRUNUKUAOUBUOUJULUNUJUKUJBUCUIAUDTUNULUKABCUEUKBUFTUGUH $.

  $( Alternate (dual) definition of substitution ~ df-sb not using dummy
     variables.  (Contributed by BJ, 19-Mar-2021.) $)
  bj-dfsb2 $p |- ( [ y / x ] ph <->
                               ( A. x ( x = y -> ph ) \/ ( x = y /\ ph ) ) ) $=
    ( wsb weq wi wa wex wal wo dfsb1 bj-sbsb bitri ) ABCDBCEZAFZNAGZBHGOBIPJABC
    KABCLM $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Lemmas for substitution
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Substitution has no effect on a bound variable (existential quantifier
     case); see ~ sbf2 .  (Contributed by BJ, 2-May-2019.) $)
  bj-sbf3 $p |- ( [ y / x ] E. x ph <-> E. x ph ) $=
    ( wex nfe1 sbf ) ABDBCABEF $.

  $( Substitution has no effect on a bound variable (nonfreeness case); see
     ~ sbf2 .  (Contributed by BJ, 2-May-2019.) $)
  bj-sbf4 $p |- ( [ y / x ] F/ x ph <-> F/ x ph ) $=
    ( wnf nfnf1 sbf ) ABDBCABEF $.

  ${
    $d x y $.  $d x z $.
    $( Move nonfree predicate in and out of substitution; see ~ sbal and
       ~ sbex .  (Contributed by BJ, 2-May-2019.) $)
    bj-sbnf $p |- ( [ z / y ] F/ x ph <-> F/ x [ z / y ] ph ) $=
      ( wal wi wsb wnf sbim sbal imbi2i bitri albii nf5 sbbii 3bitr4i ) AABEZFZ
      CDGZBEZACDGZUABEZFZBEABHZCDGZUABHSUCBSUAQCDGZFUCAQCDIUFUBUAABCDJKLMUERBEZ
      CDGTUDUGCDABNORBCDJLUABNP $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Existential uniqueness
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y $.
    bj-eu3f.1 $e |- F/ y ph $.
    $( Version of ~ eu3v where the disjoint variable condition is replaced with
       a nonfreeness hypothesis.  This is a "backup" of a theorem that used to
       be in the main part with label "eu3" and was deprecated in favor of
       ~ eu3v .  (Contributed by NM, 8-Jul-1994.)  (Proof shortened by BJ,
       31-May-2019.) $)
    bj-eu3f $p |- ( E! x ph <-> ( E. x ph /\ E. y A. x ( ph -> x = y ) ) ) $=
      ( weu wex wmo wa weq wi wal df-eu mof anbi2i bitri ) ABEABFZABGZHPABCIJBK
      CFZHABLQRPABCDMNO $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  First-order logic: miscellaneous
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Miscellaneous theorems of first-order logic.

$)

  ${
    $d x ch $.
    $( Lemma for substitution.  (Contributed by BJ, 23-Jul-2023.) $)
    bj-sblem1 $p |- ( A. x ( ph -> ( ps -> ch ) ) ->
                                ( A. x ( ph -> ps ) -> ( E. x ph -> ch ) ) ) $=
      ( wi wal wex ax-2 al2imi 19.23v syl6ib ) ABCEEZDFABEZDFACEZDFADGCELMNDABC
      HIACDJK $.
    $( Lemma for substitution.  (Contributed by BJ, 23-Jul-2023.) $)
    bj-sblem2 $p |- ( A. x ( ph -> ( ch -> ps ) ) ->
                                ( ( E. x ph -> ch ) -> A. x ( ph -> ps ) ) ) $=
      ( wex wi wal 19.23v ax-2 al2imi syl5bir ) ADECFACFZDGACBFFZDGABFZDGACDHML
      NDACBIJK $.
    $( Lemma for substitution.  (Contributed by BJ, 23-Jul-2023.) $)
    bj-sblem $p |- ( A. x ( ph -> ( ps <-> ch ) ) ->
                               ( A. x ( ph -> ps ) <-> ( E. x ph -> ch ) ) ) $=
      ( wb wi wal wex pm5.74 albii albi sylbi 19.23v bitrdi ) ABCEFZDGZABFZDGZA
      CFZDGZADHCFPQSEZDGRTEOUADABCIJQSDKLACDMN $.
  $}

  ${
    $d x ps $.  $d x y $.
    $( Lemma for substitution.  (Contributed by BJ, 23-Jul-2023.) $)
    bj-sbievw1 $p |- ( [ y / x ] ( ph -> ps ) -> ( [ y / x ] ph -> ps ) ) $=
      ( wi wsb weq wal sb6 wex bj-sblem1 ax6ev a1bi 3imtr4g sylbi ) ABEZCDFCDGZ
      PECHZACDFZBEPCDIRQAECHQCJZBESBQABCKACDITBCDLMNO $.
    $( Lemma for substitution.  (Contributed by BJ, 23-Jul-2023.) $)
    bj-sbievw2 $p |- ( [ y / x ] ( ps -> ph ) -> ( ps -> [ y / x ] ph ) ) $=
      ( wi wsb weq wal sb6 wex bj-sblem2 jarr syl6ibr syl sylbi ) BAEZCDFCDGZPE
      CHZBACDFZEZPCDIRQCJZBEQAECHZEZTQABCKUCBUBSUABUBLACDIMNO $.
    $( Lemma for substitution.  Closed form of ~ equsalvw and ~ sbievw .
       (Contributed by BJ, 23-Jul-2023.) $)
    bj-sbievw $p |- ( [ y / x ] ( ph <-> ps ) -> ( [ y / x ] ph <-> ps ) ) $=
      ( wb wsb weq wi wal sb6 wex bj-sblem ax6ev a1bi 3bitr4g sylbi ) ABEZCDFCD
      GZQHCIZACDFZBEQCDJSRAHCIRCKZBHTBRABCLACDJUABCDMNOP $.
  $}

  ${
    bj-sbievv.nfx $e |- F/ x ps $.
    bj-sbievv.nfy $e |- F/ y ph $.
    bj-sbievv.is $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Version of ~ sbie with a second nonfreeness hypothesis and shorter
       proof.  (Contributed by BJ, 18-Jul-2023.)
       (Proof modification is discouraged.) $)
    bj-sbievv $p |- ( [ y / x ] ph <-> ps ) $=
      ( wsb weq wi wal sb6f equsal bitri ) ACDHCDIAJCKBACDFLABCDEGMN $.
  $}

  $( Uniqueness is equivalent to existence being equivalent to unique
     existence.  (Contributed by BJ, 14-Oct-2022.) $)
  bj-moeub $p |- ( E* x ph <-> ( E. x ph <-> E! x ph ) ) $=
    ( wmo wex weu wi wb moeu euex impbi mpi biimp impbii bitri ) ABCABDZABEZFZO
    PGZABHQRQPOFRABIOPJKOPLMN $.

  $( Obsolete proof of ~ sbidm temporarily kept here to check it gives no
     additional insight.  (Contributed by NM, 8-Mar-1995.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  bj-sbidmOLD $p |- ( [ y / x ] [ y / x ] ph <-> [ y / x ] ph ) $=
    ( wsb wb weq equsb2 sbequ12r sbimi ax-mp sbbi mpbi ) ABCDZAEZBCDZMBCDMECBFZ
    BCDOBCGPNBCACBHIJMABCKL $.

$(
  ${
    $d ph ps $.
    @( An unprovable true scheme.

       It is true since the disjoint variable condition implies that ` x ` does
       not occur in at least one of ` ph ` and ` ps ` , so at least one of the
       two disjuncts is true.

       It is not provable from any consistent axiom system containing no
       disjoint variable condition of that form.  Indeed, such a disjoint
       variable condition cannot be produced from disjoint variable conditions
       of one of the other two forms, DV ` ( x , y ) ` or DV ` ( x , ph ) ` .
       Therefore, if it were provable, then so would the same scheme without
       this disjoint variable condition be, but that scheme is obviously false
       (take ` ph ` and ` ps ` to be ` x = y ` for instance).

       See also ~ ax-bj-00 .

       Megill's completeness theorem concerns schemes with disjoint variable
       conditions of the form DV ` ( x , y ) ` or DV ` ( x , ph ) ` .  The
       present scheme shows that it does not generalize to include schemes that
       contain disjoint variable conditions of the form DV ` ( ph , ps ) ` .

       (Contributed by BJ, 19-Mar-2021.)  (New usage is discouraged.) @)
    ax-bj-0 $a |- ( ( ph -> A. x ph ) \/ ( ps -> A. x ps ) ) $.

    @( A stronger variant of ~ ax-bj-0 with the advantage of binding
       every possible occurrence of ` x ` in any of its instances (see
       ~ df-nf ).

       (Contributed by BJ, 19-Mar-2021.)  (New usage is discouraged.) @)
    ax-bj-00 $a |- ( ( E. x ph -> A. x ph ) \/ ( E. x ps -> A. x ps ) ) $.
  $}

  ${
    $d ph x y $.
    @( Proof of ~ ax-5 from ~ ax-bj-00 (note that the use of ~ ax-5 is via
       ~ 19.8v , which is a form of ~ sp , and ~ ax-5 and the auxiliary axioms
       are used via the axiom of twoness ~ dtru ).  (Contributed by BJ,
       19-Mar-2021.)  (Proof modification is discouraged.)
       (New usage is discouraged.) @)
    bj-ax5 $p |- ( ph -> A. x ph ) $=
      ( vy wex wal 19.8v weq wi wn wa ax6ev dtru pm3.2i annim mpbi ax-bj-00 syl
      mtpor ) AABDZABEZABFBCGZBDZUABEZHZSTHUBUCIZJUDIUBUEBCKBCLMUBUCNOUAABPRQ
      $.
  $}
$)

  ${
    $d x z $.  $d y z $.  $d ph z $.  $d ps z $.
    bj-dvelimdv.nf $e |- ( ph -> F/ x ch ) $.
    bj-dvelimdv.is $e |- ( z = y -> ( ch <-> ps ) ) $.
    $( Deduction form of ~ dvelim with disjoint variable conditions.  Uncurried
       (imported) form of ~ bj-dvelimdv1 .  Typically, ` z ` is a fresh
       variable used for the implicit substitution hypothesis that results in
       ` ch ` (namely, ` ps ` can be thought as ` ps ( x , y ) ` and ` ch ` as
       ` ps ( x , z ) ` ).  So the theorem says that if x is effectively free
       in ` ps ( x , z ) ` , then if x and y are not the same variable, then
       ` x ` is also effectively free in ` ps ( x , y ) ` , in a context
       ` ph ` .

       One can weaken the implicit substitution hypothesis by adding the
       antecedent ` ph ` but this typically does not make the theorem much more
       useful.  Similarly, one could use nonfreeness hypotheses instead of
       disjoint variable conditions but since this result is typically used
       when ` z ` is a dummy variable, this would not be of much benefit.  One
       could also remove DV ` ( x , z ) ` since in the proof ~ nfv can be
       replaced with ~ nfal followed by ~ nfn .

       Remark: ~ nfald uses ~ ax-11 ; it might be possible to inline and use
       ~ ax11w instead, but there is still a use via ~ 19.12 anyway.
       (Contributed by BJ, 20-Oct-2021.)
       (Proof modification is discouraged.) $)
    bj-dvelimdv $p |- ( ( ph /\ -. A. x x = y ) -> F/ x ps ) $=
      ( weq wi wal wn wa equsalvw bicomi nfv nfan wnf nfeqf2 adantl nfimd nfald
      adantr nfxfrd ) BFEIZCJZFKZADEIDKLZMZDUGBCBFEHNOUIUFDFAUHFAFPUHFPQUIUECDU
      HUEDRADEFSTACDRUHGUCUAUBUD $.

    $( Curried (exported) form of ~ bj-dvelimdv (of course, one is directly
       provable from the other, but we keep this proof for illustration
       purposes).  (Contributed by BJ, 20-Oct-2021.)
       (Proof modification is discouraged.) $)
    bj-dvelimdv1 $p |- ( ph -> ( -. A. x x = y -> F/ x ps ) ) $=
      ( weq wal wn wnf nfeqf2 bj-nfimt syl2imc alrimdv bj-nfalt equsalvw nfbii
      wi bj-syl66ib ) ADEIDJKZBDLFEIZCTZDLZFJUDFJZDLAUBUEFUBUCDLACDLUEDEFMGUCCD
      NOPUDFDQUFBDCBFEHRSUA $.
  $}

  ${
    $d x z $.  $d y z $.  $d ph z $.
    bj-dvelimv.nf $e |- F/ x ps $.
    bj-dvelimv.is $e |- ( z = y -> ( ps <-> ph ) ) $.
    $( A version of ~ dvelim using the "nonfree" idiom.  (Contributed by BJ,
       20-Oct-2021.)  (Proof modification is discouraged.) $)
    bj-dvelimv $p |- ( -. A. x x = y -> F/ x ph ) $=
      ( weq wal wn wnf wi wtru a1i bj-dvelimdv1 mptru ) CDHCIJACKLMABCDEBCKMFNG
      OP $.
  $}

  ${
    $d t x z $.  $d t y $.
    $( Nonfreeness in a membership statement.  (Contributed by BJ,
       20-Oct-2021.)  (Proof modification is discouraged.) $)
    bj-nfeel2 $p |- ( -. A. x x = y -> F/ x y e. z ) $=
      ( vt wel nfv elequ1 bj-dvelimv ) BCEDCEZABDIAFDBCGH $.
  $}

  ${
    $d t x $.  $d t y $.  $d t z $.
    $( Proof of a version of ~ axc14 using the "nonfree" idiom.  (Contributed
       by BJ, 20-Oct-2021.)  (Proof modification is discouraged.) $)
    bj-axc14nf $p |-
         ( -. A. z z = x -> ( -. A. z z = y -> F/ z x e. y ) ) $=
      ( vt weq wal wn wel bj-nfeel2 elequ2 bj-dvelimdv1 ) CAECFGABHADHCBDCADIDB
      AJK $.
  $}

  $( Alternate proof of ~ axc14 (even when inlining the above results, this
     gives a shorter proof).  (Contributed by BJ, 20-Oct-2021.)
     (Proof modification is discouraged.) $)
  bj-axc14 $p |-
         ( -. A. z z = x -> ( -. A. z z = y -> ( x e. y -> A. z x e. y ) ) ) $=
    ( weq wal wn wel wnf wi bj-axc14nf nf5r a1i syld ) CADCEFZCBDCEFABGZCHZOOCE
    IZABCJPQINOCKLM $.

  ${
    mobidvALT.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $d x y ph $.  $d y ps $.  $d y ch $.
    $( Alternate proof of ~ mobidv directly from its analogues ~ albidv and
       ~ exbidv , using deduction style.  Note the proof structure, similar to
       ~ mobi .  (Contributed by Mario Carneiro, 7-Oct-2016.)  Reduce axiom
       dependencies and shorten proof.  Remove dependency on ~ ax-6 , ~ ax-7 ,
       ~ ax-12 by adapting proof of ~ mobid .  (Revised by BJ, 26-Sep-2022.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    mobidvALT $p |- ( ph -> ( E* x ps <-> E* x ch ) ) $=
      ( vy weq wi wal wex wmo imbi1d albidv exbidv df-mo 3bitr4g ) ABDFGZHZDIZF
      JCQHZDIZFJBDKCDKASUAFARTDABCQELMNBDFOCDFOP $.
  $}

  $( Alternate proof of ~ sbn1 , not using the false constant.  (Contributed by
     BJ, 18-Sep-2024.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  sbn1ALT $p |- ( [ t / x ] -. ph -> -. [ t / x ] ph ) $=
    ( wn wsb wa nsb pm3.24 mpg sban mtbi pm3.21 mtoi ) ADZBCEZABCEZPOFZANFZBCEZ
    QRDSDBRBCGAHIANBCJKOPLM $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Set theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Eliminability of class terms
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  In this section, we give a sketch of the proof of the Eliminability Theorem
  for class terms in an extensional set theory where quantification occurs only
  over set variables.

  Eliminability of class variables using the $a-statements ~ ax-ext ,
  ~ df-clab , ~ df-cleq , ~ df-clel is an easy result, proved for instance in
  Appendix X of Azriel Levy, _Basic Set Theory_, Dover Publications, 2002.
  Note that viewed from the set.mm axiomatization, it is a metatheorem not
  formalizable in set.mm.  It states: every formula in the language of
  FOL + ` e. ` + class terms, but without class variables, is provably
  equivalent (over {FOL, ~ ax-ext , ~ df-clab , ~ df-cleq , ~ df-clel }) to a
  formula in the language of FOL + ` e. ` (that is, without class terms).

  The proof goes by induction on the complexity of the formula (see op. cit.
  for details).  The base case is that of atomic formulas.  The atomic formulas
  containing class terms are of one of the six following forms:
  for equality,
  ` x = { y | ph } ` , ` { x | ph } = y ` , ` { x | ph } = { y | ps } ` ,
  and for membership,
  ` y e. { x | ph } ` , ` { x | ph } e. y ` , ` { x | ph } e. { y | ps } ` .
  These cases are dealt with by ~ eliminable-veqab ,  ~ eliminable-abeqv ,
  ~ eliminable-abeqab ,  ~ eliminable-velab ,  ~ eliminable-abelv ,
  ~ eliminable-abelab respectively, which are all proved from {FOL, ~ ax-ext ,
  ~ df-clab , ~ df-cleq , ~ df-clel }.

  (Details on the proof of the above six theorems.  To understand how they
  were systematically proved, look at the theorems "eliminablei" below, which
  are special instances of ~ df-clab , ~ dfcleq (proved from {FOL, ~ ax-ext ,
  ~ df-cleq }), and ~ dfclel (proved from {FOL, ~ df-clel }).  Indeed, denote
  by (i) the formula proved by "eliminablei".  One sees that the RHS of (1) has
  no class terms, the RHS's of (2x) have only class terms of the form dealt
  with by (1), and the RHS's of (3x) have only class terms of the forms dealt
  with by (1) and (2a).  Note that in order to prove ~ eliminable2a ,
  ~ eliminable2b and ~ eliminable3a , we need to substitute a class variable
  for a setvar variable.  This is possible because setvars are class terms:
  this is the content of the syntactic theorem ~ cv , which is used in these
  proofs (this does not appear in the html pages but it is in the set.mm file
  and you can check it using the Metamath program).)

  The induction step relies on the fact that any formula is a FOL-combination
  of atomic formulas, so if one found equivalents for all atomic formulas
  constituting the formula, then the same FOL-combination of these equivalents
  will be equivalent to the original formula.

  Note that one has a slightly more precise result: if the original formula has
  only class terms appearing in atomic formulas of the form
   ` y e. { x | ph } ` , then ~ df-clab is sufficient (over FOL) to eliminate
  class terms, and if the original formula has only class terms appearing in
  atomic formulas of the form ` y e. { x | ph } ` and equalities, then
  ~ df-clab , ~ ax-ext and ~ df-cleq are sufficient (over FOL) to eliminate
  class terms.

  To prove that { ~ df-clab , ~ df-cleq , ~ df-clel } provides a definitional
  extension of {FOL, ~ ax-ext }, one needs to prove both the above
  Eliminability Theorem, which compares the expressive powers of the languages
  with and without class terms, and the Conservativity Theorem, which compares
  the deductive powers when one adds { ~ df-clab , ~ df-cleq , ~ df-clel }.  It
  states that a formula without class terms is provable in one axiom system if
  and only if it is provable in the other, and that this remains true when one
  adds further definitions to {FOL, ~ ax-ext }.  It is also proved in op. cit.
  The proof is more difficult, since one has to construct for each proof of a
  statement without class terms, an associated proof not using { ~ df-clab ,
  ~ df-cleq , ~ df-clel }.  It involves a careful case study on the structure
  of the proof tree.

$)

  $( A theorem used to prove the base case of the Eliminability Theorem (see
     section comment).  (Contributed by BJ, 19-Oct-2019.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  eliminable1 $p |- ( y e. { x | ph } <-> [ y / x ] ph ) $=
    ( df-clab ) ACBD $.

  ${
    $d x z $.  $d y z $.  $d ph z $.  $d ps z $.
    $( A theorem used to prove the base case of the Eliminability Theorem (see
       section comment).  (Contributed by BJ, 19-Oct-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eliminable2a $p |-
                  ( x = { y | ph } <-> A. z ( z e. x <-> z e. { y | ph } ) ) $=
      ( cv cab dfcleq ) DBEACFG $.

    $( A theorem used to prove the base case of the Eliminability Theorem (see
       section comment).  (Contributed by BJ, 19-Oct-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eliminable2b $p |-
                  ( { x | ph } = y <-> A. z ( z e. { x | ph } <-> z e. y ) ) $=
      ( cab cv dfcleq ) DABECFG $.

    $( A theorem used to prove the base case of the Eliminability Theorem (see
       section comment).  (Contributed by BJ, 19-Oct-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eliminable2c $p |- ( { x | ph } = { y | ps } <->
                              A. z ( z e. { x | ph } <-> z e. { y | ps } ) ) $=
      ( cab dfcleq ) EACFBDFG $.

    $( A theorem used to prove the base case of the Eliminability Theorem (see
       section comment).  (Contributed by BJ, 19-Oct-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eliminable3a $p |-
                   ( { x | ph } e. y <-> E. z ( z = { x | ph } /\ z e. y ) ) $=
      ( cab cv dfclel ) DABECFG $.

    $( A theorem used to prove the base case of the Eliminability Theorem (see
       section comment).  (Contributed by BJ, 19-Oct-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eliminable3b $p |- ( { x | ph } e. { y | ps } <->
                                E. z ( z = { x | ph } /\ z e. { y | ps } ) ) $=
      ( cab dfclel ) EACFBDFG $.
  $}

  $( A theorem used to prove the base case of the Eliminability Theorem (see
     section comment): variable belongs to abstraction.  (Contributed by BJ,
     30-Apr-2024.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  eliminable-velab $p |- ( y e. { x | ph } <-> [ y / x ] ph ) $=
    ( df-clab ) ACBD $.

  ${  $d x z $.  $d y z $.  $d ph z $.
    $( A theorem used to prove the base case of the Eliminability Theorem (see
       section comment): variable equals abstraction.  (Contributed by BJ,
       30-Apr-2024.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    eliminable-veqab $p |-
                     ( x = { y | ph } <-> A. z ( z e. x <-> [ z / y ] ph ) ) $=
      ( cv cab wceq wel wcel wal wsb dfcleq eliminable-velab bibi2i albii bitri
      wb ) BEZACFZGDBHZDESIZQZDJTACDKZQZDJDRSLUBUDDUAUCTACDMNOP $.
  $}

  ${  $d x z $.  $d y z $.  $d ph z $.
    $( A theorem used to prove the base case of the Eliminability Theorem (see
       section comment): abstraction equals variable.  (Contributed by BJ,
       30-Apr-2024.)  Beware not to use symmetry of class equality.
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eliminable-abeqv $p |-
                     ( { x | ph } = y <-> A. z ( [ z / x ] ph <-> z e. y ) ) $=
      ( cab cv wceq wcel wel wal wsb dfcleq eliminable-velab bibi1i albii bitri
      wb ) ABEZCFZGDFRHZDCIZQZDJABDKZUAQZDJDRSLUBUDDTUCUAABDMNOP $.
  $}

  ${  $d x z $.  $d y z $.  $d ph z $.  $d ps z $.
    $( A theorem used to prove the base case of the Eliminability Theorem (see
       section comment): abstraction equals abstraction.  (Contributed by BJ,
       30-Apr-2024.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    eliminable-abeqab $p |- ( { x | ph } = { y | ps } <->
                                    A. z ( [ z / x ] ph <-> [ z / y ] ps ) ) $=
      ( cab wceq cv wcel wb wal wsb dfcleq eliminable-velab bibi12i albii bitri
      ) ACFZBDFZGEHZRIZTSIZJZEKACELZBDELZJZEKERSMUCUFEUAUDUBUEACENBDENOPQ $.
  $}

  ${  $d t x z $.  $d y z $.  $d ph z $.  $d ph t $.
    $( A theorem used to prove the base case of the Eliminability Theorem (see
       section comment): abstraction belongs to variable.  (Contributed by BJ,
       30-Apr-2024.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    eliminable-abelv $p |- ( { x | ph } e. y <->
                       E. z ( A. t ( t e. z <-> [ t / x ] ph ) /\ z e. y ) ) $=
      ( cab cv wcel wceq wel wa wex wsb wb dfclel eliminable-veqab anbi1i exbii
      wal bitri ) ABFZCGZHDGUAIZDCJZKZDLEDJABEMNESZUDKZDLDUAUBOUEUGDUCUFUDADBEP
      QRT $.
  $}

  ${  $d t x z $.  $d y z $.  $d ph z $.  $d ph t $.  $d ps z $.
    $( A theorem used to prove the base case of the Eliminability Theorem (see
       section comment): abstraction belongs to abstraction.  (Contributed by
       BJ, 30-Apr-2024.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    eliminable-abelab $p |- ( { x | ph } e. { y | ps } <->
                 E. z ( A. t ( t e. z <-> [ t / x ] ph ) /\ [ z / y ] ps ) ) $=
      ( cab wcel cv wceq wa wex wel wb dfclel eliminable-veqab eliminable-velab
      wsb wal anbi12i exbii bitri ) ACGZBDGZHEIZUCJZUEUDHZKZELFEMACFRNFSZBDERZK
      ZELEUCUDOUHUKEUFUIUGUJAECFPBDEQTUAUB $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Classes without the axiom of extensionality
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  A few results about classes can be proved without using ~ ax-ext .  One could
  move all theorems from ~ cab to ~ df-clel (except for ~ dfcleq and ~ cvjust )
  in a subsection "Classes" before the subsection on the axiom of
  extensionality, together with the theorems below.  In that subsection, the
  last statement should be ~ df-cleq .

  Note that without ~ ax-ext , the $a-statements ~ df-clab , ~ df-cleq , and
  ~ df-clel are no longer eliminable (see previous section) (but PROBABLY
  ~ df-clab is still conservative , while ~ df-cleq and ~ df-clel are not).
  This is not a reason not to study what is provable
  with them but without ~ ax-ext , in order to gauge their strengths more
  precisely.

  Before that subsection, a subsection "The membership predicate" could group
  the statements with ` e. ` that are currently in the FOL part (including
  ~ wcel , ~ wel , ~ ax-8 , ~ ax-9 ).

  Remark: the weakening of ~ eleq1 / ~ eleq2 to ~ eleq1w / ~ eleq2w can also
  be done with ~ eleq1i , ~ eqeltri , ~ eqeltrri , ~ eleq1a , ~ eleq1d ,
  ~ eqeltrd , ~ eqeltrrd , ~ eqneltrd , ~ eqneltrrd , ~ nelneq .

  Remark: possibility to remove dependency on ~ ax-10 , ~ ax-11 , ~ ax-13 from
  ~ nfcri and theorems using it if one adds a disjoint variable condition (that
  theorem is typically used with dummy variables, so the disjoint variable
  condition addition is not very restrictive), and then shorten ~ nfnfc .

$)

  ${
    $d A x $.  $d x y $.
    $( Lemma for ~ bj-denotes .  (Contributed by BJ, 24-Apr-2024.)
       (Proof modification is discouraged.) $)
    bj-denoteslem $p |- ( E. x x = A <-> A e. { y | T. } ) $=
      ( cv wceq wex wtru cab wcel wa vextru biantru exbii dfclel bitr4i ) ADZCE
      ZAFQPGBHZIZJZAFCRIQTASQBAKLMACRNO $.
  $}

  ${
    $d x A $.  $d y A $.  $d x z $.  $d y z $.
    $( This would be the justification theorem for the definition of the unary
       predicate "E!" by ` |- ( ` E! ` A <-> E. x x = A ) ` which could be
       interpreted as " ` A ` exists" (as a set) or " ` A ` denotes" (in the
       sense of free logic).

       A shorter proof using ~ bitri (to add an intermediate proposition
       ` E. z z = A ` with a fresh ` z ` ), ~ cbvexvw , and ~ eqeq1 , requires
       the core axioms and { ~ ax-9 , ~ ax-ext , ~ df-cleq } whereas this proof
       requires the core axioms and { ~ ax-8 , ~ df-clab , ~ df-clel }.

       Theorem ~ bj-issetwt proves that "existing" is equivalent to being a
       member of a class abstraction.  It also requires, with the present
       proof, { ~ ax-8 , ~ df-clab , ~ df-clel } (whereas with the shorter
       proof from ~ cbvexvw and ~ eqeq1 it would require { ~ ax-8 , ~ ax-9 ,
       ~ ax-ext , ~ df-clab , ~ df-cleq , ~ df-clel }).  That every class is
       equal to a class abstraction is proved by ~ abid1 , which requires {
       ~ ax-8 , ~ ax-9 , ~ ax-ext , ~ df-clab , ~ df-cleq , ~ df-clel }.

       Note that there is no disjoint variable condition on ` x , y ` but the
       theorem does not depend on ~ ax-13 .  Actually, the proof depends only
       on the logical axioms ~ ax-1 through ~ ax-7 and ~ sp .

       The symbol "E!" was chosen to be reminiscent of the analogous predicate
       in (inclusive or non-inclusive) free logic, which deals with the
       possibility of nonexistent objects.  This analogy should not be taken
       too far, since here there are no equality axioms for classes: these are
       derived from ~ ax-ext and ~ df-cleq (e.g., ~ eqid and ~ eqeq1 ).  In
       particular, one cannot even prove ` |- E. x x = A => |- A = A ` without
       ~ ax-ext and ~ df-cleq .

       (Contributed by BJ, 29-Apr-2019.)
       (Proof modification is discouraged.) $)
    bj-denotes $p |- ( E. x x = A <-> E. y y = A ) $=
      ( vz cv wceq wex wtru cab wcel bj-denoteslem bitr4i ) AECFAGCHDIJBECFBGAD
      CKBDCKL $.
    $( $j usage 'bj-denotes' avoids 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'ax-ext' 'df-cleq'; $)
  $}

  ${
    $d A x $.  $d A z $.  $d y z $.
    $( Weak version of ~ isset without ~ ax-ext .  (Contributed by BJ,
       24-Apr-2024.)  (Proof modification is discouraged.) $)
    bj-issettru $p |- ( E. x x = A <-> A e. { y | T. } ) $=
      ( vz cv wceq wex wtru cab wcel bj-denotes bj-denoteslem bitri ) AECFAGDEC
      FDGCHBIJADCKDBCLM $.
    $( $j usage 'bj-issettru' avoids 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'ax-ext' 'df-cleq'; $)
  $}

  ${
    $d A z $.  $d x z $.  $d y z $.
    $( This is as close as we can get to proving extensionality for "the"
       "universal" class without ~ ax-ext .  (Contributed by BJ, 24-Apr-2024.)
       (Proof modification is discouraged.) $)
    bj-elabtru $p |- ( A e. { x | T. } <-> A e. { y | T. } ) $=
      ( vz wtru cab wcel cv wceq wex bj-denoteslem bitr3i ) CEAFGDHCIDJCEBFGDAC
      KDBCKL $.
    $( $j usage 'bj-elabtru' avoids 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'ax-ext' 'df-cleq'; $)
  $}

  ${
    $d y A $.  $d z x $.  $d z A $.  $d z ph $.
    $( Closed form of ~ bj-issetw .  (Contributed by BJ, 29-Apr-2019.)
       (Proof modification is discouraged.) $)
    bj-issetwt $p |- ( A. x ph -> ( A e. { x | ph } <-> E. y y = A ) ) $=
      ( vz wal cab wcel cv wceq wa wex wb dfclel a1i biantrud bicomd bj-denotes
      vexwt exbidv 3bitrd ) ABFZDABGZHZEIZDJZUEUCHZKZELZUFELZCIDJCLZUDUIMUBEDUC
      NOUBUHUFEUBUFUHUBUGUFABESPQTUJUKMUBECDROUA $.
    $( $j usage 'bj-issetwt' avoids 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'ax-ext' 'df-cleq'; $)
  $}

  ${
    $d y A $.
    bj-issetw.1 $e |- ph $.
    $( The closest one can get to ~ isset without using ~ ax-ext .  See also
       ~ vexw .  Note that the only disjoint variable condition is between
       ` y ` and ` A ` .  From there, one can prove ~ isset using ~ eleq2i
       (which requires ~ ax-ext and ~ df-cleq ).  (Contributed by BJ,
       29-Apr-2019.)  (Proof modification is discouraged.) $)
    bj-issetw $p |- ( A e. { x | ph } <-> E. y y = A ) $=
      ( cab wcel cv wceq wex wb bj-issetwt mpg ) ADABFGCHDICJKBABCDLEM $.
    $( $j usage 'bj-issetw' avoids 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'ax-ext' 'df-cleq'; $)
  $}

  ${
    $d x A $.  $d y A $.  $d y V $.
    $( Alternate proof of ~ elisset .  This is essentially the same proof as
       seen by inlining ~ bj-denotes and ~ bj-denoteslem .  Use ~ elissetv
       instead when sufficient (in particular when ` V ` is substituted for
       ` _V ` ).  (Contributed by BJ, 29-Apr-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    bj-elissetALT $p |- ( A e. V -> E. x x = A ) $=
      ( vy wcel cv wceq wex elissetv bj-denotes sylib ) BCEDFBGDHAFBGAHDBCIDABJ
      K $.
    $( $j usage 'bj-elissetALT' avoids 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'ax-ext' 'df-cleq'; $)
  $}

  ${
    $d x A $.  $d x V $.
    bj-issetiv.1 $e |- A e. V $.
    $( Version of ~ bj-isseti with a disjoint variable condition on ` x , V ` .
       The hypothesis uses ` V ` instead of ` _V ` for extra generality.  This
       is indeed more general than ~ isseti as long as ~ elex is not available
       (and the non-dependence of ~ bj-issetiv on special properties of the
       universal class ` _V ` is obvious).  Prefer its use over ~ bj-isseti
       when sufficient (in particular when ` V ` is substituted for ` _V ` ).
       (Contributed by BJ, 14-Sep-2019.)
       (Proof modification is discouraged.) $)
    bj-issetiv $p |- E. x x = A $=
      ( wcel cv wceq wex elissetv ax-mp ) BCEAFBGAHDABCIJ $.
      $( $j usage 'bj-issetiv' avoids 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'ax-ext' 'df-clab' 'df-cleq' 'cvv'; $)
  $}

  ${
    $d x A $.
    bj-isseti.1 $e |- A e. V $.
    $( Version of ~ isseti with a class variable ` V ` in the hypothesis
       instead of ` _V ` for extra generality.  This is indeed more general
       than ~ isseti as long as ~ elex is not available (and the non-dependence
       of ~ bj-isseti on special properties of the universal class ` _V ` is
       obvious).  Use ~ bj-issetiv instead when sufficient (in particular when
       ` V ` is substituted for ` _V ` ).  (Contributed by BJ, 13-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-isseti $p |- E. x x = A $=
      ( wcel cv wceq wex elisset ax-mp ) BCEAFBGAHDABCIJ $.
      $( $j usage 'bj-isseti' avoids 'ax-9' 'ax-10' 'ax-11' 'ax-12' 'ax-13'
       'ax-ext' 'df-cleq' 'cvv'; $)
  $}

  ${
    bj-ralvw.1 $e |- ps $.
    $( A weak version of ~ ralv not using ~ ax-ext (nor ~ df-cleq , ~ df-clel ,
       ~ df-v ), and only core FOL axioms.  See also ~ bj-rexvw .  The
       analogues for ~ reuv and ~ rmov are not proved.  (Contributed by BJ,
       16-Jun-2019.)  (Proof modification is discouraged.) $)
    bj-ralvw $p |- ( A. x e. { y | ps } ph <-> A. x ph ) $=
      ( cab wral cv wcel wi wal df-ral vexw a1bi albii bitr4i ) ACBDFZGCHQIZAJZ
      CKACKACQLASCRABDCEMNOP $.
  $}

  ${
    bj-rexvw.1 $e |- ps $.
    $( A weak version of ~ rexv not using ~ ax-ext (nor ~ df-cleq , ~ df-clel ,
       ~ df-v ), and only core FOL axioms.  See also ~ bj-ralvw .  (Contributed
       by BJ, 16-Jun-2019.)  (Proof modification is discouraged.) $)
    bj-rexvw $p |- ( E. x e. { y | ps } ph <-> E. x ph ) $=
      ( cab wrex cv wcel wa wex df-rex vexw biantrur exbii bitr4i ) ACBDFZGCHQI
      ZAJZCKACKACQLASCRABDCEMNOP $.
  $}

  ${
    bj-rababw.1 $e |- ps $.
    $( A weak version of ~ rabab not using ~ df-clel nor ~ df-v (but requiring
       ~ ax-ext ) nor ~ ax-12 .  (Contributed by BJ, 16-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-rababw $p |- { x e. { y | ps } | ph } = { x | ph } $=
      ( cab crab cv wcel wa df-rab vexw biantrur abbii eqtr4i ) ACBDFZGCHPIZAJZ
      CFACFACPKARCQABDCELMNO $.
  $}

  ${
    $d x A $.  $d x B $.  $d x V $.  $d x y $.  $d x ph $.
    bj-rexcom4bv.1 $e |- B e. V $.
    $( Version of ~ rexcom4b and ~ bj-rexcom4b with a disjoint variable
       condition on ` x , V ` , hence removing dependency on ~ df-sb and
       ~ df-clab (so that it depends on ~ df-clel and ~ df-rex only on top of
       first-order logic).  Prefer its use over ~ bj-rexcom4b when sufficient
       (in particular when ` V ` is substituted for ` _V ` ).  Note the ` V `
       in the hypothesis instead of ` _V ` .  (Contributed by BJ, 14-Sep-2019.)
       (Proof modification is discouraged.) $)
    bj-rexcom4bv $p |- ( E. x E. y e. A ( ph /\ x = B ) <-> E. y e. A ph ) $=
      ( cv wceq wa wrex wex rexcom4a bj-issetiv biantru rexbii bitr4i ) ABHEIZJ
      CDKBLARBLZJZCDKACDKARBCDMATCDSABEFGNOPQ $.
  $}

  ${
    $d x A $.  $d x B $.  $d x y $.  $d x ph $.
    bj-rexcom4b.1 $e |- B e. V $.
    $( Remove from ~ rexcom4b dependency on ~ ax-ext and ~ ax-13 (and on
       ~ df-or , ~ df-cleq , ~ df-nfc , ~ df-v ).  The hypothesis uses ` V `
       instead of ` _V ` (see ~ bj-isseti for the motivation).  Use
       ~ bj-rexcom4bv instead when sufficient (in particular when ` V ` is
       substituted for ` _V ` ).  (Contributed by BJ, 16-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-rexcom4b $p |- ( E. x E. y e. A ( ph /\ x = B ) <-> E. y e. A ph ) $=
      ( cv wceq wa wrex wex rexcom4a bj-isseti biantru rexbii bitr4i ) ABHEIZJC
      DKBLARBLZJZCDKACDKARBCDMATCDSABEFGNOPQ $.
  $}

  $( The FOL content of ~ ceqsalt .  Lemma for ~ bj-ceqsalt and ~ bj-ceqsaltv .
     (Contributed by BJ, 26-Sep-2019.)  (Proof modification is discouraged.) $)
  bj-ceqsalt0 $p |- ( ( F/ x ps /\ A. x ( th -> ( ph <-> ps ) ) /\ E. x th )
                                           -> ( A. x ( th -> ph ) <-> ps ) ) $=
    ( wnf wb wi wal wex w3a simp3 imim3i al2imi 3ad2ant2 19.23t 3ad2ant1 sylibd
    biimp mpid biimpr imim2i com23 alimi 19.21t mpbid impbid ) BDEZCABFZGZDHZCD
    IZJZCAGZDHZBULUNUKBUGUJUKKULUNCBGZDHZUKBGZUJUGUNUPGUKUIUMUODUHABCABRLMNUGUJ
    UPUQFUKCBDOPQSULBUMGZDHZBUNGZUJUGUSUKUIURDUICBAUHBAGCABTUAUBUCNUGUJUSUTFUKB
    UMDUDPUEUF $.

  ${
    bj-ceqsalt1.1 $e |- ( th -> E. x ch ) $.
    $( The FOL content of ~ ceqsalt .  Lemma for ~ bj-ceqsalt and
       ~ bj-ceqsaltv .  TODO: consider removing if it does not add anything to
       ~ bj-ceqsalt0 .  (Contributed by BJ, 26-Sep-2019.)
       (Proof modification is discouraged.) $)
    bj-ceqsalt1 $p |- ( ( F/ x ps /\ A. x ( ch -> ( ph <-> ps ) ) /\ th )
                                           -> ( A. x ( ch -> ph ) <-> ps ) ) $=
      ( wnf wb wi wal w3a 3ad2ant3 biimp imim3i al2imi 3ad2ant2 19.23t 3ad2ant1
      wex sylibd mpid biimpr imim2i com23 alimi 19.21t mpbid impbid ) BEGZCABHZ
      IZEJZDKZCAIZEJZBUMUOCESZBDUIUPULFLUMUOCBIZEJZUPBIZULUIUOURIDUKUNUQEUJABCA
      BMNOPUIULURUSHDCBEQRTUAUMBUNIZEJZBUOIZULUIVADUKUTEUKCBAUJBAICABUBUCUDUEPU
      IULVAVBHDBUNEUFRUGUH $.
  $}

  ${
    $d x A $.
    $( Remove from ~ ceqsalt dependency on ~ ax-ext (and on ~ df-cleq and
       ~ df-v ).  Note: this is not doable with ~ ceqsralt (or ~ ceqsralv ),
       which uses ~ eleq1 , but the same dependence removal is possible for
       ~ ceqsalg , ~ ceqsal , ~ ceqsalv , ~ cgsexg , ~ cgsex2g , ~ cgsex4g ,
       ~ ceqsex , ~ ceqsexv , ~ ceqsex2 , ~ ceqsex2v , ~ ceqsex3v ,
       ~ ceqsex4v , ~ ceqsex6v , ~ ceqsex8v , ~ gencbvex (after changing
       ` A = y ` to ` y = A ` ), ~ gencbvex2 , ~ gencbval , ~ vtoclgft (it uses
       ` F/_ ` , whose justification ~ nfcjust does not use ~ ax-ext ) and
       several other vtocl* theorems (see for instance ~ bj-vtoclg1f ).  See
       also ~ bj-ceqsaltv .  (Contributed by BJ, 16-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-ceqsalt $p |- ( ( F/ x ps /\ A. x ( x = A -> ( ph <-> ps ) ) /\ A e. V )
                                        -> ( A. x ( x = A -> ph ) <-> ps ) ) $=
      ( wnf cv wceq wb wi wal wcel w3a wex elisset 3anim3i bj-ceqsalt0 syl ) BC
      FZCGDHZABIJCKZDELZMSUATCNZMTAJCKBIUBUCSUACDEOPABTCQR $.
  $}

  ${
    $d x A $.  $d x V $.
    $( Version of ~ bj-ceqsalt with a disjoint variable condition on
       ` x , V ` , removing dependency on ~ df-sb and ~ df-clab .  Prefer its
       use over ~ bj-ceqsalt when sufficient (in particular when ` V ` is
       substituted for ` _V ` ).  (Contributed by BJ, 16-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-ceqsaltv $p |-
                ( ( F/ x ps /\ A. x ( x = A -> ( ph <-> ps ) ) /\ A e. V )
                                        -> ( A. x ( x = A -> ph ) <-> ps ) ) $=
      ( wnf cv wceq wb wi wal wcel w3a wex elissetv 3anim3i bj-ceqsalt0 syl ) B
      CFZCGDHZABIJCKZDELZMSUATCNZMTAJCKBIUBUCSUACDEOPABTCQR $.
  $}

  ${
    bj-ceqsalg0.1 $e |- F/ x ps $.
    bj-ceqsalg0.2 $e |- ( ch -> ( ph <-> ps ) ) $.
    $( The FOL content of ~ ceqsalg .  (Contributed by BJ, 12-Oct-2019.)
       (Proof modification is discouraged.) $)
    bj-ceqsalg0 $p |- ( E. x ch -> ( A. x ( ch -> ph ) <-> ps ) ) $=
      ( wnf wb wi wal wex ax-gen bj-ceqsalt0 mp3an12 ) BDGCABHIZDJCDKCAIDJBHEOD
      FLABCDMN $.
  $}

  ${
    $d x A $.
    bj-ceqsalg.1 $e |- F/ x ps $.
    bj-ceqsalg.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Remove from ~ ceqsalg dependency on ~ ax-ext (and on ~ df-cleq and
       ~ df-v ).  See also ~ bj-ceqsalgv .  (Contributed by BJ, 12-Oct-2019.)
       (Proof modification is discouraged.) $)
    bj-ceqsalg $p |- ( A e. V -> ( A. x ( x = A -> ph ) <-> ps ) ) $=
      ( wcel cv wceq wex wi wal wb elisset bj-ceqsalg0 syl ) DEHCIDJZCKRALCMBNC
      DEOABRCFGPQ $.

    $( Alternate proof of ~ bj-ceqsalg .  (Contributed by BJ, 12-Oct-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    bj-ceqsalgALT $p |- ( A e. V -> ( A. x ( x = A -> ph ) <-> ps ) ) $=
      ( wnf cv wceq wb wi wal wcel ax-gen bj-ceqsalt mp3an12 ) BCHCIDJZABKLZCMD
      ENRALCMBKFSCGOABCDEPQ $.
  $}

  ${
    $d x A $.  $d x V $.
    bj-ceqsalgv.1 $e |- F/ x ps $.
    bj-ceqsalgv.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Version of ~ bj-ceqsalg with a disjoint variable condition on
       ` x , V ` , removing dependency on ~ df-sb and ~ df-clab .  Prefer its
       use over ~ bj-ceqsalg when sufficient (in particular when ` V ` is
       substituted for ` _V ` ).  (Contributed by BJ, 12-Oct-2019.)
       (Proof modification is discouraged.) $)
    bj-ceqsalgv $p |- ( A e. V -> ( A. x ( x = A -> ph ) <-> ps ) ) $=
      ( wcel cv wceq wex wi wal wb elissetv bj-ceqsalg0 syl ) DEHCIDJZCKRALCMBN
      CDEOABRCFGPQ $.

    $( Alternate proof of ~ bj-ceqsalgv .  (Contributed by BJ, 12-Oct-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    bj-ceqsalgvALT $p |- ( A e. V -> ( A. x ( x = A -> ph ) <-> ps ) ) $=
      ( wnf cv wceq wb wi wal wcel ax-gen bj-ceqsaltv mp3an12 ) BCHCIDJZABKLZCM
      DENRALCMBKFSCGOABCDEPQ $.
  $}

  ${
    $d x A $.
    bj-ceqsal.1 $e |- F/ x ps $.
    bj-ceqsal.2 $e |- A e. _V $.
    bj-ceqsal.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Remove from ~ ceqsal dependency on ~ ax-ext (and on ~ df-cleq , ~ df-v ,
       ~ df-clab , ~ df-sb ).  (Contributed by BJ, 12-Oct-2019.)
       (Proof modification is discouraged.) $)
    bj-ceqsal $p |- ( A. x ( x = A -> ph ) <-> ps ) $=
      ( cvv wcel cv wceq wi wal wb bj-ceqsalgv ax-mp ) DHICJDKALCMBNFABCDHEGOP
      $.
  $}

  ${
    $d x A $.  $d x ps $.
    bj-ceqsalv.1 $e |- A e. _V $.
    bj-ceqsalv.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Remove from ~ ceqsalv dependency on ~ ax-ext (and on ~ df-cleq ,
       ~ df-v , ~ df-clab , ~ df-sb ).  (Contributed by BJ, 12-Oct-2019.)
       (Proof modification is discouraged.) $)
    bj-ceqsalv $p |- ( A. x ( x = A -> ph ) <-> ps ) $=
      ( nfv bj-ceqsal ) ABCDBCGEFH $.
  $}

  ${
    $d x A $.  $d x ph $.  $d x ch $.
    bj-spcimdv.1 $e |- ( ph -> A e. B ) $.
    bj-spcimdv.2 $e |- ( ( ph /\ x = A ) -> ( ps -> ch ) ) $.
    $( Remove from ~ spcimdv dependency on ~ ax-9 , ~ ax-10 , ~ ax-11 ,
       ~ ax-13 , ~ ax-ext , ~ df-cleq (and ~ df-nfc , ~ df-v , ~ df-or ,
       ~ df-tru , ~ df-nf ).  For an even more economical version, see
       ~ bj-spcimdvv .  (Contributed by BJ, 30-Nov-2020.)
       (Proof modification is discouraged.) $)
    bj-spcimdv $p |- ( ph -> ( A. x ps -> ch ) ) $=
      ( cv wceq wi wal wcel ex alrimiv wex elisset exim syl5 19.36v syl6ib sylc
      ) ADIEJZBCKZKZDLZEFMZBDLCKZAUEDAUCUDHNOGUFUGUDDPZUHUGUCDPUFUIDEFQUCUDDRSB
      CDTUAUB $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.  $d x ch $.
    bj-spcimdvv.1 $e |- ( ph -> A e. B ) $.
    bj-spcimdvv.2 $e |- ( ( ph /\ x = A ) -> ( ps -> ch ) ) $.
    $( Remove from ~ spcimdv dependency on ~ ax-7 , ~ ax-8 , ~ ax-10 ,
       ~ ax-11 , ~ ax-12 ~ ax-13 , ~ ax-ext , ~ df-cleq , ~ df-clab (and
       ~ df-nfc , ~ df-v , ~ df-or , ~ df-tru , ~ df-nf ) at the price of
       adding a disjoint variable condition on ` x , B ` (but in usages, ` x `
       is typically a dummy, hence fresh, variable).  For the version without
       this disjoint variable condition, see ~ bj-spcimdv .  (Contributed by
       BJ, 3-Nov-2021.)  (Proof modification is discouraged.) $)
    bj-spcimdvv $p |- ( ph -> ( A. x ps -> ch ) ) $=
      ( cv wceq wi wal wcel ex alrimiv wex elissetv exim syl5 19.36v syl6ib
      sylc ) ADIEJZBCKZKZDLZEFMZBDLCKZAUEDAUCUDHNOGUFUGUDDPZUHUGUCDPUFUIDEFQUCU
      DDRSBCDTUAUB $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Characterization among sets versus among classes
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Equivalence between two common ways to characterize elements of a class
     ` B ` : the LHS says that sets are elements of ` B ` if and only if they
     satisfy ` ph ` while the RHS says that classes are elements of ` B ` if
     and only if they are sets and satisfy ` ph ` .  Therefore, the LHS is a
     characterization among sets while the RHS is a characterization among
     classes.  Note that the LHS is often formulated using a class variable
     instead of the universe ` _V ` while this is not possible for the RHS
     (apart from using ` B ` itself, which would not be very useful).
     (Contributed by BJ, 26-Feb-2023.) $)
  elelb $p |- ( ( A e. _V -> ( A e. B <-> ph ) ) <->
                ( A e. B <-> ( A e. _V /\ ph ) ) ) $=
    ( wcel cvv elex biadani ) BCDBEDABCFG $.

  $( Characterization of the elements of the powerclass of the cartesian square
     of the universal class: they are exactly the sets which are binary
     relations.  (Contributed by BJ, 16-Dec-2023.) $)
  bj-pwvrelb $p |- ( A e. ~P ( _V X. _V ) <-> ( A e. _V /\ Rel A ) ) $=
    ( cvv cxp cpw wcel wrel elex pwvrel biadanii ) ABBCDZEABEAFAJGABHI $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The nonfreeness quantifier for classes
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  In this section, we prove the symmetry of the nonfreeness quantifier for
  classes.

$)

  $( The nonfreeness quantifier for classes defines a symmetric binary relation
     on var metavariables (irreflexivity is proved by ~ nfnid with additional
     axioms; see also ~ nfcv ).  This could be proved from ~ aecom and ~ nfcvb
     but the latter requires a domain with at least two objects (hence uses
     extra axioms).  (Contributed by BJ, 30-Sep-2018.)  Proof modification is
     discouraged to avoid use of ~ eqcomd instead of ~ equcomd ; removing
     dependency on ~ ax-ext is possible: prove weak versions (i.e. replace
     classes with setvars) of ~ drnfc1 , ~ eleq2d (using ~ elequ2 ), ~ nfcvf ,
     ~ dvelimc , ~ dvelimdc , ~ nfcvf2 .
     (Proof modification is discouraged.) $)
  bj-nfcsym $p |- ( F/_ x y <-> F/_ y x ) $=
    ( weq wal cv wnfc wb sp equcomd drnfc1 wn nfcvf nfcvf2 2thd pm2.61i ) ABCZA
    DZABEZFZBAEZFZGABRTQABPAHIJQKSUAABLABMNO $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Lemmas for class substitution
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Some useful theorems for dealing with substitutions: ~ sbbi , ~ sbcbig ,
  ~ sbcel1g , ~ sbcel2 , ~ sbcel12 , ~ sbceqg , ~ csbvarg .

$)

  ${
    $d x y $.
    $( Substitution in an equality (use the more general version ~ bj-sbeq
       instead, without disjoint variable condition).  (Contributed by BJ,
       6-Oct-2018.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    bj-sbeqALT $p |- ( [ y / x ] A = B <-> [_ y / x ]_ A = [_ y / x ]_ B ) $=
      ( wceq cv csb nfcsb1v nfeq weq csbeq1a eqeq12d sbiev ) CDEABFZCGZANDGZEAB
      AOPANCHANDHIABJCODPANCKANDKLM $.
  $}

  ${
    $d z x $.  $d z y $.  $d z A $.  $d z B $.
    $( Distribute proper substitution through an equality relation.  (See
       ~ sbceqg ).  (Contributed by BJ, 6-Oct-2018.) $)
    bj-sbeq $p |- ( [ y / x ] A = B <-> [_ y / x ]_ A = [_ y / x ]_ B ) $=
      ( vz wceq wsb cv csb wcel wal wsbc dfcleq sbbii sbsbc sbcal 3bitri sbcel2
      wb albii cvv sbcbig elv bibi12i bitr4i ) CDFZABGZEHZABHZCIZJZUHAUIDIZJZSZ
      EKZUJULFUGUHCJZUHDJZSZAUILZEKZUPAUILZUQAUILZSZEKUOUGUREKZABGVDAUILUTUFVDA
      BECDMNVDABOUREAUIPQUSVCEUSVCSBUPUQAUIUAUBUCTVCUNEVAUKVBUMAUIUHCRAUIUHDRUD
      TQEUJULMUE $.
  $}

  ${
    $d y A $.  $d y B $.  $d y C $.  $d y x $.  $d y V $.
    $( Distribute proper substitution through an equality relation.  Alternate
       proof of ~ sbceqg .  (Contributed by BJ, 6-Oct-2018.)  Proof
       modification is discouraged to avoid using ~ sbceqg , but the Metamath
       program "MM-PA> MINIMIZE__WITH * / EXCEPT sbceqg" command is ok.
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    bj-sbceqgALT $p |- ( A e. V -> ( [. A / x ]. B = C <->
      [_ A / x ]_ B = [_ A / x ]_ C ) ) $=
      ( vy wcel wceq wsbc cv csb wb wal dfcleq sbcth sbcbig mpbid albidv sbcel2
      a1i sbcal bitrdi bibi12d 3bitrd bitr4di ) BEGZCDHZABIZFJZABCKZGZUIABDKZGZ
      LZFMZUJULHUFUHUICGZUIDGZLZABIZFMZUPABIZUQABIZLZFMUOUFUHURFMZABIZUTUFUGVDL
      ZABIUHVELVFABEFCDNOUGVDABEPQURFABUAUBUFUSVCFUPUQABEPRUFVCUNFUFVAUKVBUMVAU
      KLUFABUICSTVBUMLUFABUIDSTUCRUDFUJULNUE $.
  $}

  ${
    $d y x A $.
    $( Lemma for ~ bj-csbsn (in this lemma, ` x ` cannot occur in ` A ` ).
       (Contributed by BJ, 6-Oct-2018.)  (New usage is discouraged.) $)
    bj-csbsnlem $p |- [_ A / x ]_ { x } = { A } $=
      ( vy cv csn csb wcel wsbc cab wceq abid df-sbc wex weq clelab velsn exbii
      wa cvv 3bitri anbi2i eqeq2 pm5.32i 19.41v simpr eqvisset syl ancri impbii
      elisset df-csb eleq2i 3bitr4i eqriv ) CABADZEZFZBEZCDZUSUPGZABHZCIZGZUSBJ
      ZUSUQGUSURGVCVABUTAIGZVDVACKUTABLVEUOBJZUTRZAMVFCANZRZAMZVDUTABOVGVIAUTVH
      VFCUOPUAQVJVFVDRZAMVFAMZVDRZVDVIVKAVFVHVDUOBUSUBUCQVFVDAUDVMVDVLVDUEVDVLV
      DBSGVLCBUFABSUJUGUHUITTTUQVBUSACBUPUKULCBPUMUN $.
  $}

  ${
    $d y x $.  $d y A $.
    $( Substitution in a singleton.  (Contributed by BJ, 6-Oct-2018.) $)
    bj-csbsn $p |- [_ A / x ]_ { x } = { A } $=
      ( vy cv csn csb bj-csbsnlem csbeq2i csbcow 3eqtr3i ) CBACDZADEZFZFCBKEZFA
      BLFBECBMNAKGHACBLICBGJ $.
  $}

  ${
    $d x B $.
    $( Version of ~ sbcel1g when substituting a set.  (Note: one could have a
       corresponding version of ~ sbcel12 when substituting a set, but the
       point here is that the antecedent of ~ sbcel1g is not needed when
       substituting a set.)  (Contributed by BJ, 6-Oct-2018.) $)
    bj-sbel1 $p |- ( [ y / x ] A e. B <-> [_ y / x ]_ A e. B ) $=
      ( wcel wsb cv wsbc csb sbsbc wb cvv sbcel1g elv bitri ) CDEZABFPABGZHZAQC
      IDEZPABJRSKBAQCDLMNO $.
  $}

  $( The class of sets verifying a tautology is the universal class.
     (Contributed by BJ, 24-Jul-2019.)  (Proof modification is discouraged.) $)
  bj-abv $p |- ( A. x ph -> { x | ph } = _V ) $=
    ( wal cab wtru cvv wb wceq trud simpl impbida alimi abbi1 syl dfv2 eqtr4di
    wa ) ABCZABDZEBDZFRAEGZBCSTHAUABAAEAAQIAEJKLAEBMNBOP $.

  ${
    $d y x $.  $d y ph $.
    $( Alternate version of ~ bj-abv ; shorter but uses ~ ax-8 .  (Contributed
       by BJ, 24-Jul-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    bj-abvALT $p |- ( A. x ph -> { x | ph } = _V ) $=
      ( vy wal cv cab wcel cvv wceq ax-5 vexwt alrimih eqv sylibr ) ABDZCEABFZG
      ZCDPHIOQCOCJABCKLCPMN $.
  $}

  ${
    $d y x $.  $d y ph $.
    $( The class of sets verifying a falsity is the empty set (closed form of
       ~ abf ).  (Contributed by BJ, 24-Jul-2019.)
       (Proof modification is discouraged.) $)
    bj-ab0 $p |- ( A. x -. ph -> { x | ph } = (/) ) $=
      ( vy wn wal cab wsb cv wcel stdpc4 sbn1 syl df-clab sylnibr eq0rdv ) ADZB
      EZCABFZQABCGZCHRIQPBCGSDPBCJABCKLACBMNO $.
  $}

  ${
    bj-abf.1 $e |- -. ph $.
    $( Shorter proof of ~ abf (which should be kept as abfALT).  (Contributed
       by BJ, 24-Jul-2019.)  (Proof modification is discouraged.) $)
    bj-abf $p |- { x | ph } = (/) $=
      ( wn cab c0 wceq bj-ab0 mpg ) ADABEFGBABHCI $.
  $}

  ${
    $d y x $.  $d y A $.  $d y B $.
    $( More direct proof of ~ csbprc (fewer essential steps).  (Contributed by
       BJ, 24-Jul-2019.)  (Proof modification is discouraged.) $)
    bj-csbprc $p |- ( -. A e. _V -> [_ A / x ]_ B = (/) ) $=
      ( vy cvv wcel wn csb cv wsbc cab c0 df-csb wal sbcex con3i alrimiv bj-ab0
      wceq syl syl5eq ) BEFZGZABCHDICFZABJZDKZLADBCMUCUEGZDNUFLSUCUGDUEUBUDABOP
      QUEDRTUA $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Removing some axiom requirements and disjoint variable conditions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d ps x $.
    bj-exlimvmpi.maj $e |- ( ch -> ( ph -> ps ) ) $.
    bj-exlimvmpi.min $e |- ph $.
    $( A Fol lemma ( ~ exlimiv followed by ~ mpi ).  (Contributed by BJ,
       2-Jul-2022.)  (Proof modification is discouraged.) $)
    bj-exlimvmpi $p |- ( E. x ch -> ps ) $=
      ( mpi exlimiv ) CBDCABFEGH $.
  $}

  ${
    bj-exlimmpi.nf $e |- F/ x ps $.
    bj-exlimmpi.maj $e |- ( ch -> ( ph -> ps ) ) $.
    bj-exlimmpi.min $e |- ph $.
    $( Lemma for ~ bj-vtoclg1f1 (an instance of this lemma is a version of
       ~ bj-vtoclg1f1 where ` x ` and ` y ` are identified).  (Contributed by
       BJ, 30-Apr-2019.)  (Proof modification is discouraged.) $)
    bj-exlimmpi $p |- ( E. x ch -> ps ) $=
      ( mpi exlimi ) CBDECABGFHI $.
  $}

  ${
    bj-exlimmpbi.nf $e |- F/ x ps $.
    bj-exlimmpbi.maj $e |- ( ch -> ( ph <-> ps ) ) $.
    bj-exlimmpbi.min $e |- ph $.
    $( Lemma for theorems of the ~ vtoclg family.  (Contributed by BJ,
       3-Oct-2019.)  (Proof modification is discouraged.) $)
    bj-exlimmpbi $p |- ( E. x ch -> ps ) $=
      ( mpbii exlimi ) CBDECABGFHI $.
  $}

  ${
    bj-exlimmpbir.nf $e |- F/ x ph $.
    bj-exlimmpbir.maj $e |- ( ch -> ( ph <-> ps ) ) $.
    bj-exlimmpbir.min $e |- ps $.
    $( Lemma for theorems of the ~ vtoclg family.  (Contributed by BJ,
       3-Oct-2019.)  (Proof modification is discouraged.) $)
    bj-exlimmpbir $p |- ( E. x ch -> ph ) $=
      ( mpbiri exlimi ) CADECABGFHI $.
  $}

  ${
    $d x A $.  $d x V $.
    bj-vtoclf.nf $e |- F/ x ps $.
    bj-vtoclf.s $e |- A e. V $.
    bj-vtoclf.maj $e |- ( x = A -> ( ph <-> ps ) ) $.
    bj-vtoclf.min $e |- ph $.
    $( Remove dependency on ~ ax-ext , ~ df-clab and ~ df-cleq (and ~ df-sb and
       ~ df-v ) from ~ vtoclf .  (Contributed by BJ, 6-Oct-2019.)
       (Proof modification is discouraged.) $)
    bj-vtoclf $p |- ps $=
      ( cv wceq wi bj-issetiv biimpd eximii 19.36i mpg ) ABCABCFCJDKZABLCCDEGMR
      ABHNOPIQ $.
  $}

  ${
    $d x A $.  $d x ps $.  $d x V $.
    bj-vtocl.s $e |- A e. V $.
    bj-vtocl.maj $e |- ( x = A -> ( ph <-> ps ) ) $.
    bj-vtocl.min $e |- ph $.
    $( Remove dependency on ~ ax-ext , ~ df-clab and ~ df-cleq (and ~ df-sb and
       ~ df-v ) from ~ vtocl .  (Contributed by BJ, 6-Oct-2019.)
       (Proof modification is discouraged.) $)
    bj-vtocl $p |- ps $=
      ( nfv bj-vtoclf ) ABCDEBCIFGHJ $.
  $}

  ${
    $d x A $.  $d y A $.
    bj-vtoclg1f1.nf $e |- F/ x ps $.
    bj-vtoclg1f1.maj $e |- ( x = A -> ( ph -> ps ) ) $.
    bj-vtoclg1f1.min $e |- ph $.
    $( The FOL content of ~ vtoclg1f (hence not using ~ ax-ext , ~ df-cleq ,
       ~ df-nfc , ~ df-v ).  Note the weakened "major" hypothesis and the
       disjoint variable condition between ` x ` and ` A ` (needed since the
       nonfreeness quantifier for classes is not available without ~ ax-ext ;
       as a byproduct, this dispenses with ~ ax-11 and ~ ax-13 ).  (Contributed
       by BJ, 30-Apr-2019.)  (Proof modification is discouraged.) $)
    bj-vtoclg1f1 $p |- ( E. y y = A -> ps ) $=
      ( cv wceq wex bj-denotes bj-exlimmpi sylbi ) DIEJDKCIEJZCKBDCELABOCFGHMN
      $.
  $}

  ${
    $d x A $.
    bj-vtoclg1f.nf $e |- F/ x ps $.
    bj-vtoclg1f.maj $e |- ( x = A -> ( ph -> ps ) ) $.
    bj-vtoclg1f.min $e |- ph $.
    $( Reprove ~ vtoclg1f from ~ bj-vtoclg1f1 .  This removes dependency on
       ~ ax-ext , ~ df-cleq and ~ df-v .  Use ~ bj-vtoclg1fv instead when
       sufficient (in particular when ` V ` is substituted for ` _V ` ).
       (Contributed by BJ, 14-Sep-2019.)
       (Proof modification is discouraged.) $)
    bj-vtoclg1f $p |- ( A e. V -> ps ) $=
      ( wcel cv wceq wex elisset bj-exlimmpi syl ) DEICJDKZCLBCDEMABPCFGHNO $.
  $}

  ${
    $d x A $.  $d x V $.
    bj-vtoclg1fv.nf $e |- F/ x ps $.
    bj-vtoclg1fv.maj $e |- ( x = A -> ( ph -> ps ) ) $.
    bj-vtoclg1fv.min $e |- ph $.
    $( Version of ~ bj-vtoclg1f with a disjoint variable condition on
       ` x , V ` .  This removes dependency on ~ df-sb and ~ df-clab .  Prefer
       its use over ~ bj-vtoclg1f when sufficient (in particular when ` V ` is
       substituted for ` _V ` ).  (Contributed by BJ, 14-Sep-2019.)
       (Proof modification is discouraged.) $)
    bj-vtoclg1fv $p |- ( A e. V -> ps ) $=
      ( wcel cv wceq wex elissetv bj-exlimmpi syl ) DEICJDKZCLBCDEMABPCFGHNO $.
  $}

  ${
    $d x A $.  $d x V $.  $d ps x $.
    bj-vtoclg.maj $e |- ( x = A -> ( ph -> ps ) ) $.
    bj-vtoclg.min $e |- ph $.
    $( A version of ~ vtoclg with an additional disjoint variable condition
       (which is removable if we allow use of ~ df-clab , see ~ bj-vtoclg1f ),
       which requires fewer axioms (i.e., removes dependency on ~ ax-6 ,
       ~ ax-7 , ~ ax-9 , ~ ax-12 , ~ ax-ext , ~ df-clab , ~ df-cleq , ~ df-v ).
       (Contributed by BJ, 2-Jul-2022.)
       (Proof modification is discouraged.) $)
    bj-vtoclg $p |- ( A e. V -> ps ) $=
      ( wcel cv wceq wex elissetv bj-exlimvmpi syl ) DEHCIDJZCKBCDELABOCFGMN $.
  $}

  ${
    bj-rabbida2.nf $e |- F/ x ph $.
    bj-rabbida2.1 $e |- ( ph -> ( ( x e. A /\ ps ) <-> ( x e. B /\ ch ) ) ) $.
    $( Version of ~ rabbidva2 with disjoint variable condition replaced by
       nonfreeness hypothesis.  (Contributed by BJ, 27-Apr-2019.) $)
    bj-rabbida2 $p |- ( ph -> { x e. A | ps } = { x e. B | ch } ) $=
      ( cv wcel wa cab crab abbid df-rab 3eqtr4g ) ADIZEJBKZDLQFJCKZDLBDEMCDFMA
      RSDGHNBDEOCDFOP $.
  $}

  ${
    bj-rabeqd.nf $e |- F/ x ph $.
    bj-rabeqd.1 $e |- ( ph -> A = B ) $.
    $( Deduction form of ~ rabeq .  Note that contrary to ~ rabeq it has no
       disjoint variable condition.  (Contributed by BJ, 27-Apr-2019.) $)
    bj-rabeqd $p |- ( ph -> { x e. A | ps } = { x e. B | ps } ) $=
      ( wceq cv wcel wa wb eleq2 anbi1d syl bj-rabbida2 ) ABBCDEFADEHZCIZDJZBKR
      EJZBKLGQSTBDERMNOP $.
  $}

  ${
    bj-rabeqbid.nf $e |- F/ x ph $.
    bj-rabeqbid.1 $e |- ( ph -> A = B ) $.
    bj-rabeqbid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Version of ~ rabeqbidv with two disjoint variable conditions removed and
       the third replaced by a nonfreeness hypothesis.  (Contributed by BJ,
       27-Apr-2019.) $)
    bj-rabeqbid $p |- ( ph -> { x e. A | ps } = { x e. B | ch } ) $=
      ( crab bj-rabeqd rabbid eqtrd ) ABDEJBDFJCDFJABDEFGHKABCDFGILM $.
  $}

  ${
    bj-rabeqbida.nf $e |- F/ x ph $.
    bj-rabeqbida.1 $e |- ( ph -> A = B ) $.
    bj-rabeqbida.2 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Version of ~ rabeqbidva with two disjoint variable conditions removed
       and the third replaced by a nonfreeness hypothesis.  (Contributed by BJ,
       27-Apr-2019.) $)
    bj-rabeqbida $p |- ( ph -> { x e. A | ps } = { x e. B | ch } ) $=
      ( crab rabbida bj-rabeqd eqtrd ) ABDEJCDEJCDFJABCDEGIKACDEFGHLM $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y R $.
    bj-seex.nf $e |- F/_ x B $.
    $( Version of ~ seex with a disjoint variable condition replaced by a
       nonfreeness hypothesis (for the sake of illustration).  (Contributed by
       BJ, 27-Apr-2019.) $)
    bj-seex $p |- ( ( R Se A /\ B e. A ) -> { x e. A | x R B } e. _V ) $=
      ( vy wse cv wbr crab cvv wcel wral df-se wceq nfeq2 rabbid eleq1d rspccva
      breq2 sylanb ) BDGAHZFHZDIZABJZKLZFBMCBLUBCDIZABJZKLZFABDNUFUIFCBUCCOZUEU
      HKUJUDUGABAUCCEPUCCUBDTQRSUA $.
  $}

  ${
    $d x y z $.  $d A z $.
    bj-nfcf.nf $e |- F/_ y A $.
    $( Version of ~ df-nfc with a disjoint variable condition replaced with a
       nonfreeness hypothesis.  (Contributed by BJ, 2-May-2019.) $)
    bj-nfcf $p |- ( F/_ x A <-> A. y F/ x y e. A ) $=
      ( vz wnfc wcel wnf wal df-nfc nfcri nfnf sb8v bj-sbnf clelsb1 nfbii bitri
      cv wsb albii ) ACFERCGZAHZEIZBRCGZAHZBIZAECJUCUBEBSZBIUFUBEBUABABECDKLMUG
      UEBUGUAEBSZAHUEUAAEBNUHUDAEBCOPQTQQ $.
  $}

  ${
    $d A x y z $.  $d ph y z $.  $d V z $.
    $( General version of ~ zfauscl .

       Remark: the comment in ~ zfauscl is misleading: the essential use of
       ~ ax-ext is the one via ~ eleq2 and not the one via ~ vtocl , since the
       latter can be proved without ~ ax-ext (see ~ bj-vtoclg ).

       (Contributed by BJ, 2-Jul-2022.)
       (Proof modification is discouraged.) $)
    bj-zfauscl $p |- ( A e. V -> E. y A. x ( x e. y <-> ( x e. A /\ ph ) ) ) $=
      ( vz wel wa wb wal wex wcel wceq eleq2 anbi1d bibi2d biimpd alimdv eximdv
      cv ax-sep bj-vtoclg ) BCGZBFGZAHZIZBJZCKUCBTZDLZAHZIZBJZCKFDEFTZDMZUGULCU
      NUFUKBUNUFUKUNUEUJUCUNUDUIAUMDUHNOPQRSABCFUAUB $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Class abstractions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  A few additional theorems on class abstractions and restricted class
  abstractions.

$)

  ${
    $d x y ph $.  $d x y ch $.  $d x y A $.  $d B y $.
    bj-elabd2ALT.ex $e |- ( ph -> A e. V ) $.
    bj-elabd2ALT.eq $e |- ( ph -> B = { x | ps } ) $.
    bj-elabd2ALT.is $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    $( Alternate proof of ~ elabd2 bypassing ~ elab6g (and using ~ sbiedvw
       instead of the ` A. x ( x = y -> ps ) ` idiom).  (Contributed by BJ,
       16-Oct-2024.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    bj-elabd2ALT $p |- ( ph -> ( A e. B <-> ch ) ) $=
      ( vy cv cab wcel wsb wb wceq wa simpr eqcomd adantr eqeq1 biimparc anim2i
      eleq12d weq anassrs syl sbiedvw bibi12d df-clab a1i vtocld ) AKLZBDMZNZBD
      KOZPZEFNZCPKEGHAUNEQZRZUPUSUQCVAUNEUOFAUTSAUOFQUTAFUOITUAUEVABCDKVADKUFZR
      ADLZEQZRZBCPAUTVBVEUTVBRVDAVBVDUTVCUNEUBUCUDUGJUHUIUJURABKDUKULUM $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Generalization of ~ unrab .  Equality need not hold.  (Contributed by
       BJ, 21-Apr-2019.) $)
    bj-unrab $p |- ( { x e. A | ph } u. { x e. B | ps } ) C_
                 { x e. ( A u. B ) | ( ph \/ ps ) } $=
      ( crab wo cun wss ssun1 rabss2 ax-mp wi wcel orc a1i ss2rabi sstri ssun2
      cv olc unssi ) ACDFZBCEFZABGZCDEHZFZUCACUFFZUGDUFIUCUHIDEJACDUFKLAUECUFAU
      EMCTUFNZABOPQRUDBCUFFZUGEUFIUDUJIEDSBCEUFKLBUECUFBUEMUIBAUAPQRUB $.
  $}

  $( Generalization of ~ inrab .  (Contributed by BJ, 21-Apr-2019.) $)
  bj-inrab $p |- ( { x e. A | ph } i^i { x e. B | ps } ) =
                 { x e. ( A i^i B ) | ( ph /\ ps ) } $=
    ( cv wcel wa cab cin crab an4 elin anbi1i bitr4i abbii df-rab ineq12i eqtri
    inab 3eqtr4i ) CFZDGZAHZUBEGZBHZHZCIZUBDEJZGZABHZHZCIACDKZBCEKZJZUKCUIKUGUL
    CUGUCUEHZUKHULUCAUEBLUJUPUKUBDEMNOPUOUDCIZUFCIZJUHUMUQUNURACDQBCEQRUDUFCTSU
    KCUIQUA $.

  $( Shorter proof of ~ inrab .  (Contributed by BJ, 21-Apr-2019.)
     (Proof modification is discouraged.) $)
  bj-inrab2 $p |- ( { x e. A | ph } i^i { x e. A | ps } ) =
                                                   { x e. A | ( ph /\ ps ) } $=
    ( crab cin wa bj-inrab wceq wtru nfv inidm a1i bj-rabeqd mptru eqtri ) ACDE
    BCDEFABGZCDDFZEZQCDEZABCDDHSTIJQCRDJCKRDIJDLMNOP $.

  ${
    $d A x $.  $d B x $.
    $( Generalization of ~ dfrab3ss , which it may shorten.  (Contributed by
       BJ, 21-Apr-2019.)  (Revised by OpenAI, 7-Jul-2020.) $)
    bj-inrab3 $p |- ( A i^i { x e. B | ph } ) = ( { x e. A | ph } i^i B ) $=
      ( crab cin cab dfrab3 ineq2i incom in12 3eqtr4i eqtr4i ) CABDEZFCDABGZFZF
      ZABCEZDFZNPCABDHIDRFDCOFZFSQRTDABCHIRDJCDOKLM $.
  $}

  ${
    $d x A $.
    $( Restricted class abstraction with true formula.  (Contributed by BJ,
       22-Apr-2019.) $)
    bj-rabtr $p |- { x e. A | T. } = A $=
      ( wtru crab ssrab2 wss wral ssid tru rgenw ssrab mpbir2an eqssi ) CABDZBC
      ABEBNFBBFCABGBHCABIJCABBKLM $.

    $( Alternate proof of ~ bj-rabtr .  (Contributed by BJ, 22-Apr-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    bj-rabtrALT $p |- { x e. A | T. } = A $=
      ( wtru crab wceq cv wcel wb nfrab1 nfcv cleqf tru rabid mpbiran2 mpgbir )
      CABDZBEAFZPGZQBGZHAAPBCABIABJKRSCLCABMNO $.

    $( Proof of ~ bj-rabtr found automatically by the Metamath program "MM-PA>
       IMPROVE ALL / DEPTH 3 / 3" command followed by "MM-PA> MINIMIZE__WITH
       *".  (Contributed by BJ, 22-Apr-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    bj-rabtrAUTO $p |- { x e. A | T. } = A $=
      ( wtru crab ssrab2 wss ssid a1i cv wcel simpl ssrabdv mptru eqssi ) CABDZ
      BCABEBOFCCABBBBFCBGHCAIBJKLMN $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Generalized class abstractions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Braces for generalized class abstractions.  Needed to ease parsing. $)
  $c {{ }} $.

  $( Syntax for generalized class abstractions. $)
  bj-cgab $a class {{ A | x | ph }} $.

  ${
    $d x y $.  $d A y $.  $d ph y $.
    $( Definition of generalized class abstractions: typically, ` x ` is a
       bound variable in ` A ` and ` ph ` and ` { A | x | ph } ` denotes "the
       class of ` A ( x ) ` 's such that ` ph ( x ) ` ".  (Contributed by BJ,
       4-Oct-2024.) $)
    df-bj-gab $a |- {{ A | x | ph }} = { y | E. x ( A = y /\ ph ) } $.
  $}

  ${
    $d x y $.  $d ph y $.  $d ps y $.  $d A y $.  $d B y $.
    $( Inclusion of generalized class abstractions.  (Contributed by BJ,
       4-Oct-2024.) $)
    bj-gabss $p |- ( A. x ( A = B /\ ( ph -> ps ) ) ->
                                      {{ A | x | ph }} C_ {{ B | x | ps }} ) $=
      ( vy wi wa wal cv wex cab bj-cgab wss eqeq1 biimpd adantr simpr df-bj-gab
      wceq anim12d aleximi alrimiv ss2ab sylibr 3sstr4g ) DETZABGZHZCIZDFJZTZAH
      ZCKZFLZEUKTZBHZCKZFLZACDMBCEMUJUNURGZFIUOUSNUJUTFUIUMUQCUIULUPABUGULUPGUH
      UGULUPDEUKOPQUGUHRUAUBUCUNURFUDUEACFDSBCFESUF $.
  $}

  ${
    bj-gabssd.nf $e |- ( ph -> A. x ph ) $.
    bj-gabssd.c $e |- ( ph -> A = B ) $.
    bj-gabssd.f $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inclusion of generalized class abstractions.  Deduction form.
       (Contributed by BJ, 4-Oct-2024.) $)
    bj-gabssd $p |- ( ph -> {{ A | x | ps }} C_ {{ B | x | ch }} ) $=
      ( wceq wi wa wal bj-cgab wss jca alrimih bj-gabss syl ) AEFJZBCKZLZDMBDEN
      CDFNOAUBDGATUAHIPQBCDEFRS $.
  $}

  ${
    bj-gabeqd.nf $e |- ( ph -> A. x ph ) $.
    bj-gabeqd.c $e |- ( ph -> A = B ) $.
    bj-gabeqd.f $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equality of generalized class abstractions.  Deduction form.
       (Contributed by BJ, 4-Oct-2024.) $)
    bj-gabeqd $p |- ( ph -> {{ A | x | ps }} = {{ B | x | ch }} ) $=
      ( bj-cgab biimpd bj-gabssd eqcomd biimprd eqssd ) ABDEJCDFJABCDEFGHABCIKL
      ACBDFEGAEFHMABCINLO $.
  $}

  ${
    $d A y u v $.  $d ph y u v $.  $d B x v u $.  $d ps x u v $.  $d u v x y $.
    bj-gabeqis.c $e |- ( x = y -> A = B ) $.
    bj-gabeqis.f $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Equality of generalized class abstractions, with implicit substitution.
       (Contributed by BJ, 4-Oct-2024.) $)
    bj-gabeqis $p |- {{ A | x | ph }} = {{ B | y | ps }} $=
      ( vu vv cv wceq wa wex cab bj-cgab weq adantl simpl df-bj-gab eqeq12d wb
      anbi12d cbvexdvaw cbvabv 3eqtr4i ) EIKZLZAMZCNZIOFJKZLZBMZDNZJOACEPBDFPUJ
      UNIJIJQZUIUMCDUOCDQZMZUHULABUQEFUGUKUPEFLUOGRUOUPSUAUPABUBUOHRUCUDUEACIET
      BDJFTUF $.
  $}

  ${
    $d x y $.  $d ph y $.  $d ps y $.  $d A y $.  $d B y $.
    bj-elgab.nf $e |- ( ph -> A. x ph ) $.
    bj-elgab.nfa $e |- ( ph -> F/_ x A ) $.
    bj-elgab.ex $e |- ( ph -> A e. V ) $.
    bj-elgab.is $e |- ( ph -> ( E. x ( A = B /\ ps ) <-> ch ) ) $.
    $( Elements of a generalized class abstraction.  (Contributed by BJ,
       4-Oct-2024.) $)
    bj-elgab $p |- ( ph -> ( A e. {{ B | x | ps }} <-> ch ) ) $=
      ( vy bj-cgab wcel wceq wa wex wb wi wal cab df-bj-gab eleq2i adantr nfcvd
      cv id nfeqd nf5rd syl imp 19.26 sylanbrc eqeq2 eqcom bitrdi anbi1d adantl
      wnfc exbidh ex alrimiv elabgt syl2anc bitrd syl5bb ) EBDFMZNEFLUFZOZBPZDQ
      ZLUAZNZACVGVLEBDLFUBUCAVMEFOZBPZDQZCAEGNVHEOZVKVPRZSZLTVMVPRJAVSLAVQVRAVQ
      PZVJVODVTADTZVQDTZVTDTAWAVQHUDAVQWBADEUSZVQWBSIWCVQDWCDVHEWCDVHUEWCUGUHUI
      UJUKAVQDULUMVQVJVORAVQVIVNBVQVIFEOVNVHEFUNFEUOUPUQURUTVAVBVKVPLEGVCVDKVEV
      F $.
  $}

  ${
    $d x y z $.  $d ph y z $.  $d F y z $.  $d ps y z $.
    bj-gabima.nf $e |- ( ph -> A. x ph ) $.
    bj-gabima.nff $e |- ( ph -> F/_ x F ) $.
    bj-gabima.fun $e |- ( ph -> Fun F ) $.
    bj-gabima.dm $e |- ( ph -> { x | ps } C_ dom F ) $.
    $( Generalized class abstraction as a direct image.

       TODO: improve the support lemmas ~ elimag and ~ fvelima to nonfreeness
       hypothesis (and for the latter, biconditional).  (Contributed by BJ,
       4-Oct-2024.) $)
    bj-gabima $p |- ( ph -> {{ ( F ` x ) | x | ps }} = ( F " { x | ps } ) ) $=
      ( vy vz cv cfv wcel wceq cvv a1i wa wex wb wnfc bj-cgab cab cima wrex vex
      nfcvd wsb df-rex eqcom df-clab bicomi anbi12ci exbii nf5i nffvd nfeqd wnf
      nfcv nfs1v nfand weq wi eqeq2d sbequ12r anbi12d cbvexdw 3bitr2rd bj-elgab
      fveq2 cdm funfnd fvelimabd bitr4d eqrdv ) AIBCCKZDLZUAZDBCUBZUCZAIKZVQMJK
      ZDLZVTNZJVRUDZVTVSMABWDCVTVPOEACVTUFVTOMAIUEPAWDWAVRMZWCQZJRZVTWBNZBCJUGZ
      QZJRZVTVPNZBQZCRWDWGSAWCJVRUHPWKWGSAWJWFJWHWCWIWEVTWBUIWEWIBJCUJUKULUMPAW
      JWMJCACEUNAWHWICACVTWBCVTTACVTURPACWADFCWATACWAURPUOUPWICUQABCJUSPUTJCVAZ
      WJWMSVBAWNWHWLWIBWNWBVPVTWAVODVIVCBJCVDVEPVFVGVHAJDVJVRVTDADGVKHVLVMVN $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Restricted nonfreeness
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  In this subsection, we define restricted nonfreeness (or relative
  nonfreeness).

$)

  $( Syntax for restricted nonfreeness. $)
  wrnf $a wff F/ x e. A ph $.

  $( Definition of restricted nonfreeness.  Informally, the proposition
     ` F/ x e. A ph ` means that ` ph ( x ) ` does not vary on ` A ` .
     (Contributed by BJ, 19-Mar-2021.) $)
  df-bj-rnf $a |- ( F/ x e. A ph <-> ( E. x e. A ph -> A. x e. A ph ) ) $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Russell's paradox
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  A few results around Russell's paradox.  For clarity, we prove separately its
  FOL part ( ~ bj-ru0 ) and then two versions ( ~ bj-ru1 and ~ bj-ru ).
  Special attention is put on minimizing axiom depencencies.

$)

  ${
    $d x y $.
    $( The FOL part of Russell's paradox ~ ru (see also ~ bj-ru1 , ~ bj-ru ).
       Use of ~ elequ1 , ~ bj-elequ12 (instead of ~ eleq1 , ~ eleq12d as in
       ~ ru ) permits to remove dependency on ~ ax-10 , ~ ax-11 , ~ ax-12 ,
       ~ ax-ext , ~ df-sb , ~ df-clab , ~ df-cleq , ~ df-clel .  (Contributed
       by BJ, 12-Oct-2019.)  (Proof modification is discouraged.) $)
    bj-ru0 $p |- -. A. x ( x e. y <-> -. x e. x ) $=
      ( wel wn wal pm5.19 weq elequ1 bj-elequ12 anidms notbid bibi12d spvv mto
      wb ) ABCZAACZDZOZAEBBCZTDZOZTFSUBABABGZPTRUAABBHUCQTUCQTOABABIJKLMN $.
  $}

  ${
    $d x y $.
    $( A version of Russell's paradox ~ ru (see also ~ bj-ru ).  (Contributed
       by BJ, 12-Oct-2019.)  (Proof modification is discouraged.) $)
    bj-ru1 $p |- -. E. y y = { x | -. x e. x } $=
      ( cv wel wn cab wceq wb wal bj-ru0 abeq2 mtbir nex ) BCZAADEZAFGZBPABDOHA
      IABJOANKLM $.
  $}

  ${
    $d x y $.  $d y V $.
    $( Remove dependency on ~ ax-13 (and ~ df-v ) from Russell's paradox ~ ru
       expressed with primitive symbols and with a class variable ` V ` .  Note
       the more economical use of ~ elissetv instead of ~ isset to avoid use of
       ~ df-v .  (Contributed by BJ, 12-Oct-2019.)
       (Proof modification is discouraged.) $)
    bj-ru $p |- -. { x | -. x e. x } e. V $=
      ( vy wel wn cab wcel cv wceq wex bj-ru1 elissetv mto ) AADEAFZBGCHNICJACK
      CNBLM $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Curry's paradox in set theory
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x ph $.
    $( Lemma for ~ currysetlem , where it is used with ` ( x e. x -> ph ) `
       substituted for ` ps ` .  (Contributed by BJ, 23-Sep-2023.)  This proof
       is intuitionistically valid.  (Proof modification is discouraged.) $)
    currysetlem $p |- ( { x | ps } e. V ->
                        ( { x | ps } e. { x | ( x e. x -> ph ) } <->
                                      ( { x | ps } e. { x | ps } -> ph ) ) ) $=
      ( wel wi cab wcel nfab1 nfel nfv nfim cv wceq id eleq12d imbi1d elabgf )
      CCEZAFBCGZTHZAFCTDBCIZUAACCTTUBUBJACKLCMZTNZSUAAUDUCTUCTUDOZUEPQR $.

    $( Curry's paradox in set theory.  This can be seen as a generalization of
       Russell's paradox, which corresponds to the case where ` ph ` is
       ` F. ` .  See alternate exposal of basically the same proof
       ~ currysetALT .  (Contributed by BJ, 23-Sep-2023.)  This proof is
       intuitionistically valid.  (Proof modification is discouraged.) $)
    curryset $p |- -. { x | ( x e. x -> ph ) } e. V $=
      ( wel wi cab wcel cvv wceq wn currysetlem ibi pm2.43i mpbiri ax-1 alrimiv
      wal bj-abv syl nvel eleq1 mtbiri 4syl bj-pm2.01i ) BBDZAEZBFZCGZUHUGUGGZA
      UGHIZUHJUHUIUIAEZUIAUIUKAUFBUGKLMZAUFBCKNULAUFBQUJAUFBAUEOPUFBRSUJUHHCGCT
      UGHCUAUBUCUD $.
  $}

  ${
    $d x ph $.
    currysetlem2.def $e |- X = { x | ( x e. x -> ph ) } $.
    $( Lemma for ~ currysetALT .  (Contributed by BJ, 23-Sep-2023.)  This proof
       is intuitionistically valid.  (Proof modification is discouraged.) $)
    currysetlem1 $p |- ( X e. V -> ( X e. X <-> ( X e. X -> ph ) ) ) $=
      ( wcel wel wi cab eqcomi eleq2i nfab1 nfcxfr nfel nfim cv wceq id eleq12d
      nfv imbi1d elabgf bitr3id ) DDFZDBBGZAHZBIZFDCFUDAHZUGDDDUGEJKUFUHBDCBDUG
      EUFBLMZUDABBDDUIUINABTOBPZDQZUEUDAUKUJDUJDUKRZULSUAUBUC $.

    $( Lemma for ~ currysetALT .  (Contributed by BJ, 23-Sep-2023.)  This proof
       is intuitionistically valid.  (Proof modification is discouraged.) $)
    currysetlem2 $p |- ( X e. V -> ( X e. X -> ph ) ) $=
      ( wcel wi currysetlem1 biimpd pm2.43d ) DCFZDDFZAKLLAGABCDEHIJ $.

    $( Lemma for ~ currysetALT .  (Contributed by BJ, 23-Sep-2023.)  This proof
       is intuitionistically valid.  (Proof modification is discouraged.) $)
    currysetlem3 $p |- -. X e. V $=
      ( wcel cvv wn wi currysetlem2 currysetlem1 mpbird pm2.43i wel wal alrimiv
      wceq ax-1 cab bj-abv syl5eq syl nvel eleq1 mtbiri 4syl bj-pm2.01i ) DCFZU
      HDDFZADGQZUHHUHUIUIAIABCDEJABCDEKLUIAABDDEJMABBNZAIZBOZUJAULBAUKRPUMDULBS
      GEULBTUAUBUJUHGCFCUCDGCUDUEUFUG $.
  $}

  ${
    $d x ph $.
    $( Alternate proof of ~ curryset , or more precisely alternate exposal of
       the same proof.  (Contributed by BJ, 23-Sep-2023.)  This proof is
       intuitionistically valid.  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    currysetALT $p |- -. { x | ( x e. x -> ph ) } e. V $=
      ( wel wi cab eqid currysetlem3 ) ABCBBDAEBFZIGH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Some disjointness results
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  A few utility theorems on disjointness of classes.

$)

  ${
    $d x A $.
    bj-n0i.1 $e |- A =/= (/) $.
    $( Inference associated with ~ n0 .  Shortens ~ 2ndcdisj (2888>2878),
       ~ notzfaus (264>253).  (Contributed by BJ, 22-Apr-2019.) $)
    bj-n0i $p |- E. x x e. A $=
      ( c0 wne cv wcel wex n0 mpbi ) BDEAFBGAHCABIJ $.
  $}

  $( A class is disjoint from its singleton.  A consequence of regularity.
     Shorter proof than ~ bnj521 and does not depend on ~ df-ne .  (Contributed
     by BJ, 4-Apr-2019.) $)
  bj-disjcsn $p |- ( A i^i { A } ) = (/) $=
    ( csn cin c0 wceq wcel wn elirr disjsn mpbir ) AABCDEAAFGAHAAIJ $.

  $( Disjointness of the singletons containing 0 and 1.  This is a consequence
     of ~ bj-disjcsn but the present proof does not use regularity.
     (Contributed by BJ, 4-Apr-2019.)  (Proof modification is discouraged.) $)
  bj-disjsn01 $p |- ( { (/) } i^i { 1o } ) = (/) $=
    ( c0 c1o wne csn cin wceq 1n0 necomi disjsn2 ax-mp ) ABCADBDEAFBAGHABIJ $.

  $( The empty set does not belong to ` { 1o } ` .  (Contributed by BJ,
     6-Apr-2019.) $)
  bj-0nel1 $p |- (/) e/ { 1o } $=
    ( c0 c1o csn wcel wceq 1n0 nesymi 0ex elsn mtbir nelir ) ABCZALDABEBAFGABHI
    JK $.

  $( ` 1o ` does not belong to ` { (/) } ` .  (Contributed by BJ,
     6-Apr-2019.) $)
  bj-1nel0 $p |- 1o e/ { (/) } $=
    ( c1o c0 csn wcel wceq 1n0 neii elsni mto nelir ) ABCZAKDABEABFGABHIJ $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Complements on direct products
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  A few utility theorems on direct products.

$)

  $( The image of a singleton, general case.  [Change and relabel ~ xpimasn
     accordingly, maybe to xpima2sn.] (Contributed by BJ, 6-Apr-2019.) $)
  bj-xpimasn $p |- ( ( A X. B ) " { X } ) = if ( X e. A , B , (/) ) $=
    ( cxp csn cima cin c0 wceq cif wcel xpima disjsn eqid ifbieq2i ifnot 3eqtri
    wn ) ABDCEZFASGHIZHBJCAKZRZHBJUABHJABSLTUBBBHACMBNOUAHBPQ $.

  $( The image of a singleton by a direct product, empty case.  [Change and
     relabel ~ xpimasn accordingly, maybe to xpima2sn.] (Contributed by BJ,
     6-Apr-2019.) $)
  bj-xpima1sn $p |- ( -. X e. A -> ( ( A X. B ) " { X } ) = (/) ) $=
    ( wcel wn cxp csn cima c0 cif bj-xpimasn iffalse syl5eq ) CADZEABFCGHNBIJIA
    BCKNBILM $.

  $( Alternate proof of ~ bj-xpima1sn .  (Contributed by BJ, 6-Apr-2019.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  bj-xpima1snALT $p |- ( -. X e. A -> ( ( A X. B ) " { X } ) = (/) ) $=
    ( wcel wn csn cin c0 wceq cxp cima disjsn xpima1 sylbir ) CADEACFZGHIABJOKH
    IACLABOMN $.

  $( The image of a singleton by a direct product, nonempty case.  [To replace
     ~ xpimasn .] (Contributed by BJ, 6-Apr-2019.)
     (Proof modification is discouraged.) $)
  bj-xpima2sn $p |- ( X e. A -> ( ( A X. B ) " { X } ) = B ) $=
    ( wcel cxp csn cima c0 cif bj-xpimasn iftrue syl5eq ) CADZABECFGMBHIBABCJMB
    HKL $.

  $( If the first factor of a product is nonempty, and the product is a set,
     then the second factor is a set.  UPDATE: this is actually the curried
     (exported) form of ~ xpexcnv (up to commutation in the product).
     (Contributed by BJ, 6-Oct-2018.)  (Proof modification is discouraged.) $)
  bj-xpnzex $p |- ( A =/= (/) -> ( ( A X. B ) e. V -> B e. _V ) ) $=
    ( c0 wne cxp wcel cvv wi wceq 0ex eleq1a ax-mp wa xpnz xpexr2 simprd expcom
    a1d sylbi pm2.61ine ) ADEZABFZCGZBHGZIZIBDBDJZUFUBUGUEUDDHGUGUEIKDHBLMSSUBB
    DEZUFUBUHNUCDEZUFABOUDUIUEUDUINAHGUEABCPQRTRUA $.

  $( Curried (exported) form of ~ xpexg .  (Contributed by BJ, 2-Apr-2019.) $)
  bj-xpexg2 $p |- ( A e. V -> ( B e. W -> ( A X. B ) e. _V ) ) $=
    ( wcel cxp cvv xpexg ex ) ACEBDEABFGEABCDHI $.

  $( If the first factor of a product is a nonempty set, then the product is a
     set if and only if the second factor is a set.  (Contributed by BJ,
     2-Apr-2019.) $)
  bj-xpnzexb $p |- ( A e. ( V \ { (/) } ) ->
                     ( B e. _V <-> ( A X. B ) e. _V ) ) $=
    ( c0 csn cdif wcel cvv cxp bj-xpexg2 wne wi eldifsni bj-xpnzex syl impbid )
    ACDEFZGZBHGZABIHGZABQHJRADKTSLACDMABHNOP $.

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Substitution property for certain classes.  (Contributed by BJ,
       2-Apr-2019.) $)
    bj-cleq $p |- ( A = B -> { x | { x } e. ( A " C ) } =
                             { x | { x } e. ( B " C ) } ) $=
      ( wceq cima cv csn wcel wb wal cab imaeq1 eleq2 alrimiv abbi1 3syl ) BCEB
      DFZCDFZEZAGHZRIZUASIZJZAKUBALUCALEBCDMTUDARSUANOUBUCAPQ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  "Singletonization" and tagging
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  This subsection introduces the "singletonization" and the "tagging" of a
  class.  The singletonization of a class is the class of singletons of
  elements of that class.  It is useful since all nonsingletons are disjoint
  from it, so one can easily adjoin to it disjoint elements, which is what the
  tagging does: it adjoins the empty set.  This can be used for instance to
  define the one-point compactification of a topological space.  It will be
  used in the next section to define tuples which work for proper classes.

$)

  ${
    $d x y z t u A $.
    $( The class of sets "whose singletons" belong to a set is a set.  Nice
       application of ~ ax-rep .  (Contributed by BJ, 6-Oct-2018.) $)
    bj-snsetex $p |- ( A e. V -> { x | { x } e. A } e. _V ) $=
      ( vy vz vt vu wcel cv csn cvv wex wi wceq syl wal wb wa wsb bitri elisset
      cab eleq2 abbidv eleq1 biimpd eximi bj-eximcom com12 19.3v sbbii csb wsbc
      ax-rep sbsbc sbceq2g elv bj-csbsn eqeq2i eqtr2 sneqr sylan2b syl2anb gen2
      vex nfa1 mo mpbir bj-sbel1 eleq1i df-clab anbi2i eleq1a eqcoms imdistanri
      impac impbii exbii snex isseti 19.42v mpbiran2 3bitr4ri bibi2i albii mpbi
      mpg dfcleq issetri ax5e ) BCHZAIJZBHZAUBZKHZDLZWOWKWLDIZHZAUBZKHZWOMZDLZW
      PWKWQBNZDLXBDBCUAXCXADXCWSWNNZXAXCWRWMAWQBWLUCUDXDWTWOWSWNKUEUFOUGOWTXBWP
      MDXBWTDPWPWTWODUHUIEWSEIZWSNZELFIZXEHZXGWSHZQZFPZELZXHGIZWQHZXMXGJZNZEPZR
      ZGLZQZFPZELZXLXQXGXENZMFPELZYBGXPDEFGUNYDXQXQFESZRYCMZEPFPYFFEXQXPXPFESZY
      CYEXPEUJZXQXPFEYHUKYGXPXMXEJZNZYCYGXMFXEXOULZNZYJYGXPFXEUMZYLXPFEUOYMYLQE
      FXEXMXOKUPUQTYKYIXMFXEURUSTXPYJRXOYINYCXMXOYIUTXGXEFVEVAOVBVCVDXQFEXPEVFV
      GVHWGYAXKEXTXJFXSXIXHWRAFSZXOWQHZXIXSYNAXGWLULZWQHYOAFWLWQVIYPXOWQAXGURVJ
      TWRFAVKXSYOXPRZGLZYOXRYQGXRXNXPRZYQXQXPXNYHVLYSYQXPXNYOXNYOMXOXMXNXOXMNYO
      XMWQXOVMUIVNVOYOXPXNXOWQXMVMVPVQTVRYRYOXPGLGXOXGVSVTYOXPGWAWBTWCWDWEVRWFX
      FXKEFXEWSWHVRVHWIWGOWODWJO $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Sethood of certain classes.  (Contributed by BJ, 2-Apr-2019.) $)
    bj-clex $p |- ( A e. V -> { x | { x } e. ( A " B ) } e. _V ) $=
      ( wcel cima cvv cv csn cab imaexg bj-snsetex syl ) BDEBCFZGEAHINEAJGEBCDK
      ANGLM $.
  $}

  $( Symbol for singletonization. $)
  $c sngl $.

  $( Syntax for singletonization.  (Contributed by BJ, 6-Oct-2018.) $)
  bj-csngl $a class sngl A $.

  ${
    $d x y A $.
    $( Definition of "singletonization".  The class ` sngl A ` is isomorphic to
       ` A ` and since it contains only singletons, it can be easily be
       adjoined disjoint elements, which can be useful in various
       constructions.  (Contributed by BJ, 6-Oct-2018.) $)
    df-bj-sngl $a |- sngl A = { x | E. y e. A x = { y } } $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Substitution property for ` sngl ` .  (Contributed by BJ,
       6-Oct-2018.) $)
    bj-sngleq $p |- ( A = B -> sngl A = sngl B ) $=
      ( vx vy wceq cv csn wrex cab bj-csngl rexeq abbidv df-bj-sngl 3eqtr4g ) A
      BEZCFDFGEZDAHZCIPDBHZCIAJBJOQRCPDABKLCDAMCDBMN $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Characterization of the elements of the singletonization of a class.
       (Contributed by BJ, 6-Oct-2018.) $)
    bj-elsngl $p |- ( A e. sngl B <-> E. x e. B A = { x } ) $=
      ( vy bj-csngl wcel cv wceq wa wex csn wrex dfclel df-bj-sngl abeq2i exbii
      anbi2i r19.42v bicomi 3bitri rexcom4 eqcom snex eqvinc exancom rexbii ) B
      CEZFDGZBHZUHUGFZIZDJUIUHAGZKZHZACLZIZDJZBUMHZACLZDBUGMUKUPDUJUOUIUODUGDAC
      NOQPUQUIUNIZACLZDJZUTDJZACLZUSUPVADVAUPUIUNACRSPVDVBUTADCUASVCURACURVCURU
      MBHUNUIIDJVCBUMUBDUMBULUCUDUNUIDUETSUFTT $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Characterization of the elements of ` A ` in terms of elements of its
       singletonization.  (Contributed by BJ, 6-Oct-2018.) $)
    bj-snglc $p |- ( A e. B <-> { A } e. sngl B ) $=
      ( vx csn cv wceq wrex wcel wa wex df-rex bj-elsngl elisset pm4.71i 19.42v
      bj-csngl wb eleq1 eqcoms exbii 3bitr2i cvv sneqbg elv eqcom bitr3i anbi2i
      pm5.32ri bitri 3bitr4ri ) ADZCEZDZFZCBGULBHZUNIZCJZUKBPHABHZUNCBKCUKBLURU
      OULAFZIZCJZUQURURUSCJZIURUSIZCJVAURVBCABMNURUSCOVCUTCUSURUOURUOQAULAULBRS
      UHTUAUTUPCUSUNUOUSUMUKFZUNVDUSQCULAUBUCUDUMUKUEUFUGTUIUJ $.
  $}

  ${
    $d x y A $.
    $( The singletonization of a class is included in its powerclass.
       (Contributed by BJ, 6-Oct-2018.) $)
    bj-snglss $p |- sngl A C_ ~P A $=
      ( vx vy bj-csngl cpw cv wcel wss wex csn wceq wrex bj-elsngl df-rex snssi
      wa sseq1 biimparc sylan sylbi eximi ax5e syl velpw sylibr ssriv ) BADZAEZ
      BFZUGGZUIAHZUIUHGUJUKCIZUKUJUICFZJZKZCALZULCUIAMUPUMAGZUOPZCIULUOCANURUKC
      UQUNAHZUOUKUMAOUOUKUSUIUNAQRSUATTUKCUBUCBAUDUEUF $.
  $}

  ${
    $d x A $.
    $( The empty set is not a member of a singletonization (neither is any
       nonsingleton, in particular any von Neuman ordinal except possibly
       ~ df-1o ).  (Contributed by BJ, 6-Oct-2018.) $)
    bj-0nelsngl $p |- (/) e/ sngl A $=
      ( vx c0 bj-csngl wcel cv csn wceq wex vex snnz nesymi nex bj-elsngl rexex
      wrex sylbi mto nelir ) CADZCTEZCBFZGZHZBIZUDBUCCUBBJKLMUAUDBAPUEBCANUDBAO
      QRS $.
  $}

  ${
    $d x A $.
    $( Inverse of singletonization.  (Contributed by BJ, 6-Oct-2018.) $)
    bj-snglinv $p |- A = { x | { x } e. sngl A } $=
      ( cv csn bj-csngl wcel bj-snglc abbi2i ) ACZDBEFABIBGH $.
  $}

  ${
    $d x y A $.
    $( A class is a set if and only if its singletonization is a set.
       (Contributed by BJ, 6-Oct-2018.) $)
    bj-snglex $p |- ( A e. _V <-> sngl A e. _V ) $=
      ( vx vy cvv wcel bj-csngl cv wceq wex isset cpw wss eximi bj-snglss sseq2
      pweq mpbiri vpwex ssex exlimiv sylbi csn cab bj-snglinv bj-snsetex impbii
      3syl eqeltrid ) ADEZAFZDEZUIBGZAHZBIZUKBAJUNULKZAKZHZBIUJUOLZBIUKUMUQBULA
      PMUQURBUQURUJUPLANUOUPUJOQMURUKBUJUOBRSTUGUAUKACGUBUJECUCDCAUDCUJDUEUHUF
      $.
  $}

  $( Symbol for the tagged copy of a class. $)
  $c tag $.

  $( Syntax for the tagged copy of a class.  (Contributed by BJ,
     6-Oct-2018.) $)
  bj-ctag $a class tag A $.

  $( Definition of the tagged copy of a class, that is, the adjunction to (an
     isomorph of) ` A ` of a disjoint element (here, the empty set).  Remark:
     this could be used for the one-point compactification of a topological
     space.  (Contributed by BJ, 6-Oct-2018.) $)
  df-bj-tag $a |- tag A = ( sngl A u. { (/) } ) $.

  $( Substitution property for ` tag ` .  (Contributed by BJ, 6-Oct-2018.) $)
  bj-tageq $p |- ( A = B -> tag A = tag B ) $=
    ( wceq bj-csngl c0 csn cun bj-ctag bj-sngleq uneq1d df-bj-tag 3eqtr4g ) ABC
    ZADZEFZGBDZOGAHBHMNPOABIJAKBKL $.

  ${
    $d x A $.  $d x B $.
    $( Characterization of the elements of the tagging of a class.
       (Contributed by BJ, 6-Oct-2018.) $)
    bj-eltag $p |- ( A e. tag B <-> ( E. x e. B A = { x } \/ A = (/) ) ) $=
      ( bj-ctag wcel bj-csngl c0 csn wo cv wceq wrex df-bj-tag eleq2i bj-elsngl
      cun elun 0ex elsn2 orbi12i 3bitri ) BCDZEBCFZGHZPZEBUCEZBUDEZIBAJHKACLZBG
      KZIUBUEBCMNBUCUDQUFUHUGUIABCOBGRSTUA $.
  $}

  $( The empty set belongs to the tagging of a class.  (Contributed by BJ,
     6-Apr-2019.) $)
  bj-0eltag $p |- (/) e. tag A $=
    ( c0 bj-csngl csn cun bj-ctag wcel wo 0ex snid olci elun df-bj-tag eleqtrri
    mpbir ) BACZBDZEZAFBRGBPGZBQGZHTSBIJKBPQLOAMN $.

  $( The tagging of a class is nonempty.  (Contributed by BJ, 6-Apr-2019.) $)
  bj-tagn0 $p |- tag A =/= (/) $=
    ( c0 bj-ctag bj-0eltag ne0ii ) BACADE $.

  $( The tagging of a class is included in its powerclass.  (Contributed by BJ,
     6-Oct-2018.) $)
  bj-tagss $p |- tag A C_ ~P A $=
    ( bj-ctag bj-csngl csn cun cpw df-bj-tag bj-snglss wcel wss 0elpw snss mpbi
    c0 0ex unssi eqsstri ) ABACZNDZEAFZAGRSTAHNTISTJAKNTOLMPQ $.

  $( The singletonization is included in the tagging.  (Contributed by BJ,
     6-Oct-2018.) $)
  bj-snglsstag $p |- sngl A C_ tag A $=
    ( bj-csngl c0 csn cun bj-ctag ssun1 df-bj-tag sseqtrri ) ABZJCDZEAFJKGAHI
    $.

  $( The singletonization is included in the tagging.  (Contributed by BJ,
     6-Oct-2018.) $)
  bj-sngltagi $p |- ( A e. sngl B -> A e. tag B ) $=
    ( bj-csngl bj-ctag bj-snglsstag sseli ) BCBDABEF $.

  $( The singletonization and the tagging of a set contain the same singletons.
     (Contributed by BJ, 6-Oct-2018.) $)
  bj-sngltag $p |- ( A e. V -> ( { A } e. sngl B <-> { A } e. tag B ) ) $=
    ( wcel csn bj-csngl bj-ctag bj-sngltagi c0 cun df-bj-tag eleq2i wo elun idd
    wceq elsni cvv wn syl5bi snprc elex pm2.24d syl5bir syl5 jaod impbid2 ) ACD
    ZAEZBFZDZUIBGZDZUIBHUMUIUJIEZJZDZUHUKULUOUIBKLUPUKUIUNDZMUHUKUIUJUNNUHUKUKU
    QUHUKOUQUIIPZUHUKUIIQURARDZSUHUKAUAUHUSUKACUBUCUDUEUFTTUG $.

  $( Characterization of the elements of ` B ` in terms of elements of its
     tagged version.  (Contributed by BJ, 6-Oct-2018.) $)
  bj-tagci $p |- ( A e. B -> { A } e. tag B ) $=
    ( wcel csn bj-csngl bj-ctag bj-snglc bj-sngltagi sylbi ) ABCADZBECJBFCABGJB
    HI $.

  $( Characterization of the elements of ` B ` in terms of elements of its
     tagged version.  (Contributed by BJ, 6-Oct-2018.) $)
  bj-tagcg $p |- ( A e. V -> ( A e. B <-> { A } e. tag B ) ) $=
    ( wcel csn bj-csngl bj-ctag bj-snglc bj-sngltag syl5bb ) ABDAEZBFDACDKBGDAB
    HABCIJ $.

  ${
    $d x A $.
    $( Inverse of tagging.  (Contributed by BJ, 6-Oct-2018.) $)
    bj-taginv $p |- A = { x | { x } e. tag A } $=
      ( cv csn bj-csngl wcel cab bj-ctag bj-snglinv wb cvv bj-sngltag elv abbii
      eqtri ) BACZDZBEFZAGQBHFZAGABIRSARSJAPBKLMNO $.
  $}

  $( A class is a set if and only if its tagging is a set.  (Contributed by BJ,
     6-Oct-2018.) $)
  bj-tagex $p |- ( A e. _V <-> tag A e. _V ) $=
    ( cvv wcel bj-csngl c0 csn wa cun bj-ctag bj-snglex biantru bitri df-bj-tag
    p0ex unexb eqcomi eleq1i 3bitri ) ABCZADZBCZEFZBCZGZTUBHZBCAIZBCSUAUDAJUCUA
    NKLTUBOUEUFBUFUEAMPQR $.

  $( The products of a given class and the tagging of either of two equal
     classes are equal.  (Contributed by BJ, 6-Apr-2019.) $)
  bj-xtageq $p |- ( A = B -> ( C X. tag A ) = ( C X. tag B ) ) $=
    ( wceq bj-ctag bj-tageq xpeq2d ) ABDAEBECABFG $.

  $( The product of a set and the tagging of a set is a set.  (Contributed by
     BJ, 2-Apr-2019.) $)
  bj-xtagex $p |- ( A e. V -> ( B e. W -> ( A X. tag B ) e. _V ) ) $=
    ( wcel bj-ctag cvv cxp elex bj-tagex sylib bj-xpexg2 syl5 ) BDEZBFZGEZACEAO
    HGENBGEPBDIBJKAOCGLM $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Tuples of classes
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  This subsection gives a definition of an ordered pair, or couple (2-tuple),
  that "works" for proper classes, as evidenced by Theorems ~ bj-2uplth and
  ~ bj-2uplex , and more importantly, ~ bj-pr21val and ~ bj-pr22val .  In
  particular, one can define well-behaved tuples of classes.  Classes in ZF(C)
  are only virtual, and in particular they cannot be quantified over.  Theorem
  ~ bj-2uplex has advantages: in view of ~ df-br , several sethood antecedents
  could be removed from existing theorems.  For instance, ~ relsnopg (resp.
  ~ relsnop ) would hold without antecedents (resp. hypotheses) thanks to
  ~ relsnb ).  Also, the antecedent ` Rel R ` could be removed from ~ brrelex12
  and related theorems brrelex*, and, as a consequence, of multiple later
  theorems.  Similarly, ~ df-struct could be simplified by removing the
  exception currently made for the empty set.

  The projections are denoted by ` pr1 ` and ` pr2 ` and the couple with
  projections (or coordinates) ` A ` and ` B ` is denoted by ` (| A ,, B |) ` .

  Note that this definition uses the Kuratowski definition ( ~ df-op ) as a
  preliminary definition, and then "redefines" a couple.  It could also use the
  "short" version of the Kuratowski pair (see ~ opthreg ) without needing the
  axiom of regularity; it could even bypass this definition by "inlining" it.

  This definition is due to Anthony Morse and is expounded (with idiosyncratic
  notation) in

  Anthony P. Morse,
  _A Theory of Sets_,
  Academic Press, 1965
  (second edition 1986).

  Note that this extends in a natural way to tuples.

  A variation of this definition is justified in ~ opthprc , but here we use
  "tagged versions" of the factors (see ~ df-bj-tag ) so that an m-tuple can
  equal an n-tuple only when m = n (and the projections are the same).

  A comparison of the different definitions of tuples (strangely not mentioning
  Morse's), is given in

  Dominic McCarty and Dana Scott,
  _Reconsidering ordered pairs_,
  Bull. Symbolic Logic,
  Volume 14, Issue 3 (Sept. 2008), 379--397.

  where a recursive definition of tuples is given that avoids the 2-step
  definition of tuples and that can be adapted to various set theories.

  Finally, another survey is

  Akihiro Kanamori,
  _The empty set, the singleton, and the ordered pair_,
  Bull. Symbolic Logic,
  Volume 9, Number 3 (Sept. 2003), 273--298.
  (available at ~ http://math.bu.edu/people/aki/8.pdf )

$)

  $( Symbol the class projection. $)
  $c Proj $.

  $( Syntax for the class projection.  (Contributed by BJ, 6-Apr-2019.) $)
  bj-cproj $a class ( A Proj B ) $.

  ${
    $d x A $.  $d x B $.
    $( Definition of the class projection corresponding to tagged tuples.  The
       expression ` ( A Proj B ) ` denotes the projection on the A^th
       component.  (Contributed by BJ, 6-Apr-2019.)
       (New usage is discouraged.) $)
    df-bj-proj $a |- ( A Proj B ) = { x | { x } e. ( B " { A } ) } $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x D $.
    $( Substitution property for ` Proj ` .  (Contributed by BJ,
       6-Apr-2019.) $)
    bj-projeq $p |- ( A = C -> ( B = D -> ( A Proj B ) = ( C Proj D ) ) ) $=
      ( vx wceq bj-cproj wa csn cima wcel cab simpr simpl sneqd imaeq12d eleq2d
      cv abbidv df-bj-proj 3eqtr4g ex ) ACFZBDFZABGZCDGZFUCUDHZERIZBAIZJZKZELUH
      DCIZJZKZELUEUFUGUKUNEUGUJUMUHUGBDUIULUCUDMUGACUCUDNOPQSEABTECDTUAUB $.
  $}

  $( Substitution property for ` Proj ` .  (Contributed by BJ, 6-Apr-2019.) $)
  bj-projeq2 $p |- ( B = C -> ( A Proj B ) = ( A Proj C ) ) $=
    ( wceq bj-cproj wi eqid bj-projeq ax-mp ) AADBCDABEACEDFAGABACHI $.

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( The class projection on a given component preserves unions.
       (Contributed by BJ, 6-Apr-2019.) $)
    bj-projun $p |- ( A Proj ( B u. C ) ) = ( ( A Proj B ) u. ( A Proj C ) ) $=
      ( vx cun bj-cproj cv wcel wo cima df-bj-proj abeq2i orbi12i elun imaundir
      csn eleq2i 3bitri 3bitr4ri eqriv ) DABCEZFZABFZACFZEZDGZUCHZUFUDHZIUFPZBA
      PZJZHZUICUJJZHZIZUFUEHUFUBHZUGULUHUNULDUCDABKLUNDUDDACKLMUFUCUDNUPUIUAUJJ
      ZHZUIUKUMEZHUOURDUBDAUAKLUQUSUIBCUJOQUIUKUMNRST $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Sethood of the class projection.  (Contributed by BJ, 6-Apr-2019.) $)
    bj-projex $p |- ( B e. V -> ( A Proj B ) e. _V ) $=
      ( vx wcel bj-cproj cv csn cima cab cvv df-bj-proj bj-clex eqeltrid ) BCEA
      BFDGHBAHZIEDJKDABLDBOCMN $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x V $.
    $( Value of the class projection.  (Contributed by BJ, 6-Apr-2019.) $)
    bj-projval $p |- ( A e. V ->
                  ( A Proj ( { B } X. tag C ) ) = if ( B = A , C , (/) ) ) $=
      ( vx wcel csn bj-ctag cxp bj-cproj wceq c0 cif wi wn wa cima cab eleq2d
      cv elsng bj-xpima2sn syl6bir imp abbidv df-bj-proj bj-taginv 3eqtr4g noel
      ex abeq2i elsni bj-xpima1sn nsyl5 syl5bb mtbiri eq0rdv ifval sylanblrc wb
      eqcom ifbi ax-mp eqtrdi ) ADFZABGZCHZIZJZABKZCLMZBAKZCLMZVEVJVICKZNVJOZVI
      LKNVIVKKVEVJVNVEVJPZETZGZVHAGQZFZERVRVGFZERVICVPVTWAEVPVSVGVRVEVJVSVGKZVE
      VJAVFFZWBABDUAVFVGAUBUCUDSUEEAVHUFZECUGUHUJVOEVIVOVQVIFZVRLFZVRUIWEVTVOWF
      VTEVIWDUKVOVSLVRWCVJVSLKABULVFVGAUMUNSUOUPUQVJVICLURUSVJVLUTVKVMKABVAVJVL
      CLVBVCVD $.
  $}

  $( Symbols for Morse tuples. $)
  $c (| ,, |) $.

  $( Symbols for class tuple projections. $)
  $c pr1 pr2 $.

  $( Syntax for Morse monuple.  (Contributed by BJ, 6-Apr-2019.) $)
  bj-c1upl $a class (| A |) $.

  $( Definition of the Morse monuple (1-tuple).  This is not useful per se, but
     is used as a step towards the definition of couples (2-tuples, or ordered
     pairs).  The reason for "tagging" the set is so that an m-tuple and an
     n-tuple be equal only when m = n.  Note that with this definition, the
     0-tuple is the empty set.  New usage is discouraged because the precise
     definition is generally unimportant compared to the characteristic
     properties ~ bj-2upleq , ~ bj-2uplth , ~ bj-2uplex , and the properties of
     the projections (see ~ df-bj-pr1 and ~ df-bj-pr2 ).  (Contributed by BJ,
     6-Apr-2019.)  (New usage is discouraged.) $)
  df-bj-1upl $a |- (| A |) = ( { (/) } X. tag A ) $.

  $( Substitution property for ` (| - |) ` .  (Contributed by BJ,
     6-Apr-2019.) $)
  bj-1upleq $p |- ( A = B -> (| A |) = (| B |) ) $=
    ( wceq c0 csn bj-ctag cxp bj-c1upl bj-xtageq df-bj-1upl 3eqtr4g ) ABCDEZAFG
    LBFGAHBHABLIAJBJK $.

  $( Syntax for the first class tuple projection.  (Contributed by BJ,
     6-Apr-2019.) $)
  bj-cpr1 $a class pr1 A $.

  $( Definition of the first projection of a class tuple.  New usage is
     discouraged because the precise definition is generally unimportant
     compared to the characteristic properties ~ bj-pr1eq , ~ bj-pr11val ,
     ~ bj-pr21val , ~ bj-pr1ex .  (Contributed by BJ, 6-Apr-2019.)
     (New usage is discouraged.) $)
  df-bj-pr1 $a |- pr1 A = ( (/) Proj A ) $.

  $( Substitution property for ` pr1 ` .  (Contributed by BJ, 6-Apr-2019.) $)
  bj-pr1eq $p |- ( A = B -> pr1 A = pr1 B ) $=
    ( wceq c0 bj-cproj bj-cpr1 bj-projeq2 df-bj-pr1 3eqtr4g ) ABCDAEDBEAFBFDABG
    AHBHI $.

  $( The first projection preserves unions.  (Contributed by BJ,
     6-Apr-2019.) $)
  bj-pr1un $p |- pr1 ( A u. B ) = ( pr1 A u. pr1 B ) $=
    ( c0 cun bj-cproj bj-cpr1 bj-projun df-bj-pr1 uneq12i 3eqtr4i ) CABDZECAEZC
    BEZDKFAFZBFZDCABGKHNLOMAHBHIJ $.

  $( Value of the first projection.  (Contributed by BJ, 6-Apr-2019.) $)
  bj-pr1val $p |- pr1 ( { A } X. tag B ) = if ( A = (/) , B , (/) ) $=
    ( csn bj-ctag cxp bj-cpr1 c0 bj-cproj wceq cif df-bj-pr1 cvv 0ex bj-projval
    wcel ax-mp eqtri ) ACBDEZFGRHZAGIBGJZRKGLOSTIMGABLNPQ $.

  $( Value of the first projection of a monuple.  (Contributed by BJ,
     6-Apr-2019.) $)
  bj-pr11val $p |- pr1 (| A |) = A $=
    ( bj-c1upl bj-cpr1 csn bj-ctag cxp wceq df-bj-1upl bj-pr1eq ax-mp bj-pr1val
    c0 cif eqid iftruei 3eqtri ) ABZCZLDAEFZCZLLGZALMAQSGRTGAHQSIJLAKUAALLNOP
    $.

  $( Sethood of the first projection.  (Contributed by BJ, 6-Oct-2018.) $)
  bj-pr1ex $p |- ( A e. V -> pr1 A e. _V ) $=
    ( wcel bj-cpr1 c0 bj-cproj cvv df-bj-pr1 bj-projex eqeltrid ) ABCADEAFGAHEA
    BIJ $.

  $( The characteristic property of monuples.  Note that this holds without
     sethood hypotheses.  (Contributed by BJ, 6-Apr-2019.) $)
  bj-1uplth $p |- ( (| A |) = (| B |) <-> A = B ) $=
    ( bj-c1upl wceq bj-cpr1 bj-pr1eq bj-pr11val 3eqtr3g bj-1upleq impbii ) ACZB
    CZDZABDMKELEABKLFAGBGHABIJ $.

  $( A monuple is a set if and only if its coordinates are sets.  (Contributed
     by BJ, 6-Apr-2019.) $)
  bj-1uplex $p |- ( (| A |) e. _V <-> A e. _V ) $=
    ( bj-c1upl cvv wcel bj-cpr1 bj-pr11val bj-pr1ex eqeltrrid c0 csn df-bj-1upl
    bj-ctag cxp wi p0ex bj-xtagex ax-mp eqeltrid impbii ) ABZCDZACDZUAATECAFTCG
    HUBTIJZALMZCAKUCCDUBUDCDNOUCACCPQRS $.

  $( A monuple is nonempty.  (Contributed by BJ, 6-Apr-2019.) $)
  bj-1upln0 $p |- (| A |) =/= (/) $=
    ( bj-c1upl csn bj-ctag cxp df-bj-1upl wne 0nep0 necomi bj-tagn0 xpnz biimpi
    c0 wa mp2an eqnetri ) ABMCZADZEZMAFQMGZRMGZSMGZMQHIAJTUANUBQRKLOP $.

  $( Syntax for Morse couple.  (Contributed by BJ, 6-Oct-2018.) $)
  bj-c2uple $a class (| A ,, B |) $.

  $( Definition of the Morse couple.  See ~ df-bj-1upl .  New usage is
     discouraged because the precise definition is generally unimportant
     compared to the characteristic properties ~ bj-2upleq , ~ bj-2uplth ,
     ~ bj-2uplex , and the properties of the projections (see ~ df-bj-pr1 and
     ~ df-bj-pr2 ).  (Contributed by BJ, 6-Oct-2018.)
     (New usage is discouraged.) $)
  df-bj-2upl $a |- (| A ,, B |) = ( (| A |) u. ( { 1o } X. tag B ) ) $.

  $( Substitution property for ` (| - ,, - |) ` .  (Contributed by BJ,
     6-Oct-2018.) $)
  bj-2upleq $p |- ( A = B -> ( C = D -> (| A ,, C |) = (| B ,, D |) ) ) $=
    ( wceq bj-c1upl c1o csn bj-ctag cxp bj-c2uple bj-1upleq bj-xtageq uneq12 ex
    cun syl2im df-bj-2upl eqeq12i syl6ibr ) ABEZCDEZAFZGHZCIJZPZBFZUDDIJZPZEZAC
    KZBDKZEUAUCUGEZUBUEUHEZUJABLCDUDMUMUNUJUCUGUEUHNOQUKUFULUIACRBDRST $.

  $( Value of the first projection of a couple.  (Contributed by BJ,
     6-Oct-2018.) $)
  bj-pr21val $p |- pr1 (| A ,, B |) = A $=
    ( bj-c2uple bj-cpr1 bj-c1upl c1o csn bj-ctag wceq df-bj-2upl bj-pr1eq ax-mp
    cxp cun bj-pr1un c0 bj-pr11val cif bj-pr1val eqtri 1n0 iffalsei uneq12i un0
    neii 3eqtri ) ABCZDZAEZFGBHMZNZDZUIDZUJDZNZAUGUKIUHULIABJUGUKKLUIUJOUOAPNAU
    MAUNPAQUNFPIZBPRPFBSUPBPFPUAUEUBTUCAUDTUF $.

  $( Syntax for the second class tuple projection.  (Contributed by BJ,
     6-Oct-2018.) $)
  bj-cpr2 $a class pr2 A $.

  $( Definition of the second projection of a class tuple.  New usage is
     discouraged because the precise definition is generally unimportant
     compared to the characteristic properties ~ bj-pr2eq , ~ bj-pr22val ,
     ~ bj-pr2ex .  (Contributed by BJ, 6-Oct-2018.)
     (New usage is discouraged.) $)
  df-bj-pr2 $a |- pr2 A = ( 1o Proj A ) $.

  $( Substitution property for ` pr2 ` .  (Contributed by BJ, 6-Oct-2018.) $)
  bj-pr2eq $p |- ( A = B -> pr2 A = pr2 B ) $=
    ( wceq c1o bj-cproj bj-cpr2 bj-projeq2 df-bj-pr2 3eqtr4g ) ABCDAEDBEAFBFDAB
    GAHBHI $.

  $( The second projection preserves unions.  (Contributed by BJ,
     6-Apr-2019.) $)
  bj-pr2un $p |- pr2 ( A u. B ) = ( pr2 A u. pr2 B ) $=
    ( c1o cun bj-cproj bj-cpr2 bj-projun df-bj-pr2 uneq12i 3eqtr4i ) CABDZECAEZ
    CBEZDKFAFZBFZDCABGKHNLOMAHBHIJ $.

  $( Value of the second projection.  (Contributed by BJ, 6-Apr-2019.) $)
  bj-pr2val $p |- pr2 ( { A } X. tag B ) = if ( A = 1o , B , (/) ) $=
    ( csn bj-ctag cxp bj-cpr2 c1o bj-cproj wceq c0 cif df-bj-pr2 cvv bj-projval
    wcel 1oex ax-mp eqtri ) ACBDEZFGSHZAGIBJKZSLGMOTUAIPGABMNQR $.

  $( Value of the second projection of a couple.  (Contributed by BJ,
     6-Oct-2018.) $)
  bj-pr22val $p |- pr2 (| A ,, B |) = B $=
    ( bj-c2uple bj-cpr2 bj-c1upl c1o csn bj-ctag cxp cun c0 df-bj-2upl bj-pr2eq
    wceq ax-mp bj-pr2un eqtri cif bj-pr2val 3eqtri df-bj-1upl 1n0 iffalsei eqid
    nesymi iftruei uneq12i 0un ) ABCZDZAEZDZFGBHIZDZJZKBJBUJUKUMJZDZUOUIUPNUJUQ
    NABLUIUPMOUKUMPQULKUNBULKGAHIZDZKFNZAKRKUKURNULUSNAUAUKURMOKASUTAKFKUBUEUCT
    UNFFNZBKRBFBSVABKFUDUFQUGBUHT $.

  $( Sethood of the second projection.  (Contributed by BJ, 6-Oct-2018.) $)
  bj-pr2ex $p |- ( A e. V -> pr2 A e. _V ) $=
    ( wcel bj-cpr2 c1o bj-cproj cvv df-bj-pr2 bj-projex eqeltrid ) ABCADEAFGAHE
    ABIJ $.

  $( The characteristic property of couples.  Note that this holds without
     sethood hypotheses (compare ~ opth ).  (Contributed by BJ, 6-Oct-2018.) $)
  bj-2uplth $p |- ( (| A ,, B |) = (| C ,, D |) <-> ( A = C /\ B = D ) ) $=
    ( bj-c2uple wceq wa bj-cpr1 bj-pr1eq bj-pr21val 3eqtr3g bj-pr2eq bj-pr22val
    bj-cpr2 jca bj-2upleq imp impbii ) ABEZCDEZFZACFZBDFZGUAUBUCUASHTHACSTIABJC
    DJKUASNTNBDSTLABMCDMKOUBUCUAACBDPQR $.

  $( A couple is a set if and only if its coordinates are sets.  For the
     advantages offered by the reverse closure property, see the section head
     comment.  (Contributed by BJ, 6-Oct-2018.) $)
  bj-2uplex $p |- ( (| A ,, B |) e. _V <-> ( A e. _V /\ B e. _V ) ) $=
    ( bj-c2uple cvv wa bj-cpr1 bj-pr21val bj-pr1ex eqeltrrid bj-cpr2 bj-pr22val
    wcel bj-pr2ex jca bj-c1upl c1o csn bj-ctag cxp cun bj-1uplex snex bj-xtagex
    df-bj-2upl biimpri wi ax-mp unexg syl2an eqeltrid impbii ) ABCZDLZADLZBDLZE
    ZUMUNUOUMAULFDABGULDHIUMBULJDABKULDMINUPULAOZPQZBRSZTZDABUDUNUQDLZUSDLZUTDL
    UOVAUNAUAUEURDLUOVBUFPUBURBDDUCUGUQUSDDUHUIUJUK $.

  $( A couple is nonempty.  (Contributed by BJ, 21-Apr-2019.) $)
  bj-2upln0 $p |- (| A ,, B |) =/= (/) $=
    ( bj-c2uple bj-c1upl c1o csn bj-ctag cxp cun df-bj-2upl wpss bj-1upln0 0pss
    c0 wne wss mpbir ssun1 psssstr mp2an mpbi eqnetri ) ABCADZEFBGHZIZNABJNUEKZ
    UENONUCKZUCUEPUFUGUCNOALUCMQUCUDRNUCUESTUEMUAUB $.

  $( A couple is never equal to a monuple.  It is in order to have this
     "non-clashing" result that tagging was used.  Without tagging, we would
     have ` (| A , (/) |) = (| A |) ` .  Note that in the context of Morse
     tuples, it is natural to define the 0-tuple as the empty set.  Therefore,
     the present theorem together with ~ bj-1upln0 and ~ bj-2upln0 tell us that
     an m-tuple may equal an n-tuple only when m = n, at least for m, n <= 2,
     but this result would extend as soon as we define n-tuples for higher
     values of n.  (Contributed by BJ, 21-Apr-2019.) $)
  bj-2upln1upl $p |- (| A ,, B |) =/= (| C |) $=
    ( bj-c1upl cdif wne wpss c1o csn bj-ctag cxp cun wss difeq2i cin wceq ax-mp
    c0 mpbi 0pss bj-c2uple xpundi incom xp01disjl eqtr3i disjdif2 1oex bj-tagn0
    wa snnz xpnz eqnetri eqnetrri mpbir ssun2 sscon ssdif df-bj-2upl df-bj-1upl
    pm3.2i sstri uneq1i eqtri difeq1i sseqtrri psssstr mp2an difn0 ) ABUAZCDZEZ
    RFZVIVJFRVKGZVLRHIZBJZKZRIZAJZKZVQCJZKZLZEZGZWCVKMVMWDWCRFVPVQVRVTLZKZEZWCR
    WFWBVPVQVRVTUBNWGVPRVPWFOZRPWGVPPWFVPOWHRWFVPUCWEVOUDUEVPWFUFQVNRFZVORFZUIV
    PRFWIWJHUGUJBUHUTVNVOUKSULUMWCTUNWCVIWAEZVKWCVSVPLZWAEZWKWCVPWAEZWMWAWBMWCW
    NMWAVSUOWAWBVPUPQVPWLMWNWMMVPVSUOVPWLWAUQQVAVIWLWAVIADZVPLWLABURWOVSVPAUSVB
    VCVDVEVJWAVICUSNVERWCVKVFVGVKTSVIVJVHQ $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Set theory: elementary operations relative to a universe
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Some elementary set-theoretic operations "relative to a universe" (by which
  is merely meant some given class considered as a universe).

$)

  ${
    bj-rcleqf.a $e |- F/_ x A $.
    bj-rcleqf.b $e |- F/_ x B $.
    bj-rcleqf.v $e |- F/_ x V $.
    $( Relative version of ~ cleqf .  (Contributed by BJ, 27-Dec-2023.) $)
    bj-rcleqf $p |- ( ( V i^i A ) = ( V i^i B ) <->
                                           A. x e. V ( x e. A <-> x e. B ) ) $=
      ( cv cin wcel wb wal wi wceq wral wa elin bibi12i pm5.32 nfin albii cleqf
      bitr4i df-ral 3bitr4i ) AHZDBIZJZUFDCIZJZKZALUFDJZUFBJZUFCJZKZMZALUGUINUO
      ADOUKUPAUKULUMPZULUNPZKUPUHUQUJURUFDBQUFDCQRULUMUNSUCUAAUGUIADBGETADCGFTU
      BUOADUDUE $.
  $}

  ${
    $d A x $.  $d B x $.  $d V x $.
    $( Relative version of ~ dfcleq .  (Contributed by BJ, 27-Dec-2023.) $)
    bj-rcleq $p |- ( ( V i^i A ) = ( V i^i B ) <->
                                           A. x e. V ( x e. A <-> x e. B ) ) $=
      ( nfcv bj-rcleqf ) ABCDABEACEADEF $.
  $}

  ${
    $d A x $.  $d V x $.
    $( Relative form of ~ abeq2 .  (Contributed by BJ, 27-Dec-2023.) $)
    bj-reabeq $p |- ( ( V i^i A ) = { x e. V | ph } <->
                                               A. x e. V ( x e. A <-> ph ) ) $=
      ( cin crab wceq cv wcel wb wral dfrab3 eqeq2i nfcv nfab1 bj-rcleqf bibi2i
      cab abid ralbii 3bitri ) DCEZABDFZGUBDABRZEZGBHZCIZUFUDIZJZBDKUGAJZBDKUCU
      EUBABDLMBCUDDBCNABOBDNPUIUJBDUHAUGABSQTUA $.
  $}

  $( Relative version of ~ ssdifin0 , allowing a biconditional, and of
     ~ disj2 .  (Contributed by BJ, 11-Nov-2021.)  This proof does not rely,
     even indirectly, on ~ ssdifin0 nor ~ disj2 .
     (Proof modification is discouraged.) $)
  bj-disj2r $p |-
                ( ( A i^i V ) C_ ( V \ B ) <-> ( ( A i^i B ) i^i V ) = (/) ) $=
    ( cin cdif wss wceq df-ss indif2 inss1 ssid inss2 ssini eqssi difeq1i eqtri
    c0 eqeq1i eqcom 3bitri disj3 in32 3bitr2i ) ACDZCBEZFZUDUDBEZGZUDBDZQGABDCD
    ZQGUFUDUEDZUDGUGUDGUHUDUEHUKUGUDUKUDCDZBEUGUDCBIULUDBULUDUDCJUDUDCUDKACLMNO
    PRUGUDSTUDBUAUIUJQACBUBRUC $.

  $( Contraposition law for relative subclasses.  Relative and generalized
     version of ~ ssconb , which it can shorten, as well as ~ conss2 .
     (Contributed by BJ, 11-Nov-2021.)  This proof does not rely, even
     indirectly, on ~ ssconb nor ~ conss2 .
     (Proof modification is discouraged.) $)
  bj-sscon $p |- ( ( A i^i V ) C_ ( V \ B ) <-> ( B i^i V ) C_ ( V \ A ) ) $=
    ( cin c0 wceq cdif wss incom ineq1i eqeq1i bj-disj2r 3bitr4i ) ABDZCDZEFBAD
    ZCDZEFACDCBGHBCDCAGHOQENPCABIJKABCLBACLM $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Set theory: miscellaneous
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Miscellaneous theorems of set theory.

$)

  ${
    $d y A $.  $d y B $.  $d x y $.
    $( Alternate proof of ~ eleq2w2 and special instance of ~ eleq2 .
       (Contributed by BJ, 22-Sep-2024.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    eleq2w2ALT $p |- ( A = B -> ( x e. A <-> x e. B ) ) $=
      ( vy wceq cv wcel wb wal dfcleq biimpi weq eleq1w bibi12d spvv syl ) BCEZ
      DFZBGZRCGZHZDIZAFZBGZUCCGZHZQUBDBCJKUAUFDADALSUDTUEDABMDACMNOP $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Alternate proof of ~ clel3g .  (Contributed by BJ, 1-Sep-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    bj-clel3gALT $p |- ( B e. V -> ( A e. B <-> E. x ( x = B /\ A e. x ) ) ) $=
      ( wcel cv wceq wa wex elisset biantrurd 19.41v bitr4di eleq2 bicomd exbii
      pm5.32i bitrdi ) CDEZBCEZAFZCGZTHZAIZUBBUAEZHZAISTUBAIZTHUDSUGTACDJKUBTAL
      MUCUFAUBTUEUBUETUACBNOQPR $.
  $}

  $( Alternate proof of ~ pw0 .  The proofs have a similar structure: ~ pw0
     uses the definitions of powerclass and singleton as class abstractions,
     whereas ~ bj-pw0ALT uses characterizations of their elements.  Both proofs
     then use transitivity of a congruence relation (equality for ~ pw0 and
     biconditional for ~ bj-pw0ALT ) to translate the property ~ ss0b into the
     wanted result.  To translate a biconditional into a class equality, ~ pw0
     uses ~ abbii (which yields an equality of class abstractions), while
     ~ bj-pw0ALT uses ~ eqriv (which requires a biconditional of membership of
     a given setvar variable).  Note that ~ abbii , through its closed form
     ~ abbi1 , is proved from ~ eqrdv , which is the deduction form of
     ~ eqriv .  In the other direction, ~ velpw and ~ velsn are proved from the
     definitions of powerclass and singleton using ~ elabg , which is a version
     of ~ abbii suited for membership characterizations.  (Contributed by BJ,
     14-Apr-2024.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  bj-pw0ALT $p |- ~P (/) = { (/) } $=
    ( vx c0 cpw csn cv wss wceq wcel ss0b velpw velsn 3bitr4i eqriv ) ABCZBDZAE
    ZBFPBGPNHPOHPIABJABKLM $.

  $( Quantitative version of ~ ssexg : a subset of an element of a class is an
     element of the powerclass of the union of that class.  (Contributed by BJ,
     6-Apr-2024.) $)
  bj-sselpwuni $p |- ( ( A C_ B /\ B e. V ) -> A e. ~P U. V ) $=
    ( wss wcel wa cuni cvv ssexg ssuni elpwd ) ABDBCEFACGHABCIABCJK $.

  $( Quantitative version of ~ uniexr : if the union of a class is an element
     of a class, then that class is an element of the double powerclass of the
     union of this class.  (Contributed by BJ, 6-Apr-2024.) $)
  bj-unirel $p |- ( U. A e. V -> A e. ~P ~P U. V ) $=
    ( cuni wcel cpw wss pwuni pwel bj-sselpwuni sylancr unipw pweqi eleqtrdi )
    ACZBDZABCEZEZCZEZQOANEZFTQDASDAGNBHATQIJRPPKLM $.

  $( If the intersection of two classes is a set, then inclusion among these
     classes is equivalent to membership in the powerclass.  Common
     generalization of ~ elpwg and ~ elpw2g (the latter of which could be
     proved from it).  (Contributed by BJ, 31-Dec-2023.) $)
  bj-elpwg $p |- ( ( A i^i B ) e. V -> ( A e. ~P B <-> A C_ B ) ) $=
    ( cin wcel cpw wss elpwi cvv ssidd id ssind ssexg sylan elpwg syldan expcom
    biimparc impbid2 ) ABDZCEZABFEZABGZABHUCUAUBUCUAAIEZUBUCATGUAUDUCAABUCAJUCK
    LATCMNUDUBUCABIORPQS $.

  ${
    $d z x $.  $d z y $.
    $( Justification theorem for ~ dfv2 if it were the definition.  See also
       ~ vjust .  (Contributed by BJ, 30-Nov-2019.)
       (Proof modification is discouraged.) $)
    bj-vjust $p |- { x | T. } = { y | T. } $=
      ( vz wtru cab cv wcel vextru 2th eqriv ) CDAEZDBEZCFZKGMLGACHBCHIJ $.
  $}

  ${
    $d x y $.
    $( Two formulations of the axiom of the empty set ~ ax-nul .  Proposal:
       place it right before ~ ax-nul .  (Contributed by BJ, 30-Nov-2019.)
       (Proof modification is discouraged.) $)
    bj-nul $p |- ( (/) e. _V <-> E. x A. y -. y e. x ) $=
      ( c0 cvv wcel cv wceq wex wel wn wal isset eq0 exbii bitri ) CDEAFZCGZAHB
      AIJBKZAHACLQRABPMNO $.
  $}

  ${
    $d x y $.
    $( Definition of the empty set using the definite description binder.  See
       also ~ bj-nuliotaALT .  (Contributed by BJ, 30-Nov-2019.)
       (Proof modification is discouraged.) $)
    bj-nuliota $p |- (/) = ( iota x A. y -. y e. x ) $=
      ( wel wn wal cio c0 cv wcel wceq cvv weu 0ex eueqi eq0 eubii eleq2 notbid
      wb mpbi albidv iota2 mp2an noel mpgbi eqcomi ) BACZDZBEZAFZGBHZGIZDZUJGJZ
      BGKIUIALZUMBEZUNSMAHZGJZALUOAGMNURUIABUQOPTUIUPAGKURUHUMBURUGULUQGUKQRUAU
      BUCUKUDUEUF $.
  $}

  ${
    $d x y $.
    $( Alternate proof of ~ bj-nuliota .  Note that this alternate proof uses
       the fact that ` iota x ph ` evaluates to ` (/) ` when there is no ` x `
       satisfying ` ph ` ( ~ iotanul ).  This is an implementation detail of
       the encoding currently used in set.mm and should be avoided.
       (Contributed by BJ, 30-Nov-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    bj-nuliotaALT $p |- (/) = ( iota x A. y -. y e. x ) $=
      ( c0 wel wn wal cio 0ss cab cuni iotassuni cv csn eq0 bicomi abbii unieqi
      wceq df-sn eqcomi 0ex unisn 3eqtri sseqtri eqssi ) CBADEBFZAGZUGHUGUFAIZJ
      ZCUFAKUIALZCRZAIZJCMZJCUHULUFUKAUKUFBUJNOPQULUMUMULACSTQCUAUBUCUDUE $.
  $}

  ${
    bj-vtoclgfALT.1 $e |- F/_ x A $.
    bj-vtoclgfALT.2 $e |- F/ x ps $.
    bj-vtoclgfALT.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    bj-vtoclgfALT.4 $e |- ph $.
    $( Alternate proof of ~ vtoclgf .  Proof from ~ vtoclgft .  (This may have
       been the original proof before shortening.)  (Contributed by BJ,
       30-Sep-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    bj-vtoclgfALT $p |- ( A e. V -> ps ) $=
      ( wnfc wnf wa cv wceq wb wi wal wcel pm3.2i ax-gen vtoclgft mp3an12 ) CDJ
      ZBCKZLCMDNABOPZCQZACQZLDERBUCUDFGSUFUGUECHTACITSABCDEUAUB $.
  $}

  $( Join of ~ elsng and ~ elsn2g .  (Contributed by BJ, 18-Nov-2023.) $)
  bj-elsn12g $p |- ( ( A e. V \/ B e. W ) -> ( A e. { B } <-> A = B ) ) $=
    ( wcel csn wceq wb elsng elsn2g jaoi ) ACEABFEABGHBDEABCIABDJK $.

  $( Biconditional version of ~ elsng .  (Contributed by BJ, 18-Nov-2023.) $)
  bj-elsnb $p |- ( A e. { B } <-> ( A e. _V /\ A = B ) ) $=
    ( csn wcel cvv wceq elex elsng biadanii ) ABCZDAEDABFAJGABEHI $.

  ${
    $d y f A $.
    $( Remove hypothesis from ~ pwcfsdom .  Illustration of how to remove a
       "proof-facilitating hypothesis".  (Can use it to shorten theorems using
       ~ pwcfsdom .)  (Contributed by BJ, 14-Sep-2019.) $)
    bj-pwcfsdom $p
             |- ( aleph ` A ) ~< ( ( aleph ` A ) ^m ( cf ` ( aleph ` A ) ) ) $=
  ( vy vf cale cfv ccf cv char cmpt eqid pwcfsdom ) BACBADEFEBGCGEHEIZLJK $.
  $}

  $( Remove hypothesis from ~ grur1 .  Illustration of how to remove a
     "definitional hypothesis".  This makes its uses longer, but the theorem
     feels more self-contained.  It looks preferable when the defined term
     appears only once in the conclusion.  (Contributed by BJ, 14-Sep-2019.) $)
  bj-grur1 $p |- ( ( U e. Univ /\ U e. U. ( R1 " On ) ) ->
                                                 U = ( R1 ` ( U i^i On ) ) ) $=
    ( con0 cin eqid grur1 ) ABCZAFDE $.

  ${
    $d t x z $.  $d t y z $.  $d ph x $.  $d ph y $.  $d ph t $.
    $( The extension of a predicate ( ` ph ( z ) ` ) is included in a set
       ( ` x ` ) if and only if it is a set ( ` y ` ).  Sufficiency is obvious,
       and necessity is the content of the axiom of separation ~ ax-sep .
       Similar to Theorem 1.3(ii) of [BellMachover] p. 463.  (Contributed by
       NM, 21-Jun-1993.)  Generalized to a closed form biconditional with
       existential quantifications using two different setvars ` x , y ` (which
       need not be disjoint).  (Revised by BJ, 8-Aug-2022.)

       TODO: move in place of ~ bm1.3ii .  Relabel ("sepbi"?). $)
    bj-bm1.3ii $p |- ( E. x A. z ( ph -> z e. x ) <->
                                               E. y A. z ( z e. y <-> ph ) ) $=
      ( vt wel wi wal wex weq elequ2 imbi2d albidv cbvexvw ax-sep 19.42v bimsc1
      wb wa eximi alanimi sylbir mpan2 exlimiv bibi1d biimpr alimi sylbi impbii
      bitri ) ADBFZGZDHZBIADEFZGZDHZEIZDCFZARZDHZCIZUMUPBEBEJZULUODVBUKUNABEDKL
      MNUQVAUPVAEUPURUNASRZDHZCIZVAADCEOUPVESUPVDSZCIVAUPVDCPVFUTCUOVCUSDAUNURQ
      UATUBUCUDVAUNARZDHZEIUQUTVHCECEJZUSVGDVIURUNACEDKUEMNVHUPEVGUODUNAUFUGTUH
      UIUJ $.
  $}

  ${
    $d x y z u $.
    $( Alternate version of ~ dfid2 .  (Contributed by BJ, 9-Nov-2024.)
       (Proof modification is discouraged.)  Use ~ df-id instead to make the
       semantics of the construction ~ df-opab clearer.
       (New usage is discouraged.) $)
    bj-dfid2ALT $p |- _I = { <. x , x >. | T. } $=
      ( vy vz vu cid weq copab wtru df-id cv cop wceq wa wex cab equcomi eqeq2d
      exbii bitri df-opab opeq2d pm5.32ri ax6evr 19.42v mpbiran2 id opeq12d tru
      exexw biantru abbii 3eqtr4i eqtri ) EABFZABGZHAAGZABICJZAJZBJZKZLZUNMZBNZ
      ANZCOUQURURKZLZHMZANZANZCOUOUPVDVICVDVFANZANZVIVDVJVKVCVFAVCVFUNMZBNZVFVB
      VLBUNVAVFUNUTVEUQUNUSURURABPUAQUBRVMVFUNBNBAUCVFUNBUDUESRVFUQDJZVNKZLADAD
      FZVEVOUQVPURVNURVNVPUFZVQUGQUISVJVHAVFVGAHVFUHUJRRSUKUNABCTHAACTULUM $.
  $}

  $( The empty set is never an element in an ordered-pair class abstraction.
     (Contributed by Alexander van der Vekens, 5-Nov-2017.)  (Proof shortened
     by BJ, 22-Jul-2023.)

     TODO: move to the main section when one can reorder sections so that we
     can use ~ relopab (this is a very limited reordering). $)
  bj-0nelopab $p |- -. (/) e. { <. x , y >. | ph } $=
    ( copab wrel c0 wcel wn relopab 0nelrel0 ax-mp ) ABCDZEFLGHABCILJK $.

  $( Two classes related by a binary relation are both sets.  Alternate proof
     of ~ brrelex12 .  (Contributed by BJ, 14-Jul-2023.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  bj-brrelex12ALT $p |- ( ( Rel R /\ A R B ) -> ( A e. _V /\ B e. _V ) ) $=
    ( wrel c0 wcel wn wbr cvv wa 0nelrel0 wi jcn impcom wceq opprc df-br biimpi
    cop eleq1 syl5ib syl nsyl2 sylan ) CDECFZGZABCHZAIFBIFJZCKUFUGJUGUELZUHUGUF
    UIGUGUEMNUHGABSZEOZUIABPUGUJCFZUKUEUGULABCQRUJECTUAUBUCUD $.

  ${
    $d A x y $.  $d B x y $.
    $( The membership relation and the membership predicate agree when the
       "containing" class is a set.  General version of ~ epel and closed form
       of ~ epeli .  (Contributed by Scott Fenton, 27-Mar-2011.)  (Revised by
       Mario Carneiro, 28-Apr-2015.)  TODO: move it to the main section after
       reordering to have ~ brrelex1i available.  (Proof shortened by BJ,
       14-Jul-2023.)  (Proof modification is discouraged.) $)
    bj-epelg $p |- ( B e. V -> ( A _E B <-> A e. B ) ) $=
      ( vx vy wcel cvv cep wbr wi rele brrelex1i a1i elex wb cv eleq12 df-eprel
      wel brabga expcom pm5.21ndd ) BCFZAGFZABHIZABFZUEUDJUCABHKLMUFUDJUCABNMUD
      UCUEUFODESUFDEABHGCDPAEPBQDERTUAUB $.
  $}

  $( Two classes are related by the membership relation if and only if they are
     related by the membership relation (i.e., the first is an element of the
     second) and the second is a set (hence so is the first).  TODO: move to
     Main after reordering to have ~ brrelex2i available.  Check if it is
     shorter to prove ~ bj-epelg first or ~ bj-epelb first.  (Contributed by
     BJ, 14-Jul-2023.) $)
  bj-epelb $p |- ( A _E B <-> ( A e. B /\ B e. _V ) ) $=
    ( cep wbr cvv wcel wa rele brrelex2i pm4.71i epelg pm5.32ri bitri ) ABCDZNB
    EFZGABFZOGNOABCHIJONPABEKLM $.

  $( A set does not contain the singleton formed on it.  More precisely, one
     can prove that a class contains the singleton formed on it if and only if
     it is proper and contains the empty set (since it is "the singleton formed
     on" any proper class, see ~ snprc ):
     ` |- -. ( { A } e. A <-> ( (/) e. A -> A e. _V ) ) ` .  (Contributed by
     BJ, 4-Feb-2023.) $)
  bj-nsnid $p |- ( A e. V -> -. { A } e. A ) $=
    ( wcel csn wa en2lp snidg anim1i ex mtoi ) ABCZADZACZALCZMEZALFKMOKNMABGHIJ
    $.

  ${
    $d f x y R $.  $d f x y A $.  $d f x y F $.
    $( TODO:  Replace ~ df-wrecs with this definition, and shorten theorems
       using ` wrecs ` with it.  (Contributed by BJ, 27-Oct-2024.) $)
    dfwrecs2 $p |- wrecs ( R , A , F ) = frecs ( R , A , ( F o. 2nd ) ) $=
      ( vf vx vy cv wss wral cfv wceq w3a wex cab cuni wtru cvv wcel vex a1i wa
      wfn cpred cres c2nd ccom co cfrecs cwrecs resex opco2 mptru eqeq2i ralbii
      3anbi3i exbii abbii unieqi df-frecs df-wrecs 3eqtr4ri ) DGZEGZUBZVCAHABFG
      ZUCZVCHFVCIUAZVEVBJZVEVBVFUDZCUEUFZUGZKZFVCIZLZEMZDNZOVDVGVHVICJZKZFVCIZL
      ZEMZDNZOABVJUHABCUIVPWBVOWADVNVTEVMVSVDVGVLVRFVCVKVQVHVKVQKPVEVICQQVEQRPF
      STVIQRPVBVFDSUJTUKULUMUNUOUPUQUREFABDVJUSEFABDCUTVA $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Evaluation at a class
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  This section treats the existing predicate ` Slot ` ( ~ df-slot ) as
  "evaluation at a class" and for the moment does not introduce new syntax for
  it.

$)

  ${
    $d A f $.  $d B f $.
    $( Equality theorem for the ` Slot ` construction.  This is currently a
       duplicate of ~ sloteq but may diverge from it if/when a token Eval is
       introduced for evaluation in order to separate it from Slot and any of
       its possible modifications.  (Contributed by BJ, 27-Dec-2021.)
       (Proof modification is discouraged.) $)
    bj-evaleq $p |- ( A = B -> Slot A = Slot B ) $=
      ( vf wceq cvv cv cfv cmpt cslot fveq2 mpteq2dv df-slot 3eqtr4g ) ABDZCEAC
      FZGZHCEBOGZHAIBINCEPQABOJKCALCBLM $.
  $}

  ${
    $d A f $.
    $( The evaluation at a class is a function.  (Contributed by BJ,
       27-Dec-2021.) $)
    bj-evalfun $p |- Fun Slot A $=
      ( vf cvv cv cfv cslot df-slot funmpt2 ) BCABDEAFBAGH $.

    $( The evaluation at a class is a function on the universal class.
       (General form of ~ slotfn ).  (Contributed by Mario Carneiro,
       22-Sep-2015.)  (Revised by BJ, 27-Dec-2021.) $)
    bj-evalfn $p |- Slot A Fn _V $=
      ( vf cvv cv cfv cslot fvex df-slot fnmpti ) BCABDZEAFAJGBAHI $.
  $}

  ${
    $d A f $.  $d F f $.
    $( Value of the evaluation at a class.  (Closed form of ~ strfvnd and
       ~ strfvn ).  (Contributed by NM, 9-Sep-2011.)  (Revised by Mario
       Carneiro, 15-Nov-2014.)  (Revised by BJ, 27-Dec-2021.) $)
    bj-evalval $p |- ( F e. V -> ( Slot A ` F ) = ( F ` A ) ) $=
      ( vf wcel cvv cslot cfv wceq elex cv fveq1 df-slot fvex fvmpt syl ) BCEBF
      EBAGZHABHZIBCJDBADKZHRFQASBLDAMABNOP $.
  $}

  $( The evaluation at a set of the identity function is that set.  (General
     form of ~ ndxarg .)  The restriction to a set ` V ` is necessary since the
     argument of the function ` Slot A ` (like that of any function) has to be
     a set for the evaluation to be meaningful.  (Contributed by BJ,
     27-Dec-2021.) $)
  bj-evalid $p |- ( ( V e. W /\ A e. V ) -> ( Slot A ` ( _I |` V ) ) = A ) $=
    ( wcel cid cres cslot cfv cvv wceq resiexg bj-evalval syl fvresi sylan9eq )
    BCDZABDEBFZAGHZAQHZAPQIDRSJBCKAQILMBANO $.

  ${
    bj-ndxarg.1 $e |- E = Slot N $.
    bj-ndxarg.2 $e |- N e. NN $.
    $( Proof of ~ ndxarg from ~ bj-evalid .  (Contributed by BJ, 27-Dec-2021.)
       (Proof modification is discouraged.) $)
    bj-ndxarg $p |- ( E ` ndx ) = N $=
      ( cn cvv wcel cnx cfv wceq nnex wa cid cres cslot df-ndx bj-evalid syl5eq
      fveq12i mp2an ) EFGZBEGZHAIZBJKDUAUBLUCMENZBOZIBHUDAUECPSBEFQRT $.
  $}

  $( Closed general form of ~ strndxid .  Both sides are equal to
     ` ( F `` A ) ` by ~ bj-evalid and ~ bj-evalval respectively, but
     ~ bj-evalidval adds something to ~ bj-evalid and ~ bj-evalval in that
     ` Slot A ` appears on both sides.  (Contributed by BJ, 27-Dec-2021.) $)
  bj-evalidval $p |- ( ( V e. W /\ A e. V /\ F e. U ) ->
                        ( F ` ( Slot A ` ( _I |` V ) ) ) = ( Slot A ` F ) ) $=
    ( wcel w3a cid cres cslot cfv wa bj-evalid fveq2d 3adant3 bj-evalval eqcomd
    wceq 3ad2ant3 eqtrd ) DEFZADFZCBFZGHDIAJZKZCKZACKZCUDKZUAUBUFUGRUCUAUBLUEAC
    ADEMNOUCUAUGUHRUBUCUHUGACBPQST $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Elementwise operations
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Token for elementwise operations. $)
  $c elwise $.

  $( Syntax for elementwise operations. $)
  celwise $a class elwise $.

  ${
    $d o x y z u v $.
    $( Define the elementwise operation associated with a given operation.  For
       instance, ` + ` is the addition of complex numbers ( ~ axaddf ), so if
       ` A ` and ` B ` are sets of complex numbers, then
       ` ( A ( elwise `` + ) B ) ` is the set of numbers of the form
       ` ( x + y ) ` with ` x e. A ` and ` y e. B ` .  The set of odd natural
       numbers is
       ` ( ( { 2 } ( elwise `` x. ) NN0 ) ( elwise `` + ) { 1 } ) ` , or less
       formally ` 2 NN0 + 1 ` .  (Contributed by BJ, 22-Dec-2021.) $)
    df-elwise $a |- elwise = ( o e. _V |->
       ( x e. _V , y e. _V |-> { z | E. u e. x E. v e. y z = ( u o v ) } ) ) $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Elementwise intersection (families of sets induced on a subset)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Many kinds of structures are given by families of subsets of a given set:
  Moore collections ( ~ df-mre ), topologies ( ~ df-top ), pi-systems, rings of
  sets, delta-rings, lambda-systems/Dynkin systems, algebras/fields of sets,
  sigma-algebras/sigma-fields/tribes ( ~ df-siga ), sigma rings, monotone
  classes, matroids/independent sets, bornologies, filters.

  There is a natural notion of structure induced on a subset.  It is often
  given by an elementwise intersection, namely, the
  family of intersections of sets in the original family with the given subset.
  In this subsection, we define this notion and prove its main properties.
  Classical conditions on families of subsets include being nonempty,
  containing the whole set, containing the empty set, being stable under
  unions, intersections, subsets, supersets, (relative) complements. Therefore,
  we prove related properties for the elementwise intersection.

  We will call ` ( X |``t A ) ` the elementwise intersection on the family
  ` X ` by the class ` A ` .

  REMARK: many theorems are already in set.mm: "MM> SEARCH *rest* / JOIN".

$)

  $( An elementwise intersection on the empty family is the empty set.  TODO:
     this is ~ 0rest .  (Contributed by BJ, 27-Apr-2021.) $)
  bj-rest00 $p |- ( (/) |`t A ) = (/) $=
    ( 0rest ) AB $.

  ${
    $d A x y $.  $d V x $.  $d W x $.  $d Y x y $.
    $( An elementwise intersection on the singleton on a set is the singleton
       on the intersection by that set.  Generalization of ~ bj-restsn0 and
       ~ bj-restsnid .  (Contributed by BJ, 27-Apr-2021.) $)
    bj-restsn $p |-
               ( ( Y e. V /\ A e. W ) -> ( { Y } |`t A ) = { ( Y i^i A ) } ) $=
      ( vx vy wcel wa csn crest co cin cv wceq wrex cvv wb snex elrest mpan
      velsn ineq1 sneqd eleq2d bitr3id rexsng sylan9bbr eqrdv ) DBGZACGZHEDIZAJ
      KZDALZIZUJEMZULGZUOFMZALZNZFUKOZUIUOUNGZUKPGUJUPUTQDRFUOAUKPCSTUSVAFDBUSU
      OURIZGUQDNZVAEURUAVCVBUNUOVCURUMUQDAUBUCUDUEUFUGUH $.
  $}

  $( Special case of ~ bj-restsn .  (Contributed by BJ, 27-Apr-2021.) $)
  bj-restsnss $p |-
               ( ( Y e. V /\ A C_ Y ) -> ( { Y } |`t A ) = { A } ) $=
    ( wss cin csn wceq wcel crest sseqin2 sneq sylbi cvv ssexg ancoms bj-restsn
    co syldan eqeq2 biimpa syl2an2 ) ACDZCAEZFZAFZGZCBHZCFAIQZUDGZUHUEGZUBUCAGU
    FACJUCAKLUGUBAMHZUIUBUGUKACBNOABMCPRUFUIUJUDUEUHSTUA $.

  $( Special case of ~ bj-restsn .  (Contributed by BJ, 27-Apr-2021.) $)
  bj-restsnss2 $p |-
               ( ( A e. V /\ Y C_ A ) -> ( { Y } |`t A ) = { Y } ) $=
    ( wss cin wceq wcel crest co df-ss sneq sylbi ssexg ancoms bj-restsn syldan
    csn cvv eqeq2 biimpa syl2an2 ) CADZCAEZQZCQZFZABGZUEAHIZUDFZUHUEFZUBUCCFUFC
    AJUCCKLUGUBCRGZUIUBUGUKCABMNUKUGUIARBCONPUFUIUJUDUEUHSTUA $.

  $( An elementwise intersection on the singleton on the empty set is the
     singleton on the empty set.  Special case of ~ bj-restsn and
     ~ bj-restsnss2 .  TODO: this is ~ restsn .  (Contributed by BJ,
     27-Apr-2021.) $)
  bj-restsn0 $p |- ( A e. V -> ( { (/) } |`t A ) = { (/) } ) $=
    ( wcel c0 wss csn crest co wceq 0ss bj-restsnss2 mpan2 ) ABCDAEDFZAGHMIAJAB
    DKL $.

  $( Special case of ~ bj-restsn , ~ bj-restsnss , and ~ bj-rest10 .
     (Contributed by BJ, 27-Apr-2021.) $)
  bj-restsn10 $p |- ( X e. V -> ( { X } |`t (/) ) = { (/) } ) $=
    ( wcel c0 wss csn crest co wceq 0ss bj-restsnss mpan2 ) BACDBEBFDGHDFIBJDAB
    KL $.

  ${
    $d x y z $.
    $( The elementwise intersection on the singleton on a class by that class
       is the singleton on that class.  Special case of ~ bj-restsn and
       ~ bj-restsnss .  (Contributed by BJ, 27-Apr-2021.) $)
    bj-restsnid $p |- ( { A } |`t A ) = { A } $=
      ( vx vy vz cvv wcel csn crest co wceq wss ssid bj-restsnss mpan2 wn c0 cv
      cin cmpt crn df-rest reldmmpo ovprc2 snprc biimpi eqtr4d pm2.61i ) AEFZAG
      ZAHIZUIJZUHAAKUKALAEAMNUHOZUJPUIUIAHBCEEDBQDQCQRSTHCDBUAUBUCULUIPJAUDUEUF
      UG $.
  $}

  ${
    $d V x $.  $d X x y $.
    $( An elementwise intersection on a nonempty family by the empty set is the
       singleton on the empty set.  TODO: this generalizes ~ rest0 and could
       replace it.  (Contributed by BJ, 27-Apr-2021.) $)
    bj-rest10 $p |- ( X e. V -> ( X =/= (/) -> ( X |`t (/) ) = { (/) } ) ) $=
      ( vx vy wcel c0 wne crest co csn wceq wa cv cin wrex cvv wb 0ex wex bitri
      elrest mpan2 in0 eqeq2i rexbii df-rex 19.41v bicomi anbi1i sylan9bb velsn
      n0 baib bitr4di eqrdv ex ) BAEZBFGZBFHIZFJZKUQURLZCUSUTVACMZUSEZVBFKZVBUT
      EUQVCVBDMZFNZKZDBOZURVDUQFPEVCVHQRDVBFBAPUAUBVHURVDVHVDDBOZURVDLZVGVDDBVF
      FVBVEUCUDUEVIVEBEZVDLDSZVJVDDBUFVLVKDSZVDLVJVKVDDUGVMURVDURVMDBULUHUITTTU
      MUJCFUKUNUOUP $.
  $}

  $( Alternate version of ~ bj-rest10 .  (Contributed by BJ, 27-Apr-2021.) $)
  bj-rest10b $p |- ( X e. ( V \ { (/) } ) -> ( X |`t (/) ) = { (/) } ) $=
    ( c0 csn cdif wcel wne wa crest co wceq eldif 0ex elsn2 neqne sylnbi anim2i
    wn sylbi bj-rest10 imp syl ) BACDZEFZBAFZBCGZHZBCIJUCKZUDUEBUCFZRZHUGBAUCLU
    JUFUEUIBCKUFBCMNBCOPQSUEUFUHABTUAUB $.

  ${
    $d A x y $.  $d V x $.  $d W x $.  $d X x y $.
    $( An elementwise intersection on a nonempty family is nonempty.
       (Contributed by BJ, 27-Apr-2021.) $)
    bj-restn0 $p |-
            ( ( X e. V /\ A e. W ) -> ( X =/= (/) -> ( X |`t A ) =/= (/) ) ) $=
      ( vx vy wcel wa c0 wne cv crest co wex cin wceq wrex n0 wi vex inex1 jctr
      isseti eximi df-rex sylibr rexcom4 sylib a1i syl5bi elrest biimprd eximdv
      syld syl6ibr ) DBGACGHZDIJZEKZDALMZGZENZUSIJUPUQURFKZAOZPZFDQZENZVAUQVBDG
      ZFNZUPVFFDRVHVFSUPVHVDENZFDQZVFVHVGVIHZFNVJVGVKFVGVIEVCVBAFTUAUCUBUDVIFDU
      EUFVDFEDUGUHUIUJUPVEUTEUPUTVEFURADBCUKULUMUNEUSRUO $.
  $}

  $( Alternate version of ~ bj-restn0 .  (Contributed by BJ, 27-Apr-2021.) $)
  bj-restn0b $p |-
               ( ( X e. ( V \ { (/) } ) /\ A e. W ) -> ( X |`t A ) =/= (/) ) $=
    ( c0 csn cdif wcel wa wne crest co eldifi eldifsni jca an32 sylib bj-restn0
    anim1i imp syl ) DBEFZGHZACHZIZDBHZUDIZDEJZIZDAKLEJZUEUFUHIZUDIUIUCUKUDUCUF
    UHDBUBMDBENOSUFUHUDPQUGUHUJABCDRTUA $.

  ${
    $d A x y $.  $d V x $.  $d W x $.  $d Y x y $.
    $( The elementwise intersection on a powerset is the powerset of the
       intersection.  This allows to prove for instance that the topology
       induced on a subset by the discrete topology is the discrete topology on
       that subset.  See also ~ restdis (which uses ~ distop and ~ restopn2 ).
       (Contributed by BJ, 27-Apr-2021.) $)
    bj-restpw $p |-
                 ( ( Y e. V /\ A e. W ) -> ( ~P Y |`t A ) = ~P ( Y i^i A ) ) $=
      ( vx vy wcel wa cpw cin wceq cvv wex wss velpw sstr2 inss1 sseq1 mpbiri
      cv crest co wrex pwexg elrest sylan anbi1i exbii com12 impel inss2 adantl
      wb ssind exlimiv mpi ssidd id a1i eqssd ineq1 eqeq2d anbi12d spcev sylan2
      vex syl2anc impbii bitri df-rex 3bitr4i bitrdi eqrdv ) DBGZACGZHZEDIZAUAU
      BZDAJZIZVPETZVRGZWAFTZAJZKZFVQUCZWAVTGZVNVQLGVOWBWFUMDBUDFWAAVQLCUEUFWCVQ
      GZWEHZFMZWAVSNZWFWGWJWCDNZWEHZFMZWKWIWMFWHWLWEFDOUGUHWNWKWMWKFWMWADAWLWAW
      CNZWADNZWEWOWLWPWAWCDPUIWEWOWDWCNWCAQWAWDWCRSUJWEWAANZWLWEWQWDANWCAUKWAWD
      ARSULUNUOWKWPWQWNWKVSDNWPDAQWAVSDPUPWKVSANWQDAUKWAVSAPUPWQWPWAWAAJZKZWNWQ
      WAWRWQWAWAAWQWAUQWQURUNWRWANWQWAAQUSUTWMWPWSHFWAEVFWCWAKZWLWPWEWSWCWADRWT
      WDWRWAWCWAAVAVBVCVDVEVGVHVIWEFVQVJEVSOVKVLVM $.
  $}

  ${
    $d A x $.  $d X x $.
    $( An elementwise intersection on a family containing the empty set
       contains the empty set.  (Contributed by BJ, 27-Apr-2021.) $)
    bj-rest0 $p |-
              ( ( X e. V /\ A e. W ) -> ( (/) e. X -> (/) e. ( X |`t A ) ) ) $=
      ( vx c0 wcel crest co wa cv cin wceq wrex wex in0 incom eqtr3i 0ex eleq1
      ineq1 eqeq2d anbi12d spcev mpan2 df-rex sylibr elrest syl5ibr ) FDGZFDAHI
      GDBGACGJFEKZALZMZEDNZUJUKDGZUMJZEOZUNUJFFALZMZUQAFLFURAPAFQRUPUJUSJEFSUKF
      MZUOUJUMUSUKFDTUTULURFUKFAUAUBUCUDUEUMEDUFUGEFADBCUHUI $.
  $}

  ${
    $d A y $.  $d B y $.  $d X y $.
    $( An elementwise intersection by a set on a family containing a superset
       of that set contains that set.  (Contributed by BJ, 27-Apr-2021.) $)
    bj-restb $p |-
                  ( X e. V -> ( ( A C_ B /\ B e. X ) -> A e. ( X |`t A ) ) ) $=
      ( vy wcel wss wa crest co cv cin wceq wrex wex id ssidd ssind inss2 cvv
      a1i eqssd wi eleq1 ineq1 eqeq2d anbi12d spcegv expd pm2.43i df-rex sylibr
      mpan9 adantl wb ssexg elrest sylan2 mpbird ex ) DCFZABGZBDFZHZADAIJFZVAVD
      HVEAEKZALZMZEDNZVDVIVAVDVFDFZVHHZEOZVIVBABALZMZVCVLVBAVMVBABAVBPVBAQRVMAG
      VBBASUAUBVCVNVLUCVCVCVNVLVKVCVNHEBDVFBMZVJVCVHVNVFBDUDVOVGVMAVFBAUEUFUGUH
      UIUJUMVHEDUKULUNVDVAATFVEVIUOABDUPEAADCTUQURUSUT $.
  $}

  $( An elementwise intersection by a subset on a family containing the whole
     set contains the whole subset.  (Contributed by BJ, 27-Apr-2021.) $)
  bj-restv $p |- ( ( A C_ U. X /\ U. X e. X ) -> A e. ( X |`t A ) ) $=
    ( cvv wcel cuni wss wa crest co uniexr adantl bj-restb mpcom ) BCDZABEZFZOB
    DZGABAHIDQNPBBJKAOCBLM $.

  $( An elementwise intersection by a set on a family containing that set
     contains that set.  (Contributed by BJ, 27-Apr-2021.) $)
  bj-resta $p |- ( X e. V -> ( A e. X -> A e. ( X |`t A ) ) ) $=
    ( wcel wss crest co ssid bj-restb mpani ) CBDAAEACDACAFGDAHAABCIJ $.

  ${
    $d A x y z $.  $d V x y $.  $d W x y $.  $d X x y z $.
    $( The union of an elementwise intersection by a set is equal to the
       intersection with that set of the union of the family.  See also
       ~ restuni and ~ restuni2 .  (Contributed by BJ, 27-Apr-2021.) $)
    bj-restuni $p |-
             ( ( X e. V /\ A e. W ) -> U. ( X |`t A ) = ( U. X i^i A ) ) $=
      ( vx vy vz wcel wa cuni cin cv wex eluni bicomi 19.42v bitri exbii 3bitri
      sseld crest co wceq wrex elrest anbi2d exbidv wb anbi1i a1i df-rex anbi2i
      excom an12 eqimss imdistanri eqimss2 impbii vex inex1 isseti biantru elin
      bianassc 19.41v 3bitr4g bitrd syl5bb eqrdv ) DBHACHIZEDAUAUBZJZDJZAKZELZV
      LHVOFLZHZVPVKHZIZFMZVJVOVNHZFVOVKNVJVTVQVPGLZAKZUCZGDUDZIZFMZWAVJVSWFFVJV
      RWEVQGVPADBCUEUFUGVJVOWBHZWBDHZIZGMZVOAHZIZVOVMHZWLIZWGWAWMWOUHVJWKWNWLWN
      WKGVODNOUIUJWGVQWIWDIZIZGMZFMWQFMZGMZWMWFWRFWFVQWPGMZIZWRWEXAVQWDGDUKULWR
      XBVQWPGPOQRWQFGUMWTWJWLIZGMWMWSXCGWSWIVQWDIZIZFMWIXDFMZIXCWQXEFVQWIWDUNRW
      IXDFPXFWHWLWIXFVOWCHZWDIZFMXGWDFMZIZWHWLIZXDXHFXDXHWDVQXGWDVPWCVOVPWCUOTU
      PWDXGVQWDWCVPVOWCVPUQTUPURRXGWDFPXJXGXKXGXJXIXGFWCWBAGUSUTVAVBOVOWBAVCQSV
      DSRWJWLGVEQSVOVMAVCVFVGVHVI $.
  $}

  $( The union of an elementwise intersection on a family of sets by a subset
     is equal to that subset.  See also ~ restuni and ~ restuni2 .
     (Contributed by BJ, 27-Apr-2021.) $)
  bj-restuni2 $p |- ( ( X e. V /\ A C_ U. X ) -> U. ( X |`t A ) = A ) $=
    ( wcel cuni wss wa crest cin cvv wceq uniexg ssexg sylan2 ancoms bj-restuni
    co syldan inss2 a1i id ssidd ssind eqssd adantl eqtrd ) CBDZACEZFZGCAHQEZUH
    AIZAUGUIAJDZUJUKKUIUGULUGUIUHJDULCBLAUHJMNOABJCPRUIUKAKUGUIUKAUKAFUIUHASTUI
    AUHAUIUAUIAUBUCUDUEUF $.

  ${
    $d A x $.
    $( A reformulation of the axiom of regularity using elementwise
       intersection.  (RK: might have to be placed later since theorems in this
       section are to be moved early (in the section related to the algebra of
       sets).)  (Contributed by BJ, 27-Apr-2021.) $)
    bj-restreg $p |- ( ( A e. V /\ A =/= (/) ) -> (/) e. ( A |`t A ) ) $=
      ( vx wcel c0 wne wa crest co cv cin wceq wrex zfreg eqcom rexbii sylib wb
      simpl elrest syldan mpbird ) ABDZAEFZGZEAAHIDZECJAKZLZCAMZUEUGELZCAMUICAB
      NUJUHCAUGEOPQUCUDUCUFUIRUCUDSCEAABBTUAUB $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Moore collections (complements)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A x $.  $d B x $.  $d ps x $.
    bj-raldifsn.is $e |- ( x = B -> ( ph <-> ps ) ) $.
    $( All elements in a set satisfy a given property if and only if all but
       one satisfy that property and that one also does.  Typically, this can
       be used for characterizations that are proved using different methods
       for a given element and for all others, for instance zero and nonzero
       numbers, or the empty set and nonempty sets.  (Contributed by BJ,
       7-Dec-2021.) $)
    bj-raldifsn $p |-
       ( B e. A -> ( A. x e. A ph <-> ( A. x e. ( A \ { B } ) ph /\ ps ) ) ) $=
      ( wcel wral csn cun wa difsnid eqcomd raleqdv wb ralunb a1i ralsng anbi2d
      cdif 3bitrd ) EDGZACDHACDEIZTZUCJZHZACUDHZACUCHZKZUGBKUBACDUEUBUEDDELMNUF
      UIOUBACUDUCPQUBUHBUGABCEDFRSUA $.
  $}

  ${
    $d x A $.  $d x B $.  $d x X $.
    $( If ` A ` is a collection of subsets of ` X ` , like a Moore collection
       or a topology, two equivalent ways to say that arbitrary intersections
       of elements of ` A ` relative to ` X ` belong to some class ` B ` : the
       LHS singles out the empty intersection (the empty intersection relative
       to ` X ` is ` X ` and the intersection of a nonempty family of subsets
       of ` X ` is included in ` X ` , so there is no need to intersect it with
       ` X ` ).  In typical applications, ` B ` is ` A ` itself.  (Contributed
       by BJ, 7-Dec-2021.) $)
    bj-0int $p |- ( A C_ ~P X -> (
                     ( X e. B /\ A. x e. ( ~P A \ { (/) } ) |^| x e. B ) <->
                                       A. x e. ~P A ( X i^i |^| x ) e. B ) ) $=
      ( cpw wss wcel cv cint c0 csn wral wa cin wb wceq df-ss a1i wi eleq1 cdif
      cvv ssv int0 sseqtrri mpbi eqcomi eleq1i eldifsn sstr2 intss2 elpwi syl11
      wne syl6 impd syl5bi incom eqcom sylbb sylbi syl5 syld ralrimiv ralbi syl
      eqeq1i anbi12d biancomd 0elpw inteq ineq2 3syl bj-raldifsn ax-mp bitr4di
      ) BDEZFZDCGZAHZIZCGZABEZJKUAZLZMZDWANZCGZAWDLZDJIZNZCGZMZWHAWCLZVRWFWIWLV
      RVSWLWEWIVSWLOVRDWKCWKDDWJFWKDPDUBWJDUCUDUEDWJQUFUGUHRVRWBWHOZAWDLWEWIOVR
      WOAWDVRVTWDGZWADFZWOWPVTWCGZVTJUNZMVRWQVTWCJUIVRWRWSWQVTBFZVRWSWQSZWRWTVR
      VTVQFXAVTBVQUJVTDUKUOVTBULUMUPUQWQWAWGPZVRWOWQWADNZWAPZXBWADQXDWGWAPXBXCW
      GWAWADURVGWGWAUSUTVAXBWOSVRWAWGCTRVBVCVDWBWHAWDVEVFVHVIJWCGWNWMOBVJWHWLAW
      CJVTJPWAWJPWGWKPWHWLOVTJVKWAWJDVLWGWKCTVMVNVOVP $.
  $}

  ${
    $d A x $.
    $( A Moore collection is a set.  Therefore, the class ` Moore_ ` of all
       Moore sets defined in ~ df-bj-moore is actually the class of all Moore
       collections.  This is also illustrated by the lack of sethood condition
       in ~ bj-ismoore .

       Note that the closed sets of a topology form a Moore collection, so a
       topology is a set, and this remark also applies to many other families
       of sets (namely, as soon as the whole set is required to be a set of the
       family, then the associated kind of family has no proper classes: that
       this condition suffices to impose sethood can be seen in this proof,
       which relies crucially on ~ uniexr ).

       Note: if, in the above predicate, we substitute ` ~P X ` for ` A ` ,
       then the last ` e. ~P X ` could be weakened to ` C_ X ` , and then the
       predicate would be obviously satisfied since ` |- U. ~P X = X `
       ( ~ unipw ) , making ` ~P X ` a Moore collection in this weaker sense,
       for any class ` X ` , even proper, but the addition of this single case
       does not add anything interesting.  Instead, we have the biconditional
       ~ bj-discrmoore .  (Contributed by BJ, 8-Dec-2021.) $)
    bj-mooreset $p |- ( A. x e. ~P A ( U. A i^i |^| x ) e. A -> A e. _V ) $=
      ( cuni cv cint cin wcel cpw wral cvv c0 wi 0elpw rint0 eleq1d rspcv ax-mp
      wceq uniexr syl ) BCZADZEFZBGZABHZIZUABGZBJGKUEGUFUGLBMUDUGAKUEUBKRUCUABU
      AUBNOPQBBST $.
  $}

  $( Token for the class of Moore collections. $)
  $c Moore_ $.

  $( Syntax for the class of Moore collections. $)
  cmoore $a class Moore_ $.

  ${
    $d x y $.
    $( Define the class of Moore collections.  This is indeed the class of all
       Moore collections since these all are sets, as proved in ~ bj-mooreset ,
       and as illustrated by the lack of sethood condition in ~ bj-ismoore .

       This is to ~ df-mre (defining ` Moore ` ) what ~ df-top (defining
       ` Top ` ) is to ~ df-topon (defining ` TopOn ` ).

       For the sake of consistency, the function defined at ~ df-mre should be
       denoted by "MooreOn".

       Note: ~ df-mre singles out the empty intersection.  This is not
       necessary.  It could be written instead ` |- Moore = `
       ` ( x e. _V |-> { y e. ~P ~P x | A. z e. ~P y ( x i^i |^| z ) e. y } ) `
       and the equivalence of both definitions is proved by ~ bj-0int .

       There is no added generality in defining a "Moore predicate" for
       arbitrary classes, since a Moore class satisfying such a predicate is
       automatically a set (see ~ bj-mooreset ).

       TODO: move to the main section.  For many families of sets, one can
       define both the function associating to each set the set of families of
       that kind on it (like ~ df-mre and ~ df-topon ) or the class of all
       families of that kind, independent of a base set (like ~ df-bj-moore or
       ~ df-top ).  In general, the former will be more useful and the extra
       generality of the latter is not necessary.  Moore collections, however,
       are particular in that they are more ubiquitous and are used in a wide
       variety of applications (for many families of sets, the family of
       families of a given kind is often a Moore collection, for instance).
       Therefore, in the case of Moore families, having both definitions is
       useful.

       (Contributed by BJ, 27-Apr-2021.) $)
    df-bj-moore $a |- Moore_ = { x | A. y e. ~P x ( U. x i^i |^| y ) e. x } $.
  $}

  ${
    $d x y A $.
    $( Characterization of Moore collections.  Note that there is no sethood
       hypothesis on ` A ` : it is implied by either side (this is obvious for
       the LHS, and is the content of ~ bj-mooreset for the RHS).  (Contributed
       by BJ, 9-Dec-2021.) $)
    bj-ismoore $p |-
                    ( A e. Moore_ <-> A. x e. ~P A ( U. A i^i |^| x ) e. A ) $=
      ( vy cmoore wcel cvv cuni cv cint cin cpw wral elex bj-mooreset wceq pweq
      unieq ineq1d id eleq12d raleqbidv df-bj-moore elab2g pm5.21nii ) BDEBFEBG
      ZAHIZJZBEZABKZLZBDMABNCHZGZUFJZUKEZAUKKZLUJCBDFUKBOZUNUHAUOUIUKBPUPUMUGUK
      BUPULUEUFUKBQRUPSTUACAUBUCUD $.
  $}

  ${
    $d x A $.
    $( Necessary condition to be a Moore collection.  (Contributed by BJ,
       9-Dec-2021.) $)
    bj-ismoored0 $p |- ( A e. Moore_ -> U. A e. A ) $=
      ( vx cmoore wcel cuni cv cint cin cpw wral bj-ismoore c0 0elpw wceq rint0
      wi eleq1d rspcv ax-mp sylbi ) ACDAEZBFZGHZADZBAIZJZUAADZBAKLUEDUFUGPAMUDU
      GBLUEUBLNUCUAAUAUBOQRST $.
  $}

  ${
    $d x A $.  $d x B $.
    bj-ismoored.1 $e |- ( ph -> A e. Moore_ ) $.
    bj-ismoored.2 $e |- ( ph -> B C_ A ) $.
    $( Necessary condition to be a Moore collection.  (Contributed by BJ,
       9-Dec-2021.) $)
    bj-ismoored $p |- ( ph -> ( U. A i^i |^| B ) e. A ) $=
      ( vx cuni cv cint cin wcel cpw wceq inteq ineq2d eleq1d cmoore bj-ismoore
      wral sylib sselpwd rspcdva ) ABGZFHZIZJZBKZUCCIZJZBKFBLZCUDCMZUFUIBUKUEUH
      UCUDCNOPABQKUGFUJSDFBRTACBQDEUAUB $.

    bj-ismoored2.3 $e |- ( ph -> B =/= (/) ) $.
    $( Necessary condition to be a Moore collection.  (Contributed by BJ,
       9-Dec-2021.) $)
    bj-ismoored2 $p |- ( ph -> |^| B e. A ) $=
      ( cuni cint cin wss c0 wne intssuni2 syl2anc sseqin2 bj-ismoored eqeltrrd
      wceq sylib ) ABGZCHZIZUABAUATJZUBUARACBJCKLUCEFCBMNUATOSABCDEPQ $.
  $}

  ${
    $d ph x $.  $d A x $.
    bj-ismooredr.1 $e |- ( ( ph /\ x C_ A ) -> ( U. A i^i |^| x ) e. A ) $.
    $( Sufficient condition to be a Moore collection.  Note that there is no
       sethood hypothesis on ` A ` : it is a consequence of the only
       hypothesis.  (Contributed by BJ, 9-Dec-2021.) $)
    bj-ismooredr $p |- ( ph -> A e. Moore_ ) $=
      ( cuni cv cint cin wcel cpw wral cmoore elpwi ex syl5 ralrimiv bj-ismoore
      wss sylibr ) ACEBFZGHCIZBCJZKCLIAUABUBTUBITCRZAUATCMAUCUADNOPBCQS $.
  $}

  ${
    $d ph x $.  $d A x $.
    bj-ismooredr2.1 $e |- ( ph -> U. A e. A ) $.
    bj-ismooredr2.2 $e |-
                         ( ( ph /\ ( x C_ A /\ x =/= (/) ) ) -> |^| x e. A ) $.
    $( Sufficient condition to be a Moore collection (variant of ~ bj-ismooredr
       singling out the empty intersection).  Note that there is no sethood
       hypothesis on ` A ` : it is a consequence of the first hypothesis.
       (Contributed by BJ, 9-Dec-2021.) $)
    bj-ismooredr2 $p |- ( ph -> A e. Moore_ ) $=
      ( cv wss wa c0 wne cuni cint cin wcel anassrs intssuni2 wceq dfss sylbi
      wi wb incom eqeq2i eleq1 biimpd syl adantll mpd ex wn rint0 eleq1a syl2im
      nne syl5bi adantr pm2.61d bj-ismooredr ) ABCABFZCGZHZUSIJZCKZUSLZMZCNZVAV
      BVFVAVBHVDCNZVFAUTVBVGEOUTVBVGVFTZAUTVBHVDVCGZVHUSCPVIVDVDVCMZQZVHVDVCRVK
      VGVFVKVDVEQVGVFUAVJVEVDVDVCUBUCVDVECUDSUESUFUGUHUIAVBUJZVFTUTVLUSIQZAVFUS
      IUNAVCCNVMVEVCQVFDVCUSUKVCCVEULUMUOUPUQUR $.
  $}

  ${
    $d x A $.
    $( The powerclass ` ~P A ` is a Moore collection if and only if ` A ` is a
       set.  It is then called the discrete Moore collection.  (Contributed by
       BJ, 9-Dec-2021.) $)
    bj-discrmoore $p |- ( A e. _V <-> ~P A e. Moore_ ) $=
      ( vx cvv wcel cpw cmoore cuni cv cint cin unipw ineq1i inex1g inss1 elpwd
      wss a1i eqeltrid adantr bj-ismooredr pwexr impbii ) ACDZAEZFDUCBUDUCUDGZB
      HZIZJZUDDUFUDPUCUHAUGJZUDUEAUGAKLUCUIACAUGCMUIAPUCAUGNQORSTAFUAUB $.
  $}

  $( The empty set is not a Moore collection.  (Contributed by BJ,
     9-Dec-2021.) $)
  bj-0nmoore $p |- -. (/) e. Moore_ $=
    ( c0 cmoore wcel cuni noel bj-ismoored0 mto ) ABCADZACHEAFG $.

  ${
    $d x A $.  $d x V $.
    $( A singleton is a Moore collection.  See ~ bj-snmooreb for a
       biconditional version.  (Contributed by BJ, 10-Apr-2024.) $)
    bj-snmoore $p |- ( A e. V -> { A } e. Moore_ ) $=
      ( vx wcel csn cuni unisng snidg eqeltrd cv wss c0 wne wa cint wi wceq cvv
      wn wo df-ne sssn biorf biimpar syl2anb inteq intsng ex syl2im intex elsng
      eqtr wb sylbi biimprd sylan9r syldan ancoms impcom bj-ismooredr2 ) ABDZCA
      EZVAVBFAVBABGABHICJZVBKZVCLMZNVAVCOZVBDZVEVDVAVGPZVEVDVCVBQZVHVEVCLQZSZVJ
      VITZVIVDVCLUAVCAUBVKVIVLVJVIUCUDUEVIVAVFAQZVEVGVIVFVBOZQZVAVNAQZVMVCVBUFA
      BUGVOVPVMVFVNAULUHUIVEVGVMVEVFRDVGVMUMVCUJVFARUKUNUOUPUQURUSUT $.
  $}

  $( A singleton is a Moore collection, biconditional version.  (Contributed by
     BJ, 9-Dec-2021.)  (Proof shortened by BJ, 10-Apr-2024.) $)
  bj-snmooreb $p |- ( A e. _V <-> { A } e. Moore_ ) $=
    ( cvv wcel csn cmoore bj-snmoore wn c0 snprc biimpi bj-0nmoore a1i eqneltrd
    wceq con4i impbii ) ABCZADZECZABFQSQGZRHETRHNAIJHECGTKLMOP $.

  ${
    $d A x $.  $d B x $.  $d V x $.
    $( A pair formed of two nested sets is a Moore collection.  (Note that in
       the statement, if ` B ` is a proper class, we are in the case of
       ~ bj-snmoore ).  A direct consequence is ` |- { (/) , A } e. Moore_ ` .

       More generally, any nonempty well-ordered chain of sets that is a set is
       a Moore collection.

       We also have the biconditional ` |- ( ( A i^i B ) e. V -> `
       ` ( { A , B } e. Moore_ <-> ( A C_ B \/ B C_ A ) ) ) ` .  (Contributed
       by BJ, 11-Apr-2024.) $)
    bj-prmoore $p |- ( ( A e. V /\ A C_ B ) -> { A , B } e. Moore_ ) $=
      ( vx cvv wcel wss wa cmoore wceq syl adantr eqeltrd c0 wo inteq adantl ex
      cint wfal cpr cun pm3.22 adantrr uniprg simprr ssequn1 sylib eqtrd prid2g
      cuni cv wne biid bianass wi intsng sylan9eqr prid1g ad2antrr intprg df-ss
      csn cin biimpi 3eqtrd ad3antlr jaod sspr andir eqneqall imp simpl orim12i
      falim bj-jaoi1 sylbi sylanb impel bj-ismooredr2 wn prprc2 eqcomd ad2antrl
      bj-snmoore eqeltrrd pm2.61ian ) BEFZACFZABGZHZABUAZIFWHWKHZDWLWMWLUKZBWLW
      MWNABUBZBWMWIWHHZWNWOJWHWIWPWJWHWIUCZUDABCEUEKWMWJWOBJWHWIWJUFABUGUHUIWHB
      WLFZWKABEUJZLMWMWHWIHZWJHZDULZWLGZXBNUMZHZXBSZWLFZWKWIWJWHWKUNUOXAXBAVCZJ
      ZXBBVCZJZXBWLJZOZOZXGXEXAXIXGXMWTXIXGUPWJWTXIXGWTXIHXFAWLXIWTXFXHSZAXBXHP
      WIXOAJWHACUQQURWTAWLFZXIWIXPWHABCUSZQLMRLXAXKXGXLWTXKXGUPWJWTXKXGWTXKHXFB
      WLXKWTXFXJSZBXBXJPWHXRBJWIBEUQLURWHWRWIXKWSUTMRLXAXLXGXAXLHZXFAWLXSXFWLSZ
      ABVDZAXLXFXTJXAXBWLPQXSWPXTYAJWTWPWJXLWQUTABCEVAKXAYAAJZXLWJYBWTWJYBABVBV
      EQLVFWIXPWHWJXLXQVGMRVHVHXCXBNJZXIOZXMOZXDXNXBABVIYEXDHYDXDHZXMXDHZOXNYDX
      MXDVJYFXIYGXMYFYCXDHZXIXDHZOZXIYCXIXDVJYJTXIOXIYHTYIXIYCXDTTXBNVKVLXIXDVM
      VNTXIXIVOVPKVQXMXDVMVNVQVRVSVRVTWHWAZWKHZXHWLIYLWIYKHZXHWLJYKWIYMWJYKWIUC
      UDYMWLXHYKWLXHJWIABWBQWCKWIXHIFYKWJACWEWDWFWG $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Maps-to notation for functions with three arguments
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d y x $.  $d y A $.  $d y B $.
    $( The empty set is not an element of a function (given in maps-to
       notation).  (Contributed by BJ, 30-Dec-2020.) $)
    bj-0nelmpt $p |- -. (/) e. ( x e. A |-> B ) $=
      ( vy c0 cv wcel wceq wa copab cmpt 0nelopab df-mpt eqcomi eleq2i mtbi ) E
      AFBGDFCHIZADJZGEABCKZGQADLRSESRADBCMNOP $.
  $}

  ${
    bj-mptval.nf $e |- F/_ x A $.
    $( Value of a function given in maps-to notation.  (Contributed by BJ,
       30-Dec-2020.) $)
    bj-mptval $p |- ( A. x e. A B e. V -> ( X e. A ->
               ( ( ( x e. A |-> B ) ` X ) = Y <-> X ( x e. A |-> B ) Y ) ) ) $=
      ( wcel wral cmpt wfn cfv wceq wbr wb wi fnmptf fnbrfvb ex syl ) CDHABIABC
      JZBKZEBHZEUALFMEFUANOZPABCDGQUBUCUDBEFUARST $.
  $}

$(
${
  bj-mptval2.1 $e |- ( ph -> ( x = <. X , Y >. -> B = C ) ) $.
  @( Value of a function given in maps-to notation.  (Contributed by BJ,
     30-Dec-2020.) @)
    bj-mptval2 $p |- ( ph -> ( X ( x e. A |-> B ) Y ) = C ) $=
     ? $.
$}
$)

  ${
    $d x y s t $.  $d s t A $.  $d s t B $.  $d s t C $.  $d y A $.
    $( An equivalent definition of ~ df-mpo .  (Contributed by BJ,
       30-Dec-2020.) $)
    bj-dfmpoa $p |- ( x e. A , y e. B |-> C ) = { <. s , t >. |
                          E. x e. A E. y e. B ( s = <. x , y >. /\ t = C ) } $=
      ( cmpo cv wcel wa wceq coprab cop wex copab wrex 3bitr2i exbii df-rex
      df-mpo dfoprab2 ancom anbi2i anass an13 r19.42v bitr4i opabbii 3eqtri ) A
      BDEFHAIZDJZBIZEJZKZCIFLZKZABCMGIUKUMNLZUQKZBOZAOZGCPURUPKZBEQZADQZGCPABCD
      EFUAUQABCGUBVAVDGCVAULVCKZAOVDUTVEAUTUNULVBKZKZBOVFBEQVEUSVGBUSURUPUOKZKV
      BUOKVGUQVHURUOUPUCUDURUPUOUEVBULUNUFRSVFBETULVBBEUGRSVCADTUHUIUJ $.
  $}

  ${
    $d x y z t A $.  $d x y z t B $.  $d x y t C $.  $d z t D $.
    bj-mpomptALT.1 $e |- ( z = <. x , y >. -> C = D ) $.
    $( Alternate proof of ~ mpompt .  (Contributed by BJ, 30-Dec-2020.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    bj-mpomptALT $p |- ( z e. ( A X. B ) |-> C ) = ( x e. A , y e. B |-> D ) $=
      ( vt cv cxp wcel wceq wa copab cop wrex cmpt r19.41v rexbii anbi1i eqeq2d
      cmpo elxp2 pm5.32i bitr3i 3bitr2i opabbii df-mpt bj-dfmpoa 3eqtr4i ) CJZD
      EKZLZIJZFMZNZCIOULAJBJPMZUOGMZNZBEQZADQZCIOCUMFRABDEGUCUQVBCIUQURBEQZADQZ
      UPNVCUPNZADQVBUNVDUPABULDEUDUAVCUPADSVEVAADVEURUPNZBEQVAURUPBESVFUTBEURUP
      USURFGUOHUBUETUFTUGUHCIUMFUIABIDEGCUJUK $.
  $}

  $( Syntax for maps-to notation for functions with three arguments. $)
  cmpt3 $a class ( x e. A , y e. B , z e. C |-> D ) $.

  ${
    $d s t x $.  $d s t y $.  $d s t z $.  $d s t A $.  $d s t B $.
    $d s t C $.  $d s t D $.
    $( Define maps-to notation for functions with three arguments.  See
       ~ df-mpt and ~ df-mpo for functions with one and two arguments
       respectively.  This definition is analogous to ~ bj-dfmpoa .
       (Contributed by BJ, 11-Apr-2020.) $)
    df-bj-mpt3 $a |- ( x e. A , y e. B , z e. C |-> D ) = { <. s , t >. |
            E. x e. A E. y e. B E. z e. C ( s = <. x , y , z >. /\ t = D ) } $.
  $}

$(
${
  $d x y z t A $.  $d x y z t B $.  $d x y z t C $.
  $d x D $.  $d y D $.  $d z D $.  $d t E $.
  bj-mpt3mpt.1 $e |- ( z = <. x , y , z >. -> D = E ) $.
  @( Express a three-argument function as a one-argument function, or
     vice-versa.  Similar to ~ mpompt .  @)
  bj-mpt3mpt $p |- ( t e. ( A X. B X. C ) |-> D ) =
                                          ( x e. A , y e. B , z e. C |-> E ) $=
    ? $.
$}
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Currying
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Currying and uncurrying.  See also ~ df-cur and ~ df-unc .  Contrary to
  these, the definitions in this section are parameterized.

$)

  $( Token for the set of set morphisms. $)
  $c -Set-> $.

  $( Syntax for the set of set morphisms. $)
  csethom $a class -Set-> $.

  ${
    $d f x y $.
    $( Define the set of functions (morphisms of sets) between two sets.  Same
       as ~ df-map with arguments swapped.  TODO: prove the same staple lemmas
       as for ` ^m ` .

       Remark: one may define
       ` -Set-> = ( x e. dom Struct , y e. dom Struct |-> `
       ` { f | f : ( Base `` x ) --> ( Base `` y ) } ) ` so that for morphisms
       between other structures, one could write
       ` ... = { f e. ( x -Set-> y ) | ... } ` .

       (Contributed by BJ, 11-Apr-2020.) $)
    df-bj-sethom $a |-
                      -Set-> = ( x e. _V , y e. _V |-> { f | f : x --> y } ) $.
  $}

  $( Token for the set of topological morphisms. $)
  $c -Top-> $.

  $( Syntax for the set of topological morphisms. $)
  ctophom $a class -Top-> $.

  ${
    $d f x y u $.
    $( Define the set of continuous functions (morphisms of topological spaces)
       between two topological spaces.  Similar to ~ df-cn (which is in terms
       of topologies instead of topological spaces).  (Contributed by BJ,
       10-Feb-2022.) $)
    df-bj-tophom $a |- -Top-> = ( x e. TopSp , y e. TopSp |->
                     { f e. ( ( Base ` x ) -Set-> ( Base ` y ) ) |
                 A. u e. ( TopOpen ` y ) ( `' f " u ) e. ( TopOpen ` x ) } ) $.
  $}

  $( Token for the set of magma morphisms. $)
  $c -Mgm-> $.

  $( Syntax for the set of magma morphisms. $)
  cmgmhom $a class -Mgm-> $.

  ${
    $d f x y u v $.
    $( Define the set of magma morphisms between two magmas.  If domain and
       codomain are semigroups, monoids, or groups, then one obtains the set of
       morphisms of these structures.  (Contributed by BJ, 10-Feb-2022.) $)
    df-bj-mgmhom $a |- -Mgm-> = ( x e. Mgm , y e. Mgm |->
                     { f e. ( ( Base ` x ) -Set-> ( Base ` y ) ) |
                       A. u e. ( Base ` x ) A. v e. ( Base ` x )
         ( f ` ( u ( +g ` x ) v ) ) = ( ( f ` u ) ( +g ` y ) ( f ` v ) ) } ) $.
  $}

  $( Token for the set of topological magma morphisms. $)
  $c -TopMgm-> $.

  $( Syntax for the set of topological magma morphisms. $)
  ctopmgmhom $a class -TopMgm-> $.

  ${
    $d x y $.
    $( Define the set of topological magma morphisms (continuous magma
       morphisms) between two topological magmas.  If domain and codomain are
       topological semigroups, monoids, or groups, then one obtains the set of
       morphisms of these structures.  This definition is currently stated with
       topological monoid domain and codomain, since topological magmas are
       currently not defined in set.mm.  (Contributed by BJ, 10-Feb-2022.) $)
    df-bj-topmgmhom $a |- -TopMgm-> =
     ( x e. TopMnd , y e. TopMnd |-> ( ( x -Top-> y ) i^i ( x -Mgm-> y ) ) ) $.
  $}

  $( Token for the parameterized currying function. $)
  $c curry_ $.

  $( Syntax for the parameterized currying function. $)
  ccur- $a class curry_ $.

  ${
    $d x y z a b f $.
    $( Define currying.  See also ~ df-cur .  (Contributed by BJ,
       11-Apr-2020.) $)
    df-bj-cur $a |- curry_ = ( x e. _V , y e. _V , z e. _V |->
                     ( f e. ( ( x X. y ) -Set-> z ) |->
                       ( a e. x |-> ( b e. y |-> ( f ` <. a , b >. ) ) ) ) ) $.
  $}

  $( Token for the parameterized uncurrying function. $)
  $c uncurry_ $.

  $( Notation for the parameterized uncurrying function. $)
  cunc- $a class uncurry_ $.

  ${
    $d x y z a b f $.
    $( Define uncurrying.  See also ~ df-unc .  (Contributed by BJ,
       11-Apr-2020.) $)
    df-bj-unc $a |- uncurry_ = ( x e. _V , y e. _V , z e. _V |->
                             ( f e. ( x -Set-> ( y -Set-> z ) ) |->
                               ( a e. x , b e. y |-> ( ( f ` a ) ` b ) ) ) ) $.
  $}

$(
  ${
    bj-curval.x $e |- ( ph -> X e. U ) $.
    bj-curval.y $e |- ( ph -> Y e. V ) $.
    bj-curval.z $e |- ( ph -> Z e. W ) $.
    @( Value of the currying function.  (Contributed by BJ, 30-Dec-2020.) @)
    bj-curval $p |- ( ph -> ( curry_ ` <. X , Y , Z >. ) =
                   ( f e. ( ( X X. Y ) -Set-> Z ) |->
                     ( a e. X |-> ( b e. Y |-> ( f ` <. a , b >. ) ) ) ) ) $=
      (  ) ? $.

    @( Property of currying.  (Contributed by BJ, 30-Dec-2020.) @)
    bj-cur $p |- ( ph -> ( curry_ ` <. X , Y , Z >. ) e.
            ( ( ( X X. Y ) -Set-> Z ) -Set-> ( X -Set-> ( Y -Set-> Z ) ) ) ) $=
      (  ) ? $.
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Setting components of extensible structures
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Groundwork for changing the definition, syntax and token for
  component-setting in extensible structures.  See
  ~ https://github.com/metamath/set.mm/issues/2401

$)

  $( Tokens for component-setting in extensible structures $)
  $c [s ]s $.

  $( Syntax for component-setting in extensible structures. $)
  cstrset $a class [s B / A ]s S $.

  $( Component-setting in extensible structures.  Define the extensible
     structure ` [s B / A ]s S ` , which is like the extensible structure ` S `
     except that the value ` B ` has been put in the slot ` A ` (replacing the
     current value if there was already one).  In such expressions, ` A ` is
     generally substituted for slot mnemonics like ` Base ` or ` +g ` or
     ` dist ` .  The ` _V ` in this definition was chosen to be closer to
     ~ df-sets , but since extensible structures are functions on ` NN ` , it
     will be more natural to replace it with ` NN ` when ~ df-strset becomes
     the main definition.  (Contributed by BJ, 13-Feb-2022.) $)
  df-strset $a |- [s B / A ]s S =
          ( ( S |` ( _V \ { ( A ` ndx ) } ) ) u. { <. ( A ` ndx ) , B >. } ) $.

  $( Relation between ~ df-sets and ~ df-strset .  Temporary theorem kept
     during the transition from the former to the latter.  (Contributed by BJ,
     13-Feb-2022.) $)
  setsstrset $p |- ( ( S e. V /\ B e. W ) ->
                          [s B / A ]s S = ( S sSet <. ( A ` ndx ) , B >. ) ) $=
    ( wcel wa cstrset cvv cnx cfv csn cdif cres cop cun csts df-strset setsval
    co eqtr4id ) CDFBEFGABCHCIJAKZLMNUBBOZLPCUCQTABCRUBBCDESUA $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Extended real and complex numbers, real and complex projective lines
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  In this section, we indroduce several supersets of the set ` RR ` of real
  numbers and the set ` CC ` of complex numbers.

  Once they are given their usual topologies, which are locally compact, both
  topological spaces have a one-point compactification.  They are denoted by
  ` RRhat ` and ` CChat ` respectively, defined in ~ df-bj-cchat and
  ~ df-bj-rrhat , and the point at infinity is denoted by ` infty ` , defined
  in ~ df-bj-infty .

  Both  ` RR ` and ` CC ` also have "directional compactifications", denoted
  respectively by ` RRbar ` , defined in ~ df-bj-rrbar (already defined as
  ` RR* ` , see ~ df-xr ) and ` CCbar ` , defined in ~ df-bj-ccbar .

  Since ` CCbar ` does not seem to be standard, we describe it in some detail.
  It is obtained by adding to ` CC ` a "point at infinity at the end of each
  ray with origin at 0".  Although ` CCbar ` is not an important object in
  itself, the motivation for introducing it is to provide a common superset to
  both ` RRbar ` and ` CC ` and to define algebraic operations (addition,
  opposite, multiplication, inverse) as widely as reasonably possible.

  Mathematically, ` CCbar ` is the quotient of
  ` ( ( CC X. RR>=0 ) \ { <. 0 , 0 >. } ) `
  by the diagonal multiplicative action of ` RR>0 ` (think of the closed
  "northern hemisphere" in ` RR `^3 identified with ` ( CC X. RR ) ` , that
  each open ray from 0 included in the closed northern half-space intersects
  exactly once).

  Since in set.mm, we want to have a genuine inclusion ` CC C_ CCbar ` , we
  instead define ` CCbar ` as the (disjoint) union of ` CC ` with a circle at
  infinity denoted by ` CCinfty ` .  To have a genuine inclusion
  ` RRbar C_ CCbar ` , we define ` pinfty ` and ` minfty ` as certain points in
  ` CCinfty ` .

  Thanks to this framework, one has the genuine inclusions
  ` RR C_ RRbar ` and ` RR C_ RRhat ` and similarly
  ` CC C_ CCbar ` and ` CC C_ CChat `.
  Furthermore, one has ` RR C_ CC ` as well as ` RRbar C_ CCbar ` and
  ` RRhat C_ CChat `.

  Furthermore, we define the main algebraic operations on
  ` ( CCbar u. CChat ) ` , which is not very mathematical, but "overloads" the
  operations, so that one can use the same notation in all cases.

$)

  $( Token for the nonnegative reals (currently only for comment
     typesetting). $)
  $c RR>=0 $.

  $( Token for the (strictly) positive reals (currently only for comment
     typesetting). $)
  $c RR>0 $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Complements on class abstractions of ordered pairs and binary relations
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    bj-nfald.1 $e |- ( ph -> A. y ph ) $.
    bj-nfald.2 $e |- ( ph -> F/ x ps ) $.
    $( Variant of ~ nfald .  (Contributed by BJ, 25-Dec-2023.) $)
    bj-nfald $p |- ( ph -> F/ x A. y ps ) $=
      ( wal wex 19.12 nfrd alimdh ax-11 syl56 nfd ) ABDGZCOCHBCHZDGABCGZDGOCGBC
      DIAPQDEABCFJKBDCLMN $.

    $( Variant of ~ nfexd .  (Contributed by BJ, 25-Dec-2023.) $)
    bj-nfexd $p |- ( ph -> F/ x E. y ps ) $=
      ( wex wn wal df-ex nfnd bj-nfald nfxfrd ) BDGBHZDIZHACBDJAOCANCDEABCFKLKM
      $.
  $}

  ${
    $d A x y $.  $d B x y $.
    copsex2d.xph $e |- ( ph -> A. x ph ) $.
    copsex2d.yph $e |- ( ph -> A. y ph ) $.
    copsex2d.xch $e |- ( ph -> F/ x ch ) $.
    copsex2d.ych $e |- ( ph -> F/ y ch ) $.
    copsex2d.exa $e |- ( ph -> A e. U ) $.
    copsex2d.exb $e |- ( ph -> B e. V ) $.
    copsex2d.is $e |- ( ( ph /\ ( x = A /\ y = B ) ) -> ( ps <-> ch ) ) $.
    $( Implicit substitution deduction for ordered pairs.  (Contributed by BJ,
       25-Dec-2023.) $)
    copsex2d $p |- ( ph ->
                  ( E. x E. y ( <. A , B >. = <. x , y >. /\ ps ) <-> ch ) ) $=
      ( wceq wex wa syl cv cop wb wcel elisset exdistrv wnf nfe1 nfbid bj-nfexd
      a1i 19.9d opeq12 copsexgw bicomd eqcoms adantl bitrd ex bj-exlimd syl5bir
      mp2and ) ADUAZFQZDRZEUAZGQZERZFGUBZVCVFUBZQZBSZERZDRZCUCZAFHUDVENDFHUETAG
      IUDVHOEGIUETVEVHSVDVGSZERZDRAVOVDVGDEUFAAVQVOVODJVOADAVNCDVNDUGAVMDUHUKLU
      IULAAVPVOVOEKVOAEAVNCEAVMEDJVMEUGAVLEUHUKUJMUIULAVPVOAVPSVNBCVPVNBUCZAVPV
      JVIQVRVCVFFGUMVRVIVJVKBVNBDEVIUNUOUPTUQPURUSUTUTVAVB $.
  $}

  ${
    $d A x y $.  $d B x y $.
    copsex2b.xph $e |- ( ph -> A. x ph ) $.
    copsex2b.yph $e |- ( ph -> A. y ph ) $.
    copsex2b.xch $e |- ( ph -> F/ x ch ) $.
    copsex2b.ych $e |- ( ph -> F/ y ch ) $.
    copsex2b.is $e |- ( ( ph /\ ( x = A /\ y = B ) ) -> ( ps <-> ch ) ) $.
    $( Biconditional form of ~ copsex2d .  TODO: prove a relative version, that
       is, with ` E. x e. V E. y e. W ... ( A e. V /\ B e. W ) ` .
       (Contributed by BJ, 27-Dec-2023.) $)
    copsex2b $p |- ( ph -> ( E. x E. y ( <. A , B >. = <. x , y >. /\ ps ) <->
                                        ( ( A e. _V /\ B e. _V ) /\ ch ) ) ) $=
      ( cop cv wceq wa wex cvv wcel adantr eqcom opth eqvisset anim12i exlimivv
      vex bitri sylbi anim2i simpl ax-5 hban wnf simprl simprr adantlr copsex2d
      wb ibar adantl bitrd pm5.21nd ) AFGMZDNZENZMZOZBPZEQDQZFRSZGRSZPZCPZAVLPZ
      VIVLAVHVLDEVGVLBVGVDFOZVEGOZPZVLVGVFVCOVQVCVFUAVDVEFGDUFEUFUBUGVOVJVPVKDF
      UCEGUCUDUHTUEUIVMVLAVLCUJUIVNVICVMVNBCDEFGRRAVLDHVLDUKULAVLEIVLEUKULACDUM
      VLJTACEUMVLKTAVJVKUNAVJVKUOAVQBCURVLLUPUQVLCVMURAVLCUSUTVAVB $.
  $}

  ${
    $d A x y $.  $d B x y $.
    opelopabd.xph $e |- ( ph -> A. x ph ) $.
    opelopabd.yph $e |- ( ph -> A. y ph ) $.
    opelopabd.xch $e |- ( ph -> F/ x ch ) $.
    opelopabd.ych $e |- ( ph -> F/ y ch ) $.
    opelopabd.exa $e |- ( ph -> A e. U ) $.
    opelopabd.exb $e |- ( ph -> B e. V ) $.
    opelopabd.is $e |- ( ( ph /\ ( x = A /\ y = B ) ) -> ( ps <-> ch ) ) $.
    $( Membership of an ordere pair in a class abstraction of ordered pairs.
       (Contributed by BJ, 17-Dec-2023.) $)
    opelopabd $p |- ( ph -> ( <. A , B >. e. { <. x , y >. | ps } <-> ch ) ) $=
      ( cop copab cv wex wcel wceq wa elopab copsex2d syl5bb ) FGQZBDERUAUGDSES
      QUBBUCETDTACBDEUGUDABCDEFGHIJKLMNOPUEUF $.
  $}

  ${
    $d A x y $.  $d B x y $.
    opelopabb.xph $e |- ( ph -> A. x ph ) $.
    opelopabb.yph $e |- ( ph -> A. y ph ) $.
    opelopabb.xch $e |- ( ph -> F/ x ch ) $.
    opelopabb.ych $e |- ( ph -> F/ y ch ) $.
    opelopabb.is $e |- ( ( ph /\ ( x = A /\ y = B ) ) -> ( ps <-> ch ) ) $.
    $( Membership of an ordered pair in a class abstraction of ordered pairs,
       biconditional form.  (Contributed by BJ, 17-Dec-2023.) $)
    opelopabb $p |- ( ph -> ( <. A , B >. e. { <. x , y >. | ps } <->
                                        ( ( A e. _V /\ B e. _V ) /\ ch ) ) ) $=
      ( cop copab wcel cv wceq wa wex cvv elopab copsex2b syl5bb ) FGMZBDENOUDD
      PEPMQBRESDSAFTOGTORCRBDEUDUAABCDEFGHIJKLUBUC $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d ph x y $.  $d ch x y $.
    opelopabbv.def $e |- ( ph -> R = { <. x , y >. | ps } ) $.
    opelopabbv.is $e |- ( ( ph /\ ( x = A /\ y = B ) ) -> ( ps <-> ch ) ) $.
    $( Membership of an ordered pair in a class abstraction of ordered pairs,
       biconditional form.  (Contributed by BJ, 17-Dec-2023.) $)
    opelopabbv $p |- ( ph -> ( <. A , B >. e. R <->
                                        ( ( A e. _V /\ B e. _V ) /\ ch ) ) ) $=
      ( cop wcel copab cvv wa eleq2d ax-5 nfvd opelopabb bitrd ) AFGKZHLUABDEMZ
      LFNLGNLOCOAHUBUAIPABCDEFGADQAEQACDRACERJST $.
  $}

  $( The coordinates of an ordered pair that belongs to a relation are sets.
     TODO:  Slightly shorter than ~ brrelex12 , which could be proved from it.
     (Contributed by BJ, 27-Dec-2023.) $)
  bj-opelrelex $p |-
                 ( ( Rel R /\ <. A , B >. e. R ) -> ( A e. _V /\ B e. _V ) ) $=
    ( wrel cop wcel wa cvv cxp wss df-rel biimpi sselda opelxp sylib ) CDZABEZC
    FGQHHIZFAHFBHFGPCRQPCRJCKLMABHHNO $.

  $( If an ordered pair is in a restricted binary relation, then its first
     component is an element of the restricting class.  See also ~ opelres .
     (Contributed by BJ, 25-Dec-2023.) $)
  bj-opelresdm $p |- ( <. A , B >. e. ( R |` X ) -> A e. X ) $=
    ( wcel cop cvv cxp cin cres elin opelxp1 simplbiim df-res eleq2s ) ADEZABFZ
    CDGHZIZCDJQSEQCEQREPQCRKABDGLMCDNO $.

  $( If two classes are related by a restricted binary relation, then the first
     class is an element of the restricting class.  See also ~ brres and
     ~ brrelex1 .

     Remark: there are many pairs like ~ bj-opelresdm / ~ bj-brresdm , where
     one uses membership of ordered pairs and the other, related classes (for
     instance, ~ bj-opelresdm / ~ brrelex12 or the ~ opelopabg / ~ brabg
     family).  They are straightforwardly equivalent by ~ df-br .  The latter
     is indeed a very direct definition, introducing a "shorthand", and barely
     necessary, were it not for the frequency of the expression ` A R B ` .
     Therefore, in the spirit of "definitions are here to be used", most
     theorems, apart from the most elementary ones, should only have the "br"
     version, not the "opel" one.  (Contributed by BJ, 25-Dec-2023.) $)
  bj-brresdm $p |- ( A ( R |` X ) B -> A e. X ) $=
    ( cres wbr cop wcel df-br bj-opelresdm sylbi ) ABCDEZFABGLHADHABLIABCDJK $.

  ${
    $d A x y $.  $d B x y $.
    brabd0.x $e |- ( ph -> A. x ph ) $.
    brabd0.y $e |- ( ph -> A. y ph ) $.
    brabd0.xch $e |- ( ph -> F/ x ch ) $.
    brabd0.ych $e |- ( ph -> F/ y ch ) $.
    brabd0.exa $e |- ( ph -> A e. U ) $.
    brabd0.exb $e |- ( ph -> B e. V ) $.
    brabd0.def $e |- ( ph -> R = { <. x , y >. | ps } ) $.
    brabd0.is $e |- ( ( ph /\ ( x = A /\ y = B ) ) -> ( ps <-> ch ) ) $.
    $( Expressing that two sets are related by a binary relation which is
       expressed as a class abstraction of ordered pairs.  (Contributed by BJ,
       17-Dec-2023.) $)
    brabd0 $p |- ( ph -> ( A R B <-> ch ) ) $=
      ( wbr wcel cop copab df-br eleq2d syl5bb opelopabd bitrd ) AFGHSZFGUAZBDE
      UBZTZCUHUIHTAUKFGHUCAHUJUIQUDUEABCDEFGIJKLMNOPRUFUG $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d ph x y $.  $d ch x y $.
    brabd.exa $e |- ( ph -> A e. U ) $.
    brabd.exb $e |- ( ph -> B e. V ) $.
    brabd.def $e |- ( ph -> R = { <. x , y >. | ps } ) $.
    brabd.is $e |- ( ( ph /\ ( x = A /\ y = B ) ) -> ( ps <-> ch ) ) $.
    $( Expressing that two sets are related by a binary relation which is
       expressed as a class abstraction of ordered pairs.  (Contributed by BJ,
       17-Dec-2023.) $)
    brabd $p |- ( ph -> ( A R B <-> ch ) ) $=
      ( ax-5 nfvd brabd0 ) ABCDEFGHIJADOAEOACDPACEPKLMNQ $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ps $.
    bj-brab2a1.1 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    bj-brab2a1.2 $e |- R = { <. x , y >. | ph } $.
    $( "Unbounded" version of ~ brab2a .  (Contributed by BJ, 25-Dec-2023.) $)
    bj-brab2a1 $p |- ( A R B <-> ( ( A e. _V /\ B e. _V ) /\ ps ) ) $=
      ( cvv copab cv wcel wa vex pm3.2i biantrur opabbii eqtri brab2a ) ABCDEFJ
      JGHGACDKCLJMZDLJMZNZANZCDKIAUDCDUCAUAUBCODOPQRST $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Identity relation (complements)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Complements on the identity relation.

$)

  ${
    $d x y $.
    $( A variant of ~ relopabiv (which could be proved from it, similarly to
       ~ relxp from ~ xpss ).  (Contributed by BJ, 28-Dec-2023.) $)
    bj-opabssvv $p |- { <. x , y >. | ph } C_ ( _V X. _V ) $=
      ( copab cv cvv wcel wa cxp vex pm3.2i a1i ssopab2i df-xp sseqtrri ) ABCDB
      EFGZCEFGZHZBCDFFIARBCRAPQBJCJKLMBCFFNO $.
  $}

  $( The restricted identity relation is a function.  (Contributed by BJ,
     27-Dec-2023.)

     TODO: relabel ~ funi to funid. $)
  bj-funidres $p |- Fun ( _I |` V ) $=
    ( cid wfun cres funi funres ax-mp ) BCBADCEABFG $.

  ${
    $d A x y $.  $d B x y $.
    $( Characterization of the ordered pair elements of the identity relation.

       Remark: in deduction-style proofs, one could save a few syntactic steps
       by using another antecedent than ` T. ` which already appears in the
       proof.  Here for instance this could be the definition
       ` _I = { <. x , y >. | x = y } ` but this would make the proof less easy
       to read.  (Contributed by BJ, 27-Dec-2023.) $)
    bj-opelidb $p |-
               ( <. A , B >. e. _I <-> ( ( A e. _V /\ B e. _V ) /\ A = B ) ) $=
      ( vx vy cop cid wcel cvv wa wceq wb wtru weq copab df-id cv eqeq12 adantl
      a1i opelopabbv mptru ) ABEFGAHGBHGIABJZIKLCDMZUBCDABFFUCCDNJLCDOSCPZAJDPZ
      BJIUCUBKLUDAUEBQRTUA $.
  $}

  $( Characterization of the ordered pair elements of the identity relation.
     Variant of ~ bj-opelidb where only the sethood of the first component is
     expressed.  (Contributed by BJ, 27-Dec-2023.) $)
  bj-opelidb1 $p |- ( <. A , B >. e. _I <-> ( A e. _V /\ A = B ) ) $=
    ( cvv wcel wa wceq cop cid an32 bj-opelidb eleq1 biimpac pm4.71i 3bitr4i )
    ACDZBCDZEABFZEOQEZPEABGHDROPQIABJRPQOPABCKLMN $.

  $( Lemma for ~ bj-opelid (but not specific to the identity relation): if the
     intersection of two classes is a set and the two classes are equal, then
     both are sets (all three classes are equal, so they all belong to ` V ` ,
     but it is more convenient to have ` _V ` in the consequent for theorems
     using it).  (Contributed by BJ, 27-Dec-2023.) $)
  bj-inexeqex $p |-
                 ( ( ( A i^i B ) e. V /\ A = B ) -> ( A e. _V /\ B e. _V ) ) $=
    ( cin wcel wa cvv wss eqimss df-ss sylib eleq1 biimpac sylan2 elexd eqimss2
    wceq sseqin2 jca ) ABDZCEZABQZFZAGEBGEUCACUBUATAQZACEZUBABHUDABIABJKUDUAUET
    ACLMNOUCBCUBUATBQZBCEZUBBAHUFBAPBARKUFUAUGTBCLMNOS $.

  $( If the intersection of two classes is a set, then these classes are equal
     if and only if one is an element of the singleton formed on the other.
     Stronger form of ~ elsng and ~ elsn2g (which could be proved from it).
     (Contributed by BJ, 20-Jan-2024.) $)
  bj-elsn0 $p |- ( ( A i^i B ) e. V -> ( A e. { B } <-> A = B ) ) $=
    ( cin wcel csn wceq elsni wi wa cvv bj-inexeqex simpl elsng biimprd 3syl ex
    pm2.43d impbid2 ) ABDCEZABFEZABGZABHTUBUATUBUBUAIZTUBJAKEZBKEZJUDUCABCLUDUE
    MUDUAUBABKNOPQRS $.

  $( Characterization of the ordered pair elements of the identity relation
     when the intersection of their components are sets.  Note that the
     antecedent is more general than either component being a set.
     (Contributed by BJ, 29-Mar-2020.) $)
  bj-opelid $p |- ( ( A i^i B ) e. V -> ( <. A , B >. e. _I <-> A = B ) ) $=
    ( cin wcel wceq cvv wa wi cop cid wb bj-inexeqex ex bj-opelidb ancr impbid2
    simpr syl5bb syl ) ABDCEZABFZAGEBGEHZIZABJKEZUBLUAUBUCABCMNUEUCUBHZUDUBABOU
    DUFUBUCUBRUBUCPQST $.

  $( Characterization of the classes related by the identity relation when
     their intersection is a set.  Note that the antecedent is more general
     than either class being a set.  (Contributed by NM, 30-Apr-2004.)  Weaken
     the antecedent to sethood of the intersection.  (Revised by BJ,
     24-Dec-2023.)

     TODO: replace ~ ideqg , or at least prove ~ ideqg from it. $)
  bj-ideqg $p |- ( ( A i^i B ) e. V -> ( A _I B <-> A = B ) ) $=
    ( cid wbr cop wcel cin wceq df-br bj-opelid syl5bb ) ABDEABFDGABHCGABIABDJA
    BCKL $.

  ${
    $d x y A $.  $d x y B $.
    $( Alternate proof of ~ bj-ideqg from ~ brabga instead of ~ bj-opelid
       itself proved from ~ bj-opelidb .  (Contributed by BJ, 27-Dec-2023.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    bj-ideqgALT $p |- ( ( A i^i B ) e. V -> ( A _I B <-> A = B ) ) $=
      ( vx vy cin wcel cid wbr wceq cvv wa brrelex12i adantl bj-inexeqex weq cv
      reli eqeq12 df-id brabga pm5.21nd ) ABFCGZABHIZABJZAKGBKGLZUDUFUCABHRMNAB
      CODEPUEDEABHKKDQAEQBSDETUAUB $.
  $}

  $( Characterization of classes related by the identity relation.
     (Contributed by BJ, 24-Dec-2023.) $)
  bj-ideqb $p |- ( A _I B <-> ( A e. _V /\ A = B ) ) $=
    ( cid wbr cvv wcel wceq reli brrelex1i cin wb inex1g bj-ideqg syl biadanii
    ) ABCDZAEFZABGZABCHIQABJEFPRKABELABEMNO $.

  ${
    $d A x y $.
    $( Alternate expression for the restricted identity relation.  The
       advantage of that expression is to expose it as a "bounded" class, being
       included in the Cartesian square of the restricting class.  (Contributed
       by BJ, 27-Dec-2023.)

       This is an alternate of ~ idinxpresid (see ~ idinxpres ).  See also
       ~ elrid and ~ elidinxp .  (Proof modification is discouraged.) $)
    bj-idres $p |- ( _I |` A ) = ( _I i^i ( A X. A ) ) $=
      ( vx vy cid cres cvv cxp cin df-res inss1 relinxp cv cop wcel wa elin weq
      bj-opelidb1 simprbi wss opelxp1 simpr eleq1w biimpa jca sylbi opelxpi syl
      syl2an relssi ssini ssv xpss2 sslin mp2b eqssi eqtri ) DAEDAFGZHZDAAGZHZD
      AIUSVAUSDUTDURJBCUSUTAFDKBLZCLZMZUSNZVBANZVCANZOZVDUTNVEVDDNZVDURNZOVHVDD
      URPVIBCQZVFVHVJVIVBFNVKVBVCRSVBVCAFUAVKVFOVFVGVKVFUBVKVFVGBCAUCUDUEUIUFVB
      VCAAUGUHUJUKAFTUTURTVAUSTAULAFAUMUTURDUNUOUPUQ $.
  $}

  $( Characterization of the ordered pairs in the restricted identity relation
     when the intersection of their component belongs to the restricting class.
     TODO: prove ~ bj-idreseq from it.  (Contributed by BJ, 29-Mar-2020.) $)
  bj-opelidres $p |- ( A e. V -> ( <. A , B >. e. ( _I |` V ) <-> A = B ) ) $=
    ( cop cid cres wcel cxp cin wceq bj-idres eleq2i wa cvv wb inex1g bj-opelid
    elin syl syl5bb opelxp a1i anbi12d simpl eleq1 biimpcd anc2li ancld impbid2
    bitrd ) ABDZECFZGUKECCHZIZGZACGZABJZULUNUKCKLUOUKEGZUKUMGZMZUPUQUKEUMRUPUTU
    QUPBCGZMZMZUQUPURUQUSVBUPABINGURUQOABCPABNQSUSVBOUPABCCUAUBUCUPVCUQUQVBUDUP
    UQVBUPUQVAUQUPVAABCUEUFUGUHUIUJTT $.

  ${
    $d x y A $.  $d x y B $.
    $( Sufficient condition for the restricted identity relation to agree with
       equality.  Note that the instance of ~ bj-ideqg with ` _V ` substituted
       for ` V ` is a direct consequence of ~ bj-idreseq .  This is a
       strengthening of ~ resieq which should be proved from it (note that
       currently, ~ resieq relies on ~ ideq ).  Note that the intersection in
       the antecedent is not very meaningful, but is a device to prove versions
       with either class assumed to be a set.  It could be enough to prove the
       version with a disjunctive antecedent:
       ` |- ( ( A e. C \/ B e. C ) -> ... ) ` .  (Contributed by BJ,
       25-Dec-2023.) $)
    bj-idreseq $p |- ( ( A i^i B ) e. C -> ( A ( _I |` C ) B <-> A = B ) ) $=
      ( vx vy cin wcel cid cres wbr wceq cvv wa bj-brresdm jca adantl wss sylib
      eqeltrrd cv relres brrelex2i eqimss df-ss simpl eqimss2 sseqin2 elexd weq
      brres eqeq12 df-id brabga anbi2d simp3 3expib 3simpb 3expia impbid 3bitrd
      wb pm5.21nd ) ABFZCGZABHCIZJZABKZACGZBLGZMZVFVJVDVFVHVIABHCNABVEHCUAUBOPV
      DVGMZVHVIVKVCACVGVCAKZVDVGABQVLABUCABUDRPVDVGUEZSVKBCVKVCBCVGVCBKZVDVGBAQ
      VNBAUFBAUGRPVMSUHOVJVFVHABHJZMZVHVGMZVGVIVFVPVAVHCABHLUJPVJVOVGVHDEUIVGDE
      ABHCLDTAETBUKDEULUMUNVJVQVGVJVHVGVGVJVHVGUOUPVHVIVGVQVHVIVGUQURUSUTVB $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Characterization for two classes to be related under the restricted
       identity relation.  (Contributed by BJ, 24-Dec-2023.) $)
    bj-idreseqb $p |- ( A ( _I |` C ) B <-> ( A e. C /\ A = B ) ) $=
      ( vx vy cid cres wbr cvv wcel wa wceq relres brrelex12i simpl elexd eleq1
      biimpac jca cv wb brres adantl eqeq12 df-id brabga anbi2d bitrd pm5.21nii
      weq ) ABFCGZHZAIJZBIJZKZACJZABLZKZABUKFCMNURUMUNURACUPUQOPURBCUQUPBCJABCQ
      RPSUOULUPABFHZKZURUNULUTUAUMCABFIUBUCUOUSUQUPDEUJUQDEABFIIDTAETBUDDEUEUFU
      GUHUI $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( For sets, the identity relation is the same thing as equality.
       (Contributed by NM, 30-Apr-2004.)  (Proof shortened by Andrew Salmon,
       27-Aug-2011.)  Generalize to a disjunctive antecedent.  (Revised by BJ,
       24-Dec-2023.)

       TODO: delete once ~ bj-ideqg is in the main section. $)
    bj-ideqg1 $p |- ( ( A e. V \/ B e. W ) -> ( A _I B <-> A = B ) ) $=
      ( vx vy cid wbr cvv wcel wa wceq wo weq cv eqeq12 wi elex a1d jaoi eleq1a
      df-id bj-brab2a1 simpr syl eleq1 syl5ibcom jcad ancrd impbid2 syl5bb ) AB
      GHAIJZBIJZKZABLZKZACJZBDJZMZUOEFNUOEFABGEOAFOBPEFUBUCUSUPUOUNUOUDUSUOUNUS
      UOULUMUQUOULQZURUQULUOACRZSURUMUTBDRZBIAUAUETUQUOUMQURUQULUOUMVAABIUFUGUR
      UMUOVBSTUHUIUJUK $.

    $( Alternate proof of bj-ideqg1 using ~ brabga instead of the "unbounded"
       version ~ bj-brab2a1 or ~ brab2a .  (Contributed by BJ, 25-Dec-2023.)
       (Proof modification is discouraged.)  (New usage is discouraged.)

       TODO: delete once ~ bj-ideqg is in the main section. $)
    bj-ideqg1ALT $p |- ( ( A e. V \/ B e. W ) -> ( A _I B <-> A = B ) ) $=
      ( vx vy wcel wo cid wbr wceq cvv wa reli elex adantr eleq1 elexd jaoian
      cv brrelex12i adantl biimparc biimpac jca eqeq12 df-id brabga pm5.21nd
      weq ) ACGZBDGZHZABIJZABKZALGZBLGZMZUNURUMABINUAUBUMUOMUPUQUKUOUPULUKUPUOA
      COPULUOMADUOADGULABDQUCRSUKUOUQULUKUOMBCUOUKBCGABCQUDRULUQUOBDOPSUEEFUJUO
      EFABILLETAFTBUFEFUGUHUI $.
  $}

  $( Characterization of the couples in ` _I ` .  (Contributed by BJ,
     29-Mar-2020.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  bj-opelidb1ALT $p |- ( <. A , B >. e. _I <-> ( A e. _V /\ A = B ) ) $=
    ( cop cid wcel cvv wceq wbr df-br reli brrelex1i sylbir wb inex1g bj-opelid
    cin syl biadanii ) ABCDEZAFEZABGZSABDHTABDIABDJKLTABPFESUAMABFNABFOQR $.

  $( Characterization of the couples in ` _I ` whose first component is a
     setvar.  (Contributed by BJ, 29-Mar-2020.) $)
  bj-elid3 $p |- ( <. x , A >. e. _I <-> x = A ) $=
    ( cv cop cid wcel cvv wceq vex bj-opelidb1 mpbiran ) ACZBDEFLGFLBHAILBJK $.

  $( Characterization of the elements of ` _I ` .  (Contributed by BJ,
     22-Jun-2019.) $)
  bj-elid4 $p |-
            ( A e. ( V X. W ) -> ( A e. _I <-> ( 1st ` A ) = ( 2nd ` A ) ) ) $=
    ( cxp wcel c1st cfv c2nd cop wceq cid wb 1st2nd2 eleq1 adantl cin cvv inex2
    wa fvex bj-opelid mp1i bitrd mpdan ) ABCDEZAAFGZAHGZIZJZAKEZUFUGJZLABCMUEUI
    SZUJUHKEZUKUIUJUMLUEAUHKNOUFUGPQEUMUKLULUGUFAHTRUFUGQUAUBUCUD $.

  $( Characterization of the elements of ` _I ` .  (Contributed by BJ,
     22-Jun-2019.) $)
  bj-elid5 $p |-
          ( A e. _I <-> ( A e. ( _V X. _V ) /\ ( 1st ` A ) = ( 2nd ` A ) ) ) $=
    ( cid wcel cvv cxp c1st cfv c2nd wceq wrel wss reli sseli bj-elid4 biadanii
    df-rel mpbi ) ABCADDEZCAFGAHGIBRABJBRKLBPQMADDNO $.

  $( Characterization of the elements of the diagonal of a Cartesian square.
     (Contributed by BJ, 22-Jun-2019.) $)
  bj-elid6 $p |- ( B e. ( _I |` A ) <->
                          ( B e. ( A X. A ) /\ ( 1st ` B ) = ( 2nd ` B ) ) ) $=
    ( cid cres wcel cvv cxp wa c1st cfv c2nd wceq df-res elin2 biancomi 1st2nd2
    wb eleq1 adantl opelxp bj-elid4 pm5.32i cop pm4.71ri wi simpl a1i jcad elex
    syl5ib anim2i impbid1 adantr bicomd 3bitrd simpr ancri impbii bitrdi syl5bb
    3bitr4g pm5.32da pm5.32ri 3bitri ) BCADZEZBAFGZEZBCEZHVHBIJZBKJZLZHBAAGZEZV
    LHVFVHVIBCVGVECAMNOVHVIVLBAFUAUBVLVHVNVHBVJVKUCZLZVHHZVLVNVHVPBAFPUDVLVQVPV
    NHZVNVLVPVHVNVLVPHZVHVOVGEZVOVMEZVNVPVHVTQVLBVOVGRSVSVJAEZVKFEZHZWBVKAEZHZV
    TWAVLWDWFQVPVLWDWFVLWDWBWEWDWBUEVLWBWCUFZUGWDWBVLWEWGVJVKARUJUHWEWCWBVKAUIU
    KULUMVJVKAFTVJVKAATVAVPWAVNQVLVPVNWABVOVMRUNSUOVBVRVNVPVNUPVNVPBAAPUQURUSUT
    VCVD $.

  $( Characterization of the elements of the diagonal of a Cartesian square.
     (Contributed by BJ, 22-Jun-2019.) $)
  bj-elid7 $p |- ( <. B , C >. e. ( _I |` A ) <-> ( B e. A /\ B = C ) ) $=
    ( cop cid cres wcel wbr wceq wa df-br bj-idreseqb bitr3i ) BCDEAFZGBCNHBAGB
    CIJBCNKBCALM $.

$(
more general elid6:
    |- ( A e. ( _I |` ( V i^i W ) ) <->
          ( A e. ( V X. W ) /\ ( 1st ` A ) = ( 2nd ` A ) ) ) $=

"stronger" elid4:
    |- ( A e. ( V X. W ) ->
              ( A e. ( _I |` ( V i^i W ) ) <-> ( 1st ` A ) = ( 2nd ` A ) ) ) $=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Functionalized identity (diagonal in a Cartesian square)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  This subsection defines a functionalized version of the identity relation,
  that can also be seen as the diagonal in a Cartesian square).

  As explained in ~ df-bj-diag , it will probably be deleted.

$)

  $( Token for the diagonal of the Cartesian square of a set. $)
  $c _Id $.

  $( Syntax for the diagonal of the Cartesian square of a set. $)
  cdiag2 $a class _Id $.

  $( Define the functionalized identity, which can also be seen as the diagonal
     function.  Its value is given in ~ bj-diagval when it is viewed as the
     functionalized identity, and in ~ bj-diagval2 when it is viewed as the
     diagonal function.

     Indeed, Definition ~ df-br identifies a binary relation with the class of
     couples that are related by that binary relation (see ~ eqrel2 for the
     extensionality property of binary relations).  As a consequence, the
     identity relation, or identity function (see ~ funi ), on any class, can
     alternatively be seen as the diagonal of the cartesian square of that
     class.

     The identity relation on the universal class, ` _I ` , is an "identity
     relation generator", since its restriction to any class is the identity
     relation on that class.  It may be useful to consider a functionalized
     version of that fact, and that is the purpose of ~ df-bj-diag .

     Note: most proofs will only use its values ` ( _Id `` A ) ` , in which
     case it may be enough to use ` ( _I |`` A ) ` everywhere and dispense with
     this definition.  (Contributed by BJ, 22-Jun-2019.) $)
  df-bj-diag $a |- _Id = ( x e. _V |-> ( _I |` x ) ) $.

  ${
    $d x A $.
    $( Value of the functionalized identity, or equivalently of the diagonal
       function.  This expression views it as the functionalized identity,
       whereas ~ bj-diagval2 views it as the diagonal function.  See
       ~ df-bj-diag for the terminology.  (Contributed by BJ, 22-Jun-2019.) $)
    bj-diagval $p |- ( A e. V -> ( _Id ` A ) = ( _I |` A ) ) $=
      ( vx wcel cid cv cres cvv cdiag2 df-bj-diag reseq2 elex resiexg fvmptd3 )
      ABDCAECFZGEAGHIHCJOAEKABLABMN $.
  $}

  $( Value of the functionalized identity, or equivalently of the diagonal
     function.  This expression views it as the diagonal function, whereas
     ~ bj-diagval views it as the functionalized identity.  See ~ df-bj-diag
     for the terminology.  (Contributed by BJ, 22-Jun-2019.) $)
  bj-diagval2 $p |- ( A e. V -> ( _Id ` A ) = ( _I i^i ( A X. A ) ) ) $=
    ( wcel cdiag2 cfv cid cres cxp cin bj-diagval idinxpresid eqtr4di ) ABCADEF
    AGFAAHIABJAKL $.

  $( Characterization of the elements of the diagonal of a Cartesian square.
     Subsumed by ~ bj-elid6 .  (Contributed by BJ, 22-Jun-2019.) $)
  bj-eldiag $p |- ( A e. V -> ( B e. ( _Id ` A ) <->
                        ( B e. ( A X. A ) /\ ( 1st ` B ) = ( 2nd ` B ) ) ) ) $=
    ( wcel cdiag2 cfv cid cxp cin c1st c2nd wceq wa bj-diagval2 eleq2d bj-elid4
    elin ancom pm5.32i 3bitri bitrdi ) ACDZBAEFZDBGAAHZIZDZBUDDZBJFBKFLZMZUBUCU
    EBACNOUFBGDZUGMUGUJMUIBGUDQUJUGRUGUJUHBAAPSTUA $.

  $( Characterization of the elements of the diagonal of a Cartesian square.
     Subsumed by ~ bj-elid7 .  (Contributed by BJ, 22-Jun-2019.) $)
  bj-eldiag2 $p |- ( A e. V ->
                    ( <. B , C >. e. ( _Id ` A ) <-> ( B e. A /\ B = C ) ) ) $=
    ( wcel cop cdiag2 cfv cid cxp wceq wa bj-diagval2 eleq2d bj-opelidb1 opelxp
    cin cvv elin jca anbi12i simprl simplr elex anim1i biimpcd imdistani impbii
    eleq1 3bitri bitrdi ) ADEZBCFZAGHZEUMIAAJZQZEZBAEZBCKZLZULUNUPUMADMNUQUMIEZ
    UMUOEZLBREZUSLZURCAEZLZLZUTUMIUOSVAVDVBVFBCOBCAAPUAVGUTVGURUSVDURVEUBVCUSVF
    UCTUTVDVFURVCUSBAUDUEURUSVEUSURVEBCAUIUFUGTUHUJUK $.

$(
  @( The modulo of a number is equal to itself when the number is in the right
     interval.  Not proved from ~ modid because we want to use intervals more
     consistently.  (Contributed by BJ, 29-Jun-2019.)
     (Proof modification is discouraged.) @)
  bj-modid $p |- ( B e. RR+ -> ( A e. ( 0 [,) B ) -> ( A mod B ) = A ) ) $=
    (  ) ? $.

  @( Translation of an open interval.  Remark: in ~ icoshft, ` A , B ` may be
     in ` RR* ` .  (Contributed by BJ, 29-Jun-2019.) @)
  bj-iooshft $p |- ( ( A e. RR* /\ B e. RR* ) -> ( C e. RR ->
        ( X e. ( A (,) B ) -> ( X + C ) e. ( ( A + C ) (,) ( B + C ) ) ) ) ) $=
    (  ) ? $.
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Direct image and inverse image
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Definitions of the functionalized direct image and inverse image.

  The functionalized direct (resp. inverse) image is the morphism component of
  the covariant (resp. contravariant) powerset endofunctor of the category of
  sets and relations (and, up to restriction, of its subcategory of sets and
  functions).  Its object component is the powerset operation ` ~P ` defined in
  ~ df-pw .

$)

  $( Token for the functionalized direct image. $)
  $c ~P_* $.

  $( Syntax for the functionalized direct image. $)
  cimdir $a class ~P_* $.

  ${
    $d a b r x y $.
    $( Definition of the functionalized direct image, which maps a binary
       relation between two given sets to its associated direct image relation.
       (Contributed by BJ, 16-Dec-2023.) $)
    df-imdir $a |- ~P_* = ( a e. _V , b e. _V |-> ( r e. ~P ( a X. b ) |->
             { <. x , y >. | ( ( x C_ a /\ y C_ b ) /\ ( r " x ) = y ) } ) ) $.
  $}

  ${
    $d A a b r x y $.  $d B a b r x y $.  $d ph a b r $.  $d ps a b $.
    bj-imdirvallem.1 $e |- ( ph -> A e. U ) $.
    bj-imdirvallem.2 $e |- ( ph -> B e. V ) $.
    bj-imdirvallem.df $e |- C = ( a e. _V , b e. _V |-> ( r e. ~P ( a X. b )
                    |-> { <. x , y >. | ( ( x C_ a /\ y C_ b ) /\ ps ) } ) ) $.
    $( Lemma for ~ bj-imdirval and ~ bj-iminvval .  (Contributed by BJ,
       23-May-2024.) $)
    bj-imdirvallem $p |- ( ph -> ( A C B ) = ( r e. ~P ( A X. B ) |->
                        { <. x , y >. | ( ( x C_ A /\ y C_ B ) /\ ps ) } ) ) $=
      ( cvv cv wss wa wceq cxp cpw copab cmpt cmpo xpeq12 pweqd adantl bi2anan9
      a1i sseq2 anbi1d opabbidv mpteq12dv elexd xpexd pwexd mptexd ovmpod ) AKL
      EFPPJKQZLQZUAZUBZCQZUTRZDQZVARZSZBSZCDUCZUDZJEFUAZUBZVDERZVFFRZSZBSZCDUCZ
      UDGPGKLPPVKUETAOUJAUTETZVAFTZSZSJVCVJVMVRWAVCVMTAWAVBVLUTEVAFUFUGUHWAVJVR
      TAWAVIVQCDWAVHVPBVSVEVNVTVGVOUTEVDUKVAFVFUKUIULUMUHUNAEHMUOAFINUOAJVMVRPA
      VLPAEFHIMNUPUQURUS $.
  $}

  ${
    $d A a b r x y $.  $d B a b r x y $.  $d ph a b r $.
    bj-imdirval.1 $e |- ( ph -> A e. U ) $.
    bj-imdirval.2 $e |- ( ph -> B e. V ) $.
    $( Value of the functionalized direct image.  (Contributed by BJ,
       16-Dec-2023.) $)
    bj-imdirval $p |- ( ph -> ( A ~P_* B ) = ( r e. ~P ( A X. B ) |->
             { <. x , y >. | ( ( x C_ A /\ y C_ B ) /\ ( r " x ) = y ) } ) ) $=
      ( va vb cv cima wceq cimdir df-imdir bj-imdirvallem ) AHMBMNCMOBCDEPFGHKL
      IJBCHKLQR $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d ph x y $.
    bj-imdirval2lem.exa $e |- ( ph -> A e. U ) $.
    bj-imdirval2lem.exb $e |- ( ph -> B e. V ) $.
    $( Lemma for ~ bj-imdirval2 and ~ bj-iminvval2 .  (Contributed by BJ,
       23-May-2024.) $)
    bj-imdirval2lem $p |- ( ph ->
                    { <. x , y >. | ( ( x C_ A /\ y C_ B ) /\ ps ) } e. _V ) $=
      ( cv wss wa copab cvv cpw pwexd wcel velpw sylibr simprl opabex2 ssopab2i
      simprr simpl a1i ssexd ) ACKZELZDKZFLZMZBMZCDNZULCDNZOAULCDEPZFPZOOAEGIQA
      FHJQAULMZUIUHUPRAUIUKUACESTURUKUJUQRAUIUKUDDFSTUBUNUOLAUMULCDULBUEUCUFUG
      $.
  $}

  ${
    $d A r x y $.  $d B r x y $.  $d R r x y $.  $d ph r x y $.
    bj-imdirval2.exa $e |- ( ph -> A e. U ) $.
    bj-imdirval2.exb $e |- ( ph -> B e. V ) $.
    bj-imdirval2.arg $e |- ( ph -> R C_ ( A X. B ) ) $.
    $( Value of the functionalized direct image.  (Contributed by BJ,
       16-Dec-2023.) $)
    bj-imdirval2 $p |- ( ph -> ( ( A ~P_* B ) ` R ) =
               { <. x , y >. | ( ( x C_ A /\ y C_ B ) /\ ( R " x ) = y ) } ) $=
      ( vr cv wss wa cima wceq copab cxp cvv cimdir co bj-imdirval simpr eqeq1d
      cpw imaeq1d anbi2d opabbidv xpexd sselpwd bj-imdirval2lem fvmptd ) ALFBMZ
      DNCMZENOZLMZUNPZUOQZOZBCRUPFUNPZUOQZOZBCRDESZUFDEUAUBTABCDEGHLIJUCAUQFQZO
      ZUTVCBCVFUSVBUPVFURVAUOVFUQFUNAVEUDUGUEUHUIAFVDTADEGHIJUJKUKAVBBCDEGHIJUL
      UM $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d R x y $.  $d X x y $.  $d Y x y $.
    $d ph x y $.
    bj-imdirval3.exa $e |- ( ph -> A e. U ) $.
    bj-imdirval3.exb $e |- ( ph -> B e. V ) $.
    bj-imdirval3.arg $e |- ( ph -> R C_ ( A X. B ) ) $.
    $( Value of the functionalized direct image.  (Contributed by BJ,
       16-Dec-2023.) $)
    bj-imdirval3 $p |- ( ph -> ( X ( ( A ~P_* B ) ` R ) Y <->
                               ( ( X C_ A /\ Y C_ B ) /\ ( R " X ) = Y ) ) ) $=
      ( vx vy cvv wcel wa wss wceq adantl simpr cimdir co cfv wbr cima cv copab
      bj-imdirval2 breqd brabv syl6bi pm4.71rd simpl adantr wb sseq1d imaeq2 id
      anbi12d eqeqan12d brabd pm5.32da ssexd ex anim12d adantrd impbid2 3bitrd
      ancrd ) AGHDBCUAUBUCZUDZGNOZHNOZPZVKPVNGBQZHCQZPZDGUEZHRZPZPZVTAVKVNAVKGH
      LUFZBQZMUFZCQZPZDWBUEZWDRZPZLMUGZUDVNAVJWJGHALMBCDEFIJKUHZUIWILMGHUJUKULA
      VNVKVTAVNPZWIVTLMGHVJNNVNVLAVLVMUMSVNVMAVLVMTSAVJWJRVNWKUNWBGRZWDHRZPZWIV
      TUOWLWOWFVQWHVSWOWCVOWEVPWOWBGBWMWNUMUPWOWDHCWMWNTUPUSWMWNWGVRWDHWBGDUQWN
      URUTUSSVAVBAWAVTVNVTTAVTVNAVQVNVSAVOVLVPVMAVOVLAVOPGBEABEOVOIUNAVOTVCVDAV
      PVMAVPPHCFACFOVPJUNAVPTVCVDVEVFVIVGVH $.
  $}

  ${
    $d A x y $.
    bj-imdiridlem.1 $e |- ( ( x C_ A /\ y C_ A ) -> ( ph <-> x = y ) ) $.
    $( Lemma for ~ bj-imdirid and ~ bj-iminvid .  (Contributed by BJ,
       26-May-2024.) $)
    bj-imdiridlem $p |-
           { <. x , y >. | ( ( x C_ A /\ y C_ A ) /\ ph ) } = ( _I |` ~P A ) $=
      ( cv wss wa copab cpw wcel cid wbr cres weq biimp3a 3expib equcomi sseq1d
      biimparc simpr biimpar an32s jca mpdan ex impbid pm5.32i anass velpw ideq
      vex anbi12i 3bitr4i opabbii dfres2 eqtr4i ) BFZDGZCFZDGZHZAHZBCIURDJZKZUR
      UTLMZHZBCILVDNVCVGBCUSVAAHZHUSBCOZHZVCVGUSVHVIUSVHVIUSVAAVIUSVAAVIEPQUSVI
      VHVJVAVHVIVAUSVIUTURDBCRSTVJVAHVAAVJVAUAUSVAVIAVBAVIEUBUCUDUEUFUGUHUSVAAU
      IVEUSVFVIBDUJURUTCULUKUMUNUOBCVDLUPUQ $.
  $}

  ${
    $d A x y $.  $d ph x y $.
    bj-imdirid.ex $e |- ( ph -> A e. U ) $.
    $( Functorial property of the direct image: the direct image by the
       identity on a set is the identity on the powerset.  (Contributed by BJ,
       24-Dec-2023.) $)
    bj-imdirid $p |-
                   ( ph -> ( ( A ~P_* A ) ` ( _I |` A ) ) = ( _I |` ~P A ) ) $=
      ( vx vy cid cres cimdir co cfv cv wss wa cima wceq copab cpw cxp idssxp
      a1i bj-imdirval2 resiima adantr eqeq1d bj-imdiridlem eqtrdi ) AGBHZBBIJKE
      LZBMZFLZBMZNZUHUIOZUKPZNEFQGBRHAEFBBUHCCDDUHBBSMABTUAUBUOEFBUMUNUIUKUJUNU
      IPULBUIUCUDUEUFUG $.
  $}

  ${
    $d x y $.
    $( Membership in an ordered-pair class abstraction.  One can remove the DV
       condition on ` x , y ` by using ~ opabid in place of ~ opabidw .
       (Contributed by BJ, 22-May-2024.) $)
    bj-opelopabid $p |- ( x { <. x , y >. | ph } y <-> ph ) $=
      ( cv copab wbr cop wcel df-br opabidw bitri ) BDZCDZABCEZFLMGNHALMNIABCJK
      $.
  $}

  ${
    $d x y z a b c $.  $d x a b c ps $.  $d z a b c ph $.
    $( Composition of ordered-pair class abstractions.  (Contributed by BJ,
       22-May-2024.) $)
    bj-opabco $p |- ( { <. y , z >. | ps } o. { <. x , y >. | ph } ) =
                                         { <. x , z >. | E. y ( ph /\ ps ) } $=
      ( va vc vb copab cv wbr wa wex nfcv nfopab1 nfbr nfv nfan nfex weq wnf wb
      ccom df-co nfopab2 simpll simpr breq12d simplr anbi12d ex cbvexdw cbvopab
      a1i bj-opelopabid anbi12i exbii opabbii 3eqtri ) BDEIZACDIZUCFJZGJZVAKZVC
      HJZUTKZLZGMZFHICJZDJZVAKZVJEJZUTKZLZDMZCEIABLZDMZCEIFHGUTVAUDVHVOFHCEVGCG
      VDVFCCVBVCVACVBNACDOCVCNPVFCQRSVGEGVDVFEVDEQEVCVEUTEVCNBDEUEEVENPRSVOFQVO
      HQFCTZHETZLZVGVNGDVTDQVGDUAVTVDVFDDVBVCVADVBNACDUEDVCNZPDVCVEUTWABDEODVEN
      PRUNVTGDTZVGVNUBVTWBLZVDVKVFVMWCVBVIVCVJVAVRVSWBUFVTWBUGZUHWCVCVJVEVLUTWD
      VRVSWBUIUHUJUKULUMVOVQCEVNVPDVKAVMBACDUOBDEUOUPUQURUS $.
  $}

  ${  $d A x y t $.  $d B x y t $.  $d C x y t $.  $d D x y t $.
    $( The composition of two Cartesian products is included in the expected
       Cartesian product.  There is equality if ` ( B i^i C ) =/= (/) ` , see
       ~ xpcogend .  (Contributed by BJ, 22-May-2024.) $)
    bj-xpcossxp $p |- ( ( C X. D ) o. ( A X. B ) ) C_ ( A X. D ) $=
      ( vx vy vt cv cxp wbr wex copab wcel ccom brxp anbi12i an43 bitri exbii
      wa 19.42v simplbi sylbi ssopab2i df-co df-xp 3sstr4i ) EHZFHZABIZJZUIGHZC
      DIZJZTZFKZEGLUHAMZULDMZTZEGLUMUJNADIUPUSEGUPUSUIBMZUICMZTZTZFKZUSUOVCFUOU
      QUTTZVAURTZTVCUKVEUNVFUHUIABOUIULCDOPUQUTVAURQRSVDUSVBFKUSVBFUAUBUCUDEGFU
      MUJUEEGADUFUG $.
  $}

  ${
    $d ph x y z u $.  $d A x y z u $.  $d B x y z u $.  $d C x y z u $.
    $d R x y z u $.  $d S x y z u $.
    bj-imdirco.exa $e |- ( ph -> A e. U ) $.
    bj-imdirco.exb $e |- ( ph -> B e. V ) $.
    bj-imdirco.exc $e |- ( ph -> C e. W ) $.
    bj-imdirco.arg1 $e |- ( ph -> R C_ ( A X. B ) ) $.
    bj-imdirco.arg2 $e |- ( ph -> S C_ ( B X. C ) ) $.
    $( Functorial property of the direct image: the direct image by a
       composition is the composition of the direct images.  (Contributed by
       BJ, 23-May-2024.) $)
    bj-imdirco $p |- ( ph -> ( ( A ~P_* C ) ` ( S o. R ) ) =
                          ( ( ( B ~P_* C ) ` S ) o. ( ( A ~P_* B ) ` R ) ) ) $=
      ( vx vz vy wa wceq wex vu cv wss ccom copab cimdir co cfv wb imaco eqeq1i
      cima anbi2i a1i cvv wcel cxp xpexd ssexd imaexg syl imass1 cin c0 cif cun
      xpima wn wo simpr orim12i elif elun 3imtr4i ssriv 0ss unssi sstri eqsstri
      ssid sstrdi eqidd sseq1 eqeq2 anbi12d spcedv biantrurd 19.41v anass exbii
      jca bitr3i bitrdi imaeq2 eqeq1d pm5.32i biancomi pm4.24 anbi1i bitri an12
      bianass 3bitrd anbi2d 19.42v ancom biid bitr4i 3bitr4i opabbidv bj-opabco
      eqtr4di coss12d bj-xpcossxp bj-imdirval2 coeq12d 3eqtr4d ) AOUBZBUCZPUBZD
      UCZRZFEUDZXRULZXTSZRZOPUEZQUBZCUCZYARZFYHULZXTSZRZQPUEZXSYIRZEXRULZYHSZRZ
      OQUEZUDZYCBDUFUGUHFCDUFUGUHZEBCUFUGUHZUDAYGYRYMRZQTZOPUEYTAYFUUDOPAYFYBFY
      PULZXTSZRZYBYIYLYIYQRZRZRZQTZRZUUDYFUUGUIAYEUUFYBYDUUEXTFEXRUJUKUMUNAUUFU
      UKYBAUUFYIYQUUFRZRZQTZUUIQTZUUKAUUFUUHQTZUUFRZUUOAUUQUUFAUUHYPCUCZYPYPSZR
      QUOYPAEUOUPYPUOUPAEBCUQZUOABCGHJKURMUSEXRUOUTVAAUUSUUTAEUVAUCZUUSMUVBYPUV
      AXRULZCEUVAXRVBUVCBXRVCVDSZVDCVEZCBCXRVGUVEVDCVFZCUAUVEUVFUVDUAUBZVDUPZRZ
      UVDVHZUVGCUPZRZVIUVHUVKVIUVGUVEUPUVGUVFUPUVIUVHUVLUVKUVDUVHVJUVJUVKVJVKUV
      DUVGVDCVLUVGVDCVMVNVOVDCCCVPCVTVQVRVSWAVAAYPWBWKYHYPSYIUUSYQUUTYHYPCWCYHY
      PYPWDWEWFWGUURUUHUUFRZQTUUOUUHUUFQWHUVMUUNQYIYQUUFWIWJWLWMUUOUUPUIAUUNUUI
      QUUNYLUUHUUMYQYLYIYQUUFYLYQUUEYKXTYPYHFWNWOWPXBWQWJUNUUPUUKUIAUUIUUJQUUIY
      LYIUUHRZRUUJUUHUVNYLUUHYIYIRZYQRUVNYIUVOYQYIWRWSYIYIYQWIWTUMYLYIUUHXAWTWJ
      UNXCXDUULUUDUIAUULYBUUJRZQTUUDYBUUJQXEUVPUUCQUVPXSYAUUJRZRZUUCXSYAUUJWIXS
      YQYMRZYIRZRYOUVSRUVRUUCUVTYIUVSXSUVSYIXFXBUVQUVTXSYMYIRZYQRZYQUWARUVQUVTU
      WAYQXFYAYIRZYLRZUUHRZYMUUHRUVQUWBUWDYMUUHUWCYJYLYAYIXFWSWSUVQUWCUUIRUWEUU
      JYIUUIYAUUJXGXBUWCYLUUHWIXHYMYIYQWIXIYQYMYIWIXIUMYOYQYMWIXIWTWJWLUNXCXJYR
      YMOQPXKXLAOPBDYCGIJLAYCCDUQZUVAUDBDUQAFUWFEUVANMXMBCCDXNWAXOAUUAYNUUBYSAQ
      PCDFHIKLNXOAOQBCEGHJKMXOXPXQ $.
  $}

  $( Token for the functionalized inverse image. $)
  $c ~P^* $.

  $( Syntax for the functionalized inverse image. $)
  ciminv $a class ~P^* $.

  ${
    $d a b r x y $.
    $( Definition of the functionalized inverse image, which maps a binary
       relation between two given sets to its associated inverse image
       relation.  (Contributed by BJ, 23-Dec-2023.) $)
    df-iminv $a |- ~P^* = ( a e. _V , b e. _V |-> ( r e. ~P ( a X. b ) |->
          { <. x , y >. | ( ( x C_ a /\ y C_ b ) /\ x = ( `' r " y ) ) } ) ) $.
  $}

  ${
    $d A a b r x y $.  $d B a b r x y $.  $d ph a b r $.
    bj-iminvval.1 $e |- ( ph -> A e. U ) $.
    bj-iminvval.2 $e |- ( ph -> B e. V ) $.
    $( Value of the functionalized inverse image.  (Contributed by BJ,
       23-May-2024.) $)
    bj-iminvval $p |- ( ph -> ( A ~P^* B ) = ( r e. ~P ( A X. B ) |->
          { <. x , y >. | ( ( x C_ A /\ y C_ B ) /\ x = ( `' r " y ) ) } ) ) $=
      ( va vb cv ccnv cima wceq ciminv df-iminv bj-imdirvallem ) ABMHMNCMOPBCDE
      QFGHKLIJBCHKLRS $.
  $}

  ${
    $d A r x y $.  $d B r x y $.  $d R r x y $.  $d ph r x y $.
    bj-iminvval2.exa $e |- ( ph -> A e. U ) $.
    bj-iminvval2.exb $e |- ( ph -> B e. V ) $.
    bj-iminvval2.arg $e |- ( ph -> R C_ ( A X. B ) ) $.
    $( Value of the functionalized inverse image.  (Contributed by BJ,
       23-May-2024.) $)
    bj-iminvval2 $p |- ( ph -> ( ( A ~P^* B ) ` R ) =
            { <. x , y >. | ( ( x C_ A /\ y C_ B ) /\ x = ( `' R " y ) ) } ) $=
      ( vr cv wss wa ccnv cima wceq copab cvv cxp cpw ciminv bj-iminvval cnveqd
      simpr imaeq1d eqeq2d anbi2d opabbidv xpexd sselpwd bj-imdirval2lem fvmptd
      co ) ALFBMZDNCMZENOZUPLMZPZUQQZRZOZBCSURUPFPZUQQZRZOZBCSDEUAZUBDEUCUOTABC
      DEGHLIJUDAUSFRZOZVCVGBCVJVBVFURVJVAVEUPVJUTVDUQVJUSFAVIUFUEUGUHUIUJAFVHTA
      DEGHIJUKKULAVFBCDEGHIJUMUN $.
  $}

  ${
    $d A x y $.  $d ph x y $.
    bj-iminvid.ex $e |- ( ph -> A e. U ) $.
    $( Functorial property of the inverse image: the inverse image by the
       identity on a set is the identity on the powerset.  (Contributed by BJ,
       26-May-2024.) $)
    bj-iminvid $p |-
                   ( ph -> ( ( A ~P^* A ) ` ( _I |` A ) ) = ( _I |` ~P A ) ) $=
      ( vx vy cid cres ciminv co cfv cv wss wa ccnv cima wceq copab cpw cxp a1i
      idssxp cnvresid imaeq1i resiima syl5eq adantl eqeq2d bj-imdiridlem eqtrdi
      bj-iminvval2 ) AGBHZBBIJKELZBMZFLZBMZNZUMULOZUOPZQZNEFRGBSHAEFBBULCCDDULB
      BTMABUBUAUKUTEFBUQUSUOUMUPUSUOQUNUPUSULUOPUOURULUOBUCUDBUOUEUFUGUHUIUJ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Extended numbers and projective lines as sets
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  We parameterize the set of infinite extended complex numbers ` CCinfty `
  ( ~ df-bj-ccinfty ) using the real numbers ` RR ` ( ~ df-r ) via the function
  ` inftyexpitau ` .  Since at that point, we have only defined the set of
  real numbers but no operations on it, we define a temporary "fractional part"
  function, which is more convenient to define on the temporary reals ` R. `
  ( ~ df-nr ) since we can use operations on the latter.  We also define the
  temporary real "one-half" in order to define minus infinity
  ( ~ df-bj-minfty ) and then we can define the sets of extended real numbers
  and of extended complex numbers, and the projective real and complex lines,
  as well as addition and negation on these, and also the order relation on the
  extended reals (which bypasses the intermediate definition of a temporary
  order on the real numbers and then a superseding one on the extended real
  numbers).

$)

  $( Token for the fractional part of a tempopary real. $)
  $c {R $.

  $( Syntax for the fractional part of a tempopary real. $)
  cfractemp $a class {R $.

  ${
    $d x y z n $.
    $( Temporary definition: fractional part of a temporary real.

       To understand this definition, recall the canonical injection
       ` _om --> R. ` ,
       ` n |-> [ { x e. Q. | x <Q <. suc n , 1o >. } , 1P ] ~R ` where we
       successively take the successor of ` n ` to land in positive integers,
       then take the couple with ` 1o ` as second component to land in positive
       rationals, then take the Dedekind cut that positive rational forms, and
       finally take the equivalence class of the couple with ` 1P ` as second
       component.  Adding one at the beginning and subtracting it at the end is
       necessary since the constructions used in set.mm use the positive
       integers, positive rationals, and positive reals as intermediate number
       systems.  (Contributed by BJ, 22-Jan-2023.)  The precise definition is
       irrelevant and should generally not be used.  One could even inline it.
       The definitive fractional part of an extended or projective complex
       number will be defined later.  (New usage is discouraged.) $)
    df-bj-fractemp $a |- {R = ( x e. R. |-> ( iota_ y e. R.
        ( ( y = 0R \/ ( 0R <R y /\ y <R 1R ) ) /\ E. n e. _om
    ( [ <. { z e. Q. | z <Q <. suc n , 1o >. } , 1P >. ] ~R +R y ) = x ) ) ) $.
  $}

  $( Token for the function inftyexpitau parameterizing CCinfty. $)
  $c inftyexpitau $.

  $( Syntax for the function ` inftyexpitau ` parameterizing ` CCinfty ` . $)
  cinftyexpitau $a class inftyexpitau $.

  $( Definition of the auxiliary function ` inftyexpitau ` parameterizing the
     circle at infinity ` CCinfty ` in ` CCbar ` .  We use coupling with
     ` { R. } ` to simplify the proof of ~ bj-inftyexpitaudisj .  (Contributed
     by BJ, 22-Jan-2023.)  The precise definition is irrelevant and should
     generally not be used.  TODO: prove only the necessary lemmas to prove
     ` |- ( A e. RR /\ B e. RR ) -> ( ( inftyexpitau `` A ) = `
     ` ( inftyexpitau `` B ) <-> ( A - B ) e. ZZ ) ) ` .
     (New usage is discouraged.) $)
  df-bj-inftyexpitau $a |- inftyexpitau =
                         ( x e. RR |-> <. ( {R ` ( 1st ` x ) ) , { R. } >. ) $.

  $( Token for the circle at infinity. $)
  $c CCinftyN $.

  $( Syntax for the circle at infinity ` CCinftyN ` . $)
  cccinftyN $a class CCinftyN $.

  $( Definition of the circle at infinity ` CCinftyN ` .  (Contributed by BJ,
     22-Jun-2019.)  The precise definition is irrelevant and should generally
     not be used.  (New usage is discouraged.) $)
  df-bj-ccinftyN $a |- CCinftyN = ran inftyexpitau $.

  $( The function ` inftyexpitau ` written as a surjection with domain and
     range.  (Contributed by BJ, 4-Feb-2023.) $)
  bj-inftyexpitaufo $p |- inftyexpitau : RR -onto-> CCinftyN $=
    ( vx cr cinftyexpitau crn wfo cccinftyN wfn c1st cfv cfractemp cnr csn opex
    cv cop df-bj-inftyexpitau fnmpti dffn4 mpbi wceq df-bj-ccinftyN foeq3 ax-mp
    wb eqcomi ) BCDZCEZBFCEZCBGUGABANHIJIZKLZOCUIUJMAPQBCRSUFFTUGUHUDFUFUAUEUFF
    BCUBUCS $.

  $( Token for the temporary one-half. $)
  $c 1/2 $.

  $( Syntax for the temporary one-half. $)
  chalf $a class 1/2 $.

  $( Define the temporary real "one-half".  Once the machinery is developed,
     the real number "one-half" is commonly denoted by ` ( 1 / 2 ) ` .
     (Contributed by BJ, 4-Feb-2023.)  (New usage is discouraged.)

     TODO:

     $p |- 1/2 e.  R. $= ? $.  ( ~ riotacl )

     $p |- -. 0R = 1/2 $= ? $.  (since -.  ( 0R +R 0R ) = 1R )

     $p |- 0R <R 1/2 $= ? $.

     $p |- 1/2 <R 1R $= ? $.

     $p |- ( {R `` 0R ) = 0R $= ? $.

     $p |- ( {R `` 1/2 ) = 1/2 $= ? $.

     df-minfty $a |- minfty = ( inftyexpitau `` <. 1/2 , 0R >. ) $. $)
  df-bj-onehalf $a |- 1/2 = ( iota_ x e. R. ( x +R x ) = 1R ) $.

  ${
    $d A x $.
    $( An element of the circle at infinity is not a complex number.
       (Contributed by BJ, 4-Feb-2023.) $)
    bj-inftyexpitaudisj $p |- -. ( inftyexpitau ` A ) e. CC $=
      ( vx vy cinftyexpitau wcel cfv cc wn cfractemp cnr cop df-bj-inftyexpitau
      c1st wceq cr cv opex cvv mtbir eleq1d cdm csn 2fveq3 opeq1d dmmpti eleq2s
      fvmpt cxp wa nrex1 bj-nsnid ax-mp intnan opelxp eleq2i eqcom biimpi mtbii
      df-c syl c0 0ncn ndmfv mtbiri pm2.61i ) ADUAZEZADFZGEZHZVGVHAMFIFZJUBZKZN
      ZVJVNAOVFBABPZMFIFZVLKVMODVOANVPVKVLVOAIMUCUDBLVKVLQUGCOCPMFIFZVLKDVQVLQC
      LUEUFVNVMGEZVIVRVMJJUHZEZVTVKJEZVLJEZUIWBWAJREWBHUJJRUKULUMVKVLJJUNSGVSVM
      USUOSVNVMVHGVNVMVHNVHVMUPUQTURUTVGHZVIVAGEVBWCVHVAGADVCTVDVE $.
  $}

  $( Token for the function inftyexpi parameterizing CCinfty. $)
  $c inftyexpi $.

  $( Syntax for the function ` inftyexpi ` parameterizing ` CCinfty ` . $)
  cinftyexpi $a class inftyexpi $.

  $( Definition of the auxiliary function ` inftyexpi ` parameterizing the
     circle at infinity ` CCinfty ` in ` CCbar ` .  We use coupling with ` CC `
     to simplify the proof of ~ bj-ccinftydisj .  It could seem more natural to
     define ` inftyexpi ` on all of ` RR ` , but we want to use only basic
     functions in the definition of ` CCbar ` .  TODO: transition to
     ~ df-bj-inftyexpitau instead.  (Contributed by BJ, 22-Jun-2019.)  The
     precise definition is irrelevant and should generally not be used.
     (New usage is discouraged.) $)
  df-bj-inftyexpi $a |-
                    inftyexpi = ( x e. ( -u _pi (,] _pi ) |-> <. x , CC >. ) $.

  ${
    $d x A $.
    $( Utility theorem for the inverse of ` inftyexpi ` .  (Contributed by BJ,
       22-Jun-2019.)  This utility theorem is irrelevant and should generally
       not be used.  (New usage is discouraged.) $)
    bj-inftyexpiinv $p |- ( A e. ( -u _pi (,] _pi ) ->
                                           ( 1st ` ( inftyexpi ` A ) ) = A ) $=
      ( vx cpi cneg cioc co wcel cinftyexpi cfv cc cop cv opeq1 df-bj-inftyexpi
      c1st opex fvmpt fveq2d cvv wceq cnex op1stg mpan2 eqtrd ) ACDCEFZGZAHIZOI
      AJKZOIZAUFUGUHOBABLZJKUHUEHUJAJMBNAJPQRUFJSGUIATUAAJUESUBUCUD $.
  $}

  $( Injectivity of the parameterization ` inftyexpi ` .  Remark: a more
     conceptual proof would use ~ bj-inftyexpiinv and the fact that a function
     with a retraction is injective.  (Contributed by BJ, 22-Jun-2019.) $)
  bj-inftyexpiinj $p |- ( ( A e. ( -u _pi (,] _pi ) /\
                            B e. ( -u _pi (,] _pi ) ) ->
                       ( A = B <-> ( inftyexpi ` A ) = ( inftyexpi ` B ) ) ) $=
    ( cpi cneg cioc co wcel wa wceq cinftyexpi cfv fveq2 bj-inftyexpiinv adantr
    c1st eqeq1d biimpd adantl eqeq2d sylibd syl5 impbid2 ) ACDCEFZGZBUCGZHZABIZ
    AJKZBJKZIZABJLUJUHOKZUIOKZIZUFUGUHUIOLUFUMAULIZUGUFUMUNUFUKAULUDUKAIUEAMNPQ
    UFULBAUEULBIUDBMRSTUAUB $.

  ${
    $d A x $.
    $( An element of the circle at infinity is not a complex number.
       (Contributed by BJ, 22-Jun-2019.)  This utility theorem is irrelevant
       and should generally not be used.  (New usage is discouraged.) $)
    bj-inftyexpidisj $p |- -. ( inftyexpi ` A ) e. CC $=
      ( vx cinftyexpi cdm wcel cfv cc wn cop wceq cpi opex cvv cnex 0ncn mtbiri
      c0 syl pm2.61i eleq1d cneg cioc co cv opeq1 df-bj-inftyexpi dmmpti eleq2s
      fvmpt cpr prid2 csn wo eqid olci wb elopg mpan2 mpbiri bj-imn3ani sylancr
      en3lp opprc1 eleq1 eqcom biimpi mtbii ndmfv ) ACDZEZACFZGEZHZVJVKAGIZJZVM
      VOAKUAKUBUCZVIBABUDZGIZVNVPCVQAGUEBUFZAGLUIBVPVRCVQGLVSUGUHVOVNGEZVLAMEZV
      THZWAGAGUJZEZWCVNEZWBAGNUKWAWEWCAULJZWCWCJZUMZWGWFWCUNUOWAGMEWEWHUPNAGWCM
      MUQURUSWDWEVTGWCVNVBUTVAWAHVNQJZWBAGVCWIVTQGEZOVNQGVDPRSVOVNVKGVOVNVKJVKV
      NVEVFTVGRVJHZVLWJOWKVKQGACVHTPS $.
  $}

  $( Token for the circle at infinity. $)
  $c CCinfty $.

  $( Syntax for the circle at infinity ` CCinfty ` . $)
  cccinfty $a class CCinfty $.

  $( Definition of the circle at infinity ` CCinfty ` .  (Contributed by BJ,
     22-Jun-2019.)  The precise definition is irrelevant and should generally
     not be used.  (New usage is discouraged.) $)
  df-bj-ccinfty $a |- CCinfty = ran inftyexpi $.

  ${
    $d x y $.
    $( The circle at infinity is disjoint from the set of complex numbers.
       (Contributed by BJ, 22-Jun-2019.) $)
    bj-ccinftydisj $p |- ( CC i^i CCinfty ) = (/) $=
      ( vx vy vz cccinfty cin wcel cinftyexpi cfv wex bj-inftyexpidisj nex wceq
      cc cv wa elin crn cdm cpi syl wrex wfun cneg cioc df-bj-inftyexpi funmpt2
      wi co cop elrnrexdm ax-mp rexex df-bj-ccinfty eleq2s anim2i sylbi exancom
      ancom 19.41v bitri sylbb2 eleq1 biimpac eximi mto nel0 ) AMDEZANZVGFZBNZG
      HZMFZBIZVLBVJJKVIVHMFZVHVKLZOZBIZVMVIVNVOBIZOZVQVIVNVHDFZOVSVHMDPVTVRVNVR
      VHGQZDVHWAFZVOBGRZUAZVRGUBWBWDUGCSUCSUDUHCNMUIGCUEUFBGVHUJUKVOBWCULTUMUNU
      OUPVSVRVNOZVQVNVRURVQVOVNOBIWEVNVOBUQVOVNBUSUTVATVPVLBVOVNVLVHVKMVBVCVDTV
      EVF $.
  $}

  $( A lemma for infinite extended complex numbers.  (Contributed by BJ,
     27-Jun-2019.) $)
  bj-elccinfty $p |- ( A e. ( -u _pi (,] _pi ) ->
                                              ( inftyexpi ` A ) e. CCinfty ) $=
    ( vx cpi cneg cioc co wcel cinftyexpi wfun cdm cfv cccinfty df-bj-inftyexpi
    wa crn cv cc cop funmpt2 eqcomi jctl opex dmmpti eleq2s df-bj-ccinfty 3syl
    fvelrn eleq2i biimpi ) ACDCEFZGHIZAHJZGZNZAHKZHOZGZUOLGZUNAULUJUMUKBUJBPZQR
    ZHBMZSUAULUJBUJUTHUSQUBVAUCTUDAHUGUQURUPLUOLUPUETUHUIUF $.

  $( Token for the set of extended complex numbers. $)
  $c CCbar $.

  $( Syntax for the set of extended complex numbers ` CCbar ` . $)
  cccbar $a class CCbar $.

  $( Definition of the set of extended complex numbers ` CCbar ` .
     (Contributed by BJ, 22-Jun-2019.) $)
  df-bj-ccbar $a |- CCbar = ( CC u. CCinfty ) $.

  $( Complex numbers are extended complex numbers.  (Contributed by BJ,
     27-Jun-2019.) $)
  bj-ccssccbar $p |- CC C_ CCbar $=
    ( cc cccinfty cun cccbar ssun1 df-bj-ccbar sseqtrri ) AABCDABEFG $.

  $( Infinite extended complex numbers are extended complex numbers.
     (Contributed by BJ, 27-Jun-2019.) $)
  bj-ccinftyssccbar $p |- CCinfty C_ CCbar $=
    ( cccinfty cc cun cccbar ssun2 df-bj-ccbar sseqtrri ) ABACDABEFG $.

  $( Token for "plus infinity". $)
  $c pinfty $.

  $( Syntax for "plus infinity". $)
  cpinfty $a class pinfty $.

  $( Definition of "plus infinity".  (Contributed by BJ, 27-Jun-2019.) $)
  df-bj-pinfty $a |- pinfty = ( inftyexpi ` 0 ) $.

  $( The class ` pinfty ` is an extended complex number.  (Contributed by BJ,
     27-Jun-2019.) $)
  bj-pinftyccb $p |- pinfty e. CCbar $=
    ( cpinfty cc0 cinftyexpi cfv cccbar df-bj-pinfty cccinfty bj-ccinftyssccbar
    cpi cneg cioc co wcel cr clt wbr cle 0re pipos pire ltnegi mpbi neg0 ltleii
    breqtri cxr w3a wb renegcli rexri elioc2 mp2an mpbir3an bj-elccinfty sselii
    ax-mp eqeltri ) ABCDZEFGEURHBIJZIKLMZURGMUTBNMZUSBOPZBIQPZRUSBJZBOBIOPUSVDO
    PSBIRTUAUBUCUEBIRTSUDUSUFMINMUTVAVBVCUGUHUSITUIUJTUSIBUKULUMBUNUPUOUQ $.

  $( The extended complex number ` pinfty ` is not a complex number.
     (Contributed by BJ, 27-Jun-2019.) $)
  bj-pinftynrr $p |- -. pinfty e. CC $=
    ( cpinfty cc0 cinftyexpi cfv cc df-bj-pinfty bj-inftyexpidisj eqneltri ) AB
    CDEFBGH $.

  $( Token for "minus infinity". $)
  $c minfty $.

  $( Syntax for "minus infinity". $)
  cminfty $a class minfty $.

  $( Definition of "minus infinity".  (Contributed by BJ, 27-Jun-2019.) $)
  df-bj-minfty $a |- minfty = ( inftyexpi ` _pi ) $.

  $( The class ` minfty ` is an extended complex number.  (Contributed by BJ,
     27-Jun-2019.) $)
  bj-minftyccb $p |- minfty e. CCbar $=
    ( vx cccinfty cccbar cminfty bj-ccinftyssccbar cpi cinftyexpi cfv wcel cneg
    cc cxr clt wbr pire rexri cc0 pipos 0re mp2an crn wfun cioc df-bj-inftyexpi
    cdm co cv funmpt2 renegcli ltnegi mpbi neg0 breqtri lttri ubioc1 mp3an opex
    cop dmmpti eleqtrri fvelrn df-bj-minfty df-bj-ccinfty 3eltr4i sselii ) BCDE
    FGHZGUAZDBGUBFGUEZIVFVGIAFJZFUCUFZAUGZKURZGAUDZUHFVJVHVILIFLIVIFMNZFVJIVIFO
    UIZPFOPVIQMNQFMNZVNVIQJZQMVPVIVQMNRQFSOUJUKULUMRVIQFVOSOUNTVIFUOUPAVJVLGVKK
    UQVMUSUTFGVATVBVCVDVE $.

  $( The extended complex number ` minfty ` is not a complex number.
     (Contributed by BJ, 27-Jun-2019.) $)
  bj-minftynrr $p |- -. minfty e. CC $=
    ( cminfty cpi cinftyexpi cfv cc df-bj-minfty bj-inftyexpidisj eqneltri ) AB
    CDEFBGH $.

  $( The extended complex numbers ` pinfty ` and ` minfty ` are different.
     (Contributed by BJ, 27-Jun-2019.) $)
  bj-pinftynminfty $p |- pinfty =/= minfty $=
    ( cpinfty cminfty wceq cc0 cinftyexpi cfv cpi pire pipos wcel wb cr clt wbr
    cle a1i 0re elioc2 mpbir3and mp2an gt0ne0ii nesymi cneg cioc renegcli rexri
    co wa 0red lt0neg2 ax-mp mpbi ltleii simpr lttri leidi bj-inftyexpiinj mtbi
    cxr df-bj-minfty eqeq2i mtbir df-bj-pinfty eqeq1i neir ) ABABCDEFZBCZVGVFGE
    FZCZDGCZVIGDGHIUAUBDGUCZGUDUGZJZGVLJZVJVIKVKUSJZGLJZVMVKGHUEZUFZHVOVPUHZVMD
    LJVKDMNZDGONZVSUIVTVSDGMNZVTIVPWBVTKHGUJUKULZPWAVSDGQHIUMPVKGDRSTVOVPVNVRHV
    SVNVPVKGMNZGGONZVOVPUNWDVSVTWBWDWCIVKDGVQQHUOTPWEVSGHUPPVKGGRSTDGUQTURBVHVF
    UTVAVBAVFBVCVDVBVE $.

  $( Token for the set of extended real numbers. $)
  $c RRbar $.

  $( Syntax for the set of extended real numbers. $)
  crrbar $a class RRbar $.

  $( Definition of the set of extended real numbers.  This aims to replace
     ~ df-xr .  (Contributed by BJ, 29-Jun-2019.) $)
  df-bj-rrbar $a |- RRbar = ( RR u. { minfty , pinfty } ) $.

  $c infty $.

  $( Syntax for ` infty ` . $)
  cinfty $a class infty $.

  $( Definition of ` infty ` , the point at infinity of the real or complex
     projective line.  (Contributed by BJ, 27-Jun-2019.)  The precise
     definition is irrelevant and should generally not be used.
     (New usage is discouraged.) $)
  df-bj-infty $a |- infty = ~P U. CC $.

  $c CChat $.

  $( Syntax for ` CChat ` . $)
  ccchat $a class CChat $.

  $( Define the complex projective line, or Riemann sphere.  (Contributed by
     BJ, 27-Jun-2019.) $)
  df-bj-cchat $a |- CChat = ( CC u. { infty } ) $.

  $c RRhat $.

  $( Syntax for ` RRhat ` . $)
  crrhat $a class RRhat $.

  $( Define the real projective line.  (Contributed by BJ, 27-Jun-2019.) $)
  df-bj-rrhat $a |- RRhat = ( RR u. { infty } ) $.

  $( The real projective line is included in the complex projective line.
     (Contributed by BJ, 27-Jun-2019.) $)
  bj-rrhatsscchat $p |- RRhat C_ CChat $=
    ( cr cinfty csn cun cc crrhat ccchat axresscn unss1 df-bj-rrhat df-bj-cchat
    wss ax-mp 3sstr4i ) ABCZDZEODZFGAELPQLHAEOIMJKN $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Addition and opposite
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  We define the operations of addition and opposite on the extended complex
  numbers and on the complex projective line (Riemann sphere) simultaneously,
  thus "overloading" the operations.

$)

  $( Token for the addition on extended complex numbers. $)
  $c +cc $.

  $( Syntax for the addition on extended complex numbers. $)
  caddcc $a class +cc $.

  $( Define the additions on the extended complex numbers (on the subset of
     ` ( CCbar X. CCbar ) ` where it makes sense) and on the complex projective
     line (Riemann sphere).  We use the plural in "additions" since these are
     two different operations, even though ` +cc ` is overloaded.  (Contributed
     by BJ, 22-Jun-2019.) $)
  df-bj-addc $a |- +cc =
    ( x e. ( ( ( CC X. CCbar ) u. ( CCbar X. CC ) ) u.
          ( ( CChat X. CChat ) u. ( _I |` CCinfty ) ) ) |->
      if ( ( ( 1st ` x ) = infty \/ ( 2nd ` x ) = infty ) , infty ,
      if ( ( 1st ` x ) e. CC , if ( ( 2nd ` x ) e. CC ,
           <. ( ( 1st ` ( 1st ` x ) ) +R ( 1st ` ( 2nd ` x ) ) ) ,
              ( ( 2nd ` ( 1st ` x ) ) +R ( 2nd ` ( 2nd ` x ) ) ) >. ,
           ( 2nd ` x ) ) , ( 1st ` x ) ) ) ) $.

  $( Token for negation on the set of extended complex numbers and the complex
     projective line (Riemann sphere). $)
  $c -cc $.

  $( Syntax for negation on the set of extended complex numbers and the complex
     projective line (Riemann sphere). $)
  coppcc $a class -cc $.

  ${
    $d x y $.
    $( Define the negation (operation giving the opposite) on the set of
       extended complex numbers and the complex projective line (Riemann
       sphere).  (Contributed by BJ, 22-Jun-2019.) $)
    df-bj-oppc $a |- -cc = ( x e. ( CCbar u. CChat ) |-> if ( x = infty ,
                  infty , if ( x e. CC , ( iota_ y e. CC ( x +cc y ) = 0 ) ,
                           ( inftyexpitau ` ( x +cc <. 1/2 , 0R >. ) ) ) ) ) $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Order relation on the extended reals
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  In this section, we redefine ~ df-ltxr without the intermediate step of
  ~ df-lt .

$)

  $( Token for the standard (strict) order on the extended reals. $)
  $c <rr $.

  $( Syntax for the standard (strict) order on the extended reals. $)
  cltxr $a class <rr $.

  ${
    $d x y z $.
    $( Define the standard (strict) order on the extended reals.  (Contributed
       by BJ, 4-Feb-2023.) $)
    df-bj-lt $a |- <rr = ( { x e. ( RRbar X. RRbar ) | E. y E. z ( (
       ( 1st ` x ) = <. y , 0R >. /\ ( 2nd ` x ) = <. z , 0R >. ) /\ y <R z ) }
          u. ( ( ( { minfty } X. RR ) u. ( RR X. { pinfty } ) )
               u. ( { minfty } X. { pinfty } ) ) ) $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Argument, multiplication and inverse
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Since one needs arguments in order to define multiplication in ` CCbar ` ,
  and one needs complex multiplication in order to define arguments, it would
  be contrived to construct a whole theory for a temporary multiplication
  (and temporary powers, then temporary logarithm, and finally temporary
  argument) before redefining the extended complex multiplication.  Therefore,
  we adopt a two-step process, see ~ df-bj-mulc .

$)

  $( Token for the argument of a nonzero extended complex number. $)
  $c Arg $.

  $( Syntax for the argument of a nonzero extended complex number. $)
  carg $a class Arg $.

  $( Define the argument of a nonzero extended complex number.  By convention,
     it has values in ` ( -u _pi , _pi ] ` .  Another convention chooses values
     in ` [ 0 , 2 _pi ) ` but the present convention simplifies formulas giving
     the argument as an arctangent.  (Contributed by BJ, 22-Jun-2019.)  The
     "else" case of the second conditional operator, corresponding to infinite
     extended complex numbers other than ` minfty ` , gives a definition
     depending on the specific definition chosen for these numbers
     ( ~ df-bj-inftyexpitau ), and therefore should not be relied upon.
     (New usage is discouraged.) $)
  df-bj-arg $a |- Arg = ( x e. ( CCbar \ { 0 } ) |->
         if ( x e. CC , ( Im ` ( log ` x ) ) ,
         if ( x <rr 0 , _pi , ( ( ( 1st ` x ) / ( 2 x. _pi ) ) - _pi ) ) ) ) $.

  $( Token for the multiplication of extended complex numbers. $)
  $c .cc $.

  $( Syntax for the multiplication of extended complex numbers. $)
  cmulc $a class .cc $.

  $( Define the multiplication of extended complex numbers and of the complex
     projective line (Riemann sphere).  In our convention, a product with 0 is
     0, even when the other factor is infinite.  An alternate convention leaves
     products of 0 with an infinite number undefined since the multiplication
     is not continuous at these points.  Note that our convention entails
     ` ( 0 / 0 ) = 0 ` (given ~ df-bj-invc ).

     Note that this definition uses ` x. ` and ` Arg ` and ` / ` .  Indeed, it
     would be contrived to bypass ordinary complex multiplication, and the
     present two-step definition looks like a good compromise.  (Contributed by
     BJ, 22-Jun-2019.) $)
  df-bj-mulc $a |- .cc = ( x e. ( ( CCbar X. CCbar ) u. ( CChat X. CChat ) )
   |-> if ( ( ( 1st ` x ) = 0 \/ ( 2nd ` x ) = 0 ) , 0 ,
       if ( ( ( 1st ` x ) = infty \/ ( 2nd ` x ) = infty ) , infty ,
       if ( x e. ( CC X. CC ) , ( ( 1st ` x ) x. ( 2nd ` x ) ) ,
       ( inftyexpitau `
    ( ( ( Arg ` ( 1st ` x ) ) +cc ( Arg ` ( 2nd ` x ) ) ) / _tau ) ) ) ) ) ) $.

  $( Token for the inverse of nonzero extended complex numbers. $)
  $c invc $.

  $( Syntax for the inverse of nonzero extended complex numbers. $)
  cinvc $a class invc $.

  ${
    $d x y $.
    $( Define inversion, which maps a nonzero extended complex number or
       element of the complex projective line (Riemann sphere) to its inverse.
       Beware of the overloading: the equality ` ( invc `` 0 ) = infty ` is to
       be understood in the complex projective line, but 0 as an extended
       complex number does not have an inverse, which we can state as
       ` ( invc `` 0 ) e/ CCbar ` .  Note that this definition relies on
       ~ df-bj-mulc , which does not bypass ordinary complex multiplication,
       but defines extended complex multiplication on top of it.  Therefore, we
       could have used directly ` / ` instead of ` ( iota_ ... .cc ... ) ` .
       (Contributed by BJ, 22-Jun-2019.) $)
    df-bj-invc $a |- invc = ( x e. ( CCbar u. CChat ) |->
                  if ( x = 0 , infty ,
                  if ( x e. CC , ( iota_ y e. CC ( x .cc y ) = 1 ) , 0 ) ) ) $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The canonical bijection from the finite ordinals
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Token for the canonical bijection from ` ( _om u. { _om } ) ` onto
     ` ( NN0 u. { pinfty } ) ` . $)
  $c iomnn $.

  $( Syntax for the canonical bijection from ` ( _om u. { _om } ) ` onto
     ` ( NN0 u. { pinfty } ) ` . $)
  ciomnn $a class iomnn $.

  ${
    $d n r $.
    $( Definition of the canonical bijection from ` ( _om u. { _om } ) ` onto
       ` ( NN0 u. { pinfty } ) ` .

       To understand this definition, recall that set.mm constructs reals as
       couples whose first component is a prereal and second component is the
       zero prereal (in order that one have ` RR C_ CC ` ), that prereals are
       equivalence classes of couples of positive reals, the latter are
       Dedekind cuts of positive rationals, which are equivalence classes of
       positive ordinals.  In partiular, we take the successor ordinal at the
       beginning and subtract 1 at the end since the intermediate systems
       contain only (strictly) positive numbers.

       Note the similarity with ~ df-bj-fractemp but we did not use the present
       definition there since we wanted to have defined ` pinfty ` first.

       See ~ bj-iomnnom for its value at ` pinfty ` .

       TODO:

       Prove ` |- ( iomnn `` (/) ) = 0 ` .

       Define ` |- NN0 = ( iomnn " _om ) ` and ` |- NN = ( NN0 \ { 0 } ) ` .

       Prove
       ` |- iomnn : ( _om u. { _om } ) -1-1-onto-> ( NN0 u. { pinfty } ) ` and
       ` |- ( iomnn |`` _om ) : _om -1-1-onto-> NN0 ` .

       Prove that these bijections are respectively an isomorphism of ordered
       "extended rigs" and of ordered rigs.

       Prove ` |- ( iomnn |`` _om ) = rec ( ( x e. RR |-> ( x + 1 ) ) , 0 ) ` .

       (Contributed by BJ, 18-Feb-2023.)  The precise definition is irrelevant
       and should generally not be used.  (New usage is discouraged.) $)
    df-bj-iomnn $a |- iomnn = ( ( n e. _om |->
        <. [ <. { r e. Q. | r <Q <. suc n , 1o >. } , 1P >. ] ~R , 0R >. ) u.
                                                    { <. _om , pinfty >. } ) $.
  $}

  ${
    $d x A $.  $d x F $.  $d x G $.
    $( If the direct image of a singleton under any of two functions is the
       same, then the values of these functions at the corresponding point
       agree.  (Contributed by BJ, 18-Mar-2023.) $)
    bj-imafv $p |-
                  ( ( F " { A } ) = ( G " { A } ) -> ( F ` A ) = ( G ` A ) ) $=
      ( vx csn cima wceq cv cab cuni cfv eqeq1 abbidv unieqd dffv4 3eqtr4g ) BA
      EZFZCQFZGZRDHEZGZDIZJSUAGZDIZJABKACKTUCUETUBUDDRSUALMNDABODACOP $.
  $}

  ${
    bj-funun.un $e |- ( ph -> F = ( G u. H ) ) $.
    bj-funun.neldm $e |- ( ph -> -. A e. dom H ) $.
    $( Value of a function expressed as a union of two functions at a point not
       in the domain of one of them.  (Contributed by BJ, 18-Mar-2023.) $)
    bj-funun $p |- ( ph -> ( F ` A ) = ( G ` A ) ) $=
      ( csn cima wceq cfv cun imaeq1 imaundir eqtrdi syl c0 cdm wcel wn ndmima
      uneq2 un0 eqtrd bj-imafv ) ACBHZIZDUFIZJBCKBDKJAUGUHEUFIZLZUHACDELZJZUGUJ
      JFULUGUKUFIUJCUKUFMDEUFNOPAUIQJZUJUHJABERSTUMGBEUAPUMUJUHQLUHUIQUHUBUHUCO
      PUDBCDUEP $.
  $}

  ${
    bj-fununsn.un $e |- ( ph -> F = ( G u. { <. B , C >. } ) ) $.
    ${
      bj-fununsn1.neq $e |- ( ph -> -. A = B ) $.
      $( Value of a function expressed as a union of a function and a singleton
         on a couple (with disjoint domain) at a point not equal to the first
         component of that couple.  (Contributed by BJ, 18-Mar-2023.)
         (Proof modification is discouraged.) $)
      bj-fununsn1 $p |- ( ph -> ( F ` A ) = ( G ` A ) ) $=
        ( cop csn cdm wss dmsnopss a1i wceq wcel elsni nsyl ssneldd bj-funun )
        ABEFCDIJZGAUAKZCJZBUBUCLACDMNABCOBUCPHBCQRST $.
    $}

    ${
      bj-fununsn2.neldm $e |- ( ph -> -. B e. dom G ) $.
      bj-fununsn2.ex1 $e |- ( ph -> B e. V ) $.
      bj-fununsn2.ex2 $e |- ( ph -> C e. W ) $.
      $( Value of a function expressed as a union of a function and a singleton
         on a couple (with disjoint domain) at the first component of that
         couple.  (Contributed by BJ, 18-Mar-2023.)
         (Proof modification is discouraged.) $)
      bj-fununsn2 $p |- ( ph -> ( F ` B ) = C ) $=
        ( cfv cop csn cun uncom eqtrdi bj-funun wcel wceq fvsng syl2anc eqtrd )
        ABDLBBCMNZLZCABDUDEADEUDOUDEOHEUDPQIRABFSCGSUECTJKBCFGUAUBUC $.
    $}
  $}

  ${
    bj-fvsnun.un $e |-
                 ( ph -> G = ( ( F |` ( C \ { A } ) ) u. { <. A , B >. } ) ) $.
    ${
      bj-fvsnun1.eldif $e |- ( ph -> D e. ( C \ { A } ) ) $.
      $( The value of a function with one of its ordered pairs replaced, at
         arguments other than the replaced one.  (Contributed by NM,
         23-Sep-2007.)  Put in deduction form and remove two sethood
         hypotheses.  (Revised by BJ, 18-Mar-2023.) $)
      bj-fvsnun1 $p |- ( ph -> ( G ` D ) = ( F ` D ) ) $=
        ( cfv csn cdif cres wcel wceq wn eldifsnneq syl bj-fununsn1 fvresd
        eqtrd ) AEGJEFDBKLZMZJEFJAEBCGUCHAEUBNEBOPIEDBQRSAEUBFITUA $.
    $}

    ${
      bj-fvsnun2.ex1 $e |- ( ph -> A e. V ) $.
      bj-fvsnun2.ex2 $e |- ( ph -> B e. W ) $.
      $( The value of a function with one of its ordered pairs replaced, at the
         replaced ordered pair.  See also ~ fvsnun2 .  (Contributed by NM,
         23-Sep-2007.)  Put in deduction form.  (Revised by BJ, 18-Mar-2023.)
         (Proof modification is discouraged.) $)
      bj-fvsnun2 $p |- ( ph -> ( G ` A ) = B ) $=
        ( csn cdif cres cdm wss cin dmres inss1 eqsstri a1i ssneldd bj-fununsn2
        neldifsnd ) ABCFEDBLMZNZGHIAUFOZUEBUGUEPAUGUEEOZQUEEUERUEUHSTUAABDUDUBJ
        KUC $.
    $}
  $}

  ${
    $d A x $.
    bj-fvmptunsn.un $e |-
                       ( ph -> F = ( ( x e. A |-> B ) u. { <. C , D >. } ) ) $.
    bj-fvmptunsn.nel $e |- ( ph -> -. C e. A ) $.
    ${
      bj-fvmptunsn1.ex1 $e |- ( ph -> C e. V ) $.
      bj-fvmptunsn1.ex2 $e |- ( ph -> D e. W ) $.
      $( Value of a function expressed as a union of a mapsto expression and a
         singleton on a couple (with disjoint domain) at the first component of
         that couple.  (Contributed by BJ, 18-Mar-2023.)
         (Proof modification is discouraged.) $)
      bj-fvmptunsn1 $p |- ( ph -> ( F ` C ) = D ) $=
        ( cmpt wcel cdm eqid dmmptss sseli nsyl bj-fununsn2 ) AEFGBCDNZHIJAECOE
        UBPZOKUCCEBCDUBUBQRSTLMUA $.
    $}

    ${
      $d ph x $.  $d E x $.  $d G x $.
      bj-fvmptunsn2.el $e |- ( ph -> E e. A ) $.
      bj-fvmptunsn2.ex $e |- ( ph -> G e. V ) $.
      bj-fvmptunsn2.is $e |- ( ( ph /\ x = E ) -> B = G ) $.
      $( Value of a function expressed as a union of a mapsto expression and a
         singleton on a couple (with disjoint domain) at a point in the domain
         of the mapsto construction.  (Contributed by BJ, 18-Mar-2023.)
         (Proof modification is discouraged.) $)
      bj-fvmptunsn2 $p |- ( ph -> ( F ` E ) = G ) $=
        ( cfv cmpt wcel wn wceq nelneq syl2anc bj-fununsn1 eqidd fvmptd eqtrd )
        AGHPGBCDQZPIAGEFHUGKAGCRECRSGETSMLGECUAUBUCABGDICUGJAUGUDOMNUEUF $.
    $}
  $}

  ${
    $d n r $.
    $( The canonical bijection from ` ( _om u. { _om } ) ` onto
       ` ( NN0 u. { pinfty } ) ` maps ` _om ` to ` pinfty ` .  (Contributed by
       BJ, 18-Feb-2023.) $)
    bj-iomnnom $p |- ( iomnn ` _om ) = pinfty $=
      ( vn vr com ciomnn cfv cpinfty wceq wtru cv csuc c1o cop cltq wbr cnq cvv
      crab cccbar a1i wcel c1p cer cec c0r cmpt csn df-bj-iomnn wn bj-pinftyccb
      cun elirr omex bj-fvmptunsn1 mptru ) CDEFGHACBIAIJKLMNBOQUALUBUCUDLZCFDPR
      DACUOUECFLUFUJGHABUGSCCTUHHCUKSCPTHULSFRTHUISUMUN $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Divisibility
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Token for the extended natural numbers. $)
  $c NNbar $.

  $( Syntax for the extended natural numbers. $)
  cnnbar $a class NNbar $.

  $( Definition of the extended natural numbers.  (Contributed by BJ,
     28-Jul-2023.) $)
  df-bj-nnbar $a |- NNbar = ( NN0 u. { pinfty } ) $.

  $( Token for the extended integers. $)
  $c ZZbar $.

  $( Syntax for the extended integers. $)
  czzbar $a class ZZbar $.

  $( Definition of the extended integers.  (Contributed by BJ, 28-Jul-2023.) $)
  df-bj-zzbar $a |- ZZbar = ( ZZ u. { minfty , pinfty } ) $.

  $( Token for the one-point-compactified integers. $)
  $c ZZhat $.

  $( Syntax for the one-point-compactified integers. $)
  czzhat $a class ZZhat $.

  $( Definition of the one-point-compactified.  (Contributed by BJ,
     28-Jul-2023.) $)
  df-bj-zzhat $a |- ZZhat = ( ZZ u. { infty } ) $.

  $( Token for the divisibility relation. $)
  $c ||C $.

  $( Syntax for the divisibility relation. $)
  cdivc $a class ||C $.

  ${
    $d n x y $.
    $( Definition of the divisibility relation (compare ~ df-dvds ).

       Since 0 is absorbing, ` |- ( A e. ( CCbar u. CChat ) -> ( A ||C 0 ) ) `
       and ` |- ( ( 0 ||C A ) <-> A = 0 ) ` .

       (Contributed by BJ, 28-Jul-2023.) $)
    df-bj-divc $a |- ||C = { <. x , y >. |
         ( <. x , y >. e. ( ( CCbar X. CCbar ) u. ( CChat X. CChat ) ) /\
                              E. n e. ( ZZbar u. ZZhat ) ( n .cc x ) = y ) } $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Monoids
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  See ~ ccmn and subsequents. The first few statements of this subsection can
  be put very early after ~ ccmn .
  Proposal: in the main part, make separate subsections of commutative monoids
  and abelian groups.

  Relabel ~ cabl to "cabl" or, preferably, other labels containing "abl" to
  "abel", for consistency.

$)

  ${
    $d g b p x y z $.
    $( Semigroups are magmas.  (Contributed by BJ, 12-Apr-2024.)
       (Proof modification is discouraged.) $)
    bj-smgrpssmgm $p |- Smgrp C_ Mgm $=
      ( vx vy vp vz vb vg cv co wceq wral cplusg cfv wsbc cbs cmgm csgrp ssrab3
      df-sgrp ) AGZBGZCGZHDGZUAHSTUBUAHUAHIDEGZJBUCJAUCJCFGZKLMEUDNLMFOPABDFCER
      Q $.
  $}

  $( Semigroups are magmas (elemental version).  (Contributed by BJ,
     12-Apr-2024.)  (Proof modification is discouraged.) $)
  bj-smgrpssmgmel $p |- ( G e. Smgrp -> G e. Mgm ) $=
    ( csgrp cmgm bj-smgrpssmgm sseli ) BCADE $.

  ${
    $d g b p e x $.
    $( Monoids are semigroups.  (Contributed by BJ, 11-Apr-2024.)
       (Proof modification is discouraged.) $)
    bj-mndsssmgrp $p |- Mnd C_ Smgrp $=
      ( ve vx vp vb vg cv co wceq wa wral wrex cplusg cfv wsbc cbs csgrp df-mnd
      cmnd ssrab3 ) AFZBFZCFZGUAHUATUBGUAHIBDFZJAUCKCEFZLMNDUDOMNEPRBAECDQS $.
  $}

  $( Monoids are semigroups (elemental version).  (Contributed by BJ,
     11-Apr-2024.)  (Proof modification is discouraged.) $)
  bj-mndsssmgrpel $p |- ( G e. Mnd -> G e. Smgrp ) $=
    ( cmnd csgrp bj-mndsssmgrp sseli ) BCADE $.

  ${
    $d x y z $.
    $( Commutative monoids are monoids.  (Contributed by BJ, 9-Jun-2019.)
       (Proof modification is discouraged.) $)
    bj-cmnssmnd $p |- CMnd C_ Mnd $=
      ( vy vz vx cv cplusg cfv co wceq cbs wral cmnd ccmn df-cmn ssrab3 ) ADZBD
      ZCDZEFZGPORGHBQIFZJASJCKLCABMN $.
  $}

  $( Commutative monoids are monoids (elemental version).  This is a more
     direct proof of ~ cmnmnd , which relies on ~ iscmn .  (Contributed by BJ,
     9-Jun-2019.)  (Proof modification is discouraged.) $)
  bj-cmnssmndel $p |- ( A e. CMnd -> A e. Mnd ) $=
    ( ccmn cmnd bj-cmnssmnd sseli ) BCADE $.

  ${
    $d x y z $.
    $( Groups are monoids.  (Contributed by BJ, 5-Jan-2024.)
       (Proof modification is discouraged.) $)
    bj-grpssmnd $p |- Grp C_ Mnd $=
      ( vz vy vx cv cplusg cfv c0g wceq cbs wrex wral cmnd cgrp df-grp ssrab3
      co ) ADBDCDZEFPQGFHAQIFZJBRKCLMCABNO $.
  $}

  $( Groups are monoids (elemental version).  Shorter proof of ~ grpmnd .
     (Contributed by BJ, 5-Jan-2024.)  (Proof modification is discouraged.) $)
  bj-grpssmndel $p |- ( A e. Grp -> A e. Mnd ) $=
    ( cgrp cmnd bj-grpssmnd sseli ) BCADE $.

  $( Abelian groups are groups.  (Contributed by BJ, 9-Jun-2019.)
     (Proof modification is discouraged.) $)
  bj-ablssgrp $p |- Abel C_ Grp $=
    ( cabl cgrp ccmn cin df-abl inss1 eqsstri ) ABCDBEBCFG $.

  $( Abelian groups are groups (elemental version).  This is a shorter proof of
     ~ ablgrp .  (Contributed by BJ, 9-Jun-2019.)
     (Proof modification is discouraged.) $)
  bj-ablssgrpel $p |- ( A e. Abel -> A e. Grp ) $=
    ( cabl cgrp bj-ablssgrp sseli ) BCADE $.

  $( Abelian groups are commutative monoids.  (Contributed by BJ, 9-Jun-2019.)
     (Proof modification is discouraged.) $)
  bj-ablsscmn $p |- Abel C_ CMnd $=
    ( cabl cgrp ccmn cin df-abl inss2 eqsstri ) ABCDCEBCFG $.

  $( Abelian groups are commutative monoids (elemental version).  This is a
     shorter proof of ~ ablcmn .  (Contributed by BJ, 9-Jun-2019.)
     (Proof modification is discouraged.) $)
  bj-ablsscmnel $p |- ( A e. Abel -> A e. CMnd ) $=
    ( cabl ccmn bj-ablsscmn sseli ) BCADE $.

  $( (The additive groups of) modules are abelian groups.  (The elemental
     version is ~ lmodabl ; see also ~ lmodgrp and ~ lmodcmn .)  (Contributed
     by BJ, 9-Jun-2019.) $)
  bj-modssabl $p |- LMod C_ Abel $=
    ( vx clmod cabl cv lmodabl ssriv ) ABCADEF $.

  $( Vector spaces are modules.  (Contributed by BJ, 9-Jun-2019.)
     (Proof modification is discouraged.) $)
  bj-vecssmod $p |- LVec C_ LMod $=
    ( vx clvec cv csca cfv cdr wcel clmod crab df-lvec ssrab2 eqsstri ) BACDEFG
    ZAHIHAJMAHKL $.

  $( Vector spaces are modules (elemental version).  This is a shorter proof of
     ~ lveclmod .  (Contributed by BJ, 9-Jun-2019.)
     (Proof modification is discouraged.) $)
  bj-vecssmodel $p |- ( A e. LVec -> A e. LMod ) $=
    ( clvec clmod bj-vecssmod sseli ) BCADE $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Finite sums in monoids
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  UPDATE: a similar summation is already defined as ~ df-gsum (although it
  mixes finite and infinite sums, which makes it harder to understand).

$)

  $( Symbol for the class "finite summation in monoids". $)
  $c FinSum $.

  $( Syntax for the class "finite summation in monoids". $)
  cfinsum $a class FinSum $.

  ${
    $d x y z t s f m n $.
    $( Finite summation in commutative monoids.  This finite summation function
       can be extended to pairs ` <. y , z >. ` where ` y ` is a left-unital
       magma and ` z ` is defined on a totally ordered set (choosing
       left-associative composition), or dropping unitality and requiring
       nonempty families, or on any monoids for families of permutable
       elements, etc.  We use the term "summation", even though the definition
       stands for any unital, commutative and associative composition law.
       (Contributed by BJ, 9-Jun-2019.) $)
    df-bj-finsum $a |- FinSum = (
     x e. { <. y , z >. | ( y e. CMnd /\ E. t e. Fin z : t --> ( Base ` y ) ) }
     |->
     ( iota s E. m e. NN0 E. f ( f : ( 1 ... m ) -1-1-onto-> dom ( 2nd ` x ) /\
              s = ( seq 1 ( ( +g ` ( 1st ` x ) ) , ( n e. NN |->
                                 ( ( 2nd ` x ) ` ( f ` n ) ) ) ) ` m ) ) ) ) $.
  $}

  ${
    $d A s t x y z f m n $.  $d B f m n x y z s t $.  $d I f n t x $.
    $d ph f m s x $.
    bj-finsumval0.1 $e |- ( ph -> A e. CMnd ) $.
    bj-finsumval0.2 $e |- ( ph -> I e. Fin ) $.
    bj-finsumval0.3 $e |- ( ph -> B : I --> ( Base ` A ) ) $.
    $( Value of a finite sum.  (Contributed by BJ, 9-Jun-2019.)  (Proof
       shortened by AV, 5-May-2021.) $)
    bj-finsumval0 $p |- ( ph -> ( A FinSum B ) =
     ( iota s E. m e. NN0 E. f ( f : ( 1 ... m ) -1-1-onto-> I /\ s =
       ( seq 1 ( ( +g ` A ) , ( n e. NN |->
                                   ( B ` ( f ` n ) ) ) ) ` ( # ` I ) ) ) ) ) $=
      ( vt cfv c1 cv wceq wa wcel cfn adantr vx vy vz cfinsum co cop wf1o chash
      cfz cplusg cn cmpt cseq wex cn0 wrex cio df-ov c2nd cdm c1st cbs wf copab
      ccmn cvv df-bj-finsum wb wi simpr fveq2d fexd op1stg syl2anc eqtrd op2ndg
      dmeqd fdmd f1oeq3 biimpd ad2antll adantrd eqidd adantrr simprrl mpteq2dva
      simprl fveq1d seqeq123d simprr anim1ci hashfz1 eqcomd ad2antrl hasheqf1oi
      fzfid 19.8a sylc 3eqtrd sylan2 fveq12d eqeq2d impancom com12 jcad biimprd
      wtru simpl tru syl adantlrr impcom syl12anc impbid ex imp exbidv rexbidva
      jctir iotabidv eleq1 feq2 anbi12d ceqsexgv mpbir2and exsimpr df-rex fveq2
      sylibr feq3d rexbidv feq1 anbi2d opelopabg iotaex a1i fvmptd2 syl5eq ) AB
      CUDUEBCUFZUDMNEOZUIUEZGDOZUGZHOZGUHMZBUJMZFUKFOZUUBMZCMZULZNUMZMZPZQZDUNZ
      EUOUPZHUQZBCUDURAUAYSUUAUAOZUSMZUTZUUBUGZUUDYTUURVAMZUJMZFUKUUHUUSMZULZNU
      MZMZPZQZDUNZEUOUPZHUQUUQUBOZVERZLOZUVLVBMZUCOZVCZLSUPZQZUBUCVDZUDVFUAUBUC
      LDEFHVGAUURYSPZQZUVKUUPHUWBUVJUUOEUOUWBYTUORZQUVIUUNDUWBUWCUVIUUNVHZUWBUV
      BBPZUUSCPZUUTGPZUWCUWDVIUWBUVBYSVAMZBUWBUURYSVAAUWAVJZVKUWBBVERZCVFRZUWHB
      PAUWJUWAITZAUWKUWAAGBVBMZSCKJVLZTZBCVEVFVMVNVOUWBUUSYSUSMZCUWBUURYSUSUWIV
      KUWBUWJUWKUWPCPUWLUWOBCVEVFVPVNVOZUWBUUTCUTZGUWBUUSCUWQVQAUWRGPUWAAGUWMCK
      VRTVOUWEUWFUWGQZQZUWCUWDUWTUWCQZUVIUUNUXAUVIUUCUUMUWTUVIUUCVIUWCUWTUVAUUC
      UVHUWGUVAUUCVIUWEUWFUWGUVAUUCUUTGUUAUUBVSZVTWAWBTUVIUXAUUMUVAUXAUVHUUMUVA
      UXAQZUVHUUMUXCUVGUULUUDUXCYTUUEUVFUUKUXCUVCUUFUVEUUJNNUXCNWCUVAUWTUVCUUFP
      UWCUVAUWTQZUVBBUJUVAUWEUWSWGVKWDUVAUWTUVEUUJPUWCUXDFUKUVDUUIUXDUUGUKRZQUU
      HUUSCUXDUWFUXEUVAUWEUWFUWGWETWHWFWDWIUXAUVAUWCUWGQZYTUUEPZUWTUWGUWCUWEUWF
      UWGWJZWKUVAUXFQZYTUUAUHMZUUTUHMZUUEUWCYTUXJPUVAUWGUWCUXJYTYTWLWMWNUXIUUAS
      RUVADUNZUXJUXKPUXINYTWPUVAUXLUXFUVADWQTUUAUUTDSWOWRUXIUUTGUHUVAUWCUWGWJVK
      WSZWTXAXBVTXCXDXEUXAUUNUVAUVHUXAUUCUVAUUMUWTUUCUVAVIZUWCUWGUXNUWEUWFUWGUV
      AUUCUXBXFWATZWBUUNUXAUVHUUCUXAUUMUVHUUCUXAQZUUMUVHUXPUULUVGUUDUXPUUEYTUUK
      UVFUXPUUFUVCUUJUVENNUXPNWCUXPBUVBUJUXPUWEXGQZBUVBPUWTUXQUUCUWCUWTUWEXGUWE
      UWSXHXIXSWNUXQUVBBUWEXGXHWMXJVKUXPFUKUUIUVDUUCUWTUXEUUIUVDPUWCUUCUWTQZUXE
      QUUHCUUSUXRCUUSPZUXEUWSUXSUUCUWEUWSUUSCUWFUWGXHWMWATWHXKWFWIUXPYTUUEUXPUV
      AUWCUWGUXGUXAUUCUVAUXOXLUUCUWTUWCWJUWTUWGUUCUWCUXHWNUXMXMWMXAXBVTXCXDXEXN
      XOXMXPXQXRXTAYSUVTRZUWJUVNUWMCVCZLSUPZIAUVNSRZUYAQZLUNZUYBAUVNGPZUYDQLUNZ
      UYEAUYGGSRZGUWMCVCZJKAUYHUYGUYHUYIQZVHJUYDUYJLGSUYFUYCUYHUYAUYIUVNGSYAUVN
      GUWMCYBYCYDXJYEUYFUYDLYFXJUYALSYGYIAUWJUWKUXTUWJUYBQZVHIUWNUVSUWJUVNUWMUV
      PVCZLSUPZQUYKUBUCBCVEVFUVLBPZUVMUWJUVRUYMUVLBVEYAUYNUVQUYLLSUYNUVOUWMUVPU
      VNUVLBVBYHYJYKYCUVPCPZUYMUYBUWJUYOUYLUYALSUVNUWMUVPCYLYKYMYNVNYEUUQVFRAUU
      PHYOYPYQYR $.

$(
  @( Value of a finite sum.  (Contributed by BJ, 9-Jun-2019.) @)
  bj-finsumval1 $p |- ( ph ->
   ( A FinSum B ) = ( iota s E. f ( f : ( 1 ... ( # ` I ) ) -1-1-onto-> I /\
   s = ( seq 1 ( ( +g ` A ) , ( n e. NN |->
                                   ( B ` ( f ` n ) ) ) ) ` ( # ` I ) ) ) ) ) $=
    (  ) ? $.
$)
  $}

$(
  @( Value of a finite sum.  (Contributed by BJ, 9-Jun-2019.) @)
  bj-finsumval2 $p |- ( A e. CMnd ->
    ( ( m e. NN0 /\ B : ( 1 ... m ) --> ( Base ` A ) ) -> ( A FinSum B ) =
                ( seq 1 ( ( +g ` A ) , ( n e. NN |-> ( B ` n ) ) ) ` m ) ) ) $=
    (  ) ? $.

  @( The sum of the empty set is the unit.  (Contributed by BJ, 9-Jun-2019.) @)
  bj-finsum0 $p |- ( A e. CMnd -> ( A FinSum (/) ) = ( 0g ` A ) ) $=
    (  ) ? $.

  @( The sum of a singleton is the element of that singleton.  (Contributed by
     BJ, 9-Jun-2019.) @)
  bj-finsum1 $p |- ( A e. CMnd -> ( B e. V ->
               ( x e. ( Base ` A ) -> ( A FinSum { <. B , x >. } ) = x ) ) ) $=
    (  ) ? $.
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Affine, Euclidean, and Cartesian geometry
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  A few basic theorems to start affine, Euclidean, and Cartesian geometry.

  The first step is to define real vector spaces, then barycentric coordinates
  and convex hulls.

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Real vector spaces
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  In this section, we introduce real vector spaces.

$)

  $( Variant of ~ fvimacnv where membership of ` A ` in the domain is not
     needed provided the containing class ` B ` does not contain the empty set.
     Note that this antecedent would not be needed with Definition ~ df-afv .
     (Contributed by BJ, 7-Jan-2024.) $)
  bj-fvimacnv0 $p |- ( ( Fun F /\ -. (/) e. B ) ->
                                  ( ( F ` A ) e. B <-> A e. ( `' F " B ) ) ) $=
    ( wfun c0 wcel wn wa cfv ccnv cima cdm wceq eleq1 biimpcd con3rr3 imp ndmfv
    wi ex nsyl2 simpr fvimacnv biimpd com3l sylc com3r fvimacnvi adantr impbid
    ) CDZEBFZGZHACIZBFZACJBKFZUKUMUOUPSZUMUOUKUPUMUOUKUPSZUMUOHZACLFZUOURUSUNEM
    ZUTUMUOVAGUOVAULVAUOULUNEBNOPQACRUAUMUOUBUKUTUOUPUKUTUQUKUTHUOUPABCUCUDTUEU
    FTUGQUKUPUOSUMUKUPUOABCUHTUIUJ $.

  ${
    bj-isvec.scal $e |- ( ph -> K = ( Scalar ` V ) ) $.
    $( The predicate "is a vector space".  (Contributed by BJ, 6-Jan-2024.) $)
    bj-isvec $p |- ( ph -> ( V e. LVec <-> ( V e. LMod /\ K e. DivRing ) ) ) $=
      ( clvec wcel clmod csca cfv cdr eqid islvec eqcomd eleq1d anbi2d syl5bb
      wa ) CEFCGFZCHIZJFZQARBJFZQSCSKLATUARASBJABSDMNOP $.
  $}

  $( Fields are division rings.  (Contributed by BJ, 6-Jan-2024.) $)
  bj-fldssdrng $p |- Field C_ DivRing $=
    ( cfield cdr ccrg cin df-field inss1 eqsstri ) ABCDBEBCFG $.

  $( Fields are division rings (elemental version).  (Contributed by BJ,
     9-Nov-2024.) $)
  bj-flddrng $p |- ( F e. Field -> F e. DivRing ) $=
    ( cfield cdr bj-fldssdrng sseli ) BCADE $.

  $( The field of real numbers is a division ring.  (Contributed by BJ,
     6-Jan-2024.) $)
  bj-rrdrg $p |- RRfld e. DivRing $=
    ( cfield cdr crefld bj-fldssdrng refld sselii ) ABCDEF $.

  ${
    bj-isclm.scal $e |- ( ph -> F = ( Scalar ` W ) ) $.
    bj-isclm.base $e |- ( ph -> K = ( Base ` F ) ) $.
    $( The predicate "is a subcomplex module".  (Contributed by BJ,
       6-Jan-2024.) $)
    bj-isclm $p |- ( ph -> ( W e. CMod <->
        ( W e. LMod /\ F = ( CCfld |`s K ) /\ K e. ( SubRing ` CCfld ) ) ) ) $=
      ( cclm wcel clmod csca cfv ccnfld cbs cress wceq csubrg w3a eqid eqcomd
      co isclm fveq2 wa eqtr syl2im mpd oveq2d eqeq12d eleq1d 3anbi23d syl5bb
      ex ) DGHDIHZDJKZLUNMKZNTZOZUOLPKZHZQAUMBLCNTZOZCURHZQUNUODUNRUORUAAUQVAUS
      VBUMAUNBUPUTABUNESAUOCLNABUNOZUOCOZEACBMKZOZVCVEUOOZVDFBUNMUBVFVGVDVFVGUC
      CUOCVEUOUDSULUEUFZUGUHAUOCURVHUIUJUK $.
  $}

  $( Symbol for the class of real vector spaces. $)
  $c RRVec $.

  $( Syntax for the class of real vector spaces. $)
  crrvec $a class RRVec $.

  $( Definition of the class of real vector spaces.  The previous definition,
     ` |- RRVec = { x e. LMod | ( Scalar `` x ) = RRfld } ` , can be recovered
     using ~ bj-isrvec .  The present one is preferred since it does not use
     any dummy variable.  That ` RRVec ` could be defined with ` LVec ` in
     place of ` LMod ` is a consequence of ~ bj-isrvec2 .  (Contributed by BJ,
     9-Jun-2019.) $)
  df-bj-rvec $a |- RRVec = ( LMod i^i ( `' Scalar " { RRfld } ) ) $.

  $( The predicate "is a real vector space".  Using ~ df-sca instead of ~ scaid
     would shorten the proof by two syntactic steps, but it is preferable not
     to rely on the precise definition ~ df-sca .  (Contributed by BJ,
     6-Jan-2024.) $)
  bj-isrvec $p |- ( V e. RRVec <-> ( V e. LMod /\ ( Scalar ` V ) = RRfld ) ) $=
    ( crrvec wcel clmod csca ccnv crefld csn cima wa wceq df-bj-rvec elin2 wfun
    cfv cdm wb cvv wfn cnx scaid slotfn df-fn mpbi elex eleq2 syl5ibrcom anim2d
    mpi fvimacnv syl fvex elsn bitr3di pm5.32i bitri ) ABCADCZAEFGHZIZCZJUQAEOZ
    GKZJADUSBLMUQUTVBUQVAURCZUTVBUQENZAEPZCZJZVCUTQUQVDVERKZJZVGERSVIETEOUAUBER
    UCUDUQVHVFVDUQVFVHARCADUEVERAUFUGUHUIAUREUJUKVAGAEULUMUNUOUP $.

  $( Real vector spaces are modules (elemental version).  (Contributed by BJ,
     6-Jan-2024.) $)
  bj-rvecmod $p |- ( V e. RRVec -> V e. LMod ) $=
    ( crrvec wcel clmod csca cfv crefld wceq bj-isrvec simplbi ) ABCADCAEFGHAIJ
    $.

  $( Real vector spaces are modules.  (Contributed by BJ, 6-Jan-2024.) $)
  bj-rvecssmod $p |- RRVec C_ LMod $=
    ( vx crrvec clmod cv bj-rvecmod ssriv ) ABCADEF $.

  $( The field of scalars of a real vector space is the field of real numbers.
     (Contributed by BJ, 6-Jan-2024.) $)
  bj-rvecrr $p |- ( V e. RRVec -> ( Scalar ` V ) = RRfld ) $=
    ( crrvec wcel clmod csca cfv crefld wceq bj-isrvec simprbi ) ABCADCAEFGHAIJ
    $.

  ${
    bj-isrvecd.scal $e |- ( ph -> ( Scalar ` V ) = K ) $.
    $( The predicate "is a real vector space".  (Contributed by BJ,
       6-Jan-2024.) $)
    bj-isrvecd $p |- ( ph -> ( V e. RRVec <-> ( V e. LMod /\ K = RRfld ) ) ) $=
      ( crrvec wcel clmod csca cfv crefld wceq bj-isrvec eqeq1d anbi2d syl5bb
      wa ) CEFCGFZCHIZJKZPAQBJKZPCLASTQARBJDMNO $.
  $}

  $( Real vector spaces are vector spaces (elemental version).  (Contributed by
     BJ, 6-Jan-2024.) $)
  bj-rvecvec $p |- ( V e. RRVec -> V e. LVec ) $=
    ( crrvec wcel clvec clmod crefld cdr bj-rvecmod bj-rrdrg a1i csca bj-rvecrr
    cfv eqcomd bj-isvec mpbir2and ) ABCZADCAECFGCZAHRQIJQFAQAKMFALNOP $.

  ${
    bj-isrvec2.scal $e |- ( ph -> ( Scalar ` V ) = K ) $.
    $( The predicate "is a real vector space".  (Contributed by BJ,
       6-Jan-2024.) $)
    bj-isrvec2 $p |- ( ph -> ( V e. RRVec <-> ( V e. LVec /\ K = RRfld ) ) ) $=
      ( crrvec wcel clvec crefld wceq wa wi bj-rvecvec a1i cfv bj-rvecrr eqeq1d
      csca syl5ib jcad clmod bj-vecssmodel anim1i bj-isrvecd syl5ibr impbid ) A
      CEFZCGFZBHIZJZAUFUGUHUFUGKACLMUFCQNZHIAUHCOAUJBHDPRSUIUFACTFZUHJUGUKUHCUA
      UBABCDUCUDUE $.
  $}

  $( Real vector spaces are vector spaces.  (Contributed by BJ, 6-Jan-2024.) $)
  bj-rvecssvec $p |- RRVec C_ LVec $=
    ( vx crrvec clvec cv bj-rvecvec ssriv ) ABCADEF $.

  $( Real vector spaces are subcomplex modules (elemental version).
     (Contributed by BJ, 6-Jan-2024.) $)
  bj-rveccmod $p |- ( V e. RRVec -> V e. CMod ) $=
    ( crrvec wcel cclm clmod crefld ccnfld cr cress co wceq csubrg cfv df-refld
    bj-rvecmod a1i cdr resubdrg simpli csca bj-rvecrr eqcomd bj-isclm mpbir3and
    cbs rebase ) ABCZADCAECFGHIJKZHGLMCZAOUHUGNPUIUGUIFQCRSPUGFHAUGATMFAUAUBHFU
    EMKUGUFPUCUD $.

  $( Real vector spaces are subcomplex modules.  (Contributed by BJ,
     6-Jan-2024.) $)
  bj-rvecsscmod $p |- RRVec C_ CMod $=
    ( vx crrvec cclm cv bj-rveccmod ssriv ) ABCADEF $.

  $( Real vector spaces are subcomplex vector spaces.  (Contributed by BJ,
     6-Jan-2024.) $)
  bj-rvecsscvec $p |- RRVec C_ CVec $=
    ( crrvec cclm clvec ccvs bj-rvecsscmod bj-rvecssvec ssini df-cvs sseqtrri
    cin ) ABCJDABCEFGHI $.

  $( Real vector spaces are subcomplex vector spaces (elemental version).
     (Contributed by BJ, 6-Jan-2024.) $)
  bj-rveccvec $p |- ( V e. RRVec -> V e. CVec ) $=
    ( crrvec ccvs bj-rvecsscvec sseli ) BCADE $.

  $( (The additive groups of) real vector spaces are commutative groups.
     (Contributed by BJ, 9-Jun-2019.) $)
  bj-rvecssabl $p |- RRVec C_ Abel $=
    ( crrvec clmod cabl bj-rvecssmod bj-modssabl sstri ) ABCDEF $.

  $( (The additive groups of) real vector spaces are commutative groups
     (elemental version).  (Contributed by BJ, 9-Jun-2019.) $)
  bj-rvecabl $p |- ( A e. RRVec -> A e. Abel ) $=
    ( crrvec cabl bj-rvecssabl sseli ) BCADE $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Complex numbers (supplements)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Some lemmas to ease algebraic manipulations.

$)

  ${
    bj-subcom.a $e |- ( ph -> A e. CC ) $.
    bj-subcom.b $e |- ( ph -> B e. CC ) $.
    $( A consequence of commutativity of multiplication.  (Contributed by BJ,
       6-Jun-2019.) $)
    bj-subcom $p |- ( ph -> ( ( A x. B ) - ( B x. A ) ) = 0 ) $=
      ( cmul co mulcld mulcomd subeq0bd ) ABCFGCBFGABCDEHABCDEIJ $.
  $}

  ${
    bj-lineqi.a $e |- ( ph -> A e. CC ) $.
    bj-lineqi.b $e |- ( ph -> B e. CC ) $.
    bj-lineqi.x $e |- ( ph -> X e. CC ) $.
    bj-lineqi.y $e |- ( ph -> Y e. CC ) $.
    bj-lineqi.n0 $e |- ( ph -> A =/= 0 ) $.
    bj-lineqi.1 $e |- ( ph -> ( ( A x. X ) + B ) = Y ) $.
    $( Solution of a (scalar) linear equation.  (Contributed by BJ,
       6-Jun-2019.) $)
    bj-lineqi $p |- ( ph -> X = ( ( Y - B ) / A ) ) $=
      ( cmul co caddc wceq cmin cdiv lineq mpbid ) ABDLMCNMEODECPMBQMOKABCDEFGH
      IJRS $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Barycentric coordinates
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Lemmas about barycentric coordinates.  For the moment, this is limited to the
  one-dimensional case (complex line), where existence and uniqueness of
  barycentric coordinates are proved by ~ bj-bary1 (which computes them).  It
  would be nice to prove the two-dimensional case (is it easier to use ad hoc
  computations, or Cramer formulas?), in order to do some planar geometry.

$)

  ${
    bj-bary1.a $e |- ( ph -> A e. CC ) $.
    bj-bary1.b $e |- ( ph -> B e. CC ) $.
    bj-bary1.x $e |- ( ph -> X e. CC ) $.
    bj-bary1.neq $e |- ( ph -> A =/= B ) $.
    $( Lemma for ~ bj-bary1 : expression for a barycenter of two points in one
       dimension (complex line).  (Contributed by BJ, 6-Jun-2019.) $)
    bj-bary1lem $p |- ( ph -> X = ( ( ( ( B - X ) / ( B - A ) ) x. A ) +
                                      ( ( ( X - A ) / ( B - A ) ) x. B ) ) ) $=
      ( cmin co cmul cdiv caddc cc0 mulcld subcld oveq1d eqtrd subdird oveq12d
      addsub12d sub32d bj-subcom oveq2d 0cnd addsubassd addid1d subdid 3eqtr4rd
      3eqtr2d necomd subne0d divdird divcan4d div23d 3eqtr3d ) ADCBIJZKJZUQLJZC
      DIJZBKJZUQLJZDBIJZCKJZUQLJZMJZDUTUQLJBKJZVCUQLJCKJZMJAUSVAVDMJZUQLJVFAURV
      IUQLACBKJZDBKJZIJZDCKJZBCKJZIJZMJZVMVKIJZVIURAVPVMNVKIJZMJZVMNMJZVKIJVQAV
      PVMVLVNIJZMJVSAVLVMVNAVJVKACBFEOZADBGEOZPADCGFOZABCEFOZUAAWAVRVMMAWAVJVNI
      JZVKIJVRAVJVKVNWBWCWEUBAWFNVKIACBFEUCQRUDRAVMNVKWDAUEWCUFAVTVMVKIAVMWDUGQ
      UJAVAVLVDVOMACDBFGESADBCGEFSTADCBGFEUHUIQAVAVDUQAUTBACDFGPZEOAVCCADBGEPZF
      OACBFEPZACBFEABCHUKULZUMRADUQGWIWJUNAVBVGVEVHMAUTBUQWGEWIWJUOAVCCUQWHFWIW
      JUOTUP $.

    bj-bary1.s $e |- ( ph -> S e. CC ) $.
    bj-bary1.t $e |- ( ph -> T e. CC ) $.
    $( Lemma for bj-bary1: computation of one of the two barycentric
       coordinates of a barycenter of two points in one dimension (complex
       line).  (Contributed by BJ, 6-Jun-2019.) $)
    bj-bary1lem1 $p |- ( ph ->
                ( ( X = ( ( S x. A ) + ( T x. B ) ) /\ ( S + T ) = 1 ) ->
                                           T = ( ( X - A ) / ( B - A ) ) ) ) $=
      ( cmul co caddc wceq c1 wa cmin oveq1 cdiv wi pncand pm5.31 sylancl eqtr2
      eqcomd syl6 oveq1d eqtr sylan2 subdird mulid2d eqtrd sylan9eqr ex sylan2d
      mulcld subadd23d subdid oveq2d eqeq2d sylibd subcld pncan2d eqcom mulcomd
      1cnd syl5ib eqeq1d necomd subne0d rdiv biimpd sylbid syl5bi 3syld ) AFDBM
      NZECMNZONZPZDEONZQPZRZFBECBSNZMNZONZPZFBSNZWFPZEWIWEUANPZAWDFBEBMNZSNZVSO
      NZPZWHAWCDQESNZPZWAWOAWCWBESNZWPPZWRDPZRZWQAWTWCWSUBWCXAUBADEKLUCWBQESTWC
      WSWTUDUEXAWPDWRWPDUFUGUHAWAWQRZWOXBAFWPBMNZVSONZWNWQWAVTXDPFXDPWQVRXCVSOD
      WPBMTUIFVTXDUJUKAXCWMVSOAXCQBMNZWLSNWMAQEBAVHLGULAXEBWLSABGUMUIUNUIUOUPUQ
      AWNWGFAWNBVSWLSNZONWGABWLVSGAEBLGURAECLHURUSAXFWFBOAWFXFAECBLHGUTUGVAUNVB
      VCWHWIWGBSNZPAWJFWGBSTAXGWFWIABWFGAEWELACBHGVDZURVEVBVIWJWFWIPZAWKWIWFVFA
      XIWEEMNZWIPZWKAWFXJWIAEWELXHVGVJAXKWKAWEEWIXHLAFBIGVDACBHGABCJVKVLVMVNVOV
      PVQ $.

    $( Barycentric coordinates in one dimension (complex line).  In the
       statement, ` X ` is the barycenter of the two points ` A , B ` with
       respective normalized coefficients ` S , T ` .  (Contributed by BJ,
       6-Jun-2019.) $)
    bj-bary1 $p |- ( ph ->
            ( ( X = ( ( S x. A ) + ( T x. B ) ) /\ ( S + T ) = 1 ) <->
      ( S = ( ( B - X ) / ( B - A ) ) /\ T = ( ( X - A ) / ( B - A ) ) ) ) ) $=
      ( cmul co caddc wceq c1 cmin cdiv eqeq2d wa mulcld addcomd biimpd syl2and
      eqeq1d necomd bj-bary1lem1 div2subd sylibd bj-bary1lem wi oveq1 oveqan12d
      jcad a1i eqtr3 syl6an oveq12 subcld subne0d divdird npncand eqtr3d syl5ib
      diveq1bd impbid ) AFDBMNZECMNZONZPZDEONZQPZUAZDCFRNZCBRNZSNZPZEFBRNZVPSNZ
      PZUAZAVNVRWAAVNDFCRNBCRNSNZPZVRAVKFVIVHONZPZVMEDONZQPZWDAVKWFAVJWEFAVHVIA
      DBKGUBAECLHUBUCTUDAVMWHAVLWGQADEKLUCUFUDACBEDFHGIABCJUGZLKUHUEAWCVQDAFCBC
      IHGHJUITUJABCDEFGHIJKLUHUOAWBVKVMAFVQBMNZVTCMNZONZPWBVJWLPZVKABCFGHIJUKWB
      WMULAVRWAVHWJVIWKODVQBMUMEVTCMUMUNUPFVJWLUQURWBVLVQVTONZPAVMDVQEVTOUSAWNQ
      VLAVOVSONZVPSNWNQAVOVSVPACFHIUTAFBIGUTACBHGUTZACBHGWIVAZVBAWOVPWPWQACFBHI
      GVCVFVDTVEUOVG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Monoid of endomorphisms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c End $.
  $( Token for the monoid of endomorphisms. $)
  cend $a class End $. $( Syntax for the monoid of endomorphisms. $)

  ${
    $d c x $.
    $( The monoid of endomorphisms on an object of a category.  (Contributed by
       BJ, 4-Apr-2024.) $)
    df-bj-end $a |- End = ( c e. Cat |-> ( x e. ( Base ` c ) |->
                 { <. ( Base ` ndx ) , ( x ( Hom ` c ) x ) >. ,
                   <. ( +g ` ndx ) , ( <. x , x >. ( comp ` c ) x ) >. } ) ) $.
  $}

  ${
    $d C c x $.  $d X c x $.  $d ph c x $.
    bj-endval.c $e |- ( ph -> C e. Cat ) $.
    bj-endval.x $e |- ( ph -> X e. ( Base ` C ) ) $.
    $( Value of the monoid of endomorphisms on an object of a category.
       (Contributed by BJ, 5-Apr-2024.)
       (Proof modification is discouraged.) $)
    bj-endval $p |- ( ph -> ( ( End ` C ) ` X ) =
                   { <. ( Base ` ndx ) , ( X ( Hom ` C ) X ) >. ,
                     <. ( +g ` ndx ) , ( <. X , X >. ( comp ` C ) X ) >. } ) $=
      ( vx vc cnx cbs cfv cv chom co cop cco cpr cvv wceq fveq2 opeq2d cend a1i
      cplusg cmpt ccat df-bj-end preq12d mpteq12dv wcel fvex fvmptd3 id oveq12d
      oveqd mptex opeq12d adantl prex fvmptd ) AFCHIJZFKZVABLJZMZNZHUCJZVAVANZV
      ABOJZMZNZPZUTCCVBMZNZVECCNZCVGMZNZPZBIJZBUAJQAGBFGKZIJZUTVAVAVRLJZMZNZVEV
      FVAVROJZMZNZPZUDFVQVJUDZUEUAQFGUFVRBRZFVSWFVQVJVRBISWHWBVDWEVIWHWAVCUTWHV
      TVBVAVAVRBLSUNTWHWDVHVEWHWCVGVFVAVRBOSUNTUGUHDWGQUIAFVQVJBIUJUOUBUKVACRZV
      JVPRAWIVDVLVIVOWIVCVKUTWIVACVACVBWIULZWJUMTWIVHVNVEWIVFVMVACVGWIVACVACWJW
      JUPWJUMTUGUQEVPQUIAVLVOURUBUS $.

    $( Base set of the monoid of endomorphisms on an object of a category.
       (Contributed by BJ, 5-Apr-2024.)
       (Proof modification is discouraged.) $)
    bj-endbase $p |- ( ph ->
                      ( Base ` ( ( End ` C ) ` X ) ) = ( X ( Hom ` C ) X ) ) $=
      ( cend cfv cbs cnx chom co cop cplusg cco cpr cvv fvexd strfvnd bj-endval
      baseid fveq1d wne wceq basendxnplusgndx fvex ovex fvpr1 mp1i 3eqtrd ) ACB
      FGZGZHGIHGZUKGULULCCBJGZKZLIMGZCCLCBNGKZLOZGZUNAUKHULPTACUJQRAULUKUQABCDE
      SUAULUOUBURUNUCAUDULUOUNUPIHUECCUMUFUGUHUI $.

    $( Composition law of the monoid of endomorphisms on an object of a
       category.  (Contributed by BJ, 5-Apr-2024.)
       (Proof modification is discouraged.) $)
    bj-endcomp $p |- ( ph ->
             ( +g ` ( ( End ` C ) ` X ) ) = ( <. X , X >. ( comp ` C ) X ) ) $=
      ( cend cfv cplusg cnx cbs chom co cop cco cpr cvv plusgid fvexd bj-endval
      strfvnd fveq1d wne wceq basendxnplusgndx fvex ovex fvpr2 mp1i 3eqtrd ) AC
      BFGZGZHGIHGZUKGULIJGZCCBKGLZMULCCMZCBNGZLZMOZGZUQAUKHULPQACUJRTAULUKURABC
      DESUAUMULUBUSUQUCAUDUMULUNUQIHUEUOCUPUFUGUHUI $.

    $d C x y z $.  $d X x y z $.  $d ph x y z $.
    $( The monoid of endomorphisms on an object of a category is a monoid.
       (Contributed by BJ, 5-Apr-2024.)
       (Proof modification is discouraged.) $)
    bj-endmnd $p |- ( ph -> ( ( End ` C ) ` X ) e. Mnd ) $=
      ( vx vy vz cfv co cbs eqcomd cv wcel w3a eqid 3ad2ant1 simp3 adantr syl
      chom cop cco cend ccid bj-endbase cplusg bj-endcomp ccat simp2 catcocl wa
      simpr simp1 catass catidcl catlid catrid ismndd ) AFGHCCBUAIZJZCCUBCBUCIZ
      JZCBUDIIZCBUEIZIAVDKIVAABCDEUFLAVDUGIVCABCDEUHLAFMZVANZGMZVANZOBKIZBVBVHV
      FUTCCCVJPZUTPZVBPZAVGBUINZVIDQAVGCVJNZVIEQZVPVPAVGVIRAVGVIUJUKAVGVIHMZVAN
      ZOZULZVJBVBVQVHUTVFCCCCVKVLVMAVNVSDSAVOVSESZWAWAVTVSVRAVSUMZVGVIVRRTVTVSV
      IWBVGVIVRUJTWAVTVSVGWBVGVIVRUNTUOAVJBVEUTCVKVLVEPZDEUPAVGULZVJBVBVEVFUTCC
      VKVLWCAVNVGDSZAVOVGESZVMWFAVGUMZUQWDVJBVBVEVFUTCCVKVLWCWEWFVMWFWGURUS $.
  $}

$( (End of BJ's mathbox.) $)
$( End $[ set-mbox-bj.mm $] $)


$( Begin $[ set-mbox-jk.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Jim Kingdon
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Circle constant
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Lemma for tau-related theorems.  (Contributed by Jim Kingdon,
     16-Feb-2019.) $)
  taupilem3 $p |- ( A e. ( RR+ i^i ( `' cos " { 1 } ) ) <->
                 ( A e. RR+ /\ ( cos ` A ) = 1 ) ) $=
    ( crp ccos ccnv c1 csn cima cin wcel wa cfv wceq elin cc wf wfn wb cosf ffn
    fniniseg mp2b rpcn biantrurd bitr4id pm5.32i bitri ) ABCDEFGZHIABIZAUGIZJUH
    ACKELZJABUGMUHUIUJUHUIANIZUJJZUJNNCOCNPUIULQRNNCSNEACTUAUHUKUJAUBUCUDUEUF
    $.

  ${
    $d x y $.  $d A x $.
    $( A set of positive reals has (in the reals) a lower bound.  (Contributed
       by Jim Kingdon, 19-Feb-2019.) $)
    taupilemrplb $p |- E. x e. RR A. y e. ( RR+ i^i A ) x <_ y $=
      ( cc0 cr wcel cle wbr crp cin wral wrex 0re inss1 sseli rpge0d rgen breq1
      cv wceq ralbidv rspcev mp2an ) DEFDBSZGHZBICJZKZASZUDGHZBUFKZAELMUEBUFUDU
      FFUDUFIUDICNOPQUJUGADEUHDTUIUEBUFUHDUDGRUAUBUC $.
  $}

  $( Lemma for ~ taupi .  A positive real whose cosine is one is at least
     ` 2 x. _pi ` .  (Contributed by Jim Kingdon, 19-Feb-2019.) $)
  taupilem1 $p |- ( ( A e. RR+ /\ ( cos ` A ) = 1 ) ->
      ( 2 x. _pi ) <_ A ) $=
    ( crp wcel ccos c1 wa c2 cpi co cle wbr cdiv cr ax-mp cc0 clt adantr wb syl
    rpre cfv wceq cmul 2rp pirp rpmulcl mp2an recni rpgt0 dividi rpdivcl rpgt0d
    gt0ne0ii mpan2 cz cc rpcn coseq1 biimpa zgt0ge1 mpbid pm3.2i lediv1 mp3an13
    eqbrtrid mpbird ) ABCZADUAEUBZFZGHUCIZAJKZVJVJLIZAVJLIZJKZVIVLEVMJVJVJVJBCZ
    VJMCZGBCHBCVOUDUEGHUFUGZVJTNZUHVJVRVOOVJPKZVQVJUINZUMUJVIOVMPKZEVMJKZVGWAVH
    VGVOWAVQVGVOFVMAVJUKULUNQVIVMUOCZWAWBRVGVHWCVGAUPCVHWCRAUQAURSUSVMUTSVAVEVI
    AMCZVKVNRZVGWDVHATQVPWDVPVSFWEVRVPVSVRVTVBVJAVJVCVDSVF $.

  ${
    $d x y $.
    $( Lemma for ~ taupi .  The smallest positive real whose cosine is one is
       at most ` 2 x. _pi ` .  (Contributed by Jim Kingdon, 19-Feb-2019.)
       (Revised by AV, 1-Oct-2020.) $)
    taupilem2 $p |- _tau <_ ( 2 x. _pi ) $=
      ( vx vy ctau crp ccos ccnv c1 csn cima cin cr clt cinf c2 cpi cmul cle cv
      wbr wcel co df-tau wss wral wrex inss1 rpssre sstri taupilemrplb cfv wceq
      2rp pirp rpmulcl mp2an cos2pi taupilem3 mpbir2an infrelb mp3an eqbrtri )
      CDEFGHIZJZKLMZNOPUAZQUBVCKUCARBRQSBVCUDAKUEVEVCTZVDVEQSVCDKDVBUFUGUHABVBU
      IVFVEDTZVEEUJGUKNDTODTVGULUMNOUNUOUPVEUQURABVEVCUSUTVA $.
  $}

  ${
    $d x y $.
    $( Relationship between ` _tau ` and ` _pi ` .  This can be seen as
       connecting the ratio of a circle's circumference to its radius and the
       ratio of a circle's circumference to its diameter.  (Contributed by Jim
       Kingdon, 19-Feb-2019.)  (Revised by AV, 1-Oct-2020.) $)
    taupi $p |- _tau = ( 2 x. _pi ) $=
      ( vx vy ctau c2 cpi wceq cle wbr crp ccos c1 cr wral wcel mp2an taupilem3
      cv cfv mpbir2an df-tau cmul co taupilem2 ccnv csn cima cin clt wss c0 wne
      cinf wrex w3a wb inss1 rpssre sstri 2rp rpmulcl cos2pi ne0ii taupilemrplb
      pirp 3pm3.2i 2re pire remulcli infregelb taupilem1 sylbi mprgbir breqtrri
      wa infrecl ax-mp eqeltri letri3i ) CDEUAUBZFCVSGHVSCGHUCVSIJUDKUEUFZUGZLU
      HULZCGVSWBGHZVSAQZGHZAWAWALUIZWAUJUKZWDBQGHBWAMALUMZUNZVSLNWCWEAWAMUOWFWG
      WHWAILIVTUPUQURVSWAVSWANVSINZVSJRKFDINEINWJUSVDDEUTOVAVSPSVBABVTVCVEZDEVF
      VGVHZABAWAVSVIOWDWANWDINWDJRKFVNWEWDPWDVJVKVLTVMCVSCWBLTWIWBLNWKABWAVOVPV
      QWLVRS $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Number theory
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d M d z $.  $d N d z $.
    $( Alternate definition of the ` gcd ` operator.  (Contributed by Jim
       Kingdon, 31-Dec-2021.) $)
    dfgcd3 $p |- ( ( M e. ZZ /\ N e. ZZ )
        -> ( M gcd N ) = ( iota_ d e. NN0 A. z e. ZZ
        ( z || d <-> ( z || M /\ z || N ) ) ) ) $=
      ( cz wcel wa cv cdvds wbr wb wral cn0 wceq wi syl simpr breq1 w3a adantr
      crio cgcd co gcdcl simplr nn0zd iddvds anbi12d bibi12d rspcv mpbid biimpr
      ralimi cc0 cle dfgcd2 nn0ge0d 3biant1d bitr4d mpbir2and ex dvdsgcdb 3coml
      sylc bicomd ad4ant124 breq2 bibi1d mpbird ralrimiva impbid riota5 eqcomd
      ad2antlr ) BEFZCEFZGZAHZDHZIJZVRBIJZVRCIJZGZKZAELZDMUABCUBUCZVQWEDMWFBCUD
      VQVSMFZGZWEVSWFNZWHWEWIWHWEGZWIVSBIJZVSCIJZGZWCVTOZAELZWJVSVSIJZWMWJVSEFZ
      WPWJVSVQWGWEUEUFZVSUGPWJWQWEWPWMKZWRWHWEQZWDWSAVSEVRVSNZVTWPWCWMVRVSVSIRX
      AWAWKWBWLVRVSBIRVRVSCIRUHUIUJVDUKWJWEWOWTWDWNAEVTWCULUMPWHWIWMWOGZKWEWHWI
      UNVSUOJZWMWOSZXBVQWIXDKWGVSABCUPTWHWOWMXCWHVSVQWGQUQURUSTUTVAVQWIWEOWGVQW
      IWEVQWIGZWDAEXEVREFZGWDVRWFIJZWCKZVOVPXFXHWIXFVOVPXHXFVOVPSWCXGVRBCVBVEVC
      VFWIWDXHKVQXFWIVTXGWCVSWFVRIVGVHVNVIVJVATVKVLVM $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Real numbers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    irrdifflemf.a $e |- ( ph -> A e. RR ) $.
    irrdifflemf.irr $e |- ( ph -> -. A e. QQ ) $.
    irrdifflemf.q $e |- ( ph -> Q e. QQ ) $.
    irrdifflemf.r $e |- ( ph -> R e. QQ ) $.
    irrdifflemf.qr $e |- ( ph -> Q =/= R ) $.
    $( Lemma for ~ irrdiff .  The forward direction.  (Contributed by Jim
       Kingdon, 20-May-2024.) $)
    irrdifflemf $p |- ( ph -> ( abs ` ( A - Q ) ) =/= ( abs ` ( A - R ) ) ) $=
      ( co wceq wfal wa simpr cc wcel adantr cq syl2anc c2 cmin cabs cfv wi wne
      cneg simplll simpllr simplr 3eqtr3d recnd cr qre subcand pm2.21ddne caddc
      syl cdiv 2cnd cc0 2ne0 a1i cmul negsubdi2d eqtrd addsubeq4d mpbird eqtr4d
      2timesd mvllmuld qaddcl cz 2z zq mp1i qdivcl syl3anc eqeltrd wn pm2.21fal
      wo resubcld absord ad2antrr mpjaodan 3eqtr3rd wb ad3antrrr negcon2 neg11d
      mpbid ex df-ne dfnot bitri sylibr ) ABCUAJZUBUCZBDUAJZUBUCZKZLUDZWRWTUEZA
      XALAXAMZWRWQKZLWRWQUFZKZXDXEMZWTWSKZLWTWSUFZKZXHXIMZAWQWSKZLAXAXEXIUGXLWR
      WTWQWSAXAXEXIUHXDXEXIUIXHXINUJAXMMZLCDXNBCDABOPZXMABEUKZQACOPZXMACACRPZCU
      LPGCUMUQZUKZQADOPZXMADADRPZDULPHDUMUQZUKZQAXMNUNACDUEXMIQUOZSXHXKMZAWQXJK
      ZLAXAXEXKUGYFWRWTWQXJAXAXEXKUHXDXEXKUIXHXKNUJAYGMZBRPZYHBCDUPJZTURJZRYHTB
      YJYHUSAXOYGXPQZTUTUEZYHVAVBZYHTBVCJBBUPJZYJYHBYLVIYHYJYOKWQDBUAJZKYHWQXJY
      PAYGNYHBDYLAYAYGYDQZVDVEYHCDBBAXQYGXTQYQYLYLVFVGVHVJYHYJRPZTRPZYMYKRPYHXR
      YBYRAXRYGGQAYBYGHQCDVKSTVLPYSYHVMTVNVOYNYJTVPVQVRAYIVSYGFQVTZSAXIXKWAZXAX
      EAWSABDEYCWBZWCZWDWEXDXGMZXILXKUUDXIMZAYGLAXAXGXIUGUUEWSXFKZYGUUEWRWTXFWS
      AXAXGXIUHXDXGXIUIUUDXINWFUUEWSOPZWQOPZUUFYGWGAUUGXAXGXIAWSUUBUKZWHAUUHXAX
      GXIAWQABCEXSWBZUKZWHWSWQWISWKYTSUUDXKMZAXMLAXAXGXKUGUULWQWSAUUHXAXGXKUUKW
      HAUUGXAXGXKUUIWHUULWRWTXFXJAXAXGXKUHXDXGXKUIUUDXKNUJWJYESAUUAXAXGUUCWDWEA
      XEXGWAXAAWQUUJWCQWEWLXCXAVSXBWRWTWMXAWNWOWP $.
  $}

  ${
    $d A q r s $.
    $( The irrationals are exactly those reals that are a different distance
       from every rational.  (Contributed by Jim Kingdon, 19-May-2024.) $)
    irrdiff $p |- ( A e. RR -> ( -. A e. QQ <-> A. q e. QQ A. r e. QQ
        ( q =/= r -> ( abs ` ( A - q ) ) =/= ( abs ` ( A - r ) ) ) ) ) $=
      ( cr wcel cq wne cmin co cabs cfv wi wa clt wbr cc0 wceq neeq12d fveq2d
      c1 wn cv wral simplll simpllr simplrl simplrr simpr irrdifflemf ex simplr
      ralrimivva caddc peano2rem cneg recn 1cnd negsubd neg1lt0 0lt1 neg1rr 0re
      1re lttri mp2an 1red id ltadd2d mpbii eqbrtrrd ltned ad2antrr cz 1z ax-mp
      a1i qsubcl mpan2 qaddcl adantl simpl oveq2 adantr imbi12d rspc2gv syl2an2
      zq neirr nncand subnegd oveq2d recnd eqtr3d absnegd eqtrd mtbiri pm2.65da
      mp2d impbida ) ADEZAFEZUAZCUBZBUBZGZAXCHIZJKZAXDHIZJKZGZLZBFUCCFUCZWTXBMZ
      XKCBFFXMXCFEZXDFEZMZMZXEXJXQXEMAXCXDWTXBXPXEUDWTXBXPXEUEXMXNXOXEUFXMXNXOX
      EUGXQXEUHUIUJULWTXLMZXAAATHIZHIZJKZAATUMIZHIZJKZGZXRXAMXLXSYBGZYEWTXLXAUK
      WTYFXLXAWTXSYBAUNWTATUOZUMIZXSYBNWTATAUPZWTUQZURWTYGTNOZYHYBNOYGPNOPTNOYK
      USUTYGPTVAVBVCVDVEWTYGTAYGDEWTVAVPZWTVFWTVGVHVIVJVKVLXAXSFEZXRYBFEZXLYFYE
      LZLXATFEZYMTVMEYPVNTWGVOZATVQVRXAYNXRXAYPYNYQATVSVRVTXKYOCBXSYBFFXCXSQZXD
      YBQZMZXEYFXJYEYTXCXSXDYBYRYSWAYRYSUHRYTXGYAXIYDYTXFXTJYRXFXTQYSXCXSAHWBWC
      SYTXHYCJYSXHYCQYRXDYBAHWBVTSRWDWEWFWRWTYEUAXLXAWTYETJKZUUAGUUAWHWTYAUUAYD
      UUAWTXTTJWTATYIYJWISWTYDYGJKUUAWTYCYGJWTAAYGHIZHIYCYGWTUUBYBAHWTATYIYJWJW
      KWTAYGYIWTYGYLWLWIWMSWTTYJWNWORWPVLWQWS $.
  $}

  $( The closed unit interval is equinumerous to the open unit interval.  Based
     on a Mastodon post by Michael Kinyon.  (Contributed by Jim Kingdon,
     4-Jun-2024.) $)
  iccioo01 $p |- ( 0 [,] 1 ) ~~ ( 0 (,) 1 ) $=
    ( cc0 c1 cicc co cioo cdom wbr cen c4 cdiv c2 cr wcel clt 4re 4pos cvv ovex
    wss cxr 4nn nnrecre ax-mp halfre 2lt4 2re 2pos ltrecii mpbi iccen mp3an 0xr
    1xr recgt0ii halflt1 iccssioo mp4an ssdomg mp2 endomtr mp2an ioossicc sbth
    cn ) ABCDZABEDZFGZVFVEFGZVEVFHGVEBIJDZBKJDZCDZHGZVKVFFGZVGVILMZVJLMVIVJNGZV
    LIVDMVNUAIUBUCUDKINGVOUEKIUFOUGPUHUIVIVJUJUKVFQMVKVFSZVMABERATMBTMAVINGVJBN
    GVPULUMIOPUNUOABVIVJUPUQVKVFQURUSVEVKVFUTVAVEQMVFVESVHABCRABVBVFVEQURUSVEVF
    VCVA $.


$( (End of Jim Kingdon's mathbox.) $)
$( End $[ set-mbox-jk.mm $] $)


$( Begin $[ set-mbox-ml.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for ML
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellaneous
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A y $.  $d B y $.  $d C y $.  $d x y $.
    $( Distribution of class substitution over difference of two classes.
       (Contributed by ML, 14-Jul-2020.) $)
    csbdif $p |- [_ A / x ]_ ( B \ C ) = ( [_ A / x ]_ B \ [_ A / x ]_ C ) $=
      ( vy cvv wcel cdif csb wceq csbeq1 difeq12d eqeq12d nfcsb1v nfdif csbeq1a
      cv vex c0 csbprc csbief vtoclg wn dif0 a1i 3eqtr4rd pm2.61i ) BFGZABCDHZI
      ZABCIZABDIZHZJZAEQZUIIZAUOCIZAUODIZHZJUNEBFUOBJZUPUJUSUMAUOBUIKUTUQUKURUL
      AUOBCKAUOBDKLMAUOUIUSERAUQURAUOCNAUODNOAQUOJCUQDURAUOCPAUODPLUAUBUHUCZSSH
      ZSUMUJVBSJVASUDUEVAUKSULSABCTABDTLABUITUFUG $.
  $}

  $( Move class substitution in and out of the predecessor class of a
     relationship.  (Contributed by ML, 25-Oct-2020.) $)
  csbpredg $p |- ( A e. V -> [_ A / x ]_ Pred ( R , D , X ) =
                   Pred ( [_ A / x ]_ R , [_ A / x ]_ D , [_ A / x ]_ X ) ) $=
    ( wcel ccnv csn cima cin cpred csbin csbima12 csbcnv imaeq1i csbsng df-pred
    csb syl5eq imaeq2d eqtr3id ineq2d csbeq2i 3eqtr4g ) BEGZABCDHZFIZJZKZSZABCS
    ZABDSZHZABFSZIZJZKZABCDFLZSULUMUOLUFUKULABUISZKURABCUIMUFUTUQULUFUTABUGSZAB
    UHSZJZUQABUHUGNUFVCUNVBJUQUNVAVBABDOPUFVBUPUNABFEQUAUBTUCTABUSUJCDFRUDULUMU
    ORUE $.

  ${
    $d A f y z $.  $d D f y z $.  $d F f y z $.  $d R f y z $.  $d V f y z $.
    $d f x y z $.
    $( Move class substitution in and out of the well-founded recursive
       function generator.  (Contributed by ML, 25-Oct-2020.) $)
    csbwrecsg $p |- ( A e. V -> [_ A / x ]_ wrecs ( R , D , F ) =
                   wrecs ( [_ A / x ]_ R , [_ A / x ]_ D , [_ A / x ]_ F ) ) $=
      ( vf vz vy cv wss cpred wral cfv wceq csb wsbc csbconstg bitrd syl5eq wfn
      wcel cres w3a wex cab cuni cwrecs csbuni csbab sbcex2 sbc3an sbcan sbcssg
      wa sbcg sseq1d sbcralg sseq2d csbpredg predeq3 syl 3bitrd ralbidv anbi12d
      eqtrd syl5bb sbceqg csbfv12 csbres fveq2d eqeq12d 3anbi123d exbidv abbidv
      reseq12d unieqd df-wrecs csbeq2i 3eqtr4g ) BFUBZABGJZHJZUAZWCCKZCDIJZLZWC
      KZIWCMZUOZWFWBNZWBWGUCZENZOZIWCMZUDZHUEZGUFZUGZPZWDWCABCPZKZXAABDPZWFLZWC
      KZIWCMZUOZWKWBXDUCZABEPZNZOZIWCMZUDZHUEZGUFZUGZABCDEUHZPXAXCXIUHWAWTABWRP
      ZUGXPABWRUIWAXRXOWAXRWQABQZGUFXOWQAGBUJWAXSXNGXSWPABQZHUEWAXNWPHABUKWAXTX
      MHXTWDABQZWJABQZWOABQZUDWAXMWDWJWOABULWAYAWDYBXGYCXLWDABFUPYBWEABQZWIABQZ
      UOWAXGWEWIABUMWAYDXBYEXFWAYDABWCPZXAKXBABWCCFUNWAYFWCXAABWCFRZUQSWAYEWHAB
      QZIWCMXFWHAIBWCFURWAYHXEIWCWAYHABWGPZYFKYIWCKXEABWGWCFUNWAYFWCYIYGUSWAYIX
      DWCWAYIXAXCABWFPZLZXDABCDFWFUTWAYJWFOYKXDOABWFFRXAXCYJWFVAVBVFZUQVCVDSVEV
      GWAYCWNABQZIWCMXLWNAIBWCFURWAYMXKIWCWAYMABWKPZABWMPZOXKABWKWMFVHWAYNWKYOX
      JABWKFRWAYOABWLPZXINXJABWLEVIWAYPXHXIWAYPABWBPZYIUCXHABWBWGVJWAYQWBYIXDAB
      WBFRYLVPTVKTVLSVDSVMVGVNVGVOTVQTABXQWSHICDGEVRVSHIXAXCGXIVRVT $.
  $}

  $( Move class substitution in and out of ` recs ` .  (Contributed by ML,
     25-Oct-2020.) $)
  csbrecsg $p |- ( A e. V -> [_ A / x ]_ recs ( F ) =
                                         recs ( [_ A / x ]_ F ) ) $=
    ( wcel con0 cep cwrecs csb crecs csbwrecsg wceq csbconstg wrecseq1 wrecseq2
    syl 3eqtrd df-recs csbeq2i 3eqtr4g ) BDEZABFGCHZIZFGABCIZHZABCJZIUDJUAUCABF
    IZABGIZUDHZUGGUDHZUEABFGCDKUAUHGLUIUJLABGDMUGUHGUDNPUAUGFLUJUELABFDMUGFGUDO
    PQABUFUBCRSUDRT $.

  ${
    $d A g $.  $d F g $.  $d I g $.  $d V g $.  $d g x $.
    $( Move class substitution in and out of the recursive function generator.
       (Contributed by ML, 25-Oct-2020.) $)
    csbrdgg $p |- ( A e. V -> [_ A / x ]_ rec ( F , I ) =
                   rec ( [_ A / x ]_ F , [_ A / x ]_ I ) ) $=
      ( vg cvv wceq cuni cfv cif cmpt crecs csb crdg wsbc sbcg csbconstg syl5eq
      csbif wcel cv c0 cdm wlim crn csbrecsg csbmpt2 csbfv12 ifbieq12d ifbieq2d
      fveq2d mpteq2dv eqtrd recseq syl df-rdg csbeq2i 3eqtr4g ) BEUAZABFGFUBZUC
      HZDVAUDZUEZVAUFIZVCIVAJZCJZKZKZLZMZNZFGVBABDNZVDVEVFABCNZJZKZKZLZMZABCDOZ
      NVNVMOUTVLABVJNZMZVSABVJEUGUTWAVRHWBVSHUTWAFGABVINZLVRAFBEGVIUHUTFGWCVQUT
      WCVBABPZVMABVHNZKVQVBABDVHTUTWDVBWEVPVMVBABEQUTWEVDABPZABVENZABVGNZKVPVDA
      BVEVGTUTWFVDWGWHVEVOVDABEQABVEERUTWHABVFNZVNJVOABVFCUIUTWIVFVNABVFERULSUJ
      SUKSUMUNWAVRUOUPUNABVTVKFCDUQURFVNVMUQUS $.
  $}

  ${
    $d A c d $.  $d A c y $.  $d A c z $.  $d V c d $.  $d V c y $.
    $d V c z $.  $d c ph $.  $d c d x $.  $d x y $.  $d x z $.
    $( Move class substitution in and out of class abstractions of nested
       ordered pairs.  (Contributed by ML, 25-Oct-2020.) $)
    csboprabg $p |- ( A e. V -> [_ A / x ]_ { <. <. y , z >. , d >. | ph }
                             = { <. <. y , z >. , d >. | [. A / x ]. ph } ) $=
      ( vc cv cop wa wex cab csb wsbc coprab sbcex2 syl5bb exbidv df-oprab wcel
      wceq csbab sbcan sbcg anbi1d abbidv syl5eq csbeq2i 3eqtr4g ) EFUAZBEHICID
      IJGIJUBZAKZGLZDLZCLZHMZNZULABEOZKZGLZDLZCLZHMZBEACDGPZNUSCDGPUKURUPBEOZHM
      VDUPBHEUCUKVFVCHVFUOBEOZCLUKVCUOCBEQUKVGVBCVGUNBEOZDLUKVBUNDBEQUKVHVADVHU
      MBEOZGLUKVAUMGBEQUKVIUTGVIULBEOZUSKUKUTULABEUDUKVJULUSULBEFUEUFRSRSRSRUGU
      HBEVEUQACDGHTUIUSCDGHTUJ $.
  $}

  ${
    $d A d y $.  $d A d z $.  $d D d $.  $d V d y $.  $d V d z $.  $d Y d $.
    $d Z d $.  $d d x y $.  $d x z $.
    $( Move class substitution in and out of maps-to notation for operations.
       (Contributed by ML, 25-Oct-2020.) $)
    csbmpo123 $p |- ( A e. V -> [_ A / x ]_ ( y e. Y , z e. Z |-> D )
           = ( y e. [_ A / x ]_ Y , z e. [_ A / x ]_ Z |-> [_ A / x ]_ D ) ) $=
      ( vd wcel cv wa wceq coprab csb cmpo wsbc sbcan sbcel12 syl5bb csboprabg
      csbconstg eleq1d anbi12d sbceq2g oprabbidv eqtrd df-mpo csbeq2i 3eqtr4g )
      DFJZADBKZGJZCKZHJZLZIKZEMZLZBCINZOZULADGOZJZUNADHOZJZLZUQADEOZMZLZBCINZAD
      BCGHEPZOBCVBVDVGPUKVAUSADQZBCINVJUSABCDFIUAUKVLVIBCIVLUPADQZURADQZLUKVIUP
      URADRUKVMVFVNVHVMUMADQZUOADQZLUKVFUMUOADRUKVOVCVPVEVOADULOZVBJUKVCADULGSU
      KVQULVBADULFUBUCTVPADUNOZVDJUKVEADUNHSUKVRUNVDADUNFUBUCTUDTADUQEFUEUDTUFU
      GADVKUTBCIGHEUHUIBCIVBVDVGUHUJ $.
  $}

  ${
    con1bii2.1 $e |- ( -. ph <-> ps ) $.
    $( A contraposition inference.  (Contributed by ML, 18-Oct-2020.) $)
    con1bii2 $p |- ( ph <-> -. ps ) $=
      ( wn con1bii bicomi ) BDAABCEF $.
  $}

  ${
    con2bii2.1 $e |- ( ph <-> -. ps ) $.
    $( A contraposition inference.  (Contributed by ML, 18-Oct-2020.) $)
    con2bii2 $p |- ( -. ph <-> ps ) $=
      ( wn con2bii bicomi ) BADABCEF $.
  $}

  ${
    $d A x $.
    vtoclefex.1 $e |- F/ x ph $.
    vtoclefex.3 $e |- ( x = A -> ph ) $.
    $( Implicit substitution of a class for a setvar variable.  (Contributed by
       ML, 17-Oct-2020.) $)
    vtoclefex $p |- ( A e. V -> ph ) $=
      ( wcel wnf cv wceq wi wal ax-gen vtoclegft mp3an23 ) CDGABHBICJAKZBLAEPBF
      MABCDNO $.
  $}

  ${
    $d A u $.  $d u x $.
    $( The range of a function mapping to singletons.  (Contributed by ML,
       15-Jul-2020.) $)
    rnmptsn $p |- ran ( x e. A |-> { x } ) = { u | E. x e. A u = { x } } $=
      ( cv wcel csn wceq copab crn wex cab cmpt wrex rnopab df-mpt rneqi df-rex
      wa abbii 3eqtr4i ) ADZCEBDUAFZGZRZABHZIUDAJZBKACUBLZIUCACMZBKUDABNUGUEABC
      UBOPUHUFBUCACQST $.
  $}

  ${
    f1omptsn.f $e |- F = ( x e. A |-> { x } ) $.
    f1omptsn.r $e |- R = { u | E. x e. A u = { x } } $.
    ${
      $d A x u $.  $d A x y $.  $d F x y $.  $d R u x $.
      $( This is the core of the proof of ~ f1omptsn , but to avoid the
         distinct variables on the definitions, we split this proof into two.
         (Contributed by ML, 15-Jul-2020.) $)
      f1omptsnlem $p |- F : A -1-1-onto-> R $=
        ( vy crn wf1o cv cfv wceq wi wcel wsbc cvv wb ax-mp wa wf1 wf wral eqid
        csn snex eqsbc1 mpbir csb sbcel2 csbconstg eleq2i bitri wrex wex abeq2i
        df-rex sylbbr 19.23bi sbcth sbcimg sbcan sbcel1v 3imtr3i sylanbr fvmpt2
        mpbi mpan2 fmpti mpdan fvmpt3i eqeqan12d vex sneqbg bitrdi biimpd rgen2
        sneq dff13 mpbir2an f1f1orn cmpt cab rnmptsn rneqi 3eqtr4i f1oeq3 ) CEI
        ZEJZCDEJZCDEUAZWIWKCDEUBAKZELZHKZELZMZWLWNMZNZHCUCACUCACDWLUEZEFWLCOZBK
        ZWSMZBWSPZWSDOZXCWSWSMZWSUDWSQOZXCXERWLUFZBWSWSQUGSUHWTWTBWSPZXCXDXHWLB
        WSCUIZOWTBWSWLCUJXICWLXFXICMXGBWSCQUKSULUMWTXBTZBWSPZXADOZBWSPZXHXCTXDX
        JXLNZBWSPZXKXMNZXFXOXGXNBWSQXJXLAXLXBACUNZXJAUOXQBDGUPXBACUQURUSUTSXFXO
        XPRXGXJXLBWSQVASVGWTXBBWSVBBWSDVCVDVEVHZVIWRAHCCWTWNCOZTZWPWQXTWPWSWNUE
        ZMZWQWTXSWMWSWOYAWTXDWMWSMXRACWSDEFVFVJAWNWSYACEWLWNVRFXGVKVLWLQOYBWQRA
        VMWLWNQVNSVOVPVQAHCDEVSVTCDEWASWHDMWIWJRACWSWBZIXQBWCWHDABCWDEYCFWEGWFW
        HDCEWGSVG $.
    $}

    $d A a u x z $.
    $( A function mapping to singletons is bijective onto a set of singletons.
       (Contributed by ML, 16-Jul-2020.) $)
    f1omptsn $p |- F : A -1-1-onto-> R $=
      ( va vz wf1o cv csn cmpt wceq wrex cab eqcomi wb eqtri ax-mp sneq cbvmptv
      id eqeqan12d cbvrexdva cbvabv f1omptsnlem f1oeq3 mpbir f1oeq1 ) CDEJZCDHC
      HKZLZMZJZUOCIKZUMNZHCOZIPZUNJZABCUSUNACAKZLZMZUNAHCVBUMVAULUAZUBZQBKZVBNZ
      ACOZBPZUSVHURBIVFUPNZVGUQAHCVJVAULNVFUPVBUMVJUCVDUDUEUFZQUGDUSNUOUTRDVIUS
      GVKSDUSCUNUHTUIEUNNUKUOREVCUNFVESCDEUNUJTUI $.
  $}

  ${
    mptsnun.f $e |- F = ( x e. A |-> { x } ) $.
    mptsnun.r $e |- R = { u | E. x e. A u = { x } } $.
    ${
      $d A u x $.  $d B u x z $.  $d F x $.
      $( This is the core of the proof of ~ mptsnun , but to avoid the distinct
         variables on the definitions, we split this proof into two.
         (Contributed by ML, 16-Jul-2020.) $)
      mptsnunlem $p |- ( B C_ A -> B = U. ( F " B ) ) $=
        ( vz cv wcel wceq wa wex wb sylbi wi wsbc cvv ax-mp cima cuni wrex cres
        wss csn cab crn df-ima cmpt reseq1i resmpt syl5eq rnmptsn eqtrdi unieqd
        rneqd eleq2d eleq1w eluniab r19.41v df-rex 3bitr2i anbi2d adantr anim2i
        ancom eleq2 ibi eximi an12 exbii exsimpr syl exlimiv velsn anbi2i sylib
        biimparc vtoclga equid wsb eqid snex sbcg eqsbc1 adantl biimpri 19.23bi
        expcom sylbir sbcth sbcimg mpbi sbcan nfv nfab1 nfuni nfcri nfim sbcgfi
        sylbird 3imtr3i syl2anbr mpan2 syl5bir mpbidi com12 sbimi equsb3 impbii
        sbv bitrdi eqrdv eqcomd ) DCUEZFDUAZUBZDXPAXRDXPAJZXRKXSBJZXSUFZLZADUCZ
        BUGZUBZKZXSDKZXPXRYEXSXPXQYDXPXQFDUDZUHZYDFDUIXPYIADYAUJZUHYDXPYHYJXPYH
        ACYAUJZDUDYJFYKDGUKACDYAULUMUQABDUNUOUMUPURYFYGIJZDKZYGIXSYEIADUSZYLYEK
        ZYGYLXSLZMZANZYMYOYGYLYAKZMZANZYRYOYLXTKZYCMZBNZUUAYCBYLUTZUUCUUABUUCYG
        YBYSMZMZANZUUAUUCYGYBUUBMZMZANZUUHUUCYCUUBMUUIADUCUUKUUBYCVGYBUUBADVAUU
        IADVBVCUUJUUGAUUIUUFYGUUIUUFYBUUIUUFOUUBYBUUBYSYBXTYAYLVHZVDVEVIVFVJPUU
        HYBYTMZANUUAUUGUUMAYGYBYSVKVLYBYTAVMPVNVOPYTYQAYSYPYGIXSVPZVQVLVRYQYMAY
        PYMYGYNVSVOVNVTXSXSLZYGYFQZAWAYPIAWBUUPIAWBUUOUUPYPUUPIAYGYPYFYPYOYFYGY
        PYSYGYOUUNYGYAYALZYSYOQZYAWCYGYGBYARZYBBYARZUURUUQYASKZUUSYGOXSWDZYGBYA
        SWETUVAUUTUUQOUVBBYAYASWFTYGYBMZBYARZUURBYARZUUSUUTMUURUVCUURQZBYARZUVD
        UVEQZUVAUVGUVBUVFBYASUVCYSUUBYOYBUUBYSOYGUULWGUVCUUBYOQZAUVCANYCUVIYBAD
        VBUUBYCYOUUCYOBYOUUDUUEWHWIWJWKWIXBWLTUVAUVGUVHOUVBUVCUURBYASWMTWNYGYBB
        YAWOUURBYAUVBYSYOBYSBWPBIYEBYDYCBWQWRWSWTXAXCXDXEXFIAYEUSXGXHXIIAAXJUUP
        IAXLXCTXKXMXNXO $.
    $}

    $d A u x $.  $d A x y $.  $d B u x $.
    $( A class ` B ` is equal to the union of the class of all singletons of
       elements of ` B ` .  (Contributed by ML, 16-Jul-2020.) $)
    mptsnun $p |- ( B C_ A -> B = U. ( F " B ) ) $=
      ( vy wss cv csn cmpt cima cuni sneq cbvmptv eqcomi mptsnunlem eqtri
      imaeq1i unieqi eqtr4di ) DCJDICIKZLZMZDNZOFDNZOABCDEUFACAKZLZMZUFAICUJUEU
      IUDPQZRHSUHUGFUFDFUKUFGULTUAUBUC $.
  $}

  ${
    dissneq.c $e |- C = { u | E. x e. A u = { x } } $.
    ${
      $d A u x y z $.  $d B x y $.  $d C x y $.
      $( This is the core of the proof of ~ dissneq , but to avoid the distinct
         variables on the definitions, we split this proof into two.
         (Contributed by ML, 16-Jul-2020.) $)
      dissneqlem $p |- ( ( C C_ B /\ B e. ( TopOn ` A ) ) -> B = ~P A ) $=
        ( vy vz wss cfv wcel wa adantl cv cuni wceq wex wrex cab crn ctopon cpw
        cpr topgele simprd velpw w3a csn cvv simp3 cmpt cima cres df-ima resmpt
        c0 rneqd syl5eq rnmptsn eqtrdi imassrn eqsstrrdi sseqtrdi sneq cbvrexvw
        eqeq2d abbii eqtri sseqtrrdi sstr expcom adantr mpd 3adant3 ssexd isset
        wi sylib mptsnun unieqd eqtrd jca sseq1 unieq anbi12d syl5ibrcom eximdv
        eqid syl3an2b 3com23 3expia wb ctg ctop topontop tgtop syl eleq2d eltg3
        bitr3d sylibrd ssrdv eqssd ) EDIZDCUAJZKZLZDCUBZXGUPCUCDIZDXHIZXFXIXJLX
        DDCUDMUEXGAXHDXGANZXHKZGNZDIZXKXMOZPZLZGQZXKDKZXDXFXLXRXDXLXFXRXLXDXKCI
        ZXFXRACUFXDXTXFUGZXMBNZHNZUHZPZHXKRBSZPZGQZXRYAYFUIKYHYAYFDXEXDXTXFUJXD
        XTYFDIZXFXDXTLZYFEIZYIXTYKXDXTYFYEHCRZBSZEXTYFHCYDUKZTZYMXTYFYNXKULZYOX
        TYPHXKYDUKZTZYFXTYPYNXKUMZTYRYNXKUNXTYSYQHCXKYDUOUQURHBXKUSUTZYNXKVAVBH
        BCUSVCEYBXKUHZPZACRZBSYMFUUCYLBUUBYEAHCXKYCPUUAYDYBXKYCVDVFVEVGVHVIMXDY
        KYIVQXTYKXDYIYFEDVJVKVLVMZVNVOGYFVPVRXDXTYHXRVQXFYJYGXQGYJXQYGYIXKYFOZP
        ZLYJYIUUFUUDXTUUFXDXTXKYPOUUEHBCXKYMYNYNWHYMWHVSXTYPYFYTVTWAMWBYGXNYIXP
        UUFXMYFDWCYGXOUUEXKXMYFWDVFWEWFWGVNVMWIWJWKXFXSXRWLXDXFXKDWMJZKXSXRXFUU
        GDXKXFDWNKUUGDPCDWODWPWQWRGXKDXEWSWTMXAXBXC $.
    $}
    $d A u x z $.  $d B z $.  $d C z $.
    $( Any topology that contains every single-point set is the discrete
       topology.  (Contributed by ML, 16-Jul-2020.) $)
    dissneq $p |- ( ( C C_ B /\ B e. ( TopOn ` A ) ) -> B = ~P A ) $=
      ( vz cv csn wceq wrex cab sneq eqeq2d cbvrexvw abbii eqtr4i dissneqlem )
      GBCDEEBHZAHZIZJZACKZBLSGHZIZJZGCKZBLFUGUCBUFUBGACUDTJUEUASUDTMNOPQR $.
  $}

  ${
    $d x ps $.
    $( Closed form of ~ exlimimd .  (Contributed by ML, 17-Jul-2020.) $)
    exlimim $p |- ( ( E. x ph /\ A. x ( ph -> ps ) ) -> ps ) $=
      ( wi wal wex nfa1 nfv sp exlimd impcom ) ABDZCEZACFBMABCLCGBCHLCIJK $.
  $}

  ${
    $d x ph $.  $d x ch $.
    exlimimd.1 $e |- ( ph -> E. x ps ) $.
    exlimimd.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Existential elimination rule of natural deduction.  (Contributed by ML,
       17-Jul-2020.) $)
    exlimimd $p |- ( ph -> ch ) $=
      ( imp exlimddv ) ABCDEABCFGH $.
  $}

  ${
    $d x ph $.
    $( Closed form of ~ exellimddv .  See also ~ exlimim for a more general
       theorem.  (Contributed by ML, 17-Jul-2020.) $)
    exellim $p |- ( ( E. x x e. A /\ A. x ( x e. A -> ph ) ) -> ph ) $=
      ( cv wcel wi wal wex nfa1 nfv sp exlimd impcom ) BDCEZAFZBGZNBHAPNABOBIAB
      JOBKLM $.
  $}

  ${
    $d x ph $.  $d x ps $.
    exellimddv.1 $e |- ( ph -> E. x x e. A ) $.
    exellimddv.2 $e |- ( ph -> ( x e. A -> ps ) ) $.
    $( Eliminate an antecedent when the antecedent is elementhood, deduction
       version.  See ~ exellim for the closed form, which requires the use of a
       universal quantifier.  (Contributed by ML, 17-Jul-2020.) $)
    exellimddv $p |- ( ph -> ps ) $=
      ( cv wcel wex wi wal alrimiv exellim syl2anc ) ACGDHZCIOBJZCKBEAPCFLBCDMN
      $.
  $}

  ${
    topdifinf.t $e |- T = { x e. ~P A | ( -. ( A \ x ) e. Fin \/
                                          ( x = (/) \/ x = A ) ) } $.
    $d A x $.
    $( Part of Exercise 3 of [Munkres] p. 83.  The topology of all subsets
       ` x ` of ` A ` such that the complement of ` x ` in ` A ` is infinite,
       or ` x ` is the empty set, or ` x ` is all of ` A ` , is the trivial
       topology when ` A ` is finite.  (Contributed by ML, 14-Jul-2020.) $)
    topdifinfindis $p |- ( A e. Fin -> T = { (/) , A } ) $=
      ( cfn wcel c0 cpr nfv cv cdif wn wceq wo cpw wa wi eleq1a syl wb pm4.71rd
      crab nfrab1 nfcxfr nfcv 0elpw mp1i pwidg jaod vex elpr a1i rabeq2i biortn
      diffi anbi2d bitr4id 3bitr4rd eqrd ) BEFZACGBHZUTAIACBAJZKEFZLVBGMZVBBMZN
      ZNZABOZUBDVGAVHUCUDAVAUEUTVFVBVHFZVFPZVBVAFZVBCFZUTVFVIUTVDVIVEGVHFVDVIQU
      TBUFGVHVBRUGUTBVHFVEVIQBEUHBVHVBRSUIUAVKVFTUTVBGBAUJUKULUTVLVIVGPVJVGACVH
      DUMUTVFVGVIUTVCVFVGTBVBUOVCVFUNSUPUQURUS $.

    ${
      $d A u y $.  $d A x y $.  $d T u y $.  $d T x y $.
      $( This is the core of the proof of ~ topdifinffin , but to avoid the
         distinct variables on the definition, we need to split this proof into
         two.  (Contributed by ML, 17-Jul-2020.) $)
      topdifinffinlem $p |- ( T e. ( TopOn ` A ) -> A e. Fin ) $=
        ( vu vy cfn wcel wn wceq wex wa w3a wsbc cvv c0 wo eleq1 wb ax-mp nfab1
        ctopon cfv cpw cv csn wrex cab wss nfv nfcv abid df-rex bitri eqid snex
        cdif snelpwi syl5ibr imdistani anim2i 3impb 3anass sylibr mpbiri difinf
        wi snfi sylan2 orcd ancoms 3impa syl rabeq2i 3ad2ant2 mpbid sbcimg mpbi
        sbcth sbc3an sbcg 3anbi1i eqsbc1 3anbi2i 3bitri 3anbi3i 3imtr3i pm4.71d
        mp3an2 ex anbi1d exbidv syl5bb anass exbii exsimpr sylbi syl6bi pm5.32i
        ancom bitr4i syl6ib syl6 ax5e dissneq sylan nfielex adantr difss elfvex
        ssrd difexg elpwg 3syl adantl mpan2 0fin nsyl ad2antrl wne vsnid inelcm
        cin wpss disj4 necon2abii pssned neneqd jca pm4.56 difeq2 eleq1d notbid
        sylib eqeq1 orbi12d elrab2 biantrurd bitr4id dfin4 inss2 mp2an eqeltrri
        ssfi biortn bitr4di ad2antll mtbird expcom nelneq2 eqcom sylnibr syl6an
        exellimddv pm2.65da con4i ) BGHZCBUBUCHZUUQIZUURCBUDZJZUUSEUEZFUEZUFZJZ
        FBUGZEUHZCUIUURUVAUUSEUVGCUUSEUJUVFEUAECUKUUSUVBUVGHZUVBCHZFKZUVIUUSUVH
        UVEUVILZFKZUVJUUSUVHUVDCHZUVELZFKZUVLUUSUVHUVCBHZUVMLZUVELZFKZUVOUVHUVP
        UVELZFKZUUSUVSUVHUVFUWAUVFEULUVEFBUMUNUUSUVTUVRFUUSUVPUVQUVEUUSUVPUVMUU
        SUVPUVMUUSUVDUVDJZUVPUVMUVDUOUUSAUEZUVDJZUVPMZAUVDNZUVMAUVDNZUUSUWBUVPM
        ZUVMUWEUVMVGZAUVDNZUWFUWGVGZUVDOHZUWJUVCUPZUWIAUVDOUWEUWCCHZUVMUWEUWCUU
        THZBUWCUQZGHZIZUWCPJZUWCBJZQZQZLZUWNUWEUUSUWDUWOMZUXCUWEUUSUWDUWOLZLZUX
        DUUSUWDUVPUXFUWDUVPLUXEUUSUWDUVPUWOUVPUWOUWDUVDUUTHUVCBURUWCUVDUUTRUSUT
        VAVBUUSUWDUWOVCVDUUSUWDUWOUXCUWOUUSUWDLZUXCUXGUXBUWOUXGUWRUXAUWDUUSUWCG
        HZUWRUWDUXHUVDGHZUVCVHZUWCUVDGRVEBUWCVFVIVJVAVKVLVMUXBACUUTDVNVDUWDUUSU
        WNUVMSUVPUWCUVDCRVOVPVSTUWLUWJUWKSUWMUWEUVMAUVDOVQTVRUWFUUSUWBUVPAUVDNZ
        MZUWHUWFUUSAUVDNZUWDAUVDNZUXKMUUSUXNUXKMUXLUUSUWDUVPAUVDVTUXMUUSUXNUXKU
        WLUXMUUSSUWMUUSAUVDOWATWBUXNUWBUUSUXKUWLUXNUWBSUWMAUVDUVDOWCTWDWEUXKUVP
        UUSUWBUWLUXKUVPSUWMUVPAUVDOWATWFUNUWLUWGUVMSUWMUVMAUVDOWATWGWIWJWHWKWLW
        MUVSUVPUVNLZFKUVOUVRUXOFUVPUVMUVEWNWOUVPUVNFWPWQWRUVNUVKFUVNUVEUVMLUVKU
        VMUVEWTUVEUVIUVMUVBUVDCRWSXAWOXBUVEUVIFWPXCUVIFXDXCXKFEBCUVGUVGUOXEXFUU
        SUURLZUVAIZFBUUSUVPFKUURFBXGXHUXPBUVDUQZUUTHZUVPUXRCHZIZUXQUURUXSUUSUUR
        UXSUXRBUIZBUVDXIUURBOHUXROHUXSUYBSCBUBXJBUVDOXLUXRBOXMXNVEZXOUVPUXPUYAU
        VPUXPLZUXTUXRPJZUXRBJZQZUYDUYEIZUYFIZLUYGIUYDUYHUYIUUSUYHUVPUURUUSUXRGH
        ZUYEUUSUXIUYJIUXJBUVDVFXPUYEUYJPGHXQUXRPGRVEXRXSUYDUXRBUVPUXRBXTUXPUVPU
        XRBUVPBUVDYCZPXTZUXRBYDZUVPUVCUVDHUYLFYAUVCBUVDYBXPUYMUYKPBUVDYEYFVDYGX
        HYHYIUYEUYFYJYNUURUXTUYGSUVPUUSUURUXTBUXRUQZGHZIZUYGQZUYGUURUXTUXSUYQLU
        YQUXBUYQAUXRUUTCUWCUXRJZUWRUYPUXAUYGUYRUWQUYOUYRUWPUYNGUWCUXRBYKYLYMUYR
        UWSUYEUWTUYFUWCUXRPYOUWCUXRBYOYPYPDYQUURUXSUYQUYCYRYSUYOUYGUYQSUYKUYNGB
        UVDYTUXIUYKUVDUIUYKGHUXJBUVDUUAUVDUYKUUDUUBUUCUYOUYGUUETUUFUUGUUHUUIUXS
        UYALUUTCJUVAUXRUUTCUUJCUUTUUKUULUUMUUNUUOUUP $.
    $}

    $d A x y $.  $d T y $.
    $( Part of Exercise 3 of [Munkres] p. 83.  The topology of all subsets
       ` x ` of ` A ` such that the complement of ` x ` in ` A ` is infinite,
       or ` x ` is the empty set, or ` x ` is all of ` A ` , is a topology only
       if ` A ` is finite.  (Contributed by ML, 17-Jul-2020.) $)
    topdifinffin $p |- ( T e. ( TopOn ` A ) -> A e. Fin ) $=
      ( vy cv cdif cfn wcel wn c0 wceq wo cpw crab difeq2 eleq1d notbid orbi12d
      eqeq1 cbvrabv eqtri topdifinffinlem ) EBCCBAFZGZHIZJZUDKLZUDBLZMZMZABNZOB
      EFZGZHIZJZUMKLZUMBLZMZMZEULODUKUTAEULUDUMLZUGUPUJUSVAUFUOVAUEUNHUDUMBPQRV
      AUHUQUIURUDUMKTUDUMBTSSUAUBUC $.

    $d A x $.
    $( Part of Exercise 3 of [Munkres] p. 83.  The topology of all subsets
       ` x ` of ` A ` such that the complement of ` x ` in ` A ` is infinite,
       or ` x ` is the empty set, or ` x ` is all of ` A ` , is a topology if
       and only if ` A ` is finite, in which case it is the trivial topology.
       (Contributed by ML, 17-Jul-2020.) $)
    topdifinf $p |- ( ( T e. ( TopOn ` A ) <-> A e. Fin ) /\
                      ( T e. ( TopOn ` A ) -> T = { (/) , A } ) ) $=
      ( ctopon cfv wcel cfn wb c0 cpr wi topdifinffin topdifinfindis indistopon
      wceq eqeltrd impbii syl pm3.2i ) CBEFZGZBHGZIUBCJBKZPZLUBUCABCDMZUCCUDUAA
      BCDNZBHOQRUBUCUEUFUGST $.
  $}

  ${
    $d A x $.
    $( Two different ways of defining the collection from Exercise 3 of
       [Munkres] p. 83.  (Contributed by ML, 18-Jul-2020.) $)
    topdifinfeq $p |- { x e. ~P A | ( -. ( A \ x ) e. Fin \/
                                ( ( A \ x ) = (/) \/ ( A \ x ) = A ) ) } =
                      { x e. ~P A | ( -. ( A \ x ) e. Fin \/
                                ( x = (/) \/ x = A ) ) } $=
      ( cv cdif cfn wcel wn c0 wceq wo cpw cin wb wss velpw sseqin2 bitri eqeq1
      sylbi wa disj3 eqcom bitr3di eqss ssdif0 bicomi anbi12i bitr4i baib orcom
      orbi12d bitrdi orbi2d bicomd rabbiia ) BACZDZEFGZUQHIZUQBIZJZJZURUPHIZUPB
      IZJZJZABKZUPVGFZVFVBVHVEVAURVHVEUTUSJVAVHVCUTVDUSVHBUPLZHIZVCUTVHVIUPIZVJ
      VCMVHUPBNZVKABOZUPBPQVIUPHRSVJBUQIUTBUPUABUQUBQUCVDVHUSVDVLBUPNZTVHUSTUPB
      UDVHVLUSVNVMVNUSBUPUEUFUGUHUIUKUTUSUJULUMUNUO $.
  $}

  ${
    $d x y z $.
    icorempo.1 $e |- F = ( [,) |` ( RR X. RR ) ) $.
    $( Closed-below, open-above intervals of reals.  (Contributed by ML,
       26-Jul-2020.) $)
    icorempo $p |- F = ( x e. RR , y e. RR |->
                         { z e. RR | ( x <_ z /\ z < y ) } ) $=
      ( cico cr cv cle wbr clt wa cxr cmpo wceq ressxr wcel cmnf wn cpnf df-ico
      cxp cres crab reseq1i wss resmpo mp2an eqtri nfv nfrab1 rabid rexr nltmnf
      wo syl renemnf neneqd jca pm4.56 sylib mnfxr xrleloe sylancl mtbird breq2
      wb notbid syl5ibrcom con2d wi pnfnlt breq1 anim2d renepnf pm4.71i xrnemnf
      im2anan9 anbi1i df-ne anbi2i pm5.61 3bitr3i anass 3bitr2ri syl6ib simprbi
      wne syl5bi jcad syl6ibr rabss2 ax-mp sseli impbid1 eqrd mpoeq3ia 3eqtri
      a1i ) DFGGUBZUCZABGGAHZCHZIJZXCBHZKJZLZCMUDZNZABGGXGCGUDZNEXAABMMXHNZWTUC
      ZXIFXKWTABCUAUEGMUFZXMXLXIOPPABMMGGXHUGUHUIABGGXHXJXBGQZXEGQZLZCXHXJXPCUJ
      XGCMUKXGCGUKXPXCXHQZXCXJQZXPXQXCGQZXGLXRXPXQXSXGXQXCMQZXGLZXPXSXGCMULZXPY
      AXTXCROZSZXCTOZSZLZLZXSXPXGYGXTXNXDYDXOXFYFXNYCXDXNXDSYCXBRIJZSXNYIXBRKJZ
      XBROZUOZXNYJSZYKSZLYLSXNYMYNXNXBMQZYMXBUMZXBUNUPXNXBRXBUQURUSYJYKUTVAXNYO
      RMQYIYLVGYPVBXBRVCVDVEYCXDYIXCRXBIVFVHVIVJXOXEMQZXFYFVKXEUMYQYEXFYQXFSYET
      XEKJZSXEVLYEXFYRXCTXEKVMVHVIVJUPVRVNXSXSYFLZXTYDLZYFLZYHXSYFXSXCTXCVOURVP
      XTXCRWHZLZYFLXSYEUOZYFLUUAYSUUCUUDYFXCVQVSUUCYTYFUUBYDXTXCRVTWAVSXSYEWBWC
      XTYDYFWDWEWFWIXQXGVKXPXQXTXGYBWGWSWJXGCGULWKXJXHXCXMXJXHUFPXGCGMWLWMWNWOW
      PWQWR $.
  $}

  ${
    $d x y z l $.
    $( Closed-below, open-above intervals of reals map to subsets of reals.
       (Contributed by ML, 25-Jul-2020.) $)
    icoreresf $p |- ( [,) |` ( RR X. RR ) ) : ( RR X. RR ) --> ~P RR $=
      ( vx vy vz vl cr cxp cpw cico wf wfn crn wss cxr cle clt mpbir cv wa wcel
      wrex cres rexpssxrxp df-ico ixxf ffn fnssresb mp2b wbr crab cmpo icorempo
      wb eqid rneqi wral ssrab2 reex elpw2 rgen2w wceq rnmpo abeq2i simpl simpr
      r19.29d2r wi eleq1 biimparc a1i rexlimivv syl ex ssrdv ax-mp eqsstri df-f
      syl5bi mpbir2an ) EEFZEGZHVSUAZIWAVSJZWAKZVTLWBVSMMFZLZUBWDMGZHIHWDJWBWEU
      LABCNOHABCUCUDWDWFHUEWDVSHUFUGPWCABEEAQZCQZNUHWHBQZOUHRZCEUIZUJZKZVTWAWLA
      BCWAWAUMUKUNWKVTSZBEUOAEUOZWMVTLWNABEEWNWKELWJCEUPWKEUQURPUSWODWMVTDQZWMS
      WPWKUTZBETAETZWOWPVTSZWRDWMABDEEWKWLWLUMVAVBWOWRWSWOWRRZWNWQRZBETAETWSWTW
      NWQABEEWOWRVCWOWRVDVEXAWSABEEXAWSVFWGESWIESRWQWSWNWPWKVTVGVHVIVJVKVLVQVMV
      NVOVSVTWAVPVR $.
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( Value of the closed-below, open-above interval function on reals.
       (Contributed by ML, 26-Jul-2020.) $)
    icoreval $p |- ( ( A e. RR /\ B e. RR ) -> ( A [,) B ) =
                 { z e. RR | ( A <_ z /\ z < B ) } ) $=
      ( vx vy cr wcel wa cico cxp cres co cle wbr clt crab ovres wceq rabbidv
      cv breq1 anbi1d breq2 anbi2d eqid icorempo reex rabex ovmpo eqtr3d ) BFGC
      FGHBCIFFJKZLBCILBATZMNZULCONZHZAFPZBCFFIQDEBCFFDTZULMNZULETZONZHZAFPUPUKU
      MUTHZAFPUQBRZVAVBAFVCURUMUTUQBULMUAUBSUSCRZVBUOAFVDUTUNUMUSCULOUCUDSDEAUK
      UKUEUFUOAFUGUHUIUJ $.
  $}

  ${
    $d X a b $.  $d a b z $.
    icoreelrnab.1 $e |- I = ( [,) " ( RR X. RR ) ) $.
    $( Elementhood in the set of closed-below, open-above intervals of reals.
       (Contributed by ML, 27-Jul-2020.) $)
    icoreelrnab $p |- ( X e. I <-> E. a e. RR E. b e. RR
                       X = { z e. RR | ( a <_ z /\ z < b ) } ) $=
      ( wcel cv cico co wceq cr wrex cle wbr clt wa bitri eqeq2d 2rexbiia eqtri
      crab cxp cres crn cima df-ima eleq2i cpw wf wfn icoreresf ffn ovelrn mp2b
      wb ovres icoreval ) CBGZCDHZEHZIJZKZELMDLMZCUTAHZNOVEVAPOQALUBZKZELMDLMUS
      CUTVAILLUCZUDZJZKZELMDLMZVDUSCVIUEZGZVLBVMCBIVHUFVMFIVHUGUAUHVHLUIZVIUJVI
      VHUKVNVLUPULVHVOVIUMDELLCVIUNUORVKVCDELLUTLGVALGQZVJVBCUTVALLIUQSTRVCVGDE
      LLVPVBVFCAUTVAURSTR $.
  $}

  ${
    isbasisrelowl.1 $e |- I = ( [,) " ( RR X. RR ) ) $.
    ${
      $d I x y z $.  $d a b x z $.  $d b c x y z $.  $d c d y z $.
      $( Lemma for ~ isbasisrelowl .  (Contributed by ML, 27-Jul-2020.) $)
      isbasisrelowllem1 $p |-
       ( ( ( ( a e. RR /\ b e. RR /\
                 x = { z e. RR | ( a <_ z /\ z < b ) } ) /\
             ( c e. RR /\ d e. RR /\
                 y = { z e. RR | ( c <_ z /\ z < d ) } ) ) /\
          ( a <_ c /\ b <_ d ) ) -> ( x i^i y ) e. I ) $=
        ( cv cr wcel cle wbr wa crab wceq w3a nfv wi clt cin wex simplr1 nfrab1
        wrex simpll2 nfeq2 nf3an nfan nfcv simp3 elin eleq2 rabid bitrdi anbi1d
        wb syl5bb anbi2d sylan9bb an4 anidm anbi1i bitri syl2an simprrl simprlr
        adantr simpl jca32 syl6bi 3simpa anim12i letr 3expia exp4a ltletr 3coml
        ad2ant2r expcomd ad2ant2l jcad anim12 syl6 com23 syl8 imp31 an42 syl6ib
        ancrd simpr jctild sylanl1 imp an32s mpbird expl ancomsd impbid bitr4di
        eqrd jca 19.8ad df-rex sylibr icoreelrnab ) EJZKLZFJZKLZAJZXHCJZMNZXMXJ
        UANZOZCKPZQZRZGJZKLZHJZKLZBJZXTXMMNZXMYBUANZOZCKPZQZRZOZXHXTMNZXJYBMNZO
        ZOZXLYDUBZYEXOOZCKPZQZFKUFZGKUFZYPDLYOYAYTOZGUCUUAYOUUBGYOYAYTYAYCYIXSY
        NUDYOXKYSOZFUCYTYOUUCFYOXKYSXIXKXRYJYNUGYOCYPYRYKYNCXSYJCXIXKXRCXICSXKC
        SCXLXQXPCKUEUHUIYAYCYICYACSYCCSCYDYHYGCKUEUHUIUJYNCSUJCYPUKYQCKUEYOXMYP
        LZXMKLZYQOZXMYRLYOUUDUUFYOUUDUUEXPYGOZOZUUFYKUUDUUHURZYNXSXRYIUUIYJXIXK
        XRULYAYCYIULXRYIOUUDUUEXPOZUUEYGOZOZUUHXRUUDUUJXMYDLZOZYIUULUUDXMXLLZUU
        MOXRUUNXMXLYDUMXRUUOUUJUUMXRUUOXMXQLUUJXLXQXMUNXPCKUOUPUQUSYIUUMUUKUUJY
        IUUMXMYHLUUKYDYHXMUNYGCKUOUPUTVAUULUUEUUEOZUUGOUUHUUEXPUUEYGVBUUPUUEUUG
        UUEVCVDVEUPVFVIZUUHUUEYEXOUUEUUGVJUUEXPYEYFVGUUEXNXOYGVHVKVLYOYQUUEUUDY
        OYQUUEUUDYOYQOZUUEOUUDUUHYOUUEYQUUHYOUUEOYQUUHYKXIXKOZYAYCOZOZYNUUEYQUU
        HTXSUUSYJUUTXIXKXRVMYAYCYIVMVNUVAYNOZUUEOZYQUUGUUEUVCYQXNYFOZYQOZUUGUVC
        YQUVDUVAYNUUEYQUVDTZUVAYNUUEYEXNTZXOYFTZOZUVFUVAUUEYNUVIUVAUUEYLUVGTZYM
        UVHTZOYNUVITUVAUUEUVJUVKXIYAUUEUVJTXKYCXIYAOUUEYLYEXNXIYAUUEYLYEOXNTXHX
        TXMVOVPVQVTXKYCUUEUVKTXIYAXKYCUUEUVKXKYCUUERXOYMYFUUEXKYCXOYMOYFTXMXJYB
        VRVSWAVPWBWCYLUVGYMUVHWDWEWFYEXNXOYFWDWGWHWKUVEXNYEOXOYFOOUUGXNYFYEXOWI
        XNYEXOYFVBVEWJUVBUUEWLWMWNWOWPUURUUIUUEYOUUIYQUUQVIVIWQWRWSWTYQCKUOXAXB
        XCXDYSFKXEXFXCXDYTGKXEXFCDYPGFIXGXF $.
    $}

    ${
      $d a z $.  $d b z $.  $d c d x z $.  $d c d y z $.
      $( Lemma for ~ isbasisrelowl .  (Contributed by ML, 27-Jul-2020.) $)
      isbasisrelowllem2 $p |-
       ( ( ( ( a e. RR /\ b e. RR /\
                 x = { z e. RR | ( a <_ z /\ z < b ) } ) /\
             ( c e. RR /\ d e. RR /\
                 y = { z e. RR | ( c <_ z /\ z < d ) } ) ) /\
          ( a <_ c /\ d <_ b ) ) -> ( x i^i y ) e. I ) $=
        ( cv cr wcel cle wbr wa wceq w3a nfv bitri wi clt crab cin wrex simplr1
        wex simplr2 nfrab1 nfeq2 nf3an nfan nfcv simp3 elin eleq2 bitrdi anbi1d
        rabid syl5bb anbi2d sylan9bb an4 anidm anbi1i an42 bicomi anbi2i syl2an
        wb adantr simpl simprrl simprlr jca32 syl6bi 3simpa anim12i letr 3expia
        exp4a ad2ant2r ltletr 3com13 ad2ant2l jcad anim12 syl6 com23 syl8 imp31
        expcomd ancrd syl6ibr simpr jctild sylanl1 imp an32s mpbird expl impbid
        ancomsd bitr4di eqrd jca 19.8ad df-rex sylibr icoreelrnab ) EJZKLZFJZKL
        ZAJZXJCJZMNZXOXLUANZOZCKUBZPZQZGJZKLZHJZKLZBJZYBXOMNZXOYDUANZOZCKUBZPZQ
        ZOZXJYBMNZYDXLMNZOZOZXNYFUCZYJPZHKUDZGKUDZYRDLYQYCYTOZGUFUUAYQUUBGYQYCY
        TYCYEYKYAYPUEYQYEYSOZHUFYTYQUUCHYQYEYSYCYEYKYAYPUGYQCYRYJYMYPCYAYLCXKXM
        XTCXKCRXMCRCXNXSXRCKUHUIUJYCYEYKCYCCRYECRCYFYJYICKUHZUIUJUKYPCRUKCYRULU
        UDYQXOYRLZXOKLZYIOZXOYJLZYQUUEUUGYQUUEUUFXPYHOZYGXQOZOZOZUUGYMUUEUULVIZ
        YPYAXTYKUUMYLXKXMXTUMYCYEYKUMXTYKOUUEUUFXROZUUGOZUULXTUUEUUNXOYFLZOZYKU
        UOUUEXOXNLZUUPOXTUUQXOXNYFUNXTUURUUNUUPXTUURXOXSLUUNXNXSXOUOXRCKURUPUQU
        SYKUUPUUGUUNYKUUPUUHUUGYFYJXOUOYICKURZUPUTVAUUOUUFXRYIOZOZUULUUOUUFUUFO
        ZUUTOUVAUUFXRUUFYIVBUVBUUFUUTUUFVCVDSUUTUUKUUFUUKUUTUUKXPYGOZYHXQOOZUUT
        XPYHYGXQVBUUTUVDXPXQYGYHVEVFSVFVGSUPVHVJZUULUUFYGYHUUFUUKVKUUFUUIYGXQVL
        UUFXPYHUUJVMVNVOYQYIUUFUUEYQYIUUFUUEYQYIOZUUFOUUEUULYQUUFYIUULYQUUFOYIU
        ULYMXKXMOZYCYEOZOZYPUUFYIUULTYAUVGYLUVHXKXMXTVPYCYEYKVPVQUVIYPOZUUFOZYI
        UUKUUFUVKYIUUTUUKUVKYIXRUVIYPUUFYIXRTZUVIYPUUFYGXPTZYHXQTZOZUVLUVIUUFYP
        UVOUVIUUFYNUVMTZYOUVNTZOYPUVOTUVIUUFUVPUVQXKYCUUFUVPTXMYEXKYCOUUFYNYGXP
        XKYCUUFYNYGOXPTXJYBXOVRVSVTWAXMYEUUFUVQTXKYCXMYEUUFUVQXMYEUUFQYHYOXQUUF
        YEXMYHYOOXQTXOYDXLWBWCWKVSWDWEYNUVMYOUVNWFWGWHYGXPYHXQWFWIWJWLUUKUVCXQY
        HOOUUTXPYHYGXQVEXPYGXQYHVBSWMUVJUUFWNWOWPWQWRUVFUUMUUFYQUUMYIUVEVJVJWSW
        TXBXAUUSXCXDXEXFYSHKXGXHXEXFYTGKXGXHCDYRGHIXIXH $.
    $}

    $d I x y z $.
    ${
      $d I a b c d x y z $.
      $( The set of closed-below, open-above intervals of reals is closed under
         finite intersection.  (Contributed by ML, 27-Jul-2020.) $)
      icoreclin $p |- ( ( x e. I /\ y e. I ) -> ( x i^i y ) e. I ) $=
        ( vc vz vd va vb cv wcel cin cle wbr clt wa cr wrex wo ex crab wceq w3a
        wi icoreelrnab isbasisrelowllem1 isbasisrelowllem2 jaod incom eqeltrrid
        ancom1s 3simpa letric anim12i anddi an4s syl2an mpjaod 3expia rexlimivv
        sylib sylbi com12 impcom ) BJZCKZAJZCKZVGVELZCKZVFVEEJZFJZMNVLGJZONPFQU
        AUBZGQREQRVHVJUDZFCVEEGDUEVNVOEGQQVKQKZVMQKZVNVOVHVPVQVNUCZVJVHVGHJZVLM
        NVLIJZONPFQUAUBZIQRHQRVRVJUDZFCVGHIDUEWAWBHIQQVSQKZVTQKZWAWBWCWDWAUCZVR
        VJWEVRPZVSVKMNZVTVMMNZPZWGVMVTMNZPZSZVJVKVSMNZWHPZWMWJPZSZWFWIVJWKWFWIV
        JABFCHIEGDUFTWFWKVJABFCHIEGDUGTUHWFWNVJWOWFWNVJVRWEWNVJVRWEPZWNPVIVEVGL
        ZCVEVGUIZBAFCEGHIDUGUJUKTWFWOVJVRWEWOVJWQWOPVIWRCWSBAFCEGHIDUFUJUKTUHWE
        WCWDPVPVQPWLWPSZVRWCWDWAULVPVQVNULWCVPWDVQWTWCVPPZWDVQPZPWGWMSZWHWJSZPW
        TXAXCXBXDVSVKUMVTVMUMUNWGWMWHWJUOVAUPUQURTUSUTVBVCUSUTVBVD $.
    $}

    $( The set of all closed-below, open-above intervals of reals form a basis.
       (Contributed by ML, 27-Jul-2020.) $)
    isbasisrelowl $p |- I e. TopBases $=
      ( vx vy vz cvv wcel cv cin wral ctb cico cr cxp cima cle clt df-ico ixxex
      imaexg ax-mp eqeltri icoreclin rgen2 fiinbas mp2an ) AFGCHDHIAGZDAJCAJAKG
      ALMMNZOZFBLFGUIFGCDEPQLCDERSLUHFTUAUBUGCDAACDABUCUDCDAFUEUF $.
  $}

  ${
    $d I x $.
    icoreunrn.1 $e |- I = ( [,) " ( RR X. RR ) ) $.
    $( The union of all closed-below, open-above intervals of reals is the set
       of reals.  (Contributed by ML, 27-Jul-2020.) $)
    icoreunrn $p |- RR = U. I $=
      ( vx cr cuni cv wcel c1 caddc cico cfv cxr rexr mpdan icoreresf eleqtrrdi
      co syl ax-mp wss cop cxp cres clt wbr peano2re ltp1 lbico1 df-ov eleqtrdi
      syl3anc wceq opelxpi fvres eleqtrrd cdm wa cpw fdmi crn wfun wf ffun mpan
      fvelrn df-ima eqtri elunii syl2anc ssriv frn eqsstri uniss unipw sseqtrdi
      cima eqssi ) DAEZCDVRCFZDGZVSVSVSHIQZUAZJDDUBZUCZKZGWEAGZVSVRGVTVSWBJKZWE
      VTVSVSWAJQZWGVTVSLGWALGZVSWAUDUEVSWHGVSMVTWADGZWIVSUFZWAMRVSUGVSWAUHUKVSW
      AJUIUJVTWBWCGZWEWGULVTWJWLWKVSWADDUMZNWBWCJUNRUOVTWBWDUPZGZWFVTWJWOWKVTWJ
      UQWBWCWNWMWCDURZWDOUSPNWOWEWDUTZAWDVAZWOWEWQGWCWPWDVBZWROWCWPWDVCSWBWDVEV
      DAJWCVPWQBJWCVFVGZPRVSWEAVHVIVJAWPTZVRDTAWQWPWTWSWQWPTOWCWPWDVKSVLXAVRWPE
      DAWPVMDVNVOSVQ $.
  $}

  ${
    istoprelowl.1 $e |- I = ( [,) " ( RR X. RR ) ) $.
    $( The set of all closed-below, open-above intervals of reals generate a
       topology on the reals.  (Contributed by ML, 27-Jul-2020.) $)
    istoprelowl $p |- ( topGen ` I ) e. ( TopOn ` RR ) $=
      ( ctb wcel ctg cfv cr ctopon isbasisrelowl cuni icoreunrn eqcomi eleqtrdi
      tgtopon fveq2i ax-mp ) ACDZAEFZGHFZDABIQRAJZHFSANTGHGTABKLOMP $.
  $}

  ${
    $d A z $.  $d B z $.  $d a b z $.
    icoreelrn.1 $e |- I = ( [,) " ( RR X. RR ) ) $.
    $( A class abstraction which is an element of the set of closed-below,
       open-above intervals of reals.  (Contributed by ML, 1-Aug-2020.) $)
    icoreelrn $p |- ( ( A e. RR /\ B e. RR ) ->
                       { z e. RR | ( A <_ z /\ z < B ) } e. I ) $=
      ( va vb cr wcel wa cico co cv cle wbr clt crab icoreval cxp cxr simpl cpw
      cima simpr wf wfun df-ico ixxf ffun mp1i cdm wss rexpssxrxp fdmi sseqtrri
      a1i elovimad eleqtrrdi eqeltrrd ) BHIZCHIZJZBCKLZBAMZNOVDCPOJAHQDABCRVBVC
      KHHSZUCDVBBCHHKUTVAUAUTVAUDTTSZTUBZKUEKUFVBFGANPKFGAUGUHZVFVGKUIUJVEKUKZU
      LVBVEVFVIUMVFVGKVHUNUOUPUQEURUS $.
  $}

  ${
    $d A y $.  $d B y $.  $d X y $.
    $( An element of an open interval is not its smallest element.
       (Contributed by ML, 2-Aug-2020.) $)
    iooelexlt $p |- ( X e. ( A (,) B ) -> E. y e. ( A (,) B ) y < X ) $=
      ( cxr wcel cioo co clt wbr cr cpnf wceq cmnf wi wa cvv adantr wb syl wrex
      cv eliooxr simpld w3o elxr wal 19.3v caddc cdiv ovex nfcv elioore readdcl
      nfre1 rehalfcld sylan2 ancoms rexrd eliooord avglt1 simprd avglt2 xrlttrd
      c2 mpbid w3a elioo1 mpbir3and jca eleq1 anbi12d syl5ibr rspe syl6 spcimgf
      breq1 ax-mp sylbir expcom simpl oveq1 eleq2d adantl wn elioo2 mpan biimpd
      pnfxr rexr pnfnlt intn3an2d a1i pm2.65d pm2.21d sylbid mpd cmin peano2rem
      c1 mnflt ltm1d mnfxr mpbird 3jaoi sylbi mpcom ) BEFZDBCGHZFZAUBZDIJZAXIUA
      ZXJXHCEFZDBCUCZUDXHBKFZBLMZBNMZUEXJXMOZBUFXPXSXQXRXJXPXMXJXPPZXTAUGZXMXTA
      UHBDUIHZVEUJHZQFYAXMOYBVEUJUKXTXMAYCQAYCULXLAXIUOZXKYCMZXTXKXIFZXLPZXMXTY
      GYEYCXIFZYCDIJZPXTYHYIXTYHYCEFZBYCIJZYCCIJZXTYCXPXJYCKFZXJXPDKFZYMDBCUMZX
      PYNPYBBDUNUPUQURUSZXTBDIJZYKXJYQXPXJYQDCIJZDBCUTZUDRZXPXJYQYKSZXJXPYNUUAY
      OBDVAUQURVFXTYCDCYPXJDEFZXPXJDYOUSZRXJXNXPXJXHXNXOVBZRXTYQYIYTXPXJYQYISZX
      JXPYNUUEYOBDVCUQURVFZXJYRXPXJYQYRYSVBZRVDXJYHYJYKYLVGSZXPXJXHXNPUUHXOBCYC
      VHTRVIUUFVJYEYFYHXLYIXKYCXIVKXKYCDIVQVLVMXLAXIVNZVOVPVRVSVTXJXQXMXJXQPZXJ
      XMXJXQWAUUJXJDLCGHZFZXMXQXJUULSXJXQXIUUKDBLCGWBWCWDXJUULXMOXQXJUULXMXJXNU
      ULWEUUDXNUULYNLDIJZYRVGZXNUULUUNLEFXNUULUUNSWILCDWFWGWHUULUUNWEZOXNUULYNU
      UODLCUMYNUUMYNYRYNUUBUUMWEDWJDWKTWLTWMWNTWORWPWQVTXJXRXMXJXRPZUUPAUGZXMUU
      PAUHDWTWRHZQFUUQXMODWTWRUKUUPXMAUURQAUURULYDUUPXKUURMZXMUUPUUSPZYGXMUUTYG
      UURXIFZUURDIJZPZUUPUVCUUSUUPUVAUVBUUPUVAUURNCGHZFZXJUVEXRXJUVEUURKFZNUURI
      JZUURCIJZXJYNUVFYODWSTZXJUVFUVGUVIUURXATXJUURDCXJUURUVIUSUUCUUDXJDYOXBZUU
      GVDXJXNUVEUVFUVGUVHVGSZUUDNEFXNUVKXCNCUURWFWGTVIRXRUVAUVESXJXRXIUVDUURBNC
      GWBWCWDXDXJUVBXRUVJRVJRUUSYGUVCSUUPUUSYFUVAXLUVBXKUURXIVKXKUURDIVQVLWDXDU
      UITVTVPVRVSVTXEXFXG $.
  $}

  ${
    $d I a b i o x $.  $d a b x z $.  $d i x z $.
    relowlssretop.1 $e |- I = ( [,) " ( RR X. RR ) ) $.
    $( The lower limit topology on the reals is finer than the standard
       topology.  (Contributed by ML, 1-Aug-2020.) $)
    relowlssretop $p |- ( topGen ` ran (,) ) C_ ( topGen ` I ) $=
      ( vx vi vz cioo wss cv wcel wa wi cr co wceq cxr wb cmnf wbr clt adantl
      vo va vb crn ctg cfv wrex wral cxp cpw wfn ioof ffn ovelrn mp2b cpnf elxr
      w3o cle crab simpr elioore anim12ci icoreelrn syl leidd w3a elioo1 syldan
      wf rexrd biimpa simp3d cico 3anim1i elico1 syl2an biimprd syl2im icoreval
      rexr eleq2d sylibd mp3and nfrab1 nfcv iooval anbi1d pm5.32i rabid anbi12i
      nfv ad2antll anim12i anim2i 3anass sylibr simprl xrltletr sylc simprr jca
      simpl sylanbrc adantlr adantr sylan2b sylbi expr ssrd sylanl2 eleq2 sseq1
      eleqtrrd anbi12d rspcev syl12anc ancom1s c1 caddc peano2re syl2anc2 ltp1d
      expl jca32 breq2 breq1 elrab simpll elioopnf simplbda mp2and syl5bi oveq2
      xrltletrd anbi2d imbi12d cuni cvv unirnioo ex sseq2d impl syl2anc intnand
      mpbiri nltmnf eliooord nsyl pm2.21d impd ancomsd mpcom 3jaoi ancoms sseq2
      expdimp syl5ibrcom rexlimivv rgen rgenw iooex rnex icoreunrn eqtr3i tgss2
      rexbidv mp2an raleqi bitr4i mpbir ) FUDZUEUFAUEUFGZCHZUAHZIZUVNDHZIZUVQUV
      OGZJZDAUGZKZUAUVLUHZCLUHZUWCCLUWBUAUVLUVOUVLIZUVOUBHZUCHZFMZNZUCOUGUBOUGZ
      UWBOOUIZLUJZFVJFUWKUKUWEUWJPULUWKUWLFUMUBUCOOUVOFUNUOUWIUWBUBUCOOUWFOIZUW
      GOIZJZUWBUWIUVNUWHIZUVRUVQUWHGZJZDAUGZKZUWNUWMUWTUWNUWMUWPUWSUWNUWGLIZUWG
      UPNZUWGQNZURUWMUWPJZUWSKZUWGUQUXAUXEUXBUXCUXAUWMUWPUWSUWMUXAUWPUWSUWMUXAJ
      ZUWPJZUVNEHZUSRZUXHUWGSRZJZELUTZAIZUVNUXLIZUXLUWHGZUWSUXGUVNLIZUXAJZUXMUX
      FUXAUWPUXPUWMUXAVAZUVNUWFUWGVBZVCZEUVNUWGABVDVEUXGUXPUVNUVNUSRZUVNUWGSRZU
      XNUWPUXPUXFUXSTUWPUYAUXFUWPUVNUXSVFTUXGUVNOIZUWFUVNSRZUYBUXFUWPUYCUYDUYBV
      GZUWMUXAUWNUWPUYEPUXFUWGUXRVKUWFUWGUVNVHVIVLVMUXGUXPUYAUYBVGZUVNUVNUWGVNM
      ZIZUXNUXGUXQUYFUYCUYAUYBVGZUYHUXTUXPUYCUYAUYBUVNWAZVOUXQUYHUYIUXPUYCUWNUY
      HUYIPUXAUYJUWGWAZUVNUWGUVNVPVQVRVSUXGUYGUXLUVNUXGUXQUYGUXLNUXTEUVNUWGVTVE
      WBWCWDUXAUWMUWNUWPUXOUYKUWOUWPJZEUXLUWHUYLEWLUXKELWEEUWHWFUWOUWPUXHUXLIZU
      XHUWHIZUWOUWPUYMJZJUWOUVNUYDUYBJZCOUTZIZUYMJZJUYNUWOUYOUYSUWOUWPUYRUYMUWO
      UWHUYQUVNCUWFUWGWGWBWHWIUYSUWOUYCUYPJZUXHLIZUXKJZJZUYNUYRUYTUYMVUBUYPCOWJ
      UXKELWJWKUWOVUCJUXHUWFUXHSRZUXJJZEOUTZUWHUWMVUCUXHVUFIZUWNUWMVUCJZUXHOIZV
      UEVUGVUBVUIUWMUYTVUBUXHVUAUXKXCVKZWMVUHVUDUXJVUHUWMUYCVUIVGZUYDUXIJZVUDVU
      HUWMUYCVUIJZJVUKVUCVUMUWMUYTUYCVUBVUIUYCUYPXCVUJWNWOUWMUYCVUIWPWQVUCVULUW
      MUYTUYDVUBUXIUYCUYDUYBWRVUAUXIUXJWRWNTUWFUVNUXHWSWTVUBUXJUWMUYTVUAUXIUXJX
      AWMXBVUEEOWJXDXEUWOUWHVUFNVUCEUWFUWGWGXFXNXGXHXIXJXKUWRUXNUXOJDUXLAUVQUXL
      NUVRUXNUWQUXOUVQUXLUVNXLUVQUXLUWHXMXOXPXQXRYDUXBUWMUWPUWSUWMUXBUWPUWSUWMU
      XBJZUWPJZUXIUXHUVNXSXTMZSRZJZELUTZAIZUVNVUSIZVUSUWHGZJZUWSVUOUXPVUPLIVUTU
      WPUXPVUNUXSTUVNYAEUVNVUPABVDYBUXBUWMUWPVVCUXBUWMUWPVVCUXBUXDVVCKUWMUVNUWF
      UPFMZIZJZVVAVUSVVDGZJZKVVFVVAVVGVVFUXPUYAUVNVUPSRZJZJVVAVVFUXPUYAVVIVVEUX
      PUWMUVNUWFUPVBTZVVFUVNVVKVFVVFUVNVVKYCYEVURVVJEUVNLUXHUVNNUXIUYAVUQVVIUXH
      UVNUVNUSYFUXHUVNVUPSYGXOYHWQVVFEVUSVVDVVFEWLVURELWEEVVDWFUXHVUSIVUAVURJZV
      VFUXHVVDIZVURELWJVVFVVLVVMVVFVVLJZVUAVUDVVMVVFVUAVURWRZVVNUWFUVNUXHUWMVVE
      VVLYIVVNUVNVVFUXPVVLVVKXFVKVVNUXHVVOVKVVFUYDVVLUWMVVEUXPUYDUWFUVNYJYKXFVV
      LUXIVVFVUAUXIVUQWRTYOVVFVUAVUDJZVVMKZVVLUWMVVQVVEUWMVVMVVPUWFUXHYJVRXFXFY
      LUUAYMXJXBUXBUXDVVFVVCVVHUXBUWPVVEUWMUXBUWHVVDUVNUWGUPUWFFYNZWBYPUXBVVBVV
      GVVAUXBUWHVVDVUSVVRUUBYPYQUUFUUCXRUWRVVCDVUSAUVQVUSNUVRVVAUWQVVBUVQVUSUVN
      XLUVQVUSUWHXMXOXPUUDXRYDUXCUWMUWPUWSUWMUXCUWPUWSUXPUWMUXCJZUWPJZUWSUWPUXP
      VVSUXSTUXPUYCVVTUWSKUYJVVTVVSUVNUWFQFMZIZJUYCUWSVVSUWPVWBUXCUWPVWBPUWMUXC
      UWHVWAUVNUWGQUWFFYNWBTWIUYCVWBVVSUWSUYCVWBVVSUWSUYCVWBVVSUWSKUYCUYDUVNQSR
      ZJVWBUYCVWCUYDUVNUUGUUEUVNUWFQUUHUUIUUJUUKUULYMVEUUMXRYDUUNXHUUQUUOUWIUVP
      UWPUWAUWSUVOUWHUVNXLUWIUVTUWRDAUWIUVSUWQUVRUVOUWHUVQUUPYPUVGYQUURUUSXHUUT
      UVAUVMUWCCUVLYRZUHZUWDUVLYSIVWDAYRZNUVMVWEPFUVBUVCLVWDVWFYTABUVDUVECUADUV
      LAYSUVFUVHUWCCLVWDYTUVIUVJUVK $.
  $}

  ${
    $d I a b c i o x $.  $d a b m n x z $.  $d a b c x y $.  $d c i x z $.
    relowlpssretop.1 $e |- I = ( [,) " ( RR X. RR ) ) $.
    $( The lower limit topology on the reals is strictly finer than the
       standard topology.  (Contributed by ML, 2-Aug-2020.) $)
    relowlpssretop $p |- ( topGen ` ran (,) ) C. ( topGen ` I ) $=
      ( vc vi vx wceq c2 cr wcel c1 clt wbr wn wa wsbc wi cico wb ax-mp cxr crn
      vo vz va vb vy vm vn cioo ctg cfv wpss wss wne relowlssretop 2re 1lt2 cvv
      cv co ovex sbcan 1re sbcg sbcbr123 csbvarg csbconstg breq12i breqi 3bitri
      csb anbi12i bitri sbceqg csbov123 oveq123i eqtri eqeq12i wrex simpr simpl
      wral cle leid jccir rexr elico2 sylan2 df-3an bitrdi baibd biimpar adantr
      w3a mpdan adantl mpbird cop cxp cima rexpssxrxp opelxpi sselid cdm df-ico
      cpw ixxf fdmi eleq2i wfun crab mpofun funfvima mpan sylbir syl5ibrcom imp
      eleq2 wex sylib a1i sylan rexrd con2d syl2anc annim sylnibr mpbi jca rspe
      ex rexnal cuni mp2an sbcth sbcimg sbcel1v mpbir mpbiran2 3imtr3i sylc wfn
      df-ov 3eltr4g eleq1 ioof ffn ovelrn wal iooelexlt df-rex elmpocl2 elioore
      simp2 syl6bi com23 mpdi elicore xrlenlt biimpd mt2d intnand syl6ib eximdv
      wf jcad mpd exnal dfss2 imnan sseq1 anbi12d mtbiri sseq2 anbi2d rexlimivv
      notbid sylbi com12 ralrimiv ralnex adantlr anbi2i exp41 com4l imp41 ixxex
      syl imaexg eqeltri icoreunrn unirnioo eqtr3i tgss2 raleqi bitr4i syl2anbr
      an12 eqid eqsbc1 anbi1i eqimss mto nesymir df-pss mpbir2an ) UIUAZUJUKZAU
      JUKZULUXHUXIUMUXHUXIUNABUOUXIUXHUXIUXHFUXIUXHUMZGHIZJGKLZUXJMZUPUQCUSZHIZ
      JUXNKLZNZCGOZUXMCGOZUXKUXLNZUXMUXQUXMPZCGOZUXRUXSPZUXKUYBUPUYACGHUXQDUSZJ
      UXNQUTZFZNZDUYEOZUXMDUYEOZUXQUXMUYGUXMPZDUYEOZUYHUYIPZUYEURIZUYKJUXNQVAZU
      YJDUYEURUXQUXOEUSZUXNKLZNZEJOZUYDUYOUXNQUTZFZEJOZUXMUYFUYRUXOEJOZUYPEJOZN
      UXQUXOUYPEJVBVUBUXOVUCUXPJHIZVUBUXORVCUXOEJHVDSVUCEJUYOVKZEJUXNVKZEJKVKZL
      JUXNVUGLUXPEJUYOUXNKVEVUEJVUFUXNVUGVUDVUEJFVCEJHVFSZVUDVUFUXNFVCEJUXNHVGS
      ZVHJUXNVUGKVUDVUGKFVCEJKHVGSVIVJVLVMVUAEJUYDVKZEJUYSVKZFZUYFVUDVUAVULRVCE
      JUYDUYSHVNSVUJUYDVUKUYEVUDVUJUYDFVCEJUYDHVGSVUKVUEVUFEJQVKZUTUYEEJUYOUXNQ
      VOVUEVUFJUXNVUMQVUHVUIVUDVUMQFVCEJQHVGSVPVQVRVMUYRVUANUYQUYTNZEJOZUXMUYQU
      YTEJVBVUNUYOHIZNZEJOZUXMEJOZVUOUXMVUQUXMPZEJOZVURVUSPZVUDVVAVCVUTEJHVUQUY
      OUYDIZUYOUBUSZIZVVDUYDUMZNZUBUXGVSZPZDAWBZEHWBZUXJVUQVVJMZEHVSZVVKMVUQVUP
      VVLVVMVUNVUPVTUXOUYPUYTVUPVVLVUPUXOUYPUYTVVLVUPUXOUYPUYTVVLVUPUXONZUYPNZU
      YTNZVVIMZDAVSZVVLVVPUYDAIZVVQNZVVRVVPVVCVVSVVHMZNZNZVVTVVPVVCVWBVVPVVCUYO
      UYSIZVVOVWDUYTVVNVWDUYPVVNVUPUYOUYOWCLZNZVWDUYPRVVNVUPVWEVUPUXOWAUYOWDWEV
      VNVWDVWFUYPVVNVWDVUPVWEUYPWNZVWFUYPNUXOVUPUXNTIZVWDVWGRUXNWFUYOUXNUYOWGWH
      VUPVWEUYPWIWJWKWOWLWMUYTVVCVWDRVVOUYDUYSUYOXRWPWQVVNUYTVWBUYPVVNUYTNVVSVW
      AVVNUYTVVSVVNVVSUYTUYSAIVVNUYOUXNWRZQUKZQHHWSZWTZUYSAVVNVWITTWSZIZVWIVWKI
      ZVWJVWLIZVVNVWKVWMVWIXAUYOUXNHHXBZXCVWQVWNVWIQXDZIZVWOVWPPZVWRVWMVWIVWMTX
      FQECUCWCKQECUCXEZXGXHXIQXJVWSVWTECTTUYOUCUSZWCLVXBUXNKLNUCTXKZQVXAXLVWKVW
      IQXMXNXOUUAUYOUXNQUUCBUUDUYDUYSAUUEXPXQUYTVWAVVNUYTVVGMZUBUXGWBVWAUYTVXDU
      BUXGVVDUXGIZUYTVXDVXEVVDUDUSZUEUSZUIUTZFZUETVSUDTVSZUYTVXDPZUIVWMUUBZVXEV
      XJRVWMHXFZUIUVEVXLUUFVWMVXMUIUUGSUDUETTVVDUIUUHSVXIVXKUDUETTVXIVXKPVXFTIV
      XGTINVXIVXDUYTVVEVVDUYSUMZNZMVXIVXOUYOVXHIZVXHUYSUMZNZVXPVXQMPVXRMVXPUFUS
      ZVXHIZVXSUYSIZPZUFUUIZVXQVXPVYBMZUFXSZVYCMVXPVXTVXSUYOKLZNZUFXSZVYEVXPVYF
      UFVXHVSVYHUFVXFVXGUYOUUJVYFUFVXHUUKXTVXPVYGVYDUFVXPVYGVXTVYAMZNVYDVXPVYGV
      XTVYIVYGVXTPVXPVXTVYFWAYAVXPVYAVYGVXPVYAVYGMVXPVYANZVYFVXTVYJVYFUYOVXSWCL
      ZVXPVYAVYKVXPVYAVWHVYKECTTVXCUYOUXNQVXSVXAUULVXPVWHVYAVYKVXPVWHVYAVYKPVXP
      VWHNVYAVXSHIZVYKVXSUXNKLZWNZVYKVXPVUPVWHVYAVYNRUYOVXFVXGUUMZUYOUXNVXSWGYB
      VYLVYKVYMUUNUUOYKUUPUUQXQVYJUYOTIZVXSTIZVYFVYKMPVXPVYPVYAVXPUYOVYOYCWMVYJ
      VXSVXPVUPVYAVYLVYOUYOUXNVXSUURYBYCVYPVYQNZVYKVYFVYRVYKVYFMUYOVXSUUSUUTYDY
      EUVAUVBYKYDUVFVXTVYAYFUVCUVDUVGVYBUFUVHXTUFVXHUYSUVIYGVXPVXQUVJYHVXIVVEVX
      PVXNVXQVVDVXHUYOXRVVDVXHUYSUVKUVLUVMUYTVVGVXOUYTVVFVXNVVEUYDUYSVVDUVNUVOU
      VQXPYAUVPUVRUVSUVTVVGUBUXGUWAXTWPYIUWBYIVWCVVSVVCVWANZNVVTVVCVVSVWAUWRVYS
      VVQVVSVVCVVHYFUWCVMXTVVQDAYJUWHVVIDAYLXTUWDUWEUWFVVLEHYJYEVVJEHYLXTUXJVVJ
      EAYMZWBZVVKAURIVYTUXGYMZFUXJWUARAVWLURBQURIVWLURIUGUHUCWCKQUGUHUCXEUWGQVW
      KURUWISUWJHVYTWUBABUWKZUWLUWMEDUBAUXGURUWNYNVVJEHVYTWUCUWOUWPYGYOSVUDVVAV
      VBRVCVUQUXMEJHYPSYHVURVUOVUPEJOZWUDVUDVCEJHYQYRVUNVUPEJVBYSVUDVUSUXMRVCUX
      MEJHVDSYTXOUWQYOSUYMUYKUYLRUYNUYGUXMDUYEURYPSYHUYHUXQDUYEOZUYFDUYEOZNZUXQ
      UXQUYFDUYEVBWUGUXQWUFWUFUYEUYEFZUYEUWSUYMWUFWUHRUYNDUYEUYEURUWTSYRWUEUXQW
      UFUYMWUEUXQRUYNUXQDUYEURVDSUXAYSVMUYMUYIUXMRUYNUXMDUYEURVDSYTYOSUXKUYBUYC
      RUPUXQUXMCGHYPSYHUXRUXOCGOZUXPCGOZNUXTUXOUXPCGVBWUIUXKWUJUXLCGHYQWUJCGJVK
      ZCGUXNVKZCGKVKZLJGWUMLUXLCGJUXNKVEWUKJWULGWUMUXKWUKJFUPCGJHVGSUXKWULGFUPC
      GHVFSVHJGWUMKUXKWUMKFUPCGKHVGSVIVJVLVMUXKUXSUXMRUPUXMCGHVDSYTYNUXIUXHUXBU
      XCUXDUXHUXIUXEUXF $.
  $}

  ${
    sucneqond.1 $e |- ( ph -> X = suc Y ) $.
    sucneqond.2 $e |- ( ph -> Y e. On ) $.
    $( Inequality of an ordinal set with its successor.  Does not use the axiom
       of regularity.  (Contributed by ML, 18-Oct-2020.) $)
    sucneqond $p |- ( ph -> X =/= Y ) $=
      ( wceq wcel csuc con0 sucidg syl eleqtrrd wn word suceloni eqeltrd ordirr
      eloni eleq1 biimprd con3d syl5com mt2d neqned ) ABCABCFZCBGZACCHZBACIGZCU
      GGECIJKDLABBGZMZUEUFMABNZUJABIGUKABUGIDAUHUGIGECOKPBRKBQKUEUFUIUEUIUFBCBS
      TUAUBUCUD $.
  $}

  ${
    sucneqoni.1 $e |- X = suc Y $.
    sucneqoni.2 $e |- Y e. On $.
    $( Inequality of an ordinal set with its successor.  Does not use the axiom
       of regularity.  (Contributed by ML, 18-Oct-2020.) $)
    sucneqoni $p |- X =/= Y $=
      ( wne wtru csuc wceq a1i con0 wcel sucneqond mptru ) ABEFABABGHFCIBJKFDIL
      M $.
  $}

  $( If an ordinal number has a predecessor, then it is successor of that
     predecessor.  (Contributed by ML, 17-Oct-2020.) $)
  onsucuni3 $p |- ( ( B e. On /\ B =/= (/) /\ -. Lim B ) ->
                    B = suc U. B ) $=
    ( con0 wcel c0 wne wlim wn w3a cuni csuc wceq wo eloni 3ad2ant1 orduniorsuc
    word syl orcomd wa mpnanrd simp2 df-lim 3expb con3i 3ad2ant3 wi orcom df-or
    biimpri sylbb sylc ) ABCZADEZAFZGZHZAAIZJKZAUQKZLZUSGZURUPUSURUPAPZUSURLZUL
    UMVBUOAMNZAOQRUPUMUSULUMUOUAUPVBUMUSSZVDUOULVBVESZGUMVFUNVBUMUSUNUNVBUMUSHA
    UBUIUCUDUETTUTVCVAURUFURUSUGUSURUHUJUK $.

  $( The ordinal number ` 1o ` is the predecessor of the ordinal number
     ` 2o ` .  (Contributed by ML, 19-Oct-2020.) $)
  1oequni2o $p |- 1o = U. 2o $=
    ( c1o csuc c2o cuni wceq df-2o con0 wcel c0 wne wlim wn 2on 2on0 2onn nnlim
    com ax-mp onsucuni3 mp3an eqtr3i wb 1on onuni suc11 mp2an mpbi ) ABZCDZBZEZ
    AUIEZCUHUJFCGHZCIJCKLZCUJEMNCQHUNOCPRCSTUAAGHUIGHZUKULUBUCUMUOMCUDRAUIUEUFU
    G $.

  $( If an ordinal number has a predecessor, the value of the recursive
     definition generator at that number in terms of its predecessor.
     (Contributed by ML, 17-Oct-2020.) $)
  rdgsucuni $p |- ( ( B e. On /\ B =/= (/) /\ -. Lim B ) ->
         ( rec ( F , I ) ` B ) = ( F ` ( rec ( F , I ) ` U. B ) ) ) $=
    ( con0 wcel c0 wne wlim wn w3a crdg cfv cuni csuc onsucuni3 fveq2d 3ad2ant1
    wceq onuni rdgsuc syl eqtrd ) ADEZAFGZAHIZJZABCKZLAMZNZUGLZUHUGLBLZUFAUIUGA
    OPUFUHDEZUJUKRUCUDULUEASQCUHBTUAUB $.

  ${
    $d A x $.  $d B x $.  $d F x $.  $d M x $.  $d N x $.  $d X x $.
    $( If a recursive function with an initial value ` A ` at step ` N ` is
       equal to itself with an initial value ` B ` at step ` M ` , then every
       finite number of successor steps will also be equal.  (Contributed by
       ML, 21-Oct-2020.) $)
    rdgeqoa $p |- ( ( N e. On /\ M e. On /\ X e. _om ) ->
         ( ( rec ( F , A ) ` N ) = ( rec ( F , B ) ` M ) ->
             ( rec ( F , A ) ` ( N +o X ) )
           = ( rec ( F , B ) ` ( M +o X ) ) ) ) $=
      ( vx com wcel w3a cfv wceq coa co wi fveq2d c0 wsbc wa csb simp3 cv eleq1
      con0 3anbi3d oveq2 eqeq12d imbi2d imbi12d peano1 wal oa0 eqcomd eqeqan12d
      crdg biimpd biantru anbi2i 3anass bitr4i bitr4di mpbiri ax-gen sbc6g csuc
      peano2b 3anbi3i imbi1i nnon oacl anim12i 3impdir rdgsuc sylan9eqr adantrr
      ax-mp fveq2 ad2antll eqtr4d sylan2 ancoms syl3anl3 onasuc 3adant2 3adant1
      adantr 3eqtr4d ex imim2d sylbir a2i sylbi sbcimg sbc3an sbcg wb 3anbi123d
      sbcel1v syl5bb sbceqg csbfv12 csbconstg csbov123 csbvarg oveq123d fveq12d
      a1i syl5eq bitrd syl5ibr findes vtoclga mpcom ) FHIZEUDIZDUDIZXNJZECAUOZK
      ZDCBUOZKZLZEFMNZXRKZDFMNZXTKZLZOZXOXPXNUAXOXPGUBZHIZJZYBEYIMNZXRKZDYIMNZX
      TKZLZOZOZXQYHOGFHYIFLZYKXQYQYHYSYJXNXOXPYIFHUCUEYSYPYGYBYSYMYDYOYFYSYLYCX
      RYIFEMUFPYSYNYEXTYIFDMUFPUGUHUIYRGQHIZYRGQRZUJYTUUAYIQLZYROZGUKUUCGUUBYRX
      OXPSZYBEQMNZXRKZDQMNZXTKZLZOZOUUDYBUUIXOXPXSUUFYAUUHXOUUFXSXOUUEEXREULPUM
      XPUUHYAXPUUGDXTDULPUMUNUPUUBYKUUDYQUUJUUBYKXOXPYTJZUUDUUBYJYTXOXPYIQHUCUE
      UUDXOXPYTSZSUUKXPUULXOYTXPUJUQURXOXPYTUSUTVAUUBYPUUIYBUUBYMUUFYOUUHUUBYLU
      UEXRYIQEMUFPUUBYNUUGXTYIQDMUFPUGUHUIVBVCYRGQHVDVBVPYJYIVEZHIZYRYRGUUMRZOY
      IVFZYRUUOUUNXOXPUUNJZYBEUUMMNZXRKZDUUMMNZXTKZLZOZOZYRUUQYQOUVDYKUUQYQYJUU
      NXOXPUUPVGZVHUUQYQUVCUUQYKYQUVCOUVEYKYPUVBYBYKYPUVBYKYPSYLVEZXRKZYNVEZXTK
      ZUUSUVAYJXOXPYIUDIZYPUVGUVILZYIVIYPXOXPUVJJZUVKUVLYPYLUDIZYNUDIZSZUVKXOUV
      JXPUVOXOUVJSUVMXPUVJSUVNEYIVJDYIVJVKVLYPUVOSUVGYOCKZUVIYPUVMUVGUVPLUVNUVM
      YPUVGYMCKUVPAYLCVMYMYOCVQVNVOUVNUVIUVPLYPUVMBYNCVMVRVSVTWAWBYKUUSUVGLZYPX
      OYJUVQXPXOYJSUURUVFXREYIWCPWDWFYKUVAUVILZYPXPYJUVRXOXPYJSUUTUVHXTDYIWCPWE
      WFWGWHWIWJWKWLUUNUUOYKGUUMRZYQGUUMRZOUVDYKYQGUUMHWMUUNUVSUUQUVTUVCUVSXOGU
      UMRZXPGUUMRZYJGUUMRZJUUNUUQXOXPYJGUUMWNUUNUWAXOUWBXPUWCUUNXOGUUMHWOXPGUUM
      HWOUWCUUNWPUUNGUUMHWRXGWQWSUUNUVTYBGUUMRZYPGUUMRZOUVCYBYPGUUMHWMUUNUWDYBU
      WEUVBYBGUUMHWOUUNUWEGUUMYMTZGUUMYOTZLUVBGUUMYMYOHWTUUNUWFUUSUWGUVAUUNUWFG
      UUMYLTZGUUMXRTZKUUSGUUMYLXRXAUUNUWHUURUWIXRGUUMXRHXBUUNUWHGUUMETZGUUMYITZ
      GUUMMTZNUURGUUMEYIMXCUUNUWJEUWKUUMUWLMGUUMMHXBZGUUMEHXBGUUMHXDZXEXHXFXHUU
      NUWGGUUMYNTZGUUMXTTZKUVAGUUMYNXTXAUUNUWOUUTUWPXTGUUMXTHXBUUNUWOGUUMDTZUWK
      UWLNUUTGUUMDYIMXCUUNUWQDUWKUUMUWLMUWMGUUMDHXBUWNXEXHXFXHUGXIUIXIUIXIXJWLX
      KXLXM $.
  $}

  $( Membership in a Cartesian product.  This version requires no quantifiers
     or dummy variables.  See also ~ elxp7 .  (Contributed by ML,
     19-Oct-2020.) $)
  elxp8 $p |- ( A e. ( B X. C )
                <-> ( ( 1st ` A ) e. B /\ A e. ( _V X. C ) ) ) $=
    ( cxp wcel c1st cfv cvv xp1st wss ssv ssid xpss12 mp2an sseli jca c2nd xpss
    wa adantl xp2nd anim2i elxp7 sylanbrc impbii ) ABCDZEZAFGBEZAHCDZEZSZUGUHUJ
    ABCIUFUIABHJCCJUFUIJBKCLBHCCMNOPUKAHHDZEZUHAQGCEZSUGUJUMUHUIULAHCROTUJUNUHA
    HCUAUBABCUCUDUE $.

  ${
    $d ch z $.  $d ph z $.  $d ps z $.  $d x y z $.
    cbveud.1 $e |- F/ x ph $.
    cbveud.2 $e |- F/ y ph $.
    cbveud.3 $e |- ( ph -> F/ y ps ) $.
    cbveud.4 $e |- ( ph -> F/ x ch ) $.
    cbveud.5 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Deduction used to change bound variables in an existential uniqueness
       quantifier, using implicit substitution.  (Contributed by ML,
       27-Mar-2021.) $)
    cbveud $p |- ( ph -> ( E! x ps <-> E! y ch ) ) $=
      ( vz weq wb wal wex weu nfvd nfbid wa eu6 simpr equequ1 adantr bibi12d ex
      sylcom cbv2w exbidv 3bitr4g ) ABDKLZMZDNZKOCEKLZMZENZKOBDPCEPAULUOKAUKUND
      EFGABUJEHAUJEQRACUMDIAUMDQRADELZBCMZUKUNMZJUPUQURUPUQSBCUJUMUPUQUAUPUJUMM
      UQDEKUBUCUDUEUFUGUHBDKTCEKTUI $.
  $}

  ${
    $d A x y $.
    cbvreud.1 $e |- F/ x ph $.
    cbvreud.2 $e |- F/ y ph $.
    cbvreud.3 $e |- ( ph -> F/ y ps ) $.
    cbvreud.4 $e |- ( ph -> F/ x ch ) $.
    cbvreud.5 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Deduction used to change bound variables in a restricted existential
       uniqueness quantifier.  (Contributed by ML, 27-Mar-2021.) $)
    cbvreud $p |- ( ph -> ( E! x e. A ps <-> E! y e. A ch ) ) $=
      ( cv wcel wa weu wreu nfvd nfand wb df-reu wceq adantl imp anbi12d cbveud
      eleq1 ex 3bitr4g ) ADLZFMZBNZDOELZFMZCNZEOBDFPCEFPAUKUNDEGHAUJBEAUJEQIRAU
      MCDAUMDQJRAUIULUAZUKUNSAUONUJUMBCUOUJUMSAUIULFUFUBAUOBCSKUCUDUGUEBDFTCEFT
      UH $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( The difference of unions is a subset of the union of the difference.
       (Contributed by ML, 29-Mar-2021.) $)
    difunieq $p |- ( U. A \ U. B ) C_ U. ( A \ B ) $=
      ( vx vy cuni cdif cv wcel wn wa wex eluni notbii wal alinexa nfa1 adantrd
      wi sp eldif ancld anass syl6ib eximd sylbir impcom syl2anb anbi2i 3imtr4i
      exbii bitri ssriv ) CAEZBEZFZABFZEZCGZUMHZURUNHZIZJURDGZHZVBAHZVBBHZIZJZJ
      ZDKZURUOHURUQHZUSVCVDJZDKZVCVEJDKZIZVIVADURALUTVMDURBLMVNVLVIVNVCVFRZDNZV
      LVIRVCVEDOVPVKVHDVODPVPVKVKVFJVHVPVKVFVPVCVFVDVODSQUAVCVDVFUBUCUDUEUFUGUR
      UMUNTVJVCVBUPHZJZDKVIDURUPLVRVHDVQVGVCVBABTUHUJUKUIUL $.
  $}

  ${
    $( Theorem about subsets of the difference of unions.  (Contributed by ML,
       29-Mar-2021.) $)
    inunissunidif $p |- ( ( A i^i U. C ) = (/) ->
                         ( A C_ U. B <-> A C_ U. ( B \ C ) ) ) $=
      ( cuni cin wceq wss cdif reldisj difunieq mpan2 syl6bi com12 difss unissi
      c0 sstr impbid1 ) ACDZEPFZABDZGZABCHZDZGZUBTUEUBTAUASHZGZUEASUAIUGUFUDGUE
      BCJAUFUDQKLMUEUDUAGUBUCBBCNOAUDUAQKR $.
  $}

  ${
    $d A y $.  $d B y $.  $d C y $.  $d F y $.  $d X y $.
    $( Elementhood in a recursive definition at a limit ordinal.  (Contributed
       by ML, 30-Mar-2022.) $)
    rdgellim $p |- ( ( ( B e. On /\ Lim B ) /\ C e. B ) ->
           ( X e. ( rec ( F , A ) ` C ) -> X e. ( rec ( F , A ) ` B ) ) ) $=
      ( vy con0 wcel wlim wa crdg cfv cv ciun wi wrex wceq fveq2 eleq2d rspcev
      ex eliun syl6ibr adantl wb rdglim2a adantr sylibrd ) BGHBIJZCBHZJECDAKZLZ
      HZEFBFMZUKLZNZHZEBUKLZHZUJUMUQOUIUJUMEUOHZFBPZUQUJUMVAUTUMFCBUNCQUOULEUNC
      UKRSTUAFEBUOUBUCUDUIUSUQUEUJUIURUPEFABGDUFSUGUH $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d F x $.
    $( A recursive definition at a limit ordinal is a superset of itself at any
       smaller ordinal.  (Contributed by ML, 30-Mar-2022.) $)
    rdglimss $p |- ( ( ( B e. On /\ Lim B ) /\ C e. B ) ->
         ( rec ( F , A ) ` C ) C_ ( rec ( F , A ) ` B ) ) $=
      ( vx con0 wcel wlim wa crdg cfv cv rdgellim ssrdv ) BFGBHICBGIECDAJZKBOKA
      BCDELMN $.
  $}

  ${
    $d A w x $.  $d A x y z $.  $d F x y z $.  $d X x y $.  $d Y w x $.
    $d Y x y $.
    rdgssun.1 $e |- F = ( w e. _V |-> ( w u. B ) ) $.
    rdgssun.2 $e |- B e. _V $.
    $( In a recursive definition where each step expands on the previous one
       using a union, every previous step is a subset of every later step.
       (Contributed by ML, 1-Apr-2022.) $)
    rdgssun $p |- ( ( X e. On /\ Y e. X ) ->
                 ( rec ( F , A ) ` Y ) C_ ( rec ( F , A ) ` X ) ) $=
      ( vx vy vz con0 wcel cfv wss wi wceq c0 cvv fveq2 crdg cv wa wral nfsbc1v
      wsbc 0ex rzal sbceq1a mpbid vtoclef csuc wo vex elsuc csb cun ssun1 csbex
      fvex unex nfcv cmpt nfmpt1 nfcxfr nfrdg nffv nfcsb1 nfun ax-mp id csbeq1a
      rdgeq1 uneq12d rdgsucmptf mpan2 sseqtrrid sstr2 syl5com imim2d imp sseq1d
      syl5ibrcom adantr jaod syl5bi ralimdv2 cab df-sbc sucex sseq2d raleqbi1dv
      cbvabv elab2 bitri syl6ibr wlim ciun ssiun2 adantl rdglim2a mpan sseqtrrd
      ex ralrimiva eleq2i abid sylibr a1d tfindes rsp syl eleq1 sseq12d imbi12d
      wb eleq12 mpbii vtocleg com12 pm2.43b ) ELMZFEMZFDBUAZNZEYDNZOZYBYCYGYCYB
      YCYGPZYCYBYHPZPIELYCIUBZEQZYIYKYIPJFEJUBZFQZYKYIYMYKUCZYJLMZYLYJMZYLYDNZY
      JYDNZOZPZPYIYOYSJYJUDZYTUUAIKUUAIRUFZIRUUAIRUEUGYJRQUUAUUBYSJYJUHUUAIRUIU
      JUKYOUUAYQYJULZYDNZOZJUUCUDZUUAIUUCUFZYOYSUUEJYJUUCYOYTYLUUCMZUUEPUUHYPYL
      YJQZUMYOYTUCZUUEYLYJJUNUOUUJYPUUEUUIYOYTYPUUEPYOYSUUEYPYOYRUUDOZYSUUEYOYR
      AYRCUPZUQZYRUUDYRUULURYOUUMSMUUDUUMQYRUULYJYDUTAYRCHUSVAABYJAUBZCUQZUUMYD
      SABVBZAYJVBZAYRUULAYJYDABDADASUUOVCZGASUUOVDVEUUPVFUUQVGZAYRCUUSVHVIDUURQ
      YDUURBUAQGBDUURVMVJUUNYRQZUUNYRCUULUUTVKAYRCVLVNVOVPVQZYQYRUUDVRVSVTWAYOU
      UIUUEPYTYOUUEUUIUUKUVAUUIYQYRUUDYLYJYDTWBWCWDWEWFXDWGUUGUUCUUAIWHZMUUFUUA
      IUUCWIYQKUBZYDNZOZJUVCUDZUUFKUUCUVBYJIUNWJUVEUUEJUVCUUCUVCUUCQUVDUUDYQUVC
      UUCYDTWKWLUUAUVFIKYSUVEJYJUVCYJUVCQYRUVDYQYJUVCYDTWKWLWMZWNWOWPUVCWQZUUAI
      UVCUFZUUAIUVCUDUVHUVFUVIUVHUVEJUVCUVHYLUVCMZUCYQJUVCYQWRZUVDUVJYQUVKOUVHJ
      UVCYQWSWTUVHUVDUVKQZUVJUVCSMUVHUVLKUNJBUVCSDXAXBWDXCXEUVIUVCUVFKWHZMZUVFU
      VIUVCUVBMUVNUUAIUVCWIUVBUVMUVCUVGXFWOUVFKXGWOXHXIXJYSJYJXKXLYNYOYBYTYHYKY
      OYBXPYMYJELXMWTYNYPYCYSYGYLFYJEXQYNYQYEYRYFYMYQYEQYKYLFYDTWDYKYRYFQYMYJEY
      DTWTXNXOXOXRXDXSXTXSYAYAWA $.
  $}

  ${
    $d A u y z $.  $d A x y $.  $d B u x z $.  $d F u x $.  $d W u y $.
    exrecfnlem.1 $e |- F = ( z e. _V |-> ( z u. ran ( y e. z |-> B ) ) ) $.
    $( Lemma for ~ exrecfn .  (Contributed by ML, 30-Mar-2022.) $)
    exrecfnlem $p |- ( ( A e. V /\ A. y B e. W ) ->
                   E. x ( A C_ x /\ A. y e. x B e. x ) ) $=
      ( vu wcel com cfv wss cv wa wi wceq cvv nfcv crdg wex wal c0 rdg0g peano1
      wral con0 wlim omelon limom rdglimss mpanl12 eqsstrrdi wrex ciun rdglim2a
      ax-mp mp2an eleq2i eliun bitri csuc nnon cmpt crn cun eqid elrnmpt1 elun2
      peano2 syl fvex nfmpt1 nfrn nfun nfmpt nfcxfr nfrdg nffv rnex unex rdgeq1
      mptexgf id nfeq2 eqidd mpteq12df rneqd uneq12d rdgsucmptf eleq2d rdgellim
      mpan2 syl5ibr sylsyld expd com3r rexlimdv syl5bi alimi df-ral sseq2 eleq2
      sylibr imbi12d albid 3bitr4g anbi12d spcev syl2an ) DGKZDLFDUAZMZNZEXNKZB
      XNUGZDAOZNZEXRKZBXRUGZPZAUBEHKZBUCZXLDUDXMMZXNDGFUEUDLKZYEXNNZUFLUHKZLUIZ
      YFYGUJUKDLUDFULUMURUNYDBOZXNKZXPQZBUCZXQYCYLBYKYJJOZXMMZKZJLUOZYCXPYKYJJL
      YOUPZKYQXNYRYJYHYIXNYRRUJUKJDLUHFUQUSUTJYJLYOVAVBYCYPXPJLYNLKZYPYCXPYSYPY
      CXPYSYNVCZLKZYPYCPZEYTXMMZKZXPYNVKYSYNUHKZUUBUUDQYNVDUUBUUDUUEEYOBYOEVEZV
      FZVGZKZUUBEUUGKUUIBYOEUUFHUUFVHVIEUUGYOVJVLUUEUUCUUHEUUEUUHSKUUCUUHRYOUUG
      YNXMVMZUUFYOSKUUFSKUUJBYOESBYNXMBDFBFCSCOZBUUKEVEZVFZVGZVEZIBCSUUNBSTBUUK
      UUMBUUKTBUULBUUKEVNVOVPVQVRBDTVSZBYNTVTZWDURWAWBCDYNUUNUUHXMSCDTZCYNTZCYO
      UUGCYNXMCDFCFUUOICSUUNVNVRUURVSUUSVTZCUUFCBYOEUUTCETVQVOVPFUUORXMUUODUARI
      DFUUOWCURUUKYORZUUKYOUUMUUGUVAWEZUVAUULUUFUVABUUKEYOEBUUKYOUUQWFUVBUVAEWG
      WHWIWJWKWNWLWOVLYHYIUUAUUDXPQUJUKDLYTFEWMUMWPWQWRWSWTXAXPBXNXBZXEYBXOXQPA
      XNLXMVMXRXNRZXSXOYAXQXRXNDXCUVDYJXRKZXTQZBUCYMYAXQUVDUVFYLBBXRXNBLXMUUPBL
      TVTWFUVDUVEYKXTXPXRXNYJXDXRXNEXDXFXGXTBXRXBUVCXHXIXJXK $.
  $}

  ${
    $d A x y z $.  $d B x z $.  $d W y $.
    $( Theorem about the existence of infinite recursive sets. ` y ` should
       usually be free in ` B ` .  (Contributed by ML, 30-Mar-2022.) $)
    exrecfn $p |- ( ( A e. V /\ A. y B e. W ) ->
                   E. x ( A C_ x /\ A. y e. x B e. x ) ) $=
      ( vz cvv cv cmpt crn cun eqid exrecfnlem ) ABGCDGHGIZBODJKLJZEFPMN $.
  $}

  ${
    $d A x y $.
    $( For any base set, a set which contains the powerset of all of its own
       elements exists.  (Contributed by ML, 30-Mar-2022.) $)
    exrecfnpw $p |- ( A e. V -> E. x ( A C_ x /\ A. y e. x ~P y e. x ) ) $=
      ( wcel cv cpw cvv wal wss wral wa wex vpwex ax-gen exrecfn mpan2 ) CDEBFG
      ZHEZBICAFZJRTEBTKLAMSBBNOABCRDHPQ $.
  $}

  ${
    $d .< x y z $.  $d A x y z $.
    $( If the Axiom of Infinity is denied, every total order is a well-order.
       The notion of a well-order cannot be usefully expressed without the
       Axiom of Infinity due to the inability to quantify over proper classes.
       (Contributed by ML, 5-Oct-2023.) $)
    finorwe $p |- ( -. _om e. _V -> ( .< Or A -> .< We A ) ) $=
      ( vx vz vy com cvv wcel wn wor wwe wa wfr cv wss c0 wne wi cfn ex wbr wal
      wral wrex simpl soss com12 adantl vex wceq fineqv biimpi eleqtrrid ancoms
      wofi sylan syl6an ssid w3a wreu wereu reurex syl mp3anr1 mpanr1 syl6 impd
      alrimiv df-fr sylibr simpr df-we sylanbrc ) FGHIZABJZABKZVNVOLZABMZVOVPVQ
      CNZAOZVSPQZLDNENBUAIDVSUCZEVSUDZRZCUBVRVQWDCVQVTWAWCVQVTVSBKZWAWCRVQVNVTV
      SBJZWEVNVOUEVOVTWFRVNVTVOWFVSABUFUGUHVNVSSHZWFWEVNVSGSCUIZVNSGUJUKULUMWFW
      GWEVSBUOUNUPUQWEWAWCWEVSVSOZWAWCVSURWEVSGHZWIWAWCWHWEWJWIWAUSLWBEVSUTWCED
      VSVSBGVAWBEVSVBVCVDVETVFVGVHCEDABVIVJVNVOVKABVLVMT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cartesian exponentiation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ^^ $.

  $( Extend the definition of a class to include Cartesian exponentiation. $)
  cfinxp $a class ( U ^^ N ) $.

  ${
    $d U n x y $.  $d N n x y $.
    $( Define Cartesian exponentiation on a class.

       Note that this definition is limited to finite exponents, since it is
       defined using nested ordered pairs.  If tuples of infinite length are
       needed, or if they might be needed in the future, use ~ df-ixp or
       ~ df-map instead.  The main advantage of this definition is that it
       integrates better with functions and relations.  For example if ` R ` is
       a subset of ` ( A ^^ 2o ) ` , then ~ df-br can be used on it, and
       ~ df-fv can also be used, and so on.

       It's also worth keeping in mind that ` ( ( U ^^ M ) X. ( U ^^ N ) ) ` is
       generally not equal to ` ( U ^^ ( M +o N ) ) ` .

       This definition is technical.  Use ~ finxp1o and ~ finxpsuc for a more
       standard recursive experience.  (Contributed by ML, 16-Oct-2020.) $)
    df-finxp $a |- ( U ^^ N ) =
                     { y | ( N e. _om /\ (/) =
                       ( rec ( ( n e. _om , x e. _V |->
                                 if ( ( n = 1o /\ x e. U ) ,
                                   (/) ,
                                   if ( x e. ( _V X. U ) ,
                                       <. U. n , ( 1st ` x ) >. ,
                                       <. n , x >. ) ) )
                         , <. N , y >. ) ` N ) ) } $.

    dffinxpf.1 $e |- F = ( n e. _om , x e. _V |->
                                 if ( ( n = 1o /\ x e. U ) ,
                                   (/) ,
                                   if ( x e. ( _V X. U ) ,
                                       <. U. n , ( 1st ` x ) >. ,
                                       <. n , x >. ) ) ) $.
    $( This theorem is the same as Definition ~ df-finxp , except that the
       large function is replaced by a class variable for brevity.
       (Contributed by ML, 24-Oct-2020.) $)
    dffinxpf $p |- ( U ^^ N ) =
                     { y | ( N e. _om /\ (/) =
                       ( rec ( F , <. N , y >. ) ` N ) ) } $=
      ( cfinxp com wcel c0 cvv cv wceq wa cfv cop cif crdg cab c1o cxp df-finxp
      cuni c1st cmpo rdgeq1 ax-mp fveq1i eqeq2i anbi2i abbii eqtr4i ) CFHFIJZKF
      DAILDMZUANAMZCJOKUPLCUBJUOUDUPUEPQUOUPQRRUFZFBMQZSZPZNZOZBTUNKFEURSZPZNZO
      ZBTABCDFUCVFVBBVEVAUNVDUTKFVCUSEUQNVCUSNGUREUQUGUHUIUJUKULUM $.
  $}

  ${
    $d U n x y $.  $d V n x y $.  $d N n x y $.  $d U n x $.
    $( Equality theorem for Cartesian exponentiation.  (Contributed by ML,
       19-Oct-2020.) $)
    finxpeq1 $p |- ( U = V -> ( U ^^ N ) = ( V ^^ N ) ) $=
      ( vn vx vy wceq com wcel c0 cvv cv wa cxp cfv cop cif cmpo crdg cab eleq2
      c1o cuni cfinxp anbi2d xpeq2 eleq2d ifbid ifbieq2d mpoeq3dv rdgeq1 fveq1d
      c1st syl eqeq2d abbidv df-finxp 3eqtr4g ) ACGZBHIZJBDEHKDLZUBGZELZAIZMZJV
      CKANZIZVAUCVCUMOPZVAVCPZQZQZRZBFLPZSZOZGZMZFTUTJBDEHKVBVCCIZMZJVCKCNZIZVH
      VIQZQZRZVMSZOZGZMZFTABUDCBUDUSVQWHFUSVPWGUTUSVOWFJUSBVNWEUSVLWDGVNWEGUSDE
      HKVKWCUSVEVSVJWBJUSVDVRVBACVCUAUEUSVGWAVHVIUSVFVTVCACKUFUGUHUIUJVMVLWDUKU
      NULUOUEUPEFADBUQEFCDBUQUR $.
  $}

  ${
    $d U n x y $.  $d M n x y $.  $d N n x y $.
    $( Equality theorem for Cartesian exponentiation.  (Contributed by ML,
       19-Oct-2020.) $)
    finxpeq2 $p |- ( M = N -> ( U ^^ M ) = ( U ^^ N ) ) $=
      ( vn vx vy wceq com wcel c0 cvv cv cfv cop cif crdg cab cfinxp df-finxp
      wa c1o cxp cuni c1st cmpo eleq1 opeq1 rdgeq2 syl id fveq12d eqeq2d abbidv
      anbi12d 3eqtr4g ) BCGZBHIZJBDEHKDLZUAGELZAITJUSKAUBIURUCUSUDMNURUSNOOUEZB
      FLZNZPZMZGZTZFQCHIZJCUTCVANZPZMZGZTZFQABRACRUPVFVLFUPUQVGVEVKBCHUFUPVDVJJ
      UPBCVCVIUPVBVHGVCVIGBCVAUGVBVHUTUHUIUPUJUKULUNUMEFADBSEFADCSUO $.
  $}

  ${
    $d A n y z $.  $d N n x y z $.  $d U n y z $.  $d V n y z $.  $d n x y z $.
    $( Distribute proper substitution through Cartesian exponentiation.
       (Contributed by ML, 25-Oct-2020.) $)
    csbfinxpg $p |- ( A e. V -> [_ A / x ]_ ( U ^^ N )
                            = ( [_ A / x ]_ U ^^ [_ A / x ]_ N ) ) $=
      ( vn vz vy wcel csb com c0 cvv wceq wa cop cif wsbc csbconstg syl5eq cuni
      cfinxp cv c1o cxp c1st cfv cmpo crdg cab df-finxp csbeq2i sbcel1g sbceq2g
      sbcan csbfv12 csbrdgg csbmpo123 csbif sbcel12 eleq1d syl5bb anbi12d csbxp
      sbcg xpeq1d eleq12d mpoeq123dv eqtrd csbopg opeq2d rdgeq12 syl2anc fveq1d
      ifbieq12d eqeq2d bitrd abbidv csbab 3eqtr4g ) BEIZABCDUBZJABDKIZLDFGKMFUC
      ZUDNZGUCZCIZOZLWFMCUEZIZWDUAWFUFUGPZWDWFPZQZQZUHZDHUCZPZUIZUGZNZOZHUJZJZA
      BCJZABDJZUBZABWBXBGHCFDUKULWAXAABRZHUJXEKIZLXEFGKMWEWFXDIZOZLWFMXDUEZIZWK
      WLQZQZUHZXEWPPZUIZUGZNZOZHUJXCXFWAXGXTHXGWCABRZWTABRZOWAXTWCWTABUOWAYAXHY
      BXSABDKEUMWAYBLABWSJZNXSABLWSEUNWAYCXRLWAYCXEABWRJZUGXRABDWRUPWAXEYDXQWAY
      DABWOJZABWQJZUIZXQABWOWQEUQWAYEXONYFXPNYGXQNWAYEFGABKJZABMJZABWNJZUHXOAFG
      BWNEKMURWAFGYHYIYJKMXNABKESABMESZWAYJWHABRZABLJZABWMJZQXNWHABLWMUSWAYLXJY
      MYNLXMYLWEABRZWGABRZOWAXJWEWGABUOWAYOWEYPXIWEABEVEYPABWFJZXDIWAXIABWFCUTW
      AYQWFXDABWFESZVAVBVCVBABLESWAYNWJABRZABWKJZABWLJZQXMWJABWKWLUSWAYSXLYTUUA
      WKWLYSYQABWIJZIWAXLABWFWIUTWAYQWFUUBXKYRWAUUBYIXDUEXKABMCVDWAYIMXDYKVFTVG
      VBABWKESABWLESVOTVOTVHVIWAYFXEABWPJZPXPABDWPEVJWAUUCWPXEABWPESVKVIYFXPYEX
      OVLVMVIVNTVPVQVCVBVRXAAHBVSGHXDFXEUKVTT $.
  $}

  ${
    $d U n x $.  $d X n x $.
    $( Lemma for ` ^^ ` recursion theorems.  (Contributed by ML,
       17-Oct-2020.) $)
    finxpreclem1 $p |- ( X e. U -> (/) =
              ( ( n e. _om , x e. _V |->
                    if ( ( n = 1o /\ x e. U ) ,
                      (/) ,
                      if ( x e. ( _V X. U ) ,
                          <. U. n , ( 1st ` x ) >. ,
                          <. n , x >. ) ) )
                ` <. 1o , X >. ) ) $=
      ( wcel c1o com cvv cv wceq wa c0 cxp cuni c1st cfv cop cif cmpo a1i eqidd
      co eleq1a anim2d iftrue syl6 imp 1onn elex 0ex ovmpod df-ov eqtr3di ) DBE
      ZFDCAGHCIZFJZAIZBEZKZLUQHBMEUONUQOPQUOUQQRZRZSZUBLFDQVBPUNCAFDGHVALVBHUNV
      BUAUNUPUQDJZKZVALJZUNVDUSVEUNVCURUPDBUQUCUDUSLUTUEUFUGFGEUNUHTDBUILHEUNUJ
      TUKFDVBULUM $.
  $}

  ${
    $d U n x $.  $d X n x $.
    $( Lemma for ` ^^ ` recursion theorems.  (Contributed by ML,
       17-Oct-2020.) $)
    finxpreclem2 $p |- ( ( X e. _V /\ -. X e. U ) -> -. (/) =
              ( ( n e. _om , x e. _V |->
                    if ( ( n = 1o /\ x e. U ) ,
                      (/) ,
                      if ( x e. ( _V X. U ) ,
                          <. U. n , ( 1st ` x ) >. ,
                          <. n , x >. ) ) )
                ` <. 1o , X >. ) ) $=
      ( cvv wcel wn wa c0 c1o cop com cv wceq c1st cfv wne nfv nfcv nfim cxp wi
      cuni cif cmpo nfmpo2 nffv nfne nfmpo1 1onn elexi df-ov csb 0ex opex csbex
      co ifex eqid ovmpos mp3an13 adantr sylan9eqr adantl eleq1 notbid biimprcd
      csbeq1a pm3.14 olcs syl6 iffalse imp ifeqor vuniex fvex opnzi neii mtbiri
      wo eqeq1 vex jaoi neqned eqnetrd adantrl eqnetrrd eqnetrrid ancom2s an12s
      mp1i exp31 vtoclef vtoclefex anabsi5 necomd neneqd ) DEFZDBFZGZHZIJDKZCAL
      ECMZJNZAMZBFZHZIXEEBUAFZXCUCZXEOPZKZXCXEKZUDZUDZUEZPZXAXPIWRWTXPIQZXAXQUB
      ZADEXAXQAXAARAXPIAXBXOCALEXNUFAXBSUGAISUHTXEDNZXRUBCJXSXRCXSCRXAXQCXACRCX
      PICXBXOCALEXNUICXBSUGCISUHTTJLUJUKXDXSXAXQWRXDXSHZWTXQWRWTXTXQWRWTXTHZHZX
      PJDXOUQZIJDXOULYBYCCJADXNUMZUMZIWRYCYENZYAJLFWRYEEFYFUJCJYDADXNXGIXMUNXHX
      KXLXIXJUOXCXEUOURURUPUPCAJDLEXNXOEXOUSUTVAVBYAYEIQWRYAXNYEIXTXNYENWTXSXDX
      NYDYEADXNVHCJYDVHVCVDWTXSXNIQXDWTXSHZXNXMIWTXSXNXMNZWTXSXGGZYHWTXSXFGZYIX
      SYJWTXSXFWSXEDBVEVFVGXDGYJYIXDXFVIVJVKXGIXMVLVKVMYGXMIXMXKNZXMXLNZVTXMINZ
      GZYGXHXKXLVNYKYNYLYKYMXKINXKIXIXJCVOXEOVPVQVRXMXKIWAVSYLYMXLINXLIXCXECWBA
      WBVQVRXMXLIWAVSWCWKWDWEWFWGVDWEWHWIWJWLWMWNWOWPWQ $.
  $}

  ${
    $d U n x y $.
    $( The value of Cartesian exponentiation at zero.  (Contributed by ML,
       24-Oct-2020.) $)
    finxp0 $p |- ( U ^^ (/) ) = (/) $=
      ( vy vn vx c0 cfinxp cv wcel cop wceq 0ex vex opnzi nesymi com cvv c1o wa
      cfv cif cxp cuni c1st cmpo crdg peano1 df-finxp abeq2i mpbiran opex bitri
      rdg0 eqeq2i mtbir nel0 ) BAEFZBGZUPHZEEUQIZJZUSEEUQKBLMNUREECDOPCGZQJDGZA
      HREVBPAUAHVAUBVBUCSIVAVBITTUDZUSUESZJZUTUREOHZVEUFVFVERBUPDBACEUGUHUIVDUS
      EUSVCEUQUJULUMUKUNUO $.
  $}

  ${
    $d U n x y $.
    $( The value of Cartesian exponentiation at one.  (Contributed by ML,
       17-Oct-2020.) $)
    finxp1o $p |- ( U ^^ 1o ) = U $=
      ( vy vn vx c1o cv wcel com c0 cvv wceq wa cuni cfv cop cif 1onn wn fveq2i
      eqtri cfinxp cxp c1st cmpo crdg a1i finxpreclem1 con0 wne 1on nnlim ax-mp
      wlim rdgsucuni mp3an csuc df-1o unieqi 0elon onunisuci opex rdg0 df-finxp
      1n0 eqtr4di abeq2i sylanbrc mpbiran vex eqcomi finxpreclem2 neqned necomd
      eqnetrrid neneqd mpan con4i sylbi impbii eqriv ) AAEUAZBAWABFZAGZWBWAGZWC
      EHGZIECDHJCFZEKDFZAGLIWGJAUBGWFMWGUCNOWFWGOPPUDZEWBOZUEZNZKZWDWEWCQUFWCIW
      IWHNZWKDACWBUGWKEMZWJNZWHNZWMEUHGEIUIEUMRZWKWPKUJVDWEWQQEUKULEWHWIUNUOWOW
      IWHWOIWJNWIWNIWJWNIUPZMIEWRUQURIUSUTTSWIWHEWBVAVBTSTZVEWEWLLBWADBACEVCVFZ
      VGWDWLWCWDWEWLQWTVHWCWLWBJGZWCRZWLRBVIXAXBLZIWKXCWKIXCWKWMIWKWMWSVJXCIWMX
      CIWMDACWBVKVLVMVNVMVOVPVQVRVSVTVJ $.
  $}

  ${
    $d N n x $.  $d U n x $.  $d X n x $.
    finxpreclem3.1 $e |- F =
        ( n e. _om , x e. _V |-> if ( ( n = 1o /\ x e. U ) , (/) ,
        if ( x e. ( _V X. U ) , <. U. n , ( 1st ` x ) >. , <. n , x >. ) ) ) $.
    $( Lemma for ` ^^ ` recursion theorems.  (Contributed by ML,
       20-Oct-2020.) $)
    finxpreclem3 $p |- ( ( ( N e. _om /\ 2o C_ N ) /\ X e. ( _V X. U ) ) ->
                        <. U. N , ( 1st ` X ) >. =
                        ( F ` <. N , X >. ) ) $=
      ( com wcel c2o wss wa cvv c1st cfv cop c1o wceq c0 cif cxp co cuni cv a1i
      cmpo eqeq1 eleq1 bi2anan9 wb adantl unieq adantr opeq12d opeq12 ifbieq12d
      fveq2 ifbieq2d wpss wne csuc sssucid sseqtrri 1on sucneqoni necomi df-pss
      df-2o mpbir2an ssnpss mt2 sseq2 mtbiri intnanrd iffalsed iftrue sylan9eqr
      con2i sylan9eq adantlll simpll elex opex ovmpod df-ov eqtr3di ) EHIZJEKZL
      ZFMBUAZIZLZEFDUBEUCZFNOZPZEFPZDOWLCAEFHMCUDZQRZAUDZBIZLZSWSWJIZWQUCZWSNOZ
      PZWQWSPZTZTZWODMDCAHMXHUFRWLGUEWHWKWQERZWSFRZLZXHWORWGXKWHWKLXHEQRZFBIZLZ
      SWKWOWPTZTZWOXKXAXNXGXOSXIWRXLXJWTXMWQEQUGWSFBUHUIXKXBWKXEXFWOWPXJXBWKUJX
      IWSFWJUHUKXKXCWMXDWNXIXCWMRXJWQEULUMXJXDWNRXIWSFNUQUKUNWQWSEFUOUPURWHWKXP
      XOWOWHXNSXOWHXLXMXLWHXLWHJQKZXQQJUSZXRQJKQJUTQQVAJQVBVHVCJQJQVHVDVEVFQJVG
      VIJQVJVKEQJVLVMVRVNVOWKWOWPVPVSVQVTWGWHWKWAWKFMIWIFWJWBUKWOMIWLWMWNWCUEWD
      EFDWEWF $.
  $}

  ${
    $d N n x $.  $d N o $.  $d U n x $.  $d n x y $.
    finxpreclem4.1 $e |- F =
        ( n e. _om , x e. _V |-> if ( ( n = 1o /\ x e. U ) , (/) ,
        if ( x e. ( _V X. U ) , <. U. n , ( 1st ` x ) >. , <. n , x >. ) ) ) $.
    $( Lemma for ` ^^ ` recursion theorems.  (Contributed by ML,
       23-Oct-2020.) $)
    finxpreclem4 $p |- ( ( ( N e. _om /\ 2o C_ N ) /\ y e. ( _V X. U ) ) ->
                ( rec ( F , <. N , y >. ) ` N ) =
                 ( rec ( F , <. U. N , ( 1st ` y ) >. ) ` U. N ) ) $=
      ( vo com wcel c2o cfv c1o coa co wceq con0 ax-mp c0 adantr wss wa cvv cxp
      cv cuni c1st cop crdg crio csuc 2onn nnon wsbc wreu 2on oawordeu riotasbc
      mpanl1 syl csb riotaex sbceq1g csbov2g csbvargi oveq2i eqtri eqeq1i bitri
      wb sylib sylan simpl eqeltrd riotacl riotaund 0elon eqeltrdi pm2.61i mpan
      nnarcl biantrur bitr4di nnacom sylancr 1onn nnasuc sylancl syl5eq 3eqtr3d
      wn df-2o wne wlim sucidg eleqtrri ssel mpi adantl nnlim onsucuni3 syl3anc
      ne0d suceq cfn word ordom ordelss nnfi nnunifi syl2anc nnacl peano4 mpbid
      fveq2d fveq2i rdgsuc opex rdg0 3eqtri finxpreclem3 eqtr4id 2on0 rdgsucuni
      df-1o mp3an 1oequni2o eqtr4i 3eqtr4g wi 1on rdgeqoa mp3an12 sylc 3eqtr2rd
      ) FIJZKFUAZUBZBUEZUCCUDJZUBZFUFZEUUBYSUGLZUHZUIZLZMKHUEZNOZFPZHQUJZNOZUUE
      LZKUUJNOZEFYSUHZUIZLZFUUOLZYRUUFUULPYTYRUUBUUKUUEYRUUBUKZUUKUKZPZUUBUUKPZ
      YRFUUJMNOZUKZUURUUSYRUUMUUJKNOZFUVCYRKIJZUUJIJZUUMUVDPULYRUUMIJZUVFYRUUMF
      IYPFQJZYQUUMFPZFUMZUVHYQUBZUUIHUUJUNZUVIUVKUUIHQUOZUVLKQJZUVHYQUVMUPHKFUQ
      USUUIHQURUTUVLHUUJUUHVAZFPZUVIUUJUCJZUVLUVPVJUUIHQVBZHUUJUUHFUCVCRUVOUUMF
      UVOKHUUJUUGVAZNOZUUMUVQUVOUVTPUVRHUUJKUUGNUCVDRUVSUUJKNHUUJUVRVEVFVGVHVIV
      KVLZYPYQVMVNUUJQJZUVGUVFVJUVMUWBUUIHQVOUVMWKUUJSQUUIHQVPVQVRVSUWBUVGUVEUV
      FUBZUVFUVNUWBUVGUWCVJUPKUUJWAVTUVEUVFULWBWCRVKZKUUJWDWEUWAYRUVDUUJMUKZNOZ
      UVCKUWEUUJNWLVFYRUVFMIJZUWFUVCPUWDWFUUJMWGWHWIWJYRUVHFSWMZFWNWKZFUURPYPUV
      HYQUVJTYQUWHYPYQFMYQMKJMFJMUWEKUWGMUWEJWFMIWORWLWPKFMWQWRXCWSYPUWIYQFWTTF
      XAXBYRUVBUUKPZUVCUUSPYRUVFUWGUWJUWDWFUUJMWDWHUVBUUKXDUTWJYRUUBIJZUUKIJZUU
      TUVAVJYPUWKYQYPFIUAZFXEJUWKIXFYPUWMXGIFXHVTFXIFXJXKTYRUWGUVFUWLWFUWDMUUJX
      LWEUUBUUKXMXKXNXOTUUAUVFKUUOLZMUUELZPZUUPUULPZYRUVFYTUWDTUUAMUUOLZELZUUDE
      LZUWNUWOUUAUWRUUDEUUAUWRUUNELZUUDUWRSUKZUUOLZSUUOLZELZUXAMUXBUUOYEXPSQJZU
      XCUXEPVQUUNSEXQRUXDUUNEUUNEFYSXRXSXPXTACDEFYSGYAYBXOUWNKUFZUUOLZELZUWSUVN
      KSWMKWNWKZUWNUXIPUPYCUVEUXJULKWTRKEUUNYDYFUWRUXHEMUXGUUOYGXPXPYHUWOUXBUUE
      LZSUUELZELZUWTMUXBUUEYEXPUXFUXKUXMPVQUUDSEXQRUXLUUDEUUDEUUBUUCXRXSXPXTYIU
      VNMQJUVFUWPUWQYJUPYKUUNUUDEMKUUJYLYMYNYRUUPUUQPYTYRUUMFUUOUWAXOTYO $.
  $}

  ${
    $d n x $.
    finxpreclem5.1 $e |- F =
        ( n e. _om , x e. _V |-> if ( ( n = 1o /\ x e. U ) , (/) ,
        if ( x e. ( _V X. U ) , <. U. n , ( 1st ` x ) >. , <. n , x >. ) ) ) $.
    $( Lemma for ` ^^ ` recursion theorems.  (Contributed by ML,
       24-Oct-2020.) $)
    finxpreclem5 $p |- ( ( n e. _om /\ 1o e. n ) ->
             ( -. x e. ( _V X. U ) -> ( F ` <. n , x >. ) = <. n , x >. ) ) $=
      ( cv com wcel c1o wa cvv cxp wn cop cfv wceq c0 cif opex ifex co cuni vex
      df-ov 0ex ovmpt4g mp3an23 ad2antrr 1on onirri eleq2 mtbiri con2i intnanrd
      c1st iffalsed adantl iffalse sylan9eq eqtrd eqtr3id ex ) CFZGHZIVCHZJZAFZ
      KBLHZMZVCVGNZDOZVJPVFVIJZVKVCVGDUAZVJVCVGDUDVLVMVCIPZVGBHZJZQVHVCUBZVGUOO
      ZNZVJRZRZVJVDVMWAPZVEVIVDVGKHWAKHWBAUCVPQVTUEVHVSVJVQVRSVCVGSTTCAGKWADKEU
      FUGUHVFVIWAVTVJVEWAVTPVDVEVPQVTVEVNVOVNVEVNVEIIHIUIUJVCIIUKULUMUNUPUQVHVS
      VJURUSUTVAVB $.

    $d F m o $.  $d N x n y $.  $d U m n o x $.  $d U n x y $.
    $( Lemma for ` ^^ ` recursion theorems.  (Contributed by ML,
       24-Oct-2020.) $)
    finxpreclem6 $p |- ( ( N e. _om /\ 1o e. N ) ->
                           ( U ^^ N ) C_ ( _V X. U ) ) $=
      ( vy vm com wcel c1o wa wi cv wceq wn c0 cop cfv fveqeq2 cfinxp cvv eleq1
      vo cxp wss eleq2 anbi12d anass crdg nfv cuni c1st cmpo nfmpo2 nfcxfr nfcv
      cif nfrdg nffv nfeq2 nfn notbid anbi2d opeq2 rdgeq2 fveq1d eqeq2d imbi12d
      nfim syl vex csuc opex rdg0 a1i con0 nnon fveq2 sylan9eq finxpreclem5 imp
      rdgsuc expl expcomd finds2 imbi2d mpbiri equcoms vtocle syl5bir wne opnzi
      anabsi5 eqnetrd necomd neneqd chvarfv intnand adantl wb cab opeq1 fveq12d
      id abbidv dffinxpf eqtr4di eleq2d bitr3di adantr mtbird ex syl5bi expdimp
      abid con4d ssrdv sylbird vtocleg ) EIJZKEJZBEUAZUBBUEZUFZYAYBLZYEMCEICNZE
      OZYFYGIJZKYGJZLZYEYHYIYAYJYBYGEIUCZYGEKUGUHYHYKYEYHYKLZGYCYDYMGNZYDJZYNYC
      JZYHYKYOPZYPPZYKYQLYIYJYQLZLZYHYRYIYJYQUIYHYTYRYHYTLYPYIQYGDYGYNRZUJZSZOZ
      LZYTUUEPYHYTUUDYIYIYJANZYDJZPZLZLZQYGDYGUUFRZUJZSZOZPZMYTUUDPZMAGYTUUPAYT
      AUKUUDAAQUUCAYGUUBAUUADADCAIUBYGKOUUFBJLQUUGYGULUUFUMSRUUKURURZUNFCAIUBUU
      QUOUPAUUAUQUSAYGUQUTVAVBVJUUFYNOZUUJYTUUOUUPUURUUIYSYIUURUUHYQYJUURUUGYOU
      UFYNYDUCVCVDVDUURUUNUUDUURUUMUUCQUURYGUULUUBUURUUKUUAOUULUUBOUUFYNYGVEUUK
      UUADVFVKVGVHVCVIUUJQUUMUUJUUMQUUJUUMUUKQYIUUIUUMUUKOZUUJYKUUHLZYIUUSYIYJU
      UHUIYIUUTUUSMZMZHYGCVLZUVBCHYGHNZOZUVBUVDIJZUUTUVDUULSUUKOZMZMUVGQUULSUUK
      OZUDNZUULSZUUKOZUVJVMZUULSZUUKOZUUTHUDUVDQUUKUULTUVDUVJUUKUULTUVDUVMUUKUU
      LTUVIUUTUUKDYGUUFVNVOVPUVJIJZUVLUUTUVOUVPUVLUUTUVOUVPUVLLUUTUVNUUKDSZUUKU
      VPUVLUVNUVKDSZUVQUVPUVJVQJUVNUVROUVJVRUUKUVJDWCVKUVKUUKDVSVTYKUUHUVQUUKOA
      BCDFWAWBVTWDWEWFUVEYIUVFUVAUVHYGUVDIUCUVEUUSUVGUUTYGUVDUUKUULTWGVIWHWIWJW
      KWNUUKQWLUUJYGUUFUVCAVLWMVPWOWPWQWRWSWTYHYPUUEXAYTYHYNUUEGXBZJYPUUEYHUVSY
      CYNYHUVSYAQEDEYNRZUJZSZOZLZGXBYCYHUUEUWDGYHYIYAUUDUWCYLYHUUCUWBQYHYGEUUBU
      WAYHUUAUVTOUUBUWAOYGEYNXCUUAUVTDVFVKYHXEXDVHUHXFAGBCDEFXGXHXIUUEGXPXJXKXL
      XMXNXOXQXRXMXSXTWN $.
  $}

  ${
    $d F z $.  $d N n x y z $.  $d U n x y z $.
    finxpsuclem.1 $e |- F =
        ( n e. _om , x e. _V |-> if ( ( n = 1o /\ x e. U ) , (/) ,
        if ( x e. ( _V X. U ) , <. U. n , ( 1st ` x ) >. , <. n , x >. ) ) ) $.
    $( Lemma for ~ finxpsuc .  (Contributed by ML, 24-Oct-2020.) $)
    finxpsuclem $p |- ( ( N e. _om /\ 1o C_ N ) ->
                            ( U ^^ suc N ) = ( ( U ^^ N ) X. U ) ) $=
      ( vy vz wcel c1o wss wa cfv wceq wb c0 cop crdg ad2antrr syl com csuc cxp
      cfinxp cv c1st cvv peano2 adantr word 1on onordi ordsseleq sylancr biimpa
      wo nnord wi elelsuc a1i sucidg eleq1 syl5ibrcom jaod finxpreclem6 syl2anc
      mpd sselda c2o df-2o ordsucsssuc eqsstrid finxpreclem4 syl21anc ordunisuc
      simpr opeq1 rdgeq2 fveq12d eqtrd eqeq2d dffinxpf abeq2i biantrurd bitr4id
      cuni fvex opeq2 fveq1d anbi2d baib 3bitr4d biimpd impancom ex jcad exbiri
      elab2 impd ancomsd impbid elxp8 bitr4di eqrdv ) EUAIZJEKZLZGBEUBZUDZBEUDZ
      BUCZXGGUEZXIIZXLUFMZXJIZXLUGBUCZIZLZXLXKIXGXMXRXGXMXOXQXGXMXOXGXMLXQXOXGX
      IXPXLXGXHUAIZJXHIZXIXPKXEXSXFEUHZUIXGJEIZJENZUPZXTXEXFYDXEJUJZEUJZXFYDOJU
      KULZEUQZJEUMUNUOXEYDXTURXFXEYBXTYCYBXTURXEJEUSUTXEXTYCEXHIEUAVAJEXHVBVCVD
      UIVGABCDXHFVEVFVHZXGXQXMXOXGXQLZXMXOYJPXHDXHXLQRMZNZPEDEXNQZRZMZNZXMXOYJY
      KYOPYJYKXHWFZDYQXNQZRZMZYOYJXSVIXHKZXQYKYTNXEXSXFXQYASXGUUAXQXGVIJUBZXHVJ
      XEXFUUBXHKZXEYEYFXFUUCOYGYHJEVKUNUOVLUIXGXQVPAGBCDXHFVMVNXEYTYONXFXQXEYQE
      YSYNXEYQENZYSYNNZXEYFUUDYHEVOTZUUDYRYMNUUEYQEXNVQYRYMDVRTTUUFVSSVTWAXEXMY
      LOXFXQXEXMXSYLLZYLUUGGXIAGBCDXHFWBWCXEXSYLYAWDWESXEXOYPOXFXQXOXEYPXEPEDEH
      UEZQZRZMZNZLXEYPLHXNXJXLUFWGUUHXNNZUULYPXEUUMUUKYOPUUMEUUJYNUUMUUIYMNUUJY
      NNUUHXNEWHUUIYMDVRTWIWAWJAHBCDEFWBWRWKSWLZWMWNVGWOXGXMXQYIWOWPXGXQXOXMXGX
      QXOXMXGXQXMXOUUNWQWSWTXAXLXJBXBXCXD $.
  $}

  ${
    $d N x y $.  $d U x y $.
    $( The value of Cartesian exponentiation at a successor.  (Contributed by
       ML, 24-Oct-2020.) $)
    finxpsuc $p |- ( ( N e. _om /\ N =/= (/) ) ->
                            ( U ^^ suc N ) = ( ( U ^^ N ) X. U ) ) $=
      ( vx vy com wcel c0 wne wa c1o wss csuc cfinxp cxp wceq syl cvv cop cif
      cv word wb ordge1n0 biimprd imdistani cuni c1st cfv cmpo eqid finxpsuclem
      nnord ) BEFZBGHZIUMJBKZIABLMABMANOUMUNUOUMUOUNUMBUAUOUNUBBULBUCPUDUECADDC
      EQDTZJOCTZAFIGUQQANFUPUFUQUGUHRUPUQRSSUIZBURUJUKP $.
  $}

  $( The value of Cartesian exponentiation at two.  (Contributed by ML,
     19-Oct-2020.) $)
  finxp2o $p |- ( U ^^ 2o ) = ( U X. U ) $=
    ( c2o cfinxp c1o csuc cxp wceq df-2o finxpeq2 com wcel c0 wne 1onn finxpsuc
    ax-mp 1n0 mp2an finxp1o xpeq1i 3eqtri ) ABCZADEZCZADCZAFZAAFBUCGUBUDGHABUCI
    PDJKDLMUDUFGNQADORUEAAASTUA $.

  $( The value of Cartesian exponentiation at three.  (Contributed by ML,
     24-Oct-2020.) $)
  finxp3o $p |- ( U ^^ 3o ) = ( ( U X. U ) X. U ) $=
    ( c3o cfinxp c2o csuc cxp wceq df-3o finxpeq2 com wcel c0 wne 2onn finxpsuc
    ax-mp 2on0 mp2an finxp2o xpeq1i 3eqtri ) ABCZADEZCZADCZAFZAAFZAFBUCGUBUDGHA
    BUCIPDJKDLMUDUFGNQADORUEUGAASTUA $.

  ${
    $d N n x y $.  $d U n x y $.
    $( Cartesian exponentiation when the exponent is not a natural number
       defaults to the empty set.  (Contributed by ML, 24-Oct-2020.) $)
    finxpnom $p |- ( -. N e. _om -> ( U ^^ N ) = (/) ) $=
      ( vy vn vx com wcel wn cfinxp cv c0 cvv c1o wceq cxp cfv cop cif sylnibr
      wa cuni c1st cmpo crdg cab simpl con3i abid df-finxp eleq2i eq0rdv ) BFGZ
      HZCABIZUMCJZULKBDEFLDJZMNEJZAGTKUQLAOGUPUAUQUBPQUPUQQRRUCBUOQUDPNZTZCUEZG
      ZUOUNGUMUSVAUSULULURUFUGUSCUHSUNUTUOECADBUIUJSUK $.
  $}

  ${
    $d N n $.  $d m n $.
    $( Cartesian exponentiation of the empty set to any power is the empty set.
       (Contributed by ML, 24-Oct-2020.) $)
    finxp00 $p |- ( (/) ^^ N ) = (/) $=
      ( vn vm com wcel c0 cfinxp wceq cv finxpeq2 eqeq1d finxp0 c1o suceq df-1o
      csuc eqtr4di syl finxp1o eqtrdi adantl wne wa cxp finxpsuc xp0 pm2.61dane
      a1d finds finxpnom pm2.61i ) ADEFAGZFHZFBIZGZFHFFGZFHFCIZGZFHZFUQPZGZFHZU
      MBCAUNFHUOUPFFUNFJKUNUQHUOURFFUNUQJKUNUTHUOVAFFUNUTJKUNAHUOULFFUNAJKFLUQD
      EZVBUSVCVBUQFUQFHZVBVCVDVAFMGZFVDUTMHVAVEHVDUTFPMUQFNOQFUTMJRFSTUAVCUQFUB
      UCVAURFUDFFUQUEURUFTUGUHUIFAUJUK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Topology
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Using the axiom of countable choice ~ ax-cc , the countable union of
     countable sets is countable.  See ~ iunctb for a somewhat more general
     theorem.  (Contributed by ML, 10-Dec-2020.) $)
  iunctb2 $p |- ( A. x e. _om B ~<_ _om -> U_ x e. _om B ~<_ _om ) $=
    ( com cdom wbr wral ciun cvv wcel omex domrefg ax-mp iunctb mpan ) CCDEZBCD
    EACFACBGCDECHIOJCHKLACBMN $.

  ${
    $d A n $.  $d A n y z $.
    $( A class which dominates every natural number is not finite.
       (Contributed by ML, 14-Dec-2020.) $)
    domalom $p |- ( A. n e. _om n ~<_ A -> -. A e. Fin ) $=
      ( vy vz cv cdom wbr com wral cen wn wcel csdm wi breq1 csuc c1o 1onn syl
      c0 cfn nfra1 wceq imbi2d wne 1n0 wb 0sdomg ax-mp mpbir rspccv mpi sylancr
      sdomdomtr wa peano2 impel syl2an2 a1d expcom finds2 vtoclga com12 ralrimi
      php4 sdomnen ensym nsyl ralimi wrex isfi notbii ralnex bitr4i sylibr ) BE
      ZAFGZBHIZAVPJGZKZBHIZAUALZKZVRVPAMGZBHIWAVRWDBHVQBHUBVPHLVRWDVRCEZAMGZNVR
      WDNCVPHWEVPUCWFWDVRWEVPAMOUDWFTAMGZDEZAMGZWHPZAMGZVRCDWETAMOWEWHAMOWEWJAM
      OVRTQMGZQAFGZWGWLQTUEZUFQHLZWLWNUGRQHUHUIUJVRWOWMRVQWMBQHVPQAFOUKULTQAUNU
      MVRWHHLZWIWKNVRWPUOWKWIWPWJWJPZMGZVRWQAFGZWKWPWJHLZWRWHUPZWJVESVRWQHLZWSW
      PVQWSBWQHVPWQAFOUKWPWTXBXAWJUPSUQWJWQAUNURUSUTVAVBVCVDWDVTBHWDVPAJGVSVPAV
      FAVPVGVHVISWCVSBHVJZKWAWBXCBAVKVLVSBHVMVNVO $.
  $}

  ${
    $d A n x $.  $d A n $.
    $( The converse of ~ isinf .  Any set that is not finite is literally
       infinite, in the sense that it contains subsets of arbitrarily large
       finite cardinality.  (It cannot be proven that the set has _countably
       infinite_ subsets unless AC is invoked.)  The proof does not require the
       Axiom of Infinity.  (Contributed by ML, 14-Dec-2020.) $)
    isinf2 $p |- ( A. n e. _om E. x ( x C_ A /\ x ~~ n ) -> -. A e. Fin ) $=
      ( cvv wcel cv wss cen wbr wa wex com wral cfn wn wi cdom ssdomg adantr wb
      domen1 adantl sylibd expimpd ancomsd exlimdv ralimdv domalom syl6 pm2.61i
      prcnel a1d ) BDEZAFZBGZUNCFZHIZJZAKZCLMZBNEOZPUMUTUPBQIZCLMVAUMUSVBCLUMUR
      VBAUMUQUOVBUMUQUOVBUMUQJUOUNBQIZVBUMUOVCPUQUNBDRSUQVCVBTUMUNUPBUAUBUCUDUE
      UFUGBCUHUIUMOVAUTBNUKULUJ $.
  $}

  ${
    $d A f n x $.
    $( Using the axiom of choice, any infinite class has a countable subset.
       (Contributed by ML, 14-Dec-2020.) $)
    ctbssinf $p |- ( -. A e. Fin -> E. x ( x C_ A /\ x ~~ _om ) ) $=
      ( vn vf wcel cv wss cen wbr wa wex com wral wceq sseq1 anbi12d ralimi syl
      cuni cdom cfn wn wfn cfv isinf omex breq1 ac6s2 crn simpl cpw fvex ralbii
      elpw fnfvrnss uniss unipw sseqtrdi sylan2br sylan2 ciun cmpt dffn5 biimpi
      rneqd unieqd dfiun3 eqtr4di adantr simpr nnsdom domsdomtr sdomdom syl2anr
      csdm endom ralimiaa iunctb2 3syl adantl eqbrtrd fvssunirn jctl isinf2 cvv
      spcev wb vex rnex uniex infinf ax-mp sylib sbth syl2anc exlimiv ) BUAEUBA
      FZBGZWQCFZHIZJZAKCLMDFZLUCZWSXBUDZBGZXDWSHIZJZCLMZJZDKWRWQLHIZJZAKZABCUEX
      AXGCALDUFWQXDNZWRXEWTXFWQXDBOWQXDWSHUGZPUHXIXLDXIXBUIZSZBGZXPLHIZXLXHXCXE
      CLMZXQXGXECLXEXFUJQXSXCXDBUKZEZCLMZXQYAXECLXDBWSXBULZUNUMXCYBJXOXTGZXQCLX
      TXBUOYDXPXTSBXOXTUPBUQURRUSUTXIXPLTILXPTIZXRXIXPCLXDVAZLTXCXPYFNXHXCXPCLX
      DVBZUIZSYFXCXOYHXCXBYGXCXBYGNCLXBVCVDVEVFCLXDYCVGVHVIXHYFLTIZXCXHXFCLMXDL
      TIZCLMYIXGXFCLXEXFVJQXFYJCLXFXDWSTIZWSLVOIZYJWSLEXDWSVPWSVKYKYLJXDLVOIYJX
      DWSLVLXDLVMRVNVQCXDVRVSVTWAXHYEXCXHXDXPGZXFJZCLMZYEXGYNCLXFYNXEXFYMXBWSWB
      WCVTQYOXPUAEUBZYEYOWQXPGZWTJZAKZCLMYPYNYSCLYRYNAXDYCXMYQYMWTXFWQXDXPOXNPW
      FQAXPCWDRXPWEEYPYEWGXOXBDWHWIWJZXPWEWKWLWMRVTXPLWNWOXKXQXRJAXPYTWQXPNWRXQ
      XJXRWQXPBOWQXPLHUGPWFWOWPVS $.
  $}

  ${
    $d A x y $.  $d B y $.
    $( The index set of an indexed union is a subset of the union when each
       ` B ` contains its index.  (Contributed by ML, 16-Dec-2020.) $)
    ralssiun $p |- ( A. x e. A x e. B -> A C_ U_ x e. A B ) $=
      ( vy cv wcel wral ciun nfra1 nfcv nfiu1 wa wi wceq cab simpr rsp wb eleq1
      wrex adantl imbi2d adantr mpbid imp syl2anc sylibr ad2antrr mpbird df-iun
      rspe abid eleqtrrdi expl equcoms vtocleg anabsi7 ex ssrd ) AEZCFZABGZABAB
      CHZVAABIABJABCKVBUTBFZUTVCFZVBVDVEVBVDLVEMZDUTBVFADUTDEZNZVBVDVEVHVBLZVDL
      ZUTVGCFZABTZDOZVCVJUTVMFZVGVMFZVJVLVOVJVDVKVLVIVDPVIVDVKVIVDVAMZVDVKMZVBV
      PVHVAABQUAVHVPVQRVBVHVAVKVDUTVGCSUBUCUDUEVKABUKUFVLDULUGVHVNVORVBVDUTVGVM
      SUHUIADBCUJUMUNUOUPUQURUS $.
  $}

  ${
    $d A n p $.  $d J n p $.  $d X n p $.
    nlpineqsn.x $e |- X = U. J $.
    $( For every point ` p ` of a subset ` A ` of ` X ` with no limit points,
       there exists an open set ` n ` that intersects ` A ` only at ` p ` .
       (Contributed by ML, 23-Mar-2021.) $)
    nlpineqsn $p |- ( ( J e. Top /\ A C_ X /\ ( ( limPt ` J ) ` A ) = (/) )
              -> A. p e. A E. n e. J ( p e. n /\ ( n i^i A ) = { p } ) ) $=
      ( wcel wss cfv c0 wceq w3a cv cin wa wrex cdif wn wb adantr clp csn simp1
      ctop simp2 ssel2 3adant1 3jca wne wi wral eleq2 mtbiri adantl islp3 mtbid
      anbi2i annim bitr3i rexbii rexnal bitri sylibr sylan indif2 eqeq1i ssdif0
      noel nne bitr4i elin wo sssn n0i biorf syl bitr4id sylbir syl5bb pm5.32da
      ancoms rexbidv 3ad2ant3 mpbid 3an1rs ralrimiva ) CUDGZADHZACUAIIZJKZLEMZB
      MZGZWLANZWKUBZKZOZBCPZEAWGWHWKAGZWJWRWGWHWSLZWJOWMWLAWOQNZJKZOZBCPZWRWTWG
      WHWKDGZLZWJXDWTWGWHXEWGWHWSUCWGWHWSUEWHWSXEWGADWKUFUGUHXFWJOZWMXAJUIZUJZB
      CUKZRZXDXGWKWIGZXJWJXLRXFWJXLWKJGWKVHWIJWKULUMUNXFXLXJSWJBWKACDFUOTUPXDXI
      RZBCPXKXCXMBCXCWMXHRZOXMXNXBWMXAJVIUQWMXHURUSUTXIBCVAVBVCVDWTXDWRSZWJWSWG
      XOWHWSXCWQBCWSWMXBWPWMWSXBWPSXBWNWOHZWMWSOZWPXBWNWOQZJKXPXAXRJWLAWOVEVFWN
      WOVGVJXQWKWNGZXPWPSWKWLAVKXSXPWNJKZWPVLZWPWNWKVMXSXTRWPYASWNWKVNXTWPVOVPV
      QVRVSWAVTWBWCTWDWEWF $.

    $d A f n p $.  $d J f n p $.  $d X n p $.
    $( Given a subset ` A ` of ` X ` with no limit points, there exists a
       function from each point ` p ` of ` A ` to an open set intersecting
       ` A ` only at ` p ` .  This proof uses the axiom of choice.
       (Contributed by ML, 23-Mar-2021.) $)
    nlpfvineqsn $p |- ( A e. V ->
        ( ( J e. Top /\ A C_ X /\ ( ( limPt ` J ) ` A ) = (/) )
        -> E. f ( f : A --> J /\ A. p e. A ( ( f ` p ) i^i A ) = { p } ) ) ) $=
      ( vn ctop wcel wss clp cfv c0 wceq cv cin wrex wral wa wf nlpineqsn simpr
      w3a csn wex reximi ralimi syl ineq1 eqeq1d ac6sg syl5 ) CIJAEKACLMMNOUDZH
      PZAQZFPZUEZOZHCRZFASZADJACBPZUAUQVBMZAQZUROZFASTBUFUNUQUOJZUSTZHCRZFASVAA
      HCEFGUBVHUTFAVGUSHCVFUSUCUGUHUIUSVEFHACBDUOVCOUPVDURUOVCAUJUKULUM $.
  $}

  ${
    $d A p q $.  $d F p q $.
    $( A theorem about functions where the image of every point intersects the
       domain only at that point.  If ` J ` is a topology and ` A ` is a set
       with no limit points, then there exists an ` F ` such that this
       antecedent is true.  See ~ nlpfvineqsn for a proof of this fact.
       (Contributed by ML, 23-Mar-2021.) $)
    fvineqsnf1 $p |- ( ( F : A --> J /\ A. p e. A ( ( F ` p ) i^i A ) = { p } )
                      -> F : A -1-1-> J ) $=
      ( vq cv cfv cin csn wceq wral wa biimpi wal ax-5 alral sylibr eqeq1 eqcom
      syl wf wi fveq2 ineq1d sneq eqeq12d cbvralvw ralcom 3syl anim12i r19.26-2
      wf1 mpdan ineq1 bitrdi cvv wcel wb vex sneqbg ax-mp bitri sylan9bb syl5ib
      ralimi anim2i dff13 ) ACBUAZDFZBGZAHZVIIZJZDAKZLVHVJEFZBGZJZVIVOJZUBZEAKZ
      DAKZLACBULVNWAVHVNVMVPAHZVOIZJZLZEAKZDAKZWAVNVMEAKDAKZWDEAKZDAKZLZWGVNWIW
      KVNWIVMWDDEAVRVKWBVLWCVRVJVPAVIVOBUCUDVIVOUEUFUGMVNWHWIWJVNVNENVNEAKZWHVN
      EOVNEAPWLWHVMEDAAUHMUIWIWIDNWJWIDOWIDAPTUJUMVMWDDEAAUKQWFVTDAWEVSEAVQVKWB
      JZWEVRVJVPAUNVMWMWBVLJZWDVRVMWMVLWBJWNVKVLWBRVLWBSUOWDWNWCVLJZVRWBWCVLRWO
      VLWCJZVRWCVLSVIUPUQWPVRURDUSVIVOUPUTVAVBUOVCVDVEVETVFDEACBVGQ $.
  $}

  ${
    $d A q x o y $.  $d F q x o y $.  $d A p $.  $d F p $.  $d p o y $.
    $( A theorem about functions where the image of every point intersects the
       domain only at that point.  (Contributed by ML, 27-Mar-2021.) $)
    fvineqsneu $p |- ( ( F Fn A /\ A. p e. A ( ( F ` p ) i^i A ) = { p } )
                       -> A. q e. A E! x e. ran F q e. x ) $=
      ( vo vy cv cfv wceq wral wa wcel wreu wb wi ex nfv rsp syl6 fnfvelrn wrex
      wfn cin csn crn adantr fnrnfv abeq2d nfra1 nfan eleq2 elin rbaib ad2antll
      velsn equcom bitri bitrdi adantl imp bitr3d sylan9bbr anass1rs impr an32s
      adantrd eqeq1 wf wf1 dffn3 fvineqsnf1 sylanb dff13 sylib simprd syl imp32
      fveq2 impbid1 bitr4d ralrimiv exp32 rexlimd sylbid com23 reu6i syl6c nfvd
      ralrimdv eleq12 cbvreud cbvralvw sylibr ) CBUCZEHZCIZBUDZWPUEZJZEBKZLZFHZ
      GHZMZGCUFZNZFBKDHZAHZMZAXFNZDBKXBXGFBXBXCBMZXCCIZXFMZXEXDXMJZOZGXFKZXGWOX
      LXNPXAWOXLXNBXCCUAQUGXBXLXPGXFXBXDXFMZXLXPXBXRXPFBKZXLXPPXBXRXDWQJZEBUBZX
      SWOXRYAOXAWOYAGXFEGBCUHUIUGXBXTXSEBWOXAEWOERWTEBUJUKXSERXBWPBMZXTXSXBYBXT
      LZLZXPFBYDXLXPYDXLLXEWPXCJZXOXBXLYCXEYEOZXBXLLZYBXTYFXBYBXLXTYFPXBYBXLLZL
      ZXTYFXTXEXCWQMZYIYEXDWQXCULYIXCWRMZYJYEXLYKYJOXBYBYKYJXLXCWQBUMUNUOXBYHYK
      YEOZXBYBYLXLXAYBYLPWOXAYBWTYLWTEBSWTYKXCWSMZYEWRWSXCULYMXCWPJYEFWPUPFEUQU
      RUSTUTVGVAVBVCQVDVEVFXBXLYCXOYEOZYGYBXTYNXBYBXLXTYNPYIXTYNXTXOWQXMJZYIYEX
      DWQXMVHYIYOYEXBYBXLYOYEPZXBYBYPFBKZXLYPPXBYQEBKZYBYQPXBBXFCVIZYRXBBXFCVJZ
      YSYRLWOYSXAYTBCVKBCXFEVLVMEFBXFCVNVOVPYQEBSVQYPFBSTVRWPXCCVSVTVCQVDVEVFWA
      QWBWCWDWEXPFBSTWFWJXNXQXGXEGXFXMWGQWHWBXKXGDFBXHXCJZXJXEAGXFUUAARUUAGRUUA
      XJGWIUUAXEAWIUUAXIXDJXJXEOXHXCXIXDWKQWLWMWN $.
  $}

  ${
    $d A p x $.  $d F p x $.  $d Z p x $.
    $( A theorem about functions where the image of every point intersects the
       domain only at that point.  (Contributed by ML, 28-Mar-2021.) $)
    fvineqsneq $p |- ( ( ( F Fn A /\ A. p e. A ( ( F ` p ) i^i A ) = { p } )
                       /\ ( Z C_ ran F /\ A C_ U. Z ) ) -> Z = ran F ) $=
      ( vx wceq wral wa wn wi wcel wrex wal adantl sylibr adantr rsp ex syl nfv
      wfn cv cfv cin csn crn wss cuni wpss pssnel df-rex fnrnfv abeq2d ralrimiv
      biimpd r19.29r syl2anc nfra1 vsnid eleq2 mpbiri elin1d syl6 sylibrd com23
      wex wb reximdai anim2d reximdv mpd ancom bitr4i rexbii sylib rexcom nfre1
      r19.41v 19.3 alral sylbir nfan wreu fvineqsneu adantrd imp reupick3 3expa
      reximi expcom mpand ralrimi ralim impcom con2b ralbii df-ral bi2.04 albii
      expr 3bitri a1i rexbid mpbid nfa1 pssss biimpri mpdd ralnex eluni2 notbii
      dfss2 a1d dfss3 dfral2 bitri con2bii2 con2d npss syl6ib imp32 ) BAUAZDUBZ
      BUCZAUDZYCUEZFZDAGZHZCBUFZUGZACUHZUGZCYJFZYIYMYKYNYIYMCYJUIZIYKYNJYIYOYMY
      IYOYMIZYIYOHZYCYLKZIZDALZYPYQYCEUBZKZECLZIZDALZYTYQUUBIZECGZDALZUUEYQUUAC
      KZUUAYJKZUUFJZJZEMZDALZUUHYQUUBUUIIZJZEYJGZDALZUUNYQUUBUUOHZEYJLZEYJGZUUT
      UUPJZEYJGZHZDALZUURYQUVADALZUVCDAGUVEYQUUTDALZUVFYQUUSDALZEYJLZUVGYQUUOUU
      BDALZHZEYJLZUVIYQUUOUUAYDFZDALZHZEYJLZUVLYQUUOEYJLZUVNEYJGZUVPYQUUJUUOHEV
      FZUVQYOUVSYIECYJUJNUUOEYJUKOYIUVRYOYBUVRYHYBUVNEYJYBUUJUVNYBUVNEYJDEABULU
      MUOUNPPUUOUVNEYJUPUQYQUVOUVKEYJYQUVNUVJUUOYIUVNUVJJZYOYHUVTYBYHUVMUUBDAYG
      DAURZYHUVMYCAKZUUBYHUVMUWBUUBJYHUVMHUWBYCYDKZUUBYHUWBUWCJUVMYHUWBYGUWCYGD
      AQYGYDAYCYGYCYEKYCYFKDUSYEYFYCUTVAVBVCPUVMUUBUWCVGYHUUAYDYCUTNVDRVEVHNPVI
      VJVKUVKUVHEYJUVKUVJUUOHUVHUUOUVJVLUUBUUODAVRVMVNVOUUSDEAYJVPOUUTUVADAUUTU
      UTEMUVAUUTEUUSEYJVQVSUUTEYJVTWAWISYQUVCDAYIYODYBYHDYBDTUWAWBYODTWBZYQUWBU
      VCYQUWBHZUVBEYJUWEETYQUWBUUJUVBYQUWBUUJHZHUUBEYJWCZUUTUUPYQUWFUWGYQUWBUWG
      UUJYQUWGDAGZUWBUWGJYIUWHYOEABDDWDPUWGDAQSWEWFUWFUWGUUTHZUUPJZYQUUJUWJUWBU
      WIUUJUUPUWGUUTUUJUUPUUBUUOEYJWGWHWJNNWKWTWLRWLUVAUVCDAUPUQUVDUUQDAUVCUVAU
      UQUUTUUPEYJWMWNWISYQUUQUUMDAUWDUUQUUMVGYQUUQUUIUUFJZEYJGUUJUWKJZEMUUMUUPU
      WKEYJUUBUUIWOWPUWKEYJWQUWLUULEUUJUUIUUFWRWSXAXBXCXDYQUUMUUGDAUWDYQUUMUUGJ
      UWBYQUUMUUGYQUUMHZUUFECYQUUMEYQETUULEXEWBUWMUUIUUJUUFUWMUUJECGZUUIUUJJZYQ
      UWNUUMYQUWOEMZUWNYOUWPYIYOYKUWPCYJXFECYJXLVONUUJECWQOPUUJECQSUWMUUKECGZUU
      LUUMUWQYQUWQUUMUUKECWQXGNUUKECQSXHWLRXMVHVKUUGUUDDAUUBECXIVNVOYSUUDDAYRUU
      CEYCCXJXKVNOYMYTYMYRDAGYTIDAYLXNYRDAXOXPXQORXRCYJXSXTVEYA $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Pi-base theorems
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  This section contains a few proofs of theorems found in the pi-base database.
  The pi-base site can be found at <https://topology.pi-base.org/>.

  Definitions of topological properties are theorems labeled pibpN, where N is
  the property number in pi-base.  For example, ~ pibp19 defines countably
  compact topologies.  Proofs of theorems are similarly labeled pibtN, for
  example ~ pibt2 .

$)

  ${
    $d J y z $.
    pibp16.x $e |- X = U. J $.
    $( Property P000016 of pi-base.  The class of compact topologies.  A space
       ` X ` is compact if every open cover of ` X ` has a finite subcover.
       This theorem is just a relabeled copy of ~ iscmp .  (Contributed by ML,
       8-Dec-2020.) $)
    pibp16 $p |- ( J e. Comp <-> ( J e. Top /\ A. y e. ~P J
      ( X = U. y -> E. z e. ( ~P y i^i Fin ) X = U. z ) ) ) $=
      ( iscmp ) ABCDEF $.
  $}

  ${
    $d J x y $.  $d J x z $.  $d X x $.
    pibp19.x $e |- X = U. J $.
    pibp19.19 $e |- C = { x e. Top | A. y e. ~P x
                         ( ( U. x = U. y /\ y ~<_ _om )
                         -> E. z e. ( ~P y i^i Fin ) U. x = U. z ) } $.
    $( Property P000019 of pi-base.  The class of countably compact topologies.
       A space ` X ` is countably compact if every countable open cover of
       ` X ` has a finite subcover.  (Contributed by ML, 8-Dec-2020.) $)
    pibp19 $p |- ( J e. C <-> ( J e. Top /\ A. y e. ~P J
      ( ( X = U. y /\ y ~<_ _om ) -> E. z e. ( ~P y i^i Fin ) X = U. z ) ) ) $=
      ( cv cuni wceq com cdom wbr wa cpw wrex wi wral eqeq1d cfn cin ctop unieq
      pweq eqtr4di anbi1d rexbidv imbi12d raleqbidv elrab2 ) AIZJZBIZJZKZUNLMNZ
      OZUMCIJZKZCUNPUAUBZQZRZBULPZSFUOKZUQOZFUSKZCVAQZRZBEPZSAEUCDULEKZVCVIBVDV
      JULEUEVKURVFVBVHVKUPVEUQVKUMFUOVKUMEJFULEUDGUFZTUGVKUTVGCVAVKUMFUSVLTUHUI
      UJHUK $.
  $}

  ${
    $d J x y $.  $d J x z $.  $d X x y $.  $d X x z $.
    pibp21.x $e |- X = U. J $.
    pibp21.21 $e |- W = { x e. Top | A. y e. ( ~P U. x \ Fin )
                          E. z e. U. x z e. ( ( limPt ` x ) ` y ) } $.
    $( Property P000021 of pi-base.  The class of weakly countably compact
       topologies, or limit point compact topologies.  A space ` X ` is weakly
       countably compact if every infinite subset of ` X ` has a limit point.
       (Contributed by ML, 9-Dec-2020.) $)
    pibp21 $p |- ( J e. W <-> ( J e. Top /\ A. y e. ( ~P X \ Fin )
                   E. z e. X z e. ( ( limPt ` J ) ` y ) ) ) $=
      ( cv clp cfv wcel cuni wrex cpw cfn cdif wral ctop wceq unieq pweqd fveq2
      eqtr4di difeq1d fveq1d eleq2d rexeqbidv raleqbidv elrab2 ) CIZBIZAIZJKZKZ
      LZCUMMZNZBUQOZPQZRUKULDJKZKZLZCFNZBFOZPQZRADSEUMDTZURVDBUTVFVGUSVEPVGUQFV
      GUQDMFUMDUAGUDZUBUEVGUPVCCUQFVHVGUOVBUKVGULUNVAUMDJUCUFUGUHUIHUJ $.
  $}

  ${
    $d J x y z $.
    pibt1.19 $e |- C = { x e. Top | A. y e. ~P x
                         ( ( U. x = U. y /\ y ~<_ _om )
                         -> E. z e. ( ~P y i^i Fin ) U. x = U. z ) } $.
    $( Theorem T000001 of pi-base.  A compact topology is also countably
       compact.  See ~ pibp16 and ~ pibp19 for the definitions of the relevant
       properties.  (Contributed by ML, 8-Dec-2020.) $)
    pibt1 $p |- ( J e. Comp -> J e. C ) $=
      ( ctop wcel cuni cv wceq cpw cfn cin wrex wi wral wa com cdom ccmp pm3.41
      wbr ralimi anim2i eqid pibp16 pibp19 3imtr4i ) EGHZEIZBJZIKZUKCJIKCULLMNO
      ZPZBELZQZRUJUMULSTUCZRUNPZBUPQZREUAHEDHUQUTUJUOUSBUPUMURUNUBUDUEBCEUKUKUF
      ZUGABCDEUKVAFUHUI $.
  $}

  ${
    $d C a b s $.  $d C a f s $.  $d J a b s y $.  $d J a f n p $.
    $d J x y z $.  $d X a b s y $.  $d X a n p $.  $d X a p s $.  $d X x y z $.
    $d a f p $.  $d b s y z $.  $d f s y $.
    pibt2.x $e |- X = U. J $.
    pibt2.19 $e |- C = { x e. Top | A. y e. ~P x
                         ( ( U. x = U. y /\ y ~<_ _om )
                         -> E. z e. ( ~P y i^i Fin ) U. x = U. z ) } $.
    pibt2.21 $e |- W = { x e. Top | A. y e. ( ~P U. x \ Fin )
                          E. z e. U. x z e. ( ( limPt ` x ) ` y ) } $.
    $( Theorem T000002 of pi-base, a countably compact topology is also weakly
       countably compact.  See ~ pibp19 and ~ pibp21 for the definitions of the
       relevant properties.  This proof uses the axiom of choice.  (Contributed
       by ML, 30-Mar-2021.) $)
    pibt2 $p |- ( J e. C -> J e. W ) $=
      ( vs vp wcel wceq com wbr wa wi wss cvv vb va vf vn ctop clp cfv wrex cpw
      cv cfn cdif wral cuni cin pibp19 simplbi wn eldif velpw anbi1i cen wex wb
      cdom infinf ax-mp infcntss sylbi ad2antll sstr ancoms c0 simplr csdm ccld
      vex simpll sseq1 mpbiri adantl cldlp adantr mpbird sylanl1 adantllr simpr
      0ss w3a wf1 cldss wf nlpineqsn reximi ralimi ineq1 eqeq1d ac6s fvineqsnf1
      csn 3syl jca eximi syl syl3an2 syl3an1 3adant1r crn cun ciun vsnid elin1d
      eleq2 ralssiun anim1i unisng sseqtrrdi unss12 unidm sseqtrdi sylan syl2an
      syldan sylan2 adantlrr isfinite adantrr ad2antrr mpd eqeq2d sylibr df-rex
      ex unieq a1i eximdv exlimdv sylan2b adantlr sseld wfn f1fn fniunfv cldopn
      sseqtrd ancomd eqcomd eqimss ssun4 uniun ssun3 uncom undif1 eqtri ssequn2
      biimpi syl5eq eqsstrrd sylanr1 sylanr2 f1f frn topopn snssd uniss ancom1s
      eqssd mpand impr wf1o f1f1orn f1oen3g sylancr enen1 endom snfi mpbi unctb
      difopn sdomdom sylancl syl6bi impcom adantll elpw2g biimprd imbi2i ralbii
      ad2ant2lr simprbi breq1 anbi12d pweq ineq1d rexeqdv imbi12d rspccv mp2and
      cbvrexvw elinel1 ssdif difun2 difss2d sseq2 uniexg eqeltrid difexg ineq2d
      disjdif eqtrdi inunissunidif sylan9bbr biimpd impancom anim12d fvineqsneq
      anim2d difss ssdomg eqbrtrrdi endomtr syl2anc syl6 expdimp elinel2 syl5bi
      mp2 jcad anass1rs 3adant3 syl3anc anasss domsdomtr exlimiv pm2.65da imnan
      sdomnen neq0 sylib lpss ancrd syl6ibr lpss3 3expb reximdv an42s ralrimiva
      imp fveq2 eleq12d cbvrexdva cbvralvw pibp21 sylanbrc ) EDMZEUEMZCUJZBUJZE
      UFUGZUGZMZCGUHZBGUIZUKULZUMZEFMVUOVUPGVURUNZNZVUROVEPZQZGVUQUNZNZCVURUIZU
      KUOZUHZRZBEUIZUMZABCDEGHIUPZUQZVUOKUJZUAUJZVUSUGZMZKGUHZUAVVDUMVVEVUOVWDU
      AVVDVWAVVDMVUOVWAVVCMZVWAUKMURZQZVWDVWAVVCUKUSVWGVUOVWAGSZVWFQZVWDVWEVWHV
      WFUAGUTVAVUOVWIQUBUJZVWASZVWJOVBPZQZUBVCZVWDVWFVWNVUOVWHVWFOVWAVEPZVWNVWA
      TMVWFVWOVDUAVQZVWATVFVGUBVWAVWPVHVIVJVUOVWHVWNVWDRVWFVUOVWHQZVWMVWDUBVWQV
      WMVWDVUOVWLVWHVWKVWDVUOVWLQZVWHVWKQZQZVVTVWJVUSUGZMZKGUHZVWDVWSVWRVWJGSZV
      XCVWKVWHVXDVWJVWAGVKVLVWRVXDQZVXBKVCZVXCVXEVXAVMNZURZVXFVWRVXDVXHVWRVXDVX
      GQZURVXDVXHRVWRVXIVWLVUOVWLVXIVNVWRVXIQVWJVVTVEPZVVTUKMZQZKVCZVWJOVOPZVWL
      URVWRVXDVXGVXMVXEVXGQVWRVWJEVPUGMZVXGVXMVWRVXDVXGVRVUOVXDVXGVXOVWLVUOVUPV
      XDVXGVXOVVSVUPVXDQZVXGQVXOVXAVWJSZVXGVXQVXPVXGVXQVMVWJSVWJWHVXAVMVWJVSVTW
      AVXPVXOVXQVDVXGVWJEGHWBWCWDWEWFVXEVXGWGVWRVXOVXGWIVWJEUCUJZWJZLUJZVXRUGZV
      WJUOZVXTWTZNZLVWJUMZQZUCVCZVXMVUOVXOVXGVYGVWLVUOVUPVXOVXGVYGVVSVXOVUPVXDV
      XGVYGVWJEGHWKZVUPVXDVXGWIZVWJEVXRWLZVYEQZUCVCZVYGVYIVXTUDUJZMZVYMVWJUOZVY
      CNZQZUDEUHZLVWJUMVYPUDEUHZLVWJUMVYLVWJUDEGLHWMVYRVYSLVWJVYQVYPUDEVYNVYPWG
      WNWOVYPVYDLUDVWJEUCUBVQVYMVYANVYOVYBVYCVYMVYAVWJWPWQWRXAVYKVYFUCVYKVXSVYE
      VWJVXRELWSVYJVYEWGXBXCXDXEXFXGVWRVXOVYGVXMRZVXGVUOVXOVWLVYTVUOVXOVWLQZQZV
      YFVXMUCWUBVYFVXMWUBVYFQZGVVTUNZNZKVXRXHZGVWJULZWTZXIZUIZUKUOZUHZVXMWUCGWU
      IUNZNZWUIOVEPZWULVUOVUPWUAVYFWUNVVSVUPVXOVYFWUNVWLVUPVXOQZVXSVYEWUNWUPVXS
      QZVXSVYEWUNWUPVXSWGWUQVYFWUNVXSWUPVYFWUNVYFVXSWUPQZVWJWUFUNZSZWUNVYFVWJLV
      WJVYAXJZWUSVYEVWJWVASZVXSVYEVXTVYAMZLVWJUMWVBVYDWVCLVWJVYDVYAVWJVXTVYDVXT
      VYBMVXTVYCMLXKVYBVYCVXTXMVTXLWOLVWJVYAXNXDWAVXSWVAWUSNZVYEVXSVXRVWJUUAZWV
      DVWJEVXRUUBZLVWJVXRUUCXDWCUUEWURWUTWUTWUGEMZQZWUNWURWUTQWVGWUTWURWVGWUTVX
      OWVGVXSVUPVWJEGHUUDVJXOUUFWURWVHVXDWVHQZWUNWURVXDWVHVXOVXDVXSVUPVYHVJXOWU
      RWVIQGWUMWVIGWUMSZWURWVGVXDWUTWUGWUMSZWVJWVGWUGWUHUNZNWUGWVLSZWVKWVGWVLWU
      GWUGEXPUUGWUGWVLUUHWVMWUGWUSWVLXIZWUMWUGWVLWUSUUIWUFWUHUUJZXQXAWUTVXDVWJW
      UMSZWVKWVJWUTVWJWVNWUMVWJWUSWVLUUKWVOXQVXDWVPWVKQZQGVWJWUGXIZWUMVXDWVRGNW
      VQVXDWVRGVWJXIZGWVRWUGVWJXIWVSVWJWUGUULGVWJUUMUUNVXDWVSGNVWJGUUOUUPUUQWCW
      VQWVRWUMSVXDWVQWVRWUMWUMXIWUMVWJWUMWUGWUMXRWUMXSXTWAUURUUSUUTWAWURWUMGSZW
      VIWURWUIESZWVTVXSWUFESZWUHESZWWAWUPVXSVYJWWBVWJEVXRUVAVWJEVXRUVBXDWUPWUGE
      VUPGEMVXOWVGEGHUVCGVWJEGHUVSYAUVDWWBWWCQWUIEEXIEWUFEWUHEXREXSXTYBZWWAWUME
      UNZGWUIEUVEHXQXDWCUVGYCYCYDUVFYMUVHUVIYEWEWUAVXSWUOVUOVYEVWLVXSWUOVXOVXSV
      WLWUOVXSVWJWUFVBPZVWLWUORVXSVXRTMVWJWUFVXRUVJWWFUCVQVWJEVXRUVKVWJWUFVXRTU
      VLUVMZWWFVWLWUFOVBPZWUOVWJWUFOUVNWWHWUFOVEPWUHOVEPZWUOWUFOUVOWUHOVOPZWWIW
      UHUKMWWJWUGUVPWUHYFUVQWUHOUVTVGWUFWUHUVRUWAUWBXDUWCUWDUWIWUCWUIVVPMZWUNWU
      OQZWULRZWUCWWAWWKVUOVUPWUAVYFWWAVVSVUPVXOVYFWWAVWLWUPVXSWWAVYEVXSWUPWWAWW
      DVLYGYEWEVUOWWAWWKRWUAVYFVUOWWKWWAWUIEDUWEUWFYHYIVUOWWKWWMRZWUAVYFVUOVVIW
      UEKVVMUHZRZBVVPUMZWWNVUOVVQWWQVUOVUPVVQVVRUWJWWPVVOBVVPWWOVVNVVIWUEVVKKCV
      VMVVTVUQNWUDVVJGVVTVUQYNYJUWSUWGUWHYKWWPWWMBWUIVVPVURWUINZVVIWWLWWOWULWWR
      VVGWUNVVHWUOWWRVVFWUMGVURWUIYNYJVURWUIOVEUWKUWLWWRWUEKVVMWUKWWRVVLWUJUKVU
      RWUIUWMUWNUWOUWPUWQXDYHYIUWRWULVVTWUKMZWUEQZKVCWUCVXMWUEKWUKYLWUCWWTVXLKW
      UCWWTVXJVXKWUBVYFWWTVXJWUBVYFWWTQVYFVVTWUHULZWUFSZVWJWXAUNSZQZQZVXJWUBWWT
      WXDVYFVUOVXOWWTWXDRZVWLVUOVUPVXDWXFVXOVVSVYHVXPWWSWXBWUEWXCWWSWXBRVXPWWSV
      VTWUJMZWXBVVTWUJUKUWTWXGVVTWUISZWXBKWUIUTWXHWXAWUFWUHWXHWXAWUIWUHULWUFWUH
      ULVVTWUIWUHUXAWUFWUHUXBXTUXCVIXDYOVUPWUEVXDWXCVUPWUEQVXDWXCWUEVXDVWJWUDSZ
      VUPWXCGWUDVWJUXDVUPVWJWVLUOZVMNWXIWXCVDVUPWXJVWJWUGUOVMVUPWVLWUGVWJVUPGTM
      WUGTMWVLWUGNVUPGWWETHEUEUXEUXFGVWJTUXGWUGTXPXAUXHVWJGUXIUXJVWJVVTWUHUXKXD
      UXLUXMUXNUXOYBYGUXQWXEWWFWUFVVTVEPVXJVXSWWFVYEWXDWWGYHWXEWUFWXAVVTVEVXSWV
      EVYEWXDWXAWUFNWVFVWJVXRWXALUXPWEVVTTMWXAVVTSWXAVVTVEPKVQVVTWUHUXRWXAVVTTU
      XSUYGUXTVWJWUFVVTUYAUYBUYCUYDWWTVXKRWUCWWSVXKWUEVVTWUJUKUYEWCYOUYHYPUYFYI
      YMYQUYIUYJYIUYKUYLVXLVXNKVXKVXJVVTOVOPVXNVVTYFVWJVVTOUYMYRUYNVWJOUYQXAUYO
      VXDVXGUYPYKVUHKVXAUYRUYSVXEVXFVVTGMZVXBQZKVCVXCVXEVXBWXLKVXEVXBWXKVXEVXAG
      VVTVUOVXDVXAGSZVWLVUOVUPVXDWXMVVSVWJEGHUYTYAYSYTVUAYPVXBKGYLVUBYIYDVWTVXB
      VWCKGVWTVXAVWBVVTVUOVWSVXAVWBSZVWLVUOVUPVWSWXNVVSVUPVWHVWKWXNVWAVWJEGHVUC
      VUDYAYSYTVUEYIVUFYMYQYGYIYRYRVUGVVBVWDBUAVVDVURVWANZVVAVWCCKGWXOVUQVVTNZQ
      VUQVVTVUTVWBWXOWXPWGWXOVUTVWBNWXPVURVWAVUSVUIWCVUJVUKVULYKABCEFGHJVUMVUN
      $.
  $}

$( (End of ML's mathbox.) $)
$( End $[ set-mbox-ml.mm $] $)


$( Begin $[ set-mbox-wl.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Wolf Lammen
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  ${
    wl-section-prop.hyp $e |- ph $.
    $( Intuitionistic logic is now developed separately, so we need not first
       focus on intuitionally valid axioms ~ ax-1 and ~ ax-2 any longer.

       Alternatively, I start from Jan Lukasiewicz's axiom system here, i.e.,
       ~ ax-mp , ~ ax-luk1 , ~ ax-luk2 and ~ ax-luk3 .  I rather copy this
       system than use ~ luk-1 to ~ luk-3 , since the latter are theorems,
       while we need axioms here.

       (Contributed by Wolf Lammen, 23-Feb-2018.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    wl-section-prop $p |- ph $=
      (  ) B $.
  $}

  $( 1 of 3 axioms for propositional calculus due to Lukasiewicz.  Copy of
     ~ luk-1 and ~ imim1 , but introduced as an axiom.  It focuses on a basic
     property of a valid implication, namely that the consequent has to be true
     whenever the antecedent is.  So if ` ph ` and ` ps ` are somehow
     parametrized expressions, then ` ph -> ps ` states that ` ph ` strengthen
     ` ps ` , in that ` ph ` holds only for a (often proper) subset of those
     parameters making ` ps ` true.  We easily accept, that when ` ps ` is
     stronger than ` ch ` and, at the same time ` ph ` is stronger than
     ` ps ` , then ` ph ` must be stronger than ` ch ` .  This transitivity is
     expressed in this axiom.

     A particular result of this strengthening property comes into play if the
     antecedent holds unconditionally.  Then the consequent must hold
     unconditionally as well.  This specialization is the foundational idea
     behind logical conclusion.  Such conclusion is best expressed in so-called
     immediate versions of this axiom like ~ imim1i or ~ syl .  Note that these
     forms are weaker replacements (i.e. just frequent specialization) of the
     closed form presented here, hence a mere convenience.

     We can identify in this axiom up to three antecedents, followed by a
     consequent.  The number of antecedents is not really fixed; the fewer we
     are willing to "see", the more complex the consequent grows.  On the other
     side, since ` ch ` is a variable capable of assuming an implication
     itself, we might find even more antecedents after some substitution of
     ` ch ` .  This shows that the ideas of antecedent and consequent in
     expressions like this depends on, and can adapt to, our current
     interpretation of the whole expression.

     In this axiom, up to two antecedents happen to be of complex nature
     themselves, i.e. are an embedded implication.  Logically, this axiom is a
     compact notion of simpler expressions, which I will later coin implication
     chains.  Herein all antecedents and the consequent appear as simple
     variables, or their negation.  Any propositional expression is equivalent
     to a set of such chains.  This axiom, for example, is dissected into
     following chains, from which it can be recovered losslessly:

     ` ( ps -> ( ch -> ( ph -> ch ) ) ) ` ;
     ` ( -. ph -> ( ch -> ( ph -> ch ) ) ) ` ;
     ` ( ps -> ( -. ps -> ( ph -> ch ) ) ) ` ;
     ` ( -. ph -> ( -. ps -> ( ph -> ch ) ) ) ` .  (Contributed by Wolf Lammen,
     17-Dec-2018.)  (New usage is discouraged.) $)
  ax-luk1 $a |- ( ( ph -> ps ) -> ( ( ps -> ch ) -> ( ph -> ch ) ) ) $.

  $( 2 of 3 axioms for propositional calculus due to Lukasiewicz.  Copy of
     ~ luk-2 or ~ pm2.18 , but introduced as an axiom.  The core idea behind
     this axiom is, that if something can be implied from both an antecedent,
     and separately from its negation, then the antecedent is irrelevant to the
     consequent, and can safely be dropped.  This is perhaps better seen from
     the following slightly extended version (related to ~ pm2.65 ):

     ` ( ( ph -> ph ) -> ( ( -. ph -> ph ) -> ph ) ) ` .  (Contributed by Wolf
     Lammen, 17-Dec-2018.)  (New usage is discouraged.) $)
  ax-luk2 $a |- ( ( -. ph -> ph ) -> ph ) $.

  $( 3 of 3 axioms for propositional calculus due to Lukasiewicz.  Copy of
     ~ luk-3 and ~ pm2.24 , but introduced as an axiom.

     One might think that the similar ~ pm2.21 ` ( -. ph -> ( ph -> ps ) ) ` is
     a valid replacement for this axiom.  But this is not true, ~ ax-3 is not
     derivable from this modification.

     This can be shown by designing carefully operators ` -. ` and ` -> ` on a
     finite set of primitive statements.  In propositional logic such
     statements are ` T. ` and ` F. ` , but we can assume more and other
     primitives in our universe of statements. So we denote our primitive
     statements as phi0 , phi1 and phi2.  The actual meaning of the statements
     are not important in this context, it rather counts how they behave under
     our operations ` -. ` and ` -> ` , and which of them we assume to hold
     unconditionally (phi1, phi2).  For our disproving model, I give that
     information in tabular form below.  The interested reader may check by
     hand, that all possible interpretations of ~ ax-mp , ~ ax-luk1 , ~ ax-luk2
     and ~ pm2.21 result in phi1 or phi2, meaning they always hold.  But for
     ~ wl-luk-ax3 we can find a counter example resulting in phi0, not a
     statement always true.

     The verification of a particular set of axioms in a given model is tedious
     and error prone, so I wrote a computer program, first checking this for
     me, and second, hunting for a counter example.  Here is the result, after
     9165 fruitlessly computer generated models:

     <HTML>
     <br><br>
     ax-3 fails for phi2, phi2<br>
     number of statements: 3<br>
     always true phi1 phi2
     <br><br>
     Negation is defined as<br>
     ----------------------------------------------------------------------
     <table border="1">
     <tr><td>-. phi0</td><td>-. phi1</td><td>-. phi2</td></tr>
     <tr><td>phi1</td><td>phi0</td><td>phi1</td></tr></table>
     <br>
     Implication is defined as<br>
     ----------------------------------------------------------------------
     <table border=1>
     <tr><td>p->q</td><td>q: phi0</td><td>q: phi1</td><td>q: phi2</td></tr>
     <tr><td>p: phi0</td><td>phi1</td><td>phi1</td><td>phi1</td></tr>
     <tr><td>p: phi1</td><td>phi0</td><td>phi1</td><td>phi1</td></tr>
     <tr><td>p: phi2</td><td>phi0</td><td>phi0</td><td>phi0</td></tr>
     </table><br></HTML>
     (Contributed by Wolf Lammen, 17-Dec-2018.)  (New usage is discouraged.) $)
  ax-luk3 $a |- ( ph -> ( -. ph -> ps ) ) $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  1. Bootstrapping
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    wl-section-boot.hyp $e |- ph $.
    $( In this section, I provide the first steps needed for convenient
       proving.  The presented theorems follow no common concept other than
       being useful in themselves, and apt to rederive ~ ax-1 , ~ ax-2 and
       ~ ax-3 .  (Contributed by Wolf Lammen, 17-Dec-2018.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    wl-section-boot $p |- ph $=
      (  ) B $.
  $}

  ${
    wl-luk-imim1i.1 $e |- ( ph -> ps ) $.
    $( Inference adding common consequents in an implication, thereby
       interchanging the original antecedent and consequent.  Copy of ~ imim1i
       with a different proof.  (Contributed by Wolf Lammen, 17-Dec-2018.) $)
    wl-luk-imim1i $p |- ( ( ps -> ch ) -> ( ph -> ch ) ) $=
      ( wi ax-luk1 ax-mp ) ABEBCEACEEDABCFG $.
  $}

  ${
    wl-luk-syl.1 $e |- ( ph -> ps ) $.
    wl-luk-syl.2 $e |- ( ps -> ch ) $.
    $( An inference version of the transitive laws for implication ~ luk-1 .
       Copy of ~ syl with a different proof.  (Contributed by Wolf Lammen,
       17-Dec-2018.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    wl-luk-syl $p |- ( ph -> ch ) $=
      ( wi wl-luk-imim1i ax-mp ) BCFACFEABCDGH $.
  $}

  ${
    wl-luk-imtrid.1 $e |- ( ph -> ps ) $.
    wl-luk-imtrid.2 $e |- ( ch -> ( ps -> th ) ) $.
    $( A syllogism rule of inference.  The first premise is used to replace the
       second antecedent of the second premise.  Copy of ~ syl5 with a
       different proof.  (Contributed by Wolf Lammen, 17-Dec-2018.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    wl-luk-imtrid $p |- ( ch -> ( ph -> th ) ) $=
      ( wi wl-luk-imim1i wl-luk-syl ) CBDGADGFABDEHI $.
  $}

  ${
    wl-luk-pm2.18d.1 $e |- ( ph -> ( -. ps -> ps ) ) $.
    $( Deduction based on reductio ad absurdum.  Copy of ~ pm2.18d with a
       different proof.  (Contributed by Wolf Lammen, 17-Dec-2018.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    wl-luk-pm2.18d $p |- ( ph -> ps ) $=
      ( wn wi ax-luk2 wl-luk-syl ) ABDBEBCBFG $.
  $}

  ${
    wl-luk-con4i.1 $e |- ( -. ph -> -. ps ) $.
    $( Inference rule.  Copy of ~ con4i with a different proof.  (Contributed
       by Wolf Lammen, 17-Dec-2018.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    wl-luk-con4i $p |- ( ps -> ph ) $=
      ( wn ax-luk3 wl-luk-imtrid wl-luk-pm2.18d ) BAADBDBACBAEFG $.
  $}

  ${
    wl-luk-pm2.24i.1 $e |- ph $.
    $( Inference rule.  Copy of ~ pm2.24i with a different proof.  (Contributed
       by Wolf Lammen, 17-Dec-2018.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    wl-luk-pm2.24i $p |- ( -. ph -> ps ) $=
      ( wn wi ax-luk3 ax-mp ) AADBECABFG $.
  $}

  ${
    wl-luk-a1i.1 $e |- ph $.
    $( Inference rule.  Copy of ~ a1i with a different proof.  (Contributed by
       Wolf Lammen, 17-Dec-2018.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    wl-luk-a1i $p |- ( ps -> ph ) $=
      ( wn wl-luk-pm2.24i wl-luk-con4i ) ABABDCEF $.
  $}

  ${
    wl-luk-mpi.1 $e |- ps $.
    wl-luk-mpi.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( A nested modus ponens inference.  Copy of ~ mpi with a different proof.
       (Contributed by Wolf Lammen, 17-Dec-2018.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    wl-luk-mpi $p |- ( ph -> ch ) $=
      ( wn wl-luk-a1i wl-luk-imtrid wl-luk-pm2.18d ) ACCFZBACBJDGEHI $.
  $}

  ${
    wl-luk-imim2i.1 $e |- ( ph -> ps ) $.
    $( Inference adding common antecedents in an implication.  Copy of ~ imim2i
       with a different proof.  (Contributed by Wolf Lammen, 17-Dec-2018.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    wl-luk-imim2i $p |- ( ( ch -> ph ) -> ( ch -> ps ) ) $=
      ( wi ax-luk1 wl-luk-mpi ) CAEABECBEDCABFG $.
  $}

  ${
    wl-luk-imtrdi.1 $e |- ( ph -> ( ps -> ch ) ) $.
    wl-luk-imtrdi.2 $e |- ( ch -> th ) $.
    $( A syllogism rule of inference.  The second premise is used to replace
       the consequent of the first premise.  Copy of ~ syl6 with a different
       proof.  (Contributed by Wolf Lammen, 17-Dec-2018.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    wl-luk-imtrdi $p |- ( ph -> ( ps -> th ) ) $=
      ( wi wl-luk-imim2i wl-luk-syl ) ABCGBDGECDBFHI $.
  $}

  $( ~ ax-3 proved from Lukasiewicz's axioms.  (Contributed by Wolf Lammen,
     17-Dec-2018.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  wl-luk-ax3 $p |- ( ( -. ph -> -. ps ) -> ( ps -> ph ) ) $=
    ( wn wi ax-luk3 ax-luk1 wl-luk-imtrid ax-luk2 wl-luk-imtrdi ) ACZBCZDZBJADZ
    ABKADLMBAEJKAFGAHI $.

  $( ~ ax-1 proved from Lukasiewicz's axioms.  (Contributed by Wolf Lammen,
     17-Dec-2018.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  wl-luk-ax1 $p |- ( ph -> ( ps -> ph ) ) $=
    ( wn wi ax-luk3 wl-luk-ax3 wl-luk-syl ) AACBCZDBADAHEABFG $.

  $( This theorem, called "Assertion", can be thought of as closed form of
     modus ponens ~ ax-mp .  Theorem *2.27 of [WhiteheadRussell] p. 104.  Copy
     of ~ pm2.27 with a different proof.  (Contributed by Wolf Lammen,
     17-Dec-2018.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  wl-luk-pm2.27 $p |- ( ph -> ( ( ph -> ps ) -> ps ) ) $=
    ( wi wn wl-luk-ax1 ax-luk1 wl-luk-syl ax-luk2 wl-luk-imtrdi ) AABCZBDZBCZBA
    KACJLCAKEKABFGBHI $.

  ${
    wl-luk-com12.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference that swaps (commutes) antecedents in an implication.  Copy of
       ~ com12 with a different proof.  (Contributed by Wolf Lammen,
       17-Dec-2018.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    wl-luk-com12 $p |- ( ps -> ( ph -> ch ) ) $=
      ( wi wl-luk-pm2.27 wl-luk-imtrid ) ABCEBCDBCFG $.
  $}

  $( From a wff and its negation, anything follows.  Theorem *2.21 of
     [WhiteheadRussell] p. 104.  Also called the Duns Scotus law.  Copy of
     ~ pm2.21 with a different proof.  (Contributed by Wolf Lammen,
     17-Dec-2018.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  wl-luk-pm2.21 $p |- ( -. ph -> ( ph -> ps ) ) $=
    ( wn ax-luk3 wl-luk-com12 ) AACBABDE $.

  ${
    wl-luk-con1i.1 $e |- ( -. ph -> ps ) $.
    $( A contraposition inference.  Copy of ~ con1i with a different proof.
       (Contributed by Wolf Lammen, 17-Dec-2018.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    wl-luk-con1i $p |- ( -. ps -> ph ) $=
      ( wn wl-luk-pm2.21 wl-luk-imtrid wl-luk-pm2.18d ) BDZAADBHACBAEFG $.
  $}

  ${
    wl-luk-ja.1 $e |- ( -. ph -> ch ) $.
    wl-luk-ja.2 $e |- ( ps -> ch ) $.
    $( Inference joining the antecedents of two premises.  Copy of ~ ja with a
       different proof.  (Contributed by Wolf Lammen, 17-Dec-2018.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    wl-luk-ja $p |- ( ( ph -> ps ) -> ch ) $=
      ( wi wn wl-luk-con1i wl-luk-imim2i wl-luk-imtrid wl-luk-pm2.18d ) ABFZCCG
      ALCACDHBCAEIJK $.
  $}

  $( A closed form of syllogism (see ~ syl ).  Theorem *2.05 of
     [WhiteheadRussell] p. 100.  Copy of ~ imim2 with a different proof.
     (Contributed by Wolf Lammen, 17-Dec-2018.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  wl-luk-imim2 $p |- ( ( ph -> ps ) -> ( ( ch -> ph ) -> ( ch -> ps ) ) ) $=
    ( wi ax-luk1 wl-luk-com12 ) CADABDCBDCABEF $.

  ${
    wl-luk-a1d.1 $e |- ( ph -> ps ) $.
    $( Deduction introducing an embedded antecedent.  Copy of ~ imim2 with a
       different proof.  (Contributed by Wolf Lammen, 17-Dec-2018.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    wl-luk-a1d $p |- ( ph -> ( ch -> ps ) ) $=
      ( wi wl-luk-ax1 wl-luk-syl ) ABCBEDBCFG $.
  $}

  $( ~ ax-2 proved from Lukasiewicz's axioms.  (Contributed by Wolf Lammen,
     17-Dec-2018.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  wl-luk-ax2 $p |- ( ( ph -> ( ps -> ch ) )
      -> ( ( ph -> ps ) -> ( ph -> ch ) ) ) $=
    ( wi wn wl-luk-pm2.21 wl-luk-a1d wl-luk-imim2 wl-luk-ja ) ABCDABDZACDZDAEKJ
    ACFGBCAHI $.

  $( Principle of identity.  Theorem *2.08 of [WhiteheadRussell] p. 101.  Copy
     of ~ id with a different proof.  (Contributed by Wolf Lammen,
     17-Dec-2018.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  wl-luk-id $p |- ( ph -> ph ) $=
    ( wn wi ax-luk3 ax-luk2 wl-luk-syl ) AABACAAADAEF $.

  $( Converse of double negation.  Theorem *2.14 of [WhiteheadRussell] p. 102.
     In classical logic (our logic) this is always true.  In intuitionistic
     logic this is not always true; in intuitionistic logic, when this is true
     for some ` ph ` , then ` ph ` is stable.  Copy of ~ notnotr with a
     different proof.  (Contributed by Wolf Lammen, 17-Dec-2018.)
     (New usage is discouraged.)  (Proof modification is discouraged.) $)
  wl-luk-notnotr $p |- ( -. -. ph -> ph ) $=
    ( wn wl-luk-id wl-luk-con1i ) AABZECD $.

  $( Swap antecedents.  Theorem *2.04 of [WhiteheadRussell] p. 100.  This was
     the third axiom in Frege's logic system, specifically Proposition 8 of
     [Frege1879] p. 35.  Copy of ~ pm2.04 with a different proof.  (Contributed
     by Wolf Lammen, 7-Jul-2019.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  wl-luk-pm2.04 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ps -> ( ph -> ch ) ) ) $=
    ( wi wl-luk-ax1 wl-luk-ax2 wl-luk-imtrid ) BABDABCDDACDBAEABCFG $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Implication chains
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    wl-section-impchain.hyp $e |- ph $.
    $( An implication like ` ( ps -> ph ) ` with one antecedent can easily be
       extended by prepending more and more antecedents, as in
       ` ( ch -> ( ps -> ph ) ) ` or ` ( th -> ( ch -> ( ps -> ph ) ) ) ` .  I
       call these expressions implication chains, and the number of antecedents
       (number of nodes minus one) denotes their length.  A given length often
       marks just a required minimum value, since the consequent ` ph ` itself
       may represent an implication, or even an implication chain, such hiding
       part of the whole chain.  As an extension, it is useful to consider a
       single variable ` ph ` as a degenerate implication chain of length zero.

       Implication chains play a particular role in logic, as all propositional
       expressions turn out to be convertible to one or more implication
       chains, their nodes as simple as a variable, or its negation.

       So there is good reason to focus on implication chains as a sort of
       normalized expressions, and build some general theorems around them,
       with proofs using recursive patterns.  This allows for theorems
       referring to longer and longer implication chains in an automated way.

       The theorem names in this section contain the text fragment 'impchain'
       to point out their relevance to implication chains, followed by a number
       indicating the (minimal) length of the longest chain involved.
       (Contributed by Wolf Lammen, 6-Jul-2019.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    wl-section-impchain $p |- ph $=
      (  ) B $.
  $}

  $( This series of theorems provide a means of exchanging the consequent of an
     implication chain via a simple implication.  In the main part, Theorems
     ~ ax-mp , ~ syl , ~ syl6 , ~ syl8 form the beginning of this series.
     These theorems are replicated here, but with proofs that aim at a
     recursive scheme, allowing to base a proof on that of the previous one in
     the series.  (Contributed by Wolf Lammen, 17-Nov-2019.) $)
  wl-impchain-mp-x $p |- T. $=
    ( tru ) A $.

  ${
    $( Exchange the consequent of an implication chain of length 0. $)
    wl-impchain-mp-0.a $e |- ps $.
    $( Use to replace the consequent. $)
    wl-impchain-mp-0.b $e |- ( ps -> ph ) $.
    $( This theorem is the start of a proof recursion scheme where we replace
       the consequent of an implication chain.  The number '0' in the theorem
       name indicates that the modified chain has no antecedents.

       This theorem is in fact a copy of ~ ax-mp , and is repeated here to
       emphasize the recursion using similar theorem names.  (Contributed by
       Wolf Lammen, 6-Jul-2019.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    wl-impchain-mp-0 $p |- ph $=
      ( ax-mp ) BACDE $.
  $}

  ${
    $( Exchange the consequent of an implication chain of length 1. $)
    wl-impchain-mp-1.a $e |- ( ch -> ps ) $.
    $( Use to replace the consequent. $)
    wl-impchain-mp-1.b $e |- ( ps -> ph ) $.
    $( This theorem is in fact a copy of ~ wl-luk-syl , and repeated here to
       demonstrate a recursive proof scheme.  The number '1' in the theorem
       name indicates that a chain of length 1 is modified.  (Contributed by
       Wolf Lammen, 6-Jul-2019.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    wl-impchain-mp-1 $p |- ( ch -> ph ) $=
      ( wi wl-luk-imim2i wl-impchain-mp-0 ) CAFCBFDBACEGH $.
  $}

  ${
    $( Exchange the consequent of an implication chain of length 2. $)
    wl-impchain-mp-2.a $e |- ( th -> ( ch -> ps ) ) $.
    $( Use to replace the consequent. $)
    wl-impchain-mp-2.b $e |- ( ps -> ph ) $.
    $( This theorem is in fact a copy of ~ wl-luk-imtrdi , and repeated here to
       demonstrate a recursive proof scheme.  The number '2' in the theorem
       name indicates that a chain of length 2 is modified.  (Contributed by
       Wolf Lammen, 6-Jul-2019.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    wl-impchain-mp-2 $p |- ( th -> ( ch -> ph ) ) $=
      ( wi wl-luk-imim2i wl-impchain-mp-1 ) CAGCBGDEBACFHI $.
  $}

  $( It is often convenient to have the antecedent under focus in first
     position, so we can apply immediate theorem forms (as opposed to
     deduction, tautology form).  This series of theorems swaps the first with
     the last antecedent in an implication chain.  This kind of swapping is
     self-inverse, whence we prefer it over, say, rotating theorems.  A
     consequent can hide a tail of a longer chain, so theorems of this series
     appear as swapping a pair of antecedents with fixed offsets.  This form of
     swapping antecedents is flexible enough to allow for any permutation of
     antecedents in an implication chain.

     The first elements of this series correspond to ~ com12 , ~ com13 ,
     ~ com14 and ~ com15 in the main part.

     The proofs of this series aim at automated proving using a simple
     recursive scheme.  It employs the previous theorem in the series along
     with a sample from the ~ wl-impchain-mp-x series developed before.
     (Contributed by Wolf Lammen, 17-Nov-2019.) $)
  wl-impchain-com-1.x $p |- T. $=
    ( tru ) A $.

  ${
    wl-impchain-com-1.1.a $e |- ( ps -> ph ) $.
    $( A degenerate form of antecedent swapping.  The number '1' in the theorem
       name indicates that it handles a chain of length 1.

       Since there is just one antecedent in the chain, there is nothing to
       swap.  Nondegenerated forms begin with ~ wl-impchain-com-1.2 , for more
       see there.  (Contributed by Wolf Lammen, 7-Jul-2019.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    wl-impchain-com-1.1 $p |- ( ps -> ph ) $=
      (  ) C $.
  $}

  ${
    wl-impchain-com.1.2.a $e |- ( ch -> ( ps -> ph ) ) $.
    $( This theorem is in fact a copy of ~ wl-luk-com12 , and repeated here to
       demonstrate a simple proof scheme.  The number '2' in the theorem name
       indicates that a chain of length 2 is modified.

       See ~ wl-impchain-com-1.x for more information how this proof is
       generated.  (Contributed by Wolf Lammen, 7-Jul-2019.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    wl-impchain-com-1.2 $p |- ( ps -> ( ch -> ph ) ) $=
      ( wi wl-impchain-com-1.1 wl-luk-pm2.04 wl-impchain-mp-0 ) CAEZBBIECBAEZEJ
      CDFCBAGHF $.
  $}

  ${
    wl-impchain-com-1.3.h1 $e |- ( th -> ( ch -> ( ps -> ph ) ) ) $.
    $( This theorem is in fact a copy of ~ com13 , and repeated here to
       demonstrate a simple proof scheme.  The number '3' in the theorem name
       indicates that a chain of length 3 is modified.

       See ~ wl-impchain-com-1.x for more information how this proof is
       generated.  (Contributed by Wolf Lammen, 7-Jul-2019.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    wl-impchain-com-1.3 $p |- ( ps -> ( ch -> ( th -> ph ) ) ) $=
      ( wi wl-impchain-com-1.2 wl-luk-pm2.04 wl-impchain-mp-1 ) DAFZBCBJFDBAFZF
      CKCDEGDBAHIG $.
  $}

  ${
    wl-impchain-com-1.4.h1 $e |- ( et -> ( th -> ( ch -> ( ps -> ph ) ) ) ) $.
    $( This theorem is in fact a copy of ~ com14 , and repeated here to
       demonstrate a simple proof scheme.  The number '4' in the theorem name
       indicates that a chain of length 4 is modified.

       See ~ wl-impchain-com-1.x for more information how this proof is
       generated.  (Contributed by Wolf Lammen, 7-Jul-2019.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    wl-impchain-com-1.4 $p |- ( ps -> ( th -> ( ch -> ( et -> ph ) ) ) ) $=
      ( wi wl-impchain-com-1.3 wl-luk-pm2.04 wl-impchain-mp-2 ) EAGZBDCBKGEBAGZ
      GDCLCDEFHEBAIJH $.
  $}

  $( This series of theorems allow swapping any two antecedents in an
     implication chain.  The theorem names follow a pattern wl-impchain-com-n.m
     with integral numbers n < m, that swaps the m-th antecedent with n-th one
     in an implication chain.  It is sufficient to restrict the length of the
     chain to m, too, since the consequent can be assumed to be the tail right
     of the m-th antecedent of any arbitrary sized implication chain.  We
     further assume n > 1, since the ~ wl-impchain-com-1.x series already
     covers the special case n = 1.

     Being able to swap any two antecedents in an implication chain lays the
     foundation of permuting its antecedents arbitrarily.

     The proofs of this series aim at automated proofing using a simple scheme.
     Any instance of this series is a triple step of swapping the first and
     n-th antecedent, then the first and the m-th, then the first and the n-th
     antecedent again.  Each of these steps is an instance of the
     ~ wl-impchain-com-1.x series.  (Contributed by Wolf Lammen,
     17-Nov-2019.) $)
  wl-impchain-com-n.m $p |- T. $=
    ( tru ) A $.

  ${
    wl-impchain-com-2.3.h1 $e |- ( th -> ( ch -> ( ps -> ph ) ) ) $.
    $( This theorem is in fact a copy of ~ com23 .  It starts a series of
       theorems named after ~ wl-impchain-com-n.m .  For more information see
       there.  (Contributed by Wolf Lammen, 12-Nov-2019.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    wl-impchain-com-2.3 $p |- ( th -> ( ps -> ( ch -> ph ) ) ) $=
      ( wi wl-impchain-com-1.2 wl-impchain-com-1.3 ) CAFDBABDCBAFCDEGHG $.
  $}

  ${
    wl-impchain-com-2.4.h1 $e |- ( et -> ( th -> ( ch -> ( ps -> ph ) ) ) ) $.
    $( This theorem is in fact a copy of ~ com24 .  It is another instantiation
       of theorems named after ~ wl-impchain-com-n.m .  For more information
       see there.  (Contributed by Wolf Lammen, 17-Nov-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    wl-impchain-com-2.4 $p |- ( et -> ( ps -> ( ch -> ( th -> ph ) ) ) ) $=
      ( wi wl-impchain-com-1.2 wl-impchain-com-1.4 ) CDAGGEBABCEDCBAGGDEFHIH $.
  $}

  ${
    wl-impchain-com-3.2.1.h1 $e |- ( th -> ( ch -> ( ps -> ph ) ) ) $.
    $( This theorem is in fact a copy of ~ com3r .  The proof is an example of
       how to arrive at arbitrary permutations of antecedents, using only
       swapping theorems.  The recursion principle is to first swap the correct
       antecedent to the position just before the consequent, and then employ a
       theorem handling an implication chain of length one less to reorder the
       others.  (Contributed by Wolf Lammen, 17-Nov-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    wl-impchain-com-3.2.1 $p |- ( ps -> ( th -> ( ch -> ph ) ) ) $=
      ( wi wl-impchain-com-2.3 wl-impchain-com-1.2 ) CAFBDABCDEGH $.
  $}

  $( If an implication chain is assumed (hypothesis) or proven (theorem) to
     hold, then we may add any extra antecedent to it, without changing its
     truth.  This is expressed in its simplest form in ~ wl-luk-a1i , that
     allows us prepending an arbitrary antecedent to an implication chain.
     Using our antecedent swapping theorems described in
     ~ wl-impchain-com-n.m , we may then move such a prepended antecedent to
     any desired location within all antecedents.  The first series of theorems
     of this kind adds a single antecedent somewhere to an implication chain.
     The appended number in the theorem name indicates its position within all
     antecedents, 1 denoting the head position.  A second theorem series
     extends this idea to multiple additions (TODO).

     Adding antecedents to an implication chain usually weakens their
     universality.  The consequent afterwards dependends on more conditions
     than before, which renders the implication chain less versatile.  So you
     find this proof technique mostly when you adjust a chain to a hypothesis
     of a rule.  A common case are syllogisms merging two implication chains
     into one.

     The first elements of the first series correspond to ~ a1i , ~ a1d and
     ~ a1dd in the main part.

     The proofs of this series aim at automated proving using a simple
     recursive scheme.  It employs the previous theorem in the series along
     with a sample from the ~ wl-impchain-com-1.x series developed before.
     (Contributed by Wolf Lammen, 20-Jun-2020.) $)
  wl-impchain-a1-x $p |- T. $=
    ( tru ) A $.

  ${
    wl-impchain-a1-1.a $e |- ph $.
    $( Inference rule, a copy of ~ a1i .  Head start of a recursive proof
       pattern.  (Contributed by Wolf Lammen, 20-Jun-2020.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    wl-impchain-a1-1 $p |- ( ps -> ph ) $=
      ( wl-luk-a1i ) ABCD $.
  $}

  ${
    wl-impchain-a1-2.a $e |- ( ph -> ps ) $.
    $( Inference rule, a copy of ~ a1d .  First recursive proof based on the
       previous instance.  (Contributed by Wolf Lammen, 20-Jun-2020.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    wl-impchain-a1-2 $p |- ( ph -> ( ch -> ps ) ) $=
      ( wi wl-impchain-a1-1 wl-impchain-com-1.2 ) BACABECDFG $.
  $}

  ${
    wl-impchain-a1-3.a $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference rule, a copy of ~ a1dd .  A recursive proof depending on
       previous instances, and demonstrating the proof pattern.  (Contributed
       by Wolf Lammen, 20-Jun-2020.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    wl-impchain-a1-3 $p |- ( ph -> ( ps -> ( th -> ch ) ) ) $=
      ( wi wl-impchain-a1-2 wl-impchain-com-2.3 ) CBDAABCFDEGH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Theorems around the conditional operator
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( If one case of an ` if- ` condition is false, the other automatically
     follows.  (Contributed by Wolf Lammen, 21-Jul-2024.) $)
  wl-ifp-ncond1 $p |- ( -. ps ->
                              ( if- ( ph , ps , ch ) <-> ( -. ph /\ ch ) ) ) $=
    ( wn wif wa wo df-ifp wb simpr con3i biorf syl bitr4id ) BDZABCEABFZADCFZGZ
    QABCHOPDQRIPBABJKPQLMN $.

  $( If one case of an ` if- ` condition is false, the other automatically
     follows.  (Contributed by Wolf Lammen, 21-Jul-2024.) $)
  wl-ifp-ncond2 $p |- ( -. ch -> ( if- ( ph , ps , ch ) <-> ( ph /\ ps ) ) ) $=
    ( wn wif wa wl-ifp-ncond1 ifpn notnotb anbi1i 3bitr4g ) CDADZCBELDZBFABCEAB
    FLCBGABCHAMBAIJK $.

  $( If one case of an ` if- ` condition is a consequence of the other, the
     expression in ~ df-ifp can be shortened.  (Contributed by Wolf Lammen,
     12-Jun-2024.) $)
  wl-ifpimpr $p |- ( ( ch -> ps ) ->
                       ( if- ( ph , ps , ch ) <-> ( ( ph /\ ps ) \/ ch ) ) ) $=
    ( wi wa wn wo wb pm4.72 biimpi orcom bitrdi anbi2d andi orbi1d df-ifp biidd
    wif cases orbi2i orass bitr4i 3bitr4g ) CBDZABEZAFZCEZGUEACEZGZUGGZABCRUECG
    ZUDUEUIUGUDUEABCGZEUIUDBULAUDBCBGZULUDBUMHCBIJCBKLMABCNLOABCPUKUEUHUGGZGUJC
    UNUEACCCACQUFCQSTUEUHUGUAUBUC $.

  $( If one case of an ` if- ` condition is a consequence of the other, the
     expression in ~ dfifp4 can be shortened.  (Contributed by Wolf Lammen,
     18-Jun-2024.) $)
  wl-ifp4impr $p |- ( ( ch -> ps ) ->
                       ( if- ( ph , ps , ch ) <-> ( ( ph \/ ch ) /\ ps ) ) ) $=
    ( wi wif wa wo wl-ifpimpr wb pm4.71 biimpi orbi2d andir bitr4di bitrd ) CBD
    ZABCEABFZCGZACGBFZABCHPRQCBFZGSPCTQPCTICBJKLACBMNO $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Alternative development of hadd, cadd
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Alternative definition of ~ whad based on ~ hadifp .  See ~ df-had to
     learn how it is currently introduced.  The only use case so far is being a
     binary addition primitive for ~ df-sad .  If inputs are viewed as binary
     digits (true is 1, false is 0), the result is what a binary single-bit
     addition with carry-in yields in the low bit of their sum.

     The core meaning is to check whether an odd number of three inputs are
     true.  The ` \/_ ` operation tests this for two inputs.  So, if the first
     input is true, the two remaining inputs need to amount to an even (or: not
     an odd) number, else to an odd number.

     The idea of an odd number of inputs being true carries over to other than
     3 inputs by recursion:  In an informal notation we depend the case with
     n+1 inputs, ` ph ` being the additional one, recursively on that of n
     inputs:  "(n+1)-xor" ` <-> if- ( ph , -. ` "n-xor" ` , ` "n-xor" ` ) ` .
     The base case is "0-xor" being ` F. ` , because zero inputs never contain
     an odd number among them.  Then we find, after simplifying, in our
     informal notation:

     "2-xor" ` ( ph , ps ) <-> ( ph \/_ ps ) ` (see ~ wl-2xor ).

     Our definition here follows exactly the above pattern.

     In microprocessor technology an addition limited to a range (a one-bit
     range in our case) is called a "wrap-around operation".  The name "had",
     as in ~ df-had , by contrast, is somehow suggestive of a "half adder"
     instead.  Such a circuit, for one, takes two inputs only, no carry-in, and
     then yields two outputs - both sum and carry.  That's why we use "3xor"
     instead of "had" here.  (Contributed by Wolf Lammen, 24-Apr-2024.) $)
  wl-df-3xor $p |- ( hadd ( ph , ps , ch )
               <-> if- ( ph , -. ( ps \/_ ch ) , ( ps \/_ ch ) ) ) $=
    ( whad wb wxo wif wn hadifp wtru xnor a1i biidd ifpbi23d mptru bitri ) ABCD
    ABCEZBCFZGZARHZRGZABCISUAEJAQRTRQTEJBCKLJRMNOP $.

  $( Alternative definition of ~ wl-df-3xor , using triple exclusive
     disjunction, or XOR3.  You can add more input by appending each one with a
     ` \/_ ` .  Copy of ~ hadass .  (Contributed by Mario Carneiro,
     4-Sep-2016.) df-had redefined.  (Revised by Wolf Lammen, 1-May-2024.) $)
  wl-df3xor2 $p |- ( hadd ( ph , ps , ch ) <-> ( ph \/_ ( ps \/_ ch ) ) ) $=
    ( wxo wn wif whad ifpn wl-df-3xor wb df-xor nbbn ifpdfbi 3bitr2i 3bitr4i )
    ABCDZEZPFAEZPQFZABCGAPDZAQPHABCITAPJERPJSAPKAPLRPMNO $.

  $( Alternative form of ~ wl-df3xor2 .  Copy of ~ df-had .  (Contributed by
     Mario Carneiro, 4-Sep-2016.) df-had redefined.  (Revised by Wolf Lammen,
     1-May-2024.) $)
  wl-df3xor3 $p |- ( hadd ( ph , ps , ch ) <-> ( ( ph \/_ ps ) \/_ ch ) ) $=
    ( whad wxo wl-df3xor2 xorass bitr4i ) ABCDABCEEABECEABCFABCGH $.

  $( If the first input is true, then triple xor is equivalent to the
     biconditionality of the other two inputs.  (Contributed by Mario Carneiro,
     4-Sep-2016.) df-had redefined.  (Revised by Wolf Lammen, 24-Apr-2024.) $)
  wl-3xortru $p |- ( ph -> ( hadd ( ph , ps , ch ) <-> -. ( ps \/_ ch ) ) ) $=
    ( whad wxo wn wif wl-df-3xor ifptru syl5bb ) ABCDABCEZFZKGALABCHALKIJ $.

  $( If the first input is false, then triple xor is equivalent to the
     exclusive disjunction of the other two inputs.  (Contributed by Mario
     Carneiro, 4-Sep-2016.) df-had redefined.  (Revised by Wolf Lammen,
     29-Apr-2024.) $)
  wl-3xorfal $p |- ( -. ph -> ( hadd ( ph , ps , ch ) <-> ( ps \/_ ch ) ) ) $=
    ( whad wxo wn wif wl-df-3xor ifpfal syl5bb ) ABCDABCEZFZKGAFKABCHALKIJ $.

  $( Triple xor can be replaced with a triple biconditional.  Unlike ` \/_ ` ,
     you cannot add more inputs by simply stacking up more biconditionals, and
     still express an "odd number of inputs".  (Contributed by Wolf Lammen,
     24-Apr-2024.) $)
  wl-3xorbi $p |- ( hadd ( ph , ps , ch ) <-> ( ph <-> ( ps <-> ch ) ) ) $=
    ( whad wxo wb wn wl-df3xor2 df-xor xor3 xnor bibi2i bitr4i 3bitri ) ABCDABC
    EZEAOFGZABCFZFZABCHAOIPAOGZFRAOJQSABCKLMN $.

  $( Alternative form of ~ wl-3xorbi .  (Contributed by Mario Carneiro,
     4-Sep-2016.) df-had redefined.  (Revised by Wolf Lammen, 24-Apr-2024.) $)
  wl-3xorbi2 $p |- ( hadd ( ph , ps , ch ) <-> ( ( ph <-> ps ) <-> ch ) ) $=
    ( whad wb wl-3xorbi biass bitr4i ) ABCDABCEEABECEABCFABCGH $.

  ${
    wl-3xorbid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    wl-3xorbid.2 $e |- ( ph -> ( th <-> ta ) ) $.
    wl-3xorbid.3 $e |- ( ph -> ( et <-> ze ) ) $.
    $( Equivalence theorem for triple xor.  (Contributed by Mario Carneiro,
       4-Sep-2016.) df-had redefined.  (Revised by Wolf Lammen,
       24-Apr-2024.) $)
    wl-3xorbi123d $p |- ( ph ->
      ( hadd ( ps , th , et ) <-> hadd ( ch , ta , ze ) ) ) $=
      ( wb whad bibi12d wl-3xorbi2 3bitr4g ) ABDKZFKCEKZGKBDFLCEGLAPQFGABCDEHIM
      JMBDFNCEGNO $.
  $}

  ${
    wl-3xorbii.1 $e |- ( ps <-> ch ) $.
    wl-3xorbii.2 $e |- ( th <-> ta ) $.
    wl-3xorbii.3 $e |- ( et <-> ze ) $.
    $( Equivalence theorem for triple xor.  Copy of ~ hadbi123i .  (Contributed
       by Mario Carneiro, 4-Sep-2016.) $)
    wl-3xorbi123i $p |- ( hadd ( ps , th , et ) <-> hadd ( ch , ta , ze ) ) $=
      ( whad wb wtru a1i wl-3xorbi123d mptru ) ACEJBDFJKLABCDEFABKLGMCDKLHMEFKL
      IMNO $.
  $}

  $( Rotation law for triple xor.  (Contributed by Mario Carneiro, 4-Sep-2016.)
     df-had redefined.  (Revised by Wolf Lammen, 24-Apr-2024.) $)
  wl-3xorrot $p |- ( hadd ( ph , ps , ch ) <-> hadd ( ps , ch , ph ) ) $=
    ( wb whad bicom wl-3xorbi wl-3xorbi2 3bitr4i ) ABCDZDJADABCEBCAEAJFABCGBCAH
    I $.

  $( Commutative law for triple xor.  Copy of ~ hadcoma .  (Contributed by
     Mario Carneiro, 4-Sep-2016.)  (Proof shortened by Wolf Lammen,
     17-Dec-2023.) $)
  wl-3xorcoma $p |- ( hadd ( ph , ps , ch ) <-> hadd ( ps , ph , ch ) ) $=
    ( wb whad bicom bibi1i wl-3xorbi2 3bitr4i ) ABDZCDBADZCDABCEBACEJKCABFGABCH
    BACHI $.

  $( Commutative law for triple xor.  (Contributed by Mario Carneiro,
     4-Sep-2016.) df-had redefined.  (Revised by Wolf Lammen, 24-Apr-2024.) $)
  wl-3xorcomb $p |- ( hadd ( ph , ps , ch ) <-> hadd ( ph , ch , ps ) ) $=
    ( whad wl-3xorcoma wl-3xorrot bitri ) ABCDBACDACBDABCEBACFG $.

  $( Flipping the first input flips the triple xor. ~ wl-3xorrot can rotate any
     input to the front, so flipping any one of them does the same.
     (Contributed by Wolf Lammen, 1-May-2024.) $)
  wl-3xornot1 $p |- ( -. hadd ( ph , ps , ch )
                                          <-> hadd ( -. ph , ps , ch ) ) $=
    ( wn whad wb wl-3xorbi nbbn xchbinxr bitr2i ) ADZBCEKBCFZFZABCEZDKBCGMALFNA
    LHABCGIJ $.

  $( Triple xor distributes over negation.  Copy of ~ hadnot .  (Contributed by
     Mario Carneiro, 4-Sep-2016.)  (Proof shortened by Wolf Lammen,
     11-Jul-2020.) $)
  wl-3xornot $p |- ( -. hadd ( ph , ps , ch ) <->
                                         hadd ( -. ph , -. ps , -. ch ) ) $=
    ( wb wn whad notbi bibi1i xor3 wl-3xorbi2 xchnxbir 3bitr4i ) ABDZCEZDZAEZBE
    ZDZNDABCFZEPQNFMRNABGHMCDOSMCIABCJKPQNJL $.

  $( In the recursive scheme

     "(n+1)-xor" ` <-> if- ( ph , -. ` "n-xor" ` , ` "n-xor" ` ) `

     we set n = 0 to formally arrive at an expression for "1-xor".  The base
     case "0-xor" is replaced with ` F. ` , as a sequence of 0 inputs never has
     an odd number being part of it.  (Contributed by Wolf Lammen,
     11-May-2024.) $)
  wl-1xor $p |- ( if- ( ps , -. F. , F. ) <-> ps ) $=
    ( wfal wn wif wtru wb tbtru biimpi notfal bitr4di nbfal casesifp bicomi ) A
    ABCZBDAANBAAENAAEFAGHIJACABFAKHLM $.

  $( In the recursive scheme

     "(n+1)-xor" ` <-> if- ( ph , -. ` "n-xor" ` , ` "n-xor" ` ) `

     we set n = 1 to formally arrive at an expression for "2-xor".  It is based
     on "1-xor", that is known to be equivalent to its only input (see
     ~ wl-1xor ).  (Contributed by Wolf Lammen, 11-May-2024.) $)
  wl-2xor $p |- ( if- ( ph , -. ps , ps ) <-> ( ph \/_ ps ) ) $=
    ( wn wb wif wxo ifpdfbi df-xor nbbn bitr4i ifpn 3bitr4ri ) ACZBDZMBBCZEABFZ
    AOBEMBGPABDCNABHABIJAOBKL $.

  $( Alternative definition of ~ wcad .  See ~ df-cad to learn how it is
     currently introduced.  The only use case so far is being a binary addition
     primitive for ~ df-sad .  If inputs are viewed as binary digits (true is
     1, false is 0), the result is whether ordinary binary full addition yields
     a carry bit.  That is what the name ~ df-cad is derived from:  "carry of
     an addition".  Here we stick with this abbreviated form of our notation
     above, but still use "adder carry" as a shorthand for "at least 2 out of
     3" in text.

     The core meaning is to check whether at least two of three inputs are
     true.  So, if the first input is true, at least one of the two remaining
     must be true, else even both.  This theorem is the in-between of "at least
     1 out of 3", given by triple disjunction ~ df-3or , and "(at least) 3 out
     of 3", expressed by triple conjunction ~ df-3an .

     The notion above can be generalized to other input numbers with other
     minimum values as follows.  Let us introduce informally a logical
     operation "n-mintru-m" taking n inputs, and requiring at least m of them
     be true to let the operation itself be true.  There now exists a recursive
     scheme to define it for increasing n, m.  We start with the base case n =
     0.  Here "n-mintru-0" is equivalent to ` T. ` (any sequence of inputs
     contains at least zero true inputs), the other "0-mintru-m" is for any m >
     0 equivalent to ` F. ` , because a sequence of zero inputs never has a
     positive number of them true.  The general case adds a new input ` ph ` to
     a given sequence of n inputs, and reduces that case for all integers m to
     that of the smaller sequence by recursion, informally written as:

     "(n+1)-mintru-(m+1)" ` <-> if- ( ph , ` "n-mintru-m" ` , `
     "n-mintru-(m+1)" ` ) `

     Our definition here matches "3-mintru-2" with inputs ` ph ` , ` ps ` and
     ` ch ` .  Starting from the base cases we find after simplifications:
     "2-mintru-2" ` ( ps , ch ) <-> ( ps /\ ch ) ` ( ~ wl-2mintru2 ), and
     "2-mintru-1" ` ( ps , ch ) <-> ( ps \/ ch ) ` ( ~ wl-2mintru1 ).  Plugging
     these expressions into the formula above for n = 3, m = 2 yields exactly
     our definition here.  (Contributed by Wolf Lammen, 2-May-2024.) $)
  wl-df-3mintru2 $p |- ( cadd ( ph , ps , ch )
               <-> if- ( ph , ( ps \/ ch ) , ( ps /\ ch ) ) ) $=
    ( wcad wo wa wif cadrot cadifp bitri ) ABCDBCADABCEBCFGABCHBCAIJ $.

  $( The adder carry in disjunctive normal form.  An alternative highly
     symmetric definition emphasizing the independence of order of the inputs
     ` ph ` , ` ps ` and ` ch ` .  Copy of ~ cador .  (Contributed by Mario
     Carneiro, 4-Sep-2016.) df-cad redefined.  (Revised by Wolf Lammen,
     12-Jun-2024.) $)
  wl-df2-3mintru2 $p |- ( cadd ( ph , ps , ch ) <->
        ( ( ph /\ ps ) \/ ( ph /\ ch ) \/ ( ps /\ ch ) ) ) $=
    ( wo wa wcad w3o andi orbi1i wif wl-df-3mintru2 wi animorl wl-ifpimpr ax-mp
    wb bitri df-3or 3bitr4i ) ABCDZEZBCEZDZABEZACEZDZUBDABCFZUDUEUBGUAUFUBABCHI
    UGATUBJZUCABCKUBTLUHUCPBCCMATUBNOQUDUEUBRS $.

  $( The adder carry in conjunctive normal form.  An alternative highly
     symmetric definition emphasizing the independence of order of the inputs
     ` ph ` , ` ps ` and ` ch ` .  Copy of ~ cadan .  (Contributed by Mario
     Carneiro, 4-Sep-2016.) df-cad redefined.  (Revised by Wolf Lammen,
     18-Jun-2024.) $)
  wl-df3-3mintru2 $p |- ( cadd ( ph , ps , ch ) <->
        ( ( ph \/ ps ) /\ ( ph \/ ch ) /\ ( ps \/ ch ) ) ) $=
    ( wa wo wcad w3a ordi anbi1i wl-df-3mintru2 wi wb animorl wl-ifp4impr ax-mp
    wif bitri df-3an 3bitr4i ) ABCDZEZBCEZDZABEZACEZDZUBDABCFZUDUEUBGUAUFUBABCH
    IUGAUBTPZUCABCJTUBKUHUCLBCCMAUBTNOQUDUEUBRS $.

  $( An alternative definition of the adder carry.  Copy of ~ df-cad .
     (Contributed by Mario Carneiro, 4-Sep-2016.) df-cad redefined.  (Revised
     by Wolf Lammen, 19-Jun-2024.) $)
  wl-df4-3mintru2 $p |- ( cadd ( ph , ps , ch ) <->
        ( ( ph /\ ps ) \/ ( ch /\ ( ph \/_ ps ) ) ) ) $=
    ( wa w3o wo wcad wxo 3orass wl-df2-3mintru2 wn biancomi anbi1ci anass bitri
    xor2 orbi2i pm5.63 andir 3bitr2i 3bitr4i ) ABDZACDZBCDZEUBUCUDFZFZABCGUBCAB
    HZDZFZUBUCUDIABCJUIUBUBKZABFZCDZDZFUBULFUFUHUMUBUHUJUKDZCDUMUGUNCUGUJUKABPL
    MUJUKCNOQUBULRULUEUBABCSQTUA $.

  $( Using the recursion formula:

     "(n+1)-mintru-(m+1)" ` <-> if- ( ph , ` "n-mintru-m" ` , `
     "n-mintru-(m+1)" ` ) `

     for "1-mintru-1" (meaning "at least 1 out of 1 input is true") by plugging
     in n = 0, m = 0, and simplifying.  The expressions "0-mintru-0" and
     "0-mintru-1" are base cases of the recursion, meaning "in a sequence of
     zero inputs, at least 0 / 1 input is true", respectively equvalent to
     ` T. ` / ` F. ` .

     Negating an "n-mintru1" operation means:  All n inputs ` ph ` .. ` th `
     are false.  This is also conveniently expressed as ` -. ( ph \/ ` ..
     ` \/ th ) ` .  Applying this idea here (n = 1) yields the obvious result
     that in an input sequence of size 1 only then all will be false, if its
     single input is.  (Contributed by Wolf Lammen, 10-May-2024.) $)
  wl-1mintru1 $p |- ( if- ( ch , T. , F. ) <-> ch ) $=
    ( wtru wfal wif wb tbtru biimpi wn nbfal casesifp bicomi ) AABCDAABCAABEAFG
    AHACEAIGJK $.

  $( Using the recursion formula:

     "(n+1)-mintru-(m+1)" ` <-> if- ( ph , ` "n-mintru-m" ` , `
     "n-mintru-(m+1)" ` ) `

     for "1-mintru-2" (meaning "at least 2 out of a single input are true") by
     plugging in n = 0, m = 1, and simplifying.  The expressions "0-mintru-1"
     and "0-mintru-2" are base cases of the recursion, meaning "in a sequence
     of zero inputs at least 1 / 2 input is true", evaluate both to ` F. ` .

     Since no sequence of inputs has a longer subsequence of whatever property,
     the resulting ` F. ` is to be expected.

     Negating a "n-mintru2" operation has an interesting interpretation: at
     most one input is true, so all inputs exclude each other mutually.  Such
     an exclusion is expressed by a NAND operation ` ( ph -/\ ps ) ` , not by a
     XOR. Applying this idea here (n = 1) leads to the obvious "In a single
     input sequence 'at most one is true' always holds".  (Contributed by Wolf
     Lammen, 10-May-2024.) $)
  wl-1mintru2 $p |- ( if- ( ch , F. , F. ) <-> F. ) $=
    ( wfal ifpid ) ABC $.

  $( Using the recursion formula

     "(n+1)-mintru-(m+1)" ` <-> if- ( ph , ` "n-mintru-m" ` , `
     "n-mintru-(m+1)" ` ) `

     for "2-mintru-1" (meaning "at least 1 out of 2 inputs is true") by
     plugging in n = 1, m = 0, and simplifying.  The expression "1-mintru-0" is
     a base case (meaning at least zero inputs out of 1 are true), evaluating
     to ` T. ` , and ~ wl-1mintru1 shows "1-mintru-1" is equivalent to the only
     input.

     Negating an "n-mintru1" operation means:  All n inputs ` ph ` .. ` th `
     are false.  This is also conveniently expressed as ` -. ( ph \/ ` ..
     ` \/ th ) ` , in accordance with the result here.  (Contributed by Wolf
     Lammen, 10-May-2024.) $)
  wl-2mintru1 $p |- ( if- ( ps , T. , ch ) <-> ( ps \/ ch ) ) $=
    ( wtru wif wi wo wa dfifp3 trud bitru anbi1i truan 3bitri ) ACBDACEZABFZGCO
    GOACBHNCONAIJKOLM $.

  $( Using the recursion formula

     "(n+1)-mintru-(m+1)" ` <-> if- ( ph , ` "n-mintru-m" ` , `
     "n-mintru-(m+1)" ` ) `

     for "2-mintru-2" (meaning "2 out of 2 inputs are true") by plugging in n =
     1, m = 1, and simplifying.  See ~ wl-1mintru1 and ~ wl-1mintru2 to see
     that "1-mintru-1" / "1-mintru-2" evaluate to ` ch ` / ` F. ` respectively.

     Negating a "n-mintru2" operation means 'at most one input is true', so all
     inputs exclude each other mutually.  Such an exclusion is expressed by a
     NAND operation ` ( ph -/\ ps ) ` , not by a XOR. Applying this idea here
     (n = 2) yields the expected NAND in case of a pair of inputs.
     (Contributed by Wolf Lammen, 10-May-2024.) $)
  wl-2mintru2 $p |- ( if- ( ps , ch , F. ) <-> ( ps /\ ch ) ) $=
    ( wfal wif wi wa dfifp7 falim a1bi bitr4i ) ABCDCAEZABFZELABCGKLAHIJ $.

  $( Assuming "(n+1)-maxtru1" ` <-> -. ` "(n+1)-mintru-2", we can deduce from
     the recursion formula given in ~ wl-df-3mintru2 , that a similiar one

     "(n+1)-maxtru1" ` <-> if- ( ph , ` -.  "n-mintru-1" ` , ` "n-maxtru1"
     ` ) `

     is valid for expressing 'at most one input is true'.  This can also be
     rephrased as a mutual exclusivity of propositional expressions (no two of
     a sequence of inputs can simultaniously be true).  Of course, this
     suggests that all inputs depend on variables ` et ` , ` ze ` ...  Whatever
     wellformed expression we plugin for these variables, it will render at
     most one of the inputs true.

     The here introduced mutual exclusivity is possibly useful for case
     studies, where we want the cases be sort of 'disjoint'.  One can further
     imagine that a complete case scenario demands that the 'at most' is
     sharpened to 'exactly one'.  This does not impose any difficulty here, as
     one of the inputs will then be the negation of all others be or'ed.  As
     one input is determined, 'at most one' is sufficient to describe the
     general form here.

     Since ` cadd ` is an alias for 'at least 2 out of three are true', its
     negation is under focus here.  (Contributed by Wolf Lammen,
     23-Jun-2024.) $)
  wl-df3maxtru1 $p |- ( -. cadd ( ph , ps , ch ) <->
                        if- ( ph , ( ps -\/ ch ) , ( ps -/\ ch ) ) ) $=
    ( wcad wn wo wa wif wnor wnan cadnot wl-df-3mintru2 ifpn wb wtru a1i df-nor
    nanor ioran bitri ifpbi23d mptru bitr2i 3bitri ) ABCDEAEZBEZCEZDUEUFUGFZUFU
    GGZHZABCIZBCJZHZABCKUEUFUGLUMUEULUKHZUJAUKULMUNUJNOUEULUKUHUIULUHNOBCRPUKUI
    NOUKBCFEUIBCQBCSTPUAUBUCUD $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  An alternative axiom ~ ax-13
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x z $.  $d y z $.
    $( A version of ~ ax13v with a distinctor instead of a distinct variable
       condition.

       Had we additionally required ` x ` and ` y ` be distinct, too, this
       theorem would have been a direct consequence of ~ ax-5 .  So essentially
       this theorem states, that a distinct variable condition between set
       variables can be replaced with a distinctor expression.  (Contributed by
       Wolf Lammen, 23-Jul-2021.) $)
    ax-wl-13v $a |- ( -. A. x x = y -> ( y = z -> A. x y = z ) ) $.
  $}

  ${
    $d x z w $.  $d y w $.
    $( A version of ~ ax-wl-13v with one distinct variable restriction dropped.
       For convenience, ` y ` is kept on the right side of equations.  This
       proof bases on ideas from NM, 24-Dec-2015.  (Contributed by Wolf Lammen,
       23-Jul-2021.) $)
    wl-ax13lem1 $p |- ( -. A. x x = y -> ( z = y -> A. x z = y ) ) $=
      ( vw weq wex wal equvinva ax-wl-13v equeucl alimdv syl9 impd exlimdv syl5
      wa wn ) CBEZCDEZBDEZPZDFABEAGQZRAGZCBDHUBUAUCDUBSTUCUBTTAGSUCABDISTRACBDJ
      KLMNO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Other stuff
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$(
  Most of the theorems in the section "Logical implication" are about
  handling chains of implications: ` ph -> ( ps -> ( ch -> ... ) ) `.  With
  respect to chains, a rich set of rules clarify

  - how to swap antecedents (com12, ...);

  - how to drop antecedents (ax-mp, pm2.43, ...);

  - how to add antecedents (a1i, ...)

  - how to replace an antecedent (syl, ...);

  - how to replace a consequent (ax-mp, syl, ...);

  - what is, when an antecedent equals the consequent (ax-1, id, ...).

  In all these cases, the operands of the chain have no inner structure, or
  it is of no importance.  These chains are called "simple" here.

  There is less support, when the operands are structured themselves.  Some
  kinds of inner structure involving the ` -. ` operator are best handled by
  the symmetric operators ` /\ ` and ` \/ `.  But a nested, simple chain
  has no such convenient replacement.  I can focus on antecedents here,
  since a consequent representing a chain is, in conjunction with its
  antecedents, just an extended simple chain again.

  The following theorems show, how operations on nested chains appear
  somehow mirrored: The minor premises of the syllogisms look reverted, in
  comparison to their normal counterparts, and while adding an antecedent to
  a chain via ~ a1i is easy, in nested chains they can be easily dropped.

$)

  ${
    wl-mps.1 $e |- ( ph -> ( ps -> ch ) ) $.
    wl-mps.2 $e |- ( ( ph -> ch ) -> th ) $.
    $( Replacing a nested consequent.  A sort of modus ponens in antecedent
       position.  (Contributed by Wolf Lammen, 20-Sep-2013.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    wl-mps $p |- ( ( ph -> ps ) -> th ) $=
      ( wi a2i syl ) ABGACGDABCEHFI $.
  $}

  ${
    wl-syls1.1 $e |- ( ps -> ch ) $.
    wl-syls1.2 $e |- ( ( ph -> ch ) -> th ) $.
    $( Replacing a nested consequent.  A sort of syllogism in antecedent
       position.  (Contributed by Wolf Lammen, 20-Sep-2013.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    wl-syls1 $p |- ( ( ph -> ps ) -> th ) $=
      ( wi a1i wl-mps ) ABCDBCGAEHFI $.
  $}

  ${
    wl-syls2.1 $e |- ( ph -> ps ) $.
    wl-syls2.2 $e |- ( ( ph -> ch ) -> th ) $.
    $( Replacing a nested antecedent.  A sort of syllogism in antecedent
       position.  (Contributed by Wolf Lammen, 20-Sep-2013.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    wl-syls2 $p |- ( ( ps -> ch ) -> th ) $=
      ( wi imim1i syl ) BCGACGDABCEHFI $.
  $}

  ${
    wl-embant.1 $e |- ph $.
    wl-embant.2 $e |- ( ps -> ch ) $.
    $( A true wff can always be added as a nested antecedent to an antecedent.
       Note: this theorem is intuitionistically valid.  (Contributed by Wolf
       Lammen, 4-Oct-2013.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    wl-embant $p |- ( ( ph -> ps ) -> ch ) $=
      ( wi imim2i mpi ) ABFACDBCAEGH $.
  $}

  $( In a conjunctive normal form a pair of nodes like
     ` ( ph \/ ps ) /\ ( -. ph \/ ch ) ` eliminates the need of a node
     ` ( ps \/ ch ) ` .  This theorem allows simplifications in that respect.
     (Contributed by Wolf Lammen, 20-Jun-2020.) $)
  wl-orel12 $p |- ( ( ( ph \/ ps ) /\ ( -. ph \/ ch ) ) -> ( ps \/ ch ) ) $=
    ( wo wn wa pm2.1 orel1 orc syl6com wi notnot syl olc jaao mpi ) ABDZAEZCDZF
    RADBCDZAGQRTSARQBTABHBCIJASCTARESCKALRCHMCBNJOP $.

  $( A particular instance of ~ orddi and ~ anddi converting between
     disjunctive and conjunctive normal forms, when both ` ph ` and ` -. ph `
     appear.  This theorem in fact rephrases ~ cases2 , and is related to
     ~ consensus .  I restate it here in DNF and CNF. The proof deliberately
     does not use ~ df-ifp and ~ dfifp4 , by which it can be shortened.
     (Contributed by Wolf Lammen, 21-Jun-2020.)
     (Proof modification is discouraged.) $)
  wl-cases2-dnf $p |- ( ( ( ph /\ ps ) \/ ( -. ph /\ ch ) ) <->
              ( ( -. ph \/ ps ) /\ ( ph \/ ch ) ) ) $=
    ( wa wn exmid biantrur orcom anbi12i anass orddi 3bitr4ri wl-orel12 pm4.71i
    wo ancom 3bitr2i ) ABDAEZCDOZACOZRBOZDZCBOZDZUBUATDTUAUCDZDAROZTDZBROZBCOZD
    ZDUDSTUGUEUJUFTAFGUAUHUCUIRBHCBHIITUAUCJABRCKLUBUCACBMNTUAPQ $.

  ${
    $d x y z $.
    $( Change bound variable.  Uses only Tarski's FOL axiom schemes.  Part of
       Lemma 7 of [KalishMontague] p. 86.  (Contributed by Wolf Lammen,
       5-Mar-2023.) $)
    wl-cbvmotv $p |- ( E* x T. -> E* y T. ) $=
      ( vz wtru weq wi wal wex wmo ax7v2 imim2d cbvalivw eximi df-mo 3imtr4i )
      DACEZFZAGZCHDBCEZFZBGZCHDAIDBIRUACQTABABEPSDABCJKLMDACNDBCNO $.
  $}

  ${
    $d x w $.  $d y w $.  $d z w $.
    $( Change bound variable.  Uses only Tarski's FOL axiom schemes.  Part of
       Lemma 7 of [KalishMontague] p. 86.  (Contributed by Wolf Lammen,
       5-Mar-2023.) $)
    wl-moteq $p |- ( E* x T. -> y = z ) $=
      ( vw wtru wmo weq wi wal wex df-mo stdpc5v tru pm2.24i aeveq ja syl sylbi
      exlimiv ) EAFEADGZHAIZDJBCGZEADKUAUBDUAETAIZHUBETALEUCUBEUBMNADBCOPQSR $.
  $}

  ${
    $d u v $.  $d v x $.  $d v y $.  $d v z $.
    $( Change bound variable.  Uses only Tarski's FOL axiom schemes.  Part of
       Lemma 7 of [KalishMontague] p. 86.  (Contributed by Wolf Lammen,
       5-Mar-2023.) $)
    wl-motae $p |- ( E* u T. -> A. x y = z ) $=
      ( vv wtru wmo weq wal wl-cbvmotv wl-moteq alrimiv syl ) FDGFEGZBCHZAIDEJN
      OAEBCKLM $.
  $}

  ${
    $d x y $.
    $( Two ways to express "at most one thing exists" or, in this context
       equivalently, "exactly one thing exists" .  The equivalence results from
       the presence of ~ ax-6 in the proof, that ensures "at least one thing
       exists".  For other equivalences see ~ wl-euae and ~ exists1 .  Gerard
       Lang pointed out, that ` E. y A. x x = y ` with disjoint ` x ` and ` y `
       ( ~ df-mo , ~ trut ) also means "exactly one thing exists" .
       (Contributed by NM, 5-Apr-2004.)  State the theorem using truth constant
       ` T. ` .  (Revised by BJ, 7-Oct-2022.)  Reduce axiom dependencies, and
       use ` E* ` .  (Revised by Wolf Lammen, 7-Mar-2023.) $)
    wl-moae $p |- ( E* x T. <-> A. x x = y ) $=
      ( wtru wmo weq wal wl-motae wi wex hbaev 19.8w ax-1 alimi eximi syl df-mo
      sylibr impbii ) CADZABEZAFZAABAGUACTHZAFZBIZSUAUABIUDUABABBJKUAUCBTUBATCL
      MNOCABPQR $.
  $}

  ${
    $d x y $.
    $( Two ways to express "exactly one thing exists" .  (Contributed by Wolf
       Lammen, 5-Mar-2023.) $)
    wl-euae $p |- ( E! x T. <-> A. x x = y ) $=
      ( wtru weu wex wmo wa weq wal df-eu extru biantrur wl-moae 3bitr2i ) CADC
      AEZCAFZGPABHAICAJOPAKLABMN $.
  $}

  ${
    $d x y $.
    wl-nax6im.1 $e |- ( -. E. x x = y -> ph ) $.
    $( The following series of theorems are centered around the empty domain,
       where no set exists.  As a consequence, a set variable like ` x ` has no
       instance to assign to.  An expression like ` x = y ` is not really
       meaningful then.  What does it evaluate to, true or false?  In fact, the
       grammar extension ~ weq requires us to formally assign a boolean value
       to an equation, say always false, unless you want to give up on
       ~ exmid , for example.  Whatever it is, we start out with the
       contraposition of ~ ax-6 , that guarantees the existence of at least one
       set.  Our hypothesis here expresses tentatively it might not hold.  We
       can simplify the antecedent then, to the point where we do not need
       equation any more.  This suggests what a decent characterization of the
       empty domain of discourse could be.  (Contributed by Wolf Lammen,
       12-Mar-2023.) $)
    wl-nax6im $p |- ( -. E. x T. -> ph ) $=
      ( weq wex wtru trud eximi nsyl5 ) BCEZBFGBFAKGBKHIDJ $.
  $}

  $( This specialization of ~ hbae does not depend on ~ ax-11 .  (Contributed
     by Wolf Lammen, 8-Aug-2021.) $)
  wl-hbae1 $p |- ( A. x x = y -> A. y A. x x = y ) $=
    ( weq wal axc11n axc4i syl ) ABCADZBACZBDHBDABEIHBBAEFG $.

  ${
    $d x y z $.
    $( An instance of ~ hbn1w applied to equality.  (Contributed by Wolf
       Lammen, 7-Apr-2021.) $)
    wl-naevhba1v $p |- ( -. A. x x = y -> A. x -. A. x x = y ) $=
      ( vz weq equequ1 hbn1w ) ABDCBDACACBEF $.
  $}

  ${
    $d x z $.  $d y z $.
    $( Prove an instance of ~ sp from ~ ax-13 and Tarski's FOL only, without
       distinct variable conditions.  The antecedent ` A. x x = y ` holds in a
       multi-object universe only if ` y ` is substituted for ` x ` , or vice
       versa, i.e. both variables are effectively the same.  The converse
       ` -. A. x x = y ` indicates that both variables are distinct, and it so
       provides a simple translation of a distinct variable condition to a
       logical term.  In case studies ` A. x x = y ` and ` -. A. x x = y ` can
       help eliminating distinct variable conditions.

       The antecedent ` A. x x = y ` is expressed in the theorem's name by the
       abbreviation ae standing for 'all equal'.

       Note that we cannot provide a logical predicate telling us directly
       whether a logical expression contains a particular variable, as such a
       construct would usually contradict ~ ax-12 .

       Note that this theorem is also provable from ~ ax-12 alone, so you can
       pick the axiom it is based on.

       Compare this result to ~ 19.3v and ~ spaev having distinct variable
       conditions, but a smaller footprint on axiom usage.  (Contributed by
       Wolf Lammen, 5-Apr-2021.) $)
    wl-spae $p |- ( A. x x = y -> x = y ) $=
      ( vz weq wal wi wa aeveq adantl a1d ax13v equtrr al2imi con3d syl6 impcom
      wn com13 con4d pm2.61dan ax6evr exlimiiv ) BCDZABDZAEZUDFZCUCACDZAEZUFUCU
      HGUDUEUHUDUCACABHIJUCUHQZGUDUEUIUCUDQZUEQZFUJUCUIUKUJUCUCAEZUIUKFABCKULUE
      UHUCUDUGABCALMNORPSTCBUAUB $.
  $}

  ${
    $d x z $.
    $( Under the assumption ` -. x = y ` a specialized version of ~ sp is
       provable from Tarski's FOL and ~ ax13v only.  Note that this reverts the
       implication in ~ ax13lem1 , so in fact
       ` ( -. x = y -> ( A. x z = y <-> z = y ) ) ` holds.  (Contributed by
       Wolf Lammen, 17-Apr-2021.) $)
    wl-speqv $p |- ( -. x = y -> ( A. x z = y -> z = y ) ) $=
      ( weq wal wex wn 19.2 ax13lem2 syl5 ) CBDZAEKAFABDGKKAHABCIJ $.

    $( Under the assumption ` -. x = y ` a specialized version of ~ 19.8a is
       provable from Tarski's FOL and ~ ax13v only.  Note that this reverts the
       implication in ~ ax13lem2 , so in fact
       ` ( -. x = y -> ( E. x z = y <-> z = y ) ) ` holds.  (Contributed by
       Wolf Lammen, 17-Apr-2021.) $)
    wl-19.8eqv $p |- ( -. x = y -> ( z = y -> E. x z = y ) ) $=
      ( weq wn wal wex ax13lem1 19.2 syl6 ) ABDECBDZKAFKAGABCHKAIJ $.

    $( Under the assumption ` -. x = y ` the reverse direction of ~ 19.2 is
       provable from Tarski's FOL and ~ ax13v only.  Note that in conjunction
       with ~ 19.2 in fact ` ( -. x = y -> ( A. x z = y <-> E. x z = y ) ) `
       holds.  (Contributed by Wolf Lammen, 17-Apr-2021.) $)
    wl-19.2reqv $p |- ( -. x = y -> ( E. x z = y -> A. x z = y ) ) $=
      ( weq wn wex wal ax13lem2 ax13lem1 syld ) ABDECBDZAFKKAGABCHABCIJ $.
  $}

  ${
    $d x ph $.
    $( If ` x ` is not present in ` ph ` , it is not free in ` A. y ph ` .
       (Contributed by Wolf Lammen, 11-Jan-2020.) $)
    wl-nfalv $p |- F/ x A. y ph $=
      ( wal ax-5 hbal nf5i ) ACDBABCABEFG $.
  $}

  $( An antecedent is irrelevant to a not-free property, if it always holds.  I
     used this variant of ~ nfim in ~ dvelimdf to simplify the proof.
     (Contributed by Wolf Lammen, 14-Oct-2018.) $)
  wl-nfimf1 $p |- ( A. x ph -> ( F/ x ( ph -> ps ) <-> F/ x ps ) ) $=
    ( wal wi nfa1 wb pm5.5 sps nfbidf ) ACDABEZBCACFAKBGCABHIJ $.

  $( Unlike ~ nfae , this specialized theorem avoids ~ ax-11 .  (Contributed by
     Wolf Lammen, 26-Jun-2019.) $)
  wl-nfae1 $p |- F/ x A. y y = x $=
    ( weq wal aecom nfa1 nfxfr ) BACBDABCZADABAEHAFG $.

  $( Unlike ~ nfnae , this specialized theorem avoids ~ ax-11 .  (Contributed
     by Wolf Lammen, 27-Jun-2019.) $)
  wl-nfnae1 $p |- F/ x -. A. y y = x $=
    ( weq wal wl-nfae1 nfn ) BACBDAABEF $.

  $( A transitive law for variable identifying expressions.  (Contributed by
     Wolf Lammen, 30-Jun-2019.) $)
  wl-aetr $p |- ( A. x x = y -> ( A. x x = z -> A. y y = z ) ) $=
    ( weq wal ax7 al2imi axc11 syld ) ABDZAEACDZAEBCDZAELBEJKLAABCFGLABHI $.

  $( Same as ~ axc11r , but using ~ ax12 instead of ~ ax-12 directly.  This
     better reflects axiom usage in theorems dependent on it.  (Contributed by
     NM, 25-Jul-2015.)  Avoid direct use of ~ ax-12 .  (Revised by Wolf Lammen,
     30-Mar-2024.) $)
  wl-axc11r $p |- ( A. y y = x -> ( A. x ph -> A. y ph ) ) $=
    ( weq wal wi ax12 sps pm2.27 al2imi syld ) CBDZCEABEZLAFZCEZACELMOFCACBGHLN
    ACLAIJK $.

  ${
    wl-dral1d.1 $e |- F/ x ph $.
    wl-dral1d.2 $e |- F/ y ph $.
    wl-dral1d.3 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( A version of ~ dral1 with a context.  Note:  At first glance one might
       be tempted to generalize this (or a similar) theorem by weakening the
       first two hypotheses adding a ` x = y ` , ` A. x x = y ` or ` ph `
       antecedent. ~ wl-equsal1i and ~ nf5di show that this is in fact
       pointless.  (Contributed by Wolf Lammen, 28-Jul-2019.) $)
    wl-dral1d $p |- ( ph -> ( A. x x = y -> ( A. x ps <-> A. y ch ) ) ) $=
      ( weq wal wb wi com12 pm5.74d sps dral1 19.21 3bitr3g pm5.74rd ) DEIZDJZA
      BDJZCEJZKUAAUBUCUAABLZDJACLZEJAUBLAUCLUDUEDETUDUEKDTABCATBCKHMNOPABDFQACE
      GQRSM $.
  $}

  ${
    wl-cbvalnaed.1 $e |- F/ x ph $.
    wl-cbvalnaed.2 $e |- F/ y ph $.
    wl-cbvalnaed.3 $e |- ( ph -> ( -. A. x x = y -> F/ y ps ) ) $.
    wl-cbvalnaed.4 $e |- ( ph -> ( -. A. x x = y -> F/ x ch ) ) $.
    wl-cbvalnaed.5 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( ~ wl-cbvalnae with a context.  (Contributed by Wolf Lammen,
       28-Jul-2019.) $)
    wl-cbvalnaed $p |- ( ph -> ( A. x ps <-> A. y ch ) ) $=
      ( weq wal wb wl-dral1d imp wn wa nfnae nfan wnf wl-nfnae1 wi adantr cbv2
      pm2.61dan ) ADEKZDLZBDLCELMZAUGUHABCDEFGJNOAUGPZQBCDEAUIDFDEDRSAUIEGEDUAS
      AUIBETHOAUICDTIOAUFBCMUBUIJUCUDUE $.
  $}

  ${
    wl-cbvalnae.1 $e |- ( -. A. x x = y -> F/ y ph ) $.
    wl-cbvalnae.2 $e |- ( -. A. x x = y -> F/ x ps ) $.
    wl-cbvalnae.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( A more general version of ~ cbval when nonfree properties depend on a
       distinctor.  Such expressions arise in proofs aiming at the elimination
       of distinct variable constraints, specifically in application of
       ~ dvelimf , ~ nfsb2 or ~ dveeq1 .  (Contributed by Wolf Lammen,
       4-Jun-2019.) $)
    wl-cbvalnae $p |- ( A. x ph <-> A. y ps ) $=
      ( wal wb wtru nftru weq wn wnf wi a1i wl-cbvalnaed mptru ) ACHBDHIJABCDCK
      DKCDLZCHMZADNOJEPTBCNOJFPSABIOJGPQR $.
  $}

  $( The semantics of ` E. x y = z ` .  (Contributed by Wolf Lammen,
     27-Apr-2018.) $)
  wl-exeq $p |- ( E. x y = z <-> ( y = z \/ A. x x = y \/ A. x x = z ) ) $=
    ( weq wex wal w3o wo wn nfeqf 19.9d impancom orrd expcom sylibr ax6e eximii
    wa wi 19.35i 3orass 3orrot 19.8a ax7 com12 3jaoi impbii ) BCDZAEZUHABDZAFZA
    CDZAFZGZUIUKUMUHGZUNUIUKUMUHHZHUOUIUKUPUKIZUIUPUQUIRUMUHUQUMIZUIUHUHUQURRAB
    CAJKLMNMUKUMUHUAOUHUKUMUBOUHUIUKUMUHAUCUJUHAULUJUHSAACPUJULUHABCUDZUEQTULUH
    AUJULUHSAABPUSQTUFUG $.

  $( The semantics of ` A. x y = z ` .  (Contributed by Wolf Lammen,
     27-Apr-2018.) $)
  wl-aleq $p |- ( A. x y = z <-> ( y = z /\ ( A. x x = y <-> A. x x = z ) ) )
    $=
    ( weq wal wb wa equequ2 alimi albi syl jca ax7 al2imi a1dd axc9 bija impcom
    sp wi impbii ) BCDZAEZUBABDZAEZACDZAEZFZGUCUBUHUBASUCUDUFFZAEUHUBUIABCAHIUD
    UFAJKLUHUBUCUEUGUBUCTUEUGUCUBUDUFUBAABCMNOBCAPQRUA $.

  $( Extend ~ nfeqf to an equivalence.  (Contributed by Wolf Lammen,
     31-Jul-2019.) $)
  wl-nfeqfb $p |- ( F/ x y = z <-> ( A. x x = y <-> A. x x = z ) ) $=
    ( weq wnf wal wb wa nf5r imp wl-aleq simprbi syl wn w3a nf5rd w3o wex alnex
    nfnt wl-exeq xchbinx 3ioran sylbb 3simpc pm5.21 4syl pm2.61dan al2imi nftht
    ax7 syl6 nfeqf ex bija impbii ) BCDZAEZABDZAFZACDZAFZGZURUQVCURUQHUQAFZVCUR
    UQVDUQAIJVDUQVCABCKLMURUQNZHVEAFZVEUTNZVBNZOZVGVHHVCURVEVFURVEAUQATPJVFUQUT
    VBQZNVIVFUQARVJUQASABCUAUBUQUTVBUCUDVEVGVHUEUTVBUFUGUHUTVBURUTVBVDURUSVAUQA
    ABCUKUIUQAUJULVGVHURBCAUMUNUOUP $.

  $( If ` y ` is not free in ` ph ` , ` x ` is not free in ` [ y / x ] ph ` .
     Closed form of ~ nfs1 .  (Contributed by Wolf Lammen, 27-Jul-2019.) $)
  wl-nfs1t $p |- ( F/ y ph -> F/ x [ y / x ] ph ) $=
    ( weq wal wnf wsb wi wb sbequ12r equcoms sps drnf1 biimprd wn nfsb2 pm2.61i
    a1d ) BCDZBEZACFZABCGZBFZHTUCUAUBABCSUBAIZBUDCBACBJKLMNTOUCUAABCPRQ $.

  ${
    $d x y $.  $d x ps $.
    wl-equsalvw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Version of ~ equsalv with a disjoint variable condition, and of ~ equsal
       with two disjoint variable conditions, which requires fewer axioms.  See
       also the dual form ~ equsexvw .

       This theorem lays the foundation to a transformation of expressions
       called substitution of set variables in a wff.  Only in this particular
       context we additionally assume ` ph ` and ` y ` disjoint, stated here as
       ` ph ( x ) ` .  Similarly the disjointness of ` ps ` and ` x ` is
       expressed by ` ps ( y ) ` .  Both ` ph ` and ` ps ` may still depend on
       other set variables, but that is irrelevant here.

       We want to transform ` ph ( x ) ` into ` ps ( y ) ` such that ` ps `
       depends on ` y ` the same way as ` ph ` depends on ` x ` .  This
       dependency is expressed in our hypothesis (called implicit
       substitution): ` ( x = y -> ( ph <-> ps ) ) ` .  For primitive enough
       ` ph ` a sort of textual substitution of ` x ` by ` y ` is sufficient
       for such transformation.  But note: ` ph ` must not contain wff
       variables, and the substitution is no proper textual substitution
       either.  We still need grammar information to not accidently replace the
       x in a token 'x.' denoting multiplication, but only catch set variables
       ` x ` .  Our current stage of development allows only equations and
       quantifiers make up such primitives.  Thanks to ~ equequ1 and ~ cbvalvw
       we can then prove in a mechanical way that in fact the implicit
       substitution holds for each instance.

       If ` ph ` contains wff variables we cannot use textual transformation
       any longer, since we don't know how to replace ` y ` for ` x ` in
       placeholders of unknown structure.  Our theorem now states, that the
       generic expression ` A. x ( x = y -> ph ) ` formally behaves as if such
       a substitution was possible and made.

       (Contributed by BJ, 31-May-2019.) $)
    wl-equsalvw $p |- ( A. x ( x = y -> ph ) <-> ps ) $=
      ( weq wi wal wex 19.23v pm5.74i albii ax6ev a1bi 3bitr4i ) CDFZBGZCHPCIZB
      GPAGZCHBPBCJSQCPABEKLRBCDMNO $.
    $( $j usage 'equsalvw' avoids 'ax-7' 'ax-12' 'ax-13'; $)
  $}

  ${
    wl-equsald.1 $e |- F/ x ph $.
    wl-equsald.2 $e |- ( ph -> F/ x ch ) $.
    wl-equsald.3 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Deduction version of ~ equsal .  (Contributed by Wolf Lammen,
       27-Jul-2019.) $)
    wl-equsald $p |- ( ph -> ( A. x ( x = y -> ps ) <-> ch ) ) $=
      ( weq wi wal wex wnf wb 19.23t syl pm5.74d albid ax6e a1bi a1i 3bitr4d )
      ADEIZCJZDKZUCDLZCJZUCBJZDKCACDMUEUGNGUCCDOPAUHUDDFAUCBCHQRCUGNAUFCDESTUAU
      B $.
  $}

  ${
    wl-equsal.1 $e |- F/ x ps $.
    wl-equsal.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( A useful equivalence related to substitution.  (Contributed by NM,
       2-Jun-1993.)  (Proof shortened by Andrew Salmon, 12-Aug-2011.)  (Revised
       by Mario Carneiro, 3-Oct-2016.)  It seems proving ~ wl-equsald first,
       and then deriving more specialized versions ~ wl-equsal and
       ~ wl-equsal1t then is more efficient than the other way round, which is
       possible, too.  See also ~ equsal .  (Revised by Wolf Lammen,
       27-Jul-2019.)  (Proof modification is discouraged.) $)
    wl-equsal $p |- ( A. x ( x = y -> ph ) <-> ps ) $=
      ( weq wi wal wb wtru nftru wnf a1i wl-equsald mptru ) CDGZAHCIBJKABCDCLBC
      MKENQABJHKFNOP $.
  $}

  $( The expression ` x = y ` in antecedent position plays an important role in
     predicate logic, namely in implicit substitution.  However, occasionally
     it is irrelevant, and can safely be dropped.  A sufficient condition for
     this is when ` x ` (or ` y ` or both) is not free in ` ph ` .

     This theorem is more fundamental than ~ equsal , ~ spimt or ~ sbft , to
     which it is related.  (Contributed by Wolf Lammen, 19-Aug-2018.) $)
  wl-equsal1t $p |- ( F/ x ph -> ( A. x ( x = y -> ph ) <-> ph ) ) $=
    ( wnf nfnf1 id wb weq biid 2a1i wl-equsald ) ABDZAABCABELFAAGLBCHAIJK $.

  $( This simple equivalence eases substitution of one expression for the
     other.  (Contributed by Wolf Lammen, 1-Sep-2018.) $)
  wl-equsalcom $p |- ( A. x ( x = y -> ph ) <-> A. x ( y = x -> ph ) ) $=
    ( weq wi equcom imbi1i albii ) BCDZAECBDZAEBIJABCFGH $.

  ${
    wl-equsal1i.1 $e |- ( F/ x ph \/ F/ y ph ) $.
    wl-equsal1i.2 $e |- ( x = y -> ph ) $.
    $( The antecedent ` x = y ` is irrelevant, if one or both setvar variables
       are not free in ` ph ` .  (Contributed by Wolf Lammen, 1-Sep-2018.) $)
    wl-equsal1i $p |- ph $=
      ( wnf wo weq wi wal gen2 sp alcoms wl-equsal1t syl5ib wl-equsalcom biimpd
      syl5bir spsd jaoi mp2 ) ABFZACFZGBCHAIZCJZBJZADUDBCEKUBUFAIUCUFUDBJZUBAUD
      UGCBUGCLMABCNOUCUEABUECBHAICJZUCAACBPUCUHAACBNQRSTUA $.
  $}

  $( A specialization of ~ wl-equsal1t .  Closed form of ~ sb6rf .
     (Contributed by Wolf Lammen, 27-Jul-2019.) $)
  wl-sb6rft $p |- ( F/ x ph -> ( ph <-> A. x ( x = y -> [ x / y ] ph ) ) ) $=
    ( wnf weq wsb wi wal nfnf1 id wb sbequ12r a1i wl-equsald bicomd ) ABDZBCEZA
    CBFZGBHAPRABCABIPJQRAKGPABCLMNO $.

  ${
    $d x y $.  $d y ph $.
    $( Change bounded variables in a special case.  The reverse direction seems
       to involve ~ ax-11 .  My hope is that I will in some future be able to
       prove ~ mo3 with reversed quantifiers not using ~ ax-11 .  See also the
       remark in ~ mo4 , which lead me to this effort.  (Contributed by Wolf
       Lammen, 5-Mar-2024.) $)
    wl-cbvalsbi $p |- ( A. x ph -> A. y [ y / x ] ph ) $=
      ( wal wsb stdpc4 alrimiv ) ABDABCECABCFG $.
    $( $j usage 'wl-cbvalsbi' avoids 'ax-11'; $)
  $}

  $( Substitution with a variable not free in antecedent affects only the
     consequent.  Closed form of ~ sbrim .  (Contributed by Wolf Lammen,
     26-Jul-2019.) $)
  wl-sbrimt $p |- ( F/ x ph ->
                     ( [ y / x ] ( ph -> ps ) <-> ( ph -> [ y / x ] ps ) ) ) $=
    ( wi wsb wnf sbim sbft imbi1d syl5bb ) ABECDFACDFZBCDFZEACGZAMEABCDHNLAMACD
    IJK $.

  $( Substitution with a variable not free in antecedent affects only the
     consequent.  Closed form of ~ sbrim .  (Contributed by Wolf Lammen,
     26-Jul-2019.) $)
  wl-sblimt $p |- ( F/ x ps ->
                ( [ y / x ] ( ph -> ps ) <-> ( [ y / x ] ph -> ps ) ) ) $=
    ( wi wsb wnf sbim sbft imbi2d syl5bb ) ABECDFACDFZBCDFZEBCGZLBEABCDHNMBLBCD
    IJK $.

  $( Substitution of variable in universal quantifier.  Closed form of ~ sb8 .
     (Contributed by Wolf Lammen, 27-Jul-2019.) $)
  wl-sb8t $p |- ( A. x F/ y ph -> ( A. x ph <-> A. y [ y / x ] ph ) ) $=
    ( wnf wal wsb nfa1 nfnf1 nfal sp wl-nfs1t sps weq wb wi sbequ12 a1i cbv2 )
    ACDZBEZAABCFZBCSBGSCBACHISBJSUABDBABCKLBCMAUANOTABCPQR $.

  $( Substitution of variable in universal quantifier.  Closed form of ~ sb8e .
     (Contributed by Wolf Lammen, 27-Jul-2019.) $)
  wl-sb8et $p |- ( A. x F/ y ph -> ( E. x ph <-> E. y [ y / x ] ph ) ) $=
    ( wnf wal wex wsb wn wb nfnbi albii wl-sb8t sylbi alnex sbn 3bitr3g con4bid
    bitri ) ACDZBEZABFZABCGZCFZTAHZBEZUDBCGZCEZUAHUCHZTUDCDZBEUEUGISUIBACJKUDBC
    LMABNUGUBHZCEUHUFUJCABCOKUBCNRPQ $.

  $( Closed form of ~ sbhb .  Characterizing the expression ` ph -> A. x ph `
     using a substitution expression.  (Contributed by Wolf Lammen,
     28-Jul-2019.) $)
  wl-sbhbt $p |- ( A. x F/ y ph ->
                     ( ( ph -> A. x ph ) <-> A. y ( ph -> [ y / x ] ph ) ) ) $=
    ( wnf wal wi wsb wl-sb8t imbi2d wb 19.21t sps bitr4d ) ACDZBEZAABEZFAABCGZC
    EZFZAQFCEZOPRAABCHINTSJBAQCKLM $.

  $( Two ways expressing that ` x ` is effectively not free in ` ph ` .
     Simplified version of ~ sbnf2 .  Note:  This theorem shows that ~ sbnf2
     has unnecessary distinct variable constraints.  (Contributed by Wolf
     Lammen, 28-Jul-2019.) $)
  wl-sbnf1 $p |- ( A. x F/ y ph ->
                          ( F/ x ph <-> A. x A. y ( ph -> [ y / x ] ph ) ) ) $=
    ( wnf wal wi wsb nf5 nfa1 wl-sbhbt albid syl5bb ) ABDAABEFZBEACDZBEZAABCGFC
    EZBEABHOMPBNBIABCJKL $.

  ${
    $d x w $.  $d y w $.  $d z w $.
    $( ~ equsb3 with a distinctor.  (Contributed by Wolf Lammen,
       27-Jun-2019.) $)
    wl-equsb3 $p |- ( -. A. y y = z -> ( [ x / y ] y = z <-> x = z ) ) $=
      ( vw weq wal wn wsb nfna1 nfeqf2 wb wi equequ1 a1i sbbidv sbco2vv 3bitr3g
      sbied equsb3 ) BCEZBFGZTBDHZDAHDCEZDAHTBAHACEUAUBUCDAUATUCBDTBIBCDJBDETUC
      KLUABDCMNROTBADPDACSQ $.
  $}

  $( Substitution applied to an atomic wff.  The distinctor antecedent is more
     general than a distinct variable condition.  (Contributed by Wolf Lammen,
     26-Jun-2019.) $)
  wl-equsb4 $p |- ( -. A. x x = z -> ( [ y / x ] y = z <-> y = z ) ) $=
    ( weq wal wn wsb wb wnf nfeqf ex sbft syl6com sbequ12r equcoms sps pm2.61d2
    ) ACDAEFZABDZAEZBCDZABGUAHZTFZRUAAIZUBUCRUDBCAJKUAABLMSUBAUBBAUABANOPQ $.

  ${
    wl-2sb6d.1 $e |- ( ph -> -. A. y y = x ) $.
    wl-2sb6d.2 $e |- ( ph -> -. A. y y = w ) $.
    wl-2sb6d.3 $e |- ( ph -> -. A. y y = z ) $.
    wl-2sb6d.4 $e |- ( ph -> -. A. x x = z ) $.
    $( Version of ~ 2sb6 with a context, and distinct variable conditions
       replaced with distinctors.  (Contributed by Wolf Lammen, 4-Aug-2019.) $)
    wl-2sb6d $p |- ( ph -> ( [ z / x ] [ w / y ] ps <->
                          A. x A. y ( ( x = z /\ y = w ) -> ps ) ) ) $=
      ( weq wal wn wa wsb wi wb sb4b nfnae nfan jca wl-nfnae1 imbi2d impexp wnf
      albii nfeqf 19.21t syl bitr2id sylan9bb albid syl12anc ) ACEKZCLMZDFKZDLM
      ZDCKDLMZDEKDLMZNZBDFOZCEOZUNUPNBPZDLZCLZQJHAURUSGIUAUOVBUNVAPZCLUQUTNZVEV
      ACERVGVFVDCUQUTCDFCSURUSCCDUBDECSTTUQVFUNUPBPZDLZPZUTVDUQVAVIUNBDFRUCVDUN
      VHPZDLZUTVJVCVKDUNUPBUDUFUTUNDUEVLVJQCEDUGUNVHDUHUIUJUKULUKUM $.
  $}

  ${
    $d u v x $.  $d u v y $.  $d u v w $.  $d u v z $.  $d u v ph $.
    $( Lemma used to prove ~ wl-sbcom2d .  (Contributed by Wolf Lammen,
       10-Aug-2019.)  (New usage is discouraged.) $)
    wl-sbcom2d-lem1 $p |- ( ( u = y /\ v = w ) -> ( -. A. x x = w ->
       ( [ u / x ] [ v / z ] ph <-> [ y / x ] [ w / z ] ph ) ) ) $=
      ( weq wal wn wsb wb wa nfna1 nfeqf2 nfan1 sbequ adantl sbbid ancoms expr
      sylan9bbr ) GCHZFEHZBEHZBIJZADFKZBGKZADEKZBCKZLUDUFMUHUIBGKZUCUJUFUDUHUKL
      UFUDMUGUIBGUFUDBUEBNBEFOPUDUGUILUFAFEDQRSTUIGCBQUBUA $.
  $}

  ${
    $d u v x $.  $d u v y $.  $d u v ph $.
    $( Lemma used to prove ~ wl-sbcom2d .  (Contributed by Wolf Lammen,
       10-Aug-2019.)  (New usage is discouraged.) $)
    wl-sbcom2d-lem2 $p |- ( -. A. y y = x -> ( [ u / x ] [ v / y ] ph
            <-> A. x A. y ( ( x = u /\ y = v ) -> ph ) ) ) $=
      ( weq wal wn id naev wl-2sb6d ) CBFCGHZABCEDLICBDCJCBECJCBEBJK $.
  $}

  ${
    $d u v x $.  $d u v y $.  $d u v w $.  $d u v z $.  $d u v ph $.
    $d u v ps $.
    wl-sbcom2d.1 $e |- ( ph -> -. A. x x = w ) $.
    wl-sbcom2d.2 $e |- ( ph -> -. A. x x = z ) $.
    wl-sbcom2d.3 $e |- ( ph -> -. A. z z = y ) $.
    $( Version of ~ sbcom2 with a context, and distinct variable conditions
       replaced with distinctors.  (Contributed by Wolf Lammen, 4-Aug-2019.) $)
    wl-sbcom2d $p |- ( ph -> ( [ w / z ] [ y / x ] ps <->
                               [ y / x ] [ w / z ] ps ) ) $=
      ( vu vv weq wex wsb wb wi ax6ev wa wal wn wl-sbcom2d-lem2 ancomst naecoms
      alcom 2albii bitri bitrdi bitr4d syl adantl wl-sbcom2d-lem1 syl5 3bitr3rd
      imp ancoms exp31 exlimdv exlimiv mp2 ) JDLZJMKFLZKMZABCDNEFNZBEFNCDNZOZPZ
      JDQKFQUTVBVFPJUTVAVFKUTVAAVEUTVARZARBEKNCJNZBCJNEKNZVDVCAVHVIOZVGACELCSTZ
      VJHVKVHEKLZCJLZRBPZCSESZVIVHVOOECECLESTVHVMVLRBPZESCSZVOBCEKJUAVQVPCSESVO
      VPCEUDVPVNECVMVLBUBUEUFUGUCBECJKUAUHUIUJVGAVHVDOZACFLCSTVGVRGBCDEFKJUKULU
      NVGAVIVCOZVAUTAVSPAEDLESTVAUTRVSIBEFCDJKUKULUOUNUMUPUQURUS $.
  $}

  $( A theorem used in elimination of disjoint variable restrictions by
     replacing them with distinctors.  (Contributed by Wolf Lammen,
     25-Jul-2019.) $)
  wl-sbalnae $p |- ( ( -. A. x x = y /\ -. A. x x = z ) ->
           ( [ z / y ] A. x ph <-> A. x [ z / y ] ph ) ) $=
    ( weq wal wn wa wsb wb sb4b nfnae nfan wnf nfeqf 19.21t albid sbequ12 sps
    wi bicomd syl sylan9bbr alcom bitrdi adantl bitr4d ex dral2 bitr3d pm2.61d2
    ) BCEBFGZBDEBFGZHZCDEZCFZABFZCDIZACDIZBFZJZUNUPGZVAUNVBHURUOATZBFZCFZUTVBUR
    UOUQTZCFUNVEUQCDKUNVFVDCULUMCBCCLBDCLMUNUOBNZVFVDJCDBOVGVDVFUOABPUAUBQUCVBU
    TVEJUNVBUTVCCFZBFVEVBUSVHBCDBLACDKQVCBCUDUEUFUGUHUPUQURUTUOUQURJCUQCDRSAUSC
    DBUOAUSJCACDRSUIUJUK $.

  ${
    $d x y $.
    $( A theorem used in elimination of disjoint variable restriction on ` x `
       and ` y ` by replacing it with a distinctor ` -. A. x x = z ` .
       (Contributed by NM, 15-May-1993.)  Proof is based on ~ wl-sbalnae now.
       See also ~ sbal1 .  (Revised by Wolf Lammen, 25-Jul-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    wl-sbal1 $p |- ( -. A. x x = z ->
             ( [ z / y ] A. x ph <-> A. x [ z / y ] ph ) ) $=
      ( weq wal wn wsb wb naev wl-sbalnae mpancom ) BCEBFGBDEBFGABFCDHACDHBFIBD
      CBJABCDKL $.
  $}

  ${
    $d x z $.
    $( Move quantifier in and out of substitution.  Revised to remove a
       distinct variable constraint.  (Contributed by NM, 2-Jan-2002.)  Proof
       is based on ~ wl-sbalnae now.  See also ~ sbal2 .  (Revised by Wolf
       Lammen, 25-Jul-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    wl-sbal2 $p |- ( -. A. x x = y ->
             ( [ z / y ] A. x ph <-> A. x [ z / y ] ph ) ) $=
      ( weq wal wn wsb wb naev wl-sbalnae mpdan ) BCEBFGBDEBFGABFCDHACDHBFIBCDB
      JABCDKL $.
  $}

  $( ~ spsbbi applied twice.  (Contributed by Wolf Lammen, 5-Aug-2023.) $)
  wl-2spsbbi $p |- ( A. a A. b ( ph <-> ps ) ->
       ( [ y / b ] [ x / a ] ph <-> [ y / b ] [ x / a ] ps ) ) $=
    ( wb wal wsb alcom nfa1 sp sbbid sps sylbi ) ABGZFHEHPEHZFHZAECIZFDIBECIZFD
    IGPEFJRSTFDQFKQSTGFQABECPEKPELMNMO $.

  ${
    $d x y $.
    $( This theorem provides a basic working step in proving theorems about
       ` E* ` or ` E! ` .  (Contributed by Wolf Lammen, 3-Oct-2019.) $)
    wl-lem-exsb $p |- ( x = y -> ( ph <-> A. x ( x = y -> ph ) ) ) $=
      ( weq wi wal ax12v2 sp com12 impbid ) BCDZAKAEZBFZABCGMKALBHIJ $.
  $}

  $( This theorem provides a basic working step in proving theorems about
     ` E* ` or ` E! ` .  (Contributed by Wolf Lammen, 3-Oct-2019.) $)
  wl-lem-nexmo $p |- ( -. E. x ph -> A. x ( ph -> x = z ) ) $=
    ( wex wn wal weq wi alnex pm2.21 alimi sylbir ) ABDEAEZBFABCGZHZBFABIMOBANJ
    KL $.

  ${
    $d x z $.
    $( The antecedent ` A. x ( ph -> x = z ) ` relates to ` E* x ph ` , but is
       better suited for usage in proofs.  Note that no distinct variable
       restriction is placed on ` ph ` .

       This theorem provides a basic working step in proving theorems about
       ` E* ` or ` E! ` .  (Contributed by Wolf Lammen, 3-Oct-2019.) $)
    wl-lem-moexsb $p |- ( A. x ( ph -> x = z ) ->
                          ( E. x ph <-> [ z / x ] ph ) ) $=
      ( weq wi wal wex wsb nfa1 nfs1v sp ax12v2 syli sb6 syl6ibr exlimd impbid1
      spsbe ) ABCDZEZBFZABGABCHZUAAUBBTBIABCJUAASAEBFZUBAUASUCTBKABCLMABCNOPABC
      RQ $.
  $}

  ${
    wl-alanbii.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( This theorem extends ~ alanimi to a biconditional.  Recurrent usage
       stacks up more quantifiers.  (Contributed by Wolf Lammen,
       4-Oct-2019.) $)
    wl-alanbii $p |- ( A. x ph <-> ( A. x ps /\ A. x ch ) ) $=
      ( wal wa albii 19.26 bitri ) ADFBCGZDFBDFCDFGAKDEHBCDIJ $.
  $}

  ${
    $d u x $.  $d u y $.  $d u ph $.  $d u ps $.
    wl-mo2df.1 $e |- F/ x ph $.
    wl-mo2df.2 $e |- F/ y ph $.
    wl-mo2df.3 $e |- ( ph -> -. A. x x = y ) $.
    wl-mo2df.4 $e |- ( ph -> F/ y ps ) $.
    $( Version of ~ mof with a context and a distinctor replacing a distinct
       variable condition.  This version should be used only to eliminate
       disjoint variable conditions.  (Contributed by Wolf Lammen,
       11-Aug-2019.) $)
    wl-mo2df $p |- ( ph -> ( E* x ps <-> E. y A. x ( ps -> x = y ) ) ) $=
      ( vu wmo weq wi wal wex df-mo wn wnf nfeqf1 naecoms wb syl nfimd nfald wa
      nfnae nfeqf2 nfan1 equequ2 imbi2d adantl albid sylan ex cbvexd syl5bb ) B
      CJBCIKZLZCMZINABCDKZLZCMZDNBCIOAURVAIDFAUQDCEABUPDHAUSCMPZUPDQZGVCDCDCIRS
      UAUBUCAIDKZURVATZAVBVDVEGVBVDUDUQUTCVBVDCCDCUECDIUFUGVDUQUTTVBVDUPUSBIDCU
      HUIUJUKULUMUNUO $.
  $}

  $( Closed form of ~ mof with a distinctor avoiding distinct variable
     conditions.  (Contributed by Wolf Lammen, 20-Sep-2020.) $)
  wl-mo2tf $p |- ( ( -. A. x x = y /\ A. x F/ y ph ) ->
          ( E* x ph <-> E. y A. x ( ph -> x = y ) ) ) $=
    ( weq wal wn wnf wa nfnae nfa1 nfan nfnf1 nfal simpl sp adantl wl-mo2df ) B
    CDBEFZACGZBEZHABCRTBBCBISBJKRTCBCCISCBACLMKRTNTSRSBOPQ $.

  ${
    $d u x $.  $d u y $.  $d u ph $.  $d u ps $.
    wl-eudf.1 $e |- F/ x ph $.
    wl-eudf.2 $e |- F/ y ph $.
    wl-eudf.3 $e |- ( ph -> -. A. x x = y ) $.
    wl-eudf.4 $e |- ( ph -> F/ y ps ) $.
    $( Version of ~ eu6 with a context and a distinctor replacing a distinct
       variable condition.  This version should be used only to eliminate
       disjoint variable conditions.  (Contributed by Wolf Lammen,
       23-Sep-2020.) $)
    wl-eudf $p |- ( ph -> ( E! x ps <-> E. y A. x ( ps <-> x = y ) ) ) $=
      ( vu weu weq wb wal wex eu6 wn wnf nfeqf1 naecoms syl nfbid nfald equequ2
      wa nfnae nfeqf2 nfan1 bibi2d adantl albid sylan ex cbvexd syl5bb ) BCJBCI
      KZLZCMZINABCDKZLZCMZDNBCIOAUQUTIDFAUPDCEABUODHAURCMPZUODQZGVBDCDCIRSTUAUB
      AIDKZUQUTLZAVAVCVDGVAVCUDUPUSCVAVCCCDCUECDIUFUGVCUPUSLVAVCUOURBIDCUCUHUIU
      JUKULUMUN $.
  $}

  $( Closed form of ~ eu6 with a distinctor avoiding distinct variable
     conditions.  (Contributed by Wolf Lammen, 23-Sep-2020.) $)
  wl-eutf $p |- ( ( -. A. x x = y /\ A. x F/ y ph ) ->
          ( E! x ph <-> E. y A. x ( ph <-> x = y ) ) ) $=
    ( weq wal wn wnf wa nfnae nfa1 nfan nfnf1 nfal simpl sp adantl wl-eudf ) BC
    DBEFZACGZBEZHABCRTBBCBISBJKRTCBCCISCBACLMKRTNTSRSBOPQ $.

  ${
    $d x z $.  $d y z $.
    $( ~ euequ proved with a distinctor.  (Contributed by Wolf Lammen,
       23-Sep-2020.) $)
    wl-euequf $p |- ( -. A. x x = y -> E! x x = y ) $=
      ( vz weq wal wn wb wex weu ax6ev nfv nfna1 nfeqf2 equequ2 equcoms alrimdd
      wi a1i eximd mpi eu6 sylibr ) ABDZAEFZUCACDGZAEZCHZUCAIUDCBDZCHUGCBJUDUHU
      FCUDCKUDUHUEAUCALABCMUHUEQUDUEBCBCANORPSTUCACUAUB $.
  $}

  ${
    $d u x y $.  $d u ph $.
    $( Closed form of ~ mof .  (Contributed by Wolf Lammen, 18-Aug-2019.) $)
    wl-mo2t $p |- ( A. x F/ y ph ->
                      ( E* x ph <-> E. y A. x ( ph -> x = y ) ) ) $=
      ( vu wmo weq wi wal wex df-mo nfnf1 nfal nfa1 sp nfvd nfimd nfald equequ2
      wnf wb imbi2d albidv a1i cbvexdw syl5bb ) ABEABDFZGZBHZDIACSZBHZABCFZGZBH
      ZCIABDJUJUHUMDCUICBACKLUJUGCBUIBMUJAUFCUIBNUJUFCOPQDCFZUHUMTGUJUNUGULBUNU
      FUKADCBRUAUBUCUDUE $.
  $}

  ${
    $d x y u $.  $d ph u $.
    $( Closed form of ~ mo3 .  (Contributed by Wolf Lammen, 18-Aug-2019.) $)
    wl-mo3t $p |- ( A. x F/ y ph -> ( E* x ph <->
               A. x A. y ( ( ph /\ [ y / x ] ph ) -> x = y ) ) ) $=
      ( vu wnf wal wmo wsb wa weq wi nfa1 nfmo1 nfnf1 sp nfmod nfan1 wex alrimd
      nfal df-mo spsbim equsb3 syl6ib anim12d equtr2 syl6 exlimiv adantl alrimi
      sylbi nfs1v pm3.3 com23 sps aleximi alcoms moabs wl-sb8et wl-mo2t imbi12d
      ex syl5bb syl5ibr impbid ) ACEZBFZABGZAABCHZIZBCJZKZCFZBFZVGVHVMBVFBLZABM
      VGVHVMVGVHIVLCVGVHCVFCBACNTVGACBVOVFBOPQVHVLVGVHABDJZKZBFZDRVLABDUAVRVLDV
      RVJVPCDJZIVKVRAVPVIVSVQBOVRVIVPBCHVSAVPBCUBBCDUCUDUEBCDUFUGUHUKUIUJVBSVNV
      HVGVICRZAVKKZBFZCRZKZVLWDCBVLBFZVIWBCWEVIWABVLBLABCULVLVIWAKBVLAVIVKAVIVK
      UMUNUOSUPUQVHABRZVHKVGWDABURVGWFVTVHWCABCUSABCUTVAVCVDVE $.
  $}

  ${
    $d u v x $.  $d u v y $.  $d u v ph $.
    $( Substitution of variable in universal quantifier.  Closed form of
       ~ sb8eu .  (Contributed by Wolf Lammen, 11-Aug-2019.) $)
    wl-sb8eut $p |- ( A. x F/ y ph -> ( E! x ph <-> E! y [ y / x ] ph ) ) $=
      ( vu vv wnf wal weq wb wex wsb weu nfnf1 nfal equsb3 sblbis nfa1 sp nfsbd
      eu6 nfvd nfbid nfxfrd wi sbequ a1i cbvald nfv bicomi albii 3bitr3g exbidv
      sb8 3bitr4g ) ACFZBGZABDHZIZBGZDJABCKZCDHZIZCGZDJABLUTCLUPUSVCDUPURBEKZEG
      ZURBCKZCGUSVCUPVDVFECUOCBACMNVDABEKZEDHZIUPCUQVHABEBEDOPUPVGVHCUPABECUOBQ
      UOBRSUPVHCUAUBUCECHVDVFIUDUPURECBUEUFUGUSVEURBEUREUHUMUIVFVBCUQVAABCBCDOP
      UJUKULABDTUTCDTUN $.
  $}

  $( Substitution of variable in universal quantifier.  Closed form of
     ~ sb8mo .

     This theorem relates to ~ wl-mo3t , since replacing ` ph ` with
     ` [ y / x ] ph ` in the latter yields subexpressions like
     ` [ x / y ] [ y / x ] ph ` , which can be reduced to ` ph ` via ~ sbft and
     ~ sbco .  So ` E* x ph <-> E* y [ y / x ] ph ` is provable from ~ wl-mo3t
     in a simple fashion, unfortunately only if ` x ` and ` y ` are known to be
     distinct.  To avoid any hassle with distinctors, we prefer to derive this
     theorem independently, ignoring the close connection between both
     theorems.  From an educational standpoint, one would assume ~ wl-mo3t to
     be more fundamental, as it hints how the "at most one" objects on both
     sides of the biconditional correlate (they are the same), if they exist at
     all, and then prove this theorem from it.  (Contributed by Wolf Lammen,
     11-Aug-2019.) $)
  wl-sb8mot $p |- ( A. x F/ y ph -> ( E* x ph <-> E* y [ y / x ] ph ) ) $=
    ( wnf wal wex weu wi wsb wmo wl-sb8et wl-sb8eut imbi12d moeu 3bitr4g ) ACDB
    EZABFZABGZHABCIZCFZSCGZHABJSCJPQTRUAABCKABCLMABNSCNO $.

  ${
    wl-axc11rc11.1 $e |- ( A. y y = x -> ( A. y y = x -> A. x y = x ) ) $.
    wl-axc11rc11.2 $e |- ( A. x x = y -> ( A. x ph -> A. y ph ) ) $.
    $( Proving ~ axc11r from ~ axc11 .  The hypotheses are two instances of
       ~ axc11 used in the proof here.  Some systems introduce ~ axc11 as an
       axiom, see for example System S2 in
       ~ https://us.metamath.org/downloads/finiteaxiom.pdf .

       By contrast, this database sees the variant ~ axc11r , directly derived
       from ~ ax-12 , as foundational.  Later ~ axc11 is proven somewhat
       trickily, requiring ~ ax-10 and ~ ax-13 , see its proof.  (Contributed
       by Wolf Lammen, 18-Jul-2023.) $)
    wl-axc11rc11 $p |- ( A. y y = x -> ( A. x ph -> A. y ph ) ) $=
      ( weq wal wi pm2.43i equcomi alimi 3syl ) CBFZCGZMBGZBCFZBGABGACGHNODIMPB
      CBJKEL $.
  $}

  ${
    $d x y $.
    $( Version of ~ ax-11 with distinct variable conditions.  Currently
       implemented as an axiom to detect unintended references to the
       foundational axiom ~ ax-11 .  It will later be converted into a theorem
       directly based on ~ ax-11 .  (Contributed by Wolf Lammen,
       28-Jun-2019.) $)
    ax-wl-11v $a |- ( A. x A. y ph -> A. y A. x ph ) $.
  $}

  $( A transitive law for variable identifying expressions.  (Contributed by
     Wolf Lammen, 30-Jun-2019.) $)
  wl-ax11-lem1 $p |- ( A. x x = y -> ( A. x x = z <-> A. y y = z ) ) $=
    ( weq wal wl-aetr wi aecoms impbid ) ABDAEACDAEZBCDBEZABCFKJGBABACFHI $.

  ${
    $d u x $.
    $( Lemma.  (Contributed by Wolf Lammen, 30-Jun-2019.) $)
    wl-ax11-lem2 $p |- ( ( A. u u = y /\ -. A. x x = y ) -> A. x u = y ) $=
      ( weq wal wn wa wb sp aev pm2.21 impbid2 anim12i wl-aleq sylibr ) CBDZCEZ
      ABDAEZFZGPACDAEZRHZGPAEQPSUAPCISTRACABAJRTKLMACBNO $.
  $}

  ${
    $d u x $.
    $( Lemma.  (Contributed by Wolf Lammen, 30-Jun-2019.) $)
    wl-ax11-lem3 $p |- ( -. A. x x = y -> F/ x A. u u = y ) $=
      ( weq wal wn nfna1 naev wa nfa1 nfan axc11n wl-aetr syl5 aecoms imdistani
      wi con3d wl-ax11-lem2 syl alrimi sylan2 expcom ax-wl-11v syl6 nf5d ) ABDZ
      AEZFZCBDZCEZAUGAGUIUKUJAEZCEZUKAEUKUIUMUIUKCADZCEZFZUMABACHUKUPIZULCUKUPC
      UJCJUNCGKUQUKUIIULUKUPUIUKUHUOUHUOQBCUHBADBEBCDBEUOABLBCAMNORPABCSTUAUBUC
      UJCAUDUEUF $.
  $}

  ${
    $d u x $.
    $( Lemma.  (Contributed by Wolf Lammen, 30-Jun-2019.) $)
    wl-ax11-lem4 $p |- F/ x ( A. u u = y /\ -. A. x x = y ) $=
      ( weq wal wn wa ancom nfna1 wl-ax11-lem3 nfan1 nfxfr ) CBDCEZABDZAEFZGOMG
      AMOHOMANAIABCJKL $.
  $}

  $( Lemma.  (Contributed by Wolf Lammen, 30-Jun-2019.) $)
  wl-ax11-lem5 $p |- ( A. u u = y -> ( A. u [ u / y ] ph <-> A. y ph ) ) $=
    ( wsb weq wb sbequ12r sps dral1 ) ABCDZACBCBEJAFCACBGHI $.

  ${
    $d u x $.
    $( Lemma.  (Contributed by Wolf Lammen, 30-Jun-2019.) $)
    wl-ax11-lem6 $p |- ( ( A. u u = y /\ -. A. x x = y ) ->
                               ( A. u A. x [ u / y ] ph <-> A. x A. y ph ) ) $=
      ( wsb wal wn wa ax-wl-11v impbii wb nfna1 wl-ax11-lem3 nfan1 wl-ax11-lem5
      weq adantl albid ancoms syl5bb ) ACDEZBFDFZUADFZBFZDCPDFZBCPZBFGZHACFZBFZ
      UBUDUADBIUABDIJUGUEUDUIKUGUEHUCUHBUGUEBUFBLBCDMNUEUCUHKUGACDOQRST $.
  $}

  $( Lemma.  (Contributed by Wolf Lammen, 30-Jun-2019.) $)
  wl-ax11-lem7 $p |- ( A. x ( -. A. x x = y /\ ph ) <->
                                              ( -. A. x x = y /\ A. x ph ) ) $=
    ( weq wal wn nfna1 19.28 ) BCDZBEFABIBGH $.

  ${
    $d u x $.
    $( Lemma.  (Contributed by Wolf Lammen, 30-Jun-2019.) $)
    wl-ax11-lem8 $p |- ( ( A. u u = y /\ -. A. x x = y ) ->
                               ( A. u A. x [ u / y ] ph <-> A. y A. x ph ) ) $=
      ( weq wal wn wsb wb axc11n con3i wa wi wl-ax11-lem1 notbid anbi1d sbequ12
      wl-ax11-lem4 equcoms wl-ax11-lem7 sps adantr albid ex syl5 pm5.32d bitr4d
      dral1 3bitr3g bitr3d pm5.32 sylibr imp sylan2 ) BCEBFZGZDCEZDFZCBECFZGZAC
      DHZBFZDFZABFZCFZIZUSUOCBJKURUTVFURUTVCLZUTVELZIUTVFMURDBEDFZGZVCLZVGVHURV
      JUTVCURVIUSDCBNOZPURVJVBLZDFUTVDLZCFVKVHVMVNDCURVMUTVBLVNURVJUTVBVLPURUTV
      DVBUTUPURVDVBIZUOUSBCJKURUPVOURUPLAVABBCDRURAVAIZUPUQVPDVPCDACDQSUAUBUCUD
      UEUFUGUHVBDBTVDCBTUIUJUTVCVEUKULUMUN $.
  $}

  $( The easy part when ` x ` coincides with ` y ` .  (Contributed by Wolf
     Lammen, 30-Jun-2019.) $)
  wl-ax11-lem9 $p |- ( A. x x = y -> ( A. y A. x ph <-> A. x A. y ph ) ) $=
    ( wal wb weq biidd dral1 aecoms ) ABDZCDACDZBDECBJKCBJKEBCAABCBCFBDAGHIHI
    $.

  ${
    $d u x $.
    $( We now have prepared everything.  The unwanted variable ` u ` is just in
       one place left. ~ pm2.61 can be used in conjunction with ~ wl-ax11-lem9
       to eliminate the second antecedent.  Missing is something along the
       lines of ~ ax-6 , so we could remove the first antecedent.  But the
       Metamath axioms cannot accomplish this.  Such a rule must reside one
       abstraction level higher than all others:  It says that a distinctor
       implies a distinct variable condition on its contained setvar.  This is
       only needed if such conditions are required, as ax-11v does.  The result
       of this study is for me, that you cannot introduce a setvar capturing
       this condition, and hope to eliminate it later.  (Contributed by Wolf
       Lammen, 30-Jun-2019.) $)
    wl-ax11-lem10 $p |- ( A. y y = u -> ( -. A. x x = y -> ( A. y A. x ph
                                                  -> A. x A. y ph ) ) ) $=
      ( weq wal wn wi wa wsb wl-ax11-lem8 wl-ax11-lem6 bitr3d biimpd ex aecoms
      ) BCEBFGZABFCFZACFBFZHZHDCDCEDFZQTUAQIZRSUBACDJBFDFRSABCDKABCDLMNOP $.
  $}

  ${
    $d x y $.  $d x ph $.
    $( Variant of ~ df-clab , where the element ` x ` is required to be
       disjoint from the class it is taken from.  This restriction meets
       similar ones found in other definitions and axioms like ~ ax-ext ,
       ~ df-clel and ~ df-cleq . ` x e. A ` with ` A ` depending on ` x ` can
       be the source of side effects, that you rather want to be aware of.  So
       here we eliminate one possible way of letting this slip in instead.

       An expression ` x e. A ` with ` x ` , ` A ` not disjoint, is now only
       introduced either via ~ ax-8 , ~ ax-9 , or ~ df-clel .  Theorem
       ~ cleljust shows that a possible choice does not matter.

       The original ~ df-clab can be rederived, see ~ wl-dfclab .  In an
       implementation this theorem is the only user of df-clab.  (Contributed
       by NM, 26-May-1993.)  Element and class are disjoint.  (Revised by Wolf
       Lammen, 31-May-2023.) $)
    wl-clabv $p |- ( x e. { y | ph } <-> [ x / y ] ph ) $=
      ( df-clab ) ABCD $.
  $}

  ${
    $d z x $.  $d z y $.  $d z ph $.
    $( Rederive ~ df-clab from ~ wl-clabv .  (Contributed by Wolf Lammen,
       31-May-2023.)  (Proof modification is discouraged.) $)
    wl-dfclab $p |- ( x e. { y | ph } <-> [ x / y ] ph ) $=
      ( vz cv cab wcel weq wa wex wsb dfclel wl-clabv sbequ syl5bb exbii 19.41v
      pm5.32i ax6ev biantrur bitr4i 3bitri ) BEZACFZGDBHZDEUDGZIZDJUEACBKZIZDJZ
      UHDUCUDLUGUIDUEUFUHUFACDKUEUHADCMADBCNORPUJUEDJZUHIUHUEUHDQUKUHDBSTUAUB
      $.
  $}

  ${
    $d x y ph $.  $d y ps $.
    $( Using class abstraction in a context, requiring ` x ` and ` ph `
       disjoint, but based on fewer axioms than ~ wl-clabt .  (Contributed by
       Wolf Lammen, 29-May-2023.) $)
    wl-clabtv $p |- ( ph -> { x | ps } = { x | ( ph -> ps ) } ) $=
      ( vy cab wi wsb cv wcel biimt sbbidv df-clab 3bitr4g eqrdv ) ADBCEZABFZCE
      ZABCDGPCDGDHZOIRQIABPCDABJKBDCLPDCLMN $.
  $}

  ${
    $d x y $.  $d y ph $.  $d y ps $.
    wl-clabt.nf $e |- F/ x ph $.
    $( Using class abstraction in a context.  For a version based on fewer
       axioms see ~ wl-clabtv .  (Contributed by Wolf Lammen, 29-May-2023.) $)
    wl-clabt $p |- ( ph -> { x | ps } = { x | ( ph -> ps ) } ) $=
      ( vy cab wi wsb cv wcel biimt sbbid df-clab 3bitr4g eqrdv ) AEBCFZABGZCFZ
      ABCEHQCEHEIZPJSRJABQCEDABKLBECMQECMNO $.
  $}


$( (End of Wolf Lammen's mathbox.) $)
$( End $[ set-mbox-wl.mm $] $)


$( Begin $[ set-mbox-bl.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Brendan Leahy
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  ${
    $d y ph $.  $d x A $.  $d x y $.
    $( Abstraction restricted to an indexed union.  (Contributed by Brendan
       Leahy, 26-Oct-2017.) $)
    rabiun $p |- { x e. U_ y e. A B | ph } = U_ y e. A { x e. B | ph } $=
      ( ciun crab cv wcel wa cab eliun anbi1i r19.41v bitr4i abbii df-rab iunab
      wrex 3eqtr4i wceq a1i iuneq2i eqtr4i ) ABCDEFZGZCDBHZEIZAJZBKZFZCDABEGZFU
      GUEIZAJZBKUICDSZBKUFUKUNUOBUNUHCDSZAJUOUMUPACUGDELMUHACDNOPABUEQUICBDRTCD
      ULUJULUJUACHDIABEQUBUCUD $.
  $}

  ${
    $d y A $.  $d y B $.  $d x y C $.
    $( Indexed union of class difference with the subtrahend held constant.
       (Contributed by Brendan Leahy, 6-Aug-2018.) $)
    iundif1 $p |- U_ x e. A ( B \ C ) = ( U_ x e. A B \ C ) $=
      ( vy cdif ciun cv wcel wrex wn wa r19.41v eldif rexbii eliun anbi1i eqriv
      3bitr4i ) EABCDFZGZABCGZDFZEHZTIZABJZUDUBIZUDDIKZLZUDUAIUDUCIUDCIZUHLZABJ
      UJABJZUHLUFUIUJUHABMUEUKABUDCDNOUGULUHAUDBCPQSAUDBTPUDUBDNSR $.
  $}

  $( The difference of images is a subset of the image of the difference.
     (Contributed by Brendan Leahy, 21-Aug-2020.) $)
  imadifss $p |- ( ( F " A ) \ ( F " B ) ) C_ ( F " ( A \ B ) ) $=
    ( cima cdif cun wss ssun2 undif2 sseqtrri imass2 ax-mp imaundi sseqtri mpbi
    ssundif ) CADZCBDZCABEZDZFZGQRETGQCBSFZDZUAAUBGQUCGABAFUBABHBAIJAUBCKLCBSMN
    QRTPO $.

  ${
    $d w x y z A $.  $d w x y z B $.
    $( Equality theorem for currying.  (Contributed by Brendan Leahy,
       2-Jun-2021.) $)
    cureq $p |- ( A = B -> curry A = curry B ) $=
      ( vx vy vz wceq cdm cop wbr copab cmpt ccur dmeq dmeqd opabbidv mpteq12dv
      cv breq df-cur 3eqtr4g ) ABFZCAGZGZCQDQHZEQZAIZDEJZKCBGZGZUDUEBIZDEJZKALB
      LUACUCUGUIUKUAUBUHABMNUAUFUJDEUDUEABROPCDEASCDEBST $.

    $( Equality theorem for uncurrying.  (Contributed by Brendan Leahy,
       2-Jun-2021.) $)
    unceq $p |- ( A = B -> uncurry A = uncurry B ) $=
      ( vy vz vx wceq cfv wbr coprab cunc fveq1 breqd oprabbidv df-unc 3eqtr4g
      cv ) ABFZCPZDPZEPZAGZHZECDIRSTBGZHZECDIAJBJQUBUDECDQUAUCRSTABKLMECDANECDB
      NO $.

    $d x y z C $.  $d w x y z F $.  $d w x y z V $.  $d w x y z W $.
    $( Functional property of currying.  (Contributed by Brendan Leahy,
       2-Jun-2021.) $)
    curf $p |- ( ( F : ( A X. B ) --> C /\ B e. ( V \ { (/) } ) /\ C e. W ) ->
      curry F : A --> ( C ^m B ) ) $=
      ( vx vy vz wf c0 wcel cv cmpt wa sylan2 fmpttd wb cdm wceq cxp csn w3a co
      cdif cmap cop cfv opelxpi ffvelrn anassrs 3ad2antl1 elmapg ancoms 3adant1
      ccur adantr mpbird wne eldifsni wbr copab fdm dmeqd dmxp sylan9eq mpteq1d
      df-cur wfun ffun funbrfv2b eleq2d opelxp bitrdi anbi1d bitrd anass anbi2i
      syl eqcom bitr3i bitr2di sylan9bb opabbidv df-mpt eqtr4di mpteq2dva eqtrd
      ibar syl5eq feq1d 3adant3 ) ABUAZCDJZBEKUBUEZLZCFLZUCZACBUFUDZDUPZJZAWSGA
      HBGMZHMZUGZDUHZNZNZJZWRGAXFWSWRXBALZOXFWSLZBCXFJZWNWPXIXKWQWNXIOZHBXECWNX
      IXCBLZXECLZXIXMOZWNXDWMLZXNXBXCABUIWMCXDDUJPUKQULWRXJXKRZXIWPWQXQWNWQWPXQ
      CBXFFWOUMUNUOUQURQWNWPXAXHRZWQWPWNBKUSZXRBEKUTWNXSOZAWSWTXGXTWTGDSZSZXDIM
      ZDVAZHIVBZNZXGGHIDVHXTYFGAYENZXGXTGYBAYEWNXSYBWMSAWNYAWMWMCDVCZVDABVEVFVG
      WNYGXGTXSWNGAYEXFXLYEXMYCXETZOZHIVBXFXLYDYJHIWNYDXOXEYCTZOZXIYJWNYDXDYALZ
      YKOZYLWNDVIYDYNRWMCDVJXDYCDVKVSWNYMXOYKWNYMXPXOWNYAWMXDYHVLXBXCABVMVNVOVP
      XIYJXIYJOZYLXIYJWIYOXOYIOYLXIXMYIVQYIYKXOYCXEVTVRWAWBWCWDHIBXEWEWFWGUQWHW
      JWKPWLUR $.

    $( Functional property of uncurrying.  (Contributed by Brendan Leahy,
       2-Jun-2021.) $)
    uncf $p |- ( F : A --> ( C ^m B ) -> uncurry F : ( A X. B ) --> C ) $=
      ( vy vx vz wf cv cfv wcel wral wa wceq coprab cdm fdm eleq2d wb 3syl cmap
      co cxp cunc ffvelrn elmapi syl ffvelrnda anasss ralrimivva wbr df-unc cop
      df-br elfvdm sylbi syl5ib pm4.71rd elmapfun funbrfv2b eqcom anbi12d bitrd
      wfun a1i pm5.32da anass bitr4di oprabbidv syl5eq feq1d cmpo df-mpo eqcomi
      fmpo mpbird ) ACBUAUBZDHZABUCZCDUDZHZEIZFIZDJZJZCKZEBLFALZVRWFFEABVRWCAKZ
      WBBKZWFVRWHMZBCWBWDWJWDVQKZBCWDHZAVQWCDUEZWDCBUFZUGUHUIUJVRWAVSCWHWIMGIZW
      ENZMZFEGOZHWGVRVSCVTWRVRVTWBWOWDUKZFEGOWRFEGDULVRWSWQFEGVRWSWHWIWPMZMZWQV
      RWSWHWSMXAVRWSWHWSWCDPZKZVRWHWSWBWOUMZWDKXCWBWOWDUNXDWCDUOUPVRXBAWCAVQDQR
      UQURVRWHWSWTWJWSWBWDPZKZWEWONZMZWTWJWKWDVDWSXHSWMWDCBUSWBWOWDUTTWJXFWIXGW
      PWJXEBWBWJWKWLXEBNWMWNBCWDQTRXGWPSWJWEWOVAVEVBVCVFVCWHWIWPVGVHVIVJVKFEABW
      ECWRFEABWEVLWRFEGABWEVMVNVOVHVP $.

    $( Value of currying.  (Contributed by Brendan Leahy, 2-Jun-2021.) $)
    curfv $p |- ( ( ( F Fn ( V X. W ) /\ A e. V /\ B e. W ) /\ W e. X ) ->
      ( ( curry F ` A ) ` B ) = ( A F B ) ) $=
      ( vy vx vz wcel wa ccur cfv cv cop cmpt wceq adantr cvv eqtrd cxp wfn w3a
      co dffn5 cureq sylbi fveq2 mpompt wral fvex rgen2w a1i c0 wne ne0i adantl
      mpocurryd 3adant2 fveq1d mptexg opeq1 fveq2d eqid fvmptg sylan2 3ad2antl2
      mpteq2dv opeq2 fvmpt df-ov eqtr4di 3ad2ant3 ) CDEUAZUBZADJZBEJZUCZEFJZKZB
      ACLZMZMBGEAGNZOZCMZPZMZABCUDZVTBWBWFVTWBAHDGEHNZWCOZCMZPZPZMZWFVRWBWNQVSV
      RAWAWMVOVQWAWMQVPVOVQKZWAIVNINZCMZPZLZWMVOWAWSQZVQVOCWRQWTIVNCUECWRUFUGRW
      OHGWKWRSDEHGIDEWQWKWPWJCUHUIWKSJZGEUJHDUJWOXAHGDEWJCUKULUMVQEUNUOVOEBUPUQ
      URTUSUTRVPVOVSWNWFQZVQVSVPWFSJXBGEWEFVAHAWLWFDSWMWIAQZGEWKWEXCWJWDCWIAWCV
      BVCVHWMVDVEVFVGTUTVRWGWHQZVSVQVOXDVPVQWGABOZCMZWHGBWEXFEWFWCBQWDXECWCBAVI
      VCWFVDXECUKVJABCVKVLVMRT $.

    $( Value of uncurrying.  (Contributed by Brendan Leahy, 2-Jun-2021.) $)
    uncov $p |- ( ( A e. V /\ B e. W ) ->
      ( A uncurry F B ) = ( ( F ` A ) ` B ) ) $=
      ( vw vy vz vx wcel wa cop cv cunc wbr cio cfv cvv wceq df-fv coprab df-br
      co df-unc eleq2i bitri wb vex weq w3a simp2 fveq2 3ad2ant1 simp3 breq123d
      eloprabga mp3an3 syl5bb iotabidv df-ov eqtri 3eqtr4g ) ADJZBEJZKZABLZFMZC
      NZOZFPZBVGACQZOZFPABVHUCZBVKQVEVIVLFVIVFVGLZGMZHMZIMZCQZOZIGHUAZJZVEVLVIV
      NVHJWAVFVGVHUBVHVTVNIGHCUDUEUFVCVDVGRJWAVLUGFUHVSVLIGHABVGDERVQASZVOBSZHF
      UIZUJVOBVPVGVRVKWBWCWDUKWBWCVRVKSWDVQACULUMWBWCWDUNUOUPUQURUSVMVFVHQVJABV
      HUTFVFVHTVAFBVKTVB $.

    $( Currying of uncurrying.  (Contributed by Brendan Leahy, 2-Jun-2021.) $)
    curunc $p |- ( ( F : A --> ( C ^m B ) /\ B =/= (/) ) ->
      curry uncurry F = F ) $=
      ( vx vy vz co wf wa cv cfv cmpt feqmptd cdm copab wcel wceq wb cvv c0 wne
      cmap cunc ccur simpl cop wbr uncf fdmd dmeqd dmxp sylan9eq eqcomd ffvelrn
      df-mpt elmapi wfun ffun funbrfv2b 3syl adantr eleq2d opelxp baib sylan9bb
      cxp syl df-ov uncov el2v eqtr3i eqeq1i eqcom bitri anbi12d bitrd opabbidv
      a1i 3eqtr4a adantlr mpteq12dva df-cur eqtr4di eqtr2d ) ACBUCHZDIZBUAUBZJZ
      DEAEKZDLZMZDUDZUEZWIEAWFDWGWHUFNWIWLEWMOZOZWJFKZUGZGKZWMUHZFGPZMWNWIEAWKW
      PXAWIWPAWGWHWPABVGZOAWGWOXBWGXBCWMABCDUIZUJZUKABULUMUNWGWJAQZWKXARWHWGXEJ
      ZFBWQWKLZMWQBQZWSXGRZJZFGPWKXAFGBXGUPXFFBCWKXFWKWFQBCWKIAWFWJDUOWKCBUQVHN
      XFWTXJFGXFWTWRWOQZWRWMLZWSRZJZXJWGWTXNSZXEWGXBCWMIWMURXOXCXBCWMUSWRWSWMUT
      VAVBXFXKXHXMXIWGXKWRXBQZXEXHWGWOXBWRXDVCXPXEXHWJWQABVDVEVFXMXISXFXMXGWSRX
      IXLXGWSWJWQWMHZXLXGWJWQWMVIXQXGREFWJWQDTTVJVKVLVMXGWSVNVOVSVPVQVRVTWAWBEF
      GWMWCWDWE $.

    $( Uncurrying of currying.  (Contributed by Brendan Leahy, 5-Jun-2021.) $)
    unccur $p |- ( ( F : ( A X. B ) --> C /\ B e. ( V \ { (/) } ) /\
      C e. W ) -> uncurry curry F = F ) $=
      ( vx vy vz wf wcel w3a cv co cfv coprab wa wceq wb sylan cxp c0 cdif ccur
      csn cunc cmpo wbr wfn ffn anim1i 3adant3 3anass curfv sylanbr an32s eqcom
      eqeq1d bitrdi cmap curf ffvelrnda elmapfn syl fnbrfvb anasss ibar 3bitr3d
      adantl cdm cop df-br elfvdm sylbi fdm eleq2d biimpa sylan2 ffvelrn elmapi
      wn 3syl vex breldm eleq2 syl2an mpdan jca stoic1a simpl 2falsed pm2.61dan
      con3i oprabbidv df-unc df-mpo 3eqtr4g fnov sylib 3ad2ant1 eqtr4d ) ABUAZC
      DJZBEUBUEUCZKZCFKZLZDUDZUFZGHABGMZHMZDNZUGZDXGXKIMZXJXHOZUHZGHIPXJAKZXKBK
      ZQZXNXLRZQZGHIPXIXMXGXPYAGHIXGXSXPYASXGXSQXKXOOZXNRZXTXPYAXGDXBUIZXEQZXSY
      CXTSXCXEYEXFXCYDXEXBCDUJZUKULYEXSQZYCXLXNRXTYGYBXLXNYDXSXEYBXLRZYDXSQYDXQ
      XRLXEYHYDXQXRUMXJXKDABXDUNUOUPURXLXNUQUSTXGXQXRYCXPSZXGXQQZXOBUIZXRYIYJXO
      CBUTNZKZYKXGAYLXJXHABCDEFVAZVBXOCBVCVDBXKXNXOVETVFXSXTYASXGXSXTVGVIVHXGXS
      WAZQXPYAXGXPXSXGAYLXHJZXPXSYNYPXPQZXQXRXPYPXJXHVJZKZXQXPXKXNVKZXOKYSXKXNX
      OVLYTXJXHVMVNYPYSXQYPYRAXJAYLXHVOVPVQVRZYQXQXRUUAYPXQXPXRYPXQQZXOVJZBRZXK
      UUCKZXRXPUUBYMBCXOJUUDAYLXJXHVSXOCBVTBCXOVOWBXKXNXOHWCIWCWDUUDUUEXRUUCBXK
      WEVQWFUPWGWHTWIYOYAWAXGYAXSXSXTWJWMVIWKWLWNGHIXHWOGHIABXLWPWQXCXEDXMRZXFX
      CYDUUFYFGHABDWRWSWTXA $.
  $}

  ${
    $d a b x y A $.  $d a b x y B $.  $d a b x C $.
    $( Theorem related to pigeonhole principle.  (Contributed by Brendan Leahy,
       21-Aug-2020.) $)
    phpreu $p |- ( ( A e. Fin /\ A ~~ B ) -> ( A. x e. A E. y e. B x = C <->
      A. x e. A E! y e. B x = C ) ) $=
      ( vb va cfn wcel cen wbr wa cv wrex wral wmo wal syl nfcv cdom wf1 wfo wf
      wceq wrmo wreu crab cmpt wf1o wi eleq1 biimpac rabid simplbi2com impancom
      ancrd expimpd reximdv2 ralimia wb simplbi pm4.71rd copab cop df-mpt breqi
      df-br opabidw 3bitri bitr4di sylan2 rexbidva ralbiia breq2 rexbidv nfrab1
      weq nfmpt1 nfbr nfv breq1 cbvrexfw bitrdi cbvralvw bitr4i sylib csb nfcri
      nfcsb1v nfeq2 csbeq1a eqeq2d anbi12d cbvopab1 3eqtr4i nfel1 eleq1d elrabf
      simprbi fmpti jctil dffo4 sylibr adantl cvv relen brrelex2i ssrab2 ssdomg
      nfan mpisyl ensym domentr syl2anc ad2antlr enfi rabfi fodomfi syl2an sbth
      wss simpll fofinf1o syl3anc f1of1 dff12 mobidv cbvmow cbvalvw mormo alimi
      alral 4syl rmobidva ex pm4.71d reu5 ralbii r19.26 bitri ) CHIZCDJKZLZAMZE
      UDZBDNZACOZUUGUUEBDUEZACOZLZUUEBDUFZACOZUUCUUGUUIUUCUUGUUIUUCUUGLZBMZUUDB
      ECIZBDUGZEUHZKZBDUEZACOZUUIUUMUUPCUUQUAZUURBPZAQZUUSAQUUTUUMUUPCUUQUIZUVA
      UUMUUPCUUQUBZUUPCJKZUUAUVDUUGUVEUUCUUGUUPCUUQUCZFMZGMZUUQKZFUUPNZGCOZLUVE
      UUGUVLUVGUUGUUEBUUPNZACOZUVLUUFUVMACUUDCIZUUEUUEBDUUPUVOUUNDIZUUEUUNUUPIZ
      UUELZUVOUVPLZUUEUVQUVOUUEUVPUVQUVOUUELUUOUVPUVQUJUUEUVOUUOUUDECUKULUVQUVP
      UUOUUOBDUMZUNRUOZUPUQURUSUVNUURBUUPNZACOUVLUVMUWBACUVOUUEUURBUUPUVQUVOUVP
      UUEUURUTUVQUVPUUOUVTVAUVSUUEUVRUURUVSUUEUVQUWAVBUURUUNUUDUVRBAVCZKUUNUUDV
      DUWCIUVRUUNUUDUUQUWCBAUUPEVEZVFUUNUUDUWCVGUVRBAVHVIVJZVKVLVMUVKUWBGACGAVQ
      ZUVKUVHUUDUUQKZFUUPNUWBUWFUVJUWGFUUPUVIUUDUVHUUQVNZVOUWGUURFBUUPFUUPSUUOB
      DVPZBUVHUUDUUQBUVHSZBUUPEVRBUUDSVSZUURFVTZUVHUUNUUDUUQWAZWBWCWDWEWFFUUPCB
      UVHEWGZUUQUWCUVHUUPIZUUDUWNUDZLZFAVCUUQFUUPUWNUHUVRUWQBAFUVRFVTUWOUWPBBFU
      UPUWIWHBUUDUWNBUVHEWIZWJXJBFVQZUVQUWOUUEUWPUUNUVHUUPUKUWSEUWNUUDBUVHEWKZW
      LWMWNUWDFAUUPUWNVEWOUWOUVHDIUWNCIZUUOUXABUVHDUWJBDSBUWNCUWRWPUWSEUWNCUWTW
      QWRWSWTXAFGUUPCUUQXBXCZXDUUMUUPCTKZCUUPTKZUVFUUBUXCUUAUUGUUBUUPDTKZDCJKUX
      CUUBDXEIUUPDYAUXECDJXFXGUUOBDXHUUPDXEXIXKCDXLUUPDCXMXNXOUUCUUPHIZUVEUXDUU
      GUUCDHIZUXFUUBUUAUXGCDXPULUUOBDXQRUXBUUPCUUQXRXSUUPCXTXNUUAUUBUUGYBUUPCUU
      QYCYDUUPCUUQYERUVAUVJFPZGQZUVCUVAUVGUXIFGUUPCUUQYFWSUXHUVBGAUWFUXHUWGFPUV
      BUWFUVJUWGFUWHYGUWGUURFBUWKUWLUWMYHWCYIWFUVBUUSAUURBDYJYKUUSACYLYMUUHUUSA
      CUVOUUEUURBDUWEYNVMXCYOYPUULUUFUUHLZACOUUJUUKUXJACUUEBDYQYRUUFUUHACYSYTVJ
      $.
  $}

  ${
    $d u v w x y z A $.  $d u v w y z B $.
    $( A finite Cartesian product of numerable sets is numerable.  (Contributed
       by Brendan Leahy, 24-Feb-2019.) $)
    finixpnum $p |- ( ( A e. Fin /\ A. x e. A B e. dom card ) ->
      X_ x e. A B e. dom card ) $=
      ( vw vy vz vu vv wcel wral cixp cv wi c0 wa wceq eleq1d cfv wfn adantl wb
      cfn ccrd cdm csn csb cun raleq ixpeq1 ixp0x eqtrdi imbi12d weq ralunb cvv
      vex wsbc ralsnsg sbcel1g bitrd ax-mp anbi2i bitri bitrdi snfi finnum mp1i
      wel wn pm2.27 cxp c1st c2nd cop cmpt wfo xpnum ancoms wf wrex xp1st ixpfn
      cin fvex fnsn jctir disjsn biimpri fnun syl2anr elixp sylib fvun1 anassrs
      mp3an2 biimprd ralimdva impr syl2an vsnid fvun2 csbfv fvsn eqcomi 3eqtr4g
      xp2nd eqeltrd sbcel12 sylibr ralun syl2anc snex unex sylanbrc fmpttd cres
      syl wss ssun1 fnssres sylancl ssralv fvres sylbi resex ssun2 sselii fvixp
      ralimia csbeq1 mpan2 nfcv nfcsb1v csbeq1a cbvixp eleq2s cdif disj3 sylbb1
      opelxpi difun2 eqtr4di reseq2d uneq1d adantr op1std op2ndd opeq2d uneq12d
      sneqd fvmpt fnsnsplit 3eqtr4rd fveq2 rspceeqv ralrimiva dffo3 fonum syl9r
      eqid expr expimpd ancomsd com23 findcard2s imp ) BUBICUCUDZIZABJZABCKZUVG
      IZUVHADLZJZAUVLCKZUVGIZMUVHANJZNUEZUVGIZMUVHAELZJZAUVSCKZUVGIZMZUVTAFLZCU
      FZUVGIZOZAUVSUWDUEZUGZCKZUVGIZMZUVIUVKMDEFBUVLNPZUVMUVPUVOUVRUVHAUVLNUHUW
      MUVNUVQUVGUWMUVNANCKUVQAUVLNCUIACUJUKQULDEUMZUVMUVTUVOUWBUVHAUVLUVSUHUWNU
      VNUWAUVGAUVLUVSCUIQULUVLUWIPZUVMUWGUVOUWKUWOUVMUVHAUWIJZUWGUVHAUVLUWIUHUW
      PUVTUVHAUWHJZOUWGUVHAUVSUWHUNUWQUWFUVTUWDUOIZUWQUWFUAFUPZUWRUWQUVHAUWDUQU
      WFUVHAUWDUOURAUWDCUVGUOUSUTVAVBVCVDUWOUVNUWJUVGAUVLUWICUIQULUVLBPZUVMUVIU
      VOUVKUVHAUVLBUHUWTUVNUVJUVGAUVLBCUIQULUVQUBIUVRUVPNVEUVQVFVGFEVHVIZUWCUWL
      MUVSUBIUXAUWGUWCUWKUXAUWFUVTUWCUWKMZUXAUWFUVTUXBUVTUWCUWBUXAUWFOUWKUVTUWB
      VJUXAUWFUWBUWKUWFUWBOUWAUWEVKZUVGIZUXCUWJDUXCUVLVLRZUWDUVLVMRZVNZUEZUGZVO
      ZVPZUWKUXAUWBUWFUXDUWAUWEVQVRUXAUXCUWJUXJVSGLZHLZUXJRZPHUXCVTZGUWJJUXKUXA
      DUXCUXIUWJUXAUVLUXCIZOZUXIUWISZALZUXIRZCIZAUWIJZUXIUWJIUXPUXEUVSSZUXHUWHS
      ZOUVSUWHWCNPZUXRUXAUXPUYCUYDUXPUXEUWAIZUYCUVLUWAUWEWAZAUVSCUXEWBXQZUWDUXF
      UWSUVLVMWDZWEZWFUYEUXAUVSUWDWGZWHZUVSUWHUXEUXHWIWJUXQUYAAUVSJZUYAAUWHJZUY
      BUXAUYEUYCUXSUXERZCIZAUVSJZOZUYMUXPUYLUXPUYFUYRUYGAUVSCUXEUVLVLWDZWKWLUYE
      UYCUYQUYMUYCUYEUYQUYMMUYCUYEOZUYPUYAAUVSUYTAEVHZOZUYAUYPVUBUXTUYOCUYCUYEV
      UAUXTUYOPZUYCUYDUYEVUAOVUCUYJUVSUWHUXEUXHUXSWMWOWNQWPWQVRWRWSUXQAUWDUXTUF
      ZUWEIZUYNUXQVUDUXFUWEUXQUWDUXIRZUWDUXHRZVUDUXFUXPUYCUYEUWDUWHIZOZVUFVUGPZ
      UXAUYHUXAUYEVUHUYLFWTZWFUYCUYDVUIVUJUYJUVSUWHUXEUXHUWDXAWOWJAUWDUXIXBVUGU
      XFUWDUXFUWSUYIXCXDXEUXPUXFUWEIUXAUVLUWAUWEXFTXGUYNUYAAUWDUQZVUEUWRUYNVULU
      AUWSUYAAUWDUOURVAAUWDUXTCXHVCXIUYAAUVSUWHXJXKAUWICUXIUXEUXHUYSUXGXLXMWKXN
      XOUXAUXOGUWJUXAUXLUWJIZOZUXLUVSXPZUWDUXLRZVNZUXCIZUXLVUQUXJRZPUXOVUMVURUX
      AVUMVUOUWAIZVUPUWEIZVURVUMVUOUVSSZUXSVUORZCIZAUVSJZVUTVUMUXLUWISZUVSUWIXR
      ZVVBAUWICUXLWBZUVSUWHXSZUWIUVSUXLXTYAVUMVVFUXSUXLRZCIZAUWIJZOVVEAUWICUXLG
      UPZWKVVLVVEVVFVVLVVKAUVSJZVVEVVGVVLVVNMVVIVVKAUVSUWIYBVAVVKVVDAUVSVUAVVDV
      VKVUAVVCVVJCUXSUVSUXLYCQWPYIXQTYDAUVSCVUOUXLUVSVVMYEZWKXNVVAUXLDUWIAUVLCU
      FZKZUWJUXLVVQIUWDUWIIZVVAUWHUWIUWDUWHUVSYFVUKYGZDUWIVVPUWDUWEUXLAUVLUWDCY
      JYHYKADUWICVVPDCYLAUVLCYMAUVLCYNYOYPVUOVUPUWAUWEYTXKZTVUNVUOUWDVUPVNZUEZU
      GZUXLUWIUWHYQZXPZVWBUGZVUSUXLUXAVWCVWFPVUMUXAVUOVWEVWBUXAUVSVWDUXLUXAUVSU
      VSUWHYQZVWDUYEUXAUVSVWGPUYKUVSUWHYRYSUVSUWHUUAUUBUUCUUDUUEVUMVUSVWCPZUXAV
      UMVURVWHVVTDVUQUXIVWCUXCUXJUVLVUQPZUXEVUOUXHVWBVUOVUPUVLVVOUWDUXLWDZUUFVW
      IUXGVWAVWIUXFVUPUWDVUOVUPUVLVVOVWJUUGUUHUUJUUIUXJUUTVUOVWBVVOVWAXLXMUUKXQ
      TVUMUXLVWFPZUXAVUMVVFVVRVWKVVHVVSUWIUXLUWDUULYATUUMHVUQUXCUXNVUSUXLUXMVUQ
      UXJUUNUUOXKUUPHGUXCUWJUXJUUQXNUXCUWJUXJUURWJUVAUUSUVBUVCUVDTUVEUVF $.
  $}

  ${
    $d u v w x y z A $.  $d u v w x y z R $.
    $( Lemma for ~ fin2so .  (Contributed by Brendan Leahy, 29-Jun-2019.) $)
    fin2solem $p |- ( ( R Or x /\ ( y e. x /\ z e. x ) ) ->
      ( y R z -> { w e. x | w R y } [C.] { w e. x | w R z } ) ) $=
      ( cv wor wel wa wbr crab crpss wss wne wi w3a ancom wcel breq1 elrab sotr
      3anass bitr4i sylan2b anassrs ancomsd expdimp ss2rabdv wn biimpri adantll
      an32s sonr simprbi nsyl adantr nelne1 necomd syl2anc adantlrr wpss brrpss
      vex rabex df-pss bitri sylanbrc ex ) AFZEGZBAHZCAHZIZIZBFZCFZEJZDFZVOEJZD
      VIKZVRVPEJZDVIKZLJZVNVQIZVTWBMZVTWBNZWCWDVSWADVIVNDAHZVQVSWAOVNWGIZVQVSWA
      WHVSVQWAVJVMWGVSVQIWAOZVMWGIZVJWGVKVLPZWIWJWGVMIWKVMWGQWGVKVLUBUCVIVRVOVP
      EUAUDUEUFUGULUHVJVKVQWFVLVJVKIZVQIVOWBRZVOVTRZUIZWFVKVQWMVJWMVKVQIWAVQDVO
      VIVRVOVPESTUJUKWLWOVQWLVOVOEJZWNVIVOEUMWNVKWPVSWPDVOVIVRVOVOESTUNUOUPWMWO
      IWBVTVOWBVTUQURUSUTWCVTWBVAWEWFIVTWBWADVIAVCVDVBVTWBVEVFVGVH $.

    $( Any totally ordered Tarski-finite set is finite; in particular, no
       amorphous set can be ordered.  Theorem 2 of [[Levy58]] p. 4.
       (Contributed by Brendan Leahy, 28-Jun-2019.) $)
    fin2so $p |- ( ( A e. Fin2 /\ R Or A ) -> A e. Fin ) $=
      ( vz vx vy vv vw vu wcel wa cv wss c0 wbr wral wi wceq crpss cvv sylibr
      cfin2 wor ccrd cdm cfn wwe wex cxp cin wfr wne wn wrex wal crab cmpt cint
      crn cpw simplll ssrab2 sstr mpan elpw2g biimpar sylan2 ralrimivw wb rabex
      vex rgenw eleq1 ralrnmptw ax-mp dfss3 adantlr adantr dmmpti neeq1i dm0rn0
      eqid necon3bii sylbb1 adantl soss impcom wpo porpss a1i weq w3o wel solin
      fin2solem breq2 rabbidv ancom2s 3orim123d ralrimivva breq1 eqeq1 r19.21bi
      mpd 3orbi123d ralbidv cbvmptv eqeq2 anasss issod fin2i2 syl22anc elrnmpti
      syl adantll sylib ssel2 sonr anassrs elrab simplbi2 ad2antlr elint2 eleq2
      bitri eleq2d rspcv simprbi syl6 syl5bi imbi1d syl5ibcom imp syld adantlll
      mtod ex ralrimdva reximdva 3syl syldan alrimiv df-fr simpr df-we sylanbrc
      weinxp sqxpexg incom inex1g eqeltrid weeq1 spcegv cfin7 cfin5 cfin6 cfin3
      expl ween cfin4 fin23 fin34 fin45 fin56 fin67 fin71num biimpac sylan ) AU
      AIZABUBZAUCUDIZAUEIZUVHUVIJZACKZUFZCUGZUVJUVHUVIABAAUHZUIZUFZUVOUVLABUFZU
      VRUVLABUJZUVIUVSUVLDKZALZUWAMUKZJUVMEKZBNZULZCUWAOZEUWAUMZPZDUNUVTUVLUWID
      UVLUWBUWCUWHUVLUWBJZUWCJZFUWAGKZFKZBNZGUWAUOZUPZURZUQZUWLUWDBNZGUWAUOZQZE
      UWAUMZUWHUWKUWRUWQIZUXBUWKUVHUWQAUSZLZUWQMUKZUWQRUBZUXCUVHUVIUWBUWCUTUWJU
      XEUWCUVHUWBUXEUVIUVHUWBJZUWDUXDIZEUWQOZUXEUXHUWOUXDIZFUWAOZUXJUXHUXKFUWAU
      WBUVHUWOALZUXKUWOUWALUWBUXMUWNGUWAVAUWOUWAAVBVCUVHUXKUXMUWOAUAVDVEVFVGUWO
      SIZFUWAOZUXJUXLVHUXNFUWAUWNGUWADVJZVIZVKZUXIUXKFEUWAUWOUWPSUWPWAZUWDUWOUX
      DVLVMVNTEUWQUXDVOTVPVQUWCUXFUWJUWPUDZMUKUWCUXFUXTUWAMFUWAUWOUWPUXQUXSVRVS
      UXTMUWQMUWPVTWBWCWDUWJUXGUWCUVIUWBUXGUVHUVIUWBJZUWABUBZUXGUWBUVIUYBUWAABW
      EWFUYBHCUWQRUWQRWGUYBUWQWHWIUYBHKZUWQIZUVMUWQIUYCUVMRNZHCWJZUVMUYCRNZWKZU
      YBUYDJZUYHCUWQUYIUYCUWTRNZUYCUWTQZUWTUYCRNZWKZEUWAOZUYHCUWQOZUYBUYNHUWQUY
      BUWOUWTRNZUWOUWTQZUWTUWORNZWKZEUWAOZFUWAOZUYNHUWQOZUYBUYSFEUWAUWAUYBFDWLZ
      EDWLZJJZUWMUWDBNZFEWJZUWDUWMBNZWKUYSUWAUWMUWDBWMVUEVUFUYPVUGUYQVUHUYRDFEG
      BWNVUGUYQPVUEVUGUWNUWSGUWAUWMUWDUWLBWOWPZWIUYBVUDVUCVUHUYRPDEFGBWNWQWRXCW
      SUXOVUBVUAVHUXRUYNUYTFHUWAUWOUWPSUXSUYCUWOQZUYMUYSEUWAVUJUYJUYPUYKUYQUYLU
      YRUYCUWOUWTRWTUYCUWOUWTXAUYCUWOUWTRWOXDXEVMVNTXBUWTSIZEUWAOUYOUYNVHVUKEUW
      AUWSGUWAUXPVIZVKUYHUYMECUWAUWTUWPSFEUWAUWOUWTVUIXFZUVMUWTQUYEUYJUYFUYKUYG
      UYLUVMUWTUYCRWOUVMUWTUYCXGUVMUWTUYCRWTXDVMVNTXBXHXIXMXNVQAUWQXJXKEUWAUWTU
      WRUWPVUMVULXLXOUWJUXBUWHPZUWCUVIUWBVUNUVHUYAUXAUWGEUWAUYAVUDJZUXAUWFCUWAV
      UOCDWLZJZUXAUWFVUQUXAJUWEUVMUVMBNZVUQVURULZUXAUYAVUPVUSVUDUVIUWBVUPVUSUWB
      VUPJUVIUVMAIVUSUWAAUVMXPAUVMBXQVFXRVPVQVUDVUPUXAUWEVURPUYAVUDVUPJZUXAJUWE
      UVMUWTIZVURVUPUWEVVAPVUDUXAVVAVUPUWEUWSUWEGUVMUWAUWLUVMUWDBWTXSXTYAVUTUXA
      VVAVURPZVUTUVMUWRIZVURPUXAVVBVVCUVMUWOIZFUWAOZVUTVURVVCCEWLZEUWQOZVVEEUVM
      UWQCVJYBUXOVVGVVEVHUXRVVFVVDFEUWAUWOUWPSUXSUWDUWOUVMYCVMVNYDVUPVVEVURPVUD
      VUPVVEUVMUWLUVMBNZGUWAUOZIZVURVVDVVJFUVMUWAFCWJZUWOVVIUVMVVKUWNVVHGUWAUWM
      UVMUWLBWOWPYEYFVVJVUPVURVVHVURGUVMUWAUWLUVMUVMBWTXSYGYHWDYIUXAVVCVVAVURUW
      RUWTUVMYCYJYKYLYMYNYOYPYQYRXNVQXCUUQUUADECABUUBTUVHUVIUUCABUUDUUEABUUFXOU
      VHUVRUVOUVHUVPSIZUVQSIUVRUVOPAUAUUGVVLUVQUVPBUISBUVPUUHUVPBSUUIUUJUVNUVRC
      UVQSAUVMUVQUUKUULYSYLYTACUURTUVHAUUMIZUVJUVKUVHAUUNIZAUUOIVVMUVHAUUPIAUUS
      IVVNAUUTAUVAAUVBYSAUVCAUVDYSUVJVVMUVKAUVEUVFUVGYT $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Theorem to move the floor function across a strict inequality.
       (Contributed by Brendan Leahy, 25-Oct-2017.) $)
    ltflcei $p |- ( ( A e. RR /\ B e. RR ) -> ( ( |_ ` A ) < B <->
        A < -u ( |_ ` -u B ) ) ) $=
      ( vx cr wcel wa clt wbr cle c1 caddc co wceq cz syl wi adantl wb adantr
      cc cfl cneg flltp1 ad3antrrr cv crio renegcl flval ad3antlr fllep1 reflcl
      peano2re letr mpd3an3 mpan2d leneg sylan2 sylibd ancoms ltneg sylan recnd
      ax-1cn cmin negdi2 oveq1d negcl npcan eqtr2d sylancl breq2d bitrd anim12d
      cfv biimpd ancomsd impl wreu peano2zd znegcld rebtwnz breq1 oveq1 anbi12d
      flcl riota2 syl2an ad2antrr mpbid eqtrd zcnd flcld negcon2 mpbird breqtrd
      peano2cn ex ltnle ceige ceicl zred ltletr sylbird pm2.61d ceim1l ltleletr
      peano2rem 3com13 mpand biimprd peano2zm syl2anr eqbrtrd flle lelttr 3coml
      wn impbida ) ADEZBDEZFZAUAVNZBGHZABUBZUAVNZUBZGHZYAYCFZBAIHZYGYHYIYGYHYIF
      ZAYBJKLZYFGXSAYKGHXTYCYIAUCUDYJYKYFMZYEYKUBZMZYJYECUEZYDIHZYDYOJKLZGHZFZC
      NUFZYMXTYEYTMZXSYCYIXTYDDEZUUABUGZCYDUHOUIYJYMYDIHZYDYMJKLZGHZFZYTYMMZYAY
      CYIUUGYAYIYCUUGYAYIUUDYCUUFXTXSYIUUDPXTXSFZYIBYKIHZUUDUUIYIAYKIHZUUJXSUUK
      XTAUJQXTXSYKDEZYIUUKFUUJPXSUULXTXSYBDEZUULAUKZYBULOZQBAYKUMUNUOXSXTUULUUJ
      UUDRUUOBYKUPUQURUSYAYCUUFYAYCYDYBUBZGHZUUFXSUUMXTYCUUQRUUNYBBUTVAXSUUQUUF
      RXTXSUUPUUEYDGXSYBTEZJTEZUUPUUEMXSYBUUNVBVCUURUUSFZUUEUUPJVDLZJKLZUUPUUTY
      MUVAJKYBJVEVFUURUUPTEUUSUVBUUPMYBVGUUPJVHVAVIVJVKSVLVOVMVPVQYAUUGUUHRZYCY
      IXSYMNEYSCNVRZUVCXTXSYKXSYBAWEZVSVTXTUUBUVDUUCCYDWAOYSUUGCNYMYOYMMZYPUUDY
      RUUFYOYMYDIWBUVFYQUUEYDGYOYMJKWCVKWDWFWGWHWIWJYAYLYNRZYCYIXSYKTEZYETEUVGX
      TXSUURUVHXSYBUVEWKYBWPOXTYEXTYDUUCWLWKYKYEWMWGWHWNWOWQYAYIXQZYGPYCYAUVIAB
      GHZYGABWRZYAUVJBYFIHZYGXTUVLXSBWSQXSXTYFDEZUVJUVLFYGPXTUVMXSXTYFBWTZXAZQA
      BYFXBUNUOXCSXDYAYGFZYIYCUVPYIYCUVPYIFZYBYFJVDLZBGUVQYBYOAIHZAYQGHZFZCNUFZ
      UVRXSYBUWBMXTYGYICAUHUDUVQUVRAIHZAUVRJKLZGHZFZUWBUVRMZYAYGYIUWFYAYIYGUWFY
      AYIUWCYGUWEYAUVRBGHZYIUWCXTUWHXSBXEZQXSXTUVRDEZUWHYIFUWCPZXTUWJXSXTUVMUWJ
      UVOYFXGOQUWJXTXSUWKUVRBAXFXHUNXIXTYGUWEPXSXTUWEYGXTUWDYFAGXTYFTEUUSUWDYFM
      XTYFUVNWKVCYFJVHVJVKXJQVMVPVQYAUWFUWGRZYGYIXTUVRNEZUWACNVRUWLXSXTYFNEUWMU
      VNYFXKOCAWAUWAUWFCNUVRYOUVRMZUVSUWCUVTUWEYOUVRAIWBUWNYQUWDAGYOUVRJKWCVKWD
      WFXLWHWIWJXTUWHXSYGYIUWIUIXMWQYAUVIYCPYGYAUVIUVJYCUVKYAYBAIHZUVJYCXSUWOXT
      AXNSXSXTUUMUWOUVJFYCPZXSUUMXTUUNSUUMXSXTUWPYBABXOXPUNXIXCSXDXR $.

    $( Theorem to move the floor function across a non-strict inequality.
       (Contributed by Brendan Leahy, 25-Oct-2017.) $)
    leceifl $p |- ( ( A e. RR /\ B e. RR ) ->
          ( -u ( |_ ` -u A ) <_ B <-> A <_ ( |_ ` B ) ) ) $=
      ( cr wcel wa cfl cfv clt wbr wn cle wb ltflcei ancoms notbid reflcl lenlt
      cneg sylan2 ceicl zred sylan 3bitr4rd ) ACDZBCDZEZBFGZAHIZJZBARFGRZHIZJZA
      UGKIZUJBKIZUFUHUKUEUDUHUKLBAMNOUEUDUGCDUMUILBPAUGQSUDUJCDUEUNULLUDUJATUAU
      JBQUBUC $.
  $}

  $( Half-angle rule for sine.  (Contributed by Brendan Leahy, 3-Aug-2018.) $)
  sin2h $p |- ( A e. ( 0 [,] ( 2 x. _pi ) ) -> ( sin ` ( A / 2 ) ) =
    ( sqrt ` ( ( 1 - ( cos ` A ) ) / 2 ) ) ) $=
    ( cc0 c2 cpi cmul co wcel cdiv cfv c1 ccos cmin cr sylancr cle wbr syl wceq
    cc 2cn cicc csin csqrt wss 0re 2re pire remulcli iccssre rehalfcld resincld
    mp2an sseli 1re recoscl resubcl cosbnd simprd subge0 halfnneg2 bitr3d mpbid
    cneg wb resqrtcld w3a elicc2i wa clt pm3.2i ledivmul mp3an23 bicomd anbi12d
    2pos cxr rehalfcl rexrd 0xr rexri elicc4 mp3an12 bitr4d biimpd 3impib sylbi
    sinq12ge0 sqrtge0d cexp recnd ax-1cn coscl subcl halfcld halfcl caddc sqcld
    sqsqrtd mulcom sylancl oveq2d mulid2i df-2 eqtri oveq1i eqtrdi subdir mulcl
    mp3an13 subsub3 3eqtr4d sincl pncand sincossq oveq1d cos2t wne 2ne0 divcan2
    eqtr3d fveq2d eqtrd sincld divcan4 3eqtr2rd sq11d ) ABCDEFZUAFZGZACHFZUBIZJ
    AKIZLFZCHFZUCIZYIYJYIAYHMABMGYGMGYHMUDUECDUFUGUHZBYGUIULUMZUJUKYIAMGZYOMGYQ
    YRYNYRYMYRJMGZYLMGZYMMGZUNAUOZJYLUPNZUJZYRYLJOPZBYNOPZYRJVCYLOPUUEAUQURYRBY
    MOPZUUEUUFYRYSYTUUGUUEVDUNUUBJYLUSNYRUUAUUGUUFVDUUCYMUTQVAVBZVEQYIYJBDUAFGZ
    BYKOPYIYRBAOPZAYGOPZVFUUIBYGAUEYPVGYRUUJUUKUUIYRUUJUUKVHZUUIYRUULBYJOPZYJDO
    PZVHZUUIYRUUJUUMUUKUUNAUTYRUUNUUKYRDMGCMGZBCVIPZVHUUNUUKVDUGUUPUUQUFVOVJADC
    VKVLVMVNYRYJVPGZUUIUUOVDZYRYJAVQVRBVPGDVPGUURUUSVSDUGVTBDYJWAWBQWCWDWEWFYJW
    GQYIYRBYOOPYQYRYNUUDUUHWHQYIASGZYKCWIFZYOCWIFZRYIAYQWJUUTUVBYNUVACEFZCHFZUV
    AUUTYNUUTYMUUTJSGZYLSGYMSGWKAWLJYLWMNWNWRUUTUVCYMCHUUTUVCJCYJEFZKIZLFZYMUUT
    YJSGZUVCUVHRAWOZUVIJYJKIZCWIFZLFZCEFZJCUVLEFZJLFZLFZUVCUVHUVIJCEFZUVLCEFZLF
    ZJJWPFZUVOLFZUVNUVQUVIUVTUVRUVOLFUWBUVIUVSUVOUVRLUVIUVLSGZCSGZUVSUVORUVIUVK
    YJWLWQZTUVLCWSWTXAUVRUWAUVOLUVRCUWACTXBXCXDXEXFUVIUWCUVNUVTRZUWEUVEUWCUWDUW
    FWKTJUVLCXGXIQUVIUVOSGZUVQUWBRZUVIUWDUWCUWGTUWECUVLXHNUVEUWGUVEUWHWKWKJUVOJ
    XJXIQXKUVIUVAUVMCEUVIUVAUVLWPFZUVLLFUVAUVMUVIUVAUVLUVIYKYJXLWQUWEXMUVIUWIJU
    VLLYJXNXOXTXOUVIUVGUVPJLYJXPXAXKQUUTUVGYLJLUUTUVFAKUUTUWDCBXQZUVFARTXRACXSV
    LYAXAYBXOUUTUVASGZUVDUVARZUUTYKUUTYJUVJYCWQUWKUWDUWJUWLTXRUVACYDVLQYEQYF $.

  $( Half-angle rule for cosine.  (Contributed by Brendan Leahy,
     4-Aug-2018.) $)
  cos2h $p |- ( A e. ( -u _pi [,] _pi ) -> ( cos ` ( A / 2 ) ) =
    ( sqrt ` ( ( 1 + ( cos ` A ) ) / 2 ) ) ) $=
    ( cpi co wcel c2 cdiv ccos cfv c1 caddc cr pire cc0 cle wbr wb wa wceq syl
    cc cneg csqrt wss renegcli iccssre mp2an rehalfcld recoscld readdcl sylancr
    cicc 1re cosbnd simpld recoscl cmin recn subneg addcom ancoms eqtr4d syl2an
    sseli breq2d renegcl subge0 halfnneg2 3bitr3d sylancl resqrtcld w3a elicc2i
    sylan2 mpbid clt 2re 2pos pm3.2i lediv1 mp3an13 wne picn 2ne0 divneg breq1i
    2cn mp3an bitr4di mp3an23 anbi12d cxr rehalfcl rexrd halfpire rexri mp3an12
    elicc4 bitr4d biimpd 3impib sylbi cosq14ge0 sqrtge0d cexp recnd cmul ax-1cn
    coscl addcl halfcld sqsqrtd fveq2d halfcl cos2t eqtr3d oveq2d oveq1d coscld
    divcan2 sqcld mulcl mpan pncan3 divcan3 eqtrd 3eqtrrd sq11d ) ABUAZBUKCZDZA
    EFCZGHZIAGHZJCZEFCZUBHZYJYKYJAYIKAYHKDZBKDZYIKUCBLUDZLYHBUEUFVCZUGUHYJYOYJY
    NYJIKDZYMKDZYNKDZULYJAYTUHIYMUIZUJUGZYJAKDZMYONOZYTUUFIUAZYMNOZUUGUUFUUIYMI
    NOAUMUNUUFUUBUUAUUIUUGPAUOULUUBUUAQZMYMUUHUPCZNOZMYNNOZUUIUUGUUJUUKYNMNUUBY
    MTDZITDZUUKYNRUUAYMUQIUQUUNUUOQUUKYMIJCZYNYMIURUUOUUNYNUUPRIYMUSUTVAVBVDUUA
    UUBUUHKDUULUUIPIVEYMUUHVFVMUUJUUCUUMUUGPUUAUUBUUCUUDUTYNVGSVHVIVNSZVJYJYKBE
    FCZUAZUURUKCDZMYLNOYJUUFYHANOZABNOZVKUUTYHBAYSLVLUUFUVAUVBUUTUUFUVAUVBQZUUT
    UUFUVCUUSYKNOZYKUURNOZQZUUTUUFUVAUVDUVBUVEUUFUVAYHEFCZYKNOZUVDYQUUFEKDZMEVO
    OZQZUVAUVHPYSUVIUVJVPVQVRZYHAEVSVTUUSUVGYKNBTDETDZEMWAZUUSUVGRWBWFWCBEWDWGW
    EWHUUFYRUVKUVBUVEPLUVLABEVSWIWJUUFYKWKDZUUTUVFPZUUFYKAWLWMUUSWKDUURWKDUVOUV
    PUUSUURWNUDWOUURWNWOUUSUURYKWQWPSWRWSWTXAYKXBSYJYOUUEUUQXCYJATDZYLEXDCZYPEX
    DCZRYJAYTXEUVQUVSYOIEUVRXFCZIUPCZJCZEFCZUVRUVQYOUVQYNUVQUUOUUNYNTDXGAXHIYMX
    IUJXJXKUVQYNUWBEFUVQYMUWAIJUVQEYKXFCZGHZYMUWAUVQUWDAGUVQUVMUVNUWDARWFWCAEXS
    WIXLUVQYKTDUWEUWARAXMZYKXNSXOXPXQUVQUVRTDZUWCUVRRUVQYLUVQYKUWFXRXTUWGUWCUVT
    EFCZUVRUWGUWBUVTEFUWGUUOUVTTDZUWBUVTRXGUVMUWGUWIWFEUVRYAYBIUVTYCUJXQUWGUVMU
    VNUWHUVRRWFWCUVREYDWIYESYFSYG $.

  $( Half-angle rule for tangent.  (Contributed by Brendan Leahy,
     4-Aug-2018.) $)
  tan2h $p |- ( A e. ( 0 [,) _pi ) -> ( tan ` ( A / 2 ) ) =
    ( sqrt ` ( ( 1 - ( cos ` A ) ) / ( 1 + ( cos ` A ) ) ) ) ) $=
    ( cc0 cpi co wcel c2 cdiv cfv c1 cc wceq cr cxr pire cle wbr clt wb wa syl
    cico ctan ccos cmin csqrt caddc wne wss 0re rexri icossre mp2an sseli recnd
    csin halfcld cre cneg cioo rehalfcld rered w3a elico2 pipos lt0neg2 mpbi wi
    ax-mp renegcli ltletr mp3an12 mpani 2re 2pos pm3.2i ltdiv1 mp3an13 picn 2cn
    divneg mp3an breq1i bitr4di sylibd mp3an23 biimpd anim12d rehalfcl halfpire
    2ne0 rexrd elioo5 sylibrd 3impib sylbi eqeltrd cosne0 syl2anc cmul cicc 0xr
    tanval elico1 1lt2 ltmulgt12 xrlttr mp3an2 mpan2i xrltle syld anim2d elicc4
    remulcli mpan2 sin2h ltleii le0neg2 xrletr cos2h oveq12d eqtrd 1re recoscld
    resubcl sylancr cosbnd simprd recoscl subge0 halfnneg2 bitr3d mpbid readdcl
    sylancl coscld ax-1cn eqtr4di a1i cexp sqcld simpld subneg addcom breq2d wo
    recn csn cun snunioo eleq2i elun bitr3i elsni fveq2 cos0 eqtrdi oveq2d df-2
    eqnetrd sinq12gt0 ltne mpan elioore oveq1 df-neg eqeq1i coscl subadd syl5bb
    sincl 0cnd addcan2d sincossq neg1sqe1 addid2d eqeq12d sqeq0 3bitr3d 3imtr3d
    0cn necon3d syl5 jaoi ne0gt0d elrpd rphalfcld sqrtdivd subcl 2cnne0 divcan7
    mpd addcl mp3an3 syl12anc fveq2d 3eqtr2d ) ABCUADZEZAFGDZUBHZIAUCHZUDDZFGDZ
    UEHZIUXAUFDZFGDZUEHZGDZUXCUXFGDZUEHUXBUXEGDZUEHUWRUWTUWSUOHZUWSUCHZGDZUXHUW
    RUWSJEZUXLBUGZUWTUXMKUWRAUWRAUWQLABLEZCMEZUWQLUHUICNUJZBCUKULUMZUNZUPZUWRUX
    NUWSUQHZCFGDZURZUYCUSDZEUXOUYAUWRUYBUWSUYEUWRUWSUWRAUXSUTVAUWRALEZBAOPZACQP
    ZVBZUWSUYEEZUXPUXQUWRUYIRUIUXRBCAVCULUYFUYGUYHUYJUYFUYGUYHSZUYDUWSQPZUWSUYC
    QPZSZUYJUYFUYGUYLUYHUYMUYFUYGCURZAQPZUYLUYFUYOBQPZUYGUYPBCQPZUYQVDCLEZUYRUY
    QRNCVEVHVFUYOLEZUXPUYFUYQUYGSUYPVGCNVIZUIUYOBAVJVKVLUYFUYPUYOFGDZUWSQPZUYLU
    YTUYFFLEZBFQPZSZUYPVUCRVUAVUDVUEVMVNVOZUYOAFVPVQUYDVUBUWSQCJEFJEZFBUGZUYDVU
    BKVRVSWJCFVTWAWBWCWDUYFUYHUYMUYFUYSVUFUYHUYMRNVUGACFVPWEWFWGUYFUWSMEZUYJUYN
    RZUYFUWSAWHWKUYDMEUYCMEVUJVUKUYDUYCWIVIUJUYCWIUJUYDUYCUWSWLVKTWMWNWOWPUWSWQ
    WRUWSXBWRUWRUXKUXDUXLUXGGUWRABFCWSDZWTDEZUXKUXDKUWRAMEZUYGUYHVBZVUMBMEZUXQU
    WRVUORXAUXRBCAXCULZVUNUYGUYHVUMVUNUYKUYGAVULOPZSZVUMVUNUYHVURUYGVUNVULMEZUY
    HVURVGVULFCVMNXMUJZVUNVUTSZUYHAVULQPZVURVVBUYHCVULQPZVVCIFQPZVVDXDUYSVUDUYR
    VVEVVDRNVMVDCFXEWAVFVUNUXQVUTUYHVVDSVVCVGUXRACVULXFXGXHAVULXIXJXNXKVUPVUTVU
    NVUMVUSRXAVVABVULAXLVKWMWNWOAXOTUWRAUYOCWTDEZUXLUXGKUWRVUOVVFVUQVUNUYGUYHVV
    FVUNUYKUYOAOPZACOPZSZVVFVUNUYGVVGUYHVVHVUNUYOBOPZUYGVVGBCOPZVVJBCUINVDXPUYS
    VVKVVJRNCXQVHVFUYOMEZVUPVUNVVJUYGSVVGVGUYOVUAUJZXAUYOBAXRVKVLVUNUXQUYHVVHVG
    UXRACXIXNWGVVLUXQVUNVVFVVIRVVMUXRUYOCAXLVKWMWNWOAXSTXTYAUWRUXCUXFUWRUXBUWRI
    LEZUXALEZUXBLEZYBUWRAUXSYCZIUXAYDZYEUTUWRUYFBUXCOPZUXSUYFUXAIOPZVVSUYFIURZU
    XAOPZVVTAYFZYGUYFVVNVVOVVTVVSRYBAYHZVVNVVOSZBUXBOPZVVTVVSIUXAYIVWEVVPVWFVVS
    RVVRUXBYJTYKYEYLTUWRUXEUWRUXEUWRVVNVVOUXELEYBVVQIUXAYMYEZUWRUXEVWGUWRUYFBUX
    EOPZUXSUYFVWBVWHUYFVWBVVTVWCUUAUYFBUXAVWAUDDZOPZVWBVWHUYFVVOVWALEVWJVWBRVWD
    IYBVIUXAVWAYIYNUYFVWIUXEBOUYFUXAJEZIJEZVWIUXEKUYFAAUUFYOYPVWKVWLSVWIUXAIUFD
    UXEUXAIUUBUXAIUUCYAYNUUDYKYLTUWRABUUGZEZABCUSDZEZUUEZUXEBUGZUWRAVWMVWOUUHZE
    VWQVWSUWQAVUPUXQUYRVWSUWQKXAUXRVDBCUUIWAUUJAVWMVWOUUKUULVWNVWRVWPVWNABKZVWR
    ABUUMVWTUXEFBVWTUXEIIUFDFVWTUXAIIUFVWTUXABUCHIABUCUUNUUOUUPUUQUURYQVUIVWTWJ
    YRUUSTVWPBAUOHZQPZVWRAUUTVXBVXABUGZVWPVWRUXPVXBVXCUIBVXAUVAUVBVWPUXEBVXABVW
    PAJEZUXEBKZVXABKZVGVWPAABCUVCUNVXDVWAUXAKZVWAFYSDZUXAFYSDZKZVXEVXFVXGVXJVGV
    XDVWAUXAFYSUVDYRVXGBIUDDZUXAKZVXDVXEVWAVXKUXAIUVEUVFVXDVWKVXLVXERZAUVGZBJEV
    WLVWKVXMUVTYPBIUXAUVHVKTUVIVXDVXAFYSDZVXIUFDZBVXIUFDZKVXOBKZVXJVXFVXDVXOBVX
    IVXDVXAAUVJZYTVXDUVKVXDUXAVXNYTZUVLVXDVXPVXHVXQVXIVXDVXPIVXHAUVMUVNYQVXDVXI
    VXTUVOUVPVXDVXAJEVXRVXFRVXSVXAUVQTUVRUVSTUWAUWBUWKUWCWOZUWDUWEUWFUWGUWRUXIU
    XJUEUWRUXBJEZUXEJEZVWRUXIUXJKZUWRVWLVWKVYBYPUWRAUXTYOZIUXAUWHYEUWRVWLVWKVYC
    YPVYEIUXAUWLYEVYAVYBVYCVWRSVUHVUISVYDUWIUXBUXEFUWJUWMUWNUWOUWP $.

  ${
    $d k x F $.  $d k x W $.  $d k x X $.
    $( In a vector space, the union of an independent set and a vector not in
       its span is an independent set.  (Contributed by Brendan Leahy,
       4-Mar-2023.) $)
    lindsadd $p |- ( ( W e. LVec /\ F e. ( LIndS ` W ) /\ X e.
      ( ( Base ` W ) \ ( ( LSpan ` W ) ` F ) ) ) -> ( F u. { X } ) e.
        ( LIndS ` W ) ) $=
      ( vk vx wcel cfv cdif csn cun wss wn wral eqid wa syl2an adantr wb fveq2d
      wceq clvec clinds cbs clspn w3a cv cvsca co csca linds1 eldifi snssd unss
      c0g biimpi 3adant1 eldifn 3ad2ant3 ssdifssd 3ad2ant2 ad2antrr simpr clmod
      simpll1 lveclmod crg lmodring syl ringelnzr sylan ad2ant2rl simplr simprl
      cnzr lindsind2 syl211anc 3adantl3 eldifd clss lspsolv syl13anc ex cin wne
      eldif snssi lspss syl3an ad4ant124 lspsnid ad4ant13 sseldd expimpd 3impia
      c0 con3d syl3an3b eleq1 notbid syl5ibcom necon2ad imp disjsn2 disj3 sylib
      uneq2d difundir eqtr4di eleq2d adantrr simpl eldifsn adantl lspsnvs an42s
      sselda sseq1d 3ad2ant1 lspcl 3impb anim1i lmodvscl 3expa lspsnel5 sylanr2
      syl2an3an 3ad2antl2 3bitr4rd syl3anl3 bitrd difsnid ad2antrl 3imtr3d mtod
      ralrimivva difsn an32s sylan2b 3adantl2 3adant3 sylanl1 3bitr4d ralrimiva
      sylan2 simp3 mtbird oveq2 sneq difeq2d difun2 eqtrdi ralsng mpbird ralunb
      eleq12d ralbidv sylanbrc islinds2 mpbir2and ) BUAFZABUBGZFZCBUCGZABUDGZGZ
      HZFZUEZACIZJZUVAFZUVJUVCKZDUFZEUFZBUGGZUHZUVJUVNIZHZUVDGZFZLZDBUIGZUCGZUW
      BUNGZIZHZMZEUVJMZUVBUVGUVLUUTUVBAUVCKZUVIUVCKZUVLUVGUVCBAUVCNZUJZUVGCUVCC
      UVCUVEUKZULUWIUWJOUVLAUVIUVCUMUOZPUPUVHUWGEAMUWGEUVIMZUWHUVHUWAEDAUWFUVHU
      VNAFZUVMUWFFZOZOZUVTCUVEFZUVHUWTLZUWRUVGUUTUXAUVBCUVCUVEUQURZQUWSUVNAUVQH
      ZUVIJZUVDGZFZCUXCUVQJZUVDGZFZUVTUWTUWSUXFUXIUWSUXFOZUUTUXCUVCKZCUVCFZUVNU
      XEUXCUVDGZHFUXIUUTUVBUVGUWRUXFVDUVHUXKUWRUXFUVBUUTUXKUVGUVBAUVCUVQUWLUSUT
      VAUVHUXLUWRUXFUVGUUTUXLUVBUWMURVAUXJUVNUXEUXMUWSUXFVBUWSUVNUXMFLZUXFUUTUV
      BUWRUXNUVGUUTUVBOZUWROZBVCFZUWBVNFZUVBUWPUXNUUTUXQUVBUWRBVEZVAUUTUWQUXRUV
      BUWPUUTUWBVFFZUWQUXRUUTUXQUXTUXSUWBBUWBNZVGVHUWCUWBUVMUWDUWDNZUWCNZVIVJVK
      UUTUVBUWRVLUXOUWPUWQVMUVNAUVDUWBBUVDNZUYAVOVPVQQVRUXCBVSGZUVDUVCBUVNCUWKU
      YENZUYDVTWAWBUWSUXFUVNUVSFZUVTUVHUWPUXFUYGRUWQUVHUWPOZUXEUVSUVNUYHUXDUVRU
      VDUYHUXDUXCUVIUVQHZJUVRUYHUVIUYIUXCUYHUVIUVQWCWOTZUVIUYITUYHCUVNWDZUYJUVH
      UWPUYKUVHUWPCUVNUVHCAFZLZCUVNTZUWPLUVGUUTUVBUXLUXAOZUYMCUVCUVEWEUUTUVBUYO
      UYMUXOUXLUXAUYMUXOUXLOZUYLUWTUYPUYLUWTUYPUYLOUVIUVDGZUVECUUTUVBUYLUYQUVEK
      ZUXLUUTUXQUVBUWIUYLUVIAKUYRUXSUWLCAWFUVIAUVDUVCBUWKUYDWGWHWIUUTUXLCUYQFZU
      VBUYLUUTUXQUXLUYSUXSUVDUVCBCUWKUYDWJVJWKWLWBWPWMWNWQZUYNUYLUWPCUVNAWRWSWT
      XAXBCUVNXCVHUVIUVQXDXEXFAUVIUVQXGXHSXIXJUVGUUTUVBUXLUWRUYGUVTRUWMUUTUVBUX
      LUEZUWROUVPIUVDGZUVSKZUVQUVDGZUVSKZUVTUYGUUTUVBUWRVUCVUERUXLUXPVUBVUDUVSU
      UTUWQUVBUWPVUBVUDTZUUTUWQOUUTUVMUWCFZUVMUWDWDOZUVBUWPOZUVNUVCFZVUFUUTUWQX
      KUWQVUHUUTUWQVUHUVMUWCUWDXLZUOXMUVBAUVCUVNUWLXPZUVMUVOUWBUWCUVDUVCBUVNUWD
      UWKUYAUVONZUYCUYBUYDXNYFXOXQVQUWQVUAUWPVUGUVTVUCRUVMUWCUWEUKZVUAUWPVUGOZO
      UYEUVSUVDUVCBUVPUWKUYFUYDVUAUXQVUOUUTUVBUXQUXLUXSXRZQVUAUVSUYEFZVUOUUTUVB
      UXLVUQUUTUXQUVRUVCKVUQUVBUXLOZUXSVURUVJUVCUVQUVBUWIUWJUVLUXLUWLCUVCWFUWNP
      USUYEUVRUVDUVCBUWKUYFUYDXSPXTZQUUTUVBVUOUVPUVCFZUXLUUTVUGUVBUWPVUTUUTVUGO
      UXQVUGOVUJVUTVUIUUTUXQVUGUXSYAVULUXQVUGVUJVUTUVMUVOUWBUWCUVCBUVNUWKUYAVUM
      UYCYBYCPXOVQYDYEVUAUWPUYGVUERUWQVUAUWPOUYEUVSUVDUVCBUVNUWKUYFUYDVUAUXQUWP
      VUPQVUAVUQUWPVUSQUVBUUTUWPVUJUXLVULYGYDXJYHYIYJUWPUXIUWTRUVHUWQUWPUXHUVEC
      UWPUXGAUVDAUVNYKSXIYLYMYNYOUVHUWOUVMCUVOUHZAUVIHZUVDGZFZLZDUWFMZUVHVVEDUW
      FUVHUWQOZVVDUWTUVHUXAUWQUXBQVVGVVDVVAUVEFZUWTUVHVVDVVHRUWQUVHVVCUVEVVAUVH
      VVBAUVDUVHUYMVVBATUYTCAYPVHSXIQUVGUUTUVBUXLUWQVVHUWTRUWMVUAUWQOVVAIUVDGZU
      VEKZUYRVVHUWTUUTUXLUWQVVJUYRRUVBUUTUXLOZUWQOVVIUYQUVEUWQVVKVUHVVIUYQTZVUK
      UUTVUHUXLVVLUUTVUHUXLVVLUVMUVOUWBUWCUVDUVCBCUWDUWKUYAVUMUYCUYBUYDXNYCYQYR
      XQYSUWQVUAVUGVVHVVJRVUNVUAVUGOUYEUVEUVDUVCBVVAUWKUYFUYDVUAUXQVUGVUPQVUAUV
      EUYEFZVUGUUTUVBVVMUXLUUTUXQUWIVVMUVBUXSUWLUYEAUVDUVCBUWKUYFUYDXSPYTZQUUTU
      XLVUGVVAUVCFZUVBUUTUXQUXLVUGVVOUXSUXQVUGUXLVVOUXQVUGUXLVVOUVMUVOUWBUWCUVC
      BCUWKUYAVUMUYCYBYCYQUUAYSYDUUDVUAUWTUYRRUWQVUAUYEUVEUVDUVCBCUWKUYFUYDVUPV
      VNUUTUVBUXLUUEYDQUUBYIYJUUFUUCUVGUUTUWOVVFRUVBUWGVVFECUVFUVNCTZUWAVVEDUWF
      VVPUVTVVDVVPUVPVVAUVSVVCUVNCUVMUVOUUGVVPUVRVVBUVDVVPUVRUVJUVIHVVBVVPUVQUV
      IUVJUVNCUUHUUIAUVIUUJUUKSUUOWSUUPUULURUUMUWGEAUVIUUNUUQUUTUVBUVKUVLUWHORU
      VGEUVCUWBUVODUVJUVDUWCBUAUWDUWKVUMUYDUYAUYCUYBUURXRUUS $.
  $}

  ${
    $d f x y z I $.  $d f x y z R $.  $d f x y z X $.
    $( A linearly independent set in a free linear module of finite dimension
       over a division ring is smaller than the dimension of the module.
       (Contributed by Brendan Leahy, 2-Jun-2021.) $)
    lindsdom $p |- ( ( R e. DivRing /\ I e. Fin /\
      X e. ( LIndS ` ( R freeLMod I ) ) ) -> X ~<_ I ) $=
      ( vf vy vz vx cdr wcel cfn cfv wbr cv c0 cun wa eqid sylan syl 3adant3 co
      cfrlm clinds w3a cuvc crn cdom cen clss cmri cpw wrex cmrc cbs cmre clmod
      crg drngring frlmlmod lssmre csn cdif wral cacs clvec csca simpl eqeltrrd
      frlmsca islvec sylanbrc lssacsex simprd wss dif0 linds1 3ad2ant3 wf uvcff
      frnd sseqtrrdi wceq fveq2i clspn mrclsp fveq1d clbs frlmlbs eqtr3d syl5eq
      un0 lbssp sseqtrrd cnzr drngnzr adantr jca lindsind2 3expa sylanl1 eleq2d
      wn wb ad2antrr mtbid ralrimiva 3impa ismri2 syl2an eqeltrid wo simpr enfi
      mpbird uvcendim mpbid olcd mreexexd cvv ovex elpwi ssdomg endomtr syl2anr
      rnex mpsyl rexlimiva ensymd domentr syl2anc ) AHIZBJIZCABUBUAZUCKIZUDZCAB
      UEUAZUFZUGLZYQBUHLZCBUGLYOCDMZUHLZYTNOYMUIKZUJKZIZPZDYQUKZULYRYOEFUUBCYQN
      UUCUUBUMKZYMUNKZGDYKYLUUBUUHUOKIZYNYKYLPZYMUPIZUUIYKAUQIZYLUUKAURZAYMBJYM
      QZUSRZUUHUUBYMUUHQZUUBQZUTSZTUUGQZUUCQZYKYLEMZGMZFMVAOUUGKIFUVBUVAVAZOUUG
      KUVBUUGKVBVCEUUHVCGUUHUKVCZYNUUJUUBUUHVDKIZUVDUUJYMVEIZUVEUVDPUUJUUKYMVFK
      ZHIUVFUUOUUJAUVGHAYMBHJUUNVIZYKYLVGVHUVGYMUVGQZVJVKEFUUBUUGYMUUHGUUQUUSUU
      PVLSVMTYNYKCUUHNVBZVNYLUVJYMCUUHVOZVPVQYKYLYQUVJVNYNUUJYQUUHUVJUUJBUUHYPY
      KUULYLBUUHYPVRUUMUUHAYPBJYMYPQZUUNUUPVSRVTUVKWATYOCUUHYQNOZUUGKZYNYKCUUHV
      NZYLUUHYMCUUPVPZVQYKYLUVNUUHWBYNUUJUVNYQUUGKZUUHUVMYQUUGYQWKWCUUJYQYMWDKZ
      KZUVQUUHUUJYQUVRUUGUUJUUKUVRUUGWBUUOUUBUUGUVRYMUUQUVRQZUUSWESZWFUUJYQYMWG
      KZIZUVSUUHWBYKUULYLUWCUUMAYPYMBUWBJUUNUVLUWBQZWHRYQUWBUVRUUHYMUUPUWDUVTWL
      SWIWJTWMYOCNOCUUCCWKYOCUUCIZUVACUVCVBZUUGKZIZXBZECVCZYKYLYNUWJUUJYNPZUWIE
      CUWKUVACIZPUVAUWFUVRKZIZUWHUUJUUKUVGWNIZPZYNUWLUWNXBZUUJUUKUWOUUOUUJAUVGW
      NUVHYKAWNIZYLAWOZWPVHWQUWPYNUWLUWQUVACUVRUVGYMUVTUVIWRWSWTUUJUWNUWHXCYNUW
      LUUJUWMUWGUVAUUJUWFUVRUUGUWAWFXAXDXEXFXGYKYLYNUWEUWJXCZUUJUUIUVOUWTYNUURU
      VPEUUBCUUCUUGUUHUUSUUTXHXIXGXNXJYKYLCJIZYQJIZXKYNUUJUXBUXAUUJYLUXBYKYLXLU
      UJBYQUHLZYLUXBXCYKUWRYLUXCUWSAYPBJUVLXORZBYQXMSXPXQTXRUUEYRDUUFUUEUUAYTYQ
      UGLZYRYTUUFIZUUAUUDVGYQXSIUXFYTYQVNUXEYPABUEXTYEYTYQYAYTYQXSYBYFCYTYQYCYD
      YGSYKYLYSYNUUJBYQUXDYHTCYQBYIYJ $.

    $( A maximal linearly independent set in a free module of finite dimension
       over a division ring is a basis.  (Contributed by Brendan Leahy,
       2-Jun-2021.) $)
    lindsenlbs $p |- ( ( ( R e. DivRing /\ I e. Fin /\
        X e. ( LIndS ` ( R freeLMod I ) ) ) /\ X ~~ I ) ->
          X e. ( LBasis ` ( R freeLMod I ) ) ) $=
      ( vy vx vz cdr wcel cfn cfv wbr wa wceq wss eqid adantr wn cun cdif wral
      cfrlm co clinds w3a cen clspn cbs clbs simpl3 clmod crg drngring frlmlmod
      sylan linds1 lspssv syl2an 3impa cv csdm cdom bren2 simprbi csn wpss snfi
      simp2 lindsdom domfi syl2anc unfi sylancr vex snss lspssid sseld con3dimp
      wi syl5bir nsspssun sylib php3 adantrl simpl1 simpl2 cvsca csca c0g snssi
      3ad2ant3 unss biimpi syl2anr simpr difsn fveq2d neleqtrrd adantlr difsnid
      syl eleq2d notbid biimparc adantll clvec frlmsca eqeltrrd islvec sylanbrc
      simpl 3adant3 ad4antr ssdifssd simp-4r difundir equncomi elsni syl5ibrcom
      wb eleq1d con2d imp uneq2d syl5eq adantllr biimpa cnzr drngnzr jca anim1i
      lindsind2 ad5ant14 eldifd ad3antrrr adantl syl3anc ad2antrr lspsnel5 cvv
      3expa clss lspsolv syl13anc mtand ralrimiva ralunb weq sneq difeq2d uncom
      id difeq1i difun2 eqtri eqtrdi eleq12d ralsn anbi1i wne eldifsn 3ad2antl3
      bitri sselda lspsnvs sseq1d df-3an lspcl anassrs sylanb lmodvscl 3bitr4rd
      ex eldifi biimpd ralrimdva ralimdva syld impr ovex islinds2 ax-mp stoic1a
      sdomdomtr sylan2 iman sylibr ssrdv eqssd islbs4 ) AGHZBIHZCABUAUBZUCJZHZU
      DZCBUEKZLZUWNCUWLUFJZJZUWLUGJZMCUWLUHJZHUWJUWKUWNUWPUIUWQUWSUWTUWOUWSUWTN
      ZUWPUWJUWKUWNUXBUWJUWKLZUWLUJHZCUWTNZUXBUWNUWJAUKHUWKUXDAULAUWLBIUWLOZUMU
      NZUWTUWLCUWTOZUOZCUWRUWTUWLUXHUWROZUPUQURPUWQDUWTUWSUWQDUSZUWTHZUXKUWSHZQ
      ZLZQZUXLUXMVRUWPUWOCBUTKZQZUXPUWPCBVAKZUXRCBVBVCUWOUXOUXQUWOUXOLZCUXKVDZC
      RZUTKZUYBBVAKZUXQUWOUXNUYCUXLUWOUXNLZUYBIHZCUYBVEZUYCUWOUYFUXNUWOUYAIHCIH
      ZUYFUXKVFUWOUWKUXSUYHUWJUWKUWNVGABCVHBCVIVJUYACVKVLPUYEUYACNZQUYGUWOUYIUX
      MUYIUXKCHZUWOUXMUXKCDVMZVNUWOCUWSUXKUWJUWKUWNCUWSNZUXCUXDUXEUYLUWNUXGUXIC
      UWRUWTUWLUXHUXJVOUQURVPZVSVQUYACVTWAUYBCWBVJWCUXTUWJUWKUYBUWMHZUYDUWJUWKU
      WNUXOWDUWJUWKUWNUXOWEUXTUYBUWTNZEUSZFUSZUWLWFJZUBZUYBUYQVDZSZUWRJZHZQZEUW
      LWGJZUGJZVUEWHJZVDZSZTZFUYBTZUYNUXOUYAUWTNZUXEUYOUWOUXLVULUXNUXKUWTWIZPUW
      NUWJUXEUWKUXIWJVULUXELUYOUYACUWTWKWLZWMUWOUXLUXNVUKUWOUXLLZUXNUYQVUBHZQZF
      UYBTZVUKVUOUXNVURVUOUXNLZUXKCUYASZUWRJZHZQZVUQFCTZVURUWOUXNVVCUXLUYEVVAUW
      SUXKUWOUXNWNUYEVUTCUWRUYEUYJQZVUTCMUWOUYJUXMUYMVQZUXKCWOWTWPWQWRVUSVUQFCV
      USUYQCHZLZVUPUXKCUYTSZUYTRZUWRJZHZUXNVVGVVLQZVUOVVGVVMUXNVVGVVLUXMVVGVVKU
      WSUXKVVGVVJCUWRCUYQWSWPXAXBXCXDVVHVUPLZUWLXEHZVVIUWTNZUXLUYQVVIUYARZUWRJZ
      VVIUWRJZSHVVLUWOVVOUXLUXNVVGVUPUWJUWKVVOUWNUXCUXDVUEGHVVOUXGUXCAVUEGAUWLB
      GIUXFXFZUWJUWKXJXGVUEUWLVUEOZXHXIXKZXLUWOVVPUXLUXNVVGVUPUWNUWJVVPUWKUWNCU
      WTUYTUXIXMWJXLUWOUXLUXNVVGVUPXNVVNUYQVVRVVSVVHVUPUYQVVRHZUWOUXNVVGVUPVWCX
      SUXLUYEVVGLZVUBVVRUYQVWDVUAVVQUWRVWDVUAVVIUYAUYTSZRVVQVUAVWEVVIUYACUYTXOX
      PVWDVWEUYAVVIVWDUYQUYAHZQZVWEUYAMUYEVVGVWGUYEVWFVVGUYEVVGQVWFVVEVVFVWFVVG
      UYJVWFUYQUXKCUYQUXKXQXTXBXRYAYBUYQUYAWOWTYCYDWPXAYEYFUWOVVGUYQVVSHQZUXLUX
      NVUPUWOUXDVUEYGHZLZUWNLZVVGVWHUWJUWKUWNVWKUXCVWJUWNUXCUXDVWIUXGUXCAVUEYGV
      VTUWJAYGHUWKAYHPXGYIYJURVWJUWNVVGVWHUYQCUWRVUEUWLUXJVWAYKYTUNYLYMVVIUWLUU
      AJZUWRUWTUWLUYQUXKUXHVWLOZUXJUUBUUCUUDUUEVURVUQFUYATZVVDLVVCVVDLVUQFUYACU
      UFVWNVVCVVDVUQVVCFUXKUYKFDUUGZVUPVVBVWOUYQUXKVUBVVAVWOUUKVWOVUAVUTUWRVWOV
      UAUYBUYASZVUTVWOUYTUYAUYBUYQUXKUUHUUIVWPCUYARZUYASVUTUYBVWQUYAUYACUUJUULC
      UYAUUMUUNUUOWPUUPXBUUQUURUVBXIUVLVUOVUQVUJFUYBVUOUYQUYBHZLZVUQVUDEVUIVWSU
      YPVUIHZLZVUQVUDVXAVUPVUCVXAUYSVDUWRJZVUBNUYTUWRJZVUBNZVUCVUPVXAVXBVXCVUBV
      XAVVOUYPVUFHZUYPVUGUUSLZUYQUWTHZVXBVXCMUWOVVOUXLVWRVWTVWBYNVWTVXFVWSVWTVX
      FUYPVUFVUGUUTWLYOVWSVXGVWTVUOUYBUWTUYQUWNUWJUXLUYOUWKUXLVULUXEUYOUWNVUMUX
      IVUNWMZUVAUVCZPZUYPUYRVUEVUFUWRUWTUWLUYQVUGUXHVWAUYROZVUFOZVUGOZUXJUVDYPU
      VEVXAVWLVUBUWRUWTUWLUYSUXHVWMUXJUWOUXDUXLVWRVWTUWJUWKUXDUWNUXGXKZYNZVUOVU
      BVWLHZVWRVWTUWOUXCUWNLUXLVXPUWJUWKUWNUVFUXCUWNUXLVXPUXCUXDVUAUWTNVXPUWNUX
      LLZUXGVXQUYBUWTUYTVXHXMVWLVUAUWRUWTUWLUXHVWMUXJUVGUQUVHUVIZYQVXAUXDVXEVXG
      UYSUWTHVXOVWTVXEVWSUYPVUFVUHUVMYOVXJUYPUYRVUEVUFUWTUWLUYQUXHVWAVXKVXLUVJY
      PYRVWSVUPVXDXSVWTVWSVWLVUBUWRUWTUWLUYQUXHVWMUXJUWOUXDUXLVWRVXNYQVUOVXPVWR
      VXRPVXIYRPUVKXBUVNUVOUVPUVQUVRUWLYSHUYNUYOVUKLXSABUAUVSFUWTVUEUYREUYBUWRV
      UFUWLYSVUGUXHVXKUXJVWAVXLVXMUVTUWAXIABUYBVHYPCUYBBUWCVJUWBUWDUXLUXMUWEUWF
      UWGUWHUWTUXAUWRUWLCUXHUXAOUXJUWIXI $.

    $d f i j k n x y z M $.  $d i j k n I $.  $d i j k n R $.
    $( One direction of ~ matunitlindf .  (Contributed by Brendan Leahy,
       2-Jun-2021.) $)
    matunitlindflem1 $p |- ( ( ( R e. Field /\
      M : ( I X. I ) --> ( Base ` R ) ) /\ I e. ( Fin \ { (/) } ) ) ->
        ( -. curry M LIndF ( R freeLMod I ) ->
      ( ( I maDet R ) ` M ) = ( 0g ` R ) ) ) $=
      ( vk vn vi vj wcel cfv wa c0 co wn cmpt cgsu wceq wi eqid cvv adantr cdif
      vf vy vx vz cxp cbs wf cfn csn cfrlm wbr cv c0g wrex crg syl wral adantlr
      cof sylan2 fvex syl2an syl3anc eqtrd wfn ffn adantl simplr offval simpllr
      eqidd ffvelrn adantll ffvelrnda mp1i anim2i ad4ant23 sylanl1 oveq2d fovrn
      wb ringcl fmpttd adantllr mpan ad5ant13 cfsupp fvexd fndmfifsupp ad4ant13
      ralrimivw fveq2d eqeq2d imbi12d notbid wne ex bitri weq cif cmpo ad4antlr
      wss eleq2 sseq1 anbi12d anbi2d mpteq1 eqtrdi oveq1d ifeq1d mpoeq3dv oveq1
      wel w3a 3adant1l syl2anc sylan9eqr mpoeq3dva sylan eqtr4d ad4antr anim12i
      sstr ad4ant24 ad6antr ad2antrr anassrs 3expa anasss simp-4r an32s vex a1i
      ad5antr sylanl2 fveq2 ovex fnmpti cfield ccur clindf cmulr cmap cmdat cdr
      ccrg isfld drngring cvsca csca clmod frlmlmod simpr eldifi frlmfibas curf
      simplbi mp3an3 feq3 biimpa anandirs islindf4 frlmsca fvoveq1d elmapi ffnd
      inidm frlmvscafval fnconstg elmapfn adantlll ancoms curfv 3exp1 mpteq2dva
      fvconst2 com4r imp41 simplll simp-4l ad5ant245 elmapg eleq2d bitr3d mpbid
      mptexg fnmpt ad2antlr eqtr2d frlm0 eqeq12d sneqd xpeq2d raleqbidva bitr4d
      frlmgsum rexanali bitr4di fconstfv sylbb1 con3d df-ne rexbii rexnal cinvr
      fconst2 cplusg neldifsn difss diffi cun mpt0 gsum0 elequ2 fnov sylib cgrp
      syl6ibr ringgrp simp1l grplid ifeqda elun1 con3i ssun1 velsn elun2 sylbir
      equcoms necon3bi anim1i ringcmn ad7antr sselda drnginvrcl ad5ant25 syldan
      ccmn ssfi ssun2 sylibr oveq12d ad5ant24 ringass syl13anc eqcomd gsumunsnd
      snss cabl ringabl ssel2 ad5ant14 gsumcl simpl abl32 3adant2 simprbi grpcl
      adantlrl simp-5r syl3an1 simplrl ad2antll simprl mdetero iffalse mpoeq3ia
      iftrue pm2.61i ifeq2 fveq2i 3eqtr3g biimprd expcom com23 findcard2s mpcom
      embantd fconstmpt eqeq2i rgenw mpteqb ax-mp id simpll drnginvrl ad2ant2lr
      mpanr12 3ad2ant1 ringlidm ad5ant145 adantlrr 3eqtr3d gsumdifsnd gsummulc2
      cur eqtr3d oveq2 ringrz ralimdva sylan2b jctil mpoeq123 sylancr ad3antrrr
      3eqtrd imp mdetr0 ad4ant14 rexlimdvaa expimpd sylan2d rexlimdva sylbid )
      AUUAHZBBUFZAUGIZCUHZJZBUIKUJZUAZHZJCUUBZABUKLZUUCULZMZDBAEBEUMZUBUMZIZVYI
      DUMZCLZAUUDIZLZNZOLZNZBAUNIZUJZUFZPZVYJWUAPZMZJZUBVXSBUUELZUOZCBAUUFLZIZV
      YSPZVXQAUPHZVXTVYDVYHWUGWBVXQAUUGHZWUKVXQWULAUUHHZAUUIZUUSZAUUJUQZWUKVXTJ
      ZVYDJZVYHWUBWUCQZUBWUFURZMWUGWURVYGWUTWURVYGVYFVYJVYEVYFUUKIZUTLZOLZVYFUN
      IZPZVYJBVYFUULIZUNIZUJZUFZPZQZUBWVFBUKLUGIZURZWUTWURVYFUUMHZVYDBVYFUGIZVY
      EUHZVYGWVMWBWUKVYDWVNVXTAVYFBVYCVYFRZUUNUSWUQVYDUUOWUKVXTVYDWVPWUKVYDJZWU
      FWVOPZBWUFVYEUHZWVPVXTVYDJZVYDWUKBUIHZWVSBUIVYBUUPZAVYFBVXSUPWVQVXSRZUUQV
      AZVXTVYDVXSSHZWVTAUGVBZBBVXSCUISUURUUTZWVSWVTWVPWUFWVOBVYEUVAUVBVCUVCZUBW
      VOWVFWVAVYEBWVLVYFVYCWVGWVDWVORZWVFRWVARZWVDRZWVGRWVLRUVDVDWURWUSWVKUBWUF
      WVLWUKVYDWUFWVLPVXTWVRWUFWVOWVLWWEWVRAWVFBUGUKAVYFBUPVYCWVQUVEZUVFVEUSWUR
      VYJWUFHZJZWUBWVEWUCWVJWWOVYRWVCWUAWVDWWNWURBVXSVYJUHZVYRWVCPVYJVXSBUVGZWU
      RWWPJZWVCVYFEBDBVYONZNZOLVYRWWRWVBWWTVYFOWWRWVBEBVYKVYIVYEIZWVALZNWWTWWRE
      BBVYKWXAWVABVYJVYEVYCVYCWWPVYJBVFZWURBVXSVYJVGZVHWURVYEBVFWWPWURBWVOVYEWW
      IUVHTWUQVYDWWPVIZWXEBUVIZWWRVYIBHZJZVYKVLWXHWXAVLVJWWREBWXBWWSWXHWXBBVYKU
      JUFZWXAVYNUTLWWSWXHVYKWVOAWVAVYNBVXSVYCWXAVYFWVQWWJWWDWUQVYDWWPWXGVKZWWPW
      XGVYKVXSHZWURBVXSVYIVYJVMZVNWURWXGWXAWVOHWWPWURBWVOVYIVYEWWIVOUSWWKVYNRZU
      VJWXHDBBVYKVYMVYNBWXIWXAVYCVYCVYKSHWXIBVFWXHVYIVYJVBZBVYKSUVKVPWURWXGWXAB
      VFZWWPVXTVYDWXGWXOWUKWWAWXGJWXAWUFHWXOWWABWUFVYIVYEWWHVOWXAVXSBUVLUQUVMUS
      WXJWXJWXFVYLBHZVYLWXIIVYKPWXHBVYKVYLWXNUVRVHWWRVYDCVXRVFZJZWXGWXPVYLWXAIV
      YMPZVXTVYDWXRWUKWWPVYDVXTWXRVXTWXQVYDVXRVXSCVGZVQUVNVRVYDWXQWXGWXPWXSWXQW
      XGWXPVYDWXSWXQWXGWXPVYDWXSVYIVYLCBBVYCUVOUVPUVSUVTVSVJVEUVQVEVTWWRDEWVOAV
      YOBBVYCVYCVYFWVDWVQWWJWWLWXEWXEWUKVXTVYDWWPUWAWXHBVXSWWSUHZWWSWVOHZWUQWWP
      WXGWYAVYDWUQWWPJWXGJZDBVYOVXSWYCWXPJWUKWXKVYMVXSHZVYOVXSHZWUKVXTWWPWXGWXP
      UWBWWPWXGWXKWUQWXPWXLVRVXTWXGWXPWYDWUKWWPVYIVYLVXSBBCWAZUWCVXSAVYNVYKVYMW
      WDWXMWCZVDWDWEWUKVYDWYAWYBWBVXTWWPWXGWVRWWSWUFHZWYAWYBVYDWYHWYAWBZWUKWWFV
      YDWYIWWGVXSBWWSSVYCUWDWFVHWVRWUFWVOWWSWWEUWEUWFWGUWGVYDWWTWVDWHULWUQWWPVY
      DBWWTSWVDVYDWWSSHZEBURWWTBVFVYDWYJEBDBVYOVYCUWHWLEBWWSWWTSWWTRUWIUQWWCVYD
      VYFUNWIWJUWJUWRUWKVAWUKVYDWUAWVDPVXTWWNAVYFBVYCVYSWVQVYSRZUWLWKUWMWUKVYDW
      UCWVJWBVXTWWNWVRWUAWVIVYJWVRVYTWVHBWVRVYSWVGWVRAWVFUNWWMWMUWNUWOWNWKWOUWP
      UWQWPWUBWUCUBWUFUWSUWTVSVYDVYAWWBWUGWUJQWWCVYAWWBJZWUEWUJUBWUFWWNWYLWWPWU
      EWUJQWWQWYLWWPJZWUDFUMZVYJIZVYSWQZFBUOZWUBWUJWWPWUDWYQQZWYLWWPWXCWYRWXDWX
      CWUDWYOVYSPZFBURZMZWYQWXCWYTWUCWXCWYTWUCBVYTVYJUHWXCWYTJWUCFBVYSVYJUXABVY
      SVYJAUNVBUXHUXBWRUXCWYQWYSMZFBUOXUAWYPXUBFBWYOVYSUXDUXEWYSFBUXFWSUXTUQVHW
      YMWUBWYQWUJWYMWUBJZWYPWUJFBXUCWYNBHZWYPJZJZWUIGDBBGFWTZAEBWYNUJZUAZWYOAUX
      GIZIZVYOVYNLZNZOLZWYNVYLCLZAUXIIZLZGUMZVYLCLZXAZXBZWUHIZGDBBXUGVYSXUSXAZX
      BZWUHIZVYSWYMXUEWUIXVBPZWUBWYMXUEJZWYNXUIHZMZXUIBXDZXVFWYNBUXJBXUHUXKXUIU
      IHZXVGXVIXVJJZJZXVFWWBXVKVYAWWPXUEXVLBXUHUXLXCXVGFUCXOZMZUCUMZBXDZJZJZWUI
      GDBBXUGAEXVPXULNZOLZXUOXUPLZXUSXAZXBZWUHIZPZQXVGWYNKHZMZKBXDZJZJZWUIGDBBX
      UGVYSXUOXUPLZXUSXAZXBZWUHIZPZQXVGFUDXOZMZUDUMZBXDZJZJZWUIGDBBXUGAEXWSXULN
      ZOLZXUOXUPLZXUSXAZXBZWUHIZPZQZXVGWYNXWSUEUMZUJZUXMZHZMZXXMBXDZJZJZWUIGDBB
      XUGAEXXMXULNZOLZXUOXUPLZXUSXAZXBZWUHIZPZQZXVMXVFQUCUDUEXUIXVPKPZXVSXWKXWF
      XWPXYGXVRXWJXVGXYGXVOXWHXVQXWIXYGXVNXWGXVPKWYNXEWPXVPKBXFXGXHXYGXWEXWOWUI
      XYGXWDXWNWUHXYGGDBBXWCXWMXYGXUGXWBXWLXUSXYGXWAVYSXUOXUPXYGXWAAKOLVYSXYGXV
      TKAOXYGXVTEKXULNKEXVPKXULXIEXULUXNXJVTAVYSWYKUXOXJXKXLXMWMWNWOUCUDWTZXVSX
      XBXWFXXIXYHXVRXXAXVGXYHXVOXWRXVQXWTXYHXVNXWQUCUDFUXPWPXVPXWSBXFXGXHXYHXWE
      XXHWUIXYHXWDXXGWUHXYHGDBBXWCXXFXYHXUGXWBXXEXUSXYHXWAXXDXUOXUPXYHXVTXXCAOE
      XVPXWSXULXIVTXKXLXMWMWNWOXVPXXMPZXVSXXRXWFXYEXYIXVRXXQXVGXYIXVOXXOXVQXXPX
      YIXVNXXNXVPXXMWYNXEWPXVPXXMBXFXGXHXYIXWEXYDWUIXYIXWDXYCWUHXYIGDBBXWCXYBXY
      IXUGXWBXYAXUSXYIXWAXXTXUOXUPXYIXVTXXSAOEXVPXXMXULXIVTXKXLXMWMWNWOXVPXUIPZ
      XVSXVMXWFXVFXYJXVRXVLXVGXYJXVOXVIXVQXVJXYJXVNXVHXVPXUIWYNXEWPXVPXUIBXFXGX
      HXYJXWEXVBWUIXYJXWDXVAWUHXYJGDBBXWCXUTXYJXUGXWBXUQXUSXYJXWAXUNXUOXUPXYJXV
      TXUMAOEXVPXUIXULXIVTXKXLXMWMWNWOVYAXWPWWBWWPXUEXWJVYACXWNWUHVYACGDBBXUSXB
      ZXWNVXTCXYKPZVXQVXTWXQXYLWXTGDBBCUXQUXRVHVXQAUXSHZVXTXWNXYKPVXQWUKXYMWUPA
      UYAUQZXYMVXTJZGDBBXWMXUSXYOXURBHZWXPXPZXUGXWLXUSXUSXUGXYQXWLVYSXUSXUPLZXU
      SXUGXUOXUSVYSXUPXUOXUSPFGWYNXURVYLCXNUYKVTXYQXYMXUSVXSHZXYRXUSPXYMVXTXYPW
      XPUYBVXTXYPWXPXYSXYMXURVYLVXSBBCWAZXQVXSXUPAXUSVYSWWDXUPRZWYKUYCXRXSXYQXU
      GMJXUSVLUYDXTYAYBWMYCUEUDXOMZXXJXYFQXWSUIHZYUBXXRXXJXYEXXRYUBXXJXYEQXXRYU
      BJZXXBXXIXYEXXRXXBYUBXXQXXAXVGXXOXWRXXPXWTXWQXXNWYNXWSXXLUYEUYFXWSXXMXDXX
      PXWTXWSXXLUYGXWSXXMBYEWFZYDVQTYUDXYEXXIYUDXYDXXHWUIXXQXVGWYNXXKWQZXXPJZYU
      BXYDXXHPXXOYUFXXPXXNWYNXXKFUEWTWYNXXLHXXNFXXKUYHWYNXXLXWSUYIUYJUYLUYMXVGY
      UGJZYUBJZGDBBXUGXYAGUEWTZXXKVYLCLZXUSXAZXAZXBZWUHIZGDBBXUGXXEYULXAZXBZWUH
      IZXYDXXHYUIYUOGDBBXUGXXEXUKXXKVYJIZVYNLZYUKVYNLZXUPLZYULXAZXBZWUHIZYURYUI
      YUNYVDWUHYUIGDBBYUMYVCYUIWXPYUMYVCPXYPYUIWXPJZXUGXYAYVBYULYVFXYAXXDYVAXUP
      LZXUOXUPLZYVBYVFXXTYVGXUOXUPYVFXWSVXSXUPEAXXKSXULYVAWWDYUAVXQAUYTHZVXTWWB
      WWPXUEYUGYUBWXPVXQWUKYVIWUPAUYNUQZUYOWYMYUGYUCXUEYUBWXPWYMWWBXWTYUCYUGVYA
      WWBWWPVIXXPXWTYUFYUEVHZBXWSVUAZVCWGYUHWXPEUDXOZXULVXSHZYUBYUHWXPJZYVMWXGY
      VNYUGYVMWXGXVGWXPXXPYVMWXGYUFXXPXWSBVYIYUEUYPVNYFXVGWXPWXGYVNYUGXVGWXPJZW
      XGJZWUKXUKVXSHZWYEYVNVXQWUKVXTWWBWWPXUEWXPWXGWUPYGZXVGYVRWXPWXGWYLWULWWPX
      UEYVRVXQWULVXTWWBWUOYHWULWWPJZXUDWYPYVRYVTXUDJWULWYOVXSHZJZWYPYVRWULWWPXU
      DYWBWWPXUDJZYWAWULBVXSWYNVYJVMZVQYIWULYWAWYPYVRVXSAXUJWYOVYSWWDWYKXUJRZUY
      QYJYAYKVSZYHYVQWUKWXKWYDWYEYVSWWPWXGWXKWYLXUEWXPWXLUYRXVGVXTWXPWXGWYDVXQV
      XTWWBWWPXUEYLZVXTWXGWXPWYDVXTWXGWXPWYDWYFYJYMVSWYGVDZVXSAVYNXUKVYOWWDWXMW
      CVDZWEUYSWEXXKSHYVFUEYNZYOYUHYUBWXPVIYUHWXPYVAVXSHZYUBYUGXVGXXKBHZWXPYWKX
      XPYWLYUFXXPXXLBXDZYWLXXLXXMXDXXPYWMXXLXWSVUBXXLXXMBYEWFXXKBYWJVUJVUCZVHZX
      VGYWLJZWXPJZWUKYUTVXSHZYUKVXSHZYWKVXQWUKVXTWWBWWPXUEYWLWXPWUPYGZYWPYWRWXP
      YWPWUKYVRYUSVXSHZYWRVXQWUKVXTWWBWWPXUEYWLWUPYPXVGYVRYWLYWFTWWPYWLYXAWYLXU
      EBVXSXXKVYJVMZYFVXSAVYNXUKYUSWWDWXMWCVDZTXVGVXTYWLWXPYWSYWGVXTYWLWXPYWSXX
      KVYLVXSBBCWAYJZVSZVXSAVYNYUTYUKWWDWXMWCVDZYQUSYUHWXPEUEWTZXULYVAPYUBYXGYV
      OXULXUKYUSYUKVYNLZVYNLZYVAYXGVYOYXHXUKVYNYXGVYKYUSVYMYUKVYNVYIXXKVYJYRVYI
      XXKVYLCXNVUDVTYUGXVGYWLWXPYXIYVAPYWOYWQYVAYXIYWQWUKYVRYXAYWSYVAYXIPYWTXVG
      YVRYWLWXPYWFYHWWPYWLYXAWYLXUEWXPYXBVUEYXEVXSAVYNXUKYUSYUKWWDWXMVUFVUGVUHY
      QXSWEVUIXKYUHWXPYVHYVBPZYUBXVGXXPWXPYXJYUFXVGXXPJZWXPJVXSXUPAXXDYVAXUOWWD
      YUAVXQAVUKHZVXTWWBWWPXUEXXPWXPVXQWUKYXLWUPAVULUQYGXXPXVGXWTWXPXXDVXSHZYUE
      XVGXWTJZWXPJZXWSVXSXXCASVYSWWDWYKVXQYVIVXTWWBWWPXUEXWTWXPYVJYGXWSSHYXOUDY
      NYOXVGWXPXWTXWSVXSXXCUHYVPXWTJEXWSXULVXSYVPXWTYVMYVNXWTYVMJYVPWXGYVNXWSBV
      YIVUMYWIVAYIWDYMWYLXWTXXCVYSWHULZWWPXUEWXPWWBXWTYXPVYAWWBXWTJZXWSXXCSVYSX
      XCXWSVFYXQEXWSXULXXCXUKVYOVYNYSZXXCRYTYOYVLYXQAUNWIWJVNVUNVUOZYQXXPXVGYWL
      WXPYWKYWNYXFYQYXKVXTXUDJZWXPXUOVXSHZXVGYXTXXPWYMVXTXUEXUDVXQVXTWWBWWPVKXU
      DWYPVUPYDZTVXTXUDWXPYYAWYNVYLVXSBBCWAZYJZYAVUQVVAUSVEXLVURXTWMYUHYVEYURPY
      UBYUHWUHXUPAVYNGDWYNXXKVXSBYUTXXEYUKXUSWUHRZWWDYUAWXMVXQWUMVXTWWBWWPXUEYU
      GVXQWULWUMWUNVUSZYPVYAWWBWWPXUEYUGYLYUGXVGXWTWXPXXEVXSHZYVKYXOXYMYXMYYAYY
      GVXQXYMVXTWWBWWPXUEXWTWXPXYNYGYXSYXNYXTWXPYYAXVGYXTXWTYYBTYYDYAVXSXUPAXXD
      XUOWWDYUAVUTVDYQYUHVXTYWLJWXPYWSXVGVXTYUGYWLYWGYWOYDYXDYAYUHVXTXYPWXPXYSV
      XQVXTWWBWWPXUEYUGVVBXYTVVCYUGXVGYWLYWRYWOYXCVAWYMXUDWYPYUGVVDXXPYWLXVGYUF
      YWNVVEXVGYUFXXPVVFVVGTVEYUNXYCWUHGDBBYUMXYBYULXUSPZYUMXYBPXYPWXPJZYUJYYHY
      UJYULYUKXUSYUJYUKXUSVVJXURXXKVYLCXNYBYUJYUKXUSVVHVVKZXUGYULXUSXYAVVLVPVVI
      VVMYUQXXGWUHGDBBYUPXXFYYHYUPXXFPYYIYYJXUGYULXUSXXEVVLVPVVIVVMVVNYQWNVVOVV
      TVVPVVQVHVVRVVSVWJUSXUFXVAXVDWUHWYMXUEWUBXVAXVDPZXVGWUBJZBBPZYYMXUTXVCPZD
      BURZJZGBURYYKBRZYYLYYPGBYYLYYOYYMWUBXVGVYQVYSPZDBURZYYOWUBVYRDBVYSNZPZYYS
      WUAYYTVYRDBVYSVWAVWBVYQSHZDBURUUUAYYSWBUUUBDBAVYPOYSVWCDBVYQVYSSVWDVWEWSX
      VGYYSYYOXVGYYRYYNDBYVPYYRYYNYVPYYRJZXUGXUQVYSXUSUUUCXUQXUKVYQVYNLZXUKVYSV
      YNLZVYSYVPXUQUUUDPYYRYVPAEBXULNZOLXUQUUUDYVPBVXSXUPEAWYNUIXULXUOWWDYUAVXQ
      YVIVXTWWBWWPXUEWXPYVJYPVYAWWBWWPXUEWXPYLZWWBUUUFVYSWHULVYAWWPXUEWXPWWBBUU
      UFSVYSUUUFBVFWWBEBXULUUUFYXRUUUFRYTYOWWBVWFZWWBAUNWIZWJXCYWIWYMXUDWYPWXPV
      VDXVGYXTWXPYYAYYBYYDYAZEFWTZYVPXULXUKWYOXUOVYNLZVYNLZXUOUUUKVYOUUULXUKVYN
      UUUKVYKWYOVYMXUOVYNVYIWYNVYJYRVYIWYNVYLCXNVUDVTYVPXUKWYOVYNLZXUOVYNLZAVWR
      IZXUOVYNLZUUUMXUOXVGUUUOUUUQPZWXPWYLVXQWWPXUEUUURVXQVXTWWBVWGVXQWWPJZXUEJ
      UUUNUUUPXUOVYNUUUSXUDWYPUUUNUUUPPZUUUSXUDJYWBWYPUUUTVXQWWPXUDYWBVXQWULYWC
      YWAWUOYWDYDYIWULYWAWYPUUUTVXSAVYNUUUPXUJWYOVYSWWDWYKWXMUUUPRZYWEVWHYJYAYK
      XKVSTYVPWUKYVRYWAYYAUUUOUUUMPVXQWUKVXTWWBWWPXUEWXPWUPYPZXVGYVRWXPYWFTZXVG
      YWAWXPWWPXUDYWAWYLWYPYWDVWITUUUJVXSAVYNXUKWYOXUOWWDWXMVUFVUGWYMXUDWXPUUUQ
      XUOPZWYPVYAXUDWXPUUVDWWBWWPVYAXUDWXPXPWUKYYAUUVDVYAXUDWUKWXPVXQWUKVXTWUPT
      VWKVXTXUDWXPYYAVXQYYCXQVXSAVYNUUUPXUOWWDWXMUUVAVWLXRVWMVWNVWOXSVWPYVPBVXS
      XUPAVYNEUIVYOXUKVYSWWDWYKYUAWXMUUVBUUUGUUVCYWHWWBVYPVYSWHULVYAWWPXUEWXPWW
      BBVYPSVYSVYPBVFWWBEBVYOVYPVYKVYMVYNYSVYPRYTYOUUUHUUUIWJXCVWQVWSTYYRUUUDUU
      UEPYVPVYQVYSXUKVYNVWTVHXVGUUUEVYSPZWXPYYRXVGWUKYVRUUVEVXQWUKVXTWWBWWPXUEW
      UPYCYWFVXSAVYNXUKVYSWWDWXMWYKVXAXRYHVXHXLWRVXBVXIVXCYYQVXDWLGDBBXUTBBXVCV
      XEVXFYMWMWYLXUEXVEVYSPWWPWUBWYLXUEJZWUHAGDWYNVXSBXUSVYSYYEWWDWYKVXQWUMVXT
      WWBXUEYYFVXGVYAWWBXUEVIUUVFVXTXYPWXPXYSVXQVXTWWBXUEVKXYTVVCWYLXUDWYPVVFVX
      JVXKVXHVXLVXMVXNVAVXOVAVXP $.

    $( One direction of ~ matunitlindf .  (Contributed by Brendan Leahy,
       2-Jun-2021.) $)
    matunitlindflem2 $p |- ( ( ( ( R e. Field /\
      M e. ( Base ` ( I Mat R ) ) ) /\ I =/= (/) ) /\
        curry M LIndF ( R freeLMod I ) ) ->
      ( ( I maDet R ) ` M ) e. ( Unit ` R ) ) $=
      ( vn vi vj vk wcel co cfv wa wceq wf cmpt cfn cvv eqid wb syl adantr cmat
      vf cfield cbs c0 wne ccur cfrlm clindf wbr cmulr cur cmdat cmap cuvc cunc
      cv cui cgsu wral wex wrex matrcl simpld ad3antlr cdr isfld simplbi anim1i
      ccrg ad2antrl cdif simpr xpfi frlmfibas sylan2 matbas ancoms eqtrd eleq2d
      cxp csn fvex syl2anc elmapg sylancr adantl bitr3d mpbid adantrr sylan jca
      ex anassrs crg ffvelrnda ad4ant14 wfn ffn fveq2d cen simplll simpllr cnzr
      wf1 frlmsca 3expa syl2an an32s eleqtrrd simplr oveq1d elmapi eqidd offval
      cof c0g ffvelrn ad3antrrr elmapfn mpteq2dva oveq2d sylanl1 ringcl syl3anc
      ad4ant24 eqeq2d bitr4d ad2antrr w3a df-3an fveq1 mpteq2dv biimpar weq cif
      oveqd eqeq12d imp mdetcl anidms eldifsn biimpri curf imdistani anass cima
      mp3an3 sylibr clspn drngring uvcff crn fnima clbs clinds frlmlmod lindfrn
      clmod wf1o cdm csca drngnzr eqeltrrd lindff1 f1eq2 biimpac f1f1orn f1oeng
      fdm ensymd lindsenlbs syl31anc lbssp cvsca feq3d biimpa elfilspd ad2antlr
      inidm simp-4r adantll eleqtrd frlmvscafval fnconstg mp1i fvconst2 simp-5l
      ad4ant23 fmpttd mpan cfsupp ralrimivw fnmpt id fvexd fndmfifsupp frlmgsum
      mptexg eqtr2d rexeqbidva ralrimiva mpbird an32 bitr4i curfv rexbidv uncov
      sylanb ralbidv el2v eqtr4di ac6sfi uncf nfv nfmpt1 wi anim12i equcom ifbi
      nfeq2 ax-mp mat1ov uvcvval sylanbr 3eqtr4a cotp cmmul ovex fvmpt2 simp-4l
      mpan2 ad4antlr ad5ant23 matmulr 3eqtr2rd syl5ibr ralrimd ralimdva mat1bas
      mamufv com23 matring syl2anr eqfnov2 sylibrd eqcomd eqeq1d rspcev exlimdv
      oveq1 expl sylani adantlr syldan simprbi cdsr anandis fveq2 mdetmul mdet1
      dvdsrmul syl5ib impr breq2d crngunit rexlimddv ) AUCHZCBAUAIZUDJZHZKZBUEU
      FZKZCUGZABUHIZUIUJZKZDUQZCVVIUKJZIZVVIULJZLZCBAUMIZJZAURJZHZDVVJVVNVVQBAU
      DJZBUNIZUBUQZMZEUQZABUOIZJZFBAGBVWLGUQZVWJUPZIZVWOFUQZCIZAUKJZIZNZUSIZNZL
      ZEBUTZKZUBVAZVWCDVVJVBZVVRBOHZVWNFBAGBVWOVVSJZVWSVWTIZNZUSIZNZLZDVWIVBZEB
      UTZVXHVVKVXJVVHVVMVVQVVKVXJAPHVVIVVJABCVVIQZVVJQZVCVDZVEVVLAVFHZVVKKZVVMV
      VQVXRVVHVYBVVKVVHVYBAVJHZAVGZVHZVIVYCVVMKZVVQKVWNFBAGBVXKVWRVWOVVOJZJZVWT
      IZNZUSIZNZLZDVWIVBZEBUTZVXRVYGVYBVXJKZBVWIVVOMZKZVVQVYPVYGVYBVXJVYRKZKZVY
      SVYBVVKVVMWUAVYBVVKVVMKZVYTVYBWUBVYTVYBWUBKZVXJVYRVVKVXJVYBVVMVYAVKWUCBBW
      AZVWHCMZBOUEWBVLHZVYRVYBVVKWUEVVMVYCVVKWUEVYBVVKVMZVYCCVWHWUDUNIZHZVVKWUE
      VVKVYBVXJWUIVVKRVYAVYQWUHVVJCVYQWUHAWUDUHIZUDJZVVJVXJVYBWUDOHZWUHWUKLZVXJ
      WULBBVNZUUAZAWUJWUDVWHVFWUJQZVWHQZVOVPVXJVYBWUKVVJLZVVIAWUJBVFVXSWUPVQVRV
      SVTVPZVVKWUIWUERZVYBVVKVWHPHZWULWUTAUDWCZVVKVXJVXJWULVYAVYAWUNWDZVWHWUDCP
      OWEWFWGWHWIWJWUBWUFVYBVVKVXJVVMWUFVYAWUFVXJVVMKBOUEUUBUUCWKWGWUEWUFWVAVYR
      WVBBBVWHCOPUUDUUHWDWLWMUUEWNVYBVXJVYRUUFUUIVYSVVQKZVYOEBWVDVWLBHZKZVWNVVO
      BUUGZVVPUUJJZJZHZVYOWVFVWNVVPUDJZWVIVYQWVEVWNWVKHVYRVVQVYQBWVKVWLVWMVYBAW
      OHZVXJBWVKVWMMAUUKZWVKAVWMBOVVPVWMQZVVPQZWVKQZUULWKWPWQWVDWVIWVKLWVEWVDWV
      IVVOUUMZWVHJZWVKVYSWVIWVRLVVQVYSWVGWVQWVHVYRWVGWVQLZVYQVYRVVOBWRZWVSBVWIV
      VOWSZBVVOUUNSWGWTTWVDWVQVVPUUOJZHZWVRWVKLWVDVYBVXJWVQVVPUUPJHZWVQBXAUJWWC
      VYBVXJVYRVVQXBVYBVXJVYRVVQXCZVYSVVPUUSHZVVQWWDVYQWWFVYRVYBWVLVXJWWFWVMAVV
      PBOWVOUUQZWKZTVVOVVPUURWKWVDBWVQWVDVXJBWVQVVOUUTZBWVQXAUJWWEWVDBWVKVVOXEZ
      WWIVYQVVQVYRWWJVYQVVQKVVOUVAZWVKVVOXEZWWKBLZWWJVYRVYQWWFVVPUVBJZXDHZKVVQW
      WLVYQWWFWWOWWHVYQAWWNXDAVVPBVFOWVOXFVYBAXDHVXJAUVCTUVDWLWWFWWOVVQWWLWVKVV
      OWWNVVPWVPWWNQZUVEXGWKBVWIVVOUVJWWMWWLWWJWWKBWVKVVOUVFUVGXHXIBWVKVVOUVHSB
      WVQOVVOUVIWDUVKABWVQUVLUVMWVQWWBWVHWVKVVPWVPWWBQWVHQZUVNSVSTXJVYSWVJVYORZ
      VVQWVEVYBWVLVXJVYRWWRWVMWVLVXJKZVYRKZWVJVWNVVPVVSVVOVVPUVOJZXPIZUSIZLZDWW
      NUDJZBUNIZVBVYOWWTWVKWWNWXADVVOBWXEVVPWVHVWNWWNXQJZWWQWVPWXEQWWPWXGQWXAQZ
      WWSVYRBWVKVVOMWWSVWIWVKVVOBAVVPBVWHWOWVOWUQVOZUVPUVQWWSWWFVYRWWGTWVLVXJVY
      RXKUVRWWTVYNWXDDVWIWXFWWSVWIWXFLVYRWWSVWHWXEBUNWWSAWWNUDAVVPBWOOWVOXFWTXL
      TWWTVVSVWIHZKVYMWXCVWNWXJWWTBVWHVVSMZVYMWXCLVVSVWHBXMWWTWXKKZWXCVVPGBFBVY
      JNZNZUSIVYMWXLWXBWXNVVPUSWXLWXBGBVXKVYHWXAIZNWXNWXLGBBVXKVYHWXABVVSVVOOOW
      XKVVSBWRWWTBVWHVVSWSWGVYRWVTWWSWXKWWAUVSWVLVXJVYRWXKXCZWXPBUVTZWXLVWOBHZK
      ZVXKXNWXSVYHXNXOWXLGBWXOWXMWXSWXOBVXKWBWAZVYHVWTXPIWXMWXSVXKWVKAWXAVWTBVW
      HOVYHVVPWVOWVPWUQWVLVXJVYRWXKWXRUWAZWXKWXRVXKVWHHZWWTBVWHVWOVVSXRZUWBWXSV
      YHVWIWVKVYRWXRVYHVWIHZWWSWXKBVWIVWOVVOXRZYFWWSVWIWVKLVYRWXKWXRWXIXSUWCWXH
      VWTQZUWDWXSFBBVXKVYIVWTBWXTVYHOOVXKPHWXTBWRWXSVWOVVSWCZBVXKPUWEUWFVYRWXRV
      YHBWRZWWSWXKVYRWXRKZWYDWYHWYEVYHVWHBXTSYFWYAWYAWXQVWRBHZVWRWXTJVXKLWXSBVX
      KVWRWYGUWGWGWXSWYJKZVYIXNXOVSYAVSYBWXLFGWVKAVYJBBOOVVPVVPXQJZWVOWVPWYLQWX
      PWXPWVLVXJVYRWXKXBWXSBVWHWXMMZWXMWVKHZWXSFBVYJVWHWYKWVLWYBVYIVWHHZVYJVWHH
      WVLVXJVYRWXKWXRWYJUWHWXKWXRWYBWWTWYJWYCUWIWXLVYRWXRWYJWYOWWSVYRWXKXKWYIBV
      WHVWRVYHWYIWYDBVWHVYHMWYEVYHVWHBXMSWPYCVWHAVWTVXKVYIWUQWYFYDYEUWJWWSWYMWY
      NRVYRWXKWXRWWSWXMVWIHZWYMWYNVXJWYPWYMRZWVLWVAVXJWYQWVBVWHBWXMPOWEUWKWGWWS
      VWIWVKWXMWXIVTWHXSWIVXJWXNWYLUWLUJWVLVYRWXKVXJBWXNPWYLVXJWXMPHZGBUTWXNBWR
      VXJWYRGBFBVYJOUWSUWMGBWXMWXNPWXNQUWNSVXJUWOVXJVVPXQUWPUWQVEUWRUWTVPYGUXAY
      HYCYIWIUXBWKVYCVYPVXRRZVVMVVQVYCCWUDWRZVXJWYSVYCWUIWYTVYCWUIVVKWUGWUSUXCC
      VWHWUDXTSVVKVXJVYBVYAWGWYTVXJKZVYOVXQEBXUAVYNVXPDVWIXUAVYMVXOVWNXUAFBVYLV
      XNXUAWYJKVYKVXMAUSWYTWYJVXJVYKVXMLWYTWYJKZVXJKZGBVYJVXLXUCWXRKVYIVWSVXKVW
      TXUBWXRVXJVYIVWSLZXUBWXRKZWYTWXRWYJYJZVXJXUDXUEWYTWXRKWYJKXUFWYTWYJWXRUXD
      WYTWXRWYJYKUXEVWOVWRCBBOUXFUXIXIYBYAXIYBYAYGUXGUXJWDYIWIYCVXPVXEEDBVWIUBV
      VSVWLVWJJZLZVXOVXDVWNXUHFBVXNVXCXUHVXMVXBAUSXUHGBVXLVXAXUHVXKVWQVWSVWTXUH
      VXKVWOXUGJZVWQVWOVVSXUGYLVWQXUILEGVWLVWOVWJPPUXHUXKUXLXLYMYBYMYGUXMWDVVLV
      XHVXIVVMVVLVXHVXIVVLVXGVXIUBVWKVVLWUDVWHVWPMZVXFVXIBBVWHVWJUXNVVLXUJVXFVX
      IVVLXUJKZVXFKZVWPVVJHZVWPCVVTIZVWBLZVXIXUKXUMVXFVVLXUMXUJVVLVWPWUHHZXUMXU
      JVVLWUHVVJVWPVVKVVHVXJWUHVVJLZVYAVVHVXJKZWUHWUKVVJVXJVVHWULWUMWUOAWUJWUDV
      WHUCWUPWUQVOVPVXJVVHWURVVIAWUJBUCVXSWUPVQVRVSVPZVTVVKXUPXUJRZVVHVVKWVAWUL
      XUTWVBWVCVWHWUDVWPPOWEWFZWGWHYNZTXULVWBXUNXUKVXFVWBXUNLZXUKVXFVWLVWRVWBIZ
      VWLVWRXUNIZLZFBUTZEBUTZXVCXUKVXEXVGEBXUKWVEKZVXEXVFFBXVIFUXOFVWNVXDFBVXCU
      XPUYAXVIWYJVXEXVFXVIWYJVXEXVFUXQVXEXVFXVIWYJKZVWRVWNJZVWRVXDJZLVWRVWNVXDY
      LXVJXVDXVKXVEXVLXUKWWSWVEWYJXVDXVKLVVLWWSXUJVVHWVLVVKVXJVVHVYBWVLVYFWVMSZ
      VYAUXRTWWSWVEKZWYJKZEFYOZAULJZAXQJZYPZFEYOZXVQXVRYPZXVDXVKXVPXVTRXVSXWALE
      FUXSXVPXVTXVQXVRUXTUYBXVOVVIAVWBXVQVWLVWRBXVRVXSXVQQZXVRQZWVLVXJWVEWYJXCW
      VLVXJWVEWYJXBWWSWVEWYJXKXVNWYJVMVWBQZUYCXVNWVLVXJWVEYJWYJXVKXWALWVLVXJWVE
      YKAVWMXVQBVWLVWRWOOXVRWVNXWBXWCUYDUYEUYFYCXVJXVLVXCVWLVWRVWPCABBBUYGUYHIZ
      IZIZXVEWYJXVLVXCLZXVIWYJVXCPHXWHAVXBUSUYIFBVXCPVXDVXDQUYJUYLWGXVJVWHBAVWT
      GXWEVWLVWRBBUCVWPCXWEQZWUQWYFVVHVVKXUJWVEWYJUYKVVKVXJVVHXUJWVEWYJVYAUYMZX
      WJXWJVVKXUJXUPVVHWVEWYJVVKXUPXUJXVAYNUYNVVLWUIXUJWVEWYJVVLCVVJWUHVVHVVKVM
      XUSXJXSXUKWVEWYJXKXVIWYJVMVUAVVLXWGXVELZXUJWVEWYJVVKVVHVXJXWKVYAXURXWFXUN
      VWLVWRXURXWEVVTVWPCVXJVVHXWEVVTLVVIAXWEBUCVXSXWIUYOVRYQYQVPXSUYPYRUYQWMVU
      BUYRUYSXUKVWBWUDWRZXUNWUDWRZXVCXVHRVVLXWLXUJVVHWVLVXJXWLVVKXVMVYAWWSVWBWU
      HHXWLWWSVWBVVJWUHVVIVVJAVWBBVXSVXTXWDUYTWWSWUHWUKVVJVXJWVLWULWUMWUOAWUJWU
      DVWHWOWUPWUQVOVPVXJWVLWURVVIAWUJBWOVXSWUPVQVRVSXJVWBVWHWUDXTSXHTXUKXUNWUH
      HXWMXUKXUNVVJWUHXUKVVIWOHZXUMVVKXUNVVJHVVLXWNXUJVVKVXJWVLXWNVVHVYAXVMVVIA
      BVXSVUCVUDTXVBVVHVVKXUJXKVVJVVIVVTVWPCVXTVVTQZYDYEVVLXUQXUJXUSTXJXUNVWHWU
      DXTSEFBBVWBXUNVUEWDVUFYSVUGVWCXUODVWPVVJVVSVWPLVWAXUNVWBVVSVWPCVVTVUKVUHV
      UIWDVULVUMVUJYSVUNVUOVVLVVSVVJHZVWCKZVWGVVMVVQVVHVYDVVKXWQVWGVVHVYBVYDVYE
      VUPVYDVVKKZXWQKZVWEVVSVWDJZVWEVWTIZAVUQJZUJZVWGXWRXWPXXCVWCVYDVVKXWPXXCVY
      DVVKXWPXXCXWRVWEVWHHXWTVWHHXXCVYDXWPKVVIVVJVWDAVWHCBVWDQZVXSVXTWUQYTVVIVV
      JVWDAVWHVVSBXXDVXSVXTWUQYTVWHXXBAVWTVWEXWTWUQXXBQZWYFVVBXHVURWNWJXWSXXCVW
      EXVQXXBUJZVWGXWSXXAXVQVWEXXBXWRXWPVWCXXAXVQLZVWCVWAVWDJZVWBVWDJZLXWRXWPKZ
      XXGVWAVWBVWDVUSXXJXXHXXAXXIXVQVYDXWPVVKXXHXXALZVYDXWPVVKXXKVVIVVJVWDAVVTV
      WTVVSCBVXSVXTXXDWYFXWOVUTXGXIXWRXXIXVQLZXWPVVKVYDVXJXXLVYAVVIVWDAXVQVWBBX
      XDVXSXWDXWBVVAVPTYRVVCVVDVVEVYDVWGXXFRVVKXWQXXBAVWFXVQVWEVWFQXWBXXEVVFYIY
      HWIYCWQVVG $.

    $( A matrix over a field is invertible iff the rows are linearly
       independent.  (Contributed by Brendan Leahy, 2-Jun-2021.) $)
    matunitlindf $p |- ( ( R e. Field /\
      M e. ( Base ` ( I Mat R ) ) ) -> ( M e. ( Unit ` ( I Mat R ) ) <->
        curry M LIndF ( R freeLMod I ) ) ) $=
      ( vy vx cfield wcel cmat co cbs cfv wa cui cfrlm wb c0 wceq eqid cfn cvv
      ccur clindf wbr csn fvoveq1 mat0dimbas0 sylan9eq eleq2d syl6bi imdistanda
      vz elsni impcom cdr crg ccrg isfld simplbi drngring cur mat0dimid matring
      0fin mpan 1unit syl eqeltrrd 3syl cdm wf cv cvsca cdif cima clspn wn csca
      c0g wral f0 dm0 feq2i mpbir rzal ax-mp ovex islindf mp2an mpbir2an eleq12
      2thd sylan2 cureq copab cmpt df-cur dmeqi eqtri mpteq1 mpt0 3eqtri eqtrdi
      a1i cop oveq2 breqan12d bibi12d biimparc sylan anassrs sylancom wne cmdat
      simprbi matunit adantr drngunit mdetcl biantrurd bitr4d cxp matrcl simpld
      pm4.71i cmap xpfi anidms frlmfibas matbas ancoms eqtrd fvex elmapg adantl
      wi sylancr bitr3d ex pm5.32rd syl5bb biimpd anass sylibr matunitlindflem1
      eldifsn necon1ad sylan2br sylbid matunitlindflem2 impbid bitrd pm2.61dane
      imdistani ) AFGZCBAHIZJKZGZLZCUUOMKZGZCUAZABNIZUBUCZOZBPUURBPQZUUNCPQZLZU
      VDUVEUURUVGUVEUUNUUQUVFUVEUUNLZUUQCPUDZGUVFUVHUUPUVICUVEUUNUUPPAHIZJKUVIB
      PAJHUEAFUFUGUHCPULUIUJUMUUNUVFUVEUVDUUNPUVJMKZGZPAPNIZUBUCZOZUVFUVELZUVDU
      UNUVLUVNUUNAUNGZAUOGZUVLUUNUVQAUPGZAUQZURZAUSUVRUVJUTKZPUVKUVJAUVJRZVAUVR
      UVJUOGZUWBUVKGPSGZUVRUWDVCUVJAPUWCVBVDUVJUVKUWBUVKRUWBRVEVFVGVHUVNUUNUVNP
      VIZUVMJKZPVJZDVKZEVKZPKUVMVLKZIPUWFUWJUDVMVNUVMVOKZKGVPDUVMVQKZJKZUWMVRKZ
      UDVMVSZEUWFVSZUWHPUWGPVJUWGVTUWFPUWGPWAWBWCUWFPQUWQWAUWPEUWFWDWEUVMTGUWEU
      VNUWHUWQLOAPNWFVCEUWGUWMUWKDPUWLUWNUVMSTUWOUWGRUWKRUWLRUWMRUWNRUWORWGWHWI
      XCWKUVPUVDUVOUVPUUTUVLUVCUVNUVEUVFUUSUVKQUUTUVLOBPAMHUECPUUSUVKWJWLUVFUVE
      UVAPUVBUVMUBUVFUVAPUAZPCPWMUWREUWFVIZUWJUWIXDUKVKPUCDUKWNZWOZEPUWTWOZPEDU
      KPWPUWSPQUXAUXBQUWSUWFPUWFPWAWQWAWREUWSPUWTWSWEEUWTWTXAXBBPANXEXFXGXHXIXJ
      XKUURBPXLZLZUUTCBAXMIZKZAMKZGZUVCUURUUTUXHOZUXCUUNUVSUUQUXIUUNUVQUVSUVTXN
      ZUUOUUPUXEAUUSCBUXGUUORZUXERZUUPRZUUSRUXGRZXOXIXPUXDUXHUVCUXDUXHUXFAVRKZX
      LZUVCUURUXHUXPOUXCUURUXHUXFAJKZGZUXPLZUXPUUNUXHUXSOZUUQUUNUVQUXTUWAUXQAUX
      GUXFUXOUXQRZUXNUXORXQVFXPUURUXRUXPUUNUVSUUQUXRUXJUUOUUPUXEAUXQCBUXLUXKUXM
      UYAXRXIXSXTXPUURUUNBBYAZUXQCVJZLZBSGZLZUXCUXPUVCYOZUURUUNUYCUYELZLUYFUUNU
      UQUYHUUNUUQUYHUUQUUQUYELUUNUYHUUQUYEUUQUYEATGUUOUUPABCUXKUXMYBYCYDUUNUYEU
      UQUYCUUNUYEUUQUYCOUUNUYELZCUXQUYBYEIZGZUUQUYCUYIUYJUUPCUYIUYJAUYBNIZJKZUU
      PUYEUUNUYBSGZUYJUYMQUYEUYNBBYFYGZAUYLUYBUXQFUYLRZUYAYHWLUYEUUNUYMUUPQUUOA
      UYLBFUXKUYPYIYJYKUHUYEUYKUYCOZUUNUYEUXQTGUYNUYQAJYLUYOUXQUYBCTSYMYPYNYQYR
      YSYTUUAUUMUUNUYCUYEUUBUUCUYDUYEUXCUYGUYEUXCLUYDBSUVIVMGZUYGBSPUUEUYDUYRLU
      VCUXFUXOABCUUDUUFUUGXJXIUUHUXDUVCUXHABCUUIYRUUJUUKUUL $.
  $}

  ${
    $d k u v w x y ph $.  $d k u v w x y A $.  $d k u v w x y F $.
    $d u v w x y S $.  $d k u v w x y V $.  $d u v w x y W $.
    ptrest.0 $e |- ( ph -> A e. V ) $.
    ptrest.1 $e |- ( ph -> F : A --> Top ) $.
    ptrest.2 $e |- ( ( ph /\ k e. A ) -> S e. W ) $.
    $( Expressing a restriction of a product topology as a product topology.
       (Contributed by Brendan Leahy, 24-Mar-2019.) $)
    ptrest $p |- ( ph -> ( ( Xt_ ` F ) |`t X_ k e. A S ) =
      ( Xt_ ` ( k e. A |-> ( ( F ` k ) |`t S ) ) ) ) $=
      ( vu vv vw vx vy cfv crest cvv wcel wceq cpt cuni csn cmpt ccnv cima cmpo
      cv crn cun cfi cixp co ctg firest cin snex wral fvex eqid mpoexxg sylancl
      rgenw rnexg syl unexg sylancr ralrimiva ixpexg restval syl2anc mptun rnun
      rneqi eqtri cop elsni ineq1d mpteq2ia uniex inex1 fmptsn eqtr4i rnsnop wa
      mp2an ctop wss ffvelrnda inss1 restuni restin oveq2i eqtrdi unieqd eqtr4d
      incom ixpeq2dva ixpin csb nfcv nfcsb1v nfuni fveq2 csbeq1a oveq12d cbvixp
      nfov weq ixpeq2 ovex fvmptf mpan2 mprg 3eqtr3g wf resttop syl5eq wrex cab
      ptuni vex eleq12d anbi2d elin bitrdi eleq2d abbidv crab mptpreima 3eqtr4g
      df-rab eqeq2d ineq1 adantl wb wi nfv fveq2d ptval2 fmpttd sneqd wfn elixp
      3eqtr3d simprbi nfel2 rspc pm4.71d anbi2i bitr4i bitr3id anbi1d sylan9bbr
      syl5 an4 eqtr2i abid2 ineq12i inab rexbidv imaeq2d cbvrexvw a1i nfel nfim
      eqtr3i eleq1w imbi12d chvarfv elrest bitrd imaeq2 rexxfr2d rexbidva rnmpt
      bitr4d nfre1 mptex cnvex imaex rgen2w rexrnmpo ax-mp eqeq1 2rexbidv rnmpo
      syl5bb cbvabw uneq12d eqtrd eqtr3id oveq1d tgrest 3eqtr4d ) AEUAPZUBZUCZK
      LBKUHZEPZMUWQUWSMUHZPZUDZUEZLUHZUFZUGZUIZUJZUKPZDBCULZQUMZUNPZDBDUHZEPZCQ
      UMZUDZUAPZUBZUCZKLBUWSUXQPZMUXSUXBUDZUEZUXEUFZUGZUIZUJZUKPZUNPZUWPUXKQUMZ
      UXRAUXLUYHUNAUXLUXIUXKQUMZUKPUYHUXKUXIUOAUYKUYGUKAUYKNUXINUHZUXKUPZUDZUIZ
      UYGAUXIRSZUXKRSZUYKUYOTAUWRRSUXHRSZUYPUWQUQAUXGRSZUYRABFSZUWTRSZKBURUYSHV
      UAKBUWSEUSZVCKLBUWTUXFFRUXGUXGUTZVAVBUXGRVDVEUWRUXHRRVFVGACGSZDBURUYQAVUD
      DBJVHDBCGVIVEZNUXKUXIRRVJVKAUYONUWRUYMUDZUIZNUXHUYMUDZUIZUJZUYGUYOVUFVUHU
      JZUIVUJUYNVUKNUWRUXHUYMVLVNVUFVUHVMVOAVUGUXTVUIUYFAVUGUWQUXKUPZUCZUXTVUGU
      WQVULVPUCZUIVUMVUFVUNVUFNUWRVULUDZVUNNUWRUYMVULUYLUWRSUYLUWQUXKUYLUWQVQVR
      VSUWQRSVULRSVUNVUOTUWPEUAUSVTZUWQUXKVUPWANUWQVULRRWBWFWCVNUWQVULVUPWDVOAV
      ULUXSADBUXOUBZULZUXKUPZOBOUHZUXQPZUBZULZVULUXSADBVUQCUPZULDBUXPUBZULZVUSV
      VCADBVVDVVEAUXNBSZWEZVVDUXOVVDQUMZUBZVVEVVHUXOWGSZVVDVUQWHVVDVVJTABWGUXNE
      IWIZVUQCWJVVDUXOVUQVUQUTZWKVBVVHUXPVVIVVHUXPUXOCVUQUPZQUMZVVIVVHUXORSVUDU
      XPVVOTUXNEUSJCUXORGVUQVVMWLVGVVNVVDUXOQCVUQWQWMWNWOWPWRDBVUQCWSVVFOBVUTEP
      ZDVUTCWTZQUMZUBZULZVVCDOBVVEVVSOVVEXADVVRDVVPVVQQDVVPXADQXAZDVUTCXBXHZXCD
      OXIZUXPVVRVWCUXOVVPCVVQQUXNVUTEXDDVUTCXEXFZWOXGVVBVVSTVVCVVTTOBOBVVBVVSXJ
      VUTBSZVVAVVRVWEVVRRSVVAVVRTVVPVVQQXKDVUTUXPVVRBUXQRDVUTXAVWBVWDUXQUTZXLXM
      WOXNWCXOAVURUWQUXKAUYTBWGEXPZVURUWQTHIDBEUWPFUWPUTZYAVKVRAUYTBWGUXQXPZVVC
      UXSTHADBUXPWGVVHVVKVUDUXPWGSVVLJCUXOGXQVKUUAZOBUXQUXRFUXRUTZYAVKUUEZUUBXR
      AUYLUXFUXKUPZTZLUWTXSZKBXSZNXTZUYLUYDTZLUYAXSZKBXSZNXTVUIUYFAVWPVWTNAVWOV
      WSKBAUWSBSZWEZVWOUYLUYCVUTDUWSCWTZUPZUFZTZOUWTXSZVWSVXBVWOUYLUYCUXEVXCUPZ
      UFZTZLUWTXSVXGVXBVWNVXJLUWTVXBVWMVXIUYLVXBUXAUWQSZUXBUXESZWEZUXAUXKSZWEZM
      XTZUXAUXSSZUXBVXHSZWEZMXTZVWMVXIVXBVXOVXSMVXAVXOVXKVXNWEZVXRWEZAVXSVXAVXO
      VXMVXNUXBVXCSZWEZWEZVYBVXAVXNVYDVXMVXAVXNVYCVXNUXNUXAPZCSZDBURZVXAVYCVXNU
      XABUUCVYHDBCUXAMYBUUDUUFVYGVYCDUWSBDUXBVXCDUWSCXBZUUGDKXIZVYFUXBCVXCUXNUW
      SUXAXDDUWSCXEZYCUUHUUOUUIYDVYEVYAVXLVYCWEZWEVYBVXKVXLVXNVYCUUPVXRVYLVYAUX
      BUXEVXCYEUUJUUKYFAVYAVXQVXRVYAUXAVULSAVXQUXAUWQUXKYEAVULUXSUXAVWLYGUULUUM
      UUNYHVXMMXTZVXNMXTZUPVWMVXPVYMUXFVYNUXKUXFVXLMUWQYIVYMMUWQUXBUXEUXCUXCUTY
      JVXLMUWQYLUUQMUXKUURUUSVXMVXNMUUTUVGVXIVXRMUXSYIVXTMUXSUXBVXHUYBUYBUTYJVX
      RMUXSYLVOYKYMUVAVXJVXFLOUWTLOXIZVXIVXEUYLVYOVXHVXDUYCUXEVUTVXCYNUVBYMUVCY
      FVXBVWRVXFLOVXDUYAUWTRVXDRSVXBVUTUWTSWEVUTVXCOYBWAUVDVXBUXEUYASUXEUWTVXCQ
      UMZSZUXEVXDTZOUWTXSZVXBUYAVYPUXEVXAUYAVYPTZAVXAVYPRSVYTUWTVXCQXKDUWSUXPVY
      PBUXQRDUWSXADUWTVXCQDUWTXAVWAVYIXHVYJUXOUWTCVXCQUXNUWSEXDVYKXFVWFXLXMYOYG
      VXBVUAVXCDUWSGWTZSZVYQVYSYPVUBVVHVUDYQVXBWUBYQDKVXBWUBDVXBDYRDVXCWUAVYIDU
      WSGXBUVEUVFVYJVVHVXBVUDWUBVYJVVGVXAADKBUVHYDVYJCVXCGWUAVYKDUWSGXEYCUVIJUV
      JOUXEVXCUWTRWUAUVKVGUVLVYRVWRVXFYPVXBVYRUYDVXEUYLUXEVXDUYCUVMYMYOUVNUVQUV
      OYHVUIVUTUYMTZNUXHXSZOXTVWQNOUXHUYMVUHVUHUTUVPWUDVWPONWUCNUXHUVRVWPOYRWUD
      VUTVWMTZLUWTXSKBXSZONXIZVWPUXFRSZLUWTURKBURWUDWUFYPWUHKLBUWTUXDUXEUXCMUWQ
      UXBVUPUVSUVTUWAUWBWUCWUEKLNBUWTUXFUXGRVUCUYLUXFTUYMVWMVUTUYLUXFUXKYNYMUWC
      UWDWUGWUEVWNKLBUWTVUTUYLVWMUWEUWFUWHUWIVOKLNBUYAUYDUYEUYEUTZUWGYKUWJXRUWK
      YSUWLYSAUYJUXJUNPZUXKQUMZUXMAUWPWUJUXKQAUYTVWGUWPWUJTHIMLBKEUXGUWPFUWQVWH
      UWQUTVUCYTVKUWMAUXJRSUYQUXMWUKTUXIUKUSVUEUXKUXJRRUWNVGWPAUYTVWIUXRUYITHVW
      JMLBKUXQUYEUXRFUXSVWKUXSUTWUIYTVKUWO $.
  $}

  ${
    $d d g h n w x y z N $.  $d d g h n w x y z P $.  $d d g h n w x y z S $.
    $d g h w x y z D $.  $d g h w x y z R $.
    ptrecube.r $e |- R =
      ( Xt_ ` ( ( 1 ... N ) X. { ( topGen ` ran (,) ) } ) ) $.
    ptrecube.d $e |- D = ( ( abs o. - ) |` ( RR X. RR ) ) $.
    $( Any point in an open set of N-space is surrounded by an open cube within
       that set.  (Contributed by Brendan Leahy, 21-Aug-2020.)  (Proof
       shortened by AV, 28-Sep-2020.) $)
    ptrecube $p |- ( ( S e. R /\ P e. S ) -> E. d e. RR+ X_ n e. ( 1 ... N )
      ( ( P ` n ) ( ball ` D ) d ) C_ S ) $=
      ( vy wcel cv cfv wral wceq wrex wa wss crp cr vh vw vx vz vg cfz wfn cioo
      c1 crn ctg csn cxp cuni cdif cfn w3a cixp wex cab cbl cpt fzfi ctop retop
      co fnconstg ax-mp eqid ptval mp2an eqtri eleq2i tg2 wi elpt fvex fvconst2
      eleq2d ralbiia cvv elixp2 simp3bi r19.26 wf uniretop eltopss sselda cxmet
      mpan rexmet cmopn tgioo mopni2 mp3an1 sylanbrc ralimi oveq2 sseq1d anbi2d
      r19.42v ac6sfi sylancr c0 clt cinf cif 1rp a1i wn frn adantr wne ffn fnfi
      sylancl rnfi syl cdm dm0rn0 fdm eqeq1d bitr3id necon3abid biimpar syl3anc
      rpssre sstrdi cxr cle wbr rpxrd cc0 ralbidv sylan expimpd exlimiv sylanb
      sstr2 imp wor ltso fiinfcl sseldd ifclda ffvelrn ne0i ifnefalse 0re rpge0
      adantl rgen ssralv mpisyl breq1 fnfvelrn infrelb eqbrtrd jca31 ssbl 3expb
      rspcev mpanl1 ancoms ralimdva cabs cmin ccom cres fveq2i oveqi sseq1i nfv
      ralbii nfxfr rspce syl2anc sylbir sylan2 ss2ixp syl11 reximdv eleq2 sseq1
      syl5com anbi12d imbi1d syl5ibrcom 3ad2ant2 sylbi rexlimiv ) DCKDUALZUIFUF
      VFZUGZELZUWLMZUWOUWMUHUJZUKMZULUMZMZKEUWMNUWPUWTUNZOEUWMUBLUONUBUPPUQUCLZ
      EUWMUWPUROQUAUSUCUTZUKMZKZBDKZEUWMUWOBMZGLZAVAMZVFZURZDRZGSPZCUXDDCUWSVBM
      ZUXDHUWMUPKZUWSUWMUGZUXNUXDOUIFVCZUWRVDKZUXPVEUWMUWRVDVGVHUCEUBUWMUXCUAUW
      SUPUXCVIZVJVKVLVMUXEUXFQBUDLZKZUXTDRZQZUDUXCPUXMUDDUXCBVNUYCUXMUDUXCUXTUX
      CKUELZUWMUGZUWOUYDMZUWTKZEUWMNZUYFUXAOEUWMUXTUONUDUPPZUQZUXTEUWMUYFURZOZQ
      ZUEUSUYCUXMVOZUCEUBUDUWMUXCUXTUAUEUWSUXSVPUYMUYNUEUYJUYLUYNUYHUYEUYLUYNVO
      UYIUYHUYNUYLBUYKKZUYKDRZQZUXMVOUYHUYOUYPUXMUYHUYOQUXJUYFRZEUWMNZGSPZUYPUX
      MUYHUYFUWRKZEUWMNZUYOUYTUYGVUAEUWMUWOUWMKZUWTUWRUYFUWMUWRUWOUWQUKVQVRVSVT
      UYOVUBUXGUYFKZEUWMNZUYTUYOBWAKBUWMUGVUEEUWMUYFBWBWCVUBVUEQVUAVUDQZEUWMNZU
      YTVUAVUDEUWMWDVUGUWMSUWLWEZUXGTKZUXGUWPUXIVFZUYFRZQZEUWMNZQZUAUSZUYTVUGUX
      OVUIUXGJLZUXIVFZUYFRZQZJSPZEUWMNVUOUXQVUFVUTEUWMVUFVUIVURJSPZVUTVUAUYFTUX
      GUXRVUAUYFTRVEUYFUWRTWFWGWJWHATWIMKZVUAVUDVVAAIWKZJUYFAUXGUWRTAAWLMZIVVDV
      IWMWNWOVUIVURJSXAWPWQVUSVULEJUWMSUAVUPUWPOZVURVUKVUIVVEVUQVUJUYFVUPUWPUXG
      UXIWRWSWTXBXCVUNUYTUAVUNUWMXDOZUIUWLUJZTXEXFZXGZSKZUXGVVIUXIVFZUYFRZEUWMN
      ZUYTVUHVVJVUMVUHVVFUIVVHSUISKVUHVVFQXHXIVUHVVFXJZQZVVGSVVHVUHVVGSRZVVNUWM
      SUWLXKZXLVVOVVGUPKZVVGXDXMZVVGTRZVVHVVGKZVUHVVRVVNVUHUWLUPKZVVRVUHUWNUXOV
      WBUWMSUWLXNZUXQUWMUWLXOXPUWLXQXRXLVUHVVSVVNVUHVVFVVGXDVVGXDOUWLXSZXDOVUHV
      VFUWLXTVUHVWDUWMXDUWMSUWLYAYBYCYDYEVUHVVTVVNVUHVVGSTVVQYGYHZXLTXEUUAVVRVV
      SVVTUQVWAUUBTVVGXEUUCWJYFUUDUUEZXLVUHVUMVVMVUHVULVVLEUWMVUHVUCQZVUIVUKVVL
      VWGVUIQVVKVUJRZVUKVVLVOVWGVVIYIKZUWPYIKZQZVVIUWPYJYKZQZVUIVWHVWGVWIVWJVWL
      VWGVVIVUHVVJVUCVWFXLYLVWGUWPUWMSUWOUWLUUFYLVWGVVIVVHUWPYJVUCVVIVVHOZVUHVU
      CUWMXDXMVWNUWMUWOUUGUWMXDUIVVHUUHXRUUKVWGVVTUXBVUPYJYKZJVVGNZUCTPZUWPVVGK
      ZVVHUWPYJYKVUHVVTVUCVWEXLVUHVWQVUCVUHYMTKYMVUPYJYKZJVVGNZVWQUUIVUHVVPVWSJ
      SNVWTVVQVWSJSVUPUUJUULVWSJVVGSUUMUUNVWPVWTUCYMTUXBYMOVWOVWSJVVGUXBYMVUPYJ
      UUOYNUVBXCXLVUHUWNVUCVWRVWCUWMUWOUWLUUPYOUCJUWPVVGUUQYFUURUUSVUIVWMVWHVVB
      VUIVWMVWHVVCVVBVUIQVWKVWLVWHAUXGVVIUWPTUUTUVAUVCUVDYOVVKVUJUYFYSXRYPUVEYT
      UYSVVMGVVISVVMUXGVVIUVFUVGUVHTTUMUVIZVAMZVFZUYFRZEUWMNZGVVLVXDEUWMVVKVXCU
      YFUXIVXBUXGVVIAVXAVAIUVJUVKUVLUVNVXEGUVMUVOUXHVVIOZUYRVVLEUWMVXFUXJVVKUYF
      UXHVVIUXGUXIWRWSYNUVPUVQYQXRUVRUVSYRUYPUYSUXLGSUXKUYKRUYPUXLUYSUXKUYKDYSE
      UWMUXJUYFUVTUWAUWBUWEYPUYLUYCUYQUXMUYLUYAUYOUYBUYPUXTUYKBUWCUXTUYKDUWDUWF
      UWGUWHUWIYTYQUWJUWKXRYR $.
  $}

  ${
    $d f i j k m n p q s t u w x y z $.  $d j m n y ph $.  $d j m n y F $.
    $d j m n y M $.  $d j m n y N $.  $d j m n y T $.  $d j m n y U $.
    $d j m n y V $.
    poimir.0 $e |- ( ph -> N e. NN ) $.
    ${
      poimirlem2.1 $e |- ( ph -> F = ( y e. ( 0 ... ( N - 1 ) ) |->
        [_ if ( y < M , y , ( y + 1 ) ) / j ]_ ( T oF +
      ( ( ( U " ( 1 ... j ) ) X. { 1 } ) u.
        ( ( U " ( ( j + 1 ) ... N ) ) X. { 0 } ) ) ) ) ) $.
      poimirlem2.2 $e |- ( ph -> T : ( 1 ... N ) --> ZZ ) $.
      poimirlem2.3 $e |- ( ph -> U : ( 1 ... N ) -1-1-onto-> ( 1 ... N ) ) $.
      ${
        poimirlem1.4 $e |- ( ph -> M e. ( 1 ... ( N - 1 ) ) ) $.
        $( Lemma for ~ poimir - the vertices on either side of a skipped vertex
           differ in at least two dimensions.  (Contributed by Brendan Leahy,
           21-Aug-2020.) $)
        poimirlem1 $p |- ( ph -> -. E* n e. ( 1 ... N )
          ( ( F ` ( M - 1 ) ) ` n ) =/= ( ( F ` M ) ` n ) ) $=
          ( c1 co cfv cfz wcel wceq vm cv cmin wne wa wrex wrmo caddc wf1o f1of
          wn wf syl cuz wss cc nncnd npcan1 cz nnzd peano2zm uzid peano2uz 4syl
          eqeltrrd fzss2 sseldd ffvelrnd fzp1elp1 eleqtrd cpr wral cima imassrn
          oveq2d crn frn 3syl sstrid sselda zred ltp1d ltned syldan csn cxp cc0
          cun clt wbr cif csb cvv breq1 sylan9eqr csbeq1d syl2anc mpbid imaeq2d
          oveq2 xpeq1d oveq1 zcnd oveq1d uneq12d adantr eqtrd fvmptd fveq1d wfn
          ovexd cin c0 1ex fnconstg ax-mp c0ex pm3.2i fzdisj eqtrdi eqtr3d fnun
          imain sylancr imaundi fneq2d imass2 mp3an12 fvconst2 ofval mpdan fvex
          cr fveq2 neeq12d sylib wi anbi12d bitri xchbinxr ffvelrnda id elfzelz
          ifbieq1d ltm1d iftrued wb elfzm1b adantl csbied ffnd ccnv wfun dff1o3
          cof simprbi ima0 elfzuz eqeltrd uzss elfzuz3 eluzp1p1 fzsplit2 uneq2d
          wfo f1ofo foima inidm eqidd fvun2 3eqtrd ifbieq2d ltnrd iffalsed ovex
          addid1d csbie fz1ssfz0 peano2re fzsplit fzss1 fvun1 3netr4d ralrimiva
          sselid fzpr f1ofn fnimapr syl3anc raleqdv ralpr wf1 f1veqaeq syl12anc
          f1of1 necon3d anbi1d neeq1 anbi2d neeq2 rspc2ev syl112anc dfrex2 rmo4
          mpd weq dfral2 df-ne anbi2i annim rexbii ralbii ) AFUBZHOUCPZGQZQZUXM
          HGQZQZUDZUAUBZUXOQZUXTUXQQZUDZUEZUXMUXTUDZUEZUAOIRPZUFZFUYGUFZUXSFUYG
          UGZUKAHDQZUYGSHOUHPZDQZUYGSUYKUXOQZUYKUXQQZUDZUYMUXOQZUYMUXQQZUDZUEZU
          YKUYMUDZUYIAUYGUYGHDAUYGUYGDUIZUYGUYGDULZMUYGUYGDUJZUMZAOIOUCPZRPZUYG
          HAIVUFUNQZSVUGUYGUOAVUFOUHPZIVUHAIUPSVUIITAIJUQIURUMZAIUSSZVUFUSSZVUF
          VUHSVUIVUHSAIJUTZIVAZVUFVBVUFVUFVCVDVEVUFOIVFUMNVGZVHAUYGUYGUYLDVUEAU
          YLOVUIRPZUYGAHVUGSZUYLVUPSNHOVUFVIUMAVUIIORVUJVOVJZVHAUXSFUYKUYMVKZVL
          ZUYTAUXSFDHUYLRPZVMZVLVUTAUXSFVVBAUXMVVBSZUEZUXMCQZVVEOUHPZUXPUXRAVVC
          UXMUYGSZVVEVVFUDAVVBUYGUXMAVVBDVPZUYGDVVAVNAVUBVUCVVHUYGUOMVUDUYGUYGD
          VQVRVSVTZAVVGUEZVVEVVFVVJVVEAUYGUSUXMCLUUAZWAZVVJVVEVVLWBWCWDVVDUXPUX
          MCDOUXNRPZVMZOWEZWFZDHIRPZVMZWGWEZWFZWHZUHUUOZPZQZVVEWGUHPZVVEAUXPVWD
          TVVCAUXMUXOVWCABUXNEBUBZHWIWJZVWFVWFOUHPZWKZCDOEUBZRPZVMZVVOWFZDVWJOU
          HPZIRPZVMZVVSWFZWHZVWBPZWLZVWCWGVUFRPZGWMKAVWFUXNTZUEZVWTEUXNVWSWLZVW
          CVXCEVWIUXNVWSVXBAVWIUXNHWIWJZUXNVWHWKUXNVXBVWGVXEVWFUXNVWHVWFUXNHWIW
          NVXBUUBUUDAVXEUXNVWHAHAHAVUQHUSSZNHOVUFUUCZUMZWAZUUEZUUFWOWPAVXDVWCTV
          XBAEUXNVWSVWCWGVUFOUCPZRPZAVUQUXNVXLSZNAVXFVULVUQVXMUUGVXHAVUKVULVUMV
          UNUMZHVUFUUHWQWRZAVWJUXNTZUEZVWRVWACVWBVXQVWMVVPVWQVVTVXPVWMVVPTAVXPV
          WLVVNVVOVXPVWKVVMDVWJUXNORWTWSXAUUIVXQVWPVVRVVSVXQVWOVVQDVXQVWNHIRVXP
          AVWNUXNOUHPZHVWJUXNOUHXBAHUPSVXRHTAHVXHXCHURUMZWOXDWSXAXEVOUUJXFXGAVX
          LVXAUXNAVUFVXKUNQZSVXLVXAUOAVXKOUHPZVUFVXTAVUFUPSVYAVUFTAVUFVXNXCVUFU
          RUMAVULVXKUSSVXKVXTSVYAVXTSVXNVUFVAVXKVBVXKVXKVCVDVEVXKWGVUFVFUMVXOVG
          ACVWAVWBXKXHXIXFVVDVVGVWDVWETVVIVVDUYGUYGVVEWGUHUYGCVWAWMWMUXMACUYGXJ
          VVCAUYGUSCLUUKXFZAVWAUYGXJZVVCAVWAVVNVVRWHZXJZVYCAVVPVVNXJZVVTVVRXJZU
          EVVNVVRXLZXMTZVYEVYFVYGOWMSZVYFXNVVNOWMXOXPZWGWMSZVYGXQVVRWGWMXOXPZXR
          ADVVMVVQXLZVMZVYHXMAVUBDUULUUMZVYOVYHTMVUBUYGUYGDUVEZVYPUYGUYGDUUNUUP
          ZVVMVVQDYCVRAVYODXMVMZXMAVYNXMDAVXEVYNXMTVXJOUXNHIXSUMWSDUUQZXTYAZVVN
          VVRVVPVVTYBYDAVYDUYGVWAADUYGVMZVYDUYGAWUBDVVMVVQWHZVMVYDAUYGWUCDAUYGV
          VMVXRIRPZWHZWUCAVXROUNQZSIUXNUNQZSUYGWUETAVXRHWUFVXSAVUQHWUFSZNHOVUFU
          URUMZUUSAUYLUNQZWUGIAHWUGSUYLWUGSWUJWUGUOAVXRHWUGVXSAVXFUXNUSSUXNWUGS
          VXRWUGSVXHHVAUXNVBUXNUXNVCVDVEUXNHVCUXNUYLUUTVRAVUIIWUJVUJAVUQVUFHUNQ
          SVUIWUJSNHOVUFUVAHVUFUVBVRVEZVGUXNOIUVCWQAWUDVVQVVMAVXRHIRVXSXDUVDXGW
          SDVVMVVQYEXTAVUBVYQWUBUYGTMUYGUYGDUVFUYGUYGDUVGVRZYAYFWRXFVVDOIRXKZWU
          MUYGUVHZVVDVVGUEVVEUVIZVVDUXMVWAQZWGTVVGVVDWUPUXMVVTQZWGVVDVYIUXMVVRS
          ZWUPWUQTZAVYIVVCWUAXFAVVBVVRUXMAIWUJSVVAVVQUOVVBVVRUOWUKUYLHIVFVVAVVQ
          DYGVRVTZVYFVYGVYIWURUEWUSVYKVYMVVNVVRVVPVVTUXMUVJYHWQVVDWURWUQWGTWUTV
          VRWGUXMXQYIUMXGXFYJYKAVVCVVGVWEVVETVVIVVJVVEVVJVVEVVKXCUVPWDUVKVVDUXR
          UXMCDOUYLRPZVMZVVOWFZDUYLOUHPZIRPZVMZVVSWFZWHZVWBPZQZVVFAUXRWVJTVVCAU
          XMUXQWVIABHVWTWVIVXAGWMKAVWFHTZUEZVWTEUYLVWSWLWVIWVLEVWIUYLVWSWVKAVWI
          HHWIWJZVWFUYLWKUYLWVKVWGWVMVWHUYLVWFVWFHHWIWNVWFHOUHXBUVLAWVMVWFUYLAH
          VXIUVMUVNWOWPEUYLVWSWVIHOUHUVOVWJUYLTZVWRWVHCVWBWVNVWMWVCVWQWVGWVNVWL
          WVBVVOWVNVWKWVADVWJUYLORWTWSXAWVNVWPWVFVVSWVNVWOWVEDWVNVWNWVDIRVWJUYL
          OUHXBXDWSXAXEVOUVQXTAVUGVXAHVUFUVRNUWEACWVHVWBXKXHXIXFVVDVVGWVJVVFTVV
          IVVDUYGUYGVVEOUHUYGCWVHWMWMUXMVYBAWVHUYGXJZVVCAWVHWVBWVFWHZXJZWVOAWVC
          WVBXJZWVGWVFXJZUEWVBWVFXLZXMTZWVQWVRWVSVYJWVRXNWVBOWMXOXPZVYLWVSXQWVF
          WGWMXOXPZXRAWVTVYSXMADWVAWVEXLZVMZWVTVYSAVUBVYPWWEWVTTMVYRWVAWVEDYCVR
          AWWDXMDAUYLWVDWIWJWWDXMTAUYLAHYMSUYLYMSVXIHUVSUMWBOUYLWVDIXSUMWSYAVYT
          XTZWVBWVFWVCWVGYBYDAWVPUYGWVHAWUBWVPUYGAWUBDWVAWVEWHZVMWVPAUYGWWGDAUY
          LUYGSZUYGWWGTVURUYLOIUVTUMWSDWVAWVEYEXTWULYAYFWRXFWUMWUMWUNWUOVVDUXMW
          VHQZOTVVGVVDWWIUXMWVCQZOVVDWWAUXMWVBSZWWIWWJTZAWWAVVCWWFXFAVVBWVBUXMA
          WUHVVAWVAUOVVBWVBUOWUIHOUYLUWAVVAWVADYGVRVTZWVRWVSWWAWWKUEWWLWWBWWCWV
          BWVFWVCWVGUXMUWBYHWQVVDWWKWWJOTWWMWVBOUXMXNYIUMXGXFYJYKXGUWCUWDAUXSFV
          VBVUSAVVBDHUYLVKZVMZVUSAVVAWWNDAVUQVXFVVAWWNTNVXGHUWFVRWSADUYGXJZHUYG
          SZWWHWWOVUSTAVUBWWPMUYGUYGDUWGUMVUOVURUYGHUYLDUWHUWIXGUWJWRUXSUYPUYSF
          UYKUYMHDYLUYLDYLUXMUYKTZUXPUYNUXRUYOUXMUYKUXOYNUXMUYKUXQYNYOZUXMUYMTU
          XPUYQUXRUYRUXMUYMUXOYNUXMUYMUXQYNYOUWKYPAHUYLUDVUAAHUYLVXIAHVXIWBWCAU
          YKUYMHUYLAUYGUYGDUWLZWWQWWHUYKUYMTHUYLTYQAVUBWWTMUYGUYGDUWOUMVUOVURUY
          GUYGHUYLDUWMUWNUWPUXEUYFUYTVUAUEUYPUYCUEZUYKUXTUDZUEFUAUYKUYMUYGUYGWW
          RUYDWXAUYEWXBWWRUXSUYPUYCWWSUWQUXMUYKUXTUWRYRUXTUYMTZWXAUYTWXBVUAWXCU
          YCUYSUYPWXCUYAUYQUYBUYRUXTUYMUXOYNUXTUYMUXQYNYOUWSUXTUYMUYKUWTYRUXAUX
          BUYIUYHUKZFUYGVLZUYJUYHFUYGUXCUYJUYDFUAUXFZYQZUAUYGVLZFUYGVLWXEUXSUYC
          FUAUYGWXFUXPUYAUXRUYBUXMUXTUXOYNUXMUXTUXQYNYOUXDWXHWXDFUYGWXHWXGUKZUA
          UYGUFUYHWXGUAUYGUXGUYFWXIUAUYGUYFUYDWXFUKZUEWXIUYEWXJUYDUXMUXTUXHUXIU
          YDWXFUXJYSUXKYTUXLYSYTYP $.
      $}

      poimirlem2.4 $e |- ( ph -> V e. ( 1 ... ( N - 1 ) ) ) $.
      poimirlem2.5 $e |- ( ph -> M e. ( ( 0 ... N ) \ { V } ) ) $.
      $( Lemma for ~ poimir - consecutive vertices differ in at most one
         dimension.  (Contributed by Brendan Leahy, 21-Aug-2020.) $)
      poimirlem2 $p |- ( ph -> E* n e. ( 1 ... N )
        ( ( F ` ( V - 1 ) ) ` n ) =/= ( ( F ` V ) ` n ) ) $=
        ( c1 wceq wcel syl vm cv cmin co cfv wne wi cfz cima wral clt wbr caddc
        wrmo wa csn wn wo wb cdif cun imadif cc npcan1 fzsplit difeq1d difundir
        oveq2d cuz difun2 cle zred ltnled mpbid nsyl difsn syl5eq eqtrd uneq12d
        imaeq2d eqtr3d imaundi eqtrdi adantr cxp cc0 imassrn sstrid cfn wfn cin
        cr sselda cz c0 cvv 1ex fnconstg ax-mp c0ex pm3.2i imain fzdisj sylancr
        fnun wss uzid peano2uz eqeltrrd fzss2 eqtr3id fzfid eqidd fvun1 mp3an12
        fneq2d sylan fvconst2 adantl ofval imass2 syldan eqtr4d mpdan fvun2 cif
        adantlr oveq1 sylan9eqr syl2anc biimpa eqeq2d oveq2 xpeq1d oveq1d ovexd
        a1i csbied fvmptd fveq1d weq wex ccnv wfun wf1o dff1o3 simprbi fzp1elp1
        wfo nncnd eleqtrd elfzuz fzsuc elfzelzd ltp1d peano2zd elfzle2 peano2re
        elfzle1 eleq2d eldif elun 3bitr3g cof f1of frnd ffnd ima0 nnzd peano2zm
        crn sseldd f1ofo foima inidm fzss1 jaodan csb cmpt vex ovex breq1 simpr
        wf ifex zcnd ifbieq12d eldifad zltlem1 lenltd bitrd iffalsed elfzm1b id
        ltnsym imp fz1ssfz0 sselid 3eqtr4d sylbid necon1ad elimasni eqcom f1ofn
        ex expdimp fnbrfvb syl5bb syl5ibr ad2antrr syld ralrimiva eqeq2 ralbidv
        fvex imbi2d spcev eqeltrd fzsplit2 fzsn ltm1d uzss elfzuz3 lttr syl3anc
        uneq2d mpand iftrued simpll csbied2 iftrue adantll eldifsni lttri2d nfv
        mpjaodan rmo2 rmoeq1 bitr3id ) AFUBZJQUCUDZGUEZUEZUYTJGUEZUEZUFZFUAUUAZ
        UGZFDQIUHUDZUIZUJZUAUUBZVUFFVUIUNZAHJUKULZVULJHUKULZAVUNUOZVUFUYTJQUMUD
        ZDUEZRZUGZFVUJUJZVULVUPVUTFVUJVUPUYTVUJSZUOZVUFUYTDVUQUPZUIZSZVUSVVCVVF
        VUCVUEVUPVVBVVFUQZVUCVUERZVUPVVBVVGUOZUYTDQJUHUDZUIZSZUYTDVUQQUMUDZIUHU
        DZUIZSZURZVVHAVVIVVQUSVUNAUYTVUJVVEUTZSUYTVVKVVOVAZSVVIVVQAVVRVVSUYTAVV
        RDVVJVVNVAZUIZVVSADVUIVVDUTZUIZVVRVWAADUUCUUDZVWCVVRRAVUIVUIDUUEZVWDNVW
        EVUIVUIDUUIZVWDVUIVUIDUUFUUGTZVUIVVDDVBTAVWBVVTDAVWBQVUQUHUDZVVNVAZVVDU
        TZVVTAVUIVWIVVDAVUQVUISZVUIVWIRAVUQQIQUCUDZQUMUDZUHUDZVUIAJQVWLUHUDZSZV
        UQVWNSOJQVWLUUHTAVWMIQUHAIVCSVWMIRAIKUUJIVDTZVHUUKZVUQQIVETZVFAVWJVWHVV
        DUTZVVNVVDUTZVAVVTVWHVVNVVDVGAVWTVVJVXAVVNAVWTVVJVVDVAZVVDUTZVVJAVWHVXB
        VVDAJQVIUEZSZVWHVXBRAVWPVXEOJQVWLUULTZQJUUMTVFAVXCVVJVVDUTZVVJVVJVVDVJA
        VUQVVJSZUQVXGVVJRAVUQJVKULZVXHAJVUQUKULZVXIUQAJAJAJQVWLOUUNZVLZUUOZAJVU
        QVXLAVUQAJVXKUUPZVLZVMVNZVUQQJUUQVOVUQVVJVPTVQVRAVUQVVNSZUQVXAVVNRAVVMV
        UQVKULZVXQAVUQVVMUKULZVXRUQAVUQVXOUUOZAVUQVVMVXOAVUQWLSVVMWLSVXOVUQUURT
        VMVNVUQVVMIUUSVOVUQVVNVPTVSVQVRVTWADVVJVVNWBWCUUTUYTVUJVVEUVAUYTVVKVVOU
        VBUVCWDVUPVVQVVHVUPVVQUOUYTCVVKQUPZWEZDVUQIUHUDZUIZWFUPZWEZVAZUMUVDZUDZ
        UEZUYTCDVWHUIZVYAWEZVVOVYEWEZVAZVYHUDZUEZVUCVUEAVVQVYJVYPRZVUNAVVLVYQVV
        PAVVLUOZUYTVUISZVYQAVVKVUIUYTAVVKDUVKZVUIDVVJWGAVUIVUIDAVWEVUIVUIDUWDNV
        UIVUIDUVETUVFZWHWMVYRVYSUOZVYJUYTCUEZQUMUDZVYPVYRVUIVUIWUCQUMVUICVYGWIW
        IUYTACVUIWJZVVLAVUIWNCMUVGZWDZAVYGVUIWJZVVLAVYGVVKVYDVAZWJZWUHAVYBVVKWJ
        ZVYFVYDWJZUOVVKVYDWKZWORZWUJWUKWULQWPSZWUKWQVVKQWPWRWSZWFWPSZWULWTVYDWF
        WPWRWSZXAADVVJVYCWKZUIZWUMWOAVWDWUTWUMRVWGVVJVYCDXBTAWUTDWOUIZWOAWUSWOD
        AVXJWUSWORVXMQJVUQIXCTVTDUVHZWCWAZVVKVYDVYBVYFXEXDAWUIVUIVYGAWUIDVVJVYC
        VAZUIZVUIDVVJVYCWBAVUJWVEVUIAVUIWVDDAJVUISZVUIWVDRAVWOVUIJAIVWLVIUEZSVW
        OVUIXFAVWMIWVGVWQAVWLWVGSZVWMWVGSAVWLWNSZWVHAIWNSZWVIAIKUVIZIUVJTVWLXGT
        VWLVWLXHTXIVWLQIXJTOUVLZJQIVETZVTAVWFVUJVUIRZAVWEVWFNVUIVUIDUVMTVUIVUID
        UVNTZWAXKXPVNZWDVYRQIXLZWVQVUIUVOZWUBWUCXMZVYRUYTVYGUEZQRZVYSVYRWVTUYTV
        YBUEZQAWUNVVLWVTWWBRZWVCWUKWULWUNVVLUOWWCWUPWURVVKVYDVYBVYFUYTXNXOXQVVL
        WWBQRAVVKQUYTWQXRXSVRZWDXTVYRVUIVUIWUCQUMVUICVYNWIWIUYTWUGAVYNVUIWJZVVL
        AVYNVYKVVOVAZWJZWWEAVYLVYKWJZVYMVVOWJZUOVYKVVOWKZWORZWWGWWHWWIWUOWWHWQV
        YKQWPWRWSZWUQWWIWTVVOWFWPWRWSZXAADVWHVVNWKZUIZWWJWOAVWDWWOWWJRVWGVWHVVN
        DXBTAWWOWVAWOAWWNWODAVXSWWNWORVXTQVUQVVMIXCTVTWVBWCWAZVYKVVOVYLVYMXEXDA
        WWFVUIVYNAWWFDVWIUIZVUIDVWHVVNWBAVUJWWQVUIAVUIVWIDVWSVTWVOWAXKXPVNZWDWV
        QWVQWVRWVSVYRUYTVYNUEZQRZVYSAVVLUYTVYKSZWWTAVVKVYKUYTAVVJVWHXFZVVKVYKXF
        AVUQJVIUEZSZWXBAJWXCSZWXDAJWNSZWXEVXKJXGTJJXHTZJQVUQXJTVVJVWHDYATWMAWXA
        UOWWSUYTVYLUEZQAWWKWXAWWSWXHRZWWPWWHWWIWWKWXAUOWXIWWLWWMVYKVVOVYLVYMUYT
        XNXOXQWXAWXHQRAVYKQUYTWQXRXSVRYBWDXTYCYDAVVPUOZVYSVYQAVVOVUIUYTAVVOVYTV
        UIDVVNWGWUAWHWMWXJVYSUOZVYJWUCWFUMUDZVYPWXJVUIVUIWUCWFUMVUICVYGWIWIUYTA
        WUEVVPWUFWDZAWUHVVPWVPWDWXJQIXLZWXNWVRWXKWUCXMZWXJWVTWFRZVYSAVVPUYTVYDS
        ZWXPAVVOVYDUYTAVVNVYCXFZVVOVYDXFAVVMVUQVIUEZSZWXRAVUQWXSSZWXTAVUQWNSWYA
        VXNVUQXGTVUQVUQXHTVVMVUQIUVPTVVNVYCDYATWMAWXQUOZWVTUYTVYFUEZWFAWUNWXQWV
        TWYCRZWVCWUKWULWUNWXQUOWYDWUPWURVVKVYDVYBVYFUYTYEXOXQWXQWYCWFRAVYDWFUYT
        WTXRXSVRZYBWDXTWXJVUIVUIWUCWFUMVUICVYNWIWIUYTWXMAWWEVVPWWRWDWXNWXNWVRWX
        OWXJWWSWFRVYSWXJWWSUYTVYMUEZWFAWWKVVPWWSWYFRZWWPWWHWWIWWKVVPUOWYGWWLWWM
        VYKVVOVYLVYMUYTYEXOXQVVPWYFWFRAVVOWFUYTWTXRXSVRWDXTYCYDUVQYGVUPVUCVYJRV
        VQVUPUYTVUBVYIVUPBVUAEBUBZHUKULZWYHWYHQUMUDZYFZCDQEUBZUHUDZUIZVYAWEZDWY
        LQUMUDZIUHUDZUIZVYEWEZVAZVYHUDZUVRZVYIWFVWLUHUDZGWPAGBXUCXUBUVSRZVUNLWD
        ZVUPWYHVUARZUOZEWYKXUAVYIWPWYKWPSZXUGWYIWYHWYJBUVTWYHQUMUWAUWEZYQXUGWYL
        WYKRZUOWYLJRZXUAVYIRZXUGXUJXUKXUGWYKJWYLXUGWYKVUAHUKULZVUAJYFZJAXUFWYKX
        UNRZVUNAXUFUOWYIXUMWYHWYJVUAJXUFWYIXUMUSAWYHVUAHUKUWBXSAXUFUWCXUFAWYJVU
        AQUMUDZJWYHVUAQUMYHAJVCSXUPJRAJVXKUWFJVDTZYIUWGZYGVUPXUNJRXUFVUPXUMVUAJ
        AVUNXUMUQZAVUNHVUAVKULZXUSAHWNSWXFVUNXUTUSAHWFIAHWFIUHUDZJUPZPUWHUUNZVX
        KHJUWIYJAHVUAAHXVCVLZAVUAAWXFVUAWNSZVXKJUVJTZVLZUWJUWKYKUWLWDVRYLYKXUKW
        YTVYGCVYHXUKWYOVYBWYSVYFXUKWYNVVKVYAXUKWYMVVJDWYLJQUHYMVTYNXUKWYRVYDVYE
        XUKWYQVYCDXUKWYPVUQIUHWYLJQUMYHYOVTYNVSVHZTYRAVUAXUCSZVUNAWVFXVIWVLAWXF
        WVJWVFXVIUSVXKWVKJIUWMYJVNZWDVUPCVYGVYHYPYSYTWDVUPVUEVYPRVVQVUPUYTVUDVY
        OVUPBJXUBVYOXUCGWPXUEVUPWYHJRZUOZEWYKXUAVYOWPXUHXVLXUIYQXVLXUJUOWYLVUQR
        ZXUAVYORXVLXUJXVMXVLWYKVUQWYLXVKVUPWYKVUOJVUQYFZVUQXVKWYIVUOWYHWYJJVUQW
        YHJHUKUWBXVKUWNWYHJQUMYHUWGZVUPVUOJVUQAVUNVUOUQZAHWLSZJWLSZVUNXVPUGXVDV
        XLHJUWOYJUWPUWLYIYLYKXVMWYTVYNCVYHXVMWYOVYLWYSVYMXVMWYNVYKVYAXVMWYMVWHD
        WYLVUQQUHYMVTYNXVMWYRVVOVYEXVMWYQVVNDXVMWYPVVMIUHWYLVUQQUMYHYOVTYNVSVHT
        YRAJXUCSZVUNAVWOXUCJVWLUWQOUWRZWDVUPCVYNVYHYPYSYTWDUWSUXEUWTUXFUXAAVVFV
        USUGVUNVVBVVFVUSAVUQUYTDULZDVUQUYTUXBVUSVURUYTRZAXWAUYTVURUXCADVUIWJZVW
        KXWBXWAUSAVWEXWCNVUIVUIDUXDTZVWRVUIVUQUYTDUXGYJUXHUXIUXJUXKUXLVUKVVAUAV
        URVUQDUXOUAUBZVURRZVUHVUTFVUJXWFVUGVUSVUFXWEVURUYTUXMUXPUXNUXQTAVUOUOZV
        UFUYTJDUEZRZUGZFVUJUJZVULXWGXWJFVUJXWGVVBUOZVUFUYTDXVBUIZSZXWIXWLXWNVUC
        VUEXWGVVBXWNUQZVVHXWGVVBXWOUOZUYTDQVUAUHUDZUIZSZWXQURZVVHAXWPXWTUSVUOAU
        YTVUJXWMUTZSUYTXWRVYDVAZSXWPXWTAXXAXXBUYTAXXADXWQVYCVAZUIZXXBADVUIXVBUT
        ZUIZXXAXXDAVWDXXFXXARVWGVUIXVBDVBTAXXEXXCDAXXEWVDXVBUTZXXCAVUIWVDXVBWVM
        VFAXXGVVJXVBUTZVYCXVBUTZVAXXCVVJVYCXVBVGAXXHXWQXXIVYCAXXHXWQXVBVAZXVBUT
        ZXWQAVVJXXJXVBAVVJXWQXUPJUHUDZVAZXXJAXUPVXDSZJVUAVIUEZSZVVJXXMRAXUPJVXD
        XUQVXFUXRZAXUPJXXOXUQAVUAXXOSZXUPXXOSAXVEXXRXVFVUAXGTVUAVUAXHTXIZVUAQJU
        XSYJAXXLXVBXWQAXXLJJUHUDZXVBAXUPJJUHXUQYOAWXFXXTXVBRVXKJUXTTVRUYFVRVFAX
        XKXWQXVBUTZXWQXWQXVBVJAJXWQSZUQXYAXWQRAJVUAVKULZXYBAVUAJUKULZXYCUQAJVXL
        UYAZAVUAJXVGVXLVMVNJQVUAUUQVOJXWQVPTVQVRAJVYCSZUQXXIVYCRAVXIXYFVXPJVUQI
        UUSVOJVYCVPTVSVQVRVTWADXWQVYCWBWCUUTUYTVUJXWMUVAUYTXWRVYDUVBUVCWDXWGXWT
        VVHXWGXWTUOUYTCXWRVYAWEZDJIUHUDZUIZVYEWEZVAZVYHUDZUEZVYJVUCVUEAXWTXYMVY
        JRZVUOAXWSXYNWXQAXWSUOZVYSXYNAXWRVUIUYTAXWRVYTVUIDXWQWGWUAWHWMXYOVYSUOZ
        XYMWUDVYJXYOVUIVUIWUCQUMVUICXYKWIWIUYTAWUEXWSWUFWDZAXYKVUIWJZXWSAXYKXWR
        XYIVAZWJZXYRAXYGXWRWJZXYJXYIWJZUOXWRXYIWKZWORZXYTYUAYUBWUOYUAWQXWRQWPWR
        WSZWUQYUBWTXYIWFWPWRWSZXAADXWQXYHWKZUIZYUCWOAVWDYUHYUCRVWGXWQXYHDXBTAYU
        HWVAWOAYUGWODAXYDYUGWORXYEQVUAJIXCTVTWVBWCWAZXWRXYIXYGXYJXEXDAXYSVUIXYK
        AXYSDXWQXYHVAZUIZVUIDXWQXYHWBAVUJYUKVUIAVUIYUJDAVUIXWQXUPIUHUDZVAZYUJAX
        XNIXXOSVUIYUMRXXQAVWMIXXOVWQAVWLXXOSVWMXXOSAWXCXXOVWLAXXPWXCXXOXFXXSVUA
        JUYBTAVWPVWLWXCSOJQVWLUYCTUVLVUAVWLXHTXIVUAQIUXSYJAYULXYHXWQAXUPJIUHXUQ
        YOUYFVRVTWVOWAXKXPVNZWDXYOQIXLZYUOWVRXYPWUCXMZXYOUYTXYKUEZQRVYSXYOYUQUY
        TXYGUEZQAYUDXWSYUQYURRZYUIYUAYUBYUDXWSUOYUSYUEYUFXWRXYIXYGXYJUYTXNXOXQX
        WSYURQRAXWRQUYTWQXRXSVRWDXTXYOVUIVUIWUCQUMVUICVYGWIWIUYTXYQAWUHXWSWVPWD
        YUOYUOWVRYUPXYOWWAVYSAXWSVVLWWAAXWRVVKUYTAXWQVVJXFZXWRVVKXFAXXPYUTXXSVU
        AQJXJTXWQVVJDYATWMWWDYBWDXTYCYDWYBVYSXYNAVYDVUIUYTAVYDVYTVUIDVYCWGWUAWH
        WMWYBVYSUOZXYMWXLVYJWYBVUIVUIWUCWFUMVUICXYKWIWIUYTAWUEWXQWUFWDZAXYRWXQY
        UNWDWYBQIXLZYVCWVRYVAWUCXMZWYBYUQWFRZVYSAWXQUYTXYISZYVEAVYDXYIUYTAVYCXY
        HXFZVYDXYIXFAWXDYVGWXGVUQJIUVPTVYCXYHDYATWMAYVFUOYUQUYTXYJUEZWFAYUDYVFY
        UQYVHRZYUIYUAYUBYUDYVFUOYVIYUEYUFXWRXYIXYGXYJUYTYEXOXQYVFYVHWFRAXYIWFUY
        TWTXRXSVRYBWDXTWYBVUIVUIWUCWFUMVUICVYGWIWIUYTYVBAWUHWXQWVPWDYVCYVCWVRYV
        DWYBWXPVYSWYEWDXTYCYDUVQYGXWGVUCXYMRXWTXWGUYTVUBXYLXWGBVUAXUBXYLXUCGWPA
        XUDVUOLWDZXWGXUFUOZEWYKVUAXUAXYLWPXUHYVKXUIYQYVKWYKXUNVUAAXUFXUOVUOXURY
        GXWGXUNVUARXUFXWGXUMVUAJAVUOXUMAXYDVUOXUMXYEAVUAWLSXVRXVQXYDVUOUOXUMUGX
        VGVXLXVDVUAJHUYDUYEUYGUWPUYHWDVRYVKAWYLVUARZXUAXYLRAVUOXUFUYIAYVLUOZWYT
        XYKCVYHYVMWYOXYGWYSXYJYVLWYOXYGRAYVLWYNXWRVYAYVLWYMXWQDWYLVUAQUHYMVTYNX
        SYVMWYRXYIVYEYVMWYQXYHDYVMWYPJIUHYVLAWYPXUPJWYLVUAQUMYHXUQYIYOVTYNVSVHX
        QUYJAXVIVUOXVJWDXWGCXYKVYHYPYSYTWDXWGVUEVYJRXWTXWGUYTVUDVYIXWGBJXUBVYIX
        UCGWPYVJVUOXVKXUBVYIRAVUOXVKUOZEWYKXUAVYIWPXUHYVNXUIYQYVNXUJUOXUKXULYVN
        XUJXUKYVNWYKJWYLXVKVUOWYKXVNJXVOVUOJVUQUYKYIYLYKXVHTYRUYLAXVSVUOXVTWDXW
        GCVYGVYHYPYSYTWDUWSUXEUWTUXFUXAAXWNXWIUGVUOVVBXWNXWIAJUYTDULZDJUYTUXBXW
        IXWHUYTRZAYVOUYTXWHUXCAXWCWVFYVPYVOUSXWDWVLVUIJUYTDUXGYJUXHUXIUXJUXKUXL
        VUKXWKUAXWHJDUXOXWEXWHRZVUHXWJFVUJYVQVUGXWIVUFXWEXWHUYTUXMUXPUXNUXQTAHJ
        UFZVUNVUOURAHXVAXVBUTSYVRPHXVAJUYMTAHJXVDVXLUYNVNUYPVULVUFFVUJUNZAVUMVU
        FFUAVUJVUFUAUYOUYQAWVNYVSVUMUSWVOVUFFVUJVUIUYRTUYSVN $.
    $}

    $d i k p s t ph $.  $d f i j k n s t B $.  $d f i j k n p s t K $.
    $d f i k p s t M $.  $d f i k p s t N $.  $d f i p T $.  $d f i p U $.
    ${
      poimirlem4.1 $e |- ( ph -> K e. NN ) $.
      poimirlem4.2 $e |- ( ph -> M e. NN0 ) $.
      poimirlem4.3 $e |- ( ph -> M < N ) $.
      ${
        poimirlem3.4 $e |- ( ph -> T : ( 1 ... M ) --> ( 0 ..^ K ) ) $.
        poimirlem3.5 $e |- ( ph -> U : ( 1 ... M ) -1-1-onto-> ( 1 ... M ) ) $.
        $( Lemma for ~ poimir to add an interior point to an admissible face on
           the back face of the cube.  (Contributed by Brendan Leahy,
           21-Aug-2020.) $)
        poimirlem3 $p |- ( ph ->
          ( A. i e. ( 0 ... M ) E. j e. ( 0 ... M ) i = [_ ( ( T oF +
            ( ( ( U " ( 1 ... j ) ) X. { 1 } ) u.
          ( ( U " ( ( j + 1 ) ... M ) ) X. { 0 } ) ) ) u. ( ( ( M + 1 ) ... N )
            X. { 0 } ) ) / p ]_ B -> ( <. ( T u. { <. ( M + 1 ) , 0 >. } ) ,
          ( U u. { <. ( M + 1 ) , ( M + 1 ) >. } ) >. e. ( ( ( 0 ..^ K ) ^m
            ( 1 ... ( M + 1 ) ) ) X. { f | f : ( 1 ... ( M + 1 ) ) -1-1-onto->
          ( 1 ... ( M + 1 ) ) } ) /\ ( A. i e. ( 0 ... M ) E. j e. ( 0 ... M )
            i = [_ ( ( ( T u. { <. ( M + 1 ) , 0 >. } ) oF + ( ( ( ( U u.
          { <. ( M + 1 ) , ( M + 1 ) >. } ) " ( 1 ... j ) ) X. { 1 } ) u.
            ( ( ( U u. { <. ( M + 1 ) , ( M + 1 ) >. } ) " ( ( j + 1 ) ...
          ( M + 1 ) ) ) X. { 0 } ) ) ) u. ( ( ( ( M + 1 ) + 1 ) ... N ) X.
            { 0 } ) ) / p ]_ B /\ ( ( T u. { <. ( M + 1 ) , 0 >. } ) `
          ( M + 1 ) ) = 0 /\ ( ( U u. { <. ( M + 1 ) , ( M + 1 ) >. } ) `
            ( M + 1 ) ) = ( M + 1 ) ) ) ) ) $=
          ( cc0 wceq wcel vn cv c1 cfz cima csn cxp caddc cun csb wrex wral cop
          co cfv cfzo wf1o wa cmpt cvv wfn ffnd adantr cin c0 1ex fnconstg c0ex
          ax-mp pm3.2i ccnv wfun wfo dff1o3 simprbi imain 3syl clt nn0red ltp1d
          wbr fzdisj syl imaeq2d ima0 eqtrdi sylan9req fnun sylancr imaundi cuz
          cn0 cn nn0p1nn eleqtrdi fzsplit2 syl2anc eqcomd f1ofo foima sylan9eqr
          fneq2d mpbid ovexd inidm eqidd offval cz peano2uz wb cle sylan uneq1d
          nnzd eqtrd xpeq1d xpundir ovex xpsn eqtri uneq12d wf wn sylibr mpanl2
          eqtr4i wss snssd sylib cdm crn fvun2 mp3an2 cres resundir wrel syl5eq
          imassrn un0 3eqtr3g cof w3a cmap elfznn0 nnuz elfzuz3 eqtr3id zltp1le
          uzid nn0zd peano2z eluz bitr4d fzsn uneq1i unass eqtr4di nnred ltnled
          cab elfzle2 nsyl disjsn eqid fsn mpbir fun cmin 1z nn0uz 1m1e0 fveq2i
          fzsuc2 lbfzo0 ssequn2 feq23d syl12anc 3eqtr4d imadmrn imaeq1i imaeq2i
          f1osn mpbird dmxpid rnxpid 3eqtr3ri eluzp1p1 eluzfz2 imass2 snid ssel
          f1oun eqsstrid mpisyl elun2 imaundir eleqtrrdi adantl a1i fnsn mpanr2
          fveq2 fvsn adantlr mp3an12 fvconst2 oveq12d fmptapd jca fvun1 anassrs
          00id fvres relxp dmxpss sstri f1of frn sstrid relssres rnsnop sseqtri
          ssrin incom sseqtrid ss0 fnresdisj xpeq1i reseq1i eqtr2i f1odm ineq2d
          mp2b reseq2d f1orel resindm eqtr3d fzssp1 sseqin2 uncom rneqd 3eqtr4g
          mpbi indi df-ima reseq1d fveq1d 3eqtr2d eqtr4d csbeq1d eqeq2d ralbidv
          mpteq2dva rexbidva biimpd f1ofn jctird 3anass syl6ibr jctir f1oexrnex
          elmap sylancl snex unexg f1oeq1 elabg f1oeq23 bitrd opelxpd jctild )
          AFUBZKCDUCGUBZUDUNZUEZUCUFZUGZDVVMUCUHUNZIUDUNZUEZRUFZUGZUIZUHUUAZUNZ
          IUCUHUNZJUDUNZVWAUGZUIZBUJZSZGRIUDUNZUKZFVWLULZVVLKCVWFRUMUFZUIZDVWFV
          WFUMZUFZUIZVVNUEZVVPUGZVWSVVRVWFUDUNZUEZVWAUGZUIZVWDUNZVWFUCUHUNZJUDU
          NZVWAUGZUIZBUJZSZGVWLUKZFVWLULZVWFVWPUOZRSZVWFVWSUOZVWFSZUUBZVWPVWSUM
          RHUPUNZUCVWFUDUNZUUCUNZVYAVYAEUBZUQZEUUTZUGTAVWNVXNVXPVXRURZURVXSAVWN
          VXNVYFAVWNVXNAVWMVXMFVWLAVWKVXLGVWLAVVMVWLTZURZVWJVXKVVLVYHKVWIVXJBVY
          HVWIUAUCIUDUNZUAUBZCUOZVYJVWCUOZUHUNZUSZVWOUIZVXIUIZVXJVYHVWIVYNVWOVX
          IUIZUIVYPVYHVWEVYNVWHVYQVYHUAVYIVYIVYKVYLUHVYICVWCUTUTACVYIVAZVYGAVYI
          VXTCPVBZVCVYHVWCVVOVVTUIZVAZVWCVYIVAVYHVVQVVOVAZVWBVVTVAZURVVOVVTVDZV
          ESWUAWUBWUCUCUTTZWUBVFVVOUCUTVGVIRUTTZWUCVHVVTRUTVGVIVJAVYGWUDDVVNVVS
          VDZUEZVEAVYIVYIDUQZDVKVLZWUHWUDSQWUIVYIVYIDVMZWUJVYIVYIDVNVOVVNVVSDVP
          VQVYGWUHDVEUEVEVYGWUGVEDVYGVVMVVRVRWAZWUGVESVYGVVMVYGVVMVVMIUUDZVSVTZ
          UCVVMVVRIWBWCWDDWEWFWGVVOVVTVVQVWBWHWIVYHVYTVYIVWCVYHVYTDVVNVVSUIZUEZ
          VYIDVVNVVSWJVYGAWUPDVYIUEZVYIVYGWUOVYIDVYGVYIWUOVYGVVRUCWKUOZTZIVVMWK
          UOZTZVYIWUOSVYGVVMWLTZWUSWUMWVBVVRWMWURVVMWNUUEWOWCZVVMRIUUFZVVMUCIWP
          WQZWRWDAWUIWUKWUQVYISQVYIVYIDWSVYIVYIDWTVQXAUUGXBXCVYHUCIUDXDZWVFVYIX
          EVYHVYJVYITZURZVYKXFWVHVYLXFXGAVWHVYQSVYGAVWHVWFUFZVXHUIZVWAUGZVYQAVW
          GWVJVWAAVWGVWFVWFUDUNZVXHUIZWVJAVXGVWFWKUOZTZJWVNTZVWGWVMSAVWFXHTZVWF
          WVNTWVOAVWFAIWLTVWFWMTNIWNWCZXNZVWFUUIVWFVWFXIVQAIJVRWAZWVPOAIXHTZJXH
          TZWVTWVPXJAINUUJAJLXNWWAWWBURWVTVWFJXKWAZWVPIJUUHWWAWVQWWBWVPWWCXJIUU
          KVWFJUULXLUUMWQXCVWFVWFJWPWQAWVLWVIVXHAWVQWVLWVISWVSVWFUUNWCXMXOXPWVK
          WVIVWAUGZVXIUIVYQWVIVXHVWAXQWWDVWOVXIVWFRIUCUHXRZVHXSUUOXTWFVCYAVYNVW
          OVXIUUPUUQVYHVXFVYOVXIVYHVXFUAVYAVYJVWPUOZVYJVXEUOZUHUNZUSUAVYIWWHUSZ
          VWOUIVYOVYHUAVYAVYAWWFWWGUHVYAVWPVXEUTUTAVWPVYAVAVYGAVYAVXTVWPAVYIWVI
          UIZVXTVWAUIZVWPYBZVYAVXTVWPYBZAVYIVXTCYBZVYIWVIVDZVESZWWLPAVWFVYITZYC
          WWPAVWFIXKWAZWWQAIVWFVRWAWWRYCAIAINVSZVTAIVWFWWSAVWFWVRUURUUSXCVWFUCI
          UVAUVBVYIVWFUVCYDZWWNWVIVWAVWOYBZWWPWWLWXAVWOVWOSVWOUVDVWFRVWOWWEVHUV
          EUVFZVYIWVIVXTVWACVWOUVGZYEWQAWWJWWKVYAVXTVWPAVYAWWJAUCXHTIUCUCUVHUNZ
          WKUOZTVYAWWJSZUVIAIWLWXENWLRWKUOWXEUVJWXDRWKUVKUVLYFWOUCIUVMWIZWRZAVW
          AVXTYGWWKVXTSARVXTAHWMTRVXTTMHUVNYDYHVWAVXTUVOYIUVPZXCVBVCVYHVXEVYAVA
          VXEVWTVXCUIZVAZVYHVXAVWTVAZVXDVXCVAZURVWTVXCVDZVESZWXKWXLWXMWUEWXLVFV
          WTUCUTVGVIZWUFWXMVHVXCRUTVGVIZVJAVYGWXNVWSVVNVXBVDZUEZVEAWWJWWJVWSUQZ
          VWSVKVLZWXSWXNSAWUIWWPWWPWXTQWWTWWTWUIWVIWVIVWRUQWWPWWPURWXTVWFVWFWWE
          WWEUWBVYIVYIWVIWVIDVWRUWLYEUVQZWXTWWJWWJVWSVMZWYAWWJWWJVWSVNVOVVNVXBV
          WSVPVQVYGWXSVWSVEUEVEVYGWXRVEVWSVYGWULWXRVESWUNUCVVMVVRVWFWBWCZWDVWSW
          EWFWGZVWTVXCVXAVXDWHWIVYHVYAWXJVXEVYHVYAVWSVVNVXBUIZUEZWXJAVYGVYAVWSV
          YAUEZWYGAVWSWWJUEZWWJWYHVYAAWXTWYCWYIWWJSWYBWWJWWJVWSWSWWJWWJVWSWTVQA
          VYAWWJVWSWXGWDWXGUVRVYGVYAWYFVWSVYGWUSVWFWUTTZVYAWYFSWVCVYGWVAWYJWVDV
          VMIXIWCVVMUCVWFWPWQWDWGVWSVVNVXBWJWFXBUWCVYHUCVWFUDXDZWYKVYAXEVYHVYJV
          YATURZWWFXFWYLWWGXFXGVYHUAVWFRWWHVYIVYAVXCUTVYGVWFVXCTZAVYGVWFDVXBUEZ
          VWRVXBUEZUIZVXCVYGVWFWYOTZVWFWYPTVYGWVIWYOYGVWFWVITZWYQVYGWVIVWRWVIUE
          ZWYOWVIWVIUGZWYTYJZUEZWYTYKWYSWVIWYTUVSXUBVWRXUAUEWYSWYTVWRXUAVWFVWFW
          WEWWEXSUVTXUAWVIVWRWVIUWDUWAXTWVIUWEUWFVYGWVIVXBYGWYSWYOYGVYGVWFVXBVY
          GWVAVWFVVRWKUOTVWFVXBTWVDVVMIUWGVVRVWFUWHVQYHWVIVXBVWRUWIWCUWMVWFWWEU
          WJZWVIWYOVWFUWKUWNVWFWYOWYNUWOWCDVWRVXBUWPZUWQZUWRZWUFVYHVHUWSAWWJVYA
          SVYGWXHVCVYHVYJVWFSZURZWWHRRUHUNRXUHWWFRWWGRUHAXUGWWFRSVYGXUGAWWFVXOR
          VYJVWFVWPUXBAVXOVWFVWOUOZRAVYRWWPVXOXUISZVYSWWTVYRWWPWYRXUJXUCVYRVWOW
          VIVAZWWPWYRURZXUJVWFRWWEVHUWTZVYIWVICVWOVWFYLYMUXAWQVWFRWWEVHUXCWFZXA
          UXDXUGVYHWWGVWFVXEUOZRVYJVWFVXEUXBVYHXUOVWFVXDUOZRVYHWXOWYMXUOXUPSZWY
          EXUFWXLWXMWXOWYMURXUQWXPWXQVWTVXCVXAVXDVWFYLUXEWQVYGXUPRSZAVYGWYMXURX
          UEVXCRVWFVHUXFWCUWRXOXAUXGUXLWFUXHVYHWWIVYNVWOVYHUAVYIWWHVYMWVHWWFVYK
          WWGVYLUHAWVGWWFVYKSZVYGAVYRWWPURWVGXUSAVYRWWPVYSWWTUXIVYRWWPWVGXUSVYR
          XUKWWPWVGURXUSXUMVYIWVICVWOVYJUXJYMUXKXLUXDWVGVYHWWGVYJVXEVYIYNZUOZVY
          LWVGXVAWWGVYJVYIVXEUXMWRVYHVYJXUTVWCVYHXUTVXAVYIYNZVXDVYIYNZUIVWCVXAV
          XDVYIYOVYHXVBVVQXVCVWBVYHVVQVYIYNZVWRVVNUEZVVPUGZVYIYNZUIZVVQVEUIXVBV
          VQVYHXVDVVQXVGVEAXVDVVQSZVYGAVVQYPVVQYJZVYIYGXVIVVOVVPUXNAXVJDYKZVYIX
          VJVVOXVKVVOVVPUXODVVNYRUXPAWUIVYIVYIDYBXVKVYIYGQVYIVYIDUXQVYIVYIDUXRV
          QZUXSVVQVYIUXTWIVCAXVGVESZVYGAXVEVYIVDZVESZXVMAXVNVEYGXVOAWVIVYIVDZXV
          NVEXVEWVIYGXVNXVPYGXVEVWRYKZWVIVWRVVNYRVWFVWFWWEUYAZUYBXVEWVIVYIUYCVI
          AXVPWWOVEWVIVYIUYDWWTYQZUYEXVNUYFWCWUEXVFXVEVAXVOXVMXJVFXVEUCUTVGXVEV
          YIXVFUYGUYMYIVCYAXVBVVQXVFUIZVYIYNXVHVXAXVTVYIVXAVVOXVEUIZVVPUGXVTVWT
          XWAVVPDVWRVVNUWPUYHVVOXVEVVPXQXTUYIVVQXVFVYIYOUYJVVQYSYTVYHWYNVWAUGZV
          YIYNZWYOVWAUGZVYIYNZUIZVWBVEUIXVCVWBVYHXWCVWBXWEVEVYHXWCVWBVYIYNZVWBV
          YHXWBVWBVYIVYHWYNVVTVWAVYHDVXBYNZYKDVVSYNZYKWYNVVTVYHXWHXWIAVYGXWHDVX
          BVYIVDZYNZXWIADVXBDYJZVDZYNZXWKXWHAXWMXWJDAXWLVYIVXBAWUIXWLVYISQVYIVY
          IDUYKWCUYLUYNAWUIDYPXWNXWHSQVYIVYIDUYODVXBUYPVQUYQVYGXWJVVSDVYGXWJVXB
          WUOVDZVVSVYGVYIWUOVXBWVEUYLVYGVXBVVSVDZVXBVVNVDZUIZVVSVEUIXWOVVSVYGXW
          PVVSXWQVEXWPVVSSZVYGVVSVXBYGXWSVVRIUYRVVSVXBUYSVUCUWSVYGXWQWXRVEVXBVV
          NUYDWYDYQYAXWRXWQXWPUIXWOXWPXWQUYTVXBVVNVVSVUDYFVVSYSYTXOUYNWGVUADVXB
          VUEDVVSVUEVUBXPVUFAXWGVWBSZVYGAVWBYPVWBYJZVYIYGXWTVVTVWAUXNAXXAXVKVYI
          XXAVVTXVKVVTVWAUXODVVSYRUXPXVLUXSVWBVYIUXTWIVCXOAXWEVESZVYGAWYOVYIVDZ
          VESZXXBAXXCVEYGXXDAXVPXXCVEWYOWVIYGXXCXVPYGWYOXVQWVIVWRVXBYRXVRUYBWYO
          WVIVYIUYCVIXVSUYEXXCUYFWCWUFXWDWYOVAXXDXXBXJVHWYORUTVGWYOVYIXWDUYGUYM
          YIVCYAXVCXWBXWDUIZVYIYNXWFVXDXXEVYIVXDWYPVWAUGXXEVXCWYPVWAXUDUYHWYNWY
          OVWAXQXTUYIXWBXWDVYIYOUYJVWBYSYTYAYQVUGXAUXGVUMXMVUHXMVUIVUJVUKVUNVUL
          VUOAVXPVXRXUNAVXQVWFVWRUOZVWFADVYIVAZWWPVXQXXFSZAWUIXXGQVYIVYIDVUPWCW
          WTXXGWWPWYRXXHXUCXXGVWRWVIVAXULXXHVWFVWFWWEWWEUWTVYIWVIDVWRVWFYLYMUXA
          WQVWFVWFWWEWWEUXCWFUXIVUQVXNVXPVXRVURVUSAVWPVWSVYBVYEAWWMVWPVYBTAWWLW
          WMAWWNWXAURWWPWWLAWWNWXAPWXBVUTWWTWXCWQWXIXCVXTVYAVWPRHUPXRUCVWFUDXRV
          VBYDAVWSVYETZWXTWYBAXXIVYAVYAVWSUQZWXTAVWSUTTZXXIXXJXJADUTTZVWRUTTXXK
          AWUIVYIUTTXXLQUCIUDXRVYIVYIDUTVVAVVCVWQVVDDVWRUTUTVVEVVCVYDXXJEVWSUTV
          YAVYAVYCVWSVVFVVGWCAWXFWXFXXJWXTXJWXGWXGVYAWWJVYAWWJVWSVVHWQVVIUWCVVJ
          VVK $.
      $}

      $( Lemma for ~ poimir connecting the admissible faces on the back face of
         the ` ( M + 1 ) ` -cube to admissible simplices in the ` M ` -cube.
         (Contributed by Brendan Leahy, 21-Aug-2020.) $)
      poimirlem4 $p |- ( ph -> { s e. ( ( ( 0 ..^ K ) ^m ( 1 ... M ) ) X.
        { f | f : ( 1 ... M ) -1-1-onto-> ( 1 ... M ) } ) |
          A. i e. ( 0 ... M ) E. j e. ( 0 ... M ) i =
        [_ ( ( ( 1st ` s ) oF + ( ( ( ( 2nd ` s ) " ( 1 ... j ) ) X. { 1 } ) u.
          ( ( ( 2nd ` s ) " ( ( j + 1 ) ... M ) ) X. { 0 } ) ) ) u.
        ( ( ( M + 1 ) ... N ) X. { 0 } ) ) / p ]_ B } ~~
          { s e. ( ( ( 0 ..^ K ) ^m ( 1 ... ( M + 1 ) ) ) X.
        { f | f : ( 1 ... ( M + 1 ) ) -1-1-onto-> ( 1 ... ( M + 1 ) ) } ) |
          ( A. i e. ( 0 ... M ) E. j e. ( 0 ... M ) i = [_ ( ( ( 1st ` s )
        oF + ( ( ( ( 2nd ` s ) " ( 1 ... j ) ) X. { 1 } ) u. ( ( ( 2nd ` s ) "
          ( ( j + 1 ) ... ( M + 1 ) ) ) X. { 0 } ) ) ) u. ( ( ( ( M + 1 ) + 1 )
        ... N ) X. { 0 } ) ) / p ]_ B /\ ( ( 1st ` s ) ` ( M + 1 ) ) = 0 /\
          ( ( 2nd ` s ) ` ( M + 1 ) ) = ( M + 1 ) ) } ) $=
        ( cfv cc0 cun wceq wcel wa vt vk vn cv c1st c2nd c1 cfz co cima csn cxp
        caddc csb wrex wral cfzo cmap wf1o cab crab w3a cop cmpt wbr adantr cn0
        wi cn clt wf xp1st elmapi adantl xp2nd fvex f1oeq1 elab sylib snex unex
        syl op1std imaeq1d xpeq1d uneq12d oveq12d uneq1d csbeq1d eqeq2d rexbidv
        ralbidv fveq1d eqeq1d weq fveq2 sylibr cres wss ovex ad2antlr cdif 3syl
        sylancl wfn f1ofn syl2anr sylan9req eqtrd cz cuz eleqtrdi difun2 eqtrdi
        sylancr wn wb mpbid imaeq2d nnzd syl2anc fzsplit2 uneq2d c0ex ad3antrrr
        difsn cvv cin c0 syl2an fnconstg ax-mp cfn elmapfn imaundi opeq12d fnop
        ex nsyli impcom cof poimirlem3 op2ndd 3anbi123d elrab syl6ibr ralrimiva
        cen wreu ralrab fzssp1 fssres elmap wf1 f1ores ccnv wfun dff1o3 simprbi
        f1of1 wfo imadif f1ofo foima nn0p1nn elfz1end fnsnfv sneq difeq12d cmin
        1z nn0uz 1m1e0 fveq2i eqtr4i fzsuc2 difeq1d cle cr nn0red ltp1 peano2re
        ltnle mpdan elfzle2 nsyl 3eqtr3d f1oeq3d resex opelxpd 3ad2antr3 3anass
        ad2antrr biancomi uzid peano2uz nn0zd zltp1le peano2z eluz sylan bitr4d
        fzsn xpundir uneq1i eqtri uneq2i unass a1i eqcomd simplrl imain elfznn0
        xpsn ltp1d fzdisj ima0 simplr nnuz elfzuz3 eluzp1p1 eluzfz2 jca fnfvima
        fzss1 3expb eqeltrrd 1ex fvun2 mp3an12 fvconst2 adantlrl 00id sylan9eqr
        fmptapd ad3antlr pm3.2i ad4ant24 sylan9eq eqtr3d 3eqtr3rd fneq2d mpbird
        fnssres fnun fzss2 resima2 fneq1d fzfid inidm fvres disjsn fvun1 mp3an2
        anassrs cc nn0cnd pncan1 fveq2d eleqtrrd eqtr4di eqtr4d 3eqtr4rd offval
        an32s eqtr2di eqidd biimpd impr sylan2b 1st2nd2 fnsnsplit reseq2d opeq2
        rexbidva uneq12 adantrr adantrl 3adantr1 anbi12d rspcev syl12anc elrabi
        sneqd anim12i eqtr2 difeq1 3eqtr3g sylbi eqeqan12d anandis xpopth bitrd
        opth syl5ib sylan2 ralrimivva jctird reu4 rexrab anbi1i f1ompt sylanbrc
        bitri eqid f1of ss2abi mapval sseqtrri ssexi xpex rabex f1oen ) ADUDZJI
        UDZUEOZVXOUFOZUGEUDZUHUIZUJZUGUKZULZVXQVXRUGUMUIZGUHUIZUJZPUKZULZQZUMUU
        AZUIZGUGUMUIZHUHUIZVYFULZQZBUNZRZEPGUHUIZUOZDVYQUPZIPFUQUIZUGGUHUIZURUI
        ZWUAWUACUDZUSZCUTZULZVAZVXNJVXPVYBVXQVYCVYKUHUIZUJZVYFULZQZVYIUIZVYKUGU
        MUIZHUHUIZVYFULZQZBUNZRZEVYQUOZDVYQUPZVYKVXPOZPRZVYKVXQOZVYKRZVBZIVYTUG
        VYKUHUIZURUIZWVFWVFWUCUSZCUTZULZVAZUAWUGUAUDZUEOZVYKPVCZUKZQZWVLUFOZVYK
        VYKVCZUKZQZVCZVDZUSZWUGWVKUUHVEAWWAWVKSZUAWUGUPZUBUDZWWARZUAWUGUUIZUBWV
        KUPZWWCAVXNJWVMWVQVXSUJZVYAULZWVQVYDUJZVYFULZQZVYIUIZVYMQZBUNZRZEVYQUOZ
        DVYQUPZWWDVHZUAWUFUPWWEAWXAUAWUFAWVLWUFSZTZWWTWWAWVJSVXNJWVPWVTVXSUJZVY
        AULZWVTWUHUJZVYFULZQZVYIUIZWUOQZBUNZRZEVYQUOZDVYQUPZVYKWVPOZPRZVYKWVTOZ
        VYKRZVBZTWWDWXCBWVMWVQCDEFGHJAHVISWXBKVFAFVISWXBLVFAGVGSZWXBMVFAGHVJVEZ
        WXBNVFWXBWUAVYTWVMVKZAWXBWVMWUBSZWYBWVLWUBWUEVLZWVMVYTWUAVMWBVNWXBWUAWU
        AWVQUSZAWXBWVQWUESWYEWVLWUBWUEVOWUDWYECWVQWVLUFVPZWUAWUAWUCWVQVQVRVSZVN
        UUBWVEWXSIWWAWVJVXOWWARZWUTWXNWVBWXPWVDWXRWYHWUSWXMDVYQWYHWURWXLEVYQWYH
        WUQWXKVXNWYHJWUPWXJBWYHWULWXIWUOWYHVXPWVPWUKWXHVYIWVPWVTVXOWVMWVOWVLUEV
        PWVNVTWAZWVQWVSWYFWVRVTWAZWCZWYHVYBWXEWUJWXGWYHVXTWXDVYAWYHVXQWVTVXSWVP
        WVTVXOWYIWYJUUCZWDWEWYHWUIWXFVYFWYHVXQWVTWUHWYLWDWEWFWGWHWIWJWKWLWYHWVA
        WXOPWYHVYKVXPWVPWYKWMWNWYHWVCWXQVYKWYHVYKVXQWVTWYLWMWNUUDUUEUUFUUGVYSWW
        TWWDUAIWUFIUAWOZVYRWWSDVYQWYMVYPWWREVYQWYMVYOWWQVXNWYMJVYNWWPBWYMVYJWWO
        VYMWYMVXPWVMVYHWWNVYIVXOWVLUEWPWYMVYBWWKVYGWWMWYMVXTWWJVYAWYMVXQWVQVXSV
        XOWVLUFWPZWDWEWYMVYEWWLVYFWYMVXQWVQVYDWYNWDWEWFWGWHWIWJWKWLZUUJWQAVXNJW
        WFUEOZWWFUFOZVXSUJZVYAULZWYQWUHUJZVYFULZQZVYIUIZWUOQZBUNZRZEVYQUOZDVYQU
        PZVYKWYPOZPRZVYKWYQOZVYKRZVBZWWHVHZUBWVJUPWWIAXUNUBWVJAWWFWVJSZTZXUMWWT
        WWGTZUAWUFUOZWWGWWFUCUDZUEOZWVOQZXUSUFOZWVSQZVCZRZTZUAUCWOZVHZUCWUGUPUA
        WUGUPZTZWWHXUPXUMXURXVIXUPXUMXURXUPXUMTWYPWUAWRZWYQWUAWRZVCZWUFSZVXNJXV
        KXVLVXSUJZVYAULZXVLVYDUJZVYFULZQZVYIUIZVYMQZBUNZRZEVYQUOZDVYQUPZWWFXVKW
        VOQZXVLWVSQZVCZRZXURXUPXUHXULXVNXUJXUPXULTZXVKXVLWUBWUEXUOXVKWUBSZAXULX
        UOWUAVYTXVKVKZXWKXUOWVFVYTWYPVKZWUAWVFWSZXWLXUOWYPWVGSZXWMWWFWVGWVIVLZW
        YPVYTWVFVMWBUGGUUKZWVFVYTWUAWYPUULXDVYTWUAXVKPFUQWTUGGUHWTZUUMWQXAXWJWU
        AWUAXVLUSZXVLWUESXWJWUAWYQWUAUJZXVLUSZXWSXUOXXAAXULXUOWVFWVFWYQUUNZXWNX
        XAXUOWVFWVFWYQUSZXXBXUOWYQWVISXXCWWFWVGWVIVOWVHXXCCWYQWWFUFVPZWVFWVFWUC
        WYQVQVRVSZWVFWVFWYQUUTWBXWQWVFWVFWUAWYQUUOXDXAXWJXWTWUAWUAXVLXWJWYQWVFV
        YKUKZXBZUJZXXGXWTWUAXWJXXHWYQWVFUJZWYQXXFUJZXBZXXGXUOXXHXXKRZAXULXUOXXC
        WYQUUPUUQZXXLXXEXXCWVFWVFWYQUVAZXXMWVFWVFWYQUURUUSZWVFXXFWYQUVBXCZXAXWJ
        XXIWVFXXJXXFXUOXXIWVFRZAXULXUOXXCXXNXXQXXEWVFWVFWYQUVCWVFWVFWYQUVDXCZXA
        XUPXULXXJXUKUKZXXFXUOWYQWVFXEZVYKWVFSZXXSXXJRAXUOXXCXXTXXEWVFWVFWYQXFWB
        ZAVYKVISZXYAAWXTXYCMGUVEWBZVYKUVFVSZWVFVYKWYQUVGXGZXUKVYKUVHZXHUVIZXIAX
        XHXWTRXUOXULAXXGWUAWYQAXXGWUAXXFXBZWUAAXXGWUAXXFQZXXFXBXYIAWVFXYJXXFAUG
        XJSGUGUGUVJUIZXKOZSWVFXYJRUVKAGVGXYLMVGPXKOXYLUVLXYKPXKUVMUVNUVOXLUGGUV
        PXOZUVQWUAXXFXMXNAVYKWUASZXPZXYIWUARAVYKGUVRVEZXYNAGUVSSZXYPXPZAGMUVTXY
        QGVYKVJVEZXYRGUWAXYQVYKUVSSXYSXYRXQGUWBGVYKUWCUWDXRWBVYKUGGUWEUWFZVYKWU
        AYFWBXIZXSUWMAXXGWUARZXUOXULYUAUWMZUWGUWHXRWUDXWSCXVLWYQWUAXXDUWIZWUAWU
        AWUCXVLVQVRWQUWJUWKXUMXUPXUJXULTZXUHTXWEXUMYUEXUHXUHXUJXULUWLUWNXUPYUEX
        UHXWEXUPYUETZXUHXWEYUFXUGXWDDVYQYUFXUFXWCEVYQYUFVXRVYQSZTZXUEXWBVXNYUHJ
        XUDXWABYUHUCWUAXUSWYPOZXUSXUBOZUMUIZVDZVYMQZUCWVFYUKVDZWUOQZXWAXUDYUHYU
        MYULWVOQZWUOQZYUOAYUMYUQRXUOYUEYUGAYUMYULXXFWUNQZVYFULZQZYUQAVYMYUSYULA
        VYLYURVYFAVYLVYKVYKUHUIZWUNQZYURAWUMVYKXKOZSZHYVCSZVYLYVBRAVYKXJSZVYKYV
        CSYVDAVYKXYDXTZVYKUWOVYKVYKUWPXCAWYAYVENAGXJSZHXJSZWYAYVEXQAGMUWQAHKXTY
        VHYVITWYAVYKHUVRVEZYVEGHUWRYVHYVFYVIYVEYVJXQGUWSVYKHUWTUXAUXBYAXRVYKVYK
        HYBYAAYVAXXFWUNAYVFYVAXXFRYVGVYKUXCWBWHXIWEYCYUTYULWVOWUOQZQYUQYUSYVKYU
        LYUSXXFVYFULZWUOQYVKXXFWUNVYFUXDYVLWVOWUOVYKPGUGUMWTZYDUXNUXEUXFUXGYULW
        VOWUOUXHUVOXNYEYUHYUPYUNWUOYUHUCVYKPYUKWUAWVFYGYGVYKYGSYUHYVMUXIPYGSZYU
        HYDUXIAXYJWVFRXUOYUEYUGAWVFXYJXYMUXJYEXUSVYKRZYUHYUKXUIVYKXUBOZUMUIZPYV
        OYUIXUIYUJYVPUMXUSVYKWYPWPXUSVYKXUBWPWGYUHYVQPPUMUIPYUHXUIPYVPPUMXUPXUJ
        XULYUGUXKXUPXULYUGYVPPRXUJXWJYUGTZYVPVYKXUAOZPYVRWYRWYTYHZYIRZVYKWYTSZY
        VPYVSRZXWJYUGYVTWYQVXSWUHYHZUJZYIXUOYWEYVTRZAXULXUOXXCXXMYWFXXEXXOVXSWU
        HWYQUXLXCZXAYUGYWEWYQYIUJZYIYUGYWDYIWYQYUGVXRVYCVJVEZYWDYIRYUGVXRYUGVXR
        VXRGUXMZUVTUXOZUGVXRVYCVYKUXPWBXSWYQUXQZXNZXHYVRXUKVYKWYTXUPXULYUGUXRXW
        JXXTWUHWVFWSZVYKWUHSZTXUKWYTSZYUGXUOXXTAXULXYBXAYUGYWNYWOYUGVXRVGSZVYCU
        GXKOZSZYWNYWJYWQVYCVIYWRVXRUVEZUXSXLZVYCUGVYKUYEXCYUGGVXRXKOZSZVYKVYCXK
        OSYWOVXRPGUXTZVXRGUYAVYCVYKUYBXCUYCXXTYWNYWOYWPWVFWUHWYQVYKUYDUYFYJUYGZ
        WYSWYRXEZXUAWYTXEZYWAYWBTYWCUGYGSYXFUYHWYRUGYGYKYLZYVNYXGYDWYTPYGYKYLZW
        YRWYTWYSXUAVYKUYIUYJYAYVRYWBYVSPRYXEWYTPVYKYDUYKWBXIUYLWGUYMXNUYNUYOWHX
        IXUPXULYUGXWAYUMRXUJYVRXVTYULVYMYVRUCWUAWUAYUIYUJUMWUAXVKXVSYMYMXUOXVKW
        UAXEZAXULYUGXUOWYPWVFXEZXWNYXJXUOXWOYXKXWPWYPVYTWVFYNWBZXWQWVFWUAWYPVUD
        XDUYPYVRXVSWUAXEWYSWYQVYDUJZVYFULZQZWUAXEZYVRYXPYXOWYRYXMQZXEZXUOYUGYXR
        AXULXUOYUGTZYXFYXNYXMXEZTWYRYXMYHZYIRYXRYXFYXTYXHYVNYXTYDYXMPYGYKYLUYQX
        UOYUGYYAWYQVXSVYDYHZUJZYIXUOXXCXXMYYCYYARXXEXXOVXSVYDWYQUXLXCYUGYYCYWHY
        IYUGYYBYIWYQYUGYWIYYBYIRYWKUGVXRVYCGUXPWBXSYWLXNXHWYRYXMWYSYXNVUEXOUYRY
        VRWUAYXQYXOYVRWUAWYQVXSVYDQZUJZYXQYVRXXKXXGYYEWUAXWJXXKXXGRYUGXYHVFYVRX
        XHXXKYYEXUOXXLAXULYUGXXPUYPYVRXXGYYDWYQXWJYUGXXGWUAYYDYUCYUGYWSYXCWUAYY
        DRYUGVYCVIYWRYUGYWQVYCVISYWJYWTWBZUXSXLYXDVXRUGGYBYAUYSXSUYTAYUBXUOXULY
        UGYUAYEVUAWYQVXSVYDYOXNVUBVUCZYVRWUAXVSYXOYUGXVSYXORXWJYUGXVPWYSXVRYXNY
        UGXVOWYRVYAYUGYXCVXSWUAWSXVOWYRRYXDVXRUGGVUFWYQVXSWUAVUGXCWEYUGXVQYXMVY
        FYUGYWSVYDWUAWSXVQYXMRYUGYWQYWSYWJYXAWBZVYCUGGUYEWYQVYDWUAVUGXCWEWFZVNV
        UHVUCYVRUGGVUIZYYJWUAVUJXUSWUASZXUSXVKOYUIRYVRXUSWUAWYPVUKVNYVRYYKTXUSY
        XOYVLQZOZXUSYXOOZYUJXUSXVSOZYVRYXPWUAXXFYHYIRZTYYKYYMYYNRZYVRYXPYYPYYGA
        YYPXUOXULYUGAXYOYYPXYTWUAVYKVULWQYEUYCYXPYYPYYKYYQYXPYVLXXFXEZYYPYYKTYY
        QYVNYYRYDXXFPYGYKYLWUAXXFYXOYVLXUSVUMVUNVUOUXAYVRYUJYYMRYYKYVRXUSXUBYYL
        XUPYUGXULXUBYYLRXUPYUGTZXULXUBYXOXXSVYFULZQZYYLYYSXUBYXOXXJVYFULZQZUUUA
        YUGXUBUUUCRXUPYUGXUBWYSYXNUUUBQZQUUUCYUGXUAUUUDWYSYUGXUAYXMXXJQZVYFULUU
        UDYUGWYTUUUEVYFYUGWYTWYQVYDXXFQZUJUUUEYUGWUHUUUFWYQYUGVYCXJSGVYCUGUVJUI
        ZXKOZSWUHUUUFRYUGVYCYYFXTYUGGYXBUUUHYXDYUGUUUGVXRXKYUGVXRVUPSUUUGVXRRYU
        GVXRYWJVUQVXRVURWBVUSVUTVYCGUVPYAXSWYQVYDXXFYOXNWEYXMXXJVYFUXDXNYCWYSYX
        NUUUBUXHVVAVNXUPUUUAUUUCRYUGXUPYYTUUUBYXOXUPXXSXXJVYFXYFWEYCVFVVBXULYYT
        YVLYXOXULXXSXXFVYFXYGWEYCUYSVVEWMVFYUGYYOYYNRXWJYYKYUGXUSXVSYXOYYIWMXAV
        VCVVDWHUYLXUOYUGXUDYUORAYUEYXSXUCYUNWUOYXSUCWVFWVFYUIYUJUMWVFWYPXUBYMYM
        XUOYXKYUGYXLVFYXSXUBWYRWYTQZXEZXUBWVFXEYXSYXFYXGTYWAUUUJYXFYXGYXHYXIUYQ
        XUOYUGYVTYWEYIYWGYWMXHWYRWYTWYSXUAVUEXOYXSUUUIWVFXUBYUGXUOUUUIXXIWVFYUG
        XXIWYQVXSWUHQZUJUUUIYUGWVFUUUKWYQYUGYWSVYKYXBSZWVFUUUKRYYHYUGYXCUUULYXD
        VXRGUWPWBVXRUGVYKYBYAXSWYQVXSWUHYOVVFXXRUYNVUBXRYXSUGVYKVUIZUUUMWVFVUJY
        XSXUSWVFSTZYUIVVGUUUNYUJVVGVVDWHUYRVVCWIWJVVOWLVVHVVIVVJXUPXUJXULXWIXUH
        YUFWWFWYPWYQVCZXWHXUOWWFUUUORAYUEWWFWVGWVIVVKXAYUFWYPXWFWYQXWGXUPXUJWYP
        XWFRXULXUPXUJTWYPWYPXXGWRZVYKXUIVCZUKZQZXWFXUPWYPUUUSRZXUJXUOYXKXYAUUUT
        AYXLXYEWVFWYPVYKVVLXGVFXUPUUUPXVKRZUUURWVORUUUSXWFRXUJAUUVAXUOAXXGWUAWY
        PYUAVVMVFXUJUUUQWVNXUIPVYKVVNVWDUUUPXVKUUURWVOVVPYJXIVVQXUPXULWYQXWGRXU
        JXWJWYQWYQXXGWRZVYKXUKVCZUKZQZXWGXUPWYQUUVERZXULXUOXXTXYAUUVFAXYBXYEWVF
        WYQVYKVVLXGVFXUPUUVBXVLRZUUVDWVSRUUVEXWGRXULAUUVGXUOAXXGWUAWYQYUAVVMVFX
        ULUUVCWVRXUKVYKVYKVVNVWDUUVBXVLUUVDWVSVVPYJXIVVRYPXIVVSXUQXWEXWITUAXVMW
        UFWVLXVMRZWWTXWEWWGXWIUUVHWWSXWDDVYQUUVHWWRXWCEVYQUUVHWWQXWBVXNUUVHJWWP
        XWABUUVHWWOXVTVYMUUVHWVMXVKWWNXVSVYIXVKXVLWVLWYPWUAWWFUEVPUWIZYUDWCZUUV
        HWWKXVPWWMXVRUUVHWWJXVOVYAUUVHWVQXVLVXSXVKXVLWVLUUVIYUDUUCZWDWEUUVHWWLX
        VQVYFUUVHWVQXVLVYDUUVKWDWEWFWGWHWIWJWKWLUUVHWWAXWHWWFUUVHWVPXWFWVTXWGUU
        VHWVMXVKWVOUUVJWHUUVHWVQXVLWVSUUVKWHYPWJVVTVWAVWBYRAXVIXUOAXVHUAUCWUGWU
        GWVLWUGSZXUSWUGSZTAWXBXUSWUFSZTZXVHUUVLWXBUUVMUUVNVYSIWVLWUFVWCVYSIXUSW
        UFVWCVWEXVFWVMWVOXBZXUTWVOXBZRZWVQWVSXBZXVBWVSXBZRZTZAUUVOTZXVGXVFWWAXV
        DRZUUWBWWFWWAXVDVWFUUWDWVPXVARZWVTXVCRZTUUWBWVPWVTXVAXVCWYIWYJVWNUUWEUU
        VRUUWFUUWAUUWEWVPWVOXBXVAWVOXBUUVPUUVQWVPXVAWVOVWGWVMWVOXMXUTWVOXMVWHUU
        WFWVTWVSXBXVCWVSXBUUVSUUVTWVTXVCWVSVWGWVQWVSXMXVBWVSXMVWHVWEVWIWBUUWCUU
        WBWVMXUTRZWVQXVBRZTZXVGUUWCUUVRUUWGUUWAUUWHAWXBUUVNUUVRUUWGXQWXCAUUVNTZ
        UUVPWVMUUVQXUTWXCWVNWVMSZXPZUUVPWVMRWXBAUUWLWXBUUWKXYNAWXBWYCWVMWUAXEZU
        UWKXYNVHWYDWVMVYTWUAYNUUWMUUWKXYNWUAVYKPWVMYQYRXCXYTYSYTWVNWVMYFWBUUWJW
        VNXUTSZXPZUUVQXUTRUUVNAUUWOUUVNUUWNXYNAUUVNXUTWUBSXUTWUAXEZUUWNXYNVHXUS
        WUBWUEVLXUTVYTWUAYNUUWPUUWNXYNWUAVYKPXUTYQYRXCXYTYSYTWVNXUTYFWBVWJVWKAW
        XBUUVNUUWAUUWHXQWXCUUWJUUVSWVQUUVTXVBWXCWVRWVQSZXPZUUVSWVQRWXBAUUWRWXBU
        UWQXYNAWXBWYEWVQWUAXEZUUWQXYNVHWYGWUAWUAWVQXFUUWSUUWQXYNWUAVYKVYKWVQYQY
        RXCXYTYSYTWVRWVQYFWBUUWJWVRXVBSZXPZUUVTXVBRUUVNAUUXAUUVNUUWTXYNAUUVNWUA
        WUAXVBUSZXVBWUAXEZUUWTXYNVHUUVNXVBWUESUUXBXUSWUBWUEVOWUDUUXBCXVBXUSUFVP
        WUAWUAWUCXVBVQVRVSWUAWUAXVBXFUUXCUUWTXYNWUAVYKVYKXVBYQYRXCXYTYSYTWVRXVB
        YFWBVWJVWKVVTUUVOUUWIXVGXQAWVLXUSWUBWUEWUBWUEVWLVNVWMVWOVWPVWQVFVWRWWHW
        WGUAWUGUOZXVITXVJWWGXVEUAUCWUGXVGWWAXVDWWFXVGWVPXVAWVTXVCXVGWVMXUTWVOWV
        LXUSUEWPWHXVGWVQXVBWVSWVLXUSUFWPWHYPWJVWSUUXDXURXVIVYSWWTWWGUAIWUFWYOVW
        TVXAVXDUUFUUGWVEXUMWWHUBIWVJIUBWOZWUTXUHWVBXUJWVDXULUUXEWUSXUGDVYQUUXEW
        URXUFEVYQUUXEWUQXUEVXNUUXEJWUPXUDBUUXEWULXUCWUOUUXEVXPWYPWUKXUBVYIVXOWW
        FUEWPZUUXEVYBWYSWUJXUAUUXEVXTWYRVYAUUXEVXQWYQVXSVXOWWFUFWPZWDWEUUXEWUIW
        YTVYFUUXEVXQWYQWUHUUXGWDWEWFWGWHWIWJWKWLUUXEWVAXUIPUUXEVYKVXPWYPUUXFWMW
        NUUXEWVCXUKVYKUUXEVYKVXQWYQUUXGWMWNUUDUUJWQUAUBWUGWVKWWAWWBWWBVXEVXBVXC
        WUGWVKWWBVYSIWUFWUBWUEVYTWUAURWTWUEWUAWUAURUIZWUAWUAURWTWUEWUAWUAWUCVKZ
        CUTUUXHWUDUUXICWUAWUAWUCVXFVXGWUAWUACXWRXWRVXHVXIVXJVXKVXLVXMWB $.
    $}

    $d z ph $.  $d f k p s t z F $.  $d s z K $.  $d s z N $.  $d k s t z T $.
    $d k t U $.
    ${
      $d j k m n p s t y z S $.
      poimirlem22.s $e |- S = { t e. ( ( ( ( 0 ..^ K ) ^m ( 1 ... N ) ) X.
        { f | f : ( 1 ... N ) -1-1-onto-> ( 1 ... N ) } ) X. ( 0 ... N ) ) |
          F = ( y e. ( 0 ... ( N - 1 ) ) |-> [_ if ( y < ( 2nd ` t ) , y ,
        ( y + 1 ) ) / j ]_ ( ( 1st ` ( 1st ` t ) ) oF +
          ( ( ( ( 2nd ` ( 1st ` t ) ) " ( 1 ... j ) ) X. { 1 } ) u.
        ( ( ( 2nd ` ( 1st ` t ) ) " ( ( j + 1 ) ... N ) ) X. { 0 } ) ) ) ) } $.
      ${
        poimirlem9.1 $e |- ( ph -> T e. S ) $.
        ${
          poimirlem5.2 $e |- ( ph -> 0 < ( 2nd ` T ) ) $.
          $( Lemma for ~ poimir to establish that, for the simplices defined by
             a walk along the edges of an ` N ` -cube, if the starting vertex
             is not opposite a given face, it is the earliest vertex of the
             face on the walk.  (Contributed by Brendan Leahy, 21-Aug-2020.) $)
          poimirlem5 $p |- ( ph -> ( F ` 0 ) = ( 1st ` ( 1st ` T ) ) ) $=
            ( cc0 cfv c1 co wcel syl vn c1st cfz csn cxp caddc cof c2nd clt wbr
            cif cima cun csb cmin cvv cmpt wceq cfzo cmap wf1o cab fveq2 breq2d
            ifbid csbeq1d 2fveq3 imaeq1d xpeq1d uneq12d csbeq2dv eqtrd mpteq2dv
            cv oveq12d eqeq2d elrab2 simprbi wa breq1 id iftrued sylan9eqr c0ex
            ifbieq1d c0 oveq2 fz10 eqtrdi imaeq2d oveq1 0p1e1 oveq1d xpeq1i 0xp
            ima0 eqtri uneq1i uncom un0 3eqtri oveq2d csbie elrabi eleq2s xp1st
            wfo crab xp2nd fvex f1oeq1 elab sylib f1ofo foima syl5eq adantr cn0
            nnm1nn0 0elfz ovexd fvmptd wfn elmapfn fnconstg mp1i eqidd fvconst2
            cn adantl wf elmapi ffvelrnda elfzonn0 nn0cnd addid1d offveq ) AOHP
            EUBPZUBPZQJUCRZOUDZUEZUFUGZRZYSABOGBVNZEUHPZUIUJZUUEUUEQUFRZUKZYSYR
            UHPZQGVNZUCRZULZQUDZUEZUUJUUKQUFRZJUCRZULZUUAUEZUMZUUCRZUNZUUDOJQUO
            RZUCRZHUPAEDSZHBUVDUVBUQZURZMUVEEOIUSRZYTUTRZYTYTFVNZVAZFVBZUEZOJUC
            RZUEZSZUVGHBUVDGUUECVNZUHPZUIUJZUUEUUHUKZUVQUBPZUBPZUWAUHPZUULULZUU
            NUEZUWCUUQULZUUAUEZUMZUUCRZUNZUQZURZUVGCEUVODUVQEURZUWKUVFHUWMBUVDU
            WJUVBUWMUWJGUUIUWIUNUVBUWMGUVTUUIUWIUWMUVSUUGUUEUUHUWMUVRUUFUUEUIUV
            QEUHVCVDVEVFUWMGUUIUWIUVAUWMUWBYSUWHUUTUUCUVQEUBUBVGUWMUWEUUOUWGUUS
            UWMUWDUUMUUNUWMUWCUUJUULUVQEUHUBVGZVHVIUWMUWFUURUUAUWMUWCUUJUUQUWNV
            HVIVJVOVKVLVMVPLVQVRTAUUEOURZVSZUVBGOUVAUNZUUDUWPGUUIOUVAUWOAUUIOUU
            FUIUJZOUUHUKOUWOUUGUWRUUEOUUHUUEOUUFUIVTUWOWAWEAUWROUUHNWBWCVFAUWQU
            UDURUWOAUWQYSUUJYTULZUUAUEZUUCRZUUDGOUVAUXAWDUUKOURZUUTUWTYSUUCUXBU
            UTUUJWFULZUUNUEZUWTUMZUWTUXBUUOUXDUUSUWTUXBUUMUXCUUNUXBUULWFUUJUXBU
            ULQOUCRWFUUKOQUCWGWHWIWJVIUXBUURUWSUUAUXBUUQYTUUJUXBUUPQJUCUXBUUPOQ
            UFRQUUKOQUFWKWLWIWMWJVIVJUXEWFUWTUMUWTWFUMUWTUXDWFUWTUXDWFUUNUEWFUX
            CWFUUNUUJWPWNUUNWOWQWRWFUWTWSUWTWTXAWIXBXCAUWTUUBYSUUCAUWSYTUUAAYTY
            TUUJXGZUWSYTURAYTYTUUJVAZUXFAUUJUVLSZUXGAYRUVMSZUXHAUVPUXIAUVEUVPMU
            VPEUWLCUVOXHDUWLCEUVOXDLXETEUVMUVNXFTZYRUVIUVLXITUVKUXGFUUJYRUHXJYT
            YTUVJUUJXKXLXMYTYTUUJXNTYTYTUUJXOTVIXBXPXQVLAUVCXRSZOUVDSAJYISUXKKJ
            XSTUVCXTTAYSUUBUUCYAYBAUAYTUAVNZYSPZOUFYSUUBYSUPAQJUCYAAYSUVISZYSYT
            YCAUXIUXNUXJYRUVIUVLXFTZYSUVHYTYDTZOUPSUUBYTYCAWDYTOUPYEYFUXPAUXLYT
            SZVSZUXMYGUXQUXLUUBPOURAYTOUXLWDYHYJUXRUXMUXRUXMUXRUXMUVHSUXMXRSAYT
            UVHUXLYSAUXNYTUVHYSYKUXOYSUVHYTYLTYMUXMIYNTYOYPYQVL $.
        $}

        poimirlem9.2 $e |- ( ph -> ( 2nd ` T ) e. ( 1 ... ( N - 1 ) ) ) $.
        ${
          poimirlem6.3 $e |- ( ph -> M e. ( 1 ... ( ( 2nd ` T ) - 1 ) ) ) $.
          $( Lemma for ~ poimir establishing, for a face of a simplex defined
             by a walk along the edges of an ` N ` -cube, the single dimension
             in which successive vertices before the opposite vertex differ.
             (Contributed by Brendan Leahy, 21-Aug-2020.) $)
          poimirlem6 $p |- ( ph -> ( iota_ n e. ( 1 ... N )
            ( ( F ` ( M - 1 ) ) ` n ) =/= ( ( F ` M ) ` n ) ) =
              ( ( 2nd ` ( 1st ` T ) ) ` M ) ) $=
            ( c1 wcel wceq cv cmin co cfv wne cfz c1st c2nd wf1o wf cc0 cxp clt
            wbr caddc cif cima csn cun csb cmpt syl xp1st cuz wss cz cle elfznn
            sylib cn nnzd nnred lem1d cn0 nnm1nn0 elfzle2 letrd eluz2 syl3anbrc
            nn0red fzss2 sseldd ffvelrnd wa cvv wfn adantr cin c0 fnconstg c0ex
            1ex ax-mp pm3.2i simprbi imain fzdisj imaeq2d eqtrdi eqtr3d sylancr
            ltm1d fnun nn0zd fzsplit2 syl2anc oveq1d uneq2d eqtrd imaundi mpbid
            fneq2d ovexd eqidd uneq1d 3eqtr4a xpeq1d xpundir fveq1d ad2antrr cr
            cdif ltp1d lttrd difeq1d wn ltnled nsyl difsn syl5eq uneq12d mp3an1
            fvun2 mpanr1 syl2an anassrs ofval fveq2 csbeq1d sylan9eqr cfzo cmap
            cab crab elrabi eleq2s xp2nd fvex f1oeq1 elab f1of peano2zm elmapfn
            cof zred ccnv wfun wfo dff1o3 ima0 cc nncnd npcan1 eleqtrdi eqeltrd
            nnuz uzid peano2uz eqeltrrd f1ofo foima inidm fzpred f1ofn peano2re
            uzss fnsnfv un12 imadif fzsplit difundir fzsn difun2 elfzle1 eqcomd
            difeq12d 3eqtr3d eqtr3id eldifsn biimpri ancoms disjdif un23 eqtr4d
            equncomi an32s anasss breq2d ifbid 2fveq3 imaeq1d csbeq2dv mpteq2dv
            oveq12d eqeq2d elrab2 breq1 id ifbieq1d lelttrd iftrued oveq2 oveq1
            adantl oveq2d csbied 1red lesub1dd elfz2nn0 fvmptd fz1ssfz0 3eqtr4d
            sstrdi expr necon1d wi elfzonn0 ltned fzss1 eluzfz1 fnfvima syl3anc
            elmapi mp3an12 fvconst2 mpdan nn0cnd addid1d elfz1end fvun1 3netr4d
            3eqtrd neeq12d syl5ibrcom impbid riota5 ) AHUAZKRUBUCZIUDZUDZVUGKIU
            DZUDZUEZHRLUFUCZKEUGUDZUHUDZUDZAVUNVUNKVUPAVUNVUNVUPUIZVUNVUNVUPUJA
            VUPVUNVUNFUAZUIZFUUCZSZVURAVUOUKJUUAUCZVUNUUBUCZVVAULZSZVVBAEVVEUKL
            UFUCZULZSZVVFAEDSZVVIOVVIEIBUKLRUBUCZUFUCZGBUAZCUAZUHUDZUMUNZVVMVVM
            RUOUCZUPZVVNUGUDZUGUDZVVSUHUDZRGUAZUFUCZUQZRURZULZVWAVWBRUOUCZLUFUC
            ZUQZUKURZULZUSZUOUUNZUCZUTZVAZTZCVVHUUDDVWQCEVVHUUENUUFVBEVVEVVGVCV
            BZVUOVVDVVAUUGVBVUTVURFVUPVUOUHUUHVUNVUNVUSVUPUUIUUJVIZVUNVUNVUPUUK
            VBAREUHUDZRUBUCZUFUCZVUNKALVXAVDUDZSZVXBVUNVEAVXAVFSZLVFSZVXALVGUNV
            XDAVWTVFSVXEAVWTAVWTRVVKUFUCZSZVWTVJSPVWTVVKVHVBZVKVWTUULVBZALMVKZA
            VXAVWTLAVXAVXJUUOZAVWTVXIVLZALMVLZAVWTVXMVMAVWTVVKLVXMAVVKALVJSVVKV
            NSZMLVOVBZVTVXNAVXHVWTVVKVGUNPVWTRVVKVPVBALVXNVMVQZVQZVXALVRVSVXARL
            WAVBQWBZWCZAVUGVUNSZWDZVUMVUGVUQTZVYBVUGVUQVUJVULAVYAVUGVUQUEZVUJVU
            LTAVYAVYDWDZWDVUGVUOUGUDZVUPRVUHUFUCZUQZVWEULZVUPKLUFUCZUQZVWJULZUS
            ZVWMUCZUDZVUGVYFVUPRKUFUCZUQZVWEULZVUPKRUOUCZLUFUCZUQZVWJULZUSZVWMU
            CZUDZVUJVULAVYAVYDVYOWUETZAVYDVYAWUFAVYDWDZVYAWDZVYOVUGVYFUDZVUGVYI
            WUBUSZUDZUOUCWUEWUGVUNVUNWUIWUKUOVUNVYFVYMWEWEVUGAVYFVUNWFZVYDAVYFV
            VDSZWULAVVFWUMVWRVUOVVDVVAVCVBZVYFVVCVUNUUMVBZWGZAVYMVUNWFZVYDAVYMV
            YHVYKUSZWFZWUQAVYIVYHWFZVYLVYKWFZWDVYHVYKWHZWITZWUSWUTWVARWESZWUTWL
            VYHRWEWJWMZUKWESZWVAWKVYKUKWEWJWMZWNAVUPVYGVYJWHZUQZWVBWIAVUPUUPUUQ
            ZWVIWVBTAVURWVJVWSVURVUNVUNVUPUURZWVJVUNVUNVUPUUSWOVBZVYGVYJVUPWPVB
            AWVIVUPWIUQZWIAWVHWIVUPAVUHKUMUNZWVHWITAKAKAKVXBSZKVJSZQKVXAVHVBZVL
            ZXBZRVUHKLWQVBWRVUPUUTZWSWTZVYHVYKVYIVYLXCXAAWURVUNVYMAVUPVUNUQZWUR
            VUNAWWBVUPVYGVYJUSZUQWURAVUNWWCVUPAVUNVYGVUHRUOUCZLUFUCZUSZWWCAWWDR
            VDUDZSZLVUHVDUDZSVUNWWFTAWWDKWWGAKUVASWWDKTAKWVQUVBKUVCVBZAKVJWWGWV
            QUVFUVDZUVEZAKVDUDZWWILAKWWISZWWMWWIVEAWWDKWWIWWJAVUHWWISZWWDWWISAV
            UHVFSWWOAVUHAWVPVUHVNSZWVQKVOVBZXDVUHUVGVBVUHVUHUVHVBUVIZVUHKUVPVBA
            KVFSZVXFKLVGUNLWWMSZAKWVQVKZVXKAKVXALWVRVXLVXNAWVOKVXAVGUNQKRVXAVPV
            BZVXRVQZKLVRVSZWBVUHRLXEXFAWWEVYJVYGAWWDKLUFWWJXGXHXIWRVUPVYGVYJXJW
            SAWVKWWBVUNTAVURWVKVWSVUNVUNVUPUVJVBVUNVUNVUPUVKVBZWTXLXKZWGWUGRLUF
            XMZWXGVUNUVLZWUHWUIXNZWUHVUGVYMUDZVUGVUQURZVWJULZWUJUSZUDZWUKAWXJWX
            NTVYDVYAAVUGVYMWXMAVYMVYIWXLWUBUSZUSWXMAVYLWXOVYIAVYLWXKWUAUSZVWJUL
            WXOAVYKWXPVWJAVUPKURZVYTUSZUQVUPWXQUQZWUAUSVYKWXPVUPWXQVYTXJAVYJWXR
            VUPAWWTVYJWXRTWXDKLUVMVBWRAWXKWXSWUAAVUPVUNWFZKVUNSZWXKWXSTAVURWXTV
            WSVUNVUNVUPUVNVBZVXSVUNKVUPUVQXFZXOXPXQWXKWUAVWJXRWSXHVYIWXLWUBUVRW
            SXSXTAVYDVYAWXNWUKTZAWUJVUNWXKYBZWFZVUGWYESZWYDVYDVYAWDZAWUJVYHWUAU
            SZWFZWYFAWUTWUBWUAWFZWDVYHWUAWHZWITWYJWUTWYKWVEWVFWYKWKWUAUKWEWJWMZ
            WNAVUPVYGVYTWHZUQZWYLWIAWVJWYOWYLTWVLVYGVYTVUPWPVBAWYOWVMWIAWYNWIVU
            PAVUHVYSUMUNWYNWITAVUHKVYSAVUHWWQVTZWVRAKYASVYSYASWVRKUVOVBZWVSAKWV
            RYCZYDRVUHVYSLWQVBWRWVTWSWTVYHWUAVYIWUBXCXAAWYIWYEWUJAWYIVUPVYGVYTU
            SZUQZWYEVUPVYGVYTXJAVUPVUNWXQYBZUQZWWBWXSYBZWYTWYEAWVJXUBXUCTWVLVUN
            WXQVUPUVSVBAXUAWYSVUPAXUAVYPVYTUSZWXQYBZWYSAVUNXUDWXQAWYAVUNXUDTVXS
            KRLUVTVBZYEAXUEVYPWXQYBZVYTWXQYBZUSWYSVYPVYTWXQUWAAXUGVYGXUHVYTAXUG
            VYGWXQUSZWXQYBZVYGAVYPXUIWXQAVYPVYGWWDKUFUCZUSZXUIAWWHWWNVYPXULTWWL
            WWRVUHRKXEXFAXUKWXQVYGAXUKKKUFUCZWXQAWWDKKUFWWJXGAWWSXUMWXQTWXAKUWB
            VBXIXHXIZYEAXUJVYGWXQYBZVYGVYGWXQUWCAKVYGSZYFXUOVYGTAKVUHVGUNZXUPAW
            VNXUQYFWVSAVUHKWYPWVRYGXKKRVUHVPYHKVYGYIVBYJXIAKVYTSZYFXUHVYTTAVYSK
            VGUNZXURAKVYSUMUNZXUSYFWYRAKVYSWVRWYQYGXKKVYSLUWDYHKVYTYIVBYKYJXIWR
            AWWBVUNWXSWXKWXEAWXKWXSWYCUWEUWFUWGUWHXLXKZVYAVYDWYGWYGVYEVUGVUNVUQ
            UWIUWJUWKZWYFWXKWYEWHWITZWYGWYDWXKVUNUWLZWXLWXKWFZWYFXVCWYGWDZWYDWV
            FXVEWKWXKUKWEWJWMWXKWYEWXLWUJVUGYMYLYNYOYPXIYQWUGVUNVUNWUIWUKUOVUNV
            YFWUCWEWEVUGWUPAWUCVUNWFZVYDAWUCVYQWUAUSZWFZXVGAVYRVYQWFZWYKWDVYQWU
            AWHZWITZXVIXVJWYKWVDXVJWLVYQRWEWJWMZWYMWNAVUPVYPVYTWHZUQZXVKWIAWVJX
            VOXVKTWVLVYPVYTVUPWPVBAXVOWVMWIAXVNWIVUPAXUTXVNWITWYRRKVYSLWQVBWRWV
            TWSWTZVYQWUAVYRWUBXCXAAXVHVUNWUCAWWBXVHVUNAWWBVUPXUDUQXVHAVUNXUDVUP
            XUFWRVUPVYPVYTXJWSWXEWTXLXKZWGWXGWXGWXHWXIWUHVUGWUCUDZVUGWXKVWEULZW
            UJUSZUDZWUKAXVRXWATVYDVYAAVUGWUCXVTAWUCVYIXVSUSZWUBUSZXVTAVYRXWBWUB
            AVYRVYHWXKUSZVWEULXWBAVYQXWDVWEAVUPXUIUQVYHWXSUSVYQXWDVUPVYGWXQXJAV
            YPXUIVUPXUNWRAWXKWXSVYHWYCXHXPXQVYHWXKVWEXRWSXOXWCWUJXVSVYIXVSWUBUW
            MUWOWSXSXTAVYDVYAXWAWUKTZAWYFWYGXWEWYHXVAXVBWYFXVCWYGXWEXVDXVSWXKWF
            ZWYFXVFXWEWVDXWFWLWXKRWEWJWMWXKWYEXVSWUJVUGYMYLYNYOYPXIYQUWNUWPUWQA
            VUJVYOTVYEAVUGVUIVYNABVUHGVVMVWTUMUNZVVMVVQUPZVYFVUPVWCUQZVWEULZVUP
            VWHUQZVWJULZUSZVWMUCZUTZVYNVVLIWEAVVJIBVVLXWOVAZTZOVVJVVIXWQVWQXWQC
            EVVHDVVNETZVWPXWPIXWRBVVLVWOXWOXWRVWOGXWHVWNUTXWOXWRGVVRXWHVWNXWRVV
            PXWGVVMVVQXWRVVOVWTVVMUMVVNEUHYRUWRUWSYSXWRGXWHVWNXWNXWRVVTVYFVWLXW
            MVWMVVNEUGUGUWTXWRVWFXWJVWKXWLXWRVWDXWIVWEXWRVWAVUPVWCVVNEUHUGUWTZU
            XAXQXWRVWIXWKVWJXWRVWAVUPVWHXWSUXAXQYKUXDUXBXIUXCUXENUXFWOVBZAVVMVU
            HTZWDZXWOGVUHXWNUTZVYNXXBGXWHVUHXWNXXAAXWHVUHVWTUMUNZVUHVVQUPVUHXXA
            XWGXXDVVMVUHVVQVVMVUHVWTUMUXGXXAUXHUXIAXXDVUHVVQAVUHKVWTWYPWVRVXMWV
            SAKVXAVWTWVRVXLVXMWXBAVWTVXMXBUXJZYDUXKYTYSAXXCVYNTXXAAGVUHXWNVYNVN
            WWQAVWBVUHTZWDZXWMVYMVYFVWMXXGXWJVYIXWLVYLXXFXWJVYITAXXFXWIVYHVWEXX
            FVWCVYGVUPVWBVUHRUFUXLWRXQUXNXXGXWKVYKVWJXXGVWHVYJVUPXXGVWGKLUFXXFA
            VWGWWDKVWBVUHRUOUXMWWJYTXGWRXQYKUXOUXPWGXIAWWPVXOVUHVVKVGUNVUHVVLSW
            WQVXPAKLRWVRVXNAUXQZWXCUXRVUHVVKUXSVSAVYFVYMVWMXMUXTZXSWGAVULWUETVY
            EAVUGVUKWUDABKXWOWUDVVLIWEXWTAVVMKTZWDZXWOGKXWNUTZWUDXXKGXWHKXWNXXJ
            AXWHKVWTUMUNZKVVQUPKXXJXWGXXMVVMKVVQVVMKVWTUMUXGXXJUXHUXIAXXMKVVQXX
            EUXKYTYSAXXLWUDTXXJAGKXWNWUDVXBQVWBKTZXWNWUDTAXXNXWMWUCVYFVWMXXNXWJ
            VYRXWLWUBXXNXWIVYQVWEXXNVWCVYPVUPVWBKRUFUXLWRXQXXNXWKWUAVWJXXNVWHVY
            TVUPXXNVWGVYSLUFVWBKRUOUXMXGWRXQYKUXOUXNUXPWGXIAVXBVVLKAVXBVXGVVLAV
            VKVXCSZVXBVXGVEAVXEVVKVFSVXAVVKVGUNXXOVXJAVVKVXPXDAVWTLRVXMVXNXXHVX
            QUXRVXAVVKVRVSVXARVVKWAVBVVKUYAUYCQWBAVYFWUCVWMXMUXTZXSWGUYBUYDUYEA
            VYCVUMUYFVYAAVUMVYCVUQVUIUDZVUQVUKUDZUEAVUQVYFUDZXXSRUOUCZXXQXXRAXX
            SXXTAXXSAXXSVVCSXXSVNSAVUNVVCVUQVYFAWUMVUNVVCVYFUJWUNVYFVVCVUNUYMVB
            VXTWCXXSJUYGVBZVTZAXXSXYBYCUYHAXXQVUQVYNUDZXXSUKUOUCZXXSAVUQVUIVYNX
            XIXSAVUQVUNSZXYCXYDTVXTAVUNVUNXXSUKUOVUNVYFVYMWEWEVUQWUOWXFARLUFXMZ
            XYFWXHAXYEWDXXSXNZAVUQVYMUDZUKTXYEAXYHVUQVYLUDZUKAWVCVUQVYKSZXYHXYI
            TZWWAAWXTVYJVUNVEZKVYJSZXYJWYBAKWWGSXYLWWKKRLUYIVBAWWTXYMWXDKLUYJVB
            VUNVYJVUPKUYKUYLZWUTWVAWVCXYJWDXYKWVEWVGVYHVYKVYIVYLVUQYMUYNXFAXYJX
            YIUKTXYNVYKUKVUQWKUYOVBXIWGYQUYPAXXSAXXSXYAUYQUYRVUBAXXRVUQWUDUDZXX
            TAVUQVUKWUDXXPXSAXYEXYOXXTTVXTAVUNVUNXXSRUOVUNVYFWUCWEWEVUQWUOXVQXY
            FXYFWXHXYGAVUQWUCUDZRTXYEAXYPVUQVYRUDZRAXVLVUQVYQSZXYPXYQTZXVPAWXTV
            YPVUNVEZKVYPSZXYRWYBAWWTXYTWXDKRLWAVBAWVPYUAWVQKUYSVIVUNVYPVUPKUYKU
            YLZXVJWYKXVLXYRWDXYSXVMWYMVYQWUAVYRWUBVUQUYTUYNXFAXYRXYQRTYUBVYQRVU
            QWLUYOVBXIWGYQUYPXIVUAVYCVUJXXQVULXXRVUGVUQVUIYRVUGVUQVUKYRVUCVUDWG
            VUEVUF $.
        $}

        ${
          poimirlem7.3 $e |- ( ph ->
            M e. ( ( ( ( 2nd ` T ) + 1 ) + 1 ) ... N ) ) $.
          $( Lemma for ~ poimir , similar to ~ poimirlem6 , but for vertices
             after the opposite vertex.  (Contributed by Brendan Leahy,
             21-Aug-2020.) $)
          poimirlem7 $p |- ( ph -> ( iota_ n e. ( 1 ... N )
            ( ( F ` ( M - 2 ) ) ` n ) =/= ( ( F ` ( M - 1 ) ) ` n ) ) =
              ( ( 2nd ` ( 1st ` T ) ) ` M ) ) $=
            ( c1 wcel wceq cv c2 cmin co cfv wne cfz c1st c2nd wf1o cc0 cxp clt
            wf wbr caddc cif cima csn cun csb syl xp1st sylib cuz wss peano2nnd
            cmpt cn eleqtrdi fzss1 sseldd ffvelrnd wa cvv wfn adantr cin c0 1ex
            nnuz fnconstg ax-mp c0ex pm3.2i simprbi imain fzdisj imaeq2d eqtrdi
            zred eqtr3d fnun sylancr cc zcnd npcan1 cz cle nnred ltp1d sylanbrc
            elfzle1 eqeltrrd fzsplit2 syl2anc oveq1d uneq2d eqtrd imaundi mpbid
            fneq2d ovexd eqidd uneq1d 3eqtr4a xpeq1d xpundir fveq1d ad2antrr cr
            cdif difeq1d wn ltnled elfzle2 nsyl difsn syl5eq fvun2 mp3an1 ofval
            uneq12d fveq2 csbeq1d wb adantl oveq1 sylan9eqr cn0 cab cfzo elrabi
            cmap cof crab eleq2s fvex f1oeq1 elab f1of elfznn elmapfn ccnv wfun
            xp2nd dff1o3 elfzelzd ltm1d ima0 1red nnge1d lelttrd ltletrd elnnz1
            ltled eqeltrd peano2zm uzid peano2uz 3syl elfzuz3 f1ofo foima inidm
            wfo uzss fzpred f1ofn fnsnfv peano2re lttrd imadif fzsplit difundir
            un12 difun2 eqcomd difeq12d 3eqtr3d eqtr3id eldifsn biimpri disjdif
            fzsn ancoms mpanr1 syl2an anassrs un23 equncomi eqtr4d an32s anasss
            breq2d ifbid 2fveq3 imaeq1d oveq12d csbeq2dv mpteq2dv eqeq2d elrab2
            breq1 sub1m1 ifbieq2d nncnd add1p1 eqbrtrrd leaddsub mp3an2 posdifd
            elnnz nnm1nn0 nn0red lenltd bitrd iffalsed oveq2 oveq2d lem1d letrd
            2re csbied lesub1dd elfz2nn0 syl3anbrc fvmptd lep1d 1re nnnn0d expr
            3eqtr4d necon1d wi elmapi elfzonn0 eluzfz1 fnfvima syl3anc fvconst2
            ltned mp3an12 mpdan nn0cnd addid1d 3eqtrd fzss2 elfz1end syl5ibrcom
            fvun1 3netr4d neeq12d impbid riota5 ) AHUAZKUBUCUDZIUEZUEZVVFKRUCUD
            ZIUEZUEZUFZHRLUGUDZKEUHUEZUIUEZUEZAVVNVVNKVVPAVVNVVNVVPUJZVVNVVNVVP
            UNAVVPVVNVVNFUAZUJZFUUAZSZVVRAVVOUKJUUBUDZVVNUUDUDZVWAULZSZVWBAEVWE
            UKLUGUDZULZSZVWFAEDSZVWIOVWIEIBUKLRUCUDZUGUDZGBUAZCUAZUIUEZUMUOZVWM
            VWMRUPUDZUQZVWNUHUEZUHUEZVWSUIUEZRGUAZUGUDZURZRUSZULZVXAVXBRUPUDZLU
            GUDZURZUKUSZULZUTZUPUUEZUDZVAZVHZTZCVWHUUFDVXQCEVWHUUCNUUGVBEVWEVWG
            VCVBZVVOVWDVWAUUPVBVVTVVRFVVPVVOUIUUHVVNVVNVVSVVPUUIUUJVDZVVNVVNVVP
            UUKVBAEUIUEZRUPUDZRUPUDZLUGUDZVVNKAVYBRVEUEZSVYCVVNVFAVYBVIVYDAVYAA
            VXTAVXTRVWKUGUDSVXTVISPVXTVWKUULVBZVGZVGZWAVJVYBRLVKVBQVLZVMZAVVFVV
            NSZVNZVVMVVFVVQTZVYKVVFVVQVVIVVLAVYJVVFVVQUFZVVIVVLTAVYJVYMVNZVNVVF
            VVOUHUEZVVPRVVJUGUDZURZVXEULZVVPKLUGUDZURZVXJULZUTZVXMUDZUEZVVFVYOV
            VPRKUGUDZURZVXEULZVVPKRUPUDZLUGUDZURZVXJULZUTZVXMUDZUEZVVIVVLAVYJVY
            MWUDWUNTZAVYMVYJWUOAVYMVNZVYJVNZWUDVVFVYOUEZVVFVYRWUKUTZUEZUPUDWUNW
            UPVVNVVNWURWUTUPVVNVYOWUBVOVOVVFAVYOVVNVPZVYMAVYOVWDSZWVAAVWFWVBVXR
            VVOVWDVWAVCVBZVYOVWCVVNUUMVBZVQZAWUBVVNVPZVYMAWUBVYQVYTUTZVPZWVFAVY
            RVYQVPZWUAVYTVPZVNVYQVYTVRZVSTZWVHWVIWVJRVOSZWVIVTVYQRVOWBWCZUKVOSZ
            WVJWDVYTUKVOWBWCZWEAVVPVYPVYSVRZURZWVKVSAVVPUUNUUOZWVRWVKTAVVRWVSVX
            SVVRVVNVVNVVPUVPZWVSVVNVVNVVPUUQWFVBZVYPVYSVVPWGVBAWVRVVPVSURZVSAWV
            QVSVVPAVVJKUMUOZWVQVSTAKAKAKVYBLQUURZWKZUUSZRVVJKLWHVBWIVVPUUTZWJWL
            ZVYQVYTVYRWUAWMWNAWVGVVNWUBAVVPVVNURZWVGVVNAWWIVVPVYPVYSUTZURWVGAVV
            NWWJVVPAVVNVYPVVJRUPUDZLUGUDZUTZWWJAWWKVYDSZLVVJVEUEZSVVNWWMTAWWKKV
            YDAKWOSZWWKKTAKWWDWPZKWQVBZAKVIVYDAKWRSZRKWSUOKVISZWWDARKAUVAZWWEAR
            VYBKWXAAVYBVYGWTZWWEARVYAVYBWXAAVYAVYFWTZWXBAVYAVYFUVBAVYAWXCXAUVCA
            KVYCSZVYBKWSUOQKVYBLXCVBZUVDZUVFKUVEXBZWAVJZUVGZAKVEUEZWWOLAKWWOSZW
            XJWWOVFAWWKKWWOWWRAVVJWRSZVVJWWOSWWKWWOSAWWSWXLWWDKUVHVBZVVJUVIVVJV
            VJUVJUVKXDZVVJKUVQVBAWXDLWXJSZQKVYBLUVLVBZVLVVJRLXEXFAWWLVYSVYPAWWK
            KLUGWWRXGXHXIWIVVPVYPVYSXJWJAWVTWWIVVNTAVVRWVTVXSVVNVVNVVPUVMVBVVNV
            VNVVPUVNVBZWLXLXKZVQWUPRLUGXMZWXSVVNUVOZWUQWURXNZWUQVVFWUBUEZVVFVVQ
            USZVXJULZWUSUTZUEZWUTAWYBWYFTVYMVYJAVVFWUBWYEAWUBVYRWYDWUKUTZUTWYEA
            WUAWYGVYRAWUAWYCWUJUTZVXJULWYGAVYTWYHVXJAVVPKUSZWUIUTZURVVPWYIURZWU
            JUTVYTWYHVVPWYIWUIXJAVYSWYJVVPAWXOVYSWYJTWXPKLUVRVBWIAWYCWYKWUJAVVP
            VVNVPZKVVNSZWYCWYKTAVVRWYLVXSVVNVVNVVPUVSVBZVYHVVNKVVPUVTXFZXOXPXQW
            YCWUJVXJXRWJXHVYRWYDWUKUWFWJXSXTAVYMVYJWYFWUTTZAWUSVVNWYCYBZVPZVVFW
            YQSZWYPVYMVYJVNZAWUSVYQWUJUTZVPZWYRAWVIWUKWUJVPZVNVYQWUJVRZVSTXUBWV
            IXUCWVNWVOXUCWDWUJUKVOWBWCZWEAVVPVYPWUIVRZURZXUDVSAWVSXUGXUDTWWAVYP
            WUIVVPWGVBAXUGWWBVSAXUFVSVVPAVVJWUHUMUOXUFVSTAVVJKWUHAVVJWXMWKZWWEA
            KYASZWUHYASWWEKUWAVBZWWFAKWWEXAZUWBRVVJWUHLWHVBWIWWGWJWLVYQWUJVYRWU
            KWMWNAXUAWYQWUSAXUAVVPVYPWUIUTZURZWYQVVPVYPWUIXJAVVPVVNWYIYBZURZWWI
            WYKYBZXUMWYQAWVSXUOXUPTWWAVVNWYIVVPUWCVBAXUNXULVVPAXUNWUEWUIUTZWYIY
            BZXULAVVNXUQWYIAWYMVVNXUQTVYHKRLUWDVBZYCAXURWUEWYIYBZWUIWYIYBZUTXUL
            WUEWUIWYIUWEAXUTVYPXVAWUIAXUTVYPWYIUTZWYIYBZVYPAWUEXVBWYIAWUEVYPWWK
            KUGUDZUTZXVBAWWNWXKWUEXVETWXIWXNVVJRKXEXFAXVDWYIVYPAXVDKKUGUDZWYIAW
            WKKKUGWWRXGAWWSXVFWYITWWDKUWOVBXIXHXIZYCAXVCVYPWYIYBZVYPVYPWYIUWGAK
            VYPSZYDXVHVYPTAKVVJWSUOZXVIAWWCXVJYDWWFAVVJKXUHWWEYEXKKRVVJYFYGKVYP
            YHVBYIXIAKWUISZYDXVAWUITAWUHKWSUOZXVKAKWUHUMUOZXVLYDXUKAKWUHWWEXUJY
            EXKKWUHLXCYGKWUIYHVBYMYIXIWIAWWIVVNWYKWYCWXQAWYCWYKWYOUWHUWIUWJUWKX
            LXKZVYJVYMWYSWYSVYNVVFVVNVVQUWLUWMUWPZWYRWYCWYQVRVSTZWYSWYPWYCVVNUW
            NZWYDWYCVPZWYRXVPWYSVNZWYPWVOXVRWDWYCUKVOWBWCWYCWYQWYDWUSVVFYJYKUWQ
            UWRUWSXIYLWUPVVNVVNWURWUTUPVVNVYOWULVOVOVVFWVEAWULVVNVPZVYMAWULWUFW
            UJUTZVPZXVTAWUGWUFVPZXUCVNWUFWUJVRZVSTZXWBXWCXUCWVMXWCVTWUFRVOWBWCZ
            XUEWEAVVPWUEWUIVRZURZXWDVSAWVSXWHXWDTWWAWUEWUIVVPWGVBAXWHWWBVSAXWGV
            SVVPAXVMXWGVSTXUKRKWUHLWHVBWIWWGWJWLZWUFWUJWUGWUKWMWNAXWAVVNWULAWWI
            XWAVVNAWWIVVPXUQURXWAAVVNXUQVVPXUSWIVVPWUEWUIXJWJWXQWLXLXKZVQWXSWXS
            WXTWYAWUQVVFWULUEZVVFWYCVXEULZWUSUTZUEZWUTAXWKXWNTVYMVYJAVVFWULXWMA
            WULVYRXWLUTZWUKUTZXWMAWUGXWOWUKAWUGVYQWYCUTZVXEULXWOAWUFXWQVXEAVVPX
            VBURVYQWYKUTWUFXWQVVPVYPWYIXJAWUEXVBVVPXVGWIAWYCWYKVYQWYOXHXPXQVYQW
            YCVXEXRWJXOXWPWUSXWLVYRXWLWUKUWTUXAWJXSXTAVYMVYJXWNWUTTZAWYRWYSXWRW
            YTXVNXVOWYRXVPWYSXWRXVQXWLWYCVPZWYRXVSXWRWVMXWSVTWYCRVOWBWCWYCWYQXW
            LWUSVVFYJYKUWQUWRUWSXIYLUXBUXCUXDAVVIWUDTVYNAVVFVVHWUCABVVGGVWMVXTU
            MUOZVWMVWQUQZVYOVVPVXCURZVXEULZVVPVXHURZVXJULZUTZVXMUDZVAZWUCVWLIVO
            AVWJIBVWLXXHVHZTZOVWJVWIXXJVXQXXJCEVWHDVWNETZVXPXXIIXXKBVWLVXOXXHXX
            KVXOGXXAVXNVAXXHXXKGVWRXXAVXNXXKVWPXWTVWMVWQXXKVWOVXTVWMUMVWNEUIYNU
            XEUXFYOXXKGXXAVXNXXGXXKVWTVYOVXLXXFVXMVWNEUHUHUXGXXKVXFXXCVXKXXEXXK
            VXDXXBVXEXXKVXAVVPVXCVWNEUIUHUXGZUXHXQXXKVXIXXDVXJXXKVXAVVPVXHXXLUX
            HXQYMUXIUXJXIUXKUXLNUXMWFVBZAVWMVVGTZVNZXXHGVVJXXGVAZWUCXXOGXXAVVJX
            XGXXOXXAVVGVXTUMUOZVWMVVJUQZVVJXXOXWTXXQVWQVVJVWMXXNXWTXXQYPAVWMVVG
            VXTUMUXNYQXXNAVWQVVGRUPUDZVVJVWMVVGRUPYRAVVJRUCUDZRUPUDZXXSVVJAXXTV
            VGRUPAWWPXXTVVGTWWQKUXOVBZXGAVVJWOSXYAVVJTAVVJWXMWPVVJWQVBWLYSUXPAX
            XRVVJTXXNAXXQVWMVVJAVXTUBUPUDZKWSUOZXXQYDZAVYBXYCKWSAVXTWOSVYBXYCTA
            VXTVYEUXQVXTUXRVBWXEUXSAXYDVXTVVGWSUOZXYEAVXTYASZXUIXYDXYFYPZAVXTVY
            EWTZWWEXYGUBYASXUIXYHUYMVXTUBKUXTUYAXFAVXTVVGXYIAVVGAXXTVVGYTXYBAVV
            JVISZXXTYTSAWXLUKVVJUMUOZXYJWXMARKUMUOXYKWXFARKWXAWWEUYBXKVVJUYCXBZ
            VVJUYDVBXDZUYEUYFUYGXKUYHVQXIYOAXXPWUCTXXNAGVVJXXGWUCWRWXMAVXBVVJTZ
            VNZXXFWUBVYOVXMXYOXXCVYRXXEWUAXYNXXCVYRTAXYNXXBVYQVXEXYNVXCVYPVVPVX
            BVVJRUGUYIWIXQYQXYOXXDVYTVXJXYOVXHVYSVVPXYOVXGKLUGXYNAVXGWWKKVXBVVJ
            RUPYRWWRYSXGWIXQYMUYJUYNVQXIAVVGYTSVWKYTSZVVGVWKWSUOVVGVWLSXYMALVIS
            XYPMLUYDVBZAXXTVVGVWKWSXYBAVVJLRXUHALMWTZWXAAVVJKLXUHWWEXYRAKWWEUYK
            AWXDKLWSUOQKVYBLYFVBZUYLUYOUXSVVGVWKUYPUYQAVYOWUBVXMXMUYRZXSVQAVVLW
            UNTVYNAVVFVVKWUMABVVJXXHWUMVWLIVOXXMAVWMVVJTZVNZXXHGKXXGVAZWUMYUBGX
            XAKXXGYUBXXAVVJVXTUMUOZVWMKUQZKYUBXWTYUDVWQKVWMYUAXWTYUDYPAVWMVVJVX
            TUMUXNYQYUAAVWQWWKKVWMVVJRUPYRWWRYSUXPAYUEKTYUAAYUDVWMKAVYAKWSUOZYU
            DYDZAVYAVYBKWXCWXBWWEAVYAWXCUYSWXEUYLAYUFVXTVVJWSUOZYUGAXYGXUIYUFYU
            HYPZXYIWWEXYGRYASXUIYUIUYTVXTRKUXTUYAXFAVXTVVJXYIXUHUYFUYGXKUYHVQXI
            YOAYUCWUMTYUAAGKXXGWUMVYCQVXBKTZXXGWUMTAYUJXXFWULVYOVXMYUJXXCWUGXXE
            WUKYUJXXBWUFVXEYUJVXCWUEVVPVXBKRUGUYIWIXQYUJXXDWUJVXJYUJVXHWUIVVPYU
            JVXGWUHLUGVXBKRUPYRXGWIXQYMUYJYQUYNVQXIAVVJYTSXYPVVJVWKWSUOVVJVWLSA
            VVJXYLVUAXYQAKLRWWEXYRWXAXYSUYOVVJVWKUYPUYQAVYOWULVXMXMUYRZXSVQVUCV
            UBVUDAVYLVVMVUEVYJAVVMVYLVVQVVHUEZVVQVVKUEZUFAVVQVYOUEZYUNRUPUDZYUL
            YUMAYUNYUOAYUNAYUNVWCSYUNYTSAVVNVWCVVQVYOAWVBVVNVWCVYOUNWVCVYOVWCVV
            NVUFVBVYIVMYUNJVUGVBZUYEZAYUNYUQXAVULAYULVVQWUCUEZYUNUKUPUDZYUNAVVQ
            VVHWUCXYTXSAVVQVVNSZYURYUSTVYIAVVNVVNYUNUKUPVVNVYOWUBVOVOVVQWVDWXRA
            RLUGXMZYVAWXTAYUTVNYUNXNZAVVQWUBUEZUKTYUTAYVCVVQWUAUEZUKAWVLVVQVYTS
            ZYVCYVDTZWWHAWYLVYSVVNVFZKVYSSZYVEWYNAKVYDSYVGWXHKRLVKVBAWXOYVHWXPK
            LVUHVBVVNVYSVVPKVUIVUJZWVIWVJWVLYVEVNYVFWVNWVPVYQVYTVYRWUAVVQYJVUMX
            FAYVEYVDUKTYVIVYTUKVVQWDVUKVBXIVQYLVUNAYUNAYUNYUPVUOVUPVUQAYUMVVQWU
            MUEZYUOAVVQVVKWUMYUKXSAYUTYVJYUOTVYIAVVNVVNYUNRUPVVNVYOWULVOVOVVQWV
            DXWJYVAYVAWXTYVBAVVQWULUEZRTYUTAYVKVVQWUGUEZRAXWEVVQWUFSZYVKYVLTZXW
            IAWYLWUEVVNVFZKWUESZYVMWYNAWXOYVOWXPKRLVURVBAWWTYVPWXGKVUSVDVVNWUEV
            VPKVUIVUJZXWCXUCXWEYVMVNYVNXWFXUEWUFWUJWUGWUKVVQVVAVUMXFAYVMYVLRTYV
            QWUFRVVQVTVUKVBXIVQYLVUNXIVVBVYLVVIYULVVLYUMVVFVVQVVHYNVVFVVQVVKYNV
            VCVUTVQVVDVVE $.
        $}

        poimirlem9.3 $e |- ( ph -> U e. S ) $.
        $( Lemma for ~ poimir , establishing that away from the opposite vertex
           the walks in ~ poimirlem9 yield the same vertices.  (Contributed by
           Brendan Leahy, 21-Aug-2020.) $)
        poimirlem8 $p |- ( ph -> ( ( 2nd ` ( 1st ` U ) ) |` ( ( 1 ... N ) \
          { ( 2nd ` T ) , ( ( 2nd ` T ) + 1 ) } ) ) =
            ( ( 2nd ` ( 1st ` T ) ) |` ( ( 1 ... N ) \ { ( 2nd ` T ) ,
          ( ( 2nd ` T ) + 1 ) } ) ) ) $=
          ( c1 co wcel syl vk vn cfz c2nd cfv caddc cpr cdif c1st cres wfn wf1o
          wss cab cc0 cfzo cmap cxp cmin clt wbr cif cima csn cun csb cmpt wceq
          cv elrabi eleq2s xp1st xp2nd fvex elab sylib f1ofn fnssres sylancl wa
          f1oeq1 cc nncnd npcan1 oveq2d difeq1d cuz cn cz peano2uz oveq1d eqtrd
          eqeltrd cin wn cle ltnled mpbid elfzle2 difsn cr peano2re ltp1d lttrd
          nsyl ineq12d difeq2i difundi inidm 3eqtr3g elfzle1 uneq12d eleq2d wne
          crio fveq2 breq2d ifbid csbeq1d 2fveq3 imaeq1d xpeq1d csbeq2dv eqeq2d
          oveq12d mpteq2dv elrab2 simprbi wf elmapi fss adantr simpr poimirlem6
          biimpar syldan eqtr3d poimirlem7 fvres adantl cof crab difss fzp1elp1
          eleqtrd fzsplit difundir elfznn nnuz eleqtrdi nnzd peano2zm uzid 3syl
          eqeltrrd fzsplit2 syl2anc fzpr uneq2d nnred ltm1d zred difun2 3eqtrri
          df-pr eqtr2i syl5eq elun bitrdi biimpa wrmo elfzoelz ssriv poimirlem1
          wo eldifsn biimpri sylan poimirlem2 ex necon1bd mpd c2 jaodan 3eqtr4d
          eqfnfvd ) AUAQKUCRZEUDUEZUWHQUFRZUGZUHZFUIUEZUDUEZUWKUJZEUIUEZUDUEZUW
          KUJZAUWMUWGUKZUWKUWGUMZUWNUWKUKAUWGUWGUWMULZUWRAUWMUWGUWGGVIZULZGUNZS
          ZUWTAUWLUOJUPRZUWGUQRZUXCURZSZUXDAFUXGUOKUCRZURZSZUXHAFDSZUXKPUXKFIBU
          OKQUSRZUCRZHBVIZCVIZUDUEZUTVAZUXOUXOQUFRZVBZUXPUIUEZUIUEZUYAUDUEZQHVI
          ZUCRZVCZQVDZURZUYCUYDQUFRKUCRZVCZUOVDZURZVEZUFUUAZRZVFZVGZVHZCUXJUUBZ
          DUYRCFUXJVJMVKTZFUXGUXIVLTZUWLUXFUXCVMTUXBUWTGUWMUWLUDVNUWGUWGUXAUWMW
          AVOVPZUWGUWGUWMVQTUWGUWJUUCZUWGUWKUWMVRVSAUWPUWGUKZUWSUWQUWKUKAUWGUWG
          UWPULZVUDAUWPUXCSZVUEAUWOUXGSZVUFAEUXJSZVUGAEDSZVUHNVUHEUYSDUYRCEUXJV
          JMVKTEUXGUXIVLTZUWOUXFUXCVMTUXBVUEGUWPUWOUDVNUWGUWGUXAUWPWAVOVPZUWGUW
          GUWPVQTVUCUWGUWKUWPVRVSAUAVIZUWKSZVTVULUWMUEZVULUWPUEZVULUWNUEZVULUWQ
          UEZAVUMVULQUWHQUSRZUCRZSZVULUWIQUFRZKUCRZSZUVOZVUNVUOVHZAVUMVVDAVUMVU
          LVUSVVBVEZSVVDAUWKVVFVULAUWKQUWIUCRZVVBVEZUWJUHZVVFAUWGVVHUWJAUWIUWGS
          UWGVVHVHAUWIQUXMQUFRZUCRZUWGAUWHQUXMUCRZSZUWIVVKSOUWHQUXMUUDTAVVJKQUC
          AKWBSVVJKVHAKLWCKWDTWEUUEUWIQKUUFTWFAVVIVVGUWJUHZVVBUWJUHZVEVVFVVGVVB
          UWJUUGAVVNVUSVVOVVBAVVNVUSUWJVEZUWJUHZVUSAVVGVVPUWJAVVGVUSVURQUFRZUWI
          UCRZVEZVVPAVVRQWGUEZSUWIVURWGUEZSZVVGVVTVHAVVRUWHVWAAUWHWBSVVRUWHVHAU
          WHAVVMUWHWHSOUWHUXMUUHTZWCUWHWDTZAUWHWHVWAVWDUUIUUJWMAUWHVWBSVWCAVVRU
          WHVWBVWEAVURWISZVURVWBSVVRVWBSAUWHWISZVWFAUWHVWDUUKZUWHUULTZVURUUMVUR
          VURWJUUNUUOVURUWHWJTVURQUWIUUPUUQAVVSUWJVUSAVVSUWHUWIUCRZUWJAVVRUWHUW
          IUCVWEWKAVWGVWJUWJVHVWHUWHUURTWLUUSWLWFAVUSUWHVDZUHZVUSUWIVDZUHZWNZVU
          SVUSWNVVQVUSAVWLVUSVWNVUSAUWHVUSSZWOVWLVUSVHAUWHVURWPVAZVWPAVURUWHUTV
          AVWQWOAUWHAUWHVWDUUTZUVAZAVURUWHAVURVWIUVBZVWRWQWRUWHQVURWSXEUWHVUSWT
          TAUWIVUSSZWOVWNVUSVHAUWIVURWPVAZVXAAVURUWIUTVAVXBWOAVURUWHUWIVWTVWRAU
          WHXASUWIXASZVWRUWHXBTZVWSAUWHVWRXCZXDAVURUWIVWTVXDWQWRUWIQVURWSXEUWIV
          USWTTXFVVQVUSUWJUHVUSVWKVWMVEZUHVWOVUSUWJUVCUWJVXFVUSUWHUWIUVEZXGVUSV
          WKVWMXHUVDVUSXIXJWLAVVBVWKUHZVVBVWMUHZWNZVVBVVBWNVVOVVBAVXHVVBVXIVVBA
          UWHVVBSZWOVXHVVBVHAVVAUWHWPVAZVXKAUWHVVAUTVAVXLWOAUWHUWIVVAVWRVXDAVXC
          VVAXASVXDUWIXBTZVXEAUWIVXDXCZXDAUWHVVAVWRVXMWQWRUWHVVAKXKXEUWHVVBWTTA
          UWIVVBSZWOVXIVVBVHAVVAUWIWPVAZVXOAUWIVVAUTVAVXPWOVXNAUWIVVAVXDVXMWQWR
          UWIVVAKXKXEUWIVVBWTTXFVVOVVBVXFUHVXJUWJVXFVVBVXGXGVVBVWKVWMXHUVFVVBXI
          XJXLUVGWLXMVULVUSVVBUVHUVIUVJAVUTVVEVVCAVUTVTZUBVIZVULQUSRIUEUEZVXRVU
          LIUEUEXNUBUWGXOZVUNVUOAVUTVULQFUDUEZQUSRZUCRZSZVXTVUNVHAVYDVUTAVYCVUS
          VULAVYBVURQUCAVYAUWHQUSAVXRVURIUEUEVXRUWHIUEUEXNUBUWGUVKZWOVYAUWHVHAB
          UWOUIUEZUWPHUBIUWHKLAVUIIBUXNHUXOUWHUTVAZUXOUXSVBZVYFUWPUYEVCZUYGURZU
          WPUYIVCZUYKURZVEZUYNRZVFZVGZVHZNVUIVUHVYQUYRVYQCEUXJDUXPEVHZUYQVYPIVY
          RBUXNUYPVYOVYRUYPHVYHUYOVFVYOVYRHUXTVYHUYOVYRUXRVYGUXOUXSVYRUXQUWHUXO
          UTUXPEUDXPXQXRXSVYRHVYHUYOVYNVYRUYBVYFUYMVYMUYNUXPEUIUIXTVYRUYHVYJUYL
          VYLVYRUYFVYIUYGVYRUYCUWPUYEUXPEUDUIXTZYAYBVYRUYJVYKUYKVYRUYCUWPUYIVYS
          YAYBXLYEYCWLYFYDMYGYHTAUWGUXEVYFYIZUXEWIUMZUWGWIVYFYIAVYFUXFSZVYTAVUG
          WUBVUJUWOUXFUXCVLTVYFUXEUWGYJTUBUXEWIVXRUOJUVLUVMZUWGUXEWIVYFYKVSVUKO
          UVNAVYEVYAUWHAVYAUWHXNZVYEAWUDVTBUWLUIUEZUWMHUBIVYAKUWHAKWHSZWUDLYLAI
          BUXNHUXOVYAUTVAZUXOUXSVBZWUEUWMUYEVCZUYGURZUWMUYIVCZUYKURZVEZUYNRZVFZ
          VGZVHZWUDAUXLWUQPUXLUXKWUQUYRWUQCFUXJDUXPFVHZUYQWUPIWURBUXNUYPWUOWURU
          YPHWUHUYOVFWUOWURHUXTWUHUYOWURUXRWUGUXOUXSWURUXQVYAUXOUTUXPFUDXPXQXRX
          SWURHWUHUYOWUNWURUYBWUEUYMWUMUYNUXPFUIUIXTWURUYHWUJUYLWULWURUYFWUIUYG
          WURUYCUWMUYEUXPFUDUIXTZYAYBWURUYJWUKUYKWURUYCUWMUYIWUSYAYBXLYEYCWLYFY
          DMYGYHTYLAUWGWIWUEYIZWUDAUWGUXEWUEYIZWUAWUTAWUEUXFSZWVAAUXHWVBVUAUWLU
          XFUXCVLTWUEUXEUWGYJTWUCUWGUXEWIWUEYKVSYLAUWTWUDVUBYLAVVMWUDOYLAVYAUXI
          SZWUDVYAUXIVWKUHSZAUXKWVCUYTFUXGUXIVMTWVDWVCWUDVTVYAUXIUWHUVPUVQUVRUV
          SUVTUWAUWBZWKWEXMYOAVYDVTBCDFGHUBIJVULKAWUFVYDLYLMAUXLVYDPYLAVYAVVLSZ
          VYDAVYAUWHVVLWVEOWMZYLAVYDYMYNYPVXQBCDEGHUBIJVULKAWUFVUTLYLMAVUIVUTNY
          LAVVMVUTOYLAVUTYMYNYQAVVCVTZVXRVULUWCUSRIUEUEVXSXNUBUWGXOZVUNVUOAVVCV
          ULVYAQUFRZQUFRZKUCRZSZWVIVUNVHAWVMVVCAWVLVVBVULAWVKVVAKUCAWVJUWIQUFAV
          YAUWHQUFWVEWKWKWKXMYOAWVMVTBCDFGHUBIJVULKAWUFWVMLYLMAUXLWVMPYLAWVFWVM
          WVGYLAWVMYMYRYPWVHBCDEGHUBIJVULKAWUFVVCLYLMAVUIVVCNYLAVVMVVCOYLAVVCYM
          YRYQUWDYPVUMVUPVUNVHAVULUWKUWMYSYTVUMVUQVUOVHAVULUWKUWPYSYTUWEUWF $.

        poimirlem9.4 $e |- ( ph ->
          ( 2nd ` ( 1st ` U ) ) =/= ( 2nd ` ( 1st ` T ) ) ) $.
        $( Lemma for ~ poimir , establishing the two walks that yield a given
           face when the opposite vertex is neither first nor last.
           (Contributed by Brendan Leahy, 21-Aug-2020.) $)
        poimirlem9 $p |- ( ph -> ( 2nd ` ( 1st ` U ) ) =
          ( ( 2nd ` ( 1st ` T ) ) o. ( { <. ( 2nd ` T ) ,
            ( ( 2nd ` T ) + 1 ) >. , <. ( ( 2nd ` T ) + 1 ) ,
          ( 2nd ` T ) >. } u. ( _I |` ( ( 1 ... N ) \
            { ( 2nd ` T ) , ( ( 2nd ` T ) + 1 ) } ) ) ) ) ) $=
          ( wceq wcel cvv c1st cfv c2nd c1 caddc cop cpr ccom cfz cdif cres cun
          co resundi wss syl 4syl prssd sylib reseq2d wf1o wfn cab cc0 cmap cxp
          cz cv clt wbr cima elrabi eleq2s xp1st xp2nd fvex f1oeq1 elab fnresdm
          csn f1ofn 3syl eqtrd eqtr3id c3 c2 cle wn chash wi df-pr coundi eqtri
          wne wf wf1 f1of1 f1ores syl2anc f1of eqtrdi syl5eq necomd necon3d mpd
          neneqd simprbi nsyl wa ax-mp bitri fnressn uneq12d 3eqtr4g w3a wb cfn
          prex mapval mapfi mp2an eqeltrri ss2abi fnimapr syl3anc f1oeq3d mpbid
          prfi ssfi f1oprg mp4an crn ccnv wfun wfo dff1o3 imadif f1ofo cen cfa
          cid cmin cuz nncnd npcan1 nnzd peano2zm uzid peano2uz eqeltrrd sseldd
          cc fzss2 fzp1elp1 oveq2d eleqtrd undif cfzo cif cof csb cmpt crab 2re
          2lt3 3re ltnlei mpbi coeq2i snssd fnsnfv feq3d mpbird eqid ovex mpbir
          ctp fsn fco2 sylancl fconst2 uneq1d elfznn nnred ltp1d ltned f1veqaeq
          xpsn cn syl12anc opth opth1 opex snid elun1 eleq2 mpbii elpr necon2ai
          oran eqnetrd reseq2i poimirlem8 uneq12 eqeq12d syl5ib mpan2d eqnetrrd
          wo coex resex hashtpg mp3an biimpi 3expia f1oco rnpropg eqimssi cores
          prcom f1oeq3 foima eqtr4d rneqd df-ima difeq12d dfin4 sseqin2 imaeq2d
          mp2b cin eqtr3d 3eqtrd 3eqtr3d ssabral raltp syl3anbrc hashss sylancr
          wral enref hashprg hashen hashfacen sylibr hashfac fac2 breqtrd breq1
          fveq2d syl5ibcom syld necon1bd mpi coires1 eqtr4di ) AFUAUBZUCUBZEUAU
          BZUCUBZEUCUBZVVAUDUEUMZUFZVVBVVAUFZUGZUHZVUTUUAUDKUIUMZVVAVVBUGZUJZUK
          ZUHZULZVUTVVEVVJULUHAVURVVHUKZVURVVIUKZULZVURVVLAVVOVURVVHVVIULZUKZVU
          RVURVVHVVIUNAVVQVURVVGUKZVURAVVPVVGVURAVVHVVGUOZVVPVVGRAVVAVVBVVGAUDK
          UDUUBUMZUIUMZVVGVVAAKVVTUUCUBZSVWAVVGUOAVVTUDUEUMZKVWBAKUULSVWCKRAKLU
          UDKUUEUPZAKVGSVVTVGSVVTVWBSVWCVWBSAKLUUFKUUGVVTUUHVVTVVTUUIUQUUJVVTUD
          KUUMUPOUUKZAVVBUDVWCUIUMZVVGAVVAVWASZVVBVWFSOVVAUDVVTUUNUPAVWCKUDUIVW
          DUUOUUPZURZVVHVVGUUQUSZUTAVVGVVGVURVAZVURVVGVBVVRVURRAVURVVGVVGGVHZVA
          ZGVCZSZVWKAFDSFVDJUURUMVVGVEUMZVWNVFZVDKUIUMZVFZSZVUQVWQSVWOPVWTFIBVD
          VVTUIUMHBVHZCVHZUCUBVIVJVXAVXAUDUEUMUUSVXBUAUBZUAUBVXCUCUBZUDHVHZUIUM
          VKUDVTVFVXDVXEUDUEUMKUIUMVKVDVTVFULUEUUTUMUVAUVBRZCVWSUVCZDVXFCFVWSVL
          MVMFVWQVWRVNVUQVWPVWNVOUQVWMVWKGVURVUQUCVPZVVGVVGVWLVURVQVRUSZVVGVVGV
          URWAVVGVURVSWBWCWDZAVVMVVFVVNVVKAWEWFWGVJZWHZVVMVVFRWFWEVIVJVXLUVEWFW
          EUVDUVFUVGUVHAVXKVVMVVFAVVMVVFWNZVVFVVAVVAVUTUBZUFZVVBVVBVUTUBZUFZUGZ
          VVMUVQZWIUBZWERZVXKAVVFVXRWNZVXRVVMWNZVXMVYAWJAVVFVVAVXPUFZVTZVUTVVDV
          TZUHZULZVXRAVVFVUTVVCVTZUHZVYGULZVYHVVFVUTVYIVYFULZUHVYKVVEVYLVUTVVCV
          VDWKUVIVUTVYIVYFWLWMAVYJVYEVYGAVYJVVAVTZVXPVTZVFZVYEAVYMVYNVYJWOZVYJV
          YORAVVBVTZVYNVUTVYQUKZWOZVYMVYQVYIWOZVYPAVYSVYQVUTVYQVKZVYRWOZAVYQWUA
          VYRVAZWUBAVVGVVGVUTWPZVYQVVGUOWUCAVVGVVGVUTVAZWUDAVUTVWNSZWUEAEDSEVWS
          SZVUSVWQSWUFNWUGEVXGDVXFCEVWSVLMVMEVWQVWRVNVUSVWPVWNVOUQVWMWUEGVUTVUS
          UCVPZVVGVVGVWLVUTVQVRUSZVVGVVGVUTWQUPZAVVBVVGVWHUVJVVGVVGVYQVUTWRWSVY
          QWUAVYRWTUPAVYNWUAVYRVYQAVUTVVGVBZVVBVVGSZVYNWUARAWUEWUKWUIVVGVVGVUTW
          AZUPZVWHVVGVVBVUTUVKWSUVLUVMVYTVYIVYIRVYIUVNVVAVVBVYIEUCVPZVVAUDUEUVO
          ZUVRUVPVYMVYQVYNVUTVYIUVSUVTVYMVXPVYJVVBVUTVPZUWAUSVVAVXPWUOWUQUWHXAU
          WBXBAVYDVXORZWHZVYDVXQRZWHZVYHVXRWNAVXPVXNRZWURAVXPVXNAVVBVVAWNZVXPVX
          NWNZAVVAVVBAVVAVVBAVVAAVWGVVAUWISOVVAVVTUWCUPUWDZAVVAWVEUWEUWFZXCZAVX
          PVXNVVBVVAAWUDWULVVAVVGSZWVBVVBVVARWJWUJVWHVWEVVGVVGVVBVVAVUTUWGUWJXD
          XEZXFWURVVAVVARWVBVVAVXPVVAVXNWUOWUQUWKXGXHAVVAVVBRWUTAVVAVVBWVFXFVVA
          VXPVVBVXPWUOWUQUWLXHWUSWVAXIZVYHVXRVYHVXRRZVYDVXRSZWVJWHZWVKVYDVYHSZW
          VLVYDVYESWVNVYDVVAVXPUWMZUWNVYDVYEVYGUWOXJVYHVXRVYDUWPUWQWVLWURWUTUXI
          WVMVYDVXOVXQWVOUWRWURWUTUWTXKUSUWSWSUXAAVUTVVHUKZVXRVVMAVUTVYMUKZVYRU
          LZVXOVTZVXQVTZULWVPVXRAWVQWVSVYRWVTAWUKWVHWVQWVSRWUNVWEVVGVVAVUTXLWSA
          WUKWULVYRWVTRWUNVWHVVGVVBVUTXLWSXMWVPVUTVYMVYQULZUKWVRVVHWWAVUTVVAVVB
          WKUXBVUTVYMVYQUNWMVXOVXQWKXNAVVMWVPAVURVUTWNVVMWVPWNQAVVMWVPVURVUTAVV
          MWVPRZVVNVUTVVIUKZRZVURVUTRZABCDEFGHIJKLMNOPUXCZWWBWWDXIVVOWVPWWCULZR
          AWWEVVMWVPVVNWWCUXDAVVOVURWWGVUTVXJAWWGVUTVVPUKZVUTVUTVVHVVIUNAWWHVUT
          VVGUKZVUTAVVPVVGVUTVWJUTAWUEWUKWWIVUTRWUIWUMVVGVUTVSWBWCWDUXEUXFUXGXD
          XEXCUXHVYBVYCVXMVYAVYBVYCVXMXOZVYAVVFTSVXRTSVVMTSWWJVYAXPVUTVVEWUHVVC
          VVDXRUXJZVXOVXQXRZVURVVHVXHUXKZVVFVXRVVMTTTUXLUXMUXNUXOWSAVXTWFWGVJVY
          AVXKAVXTVVHVXPVXNUGZVWLVAZGVCZWIUBZWFWGAWWPXQSZVXSWWPUOZVXTWWQWGVJVVH
          WWNVWLWOZGVCZXQSWWPWXAUOWWRWWNVVHVEUMZWXAXQWWNVVHGVXPVXNXRVVAVVBXRZXS
          WWNXQSZVVHXQSZWXBXQSVXPVXNYHZVVAVVBYHZWWNVVHXTYAYBWWOWWTGVVHWWNVWLWTY
          CWXAWWPYIYAZAVVHWWNVVFVAZVVHWWNVXRVAZVVHWWNVVMVAZWWSAVVHWWNVUTVVBVVAU
          GZUKZVVEUHZVAZWXIAWXLWWNWXMVAZVVHWXLVVEVAZWXOAWXLVUTWXLVKZWXMVAZWXPAW
          UDWXLVVGUOWXSWUJAVVBVVAVVGVWHVWEURVVGVVGWXLVUTWRWSAWXRWWNWXLWXMAWUKWU
          LWVHWXRWWNRWUNVWHVWEVVGVVBVVAVUTYDYEYFYGAVVAVVBWNZWVCWXQWVFWVGVVATSZV
          VBTSZWYBWYAWXTWVCXIWXQWJWUOWUPWUPWUOVVAVVBVVBVVATTTTYJYKWSVVHWXLWWNWX
          MVVEUXPWSVVEYLZWXLUOWXNVVFRWXOWXIXPWYCWXLWYAWYBWYCWXLRWUOWUPVVAVVBVVB
          VVATTUXQYAUXRVUTVVEWXLUXSVVHWWNWXNVVFVQUYJUSAVVHVXNVXPUGZVXRVAZWXJAWX
          TVXNVXPWNZWYEWVFAVXPVXNWVIXCWYAVXNTSZWYBVXPTSZWXTWYFXIWYEWJWUOVVAVUTV
          PZWUPWUQVVAVXNVVBVXPTTTTYJYKWSWYDWWNRWYEWXJXPVXNVXPUXTZWYDWWNVVHVXRUY
          AXJUSAVVHVURVVHVKZVVMVAZWXKAVVGVVGVURWPZVVSWYLAVWKWYMVXIVVGVVGVURWQUP
          VWIVVGVVGVVHVURWRWSAWYKWWNVVHVVMAVURVVGVVIUJZVKZVUTVVHVKZWYKWWNAWYOVU
          RVVGVKZVURVVIVKZUJZVUTVVGVKZVUTVVIVKZUJZWYPAVWKVURYMYNZWYOWYSRVXIVWKV
          VGVVGVURYOZXUCVVGVVGVURYPXGVVGVVIVURYQWBAWYQWYTWYRXUAAWYQVVGWYTAVWKXU
          DWYQVVGRVXIVVGVVGVURYRVVGVVGVURUYBWBAWUEVVGVVGVUTYOZWYTVVGRWUIVVGVVGV
          UTYRVVGVVGVUTUYBWBUYCAVVNYLWWCYLWYRXUAAVVNWWCWWFUYDVURVVIUYEVUTVVIUYE
          XNUYFAVUTWYNVKZXUBWYPAWUEVUTYMYNZXUFXUBRWUIWUEXUEXUGVVGVVGVUTYPXGVVGV
          VIVUTYQWBAWYNVVHVUTAWYNVVGVVHUYKZVVHVVGVVHUYGAVVSXUHVVHRVWIVVHVVGUYHU
          SWDZUYIUYLUYMAWYNVVHVURXUIUYIAWYPWYDWWNAWUKWVHWULWYPWYDRWUNVWEVWHVVGV
          VAVVBVUTYDYEWYJXAUYNYFYGWWSWWOGVXSUYTWXIWXJWXKXOWWOGVXSUYOWWOWXIWXJWX
          KGVVFVXRVVMWWKWWLWWMVVHWWNVWLVVFVQVVHWWNVWLVXRVQVVHWWNVWLVVMVQUYPXKUY
          QWWPVXSXQUYRUYSAWWQVVHVVHVWLVAZGVCZWIUBZWFAWWPXUKYSVJZWWQXULRZAVVHVVH
          YSVJWWNVVHYSVJZXUMVVHWXCVUAAWWNWIUBZVVHWIUBZRZXUOAXUPWFXUQAWVDXUPWFRZ
          WVIWYHWYGWVDXUSXPWUQWYIVXPVXNTTVUBYAUSAWXTXUQWFRZWVFWYAWYBWXTXUTXPWUO
          WUPVVAVVBTTVUBYAUSZUYCWXDWXEXURXUOXPWXFWXGWWNVVHVUCYAUSVVHVVHWWNVVHGV
          UDUYSWWRXUKXQSZXUNXUMXPWXHVVHVVHVWLWOZGVCZXQSXUKXVDUOXVBVVHVVHVEUMZXV
          DXQVVHVVHGWXCWXCXSWXEWXEXVEXQSWXGWXGVVHVVHXTYAYBXUJXVCGVVHVVHVWLWTYCX
          VDXUKYIYAWWPXUKVUCYAVUEAXULXUQYTUBZWFWXEXULXVFRWXGVVHGVUFXJAXVFWFYTUB
          WFAXUQWFYTXVAVUJVUGXAXBWCVUHVXTWEWFWGVUIVUKVULVUMVUNAVVNWWCVVKWWFVUTV
          VIVUOVUPXMUYLVUTVVEVVJWLVUP $.
      $}

      poimirlem22.1 $e |- ( ph ->
        F : ( 0 ... ( N - 1 ) ) --> ( ( 0 ... K ) ^m ( 1 ... N ) ) ) $.
      ${
        poimirlem12.2 $e |- ( ph -> T e. S ) $.
        ${
          poimirlem11.3 $e |- ( ph -> ( 2nd ` T ) = 0 ) $.
          $( Lemma for ~ poimir establishing the cube that yields the simplex
             that yields a face if the opposite vertex was first on the walk.
             (Contributed by Brendan Leahy, 21-Aug-2020.) $)
          poimirlem10 $p |- ( ph -> ( ( F ` ( N - 1 ) ) oF -
            ( ( 1 ... N ) X. { 1 } ) ) = ( 1st ` ( 1st ` T ) ) ) $=
            ( c1 co cfv wcel wceq vn cfz c1st caddc cmin csn cxp cvv ovexd cmap
            cv cc0 wfn cn0 cn nnm1nn0 syl nn0fz0 ffvelrnd elmapfn fnconstg mp1i
            sylib 1ex cfzo wf1o cab c2nd clt wbr cif cima cun cof csb cmpt crab
            elrabi eleq2s xp1st wa breq2d csbeq1d 2fveq3 imaeq1d xpeq1d uneq12d
            fveq2 ifbid oveq12d csbeq2dv eqtrd mpteq2dv eqeq2d elrab2 wb breq12
            simprbi sylan2 ancoms oveq1 nncnd npcan1 sylan9eqr ifbieq2d nn0ge0d
            cc cle wn 0red nn0red lenltd mpbid iffalsed adantr c0 oveq2 imaeq2d
            wfo xp2nd fvex f1oeq1 elab f1ofo foima 3syl oveq1d nnred ltp1d nnzd
            cz peano2zd fzn syl2anc ima0 xpeq1i 0xp eqtri eqtrdi un0 oveq2d wf
            csbied fvmptd fveq1d inidm eqidd fvconst2 adantl ffvelrnda elfzonn0
            ofval elmapi nn0cnd pncan1 offveq ) AUAPJUBQZUAUKZEUCRZUCRZRZPUDQZP
            UEJPUEQZHRZUUQPUFZUGZUUTUHAPJUBUIZAUVDULIUBQZUUQUJQZSUVDUUQUMAULUVC
            UBQZUVIUVCHMAUVCUNSZUVCUVJSAJUOSUVKKJUPUQZUVCURVCZUSUVDUVHUUQUTUQPU
            HSUVFUUQUMAVDUUQPUHVAVBZAUUTULIVEQZUUQUJQZSZUUTUUQUMAUUSUVPUUQUUQFU
            KZVFZFVGZUGZSZUVQAEUWAULJUBQZUGZSZUWBAEDSZUWENUWEEHBUVJGBUKZCUKZVHR
            ZVIVJZUWGUWGPUDQZVKZUWHUCRZUCRZUWMVHRZPGUKZUBQZVLZUVEUGZUWOUWPPUDQZ
            JUBQZVLZULUFZUGZVMZUDVNZQZVOZVPZTZCUWDVQDUXJCEUWDVRLVSUQEUWAUWCVTUQ
            ZUUSUVPUVTVTUQZUUTUVOUUQUTUQZAUURUUQSZWAZUURUVDRZUURUUTUVFUXFQZRZUV
            BAUXPUXRTUXNAUURUVDUXQABUVCGUWGEVHRZVIVJZUWGUWKVKZUUTUUSVHRZUWQVLZU
            VEUGZUYBUXAVLZUXCUGZVMZUXFQZVOZUXQUVJHUHAUWFHBUVJUYIVPZTZNUWFUWEUYK
            UXJUYKCEUWDDUWHETZUXIUYJHUYLBUVJUXHUYIUYLUXHGUYAUXGVOUYIUYLGUWLUYAU
            XGUYLUWJUXTUWGUWKUYLUWIUXSUWGVIUWHEVHWHWBWIWCUYLGUYAUXGUYHUYLUWNUUT
            UXEUYGUXFUWHEUCUCWDUYLUWSUYDUXDUYFUYLUWRUYCUVEUYLUWOUYBUWQUWHEVHUCW
            DZWEWFUYLUXBUYEUXCUYLUWOUYBUXAUYMWEWFWGWJWKWLWMWNLWOWRUQAUWGUVCTZWA
            ZUYIGJUYHVOZUXQUYOGUYAJUYHUYOUYAUVCULVIVJZUWGJVKZJUYOUXTUYQUWKJUWGU
            YNAUXTUYQWPZAUYNUXSULTUYSOUWGUVCUXSULVIWQWSWTUYNAUWKUVCPUDQZJUWGUVC
            PUDXAAJXGSUYTJTAJKXBJXCUQXDXEAUYRJTUYNAUYQUWGJAULUVCXHVJUYQXIAUVCUV
            LXFAULUVCAXJAUVCUVLXKXLXMXNXOWLWCAUYPUXQTUYNAGJUYHUXQUOKAUWPJTZWAZU
            YGUVFUUTUXFVUBUYGUVFXPVMUVFVUBUYDUVFUYFXPVUBUYCUUQUVEVUAAUYCUYBUUQV
            LZUUQVUAUWQUUQUYBUWPJPUBXQXRAUUQUUQUYBVFZUUQUUQUYBXSVUCUUQTAUYBUVTS
            ZVUDAUWBVUEUXKUUSUVPUVTXTUQUVSVUDFUYBUUSVHYAUUQUUQUVRUYBYBYCVCUUQUU
            QUYBYDUUQUUQUYBYEYFXDWFVUBUYFUYBXPVLZUXCUGZXPVUBUYEVUFUXCVUBUXAXPUY
            BVUAAUXAJPUDQZJUBQZXPVUAUWTVUHJUBUWPJPUDXAYGAJVUHVIVJZVUIXPTZAJAJKY
            HYIAVUHYKSJYKSVUJVUKWPAJAJKYJZYLVULVUHJYMYNXMXDXRWFVUGXPUXCUGXPVUFX
            PUXCUYBYOYPUXCYQYRYSWGUVFYTYSUUAUUCXOWLUVMAUUTUVFUXFUIUUDUUEXOAUUQU
            UQUVAPUDUUQUUTUVFUHUHUURUXMUVNUVGUVGUUQUUFUXOUVAUUGUXNUURUVFRPTAUUQ
            PUURVDUUHUUIZUULWLVUMUXOUVAXGSUVBPUEQUVATUXOUVAUXOUVAUVOSUVAUNSAUUQ
            UVOUURUUTAUVQUUQUVOUUTUUBUXLUUTUVOUUQUUMUQUUJUVAIUUKUQUUNUVAUUOUQUU
            P $.

          poimirlem11.4 $e |- ( ph -> U e. S ) $.
          poimirlem11.5 $e |- ( ph -> ( 2nd ` U ) = 0 ) $.
          poimirlem11.6 $e |- ( ph -> M e. ( 1 ... N ) ) $.
          $( Lemma for ~ poimir connecting walks that could yield from a given
             cube a given face opposite the first vertex of the walk.
             (Contributed by Brendan Leahy, 21-Aug-2020.) $)
          poimirlem11 $p |- ( ph -> ( ( 2nd ` ( 1st ` T ) ) " ( 1 ... M ) ) C_
            ( ( 2nd ` ( 1st ` U ) ) " ( 1 ... M ) ) ) $=
            ( c1st cfv c2nd c1 cfz co cima cv wcel wn wa wceq cmin cdif imassrn
            caddc crn wf1o wf cc0 cxp clt wbr cif csn cun cof csb elrabi eleq2s
            cmpt syl xp1st xp2nd fvex f1oeq1 elab sylib f1of sstrid f1ofo foima
            frnd wfo ccnv wfun dff1o3 simprbi eqtrdi cin c0 ltp1d eqtr3d sselda
            imaeq2d fveq2 breq2d csbeq1d 2fveq3 imaeq1d xpeq1d uneq12d csbeq2dv
            cvv ifbid oveq12d eqtrd mpteq2dv eqeq2d elrab2 breq12 sylan2 ancoms
            wb oveq1 cc ifbieq2d cz nnzd cn0 nn0red adantr oveq2d adantl csbied
            mpbid ovexd fvmptd fveq1d wfn elmapfn 1ex fnconstg ax-mp c0ex imain
            pm3.2i ima0 fnun syldan wi eldif cab cfzo cmap crab sseqtrrd ssdifd
            imadif difun2 fzsplit uncom difeq1d incom elfznn nnred fzdisj disj3
            cn syl5eq 3eqtr4a sseqtrd sylan2br npcan1 sylan9eqr elfzm1b syl2anc
            nncnd cle elfzle1 0red nnm1nn0 lenltd iffalsed oveq2 oveq1d sylancr
            imaundi eqtr3id fneq2d inidm eqidd fvun2 sylan fvconst2 ofval mpdan
            mp3an12 elmapi ffvelrnda elfzonn0 nn0cnd addid1d 3eqtrd poimirlem10
            fvun1 adantrr 3eqtr3d wne gtned neneqd pm2.65da iman sylibr ssrdv )
            ABEUAUBZUCUBZUDKUEUFZUGZFUAUBZUCUBZUXHUGZABUHZUXIUIZUXMUXLUIZUJZUKZ
            UJUXNUXOUUAAUXQUXMUXFUAUBZUBZUDUPUFZUXSULZAUXQUKUXMKUDUMUFZIUBZUBZU
            XMUXJUAUBZUBZUXTUXSAUXQUXMUXKKUDUPUFZLUEUFZUGZUIZUYDUYFULUXQAUXMUXI
            UXLUNZUIUYJUXMUXIUXLUUBAUYKUYIUXMAUYKUXKUDLUEUFZUGZUXLUNZUYIAUXIUYM
            UXLAUXIUYLUYMAUXIUXGUQUYLUXGUXHUOAUYLUYLUXGAUYLUYLUXGURZUYLUYLUXGUS
            AUXGUYLUYLGUHZURZGUUCZUIZUYOAUXFUTJUUDUFZUYLUUEUFZUYRVAZUIZUYSAEVUB
            UTLUEUFZVAZUIZVUCAEDUIZVUFPVUFEIBUTLUDUMUFZUEUFZHUXMCUHZUCUBZVBVCZU
            XMUXMUDUPUFZVDZVUJUAUBZUAUBZVUOUCUBZUDHUHZUEUFZUGZUDVEZVAZVUQVURUDU
            PUFZLUEUFZUGZUTVEZVAZVFZUPVGZUFZVHZVKZULZCVUEUUFZDVVMCEVUEVINVJVLEV
            UBVUDVMVLZUXFVUAUYRVNVLUYQUYOGUXGUXFUCVOUYLUYLUYPUXGVPVQVRZUYLUYLUX
            GVSVLWCVTZAUYLUYLUXKWDZUYMUYLULAUYLUYLUXKURZVVRAUXKUYRUIZVVSAUXJVUB
            UIZVVTAFVUEUIZVWAAFDUIZVWBRVWBFVVNDVVMCFVUEVINVJVLFVUBVUDVMVLZUXJVU
            AUYRVNVLUYQVVSGUXKUXJUCVOUYLUYLUYPUXKVPVQVRZUYLUYLUXKWAVLUYLUYLUXKW
            BVLZUUGUUHAUXKUYLUXHUNZUGZUYNUYIAUXKWEWFZVWHUYNULAVVSVWIVWEVVSVVRVW
            IUYLUYLUXKWGWHVLZUYLUXHUXKUUIVLAVWGUYHUXKAUYHUXHVFZUXHUNUYHUXHUNZVW
            GUYHUYHUXHUUJAUYLVWKUXHAUYLUXHUYHVFZVWKAKUYLUIZUYLVWMULTKUDLUUKVLZU
            XHUYHUULWIUUMAUYHUXHWJZWKULUYHVWLULAVWPUXHUYHWJZWKUYHUXHUUNAKUYGVBV
            CVWQWKULAKAKAVWNKUUSUIZTKLUUOVLZUUPWLUDKUYGLUUQVLZUUTUYHUXHUURVRUVA
            WOWMUVBWNUVCAUYJUKZUYDUXMUYEUXLVVAVAZUYIVVFVAZVFZVVIUFZUBZUYFUTUPUF
            ZUYFAUYDVXFULUYJAUXMUYCVXEABUYBHUXMFUCUBZVBVCZUXMVUMVDZUYEUXKVUSUGZ
            VVAVAZUXKVVDUGZVVFVAZVFZVVIUFZVHZVXEVUIIXDAVWCIBVUIVXQVKZULZRVWCVWB
            VXSVVMVXSCFVUEDVUJFULZVVLVXRIVXTBVUIVVKVXQVXTVVKHVXJVVJVHVXQVXTHVUN
            VXJVVJVXTVULVXIUXMVUMVXTVUKVXHUXMVBVUJFUCWPWQXEWRVXTHVXJVVJVXPVXTVU
            PUYEVVHVXOVVIVUJFUAUAWSVXTVVBVXLVVGVXNVXTVUTVXKVVAVXTVUQUXKVUSVUJFU
            CUAWSZWTXAVXTVVEVXMVVFVXTVUQUXKVVDVYAWTXAXBXFXCXGXHXINXJWHVLAUXMUYB
            ULZUKZVXQHKVXPVHZVXEVYCHVXJKVXPVYCVXJUYBUTVBVCZUXMKVDZKVYCVXIVYEVUM
            KUXMVYBAVXIVYEXNZAVYBVXHUTULVYGSUXMUYBVXHUTVBXKXLXMVYBAVUMUYBUDUPUF
            ZKUXMUYBUDUPXOAKXPUIVYHKULAKVWSUVHKUVDVLUVEZXQAVYFKULVYBAVYEUXMKAUT
            UYBUVIVCZVYEUJAUYBVUIUIZVYJAVWNVYKTAKXRUILXRUIVWNVYKXNAKVWSXSALMXSK
            LUVFUVGYFZUYBUTVUHUVJVLAUTUYBAUVKAUYBAVWRUYBXTUIVWSKUVLVLYAUVMYFUVN
            YBZXGWRAVYDVXEULVYBAHKVXPVXEUYLTVURKULZVXPVXEULAVYNVXOVXDUYEVVIVYNV
            XLVXBVXNVXCVYNVXKUXLVVAVYNVUSUXHUXKVURKUDUEUVOZWOXAVYNVXMUYIVVFVYNV
            VDUYHUXKVYNVVCUYGLUEVURKUDUPXOUVPZWOXAXBYCYDYEYBXGVYLAUYEVXDVVIYGYH
            YIYBVXAUXMUYLUIZVXFVXGULAUYIUYLUXMAUYIUXKUQUYLUXKUYHUOAUYLUYLUXKAVV
            SUYLUYLUXKUSVWEUYLUYLUXKVSVLWCVTWNZVXAUYLUYLUYFUTUPUYLUYEVXDXDXDUXM
            AUYEUYLYJZUYJAUYEVUAUIZVYSAVWAVYTVWDUXJVUAUYRVMVLZUYEUYTUYLYKVLYBAV
            XDUYLYJZUYJAVXDUXLUYIVFZYJZWUBAVXBUXLYJZVXCUYIYJZUKUXLUYIWJZWKULZWU
            DWUEWUFUDXDUIZWUEYLUXLUDXDYMYNZUTXDUIZWUFYOUYIUTXDYMYNZYQAUXKVWQUGZ
            WUGWKAVWIWUMWUGULVWJUXHUYHUXKYPVLAWUMUXKWKUGWKAVWQWKUXKVWTWOUXKYRWI
            WMZUXLUYIVXBVXCYSUVQAWUCUYLVXDAWUCUXKVWMUGZUYLUXKUXHUYHUVRAUYMWUOUY
            LAUYLVWMUXKVWOWOVWFWMUVSUVTYFYBVXAUDLUEYGZWUPUYLUWAZVXAVYQUKUYFUWBV
            XAUXMVXDUBZUTULVYQVXAWURUXMVXCUBZUTAWUHUYJWURWUSULZWUNWUEWUFWUHUYJU
            KWUTWUJWULUXLUYIVXBVXCUXMUWCUWHUWDUYJWUSUTULAUYIUTUXMYOUWEYDXGYBUWF
            UWGVXAUYFAUYJVYQUYFXPUIVYRAVYQUKZUYFWVAUYFUYTUIUYFXTUIAUYLUYTUXMUYE
            AVYTUYLUYTUYEUSWUAUYEUYTUYLUWIVLUWJUYFJUWKVLUWLYTUWMUWNYTAUXNUYDUXT
            ULUXPAUXNUKZUYDUXMUXRUXIVVAVAZUXGUYHUGZVVFVAZVFZVVIUFZUBZUXTAUYDWVH
            ULUXNAUXMUYCWVGABUYBHUXMEUCUBZVBVCZUXMVUMVDZUXRUXGVUSUGZVVAVAZUXGVV
            DUGZVVFVAZVFZVVIUFZVHZWVGVUIIXDAVUGIBVUIWVRVKZULZPVUGVUFWVTVVMWVTCE
            VUEDVUJEULZVVLWVSIWWABVUIVVKWVRWWAVVKHWVKVVJVHWVRWWAHVUNWVKVVJWWAVU
            LWVJUXMVUMWWAVUKWVIUXMVBVUJEUCWPWQXEWRWWAHWVKVVJWVQWWAVUPUXRVVHWVPV
            VIVUJEUAUAWSWWAVVBWVMVVGWVOWWAVUTWVLVVAWWAVUQUXGVUSVUJEUCUAWSZWTXAW
            WAVVEWVNVVFWWAVUQUXGVVDWWBWTXAXBXFXCXGXHXINXJWHVLVYCWVRHKWVQVHZWVGV
            YCHWVKKWVQVYCWVKVYFKVYCWVJVYEVUMKUXMVYBAWVJVYEXNZAVYBWVIUTULWWDQUXM
            UYBWVIUTVBXKXLXMVYIXQVYMXGWRAWWCWVGULVYBAHKWVQWVGUYLTVYNWVQWVGULAVY
            NWVPWVFUXRVVIVYNWVMWVCWVOWVEVYNWVLUXIVVAVYNVUSUXHUXGVYOWOXAVYNWVNWV
            DVVFVYNVVDUYHUXGVYPWOXAXBYCYDYEYBXGVYLAUXRWVFVVIYGYHYIYBWVBVYQWVHUX
            TULAUXIUYLUXMVVQWNZWVBUYLUYLUXSUDUPUYLUXRWVFXDXDUXMAUXRUYLYJZUXNAUX
            RVUAUIZWWFAVUCWWGVVOUXFVUAUYRVMVLZUXRUYTUYLYKVLYBAWVFUYLYJZUXNAWVFU
            XIWVDVFZYJZWWIAWVCUXIYJZWVEWVDYJZUKUXIWVDWJZWKULZWWKWWLWWMWUIWWLYLU
            XIUDXDYMYNZWUKWWMYOWVDUTXDYMYNZYQAUXGVWQUGZWWNWKAUXGWEWFZWWRWWNULAU
            YOWWSVVPUYOUYLUYLUXGWDZWWSUYLUYLUXGWGWHVLUXHUYHUXGYPVLAWWRUXGWKUGWK
            AVWQWKUXGVWTWOUXGYRWIWMZUXIWVDWVCWVEYSUVQAWWJUYLWVFAWWJUXGVWMUGZUYL
            UXGUXHUYHUVRAUXGUYLUGZWXBUYLAUYLVWMUXGVWOWOAWWTWXCUYLULAUYOWWTVVPUY
            LUYLUXGWAVLUYLUYLUXGWBVLWMUVSUVTYFYBWVBUDLUEYGZWXDWUQWVBVYQUKUXSUWB
            WVBUXMWVFUBZUDULVYQWVBWXEUXMWVCUBZUDAWWOUXNWXEWXFULZWXAWWLWWMWWOUXN
            UKWXGWWPWWQUXIWVDWVCWVEUXMUWPUWHUWDUXNWXFUDULAUXIUDUXMYLUWEYDXGYBUW
            FUWGXGUWQAUYFUXSULUXQAUXMUYEUXRAVUHIUBUYLVVAVAUMVGUFUYEUXRABCDFGHIJ
            LMNORSUWOABCDEGHIJLMNOPQUWOWMYIYBUWRAUXNUYAUJUXPWVBUXTUXSAUXNVYQUXT
            UXSUWSWWEWVAUXSUXTWVAUXSWVAUXSUYTUIUXSXTUIAUYLUYTUXMUXRAWWGUYLUYTUX
            RUSWWHUXRUYTUYLUWIVLUWJUXSJUWKVLYAZWVAUXSWXHWLUWTYTUXAUWQUXBUXNUXOU
            XCUXDUXE $.
        $}

        poimirlem12.3 $e |- ( ph -> ( 2nd ` T ) = N ) $.
        poimirlem12.4 $e |- ( ph -> U e. S ) $.
        poimirlem12.5 $e |- ( ph -> ( 2nd ` U ) = N ) $.
        poimirlem12.6 $e |- ( ph -> M e. ( 0 ... ( N - 1 ) ) ) $.
        $( Lemma for ~ poimir connecting walks that could yield from a given
           cube a given face opposite the final vertex of the walk.
           (Contributed by Brendan Leahy, 21-Aug-2020.) $)
        poimirlem12 $p |- ( ph -> ( ( 2nd ` ( 1st ` T ) ) " ( 1 ... M ) ) C_
          ( ( 2nd ` ( 1st ` U ) ) " ( 1 ... M ) ) ) $=
          ( c1st cfv c2nd c1 cfz co cima cv wcel wn caddc wceq cdif crn imassrn
          wa wf1o wf wss cc0 cxp clt wbr cif csn cun csb cmpt elrabi xp1st 3syl
          eleq2s xp2nd syl fvex f1oeq1 elab sylib f1of frn wfo f1ofo foima ccnv
          sstrid wfun dff1o3 simprbi cuz cn cn0 eqtrdi cin nn0red ltp1d imaeq2d
          c0 eqtr3d sselda cvv fveq2 breq2d ifbid csbeq1d 2fveq3 imaeq1d xpeq1d
          uneq12d csbeq2dv eqtrd mpteq2dv eqeq2d elrab2 breq1 ifbieq1d breqtrrd
          oveq12d cr iftrued sylan9eqr oveq2d adantl csbied adantr ovexd fvmptd
          fveq1d wfn elmapfn fnconstg ax-mp c0ex pm3.2i imain ima0 fnun sylancr
          1ex imaundi syldan wi eldif cab cfzo cmap cmin cof crab ssdifd imadif
          sseqtrrd difun2 elfznn0 nn0p1nn nnuz eleqtrdi cc nncnd npcan1 elfzuz3
          peano2uz eqeltrrd fzsplit2 syl2anc uncom difeq1d incom fzdisj 3eqtr4a
          syl5eq disj3 sseqtrd sylan2br nnred peano2rem cle elfzle2 ltm1d oveq2
          id lelttrd oveq1 oveq1d eqtr3id mpbid inidm eqidd fvun2 mp3an12 sylan
          fneq2d fvconst2 ofval elmapi ffvelrnda elfzonn0 nn0cnd addid1d 3eqtrd
          mpdan fvun1 adantrr nngt0d poimirlem5 3eqtr3d wne gtned pm2.65da iman
          neneqd sylibr ssrdv ) ABEUAUBZUCUBZUDKUEUFZUGZFUAUBZUCUBZUXOUGZABUHZU
          XPUIZUXTUXSUIZUJZUPZUJUYAUYBUUAAUYDUXTUXMUAUBZUBZUDUKUFZUYFULZAUYDUPU
          XTKIUBZUBZUXTUXQUAUBZUBZUYGUYFAUYDUXTUXRKUDUKUFZLUEUFZUGZUIZUYJUYLULU
          YDAUXTUXPUXSUMZUIUYPUXTUXPUXSUUBAUYQUYOUXTAUYQUXRUDLUEUFZUGZUXSUMZUYO
          AUXPUYSUXSAUXPUYRUYSAUXPUXNUNZUYRUXNUXOUOAUYRUYRUXNUQZUYRUYRUXNURVUAU
          YRUSAUXNUYRUYRGUHZUQZGUUCZUIZVUBAUXMUTJUUDUFZUYRUUEUFZVUEVAZUIZVUFAED
          UIZEVUIUTLUEUFZVAZUIZVUJPVUNEIBUTLUDUUFUFZUEUFZHUXTCUHZUCUBZVBVCZUXTU
          XTUDUKUFZVDZVUQUAUBZUAUBZVVBUCUBZUDHUHZUEUFZUGZUDVEZVAZVVDVVEUDUKUFZL
          UEUFZUGZUTVEZVAZVFZUKUUGZUFZVGZVHZULZCVUMUUHZDVVTCEVUMVINVLEVUIVULVJV
          KZUXMVUHVUEVMVNVUDVUBGUXNUXMUCVOUYRUYRVUCUXNVPVQVRZUYRUYRUXNVSUYRUYRU
          XNVTVKWEZAUYRUYRUXRUQZUYRUYRUXRWAZUYSUYRULAUXRVUEUIZVWEAUXQVUIUIZVWGA
          FDUIZFVUMUIZVWHRVWJFVWADVVTCFVUMVINVLFVUIVULVJVKZUXQVUHVUEVMVNVUDVWEG
          UXRUXQUCVOUYRUYRVUCUXRVPVQVRZUYRUYRUXRWBUYRUYRUXRWCVKZUUKUUIAUXRUYRUX
          OUMZUGZUYTUYOAVWEUXRWDWFZVWOUYTULVWLVWEVWFVWPUYRUYRUXRWGWHZUYRUXOUXRU
          UJVKAVWNUYNUXRAUYNUXOVFZUXOUMUYNUXOUMZVWNUYNUYNUXOUULAUYRVWRUXOAUYRUX
          OUYNVFZVWRAUYMUDWIUBZUILKWIUBZUIUYRVWTULAUYMWJVXAAKVUPUIZKWKUIZUYMWJU
          ITKVUOUUMZKUUNVKUUOUUPAVUOUDUKUFZLVXBALUUQUIVXFLULALMUURLUUSVNAVXCVUO
          VXBUIVXFVXBUITKUTVUOUUTKVUOUVAVKUVBKUDLUVCUVDZUXOUYNUVEWLUVFAUYNUXOWM
          ZWQULUYNVWSULAVXHUXOUYNWMZWQUYNUXOUVGAKUYMVBVCVXIWQULAKAKAVXCVXDTVXEV
          NWNZWOUDKUYMLUVHVNZUVJUYNUXOUVKVRUVIWPWRUVLWSUVMAUYPUPZUYJUXTUYKUXSVV
          HVAZUYOVVMVAZVFZVVPUFZUBZUYLUTUKUFZUYLAUYJVXQULUYPAUXTUYIVXPABKHUXTFU
          CUBZVBVCZUXTVUTVDZUYKUXRVVFUGZVVHVAZUXRVVKUGZVVMVAZVFZVVPUFZVGZVXPVUP
          IWTAVWIIBVUPVYHVHZULZRVWIVWJVYJVVTVYJCFVUMDVUQFULZVVSVYIIVYKBVUPVVRVY
          HVYKVVRHVYAVVQVGVYHVYKHVVAVYAVVQVYKVUSVXTUXTVUTVYKVURVXSUXTVBVUQFUCXA
          XBXCXDVYKHVYAVVQVYGVYKVVCUYKVVOVYFVVPVUQFUAUAXEVYKVVIVYCVVNVYEVYKVVGV
          YBVVHVYKVVDUXRVVFVUQFUCUAXEZXFXGVYKVVLVYDVVMVYKVVDUXRVVKVYLXFXGXHXQXI
          XJXKXLNXMWHVNAUXTKULZUPZVYHHKVYGVGZVXPVYNHVYAKVYGVYMAVYAKVXSVBVCZKVUT
          VDKVYMVXTVYPUXTKVUTUXTKVXSVBXNVYMUVTZXOAVYPKVUTAKLVXSVBAKVUOLVXJALXRU
          IVUOXRUIALMUVNZLUVOVNVYRAVXCKVUOUVPVCTKUTVUOUVQVNALVYRUVRUWAZSXPXSXTX
          DAVYOVXPULVYMAHKVYGVXPVUPTVVEKULZVYGVXPULAVYTVYFVXOUYKVVPVYTVYCVXMVYE
          VXNVYTVYBUXSVVHVYTVVFUXOUXRVVEKUDUEUVSZWPXGVYTVYDUYOVVMVYTVVKUYNUXRVY
          TVVJUYMLUEVVEKUDUKUWBUWCZWPXGXHYAYBYCYDXJTAUYKVXOVVPYEYFYGYDVXLUXTUYR
          UIZVXQVXRULAUYOUYRUXTAUYOUXRUNZUYRUXRUYNUOAVWEUYRUYRUXRURWUDUYRUSVWLU
          YRUYRUXRVSUYRUYRUXRVTVKWEWSZVXLUYRUYRUYLUTUKUYRUYKVXOWTWTUXTAUYKUYRYH
          ZUYPAVWHUYKVUHUIZWUFVWKUXQVUHVUEVJZUYKVUGUYRYIVKYDAVXOUYRYHZUYPAVXOUX
          SUYOVFZYHZWUIAVXMUXSYHZVXNUYOYHZUPUXSUYOWMZWQULZWUKWULWUMUDWTUIZWULYR
          UXSUDWTYJYKZUTWTUIZWUMYLUYOUTWTYJYKZYMAUXRVXIUGZWUNWQAVWEVWPWUTWUNULV
          WLVWQUXOUYNUXRYNVKAWUTUXRWQUGWQAVXIWQUXRVXKWPUXRYOWLWRZUXSUYOVXMVXNYP
          YQAWUJUYRVXOAWUJUXRVWTUGZUYRUXRUXOUYNYSAUYSWVBUYRAUYRVWTUXRVXGWPVWMWR
          UWDUWKUWEYDVXLUDLUEYEZWVCUYRUWFZVXLWUCUPUYLUWGVXLUXTVXOUBZUTULWUCVXLW
          VEUXTVXNUBZUTAWUOUYPWVEWVFULZWVAWULWUMWUOUYPUPWVGWUQWUSUXSUYOVXMVXNUX
          TUWHUWIUWJUYPWVFUTULAUYOUTUXTYLUWLYBXJYDUWMUWTAUYPWUCVXRUYLULWUEAWUCU
          PZUYLWVHUYLWVHUYLVUGUIUYLWKUIAUYRVUGUXTUYKAVWHWUGUYRVUGUYKURVWKWUHUYK
          VUGUYRUWNVKUWOUYLJUWPVNUWQUWRYTUWSYTAUYAUYJUYGULUYCAUYAUPZUYJUXTUYEUX
          PVVHVAZUXNUYNUGZVVMVAZVFZVVPUFZUBZUYGAUYJWVOULUYAAUXTUYIWVNABKHUXTEUC
          UBZVBVCZUXTVUTVDZUYEUXNVVFUGZVVHVAZUXNVVKUGZVVMVAZVFZVVPUFZVGZWVNVUPI
          WTAVUKIBVUPWWEVHZULZPVUKVUNWWGVVTWWGCEVUMDVUQEULZVVSWWFIWWHBVUPVVRWWE
          WWHVVRHWVRVVQVGWWEWWHHVVAWVRVVQWWHVUSWVQUXTVUTWWHVURWVPUXTVBVUQEUCXAX
          BXCXDWWHHWVRVVQWWDWWHVVCUYEVVOWWCVVPVUQEUAUAXEWWHVVIWVTVVNWWBWWHVVGWV
          SVVHWWHVVDUXNVVFVUQEUCUAXEZXFXGWWHVVLWWAVVMWWHVVDUXNVVKWWIXFXGXHXQXIX
          JXKXLNXMWHVNVYNWWEHKWWDVGZWVNVYNHWVRKWWDVYMAWVRKWVPVBVCZKVUTVDKVYMWVQ
          WWKUXTKVUTUXTKWVPVBXNVYQXOAWWKKVUTAKLWVPVBVYSQXPXSXTXDAWWJWVNULVYMAHK
          WWDWVNVUPTVYTWWDWVNULAVYTWWCWVMUYEVVPVYTWVTWVJWWBWVLVYTWVSUXPVVHVYTVV
          FUXOUXNWUAWPXGVYTWWAWVKVVMVYTVVKUYNUXNWUBWPXGXHYAYBYCYDXJTAUYEWVMVVPY
          EYFYGYDWVIWUCWVOUYGULAUXPUYRUXTVWDWSZWVIUYRUYRUYFUDUKUYRUYEWVMWTWTUXT
          AUYEUYRYHZUYAAVUJUYEVUHUIZWWMVWBUXMVUHVUEVJZUYEVUGUYRYIVKYDAWVMUYRYHZ
          UYAAWVMUXPWVKVFZYHZWWPAWVJUXPYHZWVLWVKYHZUPUXPWVKWMZWQULZWWRWWSWWTWUP
          WWSYRUXPUDWTYJYKZWURWWTYLWVKUTWTYJYKZYMAUXNVXIUGZWXAWQAVUBUXNWDWFZWXE
          WXAULVWCVUBUYRUYRUXNWAZWXFUYRUYRUXNWGWHUXOUYNUXNYNVKAWXEUXNWQUGWQAVXI
          WQUXNVXKWPUXNYOWLWRZUXPWVKWVJWVLYPYQAWWQUYRWVMAWWQUXNVWTUGZUYRUXNUXOU
          YNYSAUXNUYRUGZWXIUYRAUYRVWTUXNVXGWPAVUBWXGWXJUYRULVWCUYRUYRUXNWBUYRUY
          RUXNWCVKWRUWDUWKUWEYDWVIUDLUEYEZWXKWVDWVIWUCUPUYFUWGWVIUXTWVMUBZUDULW
          UCWVIWXLUXTWVJUBZUDAWXBUYAWXLWXMULZWXHWWSWWTWXBUYAUPWXNWXCWXDUXPWVKWV
          JWVLUXTUXAUWIUWJUYAWXMUDULAUXPUDUXTYRUWLYBXJYDUWMUWTXJUXBAUYLUYFULUYD
          AUXTUYKUYEAUTIUBUYKUYEABCDFGHIJLMNRAUTLVXSVBALMUXCZSXPUXDABCDEGHIJLMN
          PAUTLWVPVBWXOQXPUXDWRYGYDUXEAUYAUYHUJUYCWVIUYGUYFAUYAWUCUYGUYFUXFWWLW
          VHUYFUYGWVHUYFWVHUYFVUGUIUYFWKUIAUYRVUGUXTUYEAVUJWWNUYRVUGUYEURVWBWWO
          UYEVUGUYRUWNVKUWOUYFJUWPVNWNZWVHUYFWXPWOUXGYTUXJUXBUXHUYAUYBUXIUXKUXL
          $.
      $}

      $( Lemma for ~ poimir - for at most one simplex associated with a shared
         face is the opposite vertex first on the walk.  (Contributed by
         Brendan Leahy, 21-Aug-2020.) $)
      poimirlem13 $p |- ( ph -> E* z e. S ( 2nd ` z ) = 0 ) $=
        ( cfv wceq wcel c1 co cfz syl vk vn vm cv c2nd cc0 wa wi wral wrmo c1st
        weq cmin csn cxp cn ad2antrr cmap wf simplrl simprl poimirlem10 simplrr
        cof simprr eqtr3d wfn wf1o cab cfzo clt wbr caddc cif cima cun csb cmpt
        crab elrabi eleq2s xp1st xp2nd fvex f1oeq1 sylib adantr ad2antlr adantl
        elab f1ofn cdif eleq1 anbi2d imaeq2d eqeq12d imbi12d ad3antrrr ad3antlr
        oveq2 simpl simpr poimirlem11 chvarvv simpll cle cn0 wne elfznn nnm1nn0
        eqssd wn cc wb nncnd ax-1cn sylancl necon3abid biimpar elnnne0 sylanbrc
        subeq0 cr nn0red nnred elfzle2 cz sylan c0 ima0 eqtrdi 3eqtr4a difeq12d
        cuz eqtrd cin imaeq1d xpopth syl2an mpbi2and lem1d letrd nnzd mpbir2and
        adantrr fznn ovex vtocl syldan expr eqtr4i oveq1 oveq2d pm2.61d2 fnsnfv
        1m1e0 fz10 uncom difeq1i difun2 eqtri nncn npcan1 elnnuz biimpi eqeltrd
        nn0zd uzid peano2uz eqeltrrd fzsplit2 syl2anc oveq1d nnz uneq2d difeq1d
        fzsn nnre ltm1 peano2rem ltnle mpancom mpbid nsyl eqeq1i disjsn 3bitr3i
        incom disj3 ccnv wfo dff1o3 simprbi imadif 3eqtr2d anbi1d 2fveq3 fveq1d
        wfun sneqd 3eqtr4d sneqr eqfnfvd eqtr3 ralrimivva fveqeq2 rmo4 sylibr
        ex ) ACUDZUENZUFOZUAUDZUENZUFOZUGZCUAULZUHZUAEUICEUIUXLCEUJAUXRCUAEEAUX
        JEPZUXMEPZUGZUGZUXPUXQUYBUXPUGZUXJUKNZUXMUKNZOZUXKUXNOZUXQUYCUYDUKNZUYE
        UKNZOZUYDUENZUYEUENZOZUYFUYCJQUMRZHNQJSRZQUNZUOUMVDRUYHUYIUYCBDEUXJFGHI
        JAJUPPZUYAUXPKUQZLAUFUYNSRZUFISRUYOURRHUSZUYAUXPMUQZAUXSUXTUXPUTZUYBUXL
        UXOVAVBUYCBDEUXMFGHIJUYRLVUAAUXSUXTUXPVCZUYBUXLUXOVEVBVFUYCUBUYOUYKUYLU
        YAUYKUYOVGZAUXPUXSVUDUXTUXSUYOUYOUYKVHZVUDUXSUYKUYOUYOFUDZVHZFVIZPZVUEU
        XSUYDUFIVJRUYOURRZVUHUOZPZVUIUXSUXJVUKUFJSRZUOZPZVULVUOUXJHBUYSGBUDZDUD
        ZUENVKVLVUPVUPQVMRVNVUQUKNZUKNVURUENZQGUDZSRVOUYPUOVUSVUTQVMRJSRVOUFUNU
        OVPVMVDRVQVROZDVUNVSZEVVADUXJVUNVTLWAZUXJVUKVUMWBTZUYDVUJVUHWCTVUGVUEFU
        YKUYDUEWDUYOUYOVUFUYKWEWJWFZUYOUYOUYKWKTZWGWHUYAUYLUYOVGZAUXPUXTVVGUXSU
        XTUYOUYOUYLVHZVVGUXTUYLVUHPZVVHUXTUYEVUKPZVVIUXTUXMVUNPZVVJVVKUXMVVBEVV
        ADUXMVUNVTLWAZUXMVUKVUMWBTZUYEVUJVUHWCTVUGVVHFUYLUYEUEWDUYOUYOVUFUYLWEW
        JWFUYOUYOUYLWKTWIWHUYCUBUDZUYOPZUGZVVNUYKNZUNZVVNUYLNZUNZOVVQVVSOVVPUYK
        QVVNSRZVOZUYKQVVNQUMRZSRZVOZWLZUYLVWAVOZUYLVWDVOZWLZVVRVVTVVPVWBVWGVWEV
        WHUYCUCUDZUYOPZUGZUYKQVWJSRZVOZUYLVWMVOZOZUHZVVPVWBVWGOZUHUCUBUCUBULZVW
        LVVPVWPVWRVWSVWKVVOUYCVWJVVNUYOWMWNVWSVWNVWBVWOVWGVWSVWMVWAUYKVWJVVNQSW
        TZWOVWSVWMVWAUYLVWTWOWPWQVWLVWNVWOVWLBDEUXJUXMFGHIVWJJAUYQUYAUXPVWKKWRZ
        LAUYTUYAUXPVWKMWRZUYAUXSAUXPVWKUXSUXTXAWSZUYBUXLUXOVWKUTZUYAUXTAUXPVWKU
        XSUXTXBWSZUYBUXLUXOVWKVCZUYCVWKXBZXCVWLBDEUXMUXJFGHIVWJJVXALVXBVXEVXFVX
        CVXDVXGXCXKZXDVVPVVNQOZVWEVWHOZUYCVVOVXIXLZVXJUYCVVOVXKUGZVWCUYOPZVXJUY
        CAVXLVXMAUYAUXPXEAVXLUGVXMVWCUPPZVWCJXFVLZVXLVXNAVXLVWCXGPZVWCUFXHZVXNV
        VOVXPVXKVVOVVNUPPZVXPVVNJXIZVVNXJZTZWGVVOVXQVXKVVOVXIVWCUFVVOVVNXMPZQXM
        PVWCUFOVXIXNVVOVVNVXSXOXPVVNQYBXQXRXSVWCXTYAWIAVVOVXOVXKAVVOUGVWCVVNJVV
        OVWCYCPZAVVOVWCVYAYDWIVVOVVNYCPZAVVOVVNVXSYEZWIAJYCPVVOAJKYEWGVVOVWCVVN
        XFVLAVVOVVNVYEUUAWIVVOVVNJXFVLAVVNQJYFWIUUBUUEAVXMVXNVXOUGXNZVXLAJYGPVY
        FAJKUUCVWCJUUFTWGUUDYHVWQUYCVXMUGZVXJUHUCVWCVVNQUMUUGVWJVWCOZVWLVYGVWPV
        XJVYHVWKVXMUYCVWJVWCUYOWMWNVYHVWNVWEVWOVWHVYHVWMVWDUYKVWJVWCQSWTZWOVYHV
        WMVWDUYLVYIWOWPWQVXHUUHUUIUUJVXIUYKYIVOZUYLYIVOZVWEVWHVYJYIVYKUYKYJUYLY
        JUUKVXIVWDYIUYKVXIVWDQUFSRYIVXIVWCUFQSVXIVWCQQUMRUFVVNQQUMUULUUPYKUUMUU
        QYKZWOVXIVWDYIUYLVYLWOYLUUNYMUYCUXSVVOVVRVWFOZVUBUXSVVOUGZVVRUYKVVNUNZV
        OZUYKVWAVWDWLZVOZVWFUXSVUDVVOVVRVYPOVVFUYOVVNUYKUUOYHVYNVYQVYOUYKVYNVXR
        VYQVYOOVVOVXRUXSVXSWIVXRVWDVYOVPZVWDWLZVYOVWDWLZVYQVYOVYTVYOVWDVPZVWDWL
        WUAVYSWUBVWDVWDVYOUURUUSVYOVWDUUTUVAVXRVWAVYSVWDVXRVWAVWDVWCQVMRZVVNSRZ
        VPZVYSVXRWUCQYNNZPVVNVWCYNNZPVWAWUEOVXRWUCVVNWUFVXRVYBWUCVVNOVVNUVBVVNU
        VCTZVXRVVNWUFPVVNUVDUVEUVFVXRWUCVVNWUGWUHVXRVWCWUGPZWUCWUGPVXRVWCYGPWUI
        VXRVWCVXTUVGVWCUVHTVWCVWCUVITUVJVWCQVVNUVKUVLVXRWUDVYOVWDVXRWUDVVNVVNSR
        ZVYOVXRWUCVVNVVNSWUHUVMVXRVVNYGPWUJVYOOVVNUVNVVNUVQTYOUVOYOUVPVXRVVNVWD
        PZXLZVYOWUAOZVXRVYDWULVVNUVRVYDVVNVWCXFVLZWUKVYDVWCVVNVKVLZWUNXLZVVNUVS
        VYCVYDWUOWUPXNVVNUVTVWCVVNUWAUWBUWCVVNQVWCYFUWDTVWDVYOYPZYIOVYOVWDYPZYI
        OWULWUMWUQWURYIVWDVYOUWHUWEVWDVVNUWFVYOVWDUWIUWGWFYLTWOUXSVYRVWFOZVVOUX
        SUYKUWJUWSZWUSUXSVUEWUTVVEVUEUYOUYOUYKUWKWUTUYOUYOUYKUWLUWMTVWAVWDUYKUW
        NTWGUWOZYHUYCUXTVVOVVTVWIOZVUCVYNVYMUHUXTVVOUGZWVBUHCUAUXQVYNWVCVYMWVBU
        XQUXSUXTVVOUXJUXMEWMUWPUXQVVRVVTVWFVWIUXQVVQVVSUXQVVNUYKUYLUXJUXMUEUKUW
        QZUWRUWTUXQVWBVWGVWEVWHUXQUYKUYLVWAWVDYQUXQUYKUYLVWDWVDYQYMWPWQWVAXDYHU
        XAVVQVVSVVNUYKWDUXBTUXCUYAUYJUYMUGUYFXNZAUXPUXSVULVVJWVEUXTVVDVVMUYDUYE
        VUJVUHVUJVUHYRYSWHYTUXPUYGUYBUXKUXNUFUXDWIUYAUYFUYGUGUXQXNZAUXPUXSVUOVV
        KWVFUXTVVCVVLUXJUXMVUKVUMVUKVUMYRYSWHYTUXIUXEUXLUXOCUAEUXJUXMUFUEUXFUXG
        UXH $.

      $( Lemma for ~ poimir - for at most one simplex associated with a shared
         face is the opposite vertex last on the walk.  (Contributed by Brendan
         Leahy, 21-Aug-2020.) $)
      poimirlem14 $p |- ( ph -> E* z e. S ( 2nd ` z ) = N ) $=
        ( cfv wceq wa wcel c1 cfz co vk vn vm cv c2nd weq wi wral wrmo c1st cc0
        cn ad2antrr simplrl clt nngt0d breq2 biimparc sylan ad2ant2r poimirlem5
        wbr simplrr ad2ant2rl eqtr3d wfn wf1o cab cfzo cmap cxp cmin caddc cima
        cif csn cun cof csb cmpt crab elrabi eleq2s xp1st 3syl fvex f1oeq1 elab
        xp2nd sylib f1ofn syl adantr ad2antlr adantl cdif simpllr oveq2 imaeq2d
        wfo f1ofo foima sylan9eqr adantlr adantll eqtr4d simpll wn wo wb elnnuz
        wne fzm1 anbi1d biimpa df-ne anbi2i pm5.61 eleq1 anbi2d eqeq12d imbi12d
        cuz ad3antrrr ad3antlr simpr poimirlem12 syldan cz mpbid difeq12d eqtrd
        chvarvv cr cin c0 imaeq1d xpopth syl2an mpbi2and bitri fz1ssfz0 anassrs
        sseli wf simpl eqssd pm2.61dane elfzelz nnzd elfzm1b syl2anr ovex vtocl
        fnsnfv elfznn uncom difeq1i difun2 eqtri cc nncn npcan1 eqeltrd nnm1nn0
        biimpi nn0zd uzid peano2uz eqeltrrd fzsplit2 syl2anc oveq1d fzsn uneq2d
        nnz difeq1d nnre ltm1 peano2rem ltnle mpancom elfzle2 nsyl incom eqeq1i
        cle disjsn disj3 3bitr3i 3eqtr4a ccnv wfun dff1o3 simprbi imadif 2fveq3
        3eqtr2d fveq1d sneqd 3eqtr4d sneqr eqfnfvd ex ralrimivva fveqeq2 sylibr
        eqtr3 rmo4 ) ACUDZUENZJOZUAUDZUENZJOZPZCUAUFZUGZUAEUHCEUHUXLCEUIAUXRCUA
        EEAUXJEQZUXMEQZPZPZUXPUXQUYBUXPPZUXJUJNZUXMUJNZOZUXKUXNOZUXQUYCUYDUJNZU
        YEUJNZOZUYDUENZUYEUENZOZUYFUYCUKHNUYHUYIUYCBDEUXJFGHIJAJULQZUYAUXPKUMZL
        AUXSUXTUXPUNZAUXLUKUXKUOVBZUYAUXOAUKJUOVBZUXLUYQAJKUPZUXLUYQUYRUXKJUKUO
        UQURUSUTVAUYCBDEUXMFGHIJUYOLAUXSUXTUXPVCZAUXOUKUXNUOVBZUYAUXLAUYRUXOVUA
        UYSUXOVUAUYRUXNJUKUOUQURUSVDVAVEUYCUBRJSTZUYKUYLUYAUYKVUBVFZAUXPUXSVUCU
        XTUXSVUBVUBUYKVGZVUCUXSUYKVUBVUBFUDZVGZFVHZQZVUDUXSUXJUKIVITVUBVJTZVUGV
        KZUKJSTZVKZQZUYDVUJQZVUHVUMUXJHBUKJRVLTZSTZGBUDZDUDZUENUOVBVUQVUQRVMTVO
        VURUJNZUJNVUSUENZRGUDZSTVNRVPVKVUTVVARVMTJSTVNUKVPVKVQVMVRTVSVTOZDVULWA
        ZEVVBDUXJVULWBLWCZUXJVUJVUKWDZUYDVUIVUGWIWEVUFVUDFUYKUYDUEWFVUBVUBVUEUY
        KWGWHWJZVUBVUBUYKWKWLZWMWNUYAUYLVUBVFZAUXPUXTVVHUXSUXTVUBVUBUYLVGZVVHUX
        TUYLVUGQZVVIUXTUXMVULQZUYEVUJQZVVJVVKUXMVVCEVVBDUXMVULWBLWCZUXMVUJVUKWD
        ZUYEVUIVUGWIWEVUFVVIFUYLUYEUEWFVUBVUBVUEUYLWGWHWJZVUBVUBUYLWKWLWOWNUYCU
        BUDZVUBQZPZVVPUYKNZVPZVVPUYLNZVPZOVVSVWAOVVRUYKRVVPSTZVNZUYKRVVPRVLTZST
        ZVNZWPZUYLVWCVNZUYLVWFVNZWPZVVTVWBVVRVWDVWIVWGVWJVVRVWDVWIOZVVPJVVRUYAV
        VPJOZVWLAUYAUXPVVQWQUYAVWMPVWDVUBVWIUXSVWMVWDVUBOUXTVWMUXSVWDUYKVUBVNZV
        UBVWMVWCVUBUYKVVPJRSWRZWSUXSVUDVUBVUBUYKWTZVWNVUBOVVFVUBVUBUYKXAVUBVUBU
        YKXBWEXCXDUXTVWMVWIVUBOUXSVWMUXTVWIUYLVUBVNZVUBVWMVWCVUBUYLVWOWSUXTVVIV
        UBVUBUYLWTVWQVUBOVVOVUBVUBUYLXAVUBVUBUYLXBWEXCXEXFUSUYCVVQVVPJXLZVWLUYC
        VVQVWRPZVVPVUPQZVWLUYCAVWSVWTAUYAUXPXGZAVWSPZVVPRVUOSTZQZVWMXHZPZVWTVXB
        VXDVWMXIZVWRPZVXFAVWSVXHAVVQVXGVWRAJRYCNZQZVVQVXGXJAUYNVXJKJXKWJVVPRJXM
        WLXNXOVXHVXGVXEPVXFVWRVXEVXGVVPJXPXQVXDVWMXRUUAWJVXDVWTVXEVXCVUPVVPVUOU
        UBUUDWMWLUSUYCUCUDZVUPQZPZUYKRVXKSTZVNZUYLVXNVNZOZUGZUYCVWTPZVWLUGUCUBU
        CUBUFZVXMVXSVXQVWLVXTVXLVWTUYCVXKVVPVUPXSXTVXTVXOVWDVXPVWIVXTVXNVWCUYKV
        XKVVPRSWRZWSVXTVXNVWCUYLVYAWSYAYBVXMVXOVXPVXMBDEUXJUXMFGHIVXKJAUYNUYAUX
        PVXLKYDZLAVUPUKISTVUBVJTHUUEUYAUXPVXLMYDZUYAUXSAUXPVXLUXSUXTUUFYEZUYBUX
        LUXOVXLUNZUYAUXTAUXPVXLUXSUXTYFYEZUYBUXLUXOVXLVCZUYCVXLYFZYGVXMBDEUXMUX
        JFGHIVXKJVYBLVYCVYFVYGVYDVYEVYHYGUUGZYMYHUUCUUHUYCVVQVWEVUPQZVWGVWJOZUY
        CAVVQVYJVXAAVVQPVVQVYJAVVQYFVVQVVPYIQZJYIQVVQVYJXJAVVPRJUUIAJKUUJVVPJUU
        KUULYJUSVXRUYCVYJPZVYKUGUCVWEVVPRVLUUMVXKVWEOZVXMVYMVXQVYKVYNVXLVYJUYCV
        XKVWEVUPXSXTVYNVXOVWGVXPVWJVYNVXNVWFUYKVXKVWERSWRZWSVYNVXNVWFUYLVYOWSYA
        YBVYIUUNYHYKUYCUXSVVQVVTVWHOZUYPUXSVVQPZVVTUYKVVPVPZVNZUYKVWCVWFWPZVNZV
        WHUXSVUCVVQVVTVYSOVVGVUBVVPUYKUUOUSVVQWUAVYSOUXSVVQVYTVYRUYKVVQVVPULQZV
        YTVYROVVPJUUPWUBVWFVYRVQZVWFWPZVYRVWFWPZVYTVYRWUDVYRVWFVQZVWFWPWUEWUCWU
        FVWFVWFVYRUUQUURVYRVWFUUSUUTWUBVWCWUCVWFWUBVWCVWFVWERVMTZVVPSTZVQZWUCWU
        BWUGVXIQVVPVWEYCNZQVWCWUIOWUBWUGVVPVXIWUBVVPUVAQWUGVVPOVVPUVBVVPUVCWLZW
        UBVVPVXIQVVPXKUVFUVDWUBWUGVVPWUJWUKWUBVWEYIQVWEWUJQWUGWUJQWUBVWEVVPUVEU
        VGVWEUVHVWEVWEUVIWEUVJVWERVVPUVKUVLWUBWUHVYRVWFWUBWUHVVPVVPSTZVYRWUBWUG
        VVPVVPSWUKUVMWUBVYLWULVYROVVPUVPVVPUVNWLYLUVOYLUVQWUBVVPVWFQZXHZVYRWUEO
        ZWUBVVPYNQZWUNVVPUVRWUPVVPVWEUWGVBZWUMWUPVWEVVPUOVBZWUQXHZVVPUVSVWEYNQW
        UPWURWUSXJVVPUVTVWEVVPUWAUWBYJVVPRVWEUWCUWDWLVWFVYRYOZYPOVYRVWFYOZYPOWU
        NWUOWUTWVAYPVWFVYRUWEUWFVWFVVPUWHVYRVWFUWIUWJWJUWKWLWSWOUXSWUAVWHOZVVQU
        XSVUDUYKUWLUWMZWVBVVFVUDVWPWVCVUBVUBUYKUWNUWOVWCVWFUYKUWPWEWMUWRZUSUYCU
        XTVVQVWBVWKOZUYTVYQVYPUGUXTVVQPZWVEUGCUAUXQVYQWVFVYPWVEUXQUXSUXTVVQUXJU
        XMEXSXNUXQVVTVWBVWHVWKUXQVVSVWAUXQVVPUYKUYLUXJUXMUEUJUWQZUWSUWTUXQVWDVW
        IVWGVWJUXQUYKUYLVWCWVGYQUXQUYKUYLVWFWVGYQYKYAYBWVDYMUSUXAVVSVWAVVPUYKWF
        UXBWLUXCUYAUYJUYMPUYFXJZAUXPUXSVUNVVLWVHUXTUXSVUMVUNVVDVVEWLUXTVVKVVLVV
        MVVNWLUYDUYEVUIVUGVUIVUGYRYSWNYTUXPUYGUYBUXKUXNJUXHWOUYAUYFUYGPUXQXJZAU
        XPUXSVUMVVKWVIUXTVVDVVMUXJUXMVUJVUKVUJVUKYRYSWNYTUXDUXEUXLUXOCUAEUXJUXM
        JUEUXFUXIUXG $.

      poimirlem22.2 $e |- ( ph -> T e. S ) $.
      ${
        poimirlem15.3 $e |- ( ph -> ( 2nd ` T ) e. ( 1 ... ( N - 1 ) ) ) $.
        $( Lemma for ~ poimir , that the face in ~ poimirlem22 is a face.
           (Contributed by Brendan Leahy, 21-Aug-2020.) $)
        poimirlem15 $p |- ( ph -> <. <. ( 1st ` ( 1st ` T ) ) ,
          ( ( 2nd ` ( 1st ` T ) ) o. ( { <. ( 2nd ` T ) ,
            ( ( 2nd ` T ) + 1 ) >. , <. ( ( 2nd ` T ) + 1 ) ,
          ( 2nd ` T ) >. } u. ( _I |` ( ( 1 ... N ) \ { ( 2nd ` T ) ,
            ( ( 2nd ` T ) + 1 ) } ) ) ) ) >. , ( 2nd ` T ) >. e. S ) $=
          ( c1 wcel cima wceq c0 c1st cfv c2nd caddc co cop cpr cfz cdif cun cv
          cc0 wf1o cxp clt wbr cif csn csb cmpt syl xp1st 3syl fvex f1oeq1 elab
          sylib wne cn nnred ltp1d cvv wa wi syl2anc wb cin wss cuz cz peano2uz
          ovex nnzd eqeltrrd fzss2 sseldd cle peano2nnd elfzle2 lelttrd zltp1le
          mpbid fznn mpbir2and prssi undif sylibr opelxpi ifbid csbeq1d imaeq1d
          2fveq3 xpeq1d uneq12d csbeq2dv eqtrd mpteq2dv eqeq2d elrab2 imaco wfn
          ad2antrr incom wn cr ltnle syl2anr biimpa disjsn ad2antlr simpr lttrd
          nsyl adantr ineq2i eqtr2i un0 syl5eq fnimadisj resiima imaundir uncom
          adantl 3eqtr4g imaeq2d a1i eqtrdi oveq2d csbie syl2an cid cres elrabi
          ccom cfzo cmap cab cmin eleq2s xp2nd elfznn ltned necomd f1oprg mp4an
          cof crab prcom f1oeq3 ax-mp f1oi disjdif f1oun mpanr12 sylancl npcan1
          nncnd peano2zm uzid zred ltm1d f1oeq23 f1oco prex difexg resiexg mp2b
          unex coex fz1ssfz0 sstrdi fveq2 breq2d oveq12d simprbi elfznn0 nn0red
          cc f1ofn df-pr indi 3eqtr3g elfzuz3 reldisj crn imassrn fnima elfzelz
          ltled cn0 nn0p1nn elfz syl3anc 1red ltle imp leadd1dd peano2zd imass2
          eqsstrrd eqssd wfo f1ofo forn fnresi disjdifr mp2an nnuz fzss1 ssdifd
          eleqtrdi imaundi eqtr3d iftrue vex oveq2 oveq1 oveq1d 3eqtr4d biimpar
          weq lenlt lep1d eluzp1p1 ltadd1dd elfzle1 iffalse pm2.61dan mpteq2dva
          letrd syldan eqtr4d op1std op2ndd breq2 id imaeq1 oveqan12d sylan9eqr
          opex sylanbrc ) AEUAUBZUAUBZVULUCUBZEUCUBZVUOPUDUEZUFZVUPVUOUFZUGZUUA
          PJUHUEZVUOVUPUGZUIZUUBZUJZUUDZUFZVUOUFZULIUUEUEVUTUUFUEZVUTVUTFUKZUMZ
          FUUGZUNZULJUHUEZUNZQZHBULJPUUHUEZUHUEZGBUKZVUOUOUPZVVRVVRPUDUEZUQZVUM
          VVEPGUKZUHUEZRZPURZUNZVVEVWBPUDUEZJUHUEZRZULURZUNZUJZUDUUPZUEZUSZUTZS
          ZVVGDQAVVFVVLQZVUOVVMQVVOAVUMVVHQZVVEVVKQZVWRAEVVNQZVULVVLQZVWSAEDQZV
          XANVXAEHBVVQGVVRCUKZUCUBZUOUPZVVRVVTUQZVXDUAUBZUAUBZVXHUCUBZVWCRZVWEU
          NZVXJVWHRZVWJUNZUJZVWMUEZUSZUTZSZCVVNUUQDVXSCEVVNUUCLUUIVAZEVVLVVMVBZ
          VULVVHVVKVBVCAVUTVUTVVEUMZVWTAVUTVUTVUNUMZVUTVUTVVDUMZVYBAVUNVVKQZVYC
          AVXAVXBVYEVXTVYAVULVVHVVKUUJVCVVJVYCFVUNVULUCVDZVUTVUTVVIVUNVEVFVGAVV
          AVVBUJZVYGVVDUMZVYDAVVAVVAVUSUMZVVBVVBVVCUMZVYHAVVAVUPVUOUGZVUSUMZVYI
          AVUOVUPVHZVUPVUOVHZVYLAVUOVUPAVUOAVUOPVVPUHUEZQZVUOVIQZOVUOVVPUUKVAZV
          JZAVUOVYSVKZUULZAVUOVUPWUAUUMVUOVLQZVUPVLQZWUCWUBVYMVYNVMVYLVNEUCVDZV
          UOPUDWBZWUEWUDVUOVUPVUPVUOVLVLVLVLUUNUUOVOZVYKVVASVYLVYIVPVUPVUOUURZV
          YKVVAVVAVUSUUSUUTVGVVBUVAVYIVYJVMVVAVVBVQTSZWUHVYHVVAVUTUVBZWUIVVAVVA
          VVBVVBVUSVVCUVCUVDUVEAVYGVUTSZWUJVYHVYDVPAVVAVUTVRZWUJAVUOVUTQVUPVUTQ
          ZWUKAVYOVUTVUOAJVVPVSUBZQVYOVUTVRAVVPPUDUEZJWUMAJUWHQWUNJSZAJKUVGJUVF
          VAZAVVPVTQZVVPWUMQWUNWUMQAJVTQZWUQAJKWCZJUVHVAZVVPUVIVVPVVPWAVCWDVVPP
          JWEVAZOWFAWULVUPVIQZVUPJWGUPZAVUOVYRWHZAVUOJUOUPZWVCAVUOVVPJVYSAVVPWU
          TUVJAJKVJZAVYPVUOVVPWGUPOVUOPVVPWIVAAJWVFUVKWJZAVUOVTQZWURWVEWVCVPAVU
          OVYRWCZWUSVUOJWKVOWLZAWURWULWVBWVCVMVPWUSVUPJWMVAWNVUOVUPVUTWOVOVVAVU
          TWPVGZWVKVYGVUTVYGVUTVVDUVLVOWLVUTVUTVUTVUNVVDUVMVOVVJVYBFVVEVUNVVDVY
          FVUSVVCVUQVURUVNVUTVLQVVBVLQVVCVLQPJUHWBVUTVVAVLUVOVVBVLUVPUVQUVRUVSZ
          VUTVUTVVIVVEVEVFWQVUMVVEVVHVVKWRVOAVYOVVMVUOAVYOVUTVVMWVAJUVTUWAOWFVV
          FVUOVVLVVMWRVOAHBVVQGVWAVUMVUNVWCRZVWEUNZVUNVWHRZVWJUNZUJZVWMUEZUSZUT
          ZVWPAVXCHWVTSZNVXCVXAWWAVXSWWACEVVNDVXDESZVXRWVTHWWBBVVQVXQWVSWWBVXQG
          VWAVXPUSZWVSWWBGVXGVWAVXPWWBVXFVVSVVRVVTWWBVXEVUOVVRUOVXDEUCUWBUWCWSW
          TWWBGVWAVXPWVRWWBVXIVUMVXOWVQVWMVXDEUAUAXBWWBVXLWVNVXNWVPWWBVXKWVMVWE
          WWBVXJVUNVWCVXDEUCUAXBZXAXCWWBVXMWVOVWJWWBVXJVUNVWHWWDXAXCXDUWDXEXFXG
          XHLXIUWEVAABVVQVWOWVSAVVRVVQQZVMZVVSVWOWVSSWWFVVSVMZVUMVVEPVVRUHUEZRZ
          VWEUNZVVEVVTJUHUEZRZVWJUNZUJZVWMUEZVUMVUNWWHRZVWEUNZVUNWWKRZVWJUNZUJZ
          VWMUEZVWOWVSWWGWWNWWTVUMVWMWWGWWJWWQWWMWWSWWGWWIWWPVWEWWGWWIVUNVVDWWH
          RZRWWPVUNVVDWWHXJWWGWXBWWHVUNWWGVUSWWHRZVVCWWHRZUJTWWHUJZWXBWWHWWGWXC
          TWXDWWHWWGVUSVVAXKZVVAWWHVQZTSWXCTSAWXFWWEVVSAVYLWXFWUFVVAVYKVUSUWIZV
          AZXLWWGWXGWWHVVAVQZTVVAWWHXMWWGWWHVUOURZVQZWWHVUPURZVQZUJZTTUJZWXJTWW
          GWXLTWXNTWWGVUOWWHQZXNWXLTSWWGVUOVVRWGUPZWXQWWFVVSWXRXNZWWEVVRXOQZVUO
          XOQZVVSWXSVPAWWEVVRVVRVVPUWFZUWGZVYSVVRVUOXPXQXRVUOPVVRWIYCWWHVUOXSWQ
          WWGVUPWWHQZXNWXNTSWWGVUPVVRWGUPZWYDWWGVVRVUPUOUPZWYEXNZWWGVVRVUOVUPWW
          EWXTAVVSWYCXTZAWYAWWEVVSVYSXLZAVUPXOQZWWEVVSAVUPWVDVJZXLWWFVVSYAAVUOV
          UPUOUPZWWEVVSVYTXLYBWWFWYFWYGVPZVVSWWEWXTWYJWYMAWYCWYKVVRVUPXPXQYDWLV
          UPPVVRWIYCWWHVUPXSWQXDWXJWWHWXKWXMUJZVQWXOVVAWYNWWHVUOVUPUWJZYEWWHWXK
          WXMUWKYFTYGZUWLZYHVVAWWHVUSYIVOWWGWWHVVBVRZWXDWWHSWWGWXJTSZWYRWYQWWFW
          YSWYRVPZVVSWWFJVVRVSUBZQWWHVUTVRWYTWWFWUNJXUAAWUOWWEWUPYDZWWEWUNXUAQZ
          AWWEVVPXUAQZXUCVVRULVVPUWMZVVRVVPWAVAYMWDVVRPJWEWWHVVAVUTUWNVCYDWLVVB
          WWHYJVAXDVUSVVCWWHYKWXEWWHTUJWWHTWWHYLWWHYGYFYNYOYHXCWWGWWLWWRVWJWWGW
          WLVUNVVDWWKRZRWWRVUNVVDWWKXJWWGXUFWWKVUNWWGXUFVVAWWKVVAUIZUJZWWKWWGXU
          FVUSWWKRZVVCWWKRZUJXUHVUSVVCWWKYKWWGXUIVVAXUJXUGWWGXUIVUSUWOZVVAWWGXU
          IXUKXUIXUKVRWWGVUSWWKUWPYPWWGXUKVUSVVARZXUIAXULXUKSZWWEVVSAVYLWXFXUMW
          UFWXHVVAVUSUWQVCZXLWWGVVAWWKVRZXULXUIVRWWGVUOWWKQZVUPWWKQZXUOWWGXUPVV
          TVUOWGUPZVUOJWGUPZWWFVVSXURWWEVVRVTQWVHVVSXURVPAVVRULVVPUWRWVIVVRVUOW
          KXQXRAXUSWWEVVSAVUOJVYSWVFWVGUWSXLWWFXUPXURXUSVMVPZVVSWWFWVHVVTVTQZWU
          RXUTAWVHWWEWVIYDWWEXVAAWWEVVTWWEVVRUWTQVVTVIQWYBVVRUXAVAZWCZYMZAWURWW
          EWUSYDZVUOVVTJUXBUXCYDWNWWGXUQVVTVUPWGUPZWVCWWGVVRVUOPWYHWYIWWGUXDWWF
          VVSVVRVUOWGUPZWWEWXTWYAVVSXVGVNAWYCVYSVVRVUOUXEXQUXFUXGAWVCWWEVVSWVJX
          LWWFXUQXVFWVCVMVPZVVSWWFVUPVTQZXVAWURXVHAXVIWWEAVUOWVIUXHYDXVDXVEVUPV
          VTJUXBUXCYDWNVUOVUPWWKWOVOZVVAWWKVUSUXIVAUXJUXKAXUKVVASZWWEVVSAXUKVYK
          VVAAVYLVVAVYKVUSUXLXUKVYKSWUFVVAVYKVUSUXMVVAVYKVUSUXNVCWUGYQZXLXFWWGV
          VCXUHRZXUJXUGWWGXUHWWKVVCWWGXUOXUHWWKSXVJVVAWWKWPVGZYOWWGVVCVVARZVVCX
          UGRZUJTXUGUJZXVMXUGWWGXVOTXVPXUGXVOTSZWWGVVCVVBXKVVBVVAVQTSXVRVVBUXOV
          VAVUTUXPVVBVVAVVCYIUXQZYPWWEXVPXUGSZAVVSWWEXUGVVBVRXVTWWEWWKVUTVVAWWE
          VVTPVSUBZQWWKVUTVRWWEVVTVIXWAXVBUXRUYAVVTPJUXSVAUXTVVBXUGYJVAXTXDVVCV
          VAXUGUYBXVQXUGTUJXUGTXUGYLXUGYGYFYNUYCXDYHXVNXFYOYHXCXDYRVVSVWOWWOSWW
          FVVSVWOGVVRVWNUSWWOVVSGVWAVVRVWNVVSVVRVVTUYDZWTGVVRVWNWWOBUYEZGBUYKZV
          WLWWNVUMVWMXWDVWFWWJVWKWWMXWDVWDWWIVWEXWDVWCWWHVVEVWBVVRPUHUYFZYOXCXW
          DVWIWWLVWJXWDVWHWWKVVEXWDVWGVVTJUHVWBVVRPUDUYGUYHZYOXCXDYRYSYQYMVVSWV
          SWXASWWFVVSWVSGVVRWVRUSWXAVVSGVWAVVRWVRXWBWTGVVRWVRWXAXWCXWDWVQWWTVUM
          VWMXWDWVNWWQWVPWWSXWDWVMWWPVWEXWDVWCWWHVUNXWEYOXCXWDWVOWWRVWJXWDVWHWW
          KVUNXWFYOXCXDYRYSYQYMUYIWWFVVSXNZVMZVUMVVEPVVTUHUEZRZVWEUNZVVEVVTPUDU
          EZJUHUEZRZVWJUNZUJZVWMUEZVUMVUNXWIRZVWEUNZVUNXWMRZVWJUNZUJZVWMUEZVWOW
          VSXWHXWPXXBVUMVWMWWFXWGWXRXWPXXBSWWFWXRXWGAWYAWXTWXRXWGVPWWEVYSWYCVUO
          VVRUYLYTUYJWWFWXRVMZXWKXWSXWOXXAXXDXWJXWRVWEXXDXWJVUNVVDXWIRZRXWRVUNV
          VDXWIXJXXDXXEXWIVUNXXDXXEVVAXWIVVAUIZUJZXWIXXDXXEVUSXWIRZVVCXWIRZUJXX
          GVUSVVCXWIYKXXDXXHVVAXXIXXFXXDXXHXUKVVAXXDXXHXUKXXHXUKVRXXDVUSXWIUWPY
          PXXDXUKXULXXHAXUMWWEWXRXUNXLXXDVVAXWIVRZXULXXHVRXXDVUOXWIQZVUPXWIQZXX
          JXXDXXKVYQVUOVVTWGUPZAVYQWWEWXRVYRXLXXDVUOVVRVVTAWYAWWEWXRVYSXLZWWEWX
          TAWXRWYCXTZWWEVVTXOQAWXRWWEVVTXVBVJXTZWWFWXRYAZWWEVVRVVTWGUPAWXRWWEVV
          RWYCUYMXTUYTWWEXXKVYQXXMVMVPZAWXRWWEXVAXXRXVCVUOVVTWMVAXTWNXXDXXLWVBV
          UPVVTWGUPZAWVBWWEWXRWVDXLXXDVUOVVRPXXNXXOXXDUXDZXXQUXGWWEXXLWVBXXSVMV
          PZAWXRWWEXVAXYAXVCVUPVVTWMVAXTWNVUOVUPXWIWOVOZVVAXWIVUSUXIVAUXJUXKAXV
          KWWEWXRXVLXLXFXXDVVCXXGRZXXIXXFXXDXXGXWIVVCXXDXXJXXGXWISXYBVVAXWIWPVG
          ZYOXXDXVOVVCXXFRZUJTXXFUJZXYCXXFXXDXVOTXYEXXFXVRXXDXVSYPXXDXXFVVBVRZX
          YEXXFSWWFXYGWXRWWFXWIVUTVVAWWFJVVTVSUBZQXWIVUTVRWWFWUNJXYHXUBWWEWUNXY
          HQZAWWEXUDXYIXUEVVRVVPUYNVAYMWDVVTPJWEVAUXTYDVVBXXFYJVAXDVVCVVAXXFUYB
          XYFXXFTUJXXFTXXFYLXXFYGYFYNUYCXDYHXYDXFYOYHXCXXDXWNXWTVWJXXDXWNVUNVVD
          XWMRZRXWTVUNVVDXWMXJXXDXYJXWMVUNXXDVUSXWMRZVVCXWMRZUJTXWMUJZXYJXWMXXD
          XYKTXYLXWMXXDWXFVVAXWMVQZTSXYKTSAWXFWWEWXRWXIXLXXDXYNXWMVVAVQZTVVAXWM
          XMXXDXWMWXKVQZXWMWXMVQZUJZWXPXYOTXXDXYPTXYQTXXDVUOXWMQZXNXYPTSXXDXWLV
          UOWGUPZXYSXXDVUOXWLUOUPZXYTXNZXXDVUOVUPXWLXXNAWYJWWEWXRWYKXLWWEXWLXOQ
          ZAWXRWWEXWLWWEVVTXVBWHZVJZXTAWYLWWEWXRVYTXLXXDVUOVVTPXXNXXPXXTXXDVUOV
          VRVVTXXNXXOXXPXXQWWEVVRVVTUOUPAWXRWWEVVRWYCVKXTWJUYOZYBWWFYUAYUBVPZWX
          RAWYAYUCYUGWWEVYSYUEVUOXWLXPYTYDWLVUOXWLJUYPYCXWMVUOXSWQXXDVUPXWMQZXN
          XYQTSXXDXWLVUPWGUPZYUHXXDVUPXWLUOUPZYUIXNZYUFWWFYUJYUKVPZWXRAWYJYUCYU
          LWWEWYKYUEVUPXWLXPYTYDWLVUPXWLJUYPYCXWMVUPXSWQXDXYOXWMWYNVQXYRVVAWYNX
          WMWYOYEXWMWXKWXMUWKYFWYPUWLZYHVVAXWMVUSYIVOXXDXWMVVBVRZXYLXWMSXXDXYOT
          SZYUNYUMWWEYUOYUNVPZAWXRWWEXWLXWAQXWMVUTVRYUPWWEXWLVIXWAYUDUXRUYAXWLP
          JUXSXWMVVAVUTUWNVCXTWLVVBXWMYJVAXDVUSVVCXWMYKXYMXWMTUJXWMTXWMYLXWMYGY
          FYNYOYHXCXDVUAYRXWGVWOXWQSWWFXWGVWOGVVTVWNUSXWQXWGGVWAVVTVWNVVSVVRVVT
          UYQZWTGVVTVWNXWQVVRPUDWBZVWBVVTSZVWLXWPVUMVWMYUSVWFXWKVWKXWOYUSVWDXWJ
          VWEYUSVWCXWIVVEVWBVVTPUHUYFZYOXCYUSVWIXWNVWJYUSVWHXWMVVEYUSVWGXWLJUHV
          WBVVTPUDUYGUYHZYOXCXDYRYSYQYMXWGWVSXXCSWWFXWGWVSGVVTWVRUSXXCXWGGVWAVV
          TWVRYUQWTGVVTWVRXXCYURYUSWVQXXBVUMVWMYUSWVNXWSWVPXXAYUSWVMXWRVWEYUSVW
          CXWIVUNYUTYOXCYUSWVOXWTVWJYUSVWHXWMVUNYVAYOXCXDYRYSYQYMUYIUYRUYSVUBVX
          SVWQCVVGVVNDVXDVVGSZVXRVWPHYVBBVVQVXQVWOYVBVXHVVFSZVXEVUOSZVXQVWOSVVF
          VUOVXDVUMVVEVUJZWUDVUCVVFVUOVXDYVEWUDVUDYVDYVCVXQWWCVWOYVDGVXGVWAVXPY
          VDVXFVVSVVRVVTVXEVUOVVRUOVUEWSWTYVCGVWAVXPVWNYVCVXIVUMSZVXJVVESZVXPVW
          NSVUMVVEVXHVULUAVDZWVLVUCVUMVVEVXHYVHWVLVUDYVFYVGVXIVUMVXOVWLVWMYVFVU
          FYVGVXLVWFVXNVWKYVGVXKVWDVWEVXJVVEVWCVUGXCYVGVXMVWIVWJVXJVVEVWHVUGXCX
          DVUHVOXEVUIVOXGXHLXIVUK $.
      $}

      ${
        poimirlem18.3 $e |- ( ( ph /\ n e. ( 1 ... N ) ) ->
          E. p e. ran F ( p ` n ) =/= K ) $.
        poimirlem18.4 $e |- ( ph -> ( 2nd ` T ) = 0 ) $.
        $( Lemma for ~ poimir establishing the vertices of the simplex of
           ~ poimirlem17 .  (Contributed by Brendan Leahy, 21-Aug-2020.) $)
        poimirlem16 $p |- ( ph -> F = ( y e. ( 0 ... ( N - 1 ) ) |->
          ( ( n e. ( 1 ... N ) |-> ( ( ( 1st ` ( 1st ` T ) ) ` n ) +
            if ( n = ( ( 2nd ` ( 1st ` T ) ) ` 1 ) , 1 , 0 ) ) ) oF +
          ( ( ( ( ( 2nd ` ( 1st ` T ) ) o. ( n e. ( 1 ... N ) |->
            if ( n = N , 1 , ( n + 1 ) ) ) ) " ( 1 ... y ) ) X. { 1 } ) u.
          ( ( ( ( 2nd ` ( 1st ` T ) ) o. ( n e. ( 1 ... N ) |->
            if ( n = N , 1 , ( n + 1 ) ) ) ) "
          ( ( y + 1 ) ... N ) ) X. { 0 } ) ) ) ) ) $=
          ( c1 wcel cc0 cmin co cfz cv c2nd cfv clt wbr caddc cif c1st cima csn
          cxp cun csb cmpt wceq wf1o fveq2 xpeq1d uneq12d eqeq2d simprbi syl wa
          cvv wfn adantr cin c0 1ex fnconstg ax-mp pm3.2i sylib imain cn fzdisj
          imaeq2d eqtrdi sylan9req sylancr imaundi cuz eleqtrdi peano2uz adantl
          c0ex cc eqeltrrd fzsplit2 syl2an2 3syl eqtr3d eqtr3id mpbid eqidd wss
          oveq1 fzss2 fnfvima syl3anc fvun1 syl2anc eqtrd wral simpr cz elfzelz
          wb 1z jctir fzaddel syl2an oveq2d ralrimiva ax-1cn zcnd mp3an2 wn cle
          eqid 1re eleq1 notbid syl5ibrcom imp mpteq2dva uneq1d mpbird wf imaco
          crn cdif uncom eqtr4d syl5eq nfcv cof ccom cfzo cmap cab breq2d ifbid
          2fveq3 imaeq1d oveq12d csbeq12dv mpteq2dv elrab2 elrabi xp1st elmapfn
          crab eleq2s ccnv wfun fvex f1oeq1 elab wfo dff1o3 cn0 elfznn0 nn0p1nn
          xp2nd nnred ltp1d ima0 fnun nncnd npcan1 elfzuz3 eluzp1p1 f1ofo foima
          fneq2d ovexd inidm offval 1p0e1 eqcomi f1ofn eluzfz1 mp3an12 fvconst2
          nnuz wreu nnzd peano2zm jctil eleqtrd peano2z fzsubel pncan3oi oveq1i
          cop elfznn subadd2 bicomd eqcom 3bitr3g reu6i f1ompt sylanbrc sylancl
          f1osng ltm1d zred ltnled elfzle2 nsyl disjsn sylibr ltp1i ltnlei mpbi
          readdcli elfzle1 mto mpbir f1oun mpanr2 syl21anc a1i uzid oveq1d fzsn
          eqeltrd uneq2d eqtr2d iftrue fmptapd necon2ad ifnefalse mp2b equncomi
          wne uneq1i f1oeq123d f1oco nn0red imassrn f1of frn sstrid fvmpt fzss1
          elfz1end eluzfz2 eleqtrrdi fvun2 3eqtr4a eqeq12d adantlr df-ne anbi2i
          eldifsn bitri fzpred difeq1d difun2 disj3 eqtr4i imadif fnsnfv eqcomd
          difeq12d disjdifr mpanr1 sylan2br anassrs 3eqtr4g xpundir un23 fveq1d
          sylan ad2antrr cres df-ima resmptd ssneldd wrex elrnmpt elv rexlimdva
          rneqd jctl eleq1d rspceeqv ex impbid syl5bb eqrdv uneq12i eqtri sneqd
          ibir sylan9ssr con2d iffalsed anim12ci bitr4di 3eqtr2rd unass 3eqtr4d
          eqtr3i snssi 0cn unssi fconst feq2d ffvelrnda sselid addid2d ifbothda
          fun elmapi elfzonn0 nn0cnd ifcli addassd eqbrtrd 0re eqeltrdi csbeq1d
          lenlt ovex oveq2 csbie fvexd ffnd nfmpt1 nfco nfima nfxp nfun offval2
          cr dffn5f 3eqtr4rd ) AIBUAKSUBUCZUDUCZGBUEZEUFUGZUHUIZWUGWUGSUJUCZUKZ
          EULUGZULUGZWULUFUGZSGUEZUDUCZUMZSUNZUOZWUNWUOSUJUCZKUDUCZUMZUAUNZUOZU
          PZUJUUAZUCZUQZURZBWUFHSKUDUCZHUEZWUMUGZWVKSWUNUGZUSZSUAUKZUJUCZURZWUN
          HWVJWVKKUSZSWVKSUJUCZUKZURZUUBZSWUGUDUCZUMZWURUOZWWBWUJKUDUCZUMZWVCUO
          ZUPZWVFUCZURAEDTZIWVIUSZPWWKEUAJUUCUCZWVJUUDUCZWVJWVJFUEZUTZFUUEZUOZU
          AKUDUCZUOZTZWWLIBWUFGWUGCUEZUFUGZUHUIZWUGWUJUKZWXBULUGZULUGZWXFUFUGZW
          UPUMZWURUOZWXHWVAUMZWVCUOZUPZWVFUCZUQZURZUSZWWLCEWWTDWXBEUSZWXPWVIIWX
          RBWUFWXOWVHWXRGWXEWXNWUKWVGWXRWXDWUIWUGWUJWXRWXCWUHWUGUHWXBEUFVAUUFUU
          GWXRWXGWUMWXMWVEWVFWXBEULULUUHWXRWXJWUSWXLWVDWXRWXIWUQWURWXRWXHWUNWUP
          WXBEUFULUUHZUUIVBWXRWXKWVBWVCWXRWXHWUNWVAWXSUUIVBVCUUJUUKUULVDNUUMVEV
          FABWUFWWJWVHAWUGWUFTZVGZWUMWUNSWUJUDUCZUMZWURUOZWUNWUJSUJUCZKUDUCZUMZ
          WVCUOZUPZWVFUCZHWVJWVPWVKWWIUGZUJUCZURZWVHWWJWYAWYJHWVJWVLWVKWYIUGZUJ
          UCZURWYMWYAHWVJWVJWVLWYNUJWVJWUMWYIVHVHAWUMWVJVIZWXTAWUMWWNTZWYPAWULW
          WRTZWYQAWXAWYRAWWKWXAPWXAEWXQCWWTUUQDWXQCEWWTUUNNUURVFEWWRWWSUUOVFZWU
          LWWNWWQUUOVFZWUMWWMWVJUUPVFVJWYAWYIWYCWYGUPZVIZWYIWVJVIWYAWYDWYCVIZWY
          HWYGVIZVGWYCWYGVKZVLUSZXUBXUCXUDSVHTZXUCVMWYCSVHVNVOZUAVHTZXUDWJWYGUA
          VHVNVOZVPAWXTXUEWUNWYBWYFVKZUMZVLAWUNUUSUUTZXULXUEUSAWVJWVJWUNUTZXUMA
          WUNWWQTZXUNAWYRXUOWYSWULWWNWWQUVIVFWWPXUNFWUNWULUFUVAWVJWVJWWOWUNUVBU
          VCVQZXUNWVJWVJWUNUVDZXUMWVJWVJWUNUVEVEVFZWYBWYFWUNVRVFWXTXULWUNVLUMZV
          LWXTXUKVLWUNWXTWUJWYEUHUIZXUKVLUSWXTWUJWXTWUJWXTWUGUVFTWUJVSTWUGWUEUV
          GZWUGUVHVFZUVJUVKZSWUJWYEKVTVFWAWUNUVLZWBWCZWYCWYGWYDWYHUVMWDWYAXUAWV
          JWYIWYAXUAWUNWYBWYFUPZUMZWVJWUNWYBWYFWEWYAWUNWVJUMZXVGWVJWYAWVJXVFWUN
          WXTWYESWFUGZTZAKWUJWFUGZTZWVJXVFUSWXTWUJXVITZXVJWXTWUJVSXVIXVBUWJWGZS
          WUJWHVFWYAWUESUJUCZKXVKAXVOKUSZWXTAKWKTXVPAKMUVNKUVOVFZVJZWXTXVOXVKTZ
          AWXTWUEWUGWFUGZTZXVSWUGUAWUEUVPZWUGWUEUVQVFZWIWLZWUJSKWMWNWAAXVHWVJUS
          ZWXTAXUNXUQXWEXUPWVJWVJWUNUVRWVJWVJWUNUVSWOZVJWPWQUVTWRWYASKUDUWAZXWG
          WVJUWBWYAWVKWVJTZVGZWVLWSXWIWYNWSUWCWYAHWVJWYOWYLXWIWYOWVLWVOWYKUJUCZ
          UJUCWYLXWIWYNXWJWVLUJWVNWYNSWYKUJUCZUSZWYNUAWYKUJUCZUSWYNXWJUSXWISUAS
          WVOUSXWKXWJWYNSWVOWYKUJXAVDUAWVOUSXWMXWJWYNUAWVOWYKUJXAVDWYAWVNXWLXWH
          WYAWVNXWLWYAXWLWVNWVMWYIUGZSWVMWWIUGZUJUCZUSWYASSUAUJUCZXWNXWPXWQSUWD
          UWEWYAXWNWVMWYDUGZSWYAXUFWVMWYCTZXWNXWRUSZXVEWYAWUNWVJVIZWYBWVJWTZSWY
          BTZXWSAXXAWXTAXUNXXAXUPWVJWVJWUNUWFVFZVJZWYAXVLXXBXWDWUJSKXBVFWXTXXCA
          WXTXVMXXCXVNSWUJUWGVFWIWVJWYBWUNSXCXDZXUCXUDXUFXWSVGXWTXUHXUJWYCWYGWY
          DWYHWVMXEUWHXFWYAXWSXWRSUSXXFWYCSWVMVMUWIVFXGWYAXWOUASUJWYAXWOWVMWWHU
          GZUAWYAWWDWWGVKZVLUSZWVMWWGTZXWOXXGUSZAWXTXXHWWBWWCWWFVKZUMZVLAWWBUUS
          UUTZXXMXXHUSAWVJWVJWWBUTZXXNAXUNWVJWVJWWAUTZXXOXUPAXXPSWUEUDUCZKUNZUP
          ZSSUJUCZKUDUCZWURUPZHXXQWVSURZKSUWTUNZUPZUTZAXXQXYAXYCUTZXXRWURXYDUTZ
          XXQXXRVKVLUSZXYFAWVSXYATZHXXQXHWUGWVSUSZHXXQUWKZBXYAXHXYGAXYJHXXQAWVK
          XXQTZVGZWVSXXTXVOUDUCZXYAXYNXYMWVSXYOTZAXYMXIASXJTZWUEXJTZVGWVKXJTZXY
          QVGZXYMXYPXLXYMAXYRXYQAKXJTZXYRAKMUWLZKUWMVFZXMUWNXYMXYSXYQWVKSWUEXKX
          MXNWVKSSWUEXOXPWRAXYOXYAUSXYMAXVOKXXTUDXVQXQVJUWOXRAXYLBXYAAWUGXYATZV
          GZWUGSUBUCZXXQTXYKWVKYUFUSZXLZHXXQXHZXYLYUEYUFXXTSUBUCZWUEUDUCZXXQYUE
          YUDYUFYUKTZAYUDXIAXXTXJTZYUAVGWUGXJTZXYQVGYUDYULXLYUDAYUAYUMYUBXYQYUM
          XMSUWPVOUWNYUDYUNXYQWUGXXTKXKZXMXNWUGSXXTKUWQXPWRYUJSWUEUDSSXSXSUWRUW
          SWGYUDYUIAYUDYUHHXXQYUDWUGWKTZWVKWKTZYUHXYMYUDWUGYUOXTXYMWVKWVKWUEUXA
          UVNYUPYUQVGZWVSWUGUSZYUFWVKUSZXYKYUGYURYUTYUSYUPSWKTZYUQYUTYUSXLXSWUG
          SWVKUXBYAUXCWVSWUGUXDYUFWVKUXDUXEXPXRWIXYKHXXQYUFUXFXFXRHBXXQXYAWVSXY
          CXYCYDUXGUXHAKVSTZXUGXYHMVMKSVSVHUXJUXIAKXXQTZYBZXYIAKWUEYCUIZYVCAWUE
          KUHUIYVEYBAKAKMUVJZUXKAWUEKAWUEYUCUXLYVFUXMWRZKSWUEUXNUXOZXXQKUXPUXQX
          YGXYHVGXYIXYAWURVKVLUSZXYFYVISXYATZYBYVJXXTSYCUIZSXXTUHUIYVKYBSYEUXRS
          XXTYESSYEYEUYAUXSUXTSXXTKUYBUYCXYASUXPUYDZXXQXYAXXRWURXYCXYDUYEUYFUYG
          AWVJXXSWVJXYBWWAXYEAHXXQWVTURZXYDUPWWAXYEAHKSWVTXXQWVJVSVHMXUGAVMUYHA
          WVJXXQXVOKUDUCZUPZXXSAXVOXVITKWUEWFUGZTZWVJYVOUSAXVOKXVIXVQAKVSXVIMUW
          JWGZUYLAXVOKYVPXVQAXYRWUEYVPTXVOYVPTYUCWUEUYIWUEWUEWHWOWLZWUESKWMXFZA
          YVNXXRXXQAYVNKKUDUCZXXRAXVOKKUDXVQUYJAYUAYWAXXRUSYUBKUYKVFXGZUYMZUYNW
          VRWVTSUSAWVRSWVSUYOZWIUYPAYVMXYCXYDAHXXQWVTWVSXYNWVKKVUAZWVTWVSUSZAXY
          MYWEAXYMWVKKAXYMYBWVRYVDYVHWVRXYMYVCWVKKXXQYFYGYHUYQYIWVKKSWVSUYRZVFY
          JYKWPAWVJYVOXXSYVTYWCXGAWVJSSUDUCZXYAUPZXYBAXXTXVITZKXVITZWVJYWIUSXYQ
          SXVITYWJXMSUYISSWHUYSYVRSSKWMWDYWIWURXYAYWHWURXYAXYQYWHWURUSXMSUYKVOV
          UBUYTWBVUCYLZWVJWVJWVJWUNWWAVUDXFZXXOWVJWVJWWBUVDZXXNWVJWVJWWBUVEVEVF
          WWCWWFWWBVRVFWXTXXMWWBVLUMVLWXTXXLVLWWBWXTWUGWUJUHUIXXLVLUSWXTWUGWXTW
          UGXVAVUEZUVKSWUGWUJKVTVFWAWWBUVLWBWCZWYAWVMWUNWWAWWFUMZUMZWWGWYAXXAYW
          QWVJWTZSYWQTWVMYWRTXXEAYWSWXTAYWQWWAYOZWVJWWAWWFVUFAXXPWVJWVJWWAYMYWT
          WVJWTYWLWVJWVJWWAVUGWVJWVJWWAVUHWOVUIVJWYAKWWAUGZSYWQAYXASUSZWXTAKWVJ
          TZYXBAYVBYXCMKVULVQZHKWVTSWVJWWAYWDWWAYDVMVUJVFZVJWYAWWAWVJVIZWWFWVJW
          TZKWWFTZYXAYWQTAYXFWXTAXXPYXFYWLWVJWVJWWAUWFVFZVJWXTYXGAWXTXVMYXGXVNW
          UJSKVUKVFWIWYAXVLYXHXWDWUJKVUMVFWVJWWFWWAKXCXDWLWVJYWQWUNSXCXDWUNWWAW
          WFYNVUNZWWEWWDVIZWWHWWGVIZXXIXXJVGXXKXUGYXKVMWWDSVHVNVOXUIYXLWJWWGUAV
          HVNVOWWDWWGWWEWWHWVMVUOUWHXFWYAXXJXXGUAUSYXJWWGUAWVMWJUWIVFXGXQVUPWVN
          WYNXWNXWKXWPWVKWVMWYIVAWVNWYKXWOSUJWVKWVMWWIVAXQVUQYHYIVURXWIWVNYBZVG
          ZWYNWYKXWMYXNWVKWUNXXTWUJUDUCZUMZWURUOZWYHUPZWVMUNZWURUOZUPZUGZWVKYXR
          YXSWVCUOZUPZUGZWYNWYKWYAXWHYXMYYBYYEUSZXWHYXMVGZWYAWVKWVJYXSYPZTZYYFY
          YIXWHWVKWVMVUAZVGYYGWVKWVJWVMVVAYYJYXMXWHWVKWVMVUSVUTVVBWYAYXRYYHVIZY
          YIYYFWYAYXRYXPWYGUPZVIZYYKWYAYXQYXPVIZXUDVGYXPWYGVKZVLUSYYMYYNXUDXUGY
          YNVMYXPSVHVNVOXUJVPAWXTYYOWUNYXOWYFVKZUMZVLAXUMYYQYYOUSXURYXOWYFWUNVR
          VFWXTYYQXUSVLWXTYYPVLWUNWXTXUTYYPVLUSXVCXXTWUJWYEKVTVFWAXVDWBWCYXPWYG
          YXQWYHUVMWDWYAYYLYYHYXRWYAYYLWUNYXOWYFUPZUMZYYHWUNYXOWYFWEWYAWUNWVJWU
          RYPZUMZYYSYYHWYAYYTYYRWUNWYAYYTXYAYYRAYYTXYAUSWXTAYYTXYBWURYPZXYAAWVJ
          XYBWURAWVJWURXYAUPZXYBAYWKWVJUUUCUSYVRSKVVCVFWURXYAYQWBVVDUUUBXYAWURY
          PZXYAXYAWURVVEYVIXYAUUUDUSYVLXYAWURVVFUXTVVGWBVJWXTWYEXXTWFUGTZAXVLXY
          AYYRUSWXTXVMUUUEXVNSWUJUVQVFXWDWUJXXTKWMWNXGWAAUUUAYYHUSWXTAUUUAXVHWU
          NWURUMZYPZYYHAXUMUUUAUUUGUSXURWVJWURWUNVVHVFAXVHWVJUUUFYXSXWFAYXSUUUF
          AXXASWVJTZYXSUUUFUSXXDAYWKUUUHYVRSKUWGVFWVJSWUNVVIXFZVVJVVKXGVJWPWQUV
          TWRYYKYYHYXSVKVLUSZYYIYYFYXSWVJVVLYYKUUUJYYIVGZVGYYBWVKYXRUGZYYEYYKYX
          TYXSVIZUUUKYYBUUULUSXUGUUUMVMYXSSVHVNVOYYHYXSYXRYXTWVKXEYAYYKYYCYXSVI
          ZUUUKYYEUUULUSXUIUUUNWJYXSUAVHVNVOYYHYXSYXRYYCWVKXEYAYRVVMVVTVVNVVOWY
          AWYNYYBUSXWHYXMWYAWVKWYIYYAWYAWYIYXQYXTUPZWYHUPYYAWYAWYDUUUOWYHWYAWYD
          YXPYXSUPZWURUOUUUOWYAWYCUUUPWURWYAWYCWUNWURYXOUPZUMZUUUPWXTWYCUUURUSA
          WXTWYBUUUQWUNWXTXVMWYBUUUQUSXVNSWUJVVCVFWAWIAUUUPUUURUSWXTAYXSYXPUPUU
          UFYXPUPUUUPUUURAYXSUUUFYXPUUUIYKYXPYXSYQWUNWURYXOWEVVPVJYRVBYXPYXSWUR
          VVQWBYKYXQYXTWYHVVRWBVVSVWAWYAWYKYYEUSXWHYXMWYAWVKWWIYYDWYAWWIYXQYYCW
          YHUPZUPZYYDWYAWWEYXQWWHUUUSWYAWWDYXPWURWYAWWDWUNWWAWWCUMZUMYXPWUNWWAW
          WCYNWYAUUVAYXOWUNWYAUUVAHWWCWVSURZYOZYXOWYAUUVAWWAWWCVWBZYOUUVCWWAWWC
          VWCWYAUUVDUUVBWYAUUVDHWWCWVTURUUVBWYAHWVJWWCWVTWYAKXVTTZWWCWVJWTWYAXV
          OKXVTXVRWXTXVOXVTTZAWXTXWAUUVFXWBWUGWUEWHVFWIWLZWUGSKXBVFVWDWYAHWWCWV
          TWVSWYAWVKWWCTZVGYWEYWFWYAUUVHYWEWYAUUVHWVKKWYAUUVHYBWVRKWWCTZYBWYAWW
          CXXQKWXTWWCXXQWTZAWXTXWAUUVJXWBWUGSWUEXBVFWIAYVDWXTYVHVJVWEWVRUUVHUUV
          IWVKKWWCYFYGYHUYQYIYWGVFYJXGVWJYSWYAGUUVCYXOWUOUUVCTZWUOWVSUSZHWWCVWF
          ZWYAWUOYXOTZUUVKUUVMXLGHWWCWVSWUOUUVBVHUUVBYDVWGVWHWYAYUNUUVMUUVNXLWX
          TYUNAWUGUAWUEXKWIYUNUUVMUUVNYUNUUVLUUVNHWWCYUNUUVHVGZUUVNUUVLWVSYXOTZ
          UUVOUUVHUUVPYUNUUVHXIYUNXYQYUNVGZXYTUUVHUUVPXLUUVHYUNXYQXMVWKZUUVHXYS
          XYQWVKSWUGXKXMXNWVKSSWUGXOXPWRWUOWVSYXOYFYHVWIYUNUUVNUUVMYUNUUVNVGZWU
          OSUBUCZWWCTZWUOUUVTSUJUCZUSZUUVMUUVSUUWAUUWBYXOTZUUVNUUWDYUNUUVNUUWDU
          UVNUUWBWUOYXOUUVNWUOWKTZUUWBWUOUSZUUVNWUOWUOXXTWUJXKZXTZWUOUVOZVFVWLV
          XAWIYUNUUVQUUVTXJTZXYQVGZUUWAUUWDXLUUVNUUVRUUVNUUWJXYQUUVNWUOXJTZUUWJ
          UUWGWUOUWMZVFXMXNUUVTSSWUGXOXPYLUUVSUUWEUUWCUUVNUUWEYUNUUWHWIUUWEUUWB
          WUOUUWIVVJZVFHUUVTWWCWVSUUWBWUOWVKUUVTSUJXAZVWMXFVWNVWOVFVWPVWQXGWAYS
          VBWYAWWHYXSWYGUPZWVCUOUUUSWYAWWGUUWPWVCWYAWWBXXRWUJWUEUDUCZUPZUMZWUNW
          WAXXRUMZUMZWUNWWAUUWQUMZUMZUPZWWGUUWPUUWSWWBXXRUMZWWBUUWQUMZUPUUXDWWB
          XXRUUWQWEUUXEUUXAUUXFUUXCWUNWWAXXRYNWUNWWAUUWQYNVWRVWSWYAWWFUUWRWWBWY
          AWWFUUWQXXRUPZUUWRWYAWWFUUWQYVNUPZUUXGWXTXVSAYVQWWFUUXHUSXWCAYVQWXTYV
          SVJWUEWUJKWMWNAUUXHUUXGUSWXTAYVNXXRUUWQYWBUYMVJXGUUWQXXRYQWBWAWYAYXSU
          UXAWYGUUXCAYXSUUXAUSWXTAYXSUUUFUUXAUUUIAWURUUWTWUNAYXAUNZWURUUWTAYXAS
          YXEVWTAYXFYXCUUXIUUWTUSYXIYXDWVJKWWAVVIXFWPWAXGVJWYAWYFUUXBWUNWYAUUXB
          HUUWQWVSURZYOZWYEXVOUDUCZWYFWYAUUXBWWAUUWQVWBZYOUUXKWWAUUWQVWCWYAUUXM
          UUXJWYAUUXMHUUWQWVTURZUUXJWYAHWVJUUWQWVTWXTAUUWQXXQWVJWXTXVMUUWQXXQWT
          XVNWUJSWUEVUKVFAYVQXXQWVJWTYVSWUESKXBVFVXBVWDAUUXNUUXJUSWXTAHUUWQWVTW
          VSAWVKUUWQTZVGWVRSWVSAUUXOWVRYBAWVRUUXOAUUXOYBWVRKUUWQTZYBAYVEUUXPYVG
          KWUJWUEUXNUXOWVRUUXOUUXPWVKKUUWQYFYGYHVXCYIVXDYJVJXGVWJYSWYAGUUXLUUXK
          WYAWUOUUXLTZUUVLHUUWQVWFZWUOUUXKTZWYAUUXQUUXRWYAUUXQUUXRWYAUUXQVGZUUV
          TUUWQTZUUWCUUXRUUXTUUYAUUWBUUXLTZUUXQUUYBWYAUUXQUUYBUUXQUUWBWUOUUXLUU
          XQUUWEUUWFUUXQWUOWUOWYEXVOXKZXTZUUWIVFVWLVXAWIWYAWUJXJTZXYRVGZUUWKUUY
          AUUYBXLUUXQAXYRWXTUUYEYUCWXTWUJXVBUWLVXEZUUXQUUWJXYQUUXQUUWLUUWJUUYCU
          UWMVFXMXNUUVTSWUJWUEXOXPYLUUXQUUWCWYAUUXQUUWEUUWCUUYDUUWNVFWIHUUVTUUW
          QWVSUUWBWUOUUWOVWMXFVWNWYAUUVLUUXQHUUWQWYAUUXOVGZUUXQUUVLWVSUUXLTZUUY
          HUUXOUUYIWYAUUXOXIWYAUUYFXYTUUXOUUYIXLUUXOUUYGUUXOXYSXYQWVKWUJWUEXKXM
          XNWVKSWUJWUEXOXPWRWUOWVSUUXLYFYHVWIVWOUUXSUUXRXLGHUUWQWVSWUOUUXJVHUUX
          JYDVWGVWHVXFVWQAUUXLWYFUSWXTAXVOKWYEUDXVQXQVJVXGWAVCVUPVBYXSWYGWVCVVQ
          WBVCYXQYYCUPWYHUPUUUTYYDYXQYYCWYHVXHYXQYYCWYHVVRVXJWBVVSVWAVXIXWIXWMW
          YKUSYXMXWIWYKXWIWURWVCUPZWKWYKWURWVCWKYVAWURWKWTXSSWKVXKVOUAWKTWVCWKW
          TVXLUAWKVXKVOVXMWYAWVJUUYJWVKWWIWYAWWDWWGUPZUUYJWWIYMZWVJUUYJWWIYMWYA
          WWDWURWWEYMZWWGWVCWWHYMZVGXXIUUYLUUYMUUYNWWDSVMVXNWWGUAWJVXNVPYWPWWDW
          WGWURWVCWWEWWHVXTWDWYAUUYKWVJUUYJWWIWYAUUYKWWBWWCWWFUPZUMZWVJWWBWWCWW
          FWEWYAWWBWVJUMZUUYPWVJWYAWVJUUYOWWBWXTXVMAUUVEWVJUUYOUSXVNUUVGWUGSKWM
          WNWAAUUYQWVJUSZWXTAXXOYWNUUYRYWMWVJWVJWWBUVRWVJWVJWWBUVSWOVJWPWQVXOWR
          ZVXPVXQZVXRVJYRVXSXQXWIWVLWVOWYKAXWHWVLWKTWXTAXWHVGZWVLUVUAWVLWWMTWVL
          UVFTAWVJWWMWVKWUMAWYQWVJWWMWUMYMWYTWUMWWMWVJVYAVFVXPWVLJVYBVFVYCVURWV
          OWKTXWIWVNSUAWKXSVXLVYDUYHUUYTVYEYRYJXGWYAWVHGWUJWVGUQWYJWYAGWUKWUJWV
          GWYAWUIWUGWUJWYAWUHWUGYCUIZWUIYBZWYAWUHUAWUGYCAWUHUAUSWXTRVJWXTUAWUGY
          CUIAWUGUAWUEUYBWIVYFAWUHWUBTWUGWUBTUVUBUVUCXLWXTAWUHUAWUBRVYGVYHYWOWU
          HWUGVYJXPWRVXDVYIGWUJWVGWYJWUGSUJVYKWUOWUJUSZWVEWYIWUMWVFUVUDWUSWYDWV
          DWYHUVUDWUQWYCWURUVUDWUPWYBWUNWUOWUJSUDVYLWAVBUVUDWVBWYGWVCUVUDWVAWYF
          WUNUVUDWUTWYEKUDWUOWUJSUJXAUYJWAVBVCXQVYMWBWYAHWVJWVPWYKUJWVQWWIVHVHV
          HXWGXWIWVLWVOUJUWAXWIWVKWWIVYNWYAWVQWSWYAWWIWVJVIWWIHWVJWYKURUSWYAWVJ
          UUYJWWIUUYSVYOHWVJWWIHWWEWWHHWWDWURHWWBWWCHWUNWWAHWUNYTHWVJWVTVYPVYQZ
          HWWCYTVYRHWURYTVYSHWWGWVCHWWBWWFUVUEHWWFYTVYRHWVCYTVYSVYTWUCVQWUAWUDY
          JYR $.

        $( Lemma for ~ poimir establishing existence for ~ poimirlem18 .
           (Contributed by Brendan Leahy, 21-Aug-2020.) $)
        poimirlem17 $p |- ( ph -> E. z e. S z =/= T ) $=
          ( c1 cfz co cv c1st cfv c2nd wceq cc0 cif cmpt cop wcel wne wrex cmin
          caddc clt wbr cima csn cxp cun cfzo wf1o wb wi wa cr nn0red adantl cz
          csb nnzd syl adantr nnred cle elfzle2 adantlr fveq2 sylancr sylan9eqr
          cvv cn csbeq1d oveq2 imaeq2d xpeq1d oveq1 oveq1d uneq12d oveq2d csbie
          2fveq3 fveq2d ovex mptex fvex eqtrdi imaeq1d oveq12d mpteq2dva eqeq2d
          eqtrd ex wf eleq1d cn0 xp1st 3syl f1oeq1 elab sylib cuz nnuz eleqtrdi
          eluzfz1 ffvelrnd elfzonn0 elfzo0 syl2anc mpbid crn eleq1 wfn c0 ax-mp
          cin 1ex cc fzsplit2 wn syl2an eqeltrd sylibr wral 1z ralrimiva ax-1cn
          a1i ccom cof cmap cab crab poimirlem16 elfznn0 peano2zm ltm1d lelttrd
          wal zred opex op2ndg breqtrrd iftrued vex weq op1stg coex op1st op2nd
          syl5eq alrimiv elrabi eleq2s elmapi xp2nd f1of peano2nn0 w3a elfzolt2
          simp2d nn0zd zltp1le anbi2d neeq1d rexbidv vtocl mpdan fveq1 fnconstg
          imbi12d ffnd c0ex pm3.2i ccnv wfun dff1o3 simprbi imain nn0p1nn ltp1d
          wfo fzdisj ima0 sylan9req fnun imaundi peano2nnd nncnd npcan1 elfzuz3
          eluzp1p1 eqeltrrd syl2an2 f1ofo foima eqtr3d eqtr3id fneq2d inidm wss
          eqidd f1ofn fzss2 fnfvima syl3anc fvun1 mp3an12 fvconst2 ofval mpidan
          adantllr breq2d ifbid csbeq12dv mpteq2dv elrab2 rneqd eleq2d elrnmpti
          eqid csbex elfzle1 eqbrtrd 0re eqeltrdi lenlt iffalsed rexbidva bitrd
          bitrdi biimpa r19.29a eqtr3 necon3d rexlimdva mpd syl3anbrc ffvelrnda
          leneltd nn0cnd addid1d ifbothda fmpttd elmap wreu simpr jctil elfzelz
          fzaddel eleqtrd peano2z fzsubel pncan3oi oveq1i elfznn subadd2 mp3an2
          jctir zcnd bicomd eqcom 3bitr4g f1ompt sylanbrc f1osng sylancl ltnled
          reu6i nsyl disjsn 1re ltp1i zrei ltnlei mpbi mto mpbir f1oun syl22anc
          uzid peano2uz uneq2d eqtr2d iftrue fmptapd notbid syl5ibrcom necon2ad
          fzsn imp ifnefalse uneq1d mp2b uneq1i equncomi f1oeq123d mpbird f1oco
          opelxpd nnnn0d nn0fz0 elrab3t eleqtrrdi fveqeq2 syl5ibcom nnne0d syld
          neeq1 necon2d rspcev ) AITLUAUBZIUCZFUDUEZUDUEZUEZVYETVYFUFUEZUEZUGZT
          UHUIZUPUBZUJZVYIIVYDVYELUGZTVYETUPUBZUIZUJZUUAZUKZLUKZEULWUAFUMZCUCZF
          UMZCEUNAWUAJBUHLTUOUBZUAUBZHBUCZDUCZUFUEZUQURZWUGWUGTUPUBZUIZWUHUDUEZ
          UDUEZWUMUFUEZTHUCZUAUBZUSZTUTZVAZWUOWUPTUPUBZLUAUBZUSZUHUTZVAZVBZUPUU
          BZUBZVLZUJZUGZDUHKVCUBZVYDUUCUBZVYDVYDGUCZVDZGUUDZVAZUHLUAUBZVAZUUEZE
          AWUAWVTULZJBWUFVYNVYSTWUGUAUBZUSZWUSVAZVYSWUKLUAUBZUSZWVDVAZVBZWVGUBZ
          UJZUGZABDEFGHIJKLMNOPQRSUUFAWUHWUAUGZWVKWWKVEZVFZDUUKWUAWVSULWWAWWKVE
          AWWNDAWWLWWMAWWLVGZWVJWWJJWWOBWUFWVIWWIWWOWUGWUFULZVGZWVIHWUGWVHVLZWW
          IWWQHWULWUGWVHWWQWUJWUGWUKWWQWUGLWUIUQAWWPWUGLUQURWWLAWWPVGZWUGWUELWW
          PWUGVHULZAWWPWUGWUGWUEUUGZVIZVJAWUEVHULWWPAWUEALVKULZWUEVKULZALNVMZLU
          UHVNZUULZVOALVHULWWPALNVPZVOWWPWUGWUEVQURAWUGUHWUEVRVJAWUELUQURZWWPAL
          WXHUUIZVOUUJVSWWOWUILUGWWPWWLAWUIWUAUFUEZLWUHWUAUFVTAVYTWCULZLWDULZWX
          KLUGZVYNVYSUUMZNVYTLWCWDUUNWAZWBVOUUOUUPWEWWOWWRWWIUGWWPWWOWWRWUNWUOW
          WBUSZWUSVAZWUOWWEUSZWVDVAZVBZWVGUBZWWIHWUGWVHWYBBUUQHBUURZWVFWYAWUNWV
          GWYCWUTWXRWVEWXTWYCWURWXQWUSWYCWUQWWBWUOWUPWUGTUAWFWGWHWYCWVCWXSWVDWY
          CWVBWWEWUOWYCWVAWUKLUAWUPWUGTUPWIWJWGWHWKWLWMWWOWUNVYNWYAWWHWVGWWLAWU
          NWUAUDUEZUDUEZVYNWUHWUAUDUDWNAWYEVYTUDUEVYNAWYDVYTUDAWXLWXMWYDVYTUGWX
          ONVYTLWCWDUUSWAZWOVYNVYSIVYDVYMTLUAWPZWQZVYIVYRVYFUFWRZIVYDVYQWYGWQUU
          TZUVAWSWBWWOWXRWWDWXTWWGWWOWXQWWCWUSWWOWUOVYSWWBWWOWUOVYTUFUEVYSWWOWU
          MVYTUFWWLAWUMWYDVYTWUHWUAUDVTWYFWBWOVYNVYSWYHWYJUVBWSZWTWHWWOWXSWWFWV
          DWWOWUOVYSWWEWYKWTWHWKXAUVCVOXDXBXCXEUVDAVYTLWVQWVRAVYNVYSWVMWVPAVYDW
          VLVYNXFVYNWVMULAIVYDVYMWVLVYKVYHTUPUBZWVLULZVYHUHUPUBZWVLULZVYMWVLULA
          VYEVYDULZVGZTUHTVYLUGWYLVYMWVLTVYLVYHUPWFXGUHVYLUGWYNVYMWVLUHVYLVYHUP
          WFXGAVYKWYMWYPAVYKVGWYLVYJVYGUEZTUPUBZWVLVYKWYLWYSUGAVYKVYHWYRTUPVYEV
          YJVYGVTWJVJAWYSWVLULZVYKAWYSXHULZKWDULZWYSKUQURWYTAWYRWVLULZWYRXHULZX
          UAAVYDWVLVYJVYGAVYFWVQULZVYGWVMULVYDWVLVYGXFAFEULZFWVSULZXUEQXUGFWVTE
          WVKDFWVSUVEOUVFZFWVQWVRXIZXJVYFWVMWVPXIVYGWVLVYDUVGXJZAVYDVYDTVYIAVYD
          VYDVYIVDZVYDVYDVYIXFAVYIWVPULZXUKAXUGXUEXULAXUFXUGQXUHVNXUIVYFWVMWVPU
          VHXJWVOXUKGVYIWYIVYDVYDWVNVYIXKXLXMZVYDVYDVYIUVIVNALTXNUEZULZTVYDULAL
          WDXUNNXOXPZTLXQVNXRZXRZWYRKXSZWYRUVJXJZAXUDXUBWYRKUQURZAXUCXUDXUBXVAU
          VKXURWYRKXTXMUVMZAWYSKAWYSXUTVIAKXVBVPAXVAWYSKVQURZAXUCXVAXURWYRUHKUV
          LVNAWYRVKULKVKULXVAXVCVEAWYRAXUCXUDXURXUSVNUVNAKXVBVMWYRKUVOYAYBAVYJM
          UCZUEZKUMZMJYCZUNZKWYSUMZAVYJVYDULZXVHXUQWYQVYEXVDUEZKUMZMXVGUNZVFAXV
          JVGZXVHVFIVYJTVYIWRVYKWYQXVNXVMXVHVYKWYPXVJAVYEVYJVYDYDUVPVYKXVLXVFMX
          VGVYKXVKXVEKVYEVYJXVDVTUVQUVRUWCRUVSUVTAXVFXVIMXVGAXVDXVGULZVGZKWYSXV
          EKXVPXVEWYSUGZKWYSUGZXVEKUGZVFXVPXVDVYGVYITWUKUAUBZUSZWUSVAZVYIWUKTUP
          UBZLUAUBZUSZWVDVAZVBZWVGUBZUGZXVQBWUFAWWPXWIXVQXVOXWIWWSXVEVYJXWHUEZW
          YSVYJXVDXWHUWAAWWPXVJXWJWYSUGXUQWWSVYDVYDWYRTUPVYDVYGXWGWCWCVYJAVYGVY
          DYEWWPAVYDWVLVYGXUJUWDVOWWSXWGXWAXWEVBZYEZXWGVYDYEWWSXWBXWAYEZXWFXWEY
          EZVGXWAXWEYHZYFUGZXWLXWMXWNTWCULZXWMYIXWATWCUWBYGZUHWCULXWNUWEXWEUHWC
          UWBYGZUWFAWWPXWOVYIXVTXWDYHZUSZYFAXUKVYIUWGUWHZXXAXWOUGXUMXUKVYDVYDVY
          IUWNZXXBVYDVYDVYIUWIUWJXVTXWDVYIUWKXJWWPWUKXWCUQURZXXAYFUGWWPWUKWWPWU
          KWWPWUGXHULWUKWDULWXAWUGUWLVNZVPUWMXXDXXAVYIYFUSYFXXDXWTYFVYITWUKXWCL
          UWOWGVYIUWPWSVNUWQZXWAXWEXWBXWFUWRWAWWSXWKVYDXWGWWSXWKVYIXVTXWDVBZUSZ
          VYDVYIXVTXWDUWSWWSVYIVYDUSZXXHVYDWWSVYDXXGVYIWWPXWCXUNULALWUKXNUEZULZ
          VYDXXGUGWWPXWCWDXUNWWPWUKXXEUWTXOXPWWSWUETUPUBZLXXJAXXLLUGZWWPALYJULX
          XMALNUXALUXBVNZVOWWPXXLXXJULZAWWPWUEWUGXNUEULXXOWUGUHWUEUXCWUGWUEUXDV
          NVJUXEZWUKTLYKUXFWGAXXIVYDUGZWWPAXUKXXCXXQXUMVYDVYDVYIUXGVYDVYDVYIUXH
          XJVOUXIUXJUXKYBVYDWCULWWSWYGYTZXXRVYDUXLWWSXVJVGWYRUXNWWSVYJXWGUEZTUG
          XVJWWSXXSVYJXWBUEZTWWSXWPVYJXWAULZXXSXXTUGZXXFWWSVYIVYDYEZXVTVYDUXMZT
          XVTULZXYAAXYCWWPAXUKXYCXUMVYDVYDVYIUXOVNVOWWSXXKXYDXXPWUKTLUXPVNWWPXY
          EAWWPWUKXUNULXYEWWPWUKWDXUNXXEXOXPTWUKXQVNVJVYDXVTVYITUXQUXRZXWMXWNXW
          PXYAVGXYBXWRXWSXWAXWEXWBXWFVYJUXSUXTYAWWSXYAXXTTUGXYFXWATVYJYIUYAVNXD
          VOUYBUYCWBUYDAXVOXWIBWUFUNZAXVOXVDHWUGFUFUEZUQURZWUGWUKUIZVYGVYIWUQUS
          ZWUSVAZVYIWVBUSZWVDVAZVBZWVGUBZVLZUGZBWUFUNZXYGAXVOXVDBWUFXYQUJZYCZUL
          XYSAXVGYUAXVDAJXYTAXUFJXYTUGZQXUFXUGYUBWVKYUBDFWVSEWUHFUGZWVJXYTJYUCB
          WUFWVIXYQYUCHWULWVHXYJXYPYUCWUJXYIWUGWUKYUCWUIXYHWUGUQWUHFUFVTUYEUYFY
          UCWUNVYGWVFXYOWVGWUHFUDUDWNYUCWUTXYLWVEXYNYUCWURXYKWUSYUCWUOVYIWUQWUH
          FUFUDWNZWTWHYUCWVCXYMWVDYUCWUOVYIWVBYUDWTWHWKXAUYGUYHXCOUYIUWJVNUYJUY
          KBWUFXYQXVDXYTXYTUYMHXYJXYPVYGXYOWVGWPUYNUYLVUCAXYRXWIBWUFWWSXYQXWHXV
          DWWSXYQHWUKXYPVLXWHWWSHXYJWUKXYPWWSXYIWUGWUKWWSXYHWUGVQURZXYIYLZWWSXY
          HUHWUGVQAXYHUHUGZWWPSVOWWPUHWUGVQURAWUGUHWUEUYOVJUYPAXYHVHULWWTYUEYUF
          VEWWPAXYHUHVHSUYQUYRWXBXYHWUGUYSYMYBUYTWEHWUKXYPXWHWUGTUPWPWUPWUKUGZX
          YOXWGVYGWVGYUHXYLXWBXYNXWFYUHXYKXWAWUSYUHWUQXVTVYIWUPWUKTUAWFWGWHYUHX
          YMXWEWVDYUHWVBXWDVYIYUHWVAXWCLUAWUPWUKTUPWIWJWGWHWKWLWMWSXCVUAVUBVUDV
          UEXVQXVRXVSXVEKWYSVUFXEVNVUGVUHVUIVULWYSKXTVUJVOYNVSWYQWYOVYKYLWYQWYN
          VYHWVLWYQVYHWYQVYHWYQVYHWVLULVYHXHULAVYDWVLVYEVYGXUJVUKZVYHKXSVNVUMVU
          NYUIYNVOVUOVUPWVLVYDVYNUHKVCWPWYGVUQYOAVYDVYDVYSVDZVYSWVPULAXUKVYDVYD
          VYRVDZYUJXUMAYUKTWUEUAUBZLUTZVBZTTUPUBZLUAUBZWUSVBZIYULVYPUJZLTUKUTZV
          BZVDZAYULYUPYURVDZYUMWUSYUSVDZYULYUMYHYFUGZYUPWUSYHYFUGZYVAAVYPYUPULZ
          IYULYPWUGVYPUGZIYULVURZBYUPYPYVBAYVFIYULAVYEYULULZVGZVYPYUOXXLUAUBZYU
          PYVJYVIVYPYVKULZAYVIVUSATVKULZWXDVGVYEVKULZYVMVGYVIYVLVEYVIAWXDYVMWXF
          YQVUTYVIYVNYVMVYETWUEVVAYQVVKVYETTWUEVVBYMYBAYVKYUPUGYVIAXXLLYUOUAXXN
          WLVOVVCYRAYVHBYUPAWUGYUPULZVGZWUGTUOUBZYULULYVGVYEYVQUGZVEZIYULYPZYVH
          YVPYVQYUOTUOUBZWUEUAUBZYULYVPYVOYVQYWBULZAYVOVUSAYUOVKULZWXCVGWUGVKUL
          ZYVMVGYVOYWCVEYVOAWXCYWDWXEYVMYWDYQTVVDYGZVUTYVOYWEYVMWUGYUOLVVAZYQVV
          KWUGTYUOLVVEYMYBYWATWUEUATTYSYSVVFVVGXPYVOYVTAYVOYVSIYULYVOWUGYJULZVY
          EYJULZYVSYVIYVOWUGYWGVVLYVIVYEVYEWUEVVHUXAYWHYWIVGZVYPWUGUGZYVQVYEUGZ
          YVGYVRYWJYWLYWKYWHTYJULYWIYWLYWKVEYSWUGTVYEVVIVVJVVMWUGVYPVVNVYEYVQVV
          NVVOYMYRVJYVGIYULYVQVWAYAYRIBYULYUPVYPYURYURUYMVVPVVQAWXMXWQYVCNYILTW
          DWCVVRVVSALYULULZYLZYVDALWUEVQURZYWMAWXIYWOYLWXJAWUELWXGWXHVVTYBLTWUE
          VRVWBZYULLVWCYOYVEAYVETYUPULZYLYWQYUOTVQURZTYUOUQURYWRYLTVWDVWETYUOVW
          DYUOYWFVWFVWGVWHTYUOLUYOVWIYUPTVWCVWJYTYULYUPYUMWUSYURYUSVWKVWLAVYDYU
          NVYDYUQVYRYUTAIYULVYQUJZYUSVBVYRYUTAILTVYQYULVYDWDWCNXWQAYIYTAVYDYULX
          XLLUAUBZVBZYUNAXXLXUNULLWUEXNUEZULVYDYXAUGAXXLLXUNXXNXUPYNAXXLLYXBXXN
          AWXDWUEYXBULXXLYXBULWXFWUEVWMWUEWUEVWNXJUXEWUETLYKYAZAYWTYUMYULAYWTLL
          UAUBZYUMAXXLLLUAXXNWJAWXCYXDYUMUGWXELVXBVNXDVWOZVWPVYOVYQTUGAVYOTVYPV
          WQVJVWRAYWSYURYUSAIYULVYQVYPYVJVYELUMZVYQVYPUGAYVIYXFAYVIVYELAYVIYLVY
          OYWNYWPVYOYVIYWMVYELYULYDVWSVWTVXAVXCVYELTVYPVXDVNXBVXEUXIAVYDYXAYUNY
          XCYXEXDAVYDTTUAUBZYUPVBZYUQAYUOXUNULZXUOVYDYXHUGYVMTXUNULYXIYQTVWMTTV
          WNVXFXUPTTLYKWAYXHWUSYUPYXGWUSYUPYVMYXGWUSUGYQTVXBYGVXGVXHWSVXIVXJVYD
          VYDVYDVYIVYRVXKYAWVOYUJGVYSWYJVYDVYDWVNVYSXKXLYOVXLALXHULLWVRULALNVXM
          LVXNXMVXLWVKWWKDWUAWVSVXOYAVXJOVXPAYUGWUBSAWUAFXYHUHAWUAFUGZXYHLUGZXY
          HUHUMZAWXNYXJYXKWXPWUAFLUFVXQVXRAYXLYXKLUHUMALNVXSXYHLUHVYAVWTVXTVYBV
          UIWUDWUBCWUAEWUCWUAFVYAVYCYA $.

        $( Lemma for ~ poimir stating that, given a face not on a front face of
           the main cube and a simplex in which it's opposite the first vertex
           on the walk, there exists exactly one other simplex containing it.
           (Contributed by Brendan Leahy, 21-Aug-2020.) $)
        poimirlem18 $p |- ( ph -> E! z e. S z =/= T ) $=
          ( wcel vs cv wne wrex wrmo wreu poimirlem17 c2nd cfv wceq wi wral cc0
          wa wn c1 cmin co cfz adantr cn 0nnn elfznn eleq1 mtbiri necon2ai c1st
          mto ad2antrr clt wbr cif cima csn cxp cun cof csb cmpt cfzo cmap wf1o
          caddc cab fveq2 breq2d csbeq1d 2fveq3 imaeq1d xpeq1d uneq12d csbeq2dv
          weq ifbid oveq12d eqtrd mpteq2dv eqeq2d elrab2 simprbi ad2antlr cz wf
          wss crab elrabi eleq2s xp1st syl elmapi elfzoelz ssriv fss xp2nd fvex
          sylancl f1oeq1 elab sylib simpr poimirlem1 cdif eldifsn biimpri sylan
          simplr poimirlem2 ex necon1bd mpd cuz eleqtrdi eleq2d elsn anbi2d cin
          wo c0 fveqeq2 sylc adantlr neeq1d exbiri mpdi necon2bd cc npcan1 nnuz
          nncnd eqeltrd nnzd peano2zm peano2uz eqeltrrd fzsplit2 syl2anc oveq1d
          uzid 3syl fzsn uneq2d notbid ioran elun orbi2i xchnxbir bitrdi nnnn0d
          bitri cn0 nn0uz fzpred difeq1d difun2 0p1e1 oveq1i uneq2i incom mpbir
          difeq1i disjsn eqtri disj3 3eqtr4i eqtrdi eldif 3bitr3g bitr3d biimpd
          expdimp sylan2 mpand poimirlem13 r19.21bi eqeq2 imbi12d rspccv mpan2d
          mpbi rmo4 syld necon1ad ralrimiva poimirlem14 rmoim reu5 sylanbrc ) A
          CUBZFUCZCEUDUXICEUEZUXICEUFABCDEFGHIJKLMNOPQRSUGAUXIUXHUHUIZLUJZUKZCE
          ULUXLCEUEUXJAUXMCEAUXHETZUNZUXLUXHFUXOUXLUOZUXKUMUJZUXHFUJZUXOUXKUPLU
          PUQURZUSURZTZUOZUXPUXQUXOFUHUIZUMUJZUYBAUYDUXNSUTZUXOUYAUYCUMUXOUYAUX
          KUMUCZUYCUMUCZUYAUXKUMUXQUYAUMUXTTZUYHUMVATZVBUMUXSVCVHUXKUMUXTVDVEVF
          UXOUYAUYGUYFUXOUYAUNZUYCUXKUMUYJIUBZUXKUPUQURJUIUIUYKUXKJUIUIUCIUPLUS
          URZUEZUOZUYCUXKUJZUYJBUXHVGUIZVGUIZUYPUHUIZHIJUXKLALVATZUXNUYANVIUXNJ
          BUMUXSUSURZHBUBZUXKVJVKZVUAVUAUPWCURZVLZUYQUYRUPHUBZUSURZVMZUPVNZVOZU
          YRVUEUPWCURLUSURZVMZUMVNZVOZVPZWCVQZURZVRZVSZUJZAUYAUXNUXHUMKVTURZUYL
          WAURZUYLUYLGUBZWBZGWDZVOZUMLUSURZVOZTZVUSJBUYTHVUADUBZUHUIZVJVKZVUAVU
          CVLZVVIVGUIZVGUIZVVMUHUIZVUFVMZVUHVOZVVOVUJVMZVULVOZVPZVUOURZVRZVSZUJ
          ZVUSDUXHVVGEDCWMZVWCVURJVWEBUYTVWBVUQVWEVWBHVUDVWAVRVUQVWEHVVLVUDVWAV
          WEVVKVUBVUAVUCVWEVVJUXKVUAVJVVIUXHUHWEWFWNWGVWEHVUDVWAVUPVWEVVNUYQVVT
          VUNVUOVVIUXHVGVGWHVWEVVQVUIVVSVUMVWEVVPVUGVUHVWEVVOUYRVUFVVIUXHUHVGWH
          ZWIWJVWEVVRVUKVULVWEVVOUYRVUJVWFWIWJWKWOWLWPWQWROWSWTXAUXNUYLXBUYQXCZ
          AUYAUXNUYLVUTUYQXCZVUTXBXDZVWGUXNUYQVVATZVWHUXNUYPVVETZVWJUXNVVHVWKVV
          HUXHVWDDVVGXEZEVWDDUXHVVGXFOXGZUXHVVEVVFXHXIZUYPVVAVVDXHXIUYQVUTUYLXJ
          XIIVUTXBUYKUMKXKXLZUYLVUTXBUYQXMXPXAUXNUYLUYLUYRWBZAUYAUXNUYRVVDTZVWP
          UXNVWKVWQVWNUYPVVAVVDXNXIVVCVWPGUYRUYPUHXOUYLUYLVVBUYRXQXRXSXAUXOUYAX
          TYAAUYAUYNUYOUKUXNAUYAUNZUYMUYCUXKVWRUYCUXKUCZUYMVWRVWSUNBFVGUIZVGUIZ
          VWTUHUIZHIJUYCLUXKAUYSUYAVWSNVIAJBUYTHVUAUYCVJVKZVUAVUCVLZVXAVXBVUFVM
          ZVUHVOZVXBVUJVMZVULVOZVPZVUOURZVRZVSZUJZUYAVWSAFETZVXMQVXNFVVGTZVXMVW
          DVXMDFVVGEVVIFUJZVWCVXLJVXPBUYTVWBVXKVXPVWBHVXDVWAVRVXKVXPHVVLVXDVWAV
          XPVVKVXCVUAVUCVXPVVJUYCVUAVJVVIFUHWEWFWNWGVXPHVXDVWAVXJVXPVVNVXAVVTVX
          IVUOVVIFVGVGWHVXPVVQVXFVVSVXHVXPVVPVXEVUHVXPVVOVXBVUFVVIFUHVGWHZWIWJV
          XPVVRVXGVULVXPVVOVXBVUJVXQWIWJWKWOWLWPWQWROWSWTXIVIAUYLXBVXAXCZUYAVWS
          AUYLVUTVXAXCZVWIVXRAVXAVVATZVXSAVWTVVETZVXTAVXOVYAAVXNVXOQVXOFVWLEVWD
          DFVVGXFOXGXIZFVVEVVFXHXIZVWTVVAVVDXHXIVXAVUTUYLXJXIVWOUYLVUTXBVXAXMXP
          VIAUYLUYLVXBWBZUYAVWSAVXBVVDTZVYDAVYAVYEVYCVWTVVAVVDXNXIVVCVYDGVXBVWT
          UHXOUYLUYLVVBVXBXQXRXSVIAUYAVWSYFVWRUYCVVFTZVWSUYCVVFUXKVNYBTZAVYFUYA
          AVXOVYFVYBFVVEVVFXNXIUTVYGVYFVWSUNUYCVVFUXKYCYDYEYGYHYIUUAYJUUBUUCUUD
          UUEYJUXNAUXKVVFTZUYBUXPUNZUXQUKUXNVVHVYHVWMUXHVVEVVFXNXIAVYHVYIUXQAVY
          HVYIUNZUXQAVYHUXKUYLTZUOZUNZVYJUXQAVYLVYIVYHAVYLUXKUXTLVNZVPZTZUOVYIA
          VYKVYPAUYLVYOUXKAUYLUXTUXSUPWCURZLUSURZVPZVYOAVYQUPYKUIZTLUXSYKUIZTUY
          LVYSUJAVYQLVYTALUUFTVYQLUJALNUUILUUGXIZALVAVYTNUUHYLUUJAVYQLWUAWUBAUX
          SXBTZUXSWUATVYQWUATALXBTZWUCALNUUKZLUULXIUXSUURUXSUXSUUMUUSUUNUXSUPLU
          UOUUPAVYRVYNUXTAVYRLLUSURZVYNAVYQLLUSWUBUUQAWUDWUFVYNUJWUELUUTXIWPUVA
          WPYMUVBUYAUXLYQZVYIVYPUYAUXLUVCVYPUYAUXKVYNTZYQWUGUXKUXTVYNUVDWUHUXLU
          YAUXKLUXHUHXOZYNUVEUVIUVFUVGYOAUXKVVFUYLYBZTUXKVULTVYMUXQAWUJVULUXKAW
          UJVULUMUPWCURZLUSURZVPZUYLYBZVULAVVFWUMUYLALUMYKUIZTVVFWUMUJALUVJWUOA
          LNUVHUVKYLUMLUVLXIUVMVULUYLVPZUYLYBVULUYLYBZWUNVULVULUYLUVNWUMWUPUYLW
          ULUYLVULWUKUPLUSUVOUVPUVQUVTVULUYLYPZYRUJVULWUQUJWURUYLVULYPZYRVULUYL
          UVRWUSYRUJUMUYLTZUOWUTUYIVBUMLVCVHUYLUMUWAUVSUWBVULUYLUWCUWSUWDUWEYMU
          XKVVFUYLUWFUXKUMWUIYNUWGUWHUWIUWJUWKUWLUXOUXQUYDUXRUYEUXOUXQUAUBZUHUI
          UMUJZUNZCUAWMZUKZUAEULZVXNUXQUYDUNZUXRUKZAWVFCEAUXQCEUEWVFCEULABCDEGH
          JKLNOPUWMUXQWVBCUAEUXHWVAUMUHYSUWTXSUWNAVXNUXNQUTWVEWVHUAFEWVAFUJZWVC
          WVGWVDUXRWVIWVBUYDUXQWVAFUMUHYSYOWVAFUXHUWOUWPUWQYTUWRUXAUXBUXCABCDEG
          HJKLNOPUXDUXIUXLCEUXEYTUXICEUXFUXG $.
      $}

      poimirlem22.3 $e |- ( ( ph /\ n e. ( 1 ... N ) ) ->
        E. p e. ran F ( p ` n ) =/= 0 ) $.
      ${
        poimirlem21.4 $e |- ( ph -> ( 2nd ` T ) = N ) $.
        $( Lemma for ~ poimir establishing the vertices of the simplex in
           ~ poimirlem20 .  (Contributed by Brendan Leahy, 21-Aug-2020.) $)
        poimirlem19 $p |- ( ph -> F = ( y e. ( 0 ... ( N - 1 ) ) |->
          ( ( n e. ( 1 ... N ) |-> ( ( ( 1st ` ( 1st ` T ) ) ` n ) -
            if ( n = ( ( 2nd ` ( 1st ` T ) ) ` N ) , 1 , 0 ) ) ) oF +
          ( ( ( ( ( 2nd ` ( 1st ` T ) ) o. ( n e. ( 1 ... N ) |->
            if ( n = 1 , N , ( n - 1 ) ) ) ) " ( 1 ... ( y + 1 ) ) ) X.
          { 1 } ) u. ( ( ( ( 2nd ` ( 1st ` T ) ) o. ( n e. ( 1 ... N ) |->
            if ( n = 1 , N , ( n - 1 ) ) ) ) "
          ( ( ( y + 1 ) + 1 ) ... N ) ) X. { 0 } ) ) ) ) ) $=
          ( c1 wcel cc0 cmin co cfz cv c2nd cfv clt wbr caddc cif c1st cima csn
          cxp cun csb cmpt wceq wf1o fveq2 xpeq1d uneq12d simprbi syl wa adantr
          cvv wfn cin 1ex fnconstg ax-mp c0ex pm3.2i sylib imain fzdisj imaeq2d
          c0 eqtrdi sylan9req sylancr imaundi cuz nnuz eleqtrdi adantl peano2uz
          cn cc eqeltrrd fzsplit2 syl2anc eqtr3d eqtr3id mpbid eqidd ax-1cn a1i
          3syl wf wss wral simpr cz wb 1z jctil elfzelz jctir fzsubel ralrimiva
          syl2an oveq2d zcnd mp3an2 eqid wn cle eleq1 oveq1d eqtrd uneq2d oveq2
          elfzle1 crn fnfvima syl3anc imaco fvun1 fzss1 3eqtr4a syl5ibrcom cdif
          eqcomd eqtr4d pncan1 peano2zd nfcv ccom cfzo cmap breq2d ifbid 2fveq3
          cof cab imaeq1d oveq12d csbeq12dv mpteq2dv eqeq2d elrab2 elrabi xp1st
          crab eleq2s elmapfn ccnv wfun xp2nd fvex f1oeq1 dff1o3 elfznn0 nn0red
          elab wfo ltp1d ima0 fnun cn0 nn0p1nn nncnd npcan1 elfzuz3 f1ofo foima
          fneq2d ovexd inidm offval elmapi ffvelrnda elfzonn0 adantlr 0cn ifcli
          nn0cnd snssi unssi fconst wreu nnzd peano2z pncan3oi peano2zm fzaddel
          cop oveq1i eleqtrd subadd2 eqcom 3bitr4g reu6i f1ompt sylanbrc f1osng
          syl2anr nnred ltm1d zred ltnled elfzle2 nsyl disjsn sylibr ltp1i zrei
          1re ltnlei mpbi mpbir f1oun mpanr1 syl21anc mtbiri necon2ai ifnefalse
          mto wne mpteq2ia uneq1i fzpred uncom eqtr2di iftrue fmptapd uzid fzsn
          eqeltrd eqtr2d f1oeq123d f1oco fun peano2nnd eluzp1p1 feq2d subadd23d
          sselid eqeq1d 1m1e0 imassrn f1of frnd sstrid eluzfz1 fvmptd eleqtrrdi
          f1ofn fzss2 mp3an12 fvconst2 eluzfz2 fvun2 eqeq12d imp subid1d anbi2i
          eldifsn df-ne difeq1d difun2 imadif elfz1end fnsnfv difeq12d disjdifr
          bitri difsn sylan sylan2br anassrs uneq12i eqtri zcn wrex eleq1d ibir
          mpbird oveq1 rspceeqv rexlimdva impbid elrnmpt elv bitr4di eqrdv cres
          ex df-ima mp2b resmptd rneqd syl5eq sneqd xpundir 1red nnge1d lelttrd
          notbid necon2ad mpteq2dva anim12ci syl5bb 3eqtrd un23 fveq1d ad2antrr
          unass eqtr4di 3eqtr4d ifbothda breqtrrd iftrued csbeq1d vex weq csbie
          cr fvexd ffnd nfmpt1 nfco nfima nfxp nfun dffn5f offval2 3eqtr4rd ) A
          IBUAKSUBUCZUDUCZGBUEZEUFUGZUHUIZWUDWUDSUJUCZUKZEULUGZULUGZWUIUFUGZSGU
          EZUDUCZUMZSUNZUOZWUKWULSUJUCZKUDUCZUMZUAUNZUOZUPZUJUUGZUCZUQZURZBWUCH
          SKUDUCZHUEZWUJUGZWVHKWUKUGZUSZSUAUKZUBUCZURZWUKHWVGWVHSUSZKWVHSUBUCZU
          KZURZUUAZSWUGUDUCZUMZWUOUOZWVSWUGSUJUCZKUDUCZUMZWUTUOZUPZWVCUCZURAEDT
          ZIWVFUSZPWWIEUAJUUBUCZWVGUUCUCZWVGWVGFUEZUTZFUUHZUOZUAKUDUCZUOZTZWWJI
          BWUCGWUDCUEZUFUGZUHUIZWUDWUGUKZWWTULUGZULUGZWXDUFUGZWUMUMZWUOUOZWXFWU
          RUMZWUTUOZUPZWVCUCZUQZURZUSZWWJCEWWRDWWTEUSZWXNWVFIWXPBWUCWXMWVEWXPGW
          XCWXLWUHWVDWXPWXBWUFWUDWUGWXPWXAWUEWUDUHWWTEUFVAUUDUUEWXPWXEWUJWXKWVB
          WVCWWTEULULUUFWXPWXHWUPWXJWVAWXPWXGWUNWUOWXPWXFWUKWUMWWTEUFULUUFZUUIV
          BWXPWXIWUSWUTWXPWXFWUKWURWXQUUIVBVCUUJUUKUULUUMNUUNVDVEABWUCWWHWVEAWU
          DWUCTZVFZWUJWUKSWUDUDUCZUMZWUOUOZWUKWUGKUDUCZUMZWUTUOZUPZWVCUCZHWVGWV
          MWVHWWGUGZUJUCZURZWVEWWHWXSWYGHWVGWVIWVHWYFUGZUJUCZURWYJWXSHWVGWVGWVI
          WYKUJWVGWUJWYFVHVHAWUJWVGVIZWXRAWUJWWLTZWYMAWUIWWPTZWYNAWWSWYOAWWIWWS
          PWWSEWXOCWWRUUQDWXOCEWWRUUONUURVEEWWPWWQUUPVEZWUIWWLWWOUUPVEZWUJWWKWV
          GUUSVEVGWXSWYFWYAWYDUPZVIZWYFWVGVIWXSWYBWYAVIZWYEWYDVIZVFWYAWYDVJZVTU
          SZWYSWYTXUASVHTZWYTVKWYASVHVLVMZUAVHTZXUAVNWYDUAVHVLVMZVOAWXRXUBWUKWX
          TWYCVJZUMZVTAWUKUUTUVAZXUIXUBUSAWVGWVGWUKUTZXUJAWUKWWOTZXUKAWYOXULWYP
          WUIWWLWWOUVBVEWWNXUKFWUKWUIUFUVCWVGWVGWWMWUKUVDUVHVPZXUKWVGWVGWUKUVIZ
          XUJWVGWVGWUKUVEVDVEZWXTWYCWUKVQVEWXRXUIWUKVTUMZVTWXRXUHVTWUKWXRWUDWUG
          UHUIZXUHVTUSWXRWUDWXRWUDWUDWUBUVFZUVGZUVJZSWUDWUGKVRVEVSWUKUVKZWAWBZW
          YAWYDWYBWYEUVLWCWXSWYRWVGWYFWXSWYRWUKWXTWYCUPZUMZWVGWUKWXTWYCWDWXSWUK
          WVGUMZXVDWVGWXSWVGXVCWUKWXSWUGSWEUGZTZKWUDWEUGZTWVGXVCUSWXRXVGAWXRWUG
          WJXVFWXRWUDUVMTWUGWJTXURWUDUVNVEZWFWGZWHZWXSWUBSUJUCZKXVHAXVLKUSZWXRA
          KWKTXVMAKMUVOKUVPVEZVGZWXRXVLXVHTZAWXRWUBXVHTZXVPWUDUAWUBUVQZWUDWUBWI
          VEWHWLWUDSKWMWNVSAXVEWVGUSZWXRAXUKXUNXVSXUMWVGWVGWUKUVRWVGWVGWUKUVSXA
          ZVGWOWPUVTWQWXSSKUDUWAZXWAWVGUWBWXSWVHWVGTZVFZWVIWRXWCWYKWRUWCWXSHWVG
          WYLWYIXWCWYIWVIWYHWVLUBUCZUJUCWYLXWCWVIWVLWYHAXWBWVIWKTWXRAXWBVFZWVIX
          WEWVIWWKTWVIUVMTAWVGWWKWVHWUJAWYNWVGWWKWUJXBWYQWUJWWKWVGUWDVEUWEWVIJU
          WFVEUWJUWGWVLWKTXWCWVKSUAWKWSUWHUWIWTXWCWUOWUTUPZWKWYHWUOWUTWKSWKTZWU
          OWKXCWSSWKUWKVMUAWKTWUTWKXCUWHUAWKUWKVMUWLWXSWVGXWFWVHWWGWXSWWAWWEUPZ
          XWFWWGXBZWVGXWFWWGXBWXSWWAWUOWWBXBZWWEWUTWWFXBZVFWWAWWEVJZVTUSZXWIXWJ
          XWKWWASVKUWMWWEUAVNUWMVOAWXRXWLWVSWVTWWDVJZUMZVTAWVGWVGWVSUTZWVSUUTUV
          AZXWOXWLUSAXUKWVGWVGWVRUTZXWPXUMASSUJUCZKUDUCZWUOUPZSWUBUDUCZKUNZUPZH
          XWTWVPURZSKUWTUNZUPZUTZXWRAXWTXXBXXEUTZWUOXXCXXFUTZXXBXXCVJVTUSZXXHAW
          VPXXBTZHXWTXDWUDWVPUSZHXWTUWNZBXXBXDXXIAXXLHXWTAWVHXWTTZVFZWVPXWSSUBU
          CZWUBUDUCZXXBXXPXXOWVPXXRTZAXXOXEAXWSXFTZKXFTZVFWVHXFTZSXFTZVFZXXOXXS
          XGXXOAXYAXXTAKMUWOZXYCXXTXHSUWPVMZXIXXOXYBXYCWVHXWSKXJZXHXKWVHSXWSKXL
          XNWQXXQSWUBUDSSWSWSUWQZUXAWGXMAXXNBXXBAWUDXXBTZVFZWUGXWTTXXMWVHWUGUSZ
          XGZHXWTXDZXXNXYJWUGXWSXVLUDUCZXWTXYJXYIWUGXYNTZAXYIXEAXYCWUBXFTZVFWUD
          XFTZXYCVFXYIXYOXGXYIAXYPXYCAXYAXYPXYEKUWRVEZXHXIXYIXYQXYCWUDSWUBXJZXH
          XKWUDSSWUBUWSXNWQAXYNXWTUSXYIAXVLKXWSUDXVNXOVGUXBXYIXYMAXYIXYLHXWTXXO
          WVHWKTZWUDWKTZXYLXYIXXOWVHXYGXPXYIWUDXYSXPXYTYUAVFWVPWUDUSZWUGWVHUSZX
          XMXYKXYTXWGYUAYUBYUCXGWSWVHSWUDUXCXQWUDWVPUXDWVHWUGUXDUXEUXJXMWHXXMHX
          WTWUGUXFWNXMHBXWTXXBWVPXXEXXEXRUXGUXHAXUDKWJTZXXJVKMSKVHWJUXIWCAKXXBT
          ZXSZXXKAKWUBXTUIZYUEAWUBKUHUIZYUGXSAKAKMUXKZUXLZAWUBKAWUBXYRUXMZYUIUX
          NWQKSWUBUXOUXPZXXBKUXQUXRXXIXXJVFXWTWUOVJVTUSZXXKXXHYUMSXWTTZXSYUNXWS
          SXTUIZSXWSUHUIYUOXSSUYAUXSSXWSUYAXWSXYFUXTUYBUYCZSXWSKYFUYKZXWTSUXQUY
          DXWTXXBWUOXXCXXEXXFUYEUYFUYGAXXAWVGXXDWVGXXGWVRAXXGHXWTWVQURZXXFUPWVR
          YURXXEXXFHXWTWVQWVPXXOWVHSUYLZWVQWVPUSZXXOWVHSWVOXXOYUNYUQWVHSXWTYAUY
          HUYIWVHSKWVPUYJZVEUYMUYNAHSKWVQXWTWVGVHWJXUDAVKWTMAWVGWUOXWTUPZXXAAKX
          VFTZWVGYVBUSAKWJXVFMWFWGZSKUYOVEWUOXWTUYPUYQZWVOWVQKUSAWVOKWVPUYRWHZU
          YSWPYVEAWVGXXBXVLKUDUCZUPZXXDAXVLXVFTKWUBWEUGZTZWVGYVHUSAXVLKXVFXVNYV
          DVUBAXVLKYVIXVNAXYPWUBYVITXVLYVITXYRWUBUYTWUBWUBWIXAWLZWUBSKWMWNZAYVG
          XXCXXBAYVGKKUDUCZXXCAXVLKKUDXVNYBAXYAYVMXXCUSXYEKVUAVEYCZYDZVUCVUDWQZ
          WVGWVGWVGWUKWVRVUEWNZXWPWVGWVGWVSUVIZXWQWVGWVGWVSUVEVDWVTWWDWVSVQXAWX
          RXWOWVSVTUMVTWXRXWNVTWVSWXRWUGWWCUHUIXWNVTUSWXRWUGWXRWUGXVIUXKZUVJZSW
          UGWWCKVRVEVSWVSUVKWAWBZWWAWWEWUOWUTWWBWWFVUFWCWXSXWHWVGXWFWWGWXSXWHWV
          SWVTWWDUPZUMZWVGWVSWVTWWDWDWXSWVSWVGUMZYWCWVGWXSWVGYWBWVSWXSWWCXVFTZK
          WUGWEUGZTZWVGYWBUSWXRYWEAWXRWWCWJXVFWXRWUGXVIVUGWFWGWHZWXSXVLKYWFXVOW
          XRXVLYWFTZAWXRXVQYWIXVRWUDWUBVUHVEZWHWLZWUGSKWMWNVSAYWDWVGUSZWXRAXWPY
          VRYWLYVQWVGWVGWVSUVRWVGWVGWVSUVSXAVGWOWPVUIWQZUWEVUKZVUJXWCXWDWYKWVIU
          JWVKWYHSUBUCZWYKUSZWYHUAUBUCZWYKUSXWDWYKUSXWCSUASWVLUSYWOXWDWYKSWVLWY
          HUBYEVULUAWVLUSYWQXWDWYKUAWVLWYHUBYEVULWXSWVKYWPXWBWXSWVKYWPWXSYWPWVK
          WVJWWGUGZSUBUCZWVJWYFUGZUSWXSSSUBUCUAYWSYWTVUMWXSYWRSSUBWXSYWRWVJWWBU
          GZSWXSXWMWVJWWATZYWRYXAUSZYWAWXSWVJWUKWVRWVTUMZUMZWWAWXSWUKWVGVIZYXDW
          VGXCZKYXDTWVJYXETAYXFWXRAXUKYXFXUMWVGWVGWUKVVAVEZVGZAYXGWXRAYXDWVRYGW
          VGWVRWVTVUNAWVGWVGWVRAXWRWVGWVGWVRXBYVPWVGWVGWVRVUOVEVUPVUQVGWXSSWVRU
          GZKYXDAYXJKUSWXRAHSWVQKWVGWVRWJAWVRWRYVFAYVCSWVGTZYVDSKVURVEZMVUSZVGW
          XSWVRWVGVIZWVTWVGXCZSWVTTZYXJYXDTAYXNWXRAXWRYXNYVPWVGWVGWVRVVAVEZVGWX
          SYWGYXOYWKWUGSKVVBVEZWXRYXPAWXRXVGYXPXVJSWUGVURVEWHWVGWVTWVRSYHYIWLWV
          GYXDWUKKYHYIWUKWVRWVTYJVUTZWWBWWAVIZWWFWWEVIZXWMYXBVFYXCXUDYXTVKWWASV
          HVLVMXUFYYAVNWWEUAVHVLVMWWAWWEWWBWWFWVJYKVVCWNWXSYXBYXASUSYXSWWASWVJV
          KVVDVEYCYBWXSYWTWVJWYEUGZUAWXSXUCWVJWYDTZYWTYYBUSZXVBWXSYXFWYCWVGXCZK
          WYCTZYYCYXIWXRYYEAWXRXVGYYEXVJWUGSKYLVEWHWXSYWGYYFYWKWUGKVVEVEWVGWYCW
          UKKYHYIZWYTXUAXUCYYCVFYYDXUEXUGWYAWYDWYBWYEWVJVVFVVCWNWXSYYCYYBUAUSYY
          GWYDUAWVJVNVVDVEYCYMWVKYWOYWSWYKYWTWVKWYHYWRSUBWVHWVJWWGVAYBWVHWVJWYF
          VAVVGYNVVHUWGXWCWVKXSZVFZYWQWYHWYKXWCYWQWYHUSYYHXWCWYHYWNVVIVGYYIWVHW
          YBWUKWUGWUBUDUCZUMZWUTUOZUPZWVJUNZWUOUOZUPZUGZWVHYYMYYNWUTUOZUPZUGZWY
          HWYKWXSXWBYYHYYQYYTUSZXWBYYHVFZWXSWVHWVGYYNYOZTZUUUAUUUDXWBWVHWVJUYLZ
          VFUUUBWVHWVGWVJVVKUUUEYYHXWBWVHWVJVVLVVJVVTWXSYYMUUUCVIZUUUDUUUAWXSYY
          MWYAYYKUPZVIZUUUFWXSWYTYYLYYKVIZVFWYAYYKVJZVTUSUUUHWYTUUUIXUEXUFUUUIV
          NYYKUAVHVLVMVOAWXRUUUJWUKWXTYYJVJZUMZVTAXUJUUULUUUJUSXUOWXTYYJWUKVQVE
          WXRUUULXUPVTWXRUUUKVTWUKWXRXUQUUUKVTUSXUTSWUDWUGWUBVRVEVSXVAWAWBWYAYY
          KWYBYYLUVLWCWXSUUUGUUUCYYMWXSUUUGWUKWXTYYJUPZUMZUUUCWUKWXTYYJWDWXSWUK
          WVGXXCYOZUMZUUUNUUUCWXSUUUOUUUMWUKWXSUUUOXXBUUUMAUUUOXXBUSWXRAUUUOXXB
          XXCYOZXXBAUUUOXXDXXCYOUUUQAWVGXXDXXCAWVGYVHXXDYVLYVOYCVVMXXBXXCVVNWAA
          YUFUUUQXXBUSYULKXXBVWAVEYCVGWXSXVGXVQXXBUUUMUSXVKWXRXVQAXVRWHWUDSWUBW
          MWNYCVSAUUUPUUUCUSWXRAUUUPXVEWUKXXCUMZYOZUUUCAXUJUUUPUUUSUSXUOWVGXXCW
          UKVVOVEAXVEWVGUUURYYNXVTAYYNUUURAYXFKWVGTZYYNUUURUSZYXHAYUDUUUTMKVVPV
          PWVGKWUKVVQWNZYPVVRYCVGWOWPUVTWQUUUFUUUCYYNVJVTUSZUUUDUUUAYYNWVGVVSUU
          UFUUVCUUUDVFZVFYYQWVHYYMUGZYYTUUUFYYOYYNVIZUUVDYYQUUVEUSXUDUUVFVKYYNS
          VHVLVMUUUCYYNYYMYYOWVHYKXQUUUFYYRYYNVIZUUVDYYTUUVEUSXUFUUVGVNYYNUAVHV
          LVMUUUCYYNYYMYYRWVHYKXQYQUYFVWBVWCVWDWXSWYHYYQUSXWBYYHWXSWVHWWGYYPWXS
          WWGWYBYYOUPZYYLUPYYPWXSWWBUUVHWWFYYLWXSWWBWYAYYNUPZWUOUOUUVHWXSWWAUUV
          IWUOWXSWVSXWSWUGUDUCZWUOUPZUMZWUKWVRUUVJUMZUMZWUKWVRWUOUMZUMZUPZWWAUU
          VIUUVLWVSUUVJUMZWVSWUOUMZUPUUVQWVSUUVJWUOWDUUVRUUVNUUVSUUVPWUKWVRUUVJ
          YJWUKWVRWUOYJVWEVWFWXRWWAUUVLUSAWXRWVTUUVKWVSWXRWVTWUOUUVJUPZUUVKWXRX
          VGWVTUUVTUSXVJSWUGUYOVEWUOUUVJUYPWAVSWHWXSWYAUUVNYYNUUVPWXSWXTUUVMWUK
          WXSWXTHUUVJWVPURZYGZUUVMWXRWXTUUWBUSZAWXRXYQUUWCWUDUAWUBXJXYQXXQWUGSU
          BUCZUDUCZWXTUUWBXYQXXQSUUWDWUDUDXXQSUSXYQXYHWTXYQYUAUUWDWUDUSWUDVWGWU
          DYRVEUUJXYQGUUWEUUWBXYQWULUUWETZWULWVPUSZHUUVJVWHZWULUUWBTZXYQUUWFUUW
          HXYQUUWFUUWHXYQUUWFVFZWUQUUVJTZWULWUQSUBUCZUSZUUWHUUWJUUWKUUWLUUWETZU
          UWFUUWNXYQUUWFUUWNUUWFUUWLWULUUWEUUWFWULWKTZUUWLWULUSZUUWFWULWULXXQUU
          WDXJZXPWULYRZVEZVWIVWJWHXYQXXTWUGXFTZVFZWUQXFTZXYCVFZUUWKUUWNXGUUWFXY
          QUUWTXXTWUDUWPXYFXIZUUWFUUXBXYCUUWFWULUUWQYSXHXKWUQSXWSWUGXLXNVWKUUWF
          UUWMXYQUUWFUUWLWULUUWSYPWHHWUQUUVJWVPUUWLWULWVHWUQSUBVWLZVWMWNVXAXYQU
          UWGUUWFHUUVJXYQWVHUUVJTZVFZUUWFUUWGWVPUUWETZUUXGUUXFUUXHXYQUUXFXEXYQU
          UXAXYDUUXFUUXHXGUUXFUUXDUUXFXYBXYCWVHXWSWUGXJXHXKWVHSXWSWUGXLXNWQWULW
          VPUUWEYAYNVWNVWOUUWIUUWHXGGHUUVJWVPWULUUWAVHUUWAXRVWPVWQVWRVWSWOVEWHW
          XSUUVMWVRUUVJVWTZYGUUWBWVRUUVJVXBWXSUUXIUUWAWXSUUXIHUUVJWVQURUUWAWXSH
          WVGUUVJWVQWXSUUVJWVTWVGXWSXVFTZUUVJWVTXCXYCSXVFTUUXJXHSUYTSSWIVXCXWSS
          WUGYLVMYXRVUQVXDHUUVJWVQWVPUUXFYUSYUTUUXFWVHSWVOUUXFSUUVJTZUUXKYUOYUP
          SXWSWUGYFUYKWVHSUUVJYAUYHUYIYVAVEUYMWAVXEVXFYQVSAYYNUUVPUSWXRAYYNUUUR
          UUVPUUVBAXXCUUVOWUKAYXJUNZXXCUUVOAYXJKYXMVXGAYXNYXKUUXLUUVOUSYXQYXLWV
          GSWVRVVQWNWOVSYCVGVCYMVBWYAYYNWUOVXHWAWXSWWEYYKWUTWXSWWEWUKWVRWWDUMZU
          MYYKWUKWVRWWDYJWXSUUXMYYJWUKWXSUUXMHWWDWVPURZYGZWWCSUBUCZWUBUDUCZYYJW
          XSUUXMWVRWWDVWTZYGUUXOWVRWWDVXBWXSUUXRUUXNWXSUUXRHWWDWVQURZUUXNWXSHWV
          GWWDWVQWXSYWEWWDWVGXCYWHWWCSKYLVEVXDWXRUUXSUUXNUSAWXRHWWDWVQWVPWXRWVH
          WWDTZVFYUSYUTWXRUUXTYUSWXRUUXTWVHSWXRUUXTXSWVOSWWDTZXSWXRWWCSXTUIZUUY
          AWXRSWWCUHUIUUYBXSWXRSWUGWWCWXRVXIZYVSWXRWWCWXRWUGWXRWUGXVIUWOYSZUXMZ
          WXRWUGXVIVXJYVTVXKWXRSWWCUUYCUUYEUXNWQSWWCKYFUXPWVOUUXTUUYAWVHSWWDYAV
          XLYNVXMVVHYVAVEVXNWHYCVXEVXFWXSGUUXOUUXQWULUUXOTZUUWGHWWDVWHZWXSWULUU
          XQTZUUYFUUYGXGGHWWDWVPWULUUXNVHUUXNXRVWPVWQWXSUUYGUUYHWXSUUWGUUYHHWWD
          WXSUUXTVFZUUYHUUWGWVPUUXQTZUUYIUUXTUUYJWXSUUXTXEWXSWWCXFTZXYAVFZXYDUU
          XTUUYJXGUUXTAXYAWXRUUYKXYEUUYDVXOZUUXTXYBXYCWVHWWCKXJXHXKWVHSWWCKXLXN
          WQWULWVPUUXQYAYNVWNWXSUUYHUUYGWXSUUYHVFZWUQWWDTZUUWMUUYGUUYNUUYOUUWLU
          UXQTZUUYHUUYPWXSUUYHUUYPUUYHUUWLWULUUXQUUYHUUWOUUWPUUYHWULWULUUXPWUBX
          JZXPUUWRVEZVWIVWJWHWXSUUYLUUXCUUYOUUYPXGUUYHUUYMUUYHUUXBXYCUUYHWULUUY
          QYSXHXKWUQSWWCKXLXNVWKUUYHUUWMWXSUUYHUUWLWULUUYRYPWHHWUQWWDWVPUUWLWUL
          UUXEVWMWNVXAVWOVXPVWSWXRUUXQYYJUSAWXRUUXPWUGWUBUDWXRWUGWKTUUXPWUGUSWX
          RWUGXVIUVOWUGYRVEYBWHVXQVSVXFVBVCWYBYYOYYLVXRWAVXSVXTWXSWYKYYTUSXWBYY
          HWXSWVHWYFYYSWXSWYFWYBYYLYYRUPZUPYYSWXSWYEUUYSWYBWXSWYEYYKYYNUPZWUTUO
          UUYSWXSWYDUUYTWUTWXSWUKYYJXXCUPZUMYYKUUURUPWYDUUYTWUKYYJXXCWDWXSWYCUV
          UAWUKWXSWYCYYJYVGUPZUVUAWXRYWIYVJWYCUVUBUSAYWJYVKWUBWUGKWMUXJAUVUBUVU
          AUSWXRAYVGXXCYYJYVNYDVGYCVSWXSYYNUUURYYKAUUVAWXRUUVBVGYDYMVBYYKYYNWUT
          VXHWAYDWYBYYLYYRVYAVYBVXSVXTVYCYCVYDXOVUCVXNYCWXSWVEGWUDWVDUQWYGWXSGW
          UHWUDWVDWXSWUFWUDWUGWXSWUDKWUEUHWXSWUDWUBKWXRWUDVYKTAXUSWHAWUBVYKTWXR
          YUKVGAKVYKTWXRYUIVGWXRWUDWUBXTUIAWUDUAWUBUXOWHAYUHWXRYUJVGVXKAWUEKUSW
          XRRVGVYEVYFVYGGWUDWVDWYGBVYHGBVYIZWVBWYFWUJWVCUVUCWUPWYBWVAWYEUVUCWUN
          WYAWUOUVUCWUMWXTWUKWULWUDSUDYEVSVBUVUCWUSWYDWUTUVUCWURWYCWUKUVUCWUQWU
          GKUDWULWUDSUJVWLYBVSVBVCXOVYJWAWXSHWVGWVMWYHUJWVNWWGVHVHVHXWAXWCWVIWV
          LUBUWAXWCWVHWWGVYLWXSWVNWRWXSWWGWVGVIWWGHWVGWYHURUSWXSWVGXWFWWGYWMVYM
          HWVGWWGHWWBWWFHWWAWUOHWVSWVTHWUKWVRHWUKYTHWVGWVQVYNVYOZHWVTYTVYPHWUOY
          TVYQHWWEWUTHWVSWWDUVUDHWWDYTVYPHWUTYTVYQVYRVYSVPVYTWUAVXNYQ $.

        $( Lemma for ~ poimir establishing existence for ~ poimirlem21 .
           (Contributed by Brendan Leahy, 21-Aug-2020.) $)
        poimirlem20 $p |- ( ph -> E. z e. S z =/= T ) $=
          ( wcel c1 cfz co cv c1st cfv c2nd wceq cc0 cif cmin cmpt cop wne wrex
          cfzo wf1o cxp clt wbr caddc cima csn cun csb wf wa oveq2 eleq1d fveq2
          oveq1d adantl cn0 cn syl xp1st fvex f1oeq1 elab ffvelrnd elfzonn0 crn
          sylib wi eleq1 neeq1d cvv wfn adantr cin c0 1ex fnconstg c0ex simprbi
          ax-mp nn0red imaeq2d eqtrdi sylancr cuz eleqtrdi cc peano2uz eqeltrrd
          nnuz fzsplit2 syl2anc 3syl eqtr3id mpbid ovex a1i eqtrd nn0cnd breq2d
          ifbid 2fveq3 imaeq1d xpeq1d uneq12d oveq12d csbeq12dv mpteq2dv eqeq2d
          wss cr cz cle oveq2d sylanbrc eqeltrd wn sylibr wral ax-1cn ralrimiva
          wb 1z op2ndd ccom cmap cab cof crab elrabi eleq2s xp2nd f1of elfz1end
          elmapi anbi2d rexbidv imbi12d vtocl mpdan fveq1 ffnd pm3.2i ccnv wfun
          dff1o3 imain elfznn0 ltp1d fzdisj ima0 sylan9req fnun imaundi nn0p1nn
          wfo nncnd npcan1 f1ofo foima eqtr3d fneq2d inidm eqidd f1ofn eluzp1p1
          elfzuz3 fzss1 uzss nnzd uzidd fveq2d eleqtrrd eluzfz2 fnfvima syl3anc
          sseldd fvun2 mp3an12 fvconst2 ofval mpidan addid1d sylan9eqr adantllr
          elrab2 peano2zm zred nnred elfzle2 ltm1d lelttrd breqtrrd iftrued vex
          csbeq1d weq oveq1 csbie mpteq2dva rneqd eleq2d elrnmpti bitrdi biimpa
          eqid r19.29a biimpd rexlimdva mpd elnnne0 nnm1nn0 w3a elfzo0 elfzolt2
          simp2d lttrd syl3anbrc adantlr ffvelrnda subid1d ifbothda fmpttd wreu
          elmap simpr peano2z jctil elfzelz jctir fzsubel syl2an oveq1i fzaddel
          eleqtrd zcnd subadd2 mp3an2 eqcom 3bitr4g syl2anr reu6i f1ompt f1osng
          pncan3oi ltnled nsyl disjsn 1re ltp1i zrei ltnlei elfzle1 mpbir f1oun
          mpbi mpanr1 syl21anc mtbiri necon2ai ifnefalse mpteq2ia uneq1i fzpred
          uncom eqtr2di iftrue fmptapd uzid uneq2d eqtr2d f1oeq123d f1oco mptex
          mto fzsn coex opelxpd nnnn0d 0elfz poimirlem19 lenlt iffalsed eqtr4di
          opex op1std eqcoms nnne0d necomd neeq1 syl5ibrcom syl5 necon2d rspcev
          0re ) AIUALUBUCZIUDZFUEUFZUEUFZUFZVXMLVXNUGUFZUFZUHZUAUIUJZUKUCZULZVX
          QIVXLVXMUAUHZLVXMUAUKUCZUJZULZUUAZUMZUIUMZETZVYIFUNZCUDZFUNZCEUOAVYIU
          IKUPUCZVXLUUBUCZVXLVXLGUDZUQZGUUCZURZUILUBUCZURZTJBUILUAUKUCZUBUCZHBU
          DZUIUSUTZWUDWUDUAVAUCZUJZVYBVYGUAHUDZUBUCZVBZUAVCZURZVYGWUHUAVAUCZLUB
          UCZVBZUIVCZURZVDZVAUUDZUCZVEZULZUHZVYJAVYHUIVYSVYTAVYBVYGVYOVYRAVXLVY
          NVYBVFVYBVYOTAIVXLVYAVYNVXSVXPUAUKUCZVYNTZVXPUIUKUCZVYNTZVYAVYNTAVXMV
          XLTZVGZUAUIUAVXTUHWVDVYAVYNUAVXTVXPUKVHVIUIVXTUHWVFVYAVYNUIVXTVXPUKVH
          VIAVXSWVEWVHAVXSVGWVDVXRVXOUFZUAUKUCZVYNVXSWVDWVKUHAVXSVXPWVJUAUKVXMV
          XRVXOVJVKVLAWVKVYNTZVXSAWVKVMTZKVNTZWVKKUSUTWVLAWVJVNTZWVMAWVJVMTZWVJ
          UIUNZWVOAWVJVYNTZWVPAVXLVYNVXRVXOAVXOVYOTZVXLVYNVXOVFAVXNVYSTZWVSAFWU
          ATZWVTAFETZWWAQWWAFJBWUCHWUDDUDZUGUFZUSUTZWUDWUFUJZWWCUEUFZUEUFZWWGUG
          UFZWUIVBZWUKURZWWIWUNVBZWUPURZVDZWUSUCZVEZULZUHZDWUAUUEEWWRDFWUAUUFOU
          UGVOFVYSVYTVPVOZVXNVYOVYRVPVOVXOVYNVXLUUKVOZAVXLVXLLVXQAVXLVXLVXQUQZV
          XLVXLVXQVFAVXQVYRTZWXAAWVTWXBWWSVXNVYOVYRUUHVOVYQWXAGVXQVXNUGVQZVXLVX
          LVYPVXQVRVSWCZVXLVXLVXQUUIVOALVNTZLVXLTNLUUJWCVTZVTZWVJKWAVOZAVXRMUDZ
          UFZUIUNZMJWBZUOZWVQAVXRVXLTZWXMWXFWVIVXMWXIUFZUIUNZMWXLUOZWDAWXNVGZWX
          MWDIVXRLVXQVQVXSWVIWXRWXQWXMVXSWVHWXNAVXMVXRVXLWEUULVXSWXPWXKMWXLVXSW
          XOWXJUIVXMVXRWXIVJWFUUMUUNRUUOUUPAWXKWVQMWXLAWXIWXLTZVGZWXKWVQWXTWXJW
          VJUIWXTWXIVXOVXQUAWUDUBUCZVBZWUKURZVXQWUFLUBUCZVBZWUPURZVDZWUSUCZUHZW
          XJWVJUHZBWUCAWUDWUCTZWYIWYJWXSWYIAWYKVGZWXJVXRWYHUFZWVJVXRWXIWYHUUQWY
          LWYMWVJUIVAUCZWVJAWYKWXNWYMWYNUHWXFWYLVXLVXLWVJUIVAVXLVXOWYGWGWGVXRAV
          XOVXLWHWYKAVXLVYNVXOWWTUURWIWYLWYGWYBWYEVDZWHZWYGVXLWHWYLWYCWYBWHZWYF
          WYEWHZVGWYBWYEWJZWKUHZWYPWYQWYRUAWGTZWYQWLWYBUAWGWMWPZUIWGTWYRWNWYEUI
          WGWMWPZUUSAWYKWYSVXQWYAWYDWJZVBZWKAVXQUUTUVAZXUEWYSUHAWXAXUFWXDWXAVXL
          VXLVXQUVLZXUFVXLVXLVXQUVBWOVOWYAWYDVXQUVCVOWYKXUEVXQWKVBWKWYKXUDWKVXQ
          WYKWUDWUFUSUTXUDWKUHWYKWUDWYKWUDWUDWUBUVDZWQZUVEUAWUDWUFLUVFVOWRVXQUV
          GWSUVHZWYBWYEWYCWYFUVIWTWYLWYOVXLWYGWYLWYOVXQWYAWYDVDZVBZVXLVXQWYAWYD
          UVJWYLVXQVXLVBZXULVXLWYLVXLXUKVXQWYLWUFUAXAUFZTZLWUDXAUFZTVXLXUKUHWYK
          XUOAWYKWUDVMTZXUOXUHXUQWUFVNXUNWUDUVKXFXBVOZVLWYLWUBUAVAUCZLXUPAXUSLU
          HZWYKALXCTXUTALNUVMLUVNVOZWIWYKXUSXUPTZAWYKWUBXUPTZXVBWUDUIWUBUWCZWUD
          WUBXDVOVLXEWUDUALXGXHWRAXUMVXLUHZWYKAWXAXUGXVEWXDVXLVXLVXQUVOVXLVXLVX
          QUVPXIWIUVQXJUVRXKVXLWGTWYLUALUBXLZXMZXVGVXLUVSWYLWXNVGWVJUVTWYLVXRWY
          GUFZUIUHWXNWYLXVHVXRWYFUFZUIWYLWYTVXRWYETZXVHXVIUHZXUJWYLVXQVXLWHZWYD
          VXLYFZLWYDTZXVJAXVLWYKAWXAXVLWXDVXLVXLVXQUWAVOWIWYKXVMAWYKXUOXVMXURWU
          FUALUWDVOVLWYLLWUFXAUFZTXVNWYLXUSXAUFZXVOLWYKXVPXVOYFZAWYKXVCXUSXVOTX
          VQXVDWUDWUBUWBWUFXUSUWEXIVLALXVPTWYKALLXAUFXVPALALNUWFZUWGAXUSLXAXVAU
          WHUWIWIUWMWUFLUWJVOVXLWYDVXQLUWKUWLZWYQWYRWYTXVJVGXVKXUBXUCWYBWYEWYCW
          YFVXRUWNUWOXHWYLXVJXVIUIUHXVSWYEUIVXRWNUWPVOXNWIUWQUWRAWYNWVJUHWYKAWV
          JAWVJWXHXOUWSWIXNUWTUXAAWXSWYIBWUCUOZAWXSWXIBWUCWYHULZWBZTXVTAWXLXWBW
          XIAJXWAAJBWUCHWUDFUGUFZUSUTZWUDWUFUJZVXOVXQWUIVBZWUKURZVXQWUNVBZWUPUR
          ZVDZWUSUCZVEZULZXWAAWWBJXWMUHZQWWBWWAXWNWWRXWNDFWUAEWWCFUHZWWQXWMJXWO
          BWUCWWPXWLXWOHWWFWWOXWEXWKXWOWWEXWDWUDWUFXWOWWDXWCWUDUSWWCFUGVJXPXQXW
          OWWHVXOWWNXWJWUSWWCFUEUEXRXWOWWKXWGWWMXWIXWOWWJXWFWUKXWOWWIVXQWUIWWCF
          UGUEXRZXSXTXWOWWLXWHWUPXWOWWIVXQWUNXWPXSXTYAYBYCYDYEOUXBWOVOABWUCXWLW
          YHWYLXWLHWUDXWKVEWYHWYLHXWEWUDXWKWYLXWDWUDWUFWYLWUDLXWCUSWYLWUDWUBLWY
          KWUDYGTZAXUIVLAWUBYGTWYKAWUBALYHTZWUBYHTZXVRLUXCVOZUXDZWIALYGTWYKALNU
          XEZWIWYKWUDWUBYIUTAWUDUIWUBUXFVLAWUBLUSUTZWYKALXXBUXGZWIUXHAXWCLUHZWY
          KSWIUXIUXJUXLHWUDXWKWYHBUXKHBUXMZXWJWYGVXOWUSXXFXWGWYCXWIWYFXXFXWFWYB
          WUKXXFWUIWYAVXQWUHWUDUAUBVHWRXTXXFXWHWYEWUPXXFWUNWYDVXQXXFWUMWUFLUBWU
          HWUDUAVAUXNVKWRXTYAYJUXOWSUXPXNUXQUXRBWUCWYHWXIXWAXWAUYBVXOWYGWUSXLUX
          SUXTUYAUYCWFUYDUYEUYFWVJUYGYKWVJUYHVOZAWVPWVNWVJKUSUTZAWVRWVPWVNXXHUY
          IWXGWVJKUYJWCUYLZAWVKWVJKAWVKXXGWQAWVJWXHWQZAKXXIUXEAWVJXXJUXGAWVRXXH
          WXGWVJUIKUYKVOUYMWVKKUYJUYNWIYLUYOWVIWVGVXSYMWVIWVFVXPVYNWVIVXPWVIVXP
          WVIVXPVYNTVXPVMTAVXLVYNVXMVXOWWTUYPZVXPKWAVOXOUYQXXKYLWIUYRUYSVYNVXLV
          YBUIKUPXLXVFVUAYNAVXLVXLVYGUQZVYGVYRTAWXAVXLVXLVYFUQZXXLWXDAUAUAVAUCZ
          LUBUCZWUKVDZUAWUBUBUCZLVCZVDZIXXOVYDULZUALUMVCZVDZUQZXXMAXXOXXQXXTUQZ
          WUKXXRXYAUQZXXQXXRWJWKUHZXYCAVYDXXQTZIXXOYOWUDVYDUHZIXXOUYTZBXXQYOXYD
          AXYGIXXOAVXMXXOTZVGZVYDXXNUAUKUCZWUBUBUCZXXQXYKXYJVYDXYMTZAXYJVUBAXXN
          YHTZXWRVGVXMYHTZUAYHTZVGXYJXYNYRXYJAXWRXYOXVRXYQXYOYSUAVUCWPZVUDXYJXY
          PXYQVXMXXNLVUEZYSVUFVXMUAXXNLVUGVUHXKXYLUAWUBUBUAUAYPYPVVAVUIXBYQAXYI
          BXXQAWUDXXQTZVGZWUFXXOTXYHVXMWUFUHZYRZIXXOYOZXYIYUAWUFXXNXUSUBUCZXXOY
          UAXYTWUFYUETZAXYTVUBAXYQXWSVGWUDYHTZXYQVGXYTYUFYRXYTAXWSXYQXWTYSVUDXY
          TYUGXYQWUDUAWUBVUEZYSVUFWUDUAUAWUBVUJVUHXKAYUEXXOUHXYTAXUSLXXNUBXVAYJ
          WIVUKXYTYUDAXYTYUCIXXOXYJVXMXCTZWUDXCTZYUCXYTXYJVXMXYSVULXYTWUDYUHVUL
          YUIYUJVGVYDWUDUHZWUFVXMUHZXYHYUBYUIUAXCTYUJYUKYULYRYPVXMUAWUDVUMVUNWU
          DVYDVUOVXMWUFVUOVUPVUQYQVLXYHIXXOWUFVURXHYQIBXXOXXQVYDXXTXXTUYBVUSYKA
          XUAWXEXYEWLNUALWGVNVUTWTALXXQTZYMXYFALWUBYIUTZYUMAXXCYUNYMXXDAWUBLXXA
          XXBVVBXKLUAWUBUXFVVCXXQLVVDYNXYDXYEVGXXOWUKWJWKUHZXYFXYCYUOUAXXOTZYMY
          UPXXNUAYIUTZUAXXNUSUTYUQYMUAVVEVVFUAXXNVVEXXNXYRVVGVVHVVLUAXXNLVVIVWK
          ZXXOUAVVDVVJXXOXXQWUKXXRXXTXYAVVKVVMVVNAXXPVXLXXSVXLXYBVYFAXYBIXXOVYE
          ULZXYAVDVYFYUSXXTXYAIXXOVYEVYDXYJVXMUAUNVYEVYDUHXYJVXMUAVYCXYJYUPYURV
          XMUAXXOWEVVOVVPVXMUALVYDVVQVOVVRVVSAIUALVYEXXOVXLWGVNXUAAWLXMNAVXLWUK
          XXOVDZXXPALXUNTVXLYUTUHALVNXUNNXFXBZUALVVTVOWUKXXOVWAVWBZVYCVYELUHAVY
          CLVYDVWCVLVWDXJYVBAVXLXXQXUSLUBUCZVDZXXSAXUSXUNTLWUBXAUFZTVXLYVDUHAXU
          SLXUNXVAYVAYLAXUSLYVEXVAAXWSWUBYVETXUSYVETXWTWUBVWEWUBWUBXDXIXEWUBUAL
          XGXHAYVCXXRXXQAYVCLLUBUCZXXRAXUSLLUBXVAVKAXWRYVFXXRUHXVRLVWLVOXNVWFVW
          GVWHXKVXLVXLVXLVXQVYFVWIXHVYQXXLGVYGVXQVYFWXCIVXLVYEXVFVWJVWMZVXLVXLV
          YPVYGVRVSYNVWNALVMTUIVYTTALNVWOLVWPVOVWNAJBWUCVYBVYGUAWUFUBUCZVBZWUKU
          RZVYGWUFUAVAUCZLUBUCZVBZWUPURZVDZWUSUCZULWVBABDEFGHIJKLMNOPQRSVWQBWUC
          WVAYVPWYKWVAHWUFWUTVEYVPWYKHWUGWUFWUTWYKWUEWUDWUFWYKUIWUDYIUTZWUEYMZW
          UDUIWUBVVIWYKUIYGTXWQYVQYVRYRVXKXUIUIWUDVWRWTXKVWSUXLHWUFWUTYVPWUDUAV
          AXLWUHWUFUHZWURYVOVYBWUSYVSWULYVJWUQYVNYVSWUJYVIWUKYVSWUIYVHVYGWUHWUF
          UAUBVHWRXTYVSWUOYVMWUPYVSWUNYVLVYGYVSWUMYVKLUBWUHWUFUAVAUXNVKWRXTYAYJ
          UXOWSVVRVWTWWRWVCDVYIWUAEWWCVYIUHZWWQWVBJYVTBWUCWWPWVAYVTHWWFWWOWUGWU
          TYVTWWEWUEWUDWUFYVTWWDUIWUDUSVYHUIWWCVYBVYGVXAZWNYTXPXQYVTWWHVYBWWNWU
          RWUSYVTWWGVYHUHZWWHVYBUHVYHUIWWCYWAWNVXBZVYBVYGWWGIVXLVYAXVFVWJZYVGVX
          BVOYVTWWKWULWWMWUQYVTWWJWUJWUKYVTWWIVYGWUIYVTYWBWWIVYGUHYWCVYBVYGWWGY
          WDYVGYTVOZXSXTYVTWWLWUOWUPYVTWWIVYGWUNYWEXSXTYAYBYCYDYEOUXBYKAXXEVYKS
          AVYIFXWCLVYIFUHXWCUIUHZAXWCLUNZYWFFVYIVYHUIFYWAWNYTVXCAYWGYWFUILUNALU
          IALNVXDVXEXWCUILVXFVXGVXHVXIUYFVYMVYKCVYIEVYLVYIFVXFVXJXH $.

        $( Lemma for ~ poimir stating that, given a face not on a back face of
           the cube and a simplex in which it's opposite the final point of the
           walk, there exists exactly one other simplex containing it.
           (Contributed by Brendan Leahy, 21-Aug-2020.) $)
        poimirlem21 $p |- ( ph -> E! z e. S z =/= T ) $=
          ( wcel vs cv wne wrex wrmo wreu poimirlem20 c2nd cfv cc0 wceq wi wral
          wa wn c1 cmin co cfz adantr cle wbr clt nnred ltm1d cn nnm1nn0 nn0red
          cn0 syl ltnled mpbid elfzle2 nsyl notbid syl5ibrcom necon2ad ad2antrr
          eleq1 c1st caddc cif cima csn cxp cun cof csb cmpt cfzo cmap wf1o cab
          weq fveq2 breq2d ifbid csbeq1d 2fveq3 imaeq1d xpeq1d uneq12d csbeq2dv
          oveq12d eqtrd mpteq2dv eqeq2d elrab2 simprbi ad2antlr wss crab elrabi
          cz wf eleq2s xp1st elmapi elfzoelz fss sylancl xp2nd fvex f1oeq1 elab
          sylib cdif mpd cuz nn0uz eleqtrdi eleq2d wo elsn anbi2d cin c0 mpan2d
          fveqeq2 sylc ssriv simpr poimirlem1 simplr eldifsn biimpri poimirlem2
          sylan ex necon1bd adantlr neeq1d exbiri necon2bd fzpred oveq1i uneq2i
          mpdd 0p1e1 eqtrdi ioran elun orbi1i bitri bitrdi uncom difeq1i difun2
          xchnxbir eqtri cc nncnd npcan1 nnnn0d eqeltrd nn0zd peano2uz eqeltrrd
          uzid 3syl syl2anc oveq1d nnzd fzsn uneq2d difeq1d incom eqeq1i disjsn
          disj3 3bitr3i 3eqtr4a eldif 3bitr3g bitr3d biimpd expdimp poimirlem14
          fzsplit2 sylan2 rmo4 r19.21bi eqeq2 imbi12d rspccv necon1ad ralrimiva
          syld poimirlem13 rmoim reu5 sylanbrc ) ACUBZFUCZCEUDUXNCEUEZUXNCEUFAB
          CDEFGHIJKLMNOPQRSUGAUXNUXMUHUIZUJUKZULZCEUMUXQCEUEUXOAUXRCEAUXMETZUNZ
          UXQUXMFUXTUXQUOZUXPLUKZUXMFUKZUXTUYAUXPUPLUPUQURZUSURZTZUOZUYBUXTFUHU
          IZLUKZUYGAUYIUXSSUTZUXTUYFUYHLUXTUYFUXPLUCZUYHLUCZAUYFUYKULUXSAUYFUXP
          LAUYGUYBLUYETZUOALUYDVAVBZUYMAUYDLVCVBUYNUOALALNVDZVEAUYDLAUYDALVFTZU
          YDVITNLVGVJZVHUYOVKVLZLUPUYDVMVNUYBUYFUYMUXPLUYEVSVOVPVQUTUXTUYFUYLUY
          KUXTUYFUNZUYHUXPLUYSIUBZUXPUPUQURJUIUIUYTUXPJUIUIUCIUPLUSURZUEZUOZUYH
          UXPUKZUYSBUXMVTUIZVTUIZVUEUHUIZHIJUXPLAUYPUXSUYFNVRUXSJBUJUYDUSURZHBU
          BZUXPVCVBZVUIVUIUPWAURZWBZVUFVUGUPHUBZUSURZWCZUPWDZWEZVUGVUMUPWAURLUS
          URZWCZUJWDZWEZWFZWAWGZURZWHZWIZUKZAUYFUXSUXMUJKWJURZVUAWKURZVUAVUAGUB
          ZWLZGWMZWEZUJLUSURZWEZTZVVGJBVUHHVUIDUBZUHUIZVCVBZVUIVUKWBZVVQVTUIZVT
          UIZVWAUHUIZVUNWCZVUPWEZVWCVURWCZVUTWEZWFZVVCURZWHZWIZUKZVVGDUXMVVOEDC
          WNZVWKVVFJVWMBVUHVWJVVEVWMVWJHVULVWIWHVVEVWMHVVTVULVWIVWMVVSVUJVUIVUK
          VWMVVRUXPVUIVCVVQUXMUHWOWPWQWRVWMHVULVWIVVDVWMVWBVUFVWHVVBVVCVVQUXMVT
          VTWSVWMVWEVUQVWGVVAVWMVWDVUOVUPVWMVWCVUGVUNVVQUXMUHVTWSZWTXAVWMVWFVUS
          VUTVWMVWCVUGVURVWNWTXAXBXDXCXEXFXGOXHXIXJUXSVUAXNVUFXOZAUYFUXSVUAVVHV
          UFXOZVVHXNXKZVWOUXSVUFVVITZVWPUXSVUEVVMTZVWRUXSVVPVWSVVPUXMVWLDVVOXLZ
          EVWLDUXMVVOXMOXPZUXMVVMVVNXQVJZVUEVVIVVLXQVJVUFVVHVUAXRVJIVVHXNUYTUJK
          XSUUAZVUAVVHXNVUFXTYAXJUXSVUAVUAVUGWLZAUYFUXSVUGVVLTZVXDUXSVWSVXEVXBV
          UEVVIVVLYBVJVVKVXDGVUGVUEUHYCVUAVUAVVJVUGYDYEYFXJUXTUYFUUBUUCAUYFVUCV
          UDULUXSAUYFUNZVUBUYHUXPVXFUYHUXPUCZVUBVXFVXGUNBFVTUIZVTUIZVXHUHUIZHIJ
          UYHLUXPAUYPUYFVXGNVRAJBVUHHVUIUYHVCVBZVUIVUKWBZVXIVXJVUNWCZVUPWEZVXJV
          URWCZVUTWEZWFZVVCURZWHZWIZUKZUYFVXGAFETZVYAQVYBFVVOTZVYAVWLVYADFVVOEV
          VQFUKZVWKVXTJVYDBVUHVWJVXSVYDVWJHVXLVWIWHVXSVYDHVVTVXLVWIVYDVVSVXKVUI
          VUKVYDVVRUYHVUIVCVVQFUHWOWPWQWRVYDHVXLVWIVXRVYDVWBVXIVWHVXQVVCVVQFVTV
          TWSVYDVWEVXNVWGVXPVYDVWDVXMVUPVYDVWCVXJVUNVVQFUHVTWSZWTXAVYDVWFVXOVUT
          VYDVWCVXJVURVYEWTXAXBXDXCXEXFXGOXHXIVJVRAVUAXNVXIXOZUYFVXGAVUAVVHVXIX
          OZVWQVYFAVXIVVITZVYGAVXHVVMTZVYHAVYCVYIAVYBVYCQVYCFVWTEVWLDFVVOXMOXPV
          JZFVVMVVNXQVJZVXHVVIVVLXQVJVXIVVHVUAXRVJVXCVUAVVHXNVXIXTYAVRAVUAVUAVX
          JWLZUYFVXGAVXJVVLTZVYLAVYIVYMVYKVXHVVIVVLYBVJVVKVYLGVXJVXHUHYCVUAVUAV
          VJVXJYDYEYFVRAUYFVXGUUDVXFUYHVVNTZVXGUYHVVNUXPWDYGTZAVYNUYFAVYCVYNVYJ
          FVVMVVNYBVJUTVYOVYNVXGUNUYHVVNUXPUUEUUFUUHUUGUUIUUJUUKYHUULUUMUURUUNY
          HUXSAUXPVVNTZUYAUYGUNZUYBULUXSVVPVYPVXAUXMVVMVVNYBVJAVYPVYQUYBAVYPVYQ
          UNZUYBAVYPUXPVUHTZUOZUNZVYRUYBAVYTVYQVYPAVYTUXPVUTUYEWFZTZUOVYQAVYSWU
          CAVUHWUBUXPAVUHVUTUJUPWAURZUYDUSURZWFZWUBAUYDUJYIUIZTVUHWUFUKAUYDVIWU
          GUYQYJYKUJUYDUUOVJWUEUYEVUTWUDUPUYDUSUUSUUPUUQUUTYLVOUXQUYFYMZVYQWUCU
          XQUYFUVAWUCUXPVUTTZUYFYMWUHUXPVUTUYEUVBWUIUXQUYFUXPUJUXMUHYCZYNUVCUVD
          UVIUVEYOAUXPVVNVUHYGZTUXPLWDZTWUAUYBAWUKWULUXPAVUHWULWFZVUHYGZWULVUHY
          GZWUKWULWUNWULVUHWFZVUHYGWUOWUMWUPVUHVUHWULUVFUVGWULVUHUVHUVJAVVNWUMV
          UHAVVNVUHUYDUPWAURZLUSURZWFZWUMAWUQWUGTLUYDYIUIZTVVNWUSUKAWUQLWUGALUV
          KTWUQLUKALNUVLLUVMVJZALVIWUGALNUVNYJYKUVOAWUQLWUTWVAAUYDXNTUYDWUTTWUQ
          WUTTAUYDUYQUVPUYDUVSUYDUYDUVQUVTUVRUYDUJLUWSUWAAWURWULVUHAWURLLUSURZW
          ULAWUQLLUSWVAUWBALXNTWVBWULUKALNUWCLUWDVJXEUWEXEUWFALVUHTZUOZWULWUOUK
          ZAUYNWVCUYRLUJUYDVMVNVUHWULYPZYQUKWULVUHYPZYQUKWVDWVEWVFWVGYQVUHWULUW
          GUWHVUHLUWIWULVUHUWJUWKYFUWLYLUXPVVNVUHUWMUXPLWUJYNUWNUWOUWPUWQUWTYRU
          XTUYBUYIUYCUYJUXTUYBUAUBZUHUILUKZUNZCUAWNZULZUAEUMZVYBUYBUYIUNZUYCULZ
          AWVMCEAUYBCEUEWVMCEUMABCDEGHJKLNOPUWRUYBWVICUAEUXMWVHLUHYSUXAYFUXBAVY
          BUXSQUTWVLWVOUAFEWVHFUKZWVJWVNWVKUYCWVPWVIUYIUYBWVHFLUHYSYOWVHFUXMUXC
          UXDUXEYTYRUXHUXFUXGABCDEGHJKLNOPUXIUXNUXQCEUXJYTUXNCEUXKUXL $.
      $}

      poimirlem22.4 $e |- ( ( ph /\ n e. ( 1 ... N ) ) ->
        E. p e. ran F ( p ` n ) =/= K ) $.
      $( Lemma for ~ poimir , that a given face belongs to exactly two
         simplices, provided it's not on the boundary of the cube.
         (Contributed by Brendan Leahy, 21-Aug-2020.) $)
      poimirlem22 $p |- ( ph -> E! z e. S z =/= T ) $=
        ( wcel c2nd cfv c1 cmin co cfz cv wne wa c1st caddc cop cpr cdif cun wb
        wceq cn adantr cc0 cmap wf simpr clt wbr cif cima csn cxp csb cmpt wf1o
        fveq2 breq2d ifbid csbeq1d 2fveq3 imaeq1d xpeq1d uneq12d csbeq2dv eqtrd
        wn oveq12d mpteq2dv eqeq2d elrab2 simprbi cz elrabi eleq2s xp1st elmapi
        syl wss sylancl xp2nd fvex f1oeq1 elab sylib ad3antrrr ad2antlr simpllr
        fss adantl sylan ex mpd cvv id elfznn c0ex c0 eqtrdi 0p1e1 oveq1d eqtri
        imaeq2d uneq1i uncom un0 3eqtri oveq2d ffnd wfn syl5eq wi simplr xpopth
        cn0 syl2anr sylbid necon3d nnred ltned ax-mp cin cuz syl5 wreu cid cres
        ccom wral poimirlem15 wrmo cof cfzo cab crab elfzoelz ssriv weq eldifsn
        poimirlem1 biimpri poimirlem2 necon1bd biimparc anim2i anassrs ifbieq1d
        eleq1 breq1 nngt0d iftrued sylan9eqr oveq2 fz10 oveq1 ima0 xpeq1i csbie
        0xp wfo f1ofo foima ovexd fnconstg mp1i eqidd fvconst2 ffvelrnda nn0cnd
        elfzonn0 addid1d offveq nnm1nn0 0elfz ad2antrr fvexd fvmptd an32s mpdan
        eleq1d anbi2d imbi12d expcom vtoclga mpcom eqtr3d biimpd imp poimirlem9
        mpan2d mpand jca31 ltp1d fveq1 cr ltp1 ovex fpr f1oi f1of disjdif mpan2
        fun prid1 elun1 fvco3 fnresi pm3.2i fvun1 mp3an23 fvpr1 fveq2d f1of1 cc
        nncnd npcan1 nn0zd uzid peano2uz eqeltrrd fzss2 sselda fzp1elp1 eleqtrd
        wf1 f1veqaeq syl12anc neeq1d syl5ibrcom impbid eqop anbi1d bitrd bitr4d
        necon2d ralrimiva reu6i syl2anc wo biantrurd nnnn0d nn0uz fzpred oveq1i
        eleqtrdi uneq2i difeq1d difundir cle 0lt1 0re ltnlei mpbi elfzle1 incom
        1re eqeq1i disjsn disj3 3bitr3i eqtr4i difid nnuz eqeltrd fzsplit2 nnzd
        fzsn uneq2d ltm1d nn0red ltnled mpbid elfzle2 nsyl 3eqtr4a eleq2d eldif
        mto elun elsn orbi12i bitri 3bitr3g biimpa crn wrex adantlr poimirlem18
        poimirlem21 jaodan syldan pm2.61dan ) AFUAUBZUCLUCUDUEZUFUEZTZCUGZFUHZC
        EUUAZAVXLUIZFUJUBZUJUBZVXQUAUBZVXIVXIUCUKUEZULVXTVXIULUMZUUBUCLUFUEZVXI
        VXTUMZUNZUUCZUOZUUDZULZVXIULZETVXNVXMVYIUQZUPZCEUUEVXOVXPBDEFGHJKLALURT
        ZVXLNUSZOAUTVXJUFUEZUTKUFUEVYBVAUEJVBZVXLPUSAFETZVXLQUSZAVXLVCZUUFVXPVY
        KCEVXPVXMETZUIZVXNVXMUJUBZUJUBZVXRUQZWUAUAUBZVYGUQZUIZVXMUAUBZVXIUQZUIZ
        VYJVYTVXNWUIVYTVXNWUIVYTVXNUIZWUCWUEWUHVYTWUCVXNVYTUTJUBZWUBVXRVYTWUHWU
        KWUBUQZVYTIUGZVXIUCUDUEJUBUBWUMVXIJUBUBUHIVYBUUGZWCZWUHVXPWUOVYSVXPBVXR
        VXSHIJVXILVYMAJBVYNHBUGZVXIVDVEZWUPWUPUCUKUEZVFZVXRVXSUCHUGZUFUEZVGZUCV
        HZVIZVXSWUTUCUKUEZLUFUEZVGZUTVHZVIZUOZUKUUHZUEZVJZVKZUQZVXLAVYPWVOQVYPF
        UTKUUIUEZVYBVAUEZVYBVYBGUGZVLZGUUJZVIZUTLUFUEZVIZTZWVOJBVYNHWUPDUGZUAUB
        ZVDVEZWUPWURVFZWWEUJUBZUJUBZWWIUAUBZWVAVGZWVCVIZWWKWVFVGZWVHVIZUOZWVKUE
        ZVJZVKZUQZWVODFWWCEWWEFUQZWWSWVNJWXABVYNWWRWVMWXAWWRHWUSWWQVJWVMWXAHWWH
        WUSWWQWXAWWGWUQWUPWURWXAWWFVXIWUPVDWWEFUAVMVNVOVPWXAHWUSWWQWVLWXAWWJVXR
        WWPWVJWVKWWEFUJUJVQWXAWWMWVDWWOWVIWXAWWLWVBWVCWXAWWKVXSWVAWWEFUAUJVQZVR
        VSWXAWWNWVGWVHWXAWWKVXSWVFWXBVRVSVTWDWAWBWEWFOWGWHWNUSAVYBWIVXRVBZVXLAV
        YBWVPVXRVBZWVPWIWOZWXCAVXRWVQTZWXDAVXQWWATZWXFAWWDWXGAVYPWWDQWWDFWWTDWW
        CUUKZEWWTDFWWCWJOWKWNZFWWAWWBWLWNZVXQWVQWVTWLWNVXRWVPVYBWMWNIWVPWIWUMUT
        KUULUUMZVYBWVPWIVXRXEWPUSAVYBVYBVXSVLZVXLAVXSWVTTZWXLAWXGWXMWXJVXQWVQWV
        TWQWNWVSWXLGVXSVXQUAWRVYBVYBWVRVXSWSWTXAZUSVYRUUPUSVYTWUNWUGVXIVYTWUGVX
        IUHZWUNVYTWXOUIBWUBWUDHIJWUGLVXIAVYLVXLVYSWXONXBVYSJBVYNHWUPWUGVDVEZWUP
        WURVFZWUBWUDWVAVGZWVCVIZWUDWVFVGZWVHVIZUOZWVKUEZVJZVKZUQZVXPWXOVYSVXMWW
        CTZWYFWWTWYFDVXMWWCEDCUUNZWWSWYEJWYHBVYNWWRWYDWYHWWRHWXQWWQVJWYDWYHHWWH
        WXQWWQWYHWWGWXPWUPWURWYHWWFWUGWUPVDWWEVXMUAVMVNVOVPWYHHWXQWWQWYCWYHWWJW
        UBWWPWYBWVKWWEVXMUJUJVQWYHWWMWXSWWOWYAWYHWWLWXRWVCWYHWWKWUDWVAWWEVXMUAU
        JVQZVRVSWYHWWNWXTWVHWYHWWKWUDWVFWYIVRVSVTWDWAWBWEWFOWGWHZXCVYSVYBWIWUBV
        BZVXPWXOVYSVYBWVPWUBVBZWXEWYKVYSWUBWVQTZWYLVYSWUAWWATZWYMVYSWYGWYNWYGVX
        MWXHEWWTDVXMWWCWJOWKZVXMWWAWWBWLZWNZWUAWVQWVTWLWNWUBWVPVYBWMWNZWXKVYBWV
        PWIWUBXEWPXCVYSVYBVYBWUDVLZVXPWXOVYSWUDWVTTZWYSVYSWYNWYTWYQWUAWVQWVTWQW
        NWVSWYSGWUDWUAUAWRVYBVYBWVRWUDWSWTXAZXCAVXLVYSWXOXDVYTWUGWWBTZWXOWUGWWB
        VXIVHUNTZVYSXUBVXPVYSWYGXUBWYOVXMWWAWWBWQWNXFXUCXUBWXOUIWUGWWBVXIUUOUUQ
        XGUURXHUUSXIZVXPWUHVYSWULVXPWUHUIAWUGVXKTZUIZVYSWULAVXLWUHXUFVXLWUHUIXU
        EAWUHXUEVXLWUGVXIVXKUVDUUTUVAUVBXUFVYSUIZBUTWYDWUBVYNJXJVYSWYFXUFWYJXFX
        UGWUPUTUQZUIZWYDHUTWYCVJZWUBXUIHWXQUTWYCXUHXUGWXQUTWUGVDVEZUTWURVFZUTXU
        HWXPXUKWUPUTWURWUPUTWUGVDUVEXUHXKUVCXUEXULUTUQAVYSXUEXUKUTWURXUEWUGWUGV
        XJXLUVFUVGXCUVHVPVYSXUJWUBUQXUFXUHVYSXUJWUBWUDVYBVGZWVHVIZWVKUEZWUBHUTW
        YCXUOXMWUTUTUQZWYBXUNWUBWVKXUPWYBWUDXNVGZWVCVIZXUNUOZXUNXUPWXSXURWYAXUN
        XUPWXRXUQWVCXUPWVAXNWUDXUPWVAUCUTUFUEXNWUTUTUCUFUVIUVJXOXSVSXUPWXTXUMWV
        HXUPWVFVYBWUDXUPWVEUCLUFXUPWVEUTUCUKUEZUCWUTUTUCUKUVKXPXOXQXSVSVTXUSXNX
        UNUOXUNXNUOXUNXURXNXUNXURXNWVCVIXNXUQXNWVCWUDUVLUVMWVCUVOXRXTXNXUNYAXUN
        YBYCXOYDUVNVYSXUOWUBVYBWVHVIZWVKUEWUBVYSXUNXVAWUBWVKVYSXUMVYBWVHVYSVYBV
        YBWUDUVPZXUMVYBUQVYSWYSXVBXUAVYBVYBWUDUVQWNVYBVYBWUDUVRWNVSYDVYSIVYBWUM
        WUBUBZUTUKWUBXVAWUBXJVYSUCLUFUVSVYSVYBWVPWUBWYRYEZUTXJTXVAVYBYFVYSXMVYB
        UTXJUVTUWAXVDVYSWUMVYBTZUIZXVCUWBXVEWUMXVAUBUTUQVYSVYBUTWUMXMUWCXFXVFXV
        CXVFXVCXVFXVCWVPTXVCYKTVYSVYBWVPWUMWUBWYRUWDXVCKUWFWNUWEUWGUWHWBYGXCWBA
        UTVYNTZXUEVYSAVXJYKTZXVGAVYLXVHNLUWIWNZVXJUWJWNUWKXUGWUAUJUWLUWMZXGUWNU
        WOVXPWUKVXRUQZVYSVYPVXPXVKVYQXUFWULYHVXPXVKYHCFEVXMFUQZXUFVXPWULXVKXVLX
        UEVXLAXVLWUGVXIVXKVXMFUAVMUWPUWQXVLWUBVXRWUKVXMFUJUJVQWFUWRXUFVYSWULXVJ
        UWSUWTUXAUSUXBZUSWUJBDEFVXMGHJKLAVYLVXLVYSVXNNXBOAVYPVXLVYSVXNQXBAVXLVY
        SVXNXDVXPVYSVXNYIVYTVXNWUDVXSUHVYTWUDVXSVXMFVYTWUCWUDVXSUQZXVLXVMVYTWUC
        XVNUIZWUAVXQUQZXVLVYSWYNWXGXVOXVPUPVXPWYQAWXGVXLWXJUSWUAVXQWVQWVTWVQWVT
        YJYLVYTXVPWUHXVLXUDVYSWYGWWDXVPWUHUIZXVLYHVXPWYOAWWDVXLWXIUSWYGWWDUIXVQ
        XVLVXMFWWAWWBWWAWWBYJUXCYLUXFYMUXGYNUXDUXEVYTWUHVXNXUDUSUXHXHVXPWUIVXNY
        HVYSWUIWUEVXPVXNWUCWUEWUHYIVXPVXMFWUDVYGVXPWUDVYGUHXVLVXSVYGUHZVXPVXIVX
        TUHZXVRVXLXVSAVXLVXIVXTVXLVXIVXIVXJXLYOZVXLVXIXVTUXIYPXFVXPVXSVYGVXIVXT
        VXSVYGUQVXIVXSUBZVXIVYGUBZUQZVXPVXIVXTUQZVXIVXSVYGUXJVXPXWCXWAVXTVXSUBZ
        UQZXWDVXLXWCXWFUPAVXLXWBXWEXWAVXLVXIUXKTZXWBXWEUQXVTXWGXWBVXIVYFUBZVXSU
        BZXWEXWGVYCVYDUOZVXTVXIUMZVYDUOZVYFVBZVXIXWJTZXWBXWIUQXWGVYCXWKVYAVBZVY
        DVYDVYEVBZXWMXWGXVSXWOXWGVXIVXTXWGXKVXIUXLYPZVXIVXTVXTVXIFUAWRZVXIUCUKU
        XMZXWSXWRUXNWNZVYDVYDVYEVLXWPVYDUXOVYDVYDVYEUXPYQXWOXWPUIVYCVYDYRXNUQZX
        WMVYCVYBUXQZVYCVYDXWKVYDVYAVYEUXSUXRWPVXIVYCTZXWNVXIVXTXWRUXTZVXIVYCVYD
        UYAYQXWJXWLVXIVXSVYFUYBWPXWGXWHVXTVXSXWGXWHVXIVYAUBZVXTXWGVYAVYCYFZXWHX
        XEUQZXWGVYCXWKVYAXWTYEXXFVYEVYDYFXXAXXCUIXXGVYDUYCXXAXXCXXBXXDUYDVYCVYD
        VYAVYEVXIUYEUYFWNXWGXVSXXEVXTUQXWQVXIVXTVXTVXIXWRXWSUYGWNWBUYHWBWNWFXFV
        XPVYBVYBVXSVUAZVXIVYBTVXTVYBTXWFXWDYHAXXHVXLAWXLXXHWXNVYBVYBVXSUYIWNUSA
        VXKVYBVXIALVXJYSUBZTZVXKVYBWOAVXJUCUKUEZLXXIALUYJTXXKLUQALNUYKLUYLWNZAV
        XJXXITZXXKXXITAVXJWITXXMAVXJXVIUYMVXJUYNWNVXJVXJUYOWNUYPZVXJUCLUYQWNUYR
        VXPVXTUCXXKUFUEZVYBVXLVXTXXOTAVXIUCVXJUYSXFAXXOVYBUQVXLAXXKLUCUFXXLYDUS
        UYTVYBVYBVXIVXTVXSVUBVUCYMYTYNXIXVLWUDVXSVYGVXMFUAUJVQVUDVUEVUKYTUSVUFV
        YSVYJWUIUPZVXPVYSWYGXXPWYOWYGVYJWUAVYHUQZWUHUIWUIVXMVYHVXIWWAWWBVUGWYGX
        XQWUFWUHWYGWYNXXQWUFUPWYPWUAVXRVYGWVQWVTVUGWNVUHVUIWNXFVUJVULVXNCEVYIVU
        MVUNAVXLWCZVXIUTUQZVXILUQZVUOZVXOAXXRXYAAXXRVXIWWBTZXXRUIZXYAAXYBXXRAWW
        DXYBWXIFWWAWWBWQWNVUPAVXIWWBVXKUNZTVXIWVHLVHZUOZTZXYCXYAAXYDXYFVXIAXYDW
        VHVYBUOZVXKUNZXYFAWWBXYHVXKAWWBWVHXUTLUFUEZUOZXYHALUTYSUBZTWWBXYKUQALYK
        XYLALNVUQVURVVAUTLVUSWNXYJVYBWVHXUTUCLUFXPVUTVVBXOVVCAXYIWVHVYBVXKUNZUO
        ZXYFXYIWVHVXKUNZXYMUOXYNWVHVYBVXKVVDWVHXYOXYMUTVXKTZWCZWVHXYOUQZXYPUCUT
        VVEVEZUTUCVDVEXYSWCVVFUTUCVVGVVLVVHVVIUTUCVXJVVJVWNVXKWVHYRZXNUQWVHVXKY
        RZXNUQXYQXYRXYTYUAXNVXKWVHVVKVVMVXKUTVVNWVHVXKVVOVVPVVIXTVVQAXYMXYEWVHA
        VXKXYEUOZVXKUNZXYEVXKUNZXYMXYEYUCVXKVXKUNZYUDUOXNYUDUOZYUDVXKXYEVXKVVDY
        UEXNYUDVXKVVRXTYUFYUDXNUOYUDXNYUDYAYUDYBXRYCAVYBYUBVXKAVYBVXKXXKLUFUEZU
        OZYUBAXXKUCYSUBZTXXJVYBYUHUQAXXKLYUIXXLALURYUINVVSVVAVVTXXNVXJUCLVWAVUN
        AYUGXYEVXKAYUGLLUFUEZXYEAXXKLLUFXXLXQALWITYUJXYEUQALNVWBLVWCWNWBVWDWBVV
        CALVXKTZWCZXYEYUDUQZALVXJVVEVEZYUKAVXJLVDVEYUNWCALALNYOZVWEAVXJLAVXJXVI
        VWFYUOVWGVWHLUCVXJVWIVWJVXKXYEYRZXNUQXYEVXKYRZXNUQYULYUMYUPYUQXNVXKXYEV
        VKVVMVXKLVVNXYEVXKVVOVVPXAVWKVWDYGWBVWLVXIWWBVXKVWMXYGVXIWVHTZVXIXYETZV
        UOXYAVXIWVHXYEVWOYURXXSYUSXXTVXIUTXWRVWPVXILXWRVWPVWQVWRVWSVUIVWTAXXSVX
        OXXTAXXSUIBCDEFGHIJKLMAVYLXXSNUSOAVYOXXSPUSAVYPXXSQUSAXVEWUMMUGUBZKUHMJ
        VXAZVXBXXSSVXCAXXSVCVXDAXXTUIBCDEFGHIJKLMAVYLXXTNUSOAVYOXXTPUSAVYPXXTQU
        SAXVEYUTUTUHMYVAVXBXXTRVXCAXXTVCVXEVXFVXGVXH $.
    $}

    $d q u w x ph $.  $d m q u w x y z B $.  $d i k m n p q t u w x y z C $.
    $d m q u w x y K $.  $d q u w x N $.  $d x T $.  $d s x z U $.
    $d i k p s x V $.
    ${
      ${
        poimirlem23.1 $e |- ( ph -> T : ( 1 ... N ) --> ( 0 ..^ K ) ) $.
        poimirlem23.2 $e |- ( ph ->
          U : ( 1 ... N ) -1-1-onto-> ( 1 ... N ) ) $.
        poimirlem23.3 $e |- ( ph -> V e. ( 0 ... N ) ) $.
        $( Lemma for ~ poimir , two ways of expressing the property that a face
           is not on the back face of the cube.  (Contributed by Brendan Leahy,
           21-Aug-2020.) $)
        poimirlem23 $p |- ( ph ->
          ( E. p e. ran ( y e. ( 0 ... ( N - 1 ) ) |-> [_ if ( y < V , y ,
            ( y + 1 ) ) / j ]_ ( T oF + ( ( ( U " ( 1 ... j ) ) X.
          { 1 } ) u. ( ( U " ( ( j + 1 ) ... N ) ) X. { 0 } ) ) ) )
            ( p ` N ) =/= 0 <-> -. ( V = N /\
          ( ( T ` N ) = 0 /\ ( U ` N ) = N ) ) ) ) $=
          ( cc0 c1 wceq wa wcel syl c0 cv cfv wne cmin co cfz clt wbr caddc cif
          cima csn cxp cun cof csb cmpt crn wrex wral wn cvv csbex neeq1d df-ne
          ovex ax-mp rexnal bitri cle elfzelz syl2anc elfzle2 zred necon3ad cn0
          wb cz cn sylib adantr sylan9eqr csbeq1d imaeq2d xpeq1d oveq1d uneq12d
          oveq2 oveq1 ltp1d mpbid eqtrdi oveq2d eqtrd fveq1d elfzonn0 elsni imp
          3syl adantl 1ex fconst ovexd ffvelrnd bitr3id rspcev necon4ad cuz wss
          wf eqeltrrd wfn ffnd cin c0ex imain fzdisj sylan9req elfznn0 eleqtrdi
          ex nnuz elfzuz3 eqidd eqeq1d cr nn0red snssi breqtrrid bitrd ralbidva
          wo elun bitr4di adantlr fnconstg mp3an12 fvconst2 cdif difeq1d bitrdi
          rgenw eqid fveq1 rexrnmptw nnzd zlem1lt nnred letri3d biimprd sylbird
          mpand nnm1nn0 nn0fz0 iffalse cc nncnd npcan1 wfo f1ofo foima peano2zd
          wf1o fzn ima0 xpeq1i 0xp eqtri un0 csbied cfzo nn0p1nn syl5ibrcom a1i
          eleq1d inidm elfz1end eqeltrd nnne0d breq1 id ifbieq12d syld pm4.71rd
          off nn0zd uzid peano2uz fzss2 sselda pm3.2i ccnv wfun simprbi sylancr
          dff1o3 fun fzsplit2 imaundi eqtr2di feq2d ofval mpdan nn0ge0d 1re 0re
          unssi sselid 0le1 0le0 jaoi sylbi add20 syl22anc syldan breq2 lelttrd
          ifbid ltm1d iftrued an32s nfv nfcsb1v nfcv nffv nfeq1 csbeq1a cbvralw
          weq ne0i r19.3rzv simplr f1ofn fzss1 eluzp1p1 eluzfz2 fnfvima syl3anc
          fvun2 ralrimiva ax-1ne0 breqtrrd eqtr3d fnbrfvb syl5ibr eldifd imadif
          elimasni difun2 velsn orbi2i fzm1 bitr4id eqrdv ltnled difsn 3eqtr3rd
          nsyl 3eqtr3a eleqtrd fvun1 mpbiri syl6ib impbid anbi12d r19.26 notbid
          3bitr4d pm5.32da syl5bb ) GIUAZUBZNUCZIBNGOUDUEZUFUEZEBUAZHUGUHZVVPVV
          POUIUEZUJZCDOEUAZUFUEZUKZOULZUMZDVVTOUIUEZGUFUEZUKZNULZUMZUNZUIUOZUEZ
          UPZUQZURUSZGVWMUBZNPZBVVOUTZVAZAHGPZGCUBZNPZGDUBZGPZQZQZVAVWOVWQVAZBV
          VOUSZVWSVWMVBRZBVVOUTVWOVXHVQVXIBVVOEVVSVWLCVWJVWKVFVCUUBVVMVXGBIVVOV
          WMVWNVBVWNUUCVVKVWMPZVVMVWPNUCZVXGVXJVVLVWPNGVVKVWMUUDVDVWPNVEZUUAUUE
          VGVWQBVVOVHZVIAVWRVXFAVWRVWTVWRQVXFAVWRVWTAVWRHGAHGUCVVNHUGUHZVAZVWSA
          VXNHGAVXNGHVJUHZVWTAGVRRZHVRRZVXPVXNVQAGJUUFZAHNGUFUEZRZVXRMHNGVKSZGH
          UUGVLAHGVJUHZVXPVWTAVYAVYCMHNGVMSAVWTVYCVXPQAHGAHVYBVNAGJUUHZUUIUUJUU
          LUUKVOAVXOVWSAVXOQZVXHVWSVYEVVNVVORZGEVXNVVNVVNOUIUEZUJZVWLUPZUBZNUCZ
          VXHAVYFVXOAVVNVPRZVYFAGVSRZVYLJGUUMSZVVNUUNVTZWAVYEVYJVYEVYJGCOGUFUEZ
          VWCUMZVWKUEZUBZVSVYEGVYIVYRVYEVYIEGVWLUPZVYRVYEEVYHGVWLVXOAVYHVYGGVXN
          VVNVYGUUOAGUUPRVYGGPZAGJUUQGUURSZWBWCAVYTVYRPVXOAEGVWLVYRVSJAVVTGPZQV
          WJVYQCVWKWUCAVWJDVYPUKZVWCUMZDGOUIUEZGUFUEZUKZVWHUMZUNZVYQWUCVWDWUEVW
          IWUIWUCVWBWUDVWCWUCVWAVYPDVVTGOUFWHWDWEWUCVWGWUHVWHWUCVWFWUGDWUCVWEWU
          FGUFVVTGOUIWIWFWDWEWGAWUJVYQTUNVYQAWUEVYQWUITAWUDVYPVWCAVYPVYPDUVCZVY
          PVYPDUUSZWUDVYPPLVYPVYPDUUTVYPVYPDUVAWSZWEAWUIDTUKZVWHUMZTAWUHWUNVWHA
          WUGTDAGWUFUGUHZWUGTPZAGVYDWJAWUFVRRVXQWUPWUQVQAGVXSUVBVXSWUFGUVDVLWKW
          DWEWUOTVWHUMTWUNTVWHDUVEZUVFVWHUVGUVHWLWGVYQUVIWLWBWMUVJWAWNWOAVYSVSR
          VXOAVYPVSGVYRAEBVYPVYPVYPUINFUVKUEZVWCVSCVYQVBVBVVTWUSRZVVPVWCRZQVVTV
          VPUIUEZVSRZAWUTWVAWVCWUTWVCWVAVWEVSRZWUTVVTVPRZWVDVVTFWPVVTUVLZSWVAWV
          BVWEVSWVAVVPOVVTUIVVPOWQWMUVOUVMWRWTKVYPVWCVYQXJAVYPOXAXBUVNAOGUFXCZW
          VGVYPUVPZUWEAVYMGVYPRZJGUVQVTZXDWAUVRUVSVXGVYKBVVNVVOVXGVXKVVPVVNPZVY
          KVXLWVKVWPVYJNWVKGVWMVYIWVKEVVSVYHVWLWVKVVQVXNVVPVVRVVNVYGVVPVVNHUGUV
          TWVKUWAVVPVVNOUIWIUWBWCWOVDXEXFVLVXMVTYAUWCXGUWDAVWTVWRVXEAVWTQZGVWLU
          BZNPZEVVOUTZVXBGVWJUBZNPZQZEVVOUTZVWRVXEAWVOWVSVQVWTAWVNWVREVVOAVVTVV
          ORZVVTVXTRZWVNWVRVQAVVOVXTVVTAGVVNXHUBZRVVOVXTXIAVYGGWWBWUBAVVNVRRVVN
          WWBRVYGWWBRAVVNVYNUWFVVNUWGVVNVVNUWHWSXKVVNNGUWISUWJAWWAQZWVNVXAWVPUI
          UEZNPZWVRWWCWVMWWDNWWCWVIWVMWWDPAWVIWWAWVJWAZWWCVYPVYPVXAWVPUIVYPCVWJ
          VBVBGACVYPXLWWAAVYPWUSCKXMWAWWCVYPVWCVWHUNZVWJWWCVWBVWGUNZWWGVWJXJZVY
          PWWGVWJXJWWCVWBVWCVWDXJZVWGVWHVWIXJZQVWBVWGXNZTPZWWIWWJWWKVWBOXAXBVWG
          NXOXBUWKAWWAWWLDVWAVWFXNZUKZTAWUKDUWLUWMZWWOWWLPLWUKWULWWPVYPVYPDUWPU
          WNZVWAVWFDXPWSZWWAWWOWUNTWWAWWNTDWWAVVTVWEUGUHZWWNTPZWWAVVTWWAVVTVVTN
          GVKVNWJOVVTVWEGXQZSWDWURWLXRVWBVWGVWCVWHVWDVWIUWQUWOWWCWWHVYPWWGVWJWW
          AAWWHWUDVYPWWAWUDDVWAVWFUNZUKWWHWWAVYPWXBDWWAVWEOXHUBZRZGVVTXHUBZRVYP
          WXBPWWAVWEVSWXCWWAWVEWVDVVTGXSWVFSYBXTVVTNGYCVVTOGUWRVLWDDVWAVWFUWSUW
          TWUMWBUXAWKZXMWWCOGUFXCZWXGWVHWWCWVIQZVXAYDWXHWVPYDUXBUXCYEWWCVXAYFRZ
          NVXAVJUHZWVPYFRNWVPVJUHZWWEWVRVQAWXIWWAAVXAAVXAWUSRVXAVPRAVYPWUSGCKWV
          JXDVXAFWPSZYGWAAWXJWWAAVXAWXLUXDWAWWCWWGYFWVPVWCVWHYFOYFRVWCYFXIUXEOY
          FYHVGNYFRVWHYFXIUXFNYFYHVGUXGWWCVYPWWGGVWJWXFWWFXDZUXHWWCWVPWWGRZWXKW
          XMWXNWVPVWCRZWVPVWHRZYLWXKWVPVWCVWHYMWXOWXKWXPWXONOWVPVJUXIWVPOWQYIWX
          PNNWVPVJUXJWVPNWQYIUXKUXLSVXAWVPUXMUXNYJUXOYKWAWVLVWRGEVVPVWLUPZUBZNP
          ZBVVOUTWVOWVLVWQWXSBVVOWVLVVPVVORZQZVWPWXRNWYAGVWMWXQWYAEVVSVVPVWLAWX
          TVWTVVSVVPPVWTAWXTQZVVSVVPGUGUHZVVPVVRUJVVPVWTVVQWYCVVPVVRHGVVPUGUXPU
          XRWYBWYCVVPVVRWYBVVPVVNGWXTVVPYFRAWXTVVPVVPNVVNVKVNWTAVVNYFRWXTAVVNVY
          NYGZWAAGYFRWXTVYDWAWXTVVPVVNVJUHAVVPNVVNVMWTAVVNGUGUHZWXTAGVYDUXSZWAU
          XQUXTWBUYAWCWOYEYKWVNWXSEBVVOWVNBUYBEWXRNEGWXQEVVPVWLUYCEGUYDUYEUYFEB
          UYIZWVMWXRNWYGGVWLWXQEVVPVWLUYGWOYEUYHYNAVXEWVSVQVWTAVXEVXBEVVOUTZWVQ
          EVVOUTZQWVSAVXBWYHVXDWYIAVYFVVOTUCVXBWYHVQVYOVVOVVNUYJVXBEVVOUYKWSAVX
          DWYIAVXDWYIAVXDQZWVQEVVOWYJWVTQZWVPGVWIUBZNWYKWWMGVWGRZWVPWYLPZAWVTWW
          MVXDAWVTWWLWWOTWWRWVTWWOWUNTWVTWWNTDWVTWWSWWTWVTVVTWVTVVTVVTNVVNVKVNW
          JWXASWDWURWLXRYOWYKVXCGVWGAVXDWVTUYLAWVTVXCVWGRZVXDAWVTQZDVYPXLZVWFVY
          PXIZGVWFRZWYOAWYQWVTAWUKWYQLVYPVYPDUYMSZWAWVTWYRAWVTWXDWYRWVTVWEVSWXC
          WVTWVEWVDVVTVVNXSWVFSYBXTVWEOGUYNSWTWYPGVWEXHUBZRWYSWYPVYGGXUAAWUAWVT
          WUBWAWVTVYGXUARZAWVTVVNWXERXUBVVTNVVNYCVVTVVNUYOSWTXKVWEGUYPSVYPVWFDG
          UYQUYRYOXKZVWDVWBXLZVWIVWGXLZWWMWYMQWYNOVBRZXUDXAVWBOVBYPVGNVBRZXUEXO
          VWGNVBYPVGVWBVWGVWDVWIGUYSYQVLWYKWYMWYLNPXUCVWGNGXOYRSWNUYTYAAWYIVXCG
          AVXCGUCZWVQVAZEVVOUSZWYIVAAXUHXUJAXUHQZVYFGDOVVNUFUEZUKZVWCUMZDVYGGUF
          UEZUKZVWHUMZUNZUBZNUCZXUJAVYFXUHVYOWAXUKXUTONUCVUAXUKXUSONXUKXUSGXUNU
          BZOXUKXUMXUPXNZTPZGXUMRZXUSXVAPZAXVCXUHADXULXUOXNZUKZXVBTAWUKWWPXVGXV
          BPLWWQXULXUODXPWSAXVGWUNTAXVFTDAVVNVYGUGUHXVFTPAVVNGVYGUGWYFWUBVUBOVV
          NVYGGXQSWDWURWLVUCWAXUKGVYPDGULZUKZYSZXUMXUKGVYPXVIAWVIXUHWVJWAAXUHGX
          VIRZVAAXVKVXCGXVKVXDAGGDUHZDGGVUHAWYQWVIVXDXVLVQWYTWVJVYPGGDVUDVLVUEV
          OWRVUFAXVJXUMPXUHADVYPXVHYSZUKZWUDXVIYSZXUMXVJAWUKWWPXVNXVOPLWWQVYPXV
          HDVUGWSAXVMXULDAXULXVHUNZXVHYSXULXVHYSZXVMXULXULXVHVUIAXVPVYPXVHAEXVP
          VYPAVVTXVPRZVVTXULRZWUCYLZVVTVYPRZXVRXVSVVTXVHRZYLXVTVVTXULXVHYMXWBWU
          CXVSEGVUJVUKVIAGWXCRXWAXVTVQAGVSWXCJYBXTVVTOGVULSVUMVUNYTAGXULRZVAXVQ
          XULPAGVVNVJUHZXWCAWYEXWDVAWYFAVVNGWYDVYDVUOWKGOVVNVMVURGXULVUPSVUSWDA
          WUDVYPXVIWUMYTVUQWAVUTZXUNXUMXLZXUQXUPXLZXVCXVDQXVEXUFXWFXAXUMOVBYPVG
          XUGXWGXOXUPNVBYPVGXUMXUPXUNXUQGVVAYQVLXUKXVDXVAOPXWEXUMOGXAYRSWNVDVVB
          XUIXUTEVVNVVOXUIWVPNUCVVTVVNPZXUTWVPNVEXWHWVPXUSNXWHGVWJXURXWHVWDXUNV
          WIXUQXWHVWBXUMVWCXWHVWAXULDVVTVVNOUFWHWDWEXWHVWGXUPVWHXWHVWFXUODXWHVW
          EVYGGUFVVTVVNOUIWIWFWDWEWGWOVDXEXFVLYAWVQEVVOVHVVCXGVVDVVEVXBWVQEVVOV
          VFYNWAVVHVVIYJVVGVVJ $.
      $}

      poimirlem28.1 $e |- ( p = ( ( 1st ` s ) oF + ( ( ( ( 2nd ` s ) " ( 1 ...
        j ) ) X. { 1 } ) u. ( ( ( 2nd ` s ) " ( ( j + 1 ) ... N ) ) X.
          { 0 } ) ) ) -> B = C ) $.
      poimirlem28.2 $e |- ( ( ph /\ p : ( 1 ... N ) --> ( 0 ... K ) ) ->
        B e. ( 0 ... N ) ) $.
      ${
        poimirlem25.3 $e |- ( ph -> T : ( 1 ... N ) --> ( 0 ..^ K ) ) $.
        poimirlem25.4 $e |- ( ph ->
          U : ( 1 ... N ) -1-1-onto-> ( 1 ... N ) ) $.
        ${
          poimirlem24.5 $e |- ( ph -> V e. ( 0 ... N ) ) $.
          $( Lemma for ~ poimir , two ways of expressing that a simplex has an
             admissible face on the back face of the cube.  (Contributed by
             Brendan Leahy, 21-Aug-2020.) $)
          poimirlem24 $p |- ( ph ->
          ( E. x e. ( ( ( 0 ... K ) ^m ( 1 ... N ) ) ^m
            ( 0 ... ( N - 1 ) ) ) ( x = ( y e. ( 0 ... ( N - 1 ) ) |->
          [_ if ( y < V , y , ( y + 1 ) ) / j ]_ ( T oF +
            ( ( ( U " ( 1 ... j ) ) X. { 1 } ) u.
          ( ( U " ( ( j + 1 ) ... N ) ) X. { 0 } ) ) ) ) /\ ( ( 0 ...
            ( N - 1 ) ) C_ ran ( p e. ran x |-> B ) /\
          E. p e. ran x ( p ` N ) =/= 0 ) ) <->
            ( A. i e. ( 0 ... ( N - 1 ) ) E. j e. ( ( 0 ... N ) \ { V } )
          i = [_ <. T , U >. / s ]_ C /\ -. ( V = N /\ ( ( T ` N ) = 0 /\
            ( U ` N ) = N ) ) ) ) ) $=
            ( vk cv cc0 c1 cmin cfz clt wbr caddc cif cima csn cxp cun csb cmpt
            co wceq crn wss cfv wne wrex wa cmap wral wn wcel wb wf nfv nfcsb1v
            nfcv nff nfim weq eleq1 anbi2d csbeq1a feq1d imbi12d cuz npcan1 syl
            wi cc cz 3syl sselda cvv oveq2d eleq1d syl5ibrcom adantl adantr cin
            elsni c0 fconst nn0red imaeq2d cn syl2anc sylan9eqr ovex a1i syldan
            mpbid biimpa csbeq1 elmap sylibr c1st sylancl imaeq1 xpeq1d csbeq1d
            c2nd fveq2 eqeq2d vex eqid ax-mp nfeq2 zred necomd eldifsn sylanbrc
            cr elfzelzd ad2antrr cle syl2an ad2antlr syl2anr mpbir2and breq1 id
            oveq1 ifbieq12d cof cdif nncnd nnzd peano2zm uzid peano2uz eqeltrrd
            cop cfzo wo elun fzofzp1 elfzoelz zcnd addid1d elfzofz eqeltrd jaod
            fzss2 syl5bi imp 1ex c0ex pm3.2i wf1o ccnv wfo dff1o3 simprbi imain
            wfun elfznn0 ltp1d fzdisj ima0 eqtrdi sylan9req fun sylancr nn0p1nn
            cn0 eleqtrdi elfzuz3 fzsplit2 imaundi eqtr2di f1ofo foima feq2d off
            nnuz inidm chvarfv fzp1elp1 eleq2d sylan2 vtoclf ifboth fmpttd rneq
            mpteq1d rneqd rexeqdv anbi12d ceqsrexv dfss3 csbie csbeq2i opex fex
            sseq2d op1stg op2ndg uneq12d oveq12d csbied eqtr3id rexbidv elrnmpt
            f1oexrnex csbeq2dv cbvrexw csbex csbnestgw eqtr4di rexrnmptw 3bitri
            rgenw ifex bitr4di elfzelz ltne sylan zre lenlt bitr3d gtned ifclda
            zleltp1 rspce rexlimdva nfrex nn0ge0d simpr elfzle2 ltletrd zltlem1
            ex eldifi elfz mp3an2 0red elfzle1 biimpar eldifsni lelttrd zgt0ge1
            0z ltlen 1z elfzmlbm iftrue eqcomd zlem1lt biimprd sylbird con3dimp
            mpan2d iffalsed nn0cnd eqtr2d ifbothda biimpd rspcev syl6an rexlimd
            impbid ralbidv syl5bb anbi1d poimirlem23 3bitrd ) ABUBZCUCKUDUEUQZU
            FUQZICUBZLUGUHZVWGVWGUDUIUQZUJZFGUDIUBZUFUQZUKZUDULZUMZGVWKUDUIUQZK
            UFUQZUKZUCULZUMZUNZUIUUAZUQZUOZUPZURZVWFNVWDUSZDUPZUSZUTZKNUBVAUCVB
            ZNVXGVCZVDZVDBUCJUFUQZUDKUFUQZVEUQZVWFVEUQZVCZVWFNVXEUSZDUPZUSZUTZV
            XKNVXSVCZVDZHUBZMFGUUIZEUOZURZIUCKUFUQZLULZUUBZVCZHVWFVFZVYCVDVYMLK
            URKFVAUCURKGVAKURVDVDVGZVDAVXEVXQVHZVXRVYDVIAVWFVXPVXEVJVYOACVWFVXD
            VXPAVWGVWFVHZVDZVXOVXNVXDVJZVXDVXPVHVYQVXOVXNIVWGVXCUOZVJZVXOVXNIVW
            IVXCUOZVJZVYRAVWKVWFVHZVDZVXOVXNVXCVJZWEVYQVYTWEICVYQVYTIVYQIVKIVXO
            VXNVYSIVWGVXCVLIVXOVMZIVXNVMZVNVOICVPZWUDVYQWUEVYTWUHWUCVYPAVWKVWGV
            WFVQVRWUHVXOVXNVXCVYSIVWGVXCVSVTWAAWUCVWKVYIVHZWUEAVWFVYIVWKAKVWEWB
            VAZVHVWFVYIUTAVWEUDUIUQZKWUJAKWFVHWUKKURAKOUUCKWCWDZAVWEWGVHZVWEWUJ
            VHWUKWUJVHAKWGVHZWUMAKOUUDZKUUEWDZVWEUUFVWEVWEUUGWHUUHVWEUCKUUTWDZW
            IAWUIVDZBCVXOVXOVXOUIUCJUUJUQZVWNVWSUNZVXNFVXAWJWJVWDWUSVHZVWGWUTVH
            ZVDVWDVWGUIUQZVXNVHZWURWVAWVBWVDWVBVWGVWNVHZVWGVWSVHZUUKWVAWVDVWGVW
            NVWSUULWVAWVEWVDWVFWVAWVDWVEVWDUDUIUQZVXNVHUCJVWDUUMWVEWVCWVGVXNWVE
            VWGUDVWDUIVWGUDWQWKWLWMWVAWVDWVFVWDUCUIUQZVXNVHWVAWVHVWDVXNWVAVWDWV
            AVWDVWDUCJUUNUUOUUPVWDUCJUUQUURWVFWVCWVHVXNWVFVWGUCVWDUIVWGUCWQWKWL
            WMUUSUVAUVBWNAVXOWUSFVJZWUIRWOWURVWMVWRUNZWUTVXAVJZVXOWUTVXAVJWURVW
            MVWNVWOVJZVWRVWSVWTVJZVDVWMVWRWPZWRURWVKWVLWVMVWMUDUVCWSVWRUCUVDWSU
            VEAWUIWVNGVWLVWQWPZUKZWRAVXOVXOGUVFZGUVGUVLZWVPWVNURSWVQVXOVXOGUVHZ
            WVRVXOVXOGUVIUVJVWLVWQGUVKWHWUIWVPGWRUKWRWUIWVOWRGWUIVWKVWPUGUHWVOW
            RURWUIVWKWUIVWKVWKKUVMZWTUVNUDVWKVWPKUVOWDXAGUVPUVQUVRVWMVWRVWNVWSV
            WOVWTUVSUVTWURWVJVXOWUTVXAWUIAWVJGVXOUKZVXOWUIWWAGVWLVWQUNZUKWVJWUI
            VXOWWBGWUIVWPUDWBVAZVHKVWKWBVAVHVXOWWBURWUIVWPXBWWCWUIVWKUWBVHZVWPX
            BVHWVTVWKUWAWDUWLUWCVWKUCKUWDVWKUDKUWEXCXAGVWLVWQUWFUWGAWVQWVSWWAVX
            OURSVXOVXOGUWHVXOVXOGUWIWHXDUWJXHVXOWJVHZWURUDKUFXEZXFZWWGVXOUWMUWK
            ZXGUWNAVYPVWIVYIVHZWUBVYPAVWIUCWUKUFUQZVHZWWIVWGUCVWEUWOAWWKWWIAWWJ
            VYIVWIAWUKKUCUFWULWKUWPXIUWQZWURWUEWEAWWIVDZWUBWEIVWIWWMWUBIWWMIVKI
            VXOVXNWUAIVWIVXCVLWUFWUGVNVOVWGUDUIXEZVWKVWIURZWURWWMWUEWUBWWOWUIWW
            IAVWKVWIVYIVQVRWWOVXOVXNVXCWUAIVWIVXCVSVTWAWWHUWRXGVWHVYTWUBVYRVWGV
            WIVWGVWJURVXOVXNVYSVXDIVWGVWJVXCXJVTVWIVWJURVXOVXNWUAVXDIVWIVWJVXCX
            JVTUWSXCVXNVXOVXDUCJUFXEWWFXKXLUWTVXPVWFVXEVXNVXOVEXEUCVWEUFXEXKXLV
            XMVYDBVXEVXQVXFVXJVYBVXLVYCVXFVXIVYAVWFVXFVXHVXTVXFNVXGVXSDVWDVXEUX
            AZUXBUXCUXLVXFVXKNVXGVXSWWPUXDUXEUXFWDAVYBVYMVYCVYBVYEVYAVHZHVWFVFA
            VYMHVWFVYAUXGAWWQVYLHVWFAVYEIVWJVYGUOZURZCVWFVCZWWQVYLAWWTVYEIVWJNV
            XCDUOZUOZURZCVWFVCZWWQAWWSWXCCVWFAWWRWXBVYEAIVWJVYGWXAAVYGMVYFNMUBZ
            XMVAZWXEXRVAZVWLUKZVWNUMZWXGVWQUKZVWSUMZUNZVXBUQZDUOZUOWXAMVYFWXNEN
            WXMDEWXFWXLVXBXEPUXHUXIAMVYFWXNWXAWJVYFWJVHAFGUXJXFAWXEVYFURZVDZNWX
            MVXCDWXPWXFFWXLVXAVXBWXOAWXFVYFXMVAZFWXEVYFXMXSAFWJVHZGWJVHZWXQFURA
            WVIWWEWXRRWWFVXOWUSWJFUXKXNZAWVQWWEWXSSWWFVXOVXOGWJUYAXNZFGWJWJUXMX
            CXDWXPWXGGURZWXLVXAURWXOAWXGVYFXRVAZGWXEVYFXRXSAWXRWXSWYCGURWXTWYAF
            GWJWJUXNXCXDWYBWXIVWOWXKVWTWYBWXHVWMVWNWXGGVWLXOXPWYBWXJVWRVWSWXGGV
            WQXOXPUXOWDUXPXQUXQUXRUYBXTUXSWWQVYEDURZNVXSVCZVYENUAUBZDUOZURZUAVX
            SVCZWXDVYEWJVHWWQWYEVIHYANVXSDVYEVXTWJVXTYBUXTYCWYDWYHNUAVXSWYDUAVK
            NVYEWYGNWYFDVLYDNUAVPDWYGVYENWYFDVSXTUYCVXDWJVHZCVWFVFWYIWXDVIWYJCV
            WFIVWJVXCFVXAVXBXEUYDUYIWYHWXCCUAVWFVXDVXEWJVXEYBWYFVXDURZWYGWXBVYE
            WYKWYGNVXDDUOZWXBNWYFVXDDXJVWJWJVHWXBWYLURVWHVWGVWICYAWWNUYJINVWJVX
            CDWJUYEYCUYFXTUYGYCUYHUYKAWWTVYLAWWSVYLCVWFVYQVWJVYKVHZWWSVYLWEVYQV
            WHVWGVWIVYKVYQVWHVDVWGVYIVHZVWGLVBZVWGVYKVHVYQWYNVWHAVWFVYIVWGWUQWI
            WOVYQVWGYIVHZVWHWYOVYPWYPAVYPVWGVWGUCVWEUYLZYEWNWYPVWHVDLVWGVWGLUYM
            YFUYNVWGVYILYGYHVYQVWHVGZVDZWWIVWILVBVWIVYKVHVYQWWIWYRWWLWOWYSLVWIA
            LYIVHZVYPWYRALALUCKTYJZYEZYKVYQWYRLVWIUGUHZALWGVHZVWGWGVHZWYRXUCVIV
            YPXUAWYQXUDXUEVDLVWGYLUHZWYRXUCXUDWYTWYPXUFWYRVIXUELUYOVWGUYOLVWGUY
            PYMLVWGUYTUYQYMXIUYRVWIVYILYGYHUYSWYMWWSVYLVYHWWSIVWJVYKIVYEWWRIVWJ
            VYGVLYDZVWKVWJURVYGWWRVYEIVWJVYGVSXTVUAVUIWDVUBAVYHWWTIVYKAIVKWWSIC
            VWFIVWFVMXUGVUCAVWKVYKVHZVYHWWTWEAXUHVDZVWKLUGUHZVWKVWKUDUEUQZUJZVW
            FVHVYHVYEIXULLUGUHZXULXULUDUIUQZUJZVYGUOZURZWWTXUIXUJVWKXUKVWFXUIXU
            JVDZWUCUCVWKYLUHZVWKVWEYLUHZXUHXUSAXUJXUHVWKXUHWUIWWDVWKVYIVYJVUJZW
            VTWDZVUDYNXURVWKKUGUHZXUTXURVWKLKXUHVWKYIVHZAXUJXUHVWKXVBWTZYNAWYTX
            UHXUJXUBYKAKYIVHXUHXUJAKWUOYEYKXUIXUJVUEALKYLUHZXUHXUJALVYIVHZXVFTL
            UCKVUFWDYKVUGXUIXVCXUTVIZXUJXUHVWKWGVHZWUNXVHAXUHVWKUCKXVAYJZWUOVWK
            KVUHYOWOXHXUIWUCXUSXUTVDVIZXUJXUHXVIWUMXVKAXVJWUPXVIUCWGVHWUMXVKVUS
            VWKUCVWEVUKVULYOWOYPXUIXUJVGZVDZVWKVXOVHZXUKVWFVHXVMXVNUDVWKYLUHZVW
            KKYLUHZXVMUCVWKUGUHZXVOXVMUCLVWKXVMVUMAWYTXUHXVLXUBYKXUHXVDAXVLXVEY
            NAUCLYLUHZXUHXVLAXVGXVRTLUCKVUNWDYKXVMLVWKUGUHZLVWKYLUHZVWKLVBZXUIX
            VTXVLAWYTXVDXVTXVLVIXUHXUBXVELVWKUYPYMVUOXUHXWAAXVLVWKVYILVUPZYNXUI
            XVSXVTXWAVDVIZXVLAWYTXVDXWCXUHXUBXVELVWKVUTYMWOYPVUQXUHXVQXVOVIZAXV
            LXUHXVIXWDXVJVWKVURWDYNXHXUHXVPAXVLXUHWUIXVPXVAVWKUCKVUFWDYNXUIXVNX
            VOXVPVDVIZXVLXUHXVIWUNXWEAXVJWUOXVIUDWGVHWUNXWEVVAVWKUDKVUKVULYOWOY
            PVWKUDKVVBWDUYSXUIVYHXUQXUIVYGXUPVYEXUIVWKXUOURZVYGXUPURXUJVWKXUJVW
            KVWPUJZURZVWKXUKLUGUHZXUKXUKUDUIUQZUJZURXWFXUIVWKXUKVWKXULURZXWGXUO
            VWKXWLXUJXUMVWKVWPXULXUNVWKXULLUGYQXWLYRVWKXULUDUIYSYTXTXUKXULURZXW
            KXUOVWKXWMXWIXUMXUKXWJXULXUNXUKXULLUGYQXWMYRXUKXULUDUIYSYTXTXUJXWHX
            UIXUJXWGVWKXUJVWKVWPVVCVVDWNXVMXWKXWJVWKXVMXWIXUKXWJXUIXWIXUJXUIXWI
            VWKLYLUHZXUJXUHXVIXUDXWNXWIVIAXVJXUAVWKLVVEYOXUIXWNLVWKVBZXUJXUHXWO
            AXUHVWKLXWBYFWNXUIXUJXWNXWOVDZXUHXVDWYTXUJXWPVIAXVEXUBVWKLVUTYOVVFV
            VIVVGVVHVVJXUHXWJVWKURZAXVLXUHVWKWFVHXWQXUHVWKXVBVVKVWKWCWDYNVVLVVM
            IXUOVYGVSWDXTVVNWWSXUQCXULVWFVWGXULURZWWRXUPVYEXWRIVWJXUOVYGXWRVWHX
            UMVWGVWIXULXUNVWGXULLUGYQXWRYRVWGXULUDUIYSYTXQXTVVOVVPVUIVVQVVRUYQV
            VSVVTVWAAVYCVYNVYMACFGIJKLNORSTVWBVRVWC $.
        $}

        poimirlem25.5 $e |- ( ( ph /\ j e. ( 0 ... N ) ) ->
        N =/= [_ <. T , U >. / s ]_ C ) $.
        $( Lemma for ~ poimir stating that for a given simplex such that no
           vertex maps to ` N ` , the number of admissible faces is even.
           (Contributed by Brendan Leahy, 21-Aug-2020.) $)
        poimirlem25 $p |- ( ph -> 2 || ( # ` { y e. ( 0 ... N ) |
        A. i e. ( 0 ... ( N - 1 ) ) E. j e. ( ( 0 ... N ) \ { y } ) i =
          [_ <. T , U >. / s ]_ C } ) ) $=
          ( wcel wa vt vz vf cv csb wceq cc0 cfz co csn cdif wrex c1 cmin c0 c2
          wral chash cfv cdvds wbr wn wex caddc 2z ax-mp cun cvv cfn fzfi diffi
          vex pm3.2i adantl weq sneq difeq2d rexeqdv ralbidv elrab wreu nfcsb1v
          wne nfcv csbeq1a sylib wo nfv nfel1 nfim eleq1w anbi2d eleq1d imbi12d
          wi cfzo wf1o cxp wf ovex sylibr wb f1oeq1 syl syl2anc c2nd cima elsni
          adantr oveq2d syl5ibrcom syl5bi cin fconst imaeq2d sylancr cuz cn cn0
          eleqtrdi mpbid sylan sylan2 ex chvarfv fzm1 ord hashfz0 oveq1d eqeq2d
          mt3d cen rspcv sylc wsbc bitri eldifsn imbi1i bitr4i 3bitr4i cop crab
          neq0 iddvds df-2 breqtri rabfi neldifsn hashunsng mp2 difsnid eqtr3id
          cz fveq2d ralrimiva nfne neeq2d rspc mpan9 nesym cmap elmap f1oexrnex
          cab mpan2 elabg ibir opelxpi imbi2d c1st elun fzofzp1 elfzonn0 nn0cnd
          cof addid1d elfzofz eqeltrd jaod imp xp1st elmapi xp2nd fvex elab 1ex
          c0ex wfo ccnv wfun dff1o3 imain simplbiim elfznn0 nn0red ltp1d fzdisj
          clt ima0 eqtrdi sylan9req nn0p1nn nnuz elfzuz3 fzsplit2 imaundi f1ofo
          fun eqtr2di foima sylan9eqr feq2d fzfid inidm off feq1 vtocl vtoclgaf
          an12s mpcom nnnn0d nn0uz adantrr nncnd 1cnd addsubd nnm1nn0 hashdifsn
          3syl 3eqtr4rd mpan eqcomd sylan9eq hashen mp2an phpreu biimpd cbvreuw
          impr nfeq2 eqeq1 reubidv syl5bb biimpi adantll rexsns sbciegf 3bitr4g
          an32 eqeq2 orbi1d rexun eldifsni necomd dif32 wss snssi undif 3imtr3i
          uneq2i syl5eq ad2antlr 3bitr3d biimpar an32s simpl anim2i wsb 3imtr4i
          necom anbi2i wrmo neneqd eldifi breq2d chvarvv adantlr biimpa reubida
          ad2antrr reurmo rmo3 equcomi csbeq1d sbsbc sbceqg csbconstgf biantrud
          eqeq1d bitrd bicomd ralimdv eleq2i 3bitr3ri impexp albii con34b df-ne
          wal ralbii df-ral ancr sylbi ralimi sylanl1 rexbid rspcva rexim rexex
          anasss nfeq equsexv impbida reubidva weu anbi1i eubii euhash1 sylan2b
          df-reu eqtr3d breqtrrid exlimdv dvds0 hash0 breqtrri fveq2 pm2.61d2 )
          AGUDZKEFUUAZDUEZUFZHUGJUHUIZBUDZUJZUKZULZGUGJUMUNUIZUHUIZUQZBVYMUUBZU
          OUFZUPWUAURUSZUTVAZWUBVBUAUDZWUASZUAVCAWUDUAWUAUUCAWUFWUDUAAWUFWUDAWU
          FTZUPUMUMVDUIZWUCUTUPUPWUHUTUPUUMSZUPUPUTVAVEUPUUDVFUUEUUFWUGWUAWUEUJ
          ZUKZURUSZUMVDUIZWUCWUHWUFWUMWUCUFAWUFWUMWUKWUJVGZURUSZWUCWUEVHSZWUKVI
          SZWUEWUKSVBZTWUOWUMUFUAVLZWUQWURWUAVISZWUQVYMVISZWUTUGJVJZVYTBVYMUUGV
          FWUAWUJVKVFZWUEWUAUUHVMWUKWUEVHUUIUUJWUFWUNWUAURWUAWUEUUKUUNUULVNWUGW
          ULUMUMVDWUFAWUEVYMSZVYLHVYMWUJUKZULZGVYSUQZTZWULUMUFZVYTWVGBWUEVYMBUA
          VOZVYQWVFGVYSWVJVYLHVYPWVEWVJVYOWUJVYMVYNWUEVPVQVRVSVTAWVHTZVYLHVYMUB
          UDZUJZUKZULZGVYSUQZUBWVEWAZWVIWVKHWUEVYKUEZHWVLVYKUEZUFZUBWVEWAZWVQWV
          KWVRVYSSZVYLHWVEWAZGVYSUQZWWAAWVDWWBWVGAWVDTZWWBWVRJUFZWWEJWVRWCZWWFV
          BAJVYKWCZHVYMUQWVDWWGAWWHHVYMRUUOWWHWWGHWUEVYMHJWVRHJWDHWUEVYKWBZUUPH
          UAVOZVYKWVRJHWUEVYKWEZUUQUURUUSJWVRUUTWFWWEWWBWWFWWEWVRVYMSZWWBWWFWGZ
          AHUDZVYMSZTZVYKVYMSZWOZWWEWWLWOHUAWWEWWLHWWEHWHZHWVRVYMWWIWIWJWWJWWPW
          WEWWQWWLWWJWWOWVDAHUAVYMWKWLZWWJVYKWVRVYMWWKWMWNVYJUGIWPUIZUMJUHUIZUV
          AUIZWXBWXBUCUDZWQZUCUVDZWRZSZWWPWWQAWXHWWOAEWXCSZFWXFSZWXHAWXBWXAEWSW
          XIPWXAWXBEUGIWPWTUMJUHWTUVBXAAWXBWXBFWQZWXJQWXKWXJWXKFVHSZWXJWXKXBWXK
          WXBVISWXLUMJVJWXBWXBFVIUVCUVEWXEWXKUCFVHWXBWXBWXDFXCUVFXDUVGXDEFWXCWX
          FUVHXEXIWWPDVYMSZWOWWRKVYJWXGKVYJWDWWPWWQKWWPKWHKVYKVYMKVYJDWBWIWJKUD
          ZVYJUFZWXMWWQWWPWXODVYKVYMKVYJDWEWMUVIWXNWXGSZWWPWXMAWXPWWOWXMWXPWWOT
          ZAWXBUGIUHUIZWXNUVJUSZWXNXFUSZUMWWNUHUIZXGZUMUJZWRZWXTWWNUMVDUIZJUHUI
          ZXGZUGUJZWRZVGZVDUVOZUIZWSZWXMWXQGLWXBWXBWXBVDWXAWYCWYHVGZWXRWXSWYJVI
          VIVYIWXASZLUDZWYNSZTVYIWYPVDUIZWXRSZWXQWYOWYQWYSWYQWYPWYCSZWYPWYHSZWG
          WYOWYSWYPWYCWYHUVKWYOWYTWYSXUAWYOWYSWYTVYIUMVDUIZWXRSUGIVYIUVLWYTWYRX
          UBWXRWYTWYPUMVYIVDWYPUMXHXJWMXKWYOWYSXUAVYIUGVDUIZWXRSWYOXUCVYIWXRWYO
          VYIWYOVYIVYIIUVMUVNUVPVYIUGIUVQUVRXUAWYRXUCWXRXUAWYPUGVYIVDWYPUGXHXJW
          MXKUVSXLUVTVNWXPWXBWXAWXSWSZWWOWXPWXSWXCSXUDWXNWXCWXFUWAWXSWXAWXBUWBX
          DXIWXPWXBWXBWXTWQZWWOWXBWYNWYJWSZWXPWXTWXFSXUEWXNWXCWXFUWCWXEXUEUCWXT
          WXNXFUWDWXBWXBWXDWXTXCUWEWFXUEWWOTZWYBWYGVGZWYNWYJWSZXUFXUGWYBWYCWYDW
          SZWYGWYHWYIWSZTWYBWYGXMZUOUFXUIXUJXUKWYBUMUWFXNWYGUGUWGXNVMXUEWWOXULW
          XTWYAWYFXMZXGZUOXUEWXBWXBWXTUWHZWXTUWIUWJXUNXULUFWXBWXBWXTUWKWYAWYFWX
          TUWLUWMWWOXUNWXTUOXGUOWWOXUMUOWXTWWOWWNWYEUWRVAXUMUOUFWWOWWNWWOWWNWWN
          JUWNZUWOUWPUMWWNWYEJUWQXDXOWXTUWSUWTUXAWYBWYGWYCWYHWYDWYIUXHXPXUGXUHW
          XBWYNWYJWWOXUEXUHWXTWXBXGZWXBWWOXUQWXTWYAWYFVGZXGXUHWWOWXBXURWXTWWOWY
          EUMXQUSZSJWWNXQUSSWXBXURUFWWOWYEXRXUSWWOWWNXSSWYEXRSXUPWWNUXBXDUXCXTW
          WNUGJUXDWWNUMJUXEXEXOWXTWYAWYFUXFUXIXUEXUOXUQWXBUFWXBWXBWXTUXGWXBWXBW
          XTUXJXDUXKUXLYAYBWXQUMJUXMZXUTWXBUXNUXOAWXBWXRWYPWSZTZCVYMSZWOAWYMTZW
          XMWOLWYLWXSWYJWYKWTWYPWYLUFZXVBXVDXVCWXMXVEXVAWYMAWXBWXRWYPWYLUXPWLXV
          ECDVYMNWMWNOUXQYCUXSYDUXRUXTZYEAWWLWWMXBZWVDAJUGXQUSZSZXVGAJXSXVHAJMU
          YAZUYBXTZWVRUGJYFXDXIYAYGYKUYCAWVDWVGWWDWWEWVGWWDWWEVYSVISZVYSWVEYLVA
          ZWVGWWDXBUGVYRVJZWWEVYSURUSZWVEURUSZUFZXVMAWVDXVOVYMURUSZUMUNUIZXVPAJ
          UMVDUIZUMUNUIVYRUMVDUIZXVSXVOAJUMUMAJMUYDAUYEZXWBUYFAXVRXVTUMUNAJXSSX
          VRXVTUFXVJJYHXDYIAJXRSVYRXSSXVOXWAUFMJUYGVYRYHUYIUYJWVDXVPXVSWVAWVDXV
          PXVSUFWVBVYMWUEUYHUYKUYLUYMXVLWVEVISZXVQXVMXBXVNWVAXWCWVBVYMWUJVKVFVY
          SWVEUYNUYOWFZGHVYSWVEVYKUYPXPUYQUYSWWCWWAGWVRVYSWWCVYIWVSUFZUBWVEWAVY
          IWVRUFZWWAVYLXWEHUBWVEVYLUBWHHVYIWVSHWVLVYKWBZUYTZHUBVOZVYKWVSVYIHWVL
          VYKWEZYJZUYRXWFXWEWVTUBWVEVYIWVRWVSVUAVUBVUCYMYNWVKWVTWVPUBWVEWVKWVLW
          VESZTZWVTWVPXWMWVDXWLTZWVGTZWVTWVPWVHXWLXWOAWVHXWLTXWOWVDWVGXWLVUIVUD
          VUEXWNWVTWVGWVPXWNWVTTZWVPWVGXWPWVOWVFGVYSXWPVYLHWUJWVEWVMUKZVGZULZVY
          LHWVMXWQVGZULZWVOWVFWVTXWSXXAXBXWNWVTVYLHWUJULZVYLHXWQULZWGVYLHWVMULZ
          XXCWGXWSXXAWVTXXBXXDXXCWVTXWFXWEXXBXXDWVRWVSVYIVUJXXBVYLHWUEYOZXWFVYL
          HWUEVUFWUPXXEXWFXBWUSVYLXWFHWUEVHHVYIWVRWWIUYTZWWJVYKWVRVYIWWKYJVUGVF
          YPXXDVYLHWVLYOZXWEVYLHWVLVUFWVLVHSXXGXWEXBUBVLVYLXWEHWVLVHXWHXWKVUGVF
          YPVUHVUKVYLHWUJXWQVULVYLHWVMXWQVULVUHVNXWNXWSWVOXBWVTXWNVYLHXWRWVNXWL
          WVDWUEWVLWCZXWRWVNUFXWLWVLWUEWVLVYMWUEVUMVUNWVDXXHTZXWRWUJWVNWUJUKZVG
          ZWVNXWQXXJWUJVYMWUJWVMVUOVUTWUEWVNSZWUJWVNVUPXXIXXKWVNUFWUEWVNVUQWUEV
          YMWVLYQZWUJWVNVURVUSVVAYCVRXIXWLXXAWVFXBWVDWVTXWLVYLHXWTWVEXWLWVMWVEV
          UPXWTWVEUFWVLWVEVUQWVMWVEVURWFVRVVBVVCVSVVDVVEYBXWMWVPTZXWIWVRVYKUFZT
          ZHVCZWVTXXNXXPHWVEULZXXQXXNXXOXXPWOZHWVEUQZXXOHWVEULZXXRWVKWWEXWLWVPX
          XTWVHWVDAWVDWVGVVFVVGWWEXWLTZWVPTZWWNWVLWCZXXOVBZWOZHWVEUQZXXTXYCXXOW
          WJWOZHWVNUQZXYGXYCXXLXXOXXOHGVVHZTZHGVOZWOZGWVNUQZHWVNUQZXYIXYBXXLWVP
          WVDXWLXXLAWVDWVLVYMSZWVLWUEWCZTZTXXIXWNXXLXYRXXHWVDXYQXXHXYPXYQXXHWVL
          WUEVVJVUDVNVVGXWLXYRWVDWVLVYMWUEYQZVVKXXMVVIVUEXIXYCXXOHWVNVVLZXYOXYC
          XXOHWVNWAZXYTXYCWWBVYLHWVNWAZGVYSUQZYUAWWEWWBXWLWVPWWPVYKVYSSZWOWWEWW
          BWOHUAWWEWWBHWWSHWVRVYSWWIWIWJWWJWWPWWEYUDWWBWWTWWJVYKWVRVYSWWKWMWNWW
          PYUDVYKJUFZWWPVYKJWWPJVYKRVUNVVMWWPYUDYUEWWPWWQYUDYUEWGZXVFAWWQYUFXBZ
          WWOAXVIYUGXVKVYKUGJYFXDXIYAYGYKYEZVVTXYBVYSWVNYLVAZWVPYUCAXWLYUIWVDXW
          LAXYPYUIWVLVYMWUJVVNWWEXVMWOAXYPTZYUIWOUAUBUAUBVOZWWEYUJXVMYUIYUKWVDX
          YPAUAUBVYMWKWLYUKWVEWVNVYSYLYUKWUJWVMVYMWUEWVLVPVQVVOWNXWDVVPYCVVQYUI
          WVPYUCXVLYUIWVPYUCXBXVNGHVYSWVNVYKUYPUYKVVRYBYUBYUAGWVRVYSXWFVYLXXOHW
          VNXXFXWFVYLXXOXBWWNWVNSZVYIWVRVYKVUAZXIVVSYMYNXXOHWVNVWAXDXXOHGWVNXXO
          GWHVWBWFXXLXYNXYHHWVNXYMXYHGWUEWVNGUAVOZXYKXXOXYLWWJYUNXXOXYKYUNXYJXX
          OYUNWVRHVYIVYKUEZUFZXYJYUNHWUEVYIVYKGUAVWCVWDXYJXXOHVYIYOZYUPXXOHGVWE
          VYIVHSZYUQYUPXBGVLYURYUQHVYIWVRUEZYUOUFYUPHVYIWVRVYKVHVWFYURYUSWVRYUO
          HVYIWVRVHWWIVWGVWIVWJVFYPXAVWHVWKVYIWUEWWNVUJWNYMVWLYNYULWWNWUEWCZXYE
          WOZWOZHVWSZWWNWVESZXYFWOZHVWSXYIXYGYVBYVEHYVDXYDTZXYEWOYULYUTTZXYEWOY
          VEYVBYVFYVGXYEWWNXXJSWWNXWQSYVGYVFXXJXWQWWNVYMWVMWUJVUOVWMWWNWVNWUEYQ
          WWNWVEWVLYQVWNYRYVDXYDXYEVWOYULYUTXYEVWOVWNVWPXYIYVAHWVNUQYVCXYHYVAHW
          VNXYHWWJVBZXYEWOYVAXXOWWJVWQYUTYVHXYEWWNWUEVWRYRYSVWTYVAHWVNVXAYPXYFH
          WVEVXAYTWFXYFXXSHWVEXYFXXOXWIWOZXXSXYFXWIVBZXYEWOYVIXYDYVJXYEWWNWVLVW
          RYRXXOXWIVWQYSXXOXWIVXBVXCVXDXDVXEWVKXYAXWLWVPAWVDWVGXYAWWEWWBWVGXYAY
          UHWVFXYAGWVRVYSXWFVYLXXOHWVEXXFYUMVXFVXGYBVXJVVTXXOXXPHWVEVXHYNXXPHWV
          EVXIXDXXOWVTHUBHWVRWVSWWIXWGVXKXWIVYKWVSWVRXWJYJVXLWFVXMVXNYAXWLWVPTZ
          UBVXOWVLWUKSZUBVXOZWVQWVIYVKYVLUBYVKWVLWUASZXYQTZYVLXYRWVPTXYPWVPTZXY
          QTYVKYVOXYPXYQWVPVUIXWLXYRWVPXYSVXPYVNYVPXYQVYTWVPBWVLVYMBUBVOZVYQWVO
          GVYSYVQVYLHVYPWVNYVQVYOWVMVYMVYNWVLVPVQVRVSVTVXPYTWVLWUAWUEYQYSVXQWVP
          UBWVEVXTWUQWVIYVMXBWVCWUKVIUBVXRVFYTWFVXSYIVYAVYBYDVYCXLWUBUPUOURUSZW
          UCUTUPUGYVRUTWUIUPUGUTVAVEUPVYDVFVYEVYFWUAUOURVYGVYBVYH $.
      $}

      $( Lemma for ~ poimir showing an even difference between the number of
         admissible faces and the number of admissible simplices.  Equation (6)
         of [Kulpa] p. 548.  (Contributed by Brendan Leahy, 21-Aug-2020.) $)
      poimirlem26 $p |- ( ph -> 2 || ( ( # ` { t e. ( ( ( ( 0 ..^ K ) ^m
        ( 1 ... N ) ) X. { f | f : ( 1 ... N ) -1-1-onto-> ( 1 ... N ) } ) X.
          ( 0 ... N ) ) | A. i e. ( 0 ... ( N - 1 ) )
        E. j e. ( ( 0 ... N ) \ { ( 2nd ` t ) } )
          i = [_ ( 1st ` t ) / s ]_ C } ) - ( # ` { s e. ( ( ( 0 ..^ K ) ^m
        ( 1 ... N ) ) X. { f | f : ( 1 ... N ) -1-1-onto-> ( 1 ... N ) } ) |
          A. i e. ( 0 ... N ) E. j e. ( 0 ... N ) i = C } ) ) ) $=
        ( vx vy vk wceq wa wcel c2 cc0 co c1 cfz wf1o cab cxp csn csb cdif wrex
        cv cmin wral wne crab chash cfv c1st c2nd cdvds cfn fzfi mp2an wss xpfi
        wf cz a1i cn0 rabfi ax-mp wbr cop ad2antrr cima caddc cun nfcsb1v nfeq2
        nfv nfim weq xpeq1d oveq1d eqeq2d csbeq1a imbi12d fveq2 syl xp2nd sylib
        wi nfcv csbeq2dv neeq2d csbeq1d rexbidv ralbidv fveq2d wn c0 sylibr cvv
        cmul vex adantr nfan bitri eleq1 notbid eqeq2 syl5ibcom expimpd sylancr
        wb syl2anc eqtrd adantlr eqeq1 rspcva cen cdom wfo copab anbi12d sylan2
        syl2an eqcomd adantl syl5bb wex anbi2d csbeq1 anim1i wreu sylbi anass
        cin cfzo cmap csu fzofi f1of ss2abi ovex mapval sseqtrri ssfi pm3.2i 2z
        mapfi mp1i snfi hashcl nn0zi cn cof oveq2 imaeq2d oveq1 uneq12d imaeq1d
        oveq2d oveq12d chvarfv ad4ant14 elmapi ad2antlr fvex f1oeq1 elab nfcsbw
        nfne cbvcsbw syl5eq impcom adantll 1st2nd2 ad3antlr neeqtrd poimirlem25
        xp1st cbvrexw bitr2id iba sylan9bb rabbidv breqtrd dvds0 hash0 breqtrri
        rspc ex simpr ralrimivw rabeq0 breqtrrid pm2.61d1 hashxp hashsng oveq1i
        con3i nn0cni mulid2i 3eqtri breqtrrdi fsumdvds cuz nncnd npcan1 nnm1nn0
        cc nn0zd uzid peano2uz 3syl eqeltrrd fzss2 ssralv wnel raldifb biimparc
        nnel velsn cle nnred ltm1d nn0red ltnled mpbid elfzle2 syl5ibrcom con2d
        clt nsyl imp expdimp an32s syl5bi idd jad ralimdaa syl5bir con3d dfrex2
        syl5 3imtr4g ralimdva syld ss2rabdv hashssdif ciun ralbii ralnex nnnn0d
        df-ne nn0uz eleqtrdi eqeltrd fzsplit2 nnzd uneq2d raleqdv ralunb ssrexv
        fzsn difss ralimi biantrurd bitr4id nn0fz0 nfre1 nfralw ad3antrrr diffi
        eldifsn ssrab2 ssdomg mp2 hashdifsn mpan 1cnd addsubd hashfz0 sylan9eqr
        3eqtr4d hashen cmpt biimpac rabid simplbi2com impancom reximdv2 simplbi
        ancrd pm4.71rd df-mpt nfrab1 nfcri cbvopab1 eqtr4i breqi opabidw 3bitri
        df-br bitr4di rexbidva nfmpt breq1 cbvrexfw bitrdi sylibd ralimia nfel1
        nfbr eqid eleq1d elrabf simprbi fmpti jctil dffo4 fodomfi sbth fisseneq
        endomtr mp3an12i eleq2d biimpar equcoms sylan2br expr necon1bd eqtr mpd
        vtoclga exp31 rexlimd mpand ralsng 3bitr3rd pm5.32da rabbidva w3a opeq2
        3anass cbvexv1 exbii eliunxp elopab 3bitr4i eqriv op2ndd difeq2d op1std
        sneqd rexeqbidv rabxp difrab 3eqtr4g wdisj wo disjsn2 sylbir 0xp eqtrdi
        inxp orri rgen2w sneq xpeq12d disjor mpbir hashiun eqtr3d cres wf1 wfun
        cdm fo1st fofun ssv fof fdmi rexrab eqcoms adantrl rexlimiv crio simplr
        fores enref phpreu biimpi reubidv riotacl opelxpi wsbc riotasbc riotaex
        sbceq2g expcom nfriota1 nfop csbeq2d rexbid biantrud bitr2d rspcev expl
        imdistanri impbid2 abbidv dfimafn nfrex nfrabw cbvabw eqtri foeq3 mpbii
        df-rab fvres eqeqan12d elrab simpl ss2rabi anim12i anbi2i bitr3i anbi1i
        sseli an4 ancom wsb wrmo reurmo rmobidv rmo3 nfs1v anbi1d sbsbc syl5com
        rspc2 impr imbi1d com23 elrabi xpopth biimpd expd mpdd ralrimivva dff13
        sylbid sylanbrc df-f1o elexi f1oen 3eqtr3d ) AUAUBHUUAUCZUDIUEUCZUUBUCZ
        XVCXVCEUMZUFZEUGZUHZOUMZUIZFUMZJXVIDUJZRZGUBIUEUCZPUMZUIZUKZULZFUBIUDUN
        UCZUEUCZUOZIXVLUPZGXVNUOZSZPXVNUQZUHZURUSZOUUCZXVKJBUMZUTUSZDUJZRZGXVNX
        WIVAUSZUIZUKZULZFXVTUOZBXVHXVNUHZUQZURUSZXVKDRZGXVNULZFXVNUOZJXVHUQZURU
        SZUNUCZVBAXVHXWGOUAXVDVCTZXVGVCTZSXVHVCTZAXXGXXHXVBVCTXVCVCTZXXGUBHUUDU
        DIVDZXVBXVCUUMVEZXVCXVCUUBUCZVCTZXVGXXMVFXXHXXJXXJXXNXXKXXKXVCXVCUUMVEX
        VGXVCXVCXVEVHZEUGXXMXVFXXOEXVCXVCXVEUUEUUFXVCXVCEUDIUEUUGZXXPUUHUUIXXMX
        VGUUJVEZUUKXVDXVGVGZUUNZUAVITZAUULVJXWGVITAXVIXVHTZSZXWGXWFVCTZXWGVKTXV
        JVCTZXWEVCTZXYCXVIUUOZXVNVCTZXYEUBIVDZXWDPXVNVLVMZXVJXWEVGVEZXWFUUPVMUU
        QVJXYBUAXWEURUSZXWGVBXYBXWCUAXYKVBVNZXYBXWCXYLXYBXWCSZUAXVKBXVIUTUSZXVI
        VAUSZVOZGQUMZJXWIDUJZUJZUJZRZQXVQULZFXVTUOZPXVNUQZURUSZXYKVBXYMPCXYSXYN
        XYOFQHIBKAIUURTZXYAXWCLVPKUMZXWJXWMUDGUMZUEUCZVQZUDUIZUHZXWMYUHUDVRUCZI
        UEUCZVQZUBUIZUHZVSZVRUUSZUCZRZCXYRRZWNZYUGXWJXWMUDXYQUEUCZVQZYUKUHZXWMX
        YQUDVRUCZIUEUCZVQZYUPUHZVSZYUSUCZRZCXYSRZWNGQYVMYVNGYVMGWBGCXYSGXYQXYRV
        TZWAWCGQWDZYVAYVMYVBYVNYVPYUTYVLYUGYVPYURYVKXWJYUSYVPYULYVFYUQYVJYVPYUJ
        YVEYUKYVPYUIYVDXWMYUHXYQUDUEUUTUVAWEYVPYUOYVIYUPYVPYUNYVHXWMYVPYUMYVGIU
        EYUHXYQUDVRUVBWFUVAWEUVCUVEWGYVPXYRXYSCGXYQXYRWHZWGWIYUGJUMZUTUSZYVRVAU
        SZYUIVQZYUKUHZYVTYUNVQZYUPUHZVSZYUSUCZRZCDRZWNYVCJBYVAYVBJYVAJWBJCXYRJX
        WIDVTZWAWCJBWDZYWGYVAYWHYVBYWJYWFYUTYUGYWJYVSXWJYWEYURYUSYVRXWIUTWJYWJY
        WBYULYWDYUQYWJYWAYUJYUKYWJYVTXWMYUIYVRXWIVAWJZUVDWEYWJYWCYUOYUPYWJYVTXW
        MYUNYWKUVDWEUVCUVFWGYWJDXYRCJXWIDWHZWGWIMUVGUVGAXVCUBHUEUCYUGVHCXVNTXYA
        XWCNUVHXYAXVCXVBXYNVHZAXWCXYAXYNXVDTYWMXVIXVDXVGUWDXYNXVBXVCUVIWKUVJXYA
        XVCXVCXYOUFZAXWCXYAXYOXVGTYWNXVIXVDXVGWLXVFYWNEXYOXVIVAUVKXVCXVCXVEXYOU
        VLUVMWMUVJXYMXYQXVNTZSIBXVIXYSUJZXYTXWCYWOIYWPUPZXYBYWOXWCYWQXWBYWQGXYQ
        XVNGIYWPGIWOGBXVIXYSGXVIWOYVOUVNZUVOYVPXVLYWPIYVPXVLBXVIXYRUJYWPJBXVIDX
        YRBDWOYWIYWLUVPYVPBXVIXYRXYSYVQWPUVQZWQUWNUVRUVSXYAYWPXYTRAXWCYWOXYABXV
        IXYPXYSXVIXVDXVGUVTWRZUWAUWBUWCXYAXWCYUEXYKRAXYAXWCSZYUDXWEURYXAYUCXWDP
        XVNXYAYUCXWAXWCXWDXYAYUBXVRFXVTXVRXVKYWPRZQXVQULXYAYUBXVMYXBGQXVQXVMQWB
        GXVKYWPYWRWAYVPXVLYWPXVKYWSWGUWEXYAYXBYUAQXVQXYAYWPXYTXVKYWTWGWSUWFWTXW
        CXWAUWGUWHUWIXAUVSUWJUWOXWCXBZUAXCURUSZXYKVBUAUBYXDVBXXTUAUBVBVNUULUAUW
        KVMUWLUWMYXCXWEXCURYXCXWDXBZPXVNUOXWEXCRYXCYXEPXVNXWDXWCXWAXWCUWPUXDUWQ
        XWDPXVNUWRXDXAUWSUWTXWGXVJURUSZXYKXFUCZUDXYKXFUCXYKXYDXYEXWGYXGRXYFXYIX
        VJXWEUXAVEYXFUDXYKXFXVIXETYXFUDROXGZXVIXEUXBVMUXCXYKXYKXYEXYKVKTXYIXWEU
        UPVMUXEUXFUXGUXHUXIAXWSIGXWMXWKUJZRZXWLGXVNULZFXVNUOZSZBXWRUQZUKZURUSZX
        WTYXNURUSZUNUCZXWHXXFAXWSVCTZYXNXWSVFYXPYXRRXWRVCTZYXSXXIXYGYXTXXGXXHXX
        IXXLXXQXXRVEZXYHXVHXVNVGVEZXWQBXWRVLVMAYXMXWQBXWRAYXMXWQWNXWIXWRTZAYXJY
        XLXWQAYXJSZYXLYXKFXVTUOZXWQAYXLYYEWNZYXJAIXVSUXJUSZTZXVTXVNVFYYFAXVSUDV
        RUCZIYYGAIUXNTYYIIRAILUXKZIUXLWKZAXVSVITXVSYYGTYYIYYGTAXVSAYUFXVSVKTZLI
        UXMWKZUXOXVSUXPXVSXVSUXQUXRUXSZXVSUBIUXTYXKFXVTXVNUYAUXRXHYYDYXKXWPFXVT
        YYDXVKXVTTZSZXWLXBZGXVNUOZXBYYQGXWOUOZXBYXKXWPYYPYYSYYRYYSYUHXWNUYBZYYQ
        WNZGXVNUOYYPYYRYYQGXVNXWNUYCYYPUUUAYYQGXVNYYDYYOGAYXJGAGWBGIYXIGXWMXWKV
        TWAZXIYYOGWBXIYYPUUUAYYQWNYUHXVNTZYYPYYTYYQYYQYYTXBZYUHXWMRZYYPYYQUUUDY
        UHXWNTUUUEYUHXWNUYEGXWMUYFXJAYYOYXJUUUEYYQWNAYYOSZYXJUUUEYYQYXJUUUESIXW
        KRZUUUFYYQUUUEUUUGYXJUUUEXWKYXIIGXWMXWKWHZWGUYDUUUFXVKIRZXBZUUUGYYQAYYO
        UUUJAUUUIYYOAYYOXBUUUIIXVTTZXBZAIXVSUYGVNZUUUKAXVSIUYPVNUUUMXBAIAILUYHZ
        UYIAXVSIAXVSYYMUYJUUUNUYKUYLIUBXVSUYMUYQZUUUIYYOUUUKXVKIXVTXKXLUYNUYOUY
        RUUUGUUUIXWLIXWKXVKXMXLXNVUHUYSUYTVUAYYPYYQVUBVUCXHVUDVUEVUFXWLGXVNVUGX
        WLGXWOVUGVUIVUJVUKXOXHVULXWSYXNVUMXPAOXVHXWFVUNZURUSYXPXWHAUUUPYXOURAXW
        QIXWKUPZGXVNUOZSZBXWRUQZXWQYXMXBZSZBXWRUQUUUPYXOAUUUSUUVBBXWRYYCAXWMXVN
        TZUUUSUUVBXQXWIXVHXVNWLAUUVCSZXWQUUURUUVAUUURUUUGGXVNULZXBZUUVDXWQSZUUV
        AUUURUUUGXBZGXVNUOUUVFUUUQUUVHGXVNIXWKVURVUOUUUGGXVNVUPXJUUVGUUVEYXMUUV
        GYXLYXKFIUIZUOZYXMUUVEAXWQYXLUUVJXQUUVCAYXLYXKFXVTUUVIVSZUOZXWQUUVJAYXK
        FXVNUUVKAXVNXVTYYIIUEUCZVSZUUVKAYYIUBUXJUSZTYYHXVNUUVNRAYYIIUUVOYYKAIVK
        UUVOAILVUQZVUSVUTVVAYYNXVSUBIVVBXRAUUVMUUVIXVTAUUVMIIUEUCZUUVIAYYIIIUEY
        YKWFAIVITUUVQUUVIRAILVVCIVVHWKXSVVDXSVVEXWQUUVLYYEUUVJSUUVJYXKFXVTUUVIV
        VFXWQYYEUUVJXWPYXKFXVTXWOXVNVFXWPYXKWNXVNXWNVVIXWLGXWOXVNVVGVMVVJVVKVVL
        UWHXTUUVGYXLYXJUUVGIXVNTZYXLYXJAUUVRUUVCXWQAIVKTZUUVRUUVPIVVMWMZVPUUVRY
        XLSUUVEUUVGYXJYXKUUVEFIXVNUUUIXWLUUUGGXVNXVKIXWKYAWSZYBUUVGUUUGYXJGXVNU
        UVDXWQGUUVDGWBXWPGFXVTGXVTWOXWLGXWOVVNVVOXIUUUBUUVGUUUCUUUGYXJUUVGUUUCS
        ZUUUGSZXWKYXIRZYXJUUWCUUUEUUWDUUWBUUUGUUUEUUWBUUUGXWKXVTTZXBZUUUEAUUUGU
        UWFWNUUVCXWQUUUCAUUULUUUGUUWFUUUOUUUGUUUKUUWEIXWKXVTXKXLXNVVPUUWBUUWEYU
        HXWMUUVGUUUCYUHXWMUPZUUWEUUUCUUWGSUUVGYUHXWOTZUUWEYUHXVNXWMVVRUUVGUUWHS
        YUHUUWEGXWOUQZTZUUWEUUVGUUWJUUWHUUVGUUWIXWOYUHXWOVCTZUUWIXWOVFZUUVGUUWI
        XWOYCVNZUUWIXWORXYGUUWKXYHXVNXWNVVQVMZUUWEGXWOVVSZUUVGUUWIXWOYDVNZXWOUU
        WIYDVNZUUWMUUWKUUWLUUWPUUWNUUWOUUWIXWOVCVVTVWAUUVDXWOXVTYCVNZXVTUUWIYDV
        NZUUWQXWQUUVDXWOURUSZXVTURUSZRZUUWRUUVCAUUWTXVNURUSZUDUNUCZUUXAXYGUUVCU
        UWTUUXDRXYHXVNXWMVWBVWCAIUDVRUCZUDUNUCYYIUUXDUUXAAIUDUDYYJAVWDZUUXFVWEA
        UUXCUUXEUDUNAUUVSUUXCUUXERUUVPIVWFWKWFAYYLUUXAYYIRYYMXVSVWFWKVWHVWGUUWK
        XVTVCTUUXBUUWRXQUUWNUBXVSVDXWOXVTVWIVEWMXWQUUWIVCTZUUWIXVTQUUWIGXYQXWKU
        JZVWJZYEZUUWSUUWKUUXGUUWNUUWEGXWOVLVMXWQUUWIXVTUUXIVHZYUGXVKUUXIVNZKUUW
        IULZFXVTUOZSUUXJXWQUUXNUUXKXWPUUXMFXVTYYOXWPXWLGUUWIULZUUXMYYOXWLXWLGXW
        OUUWIYYOUUWHXWLUUWJXWLSZYYOUUWHSZXWLUUWJYYOXWLUUWHUUWJYYOXWLSUUWEUUWHUU
        WJWNXWLYYOUUWEXVKXWKXVTXKVWKUUWJUUWHUUWEUUWEGXWOVWLZVWMWKVWNZVWQXOVWOYY
        OUUXOYUHXVKUUXIVNZGUUWIULUUXMYYOXWLUUXTGUUWIUUWJYYOUUWHXWLUUXTXQUUWJUUW
        HUUWEUUXRVWPUUXQXWLUUXPUUXTUUXQXWLUUWJUUXSVWRUUXTYUHXVKUUXPGFYFZVNYUHXV
        KVOUUYATUUXPYUHXVKUUXIUUYAUUXIXYQUUWITZXVKUUXHRZSZQFYFUUYAQFUUWIUUXHVWS
        UUXPUUYDGFQUUXPQWBUUYBUUYCGGQUUWIUUWEGXWOVWTZVXAGXVKUUXHGXYQXWKVTZWAXIY
        VPUUWJUUYBXWLUUYCYUHXYQUUWIXKYVPXWKUUXHXVKGXYQXWKWHZWGYGVXBVXCVXDYUHXVK
        UUYAVXGUUXPGFVXEVXFVXHYHVXIUUXTUUXLGKUUWIUUYEKUUWIWOUUXTKWBGYUGXVKUUXIG
        YUGWOGQUUWIUUXHUUYEUUYFVXJGXVKWOVXQYUHYUGXVKUUXIVXKVXLVXMVXNVXOQUUWIXVT
        UUXHUUXIUUXIVXRUUYBXYQXWOTUUXHXVTTZUUWEUUYHGXYQXWOGXYQWOGXWOWOGUUXHXVTU
        UYFVXPYVPXWKUUXHXVTUUYGVXSVXTVYAZVYBVYCKFUUWIXVTUUXIVYDXDUUWIXVTUUXIVYE
        XPXWOXVTUUWIVYHYIUUWIXWOVYFXPUUWIXWOVYGVYIVYJVYKUUYHUUWEQYUHUUWIQGWDZUU
        XHXWKXVTUUYJXWKUUXHXWKUUXHRGQUUYGVYLYJVXSUUYIVYRWKVYMVYNVYOVUKUYRUUUHWK
        UUUGUUWDYXJWNUUWBUUUGUUWDYXJIXWKYXIVYPUWOYKVYQVYSVYTVUHWUAVWRAUUVJUUVEX
        QZUUVCXWQAYUFUUYKLYXKUUVEFIUURUUWAWUBWKVPWUCXLYLWUDYHWUEUUUPXYAXVOXVNTZ
        XWDWUFZOPYFZUUUTBUUUPUUYNXWIXVIXYQVOZRZXYAXYQXWETZSZSZQYMZOYMXWIXVIXVOV
        OZRZUUYMSZPYMZOYMXWIUUUPTXWIUUYNTUUYTUVUDOUUYSUVUCQPUUYPUUYRPUUYPPWBXYA
        UUYQPXYAPWBPQXWEXWDPXVNVWTVXAXIXIUVUCQWBQPWDZUUYPUVUBUUYRUUYMUVUEUUYOUV
        UAXWIXYQXVOXVIWUGWGUVUEUUYRXYAUUYLXWDSZSUUYMUVUEUUYQUVUFXYAUVUEUUYQXVOX
        WETUVUFXYQXVOXWEXKXWDPXVNVWLVXMYNXYAUUYLXWDWUHVXHYGWUIWUJOQXVHXWEXWIWUK
        UUYMOPXWIWULWUMWUNUUUSXWDBOPXVHXVNUVUBXWQXWAUUURXWCUVUBXWPXVRFXVTUVUBXW
        LXVMGXWOXVQUVUBXWNXVPXVNUVUBXWMXVOXVIXVOXWIYXHPXGZWUOWURWUPUVUBXWKXVLXV
        KUVUBJXWJXVIDXVIXVOXWIYXHUVUGWUQWRZWGWUSWTUVUBUUUQXWBGXVNUVUBXWKXVLIUVU
        HWQWTYGWUTVXCXWQYXMBXWRWVAWVBXAAOXVHXWFXXSXYCXYBXYJVJOXVHXWFWVCZAUVUIOB
        WDZXWFXWIUIZXVKXYRRZGXVQULZFXVTUOZIXYRUPZGXVNUOZSZPXVNUQZUHZYTZXCRZWVDZ
        BXVHUOOXVHUOUVVBOBXVHXVHUVUJUVVAUVUJXBZUVUTXVJUVUKYTZXWEUVURYTZUHZXCXVJ
        XWEUVUKUVURWVIUVVCUVVFXCUVVEUHXCUVVCUVVDXCUVVEUVVCXVIXWIUPUVVDXCRXVIXWI
        VURXVIXWIWVEWVFWEUVVEWVGWVHUVQWVJWVKXVHXWFUVUSOBUVUJXVJUVUKXWEUVURXVIXW
        IWVLUVUJXWDUVUQPXVNUVUJXWAUVUNXWCUVUPUVUJXVRUVUMFXVTUVUJXVMUVULGXVQUVUJ
        XVLXYRXVKJXVIXWIDYOZWGWSWTUVUJXWBUVUOGXVNUVUJXVLXYRIUVVGWQWTYGUWIWVMWVN
        WVOVJWVPWVQAYXQXXEXWTUNAYXNXXDYCVNZYXQXXERZAYXNXXDUTYXNWVRZUFZUVVHAYXNX
        XDUVVJWVSZYXNXXDUVVJYEZUVVKAYXNXXDUVVJVHZXVIUVVJUSZXVOUVVJUSZRZOPWDZWNZ
        PYXNUOOYXNUOUVVLAUVVMUVVNAYXNUTYXNVQZUVVJYEZUVVMUTWVTZYXNUTWWAZVFZUVWAX
        EXEUTYEZUVWBWWBXEXEUTWWCVMZYXNXEUVWCYXNWWDXEXEUTUVWEXEXEUTVHWWBXEXEUTWW
        EVMWWFUUIZYXNUTWWMVEAUVVTXXDRUVWAUVVMXQAXYNYVRRZOYXNULZJUGZYVRXVHTZXXCS
        ZJUGUVVTXXDAUVWIUVWLJUVWIIGXYOJXYNDUJZUJZRZXVKUVWMRZGXVNULZFXVNUOZSZUVW
        HSZOXWRULZAUVWLYXMUVWSUVWHOBXWRBOWDZYXJUVWOYXLUVWRUVXBYXIUVWNIUVXBYXIGX
        YOXWKUJUVWNUVXBGXWMXYOXWKXWIXVIVAWJWRUVXBGXYOXWKUVWMUVXBJXWJXYNDXWIXVIU
        TWJWRZWPXSWGUVXBYXKUVWQFXVNUVXBXWLUVWPGXVNUVXBXWKUVWMXVKUVXCWGWSWTYGZWW
        GAUVXAUVWLUVWTUVWLOXWRXVIXWRTZUVWSUVWHUVWLUVXEUVWRUVWHUVWLWNUVWOUVXEUVW
        RSXYNXVHTZUVWRSUVWHUVWLUVXEUVXFUVWRXVIXVHXVNUWDYPUVWHUVXFUVWKUVWRXXCXYN
        YVRXVHXKUVWHUVWQXXBFXVNUVWHUVWPXXAGXVNUVWHUVWMDXVKUVWHDUVWMDUVWMRZYVRXY
        NJXYNDWHZWWHYJWGWSWTYGXNWWIXOWWJAUVWKXXCUVXAAUVWKSXXCSZYVRIDRZGXVNWWKZV
        OZXWRTZIGUVXKDUJZRZXXCSZUVXAUVXIUVWKUVXKXVNTZUVXMAUVWKXXCWWLAXXCUVXQUVW
        KAXXCSZUVXJGXVNYQZUVXQAUUVRXXAGXVNYQZFXVNUOZUVXSXXCUUVTXXCUVYAXYGXVNXVN
        YCVNZXXCUVYAXQXYHXVNUBIUEUUGWWNZFGXVNXVNDWWOVEWWPUVXTUVXSFIXVNUUUIXXAUV
        XJGXVNXVKIDYAWWQYBYIZUVXJGXVNWWRWKXTYVRUVXKXVHXVNWWSXRAXXCUVXPUVWKXXCAU
        VXOAXXCUVXOUVXRUVXJGUVXKWWTZUVXOUVXRUVXSUVYEUVYDUVXJGXVNWXAWKUVXKXETUVY
        EUVXOXQUVXJGXVNWXBZGUVXKIDXEWXCVMWMWXDWXMXTUVWTUVXPOUVXLXWRXVIUVXLRZUVX
        PUVWSUVWTUVYGUVXOUVWOXXCUVWRUVYGUVXNUVWNIUVYGGXYODUJUVXNUVWNUVYGGXYOUVX
        KDYVRUVXKXVIJXGZUVYFWUOWRUVYGGXYODUVWMGXVIUVXLGYVRUVXKGYVRWOUVXJGXVNWXE
        WXFWAZUVYGYVRXYNRUVXGUVYGXYNYVRYVRUVXKXVIUVYHUVYFWUQZYJUVXHWKZWXGWVQWGU
        VYGXXBUVWQFXVNUVYGXXAUVWPGXVNUVYIUVYGDUVWMXVKUVYKWGWXHWTYGUVYGUVWHUVWSU
        VYJWXIWXJWXKXRWXLWXNYLWXOUVVTXYNXVORZOYXNULZPUGZUVWJUVWBUVWDUVVTUVYNRUV
        WFUVWGOPYXNUTWXPVEUVYMUVWIPJUVYLJOYXNYXMJBXWRYXJYXLJJIYXIJGXWMXWKJXWMWO
        JXWJDVTZUVNWAYXKJFXVNJXVNWOZXWLJGXVNUVYPJXVKXWKUVYOWAWXQVVOXIJXWRWOWXRU
        VYLJWBWXQUVWIPWBPJWDUVYLUVWHOYXNXVOYVRXYNXMWSWXSWXTXXCJXVHWYCWVBUVVTXXD
        YXNUVVJWYAWKWYBZYXNXXDUVVJWWEWKAUVVSOPYXNYXNAXVIYXNTZXVOYXNTZSZSZUVVQXY
        NXVOUTUSZRZUVVRUVYTUVVQUWUCXQAUVYRUVYSUVVOXYNUVVPUWUBXVIYXNUTWYDXVOYXNU
        TWYDWYEYKUWUAUWUCXYOXVOVAUSZRZUVVRUVYTAUVWRXYOXVNTZUWUDXVNTZSZSZUVWOIGU
        WUDJUWUBDUJZUJZRZSZSZUWUCUWUEWNZUVYTUWUFUVWSSZUWUGUWULSZSZUWUNUVYRUWUPU
        VYSUWUQUVYRUVXEUVWSSUWUPYXMUVWSBXVIXWRUVXDWYFUVXEUWUFUVWSXVIXVHXVNWLYPY
        RUVYSXVOYXJBXWRUQZTZUWUQYXNUWUSXVOYXMYXJBXWRYXMYXJWNYYCYXJYXLWYGVJWYHWY
        MUWUTXVOXWRTZUWULSUWUQYXJUWULBXVOXWRBPWDZYXIUWUKIUWVBYXIGUWUDXWKUJUWUKU
        WVBGXWMUWUDXWKXWIXVOVAWJWRUWVBGUWUDXWKUWUJUWVBJXWJUWUBDXWIXVOUTWJWRWPXS
        WGWYFUWVAUWUGUWULXVOXVHXVNWLYPYRWKWYIUVWRUWUFUVWOSZUWUQSZSZUVWRUWUHUWUM
        SZSUWURUWUNUWVDUWVFUVWRUWUFUVWOUWUGUWULWYNWYJUWURUVWRUWVCSZUWUQSUWVEUWU
        PUWVGUWUQUWUPUWVCUVWRSUWVGUWUFUVWOUVWRYSUWVCUVWRWYOWYKWYLUVWRUWVCUWUQYS
        XJUVWRUWUHUWUMYSWUMWMAUWUIUWUMUWUOAUWUISZUWUCUWUMUWUEUWVHUVWOIGUWUDUVWM
        UJZRZSZUWUEWNZUWUCUWUMUWUEWNAUVWRUWUHUWVLAUVWRSZIUVWMRZUWVNGQWYPZSZYVPW
        NZQXVNUOGXVNUOZUWUHUWVLUWVMUWVNGXVNWYQZUWVRAUUVRUVWPGXVNWYQZFXVNUOZUWVS
        UVWRUUVTUVWRUVWPGXVNYQZFXVNUOZUWWAXYGUVYBUVWRUWWCXQXYHUVYCFGXVNXVNUVWMW
        WOVEUWWBUWVTFXVNUVWPGXVNWYRVVJYRUWVTUWVSFIXVNUUUIUVWPUWVNGXVNXVKIUVWMYA
        WYSYBYIUWVNGQXVNUWVNQWBWYTWMUWVQUWVLUVWOUWVOSZXYOXYQRZWNGQXYOUWUDXVNXVN
        UWWDUWWEGUVWOUWVOGGIUVWNGXYOUVWMVTWAUWVNGQXUAXIUWWEGWBWCUWVLQWBYUHXYORZ
        UWVPUWWDYVPUWWEUWWFUWVNUVWOUWVOUWWFUVWMUVWNIGXYOUVWMWHWGXUBYUHXYOXYQYAW
        IXYQUWUDRZUWWDUWVKUWWEUWUEUWWGUWVOUWVJUVWOUWVOIGXYQUVWMUJZRZUWWGUWVJUWV
        OUWVNGXYQWWTZUWWIUWVNGQXUCXYQXETUWWJUWWIXQQXGGXYQIUVWMXEWXCVMXJUWWGUWWH
        UWVIIGXYQUWUDUVWMYOWGYLYNXYQUWUDXYOXMWIXUEXUDXUFUWUCUWVKUWUMUWUEUWUCUWV
        JUWULUVWOUWUCUWVIUWUKIUWUCGUWUDUVWMUWUJJXYNUWUBDYOWPWGYNXUGXNXUHXUFYHUV
        YTUWUCUWUEUVVRWNWNZAUVYRUVXEUWVAUWWKUVYSYXMBXVIXWRXUIYXMBXVOXWRXUIUVXEU
        WVASZUWUCUWUEUVVRUWWLUWUCUWUESUVVRXVIXVOXVHXVNXVHXVNXUJXUKXULYIYKXUMXUP
        XUNOPYXNXXDUVVJXUOXUQUVYQYXNXXDUVVJXURXUQYXNXXDUVVJYXNVCYXTYXNVCTZYYBYX
        MBXWRVLVMZXUSXUTWKUWWMXXDVCTZUVVIUVVHXQUWWNXXIUWWOYYAXXCJXVHVLVMYXNXXDV
        WIVEXDUVEXVAUWJ $.

      poimirlem28.3 $e |- ( ( ph /\ ( n e. ( 1 ... N ) /\
          p : ( 1 ... N ) --> ( 0 ... K ) /\ ( p ` n ) = 0 ) ) ->
            B < n ) $.
      poimirlem28.4 $e |- ( ( ph /\ ( n e. ( 1 ... N ) /\
          p : ( 1 ... N ) --> ( 0 ... K ) /\ ( p ` n ) = K ) ) ->
            B =/= ( n - 1 ) ) $.
      $( Lemma for ~ poimir showing that the difference between admissible
         faces in the whole cube and admissible faces on the back face is even.
         Equation (7) of [Kulpa] p. 548.  (Contributed by Brendan Leahy,
         21-Aug-2020.) $)
      poimirlem27 $p |- ( ph -> 2 ||
          ( ( # ` { t e. ( ( ( ( 0 ..^ K ) ^m ( 1 ... N ) ) X.
            { f | f : ( 1 ... N ) -1-1-onto-> ( 1 ... N ) } ) X.
          ( 0 ... N ) ) | A. i e. ( 0 ... ( N - 1 ) )
            E. j e. ( ( 0 ... N ) \ { ( 2nd ` t ) } ) i =
          [_ ( 1st ` t ) / s ]_ C } ) - ( # ` { s e. ( ( ( 0 ..^ K ) ^m
            ( 1 ... N ) ) X. { f | f : ( 1 ... N ) -1-1-onto->
          ( 1 ... N ) } ) | ( A. i e. ( 0 ... ( N - 1 ) )
            E. j e. ( 0 ... ( N - 1 ) ) i = C /\ ( ( 1st ` s ) ` N ) = 0 /\
          ( ( 2nd ` s ) ` N ) = N ) } ) ) ) $=
        ( cfv wceq wcel vx vy vz vw vu vm vq c2 cc0 cfz co c1 cmap cmin cv c2nd
        clt wbr caddc cif c1st cima csn cxp cun csb cmpt wss wne wrex wral wf1o
        wa cab crab chash cdif w3a cdvds cfn fzfi mapfi mp2an cz 2z rabfi ax-mp
        a1i wf mp1i wn nfv nfcv wi c0 cvv fveq2d adantl cn fveq2 breq2d csbeq1d
        2fveq3 imaeq1d xpeq1d uneq12d oveq12d oveq1 eqeq2d elmapi ralimi neeq1d
        weq simpr simpl rexbidv bitrdi sylan wb sylib breqtrrid sylibr wo bitri
        cuz syl bitr4di 3syl rexeqdv adantr adantlr xp1st ralbidv syldan eqeq1d
        imp fveqeq2 fveq1d 3anbi123d anbi12d cof crn cfzo csu fzofi f1of ss2abi
        ovex mapval sseqtrri ssfi xpfi hashcl nn0zd dfrex2 nfrab1 nffv nfbr wex
        neq0 iddvds vex hashsng oveq2i df-2 eqtr4i breqtrri cin diffi mp2b snfi
        disjdifr hashun mp3an difsnid eqtr3id ad3antrrr ifbid csbeq2dv mpteq2dv
        wreu eqtrd breq1 ifbieq12d imaeq2d oveq1d oveq2d cbvcsbv eqtrdi cbvmptv
        id oveq2 cbvrabv ad3antlr ad2antlr cbvrexvw rspccva poimirlem22 eldifsn
        fveq1 eubii elexi euhash1 df-reu 3bitr4ri eqtr3d ex exlimdv dvds0 hash0
        weu syl5bi pm2.61d2 adantld iba rabbidv mpbidi a1d rexlimd con3i rabeq0
        syl5bir fsumdvds simp1 sneq difeq2d difun2 cn0 nn0uz eleqtrdi fzm1 elun
        nnnn0d velsn orbi2i eqrdv difeq1d nnzd uzid uznfz disjsn bitr3i 3eqtr4a
        disj3 sylan9eqr biimprd ralimdv expimpd sylan2i ss2rabdv hashssdif ciun
        sylancr xp2nd fvex f1oeq1 elab poimirlem24 1st2nd2 anbi1d bitr4d anim2i
        cop frnd dfss3 eqid elrnmpt ralbii sylbb 1eluzge0 fzss1 ssralv cc nncnd
        npcan1 peano2zm peano2uz eqeltrrd fzss2 sselda ssel2 elfzelz zred ltnrd
        simplr notbid syl5ibcom necon2ad 3ad2ant1 3exp2 imp31 adantllr reximdva
        mpd necon2d ralimdva sylan2 biantrurd nnuz raleqdv ralunb ralsng anbi2d
        bitrd ad2antrr wsbc 0z 1z fzshftral mp3an13 0p1e1 eqeq1 cbvralvw biimpa
        sbcie necomd biantrud r19.26 syl2an pm5.32da rexbidva biimpd syl5ibrcom
        3bitr2d imbi1d com23 adantrd pm4.71rd an12 3anass anbi2i bitr4i 3bitr3d
        rabbidva iunrab 3eqtr4g wdisj ss2rabi sseli eqcom elrab simprbi invdisj
        difrab rgen rgenw hashiun cen cres wf1 wfo wfun cdm fo1st fofun ssv fof
        fores rexrab anim1i eleq1 csbeq1a eqcoms eqcomd adantrl rexlimiv nn0fz0
        fdmi opelxpi ancoms opelxp2 op2ndg op1stg rspcev impbid2 syl5bb dfimafn
        expl abbidv nfcsb1v nfeq2 nfrex nfralw nf3an nfrabw eqeq2 cbvabw df-rab
        nfan eqtri foeq3 mpbii fvres eqeqan12d eqtr3 xpopth ancomsd an4s sylbid
        expdimp rgen2 jctir dff13 df-f1o sylanbrc f1oen hashen 3eqtr3d breqtrd
        ) AUHUIIUJUKZULJUJUKZUMUKZUIJULUNUKZUJUKZUMUKZUAUOZUBWXNGUBUOZBUOZUPRZU
        QURZWXQWXQULUSUKZUTZWXRVARZVARZWYCUPRZULGUOZUJUKZVBZULVCZVDZWYEWYFULUSU
        KZJUJUKZVBZUIVCZVDZVEZUSUUAZUKZVFZVGZSZWXNLWXPUUBZCVGZUUBZVHZHUOZLUOZRZ
        UIVIZLXUBVJZXUHIVIZLXUBVJZVMZHWXKVKZVMZVMZBUIIUUCUKZWXKUMUKZWXKWXKEUOZV
        LZEVNZVDZUIJUJUKZVDZVOZVPRZUAUUDZFUOZKWYCDVFZSZGXVCWXSVCZVQZVJZFWXNVKZB
        XVDVOZVPRZXVHDSZGWXNVJZFWXNVKZJKUOZVARZRZUISZJXVTUPRZRZJSZVRZKXVBVOZVPR
        ZUNUKZVSAWXOXVFUAUHWXOVTTZAWXLVTTZWXNVTTXWKWXJVTTWXKVTTZXWLUIIWAULJWAZW
        XJWXKWBWCUIWXMWAWXLWXNWBWCWHZUHWDTZAWEWHXVEVTTZXVFWDTAWXPWXOTZVMZXVDVTT
        ZXWQXVBVTTZXVCVTTXWTXURVTTZXVAVTTZXXAXUQVTTXWMXXBUIIUUEXWNXUQWXKWBWCWXK
        WXKUMUKZVTTZXVAXXDVHXXCXWMXWMXXEXWNXWNWXKWXKWBWCXVAWXKWXKXUSWIZEVNXXDXU
        TXXFEWXKWXKXUSUUFUUGWXKWXKEULJUJUUHZXXGUUIUUJXXDXVAUUKWCXURXVAUULWCZUIJ
        WAXVBXVCUULWCZXUPBXVDWFZWGXWQXVFXVEUUMUUNWJXWSXUOWKZBXVDVKZUHXVFVSURZXX
        LWKXUOBXVDVJXWSXXMXUOBXVDUUOXWSXUOXXMBXVDXWSBWLBUHXVFVSBUHWMBVSWMBXVEVP
        BVPWMXUPBXVDUUPUUQUURXWSXUOXXMWNWXRXVDTZXUOUHXUABXVDVOZVPRZVSURZXXMXWSX
        WSXUNXXQXUEXWSXUNXXQXWSXUNVMZXXOWOSZXXQXXSWKXVTXXOTZKUUSXXRXXQKXXOUUTXX
        RXXTXXQKXXRXXTXXQXXRXXTVMZUHULXVTVCZVPRZUSUKZXXPVSUHUHXYDVSXWPUHUHVSURW
        EUHUVAWGXYDULULUSUKUHXYCULULUSXVTWPTZXYCULSKUVBZXVTWPUVCWGUVDUVEUVFUVGX
        YAXXOXYBVQZVPRZXYCUSUKZXXPXYDXXTXYIXXPSXXRXXTXYIXYGXYBVEZVPRZXXPXYGVTTZ
        XYBVTTXYGXYBUVHWOSXYKXYISXWTXXOVTTXYLXXIXUABXVDWFXXOXYBUVIUVJZXVTUVKXYB
        XXOUVLXYGXYBUVMUVNXXTXYJXXOVPXXOXVTUVOWQUVPWRXYAXYHULXYCUSXYAUCUOZXVTVI
        ZUCXXOUWAZXYHULSZXYAUDUCUEXXOXVTEFUFWXPIJUGAJWSTZXWRXUNXXTMUVQXUAWXPUDW
        XNFUDUOZUEUOZUPRZUQURZXYSXYSULUSUKZUTZXYTVARZVARZYUEUPRZULXVHUJUKZVBZWY
        IVDZYUGXVHULUSUKZJUJUKZVBZWYNVDZVEZWYQUKZVFZVGZSBUEXVDBUEXMZWYTYURWXPYU
        SWYTUBWXNGWXQYUAUQURZWXQWYAUTZYUFYUGWYGVBZWYIVDZYUGWYLVBZWYNVDZVEZWYQUK
        ZVFZVGYURYUSUBWXNWYSYVHYUSWYSGYVAWYRVFYVHYUSGWYBYVAWYRYUSWXTYUTWXQWYAYU
        SWXSYUAWXQUQWXRXYTUPWTXAUVRXBYUSGYVAWYRYVGYUSWYDYUFWYPYVFWYQWXRXYTVAVAX
        CYUSWYJYVCWYOYVEYUSWYHYVBWYIYUSWYEYUGWYGWXRXYTUPVAXCZXDXEYUSWYMYVDWYNYU
        SWYEYUGWYLYVIXDXEXFXGUVSUWBUVTUBUDWXNYVHYUQUBUDXMZYVHGYUDYVGVFYUQYVJGYV
        AYUDYVGYVJYUTYUBWXQWYAXYSYUCWXQXYSYUAUQUWCYVJUWKWXQXYSULUSXHUWDXBGFYUDY
        VGYUPGFXMZYVFYUOYUFWYQYVKYVCYUJYVEYUNYVKYVBYUIWYIYVKWYGYUHYUGWYFXVHULUJ
        UWLUWEXEYVKYVDYUMWYNYVKWYLYULYUGYVKWYKYUKJUJWYFXVHULUSXHUWFUWEXEXFUWGUW
        HUWIUWJUWIXIUWMXWRWXNWXLWXPWIAXUNXXTWXPWXLWXNXJZUWNXXRXXTXNXYAXUJHWXKVK
        ZUFUOZWXKTZYVNUGUOZRZUIVIZUGXUBVJZXUNYVMXWSXXTXUMXUJHWXKXUJXULXOXKUWOXU
        JYVSHYVNWXKHUFXMZXUJYVNXUGRZUIVIZLXUBVJYVSYVTXUIYWBLXUBYVTXUHYWAUIXUFYV
        NXUGWTZXLXPYWBYVRLUGXUBLUGXMZYWAYVQUIYVNXUGYVPUWTZXLUWPXQUWQXRXYAXULHWX
        KVKZYVOYVQIVIZUGXUBVJZXUNYWFXWSXXTXUMXULHWXKXUJXULXNXKUWOXULYWHHYVNWXKY
        VTXULYWAIVIZLXUBVJYWHYVTXUKYWILXUBYVTXUHYWAIYWCXLXPYWIYWGLUGXUBYWDYWAYV
        QIYWEXLUWPXQUWQXRUWRXYNXYGTZUCUXKZXYNXXOTXYOVMZUCUXKXYQXYPYWJYWLUCXYNXX
        OXVTUWSUXAXYGWPTXYQYWKXSXYGVTXYMUXBXYGWPUCUXCWGXYOUCXXOUXDUXEXTUWFUXFYA
        UXGUXHUXLXXSUHWOVPRZXXPVSUHUIYWMVSXWPUHUIVSURWEUHUXIWGUXJUVGZXXOWOVPWTY
        AUXMUXGUXNXUOXXPXVFUHVSXUOXXOXVEVPXUOXUAXUPBXVDXUOXUAUXOUXPWQXAUXQUXRUX
        SUYBXXLUHYWMXVFVSYWNXXLXVEWOVPXXLXUPWKZBXVDVKXVEWOSXXKYWOBXVDXUPXUOXUAX
        UOXNUXTXKXUPBXVDUYAYBWQYAUXMUYCAXVOWXSJSZXVJGWXNVJZFWXNVKZJWYDRZUISZJWY
        ERZJSZVRZVMZBXVDVOZVQZVPRZXVPYXEVPRZUNUKZXVGXWJAXVOVTTZYXEXVOVHYXGYXISX
        WTYXJXXIXVNBXVDWFWGAYXDXVNBXVDAYXDXVNWNXXNYXCAYWPYWRXVNYWRYWTYXBUYDAYWP
        YWRXVNAYWPVMZYWQXVMFWXNYXKXVMYWQYXKXVJGXVLWXNYWPAXVLXVCJVCZVQZWXNYWPXVK
        YXLXVCWXSJUYEUYFZAWXNYXLVEZYXLVQWXNYXLVQZYXMWXNWXNYXLUYGAXVCYXOYXLAHXVC
        YXOAXUFXVCTZXUFWXNTZXUFJSZYCZXUFYXOTZAJUIYERZTYXQYXTXSAJUYHYYBAJMUYMZUY
        IUYJXUFUIJUYKYFYYAYXRXUFYXLTZYCYXTXUFWXNYXLUYLYYDYXSYXRHJUYNZUYOYDYGUYP
        UYQAJWXNTWKZWXNYXPSZAJWDTZJJYERTYYFAJMUYRZJUYSJUIJUYTYHYYFWXNYXLUVHWOSY
        YGWXNJVUAWXNYXLVUDVUBXTVUCZVUEYIVUFVUGVUHVUIYJVUJXVOYXEVUKVUMAUAWXOXVEV
        ULZVPRYXGXVGAYYKYXFVPAXUPUAWXOVJZBXVDVOXVNYXDWKZVMZBXVDVOYYKYXFAYYLYYNB
        XVDAXXNVMZXUAXUEJXUGRZUIVIZLXUBVJZVMZVMZUAWXOVJZXVNYWPYWTYXBVMZVMZWKZVM
        ZYYLYYNYYOUUUAXVHKWYDWYEVVCZDVFZSZGXVLVJZFWXNVKZUUUDVMZUUUEYYOUAUBCDWYD
        WYEFGIJWXSKLAXYRXXNMYJNAWXKWXJXUGWIZCXVCTXXNOYKXXNWXKXUQWYDWIZAXXNWYCXV
        BTZWYDXURTUUUMWXRXVBXVCYLZWYCXURXVAYLWYDXUQWXKXJYHWRXXNWXKWXKWYEVLZAXXN
        UUUNUUUPUUUOUUUNWYEXVATUUUPWYCXURXVAVUNXUTUUUPEWYEWYCUPVUOWXKWXKXUSWYEV
        UPVUQXTYFWRXXNWXSXVCTAWXRXVBXVCVUNWRVURYYOUUUNUUUEUUUKXSXXNUUUNAUUUOWRU
        UUNXVNUUUJUUUDUUUNXVMUUUIFWXNUUUNXVJUUUHGXVLUUUNXVIUUUGXVHUUUNKWYCUUUFD
        WYCXURXVAVUSXBXIXPYMVUTYFVVAAUUUAYYLXSXXNAYYTXUPUAWXOXWSYYSXUOXUAXWSXUE
        YYRXUNXWSAXUBWXLVHZVMZXUFCSZLXUBVJZHWXNVKZYYRXUNXSXUEXWRUUUQAXWRWXNWXLW
        XPYVLVVDVVBXUEXUFXUDTZHWXNVKUUVAHWXNXUDVVEUUVBUUUTHWXNXUFWPTUUVBUUUTXSH
        UVBLXUBCXUFXUCWPXUCVVFVVGWGVVHVVIUUURUUVAVMZYYRXUJHULWXMUJUKZVKZYYRVMZY
        VMXUNUUVCUUVEYYRUUVAUUURUUUTHUUVDVKZUUVEULYYBTUUVDWXNVHUUVAUUVGWNVVJULU
        IWXMVVKUUUTHUUVDWXNVVLUVJUUURUUVGUUVEUUURUUUTXUJHUUVDUUURXUFUUVDTZXUFWX
        KTZUUUTXUJWNAUUVHUUVIUUUQAUUVDWXKXUFAJWXMYERZTUUVDWXKVHAWXMULUSUKZJUUVJ
        AJVVMTUUVKJSAJMVVNJVVOYFZAWXMWDTZWXMUUVJTUUVKUUVJTAYYHUUVMYYIJVVPZYFWXM
        UYSWXMWXMVVQYHVVRWXMULJVVSYFVVTYKUUURUUVIVMZUUUSXUILXUBUUVOXUGXUBTZUUUL
        UUUSXUIWNZUUVOUUUQUUVPUUULAUUUQUUVIVWEUUUQUUVPVMXUGWXLTUUULXUBWXLXUGVWA
        XUGWXJWXKXJYFXRZAUUVIUUULUUVQUUUQAUUVIVMUUULVMZXUHUIXUFCAUUVIUUULXUHUIS
        ZXUFCVIZWNAUUVIUUULUUVTUUWAAUUVIUUULUUVTVRZVMCXUFUQURZUUWAPUUWBUUWCUUWA
        WNZAUUVIUUULUUWDUUVTUUVIUUWCXUFCUUVIXUFXUFUQURZWKUUUSUUWCWKUUVIXUFUUVIX
        UFXUFULJVWBVWCVWDUUUSUUWEUUWCXUFCXUFUQUWCVWFVWGVWHVWIWRVWNVWJVWKVWOVWLY
        NVWMYNVWPYPVWQVWRAYVMUUVFXSUUUQUUVAAYVMUUVEXUJHYXLVKZVMZUUVFAYVMXUJHUUV
        DYXLVEZVKUUWGAXUJHWXKUUWHAHWXKUUWHAUUVIUUVHYXSYCZXUFUUWHTZAJULYERZTUUVI
        UUWIXSAJWSUUWKMVWSUYJXUFULJUYKYFUUWJUUVHYYDYCUUWIXUFUUVDYXLUYLYYDYXSUUV
        HYYEUYOYDYGUYPVWTXUJHUUVDYXLVXAXQAUUWFYYRUUVEAXYRUUWFYYRXSMXUJYYRHJWSYX
        SXUIYYQLXUBYXSXUHYYPUIXUFJXUGWTXLXPVXBYFVXCVXDVXEUUVCYVMYVMYWFVMXUNUUVC
        YWFYVMUUURUUVAXUFULUNUKZCSZLXUBVJZHWXKVKZYWFAUUVAUUWOUUUQAUUVAUUWOAUUVA
        UUUTHYVNULUNUKZVXFZUFWXKVKZUUWOAUUVAUUWQUFUIULUSUKZUUVKUJUKZVKZUUWRAYYH
        UUVMUUVAUUXAXSZYYIUUVNUIWDTUUVMULWDTUUXBVXGVXHUUUTHUFULUIWXMVXIVXJYHAUU
        WQUFUUWTWXKAUUWSULUUVKJUJUUWSULSAVXKWHUUVLXGVWTVXDUUWRUUWPCSZLXUBVJZUFW
        XKVKUUWOUUWQUUXDUFWXKUUUTUUXDHUUWPYVNULUNUUHXUFUUWPSUUUSUUXCLXUBXUFUUWP
        CVXLXPVXOVVHUUXDUUWNUFHWXKUFHXMZUUXCUUWMLXUBUUXEUUWPUUWLCYVNXUFULUNXHYO
        XPVXMYDXQVXNYKUUURUUWOYWFUUURUUWNXULHWXKUUVOUUWMXUKLXUBUUVOUUVPUUULUUWM
        XUKWNZUUVRAUUVIUUULUUXFUUUQUUVSXUHIUUWLCAUUVIUUULXUHISZUUWLCVIZWNAUUVIU
        UULUUXGUUXHAUUVIUUULUUXGVRVMCUUWLQVXPVWJVWKVWOVWLYNVWMVWPYPYNVXQXUJXULH
        WXKVXRYGVYDVXSVXTVXCVYAYJAUUUEYYNXSXXNAXVNUUUDYYMAXVNVMZUUUCYXDUUXIUUUC
        YWRUUUCVMZYXDUUXIUUUCYWRUUXIYWPYWRUUUBAXVNYWPYWRWNAYWPXVNYWRAXVNYWRWNYW
        PXVJGYXMVJZFWXNVKZYWRWNAUUXKYWQFWXNAUUXKYWQAXVJGYXMWXNYYJYIVYBVUGYWPXVN
        UUXLYWRYWPXVMUUXKFWXNYWPXVJGXVLYXMYXNYIYMVYEVYCVYFYPVYGVYHUUXJYWPYWRUUU
        BVMZVMYXDYWRYWPUUUBVYIYXCUUXMYWPYWRYWTYXBVYJVYKVYLXQVWFVXTYJVYMVYNXUPUA
        BWXOXVDVYOXVNYXDBXVDWUDVYPWQAUAWXOXVEXWOXWTXWQXWSXXIXXJWJUBWXNGWXQXWDUQ
        URZWXQWYAUTZXWAVARZXWAUPRZWYGVBZWYIVDZUUXQWYLVBZWYNVDZVEZWYQUKZVFZVGZWX
        PSZKXVEVKZUAWXOVKUAWXOXVEVYQAUUYGUAWXOUUYFKXVEXVTXVETXXTUUYFXVEXXOXVTXU
        PXUABXVDXUPXUAWNXXNXUAXUOXOWHVYRVYSXXTXVTXVDTUUYFXUAUUYFBXVTXVDBKXMZXUA
        WXPUUYESUUYFUUYHWYTUUYEWXPUUYHUBWXNWYSUUYDUUYHWYSGUUXOWYRVFUUYDUUYHGWYB
        UUXOWYRUUYHWXTUUXNWXQWYAUUYHWXSXWDWXQUQWXRXVTUPWTXAUVRXBUUYHGUUXOWYRUUY
        CUUYHWYDUUXPWYPUUYBWYQWXRXVTVAVAXCUUYHWYJUUXSWYOUUYAUUYHWYHUUXRWYIUUYHW
        YEUUXQWYGWXRXVTUPVAXCZXDXEUUYHWYMUUXTWYNUUYHWYEUUXQWYLUUYIXDXEXFXGUVSUW
        BUVTXIWXPUUYEVYTXQWUAWUBYFWUEWUFUAKWXOXVEUUYEWUCWJWUGUXFAYXHXWIXVPUNAYX
        EXWHWUHURZYXHXWISZAYXEXWHVAYXEWUIZVLZUUYJAYXEXWHUUYLWUJZYXEXWHUUYLWUKZU
        UYMAYXEXWHUUYLWIZWXPUUYLRZWXQUUYLRZSZUAUBXMZWNZUBYXEVKUAYXEVKZVMUUYNAUU
        YPUVUBAUUYOUUYPAYXEVAYXEVBZUUYLWUKZUUYOVAWULZYXEVAWUMZVHZUVUDWPWPVAWUKZ
        UVUEWUNWPWPVAWUOWGZYXEWPUVUFYXEWUPWPWPVAUVUHWPWPVAWIWUNWPWPVAWUQWGWVHUU
        JZYXEVAWURWCAUVUCXWHSUVUDUUYOXSAWXPVARZXVTSZUAYXEVJZKVNZXVTXVBTZXWGVMZK
        VNUVUCXWHAUVUMUVUPKUVUMWXPUPRZJSZXVHKUVUKDVFZSZGWXNVJZFWXNVKZJUVUKVARZR
        ZUISZJUVUKUPRZRZJSZVRZVMZUVULVMZUAXVDVJZAUVUPYXDUVVJUVULUABXVDBUAXMZYWP
        UVURYXCUVVIWXRWXPJUPYQZUVVMYWRUVVBYWTUVVEYXBUVVHUVVMYWQUVVAFWXNUVVMXVJU
        VUTGWXNUVVMXVIUVUSXVHUVVMKWYCUVUKDWXRWXPVAWTXBXIXPYMUVVMYWSUVVDUIUVVMJW
        YDUVVCWXRWXPVAVAXCYRYOUVVMYXAUVVGJUVVMJWYEUVVFWXRWXPUPVAXCYRYOYSYTWUSAU
        VVLUVUPUVVKUVUPUAXVDWXPXVDTZUVVJUVULUVUPUVVOUVVIUVULUVUPWNUVURUVVOUVVIV
        MUVUKXVBTZUVVIVMUVULUVUPUVVOUVVPUVVIWXPXVBXVCYLWUTUVULUVVPUVUOUVVIXWGUV
        UKXVTXVBWVAUVULUVVBXVSUVVEXWCUVVHXWFUVULUVVAXVRFWXNUVULUVUTXVQGWXNUVULU
        VUSDXVHUVULDUVUSDUVUSSXVTUVUKKUVUKDWVBWVCWVDXIXPYMUVULUVVDXWBUIUVULJUVV
        CXWAUVUKXVTVAWTYRYOUVULUVVGXWEJUVULJUVVFXWDUVUKXVTUPWTYRYOYSYTVWGWVEVUH
        WVFAUVUOXWGUVVLAUVUOVMXVTJVVCZXVDTZXWGUVVLUVUOAUVVRAUVUOJXVCTZUVVRAJUYH
        TUVVSYYCJWVGXTXVTJXVBXVCWVIVWQWVJUVVRXWGUVVQUPRJSZXVHKUVVQVARZDVFZSZGWX
        NVJZFWXNVKZJUVWAVARZRZUISZJUVWAUPRZRZJSZVRZVMZUVWAXVTSZVMZUVVLUVVRXWGUV
        WOUVVRXYEUVVSXWGUVWOXSXYFXVTJXVBXVCWVKXYEUVVSVMZUVWLUVWMXWGUVWOUVWPUVVT
        UVWLXVTJWPXVCWVLVWRUVWPUVWEXVSUVWHXWCUVWKXWFUVWPUVWDXVRFWXNUVWPUVWCXVQG
        WXNUVWPUVWBDXVHUVWPUVWNUVWBDSXVTJWPXVCWVMZUVWNDUVWBDUVWBSXVTUVWAKUVWADW
        VBWVCWVDYFXIXPYMUVWPUVWGXWBUIUVWPJUVWFXWAUVWPUVWAXVTVAUVWQWQYRYOUVWPUVW
        JXWEJUVWPJUVWIXWDUVWPUVWAXVTUPUVWQWQYRYOYSUVWPUVWNUVWMUVWQVXQVYMVUMVXNU
        VVKUVWOUAUVVQXVDWXPUVVQSZUVVJUVWMUVULUVWNUVWRUVURUVVTUVVIUVWLWXPUVVQJUP
        YQUVWRUVVBUVWEUVVEUVWHUVVHUVWKUVWRUVVAUVWDFWXNUVWRUVUTUVWCGWXNUVWRUVUSU
        VWBXVHUVWRKUVUKUVWADWXPUVVQVAWTXBXIXPYMUVWRUVVDUVWGUIUVWRJUVVCUVWFWXPUV
        VQVAVAXCYRYOUVWRUVVGUVWJJUVWRJUVVFUVWIWXPUVVQUPVAXCYRYOYSYTWXPUVVQXVTVA
        YQYTWVNYNXRWVRWVOWVPWVSUVUCUVUKWXQSZUAYXEVJZUBVNZUVUNUVUEUVUGUVUCUVXASU
        VUIUVUJUAUBYXEVAWVQWCUVWTUVUMUBKUVWSKUAYXEYXDKBXVDYWPYXCKYWPKWLYWRYWTYX
        BKYWQKFWXNKWXNWMZXVJKGWXNUVXBKXVHXVIKWYCDWVTWWAWWBWWCYWTKWLYXBKWLWWDWWI
        KXVDWMWWEUVWSKWLWWBUVUMUBWLUBKXMUVWSUVULUAYXEWXQXVTUVUKWWFXPWWGWWJXWGKX
        VBWWHVYPUVUCXWHYXEUUYLWWKYFWWLZYXEXWHUUYLWUQYFUVUAUAUBYXEYXEWXPYXETZWXQ
        YXETZVMUUYSUVUKWXQVARZSZUUYTUVXDUVXEUUYQUVUKUUYRUVXFWXPYXEVAWWMWXQYXEVA
        WWMWWNUVXDUVVOUVURVMZWXQXVDTZWXQUPRZJSZVMZUVXGUUYTWNZUVXEUVXDWXPYWPBXVD
        VOZTUVXHYXEUVXNWXPYXDYWPBXVDYXDYWPWNXXNYWPYXCXOWHVYRZVYSYWPUVURBWXPXVDU
        VVNWUAXTUVXEWXQUVXNTUVXLYXEUVXNWXQUVXOVYSYWPUVXKBWXQXVDWXRWXQJUPYQWUAXT
        UVVOUVXIUVURUVXKUVXMUVURUVXKVMUVVOUVXIVMZUVUQUVXJSZUVXMUVUQUVXJJWWOUVXP
        UVXQUVXGUUYTUVXPUVXGUVXQUUYTUVXPUVXGUVXQVMUUYTWXPWXQXVBXVCXVBXVCWWPVYBW
        WQWWTVWQWWRVXSWWSWXAWXBUAUBYXEXWHUUYLWXCYBUVXCYXEXWHUUYLWXDWXEYXEXWHUUY
        LYXEVTXWTYXEVTTZXXIYXDBXVDWFWGZUXBWXFYFUVXRXWHVTTZUUYKUUYJXSUVXSXXAUVXT
        XXHXWGKXVBWFWGYXEXWHWXGWCYBUWGWXHWXI $.

      poimirlem28.5 $e |- ( ph -> K e. NN ) $.
      $( Lemma for ~ poimir , a variant of Sperner's lemma.  (Contributed by
         Brendan Leahy, 21-Aug-2020.) $)
      poimirlem28 $p |- ( ph -> E. s e. ( ( ( 0 ..^ K ) ^m ( 1 ... N ) ) X.
          { f | f : ( 1 ... N ) -1-1-onto-> ( 1 ... N ) } )
            A. i e. ( 0 ... N ) E. j e. ( 0 ... N ) i = C ) $=
        ( cc0 c0 wcel vk vm vt vq cv wceq cfz co wrex wral c1 cmap wf1o cab cxp
        crab wne c2 cfv csn caddc cun csb chash cdvds wbr wn cn0 cle w3a nnnn0d
        cima 3jca wi oveq2 fz10 eqtrdi oveq2d cfn ax-mp eqidd f1oeq123d xpeq12d
        abbidv 0ex syl oveq1d cvv wf wfn a1i wa eqtrd csbeq1d eqeq2d cz imaeq2d
        un0 xpeq1d uneq2d uneq12d rexeqbidv c0ex raleqbidv eqcomd fveq2d breq2d
        oveq1 notbid imbi2d rabeqbidv cuz nfv nfim fveq1 eqeq1d 3anbi23d anbi2d
        cn ovex imbi12d clt breq2 wb mpbid vtoclf mapfi mp2an wss rabfi syl2anr
        cmin adantlr anasss adantr syl2anc syldan ad2antlr nfcv cc cfzo cof cop
        c1st c2nd nnred leidd c1o fzofi map0e df1o2 eqtri f1o00 mpbiran2 bitrdi
        eqid df-sn eqtr4di xpsn eqtr2di elsni op1std cmpt f0 ffn mp1i inidm 0fv
        offval mpt0 uneq1d uncom 0z fzsn 0p1e1 ima0 rexsn eqeq1 ralsn sylan9bbr
        0xp bitr2di rabeqbidva n2dvds1 opex hashsng nnuz eleqtrdi eluzfz1 0elfz
        weq fconst6g 3syl fvconst2 nfcsb1v nfeq1 snex xpex feq1 csbeq1a fveqeq2
        1ex eleq1 3anbi13d vtocl elfznn0 nn0lt10b 3ad2antr2 mpdan rabid2 sylibr
        ralrimivw eqtr3id mtbii 2z fzfi mapval eqeltrri f1of ss2abi ssfi hashcl
        xpfi mp2b nn0zi 3pm3.2i cdif nn0p1nn ad2antrl uneq1 fconst ltp1d fzdisj
        cin jctr adantl peano2nnd nn0z nnzd zltp1le biimpa peano2zd eluz mpbird
        fun fzsplit2 snssd ssequn2 sylib feq23d adantrr vex unex eleq1d anassrs
        nfel1 wo cr leloe biimpd imdistani simplll nnge1d elfz mp3an2 mpbir2and
        bitrd 1z nn0re ad2antrr simpr lttrd anass an32s ad3antlr fnconstg fvun2
        sylanb syl12anc breq1d syl13anc elfzelzd zleltp1 biimpac sylan breqtrrd
        nfbr elfzle2 jaodan elfz2nn0 syl3anbrc sselda 3ad2antr1 ad2antll simprl
        fzss2 fvun1 adantlrr 3adantr3 simpr3 simp1 sylanr2 adantrlr nfne neeq1d
        simp2 poimirlem27 poimirlem26 zsubcl dvds2sub nnncan1 breqtrdi dvdssub2
        mp3an nn0cni sylancr nn0cn pncan1 rexeqdv 3anbi1d cen simprr poimirlem4
        rabbidv hashen eqtr4d con3d expcom 3adant1 fnn0ind mpcom dvds0 breqtrri
        a2d hash0 fveq2 breqtrrid csbie rexbidv ralbidv syl5ibr necon3bd rabn0
        fzn mpd ) AEUEZCUFZFRIUGUHZUIZEWUHUJZJRHUUAUHZUKIUGUHZULUHZWULWULDUEZUM
        ZDUNZUOZUPZSUQZWUJJWUQUIAURWUFKJUEZUUDUSZWUTUUEUSZUKFUEZUGUHZVLZUKUTZUO
        ZWVBWVCUKVAUHZIUGUHZVLZRUTZUOZVBZVAUUBZUHZIUKVAUHZIUGUHZWVKUOZVBZBVCZUF
        ZFWUHUIZEWUHUJZJWUQUPZVDUSZVEVFZVGZWUSIVHTZWWHIIVIVFZVJAWWGAWWHWWHWWIAI
        LVKZWWJAIAILUUFZUUGVMAURWUFKWVAWVGWVBWVHUAUEZUGUHZVLZWVKUOZVBZWVNUHZWWL
        UKVAUHZIUGUHZWVKUOZVBZBVCZUFZFRWWLUGUHZUIZEWXDUJZJWUKUKWWLUGUHZULUHZWXG
        WXGWUNUMZDUNZUOZUPZVDUSZVEVFZVGZVNAURRKWULWVKUOZBVCZUFZJSSUUCZUTZUPZVDU
        SZVEVFZVGZVNZAURWUFKWVAWVGWVBWVHUBUEZUGUHZVLZWVKUOZVBZWVNUHZWYFUKVAUHZI
        UGUHZWVKUOZVBZBVCZUFZFRWYFUGUHZUIZEWYRUJZJWUKUKWYFUGUHZULUHZXUAXUAWUNUM
        ZDUNZUOZUPZVDUSZVEVFZVGZVNZAURWUFKWVAWVGWVBWVHWYLUGUHZVLZWVKUOZVBZWVNUH
        ZWYLUKVAUHZIUGUHZWVKUOZVBZBVCZUFZFRWYLUGUHZUIZEXVBUJZJWUKUKWYLUGUHZULUH
        ZXVEXVEWUNUMZDUNZUOZUPZVDUSZVEVFZVGZVNZAWWGVNUAUBIIWWLRUFZWXOWYDAXVOWXN
        WYCXVOWXMWYBURVEXVOWXLWYAVDXVOWYAWXLXVOWXRWXFJWXTWXKXVOWXKSUTZXVPUOWXTX
        VOWXHXVPWXJXVPXVOWXHWUKSULUHZXVPXVOWXGSWUKULXVOWXGUKRUGUHZSWWLRUKUGVOVP
        VQZVRXVQUUHXVPWUKVSTZXVQUUHUFRHUUIZWUKVSUUJVTUUKUULVQXVOWXJWUNSUFZDUNXV
        PXVOWXIXWBDXVOWXISSWUNUMZXWBXVOWXGSWXGSWUNWUNXVOWUNWAXVSXVSWBXWCXWBSSUF
        SUUPSWUNUUMUUNUUOWDDSUUQUURWCSSWEWEUUSUUTWUTWXTTZWXRRKWVASWVNUHZWXPVBZB
        VCZUFZXVOWXFXWDWXQXWGRXWDKWXPXWFBXWDXWFSWXPVBZWXPXWDXWESWXPXWDXWESSWVNU
        HZSXWDWVASSWVNXWDWUTWXSUFWVASUFWUTWXSUVASSWUTWEWEUVBWFWGXWDXWJGSSSVAUHZ
        UVCSXWDGSSSSVASSSWHWHSSSWISSWJXWDSUVDSSSUVEUVFZXWLSWHTXWDWEWKZXWMSUVGGU
        EZSUSSUFXWDXWNSTWLXWNUVHWKZXWOUVIGXWKUVJVQWMUVKXWIWXPSVBWXPSWXPUVLWXPWR
        UULUUTWNWOXVOWXFWUFXWGUFZEWVKUJXWHXVOWXEXWPEWXDWVKXVOWXDRRUGUHZWVKWWLRR
        UGVORWPTXWQWVKUFUVMRUVNVTVQZXVOWXEWUFKWVAWVGWVBWVHRUGUHZVLZWVKUOZVBZWVN
        UHZWXPVBZBVCZUFZFWVKUIXWPXVOWXCXXFFWXDWVKXWRXVOWXBXXEWUFXVOKWXAXXDBXVOW
        WQXXCWWTWXPXVOWWPXXBWVAWVNXVOWWOXXAWVGXVOWWNXWTWVKXVOWWMXWSWVBWWLRWVHUG
        VOWQWSWTVRXVOWWSWULWVKXVOWWRUKIUGXVOWWRRUKVAUHZUKWWLRUKVAXHUVOVQWGWSXAW
        NWOXBXXFXWPFRXCWVCRUFZXXEXWGWUFXXHKXXDXWFBXXHXXCXWEWXPXXHXXBSWVAWVNXXHX
        XBSSVBSXXHWVGSXXASXXHWVGSWVFUOSXXHWVESWVFXXHWVEWVBSVLZSXXHWVDSWVBXXHWVD
        XVRSWVCRUKUGVOVPVQWQWVBUVPZVQWSWVFUWAVQXXHXXASWVKUOZSXXHXWTSWVKXXHXWTXX
        ISXXHXWSSWVBXXHXWSXVRSXXHWVHUKRUGXXHWVHXXGUKWVCRUKVAXHUVOVQWGVPVQWQXXJV
        QWSWVKUWAZVQXASWRVQVRUVKWNWOUVQUUOXDXWPXWHERXCWUFRXWGUVRUVSUWBUVTUWCXEX
        FXGXIXJUAUBUWKZWXOXUIAXXMWXNXUHXXMWXMXUGURVEXXMWXLXUFVDXXMWXFWYTJWXKXUE
        XXMWXHXUBWXJXUDXXMWXGXUAWUKULWWLWYFUKUGVOZVRXXMWXIXUCDXXMWXGXUAWXGXUAWU
        NWUNXXMWUNWAXXNXXNWBWDWCXXMWXEWYSEWXDWYRWWLWYFRUGVOZXXMWXCWYQFWXDWYRXXO
        XXMWXBWYPWUFXXMKWXAWYOBXXMWWQWYKWWTWYNXXMWWPWYJWVAWVNXXMWWOWYIWVGXXMWWN
        WYHWVKXXMWWMWYGWVBWWLWYFWVHUGVOWQWSWTVRXXMWWSWYMWVKXXMWWRWYLIUGWWLWYFUK
        VAXHWGWSXAWNWOXBXDXKXFXGXIXJWWLWYLUFZWXOXVMAXXPWXNXVLXXPWXMXVKURVEXXPWX
        LXVJVDXXPWXFXVDJWXKXVIXXPWXHXVFWXJXVHXXPWXGXVEWUKULWWLWYLUKUGVOZVRXXPWX
        IXVGDXXPWXGXVEWXGXVEWUNWUNXXPWUNWAXXQXXQWBWDWCXXPWXEXVCEWXDXVBWWLWYLRUG
        VOZXXPWXCXVAFWXDXVBXXRXXPWXBXUTWUFXXPKWXAXUSBXXPWWQXUOWWTXURXXPWWPXUNWV
        AWVNXXPWWOXUMWVGXXPWWNXULWVKXXPWWMXUKWVBWWLWYLWVHUGVOWQWSWTVRXXPWWSXUQW
        VKXXPWWRXUPIUGWWLWYLUKVAXHWGWSXAWNWOXBXDXKXFXGXIXJWWLIUFZWXOWWGAXXSWXNW
        WFXXSWXMWWEURVEXXSWXLWWDVDXXSWXFWWCJWXKWUQXXSWXHWUMWXJWUPXXSWXGWULWUKUL
        WWLIUKUGVOZVRXXSWXIWUODXXSWXGWULWXGWULWUNWUNXXSWUNWAXXTXXTWBWDWCXXSWXEW
        WBEWXDWUHWWLIRUGVOZXXSWXCWWAFWXDWUHXYAXXSWXBWVTWUFXXSKWXAWVSBXXSWWQWVOW
        WTWVRXXSWWPWVMWVAWVNXXSWWOWVLWVGXXSWWNWVJWVKXXSWWMWVIWVBWWLIWVHUGVOWQWS
        WTVRXXSWWSWVQWVKXXSWWRWVPIUGWWLIUKVAXHWGWSXAWNWOXBXDXKXFXGXIXJWYEWWHAUR
        UKVEVFWYCUWDAUKWYBURVEAUKWXTVDUSZWYBWXSWHTXYBUKUFSSUWEWXSWHUWFVTAWXTWYA
        VDAWXRJWXTUJWXTWYAUFAWXRJWXTAWXQRAUKWULTZWULRHUGUHZWXPWIZUKWXPUSZRUFZVJ
        ZWXQRUFZAXYCXYEXYGAIUKXLUSZTXYCAIXSXYJLUWGUWHUKIUWIWFZAHVHTZRXYDTZXYEAH
        QVKZHUWJZWULRXYDUWLUWMAXYCXYGXYKWULRUKXCUWNWFVMAXYCWULXYDKUEZWIZUKXYPUS
        ZRUFZVJZWLZBRUFZVNAXYHWLZXYIVNKWXPYUCXYIKYUCKXMKWXQRKWXPBUWOUWPXNWULWVK
        UKIUGXTRUWQZUWRXYPWXPUFZYUAYUCYUBXYIYUEXYTXYHAYUEXYQXYEXYSXYGXYCWULXYDX
        YPWXPUWSYUEXYRXYFRUKXYPWXPXOXPXQXRYUEBWXQRKWXPBUWTXPYAYUABUKYBVFZYUBAXW
        NWULTZXYQXWNXYPUSZRUFZVJZWLZBXWNYBVFZVNZYUAYUFVNGUKUXBXWNUKUFZYUKYUAYUL
        YUFYUNYUJXYTAYUNYUGXYCYUIXYSXYQXWNUKWULUXCXWNUKRXYPUXAUXDXRXWNUKBYBYCYA
        OUXEAXYCXYQYUFYUBYDZXYSAXYQWLZBWUHTZBVHTYUONBIUXFBUXGUWMUXHYEYFUXIXEUXL
        WXRJWXTUXJUXKXFUXMXGUXNWKWYFVHTZWYFIYBVFZXUJXVNVNWWHYURYUSWLZAXUIXVMAYU
        TXUIXVMVNAYUTWLZXVLXUHYVAXVLXUHYVAXVLURXVAFRWYLUKYLUHZUGUHZUIZEYVCUJZWY
        LWVAUSRUFZWYLWVBUSWYLUFZVJZJXVIUPZVDUSZVEVFZXUHYVAURWPTZXVKWPTZYVJWPTZV
        JURXVKYVJYLUHZVEVFXVLYVKYDYVLYVMYVNUXOXVKXVIVSTZXVJVSTXVKVHTXVFVSTZXVHV
        STZYVPXVTXVEVSTZYVQXWAUKWYLUXPZWUKXVEYGYHXVEXVEWUNWIZDUNZVSTXVHYWBYIYVR
        XVEXVEULUHZYWBVSXVEXVEDUKWYLUGXTZYWDUXQYVSYVSYWCVSTYVTYVTXVEXVEYGYHUXRX
        VGYWADXVEXVEWUNUXSUXTYWBXVHUYAYHXVFXVHUYCYHZXVDJXVIYJXVJUYBUYDZUYEZYVJY
        VPYVIVSTYVJVHTYWEYVHJXVIYJYVIUYBUYDZUYEZUYFYVAURWUFJUCUEZUUDUSXUTVCUFFX
        VBYWJUUEUSUTUYGUIEYVCUJZUCXVIXVBUOZUPZVDUSZYVJYLUHZYWNXVKYLUHZYLUHZYVOV
        EYVAURYWOVEVFZURYWPVEVFZURYWQVEVFZYVAUCKUDUEZXURVBZBVCZXUTDEFGHWYLJUDYU
        RWYLXSTAYUSWYFUYHZUYIZYXAXUOUFKYXBXUSBYXAXUOXURUYJWNZYVAXVEXYDYXAWIZWLZ
        YXCVHTZWYLVHTZYXCWYLVIVFZYXCXVBTYXHYXCWUHTZYXIAYUTYXGYXLAYUTYXGWLZWULXY
        DYXBWIZYXLAYXMWLXVEXUQVBZXYDWVKVBZYXBWIZYXNYXMYXQAYURYXGYXQYUSYXGYXGXUQ
        WVKXURWIZWLXVEXUQUYNSUFZYXQYURYXGYXRXUQRXCUYKUYOYURWYLXUPYBVFYXSYURWYLY
        URWYLYXDUUFZUYLUKWYLXUPIUYMWFZXVEXUQXYDWVKYXAXURVUEYKYMUYPAYUTYXQYXNYDY
        XGYVAYXOYXPWULXYDYXBYVAWULYXOYVAXUPXYJTZIWYLXLUSTZWULYXOUFYURYYBAYUSYUR
        XUPXSXYJYURWYLYXDUYQZUWGUWHUYIYVAYYCWYLIVIVFZAYURYUSYYEAYURWLZYUSYYEYUR
        WYFWPTIWPTZYUSYYEYDAWYFUYRZAILUYSZWYFIUYTYKZVUAYNYUTWYLWPTZYYGYYCYYEYDA
        YURYYKYUSYURWYFYYHVUBZYOYYIWYLIVUCYKVUDZWYLUKIVUFYPXEAYXPXYDUFZYUTAWVKX
        YDYIYYNARXYDAXYLXYMXYNXYOWFVUGWVKXYDVUHVUIYOVUJVUKYEZYUPYUQVNAYXNWLZYXL
        VNKYXBYYPYXLKYYPKXMKYXCWUHKYXBBUWOZVUPXNYXAXURUDVULXUQWVKXUPIUGXTYUDUWR
        VUMZXYPYXBUFZYUPYYPYUQYXLYYSXYQYXNAWULXYDXYPYXBUWSZXRYYSBYXCWUHKYXBBUWT
        ZVUNYANYFYQVUOZYXCIUXFWFYUTYXJAYXGYURYXJYUSYURWYLYXDVKYOYRYVAYYFWYLIYBV
        FZWYLIUFZVUQZWLZYXGYXKAYURYUSUUUFYYFYUSUUUEYYFYUSUUUEYYFYUSYYEUUUEYYJYU
        RWYLVURTZIVURTZYYEUUUEYDAYXTWWKWYLIVUSYKVVGVUTVVAYNYYFYXGUUUEYXKYYFYXGW
        LZUUUCYXKUUUDUUUIUUUCWLZYXKYXCXUPYBVFZUUUJAXUPWULTZYXNXUPYXBUSZRUFZUUUK
        AYURYXGUUUCVVBYYFUUUCUUULYXGYYFUUUCWLZUUULUKXUPVIVFZXUPIVIVFZYURUUUPAUU
        UCYURXUPYYDVVCYRYYFUUUCUUUQYURYYKYYGUUUCUUUQYDAYYLYYIWYLIUYTYKVUAZYYFUU
        ULUUUPUUUQWLYDZUUUCYURXUPWPTZYYGUUUSAYURWYLYYLVUBZYYIUUUTUKWPTYYGUUUSVV
        HXUPUKIVVDVVEYKYOVVFYMUUUIUUUCYUSYXNYYFUUUCYUSYXGUUUOWYFWYLIYURWYFVURTA
        UUUCWYFVVIZYRYURUUUGAUUUCYXTYRAUUUHYURUUUCWWKVVJYURWYFWYLYBVFZAUUUCYURW
        YFUUVBUYLZYRYYFUUUCVVKVVLYMZYYFYUSYXGYXNYYFYUSWLZYVAYXGYXNAYURYUSVVMZAY
        UTYXGYXNYYOVUOZVVRVVNYQUUUJUUUMXUPXURUSZRUUUJYXAXVEWJZYXSXUPXUQTZUUUMUU
        VIUFZYXGUUVJYYFUUUCXVEXYDYXAUVEZYRYURYXSAYXGUUUCYYAVVOYYFUUUCUUVKYXGUUU
        OIXUPXLUSTZUUVKUUUOUUVNUUUQUUURYYFUUVNUUUQYDZUUUCYURUUUTYYGUUVOAUUVAYYI
        XUPIVUCYKYOVUDXUPIUWIWFYMZUUVJXURXUQWJZYXSUUVKWLUUVLRWHTUUVQXCXUQRWHVVP
        VTZXVEXUQYXAXURXUPVVQVVEVVSUUUJUUVKUUVIRUFUUVPXUQRXUPXCUWNWFWMAUUULXYQX
        UPXYPUSZRUFZVJZWLZBXUPYBVFZVNZAUUULYXNUUUNVJZWLZUUUKVNKYXBUUWFUUUKKUUWF
        KXMKYXCXUPYBYYQKYBYSZKXUPYSVWGXNYYRYYSUUWBUUWFUUWCUUUKYYSUUWAUUWEAYYSXY
        QYXNUUVTUUUNUUULYYTYYSUUVSUUUMRXUPXYPYXBXOXPXQXRYYSBYXCXUPYBUUUAVVTYAYU
        MUUWDGXUPWYLUKVAXTXWNXUPUFZYUKUUWBYULUUWCUUWHYUJUUWAAUUWHYUGUUULYUIUUVT
        XYQXWNXUPWULUXCXWNXUPRXYPUXAUXDXRXWNXUPBYBYCYAOUXEYFVWAUUUJYXCWPTZYYKYX
        KUUUKYDUUUIUUUCYUSUUWIUUVEUUUIYUSWLZYXCRIYYFYUSYXGYXLUUVFYVAYXGYXLUUVGU
        UUBVVRVVNZVWBYQYURYYKAYXGUUUCYYLVVOYXCWYLVWCYPVUDUUUIUUUDWLYXCIWYLVIUUU
        IUUUDYUSYXCIVIVFZUUUIUUVCUUUDYUSYURUUVCAYXGUUVDYRUUUDUUVCYUSWYLIWYFYBYC
        VWDVWEUUWJYXLUUWLUUWKYXCRIVWHWFYQUUUIUUUDVVKVWFVWIVVNVWEYXCWYLVWJVWKZYV
        AXWNXVETZYXGXWNYXAUSZRUFZVJZYUGYXNXWNYXBUSZRUFZVJZYXCXWNYBVFZYVAUUWQWLZ
        YUGYXNUUWSYVAYXGUUWNYUGUUWPYVAXVEWULXWNYVAYYCXVEWULYIYYMWYLUKIVWPWFVWLZ
        VWMYVAUUWNYXGYXNUUWPUUVHUXHUUXBUUWRUUWORYVAUUWNYXGUUWRUUWOUFZUUWPAYURUU
        WNYXGWLZUUXDYUSYYFUUXEWLUUVJYXSUUWNUUXDYXGUUVJYYFUUWNUUVMVWNYURYXSAUUXE
        YYAYRYYFUUWNYXGVWOUUVJUUVQYXSUUWNWLUUXDUUVRXVEXUQYXAXURXWNVWQVVEVVSZVWR
        VWSYVAUUWNYXGUUWPVWTWMVMAUUWTUUXAYUTYUMAUUWTWLZUUXAVNKYXBUUXGUUXAKUUXGK
        XMKYXCXWNYBYYQUUWGKXWNYSVWGXNYYRYYSYUKUUXGYULUUXAYYSYUJUUWTAYYSXYQYXNYU
        IUUWSYUGYYTYYSYUHUUWRRXWNXYPYXBXOZXPXQXRYYSBYXCXWNYBUUUAVVTYAOYFYMYQAYU
        TUUWNYXGUUWOHUFZVJZYXCXWNUKYLUHZUQZAYUTUUXJWLZYUGYXNUUWRHUFZVJZUUXLAUUX
        MWLYUGYXNUUXNUUXJAYUTUUWNYUGUUWNYXGUUXIVXAAYUTUUWNYUGUUXCYNVXBUUXJAYUTY
        XGYXNUUWNYXGUUXIVXFYYOVXBAYURUUXJUUXNYUSAYURUUXJUUXNYYFUUXJWLUUWRUUWOHY
        YFUUWNYXGUUXDUUXIUUXFVWSYYFUUWNYXGUUXIVWTWMYNVXCVMAYUGXYQYUHHUFZVJZWLZB
        UUXKUQZVNAUUXOWLZUUXLVNKYXBUUXTUUXLKUUXTKXMKYXCUUXKYYQKUUXKYSVXDXNYYRYY
        SUUXRUUXTUUXSUUXLYYSUUXQUUXOAYYSXYQYXNUUXPUUXNYUGYYTYYSYUHUUWRHUUXHXPXQ
        XRYYSBYXCUUXKUUUAVXEYAPYFYQVUOVXGYVAUCYXCXUTDEFHWYLJUDYXEYXFUUWMVXHYVLY
        WOWPTZYWPWPTZYWRYWSWLYWTVNUXOYWNWPTZYVNUUYAYWNYWLVSTZYWMVSTYWNVHTYVPXVB
        VSTUUYDYWERWYLUXPXVIXVBUYCYHYWKUCYWLYJYWMUYBUYDZUYEZYWIYWNYVJVXIYHUUYCY
        VMUUYBUUYFYWGYWNXVKVXIYHURYWOYWPVXJVXNYPYWNYTTYVJYTTXVKYTTYWQYVOUFYWNUU
        YEVXOYVJYWHVXOXVKYWFVXOYWNYVJXVKVXKVXNVXLURXVKYVJVXMVXPYVAYVJXUGURVEYVA
        YVJXVAFWYRUIZEWYRUJZYVFYVGVJZJXVIUPZVDUSZXUGYURYVJUUYKUFAYUSYURYVIUUYJV
        DYURYVHUUYIJXVIYURYVEUUYHYVFYVGYURYVDUUYGEYVCWYRYURYVBWYFRUGYURWYFYTTYV
        BWYFUFWYFVXQWYFVXRWFVRZYURXVAFYVCWYRUUYLVXSXDVXTVYDXFUYIYVAXUFUUYJVYAVF
        ZXUGUUYKUFZYVABDEFHWYFIJKAIXSTYUTLYOAHXSTYUTQYOAYURYUSVWOAYURYUSVYBVYCX
        UFVSTZUUYJVSTZUUYNUUYMYDXUEVSTZUUYOXUBVSTZXUDVSTZUUYQXVTXUAVSTZUUYRXWAU
        KWYFUXPZWUKXUAYGYHXUAXUAWUNWIZDUNZVSTXUDUVUCYIUUYSXUAXUAULUHZUVUCVSXUAX
        UADUKWYFUGXTZUVUEUXQUUYTUUYTUVUDVSTUVUAUVUAXUAXUAYGYHUXRXUCUVUBDXUAXUAW
        UNUXSUXTUVUCXUDUYAYHXUBXUDUYCYHWYTJXUEYJVTYVPUUYPYWEUUYIJXVIYJVTXUFUUYJ
        VYEYHUXKVYFXGVVGVUTVYGVYHVYNVYIVYJVYKAWWFWURSWURSUFZWWFAURWURVDUSZVEVFU
        VUFURSVDUSZUVUGVEURRUVUHVEYVLURRVEVFUXOURVYLVTVYOVYMWURSVDVYPVYQAWWEUVU
        GURVEAWWDWURVDAWWCWUJJWUQAWWBWUIEWUHAWWAWUGFWUHAWVTCWUFAWVTKWVOBVCCAKWV
        SWVOBAWVSWVOSVBWVOAWVRSWVOAWVRXXKSAWVQSWVKAIWVPYBVFZWVQSUFZAIWWKUYLAWVP
        WPTYYGUVUIUVUJYDAIYYIVUBYYIWVPIWUDYPYEWSXXLVQWTWVOWRVQWNKWVOBCWVAWVMWVN
        XTMVYRVQWOVYSVYTVYDXFXGWUAWUBWUEWUJJWUQWUCVUI $.
    $}

    $d c g i j k m n p q r s v x y z ph $.
    $d a b c f g i j k m n p q r s v x y z F $.
    $d a b c f g i j k m n p q r s v x y z G $.
    $d a b c f g i j k m n p q r s v x y z I $.
    $d a b c f g i j k m n p q r s v x y z N $.
    $d a b c f g i j k m n p q r s v x y z R $.
    $d c f g i m p q r v x y z X $.
    poimir.i $e |- I = ( ( 0 [,] 1 ) ^m ( 1 ... N ) ) $.
    poimir.r $e |- R =
        ( Xt_ ` ( ( 1 ... N ) X. { ( topGen ` ran (,) ) } ) ) $.
    ${
      poimir.1 $e |- ( ph -> F e. ( ( R |`t I ) Cn R ) ) $.
      ${
        $d c f j v C $.
        poimirlem30.x $e |- X = ( ( F ` ( ( ( 1st ` ( G ` k ) ) oF +
          ( ( ( ( 2nd ` ( G ` k ) ) " ( 1 ... j ) ) X. { 1 } ) u. ( ( ( 2nd `
            ( G ` k ) ) " ( ( j + 1 ) ... N ) ) X. { 0 } ) ) ) oF /
          ( ( 1 ... N ) X. { k } ) ) ) ` n ) $.
        poimirlem30.2 $e |- ( ph -> G : NN --> ( ( NN0 ^m ( 1 ... N ) ) X.
          { f | f : ( 1 ... N ) -1-1-onto-> ( 1 ... N ) } ) ) $.
        poimirlem30.3 $e |- ( ( ph /\ k e. NN ) ->
          ran ( 1st ` ( G ` k ) ) C_ ( 0 ..^ k ) ) $.
        poimirlem30.4 $e |- ( ( ph /\
          ( k e. NN /\ n e. ( 1 ... N ) /\ r e. { <_ , `' <_ } ) ) ->
            E. j e. ( 0 ... N ) 0 r X ) $.
        $( Lemma for ~ poimir connecting cubes of the tessellation to
           neighborhoods.  (Contributed by Brendan Leahy, 21-Aug-2020.) $)
        poimirlem29 $p |- ( ph -> ( A. i e. NN E. k e. ( ZZ>= ` i )
          A. m e. ( 1 ... N ) ( ( ( 1st ` ( G ` k ) ) oF / ( ( 1 ... N ) X.
            { k } ) ) ` m ) e. ( ( C ` m ) ( ball ` ( ( abs o. - ) |`
          ( RR X. RR ) ) ) ( 1 / i ) ) -> A. n e. ( 1 ... N )
            A. v e. ( R |`t I ) ( C e. v -> A. r e. { <_ , `' <_ } E. z e. v
          0 r ( ( F ` z ) ` n ) ) ) ) $=
          ( vc cv cfv c1 cfz co csn cxp cdiv cof cabs cmin cr wcel wral wrex cn
          cuz cc0 wbr cle ccnv wi wa cin wss crp wceq ctop cvv wb crn cfn retop
          wf mp2an eqeltri cicc cmap ovex sseld imp adantl cuni unitssre sselda
          mpan c2 cneg clt rpred syl fveq2 oveq2d c2nd cima caddc cun wfn nnrpd
          lerecd cc wne syl2anc ad4antlr elmapi ffvelrnda sselid simplr jca cn0
          mpbid 3syl nn0red nndivred sylan recnd abscld sylanl1 c0 fconst sylib
          adantr elsni breq1d syl5ibrcom readdcld adantlr ad3antlr eqidd eleq1d
          ofval bitrd ffnd adantl3r c1st ccom cres cbl cpr crest cixp cioo fzfi
          ctg cpt fconst6 pttop elrest eqid ptrecube ex inss1 sseq1 ssrin sseq2
          mpbiri syl5ibr reximdv imim12d syl5com rexlimiv sylbi resttop eqsstri
          reex mapss uniretop ptuniconst restuni eltopss cfl rpdivcl ceicl 0red
          2rp zred rpgt0d ceige ltletrd elnnz sylanbrc eleq2d ralbidv rexeqbidv
          cz oveq2 rspcv uznnssnn imdistani rpcn rpne0 2cn 2ne0 mpanl12 breqtrd
          recdiv eleq2s simp-4l wf1o cab xp1st resubcld nnrecred ltletr syl3anc
          rphalfcl mpan2d simpl anim12i anassrs 1re snssi ax-mp 0re c0ex pm3.2i
          unssi 1ex wfun xp2nd fvex f1oeq1 elab wfo simprbi imain elfznn0 ltp1d
          dff1o3 fzdisj imaeq2d ima0 sylan9req fun sylancr imaundi nn0p1nn nnuz
          eqtrdi eleqtrdi elfzuz3 fzsplit2 f1ofo ancoms eqtr3id simpllr absnegd
          foima feq2d wo elun nnrecre nnrp rpreccld rpge0d absidd letrd eqbrtrd
          eluzle fvoveq1d nncn nnne0 div0d abs00bd biimparc syldan jaod adantll
          ad2antrr simpll anim1i renegcld ltleadd syl21anc abstrid lelttr mpand
          mpd 3syld jctild adantld cxr rpxrd cxmet rexmet elbl elmapfn fnconstg
          mp3an1 vex mp1i fzfid inidm fvconst2 remetdval eqtrd anbi2d rpxr cfzo
          fzofzp1 elfzonn0 nn0cnd addid1d elfzofz eqeltrd syl5bi dffn3 fssd off
          divdird subnegd eqtr4d adantllr negcld subsubd fveq2d 3eqtrd 2halvesd
          eqcomd breq12d anbi12d 3imtr4d ralimdva nndivre elfzle1 divge0 syl2an
          rpregt0d elfzle2 cmul 1red ledivmuld mulid1d breq2d elicc01 syl3anbrc
          mpbird impr a1i eleq2i elmap bitri sylibr jctird elixp anbi1i syl6ibr
          elin ssel com12 syl6 impd ralrimdva 3exp2 imp43 r19.29 fveq1d eqtr4di
          expd rspcev rexlimivw expcom ralrimdvva sylan2 rexlimdva syld sylanl2
          syl6d com23 rexlimddv expr r19.21v ralcom syl6ib ) AJUGZIUGZMUHZUUAUH
          ZUIOUJUKZWWBULZUMZUNUOZUKUHZWWADUHZUIGUGZUNUKZUPUQUUBURURUMUUCZUUDUHZ
          UKZUSZJWWEUTZIWWKVCUHZVAZGVBUTZDCUGZUSZVDKUGZBUGZLUHZUHZQUGZVEZBWXAVA
          ZQVFVFVGUUEZUTZVHZKWWEUTZCENUUFUKZUTWXLCWXNUTKWWEUTAWWTWXMCWXNAWXAWXN
          USZVIZWWTWXBWXKKWWEUTZVHWXMWXPWXBWWTWXQAWXOWXBWWTWXQVHZAWXOWXBVIZVIJW
          WEWWJUFUGZWWNUKZUUGZNVJZWXAVKZWXRUFVLWXSWYDUFVLVAZAWXOWXBWYEWXOWXAWXD
          NVJZVMZBEVAZWXBWYEVHZEVNUSZNVOUSZWXOWYHVPEWWEUUHVQUUJUHZULUMZUUKUHZVN
          TWWEVRUSWWEVNWYMVTWYNVNUSUIOUUIWWEWYLVNVSUULWWEWYMVRUUMWAWBZNVDUIWCUK
          ZWWEWDUKZVOSWYPWWEWDWEWBZBWXANEVNVOUUNWAWYGWYIBEWXDEUSZDWXDUSZWYBWXDV
          KZUFVLVAZVHWYGWYIWYSWYTXUBWWMDEWXDJOUFTWWMUUOZUUPUUQWYGWXBWYTXUBWYEWY
          GWXAWXDDWYGWXAWXDVKWYFWXDVKWXDNUURWXAWYFWXDUUSUVBWFWYGXUAWYDUFVLXUAWY
          DWYGWYCWYFVKWYBWXDNUUTWXAWYFWYCUVAUVCUVDUVEUVFUVGUVHWGWHWXSADNUSZWXTV
          LUSZWYDVIWXRWXOWXANDWXNVNUSZWXOWXANVKWYJWYKXUFWYOWYRNEVOUVIWAWXAWXNNW
          YJNURWWEWDUKZVKNWXNWIVMWYONWYQXUGSURVOUSWYPURVKWYQXUGVKUVKWJWYPURWWEV
          OUVLWAUVJNEXUGWWEVOUSWYLVNUSXUGEWIVMUIOUJWEZVSWWEWYLEVOURTUVMUVNWAUVO
          WAUVPWLWKAXUDVIZXUEWYDWXRXUIXUEVIZWWTWYDWXQXUJWWTWWIWWJUIWMWXTUNUKZWN
          UVQUHWNZUNUKZWWNUKZUSZJWWEUTZIXULVCUHZVAZWYDWXQVHZXUEWWTXURVHZXUIXUEX
          ULVBUSZXUTXUEXULUWKUSZVDXULWOVEXVAXUEXUKURUSZXVBXUEXUKWMVLUSXUEXUKVLU
          SUWAWMWXTUVRWLZWPZXUKUVSWQZXUEVDXUKXULXUEUVTXVEXUEXULXVFUWBXUEXUKXVDU
          WCXUEXVCXUKXULVFVEZXVEXUKUWDWQZUWEXULUWFUWGZWWSXURGXULVBWWKXULVMZWWQX
          UPIWWRXUQWWKXULVCWRXVJWWPXUOJWWEXVJWWOXUNWWIXVJWWLXUMWWJWWNWWKXULUIUN
          UWLWSUWHUWIUWJUWMWQWHXUJXUPXUSIXUQXUJWWBXUQUSZVIZXUPWYDWWDWWCWTUHZUIH
          UGZUJUKZXAZUIULZUMZXVMXVNUIXBUKZOUJUKZXAZVDULZUMZXCZXBUOUKZWWGWWHUKZW
          XAUSZHVDOUJUKZUTZWXQXVLXUPWYDXWIXVLXUPWYDVIXWGHXWHXVLXVNXWHUSZVIZXUPW
          YDXWGXWKXUPXWFWYCUSZWYDXWGVHXWKXUPXWFWWEXDZWWAXWFUHZWYAUSZJWWEUTZVIZX
          WFNUSZVIZXWLXWKXUPXWQXWRXWKXUPXWPXWMXWKXUOXWOJWWEXWKWWAWWEUSZVIZWWIUR
          USZWWJWWAWWDUHZWWBUNUKZUQUKZUPUHZXUMWOVEZVIZXXCWWAXWDUHZXBUKZWWBUNUKZ
          URUSZXXEXXIWWBUNUKZWNZXBUKZUPUHZWXTWMUNUKZXXQXBUKZWOVEZVIZXUOXWOXXAXX
          GXXTXXBXXAXXGXXSXXLXXAXXGXXFXXQWOVEZXXFXXNUPUHZXBUKZXXRWOVEZXXSXVLXUJ
          WWBVBUSZVIZXWJXWTXXGXYAVHXUJXVKXYEXUEXVKXYEVHXUIXUEXUQVBWWBXUEXVAXUQV
          BVKXVIXULUWNWQZWFWHUWOZXYFXWJVIZXWTVIZXXGXUMXXQVFVEZXYAXUEXYKXUIXYEXW
          JXWTXUEXUMUIXUKUNUKZXXQVFXUEXVGXUMXYLVFVEXVHXUEXUKXULXVDXUEXULXVIXEZX
          FXQXUEWXTXGUSZWXTVDXHZXYLXXQVMZWXTUWPZWXTUWQWMXGUSWMVDXHXYNXYOVIXYPUW
          RUWSWMWXTUXBUWTXIUXAZXJXYJXXFURUSZXUMURUSZXXQURUSZXXGXYKVIXYAVHXYJXXE
          XYJXXEXYJWWJXXDXYJWYPURWWJWJXYIWWEWYPWWADXUDWWEWYPDVTZAXUEXYEXWJYUBDW
          YQNDWYPWWEXKSUXCZXJXLXMZXYIAXYEVIZXWTXXDURUSZXYIAXYEAXUDXUEXYEXWJUXDX
          UJXYEXWJXNXOYUEXWTVIZXXCWWBYUGXXCYUEWWEXPWWAWWDYUEWWCXPWWEWDUKZWWEWWE
          FUGZUXEZFUXFZUMZUSZWWDYUHUSZWWEXPWWDVTAVBYULWWBMUCXLZWWCYUHYUKUXGZWWD
          XPWWEXKXRXLXSZAXYEXWTXNXTZYAUXHZYBZYCZXUEXYTXUIXYEXWJXWTXUEXULXVIUXIZ
          XJXUEYUAXUIXYEXWJXWTXUEXXQWXTUXLZWPZXJXXFXUMXXQUXJUXKUXMYDXXAXYAXYBXX
          QVFVEZXYDXXAXYBXXMUPUHZXXQVFXVLYUEXWJXWTXYBYVFVMXUIXUEXVKYUEXUIAXUEXV
          KVIZXYEAXUDUXNXUEXUQVBWWBXYGWKZUXOUXPZYUEXWJVIZXWTVIZXXMYVKXXMYVKXXIW
          WBYVKXVQXWBXCZURXXIXVQXWBURUIURUSXVQURVKUXQUIURUXRUXSVDURUSXWBURVKUXT
          VDURUXRUXSUYCYVJWWEYVLWWAXWDYVJXVPXWAXCZYVLXWDVTZWWEYVLXWDVTYVJXVPXVQ
          XVRVTZXWAXWBXWCVTZVIXVPXWAVJZYEVMYVNYVOYVPXVPUIUYDYFXWAVDUYAYFUYBYUEX
          WJYVQXVMXVOXVTVJZXAZYEYUEWWEWWEXVMUXEZXVMVGUYEZYVSYVQVMYUEXVMYUKUSZYV
          TYUEYUMYWBYUOWWCYUHYUKUYFWQYUJYVTFXVMWWCWTUYGWWEWWEYUIXVMUYHUYIYGZYVT
          WWEWWEXVMUYJZYWAWWEWWEXVMUYOUYKXVOXVTXVMUYLXRXWJYVSXVMYEXAYEXWJYVRYEX
          VMXWJXVNXVSWOVEYVRYEVMXWJXVNXWJXVNXVNOUYMZXSUYNUIXVNXVSOUYPWQUYQXVMUY
          RVUEUYSXVPXWAXVQXWBXVRXWCUYTVUAYVJYVMWWEYVLXWDYVJYVMXVMXVOXVTXCZXAZWW
          EXVMXVOXVTVUBXWJYUEYWGWWEVMXWJYUEYWGXVMWWEXAZWWEXWJWWEYWFXVMXWJXVSUIV
          CUHZUSOXVNVCUHUSWWEYWFVMXWJXVSVBYWIXWJXVNXPUSXVSVBUSYWEXVNVUCWQVUDVUF
          XVNVDOVUGXVNUIOVUHXIUYQYUEYVTYWDYWHWWEVMYWCWWEWWEXVMVUIWWEWWEXVMVUNXR
          UYSVUJVUKVUOXQZXLZXMZAXYEXWJXWTVULZXTZYBZVUMYDXXAXXIXVQUSZXXIXWBUSZVU
          PZYVFXXQVFVEZXXAXXIYVLUSZYWRXVLYUEXWJXWTYWTYVIYWKYDXXIXVQXWBVUQYGXVLY
          WRYWSVHZXWJXWTXUEXVKYXAXUIYVGYWPYWSYWQYVGYWSYWPUIWWBUNUKZUPUHZXXQVFVE
          YVGYXCYXBXXQVFYVGXYEYXCYXBVMYVHXYEYXBWWBVURXYEYXBXYEWWBWWBVUSZVUTVVAV
          VBWQYVGYXBXUMXXQYVGWWBYVHUXIXUEXYTXVKYVBYHXUEYUAXVKYVDYHYVGXULWWBVFVE
          ZYXBXUMVFVEXVKYXEXUEXULWWBVVEWHYVGXULWWBYVGXULXUEXVAXVKXVIYHXEYVGWWBY
          VHXEXFXQXUEXYKXVKXYRYHVVCVVDYWPYVFYXCXXQVFYWPXXIUIWWBUPUNXXIUIYIVVFYJ
          YKYVGYWSYWQVDWWBUNUKZUPUHZXXQVFVEZXUEXVKXYEYXHYVHXUEVDXXQVFVEZXYEYXHX
          UEXXQYVCVVAXYEYXHYXIXYEYXGVDXXQVFXYEYXFXYEWWBWWBVVGZWWBVVHZVVIVVJYJVV
          KYAVVLYWQYVFYXGXXQVFYWQXXIVDWWBUPUNXXIVDYIVVFYJYKVVMVVNVVOVWDVVDXXAXY
          SXYBURUSZYUAYUAVIZXYAYVEVIXYDVHXVLXYFXWJXWTXYSXYHYVAYDXVLXYFXWJXWTYXL
          XYHXYJXXNXYJXXNXYFYUEXWJXWTXXNURUSXUJAXYEAXUDXUEVVPZVVQZYVKXXMYWNVVRY
          DZYBZYCZYDXUEYXMXUIXVKXWJXWTXUEYUAYUAYVDYVDXOXJXXFXYBXXQXXQVVSVVTUXMX
          VLXYFXWJXWTXYDXXSVHXYHXYJXXPXYCVFVEZXYDXXSXYJXXEXXNYUTYXQVWAXYJXXPURU
          SXYCURUSXXRURUSZYXSXYDVIXXSVHXYJXXOXYJXXOXYJXXEXXNYUSYXPYLYBYCXYJXXFX
          YBYVAYXRYLXUEYXTXUIXYEXWJXWTXUEXXQXXQYVDYVDYLXJXXPXYCXXRVWBUXKVWCYDVW
          EXVLYUEXWJXWTXXLYVIYVKXXJWWBYVKXXCXXIYUEXWTXXCURUSXWJYUQYMZYWLYLYWMXT
          ZYDVWFVWGXWKXYFXWTXUOXXHVPXVLXYFXWJXYHYHXYFXWTVIZXUOXXBWWJWWIWWMUKZXU
          MWOVEZVIZXXHYYCWWJURUSZXUMVWHUSZXUOYYFVPZYYCWYPURWWJWJXYFWWEWYPWWADXU
          DYUBAXUEXYEYUCYNXLXMZXUEYYHXUIXYEXWTXUEXUMXUEXULXYMVUTVWIYNWWMURVWJUH
          USZYYGYYHYYIWWMXUCVWKZWWIWWMWWJXUMURVWLVWOXIYYCYYEXXGXXBYYCYYDXXFXUMW
          OYYCYYDWWJXXDWWMUKZXXFXUJAXYEXWTYYDYYMVMYXNYUGWWIXXDWWJWWMYUEWWEWWEXX
          CWWBUNWWEWWDWWGVRVRWWAYUEYUMYUNWWDWWEXDZYUOYUPWWDXPWWEVWMXRZWWBVOUSZW
          WGWWEXDZYUEIVWPZWWEWWBVOVWNZVWQYUEUIOVWRZYYTWWEVWSZYUGXXCYOXWTWWAWWGU
          HWWBVMZYUEWWEWWBWWAYYRVWTZWHYQWSYDYYCYYGYUFYYMXXFVMYYJXUJAXYEXWTYUFYX
          NYURYDWWJXXDWWMXUCVXAXIVXBYJVXCYRYAXVLXYFXWJXWTXWOXXTVPXYHXYJXWOXWNUR
          USZWWJXWNWWMUKZWXTWOVEZVIZXXTXYJYYGWXTVWHUSZXWOUUUGVPZYUDXUEUUUHXUIXY
          EXWJXWTWXTVXDXJYYKYYGUUUHUUUIYYLXWNWWMWWJWXTURVWLVWOXIXYJUUUDXXLUUUFX
          XSXYFYUEXWJXWTUUUDXXLVPYXOYVKXWNXXKURYVJWWEWWEXXJWWBUNWWEXWEWWGVRVRWW
          AYVJWWEVDWWBUJUKZXWEYVJCBWWEWWEWWEXBVDWWBVXEUKZYVLUUUJWWDXWDVRVRWXAUU
          UKUSZWXDYVLUSZVIWXAWXDXBUKZUUUJUSZYVJUUULUUUMUUUOUUUMWXDXVQUSZWXDXWBU
          SZVUPUUULUUUOWXDXVQXWBVUQUUULUUUPUUUOUUUQUUULUUUOUUUPWXAUIXBUKZUUUJUS
          VDWWBWXAVXFUUUPUUUNUUURUUUJUUUPWXDUIWXAXBWXDUIYIWSYPYKUUULUUUOUUUQWXA
          VDXBUKZUUUJUSUUULUUUSWXAUUUJUUULWXAUUULWXAWXAWWBVXGVXHVXIWXAVDWWBVXJV
          XKUUUQUUUNUUUSUUUJUUUQWXDVDWXAXBWXDVDYIWSYPYKVVMVXLWGWHYUEWWEUUUKWWDV
          TXWJYUEWWEWWDVQZUUUKWWDYUEYYNWWEUUUTWWDVTYYOWWEWWDVXMYGUDVXNYHYWJYVJU
          IOVWRZUUVAUUUAVXOZYSYYPYYQYVJYYRYYSVWQUUVAUUVAUUUAYVJWWEWWEXXCXXIXBWW
          EWWDXWDVRVRWWAYUEYYNXWJYYOYHYVJWWEYVLXWDYWJYSUUVAUUVAUUUAYVKXXCYOYVKX
          XIYOYQXWTUUUBYVJUUUCWHYQZYPYDXYJUUUEXXPWXTXXRWOXUIXYEXWJXWTUUUEXXPVMX
          UEXUIXYEVIZXWJVIZXWTVIZUUUEWWJXXKWWMUKZWWJXXKUQUKZUPUHZXXPUUVFXWNXXKW
          WJWWMAXYEXWJXWTXWNXXKVMXUDUUVCYTWSUUVFYYGXXLUUVGUUVIVMUUVFWYPURWWJWJU
          UVEWWEWYPWWADXUDYUBAXYEXWJYUCYNXLXMZAXYEXWJXWTXXLXUDYYBYTWWJXXKWWMXUC
          VXAXIUUVFUUVHXXOUPUUVFUUVHWWJXXDXXNUQUKZUQUKZXXOAXYEXWJXWTUUVHUUVLVMX
          UDYVKXXKUUVKWWJUQYVKXXKXXDXXMXBUKUUVKYVKXXCXXIWWBYVKXXCYYAYBYVKXXIYWL
          YBXYEWWBXGUSAXWJXWTYXJYNXYEWWBVDXHAXWJXWTYXKYNVXPYVKXXDXXMYUEXWTXXDXG
          USXWJYUGXXDYURYBYMYWOVXQVXRWSYTUUVFWWJXXDXXNUUVFWWJUUVJYBUUVFXXDUUVDX
          WTYUFXWJAXYEXWTYUFXUDYURVXSYMYBUUVFXXMAXYEXWJXWTXXMXGUSXUDYWOYTVXTVYA
          VXBVYBVYCYTXUEWXTXXRVMXUIXYEXWJXWTXUEXXRWXTXUEWXTXYQVYDVYEXJVYFVYGYRY
          DVYHVYIXVLYUEXWJXWMYVIYVJWWEWYPXWFYVJCBWWEWWEWWEUNUUUJWWFWYPXWEWWGVRV
          RYVJXYEWXAUUUJUSZWXDWWFUSZVIWXAWXDUNUKZWYPUSZAXYEXWJXNXYEUUVMUUVNUUVP
          XYEUUVMVIUUVPUUVNWXAWWBUNUKZWYPUSZUUVMXYEUUVRUUVMXYEVIZUUVQURUSZVDUUV
          QVFVEZUUVQUIVFVEZUUVRUUVMWXAURUSZXYEUUVTUUVMWXAWXAWWBUYMXSZWXAWWBVYJY
          AUUVMUUWCVDWXAVFVEZVIWWBURUSVDWWBWOVEVIUUWAXYEUUVMUUWCUUWEUUWDWXAVDWW
          BVYKXOXYEWWBYXDVYNWXAWWBVYLVYMUUVSUUWBWXAWWBVFVEZUUVMUUWFXYEWXAVDWWBV
          YOYHUUVSUUWBWXAWWBUIVYPUKZVFVEZUUWFUUVSWXAUIWWBUUVMUUWCXYEUUWDYHUUVSV
          YQXYEWWBVLUSUUVMYXDWHVYRXYEUUWHUUWFVPUUVMXYEUUWGWWBWXAVFXYEWWBYXJVYSV
          YTWHYRWUCUUVQWUAWUBVUJUUVNUUVOUUVQWYPUUVNWXDWWBWXAUNWXDWWBYIWSYPYKWUD
          YAUUVBWWEWWFWWGVTYVJWWEWWBYYRYFWUEUUVAUUVAUUUAVXOZYSYAVWFXVLYUEXWJXWR
          YVIYVJWWEWYPXWFVTZXWRUUWIXWRXWFWYQUSUUWJNWYQXWFSWUFWYPWWEXWFVDUIWCWEX
          UHWUGWUHWUIYAWUJXWLXWFWYBUSZXWRVIXWSXWFWYBNWUNUUWKXWQXWRJWWEWYAXWFXWE
          WWGWWHWEWUKWULWUHWUMWYDXWLXWGWYCWXAXWFWUOWUPWUQWURWUSWVEAXUEXVKXWIWXQ
          VHZXUDAXUEXVKUUWLYVGAXYEUUWLYVHYUEXWIWXIKQWWEWXJYUEWXCWWEUSZWXGWXJUSZ
          VIVIVDPWXGVEZHXWHVAZXWIWXIVHAXYEUUWMUUWNUUWPAXYEUUWMUUWNUUWPUEWUTWVAX
          WIUUWPWXIXWIUUWPVIXWGUUWOVIZHXWHVAWXIXWGUUWOHXWHWVBUUWQWXIHXWHWXHUUWO
          BXWFWXAWXDXWFVMZWXFPVDWXGUUWRWXFWXCXWFLUHZUHPUUWRWXCWXEUUWSWXDXWFLWRW
          VCUBWVDVYTWVFWVGWQWVHWQWVIWVJUXPVXSWVNWVKWVLWVOWUDWVMWVPWVQWVOWXBWXKK
          WWEWVRWUMWUSWXLCKWXNWWEWVSWVT $.

        $( Lemma for ~ poimir combining ~ poimirlem29 with ~ bwth .
           (Contributed by Brendan Leahy, 21-Aug-2020.) $)
        poimirlem30 $p |- ( ph ->
            E. c e. I A. n e. ( 1 ... N ) A. v e. ( R |`t I ) ( c e. v ->
              A. r e. { <_ , `' <_ } E. z e. v 0 r ( ( F ` z ) ` n ) ) ) $=
          ( vm vi cv cfv c1 cfz co csn cxp cdiv cres wcel wral cuz wrex cc0 wbr
          cr cn cle ccnv wi crest cmpt crn cfn wceq wss wa cicc cfzo sylan nnrp
          wf syl2an adantr crp adantl wb eleq1d syl5ibrcom adantll wfn cn0 cmap
          ffvelrnda sylanbrc vex a1i fzfid eleq2i ovex bitri cima ax-mp imaeq2i
          ciun com eqid bitr3i wn ralnex cun sylbi syl5eq difeq1i difss syl wal
          cdif eldif 3bitr4i df-ral cvv 3bitri syl6 unitssre mp3an1 an32s fveq1
          syl5 ralrimdva reximdv ccmp ctg cpt cixp wtru ctop fconst6 mp2an cuni
          eqeltri cha cin c0 wo c1st cof cabs cmin ccom cbl wel elfzonn0 nn0red
          cpr nndivre clt elfzole1 rpregt0d divge0 elfzo0le cmul 1red ledivmuld
          jca mulid1d breq2d bitrd mpbird elicc01 syl3anbrc ancoms elsni oveq2d
          nncn impr wf1o cab xp1st elmapfn 3syl df-f fconst inidm sylibr fmpttd
          off elmap frnd ominf cen nnenom enfi iunid imaiun fnmpti mpbi fimacnv
          dffn3 eleq1i mtbi rexbii rexnal ralbii nnuz elnnuz fzouzsplit difeq1d
          3eqtr3ri uncom difun2 eqtri eqtrdi ssralv impexp imbi1i con34b imbi2i
          eqsstrdi albii crab mptiniseg sseq1i rabss fzofi ssfi rexlimiv ralimi
          mpan sylbir iunfi ex mt3i ssrexv syl2im elmapi eleq2s sselid rpreccld
          cxmet rexmet blcntr ralimdva reximia clp cioo ixpconst eqtr4i oveq12i
          retop ptrest mptru fvex fvconst2 oveq1d mpteq2ia fconstmpt fveq2i cii
          3eqtri fzfi dfii2 eqeltrri ptcmpfi rehaus pthaus haustop reex eqsstri
          iicmp mapss uniretop ptuniconst restuni bwth 3expia sylancr wne islp3
          cmptop ccld nnrecre rexrd cmopn tgioo blopn eleqtrrd noel difid mtbir
          cxr pm2.21i ptopn eleqtrrdi elrestr mp3an12 imassrn sstrid ct1 haust1
          sstri restt1 wfun funmpt imafi t1ficld mp3an13 difopn syl2anr anassrs
          diffi eleq2 ineq1 neeq1d imbi12d ffnd ralrimiva elixp simpl neldifsnd
          rspcva elind eldifd wex simplr anim1i anim12i elin andir anbi1i ianor
          xchnxbir anbi12i andi pm3.24 simpr anim12ci biorfi ancom anass bitr4i
          mto 3imtr4i cdm imadmrn dmmpti eqtr3i imadifss imass2 df-ima uznnssnn
          resmptd rneqd sseqtrd sseld syl5bi anim1d eximdv n0 ralbidv rexrnmptw
          rgenw df-rex 3imtr4g embantd sylbid reximdva syld pm2.61d poimirlem29
          mpand mpd ) AUDUFZGUFZJUGZUUAUGZUHLUIUJZWVIUKZULZUMUUBZUJZUGZWVHOUFZU
          GZUHUEUFZUMUJZUUCUUDUUEVAVAULUNZUUFUGUJZUOZUDWVLUPZGWVTUQUGZURZUEVBUP
          ZOKURZOCUUGZUSHUFZBUFIUGUGNUFUTBCUFZURNVCVCVDUUJUPVECDKVFUJZUPHWVLUPZ
          OKURAGVBWVPVGZVHZVIUOZWWIAWWQWVPWVRVJZGWWFURZUEVBUPZOKURZWWIAWWPKVKZW
          WQWWTOWWPURZWXAAVBKWWOAGVBWVPKAWVIVBUOZVLZWVLUSUHVMUJZWVPVQZWVPKUOZWX
          EUEFWVLWVLWVLUMUSWVIVNUJZWVMWXFWVKWVNVIVIWXDWVTWXIUOZFUFZWVMUOZVLWVTW
          XKUMUJZWXFUOZAWXDWXJWXLWXNWXDWXJVLWXNWXLWVTWVIUMUJZWXFUOZWXJWXDWXPWXJ
          WXDVLZWXOVAUOZUSWXOVCUTZWXOUHVCUTZWXPWXJWVTVAUOZWXDWXRWXJWVTWVTWVIUUH
          UUIZWVTWVIUUKVOWXJWYAUSWVTVCUTZVLWVIVAUOUSWVIUULUTVLWXSWXDWXJWYAWYCWY
          BWVTUSWVIUUMUUTWXDWVIWVIVPZUUNWVTWVIUUOVRWXQWXTWVTWVIVCUTZWXJWYEWXDWV
          TWVIUUPVSWXQWXTWVTWVIUHUUQUJZVCUTZWYEWXQWVTUHWVIWXJWYAWXDWYBVSWXQUURW
          XDWVIVTUOWXJWYDWAUUSWXDWYGWYEWBWXJWXDWYFWVIWVTVCWXDWVIWVIUVJUVAUVBWAU
          VCUVDWXOUVEUVFUVGWXLWXMWXOWXFWXLWXKWVIWVTUMWXKWVIUVHUVIWCWDUVKWEWXEWV
          KWVLWFZWVKVHWXIVKWVLWXIWVKVQWXEWVJWGWVLWHUJZWVLWVLEUFUVLEUVMZULZUOWVK
          WYIUOWYHAVBWYKWVIJUAWIWVJWYIWYJUVNWVKWGWVLUVOUVPUBWVLWXIWVKUVQWJWVLWV
          MWVNVQWXEWVLWVIGWKUVRWLWXEUHLWMZWYLWVLUVSUWBWXHWVPWXFWVLWHUJZUOWXGKWY
          MWVPQWNWXFWVLWVPUSUHVMWOZUHLUIWOZUWCWPUVTUWAUWDZWWQWXCOWWPWWOVDZWVRUK
          ZWQZWTZVIUOZXAVIUOZXUAUWEXUBVBVIUOZXUAVBXAUWFUTXUCXUBWBUWGVBXAUWHWRVB
          WYTVIWYQOWWPWYRWTZWQWYQWWPWQZWYTVBXUDWWPWYQOWWPUWIWSOWYQWWPWYRUWJVBWW
          PWWOVQZXUEVBVJWWOVBWFXUFGVBWVPWWOWVKWVNWVOWOZWWOXBZUWKVBWWOUWNUWLVBWW
          PWWOUWMWRUXDUWOXCUWPWXCXDZWYSVIUOZOWWPUPZWWQXUAXUIWWRXDZGWWFUPZUEVBUR
          ZOWWPUPZXUKXUOWWTXDZOWWPUPXUIXUNXUPOWWPXUNWWSXDZUEVBURXUPXUMXUQUEVBWW
          RGWWFXEUWQWWSUEVBUWRWPUWSWWTOWWPXEWPXUNXUJOWWPXUMXUJUEVBWVTVBUOZXUMXU
          LGVBUHWVTVNUJZXMZUPZXUJXURXUTWWFVKZXUMXVAVEXURXUTWWFXUSXMZWWFXURXUTXU
          SWWFXFZXUSXMZXVCXURVBXVDXUSXURVBUHUQUGZXVDUWTXURWVTXVFUOXVFXVDVJWVTUX
          AUHWVTUXBXGXHUXCXVEWWFXUSXFZXUSXMXVCXVDXVGXUSXUSWWFUXEXIWWFXUSUXFUXGU
          XHWWFXUSXJUXNZXULGXUTWWFUXIXKXVAWYSXUSVKZXUJWVIXUTUOZXULVEZGXLWXDWWRW
          VIXUSUOZVEZVEZGXLZXVAXVIXVKXVNGWXDXVLXDZVLZXULVEWXDXVPXULVEZVEXVKXVNW
          XDXVPXULUXJXVJXVQXULWVIVBXUSXNUXKXVMXVRWXDWWRXVLUXLUXMXOUXOXULGXUTXPX
          VIWWRGVBUXPZXUSVKXVMGVBUPXVOWYSXVSXUSWVRXQUOWYSXVSVJOWKZGVBWVPWVRWWOX
          QXUHUXQWRUXRWWRGVBXUSUXSXVMGVBXPXRXOXUSVIUOZXVIXUJUHWVTUXTZXUSWYSUYAU
          YDXGXSUYBUYCUYEWWQXUKXUAOWWPWYSUYFUYGYDUYHWWTOWWPKUYIUYJWWTWWHOKWVRKU
          OZWWSWWGUEVBXWCXURVLZWWRWWEGWWFXWDWWRWWDUDWVLXWDWVHWVLUOZVLZWWDWWRWVS
          WWCUOZXWCXWEXURXWGXWCXWEVLZWVSVAUOZWWAVTUOZXWGXURXWHWXFVAWVSXTXWCWVLW
          XFWVHWVRWVLWXFWVRVQWVRWYMKWVRWXFWVLUYKQUYLZWIUYMZXURWVTWVTVPUYNWWBVAU
          YOUGUOZXWIXWJXWGWWBWWBXBZUYPZWWBWVSWWAVAUYQYAVRYBZWWRWVQWVSWWCWVHWVPW
          VRYCWCWDYEYFUYRUYSXSAWWQXDZWVRWWPWWMUYTUGUGUOZOKURZWWIAWWMYGUOZWXBXWQ
          XWSVEWWMWVLVUAVHZYHUGZWXFVFUJZUKULZYIUGZYGWWMWVLXXBUKULZYIUGZHWVLWXFY
          JZVFUJZHWVLWWKXXFUGZWXFVFUJZVGZYIUGZXXEDXXGKXXHVFRKWYMXXHQHWVLWXFWYOW
          YNVUBVUCVUDXXIXXMVJYKWVLWXFHXXFVIXQYKUHLWMWVLYLXXFVQZYKWVLXXBYLVUEYMZ
          WLWXFXQUOYKWWKWVLUOZVLWYNWLVUFVUGXXLXXDYIXXLHWVLXXCVGXXDHWVLXXKXXCXXP
          XXJXXBWXFVFWVLXXBWWKXXAYHVUHZVUIVUJVUKHWVLXXCVULVUCVUMVUOWVLVIUOZWVLY
          GXXDVQXXEYGUOUHLVUPZWVLXXCYGVUNXXCYGVUQVVEVURYMWVLXXDVUSYNYPZWYPXWTWX
          BXWQXWSOWWPWWMKDYLUOZKVAWVLWHUJZVKKWWMYOVJDYQUOZXYADXXGYQRXXRWVLYQXXF
          VQXXGYQUOXXSWVLXXBYQVUTYMWVLXXFVIVVAYNYPZDVVBWRKWYMXYBQVAXQUOWXFVAVKW
          YMXYBVKVVCXTWXFVAWVLXQVVFYNVVDKDXYBXXRXXBYLUOXYBDYOVJXXSVUEWVLXXBDVIV
          ARVVGVVHYNVVIYNZVVJVVKVVLAXWRWWHOKAXWCVLZXWRWWJWWLWWPWYRXMZYRZYSVVMZV
          EZCWWMUPZWWHAWXBXWCXWRXYKWBZWYPWWMYLUOZWXBXWCXYLXWTXYMXXTWWMVVOWRCWVR
          WWPWWMKXYEVVNYAVOXYFXYKWWGUEVBXYFXURVLZUDWVLWWCYJZKYRZWWOXUSWQZWYRXMZ
          XMZWWMUOZXYKWWGAXWCXURXYTXWDXYPWWMUOZXYRWWMVVPUGUOZXYTAXWDXYODUOZYUAX
          WDXYOXXGDXWDWVLWWCUDXXFVIWVLXWDUHLWMZXXNXWDXXOWLYUDXWFWWCXXBWVHXXFUGZ
          XWCXWEXURWWCXXBUOZXWHXWIWWAVWFUOZYUFXURXWLXURWWAWVTVVQVVRXWMXWIYUGYUF
          XWOWWBWVSWWAXXBVAWWBWWBVVSUGZXWNYUHXBVVTVWAYAVRYBXWEYUEXXBVJXWDWVLXXB
          WVHXXQVUIWAVWBWVHWVLWVLXMZUOZWWCYUEYOVJZXWDYUJYUKYUJWVHYSUOWVHVWCYUIY
          SWVHWVLVWDWNVWEVWGWAVWHRVWIXYCKXQUOZYUCYUAXYDKWYMXQQWXFWVLWHWOYPZXYOK
          DYQXQVWJVWKXKAXYRKVKZYUBAXYRWWPKXYRXYQWWPXYQWYRXJWWOXUSVWLVWPWYPVWMWW
          MVWNUOZYUNXYRVIUOZYUBDVWNUOZYULYUOXYCYUQXYDDVWOWRYUMKDXQVWQYNXYQVIUOZ
          YUPWWOVWRXWAYURGVBWVPVWSXWBWWOXUSVWTYNXYQWYRVXFWRXYRWWMKXYEVXAVXBXKXY
          PXYRWWMKXYEVXCVXDVXEXYTXYKVLWVRXYSUOZXYSXYGYRZYSVVMZVEZXYNWWGXYJYVBCX
          YSWWMWWLXYSVJZWWJYUSXYIYVAWWLXYSWVRVXGYVCXYHYUTYSWWLXYSXYGVXHVXIVXJVX
          PXYNYUSYVAWWGXWCXURYUSAXWDWVRXYPXYRXWDXYOKWVRXWDWVRWVLWFZXWGUDWVLUPWV
          RXYOUOXWCYVDXURXWCWVLWXFWVRXWKVXKVSXWDXWGUDWVLXWPVXLUDWVLWWCWVRXVTVXM
          WJXWCXURVXNVXQXWDWVRXYQVXOVXRWEXURYVAWWGVEXYFXURWXKYUTUOZFVXSWXKGWWFW
          VPVGZVHZUOZWVHWXKUGZWWCUOZUDWVLUPZVLZFVXSZYVAWWGXURYVEYVLFYVEWXKXYQUO
          ZXDZWXKWWPUOZVLZYVKVLZXURYVLWXKWVLWFZYVKVLZWXKKUOZVLZYVOVLZYVPWXKWYRU
          OXDZVLZVLZYVKYVOVLZYVPVLZYVEYVRYWCYWGYWEYVPYWBYVKYVOYVSYVKYWAVXTVYAYV
          PYWDVXNVYBYVEWXKXYSUOZWXKXYGUOZVLZYWFWXKXYSXYGVYCYWCYWBYWDXDZVLZYTZYW
          EVLYWFYWMYWEVLZYTYWKYWFYWCYWMYWEVYDYWIYWNYWJYWEYWIWXKXYPUOZWXKXYRUOZX
          DZVLYWBYVOYWLYTZVLYWNWXKXYPXYRXNYWPYWBYWRYWSYWPWXKXYOUOZYWAVLYWBWXKXY
          OKVYCYWTYVTYWAUDWVLWWCWXKFWKVXMVYEWPYVNYWDVLYWSYWQYVNYWDVYFWXKXYQWYRX
          NVYGVYHYWBYVOYWLVYIXRWXKWWPWYRXNVYHYWOYWFYWOYWDYWLVLYWDVYJYWMYWLYWEYW
          DYWBYWLVYKYVPYWDVYKVYLVYQVYMXOWPYVRYVKYVQVLYWHYVQYVKVYNYVKYVOYVPVYOVY
          PVYRXURYVQYVHYVKYVQWXKWWPXYQXMZUOZXURYVHYVQYVPYVOVLYXBYVOYVPVYNWXKWWP
          XYQXNVYPXURYXAYVGWXKXURYXAWWOXUTWQZYVGYXAWWOVBWQZXYQXMYXCWWPYXDXYQWWO
          WWOVYSZWQWWPYXDWWOVYTYXEVBWWOGVBWVPWWOXUGXUHWUAWSWUBXIVBXUSWWOWUCVVDX
          URYXCWWOWWFWQZYVGXURXVBYXCYXFVKXVHXUTWWFWWOWUDXKXURYXFWWOWWFUNZVHYVGW
          WOWWFWUEXURYXGYVFXURGVBWWFWVPWVTWUFWUGWUHXHWUIVWMWUJWUKWULYDWUMFYUTWU
          NWWGYVKFYVGURZYVMWVPXQUOZGWWFUPYXHWWGWBYXIGWWFXUGWUQYVKWWEGFWWFWVPYVF
          XQYVFXBWXKWVPVJZYVJWWDUDWVLYXJYVIWVQWWCWVHWXKWVPYCWCWUOWUPWRYVKFYVGWU
          RXCWUSWAWUTYDWVFYEWVAWVBWVCWVDAWWHWWNOKABCWVRDEUEFGUDHIJKLMNPQRSTUAUB
          UCWVEYFWVG $.
      $}

      poimir.2 $e |- ( ( ph /\ ( n e. ( 1 ... N ) /\ z e. I /\
        ( z ` n ) = 0 ) ) -> ( ( F ` z ) ` n ) <_ 0 ) $.
      ${
        $d a b f i n r x y z P $.
        poimirlem31.p $e |- P = ( ( 1st ` ( G ` k ) ) oF +
          ( ( ( ( 2nd ` ( G ` k ) ) " ( 1 ... j ) ) X. { 1 } ) u.
            ( ( ( 2nd ` ( G ` k ) ) " ( ( j + 1 ) ... N ) ) X. { 0 } ) ) ) $.
        poimirlem31.3 $e |- ( ph -> G : NN --> ( ( NN0 ^m ( 1 ... N ) ) X.
          { f | f : ( 1 ... N ) -1-1-onto-> ( 1 ... N ) } ) ) $.
        poimirlem31.4 $e |- ( ( ph /\ k e. NN ) ->
          ran ( 1st ` ( G ` k ) ) C_ ( 0 ..^ k ) ) $.
        poimirlem31.5 $e |- ( ( ph /\ ( k e. NN /\ i e. ( 0 ... N ) ) ) ->
          E. j e. ( 0 ... N ) i = sup ( ( { 0 } u. { a e. ( 1 ... N ) |
            A. b e. ( 1 ... a ) ( 0 <_ ( ( F ` ( P oF / ( ( 1 ... N ) X.
          { k } ) ) ) ` b ) /\ ( P ` b ) =/= 0 ) } ) , RR , < ) ) $.
        $( Lemma for ~ poimir , assigning values to the vertices of the
           tessellation that meet the hypotheses of both ~ poimirlem30 and
           ~ poimirlem28 .  Equation (2) of [Kulpa] p. 547.  (Contributed by
           Brendan Leahy, 21-Aug-2020.) $)
        poimirlem31 $p |- ( ( ph /\ ( k e. NN /\ n e. ( 1 ... N ) /\
          r e. { <_ , `' <_ } ) ) -> E. j e. ( 0 ... N ) 0 r
            ( ( F ` ( P oF / ( ( 1 ... N ) X. { k } ) ) ) ` n ) ) $=
          ( vx vy cv cn wcel c1 cfz co cle ccnv cc0 csn cxp cdiv cof cfv wbr wi
          wrex wceq wo wa wne cun cr clt weq eleq1 anbi2d eqeq1 rexbidv imbi12d
          wral wn elfzle1 wb elfzelz sylancr mpbid elsni cfn c0 wss ax-mp mp2an
          zred c0ex 0re sstri 3pm3.2i mpbiri elun sylib oveq2 raleqdv elrab cuz
          syl fveq2 breq2d syl2an syl5 breq syl5ibrcom cmin biimpd caddc npcan1
          cz cc cn0 uzid peano2uz 3syl eqeltrrd syld imp vtocl bitri a1i notbid
          ovex ianor jaod cmap ctop cvv adantr adantl oveq2d eleq1d cima fconst
          wf eqeq1d cpr elpri simprr fz1ssfz0 sseli crab csup chvarvv 1re lenlt
          anim2i 0lt1 eqbrtrdi nsyl wor w3a ltso snfi fzfi rabfi unfi snid ne0i
          elun1 mp2b snssi ssrab2 ssriv zssre unssi fisupcl elfzuz simpl ralimi
          eluzfz2 rspcva sylbi orim2i orel1 syl2im reximdv sylan2i nnzd elfzm1b
          mpcom syl2anr ex pm2.43d nncnd nnm1nn0 nn0zd fzss2 anim2d syldan elsn
          sseld orbi12i peano2rem ltnle breq2 syl5ibcom elun2 fimaxre2 suprubii
          ltm1 mpancom con3i xchnxbir syl6 pm2.63 orcs jcad andir ax-1cn subadd
          zcnd 0cn mp3an23 biimpa 1p0e1 eqtr3di fzsn sneq 3eqtr4a expimpd ralun
          1z eqeltrd peano2zm 4syl fzsplit2 syl2anc oveq1d eqtrd uneq2d syl5ibr
          expdimp adantrl syl5bi neeq1d anbi12d ralsng nne orbi2i bitrdi sylibd
          con3d ad2antlr crest ccn cuni crn ctg cpt retop fconst6 pttop eqeltri
          cioo cicc reex unitssre mapss eqsstri uniretop ptuniconst restuni cnf
          ad2antrr simplr nnre nnne0 redivcld nnrp rpregt0d divge0 elfzle2 cmul
          jca 1red ledivmuld nncn mulid1d bitrd mpbird elicc01 syl3anbrc ancoms
          crp impr sylan c1st c2nd cfzo fzofzp1 elfzonn0 nn0cnd addid1d elfzofz
          wfn wf1o cab ffvelrnda xp1st elmapfn df-f sylanbrc cin 1ex wfun xp2nd
          pm3.2i fvex f1oeq1 elab wfo dff1o3 simprbi imain elfznn0 nn0red ltp1d
          fzdisj imaeq2d ima0 eqtrdi sylan9req fun imaundi nn0p1nn nnuz elfzuz3
          eleqtrdi f1ofo foima eqtr3id feq2d fzfid inidm off feq1i sylibr elmap
          vex eleq2i ffvelrnd elmapi an32s 0red ltnled ltle sylancl div0d oveq1
          sylbird ad3antlr ffnd fnconstg eqidd fvconst2 sylibrd simplll adantlr
          mp1i ofval fveq1 fveq1d breq1d imbi2d 3exp2 syl3c reximdva anasss mpd
          brcnv exp32 3imp2 ) AHUHZUIUJZIUHZUKMULUMZUJZNUHZUNUNUOZUUAUJZUPWVTCW
          WAWVRUQZURZUSUTZUMZJVAZVAZWWCVBZGUPMULUMZVDZAWVSWWBWWEWWNVCWWEWWCUNVE
          ZWWCWWDVEZVFAWVSWWBVGZVGZWWNWWCUNWWDUUBWWRWWOWWNWWPWWRWWNWWOUPWWKUNVB
          ZGWWMVDZWWBWWRWWTAWVSWWBUUCWWQWWBAWVSWVTWWMUJZVGZWWTWWBWXAWVSWWAWWMWV
          TMUUDUUEUUKAWXBVGZWVTUPUQZUPPUHZWWJVAZUNVBZWXECVAZUPVHZVGZPUKOUHZULUM
          ZVRZOWWAUUFZVIZVJVKUUGZVEZGWWMVDZWWBWWTAWVSFUHZWWMUJZVGZVGZWXSWXPVEZG
          WWMVDZVCZWXCWXRVCFIFIVLZWYBWXCWYDWXRWYFWYAWXBAWYFWXTWXAWVSWXSWVTWWMVM
          VNVNWYFWYCWXQGWWMWXSWVTWXPVOVPVQUEUUHWWBWXQWWSGWWMWWBWVTWXDUJZVSWXQWY
          GWWSVFZWWSWWBWVTUKVKVBZWYGWWBUKWVTUNVBZWYIVSZWVTUKMVTWWBUKVJUJWVTVJUJ
          ZWYJWYKWAUUIWWBWVTWVTUKMWBZWKZUKWVTUUJWCWDWYGWVTUPUKVKWVTUPWEUULUUMUU
          NWXQWYGWVTWXNUJZVFZWYHWXQWVTWXOUJZWYPWXQWYQWXPWXOUJZVJVKUUOWXOWFUJZWX
          OWGVHZWXOVJWHZUUPWYRUUQWYSWYTXUAWXDWFUJWXNWFUJZWYSUPUURWWAWFUJZXUBUKM
          UUSZWXMOWWAUUTWIWXDWXNUVAWJZUPWXDUJUPWXOUJWYTUPWLUVBUPWXDWXNUVDWXOUPU
          VCUVEZWXDWXNVJUPVJUJZWXDVJWHWMUPVJUVFWIWXNWWAVJWXMOWWAUVGWWAXNVJIWWAX
          NWYMUVHUVIWNWNUVJZWOVJWXOVKUVKWJZWVTWXPWXOVMWPWVTWXDWXNWQWRWYOWWSWYGW
          YOWWBWXJPUKWVTULUMZVRZVGZWWSWXMXUKOWVTWWAOIVLWXJPWXLXUJWXKWVTUKULWSWT
          XAZWWBWVTXUJUJZWXGPXUJVRWWSXUKWWBWVTUKXBVAZUJXUNWVTUKMUVLZUKWVTUVOXCW
          XJWXGPXUJWXGWXIUVMUVNWXGWWSPWVTXUJPIVLZWXFWWKUPUNWXEWVTWWJXDXEZUVPXFU
          VQUVRXCWYGWWSUVSUVTUWAXGUWBUWEWWOWWLWWSGWWMUPWWKWWCUNXHVPXIWWRWWNWWPW
          WKUPUNVBZGWWMVDZWWRWVTUKXJUMZWXPVEZGWWMVDZXUTAWWQWVSXVAWWMUJZVGZXVCAW
          WQXVEAWWBXVDWVSAWWBXVAUPMUKXJUMZULUMZUJZXVDAWWBXVHAWWBWWBXVHVCAWWBVGW
          WBXVHWWBWVTXNUJZMXNUJWWBXVHWAAWYMAMQUWCWVTMUWDUWFXKUWGUWHAXVGWWMXVAAM
          XVFXBVAZUJXVGWWMWHAXVFUKXLUMZMXVJAMXOUJXVKMVEAMQUWIMXMXCAXVFXNUJXVFXV
          JUJXVKXVJUJAXVFAMUIUJXVFXPUJQMUWJXCUWKXVFXQXVFXVFXRXSXTXVFUPMUWLXCUWP
          YAUWMYBWYEAXVEVGZXVCVCFXVAWVTUKXJYGZWXSXVAVEZWYBXVLWYDXVCXVNWYAXVEAXV
          NWXTXVDWVSWXSXVAWWMVMVNVNXVNWYCXVBGWWMWXSXVAWXPVOVPVQUEYCUWNAWVSWWBXV
          CXUTVCAWVSVGZWWBVGZXVBXUSGWWMXVPGUHZWWMUJZVGZXVBWWSVSZWVTCVAZUPVEZVFZ
          XUSWWBXVBXWCVCXVOXVRWWBXVBXVAUPVEZXVAWWAUJZWXJPUKXVAULUMZVRZVGZVFZXUK
          VSZVGZXWCWWBXVBXWIXWJXVBXWIVCWWBXVBXVAWXOUJZXWIXVBXWLWYRXUIXVAWXPWXOV
          MWPXWLXVAWXDUJZXVAWXNUJZVFXWIXVAWXDWXNWQXWMXWDXWNXWHXVAUPXVMUWOWXMXWG
          OXVAWWAWXKXVAVEWXJPWXLXWFWXKXVAUKULWSWTXAUWQYDWRYEWWBXVBWWBVSXWJVFZXW
          JWWBXVBWVTWXPUNVBZVSZXWOWWBWVTXVAUNVBZVSZXVBXWQWWBWYLXWSWYNWYLXVAWVTV
          KVBZXWSWVTUXEXVAVJUJWYLXWTXWSWAWVTUWRXVAWVTUWSUXFWDXCXVBXWRXWPXVAWXPW
          VTUNUWTYFUXAXWQWYOVSXWOWYOXWPWYOWYQXWPWVTWXNWXDUXBUFUGWXOWVTXUAWYTUGU
          HZUFUHZUNVBUGWXOVRUFVJVDZXUHXUFXUAWYSXXCXUHXUEUFUGWXOUXCWJWOUXDXCUXGX
          ULXWOWYOWWBXUKYHXUMUXHWRUXIWWBXWJXWOXWJVCWWBXWJUXJUXKYAUXLWWBXWKWXJPW
          VTUQZVRZVSZXWCXWKXWDXWJVGZXWHXWJVGZVFWWBXXFXWDXWHXWJUXMWWBXXGXXFXXHWW
          BXWDXWJXXFWWBXWDVGZWVTUKVEZXWJXXFVCZXXIUKUPXLUMZWVTUKWWBXWDXXLWVTVEZW
          WBWVTXOUJZXWDXXMWAZWWBWVTWYMUXPZXXNUKXOUJUPXOUJXXOUXNUXQWVTUKUPUXOUXR
          XCUXSUXTUYAXXJXWJXXFXXJXUKXXEXXJWXJPXUJXXDXXJUKUKULUMZUKUQZXUJXXDUKXN
          UJXXQXXRVEUYGUKUYBWIWVTUKUKULWSWVTUKUYCUYDWTYFXKXCUYEWWBXWHXWJXXFWWBX
          WGXXKXWEWWBXWGVGXXEXUKWWBXWGXXEXUKXWGXXEVGXUKWWBWXJPXWFXXDVIZVRWXJPXW
          FXXDUYFWWBWXJPXUJXXSWWBXUJXWFXVAUKXLUMZWVTULUMZVIZXXSWWBXXTXUOUJWVTXV
          AXBVAZUJXUJXYBVEWWBXXTWVTXUOWWBXXNXXTWVTVEXXPWVTXMXCZXUPUYHWWBXXTWVTX
          YCXYDWWBXVIXVAXNUJXVAXYCUJXXTXYCUJWYMWVTUYIXVAXQXVAXVAXRUYJXTXVAUKWVT
          UYKUYLWWBXYAXXDXWFWWBXYAWVTWVTULUMZXXDWWBXXTWVTWVTULXYDUYMWWBXVIXYEXX
          DVEWYMWVTUYBXCUYNUYOUYNWTUYPUYQVUGUYRUYEYIUYSWWBXXFWWSXWAUPVHZVGZVSZX
          WCWWBXXEXYGWXJXYGPWVTWWAXUQWXGWWSWXIXYFXURXUQWXHXWAUPWXEWVTCXDUYTVUAV
          UBYFXYHXVTXYFVSZVFXWCWWSXYFYHXYIXWBXVTXWAUPVUCVUDYDVUEVUFYAVUHXVSXVTX
          USXWBXVSXVTWWKUPVKVBZXUSXVSWWKUPXVOXVRWWBWWKVJUJZXVOXVRVGZWWAVJWVTWWJ
          XYLWWJVJWWAYJUMZUJWWAVJWWJYSXYLLXYMWWIJALXYMJYSZWVSXVRAJDLVUIUMZDVUJU
          MUJXYNTJXYODLXYMDYKUJLXYMWHLXYOVUKVEDWWAVUSVULVUMVAZUQURZVUNVAZYKSXUC
          WWAYKXYQYSXYRYKUJXUDWWAXYPYKVUOVUPWWAXYQWFVUQWJVURLUPUKVUTUMZWWAYJUMZ
          XYMRVJYLUJXYSVJWHXYTXYMWHVVAVVBXYSVJWWAYLVVCWJVVDLDXYMXUCXYPYKUJXYMDV
          UKVEXUDVUOWWAXYPDWFVJSVVEVVFWJZVVGWJYUAVVHXCVVIXYLWWAXYSWWIYSZWWILUJZ
          XYLUFUGWWAWWAWWAUSUPWVRULUMZWWFXYSCWWGWFWFXYLWVSXXBYUDUJZXXAWWFUJZVGX
          XBXXAUSUMZXYSUJZAWVSXVRVVJWVSYUEYUFYUHWVSYUEVGYUHYUFXXBWVRUSUMZXYSUJZ
          YUEWVSYUJYUEWVSVGZYUIVJUJUPYUIUNVBZYUIUKUNVBZYUJYUKXXBWVRYUEXXBVJUJZW
          VSYUEXXBXXBUPWVRWBWKZYMZWVSWVRVJUJZYUEWVRVVKYNWVSWVRUPVHYUEWVRVVLZYNV
          VMYUEYUNUPXXBUNVBZVGYUQUPWVRVKVBVGYULWVSYUEYUNYUSYUOXXBUPWVRVTVVSWVSW
          VRWVRVVNZVVOXXBWVRVVPXFYUKYUMXXBWVRUNVBZYUEYVAWVSXXBUPWVRVVQYMYUKYUMX
          XBWVRUKVVRUMZUNVBZYVAYUKXXBUKWVRYUPYUKVVTWVSWVRVWIUJYUEYUTYNVWAWVSYVC
          YVAWAYUEWVSYVBWVRXXBUNWVSWVRWVRVWBZVWCXEYNVWDVWEYUIVWFVWGVWHYUFYUGYUI
          XYSYUFXXAWVRXXBUSXXAWVRWEYOYPXIVWJVWKXYLWWAYUDWVRKVAZVWLVAZYVEVWMVAZU
          KXVQULUMZYQZXXRURZYVGXVQUKXLUMZMULUMZYQZWXDURZVIZXLUTUMZYSWWAYUDCYSXY
          LUFUGWWAWWAWWAXLUPWVRVWNUMZXXRWXDVIZYUDYVFYVOWFWFXXBYVQUJZXXAYVRUJZVG
          XXBXXAXLUMZYUDUJZXYLYVSYVTYWBYVTXXAXXRUJZXXAWXDUJZVFYVSYWBXXAXXRWXDWQ
          YVSYWCYWBYWDYVSYWBYWCXXBUKXLUMZYUDUJUPWVRXXBVWOYWCYWAYWEYUDYWCXXAUKXX
          BXLXXAUKWEYOYPXIYVSYWBYWDXXBUPXLUMZYUDUJYVSYWFXXBYUDYVSXXBYVSXXBXXBWV
          RVWPVWQVWRXXBUPWVRVWSUYHYWDYWAYWFYUDYWDXXAUPXXBXLXXAUPWEYOYPXIYIUYSYB
          YNXVOWWAYVQYVFYSZXVRXVOYVFWWAVWTZYVFVULYVQWHYWGXVOYVEXPWWAYJUMZWWAWWA
          EUHZVXAZEVXBZURZUJZYVFYWIUJYWHAUIYWMWVRKUCVXCZYVEYWIYWLVXDYVFXPWWAVXE
          XSUDWWAYVQYVFVXFVXGYMXYLYVIYVMVIZYVRYVOYSZWWAYVRYVOYSXYLYVIXXRYVJYSZY
          VMWXDYVNYSZVGYVIYVMVXHZWGVEYWQYWRYWSYVIUKVXIYRYVMUPWLYRVXLXVOXVRYWTYV
          GYVHYVLVXHZYQZWGXVOWWAWWAYVGVXAZYVGUOVXJZYXBYWTVEXVOYVGYWLUJZYXCXVOYW
          NYXEYWOYVEYWIYWLVXKXCYWKYXCEYVGYVEVWMVXMWWAWWAYWJYVGVXNVXOWRZYXCWWAWW
          AYVGVXPZYXDWWAWWAYVGVXQVXRYVHYVLYVGVXSXSXVRYXBYVGWGYQWGXVRYXAWGYVGXVR
          XVQYVKVKVBYXAWGVEXVRXVQXVRXVQXVQMVXTZVYAVYBUKXVQYVKMVYCXCVYDYVGVYEVYF
          VYGYVIYVMXXRWXDYVJYVNVYHWCXYLYWPWWAYVRYVOXYLYWPYVGYVHYVLVIZYQZWWAYVGY
          VHYVLVYIXVRXVOYXJWWAVEXVRXVOYXJYVGWWAYQZWWAXVRWWAYXIYVGXVRYVKXUOUJMXV
          QXBVAUJWWAYXIVEXVRYVKUIXUOXVRXVQXPUJYVKUIUJYXHXVQVYJXCVYKVYMXVQUPMVYL
          XVQUKMUYKUYLVYDXVOYXCYXGYXKWWAVEYXFWWAWWAYVGVYNWWAWWAYVGVYOXSVYGVWHVY
          PVYQWDXYLUKMVYRZYXLWWAVYSZVYTWWAYUDCYVPUBWUAWUBZWWAWWFWWGYSXYLWWAWVRH
          WUDZYRYEYXLYXLYXMVYTYUCWWIXYTUJYUBLXYTWWIRWUEXYSWWAWWIUPUKVUTYGUKMULY
          GWUCYDWUBZWUFWWJVJWWAWUGXCVXCWUHZXVSWUIWUJXVSXYKXUGXYJXUSVCYXQWMWWKUP
          WUKWULWUOXVSXWBWVTWWIVAZUPVEZXUSXVSXWBXWAWVRUSUMZUPVEZYXSWVSXWBYYAVCA
          WWBXVRWVSYYAXWBUPWVRUSUMZUPVEWVSWVRYVDYURWUMXWBYXTYYBUPXWAUPWVRUSWUNY
          TXIWUPXVSYXRYXTUPXVOXVRWWBYXRYXTVEXYLWWAWWAXWAWVRUSWWACWWGWFWFWVTXYLW
          WAYUDCYXNWUQWVRYLUJWWGWWAVWTXYLYXOWWAWVRYLWURWVDYXLYXLYXMXYLWWBVGXWAW
          USWWBWVTWWGVAWVRVEXYLWWAWVRWVTYXOWUTYNWVEWUHYTWVAXVSAWWBYUCYXSXUSVCZA
          WVSWWBXVRWVBXVOWWBXVRVVJXVOXVRYUCWWBYXPWVCAWWBBUHZLUJZWVTYYDVAZUPVEZW
          VTYYDJVAZVAZUPUNVBZVCZVCZVCZVCAWWBYUCYYCVCZVCZVCBWWICWWGWWHYGYYDWWIVE
          ZYYMYYOAYYPYYLYYNWWBYYPYYEYUCYYKYYCYYDWWILVMYYPYYGYXSYYJXUSYYPYYFYXRU
          PWVTYYDWWIWVFYTYYPYYIWWKUPUNYYPWVTYYHWWJYYDWWIJXDWVGWVHVQVQWVIWVIAWWB
          YYEYYGYYJUAWVJYCWVKYAYIYAWVLWVMWVNWWPWWLXUSGWWMWWPWWLUPWWKWWDVBXUSUPW
          WKWWCWWDXHUPWWKUNWLWVTWWJVXMWVOVUEVPXIYIXGWVPWVQ $.
      $}

      poimir.3 $e |- ( ( ph /\ ( n e. ( 1 ... N ) /\ z e. I /\
        ( z ` n ) = 1 ) ) -> 0 <_ ( ( F ` z ) ` n ) ) $.
      $( Lemma for ~ poimir , combining ~ poimirlem28 , ~ poimirlem30 , and
         ~ poimirlem31 to get Equation (1) of [Kulpa] p. 547.  (Contributed by
         Brendan Leahy, 21-Aug-2020.) $)
      poimirlem32 $p |- ( ph ->
        E. c e. I A. n e. ( 1 ... N ) A. v e. ( R |`t I ) ( c e. v ->
          A. r e. { <_ , `' <_ } E. z e. v 0 r ( ( F ` z ) ` n ) ) ) $=
        ( c1 cc0 wa wcel vf vg vk vi vb vj va vs vp vm vq cn cn0 cfz co cmap cv
        cab cxp wf cfv c1st crn cfzo wss csn c2nd cima cun cof cdiv cle wbr wne
        caddc wral crab cr clt csup wceq wrex adantr fveq1d breq2d fveq1 neeq1d
        wi anbi12d ralbidv rabbidv uneq2d supeq1d syl snssd ssrab2 sstri a1i c0
        cfn ax-mp mp2an c0ex ne0i mp2b cz elfzelz 3pm3.2i ad2antrr elfznn simpr
        w3a ralimi wn wb nnre syl2an fveq2 eqeq1d ralrimiva breq1 ralsn raleqdv
        weq oveq2 bitri sylanbrc sylan adantl ovex cvv eqtrd com imaeq1d xpeq1d
        syl6 uneq12d oveq12d eqeq2d rexbidv wf1o wel ccnv cpr crest wex fvoveq1
        nnnn0d 0elfz fz1ssfz0 unssd ltso snfi fzfi rabfi unfi elun1 ssriv zssre
        snid 0red unssi fisupcl ssel mpisyl nngt0 elfz1b biimpri 3expia sylbird
        wor lenlt rspcev expcom sylan9 an32s rexbii rexnal bitr3i syl6ib sylan2
        nne con4d syl5 ralunb ralrab anbi12i sylancr 3adant2 cmin zred 3ad2ant1
        rspcva simpr1 simpll simplr nndivre elfzle1 jca rpregt0d divge0 elfzle2
        cicc nnrp cmul 1red crp ledivmuld nncn mulid1d mpbird elicc01 syl3anbrc
        bitrd ancoms elsni oveq2d eleq1d syl5ibrcom impr simprr vex fzfid inidm
        fconst off eleq2i elmap sylibr 3adantr3 ancom wfn ffn ad2antrl fnconstg
        3anass mp1i simplrr fvconst2 ofval anasss sylan2b nnne0 dividd ad2antlr
        eleq1 3anbi23d anbi2d imbi12d vtocl syl13anc simp3 imp wo zcnd subeq0ad
        neeq1 1cnd biimpcd 1z fzsn sneq 3eqtr4a biimprd ralun cuz npcan1 elfzuz
        cc eqeltrd peano2zm uzid peano2uz 4syl eqeltrrd fzsplit2 syl2anc oveq1d
        syl5ibr expd com12 jaoi imdistand elun elsn elrab orbi12i 3imtr4g elun2
        fimaxre2 suprubii ltm1 sselii ltletr mp3an3 mpancom mpand sylsyld ltnri
        mtbii necon2ai mpbii necon3bi poimirlem28 nn0ex mapss xpss1 sseli xp1st
        peano2rem pm2.61d1 fzo0ssnn0 elmapi frn 3syl anim1i anass sylib reximi2
        ciun ccrd cdm nnex cixp ixpconst cen omelon nn0ennn nnenom entr2i rgenw
        con0 isnumi finixpnum mapval mapfi f1of ss2abi ssfi finnum xpnum ss2iun
        eqeltrri 1nn iunconst sseqtri ssnum sseq1d fvoveq1d ac6num mp3an12 eqid
        rneqd simpl 2fveq3 sseq12d rspccva xpeq2d fveq2d eqeq1 imaeq2d cbvrexvw
        ccn oveq1 bitrdi rspc2v mpan9 poimirlem31 poimirlem30 exlimddv ) AULUMQ
        HUNUOZUPUOZWVKWVKUAUQZUUAZUAURZUSZUBUQZUTZUCUQZWVQVAZVBVAZVCZRWVSVDUOZV
        EZUDUQZRVFZRUEUQZWWAWVTVGVAZQUFUQZUNUOZVHZQVFZUSZWWHWWIQVOUOZHUNUOZVHZW
        WFUSZVIZVOVJZUOZWVKWVSVFZUSZVKVJZUOZFVAZVAZVLVMZWWGWWTVAZRVNZSZUEQUGUQZ
        UNUOZVPZUGWVKVQZVIZVRVSVTZWAZUFRHUNUOZWBZUDWXRVPZSZUCULVPZSZJCUUBREUQZB
        UQZFVAZVAZIUQVMBCUQWBIVLVLUUCUUDVPWHCDGUUEUOZVPEWVKVPJGWBZUBAUHUQZVBVAZ
        VCZWWCVEZWWEWWFRWWGWYKWYJVGVAZWWJVHZWWLUSZWYNWWOVHZWWFUSZVIZWWSUOZWXBWX
        CUOFVAZVAZVLVMZWWGWYTVAZRVNZSZUEWXLVPZUGWVKVQZVIZVRVSVTZWAZUFWXRWBZUDWX
        RVPZSZUHWVPWBZUCULVPZWYCUBUUFZAXUOUCULAWVSULTZSZXUMUHWWCWVKUPUOZWVOUSZW
        BXUOXUSWWFRWWGUIUQZWXBWXCUOZFVAZVAZVLVMZWWGXVBVAZRVNZSZUEWXLVPZUGWVKVQZ
        VIZVRVSVTZXUJUAUDUFEWVSHUHUIAHULTZXURKWCXVBWYTWAZVRXVLXUIVSXVOXVKXUHWWF
        XVOXVJXUGUGWVKXVOXVIXUFUEWXLXVOXVFXUCXVHXUEXVOXVEXUBRVLXVOWWGXVDXUAXVBW
        YTWXBFWXCUUGWDWEXVOXVGXUDRWWGXVBWYTWFWGWIWJWKWLWMAXVMWXRTZXURWVKRWVSUNU
        OZXVBUTZAXVLWXRVEXVMXVLTZXVPAWWFXVKWXRARWXRAHUMTRWXRTAHKUUHHUUIWNWOXVKW
        XRVEAXVKWVKWXRXVJUGWVKWPZHUUJWQWRUUKVRVSUVKXVLWTTZXVLWSVNZXVLVRVEZXLXVS
        UULXWAXWBXWCWWFWTTXVKWTTZXWARUUMWVKWTTZXWDQHUUNZXVJUGWVKUUOXAWWFXVKUUPX
        BZRWWFTRXVLTXWBRXCUUTRWWFXVKUUQXVLRXDXEZWWFXVKVRAXVNWHZWWFVRVEKXWIRVRXW
        IUVAWOXAXVKWVKVRXVTWVKXFVREWVKXFWYDQHXGZUURUUSWQWQUVBZXHVRXVLVSUVCXBZXV
        LWXRXVMUVDUVEXIWYDWVKTZXVRWYDXVBVAZRWAZXLXVMWYDVSVMZXUSXWMXWOXWPXVRXWMW
        YDULTZXWOXWPWYDHXJXWQXWOSZXVSWYJWYDVSVMZUHXVLVPZXWPXWLXWRRWYDVSVMZXVIUE
        QWYJUNUOZVPZXWSWHZUHWVKVPZXWTXWQXXAXWOWYDUVFWCXWRXXDUHWVKXXCXVHUEXXBVPZ
        XWRWYJWVKTZSXWSXVIXVHUEXXBXVFXVHXKXMXXGXWRWYJULTZXXFXWSWHWYJHXJXWRXXHSZ
        XWSXXFXXIXWSXNZXVGRWAZUEXXBWBZXXFXNZXWQXXHXWOXXJXXLWHXWQXXHSZXXJWYDXXBT
        ZXWOXXLXXNXXJWYDWYJVLVMZXXOXWQWYDVRTZWYJVRTXXPXXJXOXXHWYDXPWYJXPWYDWYJU
        VLXQXWQXXHXXPXXOXXOXWQXXHXXPXLWYJWYDUVGUVHUVIUVJXXOXWOXXLXXKXWOUEWYDXXB
        UEEYDZXVGXWNRWWGWYDXVBXRZXSUVMUVNUVOUVPXXLXVHXNZUEXXBWBXXMXXTXXKUEXXBXV
        GRUWBUVQXVHUEXXBUVRUVSUVTUWCUWAUWDXTXWTXWSUHWWFVPZXWSUHXVKVPZSXXAXXESXW
        SUHWWFXVKUWEXYAXXAXYBXXEXWSXXAUHRXCWYJRWYDVSYAYBXVJXXCXWSUHUGWVKUGUHYDX
        VIUEWXLXXBWXKWYJQUNYEYCUWFUWGYFYGXWSXWPUHXVMXVLWYJXVMWYDVSYAUWMUWHYHUWI
        YIXUSXWMXVRXWNWVSWAZXLZSZWYDQUWJUOZXVLTZXVMXYFVNZXYEXYGXYFXVMVSVMZXYHXY
        EXXQXYGWYDXVMVLVMZXYIXYDXXQXUSXWMXVRXXQXYCXWMWYDXWJUWKUWLYIXYEXYGWYDXVL
        TZXYJXYEXWMXVIUEWYDVFZVPZXYGXYKWHXUSXWMXVRXYCUWNZXYERWYDXVDVAZVLVMZXWNR
        VNZXYMXYEAXWMXVCGTZWYDXVCVAZQWAZXYPAXURXYDUWOXYNXUSXWMXVRXYRXYCXUSXWMXV
        RSZSZWVKRQUXCUOZXVCUTZXYRYUBUDUFWVKWVKWVKVKXVQWXAYUCXVBWXBWTWTYUBXURWWE
        XVQTZWWIWXATZSWWEWWIVKUOZYUCTZAXURYUAUWPXURYUEYUFYUHXURYUESYUHYUFWWEWVS
        VKUOZYUCTZYUEXURYUJYUEXURSZYUIVRTZRYUIVLVMZYUIQVLVMZYUJYUEWWEVRTZXURYUL
        YUEWWEWWERWVSXGUWKZWWEWVSUWQYHYUEYUORWWEVLVMZSWVSVRTRWVSVSVMSYUMXURYUEY
        UOYUQYUPWWERWVSUWRUWSXURWVSWVSUXDZUWTWWEWVSUXAXQYUKYUNWWEWVSVLVMZYUEYUS
        XURWWERWVSUXBWCYUKYUNWWEWVSQUXEUOZVLVMZYUSYUKWWEQWVSYUEYUOXURYUPWCYUKUX
        FXURWVSUXGTYUEYURYIUXHXURYVAYUSXOYUEXURYUTWVSWWEVLXURWVSWVSUXIZUXJWEYIU
        XNUXKYUIUXLUXMUXOYUFYUGYUIYUCYUFWWIWVSWWEVKWWIWVSUXPUXQUXRUXSUXTYHXUSXW
        MXVRUYAWVKWXAWXBUTYUBWVKWVSUCUYBZUYEWRYUBQHUYCZYVDWVKUYDZUYFXYRXVCYUCWV
        KUPUOZTYUDGYVFXVCLUYGYUCWVKXVCRQUXCYJQHUNYJZUYHYFUYIUYJXYEXYSWVSWVSVKUO
        ZQXYDXUSXVRXYCSZXWMSZXYSYVHWAZXYDXWMYVISYVJXWMXVRXYCUYPXWMYVIUYKYFXUSYV
        IXWMYVKXUSYVISZWVKWVKWVSWVSVKWVKXVBWXBWTWTWYDXVRXVBWVKUYLXUSXYCWVKXVQXV
        BUYMUYNWVSYKTWXBWVKUYLYVLYVCWVKWVSYKUYOUYQYVLQHUYCZYVMYVEXUSXVRXYCXWMUY
        RXWMWYDWXBVAWVSWAYVLWVKWVSWYDYVCUYSYIUYTVUAVUBXURYVHQWAAXYDXURWVSYVBWVS
        VUCZVUDVUEYLAXWMWYEGTZWYDWYEVAZQWAZXLZSZRWYGVLVMZWHAXWMXYRXYTXLZSZXYPWH
        BXVCXVBWXBWXCYJWYEXVCWAZYVSYWBYVTXYPYWCYVRYWAAYWCYVOXYRYVQXYTXWMWYEXVCG
        VUFYWCYVPXYSQWYDWYEXVCWFXSVUGVUHYWCWYGXYORVLYWCWYDWYFXVDWYEXVCFXRWDWEVU
        IPVUJVUKXUSXURXYCXYQXYDAXURXKZXWMXVRXYCVULXURXYCXYQXURXYQXYCWVSRVNYVNXW
        NWVSRVUQUXSVUMXQXVIXYPXYQSUEWYDEUYBXXRXVFXYPXVHXYQXXRXVEXYORVLWWGWYDXVD
        XRWEXXRXVGXWNRXXSWGWIYBYGXWMXYMSZXYGWYDXVKTZXYKYWEXYFRWAZXYFWVKTZXVIUEQ
        XYFUNUOZVPZSZVUNZXWMXVIUEQWYDUNUOZVPZSZXYGYWFYWLYWEYWOYWLXWMXYMYWNYWGXW
        MXYMYWNWHZWHZYWKYWGXWMWYDQWAZYWPXWMYWGYWRXWMWYDQXWMWYDXWJVUOZXWMVURVUPV
        USYWRYWNXYMYWRXVIUEYWMXYLYWRQQUNUOZWWLYWMXYLQXFTYWTWWLWAVUTQVVAXAWYDQQU
        NYEWYDQVVBVVCYCVVDYPYWJYWQYWHXWMYWJYWPXWMYWJXYMYWNYWJXYMSYWNXWMXVIUEYWI
        XYLVIZVPXVIUEYWIXYLVVEXWMXVIUEYWMYXAXWMYWMYWIXYFQVOUOZWYDUNUOZVIZYXAXWM
        YXBQVVFVAZTWYDXYFVVFVAZTYWMYXDWAXWMYXBWYDYXEXWMWYDVVITYXBWYDWAYWSWYDVVG
        WNZWYDQHVVHVVJXWMYXBWYDYXFYXGXWMWYDXFTZXYFXFTXYFYXFTYXBYXFTXWJWYDVVKXYF
        VVLXYFXYFVVMVVNVVOXYFQWYDVVPVVQXWMYXCXYLYWIXWMYXCWYDWYDUNUOZXYLXWMYXBWY
        DWYDUNYXGVVRXWMYXHYXIXYLWAXWJWYDVVAWNYLWLYLYCVVSVVTVWAYIVWBVWCVWAXYGXYF
        WWFTZXYFXVKTZVUNYWLXYFWWFXVKVWDYXJYWGYXKYWKXYFRWYDQUWJYJVWEXVJYWJUGXYFW
        VKWXKXYFWAXVIUEWXLYWIWXKXYFQUNYEYCVWFVWGYFXVJYWNUGWYDWVKUGEYDXVIUEWXLYW
        MWXKWYDQUNYEYCVWFVWHWYDXVKWWFVWIYPVVQUDUFXVLWYDXWCXWBWWIWWEVLVMUFXVLVPU
        DVRWBZXWKXWHXWCXWAYXLXWKXWGUDUFXVLVWJXBXHVWKYPXXQXYFWYDVSVMZXYJXYIWYDVW
        LXYFVRTZXXQYXMXYJSXYIWHZWYDVXJYXNXXQXVMVRTYXOXVLVRXVMXWKXWLVWMZXYFWYDXV
        MVWNVWOVWPVWQVWRXYIXVMXYFXVMXYFWAZXVMXVMVSVMXYIXVMYXPVWSXVMXYFXVMVSYAVW
        TVXAYPXYGXVMXYFYXQXVSXYGXWLXVMXYFXVLVUFVXBVXCVXKYWDVXDXUMXUNUHXVAWVPWYJ
        XVATZXUMSWYJWVPTZWYMSZXUMSYXSXUNSYXRYXTXUMYXRYXSWYMXVAWVPWYJXUTWVLVEZXV
        AWVPVEUMYKTWWCUMVEYYAVXEWVSVXLWWCUMWVKYKVXFXBXUTWVLWVOVXGXAVXHYXRWYKXUT
        TWVKWWCWYKUTWYMWYJXUTWVOVXIWYKWWCWVKVXMWVKWWCWYKVXNVXOUWSVXPYXSWYMXUMVX
        QVXRVXSWNXTULYKTUCULXUNUHWVPVQZVXTZVYAVYBZTZXUPXUQVYCWVPYYDTZYYCWVPVEYY
        EWVLYYDTWVOYYDTZYYFEWVKUMVYDZWVLYYDEWVKUMYVGVXEVYEXWEUMYYDTZEWVKVPYYHYY
        DTXWFYYIEWVKYMVYLTYMUMVYFVMYYIVYGUMULYMVYHVYIVYJYMUMVYMXBVYKEWVKUMVYNXB
        WUCWVOWTTZYYGWVKWVKWVMUTZUAURZWTTWVOYYLVEYYJWVKWVKUPUOZYYLWTWVKWVKUAYVG
        YVGVYOXWEXWEYYMWTTXWFXWFWVKWVKVYPXBWUCWVNYYKUAWVKWVKWVMVYQVYRYYLWVOVYSX
        BWVOVYTXAWVLWVOWUAXBYYCUCULWVPVXTZWVPYYBWVPVEZUCULVPYYCYYNVEYYOUCULXUNU
        HWVPWPVYKUCULYYBWVPWUBXAQULTULWSVNYYNWVPWAWUDULQXDUCULWVPWUEXEWUFWVPYYC
        WUGXBXUNWYAUCUHULWVPUBYKWYJWVTWAZWYMWWDXUMWXTYYPWYLWWBWWCYYPWYKWWAWYJWV
        TVBXRZWUMWUHYYPXULWXSUDWXRYYPXUKWXQUFWXRYYPXUJWXPWWEYYPVRXUIWXOVSYYPXUH
        WXNWWFYYPXUGWXMUGWVKYYPXUFWXJUEWXLYYPXUCWXGXUEWXIYYPXUBWXFRVLYYPWWGXUAW
        XEYYPWYTWWTWXBFWXCYYPWYKWWAWYSWWRWWSYYQYYPWYPWWMWYRWWQYYPWYOWWKWWLYYPWY
        NWWHWWJWYJWVTVGXRZYNYOYYPWYQWWPWWFYYPWYNWWHWWOYYRYNYOYQYRZWUIWDWEYYPXUD
        WXHRYYPWWGWYTWWTYYSWDWGWIWJWKWLWMYSYTWJWIWUJWUKWNAWVRWYBWYIAWVRSZWYBSZB
        CDUAUJUIEFWVQGHWYDXVBWVQVAZVBVAZUUUBVGVAZQUJUQZUNUOZVHZWWLUSZUUUDUUUEQV
        OUOZHUNUOZVHZWWFUSZVIZWWSUOZWVKXVBVFZUSZWXCUOFVAZVAZIJAXVNWVRWYBKXIZLMA
        FWYHDWVCUOTWVRWYBNXIZUUURWULAWVRWYBUWPZUUUAWWDUCULVPZXVBULTZUUUCVCZRXVB
        VDUOZVEZWYBUUVBYYTWYAWWDUCULWWDWXTWUNXMYIWWDUUVFUCXVBULUCUIYDZWWBUUVDWW
        CUUVEUUVGWWAUUUCWVSXVBVBWVQWUOZWUMWVSXVBRVDYEWUPWUQYHZUUUABUUUNDUAUKUJU
        IEFWVQGHIUGUEUUUSLMUUUTUUUAAXWMYVOYVPRWAXLWYGRVLVMAWVRWYBUWOOYHUUUNWULU
        UVAUUVIUUUAWXTUCULVPZUUVCUKUQZWXRTSUUVKWWFRWWGUUUQVAZVLVMZWWGUUUNVAZRVN
        ZSZUEWXLVPZUGWVKVQZVIZVRVSVTZWAZUJWXRWBZWYBUUVJYYTWYAWXTUCULWWDWXTXKXMY
        IWXSUUWBWWEWWFRWWGUUUCUUUDWWJVHZWWLUSZUUUDWWOVHZWWFUSZVIZWWSUOZUUUPWXCU
        OZFVAZVAZVLVMZWWGUUWHVAZRVNZSZUEWXLVPZUGWVKVQZVIZVRVSVTZWAZUFWXRWBZUCUD
        XVBUUVKULWXRUUVGWXQUUWTUFWXRUUVGWXPUUWSWWEUUVGVRWXOUUWRVSUUVGWXNUUWQWWF
        UUVGWXMUUWPUGWVKUUVGWXJUUWOUEWXLUUVGWXGUUWLWXIUUWNUUVGWXFUUWKRVLUUVGWWG
        WXEUUWJUUVGWXDUUWIFUUVGWWTUUWHWXBUUUPWXCUUVGWWAUUUCWWRUUWGWWSUUVHUUVGWW
        MUUWDWWQUUWFUUVGWWKUUWCWWLUUVGWWHUUUDWWJWVSXVBVGWVQWUOZYNYOUUVGWWPUUWEW
        WFUUVGWWHUUUDWWOUUXBYNYOYQYRZUUVGWXAUUUOWVKWVSXVBVVBWURYRWUSWDWEUUVGWXH
        UUWMRUUVGWWGWWTUUWHUUXCWDWGWIWJWKWLWMYSYTUDUKYDZUUXAUUVKUUWSWAZUFWXRWBU
        UWBUUXDUUWTUUXEUFWXRWWEUUVKUUWSWUTYTUUXEUUWAUFUJWXRUFUJYDZUUWSUUVTUUVKU
        UXFVRUUWRUUVSVSUUXFUUWQUUVRWWFUUXFUUWPUUVQUGWVKUUXFUUWOUUVPUEWXLUUXFUUW
        LUUVMUUWNUUVOUUXFUUWKUUVLRVLUUXFWWGUUWJUUUQUUXFUUWHUUUNUUUPFWXCUUXFUUWG
        UUUMUUUCWWSUUXFUUWDUUUHUUWFUUULUUXFUUWCUUUGWWLUUXFWWJUUUFUUUDWWIUUUEQUN
        YEWVAYOUUXFUUWEUUUKWWFUUXFWWOUUUJUUUDUUXFWWNUUUIHUNWWIUUUEQVOWVDVVRWVAY
        OYQUXQZWUIWDWEUUXFUUWMUUVNRUUXFWWGUUWHUUUNUUXGWDWGWIWJWKWLWMYSWVBWVEWVF
        WVGWVHWVIVUAWVJ $.

      $( Poincare-Miranda theorem.  Theorem on [Kulpa] p. 547.  (Contributed by
         Brendan Leahy, 21-Aug-2020.) $)
      poimir $p |- ( ph ->
        E. c e. I ( F ` c ) = ( ( 1 ... N ) X. { 0 } ) ) $=
        ( vv cc0 cfv wcel wa cr vr vx wel cv wbr wrex cle ccnv wral wi crest co
        cpr c1 cfz csn cxp wceq poimirlem32 wfn wn wo cmpt cima cabs cmin caddc
        wne cioo wss cmap wf ccn ctop cuni cvv crn ctg ctopon ovex pttoponconst
        retopon mp2an topontopi cicc unitssre eqsstri toponunii restuni cnf syl
        reex mapss ffvelrnda elmapi clt crp cc ex syld cxr wb mpdan sylibrd weq
        rexrd fveq2 fveq1d fvex fvmpt eleq1d ad2antlr a1i adantr mp3an12 oveq2d
        adantl sylan an32s rexbii bitr3i syl6ib ralimdva eqtrd adantllr adantlr
        mpan ltnled biimpd sylan2 anassrs impancom reximdva breq notbid ralbidv
        bitrd c0ex rexnal bitri recn absrpcl ltsubrp ltaddrp jca abscld resubcl
        readdcl rexr elioo5 syl3anc eqid iooretop ccnp resttopon eqeltrrd retop
        feqmptd fconst6 ptpjcn fvconst2 eleqtrd fveq1 cncnpi iscnp mpbid simprd
        cnmpt11 eleq2 sseq2 anbi2d rexbidv imbi12d rspcv letric sylancl r19.41v
        mpsyl 0re jctird eltopss cdm dmmpti sseq2i wfun funmpt funimass4 sylbir
        anass ssel2 eliooord syl6bi sylbid cneg absnid negidd breq2d 0red absid
        adantld subidd breq1d adantrd orim12d expimpd syland anim2d ralnex ctsr
        letsr elexi cnvex brcnv bitrdi rexpr 3bitr3i anbi2i annim necon4ad ffnd
        jctild fconstfv fconst2 mpd ) AHOUCZPDUDZBUDZEQZQZUAUDZUEZBOUDZUFZUAUGU
        GUHZUMZUIZUJZOCFUKULZUIZDUNGUOULZUIZHFUFHUDZEQZUYTPUPZUQURZHFUFABOCDEFG
        UAHIJKLMNUSAVUAVUEHFAVUBFRZSZVUAVUCUYTUTZUYFVUCQZPURZDUYTUIZSZVUEVUGVUA
        VUKVUHVUGUYSVUJDUYTVUGUYFUYTRZSZUYSVUIPVUNVUIPVHZUYEPUYIUGUEZVAZBUYLUIZ
        UYIPUGUEZVAZBUYLUIZVBZSZOUYRUFZUYSVAZVUNVUOUYEUBFUYFUBUDZEQZQZVCZUYLVDZ
        VUIVUIVEQZVFULZVUIVVKVGULZVIULZVJZVUIPUGUEZPVUIUGUEZVBZSZSZOUYRUFZVVDVU
        NVUOUYEVVOSZOUYRUFZVVRSZVWAVUNVUOVWCVVRVUNVUOVUBVVIQZVVNRZVWCVUNVUOVUIV
        VNRZVWFVUNVUITRZVUOVWGUJVUGUYTTUYFVUCVUGVUCTUYTVKULZRUYTTVUCVLAFVWIVUBE
        AEUYRCVMULZRFVWIEVLLEUYRCFVWICVNRFVWIVJZFUYRVOURVWICUYTVPRZVIVQZVRQZTVS
        QRZCVWIVSQRZUNGUOVTZWBUYTVWNCVPTKWAWCZWDFPUNWEULZUYTVKULZVWIJTVPRVWSTVJ
        VWTVWIVJWLWFVWSTUYTVPWMWCWGZFCVWIVWICVWRWHZWIWCZVXBWJWKZWNVUCTUYTWOWKZW
        NZVWHVUOVVLVUIWPUEZVUIVVMWPUEZSZVWGVWHVUOVVKWQRZVXIVWHVUIWRRZVUOVXJUJVU
        IUUAZVXKVUOVXJVUIUUBWSWKVWHVXJVXIVWHVXJSVXGVXHVUIVVKUUCVUIVVKUUDUUEWSWT
        VWHVVLXARVVMXARVUIXARVWGVXIXBVWHVVLVWHVVKTRZVVLTRVWHVUIVXLUUFZVUIVVKUUG
        XCXFVWHVVMVWHVXMVVMTRVXNVUIVVKUUHXCXFVUIUUIVVLVVMVUIUUJUUKXDWKVUFVWFVWG
        XBAVUMVUFVWEVUIVVNUBVUBVVHVUIFVVIUBHXEUYFVVGVUCVVFVUBEXGXHVVIUULZUYFVUC
        XIXJXKXLXDVVNVWNRVUNVWEUYGRZUYEVVJUYGVJZSZOUYRUFZUJZBVWNUIZVWFVWCUJZVVL
        VVMUUMVUNFTVVIVLZVYAVUNVVIVUBUYRVWNUUNULQRZVYCVYASZAVUMVUFVYDAVUMSZVVIU
        YRVWNVMULRVUFVYDVYFUBBVVGUYFUYGQZVVHUYRCVWNFVWIUYRFVSQRZVYFVWPVWKVYHVWR
        VXAFCVWIUUOWCZXMAUBFVVGVCZVWJRVUMAEVYJVWJAUBFVWIEVXDUURLUUPXNVWPVYFVWRX
        MVUMBVWIVYGVCZCVWNVMULZRAVUMVYKCUYFUYTVWNUPUQZQZVMULZVYLVWLUYTVNVYMVLVU
        MVYKVYORVWQUYTVWNVNUUQUUSBUYTVYMUYFCVPVWIVXBKUUTXOVUMVYNVWNCVMUYTVWNUYF
        VWMVRXIUVAXPUVBXQUYFUYGVVGUVCUVHVUBVVIUYRVWNFVXCUVDXRXSVUFVYDVYEXBZAVUM
        VYHVWOVUFVYPVYIWBOBVUBVVIUYRVWNFTUVEXOXLUVFUVGVXTVYBBVVNVWNUYGVVNURZVXP
        VWFVXSVWCUYGVVNVWEUVIVYQVXRVWBOUYRVYQVXQVVOUYEUYGVVNVVJUVJUVKUVLUVMUVNU
        VRWTVUNVWHPTRVVRVXFUVSVUIPUVOUVPUVTVWDVWBVVRSZOUYRUFVWAVWBVVROUYRUVQVYR
        VVTOUYRUYEVVOVVRUWIXTYAYBVUNVVTVVCOUYRVUNUYLUYRRZSVVSVVBUYEVYSVUNUYLFVJ
        ZVVSVVBUJUYRVNRVYSVYTFUYRVYIWDUYLUYRFVXCUWAYGVUNVYTSZVVOVVLUYIWPUEZUYIV
        VMWPUEZSZBUYLUIZVVRVVBVYTVVOWUEUJVUNVYTVVOUYGVVIQZVVNRZBUYLUIZWUEVYTUYL
        VVIUWBZVJZVVOWUHXBZWUIFUYLUBFVVHVVIUYFVVGXIVXOUWCUWDVVIUWEWUJWUKUBFVVHU
        WFBUYLVVNVVIUWGYGUWHVYTWUGWUDBUYLVYTBOUCZSZUYGFRZWUGWUDUJUYLFUYGUWJZWUN
        WUGUYIVVNRWUDWUNWUFUYIVVNUBUYGVVHUYIFVVIUBBXEUYFVVGUYHVVFUYGEXGXHVXOUYF
        UYHXIZXJXKUYIVVLVVMUWKUWLWKYCUWMXQWUAWUEVVRVVBWUAWUESVVPVURVVQVVAWUAVVP
        WUEVURVUNVVPVYTWUEVURUJVUNVVPSZVYTSZWUDVUQBUYLWURWULSWUCVUQWUBWUQVYTWUL
        WUCVUQUJZWUMWUQWUNWUSWUOWUQWUNSZWUCVUQWUTWUCUYIPWPUEZVUQWUTVVMPUYIWPWUQ
        VVMPURZWUNVUNVWHVVPWVBVXFVWHVVPSZVVMVUIVUIUWNZVGULZPWVCVVKWVDVUIVGVUIUW
        OXPVWHWVEPURVVPVWHVUIVXLUWPXNYDXRXNUWQVUNWUNWVAVUQXBZVVPAVUMWUNWVFVUFVY
        FWUNSZUYIPAWUNVUMUYITRAWUNSZUYTTUYFUYHWVHUYHVWIRUYTTUYHVLAFVWIUYGEVXDWN
        UYHTUYTWOWKWNXSZWVGUWRZYHYEYFYQYIYJYKUWTYCXSYLWUAVVQWUEVVAVUNVVQVYTWUEV
        VAUJVUNVVQSZVYTSZWUDVUTBUYLWVLWULSWUBVUTWUCWVKVYTWULWUBVUTUJZWUMWVKWUNW
        VMWUOWVKWUNSZWUBVUTWVNWUBPUYIWPUEZVUTWVNVVLPUYIWPWVKVVLPURZWUNVUNVWHVVQ
        WVPVXFVWHVVQSZVVLVUIVUIVFULZPWVQVVKVUIVUIVFVUIUWSXPVWHWVRPURVVQVWHVUIVX
        LUXAXNYDXRXNUXBVUNWUNWVOVUTXBZVVQAVUMWUNWVSVUFWVGPUYIWVJWVIYHYEYFYQYIYJ
        YKUXCYCXSYLUXDUXEUXFYJUXGYMWTVVDUYQVAZOUYRUFVVEVVCWVTOUYRVVCUYEUYPVAZSW
        VTVVBWWAUYEUYKVAZBUYLUIZUAUYOUFUYMVAZUAUYOUFVVBWWAWWCWWDUAUYOUYKBUYLUXH
        XTWWCVURVVAUAUGUYNUGUXIUXJUXKZUGWWEUXLUYJUGURZWWBVUQBUYLWWFUYKVUPPUYIUY
        JUGYNYOYPUYJUYNURZWWBVUTBUYLWWGUYKVUSWWGUYKPUYIUYNUEVUSPUYIUYJUYNYNPUYI
        UGYRWUPUXMUXNYOYPUXOUYMUAUYOYSUXPUXQUYEUYPUXRYTXTUYQOUYRYSYTYBUXSYCVUGU
        YTTVUCVXEUXTUYAVULUYTVUDVUCVLVUEDUYTPVUCUYBUYTPVUCYRUYCYAYBYMUYD $.
    $}

    broucube.1 $e |- ( ph -> F e. ( ( R |`t I ) Cn ( R |`t I ) ) ) $.
    $( Brouwer - or as Kulpa calls it, "Bohl-Brouwer" - fixed point theorem for
       the unit cube.  Theorem on [Kulpa] p. 548.  (Contributed by Brendan
       Leahy, 21-Aug-2020.) $)
    broucube $p |- ( ph -> E. c e. I c = ( F ` c ) ) $=
      ( vx cfv co c1 cc0 wceq wcel wa cvv cr vz vn cv cmin cof cmpt cfz csn cxp
      wrex crest ccn wfn cicc cmap elmapfn eleq2s adantl wf ctopon wss cioo crn
      ctg ovex retopon pttoponconst mp2an reex unitssre mapss eqsstri resttopon
      toponunii cnf syl ffvelrnda ovexd inidm eqidd offval mpteq2dva ctop retop
      a1i fconst6 ccnfld ctopn eqid cnfldtop cnrest2r ax-mp cres resmpt mp3an12
      ptpjcn cnrest sylancl eqeltrrid fvex fvconst2 tgioo2 eqtrdi oveq2d sselid
      eleqtrd feqmptd fveq1 wb elmapi adantll an32s cc ax-resscn w3a cle simpr2
      mpbid weq fveq2 oveq12d fvmpt adantlr simpllr ofval exp41 com24 3imp2 wbr
      id eqtrd cxr 0xr 1xr anasss 3adantr3 wral c0ex bitrd eqfnfv cbvmptv subcn
      eqeltrrd adantr cnmpt11 ctx cnmpt12f resubcld frn cnfldtopon cnrest2 3syl
      fmpttd mp3an13 eleqtrrd ptcn eqeltrd cneg fveq1d eqtr4di iccgelb le0neg2d
      df-neg eqbrtrd iccleub 1red subge0d mpbird breqtrrd poimir eqeq1d eqeq12d
      sstri subeq0ad ralbidva offn fnconstg syl2anc 3bitr4d rexbidva ) AFUCZKDK
      UCZUWBCLZUDUEZMZUFZLZNEUGMZOUHUIZPZFDUJUWAUWACLZPZFDUJAUABUBUWFDEFGHIAUWF
      KDUBUWHUBUCZUWBLZUWMUWCLZUDMZUFZUFBDUKMZBULMAKDUWEUWQAUWBDQZRZUBUWHUWHUWN
      UWOUDUWHUWBUWCSSUWSUWBUWHUMZAUXAUWBONUNMZUWHUOMZDUWBUXBUWHUPHUQURUWTUWCDQ
      ZUWCUWHUMZADDUWBCACUWRUWRULMZQDDCUSJCUWRUWRDDDUWRBTUWHUOMZUTLQZDUXGVAZUWR
      DUTLQZUWHSQZVBVCZVDLZTUTLQUXHNEUGVEZVFUWHUXMBSTIVGVHZDUXCUXGHTSQUXBTVAUXC
      UXGVAVIVJUXBTUWHSVKVHVLZDBUXGVMVHZVNZUXRVOVPZVQZUXEUWCUXCDUWCUXBUWHUPHUQV
      PUWTNEUGVRZUYAUWHVSZUWTUWMUWHQZRZUWNVTUYDUWOVTWAWBAKUWPUBUWHUXMUHUIZUWHUW
      RBSDIUXJAUXQWEANEUGVRUWHWCUYEUSZAUWHUXMWCWDWFZWEAUYCRZKDUWPUFZUWRWGWHLZTU
      KMZULMZUWRUWMUYELZULMZUYHUYIUWRUYJULMZQZUYIUYLQZUYHKUWNUWOUDUWRUYJUYJUYJD
      UXJUYHUXQWEZUYCKDUWNUFZUYOQAUYCUYLUYOUYSUYJWCQUYLUYOVAUYJUYJWIZWJTUWRUYJW
      KWLUYCUYSUYNUYLUYCUYSKUXGUWNUFZDWMZUYNUXIVUBUYSPUXPKUXGDUWNWNWLUYCVUABUYM
      ULMQZUXIVUBUYNQUXKUYFUYCVUCUXNUYGKUWHUYEUWMBSUXGUXGBUXOVNZIWPWOUXPDVUABUY
      MUXGVUDWQWRWSUYCUYMUYKUWRULUYCUYMUXMUYKUWHUXMUWMUXLVDWTXAUYJUYTXBXCXDZXFX
      EURZUYHKUAUWCUWMUAUCZLZUWOUWRUWRUYJDDUYRAKDUWCUFZUXFQUYCACVUIUXFAKDDCUXSX
      GJUUCUUDUYRUYHUADVUHUFUYSUYOKUADUWNVUHUWMUWBVUGXHUUAVUFWSUWMVUGUWCXHUUEUD
      UYJUYJUUFMUYJULMQUYHUYJUYTUUBWEUUGUYHDTUYIUSUYIVCTVAZUYPUYQXIZUYHKDUWPTAU
      WSUYCUWPTQUYDUWNUWOUWSUYCUWNTQAUWSUYCRUXBTUWNVJUWSUWHUXBUWMUWBUWHUXBUWBUS
      UWBUXCDUWBUXBUWHXJHUQVQXEXKUYDUXBTUWOVJUWTUWHUXBUWMUWCUWTUXDUWHUXBUWCUSZU
      XTVULUWCUXCDUWCUXBUWHXJHUQVPVQXEUUHXLUUMDTUYIUUIUYJXMUTLQVUJTXMVAVUKUYJUY
      TUUJXNTUYIUWRUYJXMUUKUUNUULXRUYCUYNUYLPAVUEURUUOUUPUUQAUYCVUGDQZVUHOPZXOR
      ZUWMVUGUWFLZLZUWMVUGCLZLZUURZOXPVUOVUQUWMVUGVURUWDMZLZVUTVUOVUMVUQVVBPZAU
      YCVUMVUNXQVUMUWMVUPVVAKVUGUWEVVADUWFKUAXSZUWBVUGUWCVURUWDVVDYJUWBVUGCXTYA
      UWFWIZVUGVURUWDVEYBUUSZVPAUYCVUMVUNVVBVUTPZAVUNVUMUYCVVGAVUNVUMUYCVVGAVUN
      RZVUMRZUYCRZVVBOVUSUDMVUTVVIUWHUWHOVUSUDUWHVUGVURSSUWMVUMVUGUWHUMZVVHVVKV
      UGUXCDVUGUXBUWHUPHUQZURAVUMVURUWHUMZVUNAVUMRZVURDQZVVMADDVUGCUXSVQZVVMVUR
      UXCDVURUXBUWHUPHUQVPZYCVVINEUGVRZVVRUYBAVUNVUMUYCYDVVJVUSVTYEVUSUVCUUTYFY
      GYHYKAUYCVUMVUTOXPYIZVUNAUYCVUMVVSAVUMUYCVVSVVNUYCRZOVUSXPYIZVVSVVTVUSUXB
      QZVWAVVNUWHUXBUWMVURVVNVVOUWHUXBVURUSZVVPVWCVURUXCDVURUXBUWHXJHUQVPVQZOYL
      QZNYLQZVWBVWAYMYNONVUSUVAWOVPVVTVUSVVTUXBTVUSVJVWDXEZUVBXRXLYOYPUVDAUYCVU
      MVUHNPZXORZONVUSUDMZVUQXPAUYCVUMOVWJXPYIZVWHAUYCVUMVWKAVUMUYCVWKVVTVWKVUS
      NXPYIZVVTVWBVWLVWDVWEVWFVWBVWLYMYNONVUSUVEWOVPVVTNVUSVVTUVFVWGUVGUVHXLYOY
      PVWIVUQVVBVWJVWIVUMVVCAUYCVUMVWHXQVVFVPAUYCVUMVWHVVBVWJPZAVWHVUMUYCVWMAVW
      HVUMUYCVWMAVWHRZVUMRZUWHUWHNVUSUDUWHVUGVURSSUWMVUMVVKVWNVVLURAVUMVVMVWHVV
      QYCVWONEUGVRZVWPUYBAVWHVUMUYCYDVWOUYCRVUSVTYEYFYGYHYKUVIUVJAUWJUWLFDAUWAD
      QZRZUWJUWAUWKUWDMZUWIPZUWLVWRUWGVWSUWIVWQUWGVWSPAKUWAUWEVWSDUWFKFXSZUWBUW
      AUWCUWKUWDVXAYJUWBUWACXTYAVVEUWAUWKUWDVEYBURUVKVWRUWMVWSLZUWMUWILZPZUBUWH
      YQZUWMUWALZUWMUWKLZPZUBUWHYQZVWTUWLVWRVXDVXHUBUWHVWRUYCRZVXDVXFVXGUDMZOPV
      XHVXJVXBVXKVXCOVWRUWHUWHVXFVXGUDUWHUWAUWKSSUWMVWQUWAUWHUMZAVXLUWAUXCDUWAU
      XBUWHUPHUQURZVWRUWKDQZUWKUWHUMZADDUWACUXSVQZVXOUWKUXCDUWKUXBUWHUPHUQVPZVW
      RNEUGVRZVXRUYBVXJVXFVTVXJVXGVTYEUYCVXCOPVWRUWHOUWMYRXAURUVLVXJVXFVXGVWQUY
      CVXFXMQAVWQUYCRUXBXMVXFUXBTXMVJXNUVMZVWQUWHUXBUWMUWAUWHUXBUWAUSUWAUXCDUWA
      UXBUWHXJHUQVQXEXKVXJUXBXMVXGVXSVWRUWHUXBUWMUWKVWRVXNUWHUXBUWKUSZVXPVXTUWK
      UXCDUWKUXBUWHXJHUQVPVQXEUVNYSUVOVWRVWSUWHUMUWIUWHUMZVWTVXEXIVWRUWHUWHUDUW
      HUWAUWKSSVXMVXQVXRVXRUYBUVPOSQVYAYRUWHOSUVQWLUBUWHVWSUWIYTWRVWRVXLVXOUWLV
      XIXIVXMVXQUBUWHUWAUWKYTUVRUVSYSUVTXR $.
  $}

  ${
    $d b c d f g p s w x y z ph $.  $d b c d f g p s w x y z C $.
    $d b c d f g p s w x y z D $.  $d b c d f g p s w x y z X $.
    $d b c d f g p s w x y z Y $.
    heicant.c $e |- ( ph -> C e. ( *Met ` X ) ) $.
    heicant.d $e |- ( ph -> D e. ( *Met ` Y ) ) $.
    heicant.j $e |- ( ph -> ( MetOpen ` C ) e. Comp ) $.
    heicant.x $e |- ( ph -> X =/= (/) ) $.
    heicant.y $e |- ( ph -> Y =/= (/) ) $.
    $( Heine-Cantor theorem: a continuous mapping between metric spaces whose
       domain is compact is uniformly continuous.  Theorem on [Rosenlicht]
       p. 80.  (Contributed by Brendan Leahy, 13-Aug-2018.)  (Proof shortened
       by AV, 27-Sep-2020.) $)
    heicant $p |- ( ph -> ( ( metUnif ` C ) uCn ( metUnif ` D ) ) =
      ( ( MetOpen ` C ) Cn ( MetOpen ` D ) ) ) $=
      ( vx co clt wbr wi wral crp wa wcel wceq vf vw vz vd vy vs vg vb vc cmetu
      vp cfv cmopn cv wrex breq2 imbi2d 2ralbidv rexbidv cbvralvw cdiv rphalfcl
      wf c2 ralbidv rspcva cuni c1st c2nd caddc ad3antrrr cxmet ad2antrr anim1i
      cfn cxr rpxrd eqid syl2an adantr cc0 sylan2 ad4ant23 rpcn 2halvesd imbi1d
      3expa oveq2 breq1d fveq2 oveq2d imbi12d bitrdi adantll vex oveq12d oveq1d
      breq12d fveq2d rspcev syl2anc eleq2 anbi12d imp wb syl mpbid ex cr simpll
      crn wss sstrdi adantl c0 wne simplr breqtrd rnfi sylan sylib wrel syl3anc
      cen nfv ad2ant2r xmetcl 3expb rexrd simpr ffvelrnda ffvelrn rpred xmetge0
      cle xrrege0 xrltle mpand syld cxad cucn ccn r19.12 ralimi cxp cbl wex cpw
      sylbi cin ccmp blopn rpgt0d jca xblcntr cop opelxpi breq2d biimpar op1std
      op2ndd eqcomd biantrurd bitr3d eqeq1 syl12anc rexlimdva2 ralimdva mopnuni
      ovex anbi1d raleqdv eqeq2d cmpcovf elinel2 cinf frn rnss rnxpss wfun ffun
      cdm fundmen ensymd fdm enfii 3syl eqtr eqnetrrd unieq uni0 eqtrdi necon3i
      eqnetrd dm0rn0 necon3bii relxp relss mpisyl relrn0 necon3bid adantllr wor
      rpssre w3a ltso fiinfcl mpan sseldd simpl eleq2d eluni2 biimpa nfra1 nfan
      sylanl1 rspa anim12i anandirs anim12 adantrl 0re rpge0 rgen breq1 sylancr
      ssralv wfn ffn fnfvelrn 2ndrn infrelb ne0d infrecl xp2nd xrltletr adantlr
      mpan2d ad6antr simpllr xp1st ad3antlr ad5antr elbl sylan9bbr biimpd an32s
      impr simprd xrltled simplrl an4s mp2and readdcld rpaddcld syl13anc rexadd
      xmettri lt2addd xrlelttrd ltaddrpd xrlttrd jctild anassrs simp-5r adantrr
      anim12dan ffvelrnd ad4antlr readdcl anandis ad6antlr xmetsym eqtrd lt2add
      rpxr expcom syl2and pm2.43d imim12d adantlrr mpd exp32 rexlimd ralrimivva
      expr expl exlimdv expimpd rexlimdva exp4b ralrimiv r19.21v impbid2 ralcom
      syl5 mpdi pm5.32da cpsmet xmetpsmet metucn metcn 3bitr4d eqrdv ) AUABUJUL
      ZCUJULZUUALZBUMULZCUMULZUUBLZADEUAUNZVCZKUNZUBUNZBLZUCUNZMNZVXMVXKULZVXNV
      XKULZCLZUDUNZMNZOZUBDPKDPZUCQUOZUDQPZRVXLVXQVXTUEUNZMNZOZUBDPZUCQUOZUEQPK
      DPZRZVXKVXGSVXKVXJSZAVXLVYFVYLAVXLRZVYFVYKKDPZUEQPZVYLVYOVYFVYQVYFVYJKDPZ
      UCQUOZUEQPVYQVYEVYSUDUEQVYAVYGTZVYDVYRUCQVYTVYCVYIKUBDDVYTVYBVYHVXQVYAVYG
      VXTMUPUQURUSUTVYSVYPUEQVYJUCKQDUUCUUDUUIVYOVYQVYEOZUDQPVYQVYFOVYOWUAUDQVY
      OVYAQSZVYAVDVALZQSZWUAVYAVBZVYOWUBWUDVYQVYEWUDVYQRVXQVXTWUCMNZOZUBDPZUCQU
      OZKDPZVYOWUBRZVYEVYPWUJUEWUCQVYGWUCTZVYKWUIKDWULVYJWUHUCQWULVYIWUGUBDWULV
      YHWUFVXQVYGWUCVXTMUPUQVEUSVEVFWUKWUJVXHVGZUFUNZVGZTZWUNDQUUEZUGUNZVCZUHUN
      ZWUTWURULZVHULZWVAVIULZBUUFULZLZTZWVBUIUNZBLZWVCWVCVJLZMNZWVBVXKULZWVGVXK
      ULZCLZWUCMNZOZUIDPZRZUHWUNPZRZUGUUGZRZUFVXHUUHZVOUUJZUOZVYEWUKWUJWWDWUKWU
      JRZVXHUUKSZVXMWUTSZWUTUKUNZVHULZWWHVIULZWVDLZTZWWIWVGBLZWWJWWJVJLZMNZWWIV
      XKULZWVLCLZWUCMNZOZUIDPZRZUKWUQUOZRZUHVXHUOZKWUMPZWWDAWWFVXLWUBWUJHVKWWEW
      XDKDPZWXEWUKWUJWXFWUKWUIWXDKDWUKVXMDSZRZWUHWXDUCQWXHVXPQSZRZWUHRZVXMVXPVD
      VALZWVDLZVXHSZVXMWXMSZWXMWWKTZWWTRZUKWUQUOZWXDWXJWXNWUHWXHBDVLULSZWXGRZWX
      LVPSZWXNWXIWUKWXSWXGAWXSVXLWUBFVMVNZWXIWXLVXPVBZVQZWXSWXGWYAWXNBVXMWXLVXH
      DVXHVRZUULWGVSVTWXJWXOWUHWXHWXTWYAWAWXLMNZRZWXOWXIWYBWXIWYAWYFWYDWXIWXLWY
      CUUMUUNWXSWXGWYGWXOBVXMWXLDUUOWGVSVTWXKVXMWXLUUPZWUQSZVXMWVGBLZWXLWXLVJLZ
      MNZVXRWVLCLZWUCMNZOZUIDPZWXRWXGWXIWYIWUKWUHWXIWXGWXLQSWYIWYCVXMWXLDQUUQWB
      WCWXIWUHWYPWXHWXIWYPWUHWXIWYPWYJVXPMNZWYNOZUIDPWUHWXIWYOWYRUIDWXIWYLWYQWY
      NWXIWYKVXPWYJMWXIVXPVXPWDWEUURWFVEWYRWUGUIUBDWVGVXNTZWYQVXQWYNWUFWYSWYJVX
      OVXPMWVGVXNVXMBWHWIWYSWYMVXTWUCMWYSWVLVXSVXRCWVGVXNVXKWJZWKWIWLUTWMUUSWNW
      XQWYPUKWYHWUQWWHWYHTZWWTWXQWYPXUAWXPWWTXUAWWKWXMXUAWWIVXMWWJWXLWVDVXMWXLW
      WHKWOZVXPVDVAUVJZUUTZVXMWXLWWHXUBXUCUVAZWPUVBUVCXUAWWSWYOUIDXUAWWOWYLWWRW
      YNXUAWWMWYJWWNWYKMXUAWWIVXMWVGBXUDWQXUAWWJWXLWWJWXLVJXUEXUEWPWRXUAWWQWYMW
      UCMXUAWWPVXRWVLCXUAWWIVXMVXKXUDWSWQWIWLVEUVDWTXAWXCWXOWXRRUHWXMVXHWUTWXMT
      ZWWGWXOWXBWXRWUTWXMVXMXBXUFWXAWXQUKWUQXUFWWLWXPWWTWUTWXMWWKUVEUVKUSXCWTUV
      FUVGUVHXDAWXFWXEXEVXLWUBWUJAWXDKDWUMAWXSDWUMTZFBVXHDWYEUVIXFZUVLVKXGWXAWV
      QKUHUKWUQUGVXHWUMUFWUMVRWWHWVATZWWLWVFWWTWVPXUIWWKWVEWUTXUIWWIWVBWWJWVCWV
      DWWHWVAVHWJZWWHWVAVIWJZWPUVMXUIWWSWVOUIDXUIWWOWVJWWRWVNXUIWWMWVHWWNWVIMXU
      IWWIWVBWVGBXUJWQXUIWWJWVCWWJWVCVJXUKXUKWPWRXUIWWQWVMWUCMXUIWWPWVKWVLCXUIW
      WIWVBVXKXUJWSWQWIWLVEXCUVNXAXHWUKWWAVYEUFWWCWUNWWCSWUKWUNVOSZWWAVYEOWUNWW
      BVOUVOWUKXULRZWUPWVTVYEXUMWUPRZWVSVYEUGXUNWUSWVRVYEXUNWUSRZWVRRZWURXKZXKZ
      XIMUVPZQSZVXOXUSMNZVYBOZUBDPKDPZVYEXUOXUTWVRXUMAXULRZWUPWUSXUTWUKAXULAVXL
      WUBXJVNXVDWUPRZWUSRZXURQXUSWUSXURQXLZXVEWUSXURWUQXKZQWUSXUQWUQXLZXURXVHXL
      WUNWUQWURUVQZXUQWUQUVRXFDQUVSXMZXNZXVFXURVOSZXURXOXPZXURXIXLZXUSXURSZXVEX
      ULWUSXVMAXULWUPXQXULWUSRWURVOSZXUQVOSXVMWUSXULWURWUNYDNXVQWUSWURWURUWBZWU
      NYDWUSWURUVTZWURXVRYDNWUNWUQWURUWAXVSXVRWURWURUGWOUWCUWDXFWUNWUQWURUWEZXR
      WURWUNUWFWBWURXSXUQXSUWGXTAWUPWUSXVNXULAWUPRZWUSRZXUQXOXPZXVNXWBXVRXOXPXW
      CXWBXVRWUNXOWUSXVRWUNTXWAXVTXNXWAWUNXOXPZWUSXWAWUOXOXPXWDXWADWUOXOAXUGWUP
      DWUOTXUHDWUMWUOUWHZXTADXOXPWUPIVTUWIWUNXOWUOXOWUNXOTWUOXOVGXOWUNXOUWJUWKU
      WLUWMXFVTUWNXVRXOXUQXOWURUWOUWPYAWUSXWCXVNXEZXWAWUSXUQYBZXWFWUSXVIWUQYBXW
      GXVJDQUWQXUQWUQUWRUWSZXWGXUQXOXURXOXUQUWTUXAXFXNXGUXBXVFXURQXIXVLUXDXMXIM
      UXCXVMXVNXVOUXEXVPUXFXIXURMUXGUXHYCUXIUXPVTXUPXVBKUBDDXUPWXGVXNDSZRZRZWWG
      UHWUNUOZXVBXUPXUGWUPRZWXGXWLXWJXUNXWMWUSWVRXUMXUGWUPAXUGVXLWUBXULXUHVKVNV
      MWXGXWIUXJZXWMWXGXWLXWMWXGVXMWUOSXWLXWMDWUOVXMXWEUXKUHVXMWUNUXLWMUXMVSXWK
      WWGXVBUHWUNXUPXWJUHXUOWVRUHXUOUHYEWVQUHWUNUXNUXOXWJUHYEUXOXVBUHYEXUOXWJWV
      RWUTWUNSZWWGXVBOZOZXUOXWJRZWVRRXWOXWPXWRWVRXWOXWQWVRXWORXWRWVQXWQWVQUHWUN
      UXQXWRWVQRZXWOWWGXVBXWSXWOWWGRZRWVBVXMBLZWVIMNZWVBVXNBLZWVIMNZRZWVKVXRCLZ
      WUCMNZWVKVXSCLZWUCMNZRZOZXVBXWJWVQXXKXUOXWTXWJWVPXXKWVFXWJWVPRXXBXXGOZXXD
      XXIOZRZXXKWXGXWIWVPXXNWXGWVPRXXLXWIWVPRXXMWVOXXLUIVXMDWVGVXMTZWVJXXBWVNXX
      GXXOWVHXXAWVIMWVGVXMWVBBWHWIXXOWVMXXFWUCMXXOWVLVXRWVKCWVGVXMVXKWJWKWIWLVF
      WVOXXMUIVXNDWYSWVJXXDWVNXXIWYSWVHXXCWVIMWVGVXNWVBBWHWIWYSWVMXXHWUCMWYSWVL
      VXSWVKCWYTWKWIWLVFUXRUXSXXBXXGXXDXXIUXTXFUYAWCXWRWVFXWTXXKXVBOZWVPXWRWUKW
      USRZXWJRZWVFXWTXXPXUOXXQXWJXUNWUKWUSWUKXULWUPXJVNVNXXRWVFRZXWTRZXVAXXEXXJ
      VYBXXTXVAVXOWVCMNZXXEXXRXWTXVAXYAOWVFXXRXWTRZXVAXUSWVCYONZXYAXXQXWOXYCXWJ
      WWGWUSXWOXYCWUKWUSXWORZXVOVXMVYGYONZUEXURPZKXIUOZWVCXURSZXYCWUSXVOXWOWUSX
      URQXIXVKUXDXMVTZWUSXYGXWOWUSWAXISWAVYGYONZUEXURPZXYGUYBWUSXVGXYJUEQPXYKXV
      KXYJUEQVYGUYCUYDXYJUEXURQUYGUWSXYFXYKKWAXIVXMWATXYEXYJUEXURVXMWAVYGYOUYEV
      EWTUYFVTZXYDXWGWVAXUQSZXYHWUSXWGXWOXWHVTWUSWURWUNUYHXWOXYMWUNWUQWURUYIWUN
      WUTWURUYJXTWVAXUQUYKXAZKUEWVCXURUYLYCWNYFXYBVXOVPSZXUSVPSZWVCVPSZXVAXYCRX
      YAOXXRXYOXWTXXQWXSXWJXYOAWXSVXLWUBWUSFVKZWXSWXGXWIXYOVXMVXNBDYGYHXTVTZXXR
      WUSXWOXYPXWTWUKWUSXWJXQZXWOWWGUXJZXYDXUSXYDXVOXVNXYGXUSXISXYIXYDXURWVCXYN
      UYMXYLKUEXURUYNYCYIVSXXQXWOXYQXWJWWGXXQXWORZWVCYUBWVAWUQSZWVCQSZXXQWUNWUQ
      WUTWURWUKWUSYJYKWVADQUYOZXFZVQYFZVXOXUSWVCUYPYCUYRUYQXXTXYAXXDXXBXXTXYAXX
      DXXTXYARZXXCXXAVXOVJLZWVIXXTXXCVPSZXYAXXTWXSWVBDSZXWIYUJAWXSVXLWUBWUSXWJW
      VFXWTFUYSZXXSWUSXWOYUKXWTWUKWUSXWJWVFUYTZYUAXYDYUCYUKWUNWUQWUTWURYLZWVADQ
      VUAZXFZVSZXWJXWIXXQWVFXWTWXGXWIYJVUBZWVBVXNBDYGYCVTYUHYUIYUHXXAVXOXXTXXAX
      ISZXYAXXTWVCXISZXXAWVCYONZYUSXXTWVCXXRXWOYUDWVFWWGXXRWUSXWOYUDXYTXYDYUCYU
      DYUNYUEXFZXTZYFZYMZXXTXXAWVCXXTWXSYUKWXGXXAVPSZYULYUQXWJWXGXXQWVFXWTXWNVU
      BZWVBVXMBDYGZYCZXXSWUSXWOXYQXWTYUMYUAXYDWVCYVBVQVSZXXTWXGXXAWVCMNZXXSXWOW
      WGWXGYVKRZXXRXWOWVFWWGYVLOXXRXWORZWVFRWWGYVLWVFWWGVXMWVESZYVMYVLWUTWVEVXM
      XBYVMWXSYUKXYQYVNYVLXEAWXSVXLWUBWUSXWJXWOFVUCZXXRWUSXWOYUKXYTYUPXTYVMWVCY
      VCVQVXMBWVBWVCDVUDYCVUEVUFVUGVUHVUIZVUJXXRXWOYUTYVARZYUSOZWVFWWGYVMYVFWAX
      XAYONZYVRYVMWXSYUKWXGYVFYVOYVMYUCYUKXXRWUNWUQWUTWURXYTYKYUOXFZXXQWXGXWIXW
      OVUKZYVHYCYVMWXSYUKWXGYVSYVOYVTYWAWVBVXMBDYNYCYVFYVSRYVQYUSYVFYUTYVSYVAYU
      SXXAWVCYPVULXHXAYFVUMVTZXXTXYAVXOXISZXXRXWTXYAYWCOWVFXYBXYAVXOWVCYONZYWCX
      YBXYOXYQXYAYWDOXYSYUGVXOWVCYQXAXYBWAVXOYONZYWDYWCXXRYWEXWTXXQWXSXWJYWEXYR
      WXSWXGXWIYWEVXMVXNBDYNYHXTVTXYBXYOYUTYWEYWDRZYWCOXYSXXQXWOYUTXWJWWGYUBWVC
      YUFYMYFXYOYUTRYWFYWCVXOWVCYPXHXAYRYSUYQXDZVUNYIXXTWVIVPSXYAXXTWVIXXTWVCWV
      CYVDYVDVUOVQZVTYUHXXCXXAVXOYTLZYUIYOXXTXXCYWIYONZXYAXXTWXSYUKXWIWXGYWJYUL
      YUQYURYVGWVBVXNVXMBDVURVUPVTYUHYUSYWCYWIYUITYWBYWGXXAVXOVUQXAXRYUHXXAVXOW
      VCWVCYWBYWGXXTYUTXYAYVEVTZYWKXXTYVKXYAYVPVTXXTXYAYJVUSVUTXHXXTXXAWVCWVIYV
      IYVJYWHYVPXXSWUSXWOWVCWVIMNXWTYUMYUAXYDWVCWVCXYDWVCYVBYMYVBVVAVSVVBVVCYSX
      XTXXJVYBXXTXXJRZVXTXXFXXHVJLZVYAXXRVXTVPSZWVFXWTXXJXXQVYOXWJYWNVYOWUBWUSX
      JAVXLXWJYWNACEVLULSZVXRESZVXSESZRYWNVXLXWJRGVXLWXGYWPXWIYWQDEVXMVXKYLDEVX
      NVXKYLVVGYWOYWPYWQYWNVXRVXSCEYGYHVSVVDXTVKYWLYWMXXTXXGXXIYWMXISZXXTXXGRZX
      XFXISZXXHXISZYWRXXTXXIRZXXTXXGYWTXXRXWOXXGYWTOWVFWWGYVMXXGXXFWUCYONZYWTYV
      MXXFVPSZWUCVPSZXXGYXCOYVMYWOWVKESZYWPYXDAYWOVXLWUBWUSXWJXWOGVUCZYVMDEWVBV
      XKAVXLWUBWUSXWJXWOVVEYVTVVHZXXRYWPXWOXXQWXGYWPXWIXXQDEVXMVXKAVXLWUBWUSUYT
      ZYKVVFVTZWVKVXRCEYGYCZWUBYXEVYOWUSXWJXWOWUBWUCWUEVQVVIZXXFWUCYQXAYVMWAXXF
      YONZYXCYWTYVMYWOYXFYWPYXMYXGYXHYXJWVKVXRCEYNYCYVMYXDWUCXISZYXMYXCRZYWTOYX
      KWUBYXNVYOWUSXWJXWOWUBWUCWUEYMVVIZYXDYXNRYXOYWTXXFWUCYPXHXAYRYSZYFXDZXXTX
      XIYXAXXRXWOXXIYXAOWVFWWGYVMXXIXXHWUCYONZYXAYVMXXHVPSZYXEXXIYXSOYVMYWOYXFY
      WQYXTYXGYXHXXRYWQXWOXXQXWIYWQWXGXXQDEVXNVXKYXIYKUYAVTZWVKVXSCEYGYCZYXLXXH
      WUCYQXAYVMWAXXHYONZYXSYXAYVMYWOYXFYWQYYCYXGYXHYYAWVKVXSCEYNYCYVMYXTYXNYYC
      YXSRZYXAOYYBYXPYXTYXNRYYDYXAXXHWUCYPXHXAYRYSZYFXDZXXFXXHVVJVSVVKYIWUBVYAV
      PSVYOWUSXWJWVFXWTXXJVYAVVPVVLYWLVXTVXRWVKCLZXXHYTLZYWMYOXXTVXTYYHYONZXXJX
      XRXWOYYIWVFWWGYVMYWOYWPYWQYXFYYIYXGYXJYYAYXHVXRVXSWVKCEVURVUPYFVTYWLYYHXX
      FXXHYTLZYWMYWLYYGXXFXXHYTXXTYYGXXFTZXXJXXRXWOYYKWVFWWGYVMYWOYWPYXFYYKYXGY
      XJYXHVXRWVKCEVVMYCYFVTWQXXTXXGXXIYYJYWMTZYWSYWTYXAYYLYXBYXRYYFXXFXXHVUQVS
      VVKVVNXRYWLYWMWUCWUCVJLZVYAMXXTXXJYWMYYMMNZXXRXWOXXJYYNOZWVFWWGYVMXXJYYNY
      VMXXGYWTXXIYXAYYOYXQYYEYVMYXNYXNYWTYXARZYYOOYXPYXPYYPYXNYXNRYYOXXFXXHWUCW
      UCVVOVVQXAVVRVVSYFXDWUBYYMVYATVYOWUSXWJWVFXWTXXJWUBVYAVYAWDWEVVLXRVUTXHVV
      TUXPVWAVWBVWCWBVWFVVSVUGVWDVWBVWEVYDXVCUCXUSQVXPXUSTZVYCXVBKUBDDYYQVXQXVA
      VYBVXPXUSVXOMUPWFURWTXAVWGVWHVWIWBVWJYSVWPVWKVWQVWLVYQVYEUDQVWMYAVWNVYKUE
      KQDVWOWMVWRAKUBBCVXEVXKVXFDEUCUDVXEVRVXFVRIJAWXSBDVWSULSFBDVWTXFAYWOCEVWS
      ULSGCEVWTXFVXAAWXSYWOVYNVYMXEFGKUEUCUBBCVXKVXHVXIDEWYEVXIVRVXBXAVXCVXD $.
  $}

  ${
    $d n r s w x y z A $.
    $( Lemma for ~ ismblfin ; could also be used to shorten proof of
       ~ opnmbllem .  (Contributed by Brendan Leahy, 13-Jul-2018.) $)
    opnmbllem0 $p |- ( A e. ( topGen ` ran (,) ) -> U. ( [,] " { z e.
      ran ( x e. ZZ , y e. NN0 |-> <. ( x / ( 2 ^ y ) ) ,
        ( ( x + 1 ) / ( 2 ^ y ) ) >. ) | ( [,] ` z ) C_ A } ) = A ) $=
      ( vw vr cfv wcel cicc cv wss c2 co cdiv c1 caddc wa cr clt wbr vs vn cioo
      crn ctg cn0 cexp cop cmpo crab cima cuni cpw wral weq fveq2 sseq1d simprr
      cz elrab fvex elpw sylibr sylan2b ralrimiva wfun cdm wb cxr cxp iccf ffun
      wf ax-mp ssrab2 cle oveq1 oveq1d opeq12d oveq2 oveq2d cbvmpov dyadf inss2
      cin frn rexpssxrxp sstri fdmi sseqtrri funimass4 mp2an sspwuni sylib cabs
      cmin ccom cres cbl crp wrex cxmet eqid rexmet cmopn mopni2 mp3an1 elssuni
      tgioo wceq uniretop sseqtrrdi sselda rpre bl2ioo syl2an 2re 1lt2 expnlbnd
      cn mp3an23 ad2antrl cmul cfl ad2antrr 2nn nnnn0 nnexpcl sylancr nnred syl
      syl112anc mpbird nndivred syl2anc rexrd readdcld recnd ltadd2dd eqbrtrd
      remulcld fllelt simpld cc0 reflcl ledivmul2 peano2re ltmuldiv mpbid ltled
      nngt0d simprd w3a elicc2 mpbir3and flcld dyadval fveq2d df-ov eqtr4di wfn
      eleqtrrd fnovrn simplrl rpred resubcld 1cnd nnne0d divdird nnrecred lttrd
      ffn ltsubaddd leadd1dd lelttrd iccssioo syl22anc eqsstrd simplrr sylanbrc
      sstrd wi funfvima2 elunii rexlimddv expr sylbid rexlimdva mpd eqelssd ) D
      UCUDUEGZHZEICJZIGZDKZCABUSUFAJZLBJZUGMZNMZUWPOPMZUWRNMZUHZUIZUDZUJZUKZULZ
      DUWLUXFDUMZKZUXGDKUWLEJZIGZUXHHZEUXEUNZUXIUWLUXLEUXEUXJUXEHUWLUXJUXDHZUXK
      DKZQZUXLUWOUXOCUXJUXDCEUOUWNUXKDUWMUXJIUPUQUTUWLUXPQUXOUXLUWLUXNUXOURUXKD
      UXJIVAVBVCVDVEIVFZUXEIVGZKZUXIUXMVHVIVIVJZVIUMZIVMUXQVKUXTUYAIVLVNZUXEUXT
      UXRUXEUXDUXTUWOCUXDVOUXDVPRRVJZWEZUXTUSUFVJZUYDUXCVMZUXDUYDKFUAUXCABFUAUS
      UFUXBFJZLUAJZUGMZNMZUYGOPMZUYINMZUHUYGUWRNMZUYKUWRNMZUHAFUOZUWSUYMUXAUYNU
      WPUYGUWRNVQUYOUWTUYKUWRNUWPUYGOPVQVRVSBUAUOZUYMUYJUYNUYLUYPUWRUYIUYGNUWQU
      YHLUGVTZWAUYPUWRUYIUYKNUYQWAVSWBZWCZUYEUYDUXCWFVNUYDUYCUXTVPUYCWDWGWHWHWH
      UXTUYAIVKWIWJZEUXEUXHIWKWLVCUXFDWMWNUWLUXJDHZQZUXJUYGWOWPWQUYCWRZWSGMZDKZ
      FWTXAZUXJUXGHZVUCRXBGHUWLVUAVUFVUCVUCXCZXDFDVUCUXJUWKRVUCVUCXEGZVUHVUIXCX
      IXFXGVUBVUEVUGFWTVUBUYGWTHZQZVUEUXJUYGWPMZUXJUYGPMZUCMZDKZVUGVUKVUDVUNDVU
      BUXJRHZUYGRHVUDVUNXJVUJUWLDRUXJUWLDUWKULRDUWKXHXKXLXMZUYGXNUXJUYGVUCVUHXO
      XPUQVUBVUJVUOVUGVUBVUJVUOQZQZOLUBJZUGMZNMZUYGSTZVUGUBXTVUJVVCUBXTXAZVUBVU
      OVUJLRHOLSTVVDXQXRUYGLUBXSYAYBVUSVUTXTHZVVCQZQZUXJUXJVVAYCMZYDGZVUTUXCMZI
      GZHVVKUXFHZVUGVVGUXJVVIVVANMZVVIOPMZVVANMZIMZVVKVVGUXJVVPHZVUPVVMUXJVPTZU
      XJVVOVPTZVUBVUPVURVVFVUQYEZVVGVVRVVIVVHVPTZVVGVWAVVHVVNSTZVVGVVHRHZVWAVWB
      QVVGUXJVVAVVTVVGVVAVVGLXTHVUTUFHZVVAXTHYFVVEVWDVUSVVCVUTYGYBZLVUTYHYIZYJZ
      UUAZVVHUUBYKZUUCVVGVVIRHZVUPVVARHZUUDVVASTZVVRVWAVHVVGVWCVWJVWHVVHUUEYKZV
      VTVWGVVGVVAVWFUUKZVVIUXJVVAUUFYLYMZVVGUXJVVOVVTVVGVVNVVAVVGVWJVVNRHZVWMVV
      IUUGYKZVWFYNZVVGVWBUXJVVOSTZVVGVWAVWBVWIUULVVGVUPVWPVWKVWLVWBVWSVHVVTVWQV
      WGVWNUXJVVNVVAUUHYLUUIZUUJVVGVVMRHVVORHVVQVUPVVRVVSUUMVHVVGVVIVVAVWMVWFYN
      ZVWRVVMVVOUXJUUNYOUUOVVGVVKVVMVVOUHZIGVVPVVGVVJVXBIVVGVVIUSHZVWDVVJVXBXJV
      VGVVHVWHUUPZVWEFUAVVIVUTUXCUYRUUQYOUURVVMVVOIUUSUUTZUVBVVGVVJUXEHZVVLVVGV
      VJUXDHZVVKDKZVXFVVGVXCVWDVXGVXDVWEUXCUYEUVAZVXCVWDVXGUYFVXIUYSUYEUYDUXCUV
      LVNUSUFVVIVUTUXCUVCXGYOVVGVVKVUNDVVGVVKVVPVUNVXEVVGVULVIHVUMVIHVULVVMSTZV
      VOVUMSTVVPVUNKVVGVULVVGUXJUYGVVTVVGUYGVUBVUJVUOVVFUVDUVEZUVFYPVVGVUMVVGUX
      JUYGVVTVXKYQZYPVVGVXJUXJVVMUYGPMZSTVVGUXJVVOVXMVVTVWRVVGVVMUYGVXAVXKYQVWT
      VVGVVOVVMVVBPMZVXMSVVGVVIOVVAVVGVVIVWMYRVVGUVGVVGVVAVWGYRVVGVVAVWFUVHUVIZ
      VVGVVBUYGVVMVVGVVAVWFUVJZVXKVXAVUSVVEVVCURZYSYTUVKVVGUXJUYGVVMVVTVXKVXAUV
      MYMVVGVVOUXJVVBPMZVUMVWRVVGUXJVVBVVTVXPYQVXLVVGVVOVXNVXRVPVXOVVGVVMUXJVVB
      VXAVVTVXPVWOUVNYTVVGVVBUYGUXJVXPVXKVVTVXQYSUVOVULVUMVVMVVOUVPUVQUVRVUBVUJ
      VUOVVFUVSUWAUWOVXHCVVJUXDUWMVVJXJUWNVVKDUWMVVJIUPUQUTUVTUXQUXSVXFVVLUWBUY
      BUYTUXEVVJIUWCWLYKUXJVVKUXFUWDYOUWEUWFUWGUWHUWIUWJ $.
  $}

  ${
    $d a b c f g m n p s t u v w x y z A $.
    $d a b c f g m n p s t u v w x y z B $.
    $( Lemma for ~ ismblfin , ordering the sets of dyadic intervals that are
       antichains under subset and whose unions are contained entirely in
       ` A ` .  (Contributed by Brendan Leahy, 13-Jul-2018.) $)
    mblfinlem1 $p |- ( ( A e. ( topGen ` ran (,) ) /\ A =/= (/) ) ->
      E. f f : NN -1-1-onto-> { a e. { b e. ran ( x e. ZZ , y e. NN0 |->
        <. ( x / ( 2 ^ y ) ) , ( ( x + 1 ) / ( 2 ^ y ) ) >. ) |
      ( [,] ` b ) C_ A } | A. c e. { b e. ran ( x e. ZZ , y e. NN0 |->
        <. ( x / ( 2 ^ y ) ) , ( ( x + 1 ) / ( 2 ^ y ) ) >. ) |
      ( [,] ` b ) C_ A } ( ( [,] ` a ) C_ ( [,] ` c ) -> a = c ) } ) $=
      ( vz vn cfv wcel wa cn cicc cz co wral wbr cr cq vu vv cioo crn ctg c0 cv
      wne wss weq wi cn0 c2 cexp cdiv c1 caddc cop cmpo crab cen wf1o cdom csdm
      wex wn cima cuni wceq cfn cle wrex clt peano2re ltp1 breq2 rspcev syl2anc
      rgen ltnle rexbidva rexnal bitrdi ralbiia ralnex bitri mpbi raleq rexbidv
      mtbiri cxp ssrab2 wf cc0 syl jca w3a redivcl syl3an1 opelxpi 3expb syl2an
      mpan rgen2 fmpo frn ax-mp sstri adantl iccf mp2an c1st c2nd sseli 1st2nd2
      cxr wb fveq2d df-ov eqtr4di ad2antll xp2nd rexrd xp1st sylan2 ex uniretop
      cvv adantr a1i oveq1 opeq12d oveq2d com mpan2 sylibr qex zq qdivcl qnnen
      zre 2re reexpcl nn0z 2cn 2ne0 expne0i mp3an12 eqid rnss sseqtrdi fimaxre2
      rnxpid rnfi sylancr wel eluni2 wfn cpw ffn rexpssxrxp eleq2 rexima eleq2d
      biimpd imdistani eliccxr ad2antrl simpllr iccleub 3expa sylan wrel df-rel
      cc mpbir 2ndrn breq1 rspccva ad2ant2lr xrletrd rexlimdvaa syl5bi ralrimiv
      xpss ad2antrr mpbid reximdva mpd nsyl retopconn simpll simplr ccld simprl
      cconn ciun wfun ffun funiunfv mp2b retop icccld eqeltrd mp3an13 eqeltrrid
      ctop iuncld eqeltrrd connclo necon3ad imp pm2.61dane oveq1d oveq2 cbvmpov
      fveq2 sseq1d equequ1 imbi12d ralbidv cbvrabv dyadmbllem opnmbllem0 eqtr3d
      nnenom sdomentr isfinite anim12i xpex 2nn nnq qexpcl 1z qaddcl ssdomg mp2
      mtand xpen xpnnen entri domentr jctil bren2 ensymd bren sylib ) CUCUDUEJZ
      KZCUFUHZLZMEUGZNJZGUGNJZUIZEGUJZUKZGFUGNJCUIZFABOULAUGZUMBUGZUNPZUOPZVUSU
      PUQPZVVAUOPZURZUSZUDZUTZQZEVVHUTZVARMVVJDUGVBDVEVUKVVJMVUKVVJMVCRZVVJMVDR
      ZVFZLVVJMVARVUKVVMVVKVUKVVLNVVJVGZVHZCVIZVVJVJKZLZVUKVVRVFZCSCSVIZVVSVUKV
      VTHUGZIUGZVKRZHCQZISVLZVVRVVTVWEVWCHSQZISVLZVWBVWAVMRZHSVLZISQZVWGVFZVWII
      SVWBSKZVWBUPUQPZSKVWBVWMVMRZVWIVWBVNVWBVOVWHVWNHVWMSVWAVWMVWBVMVPVQVRVSVW
      JVWFVFZISQVWKVWIVWOISVWLVWIVWCVFZHSVLVWOVWLVWHVWPHSVWBVWAVTWAVWCHSWBWCWDV
      WFISWEWFWGVVTVWDVWFISVWCHCSWHWIWJVVRUAUGZVWBVKRZUAVVJUDZQZISVLZVWEVVQVXAV
      VPVVQVWSSUIZVWSVJKVXAVVJSSWKZUIZVXBVVJVVHVXCVVIEVVHWLZVVHVVGVXCVURFVVGWLZ
      OULWKZVXCVVFWMZVVGVXCUIVVEVXCKZBULQAOQVXHVXIABOULVUSOKZVUSSKZVVASKZVVAWNU
      HZLVXIVUTULKZVUSUUAVXNVXLVXMUMSKVXNVXLUUBUMVUTUUCXCVXNVUTOKZVXMVUTUUDUMUV
      OKUMWNUHVXOVXMUUEUUFUMVUTUUGUUHWOZWPVXKVXLVXMVXIVXKVXLVXMWQVVBSKVVDSKZVXI
      VUSVVAWRVXKVVCSKVXLVXMVXQVUSVNVVCVVAWRWSVVBVVDSSWTVRXAXBXDABOULVVEVXCVVFV
      VFUUIZXEWGVXGVXCVVFXFXGXHXHZVXDVWSVXCUDSVVJVXCUUJSUUMUUKXGVVJUUNIUAVWSUUL
      UUOXIVVPVXAVWEUKVVQVVPVWTVWDISVVPVWLLZVWTVWDVXTVWTLZVWCHVVOQZVWDVYAVWCHVV
      OVWAVVOKZVWAUBUGZNJZKZUBVVJVLZVYAVWCVYCHUAUUPZUAVVNVLZVYGUAVWAVVNUUQNXPXP
      WKZUURZVVJVYJUIVYIVYGXQVYJXPUUSZNWMZVYKXJVYJVYLNUUTXGVVJVXCVYJVXSUVAXHVYH
      VYFUAUBVYJVVJNVWQVYEVWAUVBUVCXKWFVYAVYFVWCUBVVJVYDVVJKZVYFLVYAVYNVWAVYDXL
      JZVYDXMJZNPZKZLZVWCVYNVYFVYRVYNVYFVYRVYNVYDVXCKZVYFVYRXQVVJVXCVYDVXSXNZVY
      TVYEVYQVWAVYTVYEVYOVYPURZNJVYQVYTVYDWUBNVYDSSXOXRVYOVYPNXSXTUVDWOUVEUVFVY
      AVYSLZVWAVYPVWBVYRVWAXPKVYAVYNVWAVYOVYPUVGYAVYNVYPXPKZVYAVYRVYNVYTWUDWUAV
      YTVYPVYDSSYBYCZWOUVHWUCVWBVVPVWLVWTVYSUVIYCVYSVWAVYPVKRZVYAVYNVYOXPKZWUDL
      ZVYRWUFVYNVYTWUHWUAVYTWUGWUDVYTVYOVYDSSYDYCWUEWPWOWUGWUDVYRWUFVYOVYPVWAUV
      JUVKUVLXIVWTVYNVYPVWBVKRZVXTVYRVYNVWTVYPVWSKZWUIVVJUVMZVYNWUJWUKVVJYHYHWK
      ZUIVVJVXCWULVXSSSUWEXHVVJUVNUVPVYDVVJUVQXCVWRWUIUAVYPVWSVWQVYPVWBVKUVRUVS
      YEUVTUWAYEUWBUWCUWDVVPVYBVWDXQVWLVWTVWCHVVOCWHUWFUWGYFUWHYIUWIUWJXIVUKCSU
      HVVSVUKVVRCSVUKVVRVVTVUKVVRLZCVUHSYGVUHUWPKWUMUWKYJVUIVUJVVRUWLVUIVUJVVRU
      WMWUMVVOCVUHUWNJZVUKVVPVVQUWOVVQVVOWUNKVUKVVPVVQVVOHVVJVWANJZUWQZWUNVYMNU
      WRWUPVVOVIXJVYJVYLNUWSHVVJNUWTUXAVUHUXGKVVQWUOWUNKZHVVJQWUPWUNKUXBWUQHVVJ
      VWAVVJKVWAVXCKZWUQVVJVXCVWAVXSXNWURWUOVWAXLJZVWAXMJZNPZWUNWURWUOWUSWUTURZ
      NJWVAWURVWAWVBNVWASSXOXRWUSWUTNXSXTWURWUSSKWUTSKWVAWUNKVWASSYDVWASSYBWUSW
      UTUXCVRUXDWOVSHVVJWUOVUHSYGUXHUXEUXFYAUXIUXJYFUXKUXLUXMVUKVVPVVLVVQVUIVVP
      VUJVUINVVHVGVHVVOCVUIUAUBHGVVHVVFVVJABUAUBOULVVEVWQUMVYDUNPZUOPZVWQUPUQPZ
      WVCUOPZURVWQVVAUOPZWVEVVAUOPZURAUAUJZVVBWVGVVDWVHVUSVWQVVAUOYKWVIVVCWVEVV
      AUOVUSVWQUPUQYKUXNYLBUBUJZWVGWVDWVHWVFWVJVVAWVCVWQUOVUTVYDUMUNUXOZYMWVJVV
      AWVCWVEUOWVKYMYLUXPVVIWUOVUNUIZHGUJZUKZGVVHQEHVVHEHUJZVUQWVNGVVHWVOVUOWVL
      VUPWVMWVOVUMWUOVUNVULVWANUXQUXREHGUXSUXTUYAUYBVVHVVGUIVUIVXFYJUYCABFCUYDU
      YEYIVVLVVJYNVDRZVVQVVLMYNVARWVPUYFVVJMYNUYGYOVVJUYHYPUYIUYRVVJTTWKZVCRZWV
      QMVARVVKWVQYHKVVJWVQUIWVRTTYQYQUYJVVJVVHWVQVXEVVHVVGWVQVXFVXGWVQVVFWMZVVG
      WVQUIVVEWVQKZBULQAOQWVSWVTABOULVXJVUSTKZVVATKZVXMLWVTVXNVUSYRVXNWWBVXMUMT
      KZVXNWWBUMMKWWCUYKUMUYLXGUMVUTUYMXCVXPWPWWAWWBVXMWVTWWAWWBVXMWQVVBTKVVDTK
      ZWVTVUSVVAYSWWAVVCTKZWWBVXMWWDWWAUPTKZWWEUPOKWWFUYNUPYRXGVUSUPUYOYOVVCVVA
      YSWSVVBVVDTTWTVRXAXBXDABOULVVEWVQVVFVXRXEWGVXGWVQVVFXFXGXHXHVVJWVQYHUYPUY
      QWVQMMWKZMTMVARZWWHWVQWWGVARYTYTTMTMUYSXKUYTVUAVVJWVQMVUBXKVUCVVJMVUDYPVU
      EMVVJDVUFVUG $.

    $d a b c f g m n p s t u v w x y z M $.
    $( Lemma for ~ ismblfin , effectively one direction of the same fact for
       open sets, made necessary by Viaclovsky's slightly different definition
       of outer measure.  Note that unlike the main theorem, this holds for
       sets of infinite measure.  (Contributed by Brendan Leahy, 21-Feb-2018.)
       (Revised by Brendan Leahy, 13-Jul-2018.) $)
    mblfinlem2 $p |- ( ( A e. ( topGen ` ran (,) ) /\ M e. RR /\
      M < ( vol* ` A ) ) -> E. s e. ( Clsd ` ( topGen ` ran (,) ) )
        ( s C_ A /\ M < ( vol* ` s ) ) ) $=
      ( vz vm cfv wcel cr wbr wss wa c0 wceq adantl cn cicc co c1 caddc cc0 crn
      va vc vb vx vy vf vn vu vv vp vt cioo covol clt w3a cv ax-mp fveq2 breq2d
      wrex sylancr wne weq wi cz cn0 cexp cdiv cop wral cfz ciun cabs cmin ccom
      c2 cseq cxr cuni cima syl oveq2d sseq1d imbi12d ralbidv a1i adantr eqtr4d
      eqeq1 eqtrd fveq2d wf cle cxp cin frn sstri sylancl wdisj ffvelrn syl2anc
      wo sselid sylan elrab simprbi eqeq2 syl2anr syl2an eqeq1d eqid wb cc subf
      sylibr fco mp2an nnuz mpbid wfn cuz cun cif ffvelrnda opelxpi df-ov eqtri
      1z 0re orbi2d eqidd elfznn sylan2 adantlr cvv adantlll ltletrd ralrimiva
      wn ctg ccld ctop retop 0cld simpl3 breqtrd 0ss jctil sseq1 anbi12d rspcev
      cmpo crab wf1o wex mblfinlem1 3ad2antl1 csup wfo f1ofo rnco2 forn imaeq2d
      syl5eq unieqd oveq1d opeq12d cbvmpov cbvrabv ssrab2 dyadmbllem opnmbllem0
      oveq1 oveq2 3ad2ant1 f1of dyadf fss adantrr adantrl dyaddisj df-3or sylib
      elrabi sseq2d rspcva eqcom syl6ib jaod anandis f1of1 f1veqaeq syld orim1d
      w3o wf1 ralrimivva 2fveq3 ineq1d orbi12d cbvralvw ineq2d ralbii uniiccvol
      mpd disjor 3bitr4ri eqtr3d absf zre 2re reexpcl mpan 2cn expne0i mp3an12i
      2ne0 nn0z jca redivcl peano2re syl3an1 opelxpd 3expb rgen2 fmpo ax-resscn
      mpbi xpss12 mpan2 serfre ressxr sstrdi 4syl rexr 3ad2ant2 supxrlub fneq2i
      seqfn mpbir breq2 rexrn cmpt 0le0 df-br elin mpbir2an fmpttd iooid eqtr3i
      ifcl ineq1i 0in olci ineq1 ifboth ineq2i in0 disjeq2 eleq1w ifbieq1d fvex
      ineq2 opex ifex fvmpt fvif eqtrdi bitri rexpssxrxp 0xr cpw feqmptd fmptco
      mprg iccf cfzo peano2nn eleqtrdi fzouzsplit fzval3 uneq1d iuneq12d dfiun3
      rneqd iunxun 3eqtr3g iftrue iuneq2i uznfz nncn ax-1cn pncan eleq2d notbid
      nnz iffalsed iuneq2dv uneq12d sylan9eq xrltso elnnuz biimpi readdcl seqcl
      wor rexrd sylan9eqr fvmptd fnmpti fvco2 ffn 3eqtr4d seqfveq ffnd fnfvelrn
      0cn eqeltrrd frnd sselda recn addass syl3an nnltp1le biimpa nnzd ad3antlr
      eluz mpbird simplll seqsplit ad2antrr elfzelz 0red nnred ad3antrrr nngt0d
      csn zred elfzle1 elnnz sylanbrc nnre ltp1d breq1 equcoms sylan9bb elfzle2
      ltnled nsyl ad4ant14 fvco3 0m0e0 fveq2i abs0 elfzuz c0ex fvconst2 oveq12d
      ser0 recnd addid1d ad5ant15 leidd ad2antlr simpr simplr letrd elfz mp3an2
      eqbrtrd mpbir2and ad5ant2345 eqeltrd biimpar absge0d syldan sermono ralrn
      breqtrrd ltlecasei r19.21bi lensymd supmax 3eqtr3rd 1st2nd2 eqtr4di xp1st
      c1st c2nd xp2nd iccssre eqsstrd iunss uzid iunconst iccid eqsstrdi ovolsn
      ne0i snssi ovolunnul biimpd reximdva cfn fzfi icccld uniretop iuncld 3syl
      syl3anc simprr syl12anc adantll rexlimddv exlimddv pm2.61dane ) AUMUAUUAF
      ZGZBHGZBAUNFZUOIZUPZCUQZAJZBWYEUNFZUOIZKZCWXSUUBFZVAZALWYDALMZKZLWYJGZLAJ
      ZBLUNFZUOIZKZWYKWXSUUCGZWYNUUDWXSUUEURWYMWYQWYOWYMBWYBWYPUOWXTWYAWYCWYLUU
      FWYLWYBWYPMWYDALUNUSNUUGAUUHUUIWYIWYRCLWYJWYELMZWYFWYOWYHWYQWYELAUUJWYTWY
      GWYPBUOWYELUNUSUTUUKUULVBWYDALVCZKOUBUQZPFZUCUQZPFZJZUBUCVDZVEZUCUDUQZPFZ
      AJZUDUEUFVFVGUEUQZVQUFUQZVHQZVIQZXULRSQZXUNVIQZVJZUUMZUAZUUNZVKZUBXVAUUNZ
      UGUQZUUOZWYKUGWXTWYAXUAXVEUGUUPWYCUEUFAUGUBUDUCUUQUURWYDXVEWYKXUAWYDXVEKZ
      BDRUHUQZVLQZDUQZXVDFZPFZVMZUNFZUOIZWYKUHOXVFBXVGSVNVOVPZXVDVPZRVRZFZUOIZU
      HOVAZXVNUHOVAZXVFBXVIUOIZDXVQUAZVAZXVTXVFBXWCVSUOUUSZUOIZXWDXVFBWYBXWEUOW
      XTWYAWYCXVEUUFXVFPXVDVPUAZVTZUNFZWYBXWEXVFXWHAUNXVFXWHPXVAWAVTZAXVFXWHPXV
      CWAZVTZXWJXVEXWHXWLMZWYDXVEOXVCXVDUUTZXWMOXVCXVDUVAXWNXWGXWKXWNXWGPXVDUAZ
      WAXWKPXVDUVBXWNXWOXVCPOXVCXVDUVCUVDUVEUVFWBNWYDXWJXWLMXVEWYDUIUJDUCXVAXUS
      XVCUEUFUIUJVFVGXURUIUQZVQUJUQZVHQZVIQZXWPRSQZXWRVIQZVJXWPXUNVIQZXWTXUNVIQ
      ZVJUEUIVDZXUOXXBXUQXXCXULXWPXUNVIUVNXXDXUPXWTXUNVIXULXWPRSUVNUVGUVHUFUJVD
      ZXXBXWSXXCXXAXXEXUNXWRXWPVIXUMXWQVQVHUVOZWCXXEXUNXWRXWTVIXXFWCUVHUVIZXVBX
      VIPFZXUEJZDUCVDZVEZUCXVAVKUBDXVAUBDVDZXUHXXKUCXVAXXLXUFXXIXUGXXJXXLXUCXXH
      XUEXUBXVIPUSWDXUBXVIXUDWJWEWFUVJXVAXUTJWYDXUKUDXUTUVKZWGUVLWHWIWYDXWJAMZX
      VEWXTWYAXXNWYCUEUFUDAUVMUVPWHWKWLXVEXWIXWEMWYDXVEDXVQXVDXVEOXVCXVDWMZXVCW
      NHHWOZWPZJOXXQXVDWMOXVCXVDUVQZXVCXVAXXQXVBUBXVAUVKZXVAXUTXXQXXMVFVGWOZXXQ
      XUSWMXUTXXQJUIUJXUSXXGUVRXXTXXQXUSWQURWRWROXVCXXQXVDUVSWSZXVEEDVDZEUQZXVD
      FZUMFZXVJUMFZWPZLMZXCZDOVKZEOVKZDOXYFWTZXVEXYIEDOOXVEXYCOGZXVIOGZKZKZXYDP
      FZXVKJZXVKXYQJZXCZXYHXCZXYIXYPXYRXYSXYHUWPZYUAXVEXXOXYOYUBXXRXXOXYOKXYDXU
      TGZXVJXUTGZYUBXXOXYMYUCXYNXXOXYMKZXVCXUTXYDXVCXVAXUTXXSXXMWRZOXVCXYCXVDXA
      ZXDUVTXXOXYNYUDXYMXXOXYNKZXVCXUTXVJYUFOXVCXVIXVDXAZXDUWAUIUJXYDXVJXUSXXGU
      WBXBXEXYRXYSXYHUWCUWDXYPXYTXYBXYHXYPXYTXYDXVJMZXYBXVEXXOXYOXYTYUJVEZXXRXX
      OXYMXYNYUKYUEXYDXVCGZXVJXVCGZYUKYUHYUGYUIYULYUMKZXYRYUJXYSYUMXVJXVAGZXYQX
      UEJZXYDXUDMZVEZUCXVAVKZXYRYUJVEZYULXVBUBXVJXVAUWEZYULXYDXVAGZYUSXVBYUSUBX
      YDXVAXUBXYDMZXUHYURUCXVAYVCXUFYUPXUGYUQYVCXUCXYQXUEXUBXYDPUSWDXUBXYDXUDWJ
      WEWFXFXGYURYUTUCXVJXVAXUDXVJMZYUPXYRYUQYUJYVDXUEXVKXYQXUDXVJPUSUWFXUDXVJX
      YDXHWEUWGXIYUNXYSXVJXYDMZYUJYULYVBXVKXUEJZXVJXUDMZVEZUCXVAVKZXYSYVEVEZYUM
      XVBUBXYDXVAUWEYUMYUOYVIXVBYVIUBXVJXVAXUBXVJMZXUHYVHUCXVAYVKXUFYVFXUGYVGYV
      KXUCXVKXUEXUBXVJPUSWDXUBXVJXUDWJWEWFXFXGYVHYVJUCXYDXVAXUDXYDMZYVFXYSYVGYV
      EYVLXUEXYQXVKXUDXYDPUSUWFXUDXYDXVJXHWEUWGXJXVJXYDUWHUWIUWJXJUWKXEXVEOXVCX
      VDUWQXYOYUJXYBVEOXVCXVDUWLOXVCXYCXVIXVDUWMXEUWNUWOUXFZUWREUKVDZXYEUKUQZXV
      DFUMFZWPZLMZXCZUKOVKZEOVKDUKVDZXYFYVPWPZLMZXCZUKOVKZDOVKXYKXYLYVTYWEEDOXY
      BYVSYWDUKOXYBYVNYWAYVRYWCXYCXVIYVOWJXYBYVQYWBLXYBXYEXYFYVPXYCXVIUMXVDUWSZ
      UWTXKUXAWFUXBXYJYVTEOXYIYVSDUKOYWAXYBYVNXYHYVRXVIYVOXYCXHYWAXYGYVQLYWAXYF
      YVPXYEXVIYVOUMXVDUWSZUXCXKUXAUXBUXDOXYFYVPDUKYWGUXGUXHXPXVQXLUXENUXIUUGXV
      EXWCVSJZBVSGZXWFXWDXMWYDXVEXXOOHXVPWMZOHXVQWMZYWHXXRXXOXNXNWOZHXVOWMZOYWL
      XVDWMZYWJXNHVNWMYWLXNVOWMZYWMUXJXOYWLXNHVNVOXQXRZXXOXVCYWLJYWNXVCXXPYWLXV
      CXVAXXPXXSXVAXUTXXPXXMXXTXXPXUSWMZXUTXXPJXURXXPGZUFVGVKUEVFVKYWQYWRUEUFVF
      VGXULVFGXULHGZXUNHGZXUNTVCZKYWRXUMVGGZXULUXKYXBYWTYXAVQHGYXBYWTUXLVQXUMUX
      MUXNVQXNGVQTVCYXBXUMVFGYXAUXOUXRXUMUXSVQXUMUXPUXQUXTYWSYWTYXAYWRYWSYWTYXA
      UPXUOXUQHHXULXUNUYAYWSXUPHGYWTYXAXUQHGXULUYBXUPXUNUYAUYCUYDUYEXJUYFUEUFVF
      VGXURXXPXUSXUSXLUYGUYIXXTXXPXUSWQURWRWRZHXNJZYXDXXPYWLJUYHUYHHXNHXNUYJXRW
      RZOXVCYWLXVDUVSUYKZOYWLHXVOXVDXQVBZYWJUHXVPROXSRVFGZYWJYIWGOHXVGXVPXAUYLY
      WKXWCHVSOHXVQWQUYMUYNUYOWYAWXTYWIWYCBUYPUYQDXWCBUYRXIXTXVQOYAZXWDXVTXMYXI
      XVQRYBFZYAZYXHYXKYISXVPRUYTUROYXJXVQXSUYSVUAXWBXVSDUHOXVQXVIXVRBUOVUBVUCU
      RUWDXVEXVTXWAVEWYDXVEXVSXVNUHOXVEXVGOGZKZXVSXVNYXMXVRXVMBUOYXMXVRXVLDXVGR
      SQZYBFZTTVJZPFZVMZYCZUNFZXVMYXMPDOXVIXVHGZXVJYXPYDZVUDZVPZUAZVTZUNFZSXVOY
      YCVPZRVRZUAZVSUOUUSZYXTXVRXVEYYGYYKMYXLXVEEYYIYYCXVEDOYYBXXQXVEXYNKXVJXXQ
      GYXPXXQGZYYBXXQGXVEOXXQXVIXVDXYAYEYYLYXPWNGZYXPXXPGZTTWNIYYMVUETTWNVUFUYI
      THGZYYOYYNYJYJTTHHYFXRYXPWNXXPVUGVUHYYAXVJYXPXXQVULWSVUIXVEXYBXYCXVHGZXYE
      YXPUMFZYDZYYAXYFYYQYDZWPZLMZXCZDOVKEOVKZEOXYCYYCFZUMFZWTZXVEUUUBEDOOXYPXY
      BYYRXYFWPZLMZXCZXYBYYRYYQWPZLMZXCZUUUBXYPXYIXYBYYQXYFWPZLMZXCZUUUIYVMUUUN
      XYBUUUMLXYFWPLYYQLXYFTTUMQYYQLTTUMYGTVUJVUKZVUMXYFVUNYHVUOYYPXYIUUUOUUUIX
      YEYYQXYEYYRMZXYHUUUHXYBUUUQXYGUUUGLXYEYYRXYFVUPXKYKYYQYYRMZUUUNUUUHXYBUUU
      RUUUMUUUGLYYQYYRXYFVUPXKYKVUQWSUUUKXYBUUUJYYRLWPLYYQLYYRUUUPVURYYRVUSYHVU
      OYYAUUUIUUULUUUBXYFYYQXYFYYSMZUUUHUUUAXYBUUUSUUUGYYTLXYFYYSYYRVVDXKYKYYQY
      YSMZUUUKUUUAXYBUUUTUUUJYYTLYYQYYSYYRVVDXKYKVUQWSUWRUUUFEOYYRWTZUUUCUUUEYY
      RMUUUFUUVAXMEOEOUUUEYYRVUTXYMUUUEYYPXYDYXPYDZUMFYYRXYMUUUDUUVBUMDXYCYYBUU
      VBOYYCDEVDZYYAYYPXVJXYDYXPDEXVHVVAXVIXYCXVDUSZVVBZYYCXLZYYPXYDYXPXYCXVDVV
      CZTTVVEZVVFVVGWLYYPXYDYXPUMVVHVVIVVPOYYRYYSEDXYBYYPYYAXYEXYFYYQEDXVHVVAYW
      FVVBUXGVVJXPYYIXLUXEWHYXMYYFYXSUNXVEYXLYYFDOYYBPFZVUDZUAZVTZYXSXVEYYEUUVK
      XVEYYDUUVJXVEXXOYYDUUVJMXXRXXODEOVSVSWOZYYBXYCPFUUVIYYCPYUHXVJUUVMGYXPUUV
      MGZYYBUUVMGYUHXVCUUVMXVJXVCXXPUUVMYXCVVKWRYUIXDTVSGZUUVOUUVNVVLVVLTTVSVSY
      FXRYYAXVJYXPUUVMVULWSXXOYYCYLXXOEUUVMVSVVMZPUUVMUUVPPWMXXOVVQWGVVNXYCYYBP
      USVVOWBVWFUVFYXLUUVLDXVHYYAXVKYXQYDZVMZDYXOUUVQVMZYCZYXSYXLDOUUVIVMDXVHYX
      OYCZUUVQVMUUVLUUVTYXLDOUUWAUUVIUUVQYXLORYXNVVRQZYXOYCZUUWAYXLOYXJUUWCXSYX
      LYXNYXJGYXJUUWCMYXLYXNOYXJXVGVVSZXSVVTRYXNVWAWBUVEYXLXVHUUWBYXOYXLXVGVFGZ
      XVHUUWBMXVGVWQZRXVGVWBWBVWCWIUUVIUUVQMYXLYYAXVJYXPPVVHWGVWDDOUUVIYYBPVVCV
      WEDXVHYXOUUVQVWGVWHYXLUUVRXVLUUVSYXRUUVRXVLMYXLDXVHUUVQXVKYYAXVKYXQVWIVWJ
      WGYXLDYXOUUVQYXQYXLXVIYXOGZKZYYAXVKYXQUUWHXVIRYXNRVOQZVLQZGZYTZYYAYTZUUWG
      UUWLYXLXVIRYXNVWKNYXLUUWLUUWMXMUUWGYXLUUWKYYAYXLUUWJXVHXVIYXLUUWIXVGRVLYX
      LXVGXNGRXNGUUWIXVGMXVGVWLVWMXVGRVWNWSWCVWOVWPWHXTVWRVWSVWTWKVXAWLXVEXXOYX
      LYYKXVRMXXRXXOYXLKZEVSYYJXVRUOVSUOVXGUUWNVXBWGUUWNXVRUUWNUIUJSHXVPRXVGYXL
      XVGYXJGZXXOYXLUUWOXVGVXCVXDZNZXXOXWPXVHGZXWPXVPFHGZYXLUUWRXXOXWPOGUUWSXWP
      XVGYMXXOOHXWPXVPYXGYEYNYOXWPHGZXWQHGZKXWPXWQSQZHGUUWNXWPXWQVXENVXFZVXHUUW
      NXVGYYIFZXVRYYJUUWNSEYYHXVPRXVGUUWQXXOYYPXYCYYHFZXYCXVPFZMYXLXXOYYPKZUUUD
      XVOFZXYDXVOFZUUXEUUXFUUXGUUUDXYDXVOYYPUUUDXYDMXXOYYPDXYCYYBXYDOYYCYPYYPYY
      CYLUUVCYYPYYBUUVBXYDUUVEYYPXYDYXPVWIVXIXYCXVGYMZXYDYPGZYYPUUVGWGVXJNWLYYP
      UUXEUUXHMZXXOYYPYYCOYAZXYMUUXLDOYYBYYCYYAXVJYXPXVIXVDVVCUUVHVVFUUVFVXKZUU
      XJOXVOYYCXYCVXLZVBNXXOXVDOYAXYMUUXFUUXIMZYYPOXVCXVDVXMUUXJOXVOXVDXYCVXLXJ
      VXNYOVXOZXXOYYIOYAZYXLUUXDYYJGXXOOHYYIXXOEYYHROXSYXHXXOYIWGXXOOHXYCYYHXXO
      YWMOYWLYYCWMOHYYHWMYWPXXODOYYBYWLYUHXVJYWLGYXPYWLGZYYBYWLGYUHXVCYWLXVJYXE
      YUIXDTXNGZUUXTUUXSVXRVXRTTXNXNYFXRZYYAXVJYXPYWLVULWSVUIOYWLHXVOYYCXQVBYEZ
      UYLZVXPZOXVGYYIVXQXEVXSUUWNXYCYYJGZKXYCXVRUUWNYYJHXYCXXOYYJHJYXLXXOOHYYIU
      UYCVXTWHVYAUUWNXVRHGZUUYEUUXCWHUUWNXYCXVRWNIZEYYJUUWNUUYGEYYJVKZULUQZYYIF
      ZXVRWNIZULOVKZUUWNUUYKULOUUWNUUYIOGZKZUUYKXVGUUYIUUYNXVGUUYIUOIZKZUUYJXVR
      XVRWNUUYPUUYJUUXDUUYISYYHYXNVRFZSQZXVRUUYPEUIUJSHYYHRXVGUUYIXYCHGZUUWTKXY
      CXWPSQZHGUUYPXYCXWPVXENZUUYSUUWTUUXAUPUUYTXWQSQXYCUUXBSQMZUUYPUUYSXYCXNGU
      UWTXWPXNGUUXAXWQXNGUVUBXYCVYBXWPVYBXWQVYBXYCXWPXWQVYCVYDNYXLUUYMUUYOUUYIY
      XOGZXXOYXLUUYMKZUUYOKZUVUCYXNUUYIWNIZUVUDUUYOUVUFXVGUUYIVYEVYFUVUDUVUCUVU
      FXMZUUYOYXLYXNVFGZUUYIVFGZUVUGUUYMYXLYXNUUWDVYGZUUYIVWQZYXNUUYIVYIXJWHVYJ
      ZYQYXLUUWOXXOUUYMUUYOUUWPVYHZUUYPXXOXYMUUXEHGXYCRUUYIVLQGZXXOYXLUUYMUUYOV
      YKXYCUUYIYMZUUYBXJVYLUUYPUUYRXVRTSQXVRUUYPUUXDXVRUUYQTSUUWNUUXDXVRMUUYMUU
      YOUUXQVYMYXLUUYMUUYOUUYQTMXXOUVUEUUYQUUYISYXOTVYSZWOZYXNVRFZTUVUESEYYHUVU
      QYXNUUYIUVULUVUEXYCYXNUUYIVLQGZKZUUXETXYCUVUQFZUVUTUUXEYXPXVOFZTUVUTUUXEU
      UXHUVVBUVUTUUXMXYMUUXLUUXNUVUTXYCVFGZTXYCUOIZXYMUVUSUVVCUVUEXYCYXNUUYIVYN
      ZNUVUTTYXNXYCUVUTVYOYXLYXNHGZUUYMUUYOUVUSYXLYXNUUWDVYPZVYQUVUSUUYSUVUEUVU
      SXYCUVVEVYTZNYXLTYXNUOIZUUYMUUYOUVUSYXLYXNUUWDVYRZVYQUVUSYXNXYCWNIZUVUEXY
      CYXNUUYIWUAZNYRXYCWUBZWUCUUXOVBUVUTUUUDYXPXVOYXLUVUSUUUDYXPMUUYMUUYOYXLUV
      USKZDXYCYYBYXPOYYCYPUVVNYYCYLUVVNUUVCKZYYAXVJYXPUVVOXVIXVGWNIZYYAUVVOXVGX
      YCUOIZUVVPYTZUVVNUVVQUUVCUVVNXVGYXNXYCYXLXVGHGZUVUSXVGWUDZWHZYXLUVVFUVUSU
      VVGWHZUVUSUUYSYXLUVVHNZYXLXVGYXNUOIUVUSYXLXVGUVVTWUEWHUVUSUVVKYXLUVVLNZYR
      WHUVVNUVVQXYCXVGWNIZYTUUVCUVVRUVVNXVGXYCUVWAUVWCWUJUUVCUVWEUVVPUVWEUVVPXM
      EDXYCXVIXVGWNWUFWUGVWPWUHXTXVIRXVGWUIWUKVWRUVVNUVVCUVVDXYMUVUSUVVCYXLUVVE
      NUVVNTYXNXYCUVVNVYOUVWBUVWCYXLUVVIUVUSUVVJWHUVWDYRUVVMWUCYXPYPGUVVNUUVHWG
      VXJWULWLWKUVVBYXPVOFZVNFZTYWOUUXSUVVBUVWGMXOUUYAYWLXNYXPVNVOWUMXRUVWGTVNF
      TUVWFTVNTTVOQUVWFTTTVOYGWUNVUKWUOWUPYHYHVVIUVUSUVVATMZUVUEUVUSXYCYXOGUVWH
      XYCYXNUUYIWUQYXOTXYCWURWUSWBNWIVXOUVUEUVUCUVURTMUVULYXNUUYIYXOYXOXLWVAWBW
      KYQWUTUUYPXVRUUYPXVRUUWNUUYFUUYMUUYOUUWNEUJSHXVPRXVGUUWQXXOYYPUUXFHGZYXLY
      YPXXOXYMUVWIUUXJXXOOHXYCXVPYXGYEZYNYOUUYSUUXAKXYCXWQSQHGUUWNXYCXWQVXENVXF
      VYMWVBWVCWKWKUUYPXVRUUYPEUISHXVPRXVGUVUMYYPUUYPXYMUVWIUUXJXXOXYMUVWIYXLUU
      YMUUYOUVWJWVDYNUVUAVXFWVEWVLUUYNUUYIXVGWNIZKZUUYJUUYIXVQFXVRWNUVWLSEYYHXV
      PRUUYIUUYMUUYIYXJGZUUWNUVWKUUYMUVWMUUYIVXCVXDWVFZUVWLUVUNKZUUXHUUXIUUXEUU
      XFUVWOUUUDXYDXVOUVWODXYCYYBXYDOYYCYPUVWOYYCYLUVWOUUVCKZYYBXVJXYDUVWPYYAYY
      BXVJMUVWPXVIXYCXVHUVWOUUVCWVGUVWOYYPUUVCYXLUUYMUVWKUVUNYYPXXOUVUDUVWKKZUV
      UNKZYYPRXYCWNIZUVWEUVUNUVWSUVWQXYCRUUYIWUANUVWRXYCUUYIXVGUVUNUUYSUVWQUVUN
      XYCUVUOVYPNUUYMUUYIHGZYXLUVWKUVUNUUYIWUDZVYHYXLUVVSUUYMUVWKUVUNUVVTVYQUVU
      NXYCUUYIWNIUVWQXYCRUUYIWUINUVUDUVWKUVUNWVHWVIUVUNUVVCUUWEYYPUVWSUVWEKXMZU
      VWQXYCRUUYIVYNYXLUUWEUUYMUVWKUUWFVYMUVVCYXHUUWEUVXBYIXYCRXVGWVJWVKXIWVMWV
      NWHWVOYYAXVJYXPVWIWBUUVCYVEUVWOUUVDNWKUVUNXYMUVWLUVUONUUXKUVWOUUVGWGVXJWL
      UVUNUUXLUVWLUVUNUUXMXYMUUXLUUXNUVUOUUXOVBNUVWLXXOXYMUUXPUVUNXXOYXLUUYMUVW
      KVYKZUVUOOXVCXYCXVOXVDWUMZXJVXNVXOUVWLEXVPUUYIRXVGUVWNYXLUUYMUVWKXVGUUYIY
      BFGZXXOUVUDUVXEUVWKUUYMUVUIUUWEUVXEUVWKXMYXLUVUKUUWFUUYIXVGVYIXIWVPYQUVWL
      XXOXYMUVWIYYPUVXCUUXJUVWJXJUVWLXYCUUYIRSQZXVGVLQGZXYMTUUXFWNIZUUYMUVWKUVX
      GXYMUUWNUUYMUVXGXYMUVWKUUYMUVXGKZUVVCUVVDXYMUVXGUVVCUUYMXYCUVXFXVGVYNZNUV
      XITUVXFXYCUVXIVYOUUYMUVXFHGUVXGUUYMUVXFUUYIVVSZVYPWHUVXGUUYSUUYMUVXGXYCUV
      XJVYTNUUYMTUVXFUOIUVXGUUYMUVXFUVXKVYRWHUVXGUVXFXYCWNIUUYMXYCUVXFXVGWUANYR
      UVVMWUCYOYQXXOXYMUVXHYXLUUYMUVWKYUETXYDVOFZVNFZUUXFWNYUEUVXLYUEYWOXYDYWLG
      ZUVXLXNGXOXXOOYWLXYCXVDYXFYEZYWLXNXYDVOXAVBWVQYUEUUXFUUXIUVXMUVXDYUEYWOUV
      XNUUXIUVXMMXOUVXOYWLXNXYDVNVOWUMVBWKWWAWVDWVRWVSWVLYXLUVVSXXOUUYMUVVTWVFU
      UYMUVWTUUWNUVXANWWBYSXXOUUYHUUYLXMZYXLXXOUUXRUVXPUUYDUUYGUUYKEULOYYIXYCUU
      YJXVRWNWUFWVTWBWHVYJWWCWWDWWEXEWWFYXMXVLHJZYXRHJZYXRUNFZTMYXTXVMMXVEUVXQY
      XLXVEXVKHJZDXVHVKUVXQXVEUVXTDXVHXVEXXOXYNUVXTYYAXXRXVIXVGYMZYUHXVJXXPGZUV
      XTYUHXVCXXPXVJYXCYUIXDZUVYBXVKXVJWWJFZXVJWWKFZPQZHUVYBXVKUVYDUVYEVJZPFUVY
      FUVYBXVJUVYGPXVJHHWWGWLUVYDUVYEPYGWWHZUVYBUVYDHGZUVYEHGZUVYFHJXVJHHWWIZXV
      JHHWWLZUVYDUVYEWWMXBWWNWBXJYSDXVHXVKHWWOXPWHYXLUVXRXVEYXLYXRUVUPHYXLYXRYX
      QUVUPYXLUVUHYXNYXOGYXOLVCYXRYXQMUVUJYXNWWPYXOYXNWXADYXOYXQWWQUYOTTPQZUVUP
      YXQUUVOUVYMUVUPMVVLTWWRURTTPYGVUKWWHZYYOUVUPHJYJTHWXBURWWSNYXMUVXSUVUPUNF
      ZTYXLUVXSUVYOMXVEYXLYXRUVUPUNUVYNWLNYYOUVYOTMYJTWWTURVVIXVLYXRWXCWXLWKUTW
      XDWXENUXFXVEYXLXVNKZWYKWYDXVEXXOUVYPWYKXXRXXOUVYPKXVLWYJGZXVLAJZXVNWYKXXO
      UVYQUVYPWYSXVHWXFGXXOXVKWYJGZDXVHVKUVYQUUDRXVGWXGXXOUVYSDXVHYYAXXOXYNUVYS
      UVYAYUHUVYBUVYSUVYCUVYBXVKUVYFWYJUVYHUVYBUVYIUVYJUVYFWYJGUVYKUVYLUVYDUVYE
      WXHXBWVOWBYNYSDXVHXVKWXSHWXIWXJUXQWHXXOUVYRUVYPXXOXVKAJZDXVHVKUVYRXXOUVYT
      DXVHYYAXXOXYNUVYTUVYAYUHYUMYUOUVYTYUIYVAYUOYUDUVYTXUKUVYTUDXVJXUTXUIXVJMX
      UJXVKAXUIXVJPUSWDXFXGWXKYNYSDXVHXVKAWWOXPWHXXOYXLXVNWXMWYIUVYRXVNKCXVLWYJ
      WYEXVLMZWYFUVYRWYHXVNWYEXVLAUUJUWUAWYGXVMBUOWYEXVLUNUSUTUUKUULWXNXEWXOWXP
      YOWXQWXR $.

    $( The difference between two sets measurable by the criterion in
       ~ ismblfin is itself measurable by the same.  Corollary 0.3 of
       [Viaclovsky7] p. 3.  (Contributed by Brendan Leahy, 25-Mar-2018.)
       (Revised by Brendan Leahy, 13-Jul-2018.) $)
    mblfinlem3 $p |- ( ( ( A C_ RR /\ ( vol* ` A ) e. RR ) /\
      ( B C_ RR /\ ( vol* ` B ) e. RR ) /\
        ( ( vol* ` A ) = sup ( { y | E. b e. ( Clsd ` ( topGen ` ran (,) ) )
      ( b C_ A /\ y = ( vol ` b ) ) } , RR , < ) /\
        ( vol* ` B ) = sup ( { y | E. b e. ( Clsd ` ( topGen ` ran (,) ) )
      ( b C_ B /\ y = ( vol ` b ) ) } , RR , < ) ) ) -> sup ( { y |
        E. b e. ( Clsd ` ( topGen ` ran (,) ) ) ( b C_ ( A \ B ) /\
      y = ( vol ` b ) ) } , RR , < ) = ( vol* ` ( A \ B ) ) ) $=
      ( vv cr wss covol cfv wcel wa wceq wrex clt wbr cle syl co adantr c0 cvol
      vu vs vw vz vx vf cv cioo crn cab csup w3a cdif a1i difss ovolsscl mp3an1
      wn weq eqeq1 anbi2d rexbidv simprl ssdifss ovolss syl2anr wb cxr uniretop
      cldss ovolcl adantrr sylib opnmbl difmbl eqeltrrd mblvol sylan9eqr breq2d
      sylancr adantl mpbid rexlimdvaa imp adantlr wi c3 crp cc0 ancoms cn ax-mp
      cmin sylancl sylan ltsubrpd simpr breqtrd wne wral cvv reex sseq1 anbi12d
      fveq2 3expb sylan2 eqeltrd wex retop rspcev mp2an resubcld rexab breq2 ex
      syl2anc ad2antlr ccom caddc c1 sstri ad5antr inss1 readdcld jctil mp3an12
      ad2antrr ad3antrrr sseqin2 eqcomd fveq2d mblsplit recnd cc mpbird cmul c2
      cin ctg ccld wor ltso 3ad2ant1 vex elab xrlenlt id cdm dfss4 rembl cldopn
      notbid adantrl bitr4d sylan2b 3ad2antl1 cdiv simplr resubcl posdif biimpd
      impr elrpd 3nn nnrp rpdivcl ssex eleq1d sseq2 anbi1d abbidv sseq1d neeq1d
      raleqdv 3anbi123d imbi12d abssdv ctop 0cld 0ss ovol0 eqtr2i pm3.2i eqeq2d
      0mbl c0ex spcev abn0 biimpri wal eqbrtrd alrimiv ralab sylibr brralrspcev
      mp1i 3jca vtoclg mpcom rpred suprlub ad2antll expr sylbid rexlimiva sylbi
      exlimiv simplrr anim12d reeanv syl6ibr cuni cxp cmap cabs cseq eqid 3expa
      ovolgelb an32s wf elmapi ssid ovollb mpan2 cpnf ovolsf frn icossxr sstrdi
      supxrcl readdcl rexrd rncoss unissi unirnioo sseqtrri xrletr mpand anim2d
      cico 3syl reximdva mpd rexex indif2 df-ss biimpi difeq1d syl5eq ctb bastg
      retopbas uniopn opncld incld simprll simplll eqcoms biantrud bitr3d simpl
      ssdif2d adantlll ad4antlr cun difdif2 fveq2i unssi ovolge0 xrrege0 syl2an
      unss sylanblc ad4antr ovolun syl22anc ssdif incom simprrl eqsstrid unss12
      jca eqtri ad6antr syl21anc eleq1w vtoclga sylan9eq oveq2d adantll simp-6r
      subaddd simpll simp-4l simprlr ltsub23d eqbrtrrd ad5antlr simp-4r npncand
      letrd simplrl sylan9ssr eqtr4d 3eqtrd ad3antlr simprr lesubadd2d leltaddd
      eqtrd simprrr lt2addd df-3 2cn ax-1cn addcomi oveq1i rpcnd adddir mulid2d
      2timesd oveq12d 3cn 3ne0 divcan2 mp3an23 eqtr3d lelttrd eqbrtrid ltsub13d
      subadd2d 3eqtr4rd breqtrrd fvex rexlimdvva syld exp31 com34 3imp1 eqsupd
      exlimddv ) BFGZBHIZFJZKZCFGZCHIZFJZKZWUFDUHZBGZAUHZWUMUAIZLZKZDUIUJZUUAIZ
      UUBIZMZAUKZFNULZLZWUJWUMCGZWUQKZDWVAMZAUKZFNULZLZKZUMZUBEFWUMBCUNZGZWUQKZ
      DWVAMZAUKZWVNHIZNFNUUCWVMUUDUOWUHWULWVSFJZWVLWVNBGZWUEWUGWVTBCUPZWVNBUQUR
      ZUUEWUHWULUBUHZWVRJZWVSWWDNOZUSZWVLWUEWWEWWGWUGWWEWUEWVOWWDWUPLZKZDWVAMZW
      WGWVQWWJAWWDUBUUFAUBUTZWVPWWIDWVAWWKWUQWWHWVOWUOWWDWUPVAVBVCUUGWUEWWJWWGW
      UEWWIWWGDWVAWUEWUMWVAJZWWIKZKZWUMHIZWVSPOZWWGWWMWVOWVNFGZWWPWUEWWLWVOWWHV
      DBFCVEZWUMWVNVFVGWWNWWPWVSWWONOZUSZWWGWUEWWLWWPWWTVHZWWIWWLWWOVIJZWVSVIJZ
      WXAWUEWWLWUMFGZWXBWUMWUTFVJVKZWUMVLQWUEWWQWXCWWRWVNVLQWWOWVSUUHVGVMWWMWWG
      WWTVHZWUEWWLWWHWXFWVOWWLWWHKZWWFWWSWXGWWDWWOWVSNWWHWWLWWDWUPWWOWWHUUIWWLW
      UMUAUUJZJZWUPWWOLWWLFFWUMUNZUNZWUMWXHWWLWXDWXKWUMLWXEWUMFUUKVNWWLFWXHJWXJ
      WXHJZWXKWXHJUULWWLWXJWUTJWXLWUMWUTFVJUUMWXJVOQFWXJVPWAVQZWUMVRQZVSVTUUNUU
      OWBUUPWCWDWEUUQWFUURWUHWULWVLWWDFJZWWDWVSNOZKZWWDEUHZNOZEWVRMZWUHWULWXQWV
      LWXTWUHWULWXQWVLWXTWGWUHWULKZWXQKZWVLUCUHZBGZWUFWVSWWDWNRZWHUUSRZWNRZWYCU
      AIZNOZKZUDUHZCGZWUJWYFWNRZWYKUAIZNOZKZKZUDWVAMUCWVAMZWXTWYBWVLWYJUCWVAMZW
      YPUDWVAMZKWYRWYBWVEWYSWVKWYTWUHWXQWVEWYSWGWULWUHWXQKZWVEWYSXUAWVEKZWYGWXR
      NOZEWVCMZWYSXUBWYGWVDNOZXUDXUBWYGWUFWVDNXUAWYGWUFNOWVEXUAWUFWYFWUEWUGWXQU
      UTZWUHWVTWXQWYFWIJZWWCWVTWXQKZWYEWIJWHWIJZXUGXUHWYEWVTWXOWYEFJZWXPWVSWWDU
      VAZVMWVTWXOWXPWJWYENOZWVTWXOKWXPXULWXOWVTWXPXULVHWWDWVSUVBWKUVCUVDUVEWHWL
      JXUIUVFWHUVGWMWYEWHUVHWOWPZWQSXUAWVEWRWSXUAXUEXUDVHZWVEXUAWVCFGZWVCTWTZUE
      UHZUFUHPOZUEWVCXAZUFFMZUMZWYGFJXUNWUHXVAWXQBXBJZWUHXVAWUEXVBWUGBFXCUVISWX
      RFGZWXRHIZFJZKZWUMWXRGZWUQKZDWVAMZAUKZFGZXVJTWTZXURUEXVJXAZUFFMZUMZWGZWUH
      XVAWGEBXBWXRBLZXVFWUHXVOXVAXVQXVCWUEXVEWUGWXRBFXDXVQXVDWUFFWXRBHXFUVJXEXV
      QXVKXUOXVLXUPXVNXUTXVQXVJWVCFXVQXVIWVBAXVQXVHWURDWVAXVQXVGWUNWUQWXRBWUMUV
      KUVLVCUVMZUVNXVQXVJWVCTXVRUVOXVQXVMXUSUFFXVQXURUEXVJWVCXVRUVPVCUVQUVRXVFX
      VKXVLXVNXVFXVIAFXVFXVHWUOFJDWVAXVFWWLXVHKZKWUOWWOFXVSWUOWWOLXVFXVHWWLWUOW
      UPWWOXVGWUQWRWXNVSWBXVSXVFXVGWWOFJZWWLXVGWUQVDXVGXVFXVTXVGXVCXVEXVTWUMWXR
      UQXGWKXHXIWDUVSXVIAXJZXVLXVFXVGWJWUPLZKZDWVAMZXWATWVAJZTWXRGZWJTUAIZLZKZX
      WDWUTUVTJZXWEXKWUTUWAWMXWFXWHWXRUWBXWGTHIZWJTWXHJXWGXWKLUWGTVRWMUWCUWDUWE
      XWCXWIDTWVAWUMTLZXVGXWFXWBXWHWUMTWXRXDXWLWUPXWGWJWUMTUAXFUWFXEXLXMXVIXWDA
      WJUWHWUOWJLZXVHXWCDWVAXWMWUQXWBXVGWUOWJWUPVAVBVCUWIWMXVLXWAXVIAUWJUWKUWRX
      VEXVCXVNXVCXVEXUQXVDPOZUEXVJXAZXVNXVCXVGXUQWUPLZKZDWVAMZXWNWGZUEUWLXWOXVC
      XWSUEXVCXWQXWNDWVAXVCWWLXWQKZKXUQWWOXVDPXWTXUQWWOLXVCXWQWWLXUQWUPWWOXVGXW
      PWRWXNVSWBXWTXVCXVGWWOXVDPOZWWLXVGXWPVDXVGXVCXXAWUMWXRVFWKXHUWMWDUWNXVIXW
      RXWNUEAAUEUTZXVHXWQDWVAXXBWUQXWPXVGWUOXUQWUPVAVBVCUWOUWPUFUEXUQXVDPFXVJUW
      QXHWKUWSZUWTUXASXUAWUFWYFXUFXUAWYFXUMUXBZXNUFUEEWVCWYGUXCXRSWCXUDWUNWXRWU
      PLZKZDWVAMZXUCKZEXJWYSWVBXXGXUCEAAEUTZWURXXFDWVAXXIWUQXXEWUNWUOWXRWUPVAZV
      BVCXOXXHWYSEXXGXUCWYSXXFXUCWYSWGDWVAWWLXXFKXUCWYGWUPNOZWYSXXEXUCXXKVHWWLW
      UNWXRWUPWYGNXPUXDWWLWUNXXKWYSWGXXEWWLWUNXXKWYSWYJWUNXXKKUCWUMWVAUCDUTZWYD
      WUNWYIXXKWYCWUMBXDXXLWYHWUPWYGNWYCWUMUAXFVTXEXLUXEVMUXFUXGWEUXIUXHQXQWFWY
      BWVKWYTWYBWVKKZWYMWXRNOZEWVIMZWYTXXMWYMWVJNOZXXOXXMWYMWUJWVJNWYBWYMWUJNOW
      VKWYBWUJWYFWUHWUIWUKWXQUXJZWUHWXQXUGWULXUMWFWQSWYBWVKWRWSWYBXXPXXOVHZWVKW
      YBWVIFGZWVITWTZXURUEWVIXAZUFFMZUMZWYMFJXXRWULXYCWUHWXQCXBJZWULXYCWUIXYDWU
      KCFXCUVISXVPWULXYCWGECXBWXRCLZXVFWULXVOXYCXYEXVCWUIXVEWUKWXRCFXDXYEXVDWUJ
      FWXRCHXFUVJXEXYEXVKXXSXVLXXTXVNXYBXYEXVJWVIFXYEXVIWVHAXYEXVHWVGDWVAXYEXVG
      WVFWUQWXRCWUMUVKUVLVCUVMZUVNXYEXVJWVITXYFUVOXYEXVMXYAUFFXYEXURUEXVJWVIXYF
      UVPVCUVQUVRXXCUWTUXAXSWYBWUJWYFXXQWUHWXQWYFFJZWULXXDWFZXNUFUEEWVIWYMUXCXR
      SWCXXOWVFXXEKZDWVAMZXXNKZEXJWYTWVHXYJXXNEAXXIWVGXYIDWVAXXIWUQXXEWVFXXJVBV
      CXOXYKWYTEXYJXXNWYTXYIXXNWYTWGDWVAWWLXYIKXXNWYMWUPNOZWYTXXEXXNXYLVHWWLWVF
      WXRWUPWYMNXPUXDWWLWVFXYLWYTWGXXEWWLWVFXYLWYTWYPWVFXYLKUDWUMWVAUDDUTZWYLWV
      FWYOXYLWYKWUMCXDXYMWYNWUPWYMNWYKWUMUAXFVTXEXLUXEVMUXFUXGWEUXIUXHQXQUXKWYJ
      WYPUCUDWVAWVAUXLUXMWYBCUIUGUHZXTUJZUXNZGZXYPHIZWUJWYFYARZPOZKZWYRWXTWGUGW
      YBYUAUGPFFUXOYTZWLUXPRZMZYUAUGXJWYBXYQYAUXQWNXTXYNXTZYBUXRZUJZVINULZXYSPO
      ZKZUGYUCMZYUDWUHWXQWULYUKWULXUAYUKXUAWULXUGYUKXUMWUIWUKXUGYUKCWYFYUFUGYUF
      UXSZUYAUXTXHWKUYBWYBYUJYUAUGYUCWYBXYNYUCJZKYUIXYTXYQYUMWYBWLYUBXYNUYCZYUI
      XYTWGXYNYUBWLUYDWYBYUNKXYRYUHPOZYUIXYTYUNYUOWYBYUNXYPXYPGYUOXYPUYEXYPYUFX
      YNYULUYFUYGWBYUNYUHVIJZXYSVIJZYUOYUIKXYTWGZWYBYUNWLWJUYHVUCRZYUFUYCZYUGVI
      GYUPYUFXYNYUEYUEUXSYULUYIYUTYUGYUSVIWLYUSYUFUYJWJUYHUYKUYLYUGUYMVUDWUHWXQ
      WULYUQXUAWULKXYSWULWUKXYGXYSFJZXUAWUIWUKWRZXXDWUJWYFUYNVGUYOUYBXYRVIJZYUP
      YUQYURXYPFGZYVCXYPWUSUXNFXYOWUSUIXYNUYPZUYQUYRUYSZXYPVLWMZXYRYUHXYSUYTURV
      GVUAXHVUBVUEVUFYUAUGYUCVUGQWYBYUAKZWYQWXTUCUDWVAWVAYVHWYCWVAJZWYKWVAJZKZK
      ZWYQWXTYVLWYQKZWVOXXEKZDWVAMZWXSKZEXJZWXTYVMWVOWYCXYPUNZUAIZWUPLZKZDWVAMZ
      WWDYVSNOZYVQYUAYVKWYQYWBWYBYUAYVKKZWYQKZYVRWVAJZYVRWVNGZYWBYVKYWFYUAWYQYV
      IYWFYVJYVIWYCFXYPUNZYTZYVRWVAYVIWYCFGZYWIYVRLWYCWUTFVJVKYWJYWIWYCFYTZXYPU
      NYVRWYCFXYPVUHYWJYWKWYCXYPYWJYWKWYCLWYCFVUIVUJVUKVULQYVIYWHWVAJZYWIWVAJXW
      JXYPWUTJZYWLXKXWJXYOWUTGYWMXKXYOWUSWUTYVEWUSVUMJWUSWUTGVUOWUSVUMVUNWMYCXY
      OWUTVUPXMZXYPWUTFVJVUQXMWYCYWHWUTVURUYGVQSXSYWEWYCBCXYPYWDWYDWYIWYPVUSXYQ
      XYTYVKWYQVUTVVEZYWAYWGDYVRWVAWUMYVRLZWVOYWAYWGYWPYVTWVOYVTYVRWUMYVRWUMUAX
      FVVAVVBWUMYVRWVNXDVVCXLXRVVFYVMWWDWVSWVNYVRUNZHIZWNRZYVSNYVMYWRWVSWWDWUHY
      WRFJZWULWXQYUAYVKWYQYWQBGWUEWUGYWTYWQWVNBWVNYVRUPWWBYCYWQBUQURYDZWUHWVTWU
      LWXQYUAYVKWYQWWCYDZWXQWXOWYAYUAYVKWYQWXOWXPVVDVVGYVMYWRWVNWYCUNZWVNXYPYTZ
      VVHZHIZWYENYWQYXEHWVNWYCXYPVVIVVJYVMYXFBWYCUNZHIZXYPWYKUNZHIZYARZWYEWUHYX
      FFJZWULWXQYUAYVKWYQYXEBGWUEWUGYXLYXCYXDBYXCWVNBWVNWYCUPWWBYCYXDWVNBWVNXYP
      YEWWBYCVVKYXEBUQURYDZYVMYXHYXJWUHYXHFJZWULWXQYUAYVKWYQYXGBGWUEWUGYXNBWYCU
      PYXGBUQURZYDZYVHYXJFJZYVKWYQYVHXYRFJZYXQWYBYVCYVAKWJXYRPOZXYTKYXRYUAWYBYV
      AYVCWYBWUJWYFXXQXYHYFYVGYGYUAXYTYXSXYQXYTWRYVDYXSYVFXYPVVLWMYGXYRXYSVVMVV
      NZYXIXYPGYVDYXRYXQXYPWYKUPZYVFYXIXYPUQYHQZYIZYFZWYBXUJYUAYVKWYQWUHWXQXUJW
      ULWUHWXOXUJWXPWUHWVTWXOXUJWWCXUKWPVMZWFYJYVMYXFYXGYXIVVHZHIZYXKYXMYVHYYGF
      JZYVKWYQYVHYYGVIJZYXKFJWJYYGPOZYYGYXKPOZYYHWUEYYIWUGWULWXQYUAWUEYYFFGZYYI
      WUEYXGFGZYXIFGZYYLBFWYCVEZYXIXYPFYYAYVFYCZYXGYXIFVVOVVPZYYFVLQVVQYVHYXHYX
      JWUHYXNWULWXQYUAYXOYJYYBYFWUEYYJWUGWULWXQYUAWUEYYLYYJYYQYYFVVLQVVQYVHYYMY
      XNKZYYNYXQKZYYKWUHYYRWULWXQYUAWUHYYMYXNWUEYYMWUGYYOSYXOVWEYJYVHYXQYYNYYBY
      YPYGYXGYXIVVRZXRYYGYXKVVMVVSYIYYDYVMYXEYYFGZYYLYXFYYGPOYVMYXCYXGGZYXDYXIG
      UUUAWWAUUUBWWBWVNBWYCVVTWMYVMYXDXYPBYTZCUNZYXIYXDXYPWVNYTUUUDWVNXYPVWAXYP
      BCVUHVWFYVMUUUCXYPWYKCUUUCXYPGYVMXYPBYEUOYVLWYJWYLWYOVWBVVEVWCYXCYXGYXDYX
      IVWDWAWUEYYLWUGWULWXQYUAYVKWYQYYQVWGYXEYYFVFXRYVMYYMYXNYYSYYKWUEYYMWUGWUL
      WXQYUAYVKWYQYYOVWGYXPYVMYXQYYNYYCYYPYGYYTVWHVXDYVMYXKWYFWYFWYFYARZYARZWYE
      NYVMYXHYXJWYFUUUEYXPYYCWYBXYGYUAYVKWYQXYHYJZWYBUUUEFJYUAYVKWYQWYBWYFWYFXY
      HXYHYFYJYVMWUFWYHWNRZYXHWYFNYVMUUUHWUFBWYCYTZHIZWNRZYXHYVKWYQUUUHUUUKLYVH
      YVKWYQKWYHUUUJWUFWNYVKWYQWYHWYCHIZUUUJYVIWYHUUULLZYVJYVIWYCWXHJZUUUMWXIUU
      UNDWYCWVADUCWXHVWIWXMVWJZWYCVRQSZWYDUUULUUUJLWYIWYPWYDWYCUUUIHWYDUUUIWYCW
      YDUUUIWYCLWYCBYKVUJYLYMYIVWKVWLVWMYVMUUUKYXHLUUUJYXHYARZWUFLZYVLUUURWYQYV
      KUUUNWUHUUURYVHYVIUUUNYVJUUUOSWUHWULWXQYUAVUTUUUNWUEWUGUUURUUUNWUEWUGUMWU
      FUUUQWYCBYNYLXGVGSYVMWUFUUUJYXHYVMWUFWUEWUGWULWXQYUAYVKWYQVWNZYOWUHUUUJYP
      JWULWXQYUAYVKWYQWUHUUUJUUUIBGWUEWUGUUUJFJBWYCYEUUUIBUQURYOYDWUHYXHYPJWULW
      XQYUAYVKWYQWUHYXHYXOYOYDVWOYQVXMYVMWUFWYFWYHUUUSUUUGYVMWYHUUULFYVKUUUMYVH
      WYQUUUPXSWYQWYDWUHUUULFJZYVLWYDWYIWYPVWPWUHWULWXQYUAYVKVWQWYDWUEWUGUUUTWY
      CBUQXGVGXIYVLWYDWYIWYPVWRVWSVWTYVMXYRWUJWNRZWUJWYNWNRZYARZYXJUUUENYVMUUVC
      XYRWYNWNRXYRXYPWYKYTZHIZWNRZYXJYVMXYRWUJWYNYVHXYRYPJYVKWYQYVHXYRYXTYOZYIY
      VMWUJWULWUKWUHWXQYUAYVKWYQYVBVXAZYOYVMWYNYVMWYNWYKHIZFYVKWYNUUVILZYVHWYQY
      VJUUVJYVIYVJWYKWXHJZUUVJWXIUUVKDWYKWVADUDWXHVWIWXMVWJZWYKVRQWBXSZWYQWYLWU
      LUUVIFJZYVLWYJWYLWYOVDZWUHWULWXQYUAYVKVXBWYLWUIWUKUUVNWYKCUQXGVGXIZYOVXCY
      VMWYNUUVEXYRWNYVMWYNUUVIUUVEUUVMYVMUUVDWYKHYVMWYKXYPGUUVDWYKLWYQYVLWYKCXY
      PUUVOWYBXYQXYTYVKVXEVXFWYKXYPYKVNYMVXGVWLYVMUUVFYXJLZUUVEYXJYARZXYRLZYVLU
      UVSWYQYVKUUVKYVDYXRKUUVSYVHYVJUUVKYVIUUVLWBYVHYXRYVDYXTYVFYGUUVKYVDYXRUUV
      SUUVKYVDYXRUMXYRUUVRWYKXYPYNYLXGVGSYVHUUVQUUVSVHYVKWYQYVHXYRUUVEYXJUUVGYV
      HUUVEYVHYXRUUVEFJZYXTUUVDXYPGYVDYXRUUVTXYPWYKYEYVFUUVDXYPUQYHQYOYVHYXJYYB
      YOVWOYIYQVXHYVMUUVAUUVBWYFWYFYVHUUVAFJYVKWYQYVHXYRWUJYXTWULWUKWUHWXQYUAYV
      BVXIZXNYIYVMWUJWYNUUVHUUVPXNUUUGUUUGYVHUUVAWYFPOZYVKWYQYVHUUWBXYTWYBXYQXY
      TVXJYVHXYRWUJWYFYXTUUWAWYBXYGYUAXYHSVXKYQYIYVMWUJWYFWYNUUVHUUUGUUVPYVLWYJ
      WYLWYOVXNVWSVXLVWTVXOWYBUUUFWYELZYUAYVKWYQWUHWXQUUWCWULXUAWHWYFYRRZUUUFWY
      EXUAUUWDYBYSYARZWYFYRRZUUUFWHUUWEWYFYRWHYSYBYARUUWEVXPYSYBVXQVXRVXSVWFVXT
      XUAUUWFYBWYFYRRZYSWYFYRRZYARZUUUFXUAWYFYPJZUUWFUUWILZXUAWYFXUMVYAZYBYPJYS
      YPJUUWJUUWKVXRVXQYBYSWYFVYBYHQXUAUUWGWYFUUWHUUUEYAXUAWYFUUWLVYCXUAWYFUUWL
      VYDVYEVXMVULXUAWYEYPJZUUWDWYELZXUAWYEYYEYOUUWMWHYPJWHWJWTUUWNVYFVYGWYEWHV
      YHVYIQVYJWFYJWSVYKVYLVYMYVMWVNYVRYTZHIZYVRHIZYWSYVSYVMUUWOYVRHYVMYWGUUWOY
      VRLYUAYVKWYQYWGWYBYWOVVFYVRWVNYKVNYMYVMYWSUUWPLUUWPYWRYARZWVSLZYVMYVRWXHJ
      ZWWQWVTKZUUWSYVKUUWTYVHWYQYVIUUWTYVJYVIUUUNXYPWXHJZUUWTUUUOYWMUUXBYWNXYPV
      OWMZWYCXYPVPZWOSXSWUHUUXAWULWXQYUAYVKWYQWUHWWQWVTWUEWWQWUGWWRSWWCVWEYDUUW
      TUUXAKWVSUUWRUUWTWWQWVTWVSUUWRLYVRWVNYNXGYLXRYVMWVSYWRUUWPYVMWVSYXBYOYVMY
      WRYXAYOYVMUUWPWUHUUWPFJZWULWXQYUAYVKWYQUUWOBGWUEWUGUUXEUUWOWVNBWVNYVRYEWW
      BYCUUWOBUQURYDYOVYNYQYVKYVSUUWQLZYVHWYQYVIUUXFYVJYVIUUUNUUXBUUXFUUUOUUXCU
      UUNUUXBKUUWTUUXFUUXDYVRVRQWOSXSVYOVYPYVPYWBYWCKEYVSYVRUAVYQWXRYVSLZYVOYWB
      WXSYWCUUXGYVNYWADWVAUUXGXXEYVTWVOWXRYVSWUPVAVBVCWXRYVSWWDNXPXEUWIXRWVQYVO
      WXSEAXXIWVPYVNDWVAXXIWUQXXEWVOXXJVBVCXOUWPXQVYRWUDVYSVYTWUAWUBWUC $.

    $( Backward direction of ~ ismblfin .  (Contributed by Brendan Leahy,
       28-Mar-2018.)  (Revised by Brendan Leahy, 13-Jul-2018.) $)
    mblfinlem4 $p |- ( ( ( A C_ RR /\ ( vol* ` A ) e. RR ) /\ A e. dom vol ) ->
      ( vol* ` A ) = sup ( { y | E. b e. ( Clsd ` ( topGen ` ran (,) ) )
        ( b C_ A /\ y = ( vol ` b ) ) } , RR , < ) ) $=
      ( cr wss covol cfv wcel wa wceq wrex clt wbr cle cxr cdif caddc co adantr
      syl vu vv vf vg vs cvol cv cioo crn wn wi weq eqeq1 anbi2d rexbidv simprl
      csup ovolss wb ovolcl adantl syl2anc ancoms sylan2 simprrr uniretop cldss
      sylib opnmbl difmbl eqeltrrd mblvol ad2antrl ad2antrr wex ccom cuni c1 cn
      cin cmin cseq crp eqid ovolgelb wf elmapi ssid ovollb cc0 cpnf ovolsf frn
      mpan2 sstrdi supxrcl rexrd rncoss unissi unirnioo sseqtrri xrletr syl2anr
      ax-mp mp3an1 mpand adantll anim2d reximdva mpd rexex difss sstri ad4antlr
      3syl jctil mp2an mp3an12 ovolge0 xrrege0 adantrr readdcld ad3antlr syl2an
      impr sylan resubcld retop ctb uniopn ovolsscl ad5antr inss1 mp3an2 eqcomd
      mblsplit recnd mpbird sseqin2 fveq2d cdm ctg ccld cab wor ltso a1i simplr
      vex elab xrlenlt mpbid dfss4 rembl cldopn sylancr eqtrd breq2d rexlimdvaa
      sstr mtbird syl5bi imp cxp cmap cabs mp3an3 cico icossxr peano2re c2 cdiv
      1rp mpani resubcl posdif elrpd rphalfcld rehalfcld jctl ltsubrpd retopbas
      biimpd ctop bastg mblfinlem2 indif2 df-ss syl5eq opncld incld simpr simpl
      difeq1d ssdif2d dfin4 inss2 eqsstrri anbi1d eqcoms biantrud bitr4d rspcev
      sseq1 fveq2 an12s adantrrr adantlr simp-6r difdif2 fveq2i unssi ad3antrrr
      cun ssdifss ssinss1 ovolun syl22anc sylancl eleq1w vtoclga subaddd biimpi
      ssdif oveq2d ad2antll eqtr3d breqtrd ltsub23d lelttrd ad4antr ssun2 incom
      3sstr4i pm3.2i mp1i mpan oveq1d eqtr2d lesubadd2d eqbrtrrd letrd ltleaddd
      simprr 2halvesd ad2ant2r eqbrtrid ltsub13d ad2ant2rl eqtr4d simp-4l 3expb
      recn subadd2d breqtrrd fvex breq2 anbi12d spcev rexlimddv exlimddv sylibr
      cc rexab eqsupd ) BDEZBFGZDHZIZBUFUUAZHZIZCUGZBEZAUGZVVMUFGZJZIZCUHUIZUUB
      GZUUCGZKZAUUDZDLUQVVGVVLUAUBDVWCVVGLDLUUEVVLUUFUUGVVFVVHVVKUUHZVVLUAUGZVW
      CHZVVGVWELMZUJZVVFVWFVWHUKVVHVVKVWFVVNVWEVVPJZIZCVWAKZVVFVWHVWBVWKAVWEUAU
      UIAUAULZVVRVWJCVWAVWLVVQVWIVVNVVOVWEVVPUMUNUOUUJVVFVWJVWHCVWAVVFVVMVWAHZV
      WJIZIZVWGVVGVVMFGZLMZVWNVVFVVNVWQUJZVWMVVNVWIUPVVNVVFVWRVVNVVFIZVWPVVGNMZ
      VWRVVMBURVWSVWPOHZVVGOHZVWTVWRUSVWSVVMDEZVXAVVMBDUUTVVMUTTVVFVXBVVNBUTVAV
      WPVVGUUKVBUULVCVDVWOVWEVWPVVGLVWOVWEVVPVWPVVFVWMVVNVWIVEVWMVVPVWPJZVVFVWJ
      VWMVVMVVJHZVXDVWMDDVVMPZPZVVMVVJVWMVXCVXGVVMJVVMVVTDVFVGVVMDUUMVHVWMDVVJH
      VXFVVJHZVXGVVJHUUNVWMVXFVVTHVXHVVMVVTDVFUUOVXFVITDVXFVJUUPVKZVVMVLTVMUUQU
      URUVAUUSUVBVNUVCVVLVWEDHZVWEVVGLMZIZIZVVNUBUGZVVPJZIZCVWAKZVWEVXNLMZIZUBV
      OZVXRUBVWCKVXMBUHUCUGZVPUIZVQZEZVYCFGZVVGVRQRZNMZIZVXTUCVVIVYHUCVOZVVKVXL
      VVIVYHUCNDDUVDVTZVSUVERZKZVYIVVIVYDQUVFWAVPZVYAVPZVRWBZUIZOLUQZVYFNMZIZUC
      VYKKZVYLVVFVVHVRWCHVYTUVMBVRVYOUCVYOWDZWEUVGVVIVYSVYHUCVYKVVIVYAVYKHZIVYR
      VYGVYDWUBVVIVSVYJVYAWFZVYRVYGUKZVYAVYJVSWGVVHWUCWUDVVFVVHWUCIVYEVYQNMZVYR
      VYGWUCWUEVVHWUCVYCVYCEWUEVYCWHVYCVYOVYAWUAWIWNVAWUCVYQOHZVYFOHZWUEVYRIVYG
      UKZVVHWUCVSWJWKUVHRZVYOWFZVYPOEWUFVYOVYAVYNVYNWDWUAWLWUJVYPWUIOVSWUIVYOWM
      WJWKUVIZWOVYPWPXOVVHVYFVVGUVJZWQZVYEOHZWUFWUGWUHVYCDEZWUNVYCVVSVQZDVYBVVS
      UHVYAWRZWSWTXAZVYCUTXDZVYEVYQVYFXBXEXCXFXGVDXHXIXJVYHUCVYKXKTVNVXMVYHIZVY
      CBPZUHUDUGZVPUIZVQZEZWVDFGZWVAFGZVVGVWEWARZUVKUVLRZQRZNMZIZVXTUDWUTWVLUDV
      YKKZWVLUDVOWUTWVEQVYMWVBVPZVRWBZUIZOLUQZWVJNMZIZUDVYKKZWVMWUTWVGDHZWVIWCH
      ZWVTWUTWVGOHZVYFDHZIZWJWVGNMZWVGVYFNMZIWWAVVHWWEVVFVVKVXLVYHVVHWWDWWCWULW
      VADEZWWCWVAVYCDVYCBXLZWURXMZWVAUTXDZXPXNWUTWWGWWFVXMVYDVYGWWGVVHVYGWWGUKV
      VFVVKVXLVYDVVHWVGVYENMZVYGWWGWVAVYCEWUOWWLWWIWURWVAVYCURXQVVHWUGWWLVYGIWW
      GUKZWUMWWCWUNWUGWWMWWKWUSWVGVYEVYFXBXRTUVNXNYEWWHWWFWWJWVAXSXDXPWVGVYFXTV
      BZVXMWWBVYHVVLVVHVXLWWBVWDVVHVXLIZWVHWWOWVHVVHVXJWVHDHZVXKVVGVWEUVOZYAZVV
      HVXJVXKWJWVHLMZVVHVXJIZVXKWWSVXJVVHVXKWWSUSVWEVVGUVPVCUWCYEUVQUVRYFSZWWHW
      WAWWBWVTWWJWVAWVIWVOUDWVOWDZWEXEVBWUTWVSWVLUDVYKWUTWVBVYKHZIWVRWVKWVEWXCW
      UTVSVYJWVBWFZWVRWVKUKWVBVYJVSWGWUTWXDIWVFWVQNMZWVRWVKWXDWXEWUTWXDWVDWVDEW
      XEWVDWHWVDWVOWVBWXBWIWNVAWXDWVQOHZWVJOHZWXEWVRIWVKUKZWUTWXDVSWUIWVOWFZWVP
      OEWXFWVOWVBWVNWVNWDWXBWLWXIWVPWUIOVSWUIWVOWMWUKWOWVPWPXOWUTWVJWUTWVGWVIWW
      NVXMWVIDHZVYHVVLVVHVXLWXJVWDWWOWVHWWRUVSYFZSZYBZWQWVFOHZWXFWXGWXHWVDDEZWX
      NWVDWUPDWVCVVSUHWVBWRZWSWTXAZWVDUTXDZWVFWVQWVJXBXEXCXFVDXHXIXJWVLUDVYKXKT
      WUTWVLIZUEUGZVYCEZVYEWVIWARZWXTFGZLMZIZVXTUEVWAWUTWYEUEVWAKZWVLWUTWYBDHZW
      YBVYELMZWYFWUTVYEWVIVXMWUNWWDIZWJVYENMZVYGIZVYEDHZVYHVVHWYIVVFVVKVXLVVHWW
      DWUNWULWUSXPYCVYGWYKVYDVYGWYJWUOWYJWURVYCXSXDUVTVAVYEVYFXTYDZWXLYGWUTVYEW
      VIWYMWXAUWAVYCVVTHZWYGWYHWYFVVTUWDHZVYBVVTEWYNYHVYBVVSVVTWUQVVSYIHVVSVVTE
      UWBVVSYIUWEXDZXMVYBVVTYJXQZVYCWYBUEUWFXEVBSWXSWXTVWAHZWYEIZIZVVNWXTWVDPZU
      FGZVVPJZIZCVWAKZVWEXUBLMZVXTWVLWYSXUEWUTWVEWYSXUEWVKWVEWYRWYAXUEWYDWYRWVE
      WYAXUEWYRXUAVWAHXUABEZXUEWVEWYAIZWYRWXTDWVDPZVTZXUAVWAWYRXUJWXTDVTZWVDPXU
      AWXTDWVDUWGWYRXUKWXTWVDWYRWXTDEXUKWXTJWXTVVTDVFVGWXTDUWHVHUWNUWIWYRXUIVWA
      HZXUJVWAHWYOWVDVVTHZXULYHWYOWVCVVTEXUMYHWVCVVSVVTWXPWYPXMWVCVVTYJXQZWVDVV
      TDVFUWJXQWXTXUIVVTUWKWNVKXUHXUAVYCWVAPZBXUHWXTVYCWVAWVDWVEWYAUWLWVEWYAUWM
      UWOXUOVYCBVTBVYCBUWPVYCBUWQUWRWOZXUDXUGCXUAVWAVVMXUAJZXUDXUGXUCIXUGXUQVVN
      XUGXUCVVMXUABUXDUWSXUQXUCXUGXUCXUAVVMXUAVVMUFUXEUWTUXAUXBUXCYDUXFUXGUXHXG
      WYTVWEVVGBXUAPZFGZWARZXUBLWYTXUSVVGVWEVVIXUSDHZVVKVXLVYHWVLWYSXURBEVVFVVH
      XVABXUAXLXURBYKXEZYLVVFVVHVVKVXLVYHWVLWYSUXIVXLVXJVVLVYHWVLWYSVXJVXKUWMZX
      NWYTXUSBWXTPZBWVDVTZUXNZFGZWVHLXURXVFFBWXTWVDUXJUXKWYTXVGXVDFGZXVEFGZQRZW
      VHVVIXVGDHZVVKVXLVYHWVLWYSXVFBEVVFVVHXVKXVDXVEBBWXTXLZBWVDYMZUXLXVFBYKXEY
      LWYTXVHXVIVVIXVHDHZVVKVXLVYHWVLWYSXVDBEVVFVVHXVNXVLXVDBYKXEZYLZVVIXVIDHZV
      VKVXLVYHWVLWYSXVEBEVVFVVHXVQXVMXVEBYKXEZYLZYBVXMWWPVYHWVLWYSVVLVVHVXJWWPV
      XLVWDXVCWWQYDUXMVVIXVGXVJNMZVVKVXLVYHWVLWYSVVIXVDDEZXVNXVEDEZXVQXVTVVFXWA
      VVHBDWXTUXOSXVOVVFXWBVVHBWVDDUXPSXVRXVDXVEUXQUXRYLWYTXVJWVIWVIQRZWVHLWYTX
      VHXVIWVIWVIXVPXVSWXSWXJWYSVXMWXJVYHWVLWXKVNZSZXWEWYTXVHVYEWYCWARZWVIXVPWY
      TVYEWYCWUTWYLWVLWYSWYMVNZWYSWYAWYLWYCDHZWXSWYRWYAWYDUPWUTWYLWVLWYMSZWYAWU
      OWYLXWHWURWXTVYCYKYNXCZYGXWEWYTXVHVYCWXTPZFGZXWFNVYHXVHXWLNMZVXMWVLWYSVYD
      XWMVYGVYDXVDXWKEXWKDEXWMBVYCWXTUYDXWKVYCDVYCWXTXLZWURXMXVDXWKURUXSSYCWYTV
      YEVYCWXTVTZFGZWARZXWLXWFWYTXWQXWLJXWPXWLQRZVYEJWYTVYEXWRWYSWXTVVJHZWYLVYE
      XWRJZWXSWYRXWSWYEVXEXWSCWXTVWACUEVVJUXTVXIUYAZSXWIXWSWUOWYLXWTWURWXTVYCYP
      YNXCYOWYTVYEXWPXWLWYTVYEXWGYQWYTXWPWUTXWPDHZWVLWYSWUTWYLXXBWYMXWOVYCEWUOW
      YLXXBVYCWXTYMWURXWOVYCYKXRTVNYQWUTXWLVVCHWVLWYSWUTXWLWUTWYLXWLDHZWYMXWKVY
      CEWUOWYLXXCXWNWURXWKVYCYKXRTYQVNUYBYRWYEXWQXWFJZWXSWYRWYAXXDWYDWYAXWPWYCV
      YEWAWYAXWOWXTFWYAXWOWXTJWXTVYCYSUYCYTUYESUYFUYGUYHWYTVYEWVIWYCXWGXWEXWJWX
      SWYRWYAWYDVEUYIUYJWXSXVIWVINMWYSWXSXVIWVDWVAPZFGZWVIVVIXVQVVKVXLVYHWVLXVR
      UYKWXSWVFDHZXXFDHZWUTWXNWVJDHZIWJWVFNMZWVKIXXGWVLWUTXXIWXNWXMWXRXPWVLWVKX
      XJWVEWVKUWLWXOXXJWXQWVDXSXDXPWVFWVJXTYDZXXEWVDEWXOXXGXXHWVDWVAXLZWXQXXEWV
      DYKXRTZXWDXVEXXEEZXXEDEZIXVIXXFNMWXSXXNXXOWVDBVTZWVDVYCPZXXPUXNXVEXXEXXPX
      XQUYLBWVDUYMWVDVYCBUXJUYNXXEWVDDXXLWXQXMUYOXVEXXEURUYPWXSWVFWVGWARZXXFWVI
      NWXSXXRXXFJWVGXXFQRZWVFJWXSWVFWVDWVAVTZFGZXXFQRZXXSWXSWVAVVJHZXXGWVFXYBJZ
      VVKXYCVVIVXLVYHWVLVYCVVJHZVVKXYCWYNXYEWYQVYCVIXDVYCBVJUYQXNXXKXYCWXOXXGXY
      DWXQWVAWVDYPYNVBWVEXYBXXSJWUTWVKWVEXYAWVGXXFQWVEXXTWVAFWVEXXTWVAJWVAWVDYS
      UYCYTUYRVMUYSWXSWVFWVGXXFWXSWVFXXKYQWXSWVGWUTWWAWVLWWNSZYQWXSXXFXXMYQUYBY
      RWXSXXRWVINMWVKWUTWVEWVKVUDWXSWVFWVGWVIXXKXYFXWDUYTYRVUAVUBSVUCVXMXWCWVHJ
      ZVYHWVLWYSVVIVXJXYGVVKVXKVVHVXJXYGVVFWWTWVHWWTWVHWWQYQVUEXGVUFUXMUYHUYJVU
      GVUHWYTXUBBXUAVTZFGZXUTWVLWYSXUBXYIJWUTWVLWYSIXUBXUAFGZXYIWYRXUBXYJJZWVLW
      YEWYRXUAVVJHZXYKWYRXWSWVDVVJHZXYLXXAXUMXYMXUNWVDVIXDWXTWVDVJUXSZXUAVLTVMW
      VEWYEXYIXYJJZWVKWYRWVEWYAXYOWYDXUHXYHXUAFXUHXUGXYHXUAJXUPXUABYSVHYTYAVUIV
      UJXGWYTXUTXYIJZXYIXUSQRZVVGJZWYSXYLVVIXYRWXSWYRXYLWYEXYNSVVIVVKVXLVYHWVLV
      UKXYLVVIIVVGXYQXYLVVFVVHVVGXYQJXUABYPVULYOXCVVIXYPXYRUSVVKVXLVYHWVLWYSVVI
      VVGXUSXYIVVHVVGVVCHVVFVVGVUMVAVVIXUSXVBYQVVIXYIXYHBEVVFVVHXYIDHBXUAYMXYHB
      YKXEYQVUNYLYRVUJVUOVXSXUEXUFIUBXUBXUAUFVUPVXNXUBJZVXQXUEVXRXUFXYSVXPXUDCV
      WAXYSVXOXUCVVNVXNXUBVVPUMUNUOVXNXUBVWELVUQVURVUSVBVUTVVAVVAVWBVXQVXRUBAAU
      BULZVVRVXPCVWAXYTVVQVXOVVNVVOVXNVVPUMUNUOVVDVVBVVEYO $.

    $( Measurability in terms of inner and outer measure.  Proposition 7 of
       [Viaclovsky8] p. 3.  (Contributed by Brendan Leahy, 4-Mar-2018.)
       (Revised by Brendan Leahy, 28-Mar-2018.) $)
    ismblfin $p |- ( ( A C_ RR /\ ( vol* ` A ) e. RR ) -> ( A e. dom vol <->
        ( vol* ` A ) = sup ( { y | E. b e. ( Clsd ` ( topGen ` ran (,) ) )
          ( b C_ A /\ y = ( vol ` b ) ) } , RR , < ) ) ) $=
      ( vv vu va vz vc cr wss cfv wcel wa wceq wrex clt cle wbr cc0 c0 vw vf vx
      vt covol cvol cv cioo crn cab csup cin cdif caddc co wi wral ccom cuni cn
      cxr wf inss1 ovolsscl mp3an1 difss readdcld ad3antlr ovolcl mp1i ad2antlr
      cpnf syl ad2antrr simpr breqtrrd adantlll wne wn wb ax-mp eleq1w uniretop
      cldss sylib sylancr vtoclga mblvol sylan9eqr adantl mpan2 ad2antrl mp3an2
      ancoms sylan2 eqeltrd rexlimdvaa abssdv eqeq1 anbi2d rexbidv ralab ovolss
      sylancl eqbrtrd rexlimiva mpgbir brralrspcev retop 0ss pm3.2i sseq1 fveq2
      eqid eqeq2d anbi12d rspcev mp2an mpbir ne0ii suprcl syl2anc mp3an12 sstri
      c0ex elab simpll abbii supeq1i a1i id vex adantr breq2 mpbid wex cbvrexvw
      ctb ex sylan cdm ctg ccld mblfinlem4 cpw elpwi cabs cmin c1 cseq cxp cmap
      crab cinf elmapi rexrd rncoss unissi unirnioo sseqtrri ovolsf frn icossxr
      cico supxrcl 3syl pnfge nltpnft necon2abii ovolge0 0re xrre3 mpanl12 mpan
      sstrdi sylbir dfss4 rembl cldopn opnmbl difmbl sstr ctop 0cld 0mbl eqtr2i
      ovol0 difss2 ssrin ssdif le2addd dfin4 fveq2i oveq1i sseq2i anbi1i rexbii
      eqeltrrd breqtrdi jctl jctil wor ltso xrlenlt notbid adantrl bitr4d sylbi
      retopbas bastg uniopn mblfinlem2 eqcomd anim1i anim2d fvex anasss reximia
      spcev syl6 r19.41v exbii rexcom4 rexab eqsupd eqtrdi bitrdi cbvabv eqeq2i
      3bitr4i biimpi mblfinlem3 syl112anc eqtr3di syl5eq ne0i supadd wal reeanv
      oveq12d anbi12i bitr4i an4 cun oveq12 ss2in ineq1i incom disjdif sseqtrdi
      3eqtri jctir 3expa ad2ant2r ad2ant2rl volun syl32anc unmbl syl2an anim12i
      ss0 eqtr3d eqtr unss syl5bir rexlimdvva rexlimdvv alrimiv 2rexbidv sylibr
      expl w3a sselda readdcl anandis 00id eqcomi rspceov mp3an abn0 mpdan 3jca
      suprleub mpancom mpbird letrd pm2.61dane adantlr ovollb xrletrd rexlimdva
      ssid ralrimivw ralrab ssrab2 infxrgelb ovolval expr ismbl2 baibr impbida
      ralrimiva ) BIJZBUEKZILZMZBUFUUAZLZVXDCUGZBJZAUGZVXIUFKZNZMZCUHUIZUUBKZUU
      CKZOZAUJZIPUKZNZABCUUDVXFVYAMZUAUGZUEKZILZVYCBULZUEKZVYCBUMZUEKZUNUOZVYDQ
      RZUPZUAIUUEZUQZVXHVYBVYLUAVYMVYCVYMLVYBVYCIJZVYLVYCIUUFVYBVYOVYEVYKVYBVYO
      VYEMZMZVYJVYCUHUBUGZURUIZUSZJZDUGZUNUUGUUHURVYRURZUUIUUJZUIZVAPUKZNZMZUBQ
      IIUUKULZUTUULUOZOZDVAUUMZVAPUUNZVYDQVYQVYJWUMQRZVYJEUGZQRZEWULUQZVYQWUAWU
      OWUFNZMZUBWUJOZWUPUPZEVAUQWUQVYQWVAEVAVYQWUSWUPUBWUJVYRWUJLVYQUTWUIVYRVBZ
      WUSWUPUPVYRWUIUTUUOVYQWVBMZWUAWURWUPWVCWUAMZWURMVYJWUFWUOQWVDVYJWUFQRWURW
      VDVYJVYTUEKZWUFVYPVYJVALZVYBWVBWUAVYPVYJVYPVYGVYIVYFVYCJVYOVYEVYGILZVYCBV
      CVYFVYCVDVEZVYHVYCJVYOVYEVYIILZVYCBVFVYHVYCVDVEZVGZUUPZVHVYTIJZWVEVALZWVD
      VYTVXOUSIVYSVXOUHVYRUUQZUURUUSUUTZVYTVIZVJWVBWUFVALZVYQWUAWVBUTSVLUVDUOZW
      UDVBZWUEVAJWVRWUDVYRWUCWUCXNWUDXNZUVAWVTWUEWVSVAUTWVSWUDUVBSVLUVCUVOWUEUV
      EUVFVKVYQWUAVYJWVEQRZWVBVYQWUAMZWWBWVEVLVYPWUAWVEVLNZWWBVYBVYPWUAMZWWDMVY
      JVLWVEQVYPVYJVLQRZWUAWWDVYPWVFWWFWVLVYJUVGVMVNWWEWWDVOVPVQWVEVLVRZWWCWVEI
      LZWWBWWGWVEVLPRZWWHWWIWVEVLWVNWWDWWIVSVTWVMWVNWVPWVQWAZWVEUVHWAUVISWVEQRZ
      WWIWWHWVMWWKWVPVYTUVJWAWVNSILWWKWWIMWWHWWJUVKWVESUVLUVMUVNUVPWWCWWHMZVYJF
      UGZVYTBULZJZGUGZWWMUFKZNZMZFVXQOZGUJZIPUKZHUGZVYTBUMZJZWWPWXCUFKZNZMZHVXQ
      OZGUJZIPUKZUNUOZWVEVYPVYJILVYBWUAWWHWVKVHWWHWXLILWWCWWHWXBWXKWWHWXAIJZVXK
      UCUGZQRZAWXAUQUCIOZWXBILZWWHWWTGIWWHWWSWWPILZFVXQWWHWWMVXQLZWWSMZMWWPWWMU
      EKZIWXTWWPWYANWWHWWSWXSWWPWWQWYAWWOWWRVOWXSWWMVXGLZWWQWYANZVXIVXGLZWYBCWW
      MVXQCFVXGWBVXIVXQLZIIVXIUMZUMZVXIVXGWYEVXIIJWYGVXINVXIVXPIWCWDVXIIUVQWEWY
      EIVXGLWYFVXGLZWYGVXGLUVRWYEWYFVXPLWYHVXIVXPIWCUVSWYFUVTVMIWYFUWAWFUWRZWGZ
      WWMWHVMZWIWJWXTWWHWWMVYTJZWYAILZWWOWYLWXSWWRWWOWWNVYTJZWYLVYTBVCZWWMWWNVY
      TUWBWKZWLWYLWWHWYMWYLWVMWWHWYMWVPWWMVYTVDZWMWNWOWPWQWRZWWHVXKWVEQRZAWXAUQ
      ZWXPWYTWWOVXKWWQNZMZFVXQOZWYSUPAWWTXUCWYSAGWWPVXKNZWWSXUBFVXQXUDWWRXUAWWO
      WWPVXKWWQWSWTXAXBXUBWYSFVXQWXSXUBMVXKWYAWVEQXUBWXSVXKWWQWYAWWOXUAVOWYKWIW
      WOWYAWVEQRZWXSXUAWWOWYLWVMXUEWYPWVPWWMVYTXCXDWLXEXFXGUCAVXKWVEQIWXAXHWKZW
      XMWXATVRZWXPWXQSWXASWXALZWWOSWWQNZMZFVXQOZTVXQLZTWWNJZSTUFKZNZMZXUKVXPUWC
      LZXULXIVXPUWDWAZXUMXUOWWNXJXUNTUEKZSTVXGLXUNXUSNUWETWHWAUWGUWFZXKXUJXUPFT
      VXQWWMTNZWWOXUMXUIXUOWWMTWWNXLXVAWWQXUNSWWMTUFXMXOXPXQXRWWTXUKGSYEWWPSNZW
      WSXUJFVXQXVBWWRXUIWWOWWPSWWQWSWTXAYFXSZXTUCAWXAYAWMYBWWHWXJIJZWXOAWXJUQUC
      IOZWXKILZWWHWXIGIWWHWXHWXRHVXQWWHWXCVXQLZWXHMZMWWPWXCUEKZIXVHWWPXVINWWHWX
      HXVGWWPWXFXVIWXEWXGVOXVGWXCVXGLZWXFXVINZWYDXVJCWXCVXQCHVXGWBWYIWGZWXCWHVM
      ZWIWJXVHWWHWXCVYTJZXVIILZWXEXVNXVGWXGWXCVYTBUWHZWLXVNWWHXVOXVNWVMWWHXVOWV
      PWXCVYTVDZWMWNWOWPWQWRZWWHWYSAWXJUQZXVEXVSWXEVXKWXFNZMZHVXQOZWYSUPAWXIXWB
      WYSAGXUDWXHXWAHVXQXUDWXGXVTWXEWWPVXKWXFWSZWTXAXBXWAWYSHVXQXVGXWAMVXKXVIWV
      EQXWAXVGVXKWXFXVIWXEXVTVOXVMWIWXEXVIWVEQRZXVGXVTWXEXVNWVMXWDXVPWVPWXCVYTX
      CZXDWLXEXFXGUCAVXKWVEQIWXJXHWKZXVDWXJTVRZXVEXVFSWXJSWXJLZWXESWXFNZMZHVXQO
      ZXULTWXDJZXUOMZXWKXURXWLXUOWXDXJXUTXKXWJXWMHTVXQWXCTNZWXEXWLXWIXUOWXCTWXD
      XLXWNWXFXUNSWXCTUFXMXOXPXQXRWXIXWKGSYEXVBWXHXWJHVXQXVBWXGXWIWXEWWPSWXFWSW
      TXAYFXSZXTUCAWXJYAWMYBVGWJWWCWWHVOWWLVYJVYTWXDUMZUEKZWXDUEKZUNUOZWXLQVYPW
      UAWWHVYJXWSQRVYBWWEWWHMZVYJWWNUEKZXWRUNUOXWSQXWTVYGVYIXXAXWRVYPWVGWUAWWHW
      VHVNVYPWVIWUAWWHWVJVNWWHXXAILZWWEWYNWVMWWHXXBWYOWVPWWNVYTVDYCWJWWHXWRILZW
      WEWXDVYTJWVMWWHXXCVYTBVFZWVPWXDVYTVDYCZWJWUAVYGXXAQRZVYPWWHWUAVYFWWNJWWNI
      JXXFVYCVYTBUWIWWNVYTIWYOWVPYDVYFWWNXCXDVKWUAVYIXWRQRZVYPWWHWUAVYHWXDJWXDI
      JZXXGVYCVYTBUWJWXDVYTIXXDWVPYDZVYHWXDXCXDVKUWKXXAXWQXWRUNWWNXWPUEVYTBUWLZ
      UWMUWNUWSVQWWCVYBWWHWXLXWSNVYBVYPWUAYGVYBWWHMZWXBXWQWXKXWRUNXXKWXBWWMXWPJ
      ZWWRMZFVXQOZGUJZIPUKZXWQIWXAXXOPWWTXXNGWWSXXMFVXQWWOXXLWWRWWNXWPWWMXXJUWO
      UWPUWQYHYIXXKWVMWWHMZXXHXXCMZWVEWYLWWRMZFVXQOZGUJZIPUKZNXWRWWMWXDJZWWRMZF
      VXQOZGUJZIPUKZNXXPXWQNWWHXXQVYBWWHWVMWVPUWTWJZWWHXXRVYBWWHXXCXXHXXEXXIUXA
      WJXXKWVEXVNWXGMZHVXQOZGUJZIPUKZXYBWWHWVEXYLNZVYBWWHXYLWVEWWHUCAIXYKWVEPIP
      UXBWWHUXCYJWWHYKWXNXYKLZWVEWXNPRZVSZWWHXYNXVNWXNWXFNZMZHVXQOZXYPXYJXYSGWX
      NUCYLWWPWXNNZXYIXYRHVXQXYTWXGXYQXVNWWPWXNWXFWSWTXAYFXYRXYPHVXQXVGXYRMZXWD
      XYPXVNXWDXVGXYQXVNWVMXWDWVPXWEWKWLYUAXWDWVEXVIPRZVSZXYPXVGXWDYUCVTZXYRXVG
      XVIVALZWVNYUDXVGWXCIJYUEWXCVXPIWCWDWXCVIVMWWJXVIWVEUXDXDYMXVGXYQXYPYUCVTZ
      XVNXVGXYQMWXNXVINZYUFXYQXVGWXNWXFXVIXYQYKXVMWIYUGXYOYUBWXNXVIWVEPYNUXEVMU
      XFUXGYOXFUXHWJWXNILZWXNWVEPRZMZWXNVXKPRZAXYKOZWWHYUJXVNXVTMZYUKMZAYPZHVXQ
      OZYULYUJXVNWXNXVIPRZMZHVXQOZYUPVYTVXPLZYUHYUIYUSXUQVYSVXPJYUTXIVYSVXOVXPW
      VOVXOYRLVXOVXPJUXIVXOYRUXJWAYDVYSVXPUXKXRVYTWXNHUXLVEYURYUOHVXQXVGYURXVNX
      VIWXFNZYUQMZMYUOXVGYUQYVBXVNXVGYUQYVBXVGYVAYUQXVGWXFXVIXVMUXMUXNYSUXOXVNY
      VAYUQYUOYUNXVNYVAMZYUQMAXVIWXCUEUXPVXKXVINZYUMYVCYUKYUQYVDXVTYVAXVNVXKXVI
      WXFWSWTVXKXVIWXNPYNXPUXSUXQUXTUXRVMYUNHVXQOZAYPYUMHVXQOZYUKMZAYPYUPYULYVE
      YVGAYUMYUKHVXQUYAUYBYUNHAVXQUYCXYJYVFYUKAGXUDXYIYUMHVXQXUDWXGXVTXVNXWCWTX
      AUYDUYJWEWJUYEUXMWJZIXYKXYAPXYJXXTGXYIXXSHFVXQWXCWWMNZXVNWYLWXGWWRWXCWWMV
      YTXLYVIWXFWWQWWPWXCWWMUFXMXOZXPYQYHYIUYFXXKWXKXWRXYGXXKXXQVXFXYMVXDWXCBJZ
      WXGMZHVXQOZGUJZIPUKZNZWXKXWRNXYHVXFVYAWWHYGYVHVYAYVPVXFWWHVYAYVPVXTYVOVXD
      IVXSYVNPVXRYVMAGVXKWWPNZVXRVXJWWPVXLNZMZCVXQOYVMYVQVXNYVSCVXQYVQVXMYVRVXJ
      VXKWWPVXLWSWTXAYVSYVLCHVXQVXIWXCNZVXJYVKYVRWXGVXIWXCBXLYVTVXLWXFWWPVXIWXC
      UFXMXOXPYQUYGUYHYIUYIUYKVKGVYTBHUYLUYMZIWXJXYFPWXIXYEGWXHXYDHFVXQYVIWXEXY
      CWXGWWRWXCWWMWXDXLYVJXPYQYHYIUYNGVYTWXDFUYLUYMUYOYWAUYTYTVPWWHWXLWVEQRWWC
      WWHWXLUDUGZWUOWUBUNUOZNZDWXJOEWXAOZUDUJZIPUKZWVEQWWHUCAUDEWXAWXJYWFDWYRXU
      HXUGWWHXVCWXASUYPVJXUFXVRXWHXWGWWHXWOWXJSUYPVJXWFYWFXNUYQWWHYWGWVEQRZWYSA
      YWFUQZWWHVXKYWCNZDWXJOEWXAOZWYSUPZAUYRYWIWWHYWLAWWHYWJWYSEDWXAWXJWUOWXALZ
      WUBWXJLZMZWWOWUOWWQNZMZWXEWUBWXFNZMZMZHVXQOFVXQOZWWHYWJWYSUPZYXAYWQFVXQOZ
      YWSHVXQOZMYWOYWQYWSFHVXQVXQUYSYWMYXCYWNYXDWWTYXCGWUOEYLWWPWUONZWWSYWQFVXQ
      YXEWWRYWPWWOWWPWUOWWQWSWTXAYFWXIYXDGWUBDYLWWPWUBNZWXHYWSHVXQYXFWXGYWRWXEW
      WPWUBWXFWSWTXAYFVUAVUBWWHYWTYXBFHVXQVXQYWTWWOWXEMZYWPYWRMZMWWHWXSXVGMZMZY
      XBWWOWXEYWPYWRVUCYXJYXGYXHYXBYXJYXGMZYXHMZYWJWYSYXLYWJMVXKWWMWXCVUDZUEKZW
      VEQYXLYWCYXNNZYWJVXKYXNNZYXHYXKYWCWWQWXFUNUOZYXNWUOWWQWUBWXFUNVUEYXKYXMUF
      KZYXQYXNYXKWYBXVJWWMWXCULZTNZWWQILWXFILYXRYXQNYXIWYBWWHYXGWXSWYBXVGWYJYMV
      KYXIXVJWWHYXGXVGXVJWXSXVLWJVKYXGYXTYXJYXGYXSTJYXTYXGYXSWWNWXDULZTWWMWWNWX
      CWXDVUFYYAXWPWXDULWXDXWPULTWWNXWPWXDXXJVUGXWPWXDVUHWXDVYTVUIVUKVUJYXSVVAV
      MWJYXKWWQWYAIYXIWYCWWHYXGWXSWYCXVGWYKYMVKWWHWWOWYMYXIWXEWWOWWHWYMWWOWYLWV
      MMWWHWYMWWOWYLWVMWYPWVPVULWYLWVMWWHWYMWYQVUMYTWNVUNWPYXKWXFXVIIYXIXVKWWHY
      XGXVGXVKWXSXVMWJVKWWHWXEXVOYXIWWOWXEWWHXVOWXEXVNWVMMWWHXVOWXEXVNWVMXVPWVP
      VULXVNWVMWWHXVOXVQVUMYTWNVUOWPWWMWXCVUPVUQYXIYXRYXNNZWWHYXGYXIYXMVXGLZYYB
      WXSWYBXVJYYCXVGWYJXVLWWMWXCVURVUSYXMWHVMVKVVBWIYWJYXOYXPVXKYWCYXNVVCWNYTY
      XGYXNWVEQRZYXJYXHYWJYXGYXMVYTJZWVMYYDYXGWYLXVNMYYEWWOWYLWXEXVNWYPXVPVUTWW
      MWXCVYTVVDWEWVPYXMVYTXCXDVHXEYSVVKVVEVVFVVEVVGVVHYWEYWKWYSAUDYWBVXKNYWDYW
      JEDWXAWXJYWBVXKYWCWSVVIXBVVJZYWFIJZYWFTVRZWXOAYWFUQUCIOZVVLWWHYWHYWIVTWWH
      YYGYYHYYIWWHYWEUDIWWHYWDYWBILZEDWXAWXJWWHYWOMZYWDYYJYYKYWDMYWBYWCIYYKYWDV
      OYYKYWCILZYWDWWHYWMYWNYYLWWHYWMMWUOILWUBILYYLWWHYWNMWWHWXAIWUOWYRVVMWWHWX
      JIWUBXVRVVMWUOWUBVVNVUSVVOYMWPYSVVFWRYYHWWHYYHYWEUDYPZSYWCNZDWXJOEWXAOZYY
      MXUHXWHSSSUNUOZNYYOXVCXWOYYPSVVPVVQEDWXAWXJSSSUNVVRVVSYWEYYOUDSYEYWBSNYWD
      YYNEDWXAWXJYWBSYWCWSVVIUXSWAYWEUDVVTXSYJWWHYWIYYIYYFUCAVXKWVEQIYWFXHVWAVW
      BUCAAYWFWVEVWCVWDVWEXEWJVWFWOVWGVWHWVBWVEWUFQRZVYQWUAWVBVYTVYTJYYQVYTVWLV
      YTWUDVYRWWAVWIWKVKVWJYMWVDWURVOVPVVKWOVWKVWMWUKWUTWUPEDVAWUBWUONZWUHWUSUB
      WUJYYRWUGWURWUAWUBWUOWUFWSWTXAVWNVVJVYQWULVAJWVFWUNWUQVTWUKDVAVWOVYPWVFVY
      BWVLWJEWULVYJVWPWFVWEVYOVYDWUMNVYBVYEDVYCUBWULWULXNVWQWLVPVWRWOVXBVXCVYNV
      XHVTVXEVYAVXHVXCVYNUABVWSVWTVNYOVXA $.
  $}

  ${
    $d f n m l x A $.
    ${
      ovoliunnfl.0 $e |- ( ( f Fn NN /\
          A. n e. NN ( ( f ` n ) C_ RR /\ ( vol* ` ( f ` n ) ) e. RR ) ) ->
            ( vol* ` U_ m e. NN ( f ` m ) ) <_
          sup ( ran seq 1 ( + , ( m e. NN |-> ( vol* ` ( f ` m ) ) ) ) ,
            RR* , < ) ) $.
      $( ~ ovoliun is incompatible with the Feferman-Levy model.  (Contributed
         by Brendan Leahy, 21-Nov-2017.) $)
      ovoliunnfl $p |- ( ( A ~<_ NN /\ A. x e. A x ~<_ NN ) -> U. A =/= RR ) $=
        ( vl cn wbr wral wa cr cc0 covol cfv wceq c0 wcel c1 cxr cdom cv wss wi
        cuni wne unieq eqtrdi fveq2d ovol0 eqtr2di a1d cle ovolge0 ad2antll wfo
        uni0 wex csdm cvv wb reldom brrelex1i 0sdomg syl biimparc fodomr unissb
        sylancom anbi1i r19.26 bitr4i cfn cen wo brdom2 nnenom sdomen2 isfinite
        com ax-mp orbi1i bitri ovolfi expcom ovolctb ex syl5bi imdistani ralimi
        jaod sylbi ancoms cima foima raleqdv wfn fofn ssid sseq1 fveqeq2 ralima
        anbi12d sylancl bitr3d ciun caddc cmpt cseq crn clt fveq2 sseq1d 2fveq3
        csup weq eqeq1d cbvralvw 0re eleq1a anim2i syl2an fofun funiunfv unieqd
        wfun eqtrd adantr rspccva mpteq2dva seqeq3d rneqd supeq1d csn fconstmpt
        simprd cxp eqtri 0xr cpnf cmul co cc 0cn ser1const mpan mul01d mpteq2ia
        nncn seqeq3 cuz cz 1z seqfn nnuz fneq2i dffn5 bitr3i mpbi 3eqtr4i rneqi
        eqtr3i 1nn ne0i rnxp mp2b supeq1i wor xrltso supsn mp2an adantl 3brtr3d
        sylbid exlimiv ovolcl xrletri3 sylancr mpbir2and expl pm2.61ine renepnf
        imp mp1i ovolre neeqtrrd necon2i expr eqimss necon3bi pm2.61d1 ) BHUAIZ
        AUBZHUAIZABJZKBUEZLUCZUWPLUFZUWLUWOUWQUWRUWLUWOUWQKZKZMUWPNOZPZUWRUWTUX
        BUDBQBQPZUXBUWTUXCUXAQNOMUXCUWPQNUXCUWPQUEQBQUGUQUHUIUJUKULBQUFZUWLUWSU
        XBUXDUWLKZUWSKUXBMUXAUMIZUXAMUMIZUWQUXFUXEUWOUWPUNUOUXEHBCUBZUPZCURZUWM
        LUCZUWMNOMPZKZABJZUXGUWSUXDUWLQBUSIZUXJUWLUXOUXDUWLBUTRUXOUXDVABHUAVBVC
        BUTVDVEVFHBCVGVIUWQUWOUXNUWQUWOKZUXKUWNKZABJZUXNUXPUXKABJZUWOKUXRUWQUXS
        UWOABLVHVJUXKUWNABVKVLUXQUXMABUXKUWNUXLUWNUWMVMRZUWMHVNIZVOZUXKUXLUWNUW
        MHUSIZUYAVOUYBUWMHVPUYCUXTUYAUYCUWMVTUSIZUXTHVTVNIUYCUYDVAVQHVTUWMVRWAU
        WMVSVLWBWCUXKUXTUXLUYAUXTUXKUXLUWMWDWEUXKUYAUXLUWMWFWGWKWHWIWJWLWMUXJUX
        NUXGUXIUXNUXGUDCUXIUXNGUBZUXHOZLUCZUYFNOZMPZKZGHJZUXGUXIUXMAUXHHWNZJZUX
        NUYKUXIUXMAUYLBHBUXHWOZWPUXIUXHHWQZHHUCUYMUYKVAHBUXHWRZHWSUXMUYJAGHHUXH
        UWMUYFPUXKUYGUXLUYIUWMUYFLWTUWMUYFMNXAXCXBXDXEUXIUYKUXGUXIUYKKDHDUBZUXH
        OZXFZNOZXGDHUYRNOZXHZSXIZXJZTXKXOZUXAMUMUXIUYOEUBZUXHOZLUCZVUGNOZLRZKZE
        HJZUYTVUEUMIUYKUYPUYKVUHVUIMPZKZEHJVULUYJVUNGEHGEXPZUYGVUHUYIVUMVUOUYFV
        UGLUYEVUFUXHXLXMVUOUYHVUIMUYEVUFNUXHXNXQXCXRVUNVUKEHVUMVUJVUHMLRZVUMVUJ
        UDXSMLVUIXTWAYAWJWLFYBUXIUYTUXAPUYKUXIUYSUWPNUXIUYSUYLUEZUWPUXIUXHYFUYS
        VUQPHBUXHYCDHUXHYDVEUXIUYLBUYNYEYGUIYHUYKVUEMPUXIUYKVUEXGDHMXHZSXIZXJZT
        XKXOZMUYKTVUDVUTXKUYKVUCVUSUYKVUBVURXGSUYKDHVUAMUYKUYQHRKUYRLUCZVUAMPZU
        YJVVBVVCKGUYQHGDXPZUYGVVBUYIVVCVVDUYFUYRLUYEUYQUXHXLXMVVDUYHVUAMUYEUYQN
        UXHXNXQXCYIYPYJYKYLYMVVAMYNZTXKXOZMTVUTVVEXKVUTHVVEYQZXJZVVEVUSVVGGHUYE
        XGVVGSXIZOZXHZGHMXHVUSVVGGHVVJMUYEHRZVVJUYEMUUAUUBZMMUUCRVVLVVJVVMPUUDM
        UYEUUEUUFVVLUYEUYEUUIUUGYGUUHVVIVUSVVKVVGVURPVVIVUSPDHMYOXGVVGVURSUUJWA
        VVISUUKOZWQZVVIVVKPZSUULRVVOUUMXGVVGSUUNWAVVOVVIHWQVVPHVVNVVIUUOUUPGHVV
        IUUQUURUUSUVBGHMYOUUTUVASHRHQUFVVHVVEPUVCHSUVDHVVEUVEUVFYRUVGTXKUVHMTRZ
        VVFMPUVIYSTMXKUVJUVKYRUHUVLUVMWGUVNUVOUWCYBUWQUXBUXFUXGKVAZUXEUWOUWQVVQ
        UXATRVVRYSUWPUVPMUXAUVQUVRUOUVSUVTUWAUWPLMUXAUWPLPZMYTUXAVUPMYTUFVVSXSM
        UWBUWDVVSUXALNOYTUWPLNXLUWEUHUWFUWGVEUWHUWQUWPLUWPLUWIUWJUWK $.
    $}

    $( Demonstration of ~ ovoliunnfl .  (Contributed by Brendan Leahy,
       21-Nov-2017.) $)
    ex-ovoliunnfl $p |- ( ( A ~<_ NN /\ A. x e. A x ~<_ NN ) -> U. A =/= RR )
        $=
      ( vf vm vn cv cn wfn cfv cr covol wcel wa wral caddc cmpt c1 eqid adantll
      wss cseq fveq2 sseq1d 2fveq3 eleq1d anbi12d rspccva simpld simprd ovoliun
      weq ovoliunnfl ) ABCDECFZGHZEFZUMIZJTZUPKIZJLZMZEGNZMDFZUMIZODGVCKIZPZQUA
      ZDVEVFRVERVAVBGLZVCJTZUNVAVGMZVHVDJLZUTVHVJMEVBGEDUKZUQVHUSVJVKUPVCJUOVBU
      MUBUCVKURVDJUOVBKUMUDUEUFUGZUHSVAVGVJUNVIVHVJVLUISUJUL $.
  $}

  ${
    $d f g m n l x A $.
    voliunnfl.1 $e |- S = seq 1 ( + , G ) $.
    voliunnfl.2 $e |- G = ( n e. NN |-> ( vol ` ( f ` n ) ) ) $.
    voliunnfl.3 $e |- ( ( A. n e. NN ( ( f ` n ) e. dom vol /\
      ( vol ` ( f ` n ) ) e. RR ) /\ Disj_ n e. NN ( f ` n ) ) ->
        ( vol ` U_ n e. NN ( f ` n ) ) = sup ( ran S , RR* , < ) ) $.
    $( ~ voliun is incompatible with the Feferman-Levy model; in that model,
       therefore, the Lebesgue measure as we've defined it isn't actually a
       measure.  (Contributed by Brendan Leahy, 16-Dec-2017.) $)
    voliunnfl $p |- ( ( A ~<_ NN /\ A. x e. A x ~<_ NN ) -> U. A =/= RR ) $=
      ( vm cn wa cr cc0 cvol cfv wceq wcel c1 cxr vg cdom wbr wral cuni wss wne
      vl cv wi unieq uni0 eqtrdi fveq2d covol cdm 0mbl mblvol ax-mp ovol0 eqtri
      c0 eqtr2di a1d wfo wex cvv wb reldom brrelex1i 0sdomg syl biimparc fodomr
      csdm sylancom unissb anbi1i r19.26 bitr4i ovolctb2 imdistani ralimi sylbi
      ex ancoms cima foima raleqdv wfn fofn ssid fveqeq2 anbi12d ralima sylancl
      sseq1 bitr3d cfzo ciun cdif caddc cmpt cseq crn clt wdisj difss ovolssnul
      co csup mp3an1 ssdifss nulmbl eqeq1d biimpar eqeltrdi expcom ancld adantl
      0re mpd sylan weq fveq2 oveq2 iuneq1d difeq12d eleq1d adantr seqeq3 rneqi
      supeq1i seqeq3d rneqd supeq1d mpteq2ia eqtrd fconstmpt cpnf syldan difexg
      eqid fvex fvmpt ralbiia cbvralvw bitri sylibr iundisj2 disjeq2 mprg mpbir
      nnex mptex fveq1 ralbidv disjeq2dv iuneq2d mpteq2dv eqeq12d imbi12d vtocl
      syl5eq iuneq2i fveq2i 3eqtr3g iundisj wfun funiunfv eqtr3id unieqd sseq1d
      fofun fveqeq2d rspccva jca 3syl mpteq2dva csn cxp cmul 0cn ser1const mpan
      cc nncn mul01d cuz cz 1z seqfn nnuz fneq2i bitr3i mpbi eqtr3i 3eqtr4i 1nn
      dffn5 ne0i rnxp mp2b wor xrltso 0xr supsn 3eqtr3rd sylbid exlimiv expimpd
      mp2an syl5 pm2.61ine renepnf mp1i ovolre neeqtrrd necon2i eqimss necon3bi
      rembl expr pm2.61d1 ) BKUBUCZAUIZKUBUCZABUDZLBUEZMUFZUYIMUGZUYEUYHUYJUYKU
      YEUYHUYJLZLZNUYIOPZQZUYKUYMUYOUJBVBBVBQZUYOUYMUYPUYNVBOPZNUYPUYIVBOUYPUYI
      VBUEVBBVBUKULUMUNUYQVBUOPZNVBOUPZRUYQUYRQUQVBURUSUTVAVCVDBVBUGZUYEUYLUYOU
      YTUYELKBUAUIZVEZUAVFZUYLUYOUJZUYTUYEVBBVOUCZVUCUYEVUEUYTUYEBVGRVUEUYTVHBK
      UBVIVJBVGVKVLVMKBUAVNVPVUBVUDUAUYLUYFMUFZUYFUOPNQZLZABUDZVUBUYOUYJUYHVUIU
      YJUYHLZVUFUYGLZABUDZVUIVUJVUFABUDZUYHLVULUYJVUMUYHABMVQVRVUFUYGABVSVTVUKV
      UHABVUFUYGVUGVUFUYGVUGUYFWAWEWBWCWDWFVUBVUIJUIZVUAPZMUFZVUOUOPNQZLZJKUDZU
      YOVUBVUHAVUAKWGZUDZVUIVUSVUBVUHAVUTBKBVUAWHZWIVUBVUAKWJKKUFVVAVUSVHKBVUAW
      KKWLVUHVURAJKKVUAUYFVUOQVUFVUPVUGVUQUYFVUOMWQUYFVUONUOWMWNWOWPWRVUBVUSUYO
      VUBVUSLEKEUIZVUAPZUHSVVCWSXJZUHUIZVUAPZWTZXAZWTZOPZXBEKVVIOPZXCZSXDZXEZTX
      FXKZUYNNVUSVVKVVPQZVUBVUSVVCJKVUOUHSVUNWSXJZVVGWTZXAZXCZPZUYSRZVWBOPZMRZL
      ZEKUDZEKVWBXGZVVQVUSVVTUYSRZVVTOPZMRZLZJKUDZVWGVURVWLJKVUPVUQVVTUOPZNQZVW
      LVVTVUOUFVUPVUQVWOVUOVVSXHVVTVUOXIXLVUPVVTMUFZVWOVWLVUOMVVSXMVWPVWOLVWIVW
      LVVTXNVWOVWIVWLUJVWPVWOVWIVWKVWIVWOVWKVWIVWOLVWJNMVWIVWJNQVWOVWIVWJVWNNVV
      TURXOXPYAXQXRXSXTYBYCUUAWCVWGVVIUYSRZVVLMRZLZEKUDVWMVWFVWSEKVVCKRZVWCVWQV
      WEVWRVWTVWBVVIUYSJVVCVVTVVIKVWAJEYDZVUOVVDVVSVVHVUNVVCVUAYEZVXAUHVVRVVEVV
      GVUNVVCSWSYFYGYHVWAUUCVVDVGRVVIVGRVVCVUAUUDVVDVVHVGUUBUSUUEZYIVWTVWDVVLMV
      WTVWBVVIOVXCUNZYIWNUUFVWSVWLEJKEJYDZVWQVWIVWRVWKVXEVVIVVTUYSVXEVVDVUOVVHV
      VSVVCVUNVUAYEVXEUHVVEVVRVVGVVCVUNSWSYFYGYHZYIVXEVVLVWJMVXEVVIVVTOVXFUNYIW
      NUUGUUHUUIVWHEKVVIXGZVVDVVGUHEVVCVVFVUAYEZUUJVWBVVIQVWHVXGVHEKEKVWBVVIUUK
      VXCUULUUMVWGVWHLZEKVWBWTZOPZXBEKVWDXCZSXDZXEZTXFXKZVVKVVPVVCDUIZPZUYSRZVX
      QOPZMRZLZEKUDZEKVXQXGZLZEKVXQWTZOPZCXEZTXFXKZQZUJVXIVXKVXOQZUJDVWAJKVVTUU
      NUUOVXPVWAQZVYDVXIVYIVYJVYKVYBVWGVYCVWHVYKVYAVWFEKVYKVXRVWCVXTVWEVYKVXQVW
      BUYSVVCVXPVWAUUPZYIVYKVXSVWDMVYKVXQVWBOVYLUNZYIWNUUQVYKEKVXQVWBVYKVXQVWBQ
      VWTVYLYJUURWNVYKVYFVXKVYHVXOVYKVYEVXJOVYKEKVXQVWBVYLUUSUNVYKVYHXBEKVXSXCZ
      SXDZXEZTXFXKVXOTVYGVYPXFCVYOCXBFSXDZVYOGFVYNQVYQVYOQHXBFVYNSYKUSVAYLYMVYK
      TVYPVXNXFVYKVYOVXMVYKVYNVXLXBSVYKEKVXSVWDVYMUUTYNYOYPUVDUVAUVBIUVCVXJVVJO
      EKVWBVVIVXCUVEUVFTVXNVVOXFVXMVVNVXLVVMQVXMVVNQEKVWDVVLVXDYQXBVXLVVMSYKUSY
      LYMUVGWPXTVUBVVKUYNQVUSVUBVVJUYIOVUBVVJVUTUEZUYIVUBVVJEKVVDWTZVYRVVDVVGUH
      EVXHUVHVUBVUAUVIVYSVYRQKBVUAUVNEKVUAUVJVLUVKVUBVUTBVVBUVLYRUNYJVUSVVPNQVU
      BVUSVVPXBEKNXCZSXDZXEZTXFXKZNVUSTVVOWUBXFVUSVVNWUAVUSVVMVYTXBSVUSEKVVLNVU
      SVWTLVVDMUFZVVDUOPNQZLZVVLNQVURWUFJVVCKVXAVUPWUDVUQWUEVXAVUOVVDMVXBUVMVXA
      VUOVVDNUOVXBUVOWNUVPWUFVVLVVIUOPZNWUFVVIMUFZWUGNQZLVWQVVLWUGQWUFWUHWUIWUD
      WUHWUEVVDMVVHXMYJVVIVVDUFWUDWUEWUIVVDVVHXHVVIVVDXIXLZUVQVVIXNVVIURUVRWUJY
      RVLUVSYNYOYPWUCNUVTZTXFXKZNTWUBWUKXFWUBKWUKUWAZXEZWUKWUAWUMJKVUNXBWUMSXDZ
      PZXCZJKNXCWUAWUMJKWUPNVUNKRZWUPVUNNUWBXJZNNUWFRWURWUPWUSQUWCNVUNUWDUWEWUR
      VUNVUNUWGUWHYRYQWUOWUAWUQWUMVYTQWUOWUAQEKNYSXBWUMVYTSYKUSWUOSUWIPZWJZWUOW
      UQQZSUWJRWVAUWKXBWUMSUWLUSWVAWUOKWJWVBKWUTWUOUWMUWNJKWUOUWTUWOUWPUWQJKNYS
      UWRYLSKRKVBUGWUNWUKQUWSKSUXAKWUKUXBUXCVAYMTXFUXDNTRWULNQUXEUXFTNXFUXGUXLV
      AUMXTUXHWEUXIUXMUXJVLUXKUXNUYIMNUYNUYIMQZNYTUYNNMRNYTUGWVCYANUXOUXPWVCUYN
      MOPZYTUYIMOYEWVDMUOPZYTMUYSRWVDWVEQUYBMURUSUXQVAUMUXRUXSVLUYCUYJUYIMUYIMU
      XTUYAUYD $.
  $}

  ${
    $d f g n m l x A $.
    volsupnfl.0 $e |- ( ( f : NN --> dom vol /\
      A. n e. NN ( f ` n ) C_ ( f ` ( n + 1 ) ) ) ->
        ( vol ` U. ran f ) = sup ( ( vol " ran f ) , RR* , < ) ) $.
    $( ~ volsup is incompatible with the Feferman-Levy model.  (Contributed by
       Brendan Leahy, 2-Jan-2018.) $)
    volsupnfl $p |- ( ( A ~<_ NN /\ A. x e. A x ~<_ NN ) -> U. A =/= RR ) $=
      ( vm vl cn wral wa cr wss cc0 cvol cfv wceq c0 wcel syl c1 vg cdom wbr cv
      cuni wne unieq uni0 eqtrdi fveq2d covol cdm 0mbl mblvol ax-mp ovol0 eqtri
      wi eqtr2di a1d wfo wex csdm cvv reldom brrelex1i 0sdomg biimparc sylancom
      wb fodomr unissb anbi1i r19.26 bitr4i nulmbl eqtr expcom syl5 adantl jcai
      ovolctb2 syldan ralimi sylbi ancoms cfz co ciun cmpt crn cima cxr csup wf
      clt caddc cfn fzfi cuz fzssuz nnuz sseqtrri ffvelrnda eleq1 anbi12d sylan
      fof an32s ralrimiva ssralv mpsyl sylancr adantr oveq2 iuneq1d iunex fvmpt
      weq ovex sseq12d fveq1 unieqd supeq1d sylancl cab df-iun fveq2 rspcev wfn
      wrex eqtrd eqtr3id cpnf volf cle csu mblss 0re 0xr fveqeq2 rspccva simpld
      finiunmbl fmpttd fzssp1 iunss1 eqid fvex peano2nn rgen nnex mptex ralbidv
      mpbiri feq1 imaeq2d eqeq12d imbi12d vtocl eluzfz2 eleq2s eleq2d rexlimiva
      rexeqdv ssrexv cbvrexvw sylib rexlimivw impbii eliun rexbii abbii 3eqtr2i
      rneq dfiun3 fofn fniunfv forn csn ccom rnco2 cxp eqidd a1i feqmptd fmptco
      cicc eqeq1d eleq1a syl6bi imp jca ssid sseq1 eleq1d ralima raleqdv bitr3d
      foima mpbird ovolfiniun simprd sylan2 eqtr3d sumeq2d wo olci sumz breqtrd
      iunss sylibr ovolge0 ovolcl mpbir2and mpteq2dva fconstmpt eqtr4di frn ffn
      xrletri3 fnmpti fnco mp3an12 3syl 1nn ne0ii fconst5 mpbid wor supsn mp2an
      xrltso 3eqtr3rd ex exlimiv expimpd pm2.61ine renepnf mp1i ovolre neeqtrrd
      rembl necon2i expr eqimss necon3bi pm2.61d1 ) BHUBUCZAUDZHUBUCZABIZJBUEZK
      LZVUMKUFZVUIVULVUNVUOVUIVULVUNJZJZMVUMNOZPZVUOVUQVUSURBQBQPZVUSVUQVUTVURQ
      NOZMVUTVUMQNVUTVUMQUEQBQUGUHUIUJVVAQUKOZMQNULZRVVAVVBPUMQUNUOUPUQUSUTBQUF
      ZVUIVUPVUSVVDVUIJHBUAUDZVAZUAVBZVUPVUSURZVVDVUIQBVCUCZVVGVUIVVIVVDVUIBVDR
      VVIVVDVJBHUBVEVFBVDVGSVHHBUAVKVIVVFVVHUAVUPVUJVVCRZVUJNOZMPZJZABIZVVFVUSV
      UNVULVVNVUNVULJZVUJKLZVUKJZABIZVVNVVOVVPABIZVULJVVRVUNVVSVULABKVLVMVVPVUK
      ABVNVOVVQVVMABVVPVUKVUJUKOZMPZVVMVUJWBVVPVWAJVVJVVLVUJVPVWAVVJVVLURVVPVVJ
      VVKVVTPZVWAVVLVUJUNZVWBVWAVVLVVKVVTMVQVRVSVTWAWCWDWEWFVVFVVNVUSVVFVVNJZFH
      GTFUDZWGWHZGUDZVVEOZWIZWJZWKZUEZNOZNVWKWLZWMWPWNZVURMVWDHVVCVWJWOZDUDZVWJ
      OZVWQTWQWHZVWJOZLZDHIZVWMVWOPZVWDFHVWIVVCVWDVWIVVCRZVWEHRZVWDVWFWRRZVWHVV
      CRZGVWFIZVXDTVWEWSZVWFHLZVWDVXGGHIVXHVWFTWTOZHTVWEXAXBXCZVWDVXGGHVVFVWGHR
      ZVVNVXGVVFVXMJZVWHBRZVVNVXGVVFHBVWGVVEHBVVEXHXDZVVNVXOVXGVVNVXOJZVXGVWHNO
      ZMPZVVMVXGVXSJAVWHBVUJVWHPZVVJVXGVVLVXSVUJVWHVVCXEVUJVWHMNUUAXFUUBZUUCWFX
      GXIZXJVXGGVWFHXKXLZVWFVWHGUUDXMXNZUUEZVXADHVWQHRZVXAGTVWQWGWHZVWHWIZGTVWS
      WGWHZVWHWIZLZVYGVYILVYKTVWQUUFGVYGVYIVWHUUGUOVYFVWRVYHVWTVYJFVWQVWIVYHHVW
      JFDXSGVWFVYGVWHVWEVWQTWGXOXPVWJUUHZGVYGVWHTVWQWGXTVWGVVEUUIZXQXRVYFVWSHRV
      WTVYJPVWQUUJFVWSVWIVYJHVWJVWEVWSPGVWFVYIVWHVWEVWSTWGXOXPVYLGVYIVWHTVWSWGX
      TVYMXQXRSYAUUOUUKHVVCCUDZWOZVWQVYNOZVWSVYNOZLZDHIZJZVYNWKZUEZNOZNWUAWLZWM
      WPWNZPZURVWPVXBJZVXCURCVWJFHVWIUULUUMVYNVWJPZVYTWUGWUFVXCWUHVYOVWPVYSVXBH
      VVCVYNVWJUUPWUHVYRVXADHWUHVYPVWRVYQVWTVWQVYNVWJYBVWSVYNVWJYBYAUUNXFWUHWUC
      VWMWUEVWOWUHWUBVWLNWUHWUAVWKVYNVWJUVOZYCUJWUHWMWUDVWNWPWUHWUAVWKNWUIUUQYD
      UURUUSEUUTYEVVFVWMVURPVVNVVFVWLVUMNVVFVWLAHVUJVVEOZWIZVUMWUKVWQVWIRZFHYKZ
      DYFZFHVWIWIVWLWUKVWQWUJRZAHYKZDYFWUNADHWUJYGWUPWUMDWUPVWQVWHRZGVWFYKZFHYK
      ZWUMWUPWUSWUOWUSAHVUJHRZWUOWUQGTVUJWGWHZYKZWUSWUTVUJWVARZWUOWVBWVCVUJVXKH
      TVUJUVAXBUVBWUQWUOGVUJWVAGAXSVWHWUJVWQVWGVUJVVEYHUVCZYIXGWURWVBFVUJHFAXSW
      UQGVWFWVAVWEVUJTWGXOUVEYIWCUVDWURWUPFHWURWUQGHYKZWUPVXJWURWVEURVXLWUQGVWF
      HUVFUOWUQWUOGAHWVDUVGUVHUVIUVJWULWURFHGVWQVWFVWHUVKUVLVOUVMUQFDHVWIYGFHVW
      IGVWFVWHTVWEWGXTVYMXQZUVPUVNVVFWUKVVEWKZUEZVUMVVFVVEHYJZWUKWVHPHBVVEUVQZA
      HVVEUVRSVVFWVGBHBVVEUVSYCYLYMUJXNVWDVWOMUVTZWMWPWNZMVWDWMVWNWVKWPVWDVWNNV
      WJUWAZWKZWVKNVWJUWBVWDWVMHWVKUWCZPZWVNWVKPZVWDWVMFHVWINOZWJZWVOVWDFDHVVCV
      WIVWQNOWVRVWJNVYDVWDVWJUWDVWDDVVCMYNUWHWHZNVVCWVTNWOZVWDYOUWEUWFVWQVWINYH
      UWGVWDWVSFHMWJWVOVWDFHWVRMVWDVXEJZWVRVWIUKOZMWWBVXDWVRWWCPVYDVWIUNSWWBWWC
      MPZWWCMYPUCZMWWCYPUCZWWBWWCVWFVWHUKOZGYQZMYPWWBVXFVWHKLZWWGKRZJZGVWFIZWWC
      WWHYPUCVXIVWDWWLVXEVXJVWDWWKGHIZWWLVXLVWDWWMVVPVVTKRZJZABIZVVNWWPVVFVVMWW
      OABVVMVVPWWNVVJVVPVVLVUJYRXNVVJVVLWWNVVJVVLVWAWWNVVJVVKVVTMVWCUWIMKRZVWAW
      WNURYSMKVVTUWJUOUWKUWLUWMWDVTVVFWWMWWPVJVVNVVFWWOAVVEHWLZIZWWMWWPVVFWVIHH
      LWWSWWMVJWVJHUWNWWOWWKAGHHVVEVXTVVPWWIWWNWWJVUJVWHKUWOVXTVVTWWGKVUJVWHUKY
      HUWPXFUWQYEVVFWWOAWWRBHBVVEUWTUWRUWSXNUXAWWKGVWFHXKXLXNVWFVWHGUXBXMWWBWWH
      VWFMGYQZMWWBVWFWWGMGVWDWWGMPZGVWFIZVXEVXJVWDWXAGHIWXBVXLVWDWXAGHVWDVXMJZV
      XRWWGMWXCVXGVXRWWGPVYBVWHUNSVVFVXMVVNVXSVVNVXNVXSVXNVVNVXOVXSVXPVXQVXGVXS
      VYAUXCUXDWFXIUXEXJWXAGVWFHXKXLXNUXFVWFVXKLZVXFUXGWWTMPVXFWXDVXIUXHVWFGTUX
      IUOUIUXJWWBVWIKLZWWFVWDWXEVXEVWDWWIGVWFIZWXEVWDVXHWXFVYCVXGWWIGVWFVWHYRWD
      SGVWFVWHKUXKUXLZXNVWIUXMSWWBWWCWMRZMWMRZWWDWWEWWFJVJVWDWXHVXEVWDWXEWXHWXG
      VWIUXNSXNYTWWCMUYAYEUXOYLUXPFHMUXQUXRYLVWDWVMHYJZHQUFWVPWVQVJVWDVWPVWKVVC
      LZWXJVYEHVVCVWJUXSNVVCYJZVWJHYJWXKWXJWWAWXLYOVVCWVTNUXTUOFHVWIVWJWVFVYLUY
      BVVCHNVWJUYCUYDUYETHUYFUYGHMWVMUYHYEUYIYMYDWMWPUYJWXIWVLMPUYMYTWMMWPUYKUY
      LUIUYNUYOVSUYPSUYQUYRVUMKMVURVUMKPZMYNVURWWQMYNUFWXMYSMUYSUYTWXMVURKNOZYN
      VUMKNYHWXNKUKOZYNKVVCRWXNWXOPVUCKUNUOVUAUQUIVUBVUDSVUEVUNVUMKVUMKVUFVUGVU
      H $.
  $}

  ${
    $d a b f g h r s t ph $.  $d a b f g h r s t A $.  $d a b f g h r s t F $.
    $d a b f g h r s t S $.
    mbfresfi.1 $e |- ( ph -> F : A --> CC ) $.
    mbfresfi.2 $e |- ( ph -> S e. Fin ) $.
    mbfresfi.3 $e |- ( ph -> A. s e. S ( F |` s ) e. MblFn ) $.
    mbfresfi.4 $e |- ( ph -> U. S = A ) $.
    $( Measurability of a piecewise function across arbitrarily many subsets.
       (Contributed by Brendan Leahy, 31-Mar-2018.) $)
    mbfresfi $p |- ( ph -> F e. MblFn ) $=
      ( va vf cc wf cres cmbf wcel wa wceq cvv wi vr vb vg vt vh cv wral uniexd
      cuni cfn eqeltrrd fex ex syl jcai feq2 anbi1d eqeq2 anbi12d imbi1d imbi2d
      feq1 reseq1 eleq1d ralbidv eleq1 imbi12d wal csn cun rzal biantrud bicomd
      c0 unieq eqtrdi eqeq1d 2albidv weq raleq anbi2d simpl simpr feq12d adantr
      uni0 wb adantl cbval2vw bitrdi wrel cdm frel eqcom biimpi sylan9eq reldm0
      fdm biimpar mbf0 syl2anc cre ccom cim cr ref fco mpan ad2antrl elexi coex
      vex resex feq123 mp3an3 bitr3d spc2gv wss ax-resscn fssres syl2an adantlr
      mp2an fss resabs1d resco reseq2 sylan2 ismbfcn eqeltrd ralrimiva cbvralvw
      cin fresin sylib pm2.27 mpan9 eqeltrid mbfres2 imf eqeltrdi gen2 ccncf co
      recncf vuniex eqid ssun1 unissi id sseqtrid elssuni elun1 rspccva adantll
      biimpd ad2antrr simpld vsnid elun2 rspcv mp2b simprbda uniun unisn uneq2i
      wel mpd eqtri eqtr3id ad2antll imcncf simprd simplbda mpbir2and findcard2
      alrimivv a1i 2sp 3syl vtocl2g mpcom mpan2d mp2and ) ABLDMZDEUFZNZOPZECUGZ
      DOPZFHAUWEUWIQZCUIZBRZUWJIBSPZDSPZQAUWKUWMQZUWJTZAUWNUWOAUWLBSIACUJGUHUKA
      UWEUWNUWOTFUWEUWNUWOBLSDULUMUNUOAJUFZLKUFZMZUWSUWFNZOPZECUGZQZUWLUWRRZQZU
      WSOPZTZTABLUWSMZUXCQZUWMQZUXGTZTAUWQTJKBDSSUWRBRZUXHUXLAUXMUXFUXKUXGUXMUX
      DUXJUXEUWMUXMUWTUXIUXCUWRBLUWSUPUQUWRBUWLURUSUTVAUWSDRZUXLUWQAUXNUXKUWPUX
      GUWJUXNUXJUWKUWMUXNUXIUWEUXCUWIBLUWSDVBUXNUXBUWHECUXNUXAUWGOUWSDUWFVCVDVE
      USUQUWSDOVFVGVAACUJPUXHJVHKVHZUXHGUWTUXBEUAUFZUGZQZUXPUIZUWRRZQZUXGTZJVHK
      VHZUWTVNUWRRZQZUXGTZJVHKVHUBUFZLUCUFZMZUYHUWFNZOPZEUDUFZUGZQZUYLUIZUYGRZQ
      ZUYHOPZTZUBVHUCVHZUWTUXBEUYLUEUFZVIZVJZUGZQZVUCUIZUWRRZQZUXGTZJVHKVHZUXOU
      AUDUECUXPVNRZUYBUYFKJVUKUYAUYEUXGVUKUXRUWTUXTUYDVUKUWTUXRVUKUXQUWTUXBEUXP
      VKVLVMVUKUXSVNUWRVUKUXSVNUIVNUXPVNVOWFVPVQUSUTVRUAUDVSZUYCUWTUXBEUYLUGZQZ
      UYOUWRRZQZUXGTZJVHKVHUYTVULUYBVUQKJVULUYAVUPUXGVULUXRVUNUXTVUOVULUXQVUMUW
      TUXBEUXPUYLVTWAVULUXSUYOUWRUXPUYLVOVQUSUTVRVUQUYSKJUCUBKUCVSZJUBVSZQZVUPU
      YQUXGUYRVUTVUNUYNVUOUYPVUTUWTUYIVUMUYMVUTUWRUYGLUWSUYHVURVUSWBVURVUSWCWDV
      UTUXBUYKEUYLVUTUXAUYJOVURUXAUYJRVUSUWSUYHUWFVCWEVDVEUSVUSVUOUYPWGVURUWRUY
      GUYOURWHUSVURUXGUYRWGVUSUWSUYHOVFWEVGWIWJUXPVUCRZUYBVUIKJVVAUYAVUHUXGVVAU
      XRVUEUXTVUGVVAUXQVUDUWTUXBEUXPVUCVTWAVVAUXSVUFUWRUXPVUCVOVQUSUTVRUXPCRZUY
      BUXHKJVVBUYAUXFUXGVVBUXRUXDUXTUXEVVBUXQUXCUWTUXBEUXPCVTWAVVBUXSUWLUWRUXPC
      VOVQUSUTVRUYFKJUYEUWSWKZUWSWLZVNRZUXGUWTVVCUYDUWRLUWSWMWEUWTUYDVVDUWRVNUW
      RLUWSWRUYDUWRVNRVNUWRWNWOWPVVCVVEQUWSVNOVVCUWSVNRVVEUWSWQWSWTUUAXAUUBUYTV
      UJTUYLUJPUYTVUIKJUYTVUHUXGUYTVUHQZUXGXBUWSXCZOPZXDUWSXCZOPZVVFUWRUYOVUAVV
      GVUEUWRXEVVGMZUYTVUGUWTVVKVUDLXEXBMZUWTVVKXFUWRLXEXBUWSXGXHWEXIUYTUYOLVVG
      UYONZMZVVMUWFNZOPZEUYLUGZQZVVMOPZTZVUHVVSVVMSPUYOSPZUYTVVTTVVGUYOXBUWSXBL
      XEUUCUUDZUUEXJKXLZXKXMUDUUFZUYSVVTUCUBVVMUYOSSUYHVVMRZUYGUYORZQZUYQVVRUYR
      VVSVWGUYNUYQVVRVWGUYPUYNVWFUYPVWEVWFUYPUYGUYOWNWOZWHVLVWGUYIVVNUYMVVQVWEV
      WFLLRZUYIVVNWGLUUGZUYGLUYOLUYHVVMXNXOVWGUYKVVPEUYLVWEUYKVVPWGVWFVWEUYJVVO
      OUYHVVMUWFVCVDWEVEUSXPVWEUYRVVSWGVWFUYHVVMOVFWEVGXQYCVUHVVNVVQVVTVVSTUWTV
      UGVVNVUDUWTUWRLVVGMZUYOUWRXRZVVNVUGLLXBMZUWTVWKVVLXELXRZVWMXFXSLXELXBYDYC
      UWRLLXBUWSXGXHVUGVUFUYOUWRUYLVUCUYLVUBUUHUUIVUGUUJZUUKZUWRLUYOVVGXTYAYBVU
      EVVQVUGVUEVVMUXPNZOPZUAUYLUGVVQVUEVWRUAUYLVUEUAUDUVGZQZVWQXBUWSUXPNZXCZOV
      WSVWQVXBRVUEVWSVWQVVGUXPNVXBVWSVVGUXPUYOUXPUYLUULZYEXBUWSUXPYFVPWHVWTVXBO
      PZXDVXAXCZOPZVWTVXAOPZVXDVXFQZVUDVWSVXGUWTVWSVUDUXPVUCPVXGUXPUYLVUBUUMUXB
      VXGEUXPVUCEUAVSUXAVXAOUWFUXPUWSYGVDUUNYHUUOUWTVXGVXHTVUDVWSUWTVXGVXHUWTUW
      RUXPYMZLVXAMVXGVXHWGUWRLUWSUXPYNVXIVXAYIUNUUPUUQUVHZUURYJYKVWRVVPUAEUYLUA
      EVSZVWQVVOOUXPUWFVVMYGVDYLYOWEVVRVVSYPXAYQVUEVVGVUANZOPZUYTVUGVUDUWTUWSVU
      ANZOPZVXMVUAVUBPVUAVUCPVUDVXOTUEUUSVUAVUBUYLUUTUXBVXOEVUAVUCEUEVSUXAVXNOU
      WFVUAUWSYGVDUVAUVBZUWTVXOQZVXLXBVXNXCZOXBUWSVUAYFUWTVXOVXROPZXDVXNXCZOPZU
      WTUWRVUAYMZLVXNMVXOVXSVYAQWGUWRLUWSVUAYNVYBVXNYIUNZUVCYRYHXIVUGUYOVUAVJZU
      WRRUYTVUEVUGVYDVUFUWRVUFUYOVUBUIZVJVYDUYLVUBUVDVYEVUAUYOVUAUEXLUVEUVFUVIV
      WOUVJUVKZYSVVFUWRUYOVUAVVIVUEUWRXEVVIMZUYTVUGUWTVYGVUDLXEXDMZUWTVYGYTUWRL
      XEXDUWSXGXHWEXIUYTUYOLVVIUYONZMZVYIUWFNZOPZEUYLUGZQZVYIOPZTZVUHVYOVYISPVW
      AUYTVYPTVVIUYOXDUWSXDVWBUVLXJVWCXKXMVWDUYSVYPUCUBVYIUYOSSUYHVYIRZVWFQZUYQ
      VYNUYRVYOVYRUYNUYQVYNVYRUYPUYNVWFUYPVYQVWHWHVLVYRUYIVYJUYMVYMVYQVWFVWIUYI
      VYJWGVWJUYGLUYOLUYHVYIXNXOVYRUYKVYLEUYLVYQUYKVYLWGVWFVYQUYJVYKOUYHVYIUWFV
      CVDWEVEUSXPVYQUYRVYOWGVWFUYHVYIOVFWEVGXQYCVUHVYJVYMVYPVYOTUWTVUGVYJVUDUWT
      UWRLVVIMZVWLVYJVUGLLXDMZUWTVYSVYHVWNVYTYTXSLXELXDYDYCUWRLLXDUWSXGXHVWPUWR
      LUYOVVIXTYAYBVUEVYMVUGVUEVYIUXPNZOPZUAUYLUGVYMVUEWUBUAUYLVWTWUAVXEOVWSWUA
      VXERVUEVWSWUAVVIUXPNVXEVWSVVIUXPUYOVXCYEXDUWSUXPYFVPWHVWTVXDVXFVXJUVMYJYK
      WUBVYLUAEUYLVXKWUAVYKOUXPUWFVYIYGVDYLYOWEVYNVYOYPXAYQVUEVVIVUANZOPZUYTVUG
      VUDUWTVXOWUDVXPVXQWUCVXTOXDUWSVUAYFUWTVXOVXSVYAVYCUVNYRYHXIVYFYSVUEUXGVVH
      VVJQWGZUYTVUGUWTWUEVUDUWRUWSYIWEXIUVOUMUVQUVRUVPUXHKJUVSUVTUWAUWBUWCUWD
      $.
  $}

  ${
    $d x y z ph $.  $d x y z A $.  $d y z B $.  $d y z C $.
    mbfposadd.1 $e |- ( ph -> ( x e. A |-> B ) e. MblFn ) $.
    mbfposadd.2 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    mbfposadd.3 $e |- ( ph -> ( x e. A |-> C ) e. MblFn ) $.
    mbfposadd.4 $e |- ( ( ph /\ x e. A ) -> C e. RR ) $.
    mbfposadd.5 $e |- ( ph -> ( x e. A |-> ( B + C ) ) e. MblFn ) $.
    $( If the sum of two measurable functions is measurable, the sum of their
       nonnegative parts is measurable.  (Contributed by Brendan Leahy,
       2-Apr-2018.) $)
    mbfposadd $p |- ( ph -> ( x e. A |-> ( if ( 0 <_ B , B , 0 ) +
      if ( 0 <_ C , C , 0 ) ) ) e. MblFn ) $=
      ( vy vz cc0 cmpt cr wcel wa cres wceq copab cle wbr crab wn cif caddc 0re
      co cv ifcl sylancl readdcld fmpttd cin wf wss ssrab2 fssres inss2 resabs1
      cmbf ax-mp elin rabid anbi12i bitri iftrue oveqan12d ad2ant2l sylbi inss1
      mpteq2ia sstri csb resmpt nfcv nfcsb1v csbeq1a cbvmpt reseq1i nfrab1 nfin
      nfv nfcri nfeq2 weq eleq1w eqeq2d anbi12d cbvopab1 df-mpt 3eqtr4i 3eqtr4g
      nfan eqtri cvol cdm ccnv csn cima cpnf cioo cun biantrurd elrege0 bitr4di
      cico rabbidva cxr clt 0xr imaeq2i eqid mptpreima 3eqtr3ri eqtrdi mbfimasn
      imaundi mp3an3 mbfima unmbl syl2anc eqeltrd inmbl iffalse recnd mpteq2dva
      mbfres sylan2b syl5eq cmnf wb elioomnf ltnle bitr3d syl5bb eqeltrrd rabxm
      a1i mbfres2 pnfxr 0ltpnf snunioo eqeltrid anandi 3bitr4i ad2antll addid2d
      mp3an adantrr eqtrd ssid dfrab3ss ineq1i 3eqtrri oveq2d addid1d sylan9eqr
      indir anasss mbfpos eqcomi ) ACMEUAUBZBCUCZUVCUDZBCUCZBCMDUAUBZDMUEZUVCEM
      UEZUFUHZNZABCUVJOABUIZCPZQZUVHUVIUVNDOPZMOPZUVHOPGUGUVGDMOUJUKZUVNEOPZUVP
      UVIOPIUGUVCEMOUJUKULUMZAUVDUVGBCUCZUVDUNZUVGUDZBCUCZUVDUNZUVKUVDRZACOUVKU
      OUVDCUPUVDOUWEUOUVSUVCBCUQCOUVDUVKURUKAUWEUWARZBCDEUFUHZNZUWARZVAUWFUVKUW
      ARZUWIUWAUVDUPUWFUWJSUVTUVDUSUVKUWAUVDUTVBBUWAUVJNZBUWAUWGNZUWJUWIBUWAUVJ
      UWGUVLUWAPZUVMUVGQZUVMUVCQZQZUVJUWGSZUWMUVLUVTPZUVLUVDPZQUWPUVLUVTUVDVCUW
      RUWNUWSUWOUVGBCVDUVCBCVDZVEVFUVGUVCUWQUVMUVMUVGUVCUVHDUVIEUFUVGDMVGUVCEMV
      GZVHVIVJVLUWACUPZUWJUWKSUWAUVTCUVTUVDVKUVGBCUQVMZUXBKCBKUIZUVJVNZNZUWARKU
      WAUXENZUWJUWKKCUWAUXEVOUVKUXFUWABKCUVJUXEKUVJVPBUXDUVJVQZBUXDUVJVRZVSZVTU
      WMLUIZUVJSZQZBLTUXDUWAPZUXKUXESZQZKLTUWKUXGUXMUXPBLKUXMKWCUXNUXOBBKUWABUV
      TUVDUVGBCWAUVCBCWAZWBWDZBUXKUXEUXHWEZWNBKWFZUWMUXNUXLUXOBKUWAWGZUXTUVJUXE
      UXKUXIWHZWIWJBLUWAUVJWKKLUWAUXEWKWLWMVBUXBUWIUWLSUXCUXBKCBUXDUWGVNZNZUWAR
      KUWAUYCNZUWIUWLKCUWAUYCVOUWHUYDUWABKCUWGUYCKUWGVPBUXDUWGVQZBUXDUWGVRZVSVT
      UWMUXKUWGSZQZBLTUXNUXKUYCSZQZKLTUWLUYEUYIUYKBLKUYIKWCUXNUYJBUXRBUXKUYCUYF
      WEWNUXTUWMUXNUYHUYJUYAUXTUWGUYCUXKUYGWHWIWJBLUWAUWGWKKLUWAUYCWKWLWMVBWLWO
      AUWHVAPUWAWPWQZPZUWIVAPJAUVTUYLPUVDUYLPZUYMAUVTBCDNZWRZMWSZWTZUYPMXAXBUHZ
      WTZXCZUYLAUVTDMXAXGUHZPZBCUCZVUAAUVGVUCBCUVNUVGUVOUVGQVUCUVNUVOUVGGXDDXEX
      FXHUYPUYQUYSXCZWTUYPVUBWTVUAVUDVUEVUBUYPMXIPZXAXIPMXAXJUBVUEVUBSXKUUAUUBM
      XAUUCUUIZXLUYPUYQUYSXRBCDVUBUYOUYOXMZXNXOXPAUYOVAPZCOUYOUOZVUAUYLPZFABCDO
      GUMZVUIVUJQUYRUYLPZUYTUYLPVUKVUIVUJUVPVUMUGCMUYOXQXSCMXAUYOXTUYRUYTYAYBYB
      YCAUVDBCENZWRZUYQWTZVUOUYSWTZXCZUYLAUVDEVUBPZBCUCZVURAUVCVUSBCUVNUVCUVRUV
      CQVUSUVNUVRUVCIXDEXEXFXHVUOVUEWTVUOVUBWTVURVUTVUEVUBVUOVUGXLVUOUYQUYSXRBC
      EVUBVUNVUNXMZXNXOXPAVUNVAPZCOVUNUOZVURUYLPZHABCEOIUMZVVBVVCQVUPUYLPZVUQUY
      LPVVDVVBVVCUVPVVFUGCMVUNXQXSCMXAVUNXTVUPVUQYAYBYBYCZUVTUVDYDYBUWAUWHYHYBU
      UDAUWEUWDRZVUNUWDRZVAAVVHUVKUWDRZVVIUWDUVDUPVVHVVJSUWCUVDUSUVKUWDUVDUTVBA
      BUWDUVJNZBUWDENZVVJVVIABUWDUVJEUVLUWDPZAUVMUWBUVCQZQZUVJESUVLUWCPZUWSQUVM
      UWBQZUWOQVVMVVOVVPVVQUWSUWOUWBBCVDUWTVEUVLUWCUVDVCUVMUWBUVCUUEUUFAVVOQUVJ
      MEUFUHZEVVNUVJVVRSAUVMUWBUVCUVHMUVIEUFUVGDMYEUXAVHUUGAUVMVVRESVVNUVNEUVNE
      IYFUUHUUJUUKYIYGUWDCUPZVVJVVKSUWDUWCCUWCUVDVKUWBBCUQVMZVVSUXFUWDRKUWDUXEN
      ZVVJVVKKCUWDUXEVOUVKUXFUWDUXJVTVVMUXLQZBLTUXDUWDPZUXOQZKLTVVKVWAVWBVWDBLK
      VWBKWCVWCUXOBBKUWDBUWCUVDUWBBCWAUXQWBWDZUXSWNUXTVVMVWCUXLUXOBKUWDWGZUYBWI
      WJBLUWDUVJWKKLUWDUXEWKWLWMVBVVSVVIVVLSVVTVVSKCBUXDEVNZNZUWDRKUWDVWGNZVVIV
      VLKCUWDVWGVOVUNVWHUWDBKCEVWGKEVPBUXDEVQZBUXDEVRZVSVTVVMUXKESZQZBLTVWCUXKV
      WGSZQZKLTVVLVWIVWMVWOBLKVWMKWCVWCVWNBVWEBUXKVWGVWJWEWNUXTVVMVWCVWLVWNVWFU
      XTEVWGUXKVWKWHWIWJBLUWDEWKKLUWDVWGWKWLWMVBWMYJAVVBUWDUYLPZVVIVAPHAUWCUYLP
      UYNVWPAUYPYKMXBUHZWTZUWCUYLAVWRDVWQPZBCUCUWCBCDVWQUYOVUHXNAVWSUWBBCVWSUVO
      DMXJUBZQZUVNUWBVUFVWSVXAYLXKMDYMVBUVNVWTVXAUWBUVNUVOVWTGXDUVNUVOUVPVWTUWB
      YLGUGDMYNUKYOYPXHYJAVUIVUJVWRUYLPFVULCYKMUYOXTYBYQVVGUWCUVDYDYBUWDVUNYHYB
      YCUWAUWDXCZUVDSAUVDCUVDUNZUVTUWCXCZUVDUNVXBCCUPUVDVXCSCUULUVCBCCUUMVBCVXD
      UVDUVGBCYRUUNUVTUWCUVDUUSUUOYSYTAUVKUVFRZBCUVHNZUVFRZVAABUVFUVJNZBUVFUVHN
      ZVXEVXGABUVFUVJUVHUVLUVFPZAUVMUVEQUVJUVHSZUVEBCVDAUVMUVEVXKUVEUVNUVJUVHMU
      FUHUVHUVEUVIMUVHUFUVCEMYEUUPUVNUVHUVNUVHUVQYFUUQUURUUTYIYGUVFCUPZVXEVXHSU
      VEBCUQZVXLUXFUVFRKUVFUXENZVXEVXHKCUVFUXEVOUVKUXFUVFUXJVTVXJUXLQZBLTUXDUVF
      PZUXOQZKLTVXHVXNVXOVXQBLKVXOKWCVXPUXOBBKUVFUVEBCWAWDZUXSWNUXTVXJVXPUXLUXO
      BKUVFWGZUYBWIWJBLUVFUVJWKKLUVFUXEWKWLWMVBVXLVXGVXISVXMVXLKCBUXDUVHVNZNZUV
      FRKUVFVXTNZVXGVXIKCUVFVXTVOVXFVYAUVFBKCUVHVXTKUVHVPBUXDUVHVQZBUXDUVHVRZVS
      VTVXJUXKUVHSZQZBLTVXPUXKVXTSZQZKLTVXIVYBVYFVYHBLKVYFKWCVXPVYGBVXRBUXKVXTV
      YCWEWNUXTVXJVXPVYEVYGVXSUXTUVHVXTUXKVYDWHWIWJBLUVFUVHWKKLUVFVXTWKWLWMVBWM
      AVXFVAPUVFUYLPVXGVAPABCDGFUVAAVUOVWQWTZUVFUYLAVYIEVWQPZBCUCUVFBCEVWQVUNVV
      AXNAVYJUVEBCVYJUVREMXJUBZQZUVNUVEVUFVYJVYLYLXKMEYMVBUVNVYKVYLUVEUVNUVRVYK
      IXDUVNUVRUVPVYKUVEYLIUGEMYNUKYOYPXHYJAVVBVVCVYIUYLPHVVECYKMVUNXTYBYQUVFVX
      FYHYBYCUVDUVFXCZCSACVYMUVCBCYRUVBYSYT $.
  $}

  ${
    $d b f x y F $.  $d b f x y A $.
    $( A real-valued, a.e. continuous function is measurable.  (Contributed by
       Brendan Leahy, 4-Apr-2018.) $)
    cnambfre $p |- ( ( F : A --> RR /\ A e. dom vol /\ ( vol* ` ( A \
      ( ( `' ( ( ( topGen ` ran (,) ) |`t A ) CnP ( topGen ` ran (,) ) )
        o. _E ) " { F } ) ) ) = 0 ) -> F e. MblFn ) $=
      ( vb vx vy vf cr wcel cfv cep cima cdif wceq cv wral wa wss crab wn c0 wf
      cvol cdm cioo crn ctg crest co ccnp ccnv ccom csn covol cc0 w3a cmbf wrex
      wel cmpt id feqmptd cnveqd imaeq1d ad2antrr wo exmid biantrur andir bitri
      cun ctb retopbas bastg ax-mp sseli ad2antlr cnpimaex 3com12 3expa sylanl1
      ex simprrr wfn ffn adantr cpw restsspw elpwid simpl fnfvima syl3an sseldd
      3expb rexlimdvaa ad3antrrr impbid pm5.32da r19.42v orbi1d syl5bb rabbidva
      bitr4di eqid mptpreima unrab 3eqtr4g eqtrd 3adantl3 cin incom dfin4 inrab
      wi ciun a1i iuneq2i iunin2 iunrab 3eqtr3i eqeq2 cab jca abbidv df-rab syl
      ctop sylan ralrimiva syl2anc difss ssrab2 sstrid wb cmap ctopon ovolssnul
      retopon nulmbl syl2an2r bitr2id cif simprrl sselda pm3.22 adantll impbida
      cvjust simpr con3i ralrimivw rabeq0 sylibr adantl retop resttop mpan 0opn
      ifbothda ifcl ancoms iunopn subopnmbl mpdan rgenw iunss mpbir sstri mblss
      eqeltrid ssdif wrel rele elrelimasn fvex epeli bitr2i anbi2i rabex fnmpti
      wbr ovex resttopon sylancr cnpfval sylancl fneq1d mpbiri elpreima bitr4id
      imaco abid2 eqtr4i difeq2d sseqtrid difmbl eqeltrrid eleq2i ibar sylan9bb
      notbid biimpd adantrd dfdif2 sseqtrrdi unmbl 3adant1 eqeltrd ismbf mpbird
      ss2rabdv 3ad2ant1 ) AGBUAZAUBUCZHZAUDUEZUFIZAUGUHZUXPUIUHZUJZJUKBULZKZLZU
      MIUNMZUOZBUPHZBUJZCNZKZUXMHZCUXOOZUYDUYICUXOUYDUYGUXOHZPUYHBDNZUXRIZHZDEU
      RZBENZKZUYGQZPZPZEUXQUQZDARZUYNSZUYLBIZUYGHZPZDARZVJZUXMUXLUXNUYKUYHVUHMU
      YCUXLUXNPZUYKPZUYHDAVUDUSZUJZUYGKZVUHUXLUYHVUMMUXNUYKUXLUYFVULUYGUXLBVUKU
      XLDAGBUXLUTVAVBVCVDVUJVUEDARVUAVUFVEZDARVUMVUHVUJVUEVUNDAVUEUYNVUEPZVUFVE
      ZVUJUYLAHZPZVUNVUEUYNVUCVEZVUEPVUPVUSVUEUYNVFVGUYNVUCVUEVHVIVURVUOVUAVUFV
      URVUOUYNUYSEUXQUQZPVUAVURUYNVUEVUTVURUYNPZVUEVUTVVAVUEVUTVURUYGUXPHZUYNVU
      EVUTUYKVVBVUIVUQUXOUXPUYGUXOVKHUXOUXPQVLUXOVKVMVNVOVPVVBUYNVUEVUTUYNVVBVU
      EVUTEUYGUYLBUXQUXPVQVRVSVTWAVUIVUTVUEXMUYKVUQUYNVUIUYSVUEEUXQVUIUYPUXQHZU
      YSPPUYQUYGVUDVUIVVCUYOUYRWBVUIVVCUYSVUDUYQHZVUIBAWCZVVCUYPAQZUYSUYOVVDUXL
      VVEUXNAGBWDWEVVCUYPAUXQAWFUYPAUXPWGVOWHZUYOUYRWIAUYPBUYLWJWKWMWLWNWOWPWQU
      YNUYSEUXQWRXBWSWTXADAVUDUYGVUKVUKXCXDVUAVUFDAXEXFXGXHUYDVUHUXMHZUYKUXNUYC
      VVHUXLUXNUYCPZVUBUXMHVUGUXMHZVVHVVIVUBEUXQUYSDARZXNZVVLUYNDARZLZLZUXMVVLV
      VMXIVVMVVLXIZVVOVUBVVLVVMXJVVLVVMXKEUXQVVMVVKXIZXNEUXQUYTDARZXNVVPVUBEUXQ
      VVQVVRVVQVVRMVVCUYNUYSDAXLXOXPEUXQVVMVVKXQUYTEDUXQAXRXSXSUXNVVLUXMHUYCVVN
      UXMHZVVOUXMHUXNVVLEUXQUYRUYPTUUAZXNZUXMEUXQVVKVVTUYRVVKUYPMVVKTMZVVKVVTMV
      VCUYPTUYPVVTVVKXTTVVTVVKXTVVCUYRPZVUQUYSPZDYAUYODYAVVKUYPVWCVWDUYODVWCVWD
      UYOVWCVUQUYOUYRUUBVWCUYOPVUQUYSVWCUYPAUYLVVCVVFUYRVVGWEUUCUYRUYOUYSVVCUYR
      UYOUUDUUEYBUUFYCUYSDAYDEDUUGXFUYRSZVWBVVCVWEUYSSZDAOVWBVWEVWFDAUYSUYRUYOU
      YRUUHUUIUUJUYSDAUUKUULUUMUURXPUXNVWAUXQHZVWAUXMHUXNUXQYFHZVVTUXQHZEUXQOVW
      GUXPYFHUXNVWHUUNAUXPUXMUUOUUPZUXNVWIEUXQUXNTUXQHZVVCVWIUXNVWHVWKVWJUXQUUQ
      YEVVCVWKVWIUYRUYPTUXQUUSUUTYGYHEUXQVVTUXQUVAYIAVWAUXQUXQXCUVBUVCUVIUXNVVN
      GQUYCVVNUMIUNMZVVSUXNVVNAGVVNVVLAVVLVVMYJVVLAQZVVKAQZEUXQOVWNEUXQUYSDAYKU
      VDEUXQVVKAUVEUVFZUVGAUVHZYLUXNVVNUYBQZUYBGQZPUYCVWLUXNVWQVWRUXNAVVMLZVVNU
      YBVWMVVNVWSQVWOVVLAVVMUVJVNUXNVVMUYAAUXNVUQUYNPZDYAUYLUXSJUXTKZKZHZDYAZVV
      MUYAUXNVWTVXCDUXNVWTVUQUYMVXAHZPZVXCUYNVXEVUQVXEBUYMJUVTZUYNJUVKVXEVXGYMU
      VLBUYMJUVMVNBUYMUYLUXRUVNUVOUVPZUVQUXNUXRAWCZVXCVXFYMUXNVXIDAUYLFNZIUYGHU
      YOVXJUYPKUYGQPEUXQUQXMCUXPOZFGAYNUHZRZUSZAWCDAVXMVXNVXKFVXLGAYNUWAUVRVXNX
      CUVSUXNAUXRVXNUXNUXQAYOIHZUXPGYOIHZUXRVXNMUXNVXPAGQVXOYQVWPAUXPGUWBUWCYQD
      CEFUXQUXPAGUWDUWEUWFUWGAUYLVXAUXRUWHYEZUWIYCUYNDAYDUYAVXBVXDUXSJUXTUWJZDV
      XBUWKUWLXFUWMUWNUXNUYBAGAUYAYJVWPYLZYBVWQVWRUYCVWLVVNUYBYPVSYGVVNYRYSVVLV
      VNUWOYSUWPUXNVUGGQUYCVUGUMIUNMZVVJUXNVUGAGVUFDAYKVWPYLUXNVUGUYBQZVWRPUYCV
      XTUXNVYAVWRUXNVUGUYLUYAHZSZDARUYBUXNVUFVYCDAUXNVUQPZVUCVYCVUEVYDVUCVYCVYD
      UYNVYBVYBVXCVYDUYNUYAVXBUYLVXRUWQUXNVXCVXFVUQUYNVXQUYNVXEVUQVXFVXHVUQVXEU
      WRYTUWSYTUWTUXAUXBUXJDAUYAUXCUXDVXSYBVYAVWRUYCVXTVUGUYBYPVSYGVUGYRYSVUBVU
      GUXEYIUXFWEUXGYHUXLUXNUYEUYJYMUYCCABUXHUXKUXI $.
  $}

  $( Lemma for ~ dvtan - the domain of the tangent is open.  (Contributed by
     Brendan Leahy, 8-Aug-2018.)  (Proof shortened by OpenAI, 3-Jul-2020.) $)
  dvtanlem $p |- ( `' cos " ( CC \ { 0 } ) ) e. ( TopOpen ` CCfld ) $=
    ( ccos ccnfld ctopn cfv ccn co wcel cc0 csn cdif ccnv cima ccncf coscn eqid
    cc cncfcn1 eleqtri ccld mp2an cha cnfldhaus 0cn cnfldtopon toponunii cldopn
    sncld ax-mp cnima ) ABCDZUJEFZGPHIZJZUJGZAKUMLUJGAPPMFUKNUJUJOZQRULUJSDGZUN
    UJUAGHPGUPUJUOUBUCHUJPPUJUJUOUDUEZUGTULUJPUQUFUHUMAUJUJUIT $.

  ${
    $d x y $.
    $( Derivative of tangent.  (Contributed by Brendan Leahy, 7-Aug-2018.) $)
    dvtan $p |- ( CC _D tan ) = ( x e. dom tan |-> ( ( cos ` x ) ^ -u 2 ) ) $=
      ( vy cc ctan cdv co ccos cc0 csin c1 cdiv cmul cmpt cexp wcel adantl wceq
      c2 wtru a1i ccnv csn cdif cima cv cfv cneg caddc cdm df-tan cnvimass cosf
      fdmi sseqtri sseli sincld coscld wa wne wf wfn ffn elpreima mp2b eldifsni
      wb sylbi divrecd mpteq2ia eqtri oveq2i cvv cr cpr cnelprrecn difss imass2
      wss ax-mp fimacnv ccnfld ctopn sincl coscl dvsin sinf feqmptd oveq2d eqid
      3eqtr3a cnfldtopon toponrestid dvtanlem reccld ovexd simprbi negcld negex
      dvmptres eldifi dvcos eqtr3di ax-1cn dvrec mp1i oveq2 oveq1 dvmptco mptru
      negeqd dvmptmul wral dmmpti eqcomi sqcld sqne0 syl mpbird divdird addcomd
      ovex sincossq oveq1d eqtr3d recidd dividd eqtr4d div23d mul2negd divrec2d
      eqtrd sqvald 3eqtr4rd oveq12d cn0 2nn0 expneg sylancl 3eqtr4d rgen 3eqtri
      mpteq12 mp2an ) CDEFCAGUAZCHUBZUCZUDZAUEZIUFZJUUHGUFZKFZLFZMZEFZAUUGUUJUU
      KLFZJUUJRNFZKFZUGZUUIUGZLFZUUILFZUHFZMZADUIZUUJRUGNFZMZDUUMCEDAUUGUUIUUJK
      FZMUUMAUJZAUUGUVGUULUUHUUGOZUUIUUJUVIUUHUUGCUUHUUGGUICGUUFUKCCGULUMUNUOZU
      PZUVIUUHUVJUQZUVIUUHCOZUUJUUFOZURZUUJHUSZCCGUTZGCVAUVIUVOVFULCCGVBCUUHUUF
      GVCVDZUVNUVPUVMUUJCHVEPVGZVHVIVJVKUUNUVCQSAUUIUUJUUKUUTCCVLUUGCVMCVNOSVOT
      ZUVIUUICOZSUVIUUHUUGCUUHUUGUUDCUDZCUUFCVRUUGUWBVRCUUEVPUUFCUUDVQVSUVQUWBC
      QULCCGVTVSUNZUOUPPZUVIUUJCOZSUVLPSAUUIUUJCWAWBUFZUWFCCUUGUVTUVMUWASUUHWCP
      ZUVMUWESUUHWDPZSCIEFGCACUUIMZEFACUUJMZWESIUWICESACCICCIUTSWFTWGWHSACCGUVQ
      SULTWGZWJUUGCVRSUWCTZUWFCUWFUWFWIZWKWLZUWMUUGUWFOSWMTZWSUVIUUKCOSUVIUUJUV
      LUVSWNPSUVIURZUURUUSLWOSABUUJUUSJBUEZKFZJUWQRNFZKFZUGZCCUUKUURCVLUUGUUFUV
      TUVTUVIUVNSUVIUVMUVNUVRWPPUWPUUIUWDWQUWQUUFOZUWRCOSUXBUWQUWQCUUEWTUWQCHVE
      WNPUXAVLOSUXBURUWTWRTSAUUJUUSCUWFUWFCCUUGUVTUWHSUVMURUUIUWGWQSCGEFCUWJEFA
      CUUSMSGUWJCEUWKWHAXAXBUWLUWNUWMUWOWSJCOCBUUFUWRMEFBUUFUXAMQSXCBJXDXEUWQUU
      JJKXFUWQUUJQZUWTUUQUXCUWSUUPJKUWQUUJRNXGWHXJXHXKXIUUGUVDQUVBUVEQZAUUGXLUV
      CUVFQUVDUUGAUUGUVGDUUIUUJKYAUVHXMXNUXDAUUGUVIUUPUUPKFZUUIRNFZUUPKFZUHFZUU
      QUVBUVEUVIUUPUXFUHFZUUPKFUXHUUQUVIUUPUXFUUPUVIUUJUVLXOZUVIUUIUVKXOZUXJUVI
      UUPHUSZUVPUVSUVIUWEUXLUVPVFUVLUUJXPXQXRZXSUVIUXIJUUPKUVIUXIUXFUUPUHFZJUVI
      UUPUXFUXJUXKXTUVIUVMUXNJQUVJUUHYBXQYKYCYDUVIUUOUXEUVAUXGUHUVIUUOJUXEUVIUU
      JUVLUVSYEUVIUUPUXJUXMYFYGUVIUUIUUILFZUUPKFUUIUUPKFZUUILFUXGUVAUVIUUIUUIUU
      PUVKUVKUXJUXMYHUVIUXFUXOUUPKUVIUUIUVKYLYCUVIUUTUXPUUILUVIUUTUUQUUILFUXPUV
      IUUQUUIUVIUUPUXJUXMWNUVKYIUVIUUIUUPUVKUXJUXMYJYGYCYMYNUVIUWERYOOUVEUUQQUV
      LYPUUJRYQYRYSYTAUUGUVBUVDUVEUUBUUCUUA $.
  $}

  ${
    $d s t u v x y z f g h a b c d F $.  $d s t u v x y z f g h a b c d G $.
    $d s t u v x y z f g h a b c d ph $.

    ${
      itg2addnclem.1 $e |- L = { x | E. g e. dom S.1
          ( E. y e. RR+ ( z e. RR |-> if ( ( g ` z ) = 0 ,
            0 , ( ( g ` z ) + y ) ) ) oR <_ F /\ x = ( S.1 ` g ) ) } $.
      $( An alternate expression for the ` S.2 ` integral that includes an
         arbitrarily small but strictly positive "buffer zone" wherever the
         simple function is nonzero.  (Contributed by Brendan Leahy,
         10-Oct-2017.)  (Revised by Brendan Leahy, 10-Mar-2018.) $)
      itg2addnclem $p |- ( F : RR --> ( 0 [,] +oo ) ->
          ( S.2 ` F ) = sup ( L , RR* , < ) ) $=
        ( cr cc0 co cle wbr wceq wa cxr clt wcel adantr cvv cmin vf vb va vs vu
        cpnf wf cfv cv citg1 cdm wrex csup eqid caddc cif cmpt crp itg1cl rexrd
        a1i wss wn weq fveq1 oveq1d mpteq2dv breq1d rexbidv fveq2 anbi12d breq2
        id adantl ad2antlr ffvelrnda adantlr mpbid ifbothda adantlll wi sylancr
        wral 0re mpan2 ad2antrr reex eqidd feqmptd ofrfval2 syl imp breq2d cmnf
        wb wne c2 c0ex mpbird iftrue bitr3d rspcev eqeq1 anbi2d syl2an ad3antlr
        sylan simpr anim12i cdif ad3antrrr simplrl eqtrdi eleq2d sylbid syl2anc
        cima simpl cmul cdiv simprl fvex ovex ifex offval2 ovif2 eqtrd oveq1 c1
        syl5eq eqeltrrd recnd ifbieq1d eqtr4d iffalse adantlrl halfcld oveq2d
        ex cc cicc cofr cab itg2val supeq1i wor xrltso simprr eqeltrd rexlimiva
        citg2 abssi supxrcl mp1i eqeq1d ifbieq2d eqeq2d cbvrexvw eqbrtrdi rpge0
        0le0 i1ff rpre addge01d readdcld ifcl iccssxr fss xrletr mpand ralimdva
        syl3anc 3imtr4d rexlimdva anim1d reximdva syl5bi ss2abdv sseld 3ad2ant2
        w3a simp3r rexlimdv3a abssdv xrsupss syld supxrlub mpan simprrr simplll
        supub wex csn cxp i1f0 2rp ne0ii ffvelrn elxrge0 sylib simprd ralrimiva
        c0 ralrimivw itg10 eqtr2di biantrud fvconst2 sylan9eq mpteq2dva eqbrtrd
        r19.2z mnflt spcev simp-4r simpllr ngtmnft biimprd necon1ad xrltle xrre
        syl22anc ccnv crn covol cnvimass fssdm eqcomd wfun difpreima cnvimarndm
        fdm ffun difeq1i difeq12d dfss4 mpbi wfn fniniseg syl6bi itg10a breqtrd
        ffn difeq1d biantrurd eldif bitr4di bitr4d con2bid 0m0e0 ifeq2da simpll
        cof 3syl 1ex fconstmpt resubcl 2re cvol i1fima neldifsn i1fima2 remulcl
        mblvol 2cnd 2ne0 mulne0d redivcld mulid1d mul01d ifeq12d i1fmulc i1fsub
        i1f1 sylan9eqr wo ianor ifbid ifboth sylancl pm2.61d1 jaoi sylbi eleq1w
        pm2.61i fvmpt eqtr4id mpteq2ia i1fpos ad2antrl posdifd mblss ltlen 2pos
        ovolge0 mulgt0 mpanl12 divgt0d elrpd inidm ofrfval anim2i divcld npcand
        breq1 pm2.24d impcom adantll sylanl1 oveq2 ifeq2d eqcoms nfeq2 mpteq2da
        mpd nfmpt1 fvmpt2 simplrr ltdiv1d recn 2halvesd pncand eqtr3d rehalfcld
        rehalfcl ltsubaddd 3bitr2d itg1mulc fveq2d itg11 mulcomd divassd 3eqtrd
        divcan5rd 3eqtr3d itg1sub subsubd 3eqtrrd 3eqtr4d breqtrrd leidd ltnled
        divsubdird resubcld biimpar ltled pm2.61dan bicomd bitrdi notbid pm4.53
        iba breq12d simplbda jaod sylbir olcs ltletrd adantllr pm2.61dane an32s
        itg1le expr rexlimdvaa expimpd ancomsd exlimdv rexab 3imtr4g eqsupd
        impr ) HIUFUUAJZEUGZEUUKUHUAUIZEKUUBZLZAUIZWVNUJUHZMZNZUAUJUKZULZAUUCZO
        PUMZFOPUMZAUAEWWCWWCUNUUDWVMWWECHCUIZDUIZUHZIMZIWWHBUIZUOJZUPZUQZEWVOLZ
        BURULZWVQWWGUJUHZMZNZDWWAULZAUUCZOPUMWWDOFWWTPGUUEWVMUBUCOWWTWWDPOPUUFW
        VMUUGVAZWWCOVBZWWDOQWVMWWBAOWVTWVQOQZUAWWAWVNWWAQZWVTNWVQWVROWXDWVPWVSU
        UHWXDWVROQZWVTWXDWVRWVNUSZUTZRUUIUUJUULZWWCUUMUUNWVMUBUIZWWTQZWWDWXIPLV
        CZWVMWXJWXIWWCQWXKWVMWWTWWCWXIWVMWWSWWBAWWSCHWWFWVNUHZIMZIWXLWWJUOJZUPZ
        UQZEWVOLZBURULZWVSNZUAWWAULWVMWWBWWRWXSDUAWWADUAVDZWWOWXRWWQWVSWXTWWNWX
        QBURWXTWWMWXPEWVOWXTCHWWLWXOWXTWWIWXMWWKWXNIWXTWWHWXLIWWFWWGWVNVEZUUOWX
        TWWHWXLWWJUOWYAVFUUPVGVHVIWXTWWPWVRWVQWWGWVNUJVJUUQVKUURWVMWXSWVTUAWWAW
        VMWXDNZWXRWVPWVSWYBWXQWVPBURWYBWWJURQZNZWXOWWFEUHZKLZCHWCWXLWYEKLZCHWCZ
        WXQWVPWYDWYFWYGCHWYDWWFHQZNZWXLWXOKLZWYFWYGWXDWYCWYIWYKWVMWXMWXLIKLZWXL
        WXNKLZWYKWXDWYCNWYINZIWXNIWXOWXLKVLWXNWXOWXLKVLWXMWYLWYNWXMWXLIIKWXMVMU
        VAUUSVNWYNWYMWXMVCWYNIWWJKLZWYMWYCWYOWXDWYIWWJUUTVOWYNWXLWWJWXDWYIWXLHQ
        ZWYCWXDHHWWFWVNWVNUVBZVPZVQWYCWWJHQZWXDWYIWWJUVCZVOUVDVRRVSVTWYJWXLOQWX
        OOQWYEOQZWYKWYFNWYGWAWYJWXLWYDHHWWFWVNWXDHHWVNUGZWVMWYCWYQVOVPZUTWYJWXO
        WYJIHQZWXNHQWXOHQWDWYJWXLWWJXUCWYCWYSWYBWYIWYTVOUVEWXMIWXNHUVFWBZUTWYDH
        OWWFEWVMHOEUGZWXDWYCWVMWVLOVBXUFIUFUVGHWVLOEUVHWEWFVPZWXLWXOWYEUVIUVLUV
        JUVKWYDCHWXOWYEKWXPESHOHSQZWYDWGVAZXUEXUGWYDWXPWHWVMECHWYEUQMWXDWYCWVMC
        HWVLEWVMVMWIZWFZWJWYDCHWXLWYEKWVNESHOXUIXUCXUGWXDWVNCHWXLUQMZWVMWYCWXDC
        HHWVNWYQWIZVOXUKWJUVMUVNUVOUVPUVQUVRUVSWVMUCUBUDOWWCWXIPWXAWVMWXBUCUIZW
        XIPLVCUBWWCWCWXIXUNPLZWXIUDUIZPLZUDWWCULZWAUBOWCNUCOULWVMWWBAOWVMWVTWXC
        UAWWAWVMWXDWVTUWAWVQWVROWVMWXDWVPWVSUWBWXDWVMWXEWVTWXGUVTUUIUWCUWDUCUBU
        DWWCUWEWKUWKUWFWLWVMWXIOQZWXIWWDPLZXUOUCWWTULZWVMXUSNZXUTXURXVAXUSXUTXU
        RWOZWVMWXBXUSXVCWXHUDWWCWXIUWGUWHVNXVBWVPXUPWVRMZNZUAWWAULZXUQNZUDUWLWW
        OXUNWWPMZNZDWWAULZXUONZUCUWLZXURXVAXVBXVGXVLUDXVBXUQXVFXVLXVBXUQXVFXVLX
        VBXUQNXVEXVLUAWWAXVBWXDXVENZXUQXVLXVBXVMNZXUQXVLXVNXUQWXIWVRPLZXVLXVNXU
        PWVRWXIPXVBWXDWVPXVDUWIWMXVNXVOXVLXVNXVONZXVLWXIWNXVPWVMWXIWNMZXVLWVMXU
        SXVMXVOUWJWVMWWOIWWPMZNZDWWAULZWXIIPLZXVLXVQWVMHIUWMZUWNZWWAQCHIUQZEWVO
        LZBURULZXVTUWOWVMURUXCWPXWEBURWCXWFWQURUWPUWQWVMXWEBURWVMXWEIWYEKLZCHWC
        WVMXWGCHWVMWYINZXUAXWGXWHWYEWVLQZXUAXWGNZHWVLWWFEUWRZWYEUWSZUWTUXAUXBWV
        MCHIWYEKXWDESSWVLXUHWVMWGVAZISQXWHWRVAXWKWVMXWDWHXUJWJWSUXDXWEBURUXLWBX
        VSXWFDXWCWWAWWGXWCMZWWOXVSXWFXWNXVRWWOXWNWWPXWCUJUHIWWGXWCUJVJUXEUXFUXG
        XWNWWNXWEBURXWNWWMXWDEWVOXWNCHWWLIXWNWYINWWIWWLIMXWNWYIWWHWWFXWCUHIWWFW
        WGXWCVEHIWWFWRUXHUXIWWIIWWKWTWKUXJVHVIXAXBWBZXVQWXIWNIPXVQVMXUDWNIPLXVQ
        WDIUXMUUNUXKXVKXVTXWANUCIWRXUNIMZXVJXVTXUOXWAXWPXVIXVSDWWAXWPXVHXVRWWOX
        UNIWWPXCXDVIXUNIWXIPVLVKUXNZXEXGXVPWXIWNWPZNZWXIHQZXVLXWSXUSWVRHQZWNWXI
        PLZWXIWVRKLZXWTWVMXUSXVMXVOXWRUXOXVMXXAXVBXVOXWRWXDXXAXVEWXFRZXFXVPXUSX
        WRXXBWVMXUSXVMXVOUXPXUSXWRXXBXUSXXBWXIWNXUSXVQXXBVCWXIUXQUXRUXSWLXGXVPX
        XCXWRXVNXUSWXENZXVOXXCXVBXUSXVMWXEWVMXUSXHWXDWXEXVEWXGRXIXXEXVOXXCWXIWV
        RUXTWLXGRWXIWVRUYAUYBXVPXWTXVLWAZXWRWVMXVMXVOXXFXUSWVMXVMNZXVOXWTXVLXXG
        XVOXWTNZNZXVLWVNUYCZWVNUYDZXWBXJZXQZUYEUHZIXXIXXNIMZNZXVTXWAXVLWVMXVTXV
        MXXHXXOXWOXKXXPWXIWVRIPXXGXVOXWTXXOXLXXIWXDXXOWVRIMWVMWXDXVEXXHXLWXDXXO
        NCXXMWVNWXDXXOXRWXDXXMHVBZXXOWXDHHXXMWVNWVNXXLUYFWYQUYGRWXDXXOXHWXDWWFH
        XXMXJZQZWXMXXOWXDXXSWXMWXDXUBXXSWXMWAWYQXUBXXSWWFXXJXWBXQZQZWXMXUBXXRXX
        TWWFXUBXXRWVNUKZXYBXXTXJZXJZXXTXUBHXYBXXMXYCXUBXYBHHHWVNUYLZUYHXUBXXMXX
        JXXKXQZXXTXJZXYCXUBWVNUYIXXMXYGMHHWVNUYMXXKXWBWVNUYJWKZXYFXYBXXTWVNUYKZ
        UYNXMUYOXXTXYBVBXYDXXTMWVNXWBUYFXXTXYBUYPUYQXMXNXUBWVNHUYRZXYAWXMWAZHHW
        VNVUCZXYJXYAWYIWXMNWXMHIWWFWVNUYSZWYIWXMXHUYTWKXOWKWLVQVUAXGVUBXWQXPXXI
        XXNIWPZNZWWOCHIWXLWVRWXITJZWQXXNXSJZXTJZTJZKLZWWFXXMQZNZXYSIUPZUQZUJUHZ
        WWPMZNZDWWAULZWXIYUEPLZXVLXYOYUDWWAQZCHYUCIMZIYUCWWJUOJZUPZUQZEWVOLZBUR
        ULZYUHXXIWXDXWTNZXYNYUJXXGWXDXXHXWTWVMWXDXVEYAXVOXWTXHZXIZYUQXYNNZUEHUE
        UIZXXMQZYVAWVNUHZXYRTJZIUPZUQZWWAQYUJYUTWVNUEHYVBXYRIUPZUQZTVUMZJZYVFWW
        AYUTYVJUEHYVCYVGTJZUQYVFYUTUEHYVCYVGTWVNYVHSSSXUHYUTWGVAZYVCSQYUTYVAHQZ
        NZYVAWVNYBVAYVGSQYVNYVBXYRIXYPXYQXTYCZWRYDVAWXDWVNUEHYVCUQMXWTXYNWXDUEH
        HWVNWYQWIWFYUTYVHWHYEYUTUEHYVKYVEYVNYVKYVBYVDYVCITJZUPYVEYVBYVCXYRITYFY
        VNYVBYVPIYVDYVNYVBVCZYVPIMZYVNYVQYVMYVCIMZNZYVRYVNYVAXXTQZYVQYVTYVNYVBY
        WAYVNYVBYVAHXXTXJZQZYWAVCZWXDYVBYWCWOZXWTXYNYVMWXDXUBYWEWYQXUBXXMYWBYVA
        XUBXXMXYGYWBXYHXUBXYFHXXTXUBXYFXYBHXYIXYEYJZVUDYGXNWKXKYVNYWDYVMYWDNYWC
        YVNYVMYWDYUTYVMXHVUEYVAHXXTVUFVUGVUHVUIWXDYWAYVTWOZXWTXYNYVMWXDXUBXYJYW
        GWYQXYLHIYVAWVNUYSVUNXKXAYVSYVRYVMYVSYVPIITJZIYVCIITYHVUJXMVNUYTWLVUKYJ
        UXJYGYUTWXDYVHWWAQYVJWWAQWXDXWTXYNVULZYUTHXYRUWMUWNZUEHYVBYIIUPZUQZXSVU
        MZJZYVHWWAYUTYWNUEHXYRYWKXSJZUQYVHYUTUEHXYRYWKXSYWJYWLSSSYVLXYRSQZYVNYV
        OVAYWKSQYVNYVBYIIVUOWRYDVAYWJUEHXYRUQMYUTUEHXYRVUPVAYUTYWLWHYEYUTUEHYWO
        YVGYUTYWOYVBXYRYIXSJZXYRIXSJZUPYVGYVBXYRYIIXSYFYUTYVBYWQXYRYWRIYUTXYRYU
        TXYRYUTXYPXYQYUQXYPHQZXYNWXDXXAXWTYWSWXFWVRWXIVUQZXGZRWXDXYQHQZXWTXYNWX
        DWQHQZXXNHQZYXBVURWXDXXMVUSUHZXXNHWXDXXMVUSUKQZYXEXXNMZXXLWVNVUTZXXMVVD
        WKZWXDIXXLQVCYXEHQZIXXKVVAXXLWVNVVBWEZYKZWQXXNVVCWBZWFYUTWQXXNYUTVVEZYU
        TXXNWXDYXDXWTXYNYXLWFYLZWQIWPYUTVVFVAZYUQXYNXHZVVGZVVHZYLZVVIZYUTXYRYXT
        VVJZVVKYJVGYGYUTXYRYWLWXDYWLWWAQZXWTXYNWXDYXFYXJYYCYXHYXKUEXXMYWLYWLUNV
        VNXPWFYXSVVLYKWVNYVHVVMXPYKCYVFYUDCHYUCIWWFYVFUHZKLZYYDIUPZWYIYUCIYUAXY
        SIUPZKLZYYGIUPZYYFYUBYUCYYIMYUBYUCXYSYYIYUBXYSIWTYUAXYTYYIXYTXYSIUPZXYS
        YUAYYHXYTYYGXYSIYUAYYGXYSIKYUAXYSIWTZWMZYYKYMXYTXYSIWTZVVOYNYUBVCZYUCIY
        YIYUBXYSIYOZYYNXYTVCZYUAVCZVVPZYYIIMZXYTYUAVVQZYYPYYSYYQYYPYUAYYSYYPYUA
        YYSYUAYYPYYIXYTYYGIUPIYUAYYHXYTYYGIYYLVVRXYTYYGIYOVVOYSYYQYYGIMZIIMZYYS
        YUAXYSIYOIUNYYHUUUAUUUBYYSYYGIYYGYYIIXCIYYIIXCVVSVVTZVWAUUUCVWBVWCYNVWE
        WYIYYEYYHYYDYYGIWYIYYDYYGIKUEWWFYVEYYGHYVFUECVDZYVBYUAYVDXYSIUECXXMVWDU
        UUDYVCWXLXYRTYVAWWFWVNVJVFYMYVFUNYUAXYSIWXLXYRTYCZWRYDVWFZWMUUUFYMVWGVW
        HVWIWKZXGXYOXYRURQCHYUKIYUCXYRUOJZUPZUQZEWVOLZYUPXYOXYRXXIYUQXYNXYRHQZY
        USYXSXGXYOXYPXYQXXIYWSXYNXXGXXAXWTYWSXXHWXDXXAWVMXVEWXFVWJYURYWTXERXVMY
        XBWVMXXHXYNWXDYXBXVEYXMRXFXXIIXYPPLZXYNXXIXVOUUUMXXGXVOXWTYAXXIWXIWVRXX
        GXVOXWTUUHXVMXXAWVMXXHXXDVOVWKVRRXYOYXDIXXNPLZIXYQPLZXVMYXDWVMXXHXYNWXD
        YXDXVEYXLRXFXXGXYNUUUNXXHXXGXYNUUUNWXDXYNUUUNWAWVMXVEWXDIXXNKLZXYNUUUNW
        XDYXFXXQUUUPYXHXXMVWLXXMVWOVUNWXDUUUNUUUPXYNNZWXDXUDYXDUUUNUUUQWOWDYXLI
        XXNVWMWBUXRUVJVWJWLVQYXCIWQPLYXDUUUNNUUUOVURVWNWQXXNVWPVWQXPVWRVWSXYOUU
        UKUUUIWYEKLZCHWCZXYOWVPUUUSXVMWVPWVMXXHXYNWXDWVPXVDYAXFXYOWVPWYHUUUSXXG
        WVPWYHWOZXXHXYNWVMEHUYRZXYJUUUTXVMHWVLEVUCWXDXYJXVEWXDXUBXYJWYQXYLWKRUU
        VAXYJNZCHHWXLWYEKHWVNESSUUVAXYJXHUUVAXYJXRXUHUUVBWGVAZUUVCHVWTUUVBWYINZ
        WXLWHUUVDWYEWHVXAXEWFXYOWYGUUURCHXXIWYBXWTNZXYNWYIWYGUUURWAXXGWYBXXHXWT
        XVMWXDWVMWXDXVEXRVXBYURXIUUVEXYNNZWYINZWYGUUURYUKXWGUUUHWYEKLZUUURUUVGW
        YGNZIUUUHIUUUIWYEKVXEUUUHUUUIWYEKVXEUUVGXWGWYGYUKUUVGXUAXWGUUVGXWIXWJUU
        VFHWVLWWFEWVMWXDXWTXYNUWJVPXWLUWTUXAWFYUBXYSXYRUOJZWYEKLZIXYRUOJZWYEKLZ
        UUVHUUVIYUKVCZNXYSIXYSYUCMUUVJUUUHWYEKXYSYUCXYRUOYHVHIYUCMUUVLUUUHWYEKI
        YUCXYRUOYHVHUUVIUUVKUUVNYUBUUVIUUVJWXLWYEKUUVGUUVJWXLMWYGUUVGWXLXYRUUVG
        WXLUUVFHHWWFWVNWXDXUBWVMXWTXYNWYQXFVPYLUUVFXYRYTQZWYIWXDXWTXYNUUVOWVMYU
        TXYPXYQYUQXYPYTQXYNYUQXYPYXAYLRZWXDXYQYTQXWTXYNWXDXYQYXMYLWFZYXRVXCVTRV
        XDRUUVGWYGXHUXKWFUUVNYYNUUVMUUVIYYNUUVNUUVMYYNYUKUUVMYYOVXFVXGVXHVSVSYS
        VXIUVKXOVXOWVMUUUKUUUSWOXVMXXHXYNWVMCHUUUIWYEKUUUJESSWVLXWMUUUISQXWHYUK
        IUUUHWRYUCXYRUOYCYDVAXWKWVMUUUJWHXUJWJXKWSYUOUUUKBXYRURWWJXYRMZYUNUUUJE
        WVOUUVRCHYUMUUUIUUVRYUKYULUUUHIWWJXYRYUCUOVXJVXKVGVHXBXPYUGYUPDYUDWWAWW
        GYUDMZWWOYUGYUPUUVSYUFWWOYUFYUDWWGYUDWWGUJVJVXLUXGUUVSWWNYUOBURUUVSWWMY
        UNEWVOUUVSCHWWLYUMCWWGYUDCHYUCVXPVXMUUVSWYINZWWIYUKWWKYULIUUVTWWHYUCIUU
        VSWYIWWHWWFYUDUHZYUCWWFWWGYUDVEWYIYUCSQZUUWAYUCMYUBXYSIUUUEWRYDZCHYUCSY
        UDYUDUNVXQWEUXIZUUOUUVTWWHYUCWWJUOUUWDVFUUPVXNVHVIXAXBXPXVMXXHXYNYUIWVM
        WXDXXHXYNYUIXVEWXDXXHNXYNNZWXIWVNCHYUAXYRIUPZUQZYVIJZUJUHZYUEWXDXVOXWTX
        YNVXRWXDXWTXYNUUWIHQZXVOYUTUUWHWWAQZUUWJYUTWXDUUWGWWAQZUUWKYWIYUTYWJCHY
        UAYIIUPZUQZYWMJZUUWGWWAYUTUUWOCHXYRUUWMXSJZUQUUWGYUTCHXYRUUWMXSYWJUUWNS
        SSYVLYWPYUTWYINZYVOVAUUWMSQUUWQYUAYIIVUOWRYDVAYWJCHXYRUQMYUTCHXYRVUPVAY
        UTUUWNWHYEYUTCHUUWPUUWFYUTUUWPYUAYWQYWRUPUUWFYUAXYRYIIXSYFYUTYUAYWQXYRY
        WRIYYAYYBVVKYJVGYGZYUTXYRUUWNWXDUUWNWWAQZXWTXYNWXDYXFYXJUUWSYXHYXKCXXMU
        UWNUUWNUNZVVNXPWFZYXSVVLYKZWVNUUWGVVMXPZUUWHUSWKYPUUWEYUJYUEHQWXDXWTXYN
        YUJXVOUUUGYPZYUDUSWKUUWEWXIWVRWQXTJZWXIWQXTJZUOJZUUWIPUUWEXVOWXIUUXGPLZ
        WXDXVOXWTXYNXLWXDXWTXYNXVOUUXHWOZXVOYUQUUXIXYNYUQXVOUUXFUUXEPLZWXIUUXFT
        JZUUXEPLZUUXHYUQWXIWVRWQWXDXWTXHZWXDXXAXWTWXFRWQURQYUQUWPVAVXSXWTUUXLUU
        XJWOWXDXWTUUXKUUXFUUXEPXWTUUXFUUXFUOJZUUXFTJUUXKUUXFXWTUUXNWXIUUXFTXWTW
        XIWXIVXTZVYAVFXWTUUXFUUXFXWTWXIUUXOYQZUUXPVYBVYCVHVNYUQWXIUUXFUUXEUUXMX
        WTUUXFHQWXDWXIVYEVNWXDUUXEHQXWTWXDWVRWXFVYDRVYFVYGRYPVRWXDXWTXYNUUWIUUX
        GMXVOYUTWVRUUWGUJUHZTJZWVRXYPWQXTJZTJZUUWIUUXGYUTUUXQUUXSWVRTYUTUUWOUJU
        HXYRUUWNUJUHZXSJZUUXQUUXSYUTXYRUUWNUUXAYXSVYHYUTUUWOUUWGUJUUWRVYIYUTUUY
        BXYRYXEXSJZYXEXYRXSJZUUXSWXDUUYBUUYCMXWTXYNWXDUUYAYXEXYRXSWXDYXFYXJUUYA
        YXEMYXHYXKCXXMUUWNUUWTVYJXPYRWFYUTXYRYXEYXTWXDYXEYTQXWTXYNWXDYXEYXKYLWF
        ZVYKYUTYXEXYPXSJZXYQXTJXYPXXNXSJZXYQXTJUUYDUUXSYUTUUYFUUYGXYQXTYUTUUYFX
        XNXYPXSJUUYGYUTYXEXXNXYPXSWXDYXGXWTXYNYXIWFVFYUTXXNXYPYXOUUVPVYKYGVFYUT
        YXEXYPXYQUUYEUUVPUUVQYXRVYLYUTXYPWQXXNUUVPYXNYXOYXPYXQVYNVYOVYMVYOYRYUT
        WXDUUWLUUWIUUXRMYWIUUXBWVNUUWGVYPXPYUTUUXTWVRUUXEUUXFTJZTJZWVRUUXETJZUU
        XFUOJZUUXGYUTUUXSUUYHWVRTYUTWVRWXIWQWXDWVRYTQZXWTXYNWXDWVRWXFYLZWFXWTWX
        IYTQWXDXYNUUXOVOYXNYXPWUCYRYUQUUYIUUYKMXYNYUQWVRUUXEUUXFWXDUUYLXWTUUYMR
        ZYUQWVRUUYNYQXWTUUXFYTQWXDUUXPVNVYQRWXDUUYKUUXGMXWTXYNWXDUUYJUUXEUUXFUO
        WXDUUXEUUXEUOJZUUXETJUUYJUUXEWXDUUYOWVRUUXETWXDWVRUUYMVYAVFWXDUUXEUUXEW
        XDWVRUUYMYQZUUYPVYBVYCVFWFVYRVYSYPVYTUUWEUUWKYUJUUWHYUDWVOLZUUWIYUEKLWX
        DXWTXYNUUWKXVOUUXCYPUUXDUUWEUUYQWXLUUWFTJZYUCKLZCHWCUUWEUUYSCHUUWEWYINZ
        YUAUUYSUUYTYUANUUYSXYSYYJKLZUUYTUVUAYUAUUWEYUTWYIUVUAWXDXWTXYNYUTXVOYUT
        VMYPUUWQXYTUVUAUUWQXYTNUVUAXYSXYSKLZUUWQUVUBXYTUUWQXYSUUWQWXLXYRYUTWXDW
        YIWYPYWIWYRXGYUTUUULWYIYXSRWUDZWUARXYTUVUAUVUBWOUUWQXYTYYJXYSXYSKYYMWMV
        NWSUUWQYYPNZUVUAXYSIKLZUVUDXYSIUUWQXYSHQYYPUVUCRXUDUVUDWDVAUUWQXYSIPLYY
        PUUWQXYSIUVUCXUDUUWQWDVAWUBWUEWUFYYPUVUAUVUEWOUUWQYYPYYJIXYSKXYTXYSIYOW
        MVNWSWUGXGRYUAUUYSUVUAWOUUYTYUAUUYRXYSYUCYYJKYUAUUWFXYRWXLTYUAXYRIWTYRY
        UAYUBXYTXYSIYUAXYTYUBYUAXYTWULWUHVVRWUMVNWSUUYTYYQNZUUYSWXLITJZIKLZUVUF
        UVUGIIKUVUFUVUGYWHIUVUFWXLIITUUWEXUBWYIYYQWXMWXDXUBXXHXYNWYQWFXUBWYINZY
        YQWXMUVUIYYQWWFXYFQZXYAVCNZVCZWXMXUBYYQUVULWOWYIXUBYUAUVUKXUBYUAWWFXYGQ
        UVUKXUBXXMXYGWWFXYHXNWWFXYFXXTVUFWUIWUJRUVULUVUJVCZXYAVVPUVUIWXMUVUJXYA
        WUKUVUIUVUMWXMXYAUVUIUVUJWXMXUBUVUJWYIXUBXYFHWWFYWFXNWUEVXFXUBXYKWYIXUB
        XYJXYKXYLXYJXYAWXMXYJXYAWYIWXMXYMWUNYSWKRWUOUVQXOWLVXIVFVUJXMUVAUUSYYQU
        UYSUVUHWOUUYTYYQUUYRUVUGYUCIKYYQUUWFIWXLTYUAXYRIYOYRYYPYYQYUKYYRYYNYUKY
        YTYYOWUPWUQWUMVNWSWUGUXBUUWECHUUYRYUCKUUWHYUDSSSXUHUUWEWGVAZUUYRSQUUYTW
        XLUUWFTYCVAUUWBUUYTUUWCVAUUWECHWXLUUWFTWVNUUWGSSSUVUNWXLSQUUYTWWFWVNYBV
        AUUWFSQUUYTYUAXYRIYVOWRYDVAWXDXULXXHXYNXUMWFUUWEUUWGWHYEUUWEYUDWHWJWSUU
        WHYUDWVBUVLWURWUSVTXVKYUHYUINUCYUEYUDUJYBXUNYUEMZXVJYUHXUOYUIUVUOXVIYUG
        DWWAUVUOXVHYUFWWOXUNYUEWWPXCXDVIXUNYUEWXIPVLVKUXNXPWUTWVCWUSRVXOWUTYSXO
        WLWVAWVDWVEWVFWVGWWBXVFXUQUDAAUDVDZWVTXVEUAWWAUVUPWVSXVDWVPWVQXUPWVRXCX
        DVIWVHWWSXVJXUOUCAAUCVDZWWRXVIDWWAUVUQWWQXVHWWOWVQXUNWWPXCXDVIWVHWVIXOW
        VKWVJYJYN $.
    $}

    itg2addnc.f1 $e |- ( ph -> F e. MblFn ) $.
    itg2addnc.f2 $e |- ( ph -> F : RR --> ( 0 [,) +oo ) ) $.
    $( Lemma for ~ itg2addnc .  The function described is a simple function.
       (Contributed by Brendan Leahy, 29-Oct-2017.) $)
    itg2addnclem2 $p |- ( ( ( ph /\ h e. dom S.1 ) /\ v e. RR+ ) ->
        ( x e. RR |-> if ( ( ( ( ( |_ ` ( ( F ` x ) / ( v / 3 ) ) ) - 1 ) x.
          ( v / 3 ) ) <_ ( h ` x ) /\ ( h ` x ) =/= 0 ) ,
        ( ( ( |_ ` ( ( F ` x ) / ( v / 3 ) ) ) - 1 ) x. ( v / 3 ) ) ,
          ( h ` x ) ) ) e. dom S.1 ) $=
      ( vt wcel wa cr co cle wbr cc0 syl wceq syl2anc cima crab vy cdm crp cdiv
      cv cfv c3 cfl cmin cmul wne cmpt cpnf cico wss sylancl ad2antrr ffvelrnda
      c1 3ne0 pm3.2i redivcl 3expb ad2antlr redivcld reflcl remulcld fmpttd crn
      wf cc clt caddc cneg cun cfn wfn ovex eqid cz c0 wral frnd sylibr syl3anc
      ad3antlr peano2re adantr ax-mp mpan2 sylib wi lemuldivd 1red bitrd wb csn
      wn cdif ccnv cin cvol mptpreima wo unrab inrab eqtri eqcom elsn imdistani
      rabbii ciun eqtr3i eqtr3id rabeq rabbidva imassrn syl5eq eqtr4d cmnf cioo
      adantlr cxr rexrd 3bitr4d imaeq1d eqtrdi ad3antrrr eqeltrd mbfimasn inmbl
      mbfima ralrimiva eqeltrrd i1fima unmbl recnd ad4antr adantl eqtrd cif fss
      citg1 rge0ssre rpre 3re rpcnne0 3cn divne0 peano2rem i1ff ifcld csup fzfi
      cfz wfo fnmpti dffn4 mpbi fofi mp2an i1frn unfi sylancr wrex i1f0rn elex2
      0zd wex n0 fimaxre2 suprcl ceicl flcld cn0 cn nnrp rpdivcl elrege0 simprd
      3nn divge0d flge0nn0 nn0ge0d w3a 3jca ffn dffn3 letr lesubaddd ceige zred
      suprub mpan2d sylbid syld adantrd imp elfzd oveq1 oveq1d rspceeqv elrnmpt
      cvv elun1 elun2 ifclda ssfi ineq1i uneq12i fvex ifex orbi2i bitr2i anbi1i
      ianor nne eqif bitr4i 3bitr4i 3eqtr4ri eldifi sseld syl5 cnvimarndm iunid
      rabiun imaeq2i imaiun fdmd fniniseg simplbda breq2d inrab2 dfdm4 sseqtrid
      3syl sseqin2 sselda ltdivmuld flflp1 biantrurd bitr4d 3bitrd feqmptd cmbf
      elioomnf cnveqd i1fmbf jca 3expa sylan finiunmbl uneq12d lttri2 ibar andi
      0re 0xr elioopnf orbi12d bitrdi 1cnd simplr subadd2d recn divmul3d syl5bb
      3eqtr4a bitr3d imaundi zre peano2z mulcomd ltp1d ltmul2dd eqbrtrd snunioo
      imaeq12d 3biant1d ad4antlr bicomd anbi12d elico2 flbi an32s simpr stoic1a
      zcn rabeq0 0mbl eqeltrdi pm2.61dan notbid sylan2 ancoms adantll pnfxr a1i
      ltpnf imaeq2d elicopnf 3bitr2d ltadd1d ltaddsubd ltdivmul2d ltnled 3eqtrd
      bitri eqeltrid covol mblvol eldifsn anim1d syl5bi ineq12d biimpri intnand
      iffalsed eqtr mpancom simpll necomd eqnetrd orcom imor necon3bbii imbi12i
      ad2antll dmmpti sseqtri reldisj wfun ffun difpreima fdm sseqtrrd neldifsn
      ex difeq1d i1fima2 ovolsscl i1fd ) ADUEZUUCUBIZJZCUEZUCIZJZHBKBUEZEUFZWUG
      UGUDLZUDLZUHUFZUSUILZWULUJLZWUJWUDUFZMNZWUQOUKZJZWUPWUQUUAZULZWUIBKWVAKWU
      IWUJKIZJZWUTWUPWUQKWVDWUOWULWVDWUNKIZWUOKIZWVDWUMKIZWVEWVDWUKWULWUIKKWUJE
      AKKEVJZWUEWUHAKOUMUNLZEVJZWVIKUOWVHGUUDKWVIKEUUBUPZUQURZWUHWULKIZWUFWVCWU
      HWUGKIZUGKIZUGOUKZJWVMWUGUUEWVOWVPUUFUTVAWVNWVOWVPWVMWUGUGVBVCUPZVDZWUHWU
      LOUKZWUFWVCWUHWUGVKIWUGOUKJUGVKIZWVPJWVSWUGUUGWVTWVPUUHUTVAWUGUGUUIUPZVDZ
      VEZWUMVFZPZWUNUUJZPZWVRVGZWUIKKWUJWUDWUEKKWUDVJZAWUHWUDUUKZVDURZUULVHZWUI
      HOWUDVIZKVLUUMZWULUDLZUSVMLZVNUHUFVNZUUOLZHUEZUSUILZWULUJLZULZVIZWWMVOZVP
      IZWVBVIZWXDUOWXFVPIWUIWXCVPIZWWMVPIZWXEWWRVPIWWRWXCWXBUUPZWXGOWWQUUNWXBWW
      RVQWXIHWWRWXAWXBWWTWULUJVRWXBVSZUUQWWRWXBUURUUSWWRWXCWXBUUTUVAWUEWXHAWUHW
      UDUVBZVDZWXCWWMUVCUVDWUIKWXDWVBWUIBKWVAWXDWVDWUTWUPWUQWXDWVDWUTJZWUPWXCIZ
      WUPWXDIWXMWUPWXAQHWWRUVEZWXNWXMWUNWWRIWUPWUPQWXOWXMWUNOWWQWXMUVHWVDWWQVTI
      ZWUTWVDWWPKIZWXPWVDWWOKIWXQWVDWWNWULWUEWWNKIZAWUHWVCWUEWWMKUOZWWMWAUKZUAU
      EWUJMNUAWWMWBBKUVEZWXRWUEKKWUDWWJWCZWUEWUJWWMIBUVIZWXTWUEOWWMIWYCWUDUVFBO
      WWMUVGPBWWMUVJWDZWUEWXSWXHWYAWYBWXKBUAWWMUVKRZBUAWWMUVLWEWFZWVRWWBVEZWWOW
      GPZWWPUVMPZWHWVDWUNVTIZWUTWVDWUMWWCUVNWHWVDOWUNMNWUTWVDWUNWVDWVGOWUMMNWUN
      UVOIWWCWVDWUKWULWVLWUHWULUCIZWUFWVCWUHUGUCIZWYKUGUVPIWYLUWAUGUVQWIWUGUGUV
      RWJZVDZWVDWUKKIZOWUKMNZWVDWUKWVIIWYOWYPJWUIKWVIWUJEAWVJWUEWUHGUQURWUKUVSW
      KUVTUWBWUMUWCRUWDWHWVDWUTWUNWWQMNZWVDWURWYQWUSWVDWURWUQWWNMNZWYQWVDWXSWXT
      WYAUWEZWUQWWMIZWYRWUEWYSAWUHWVCWUEWXSWXTWYAWYBWYDWYEUWFWFWUIKWWMWUJWUDWUE
      KWWMWUDVJZAWUHWUEWUDKVQZXUAWUEWWIXUBWWJKKWUDUWGZPKWUDUWHWKVDURZBUAWWMWUQU
      WMRWVDWURWYRJZWUPWWNMNZWYQWVDWUPKIWUQKIZWXRXUEXUFWLWWHWWKWYFWUPWUQWWNUWIW
      EWVDXUFWUNWWPMNZWYQWVDXUFWUOWWOMNXUHWVDWUOWWNWULWWGWYFWYNWMWVDWUNUSWWOWWE
      WVDWNWYGUWJWOWVDXUHWWPWWQMNZWYQWVDWXQXUIWYHWWPUWKPWVDWVEWXQWWQKIXUHXUIJWY
      QWLWWEWYHWVDWWQWYIUWLWUNWWPWWQUWIWEUWNUWOUWPUWNUWQUWRUWSWUPVSHWUNWWRWXAWU
      PWUPWWSWUNQWWTWUOWULUJWWSWUNUSUIUWTUXAUXBUPWUPUXDIWXNWXOWPWUOWULUJVRZHWWR
      WXAWUPWXBUXDWXJUXCWIWDWUPWXCWWMUXEPWVDWUQWXDIZWUTWRZWVDWYTXUKXUDWUQWWMWXC
      UXFPWHUXGVHWCWXDWXFUXHRWUIWWSWXFOWQZWSIZJZWVBWTZWWSWQZSZWURBKTZWUSBKTZXAZ
      WWSWUPQZBKTZXAZWURWRZBKTZWUQOQZBKTZVOZWWSWUQQZBKTZXAZVOZXBUBZXURWVAXUQIZB
      KTZXVMBKWVAXUQWVBWVBVSZXCZWUTXVBJZBKTZXVEXVGXDZXVJJZBKTZVOXVSXWBXDZBKTXVM
      XVPXVSXWBBKXEXVDXVTXVLXWCXVDWUTBKTZXVCXAXVTXVAXWEXVCWURWUSBKXFUXIWUTXVBBK
      XFXGXVLXWABKTZXVKXAXWCXVIXWFXVKXVEXVGBKXEUXIXWAXVJBKXFXGUXJXVOXWDBKWVAWWS
      QWWSWVAQZXVOXWDWVAWWSXHWVAWWSWUTWUPWUQXUJWUJWUDUXKZUXLZXIZXWDXVSXULXVJJZX
      DXWGXWBXWKXVSXWAXULXVJXULXVEWUSWRZXDXWAWURWUSUXPXWLXVGXVEWUQOUXQZUXMUXNUX
      OUXMWUTWWSWUPWUQUXRUXSUXTXKUYAXGXUOWUIWWSKIZJZXVMXVNIZWUIXUNXWNXUNWWSWXFI
      ZWUIXWNWWSWXFXUMUYBWUIWXFKWWSWUIKKWVBWWLWCUYCZUYDXJXWOXVDXVNIZXVLXVNIZXWP
      XWOXVAXVNIZXVCXVNIXWSWUIXXAXWNWUIXUSXVNIXUTXVNIZXXAWUIHWWMWURBWUDWTZXUQSZ
      TZXLZXUSXVNWUIXXFWURBHWWMXXDXLZTZXUSWURBHWWMXXDUYGWUIXXGKQZXXHXUSQWUEXXIA
      WUHWUEXXGWUDUBZKXXCWWMSZXXJXXGWUDUYEZXXCHWWMXUQXLZSXXKXXGXXMWWMXXCHWWMUYF
      UYHHXXCWWMXUQUYIXMXMWUEKKWUDWWJUYJZXNZVDWURBXXGKXOPXNWUIWXHXXEXVNIZHWWMWB
      XXFXVNIWXLWUIXXPHWWMWUIWWSWWMIZJZXXEWUPWWSMNZBKTZXXDXAZXVNWUEXXEXYAQAWUHX
      XQWUEXXEXXSBXXDTZXYAWUEWURXXSBXXDWUEWUJXXDIZJZWUQWWSWUPMWUEXYCWVCWUQWWSQZ
      WUEWWIXUBXYCWVCXYEJWPWWJXUCKWWSWUJWUDUYKUYQUYLUYMZXPWUEXYAXXSBKXXDXAZTZXY
      BXXSBKXXDUYNWUEXYGXXDQZXYHXYBQWUEXXDKUOXYIWUEXXCVIZXXDKXXCXUQXQWUEXYJXXJK
      WUDUYOXXNXNZUYPXXDKUYRWKZXXSBXYGXXDXOPXRXSWFXXRXXTXVNIXXDXVNIZXYAXVNIXXRX
      XTEWTZXTWULWWSWULUDLZUSVMLZUHUFZUSVMLZUJLZYALZSZXVNXXRXXTWUKXYTIZBKTZYUAX
      XRXXSYUBBKXXRWVCJZXXSWUOXYOMNWUNXYPMNZYUBYUDWUOWWSWULWUIWVCWVFXXQWWGYBXXR
      XWNWVCWUIWWMKWWSWUEWXSAWUHWYBVDUYSWHZWUHWYKWUFXXQWVCWYMWFZWMYUDWUNUSXYOWU
      IWVCWVEXXQWWEYBYUDWNYUDWWSWULYUFWUHWVMWUFXXQWVCWVQWFZWUHWVSWUFXXQWVCWWAWF
      VEZUWJYUDWUMXYRVLNZWUKXYSVLNZYUEYUBYUDWUKXYRWULWUIWVCWYOXXQWVLYBZYUDXYQKI
      ZXYRKIYUDXYPKIZYUMYUDXYOKIZYUNYUIXYOWGZPZXYPVFPXYQWGPZYUGUYTYUDWVGYUNYUEY
      UJWPWUIWVCWVGXXQWWCYBYUQWUMXYPVUARYUDYUBWYOYUKJZYUKYUDXYSYCIYUBYUSWPYUDXY
      SYUDWULXYRYUHYURVGYDXYSWUKVUGPYUDWYOYUKYULVUBVUCYEVUDXPAYUAYUCQWUEWUHXXQA
      YUABKWUKULZWTZXYTSYUCAXYNYVAXYTAEYUTABKWVIEGVUEVUHZYFBKWUKXYTYUTYUTVSZXCY
      GYHXSAYUAXVNIZWUEWUHXXQAEVUFIZWVHYVDFWVKKXTXYSEYLRYHYIXXRXWOXYMWUIXXQXWNW
      UEXXQXWNWLAWUHWUEWWMKWWSWYBUYCVDXJZWUIWUDVUFIZWWIJZXWNXYMWUEYVHAWUHWUEYVG
      WWIWUDVUIWWJVUJVDYVGWWIXWNXYMKWWSWUDYJVUKVULZPZXXTXXDYKRYIYMWWMXXEHVUMRYN
      WUEXXBAWUHWUEXXCXTOYALZSZXXCOUMYALZSZVOZXUTXVNWUEWUQYVKIZBKTZWUQYVMIZBKTZ
      VOYVPYVRXDZBKTYVOXUTYVPYVRBKXEWUEYVLYVQYVNYVSWUEYVLBKWUQULZWTZYVKSYVQWUEX
      XCYWBYVKWUEWUDYWAWUEBKKWUDWWJVUEVUHZYFBKWUQYVKYWAYWAVSZXCYGWUEYVNYWBYVMSY
      VSWUEXXCYWBYVMYWCYFBKWUQYVMYWAYWDXCYGVUNWUEWUSYVTBKWUEWVCJXUGWUSYVTWPWUEK
      KWUJWUDWWJURXUGWUSWUQOVLNZOWUQVLNZXDZYVTXUGOKIWUSYWGWPVURWUQOVUOWJXUGYWGX
      UGYWGJZYVTXUGYWGVUPYWHXUGYWEJZXUGYWFJZXDZYVTXUGYWEYWFVUQOYCIZYVTYWKWPVUSY
      WLYVPYWIYVRYWJOWUQVUGOWUQVUTVVAWIUXSVVBWOPXPVVIWUEYVLXVNIYVNXVNIYVOXVNIYV
      KWUDYOYVMWUDYOYVLYVNYPRYNVDXUSXUTYKRWHXWOXYPWUNQZBKTZXVCXVNXWOYWMXVBBKXWO
      WVCJZWUOXYOQZYWMXVBYWOWUNUSXYOWUIWVCWUNVKIXWNWVDWUNWWEYQYBYWOVVCYWOXYOYWO
      WWSWULWUIXWNWVCVVDZWUHWVMWUFXWNWVCWVQWFZWUHWVSWUFXWNWVCWWAWFZVEZYQVVEYWPX
      YOWUOQYWOXVBWUOXYOXHYWOWWSWUOWULXWNWWSVKIWUIWVCWWSVVFVDWUIWVCWUOVKIXWNWVD
      WUOWWGYQYBWUHWULVKIZWUFXWNWVCWUHWULWVQYQZWFYWSVVGVVHVVJXPXWOXYPVTIZYWNXVN
      IXWOYXCJZXYNXYPWULUJLZWQZSZXYNYXEWULXYPUSVMLZUJLZYALZSZVOZYWNXVNYXDYXLYVA
      YXEYXIUNLZSZYWNYXDYXLXYNYXFYXJVOZSYXNXYNYXFYXJVVKYXDXYNYVAYXOYXMAXYNYVAQW
      UEWUHXWNYXCYVBYRYXDYXEYCIYXIYCIZYXEYXIVLNYXOYXMQYXDYXEYXDXYPWULYXCYUNXWOX
      YPVVLZYSZWUHWVMWUFXWNYXCWVQWFZVGZYDYXDYXIYXDWULYXHYXSYXCYXHKIZXWOYXCYXHXY
      PVVMUWLZYSZVGYDZYXDYXEWULXYPUJLYXIVLYXDXYPWULYXCXYPVKIXWOXYPVWIYSWUHYXAWU
      FXWNYXCYXBWFVVNYXDXYPYXHWULYXRYYCWUHWYKWUFXWNYXCWYMWFYXCXYPYXHVLNXWOYXCXY
      PYXQVVOYSVVPVVQYXEYXIVVRWEVVSXNYXDYXNWUKYXMIZBKTYWNBKWUKYXMYUTYVCXCYXDYYE
      YWMBKXWOWVCYXCYYEYWMWPYWOYXCJZWYOYXEWUKMNZWUKYXIVLNZUWEZXYPWUMMNZWUMYXHVL
      NZJZYYEYWMYYFYYGYYHJZYYIYYLYWOYYMYYIWPYXCYWOYYHYYGWYOXWOKKWUJEAWVHWUEWUHX
      WNWVKYHZURZVVTWHYYFYYGYYJYYHYYKYYFXYPWUKWULYXCYUNYWOYXQYSYWOWYOYXCYYOWHZW
      UHWYKWUFXWNWVCYXCWYMVWAZWMYYFYYKYYHYYFWUKYXHWULYYPYXCYYAYWOYYBYSYYQUYTVWB
      VWCVVJXWOYXCYYEYYIWPZWVCYXDYXEKIZYXPYYRYXTYYDYXEYXIWUKVWDRYBYWMWUNXYPQZYY
      FYYLXYPWUNXHYWOWVGYXCYYTYYLWPWUIWVCWVGXWNWWCYBZWUMXYPVWEVULVVHYEVWFXPXRYT
      YXDYXGXVNIZYXKXVNIZYXLXVNIYXDYVEWVHYYSUUUBAYVEWUEWUHXWNYXCFYRAWVHWUEWUHXW
      NYXCWVKYRYXTKYXEEYJWEAUUUCWUEWUHXWNYXCAYVEWVHUUUCFWVKKYXEYXIEYLRYRYXGYXKY
      PRYNXWOYXCWRZJZYWNWAXVNUUUEYWMWRZBKWBYWNWAQUUUEUUUFBKXWOWVCUUUDUUUFYWOYWM
      YXCYWOYWMJXYPWUNVTYWOYWMVWGYWOWYJYWMYWOWUMUUUAUVNWHYIVWHVWFYMYWMBKVWJWDVW
      KVWLVWMYNXVAXVCYKRXWOXVIXVNIZXVKXVNIXWTWUIUUUGXWNWUIXVFXVNIXVHXVNIZUUUGWU
      IHWWMXVEBXXDTZXLZXVFXVNWUEUUUJXVFQAWUHWUEUUUJXVEBXXGTZXVFXVEBHWWMXXDUYGWU
      EXXIUUUKXVFQXXOXVEBXXGKXOPXNVDWUIWXHUUUIXVNIZHWWMWBUUUJXVNIWXLWUIUUULHWWM
      XXRUUUIXXSWRZBKTZXXDXAZXVNWUEUUUIUUUOQAWUHXXQWUEUUUIUUUMBXXDTZUUUOWUEXVEU
      UUMBXXDXYDWURXXSXYFVWNXPWUEUUUOUUUMBXYGTZUUUPUUUMBKXXDUYNWUEXYIUUUQUUUPQX
      YLUUUMBXYGXXDXOPXRXSWFXXRUUUNXVNIZXYMUUUOXVNIXXRXWOUUURYVFXWOXYNYXHUHUFZW
      ULUJLZWQZSZXYNUUUTUMYALZSZVOZUUUNXVNXWOUUVEXYNUUUTUMUNLZSZWUKUUVFIZBKTZUU
      UNXWOUUVEXYNUUVAUUVCVOZSUUVGXYNUUVAUUVCVVKXWOUUVJUUVFXYNXWOUUUTYCIUMYCIZU
      UUTUMVLNZUUVJUUVFQXWOUUUTXWOUUUSWULXWOYUNYYAUUUSKIZXWOYUOYUNWUHXWNYUOWUFX
      WNWUHYUOWUHXWNWVMWVSJYUOWUHWVMWVSWVQWWAVUJXWNWVMWVSYUOWWSWULVBVCVWOVWPVWQ
      YUPPZXYPWGZYXHVFUYQZWUHWVMWUFXWNWVQVDVGZYDUUVKXWOVWRVWSXWOUUUTKIZUUVLUUVQ
      UUUTVWTPUUUTUMVVRWEVXAXNAUUVGUUVIQWUEWUHXWNAUUVGYVAUUVFSUUVIAXYNYVAUUVFYV
      BYFBKWUKUUVFYUTYVCXCYGYHXWOUUVHUUUMBKYWOUUVHXYOWUOVLNZWWSWUPVLNUUUMYWOUUV
      HXYPWUNVLNZUUVSYWOUUUSWUMMNZYXHWUNUSVMLVLNZUUVHUUVTYWOYYAWVGUUWAUUWBWPXWO
      YYAWVCXWOYUNYYAUUVNUUVOPWHUUUAYXHWUMVUARYWOUUVHWYOUUUTWUKMNZJZUUWCUUWAYWO
      UUVRUUVHUUWDWPXWOUUVRWVCUUVQWHUUUTWUKVXBPYWOWYOUUWCYYOVUBYWOUUUSWUKWULXWO
      UUVMWVCUUVPWHYYOWUHWYKWUFXWNWVCWYMWFZWMVXCYWOXYPWUNUSXWOYUNWVCUUVNWHYWOWV
      GWVEUUUAWWDPZYWOWNZVXDYEYWOXYOUSWUNYWTUUWGUUWFVXEWOYWOWWSWUOWULYWQYWOWVEW
      VFUUWFWWFPZUUWEVXFYWOWWSWUPYWQYWOWUOWULUUWHYWRVGVXGVUDXPVXHXWOUUVBXVNIZUU
      VDXVNIZUUVEXVNIXWOYVEWVHUUVRUUWIAYVEWUEWUHXWNFYHYYNUUVQKUUUTEYJWEAUUWJWUE
      WUHXWNAYVEWVHUUWJFWVKKUUUTUMEYLRYHUUVBUUVDYPRYNPYVJUUUNXXDYKRYIYMWWMUUUIH
      VUMRYNWUEUUUHAWUHWUEXXCXUMSZXVHXVNWUEUUWKYWBXUMSZXVHWUEXXCYWBXUMYWCYFZUUW
      LWUQXUMIZBKTZXVHBKWUQXUMYWAYWDXCZUUWNXVGBKWUQOXWHXIZXKXGYGXUMWUDYOYNVDXVF
      XVHYPRWHXWOXXDXVKXVNWUEXXDXVKQAWUHXWNWUEXXDYWBXUQSZXVKWUEXXCYWBXUQYWCYFUU
      WRWUQXUQIZBKTXVKBKWUQXUQYWAYWDXCUUWSXVJBKUUWSXYEXVJWUQWWSXWHXIWUQWWSXHVXI
      XKXGYGWFYVIYNXVIXVKYKRXVDXVLYPRPVXJZXUOXURXBUFZXURVXKUFZKXUOXURXVNIUUXAUU
      XBQUUWTXURVXLPXUOWUIXWNWWSOUKZJZJZUUXBKIZWUIXUNUUXDXUNXWQUUXCJWUIUUXDWWSW
      XFOVXMWUIXWQXWNUUXCXWRVXNVXOXJUUXEXURXXCWWMXUMWSZSZUOUUXHKUOZUUXHVXKUFZKI
      ZUUXFUUXEXURKUUWKWSZUUXHUUXEXURUUWKXAZWAQZXURUUXLUOZUUXEUUXMXVOUUWNJZBKTZ
      WAWUEUUXMUUXQQAWUHUUXDWUEUUXMXVPUUWOXAUUXQWUEXURXVPUUWKUUWOXURXVPQWUEXVRV
      WSWUEUUWKUUWLUUWOUUWMUUWPYGVXPXVOUUWNBKXFYGWFUUXCUUXQWAQZWUIXWNUUXCUUXPWR
      ZBKWBUUXRUUXCUUXSBKUUXCWVCJZXVGWVAWWSUKZWLZUUXSUUXTXVGUUYAUUXTXVGJZWVAOWW
      SXVGWVAOQZUUXTWVAWUQQXVGUUYDXVGWUTWUPWUQXVGWUSWURXWLXVGXWMVXQVXRVXSWVAWUQ
      OVXTVYAYSUUYCWWSOUUXCWVCXVGVYBVYCVYDVYSUUXSUUWNXVOWRZWLZUUYBUUYEUUWNWRZXD
      UUYGUUYEXDUUXSUUYFUUYEUUYGVYEXVOUUWNUXPUUWNUUYEVYFUXTUUWNXVGUUYEUUYAUUWQX
      VOWVAWWSXWJVYGVYHVXIWDYMUUXPBKVWJWDVYIYTXURKUOUUXNUUXOWPXURXUPVIZKXUPXUQX
      QWVBUBUUYHKWVBUYOBKWVAWVBXWIXVQVYJXMVYKXURUUWKKVYLWIWKWUEUUXHUUXLQZAWUHUU
      XDWUEWWIUUYIWWJWWIUUXHXXKUUWKWSZUUXLWWIWUDVYMUUXHUUYJQKKWUDVYNWWMXUMWUDVY
      OPWWIXXKKUUWKWWIXXKXXJKXXLKKWUDVYPXRVYTYTPWFVYQWUEUUXIAWUHUUXDWUEXYJUUXHK
      XXCUUXGXQXYKUYPWFWUEUUXKAWUHUUXDWUEUUXHXBUFZUUXJKWUEUUXHXVNIUUYKUUXJQUUXG
      WUDYOUUXHVXLPWUEOUUXGIWRUUYKKIOWWMVYRUUXGWUDWUAWJYNWFXURUUXHWUBWEPYIWUC
      $.
    itg2addnc.f3 $e |- ( ph -> ( S.2 ` F ) e. RR ) $.
    itg2addnc.g2 $e |- ( ph -> G : RR --> ( 0 [,) +oo ) ) $.
    itg2addnc.g3 $e |- ( ph -> ( S.2 ` G ) e. RR ) $.
    $( Lemma incomprehensible in isolation split off to shorten proof of
       ~ itg2addnc .  (Contributed by Brendan Leahy, 11-Mar-2018.) $)
    itg2addnclem3 $p |- ( ph -> ( E. h e. dom S.1 ( E. y e. RR+
      ( z e. RR |-> if ( ( h ` z ) = 0 , 0 , ( ( h ` z ) + y ) ) ) oR <_
        ( F oF + G ) /\ s = ( S.1 ` h ) ) -> E. t E. u ( E. f e. dom S.1
      E. g e. dom S.1 ( ( E. c e. RR+ ( z e. RR |-> if ( ( f ` z ) = 0 , 0 ,
        ( ( f ` z ) + c ) ) ) oR <_ F /\ t = ( S.1 ` f ) ) /\ ( E. d e. RR+
      ( z e. RR |-> if ( ( g ` z ) = 0 , 0 , ( ( g ` z ) + d ) ) ) oR <_ G /\
        u = ( S.1 ` g ) ) ) /\ s = ( t + u ) ) ) ) $=
      ( cr co vx cv cfv cc0 wceq caddc cif cmpt cof cle wbr crp wrex citg1 wcel
      wa wex wi c3 cdiv cfl c1 cmin cmul wne adantrr syl2anc adantl wral oveq1d
      fveq2 anbi12d ovex fvex ifex ifbieq2d breq1 wf ad2antrr ffvelrnda elrege0
      eqeq1d sylib simprd adantr wn neeq1 oveq1 breq1d rge0ssre sselid ad2antlr
      imbi12d rerpdivcld reflcl peano2rem 3syl remulcld lesub1dd mpbid leadd1dd
      syl lemul1d cc recnd ax-1cn sylancl a1i rpcnd adddird mulid2d eqtrd bitri
      oveq2d readdcld ifbothda imp eqbrtrd cvv reex c0ex eqidd feqmptd ofrfval2
      mpbird oveq2 ifeq2d mpteq2dv rspcev wb oveq12d resubcld c2 eqtr3d offval2
      cneg eqeq2d anbi1d 2exbidv rexcom4 cofr itg2addnclem2 simplr i1fsub mpan2
      cdm 3rp rpdivcl weq fvoveq1d breq12d ifbieq12d eqid fvmpt cpnf cico df-ne
      neeq1d rpred 1red flle subcl npcan 3eqtr3rd rpne0d divcan1d breqtrd ianor
      a1d wo anbi1i oranabs i1ff ad3antlr ltnled biimpar ltadd1dd ltletrd ltled
      clt sylan2b expr syl5bir ralrimiva ad2antrl ffnd fnmpti inidm ofval simpr
      wfn necon2bi iffalse 0m0e0 eqtrdi nsyl5 subsubd rpre 1re readdcli resubcl
      id peano2re fllep1 addcli negcli negsub negeqi oveq1i 2cn mulneg1 sylancr
      df-2 eqtr3id 3eqtr3d rpcn negsubdi2d 3ne0 divcan2 mp3an23 subdir mp3an12i
      3cn 3m1e2 eqtr3di negeqd mulcl negcld pncand subsub4 pncan 3brtr3d addcld
      peano2cn addassd comraddd breqtrrd syl3anc mpan2d lesubaddd leadd1d bitrd
      letr eqbrtrrd sylbid an32s subidd sylan9eqr pm2.24d ralimdva 3imtr4d impr
      ifcld pncan3d mpteq2dva 3eqtr4d fveq2d itg1add iba bi2anan9 bicomd oveq12
      ex spc2ev syl21anc fveq1 rexbidv anbi2d rspc2ev eqeq1 2rexbidv syl5ibrcom
      rexlimdvaa impd rexlimdva rexbii exbii r19.41vv 2exbii 3bitrri syl6ibr )
      ACSCUBZHUBZUCZUDUEZUDVWDBUBZUFTZUGZUHZIJUFUIZTZUJUUAZUKZBULUMZKUBZVWCUNUC
      ZUEZUPZHUNUUFZUMCSVWBFUBZUCZUDUEZUDVXALUBZUFTZUGZUHZIVWLUKZLULUMZEUBZVWTU
      NUCZUEZUPZCSVWBGUBZUCZUDUEZUDVXNMUBZUFTZUGZUHZJVWLUKZMULUMZDUBZVXMUNUCZUE
      ZUPZUPZVWOVXIVYBUFTZUEZUPZDUQZEUQZGVWSUMZFVWSUMZVYFGVWSUMFVWSUMVYHUPZDUQE
      UQZAVWRVYMHVWSAVWCVWSUOZUPZVWNVWQVYMVYQVWMVWQVYMURBULVYQVWFULUOZVWMUPUPZV
      YMVWQVYFVWPVYGUEZUPZDUQEUQZGVWSUMFVWSUMZVYSUASUAUBZIUCZVWFUSUTTZUTTZVAUCZ
      VBVCTZWUFVDTZWUDVWCUCZUJUKZWUKUDVEZUPZWUJWUKUGZUHZVWSUOZVWCWUPVCUITZVWSUO
      ZCSVWBWUPUCZUDUEZUDWUTVXCUFTZUGZUHZIVWLUKZLULUMZVXIWUPUNUCZUEZUPZCSVWBWUR
      UCZUDUEZUDWVJVXPUFTZUGZUHZJVWLUKZMULUMZVYBWURUNUCZUEZUPZUPZVYTUPZDUQEUQZW
      UCVYQVYRWUQVWMAUABHINOUUBZVFVYQVYRWUSVWMVYQVYRUPZVYPWUQWUSAVYPVYRUUCWWCVW
      CWUPUUDVGZVFVYSWVFWVPVWPWVGWVQUFTZUEZWWBVYQVYRWVFVWMWWDWUFULUOZCSWVAUDWUT
      WUFUFTZUGZUHZIVWLUKZWVFVYRWWHVYQVYRUSULUOWWHUUGVWFUSUUHUUEZVHWWDWWLWWJVWB
      IUCZUJUKZCSVIWWDWWOCSWWDVWBSUOZUPZWWJWWNWUFUTTZVAUCZVBVCTZWUFVDTZVWDUJUKZ
      VWDUDVEZUPZWXAVWDUGZUDUEZUDWXEWUFUFTZUGZWWNUJWWPWWJWXHUEWWDWWPWVAWXFWWIWX
      GUDWWPWUTWXEUDUAVWBWUOWXESWUPUACUUIZWUNWXDWUJWUKWXAVWDWXIWULWXBWUMWXCWXIW
      UJWXAWUKVWDUJWXIWUIWWTWUFVDWXIWUHWWSVBVCWXIWUEWWNWUFVAUTWUDVWBIVKUUJVJVJZ
      WUDVWBVWCVKZUUKWXIWUKVWDUDWXKUURVLWXJWXKUULWUPUUMZWXDWXAVWDWWTWUFVDVMVWBV
      WCVNVOUUNZWBWWPWUTWXEWUFUFWXMVJVPVHWXFUDWWNUJUKZWXGWWNUJUKZWXHWWNUJUKWWQU
      DWXGUDWXHWWNUJVQWXGWXHWWNUJVQWWQWXNWXFWWQWWNSUOZWXNWWQWWNUDUUOUUPTZUOWXPW
      XNUPWWDSWXQVWBIASWXQIVRVYPVYROVSZVTZWWNWAWCWDWEWWQWXFWFZWXOWXTWXEUDVEZWWQ
      WXOWXEUDUUQWXDWXAUDVEZWXAWUFUFTZWWNUJUKZURWXCVWDWUFUFTZWWNUJUKZURWYAWXOUR
      WWQWXAVWDWXAWXEUEZWYBWYAWYDWXOWXAWXEUDWGWYGWYCWXGWWNUJWXAWXEWUFUFWHWIWMVW
      DWXEUEZWXCWYAWYFWXOVWDWXEUDWGWYHWYEWXGWWNUJVWDWXEWUFUFWHWIWMWWQWXDUPWYDWY
      BWWQWYDWXDWWQWYCWWRVBVCTZWUFVDTZWUFUFTZWWNUJWWQWXAWYJWUFWWQWWTWUFWWQWWRSU
      OZWWSSUOZWWTSUOWWQWWNWUFWWQWXQSWWNWJWXSWKZVYRWWHVYQWWPWWMWLZWNZWWRWOZWWSW
      PWQZVYRWUFSUOZVYQWWPVYRWUFWWMUUSZWLZWRZWWQWYIWUFWWQWYLWYISUOWYPWWRWPXBZXU
      AWRXUAWWQWWTWYIUJUKWXAWYJUJUKWWQWWSWWRVBWWQWYLWYMWYPWYQXBZWYPWWQUUTWWQWYL
      WWSWWRUJUKWYPWWRUVAXBWSWWQWWTWYIWUFWYRXUCWYOXCWTXAWWQWYKWWRWUFVDTZWWNWWQW
      YIVBUFTZWUFVDTWYJVBWUFVDTZUFTXUEWYKWWQWYIVBWUFWWQWWRXDUOZVBXDUOZWYIXDUOWW
      QWWRWYPXEZXFWWRVBUVBXGXUIWWQXFXHWWQWUFWYOXIZXJWWQXUFWWRWUFVDWWQXUHXUIXUFW
      WRUEXUJXFWWRVBUVCXGVJWWQXUGWUFWYJUFWWQWUFXUKXKXNUVDWWQWWNWUFWWQWWNWYNXEZX
      UKWWQWUFWYOUVEUVFZXLUVGZWEUVIWWQWXDWFZWXCWYFXUOWXCUPZWWQWXBWFZWXCUPZWYFXU
      PXUQWXCWFUVJZWXCUPXURXUOXUSWXCWXBWXCUVHUVKXUQWXCUVLXMWWQXUQWYFWXCWWQXUQUP
      ZWYEWWNWWQWYESUOXUQWWQVWDWUFWWDSSVWBVWCVYPSSVWCVRAVYRVWCUVMZWLZVTZXUAXOWE
      ZWWQWXPXUQWYNWEZXUTWYEWYCWWNXVDWWQWYCSUOXUQWWQWXAWUFXUBXUAXOWEXVEXUTVWDWX
      AWUFWWQVWDSUOXUQXVCWEWWQWXASUOXUQXUBWEVYRWYSVYQWWPXUQWYTUVNWWQVWDWXAUVTUK
      XUQWWQVWDWXAXVCXUBUVOUVPUVQWWQWYDXUQXUNWEUVRUVSVFUWAUWBXPUWCXQXPXRUWDWWDC
      SWWJWWNUJWWKIXSXSWXQSXSUOZWWDXTXHZWWJXSUOWWQWVAUDWWIYAWUTWUFUFVMVOXHWXSWW
      DWWKYBAICSWWNUHUEVYPVYRACSWXQIOYCZVSYDYEWVEWWLLWUFULVXCWUFUEZWVDWWKIVWLXV
      ICSWVCWWJXVIWVAWVBWWIUDVXCWUFWUTUFYFYGYHWIYIVGVFVYSWWHCSWVKUDWVJWUFUFTZUG
      ZUHZJVWLUKZWVPVYRWWHVYQVWMWWMUWEVYQVYRVWMXVMWWDVWHWWNVWBJUCZUFTZUJUKZCSVI
      ZXVKXVNUJUKZCSVIZVWMXVMWWDXVPXVRCSWWQXVPXVRWWQXVPUPZXVKVWDWXEVCTZUDUEZUDX
      WAWUFUFTZUGZXVNUJWWQXVKXWDUEXVPWWQWVKXWBXVJXWCUDWWQWVJXWAUDWWDSSVWDWXEVCS
      VWCWUPXSXSVWBVYPVWCSUWKAVYRVYPSSVWCXVAUWFWLWUPSUWKWWDUASWUOWUPWUNWUJWUKWU
      IWUFVDVMWUDVWCVNVOWXLUWGXHXVGXVGSUWHWWQVWDYBWWPWUTWXEUEWWDWXMVHUWIZWBWWQW
      VJXWAWUFUFXWEVJVPWEXWBUDXVNUJUKZXWCXVNUJUKZXWDXVNUJUKXVTUDXWCUDXWDXVNUJVQ
      XWCXWDXVNUJVQWWQXWFXVPXWBWWQXVNSUOZXWFWWQXVNWXQUOXWHXWFUPWWDSWXQVWBJASWXQ
      JVRVYPVYRQVSVTZXVNWAWCWDVSWXDVWDWXAVCTZWUFUFTZXVNUJUKZVWDVWDVCTZWUFUFTZXV
      NUJUKZXWGXVTXWBWFZUPZWXAVWDWYGXWKXWCXVNUJWYGXWJXWAWUFUFWXAWXEVWDVCYFVJWIW
      YHXWNXWCXVNUJWYHXWMXWAWUFUFVWDWXEVWDVCYFVJWIXWQXWLWXDWWQXWPXVPXWLWWQXWPUP
      ZXVPXWLXWRXVPVWGXVOUJUKZXWLXWPXVPXWSYJZWWQVWEXWBXWTVWEXWAUDUDVCTUDVWEVWDU
      DWXEUDVCVWEUXBZVWEWXEVWDUDVWEXUOWXEVWDUEWXDVWDUDWXBWXCUWJUWLWXDWXAVWDUWMZ
      XBXXAXLYKUWNUWOVWEWFVWHVWGXVOUJVWEUDVWGUWMWIUWPVHWWQXWSXWLURXWPWWQXWSXWLW
      WQXWSUPZVWDWXAWUFVCTZVCTZXWKXVNUJWWQXXEXWKUEXWSWWQVWDWXAWUFWWQVWDXVCXEZWW
      QWXAXUBXEZXUKUWQWEXXCXXEXVNUJUKZVWGXVNXXDUFTZVWFUFTZUJUKZWWQXWSXXKWWQXWSX
      VOXXJUJUKZXXKWWQXVOXXDVWFUFTZXVNUFTXXJUJWWQWWNXXMXVNWYNWWQXXDVWFWWQWXAWUF
      XUBXUAYLZVYRVWFSUOVYQWWPVWFUWRZWLZXOWWQWXQSXVNWJXWIWKZWWQWWRVBVBUFTZVCTZW
      UFVDTZWUFVWFVCTZVCTZWWSVBUFTZXXRVCTZWUFVDTZXYAVCTZWWNXXMUJWWQXXTXYEXYAWWQ
      XXSWUFWWQWYLXXRSUOZXXSSUOWYPVBVBUWSUWSUWTZWWRXXRUXAXGZXUAWRWWQXYDWUFWWQXY
      CSUOZXYGXYDSUOWWQWYMXYJXUDWWSUXCXBZXYHXYCXXRUXAXGZXUAWRVYRXYASUOVYQWWPVYR
      WUFVWFWYTXXOYLWLWWQXXSXYDUJUKXXTXYEUJUKWWQWWRXYCXXRWYPXYKXYGWWQXYHXHWWQWY
      LWWRXYCUJUKWYPWWRUXDXBWSWWQXXSXYDWUFXYIXYLWYOXCWTWSWWQXYBWWNYMWUFVDTZYPZU
      FTZXYNVCTWWNWWQXXTXYOXYAXYNVCWWQWWRXXRYPZUFTZWUFVDTXUEXYPWUFVDTZUFTXXTXYO
      WWQWWRXYPWUFXUJXYPXDUOWWQXXRVBVBXFXFUXEZUXFXHXUKXJWWQXYQXXSWUFVDWWQXUHXXR
      XDUOXYQXXSUEXUJXYSWWRXXRUXGXGVJWWQXUEWWNXYRXYNUFXUMVYRXYRXYNUEVYQWWPVYRXY
      RYMYPZWUFVDTZXYNXYTXYPWUFVDYMXXRUXMUXHUXIVYRYMXDUOZWUFXDUOZYUAXYNUEUXJVYR
      WUFWWMXIZYMWUFUXKUXLUXNWLYKUXOVYRXYAXYNUEVYQWWPVYRVWFWUFVCTZYPXYAXYNVYRVW
      FWUFVWFUXPZYUDUXQVYRYUEXYMVYRUSWUFVDTZXUGVCTZYUEXYMVYRYUGVWFXUGWUFVCVYRVW
      FXDUOZYUGVWFUEZYUFYUIUSXDUOZUSUDVEYUJUYCUXRVWFUSUXSUXTXBVYRWUFYUDXKYKVYRU
      SVBVCTZWUFVDTZYUHXYMYUKXUIVYRYUCYUMYUHUEUYCXFYUDUSVBWUFUYAUYBYULYMWUFVDUY
      DUXIUYEYNUYFYNWLYKWWQWWNXYNXULVYRXYNXDUOVYQWWPVYRXYMVYRWWHXYMXDUOZWWMWWHY
      UBYUCYUNUXJWUFUXPYMWUFUYGUXLXBUYHWLUYIXLWWQXYFWXAXYAVCTXXMWWQXYEWXAXYAVCW
      WQXYDWWTWUFVDWWQXYCVBVCTZVBVCTZXYDWWTWWQWWSXDUOZXYCXDUOZYUPXYDUEZWWQWWSXU
      DXEZWWSUYNYURXUIXUIYUSXFXFXYCVBVBUYJUXTWQWWQYUOWWSVBVCWWQYUQXUIYUOWWSUEYU
      TXFWWSVBUYKXGVJYNVJVJWWQWXAWUFVWFXXGXUKWWQVWFXXPXEUWQXLUYLXAWWQXXJXVNXXMW
      WQXVNXXQXEZWWQXXDVWFWWQXXDXXNXEZVYRYUIVYQWWPYUFWLZUYMWWQXVNXXDVWFYVAYVBYV
      CUYOUYPUYQWWQVWGSUOXVOSUOXXJSUOXWSXXLUPXXKURWWQVWDVWFXVCXXPXOWWQWWNXVNWYN
      XXQXOWWQXXIVWFWWQXVNXXDXXQXXNXOZXXPXOVWGXVOXXJVUCUYRUYSXQWWQXXHXXKYJXWSWW
      QXXHVWDXXIUJUKXXKWWQVWDXXDXVNXVCXXNXXQUYTWWQVWDXXIVWFXVCYVDXXPVUAVUBWEYEV
      UDVVCWEVUEXQVUFWEXVTXUOXWPXWOXVTXUOUPZXWPXWOYVEXWBXWOXUOXVTXWAXWMUDXUOWXE
      VWDVWDVCXXBXNWWQXWMUDUEXVPWWQVWDXXFVUGWEVUHVUIXQVUFXPXPXRVVCVUJAVWMXVQYJV
      YPVYRACSVWHXVOUJVWIVWKXSXSSXVFAXTXHZVWHXSUOAWWPUPZVWEUDVWGYAVWDVWFUFVMVOX
      HYVGWWNXVNYVGWXQSWWNWJASWXQVWBIOVTZWKYVGWXQSXVNWJASWXQVWBJQVTZWKXOAVWIYBA
      CSWWNXVNUFIJXSWXQWXQYVFYVHYVIXVHACSWXQJQYCZYOYDVSAXVMXVSYJVYPVYRACSXVKXVN
      UJXVLJXSXSWXQYVFXVKXSUOYVGWVKUDXVJYAWVJWUFUFVMVOXHYVIAXVLYBYVJYDVSVUKVULW
      VOXVMMWUFULVXPWUFUEZWVNXVLJVWLYVKCSWVMXVKYVKWVKWVLXVJUDVXPWUFWVJUFYFYGYHW
      IYIVGVYQVYRWWGVWMWWDWUPWURVWJTZUNUCVWPWWFWWDYVLVWCUNWWDUASWUOWUKWUOVCTZUF
      TZUHUASWUKUHZYVLVWCWWDUASYVNWUKWWDWUDSUOZUPZWUOWUKYVQWUOYVQWUNWUJWUKSYVQW
      UIWUFYVQWUGSUOWUHSUOWUISUOYVQWUEWUFYVQWXQSWUEWJWWDSWXQWUDIWXRVTWKVYRWWHVY
      QYVPWWMWLWNWUGWOWUHWPWQVYRWYSVYQYVPWYTWLWRWWDSSWUDVWCXVBVTZVUMZXEYVQWUKYV
      RXEVUNVUOWWDUASWUOYVMUFWUPWURXSSSXVGYVSYVQWUKWUOYVRYVSYLWWDWUPYBZWWDUASWU
      KWUOVCVWCWUPXSSSXVGYVRYVSVYPVWCYVOUEAVYRVYPUASSVWCXVAYCWLZYVTYOYOYWAVUPVU
      QWWDWUPWURWWCWWEVURYNVFWWAWVFWVPUPZWWGUPEDWVGWVQWUPUNVNWURUNVNWVHWVRUPZWV
      TYWBVYTWWGYWCYWBWVTWVHWVFWVIWVRWVPWVSWVHWVFVUSWVRWVPVUSVUTVVAYWCVYGWWFVWP
      VXIWVGVYBWVQUFVVBYQVLVVDVVEWUBWWBWVIVYEUPZVYTUPZDUQEUQFGWUPWURVWSVWSVWTWU
      PUEZWUAYWEEDYWFVYFYWDVYTYWFVXLWVIVYEYWFVXHWVFVXKWVHYWFVXGWVELULYWFVXFWVDI
      VWLYWFCSVXEWVCYWFVXBWVAVXDWVBUDYWFVXAWUTUDVWBVWTWUPVVFZWBYWFVXAWUTVXCUFYW
      GVJVPYHWIVVGYWFVXJWVGVXIVWTWUPUNVKYQVLYRYRYSVXMWURUEZYWEWWAEDYWHYWDWVTVYT
      YWHVYEWVSWVIYWHVYAWVPVYDWVRYWHVXTWVOMULYWHVXSWVNJVWLYWHCSVXRWVMYWHVXOWVKV
      XQWVLUDYWHVXNWVJUDVWBVXMWURVVFZWBYWHVXNWVJVXPUFYWIVJVPYHWIVVGYWHVYCWVQVYB
      VXMWURUNVKYQVLVVHYRYSVVIUYRVWQVYKWUBFGVWSVWSVWQVYIWUAEDVWQVYHVYTVYFVWOVWP
      VYGVVJVVHYSVVKVVLVVMVVNVVOVYMVYJGVWSUMZFVWSUMZEUQZVYIGVWSUMZFVWSUMZDUQZEU
      QVYOVYMYWJEUQZFVWSUMYWLVYLYWPFVWSVYJGEVWSYTVVPYWJFEVWSYTXMYWKYWOEYWKYWMDU
      QZFVWSUMYWOYWJYWQFVWSVYIGDVWSYTVVPYWMFDVWSYTXMVVQYWNVYNEDVYFVYHFGVWSVWSVV
      RVVSVVTVWA $.
    $( Alternate proof of ~ itg2add using the "buffer zone" definition from the
       first lemma, in which every simple function in the set is divided into
       to by dividing its buffer by a third and finding the largest allowable
       function locked to a grid laid out in increments of the new, smaller
       buffer up to the original simple function.  The measurability of this
       function follows from that of the augend, and subtracting it from the
       original simple function yields another simple function by ~ i1fsub ,
       which is allowable by the fact that the grid must have a mark between
       one third and two thirds the original buffer.  This has two advantages
       over the current approach: first, eliminating ~ ax-cc , and second,
       weakening the measurability hypothesis to only the augend.  (Contributed
       by Brendan Leahy, 31-Oct-2017.)  (Revised by Brendan Leahy,
       13-Mar-2018.) $)
    itg2addnc $p |- ( ph ->
        ( S.2 ` ( F oF + G ) ) = ( ( S.2 ` F ) + ( S.2 ` G ) ) ) $=
      ( vz cr cc0 wceq caddc co cle wbr crp wrex wa wcel vf vc vx vg vd cfv cif
      vs vt vu va vb vh vy cv cmpt citg1 cab clt citg2 wss simprr itg1cl adantr
      csup eqeltrd rexlimiva abssi a1i i1f0 c0 wne wral c3 cpnf ffvelrnda sylib
      elrege0 simprd ralrimiva cvv reex eqidd feqmptd ofrfval2 mpbird ralrimivw
      c0ex r19.2z sylancr fveq2 itg10 eqtr2di biantrud fveq1 sylan9eq mpteq2dva
      iftrued breq1d rexbidv rspcev eqeq1 anbi2d sylibr wf itg2addnclem supxrub
      cxr eqid supxrre syl3anc adantl syl wex simpr ad2antlr breq1 imbi1d sylan
      mpan wi ad2antrr eqbrtrd recnd sylan9eqr oveq1d rpred readdcld letr mpand
      imp adantlr syl2anc ex ifbothda ovex ifex ffnd rexlimdvva weq cdm cof csn
      cofr cxp 3nn nnrp ne0i mp2b cico fvconst2 bitr3d elab ne0d icossicc mpan2
      cicc fss 3syl eqeltrrd ressxr sstri rgen brralrspcev sylancl supadd eqtrd
      cn oveq12d ge0addcl sselid inidm off itg2addnclem3 i1fadd ad3antlr reeanv
      biimpri ad2ant2r ifcl anbi1d oveq12 eqtrdi adantll simpll simplbi addge0d
      simpl 00id a1d wn simplrr i1ff addid2d rpre min2 syl2an leadd2dd addge02d
      oveq1 mpbid letrd ifboth adantld simplrl addid1d addge01d adantrd addassd
      oveq2 min1 ltaddrpd ltled le2add syl22anc syl2and ralimdva anbi12d r19.26
      wb bitr4di ovexd wfn ofval eqeq1d ifbieq2d offval 3imtr4d ifeq2d mpteq2dv
      syl5 a1dd imp31 ad2ant2l itg1add eqcomd eqtr ancoms eqeq2d syl12anc exp31
      impd exlimdvv impbid rexab anbi2i 19.42v anbi1i anass exbii 3bitr2i bitri
      bitr2i abbidv supeq1d sseli rexlimivv eqcomi rspceov mp3an3 2rexbidv abn0
      spcev ad2antrl ad2antll le2addd alrimiv breq2 ralbidv ralab bitrdi 3eqtrd
      wal 3eqtr4rd ) AIJIUOZUAUOZUFZKLZKVVQUBUOZMNZUGZUPZBOUUDZPZUBQRZUCUOZVVPU
      QUFZLZSZUAUQUUAZRZUCURZJUSVEZIJVVOUDUOZUFZKLZKVWOUEUOZMNZUGZUPZCVWCPZUEQR
      ZVWFVWNUQUFZLZSZUDVWJRZUCURZJUSVEZMNUHUOZUIUOZUJUOZMNZLZUJVXGRZUIVWLRZUHU
      RZJUSVEZBUTUFZCUTUFZMNBCMUUBZNZUTUFZAUKULUHUIVWLVXGVXPUJVWLJVAZAVWKUCJVWI
      VWFJTZUAVWJVVPVWJTZVWISVWFVWGJVYEVWEVWHVBVYEVWGJTVWIVVPVCVDVFVGVHZVIZAVWL
      KAVWEKVWGLZSZUAVWJRZKVWLTZAJKUUCUUEZVWJTZIJKUPZBVWCPZUBQRZVYJVJAQVKVLZVYO
      UBQVMVYPVNUVHTVNQTVYQUUFVNUUGQVNUUHUUIZAVYOUBQAVYOKVVOBUFZOPZIJVMAVYTIJAV
      VOJTZSZVYSJTZVYTWUBVYSKVOUUJNZTZWUCVYTSAJWUDVVOBEVPZVYSVRZVQVSZVTAIJKVYSO
      VYNBWAWAWUDJWATZAWBVIZKWATWUBWHVIZWUFAVYNWCZAIJWUDBEWDZWEWFWGVYOUBQWIWJVY
      IVYPUAVYLVWJVVPVYLLZVWEVYIVYPWUNVYHVWEWUNVWGVYLUQUFZKVVPVYLUQWKWLWMWNWUNV
      WDVYOUBQWUNVWBVYNBVWCWUNIJVWAKWUNWUASVVRKVVTWUNWUAVVQVVOVYLUFZKVVOVVPVYLW
      OJKVVOWHUUKZWPWRWQWSWTUULXAWJVWKVYJUCKWHVWFKLZVWIVYIUAVWJWURVWHVYHVWEVWFK
      VWGXBXCWTUUMXDZUUNZAVWLXHUSVEZJTZULUOZWVAOPZULVWLVMWVCUKUOZOPZULVWLVMUKJR
      ZAVXRWVAJAJWUDBXEZJKVOUUQNZBXEZVXRWVALEWVHWUDWVIVAZWVJKVOUUOZJWUDWVIBUURU
      UPUCUBIUABVWLVWLXIXFUUSZFUUTZWVDULVWLVWLXHVAZWVCVWLTWVDVWLJXHVYFUVAUVBZVW
      LWVCXGXTUVCUKULWVCWVAOJVWLUVDUVEZVXGJVAZAVXFUCJVXEVYDUDVWJVWNVWJTZVXESVWF
      VXCJWVSVXBVXDVBWVSVXCJTVXEVWNVCVDVFVGVHZVIZAVXGKAVXBKVXCLZSZUDVWJRZKVXGTZ
      AVYMVYNCVWCPZUEQRZWWDVJAVYQWWFUEQVMWWGVYRAWWFUEQAWWFKVVOCUFZOPZIJVMAWWIIJ
      WUBWWHJTZWWIWUBWWHWUDTZWWJWWISAJWUDVVOCGVPZWWHVRZVQVSZVTAIJKWWHOVYNCWAWAW
      UDWUJWUKWWLWULAIJWUDCGWDZWEWFWGWWFUEQWIWJWWCWWGUDVYLVWJVWNVYLLZVXBWWCWWGW
      WPWWBVXBWWPVXCWUOKVWNVYLUQWKWLWMWNWWPVXAWWFUEQWWPVWTVYNCVWCWWPIJVWSKWWPWU
      ASVWPKVWRWWPWUAVWOWUPKVVOVWNVYLWOWUQWPWRWQWSWTUULXAWJVXFWWDUCKWHWURVXEWWC
      UDVWJWURVXDWWBVXBVWFKVXCXBXCWTUUMXDZUUNZAVXGXHUSVEZJTZWVCWWSOPZULVXGVMWVF
      ULVXGVMUKJRZAVXSWWSJAJWUDCXEZJWVICXEZVXSWWSLGWXCWVKWXDWVLJWUDWVICUURUUPUC
      UEIUDCVXGVXGXIXFUUSZHUUTZWXAULVXGVXGXHVAZWVCVXGTWXAVXGJXHWVTUVAUVBZVXGWVC
      XGXTUVCUKULWVCWWSOJVXGUVDUVEZVXPXIUVFAVXRVWMVXSVXHMAVXRWVAVWMWVMAVYCVWLVK
      VLWVGWVAVWMLVYGWUTWVQUKULVWLXJXKUVGAVXSWWSVXHWXEAWVRVXGVKVLWXBWWSVXHLWWAW
      WRWXIUKULVXGXJXKUVGUVIAVYBIJVVOUMUOZUFZKLZKWXKUNUOZMNZUGZUPZVYAVWCPZUNQRZ
      VXIWXJUQUFZLZSZUMVWJRZUHURZXHUSVEZVXPXHUSVEZVXQAJWVIVYAXEVYBWYDLAUCUNJJJM
      WUDWUDWVIBCWAWAVWFWUDTWXMWUDTSZVWFWXMMNZWVITAWYFWUDWVIWYGWVLVWFWXMUVJUVKX
      LEGWUJWUJJUVLZUVMUHUNIUMVYAWYCWYCXIXFXMAXHWYCVXPUSAWYBVXOUHAWYBVWEVXJVWGL
      ZSZVXBVXKVXCLZSZSZUDVWJRUAVWJRZVXMSZUJXNZUIXNZVXOAWYBWYQAUNIUJUIUAUDUMBCU
      HUBUEDEFGHUVNAWYOWYBUIUJAWYNVXMWYBAWYMVXMWYBYAUAUDVWJVWJAVYEWVSSZSZWYMVXM
      WYBWYSWYMSZVXMSVVPVWNVXTNZVWJTZIJVVOXUAUFZKLZKXUCWXMMNZUGZUPZVYAVWCPZUNQR
      ZVXIXUAUQUFZLZWYBWYRXUBAWYMVXMWYRVVPVWNVYEWVSUWHZVYEWVSXOZUVOUVPWYSWYMVXM
      XUIWYSWYMXUIVXMWYMVWDVXASZUEQRUBQRZWYSXUIVWEVXBXUOWYIWYKXUOVWEVXBSVWDVXAU
      BUEQQUVQUVRUVSWYSXUNXUIUBUEQQWYSVVSQTZVWQQTZSZSZXUNXUIXUSXUNSVVSVWQOPZVVS
      VWQUGZQTZIJXUDKXUCXVAMNZUGZUPZVYAVWCPZXUIXURXVBWYSXUNXUTVVSVWQQUVTZXPXUSX
      UNXVFXUSVWAVYSOPZVWSWWHOPZSZIJVMZVVQVWOMNZKLZKXVLXVAMNZUGZVYSWWHMNZOPZIJV
      MXUNXVFXUSXVJXVQIJVVRVYTXVISZXVQYAZVVTVYSOPZXVISZXVQYAZXVJXVQYAXUSWUASZKV
      VTKVWALZXVRXVJXVQXWDVYTXVHXVIKVWAVYSOXQUWAXRVVTVWALZXWAXVJXVQXWEXVTXVHXVI
      VVTVWAVYSOXQUWAXRVWPVYTWWISZXVQYAVYTVWRWWHOPZSZXVQYAZXVSXWCVVRSZKVWRKVWSL
      ZXWFXVRXVQXWKWWIXVIVYTKVWSWWHOXQZXCXRVWRVWSLZXWHXVRXVQXWMXWGXVIVYTVWRVWSW
      WHOXQZXCXRXWJVWPSZXVQXWFXWOXVOKXVPOVVRVWPXVOKLXWCVVRVWPSZXVMKXVNXWPXVLKKM
      NZKVVQKVWOKMUWBUWIUWCWRUWDXWCKXVPOPZVVRVWPXUSAWUAXWRAWYRXURUWEZWUBVYSWWHW
      UBWUEWUCWUFWUEWUCVYTWUGUWFXMZWUBWWKWWJWWLWWKWWJWWIWWMUWFXMZWUHWWNUWGXSZYB
      YCUWJXWJXWIVWPUWKZXWJXWGXVQVYTXWJXWGXVQXWJXWGSZXWRXVNXVPOPZXVQXWCXWRVVRXW
      GXXBYBXXDXVNVWOXVAMNZXVPOXWJXVNXXFLXWGXWJXVLVWOXVAMVVRXWCXVLKVWOMNVWOVVQK
      VWOMUWTXWCVWOXWCVWOXUSWVSWUAVWOJTAVYEWVSXURUWLWVSJJVVOVWNVWNUWMZVPXSZYDZU
      WNYEYFVDXWCXWGXXFXVPOPVVRXWCXWGSXXFWWHXVPXWCXXFJTZXWGXWCVWOXVAXXHXURXVAJT
      WYSWUAXURXVAXVGYGXPZYHZVDXWCWWJXWGXUSAWUAWWJXWSXXAXSZVDXWCXVPJTZXWGXWCVYS
      WWHXUSAWUAWUCXWSXWTXSZXXMYHZVDXWCXWGXXFWWHOPZXWCXXFVWROPZXWGXXQXWCXVAVWQV
      WOXXKXWCVWQWYSXUPXUQWUAUWLYGZXXHXURXVAVWQOPZWYSWUAXUPVVSJTZVWQJTZXXTXUQVV
      SUWOZVWQUWOZVVSVWQUWPUWQXPUWRXWCXXJVWRJTWWJXXRXWGSXXQYAXXLXWCVWOVWQXXHXXS
      YHXXMXXFVWRWWHYIXKYJZYKXWCWWHXVPOPZXWGXUSAWUAXYFXWSWUBVYTXYFWUHWUBWWHVYSX
      XAXWTUWSUXAXSVDUXBYLYCXVMXWRXXEXVQKXVNKXVOXVPOXQXVNXVOXVPOXQUXCZYMYNUXDVD
      YOVWPXVTWWISZXVQYAXVTXWGSZXVQYAZXWBXWCVVRUWKZSZKVWRXWKXYHXWAXVQXWKWWIXVIX
      VTXWLXCXRXWMXYIXWAXVQXWMXWGXVIXVTXWNXCXRXYLVWPSXVTXVQWWIXWCVWPXVTXVQYAXYK
      XWCVWPSZXVTXVQXYMXVTSZXWRXXEXVQXWCXWRVWPXVTXXBYBXYNXVNVVQXVAMNZXVPOXYMXVN
      XYOLXVTXYMXVLVVQXVAMVWPXWCXVLVVQKMNVVQVWOKVVQMUXJXWCVVQXWCVVQXUSVYEWUAVVQ
      JTZAVYEWVSXURUXEVYEJJVVOVVPVVPUWMZVPXSZYDZUXFYEYFVDXWCXVTXYOXVPOPVWPXWCXV
      TSXYOVYSXVPXWCXYOJTZXVTXWCVVQXVAXYRXXKYHZVDXWCWUCXVTXXOVDXWCXXNXVTXXPVDXW
      CXVTXYOVYSOPZXWCXYOVVTOPZXVTYUBXWCXVAVVSVVQXXKXWCVVSWYSXUPXUQWUAUXEZYGZXY
      RXURXVAVVSOPZWYSWUAXUPXYAXYBYUFXUQXYCXYDVVSVWQUXKUWQXPUWRXWCXYTVVTJTZWUCY
      UCXVTSYUBYAYUAXWCVVQVVSXYRYUEYHZXXOXYOVVTVYSYIXKYJYKXWCVYSXVPOPZXVTXUSAWU
      AYUIXWSWUBWWIYUIWWNWUBVYSWWHXWTXXAUXGUXAXSVDUXBYLYCXYGYMYNYLUXHXWCXYJXYKX
      XCXWCXYIXVQXWCXYISZXWRXXEXVQXWCXWRXYIXXBVDYUJXVNVVQXXFMNZXVPOXWCXVNYUKLXY
      IXWCVVQVWOXVAXYSXXIXWCXVAXXKYDUXIVDXWCXYIYUKXVPOPZXWCXVTVVQVYSOPZXWGXXQYU
      LXWCVVQVVTOPZXVTYUMXWCVVQVVTXYRYUHXWCVVQVVSXYRYUDUXLUXMXWCXYPYUGWUCYUNXVT
      SYUMYAXYRYUHXXOVVQVVTVYSYIXKYJXYEXWCXYPXXJWUCWWJYUMXXQSYULYAXYRXXLXXOXXMV
      VQXXFVYSWWHUXNUXOUXPYKYCXYGYMYNYBYOYOUXQAXUNXVKUXTWYRXURAXUNXVHIJVMZXVIIJ
      VMZSXVKAVWDYUOVXAYUPAIJVWAVYSOVWBBWAWAWUDWUJVWAWATWUBVVRKVVTWHVVQVVSMYPYQ
      VIWUFAVWBWCWUMWEAIJVWSWWHOVWTCWAWAWUDWUJVWSWATWUBVWPKVWRWHVWOVWQMYPYQVIWW
      LAVWTWCWWOWEUXRXVHXVIIJUXSUYAYBXUSIJXVOXVPOXVEVYAWAWAWAWUIXUSWBVIZXVOWATX
      WCXVMKXVNWHXVLXVAMYPYQVIXWCVYSWWHMUYBXUSIJXVDXVOXWCXUDXVMXVCXVNKXWCXUCXVL
      KXUSJJVVQVWOMJVVPVWNWAWAVVOWYRVVPJUYCZAXURVYEYURWVSVYEJJVVPXYQYRVDXPWYRVW
      NJUYCZAXURWVSYUSVYEWVSJJVWNXXGYRXLXPYUQYUQWYHXWCVVQWCXWCVWOWCUYDZUYEXWCXU
      CXVLXVAMYUTYFUYFWQAVYAIJXVPUPLWYRXURAIJJVYSWWHMJBCWAWAAJWUDBEYRAJWUDCGYRW
      UJWUJWYHWUBVYSWCWUBWWHWCUYGYBWEUYHYKXUHXVFUNXVAQWXMXVALZXUGXVEVYAVWCYVAIJ
      XUFXVDYVAXUDXUEXVCKWXMXVAXUCMUXJUYIUYJWSXAYMYNYSUYKUYLUYMWYTVXLXUJLZVXMXU
      KWYMWYSVXLVWGVXCMNZXUJWYIWYKVXLYVCLVWEVXBVXJVWGVXKVXCMUWBUYNWYRYVCXUJLAWY
      RXUJYVCWYRVVPVWNXULXUMUYOUYPXLYEVXMYVBXUKVXIVXLXUJUYQUYRXSWYAXUIXUKSUMXUA
      VWJWXJXUALZWXRXUIWXTXUKYVDWXQXUHUNQYVDWXPXUGVYAVWCYVDIJWXOXUFYVDWXLXUDWXN
      XUEKYVDWXKXUCKVVOWXJXUAWOZUYEYVDWXKXUCWXMMYVEYFUYFUYJWSWTYVDWXSXUJVXIWXJX
      UAUQWKUYSUXRXAUYTVUAYSVUBVUCVUDVXOWYJUAVWJRZVXNSZUIXNWYQVWKYVFVXNUIUCUCUI
      YTZVWIWYJUAVWJYVHVWHWYIVWEVWFVXJVWGXBXCWTVUEYVGWYPUIYVGYVFWYLUDVWJRZVXMSZ
      UJXNZSYVFYVJSZUJXNWYPVXNYVKYVFVXFYVIVXMUJUCUCUJYTZVXEWYLUDVWJYVMVXDWYKVXB
      VWFVXKVXCXBXCWTVUEVUFYVFYVJUJVUGYVLWYOUJWYOYVFYVISZVXMSYVLWYNYVNVXMWYJWYL
      UAUDVWJVWJUVQVUHYVFYVIVXMVUIVUMVUJVUKVUJVULUYAVUNVUOAVXPJVAZVXPVKVLZWVFUL
      VXPVMZUKJRZWYEVXQLYVOAVXOUHJVXMVXIJTZUIUJVWLVXGVXJVWLTZVXKVXGTZSZVXMYVSYW
      BVXMSZVXIVXLJYWBVXMXOYWCVXJVXKYVTVXJJTZYWAVXMVWLJVXJVYFVUPZYBYWAVXKJTZYVT
      VXMVXGJVXKWVTVUPZXPYHVFYNVUQVHVIAVXOUHXNZYVPAKVXLLZUJVXGRUIVWLRZYWHAVYKWW
      EYWJWUSWWQVYKWWEKXWQLYWJXWQKUWIVURUIUJVWLVXGKKKMVUSVUTYMVXOYWJUHKWHVXIKLV
      XMYWIUIUJVWLVXGVXIKVXLXBVVAVVCXMVXOUHVVBXDAWVAWWSMNZJTWVCVXLLZUJVXGRUIVWL
      RZWVCYWKOPZYAZULVVMZYVRAWVAWWSWVNWXFYHAYWOULAYWLYWNUIUJVWLVXGAYWBSZYWLYWN
      YWQYWLSWVCVXLYWKOYWQYWLXOYWQVXLYWKOPYWLYWQVXJVXKWVAWWSYVTYWDAYWAYWEVVDYWA
      YWFAYVTYWGVVEAWVBYWBWVNVDAWWTYWBWXFVDYVTVXJWVAOPZAYWAWVOYVTYWRWVPVWLVXJXG
      XTVVDYWAVXKWWSOPZAYVTWXGYWAYWSWXHVXGVXKXGXTVVEVVFVDYCYNYSVVGYVQYWPUKYWKJW
      VEYWKLZYVQYWNULVXPVMYWPYWTWVFYWNULVXPWVEYWKWVCOVVHVVIVXOYWMYWNULUHUHULYTV
      XMYWLUIUJVWLVXGVXIWVCVXLXBVVAVVJVVKXAYMUKULVXPXJXKVVLVVN $.
  $}

  ${
    $d x y z w u v X $.  $d x y z w u v Y $.  $d x y z w u v F $.
    $d x y z w u v ph $.
    itg2gt0cn.2 $e |- ( ph -> X < Y ) $.
    itg2gt0cn.3 $e |- ( ph -> F : RR --> ( 0 [,) +oo ) ) $.
    itg2gt0cn.5 $e |- ( ( ph /\ x e. ( X (,) Y ) ) -> 0 < ( F ` x ) ) $.
    itg2gt0cn.cn $e |- ( ph ->
      ( F |` ( X (,) Y ) ) e. ( ( X (,) Y ) -cn-> CC ) ) $.
    $( ~ itg2gt0 holds on functions continuous on an open interval in the
       absence of ~ ax-cc .  The fourth hypothesis is made unnecessary by the
       continuity hypothesis.  (Contributed by Brendan Leahy, 16-Nov-2017.) $)
    itg2gt0cn $p |- ( ph -> 0 < ( S.2 ` F ) ) $=
      ( vw cc0 clt wbr co cxr wa cfv wcel cr cle vy vv vz vu cv cioo wrex citg2
      cq 0xr wss cpnf syl wral wb sylib mpbird ralrimiva syl2anc supxrlub breq2
      sylancl rexima bitrd mp3an2i cif cmpt adantr simpr elrpd simplr cmin cabs
      crp wi caddc a1i 0e0iccpnf ifcl fmpttd itg2cl ad5antlr cvol rpre ad4antlr
      wf wceq ax-mp ad3antlr adantl resubcld rexrd simpld ad5antr simprd ifclda
      wn ad4antr cmnf readdcld syl22anc rpgt0 mpbid xrlttrd breq1 ltled syl3anc
      ifboth posdifd breqtrrd fveq2d elrege0 weq breq1d ad6antlr ad2antlr recnd
      cneg absltd biimpa rge0ssre ffvelrnda sselid sylan2 ad3antrrr cc ifbothda
      0le0 iftrue 3brtr4d ex iffalse ifbi ifan eqtri breq2d reex eqidd ad2antrr
      cvv cima csup crn imassrn cico frnd icossxr sstrdi sstrid supxrcl wne cxp
      c0 ltrelxr ssbri brxp ioon0 r19.2z wfn ffnd ioossre qbtwnxr anim1i anasss
      crab qre rpxr syl2an cicc ioorp ioossicc eqsstrri sseli cmul covol ioombl
      cin cdm elioore xrltnle biimpar xrre2 syl32anc mnfxr mnfle xrlelttrd xrre
      mblvol ltsubposd eliooord ltaddpos2d lttrd ovolioo syl5eq eqeltrd mulgt0d
      iooin ifbid mpteq2dv rpge0 sylanbrc itg2const eqtrd fvoveq1 imbrov2fvoveq
      eleq2d rspccva leidd w3a elioo2 3anass bitrdi renegcld ltaddsub2d negsubd
      cofr bitr3d ltsubaddd anbi12d bitr4d pm3.35 ancoms rpcn negsubdi2d anbi1d
      pm5.32da simprbda ltsub1d an4s syldan iftrued anassrs pm2.61d1 elin fveq2
      elrab 3brtr4g ralrimivw ofrfval2 itg2le xrltletrd cres ccncf fssres mpan2
      fss 3syl cncfi oveq12d oveq1d breq12d imbi2d ralbidva rexbidv 3imtr3d imp
      fvres r19.29a rexlimdva2 sylbid icossicc simprbi fvexd feqmptd jca32 expl
      syl5 reximdv2 xrltletr rexlimdva syld mpd ) AKUAUEZLMZVVMCDEUFNZUUAZOLUUB
      ZLMZPZUAUIUGZKCUHQZLMZKORZAVVQORZKVVQLMZVVTUJAVVPOUKZVWDAVVPCUUCZOCVVOUUD
      AVWGKULUUENZOASVWHCGUUFKULUUGUUHUUIZVVPUUJUMAVWEKBUEZCQZLMZBVVOUGZAVVOUUM
      UUKZVWLBVVOUNVWMAVWNDELMZFADORZEORZPZVWNVWOUOADEOOUULZMZVWRAVWOVWTFLVWSDE
      UUNUUOUMDEOOUUPUPZDEUUQUMUQAVWLBVVOHURVWLBVVOUURUSAVWEVVNUAVVPUGZVWMAVWFV
      WCVWEVXBUOVWIUJUAVVPKUTVBACSUUSZVVOSUKZVXBVWMUOASVWHCGUUTZDEUVAZVVNVWLUAB
      SVVOCVVMVWKKLVAVCVBVDUQUAKVVQUVBVEAVVTKJSJUEZVVMUBUEZCQZTMZUBVVOUVERZVVMK
      VFZVGZUHQZLMZVXNVWATMZPZUAVNUGVWBAVVSVXQUAUIVNVVMUIRZVVSPVVMVNRZVVRPZAVXS
      VXQPZVXRVVNVVRVXTVXRVVNPZVXSVVRVYBVVMVXRVVMSRZVVNVVMUVFVHVXRVVNVIVJUVCUVD
      AVXSVVRVYAAVXSPZVVRPZVXSVXOVXPAVXSVVRVKVYDVVRVXOVYDVVRVVMVWKLMZBVVOUGZVXO
      VYDVVRVVMUCUEZLMZUCVVPUGZVYGAVWFVVMORVVRVYJUOVXSVWIVVMUVGUCVVPVVMUTUVHAVY
      JVYGUOZVXSAVXCVXDVYKVXEVXFVYIVYFUCBSVVOCVYHVWKVVMLVAVCVBVHVDVYDVYFVXOBVVO
      VYDVWJVVORZPZVYFPZUDUEZVWJVLNVMQZVYHLMZVYOCQZVWKVLNZVMQZVWKVVMVLNZLMZVOZU
      DVVOUNZVXOUCVNVYNVYHVNRZPZWUDPZKJSVXGVVOVWJVYHVLNZVYHVWJVPNZUFNZUVQZRZVVM
      KVFZVGZUHQZVXNVWCWUGUJVQVXSWUOORZAVYLVYFWUEWUDVXSSKULUVINZWUNWFZWUPVXSJSW
      UMWUQVXSWUMWUQRZVXGSRZVXSVVMWUQRZKWUQRZWUSVNWUQVVMVNKULUFNWUQUVJKULUVKUVL
      UVMZVRWULVVMKWUQVSVBZVHVTZWUNWAUMWBVXSVXNORZAVYLVYFWUEWUDVXSSWUQVXMWFZWVF
      VXSJSVXLWUQVXSVXLWUQRZWUTVXSWVAWVBWVHWVCVRVXKVVMKWUQVSVBZVHVTZVXMWAUMZWBW
      UFKWUOLMWUDWUFKVVMDWUHTMZWUHDVFZEWUITMZEWUIVFZUFNZWCQZUVNNZWUOLWUFVVMWVQV
      XSVYCAVYLVYFWUEVVMWDZWEWUFWVQWVOWVMVLNZSWUFWVQWVPUVOQZWVTWVPWCUVRRZWVQWWA
      WGWVMWVOUVPZWVPUWHWHWUFWVMSRWVOSRWVMWVOTMWWAWVTWGWUFWVLWUHDSWUFWUHSRWVLWU
      FVWJVYHVYLVWJSRZVYDVYFWUEVWJDEUVSZWIZWUEVYHSRZVYNVYHWDZWJZWKZVHWUFWVLWQZP
      WUHORZVWPVWQWUHDLMZVWODSRWUFWWLWWKWUFWUHWWJWLZVHAVWPVXSVYLVYFWUEWWKAVWPVW
      QVXAWMZWNAVWQVXSVYLVYFWUEWWKAVWPVWQVXAWOZWNWUFWWMWWKWUFWWLVWPWWMWWKUOWWNA
      VWPVXSVYLVYFWUEWWOWRZWUHDUVTUSUWAAVWOVXSVYLVYFWUEWWKFWNWUHDEUWBUWCWPZWUFW
      VNEWUISWUFWVNPVWQWUISRZWSELMZWVNESRAVWQVXSVYLVYFWUEWVNWWPWNWUFWWSWVNWUFVY
      HVWJWWIWWFWTZVHAWWTVXSVYLVYFWUEWVNAWSDEWSORAUWDVQWWOWWPAVWPWSDTMWWODUWEUM
      FUWFWNWUFWVNVIEWUIUWGXAWUFWWSWVNWQWXAVHWPZWUFWVMWVOWWRWXBWUFWUHWVOLMZDWVO
      LMZWVMWVOLMZWUFWUHELMZWUHWUILMZWXCWUFWUHVWJEWWNWUFVWJWWFWLZAVWQVXSVYLVYFW
      UEWWPWRZWUFKVYHLMZWUHVWJLMWUEWXJVYNVYHXBWJZWUFVYHVWJWWIWWFUWIXCZVYLVWJELM
      ZVYDVYFWUEVYLDVWJLMZWXMVWJDEUWJZWOWIXDWUFWUHVWJWUIWWJWWFWXAWXLWUFWXJVWJWU
      ILMWXKWUFVYHVWJWWIWWFUWKXCZUWLWVNWXFWXGWXCEWUIEWVOWUHLVAWUIWVOWUHLVAXHUSW
      UFVWODWUILMZWXDAVWOVXSVYLVYFWUEFWRWUFDVWJWUIWWQWXHWUFWUIWXAWLZVYLWXNVYDVY
      FWUEVYLWXNWXMWXOWMWIWXPXDWVNVWOWXQWXDEWUIEWVODLVAWUIWVODLVAXHUSWVLWXCWXDW
      XEWUHDWUHWVMWVOLXEDWVMWVOLXEXHUSZXFWVMWVOUWMXGUWNZWUFWVOWVMWXBWWRWKUWOZVX
      SVVNAVYLVYFWUEVVMXBWEWUFKWVTWVQLWUFWXEKWVTLMWXSWUFWVMWVOWWRWXBXIXCWXTXJUW
      PWUFWUOJSVXGWVPRZVVMKVFZVGZUHQZWVRWUFWUNWYDUHWUFJSWUMWYCWUFWULWYBVVMKWUFW
      UKWVPVXGWUFVWPVWQWWLWUIORZWUKWVPWGWWQWXIWWNWXRDEWUHWUIUWQXAUXFUWRUWSXKWWB
      WUFWVQSRVVMVWHRZWYEWVRWGWWCWYAVXSWYGAVYLVYFWUEVXSVYCKVVMTMZWYGWVSVVMUWTZV
      VMXLUXAWEJWVPVVMUXBVEUXCXJVHWUGWURWVGWUNVXMTUXPZMZWUOVXNTMVXSWURAVYLVYFWU
      EWUDWVEWBVXSWVGAVYLVYFWUEWUDWVJWBWUGWYKWUMVXLTMZJSUNWUGWYLJSWUGVXGVVORZVX
      GWUJRZVVMKVFZKVFZWYMVVMVXGCQZTMZVVMKVFZKVFZWUMVXLTWUGWYMWYPWYTTMZWUGWYMXU
      AWUGWYMPWYOWYSWYPWYTTWUFWUDWYMWYOWYSTMZWUDWYMPWUFVXGVWJVLNZVMQZVYHLMZWYQV
      WKVLNZVMQWUALMZVOZXUBWUCXUHUDVXGVVOVYQXUEWUALVLVMCVWKVYOVXGUDJXMVYPXUDVYH
      LVYOVXGVWJVMVLUXDXNUXEUXGWYNVVMWYSTMKWYSTMZXUBWUFXUHPZVVMKVVMWYOWYSTXEKWY
      OWYSTXEXUJWYNPZVVMVVMWYSTVXSVVMVVMTMAVYLVYFWUEXUHWYNVXSVVMWVSUXHXOXUKWYRV
      VMKXUJWYNWUTXUEPZWYRXUJWYNXULXUJWYNWUTWUHVXGLMZVXGWUILMZPZPZXULXUJWYNWUTX
      UMXUNUXIZXUPXUJWWLWYFWYNXUQUOXUJWUHXUJVWJVYHVYLWWDVYDVYFWUEXUHWWEWEZWUEWW
      GVYNXUHWWHXPZWKWLXUJWUIXUJVYHVWJXUSXURWTWLWUHWUIVXGUXJUSWUTXUMXUNUXKUXLXU
      JWUTXUEXUOXUJWUTPZXUEVYHXRZXUCLMZXUCVYHLMZPXUOXUTXUCVYHXUTVXGVWJXUJWUTVIZ
      VYLWWDVYDVYFWUEXUHWUTWWEWBZWKWUEWWGVYNXUHWUTWWHWIZXSXUTXVBXUMXVCXUNXUTVWJ
      XVAVPNZVXGLMXVBXUMXUTVWJXVAVXGXVEXUTVYHXVFUXMXVDUXNXUTXVGWUHVXGLXUTVWJVYH
      XUTVWJXVEXQXUTVYHXVFXQUXOXNUXQXUTVXGVWJVYHXVDXVEXVFUXRUXSVDUYFUXTXTWUFWUT
      XUHXUEWYRXUHXUEPWUFWUTPZXUGWYRXUEXUHXUGXUEXUGUYAUYBXVHXUGPZVVMWYQVXSVYCAV
      YLVYFWUEWUTXUGWVSXOZXVHWYQSRZXUGXVHVWHSWYQYAWUFSVWHVXGCASVWHCWFZVXSVYLVYF
      WUEGWRYBYCZVHZXVIVVMWYQLMVVMVWKVLNZXUFLMZXVHXUGXVPXUFWUALMZXVHXUGWUAXRZXU
      FLMZXVQPXVPXVQPXVHXUFWUAXVHWYQVWKXVMVYMVWKSRZVYFWUEWUTVYLVYDWWDXVTWWEVYDW
      WDPVWHSVWKYAVYDSVWHVWJCAXVLVXSGVHYBYCYDZYEWKVYMWUASRVYFWUEWUTVYMVWKVVMXWA
      VXSVYCAVYLWVSXPZWKYEXSXVHXVSXVPXVQXVHXVRXVOXUFLVYMXVRXVOWGVYFWUEWUTVYMVWK
      VVMVYMVWKXWAXQVXSVVMYFRAVYLVVMUYCXPUYDYEXNUYEVDUYGXVIVVMWYQVWKXVJXVNVYMXV
      TVYFWUEWUTXUGXWAWRUYHUQXFYDUYIUYJUYKXJVXSXUIAVYLVYFWUEXUHWYNWQVXSWYHKKTMZ
      XUIWYIYHWYRWYHXWCXUIVVMKVVMWYSKTVAKWYSKTVAXHVBXOYGYDUYLWYMWYPWYOWGWUGWYMW
      YOKYIWJWYMWYTWYSWGWUGWYMWYSKYIWJYJYKWYMWQZKKWYPWYTTXWCXWDYHVQWYMWYOKYLWYM
      WYSKYLYJUYMWUMWYMWYNPZVVMKVFZWYPWULXWEUOWUMXWFWGVXGVVOWUJUYNWULXWEVVMKYMW
      HWYMWYNVVMKYNYOVXLWYMWYRPZVVMKVFZWYTVXKXWGUOVXLXWHWGVXJWYRUBVXGVVOUBJXMVX
      IWYQVVMTVXHVXGCUYOYPUYPZVXKXWGVVMKYMWHWYMWYRVVMKYNYOUYQUYRWUGJSWUMVXLTWUN
      VXMYTWUQWUQSYTRZWUGYQVQVXSWUSAVYLVYFWUEWUDWUTWVDXOVXSWVHAVYLVYFWUEWUDWUTW
      VIXOWUGWUNYRWUGVXMYRUYSUQWUNVXMUYTXGVUAVYMVYFWUDUCVNUGZVYMVVMVWJCVVOVUBZQ
      ZLMZVYQVYOXWLQZXWMVLNZVMQZXWMVVMVLNZLMZVOZUDVVOUNZUCVNUGZVYFXWKVYMXWNXXBV
      YMXWNPZXWLVVOYFVUCNRZVYLXWRVNRXXBAXXDVXSVYLXWNIYEVYDVYLXWNVKXXCXWRVYMXWRS
      RXWNVYMXWMVVMVYDVVOSVWJXWLAVVOSXWLWFZVXSAXVLVVOVWHXWLWFZXXEGXVLVXDXXFVXFS
      VWHVVOCVUDVUEXXFVWHSUKXXEYAVVOVWHSXWLVUFVUEVUGVHYBZXWBWKVHVYMXWNKXWRLMVYM
      VVMXWMXWBXXGXIXTVJUCUDVVOYFVWJXWRXWLVUHXGYKVYLXWNVYFUOVYDVYLXWMVWKVVMLVWJ
      VVOCVUQZYPWJVYMXXAWUDUCVNVYMXWTWUCUDVVOVYMVYOVVORZPZXWSWUBVYQXXJXWQVYTXWR
      WUALXXJXWPVYSVMXXJXWOVYRXWMVWKVLXXIXWOVYRWGVYMVYOVVOCVUQWJVYLXWMVWKWGVYDX
      XIXXHXPVUIXKVYLXWRWUAWGVYDXXIVYLXWMVWKVVMVLXXHVUJXPVUKVULVUMVUNVUOVUPVURV
      USVUTVUPVYEWVGSWUQCWFZVXMCWYJMZVXPVXSWVGAVVRWVJXPAXXKVXSVVRAXVLVWHWUQUKXX
      KGKULVVASVWHWUQCVUFVBZYSVYEXXLVXLWYQTMZJSUNZAXXOVXSVVRAXXNJSVXKWYRKWYQTMZ
      XXNAWUTPZVVMKVVMVXLWYQTXEKVXLWYQTXEVXKWYRXXQVXKWYMWYRXWIVVBWJXXQXXPVXKWQX
      XQXVKXXPXXQWYQVWHRXVKXXPPASVWHVXGCGYBWYQXLUPWOVHYGURYSVYEJSVXLWYQTVXMCYTW
      UQYTXWJVYEYQVQVXSWVHAVVRWUTWVIWIVYEWUTPVXGCVVCVYEVXMYRACJSWYQVGWGVXSVVRAJ
      SVWHCGVVDYSUYSUQVXMCUYTXGVVEVVFVVGVVHAVXQVWBUAVNVWCVYDWVFVWAORZVXQVWBVOUJ
      VXSWVFAWVKWJAXXRVXSAXXKXXRXXMCWAUMVHKVXNVWAVVIVEVVJVVKVVL $.
  $}

  ${
    $d x A $.  $d x ph $.
    ibladdnclem.1 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    ibladdnclem.2 $e |- ( ( ph /\ x e. A ) -> C e. RR ) $.
    ibladdnclem.3 $e |- ( ( ph /\ x e. A ) -> D = ( B + C ) ) $.
    ibladdnclem.4 $e |- ( ph -> ( x e. A |-> B ) e. MblFn ) $.
    ibladdnclem.6 $e |- ( ph -> ( S.2 ` ( x e. RR |->
      if ( ( x e. A /\ 0 <_ B ) , B , 0 ) ) ) e. RR ) $.
    ibladdnclem.7 $e |- ( ph -> ( S.2 ` ( x e. RR |->
      if ( ( x e. A /\ 0 <_ C ) , C , 0 ) ) ) e. RR ) $.
    $( Lemma for ~ ibladdnc ; cf ~ ibladdlem , whose fifth hypothesis is
       rendered unnecessary by the weakened hypotheses of ~ itg2addnc .
       (Contributed by Brendan Leahy, 31-Oct-2017.) $)
    ibladdnclem $p |- ( ph -> ( S.2 ` ( x e. RR |->
      if ( ( x e. A /\ 0 <_ D ) , D , 0 ) ) ) e. RR ) $=
      ( cr cc0 wcel cle wbr cif caddc 0re cpnf cicc co cv wa cmpt wf citg2 ifan
      cfv cxr readdcld eqeltrd ifcl sylancl rexrd max1 sylancr elxrge0 sylanbrc
      wn 0e0iccpnf a1i ifclda adantr eqeltrid fmpttd cof cvv reex eqidd offval2
      wceq iftrue ibar ifbid oveq12d eqtr2d 00id simpl iffalsed iffalse 3eqtr4a
      con3i pm2.61i mpteq2i eqtrdi fveq2d cdm wss mbfdm2 mblss syl rembl eldifn
      cvol cdif adantl intnanrd cmbf mpteq2ia eqeltrrid mbfss elrege0 0e0icopnf
      mbfpos cico itg2addnc eqtr3d cofr addge0d wral max2 le2addd eqbrtrd breq1
      ifboth syl2anc 3brtr4d pm2.61d1 eqbrtrid ralrimivw ofrfval2 mpbird itg2le
      ex 0le0 syl3anc itg2lecl ) AMNUAUBUCZBMBUDZCOZNFPQZUEFNRZUFZUGZBMYLNDPQZD
      NRZNEPQZENRZSUCZNRZUFZUHUJZMOYOUHUJZUUDPQZUUEMOABMYNYJAYKMOZUEYNYLYMFNRZN
      RZYJYLYMFNUIZAUUIYJOUUGAYLUUHNYJAYLUEZUUHUKONUUHPQZUUHYJOUUKUUHUUKFMOZNMO
      ZUUHMOUUKFDESUCZMIUUKDEGHULUMZTYMFNMUNUOUPUUKUUNUUMUULTUUPNFUQURUUHUSUTNY
      JOAYLVAZUEZVBVCZVDVEVFZVGZAUUDBMYLYQUEZDNRZUFZUHUJZBMYLYSUEZENRZUFZUHUJZS
      UCZMAUVDUVHSVHUCZUHUJUUDUVJAUVKUUCUHAUVKBMUVCUVGSUCZUFUUCABMUVCUVGSUVDUVH
      VIMMMVIOAVJVCZAUVCMOZUUGAUVCYLYRNRZMYLYQDNUIZAYLYRNMUUKDMOZUUNYRMOZGTYQDN
      MUNUOZUUNUURTVCZVDVFZVEAUVGMOUUGAUVGYLYTNRZMYLYSENUIZAYLYTNMUUKEMOZUUNYTM
      OZHTYSENMUNUOZUVTVDVFVEAUVDVKAUVHVKVLBMUVLUUBYLUVLUUBVMYLUUBUUAUVLYLUUANV
      NZYLYRUVCYTUVGSYLYQUVBDNYLYQVOVPZYLYSUVFENYLYSVOVPVQVRUUQNNSUCNUVLUUBVSUU
      QUVCNUVGNSUUQUVBDNUVBYLYLYQVTWDWAUUQUVFENUVFYLYLYSVTWDWAVQYLUUANWBZWCWEWF
      WGWHAUVDUVHABCMUVCMACWPWIZOCMWJABCDMJGWKCWLWMMUWJOAWNVCAUVNYLUWAVEAYKMCWQ
      OZUEZUVBDNUWLYLYQUWKUUQAYKMCWOWRWSWAABCUVCUFBCYRUFWTBCYRUVCUWHXAABCDGJXFX
      BXCABMUVCNUAXGUCZAUVCUWMOUUGAUVCUVOUWMUVPAYLYRNUWMUUKUVRNYRPQZYRUWMOUVSUU
      KUUNUVQUWNTGNDUQURZYRXDUTNUWMOUURXEVCZVDVFVEVGKABMUVGUWMAUVGUWMOUUGAUVGUW
      BUWMUWCAYLYTNUWMUUKUWENYTPQZYTUWMOUWFUUKUUNUWDUWQTHNEUQURZYTXDUTUWPVDVFVE
      VGLXHXIAUVEUVIKLULUMAYPMYJUUCUGYOUUCPXJQZUUFUVAABMUUBYJAUUBYJOUUGAYLUUANY
      JUUKUUAUKONUUAPQZUUAYJOUUKUUAUUKYRYTUVSUWFULUPUUKYRYTUVSUWFUWOUWRXKZUUAUS
      UTUUSVDVEZVGAUWSYNUUBPQZBMXLAUXCBMAYNUUIUUBPUUJAYLUUIUUBPQZAYLUXDUUKUUHUU
      AUUIUUBPUUKFUUAPQZUWTUUHUUAPQZUUKFUUOUUAPIUUKDEYRYTGHUVSUWFUUKUUNUVQDYRPQ
      TGNDXMURUUKUUNUWDEYTPQTHNEXMURXNXOUXAYMUXEUWTUXFFNFUUHUUAPXPNUUHUUAPXPXQX
      RYLUUIUUHVMAYLUUHNVNWRYLUUBUUAVMAUWGWRXSYFUUQNNUUIUUBPNNPQUUQYGVCYLUUHNWB
      UWIXSXTYAYBABMYNUUBPYOUUCVIYJYJUVMUUTUXBAYOVKAUUCVKYCYDYOUUCYEYHUUDYOYIYH
      $.
  $}

  ${
    $d x A $.  $d x V $.  $d x ph $.
    ibladdnc.1 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    ibladdnc.2 $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    ibladdnc.3 $e |- ( ( ph /\ x e. A ) -> C e. V ) $.
    ibladdnc.4 $e |- ( ph -> ( x e. A |-> C ) e. L^1 ) $.
    ${
      ibladdnc.m $e |- ( ph -> ( x e. A |-> ( B + C ) ) e. MblFn ) $.
      $( Choice-free analogue of ~ itgadd .  A measurability hypothesis is
         necessitated by the loss of ~ mbfadd ; for large classes of functions,
         such as continuous functions, it should be relatively easy to show.
         (Contributed by Brendan Leahy, 1-Nov-2017.) $)
      ibladdnc $p |- ( ph -> ( x e. A |-> ( B + C ) ) e. L^1 ) $=
        ( cmpt wcel cr cc0 cfv cle wbr wa cif caddc co cibl cmbf cre citg2 cneg
        cim iblmbf syl mbfmptcl recld readdd ismbfcn2 mpbid simpld w3a iblcnlem
        simp2d ibladdnclem renegcld negeqd recnd negdid eqtrd mbfneg simprd jca
        cv eqid imcld imaddd simp3d cvv ovexd mpbir3and ) ABCDEUAUBZLZUCMVRUDMB
        NBVICMZOVQUEPZQRSVTOTLUFPZNMZBNVSOVTUGZQRSWCOTLUFPZNMZSBNVSOVQUHPZQRSWF
        OTLUFPZNMZBNVSOWFUGZQRSWIOTLUFPZNMZSKAWBWEABCDUEPZEUEPZVTAVSSZDABCDFABC
        DLZUCMZWOUDMZHWOUIUJZGUKZULZWNEABCEFABCELZUCMZXAUDMZJXAUIUJIUKZULZWNDEW
        SXDUMZABCWLLUDMZBCDUHPZLUDMZAWQXGXISWRABCDWSUNUOZUPZABNVSOWLQRSWLOTLUFP
        ZNMZBNVSOWLUGZQRSXNOTLUFPZNMZAWQXMXPSZBNVSOXHQRSXHOTLUFPZNMZBNVSOXHUGZQ
        RSXTOTLUFPZNMZSZAWPWQXQYCUQHABCDXLXOXRYAFXLVJXOVJXRVJYAVJGURUOZUSZUPABN
        VSOWMQRSWMOTLUFPZNMZBNVSOWMUGZQRSYHOTLUFPZNMZAXCYGYJSZBNVSOEUHPZQRSYLOT
        LUFPZNMZBNVSOYLUGZQRSYOOTLUFPZNMZSZAXBXCYKYRUQJABCEYFYIYMYPFYFVJYIVJYMV
        JYPVJIURUOZUSZUPUTABCXNYHWCWNWLWTVAWNWMXEVAWNWCWLWMUAUBZUGXNYHUAUBWNVTU
        UAXFVBWNWLWMWNWLWTVCWNWMXEVCVDVEABCWLNWTXKVFAXMXPYEVGAYGYJYTVGUTVHAWHWK
        ABCXHYLWFWNDWSVKZWNEXDVKZWNDEWSXDVLZAXGXIXJVGZAXSYBAWQXQYCYDVMZUPAYNYQA
        XCYKYRYSVMZUPUTABCXTYOWIWNXHUUBVAWNYLUUCVAWNWIXHYLUAUBZUGXTYOUAUBWNWFUU
        HUUDVBWNXHYLWNXHUUBVCWNYLUUCVCVDVEABCXHNUUBUUEVFAXSYBUUFVGAYNYQUUGVGUTV
        HABCVQWAWDWGWJVNWAVJWDVJWGVJWJVJWNDEUAVOURVP $.

      ${
        itgaddnclem.1 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
        itgaddnclem.2 $e |- ( ( ph /\ x e. A ) -> C e. RR ) $.
        ${
          itgaddnclem.3 $e |- ( ( ph /\ x e. A ) -> 0 <_ B ) $.
          itgaddnclem.4 $e |- ( ( ph /\ x e. A ) -> 0 <_ C ) $.
          $( Lemma for ~ itgaddnc ; cf. ~ itgaddlem1 .  (Contributed by Brendan
             Leahy, 7-Nov-2017.) $)
          itgaddnclem1 $p |- ( ph -> S. A ( B + C ) _d x =
              ( S. A B _d x + S. A C _d x ) ) $=
            ( caddc co cr wcel cc0 citg cv cif cmpt citg2 cfv readdcld ibladdnc
            wa addge0d itgposval cof oveq12d cpnf cico cvol cdm wss cibl iblmbf
            cmbf syl mbfdm2 mblss a1i cle wbr elrege0 sylanbrc 0e0icopnf ifclda
            rembl wn adantr cdif eldifn adantl iffalse iftrue mpteq2ia eqeltrid
            wceq mbfss fmpttd iblpos mpbid simprd itg2addnc reex offval2 eqtr4d
            cvv eqidd 00id eqtrdi pm2.61i mpteq2i fveq2d 3eqtr2d ) ABCDEPQZUABR
            BUBZCSZWTTUCZUDZUEUFZBCDUAZBCEUAZPQZABCWTAXBUIZDELMUGABCDEFGHIJKUHX
            IDELMNOUJUKAXHBRXBDTUCZUDZUEUFZBRXBETUCZUDZUEUFZPQXKXNPULQZUEUFXEAX
            FXLXGXOPABCDLHNUKABCEMJOUKUMAXKXNABCRXJTUNUOQZACUPUQZSCRURABCDFABCD
            UDZUSSZXSVASZHXSUTVBZGVCCVDVBRXRSAVLVEAXJXQSZXBAXBDTXQXIDRSTDVFVGDX
            QSLNDVHVITXQSAXBVMZUIVJVEZVKZVNAXARCVOSZUIYDXJTWBYGYDAXARCVPVQXBDTV
            RZVBABCXJUDXSVABCXJDXBDTVSZVTYBWAWCABRXJXQAYCXARSZYFVNZWDAYAXLRSZAX
            TYAYLUIHABCDLNWEWFWGABRXMXQAXMXQSYJAXBETXQXIERSTEVFVGEXQSMOEVHVIYEV
            KVNZWDABCEUDZVASZXORSZAYNUSSYOYPUIJABCEMOWEWFWGWHAXPXDUEAXPBRXJXMPQ
            ZUDXDABRXJXMPXKXNWLXQXQRWLSAWIVEYKYMAXKWMAXNWMWJBRYQXCXBYQXCWBXBYQW
            TXCXBXJDXMEPYIXBETVSUMXBWTTVSWKYDYQTXCYDYQTTPQTYDXJTXMTPYHXBETVRUMW
            NWOXBWTTVRWKWPWQWOWRWSWK $.
        $}

        $( Lemma for ~ itgaddnc ; cf. ~ itgaddlem2 .  (Contributed by Brendan
           Leahy, 10-Nov-2017.)  (Revised by Brendan Leahy, 3-Apr-2018.) $)
        itgaddnclem2 $p |- ( ph -> S. A ( B + C ) _d x =
            ( S. A B _d x + S. A C _d x ) ) $=
          ( cc0 caddc co cle wceq wcel cr wbr cif citg cneg cmin cv max0sub syl
          wa oveq12d 0re ifcl sylancl recnd renegcld addsub4d readdcld 3eqtr4rd
          addsubeq4d mpbird itgeq2dv cmpt cibl ibladdnc iblre mpbid simprd cmbf
          simpld iblmbf mbfposadd max1 sylancr addge0d iftrued oveq2d mpteq2dva
          mbfneg negdid oveq1d add4d negeq neg0 eqtrdi 0le0 breqtrrid id adantl
          eqtrd 00id wne ovif2 wn wb negne0bd biimpa le0neg2d leloe bitrd df-ne
          clt wo biorf sylbi orcom bitr2di sylan9bb syldan ltnle adantr addcomd
          negidd ifbieq12d ifnot syl5eq pm2.61dane 3eqtrd eqeltrrd itgaddnclem1
          addid1d eqeltrd le0neg1d bitr3d 3eqtr3d itgcl addcld itgreval 3eqtr4d
          cc ) ABCNDEOPZQUAZYJNUBZUCZBCNYJUDZQUAZYNNUBZUCZUEPZBCNDQUAZDNUBZUCZB
          CNDUDZQUAZUUBNUBZUCZUEPZBCNEQUAZENUBZUCZBCNEUDZQUAZUUJNUBZUCZUEPZOPZB
          CYJUCBCDUCZBCEUCZOPAYRBCYTUUHOPZUCZBCUUDUULOPZUCZUEPZUUAUUIOPZUUEUUMO
          PZUEPUUOAYQUUSOPZYMUVAOPZRYRUVBRABCYPUUROPZUCBCYLUUTOPZUCUVEUVFABCUVG
          UVHABUFCSUIZUVGUVHRYLYPUEPZUURUUTUEPZRUVIYTUUDUEPZUUHUULUEPZOPYJUVKUV
          JUVIUVLDUVMEOUVIDTSZUVLDRLDUGUHUVIETSZUVMERMEUGUHUJUVIYTUUHUUDUULUVIY
          TUVIUVNNTSZYTTSLUKYSDNTULUMZUNZUVIUUHUVIUVOUVPUUHTSMUKUUGENTULUMZUNZU
          VIUUDUVIUUBTSZUVPUUDTSUVIDLUOZUKUUCUUBNTULUMZUNZUVIUULUVIUUJTSZUVPUUL
          TSUVIEMUOZUKUUKUUJNTULUMZUNZUPUVIYJTSZUVJYJRUVIDELMUQZYJUGUHURUVIYPUU
          RYLUUTUVIYPUVIYNTSZUVPYPTSUVIYJUWJUOZUKYOYNNTULUMZUNUVIUURUVIYTUUHUVQ
          UVSUQZUNUVIYLUVIUWIUVPYLTSUWJUKYKYJNTULUMZUNUVIUUTUVIUUDUULUWCUWGUQZU
          NUSUTVAABCYPUURTUWMABCYLVBVCSZBCYPVBVCSZABCYJVBVCSUWQUWRUIABCDETLHMJK
          VDZABCYJUWJVEVFZVGZUWNABCYTUUHTUVQABCYTVBVCSZBCUUDVBVCSZABCDVBZVCSZUX
          BUXCUIHABCDLVEVFZVIZUVSABCUUHVBVCSZBCUULVBVCSZABCEVBZVCSZUXHUXIUIJABC
          EMVEVFZVIZABCDEAUXEUXDVHSHUXDVJUHZLAUXKUXJVHSJUXJVJUHZMKVKZVDABCYPNUU
          RQUAZUURNUBZOPZVBBCUVGVBVHABCUXSUVGUVIUXRUURYPOUVIUXQUURNUVIYTUUHUVQU
          VSUVIUVPUVNNYTQUAUKLNDVLVMZUVIUVPUVONUUHQUAUKMNEVLVMZVNZVOVPVQABCYNUU
          RABCYJTUWJKVRZUWLUXPUWNABCYNUUROPZVBBCUUTVBVHABCUYDUUTUVIUYDUUBUUJOPZ
          UUROPUUBYTOPZUUJUUHOPZOPUUTUVIYNUYEUUROUVIDEUVIDLUNZUVIEMUNZVSZVTUVIU
          UBUUJYTUUHUVIUUBUWBUNZUVIUUJUWFUNZUVRUVTWAUVIUYFUUDUYGUULOUVIUYFUUDRZ
          DNDNRZUYMUVIUYNUUBNUUDUYFUYNUUBNUDZNDNWBWCWDZUYNUUCUUBNUYNNNUUBQWEUYP
          WFVOZUYNUYFNNOPZNUYNUUBNYTNOUYPUYNYTDNUYNYSDNUYNNNDQWEUYNWGZWFVOZUYSW
          IUJWJWDURWHUVIDNWKZUIZUYFYSUUBDOPZUUBNOPZUBZUUDYSUUBDNOWLVUBVUEUUCWMZ
          NUUBUBUUDVUBYSVUFVUCVUDNUUBVUBYSUUBNXAUAZVUFUVIVUAUUBNWKZYSVUGWNUVIVU
          AVUHUVIDUYHWOWPUVIYSVUGUUBNRZXBZVUHVUGUVIYSUUBNQUAZVUJUVIDLWQUVIUWAUV
          PVUKVUJWNUWBUKUUBNWRUMWSVUHVUGVUIVUGXBZVUJVUHVUIWMVUGVULWNUUBNWTVUIVU
          GXCXDVUIVUGXEXFXGXHUVIVUGVUFWNZVUAUVIUWAUVPVUMUWBUKUUBNXIUMXJWSUVIVUC
          NRVUAUVIVUCDUUBOPZNUVIUUBDUYKUYHXKUVIDUYHXLZWIXJUVIVUDUUBRVUAUVIUUBUY
          KXTXJXMUUCNUUBXNWDXOXPUVIUYGUULRZENENRZVUPUVIVUQUUJNUULUYGVUQUUJUYONE
          NWBWCWDZVUQUUKUUJNVUQNNUUJQWEVURWFVOZVUQUYGUYRNVUQUUJNUUHNOVURVUQUUHE
          NVUQUUGENVUQNNEQWEVUQWGZWFVOZVUTWIUJWJWDURWHUVIENWKZUIZUYGUUGUUJEOPZU
          UJNOPZUBZUULUUGUUJENOWLVVCVVFUUKWMZNUUJUBUULVVCUUGVVGVVDVVENUUJVVCUUG
          UUJNXAUAZVVGUVIVVBUUJNWKZUUGVVHWNUVIVVBVVIUVIEUYIWOWPUVIUUGVVHUUJNRZX
          BZVVIVVHUVIUUGUUJNQUAZVVKUVIEMWQUVIUWEUVPVVLVVKWNUWFUKUUJNWRUMWSVVIVV
          HVVJVVHXBZVVKVVIVVJWMVVHVVMWNUUJNWTVVJVVHXCXDVVJVVHXEXFXGXHUVIVVHVVGW
          NZVVBUVIUWEUVPVVNUWFUKUUJNXIUMXJWSUVIVVDNRVVBUVIVVDEUUJOPZNUVIUUJEUYL
          UYIXKUVIEUYIXLZWIXJUVIVVEUUJRVVBUVIUUJUYLXTXJXMUUKNUUJXNWDXOXPUJXQVQA
          BCUUBUUJABCDTLUXNVRUWBABCETMUXOVRUWFABCYNVBBCUYEVBVHABCYNUYEUYJVQUYCX
          RVKZYAVKXRUWMUWNUVIUVPUWKNYPQUAUKUWLNYNVLVMUYBXSABCYLUUTTUWOAUWQUWRUW
          TVIZUWPABCUUDUULTUWCAUXBUXCUXFVGZUWGAUXHUXIUXLVGZVVQVDABCYLNUUTQUAZUU
          TNUBZOPZVBBCUVHVBVHABCVWCUVHUVIVWBUUTYLOUVIVWAUUTNUVIUUDUULUWCUWGUVIU
          VPUWANUUDQUAUKUWBNUUBVLVMZUVIUVPUWENUULQUAUKUWFNUUJVLVMZVNZVOVPVQABCY
          JUUTKUWJVVQUWPABCYJUUTOPZVBBCUURVBVHABCVWGUURUVIVWGDUUDOPZEUULOPZOPUU
          RUVIDEUUDUULUYHUYIUWDUWHWAUVIVWHYTVWIUUHOUVIVWHYTRZDNUYNVWJUVIUYNDNYT
          VWHUYSUYTUYNVWHUYRNUYNDNUUDNOUYSUYNUUDUUBNUYQUYPWIUJWJWDURWHVUBVWHUUC
          VUNDNOPZUBZYTUUCDUUBNOWLVUBVWLYSWMZNDUBYTVUBUUCVWMVUNVWKNDVUBUUCDNXAU
          AZVWMUVIUUCVWNUYNXBZVUAVWNUVIDNQUAZUUCVWOUVIDLYBUVIUVNUVPVWPVWOWNLUKD
          NWRUMYCVUAVWNUYNVWNXBZVWOVUAUYNWMVWNVWQWNDNWTUYNVWNXCXDUYNVWNXEXFXGUV
          IVWNVWMWNZVUAUVIUVNUVPVWRLUKDNXIUMXJWSUVIVUNNRVUAVUOXJUVIVWKDRVUAUVID
          UYHXTXJXMYSNDXNWDXOXPUVIVWIUUHRZENVUQVWSUVIVUQENUUHVWIVUTVVAVUQVWIUYR
          NVUQENUULNOVUTVUQUULUUJNVUSVURWIUJWJWDURWHVVCVWIUUKVVOENOPZUBZUUHUUKE
          UUJNOWLVVCVXAUUGWMZNEUBUUHVVCUUKVXBVVOVWTNEVVCUUKENXAUAZVXBUVIUUKVXCV
          UQXBZVVBVXCUVIENQUAZUUKVXDUVIEMYBUVIUVOUVPVXEVXDWNMUKENWRUMYCVVBVXCVU
          QVXCXBZVXDVVBVUQWMVXCVXFWNENWTVUQVXCXCXDVUQVXCXEXFXGUVIVXCVXBWNZVVBUV
          IUVOUVPVXGMUKENXIUMXJWSUVIVVONRVVBVVPXJUVIVWTERVVBUVIEUYIXTXJXMUUGNEX
          NWDXOXPUJWIVQUXPYAVKXRUWOUWPUVIUVPUWINYLQUAUKUWJNYJVLVMVWFXSYDAYQUUSY
          MUVAABCYPTUWMUXAYEAUUSUVCYIABCYTUUHTUVQUXGUVSUXMUXPUVQUVSUXTUYAXSZAUU
          AUUIABCYTTUVQUXGYEZABCUUHTUVSUXMYEZYFYAABCYLTUWOVVRYEAUVAUVDYIABCUUDU
          ULTUWCVVSUWGVVTVVQUWCUWGVWDVWEXSZAUUEUUMABCUUDTUWCVVSYEZABCUULTUWGVVT
          YEZYFYAUSVFAUUSUVCUVAUVDUEVXHVXKUJAUUAUUIUUEUUMVXIVXJVXLVXMUPXQABCYJU
          WJUWSYGAUUPUUFUUQUUNOABCDLHYGABCEMJYGUJYH $.
      $}

      $d x y $.  $d y B $.  $d y C $.
      $( Choice-free analogue of ~ itgadd .  (Contributed by Brendan Leahy,
         11-Nov-2017.) $)
      itgaddnc $p |- ( ph -> S. A ( B + C ) _d x =
          ( S. A B _d x + S. A C _d x ) ) $=
        ( caddc co cre citg ci wcel cmpt cr cc vy cfv cim cmul cibl cmbf iblmbf
        cv wa syl mbfmptcl readdd itgeq2dv recld iblcn mpbid simpld ccom addcld
        eqidd wf ref a1i feqmptd fveq2 fmptco mpteq2dva eqtrd wb fmpttd ismbfcn
        itgaddnclem2 imaddd imcld simprd imf oveq2d ax-icn itgcl adddid oveq12d
        eqeltrrd mulcl sylancr add4d cvv ovexd ibladdnc itgcnval 3eqtr4d ) ABCD
        ELMZNUBZOZPBCWKUCUBZOZUDMZLMZBCDNUBZOZPBCDUCUBZOZUDMZLMZBCENUBZOZPBCEUC
        UBZOZUDMZLMZLMZBCWKOBCDOZBCEOZLMAWQWSXELMZXBXHLMZLMXJAWMXMWPXNLAWMBCWRX
        DLMZOXMABCWLXOABUHCQUIZDEABCDFABCDRZUEQZXQUFQHXQUGUJGUKZABCEFABCERZUEQZ
        XTUFQJXTUGUJIUKZULZUMABCWRXDSXPDXSUNZABCWRRUEQZBCWTRUEQZAXRYEYFUIHABCDX
        SUOUPZUQZXPEYBUNZABCXDRUEQZBCXFRUEQZAYAYJYKUIJABCEYBUOUPZUQZANBCWKRZURZ
        BCXORZUFAYOBCWLRYPABUACTWKUAUHZNUBWLYNNXPDEXSYBUSZAYNUTZAUATSNTSNVAAVBV
        CVDYQWKNVEVFABCWLXOYCVGVHAYOUFQZUCYNURZUFQZAYNUFQZYTUUBUIZKACTYNVAUUCUU
        DVIABCWKTYRVJCYNVKUJUPZUQWBYDYIVLVHAWPPXAXGLMZUDMXNAWOUUFPUDAWOBCWTXFLM
        ZOUUFABCWNUUGXPDEXSYBVMZUMABCWTXFSXPDXSVNZAYEYFYGVOZXPEYBVNZAYJYKYLVOZA
        UUABCUUGRZUFAUUABCWNRUUMABUACTWKYQUCUBWNYNUCYRYSAUATSUCTSUCVAAVPVCVDYQW
        KUCVEVFABCWNUUGUUHVGVHAYTUUBUUEVOWBUUIUUKVLVHVQAPXAXGPTQZAVRVCABCWTSUUI
        UUJVSZABCXFSUUKUULVSZVTVHWAAWSXEXBXHABCWRSYDYHVSABCXDSYIYMVSAUUNXATQXBT
        QVRUUOPXAWCWDAUUNXGTQXHTQVRUUPPXGWCWDWEVHABCWKWFXPDELWGABCDEFGHIJKWHWIA
        XKXCXLXILABCDFGHWIABCEFIJWIWAWJ $.
    $}

    iblsubnc.m $e |- ( ph -> ( x e. A |-> ( B - C ) ) e. MblFn ) $.
    $( Choice-free analogue of ~ iblsub .  (Contributed by Brendan Leahy,
       11-Nov-2017.) $)
    iblsubnc $p |- ( ph -> ( x e. A |-> ( B - C ) ) e. L^1 ) $=
      ( cneg co cmpt cibl wcel cmbf iblmbf syl mbfmptcl caddc cmin cv mpteq2dva
      wa negsubd cc negcld iblneg eqeltrd ibladdnc eqeltrrd ) ABCDELZUAMZNZBCDE
      UBMZNZOABCUNUPABUCCPUEZDEABCDFABCDNZOPUSQPHUSRSGTZABCEFABCENZOPVAQPJVARSI
      TZUFUDZABCDUMUGUTHUREVBUHABCEFIJUIAUOUQQVCKUJUKUL $.
    $( Choice-free analogue of ~ itgsub .  (Contributed by Brendan Leahy,
       11-Nov-2017.) $)
    itgsubnc $p |- ( ph -> S. A ( B - C ) _d x =
      ( S. A B _d x - S. A C _d x ) ) $=
      ( cneg caddc co citg cmin cmpt cibl wcel cmbf cc iblmbf syl negcld iblneg
      mbfmptcl negsubd mpteq2dva eqeltrd itgaddnc itgneg oveq2d eqtr4d itgeq2dv
      cv wa itgcl 3eqtr3d ) ABCDELZMNZOZBCDOZBCEOZLZMNZBCDEPNZOVBVCPNAVAVBBCUSO
      ZMNVEABCDUSUAABCDFABCDQZRSVHTSHVHUBUCGUFZHABUOCSUPZEABCEFABCEQZRSVKTSJVKU
      BUCIUFZUDABCEFIJUEABCUTQBCVFQTABCUTVFVJDEVIVLUGZUHKUIUJAVDVGVBMABCEFIJUKU
      LUMABCUTVFVMUNAVBVCABCDFGHUQABCEFIJUQUGUR $.
  $}

  ${
    $d x y A $.  $d x y ph $.  $d y B $.  $d y V $.
    iblabsnc.1 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    iblabsnc.2 $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    ${
      $d y G $.  $d y F $.
      iblabsnclem.1 $e |- G =
        ( x e. RR |-> if ( x e. A , ( abs ` ( F ` B ) ) , 0 ) ) $.
      iblabsnclem.2 $e |- ( ph -> ( x e. A |-> ( F ` B ) ) e. L^1 ) $.
      iblabsnclem.3 $e |- ( ( ph /\ x e. A ) -> ( F ` B ) e. RR ) $.
      $( Lemma for ~ iblabsnc ; cf. ~ iblabslem .  (Contributed by Brendan
         Leahy, 7-Nov-2017.) $)
      iblabsnclem $p |- ( ph -> ( G e. MblFn /\ ( S.2 ` G ) e. RR ) ) $=
        ( wcel cr cc0 cmpt wbr wa co caddc cmbf citg2 cfv cabs cif cvol cdm wss
        vy cle cneg cibl w3a iblrelem mpbid simp1d mbfdm2 mblss syl rembl recnd
        cv a1i abscld 0re ifcl sylancl cdif wceq eldifn adantl iffalse mpteq2ia
        wn iftrue fmpttd ccnv cpnf cioo cima cmnf cun crab wo adantlr biantrurd
        clt simplr absled notbid ltnled cxr wb rexrd ad2antlr elioomnf renegcld
        renegcl 3bitr2d rexr elioopnf orbi12d ianor 3bitr4rd rabbidva mptpreima
        bitr4di eqid uneq12i unrab eqtri 3eqtr4g wf iblmbf mbfima unmbl syl2anc
        adantr eqeltrd absltd bitrd 3anass elioo2 bitr4d ismbf2d eqeltrid mbfss
        cof cico ifan max1 sylancr elrege0 sylanbrc ifclda eqidd oveq12d syl5eq
        cvv eqtrd 0e0icopnf offval2 oveq12i max0add 3eqtr4d ex 3eqtr4a pm2.61d1
        reex 00id mpteq2dv eqtr4id fveq2d ibar ifbid mbfpos eqeltrrid itg2addnc
        simp2d simp3d readdcld jca ) AFUAMFUBUCZNMAFBNBVBZCMZDEUCZUDUCZOUEZPZUA
        JABCNUVHNACUFUGZMCNUHABCUVFNABCUVFPZUAMZBNUVEOUVFUJQZRZUVFOUEZPZUBUCZNM
        ZBNUVEOUVFUKZUJQZRUVSOUEZPZUBUCZNMZAUVKULMZUVLUVRUWDUMKABCUVFLUNUOZUPZL
        UQZCURUSZNUVJMAUTVCZAUVERZUVGNMZONMZUVHNMUWKUVFUWKUVFLVAVDZVEUVEUVGONVF
        VGAUVDNCVHMZRZUVEVNZUVHOVIUWOUWQAUVDNCVJVKZUVEUVGOVLZUSABCUVHPBCUVGPZUA
        BCUVHUVGUVEUVGOVOZVMAUICUWTABCUVGNUWNVPUWHAUIVBZNMZRZUWTVQZUXBVRVSSZVTZ
        UVKVQZWAUXBUKZVSSZVTZUXHUXFVTZWBZUVJUXDUVGUXFMZBCWCUVFUXJMZUVFUXFMZWDZB
        CWCZUXGUXMUXDUXNUXQBCUXDUVERZUXBUVGWGQZUWLUXTRZUXQUXNUXSUWLUXTAUVEUWLUX
        CUWNWEZWFUXSUVGUXBUJQZVNUXIUVFUJQZUVFUXBUJQZRZVNZUXTUXQUXSUYCUYFUXSUVFU
        XBAUVEUVFNMZUXCLWEZAUXCUVEWHZWIWJUXSUXBUVGUYJUYBWKUXSUXQUYDVNZUYEVNZWDU
        YGUXSUXOUYKUXPUYLUXSUXOUYHUVFUXIWGQZRZUYMUYKUXSUXIWLMZUXOUYNWMUXCUYOAUV
        EUXCUXIUXBWRWNZWOUXIUVFWPUSUXSUYHUYMUYIWFUXSUVFUXIUYIUXSUXBUYJWQWKWSUXS
        UXPUYHUXBUVFWGQZRZUYQUYLUXSUXBWLMZUXPUYRWMUXCUYSAUVEUXBWTZWOZUXBUVFXAUS
        UXSUYHUYQUYIWFUXSUXBUVFUYJUYIWKWSXBUYDUYEXCXGXDUXSUYSUXNUYAWMVUAUXBUVGX
        AUSXDXEBCUVGUXFUWTUWTXHZXFUXMUXOBCWCZUXPBCWCZWBUXRUXKVUCUXLVUDBCUVFUXJU
        VKUVKXHZXFBCUVFUXFUVKVUEXFXIUXOUXPBCXJXKXLAUXMUVJMZUXCAUVLCNUVKXMZVUFAU
        WEUVLKUVKXNUSZABCUVFNLVPZUVLVUGRUXKUVJMUXLUVJMVUFCWAUXIUVKXOCUXBVRUVKXO
        UXKUXLXPXQXQXRXSUXDUXEWAUXBVSSZVTZUXHUXIUXBVSSZVTZUVJUXDUVGVUJMZBCWCUVF
        VULMZBCWCVUKVUMUXDVUNVUOBCUXSVUNUYHUXIUVFWGQZUVFUXBWGQZUMZVUOUXSVUNUYHV
        UPVUQRZRZVURUXSVUNVUSVUTUXSVUNUWLUVGUXBWGQZRZVVAVUSUXSUYSVUNVVBWMVUAUXB
        UVGWPUSUXSUWLVVAUYBWFUXSUVFUXBUYIUYJXTWSUXSUYHVUSUYIWFYAUYHVUPVUQYBXGUX
        CVUOVURWMZAUVEUXCUYOUYSVVCUYPUYTUXIUXBUVFYCXQWOYDXEBCUVGVUJUWTVUBXFBCUV
        FVULUVKVUEXFXLAVUMUVJMZUXCAUVLVUGVVDVUHVUICUXIUXBUVKXOXQXRXSYEYFYGYFAUV
        CUVQUWCTSZNAUVCUVPUWBTYHSZUBUCVVEAFVVFUBAFUVIVVFJAVVFBNUVOUWATSZPUVIABN
        UVOUWATUVPUWBYSOVRYISZVVHNYSMAUUIVCAUVOVVHMZUVDNMZAUVOUVEUVMUVFOUEZOUEZ
        VVHUVEUVMUVFOYJZAUVEVVKOVVHUWKVVKNMZOVVKUJQZVVKVVHMUWKUYHUWMVVNLVEUVMUV
        FONVFVGUWKUWMUYHVVOVELOUVFYKYLVVKYMYNOVVHMAUWQRUUAVCZYOYFZXRZAUWAVVHMVV
        JAUWAUVEUVTUVSOUEZOUEZVVHUVEUVTUVSOYJZAUVEVVSOVVHUWKVVSNMZOVVSUJQZVVSVV
        HMUWKUVSNMZUWMVWBUWKUVFLWQZVEUVTUVSONVFVGUWKUWMVWDVWCVEVWEOUVSYKYLVVSYM
        YNVVPYOYFXRZAUVPYPAUWBYPUUBABNVVGUVHAVVGVVLVVTTSZUVHUVOVVLUWAVVTTVVMVWA
        UUCAUVEVWGUVHVIZAUVEVWHUWKVVKVVSTSZUVGVWGUVHUWKUYHVWIUVGVILUVFUUDUSUWKV
        VLVVKVVTVVSTUVEVVLVVKVIAUVEVVKOVOVKUVEVVTVVSVIAUVEVVSOVOVKYQUVEUVHUVGVI
        AUXAVKUUEUUFUWQOOTSOVWGUVHUUJUWQVVLOVVTOTUVEVVKOVLZUVEVVSOVLYQUWSUUGUUH
        YRUUKYTUULUUMAUVPUWBABCNUVOVVHUWIUWJAVVIUVEVVQXRUWPUWQUVOOVIUWRUWQUVOVV
        LOVVMVWJYRUSABCUVOPBCVVKPUABCVVKUVOUVEUVMUVNUVFOUVEUVMUUNUUOVMABCUVFLUW
        GUUPUUQYGABNUVOVVHVVRVPAUVLUVRUWDUWFUUSZABNUWAVVHVWFVPAUVLUVRUWDUWFUUTZ
        UURYTAUVQUWCVWKVWLUVAXSUVB $.
    $}
    iblabsnc.m $e |- ( ph -> ( x e. A |-> ( abs ` B ) ) e. MblFn ) $.
    $( Choice-free analogue of ~ iblabs .  As with ~ ibladdnc , a measurability
       hypothesis is needed.  (Contributed by Brendan Leahy, 7-Nov-2017.) $)
    iblabsnc $p |- ( ph -> ( x e. A |-> ( abs ` B ) ) e. L^1 ) $=
      ( cabs cfv cmpt wcel cr cc0 citg2 co caddc cle wbr ci cibl cmbf cpnf cicc
      cv cif wf cre cim wa cxr iblmbf syl mbfmptcl abscld rexrd absge0d elxrge0
      sylanbrc 0e0iccpnf a1i ifclda adantr fmpttd cof cvv cico reex recld recnd
      wn elrege0 0e0icopnf imcld eqidd offval2 wceq iftrue oveq12d 00id iffalse
      eqtr4d 3eqtr4a pm2.61i mpteq2i fveq2d eqid iblcn mpbid simpld iblabsnclem
      eqtr2di simprd itg2addnc eqtrd readdcld eqeltrd cofr addge0d wral cmul cc
      ax-icn mulcl sylancr abstrid adantl replimd absmul c1 absi oveq1i mulid2d
      syl5eq eqtr2d oveq2d 3brtr4d ex pm2.61d1 ralrimivw ofrfval2 mpbird itg2le
      0le0 syl3anc itg2lecl iblpos mpbir2and ) ABCDIJZKZUALYJUBLBMBUEZCLZYINUFZ
      KZOJZMLZHAMNUCUDPZYNUGZBMYLDUHJZIJZDUIJZIJZQPZNUFZKZOJZMLYOUUFRSZYPABMYMY
      QAYMYQLYKMLZAYLYINYQAYLUJZYIUKLNYIRSYIYQLUUIYIUUIDABCDEABCDKZUALZUUJUBLGU
      UJULUMFUNZUOZUPUUIDUULUQZYIURUSNYQLAYLVKZUJZUTVAZVBVCZVDZAUUFBMYLYTNUFZKZ
      OJZBMYLUUBNUFZKZOJZQPZMAUUFUVAUVDQVEPZOJUVFAUUEUVGOAUVGBMUUTUVCQPZKUUEABM
      UUTUVCQUVAUVDVFNUCVGPZUVIMVFLAVHVAZAUUTUVILUUHAYLYTNUVIUUIYTMLNYTRSYTUVIL
      UUIYSUUIYSUUIDUULVIZVJZUOZUUIYSUVLUQZYTVLUSNUVILUUPVMVAZVBVCZAUVCUVILUUHA
      YLUUBNUVIUUIUUBMLNUUBRSUUBUVILUUIUUAUUIUUAUUIDUULVNZVJZUOZUUIUUAUVRUQZUUB
      VLUSUVOVBVCZAUVAVOAUVDVOVPBMUVHUUDYLUVHUUDVQYLUVHUUCUUDYLUUTYTUVCUUBQYLYT
      NVRYLUUBNVRVSYLUUCNVRZWBUUONNQPNUVHUUDVTUUOUUTNUVCNQYLYTNWAYLUUBNWAVSYLUU
      CNWAZWCWDWEWLWFAUVAUVDAUVAUBLZUVBMLZABCDUHUVAEFGUVAWGABCYSKUALZBCUUAKUALZ
      AUUKUWFUWGUJGABCDUULWHWIZWJUVKWKZWJABMUUTUVIUVPVDAUWDUWEUWIWMZABMUVCUVIUW
      AVDAUVDUBLUVEMLABCDUIUVDEFGUVDWGAUWFUWGUWHWMUVQWKWMZWNWOAUVBUVEUWJUWKWPWQ
      AYRMYQUUEUGYNUUERWRSZUUGUUSABMUUDYQAUUDYQLUUHAYLUUCNYQUUIUUCUKLNUUCRSUUCY
      QLUUIUUCUUIYTUUBUVMUVSWPUPUUIYTUUBUVMUVSUVNUVTWSUUCURUSUUQVBVCZVDAUWLYMUU
      DRSZBMWTAUWNBMAYLUWNAYLUWNUUIYSTUUAXAPZQPZIJZYTUWOIJZQPZYMUUDRUUIYSUWOUVL
      UUITXBLZUUAXBLZUWOXBLXCUVRTUUAXDXEXFUUIYMYIUWQYLYMYIVQAYLYINVRXGUUIDUWPIU
      UIDUULXHWFWOUUIUUDUUCUWSYLUUDUUCVQAUWBXGUUIUUBUWRYTQUUIUWRTIJZUUBXAPZUUBU
      UIUWTUXAUWRUXCVQXCUVRTUUAXIXEUUIUXCXJUUBXAPUUBUXBXJUUBXAXKXLUUIUUBUUIUUBU
      VSVJXMXNXOXPWOXQXRUUONNYMUUDRNNRSUUOYDVAYLYINWAUWCXQXSXTABMYMUUDRYNUUEVFY
      QYQUVJUURUWMAYNVOAUUEVOYAYBYNUUEYCYEUUFYNYFYEABCYIUUMUUNYGYH $.
  $}

  ${
    $d k x A $.  $d k B $.  $d k x C $.  $d k x ph $.  $d x V $.
    itgmulc2nc.1 $e |- ( ph -> C e. CC ) $.
    itgmulc2nc.2 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    itgmulc2nc.3 $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    itgmulc2nc.m $e |- ( ph -> ( x e. A |-> ( C x. B ) ) e. MblFn ) $.
    $( Choice-free analogue of ~ iblmulc2 .  (Contributed by Brendan Leahy,
       17-Nov-2017.) $)
    iblmulc2nc $p |- ( ph -> ( x e. A |-> ( C x. B ) ) e. L^1 ) $=
      ( cmul co cmpt wcel cr cc0 cfv cle wbr wceq vk cibl cmbf cv cexp cdiv cre
      ci wa cif citg2 c3 cfz wral cpnf cicc wf cabs cim caddc cxr adantr iblmbf
      ifan cc syl mbfmptcl mulcld adantlr cz elfzelz ad2antlr wne ax-icn expclz
      ine0 mp3an12 expne0i divcld recld ifcl sylancl rexrd max1 sylancr elxrge0
      0re sylanbrc 0e0iccpnf a1i ifclda eqeltrid fmpttd csn cxp cof cico abscld
      recnd imcld readdcld absge0d addge0d elrege0 0e0icopnf reex eqidd offval2
      wn cvv iftrue oveq12d eqtr4d 00id iffalse 3eqtr4a pm2.61i mpteq2i eqtr2di
      fveq2d eqid iblcn mpbid simpld iblabsnclem simprd itg2addnc eqtrd eqeltrd
      itg2mulc fconstmpt oveq2d adantl remulcld c1 oveq1i 3brtr4d breq1 syl3anc
      absi 3eqtr4d pm2.61dan mpteq2dv 3eqtr3d mulge0d ad2antrr releabsd absdivd
      mul01d cofr elfznn0 absexp 1exp syl5eq div1d 3eqtrd absmuld breqtrd mulcl
      cn0 abstrid replimd absmul eqtrdi mulid2d eqtr2d lemul2ad letrd ifboth ex
      syl2anc 0le0 pm2.61d1 eqbrtrid ralrimivw ofrfval2 mpbird itg2le ralrimiva
      itg2lecl isibl2 mpbir2and ) ABCEDKLZMZUBNUWDUCNBOBUDZCNZPUWCUHUAUDZUELZUF
      LZUGQZRSZUIUWJPUJZMZUKQZONZUAPULUMLZUNJAUWOUAUWPAUWGUWPNZUIZOPUOUPLZUWMUQ
      ZBOUWFEURQZDUGQZURQZDUSQZURQZUTLZKLZPUJZMZUKQZONZUWNUXJRSZUWOUWRBOUWLUWSU
      WRUWEONZUIUWLUWFUWKUWJPUJZPUJZUWSUWFUWKUWJPVDZUWRUXOUWSNUXMUWRUWFUXNPUWSU
      WRUWFUIZUXNVANPUXNRSZUXNUWSNUXQUXNUXQUWJONZPONZUXNONUXQUWIUXQUWCUWHAUWFUW
      CVENUWQAUWFUIZEDAEVENUWFGVBZABCDFABCDMZUBNZUYCUCNIUYCVCVFHVGZVHZVIZUXQUWG
      VJNZUWHVENZUWQUYHAUWFUWGPULVKZVLZUHVENZUHPVMZUYHUYIVNVPUHUWGVOVQVFZUXQUYH
      UWHPVMZUYKUYLUYMUYHUYOVNVPUHUWGVRVQVFZVSZVTZWGUWKUWJPOWAWBWCUXQUXTUXSUXRW
      GUYRPUWJWDWEUXNWFWHPUWSNZUWRUWFXIZUIWIWJWKVBWLZWMZAUXKUWQAUXJUXABOUWFUXCP
      UJZMZUKQZBOUWFUXEPUJZMZUKQZUTLZKLZOAOUXAWNWOZBOUWFUXFPUJZMZKWPLZUKQUXAVUM
      UKQZKLUXJVUJAUXAVUMABOVULPUOWQLZAVULVUPNUXMAUWFUXFPVUPUYAUXFONPUXFRSUXFVU
      PNUYAUXCUXEUYAUXBUYAUXBUYADUYEVTZWSZWRZUYAUXDUYAUXDUYADUYEWTZWSZWRZXAZUYA
      UXCUXEVUSVVBUYAUXBVURXBZUYAUXDVVAXBZXCZUXFXDWHPVUPNAUYTUIZXEWJZWKVBZWMAVU
      OVUIOAVUOVUDVUGUTWPLZUKQVUIAVUMVVJUKAVVJBOVUCVUFUTLZMVUMABOVUCVUFUTVUDVUG
      XJVUPVUPOXJNZAXFWJZAVUCVUPNUXMAUWFUXCPVUPUYAUXCONPUXCRSUXCVUPNVUSVVDUXCXD
      WHVVHWKVBZAVUFVUPNUXMAUWFUXEPVUPUYAUXEONPUXERSUXEVUPNVVBVVEUXEXDWHVVHWKVB
      ZAVUDXGAVUGXGXHBOVVKVULUWFVVKVULTUWFVVKUXFVULUWFVUCUXCVUFUXEUTUWFUXCPXKUW
      FUXEPXKXLUWFUXFPXKZXMUYTPPUTLPVVKVULXNUYTVUCPVUFPUTUWFUXCPXOUWFUXEPXOXLUW
      FUXFPXOZXPXQXRXSXTAVUDVUGAVUDUCNZVUEONZABCDUGVUDFHIVUDYAABCUXBMUBNZBCUXDM
      UBNZAUYDVVTVWAUIIABCDUYEYBYCZYDVUQYEZYDABOVUCVUPVVNWMAVVRVVSVWCYFZABOVUFV
      UPVVOWMAVUGUCNVUHONABCDUSVUGFHIVUGYAAVVTVWAVWBYFVUTYEYFZYGYHZAVUEVUHVWDVW
      EXAZYIAUXAONZPUXARSZUXAVUPNAEGWRZAEGXBZUXAXDWHYJAVUNUXIUKAVUNBOUXAVULKLZM
      UXIABOUXAVULKVUKVUMXJOVUPVVMAVWHUXMVWJVBVVIVUKBOUXAMTABOUXAYKWJAVUMXGXHAB
      OVWLUXHAUWFVWLUXHTZUWFVWMAUWFVWLUXGUXHUWFVULUXFUXAKVVPYLUWFUXGPXKZXMYMVVG
      UXAPKLZPVWLUXHAVWOPTUYTAUXAAUXAVWJWSUUIVBVVGVULPUXAKUYTVULPTAVVQYMYLUYTUX
      HPTAUWFUXGPXOZYMUUAUUBUUCYHXTAVUOVUIUXAKVWFYLUUDAUXAVUIVWJVWGYNYIVBUWRUWT
      OUWSUXIUQUWMUXIRUUJSZUXLVUBUWRBOUXHUWSAUXHUWSNUWQUXMAUWFUXGPUWSUYAUXGVANP
      UXGRSZUXGUWSNUYAUXGUYAUXAUXFAVWHUWFVWJVBZVVCYNZWCUYAUXAUXFVWSVVCAVWIUWFVW
      KVBZVVFUUEZUXGWFWHUYSVVGWIWJWKUUFZWMUWRVWQUWLUXHRSZBOUNUWRVXDBOUWRUWLUXOU
      XHRUXPUWRUWFUXOUXHRSZUWRUWFVXEUXQUXNUXGUXOUXHRUXQUWJUXGRSZVWRUXNUXGRSZUXQ
      UWJUXADURQZKLZUXGUYRAUWFVXIONUWQUYAUXAVXHVWSUYADUYEWRZYNVIAUWFUXGONUWQVWT
      VIUXQUWJUWIURQZVXIRUXQUWIUYQUUGUXQVXKUWCURQZVXIUXQVXKVXLUWHURQZUFLZVXLYOU
      FLZVXLUXQUWCUWHUYGUYNUYPUUHUWQVXNVXOTAUWFUWQVXMYOVXLUFUWQVXMUHURQZUWGUELZ
      YOUWQUYLUWGUUTNVXMVXQTVNUWGULUUKUHUWGUULWEUWQVXQYOUWGUELZYOVXPYOUWGUEYTYP
      UWQUYHVXRYOTUYJUWGUUMVFUUNYHYLVLUXQVXLAUWFVXLVENUWQUYAVXLUYAUWCUYFWRWSVIU
      UOUUPAUWFVXLVXITUWQUYAEDUYBUYEUUQVIYHUURAUWFVXIUXGRSUWQUYAVXHUXFUXAVXJVVC
      VWSVXAUYAUXBUHUXDKLZUTLZURQUXCVXSURQZUTLVXHUXFRUYAUXBVXSVURUYAUYLUXDVENZV
      XSVENVNVVAUHUXDUUSWEUVAUYADVXTURUYADUYEUVBXTUYAUXEVYAUXCUTUYAVYAYOUXEKLZU
      XEUYAVYAVXPUXEKLZVYCUYAUYLVYBVYAVYDTVNVVAUHUXDUVCWEVXPYOUXEKYTYPUVDUYAUXE
      UYAUXEVVBWSUVEUVFYLYQUVGVIUVHAUWFVWRUWQVXBVIUWKVXFVWRVXGUWJPUWJUXNUXGRYRP
      UXNUXGRYRUVIUVKUWFUXOUXNTUWRUWFUXNPXKYMUWFUXHUXGTUWRVWNYMYQUVJUYTPPUXOUXH
      RPPRSUYTUVLWJUWFUXNPXOVWPYQUVMUVNUVOUWRBOUWLUXHRUWMUXIXJUWSUWSVVLUWRXFWJV
      UAVXCUWRUWMXGUWRUXIXGUVPUVQUWMUXIUVRYSUXJUWMUVTYSUVSABCUWCUWJUAUWMVEAUWMX
      GUYAUWJXGUYFUWAUWB $.

    ${
      itgmulc2nc.4 $e |- ( ph -> C e. RR ) $.
      itgmulc2nc.5 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
      ${
        itgmulc2nc.6 $e |- ( ph -> 0 <_ C ) $.
        itgmulc2nc.7 $e |- ( ( ph /\ x e. A ) -> 0 <_ B ) $.
        $( Lemma for ~ itgmulc2nc ; cf. ~ itgmulc2lem1 .  (Contributed by
           Brendan Leahy, 17-Nov-2017.) $)
        itgmulc2nclem1 $p |- ( ph ->
          ( C x. S. A B _d x ) = S. A ( C x. B ) _d x ) $=
          ( cr wcel cc0 cmpt cmul co cv cif citg2 cfv citg csn cxp cpnf cico wa
          cof cle wbr elrege0 sylanbrc wn 0e0icopnf a1i ifclda adantr cmbf cibl
          fmpttd iblpos mpbid simprd itg2mulc reex wceq fconstmpt eqidd offval2
          cc ovif2 mul01d ifeq2d syl5eq mpteq2dva eqtrd fveq2d eqtr3d itgposval
          cvv oveq2d remulcld iblmulc2nc mulge0d 3eqtr4d ) AEBOBUAZCPZDQUBZRZUC
          UDZSTZBOWJEDSTZQUBZRZUCUDZEBCDUEZSTBCWOUEAOEUFUGZWLSUKTZUCUDWNWRAEWLA
          BOWKQUHUITZAWKXBPWIOPZAWJDQXBAWJUJZDOPQDULUMDXBPLNDUNUOQXBPAWJUPUJUQU
          RUSUTZVCABCDRZVAPZWMOPZAXFVBPXGXHUJIABCDLNVDVEVFAEOPZQEULUMZEXBPKMEUN
          UOVGAXAWQUCAXABOEWKSTZRWQABOEWKSWTWLWCVMXBOWCPAVHURAEVMPXCGUTXEWTBOER
          VIABOEVJURAWLVKVLABOXKWPAXCUJZXKWJWOEQSTZUBWPWJEDQSVNXLWJXMQWOAXMQVIX
          CAEGVOUTVPVQVRVSVTWAAWSWMESABCDLINWBWDABCWOXDEDAXIWJKUTZLWEABCDEFGHIJ
          WFXDEDXNLAXJWJMUTNWGWBWH $.
      $}

      $( Lemma for ~ itgmulc2nc ; cf. ~ itgmulc2lem2 .  (Contributed by Brendan
         Leahy, 19-Nov-2017.) $)
      itgmulc2nclem2 $p |- ( ph ->
        ( C x. S. A B _d x ) = S. A ( C x. B ) _d x ) $=
        ( cmul co citg cc0 cmin wcel cr cmpt cle wbr cif cneg cv wa max0sub syl
        wceq oveq1d adantr cc 0re ifcl sylancl renegcld subdird eqtr3d itgeq2dv
        recnd cvv ovexd csn cxp cof cmbf cdm mbfdm2 fconstmpt a1i eqidd offval2
        cvol iblmbf fmpttd mbfmulc2re eqeltrrd iblmulc2nc mpteq2dva iblre mpbid
        itgsubnc simpld mbfpos simprd mbfneg oveq2d subdid eqtrd itgreval itgcl
        cibl max1 sylancr itgmulc2nclem1 oveq12d 3eqtrd 3eqtr4d 3eqtr2d 3eqtrrd
        ) ABCEDMNZOBCPEUAUBZEPUCZDMNZPEUDZUAUBZXEPUCZDMNZQNZOBCXDOZBCXHOZQNZEBC
        DOZMNZABCXAXIABUECRZUFZXCXGQNZDMNZXAXIAXRXAUIXOAXQEDMAESRZXQEUIKEUGUHZU
        JUKXPXCXGDAXCULRXOAXCAXSPSRZXCSRZKUMXBEPSUNUOZUTZUKZAXGULRXOAXGAXESRZYA
        XGSRZAEKUPZUMXFXEPSUNUOZUTZUKZXPDLUTZUQURZUSABCXDXHVAXPXCDMVBABCDXCSYDL
        IACXCVCVDZBCDTZMVEZNZBCXDTZVFABCXCDMYNYOVMVGZSSABCXAVAJXPEDMVBVHZAYBXOY
        CUKZLYNBCXCTUIABCXCVIVJZAYOVKZVLZACXCYOAYOWLRZYOVFRIYOVNUHZYCABCDULYLVO
        ZVPZVQVRXPXGDMVBABCDXGSYJLIACXGVCVDZYOYPNZBCXHTZVFABCXGDMUUIYOYSSSYTAYG
        XOYIUKZLUUIBCXGTUIABCXGVIVJZUUCVLZACXGYOUUFYIUUGVPZVQVRABCXATBCXITVFABC
        XAXIYMVSJVQWBAXLXCXMMNZXGXMMNZQNXQXMMNXNAXJUUPXKUUQQABCXCPDUAUBZDPUCZMN
        ZXCPDUDZUAUBZUVAPUCZMNZQNZOBCUUTOZBCUVDOZQNZXJUUPABCUUTUVDVAXPXCUUSMVBA
        BCUUSXCSYDXPDSRZYAUUSSRLUMUURDPSUNUOZABCUUSTZWLRZBCUVCTZWLRZAUUEUVLUVNU
        FIABCDLVTWAZWCZAYNUVKYPNBCUUTTVFABCXCUUSMYNUVKYSSSYTUUAUVJUUBAUVKVKZVLA
        CXCUVKABCDLUUFWDZYCABCUUSULXPUUSUVJUTZVOZVPVQZVRXPXCUVCMVBABCUVCXCSYDXP
        UVASRZYAUVCSRXPDLUPZUMUVBUVAPSUNUOZAUVLUVNUVOWEZAYNUVMYPNBCUVDTVFABCXCU
        VCMYNUVMYSSSYTUUAUWDUUBAUVMVKZVLACXCUVMABCUVAUWCABCDSLUUFWFWDZYCABCUVCU
        LXPUVCUWDUTZVOZVPVQZVRAYQBCUVETZVFAYQYRUWKUUDABCXDUVEXPXCUUSUVCQNZMNXDU
        VEXPUWLDXCMXPUVIUWLDUILDUGUHZWGXPXCUUSUVCYEUVSUWHWHURZVSWIUUHVQWBABCXDU
        VEUWNUSAUUPXCBCUUSOZBCUVCOZQNZMNXCUWOMNZXCUWPMNZQNUVHAXMUWQXCMABCDLIWJZ
        WGAXCUWOUWPYDABCUUSSUVJUVPWKZABCUVCSUWDUWEWKZWHAUWRUVFUWSUVGQABCUUSXCSY
        DUVJUVPUWAYCUVJAYAXSPXCUAUBUMKPEWMWNZXPYAUVIPUUSUAUBUMLPDWMWNZWOABCUVCX
        CSYDUWDUWEUWJYCUWDUXCXPYAUWBPUVCUAUBUMUWCPUVAWMWNZWOWPWQWRABCXGUUSMNZXG
        UVCMNZQNZOBCUXFOZBCUXGOZQNZXKUUQABCUXFUXGVAXPXGUUSMVBABCUUSXGSYJUVJUVPA
        UUIUVKYPNBCUXFTVFABCXGUUSMUUIUVKYSSSYTUULUVJUUMUVQVLACXGUVKUVRYIUVTVPVQ
        ZVRXPXGUVCMVBABCUVCXGSYJUWDUWEAUUIUVMYPNBCUXGTVFABCXGUVCMUUIUVMYSSSYTUU
        LUWDUUMUWFVLACXGUVMUWGYIUWIVPVQZVRAUUJBCUXHTZVFAUUJUUKUXNUUNABCXHUXHXPX
        GUWLMNXHUXHXPUWLDXGMUWMWGXPXGUUSUVCYKUVSUWHWHURZVSWIUUOVQWBABCXHUXHUXOU
        SAUUQXGUWQMNXGUWOMNZXGUWPMNZQNUXKAXMUWQXGMUWTWGAXGUWOUWPYJUXAUXBWHAUXPU
        XIUXQUXJQABCUUSXGSYJUVJUVPUXLYIUVJAYAYFPXGUAUBUMYHPXEWMWNZUXDWOABCUVCXG
        SYJUWDUWEUXMYIUWDUXRUXEWOWPWQWRWPAXCXGXMYDYJABCDSLIWKUQAXQEXMMXTUJWSWT
        $.
    $}

    $( Choice-free analogue of ~ itgmulc2 .  (Contributed by Brendan Leahy,
       19-Nov-2017.) $)
    itgmulc2nc $p |- ( ph -> ( C x. S. A B _d x ) = S. A ( C x. B ) _d x ) $=
      ( ci cmul co caddc citg cc wcel cmpt cmbf cr vk cre cfv cim cneg cv recld
      wa recnd adantr iblmbf syl mbfmptcl mulcld iblcn mpbid simpld csn cxp cof
      cibl cvol cdm cvv ovexd mbfdm2 wceq fconstmpt a1i eqidd fmpttd mbfmulc2re
      offval2 eqeltrrd iblmulc2nc itgcl ax-icn imcld simprd mulcl sylancr add4d
      negcld renegcld adddird oveq2d adddid itgmulc2nclem2 mul12d eqtrd oveq12d
      itgcnval 3eqtrd mulassd mul4d c1 ixi oveq1i mulm1d syl5eq mulneg1d eqtr3d
      addcomd cmin ccom wf ref feqmptd fveq2 fmptco remuld mpteq2dva wb ismbfcn
      itgsubnc itgeq2dv itgneg eqtr4d negsubd 3eqtr4d immuld imf replimd oveq1d
      itgaddnc ) AEUBUCZKEUDUCZLMZNMZBCDOZLMZBCEDLMZUBUCZOZKBCYLUDUCZOZLMZNMZEY
      JLMBCYLOABCYFDUBUCZLMZOZKBCYFDUDUCZLMZOZLMZNMZBCYGUEZUUBLMZOZKBCYGYSLMZOZ
      LMZNMZNMZUUAUUINMZUUEUULNMZNMYKYRAUUAUUEUUIUULABCYTPABUFCQZUHZYFYSAYFPQUU
      QAYFAEGUGZUIZUJZUURYSUURDABCDFABCDRZVAQZUVBSQIUVBUKULHUMZUGZUIZUNZABCYSYF
      TUUTUVEABCYSRZVAQZBCUUBRZVAQZAUVCUVIUVKUHIABCDUVDUOUPZUQZACYFURUSZUVHLUTZ
      MBCYTRSABCYFYSLUVNUVHVBVCZPTABCYLVDJUUREDLVEVFZUVAUVEUVNBCYFRVGABCYFVHVIZ
      AUVHVJZVMACYFUVHAUVIUVHSQUVMUVHUKULZUUSABCYSPUVFVKZVLVNZVOZVPZAKPQZUUDPQU
      UEPQVQABCUUCPUURYFUUBUVAUURUUBUURDUVDVRZUIZUNZABCUUBYFTUUTUWFAUVIUVKUVLVS
      ZAUVNUVJUVOMBCUUCRSABCYFUUBLUVNUVJUVPPTUVQUVAUWFUVRAUVJVJZVMACYFUVJAUVKUV
      JSQUWIUVJUKULZUUSABCUUBPUWGVKZVLVNZVOZVPZKUUDVTWAABCUUHPUURUUGUUBAUUGPQUU
      QAYGAYGAEGVRZUIZWCZUJZUWGUNABCUUBUUGTUWRUWFUWIACUUGURUSZUVJUVOMBCUUHRSABC
      UUGUUBLUWTUVJUVPPTUVQUWSUWFUWTBCUUGRVGABCUUGVHVIUWJVMACUUGUVJUWKAYGUWPWDZ
      UWLVLVNZVOVPZAUWEUUKPQUULPQVQABCUUJPUURYGYSAYGPQUUQUWQUJZUVFUNZABCYSYGTUW
      QUVEUVMACYGURUSZUVHUVOMBCUUJRSABCYGYSLUXFUVHUVPPTUVQUXDUVEUXFBCYGRVGABCYG
      VHVIZUVSVMACYGUVHUVTUWPUWAVLVNZVOZVPZKUUKVTWAZWBAYKYFYJLMZYHYJLMZNMUUNAYF
      YHYJUUTAKYGUWEAVQVIZUWQUNZABCDFHIVPWEAUXLUUFUXMUUMNAUXLYFBCYSOZKBCUUBOZLM
      ZNMZLMYFUXPLMZYFUXRLMZNMUUFAYJUXSYFLABCDFHIWLZWFAYFUXPUXRUUTABCYSTUVEUVMV
      PZAUWEUXQPQUXRPQVQABCUUBTUWFUWIVPZKUXQVTWAZWGAUXTUUAUYAUUENABCYSYFTUUTUVE
      UVMUWBUUSUVEWHAUYAKYFUXQLMZLMUUEAYFKUXQUUTUXNUYDWIAUYFUUDKLABCUUBYFTUUTUW
      FUWIUWMUUSUWFWHWFWJWKWMAUXMYHUXSLMYHUXPLMZYHUXRLMZNMZUUMAYJUXSYHLUYBWFAYH
      UXPUXRUXOUYCUYEWGAUYIUULUUINMUUMAUYGUULUYHUUINAUYGKYGUXPLMZLMUULAKYGUXPUX
      NUWQUYCWNAUYJUUKKLABCYSYGTUWQUVEUVMUXHUWPUVEWHWFWJAUYHKKLMZYGUXQLMZLMZUYL
      UEZUUIAKYGKUXQUXNUWQUXNUYDWOAUYMWPUEZUYLLMUYNUYKUYOUYLLWQWRAUYLAYGUXQUWQU
      YDUNWSWTAUUGUXQLMUYNUUIAYGUXQUWQUYDXAABCUUBUUGTUWRUWFUWIUXBUXAUWFWHXBWMWK
      AUULUUIUXKUXCXCWJWMWKWJAYNUUOYQUUPNABCYTYGUUBLMZXDMZOUUABCUYPOZXDMZYNUUOA
      BCYTUYPPUVGUWCUURYGUUBUXDUWGUNZABCUUBYGTUWQUWFUWIAUXFUVJUVOMBCUYPRSABCYGU
      UBLUXFUVJUVPPTUVQUXDUWFUXGUWJVMACYGUVJUWKUWPUWLVLVNVOZAUBBCYLRZXEZBCUYQRZ
      SAVUCBCYMRVUDABUACPYLUAUFZUBUCYMVUBUBUUREDAEPQUUQGUJZUVDUNZAVUBVJZAUAPTUB
      PTUBXFAXGVIXHVUEYLUBXIXJABCYMUYQUUREDVUFUVDXKZXLWJAVUCSQZUDVUBXEZSQZAVUBS
      QZVUJVULUHZJACPVUBXFVUMVUNXMABCYLPVUGVKCVUBXNULUPZUQVNXOABCYMUYQVUIXPAUUA
      UYRUEZNMUUOUYSAVUPUUIUUANAVUPBCUYPUEZOUUIABCUYPPUYTVUAXQABCUUHVUQUURYGUUB
      UXDUWGXAXPXRWFAUUAUYRUWDABCUYPPUYTVUAVPXSXBXTAYQKUUDUUKNMZLMUUPAYPVURKLAY
      PBCUUCUUJNMZOVURABCYOVUSUUREDVUFUVDYAZXPABCUUCUUJPUWHUWNUXEUXIAVUKBCVUSRZ
      SAVUKBCYORVVAABUACPYLVUEUDUCYOVUBUDVUGVUHAUAPTUDPTUDXFAYBVIXHVUEYLUDXIXJA
      BCYOVUSVUTXLWJAVUJVULVUOVSVNYEWJWFAKUUDUUKUXNUWOUXJWGWJWKXTAEYIYJLAEGYCYD
      ABCYLPVUGABCDEFGHIJVOWLXT $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y ph $.  $d x y V $.
    itgabsnc.1 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    itgabsnc.2 $e |- ( ph -> ( x e. A |-> B ) e. L^1 ) $.
    itgabsnc.m1 $e |- ( ph -> ( x e. A |-> ( abs ` B ) ) e. MblFn ) $.
    itgabsnc.m2 $e |- ( ph ->
      ( y e. A |-> ( ( * ` S. A B _d x ) x. [_ y / x ]_ B ) ) e. MblFn ) $.
    $( Choice-free analogue of ~ itgabs .  (Contributed by Brendan Leahy,
       19-Nov-2017.)  (Revised by Brendan Leahy, 19-Jun-2018.) $)
    itgabsnc $p |- ( ph ->
      ( abs ` S. A B _d x ) <_ S. A ( abs ` B ) _d x ) $=
      ( cc0 citg cabs cfv cmul co cmpt wcel cc cr clt wbr cle wa ccj cv csb cre
      wceq cibl cim itgcl cjcld wral cmbf iblmbf syl mbfmptcl ralrimiva nfcsb1v
      nfv nfel1 weq csbeq1a eleq1d cbvralw sylib r19.21bi nfcv cbvmpt eqeltrrid
      iblmulc2nc adantr mulcld iblcn mpbid simpld csn cxp cof absmuld mpteq2dva
      cvol cdm mbfdm2 abscld fconstmpt a1i nffv fveq2d offval2 recnd mbfmulc2re
      eqtr4d fmpttd eqeltrd iblabsnc recld releabsd itgle cexp sqvald absvalsqd
      c2 mulcomd cbvitg oveq2i itgmulc2nc syl5eq 3eqtrd resqcld rered cvv ovexd
      itgre 3eqtr3d eqtr3d eqeltrrd abscjd eqtrd itgeq2dv 3brtr4d itgrecl simpr
      oveq1d wb lemul2 syl112anc mpbird ex absge0d itgge0 breq1 syl5ibcom leloe
      wo 0re sylancr mpjaod ) AKBDELZMNZUAUBZUUABDEMNZLZUCUBZKUUAUIZAUUBUUEAUUB
      UDZUUEUUAUUAOPZUUAUUDOPZUCUBZAUUJUUBACDYTUENZBCUFZEUGZOPZUHNZLZCDUUNMNZLZ
      UUHUUIUCACDUUOUUQACDUUOQUJRZCDUUNUKNQUJRZACDUUNQUJRUUSUUTUDACDUUMUUKSAYTA
      BDEFGHULZUMZAUUMSRZCDAESRZBDUNUVCCDUNAUVDBDABDEFABDEQZUJRUVEUORHUVEUPUQZG
      URZUSUVDUVCBCDUVDCVABUUMSBUULEUTZVBBCVCZEUUMSBUULEVDZVEVFVGVHZACDUUMQUVEU
      JBCDEUUMCEVIZUVHUVJVJHVKZJVLZACDUUNAUULDRZUDZUUKUUMAUUKSRUVOUVBVMZUVKVNZV
      OVPVQACDUUNSUVRUVNACDUUQQZDUUKMNZVRVSZBDUUCQZOVTZPZUOAUVSCDUVTUUMMNZOPZQU
      WDACDUUQUWFUVPUUKUUMUVQUVKWAZWBACDUVTUWEOUWAUWBWCWDZTTABDEFUVFGWEZUVPUUKU
      VQWFUVPUUMUVKWFZUWACDUVTQUIACDUVTWGWHUWBCDUWEQZUIABCDUUCUWECUUCVIZBUUMMBM
      VIUVHWIZUVIEUUMMUVJWJZVJZWHZWKWNADUVTUWBIAUUKUVBWFABDUUCSABUFDRUDZUUCUWQE
      UVGWFZWLWOZWMWPWQUVPUUNUVRWRUVPUUNUVRWFUVPUUNUVRWSWTAUUAXDXAPZUUHUUPAUUAA
      UUAAYTUVAWFZWLZXBAUWTUHNCDUUNLZUHNUWTUUPAUWTUXCUHAUWTYTUUKOPUUKYTOPZUXCAY
      TUVAXCAYTUUKUVAUVBXEAUXDUUKCDUUMLZOPUXCYTUXEUUKOBCDEUUMUVJUVLUVHXFXGACDUU
      MUUKSUVBUVKUVMJXHXIXJWJAUWTAUUAUXAXKXLACDUUNXMUVPUUKUUMOXNUVNXOXPXQAUUIUU
      ACDUWELZOPZUURUUDUXFUUAOBCDUUCUWEUWNUWLUWMXFXGAUXGCDUUAUWEOPZLUURACDUWEUU
      ATUXBUWJAUWKUWBUJUWOABDEFGHIWQZVKADUUAVRVSZUWBUWCPCDUXHQUOACDUUAUWEOUXJUW
      BUWHTTUWIAUUATRZUVOUXAVMUWJUXJCDUUAQUIACDUUAWGWHUWPWKADUUAUWBIUXAUWSWMXRX
      HACDUUQUXHUVPUUQUWFUXHUWGUVPUVTUUAUWEOUVPYTAYTSRUVOUVAVMXSYEXTYAWNXIYBVMU
      UGUXKUUDTRZUXKUUBUUEUUJYFAUXKUUBUXAVMZAUXLUUBABDUUCUWRUXIYCVMUXMAUUBYDUUA
      UUDUUAYGYHYIYJAKUUDUCUBUUFUUEABDUUCUXIUWRUWQEUVGYKYLKUUAUUDUCYMYNAKUUAUCU
      BZUUBUUFYPZAYTUVAYKAKTRUXKUXNUXOYFYQUXAKUUAYOYRVPYS $.
  $}

  ${
    $d x y X $.  $d x y Y $.  $d y B $.  $d x y ph $.
    itggt0cn.1 $e |- ( ph -> X < Y ) $.
    itggt0cn.2 $e |- ( ph -> ( x e. ( X (,) Y ) |-> B ) e. L^1 ) $.
    itggt0cn.3 $e |- ( ( ph /\ x e. ( X (,) Y ) ) -> B e. RR+ ) $.
    itggt0cn.cn $e |- ( ph ->
      ( x e. ( X (,) Y ) |-> B ) e. ( ( X (,) Y ) -cn-> CC ) ) $.
    $( ~ itggt0 holds for continuous functions in the absence of ~ ax-cc .
       (Contributed by Brendan Leahy, 16-Nov-2017.) $)
    itggt0cn $p |- ( ph -> 0 < S. ( X (,) Y ) B _d x ) $=
      ( vy cc0 cr co wcel cmpt cfv clt wbr crp wceq cv cioo cif citg2 citg cpnf
      cico cle rpred rpge0d elrege0 sylanbrc 0e0icopnf a1i ifclda adantr fmpttd
      wa wn wral rpgt0d elioore adantl iftrue eqeltrd eqid fvmpt2 syl2anc eqtrd
      breqtrrd ralrimiva nfcv nffvmpt1 nfbr nfv weq fveq2 breq2d cbvralw sylibr
      r19.21bi cres cc ccncf wss resmpt ax-mp mpteq2ia eqtri eqeltrid itg2gt0cn
      ioossre itgposval ) AKBLBUAZDEUBMZNZCKUCZOZUDPBWOCUEQAJWRDEFABLWQKUFUGMZA
      WQWSNWNLNZAWPCKWSAWPURZCLNKCUHRCWSNXACHUIZXACHUJZCUKULKWSNAWPUSURUMUNUOUP
      UQAKJUAZWRPZQRZJWOAKWNWRPZQRZBWOUTXFJWOUTAXHBWOXAKCXGQXACHVAXAXGWQCXAWTWQ
      SNXGWQTWPWTAWNDEVBVCXAWQCSWPWQCTAWPCKVDZVCZHVEBLWQSWRWRVFVGVHXJVIVJVKXFXH
      JBWOBKXEQBKVLBQVLBLWQXDVMVNXHJVOJBVPXEXGKQXDWNWRVQVRVSVTWAAWRWOWBZBWOCOZW
      OWCWDMXKBWOWQOZXLWOLWEXKXMTDEWLBLWOWQWFWGBWOWQCXIWHWIIWJWKABWOCXBGXCWMVJ
      $.
  $}

  ${
    $d x y z t s u v w A $.  $d x y z t s u v w B $.  $d x y z t s u v w F $.
    $d x y z t s u v w ph $.  $d y z s u v w G $.  $d x y z t s u v w c $.
    ftc1cnnc.g $e |- G = ( x e. ( A [,] B ) |->
      S. ( A (,) x ) ( F ` t ) _d t ) $.
    ftc1cnnc.a $e |- ( ph -> A e. RR ) $.
    ftc1cnnc.b $e |- ( ph -> B e. RR ) $.
    ftc1cnnc.le $e |- ( ph -> A <_ B ) $.
    ftc1cnnc.f $e |- ( ph -> F e. ( ( A (,) B ) -cn-> CC ) ) $.
    ftc1cnnc.i $e |- ( ph -> F e. L^1 ) $.
    ${
      $d x z t X $.  $d y t E $.  $d y H $.  $d x t Y $.  $d y R $.
      ftc1cnnclem.c $e |- ( ph -> c e. ( A (,) B ) ) $.
      ftc1cnnclem.h $e |- H = ( z e. ( ( A [,] B ) \ { c } ) |->
        ( ( ( G ` z ) - ( G ` c ) ) / ( z - c ) ) ) $.
      ftc1cnnclem.e $e |- ( ph -> E e. RR+ ) $.
      ftc1cnnclem.r $e |- ( ph -> R e. RR+ ) $.
      ftc1cnnclem.fc $e |- ( ( ph /\ y e. ( A (,) B ) ) ->
        ( ( abs ` ( y - c ) ) < R ->
          ( abs ` ( ( F ` y ) - ( F ` c ) ) ) < E ) ) $.
      ftc1cnnclem.x1 $e |- ( ph -> X e. ( A [,] B ) ) $.
      ftc1cnnclem.x2 $e |- ( ph -> ( abs ` ( X - c ) ) < R ) $.
      ftc1cnnclem.y1 $e |- ( ph -> Y e. ( A [,] B ) ) $.
      ftc1cnnclem.y2 $e |- ( ph -> ( abs ` ( Y - c ) ) < R ) $.
      $( Lemma for ~ ftc1cnnc ; cf. ~ ftc1lem4 .  The stronger assumptions of
         ~ ftc1cn are exploited to make use of weaker theorems.  (Contributed
         by Brendan Leahy, 19-Nov-2017.) $)
      ftc1cnnclem $p |- ( ( ph /\ X < Y ) ->
        ( abs ` ( ( ( ( G ` Y ) - ( G ` X ) ) / ( Y - X ) ) - ( F ` c ) ) )
          < E ) $=
        ( clt wbr wa cfv cmin co cdiv cv cabs cioo citg cc wcel cvv cxr cle wss
        ovexd rexrd cicc elicc1 biimpa simp2d syl21anc iccleub syl3anc ioossioo
        w3a syl22anc sselda ccncf wf cncff syl ffvelrnda syldan cvol cdm ioombl
        a1i fvexd cmpt feqmptd eqeltrrd iblss ffvelrnd adantr csn cxp fconstmpt
        cibl cr covol wceq mblvol ax-mp syl2anc iblconst eqeltrrid cmbf ioossre
        sseldd ax-resscn cncfmptc mp3an23 cncfmpt2f cnmbf iblsubnc resubcld cc0
        sylancr posdifd cmul caddc wi ltle itgconst oveq2d 3eqtrd oveq1d abscld
        eqtrd rpred adantl absdifltd mpbid simpld lttrd simprd wb iccssre mblss
        ioossicc iccmbl iccvolcl ovolsscl eqeltrid ccnfld ctopn eqid subcn cres
        ctx ccn feqresmpt rescncf sylc sstri ssid itgcl recnd gt0ne0d imp ssidd
        divcld ftc1lem1 npcand itgeq2dv subcld mpteq2dva eqtr4d sylancl eqeltrd
        iblmbf mbfres itgaddnc eqtr3d ovolioo divdird divcan4d mvrraddd absdivd
        syl5eq mulcld fveq2d 0re absidd cncfss mp2an abscncf cncfmpt1f iblabsnc
        mpd sselii itgrecl remulcld ccj csb nfcv nfcsb1v csbeq1a cbvmpt mulcncf
        cjcld itgabsnc simpr rpcnd crp wral ralrimiva elioore eliooord readdcld
        sselid mpbir2and fvoveq1 breq1d imbrov2fvoveq rspcv syl3c difrp adantlr
        weq itggt0cn itgsubnc mulcomd breqtrd biimpar ltdivmul syl112anc mpbird
        lelttrd eqbrtrd ) AMNUKULZUMZNKUNMKUNUOUPZNMUOUPZUQUPZOURZJUNZUOUPZUSUN
        ZEMNUTUPZEURZJUNZUYTUOUPZVAZUSUNZUYQUQUPZIUKUYOVUBVUGUYQUQUPZUSUNVUHUYQ
        USUNZUQUPVUIUYOVUAVUJUSUYOUYRVUJUYTUYOVUGUYQAVUGVBVCUYNAEVUCVUFVDAVUDVU
        CVCZUMZVUEUYTUOVHZAEVUCVUEUYTVBAVULVUDFGUTUPZVCZVUEVBVCAVUCVUOVUDAFVEVC
        ZGVEVCZFMVFULZNGVFULZVUCVUOVGZAFQVIZAGRVIZAVUQVURMFGVJUPZVCZVUSVVBVVCUG
        VUQVURUMZVVEUMMVEVCZVUSMGVFULZVVFVVEVVGVUSVVHVRFGMVKVLVMVNAVUQVURNVVDVC
        VUTVVBVVCUIFGNVOVPFGMNVQVSZVTZAVUOVBVUDJAJVUOVBWAUPVCZVUOVBJWBTVUOVBJWC
        WDZWEWFZAEVUCVUOVUEVDVVIVUCWGWHZVCZAMNWIZWJZAVUPUMVUDJWKAJEVUOVUEWLXAAE
        VUOVBJVVLWMUAWNWOAUYTVBVCZVULAVUOVBUYSJVVLUBWPZWQZAEVUCUYTWLZVUCUYTWRWS
        ZXAEVUCUYTWTAVVOVUCWGUNZXBVCZVVRVWBXAVCVVQAVWCVUCXCUNZXBVVOVWCVWEXDVVPV
        UCXEXFZAVUCMNVJUPZVGZVWGXBVGZVWGXCUNZXBVCVWEXBVCVWHAMNUUCWJAVWGVVNVCZVW
        IAMXBVCZNXBVCZVWKAVVDXBMAFXBVCGXBVCVVDXBVGQRFGUUAXGZUGXLZAVVDXBNVWNUIXL
        ZMNUUDXGZVWGUUBWDAVWGWGUNZVWJXBAVWKVWRVWJXDVWQVWGXEWDAVWLVWMVWRXBVCVWOV
        WPMNUUEXGWNVUCVWGUUFVPUUGZVVSVUCUYTXHVPXIZAVVOEVUCVUFWLZVUCVBWAUPZVCVXA
        XJVCVVPAEVUEUYTUOUUHUUIUNZVUCVXCUUJZUOVXCVXCUUMUPVXCUUNUPVCAVXCVXDUUKWJ
        ZAJVUCUULZEVUCVUEWLZVXBAEVUOVBVUCJVVLVVIUUOZAVVAVVKVXFVXBVCVVITVUOVBVUC
        JUUPUUQWNAVVRVWAVXBVCZVVSVVRVUCVBVGZVBVBVGZVXIVUCXBVBMNXKXMUURZVBUUSZEU
        YTVUCVBXNXOWDXPZVUCVXAXQYAXRZUUTZWQZAUYQVBVCUYNAUYQANMVWPVWOXSZUVAZWQZU
        YOUYQAUYNXTUYQUKULZAMNVWOVWPYBVLZUVBZUVEAVVRUYNVVSWQZUYOUYRVUGUYTUYQYCU
        PZYDUPZUYQUQUPVUJVYEUYQUQUPZYDUPVUJUYTYDUPUYOUYPVYFUYQUQUYOUYPEVUCVUEVA
        ZVUGEVUCUYTVAZYDUPZVYFAUYNMNVFULZUYPVYHXDAUYNVYKAVWLVWMUYNVYKYEVWOVWPMN
        YFXGUVCZABEFGVUOJKMNPQRSAVUOUVDVUOXBVGAFGXKZWJUAVVLUGUIUVFWFAVYHVYJXDUY
        NAEVUCVUFUYTYDUPZVAVYHVYJAEVUCVYNVUEVUMVUEUYTVVMVVTUVGZUVHAEVUCVUFUYTVB
        VUMVUEUYTVVMVVTUVIZVXOVVTVWTAEVUCVYNWLZVXFXJAVYQVXGVXFAEVUCVYNVUEVYOUVJ
        VXHUVKAJXJVCZVVOVXFXJVCAJXAVCVYRUAJUVNWDVVPVUCJUVOUVLUVMUVPUVQWQUYOVYIV
        YEVUGYDUYOVYIUYTVWCYCUPZVYEAVYIVYSXDZUYNAVVOVWDVVRVYTVVQVWSVVSEVUCUYTYG
        VPWQUYOVWCUYQUYTYCUYOVWCVWEUYQVWFUYOVWLVWMVYKVWEUYQXDAVWLUYNVWOWQAVWMUY
        NVWPWQVYLMNUVRVPUWCZYHYLYHYIYJUYOVUGVYEUYQVXQUYOUYTUYQVYDVXTUWDVXTVYCUV
        SUYOVYGUYTVUJYDUYOUYTUYQVYDVXTVYCUVTYHYIUWAUWEUYOVUGUYQVXQVXTVYCUWBUYOV
        UKUYQVUHUQUYOUYQAUYQXBVCZUYNVXRWQZUYOVYAXTUYQVFULZVYBUYOXTXBVCWUBVYAWUD
        YEUWFWUCXTUYQYFYAUWMUWGYHYIUYOVUIIUKULZVUHUYQIYCUPZUKULZUYOVUHEVUCVUFUS
        UNZVAZWUFUYOVUGVXQYKZAWUIXBVCUYNAEVUCWUHVUMVUFVYPYKZAEVUCVUFVDVUNVXOAVV
        OEVUCWUHWLZVXBVCWULXJVCVVPAEVUFUSVUCUSVBVBWAUPZVCAVBXBWAUPZWUMUSXBVBVGV
        XKWUNWUMVGXMVXMVBXBVBUWHUWIUWJUWNWJVXNUWKZVUCWULXQYAZUWLZUWOZWQAWUFXBVC
        UYNAUYQIVXRAIUDYMZUWPZWQAVUHWUIVFULUYNAEBVUCVUFVBVYPVXOWUPAVVOBVUCVUGUW
        QUNZEBURZVUFUWRZYCUPWLZVXBVCWVDXJVCVVPABWVAWVCVUCAWVAVBVCZBVUCWVAWLVXBV
        CZAVUGVXPUXDWVEVXJVXKWVFVXLVXMBWVAVUCVBXNXOWDABVUCWVCWLVXAVXBEBVUCVUFWV
        CBVUFUWSEWVBVUFUWTEWVBVUFUXAUXBVXNXIUXCVUCWVDXQYAUXEWQAUYNXTWUFWUIUOUPZ
        UKULZWUIWUFUKULZUYOXTEVUCIWUHUOUPZVAZWVGUKUYOEWVJMNAUYNUXFAEVUCWVJWLZXA
        VCUYNAEVUCIWUHXBAIXBVCZVULWUSWQZAEVUCIWLZVUCIWRWSZXAEVUCIWTAVVOVWDIVBVC
        ZWVPXAVCVVQVWSAIUDUXGZVUCIXHVPXIZWUKWUQAVVOWVLVXBVCZWVLXJVCVVPAEIWUHUOV
        XCVUCVXDVXEAWVQWVOVXBVCZWVRWVQVXJVXKWWAVXLVXMEIVUCVBXNXOWDWUOXPZVUCWVLX
        QYAZXRWQAVULWVJUXHVCZUYNVUMWUHIUKULZWWDVUMVUPCURZUYSUOUPUSUNZHUKULZWWFJ
        UNUYTUOUPUSUNIUKULYEZCVUOUXIZVUDUYSUOUPUSUNZHUKULZWWEVVJAWWJVULAWWICVUO
        UFUXJWQVUMWWLUYSHUOUPZVUDUKULVUDUYSHYDUPZUKULVUMWWMMVUDAWWMXBVCVULAUYSH
        AVUOXBUYSVYMUBUXNZAHUEYMZXSWQAVWLVULVWOWQVULVUDXBVCAVUDMNUXKYNZAWWMMUKU
        LZVULAWWRMWWNUKULZAMUYSUOUPUSUNHUKULWWRWWSUMUHAMUYSHVWOWWOWWPYOYPYQWQVU
        MMVUDUKULZVUDNUKULZVULWWTWXAUMAVUDMNUXLYNZYQYRVUMVUDNWWNWWQAVWMVULVWPWQ
        AWWNXBVCVULAUYSHWWOWWPUXMWQVUMWWTWXAWXBYSANWWNUKULZVULAWWMNUKULZWXCANUY
        SUOUPUSUNHUKULWXDWXCUMUJANUYSHVWPWWOWWPYOYPYSWQYRVUMVUDUYSHWWQAUYSXBVCV
        ULWWOWQAHXBVCVULWWPWQYOUXOWWIWWLWWEYECVUDVUOWWHWWLIUKUOUSJUYTWWFVUDCEUY
        CWWGWWKHUKWWFVUDUYSUSUOUXPUXQUXRUXSUXTVUMWUHXBVCWVMWWEWWDYTWUKWVNWUHIUY
        AXGYPUYBAWVTUYNWWBWQUYDUYOWVKEVUCIVAZWUIUOUPZWVGAWVKWXFXDUYNAEVUCIWUHXB
        WVNWVSWUKWUQWWCUYEWQUYOWXEWUFWUIUOUYOWXEIVWCYCUPZIUYQYCUPZWUFAWXEWXGXDZ
        UYNAVVOVWDWVQWXIVVQVWSWVREVUCIYGVPWQUYOVWCUYQIYCWUAYHAWXHWUFXDUYNAIUYQW
        VRVXSUYFWQYIYJYLUYGAWVIWVHAWUIWUFWURWUTYBUYHWFUYLUYOVUHXBVCWVMWUBVYAWUE
        WUGYTWUJAWVMUYNWUSWQWUCVYBVUHIUYQUYIUYJUYKUYM $.
    $}

    $d c A $.  $d c B $.  $d c F $.  $d c ph $.  $d c G $.
    $( Choice-free proof of ~ ftc1cn .  (Contributed by Brendan Leahy,
       20-Nov-2017.) $)
    ftc1cnnc $p |- ( ph -> ( RR _D G ) = F ) $=
      ( co cr cc cfv wcel cmin clt vc vs vz vv vw vu cioo cdv wfun cdm wceq wfn
      vy wf dvf a1i ffund cicc crn ctg cnt ccnfld ctopn ax-resscn ssidd ioossre
      wss ccncf cncff syl ftc1lem2 iccssre syl2anc eqid tgioo2 dvbssntr sseqtrd
      iccntr cv wbr crest csn cdif cdiv cmpt climc ctop retop eqeltrri iooretop
      adantr eleqtri ioossicc uniretop unieqi eqtri ssntr syl22anc simpr sseldd
      wa cuni wne cabs wral crp wrex ffvelrnda ccom cxp cres cxmet cnxmet mp2an
      ccnp eleqtrdi ctopon simpllr elioore recnd sseli ad3antlr cnmetdval eqtrd
      wi breq1d ad2antrr ssdifssd ad2ant2r weq ad2antlr ad3antrrr sylan eqbrtrd
      fvoveq1d cc0 ftc1cnnclem expr adantl mpbir2and cmopn sstri ccn cnfldtopon
      xmetres2 ssid toponrestid cncfcn resttopon toponunii eleq2i biimpi cncnpi
      syl2an cnfldtopn metrest oveq1i metcnpi2 syl2an2 imbi12d ralbidva simprll
      fveq1i ovresd eldifsni wo sselda lttri2d biimpa fveq2 oveq1d oveq12d ovex
      oveq1 fvmpt eldifi ffvelrnd sylan2 ad4antlr ltne necomd div2subd cle cibl
      ad4antr simplrl simplrr simprlr imbrov2fvoveq simprr subidd rpgt0d jaodan
      fvoveq1 rspccva abs00bd syldan mpdan adantld ralrimdva sylbid anassrs mpd
      reximdva ralrimiva sstrdi dvlem fmpttd ellimc3 wb eldv vex breldm eqelssd
      fvex df-fn sylanbrc ffnd funbrfv sylc eqfnfvd ) AUADEUGNZOGUHNZFAUYCUIZUY
      CUJZUYBUKUYCUYBULAUYEPUYCUYEPUYCUNAGUOUPUQZAUAUYEUYBAUYEDEURNZUGUSUTQZVAQ
      QZUYBAUYGOGUYHVBVCQZOPVGAVDUPZABCDEUYBFGHIJKAUYBVEUYBOVGADEVFZUPMAFUYBPVH
      NZRZUYBPFUNZLUYBPFVIVJZVKZADORZEORZUYGOVGZIJDEVLVMZUYJUYJVNZVOZVUBVPAUYRU
      YSUYIUYBUKIJDEVRVMVQAUAVSZUYBRZXAZVUDVUDFQZUYCVTZVUDUYERVUFVUHVUDUYGUYJOW
      ANZVAQQZRZVUGUBUYGVUDWBZWCZUBVSZGQZVUDGQZSNZVUNVUDSNZWDNZWEZVUDWFNRZVUFUY
      BVUJVUDVUFVUIWGRZUYTUYBVUIRZUYBUYGVGZUYBVUJVGVVBVUFUYHVUIWGVUCWHWIUPAUYTV
      UEVUAWKVVCVUFUYBUYHVUIDEWJVUCWLUPVVDVUFDEWMZUPUYGVUIUYBOOUYHXBVUIXBWNUYHV
      UIVUCWOWPWQWRAVUEWSWTVUFVVAVUGPRZUCVSZVUDXCZVVGVUDSNZXDQUDVSZTVTZXAVVGVUT
      QZVUGSNXDQZUEVSZTVTZYEZUCVUMXEZUDXFXGZUEXFXEAUYBPVUDFUYPXHZVUFVVRUEXFVUFV
      VNXFRZXAZUFVSZVUDXDSXIZUYBUYBXJXKZNZVVJTVTZVWBFQZVUGVWCNZVVNTVTZYEZUFUYBX
      EZUDXFXGZVVRVWAVWDUYBXLQRZVWCPXLQRZFVUDVWDUUAQZUYJXONZQZRZVVTVWLVWMVWAVWN
      UYBPVGZVWMXMUYBOPUYLVDUUBZVWCUYBPUUEXNUPVWNVWAXMUPVUFVWRVVTVUFFVUDUYJUYBW
      ANZUYJXONZQZVWQAFVXAUYJUUCNZRVUDVXAXBZRZFVXCRVUEAFUYMVXDLVWSPPVGUYMVXDUKV
      WTPUUFUYBPUYJVXAUYJVUBVXAVNUYJPUYJVUBUUDZUUGUUHXNXPVUEVXFUYBVXEVUDUYBVXAU
      YJPXQQRVWSVXAUYBXQQRVXGVWTUYBUYJPUUIXNUUJUUKUULVUDFVXAUYJVXEVXEVNUUMUUNVU
      DVXBVWPVXAVWOUYJXOVWNVWSVXAVWOUKXMVWTVWCVWDUYJVWOPUYBVWDVNUYJVUBUUOZVWOVN
      ZUUPXNUUQUVCXPWKVUFVVTWSUDUFVVNVWDVWCVUDFVWOUYJUYBPVXIVXHUURWRVWAVWKVVQUD
      XFVUFVVTVVJXFRZVWKVVQYEVUFVVTVXJXAZXAZVWKVWBVUDSNXDQZVVJTVTZVWGVUGSNXDQZV
      VNTVTZYEZUFUYBXEZVVQVXLVWJVXQUFUYBVXLVWBUYBRZXAZVWFVXNVWIVXPVXTVWEVXMVVJT
      VXTVWEVWBVUDVWCNZVXMVXTVWBVUDVWCUYBVXLVXSWSAVUEVXKVXSXRUVDVXSVWBPRVXLVUDP
      RZVYAVXMUKVXSVWBVWBDEXSXTVUEVYBAVXKVXSUYBPVUDVWTYAZYBVWBVUDVWCVWCVNZYCUUS
      YDYFVXTVWHVXOVVNTVXTVWGPRVVFVWHVXOUKVXLUYBPVWBFAUYOVUEVXKUYPYGXHVUFVVFVXK
      VXSVVSYGVWGVUGVWCVYDYCVMYFUUTUVAVXLVXRVVPUCVUMVXLVVGVUMRZVXRVVPVXLVYEVXRX
      AZXAVVKVVOVVHVXLVYFVVKVVOVXLVYFVVKXAZXAZVVHVVOVYHVYEVVHVXLVYEVXRVVKUVBZVV
      GUYGVUDUVEVJVYHVVHVVGVUDTVTZVUDVVGTVTZUVFZVVOVYHVVHVYLVYHVVGVUDVUFVYFVVGO
      RZVXKVVKAVYEVYMVUEVXRAVUMOVVGAUYGOVULVUAYHUVGYIYIZVUEVUDORAVXKVYGVUDDEXSZ
      YBUVHUVIVYHVYJVVOVYKVYHVYJXAZVVMVUPVVGGQZSNVUDVVGSNWDNZVUGSNXDQVVNTVYPVVL
      VYRVUGXDSVYPVVLVYQVUPSNZVVIWDNZVYRVYGVVLVYTUKZVXLVYJVYEWUAVXRVVKUBVVGVUSV
      YTVUMVUTUBUCYJZVUQVYSVURVVIWDWUBVUOVYQVUPSVUNVVGGUVJUVKVUNVVGVUDSUVNUVLVU
      TVNZVYSVVIWDUVMUVOZYGYKVYPVYQVUPVVGVUDVYPUYGPVVGGAUYGPGUNZVUEVXKVYGVYJUYQ
      UWEVYGVVGUYGRZVXLVYJVYEWUFVXRVVKVVGUYGVULUVPZYGYKUVQVUFVUPPRZVXKVYGVYJVUE
      AVUDUYGRZWUHUYBUYGVUDVVEYAZAUYGPVUDGUYQXHUVRYLVYPVVGVYHVYMVYJVYNWKXTVUEVY
      BAVXKVYGVYJVYCUVSVYHVYMVYJVVHVYNVYMVYJXAVUDVVGVVGVUDUVTUWAYMUWBYDYOVYHBUM
      UBCDEVVJVVNFGVUTVVGVUDUAHAUYRVUEVXKVYGIYLZAUYSVUEVXKVYGJYLZADEUWCVTVUEVXK
      VYGKYLZAUYNVUEVXKVYGLYLZAFUWDRVUEVXKVYGMYLZAVUEVXKVYGXRZWUCVUFVVTVXJVYGUW
      FZVUFVVTVXJVYGUWGZVYHVXRUMVSZUYBRWUSVUDSNXDQZVVJTVTZWUSFQVUGSNXDQVVNTVTYE
      ZVXLVYEVXRVVKUWHVXQWVBUFWUSUYBVXNWVAVVNTSXDFVUGVWBWUSUFUMYJVXMWUTVVJTVWBW
      USVUDXDSUWNYFUWIUWOYMZVYHVYEWUFVYIWUGVJZVXLVYFVVKUWJZVUEWUIAVXKVYGWUJYBZV
      YHVUDVUDSNZXDQZYPVVJTVUEWVHYPUKAVXKVYGVUEWVGVUEVUDVUEVUDVYOXTUWKUWPYBVYHV
      VJWURUWLYNZYQYNVYHVYKXAVVMVYTVUGSNXDQZVVNTVYGVVMWVJUKZVXLVYKVYEWVKVXRVVKV
      YEVVLVYTVUGXDSWUDYOYGYKVYHBUMUBCDEVVJVVNFGVUTVUDVVGUAHWUKWULWUMWUNWUOWUPW
      UCWUQWURWVCWVFWVIWVDWVEYQYNUWMUWQUWRYRUWSYRUWTUXAUXBUXDUXCUXEVUFUEUDUCVUM
      VUDVUGVUTVUFUBVUMVUSPVUFVUNVUDUYGGAWUEVUEUYQWKAUYGPVGVUEAUYGOPVUAVDUXFZWK
      VUEWUIAWUJYSUXGUXHAVUMPVGVUEAUYGPVULWVLYHWKVUEVYBAVYCYSUXIYTAVUHVUKVVAXAU
      XJVUEAUBUYGVUDVUGOVUIGVUTUYJVUIVNVUBWUCUYKUYQVUAUXKWKYTZVUDVUGUYCUAUXLVUD
      FUXOUXMVJUXNUYCUYBUXPUXQAUYBPFUYPUXRVUFUYDVUHVUDUYCQVUGUKAUYDVUEUYFWKWVMV
      UDVUGUYCUXSUXTUYA $.
  $}

  ${
    $d t x F $.  $d t x A $.
    $( Lemma for ~ ftc1anc - the absolute value of a real-valued measurable
       function is measurable.  Would be trivial with ~ cncombf , but this
       proof avoids ~ ax-cc .  (Contributed by Brendan Leahy, 18-Jun-2018.) $)
    ftc1anclem1 $p |- ( ( F : A --> RR /\ F e. MblFn ) ->
      ( abs o. F ) e. MblFn ) $=
      ( vt vx cr wcel wa cabs wceq adantr cioo co cima crab wb clt wn biantrurd
      wbr syl wf cmbf ccom cv cfv cmpt cc ffvelrn recnd feqmptd absf a1i fmptco
      id fveq2 abscld fmpttd cdm cvol mbfdm adantl eqeltrrd ccnv cpnf cmnf cneg
      fdm cun cle cxr rexr elioopnf bicomd sylan9bbr ltnle ancoms sylan renegcl
      absle lenlt syl2anr rexrd elioomnf sylan9bb notbid bitrd anbi12d wo bitri
      elun oran bitr4di 3bitrd an32s rabbidva eqid 3eqtr4g simpl cnveqd imaeq1d
      mptpreima eqtr4d imaundi eqtrdi adantlr mbfima unmbl syl2anc abslt elioo5
      eqeltrd jca 3expa 3bitr4d ismbf2d ) AEBUAZBUBFZGZHBUCZCACUDZBUEZHUEZUFZUB
      XPXSYCIXQXPCDAUGYADUDZHUEYBBHXPXTAFZGZYAAEXTBUHZUIZXPCAEBXPUNUJXPDUGEHUGE
      HUAXPUKULUJYDYAHUOUMJXRDAYCXPAEYCUAXQXPCAYBEYFYAYHUPZUQJXRBURZAUSURZXPYJA
      IXQAEBVGJXQYJYKFXPBUTVAVBXRYDEFZGZYCVCZYDVDKLZMZBVCZVEYDVFZKLZMZYQYOMZVHZ
      YKXPYLYPUUBIXQXPYLGZYPYQYSYOVHZMZUUBUUCYPCAYAUFZVCZUUDMZUUEUUCYBYOFZCANYA
      UUDFZCANYPUUHUUCUUIUUJCAXPYEYLUUIUUJOYFYLGZUUIYDYBPSZYBYDVISZQZUUJYLUUIYB
      EFZUULGZYFUULYLYDVJFZUUIUUPOYDVKZYDYBVLTYFUULUUPYFUUOUULYIRVMVNYFUUOYLUUL
      UUNOZYIYLUUOUUSYDYBVOVPVQUUKUUNYAYSFZQZYAYOFZQZGZQZUUJUUKUUMUVDUUKUUMYRYA
      VISZYAYDVISZGZUVDYFYAEFZYLUUMUVHOYGYAYDVSVQUUKUVFUVAUVGUVCUUKUVFYAYRPSZQZ
      UVAYLYREFUVIUVFUVKOYFYDVRZYGYRYAVTWAUUKUVJUUTYFUVJUVIUVJGZYLUUTYFUVIUVJYG
      RYLUUTUVMYLYRVJFZUUTUVMOYLYRUVLWBZYRYAWCTVMWDWEWFUUKUVGYDYAPSZQZUVCYFUVIY
      LUVGUVQOYGYAYDVTVQUUKUVPUVBYFUVPUVIUVPGZYLUVBYFUVIUVPYGRYLUVBUVRYLUUQUVBU
      VROUURYDYAVLTVMWDWEWFWGWFWEUUJUUTUVBWHUVEYAYSYOWJUUTUVBWKWIWLWMWNWOCAYBYO
      YCYCWPZXACAYAUUDUUFUUFWPZXAWQUUCYQUUGUUDUUCBUUFUUCCAEBXPYLWRUJWSZWTXBYQYS
      YOXCXDXEXRUUBYKFZYLXQXPUWBXQXPGYTYKFUUAYKFUWBAVEYRBXFAYDVDBXFYTUUAXGXHVPJ
      XKYMYNVEYDKLZMZYQYRYDKLZMZYKXPYLUWDUWFIXQUUCUWDUUGUWEMZUWFUUCYBUWCFZCANYA
      UWEFZCANUWDUWGUUCUWHUWICAXPYEYLUWHUWIOUUKYBYDPSZYRYAPSYAYDPSGZUWHUWIYFUVI
      YLUWJUWKOYGYAYDXIVQYLUWHUUOUWJGZYFUWJYLUUQUWHUWLOUURYDYBWCTYFUWJUWLYFUUOU
      WJYIRVMVNYLUVNUUQGYAVJFZUWIUWKOZYFYLUVNUUQUVOUURXLYFYAYGWBUVNUUQUWMUWNYRY
      DYAXJXMWAXNWNWOCAYBUWCYCUVSXACAYAUWEUUFUVTXAWQUUCYQUUGUWEUWAWTXBXEXRUWFYK
      FZYLXQXPUWOAYRYDBXFVPJXKXOXK $.
  $}

  ${
    $d t x F $.  $d t x A $.  $d t x G $.
    $( Lemma for ~ ftc1anc - restriction of an integrable function to the
       absolute value of its real or imaginary part.  (Contributed by Brendan
       Leahy, 19-Jun-2018.)  (Revised by Brendan Leahy, 8-Aug-2018.) $)
    ftc1anclem2 $p |- ( ( F : A --> CC /\ F e. L^1 /\ G e. { Re , Im } ) ->
      ( S.2 ` ( t e. RR |-> if ( t e. A , ( abs ` ( G ` ( F ` t ) ) ) ,
        0 ) ) ) e. RR ) $=
      ( vx cc cibl wcel cre cim cr cfv cabs cc0 cmpt citg2 wa wceq cmbf adantr
      wf cpr cv cif wo elpri fveq1 fveq2d ifeq1d mpteq2dv ffvelrn recld adantlr
      adantl simpl feqmptd simpr eqeltrrd iblcn biimpa syldan simpld ccom recnd
      eqidd absf a1i fmptco fmpttd iblmbf ismbfcn2 ftc1anclem1 syl2anc iblabsnc
      fveq2 wb abscld absge0d iblpos mpbid simprd eqeltrd imcld jaodan sylan2
      3impa ) BFCUAZCGHZDIJUBHZAKAUCZBHZWJCLZDLZMLZNUDZOZPLZKHZWIWGWHQZDIRZDJRZ
      UEWRDIJUFWSWTWRXAWSWTQWQAKWKWLILZMLZNUDZOZPLZKWTWQXFRWSWTWPXEPWTAKWOXDWTW
      KWNXCNWTWMXBMWLDIUGUHUIUJUHUNWSXFKHZWTWSABXCOZSHZXGWSXHGHZXIXGQZWSABXBKWG
      WKXBKHWHWGWKQZWLBFWJCUKZULZUMWSABXBOZGHZABWLJLZOZGHZWGWHABWLOZGHZXPXSQZWS
      CXTGWSABFCWGWHUOUPZWGWHUQURWGYAYBWGABWLXMUSUTVAZVBWSMXOVCZXHSWGYEXHRWHWGA
      EBFXBEUCZMLZXCXOMXLXBXNVDZWGXOVEWGEFKMFKMUAWGVFVGUPZYFXBMVOVHTWSBKXOUAZXO
      SHZYESHWGYJWHWGABXBKXNVITWSYKXRSHZWGWHXTSHZYKYLQZWSCXTSYCWHCSHWGCVJUNURWG
      YMYNWGABWLXMVKUTVAZVBBXOVLVMURVNWGXJXKVPWHWGABXCXLXBYHVQXLXBYHVRVSTVTWATW
      BWSXAQWQAKWKXQMLZNUDZOZPLZKXAWQYSRWSXAWPYRPXAAKWOYQXAWKWNYPNXAWMXQMWLDJUG
      UHUIUJUHUNWSYSKHZXAWSABYPOZSHZYTWSUUAGHZUUBYTQZWSABXQFWGWKXQFHWHXLXQXLWLX
      MWCZVDZUMWSXPXSYDWAWSMXRVCZUUASWGUUGUUARWHWGAEBFXQYGYPXRMUUFWGXRVEYIYFXQM
      VOVHTWSBKXRUAZYLUUGSHWGUUHWHWGABXQKUUEVITWSYKYLYOWABXRVLVMURVNWGUUCUUDVPW
      HWGABYPXLXQUUFVQXLXQUUFVRVSTVTWATWBWDWEWF $.
  $}

  ${
    $d x y z F $.  $d x y z G $.
    $( Lemma for ~ ftc1anc - the absolute value of the sum of a simple function
       and ` _i ` times another simple function is itself a simple function.
       (Contributed by Brendan Leahy, 27-May-2018.) $)
    ftc1anclem3 $p |- ( ( F e. dom S.1 /\ G e. dom S.1 ) -> ( abs o.
      ( F oF + ( ( RR X. { _i } ) oF x. G ) ) ) e. dom S.1 ) $=
      ( vx vy wcel wa cr ci cmul co caddc csqrt cfv cmpt wceq cc cvv adantl cc0
      wf vz citg1 cdm cabs csn cxp cof ccom cv c2 cexp ffvelrnda absreim syl2an
      i1ff anandirs recnd sqvald oveqan12d fveq2d eqtrd mpteq2dva mulcl sylancr
      ax-icn addcl reex a1i adantlr ovexd feqmptd adantr fconstmpt offval2 absf
      fveq2 fmptco mulcld adantll sqrtf 3eqtr4d cpnf cico cres cle wbr resqrtcl
      elrege0 sylbi id ax-mp wss rge0ssre ax-resscn sstri resmpt eqtri ge0addcl
      reseq1i fmptd oveq12 anidms feq1d remulcld msqge0d sylanbrc fmpttd mpbird
      vtoclga off fco2 syl2anc crn cfn rnco wfn ffn readdcl remulcl frnd sstrdi
      inidm fnssres i1fmul i1fadd i1frn fnfi rnfi eqeltrid ccnv cima cvol cnvco
      syl cdif imaeq1i imaco wn xchnxbir sylibr i1fima fveq2i wne eldifsni c0ex
      elsn eqcom bitri necon3bbii sqrt0 eleq1i olcd ianor elpreima mp2b i1fima2
      wo wb i1fd eqeltrd ) AUBUCZEZBUVAEZFZUDAGHUEUFZBIUGZJZKUGZJZUHZLAAUVFJZBB
      UVFJZUVHJZUHZUVAUVDCGCUIZAMZHUVOBMZIJZKJZUDMZNCGUVPUVPIJZUVQUVQIJZKJZLMZN
      UVJUVNUVDCGUVTUWDUVDUVOGEZFZUVTUVPUJUKJZUVQUJUKJZKJZLMZUWDUVBUVCUWEUVTUWJ
      OZUVBUWEFZUVPGEZUVQGEUWKUVCUWEFZUVBGGUVOAAUOZULZUVCGGUVOBBUOZULZUVPUVQUMU
      NUPUWFUWIUWCLUVBUVCUWEUWIUWCOUWLUWNUWGUWAUWHUWBKUWLUVPUWLUVPUWPUQZURUWNUV
      QUWNUVQUWRUQZURUSUPUTVAVBUVDCDGPUVSDUIZUDMUVTUVIUDUVBUVCUWEUVSPEZUWLUVPPE
      UVRPEZUXBUWNUWSUWNHPEZUVQPEUXCVEUWTHUVQVCVDUVPUVRVFUNUPUVDCGUVPUVRKAUVGQG
      QGQEZUVDVGVHZUVBUWEUWMUVCUWPVIUWFHUVQIVJUVBACGUVPNOUVCUVBCGGAUWOVKZVLUVCU
      VGCGUVRNOUVBUVCCGHUVQIUVEBQPGUXEUVCVGVHZUXDUWNVEVHUWRUVECGHNOUVCCGHVMVHUV
      CCGGBUWQVKZVNRVNUVDDPGUDPGUDTUVDVOVHVKUXAUVSUDVPVQUVDCDGPUWCUXALMUWDUVMLU
      VBUVCUWEUWCPEZUWLUWAPEZUWBPEZUXJUWNUWLUVPUVPUWSUWSVRZUWNUVQUVQUWTUWTVRZUW
      AUWBVFUNUPUVDCGUWAUWBKUVKUVLQPPUXFUVBUWEUXKUVCUXMVIUVCUWEUXLUVBUXNVSUVBUV
      KCGUWANOUVCUVBCGUVPUVPIAAQGGUXEUVBVGVHZUWPUWPUXGUXGVNVLUVCUVLCGUWBNOUVBUV
      CCGUVQUVQIBBQGGUXHUWRUWRUXIUXIVNRVNUVDDPPLPPLTZUVDVTVHVKUXAUWCLVPVQWAUVDC
      UVNUVDSWBWCJZGLUXQWDZTGUXQUVMTGGUVNTUVDCUXQUVOLMZGUXRUVOUXQEZUXSGEZUVDUXT
      UWESUVOWEWFFUYAUVOWHUVOWGWIRUXRCPUXSNZUXQWDZCUXQUXSNZLUYBUXQUXPLUYBOVTUXP
      CPPLUXPWJVKWKWSUXQPWLUYCUYDOUXQGPWMWNWOCPUXQUXSWPWKWQWTUVDCDGGGKUXQUXQUXQ
      UVKUVLQQUXTUXAUXQEFUVOUXAKJZUXQEUVDUVOUXAWRRUVBGUXQUVKTZUVCGUXQUAUIZUYGUV
      FJZTZUYFUAAUVAUYGAOZGUXQUYHUVKUYJUYHUVKOUYGAUYGAUVFXAXBXCUYGUVAEZUYIGUXQC
      GUVOUYGMZUYLIJZNZTUYKCGUYMUXQUYKUWEFZUYMGESUYMWEWFUYMUXQEUYOUYLUYLUYKGGUV
      OUYGUYGUOZULZUYQXDUYOUYLUYQXEUYMWHXFXGUYKGUXQUYHUYNUYKCGUYLUYLIUYGUYGQGGU
      XEUYKVGVHUYQUYQUYKCGGUYGUYPVKZUYRVNXCXHZXIVLUVCGUXQUVLTZUVBUYIUYTUABUVAUY
      GBOZGUXQUYHUVLVUAUYHUVLOUYGBUYGBUVFXAXBXCUYSXIRUXFUXFGYBZXJGUXQGLUVMXKXLU
      VDUVNXMZLUVMXMZWDZXMZXNLUVMXOUVDVUEXNEZVUFXNEUVDVUEVUDXPZVUDXNEZVUGUVDLPX
      PZVUDPWLVUHUXPVUJVTPPLXQZWKUVDVUDGPUVDGGUVMUVDCDGGGKGGGUVKUVLQQUWEUXAGEFZ
      UYEGEUVDUVOUXAXRRUVBGGUVKTUVCUVBCDGGGIGGGAAQQVULUVOUXAIJGEZUVBUVOUXAXSZRU
      WOUWOUXOUXOVUBXJVLUVCGGUVLTUVBUVCCDGGGIGGGBBQQVULVUMUVCVUNRUWQUWQUXHUXHVU
      BXJRUXFUXFVUBXJXTWNYAPVUDLYCVDUVDUVMUVAEZVUIUVDUVKUVLUVBUVKUVAEUVCUVBAAUV
      BWJZVUPYDVLUVCUVLUVAEUVBUVCBBUVCWJZVUQYDRYEZUVMYFYNVUDVUEYGXLVUEYHYNYIUVD
      UVNYJZUVOUEZYKZYLUCZEUVOVUCSUEYOEZUVDVVAUVMYJZLYJZVUTYKZYKZVVBVVAVVDVVEUH
      ZVUTYKVVGVUSVVHVUTLUVMYMYPVVDVVEVUTYQWQZUVDVUOVVGVVBEVURVVFUVMUUAYNYIVLUV
      DVVCFVVAYLMVVGYLMZGVVAVVGYLVVIUUBUVDVUOSVVFEZYRZVVJGEVVCVURVVCSPEZYRZSLMZ
      VUTEZYRZUUQZVVLVVCVVQVVNVVCUVOSUUCZVVQUVOVUCSUUDSVUTEZVVSVVPVVTUVOSVVTSUV
      OOUVOSOSUVOUUEUUFSUVOUUGUUHUUIVVOSVUTUUJUUKYSYTUULVVMVVPFZVVRVVKVVMVVPUUM
      UXPVUJVVKVWAUURVTVUKPSVUTLUUNUUOYSYTVVFUVMUUPUNYIUUSUUT $.
  $}

  ${
    $d t x F $.  $d t x G $.
    $( Lemma for ~ ftc1anc .  (Contributed by Brendan Leahy, 17-Jun-2018.) $)
    ftc1anclem4 $p |- ( ( F e. dom S.1 /\ G e. L^1 /\ G : RR --> RR ) ->
      ( S.2 ` ( t e. RR |-> ( abs ` ( ( G ` t ) - ( F ` t ) ) ) ) ) e. RR ) $=
      ( vx wcel cibl cr wf cc0 co cfv cabs cmpt citg2 cle wbr wa cc cvv cmbf cv
      citg1 cdm w3a cpnf cicc cmin caddc cxr ffvelrn recnd i1ff ffvelrnda subcl
      syl2anr anandirs abscld rexrd absge0d elxrge0 sylanbrc fmpttd 3adant2 cof
      reex a1i fvexd eqidd offval2 fveq2d ccom wceq feqmptd fveq2 fmptco adantl
      id iblmbf ftc1anclem1 sylan2 ancoms eqeltrrd 3adant1 elrege0 3ad2ant3 cif
      absf cico iftrue mpteq2ia fveq2i simpr simpl iblabsnc iblpos mpbid simprd
      adantll eqeltrrid 3ad2ant1 i1fibl i1fmbf syl2anc itg2addnc eqtr3d eqeltrd
      readdcld cofr readdcl adantlr addge0d abs2dif2 ralrimiva ofrfval2 syl3anc
      wral mpbird itg2le itg2lecl ) BUBUCEZCFEZGGCHZUDZGIUEUFJZAGAUAZCKZYEBKZUG
      JZLKZMZHZAGYFLKZYGLKZUHJZMZNKZGEYJNKZYPOPZYQGEXTYBYKYAXTYBQZAGYIYDYSYEGEZ
      QZYIUIEIYIOPYIYDEUUAYIUUAYHXTYBYTYHREZYBYTQZYFREZYGREZUUBXTYTQZUUCYFGGYEC
      UJZUKZUUFYGXTGGYEBBULZUMZUKZYFYGUNUOUPZUQZURUUAYHUULUSYIUTVAVBVCZYCYPAGYL
      MZNKZAGYMMZNKZUHJZGYCUUOUUQUHVDJZNKYPUUSYCUUTYONYCAGYLYMUHUUOUUQSSSGSEZYC
      VEVFYCYTQZYFLVGUVBYGLVGYCUUOVHYCUUQVHVIVJYCUUOUUQYAYBUUOTEZXTYAYBQZLCVKZU
      UOTYBUVEUUOVLYAYBADGRYFDUAZLKZYLCLUUHYBAGGCYBVQVMYBDRGLRGLHZYBWGVFVMUVFYF
      LVNVOVPYBYAUVETEZYAYBCTEUVICVRGCVSVTWAWBZWCYBXTGIUEWHJZUUOHYAYBAGYLUVKUUC
      YLGEZIYLOPZYLUVKEUUCYFUUHUQZUUCYFUUHUSZYLWDVAVBWEYAYBUUPGEXTUVDUUPAGYTYLI
      WFZMZNKZGUVQUUONAGUVPYLYTYLIWIWJWKUVDUVCUVRGEZUVDUUOFEUVCUVSQUVDAGYFGYBYT
      YFGEYAUUGWRUVDCAGYFMFUVDAGGCYAYBWLVMYAYBWMWBUVJWNUVDAGYLYBYTUVLYAUVNWRYBY
      TUVMYAUVOWRWOWPWQWSWCZXTYAGUVKUUQHYBXTAGYMUVKUUFYMGEZIYMOPZYMUVKEUUFYGUUK
      UQZUUFYGUUKUSZYMWDVAVBWTXTYAUURGEYBXTUURAGYTYMIWFZMZNKZGUWFUUQNAGUWEYMYTY
      MIWIWJWKXTUUQTEZUWGGEZXTUUQFEUWHUWIQXTAGYGGUUJXTBAGYGMFXTAGGBUUIVMZBXAWBX
      TLBVKZUUQTXTADGRYGUVGYMBLUUKUWJXTDRGLUVHXTWGVFVMUVFYGLVNVOXTGGBHBTEUWKTEU
      UIBXBGBVSXCWBWNXTAGYMUWCUWDWOWPWQWSWTZXDXEYCUUPUURUVTUWLXGXFYCYKGYDYOHZYJ
      YOOXHPZYRUUNXTYBUWMYAYSAGYNYDUUAYNUIEIYNOPYNYDEUUAYNXTYBYTYNGEZUUCUVLUWAU
      WOUUFUVNUWCYLYMXIUOUPZURUUAYLYMYBYTUVLXTUVNWRXTYTUWAYBUWCXJYBYTUVMXTUVOWR
      XTYTUWBYBUWDXJXKYNUTVAVBVCXTYBUWNYAYSUWNYIYNOPZAGXPYSUWQAGXTYBYTUWQUUCUUD
      UUEUWQUUFUUHUUKYFYGXLUOUPXMYSAGYIYNOYJYOSGGUVAYSVEVFUUMUWPYSYJVHYSYOVHXNX
      QVCYJYOXRXOYPYJXSXO $.
  $}

  ${
    $d a b f g r s t u w x y z A $.  $d a b f g r s t u w x y z B $.
    $d a b f g r s t u w x y z D $.  $d a b f g r s t u w x y z F $.
    $d a b f g r s t u w x y z ph $.  $d a b f g r s u w y z G $.
    ftc1anc.g $e |- G = ( x e. ( A [,] B ) |-> S. ( A (,) x ) ( F ` t ) _d t )
      $.
    ftc1anc.a $e |- ( ph -> A e. RR ) $.
    ftc1anc.b $e |- ( ph -> B e. RR ) $.
    ftc1anc.le $e |- ( ph -> A <_ B ) $.
    ftc1anc.s $e |- ( ph -> ( A (,) B ) C_ D ) $.
    ftc1anc.d $e |- ( ph -> D C_ RR ) $.
    ftc1anc.i $e |- ( ph -> F e. L^1 ) $.
    ftc1anc.f $e |- ( ph -> F : D --> CC ) $.
    ${
      $d f g t x y Y $.
      $( Lemma for ~ ftc1anc , the existence of a simple function the integral
         of whose pointwise difference from the function is less than a given
         positive real.  (Contributed by Brendan Leahy, 17-Jun-2018.) $)
      ftc1anclem5 $p |- ( ( ph /\ Y e. RR+ ) -> E. f e. dom S.1 ( S.2 `
        ( t e. RR |-> ( abs ` ( ( Re ` if ( t e. D , ( F ` t ) , 0 ) ) -
          ( f ` t ) ) ) ) ) < Y ) $=
        ( cr cc0 vg wcel wa cv cfv cif cre cabs cmpt cle citg1 citg2 cmin co wn
        wbr cdm wrex clt wral iftrue mpteq2ia fveq2i cmbf cibl ffvelrnda adantr
        wi cc rembl a1i cdif adantl iffalse fveq2d re0 syl cim feqmptd eqeltrrd
        wceq mpbid simpld eqeltrid ccom recnd eqidd fveq2 fmpttd syl2anc abscld
        wf absge0d eqeltrrid sylan resubcl syl2an ltnled cpnf wb rexrd sylanbrc
        cxr cneg ad2antrr itg1cl ad2antlr 0re sylancr ralrimiva csn cxp wss wfn
        eqid fvex c0ex ifex fnmpti cvv reex ifcl sylancl caddc elrege0 ifbieq1d
        mpbird fvmpt breq2d cima cun cmul ffn mpteq2dva oveq2d eqtrd wtru mpan2
        an32s syldan crp cofr 0cnd ifclda recld cvol eldifn eqtrdi iblcn iblss2
        fmptco iblmbf ismbfcn2 mbfss ftc1anclem1 iblabsnc iblpos simprd ltsubrp
        absf rpre cicc itg2leub mtbid rexanali sylibr c0p i1fpos i1ff ax-resscn
        elxrge0 max1 0pledm fconstmpt ofrfval2 bitrd eqeltrd ltnle biimpar max2
        itg2itg1 itg1le mpd3an23 breqtrrd ltletrd adantrl cof i1fmbf cico ifcld
        negcld subcl anassrs eleq1w negeqd ifbieq12d negex oveq12d ccnv c1 ovex
        weq crn frn ref ax-mp fnco mp3an1 elpreima 3syl biantrurd bitr4di fvco3
        wo fco bitr3d pm5.32da eldif 0le0 breqtrri biantru bitr3di orbi12d elun
        baibr elimif 3bitr4g ifbid offval2 ovif12 addid1d mulm1d addid2d syl5eq
        0cn ifeq12d sylan9eq cioo 0xr pnfxr 0ltpnf snunioo mp3an imaeq2i eqtr3i
        imaundi ismbfcn mbfimasn mp3an3 mbfima unmbl mbfdm difmbl eqcomd ifeq1d
        fdmd i1fres id neg1rr i1fmulc cmmbl ifnot tru mp1i inidm fvconst2 ofval
        fconst eqtr3id i1fadd syl2anr cbvmptv fmptd ftc1anclem4 3expb itg2addnc
        mpan eqtr3d nfcv nfmpt1 nfbr nfan anass ffnd fvmpt2 ofrval 3com23 3expa
        jca nfv adantll absid biimpa adantllr breq1 ifboth subge0 absidd oveq1d
        sylancom 3eqtr4d renegcld ad3antlr ad3antrrr sylbird imp absnid sylanl1
        ltle lenegcon2d simpll negeq neg0 suble0 subneg negdi2 pm2.61dan pncan3
        absnidd sylanb mpteq2da breq1d adantlr ltadd2d ltsubadd 3bitr4d adantrr
        syl3an ex reximdva fveq1 rspcev rexlimdva syld mpd ) AJUUAUBZUCZUAUDZCS
        CUDZFUBZVYSHUEZTUFZUGUEZUHUEZUIZUJUUBZUPZVYRUKUEZWUEULUEZJUMUNZUJUPZUOZ
        UCZUAUKUQZURZCSWUCVYSGUDZUEZUMUNZUHUEZUIZULUEZJUSUPZGWUNURZVYQWUGWUKVHU
        AWUNUTZUOWUOVYQWUIWUJUJUPZWVDVYQWUJWUIUSUPZWVEUOAWUISUBZVYPWVFAWUICSVYS
        SUBZWUDTUFZUIZULUEZSWVJWUEULCSWVIWUDWVHWUDTVAVBVCAWUEVDUBZWVKSUBZAWUEVE
        UBWVLWVMUCACSWUCSAWUCSUBZWVHAWUBAVYTWUATVIAFVIVYSHRVFZAVYTUOZUCUUCUUDUU
        EZVGZACFSWUCSPSUUFUQZUBZAVJVKZAWVNVYTWVQVGZAVYSSFVLZUBZUCWVPWUCTWAWWDWV
        PAVYSSFUUGVMWVPWUCTUGUEZTWVPWUBTUGVYTWUATVNVOVPUUHVQZACFWUCUIZCFWUAUGUE
        ZUIZVECFWUCWWHVYTWUBWUAUGVYTWUATVAVOVBZAWWIVEUBZCFWUAVRUEUIZVEUBZACFWUA
        UIZVEUBWWKWWMUCAHWWNVEACFVIHRVSZQVTACFWUAWVOUUIWBWCWDUUJZAUHCSWUCUIZWEZ
        WUEVDACBSVIWUCBUDZUHUEWUDWWQUHAWUCVIUBZWVHAWUCWVQWFZVGAWWQWGABVISUHVISU
        HWLAUUTVKVSWWSWUCUHWHUUKASSWWQWLWWQVDUBWWRVDUBACSWUCSWVRWIACFSWUCSPWWAW
        WBWWFAWWGWWIVDWWJAWWIVDUBZWWLVDUBZAWWNVDUBWXBWXCUCAHWWNVDWWOAHVEUBHVDUB
        ZQHUULVQZVTACFWUAWVOUUMWBWCWDUUNSWWQUUOWJVTUUPACSWUDAWUDSUBWVHAWUCWXAWK
        ZVGATWUDUJUPZWVHAWUCWXAWMZVGUUQWBUURWNZWUIJUUSWOVYQWUJWUIAWVGJSUBZWUJSU
        BZVYPWXIJUVAZWUIJWPWQZAWVGVYPWXIVGWRWBVYQSTWSUVBUNZWUEWLZWUJXCUBWVEWVDW
        TAWXOVYPACSWUDWXNAWUDWXNUBZWVHAWUDXCUBWXGWXPAWUDWXFXAWXHWUDUVKXBVGWIVGV
        YQWUJWXMXAWUJUAWUEUVCWJUVDWUGWUKUAWUNUVEUVFVYQWUOCSWUCTWUCUJUPZTVYSVYRU
        EZUJUPZWXRTUFZWXTXDZUFZUMUNZUHUEZUIZULUEZJUSUPZUAWUNURZWVCVYQWUMWYGUAWU
        NVYQVYRWUNUBZUCZWUMWYGWYJWUMUCWYGWUJCSWXTUIZULUEZUSUPZWYJWULWYMWUGWYJWU
        LUCWUJWUHWYLVYQWXKWYIWULWXMXEWYIWUHSUBZVYQWULVYRXFZXGWYIWYLSUBZVYQWULWY
        IWYLWYKUKUEZSWYIWYKWUNUBZUVGWYKWUFUPZWYLWYQWACVYRWYKWYKXOZUVHZWYIWYSTWX
        TUJUPZCSUTZWYIXUBCSWYIWVHUCZTSUBZWXRSUBZXUBXHWYISSVYSVYRVYRUVIZVFZTWXRU
        VLXIZXJWYIWYSSTXKZXLZWYKWUFUPXUCWYISWYKSVIXMWYIUVJVKWYKSXNZWYICSWXTWYKW
        XSWXRTVYSVYRXPXQXRZWYTXSZVKUVMWYICSTWXTUJXUKWYKXTXTSSXTUBZWYIYAVKZTXTUB
        XUDXQVKXUDXUFXUEWXTSUBZXUHXHWXSWXRTSYBYCZXUKCSTUIWAWYICSTUVNVKWYIWYKWGZ
        UVOUVPYGWYKUWAWJZWYIWYRWYQSUBXUAWYKXFVQUVQZXGWYJWUJWUHUSUPZWULVYQWXKWYN
        XVBWULWTWYIWXMWYOWUJWUHUVRWQUVSWYIWUHWYLUJUPVYQWULWYIWUHWYQWYLUJWYIWYRV
        YRWYKWUFUPZWUHWYQUJUPXUAWYIXVCWXRWXTUJUPZCSUTWYIXVDCSXUDXUEXUFXVDXHXUHT
        WXRUVTXIXJWYICSWXRWXTUJVYRWYKXTSSXUPXUHXURWYICSSVYRXUGVSXUSUVOYGVYRWYKU
        WBUWCXUTUWDXGUWEUWFWYJWUGWYGWYMWTWULWYJWUGUCWYLWYFYDUNZWYLJYDUNZUSUPZWU
        IXVFUSUPZWYGWYMAWYIWUGXVGXVHWTVYPAWYIUCZWUGUCZXVEWUIXVFUSXVJXVECSWXTWYD
        YDUNZUIZULUEZWUIXVIXVEXVMWAWUGXVIWYKWYEYDUWGZUNZULUEXVEXVMXVIWYKWYEWYIW
        YKVDUBZAWYIWYRXVPXUAWYKUWHVQVMWYISTWSUWIUNZWYKWLAWYICSWXTXVQXUDXUQXUBWX
        TXVQUBXURXUIWXTYEXBWIVMWYIWYPAXVAVMXVICSWYDXVQXVIWVHUCZWYDSUBTWYDUJUPWY
        DXVQUBXVRWYCAWYIWVHWYCVIUBZAWWTWYBVIUBXVSXUDWXAXUDWXQWXTWYAVIXUDWXTXURW
        FZXUDWXTXVTUWKUWJWUCWYBUWLWQUWMZWKZXVRWYCXWAWMWYDYEXBWIXVIWYFCSVYSBSWWS
        FUBZWWSHUEZTUFZUGUEZUIZUEZVYSBSTXWFUJUPZTWWSVYRUEZUJUPZXWJTUFZXWLXDZUFZ
        UIZUEZUMUNZUHUEZUIZULUEZSXWSWYEULCSXWRWYDWVHXWQWYCUHWVHXWHWUCXWPWYBUMBV
        YSXWFWUCSXWGBCUXBZXWEWUBUGXXAXWCVYTXWDWUATBCFUWNWWSVYSHWHYFVOZXWGXOWUBU
        GXPYHBVYSXWNWYBSXWOXXAXWIWXQXWLXWMWXTWYAXXAXWFWUCTUJXXBYIXXAXWKWXSXWJWX
        RTXXAXWJWXRTUJWWSVYSVYRWHZYIXXCYFZXXAXWLWXTXXDUWOUWPXWOXOWXQWXTWYAXUMWX
        TUWQXRYHZUWRVOVBVCXVIXWOWUNUBZXWGVEUBZSSXWGWLZUCZXWTSUBZXVIBSWWSUGHWEZU
        WSZXVQYJZWWCYKZUBZXWLTUFZUIZBSXXOTUWTXDZXWLYLUNZUFZUIZXVNUNZXWOWUNAWYIX
        YBBSXWIXWLTUFZXWITXXSUFZYDUNZUIXWOABSXYCXYDYDXXQXYAXTXTXTXUOAYAVKXYCXTU
        BAWWSSUBZUCZXWIXWLTXWKXWJTWWSVYRXPXQXRZXQXRVKXYDXTUBXYGXWITXXSXQXXRXWLY
        LUXAXRVKABSXXPXYCXYGXXOXWIXWLTXYGWWSXXMUBZWWSWWCUBZUXNXWCTXWDUGUEZUJUPZ
        UCZXWCUOZTWWEUJUPZUCZUXNXXOXWIXYGXYIXYMXYJXYPAXYIXYMWTXYFAXYIXWCWWSXXKU
        EZXVQUBZUCZXYMAFVIHWLZXXKFXNZXYIXYSWTRXYTHFXNZHUXCVIXMZYUAFVIHYMFVIHUXD
        UGVIXNZYUBYUCYUAVISUGWLZYUDUXEVISUGYMUXFVIFUGHUXGUXHWJFWWSXVQXXKUXIUXJA
        XWCXYRXYLAXWCUCZTXYQUJUPZXYRXYLYUFYUGXYQSUBZYUGUCXYRYUFYUHYUGAFSWWSXXKA
        YUEXYTFSXXKWLZUXERFVISUGHUXOXIZVFUXKXYQYEUXLYUFXYQXYKTUJAXYTXWCXYQXYKWA
        RFVIWWSUGHUXMWOYIUXPUXQUVPVGXYFXYJXYPWTAXYFXYNXYJXYPXYJXYFXYNWWSSFUXRUY
        EXYOXYNTTWWEUJUXSVPUXTUYAUYBVMUYCWWSXXMWWCUYDXWCXWIXYLXYOXWDTXWEXWDWAXW
        FXYKTUJXWEXWDUGWHYIXWETWAXWFWWETUJXWETUGWHYIUYFUYGZUYHYNABSXXTXYDXYGXXO
        XWITXXSYUKUYHYNUYIWYIBSXYEXWNWYIXYFUCZXYEXWIXWLTYDUNZTXXSYDUNZUFXWNXWIX
        WLTTXXSYDUYJYULXWIYUMXWLYUNXWMYULXWLYULXWJVIUBTVIUBXWLVIUBYULXWJWYISSWW
        SVYRXUGVFWFUYOXWKXWJTVIYBYCZUYKYULYUNTXWMYDUNXWMYULXXSXWMTYDYULXWLYUOUY
        LYOYULXWMYULXWLYUOUWKUYMYPUYPUYNYNUYQWYIWYRXXNWVSUBZXYBWUNUBAXUAAXXMWVS
        UBWWCWVSUBZYUPAXXMXXLXUJYJZXXLTWSUYRUNZYJZYKZWVSXXLXUJYUSYKZYJXXMYVAYVB
        XVQXXLTXCUBWSXCUBTWSUSUPYVBXVQWAUYSUYTVUATWSVUBVUCVUDXXLXUJYUSVUFVUEAXX
        KVDUBZYUIYVAWVSUBZAYVCVRHWEVDUBZAWXDYVCYVEUCZWXEAXYTWXDYVFWTRFHVUGVQWBW
        CYUJYVCYUIUCYURWVSUBZYUTWVSUBYVDYVCYUIXUEYVGXHFTXXKVUHVUIFTWSXXKVUJYURY
        UTVUKWJWJWDAWVTFWVSUBYUQVJAHUQZFWVSAFVIHRVUPAWXDYVHWVSUBWXEHVULVQVTSFVU
        MXIXXMWWCVUKWJWYRYUPUCXXQXYABXXNWYKXXQBSXXPXXOWWSWYKUEZTUFXYFXXOXWLYVIT
        XYFYVIXWLCWWSWXTXWLSWYKCBUXBZWXSXWKWXRXWJTYVJWXRXWJTUJVYSWWSVYRWHZYIYVK
        YFWYTXYHYHZVUNVUOVBVUQWYRSXXRXKZXLZWYKYLUWGUNZWUNUBSXXNVLZWVSUBXYAWUNUB
        YUPWYRXXRWYKWYRVURXXRSUBWYRVUSVKVUTXXNVVABYVPYVOXYABSXXTWWSYVPUBZWWSYVO
        UEZTUFZXYFXXTXXOUOZXXSTUFYVSXXOXXSTVVBXYFYVTYVQXXSYVRTYVQXYFYVTWWSSXXNU
        XRUYEXYFYVRXXSYQXYFYVRXXSWAVVCYQSSXXRXWLYLSYVNWYKXTXTWWSSYVMYVNWLYVNSXN
        YQSXXRUWTUWQZVVHSYVMYVNYMVVDXULYQXUNVKXUOYQYAVKZYWBSVVEZXYFWWSYVNUEXXRW
        AYQSXXRWWSYWAVVFVMXYFYVIXWLWAYQYVLVMVVGVVQVUNYFVVIVBVUQWQVVJVVKVTZAXXIW
        YIAXXGXXHAXWGWWQVEBCSXWFWUCXXBVVLZWWPWDACSWUCSXWGWVRYWEVVMVWIVGXXFXXGXX
        HXXJCXWOXWGVVNVVOWJWNZVVPXVIXVOXVLULXVICSWXTWYDYDWYKWYEXTXTSXUOXVIYAVKW
        XTXTUBXVRXUMVKXWBXVIWYKWGXVIWYEWGUYIVOVVRVGXVJXVLWUEULXVJCSXVKWUDXVIWUG
        CXVICVWJCVYRWUEWUFCVYRVVSCWUFVVSCSWUDVVTVWAVWBXVIWVHWUGXVKWUDWAZXVRAXUD
        UCZWUGYWGAWYIWVHVWCYWHWUGWXRWUDUJUPZYWGXUDWUGYWIAWYIWVHWUGYWIWYIWUGWVHY
        WIWYISSWXRWUDUJSVYRWUEXTXTVYSWYISSVYRXUGVWDWUESXNWYICSWUDWUEWUCUHXPZWUE
        XOZXSVKXUPXUPYWCXUDWXRWGWVHVYSWUEUEWUDWAZWYIWVHWUDXTUBYWLYWJCSWUDXTWUEY
        WKVWEYRVMVWFVWGVWHVWKYWHYWIUCZXVKWXTWUDWXTUMUNZYDUNZWUDYWMWYDYWNWXTYDYW
        MWXQWYDYWNWAYWMWXQUCZWUCWXTUMUNZUHUEZYWQWYDYWNYWPYWQYWHYWQSUBZYWIWXQAWV
        NXUQYWSXUDWVQXURWUCWXTWPWQXEYWPTYWQUJUPZWXTWUCUJUPZYWMWXQWXRWUCUJUPZYXA
        AYWIWXQYXBXUDAWXQYWIYXBAWXQUCZYWIYXBYXCWUDWUCWXRUJAWVNWXQWUDWUCWAWVQWUC
        VWLZWOYIVWMYSVWNWXSYXBWXQYXAWXRTWXRWXTWUCUJVWOTWXTWUCUJVWOVWPVWTYWHYWTY
        XAWTZYWIWXQAWVNXUQYXEXUDWVQXURWUCWXTVWQWQXEYGVWRWXQWYDYWRWAYWMWXQWYCYWQ
        UHWXQWYBWXTWUCUMWXQWXTWYAVAYOVOVMYWMWVNWXQYWNYWQWAAWVNXUDYWIWVQXEWVNWXQ
        UCWUDWUCWXTUMYXDVWSWOVXAYWMWXQUOZUCZWUCWYAUMUNZUHUEZWUCXDZWXTUMUNZWYDYW
        NYXGYXIYXHXDZYXKYXGYXHYWHYXHSUBZYWIYXFAWVNWYASUBZYXMXUDWVQXUDWXTXURVXBZ
        WUCWYAWPWQXEYXGYXHTUJUPZWUCWYAUJUPZYXGWUCWXRXDZUJUPZWUCTUJUPZYXQYXGWXRW
        UCXUDXUFAYWIYXFXUHVXCAWVNXUDYWIYXFWVQVXDYWHWVNYWIYXFWXRYXJUJUPZAWVNXUDW
        VQVGWVNYXFYWIYYAWVNYXFUCZYWIYYAYYBWUDYXJWXRUJWVNYXFYXTWUDYXJWAZWVNYXFYX
        TWVNYXFWUCTUSUPZYXTWVNXUEYYDYXFWTXHWUCTUVRYRWVNXUEYYDYXTVHZXHWUCTVXIZYR
        VXEVXFWUCVXGZYTYIVWMYSVXHVXJYWMAYXFYXTAXUDYWIVXKZAYXFYXTAYXFYYDYXTAWUCT
        WVQXUEAXHVKWRAWVNXUEYYEWVQXHYYFYCVXEVXFZWOWXSYXSYXTYXQWXRTWXRWXTWAYXRWY
        AWUCUJWXRWXTVXLYITWXTWAZTWYAWUCUJYYJTTXDWYAVXMTWXTVXLVVIYIVWPWJYWHYXPYX
        QWTZYWIYXFAWVNYXNYYKXUDWVQYXOWUCWYAVXNWQXEYGVXSYWHYXLYXKWAZYWIYXFAWWTWX
        TVIUBZYYLXUDWXAXVTWWTYYMUCZYXLWUCWXTYDUNZXDYXKYYNYXHYYOWUCWXTVXOUWOWUCW
        XTVXPYPWQXEYPYXFWYDYXIWAYWMYXFWYCYXHUHYXFWYBWYAWUCUMWXQWXTWYAVNYOVOVMYW
        MAYXFYWNYXKWAYYHAYXFUCWUDYXJWXTUMAYXFYXTYYCYYIAWVNYXTYYCWVQYYGWOYTVWSWO
        VXAVXQYOYWHYWOWUDWAZYWIXUDYYMWUDVIUBYYPAXVTAWUDWXFWFWXTWUDVXRVVKVGYPYTV
        XTYSVYAVOYPVYBVWNWYJWYGXVGWTWUGWYJWYFJWYLAWYIWYFSUBVYPYWFVYCVYPWXJAWYIW
        XLXGWYIWYPVYQXVAVMVYDVGWYJWYMXVHWTZWUGAVYPWYIYYQAWVGVYPWXJWYIWYPYYQWXIW
        XLXVAWUIJWYLVYEVYHVWHVGVYFVYGYGVYIVYJAWYHWVCVHVYPAWYGWVCUAWUNXVIXXFWYGW
        VCVHYWDXXFWYGWVCWVBWYGGXWOWUNWUPXWOWAZWVAWYFJUSYYRWUTWYEULYYRCSWUSWYDYY
        RWVHUCZWURWYCUHYYSWUQWYBWUCUMYYRWVHWUQXWPWYBVYSWUPXWOVYKXXEUYQYOVOYNVOV
        YBVYLVYIVQVYMVGVYNVYO $.
      $( Lemma for ~ ftc1anc - construction of simple functions within an
         arbitrary absolute distance of the given function.  Similar to Lemma
         565Ib of [Fremlin5] p. 218, but without Fremlin's additional step of
         converting the simple function into a continuous one, which is
         unnecessary to this lemma's use; also, two simple functions are used
         to allow for complex-valued ` F ` .  (Contributed by Brendan Leahy,
         31-May-2018.) $)
      ftc1anclem6 $p |- ( ( ph /\ Y e. RR+ ) -> E. f e. dom S.1 E. g e. dom S.1
        ( S.2 ` ( t e. RR |-> ( abs ` ( if ( t e. D , ( F ` t ) , 0 ) -
          ( ( f ` t ) + ( _i x. ( g ` t ) ) ) ) ) ) ) < Y ) $=
        ( cr vy crp wcel wa cv cfv cc0 cif cre cmin co cabs cmpt citg2 cdiv clt
        wbr cdm wrex cim ci cmul caddc ftc1anclem5 sylan2 cicc cioo eqid ax-icn
        c1 cc ine0 a1i ffvelrnda cibl feqmptd eqeltrrd cmbf divrec2 mp3an23 syl
        wceq mpteq2dva iblmbf cbvmptv eleq1i recld recnd adantlr adantl eqtr4di
        cneg mbfneg adantr cvv weq negeqd sylancr fveq2d anbi12d ismbfcn2 mpbid
        eleq1d mulcl fmpttd wb fvmpt eqtri fvoveq1d mpteq2ia wf jca syl2an cpnf
        cle cxr anassrs abscld rexrd absge0d sylanbrc adantrr adantrl wral ccnv
        syl5eq cima cin ciun wss ad2antlr ineq2d mptpreima ineq12i inrab eqtrdi
        crab ad3antlr syl2anc cmnf c2 citg1 rphalfcl citg reccli 2fveq3 biimpri
        wne sylan2b negnegd negex biimpi impbida w3a divcl imre mulneg1 divcan2
        eqtrd reneg 3eqtrd bitr4d imval ancom bitrdi 3bitr4d iblmulc2nc wn 0cnd
        ifclda fveq2 oveq2d ovex eqtr4d ifeq1da ovif div0i ifeq2 ax-mp mpteq2dv
        breq1d rexbidv mpbird reeanv wi eleq1w ifbieq1d fvex fveq2i cvol eldifn
        rembl cdif iffalsed iftrue iblss2 iblcn simpld ftc1anclem4 3expb ancoms
        eqeltrrid simprd imcld anim12dan rpred lt2add an32s cof cofr i1ff subcl
        adantlrr adantlrl addcld elxrge0 icossicc ge0addcl sselid elrege0 inidm
        cico reex off abstrid ralrimiva ovexd eqidd fvexd absmul oveq1i mulid2d
        absi eqtr2d offval2 ofrfval2 itg2le syl3anc ccom cofmpt resubcl crn csn
        absf iunin2 imaiun iunid imaeq2i eqtr3i ineq2i cnvimass cnvimarndm fdmd
        dmmpti sseqtri sseqtrrid df-ss sylib frnd sselda ad2antrr 2thd ltaddsub
        sylan syl3an3 3comr 3expa readdcl adantll elioopnf rexr 3bitr4rd bibi1d
        oveq2 syl5ibrcom pm5.32rd adantllr syldan rabbidv imaeq1d vex mptiniseg
        cnveqd 3eqtr4d eqtr3d cfn i1frn mbfss mbfima i1fima ralrimivw finiunmbl
        iuneq2dv eqeltrd ltsubadd syl3an1 ismbf2d ftc1anclem1 itg2addnc breqtrd
        inmbl elioomnf itg2cl anandis rpaddcld rpxrd mpand syld anim12i addsub4
        xrlelttr anandirs replimd subdi mp3an3an 3eqtr4rd rpcn 2halvesd breq12d
        oveq1d sylibd reximdvva syl5bir mp2and ) AKUBUCZUDZCTCUEZFUCZVYGIUFZUGU
        HZUIUFZVYGGUEZUFZUJUKZULUFZUMZUNUFZKUUAUOUKZUPUQZGUUBURZUSZCTVYJUTUFZVY
        GHUEZUFZUJUKZULUFZUMZUNUFZVYRUPUQZHVYTUSZCTVYJVYMVAWUDVBUKZVCUKZUJUKZUL
        UFZUMZUNUFZKUPUQZHVYTUSGVYTUSZVYEAVYRUBUCZWUAKUUCZABCDEFGIJVYRLMNOPQRSV
        DVEVYFWUJCTVYHVYGUAFVJVAUOUKZUAUEZIUFZVBUKZUMZUFZUGUHZUIUFZWUDUJUKULUFZ
        UMZUNUFZVYRUPUQZHVYTUSZVYEAWUSWVMWUTABCDEFHWVEBDEVFUKCDBUEZVGUKWVFUUDUM
        ZVYRWVOVHMNOPQAUAFWVCWVAVKWVAVKUCZAVAVIVLUUEZVMAFVKWVBISVNZAIUAFWVCUMZV
        OAUAFVKISVPRVQZAUAFWVCVAUOUKZUMZWVEVRAUAFWWAWVDAWVBFUCZUDZWVCVKUCZWWAWV
        DWBZWVRWWEVAVKUCZVAUGUUHZWWFVIVLWVCVAVSVTWAWCAWVSVRUCZWWBVRUCZAWVSVOUCW
        WIWVTWVSWDWAAUAFWVCUIUFZUMZVRUCZUAFWVCUTUFZUMZVRUCZUDZUAFWWAUIUFZUMZVRU
        CZUAFWWAUTUFZUMZVRUCZUDZWWIWWJAWWQWXCWWTUDWXDAWWMWXCWWPWWTAWWMUAFWWKWLZ
        UMZVRUCZWXCAWWMWXGWWMABFWVNIUFZUIUFZUMZVRUCZWXGWWLWXJVRUABFWWKWXIWVBWVN
        UIIUUFZWEZWFZAWXKUDUAFWWKVKAWWCWWKVKUCWXKWWDWWKWWDWVCWVRWGWHWIWXKWWMAWW
        MWXKWXNUUGWJWMUUIAWXGUDZBFWXIWLZWLZUMZWWLVRAWXRWWLWBWXGAWXRWXJWWLABFWXQ
        WXIAWVNFUCZUDZWXIWXTWXIWXTWXHAFVKWVNISVNZWGWHUUJWCWXMWKWNWXOBFWXPWOWXPW
        OUCWXOWXSUDWXIUUKVMWXGBFWXPUMZVRUCZAWXGWYCWXFWYBVRUABFWXEWXPUABWPWWKWXI
        WXLWQWEWFUULWJWMVQUUMAWXBWXFVRAUAFWXAWXEWWDWWEWXAWXEWBWVRWWEWXAVAWLWWAV
        BUKZUIUFZWVCWLZUIUFWXEWWEWWGWWHWXAWYEWBZVIVLWWEWWGWWHUUNWWAVKUCZWYGWVCV
        AUUOZWWAUUPWAVTWWEWYDWYFUIWWEWYDVAWWAVBUKZWLZWYFWWEWWGWYHWYDWYKWBVIWWEW
        WGWWHWYHVIVLWYIVTZVAWWAUUQWRWWEWYJWVCWWEWWGWWHWYJWVCWBVIVLWVCVAUURVTWQU
        USWSWVCUUTUVAWAWCXCUVBAWWOWWSVRAUAFWWNWWRWWDWWEWWNWWRWBWVRWVCUVCWAWCXCW
        TWXCWWTUVDUVEAUAFWVCWVRXAAUAFWWAWWDWWEWYHWVRWYLWAXAUVFXBVQUVGAUAFWVDVKW
        WDWVPWWEWVDVKUCWVQWVRWVAWVCXDWRXEVDVEAWUJWVMXFVYEAWUIWVLHVYTAWUHWVKVYRU
        PAWUGWVJUNACTWUFWVIAWUBWVHWUDULUJAWUBVYJVAUOUKZUIUFZWVHAVYJVKUCZWUBWYNW
        BAVYHVYIUGVKAFVKVYGISVNZAVYHUVHZUDUVIUVJZVYJUVCWAAWVGWYMUIAWVGVYHVYIVAU
        OUKZUGUHZWYMAVYHWVFWYSUGAVYHUDZWVFWVAVYIVBUKZWYSVYHWVFXUBWBAUAVYGWVDXUB
        FWVEUACWPWVCVYIWVAVBWVBVYGIUVKUVLWVEVHWVAVYIVBUVMXGWJXUAVYIVKUCZWYSXUBW
        BZWYPXUCWWGWWHXUDVIVLVYIVAVSVTWAUVNUVOWYMVYHWYSUGVAUOUKZUHZWYTVYHVYIUGV
        AUOUVPXUEUGWBXUFWYTWBVAVIVLUVQVYHXUEUGWYSUVRUVSXHWKWSUVNXIUVTWSUWAUWBWN
        UWCWUAWUJUDVYSWUIUDZHVYTUSGVYTUSVYFWURVYSWUIGHVYTVYTUWDVYFXUGWUQGHVYTVY
        TVYFVYLVYTUCZWUCVYTUCZUDZUDZXUGCTVYNVAWUEVBUKZVCUKZULUFZUMZUNUFZVYRVYRV
        CUKZUPUQZWUQXUKXUGVYQWUHVCUKZXUQUPUQZXURAXUJVYEXUGXUTUWEZAXUJUDZVYQTUCZ
        WUHTUCZUDVYRTUCZXVEUDXVAVYEAXUHXVCXUIXVDAXUHUDZVYQCTVYGBTWXSWXHUGUHZUIU
        FZUMZUFZVYMUJUKULUFZUMZUNUFZTXVLVYPUNCTXVKVYOVYGTUCZXVJVYKVYMULUJBVYGXV
        HVYKTXVIBCWPZXVGVYJUIXVOWXSVYHWXHVYIUGBCFUWFWVNVYGIUVKUWGZWSXVIVHVYJUIU
        WHXGXIXJUWIXUHAXVMTUCZAXUHXVIVOUCZTTXVIXKZUDXVQAXVRXVSAXVRBTXVGUTUFZUMZ
        VOUCZABTXVGUMVOUCXVRXWBUDABFTXVGVKQTUWJURZUCZAUWLVMZAXVGVKUCZWXSAWXSWXH
        UGVKWYAAWXSUVHZUDUVIUVJZWNAWVNTFUWMZUCZUDWXSWXHUGXWJXWGAWVNTFUWKWJUWNAI
        BFXVGUMZVOAIBFWXHUMXWKABFVKISVPBFXVGWXHWXSWXHUGUWOXJWKRVQUWPABTXVGAXWFW
        VNTUCZXWHWNZUWQXBZUWRABTXVHTAXWLUDZXVGXWMWGXEXLXUHXVRXVSXVQCVYLXVIUWSUW
        TVEUXAUXBZAXUIUDZWUHCTVYGXWAUFZWUDUJUKULUFZUMZUNUFZTXWTWUGUNCTXWSWUFXVN
        XWRWUBWUDULUJBVYGXVTWUBTXWAXVOXVGVYJUTXVPWSXWAVHVYJUTUWHXGXIXJUWIXUIAXX
        ATUCZAXUIXWBTTXWAXKZUDXXBAXWBXXCAXVRXWBXWNUXCABTXVTTAXVTTUCXWLAXVGXWHUX
        DWNXEXLXUIXWBXXCXXBCWUCXWAUWSUWTVEUXAUXBZUXEVYEXVEXVEVYEVYRWUTUXFZXXEXL
        VYQWUHVYRVYRUXGXMUXHXUKXUPXUSXOUQZXUTXURAXUJXXFVYEXVBXUPVYPWUGVCUXIUKZU
        NUFZXUSXOXVBTUGXNVFUKZXUOXKZTXXIXXGXKXUOXXGXOUXJUQZXUPXXHXOUQXVBCTXUNXX
        IXVBXVNUDZXUNXPUCUGXUNXOUQXUNXXIUCXXLXUNXXLXUMXXLVYNXULAXUHXVNVYNVKUCZX
        UIAXUHXVNXXMAVYKVKUCZVYMVKUCZXXMXUHXVNUDZAVYKAVYJWYRWGZWHZXXPVYMXUHTTVY
        GVYLVYLUXKZVNZWHZVYKVYMUXLXMXQZUXMZAXUIXVNXULVKUCZXUHXWQXVNUDZWWGWUEVKU
        CZXYDVIAXUIXVNXYFAWUBVKUCZWUDVKUCZXYFXUIXVNUDZAWUBAVYJWYRUXDWHZXYIWUDXU
        ITTVYGWUCWUCUXKVNWHZWUBWUDUXLXMXQZVAWUEXDWRUXNZUXOZXRZXSXXLXUMXYNXTXUNU
        XPYAXEZXVBBUATTTVCUGXNUYBUKZXYQXXIVYPWUGWOWOWVNXYQUCWVBXYQUCUDZWVNWVBVC
        UKZXXIUCXVBXYRXYQXXIXYSUGXNUXQWVNWVBUXRUXSWJAXUHTXYQVYPXKXUIXVFCTVYOXYQ
        XVFXVNUDZVYOTUCUGVYOXOUQVYOXYQUCXYTVYNXYBXRXYTVYNXYBXTVYOUXTYAXEYBZAXUI
        TXYQWUGXKXUHXWQCTWUFXYQXYEWUFTUCUGWUFXOUQWUFXYQUCXYEWUEXYLXRZXYEWUEXYLX
        TWUFUXTYAXEYCZTWOUCXVBUYCVMZYUDTUYAUYDXVBXXKXUNVYOXULULUFZVCUKZXOUQZCTY
        DXVBYUGCTXXLVYNXULXYCXYMUYEUYFXVBCTXUNYUFXOXUOXXGWOTWOYUDXYOXXLVYOYUEVC
        UYGXVBXUOUYHXVBCTVYOYUEVCVYPWUGWOWOWOYUDXXLVYNULUYIXXLXULULUYIXVBVYPUYH
        AXUIWUGCTYUEUMWBXUHXWQCTWUFYUEXYEYUEVAULUFZWUFVBUKZWUFXYEWWGXYFYUEYUIWB
        VIXYLVAWUEUYJWRXYEYUIVJWUFVBUKWUFYUHVJWUFVBUYMUYKXYEWUFXYEWUFYUBWHUYLYF
        UYNWCYCUYOUYPUWCXUOXXGUYQUYRXVBVYPWUGAXUHVYPVRUCXUIXVFULCTVYNUMZUYSZVYP
        VRXVFCTVYNVKTULVKTULXKXVFVUDVMXYBUYTXVFTTYUJXKYUJVRUCYUKVRUCXVFCTVYNTAX
        UHXVNVYNTUCZAVYKTUCZVYMTUCYULXXPXXQXXTVYKVYMVUAXMXQXEZXVFBTYUJYUNXWDXVF
        UWLVMXVFXWLUDZYUJYEZWVNXNVGUKZYGZUAVYLVUBZCTVYKUMZYEZXYSXNVGUKZYGZVYLYE
        ZWVBVUCZYGZYHZYIZXWCYUOUAYUSYURYVFYHZYIZYURYVHXUHYVJYURWBAXWLXUHYVJYURY
        VDYUSYGZYHZYURYVJYURUAYUSYVFYIZYHYVLUAYUSYURYVFVUEYVMYVKYURYVDUAYUSYVEY
        IZYGYVMYVKUAYVDYUSYVEVUFYVNYUSYVDUAYUSVUGVUHVUIZVUJXHXUHYURYVKYJYVLYURW
        BXUHTYURYVKYURYUJURZTYUJYUQVUKCTVYNYUJVYKVYMUJUVMYUJVHZVUNZVUOXUHYVKVYL
        URTVYLVULXUHTTVYLXXSVUMYFZVUPYURYVKVUQVURYFYKYUOUAYUSYVIYVGYUOWVBYUSUCZ
        UDZVYNYUQUCZVYMWVBWBZUDZCTYQZVYKYVBUCZYWCUDZCTYQZYVIYVGYWAYWDYWGCTYUOYV
        TWVBTUCZYWDYWGXFZYUOYUSTWVBXUHYUSTYJAXWLXUHTTVYLXXSVUSYKVUTZAXWLYWIYWJX
        UHXWOYWIUDZYWCYWBYWFYWLYWBYWFXFYWCVYKWVBUJUKZYUQUCZYWFXFYWLYUMXYSVYKUPU
        QZUDZYWMTUCZWVNYWMUPUQZUDZYWFYWNYWLYUMYWQYWOYWRYWLYUMYWQAYUMXWLYWIXXQVV
        AZAYWIYWQXWLAYUMYWIYWQXXQVYKWVBVUAVVDWIZVVBAXWLYWIYWOYWRXFZXWLYWIAYXBAX
        WLYWIYUMYXBXXQWVNWVBVYKVVCVVEVVFVVGWTYWLXYSXPUCZYWFYWPXFXWLYWIYXCAXWLYW
        IUDXYSWVNWVBVVHXSVVIZXYSVYKVVJWAYWLWVNXPUCZYWNYWSXFXWLYXEAYWIWVNVVKYKZW
        VNYWMVVJWAVVLYWCYWBYWNYWFYWCVYNYWMYUQVYMWVBVYKUJVVNZXCVVMVVOVVPVVQVVRVV
        SXUHYVIYWEWBAXWLYVTXUHYVIYURCTVYMUMZYEZYVEYGZYHZYWEXUHYVFYXJYURXUHYVDYX
        IYVEXUHVYLYXHXUHCTTVYLXXSVPVWCVVTZYLYXKYWBCTYQZYWCCTYQZYHYWEYURYXMYXJYX
        NCTVYNYUQYUJYVQYMWVBWOUCYXJYXNWBUAVWACTVYMWVBYXHWOYXHVHVWBUVSZYNYWBYWCC
        TYOXHYPYRXUHYVGYWHWBAXWLYVTXUHYVGYVCYXJYHZYWHXUHYVFYXJYVCYXLYLYXPYWFCTY
        QZYXNYHYWHYVCYXQYXJYXNCTVYKYVBYUTYUTVHZYMYXOYNYWFYWCCTYOXHYPYRVWDVWMVWE
        XVFYVHXWCUCZXWLXVFYUSVWFUCZYVGXWCUCZUAYUSYDYXSXUHYXTAVYLVWGWJZXVFYYAUAY
        USAYVCXWCUCZYVFXWCUCZYYAXUHAYUTVRUCZTTYUTXKZYYCAYYECTWUBUMVRUCZACTVYJUM
        VRUCYYEYYGUDACFTVYJVKQXWEAWYOVYHWYRWNAVYGXWIUCZUDVYHVYIUGYYHWYQAVYGTFUW
        KWJUWNAICFVYJUMZVRAICFVYIUMYYIACFVKISVPCFVYJVYIVYHVYIUGUWOXJWKAIVOUCIVR
        UCRIWDWAVQVWHACTVYJAWYOXVNWYRWNXAXBUWRZACTVYKTAYUMXVNXXQWNXEZTXYSXNYUTV
        WIYSYVEVYLVWJZYVCYVFVXAXMVWKYUSYVGUAVWLYSWNVWNYUOYUPYTWVNVGUKZYGZUAYUSY
        VAYTXYSVGUKZYGZYVFYHZYIZXWCYUOUAYUSYYNYVFYHZYIZYYNYYRXUHYYTYYNWBAXWLXUH
        YYTYYNYVKYHZYYNYYTYYNYVMYHUUUAUAYUSYYNYVFVUEYVMYVKYYNYVOVUJXHXUHYYNYVKY
        JUUUAYYNWBXUHTYYNYVKYYNYVPTYUJYYMVUKYVRVUOYVSVUPYYNYVKVUQVURYFYKYUOUAYU
        SYYSYYQYWAVYNYYMUCZYWCUDZCTYQZVYKYYOUCZYWCUDZCTYQZYYSYYQYWAUUUCUUUFCTYU
        OYVTYWIUUUCUUUFXFZYWKAXWLYWIUUUHXUHYWLYWCUUUBUUUEYWLUUUBUUUEXFYWCYWMYYM
        UCZUUUEXFYWLYWQYWMWVNUPUQZUDZYUMVYKXYSUPUQZUDZUUUIUUUEYWLYWQYUMUUUJUUUL
        YWLYWQYUMYXAYWTVVBAYWIXWLUUUJUUULXFZAYWIXWLUUUNAYUMYWIXWLUUUNXXQVYKWVBW
        VNVWOVWPVVGUXHWTYWLYXEUUUIUUUKXFYXFWVNYWMVXBWAYWLYXCUUUEUUUMXFYXDXYSVYK
        VXBWAUVFYWCUUUBUUUIUUUEYWCVYNYWMYYMYXGXCVVMVVOVVPVVQVVRVVSXUHYYSUUUDWBA
        XWLYVTXUHYYSYYNYXJYHZUUUDXUHYVFYXJYYNYXLYLUUUOUUUBCTYQZYXNYHUUUDYYNUUUP
        YXJYXNCTVYNYYMYUJYVQYMYXOYNUUUBYWCCTYOXHYPYRXUHYYQUUUGWBAXWLYVTXUHYYQYY
        PYXJYHZUUUGXUHYVFYXJYYPYXLYLUUUQUUUECTYQZYXNYHUUUGYYPUUURYXJYXNCTVYKYYO
        YUTYXRYMYXOYNUUUEYWCCTYOXHYPYRVWDVWMVWEXVFYYRXWCUCZXWLXVFYXTYYQXWCUCZUA
        YUSYDUUUSYYBXVFUUUTUAYUSAYYPXWCUCZYYDUUUTXUHAYYEYYFUUVAYYJYYKTYTXYSYUTV
        WIYSYYLYYPYVFVXAXMVWKYUSYYQUAVWLYSWNVWNVWQTYUJVWRYSVQYBYUAAXUHXVCXUIXWP
        YBYUCAXUIXVDXUHXXDYCVWSVWTWIXUKXUPXPUCZXUSXPUCZXUQXPUCZXXFXUTUDXURUWEAX
        UJUUVBVYEXVBXXJUUVBXYPXUOVXCWAWIAXUJUUVCVYEXVBXUSAXUHXUIXUSTUCZXVFXVCXV
        DUUVEXWQXWPXXDVYQWUHVVHXMVXDXSWIVYEUUVDAXUJVYEXUQVYEVYRVYRWUTWUTVXEVXFY
        KXUPXUSXUQVXKUYRVXGVXHXUKXUPWUPXUQKUPAXUJXUPWUPWBVYEXVBXUOWUOUNXVBCTXUN
        WUNXXLXUMWUMULXXLVYKVAWUBVBUKZVCUKZWULUJUKZVYNUUVFWUKUJUKZVCUKZWUMXUMAX
        UJXVNUUVHUUVJWBZAXXNUUVFVKUCZUDXXOWUKVKUCZUDZUUVKXUJXVNUDZAXXNUUVLXXRAW
        WGXYGUUVLVIXYJVAWUBXDWRXLXUHXUIXVNUUVNXXPXXOXYIUUVMXYAXYIWWGXYHUUVMVIXY
        KVAWUDXDWRVXIVXLVYKUUVFVYMWUKVXJXMXQXXLVYJUUVGWULUJAVYJUUVGWBXUJXVNAVYJ
        WYRVXMVVAVXTXXLXULUUVIVYNVCAXUJXVNXULUUVIWBZWWGAXYGUUVOXYHUUVPVIXYJXUIX
        VNXYHXUHXYKVVIVAWUBWUDVXNVXOXQUVLVXPWSWCWSWIVYEXUQKWBAXUJVYEKKVXQVXRYKV
        XSVYAVYBVYCVYD $.
    $}
    $( Lemma for ~ ftc1anc .  (Contributed by Brendan Leahy, 13-May-2018.) $)
    ftc1anclem7 $p |- ( ( ( ( ( ( ( ph /\ ( f e. dom S.1 /\ g e. dom S.1 ) ) /\
      ( S.2 ` ( t e. RR |-> ( abs ` ( if ( t e. D , ( F ` t ) , 0 ) -
        ( ( f ` t ) + ( _i x. ( g ` t ) ) ) ) ) ) ) < ( y / 2 ) ) /\
      E. r e. ( ran f u. ran g ) r =/= 0 ) /\ y e. RR+ ) /\
        ( u e. ( A [,] B ) /\ w e. ( A [,] B ) /\ u <_ w ) ) /\
      ( abs ` ( w - u ) ) < ( ( y / 2 ) / ( 2 x. sup ( ( abs "
        ( ran f u. ran g ) ) , RR , < ) ) ) ) -> ( ( S.2 ` ( t e. RR |->
      if ( t e. ( u (,) w ) , ( abs ` ( ( f ` t ) + ( _i x. ( g ` t ) ) ) ) ,
        0 ) ) ) + ( S.2 ` ( t e. RR |-> if ( t e. ( u (,) w ) , ( abs `
      ( ( F ` t ) - ( ( f ` t ) + ( _i x. ( g ` t ) ) ) ) ) , 0 ) ) ) ) <
        ( ( y / 2 ) + ( y / 2 ) ) ) $=
      ( cv citg1 cdm wcel wa cr cfv cc0 cif ci cmul co caddc cmin cabs citg2 c2
      cmpt cdiv clt wbr wne crn wrex crp cicc cle w3a cioo cvol csn cxp cc i1ff
      cof ffvelrnda recnd ax-icn mulcl sylancr syl2an anandirs cvv reex adantlr
      wceq feqmptd adantr fconstmpt offval2 adantl wf absf fveq2 oveq2d sylancl
      a1i wral absge0d sylan2 wss ax-resscn wfn c0ex ifex eqidd ofrfval2 mpbird
      eqeltrd syl2anc cxr rexrd 3adantr3 sselda syldan adantllr adantll elxrge0
      wi abscld sylanbrc 0e0iccpnf ifclda fmpttd sylan ad3antrrr iftrue syl3anc
      syl wb ad2antrr ax-mp fnfvima mp3an1 cfn suprub syl2anr breqtrd cima csup
      cun c0p cofr ccom addcl fmptco ftc1anclem3 eqeltrrd ioombl oveq12d fveq2d
      ovexd eqid fvex fvmpt eqcomd ifeq1d mpteq2ia i1fres elioore eleq1w anbi2d
      weq breq2 eleq1d imbi12d chvarvv wn 0le0 ifbothda ralrimivw fnmpti 0pledm
      bitrd itg2itg1 itg1cl ad6antlr cpnf simplll df-icc elixx3g simprbi simpld
      jca simprd anim12i ioossioo sstrd subcld rehalfcld ad2antlr simpll itg2cl
      rpre rphalfcl rpxrd subcl anassrs breq1 leidd fvoveq1d breqtrrd ralrimiva
      0cnd fvexd itg2le simpllr xrlelttrd xrltled itg2lecl ad3antlr 2rp imassrn
      c0 frn sstri frnd unssd sstrdi i1f0rn elun1 ffn ne0d wfun ffun i1frn unfi
      fimaxre2 suprcl 0red adantrr absgt0 biimpa anasss 3jca ltletrd rexlimdvaa
      imafi elrpd imp rpmulcl rerpdivcld simp-4l iccssre anandis rpred adantlll
      rpdivcl idd 3anim123d ifcl 2timesd readdcld abs0 eqeltrrid addge0d abstri
      sseld readdcl absmul absi oveq1i eqtrdi mulid2d eqtrd ffnd fnfvelrn elun2
      c1 le2addd letrd 3brtr4d iffalse pm2.61d1 ovex cico mblvol ovolioo syl5eq
      covol resubcl ancoms 3adant3 elrege0 itg2const ledivmuld abssubge0 eqtr4d
      ex ge0addcl simpr lelttrd ltdiv1d lt2addd ) AJUCZUDUEZUFZKUCZVWRUFZUGZUGZ
      FUHFUCZIUFZVXDLUIZUJUKZVXDVWQUIZULVXDVWTUIZUMUNZUOUNZUPUNZUQUIZUTZURUIZCU
      CZUSVAUNZVBVCZUGZNUCZUJVDZNVWQVEZVWTVEZUUCZVFZUGZVXPVGUFZUGZEUCZGHVHUNZUF
      ZDUCZVYJUFZVYIVYLVIVCZVJZUGZVYLVYIUPUNZUQUIZVXQUSUQVYDUUAZUHVBUUBZUMUNZVA
      UNZVBVCZUGZFUHVXDVYIVYLVKUNZUFZVXKUQUIZUJUKZUTZURUIZFUHWUFVXFVXKUPUNZUQUI
      ZUJUKZUTZURUIZVXQVXQVXBWUJUHUFZAVXRVYEVYGVYOWUCVXBWUIVWRUFZUUDWUIVIUUEZVC
      ZWUPVXBBUHBUCZVWQUIZULWUTVWTUIZUMUNZUOUNZUQUIZUTZVWRUFWUEVLUEUFZWUQVXBUQV
      WQUHULVMVNZVWTUMVQUNZUOVQUNZUUFWVFVWRVXBBFUHVOWVDVXDUQUIWVEWVJUQVWSVXAWUT
      UHUFZWVDVOUFZVWSWVKUGZWVAVOUFWVCVOUFZWVLVXAWVKUGZWVMWVAVWSUHUHWUTVWQVWQVP
      ZVRZVSWVOULVOUFZWVBVOUFWVNVTWVOWVBVXAUHUHWUTVWTVWTVPZVRZVSULWVBWAWBWVAWVC
      UUGWCWDZVXBBUHWVAWVCUOVWQWVIWEUHWEUHWEUFZVXBWFWSZVWSWVKWVAUHUFVXAWVQWGVXB
      WVKUGZULWVBUMUUNVWSVWQBUHWVAUTWHVXAVWSBUHUHVWQWVPWIWJVXAWVIBUHWVCUTWHVWSV
      XABUHULWVBUMWVHVWTWEVOUHWWBVXAWFWSWVRWVOVTWSWVTWVHBUHULUTWHVXABUHULWKWSVX
      ABUHUHVWTWVSWIWLWMWLVXBFVOUHUQVOUHUQWNZVXBWOWSWIVXDWVDUQWPUUHVWQVWTUUIUUJ
      VYIVYLUUKZFWUEWVFWUIFUHWUHWUFVXDWVFUIZUJUKVXDUHUFZWUFWUGWWGUJWWHWWGWUGBVX
      DWVEWUGUHWVFBFUVEZWVDVXKUQWWIWVAVXHWVCVXJUOWUTVXDVWQWPWWIWVBVXIULUMWUTVXD
      VWTWPWQUULZUUMWVFUUOVXKUQUUPZUUQUURUUSUUTUVAWRVXBWUSUJWUHVIVCZFUHWTZVXBWW
      LFUHWUFUJWUGVIVCZUJUJVIVCZWWLVXBWUGUJWUGWUHUJVIUVFUJWUHUJVIUVFWUFVXBWWHWW
      NVXDVYIVYLUVBZVXBWWHUGZVXKWWDWVLYAWWQVXKVOUFZYABFWWIWWDWWQWVLWWRWWIWVKWWH
      VXBBFUHUVCUVDWWIWVDVXKVOWWJUVGUVHWWAUVIZXAZXBWWOVXBWUFUVJZUGUVKWSUVLUVMVX
      BWUSUHUJVMVNZWUIWURVCWWMVXBUHWUIUHVOXCVXBXDWSWUIUHXEVXBFUHWUHWUIWUFWUGUJW
      WKXFXGZWUIUUOUVNWSUVOVXBFUHUJWUHVIWXBWUIWEWEWEWWCUJWEUFWWQXFWSWUHWEUFWWQW
      XCWSZWXBFUHUJUTWHVXBFUHUJWKWSVXBWUIXHZXIUVPXJWUQWUSUGWUJWUIUDUIZUHWUIUVQW
      UQWXFUHUFWUSWUIUVRWJXKXLZUVSVYPWUOUHUFZWUCVYPUHUJUVTVHUNZWUNWNZVXQUHUFZWU
      OVXQVIVCZWXHVYHVXCVYOWXJVXCVXRVYEVYGUWAVXCVYOUGZFUHWUMWXIWXMWUMWXIUFZWWHW
      XMWUFWULUJWXIWXMWUFUGZWULXMUFZUJWULVIVCZWULWXIUFZWXOWULWXOWUKWXOVXFVXKAVY
      OWUFVXFVOUFZVXBAVYOUGZWUFVXEWXSWXTWUEIVXDAVYKVYMWUEIXCVYNAVYKVYMUGZUGZWUE
      GHVKUNZIAGXMUFZHXMUFZUGGVYIVIVCZVYLHVIVCZUGWUEWYCXCWYAAWYDWYEAGPXNAHQXNUW
      FVYKWYFVYMWYGVYKWYFVYIHVIVCZVYKWYDWYEVYIXMUFVJWYFWYHUGBCFGHVYIVIVIVHBCFUW
      BZUWCUWDUWEVYMGVYLVIVCZWYGVYMWYDWYEVYLXMUFVJWYJWYGUGBCFGHVYLVIVIVHWYIUWCU
      WDUWGUWHGHVYIVYLUWIWCAWYCIXCWYASWJUWJZXOXPAVXEWXSVYOAIVOVXDLUBVRZWGXQXRVX
      CWUFWWRVYOWUFVXCWWHWWRWWPVXBWWHWWRAWWSXSZXBWGUWKZYBXNWXOWUKWYNXAWULXTZYCU
      JWXIUFZWXMWXAUGYDWSYEWJYFYGVYGWXKVYFVYOVYGVXPVXPUWPUWLZUWMVYHVYKVYMWXLVYN
      VXSVYGWYAWXLVYEVXSVYGUGZWYAUGZWUOVXQWYRVXCWYAWUOXMUFZVXCVXRVYGUWNZVXCWYAU
      GZWXJWYTXUBFUHWUMWXIXUBWXNWWHXUBWUFWULUJWXIXUBWUFUGWXPWXQWXRXUBWUFVXEWXPA
      WYAWUFVXEVXBWYBWUEIVXDWYKXPXRZVXCVXEWXPWYAVXCVXEUGZWULXUDWUKXUDVXFVXKAVXE
      WXSVXBWYLWGVXCVXEWWHWWRAVXEWWHVXBAIUHVXDTXPWGWYMXQUWKZYBZXNWGXQXUBWUFVXEW
      XQXUCVXCVXEWXQWYAXUDWUKXUEXAWGXQWYOYCWYPXUBWXAUGYDWSYEWJYFZWUNUWOYKYGZVYG
      VXQXMUFVXSWYAVYGVXQVXPUWQZUWRUWMZWYSWUOVXOVXQXUHVXCVXOXMUFZVXRVYGWYAVXCUH
      WXIVXNWNZXUKVXCFUHVXMWXIVXCWWHUGZVXMXMUFUJVXMVIVCZVXMWXIUFXUMVXMXUMVXLAVX
      BWWHVXLVOUFZAVXGVOUFWWRXUOWWQAVXEVXFUJVOWYLAVXEUVJUGUXFYEWWSVXGVXKUWSWCUW
      TZYBXNXUMVXLXUPXAZVXMXTYCYFZVXNUWOYKYHXUJWYRVXCWYAWUOVXOVIVCZXUAXUBWXJXUL
      WUNVXNWURVCZXUSXUGVXCXULWYAXURWJXUBXUTWUMVXMVIVCZFUHWTZXUBXVAFUHWUFWULVXM
      VIVCZXUNXVAXUBWWHUGZWULUJWULWUMVXMVIUXAUJWUMVXMVIUXAXUBWUFXVCWWHXUBWUFVXE
      XVCXUCVXCVXEXVCWYAXUDWULWULVXMVIXUDWULXUFUXBVXEVXMWULWHVXCVXEVXGVXFVXKUQU
      PVXEVXFUJYIUXCWMUXDWGXQWGXVDXUNWXAVXCWWHXUNWYAXUQWGWJUVLUXEAXUTXVBYLVXBWY
      AAFUHWUMVXMVIWUNVXNWEWEWEWWBAWFWSWUMWEUFAWWHUGZWUFWULUJWUKUQUUPXFXGWSXVEV
      XLUQUXGAWUNXHAVXNXHXIYMXJWUNVXNUXHYJYGVXCVXRVYGWYAUXIUXJZUXKXRXOVXQWUNUXL
      YJWJVYGWXKVYFVYOWUCWYQUXMZXVGWUDWUJVXQVBVCZWUJWUAVAUNZWUBVBVCZWUDXVIVYRWU
      BVYFXVIUHUFZVYGVYOWUCVXCVYEXVKVXRVXBVYEXVKAVXBVYEUGZWUJWUAVXBWUPVYEWXGWJX
      VLUSVGUFVYTVGUFZWUAVGUFZUXNVXBVYEXVMVXBVYAXVMNVYDVXBVXTVYDUFZVYAUGZUGZVYT
      VXBVYTUHUFZXVPVXBVYSUHXCZVYSUXPVDZVXPWUTVIVCCVYSWTBUHVFZXVRXVSVXBVYSUQVEZ
      UHUQVYDUXOWWEXWBUHXCWOVOUHUQUXQYNUXRZWSZVXBVYSUJUQUIZVXBVYDVOXCZUJVYDUFZX
      WEVYSUFZVXBVYDUHVOVXBVYBVYCUHVWSVYBUHXCVXAVWSUHUHVWQWVPUXSWJVXAVYCUHXCVWS
      VXAUHUHVWTWVSUXSWMUXTXDUYAZVWSXWGVXAVWSUJVYBUFXWGVWQUYBUJVYBVYCUYCYKWJUQV
      OXEZXWFXWGXWHWWEXWJWOVOUHUQUYDYNZVOVYDUQUJYOYPXLZUYEZVXBXVSVYSYQUFZXWAXWC
      VXBUQUYFZVYDYQUFZXWNWWEXWOWOVOUHUQUYGYNVWSVYBYQUFVYCYQUFXWPVXAVWQUYHVWTUY
      HVYBVYCUYIWCUQVYDUYTWBBCVYSUYJWBZBCVYSUYKYJZWJZXVQUJVXTUQUIZVYTXVQUYLVXBX
      VOXWTUHUFVYAVXBXVOUGZVXTVXBVYDVOVXTXWIXPZYBUYMXWSVXBXVOVYAUJXWTVBVCZXXAVY
      AXXCXXAVXTVOUFVYAXXCYLXXBVXTUYNYKUYOUYPVXBXVOXWTVYTVIVCZVYAXXAXVSXVTXWAVJ
      ZXWTVYSUFZXXDVXBXXEXVOVXBXVSXVTXWAXWDXWMXWQUYQZWJVXBXWFXVOXXFXWIXWJXWFXVO
      XXFXWKVOVYDUQVXTYOYPYGBCVYSXWTYRXLUYMUYRVUAUYSVUBUSVYTVUCWBZVUDXSWGYHVYPV
      YRUHUFZWUCVYHAVYOXXIAVXBVXRVYEVYGVUEAVYKVYMXXIVYNWYBVYQAVYKVYMVYQVOUFZAVY
      MUGVYLVOUFVYIVOUFXXJAVYKUGAVYJVOVYLAVYJUHVOAGUHUFHUHUFVYJUHXCPQGHVUFXLZXD
      UYAZXPAVYJVOVYIXXLXPVYLVYIUWSYSVUGYBXOYGWJVYHWUBUHUFZVYOWUCVXCVYEVYGXXMVX
      RVXBVYEVYGXXMAXVLVYGUGWUBVYGVXQVGUFXVNWUBVGUFXVLXUIXXHVXQWUAVUJYSVUHVUIXR
      YMVYPXVIVYRVIVCZWUCVYFVYOXXNVYGVXCVYEVYOXXNVXRVXCVYEUGZVYOVYIUHUFZVYLUHUF
      ZVYNVJZXXNXXOVYOXXRAVYOXXRYAVXBVYEAVYKXXPVYMXXQVYNVYNAVYJUHVYIXXKVUTAVYJU
      HVYLXXKVUTAVYNVUKVULYMVUBXXOXXRUGZXVIWUEVLUIZVYRVIXXSXVIXXTVIVCWUJWUAXXTU
      MUNZVIVCZVXCXXRXYBVYEVXBXXRXYBAVXBXXRUGWUJFUHWUFWUAUJUKZUTZURUIZXYAVIVXBW
      UJXYEVIVCZXXRVXBUHWXIWUIWNUHWXIXYDWNWUIXYDWURVCZXYFVXBFUHWUHWXIWWQWUGWXIU
      FZWYPWUHWXIUFWWQWUGXMUFWWNXYHWWQWUGWWQVXKWWSYBZXNWWTWUGXTYCYDWUFWUGUJWXIV
      UMWRYFVXBFUHXYCWXIVXBXYCWXIUFZWWHVXBWUAWXIUFWYPXYJVXBWUAVYTVYTUOUNZWXIVXB
      VYTVXBVYTXWRVSVUNZVXBXYKXMUFUJXYKVIVCXYKWXIUFVXBXYKVXBVYTVYTXWRXWRVUOZXNV
      XBVYTVYTXWRXWRVXBXXEUJVYSUFUJVYTVIVCZXXGVXBUJXWEVYSVUPXWLVUQBCVYSUJYRXLZX
      YOVURXYKXTYCXKYDWUFWUAUJWXIVUMWRWJYFVXBXYGWUHXYCVIVCZFUHWTVXBXYPFUHVXBWUF
      XYPVXBWUFXYPVXBWUFUGWUGWUAWUHXYCVIWUFVXBWWHWUGWUAVIVCWWPWWQWUGXYKWUAVIWWQ
      WUGVXHUQUIZVXIUQUIZUOUNZXYKXYIVWSVXAWWHXYSUHUFZVWSWWHUGZXYQUHUFZXYRUHUFZX
      YTVXAWWHUGZYUAVXHYUAVXHVWSUHUHVXDVWQWVPVRVSZYBZYUDVXIYUDVXIVXAUHUHVXDVWTW
      VSVRVSZYBZXYQXYRVVAWCWDVXBXYKUHUFWWHXYMWJWWQWUGXYQVXJUQUIZUOUNZXYSVIVWSVX
      AWWHWUGYUJVIVCZYUAVXHVOUFVXJVOUFZYUKYUDYUEYUDWVRVXIVOUFZYULVTYUGULVXIWAWB
      VXHVXJVUSWCWDWWQYUIXYRXYQUOVXAWWHYUIXYRWHVWSYUDYUIVVKXYRUMUNZXYRYUDYUIULU
      QUIZXYRUMUNZYUNYUDWVRYUMYUIYUPWHVTYUGULVXIVVBWBYUOVVKXYRUMVVCVVDVVEYUDXYR
      YUDXYRYUHVSVVFVVGXSWQYTWWQXYQXYRVYTVYTVWSWWHYUBVXAYUFWGVXAWWHYUCVWSYUHXSV
      XBXVRWWHXWRWJZYUQWWQXXEXYQVYSUFZXYQVYTVIVCVXBXXEWWHXXGWJZWWQXWFVXHVYDUFZY
      URVXBXWFWWHXWIWJZVWSWWHYUTVXAYUAVXHVYBUFZYUTVWSVWQUHXEWWHYVBVWSUHUHVWQWVP
      VVHUHVXDVWQVVIYGVXHVYBVYCUYCYKWGXWJXWFYUTYURXWKVOVYDUQVXHYOYPXLBCVYSXYQYR
      XLWWQXXEXYRVYSUFZXYRVYTVIVCYUSWWQXWFVXIVYDUFZYVCYVAVXAWWHYVDVWSYUDVXIVYCU
      FZYVDVXAVWTUHXEWWHYVEVXAUHUHVWTWVSVVHUHVXDVWTVVIYGVXIVYCVYBVVJYKXSXWJXWFY
      VDYVCXWKVOVYDUQVXIYOYPXLBCVYSXYRYRXLVVLVVMVXBWUAXYKWHWWHXYLWJUXDXBWUFWUHW
      UGWHVXBWUFWUGUJYIWMWUFXYCWUAWHVXBWUFWUAUJYIWMVVNVWKWXAUJUJWUHXYCVIWWOWXAU
      VKWSWUFWUGUJVVOWUFWUAUJVVOVVNVVPUVMVXBFUHWUHXYCVIWUIXYDWEWEWEWWCWXDXYCWEU
      FWWQWUFWUAUJUSVYTUMVVQXFXGWSWXEVXBXYDXHXIXJWUIXYDUXHYJWJXXRXXTUHUFZWUAUJU
      VTVVRUNZUFZXYEXYAWHZVXBXXRXXTVYQUHXXRXXTWUEVWBUIZVYQWVGXXTYVJWHWWFWUEVVSY
      NZVYIVYLVVTZVWAXXPXXQVYQUHUFZVYNXXQXXPYVMVYLVYIVWCVWDVWEXKZVXBWUAXYKYVGXY
      LVXBVYTYVGUFZYVOXYKYVGUFVXBXVRXYNYVOXWRXYOVYTVWFYCZYVPVYTVYTVWLXLXKWVGYVF
      YVHYVIWWFFWUEWUAVWGYPYSYTXSWGXXSWUJXXTWUAVXBWUPAVYEXXRWXGUXMXXRYVFXXOYVNW
      MXXOXVNXXRVXBVYEXVNAXXHXSZWJVWHXJXXRXXTVYRWHXXOXXRXXTYVJVYRYVKXXRYVJVYQVY
      RYVLVYIVYLVWIVWJVWAWMYTXQXRWGWJVYPWUCVWMVWNVYHXVHXVJYLVYOWUCVYHWUJVXQWUAV
      XCWUPVXRVYEVYGVXBWUPAWXGWMYHVYGWXKVYFWYQWMVYFXVNVYGVXCVYEXVNVXRYVQWGWJVWO
      YMXJVYPWUOVXQVBVCZWUCVYHVYKVYMYVRVYNVXSVYGWYAYVRVYEXVFXRXOWJVWP $.
    $( Lemma for ~ ftc1anc .  (Contributed by Brendan Leahy, 29-May-2018.) $)
    ftc1anclem8 $p |- ( ( ( ( ( ( ( ph /\ ( f e. dom S.1 /\
      g e. dom S.1 ) ) /\ ( S.2 ` ( t e. RR |-> ( abs ` ( if ( t e. D ,
        ( F ` t ) , 0 ) - ( ( f ` t ) + ( _i x. ( g ` t ) ) ) ) ) )
      ) < ( y / 2 ) ) /\ E. r e. ( ran f u. ran g ) r =/= 0 ) /\ y e. RR+ ) /\
        ( u e. ( A [,] B ) /\ w e. ( A [,] B ) /\ u <_ w ) ) /\ ( abs `
      ( w - u ) ) < ( ( y / 2 ) / ( 2 x. sup ( ( abs " ( ran f u. ran g ) ) ,
        RR , < ) ) ) ) -> ( S.2 ` ( t e. RR |-> if ( t e. ( u (,) w ) ,
      ( ( abs ` ( ( F ` t ) - ( ( f ` t ) + ( _i x. ( g ` t ) ) ) ) ) +
        ( abs ` ( ( f ` t ) + ( _i x. ( g ` t ) ) ) ) ) , 0 ) ) ) < y ) $=
      ( cv cdm wcel wa cr cfv cc0 cif ci cmul co caddc cmin cabs cmpt citg2 clt
      wbr cicc cle w3a wceq cmbf cvv wss a1i c0ex ifex adantl iffalsed mpteq2ia
      cres iftrue ax-mp ccom cc ffvelrnda recnd ax-icn sylancr anandirs adantlr
      syl2an reex adantll feqmptd adantr offval2 wf fmptco eqeltrrd syl sylancl
      absf mbfss cpnf abscld absge0d elrege0 sylanbrc 0e0icopnf fmpttd ad2antlr
      ifcl cxr rexrd 0e0iccpnf wfn ffn syl2anc sylan eqtrdi wral breq1 c1 eqtrd
      oveq2d ofrfval2 mpbird itg2le syl3anc itg2lecl adantllr ifbothda ad2antrr
      eqidd breq2 syldan ifclda cre cim readdcld fveq2d 3brtr4d iffalse oveq12d
      00id ovexd citg1 cdiv wne crn cun wrex cima csup cioo ftc1anclem7 simplll
      c2 crp 3simpa cof ioossre cvol rembl fvex wn eldifn resmpt eqtr4i csn cxp
      cdif i1ff mulcl addcl fconstmpt ftc1anclem3 i1fmbf ioombl mbfres eqeltrid
      fveq2 cico elxrge0 c0p cofr frn ax-resscn sstrdi fnco mp3an1 inidm offval
      fvco3 addid1d mpteq2dva it0e0 mpteq2i 3eqtr4d coeq2d i1f0 mpan2 weq coeq2
      eleq1d vtoclga i1fadd ge0addcl 0plef sylib simprd itg2itg1 itg1cl eqeltrd
      icossicc fss 0re readdcl ifboth abstri absmul absi oveq1i mulid2d breqtrd
      leidd ralrimiva elioore sylan2 jca df-icc elixx3g simprbi simpld ioossioo
      letrd anim12i sstrd sselda breqtrrd 0le0 ralrimivw subcld cibl cpr recncf
      wb ccncf prid1g ftc1anclem2 mp3an3 imcncf prid2g recld imcld off 0xr 0red
      negcld addcld abstrid absnegd replimd eqtr2d leadd2dd abssubd ex pm2.61d1
      negsubd eqtr4d oveq2i 3eqtr4a pm2.61i breqtrrdi xrletrd reseq1d sylan9eqr
      cneg eqtri resmptd eqtr4di fdmd iblmbf mbfdm 3syl syl2anr 0cnd fvif ifeq2
      abs0 ismbfcn2 mpbid ftc1anclem1 itg2addnc mpteq2dv simplr addcomd ifeq1da
      eqeq2 eqtr3d rpcn 2halvesd ad3antlr 3brtr3d ) AJUCZUUAUDZUEZKUCZVWTUEZUFZ
      UFZFUGFUCZIUEZVXFLUHZUIUJVXFVWSUHZUKVXFVXBUHZULUMZUNUMZUOUMUPUHUQURUHCUCZ
      UULUUBUMZUSUTZUFNUCUIUUCNVWSUUDZVXBUUDZUUEZUUFZUFZVXMUUMUEZUFZEUCZGHVAUMZ
      UEZDUCZVYDUEZVYCVYFVBUTZVCZUFZVYFVYCUOUMUPUHVXNUULUPVXRUUGUGUSUUHULUMUUBU
      MUSUTZUFFUGVXFVYCVYFUUIUMZUEZVXLUPUHZUIUJZUQZURUHZFUGVYMVXHVXLUOUMZUPUHZU
      IUJZUQZURUHZUNUMZVXNVXNUNUMZFUGVYMVYSVYNUNUMZUIUJZUQZURUHZVXMUSABCDEFGHIJ
      KLMNOPQRSTUAUBUUJVYJWUCWUHVDZVYKVYBVXEVYEVYGUFZWUIVYIVXEVXOVXSVYAUUKVYEVY
      GVYHUUNVXEWUJUFZVYPWUAUNUUOZUMZURUHWUCWUHWUKVYPWUAVXEVYPVEUEWUJVXEFVYLUGV
      YOVFVYLUGVGZVXEVYCVYFUUPZVHUGUUQUDZUEZVXEUURVHZVYOVFUEZVXEVYMUFVYMVYNUIVX
      LUPUUSZVIVJZVHVXEVXFUGVYLUVFUEZUFVYMVYNUIWVBVYMUUTZVXEVXFUGVYLUVAVKVLVXDF
      VYLVYOUQZVEUEAVXDWVDFUGVYNUQZVYLVNZVEWVDFVYLVYNUQZWVFFVYLVYOVYNVYMVYNUIVO
      ZVMWUNWVFWVGVDWUOFUGVYLVYNUVBVPUVCVXDWVEVEUEZVYLWUPUEWVFVEUEVXDWVEVWTUEWV
      IVXDUPVWSUGUKUVDUVEZVXBULUUOZUMZWULUMZVQZWVEVWTVXDFBUGVRVXLBUCZUPUHZVYNWV
      MUPVXAVXCVXFUGUEZVXLVRUEZVXAWVQUFZVXIVRUEZVXKVRUEZWVRVXCWVQUFZWVSVXIVXAUG
      UGVXFVWSVWSUVGZVSZVTZWWBUKVRUEZVXJVRUEZWWAWAWWBVXJVXCUGUGVXFVXBVXBUVGZVSZ
      VTZUKVXJUVHWBZVXIVXKUVIWEWCZVXDFUGVXIVXKUNVWSWVLVFUGVRUGVFUEZVXDWFVHZVXAW
      VQVXIUGUEVXCWWDWDZVXCWVQWWAVXAWWKWGVXAVWSFUGVXIUQZVDVXCVXAFUGUGVWSWWCWHZW
      IZVXCWVLFUGVXKUQVDVXAVXCFUGUKVXJULWVJVXBVFVRUGWWMVXCWFVHWWFWWBWAVHWWIWVJF
      UGUKUQVDZVXCFUGUKUVJZVHVXCFUGUGVXBWWHWHWJVKZWJVXDBVRUGUPVRUGUPWKZVXDWPVHW
      HZWVOVXLUPUVPZWLVWSVXBUVKZWMWVEUVLWNVYCVYFUVMVYLWVEUVNWOUVOVKWQWIVXDUGUIW
      RUVQUMZVYPWKAWUJVXDFUGVYOWXFVXDWVQUFZVYNWXFUEZUIWXFUEZVYOWXFUEWXGVYNUGUEZ
      UIVYNVBUTZWXHWXGVXLWWLWSZWXGVXLWWLWTZVYNXAXBZXCVYMVYNUIWXFXFWOXDXEWUKUGUI
      WRVAUMZVYPWKZFUGVXGVYNUIUJZUQZURUHZUGUEZVYQWXSVBUTZVYQUGUEVXDWXPAWUJVXDFU
      GVYOWXOWXGVYNWXOUEZUIWXOUEZVYOWXOUEWXGVYNXGUEWXKWYBWXGVYNWXLXHWXMVYNUVRXB
      ZXIVYMVYNUIWXOXFWOXDXEZVXDWXTAWUJVXDUGWXOWXRWKZFUGVXIUPUHZVXJUPUHZUNUMZUQ
      ZURUHZUGUEZWXSWYKVBUTZWXTVXDFUGWXQWXOWXGWYBWYCWXQWXOUEWYDXIVXGVYNUIWXOXFW
      OXDZVXDWYJVWTUEZUVSWYJVBUVTZUTZWYLVXDUPVWSVQZUPVXBVQZWULUMWYJVWTVXDFUGUGW
      YGWYHUNUGWYRWYSVFVFVXAWYRUGXJZVXCVXAUGUGVWSWKZWYTWWCXUAVWSUGXJZVXPVRVGZWY
      TUGUGVWSXKXUAVXPUGVRUGUGVWSUWAUWBUWCUPVRXJZXUBXUCWYTWXBXUDWPVRUGUPXKVPZVR
      UGUPVWSUWDUWEXLWNWIVXCWYSUGXJZVXAVXCUGUGVXBWKZXUFWWHXUGVXBUGXJZVXQVRVGZXU
      FUGUGVXBXKXUGVXQUGVRUGUGVXBUWAUWBUWCXUDXUHXUIXUFXUEVRUGUPVXBUWDUWEXLWNVKW
      WNWWNUGUWFZVXDXUAWVQVXFWYRUHWYGVDVXAXUAVXCWWCWIUGUGVXFUPVWSUWHXMVXDXUGWVQ
      VXFWYSUHWYHVDVXCXUGVXAWWHVKUGUGVXFUPVXBUWHXMUWGVXDWYRWYSVXAWYRVWTUEZVXCVX
      AUPVWSWVJUGUIUVDUVEZWVKUMZWULUMZVQZWYRVWTVXAXUNVWSUPVXAFUGVXIUIUNUMZUQWWP
      XUNVWSVXAFUGXUPVXIWVSVXIWWEUWIUWJVXAFUGVXIUIUNVWSXUMVFUGVFWWMVXAWFVHZWWDU
      IVFUEWVSVIVHZWWQVXAXUMFUGUKUIULUMZUQFUGUIUQZVXAFUGUKUIULWVJXULVFVRVFXUQWW
      FWVSWAVHXURWWSVXAWWTVHXULXUTVDVXAFUGUIUVJVHWJFUGXUSUIUWKUWLXNWJWWQUWMUWNV
      XAXULVWTUEXUOVWTUEUWOVWSXULUVKUWPWMZWIVXCWYSVWTUEZVXAXUKXVBJVXBVWTJKUWQWY
      RWYSVWTVWSVXBUPUWRUWSXVAUWTVKUXAWMVXDUGUGWYJWKZWYQVXDUGWXFWYJWKZXVCWYQUFV
      XDFUGWYIWXFVXAVXCWVQWYIWXFUEZWVSWYGWXFUEZWYHWXFUEZXVEWWBWVSWYGUGUEZUIWYGV
      BUTXVFWVSVXIWWEWSZWVSVXIWWEWTWYGXAXBWWBWYHUGUEZUIWYHVBUTXVGWWBVXJWWJWSZWW
      BVXJWWJWTWYHXAXBWYGWYHUXBWEWCXDZWYJUXCUXDUXEWYOWYQUFWYKWYJUUAUHZUGWYJUXFW
      YOXVMUGUEWYQWYJUXGWIUXHXLVXDWYFUGWXOWYJWKZWXRWYJWYPUTZWYMWYNVXDXVDWXFWXOV
      GZXVNXVLUIWRUXIZUGWXFWXOWYJUXJWOVXDXVOWXQWYIVBUTZFUGXOVXDXVRFUGWXGWXQVYNW
      YIWXGWXJUIUGUEWXQUGUEWXLUXKVXGVYNUIUGXFWOZWXLVXAVXCWVQWYIUGUEZWVSXVHXVJXV
      TWWBXVIXVKWYGWYHUXLWEWCZWXGVYNVYNVBUTZWXKWXQVYNVBUTZWXGVYNWXLUXTZWXMVXGXW
      BWXKXWCVYNUIVYNWXQVYNVBXPUIWXQVYNVBXPUXMXLWXGVYNWYGVXKUPUHZUNUMZWYIVBVXAV
      XCWVQVYNXWFVBUTZWVSWVTWWAXWGWWBWWEWWKVXIVXKUXNWEWCWXGXWEWYHWYGUNVXCWVQXWE
      WYHVDVXAWWBXWEXQWYHULUMZWYHWWBXWEUKUPUHZWYHULUMZXWHWWBWWFWWGXWEXWJVDWAWWJ
      UKVXJUXOWBXWIXQWYHULUXPUXQXNWWBWYHWWBWYHXVKVTUXRXRWGXSUXSUYJUYAVXDFUGWXQW
      YIVBWXRWYJVFUGUGWWNXVSXWAVXDWXRYHVXDWYJYHXTYAWXRWYJYBYCWYKWXRYDYCZXEZWUKW
      XPWYFVYPWXRWYPUTZWYAWYEVXDWYFAWUJWYNXEWUKXWMVYOWXQVBUTZFUGXOZWUKXWNFUGVYM
      VYNWXQVBUTUIWXQVBUTZXWNWUKVYNUIVYNVYOWXQVBXPUIVYOWXQVBXPWUKVYMUFZVYNVYNWX
      QVBVXEVYMXWBWUJVXDVYMXWBAVYMVXDWVQXWBVXFVYCVYFUYBZXWDUYCWGWDAWUJVYMWXQVYN
      VDZVXDAWUJUFZVYMUFVXGXWSXWTVYLIVXFXWTVYLGHUUIUMZIAGXGUEZHXGUEZUFGVYCVBUTZ
      VYFHVBUTZUFVYLXXAVGWUJAXXBXXCAGPXHAHQXHUYDVYEXXDVYGXXEVYEXXDVYCHVBUTZVYEX
      XBXXCVYCXGUEVCXXDXXFUFBCFGHVYCVBVBVABCFUYEZUYFUYGUYHVYGGVYFVBUTZXXEVYGXXB
      XXCVYFXGUEVCXXHXXEUFBCFGHVYFVBVBVAXXGUYFUYGUXEUYKGHVYCVYFUYIWEAXXAIVGWUJS
      WIUYLUYMZVXGVYNUIVOZWNYEUYNVXEXWPWUJWVCVXGWXKUIUIVBUTZXWPVXEVYNUIVYNWXQUI
      VBYIUIWXQUIVBYIVXEVXGWVQWXKAVXGWVQVXDAIUGVXFTUYMWDZVXDWVQWXKAWXMWGYJXXKVX
      EVXGUUTZUFZUYOVHZYFYGYFUYPAXWMXWOVUAVXDWUJAFUGVYOWXQVBVYPWXRVFVFVFWWMAWFV
      HZWUSAWVQUFZWVAVHZWXQVFUEZXXQVXGVYNUIWUTVIVJZVHZAVYPYHZAWXRYHZXTYGYAVYPWX
      RYBYCWXSVYPYDYCWUKFUGVYTWXFWUKVYTWXFUEWVQWUKVYMVYSUIWXFXWQVYSUGUEUIVYSVBU
      TZVYSWXFUEXWQVYRXWQVXHVXLAWUJVYMVXHVRUEZVXDXWTVYMVXGXYEXXIAVXGXYEWUJAIVRV
      XFLUBVSZWDYJYEVXEVYMWVRWUJVXDVYMWVRAVYMVXDWVQWVRXWRWWLUYCZWGWDUYQZWSZXWQV
      YRXYHWTZVYSXAXBWXIWUKWVCUFZXCVHYKWIXDWUKUGWXOWUAWKZWXSFUGVXGVXHYLUHZUPUHZ
      UIUJZUQZURUHZFUGVXGVXHYMUHZUPUHZUIUJZUQZURUHZUNUMZUNUMZUGUEWUBYUDVBUTWUBU
      GUEWUKFUGVYTWXOWUKVYTWXOUEWVQWUKVYMVYSUIWXOXWQVYSXGUEXYDVYSWXOUEXWQVYSXYI
      XHZXYJVYSUVRXBWYCXYKXIVHYKWIXDZWUKWXSYUCXWLAYUCUGUEVXDWUJAXYQYUBAIVRLWKZL
      UYRUEZXYQUGUEZUBUAYUGYUHYLYLYMUYSZUEZYUIYLVRUGVUBUMZUEYUKUYTYLYMYULVUCVPF
      ILYLVUDVUEXLZAYUGYUHYUBUGUEZUBUAYUGYUHYMYUJUEZYUNYMYULUEYUOVUFYLYMYULVUGV
      PFILYMVUDVUEXLZYNZYGYNWUKWUBWXRXYPYUAWULUMZWULUMZURUHZYUDVBWUKXYLUGWXOYUS
      WKZWUAYUSWYPUTZWUBYUTVBUTYUFVXEYVAWUJVXEUGWXFYUSWKXVPYVAVXEBCUGUGUGUNWXFW
      XFWXFWXRYURVFVFWVOWXFUEVXMWXFUEUFZWVOVXMUNUMWXFUEZVXEWVOVXMUXBZVKVXDUGWXF
      WXRWKAVXDFUGWXQWXFWXGWXHWXIWXQWXFUEWXNXCVXGVYNUIWXFXFWOXDVKZAUGWXFYURWKVX
      DABCUGUGUGUNWXFWXFWXFXYPYUAVFVFYVCYVDAYVEVKAFUGXYOWXFAXYOWXFUEWVQAVXGXYNU
      IWXFAVXGUFZXYNUGUEUIXYNVBUTXYNWXFUEYVGXYMYVGXYMYVGVXHXYFVUHZVTZWSZYVGXYMY
      VIWTXYNXAXBWXIAXXMUFZXCVHZYKWIXDZAFUGXYTWXFAXYTWXFUEWVQAVXGXYSUIWXFYVGXYS
      UGUEUIXYSVBUTXYSWXFUEYVGXYRYVGXYRYVGVXHXYFVUIVTZWSZYVGXYRYVNWTXYSXAXBYVLY
      KWIXDZXXPXXPXUJVUJWIZWWMVXEWFVHZYVRXUJVUJXVQUGWXFWXOYUSUXJWOWIWUKYVBVYTWX
      QXYOXYTUNUMZUNUMZVBUTZFUGXOZWUKYWAFUGWUKVYTVXGVYSUIUJZYVTWUKVYMVYSUIXGYUE
      UIXGUEZXYKVUKVHYKVXEYWCXGUEWUJVXEVXGVYSUIXGVXEVXGUFZVYSYWEVYRYWEVXHVXLAVX
      GXYEVXDXYFWDZVXEVXGWVQWVRXXLVXDWVQWVRAWWLWGYJZUYQZWSZXHYWDXXNVUKVHYKWIVXE
      YVTXGUEWUJVXEYVTVXEWXQYVSVXEVXGVYNUIUGYWEVXLYWGWSZXXNVULYKAYVSUGUEVXDAXYO
      XYTAVXGXYNUIUGYVJYVKVULZYKZAVXGXYSUIUGYVOYWKYKZYNWIYNXHWIVYMVYSYWCVBUTZUI
      YWCVBUTZVYTYWCVBUTWUKVYSUIVYSVYTYWCVBXPUIVYTYWCVBXPWUKVYMVXGYWNAWUJVYMVXG
      VXDXXIYEWUKVXGUFVYSVYSYWCVBVXEVXGVYSVYSVBUTWUJYWEVYSYWIUXTWDVXGYWCVYSVDZW
      UKVXGVYSUIVOZVKUYNYJVXEYWOWUJWVCVXGXYDXXKYWOVXEVYSUIVYSYWCUIVBYIUIYWCUIVB
      YIYWEVYRYWHWTXXOYFYGYFVXEYWCYVTVBUTWUJVXEYWCVXGVYNXYNXYSUNUMZUNUMZUIUJZYV
      TVBVXEVXGYWCYWTVBUTZVXEVXGYXAYWEVXLVXHVVLZUNUMZUPUHZYWSYWCYWTVBYWEYXDVYNY
      XBUPUHZUNUMYWSYWEYXCYWEVXLYXBYWGAVXGYXBVRUEVXDYVGVXHXYFVUMZWDZVUNWSYWEVYN
      YXEYWJAVXGYXEUGUEVXDYVGYXBYXFWSWDZYNYWEVYNYWRYWJAVXGYWRUGUEVXDYVGXYNXYSYV
      JYVOYNWDZYNYWEVXLYXBYWGYXGVUOYWEYXEYWRVYNYXHYXIYWJAVXGYXEYWRVBUTVXDYVGXYM
      UKXYRULUMZUNUMZUPUHZXYNYXJUPUHZUNUMYXEYWRVBYVGXYMYXJYVIYVGWWFXYRVRUEZYXJV
      RUEWAYVNUKXYRUVHWBVUOYVGYXEVXHUPUHYXLYVGVXHXYFVUPYVGVXHYXKUPYVGVXHXYFVUQY
      OXRYVGXYSYXMXYNUNYVGYXMXQXYSULUMZXYSYVGYXMXWIXYSULUMZYXOYVGWWFYXNYXMYXPVD
      WAYVNUKXYRUXOWBXWIXQXYSULUXPUXQXNYVGXYSYVGXYSYVOVTUXRVURXSYPWDVUSUYJYWEVY
      SVXLVXHUOUMZUPUHYWCYXDYWEVXHVXLYWFYWGVUTVXGYWPVXEYWQVKYWEYXCYXQUPYWEVXLVX
      HYWGYWFVVCYOUWMVXGYWTYWSVDVXEVXGYWSUIVOZVKYPVVAXXMUIUIYWCYWTVBXXKXXMUYOVH
      VXGVYSUIYQVXGYWSUIYQZYPVVBVXGYVTYWTVDVXGYVTYWSYWTVXGWXQVYNYVSYWRUNXXJVXGX
      YOXYNXYTXYSUNVXGXYNUIVOVXGXYSUIVOYRYRYXRVVDXXMUIUIUIUNUMZUNUMZUIYVTYWTYYA
      YXTUIYXTUIUIUNYSVVEYSVVMXXMWXQUIYVSYXTUNVXGVYNUIYQXXMXYOUIXYTUIUNVXGXYNUI
      YQVXGXYSUIYQYRYRYXSVVFVVGVVHWIVVIUYPAYVBYWBVUAVXDWUJAFUGVYTYVTVBWUAYUSVFV
      FVFXXPVYTVFUEXXQVYMVYSUIVYRUPUUSVIVJVHZXXQWXQYVSUNYTAWUAYHZAFUGWXQYVSUNWX
      RYURVFVFVFXXPXYAXXQXYOXYTUNYTXYCAFUGXYOXYTUNXYPYUAVFUGUGXXPAXYOUGUEWVQYWL
      WIAXYTUGUEWVQYWMWIAXYPYHAYUAYHWJWJXTYGYAWUAYUSYBYCVXEYUTYUDVDWUJVXEYUTWXS
      YURURUHZUNUMYUDVXEWXRYURVXEFIUGWXQVFAIUGVGVXDTWIWURXXSYWEXXTVHVXFUGIUVFUE
      ZWXQUIVDVXEYYEVXGVYNUIVXFUGIUVAZVLVKVXEWVNIVNZFIWXQUQZVEVXEYYGFIVYNUQZYYH
      VXDAYYGWVEIVNYYIVXDWVNWVEIVXDFBUGVRVXLWVPVYNWVMUPWWLVXDFUGVXIVXKUNVWSWVLV
      FUGVFWWNWWOWXGUKVXJULYTWWRWXAWJWXCWXDWLVVJAFUGIVYNTVVNVVKFIWXQVYNXXJVMVVO
      VXDWVNVEUEZIWUPUEYYGVEUEAVXDWVNVWTUEYYJWXEWVNUVLWNALUDZIWUPAIVRLUBVVPAYUH
      LVEUEZYYKWUPUEUALVVQZLVVRVVSWMIWVNUVNVVTWMWQYVFVXDWXTAXWKVKYVQAYYDUGUEVXD
      AYYDYUCUGAXYPYUAAUPFUGVXGXYMUIUJZUQZVQZXYPVEAFBUGVRYYNWVPXYOYYOUPAYYNVRUE
      WVQAVXGXYMUIVRYVIYVKVWAYKWIAYYOYHABVRUGUPWXBAWPVHWHWVOYYNVDWVPYYNUPUHZXYO
      WVOYYNUPUVPYYQVXGXYNUIUPUHZUJZXYOVXGXYMUIUPVWBYYRUIVDYYSXYOVDVWDVXGYYRUIX
      YNVWCVPVVMXNWLAUGUGYYOWKYYOVEUEYYPVEUEAFUGYYNUGAYYNUGUEZWVQAVXGXYMUIUGYVH
      YWKYKZWIXDAFIUGYYNUGTWUQAUURVHAYYTVXGUUUAWIAYYEUFVXGXYMUIYYEXXMAYYFVKVLAF
      IYYNUQFIXYMUQZVEFIYYNXYMVXGXYMUIVOVMAUUUBVEUEZFIXYRUQVEUEZAFIVXHUQZVEUEUU
      UCUUUDUFALUUUEVEAFIVRLUBWHAYUHYYLUAYYMWNWMAFIVXHXYFVWEVWFUYHUVOWQUGYYOVWG
      XLWMYVMYUMYVPYUPVWHZYUQUXHWIVWHVXEYYDYUCWXSUNAYYDYUCVDVXDUUUFWIXSXRWIUXSY
      UDWUAYDYCVWHWUKWUMWUGURWUKWUMFUGVYMVYNVYSUNUMZUIUJZUQZWUGAWUMUUUIVDVXDWUJ
      AWUMFUGVYOVYTUNUMZUQUUUIAFUGVYOVYTUNVYPWUAVFVFVFXXPXXRYYBXYBYYCWJAFUGUUUJ
      UUUHVYMUUUJUUUGVDZUUUJUIVDZUUUJUUUHVDAUUUGUIUUUGUUUHUUUJVWMUIUUUHUUUJVWMV
      YMUUUKAVYMVYOVYNVYTVYSUNWVHVYMVYSUIVOYRVKWVCUUULAWVCUUUJYXTUIWVCVYOUIVYTU
      IUNVYMVYNUIYQVYMVYSUIYQYRYSXNVKYFVWIXRYGWUKFUGUUUHWUFWUKVYMUUUGWUEUIXWQVY
      NVYSWUKVXDVYMVYNVRUEAVXDWUJVWJVXDVYMUFZVYNUUUMVXLXYGWSVTXMXWQVYSXYIVTVWKV
      WLVWIXRYOVWNWEWIVYAWUDVXMVDVXTVYIVYKVYAVXMVXMVWOVWPVWQVWR $.
    ftc1anc.t $e |- ( ph -> A. s e. ( (,) " ( ( A [,] B ) X. ( A [,] B ) ) )
      ( abs ` S. s ( F ` t ) _d t ) <_ ( S.2 ` ( t e. RR |-> if ( t e. s ,
        ( abs ` ( F ` t ) ) , 0 ) ) ) ) $.
    $( ~ ftc1a holds for functions that obey the triangle inequality in the
       absence of ~ ax-cc .  Theorem 565Ma of [Fremlin5] p. 220.  (Contributed
       by Brendan Leahy, 11-May-2018.) $)
    ftc1anc $p |- ( ph -> G e. ( ( A [,] B ) -cn-> CC ) ) $=
      ( wcel wa vw vu vz vy vf vg vr vb va cicc co cc wf cv cmin cfv clt wbr wi
      cabs wral crp wrex cr cc0 cif ci cmul caddc cmpt citg2 c2 cdiv sylan2 wne
      crn cle wss adantr adantl syl wfn ax-mp fnfvima mp3an1 syl2anc cfn syl2an
      absf sylancr sselda abscld adantrr w3a a1i sylan anassrs adantlr an32 weq
      wceq fveq2d breq1d fveq2 oveqan12rd imbi12d syl2anr anandis ffvelrnda cxr
      cioo rexrd absge0d syldan 0e0iccpnf ifclda fmpttd itg2cl 3adantr3 adantll
      wb wn ad3antlr ex ralrimivw cvv c0ex ifex eqidd syl3anc citg oveq2 itgeq1
      3ad2antr2 3ad2antr1 cibl fvexd eqtrd breq2 eqtrdi ccncf ftc1lem2 rphalfcl
      cdm ftc1anclem6 adantrl cun cima csup ad2antll 2rp c0 i1ff frnd ax-resscn
      citg1 unssd sstrdi i1f0rn elun1 ffn ne0d imassrn frn sstri wfun ffun unfi
      i1frn imafi suprcl 0red absgt0 biimpd impr 3jca suprub ltletrd rexlimdvaa
      fimaxre2 imp elrpd rpmulcl rpdivcl ancom anbi2i anbi1i bitri anass oveq12
      3bitr4i ancoms iccssre ad4antr simp-4l abssub cpnf df-icc elixx3g simprbi
      jca simpld simprd anim12i ioossioo sstrd elxrge0 sylanbrc simplll elioore
      adantllr recnd ax-icn mulcl addcl anandirs subcld readdcld addge0d npcand
      rpxr cofr abstrid eqbrtrrd iftrue 3brtr4d 0le0 iffalse pm2.61d1 reex fvex
      ofrfval2 ad2antrr mpbird itg2le ftc1anclem8 xrlelttrd simpr2 itgex elicc1
      biimpa simp2d simpr3 mpbir3and iooss2 eleq1w anbi2d mpteq1d eleq1d ioombl
      ovex fvmpt cvol feqmptd eqeltrrd iblss chvarvv itgsplitioo simpr1 oveq12d
      itgcl pncan2d wel cxp cop df-ov opelxpi ioof iccssxr xpss12 mp2an mp3an12
      cpw eqeltrid eleq2 ifbid mpteq2dv breq12d rspccva subcl ad2antlr xrlelttr
      eqbrtrd mpand sylanl1 mpd wlogle sylanb ralrimiva rspceaimv ralnex ralbii
      nne bitr3i ffnd fnfvelrn eqeq1 rspcva elun2 oveq2d it0e0 adantlll subid1d
      an32s 00id 0cnd ad3antrrr fvif abs0 ifeq2 eqtri mpteq2dva com23 anasss c1
      imp32 ne0ii adantlrr rpre rehalfcld leidd ifboth ssneld eqbrtrdi ifbothda
      1rp breq1 xrletrd simplr rphalflt a1d r19.2z sylan2b pm2.61dan rexlimdvva
      lttrd ralrimivva ssid elcncf2 sylancl mpbir2and ) AHDEUJUKZULUUAUKSZWUBUL
      HUMZUAUNZUBUNZUOUKZUTUPZUCUNZUQURZWUEHUPZWUFHUPZUOUKZUTUPZUDUNZUQURZUSZUA
      WUBVAZUCVBVCZUDVBVAUBWUBVAZABCDEFGHJKLMNOPQUUBZAWUSUBUDWUBVBAWUFWUBSZWUOV
      BSZTZTZCVDCUNZFSZWVFGUPZVEVFZWVFUEUNZUPZVGWVFUFUNZUPZVHUKZVIUKZUOUKZUTUPZ
      VJZVKUPZWUOVLVMUKZUQURZUFUUPUUDZVCUEWWBVCZWUSAWVCWWCWVBWVCAWVTVBSZWWCWUOU
      UCZABCDEFUEUFGHWVTJKLMNOPQUUEVNUUFWVEWWAWUSUEUFWWBWWBWVEWVJWWBSZWVLWWBSZT
      ZTZWWAWUSWWIWWATZUGUNZVEVOZUGWVJVPZWVLVPZUUGZVCZWUSWWJWWPTZWVTVLUTWWOUUHZ
      VDUQUUIZVHUKZVMUKZVBSZWUHWXAUQURZWUPUSZUAWUBVAWUSWWIWWPWXBWWAWVEWWHWWPWXB
      WVEWWDWWTVBSZWXBWWHWWPTZWVCWWDAWVBWWEUUJWXFVLVBSWWSVBSWXEUUKWXFWWSWWHWWSV
      DSZWWPWWHWWRUULVOZWUOBUNZVQURUDWWRVABVDVCZWXGWWHWWRVEUTUPZWWHWWOULVRZVEWW
      OSZWXKWWRSZWWHWWOVDULWWHWWMWWNVDWWFWWMVDVRWWGWWFVDVDWVJWVJUUMZUUNVSWWGWWN
      VDVRWWFWWGVDVDWVLWVLUUMZUUNVTUUQUUOUURZWWFWXMWWGWWFVEWWMSWXMWVJUUSVEWWMWW
      NUUTWAVSUTULWBZWXLWXMWXNULVDUTUMZWXRWIULVDUTUVAWCZULWWOUTVEWDWEWFUVBZWWHW
      WRVDVRZWWRWGSZWXJWWRUTVPZVDUTWWOUVCWXSWYDVDVRWIULVDUTUVDWCUVEZWWHUTUVFZWW
      OWGSZWYCWXSWYFWIULVDUTUVGWCWWFWWMWGSWWNWGSWYGWWGWVJUVIWVLUVIWWMWWNUVHWHUT
      WWOUVJWJBUDWWRUVTWJZWYBWXHWXJWXGWYEBUDWWRUVKWEWFZVSWWHWWPVEWWSUQURZWWHWWL
      WYJUGWWOWWHWWKWWOSZWWLTZTZVEWWKUTUPZWWSWYMUVLWWHWYKWYNVDSWWLWWHWYKTZWWKWW
      HWWOULWWKWXQWKZWLWMWWHWXGWYLWYIVSWWHWYKWWLVEWYNUQURZWYOWWLWYQWYOWWKULSWWL
      WYQYAWYPWWKUVMWAUVNUVOWWHWYKWYNWWSVQURZWWLWYOWYBWXHWXJWNZWYNWWRSZWYRWWHWY
      SWYKWWHWYBWXHWXJWYBWWHWYEWOWYAWYHUVPVSWWHWXLWYKWYTWXQWXRWXLWYKWYTWXTULWWO
      UTWWKWDWEWPBUDWWRWYNUVQWFWMUVRUVSUWAUWBVLWWSUWCWJWVTWWTUWDWHWQWRWWQWXDUAW
      UBWWQAWWHTZWWATZWWPTZWVCTZWVBTZWUEWUBSZWXDXUCWVDTZXUCWVCWVBTZTWWQXUEWVDXU
      HXUCWVBWVCUWEUWFWWQXUBWVDTZWWPTXUGWWJXUIWWPWWJXUAWVDTZWWATXUIWWIXUJWWAAWV
      DWWHWSUWGXUAWVDWWAWSUWHUWGXUBWVDWWPWSUWHXUCWVCWVBUWIUWKXUDWVBXUFWXDXUDUHU
      NZUIUNZUOUKZUTUPZWXAUQURZXUKHUPZXULHUPZUOUKZUTUPZWUOUQURZUSWXDWUFWUEUOUKZ
      UTUPZWXAUQURZWULWUKUOUKZUTUPZWUOUQURZUSZUBUAUIUHWUBUIUBWTZUHUAWTZTZXUOWXC
      XUTWUPXVJXUNWUHWXAUQXVJXUMWUGUTXVIXVHXUMWUGXAXUKWUEXULWUFUOUWJUWLXBXCXVJX
      USWUNWUOUQXVJXURWUMUTXVIXVHXUPWUKXUQWULUOXUKWUEHXDZXULWUFHXDZXEXBXCXFUIUA
      WTZUHUBWTZTZXUOXVCXUTXVFXVOXUNXVBWXAUQXVOXUMXVAUTXVNXVMXUMXVAXAXUKWUFXULW
      UEUOUWJUWLXBXCXVOXUSXVEWUOUQXVOXURXVDUTXVNXVMXUPWULXUQWUKUOXUKWUFHXDZXULW
      UEHXDZXEXBXCXFAWUBVDVRZWWHWWAWWPWVCADVDSZEVDSXVRKLDEUWMWFZUWNXUDAWVBXUFTZ
      WXDXVGYAAWWHWWAWWPWVCUWOZAXWATZWXCXVCWUPXVFXWCWUHXVBWXAUQAWVBXUFWUHXVBXAZ
      AXUFTZWUEULSWUFULSXWDAWVBTZAWUBULWUEAWUBVDULXVTUUOUURZWKAWUBULWUFXWGWKWUE
      WUFUWPXGXHXCXWCWUNXVEWUOUQAWVBXUFWUNXVEXAZXWEWUKULSZWULULSZXWHXWFAWUBULWU
      EHWVAXIZAWUBULWUFHWVAXIZWUKWULUWPXGXHZXCXFWPXUDWVBXUFWUFWUEVQURZWNZTZWXCW
      UPXWPWXCTZCVDWVFWUFWUEXKUKZSZWVHUTUPZVEVFZVJZVKUPZWUOUQURZWUPXWQXXCCVDXWS
      WVHWVOUOUKZUTUPZWVOUTUPZVIUKZVEVFZVJZVKUPZWUOXWPXXCXJSZWXCXUDAXWOXXLXWBAW
      VBXUFXXLXWNXWCVDVEUWQUJUKZXXBUMZXXLXWCCVDXXAXXMXWCXXAXXMSZWVFVDSZXWCXWSXW
      TVEXXMXWCXWSWVGXWTXXMSZXWCXWRFWVFXWCXWRDEXKUKZFADXJSZEXJSZTDWUFVQURZWUEEV
      QURZTXWRXXRVRXWAAXXSXXTADKXLZAELXLZUXAWVBXYAXUFXYBWVBXYAWUFEVQURZWVBXXSXX
      TWUFXJSZWNXYAXYETBUDCDEWUFVQVQUJBUDCUWRZUWSUWTUXBXUFDWUEVQURZXYBXUFXXSXXT
      WUEXJSZWNXYHXYBTBUDCDEWUEVQVQUJXYGUWSUWTUXCZUXDDEWUFWUEUXEWHAXXRFVRZXWANV
      SUXFZWKZAWVGXXQXWAAWVGTZXWTXJSVEXWTVQURZXXQXYNXWTXYNWVHAFULWVFGQXIZWLZXLX
      YNWVHXYPXMZXWTUXGUXHZWRXNVEXXMSZXWCXWSYBZTXOWOXPZVSXQZXXBXRWAZXSZWPVSXWPX
      XKXJSZWXCXUDXUAXWOYUFXUAWWAWWPWVCUXIZXUAWVBXUFYUFXWNXUAXWATZVDXXMXXJUMZYU
      FYUHCVDXXIXXMYUHXXIXXMSXXPYUHXWSXXHVEXXMYUHXWSTZXXHXJSVEXXHVQURXXHXXMSYUJ
      XXHYUJXXFXXGYUJXXEYUJWVHWVOAXWAXWSWVHULSZWWHXWCXWSWVGYUKXYMAWVGYUKXWAXYPW
      RXNUXKZXUAXWSWVOULSZXWAWWHXWSYUMAXWSWWHXXPYUMWVFWUFWUEUXJZWWFWWGXXPYUMWWF
      XXPTZWVKULSWVNULSZYUMWWGXXPTZYUOWVKWWFVDVDWVFWVJWXOXIUXLYUQVGULSWVMULSYUP
      UXMYUQWVMWWGVDVDWVFWVLWXPXIUXLVGWVMUXNWJWVKWVNUXOWHUXPZVNZXTWRZUXQZWLZXUA
      XWSXXGVDSZXWAWWHXWSYVCAWWHXWSTWVOYUSWLXTWRZUXRXLYUJXXFXXGYVBYVDYUJXXEYVAX
      MXUAXWSVEXXGVQURZXWAWWHXWSYVEAXWSWWHXXPYVEYUNWWHXXPTZWVOYURXMVNXTWRUXSXXH
      UXGUXHXYTYUHYUATXOWOXPVSXQZXXJXRWAXSWPVSWVCWUOXJSZXUCXWOWXCWUOUYAZYCXWPXX
      CXXKVQURZWXCXUDXUAXWOYVJYUGXUAWVBXUFYVJXWNYUHXXNYUIXXBXXJVQUYBZURZYVJYUHC
      VDXXAXXMYUHXXOXXPAXWAXXOWWHYUBWRVSXQYVGYUHYVLXXAXXIVQURZCVDVAZYUHYVMCVDYU
      HXWSYVMYUHXWSYVMYUJXWTXXHXXAXXIVQYUJXXEWVOVIUKZUTUPXWTXXHVQYUJYVOWVHUTYUJ
      WVHWVOYULYUTUXTXBYUJXXEWVOYVAYUTUYCUYDXWSXXAXWTXAYUHXWSXWTVEUYEVTXWSXXIXX
      HXAYUHXWSXXHVEUYEVTUYFYDYUAVEVEXXAXXIVQVEVEVQURYUAUYGWOXWSXWTVEUYHZXWSXXH
      VEUYHUYFUYIYEAYVLYVNYAWWHXWAACVDXXAXXIVQXXBXXJYFYFYFVDYFSAUYJWOZXXAYFSAXX
      PTZXWSXWTVEWVHUTUYKZYGYHWOZXXIYFSYVRXWSXXHVEXXFXXGVIVUKYGYHWOAXXBYIZAXXJY
      IUYLUYMUYNXXBXXJUYOYJXSWPVSABUDUAUBCDEFUEUFGHUGJKLMNOPQUYPUYQXWPXXDWUPUSZ
      WXCXUCAWVCXWOYWBAWWHWWAWWPUXIAWVCTXWOTZWUNXXCVQURZXXDWUPAXWOYWDWVCAXWOTZW
      UNCXWRWVHYKZUTUPZXXCVQYWEWUMYWFUTYWEWUMCDWUFXKUKZWVHYKZYWFVIUKZYWIUOUKZYW
      FYWEWUKYWJWULYWIUOYWEWUKCDWUEXKUKZWVHYKZYWJYWEXUFWUKYWMXAAWVBXUFXWNUYRBWU
      ECDWXIXKUKZWVHYKZYWMWUBHBUAWTYWNYWLXAYWOYWMXAWXIWUEDXKYLCYWNYWLWVHYMWAJCY
      WLWVHUYSVULWAYWECDWUFWUEWVHAXVSXWOKVSAWVBXUFWUEVDSXWNAWUBVDWUEXVTWKZYNYWE
      WUFDWUEUJUKSZXYFXYAXWNAXUFWVBXYFXWNXWFWUFAWUBVDWUFXVTWKXLYOAXUFWVBXYAXWNX
      WFXYFXYAXYEAWVBXYFXYAXYEWNZAXXSXXTWVBYWRYAXYCXYDDEWUFUYTWFVUAVUBYOAWVBXUF
      XWNVUCAWVBXUFYWQXYFXYAXWNWNYAZXWNXWEXXSXYIYWSAXXSXUFXYCVSXWEWUEYWPXLDWUEW
      UFUYTWFYNVUDYWEWVFYWLSWVGYUKYWEYWLFWVFAWVBXUFYWLFVRXWNXWEYWLXXRFAXXTXYBYW
      LXXRVRXUFXYDXYJDWUEEVUEWHAXYKXUFNVSUXFZYNWKAWVGYUKXWOXYPWRXNAXUFWVBCYWHWV
      HVJZYPSZXWNXWECYWLWVHVJZYPSZUSXWFYXBUSUAUBUAUBWTZXWEXWFYXDYXBYXEXUFWVBAUA
      UBWUBVUFVUGYXEYXCYXAYPYXECYWLYWHWVHWUEWUFDXKYLVUHVUIXFXWECYWLFWVHULYWTYWL
      VUMUUDZSXWEDWUEVUJWOAWVGYUKXUFXYPWRACFWVHVJZYPSZXUFAGYXGYPACFULGQVUNPVUOZ
      VSVUPVUQZYOAWVBXUFCXWRWVHVJYPSXWNXWCCXWRFWVHYFXYLXWRYXFSXWCWUFWUEVUJWOXWC
      WVGTWVFGYQAYXHXWAYXIVSVUPZXSVURYRYWEWVBWULYWIXAAWVBXUFXWNVUSBWUFYWOYWIWUB
      HBUBWTYWNYWHXAYWOYWIXAWXIWUFDXKYLCYWNYWHWVHYMWAJCYWHWVHUYSVULWAVUTAWVBXUF
      YWKYWFXAXWNXWCYWIYWFAWVBYWIULSXUFXWFCYWHWVHYFXWFWVFYWHSTWVFGYQYXJVVAWMXWC
      CXWRWVHYFXWCXWSTWVFGYQYXKVVAZVVBXSYRXBZAWVBXUFYWGXXCVQURZXWNACIUNZWVHYKZU
      TUPZCVDCIVVCZXWTVEVFZVJZVKUPZVQURZIXKWUBWUBVVDZUUHZVAXWRYYDSYXNXWARXWAXWR
      WUFWUEVVEZXKUPZYYDWUFWUEXKVVFXWAYYEYYCSZYYFYYDSZWUFWUEWUBWUBVVGXKXJXJVVDZ
      WBZYYCYYIVRZYYGYYHYYIVDVVMZXKUMYYJVVHYYIYYLXKUVAWCWUBXJVRZYYMYYKDEVVIZYYN
      WUBXJWUBXJVVJVVKYYIYYCXKYYEWDVVLWAVVNYYBYXNIXWRYYDYXOXWRXAZYXQYWGYYAXXCVQ
      YYOYXPYWFUTCYXOXWRWVHYMXBYYOYXTXXBVKYYOCVDYXSXXAYYOYXRXWSXWTVEYXOXWRWVFVV
      OVVPVVQXBVVRVVSWHZXSVWCWRYWCWUNXJSZXXLYVHYWDXXDTWUPUSAXWOYYQWVCAWVBXUFYYQ
      XWNXWCWUNXWCWUMAWVBXUFWUMULSZXWEXWIXWJYYRXWFXWKXWLWUKWULVVTXGXHZWLXLXSWRA
      XWOXXLWVCYUEWRWVCYVHAXWOYVIVWAWUNXXCWUOVWBYJVWDVWEVSVWFYDVWGWQVWHVWIWUJWX
      CWUPUCUAWXAVBWUBWUIWXAWUHUQYSVWJWFWWPYBZWWJWWKVEXAZUGWWOVAZWUSYYTWWLYBZUG
      WWOVAUUUBWWLUGWWOVWKUUUCUUUAUGWWOWWKVEVWMVWLVWNWWIWWAUUUBWUSWVEWWHWWAUUUB
      TZWUSWVEWWHUUUDTZCVDWVGXWTVEVFZVJZVKUPZWVTUQURZWUSAUUUEUUUIWVDAWWHUUUDUUU
      IXUAWWAUUUBUUUIXUAUUUBWWAUUUIXUAUUUBWWAUUUIUSXUAUUUBTZWWAUUUIUUUJWVSUUUHW
      VTUQUUUJWVRUUUGVKUUUJCVDWVQUUUFUUUJXXPTZWVQWVIUTUPZUUUFUUUKWVPWVIUTUUUKWV
      PWVIVEUOUKZWVIUUUKWVOVEWVIUOWWHUUUBXXPWVOVEXAAWWHUUUBTXXPTWVOVEVEVIUKZVEW
      WHXXPUUUBWVOUUUNXAYVFUUUBTWVKVEWVNVEVIWWFXXPUUUBWVKVEXAZWWGYUOWVKWWOSZUUU
      BUUUOYUOWVKWWMSZUUUPWWFWVJVDWBXXPUUUQWWFVDVDWVJWXOVWOVDWVFWVJVWPWPWVKWWMW
      WNUUTWAUUUAUUUOUGWVKWWOWWKWVKVEVWQVWRWPUXKWWGXXPUUUBWVNVEXAZWWFYUQWVMWWOS
      ZUUUBUUURYUQWVMWWNSZUUUSWWGWVLVDWBXXPUUUTWWGVDVDWVLWXPVWOVDWVFWVLVWPWPWVM
      WWNWWMVWSWAUUUSUUUBTZWVNVGVEVHUKVEUUVAWVMVEVGVHUUUAWVMVEXAUGWVMWWOWWKWVMV
      EVWQVWRVWTVXAYTWPVXBVUTVXDVXEYTVXBVWTAUUUMWVIXAWWHUUUBXXPAWVIAWVGWVHVEULX
      YPAWVGYBZTZVXFXPVXCVXGYRXBUUULWVGXWTWXKVFZUUUFWVGWVHVEUTVXHWXKVEXAUUVDUUU
      FXAVXIWVGWXKVEXWTVXJWCVXKYTVXLXBXCUVNYDVXMVXPVXNWRWVEUUUITZVBUULVOWURUCVB
      VAWUSVXOVBVYFVXQUUVEWURUCVBUUVEWUQUAWUBUUVEXUFTZWUPWUJUUVFWUNWVTWUOWVEXUF
      WUNVDSZUUUIAWVBXUFUUVGWVCXWFXUFTWUMAWVBXUFYYRYYSWQWLVXRWRZWVDWVTVDSZAUUUI
      XUFWVCUUVIWVBWVCWUOWUOVXSZVXTVTYCZWVDWUOVDSZAUUUIXUFWVCUUVLWVBUUVJVTYCUUV
      FWUNUUUHWVTUUVFWUNUUVHXLAUUUHXJSZWVDUUUIXUFAVDXXMUUUGUMZUUVMACVDUUUFXXMAU
      UUFXXMSXXPAWVGXWTVEXXMXYSXYTUUVCXOWOXPVSXQZUUUGXRWAZVXGUUVFWVTUUVKXLWVEXU
      FWUNUUUHVQURZUUUIAWVBXUFUUVQWVCAWVBXUFUUVQAXUQXUPUOUKZUTUPZUUUHVQURUUVQXV
      EUUUHVQURUBUAUHUIWUBXVNXVMTZUUVSWUNUUUHVQUUVTUUVRWUMUTXVMXVNXUQWUKXUPWULU
      OXVQXVPXEXBXCXVIXVHTZUUVSXVEUUUHVQUUWAUUVRXVDUTXVHXVIXUQWULXUPWUKUOXVLXVK
      XEXBXCXVTXWCWUNXVEUUUHVQXWMXCYWEWUNYWGUUUHVQYXMAWVBXUFYWGUUUHVQURXWNXWCYW
      GXXCUUUHXWCYWGXWCYWFYXLWLXLYUDAUUVMXWAUUVPVSYYPXWCXXNUUVNXXBUUUGYVKURZXXC
      UUUHVQURYUCAUUVNXWAUUVOVSXWCUUWBXXAUUUFVQURZCVDVAZXWCUUWCCVDWVGXXAXWTVQUR
      ZXXAVEVQURZUUWCXWCXWTVEXWTUUUFXXAVQYSVEUUUFXXAVQYSAWVGUUWEXWAXYNXWTXWTVQU
      RZXYOUUWEXYNXWTXYQVYAXYRXWSUUWGXYOUUWEXWTVEXWTXXAXWTVQVYGVEXXAXWTVQVYGVYB
      WFWRXWCUUVBTYUAUUWFXWCUUVBYUAXWCXWRFWVFXYLVYCUWAYUAXXAVEVEVQYVPUYGVYDWAVY
      EYEAUUWBUUWDYAXWAACVDXXAUUUFVQXXBUUUGYFYFYFYVQYVTUUUFYFSYVRWVGXWTVEYVSYGY
      HWOYWAAUUUGYIUYLVSUYNXXBUUUGUYOYJVYHXSVWCVWGWQVXRWRWVEUUUIXUFVYIUYQWVDWVT
      WUOUQURZAUUUIXUFWVCUUWHWVBWUOVYJVTYCVYPVYKVWIYEWURUCVBVYLWJXNWQWQVYMVYNYD
      VYOVWFVYQAWUBULVRULULVRWUCWUDWUTTYAXWGULVYRUBUDUCUAWUBULHVYSVYTWUA $.
  $}

  ${
    $d s t x A $.  $d s t x B $.  $d s t x F $.  $d s t x ph $.
    ftc2nc.a $e |- ( ph -> A e. RR ) $.
    ftc2nc.b $e |- ( ph -> B e. RR ) $.
    ftc2nc.le $e |- ( ph -> A <_ B ) $.
    ftc2nc.c $e |- ( ph -> ( RR _D F ) e. ( ( A (,) B ) -cn-> CC ) ) $.
    ftc2nc.i $e |- ( ph -> ( RR _D F ) e. L^1 ) $.
    ftc2nc.f $e |- ( ph -> F e. ( ( A [,] B ) -cn-> CC ) ) $.
    $( Choice-free proof of ~ ftc2 .  (Contributed by Brendan Leahy,
       19-Jun-2018.) $)
    ftc2nc $p |- ( ph -> S. ( A (,) B ) ( ( RR _D F ) ` t ) _d t =
      ( ( F ` B ) - ( F ` A ) ) ) $=
      ( vx cfv cioo co cr cmpt wcel wceq cc vs cv cdv citg cmin caddc cneg cicc
      csn cxp cxr cle wbr rexrd ubicc2 syl3anc fvex fvconst2 syl ctopn eqid ctx
      ccnfld ccn subcn a1i ssidd wss ioossre ccncf cncff cabs wel cc0 cif citg2
      wf cima wrex wfun cpw ioof ffun ax-mp fvelima mpan wa c1st wb cop 1st2nd2
      fveq2d df-ov eqtr4di eqeq1d adantl jca adantr xp1st elicc1 syl2anc biimpa
      c2nd simp2d sylan2 xp2nd iccleub 3expa syl2an ioossioo syl12anc ffvelrnda
      w3a sselda adantlr syldan cvv fvexd cibl feqmptd eqeltrrd iblss ax-resscn
      ioombl cmbf cres cnmbf sylancr itgcl itgeq1 dvmptntr 3eqtr3d oveq2d oveq2
      fveq2 oveq12d fvmpt c0 eqtrdi ffvelrnd cvol cdm ssid cncfss mp2an abscncf
      sselii reseq1d resmptd eqtrd rescncf sylc cncfmpt1f ccj csb cmul cncfmptc
      cjcld sstri mp3an23 nfcv nfcsb1v csbeq1a cbvmpt eqeltrrid itgabsnc abscld
      mulcncf iblabsnc absge0d itgposval breqtrd eleq2 ifbid mpteq2dv syl5ibcom
      breq12d sylbid rexlimdva ralrimiv ftc1anc cncfmpt2f crn ctg elicc2 simp3d
      syl5 iccssre iooss2 subcld tgioo2 cnt iccntr reelprrecn ioossicc ftc1cnnc
      cpr sseli 3eqtr3rd dvmptsub subidd mpteq2dva 3eqtrd fconstmpt fveq1d ovex
      dveq0 eqtr3d lbicc2 iooid itg0 df-neg negex pncan3d negsubd ) ADEMZBCDNOZ
      BUBZPEUCOZMZUDZUXPUEOZUFOUXPCEMZUGZUFOUYAUXPUYCUEOAUYBUYDUXPUFADCDUHOZCLU
      YEBCLUBZNOZUXTUDZUYFEMZUEOZQZMZUIUJZMZUYLUYBUYDADUYERZUYNUYLSACUKRZDUKRZC
      DULUMZUYOACFUNZADGUNZHCDUOUPZUYEUYLDCUYKUQURUSADUYKMZUYNUYBADUYKUYMACDUYK
      FGALUYHUYIUEVCUTMZUYEVUCVAZUEVUCVUCVBOVUCVDORAVUCVUDVEVFALBCDUXQUXSLUYEUY
      HQZUAVUEVAZFGHAUXQVGUXQPVHACDVIVFJAUXSUXQTVJORZUXQTUXSVQIUXQTUXSVKUSZABUA
      UBZUXTUDZVLMZBPBUAVMZUXTVLMZVNVOZQZVPMZULUMZUANUYEUYEUJZVRZVUIVUSRZUYFNMZ
      VUISZLVURVSZAVUQNVTZVUTVVCUKUKUJZPWAZNVQVVDWBVVEVVFNWCWDLVUIVURNWEWFAVVBV
      UQLVURAUYFVURRZWGZVVBUYFWHMZUYFXCMZNOZVUISZVUQVVGVVBVVLWIAVVGVVAVVKVUIVVG
      VVAVVIVVJWJZNMVVKVVGUYFVVMNUYFUYEUYEWKWLVVIVVJNWMWNWOWPVVHBVVKUXTUDZVLMZB
      PUXRVVKRZVUMVNVOZQZVPMZULUMVVLVUQVVHVVOBVVKVUMUDVVSULVVHBUAVVKUXTTVVHVVPU
      XRUXQRZUXTTRZVVHVVKUXQUXRVVHUYPUYQWGZCVVIULUMZVVJDULUMZVVKUXQVHZAVWBVVGAU
      YPUYQUYSUYTWQZWRVVGAVVIUYERZVWCUYFUYEUYEWSAVWGWGVVIUKRZVWCVVIDULUMZAVWGVW
      HVWCVWIXMZAUYPUYQVWGVWJWIUYSUYTCDVVIWTXAXBXDXEAVWBVVJUYERZVWDVVGVWFUYFUYE
      UYEXFUYPUYQVWKVWDCDVVJXGXHXICDVVIVVJXJXKZXNAVVTVWAVVGAUXQTUXRUXSVUHXLXOXP
      ZVVHBVVKUXQUXTXQVWLVVKUUAUUBZRZVVHVVIVVJYDZVFVVHVVTWGUXRUXSXRABUXQUXTQZXS
      RZVVGAUXSVWQXSABUXQTUXSVUHXTZJYAZWRYBZVVHVWOBVVKVUMQZVVKTVJOZRVXBYERVWPVV
      HBUXTVLVVKVLTTVJOZRVVHTPVJOZVXDVLPTVHZTTVHZVXEVXDVHYCTUUCZTPTUUDUUEUUFUUG
      VFVVHUXSVVKYFZBVVKUXTQZVXCVVHVXIVWQVVKYFZVXJAVXIVXKSVVGAUXSVWQVVKVWSUUHWR
      VVHBUXQVVKUXTVWLUUIUUJVVHVWEVUGVXIVXCRVWLAVUGVVGIWRUXQTVVKUXSUUKUULYAZUUM
      VVKVXBYGYHZVVHVWOUAVVKVVNUUNMZBVUIUXTUUOZUUPOQZVXCRVXPYERVWPVVHUAVXNVXOVV
      KVVHVXNTRZUAVVKVXNQVXCRZVVHVVNVVHBVVKUXTTVWMVXAYIUURVXQVVKTVHVXGVXRVVKPTV
      VIVVJVIYCUUSVXHUAVXNVVKTUUQUUTUSVVHUAVVKVXOQVXJVXCBUAVVKUXTVXOUAUXTUVABVU
      IUXTUVBBVUIUXTUVCUVDVXLUVEUVHVVKVXPYGYHUVFVVHBVVKVUMVVHVVPWGZUXTVWMUVGVVH
      BVVKUXTXQVXSUXRUXSXRVXAVXMUVIVXSUXTVWMUVJUVKUVLVVLVVOVUKVVSVUPULVVLVVNVUJ
      VLBVVKVUIUXTYJWLVVLVVRVUOVPVVLBPVVQVUNVVLVVPVULVUMVNVVKVUIUXRUVMUVNUVOWLU
      VQUVPUVRUVSUWGUVTUWAAELUYEUYIQZUYETVJOZALUYETEAEVYARUYETEVQKUYETEVKUSZXTZ
      KYAUWBAPUYKUCOZLUXQVNQZUXQVNUIUJAVYDPLUXQUYJQUCOLUXQUYFUXSMZVYFUEOZQVYEAL
      UYJPNUWCUWDMZVUCUYEUXQVXFAYCVFZACPRZDPRZUYEPVHFGCDUWHXAZAUYFUYERZWGZUYHUY
      IVYNBUYGUXTXQVYNUXRUYGRWGUXRUXSXRVYNBUYGUXQUXTXQVYNUYQUYFDULUMZUYGUXQVHVY
      NDAVYKVYMGWRUNVYNUYFPRZCUYFULUMZVYOAVYMVYPVYQVYOXMZAVYJVYKVYMVYRWIFGCDUYF
      UWEXAXBUWFCUYFDUWIXAUYGVWNRVYNCUYFYDVFVYNVVTWGUXRUXSXRAVWRVYMVWTWRYBYIZAU
      YETUYFEVYBXLZUWJVUCVUDUWKZVUDAVYJVYKUYEVYHUWLMMUXQSFGCDUWMXAZYKALUYHVYFUY
      IVYFPTTUXQPPTUWQRAUWNVFUYFUXQRZAVYMUYHTRUXQUYEUYFCDUWOUWRZVYSXEAUXQTUYFUX
      SVUHXLZAPVUEUCOUXSPLUXQUYHQUCOLUXQVYFQZALBCDUXSVUEVUFFGHIJUWPALUYHPVYHVUC
      UYEUXQVYIVYLVYSWUAVUDWUBYKALUXQTUXSVUHXTZYLWUCAVYMUYITRWUDVYTXEWUEAUXSPVX
      TUCOWUFPLUXQUYIQUCOAEVXTPUCVYCYMWUGALUYIPVYHVUCUYEUXQVYIVYLVYTWUAVUDWUBYK
      UWSUWTALUXQVYGVNAWUCWGVYFWUEUXAUXBUXCLUXQVNUXDWNUXGUXEAUYOVUBUYBSVUALDUYJ
      UYBUYEUYKUYFDSZUYHUYAUYIUXPUEWUHUYGUXQSUYHUYASUYFDCNYNBUYGUXQUXTYJUSUYFDE
      YOYPUYKVAZUYAUXPUEUXFYQUSUXHACUYERZUYLUYDSAUYPUYQUYRWUJUYSUYTHCDUXIUPZLCU
      YJUYDUYEUYKUYFCSZUYJVNUYCUEOUYDWULUYHVNUYIUYCUEWULUYHBYRUXTUDZVNWULUYGYRS
      UYHWUMSWULUYGCCNOYRUYFCCNYNCUXJYSBUYGYRUXTYJUSBUXTUXKYSUYFCEYOYPUYCUXLWNW
      UIUYCUXMYQUSYLYMAUXPUYAAUYETDEVYBVUAYTZABUXQUXTXQAVVTWGUXRUXSXRVWTYIUXNAU
      XPUYCWUNAUYETCEVYBWUKYTUXOYL $.
  $}

  ${
    $d x y z w D $.
    dvasin.d $e |- D = ( CC \ ( ( -oo (,] -u 1 ) u. ( 1 [,) +oo ) ) ) $.
    $( Real part of domain of differentiability of arcsine.  (Contributed by
       Brendan Leahy, 19-Dec-2018.) $)
    asindmre $p |- ( D i^i RR ) = ( -u 1 (,) 1 ) $=
      ( vx vy vz vw cmnf c1 co cpnf cun cdif cr cin cioo wcel clt wbr wceq c0
      cc cneg cioc cico un12 cxr w3a neg1rr rexri 1xr pnfxr 3pm3.2i cc0 neg1lt0
      wa 0lt1 0re 1re lttri mp2an ltpnf pm3.2i cle df-ioo df-ico xrlenlt xrlttr
      ax-mp xrltletr ixxun uneq2i mnfxr mnflt jca df-ioc xrltnle xrlelttr eqtri
      ioomax 3eqtri difeq1i difun2 wss ax-resscn difin2 3eqtr3ri ineq1i ixxdisj
      cv incom mp3an un00 indi eqeq1i disj3 3bitr2i mpbi 3eqtr4i ) UAGHUBZUCIZH
      JUDIZKZLZMNZWSHOIZXBLZAMNXEXEXBKZXBLMXBLZXFXDXGMXBXGWTXEXAKZKZGJOIZMXEWTX
      AUEXJWTWSJOIZKZXKXIXLWTWSUFPZHUFPZJUFPZUGWSHQRZHJQRZUOXIXLSXNXOXPWSUHUIZU
      JUKULXQXRWSUMQRUMHQRXQUNUPWSUMHUHUQURUSUTHMPXRURHVAVHVBCDEFWSHJUDOQQVCQOQ
      QCDEVDZCDEVEZHFWIZVFZXTYBHJVGWSHYBVIVJUTVKGUFPZXNXPUGGWSQRZWSJQRZUOZXMXKS
      YDXNXPVLXSUKULWSMPZYGUHYHYEYFWSVMWSVAVNVHCDEFGWSJOOQVCQQUCQQCDEVOZXTWSYBV
      PZXTYBWSJVQGWSYBVGVJUTVRVSVTWAXEXBWBMUAWCXHXDSWDMXBUAWEVHWFAXCMBWGXEWTNZT
      SZXEXANZTSZUOZXEXFSZYLYNYKWTXENZTXEWTWJYDXNXOYQTSVLXSUJCDEFGWSHOQVCQQUCYI
      XTYJWHWKVRXNXOXPYNXSUJUKCDEFWSHJUDQQVCQOXTYAYCWHWKVBYOYKYMKZTSXEXBNZTSYPY
      KYMWLYSYRTXEWTXAWMWNXEXBWOWPWQWR $.

    $( Derivative of arcsine.  (Contributed by Brendan Leahy, 18-Dec-2018.) $)
    dvasin $p |- ( CC _D ( arcsin |` D ) ) = ( x e. D |->
      ( 1 / ( sqrt ` ( 1 - ( x ^ 2 ) ) ) ) ) $=
      ( vy cc co ci cmul c1 c2 cmpt cdiv wceq wtru cr wcel cc0 adantl clt wbr
      vz vw casin cres cdv cneg cv cexp cmin csqrt cfv caddc clog wss cmnf cioc
      cpnf ax-mp eqtri oveq2i cvv a1i sseli ax-icn mulcl ax-1cn sylancr sqrtcld
      cdif syl wne logcld wa ovexd wn cle wo wi simpr sylan adantr wb 0re sylib
      mpan w3a w3o cxr mnfxr elioc2 mp2an eldifd eldifn 0xr ubioc1 mp3an mulcld
      ex eleq1 1cnd eqid ccld cioo crn neg1rr dvmptres dvmptcmul mpteq2i eqtrdi
      1re cin c0 pnfxr resubcl 1xr 0le1 syl2anc mpan2 sylan2 sylc syl5ibrcom id
      sq1 negcld oveq2d mpteq2ia fveq2 oveq1d eqeltrdi 2cnne0 divrec2d 3eqtr3rd
      2cn dvmptco ixi oveq1i mp3an12 divcan4d mp1i eqtr3di df-asin reseq1i cico
      cun difss eqsstri resmpt cpr cnelprrecn subcl addcld asinlem cre asinlem3
      sqcl rere breq2d biimpac ne0gt0d ltnle mpbid orcomd 3ianor 3orrot 3bitrri
      imor olcd 3orass xchbinxr eldifi mnflt0 mpbiri necon3bi ccnfld cnfldtopon
      ctopn dvmptid toponrestid crest recld2 iocmnfcld icopnfcld tgioo2 eleqtri
      ctg uncld fveq2i restcldr toponunii cldopn eqeltri mulid1i sqcld asindmre
      elin eqimssi sylbir incom df-ioc df-ioo xrltnle ixxdisj crp elioore rexri
      resqcld elioo2 cabs recn abscld absge0d lt2sq mpanr12 abslt resqcl posdif
      absresq breq12d sylancl bitrd 3bitr3d biimpd 3impib sylbi elrpd eleqtrrdi
      ioorp disjel biimpi simp1d nncan eleq1d biimpa simp3d letr mp3an23 mpan2i
      subge0 mpbird breqtrd resqrtcld renegcld eqsqrtor mpdan stoic1a pm2.61dan
      mpbii mpjaod 2cnd dvmptc cn 2nn dvexp exp1 syl5eq dvmptsub df-neg eqtr4di
      2m1e1 dvcnsqrt mulneg2 eleq2s mnflt ltpnf lbico1 orim12i orcoms elun nsyl
      sylibr sqr00d subeq0d eqtr2id sqeqor sylibd divcan5 mp3an3 mulne0 divdird
      necon3bd syl12anc dvmptadd eqcomi mulm1 mulass 3eqtr3a addcomd adddid csn
      negcl 3eqtr4d wf1o logf1o f1of snssi sscon feqresmpt dvlog reccld divassd
      wf oveq2 eqtr3d negicn mptru divass mulneg1i negeqi negneg1e1 3eqtri ) EU
      CBUDZUEFEABGUFZGAUGZHFZIVXMJUHFZUIFZUJUKZULFZUMUKZHFZKZUEFZABVXLGVXQLFZHF
      ZKZABIVXQLFZKVXKVYAEUEVXKAEVXTKZBUDZVYAUCVYGBAUUAUUBBEUNZVYHVYAMBEUOIUFZU
      PFZIUQUUCFZUUDZVIZECEVYMUUEUUFZAEBVXTUUGURUSUTVYBVYEMNAVXSVYCVXLEVABEOEUU
      HPNUUIVBZVXMBPZVXSEPNVYQVXRVYQVXMEPZVXREPZBEVXMVYOVCZVYRVXNVXQGEPZVYRVXNE
      PZVDGVXMVEWEZVYRVXPVYRIEPZVXOEPZVXPEPZVFVXMUUOZIVXOUUJZVGZVHZUUKZVJZVYQVY
      RVXRQVKZVYTVXMUULZVJZVLRNVYQVMZGVXQLVNNEABVXSKUEFABIVXRLFZGVXRHFZVXQLFZHF
      ZKABVYCKNADVXRWUSDUGZUMUKZIWVALFZEEVXSWUQVAVABEUOQUPFZVIZVYPVYPVYQVXRWVEP
      NVYQVXREWVDWULVYQUOVXRSTZVOZVXRQVPTZVOZVXROPZVOZVQZVQZVXRWVDPZVOVYQWVLWVG
      VYQWVKWVIVYQWVJWVIVRZWVKWVIVQVYQVYRWVOVYTVYRWVJWVIVYRWVJVMZQVXRSTZWVIWVPV
      XRVYRWVJVSVYRQVXRUUMUKZVPTZWVJQVXRVPTZVXMUUNWVJWVSWVTWVJWVRVXRQVPVXRUUPUU
      QUURVTVYRWUMWVJWUNWAUUSWVJWVQWVIWBZVYRQOPZWVJWWAWCQVXRUUTWERUVAWRVJWVJWVI
      UVFWDUVBUVGWVMWVJWVFWVHWFZWVNWWCVOWVKWVGWVIWGWVGWVIWVKWGWVMWVJWVFWVHUVCWV
      KWVGWVIUVDWVGWVIWVKUVHUVEUOWHPZWWBWVNWWCWBWIWCUOQVXRWJWKUVIWDWLRWUPWURVXQ
      LVNWVAWVEPZWVBEPNWWEWVAWVAEWVDUVJZWWEWVAWVDPZVOWVAQVKWVAEWVDWMWWGWVAQWVAQ
      MWWGQWVDPZWWDQWHPZUOQSTWWHWIWNUVKUOQWOWPZWVAQWVDWSUVLUVMVJVLRNWWEVMZIWVAL
      VNNEABVXRKUEFABGVXMUFZVXQLFZULFZKABWUSKNAVXNGVXQWWMEEVABVYPVYQWUBNVYQGVXM
      WUAVYQVDVBZVYTWQRWUAWUPVDVBNEABVXNKUEFABGIHFZKABGKNAVXMIGEEBVYPVYQVYRNVYT
      RWUPWTNAVXMIEUVNUVPUKZWWQEEBVYPNVYRVSNVYRVMZWTZNAEVYPUVQVYINVYOVBZWWQEWWQ
      WWQXAZUVOZUVRZWXABWWQPNBVYNWWQCVYMWWQXBUKZPZVYNWWQPOWXDPVYMWWQOUVSFZXBUKZ
      PWXEWWQWXAUVTVYMXCXDUWEUKZXBUKZWXGVYKWXIPZVYLWXIPZVYMWXIPVYJOPZWXJXEVYJUW
      AURIOPZWXKXJIUWBURVYKVYLWXHUWFWKWXHWXFXBWWQWXAUWCUWGUWDOVYMWWQUWHWKVYMWWQ
      EEWWQWXBUWIUWJURUWKVBZXFWUANVDVBXGABWWPGGVDUWLXHXIVYQVXQEPZNVYQVXPVYQWUDW
      UEWUFVFVYQVXMVYTUWMWUHVGZVHZRWUPWWLVXQLVNNEABVXQKUEFABIJVXQHFZLFZJVXMHFZU
      FZHFZKABWWMKNADVXPWYAWVAUJUKZIJWYCHFZLFZEEVXQWXSEVABWVEVYPVYPVYQVXPWVEPNV
      YQVXPEWVDWXPVYQVXMOPZVXPWVDPZVOZVYQWYFVMZVXMVYJIXCFZPZWYHWYIVXMBOXKZPWYKV
      XMBOUWOWYLWYJVXMWYLWYJBCUWNUWPVCUWQWYKQUQXCFZWVDXKZXLMVXPWYMPWYHWYNWVDWYM
      XKZXLWYMWVDUWRWWDWWIUQWHPZWYOXLMWIWNXMADUAUBUOQUQXCSVPSSUPADUAUWSADUAUWTQ
      UBUGUXAUXBWPUSWYKVXPUXCWYMWYKVXPWYKWXMVXOOPZVXPOPZXJWYKVXMVXMVYJIUXDUXFIV
      XOXNVGWYKWYFVYJVXMSTZVXMISTZWFZQVXPSTZVYJWHPZIWHPZWYKXUAWBVYJXEUXEZXOVYJI
      VXMUXGWKWYFWYSWYTXUBWYFWYSWYTVMZXUBWYFVXMUXHUKZISTZXUGJUHFZIJUHFZSTZXUFXU
      BWYFXUGOPZQXUGVPTZXUHXUKWBZWYFVXMVXMUXIZUXJWYFVXMXUOUXKXULXUMVMWXMQIVPTZX
      UNXJXPXUGIUXLUXMXQWYFWXMXUHXUFWBXJVXMIUXNXRWYFXUKVXOISTZXUBWYFXUIVXOXUJIS
      VXMUXQXUJIMWYFYCVBUXRWYFWYQWXMXUQXUBWBVXMUXOXJVXOIUXPUXSUXTUYAUYBUYCUYDUY
      EUYGUYFWYMWVDVXPUYHVGVJVYQVYRWYFVOWYHVYTVYRWYGWYFVYRWYGVMZVXMVXOUJUKZMZWY
      FVXMXUSUFZMZXURWYFXUTXUSOPZVYRWUEWYGXVCWUGWUEWYGVMZVXOWYGWUEIVXPUIFZOPZWY
      QWYGWXMWYRXVFXJWYGWYRUOVXPSTZVXPQVPTZWYGWYRXVGXVHWFZWWDWWBWYGXVIWBWIWCUOQ
      VXPWJWKUYIZUYJZIVXPXNVGWUEXVFWYQWUEXVEVXOOWUDWUEXVEVXOMZVFIVXOUYKWEZUYLUY
      MXSXVDQXVEVXOVPXVDQXVEVPTZVXPIVPTZXVDWYRXVHXVOWYGWYRWUEXVKRZWYGXVHWUEWYGW
      YRXVGXVHXVJUYNRWYRXVHXUPXVOXPWYRWWBWXMXVHXUPVMXVOVRWCXJVXPQIUYOUYPUYQXTXV
      DWXMWYRXVNXVOWBXJXVPIVXPUYRVGUYSWUEXVLWYGXVMWAUYTVUAVTZVXMXUSOWSYAXURWYFX
      VBXVAOPXURXUSXVQVUBVXMXVAOWSYAVYRXUTXVBVQZWYGVYRVXOVXOMZXVRVXOXAVYRWUEXVS
      XVRWBWUGVXMVXOVUCVUDVUGWAVUHVUEVTVUFWLRVYQNVYRWYAEPZVYTVYRXVTNVYRWXTVYRJV
      XMVYRVUIVYRYBWQYDRZXSWWEWYCEPNWWEWVAWWFVHRWWKIWYDLVNNAVXPWYAEWWQWWQEEBVYP
      VYRWUFNWUIRXWANEAEVXPKUEFAEQWXTUIFZKAEWYAKNAIQVXOWXTEOEEVYPWWSWWBWWRWCVBN
      AIEVYPNWTVUJVYRWUENWUGRVYRWXTEPZNJEPZVYRXWCYMJVXMVEZWEREAEVXOKUEFZAEWXTKZ
      MNXWFAEJVXMJIUIFZUHFZHFZKZXWGJVUKPXWFXWKMVULAJVUMURAEXWJWXTVYRXWIVXMJHVYR
      XWIVXMIUHFVXMXWHIVXMUHVUSUTVXMVUNVUOYEYFUSVBVUPAEWYAXWBWXTVUQXHVURWWTWXCW
      XAWXNXFEDWVEWYCKUEFDWVEWYEKMNDWVEWVEXAZVUTVBWVAVXPUJYGZWVAVXPMZWYDWXRILXW
      NWYCVXQJHXWMYEYEYNABWYBWWMVYQJWWLHFZWXRLFZWYAWXRLFWWMWYBVYQXWOWYAWXRLVYQX
      WDVYRXWOWYAMYMVYTJVXMVVAVGYHVYQWWLEPZWXOVXQQVKZXWPWWMMZVYQVXMVYTYDZWXQVYQ
      VYRVXMIMZVXMVYJMZVQZVOXWRVYTVYQVXMVYMPZXXCXXDVOVXMVYNBVXMEVYMWMCVVBXXCVXM
      VYKPZVXMVYLPZVQZXXDXXBXXAXXGXXBXXEXXAXXFXXBVXMVYJVYKXXBYBWWDXUCUOVYJSTZVY
      JVYKPWIXUEWXLXXHXEVYJVVCURUOVYJWOWPYIXXAVXMIVYLXXAYBXUDWYPIUQSTZIVYLPXOXM
      WXMXXIXJIVVDURIUQVVEWPYIVVFVVGVXMVYKVYLVVHVVJVVIVYRXXCVXQQVYRVXQQMZVXOXUJ
      MZXXCVYRXXJXXKVYRXXJVMZXUJIVXOYCXXLIVXOXXLWTVYRWUEXXJWUGWAXXLVXPVYRWUFXXJ
      WUIWAVYRXXJVSVVKVVLVVMWRVYRWUDXXKXXCWBVFVXMIVVNXRVVOVVTXTZXWQWXOXWRVMZXWD
      JQVKVMZXWSYJWWLVXQJVVPVVQVWAVYQWYAWXRVYQWXTVYQXWDVYRXWCYMVYTXWEVGYDVYQXWD
      WXOWXREPYMWXQJVXQVEVGVYQWXOXWRWXRQVKZWXQXXMXXOXXNXXPYJJVXQVVRWEXQYKYLYFXI
      VWBABWWNWUSVYQGVXQHFZWWLULFZVXQLFXXQVXQLFZWWMULFWUSWWNVYQXXQWWLVXQVYQVYRX
      XQEPZVYTVYRWUAWXOXXTVDWUJGVXQVEVGZVJXWTWXQXXMVVSVYQXXRWURVXQLVYQVYRXXRWUR
      MVYTVYRWWLXXQULFGVXNHFZXXQULFXXRWURVYRWWLXYBXXQULVYRVYJVXMHFGGHFZVXMHFZWW
      LXYBVYJXYCVXMHXYCVYJYOVWCYPVXMVWDWUAWUAVYRXYDXYBMVDVDGGVXMVWEYQVWFYHVYRXX
      QWWLXYAVXMVWJVWGVYRGVXNVXQWUAVYRVDVBWUCWUJVWHVWKVJYHVYQXXSGWWMULVYQGVXQWW
      OWXQXXMYRYHYLYFXINEUMWVEUDZUEFEDWVEWVBKZUEFDWVEWVCKNXYEXYFEUENDEQVWIZVIZU
      MXDZWVEUMXYHXYIUMVWLXYHXYIUMVXANVWMXYHXYIUMVWNYSXYGWVDUNZWVEXYHUNNWWHXYJW
      WJQWVDVWOURXYGWVDEVWPYSVWQYEDWVEXWLVWRYTWVAVXRUMYGWVAVXRILVXBYNABWUTVYCVY
      QWUQWURHFZVXQLFWUTVYCVYQWUQWURVXQVYQVXRWULWUOVWSVYQVYRWUREPZVYTVYRWUAVYSX
      YLVDWUKGVXRVEVGVJZWXQXXMVWTVYQXYKGVXQLVYQWURVXRLFXYKGVYQWURVXRXYMWULWUOYK
      VYQGVXRWWOWULWUOYRVXCYHVXCYFXIVXLEPZNVXDVBXGVXEABVYDVYFVYQVXLGHFZVXQLFZVY
      DVYFVYQWXOXWRXYPVYDMZWXQXXMXYNWUAXXNXYQVXDVDVXLGVXQVXFYQXQXYOIVXQLXYOXYCU
      FVYJUFIGGVDVDVXGXYCVYJYOVXHVXIVXJYPYTYFVXJ $.

    $( Derivative of arccosine.  (Contributed by Brendan Leahy,
       18-Dec-2018.) $)
    dvacos $p |- ( CC _D ( arccos |` D ) ) = ( x e. D |->
      ( -u 1 / ( sqrt ` ( 1 - ( x ^ 2 ) ) ) ) ) $=
      ( cc cdv co cdiv casin cfv cmpt cc0 c1 wceq cmnf cpnf ax-mp wtru wcel a1i
      cr cacos cres cpi c2 cv cmin cexp csqrt cneg df-acos reseq1i wss cioc cun
      cico cdif difss eqsstri resmpt eqtri oveq2i cvv cnelprrecn halfpire recni
      wa c0ex ccnfld ctopn dvmptc eqid cnfldtopon toponrestid ccld crest recld2
      cpr cioo crn ctg neg1rr iocmnfcld tgioo2 eleqtri restcldr mp2an icopnfcld
      fveq2i 1re uncld toponunii cldopn eqeltri dvmptres sseli asincl syl ovexd
      adantl asinf feqresmpt oveq2d dvasin eqtr3di dvmptsub mptru df-neg ax-1cn
      wf 1cnd sqcld subcl sylancr sqrtcld wo wn wne eldifn eleq2s cxr clt mnfxr
      wbr rexri mnflt ubioc1 mp3an eleq1 mpbiri pnfxr ltpnf lbico1 orim12i elun
      orcoms sylibr nsyl sq1 sqcl adantr simpr sqr00d subeq0d eqtr2id ex sqeqor
      wb mpan2 sylibd necon3bd sylc divnegd eqtr3id mpteq2ia 3eqtri ) DUABUBZEF
      DABUCUDGFZAUEZHIZUFFZJZEFZABKLLUURUDUGFZUFFZUHIZGFZUFFZJZABLUIZUVEGFZJUUP
      UVADEUUPADUUTJZBUBZUVAUAUVKBAUJUKBDULZUVLUVAMBDNUVIUMFZLOUOFZUNZUPZDCDUVP
      UQURZADBUUTUSPUTVAUVBUVHMQAUUQKUUSUVFDVBVBBDTDVQRQVCSZUUQDRZQUURBRZVFZUUQ
      VDVEZSKVBRZUWBVGSQAUUQKDVHVIIZUWEVBDBUVSUVTQUURDRZVFZUWCSUWDUWGVGSQAUUQDU
      VSUVTQUWCSVJUVMQUVRSZUWEDUWEUWEVKZVLZVMUWIBUWERQBUVQUWECUVPUWEVNIZRZUVQUW
      ERUVNUWKRZUVOUWKRZUWLTUWKRZUVNUWETVOFZVNIZRUWMUWEUWIVPZUVNVRVSVTIZVNIZUWQ
      UVITRZUVNUWTRWAUVIWBPUWSUWPVNUWEUWIWCWHZWDTUVNUWEWEWFUWOUVOUWQRUWNUWRUVOU
      WTUWQLTRZUVOUWTRWILWGPUXBWDTUVOUWEWEWFUVNUVOUWEWJWFUVPUWEDDUWEUWJWKWLPWMS
      WNUWAUUSDRZQUWAUWFUXDBDUURUVRWOZUURWPWQWSUWBLUVEGWRQDHBUBZEFDABUUSJZEFABU
      VFJQUXFUXGDEQADDBHDDHXIQWTSUWHXAXBABCXCXDXEXFABUVGUVJUWAUVGUVFUIUVJUVFXGU
      WALUVEUWAXJUWAUVDUWALDRZUVCDRZUVDDRZXHUWAUURUXEXKLUVCXLZXMXNUWAUWFUURLMZU
      URUVIMZXOZXPUVEKXQUXEUWAUURUVPRZUXNUXOXPUURUVQBUURDUVPXRCXSUXNUURUVNRZUUR
      UVORZXOZUXOUXMUXLUXRUXMUXPUXLUXQUXMUXPUVIUVNRZNXTRUVIXTRNUVIYAYCZUXSYBUVI
      WAYDUXAUXTWAUVIYEPNUVIYFYGUURUVIUVNYHYIUXLUXQLUVORZLXTROXTRLOYAYCZUYALWIY
      DYJUXCUYBWILYKPLOYLYGUURLUVOYHYIYMYOUURUVNUVOYNYPYQUWFUXNUVEKUWFUVEKMZUVC
      LUDUGFZMZUXNUWFUYCUYEUWFUYCVFZUYDLUVCYRUYFLUVCUYFXJUWFUXIUYCUURYSZYTUYFUV
      DUWFUXJUYCUWFUXHUXIUXJXHUYGUXKXMYTUWFUYCUUAUUBUUCUUDUUEUWFUXHUYEUXNUUGXHU
      URLUUFUUHUUIUUJUUKUULUUMUUNUUO $.
  $}

  $( Real derivative of arcsine.  (Contributed by Brendan Leahy, 3-Aug-2017.)
     (Proof shortened by Brendan Leahy, 18-Dec-2018.) $)
  dvreasin $p |- ( RR _D ( arcsin |` ( -u 1 (,) 1 ) ) ) =
    ( x e. ( -u 1 (,) 1 ) |-> ( 1 / ( sqrt ` ( 1 - ( x ^ 2 ) ) ) ) ) $=
    ( cr casin c1 cioo co cres cdv cfv cdiv cmpt wceq wtru a1i feqresmpt oveq2d
    cc eqid wcel ccld cneg cv c2 cexp cmin csqrt wf asinf wss ioossre ax-resscn
    sstri ccnfld ctopn cvv cmnf cioc cpnf cico cun cdif reelprrecn crest recld2
    cpr crn ctg neg1rr iocmnfcld ax-mp 1re icopnfcld uncld mp2an tgioo2 eleqtri
    fveq2i restcldr cnfldtopon toponunii cldopn cin incom asindmre eqtri eldifi
    mp1i asincl syl adantl wa ovexd difssd dvasin eqtr3di dvmptres3 eqtrd mptru
    ) BCDUAZDEFZGZHFZAWTDDAUBZUCUDFUEFUFIZJFZKZLMXBBAWTXCCIZKZHFXFMXAXHBHMAQQWT
    CQQCUGMUHNZWTQUIMWTBQWSDUJUKULNOPMAXGXEBUMUNIZUOQUPWSUQFZDURUSFZUTZVAZWTXJR
    ZBBQVESMVBNXMXJTIZSZXNXJSMBXPSXMXJBVCFZTIZSXQXJXOVDXMEVFVGIZTIZXSXKYASZXLYA
    SZXMYASWSBSYBVHWSVIVJDBSYCVKDVLVJXKXLXTVMVNXTXRTXJXOVOVQVPBXMXJVRVNXMXJQQXJ
    XJXOVSVTWAWGBXNWBZWTLMYDXNBWBWTBXNWCXNXNRZWDWENXCXNSZXGQSZMYFXCQSYGXCQXMWFX
    CWHWIWJMYFWKDXDJWLMQCXNGZHFQAXNXGKZHFAXNXEKMYHYIQHMAQQXNCXIMQXMWMOPAXNYEWNW
    OWPWQWR $.

  $( Real derivative of arccosine.  (Contributed by Brendan Leahy, 3-Aug-2017.)
     (Proof shortened by Brendan Leahy, 18-Dec-2018.) $)
  dvreacos $p |- ( RR _D ( arccos |` ( -u 1 (,) 1 ) ) ) =
      ( x e. ( -u 1 (,) 1 ) |-> ( -u 1 / ( sqrt ` ( 1 - ( x ^ 2 ) ) ) ) ) $=
    ( cr cacos c1 cioo co cres cdv cfv cdiv cmpt wceq wtru a1i feqresmpt oveq2d
    cc eqid wcel ccld cneg cv c2 cexp cmin csqrt wf acosf wss ioossre ax-resscn
    sstri ccnfld ctopn cvv cmnf cioc cpnf cico cun cdif reelprrecn crest recld2
    cpr crn ctg neg1rr iocmnfcld ax-mp 1re icopnfcld uncld mp2an tgioo2 eleqtri
    fveq2i restcldr cnfldtopon toponunii cldopn cin incom asindmre eqtri eldifi
    mp1i acoscl syl adantl wa ovexd difssd dvacos eqtr3di dvmptres3 eqtrd mptru
    ) BCDUAZDEFZGZHFZAWTWSDAUBZUCUDFUEFUFIZJFZKZLMXBBAWTXCCIZKZHFXFMXAXHBHMAQQW
    TCQQCUGMUHNZWTQUIMWTBQWSDUJUKULNOPMAXGXEBUMUNIZUOQUPWSUQFZDURUSFZUTZVAZWTXJ
    RZBBQVESMVBNXMXJTIZSZXNXJSMBXPSXMXJBVCFZTIZSXQXJXOVDXMEVFVGIZTIZXSXKYASZXLY
    ASZXMYASWSBSYBVHWSVIVJDBSYCVKDVLVJXKXLXTVMVNXTXRTXJXOVOVQVPBXMXJVRVNXMXJQQX
    JXJXOVSVTWAWGBXNWBZWTLMYDXNBWBWTBXNWCXNXNRZWDWENXCXNSZXGQSZMYFXCQSYGXCQXMWF
    XCWHWIWJMYFWKWSXDJWLMQCXNGZHFQAXNXGKZHFAXNXEKMYHYIQHMAQQXNCXIMQXMWMOPAXNYEW
    NWOWPWQWR $.

  ${
    $d x y t u v R $.  $d t u v S $.
    $( Antiderivative of cross-section of circle.  (Contributed by Brendan
       Leahy, 28-Aug-2017.)  (Revised by Brendan Leahy, 11-Jul-2018.) $)
    areacirclem1 $p |- ( R e. RR+ ->
      ( RR _D ( t e. ( -u R (,) R ) |->
        ( ( R ^ 2 ) x. ( ( arcsin ` ( t / R ) ) +
          ( ( t / R ) x. ( sqrt ` ( 1 - ( ( t / R ) ^ 2 ) ) ) ) ) ) ) ) =
      ( t e. ( -u R (,) R ) |->
        ( 2 x. ( sqrt ` ( ( R ^ 2 ) - ( t ^ 2 ) ) ) ) ) ) $=
      ( vu wcel cr co c2 cdiv c1 cmul caddc cmpt a1i adantl adantr cc0 clt wceq
      cc wbr vv crp cneg cioo cexp cv casin cfv csqrt cdv cvv cpr reelprrecn wa
      cmin elioore recnd rpcn wne rpne0 divcld asincl 1cnd sqcld subcld sqrtcld
      syl mulcld addcld ovexd w3a cxr wb rpre renegcld rexrd rpxr syl2anc simpr
      elioo2 redivcld a1d mulm1d breq1d neg1rr simpl ltmuldivd bitr3d ltdivmuld
      biimpd 1red mulid1d exp4b 3impd sylbid imp 1xr mp2an recn dvmptid ioossre
      id iooretop dvmptres ax-resscn oveq2d resqcld resubcld cabs absltd abscld
      wss absge0d cle lt2sqd absresq breq12d resqcl posdifd elrpd 0red mpteq2ia
      3bitrd dvmptco 2cnd mulneg2d oveq1d negcld 3eqtr3rd eqtrdi mulcomd sqvald
      fveq2 3eqtr2d oveq12d eqtrd divcan3d reccld fveq2d sqdivd adantrd adantld
      breq2d bitr2d 3jcad rexri sylibr sqcl crn ctg ccnfld ctopn eqid dvmptdivc
      tgioo2 cres asinf sstri feqresmpt dvreasin eqtr3di sq1 3impib sylbi negex
      wf 0le1 dvmptc ctopon cnfldtopon toponmax mp1i cin df-ss mpbi dvexp ax-mp
      cn 2nn 2m1e1 oveq2i exp1 syl5eq dvmptres3 dvmptsub df-neg mpteq2i eqtr4di
      eqtri dvsqrt gt0ne0d sqr00d ex necon3d mpd 2ne0 divcan5d mulne0d divrec2d
      dvmptmul dvmptadd mulid2d divassd addcomd 2timesd negsubd sqsqrtd divdird
      negeqd eqtr4d addassd 3eqtrrd oveq1 mulassd divrecd 3eqtr3d mul12d sqge0d
      dvmptcmul rpge0 eqcomd rpgt0 0le0 sq0 bitrd mpbid 3bitr3rd ltled sqrtmuld
      subdid sqne0 mpbird divcan2d sqrtsqd 3eqtrd mpteq2dva ) BUBDZEABUCZBUDFZB
      GUEFZAUFZBHFZUGUHZVUBIVUBGUEFZUOFZUIUHZJFZKFZJFLUJFAUYSUYTGVUFJFZIBHFZJFZ
      JFZLAUYSGUYTVUAGUEFZUOFZUIUHZJFZLUYQAVUHVUKUYTEUKUYSEESULDUYQUMMZUYQVUAUY
      SDZUNZVUCVUGVUSVUBSDVUCSDVUSVUABVURVUASDZUYQVURVUAVUAUYRBUPZUQZNZUYQBSDZV
      URBURZOZUYQBPUSZVURBUTZOZVAZVUBVBVGVUSVUBVUFVVJVUSVUEVUSIVUDVUSVCZVUSVUBV
      VJVDZVEVFZVHVIVUSVUIVUJJVJUYQACVUBVUJCUFZUGUHZVVNIVVNGUEFZUOFZUIUHZJFZKFZ
      GVVRJFZEEVUHVUIUKUKUYSIUCZIUDFZVUQVUQVUSVUBEDZVWBVUBQTZVUBIQTZVKZVUBVWCDZ
      UYQVURVWGUYQVURVUAEDZUYRVUAQTZVUABQTZVKZVWGUYQUYRVLDBVLDVURVWLVMUYQUYRUYQ
      BBVNZVOVPBVQUYRBVUAVTVRZUYQVWIVWJVWKVWGUYQVWIVWJVWKVWGUYQVWIUNZVWJVWKUNZV
      WDVWEVWFVWOVWDVWPVWOVUABUYQVWIVSZUYQBEDZVWIVWMOZUYQVVGVWIVVHOZWAZWBVWOVWJ
      VWEVWKVWOVWJVWEVWOVWBBJFZVUAQTVWJVWEVWOVXBUYRVUAQUYQVXBUYRRVWIUYQBVVEWCOW
      DVWOVWBVUABVWBEDVWOWEMVWQUYQVWIWFZWGWHWJUUAVWOVWKVWFVWJVWOVWKVWFVWOVWFVUA
      BIJFZQTVWKVWOVUAIBVWQVWOWKZVXCWIVWOVXDBVUAQUYQVXDBRVWIUYQBVVEWLOUUCUUDWJU
      UBUUEWMWNWOWPVWBVLDZIVLDZVWHVWGVMVWBWEUUFZWQVWBIVUBVTWRUUGVUSIBHVJVVNVWCD
      ZVVTSDZUYQVXIVVNSDZVXJVXIVVNVVNVWBIUPZUQZVXKVVOVVSVVNVBZVXKVVNVVRVXKXBVXK
      VVQVXKIVVPVXKVCZVVNUUHZVEZVFZVHZVIVGNUYQVXIUNZGVVRJVJUYQAVUAIBESUYSVUQVVC
      VVKUYQAVUAIEUDUUIUUJUHZUUKUULUHZSEUYSVUQVWIVUTUYQVUAWSZNZVWOVCUYQAEVUQWTU
      YSEXLUYQUYRBXAMVYBVYBUUMZUUOZVYEUYSVYADUYQUYRBXCMXDVVEVVHUUNUYQECVWCVVTLU
      JFCVWCIVVRHFZIVVRJFZVVNUCZVVRHFZVVNJFZKFZKFZLCVWCVWALUYQCVVOVYGVVSVYLEUKU
      KVWCVUQVXIVVOSDZUYQVXIVXKVYNVXMVXNVGNVXTIVVRHVJUYQEUGVWCUUPZUJFECVWCVVOLZ
      UJFCVWCVYGLUYQVYOVYPEUJUYQCSSVWCUGSSUGUVFUYQUUQMVWCSXLUYQVWCESVWBIXAZXEUU
      RMUUSXFCUUTUVAVXIVVSSDZUYQVXIVXKVYRVXMVXSVGNVXTVYHVYKKVJUYQCVVNIVVRVYJESU
      KVWCVUQVXIVXKUYQVXMNVXTVCUYQCVVNIEVYAVYBSEVWCVUQVVNEDZVXKUYQVVNWSZNUYQVYS
      UNZVCZUYQCEVUQWTVWCEXLUYQVYQMZVYFVYEVWCVYADUYQVWBIXCMZXDVXIVVRSDZUYQVXIVX
      KWUEVXMVXRVGZNVXTVYIVVRHVJUYQECVWCVVRLUJFCVWCIVWAHFZGVVNJFZUCZJFZLCVWCVYJ
      LUYQCUAVVQWUIUAUFZUIUHZIGWULJFZHFZEEVVRWUGUKUKVWCUBVUQVUQVXIVVQUBDUYQVXIV
      VQVXIIVVPVXIWKVXIVVNVXLXGXHVXIVYSVWBVVNQTZVVNIQTZVKZPVVQQTZVXFVXGVXIWUQVM
      VXHWQVWBIVVNVTWRVYSWUOWUPWURVYSWUOWUPUNZWURVYSVVNXIUHZIQTZWUSWURVYSVVNIVY
      SXBVYSWKZXJVYSWVAWUTGUEFZIGUEFZQTVVPIQTWURVYSWUTIVYSVVNVYTXKWVBVYSVVNVYTX
      MPIXNTVYSUVGMXOVYSWVCVVPWVDIQVVNXPWVDIRVYSUVBMXQVYSVVPIVVNXRWVBXSYCWHWJUV
      CUVDZXTNWUIUKDZVXTWUHUVEZMWUKUBDZWULSDUYQWVHWUKWUKURVFNUYQWVHUNIWUMHVJUYQ
      CVVQWUIEVYAVYBUKEVWCVUQVYSVVQSDZUYQVYSIVVPVYSVCVYSVVNVYTVDZVENWVFWUAWVGMU
      YQECEVVQLUJFCEPWUHUOFZLCEWUILUYQCIPVVPWUHEEUKEVUQWUBWUAYAUYQCIEVUQUYQVCUV
      HVYSVVPSDZUYQWVJNWUAGVVNJVJUYQCVVPWUHEVYBUKSEVYEVUQVYBSUVIUHDSVYBDUYQVYBV
      YEUVJSVYBUVKUVLESUVMERZUYQESXLWVMXEESUVNUVOMVXKWVLUYQVXPNUYQVXKUNGVVNJVJS
      CSVVPLUJFZCSWUHLZRUYQWVNCSGVVNGIUOFZUEFZJFZLZWVOGUVRDWVNWVSRUVSCGUVPUVQCS
      WVRWUHVXKWVQVVNGJVXKWVQVVNIUEFVVNWVPIVVNUEUVTUWAVVNUWBUWCXFYBUWIMUWDUWECE
      WUIWVKWUHUWFUWGUWHWUCVYFVYEWUDXDEUAUBWULLUJFUAUBWUNLRUYQUAUWJMWUKVVQUIYMZ
      WUKVVQRZWUMVWAIHWWAWULVVRGJWVTXFXFYDCVWCWUJVYJVXIGVYIJFZVWAHFWUIVWAHFVYJW
      UJVXIWWBWUIVWAHVXIGVVNVXIYEZVXMYFYGVXIVYIVVRGVXIVVNVXMYHZWUFWWCVXIVVQPUSV
      VRPUSVXIVVQWVEUWKVXIVVRPVVQPVXIVVRPRZVVQPRVXIWWEUNVVQVXIWVIWWEVXIVXKWVIVX
      MVXQVGOVXIWWEVSUWLUWMUWNUWOZGPUSVXIUWPMZUWQVXIWUIVWAVXIWUHVXIGVVNWWCVXMVH
      YHVXIGVVRWWCWUFVHVXIGVVRWWCWUFWWGWWFUWRUWSYIYBYJUWTUXACVWCVYMVWAVXIVYMVYG
      VVPUCZVVRHFZVVRKFZKFZVWAVXIVYLWWJVYGKVXIVYLVVRWWIKFWWJVXIVYHVVRVYKWWIKVXI
      VVRWUFUXBVXIVYKVVNVYJJFVVNVYIJFZVVRHFWWIVXIVYJVVNVXIVYIVVRWWDWUFWWFVAVXMY
      KVXIVVNVYIVVRVXMWWDWUFWWFUXCVXIWWLWWHVVRHVXIWWLVVNVVNJFZUCWWHVXIVVNVVNVXM
      VXMYFVXIVVPWWMVXIVVNVXMYLUXIUXJYGYNYOVXIVVRWWIWUFVXIWWHVVRVXIVVPVXIVVNVXM
      VDYHZWUFWWFVAZUXDYPXFVXIVWAVVRVVRKFVYGWWIKFZVVRKFWWKVXIVVRWUFUXEVXIVVRWWP
      VVRKVXIIWWHKFZVVRHFVVRVVRJFZVVRHFWWPVVRVXIWWQWWRVVRHVXIVXKWWQWWRRVXMVXKWW
      QVVQVVRGUEFWWRVXKIVVPVXOVXPUXFVXKVVQVXQUXGVXKVVRVXRYLYNVGYGVXIIWWHVVRVXIV
      CWWNWUFWWFUXHVXIVVRVVRWUFWUFWWFYQYIYGVXIVYGWWIVVRVXIVVRWUFWWFYRWWOWUFUXKU
      XLYPYBYJVVNVUBRZVVOVUCVVSVUGKVVNVUBUGYMWWSVVNVUBVVRVUFJWWSXBWWSVVQVUEUIWW
      SVVPVUDIUOVVNVUBGUEUXMXFYSZYOYOWWSVVRVUFGJWWTXFYDUYQBVVEVDZUXSUYQAUYSVULV
      UPVUSVULUYTVUJVUIJFZJFUYTVUJJFZVUIJFZVUPVUSVUKWXBUYTJVUSVUIVUJVUSGVUFVUSY
      EZVVMVHZUYQVUJSDVURUYQBVVEVVHYROZYKXFVUSUYTVUJVUIUYQUYTSDZVURWXAOZWXGWXFU
      XNVUSWXDBVUIJFGBVUFJFZJFVUPVUSWXCBVUIJUYQWXCBRVURUYQUYTBHFBBJFZBHFWXCBUYQ
      UYTWXKBHUYQBVVEYLYGUYQUYTBWXAVVEVVHUXOUYQBBVVEVVEVVHYQUXPOYGVUSBGVUFVVFWX
      EVVMUXQVUSWXJVUOGJVUSUYTVUEJFZUIUHUYTUIUHZVUFJFVUOWXJVUSUYTVUEUYQUYTEDVUR
      UYQBVWMXGZOUYQPUYTXNTVURUYQBVWMUXROVUSIVUDVUSWKVUSVUBVUSVUABVURVWIUYQVVAN
      UYQVWRVURVWMOVVIWAXGXHZVUSPVUEVUSYAWXOUYQVURPVUEQTZUYQVURVWLWXPVWNUYQVWIV
      WJVWKWXPUYQVWIVWJVWKWXPVWOVWPWXPVWOVUAXIUHZBQTZVWPWXPVWOVUABVWQVWSXJVWOWX
      RWXQGUEFZUYTQTVUMUYTIJFZQTZWXPVWOWXQBVWIWXQEDUYQVWIVUAVYCXKNVWSVWIPWXQXNT
      UYQVWIVUAVYCXMNUYQPBXNTVWIBUXTZOXOVWOWXSVUMUYTWXTQVWIWXSVUMRUYQVUAXPNVWOW
      XTUYTVWOUYTUYQWXHVWIWXAOWLUYAXQVWOVUDIQTVUMUYTHFZIQTWXPWYAVWOVUDWYCIQVWOV
      UABVYDUYQVVDVWIVVEOVWTYTWDVWOVUDIVWOVUBVXAXGVXEXSVWOVUMIUYTVWIVUMEDUYQVUA
      XRNVXEUYQUYTUBDVWIUYQUYTWXNUYQPBQTZPUYTQTZBUYBUYQWYDPGUEFZUYTQTWYEUYQPBUY
      QYAVWMPPXNTUYQUYCMWYBXOUYQWYFPUYTQWYFPRUYQUYDMWDUYEUYFXTOWIUYGYCWHWJWMWNW
      OWPUYHUYIVUSWXLVUNUIVUSWXLWXTUYTVUDJFZUOFVUNVUSUYTIVUDWXIVVKVVLUYJVUSWXTU
      YTWYGVUMUOVUSUYTWXIWLVUSWYGUYTWYCJFVUMVUSVUDWYCUYTJVUSVUABVVCVVFVVIYTXFVU
      SVUMUYTVURVUMSDUYQVURVUAVVBVDNWXIUYQUYTPUSZVURUYQWYHVVGVVHUYQVVDWYHVVGVMV
      VEBUYKVGUYLOUYMYPYOYPYSVUSWXMBVUFJUYQWXMBRVURUYQBVWMWYBUYNOYGYIXFUYOYNUYP
      YP $.

    $( Endpoint-inclusive continuity of Cartesian ordinate of circle.
       (Contributed by Brendan Leahy, 29-Aug-2017.)  (Revised by Brendan Leahy,
       11-Jul-2018.) $)
    areacirclem2 $p |- ( ( R e. RR /\ 0 <_ R ) ->
      ( t e. ( -u R [,] R ) |-> ( sqrt ` ( ( R ^ 2 ) - ( t ^ 2 ) ) ) )
        e. ( ( -u R [,] R ) -cn-> CC ) ) $=
      ( vu cr wcel cc0 cle wbr wa co cfv cmpt wceq adantr wss 3ad2ant3 ccn eqid
      cc a1i cneg cicc c2 cexp cmin csqrt cpnf cico cres resqcl renegcl iccssre
      cv ccncf mpancom sselda resqcld adantlr resubcld w3a elicc2 cabs 3ad2ant1
      wb wi subge0d absresq breq1d bitr4d recn abscld simp1 absge0d simp2 simp3
      le2sqd absled 3bitr2d biimprd 3expa exp4b 3impd sylbid imp sylanbrc fvres
      elrege0 syl mpteq2dva ccnfld ctopon cnfldtopon ax-resscn sstrdi resttopon
      ctopn crest sylancr sqcld cnmptc sqcn ctx subcn cnmpt12f toponunii cnrest
      resmptd syl2anc eqeltrrd crn wrex rnmpt 3adant3 eqeltrd rexlimdv3a abssdv
      eqsstrid rge0ssre sstri cnrest2 syl3anc mpbid ssid cncfss resqrtcn sselii
      cab mp2an cncfcn eleqtri cnmpt11f sylancl eleqtrrd ) BDEZFBGHZIZABUAZBUBJ
      ZBUCUDJZAUMZUCUDJZUEJZUFFUGUHJZUIZKZLZAYRUUBUFKZLYRSUNJZYPAYRUUEUUGYPYTYR
      EZIZUUBUUCEZUUEUUGMUUJUUBDEFUUBGHZUUKUUJYSUUAYPYSDEZUUIYNUUMYOBUJZNNYNUUI
      UUADEZYOYNUUIIYTYNYRDYTYQDEZYNYRDOBUKZYQBULUOZUPUQURUSYPUUIUULYPUUIYTDEZY
      QYTGHZYTBGHZUTZUULYNUUIUVBVDZYOUUPYNUVCUUQYQBYTVAUONYPUUSUUTUVAUULYPUUSUU
      TUVAUULYNYOUUSUUTUVAIZUULVEYNYOUUSUTZUULUVDUVEUULYTVBKZUCUDJZYSGHZUVFBGHU
      VDUVEUULUUAYSGHUVHUVEYSUUAYNYOUUMUUSUUNVCUUSYNUUOYOYTUJPVFUVEUVGUUAYSGUUS
      YNUVGUUAMYOYTVGPVHVIUVEUVFBUUSYNUVFDEYOUUSYTYTVJZVKPYNYOUUSVLZUUSYNFUVFGH
      YOUUSYTUVIVMPYNYOUUSVNVPUVEYTBYNYOUUSVOUVJVQVRVSVTWAWBWCWDUUBWGWEZUUBUUCU
      FWFWHWIYPUUFWJWPKZYRWQJZUVLSWQJZQJZUUHYPAUUBUUDUVMUVLUUCWQJZUVNYRYNUVMYRW
      KKEZYOYNUVLSWKKEZYRSOZUVQUVLUVLRZWLZYNYRDSUURWMWNZYRUVLSWOWRNYPAYRUUBLZUV
      MUVLQJZEZUWCUVMUVPQJEZYNUWEYOYNASUUBLZYRUIZUWCUWDYNASYRUUBUWBXGYNUWGUVLUV
      LQJZEUVSUWHUWDEYNAYSUUAUEUVLUVLUVLUVLSUVRYNUWATZYNAYSUVLUVLSSUWJUWJYNBBVJ
      WSWTASUUALUWIEYNAUVLUVTXATUEUVLUVLXBJUVLQJEYNUVLUVTXCTXDUWBYRUWGUVLUVLSSU
      VLUWAXEXFXHXINYPUVRUWCXJZUUCOUUCSOZUWEUWFVDUVRYPUWATYPUWKCUMZUUBMZAYRXKZC
      YGUUCACYRUUBUWCUWCRXLYPUWOCUUCYPUWNUWMUUCEAYRYPUUIUWNUTUWMUUBUUCYPUUIUWNV
      OYPUUIUUKUWNUVKXMXNXOXPXQUWLYPUUCDSXRWMXSZTUUCUWCUVMUVLSXTYAYBUUDUVPUVNQJ
      ZEYPUUDUUCSUNJZUWQUUCDUNJZUWRUUDDSOSSOZUWSUWROWMSYCZUUCDSYDYHYEYFUWLUWTUW
      RUWQMUWPUXAUUCSUVLUVPUVNUVTUVPRUVNRZYIYHYJTYKYNUUHUVOMZYOYNUVSUWTUXCUWBUX
      AYRSUVLUVMUVNUVTUVMRUXBYIYLNYMXI $.

    $( Integrability of cross-section of circle.  (Contributed by Brendan
       Leahy, 26-Aug-2017.)  (Revised by Brendan Leahy, 11-Jul-2018.) $)
    areacirclem3 $p |- ( ( R e. RR /\ 0 <_ R ) -> ( t e. ( -u R [,] R ) |->
      ( 2 x. ( sqrt ` ( ( R ^ 2 ) - ( t ^ 2 ) ) ) ) ) e. L^1 ) $=
      ( cr wcel cc0 cle wbr wa cneg cicc co c2 cexp cmin csqrt cmpt wss syl3anc
      cv cc cmul ccncf cibl renegcl adantr simpl 2cnd iccssre syl2anc ax-resscn
      cfv sstrdi ssidd cncfmptc areacirclem2 mulcncf cnicciblnc ) BCDZEBFGZHZBI
      ZCDZURAVABJKZLBLMKASLMKNKOUKZUAKPZVCTUBKZDVEUCDURVBUSBUDUEZURUSUFZUTALVDV
      CUTLTDVCTQTTQAVCLPVFDUTUGUTVCCTUTVBURVCCQVGVHVABUHUIUJULUTTUMALVCTUNRABUO
      UPVABVEUQR $.

    $( Endpoint-inclusive continuity of antiderivative of cross-section of
       circle.  (Contributed by Brendan Leahy, 31-Aug-2017.)  (Revised by
       Brendan Leahy, 11-Jul-2018.) $)
    areacirclem4 $p |- ( R e. RR+ -> ( t e. ( -u R [,] R ) |->
      ( ( R ^ 2 ) x. ( ( arcsin ` ( t / R ) ) +
        ( ( t / R ) x. ( sqrt ` ( 1 - ( ( t / R ) ^ 2 ) ) ) ) ) ) ) e.
      ( ( -u R [,] R ) -cn-> CC ) ) $=
      ( wcel co cfv c1 cmin csqrt cmul cc cmpt cr syl2anc a1i ci cc0 adantr cle
      wceq wbr crp c2 cexp cdiv casin caddc cneg cicc wss ccncf rpcn sqcld rpre
      renegcld iccssre ax-resscn sstrdi ssid cncfmptc syl3anc ccnfld ctopn eqid
      cv ctx ccn addcn clog cmnf cioc cdif cres sselda wne rpne0 divcld asinval
      wa syl ax-icn mulcld 1cnd subcld sqrtcld addcld wn wo w3a clt 0lt1 oveq1d
      simp3 div0d 3ad2ant1 eqtrd oveq2d it0e0 eqtrdi fveq2d oveq2i 1m0e1 fveq2i
      sq0 eqtri sqrt1 oveq12d 0p1e1 breq2d 0red 1red eqeltrd ltnled mpbii 3expa
      bitr3d olcd inelr 3adant3 mulassd mulid1d simpr redivcld resqcld resubcld
      wi adantl sqdivd breq1d bitrd mp2an eqtr4d mpteq2dva crest ctopon mulcncf
      wb divrec2d mpbird cncfmpt2f cncfcn pncand divcan6d 3eqtrrd elicc2 resqcl
      subge0d recn rpgt0 0le0 rpge0 lt2sqd mpbid elrpd ledivmuld absresq eqcomd
      cabs breqan12rd abscld absge0d le2sqd absled 3bitr2d 3bitrrd biimpd exp4b
      3impd sylbid imp resqrtcld remulcld mtoi orcd pm2.61dane ianor sylibr cxr
      ex mnfxr 0re elioc2 3simpb sylbi eldifd fvres negicn cnfldtopon resttopon
      nsyl fmpttd difssd reccld cncfmptid divcan3d sqge0d sqrtmuld subdid sqne0
      wf divcan2d sqrtsqd 3eqtr3rd 3eqtr3d cncffvrn eleqtrd logcn difss eleqtri
      areacirclem2 cnmpt11f eleqtrrd divrecd 3eqtr2d ) BUACZABUBUCDZAVDZBUDDZUE
      EZUXQFUXQUBUCDZGDZHEZIDZUFDBUGZBUHDZUXNUXOJCZUYDJUIZJJUIZAUYDUXOKUYDJUJDZ
      CUXNBBUKZULZUXNUYDLJUXNUYCLCZBLCZUYDLUIUXNBBUMZUNZUYMUYCBUOMZUPUQZUYGUXNJ
      URZNZAUXOUYDJUSUTUXNAUXRUYBUFVAVBEZUYDUYSVCZUFUYSUYSVEDUYSVFDCUXNUYSUYTVG
      NZUXNAUYDUXRKAUYDOUGZOUXQIDZUYAUFDZVHJVIPVJDZVKZVLZEZIDZKUYHUXNAUYDUXRVUI
      UXNUXPUYDCZVRZUXRVUBVUDVHEZIDZVUIVUKUXQJCZUXRVUMSVUKUXPBUXNUYDJUXPUYPVMZU
      XNBJCZVUJUYIQZUXNBPVNZVUJBVOZQZVPZUXQVQVSVUKVUHVULVUBIVUKVUDVUFCVUHVULSVU
      KVUDJVUEVUKVUCUYAVUKOUXQOJCZVUKVTNZVVAWAZVUKUXTVUKFUXSVUKWBZVUKUXQVVAULZW
      CWDZWEVUKVUDLCZVUDPRTZVRZVUDVUECZVUKVVHWFZVVIWFZWGZVVJWFVUKVVNUXPPVUKUXPP
      SZVRVVMVVLUXNVUJVVOVVMUXNVUJVVOWHZPFWITZVVMWJVVPPVUDWITVVQVVMVVPVUDFPWIVV
      PVUDPFUFDFVVPVUCPUYAFUFVVPVUCOPIDPVVPUXQPOIVVPUXQPBUDDZPVVPUXPPBUDUXNVUJV
      VOWLWKUXNVUJVVRPSVVOUXNBUYIVUSWMWNWOZWPWQWRVVPUYAFPUBUCDZGDZHEZFVVPUXTVWA
      HVVPUXSVVTFGVVPUXQPUBUCVVSWKWPWSVWBFHEFVWAFHVWAFPGDFVVTPFGXCWTXAXDXBXEXDW
      RXFXGWRZXHVVPPVUDVVPXIVVPVUDFLVWCVVPXJXKXLXOXMXNXPVUKUXPPVNZVRZVVLVVMVWEV
      VHOLCZXQUXNVUJVWDVVHVWFYEUXNVUJVWDWHZVVHVWFVWGVVHVRZOVUDUYAGDZBUXPUDDZIDZ
      LVWGOVWKSVVHVWGVWKOUXQVWJIDZIDZOFIDOVWGVWKVUCVWJIDVWMVWGVWIVUCVWJIUXNVUJV
      WIVUCSVWDVUKVUCUYAVVDVVGUUAXRWKVWGOUXQVWJVVBVWGVTNZUXNVUJVUNVWDVVAXRVWGBU
      XPUXNVUJVUPVWDUYIWNZUXNVUJUXPJCZVWDVUOXRZUXNVUJVWDWLZVPXSWOVWGVWLFOIVWGUX
      PBVWQVWOVWRUXNVUJVURVWDVUSWNUUBWPVWGOVWNXTUUCQVWHVWIVWJVWHVUDUYAVWGVVHYAV
      WGUYALCZVVHUXNVUJVWSVWDVUKUXTVUKFUXSVUKXJVUKUXQVUKUXPBUXNUYDLUXPUYOVMZUXN
      UYLVUJUYMQZVUTYBYCYDZUXNVUJPUXTRTZUXNVUJUXPLCZUYCUXPRTZUXPBRTZWHZVXCUXNUY
      KUYLVUJVXGYPUYNUYMUYCBUXPUUDMUXNVXDVXEVXFVXCUXNVXDVXEVXFVXCUXNVXDVRZVXEVX
      FVRZVXCVXHVXCUXSFRTUXPUBUCDZUXOUDDZFRTZVXIVXHFUXSVXHXJZVXHUXQVXHUXPBUXNVX
      DYAZUXNUYLVXDUYMQZUXNVURVXDVUSQZYBYCUUFVXHUXSVXKFRVXHUXPBVXDVWPUXNUXPUUGZ
      YFUXNVUPVXDUYIQVXPYGYHVXHVXLVXJUXOFIDZRTZVXIVXHVXJFUXOVXDVXJLCUXNUXPUUEYF
      VXMUXNUXOUACVXDUXNUXOUXNBUYMYCZUXNPBWITZPUXOWITZBUUHUXNVYAVVTUXOWITVYBUXN
      PBUXNXIUYMPPRTUXNUUINBUUJZUUKUXNVVTPUXOWIVVTPSUXNXCNYHYIUULUUMQUUNVXHVXSU
      XPUUQEZUBUCDZUXORTVYDBRTVXIVXDUXNVXJVYEVXRUXORVXDVYEVXJUXPUUOUUPUXNUXOUYJ
      XTUURVXHVYDBVXDVYDLCUXNVXDUXPVXQUUSYFVXOVXDPVYDRTUXNVXDUXPVXQUUTYFUXNPBRT
      ZVXDVYCQUVAVXHUXPBVXNVXOUVBUVCYIUVDUVEUVFUVGUVHUVIZUVJXRQYDVWGVWJLCVVHVWG
      BUXPUXNVUJUYLVWDUYMWNUXNVUJVXDVWDVWTXRVWRYBQUVKXKUVRXNUVLUVMUVNVVHVVIUVOU
      VPVVKVVHVIVUDWITZVVIWHZVVJVIUVQCPLCVVKVYIYPUVSUVTVIPVUDUWAYJVVHVYHVVIUWBU
      WCUWIUWDZVUDVUFVHUWEVSWPYKYLUXNAVUBVUHUYDUXNVUBJCZUYFUYGAUYDVUBKUYHCVYKUX
      NUWFNUYPUYRAVUBUYDJUSUTUXNAUYDVUHKUYSUYDYMDZUYSJYMDZVFDZUYHUXNAVUDVUGVYLU
      YSVUFYMDZVYMUYDUXNUYSJYNECZUYFVYLUYDYNECVYPUXNUYSUYTUWGNUYPUYDUYSJUWHMUXN
      AUYDVUDKZUYDVUFUJDZVYLVYOVFDZUXNVYQVYRCZUYDVUFVYQUWSZUXNAUYDVUDVUFVYJUWJU
      XNVUFJUIZVYQUYHCVYTWUAYPUXNJVUEUWKZUXNAVUCUYAUFUYSUYDUYTVUAUXNAUYDVUCKAUY
      DOFBUDDZIDZUXPIDZKUYHUXNAUYDVUCWUFVUKVUCOWUDUXPIDZIDWUFVUKUXQWUGOIVUKUXPB
      VUOVUQVUTYQWPVUKOWUDUXPVVCUXNWUDJCZVUJUXNBUYIVUSUWLZQZVUOXSYKYLUXNAWUEUXP
      UYDUXNWUEJCUYFUYGAUYDWUEKUYHCUXNOWUDVVBUXNVTNWUIWAUYPUYRAWUEUYDJUSUTUXNUY
      FUYGAUYDUXPKUYHCUYPUYRAUYDJUWMMZYOXKUXNAUYDUYAKAUYDWUDUXOVXJGDZHEZIDZKUYH
      UXNAUYDUYAWUNVUKBUYAIDZBUDDWUDWUOIDUYAWUNVUKWUOBVUKBUYAVUQVVGWAVUQVUTYQVU
      KUYABVVGVUQVUTUWNVUKWUOWUMWUDIVUKUXOUXTIDZHEUXOHEZUYAIDWUMWUOVUKUXOUXTUXN
      UXOLCVUJVXTQUXNPUXORTVUJUXNBUYMUWOQVXBVYGUWPVUKWUPWULHVUKWUPVXRUXOUXSIDZG
      DWULVUKUXOFUXSUXNUYEVUJUYJQZVVEVVFUWQVUKVXRUXOWURVXJGVUKUXOWUSXTVUKWURUXO
      VXKIDVXJVUKUXSVXKUXOIVUKUXPBVUOVUQVUTYGWPVUKVXJUXOVUKUXPVUOULZWUSUXNUXOPV
      NZVUJUXNWVAVURVUSUXNVUPWVAVURYPUYIBUWRVSYRQUWTWOXFWOWSVUKWUQBUYAIVUKBVXAU
      XNVYFVUJVYCQUXAWKUXBWPUXCZYLUXNAWUDWUMUYDUXNWUHUYFUYGAUYDWUDKUYHCWUIUYPUY
      RAWUDUYDJUSUTUXNUYLVYFAUYDWUMKUYHCUYMVYCABUXIMZYOXKYSUYDJVUFVYQUXDMYRUXNU
      YFWUBVYRVYSSUYPWUCUYDVUFUYSVYLVYOUYTVYLVCZVYOVCZYTMUXEVUGVYOVYMVFDZCUXNVU
      GVUFJUJDZWVFVUFVUFVCUXFWUBUYGWVGWVFSJVUEUXGUYQVUFJUYSVYOVYMUYTWVEVYMVCZYT
      YJUXHNUXJUXNUYFUYGUYHVYNSUYPUYRUYDJUYSVYLVYMUYTWVDWVHYTMUXKYOXKUXNAUYDUYB
      KAUYDUXPWUDWUDIDZIDZWUMIDZKUYHUXNAUYDUYBWVKVUKUYBUXQWUNIDUXQWUDIDZWUMIDWV
      KVUKUYAWUNUXQIWVBWPVUKUXQWUDWUMVVAWUJVUKWULVUKUXOVXJWUSWUTWCWDXSVUKWVLWVJ
      WUMIVUKWVLUXPWUDIDZWUDIDWVJVUKUXQWVMWUDIVUKUXPBVUOVUQVUTUXLWKVUKUXPWUDWUD
      VUOWUJWUJXSWOWKUXMYLUXNAWVJWUMUYDUXNAUXPWVIUYDWUKUXNWVIJCUYFUYGAUYDWVIKUY
      HCUXNWUDWUDWUIWUIWAUYPUYRAWVIUYDJUSUTYOWVCYOXKYSYO $.

    areacirc.1 $e |- S = { <. x , y >. | ( ( x e. RR /\ y e. RR ) /\
      ( ( x ^ 2 ) + ( y ^ 2 ) ) <_ ( R ^ 2 ) ) } $.
    $( Finding the cross-section of a circle.  (Contributed by Brendan Leahy,
       31-Aug-2017.)  (Revised by Brendan Leahy, 22-Sep-2017.)  (Revised by
       Brendan Leahy, 11-Jul-2018.) $)
    areacirclem5 $p |- ( ( R e. RR /\ 0 <_ R /\ t e. RR ) -> ( S " { t } ) =
      if ( ( abs ` t ) <_ R ,
        ( -u ( sqrt ` ( ( R ^ 2 ) - ( t ^ 2 ) ) ) [,]
          ( sqrt ` ( ( R ^ 2 ) - ( t ^ 2 ) ) ) ) , (/) ) ) $=
      ( vu cr wcel cc0 cle wbr c2 cexp co wa c0 wceq adantr clt cv w3a csn cima
      caddc cab cabs cfv cmin csqrt cneg cif copab imaeq1i cvv vex imasng ax-mp
      cicc cop df-br eleq1w anbi1d oveq1d breq1d anbi12d anbi2d oveq2d opelopab
      weq oveq1 anass 3bitri abbii 3eqtri biantrurd abbidv crab resqcl 3ad2ant1
      simp3 3ad2ant3 resubcld absresq abscld simp1 absge0d simp2 le2sqd subge0d
      recn 3bitr4d biimpa resqrtcld renegcld rexrd iccval syl2anc iftrue adantl
      cc recnd sqsqrtd breqan12rd sqrtge0d wb leaddsub2d adantlr 3bitr4rd simpr
      cxr absled rexr 3bitrd pm5.32da simprl mnfxr a1i mnfltd simprrl xrltletrd
      cmnf simprrr xrre syl22anc pm4.71rd bitr4d df-rab eqtr4di 3eqtr4rd ltnled
      ex wn biimprd imdistani wral readdcld lt2sqd breq2d mpbid 3adant3 ltletrd
      bitrd sqge0 addge01d 3expa ralrimiva rabeq0 sylibr eqtr3id iffalse eqtr4d
      syl pm2.61dan eqtr3d syl5eq ) DHIZJDKLZCUAZHIZUBZEUUSUCZUDZUUTGUAZHIZUUSM
      NOZUVDMNOZUEOZDMNOZKLZPZPZGUFZUUSUGUHZDKLZUVIUVFUIOZUJUHZUKZUVQUSOZQULZUV
      CAUAZHIZBUAZHIZPZUWAMNOZUWCMNOZUEOZUVIKLZPZABUMZUVBUDZUUSUVDUWKLZGUFZUVME
      UWKUVBFUNUUSUOIUWLUWNRCUPZGUUSUOUWKUQURUWMUVLGUWMUUSUVDUTUWKIUUTUVEPZUVJP
      ZUVLUUSUVDUWKVAUWJUUTUWDPZUVFUWGUEOZUVIKLZPUWQABUUSUVDUWOGUPACVJZUWEUWRUW
      IUWTUXAUWBUUTUWDACHVBVCUXAUWHUWSUVIKUXAUWFUVFUWGUEUWAUUSMNVKVDVEVFBGVJZUW
      RUWPUWTUVJUXBUWDUVEUUTBGHVBVGUXBUWSUVHUVIKUXBUWGUVGUVFUEUWCUVDMNVKVHVEVFV
      IUUTUVEUVJVLVMVNVOUVAUVKGUFZUVMUVTUVAUVKUVLGUVAUUTUVKUUQUURUUTWAVPVQUVAUV
      OUXCUVTRUVAUVOPZUVSUVRUVDKLZUVDUVQKLZPZGXKVRZUVTUXCUXDUVRXKIUVQXKIUVSUXHR
      UXDUVRUXDUVQUXDUVPUVAUVPHIUVOUVAUVIUVFUUQUURUVIHIZUUTDVSVTZUUTUUQUVFHIZUU
      RUUSVSWBZWCZSZUVAUVOJUVPKLZUVAUVNMNOZUVIKLUVFUVIKLUVOUXOUVAUXPUVFUVIKUUTU
      UQUXPUVFRUURUUSWDWBZVEUVAUVNDUUTUUQUVNHIUURUUTUUSUUSWKZWEWBZUUQUURUUTWFZU
      UTUUQJUVNKLUURUUTUUSUXRWGWBZUUQUURUUTWHZWIUVAUVIUVFUXJUXLWJWLWMZWNZWOZWPU
      XDUVQUYDWPGUVRUVQWQWRUVOUVTUVSRUVAUVOUVSQWSWTUXDUXCUVDXKIZUXGPZGUFUXHUXDU
      VKUYGGUXDUVKUVEUYGPUYGUXDUVEUVJUYGUXDUVEPZUVJUVDUGUHZUVQKLZUXGUYGUYHUYIMN
      OZUVQMNOZKLUVGUVPKLZUYJUVJUVEUXDUYKUVGUYLUVPKUVDWDUXDUVPUVAUVPXAIUVOUVAUV
      PUXMXBSXCXDUYHUYIUVQUVEUYIHIUXDUVEUVDUVDWKZWEWTUXDUVQHIZUVEUYDSZUVEJUYIKL
      UXDUVEUVDUYNWGWTUXDJUVQKLUVEUXDUVPUXNUYCXESWIUVAUVEUVJUYMXFUVOUVAUVEPUVFU
      VGUVIUVAUXKUVEUXLSUVEUVGHIZUVAUVDVSZWTUVAUXIUVEUXJSXGXHXIUYHUVDUVQUXDUVEX
      JUYPXLUYHUYFUXGUVEUYFUXDUVDXMWTVPXNXOUXDUYGUVEUXDUYGUVEUXDUYGPZUYFUYOYBUV
      DTLUXFUVEUXDUYFUXGXPZUXDUYOUYGUYDSUYSYBUVRUVDYBXKIUYSXQXRUYSUVRUXDUVRHIUY
      GUYESWPUYTUXDYBUVRTLUYGUXDUVRUYEXSSUXDUYFUXEUXFXTYAUXDUYFUXEUXFYCUVDUVQYD
      YEYLYFYGVQUXGGXKYHYIYJUVAUVOYMZPZUXCQUVTVUBUVADUVNTLZPZUXCQRUVAVUAVUCUVAV
      UCVUAUVADUVNUXTUXSYKYNYOVUDUXCUVJGHVRZQUVJGHYHVUDUVJYMZGHYPVUEQRVUDVUFGHU
      VAVUCUVEVUFUVAVUCUVEUBZUVIUVHTLVUFVUGUVIUVFUVHUVAVUCUXIUVEUXJVTZUVAVUCUXK
      UVEUXLVTZVUGUVFUVGVUIUVEUVAUYQVUCUYRWBZYQZUVAVUCUVIUVFTLZUVEUVAVUCVULUVAV
      UCUVIUXPTLVULUVADUVNUXTUXSUYBUYAYRUVAUXPUVFUVITUXQYSUUCWMUUAVUGJUVGKLZUVF
      UVHKLUVEUVAVUMVUCUVDUUDWBVUGUVFUVGVUIVUJUUEYTUUBVUGUVIUVHVUHVUKYKYTUUFUUG
      UVJGHUUHUUIUUJUUMVUAUVTQRUVAUVOUVSQUUKWTUULUUNUUOUUP $.

    $( The area of a circle of radius ` R ` is ` _pi x. R ^ 2 ` .  This is
       Metamath 100 proof #9.  (Contributed by Brendan Leahy, 31-Aug-2017.)
       (Revised by Brendan Leahy, 22-Sep-2017.)  (Revised by Brendan Leahy,
       11-Jul-2018.) $)
    areacirc $p |- ( ( R e. RR /\ 0 <_ R ) ->
         ( area ` S ) = ( _pi x. ( R ^ 2 ) ) ) $=
      ( vt vu cr wcel cc0 cle wbr wa cfv c2 co cmul wceq cc c1 cv csn cima cvol
      carea citg cpi cexp cdm wss cmpt cibl caddc a1i w3a cmin cneg cicc resqcl
      csqrt c0 3ad2ant1 3ad2ant3 resubcld adantr breq1d simp1 subge0d resqrtcld
      recn renegcld iccmbl syl2anc covol mblvol sqrtge0d addge0d subcld sqrtcld
      syl sqcld subnegd breq2d bitr3d mpbid syl3anc eqtrd eqeltrd volf elpreima
      wb mp2b 0mbl ax-mp eqtri 0re 3expa fveq2d mpteq2dva cvv cdif eldif 3anass
      wn wi biantrurd bitrd 3bitr4rd biimpd 3expia impd syl5bi imp biimprd expd
      eqtrdi 3impd sylbid 3impia mpancom recnd cioo sylan2 clt cxr oveq1 adantl
      fvoveq1 negeqd oveq12d sqrt0 simpr picn oveq2d casin divcld fvmptd oveq1d
      cdiv ovexd cxp ccnv wral copab opabssxp eqsstri cabs areacirclem5 absresq
      cif abscld absge0d le2sqd 3bitr4d biimpa ovolicc cpnf wf wfn ffn sylanbrc
      simp2 ovol0 eqeltri mpbir2an ifclda ralrimiva renegcl simpl iccssre rembl
      fvexd elicc2 simp3 absled iffalse iftrue 3adant2 resqcld 3bitr3rd 2timesd
      con3d sselda 3eqtr4d 3eqtrd areacirclem3 iblss2 syl3anbrc areaval elioore
      dmarea itgeq2dv rexrd rexr elioo2 absltd notbid lenltd bitr4d anim1i eqle
      ioossre 3syl eqtr3d subidd negeqi sylan9eqr mp2an 0xr iccid ovolsn syldan
      neg0 ex wne ltnled simpl1 leltned syl6bir pm2.61dne itgss negeq id itgeq1
      iooid itg0 sq0 oveq2i mul01i eqtr2i eqtr4id syl5eq crp biimp3ar elrpd cdv
      0red rpre exp4b ltled rpge0 lt2sqd posdifd crn ctg ccnfld ctopn ax-resscn
      rpxr rpcn rpne0 asincl 1cnd mulcld addcld eqid tgioo2 cnt iccntr dvmptntr
      areacirclem1 weq 3eqtr4rd ccncf 2cn sstri ssid 3pm3.2i cncfmptc mp1i cres
      eqtr4d ioossicc resmpt areacirclem2 rescncf mpsyl eqeltrrid mulcncf iblss
      ioombl areacirclem4 ftc2nc eqidd ubicc2 dividd mul01d 2ne0 divcli addid1d
      lbicc2 divnegd ax-1cn asinneg neg1sqe1 negcli subnegi pidiv2halves subdid
      asin1 sq1 mulcomd 3eqtr3d pm2.61dane ) CHIZJCKLZMZDUENZFHDFUAZUBUCZUDNZUF
      ZUGCOUHPZQPZVXGDUEUIIZVXHVXLRVXGDHHUUAZUJZVXJUDUUBHUCZIZFHUUCFHVXKUKZULIV
      XOVXQVXGDAUAZHIBUAZHIMVYAOUHPVYBOUHPUMPVXMKLZMABUUDVXPEVYCABHHUUEUUFUNVXG
      VXSFHVXEVXFVXIHIZVXSVXEVXFVYDUOZVXJVXIUUGNZCKLZVXMVXIOUHPZUPPZUTNZUQZVYJU
      RPZVAUUJZVXRABFCDEUUHZVYEVYGVYLVAVXRVYEVYGMZVYLUDUIZIZVYLUDNZHIZVYLVXRIZV
      YOVYKHIZVYJHIZVYQVYOVYJVYOVYIVYEVYIHIZVYGVYEVXMVYHVXEVXFVXMHIZVYDCUSZVBZV
      YDVXEVYHHIZVXFVXIUSZVCZVDVEZVYEVYGJVYIKLZVYEVYFOUHPZVXMKLZVYHVXMKLZVYGWUK
      VYEWULVYHVXMKVYDVXEWULVYHRZVXFVXIUUIZVCZVFZVYEVYFCVYDVXEVYFHIZVXFVYDVXIVX
      IVJZUUKZVCZVXEVXFVYDVGZVYDVXEJVYFKLZVXFVYDVXIWUTUULZVCVXEVXFVYDUVBUUMZVYE
      VXMVYHWUFWUIVHZUUNUUOZVIZVKZWVIVYKVYJVLZVMZVYOVYRVYJVYKUPPZHVYOVYRVYLVNNZ
      WVMVYOVYQVYRWVNRZWVLVYLVOZVTVYOWUAWUBVYKVYJKLZWVNWVMRZWVJWVIVYOJVYJVYJUMP
      ZKLZWVQVYOVYJVYJWVIWVIVYOVYIWUJWVHVPZWWAVQVYOJWVMKLZWVTWVQVYOWVMWVSJKVYOV
      YJVYJVYEVYJSIZVYGVYEVYIVYEVXMVYHVXEVXFVXMSIZVYDVXECCVJWAVBVYDVXEVYHSIZVXF
      VYDVXIWUTWAVCVRVSVEZWWFWBWCVYOVYJVYKWVIWVJVHWDWEVYKVYJUUPZWFWGVYOVYJVYKWV
      IWVJVDWHVYPJUUQURPZUDUURZUDVYPUUSZVYTVYQVYSMWKWIVYPWWHUDUUTZVYPVYLHUDWJWL
      UVAVAVXRIZVYEVYGXDZMWWLVAVYPIZVAUDNZHIZWMWWOJHWWOVAVNNZJWWNWWOWWQRWMVAVOW
      NUVCWOZWPUVDWWIWWJWWLWWNWWPMWKWIWWKVYPVAHUDWJWLUVEUNUVFWHWQUVGVXGVXTFHVYM
      UDNZUKULVXGFHVXKWWSVXEVXFVYDVXKWWSRVYEVXJVYMUDVYNWRWQWSVXGFCUQZCURPZHWWSW
      TVXGWWTHIZVXEWXAHUJZVXEWXBVXFCUVHZVEZVXEVXFUVIZWWTCUVJZVMHVYPIVXGUVKUNVXG
      VXIWXAIZMVYMUDUVLVXGVXIHWXAXAIZMWWMWWSJRZVXGWXIWWMWXIVYDWXHXDZMVXGWWMVXIH
      WXAXBVXGVYDWXKWWMVXEVXFVYDWXKWWMXEVYEVYGWXHVYEVYGWXHVYEVYDWWTVXIKLZVXICKL
      ZUOZVYDWXLWXMMZMZWXHVYGWXNWXPWKVYEVYDWXLWXMXCUNVYEWXBVXEWXHWXNWKZVXEVXFWX
      BVYDWXDVBWVCWWTCVXIUVMZVMVYEVYGWXOWXPVYEVXICVXEVXFVYDUVNZWVCUVOZVYEVYDWXO
      WXSXFXGXHXIUWBXJXKXLXMWWMWWSWWOJWWMVYMVAUDVYGVYLVAUVPWRWWRXPZVTVXGFWXAWWS
      UKFWXAOVYJQPZUKULVXGFWXAWWSWYBVXEVXFWXHWWSWYBRVXEVXFWXHUOZWWSVYRWVNWYBWYC
      VYGWWSVYRRZVXEVXFWXHVYGVXGWXHWXNVYGVXGWXBVXEWXQWXEWXFWXRVMVXGVYDWXLWXMVYG
      VXEVXFVYDWXLWXMVYGXEXEVYEWXLWXMVYGVYEVYGWXOWXTXNXOXJXQXRXSVYGVYMVYLUDVYGV
      YLVAUVQWRZVTWYCVYQWVOWYCWUAWUBVYQWYCVYJWYCVYIWYCVXMVYHVXEVXFWUDWXHWUEVBWY
      CVXIVXEWXHVYDVXFVXEWXAHVXIWXBVXEWXCWXDWXGXTUWCUVRUVSVDZVXEVXFWXHWUKVXGWXH
      WXNWUKVXEWXQVXFWXBVXEWXQWXDWXRXTVEVXGVYDWXLWXMWUKVXEVXFVYDWXLWXMWUKXEXEVY
      EWXLWXMWUKVYEWUKWXOVYEWUKWUNWXOWVGVYEVYGWUMWXOWUNWVFWXTWURUVTXGXNXOXJXQXR
      XSZVIZVKZWYHWVKVMWVPVTWYCWVMWVSWVNWYBWYCVYJVYJWYCVYIWYCVYIWYFYAVSZWYJWBZW
      YCWUAWUBWVQWVRWYIWYHWYCWVTWVQWYCVYJVYJWYHWYHWYCVYIWYFWYGVPZWYLVQWYCWWBWVT
      WVQWYCWVMWVSJKWYKWCWYCVYJVYKWYHWYIVHWDWEWWGWFWYCVYJWYJUWAUWDUWEWQWSFCUWFW
      HUWGWHFDUWKUWHFDUWIVTVXGFWWTCYBPZVXKUFFWYMWWSUFZVXLVXNVXGFWYMVXKWWSVXGVXI
      WYMIZMVXJVYMUDWYOVXGVYDVXJVYMRZVXIWWTCUWJZVXEVXFVYDWYPVYNWQYCWRUWLVXGFWYM
      HVXKWYMHUJVXGWWTCUXBZUNVXGVXIHWYMXAIZVXKJRZWYSVYDWYOXDZMVXGWYTVXIHWYMXBVX
      GVYDXUAWYTVXEVXFVYDXUAWYTXEVYEXUACVYFKLZWYTVYEXUAVYFCYDLZXDXUBVYEWYOXUCVY
      EWYOVYDWWTVXIYDLZVXICYDLZUOZXUCVXEVXFWYOXUFWKZVYDVXEWWTYEIZCYEIZXUGVXEWWT
      WXDUWMCUWNWWTCVXIUWOZVMVBVYEXUDXUEMZVYDXUKMZXUCXUFVYEVYDXUKWXSXFVYEVXICWX
      SWVCUWPXUFXULWKVYEVYDXUDXUEXCUNXHXGUWQVYECVYFWVCWVBUWRUWSVYEXUBWYTVYEXUBM
      ZVXKWWSJXUMVXJVYMUDVYEWYPXUBVYNVEWRXUMWXJVYFCVYEVYFCRZWXJXEXUBVYEXUNWXJVY
      EXUNMZWWSVYRJXUOWUSXUNMVYGWYDVYEWUSXUNWVBUWTVYFCUXAWYEUXCVYEXUNVXMVYHRZVY
      RJRXUOWULVXMVYHXUNWULVXMRVYEVYFCOUHYFYGVYEWUOXUNWUQVEUXDVYEXUPMZVYRJJURPZ
      UDNZJXUQVYLXURUDXUPVYEVYLVYHVYHUPPZUTNZUQZXVAURPZXURXUPVYKXVBVYJXVAURXUPV
      YJXVAVXMVYHVYHUTUPYHZYIXVDYJVYDVXEXVCXURRVXFVYDXVBJXVAJURVYDXVBJUTNZUQZJV
      YDXVAXVEVYDXUTJUTVYDVYHVYDVYHWUHYAZUXEWRZYIXVFJUQZJXVEJYKUXFUXMWOXPVYDXVA
      XVEJXVHYKXPYJVCUXGWRXUSXURVNNZJXURVYPIZXUSXVJRJHIZXVLXVKWPWPJJVLUXHXURVOW
      NXVJJUBZVNNZJJYEIZXVJXVNRUXIXVOXURXVMVNJUXJWRWNXVLXVNJRWPJUXKWNWOWOXPUXLW
      GUXNVEXUMVYFCUXOZWWMWXJXUMCVYFYDLZWWMXVPVYEXVQWWMWKXUBVYECVYFWVCWVBUXPVEX
      UMCVYFVXEVXFVYDXUBUXQVYEWUSXUBWVBVEVYEXUBYLUXRWDWYAUXSUXTWGUXNXRXJXKXLXMU
      YAVXGWYNVXNRZCJVXGCJRZMZWYNFVAWWSUFZVXNXVTWYMVARZWYNXWARXVSXWBVXGXVSWYMJJ
      YBPVAXVSWWTJCJYBXVSWWTXVIJCJUYBUXMXPXVSUYCYJJUYEXPYGFWYMVAWWSUYDVTXVTXWAJ
      VXNFWWSUYFXVSJVXNRVXGXVSJUGJOUHPZQPZVXNXWDUGJQPJXWCJUGQUYGUYHUGYMUYIUYJXV
      SVXMXWCUGQCJOUHYFYNUYKYGUYLWGVXGCJUXOZMCUYMIZXVRVXEVXFXWEXWFVXEVXFXWEUOCV
      XEVXFXWEVGVXEVXFJCYDLXWEVXGJCVXGUYQWXFVXEVXFYLUXRUYNUYOWQXWFWYNFWYMVXIHGW
      XAVXMGUAZCYSPZYONZXWHTXWHOUHPZUPPZUTNZQPZUMPZQPZUKZUYPPZNZUFCXWPNZWWTXWPN
      ZUPPZVXNXWFFWYMWWSXWRXWFWYOMZWWSVYRXWRXXBVYGWYDXXBVYFCWYOWUSXWFWYOVYDWUSW
      YQWVAVTYGXWFVXEWYOCUYRZVEXWFWYOXUCXWFWYOXUFXUCXWFXUHXUIXUGXWFWWTXWFCXXCVK
      ZUWMZCVUIZXUJVMZXWFVYDXUDXUEXUCXWFVYDXUDXUEXUCXWFVYDMZXUCXUKXXHVXICXWFVYD
      YLXWFVXEVYDXXCVEZUWPZXNUYSXQXRXMUYTWYEVTXXBWVMWVSVYRXWRWYOXWFVYDWVMWVSRWY
      QXXHVYJVYJXXHVYIXXHVXMVYHXWFWWDVYDXWFVXMXWFCXXCUVSZYAVEVYDWWEXWFXVGYGVRVS
      ZXXLWBYCZXXBVYRWVNWVMXXBVYQWVOXXBWUAWUBVYQXXBVYJXXBVYIWYOXWFVYDWUCWYQXXHV
      XMVYHXWFWUDVYDXXKVEZVYDWUGXWFWUHYGZVDYCZXXBJVYIXXBUYQXXPXWFWYOJVYIYDLZXWF
      WYOXUFXXQXXGXWFVYDXUDXUEXXQXWFVYDXUDXUEXXQXXHXUKXXQXXHVYHVXMYDLZXUKXXQXXH
      XUCWULVXMYDLXUKXXRXXHVYFCVYDWUSXWFWVAYGXXIVYDWVDXWFWVEYGXWFVXFVYDCVUAZVEV
      UBXXJXXHWULVYHVXMYDVYDWUOXWFWUPYGVFUVTXXHVYHVXMXXOXXNVUCWDXIUYSXQXRXMUYTZ
      VIZVKZXYAWVKVMWVPVTXXBWUAWUBWVQWVRXYBXYAXXBWVTWVQXXBVYJVYJXYAXYAXXBVYIXXP
      XXTVPZXYCVQXXBWWBWVTWVQXXBWVMWVSJKXXMWCXXBVYJVYKXYAXYBVHWDWEWWGWFWGXXBXWR
      WYBWVSXXBGVXIOVXMXWGOUHPZUPPZUTNZQPZWYBWYMXWQWTXWFXWQGWYMXYGUKZRWYOXWFXWQ
      HGWYMXWOUKUYPPXYHXWFGXWOHYBVUDVUENZVUFVUGNZWXAWYMHSUJXWFVUHUNXWFWXBVXEWXC
      XXDXXCWXGVMZXWFXWGWXAIZMZVXMXWNXWFWWDXYLXWFCCVUJZWAZVEXYMXWIXWMXYMXWHSIXW
      ISIXYMXWGCXYMXWGXWFWXAHXWGXYKUWCYAXWFCSIXYLXYNVEXWFXWEXYLCVUKZVEYPZXWHVUL
      VTXYMXWHXWLXYQXYMXWKXYMTXWJXYMVUMXYMXWHXYQWAVRVSVUNVUOVUNXYJXYJVUPZVUQXYR
      XWFWXBVXEWXAXYIVURNNWYMRXXDXXCWWTCVUSVMVUTGCVVAWGZVEGFVVBZXYGWYBRXXBXYTXY
      FVYJOQXYTXYEVYIUTXYTXYDVYHVXMUPXWGVXIOUHYFYNWRYNYGXWFWYOYLXXBOVYJQYTYQXXB
      VYJWYOXWFVYDWWCWYQXXLYCUWAWGVVCVVLUWLXWFFWWTCXWPXXDXXCXWFJCCUMPZKLZWWTCKL
      ZXWFCCXXCXXCXXSXXSVQXWFJCWWTUPPZKLYUBYUCXWFYUDYUAJKXWFCCXYNXYNWBWCXWFCWWT
      XXCXXDVHWDWEZXWFXWQXYHWYMSVVDPZXYSXWFGOXYFWYMOSIZWYMSUJZSSUJZUOGWYMOUKYUF
      IXWFYUGYUHYUIVVEWYMHSWYRVUHVVFSVVGVVHGOWYMSVVIVVJXWFGWYMXYFUKZGWXAXYFUKZW
      YMVVKZYUFWYMWXAUJZYULYUJRWWTCVVMZGWXAWYMXYFVVNWNYUMXWFYUKWXASVVDPIZYULYUF
      IYUNXWFVXEVXFYUOXXCXXSGCVVOVMWXASWYMYUKVVPVVQVVRVVSWHXWFXWQXYHULXYSXWFVXE
      VXFXYHULIXXCXXSVXGGWYMWXAXYGWTYUMVXGYUNUNWYMVYPIVXGWWTCVWAUNVXGXYLMOXYFQY
      TGCUWFVVTVMWHGCVWBVWCXWFXXAVXMUGOYSPZQPZVXMYUPUQZQPZUPPZVXNXWFXWSYUQXWTYU
      SUPXWFXWSVXMCCYSPZYONZYVATYVAOUHPZUPPZUTNZQPZUMPZQPZYUQXWFGCXWOYVHWXAXWPW
      TXWFXWPVWDZXWGCRZXWOYVHRXWFYVJXWNYVGVXMQYVJXWIYVBXWMYVFUMXWGCCYOYSYHYVJXW
      HYVAXWLYVEQXWGCCYSYFZYVJXWKYVDUTYVJXWJYVCTUPYVJXWHYVAOUHYVKYRYNWRYJYJYNYG
      XWFXUHXUIYUCCWXAIXXEXXFYUEWWTCVWEWFXWFVXMYVGQYTYQXWFYVGYUPVXMQXWFYVGYUPJU
      MPYUPXWFYVBYUPYVFJUMXWFYVBTYONZYUPXWFYVATYOXWFCXYNXYPVWFZWRVWTXPXWFYVFYVA
      JQPJXWFYVEJYVAQXWFYVEXVEJXWFYVDJUTXWFYVDTTUPPZJXWFYVCTTUPXWFYVCTOUHPTXWFY
      VATOUHYVMYRVXAXPYNXWFTXWFVUMUXEZWGWRYKXPYNXWFYVAXWFCCXYNXYNXYPYPVWGWGYJXW
      FYUPYUPSIXWFUGOYMVVEVWHVWIZUNZVWJWGYNWGXWFXWTVXMWWTCYSPZYONZYVRTYVROUHPZU
      PPZUTNZQPZUMPZQPZYUSXWFGWWTXWOYWEWXAXWPWTYVIXWFXWGWWTRZMXWNYWDVXMQYWFXWNY
      WDRXWFYWFXWIYVSXWMYWCUMXWGWWTCYOYSYHYWFXWHYVRXWLYWBQXWGWWTCYSYFZYWFXWKYWA
      UTYWFXWJYVTTUPYWFXWHYVROUHYWGYRYNWRYJYJYGYNXWFXUHXUIYUCWWTWXAIXXEXXFYUEWW
      TCVWKWFXWFVXMYWDQYTYQXWFYWDYURVXMQXWFYWDYURJUMPYURXWFYVSYURYWCJUMXWFYVSTU
      QZYONZYURXWFYVRYWHYOXWFYVAUQYVRYWHXWFCCXYNXYNXYPVWLXWFYVATYVMYIUXDZWRYWIY
      VLUQZYURTSIYWIYWKRVWMTVWNWNYVLYUPVWTUXFWOXPXWFYWCYVRJQPJXWFYWBJYVRQXWFYWB
      XVEJXWFYWAJUTXWFYWAYVNJXWFYVTTTUPXWFYVTYWHOUHPTXWFYVRYWHOUHYWJYRVWOXPYNYV
      OWGWRYKXPYNXWFYVRXWFWWTCXWFWWTXXDYAXYNXYPYPVWGWGYJXWFYURYURSIXWFYUPYVPVWP
      UNZVWJWGYNWGYJXWFVXMYUPYURUPPZQPVXMUGQPYUTVXNXWFYWMUGVXMQYWMUGRXWFYWMYUPY
      UPUMPUGYUPYUPYVPYVPVWQVWRWOUNYNXWFVXMYUPYURXYOYVQYWLVWSXWFVXMUGXYOUGSIXWF
      YMUNVXBVXCWGUWEVTVXDVXCWG $.
  $}

$( (End of Brendan Leahy's mathbox.) $)
$( End $[ set-mbox-bl.mm $] $)


$( Begin $[ set-mbox-jm.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Jeff Madsen
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Logic and set theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A w x y z $.  $d B w x z $.  $d C w x y $.  $d D w x y $.  $d F w x y $.
    $d ph w x z $.  $d ps w x y $.  $d ch w x y $.
    unirep.1 $e |- ( y = D -> ( ph <-> ps ) ) $.
    unirep.2 $e |- ( y = D -> B = C ) $.
    unirep.3 $e |- ( y = z -> ( ph <-> ch ) ) $.
    unirep.4 $e |- ( y = z -> B = F ) $.
    unirep.5 $e |- B e. _V $.
    $( Define a quantity whose definition involves a choice of representative,
       but which is uniquely determined regardless of the choice.  (Contributed
       by Jeff Madsen, 1-Jun-2011.) $)
    unirep $p |- ( ( A. y e. A A. z e. A ( ( ph /\ ch ) -> B = F ) /\
            ( D e. A /\ ps ) ) -> ( iota x E. y e. A ( ph /\ x = B ) ) = C ) $=
      ( wa wceq wi wrex vw wral cv cio eqidd ancli eqeq2d anbi12d rspcev sylan2
      wcel adantl cvv weu wb csb nfcvd csbiegf csbex eqeltrrdi ad2antrl wex wal
      eqeq1 anbi2d rexbidv spcegv adantr r19.29 pm3.35 eqeq12 syl5ibrcom ancoms
      syl mpd an4 expimpd syl5bi ancomsd expdimp rexlimivw sylan an32s alrimivv
      imp ex cbvrexvw bitrdi eu4 sylanbrc iota2 syl2anc mpbid ) ACQZHKRZSZFGUBZ
      EGUBZJGUKZBQZQZAIHRZQZEGTZADUCZHRZQZEGTZDUDIRZWTXDWRBWSBIIRZQZXDBXJBIUEUF
      XCXKEJGEUCZJRZABXBXJLXMHIIMUGUHUIUJZULXAIUMUKZXHDUNZXDXIUOWSXOWRBWSIEJHUP
      UMEJHIGWSEIUQMUREJHPUSUTZVAXAXHDVBZXHCUAUCZKRZQZFGTZQXEXSRZSZUAVCDVCXPWTX
      RWRWTXDXRXNWSXDXRSZBWSXOYEXQXHXDDIUMXEIRZXGXCEGYFXFXBAXEIHVDVEVFZVGVNVHVO
      ULXAYDDUAWRYDWTWRXHYBYCWRXHQWQXGQZEGTYBYCSZWQXGEGVIYHYIEGYHYBYCWQYBXGYCWQ
      YBQWPYAQZFGTZXGYCWPYAFGVIYKXGYCYJXGYCSFGWPYAXGYCWPXGYAYCXGYAQWNXFXTQZQWPY
      CAXFCXTVPWPWNYLYCWNWPYLYCSWNWPQYCYLWOWNWOVJXEHXSKVKVLVMVQVRVSVTWAWEWBWCWF
      WAVNVQVHWDXHYBDUAYCXHAXSHRZQZEGTYBYCXGYNEGYCXFYMAXEXSHVDVEVFYNYAEFGXLFUCR
      ZACYMXTNYOHKXSOUGUHWGWHWIWJXHXDDIUMYGWKWLWM $.
  $}

  ${
    $d ph x z $.  $d B x y z $.  $d A x z $.
    cover2.1 $e |- B e. _V $.
    cover2.2 $e |- A = U. B $.
    $( Two ways of expressing the statement "there is a cover of ` A ` by
       elements of ` B ` such that for each set in the cover, ` ph ` ".  Note
       that ` ph ` and ` x ` must be distinct.  (Contributed by Jeff Madsen,
       20-Jun-2010.) $)
    cover2 $p |- ( A. x e. A E. y e. B ( x e. y /\ ph )
                        <-> E. z e. ~P B ( U. z = A /\ A. y e. z ph ) ) $=
      ( cv wcel wa wrex wral cuni wceq cpw crab cvv ssrab2 eleq2 wb nfra1 sseli
      elpwi2 wal unissi eleqtrrdi elunirab syl6ibr impbid2 alrimi dfcleq sylibr
      rsp nfrab1 nfeq2 rabid simprbi syl6bi ralrimi unieq eqeq1d anbi1d sylancr
      mpbiran2d rspcev wss wi elpwi r19.29r expcom ssrexv sylan9r sylan biimpar
      eluni2 sylib impel anassrs ralrimiva anasss ancom2s rexlimiva impbii ) BI
      ZCIZJZAKZCFLZBEMZDIZNZEOZACWKMZKZDFPZLZWJACFQZWPJWRNZEOZWQWRFRGACFSZUDWJW
      EWSJZWEEJZUAZBUEWTWJXDBWIBEUBWJXBXCXBWEFNZEWSXEWEWRFXAUFUCHUGWJXCWIXBWIBE
      UNACWEFUHUIUJUKBWSEULUMWOWTDWRWPWKWROZWOWTWNXFACWKCWKWRACFUOUPXFWFWKJWFWR
      JZAWKWRWFTXGWFFJAACFUQURUSUTXFWMWTWNXFWLWSEWKWRVAVBVCVEVFVDWOWJDWPWKWPJZW
      NWMWJXHWNWMWJXHWNKZWMKWIBEXIWMXCWIXIWGCWKLZWIWMXCKZXHWKFVGZWNXJWIVHWKFVIW
      NXJWHCWKLZXLWIXJWNXMWGACWKVJVKWHCWKFVLVMVNXKWEWLJZXJWMXNXCWLEWETVOCWEWKVP
      VQVRVSVTWAWBWCWD $.
  $}

  ${
    $d ph b x z $.  $d B b x y z $.  $d A b x z $.
    cover2g.1 $e |- A = U. B $.
    $( Two ways of expressing the statement "there is a cover of ` A ` by
       elements of ` B ` such that for each set in the cover, ` ph ` ".  Note
       that ` ph ` and ` x ` must be distinct.  (Contributed by Jeff Madsen,
       21-Jun-2010.) $)
    cover2g $p |- ( B e. C -> ( A. x e. A E. y e. B ( x e. y /\ ph )
                        <-> E. z e. ~P B ( U. z = A /\ A. y e. z ph ) ) ) $=
      ( vb wel wa cv wrex cuni wral wceq cpw unieq eqtr4di rexeq raleqbidv pweq
      eqeq2d anbi1d rexeqbidv vex eqid cover2 vtoclbg ) BCJAKZCILZMZBUKNZODLZNZ
      UMPZACUNOZKZDUKQZMUJCFMZBEOUOEPZUQKZDFQZMIFGUKFPZULUTBUMEVDUMFNEUKFRHSZUJ
      CUKFTUAVDURVBDUSVCUKFUBVDUPVAUQVDUMEUOVEUCUDUEABCDUMUKIUFUMUGUHUI $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d ch x y $.
    brabg2.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    brabg2.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    brabg2.3 $e |- R = { <. x , y >. | ph } $.
    brabg2.4 $e |- ( ch -> A e. C ) $.
    $( Relation by a binary relation abstraction.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    brabg2 $p |- ( B e. D -> ( A R B <-> ch ) ) $=
      ( wcel wbr cvv brabg com3l mpdi relopabiv brrelex1i biimpd exbiri impbid
      wi wa ex ) GIOZFGJPZCUIUJFQOZCFGJADEJMUAUBUKUIUJCUKUIUJCUFUKUIUGUJCABCDEF
      GQIJKLMRUCUHSTUICFHOZUJNULUICUJULUIUJCABCDEFGHIJKLMRUDSTUE $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d ch x y $.
    opelopab3.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    opelopab3.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    opelopab3.3 $e |- ( ch -> A e. C ) $.
    $( Ordered pair membership in an ordered pair class abstraction, with a
       reduced hypothesis.  (Contributed by Jeff Madsen, 29-May-2011.) $)
    opelopab3 $p |- ( B e. D -> ( <. A , B >. e.
                            { <. x , y >. | ph } <-> ch ) ) $=
      ( wcel cop copab cvv wa cxp anim1i ancoms elopaelxp opelxp1 syl opelopabg
      elexd pm5.21nd ) GIMZFGNZADEOMZCFPMZUGQZUIUGUKUIUJUGUIUHPPRMUJADEUHUAFGPP
      UBUCSTCUGUKCUJUGCFHLUESTABCDEFGPIJKUDUF $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d F x y $.  $d G x y $.  $d H x y $.
    $( Cancellation of a surjective function from the right side of a
       composition.  (Contributed by Jeff Madsen, 1-Jun-2011.)  (Proof
       shortened by Mario Carneiro, 27-Dec-2014.) $)
    cocanfo $p |- ( ( ( F : A -onto-> B /\ G Fn B /\ H Fn B )
                                    /\ ( G o. F ) = ( H o. F ) ) -> G = H ) $=
      ( vx vy wfo wfn ccom wceq wa cv cfv wral syl fvco3 sylan wb fveq2 wcel wf
      w3a simplr fveq1d simpl1 fof 3eqtr3d ralrimiva eqeq12d cbvfo mpbid eqfnfv
      3adant1 adantr mpbird ) ABCHZDBIZEBIZUCZDCJZECJZKZLZDEKZFMZDNZVFENZKZFBOZ
      VDGMZCNZDNZVLENZKZGAOZVJVDVOGAVDVKAUAZLZVKVANZVKVBNZVMVNVRVKVAVBUTVCVQUDU
      EVDABCUBZVQVSVMKVDUQWAUQURUSVCUFZABCUGPZABVKDCQRVDWAVQVTVNKWCABVKECQRUHUI
      VDUQVPVJSWBVOVIGFABCVLVFKVMVGVNVHVLVFDTVLVFETUJUKPULUTVEVJSZVCURUSWDUQFBD
      EUMUNUOUP $.
  $}

  ${
    brresi2.1 $e |- B e. _V $.
    $( Restriction of a binary relation.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    brresi2 $p |- ( A ( R |` C ) B -> A R B ) $=
      ( cres resss ssbri ) DCFDABDCGH $.
  $}

  ${
    $d ph x $.  $d ph y $.
    fnopabeqd.1 $e |- ( ph -> B = C ) $.
    $( Equality deduction for function abstractions.  (Contributed by Jeff
       Madsen, 19-Jun-2011.) $)
    fnopabeqd $p |- ( ph -> { <. x , y >. | ( x e. A /\ y = B ) }
                          = { <. x , y >. | ( x e. A /\ y = C ) } ) $=
      ( cv wcel wceq wa eqeq2d anbi2d opabbidv ) ABHDIZCHZEJZKOPFJZKBCAQROAEFPG
      LMN $.
  $}

  ${
    $d A x $.  $d C x $.  $d D x $.  $d R x $.
    fvopabf4g.1 $e |- C e. _V $.
    fvopabf4g.2 $e |- ( x = A -> B = C ) $.
    fvopabf4g.3 $e |- F = ( x e. ( R ^m D ) |-> B ) $.
    $( Function value of an operator abstraction whose domain is a set of
       functions with given domain and range.  (Contributed by Jeff Madsen,
       1-Dec-2009.)  (Revised by Mario Carneiro, 12-Sep-2015.) $)
    fvopabf4g $p |- ( ( D e. X /\ R e. Y /\ A : D --> R ) -> ( F ` A ) = C ) $=
      ( wcel wf w3a cmap co cfv wceq wb elmapg ancoms biimp3ar fvmpt syl ) EHMZ
      FIMZEFBNZOBFEPQZMZBGRDSUFUGUJUHUGUFUJUHTFEBIHUAUBUCABCDUIGKLJUDUE $.
  $}

  ${
    $d F x $.  $d G x $.  $d A x $.  $d B x $.
    $( Two functions on ` A u. B ` are equal if and only if they have equal
       restrictions to both ` A ` and ` B ` .  (Contributed by Jeff Madsen,
       19-Jun-2011.) $)
    eqfnun $p |- ( ( F Fn ( A u. B ) /\ G Fn ( A u. B ) ) -> ( F = G <->
                ( ( F |` A ) = ( G |` A ) /\ ( F |` B ) = ( G |` B ) ) ) ) $=
      ( vx cun wfn wa wceq cres reseq1 jca cv wcel fveq1 fvres sylan9req adantl
      cfv eqtr3d wral wo elun adantlr adantll sylan2b ralrimiva syl5ibr impbid2
      jaodan eqfnfv ) CABFZGDULGHZCDIZCAJZDAJZIZCBJZDBJZIZHZUNUQUTCDAKCDBKLVAUN
      UMEMZCSZVBDSZIZEULUAVAVEEULVBULNVAVBANZVBBNZUBVEVBABUCVAVFVEVGUQVFVEUTUQV
      FHVBUPSZVCVDUQVFVHVBUOSVCVBUOUPOVBACPQVFVHVDIUQVBADPRTUDUTVGVEUQUTVGHVBUS
      SZVCVDUTVGVIVBURSVCVBURUSOVBBCPQVGVIVDIUTVBBDPRTUEUJUFUGEULCDUKUHUI $.
  $}

  ${
    $d C x y $.  $d B y $.  $d H x y $.  $d A x y $.
    fnopabco.1 $e |- ( x e. A -> B e. C ) $.
    fnopabco.2 $e |- F = { <. x , y >. | ( x e. A /\ y = B ) } $.
    fnopabco.3 $e |- G = { <. x , y >. | ( x e. A /\ y = ( H ` B ) ) } $.
    $( Composition of a function with a function abstraction.  (Contributed by
       Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro, 27-Dec-2014.) $)
    fnopabco $p |- ( H Fn C -> G = ( H o. F ) ) $=
      ( cfv cmpt cv wcel wceq wa copab df-mpt eqtr4i wfn ccom adantl a1i biimpi
      dffn5 fveq2 fmptco eqtr4id ) HEUAZGACDHLZMZHFUBGANCOZBNZUKPQABRULKABCUKST
      UJABCEDUNHLZUKFHUMDEOUJIUCFACDMZPUJFUMUNDPQABRUPJABCDSTUDUJHBEUOMPBEHUFUE
      UNDHUGUHUI $.
  $}

  ${
    $d A x y $.  $d B y $.  $d C y $.  $d M x y $.  $d R x y $.  $d S x y $.
    opropabco.1 $e |- ( x e. A -> B e. R ) $.
    opropabco.2 $e |- ( x e. A -> C e. S ) $.
    opropabco.3 $e |- F = { <. x , y >. | ( x e. A /\ y = <. B , C >. ) } $.
    opropabco.4 $e |- G = { <. x , y >. | ( x e. A /\ y = ( B M C ) ) } $.
    $( Composition of an operator with a function abstraction.  (Contributed by
       Jeff Madsen, 11-Jun-2010.) $)
    opropabco $p |- ( M Fn ( R X. S ) -> G = ( M o. F ) ) $=
      ( cop cv wcel wceq wa copab cxp opelxpi syl2anc cfv eqeq2i anbi2i opabbii
      co df-ov eqtri fnopabco ) ABCDEOZFGUAZHIJAPCQZDFQEGQULUMQKLDEFGUBUCMIUNBP
      ZDEJUHZRZSZABTUNUOULJUDZRZSZABTNURVAABUQUTUNUPUSUODEJUIUEUFUGUJUK $.
  $}

  $( Composition with a function and then with the converse.  (Contributed by
     Jeff Madsen, 2-Sep-2009.) $)
  cocnv $p |- ( ( Fun F /\ Fun G ) ->
                              ( ( F o. G ) o. `' G ) = ( F |` ran G ) ) $=
    ( wfun ccom ccnv crn cres coass cid wceq funcocnv2 adantl coeq2d resco wrel
    wa funrel coi1 syl reseq1d adantr eqtr3id eqtrd syl5eq ) ACZBCZPZABDBEZDABU
    HDZDZABFZGZABUHHUGUJAIUKGZDZULUGUIUMAUFUIUMJUEBKLMUGUNAIDZUKGZULAIUKNUEUPUL
    JUFUEUOAUKUEAOUOAJAQARSTUAUBUCUD $.

  $( Cancel a composition by a bijection by preapplying the converse.
     (Contributed by Jeff Madsen, 2-Sep-2009.)  (Proof shortened by Mario
     Carneiro, 27-Dec-2014.) $)
  f1ocan1fv $p |- ( ( Fun F /\ G : A -1-1-onto-> B /\ X e. B ) ->
                            ( ( F o. G ) ` ( `' G ` X ) ) = ( F ` X ) ) $=
    ( wfun wf1o wcel w3a ccnv cfv ccom wceq f1of 3ad2ant2 f1ocnv simp3 ffvelrnd
    wf syl fvco3 syl2anc f1ocnvfv2 3adant1 fveq2d eqtrd ) CFZABDGZEBHZIZEDJZKZC
    DLKZULDKZCKZECKUJABDSZULAHUMUOMUHUGUPUIABDNOUJBAEUKUHUGBAUKSZUIUHBAUKGUQABD
    PBAUKNTOUGUHUIQRABULCDUAUBUJUNECUHUIUNEMUGABEDUCUDUEUF $.

  $( Cancel a composition by the converse of a bijection by preapplying the
     bijection.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
  f1ocan2fv $p |- ( ( Fun F /\ G : A -1-1-onto-> B /\ X e. A ) ->
                            ( ( F o. `' G ) ` ( G ` X ) ) = ( F ` X ) ) $=
    ( wfun wf1o wcel w3a ccnv cfv ccom wceq f1orel dfrel2 sylib 3ad2ant2 fveq1d
    wrel fveq2d f1ocnv f1ocan1fv syl3an2 eqtr3d ) CFZABDGZEAHZIZEDJZJZKZCUILZKZ
    EDKZULKECKZUHUKUNULUHEUJDUFUEUJDMZUGUFDSUPABDNDOPQRTUFUEBAUIGUGUMUOMABDUABA
    CUIEUBUCUD $.

  ${
    $d x f A $.  $d B f $.  $d C f $.
    $( Intersection of Cartesian products over the same base set.  (Contributed
       by Jeff Madsen, 2-Sep-2009.) $)
    inixp $p |- ( X_ x e. A B i^i X_ x e. A C ) = X_ x e. A ( B i^i C ) $=
      ( vf cixp cin cv wfn cfv wcel wral wa an4 anidm r19.26 elin anbi12i elixp
      bicomi ralbii bitr3i bitri vex 3bitr4i ineqri ) EABCFZABDFZABCDGZFZEHZBIZ
      AHUKJZCKZABLZMZULUMDKZABLZMZMZULUMUIKZABLZMZUKUGKZUKUHKZMUKUJKUTULULMZUOU
      RMZMVCULUOULURNVFULVGVBULOVGUNUQMZABLVBUNUQABPVHVAABVAVHUMCDQTUAUBRUCVDUP
      VEUSABCUKEUDZSABDUKVISRABUIUKVISUEUF $.
  $}

  ${
    $d A a b h s u w x $.  $d R a b h s u w x $.  $d S a b h s u w x $.
    $d F a b h s u w x $.  $d B a b h s u w x $.  $d C a b h s u w x $.
    $d X a h s u w x $.  $d P a h s u $.
    upixp.1 $e |- X = X_ b e. A ( C ` b ) $.
    upixp.2 $e |- P = ( w e. A |-> ( x e. X |-> ( x ` w ) ) ) $.
    $( Universal property of the indexed Cartesian product.  (Contributed by
       Jeff Madsen, 2-Sep-2009.)  (Proof shortened by Mario Carneiro,
       12-Sep-2015.) $)
    upixp $p |- ( ( A e. R /\ B e. S /\ A. a e. A
                  ( F ` a ) : B --> ( C ` a ) ) -> E! h ( h : B --> X
                        /\ A. a e. A ( F ` a ) = ( ( P ` a ) o. h ) ) ) $=
      ( vu vs wcel cfv wceq cv wf wral w3a cmpt cvv ccom wa wi wal weu 3ad2ant2
      mptexg cixp ffvelrn expcom ralimdv impcom 3ad2antl3 fveq2 fveq1d cbvralvw
      eleq12d sylib wb simpl1 mptelixpg syl mpbird cbvixpv eleqtrrdi fmpttd nfv
      eqtri nfra1 nf3an eqid fvmpt3i adantl mpteq2dv adantlr eqidd rgenw ixpexg
      fvex ax-mp eqeltri mptex fmptco rsp 3ad2ant3 imp feqmptd 3eqtr4rd ralrimi
      fveq1 ex simprl simplrr coeq1d eqeq12d sylan fvco3 adantr eqtrd mpteq2dva
      rspccva 3eqtrd wfn eleqtrdi ixpfn dffn5 eqtr4d alrimiv feq1 coeq2 ralbidv
      eqeq2d anbi12d eqeu syl121anc ) CGRZDHRZDLUAZESZYDJSZUBZLCUCZUDZPDQCPUAZQ
      UAZJSZSZUEZUEZUFRZDKYOUBZYFYDFSZYOUGZTZLCUCZDKIUAZUBZYFYRUUBUGZTZLCUCZUHZ
      UUBYOTZUIZIUJUUGIUKYCYBYPYHPDYNHUMULYIPDYNKYIYJDRZUHZYNQCYKESZUNZKUUKYNUU
      MRZYMUULRZQCUCZUUKYJYFSZYERZLCUCZUUPYHYBUUJUUSYCUUJYHUUSUUJYGUURLCYGUUJUU
      RDYEYJYFUOUPUQURUSUURUUOLQCYDYKTZUUQYMYEUULUUTYJYFYLYDYKJUTZVAYDYKEUTVCVB
      VDUUKYBUUNUUPVEYBYCYHUUJVFQCYMUULGVGVHVIKMCMUAZESZUNZUUMNMQCUVCUULUVBYKEU
      TVJVNVKZVLYIYTLCYBYCYHLYBLVMYCLVMYGLCVOVPYIYDCRZYTYIUVFUHZPDYDYNSZUEPDUUQ
      UEYSYFUVGPDUVHUUQUVFUVHUUQTYIQYDYMUUQCYNYKYDTYJYLYFYKYDJUTVAYNVQYJYLWEVRV
      SVTUVGPADKYNYDAUAZSZUVHYOYRYIUUJYNKRUVFUVEWAUVGYOWBUVFYRAKUVJUEZTYIBYDAKB
      UAZUVISZUEZUVKCFUVLYDTAKUVMUVJUVLYDUVIUTVTOAKUVMKUVDUFNUVCUFRZMCUCUVDUFRU
      VOMCUVBEWEWCMCUVCUFWDWFWGWHZVRVSYDUVIYNWPWIUVGPDYEYFYIUVFYGYHYBUVFYGUIYCY
      GLCWJWKWLWMWNWQWOYIUUIIYIUUGUUHYIUUGUHZUUBPDYJUUBSZUEYOUVQPDKUUBYIUUCUUFW
      RZWMUVQPDYNUVRUVQUUJUHZYNQCYKUVRSZUEZUVRUVTQCYMUWAUVTYKCRZUHZYMYJYKFSZUUB
      UGZSZUVRUWESZUWAUWDYJYLUWFUVTUUFUWCYLUWFTZYIUUCUUFUUJWSUUEUWILYKCUUTYFYLU
      UDUWFUVAUUTYRUWEUUBYDYKFUTWTXAXGXBVAUVTUWGUWHTZUWCUVQUUCUUJUWJUVSDKYJUWEU
      UBXCXBXDUWDUWHUVRAKYKUVISZUEZSZUWAUWDUVRUWEUWLUWCUWEUWLTUVTBYKUVNUWLCFUVL
      YKTAKUVMUWKUVLYKUVIUTVTOUVPVRVSVAUVTUWMUWATZUWCUVTUVRKRZUWNUVQUUCUUJUWOUV
      SDKYJUUBUOXBZAUVRUWKUWAKUWLYKUVIUVRWPUWLVQYKUVIWEVRVHXDXEXHXFUVTUVRCXIZUV
      RUWBTUVTUVRUVDRUWQUVTUVRKUVDUWPNXJMCUVCUVRXKVHQCUVRXLVDXMXFXMWQXNUUGYQUUA
      UHIYOUFUUHUUCYQUUFUUADKUUBYOXOUUHUUEYTLCUUHUUDYSYFUUBYOYRXPXRXQXSXTYA $.
  $}

  ${
    $d A x y $.
    abrexdom.1 $e |- ( y e. A -> E* x ph ) $.
    $( An indexed set is dominated by the indexing set.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    abrexdom $p |- ( A e. V -> { x | E. y e. A ph } ~<_ A ) $=
      ( wcel wrex cab cv wa copab crn cdom wex df-rex abbii wbr cvv wmo cdm wfn
      rnopab eqtr4i wss dmopabss ssexg mpan funopab wi moanimv mpbir mpgbir a1i
      wfun funfn sylib fnrndomg sylc ssdomg mpi domtr syl2anc eqbrtrid ) DEGZAC
      DHZBIZCJDGZAKZCBLZMZDNVGVICOZBIVKVFVLBACDPQVICBUCUDVEVKVJUAZNRZVMDNRZVKDN
      RVEVMSGZVJVMUBZVNVMDUEZVEVPACBDUFZVMDEUGUHVEVJUOZVQVTVEVTVIBTZCVICBUIWAVH
      ABTUJFVHABUKULUMUNVJUPUQVMSVJURUSVEVRVOVSVMDEUTVAVKVMDVBVCVD $.
  $}

  ${
    $d A x y $.  $d B x $.
    $( An indexed set is dominated by the indexing set.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    abrexdom2 $p |- ( A e. V -> { x | E. y e. A x = B } ~<_ A ) $=
      ( cv wceq wmo wcel moeq a1i abrexdom ) AFDGZABCEMAHBFCIADJKL $.
  $}

  ${
    $d A x y z f $.  $d B x y z f $.  $d ph z f $.  $d ps z $.
    ac6gf.1 $e |- F/ y ps $.
    ac6gf.2 $e |- ( y = ( f ` x ) -> ( ph <-> ps ) ) $.
    $( Axiom of Choice.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    ac6gf $p |- ( ( A e. C /\ A. x e. A E. y e. B ph ) ->
                                E. f ( f : A --> B /\ A. x e. A ps ) ) $=
      ( vz wrex wral wcel wsb cv wf wa wex cbvrexsvw ralbii cfv sbhypf sylan2b
      ac6sg imp ) ADFLZCEMEGNZADKOZKFLZCEMZEFHPZQBCEMRHSZUGUJCEADKFTUAUHUKUMUIB
      CKEFHGABDKCPULUBIJUCUEUFUD $.
  $}

  ${
    $d A x y c z w v $.  $d B x y c z w v $.  $d ph c z w v $.
    $( If for every element of an indexing set ` A ` there exists a
       corresponding element of another set ` B ` , then there exists a subset
       of ` B ` consisting only of those elements which are indexed by ` A ` .
       Used to avoid the Axiom of Choice in situations where only the range of
       the choice function is needed.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    indexa $p |- ( ( B e. M /\ A. x e. A E. y e. B ph ) -> E. c
          ( c C_ B /\ A. x e. A E. y e. c ph /\ A. y e. c E. x e. A ph ) ) $=
      ( vz vw vv wcel cv wsbc wrex wral nfv wa sbceq2a nfcv nfsbc1v cvv wss w3a
      crab wex rabexg ssrab2 nfre1 rspcev ancoms anim1ci anasss sbcbidv rexbidv
      a1i wceq elrab sylibr sylancom nfsbcw nfrex nfrabw cbvrexfw sylib rexlimd
      exp31 ralimia cbvrexw bitrdi simprbi rgen 3jca sseq1 rexeqf ralbid raleqf
      nfeq2 3anbi123d spcegv imp syl2an ) EFKACHLZMZBILZMZIDNZHEUDZUAKZWGEUBZAC
      WGNZBDOZABDNZCWGOZUCZGLZEUBZACWONZBDOZWLCWOOZUCZGUEZACENZBDOZWFHEFUFXCWIW
      KWMWIXCWFHEUGUOXBWJBDBLZDKZAWJCEXECPACWGUHXECLZEKZAWJXEXGQZAQZACJLZMZJWGN
      ZWJXHAXFWGKZXLXIXGABWDMZIDNZQZXMAXHXPAXEXGXPAXEQXOXGXEAXOXNAIXDDABWDRZUIU
      JUKULUJWFXOHXFEWBXFUPZWEXNIDXRWCABWDACWBRUMUNZUQURXKAJXFWGACXJRZUIUSXKAJC
      WGJWGSWFCHEWECIDCDSWCCBWDCWDSACWBTUTVACESVBZACXJTAJPXTVCVDVFVEVGWMXCWLCWG
      XMXGWLWFWLHXFEXRWFXOWLXSXNAIBDABWDTAIPXQVHVIUQVJVKUOVLWHWNXAWTWNGWGUAWOWG
      UPZWPWIWRWKWSWMWOWGEVMYBWQWJBDBWOWGWFBHEWEBIDBDSWCBWDTVABESVBVQACWOWGCWOS
      ZYAVNVOWLCWOWGYCYAVPVRVSVTWA $.
  $}

  ${
    $d A c f x y $.  $d B c f x y $.  $d ph f c $.
    $( If for every element of an indexing set ` A ` there exists a
       corresponding element of another set ` B ` , then there exists a subset
       of ` B ` consisting only of those elements which are indexed by ` A ` ,
       and which is dominated by the set ` A ` .  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    indexdom $p |- ( ( A e. M /\ A. x e. A E. y e. B ph ) ->
            E. c ( ( c ~<_ A /\ c C_ B ) /\ ( A. x e. A E. y e. c ph
                                        /\ A. y e. c E. x e. A ph ) ) ) $=
      ( vf wcel wrex wral wa cv wex cdom wbr wss cvv adantr anbi12d wf cfv wsbc
      nfsbc1v sbceq1a ac6gf crn wfn cdm fdm vex dmex eqeltrrdi ffn fnrndomg frn
      sylc nfv nfra1 nfan wfun ffun eleq2d biimpar syl2anc adantlr rspa adantll
      fvelrn rspesbca ex ralrimi nfcv nfralw wceq fvelrnb syl rsp adantl eqcoms
      wb wi biimprcd syl6 reximdai sylbid breq1 sseq1 rexeq ralbidv raleq spcev
      rnex syl22anc exlimiv ) DFIACEJBDKLDEHMZUAZACBMZWPUBZUCZBDKZLZHNGMZDOPZXC
      EQZLZACXCJZBDKZABDJZCXCKZLZLZGNZAWTBCDEFHACWSUDZACWSUEZUFXBXMHXBWPUGZDOPZ
      XPEQZACXPJZBDKZXICXPKZXMWQXQXAWQDRIWPDUHZXQWQDWPUIZRDEWPUJZWPHUKZULUMDEWP
      UNZDRWPUOUQSWQXRXADEWPUPSXBXSBDWQXABWQBURWTBDUSUTZXBWRDIZXSXBYHLWSXPIZWTX
      SWQYHYIXAWQYHLWPVAZWRYCIZYIWQYJYHDEWPVBSWQYKYHWQYCDWRYDVCVDWRWPVIVEVFXAYH
      WTWQWTBDVGVHACWSXPVJVEVKVLXBXICXPWQXACWQCURWTCBDCDVMXNVNUTXBCMZXPIZWSYLVO
      ZBDJZXIWQYMYOWAZXAWQYBYPYFBDYLWPVPVQSXBYNABDYGXBYHWTYNAWBXAYHWTWBWQWTBDVR
      VSYNAWTAWTWAYLWSXOVTWCWDWEWFVLXLXQXRLZXTYALZLGXPWPYEWMXCXPVOZXFYQXKYRYSXD
      XQXEXRXCXPDOWGXCXPEWHTYSXHXTXJYAYSXGXSBDACXCXPWIWJXICXCXPWKTTWLWNWOVQ $.
  $}

  ${
    $d R x y z $.  $d A x y z $.  $d B x y z $.
    $( A subset of a well-founded set has an infimum.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    frinfm $p |- ( ( R Fr A /\ ( B e. C /\ B C_ A /\ B =/= (/) ) ) ->
                    E. x e. A ( A. y e. B -. x `' R y /\
                    A. y e. A ( y `' R x -> E. z e. B y `' R z ) ) ) $=
      ( wfr wcel wss c0 wa cv wbr wn wral wrex wi vex ex wne w3a ccnv fri exp43
      ancom1s 3imp2 ssel2 adantrr brcnv biimpi ralimi ad2antll rspcev ralrimivw
      con3i breq2 ad2antrl jca32 reximdv2 adantl 3ad2antr2 mpd ) DGHZEFIZEDJZEK
      UAZUBLBMZAMZGNZOZBEPZAEQZVIVHGUCZNZOZBEPZVHVIVNNZVHCMZVNNZCEQZRZBDPZLZADQ
      ZVDVEVFVGVMVDVEVFVGVMVEVDVFVGLVMABDEFGUDUFUEUGVDVEVFVMWERZVGVFWFVDVFVLWDA
      EDVFVIEIZVLLZVIDIZWDLVFWHLWIVQWCVFWGWIVLEDVIUHUIVLVQVFWGVKVPBEVOVJVOVJVIV
      HGASBSUJUKUPULUMWGWCVFVLWGWBBDWGVRWAVTVRCVIEVSVIVHVNUQUNTUOURUSTUTVAVBVC
      $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d R x y z $.
    $( A nonempty subset of a well-ordered set has a lower bound.  (Contributed
       by Jeff Madsen, 2-Sep-2009.) $)
    welb $p |- ( ( R We A /\ ( B e. C /\ B C_ A /\ B =/= (/) ) ) ->
              ( `' R Or B /\ E. x e. B ( A. y e. B -. x `' R y /\
                        A. y e. B ( y `' R x -> E. z e. B y `' R z ) ) ) ) $=
      ( wwe wcel wss c0 w3a wa wor cv wbr wral wrex syl 3ad2antr2 wne ccnv wess
      wn wi impcom weso cnvso sylib wfr ssidd 3anim2i adantl frinfm syl2anc jca
      wefr ) DGHZEFIZEDJZEKUAZLZMZEGUBZNZAOZBOZVDPUDBEQVGVFVDPVGCOVDPCERUEBEQMA
      ERZURUSUTVEVAURUTMZEGNZVEVIEGHZVJUTURVKEDGUCUFZEGUGSEGUHUITVCEGUJZUSEEJZV
      ALZVHURUSUTVMVAVIVKVMVLEGUQSTVBVOURUTVNUSVAUTEUKULUMABCEEFGUNUOUP $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d R x y z $.
    $( Existence of supremum.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    supex2g $p |- ( A e. C -> sup ( B , A , R ) e. _V ) $=
      ( vx vy vz wcel csup cv wbr wn wral wrex wi wa crab cuni cvv df-sup
      rabexg uniexd eqeltrid ) ACHZBADIEJZFJZDKLFBMUFUEDKUFGJDKGBNOFAMPZEAQZRSE
      FGBADTUDUHSUGEACUAUBUC $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d R x y z $.
    $( Closure of supremum.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    supclt $p |- ( ( R Or A /\ E. x e. A ( A. y e. B -. x R y /\ A. y e. A
            ( y R x -> E. z e. B y R z ) ) ) -> sup ( B , A , R ) e. A ) $=
      ( wor cv wbr wn wral wrex wi wa simpl simpr supcl ) DFGZAHZBHZFIJBEKTSFIT
      CHFICELMBDKNADLZNABCDEFRUAORUAPQ $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d R x y z $.
    $( Upper bound property of supremum.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    supubt $p |- ( ( R Or A /\ E. x e. A ( A. y e. B -. x R y /\
                        A. y e. A ( y R x -> E. z e. B y R z ) ) ) ->
                                ( C e. B -> -. sup ( B , A , R ) R C ) ) $=
      ( wor cv wbr wn wral wrex wi wa simpl simpr supub ) DGHZAIZBIZGJKBELUATGJ
      UACIGJCEMNBDLOADMZOABCDEFGSUBPSUBQR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Real and complex numbers; integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A u v w x y z $.  $d B u v w x y z $.  $d ph u v w y $.
    $( Combine a finite set of lower bounds.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    filbcmb $p |- ( ( A e. Fin /\ A =/= (/) /\ B C_ RR ) ->
                      ( A. x e. A E. y e. B A. z e. B ( y <_ z -> ph )
                    -> E. y e. B A. z e. B ( y <_ z -> A. x e. A ph ) ) ) $=
      ( vw vu vv cfn wcel cr cv cle wi wral wrex wa ssel2 adantlr wne reex ssex
      c0 wss w3a wbr cvv indexfi 3expia sylan2 3adant2 rexn0 rexlimivw 3ad2ant2
      r19.2z syl ex ad2antrr sstr ancoms fimaxre sylan anasss ancom2s 3ad2antl3
      anassrs syld a1dd 3impd nfv nfcv nfre1 nfralw nfan nfra1 nfrex weq imbi1d
      breq1 ralbidv cbvrexvw rsp adantrr ad2ant2r rspccva adantll simplrr letrd
      adantr pm2.27 ad2antlr mpid rexlimdva syl5bi ralimdva an32s exp32 ralrimi
      syl5 imp reximdai ssrexv exp43 3ad2ant3 mpdd ) EJKZEUDUAZFLUEZUFZCMZDMZNU
      GZAOZDFPZCFQBEPZGMZFUEZXOCXQQZBEPZXOBEQCXQPZUFZGJQZXMABEPZOZDFPZCFQZXGXIX
      PYCOZXHXIXGFUHKZYHFLUBUCXGYIXPYCXOBCEFUHGUIUJUKULXJYBYGGJXJXQJKZRZYBHMZXK
      NUGZHXQPZCXQQZYGYKXRXTYAYOYKXRXTYAYOOOYKXRRZXTYOYAYPXTXQUDUAZYOXJXTYQOZYJ
      XRXHXGYRXIXHXTYQXHXTRXSBEQYQXSBEUPXSYQBEXOCXQUMUNUQURUOUSXJYJXRYQYOOZXIXG
      YJXRRYSXHXIXRYJYSXIXRYJYSXIXRRZXQLUEZYJYSXRXIUUAXQFLUTVAUUAYJYQYOCHXQVBUJ
      VCVDVEVFVGVHVIURVJXJYBYOYGOZOZYJXIXGUUCXHXIXRXTYAUUBXIXRXTYAUUBYTXTYARZRY
      OYFCXQQZYGYTXTYOUUEOYAYTXTRZYNYFCXQYTXTCYTCVKXSCBECEVLXOCXQVMVNVOUUFXKXQK
      ZYNYFUUFUUGYNRZRYEDFUUFUUHDYTXTDYTDVKXSDBEDEVLXODCXQDXQVLXNDFVPVQVNVOUUHD
      VKVOYTUUHXTXLFKZYEOYTUUHRZXTRUUIXMYDUUJUUIXMRZXTYDUUJUUKRZXTYDUULXSABEXSI
      MZXLNUGZAOZDFPZIXQQUULBMEKZRZAXOUUPCIXQCIVRZXNUUODFUUSXMUUNAXKUUMXLNVTVSW
      AWBUURUUPAIXQUULUUMXQKZUUPAOUUQUUPUUIUUOOZUULUUTRZAUUODFWCUVBUVAUUNAUVBUU
      MXKXLUUJUUTUUMLKZUUKYTUUTUVCUUHXIXRUUTUVCXRUUTRXIUUMFKUVCXQFUUMSFLUUMSUKV
      GTTUUJXKLKZUUKUUTYTUUGUVDYNXIXRUUGUVDXRUUGRXIXKFKUVDXQFXKSFLXKSUKVGWDUSUU
      LXLLKZUUTYTUUIUVEUUHXMXIUUIUVEXRFLXLSTWEWJUUJUUTUUMXKNUGZUUKUUHUUTUVFYTYN
      UUTUVFUUGYMUVFHUUMXQYLUUMXKNVTWFWGWGTUUJUUIXMUUTWHWIUUKUVAUUOOZUUJUUTUUIU
      VGXMUUIUUOWKWJWLWMWTTWNWOWPXAWQWRWQWSWRXBWDXRUUEYGOXIUUDYFCXQFXCWLVHXDVJX
      EWJXFWNVH $.
  $}

  $( Membership of a product in a finite interval of integers.  (Contributed by
     Jeff Madsen, 17-Jun-2010.) $)
  fzmul $p |- ( ( M e. ZZ /\ N e. ZZ /\ K e. NN ) -> ( J e. ( M ... N ) ->
                        ( K x. J ) e. ( ( K x. M ) ... ( K x. N ) ) ) ) $=
    ( cz wcel w3a cfz co cle wbr cmul wb wi wa cr zre 3expa zmulcl ex elfz1 cc0
    cn 3adant3 clt nnre nngt0 jca lemul2 syl3an biimpd adantllr ancom1s anim12d
    adantlll 3anim123d elfz 3coml nnz syl11 imp sylibrd an32s exp4b 3impd 3impa
    syl6 sylbid ) CEFZDEFZBUCFZGACDHIFZAEFZCAJKZADJKZGZBALIZBCLIZBDLIZHIFZVIVJV
    LVPMVKACDUAUDVIVJVKVPVTNVIVJOZVKOZVMVNVOVTWBVMVNVOVTWAVMVKVNVOOZVTNWAVMOZVK
    OZWCVRVQJKZVQVSJKZOZVTWEVNWFVOWGVIVMVKVNWFNVJVIVMOVKOVNWFVIVMVKVNWFMZVICPFV
    MAPFZVKBPFZUBBUEKZOZWICQAQZVKWKWLBUFBUGUHZCABUIUJRUKULVJVMVKVOWGNVIVJVMOVKO
    VOWGVMVJVKVOWGMZVMVJVKWPVMWJVJDPFVKWMWPWNDQWOADBUIUJRUMUKUOUNWDVKVTWHMZVIVJ
    VMVKWQNBEFZVIVJVMGZWQVKWRWSVREFZVSEFZVQEFZGWQWRVIWTVJXAVMXBWRVIWTBCSTWRVJXA
    BDSTWRVMXBBASTUPXBWTXAWQVQVRVSUQURVGBUSUTRVAVBVCVDVEVFVH $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Sequences and sums
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d f g h j k n w x y A $.  $d h j k m w x J $.  $d f g h j k m n w x y M $.
    $d g j ch $.  $d j m n w x F $.  $d f h j k x y ps $.  $d f g j n x y si $.
    $d f g h j k m n w x G $.  $d j n w x y ph $.  $d n w x y th $.  $d h V $.
    $d h j k n w x y ta $.  $d f g h j k m n w x y Z $.
    sdc.1 $e |- Z = ( ZZ>= ` M ) $.
    sdc.2 $e |- ( g = ( f |` ( M ... n ) ) -> ( ps <-> ch ) ) $.
    sdc.3 $e |- ( n = M -> ( ps <-> ta ) ) $.
    sdc.4 $e |- ( n = k -> ( ps <-> th ) ) $.
    sdc.5 $e |- ( ( g = h /\ n = ( k + 1 ) ) -> ( ps <-> si ) ) $.
    sdc.6 $e |- ( ph -> A e. V ) $.
    sdc.7 $e |- ( ph -> M e. ZZ ) $.
    sdc.8 $e |- ( ph -> E. g ( g : { M } --> A /\ ta ) ) $.
    sdc.9 $e |- ( ( ph /\ k e. Z ) -> ( ( g : ( M ... k ) --> A /\ th ) ->
                  E. h ( h : ( M ... ( k + 1 ) ) --> A /\
                         g = ( h |` ( M ... k ) ) /\ si ) ) ) $.
    ${
      sdc.10 $e |- J = { g | E. n e. Z ( g : ( M ... n ) --> A /\ ps ) } $.
      sdc.11 $e |- F = ( w e. Z , x e. J |-> { h | E. k e. Z
     ( h : ( M ... ( k + 1 ) ) --> A /\ x = ( h |` ( M ... k ) ) /\ si ) } ) $.
      ${
        sdc.12 $e |- F/ k ph $.
        sdc.13 $e |- ( ph -> G : Z --> J ) $.
        sdc.14 $e |- ( ph -> ( G ` M ) : ( M ... M ) --> A ) $.
        sdc.15 $e |- ( ( ph /\ w e. Z ) ->
                       ( G ` ( w + 1 ) ) e. ( w F ( G ` w ) ) ) $.
        $( Lemma for ~ sdc .  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
        sdclem2 $p |- ( ph -> E. f ( f : Z --> A /\ A. n e. Z ch ) ) $=
          ( vm cv cfv cmpt wf cfz co wsbc wral wa wex wcel ffvelrnda cab eleq2i
          wrex nfcv nfv nfsbc1v nfan nfrex fvex wceq feq1 sbceq1a anbi12d elabf
          rexbidv bitri sylib weq cdm fdm adantr wi caddc fveq2 mpteq1d eqeq12d
          cuz c1 oveq2 imbi2d cz id fveq12d eqid fvmpt adantl elfz1eq fveq1d ex
          ralrimi wfn fnmpti sylancl a1i cres w3a cvv simpr wss cmap ovex ssexg
          wb syl eqeq1 reseq1 eqeq2d fzssp1 eleqtrdi fzopth simprd resmpt ax-mp
          sylancr fvres eluzfz2 syl5ibrcom sylbid mpd eqtrdi bitrd sbcbidv ffnd
          fveq2d eqtr2d eqfnfv mpbird 3simpa reximi ss2abi fvexi elmapg syl5ibr
          simpl mpan2 abssdv a1d abrexex2g 3anbi2d abbidv eleq1d imbi12d 3com12
          ovmpt4g 3exp vtoclga eqsstrdi sseldd elab simprl fssres simprr fneq1d
          syl3c fdmd mpbiri fndmd eqtr3d simplr oveq1d oveq2d wo elfzp1 reseq2d
          mpbid eqtrd syl5ibcom eqeltrrd peano2uz 4syl eqcomd jaod ralrimiv ffn
          eqtr2di ad2antrl eqfnfv2 mpbir2and expr imbi1d expimpd rexlimd expcom
          sylbir a2d uzind4 eleq2s impcom dmeqd dmmptg mprg eqeq1d syl6bi feq2d
          syl5 equcoms biimpcd sylcom rexlimdvw simpld ffvelrnd fmptdf sbceq1dd
          cbvmptv mpteq1 dfsbcq 3syl cbvralvw sylibr mptex resex sbcie sseqtrri
          vex fzssuz sbceq1d bitr3id ralbidv spcev syl2anc ) ATIUPTUPUQZUYSPURZ
          URZUSZUTZBKUPRNUQZVAVBZVUAUSZVCZNTVDZTIJUQZUTZCNTVDZVEZJVFAMTMUQZVUMP
          URZURZIVUBULAVUMTVGZVEZRVUMVAVBZIVUMVUNVUQVURIVUNUTZDKVUNVCZVUQVUEIVU
          NUTZBKVUNVCZVEZNTVKZVUSVUTVEZVUQVUNQVGZVVDATQVUMPUMVHVVFVUNVUEIKUQZUT
          ZBVEZNTVKZKVIZVGVVDQVVKVUNUJVJVVJVVDKVUNVVCKNTKTVLVVAVVBKVVAKVMBKVUNV
          NVOVPVUMPVQVVGVUNVRZVVIVVCNTVVLVVHVVABVVBVUEIVVGVUNVSBKVUNVTWAWCWBWDW
          EVUQVVCVVENTVUQVVCMNWFZVVEVVCVUNWGZVUEVRZVUQVVMVVAVVOVVBVUEIVUNWHWIVU
          QVVORRVRZVVMVEZVVMVUQVVOVURVUEVRZVVQVUQVVNVURVUEVUQVVNUPVURVUAUSZWGZV
          URVUQVUNVVSVUPAVUNVVSVRZAVWAWJZVUMRWOURZTAGUQZPURZUPRVWDVAVBZVUAUSZVR
          ZWJARPURZUPRRVAVBZVUAUSZVRZWJZAHUQZPURZUPRVWNVAVBZVUAUSZVRZWJAVWNWPWK
          VBZPURZUPRVWSVAVBZVUAUSZVRZWJVWBGHRVUMVWDRVRZVWHVWLAVXDVWEVWIVWGVWKVW
          DRPWLVXDUPVWFVWJVUAVWDRRVAWQWMWNWRGHWFZVWHVWRAVXEVWEVWOVWGVWQVWDVWNPW
          LVXEUPVWFVWPVUAVWDVWNRVAWQWMWNWRVWDVWSVRZVWHVXCAVXFVWEVWTVWGVXBVWDVWS
          PWLVXFUPVWFVXAVUAVWDVWSRVAWQWMWNWRGMWFZVWHVWAAVXGVWEVUNVWGVVSVWDVUMPW
          LVXGUPVWFVURVUAVWDVUMRVAWQWMWNWRVWMRWSVGAVWLVUMVWIURZVUMVWKURZVRZMVWJ
          VDZAVXJMVWJULAVUMVWJVGZVXJAVXLVEZVXIVUOVXHVXLVXIVUOVRAUPVUMVUAVUOVWJV
          WKUPMWFZUYSVUMUYTVUNUYSVUMPWLVXNWTXAZVWKXBZVUMVUNVQXCXDVXMVUMVUNVWIVX
          MVUMRPVXLVUMRVRAVUMRXEXDUUBXFUUCXGXHAVWIVWJXIVWKVWJXIVWLVXKYAAVWJIVWI
          UNUUAUPVWJVUAVWKUYSUYTVQZVXPXJMVWJVWIVWKUUDXKUUEXLVWNVWCVGZAVWRVXCVXR
          VWNTVGZAVWRVXCWJZWJTVWCVWNUAVJAVXSVXTAVXSVEZRVUMWPWKVBZVAVBZIVWTUTZVW
          OVWTVURXMZVRZVEZMTVKZVXTVYAVWTVYCILUQZUTZVWOVYIVURXMZVRZVEZMTVKZLVIZV
          GVYHVYAVWNVWOOVBZVYOVWTVYAVYPVYJVYLFXNZMTVKZLVIZVYOVYAVWOQVGVXSVYSXOV
          GZVYPVYSVRZATQVWNPUMVHAVXSXPVYAVYSVYOXQVYOXOVGZVYTVYRVYNLVYQVYMMTVYJV
          YLFUUFUUGUUHZVYATXOVGVYMLVIZXOVGZMTVDWUBTRWOUAUUIZVYAWUEMTAVXSMULVXSM
          VMVOZVYAWUEVUPVYAWUDIVYCXRVBZXQZWUHXOVGWUEVYAISVGZWUIAWUJVXSUFWIWUJVY
          MLWUHVYMVYIWUHVGZWUJVYJVYJVYLUULWUJVYCXOVGWUKVYJYARVYBVAXSIVYCVYISXOU
          UJUUMUUKUUNYBIVYCXRXSWUDWUHXOXTXKUUOXHVYMMLTXOXOUUPYLVYSVYOXOXTYLVXSV
          YJVWDVYKVRZFXNZMTVKZLVIZXOVGZVWNVWDOVBZWUOVRZWJZWJVXSVYTWUAWJZWJGVWOQ
          VWDVWOVRZWUSWUTVXSWVAWUPVYTWURWUAWVAWUOVYSXOWVAWUNVYRLWVAWUMVYQMTWVAW
          ULVYLVYJFVWDVWOVYKYCUUQWCUURZUUSWVAWUQVYPWUOVYSVWDVWOVWNOWQWVBWNUUTWR
          VWDQVGZVXSWUPWURVXSWVCWUPWURHGTQWUOOXOUKUVBUVAUVCUVDUVLWUCUVEUOUVFVYN
          VYHLVWTVWSPVQVYIVWTVRZVYMVYGMTWVDVYJVYDVYLVYFVYCIVYIVWTVSWVDVYKVYEVWO
          VYIVWTVURYDYEWAWCUVGWEVYAVYGVXTMTWUGVXTMVMVYAVUPVYGVXTWJVYAVUPVEZVYDV
          YFVXTWVEVYDVEVXTVYFVYEVWQVRZVXCWJWVEVYDWVFVXCWVEVYDWVFVEZVEZVXCVYCVXA
          VRZVWDVWTURZVWDVXBURZVRZGVYCVDZWVHVYBVWSRVAWVHVUMVWNWPWKWVHVVPMHWFZWV
          HVURVWPVRZVVPWVNVEZWVHVYEWGVURVWPWVHVURIVYEWVHVYDVURVYCXQVURIVYEUTWVE
          VYDWVFUVHRVUMYFVYCIVURVWTUVIXKUVMWVHVWPVYEWVHVYEVWPXIVWQVWPXIUPVWPVUA
          VWQVXQVWQXBXJWVHVWPVYEVWQWVEVYDWVFUVJZUVKUVNUVOUVPZWVHVUMVWCVGZWVOWVP
          YAWVHVUMTVWCVYAVUPWVGUVQUAYGZRVWNRVUMYHYBUWCYIZUVRZUVSWVHWVLGVYCWVHVW
          DVYCVGZVWDVURVGZVWDVYBVRZUVTZWVLWVHWVSWWCWWFYAWVTVWDRVUMUWAYBWVHWWDWV
          LWWEWVHVWDVYEURZVWDVXBVURXMZURZVRWWDWVLWVHVWDVYEWWHWVHVYEVWQWWHWVQWVH
          WWHVXBVWPXMZVWQWVHVURVWPVXBWVRUWBVWPVXAXQWWJVWQVRRVWNYFUPVXAVWPVUAYJY
          KUWMUWDXFWWDWWGWVJWWIWVKVWDVURVWTYMVWDVURVXBYMWNUWEWVHWWEVXFWVLWVHVYB
          VWSVWDWWBYEWVHWVLVXFVWSVWTURZVWSVXBURZVRWVHWWLWWKWVHVXRVWSVWCVGVWSVXA
          VGWWLWWKVRWVHVUMVWNVWCWWAWVTUWFRVWNUWGRVWSYNUPVWSVUAWWKVXAVXBUYSVWSVR
          ZUYSVWSUYTVWTUYSVWSPWLWWMWTXAVXBXBZVWSVWTVQXCUWHUWIVXFWVJWWKWVKWWLVWD
          VWSVWTWLVWDVWSVXBWLWNYOYPUWJYPUWKWVHVWTVYCXIZVXBVXAXIVXCWVIWVMVEYAVYD
          WWOWVEWVFVYCIVWTUWLUWNUPVXAVUAVXBVXQWWNXJGVYCVXAVWTVXBUWOXKUWPUWQVYFV
          WRWVFVXCVWOVYEVWQYCUWRYOUWSXGUWTYQUXAUXBUXCUXDUAUXEUXFZUXGVUAXOVGZVVT
          VURVRUPVURUPVURVUAXOUXHWWQUYSVURVGVXQXLUXIYRUXJVUQWVSVVRVVQYAVUQVUMTV
          WCAVUPXPUAYGZRVUDRVUMYHYBYSVVPVVMXPUXKUXMVVMVVCVVEVVCVVEYANMNMWFZVVAV
          USVVBVUTWWSVUEVURIVUNVUDVUMRVAWQZUXLWWSBDKVUNUDYTWAUXNUXOUXPUXQYQZUXR
          VUQWVSVUMVURVGWWRRVUMYNYBUXSUPMTVUAVUOVXOUYBUXTADKVVSVCZMTVDVUHAWXBMT
          ULAVUPWXBVUQDKVUNVVSWWPVUQVUSVUTWXAYIUYAXGXHVUGWXBNMTWWSVUGBKVVSVCZWX
          BWWSVUEVURVRVUFVVSVRVUGWXCYAWWTUPVUEVURVUAUYCBKVUFVVSUYDUYEWWSBDKVVSU
          DYTYSUYFUYGVULVUCVUHVEJVUBUPTVUAWUFUYHVUIVUBVRZVUJVUCVUKVUHTIVUIVUBVS
          WXDCVUGNTCBKVUIVUEXMZVCWXDVUGBCKWXEVUIVUEJUYLUYIUBUYJWXDBKWXEVUFWXDWX
          EVUBVUEXMZVUFVUIVUBVUEYDVUETXQWXFVUFVRVUEVWCTRVUDUYMUAUYKUPTVUEVUAYJY
          KYRUYNUYOUYPWAUYQUYR $.
      $}

      $d g h k ph $.
      $( Lemma for ~ sdc .  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
      sdclem1 $p |- ( ph -> E. f ( f : Z --> A /\ A. n e. Z ch ) ) $=
        ( vj vm csn cv wf wa wral wex cz wcel cc0 cif cuz cfv wceq c1 caddc w3a
        co cvv cxp cpw c0 cdif cfz wrex cab fvexi cmap wss simpl wb ovex elmapg
        sylancl syl5ibr abssdv ralrimivw abrexex2g sylancr eqeltrid adantr uzid
        ssexg eleqtrrdi simprl fzsn feq2d mpbird simprr anbi12d rspcev syl12anc
        syl oveq2 abeq2i sylibr cres wne wsbc peano2uzs ad2antlr simpr1 vex weq
        simpr3 wi a1i sbc2iedv ad2antrr nfv nfcv nfsbc1v nfsbcw sbceq1a sbcbidv
        nfan rspce eleq2i nfrex feq1 rexbidv sylib iftrued fveq2d eqtr4di sylan
        nfre1 nfab nfcxfr elabf bitri rexlimdva2 elpw2g cbvrexvw rexcom4 syl6ib
        reximdva syl5bi ss2abdv eqsstrid sselda eqeq1 3anbi2d elab abn0 adantlr
        exbidv eldifsn sylanbrc adantrl ralrimivva xpeq1d biimpar syldan elimel
        fmpo 0z eqid axdc4uz syl3anc abbii eqtri feq3 bitrdi fveqeq2d 3anbi123d
        ax-mp raleqdv simpll cmpo nfmpo nfov nfel2 nfralw simpr2 feq12d fvoveq1
        nff nf3an fveq2 oveq12d eleq12d rspccva sdclem2 sylbid exlimdv exlimddv
        id ex mpd ) AQUMZIKUNZUOZEUPZSIJUNUOCNSUQUPJURZKUGAUXEUPZQUSUTZQVAVBZVC
        VDZPUKUNZUOZUXIUXKVDUXCVEZULUNZVFVGVIUXKVDZUXNUXNUXKVDZOVIZUTZULUXJUQZV
        HZUKURZUXFUXGPVJUTZUXCPUTZUXJPVKZPVLZVMUMVNZOUOZUYAAUYBUXEAPQNUNZVOVIZI
        UXCUOZBUPZNSVPZKVQZVJUIASVJUTUYKKVQZVJUTZNSUQUYMVJUTSQVCTVRAUYONSAUYNIU
        YIVSVIZVTUYPVJUTUYOAUYKKUYPUYKUXCUYPUTZAUYJUYJBWAAIRUTZUYIVJUTUYQUYJWBU
        EQUYHVOWCIUYIUXCRVJWDWEWFWGIUYIVSWCUYNUYPVJWNWEWHUYKNKSVJVJWIWJWKZWLUXG
        UYLUYCUXGQSUTQQVOVIZIUXCUOZEUYLUXGQQVCVDZSUXGUXHQVUBUTAUXHUXEUFWLZQWMXD
        TWOUXGVUAUXDAUXDEWPZUXGUYTUXBIUXCUXGUXHUYTUXBVEZVUCQWQZXDWRWSAUXDEWTUYK
        VUAEUPNQSUYHQVEZUYJVUABEVUGUYIUYTIUXCUYHQQVOXEWRUBXAXBXCUYLKPUIXFXGAUXE
        SPVKZUYFOUOZUYGUXGQMUNZVFVGVIZVOVIZILUNZUOZGUNZVUMQVUJVOVIZXHZVEZFVHZMS
        VPZLVQZUYFUTZGPUQHSUQVUIUXGVVBHGSPUXGVUOPUTZVVBHUNZSUTZUXGVVCUPZVVAUYEU
        TZVVAVMXIZVVBVVFVVGVVAPVTZAVVIUXEVVCAVUTLPAVUSVUMPUTZMSAVUJSUTZUPZVUSUP
        ZUYIIVUMUOZBKVUMXJZUPZNSVPZVVJVVMVUKSUTZVUNBNVUKXJZKVUMXJZVVQVVKVVRAVUS
        QVUJSTXKXLVVLVUNVURFXMVVMVVTFVVLVUNVURFXPAVVTFWBVVKVUSABFKNVUMVUKLXNZVU
        JVFVGWCKLXOZUYHVUKVEZUPBFWBXQAUDXRXSXTWSVVPVUNVVTUPNVUKSVUNVVTNVUNNYAVV
        SNKVUMNVUMYBBNVUKYCYDYGVWCVVNVUNVVOVVTVWCUYIVULIVUMUYHVUKQVOXEWRVWCBVVS
        KVUMBNVUKYEYFXAYHXCVVJVUMUYMUTVVQPUYMVUMUIYIUYLVVQKVUMVVPKNSKSYBVVNVVOK
        VVNKYABKVUMYCYGYJVWAVWBUYKVVPNSVWBUYJVVNBVVOUYIIUXCVUMYKBKVUMYEXAYLUUAU
        UBXGUUCWGXTVVFUYBVVGVVIWBAUYBUXEVVCUYSXTVVAPVJUUDXDWSAVVCVVHUXEAVVCUPZV
        UTLURZVVHVWDVUOVUNUXCVUQVEZFVHZMSVPZLURZKVQZUTVWEAPVWJVUOAPUYMVWJUIAUYL
        VWIKUYLVUPIUXCUOZDUPZMSVPZAVWIUYKVWLNMSNMXOZUYJVWKBDVWNUYIVUPIUXCUYHVUJ
        QVOXEWRUCXAUUEZAVWMVWGLURZMSVPVWIAVWLVWPMSUHUUHVWGMLSUUFUUGUUIUUJUUKUUL
        VWIVWEKVUOGXNKGXOZVWHVUTLVWQVWGVUSMSVWQVWFVURVUNFUXCVUOVUQUUMUUNYLUURUU
        OYMVUTLUUPXGUUQVVAUYEVMUUSUUTUVAUVBHGSPVVAUYFOUJUVGYMAUYGVUIAUYDVUHUYFO
        AUXJSPAUXJVUBSAUXIQVCAUXHQVAUFYNYOTYPUVCWRUVDUVEPUXCUKULOUXIVJUXJQVAUSU
        VHUVFUXJUVIUVJUVKUXGUXTUXFUKUXGUXTSVWMKVQZUXKUOZQUXKVDZUXCVEZUXRULSUQZV
        HZUXFUXGUXLVWSUXMVXAUXSVXBUXGUXLSPUXKUOZVWSUXGUXJSPUXKUXGUXJVUBSUXGUXIQ
        VCUXGUXHQVAVUCYNZYOTYPZWRPVWRVEVXDVWSWBPUYMVWRUIUYLVWMKVWOUVLUVMZPVWRSU
        XKUVNUVRZUVOUXGUXIQUXCUXKVXEUVPUXGUXRULUXJSVXFUVSUVQUXGVXCUXFUXGVXCUPZB
        CDEFGHIJKLMNOUXKPQRSTUAUBUCUDAUYRUXEVXCUEXTAUXHUXEVXCUFXTZAUXEKURUXEVXC
        UGXTVXIAVVKVWLVWPXQAUXEVXCUVTUHYQUIUJUXGVXCMUXGMYAVWSVXAVXBMMSVWRUXKMUX
        KYBMSYBZVWMMKVWLMSYRYSZUWIVXAMYAUXRMULSVXKMUXOUXQMUXNUXPOMUXNYBMOHGSPVV
        AUWAUJHGMSPVVAVXKMPVWRVXGVXLYTVUTMLVUSMSYRYSUWBYTMUXPYBUWCUWDUWEUWJYGVX
        IVWSVXDUXGVWSVXAVXBXMVXHXGVXIUYTIVWTUOUXDUXGUXDVXCVUDWLVXIUYTUXBIVWTUXC
        UXGVWSVXAVXBUWFVXIUXHVUEVXJVUFXDUWGWSVXIVXBVVEVVDVFVGVIUXKVDZVVDVVDUXKV
        DZOVIZUTZUXGVWSVXAVXBXPUXRVXPULVVDSULHXOZUXOVXMUXQVXOUXNVVDVFUXKVGUWHVX
        QUXNVVDUXPVXNOVXQUWSUXNVVDUXKUWKUWLUWMUWNYQUWOUWTUWPUWQUXAUWR $.
    $}

    $d g h k ph $.
    $( Strong dependent choice.  Suppose we may choose an element of ` A ` such
       that property ` ps ` holds, and suppose that if we have already chosen
       the first ` k ` elements (represented here by a function from
       ` 1 ... k ` to ` A ` ), we may choose another element so that all
       ` k + 1 ` elements taken together have property ` ps ` .  Then there
       exists an infinite sequence of elements of ` A ` such that the first
       ` n ` terms of this sequence satisfy ` ps ` for all ` n ` .  This
       theorem allows us to construct infinite seqeunces where each term
       depends on all the previous terms in the sequence.  (Contributed by Jeff
       Madsen, 2-Sep-2009.)  (Proof shortened by Mario Carneiro,
       3-Jun-2014.) $)
    sdc $p |- ( ph -> E. f ( f : Z --> A /\ A. n e. Z ch ) ) $=
      ( vx vy vj cv cfz co wf wa wrex cab c1 caddc cres wceq w3a cmpo weq oveq2
      feq2d anbi12d cbvrexvw abbii mpoeq123i eqidd eqeq1 3anbi2d rexbidv abbidv
      eqid cbvmpov eqtr3i sdclem1 ) ABCDEFUEUFGHIJKLUGHOMKUHZUIUJZGIUHZUKZDULZK
      OUMZIUNZMVQUOUPUJUIUJGJUHZUKZHUHZWDVRUQZURZFUSZKOUMZJUNZUTZMLUHZUIUJZGVSU
      KZBULZLOUMZIUNZMNOPQRSTUAUBUCUDWRVMUGHOWRWKUTWLUFUEOWRWEUEUHZWGURZFUSZKOU
      MZJUNZUTUGHOWRWKOWCWKOVMWQWBIWPWALKOLKVAZWOVTBDXDWNVRGVSWMVQMUIVBVCSVDVEV
      FWKVMVGUGHUFUEOWRWKXCWKUGUFVAWKVHHUEVAZWJXBJXEWIXAKOXEWHWTWEFWFWSWGVIVJVK
      VLVNVOVP $.
  $}

  ${
    $d C c f n $.  $d A a b c d f g m n x $.  $d M a b c d f g j k m n x $.
    $d Z a b c d g j m n x $.  $d N a b c d f g j k m n $.  $d R a b d $.
    $d ph c d f g j k m $.  $d ps a $.  $d ch a b c d g m n $.
    $d th c d f g n $.  $d ta a b c d g m $.  $d et a b g m $.
    fdc.1 $e |- A e. _V $.
    fdc.2 $e |- M e. ZZ $.
    fdc.3 $e |- Z = ( ZZ>= ` M ) $.
    fdc.4 $e |- N = ( M + 1 ) $.
    fdc.5 $e |- ( a = ( f ` ( k - 1 ) ) -> ( ph <-> ps ) ) $.
    fdc.6 $e |- ( b = ( f ` k ) -> ( ps <-> ch ) ) $.
    fdc.7 $e |- ( a = ( f ` n ) -> ( th <-> ta ) ) $.
    fdc.8 $e |- ( et -> C e. A ) $.
    fdc.9 $e |- ( et -> R Fr A ) $.
    fdc.10 $e |- ( ( et /\ a e. A ) -> ( th \/ E. b e. A ph ) ) $.
    fdc.11 $e |- ( ( ( et /\ ph ) /\ ( a e. A /\ b e. A ) ) -> b R a ) $.
    $( Finite version of dependent choice.  Construct a function whose value
       depends on the previous function value, except at a final point at which
       no new value can be chosen.  The final hypothesis ensures that the
       process will terminate.  The proof does not use the Axiom of Choice.
       (Contributed by Jeff Madsen, 18-Jun-2010.) $)
    fdc $p |- ( et -> E. n e. Z E. f ( f : ( M ... n ) --> A /\
              ( ( f ` M ) = C /\ ta ) /\ A. k e. ( N ... n ) ch ) ) $=
      ( vc vd vm vg vx vj wcel cv cfz co wf cfv wceq wa wral w3a wex c0 wss wbr
      wrex wn wi wsbc cuz ax-mp csn sylancr adantr a1i feq1 fveq1 eqeq1d eqtrdi
      cz wb sbceq2a anbi12d oveq2 feq2d fvex sbcie fveq2 sbceq1d bitr3id anbi2d
      syl c1 caddc oveq1i clt ltp1i raleqdv 3anbi123d exbidv rspcev adantll weq
      mpbi eqeq2 anbi1d 3anbi2d ad2antll cmin bitri sbceqbid ad2antlr eleq1 cif
      rexbidv eleq2s cle ltnlei elfzle1 syl6bi com12 mtoi adantl iffalsed 1z ex
      com23 imp ax-1cn cc fvmpt eqeq1 fvoveq1 ifbieq2d ifex sselid cvv eleqtrri
      crab cdif uzid cop eqid elexi vex fsn mpbir snssi fzsn feq2i sylibr simpr
      fss fvsn snex spcev syl12anc zrei peano2z fzn mp2an eqtri df-3an mpbiran2
      ral0 bitrdi breq1 expcom dfrex2 syl6ib con2d eldif simplbi2 ssrab2 eleq2i
      a1d dfss4 elrab3 syl5bb sylibd cbvrexvw sbcbidv ralbidv cbvexvw peano2uzs
      rexbii imbi1d imbi12d imbi2d cmpt peano2uz elfzp12 iftrue eleq1d biimprcd
      wo ad2antrr 1re readdcli elfzelz eluzelz fzsubel biimpd mpanr2 mpanl1 mpd
      peano2zd recni pncan3oi zcnd pncan sylancl oveq12d eleqtrd ffvelrn sylan2
      anassrs ancom1s eqeltrd jaod sylbid ralrimiv fmpt sylib 3ad2antr1 eluzfz1
      adantlll eluzfz2 cr wne eluzle zleltp1 mpbid neneqd fveq2d 3eqtrd biimpar
      ltne ad2ant2l 3ad2antr2 eluzp1p1 fveq2i biimpa adantlr oveq1 eqtrd eqeq2i
      eleqtrrdi sylbi ltleii eluz2 mpbir3an fzss1 fzaddel mpanr12 gtneii simprl
      ifnefalse biimparc adantlrr eqeltri rspcva fzssp1 breqtrri subadd mp3an23
      sylan eqcom addcomi syl5bi lttri syldan an32s adantlrl ralrimiva cbvralvw
      mp2b jaodan adantllr adantrlr 3adantr1 ovex mptex chvarvv syl2anc exlimdv
      syl121anc rexlimdva 3syld an42s rexlimdvaa mpjaodan sylibrd notbii bitr4i
      iman syl6ibr nrexdv df-ne wfr difss difexg expr syl5bir mt3d ssdif0 eqssd
      fri rabid2 ) FHGUOMLUPZUQURZGJUPZUSZMVXOUTZUIUPZVAZEVBZCKNVXMUQURZVCZVDZJ
      VEZLOVIZUIGVCZVXPVXQHVAZEVBZVYBVDZJVEZLOVIZUEFGVYEUIGUUBZVAVYFFGVYLFGVYLU
      UCZVFVAZGVYLVGFVYNUJUPZPUPZIVHZVJUJVYMVCZPVYMVIZFVYRPVYMFVYPVYMUOZVYRVJZF
      VYRVYTFVYRVYPGUOZVYPVYLUOZVKZVYTVJZFWUBVYRWUCFWUBVYRWUCVKFWUBVBZVYRVXPVXQ
      VYPVAZEVBZVYBVDZJVEZLOVIZWUCWUFDVYRWUKVKZAQGVIZWUFDVBWUKVYRWUBDWUKFWUBDVB
      ZMOUOMMUQURZGVXOUSZWUGDPVXQVLZVBZVBZJVEZWUKMMVMUTZOMWCUOZMWVAUOSMUUDVNTUU
      AWUNWUOGMVYPUUEZVOZUSZMWVDUTZVYPVAZDWUTWUBWVEDWUBMVOZGWVDUSZWVEWUBWVHVYPV
      OZWVDUSZWVJGVGWVIWVKWVDWVDVAWVDUUFMVYPWVDMWCSUUGZPUUHZUUIUUJVYPGUUKWVHWVJ
      GWVDUUPVPWUOWVHGWVDWVBWUOWVHVASMUULVNUUMUUNVQWVGWUNMVYPWVLWVMUUQZVRWUBDUU
      OWUSWVEWVGDVBZVBJWVDWVCUURVXOWVDVAZWUPWVEWURWVOWUOGVXOWVDVSWVPWUGWVGWUQDW
      VPVXQWVFVYPMVXOWVDVTZWAWVPWUGWUQDWDWVPVXQWVFVYPWVQWVNWBDPVXQWEWOWFWFUUSUU
      TWUJWUTLMOVXMMVAZWUIWUSJWVRWUIWUPWURCKVFVCZVDZWUSWVRVXPWUPWUHWURVYBWVSWVR
      VXNWUOGVXOVXMMMUQWGWHWVREWUQWUGEDPVXMVXOUTZVLZWVRWUQDEPWWAVXMVXOWIUDWJZWV
      RDPWWAVXQVXMMVXOWKWLWMWNWVRCKVYAVFWVRVYANMUQURZVFVXMMNUQWGWWDMWPWQURZMUQU
      RZVFNWWEMUQUAWRMWWEWSVHZWWFVFVAZMMSUVAZWTZWWEWCUOZWVBWWGWWHWDWVBWWKSMUVBV
      NZSWWEMUVCUVDXGUVEWBXAXBWVTWUSWVSCKUVHWUPWURWVSUVFUVGUVIXCXDVPXEUVSWUFWUM
      WULWUFAWULQGFAWUBQUPZGUOZWULFAVBZWUBWWNVBZVBZVYRWWMVYMUOZVJZVXPVXQWWMVAZE
      VBZVYBVDZJVEZLOVIZWUKWWQWWRVYRWWQWWRVYQUJVYMVIZWUAWWQWWMVYPIVHZWWRWXEVKUH
      WWRWXFWXEVYQWXFUJWWMVYMVYOWWMVYPIUVJXDUVKWOVYQUJVYMUVLUVMUVNWWNWWSWXDVKWW
      OWUBWWNWWSWWMGVYMUUCZUOZWXDWXHWWNWWSWWMGVYMUVOUVPWXHWWMVYLUOWWNWXDWXGVYLW
      WMVYLGVGZWXGVYLVAVYEUIGUVQZVYLGUVTXGUVRVYEWXDUIWWMGUIQXFZVYDWXCLOWXKVYCWX
      BJWXKVXTWXAVXPVYBWXKVXSWWTEVXRWWMVXQXHXIXJXCXRUWAUWBUWCXKWXDMUKUPZUQURZGU
      LUPZUSZMWXNUTZWWMVAZDPWXLWXNUTZVLZVBZAQKUPZWXNUTZVLZPWYAWPXLURZWXNUTZVLZK
      NWXLUQURZVCZVDZULVEZUKOVIZWWQWUKWXDWXMGVXOUSZWWTDPWXLVXOUTZVLZVBZCKWYGVCZ
      VDZJVEZUKOVIWYKWXCWYRLUKOLUKXFZWXBWYQJWYSVXPWYLWXAWYOVYBWYPWYSVXNWXMGVXOV
      XMWXLMUQWGWHWYSEWYNWWTEWWBWYSWYNWWCWYSDPWWAWYMVXMWXLVXOWKWLWMWNWYSCKVYAWY
      GVXMWXLNUQWGXAXBXCUWDWYRWYJUKOWYQWYIJULJULXFZWYLWXOWYOWXTWYPWYHWXMGVXOWXN
      VSWYTWWTWXQWYNWXSWYTVXQWXPWWMMVXOWXNVTWAWYTDPWYMWXRWXLVXOWXNVTWLWFWYTCWYF
      KWYGCAQWYAVXOUTZVLZPWYDVXOUTZVLZWYTWYFXUDBQXUAVLZCXUBXUEPXUCWYDVXOWIVYPXU
      CVAABQXUAUBUWEWJBCQXUAWYAVXOWIUCWJXMZWYTXUBWYCPXUCWYEWYDVXOWXNVTWYTAQXUAW
      YBWYAVXOWXNVTWLXNWMUWFXBUWGUWIXMWWQWYJWUKUKOWWQWXLOUOZVBZWYIWUKULXUHWYIWU
      KXUHWYIVBWXLWPWQURZOUOZMXUIUQURZGVXOUSZWUGDPXUIVXOUTZVLZVBZCKNXUIUQURZVCZ
      VDZJVEZWUKXUGXUJWWQWYIMWXLOTUWHXOXUHWYIXUSAWWPXUGWYIXUSVKZFAWUBXUGXUTWWNA
      QVYOVLZWUBVBZXUGVBZWXOWXPVYOVAZWXSVBZWYHVDZXUSVKZVKZAWUBVBZXUGVBZXUTVKUJQ
      UJQXFZXVCXVJXVGXUTXVKXVBXVIXUGXVKXVAAWUBAQVYOWEXIXIXVKXVFWYIXUSXVKXVEWXTW
      XOWYHXVKXVDWXQWXSVYOWWMWXPXHXIXJUWJUWKXVAPVXRVLZVXRGUOZVBZXUGVBZXVFXULVXS
      XUNVBZXUQVDZJVEZVKZVKXVHUIPUIPXFZXVOXVCXVSXVGXVTXVNXVBXUGXVTXVLXVAXVMWUBX
      VAPVXRWEVXRVYPGXPWFXIXVTXVRXUSXVFXVTXVQXURJXVTXVPXUOXULXUQXVTVXSWUGXUNVXR
      VYPVXQXHZXIXJXCUWLUWKXVOXVFXVRXVOXVFVBXUKGUMXUKUMUPZMVAZVXRXWBWPXLURZWXNU
      TZXQZUWMZUSZMXWGUTZVXRVAZDPXUIXWGUTZVLZAQWYAXWGUTZVLZPWYDXWGUTZVLZKXUPVCZ
      XVRXVOXVEWXOXWHWYHXVMXUGWXOXWHXVLXVMXUGVBWXOVBZXWFGUOZUMXUKVCXWHXWRXWSUMX
      UKXWRXWBXUKUOZXWCXWBWWEXUIUQURZUOZUWSZXWSXUGXWTXXCWDZXVMWXOXUGXUIWVAUOZXX
      DXXEWXLWVAOMWXLUWNZTXSXWBMXUIUWOWOXOXWRXWCXWSXXBXVMXWCXWSVKXUGWXOXWCXWSXV
      MXWCXWFVXRGXWCVXRXWEUWPZUWQUWRUWTXUGWXOXXBXWSVKXVMXUGWXOVBZXXBXWSXXHXXBVB
      ZXWFXWEGXXIXWCVXRXWEXXBXWCVJXXHXXBXWCWWEMXTVHZWWGXXJVJWWJMWWEWWIMWPWWIUXA
      UXBZYAXGXWCXXBXXJXWCXXBMXXAUOXXJXWBMXXAXPMWWEXUIYBYCYDYEYFYGWXOXUGXXBXWEG
      UOZWXOXUGXXBXXLXUGXXBVBZWXOXWDWXMUOXXLXXMXWDWWEWPXLURZXUIWPXLURZUQURZWXMX
      XMXWBWCUOZXWDXXPUOZXXBXXQXUGXWBWWEXUIUXCYFXUGXXBXXQXXRVKXUGXXQXXBXXRXUGXU
      IWCUOZXXQXXBXXRVKZVKXUGWXLWXLWCUOZWXLWVAOMWXLUXDTXSZUXJZXXSXXQXXTWWKXXSXX
      QXXTWWLWWKXXSVBZXXQWPWCUOZXXTYHXYDXXQXYEVBVBXXBXXRXWBWPWWEXUIUXEUXFUXGUXH
      YIWOYJYKUXIXUGXXPWXMVAXXBXUGXXNMXXOWXLUQXXNMVAXUGMWPMWWIUXKZYLUXLZVRXUGWX
      LYMUOWPYMUOZXXOWXLVAXUGWXLXYBUXMYLWXLWPUXNUXOZUXPVQUXQWXMGXWDWXNUXRUXSUXT
      UYAUYBYIXEUYCUYDUYEUMXUKGXWFXWGXWGUUFZUYFUYGUYJUYHXUGXWJXVNXVFXUGMXUKUOZX
      WJXYKWXLWVAOWXLWVAUOZXXEXYKXXFMXUIUYIWOTXSUMMXWFVXRXUKXWGXXGXYJUIUUHZYNWO
      ZXOXVOWXOXVEXWLWYHXUGWXSXWLXVNXVDXUGXWLWXSXUGDPXWKWXRXUGXWKXUIMVAZVXRXXOW
      XNUTZXQZXYPWXRXUGXUIXUKUOZXWKXYQVAXYRWXLWVAOXYLXXEXYRXXFMXUIUYKWOTXSUMXUI
      XWFXYQXUKXWGXWBXUIVAXWCXYOXWEXYPVXRXWBXUIMYOXWBXUIWPWXNXLYPYQXYJXYOVXRXYP
      XYMXXOWXNWIYRYNWOXUGXYOVXRXYPXUGXUIMXUGMUYLUOMXUIWSVHZXUIMUYMWWIXUGMWXLXT
      VHZXYSXYTWXLWVAOMWXLUYNTXSXUGWVBXYAXYTXYSWDSXYBMWXLUYOVPUYPMXUIVUAVPUYQYG
      XUGXXOWXLWXNXYIUYRUYSWLUYTVUBVUCXVOXVEWYHXWQWXOXVOXVDWYHXWQWXSXVLXUGXVDWY
      HVBZXWQXVMXVLXUGVBZYUAVBZAQUNUPZXWGUTZVLZPYUDWPXLURZXWGUTZVLZUNXUPVCXWQYU
      CYUIUNXUPYUCYUDXUPUOZYUDNVAZYUDNWPWQURZXUIUQURZUOZUWSZYUIYUBYUJYUOYUAXUGY
      UJYUOXVLXUGYUJYUOXUGXUINVMUTZUOYUJYUOWDXUGXUIWWEVMUTZYUPXUIYUQUOWXLWVAOMW
      XLVUDTXSNWWEVMUAVUEVUKYUDNXUIUWOWOVUFXEVUGYUCYUKYUIYUNYUBXVDYUKYUIWYHYUBX
      VDYUKYUIXVLXUGXVDYUKVBZYUIXUGYURVBZYUIXVLYUSYUFXVAPYUHVXRYUSYUHXWIVXRYUKY
      UHXWIVAXUGXVDYUKYUGMXWGYUKYUGNWPXLURZMYUDNWPXLVUHYUTXXNMNWWEWPXLUAWRXYGUV
      EWBUYRXKXUGXWJYURXYNVQVUIYUSAQYUEVYOYUSYUEWWEXWGUTZWXPVYOYUKYUEYVAVAZXUGX
      VDYUKYUDWWEVAZYVBNWWEYUDUAVUJYUDWWEXWGWKVULXKXUGYVAWXPVAYURXUGYVAWWEMVAZV
      XRWXPXQZWXPXUGWWEXUKUOYVAYVEVAXUGXXAXUKWWEWWEWVAUOZXXAXUKVGYVFWVBWWKMWWEX
      TVHSWWLMWWEWWIXXKWWJVUMMWWEVUNVUOZWWEMXUIVUPVNXUGMWXMUOZWWEXXAUOZYVHWXLWV
      AOMWXLUYITXSXUGWVBXYAYVHYVIWDZSXYBWVBXYAVBWVBXYEYVJSYHMWPMWXLVUQVURVPUYPY
      SUMWWEXWFYVEXUKXWGXWBWWEVAZXWCYVDXWEWXPVXRXWBWWEMYOYVKXWDMWXNYVKXWDXXNMXW
      BWWEWPXLVUHXYGWBUYRYQXYJYVDVXRWXPXYMMWXNWIYRYNWOWWEMUYMYVEWXPVAMWWEWWIWWJ
      VUSWWEMVXRWXPVVAVNWBVQXUGXVDYUKVUTUYSWLXNVVBUXTUXTVVCXUGYUAYUNYUIXVLXUGWY
      HYUNYUIXVDXUGYUNWYHYUIXUGYUNVBZWYHAQYUGWXNUTZVLZPYUGWPXLURZWXNUTZVLZYUIYV
      LYUGWYGUOWYHYVQYVLYUGYULWPXLURZXXOUQURZWYGYVLYUDWCUOZYUGYVSUOZYUNYVTXUGYU
      DYULXUIUXCZYFXUGYUNYVTYWAVKXUGYVTYUNYWAXUGYULWCUOZXXSYVTYUNYWAVKZVKNWCUOY
      WCNWWEWCUAWWLVVDZNUVBVNXYCYWCXXSVBZYVTYWDYWFYVTXYEYWDYHYWFYVTXYEVBVBYUNYW
      AYUDWPYULXUIUXEUXFUXGYIVPYJYKUXIXUGYVSWYGVAYUNXUGYVRNXXOWXLUQYVRNVAXUGNWP
      NNYWEUVAZUXKYLUXLVRXYIUXPVQUXQZWYFYVQKYUGWYGWYAYUGVAZWYCYVNPWYEYVPWYAYUGW
      PWXNXLYPYWIAQWYBYVMWYAYUGWXNWKWLXNVVEVVJYVLYUIYVQYVLYUFYVNPYUHYVPYVLYUHYU
      GMVAZVXRYVPXQZYVPYVLYUGXUKUOYUHYWKVAYVLXUPXUKYUGNWVAUOZXUPXUKVGNWWEWVAUAY
      VGVVDZNMXUIVUPVNYVLWYGXUPYUGNWXLVVFYWHYSYSUMYUGXWFYWKXUKXWGXWBYUGVAXWCYWJ
      XWEYVPVXRXWBYUGMYOXWBYUGWPWXNXLYPYQXYJYWJVXRYVPXYMYVOWXNWIYRYNWOYVLYWJVXR
      YVPYUNYWJVJXUGYUNYWJYULWWEXTVHZWWEYULWSVHYWNVJWWEWWEWPWQURYULWSWWEXXKWTNW
      WEWPWQUAWRVVGWWEYULXXKNWPYWGUXAUXBZYAXGYUNYWJWPMWQURZYUDVAZYWNYUNYUDYMUOZ
      YWJYWQWDZYUNYUDYWBUXMYWRXYHMYMUOYWSYLXYFYUDWPMVVHVVIWOYWQYVCYUNYWNYWQYUDY
      WPVAYVCYWPYUDVVKYWPWWEYUDWPMYLXYFVVLVUJXMYVCYUNYWNYVCYUNWWEYUMUOYWNYUDWWE
      YUMXPWWEYULXUIYBYCYDVVMUYDYEYFYGVUIYVLAQYUEYVMYVLYUEYUDMVAZVXRYVMXQZYVMYV
      LYUDXUKUOYUEYXAVAYVLYUMXUKYUDYWLYULWVAUOYUMXUKVGYWMMNUWNYULMXUIVUPVVTXUGY
      UNUUOYSUMYUDXWFYXAXUKXWGUMUNXFXWCYWTXWEYVMVXRXWBYUDMYOXWBYUDWPWXNXLYPYQXY
      JYWTVXRYVMXYMYUGWXNWIYRYNWOYVLYWTVXRYVMYUNYWTVJXUGYUNYWTYULMXTVHZMYULWSVH
      ZYXBVJMNWSVHNYULWSVHYXCMWWENWSWWJUAVVGNYWGWTMNYULWWIYWGYWOVVNUVDMYULWWIYW
      OYAXGYWTYUNYXBYWTYUNMYUMUOYXBYUDMYUMXPMYULXUIYBYCYDYEYFYGVUIWLXNUYTVVOVVP
      VVQUYJVWAVVOVVRYUIXWPUNKXUPUNKXFZYUFXWNPYUHXWOYUDWYAWPXWGXLYPYXDAQYUEXWMY
      UDWYAXWGWKWLXNVVSUYGVWBVWCVWDXVQXWHXWJXWLVBZXWQVDJXWGUMXUKXWFMXUIUQVWEVWF
      VXOXWGVAZXULXWHXVPYXEXUQXWQXUKGVXOXWGVSYXFVXSXWJXUNXWLYXFVXQXWIVXRMVXOXWG
      VTWAYXFDPXUMXWKXUIVXOXWGVTWLWFYXFCXWPKXUPCXUDYXFXWPXUFYXFXUBXWNPXUCXWOWYD
      VXOXWGVTYXFAQXUAXWMWYAVXOXWGVTWLXNWMUWFXBUUSVWJYIVWGVWGVVCUYJYKWUJXUSLXUI
      OVXMXUIVAZWUIXURJYXGVXPXULWUHXUOVYBXUQYXGVXNXUKGVXOVXMXUIMUQWGWHYXGEXUNWU
      GEWWBYXGXUNWWCYXGDPWWAXUMVXMXUIVXOWKWLWMWNYXGCKVYAXUPVXMXUINUQWGXAXBXCXDV
      WHYIVWIVWKVVMVWLVWMVWNYKUGVWOWUBWUCWUKWDFVYEWUKUIVYPGXVTVYDWUJLOXVTVYCWUI
      JXVTVXTWUHVXPVYBXVTVXSWUGEXWAXIXJXCXRUWAYFVWPYIYJWUEWUBWUCVJVBZVJWUDVYTYX
      HVYPGVYLUVOVWQWUBWUCVWSVWRVWTUVNYKVXAVYNVJVYMVFUYMZFVYSVYMVFVXBFGIVXCZVYM
      GVGZYXIVYSVKUFGVYLVXDYXJYXKYXIVYSVYMYTUOZYXJYXKYXIVBVYSGYTUOYXLRGVYLYTVXE
      VNPUJGVYMYTIVXKUXHVXFUXOVXGVXHGVYLVXIUUNWXIFWXJVRVXJVYEUIGVXLUYGVYEVYKUIH
      GVXRHVAZVYDVYJLOYXMVYCVYIJYXMVXTVYHVXPVYBYXMVXSVYGEVXRHVXQXHXIXJXCXRVVEVW
      H $.
  $}

  ${
    $d A a b c d f n $.  $d R a b d $.  $d M a b c d f k n $.
    $d Z a b c d n $.  $d N a b c d f k n $.  $d ph d f k $.  $d ps a d $.
    $d ch a b c d n $.  $d th d f n $.  $d ta a b c d $.  $d et a b c d f n $.
    $d ze b c d f n $.  $d si a c $.
    fdc1.1 $e |- A e. _V $.
    fdc1.2 $e |- M e. ZZ $.
    fdc1.3 $e |- Z = ( ZZ>= ` M ) $.
    fdc1.4 $e |- N = ( M + 1 ) $.
    fdc1.5 $e |- ( a = ( f ` M ) -> ( ze <-> si ) ) $.
    fdc1.6 $e |- ( a = ( f ` ( k - 1 ) ) -> ( ph <-> ps ) ) $.
    fdc1.7 $e |- ( b = ( f ` k ) -> ( ps <-> ch ) ) $.
    fdc1.8 $e |- ( a = ( f ` n ) -> ( th <-> ta ) ) $.
    fdc1.9 $e |- ( et -> E. a e. A ze ) $.
    fdc1.10 $e |- ( et -> R Fr A ) $.
    fdc1.11 $e |- ( ( et /\ a e. A ) -> ( th \/ E. b e. A ph ) ) $.
    fdc1.12 $e |- ( ( ( et /\ ph ) /\ ( a e. A /\ b e. A ) ) -> b R a ) $.
    $( Variant of ~ fdc with no specified base value.  (Contributed by Jeff
       Madsen, 18-Jun-2010.) $)
    fdc1 $p |- ( et -> E. n e. Z E. f ( f : ( M ... n ) --> A /\
                          ( si /\ ta ) /\ A. k e. ( N ... n ) ch ) ) $=
      ( vc vd cv cfz co wf wa wral w3a wex wrex wcel wsbc wi wceq eleq1w anbi2d
      sbceq2a anbi12d imbi1d cfv wsb c1 cmin sbsbc sbhypf bitr3id simprl adantr
      nfv wfr wo nfsbc1v nfcv nfor nfim sbceq1a rexbidv orbi12d imbi12d chvarfv
      nfrex adantlr wbr nfan anbi1d breq2 adantllr fdc anassrs idd dfsbcq sbcie
      fvex bitr3di biimpcd adantl anim1d 3anim123d reximdv mpd chvarvv r19.29a
      eximdv ) FGNMUMZUNUOIKUMZUPZHEUQZCLOXOUNUOURZUSZKUTZMPVAZQIFUKUMZIVBZUQZG
      QYCVCZUQZYBVDFQUMZIVBZUQZGUQZYBVDUKQYCYHVEZYGYKYBYLYEYJYFGYLYDYIFUKQIVFVG
      GQYCVHVIVJYGXQNXPVKZYCVEZEUQZXSUSZKUTZMPVAZYBFYDYFYRAQULUMZVCZBCDQYSVCZEF
      YDYFUQZUQIYCJKLMNOPULRSTUAUBYTAQULVLYSLUMVMVNUOXPVKZVEBAQULVOABQULUUCBQVT
      UDVPVQUEUUADQULVLYSXOXPVKZVEEDQULVODEQULUUDEQVTUFVPVQFYDYFVRFIJWAUUBUHVSF
      YSIVBZUUAYTRIVAZWBZUUBYJDARIVAZWBZVDFUUEUQZUUGVDQULUUJUUGQUUJQVTUUAUUFQDQ
      YSWCYTQRIQIWDAQYSWCZWLWEWFYHYSVEZYJUUJUUIUUGUULYIUUEFQULIVFZVGUULDUUAUUHU
      UFDQYSWGUULAYTRIAQYSWGZWHWIWJUIWKWMFYTUUERUMZIVBZUQZUUOYSJWNZUUBFAUQZYIUU
      PUQZUQZUUOYHJWNZVDFYTUQZUUQUQZUURVDQULUVDUURQUVCUUQQFYTQFQVTUUKWOUUQQVTWO
      UURQVTWFUULUVAUVDUVBUURUULUUSUVCUUTUUQUULAYTFUUNVGUULYIUUEUUPUUMWPVIYHYSU
      UOJWQWJUJWKWRWSWTYGYQYAMPYGYPXTKYGXQXQYOXRXSXSYGXQXAYGYNHEYFYNHVDYEYNYFHY
      NGQYMVCYFHGQYMYCXBGHQYMNXPXDUCXCXEXFXGXHYGXSXAXIXNXJXKXLUGXM $.
  $}

  ${
    $d F m n p q s $.  $d A m n p q s $.  $d R m n p q s $.
    $( Two ways to say that a sequence respects a partial order.  (Contributed
       by Jeff Madsen, 2-Sep-2009.) $)
    seqpo $p |- ( ( R Po A /\ F : NN --> A ) ->
                  ( A. s e. NN ( F ` s ) R ( F ` ( s + 1 ) ) <-> A. m e. NN
                    A. n e. ( ZZ>= ` ( m + 1 ) ) ( F ` m ) R ( F ` n ) ) ) $=
      ( cn wa cv cfv c1 caddc wbr wral cuz wcel wi wceq fveq2 breq2d wpo imbi2d
      vp vq wf co cz fvoveq1 breq12d rspccva adantl peano2nn elnnuz sylib uztrn
      a1i sylibr expcom syl imdistani ad2ant2l w3a ffvelrn adantrr adantrl 3jca
      ex sylan2 potr expcomd syl5 expdimp adantr mpdd anasss com12 a2d ralrimiv
      uzind4 anassrs ralrimiva breq1d raleqbidv rspcv imdistanri nnzd impbid1
      uzid ) ABUAZGAEUEZHZFIZEJZWLKLUFZEJZBMZFGNZCIZEJZDIZEJZBMZDWRKLUFZOJZNZCG
      NZWKWQXFWKWQHZXECGWKWQWRGPZXEWKWQXHHZHZXBDXDWTXDPXJXBXJWSUCIZEJZBMZQXJWSX
      CEJZBMZQZXJWSUDIZEJZBMZQXJWSXQKLUFZEJZBMZQXJXBQUCUDXCWTXKXCRZXMXOXJYCXLXN
      WSBXKXCESTUBXKXQRZXMXSXJYDXLXRWSBXKXQESTUBXKXTRZXMYBXJYEXLYAWSBXKXTESTUBX
      KWTRZXMXBXJYFXLXAWSBXKWTESTUBXPXCUGPXIXOWKWPXOFWRGWLWRRWMWSWOXNBWLWRESWLW
      RKELUHUIUJUKUPXQXDPZXJXSYBXJYGXSYBQZWKWQXHYGYHQXGXHYGYHXHYGHXHXQGPZHZXGYH
      XHYGYIXHXCKOJZPZYGYIQXHXCGPYLWRULXCUMUNYGYLYIYGYLHXQYKPYIXCXQKUOXQUMUQURU
      SUTXGYJXRYABMZYHXGYJYMWQYIYMWKXHWPYMFXQGWLXQRWMXRWOYABWLXQESWLXQKELUHUIUJ
      VAVGWKYJYMYHQZQWQWIWJYJYNWJYJHZWSAPZXRAPZYAAPZVBZWIYNYOYPYQYRWJXHYPYIGAWR
      EVCVDWJYIYQXHGAXQEVCVEWJYIYRXHYIWJXTGPYRXQULGAXTEVCVHVEVFWIYSYNWIYSHXSYMY
      BAWSXRYABVIVJVGVKVLVMVNVKVLVOVPVQVSVPVRVTWAVGXFWPFGXFWLGPZHWMXABMZDWNOJZN
      ZYTHWPYTXFUUCXEUUCCWLGWRWLRZXBUUADXDUUBWRWLKOLUHUUDWSWMXABWRWLESWBWCWDWEY
      TUUCWNUUBPZWPYTWNUGPUUEYTWNWLULWFWNWHUSUUAWPDWNUUBWTWNRXAWOWMBWTWNESTUJVH
      USWAWG $.
  $}

  ${
    $d F k m n p q $.  $d A k m n p q $.
    $( An increasing sequence of positive integers takes on indefinitely large
       values.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    incsequz $p |- ( ( F : NN --> NN /\ A. m e. NN
                    ( F ` m ) < ( F ` ( m + 1 ) ) /\ A e. NN ) ->
                                  E. n e. NN ( F ` n ) e. ( ZZ>= ` A ) ) $=
      ( vk cn cv cfv c1 caddc co wbr wcel cuz wrex wa wi wceq fveq2 cr vp vq wf
      clt eleq2d rexbidv imbi2d c0 wne 1nn ne0ii ffvelrn elnnuz sylib ralrimiva
      wral r19.2z sylancr adantr peano2nn adantl cle nnre nnred adantlr adantll
      ad2antrr 1red leadd1d fvoveq1 breq12d rspcv imdistani wb nnltp1le syl2anc
      sylan2 biimpa anasss anass1rs peano2re syl syl3anc adantlrr mpan2d sylbid
      letr nnz nnzd eluz syl2an adantrlr anassrs peano2zd 3imtr4d eleq1d rspcev
      cz syl6an rexlimdva cbvrexvw syl6ib ex a2d nnind com12 3impia ) FFDUCZBGZ
      DHZXIIJKDHZUDLZBFUPZAFMZCGZDHZANHZMZCFOZXNXHXMPZXSXTXPUAGZNHZMZCFOZQXTXPI
      NHZMZCFOZQXTXPUBGZNHZMZCFOZQXTXPYHIJKZNHZMZCFOZQXTXSQUAUBAYAIRZYDYGXTYPYC
      YFCFYPYBYEXPYAINSUEUFUGYAYHRZYDYKXTYQYCYJCFYQYBYIXPYAYHNSUEUFUGYAYLRZYDYO
      XTYRYCYNCFYRYBYMXPYAYLNSUEUFUGYAARZYDXSXTYSYCXRCFYSYBXQXPYAANSUEUFUGXHYGX
      MXHFUHUIYFCFUPYGIFUJUKXHYFCFXHXOFMZPZXPFMZYFFFXODULZXPUMUNUOYFCFUQURUSYHF
      MZXTYKYOUUDXTYKYOQUUDXTPZYKEGZDHZYMMZEFOZYOUUEYJUUICFUUEYTPZXOIJKZFMZYJUU
      KDHZYMMZUUIYTUULUUEXOUTZVAUUJYHXPVBLZYLUUMVBLZYJUUNUUJUUPYLXPIJKZVBLZUUQU
      UJYHXPIUUDYHTMZXTYTYHVCZVGXTYTXPTMZUUDXHYTUVBXMUUAXPUUCVDVEVFUUJVHVIUUJUU
      SUURUUMVBLZUUQXTYTUVCUUDXHYTXMUVCYTXMPXHYTXPUUMUDLZPUVCYTXMUVDXLUVDBXOFXI
      XORXJXPXKUUMUDXIXODSXIXOIDJVJVKVLVMXHYTUVDUVCUUAUVDUVCUUAUUBUUMFMZUVDUVCV
      NUUCYTXHUULUVEUUOFFUUKDULZVQXPUUMVOVPVRVSVQVTVFUUDXHYTUUSUVCPUUQQZXMUUDXH
      PYTPYLTMZUURTMZUUMTMZUVGUUDUVHXHYTUUDUUTUVHUVAYHWAWBVGXHYTUVIUUDUUAUURUUA
      UUBUURFMUUCXPUTWBVDVFXHYTUVJUUDYTXHUULUVJUUOXHUULPZUUMUVFVDVQVFYLUURUUMWG
      WCWDWEWFUUDXTYTYJUUPVNZUUDXHYTUVLXMUUDYHWRMXPWRMUVLUUAYHWHZUUAXPUUCWIYHXP
      WJWKWLWMUUDXTYTUUNUUQVNZUUDXHYTUVNXMUUDYLWRMUUMWRMZUVNUUAUUDYHUVMWNYTXHUU
      LUVOUUOUVKUUMUVFWIVQYLUUMWJWKWLWMWOUUHUUNEUUKFUUFUUKRUUGUUMYMUUFUUKDSWPWQ
      WSWTUUHYNECFUUFXORUUGXPYMUUFXODSWPXAXBXCXDXEXFXG $.

    $( An increasing sequence of positive integers takes on indefinitely large
       values.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    incsequz2 $p |- ( ( F : NN --> NN /\ A. m e. NN
            ( F ` m ) < ( F ` ( m + 1 ) ) /\ A e. NN ) ->
              E. n e. NN A. k e. ( ZZ>= ` n ) ( F ` k ) e. ( ZZ>= ` A ) ) $=
      ( vp vq cn cv cfv c1 caddc clt wbr wral wcel cuz wa wi cr wf w3a incsequz
      co wrex wpo wb wss nnssre wor ltso sopo ax-mp poss seqpo biimpd imdistani
      mp2 mpan wceq wo uzp1 fveq2 adantl ffvelrn nnzd uzid syl eqeltrd adantllr
      cz adantr fvoveq1 breq1d raleqbidv rspccva breq2d sylan adantlll peano2nn
      elnnuz sylib uztrn ancoms sylibr sylan2 anassrs cle zre ltle eluz sylibrd
      syl2an syl2anc mpd jaodan ex ralrimdva stoic3 reximdvai ) HHEUAZCIZEJXBKL
      UDEJMNCHOZAHPZUBZDIZEJZAQJZPZDHUEBIZEJZXHPZBXFQJZOZDHUEACDEUCXEXIXNDHXAXC
      XAFIZEJZGIZEJZMNZGXOKLUDQJZOZFHOZRZXDXFHPZXIXNSZSXAXCYBXAXCYBHMUFZXAXCYBU
      GHTUHTMUFZYFUITMUJYGUKTMULUMHTMUNURHMFGECUOUSUPUQYCXDRZYDYEYHYDRXIXLBXMYC
      YDXJXMPZXIXLSZXDYCYDRZYIRXKXGQJZPZYJYIYKXJXFUTZXJXFKLUDZQJZPZVAYMXFXJVBYK
      YNYMYQXAYDYNYMYBXAYDRZYNRXKXGYLYNXKXGUTYRXJXFEVCVDYRXGYLPZYNYRXGVKPZYSYRX
      GHHXFEVEVFZXGVGVHVLVIVJYKYQRXGXKMNZYMYBYDYQUUBXAYBYDRXGXRMNZGYPOZYQUUBYAU
      UDFXFHXOXFUTZXSUUCGXTYPXOXFKQLVMUUEXPXGXRMXOXFEVCVNVOVPUUCUUBGXJYPXQXJUTX
      RXKXGMXQXJEVCVQVPVRVSXAYDYQUUBYMSZYBYRYQRYTXKVKPZUUFYRYTYQUUAVLXAYDYQUUGY
      DYQRXAXJHPZUUGYDYOKQJZPZYQUUHYDYOHPUUJXFVTYOWAWBUUJYQRXJUUIPZUUHYQUUJUUKY
      OXJKWCWDXJWAWEVRXAUUHRXKHHXJEVEVFWFWGYTUUGRUUBXGXKWHNZYMYTXGTPXKTPUUBUULS
      UUGXGWIXKWIXGXKWJWMXGXKWKWLWNVJWOWPWFYMXIXLXGXKAWCWQVHVJWRWQWSWTWO $.
  $}

  ${
    $d A x $.  $d B x $.
    $( A bounded above set of positive integers is finite.  (Contributed by
       Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro, 28-Feb-2014.) $)
    nnubfi $p |- ( ( A C_ NN /\ B e. NN ) -> { x e. A | x < B } e. Fin ) $=
      ( cn wss wcel wa cc0 cfz co cfn cv wbr wi cn0 nnnn0 syl adantlr cr nnre
      clt crab fzfi wral cle adantr ad3antlr ad2antlr ltle syl2anc imp elfz2nn0
      ssel2 syl3anbrc ex ralrimiva rabss sylibr ssfi sylancr ) BDEZCDFZGZHCIJZK
      FALZCUAMZABUBZVDEZVGKFHCUCVCVFVEVDFZNZABUDVHVCVJABVCVEBFZGZVFVIVLVFGVEOFZ
      COFZVECUEMZVIVLVMVFVAVKVMVBVAVKGZVEDFZVMBDVEUMZVEPQRUFVBVNVAVKVFCPUGVLVFV
      OVLVESFZCSFZVFVONVAVKVSVBVPVQVSVRVETQRVBVTVAVKCTUHVECUIUJUKVECULUNUOUPVFA
      BVDUQURVDVGUSUT $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( An infinite set of positive integers is unbounded above.  (Contributed
       by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro,
       28-Feb-2014.) $)
    nninfnub $p |- ( ( A C_ NN /\ -. A e. Fin /\ B e. NN )
                                  -> { x e. A | B < x } =/= (/) ) $=
      ( vy cn wss cfn wcel wn cv clt wbr c0 wa wal wral wi sylibr cr adantlr co
      crab wne eq0 breq2 elrab notbii imnan sylbb2 alimi df-ral cle ssel2 nnred
      wceq nnre ad2antlr lenlt biimprd syl2anc ralimdva cc0 cfz fzfi cn0 nnnn0d
      w3a adantr nnnn0 ad3antlr simpr 3jca ex elfz2nn0 syl6ibr imp ssfi sylancr
      dfss3 syld syl5 syl5bi necon3bd an32s 3impa ) BEFZBGHZIZCEHZCAJZKLZABUBZM
      UCZWFWIWHWMWFWINZWHWMWNWGWLMWLMUODJZWLHZIZDOZWNWGDWLUDWRCWOKLZIZDBPZWNWGW
      RWOBHZWTQZDOXAWQXCDWQXBWSNZIXCWPXDWKWSAWOBWJWOCKUEUFUGXBWSUHUIUJWTDBUKRWN
      XAWOCULLZDBPZWGWNWTXEDBWNXBNZWOSHZCSHZWTXEQWFXBXHWIWFXBNZWOBEWOUMZUNTWIXI
      WFXBCUPUQXHXINXEWTWOCURUSUTVAWNXFWGWNXFNZVBCVCUAZGHBXMFZWGVBCVDXLWOXMHZDB
      PZXNWNXFXPWNXEXODBXGXEWOVEHZCVEHZXEVGZXOXGXEXSXGXENXQXRXEXGXQXEWFXBXQWIXJ
      WOXKVFTVHWIXRWFXBXECVIVJXGXEVKVLVMWOCVNVOVAVPDBXMVSRXMBVQVRVMVTWAWBWCVPWD
      WE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Topology
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( An open set is open in the subspace topology.  (Contributed by Jeff
     Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro, 15-Dec-2013.) $)
  subspopn $p |- ( ( ( J e. Top /\ A e. V ) /\ ( B e. J /\ B C_ A ) )
                                    -> B e. ( J |`t A ) ) $=
    ( ctop wcel wa wss crest co wi w3a elrestr wceq df-ss eleq1 sylbi syl5ibcom
    cin wb 3expa impr ) CEFZADFZGBCFZBAHZBCAIJZFZUCUDUEUFUHKUCUDUELBASZUGFZUFUH
    BACEDMUFUIBNUJUHTBAOUIBUGPQRUAUB $.

  ${
    $d J x y $.  $d N x $.  $d S x y $.
    $( Neighborhoods are closed under finite intersection.  (Contributed by
       Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro, 25-Nov-2013.) $)
    neificl $p |- ( ( ( J e. Top /\ N C_ ( ( nei ` J ) ` S ) ) /\
              ( N e. Fin /\ N =/= (/) ) ) -> |^| N e. ( ( nei ` J ) ` S ) ) $=
      ( vx vy ctop wcel cnei cfv wss cfn c0 wne wa cint simprl cv w3a wi wral
      wal cin innei 3expib ralrimivv fiint sylib wceq sseq1 neeq1 eleq1 3ancomb
      3anbi123d 3anass bitri bitrdi inteq eleq1d imbi12d spcgv syl5 com3l mpdi
      impl ) BFGZCABHIIZJZCKGZCLMZNZCOZVFGZVEVGVJNZVHVLVGVHVIPVHVEVMVLVEDQZVFJZ
      VNLMZVNKGZRZVNOZVFGZSZDUAZVHVMVLSZVEVNEQZUBVFGZEVFTDVFTWBVEWEDEVFVFVEVNVF
      GWDVFGWEABWDVNUCUDUEDEVFUFUGWAWCDCKVNCUHZVRVMVTVLWFVRVGVIVHRZVMWFVOVGVPVI
      VQVHVNCVFUIVNCLUJVNCKUKUMWGVGVHVIRVMVGVIVHULVGVHVIUNUOUPWFVSVKVFVNCUQURUS
      UTVAVBVCVD $.
  $}

  ${
    lpss2.1 $e |- X = U. J $.
    $( Limit points of a subset are limit points of the larger set.
       (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    lpss2 $p |- ( ( J e. Top /\ A C_ X /\ B C_ A ) ->
                          ( ( limPt ` J ) ` B ) C_ ( ( limPt ` J ) ` A ) ) $=
      ( lpss3 ) ABCDEF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Metric spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d M u v w x y $.  $d X u v w x y $.  $d Y u v w x y $.  $d F u v w x y $.
    $d A u v w x y $.  $d N u v w $.
    metf1o.2 $e |- N = ( x e. Y , y e. Y |-> ( ( F ` x ) M ( F ` y ) ) ) $.
    $( Use a bijection with a metric space to construct a metric on a set.
       (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    metf1o $p |- ( ( Y e. A /\ M e. ( Met ` X ) /\
                                F : Y -1-1-onto-> X ) -> N e. ( Met ` Y ) ) $=
      ( wcel cfv cv co wceq wb wral wa wi ffvelrn ex vu vv vw cmet wf1o w3a cxp
      cr wf cc0 caddc cle wbr f1of anim12d syl 3expib sylan9r 3adant1 ralrimivv
      metcl fmpo sylib fveq2 oveq1d oveq2d ovex ovmpo eqeq1d adantl imp adantll
      meteq0 3expb adantlr syldan wf1 f1of1 f1fveq 3bitrd mettri2 expcom ancoms
      sylan impcom anassrs adantr oveq12d breq12d mpbird ralrimiva jca 3adantl1
      ismet 3ad2ant1 mpbir2and ) HCJZEGUDKJZHGDUEZUFZFHUDKJZHHUGUHFUIZUALZUBLZF
      MZUJNZXCXDNZOZXEUCLZXCFMZXIXDFMZUKMZULUMZUCHPZQZUBHPUAHPZWTALZDKZBLZDKZEM
      ZUHJZBHPAHPXBWTYBABHHWRWSXQHJZXSHJZQZYBRWQWSYEXRGJZXTGJZQZWRYBWSHGDUIZYEY
      HRHGDUNZYIYCYFYDYGYIYCYFHGXQDSTYIYDYGHGXSDSTUOUPWRYFYGYBXRXTEGVAUQURUSUTA
      BHHYAUHFIVBVCWTXOUAUBHHWTXCHJZXDHJZQZXOWRWSYMXOWQWRWSQZYMQZXHXNYOXFXCDKZX
      DDKZEMZUJNZYPYQNZXGYMXFYSOYNYMXEYRUJABXCXDHHYAYRFYPXTEMXQXCNXRYPXTEXQXCDV
      DVEXSXDNZXTYQYPEXSXDDVDZVFIYPYQEVGVHZVIVJYNYMYPGJZYQGJZQZYSYTOZWSYMUUFWRW
      SYMUUFWSYIYMUUFRYJYIYKUUDYLUUEYIYKUUDHGXCDSTYIYLUUEHGXDDSTUOZUPVKVLWRUUFU
      UGWSWRUUDUUEUUGYPYQEGVMVNVOVPWSYMYTXGOZWRWSHGDVQYMUUIHGDVRHGXCXDDVSWDVLVT
      YOXMUCHYOXIHJZQXMYRXIDKZYPEMZUUKYQEMZUKMZULUMZYNYMUUJUUOYNYMUUJQZUUFUUKGJ
      ZQZUUOWSUUPUURWRWSUUPUURWSYIUUPUURRYJYIYMUUFUUJUUQUUHYIUUJUUQHGXIDSTUOUPV
      KVLWRUURUUOWSUURWRUUOUUQUUFWRUUORZUUQUUDUUEUUSWRUUQUUDUUEUFUUOYPYQUUKEGWA
      WBVNWCWEVOVPWFYMUUJXMUUOOYNUUPXEYRXLUUNULYMXEYRNUUJUUCWGUUPXJUULXKUUMUKYK
      UUJXJUULNZYLUUJYKUUTABXIXCHHYAUULFUUKXTEMZXQXINXRUUKXTEXQXIDVDVEZXSXCNXTY
      PUUKEXSXCDVDVFIUUKYPEVGVHWCVOYLUUJXKUUMNZYKUUJYLUVCABXIXDHHYAUUMFUVAUVBUU
      AXTYQUUKEUUBVFIUUKYQEVGVHWCVLWHWIVLWJWKWLWMTUTWQWRXAXBXPQOWSUAUBUCCFHWNWO
      WP $.
  $}

  ${
    blssp.2 $e |- N = ( M |` ( S X. S ) ) $.
    $( A ball in the subspace metric.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Revised by Mario Carneiro, 5-Jan-2014.) $)
    blssp $p |- ( ( ( M e. ( Met ` X ) /\ S C_ X ) /\
        ( Y e. S /\ R e. RR+ ) ) ->
      ( Y ( ball ` N ) R ) = ( ( Y ( ball ` M ) R ) i^i S ) ) $=
      ( cmet cfv wcel wss wa crp cxmet cin cxr cbl co wceq metxmet simprl sylib
      ad2antrr simplr sseqin2 eleqtrrd rpxr ad2antll blres syl3anc ) CEHIJZBEKZ
      LZFBJZAMJZLZLZCENIJZFEBOZJAPJZFADQIRFACQIRBOSUKURULUPCETUCUQFBUSUMUNUOUAU
      QULUSBSUKULUPUDBEUEUBUFUOUTUMUNAUGUHDCFAEBGUIUJ $.
  $}

  ${
    $d k n x D $.  $d k n x F $.  $d k n x M $.  $d k n x N $.  $d k n x ph $.
    $d k n X $.
    mettrifi.2 $e |- ( ph -> D e. ( Met ` X ) ) $.
    mettrifi.3 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    mettrifi.4 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. X ) $.
    $( Generalized triangle inequality for arbitrary finite sums.  (Contributed
       by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro,
       4-Jun-2014.) $)
    mettrifi $p |- ( ph -> ( ( F ` M ) D ( F ` N ) ) <_
           sum_ k e. ( M ... ( N - 1 ) ) ( ( F ` k ) D ( F ` ( k + 1 ) ) ) ) $=
      ( cfz co wcel cfv c1 cle wbr wi wceq oveq2d vx vn cmin cv csu cuz eluzfz2
      caddc syl eleq1 fveq2 sumeq1d breq12d imbi12d imbi2d cz cc0 0le0 a1i cmet
      oveq1 wral eluzfz1 ralrimiva eleq1d sylc met0 syl2anc c0 clt eluzel2 zred
      rspcv ltm1d peano2zm fzn syl2anc2 mpbid sum0 eqtrdi 3brtr4d a1d peano2fzr
      wb wa adantl imim1d w3a 3ad2ant1 simp3 cbvralvw sylib 3impia rsp syl13anc
      ex mettri cr metcl syl3anc readdcld fzfid adantr wss elfzuz3 fzss2 sselda
      3ad2antl1 syldan elfzuz peano2uz eluzp1p1 uztrn elfzuzb sylanbrc fsumrecl
      rspccva sylan letr mpand fzssp1 cc eluzelz 3ad2ant2 ax-1cn npcan sseqtrid
      zcnd sylancl leadd1d simp2 recnd fvoveq1 oveq12d fsumm1 breq2d bitr4d a2d
      pncan 3imtr4d 3expia syld expcom uzind4 mpcom mpd ) AFEFKLZMZEDNZFDNZBLZE
      FOUCLZKLZCUDZDNZUUNOUHLZDNZBLZCUEZPQZAFEUFNZMZUUHIEFUGUIUVBAUUHUUTRZIAUAU
      DZUUGMZUUIUVDDNZBLZEUVDOUCLZKLZUURCUEZPQZRZRAEUUGMZUUIUUIBLZEEOUCLZKLZUUR
      CUEZPQZRZRZAUBUDZUUGMZUUIUWADNZBLZEUWAOUCLZKLZUURCUEZPQZRZRAUWAOUHLZUUGMZ
      UUIUWJDNZBLZEUWJOUCLZKLZUURCUEZPQZRZRAUVCRUAUBEFUVDESZUVLUVSAUWSUVEUVMUVK
      UVRUVDEUUGUJUWSUVGUVNUVJUVQPUWSUVFUUIUUIBUVDEDUKTUWSUVIUVPUURCUWSUVHUVOEK
      UVDEOUCVATULUMUNUOUVDUWASZUVLUWIAUWTUVEUWBUVKUWHUVDUWAUUGUJUWTUVGUWDUVJUW
      GPUWTUVFUWCUUIBUVDUWADUKTUWTUVIUWFUURCUWTUVHUWEEKUVDUWAOUCVATULUMUNUOUVDU
      WJSZUVLUWRAUXAUVEUWKUVKUWQUVDUWJUUGUJUXAUVGUWMUVJUWPPUXAUVFUWLUUIBUVDUWJD
      UKTUXAUVIUWOUURCUXAUVHUWNEKUVDUWJOUCVATULUMUNUOUVDFSZUVLUVCAUXBUVEUUHUVKU
      UTUVDFUUGUJUXBUVGUUKUVJUUSPUXBUVFUUJUUIBUVDFDUKTUXBUVIUUMUURCUXBUVHUULEKU
      VDFOUCVATULUMUNUOUVTEUPMZAUVRUVMAUQUQUVNUVQPUQUQPQAURUSABGUTNMZUUIGMZUVNU
      QSHAUVMUUOGMZCUUGVBZUXEAUVBUVMIEFVCUIAUXFCUUGJVDZUXFUXECEUUGUUNESUUOUUIGU
      UNEDUKVEVMVFZUUIBGVGVHAUVQVIUURCUEUQAUVPVIUURCAUVOEVJQZUVPVISZAEAEAUVBUXC
      IEFVKUIZVLVNAUXCUVOUPMUXJUXKWDUXLEVOEUVOVPVQVRULUURCVSVTWAWBUSUWAUVAMZAUW
      IUWRAUXMUWIUWRRAUXMWEZUWIUWKUWHRUWRUXNUWKUWBUWHUXMUWKUWBRAUXMUWKUWBUWAEFW
      CWPWFZWGUXNUWKUWHUWQAUXMUWKUWHUWQRAUXMUWKWHZUWDUWCUWLBLZUHLZEUWAKLZUURCUE
      ZPQZUWMUXTPQZUWHUWQUXPUWMUXRPQZUYAUYBUXPUXDUXEUWLGMZUWCGMZUYCAUXMUXDUWKHW
      IZAUXMUXEUWKUXIWIZUXPUWKUXGUYDAUXMUWKWJZAUXMUXGUWKUXHWIZUXFUYDCUWJUUGUUNU
      WJSUUOUWLGUUNUWJDUKVEVMVFZUXPUYEUBUUGVBZUWBUYEUXPUXGUYKUYIUXFUYECUBUUGUUN
      UWASZUUOUWCGUUNUWADUKZVEWKWLZAUXMUWKUWBUXOWMZUYEUBUUGWNVFZUUIUWLUWCBGWQWO
      UXPUWMWRMZUXRWRMUXTWRMUYCUYAWEUYBRUXPUXDUXEUYDUYQUYFUYGUYJUUIUWLBGWSWTUXP
      UWDUXQUXPUXDUXEUYEUWDWRMUYFUYGUYPUUIUWCBGWSWTZUXPUXDUYEUYDUXQWRMUYFUYPUYJ
      UWCUWLBGWSWTZXAUXPUXSUURCUXPEUWAXBUXPUUNUXSMZWEZUXDUXFUUQGMZUURWRMZUXPUXD
      UYTUYFXCUXPUYTUUNUUGMZUXFUXPUXSUUGUUNUXPFUWAUFNMZUXSUUGXDUXPUWBVUEUYOUWAE
      FXEUIUWAEFXFUIXGAUXMVUDUXFUWKJXHXIUXPUYTUUPUUGMZVUBVUAUUPUVAMZFUUPUFNZMZV
      UFVUAUUNUVAMZVUGUYTVUJUXPUUNEUWAXJWFEUUNXKUIVUAFUWJUFNMZUWJVUHMZVUIUXPVUK
      UYTUXPUWKVUKUYHUWJEFXEUIXCVUAUWAUUNUFNMZVULUYTVUMUXPUUNEUWAXEWFUUNUWAXLUI
      UWJFUUPXMVHUUPEFXNXOUXPUYKVUFVUBUYNUYEVUBUBUUPUUGUWAUUPSUWCUUQGUWAUUPDUKV
      EXQXRXIUUOUUQBGWSWTZXPUWMUXRUXTXSWTXTUXPUWHUXRUWGUXQUHLZPQUYAUXPUWDUWGUXQ
      UYRUXPUWFUURCUXPEUWEXBUXPUUNUWFMUYTVUCUXPUWFUXSUUNUXPEUWEOUHLZKLUWFUXSEUW
      EYAUXPVUPUWAEKUXPUWAYBMZOYBMZVUPUWASUXPUWAUXMAUWAUPMUWKEUWAYCYDYHZYEUWAOY
      FYITYGXGVUNXIXPUYSYJUXPUXTVUOUXRPUXPUURUXQCEUWAAUXMUWKYKVUAUURVUNYLUYLUUO
      UWCUUQUWLBUYMUUNUWAODUHYMYNYOYPYQUXPUWPUXTUWMPUXPUWOUXSUURCUXPUWNUWAEKUXP
      VUQVURUWNUWASVUSYEUWAOYSYITULYPYTUUAYRUUBUUCYRUUDUUEUUF $.
  $}

  ${
    $d j k n x D $.  $d j k n x F $.  $d j k x G $.  $d x J $.  $d j k n x X $.
    $d j k m n x A $.  $d j k m n x B $.  $d j k n x ph $.  $d j k x Y $.
    lmclim2.2 $e |- ( ph -> D e. ( Met ` X ) ) $.
    lmclim2.3 $e |- ( ph -> F : NN --> X ) $.
    ${
      lmclim2.4 $e |- J = ( MetOpen ` D ) $.
      lmclim2.5 $e |- G = ( x e. NN |-> ( ( F ` x ) D Y ) ) $.
      lmclim2.6 $e |- ( ph -> Y e. X ) $.
      $( A sequence in a metric space converges to a point iff the distance
         between the point and the elements of the sequence converges to 0.
         (Contributed by Jeff Madsen, 2-Sep-2009.)  (Proof shortened by Mario
         Carneiro, 5-Jun-2014.) $)
      lmclim2 $p |- ( ph -> ( F ( ~~>t ` J ) Y <-> G ~~> 0 ) ) $=
        ( vk vj cfv wbr wcel wral cn clm cv co clt cuz wrex crp wa cc0 cli cmet
        c1 cxmet metxmet syl nnuz 1zzd eqidd lmmbrf cabs cvv cmpt mptex eqeltri
        nnex a1i wceq fveq2 oveq1d ovex fvmpt adantl cr ffvelrnda metcl syl3anc
        adantr recnd clim0c wb eluznn cle metge0 absidd breq1d anassrs ralbidva
        sylan2 rexbidva ralbidv biantrurd 3bitrrd bitrd ) ADHFUAPQHGRZNUBZDPZHC
        UCZBUBZUDQZNOUBZUEPZSZOTUFZBUGSZUHZEUIUJQZABWPCHONDFULGTKACGUKPRZCGUMPR
        ICGUNUOUPAUQZAWOTRZUHZWPURJUSAXFWQUTPZWRUDQZNXASZOTUFZBUGSXDXEABWQONEUL
        VATUPXHEVARAEBTWRDPZHCUCZVBVALBTXPVEVCVDVFXIWOEPWQVGABWOXPWQTEWRWOVGXOW
        PHCWRWODVHVILWPHCVJVKVLXJWQXJXGWPGRZWNWQVMRAXGXIIVQZATGWODJVNZAWNXIMVQZ
        WPHCGVOVPZVRVSAXNXCBUGAXMXBOTAWTTRZUHXLWSNXAAYBWOXARZXLWSVTZYBYCUHAXIYD
        WOWTWAXJXKWQWRUDXJWQYAXJXGXQWNUIWQWBQXRXSXTWPHCGWCVPWDWEWHWFWGWIWJAWNXD
        MWKWLWM $.
    $}

    geomcau.4 $e |- ( ph -> A e. RR ) $.
    geomcau.5 $e |- ( ph -> B e. RR+ ) $.
    geomcau.6 $e |- ( ph -> B < 1 ) $.
    geomcau.7 $e |- ( ( ph /\ k e. NN ) ->
      ( ( F ` k ) D ( F ` ( k + 1 ) ) ) <_ ( A x. ( B ^ k ) ) ) $.
    $( If the distance between consecutive points in a sequence is bounded by a
       geometric sequence, then the sequence is Cauchy.  (Contributed by Jeff
       Madsen, 2-Sep-2009.)  (Proof shortened by Mario Carneiro,
       5-Jun-2014.) $)
    geomcau $p |- ( ph -> F e. ( Cau ` D ) ) $=
      ( vm cfv wcel co wbr cn cmul vj vn vx ccau cv clt cuz wral wrex cexp cmin
      crp c1 cdiv cabs cmpt cc0 cli cn0 cvv nnuz 1zzd rpcnd rpred rpge0d absidd
      eqbrtrd expcnv cr 1re resubcl sylancr wb posdif sylancl mpbid elrpd recnd
      rerpdivcld nnex mptex a1i wa cc wceq nnnn0 adantl oveq2 eqid fvmpt syl cz
      nnz rpexpcl syl2an eqeltrd adantr mulcomd oveq1d oveq2d 3eqtr4d climmulc2
      ovex weq mul01d breqtrd remulcld clim0c wi uzid fvoveq1d breq1d rspcv cle
      3syl cmet wf simpl ffvelrn eluznn metcl syl3anc ad2antrl ad2antrr eluznn0
      csu nn0zd sylan reexpcld cfz simpll elfzuz sylan2 syl2anc fsumrecl mpbird
      caddc letrd adantlr eqidd geolim2 eqtr4d isermulc2 rpexpcld rpne0d div12d
      cseq wne isumclim cdm seqex breldm isumrecl abscld fzfid simprl ffvelrnda
      eqeltrrd peano2nn simprr mettrifi fsumle fzssuz metge0 divge0d ledivmul2d
      0red mulge0d isumless leabsd rpre ad2antlr lelttr mpand anassrs ralrimdva
      wss syld reximdva ralimdva mpd cxmet metxmet iscauf ) AFDUDOPUAUEZFOZUBUE
      ZFOZDQZUCUEZUFRZUBUWEUGOZUHZUASUIZUCULUHZACUWGUJQZBUMCUKQZUNQZTQZUOOZUWJU
      FRZUBUWLUHZUASUIZUCULUHZUWOANSCNUEZUJQZUWRTQZUPZUQURRUXDAUXHUWRUQTQUQURAU
      QUWRUBNUSUXFUPZUXHUMUTSVAAVBZACNACKVCZACUOOZCUMUFACACKVDZACKVEVFLVGZVHAUW
      RABUWQJAUWQAUMVIPZCVIPZUWQVIPVJUXMUMCVKVLZACUMUFRZUQUWQUFRZLAUXPUXOUXRUXS
      VMUXMVJCUMVNVOVPVQZVSZVRZUXHUTPANSUXGVTWAWBZAUWGSPZWCZUWGUXIOZUWPWDUYEUWG
      USPZUYFUWPWEUYDUYGAUWGWFWGNUWGUXFUWPUSUXIUXEUWGCUJWHZUXIWICUWGUJXCWJWKZUY
      EUWPACULPZUWGWLPUWPULPUYDKUWGWMCUWGWNWOZVCZWPUYEUWSUWRUWPTQUWGUXHOZUWRUYF
      TQUYEUWPUWRUYLAUWRWDPUYDUYBWQWRUYDUYMUWSWEANUWGUXGUWSSUXHNUBXDUXFUWPUWRTU
      YHWSUXHWIUWPUWRTXCWJWGZUYEUYFUWPUWRTUYIWTXAXBAUWRUYBXEXFAUCUWSUAUBUXHUMUT
      SVAUXJUYCUYNUYEUWSUYEUWPUWRUYEUWPUYKVDAUWRVIPUYDUYAWQXGVRXHVPAUXCUWNUCULA
      UWJULPZWCZUXBUWMUASUYPUWESPZWCZUXBCUWEUJQZUWRTQZUOOZUWJUFRZUWMUYRUWEWLPZU
      WEUWLPUXBVUBXIUYQVUCUYPUWEWMWGUWEXJUXAVUBUBUWEUWLUBUAXDZUWTVUAUWJUFVUDUWP
      UYSUWRUOTUWGUWECUJWHXKXLXMXOUYRVUBUWKUBUWLUYPUYQUWGUWLPZVUBUWKXIUYPUYQVUE
      WCZWCZUWIVUAXNRZVUBUWKAVUFVUHUYOAVUFWCZUWIUYTVUAVUIDGXPOPZUWFGPZUWHGPZUWI
      VIPZAVUJVUFHWQZASGFXQZUYQVUKVUFIUYQVUEXRSGUWEFXSWOAVUOUYDVULVUFIUWGUWEXTS
      GUWGFXSWOUWFUWHDGYAYBZVUIUWLBCEUEZUJQZTQZEYFZUYTVIVUIVUSUYTENUWLBUXFTQZUP
      ZUWEUWLUWLWIZVUIUWEUYQUWEUSPZAVUEUWEWFYCZYGZVUQUWLPZVUQVVBOZVUSWEVUINVUQV
      VAVUSUWLVVBNEXDUXFVURBTUXEVUQCUJWHZWTVVBWIBVURTXCWJWGZVUIVVGWCZVUSVVKBVUR
      ABVIPZVUFVVGJYDZVVKCVUQAUXPVUFVVGUXMYDVUIVVDVVGVUQUSPVVEVUQUWEYEYHYIZXGZV
      RVUIYQVVBUWEUUGZBUYSUWQUNQZTQZUYTURVUIVVQBENUWLUXFUPZVVBUWEUWLVVCVVFABWDP
      VUFABJVRWQZVUICEVVSUWEACWDPVUFUXKWQAUXLUMUFRVUFUXNWQVVEVVGVUQVVSOZVURWEVU
      INVUQUXFVURUWLVVSVVIVVSWICVUQUJXCWJWGZUUAVVKVWAVURWDVWBVVKVURVVNVRWPVVKVV
      HVUSBVWATQVVJVVKVWAVURBTVWBWTUUBUUCZVUIBUYSUWQVVTVUIUYSVUICUWEAUYJVUFKWQV
      VFUUDVCAUWQWDPVUFAUWQUXQVRWQAUWQUQUUHVUFAUWQUXTUUEWQUUFXFUUIZVUIVUSEVVBUW
      EUWLVVCVVFVVJVVOVUIVVPVVRURRVVPURUUJPVWCVVPVVRURYQVVBUWEUUKBVVQTXCUULWKZU
      UMZUURZVUIUYTVUIUYTVWGVRUUNZVUIUWIVUTUYTXNVUIUWIUWEUWGUMUKQZYJQZVUQFOZVUQ
      UMYQQZFOZDQZEYFZVUTVUPVUIVWJVWNEVUIUWEVWIUUOZVUIVUQVWJPZWCZAVUQSPZVWNVIPZ
      AVUFVWQYKZVWQVUIVVGVWSVUQUWEVWIYLZVUIUYQVVGVWSAUYQVUEUUPVUQUWEXTYHZYMZAVW
      SWCZVUJVWKGPZVWMGPZVWTAVUJVWSHWQZASGVUQFIUUQZAVUOVWLSPVXGVWSIVUQUUSSGVWLF
      XSWOZVWKVWMDGYAYBZYNZYOZVWFVUIDEFUWEUWGGVUNAUYQVUEUUTVUQUWEUWGYJQPVUIVVGV
      XFVUQUWEUWGYLVVKAVWSVXFAVUFVVGYKZVXCVXIYNYMUVAVUIVWOVWJVUSEYFVUTVXMVUIVWJ
      VUSEVWPVWQVUIVVGVUSVIPVXBVVOYMZYOVWFVUIVWJVWNVUSEVWPVXLVXOVWRAVWSVWNVUSXN
      RZVXAVXDMYNUVBVUIVWJVUSEVVBUWEUWLVVCVVFVWPVWJUWLUVQVUIUWEVWIUVCWBVVJVVOVV
      KBVURVVMVVNVVKAVWSUQBXNRVXNVXCVXEUQVWNVURUNQZBVXEUVGVXEVWNVURVXKAUYJVUQWL
      PVURULPZVWSKVUQWMCVUQWNWOZVSAVVLVWSJWQZVXEVWNVURVXKVXSVXEVUJVXFVXGUQVWNXN
      RVXHVXIVXJVWKVWMDGUVDYBUVEVXEVXQBXNRVXPMVXEVWNBVURVXKVXTVXSUVFYPYRYNVVKVU
      RVVKAVWSVXRVXNVXCVXSYNVEUVHVWEUVIYRYRVWDXFVUIUYTVWGUVJYRYSVUGVUMVUAVIPZUW
      JVIPZVUHVUBWCUWKXIAVUFVUMUYOVUPYSAVUFVYAUYOVWHYSUYOVYBAVUFUWJUVKUVLUWIVUA
      UWJUVMYBUVNUVOUVPUVRUVSUVTUWAAUCUWHUWFDUAUBFUMGSVAAVUJDGUWBOPHDGUWCWKUXJU
      YEUWHYTAUYQWCUWFYTIUWDYP $.
  $}

  ${
    $d j k m n x D $.  $d j k m n x G $.  $d j k m n x ph $.  $d j k m n x X $.
    $d j k m x F $.  $d k m n N $.  $d j m n x W $.  $d j k m x Z $.
    $d j n M $.
    caures.1 $e |- Z = ( ZZ>= ` M ) $.
    caures.3 $e |- ( ph -> M e. ZZ ) $.
    caures.4 $e |- ( ph -> D e. ( Met ` X ) ) $.
    ${
      caures.5 $e |- ( ph -> F e. ( X ^pm CC ) ) $.
      $( The restriction of a Cauchy sequence to an upper set of integers is
         Cauchy.  (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario
         Carneiro, 5-Jun-2014.) $)
      caures $p |- ( ph ->
                     ( F e. ( Cau ` D ) <-> ( F |` Z ) e. ( Cau ` D ) ) ) $=
        ( vk vj vx cc co wcel cfv wral wa cvv cpm cdm clt wbr w3a cuz wrex cres
        crp ccau uztrn2 adantll biantrurd dmres elin2 bitr4di ralbidva rexbidva
        cv 3anbi1d ralbidv cmet wss elfvdm syl cnex ssid cz uzssz zsscn eqsstri
        sstri pmss12g mpanl12 sylancl fvexi pmresg sylancr sseldd 3bitr3d cxmet
        metxmet eqidd iscau4 wceq fvres adantl 3bitr4d ) ACENUAOZPZKUSZCUBZPZWK
        CQZEPZWNLUSZCQZBOMUSUCUDZUEZKWPUFQZRZLFUGZMUIRZSZCFUHZWIPZWKXEUBZPZWOWR
        UEZKWTRZLFUGZMUIRZSZCBUJQZPXEXNPAXCXLXDXMAXBXKMUIAXAXJLFAWPFPZSZWSXIKWT
        XPWKWTPZSZWMXHWOWRXRWMWKFPZWMSXHXRXSWMXOXQXSADWKWPFGUKULUMWKFWLXGCFUNUO
        UPUTUQURVAAWJXCJUMAXFXLAEFUAOZWIXEAEVBUBZPZNTPZXTWIVCZABEVBQPZYBIBEVBVD
        VEVFEEVCFNVCYBYCSYDEVGFDUFQZNGYFVHNDVIVJVLVKEFENYATVMVNVOAFTPWJXEXTPFDU
        FGVPJEFNCTVQVRVSUMVTAMWNWQBLKCDEFGAYEBEWAQPIBEWBVEZHAXSSWNWCXPWQWCWDAMW
        NWQBLKXEDEFGYGHXSWKXEQWNWEAWKFCWFWGXOWPXEQWQWEAWPFCWFWGWDWH $.
    $}

    caushft.4 $e |- W = ( ZZ>= ` ( M + N ) ) $.
    caushft.5 $e |- ( ph -> N e. ZZ ) $.
    caushft.7 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = ( G ` ( k + N ) ) ) $.
    caushft.8 $e |- ( ph -> F e. ( Cau ` D ) ) $.
    caushft.9 $e |- ( ph -> G : W --> X ) $.
    $( A shifted Cauchy sequence is Cauchy.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Revised by Mario Carneiro, 5-Jun-2014.) $)
    caushft $p |- ( ph -> G e. ( Cau ` D ) ) $=
      ( cfv wcel vn vm vx vj ccau cv co clt wbr cuz wral wrex crp cdm caddc w3a
      cc cpm wa cmet cxmet metxmet wceq ralrimiva fveq2 fvoveq1 eqeq12d rspccva
      sylan iscau4 mpbid simprd cz eleq2i biimpi eluzadd syl2anr eleqtrrdi cmin
      syl simplr eleqtrdi eluzelz ad2antrr eluzsub syl3anc ralimi oveq1d breq1d
      simpr simp3 rspcv syl2im adantl zcnd npcand fveq2d uztrn2 ffvelrnd adantr
      metsym sylibd ralrimdva raleqbidv rspcev syl6an rexlimdva ralimdv zaddcld
      wf eqtrd mpd eqidd iscauf mpbird ) AEBUESZTUAUFZESZUBUFZESZBUGZUCUFZUHUIZ
      UBXQUJSZUKZUAHULZUCUMUKZACUFZDUNTZYHGUOUGESZITZYJUDUFZGUOUGZESZBUGZYBUHUI
      ZUPZCYLUJSZUKZUDJULZUCUMUKZYGADIUQURUGTZUUAADXPTUUBUUAUSQAUCYJYNBUDCDFIJK
      ABIUTSTZBIVASTMBIVBVTZLPAYHDSZYJVCZCJUKYLJTZYLDSZYNVCZAUUFCJPVDUUFUUICYLJ
      YHYLVCUUEUUHYJYNYHYLDVEYHYLGEUOVFVGVHVIVJVKVLAYTYFUCUMAYSYFUDJAUUGUSZYMHT
      ZYSYNXTBUGZYBUHUIZUBYMUJSZUKZYFUUJYMFGUOUGZUJSZHUUGYLFUJSZTZGVMTZYMUUQTAU
      UGUUSJUURYLKVNVOOGFYLVPVQNVRZUUJYSUUMUBUUNUUJXSUUNTZUSZYSXSGVSUGZGUOUGZES
      ZYNBUGZYBUHUIZUUMUVCUVDYRTZYSYPCYRUKUVHUVCYLVMTZUUTUVBUVIUVCUUSUVJUVCYLJU
      URAUUGUVBWAKWBFYLWCVTAUUTUUGUVBOWDUUJUVBWJGYLXSWEWFYQYPCYRYIYKYPWKWGYPUVH
      CUVDYRYHUVDVCZYOUVGYBUHUVKYJUVFYNBYHUVDGEUOVFWHWIWLWMUVCUVGUULYBUHUVCUVGX
      TYNBUGZUULUVCUVFXTYNBUVCUVEXSEUVCXSGUVCXSUVBXSVMTUUJYMXSWCWNWOAGUQTUUGUVB
      AGOWOWDWPWQWHUVCUUCXTITYNITZUVLUULVCAUUCUUGUVBMWDUVCHIXSEAHIEXJZUUGUVBRWD
      UUJUUKUVBXSHTZUVAUUPXSYMHNWRVIWSUUJUVMUVBUUJHIYMEAUVNUUGRWTUVAWSWTXTYNBIX
      AWFXKWIXBXCYEUUOUAYMHXQYMVCZYCUUMUBYDUUNXQYMUJVEUVPYAUULYBUHUVPXRYNXTBXQY
      MEVEWHWIXDXEXFXGXHXLAUCXTXRBUAUBEUUPIHNUUDAFGLOXIAUVOUSXTXMAXQHTUSXRXMRXN
      XO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Continuous maps and homeomorphisms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x $.
    constcncf.1 $e |- F = ( x e. CC |-> A ) $.
    $( A constant function is a continuous function on ` CC ` .  (Contributed
       by Jeff Madsen, 2-Sep-2009.)  (Moved into main set.mm as ~ cncfmptc and
       may be deleted by mathbox owner, JM. --MC 12-Sep-2015.)  (Revised by
       Mario Carneiro, 12-Sep-2015.) $)
    constcncf $p |- ( A e. CC -> F e. ( CC -cn-> CC ) ) $=
      ( cc wcel cmpt ccncf co wss ssid cncfmptc mp3an23 eqeltrid ) BEFZCAEBGZEE
      HIZDOEEJZRPQFEKZSABEELMN $.
  $}

  ${
    $d J x $.  $d K x $.  $d F x $.  $d X x $.  $d Y x $.  $d A x $.  $d B x $.
    cnres2.1 $e |- X = U. J $.
    cnres2.2 $e |- Y = U. K $.
    $( The restriction of a continuous function to a subset is continuous.
       (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro,
       15-Dec-2013.) $)
    cnres2 $p |- ( ( ( J e. Top /\ K e. Top ) /\ ( A C_ X /\ B C_ Y ) /\
                ( F e. ( J Cn K ) /\ A. x e. A ( F ` x ) e. B ) ) -> ( F |` A )
                  e. ( ( J |`t A ) Cn ( K |`t B ) ) ) $=
      ( ctop wcel wa wss ccn co cfv crest syl2anc wb cv wral cres simp3l simp2l
      w3a cnrest ctopon crn simp1r toptopon sylib cima df-ima simp3r cdm wf cnf
      wfun ffun 3syl wceq fdm funimass4 mpbird eqsstrrid simp2r cnrest2 syl3anc
      sseqtrrd mpbid ) EKLZFKLZMZBGNZCHNZMZDEFOPLZAUADQCLABUBZMZUFZDBUCZEBRPZFO
      PLZWBWCFCRPOPLZWAVRVOWDVNVQVRVSUDZVNVOVPVTUEZBDEFGIUGSWAFHUHQLZWBUIZCNVPW
      DWETWAVMWHVLVMVQVTUJFHJUKULWAWIDBUMZCDBUNWAWJCNZVSVNVQVRVSUOWADUSZBDUPZNW
      KVSTWAVRGHDUQZWLWFDEFGHIJURZGHDUTVAWABGWMWGWAVRWNWMGVBWFWOGHDVCVAVJABCDVD
      SVEVFVNVOVPVTVGCWBWCFHVHVIVK $.
  $}

  $( A continuous function is continuous onto its image.  (Contributed by Jeff
     Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro, 15-Dec-2013.) $)
  cnresima $p |- ( ( J e. Top /\ K e. Top /\ F e. ( J Cn K ) )
                            -> F e. ( J Cn ( K |`t ran F ) ) ) $=
    ( ctop wcel ccn co w3a crn crest simp3 cuni ctopon cfv wss wb eqid toptopon
    simp2 sylib ssidd cnf frnd 3ad2ant3 cnrest2 syl3anc mpbid ) BDEZCDEZABCFGEZ
    HZUJABCAIZJGFGEZUHUIUJKUKCCLZMNEZULULOULUNOZUJUMPUKUIUOUHUIUJSCUNUNQZRTUKUL
    UAUJUHUPUIUJBLZUNAABCURUNURQUQUBUCUDULABCUNUEUFUG $.

  ${
    $d A x $.  $d B x $.  $d J x $.  $d K x $.
    cncfres.1 $e |- A C_ CC $.
    cncfres.2 $e |- B C_ CC $.
    cncfres.3 $e |- F = ( x e. CC |-> C ) $.
    cncfres.4 $e |- G = ( x e. A |-> C ) $.
    cncfres.5 $e |- ( x e. A -> C e. B ) $.
    cncfres.6 $e |- F e. ( CC -cn-> CC ) $.
    cncfres.7 $e |- J = ( MetOpen ` ( ( abs o. - ) |` ( A X. A ) ) ) $.
    cncfres.8 $e |- K = ( MetOpen ` ( ( abs o. - ) |` ( B X. B ) ) ) $.
    $( A continuous function on complex numbers restricted to a subset.
       (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro,
       12-Sep-2015.) $)
    cncfres $p |- G e. ( J Cn K ) $=
      ( ccncf co wcel cc ccn wf fmpti wss wb cmpt cres wceq resmpt ax-mp eqtr4i
      eqeltrri rescncf mp2 eqeltri cncffvrn mp2an mpbir cabs cmin ccom cxp eqid
      cncfmet eleqtri ) FBCQRZGHUARZFVFSZBCFUBZABCDFLMUCCTUDZFBTQRZSVHVIUEJFATD
      UFZBUGZVKFABDUFZVMLBTUDZVMVNUHIATBDUIUJUKVOVLTTQRZSVMVKSIEVLVPKNULTTBVLUM
      UNUOBTCFUPUQURVOVJVFVGUHIJBCUSUTVAZBBVBUGZVQCCVBUGZGHVRVCVSVCOPVDUQVE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Boundedness
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c TotBnd $.
  $c Bnd $.
  $( Extend class notation with the class of totally bounded metric spaces. $)
  ctotbnd $a class TotBnd $.
  $( Extend class notation with the class of bounded metric spaces. $)
  cbnd $a class Bnd $.

  ${
    $d b d m v x y $.
    $( Define the class of totally bounded metrics.  A metric space is totally
       bounded iff it can be covered by a finite number of balls of any given
       radius.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    df-totbnd $a |- TotBnd = ( x e. _V |-> { m e. ( Met ` x ) |
      A. d e. RR+ E. v e. Fin ( U. v = x /\
        A. b e. v E. y e. x b = ( y ( ball ` m ) d ) ) } ) $.
  $}

  ${
    $d b d m v x M $.  $d b d m v x y X $.
    $( The predicate "is a totally bounded metric space".  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    istotbnd $p |- ( M e. ( TotBnd ` X ) <-> ( M e. ( Met ` X ) /\
      A. d e. RR+ E. v e. Fin ( U. v = X /\
        A. b e. v E. x e. X b = ( x ( ball ` M ) d ) ) ) ) $=
      ( vm vy ctotbnd cfv wcel cmet cv wceq wrex wral wa cfn crp ralbidv cvv co
      cuni cbl elfvex adantr crab fveq2 eqeq2 rexeq anbi12d rabeqbidv df-totbnd
      rexbidv rabex fvmpt eleq2d oveqd eqeq2d anbi2d elrab bitrdi pm5.21nii
      fvex ) CDIJZKZDUAKZCDLJZKZBMZUCZDNZEMZAMZFMZCUDJZUBZNZADOZEVJPZQZBROZFSPZ
      QZCDIUEVIVGWCCDLUEUFVGVFCVLVMVNVOGMZUDJZUBZNZADOZEVJPZQZBROZFSPZGVHUGZKWD
      VGVEWNCHDVKHMZNZWHAWOOZEVJPZQZBROZFSPZGWOLJZUGWNUAIWODNZXAWMGXBVHWODLUHXC
      WTWLFSXCWSWKBRXCWPVLWRWJWODVKUIXCWQWIEVJWHAWODUJTUKUNTULHABGEFUMWMGVHDLVD
      UOUPUQWMWCGCVHWECNZWLWBFSXDWKWABRXDWJVTVLXDWIVSEVJXDWHVRADXDWGVQVMXDWFVPV
      NVOWECUDUHURUSUNTUTUNTVAVBVC $.
  $}

  ${
    $d M d v b x $.  $d X d v b x $.
    $( The predicate "is a totally bounded metric space."  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    istotbnd2 $p |- ( M e. ( Met ` X ) -> ( M e. ( TotBnd ` X ) <->
       A. d e. RR+ E. v e. Fin ( U. v = X /\
         A. b e. v E. x e. X b = ( x ( ball ` M ) d ) ) ) ) $=
      ( ctotbnd cfv wcel cmet cv cuni wceq cbl co wrex wral wa cfn crp istotbnd
      baib ) CDGHICDJHIBKZLDMEKAKFKCNHOMADPEUCQRBSPFTQABCDEFUAUB $.
  $}

  ${
    $d b d f v w x M $.  $d b d f v w x X $.
    $( A metric space is totally bounded iff there is a finite &epsilon;-net
       for every positive &epsilon;.  This differs from the definition in
       providing a finite set of ball centers rather than a finite set of
       balls.  (Contributed by Mario Carneiro, 12-Sep-2015.) $)
    istotbnd3 $p |- ( M e. ( TotBnd ` X ) <-> ( M e. ( Met ` X ) /\ A. d e. RR+
      E. v e. ( ~P X i^i Fin ) U_ x e. v ( x ( ball ` M ) d ) = X ) ) $=
      ( vw vb vf cfv wcel cv wceq wrex wral wa cfn crp ciun wss syl ctotbnd cbl
      cmet cuni co cpw cin istotbnd wf wex oveq1 eqeq2d ac6sfi ad2antlr simprrl
      wi ex crn frnd wfo simplr ffnd dffn4 sylib fofi syl2anc elfpw sylanbrc wb
      wfn eleq2d rexrn eliun 3bitr4g eqrdv simprrr iuneq2 uniiun simprl eqtr3id
      3eqtr2d iuneq1 eqeq1d rspcev expr exlimdv syld expimpd rexlimdva cmpt cab
      simprbi ad2antrl mptfi rnfi 3syl ovex dfiun3 simprr rnmpt simplbi ss2abdv
      eqid ssrexv eqsstrid unieq ssabral sseq1 bitr3id anbi12d syl12anc ralbidv
      impbid pm5.32i bitri ) CDUAIJCDUCIJZFKZUDZDLZGKZAKZEKZCUBIZUEZLZADMZGXQNZ
      OZFPMZEQNZOXPABKZYDRZDLZBDUFPUGZMZEQNZOAFCDGEUHXPYJYPXPYIYOEQXPYIYOXPYHYO
      FPXPXQPJZOZXSYGYOYRXSOZYGXQDHKZUIZXTXTYTIZYBYCUEZLZGXQNZOZHUJZYOYQYGUUGUP
      XPXSYQYGUUGYEUUDGAXQDHYAUUBLZYDUUCXTYAUUBYBYCUKZULUMUQUNYSUUFYOHYRXSUUFYO
      YRXSUUFOZOZYTURZYNJZAUULYDRZDLZYOUUKUULDSUULPJZUUMUUKXQDYTYRXSUUAUUEUOZUS
      UUKYQXQUULYTUTZUUPXPYQUUJVAUUKYTXQVJZUURUUKXQDYTUUQVBZXQYTVCVDXQUULYTVEVF
      UULDVGVHUUKUUNGXQUUCRZGXQXTRZDUUKBUUNUVAUUKYKYDJZAUULMZYKUUCJZGXQMZYKUUNJ
      YKUVAJUUKUUSUVDUVFVIUUTUVCUVEAGXQYTUUHYDUUCYKUUIVKVLTAYKUULYDVMGYKXQUUCVM
      VNVOUUKUUEUVBUVALYRXSUUAUUEVPGXQXTUUCVQTUUKUVBXRDGXQVRYRXSUUFVSVTWAYMUUOB
      UULYNYKUULLYLUUNDAYKUULYDWBWCWDVFWEWFWGWHWIXPYMYIBYNXPYKYNJZYMYIXPUVGYMOO
      ZAYKYDWJZURZPJZUVJUDZDLZUVJYFGWKZSZYIUVHYKPJZUVIPJUVKUVGUVPXPYMUVGYKDSZUV
      PYKDVGZWLWMAYKYDWNUVIWOWPUVHUVLYLDAYKYDYAYBYCWQWRXPUVGYMWSVTUVHUVJYEAYKMZ
      GWKUVNAGYKYDUVIUVIXCWTUVHUVSYFGUVHUVQUVSYFUPUVGUVQXPYMUVGUVQUVPUVRXAWMYEA
      YKDXDTXBXEYHUVMUVOOFUVJPXQUVJLZXSUVMYGUVOUVTXRUVLDXQUVJXFWCYGXQUVNSUVTUVO
      YFGXQXGXQUVJUVNXHXIXJWDXKWEWIXMXLXNXO $.
  $}

  ${
    $d b d v x M $.  $d b d v x X $.
    $( The predicate "totally bounded" implies ` M ` is a metric space.
       (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    totbndmet $p |- ( M e. ( TotBnd ` X ) -> M e. ( Met ` X ) ) $=
      ( vv vb vx vd ctotbnd cfv wcel cmet cv cuni wceq cbl co wrex wral cfn crp
      wa istotbnd simplbi ) ABGHIABJHICKZLBMDKEKFKANHOMEBPDUCQTCRPFSQECABDFUAUB
      $.
  $}

  ${
    $d r v x M $.
    $( The metric (there is only one) on the empty set is totally bounded.
       (Contributed by Mario Carneiro, 16-Sep-2015.) $)
    0totbnd $p |- ( X = (/) ->
      ( M e. ( TotBnd ` X ) <-> M e. ( Met ` X ) ) ) $=
      ( vx vv vr c0 wceq ctotbnd cfv wcel cmet fveq2 eleq2d cv cbl ciun cpw cfn
      co crp wrex wral 0elpw 0fin elin mpbir2an 0iun iuneq1 eqeq1d rspcev mp2an
      cin rgenw istotbnd3 mpbiran2 bitr4id bitrd ) BFGZABHIZJAFHIZJZABKIZJZURUS
      UTABFHLMURVAAFKIZJZVCVAVECDNZCNENAOISZPZFGZDFQZRULZUAZETUBVLETFVKJZCFVGPZ
      FGZVLVMFVJJFRJFUCUDFVJRUEUFCVGUGVIVODFVKVFFGVHVNFCVFFVGUHUIUJUKUMCDAFEUNU
      OURVBVDABFKLMUPUQ $.
  $}

  ${
    $d b c d f u v w x y z M $.  $d b c d f u v w x y z X $.
    $d c d f u v w x y z N $.  $d b c d f u v w x y z Y $.
    sstotbnd.2 $e |- N = ( M |` ( Y X. Y ) ) $.
    $( Condition for a subset of a metric space to be totally bounded.
       (Contributed by Mario Carneiro, 12-Sep-2015.) $)
    sstotbnd2 $p |- ( ( M e. ( Met ` X ) /\ Y C_ X ) ->
      ( N e. ( TotBnd ` Y ) <-> A. d e. RR+ E. v e. ( ~P X i^i Fin )
        Y C_ U_ x e. v ( x ( ball ` M ) d ) ) ) $=
      ( vy vz wcel wss wa co cin crp wral wceq syl c0 vw vc vf cmet cfv ctotbnd
      cv cbl ciun cpw cfn wrex cxp cres metres2 eqeltrid istotbnd3 baib simpllr
      sspwd ssrind simprl sseldd simprr wel cxmet metxmet ad4antr elfpw simplbi
      wb adantl sselda simp-4r sseqin2 sylib eleqtrrd rpxrd blres syl3anc inss1
      eqsstrdi ralrimiva ss2iun adantrr eqsstrrd ex reximdv2 ralimdva sylbid c2
      cxr jca cdiv wi simpr rphalfcld oveq2 iuneq2d sseq2d rexbidv rspcv wne wf
      crab simprbi ad2antrl ssrab2 ssfi sylancl oveq1 ineq1d incom eqtrdi dfin5
      wex weq neeq1d rabn0 bitrdi rgen cima mpbird wfn elpreima imaeq2d eleq12d
      elrab id adantr syl2anc cbviunv ad4antlr iunss sylibr syl5eq sylan syl2an
      sstrd syld eleq1 ac6sfi cdm ccnv w3a fdm feq2d ffn baibd ralbidva ralrab2
      3jca simpr2 frnd ffnd simpr1 fnfi rnfi sylanbrc rpxr blssm iunin1 simplrr
      crn sseqtrdi 0ss sseq1 mpbiri a1i simpr3 imbi12d rspccva ad5antr cnvimass
      cr sstrid rpred simplbda syl22anc sseli ffvelrn simp-5r sseqtrrd fnfvelrn
      blhalf ssiun2s adantlr pm2.61dne eqssd iuneq1 eqeq1d rspcev mpd ralrimdva
      exlimdv rexlimdvaa sylibrd impbid ) CEUDUEKZFELZMZDFUFUEKZFABUGZAUGZGUGZC
      UHUEZNZUIZLZBEUJZUKOZULZGPQZUXAUXBAUXCUXDUXEDUHUEZNZUIZFRZBFUJZUKOZULZGPQ
      ZUXMUXADFUDUEZKZUXBUYAVKUXADCFFUMUNUYBHCFEUOUPZUXBUYCUYAABDFGUQURSUXAUXTU
      XLGPUXAUXEPKZMZUXQUXIBUXSUXKUYFUXCUXSKZUXQMZUXCUXKKZUXIMUYFUYHMZUYIUXIUYJ
      UXSUXKUXCUYJUXRUXJUKUYJFEUWSUWTUYEUYHUSUTVAUYFUYGUXQVBVCUYJFUXPUXHUYFUYGU
      XQVDUYFUYGUXPUXHLZUXQUYFUYGMZUXOUXGLZAUXCQUYKUYLUYMAUXCUYLABVEZMZUXOUXGFO
      ZUXGUYOCEVFUEKZUXDEFOZKUXEWLKUXOUYPRUWSUYQUWTUYEUYGUYNCEVGZVHUYOUXDFUYRUY
      LUXCFUXDUYGUXCFLZUYFUYGUYTUXCUKKZUXCFVIVJVLVMUYOUWTUYRFRZUWSUWTUYEUYGUYNV
      NFEVOZVPVQUYOUXEUXAUYEUYGUYNUSVRDCUXDUXEEFHVSVTUXGFWAWBWCAUXCUXOUXGWDSWEW
      FWMWGWHWIWJUXAUXMAUAUGZUXDUBUGZUXNNZUIZFRZUAUXSULZUBPQZUXBUXAUXMVUIUBPUXA
      VUEPKZMZUXMFAUXCUXDVUEWKWNNZUXFNZUIZLZBUXKULZVUIVULVUMPKUXMVUQWOVULVUEUXA
      VUKWPWQUXLVUQGVUMPUXEVUMRZUXIVUPBUXKVURUXHVUOFVURAUXCUXGVUNUXEVUMUXDUXFWR
      WSWTXAXBSVULVUPVUIBUXKVULUYIVUPMZMZVUNFOZTXCZAUXCXEZFUCUGZXDZIUGZVVDUEZVV
      FVUMUXFNZKZIVVCQZMZUCXPZVUIVUTVVCUKKZJUGZVVHKZJFULZIVVCQVVLVUTVUAVVCUXCLV
      VMUYIVUAVULVUPUYIUXCELZVUAUXCEVIZXFXGZVVBAUXCXHZUXCVVCXIXJVVPIVVCVVFVVCKZ
      IBVEZVVPVVBVVPAVVFUXCAIXQZVVBVVOJFXEZTXCVVPVWCVVAVWDTVWCVVAFVVHOZVWDVWCVV
      AVVHFOZVWEVWCVUNVVHFUXDVVFVUMUXFXKZXLZVVHFXMXNJFVVHXOXNXRVVOJFXSXTYHXFYAV
      VOVVIIJVVCFUCVVNVVGVVHUUAUUBXJVUTVVKVUIUCVUTVVKVVDUUCZUXCLZVWIFVVDXDZVVBU
      XDVVDUUDZVUNYBZKZWOZAUXCQZUUEZVUIVUTVUAVVKVWQWOVVSVUAVVKVWQVUAVVKMZVWJVWK
      VWPVWRVWIVVCUXCVVEVWIVVCRVUAVVJVVCFVVDUUFXGZVVTWBVWRVWKVVEVUAVVEVVJVBVWRV
      WIVVCFVVDVWSUUGYCVWRVVFVWLVVHYBZKZIVVCQZVWPVWRVXBVVJVUAVVEVVJVDVVEVXBVVJV
      KVUAVVJVVEVXAVVIIVVCVVEVXAVWAVVIVVEVVDVVCYDVXAVWAVVIMVKVVCFVVDUUHVVCVVFVV
      HVVDYESUUIUUJXGYCVVBVXAVWNIAUXCIAXQZVVFUXDVWTVWMVXCYIVXCVVHVUNVWLVVFUXDVU
      MUXFXKYFYGUUKVPUULWGSVUTVWQVUIVUTVWQMZVVDUVDZUXSKZAVXEVUFUIZFRZVUIVXDVXEF
      LVXEUKKZVXFVXDVWIFVVDVUTVWJVWKVWPUUMZUUNZVXDVVDUKKZVXIVXDVVDVWIYDZVWIUKKZ
      VXLVXDVWIFVVDVXJUUOZVXDVUAVWJVXNVUTVUAVWQVVSYJVUTVWJVWKVWPUUPZUXCVWIXIYKV
      WIVVDUUQYKVVDUURSVXEFVIUUSVXDVXGJVXEVVNVUEUXNNZUIZFAJVXEVUFVXQUXDVVNVUEUX
      NXKYLVXDVXRFVXDVXQFLZJVXEQVXRFLVXDVXSJVXEVXDVVNVXEKZMZDFVFUEKZVVNFKVUEWLK
      ZVXSVYAUYCVYBUXAUYCVUKVUSVWQVXTUYDVHDFVGSVXDVXEFVVNVXKVMVUKVYCUXAVUSVWQVX
      TVUEUUTZYMDVVNVUEFUVAVTWCJVXEVXQFYNYOVXDFIUXCVWFUIZVXRVXDVYEIUXCVVHUIZFOZ
      FIUXCFVVHUVBVXDFVYFLVYGFRVXDFVUOVYFVULUYIVUPVWQUVCAIUXCVUNVVHVWGYLUVEFVYF
      VOVPYPVXDVWFVXRLZIUXCQVYEVXRLVXDVYHIUXCVXDVWBMZVYHVWFTVWFTRZVYHWOVYIVYJVY
      HTVXRLVXRUVFVWFTVXRUVGUVHUVIVYIVWFTXCZVXAVYHVXDVWPVWBVYKVXAWOZVUTVWJVWKVW
      PUVJVWOVYLAVVFUXCVWCVVBVYKVWNVXAVWCVVAVWFTVWHXRVWCUXDVVFVWMVWTVWCYIVWCVUN
      VVHVWLVWGYFYGUVKUVLYQVYIVXAVYHVXDVXAVYHVWBVXDVXAMZVWFVVGVUEUXNNZVXRVYMVWF
      VVGVUEUXFNZFOZVYNVYMVVHVYOFVYMUYQVVFEKVUEUVOKVVIVVHVYOLUWSUYQUWTVUKVUSVWQ
      VXAUYSUVMZVXDVWTEVVFVXDVWTVWIEVVDVVHUVNZVXDVWIUXCEVXPVUTVVQVWQUYIVVQVULVU
      PUYIVVQVUAVVRVJXGYJYSUVPVMVYMVUEUXAVUKVUSVWQVXAVNUVQVXDVXMVXAVVIVXOVXMVXA
      VVFVWIKZVVIVWIVVFVVHVVDYEUVRYQVUECEVVFVVGUWEUVSVAVYMUYQVVGUYRKVYCVYNVYPRV
      YQVYMVVGFUYRVXDVWKVYSVVGFKVXAVXJVWTVWIVVFVYRUVTZVWIFVVFVVDUWAYRVYMUWTVUBU
      WSUWTVUKVUSVWQVXAUWBVUCVPVQVUKVYCUXAVUSVWQVXAVYDYMDCVVGVUEEFHVSVTUWCVYMVV
      GVXEKZVYNVXRLVXDVXMVYSWUAVXAVXOVYTVWIVVFVVDUWDYRJVXEVXQVVGVYNVVNVVGVUEUXN
      XKUWFSYSUWGWGYTUWHWCIUXCVWFVXRYNYOWFUWIYPVUHVXHUAVXEUXSVUDVXERVUGVXGFAVUD
      VXEVUFUWJUWKUWLYKWGYTUWOUWMUWPYTUWNUXAUYCUXBVUJVKUYDUXBUYCVUJAUADFUBUQURS
      UWQUWR $.

    $( Condition for a subset of a metric space to be totally bounded.
       (Contributed by Jeff Madsen, 2-Sep-2009.)  (Proof shortened by Mario
       Carneiro, 12-Sep-2015.) $)
    sstotbnd $p |- ( ( M e. ( Met ` X ) /\ Y C_ X ) ->
      ( N e. ( TotBnd ` Y ) <-> A. d e. RR+ E. v e. Fin ( Y C_ U. v /\
        A. b e. v E. x e. X b = ( x ( ball ` M ) d ) ) ) ) $=
      ( vu vf cfv wcel wss wa cv ciun cfn wrex wceq vy cmet ctotbnd cbl cpw cin
      co crp wral cuni sstotbnd2 cmpt crn cab elfpw simprbi mptfi rnfi ad2antrl
      3syl simprr eqid rnmpt wi simplbi ssrexv syl ss2abdv eqsstrid ovex dfiun3
      unieq eqtr4di sseq2d ssabral sseq1 bitr3id anbi12d syl12anc rexlimdvaa wf
      rspcev wex oveq1 eqeq2d ac6sfi adantrl adantl frn wfo simplrl dffn4 sylib
      wfn ffn fofi syl2anc sylanbrc simprrl adantr uniiun iuneq2 syl5eq sseqtrd
      ad2antll eleq2d rexrn eliun 3bitr4g eqrdv sseqtrrd iuneq1 exlimddv impbid
      ralbidv bitrd ) CEUBLMFENOZDFUCLMFAJPZAPZHPZCUDLZUGZQZNZJEUERUFZSZHUHUIFB
      PZUJZNZGPZYBTZAESZGYGUIZOZBRSZHUHUIAJCDEFHIUKXQYFYOHUHXQYFYOXQYDYOJYEXQXR
      YEMZYDOOZAXRYBULZUMZRMZYDYSYLGUNZNZYOYPYTXQYDYPXRRMZYRRMYTYPXRENZUUCXREUO
      ZUPAXRYBUQYRURUTUSXQYPYDVAYQYSYKAXRSZGUNUUAAGXRYBYRYRVBVCYQUUFYLGYPUUFYLV
      DZXQYDYPUUDUUGYPUUDUUCUUEVEYKAXREVFVGUSVHVIYNYDUUBOBYSRYGYSTZYIYDYMUUBUUH
      YHYCFUUHYHYSUJYCYGYSVLAXRYBXSXTYAVJVKVMVNYMYGUUANUUHUUBYLGYGVOYGYSUUAVPVQ
      VRWBVSVTXQYNYFBRXQYGRMZYNOZOZYGEKPZWAZYJYJUULLZXTYAUGZTZGYGUIZOZYFKUUJUUR
      KWCZXQUUIYMUUSYIYKUUPGAYGEKXSUUNTZYBUUOYJXSUUNXTYAWDZWEWFWGWHUUKUUROZUULU
      MZYEMZFAUVCYBQZNZYFUVBUVCENZUVCRMZUVDUUMUVGUUKUUQYGEUULWIUSUVBUUIYGUVCUUL
      WJZUVHXQUUIYNUURWKUVBUULYGWNZUVIUUMUVJUUKUUQYGEUULWOUSZYGUULWLWMYGUVCUULW
      PWQUVCEUOWRUVBFGYGUUOQZUVEUVBFYHUVLUUKYIUURXQUUIYIYMWSWTUUQYHUVLTUUKUUMUU
      QYHGYGYJQUVLGYGXAGYGYJUUOXBXCXEXDUVBUVJUVEUVLTUVKUVJUAUVEUVLUVJUAPZYBMZAU
      VCSUVMUUOMZGYGSUVMUVEMUVMUVLMUVNUVOAGYGUULUUTYBUUOUVMUVAXFXGAUVMUVCYBXHGU
      VMYGUUOXHXIXJVGXKYDUVFJUVCYEXRUVCTYCUVEFAXRUVCYBXLVNWBWQXMVTXNXOXP $.

    $( Use a net that is not necessarily finite, but for which only finitely
       many balls meet the subset.  (Contributed by Mario Carneiro,
       14-Sep-2015.) $)
    sstotbnd3 $p |- ( ( M e. ( Met ` X ) /\ Y C_ X ) ->
      ( N e. ( TotBnd ` Y ) <-> A. d e. RR+ E. v e. ~P X
        ( Y C_ U_ x e. v ( x ( ball ` M ) d ) /\
          { x e. v | ( ( x ( ball ` M ) d ) i^i Y ) =/= (/) } e. Fin ) ) ) $=
      ( vy vw cfv wcel wss wa cv ciun cfn wrex crp wral vz cmet ctotbnd cbl cin
      co c0 wne crab cpw sstotbnd2 elin rabfi anim2i sylbi ancoms sylib reximi2
      an12 ralimi syl6bi ssrab2 elpwi ad2antlr sstrid simprr elfpw ssel2 inelcm
      sylanbrc eliun expcom ancrd reximdv impcom sylancom eleq2d rexrab2 sylibr
      wceq oveq1 bitri ex ssrdv iuneq1 sseq2d rspcev syl2anc rexlimdva2 ralimdv
      ad2antrl sylibrd impbid ) CEUBKLFEMNZDFUCKLZFABOZAOZGOZCUDKZUFZPZMZWTFUEU
      GUHZAWPUIZQLZNZBEUJZRZGSTZWNWOXBBXGQUEZRZGSTXIABCDEFGHUKXKXHGSXBXFBXJXGWP
      XJLZXBNXBWPXGLZXENZNZXMXFNXBXLXOXLXNXBXLXMWPQLZNXNWPXGQULXPXEXMXCAWPUMUNU
      OUNUPXBXMXEUSUQURUTVAWNXIFIJOZIOZWRWSUFZPZMZJXJRZGSTWOWNXHYBGSWNXFYBBXGWN
      XMNZXFNZXDXJLZFIXDXSPZMZYBYDXDEMXEYEYDXDWPEXCAWPVBXMWPEMWNXFWPEVCVDVEYCXB
      XEVFXDEVGVJXBYGYCXEXBUAFYFXBUAOZFLZYHYFLZXBYINZXCYHWTLZNZAWPRZYJXBYIYLAWP
      RZYNYKYHXALYOFXAYHVHAYHWPWTVKUQYIYOYNYIYLYMAWPYIYLXCYLYIXCYHWTFVIVLVMVNVO
      VPYJYHXSLZIXDRYNIYHXDXSVKXCYPYLIAWPXRWQVTXSWTYHXRWQWRWSWAVQVRWBVSWCWDWKYA
      YGJXDXJXQXDVTXTYFFIXQXDXSWEWFWGWHWIWJIJCDEFGHUKWLWM $.
  $}

  ${
    $d b d v x M $.  $d b d v x S $.  $d b d v x X $.
    $( A subset of a totally bounded metric space is totally bounded.
       (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro,
       12-Sep-2015.) $)
    totbndss $p |- ( ( M e. ( TotBnd ` X ) /\ S C_ X ) ->
        ( M |` ( S X. S ) ) e. ( TotBnd ` S ) ) $=
      ( vv vb vx vd ctotbnd cfv wcel wss wa cxp cres cv wceq wrex wral cfn crp
      cuni co cmet istotbnd simprbi sseq2 biimprcd anim1d reximdv ralimdv mpan9
      cbl wb totbndmet eqid sstotbnd sylan mpbird ) BCHIJZACKZLBAAMNZAHIJZADOZU
      AZKZEOFOGOBULIUBPFCQEVCRZLZDSQZGTRZUSVDCPZVFLZDSQZGTRZUTVIUSBCUCIJZVMFDBC
      EGUDUEUTVLVHGTUTVKVGDSUTVJVEVFVJVEUTVDCAUFUGUHUIUJUKUSVNUTVBVIUMBCUNFDBVA
      CAEGVAUOUPUQUR $.
  $}

  ${
    $d s v x y M $.  $d r v x y N $.  $d r v x y ph $.  $d r s v x y X $.
    $d s v x y R $.
    equivtotbnd.1 $e |- ( ph -> M e. ( TotBnd ` X ) ) $.
    equivtotbnd.2 $e |- ( ph -> N e. ( Met ` X ) ) $.
    equivtotbnd.3 $e |- ( ph -> R e. RR+ ) $.
    equivtotbnd.4 $e |- ( ( ph /\ ( x e. X /\ y e. X ) ) ->
      ( x N y ) <_ ( R x. ( x M y ) ) ) $.
    $( If the metric ` M ` is "strongly finer" than ` N ` (meaning that there
       is a positive real constant ` R ` such that
       ` N ( x , y ) <_ R x. M ( x , y ) ` ), then total boundedness of ` M `
       implies total boundedness of ` N ` .  (Using this theorem twice in each
       direction states that if two metrics are strongly equivalent, then one
       is totally bounded iff the other is.)  (Contributed by Mario Carneiro,
       14-Sep-2015.) $)
    equivtotbnd $p |- ( ph -> N e. ( TotBnd ` X ) ) $=
      ( vv vr vs cfv wcel cv co crp wss cmet cbl ciun wceq cpw cfn wrex ctotbnd
      cin wral wa cdiv simpr adantr rpdivcld istotbnd3 simprbi syl oveq2 eqeq1d
      iuneq2d rexbidv rspcv sylc elfpw simplbi adantl sselda metss2lem anass1rs
      cmopn adantlr syldan ralrimiva ss2iun sseq1 syl5ibcom cxmet cxr ad3antrrr
      eqid metxmet simpllr rpxrd blssm syl3anc iunss sylibr jctild eqss syl6ibr
      reximdva mpd sylanbrc ) AFGUAOZPZBLQZBQZMQZFUBORZUCZGUDZLGUEUFUIZUGZMSUJF
      GUHOZPIAXDMSAWSSPZUKZBWQWRWSDULRZEUBOZRZUCZGUDZLXCUGZXDXGXHSPBWQWRNQZXIRZ
      UCZGUDZLXCUGZNSUJZXMXGWSDAXFUMADSPXFJUNUOXGEXEPZXSAXTXFHUNXTEWOPZXSBLEGNU
      PZUQURXRXMNXHSXNXHUDZXQXLLXCYCXPXKGYCBWQXOXJXNXHWRXIUSVAUTVBVCVDXGXLXBLXC
      XGWQXCPZUKZXLXAGTZGXATZUKXBYEXLYGYFYEXKXATZXLYGYEXJWTTZBWQUJYHYEYIBWQYEWR
      WQPZWRGPZYIYEWQGWRYDWQGTZXGYDYLWQUFPWQGVEVFVGVHZXGYKYIYDAYKXFYIABCFEDWSFV
      KOZEVKOZGYNWAYOWAIAXTYAHXTYAXSYBVFURJKVIVJVLVMVNBWQXJWTVOURXKGXAVPVQYEWTG
      TZBWQUJYFYEYPBWQYEYJUKZFGVROPZYKWSVSPYPYQWPYRAWPXFYDYJIVTFGWBURYMYQWSAXFY
      DYJWCWDFWRWSGWEWFVNBWQWTGWGWHWIXAGWJWKWLWMVNBLFGMUPWN $.
  $}

  ${
    $d m r x y $.
    $( Define the class of bounded metrics.  A metric space is bounded iff it
       can be covered by a single ball.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    df-bnd $a |- Bnd = ( x e. _V |-> { m e. ( Met ` x ) |
      A. y e. x E. r e. RR+ x = ( y ( ball ` m ) r ) } ) $.
  $}

  ${
    $d d m r s x y z M $.  $d d r y N $.  $d d r y P $.  $d d m r s x y z X $.
    $d r x R $.  $d r x S $.  $d d r x y Y $.
    $( The predicate "is a bounded metric space".  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Revised by Mario Carneiro, 12-Sep-2015.) $)
    isbnd $p |- ( M e. ( Bnd ` X ) <-> ( M e. ( Met ` X ) /\
        A. x e. X E. r e. RR+ X = ( x ( ball ` M ) r ) ) ) $=
      ( vm vy cbnd cfv wcel cvv cmet cv cbl co wceq crp wrex wral elfvex crab
      adantr fveq2 eqeq1 rexbidv raleqbi1dv rabeqbidv df-bnd rabex fvmpt eleq2d
      wa fvex oveqd eqeq2d ralbidv elrab bitrdi pm5.21nii ) BCGHZIZCJIZBCKHZIZC
      ALZDLZBMHZNZOZDPQZACRZUKZBCGSVCVAVJBCKSUAVAUTBCVDVEELZMHZNZOZDPQZACRZEVBT
      ZIVKVAUSVRBFCFLZVNOZDPQZAVSRZEVSKHZTVRJGVSCOZWBVQEWCVBVSCKUBWAVPAVSCWDVTV
      ODPVSCVNUCUDUEUFFAEDUGVQEVBCKULUHUIUJVQVJEBVBVLBOZVPVIACWEVOVHDPWEVNVGCWE
      VMVFVDVEVLBMUBUMUNUDUOUPUQUR $.

    $( A bounded metric space is a metric space.  (Contributed by Mario
       Carneiro, 16-Sep-2015.) $)
    bndmet $p |- ( M e. ( Bnd ` X ) -> M e. ( Met ` X ) ) $=
      ( vx vy cbnd cfv wcel cmet cv cbl co wceq crp wrex wral isbnd simplbi ) A
      BEFGABHFGBCIDIAJFKLDMNCBOCABDPQ $.

    $( A "bounded extended metric" (meaning that it satisfies the same
       condition as a bounded metric, but with "metric" replaced with "extended
       metric") is a metric and thus is bounded in the conventional sense.
       (Contributed by Mario Carneiro, 12-Sep-2015.) $)
    isbndx $p |- ( M e. ( Bnd ` X ) <-> ( M e. ( *Met ` X ) /\
        A. x e. X E. r e. RR+ X = ( x ( ball ` M ) r ) ) ) $=
      ( vy cbnd cfv wcel cmet cv cbl co crp wral wa cr wf cxr vex sylanbrc wceq
      wrex cxmet isbnd metxmet cxp simpr wfn xmetf ffn 3syl ccnv wbr w3a simprr
      cima cec wss rpxr eqid blssec 3expa sylan2 adantrr eqsstrd sselda elec wb
      sylib xmeterval ad3antrrr mpbid simp3d ralrimiva rexlimdvaa impcom ismet2
      ralimdva ffnov ex impbid2 pm5.32ri bitri ) BCFGHBCIGHZCAJZDJZBKGLZUAZDMUB
      ZACNZOBCUCGHZWJOABCDUDWJWDWKWJWDWKBCUEWJWKWDWJWKOZWKCCUFZPBQZWDWJWKUGZWLB
      WMUHZWEEJZBLPHZECNZACNZWNWLWKWMRBQWPWOBCUIWMRBUJUKWKWJWTWKWIWSACWKWECHZOZ
      WHWSDMXBWFMHZWHOZOZWRECXEWQCHZOZXAXFWRXGWEWQBULPUPZUMZXAXFWRUNZXGWQWEXHUQ
      ZHXIXECXKWQXECWGXKXBXCWHUOXBXCWGXKURZWHXCXBWFRHZXLWFUSWKXAXMXLBWEXHWFCXHU
      TZVAVBVCVDVEVFWQWEXHESASVGVIWKXIXJVHXAXDXFWEWQBXHCXNVJVKVLVMVNVOVRVPAECCP
      BVSTBCVQTVTWAWBWC $.

    $( The predicate "is a bounded metric space".  Uses a single point instead
       of an arbitrary point in the space.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    isbnd2 $p |- ( ( M e. ( Bnd ` X ) /\ X =/= (/) ) <-> ( M e. ( *Met ` X ) /\
                E. x e. X E. r e. RR+ X = ( x ( ball ` M ) r ) ) ) $=
      ( vy vs cfv wcel wa cv co wceq crp wrex eqeq2d c2 wss wi cr sylan2 c0 wne
      cbnd cxmet cbl wral isbndx anbi1i anass r19.2z oveq1 oveq2 cbvrex2vw cmul
      ancoms 2rp rpmulcl mpan ad2antll ad2antrr cdiv cc0 rpcn 2cnd 2ne0 a1i w3a
      cc divcan3 eqcomd syl3anc oveq2d biimpd adantr imp simpr biimpac 2re rpre
      remulcl sylancr blhalf expr anasss anassrs eqsstrd syldan adantl cxr rpxr
      eleq2 blssm syl3an3 3expa an32s eqssd syl2anc ralrimdva rexlimdvva syl5bi
      rspceeqv ex rexn0 jcad impbid2 pm5.32i 3bitri ) BCUCGHZCUAUBZIBCUDGHZCAJZ
      DJZBUEGZKZLZDMNZACUFZIZXIIXJXQXIIZIXJXPACNZIXHXRXIABCDUGUHXJXQXIUIXJXSXTX
      JXSXTXIXQXTXPACUJUOXJXTXQXIXTCEJZFJZXMKZLZFMNECNXJXQXOYDCYAXLXMKZLADEFCMX
      KYALXNYECXKYAXLXMUKOXLYBLYEYCCXLYBYAXMULOUMXJYDXQEFCMXJYACHZYBMHZIZIZYDXP
      ACYIXKCHZIZYDXPYKYDIZPYBUNKZMHZCXKYMXMKZLXPYIYNYJYDYGYNXJYFPMHYGYNUPPYBUQ
      URZUSUTYLCYOYKYDCYAYMPVAKZXMKZLZCYOQYKYDYSYIYDYSRZYJYGYTXJYFYGYDYSYGYCYRC
      YGYBYQYAXMYGYBVHHZPVHHZPVBUBZYBYQLYBVCYGVDUUCYGVEVFUUAUUBUUCVGYQYBYBPVIVJ
      VKVLOVMUSVNVOYKYSICYRYOYKYSVPYIYJYSYRYOQZYJYSIYIXKYRHZUUDYSYJUUECYRXKWKVQ
      YIUUEUUDXJYFYGUUEUUDRZYGXJYFIZYMSHZUUFYGPSHYBSHUUHVRYBVSPYBVTWAUUGUUHUUEU
      UDYMBCYAXKWBWCTWDVOTWEWFWGYKYOCQZYDXJYJYHUUIYHXJYJIYNUUIYGYNYFYPWHXJYJYNU
      UIYNXJYJYMWIHUUIYMWJBXKYMCWLWMWNTWOVNWPDYMMXNYOCXLYMXKXMULXAWQXBWRWSWTXTX
      IRXJXPACXCVFXDXEXFXG $.

    $( A metric space is bounded iff the metric function maps to some bounded
       real interval.  (Contributed by Mario Carneiro, 13-Sep-2015.) $)
    isbnd3 $p |- ( M e. ( Bnd ` X ) <-> ( M e. ( Met ` X ) /\
        E. x e. RR M : ( X X. X ) --> ( 0 [,] x ) ) ) $=
      ( vy vr vz wcel cc0 co cr wa c0 wceq wral syl adantr sylancr crp cle wbr
      cbnd cfv cmet cxp cv cicc wrex bndmet wne 0re ne0ii wfn crn wss metf ffnd
      wf ad2antrr cdm fdmd xpeq2 xp0 eqtrdi sylan9eq dm0rn0 sylib eqsstrdi df-f
      0ss sylanbrc ralrimiva r19.2z cbl cxmet isbnd2 simprbi wi c2 cmul simprlr
      2re rpred remulcl simpll simprl simprr metcl syl3anc metge0 caddc simprll
      readdcld mettri2 syl13anc clt simplrr eleqtrd metxmet rpxr ad2antlr elbl2
      cxr wb syl22anc mpbid lt2addd recnd 2timesd breqtrrd lelttrd ltled elicc2
      w3a mpbir3and ralrimivva ffnov oveq2 feq3d rspcev syl2anc expr rexlimdvva
      mpd pm2.61dane jca c1 simpllr met0 simplr fovrnd simp3d eqbrtrrd ge0p1rpd
      simpr crab fovrn 3expa adantlll simp1d peano2re ltp1d rabid2 sylibr rexrd
      blval eqtr4d rspceeqv isbnd r19.29an impbii ) BCUAUBGZBCUCUBGZCCUDZHAUEZU
      FIZBUQZAJUGZKUUKUULUUQBCUHZUUKUUQCLUUKCLMZKZJLUIUUPAJNUUQHJUJUKUUTUUPAJUU
      TUUNJGZKZBUUMULZBUMZUUOUNUUPUUKUVCUUSUVAUUKUULUVCUURUULUUMJBBCUOZUPZOURUV
      BUVDLUUOUVBBUSZLMZUVDLMUUTUVHUVAUUKUUSUVGUUMLUUKUUMJBUUKUULUUMJBUQUURUVEO
      UTUUSUUMCLUDLCLCVACVBVCVDPBVEVFUUOVIVGUUMUUOBVHVJVKUUPAJVLQUUKCLUIZKZCDUE
      ZEUEZBVMUBZIZMZERUGZDCUGZUUQUVJBCVNUBGZUVQDBCEVOVPUUKUVQUUQVQZUVIUUKUULUV
      SUURUULUVOUUQDECRUULUVKCGZUVLRGZKZUVOUUQUULUWBUVOKZKZVRUVLVSIZJGZUUMHUWEU
      FIZBUQZUUQUWDVRJGUVLJGZUWFWAUWDUVLUULUVTUWAUVOVTWBZVRUVLWCQZUWDUVCUUNFUEZ
      BIZUWGGZFCNACNUWHUULUVCUWCUVFPUWDUWNAFCCUWDUUNCGZUWLCGZKZKZUWNUWMJGZHUWMS
      TZUWMUWESTZUWRUULUWOUWPUWSUULUWCUWQWDZUWDUWOUWPWEZUWDUWOUWPWFZUUNUWLBCWGW
      HZUWRUULUWOUWPUWTUXBUXCUXDUUNUWLBCWIWHUWRUWMUWEUXEUWDUWFUWQUWKPZUWRUWMUVK
      UUNBIZUVKUWLBIZWJIZUWEUXEUWRUXGUXHUWRUULUVTUWOUXGJGUXBUWDUVTUWQUULUVTUWAU
      VOWKPZUXCUVKUUNBCWGWHZUWRUULUVTUWPUXHJGZUXBUXJUXDUVKUWLBCWGWHZWLUXFUWRUUL
      UVTUWOUWPUWMUXISTUXBUXJUXCUXDUUNUWLUVKBCWMWNUWRUXIUVLUVLWJIUWEWOUWRUXGUXH
      UVLUVLUXKUXMUWDUWIUWQUWJPZUXNUWRUUNUVNGZUXGUVLWOTZUWRUUNCUVNUXCUULUWBUVOU
      WQWPZWQUWRUVRUVLXBGZUVTUWOUXOUXPXCUWRUULUVRUXBBCWRZOZUWCUXRUULUWQUWAUXRUV
      TUVOUVLWSWTWTZUXJUXCUUNBUVKUVLCXAXDXEUWRUWLUVNGZUXHUVLWOTZUWRUWLCUVNUXDUX
      QWQUWRUVRUXRUVTUWPUYBUYCXCUXTUYAUXJUXDUWLBUVKUVLCXAXDXEXFUWRUVLUWRUVLUXNX
      GXHXIXJXKUWRHJGZUWFUWNUWSUWTUXAXMXCUJUXFHUWEUWMXLQXNXOAFCCUWGBXPVJUUPUWHA
      UWEJUUNUWEMUUOUWGBUUMUUNUWEHUFXQXRXSXTYAYBOPYCYDYEUULUUPUUKAJUULUVAKZUUPK
      ZUULUVPDCNUUKUULUVAUUPWDZUYFUVPDCUYFUVTKZUUNYFWJIZRGCUVKUYIUVMIZMUVPUYHUU
      NUULUVAUUPUVTYGZUYHUVKUVKBIZHUUNSUYHUULUVTUYLHMUYFUULUVTUYGPZUYFUVTYNZUVK
      BCYHXTUYHUYLJGZHUYLSTZUYLUUNSTZUYHUYLUUOGZUYOUYPUYQXMZUYHUVKUVKUUOCCBUYEU
      UPUVTYIUYNUYNYJUYHUYDUVAUYRUYSXCUJUYKHUUNUYLXLQXEYKYLYMUYHCUXHUYIWOTZFCYO
      ZUYJUYHUYTFCNCVUAMUYHUYTFCUYHUWPKZUXHUUNUYIVUBUXLHUXHSTZUXHUUNSTZVUBUXHUU
      OGZUXLVUCVUDXMZUUPUVTUWPVUEUYEUUPUVTUWPVUEUVKUWLUUOCCBYPYQYRUYHVUEVUFXCZU
      WPUYHUYDUVAVUGUJUYKHUUNUXHXLQPXEZYSUYHUVAUWPUYKPZUYHUYIJGZUWPUYHUVAVUJUYK
      UUNYTOZPVUBUXLVUCVUDVUHYKVUBUUNVUIUUAXJVKUYTFCUUBUUCUYHUVRUVTUYIXBGUYJVUA
      MUYHUULUVRUYMUXSOUYNUYHUYIVUKUUDFBUVKUYICUUEWHUUFEUYIRUVNUYJCUVLUYIUVKUVM
      XQUUGXTVKDBCEUUHVJUUIUUJ $.

    $( A metric space is bounded iff the metric function maps to some bounded
       real interval.  (Contributed by Mario Carneiro, 22-Sep-2015.) $)
    isbnd3b $p |- ( M e. ( Bnd ` X ) <-> ( M e. ( Met ` X ) /\
        E. x e. RR A. y e. X A. z e. X ( y M z ) <_ x ) ) $=
      ( cfv wcel cc0 cv co wf cr wrex wa cle wbr wral wb 3expb adantlr cbnd cxp
      cmet cicc isbnd3 wfn metf adantr ffnov baib 3syl 0red simplr metcl metge0
      ffn w3a elicc2 df-3an bitrdi baibd syl22anc 2ralbidva bitrd pm5.32i bitri
      rexbidva ) DEUAFGDEUCFGZEEUBZHAIZUDJZDKZALMZNVHBIZCIZDJZVJOPZCEQBEQZALMZN
      ADEUEVHVMVSVHVLVRALVHVJLGZNZVLVPVKGZCEQBEQZVRWAVILDKZDVIUFZVLWCRVHWDVTDEU
      GUHVILDUPVLWEWCBCEEVKDUIUJUKWAWBVQBCEEWAVNEGZVOEGZNZNZHLGZVTVPLGZHVPOPZWB
      VQRWIULVHVTWHUMVHWHWKVTVHWFWGWKVNVODEUNSTVHWHWLVTVHWFWGWLVNVODEUOSTWJVTNZ
      WBWKWLNZVQWMWBWKWLVQUQWNVQNHVJVPURWKWLVQUSUTVAVBVCVDVGVEVF $.

    $( A subset of a bounded metric space is bounded.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    bndss $p |- ( ( M e. ( Bnd ` X ) /\ S C_ X ) ->
        ( M |` ( S X. S ) ) e. ( Bnd ` S ) ) $=
      ( vy vr vx cmet cfv wcel cv cbl co wceq crp wrex wral wa cbnd cin an32s
      wss cxp metres2 adantlr wi ssel2 ancoms oveq1 eqeq2d rexbidv rspcva sylan
      cres adantlll dfss biimpi incom ineq1 sylan9eq adantll eqid blssp anassrs
      eqtrdi an4s adantr eqtr4d reximdva imp syldan ralrimiva jca isbnd 3imtr4i
      ex anbi1i ) BCGHIZCDJZEJZBKHZLZMZENOZDCPZQZACUAZQZBAAUBUMZAGHIZAFJZVSWHKH
      LZMZENOZFAPZQBCRHIZWFQWHARHIWGWIWNVQWFWIWDBACUCUDWGWMFAWEWJAIZWFWMWEWPQWF
      WMVQWPWDWFWMUEVQWPQZWDQWFWMWQWFWDWMWQWFQZWDCWJVSVTLZMZENOZWMWPWFWDXAVQWPW
      FQWJCIZWDXAWFWPXBACWJUFUGWCXADWJCVRWJMZWBWTENXCWAWSCVRWJVSVTUHUIUJUKULUNW
      RXAWMWRWTWLENWRVSNIZQZWTWLXEWTQAWSASZWKWRWTAXFMZXDWFWTXGWQWFWTACASZXFWFAA
      CSZXHWFAXIMACUOUPACUQVDCWSAURUSUTUDXEWKXFMZWTWQWFXDXJVQWFWPXDXJVSABWHCWJW
      HVAVBVEVCVFVGVOVHVIVJTVOTVITVKVLWOWEWFDBCEVMVPFWHAEVMVN $.

    $( A ball is bounded.  (Contributed by Jeff Madsen, 2-Sep-2009.)  (Proof
       shortened by Mario Carneiro, 15-Jan-2014.) $)
    blbnd $p |- ( ( M e. ( *Met ` X ) /\ Y e. X /\ R e. RR ) ->
          ( M |` ( ( Y ( ball ` M ) R ) X. ( Y ( ball ` M ) R ) ) ) e.
            ( Bnd ` ( Y ( ball ` M ) R ) ) ) $=
      ( vx vr cxmet cfv wcel cbl co c0 wceq wa crp wrex syl3an3 adantr syl3anc
      cv cr w3a cxp cres cbnd wral wss simp1 rexr blssm xmetres2 syl2anc adantl
      cxr rzal isbndx sylanbrc wne simpl2 simpl3 cc0 clt wbr xbln0 biimpa elrpd
      blcntr cin elind rexrd eqid blres inidm eqtr2di rspceov isbnd2 pm2.61dane
      wb simpld ) BCGHIZDCIZAUAIZUBZBDABJHKZWDUCUDZWDUEHIZWDLWCWDLMZNWEWDGHIZWD
      ETFTWEJHZKMFOPZEWDUFZWFWCWHWGWCVTWDCUGZWHVTWAWBUHZWBVTWAAUNIZWLAUIZBDACUJ
      QBWDCUKULZRWGWKWCWJEWDUOUMEWEWDFUPUQWCWDLURZNZWFWQWRWHWJEWDPZWFWQNWCWHWQW
      PRWRDWDIZAOIZWDDAWIKZMWSWRVTWAXAWTWCVTWQWMRZVTWAWBWQUSZWRAVTWAWBWQUTZWCWQ
      VAAVBVCZWBVTWAWNWQXFVRWOBDACVDQVEVFZBDACVGSZXGWRXBWDWDVHZWDWRVTDCWDVHIWNX
      BXIMXCWRCWDDXDXHVIWRAXEVJWEBDACWDWEVKVLSWDVMVNEFWDODAWDWIVOSEWEWDFVPUQVSV
      Q $.

    ssbnd.2 $e |- N = ( M |` ( Y X. Y ) ) $.
    $( A subset of a metric space is bounded iff it is contained in a ball
       around ` P ` , for any ` P ` in the larger space.  (Contributed by Mario
       Carneiro, 14-Sep-2015.) $)
    ssbnd $p |- ( ( M e. ( Met ` X ) /\ P e. X ) ->
      ( N e. ( Bnd ` Y ) <-> E. d e. RR Y C_ ( P ( ball ` M ) d ) ) ) $=
      ( vy vr cfv wcel wa cv co wss cr wrex c0 wceq cdm cmet cbl wi wne cc0 0re
      cbnd ne0ii 0ss sseq1 mpbiri ralrimivw r19.2z sylancr a1i cxmet crp isbnd2
      wral caddc simplll cxp cin cres dmeqi dmres eqtri cxr xmetf eqtr3id df-ss
      fdmd sylibr ad2antlr metf ad3antrrr sseqtrd dmss syl dmxpid simprl sseldd
      3sstr3g simpllr metcl syl3anc ad2antll readdcld metxmet elind blres inss1
      rpre rpxr cmin cle wbr leidd recnd pncand breqtrrd blss2 syl33anc eqsstrd
      sstrid sseq2d rspcev syl2anc rexbidv syl5ibrcom rexlimdvva expimpd syl5bi
      oveq2 expdimp pm2.61dne ex simprr xpss12 resabs1d eqtr4di syl3an1 adantrr
      blbnd 3expa bndss eqeltrrd rexlimdvaa impbid ) BDUAJKZADKZLZCEUGJZKZEAFMZ
      BUBJZNZOZFPQZYLYNYSYLYNLZYSERERSZYSUCYTUUAPRUDYRFPUSYSUEPUFUHUUAYRFPUUAYR
      RYQOYQUIERYQUJUKULYRFPUMUNUOYLYNERUDZYSYNUUBLCEUPJKZEHMZIMZCUBJNZSZIUQQHE
      QZLYLYSHCEIURYLUUCUUHYSYLUUCLZUUGYSHIEUQUUIUUDEKZUUEUQKZLZLZYSUUGUUFYQOZF
      PQZUUMUUDABNZUUEUTNZPKZUUFAUUQYPNZOZUUOUUMUUPUUEUUMYJUUDDKZYKUUPPKYJYKUUC
      UULVAZUUMEDUUDUUMEEVBZTZDDVBZTZEDUUMUVCUVEOUVDUVFOUUMUVCBTZUVEUUCUVCUVGOZ
      YLUULUUCUVCUVGVCZUVCSUVHUUCUVICTZUVCUVJBUVCVDZTUVICUVKGVEBUVCVFVGUUCUVCVH
      CCEVIVLVJUVCUVGVKVMVNYJUVGUVESYKUUCUULYJUVEPBBDVOVLVPVQUVCUVEVRVSEVTDVTWC
      UUIUUJUUKWAZWBZYJYKUUCUULWDZUUDABDWEWFZUUKUUEPKZUUIUUJUUEWMWGZWHZUUMUUFUU
      DUUEYPNZEVCZUUSUUMBDUPJKZUUDDEVCKUUEVHKZUUFUVTSUUMYJUWAUVBBDWIZVSZUUMDEUU
      DUVMUVLWJUUKUWBUUIUUJUUEWNWGCBUUDUUEDEGWKWFUUMUVTUVSUUSUVSEWLUUMUWAUVAYKU
      VPUURUUPUUQUUEWONZWPWQUVSUUSOUWDUVMUVNUVQUVRUUMUUPUUPUWEWPUUMUUPUVOWRUUMU
      UPUUEUUMUUPUVOWSUUMUUEUVQWSWTXABUUDAUUEUUQDXBXCXEXDUUNUUTFUUQPYOUUQSYQUUS
      UUFYOUUQAYPXNXFXGXHUUGYRUUNFPEUUFYQUJXIXJXKXLXMXOXPXQYLYRYNFPYLYOPKZYRLLZ
      BYQYQVBZVDZUVCVDZCYMUWGUWJUVKCUWGBUVCUWHUWGYRYRUVCUWHOYLUWFYRXRZUWKEYQEYQ
      XSXHXTGYAUWGUWIYQUGJKZYRUWJYMKYLUWFUWLYRYJYKUWFUWLYJUWAYKUWFUWLUWCYOBDAYD
      YBYEYCUWKEUWIYQYFXHYGYHYI $.
  $}

  ${
    $d d v w x y z M $.  $d d v x y z X $.
    $( A totally bounded metric space is bounded.  This theorem fails for
       extended metrics - a bounded extended metric is a metric, but there are
       totally bounded extended metrics that are not metrics (if we were to
       weaken ~ istotbnd to only require that ` M ` be an extended metric).  A
       counterexample is the discrete extended metric (assigning distinct
       points distance ` +oo ` ) on a finite set.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Proof shortened by Mario Carneiro, 12-Sep-2015.) $)
    totbndbnd $p |- ( M e. ( TotBnd ` X ) -> M e. ( Bnd ` X ) ) $=
      ( vx vv vd vz cfv wcel cv c1 co wceq crp wral cr clt wss syl3anc adantr
      c0 vy ctotbnd cmet cbl ciun cpw cfn cin wrex cbnd totbndmet 1rp istotbnd3
      vw simprbi oveq2 iuneq2d eqeq1d rexbidv rspcv mpsyl wa caddc cmpt simplll
      crn csup elfpw simplbi ad2antrl sselda simpllr metcl cc0 cle wbr ge0p1rpd
      metge0 fmpttd frnd wne mptfi rnfi 3syl simplr simprr eleqtrrd ne0i dm0rn0
      cdm ovex eqid dmmpti eqeq1i iuneq1 sylbi 0iun eqtrdi sylbir rpssre sstrdi
      necon3i wor w3a ltso fisupcl mpan sseldd cxmet cmin metxmet ad2antrr 1red
      fimaxre2 syl2anc cvv elrnmpt1 mpan2 adantl suprub syl31anc leaddsub mpbid
      wb blss2 syl33anc ralrimiva nfcv nfmpt1 nfrn nfsup nfov nfss oveq1 sseq1d
      nfv cbvralw sylibr iunss eqsstrrd cxr rpxrd rspceeqv rexlimdvaa ralrimdva
      blssm eqssd isbnd baib sylibrd sylc ) ABUBGHZABUCGHZCDIZCIZJAUDGZKZUEZBLZ
      DBUFUGUHZUIZABUJGHZABUKJMHUULCUUNUUOEIZUUPKZUEZBLZDUUTUIZEMNZUVAULUULUUMU
      VHCDABEUMUOUVGUVAEJMUVCJLZUVFUUSDUUTUVIUVEUURBUVICUUNUVDUUQUVCJUUOUUPUPUQ
      URUSUTVAUUMUVABUAIZUVCUUPKZLEMUIZUABNZUVBUUMUVAUVLUABUUMUVJBHZVBZUUSUVLDU
      UTUVOUUNUUTHZUUSVBZVBZFUUNFIZUVJAKZJVCKZVDZVFZOPVGZMHBUVJUWDUUPKZLUVLUVRU
      WCMUWDUVRUUNMUWBUVRFUUNUWAMUVRUVSUUNHZVBZUVTUWGUUMUVSBHZUVNUVTOHZUUMUVNUV
      QUWFVEZUVRUUNBUVSUVPUUNBQZUVOUUSUVPUWKUUNUGHZUUNBVHZVIVJVKZUUMUVNUVQUWFVL
      ZUVSUVJABVMRZUWGUUMUWHUVNVNUVTVOVPUWJUWNUWOUVSUVJABVRRVQVSVTZUVRUWCUGHZUW
      CTWAZUWCOQZUWDUWCHZUVPUWRUVOUUSUVPUWLUWBUGHUWRUVPUWKUWLUWMUOFUUNUWAWBUWBW
      CWDVJZUVRUVJUURHUURTWAUWSUVRUVJBUURUUMUVNUVQWEZUVOUVPUUSWFZWGUURUVJWHUWCT
      UURTUWCTLUWBWJZTLZUURTLUWBWIUXFUURCTUUQUEZTUXFUUNTLUURUXGLUXEUUNTFUUNUWAU
      WBUVTJVCWKZUWBWLZWMWNCUUNTUUQWOWPCUUQWQWRWSXBWDZUVRUWCMOUWQWTXAZOPXCUWRUW
      SUWTXDUXAXEOUWCPXFXGRZXHZUVRBUWEUVRBUURUWEUXDUVRUUQUWEQZCUUNNZUURUWEQUVRU
      VSJUUPKZUWEQZFUUNNUXOUVRUXQFUUNUWGABXIGHZUWHUVNJOHZUWDOHZUVTUWDJXJKVOVPZU
      XQUVRUXRUWFUUMUXRUVNUVQABXKXLZSUWNUWOUWGXMZUVRUXTUWFUVRUWCOUWDUXKUXLXHSZU
      WGUWAUWDVOVPZUYAUWGUWTUWSUNIUVCVOVPUNUWCNEOUIZUWAUWCHZUYEUVRUWTUWFUXKSZUV
      RUWSUWFUXJSUWGUWTUWRUYFUYHUVRUWRUWFUXBSEUNUWCXNXOUWFUYGUVRUWFUWAXPHUYGUXH
      FUUNUWAUWBXPUXIXQXRXSEUNUWCUWAXTYAUWGUWIUXSUXTUYEUYAYDUWPUYCUYDUVTJUWDYBR
      YCAUVSUVJJUWDBYEYFYGUXNUXQCFUUNFUUQUWEFUUQYHFUVJUWDUUPFUVJYHFUUPYHFUWCOPF
      UWBFUUNUWAYIYJFOYHFPYHYKYLYMUXQCYPUUOUVSLUUQUXPUWEUUOUVSJUUPYNYOYQYRCUUNU
      UQUWEYSYRYTUVRUXRUVNUWDUUAHUWEBQUYBUXCUVRUWDUXMUUBAUVJUWDBUUFRUUGEUWDMUVK
      UWEBUVCUWDUVJUUPUPUUCXOUUDUUEUVBUUMUVMUAABEUUHUUIUUJUUK $.
  $}

  ${
    $d r x y M $.  $d r s x y N $.  $d r x y ph $.  $d r s x y X $.
    $d s x y R $.
    equivbnd.1 $e |- ( ph -> M e. ( Bnd ` X ) ) $.
    equivbnd.2 $e |- ( ph -> N e. ( Met ` X ) ) $.
    equivbnd.3 $e |- ( ph -> R e. RR+ ) $.
    equivbnd.4 $e |- ( ( ph /\ ( x e. X /\ y e. X ) ) ->
      ( x N y ) <_ ( R x. ( x M y ) ) ) $.
    $( If the metric ` M ` is "strongly finer" than ` N ` (meaning that there
       is a positive real constant ` R ` such that
       ` N ( x , y ) <_ R x. M ( x , y ) ` ), then boundedness of ` M ` implies
       boundedness of ` N ` .  (Using this theorem twice in each direction
       states that if two metrics are strongly equivalent, then one is bounded
       iff the other is.)  (Contributed by Mario Carneiro, 14-Sep-2015.) $)
    equivbnd $p |- ( ph -> N e. ( Bnd ` X ) ) $=
      ( vs vr wcel cv co cle wbr wral cr cmet cfv wrex cbnd isbnd3b simprbi syl
      wa cmul rpred remulcl sylan bndmet adantr metcl 3expb simplr crp ad2antrr
      lemul2d adantlr wi remulcld syl3anc mpand sylbid ralimdvva breq2 2ralbidv
      letr wceq rspcev syl6an rexlimdva mpd sylanbrc ) AFGUAUBZNZBOZCOZFPZLOZQR
      ZCGSBGSZLTUCZFGUDUBZNIAVSVTEPZMOZQRZCGSBGSZMTUCZWEAEWFNZWKHWLEVQNZWKMBCEG
      UEUFUGAWJWEMTAWHTNZUHZDWHUIPZTNZWJWAWPQRZCGSBGSZWEADTNZWNWQADJUJZDWHUKULZ
      WOWIWRBCGGWOVSGNZVTGNZUHZUHZWIDWGUIPZWPQRZWRXFWGWHDWOWMXEWGTNZAWMWNAWLWMH
      EGUMUGUNWMXCXDXIVSVTEGUOUPULZAWNXEUQADURNWNXEJUSUTXFWAXGQRZXHWRAXEXKWNKVA
      XFWATNZXGTNWQXKXHUHWRVBWOVRXEXLAVRWNIUNVRXCXDXLVSVTFGUOUPULXFDWGAWTWNXEXA
      USXJVCWOWQXEXBUNWAXGWPVJVDVEVFVGWDWSLWPTWBWPVKWCWRBCGGWBWPWAQVHVIVLVMVNVO
      LBCFGUEVP $.
  $}

  ${
    bnd2lem.1 $e |- D = ( M |` ( Y X. Y ) ) $.
    $( Lemma for ~ equivbnd2 and similar theorems.  (Contributed by Jeff
       Madsen, 16-Sep-2015.) $)
    bnd2lem $p |- ( ( M e. ( Met ` X ) /\ D e. ( Bnd ` Y ) ) -> Y C_ X ) $=
      ( cmet cfv wcel cbnd wa cxp cdm wss cres resss dmss wceq cr metf dmxpid
      eqsstri mp1i wf bndmet fdm 3syl adantl fdmd adantr 3sstr3d syl 3sstr3g )
      BCFGHZADIGHZJZDDKZLZCCKZLZDCUOUPURMUQUSMUOALZBLZUPURABMUTVAMUOABUPNBEBUPO
      UAABPUBUNUTUPQZUMUNADFGHUPRAUCVBADUDADSUPRAUEUFUGUMVAURQUNUMURRBBCSUHUIUJ
      UPURPUKDTCTUL $.
  $}

  ${
    $d x y C $.  $d x y D $.  $d x y ph $.  $d x y R $.  $d x y S $.
    $d x y Y $.
    equivbnd2.1 $e |- ( ph -> M e. ( Met ` X ) ) $.
    equivbnd2.2 $e |- ( ph -> N e. ( Met ` X ) ) $.
    equivbnd2.3 $e |- ( ph -> R e. RR+ ) $.
    equivbnd2.4 $e |- ( ph -> S e. RR+ ) $.
    equivbnd2.5 $e |- ( ( ph /\ ( x e. X /\ y e. X ) ) ->
      ( x N y ) <_ ( R x. ( x M y ) ) ) $.
    equivbnd2.6 $e |- ( ( ph /\ ( x e. X /\ y e. X ) ) ->
      ( x M y ) <_ ( S x. ( x N y ) ) ) $.
    equivbnd2.7 $e |- C = ( M |` ( Y X. Y ) ) $.
    equivbnd2.8 $e |- D = ( N |` ( Y X. Y ) ) $.
    equivbnd2.9 $e |- ( ph -> ( C e. ( TotBnd ` Y ) <-> C e. ( Bnd ` Y ) ) ) $.
    $( If balls are totally bounded in the metric ` M ` , then balls are
       totally bounded in the equivalent metric ` N ` .  (Contributed by Mario
       Carneiro, 15-Sep-2015.) $)
    equivbnd2 $p |- ( ph -> ( D e. ( TotBnd ` Y ) <-> D e. ( Bnd ` Y ) ) ) $=
      ( ctotbnd cfv wcel cbnd totbndbnd wa simpr cxp cres cmet wss adantr sylan
      bnd2lem metres2 syl2anc eqeltrid crp cv co cmul cle wbr anim12dan adantlr
      sselda syldan wceq oveqi ovres syl5eq adantl 3brtr4d equivbnd equivtotbnd
      oveq2d biimpar bndmet ex impbid2 ) AEKUAUBZUCZEKUDUBZUCZEKUEAWDWBAWDUFZBC
      FDEKAWDDWCUCZDWAUCZWEBCGEDKAWDUGWEDHKKUHZUIZKUJUBZRWEHJUJUBZUCZKJUKZWIWJU
      CAWLWDLULAIWKUCWDWMMEIJKSUNUMZHKJUOUPUQAGURUCWDOULWEBUSZKUCZCUSZKUCZUFZUF
      ZWOWQHUTZGWOWQIUTZVAUTZWOWQDUTZGWOWQEUTZVAUTVBWEWSWOJUCZWQJUCZUFZXAXCVBVC
      ZWEWPXFWRXGWEKJWOWNVFWEKJWQWNVFVDZAXHXIWDQVEVGWSXDXAVHWEWSXDWOWQWIUTXADWI
      WOWQRVIWOWQKKHVJVKVLZWTXEXBGVAWSXEXBVHWEWSXEWOWQIWHUIZUTXBEXLWOWQSVIWOWQK
      KIVJVKVLZVPVMVNAWGWFTVQVGWDEWJUCAEKVRVLAFURUCWDNULWTXBFXAVAUTZXEFXDVAUTVB
      WEWSXHXBXNVBVCZXJAXHXOWDPVEVGXMWTXDXAFVAXKVPVMVOVSVT $.
  $}

  ${
    $d x z $.  $d a r z A $.  $d a r z C $.  $d f g k m r v y D $.  $d x y R $.
    $d f g k m r v w x y B $.  $d f g k r w y z E $.  $d a f g k r w x y ph $.
    $d f g k v w x y I $.  $d x S $.  $d f g k r w y z V $.  $d x Y $.
    prdsbnd.y $e |- Y = ( S Xs_ R ) $.
    prdsbnd.b $e |- B = ( Base ` Y ) $.
    prdsbnd.v $e |- V = ( Base ` ( R ` x ) ) $.
    prdsbnd.e $e |- E = ( ( dist ` ( R ` x ) ) |` ( V X. V ) ) $.
    prdsbnd.d $e |- D = ( dist ` Y ) $.
    prdsbnd.s $e |- ( ph -> S e. W ) $.
    prdsbnd.i $e |- ( ph -> I e. Fin ) $.
    prdsbnd.r $e |- ( ph -> R Fn I ) $.
    ${
      prdsbnd.m $e |- ( ( ph /\ x e. I ) -> E e. ( Bnd ` V ) ) $.
      $( The product metric over finite index set is bounded if all the factors
         are bounded.  (Contributed by Mario Carneiro, 13-Sep-2015.) $)
      prdsbnd $p |- ( ph -> D e. ( Bnd ` B ) ) $=
        ( vm vk vw vf vg vz cmet cfv wcel cxp cc0 cv cicc co wf wrex cbnd cprds
        cr cmpt cds cbs cvv eqid fvexd bndmet syl prdsmet wfn wceq dffn5 oveq2d
        sylib syl5eq fveq2d 3eltr4d wral cfn wex isbnd3 simprbi ralrimiva oveq2
        wa feq3d ac6sfi syl2anc crn csn cun clt csup wss frn adantl 0red adantr
        snssd unssd c0 wne wfo ffn dffn4 fofi snfi unfi sylancl ssun2 c0ex snid
        syl2an sselii ne0i mp1i wor w3a ltso fisupcl mpan syl3anc sseldd simprl
        cle wbr simprr metcl cxr eleqtrd adantlr prdsbascl r19.21bi ad2ant2r wb
        0re elicc2 sylancr suprub syl31anc sylanbrc metf ad2antrr metge0 oveqdr
        adantrr prdsdsval3 eqtrd ffvelrn ad2ant2lr fovrnd mpbid simp3d fimaxre2
        3syl ssun1 ad2antlr fnfvelrn sselid letrd expr ralimdva impr ovex rgenw
        breq1 ralrnmptw ax-mp sylibr a1i breq1d syl5ibrcom ralrimiv ralunb frnd
        elsni fmpttd ressxr sstrdi rexrd supxrleub eqbrtrd mpbir3and ralrimivva
        mpbird an32s ffnov rspcev exlimddv ) ADCUGUHZUIZCCUJZUKUAULZUMUNZDUOZUA
        USUPZDCUQUHUIAFBHBULZEUHZUTZURUNZVAUHZUWSVBUHZUGUHDUWIABUXAUWTUWQFGHIJU
        WSVCUWSVDZUXAVDZNOUWTVDZQRAUWPHUIZWDZUWPEVEUXFGIUQUHUIZGIUGUHUIZTGIVFVG
        ZVHADKVAUHUWTPAKUWSVAAKFEURUNUWSLAEUWRFURAEHVIEUWRVJSBHEVKVMVLVNZVOVNZA
        CUXAUGACKVBUHUXAMAKUWSVBUXJVOVNZVOVPZAHUSUBULZUOZIIUJZUKUWPUXNUHZUMUNZG
        UOZBHVQZWDZUWOUBAHVRUIZUXPUKUCULZUMUNZGUOZUCUSUPZBHVQUYAUBVSRAUYFBHUXFU
        XGUYFTUXGUXHUYFUCGIVTWAVGWBUYEUXSBUCHUSUBUYCUXQVJUYDUXRGUXPUYCUXQUKUMWC
        WEWFWGAUYAWDZUXNWHZUKWIZWJZUSWKWLZUSUIZUWKUKUYKUMUNZDUOZUWOAUXOUYLUXTAU
        XOWDZUYJUSUYKUYOUYHUYIUSUXOUYHUSWMAHUSUXNWNWOAUYIUSWMUXOAUKUSAWPWRWQWSZ
        UYOUYJVRUIZUYJWTXAZUYJUSWMZUYKUYJUIZUYOUYHVRUIZUYIVRUIUYQAUYBHUYHUXNXBZ
        VUAUXORUXOUXNHVIZVUBHUSUXNXCZHUXNXDVMHUYHUXNXEXLUKXFUYHUYIXGXHZUKUYJUIZ
        UYRUYOUYIUYJUKUYIUYHXIUKXJXKXMZUYJUKXNZXOUYPUSWKXPUYQUYRUYSXQUYTXRUSUYJ
        WKXSXTYAYBZUUEZUYGDUWKVIZUDULZUEULZDUNZUYMUIZUECVQUDCVQUYNAVUKUYAAUWJUW
        KUSDUOVUKUXMDCUUAUWKUSDXCUUNWQUYGVUOUDUECCAVULCUIZVUMCUIZWDZUYAVUOAVURW
        DZUYAWDZVUOVUNUSUIZUKVUNYDYEZVUNUYKYDYEZVUTUWJVUPVUQVVAAUWJVURUYAUXMUUB
        ZVUSVUPUYAAVUPVUQYCZWQZVUSVUQUYAAVUPVUQYFZWQZVULVUMDCYGYAVUTUWJVUPVUQVV
        BVVDVVFVVHVULVUMDCUUCYAVUTVUNBHUWPVULUHZUWPVUMUHZGUNZUTZWHZUYIWJZYHWKWL
        ZUYKYDVUSVUNVVOVJUYAVUSVUNVULVUMUWTUNVVOAVURUDUEDUWTUXKUUDVUSBUXAUWTUWQ
        FGVULVUMHIJVRVCUWSUXBUXCAFJUIVURQWQZAUYBVURRWQZVUSUWQVCUIBHVUSUXEWDZUWP
        EVEWBZVUSVULCUXAVVEACUXAVJVURUXLWQZYIZVUSVUMCUXAVVGVVTYIZNOUXDUUFUUGWQV
        UTVVOUYKYDYEZUYCUYKYDYEZUCVVNVQZVUTVWDUCVVMVQZVWDUCUYIVQVWEVUTVVKUYKYDY
        EZBHVQZVWFVUSUXOUXTVWHVUSUXOWDZUXSVWGBHVWIUXEUXSVWGVWIUXEUXSWDZWDZVVKUX
        QUYKVUSUXEVVKUSUIZUXOUXSVVRUXHVVIIUIZVVJIUIZVWLAUXEUXHVURUXIYJVUSVWMBHV
        USBUXAUWQFVULHIJVRVCUWSUXBUXCVVPVVQVVSNVWAYKYLZVUSVWNBHVUSBUXAUWQFVUMHI
        JVRVCUWSUXBUXCVVPVVQVVSNVWBYKYLZVVIVVJGIYGYAZYMUXOUXEUXQUSUIZVUSUXSHUSU
        WPUXNUUHUUIZVWIUYLVWJAUXOUYLVURVUIYJWQVWKVWLUKVVKYDYEZVVKUXQYDYEZVWKVVK
        UXRUIZVWLVWTVXAXQZVWKVVIVVJUXRIIGVWIUXEUXSYFVUSUXEVWMUXOUXSVWOYMVUSUXEV
        WNUXOUXSVWPYMUUJVWKUKUSUIZVWRVXBVXCYNYOVWSUKUXQVVKYPYQUUKUULVWKUYSUYRUY
        CUFULYDYEUCUYJVQUFUSUPZUXQUYJUIUXQUYKYDYEVWIUYSVWJAUXOUYSVURUYPYJWQVUFU
        YRVWKVUGVUHXOVWIVXEVWJAUXOVXEVURUYOUYSUYQVXEUYPVUEUFUCUYJUUMWGZYJWQVWKU
        YHUYJUXQUYHUYIUUOVWKVUCUXEUXQUYHUIUXOVUCVUSVWJVUDUUPVWIUXEUXSYCHUWPUXNU
        UQWGUURUFUCUYJUXQYRYSUUSUUTUVAUVBVVKVCUIZBHVQVWFVWHYNVXGBHVVIVVJGUVCUVD
        VWDVWGBUCHVVKVVLVCVVLVDUYCVVKUYKYDUVEUVFUVGUVHVUTVWDUCUYIVUTVWDUYCUYIUI
        ZUKUYKYDYEZVUTUYSUYRVXEVUFVXIAUXOUYSVURUXTUYPYMVUFUYRVUTVUGVUHXOAUXOVXE
        VURUXTVXFYMVUFVUTVUGUVIUFUCUYJUKYRYSVXHUYCUKUYKYDUYCUKUVOUVJUVKUVLVWDUC
        VVMUYIUVMYTVUTVVNYHWMZUYKYHUIVWCVWEYNVUSVXJUYAVUSVVNUSYHVUSVVMUYIUSVUSH
        USVVLVUSBHVVKUSVWQUVPUVNVUSUKUSVUSWPWRWSUVQUVRWQVUTUYKAUYAUYLVURVUJYJZU
        VSUCVVNUYKUVTWGUWDUWAVUTVXDUYLVUOVVAVVBVVCXQYNYOVXKUKUYKVUNYPYQUWBUWEUW
        CUDUECCUYMDUWFYTUWNUYNUAUYKUSUWLUYKVJUWMUYMDUWKUWLUYKUKUMWCWEUWGWGUWHUA
        DCVTYT $.
    $}

    ${
      prdstotbnd.m $e |- ( ( ph /\ x e. I ) -> E e. ( TotBnd ` V ) ) $.
      $( The product metric over finite index set is totally bounded if all the
         factors are totally bounded.  (Contributed by Mario Carneiro,
         20-Sep-2015.) $)
      prdstotbnd $p |- ( ph -> D e. ( TotBnd ` B ) ) $=
        ( vy vv vr vf vz vw vg cmet cfv wcel cbl ciun wceq cpw cfn cin wrex crp
        cv co wral ctotbnd cmpt cprds cds cbs cvv eqid wa totbndmet syl prdsmet
        fvexd wfn dffn5 sylib oveq2d syl5eq fveq2d 3eltr4d wex adantr istotbnd3
        simprbi r19.21bi df-rex rexv bitr4i an32s ralrimiva eleq1 iuneq1 eqeq1d
        wf anbi12d ac6sfi syl2anc cixp wss elfpw simplbi ralimi ad2antll ss2ixp
        fnfi fndmd prdsbas rgenw ax-mp eqtr4di ad2antrr sseqtrrd ixpfi sylanbrc
        ixpeq2 cxmet metxmet rpxr blssm 3expa syl2an ssralv iunss sylibr eleq2d
        cxr sylc vex elixp eliun 3bitr4i eleq2 bitr3id biimprd ral2imi eleqtrrd
        wi adantl ex syl6ibr syl5 sylbid imp oveq1 ffn simpl biimpa ixpfn simpr
        anim12i simp-4l sseldd simp-4r cbvmptv oveq2i oveqdr adantlr simprl cc0
        fveq2 eleqtrd clt wbr rpgt0 prdsbl eqtrd syl12anc jca eximdv mpd rspcev
        ssrdv eqssd exlimddv ) ADCUHUIZUJZUAUBUSZUAUSZUCUSZDUKUIZUTZULZCUMZUBCU
        NUOUPZUQZUCURVADCVBUIUJAFBHBUSZEUIZVCZVDUTZVEUIZUWIVFUIZUHUIDUVOABUWKUW
        JUWGFGHIJUWIVGUWIVHUWKVHNOUWJVHQRAUWFHUJZVIZUWFEVMUWMGIVBUIUJZGIUHUIUJZ
        TGIVJVKZVLADKVEUIZUWJPAKUWIVEAKFEVDUTUWILAEUWHFVDAEHVNZEUWHUMSBHEVOVPVQ
        VRZVSVRACUWKUHACKVFUIZUWKMAKUWIVFUWSVSVRVSVTZAUWEUCURAUVSURUJZVIZHVGUDU
        SZWNZUWFUXDUIZIUNUOUPZUJZUEUXFUEUSZUVSGUKUIZUTZULZIUMZVIZBHVAZVIZUWEUDU
        XCHUOUJZUFUSZUXGUJZUEUXRUXKULZIUMZVIZUFVGUQZBHVAUXPUDWAAUXQUXBRWBZUXCUY
        CBHAUWLUXBUYCUWMUXBVIUYAUFUXGUQZUYCUWMUYEUCURUWMUWNUYEUCURVAZTUWNUWOUYF
        UEUFGIUCWCWDVKWEUYEUYBUFWAUYCUYAUFUXGWFUYBUFWGWHVPWIWJUYBUXNBUFHVGUDUXR
        UXFUMZUXSUXHUYAUXMUXRUXFUXGWKUYGUXTUXLIUEUXRUXFUXKWLWMWOWPWQUXCUXPVIZBH
        UXFWRZUWDUJZUAUYIUWAULZCUMZUWEUYHUYICWSZUYIUOUJZUYJUYHUYIBHIWRZCUYHUXFI
        WSZBHVAZUYIUYOWSZUXOUYQUXCUXEUXNUYPBHUXHUYPUXMUXHUYPUXFUOUJZUXFIWTZXAWB
        XBXCBHUXFIXDVKZACUYOUMZUXBUXPACBHUWGVFUIZWRZUYOABCKEFHJUOLQAUWRUXQEUOUJ
        SRHEXEWQMAHESXFXGIVUCUMZBHVAUYOVUDUMVUEBHNXHBHIVUCXOXIXJZXKZXLZUYHUXQUY
        SBHVAZUYNUXCUXQUXPUYDWBZUXOVUIUXCUXEUXNUYSBHUXHUYSUXMUXHUYPUYSUYTWDWBXB
        XCBHUXFXMWQUYICWTXNUYHUYKCUYHUWACWSZUAUYIVAZUYKCWSUYHUYMVUKUACVAZVULVUH
        UXCVUMUXPADCXPUIUJZUVSYFUJZVUMUXBAUVPVUNUXADCXQVKUVSXRZVUNVUOVIVUKUACVU
        NUVRCUJZVUOVUKVUNVUQVUOVUKDUVRUVSCXSXTWIWJYAWBVUKUAUYICYBYGUAUYIUWACYCY
        DUYHUGCUYKUYHUGUSZCUJZVURUWAUJZUAUYIUQZVURUYKUJUYHVUSVVAUYHVUSVIZHVGUVR
        WNZUWFUVRUIZUXFUJZUWFVURUIZVVDUVSUXJUTZUJZVIZBHVAZVIZUAWAZVVAVVBUXQUXIU
        XFUJZVVFUXKUJZVIZUEVGUQZBHVAZVVLUYHUXQVUSVUJWBUYHVUSVVQUYHVUSVURUYOUJZV
        VQUYHCUYOVURVUGYEZVVRVVFIUJZBHVAZUYHVVQVVRVURHVNZVWABHIVURUGYHZYIWDUXOV
        WAVVQYQUXCUXEUXNVVTVVPBHUXMVVTVVPYQUXHUXMVVPVVTVVPVVFUXLUJZUXMVVTVVNUEU
        XFUQVVOUEWAVWDVVPVVNUEUXFWFUEVVFUXFUXKYJVVOUEWGYKUXLIVVFYLYMYNYRYOXCUUA
        UUBUUCVVOVVIBUEHVGUAUXIVVDUMZVVMVVEVVNVVHUXIVVDUXFWKVWEUXKVVGVVFUXIVVDU
        VSUXJUUDYEWOWPWQVVBVVLUVRUYIUJZVUTVIZUAWAVVAVVBVVKVWGUAVVBVVKVWGVVBVVKV
        IZVWFVUTVVKVWFVVBVVKUVRHVNZVVEBHVAZVIVWFVVCVWIVVJVWJHVGUVRUUEVVIVVEBHVV
        EVVHUUFXBUUJBHUXFUVRUAYHYIYDYRZVWHVURBHVVGWRZUWAVWHVWBVVHBHVAZVURVWLUJV
        VBVWBVVKVVBVVRVWBUYHVUSVVRVVSUUGBHIVURUUHVKWBVVJVWMVVBVVCVVIVVHBHVVEVVH
        UUIXBXCBHVVGVURVWCYIXNVWHAVUQUXBUWAVWLUMAUXBUXPVUSVVKUUKZVWHUVRUYOCVWHU
        YIUYOUVRUYHUYRVUSVVKVUAXKVWKUULVWHAVUBVWNVUFVKYPAUXBUXPVUSVVKUUMAVUQUXB
        VIZVIZUWAUVRUVSFUAHUVREUIZVCZVDUTZVEUIZUKUIZUTVWLAVWOUAUCUVTVXAADVWTUKA
        DUWQVWTPAKVWSVEAKUWIVWSUWSVWRUWHFVDUABHVWQUWGUVRUWFEUUTUUNUUOZXJZVSVRVS
        UUPVWPBUVSVWSVFUIZVWTUVRUWGFGHIJVWSVGVXBVXDVHNOVWTVHAFJUJVWOQWBAUXQVWOR
        WBVWPUWLVIUWFEVMAUWLGIXPUIUJZVWOUWMUWOVXEUWPGIXQVKUUQVWPUVRCVXDAVUQUXBU
        URACVXDUMVWOACUWTVXDMAKVWSVFVXCVSVRWBUVAUXBVUOAVUQVUPXCUXBUUSUVSUVBUVCA
        VUQUVSUVDXCUVEUVFUVGYPUVHYSUVIVUTUAUYIWFYTUVJYSUAVURUYIUWAYJYTUVLUVMUWC
        UYLUBUYIUWDUVQUYIUMUWBUYKCUAUVQUYIUWAWLWMUVKWQUVNWJUAUBDCUCWCXN $.
    $}

    prdsbnd2.c $e |- C = ( D |` ( A X. A ) ) $.
    prdsbnd2.e $e |- ( ( ph /\ x e. I ) -> E e. ( Met ` V ) ) $.
    prdsbnd2.m $e |- ( ( ph /\ x e. I ) ->
      ( ( E |` ( y X. y ) ) e. ( TotBnd ` y ) <->
        ( E |` ( y X. y ) ) e. ( Bnd ` y ) ) ) $.
    $( If balls are totally bounded in each factor, then balls are bounded in a
       metric product.  (Contributed by Mario Carneiro, 16-Sep-2015.) $)
    prdsbnd2 $p |- ( ph -> ( C e. ( TotBnd ` A ) <-> C e. ( Bnd ` A ) ) ) $=
      ( va vr ctotbnd cfv wcel cbnd totbndbnd wi c0 wceq bndmet 0totbnd syl5ibr
      cmet a1i wne cv wex n0 wa cbl co wss cr wrex simprr wb cmpt cprds cds cbs
      cvv eqid fvexd prdsmet wfn dffn5 sylib oveq2d syl5eq fveq2d 3eltr4d simpr
      adantr bnd2lem syl2an simprl sseldd ssbnd syl2anc mpbid cxp cres resabs1d
      xpss12 eqtr4di crp simpll cc0 clt wbr ne0d cxmet cxr ad2antrr metxmet syl
      rexrd xbln0 syl3anc elrpd cress cfn ovex 2fveq3 sqxpeqd reseq12d oveq123d
      fveq2 eqidd oveq12d cbvmptv fnmpti adantlr wral ralrimiva eleqtrd reseq2d
      eleq12d ad2antll eqtr4d oveq2i fveq2i cixp eqtrd prdsbascl r19.21bi rpred
      simplrr blbnd xpeq12 anidms imbi2d vtocl mpbird fvmpt adantl ressds ax-mp
      bibi12d rpxr blssm ressbas2 reseq1i prdstotbnd ressprdsds ixpeq2dva rpgt0
      oveqdr prdsbl prdsbas3 3eqtr4rd 3eltr3d syl12anc totbndss rexlimddv exp32
      eqeltrrd exlimdv syl5bi pm2.61dne impbid2 ) AFDUHUIZUJZFDUKUIUJZFDULAUVTU
      VSUMZDUNDUNUOZUWAUMAUVTUVSUWBFDUSUIUJFDUPFDUQURUTDUNVAUFVBZDUJZUFVCAUWAUF
      DVDAUWDUWAUFAUWDUVTUVSAUWDUVTVEZVEZDUWCUGVBZGVFUIZVGZVHZUVSUGVIUWFUVTUWJU
      GVIVJZAUWDUVTVKUWFGEUSUIZUJZUWCEUJZUVTUWKVLAUWMUWEAIBKBVBZHUIZVMZVNVGZVOU
      IZUWRVPUIZUSUIGUWLABUWTUWSUWPIJKLMUWRVQUWRVRZUWTVRZQRUWSVRTUAAUWOKUJZVEZU
      WOHVSZUDVTAGNVOUIZUWSSANUWRVOANIHVNVGUWROAHUWQIVNAHKWAHUWQUOUBBKHWBWCWDWE
      ZWFWEAEUWTUSAENVPUIZUWTPANUWRVPUXGWFWEZWFWGZWIUWFDEUWCAUWMUVTDEVHUWEUXJUW
      DUVTWHFGEDUCWJWKAUWDUVTWLZWMZUWCGFEDUGUCWNWOWPUWFUWGVIUJZUWJVEZVEZGUWIUWI
      WQZWRZDDWQZWRZFUVRUXOUXSGUXRWRFUXOGUXRUXPUXOUWJUWJUXRUXPVHUWFUXMUWJVKZUXT
      DUWIDUWIWTWOWSUCXAUXOUXQUWIUHUIZUJZUWJUXSUVRUJUXOAUWNUWGXBUJZUYBAUWEUXNXC
      UWFUWNUXNUXLWIZUXOUWGUWFUXMUWJWLZUXOUWIUNVAZXDUWGXEXFZUXOUWIUWCUXODUWIUWC
      UXTUWFUWDUXNUXKWIWMXGUXOGEXHUIUJZUWNUWGXIUJZUYFUYGVLUXOUWMUYHAUWMUWEUXNUX
      JXJGEXKXLUYDUXOUWGUYEXMGUWCUWGEXNXOWPXPAUWNUYCVEZVEZICKCVBZHUIZUYLUWCUIZU
      WGUYMVOUIZUYMVPUIZUYPWQZWRZVFUIZVGZXQVGZVMZVNVGZVOUIZVUCVPUIZUHUIUXQUYAUY
      KBVUEVUDVUBIUWOVUBUIZVOUIZVUFVPUIZVUHWQZWRZKVUHMVUCVUCVRVUEVRVUHVRVUJVRVU
      DVRAIMUJUYJTWIZAKXRUJUYJUAWIZVUBKWAUYKBKUWPUWOUWCUIZUWGJVFUIZVGZXQVGZVUBU
      WPVUOXQXSZCBKVUAVUPUYLUWOUOZUYMUWPUYTVUOXQUYLUWOHYDZVURUYNVUMUWGUWGUYSVUN
      VURUYRJVFVURUYRUWPVOUIZLLWQZWRZJVURUYOVUTUYQVVAUYLUWOVOHXTVURUYPLVURUYPUW
      PVPUILUYLUWOVPHXTQXAYAYBRXAWFUYLUWOUWCYDVURUWGYEYCYFZYGZYHUTUYKUXCVEZJVUO
      VUOWQZWRZVUOUHUIZVUJVUHUHUIVVEVVGVVHUJZVVGVUOUKUIZUJZVVEJLXHUIUJZVUMLUJZU
      XMVVKVVEJLUSUIUJZVVLAUXCVVNUYJUDYIJLXKXLZUYKVVMBKUYKBUWTUWPIUWCKLMXRVQUWR
      UXAUXBVUKVULAUWPVQUJZBKYJUYJAVVPBKUXEYKWIQUYKUWCEUWTAUWNUYCWLZAEUWTUOUYJU
      XIWIYLUUAUUBZVVEUWGAUWNUYCUXCUUDUUCUWGJLVUMUUEXOAUXCVVIVVKVLZUYJUXDJUYLUY
      LWQZWRZUYLUHUIZUJZVWAUYLUKUIZUJZVLZUMUXDVVSUMCVUOVUMUWGVUNXSZUYLVUOUOZVWF
      VVSUXDVWHVWCVVIVWEVVKVWHVWAVVGVWBVVHVWHVVTVVFJVWHVVTVVFUOUYLVUOUYLVUOUUFU
      UGYMZUYLVUOUHYDYNVWHVWAVVGVWDVVJVWIUYLVUOUKYDYNUUOUUHUEUUIYIUUJVVEVUJVUTV
      VFWRZVVGVVEVUGVUTVUIVVFVVEVUGVUPVOUIZVUTVVEVUFVUPVOUXCVUFVUPUOUYKCUWOVUAV
      UPKVUBVVCVUBVRVUQUUKUULZWFVUOVQUJZVUTVWKUOVWGVUOVUTUWPVUPVQVUPVRZVUTVRUUM
      UUNXAVVEVUHVUOVVEVUHVUPVPUIZVUOVVEVUFVUPVPVWLWFVVEVUOLVHZVUOVWOUOVVEVVLVV
      MUYIVWPVVOVVRUYKUYIUXCUYCUYIAUWNUWGUUPYOZWIJVUMUWGLUUQXOZVUOLVUPUWPVWNQUU
      RXLZYPZYAYBVVEVVGVVBVVFWRVWJJVVBVVFRUUSVVEVUTVVFVVAVVEVWPVWPVVFVVAVHVWRVW
      RVUOLVUOLWTWOWSWEYPVVEVUHVUOUHVWTWFWGUUTUYKVUDGIBKVUPVMZVNVGZVPUIZVXCWQZW
      RUXQUYKBVUOVXCGUWPIIMVUDVXBKMXRVQNVQANUWRUOUYJUXGWIUYKVXBYEVXCVRZSVUCVXBV
      OVUBVXAIVNVVDYQZYRVUKVUKVULVVEUWOHVSZVWMVVEVWGUTUVAUYKVXDUXPGUYKVXCUWIUYK
      BKVUOYSZBKVWOYSUWIVXCUYKBKVUOVWOVWSUVBUYKUWIUWCUWGICKUYMVMZVNVGZVOUIZVFUI
      ZVGVXHAUYJUFUGUWHVXLAGVXKVFAGUXFVXKSANVXJVOANUWRVXJUXGVXIUWQIVNCBKUYMUWPV
      USYGYQZXAZWFWEWFUVDUYKBUWGVXJVPUIZVXKUWCUWPIJKLMVXJVQVXMVXOVRQRVXKVRVUKVU
      LVXGVVOUYKUWCEVXOVVQAEVXOUOUYJAEUXHVXOPANVXJVPVXNWFWEWIYLVWQUYCUYGAUWNUWG
      UVCYOUVEYTUYKBVXCVUPIKVWOMXRVQVXBVXBVRVXEVUKVULUYKVUPVQUJZBKVXPVVEVUQUTYK
      VWOVRUVFUVGZYAYMYTUYKVUEUWIUHUYKVUEVXCUWIVUCVXBVPVXFYRVXQWEWFUVHUVIUXTDUX
      QUWIUVJWOUVMUVKUVLUVNUVOUVPUVQ $.
  $}

  ${
    $d a b d r x y z D $.  $d d r x y z X $.
    cntotbnd.d $e |- D = ( ( abs o. - ) |` ( X X. X ) ) $.
    $( A subset of the complex numbers is totally bounded iff it is bounded.
       (Contributed by Mario Carneiro, 14-Sep-2015.) $)
    cntotbnd $p |- ( D e. ( TotBnd ` X ) <-> D e. ( Bnd ` X ) ) $=
      ( vx vz cfv wcel cabs co cc cgz cmul c1 caddc ci cr clt wbr wceq cle cbnd
      vy vr vd va vb ctotbnd totbndbnd cv cmin ccom cbl ciun wss cin c0 wne cfn
      crab wa cpw wrex crp wral cmpt crn rpcn gzcn mulcl cre cdiv c2 cfl cim cz
      cnmet rerpdivcld halfre readdcl sylancl flcld syl2anc syl abscld 1re cexp
      rpcnd zcnd ax-icn sylancr recnd replimd rpred oveq2d subdid fveq2d oveq1d
      a1i eqtrd resubcld resqcld absresq rddif absge0d cc0 halfgt0 le2sqd mpbid
      zred eqbrtrrd halfcn mpbi lelttrd mpbird eqid cnmetdval rpge0d absidd cxr
      absmuld wb cnxmet oveq2 eleq2d rspcev cvv ovex oveq1 syl6ibr 0cn mp2an wi
      ad2antlr adantr wn letrd absled elfz syl3anc eqeq2d adantl frnd cnex cmet
      syl2an fmpttd elpw2 sylibr bnd2lem mpan sselda adantrl recld simprl imcld
      gzreim rpne0d divcld subcld addsub4d redivd imdivd oveq12d 3eqtr4d elrpii
      absreimsq resqcli mp1i sqvali halflt1 ltmul1ii mulid2i breqtri lt2halvesd
      eqbrtri eqbrtrd sq1 breqtrrdi 0le1 lt2sqd ltmul2dd mulcld divcan2d eqtr3d
      rpge0 3eqtrrd mulid1d cxmet rpxr ad2antrl elbl2 syl22anc expr eliun rgenw
      3brtr3d rexrnmptw ax-mp bitri ssrdv simpl ssbnd sylib cneg cmpo fzfi xpfi
      cfz cxp wfo wfn dffn4 fofi elrnmpti elgz simp2bi simpllr simplrl readdcld
      fnmpoi peano2zd absrele cxad simplrr sslin adantlr rpxrd rexrd w3a bldisj
      3exp2 imp32 syl32anc sseq0 syl6an imp rexadd subid1d breq12d mtbid ltnled
      necon3ad ltmuldiv2d flltp1 lttrd ltled znegcld simp3bi absimle rspc2ev ex
      elrnmpo ineq1d neeq1d eleq1 imbi12d syl5ibrcom rexlimdva syl5bi 3imp ssfi
      rabssdv rexlimddv iuneq1 sseq2d rabeq eleq1d syl12anc ralrimiva sstotbnd3
      anbi12d impbii ) ABUGFGZABUAFGZABUHVVNVVMBDUBUIZDUIZUCUIZHUJUKZULFZIZUMZU
      NZVVTBUOZUPUQZDVVOUSZURGZUTZUBJVAZVBZUCVCVDZVVNVWIUCVCVVNVVQVCGZUTZEKVVQE
      UIZLIZVEZVFZVWHGZBDVWPVVTUMZUNZVWDDVWPUSZURGZVWIVWLVWPJUNVWQVWLKJVWOVWLEK
      VWNJVWLVVQJGZVWMJGZVWNJGZVWMKGZVWKVXBVVNVVQVGUUAVWMVHZVVQVWMVIUUEZUUFUUBV
      WPJUUCUUGUUHVWLUBBVWRVWLVVOBGZVVOVWNVVQVVSIZGZEKVBZVVOVWRGZVVNVWKVXHVXKVV
      NVWKVXHUTUTZVVOVJFZVVQVKIZMVLVKIZNIZVMFZOVVOVNFZVVQVKIZVXPNIZVMFZLIZNIZKG
      ZVVOVVQVYDLIZVVQVVSIZGZVXKVXMVXRVOGVYBVOGVYEVXMVXQVXMVXOPGZVXPPGZVXQPGVXM
      VXNVVQVXMVVOVVNVXHVVOJGZVWKVVNBJVVOVVRJUUDFGZVVNBJUNZVPAVVRJBCUUIUUJZUUKU
      ULZUUMVVNVWKVXHUUNZVQZVRVXOVXPVSVTWAZVXMVYAVXMVXTPGZVYJVYAPGVXMVXSVVQVXMV
      VOVYOUUOVYPVQZVRVXTVXPVSVTWAZVXRVYBUUPWBZVXMVYHVYFVVOVVRIZVVQQRZVXMVVQVYD
      VVOVVQVKIZUJIZHFZLIZVVQMLIWUCVVQQVXMWUGMVVQVXMWUFVXMVYDWUEVXMVYEVYDJGWUBV
      YDVHWCZVXMVVOVVQVYOVXMVVQVYPWGZVXMVVQVYPUUQZUURZUUSZWDZMPGVXMWEWRZVYPVXMW
      UGMQRWUGVLWFIZMVLWFIZQRVXMWUPMWUQQVXMWUPVXRVXOUJIZVLWFIZVYBVXTUJIZVLWFIZN
      IZMQVXMWUPWUROWUTLIZNIZHFZVLWFIZWVBVXMWUGWVEVLWFVXMWUFWVDHVXMVYDVXOOVXTLI
      ZNIZUJIWURVYCWVGUJIZNIWUFWVDVXMVXRVYCVXOWVGVXMVXRVYRWHVXMOJGZVYBJGVYCJGWI
      VXMVYBWUAWHZOVYBVIWJVXMVXOVYQWKVXMWVJVXTJGWVGJGWIVXMVXTVYTWKZOVXTVIWJUUTV
      XMWUEWVHVYDUJVXMWUEWUEVJFZOWUEVNFZLIZNIWVHVXMWUEWULWLVXMWVMVXOWVOWVGNVXMV
      VQVVOVXMVVQVYPWMZVYOWUKUVAVXMWVNVXTOLVXMVVQVVOWVPVYOWUKUVBWNUVCWSWNVXMWVC
      WVIWURNVXMOVYBVXTWVJVXMWIWRWVKWVLWOWNUVDWPWQVXMWURPGZWUTPGZWVFWVBSVXMVXRV
      XOVXMVXRVYRXIVYQWTZVXMVYBVXTVXMVYBWUAXIVYTWTZWURWUTUVFWBWSVXMWUSWVAMVXMWU
      RWVSXAZVXMWUTWVTXAZWUOVXMWUSVXPVLWFIZVXPWWAWWCPGVXMVXPVRUVGWRZVYJVXMVRWRZ
      VXMWURHFZVLWFIZWUSWWCTVXMWVQWWGWUSSWVSWURXBWCVXMWWFVXPTRZWWGWWCTRVXMVYIWW
      HVYQVXOXCWCVXMWWFVXPVXMWURVXMWURWVSWKZWDWWEVXMWURWWIXDVXPVCGXEVXPTRVXMVXP
      VRXFUVEVXPUWEUVHZXGXHXJWWCVXPQRVXMWWCVXPVXPLIZVXPQVXPXKUVIWWKMVXPLIZVXPQV
      XPMQRWWKWWLQRUVJVXPMVXPVRWEVRXFUVKXLVXPXKUVLUVMUVOWRZXMVXMWVAWWCVXPWWBWWD
      WWEVXMWUTHFZVLWFIZWVAWWCTVXMWVRWWOWVASWVTWUTXBWCVXMWWNVXPTRZWWOWWCTRVXMVY
      SWWPVYTVXTXCWCVXMWWNVXPVXMWUTVXMWUTWVTWKZWDWWEVXMWUTWWQXDWWJXGXHXJWWMXMUV
      NUVPUVQUVRVXMWUGMWUNWUOVXMWUFWUMXDXEMTRVXMUVSWRUVTXNUWAVXMWUCVYFVVOUJIZHF
      ZVVQHFZWUGLIZWUHVXMVYFJGZVYKWUCWWSSVXMVVQVYDWUJWUIUWBZVYOVYFVVOVVRVVRXOZX
      PWBVXMVVQWUFLIZHFWWSWXAVXMWXEWWRHVXMWXEVYFVVQWUELIZUJIWWRVXMVVQVYDWUEWUJW
      UIWULWOVXMWXFVVOVYFUJVXMVVOVVQVYOWUJWUKUWCWNWSWPVXMVVQWUFWUJWUMXTUWDVXMWW
      TVVQWUGLVXMVVQWVPVXMVVQVYPXQXRWQUWFVXMVVQWUJUWGUWPVXMVVRJUWHFGZVVQXSGZWXB
      VYKVYHWUDYAWXGVXMYBWRVWKWXHVVNVXHVVQUWIUWJWXCVYOVVOVVRVYFVVQJUWKUWLXNVXJV
      YHEVYDKVWMVYDSZVXIVYGVVOWXIVWNVYFVVQVVSVWMVYDVVQLYCWQYDYEWBUWMVXLVVOVVTGZ
      DVWPVBZVXKDVVOVWPVVTUWNVWNYFGZEKVDWXKVXKYAWXLEKVVQVWMLYGZUWOWXJVXJEDKVWNV
      WOYFVWOXOZVVPVWNSZVVTVXIVVOVVPVWNVVQVVSYHZYDUWQUWRUWSYIUWTVWLBXEUDUIZVVSI
      ZUNZVXAUDPVWLVVNWXSUDPVBZVVNVWKUXAVYLXEJGZVVNWXTYAVPYJXEVVRAJBUDCUXBYKUXC
      VWLWXQPGZWXSUTZUTZUEUFVVQWXQNIZVVQVKIZVMFZMNIZUXDZWYHUXHIZWYJVVQUEUIZOUFU
      IZLIZNIZLIZUXEZVFZURGZVWTWYQUNVXAWYJWYJUXIZURGZWYSWYQWYPUXJZWYRWYJURGZXUB
      WYTWYIWYHUXFZXUCWYJWYJUXGYKWYPWYSUXKXUAUEUFWYJWYJWYOWYPWYPXOZVVQWYNLYGZUX
      TWYSWYPUXLXLWYSWYQWYPUXMYKWYDVWDDVWPWYQWYDVVPVWPGZVWDVVPWYQGZXUFWXOEKVBWY
      DVWDXUGYLZEKVWNVVPVWOWXNWXMUXNWYDWXOXUHEKWYDVXEUTZXUHWXOVXIBUOZUPUQZVWNWY
      QGZYLXUIXUKVWNWYOSZUFWYJVBUEWYJVBZXULXUIXUKXUNXUIXUKUTZVWMVJFZWYJGZVWMVNF
      ZWYJGZVWNVVQXUPOXURLIZNIZLIZSZXUNXUOXUQWYIXUPTRXUPWYHTRUTZXUOXUPHFZWYHTRX
      VDXUOXVEVWMHFZWYHXUOXUPXUOXUPVXEXUPVOGZWYDXUKVXEVXCXVGXURVOGZVWMUXOZUXPYM
      ZWHWDXUOVWMVXEVXCWYDXUKVXFYMZWDZXUOWYHXUOWYGXUOWYFXUOWYEVVQXUOVVQWXQXUOVV
      QXUIVWKXUKVVNVWKWYCVXEUXQZYNZWMZXUIWYBXUKVWLWYBWXSVXEUXRZYNZUXSZXVNVQZWAU
      YAZXIZXUOVXCXVEXVFTRXVKVWMUYBWCXUOXVFWYHXVLXWAXUOXVFWYFWYHXVLXVSXWAXUOVVQ
      XVFLIZWYEQRXVFWYFQRXUOVWNHFZXWBWYEQXUOXWCWWTXVFLIXWBXUOVVQVWMXUOVVQXVNWGX
      VKXTXUOWWTVVQXVFLXUOVVQXVOXUOVVQXVNXQXRWQWSXUOXWCWYEQRWYEXWCTRZYOXUOVVQWX
      QUYCIZVWNXEVVRIZTRZXWDXUIXUKXWGYOXUIXWGXUJUPXUIXUJVXIWXRUOZUNZXWGXWHUPSZX
      UJUPSXUIWXSXWIVWLWYBWXSVXEUYDBWXRVXIUYEWCXUIWXGVXDWYAWXHWXQXSGZXWGXWJYLZW
      XGXUIYBWRVWLVXEVXDWYCVXGUYFZWYAXUIYJWRXUIVVQXVMUYGXUIWXQXVPUYHWXGVXDWYAUY
      IZWXHXWKXWLXWNWXHXWKXWGXWJVVRVWNXEVVQWXQJUYJUYKUYLUYMXUJXWHUYNUYOVUBUYPXU
      OXWEWYEXWFXWCTXUOVVQPGWYBXWEWYESXVOXVQVVQWXQUYQWBXUOXWFVWNXEUJIZHFZXWCXUO
      VXDWYAXWFXWPSXUIVXDXUKXWMYNZYJVWNXEVVRWXDXPVTXUOXWOVWNHXUOVWNXWQUYRWPWSUY
      SUYTXUOXWCWYEXUOVWNXWQWDXVRVUAXNXJXUOXVFWYEVVQXVLXVRXVNVUCXHXUOWYFPGWYFWY
      HQRXVSWYFVUDWCVUEVUFZYPXUOXUPWYHXUOXUPXVJXIXWAYQXHXUOXVGWYIVOGZWYHVOGZXUQ
      XVDYAXVJXUOWYHXVTVUGZXVTXUPWYIWYHYRYSXNXUOXUSWYIXURTRXURWYHTRUTZXUOXURHFZ
      WYHTRXXBXUOXXCXVFWYHXUOXURXUOXURVXEXVHWYDXUKVXEVXCXVGXVHXVIVUHYMZWHWDXVLX
      WAXUOVXCXXCXVFTRXVKVWMVUIWCXWRYPXUOXURWYHXUOXURXXDXIXWAYQXHXUOXVHXWSXWTXU
      SXXBYAXXDXXAXVTXURWYIWYHYRYSXNXUOVWMXVAVVQLXUOVWMXVKWLWNXUMXVCVWNVVQXUPWY
      MNIZLIZSUEUFXUPXURWYJWYJWYKXUPSZWYOXXFVWNXXGWYNXXEVVQLWYKXUPWYMNYHWNYTWYL
      XURSZXXFXVBVWNXXHXXEXVAVVQLXXHWYMXUTXUPNWYLXUROLYCWNWNYTVUJYSVUKUEUFWYJWY
      JWYOVWNWYPXUDXUEVULYIWXOVWDXUKXUGXULWXOVWCXUJUPWXOVVTVXIBWXPVUMVUNVVPVWNW
      YQVUOVUPVUQVURVUSVUTVVBWYQVWTVVAWJVVCVWGVWSVXAUTUBVWPVWHVVOVWPSZVWBVWSVWF
      VXAXXIVWAVWRBDVVOVWPVVTVVDVVEXXIVWEVWTURVWDDVVOVWPVVFVVGVVKYEVVHVVIVVNVYL
      VYMVVMVWJYAVPVYNDUBVVRAJBUCCVVJWJXNVVL $.
  $}

  ${
    $d x y A $.  $d x y I $.
    cnpwstotbnd.y $e |- Y = ( ( CCfld |`s A ) ^s I ) $.
    cnpwstotbnd.d $e |- D = ( ( dist ` Y ) |` ( X X. X ) ) $.
    $( A subset of ` A ^ I ` , where ` A C_ CC ` , is totally bounded iff it is
       bounded.  (Contributed by Mario Carneiro, 14-Sep-2015.) $)
    cnpwstotbnd $p |- ( ( A C_ CC /\ I e. Fin ) ->
        ( D e. ( TotBnd ` X ) <-> D e. ( Bnd ` X ) ) ) $=
      ( wss wcel ccnfld cfv cxp cds cres cbs cvv eqid cmet fveq2d eleq1d vx cfn
      vy cc wa cress co csca csn cprds ctotbnd cbnd cv fvexd simpr wfn fnconstg
      ovex mp1i cms cnfldms cnex ssex ad2antrr ressms sylancr syl wceq fvconst2
      msmet adantl sqxpeqd reseq12d 3eltr4d totbndbnd cnfldbas ressbas2 bnd2lem
      wi eleqtrrd syl5 cabs cmin ccom cntotbnd a1i sseq2d biimpa xpss12 syl2anc
      ex resabs1d adantr cnfldds ressds reseq1d eqtr4d 3bitr4d pm5.21ndd pwsval
      wb prdsbnd2 syl5eq ) AUDHZCUBIZUEZJAUFUGZUHKZCXGUILZUJUGZMKZDDLZNZDUKKZIX
      MDULKZIBXNIBXOIXFUAUCDXJOKZXMXKXIXHUAUMZXIKZMKZXROKZXTLZNZCXTPXJXJQXPQXTQ
      YBQXKQXFXGUHUNXDXEUOZXGPIZXICUPXFJAUFURZCXGPUQUSXMQXFXQCIZUEZXGMKZXGOKZYI
      LZNZYIRKZYBXTRKYGXGUTIZYKYLIYGJUTIAPIZYMVAXDYNXEYFAUDVBVCVDZAJPVEVFYKXGYI
      YIQYKQVJVGZYGXSYHYAYJYGXRXGMYFXRXGVHXFCXGXQYEVIVKZSYGXTYIYGXRXGOYQSZVLVMZ
      YGXTYIRYRSVNYGYKUCUMZYTLZNZYTUKKZIZUUBYTULKZIZYBUUANZUUCIUUGUUEIYGYTAHZUU
      DUUFUUDUUFYGUUHUUBYTVOYGYKARKZIZUUFUUHVSYGYKYLUUIYPYGAYIRXDAYIVHXEYFAUDXG
      JXGQZVPVQVDZSVTUUJUUFUUHUUBYKAYTUUBQVRWKVGZWAUUMYGUUHUUDUUFXAYGUUHUEZWBWC
      WDZUUANZUUCIZUUPUUEIZUUDUUFUUQUURXAUUNUUPYTUUPQWEWFUUNUUBUUPUUCUUNUUBYHUU
      ANUUPUUNYHUUAYJUUNYTYIHZUUSUUAYJHYGUUHUUSYGAYIYTUULWGWHZUUTYTYIYTYIWIWJWL
      UUNUUOYHUUAUUNYNUUOYHVHYGYNUUHYOWMAUUOJXGPUUKWNWOVGWPWQZTUUNUUBUUPUUEUVAT
      WRWKWSYGUUGUUBUUCYGYBYKUUAYSWPZTYGUUGUUBUUEUVBTWRXBXFBXMXNXFBEMKZXLNXMGXF
      UVCXKXLXFEXJMXFYDXEEXJVHYEYCXGXHCPUBEFXHQWTVFSWPXCZTXFBXMXOUVDTWR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Isometries
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Ismty $.
  $( Extend class notation with the class of metric space isometries. $)
  cismty $a class Ismty $.

  ${
    $d m n f x y $.
    $( Define a function which takes two metric spaces and returns the set of
       isometries between the spaces.  An isometry is a bijection which
       preserves distance.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    df-ismty $a |- Ismty = ( m e. U. ran *Met , n e. U. ran *Met |->
        { f | ( f : dom dom m -1-1-onto-> dom dom n /\ A. x e. dom dom m
            A. y e. dom dom m ( x m y ) = ( ( f ` x ) n ( f ` y ) ) ) } ) $.
  $}

  ${
    $d M m n f x y $.  $d N m n f x y $.  $d X m n f x y $.  $d Y m n f x y $.
    $( The set of isometries between two metric spaces.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    ismtyval $p |- ( ( M e. ( *Met ` X ) /\ N e. ( *Met ` Y ) ) ->
      ( M Ismty N ) = { f | ( f : X -1-1-onto-> Y /\ A. x e. X A. y e. X
                            ( x M y ) = ( ( f ` x ) N ( f ` y ) ) ) } ) $=
      ( vm vn cxmet cfv wcel wa cv cdm wf1o co wceq wral wb crn cuni cab cismty
      cvv cmpo df-ismty a1i cxp dmeq xmetf fdmd sylan9eqr ad2ant2r dmeqd dmxpid
      cxr eqtrdi f1oeq2d ad2ant2l f1oeq3 bitrd oveq eqeqan12d raleqbidv anbi12d
      syl adantl abbidv fvssunirn simpl sselid simpr cmap wf f1of adantr elfvdm
      wss elmapg syl2anr syl5ibr abssdv ovex ssex ovmpod ) DFJKZLZEGJKZLZMZHIDE
      JUAUBZWLHNZOZOZINZOZOZCNZPZANZBNZWMQZXAWSKZXBWSKZWPQZRZBWOSZAWOSZMZCUCZFG
      WSPZXAXBDQZXDXEEQZRZBFSZAFSZMZCUCZUDUEUDHIWLWLXKUFRWKABCHIUGUHWKWMDRZWPER
      ZMZMZXJXRCYCWTXLXIXQYCWTFWRWSPZXLYCWOFWRWSYCWOFFUIZOFYCWNYEWHXTWNYERWJYAX
      TWHWNDOYEWMDUJWHYEUQDDFUKULUMUNUOFUPURZUSYCWRGRYDXLTYCWRGGUIZOGYCWQYGWJYA
      WQYGRWHXTYAWJWQEOYGWPEUJWJYGUQEEGUKULUMUTUOGUPURWRGFWSVAVGVBYCXHXPAWOFYFY
      CXGXOBWOFYFYBXGXOTWKXTYAXCXMXFXNXAXBWMDVCXDXEWPEVCVDVHVEVEVFVIWKWGWLDJFVJ
      WHWJVKVLWKWIWLEJGVJWHWJVMVLWKXSGFVNQZVSXSUELWKXRCYHXRWSYHLZWKFGWSVOZXLYJX
      QFGWSVPVQWJGJOZLFYKLYIYJTWHEGJVRDFJVRGFWSYKYKVTWAWBWCXSYHGFVNWDWEVGWF $.
  $}

  ${
    $d M f x y $.  $d N f x y $.  $d X f x y $.  $d Y f x y $.  $d F f x y $.
    $( The condition "is an isometry".  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    isismty $p |- ( ( M e. ( *Met ` X ) /\ N e. ( *Met ` Y ) ) ->
      ( F e. ( M Ismty N ) <-> ( F : X -1-1-onto-> Y /\ A. x e. X A. y e. X
                              ( x M y ) = ( ( F ` x ) N ( F ` y ) ) ) ) ) $=
      ( vf cxmet cfv wcel wa co cv wf1o wceq wral cvv elfvdm fveq1 cab ismtyval
      cismty eleq2d wi wb wf cdm f1of adantr syl3an 3expib com12 f1oeq1 oveq12d
      fex2 eqeq2d 2ralbidv anbi12d elab3g syl bitrd ) DFIJKZEGIJKZLZCDEUCMZKCFG
      HNZOZANZBNZDMZVIVGJZVJVGJZEMZPZBFQAFQZLZHUAZKZFGCOZVKVICJZVJCJZEMZPZBFQAF
      QZLZVEVFVRCABHDEFGUBUDVEWFCRKZUEVSWFUFWFVEWGWFVCVDWGWFFGCUGZVCFIUHZKVDGWI
      KWGVTWHWEFGCUIUJDFISEGISFGCWIWIUPUKULUMVQWFHCRVGCPZVHVTVPWEFGVGCUNWJVOWDA
      BFFWJVNWCVKWJVLWAVMWBEVIVGCTVJVGCTUOUQURUSUTVAVB $.
  $}

  ${
    $d u v x y F $.  $d u v x y M $.  $d u v x y N $.  $d u v x y X $.
    $d u v x y Y $.
    $( The inverse of an isometry is an isometry.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    ismtycnv $p |- ( ( M e. ( *Met ` X ) /\ N e. ( *Met ` Y ) ) ->
                      ( F e. ( M Ismty N ) -> `' F e. ( N Ismty M ) ) ) $=
      ( vx vy vu vv cxmet cfv wcel wa wf1o cv co wceq wral cismty wi ex anim12d
      f1ocnv adantr f1ocnvdm imdistani oveq1 fveq2 oveq1d eqeq12d oveq2d rspc2v
      oveq2 impcom adantll syl f1ocnvfv2 adantrr adantrl oveq12d adantlr eqtr2d
      ccnv ralrimivva jca a1i isismty wb ancoms 3imtr4d ) BDJKLZCEJKLZMZDEANZFO
      ZGOZBPZVOAKZVPAKZCPZQZGDRFDRZMZEDAVCZNZHOZIOZCPZWFWDKZWGWDKZBPZQZIERHERZM
      ZABCSPLWDCBSPLZWCWNTVMWCWEWMVNWEWBDEAUCUDWCWLHIEEWCWFELZWGELZMZMZWKWIAKZW
      JAKZCPZWHWSWCWIDLZWJDLZMZMWKXBQZWCWRXEVNWRXETWBVNWPXCWQXDVNWPXCDEWFAUEUAV
      NWQXDDEWGAUEUAUBUDUFWBXEXFVNXEWBXFWAXFWIVPBPZWTVSCPZQFGWIWJDDVOWIQZVQXGVT
      XHVOWIVPBUGXIVRWTVSCVOWIAUHUIUJVPWJQZXGWKXHXBVPWJWIBUMXJVSXAWTCVPWJAUHUKU
      JULUNUOUPVNWRXBWHQWBVNWRMWTWFXAWGCVNWPWTWFQWQDEWFAUQURVNWQXAWGQWPDEWGAUQU
      SUTVAVBVDVEVFFGABCDEVGVLVKWOWNVHHIWDCBEDVGVIVJ $.
  $}

  ${
    $d x y F $.  $d x y M $.  $d x y N $.  $d x y P $.  $d x R $.  $d x y X $.
    $d x y Y $.
    $( The image of a ball under an isometry is another ball.  (Contributed by
       Jeff Madsen, 31-Jan-2014.) $)
    ismtyima $p |- ( ( ( M e. ( *Met ` X ) /\ N e. ( *Met ` Y ) /\
       F e. ( M Ismty N ) ) /\ ( P e. X /\ R e. RR* ) ) ->
               ( F " ( P ( ball ` M ) R ) ) = ( ( F ` P ) ( ball ` N ) R ) ) $=
      ( vx vy cxmet cfv wcel co wa cbl wceq adantr syl3anc wb clt cismty w3a cv
      cxr cima crn imassrn wf1o wf wral isismty biimp3a simpld f1of frnd sstrid
      syl sseld wss simpl2 simprl ffvelrn syl2anc simprr blssm ccnv wbr simplrr
      simpl1 simplrl f1ocnv 3syl sylan elbl2 syl22anc simprd oveq1 fveq2 oveq1d
      wi eqeq12d oveq2 oveq2d rspc2v impancom imp syldan breq1d bitrd wf1 f1of1
      f1elima f1ocnvfv2 simpr eqeltrd 3bitr4d eleq1d 3bitr3d ex pm5.21ndd eqrdv
      ) DFJKLZEGJKLZCDEUAMLZUBZAFLZBUDLZNZNZHCABDOKMZUEZACKZBEOKMZXIHUCZGLZXNXK
      LZXNXMLZXIXKGXNXIXKCUFGCXJUGXIFGCXIFGCUHZFGCUIZXIXRXNIUCZDMZXNCKZXTCKZEMZ
      PZIFUJHFUJZXEXRYFNZXHXBXCXDYGHICDEFGUKULQZUMZFGCUNUQZUOUPURXIXMGXNXIXCXLG
      LZXGXMGUSXBXCXDXHUTZXIXSXFYKYJXEXFXGVAZFGACVBVCZXEXFXGVDZEXLBGVERURXIXOXP
      XQSXIXONZXNCVFZKZCKZXKLZYSXMLZXPXQYPYRXJLZXLYSEMZBTVGZYTUUAYPUUBAYRDMZBTV
      GZUUDYPXBXGXFYRFLZUUBUUFSXIXBXOXBXCXDXHVIZQXEXFXGXOVHZXEXFXGXOVJXIGFYQUIZ
      XOUUGXIXRGFYQUHUUJYIFGCVKGFYQUNVLGFXNYQVBVMZYRDABFVNVOYPUUEUUCBTXIXOUUGUU
      EUUCPZUUKXIUUGUULXIXFYFUUGUULVTYMXIXRYFYHVPXFUUGYFUULYEUULAXTDMZXLYCEMZPH
      IAYRFFXNAPZYAUUMYDUUNXNAXTDVQUUOYBXLYCEXNACVRVSWAXTYRPZUUMUUEUUNUUCXTYRAD
      WBUUPYCYSXLEXTYRCVRWCWAWDWEVCWFWGWHWIYPFGCWJZUUGXJFUSZYTUUBSXIUUQXOXIXRUU
      QYIFGCWKUQQUUKXIUURXOXIXBXFXGUURUUHYMYODABFVERQFGCYRXJWLRYPXCXGYKYSGLUUAU
      UDSXIXCXOYLQUUIXIYKXOYNQYPYSXNGXIXRXOYSXNPYIFGXNCWMVMZXIXOWNWOYSEXLBGVNVO
      WPYPYSXNXKUUSWQYPYSXNXMUUSWQWRWSWTXA $.
  $}

  ${
    $d r u w x y z F $.  $d f r u w z J $.  $d f r u w x y z N $.  $d r w ph $.
    $d f u K $.  $d f x y M $.  $d f u x y X $.  $d f r u w x y z Y $.
    ismtyhmeo.1 $e |- J = ( MetOpen ` M ) $.
    ismtyhmeo.2 $e |- K = ( MetOpen ` N ) $.
    ${
      ismtyhmeolem.3 $e |- ( ph -> M e. ( *Met ` X ) ) $.
      ismtyhmeolem.4 $e |- ( ph -> N e. ( *Met ` Y ) ) $.
      ismtyhmeolem.5 $e |- ( ph -> F e. ( M Ismty N ) ) $.
      $( Lemma for ~ ismtyhmeo .  (Contributed by Jeff Madsen, 2-Sep-2009.)
         (Revised by Mario Carneiro, 12-Sep-2015.) $)
      ismtyhmeolem $p |- ( ph -> F e. ( J Cn K ) ) $=
        ( co wcel cv cfv wral wceq cxr vu vx vy vz vw vr ccn ccnv cima cbl wf1o
        wf crn cismty wa cxmet isismty syl2anc mpbid simpld f1of syl cxp adantr
        wb wi ismtycnv mpd simprl simprr ismtyima syl32anc f1ocnv simpl ffvelrn
        syl2an blopn syl3anc eqeltrd ralrimivva cop fveq2 df-ov eqtr4di imaeq2d
        3syl eleq1d ralxp sylibr cpw wfn blf imaeq2 ralrn 4syl mpbird mopntopon
        ffn ctopon ctg mopnval tgcn mpbir2and ) ABCDUGNOGHBULZBUHZUAPZUIZCOZUAF
        UJQZUMZRZAGHBUKZXDAXLUBPZUCPZENXMBQXNBQFNSUCGRUBGRZABEFUNNOZXLXOUOZMAEG
        UPQOZFHUPQOZXPXQVEKLUBUCBEFGHUQURUSUTZGHBVAVBAXKXEUDPZXIQZUIZCOZUDHTVCZ
        RZAXEUEPZUFPZXINZUIZCOZUFTRUEHRYFAYKUEUFHTAYGHOZYHTOZUOZUOZYJYGXEQZYHEU
        JQNZCYOXSXRXEFEUNNOZYLYMYJYQSAXSYNLVDAXRYNKVDZAYRYNAXPYRMAXRXSXPYRVFKLB
        EFGHVGURVHVDAYLYMVIAYLYMVJZYGYHXEFEHGVKVLYOXRYPGOZYMYQCOYSAHGXEULZYLUUA
        YNAXLHGXEUKUUBXTGHBVMHGXEVAWFYLYMVNHGYGXEVOVPYTEYPYHCGIVQVRVSVTYDYKUDUE
        UFHTYAYGYHWAZSZYCYJCUUDYBYIXEUUDYBUUCXIQYIYAUUCXIWBYGYHXIWCWDWEWGWHWIAX
        SYEHWJZXIULXIYEWKXKYFVELFHWLYEUUEXIWRXHYDUAUDYEXIXFYBSXGYCCXFYBXEWMWGWN
        WOWPAUAXJBCDGHAXRCGWSQOKECGIWQVBAXSDXJWTQSLFDHJXAVBAXSDHWSQOLFDHJWQVBXB
        XC $.
    $}

    $( An isometry is a homeomorphism on the induced topology.  (Contributed by
       Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro, 12-Sep-2015.) $)
    ismtyhmeo $p |- ( ( M e. ( *Met ` X ) /\ N e. ( *Met ` Y ) ) ->
                      ( M Ismty N ) C_ ( J Homeo K ) ) $=
      ( vf cxmet cfv wcel wa cismty co chmeo cv ccn ccnv ismtyhmeolem simpr imp
      simpll simplr ismtycnv ishmeo sylanbrc ex ssrdv ) CEJKLZDFJKLZMZICDNOZABP
      OZULIQZUMLZUOUNLZULUPMZUOABROLUOSZBAROLUQURUOABCDEFGHUJUKUPUCZUJUKUPUDZUL
      UPUATURUSBADCFEHGVAUTULUPUSDCNOLUOCDEFUEUBTUOABUFUGUHUI $.
  $}

  ${
    $d r w x y z F $.  $d r w x y z M $.  $d r w y z N $.  $d r w x y z X $.
    $d r w y z Y $.
    $( Lemma for ~ ismtybnd .  (Contributed by Jeff Madsen, 2-Sep-2009.)
       (Proof shortened by Mario Carneiro, 19-Jan-2014.) $)
    ismtybndlem $p |- ( ( N e. ( *Met ` Y ) /\ F e. ( M Ismty N ) ) ->
        ( M e. ( Bnd ` X ) -> N e. ( Bnd ` Y ) ) ) $=
      ( vx vr vy vz vw cfv wcel co wa cv wceq crp wrex wral wi cxmet cismty cbl
      cbnd ccnv wf1o wf isismty biimp3a simpld f1ocnv f1of 3syl ffvelrnda oveq1
      w3a eqeq2d rexbidv rspcv syl cima imaeq2 wfo f1ofo adantr cxr rpxr adantl
      foima anim12dan syldan simpl f1ocnvfv2 syl2an oveq1d eqtrd eqeq12d syl5ib
      ismtyima anassrs reximdva syld ralrimdva simp2 jctild 3expib com12 isbndx
      impd 3imtr4g ) CEUAKLZABCUBMLZNZBDUAKLZDFOZGOZBUCKZMZPZGQRZFDSZNWKEHOZWPC
      UCKZMZPZGQRZHESZNZBDUDKLCEUDKLWMWNXAXHWNWMXAXHTZWNWKWLXIWNWKWLUPZXAXGWKXJ
      XAXFHEXJXBELZNZXADXBAUEZKZWPWQMZPZGQRZXFXLXNDLZXAXQTXJEDXBXMXJDEAUFZEDXMU
      FEDXMUGXJXSIOZJOZBMXTAKYAAKCMPJDSIDSZWNWKWLXSYBNIJABCDEUHUIUJZDEAUKEDXMUL
      UMUNZWTXQFXNDWOXNPZWSXPGQYEWRXODWOXNWPWQUOUQURUSUTXLXPXEGQXJXKWPQLZXPXETX
      PADVAZAXOVAZPXJXKYFNZNZXEDXOAVBYJYGEYHXDXJYGEPZYIXJXSDEAVCYKYCDEAVDDEAVIU
      MVEYJYHXNAKZWPXCMZXDXJYIXRWPVFLZNYHYMPXJXKXRYFYNYDYFYNXJWPVGVHVJXNWPABCDE
      VSVKYJYLXBWPXCXJXSXKYLXBPYIYCXKYFVLDEXBAVMVNVOVPVQVRVTWAWBWCWNWKWLWDWEWFW
      GWIFBDGWHHCEGWHWJ $.

    $( Isometries preserve boundedness.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Revised by Mario Carneiro, 19-Jan-2014.) $)
    ismtybnd $p |- ( ( M e. ( *Met ` X ) /\ N e. ( *Met ` Y ) /\
      F e. ( M Ismty N ) ) -> ( M e. ( Bnd ` X ) <-> N e. ( Bnd ` Y ) ) ) $=
      ( cxmet cfv wcel cismty w3a cbnd ismtybndlem 3adant1 ccnv ismtycnv 3impia
      co wi 3adant2 syld3an3 impbid ) BDFGHZCEFGHZABCIQHZJBDKGHZCEKGHZUCUDUEUFR
      UBABCDELMUBUCUDANZCBIQHZUFUERZUBUCUDUHABCDEOPUBUHUIUCUGCBEDLSTUA $.
  $}

  ${
    $d u v A $.  $d u v x y F $.  $d u v x y M $.  $d u v x y N $.  $d u v S $.
    $d u v T $.  $d u v x y X $.  $d u v x y Y $.
    ismtyres.2 $e |- B = ( F " A ) $.
    ismtyres.3 $e |- S = ( M |` ( A X. A ) ) $.
    ismtyres.4 $e |- T = ( N |` ( B X. B ) ) $.
    $( A restriction of an isometry is an isometry.  The condition ` A C_ X `
       is not necessary but makes the proof easier.  (Contributed by Jeff
       Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro, 12-Sep-2015.) $)
    ismtyres $p |- ( ( ( M e. ( *Met ` X ) /\ N e. ( *Met ` Y ) ) /\
      ( F e. ( M Ismty N ) /\ A C_ X ) ) -> ( F |` A ) e. ( S Ismty T ) ) $=
      ( vu cxmet cfv wcel wa co wceq syl2anc vv vx vy cismty wss cres cima wf1o
      cv wf1 isismty simprbda adantrr f1of1 syl simprr f1ores biimpa wi anim12d
      wral imp oveq1 fveq2 oveq1d eqeq12d oveq2 oveq2d rspc2v adantlrl adantlll
      ssel an32s oveqi ovres syl5eq adantl fvres ad2antrl ad2antll oveq12d wfun
      cxp f1ofun f1odm sseq2d biimparc funfvima2 eleqtrrdi adantrl ovresd eqtrd
      cdm adantlrr 3eqtr4d ralrimivva wb xmetres2 eqeltrid ad2ant2rl simplr crn
      mpdan imassrn eqsstri f1ofo forn 3syl sseqtrid fveq2i eleqtrdi mpbir2and
      wfo ) FHNOPZGINOPZQZEFGUDRPZAHUEZQZQZEAUFZCDUDRPZAEAUGZYAUHZMUIZUAUIZCRZY
      EYAOZYFYAOZDRZSZUAAVAMAVAZXTHIEUJZXRYDXTHIEUHZYMXPXQYNXRXPXQYNUBUIZUCUIZF
      RZYOEOZYPEOZGRZSZUCHVAUBHVAZUBUCEFGHIUKZULUMZHIEUNUOXPXQXRUPHIAEUQTXTYNUU
      BQZYLXPXQUUEXRXPXQUUEUUCURUMXPXRUUEYLXQXPXRQUUEQZYKMUAAAUUFYEAPZYFAPZQZQY
      EYFFRZYEEOZYFEOZGRZYGYJXRUUEUUIUUJUUMSZXPXRUUBUUIUUNYNXRUUIUUBUUNXRUUIQZU
      UBUUNUUOYEHPZYFHPZQZUUBUUNUSXRUUIUURXRUUGUUPUUHUUQAHYEVLAHYFVLUTVBUUAUUNY
      EYPFRZUUKYSGRZSUBUCYEYFHHYOYESZYQUUSYTUUTYOYEYPFVCUVAYRUUKYSGYOYEEVDVEVFY
      PYFSZUUSUUJUUTUUMYPYFYEFVGUVBYSUULUUKGYPYFEVDVHVFVIUOVBVMVJVKUUIYGUUJSUUF
      UUIYGYEYFFAAWCUFZRUUJCUVCYEYFKVNYEYFAAFVOVPVQXRUUEUUIYJUUMSZXPXRYNUUIUVDU
      UBXRYNQZUUIQZYJUUKUULDRZUUMUVFYHUUKYIUULDUUGYHUUKSUVEUUHYEAEVRVSUUHYIUULS
      UVEUUGYFAEVRVTWAUVFUVGUUKUULGBBWCUFZRUUMDUVHUUKUULLVNUVFUUKUULGBUVEUUGUUK
      BPUUHUVEUUGQUUKYCBUVEUUGUUKYCPZUVEEWBZAEWMZUEZUUGUVIUSYNUVJXRHIEWDVQZYNUV
      LXRYNUVKHAHIEWEWFWGZAYEEWHTVBJWIUMUVEUUHUULBPUUGUVEUUHQUULYCBUVEUUHUULYCP
      ZUVEUVJUVLUUHUVOUSUVMUVNAYFEWHTVBJWIWJWKVPWLWNVKWOWPVJXCXTCANOZPZDYCNOZPY
      BYDYLQWQXNXRUVQXOXQXNXRQCUVCUVPKFAHWRWSWTXTDBNOZUVRXTDUVHUVSLXTXOBIUEUVHU
      VSPXNXOXSXAXTEXBZBIBYCUVTJEAXDXEXTYNHIEXMUVTISUUDHIEXFHIEXGXHXIGBIWRTWSBY
      CNJXJXKMUAYACDAYCUKTXL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Heine-Borel Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d n t x y A $.  $d k n r t u x y F $.  $d g k t x G $.  $d g k r t x ph $.
    $d g k m n r t u v x y z D $.  $d g k m r t u x y z M $.  $d m n x y z T $.
    $d g n t u v y B $.  $d g k m n r t u v x y z J $.  $d g n t u v x y z U $.
    $d g t y z ps $.  $d k m n t u v x y z S $.  $d g k m n r t u v x y z X $.
    $d m n t u v y C $.  $d g n t x y z K $.  $d k t x Y $.  $d k v x Z $.
    heibor.1 $e |- J = ( MetOpen ` D ) $.
    ${
      $d m F $.  $d m n u y ph $.
      heibor1.3 $e |- ( ph -> D e. ( Met ` X ) ) $.
      heibor1.4 $e |- ( ph -> J e. Comp ) $.
      heibor1.5 $e |- ( ph -> F e. ( Cau ` D ) ) $.
      heibor1.6 $e |- ( ph -> F : NN --> X ) $.
      $( Lemma for ~ heibor1 .  A compact metric space is complete.  This proof
         works by considering the collection ` cls ( F " ( ZZ>= `` n ) ) ` for
         each ` n e. NN ` , which has the finite intersection property because
         any finite intersection of upper integer sets is another upper integer
         set, so any finite intersection of the image closures will contain
         ` ( F " ( ZZ>= `` m ) ) ` for some ` m ` .  Thus, by compactness, the
         intersection contains a point ` y ` , which must then be the
         convergent point of ` F ` .  (Contributed by Jeff Madsen,
         17-Jan-2014.)  (Revised by Mario Carneiro, 5-Jun-2014.) $)
      heibor1lem $p |- ( ph -> F e. dom ( ~~>t ` J ) ) $=
        ( vk vu cfv wrex wcel c0 wss wi cn wa vy vr vm vn cv cima wceq cuz cint
        crn cdm ccld cpw cfi wex syl imassrn sseqtrd sstrid eqid syl2anc eleq1a
        wn fvex cfn cin bitri wne raleq anbi2d inteq sseq2d rexbidv imbi12d weq
        wral cc0 cz wfn wf uzf ax-mp fnfvelrn mp2an imaeq2 sseq1d rspcev ssralv
        cvv a1i vex eqeq1 sylib uzin2 inss2 inss1 imass2 expcom syl6 impd com23
        syl5 imp c1 nnuz n0 exlimdv sylancr rexlimdva adantr mpd sylan2b eleq2d
        ssn0 wb wbr wal co clt fveq2d mpbid ralimi ad2antrr ad2antll sylc rpxrd
        crp syl3anc sseli caddc ad3antrrr eluznn ad2ant2lr ffvelrnd syl22anc cr
        metcl rpred mpan2d anassrs ccl cab ccmp ctop cuni cxmet metxmet mopntop
        clm cmet frnd mopnuni clscld rexlimdvw abssdv elpw2 sylibr elin ssabral
        velpw anbi1i csn cun ffn 0z ssv int0 sseqtrri ssun1 anim2i imim1i ssun2
        ralsn sscls sseq2 syl5ibrcom anim12i intunsn sseqtrrdi rexlimdvv reeanv
        ssin ss2in cbvrexvw 3imtr3g expd sylcom findcard2 com12 impr 1z eqeltri
        ffnd mpan2 uzn0 wfun fndm sseqtrrid funfvima2 ne0i necomd neneqd nrexdv
        fnfun 0ex zex pwex ssexi abrexex elfi sylnibr cmptop cmpfi fveq2 notbid
        frn neeq1d bitrdi rspccv syl3c lmrel r19.23v albii eleq2 ceqsalv ralbii
        wrel ralcom4 bitr3i elintab 3bitr4i rspceeqv elab mpbir intss1 sseqtrrd
        ibi clsss3 sselda c2 cdiv w3a cc ccau 1zzd iscau3 simprd simp3 rphalfcl
        cpm reximi breq2 2ralbidv rspccva syl2an cbl ffund nnz simplr rspcv cxr
        ad2antrl blopn blcntr clsndisj syl32anc fvelima sylan2 adantl ex syl5bi
        reximdv r19.29 simprlr simplrl simpllr elbl3 simprr lt2add rpcnd breq2d
        uznnssnn 2halvesd sylibd mettri2 syl13anc readdcld lelttr syld ralimdva
        cle mpand expr reximdva ssrexv sylsyld ralrimiva eqidd lmmbrf mpbir2and
        syldanl sylan2br releldm exlimddv ) AUAUEZKUEZCLUEZUFZDUUAMZMZUGZLUHUJZ
        NZKUUBZUIZOZCDUUIMZUKOZUAADUUCOZVXNDULMZUMZOZPVXNUNMZOZVCZVXPUAUOZHAVXN
        VXTQVYBAVXMKVXTAVXKVXFVXTOZLVXLAVXJVXTOZVXKVYGRADUUDOZVXHDUUEZQZVYHABEU
        UFMOZVYIABEUUJMOZVYLGBEUUGUPZBDEFUUHUPZAVXHCUJZVYJCVXGUQZAVYPEVYJASECJU
        UKZAVYLEVYJUGVYNBDEFUULUPZURZUSVXHDVYJVYJUTZUUMVAVXJVXTVXFVBUPUUNUUOVXN
        VXTDULVDUUPUUQAPUBUEZUIZUGZUBVXNUMZVEVFZNZVYDAWUDUBWUFWUBWUFOZAVXMKWUBV
        PZWUBVEOZTZWUDVCWUHWUBWUEOZWUJTWUKWUBWUEVEUURWULWUIWUJWULWUBVXNQWUIUBVX
        NUUTVXMKWUBUUSVGUVAVGAWUKTZPWUCWUMWUCPWUMCVXFUFZWUCQZKVXLNZWUCPVHZAWUIW
        UJWUPWUJAWUITZWUPAVXMKUCUEZVPZTZWUNWUSUIZQZKVXLNZRAVXMKPVPZTZWUNPUIZQZK
        VXLNZRAVXMKVXEVPZTZWUNVXEUIZQZKVXLNZRZAVXMKVXEUDUEZUVBZUVCZVPZTZWUNWVRU
        IZQZKVXLNZRZWURWUPRUCUAUDWUBWUSPUGZWVAWVFWVDWVIWWEWUTWVEAVXMKWUSPVIVJWW
        EWVCWVHKVXLWWEWVBWVGWUNWUSPVKVLVMVNUCUAVOZWVAWVKWVDWVNWWFWUTWVJAVXMKWUS
        VXEVIVJWWFWVCWVMKVXLWWFWVBWVLWUNWUSVXEVKVLVMVNWUSWVRUGZWVAWVTWVDWWCWWGW
        UTWVSAVXMKWUSWVRVIVJWWGWVCWWBKVXLWWGWVBWWAWUNWUSWVRVKVLVMVNUCUBVOZWVAWU
        RWVDWUPWWHWUTWUIAVXMKWUSWUBVIVJWWHWVCWUOKVXLWWHWVBWUCWUNWUSWUBVKVLVMVNW
        VIWVFVQUHMZVXLOZCWWIUFZWVGQZWVIUHVRVSZVQVROWWJVRVRUMZUHVTZWWMWAVRWWNUHU
        VDWBZUVEVRVQUHWCWDWWKWIWVGWWKUVFUVGUVHWVHWWLKWWIVXLVXFWWIUGWUNWWKWVGVXF
        WWICWEWFWGWDWJWVOWWDRVXEVEOWVOWVTWVNWWCWVTWVKWVNWVSWVJAVXEWVRQWVSWVJRVX
        EWVQUVIVXMKVXEWVRWHWBUVJUVKAWVSWVNWWCRZWVSWVPVXJUGZLVXLNZAWWQWVSVXMKWVQ
        VPZWWSWVQWVRQWVSWWTRWVQVXEUVLVXMKWVQWVRWHWBVXMWWSKWVPUDWKZKUDVOVXKWWRLV
        XLVXFWVPVXJWLVMUVMWMAWWSWVNWWCAWWRWVMTZKVXLNLVXLNCWUSUFZWWAQZUCVXLNZWWS
        WVNTWWCAWXBWXELKVXLVXLVXGVXLOVXFVXLOZTVXGVXFVFZVXLOZAWXBWXERVXGVXFWNAWX
        BWXHWXEAWXBCWXGUFZWWAQZWXHWXERAWWRWVMWXJAWWRVXHWVPQZWVMWXJRAWXKWWRVXHVX
        JQZAVYIVYKWXLVYOAVXHEVYJAVXHVYPEVYQVYRUSVYSURVXHDVYJWUAUVNVAWVPVXJVXHUV
        OUVPWVMWXKWXJWVMWXKTZWXIWVLWVPVFZWWAWXMWXIWUNVXHVFZWXNWXGVXFQZWXGVXGQZW
        XIWXOQZVXGVXFWOVXGVXFWPWXPWXQTWXIWUNQZWXIVXHQZTWXRWXPWXSWXQWXTWXGVXFCWQ
        WXGVXGCWQUVQWXIWUNVXHUWBWMWDWUNWVLVXHWVPUWCUSVXEWVPWXAUVRUVSWRWSWTWXHWX
        JWXEWXDWXJUCWXGVXLWUSWXGUGWXCWXIWWAWUSWXGCWEWFWGWRWSXAXBUVTWWRWVMLKVXLV
        XLUWAWXDWWBUCKVXLUCKVOWXCWUNWWAWUSVXFCWEWFUWDUWEUWFXBXCUWGWJUWHUWIUWJAW
        UPWUQRZWUKACSVSZWYAASECJUWMWYBWUOWUQKVXLWYBWXFTZWUNPVHZWUOWUQRWYCCVXFSV
        FZUFZWUNQZWYFPVHZWYDWYEVXFQWYGVXFSWPWYEVXFCWQWBWYBWXFWYHWXFVXEWYEOZUAUO
        ZWYBWYHWXFWYEPVHZWYJWXFWYEVXLOZWYKWXFSVXLOZWYLSXDUHMZVXLXEWWMXDVROWYNVX
        LOWWPUWKVRXDUHWCWDUWLZVXFSWNUWNWYEUWOUPUAWYEXFWMWYBWYIWYHUAWYBWYIVXECMZ
        WYFOZWYHWYBCUWPZWYECUKZQWYIWYQRSCUXDWYBSWYEWYSVXFSWOSCUWQUWRWYEVXECUWSV
        AWYFWYPUWTWSXGXBXCWYFWUNXNXHWUOWYDWUQWUNWUCXNWRUPXIUPXJXKUXAUXBXLUXCPWI
        OVXNWIOVYDWUGXOUXELKVXLVXJVXLWWNVRUXFUXGWWOVXLWWNQWAVRWWNUHUXPWBUXHUXIU
        BPVXNWIWIUXJWDUXKVXSPWUSUNMZOZVCZWVBPVHZRZUCVYAVPZVYBVYEVYFRZRVXSXUEVXS
        VYIVXSXUEXODUXLUCDUXMUPUYQXUDXUFUCVXNVYAWUSVXNUGZXUBVYEXUCVYFXUGXUAVYDX
        UGWYTVYCPWUSVXNUNUXNXMUXOXUGXUCVXOPVHVYFXUGWVBVXOPWUSVXNVKUXQUAVXOXFUXR
        VNUXSUPUXTAVXPTVXQUYGCVXEVXQXPZVXRDUYAVXPAVXEVXJOZLVXLVPZXUHVXKVXEVXFOZ
        RZLVXLVPZKXQZVXMXUKRZKXQXUJVXPXUMXUOKVXKXUKLVXLUYBUYCXUJXULKXQZLVXLVPXU
        NXUPXUILVXLXUKXUIKVXJVXHVXIVDVXFVXJVXEUYDUYEUYFXULLKVXLUYHUYIVXMKVXEUAW
        KUYJUYKZAXUJTZXUHVXEEOZWVPCMZVXEBXRZWUBXSXPZUDVXFUHMZVPZKSNZUBYGVPZXUJA
        VXPXUSXUQAVXOEVXEAVXOCSUFZVXIMZEXVHVXNOZVXOXVHQXVIXVHVXJUGZLVXLNZWYMXVH
        XVHUGXVKWYOXVHUTLSVXLVXJXVHXVHVXGSUGVXHXVGVXIVXGSCWEXTUYLWDVXMXVKKXVHXV
        GVXIVDVXFXVHUGVXKXVJLVXLVXFXVHVXJWLVMUYMUYNXVHVXNUYOWBAXVHVYJEAVYIXVGVY
        JQXVHVYJQVYOAXVGVYPVYJCSUQVYTUSXVGDVYJWUAUYRVAVYSUYPUSUYSXLZXURXVEUBYGX
        URWUBYGOZTZVXFCMZXUTBXRZWUBUYTVUAXRZXSXPZUDXVCVPZKWUSUHMZVPZUCSNZXVEXUR
        XVPVXEXSXPZUDXVCVPZKXVTVPZUCSNZUAYGVPZXVQYGOZXWBXVMAXWGXUJAVXFWYSOZXVOE
        OZXWDVUBZKXVTVPZUCSNZUAYGVPZXWGACEVUCVUJXROZXWNACBVUDMOXWOXWNTIAUABUCKU
        DCXDESXEVYNAVUEZVUFYAVUGXWMXWFUAYGXWLXWEUCSXWKXWDKXVTXWIXWJXWDVUHYBVUKY
        BUPXJWUBVUIZXWFXWBUAXVQYGVXEXVQUGZXWEXWAUCSXWRXWCXVRKUDXVTXVCVXEXVQXVPX
        SVULVUMVMVUNVUOXVNXWAXVEUCSXURXVMWUSSOZXWAXVERXURXVMXWSTZTZXWAXVOVXEXVQ
        BVUPMXRZOZKXVTNZXVEXXAWYRXXBCXVTUFZVFZPVHZXXDAWYRXUJXWTASECJVUQYCXXAVYI
        XXEVYJQZVXEXXEVXIMZOZXXBDOZVXEXXBOZXXGAVYIXUJXWTVYOYCAXXHXUJXWTAXXEVYPV
        YJCXVTUQVYTUSYCXXAXVTVXLOZXUJXXJXWSXXMXURXVMXWSWWMWUSVROXXMWWPWUSVURVRW
        USUHWCXHYDAXUJXWTVUSXUIXXJLXVTVXLVXGXVTUGZVXJXXIVXEXXNVXHXXEVXIVXGXVTCW
        EXTXMVUTYEXXAVYLXUSXVQVVAOZXXKAVYLXUJXWTVYNYCZXURXUSXWTXVLXJZXXAXVQXVMX
        WHXURXWSXWQVVBZYFBVXEXVQDEFVVCYHXXAVYLXUSXWHXXLXXPXXQXXRBVXEXVQEVVDYHVX
        EXXEXXBDVYJWUAVVEVVFXXGWVPXXFOZUDUOWYRXXDUDXXFXFWYRXXSXXDUDWYRXXSXXDWYR
        XXSTZXVOWVPUGZKXVTNZXXDXXSWYRWVPXXEOXYBXXFXXEWVPXXBXXEWOYIKWVPXVTCVVGVV
        HXXTXYAXXCKXVTXXTWVPXXBOZXYAXXCRXXSXYCWYRXXFXXBWVPXXBXXEWPYIVVIWVPXXBXV
        OVBUPVVLXKVVJXGVVKYEXWAXXDTXVSXXCTZKXVTNZXXAXVEXVSXXCKXVTVVMAXUJXUSXWTX
        YEXVERXVLAXUSTZXWTTZXVTSQZXYEXVDKXVTNXVEXWSXYHXYFXVMWUSVWBYDXYGXYDXVDKX
        VTXYGVXFXVTOZTZXVSXXCXVDXYJXXCXVSXVDXYGXYIXXCXVSXVDRXYGXYIXXCTZTXVRXVBU
        DXVCXYGXYKWVPXVCOZXVRXVBRXYGXYKXYLTZTZXVRXVPXVOVXEBXRZYJXRZWUBXSXPZXVBX
        YNXVRXYPXVQXVQYJXRZXSXPZXYQXYNXVRXYOXVQXSXPZXYSXYNXXCXYTXYGXYIXXCXYLVVN
        XYNVYLXXOXUSXWJXXCXYTXOAVYLXUSXWTXYMVYNYKXYNXVQXYNXVMXWHXYFXVMXWSXYMVVO
        ZXWQUPZYFAXUSXWTXYMVVPZXYNSEVXFCASECVTXUSXWTXYMJYKZXWTXYKVXFSOZXYFXYLXW
        SXYIYUEXVMXXCVXFWUSYLYMYMZYNZXVOBVXEXVQEVVQYOYAXYNXVPYPOZXYOYPOZXVQYPOZ
        YUJXVRXYTTXYSRXYNVYMXWJXUTEOZYUHAVYMXUSXWTXYMGYKZYUGXYNSEWVPCYUDXYNYUEX
        YLWVPSOZYUFXYGXYKXYLVVRWVPVXFYLVAYNZXVOXUTBEYQYHZXYNVYMXWJXUSYUIYULYUGY
        UCXVOVXEBEYQYHZXYNXVQYUBYRZYUQXVPXYOXVQXVQVVSYOYSXYNXYRWUBXYPXSXYNWUBXY
        NWUBYUAVVTVWCVWAVWDXYNXVAXYPVWKXPZXYQXVBXYNVYMXWJYUKXUSYURYULYUGYUNYUCX
        UTVXEXVOBEVWEVWFXYNXVAYPOZXYPYPOWUBYPOYURXYQTXVBRXYNVYMYUKXUSYUSYULYUNY
        UCXUTVXEBEYQYHXYNXVPXYOYUOYUPVWGXYNWUBYUAYRXVAXYPWUBVWHYHVWLVWIYTVWJVWM
        XAWTVWNXVDKXVTSVWOVWPVXAXBYSYTXIXKVWQAXUHXUSXVFTXOXUJAUBXUTBVXEKUDCDXDE
        SFVYNXEXWPAYUMTXUTVWRJVWSXJVWTVXBCVXEVXQVXCXHVXD $.
    $}

    $( One half of ~ heibor , that does not require any Choice.  A compact
       metric space is complete and totally bounded.  We prove completeness in
       ~ cmpcmet and total boundedness here, which follows trivially from the
       fact that the set of all ` r ` -balls is an open cover of ` X ` , so
       finitely many cover ` X ` .  (Contributed by Jeff Madsen,
       16-Jan-2014.) $)
    heibor1 $p |- ( ( D e. ( Met ` X ) /\ J e. Comp ) ->
                    ( D e. ( CMet ` X ) /\ D e. ( TotBnd ` X ) ) ) $=
      ( vx vy vz vr cfv wcel wa cv wi wral ralrimiva cuni wceq wrex cfn crp clm
      cmet ccmp ccmet ctotbnd cn wf ccau simpll simplr simprl simprr heibor1lem
      cdm expr c1 nnuz 1zzd simpl iscmet3 mpbird cbl co cab cpw cin wss metxmet
      cxmet cxr id rpxr blopn syl3an 3com23 eleq1a syl rexlimdva adantlr abssdv
      3expa ad2antrr mopnuni blcntr syl3an1 elabrex adantl elunii syl2anc nfre1
      ovex nfcv nfab nfuni dfss3f sylibr eqsstrrd unissd eqssd eqid cmpcov elin
      syl3anc ancom bitri anbi1i anass rexbii2 sylib eqcom eqeq1d anbi1d syl5bb
      bitr2id elpwi ssabral anim2i syl6bi reximdv mpd istotbnd sylanbrc jca ) A
      CUBIJZBUCJZKZACUDIJZACUEIJZYFYGUFCELZUGZYIBUAIUNJZMZEAUHIZNYFYLEYMYFYIYMJ
      ZYJYKYFYNYJKZKAYIBCDYDYEYOUIYDYEYOUJYFYNYJUKYFYNYJULUMUOOYFAEBUPCUFUQDYFU
      RYDYEUSZUTVAYFYDYIPZCQZFLZGLZHLZAVBIZVCZQZGCRZFYINZKZESRZHTNYHYPYFUUHHTYF
      UUATJZKZYIUUEFVDZVEZJZBPZYQQZKZESRZUUHUUJUUOEUULSVFZRZUUQUUJYEUUKBVGUUNUU
      KPZQUUSYDYEUUIUJUUJUUEFBYDUUIUUEYSBJZMYEYDUUIKZUUDUVAGCUVBYTCJZKZUUCBJZUU
      DUVAMYDUUIUVCUVEYDUVCUUIUVEYDACVIIJZUVCUVCUUIUUAVJJUVEACVHZUVCVKUUAVLAYTU
      UABCDVMVNVOWAUUCBYSVPVQVRVSVTZUUJUUNUUTUUJUUNCUUTUUJUVFCUUNQYDUVFYEUUIUVG
      WBABCDWCVQZUUJYTUUTJZGCNZCUUTVGYDUUIUVKYEUVBUVJGCUVDYTUUCJZUUCUUKJZUVJYDU
      UIUVCUVLYDUVCUUIUVLYDUVFUVCUUIUVLUVGAYTUUACWDWEVOWAUVCUVMUVBGFCUUCYTUUAUU
      BWKWFWGYTUUCUUKWHWIOVSGCUUTGCWLGUUKUUEGFUUDGCWJWMWNWOWPWQUUJUUKBUVHWRWSUU
      KBUUNEUUNWTXAXCUUOUUPEUURSYIUURJZUUOKYISJZUUMKZUUOKUVOUUPKUVNUVPUUOUVNUUM
      UVOKUVPYIUULSXBUUMUVOXDXEXFUVOUUMUUOXGXEXHXIUUJUUPUUGESUUJUUPYRUUMKZUUGUU
      PUUOUUMKUUJUVQUUMUUOXDUUJUUOYRUUMYRCYQQUUJUUOYQCXJUUJCUUNYQUVIXKXNXLXMUUM
      UUFYRUUMYIUUKVGUUFYIUUKXOUUEFYIXPXIXQXRXSXTOGEACFHYAYBYC $.

    ${
      heibor.3 $e |- K = { u | -. E. v e. ( ~P U i^i Fin ) u C_ U. v } $.
      ${
        heiborlem1.4 $e |- B e. _V $.
        $( Lemma for ~ heibor .  We work with a fixed open cover ` U `
           throughout.  The set ` K ` is the set of all subsets of ` X ` that
           admit no finite subcover of ` U ` .  (We wish to prove that ` K ` is
           empty.)  If a set ` C ` has no finite subcover, then any finite
           cover of ` C ` must contain a set that also has no finite subcover.
           (Contributed by Jeff Madsen, 23-Jan-2014.) $)
        heiborlem1 $p |- ( ( A e. Fin /\ C C_ U_ x e. A B /\ C e. K ) ->
                            E. x e. A B e. K ) $=
          ( vt cfn wcel wss wrex wa wn ciun cv cuni cpw wral wceq sseq1 rexbidv
          cin notbid elab2 con2bii ralbii ralnex bitr2i wf cfv wex unieq sseq2d
          wi ac6sfi adantr elab2g ibi crn frn ad2antrl inss1 sstrdi sspwuni vex
          ex sylib rnex uniex elpw sylibr wfo wfn dffn4 fofi syldan inss2 unifi
          ffn syl2anc elind adantlr simplr fnfvelrn sylan adantll elssuni uniss
          3syl sstr2 syl5com ralimdva impr iunss sstrd rspcev nsyl3 syld syl5bi
          exlimdv con4d 3impia ) DOPZFADEUAZQZFJPZEJPZADRZXJXLSZXOXMXOTZEBUBZUC
          ZQZBHUDZOUIZRZADUEZXPXMTZYDXNTZADUEXQYCYFADXNYCCUBZXSQZBYBRZTZYCTCEJM
          YGEUFZYIYCYKYHXTBYBYGEXSUGUHUJLUKULUMXNADUNUOXPYDDYBNUBZUPZEAUBZYLUQZ
          UCZQZADUEZSZNURZYEXJYDYTVAXLXJYDYTXTYQABDYBNXRYOUFXSYPEXRYOUSUTVBVMVC
          XPYSYENXPYSYEXMFXSQZBYBRZXPYSSZXMUUBTZYJUUDCFJJYGFUFZYIUUBUUEYHUUABYB
          YGFXSUGUHUJLVDVEUUCYLVFZUCZYBPZFUUGUCZQZUUBXJYSUUHXLXJYSSZYAOUUGUUKUU
          GHQZUUGYAPUUKUUFYAQUULUUKUUFYBYAYMUUFYBQXJYRDYBYLVGVHZYAOVIVJUUFHVKVN
          UUGHUUFYLNVLVOVPVQVRUUKUUFOPZUUFOQUUGOPXJYSDUUFYLVSZUUNUUKYLDVTZUUOYM
          UUPXJYRDYBYLWFZVHDYLWAVNDUUFYLWBWCUUKUUFYBOUUMYAOWDVJUUFWEWGWHWIUUCFX
          KUUIXJXLYSWJXJYSXKUUIQZXLUUKEUUIQZADUEZUURXJYMYRUUTXJYMSZYQUUSADUVAYN
          DPZSZYPUUIQZYQUUSUVCYOUUFPZYOUUGQUVDYMUVBUVEXJYMUUPUVBUVEUUQDYNYLWKWL
          WMYOUUFWNYOUUGWOWPEYPUUIWQWRWSWTADEUUIXAVRWIXBUUAUUJBUUGYBXRUUGUFXSUU
          IFXRUUGUSUTXCWGXDVMXGXEXFXHXI $.
      $}

      heibor.4 $e |- G = { <. y , n >. |
                          ( n e. NN0 /\ y e. ( F ` n ) /\ ( y B n ) e. K ) } $.
      ${
        heiborlem2.5 $e |- A e. _V $.
        heiborlem2.6 $e |- C e. _V $.
        $( Lemma for ~ heibor .  Substitutions for the set ` G ` .
           (Contributed by Jeff Madsen, 23-Jan-2014.) $)
        heiborlem2 $p |- ( A G C <-> ( C e. NN0 /\
                            A e. ( F ` C ) /\ ( A B C ) e. K ) ) $=
          ( cn0 wcel cv cfv co w3a wceq eleq1 oveq1 eleq1d 3anbi23d fveq2 oveq2
          eleq2d 3anbi123d brab ) IUAZSTZAUAZUOJUBZTZUQUOEUCZMTZUDUPDURTZDUOEUC
          ZMTZUDFSTZDFJUBZTZDFEUCZMTZUDAIDFKQRUQDUEZUSVBVAVDUPUQDURUFVJUTVCMUQD
          UOEUGUHUIUOFUEZUPVEVBVGVDVIUOFSUFVKURVFDUOFJUJULVKVCVHMUOFDEUKUHUMPUN
          $.
      $}

      $d x B $.
      heibor.5 $e |- B = ( z e. X , m e. NN0 |->
                            ( z ( ball ` D ) ( 1 / ( 2 ^ m ) ) ) ) $.
      heibor.6 $e |- ( ph -> D e. ( CMet ` X ) ) $.
      heibor.7 $e |- ( ph -> F : NN0 --> ( ~P X i^i Fin ) ) $.
      heibor.8 $e |- ( ph -> A. n e. NN0 X = U_ y e. ( F ` n ) ( y B n ) ) $.
      $( Lemma for ~ heibor .  Using countable choice ~ ax-cc , we have fixed
         in advance a collection of finite ` 2 ^ -u n ` nets ` ( F `` n ) ` for
         ` X ` (note that an ` r ` -net is a set of points in ` X ` whose ` r `
         -balls cover ` X ` ).  The set ` G ` is the subset of these points
         whose corresponding balls have no finite subcover (i.e. in the set
         ` K ` ).  If the theorem was false, then ` X ` would be in ` K ` , and
         so some ball at each level would also be in ` K ` .  But we can say
         more than this; given a ball ` ( y B n ) ` on level ` n ` , since
         level ` n + 1 ` covers the space and thus also ` ( y B n ) ` , using
         ~ heiborlem1 there is a ball on the next level whose intersection with
         ` ( y B n ) ` also has no finite subcover.  Now since the set ` G ` is
         a countable union of finite sets, it is countable (which needs ~ ax-cc
         via ~ iunctb ), and so we can apply ~ ax-cc to ` G ` directly to get a
         function from ` G ` to itself, which points from each ball in ` K ` to
         a ball on the next level in ` K ` , and such that the intersection
         between these balls is also in ` K ` .  (Contributed by Jeff Madsen,
         18-Jan-2014.) $)
      heiborlem3 $p |- ( ph -> E. g A. x e. G
          ( ( g ` x ) G ( ( 2nd ` x ) + 1 ) /\
            ( ( B ` x ) i^i ( ( g ` x ) B ( ( 2nd ` x ) + 1 ) ) ) e. K ) ) $=
        ( vt cuni cv wf cfv c2nd c1 caddc co wbr cin wcel wa wral wex cdom wrex
        com cn0 csn cxp ciun cvv nn0ex fvex snex xpex iunex c1st wrel relopabiv
        wss cop wceq w3a 1st2nd mpan eleq1d df-br bitr4di heiborlem2 bitrdi ibi
        snid opelxp mpbiran2 fveq2 xpeq12d eleq2d rspcev sylan2br eliun 3adant3
        sneq sylibr syl eqeltrd ssriv ssdomg mp2 cen nn0ennn nnenom entri endom
        cn ax-mp vex xpsnen cfn cpw inss2 ffvelrnda sselid csdm sylancr ffvelrn
        ralrimiva syl2an oveq1 syl5eq oveq2 ineq2d c2 cexp adantl elpwid oveq2d
        eqtrd cdiv ovex syl2anc adantr syl3anc sylib heiborlem1 sdomdom endomtr
        isfinite iunctb simp1d peano2nn0 iunin2 cbviunv iuneq1d iuneq2d rspccva
        sylbi domtr eqeq2d fveq2d df-ov eqtr4di inss1 simp2d sseldd ovmpo cxmet
        cbl cxr cmet ccmet cmetmet metxmet nnexpcl nnrpd rpreccld rpxrd eqsstrd
        2nn blssm df-ss eqtr3d eqimss2 simp3d mopnuni sseqtrd sselda adantrr id
        inex1 snfi unisn uniiun eqtr3i sseqtri mp3an12 eleq1 rexsn syl3an 3expb
        biimpri simprr jca32 ex reximdv2 mpd cmopn fvexi uniex anbi12d axcc4dom
        breq1 exsimpr ) ANOUFZJUGZUHZBUGZUXJUIZUXLUJUIZUKULUMZNUNZUXLGUIZUXMUXO
        GUMZUOZPUPZUQZBNURZUQJUSZUYBJUSANVBUTUNZUEUGZUXONUNZUXQUYEUXOGUMZUOZPUP
        ZUQZUEUXIVAZBNURUYCANUEVCUYEMUIZUYEVDZVEZVFZUTUNZUYOVBUTUNZUYDUYOVGUPNU
        YOVPUYPUEVCUYNVHUYLUYMUYEMVIZUYEVJVKVLBNUYOUXLNUPZUXLUXLVMUIZUXNVQZUYON
        VNUYSUXLVUAVRLUGZVCUPCUGZVUBMUIZUPVUCVUBGUMZPUPVSCLNTVOUXLNVTWAZUYSUXNV
        CUPZUYTUXNMUIZUPZUYTUXNGUMZPUPZVSZVUAUYOUPZUYSVULUYSUYSUYTUXNNUNZVULUYS
        UYSVUANUPVUNUYSUXLVUANVUFWBUYTUXNNWCWDCEFUYTGUXNHILMNOPRSTUXLVMVIUXLUJV
        IZWEWFWGZVUGVUIVUMVUKVUGVUIUQVUAUYNUPZUEVCVAZVUMVUIVUGVUAVUHUXNVDZVEZUP
        ZVURVVAVUIUXNVUSUPUXNVUOWHUYTUXNVUHVUSWIWJVUQVVAUEUXNVCUYEUXNVRZUYNVUTV
        UAVVBUYLVUHUYMVUSUYEUXNMWKUYEUXNWRWLWMWNWOUEVUAVCUYNWPWSWQWTXAXBNUYOVGX
        CXDAVCVBUTUNZUYNVBUTUNZUEVCURUYQVCVBXEUNVVCVCXJVBXFXGXHVCVBXIXKAVVDUEVC
        AUYEVCUPUQZUYNUYLXEUNUYLVBUTUNZVVDUYLUYEUYRUEXLZXMVVEUYLXNUPZVVFVVEQXOZ
        XNUOZXNUYLVVIXNXPZAVCVVJUYEMUCXQXRVVHUYLVBXSUNVVFUYLUUCUYLVBUUAUULWTUYN
        UYLVBUUBXTYBUEVCUYNUUDXTNUYOVBUUMXTAUYKBNAUYSUQZUYIUEUXOMUIZVAZUYKVVLVV
        MXNUPUXQUEVVMUYHVFZVPZUXQPUPZVVNVVLVVJXNVVMVVKAVCVVJMUHZUXOVCUPZVVMVVJU
        PUYSUCUYSVUGVVSUYSVUGVUIVUKVUPUUEZUXNUUFWTZVCVVJUXOMYAYCZXRVVLVVOUXQVRV
        VPVVLVVOUXQUEVVMUYGVFZUOZUXQUEVVMUXQUYGUUGVVLUXQQUOZVWDUXQVVLQVWCUXQAQC
        VUDVUEVFZVRZLVCURVVSQVWCVRZUYSUDVWAVWGVWHLUXOVCVUBUXOVRZVWFVWCQVWIVWFUE
        VVMUYEVUBGUMZVFZVWCVWIVWFUEVUDVWJVFVWKCUEVUDVUEVWJVUCUYEVUBGYDUUHVWIUEV
        UDVVMVWJVUBUXOMWKUUIYEVWIUEVVMVWJUYGVUBUXOUYEGYFUUJYMUUNUUKYCYGVVLUXQQV
        PVWEUXQVRVVLUXQUYTUKYHUXNYIUMZYNUMZHUVCUIZUMZQVVLUXQVUJVWOUYSUXQVUJVRAU
        YSUXQVUAGUIVUJUYSUXLVUAGVUFUUOUYTUXNGUUPUUQZYJVVLUYTQUPZVUGVUJVWOVRVVLV
        UHQUYTVVLVUHQVVLVVJVVIVUHVVIXNUURZAVVRVUGVUHVVJUPUYSUCVVTVCVVJUXNMYAYCX
        RYKUYSVUIAUYSVUGVUIVUKVUPUUSYJUUTZUYSVUGAVVTYJZDKUYTUXNQVCDUGZUKYHKUGZY
        IUMZYNUMZVWNUMVWOGUYTVXDVWNUMVXAUYTVXDVWNYDVXBUXNVRZVXDVWMUYTVWNVXEVXCV
        WLUKYNVXBUXNYHYIYFYLYLUAUYTVWMVWNYOUVAYPYMVVLHQUVBUIUPZVWQVWMUVDUPVWOQV
        PAVXFUYSAHQUVEUIUPZVXFAHQUVFUIUPVXGUBHQUVGWTHQUVHWTZYQVWSVVLVWMVVLVWLVV
        LVWLVVLYHXJUPVUGVWLXJUPUVNVWTYHUXNUVIXTUVJUVKUVLHUYTVWMQUVOYRUVMUXQQUVP
        YSUVQYEUXQVVOUVRWTUYSVVQAUYSUXQVUJPVWPUYSVUGVUIVUKVUPUVSXAYJUEEFVVMUYHU
        XQHIOPRSUXQUYGUXLGVIUWEYTYRVVLUYIUYJUEVVMUXIVVLUYEVVMUPZUYIUQZUYEUXIUPZ
        UYJUQVVLVXJUQVXKUYFUYIVVLVXIVXKUYIVVLVVMUXIUYEVVLVVMQUXIVVLVVMQVVLVVJVV
        IVVMVWRVWBXRYKAQUXIVRZUYSAVXFVXLVXHHOQRUVTWTYQUWAUWBUWCVVLVXIUYIUYFVVLV
        VSVXIVXIUYIUYGPUPZUYFUYSVVSAVWAYJVXIUWDUYIUXJPUPZJUYGVDZVAZVXMVXOXNUPUY
        HJVXOUXJVFZVPUYIVXPUYGUWFUYHUYGVXQUXQUYGXPVXOUFUYGVXQUYGUYEUXOGYOZUWGJV
        XOUWHUWIUWJJEFVXOUXJUYHHIOPRSJXLYTUWKVXNVXMJUYGVXRUXJUYGPUWLUWMYSUYFVVS
        VXIVXMVSCEFUYEGUXOHILMNOPRSTVVGUXNUKULYOWEUWPUWNUWOVVLVXIUYIUWQUWRUWSUW
        TUXAYBUYJUYAUEUXIJBNOOHUXBRUXCUXDUYEUXMVRZUYFUXPUYIUXTUYEUXMUXONUXGVXSU
        YHUXSPVXSUYGUXRUXQUYEUXMUXOGYDYGWBUXEUXFYPUXKUYBJUXHWT $.

      ${
        heibor.9 $e |- ( ph -> A. x e. G
             ( ( T ` x ) G ( ( 2nd ` x ) + 1 ) /\
              ( ( B ` x ) i^i ( ( T ` x ) B ( ( 2nd ` x ) + 1 ) ) ) e. K ) ) $.
        heibor.10 $e |- ( ph -> C G 0 ) $.
        heibor.11 $e |- S = seq 0 ( T ,
                           ( m e. NN0 |-> if ( m = 0 , C , ( m - 1 ) ) ) ) $.
        $( Lemma for ~ heibor .  Using the function ` T ` constructed in
           ~ heiborlem3 , construct an infinite path in ` G ` .  (Contributed
           by Jeff Madsen, 23-Jan-2014.) $)
        heiborlem4 $p |- ( ( ph /\ A e. NN0 ) -> ( S ` A ) G A ) $=
          ( vk cn0 wcel cfv wbr cv wi cc0 c1 caddc co wceq fveq2 breq12d imbi2d
          id cmin cif cmpt cseq fveq1i cz 0z seq1 ax-mp eqtri cvv w3a relopabiv
          0nn0 brrelex1i syl iftrue eqid fvmptg sylancr syl5eq eqbrtrd wa df-br
          cin cop c2nd wral df-ov eqtr4di fvex vex op2ndd oveq1d oveq12d eleq1d
          ineq12d anbi12d rspccv syl5bi seqp1 nn0uz eleq2s oveq1i 3eqtr4g eqeq1
          oveq1 ifbieq2d peano2nn0 cn wn nn0p1nn nnne0 neneqd iffalse 3syl ovex
          cuz eqeltrdi fvmptd3 cc nn0cn ax-1cn pncan 3eqtrd oveq2d eqtrd breq1d
          sylancl biimprd adantrd syl9r a2d nn0ind impcom ) GULUMAGKUNZGQUOZABU
          PZKUNZUUDQUOZUQAURKUNZURQUOZUQAUKUPZKUNZUUIQUOZUQAUUIUSUTVAZKUNZUULQU
          OZUQAUUCUQBUKGUUDURVBZUUFUUHAUUOUUEUUGUUDURQUUDURKVCUUOVFVDVEUUDUUIVB
          ZUUFUUKAUUPUUEUUJUUDUUIQUUDUUIKVCUUPVFVDVEUUDUULVBZUUFUUNAUUQUUEUUMUU
          DUULQUUDUULKVCUUQVFVDVEUUDGVBZUUFUUCAUURUUEUUBUUDGQUUDGKVCUURVFVDVEAU
          UGIURQAUUGURNULNUPZURVBZIUUSUSVGVAZVHZVIZUNZIUUGURLUVCURVJZUNZUVDURKU
          VEUJVKURVLUMUVFUVDVBVMLUVCURVNVOVPAURULUMIVQUMZUVDIVBVTAIURQUOUVGUIIU
          RQOUPZULUMCUPZUVHPUNUMUVIUVHHVASUMVRCOQUCVSWAWBNURUVBIULVQUVCUUTIUVAW
          CUVCWDZWEWFWGUIWHUUIULUMZAUUKUUNAUUKUUJUUILVAZUULQUOZUUJUUIHVAZUVLUUL
          HVAZWKZSUMZWIZUVKUUNUUKUUJUUIWLZQUMZAUVRUUJUUIQWJAUUDLUNZUUDWMUNZUSUT
          VAZQUOZUUDHUNZUWAUWCHVAZWKZSUMZWIZBQWNUVTUVRUQUHUWIUVRBUVSQUUDUVSVBZU
          WDUVMUWHUVQUWJUWAUVLUWCUULQUWJUWAUVSLUNUVLUUDUVSLVCUUJUUILWOWPZUWJUWB
          UUIUSUTUUJUUIUUDUUIKWQUKWRWSWTZVDUWJUWGUVPSUWJUWEUVNUWFUVOUWJUWEUVSHU
          NUVNUUDUVSHVCUUJUUIHWOWPUWJUWAUVLUWCUULHUWKUWLXAXCXBXDXEWBXFUVKUVMUUN
          UVQUVKUUNUVMUVKUUMUVLUULQUVKUUMUUJUULUVCUNZLVAZUVLUVKUULUVEUNZUUIUVEU
          NZUWMLVAZUUMUWNUWOUWQVBUUIURYDUNULLUVCURUUIXGXHXIUULKUVEUJVKUUJUWPUWM
          LUUIKUVEUJVKXJXKUVKUWMUUIUUJLUVKUWMUULURVBZIUULUSVGVAZVHZUWSUUIUVKNUU
          LUVBUWTULUVCVQUVJUUSUULVBUUTUWRUVAUWSIUUSUULURXLUUSUULUSVGXMXNUUIXOUV
          KUWTUWSVQUVKUULXPUMZUWRXQUWTUWSVBUUIXRUXAUULURUULXSXTUWRIUWSYAYBZUULU
          SVGYCYEYFUXBUVKUUIYGUMUSYGUMUWSUUIVBUUIYHYIUUIUSYJYOYKYLYMYNYPYQYRYSY
          TUUA $.

        heibor.12 $e |- M = ( n e. NN |->
                            <. ( S ` n ) , ( 3 / ( 2 ^ n ) ) >. ) $.
        $( Lemma for ~ heibor .  The function ` M ` is a set of
           point-and-radius pairs suitable for application to ~ caubl .
           (Contributed by Jeff Madsen, 23-Jan-2014.) $)
        heiborlem5 $p |- ( ph -> M : NN --> ( X X. RR+ ) ) $=
          ( vk cv cfv c3 c2 cexp co cdiv cop crp cxp wcel cn wral cn0 nnnn0 cpw
          wf wa cfn cin inss1 ffvelrnda sselid elpwid wbr heiborlem4 heiborlem2
          fvex vex simp2bi syl sseldd sylan2 ralrimiva weq fveq2 cbvralvw sylib
          eleq1d wi 3re elrpii 2nn nnexpcl sylancr nnrpd rpdivcl opelxpi expcom
          3pos ralimia fmpt ) ANUMZJUNZUOUPXEUQURZUSURZUTZTVAVBZVCZNVDVEZVDXJSV
          IAXFTVCZNVDVEZXLAULUMZJUNZTVCZULVDVEXNAXQULVDXOVDVCAXOVFVCZXQXOVGAXRV
          JZXOOUNZTXPXSXTTXSTVHZVKVLZYAXTYAVKVMAVFYBXOOUFVNVOVPXSXPXOPVQZXPXTVC
          ZABCDEFXOGHIJKLMNOPQRTUAUBUCUDUEUFUGUHUIUJVRYCXRYDXPXOGURRVCCEFXPGXOI
          LNOPQRUAUBUCXOJVTULWAVSWBWCWDWEWFXQXMULNVDULNWGXPXFTXOXEJWHWKWIWJXMXK
          NVDXEVDVCZXHVAVCZXMXKWLYEUOVAVCXGVAVCYFUOWMXBWNYEXGYEUPVDVCXEVFVCXGVD
          VCWOXEVGUPXEWPWQWRUOXGWSWQXMYFXKXFXHTVAWTXAWCXCWCNVDXJXISUKXDWJ $.

        $( Lemma for ~ heibor .  Since the sequence of balls connected by the
           function ` T ` ensures that each ball nontrivially intersects with
           the next (since the empty set has a finite subcover, the
           intersection of any two successive balls in the sequence is
           nonempty), and each ball is half the size of the previous one, the
           distance between the centers is at most ` 3 / 2 ` times the size of
           the larger, and so if we expand each ball by a factor of ` 3 ` we
           get a nested sequence of balls.  (Contributed by Jeff Madsen,
           23-Jan-2014.) $)
        heiborlem6 $p |- ( ph -> A. k e. NN
      ( ( ball ` D ) ` ( M ` ( k + 1 ) ) ) C_ ( ( ball ` D ) ` ( M ` k ) ) ) $=
          ( cv c1 caddc co cfv wss cn wcel wa c3 cexp cdiv cn0 cmin cle wbr syl
          c2 cr adantr cpw wf cfn cin sylancl elpwid heiborlem4 fvex heiborlem2
          sylan2 ovex simp2bi sseldd crp 3re 2nn nnexpcl nnrpd adantl rerpdivcl
          sylancr mpan wn c0 wne wceq oveq1 weq oveq2 oveq2d ovmpo wi cop fveq2
          df-ov eqtr4di oveq1d oveq12d ineq12d syl2anc cuni wrex rpreccld rpred
          mpd cxr rpxrd syl3anc cc0 cif fveq1i oveq1i cvv ax-1cn eqtrd cmul 3cn
          cc rpcn rpne0 2cn mp3an12 2cnne0 divcan5 mp3an13 eqtr3d opeq12d opex
          cbl nnnn0 cxmet cmet ccmet cmetmet metxmet inss1 fss peano2nn0 syl2an
          ffvelrn ffvelrnda vex sylancom df-br c2nd wral op2ndd breq12d anbi12d
          eleq1d rspccv syl5bi simpld simprd 0elpw 0fin elin mpbir2an 0ss unieq
          sseq2d rspcev mp2an sseq1 rexbidv notbid con2bii mpbi nelne2 eqnetrrd
          0ex elab2 cxad rexadd breq1d w3a bldisj 3exp2 imp32 syl32anc necon3ad
          sylbird rpaddcld metcl letrid ord cmpt cuz seqp1 nn0uz eleq2s 3eqtr4g
          cseq eqid eqeq1 ifbieq2d nn0p1nn nnne0 neneqd iffalsed eqeltrdi nn0cn
          fvmptd3 3eqtrd metsym 2timesi pncan3oi 3eqtri mulcli divsubdir divdir
          pncan df-3 3eqtr3a mulcom expp1 eqtr4d 2t1e2 3eqtr4d 3brtr4d syl33anc
          a1i blss2 peano2nn fvmpt fveq2d 3sstr4d ralrimiva ) AMUMZUNUOUPZTUQZI
          UUAUQZUQZVUATUQZVUDUQZURMUSAVUAUSUTZVAZVUBJUQZVBVJVUBVCUPZVDUPZVUDUPZ
          VUAJUQZVBVJVUAVCUPZVDUPZVUDUPZVUEVUGVUHAVUAVEUTZVUMVUQURZVUAUUBAVURVA
          ZIUAUUCUQUTZVUJUAUTVUNUAUTZVULVKUTZVUPVKUTZVUJVUNIUPZVUPVULVFUPZVGVHV
          USAVVAVURAIUAUUDUQUTZVVAAIUAUUEUQUTVVGUFIUAUUFVIZIUAUUGVIVLZVUTVUBPUQ
          ZUAVUJVUTVVJUAAVEUAVMZPVNZVUBVEUTZVVJVVKUTVURAVEVVKVOVPZPVNVVNVVKURVV
          LUGVVKVOUUHVEVVNVVKPUUIVQZVUAUUJZVEVVKVUBPUULUUKVRZVUTVUJVUBQVHZVUJVV
          JUTZVURAVVMVVRVVPABCDEFVUBGHIJKLNOPQRSUAUBUCUDUEUFUGUHUIUJUKVSWBVVRVV
          MVVSVUJVUBGUPSUTCEFVUJGVUBILOPQRSUBUCUDVUBJVTVUAUNUOWCZWAWDVIWEVUTVUA
          PUQZUAVUNVUTVWAUAAVEVVKVUAPVVOUUMVRVUTVUNVUAQVHZVUNVWAUTZABCDEFVUAGHI
          JKLNOPQRSUAUBUCUDUEUFUGUHUIUJUKVSZVWBVURVWCVUNVUAGUPZSUTCEFVUNGVUAILO
          PQRSUBUCUDVUAJVTZMUUNZWAWDVIWEZVUTVBVKUTZVUKWFUTZVVCWGVURVWJAVURVUKVU
          RVJUSUTZVVMVUKUSUTWHVVPVJVUBWIWMWJZWKVBVUKWLWMVUTVWIVUOWFUTZVVDWGVURV
          WMAVURVUOVWKVURVUOUSUTWHVJVUAWIWNWJZWKVBVUOWLWMVUTVUNVUNVUAKUPZIUPZUN
          VUOVDUPZUNVUKVDUPZUOUPZVVEVVFVGVUTVWSVWPVGVHZWOZVWPVWSVGVHZVUTVUNVWQV
          UDUPZVWOVWRVUDUPZVPZWPWQVXAVUTVWEVWOVUBGUPZVPZVXEWPVUTVWEVXCVXFVXDAVU
          RVVBVWEVXCWRVWHDNVUNVUAUAVEDUMZUNVJNUMZVCUPZVDUPZVUDUPZVXCGVUNVXKVUDU
          PVXHVUNVXKVUDWSNMWTZVXKVWQVUNVUDVXMVXJVUOUNVDVXIVUAVJVCXAXBXBUEVUNVWQ
          VUDWCXCUUOVUTVWOUAUTZVVMVXFVXDWRVUTVVJUAVWOVVQVUTVWOVUBQVHZVWOVVJUTZV
          UTVXOVXGSUTZVUTVWBVXOVXQVAZVWDAVWBVXRXDVURVWBVUNVUAXEZQUTZAVXRVUNVUAQ
          UUPABUMZKUQZVYAUUQUQZUNUOUPZQVHZVYAGUQZVYBVYDGUPZVPZSUTZVAZBQUURVXTVX
          RXDUIVYJVXRBVXSQVYAVXSWRZVYEVXOVYIVXQVYKVYBVWOVYDVUBQVYKVYBVXSKUQVWOV
          YAVXSKXFVUNVUAKXGXHZVYKVYCVUAUNUOVUNVUAVYAVWFVWGUUSXIZUUTVYKVYHVXGSVY
          KVYFVWEVYGVXFVYKVYFVXSGUQVWEVYAVXSGXFVUNVUAGXGXHVYKVYBVWOVYDVUBGVYLVY
          MXJXKUVBUVAUVCVIUVDVLXQZUVEVXOVVMVXPVXFSUTCEFVWOGVUBILOPQRSUBUCUDVUNV
          UAKWCVVTWAWDVIWEZVURVVMAVVPWKDNVWOVUBUAVEVXLVXDGVWOVXKVUDUPVXHVWOVXKV
          UDWSVXIVUBWRZVXKVWRVWOVUDVYPVXJVUKUNVDVXIVUBVJVCXAXBXBUEVWOVWRVUDWCXC
          XLXKVUTVXQWPSUTZWOZVXGWPWQVUTVXOVXQVYNUVFWPEUMZXMZURZELVMZVOVPZXNZVYR
          WPWUCUTZWPWPXMZURZWUDWUEWPWUBUTWPVOUTLUVGUVHWPWUBVOUVIUVJWUFUVKWUAWUG
          EWPWUCVYSWPWRVYTWUFWPVYSWPUVLUVMUVNUVOVYQWUDFUMZVYTURZEWUCXNZWOWUDWOF
          WPSUWCWUHWPWRZWUJWUDWUKWUIWUAEWUCWUHWPVYTUVPUVQUVRUCUWDUVSUVTVXGWPSUW
          AVQUWBVUTVWTVXEWPVUTVWTVWQVWRUWEUPZVWPVGVHZVXEWPWRZVUTWULVWSVWPVGVUTV
          WQVKUTVWRVKUTWULVWSWRVUTVWQVURVWQWFUTAVURVUOVWNXOWKZXPVUTVWRVURVWRWFU
          TAVURVUKVWLXOWKZXPVWQVWRUWFXLUWGVUTVVAVVBVXNVWQXRUTZVWRXRUTZWUMWUNXDZ
          VVIVWHVYOVUTVWQWUOXSVUTVWRWUPXSVVAVVBVXNUWHZWUQWURWUSWUTWUQWURWUMWUNI
          VUNVWOVWQVWRUAUWIUWJUWKUWLUWNUWMXQVUTVWTVXBVUTVWSVWPVUTVWSVUTVWQVWRWU
          OWUPUWOXPVUTVVGVVBVXNVWPVKUTAVVGVURVVHVLZVWHVYOVUNVWOIUAUWPXTUWQUWRXQ
          VUTVVEVWOVUNIUPZVWPVUTVUJVWOVUNIVURVUJVWOWRAVURVUJVUNVUBNVEVXIYAWRZHV
          XIUNVFUPZYBZUWSZUQZKUPZVWOVURVUBKWVFYAUXEZUQZVUAWVIUQZWVGKUPZVUJWVHWV
          JWVLWRVUAYAUWTUQVEKWVFYAVUAUXAUXBUXCVUBJWVIUKYCVUNWVKWVGKVUAJWVIUKYCY
          DUXDVURWVGVUAVUNKVURWVGVUBYAWRZHVUBUNVFUPZYBZWVNVUAVURNVUBWVEWVOVEWVF
          YEWVFUXFVYPWVCWVMWVDWVNHVXIVUBYAUXGVXIVUBUNVFWSUXHVVPVURWVOWVNYEVURWV
          MHWVNVURVUBUSUTZWVMWOVUAUXIWVPVUBYAVUBUXJUXKVIUXLZVUBUNVFWCUXMUXOWVQV
          URVUAYJUTUNYJUTZWVNVUAWRVUAUXNYFVUAUNUYDVQUXPXBYGWKXIVUTVVGVXNVVBWVBV
          WPWRWVAVYOVWHVWOVUNIUAUXQXTYGVURVVFVWSWRAVURVJVBYHUPZVUKVDUPZVULVFUPZ
          VJVUKVDUPZVWRUOUPZVVFVWSVURWVSVBVFUPZVUKVDUPZVJUNUOUPZVUKVDUPZWWAWWCW
          WDWWFVUKVDWWDVBVBUOUPZVBVFUPVBWWFWVSWWHVBVFVBYIUXRYDVBVBYIYIUXSUYEUXT
          YDVURVWJWWEWWAWRZVWLVWJVUKYJUTZVUKYAWQZWWIVUKYKZVUKYLZWVSYJUTVBYJUTZW
          WJWWKVAZWWIVJVBYMYIUYAYIWVSVBVUKUYBYNXLVIVURVWJWWGWWCWRZVWLVWJWWJWWKW
          WPWWLWWMVJYJUTZWVRWWOWWPYMYFVJUNVUKUYCYNXLVIUYFVURVUPWVTVULVFVURWVSVJ
          VUOYHUPZVDUPZVUPWVTVURVWMWWSVUPWRZVWNVWMVUOYJUTZVUOYAWQZWWTVUOYKZVUOY
          LZWWNWXAWXBVAZWWQVJYAWQVAZWWTYIYOVBVUOVJYPYQXLVIVURWWRVUKWVSVDVURWWRV
          UOVJYHUPZVUKVURWWQWXAWWRWXGWRYMVURVWMWXAVWNWXCVIVJVUOUYGWMWWQVURVUKWX
          GWRYMVJVUAUYHWNUYIZXBYRXIVURVWQWWBVWRUOVURVJUNYHUPZWWRVDUPZVWQWWBVURV
          WMWXJVWQWRZVWNVWMWXAWXBWXKWXCWXDWVRWXEWXFWXKYFYOUNVUOVJYPYQXLVIVURWXI
          VJWWRVUKVDWXIVJWRVURUYJUYNWXHXJYRXIUYKWKUYLIVUJVUNVULVUPUAUYOUYMWBVUI
          VUEVUJVULXEZVUDUQVUMVUIVUCWXLVUDVUHVUCWXLWRZAVUHWVPWXMVUAUYPOVUBOUMZJ
          UQZVBVJWXNVCUPZVDUPZXEZWXLUSTWXNVUBWRZWXOVUJWXQVULWXNVUBJXFWXSWXPVUKV
          BVDWXNVUBVJVCXAXBYSULVUJVULYTUYQVIWKUYRVUJVULVUDXGXHVUHVUGVUQWRAVUHVU
          GVUNVUPXEZVUDUQVUQVUHVUFWXTVUDOVUAWXRWXTUSTOMWTZWXOVUNWXQVUPWXNVUAJXF
          WYAWXPVUOVBVDWXNVUAVJVCXAXBYSULVUNVUPYTUYQUYRVUNVUPVUDXGXHWKUYSUYT $.

        $( Lemma for ~ heibor .  Since the sizes of the balls decrease
           exponentially, the sequence converges to zero.  (Contributed by Jeff
           Madsen, 23-Jan-2014.) $)
        heiborlem7 $p |- A. r e. RR+ E. k e. NN ( 2nd ` ( M ` k ) ) < r $=
          ( cv cfv c2nd clt wbr cn wrex crp wcel c3 c2 cexp co cdiv c1 3re 3pos
          elrpii rpdivcl mpan2 cr 2re 1lt2 expnlbnd mp3an23 syl wa cmul cn0 2nn
          wceq nnnn0 nnexpcl sylancr nnrpd cc0 wne rpcn rpne0 3cn divrec mp3an1
          cc syl2anc adantl breq1d nnrecred rpre pm3.2i ltmuldiv2 syl2anr bitrd
          wb mp3an3 rexbidva mpbird cop fveq2 oveq2 oveq2d opeq12d fvmpt fveq2d
          opex fvex ovex op2nd eqtrdi rexbiia sylibr rgen ) MUNZTUOZUPUOZUBUNZU
          QURZMUSUTZUBVAYHVAVBZVCVDYEVEVFZVGVFZYHUQURZMUSUTZYJYKYOVHYLVGVFZYHVC
          VGVFZUQURZMUSUTZYKYQVAVBZYSYKVCVAVBYTVCVIVJVKYHVCVLVMYTVDVNVBVHVDUQUR
          YSVOVPYQVDMVQVRVSYKYNYRMUSYKYEUSVBZVTZYNVCYPWAVFZYHUQURZYRUUBYMUUCYHU
          QUUAYMUUCWDZYKUUAYLVAVBZUUEUUAYLUUAVDUSVBYEWBVBYLUSVBWCYEWEVDYEWFWGZW
          HUUFYLWPVBZYLWIWJZUUEYLWKYLWLVCWPVBUUHUUIUUEWMVCYLWNWOWQVSWRWSUUAYPVN
          VBZYHVNVBZUUDYRXFZYKUUAYLUUGWTYHXAUUJUUKVCVNVBZWIVCUQURZVTUULUUMUUNVI
          VJXBYPYHVCXCXGXDXEXHXIYIYNMUSUUAYGYMYHUQUUAYGYEJUOZYMXJZUPUOYMUUAYFUU
          PUPOYEOUNZJUOZVCVDUUQVEVFZVGVFZXJUUPUSTUUQYEWDZUURUUOUUTYMUUQYEJXKUVA
          UUSYLVCVGUUQYEVDVEXLXMXNUMUUOYMXQXOXPUUOYMYEJXRVCYLVGXSXTYAWSYBYCYD
          $.

        heibor.13 $e |- ( ph -> U C_ J ) $.
        ${
          heibor.14 $e |- Y e. _V $.
          heibor.15 $e |- ( ph -> Y e. Z ) $.
          heibor.16 $e |- ( ph -> Z e. U ) $.
          heibor.17 $e |- ( ph -> ( 1st o. M ) ( ~~>t ` J ) Y ) $.
          $( Lemma for ~ heibor .  The previous lemmas establish that the
             sequence ` M ` is Cauchy, so using completeness we now consider
             the convergent point ` Y ` .  By assumption, ` U ` is an open
             cover, so ` Y ` is an element of some ` Z e. U ` , and some ball
             centered at ` Y ` is contained in ` Z ` .  But the sequence
             contains arbitrarily small balls close to ` Y ` , so some element
             ` ball ( M `` n ) ` of the sequence is contained in ` Z ` .  And
             finally we arrive at a contradiction, because ` { Z } ` is a
             finite subcover of ` U ` that covers ` ball ( M `` n ) ` , yet
             ` ball ( M `` n ) e. K ` .  For convenience, we write this
             contradiction as ` ph -> ps ` where ` ph ` is all the accumulated
             hypotheses and ` ps ` is anything at all.  (Contributed by Jeff
             Madsen, 22-Jan-2014.) $)
          heiborlem8 $p |- ( ph -> ps ) $=
            ( vk vr vt cv cbl cfv co wss crp wrex cxmet wcel ccmet cmet cmetmet
            metxmet 3syl sseldd mopni2 syl3anc wa c2nd c2 cdiv clt wbr rphalfcl
            wn cn wceq breq2 rexbidv heiborlem7 vtoclri adantl nnnn0 heiborlem4
            syl cn0 fvex vex heiborlem2 simp3bi sylan2 ad2ant2r wi c1st c1 cexp
            cxr cle ad2antrr cxp heiborlem5 ffvelrnda xp1st 2nn nnexpcl sylancr
            nnrpd rpreccld ad2antrl rpxrd xp2nd c3 1le3 cr cop weq oveq2 oveq2d
            fveq2d ovex eqtrdi syl2anc 3sstr3d cuni ad2antlr sstrd cfn sseq2d
            cc0 wb elrp 1re lediv1 mp3an12 sylbi mpbii fveq2 opeq12d opex fvmpt
            op2nd breqtrrd ssbl syl221anc oveq1 ovmpo op1st oveq1d eqtr3d df-ov
            3re 1st2nd2 eqtr4id ctop mopntop blssm mopnuni sscls simprr blsscls
            ccl eqid syl23anc eqsstrrd rpre ccom clm heiborlem6 caublcls 3expia
            mpdan imp blhalf syl22anc sstr2 cpw cin csn biimpar snssd snex elpw
            unisng sylibr snfi a1i elind unieq rspcev sylan syldan sseq1 notbid
            elab2 con2bii sylib ex syld mt2d rexlimddv nrexdv pm2.21dd ) AUBCVC
            ZJVDVEZVFZUCVGZCVHVIZBAJUAVJVEVKZUCRVKUBUCVKUXSAJUAVLVEVKJUAVMVEVKU
            XTUHJUAVNJUAVOVPZAMRUCUOURVQUQCUCJUBRUAUDVRVSAUXRCVHAUXOVHVKZVTZUTV
            CZTVEZWAVEZUXOWBWCVFZWDWEZUXRWGUTWHUYBUYHUTWHVIZAUYBUYGVHVKZUYIUXOW
            FZUYFVAVCZWDWEZUTWHVIUYIVAUYGVHUYLUYGWIUYMUYHUTWHUYLUYGUYFWDWJWKACD
            EFGHIJKLMUTNOPQRSTUAVAUDUEUFUGUHUIUJUKULUMUNWLWMWQWNUYCUYDWHVKZUYHV
            TZVTZUXRUYDKVEZUYDHVFZSVKZAUYNUYSUYBUYHUYNAUYDWRVKZUYSUYDWOZAUYTVTU
            YQUYDQWEZUYSACDEFGUYDHIJKLMNOPQRSUAUDUEUFUGUHUIUJUKULUMWPVUBUYTUYQU
            YDPVEVKUYSDFGUYQHUYDJMOPQRSUDUEUFUYDKWSZUTWTXAXBWQXCXDUYPUXRUYRUCVG
            ZUYSWGZUYPUYRUXQVGUXRVUDXEUYPUYRUYEUXPVEZUXQUYPUYEXFVEZXGWBUYDXHVFZ
            WCVFZUXPVFZVUGUYFUXPVFZUYRVUFUYPUXTVUGUAVKZVUIXIVKUYFXIVKZVUIUYFXJW
            EVUJVUKVGAUXTUYBUYOUYAXKZUYPUYEUAVHXLZVKZVULAUYNVUPUYBUYHAWHVUOUYDT
            ACDEFGHIJKLMNOPQRSTUAUDUEUFUGUHUIUJUKULUMUNXMZXNXDZUYEUAVHXOWQZUYPV
            UIUYNVUIVHVKUYCUYHUYNVUHUYNVUHUYNWBWHVKUYTVUHWHVKXPVUAWBUYDXQXRXSZX
            TYAYBUYPUYFUYPVUPUYFVHVKVURUYEUAVHYCWQYBZUYPVUIYDVUHWCVFZUYFXJUYNVU
            IVVBXJWEZUYCUYHUYNVUHVHVKZVVCVUTVVDXGYDXJWEZVVCYEVVDVUHYFVKUUAVUHWD
            WEVTZVVEVVCUUBZVUHUUCXGYFVKYDYFVKVVFVVGUUDUVCXGYDVUHUUEUUFUUGUUHWQY
            AUYNUYFVVBWIUYCUYHUYNUYFUYQVVBYGZWAVEVVBUYNUYEVVHWAOUYDOVCZKVEZYDWB
            VVIXHVFZWCVFZYGVVHWHTOUTYHZVVJUYQVVLVVBVVIUYDKUUIVVMVVKVUHYDWCVVIUY
            DWBXHYIYJUUJUNUYQVVBUUKUULZYKUYQVVBVUCYDVUHWCYLZUUMYMYAUUNJVUGVUIUY
            FUAUUOUUPUYPVUGUYDHVFZVUJUYRUYPVULUYTVVPVUJWIVUSUYNUYTUYCUYHVUAYAEN
            VUGUYDUAWREVCZXGWBNVCZXHVFZWCVFZUXPVFVUJHVUGVVTUXPVFVVQVUGVVTUXPUUQ
            NUTYHZVVTVUIVUGUXPVWAVVSVUHXGWCVVRUYDWBXHYIYJYJUGVUGVUIUXPYLUURYNUY
            PVUGUYQUYDHUYNVUGUYQWIUYCUYHUYNVUGVVHXFVEUYQUYNUYEVVHXFVVNYKUYQVVBV
            UCVVOUUSYMYAUUTUVAUYPVUKVUGUYFYGZUXPVEVUFVUGUYFUXPUVBUYPUYEVWBUXPUY
            PVUPUYEVWBWIVURUYEUAVHUVDWQYKUVEZYOUYPVUFVUFRUVMVEZVEZUXQUYPRUVFVKZ
            VUFRYPZVGVUFVWEVGUYPUXTVWFVUNJRUAUDUVGWQUYPVUKUAVUFVWGUYPUXTVULVUMV
            UKUAVGVUNVUSVVAJVUGUYFUAUVHVSVWCUYPUXTUAVWGWIVUNJRUAUDUVIWQYOVUFRVW
            GVWGUVNUVJYNUYPVWEVUGUYGUXPVFZUXQUYPVWEVUKVWDVEZVWHUYPVUKVUFVWDVWCY
            KUYPUXTVULVUMUYGXIVKUYHVWIVWHVGVUNVUSVVAUYPUYGUYBUYJAUYOUYKYQYBUYCU
            YNUYHUVKJVUGUYFUYGRUAUDUVLUVOUVPZUYPUXTVULUXOYFVKZUBVWHVKVWHUXQVGVU
            NVUSUYBVWKAUYOUXOUVQYQUYPVWEVWHUBVWJAUYNUBVWEVKZUYBUYHAUYNVWLAXFTUV
            RUBRUVSVEWEZUYNVWLXEUSAVWMUYNVWLAUYDJUBVBTRUAUYAVUQACDEFGHIJKLMVBNO
            PQRSTUAUDUEUFUGUHUIUJUKULUMUNUVTUDUWAUWBUWCUWDXDVQUXOJUAVUGUBUWEUWF
            YRYRYRUYRUXQUCUWGWQAVUDVUEXEUYBUYOAVUDVUEAVUDVTUYRFVCZYPZVGZFMUWHZY
            SUWIZVIZVUEAVUDUYRUCUWJZYPZVGZVWSAVXBVUDAVXAUCUYRAUCMVKVXAUCWIURUCM
            UWOWQYTUWKAVWTVWRVKVXBVWSAVWQYSVWTAVWTMVGVWTVWQVKAUCMURUWLVWTMUCUWM
            UWNUWPVWTYSVKAUCUWQUWRUWSVWPVXBFVWTVWRVWNVWTWIVWOVXAUYRVWNVWTUWTYTU
            XAUXBUXCUYSVWSGVCZVWOVGZFVWRVIZWGVWSWGGUYRSUYQUYDHYLVXCUYRWIZVXEVWS
            VXFVXDVWPFVWRVXCUYRVWOUXDWKUXEUEUXFUXGUXHUXIXKUXJUXKUXLUXMUXN $.
        $}

        heiborlem9.14 $e |- ( ph -> U. U = X ) $.
        $( Lemma for ~ heibor .  Discharge the hypotheses of ~ heiborlem8 by
           applying ~ caubl to get a convergent point and adding the open cover
           assumption.  (Contributed by Jeff Madsen, 20-Jan-2014.) $)
        heiborlem9 $p |- ( ph -> ps ) $=
          ( vt vk vr c1st ccom clm cfv cv wcel cuni wrex ctopon wbr cxmet ccmet
          cmet cmetmet metxmet 3syl mopntopon syl cdm heiborlem5 heiborlem6 clt
          ccau c2nd cn crp wral heiborlem7 a1i cmetcau syl2anc cha wfun methaus
          caubl wb lmfun funfvbrb mpbid eleqtrrd eluni2 sylib wa adantr cn0 cpw
          lmcl cfn cin wf co ciun wceq c1 cc0 wss fvex simprr simprl heiborlem8
          caddc rexlimddv ) AURTUSZRUTVAZVAZUOVBZVCZBUOMAYBMVDZVCYDUOMVEAYBUAYE
          ARUAVFVAVCZXTYBYAVGZYBUAVCAJUAVHVAVCZYFAJUAVIVAVCZJUAVJVAVCYHUFJUAVKJ
          UAVLVMZJRUAUBVNVOAXTYAVPVCZYGAYIXTJVTVAVCYKUFAJUPTUAUQYJACDEFGHIJKLMN
          OPQRSTUAUBUCUDUEUFUGUHUIUJUKULVQACDEFGHIJKLMUPNOPQRSTUAUBUCUDUEUFUGUH
          UIUJUKULVRUPVBTVAWAVAUQVBVSVGUPWBVEUQWCWDAACDEFGHIJKLMUPNOPQRSTUAUQUB
          UCUDUEUFUGUHUIUJUKULWEWFWLJXTRUAUBWGWHARWIVCZYAWJYKYGWMAYHYLYJJRUAUBW
          KVORWNXTYAWOVMWPZYBXTRUAXDWHUNWQUOYBMWRWSAYCMVCZYDWTZWTBCDEFGHIJKLMNO
          PQRSTUAYBYCUBUCUDUEAYIYOUFXAAXBUAXCXEXFPXGYOUGXAAUADOVBZPVADVBYPHXHXI
          XJOXBWDYOUHXAACVBZLVAZYQWAVAXKXRXHZQVGYQHVAYRYSHXHXFSVCWTCQWDYOUIXAAI
          XLQVGYOUJXAUKULAMRXMYOUMXAXTYAXNAYNYDXOAYNYDXPAYGYOYMXAXQXS $.
      $}

      $d v ph $.
      $( Lemma for ~ heibor .  The last remaining piece of the proof is to find
         an element ` C ` such that ` C G 0 ` , i.e. ` C ` is an element of
         ` ( F `` 0 ) ` that has no finite subcover, which is true by
         ~ heiborlem1 , since ` ( F `` 0 ) ` is a finite cover of ` X ` , which
         has no finite subcover.  Thus, the rest of the proof follows to a
         contradiction, and thus there must be a finite subcover of ` U ` that
         covers ` X ` , i.e. ` X ` is compact.  (Contributed by Jeff Madsen,
         22-Jan-2014.) $)
      heiborlem10 $p |- ( ( ph /\ ( U C_ J /\ U. J = U. U ) ) ->
                          E. v e. ( ~P U i^i Fin ) U. J = U. v ) $=
        ( vx vg vt wss cuni wceq wa cv cpw cfn cin wrex wcel wn cc0 co cfv ciun
        wi cn0 wf 0nn0 inss2 ffvelrn sselid sylancl fveq2 oveq2 iuneq12d eqeq2d
        wral rspccva eqimss syl w3a ovex heiborlem1 oveq1 eleq1d cbvrexvw sylib
        weq 3expia syl2anc adantr wbr vex c0ex heiborlem2 c2nd caddc heiborlem3
        c1 wex ad2antrr cmin cif cmpt cseq cn c3 c2 cexp cdiv cop simprr oveq1d
        breq12d oveq12d ineq12d anbi12d cbvralvw simprl ifbieq2d cbvmptv seqeq3
        ccmet eqeq1 ax-mp eqid simplrl cmet cmetmet metxmet mopnuni 4syl eqtr2d
        cxmet heiborlem9 expr exlimdv mpd sylan2br 3exp2 rexlimdv syld pm2.01d
        mpi wb cdm elfvdm sseq1 rexbidv notbid elab2g 3syl con2bid mpbird inss1
        sseq1d sseli elpwid sstr unissd syl2anr biantrud bitr4di bitrd rexbidva
        eqss mpbid ) AHMUFZMUGZHUGZUHZUIZUIZODUJZUGZUFZDHUKZULUMZUNZUVEUVKUHZDU
        VNUNUVIUVOONUOZUPZUVIUVQUVIUVQUCUJZUQFURZNUOZUCUQKUSZUNZUVRAUVQUWCVAZUV
        HAUWBULUOZOBUWBBUJZUQFURZUTZUFZUWDAVBOUKZULUMZKVCZUQVBUOZUWEUAVDUWLUWMU
        IUWKULUWBUWJULVEVBUWKUQKVFVGVHAOUWHUHZUWIAOBJUJZKUSZUWFUWOFURZUTZUHZJVB
        VMZUWMUWNUBVDUWSUWNJUQVBUWOUQUHZUWRUWHOUXABUWPUWBUWQUWGUWOUQKVIUWOUQUWF
        FVJVKVLVNVHOUWHVOVPUWEUWIUVQUWCUWEUWIUVQVQUWGNUOZBUWBUNUWCBDEUWBUWGOGHM
        NPQUWFUQFVRVSUXBUWABUCUWBBUCWDUWGUVTNUWFUVSUQFVTWAWBWCWEWFWGUVIUWAUVRUC
        UWBUVIUWMUVSUWBUOZUWAUVRVAVAVDUVIUWMUXCUWAUVRUWMUXCUWAVQUVIUVSUQLWHZUVR
        BDEUVSFUQGHJKLMNPQRUCWIWJWKUVIUXDUIZUVSUDUJZUSZUVSWLUSZWOWMURZLWHZUVSFU
        SZUXGUXIFURZUMZNUOZUIZUCLVMZUDWPZUVRAUXQUVHUXDAUCBCDEFGHUDIJKLMNOPQRSTU
        AUBWNWQUXEUXPUVRUDUVIUXDUXPUVRUVIUXDUXPUIZUIZUVRUEBCDEFUVSGUXFUDVBUXFUQ
        UHZUVSUXFWOWRURZWSZWTZUQXAZUXFHIJKLMNJXBUWOUYDUSXCXDUWOXEURXFURXGWTZOPQ
        RSAGOXSUSUOZUVHUXRTWQAUWLUVHUXRUAWQAUWTUVHUXRUBWQUXSUXPUEUJZUXFUSZUYGWL
        USZWOWMURZLWHZUYGFUSZUYHUYJFURZUMZNUOZUIZUELVMUVIUXDUXPXHUXOUYPUCUELUCU
        EWDZUXJUYKUXNUYOUYQUXGUYHUXIUYJLUVSUYGUXFVIZUYQUXHUYIWOWMUVSUYGWLVIXIZX
        JUYQUXMUYNNUYQUXKUYLUXLUYMUVSUYGFVIUYQUXGUYHUXIUYJFUYRUYSXKXLWAXMXNWCUV
        IUXDUXPXOUYCIVBIUJZUQUHZUVSUYTWOWRURZWSZWTZUHUYDUXFVUDUQXAUHUDIVBUYBVUC
        UDIWDUXTVUAUYAVUBUVSUXFUYTUQXTUXFUYTWOWRVTXPXQUXFUYCVUDUQXRYAUYEYBAUVDU
        VGUXRYCUVIUVFOUHUXRUVIOUVEUVFAOUVEUHZUVHAUYFGOYDUSUOGOYJUSUOVUETGOYEGOY
        FGMOPYGYHZWGAUVDUVGXHYIWGYKYLYMYNYOYPYTYQYRYSUVIUVQUVOAUVQUVOUPZUUAZUVH
        AUYFOXSUUBZUOVUHTGOXSUUCEUJZUVKUFZDUVNUNZUPVUGEONVUIVUJOUHZVULUVOVUMVUK
        UVLDUVNVUJOUVKUUDUUEUUFQUUGUUHWGUUIUUJUVIUVLUVPDUVNUVIUVJUVNUOZUIZUVLUV
        EUVKUFZUVPVUOOUVEUVKAVUEUVHVUNVUFWQUULVUOVUPVUPUVKUVEUFZUIUVPVUOVUQVUPV
        UNUVJHUFZUVDVUQUVIVUNUVJHUVNUVMUVJUVMULUUKUUMUUNAUVDUVGXOVURUVDUIUVJMUV
        JHMUUOUUPUUQUURUVEUVKUVBUUSUUTUVAUVC $.
    $}

    $( Generalized Heine-Borel Theorem.  A metric space is compact iff it is
       complete and totally bounded.  See ~ heibor1 and ~ heiborlem1 for a
       description of the proof.  (Contributed by Jeff Madsen, 2-Sep-2009.)
       (Revised by Mario Carneiro, 28-Jan-2014.) $)
    heibor $p |- ( ( D e. ( Met ` X ) /\ J e. Comp ) <->
                   ( D e. ( CMet ` X ) /\ D e. ( TotBnd ` X ) ) ) $=
      ( vr vv vm vy vn vt wcel wa cv wceq cfn wrex wral cn0 co ciun vu cmet cfv
      vz vk ccmp ccmet ctotbnd heibor1 cmetmet adantr ctop cuni cpw cin metxmet
      wi cxmet mopntop 3syl wf c1 c2 cexp cdiv cbl wex crp istotbnd simprbi 2nn
      cn nnexpcl mpan nnrpd rpreccld oveq2 eqeq2d rexbidv ralbidv anbi2d syl2an
      rspccva expcom adantl ac6sfi adantrl w3a crn simp3l frnd mopnuni 3ad2ant1
      oveq1 wss sseqtrd cmopn fvexi uniex elpw2 sylibr simp2l wfo wfn ffn dffn4
      sylib sylan2 syl2anc elind eleq2d rexrn eliun 3bitr4g eqrdv simp3r uniiun
      iuneq2 syl5eq syl simp2r 3eqtr2rd iuneq1 rspceeqv 3expia adantrrr exlimdv
      fofi mpd rexlimdvaa syld ralrimdva pwex inex1 com eqid simpl weq iuneq2dv
      oveq2d nn0ennn nnenom entri axcc4 syl6 elpwi cab copab pweqd ineq1d feq3d
      cmpo wn biimpar adantrr cbviunv id sseqtrrid fss syl2anr ffvelrnda elpwid
      inss1 sselda simplr ovex ovmpo biimprd ralimdva impr fveq2 eqtrd cbvralvw
      iuneq1d heiborlem10 exp32 syl5 ralrimiv ex imp iscmp sylanbrc jca impbii
      ) ACUBUCKZBUFKZLACUGUCKZACUHUCKZLZABCDUIUWIUWEUWFUWGUWEUWHACUJZUKUWIBULKZ
      BUMZEMZUMNZUWLFMZUMZNFUWMUNOUOZPZUQZEBUNZQZUWFUWGUWKUWHUWGUWEACURUCKZUWKU
      WJACUPZABCDUSUTUKUWGUWHUXAUWGUWHRUWLUNZOUOZGMZVAZCHIMZUXFUCZHMZVBVCUXHVDS
      ZVESZAVFUCZSZTZNZIRQZLZGVGZUXAUWGUWHCHJMZUXNTZNZJUXEPZIRQUXSUWGUWHUYCIRUW
      GUXHRKZLZUWHUAMZUMZCNZUWOUXNNZHCPZFUYFQZLZUAOPZUYCUYDUWHUYMUQUWGUWHUYDUYM
      UWHUYHUWOUXJUWMUXMSZNZHCPZFUYFQZLZUAOPZEVHQZUXLVHKUYMUYDUWHUWEUYTHUAACFEV
      IVJUYDUXKUYDUXKVCVLKUYDUXKVLKVKVCUXHVMVNVOVPUYSUYMEUXLVHUWMUXLNZUYRUYLUAO
      VUAUYQUYKUYHVUAUYPUYJFUYFVUAUYOUYIHCVUAUYNUXNUWOUWMUXLUXJUXMVQVRVSVTWAVSW
      CWBWDWEUYEUYLUYCUAOUYEUYFOKZUYLLZLZUYFCUXFVAZUWOUWOUXFUCZUXLUXMSZNZFUYFQZ
      LZGVGZUYCVUCVUKUYEVUBUYKVUKUYHUYIVUHFHUYFCGUXJVUFNZUXNVUGUWOUXJVUFUXLUXMW
      NZVRWFWGWEVUDVUJUYCGUYEVUBUYHVUJUYCUQUYKUYEVUBUYHLZVUJUYCUYEVUNVUJWHZUXFW
      IZUXEKCHVUPUXNTZNUYCVUOUXDOVUPVUOVUPUWLWOVUPUXDKVUOVUPCUWLVUOUYFCUXFUYEVU
      NVUEVUIWJZWKUYEVUNCUWLNZVUJUWGVUSUYDUWGUWEUXBVUSUWJUXCABCDWLUTZUKWMWPVUPU
      WLBBAWQDWRWSZWTXAVUOVUBVUEVUPOKZUYEVUBUYHVUJXBVURVUEVUBUYFVUPUXFXCZVVBVUE
      UXFUYFXDZVVCUYFCUXFXEZUYFUXFXFXGUYFVUPUXFYHXHXIXJVUOVUQFUYFVUGTZUYGCVUOVU
      EVVDVUQVVFNVURVVEVVDEVUQVVFVVDUWMUXNKZHVUPPUWMVUGKZFUYFPUWMVUQKUWMVVFKVVG
      VVHHFUYFUXFVULUXNVUGUWMVUMXKXLHUWMVUPUXNXMFUWMUYFVUGXMXNXOUTVUOVUIUYGVVFN
      UYEVUNVUEVUIXPVUIUYGFUYFUWOTVVFFUYFXQFUYFUWOVUGXRXSXTUYEVUBUYHVUJYAYBJVUP
      UXEUYAVUQCHUXTVUPUXNYCYDXIYEYFYGYIYJYKYLUYBUXPJUXEGIRUXDOUWLVVAYMYNRVLYOU
      UAUUBUUCUXTUXINUYAUXOCHUXTUXIUXNYCVRUUDUUEUWGUXRUXAGUWGUXRUXAUWGUXRLZUWSE
      UWTUWMUWTKUWMBWOZVVIUWSUWMBUUFVVIVVJUWNUWRVVIJUDFUAUDGCRUDMZVBVCUXFVDSZVE
      SZUXMSZUULZAUWMGUEUXFUEMZRKUXTVVPUXFUCZKZUXTVVPVVOSZUYFUWPWOFUWQPUUMUAUUG
      ZKWHJUEUUHZBVVTCDVVTYPVWAYPVVOYPZUWGUXRYQUWGUXGRCUNZOUOZUXFVAZUXQUWGVWEUX
      GUWGVWDUXEUXFRUWGVWCUXDOUWGCUWLVUTUUIZUUJUUKUUNUUOVVICJUXIUXTUXHVVOSZTZNZ
      IRQZCJVVQVVSTZNZUERQUWGUXGUXQVWJUWGUXGLZUXPVWIIRVWMUYDLZVWIUXPVWNVWHUXOCV
      WNVWHHUXIUXJUXHVVOSZTUXOJHUXIVWGVWOUXTUXJUXHVVOWNUUPVWNHUXIVWOUXNVWNUXJUX
      IKZLUXJCKUYDVWOUXNNVWNUXICUXJVWNUXICVWMRVWCUXHUXFUXGUXGUXEVWCWORVWCUXFVAU
      WGUXGUUQUWGUXDUXEVWCUXDOUVCVWFUURRUXEVWCUXFUUSUUTUVAUVBUVDVWMUYDVWPUVEUDG
      UXJUXHCRVVNUXNVVOUXJVVMUXMSVVKUXJVVMUXMWNGIYRZVVMUXLUXJUXMVWQVVLUXKVBVEUX
      FUXHVCVDVQYTYTVWBUXJUXLUXMUVFUVGXIYSXSVRUVHUVIUVJVWIVWLIUERIUEYRZVWHVWKCV
      WRVWHJVVQVWGTVWKVWRJUXIVVQVWGUXHVVPUXFUVKUVNVWRJVVQVWGVVSVWRVVRLUXHVVPUXT
      VVOVWRVVRYQYTYSUVLVRUVMXGUVOUVPUVQUVRUVSYGYKUVTEFBUWLUWLYPUWAUWBUWCUWD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Banach Fixed Point Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d j k x y z D $.  $d j k x y z G $.  $d j k x y z J $.  $d j k w x y ph $.
    $d j k A $.  $d j k w x y z F $.  $d j k x y K $.  $d j k w x y z X $.
    bfp.2 $e |- ( ph -> D e. ( CMet ` X ) ) $.
    bfp.3 $e |- ( ph -> X =/= (/) ) $.
    bfp.4 $e |- ( ph -> K e. RR+ ) $.
    bfp.5 $e |- ( ph -> K < 1 ) $.
    bfp.6 $e |- ( ph -> F : X --> X ) $.
    bfp.7 $e |- ( ( ph /\ ( x e. X /\ y e. X ) ) ->
                  ( ( F ` x ) D ( F ` y ) ) <_ ( K x. ( x D y ) ) ) $.
    ${
      bfp.8 $e |- J = ( MetOpen ` D ) $.
      bfp.9 $e |- ( ph -> A e. X ) $.
      bfp.10 $e |- G = seq 1 ( ( F o. 1st ) , ( NN X. { A } ) ) $.
      $( Lemma for ~ bfp .  The sequence ` G ` , which simply starts from any
         point in the space and iterates ` F ` , satisfies the property that
         the distance from ` G ( n ) ` to ` G ( n + 1 ) ` decreases by at least
         ` K ` after each step.  Thus, the total distance from any ` G ( i ) `
         to ` G ( j ) ` is bounded by a geometric series, and the sequence is
         Cauchy.  Therefore, it converges to a point ` ( ( ~~>t `` J ) `` G ) `
         since the space is complete.  (Contributed by Jeff Madsen,
         17-Jun-2014.) $)
      bfplem1 $p |- ( ph -> G ( ~~>t ` J ) ( ( ~~>t ` J ) ` G ) ) $=
        ( co vk vj clm cfv cdm wcel wbr ccmet ccau cdiv cmet cmetmet c1 cn nnuz
        syl 1zzd algrf cr ffvelrnd metcl syl3anc rerpdivcld caddc cexp cmul cle
        cv wi fveq2 fvoveq1 oveq12d oveq2 oveq2d breq12d imbi2d leidd algr0 1nn
        wceq algrp1 mpan2 fveq2d eqtrd rpred recnd rpne0d divcan1d 3brtr4d wral
        exp1d wa ffvelrnda peano2nn ffvelrn syl2an jca ralrimivva adantr oveq1d
        wf oveq1 rspc2v sylc remulcld adantl nnnn0d reexpcld letr mpand cc0 clt
        wb nnnn0 reexpcl rpgt0d lemul1 syl112anc cc mulcomd mulassd expp1 bitrd
        cn0 eqtr4d sylan2 breq1d 3imtr4d expcom a2d geomcau cmetcau syl2anc cha
        nnind impcom wfun cxmet metxmet 3syl methaus lmfun funfvbrb mpbid ) AGH
        UCUDZUEUFZGGUUEUDUUEUGZAEJUHUDUFZGEUIUDUFUUFKADDFUDZETZIUJTZIEUAGJAUUHE
        JUKUDUFZKEJULUPZADGJFUMUNUOSAUQZROURZAUUJIAUULDJUFUUIJUFUUJUSUFUUMRAJJD
        FORUTDUUIEJVAVBZMVCZMNUAVHZUNUFZAUURGUDZUURUMVDTZGUDZETZUUKIUURVETZVFTZ
        VGUGZAUBVHZGUDZUVGUMVDTGUDZETZUUKIUVGVETZVFTZVGUGZVIAUMGUDZUMUMVDTGUDZE
        TZUUKIUMVETZVFTZVGUGZVIAUVFVIZAUVBUVAUMVDTGUDZETZUUKIUVAVETZVFTZVGUGZVI
        UVTUBUAUURUVGUMVTZUVMUVSAUWFUVJUVPUVLUVRVGUWFUVHUVNUVIUVOEUVGUMGVJUVGUM
        UMGVDVKVLUWFUVKUVQUUKVFUVGUMIVEVMVNVOVPUVGUURVTZUVMUVFAUWGUVJUVCUVLUVEV
        GUWGUVHUUTUVIUVBEUVGUURGVJUVGUURUMGVDVKVLUWGUVKUVDUUKVFUVGUURIVEVMVNVOV
        PZUVGUVAVTZUVMUWEAUWIUVJUWBUVLUWDVGUWIUVHUVBUVIUWAEUVGUVAGVJUVGUVAUMGVD
        VKVLUWIUVKUWCUUKVFUVGUVAIVEVMVNVOVPUWHAUUJUUJUVPUVRVGAUUJUUPVQAUVNDUVOU
        UIEADGJFUMUNUOSUUNRVRZAUVOUVNFUDZUUIAUMUNUFUVOUWKVTVSADGJFUMUMUNUOSUUNR
        OWAWBAUVNDFUWJWCWDVLAUVRUUKIVFTUUJAUVQIUUKVFAIAIAIMWEZWFZWKVNAUUJIAUUJU
        UPWFUWMAIMWGWHWDWIUUSAUVFUWEAUUSUVFUWEVIAUUSWLZIUVCVFTZUWDVGUGZUUTFUDZU
        VBFUDZETZUWDVGUGZUVFUWEUWNUWSUWOVGUGZUWPUWTUWNUUTJUFZUVBJUFZWLBVHZFUDZC
        VHZFUDZETZIUXDUXFETZVFTZVGUGZCJWJBJWJZUXAUWNUXBUXCAUNJUURGUUOWMZAUNJGXA
        UVAUNUFZUXCUUSUUOUURWNZUNJUVAGWOWPZWQAUXLUUSAUXKBCJJPWRWSUXKUXAUWQUXGET
        ZIUUTUXFETZVFTZVGUGBCUUTUVBJJUXDUUTVTZUXHUXQUXJUXSVGUXTUXEUWQUXGEUXDUUT
        FVJWTUXTUXIUXRIVFUXDUUTUXFEXBVNVOUXFUVBVTZUXQUWSUXSUWOVGUYAUXGUWRUWQEUX
        FUVBFVJVNUYAUXRUVCIVFUXFUVBUUTEVMVNVOXCXDUWNUWSUSUFZUWOUSUFUWDUSUFUXAUW
        PWLUWTVIUWNUULUWQJUFUWRJUFUYBAUULUUSUUMWSZUWNJJUUTFAJJFXAUUSOWSZUXMUTUW
        NJJUVBFUYDUXPUTUWQUWREJVAVBUWNIUVCAIUSUFZUUSUWLWSZUWNUULUXBUXCUVCUSUFZU
        YCUXMUXPUUTUVBEJVAVBZXEUWNUUKUWCAUUKUSUFUUSUUQWSZUWNIUVAUYFUWNUVAUUSUXN
        AUXOXFXGXHXEUWSUWOUWDXIVBXJUWNUVFUVCIVFTZUVEIVFTZVGUGZUWPUWNUYGUVEUSUFU
        YEXKIXLUGZUVFUYLXMUYHUWNUUKUVDUYIAUYEUURYDUFZUVDUSUFUUSUWLUURXNZIUURXOW
        PZXEUYFAUYMUUSAIMXPWSUVCUVEIXQXRUWNUYJUWOUYKUWDVGUWNUVCIUWNUVCUYHWFAIXS
        UFZUUSUWMWSZXTUWNUYKUUKUVDIVFTZVFTUWDUWNUUKUVDIUWNUUKUYIWFUWNUVDUYPWFUY
        RYAUWNUWCUYSUUKVFAUYQUYNUWCUYSVTUUSUWMUYOIUURYBWPVNYEVOYCUWNUWBUWSUWDVG
        UWNUVBUWQUWAUWREADGJFUURUMUNUOSUUNROWAUUSAUXNUWAUWRVTUXOADGJFUVAUMUNUOS
        UUNROWAYFVLYGYHYIYJYOYPYKEGHJQYLYMAHYNUFZUUEYQUUFUUGXMAUULEJYRUDUFUYTUU
        MEJYSEHJQUUAYTHUUBGUUEUUCYTUUD $.

      $( Lemma for ~ bfp .  Using the point found in ~ bfplem1 , we show that
         this convergent point is a fixed point of ` F ` .  Since for any
         positive ` x ` , the sequence ` G ` is in ` B ( x / 2 , P ) ` for all
         ` k e. ( ZZ>= `` j ) ` (where ` P = ( ( ~~>t `` J ) `` G ) ` ), we
         have ` D ( G ( j + 1 ) , F ( P ) ) <_ D ( G ( j ) , P ) < x / 2 ` and
         ` D ( G ( j + 1 ) , P ) < x / 2 ` , so ` F ( P ) ` is in every
         neighborhood of ` P ` and ` P ` is a fixed point of ` F ` .
         (Contributed by Jeff Madsen, 5-Jun-2014.) $)
      bfplem2 $p |- ( ph -> E. z e. X ( F ` z ) = z ) $=
        ( vk vj clm cfv wcel wceq cv wrex ctopon wbr cmet cxmet cmetmet metxmet
        ccmet syl mopntopon 3syl bfplem1 lmcl syl2anc co cc0 cle caddc crp wral
        wa clt c2 cdiv cuz cn c1 adantr nnuz eqidd rphalfcl adantl lmmcvg simpr
        1zzd ralimi cz wi nnz fveq2 oveq1d breq1d rspcv peano2uz algrp1 adantlr
        uzid sylibd jcad cr ad2antrr wf algrf ffvelrnda metcl ffvelrnd ad2antlr
        syl3anc rpre lt2halves readdcld syl13anc cmul rpred remulcld ralrimivva
        mettri2 jca oveq1 oveq2d breq12d oveq2 rspc2v sylc 1red metge0 1re ltle
        sylancl lemul1ad recnd mulid2d breqtrd letrd leadd1dd lelttr mpand syl5
        mpd 3syld rexlimdva wb 0re syl2an addid2d breqtrrd alrple mpbird letri3
        ralrimiva mpbir2and meteq0 mpbid id eqeq12d rspcev ) AHIUCUDZUDZKUEZUUO
        GUDZUUOUFZDUGZGUDZUUSUFZDKUHAIKUIUDUEZHUUOUUNUJZUUPAFKUKUDUEZFKULUDUEZU
        VBAFKUOUDUEUVDLFKUMUPZFKUNZFIKRUQURABCEFGHIJKLMNOPQRSTUSZUUOHIKUTVAZAUU
        QUUOFVBZVCUFZUURAUVKUVJVCVDUJZVCUVJVDUJZAUVLUVJVCBUGZVEVBZVDUJZBVFVGZAU
        VPBVFAUVNVFUEZVHZUVJUVNUVOVDUVSUVJUVNVIUJZUVJUVNVDUJZUVSUAUGZHUDZKUEZUW
        CUUOFVBZUVNVJVKVBZVIUJZVHZUAUBUGZVLUDZVGZUBVMUHUVTUVSUWCFUUOUWFUBUAHIVN
        KVMRUVSUVDUVEAUVDUVRUVFVOUVGUPVPUVSWBUVSUWBVMUEVHUWCVQAUVCUVRUVHVOUVRUW
        FVFUEAUVNVRVSVTUVSUWKUVTUBVMUWKUWGUAUWJVGZUVSUWIVMUEZVHZUVTUWHUWGUAUWJU
        WDUWGWAWCUWNUWLUWIHUDZUUOFVBZUWFVIUJZUWOGUDZUUOFVBZUWFVIUJZVHZUWPUWSVEV
        BZUVNVIUJZUVTUWNUWLUWQUWTUWNUWIWDUEZUWIUWJUEZUWLUWQWEUWMUXDUVSUWIWFVSZU
        WIWNZUWGUWQUAUWIUWJUWBUWIUFZUWEUWPUWFVIUXHUWCUWOUUOFUWBUWIHWGWHWIWJURUW
        NUWLUWIVNVEVBZHUDZUUOFVBZUWFVIUJZUWTUWNUXEUXIUWJUEUWLUXLWEUWNUXDUXEUXFU
        XGUPUWIUWIWKUWGUXLUAUXIUWJUWBUXIUFZUWEUXKUWFVIUXMUWCUXJUUOFUWBUXIHWGWHW
        IWJURUWNUXKUWSUWFVIUWNUXJUWRUUOFAUWMUXJUWRUFUVRAEHKGUWIVNVMVPTAWBZSPWLW
        MWHWIWOWPUWNUWPWQUEZUWSWQUEZUVNWQUEZUXAUXCWEUWNUVDUWOKUEZUUPUXOAUVDUVRU
        WMUVFWRZUVSVMKUWIHAVMKHWSUVRAEHKGVNVMVPTUXNSPWTVOXAZAUUPUVRUWMUVIWRZUWO
        UUOFKXBXEZUWNUVDUWRKUEZUUPUXPUXSUWNKKUWOGAKKGWSUVRUWMPWRZUXTXCZUYAUWRUU
        OFKXBXEZUVRUXQAUWMUVNXFZXDZUWPUWSUVNXGXEUWNUVJUXBVDUJZUXCUVTUWNUVJUWRUU
        QFVBZUWSVEVBZUXBAUVJWQUEZUVRUWMAUVDUUQKUEZUUPUYLUVFAKKUUOGPUVIXCZUVIUUQ
        UUOFKXBXEZWRZUWNUYJUWSUWNUVDUYCUYMUYJWQUEUXSUYEUWNKKUUOGUYDUYAXCZUWRUUQ
        FKXBXEZUYFXHUWNUWPUWSUYBUYFXHZUWNUVDUYCUYMUUPUVJUYKVDUJUXSUYEUYQUYAUUQU
        UOUWRFKXNXIUWNUYJUWPUWSUYRUYBUYFUWNUYJJUWPXJVBZUWPUYRUWNJUWPAJWQUEZUVRU
        WMAJNXKZWRZUYBXLUYBUWNUXRUUPVHUVNGUDZCUGZGUDZFVBZJUVNVUEFVBZXJVBZVDUJZC
        KVGBKVGZUYJUYTVDUJZUWNUXRUUPUXTUYAXOAVUKUVRUWMAVUJBCKKQXMWRVUJVULUWRVUF
        FVBZJUWOVUEFVBZXJVBZVDUJBCUWOUUOKKUVNUWOUFZVUGVUMVUIVUOVDVUPVUDUWRVUFFU
        VNUWOGWGWHVUPVUHVUNJXJUVNUWOVUEFXPXQXRVUEUUOUFZVUMUYJVUOUYTVDVUQVUFUUQU
        WRFVUEUUOGWGXQVUQVUNUWPJXJVUEUUOUWOFXSXQXRXTYAUWNUYTVNUWPXJVBUWPVDUWNJV
        NUWPVUCUWNYBUYBUWNUVDUXRUUPVCUWPVDUJUXSUXTUYAUWOUUOFKYCXEAJVNVDUJZUVRUW
        MAJVNVIUJZVUROAVUAVNWQUEVUSVURWEVUBYDJVNYEYFYPWRYGUWNUWPUWNUWPUYBYHYIYJ
        YKYLYKUWNUYLUXBWQUEUXQUYIUXCVHUVTWEUYPUYSUYHUVJUXBUVNYMXEYNYQYOYRYPAUYL
        UXQUVTUWAWEUVRUYOUYGUVJUVNYEUUAYPUVSUVNUVSUVNUVRUXQAUYGVSYHUUBUUCUUGAUY
        LVCWQUEZUVLUVQYSUYOYTBUVJVCUUDYFUUEAUVDUYMUUPUVMUVFUYNUVIUUQUUOFKYCXEAU
        YLVUTUVKUVLUVMVHYSUYOYTUVJVCUUFYFUUHAUVDUYMUUPUVKUURYSUVFUYNUVIUUQUUOFK
        UUIXEUUJUVAUURDUUOKUUSUUOUFZUUTUUQUUSUUOUUSUUOGWGVVAUUKUULUUMVA $.
    $}

    $( Banach fixed point theorem, also known as contraction mapping theorem.
       A contraction on a complete metric space has a unique fixed point.  We
       show existence in the lemmas, and uniqueness here - if ` F ` has two
       fixed points, then the distance between them is less than ` K ` times
       itself, a contradiction.  (Contributed by Jeff Madsen, 2-Sep-2009.)
       (Proof shortened by Mario Carneiro, 5-Jun-2014.) $)
    bfp $p |- ( ph -> E! z e. X ( F ` z ) = z ) $=
      ( wcel c1 wbr co cle cc0 vw cv cfv wceq wrex wa weq wi wral c0 wne wex n0
      wreu sylib c1st ccom csn cxp cseq cmopn ccmet adantr crp clt cmul adantlr
      cn wf eqid simpr bfplem2 exlimddv cmin oveq12 adantl eqbrtrrd cmet cr syl
      cmetmet ad2antrr simplrl simplrr metcl syl3anc rpred remulcld mpbird 1cnd
      suble0d recnd subdird mulid2d oveq1d eqtrd resubcl sylancr mul01d 3brtr4d
      1re wb 0red posdif sylancl mpbid lemul2 syl112anc metge0 letri3 mpbir2and
      0re meteq0 ex ralrimivva fveq2 id eqeq12d anbi1d equequ1 imbi12d cbvralvw
      ralbidv reu4 sylanbrc ) ADUBZFUCZYFUDZDHUEZYHCUBZFUCZYJUDZUFZDCUGZUHZCHUI
      ZDHUIZYHDHUNAUAUBZHOZYIUAAHUJUKZYSUAULJUAHUMUOAYSUFBCDYREFFUPUQVHYRURUSPU
      TZEVAUCZGHAEHVBUCOZYSIVCAYTYSJVCAGVDOYSKVCAGPVEQZYSLVCAHHFVIYSMVCABUBZHOZ
      YJHOZUFZUUEFUCZYKERZGUUEYJERZVFRZSQZYSNVGUUBVJAYSVKUUAVJVLVMAUUIUUEUDZYLU
      FZBCUGZUHZCHUIZBHUIYQAUUQBCHHAUUHUFZUUOUUPUUSUUOUFZUUKTUDZUUPUUTUVAUUKTSQ
      ZTUUKSQZUUTUVBPGVNRZUUKVFRZUVDTVFRZSQZUUTUUKUULVNRZTUVEUVFSUUTUVHTSQUUKUU
      LSQUUTUUJUUKUULSUUOUUJUUKUDUUSUUIUUEYKYJEVOVPUUSUUMUUONVCVQUUTUUKUULUUTEH
      VRUCOZUUFUUGUUKVSOZAUVIUUHUUOAUUCUVIIEHWAVTWBZAUUFUUGUUOWCZAUUFUUGUUOWDZU
      UEYJEHWEWFZUUTGUUKAGVSOZUUHUUOAGKWGZWBZUVNWHWKWIUUTUVEPUUKVFRZUULVNRUVHUU
      TPGUUKUUTWJUUTGUVQWLUUTUUKUVNWLZWMUUTUVRUUKUULVNUUTUUKUVSWNWOWPUUTUVDUUTU
      VDAUVDVSOZUUHUUOAPVSOZUVOUVTXAUVPPGWQWRWBZWLWSWTUUTUVJTVSOZUVTTUVDVEQZUVB
      UVGXBUVNUUTXCUWBAUWDUUHUUOAUUDUWDLAUVOUWAUUDUWDXBUVPXAGPXDXEXFWBUUKTUVDXG
      XHWIUUTUVIUUFUUGUVCUVKUVLUVMUUEYJEHXIWFUUTUVJUWCUVAUVBUVCUFXBUVNXLUUKTXJX
      EXKUUTUVIUUFUUGUVAUUPXBUVKUVLUVMUUEYJEHXMWFXFXNXOUURYPBDHBDUGZUUQYOCHUWEU
      UOYMUUPYNUWEUUNYHYLUWEUUIYGUUEYFUUEYFFXPUWEXQXRXSBDCXTYAYCYBUOYHYLDCHYNYG
      YKYFYJYFYJFXPYNXQXRYDYE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Euclidean space
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Rn $.
  $( Extend class notation with the n-dimensional Euclidean space. $)
  crrn $a class Rn $.

  ${
    $d i x y k $.
    $( Define n-dimensional Euclidean space as a metric space with the standard
       Euclidean norm given by the quadratic mean.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    df-rrn $a |- Rn = ( i e. Fin |->
       ( x e. ( RR ^m i ) , y e. ( RR ^m i ) |-> ( sqrt `
         sum_ k e. i ( ( ( x ` k ) - ( y ` k ) ) ^ 2 ) ) ) ) $.
  $}

  ${
    $d k n x y G $.  $d i j k m n x y z I $.  $d j k n M $.  $d j k n x ph $.
    $d k A $.  $d x J $.  $d j k n x y P $.  $d k n R $.  $d i j k x y z X $.
    $d j k m n t x y F $.
    rrnval.1 $e |- X = ( RR ^m I ) $.
    $( The n-dimensional Euclidean space.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Revised by Mario Carneiro, 13-Sep-2015.) $)
    rrnval $p |- ( I e. Fin -> ( Rn ` I ) = ( x e. X , y e. X |-> ( sqrt `
          sum_ k e. I ( ( ( x ` k ) - ( y ` k ) ) ^ 2 ) ) ) ) $=
      ( vi cr cv cmap co cfv csu csqrt cmpo wf cvv wcel wral cc cmin cexp oveq2
      c2 cfn crrn wceq eqtr4di sumeq1 fveq2d mpoeq123dv df-rrn cxp crn c0 fvrn0
      csn cun rgen2w eqid fmpo mpbi ovex eqeltri xpex wss sqrtf frn ax-mp ssexi
      cnex p0ex unex fex2 mp3an fvmpt ) GDABHGIZJKZVRVQCIZAILVSBILUAKUDUBKZCMZN
      LZOABEEDVTCMZNLZOZUEUFVQDUGZABVRVRWBEEWDWFVRHDJKZEVQDHJUCFUHZWHWFWAWCNVQD
      VTCUIUJUKABGCULEEUMZNUNZUOUQZURZWEPZWIQRWLQRWEQRWDWLRZBESAESWMWNABEENWCUP
      USABEEWDWLWEWEUTVAVBEEEWGQFHDJVCVDZWOVEWJWKWJTVKTTNPWJTVFVGTTNVHVIVJVLVMW
      IWLWEQQVNVOVP $.

    $( The value of the Euclidean metric.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Revised by Mario Carneiro, 13-Sep-2015.) $)
    rrnmval $p |- ( ( I e. Fin /\ F e. X /\ G e. X ) -> ( F ( Rn ` I ) G ) =
        ( sqrt ` sum_ k e. I ( ( ( F ` k ) - ( G ` k ) ) ^ 2 ) ) ) $=
      ( vx vy cfn wcel cv cfv cmin co c2 cexp csu csqrt wceq fveq1 w3a crrn cvv
      cmpo rrnval 3ad2ant1 oveqan12d oveq1d sumeq2sdv fveq2d adantl simp2 simp3
      wa fvexd ovmpod ) DIJZBEJZCEJZUAZGHBCEEDAKZGKZLZVAHKZLZMNZOPNZAQZRLZDVABL
      ZVACLZMNZOPNZAQZRLZDUBLZUCUQURVPGHEEVIUDSUSGHADEFUEUFVBBSZVDCSZUNZVIVOSUT
      VSVHVNRVSDVGVMAVSVFVLOPVQVRVCVJVEVKMVAVBBTVAVDCTUGUHUIUJUKUQURUSULUQURUSU
      MUTVNRUOUP $.

    $( Euclidean space is a metric space.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Proof shortened by Mario Carneiro, 5-Jun-2014.) $)
    rrnmet $p |- ( I e. Fin -> ( Rn ` I ) e. ( Met ` X ) ) $=
      ( vx vy vk wcel cr cfv wf co cc0 wceq wb caddc wral wa c2 cexp csqrt crrn
      vz cfn cxp cv cle wbr cmet cmin csu cmpo simpl simprl eleqtrdi elmapi syl
      cmap ffvelrnda simprr resubcld resqcld fsumrecl sqge0d fsumge0 ralrimivva
      resqrtcld eqid fmpo sylib rrnval feq1d mpbird sqrt00 syl2anc fsum00 bitrd
      cc recnd sqeq0 subeq0ad ralbidva rrnmval 3expb eqeq1d ffnd eqfnfv 3bitr4d
      wfn simpll adantlr simpr npncand oveq1d sumeq2dv fveq2d sqsubswap 3brtr3d
      trirn w3a 3adant3r 3adant3l oveq12d 3expa an32s 3brtr4d ralrimiva jca cvv
      adantr ovex eqeltri ismet ax-mp sylanbrc ) AUCGZBBUDZHAUAIZJZDUEZEUEZXQKZ
      LMZXSXTMZNZYAUBUEZXSXQKZYEXTXQKZOKZUFUGZUBBPZQZEBPDBPZXQBUHIGZXOXRXPHDEBB
      AFUEZXSIZYNXTIZUIKZRSKZFUJZTIZUKZJZXOYTHGZEBPDBPUUBXOUUCDEBBXOXSBGZXTBGZQ
      ZQZYSUUGAYRFXOUUFULZUUGYNAGZQZYQUUJYOYPUUGAHYNXSUUGXSHAUQKZGAHXSJUUGXSBUU
      KXOUUDUUEUMCUNXSHAUOUPZURZUUGAHYNXTUUGXTUUKGAHXTJUUGXTBUUKXOUUDUUEUSCUNXT
      HAUOUPZURZUTZVAZVBZUUGAYRFUUHUUQUUJYQUUPVCZVDZVFVEDEBBYTHUUAUUAVGVHVIXOXP
      HXQUUADEFABCVJVKVLXOYKDEBBUUGYDYJUUGYTLMZYOYPMZFAPZYBYCUUGUVAYRLMZFAPZUVC
      UUGUVAYSLMZUVEUUGYSHGLYSUFUGUVAUVFNUURUUTYSVMVNUUGAYRFUUHUUQUUSVOVPUUGUVD
      UVBFAUUJUVDYQLMZUVBUUJYQVQGUVDUVGNUUJYQUUPVRYQVSUPUUJYOYPUUJYOUUMVRZUUJYP
      UUOVRZVTVPWAVPUUGYAYTLXOUUDUUEYAYTMZFXSXTABCWBWCZWDUUGXSAWHXTAWHYCUVCNUUG
      AHXSUULWEUUGAHXTUUNWEFAXSXTWFVNWGUUGYIUBBUUGYEBGZQZYTAYNYEIZYOUIKRSKZFUJZ
      TIZAUVNYPUIKZRSKFUJTIZOKZYAYHUFUVMAYOUVNUIKZUVROKZRSKZFUJZTIAUWARSKZFUJZT
      IZUVSOKYTUVTUFUVMAUWAUVRFXOUUFUVLWIUVMUUIQZYOUVNUUGUUIYOHGUVLUUMWJUVMAHYN
      YEUVMYEUUKGAHYEJUVMYEBUUKUUGUVLWKCUNYEHAUOUPURZUTUWHUVNYPUWIUUGUUIYPHGUVL
      UUOWJUTWRUVMUWDYSTUVMAUWCYRFUWHUWBYQRSUWHYOUVNYPUUGUUIYOVQGZUVLUVHWJZUWHU
      VNUWIVRZUUGUUIYPVQGUVLUVIWJWLWMWNWOUVMUWGUVQUVSOUVMUWFUVPTUVMAUWEUVOFUWHU
      WJUVNVQGUWEUVOMUWKUWLYOUVNWPVNWNWOWMWQUUGUVJUVLUVKXIXOUVLUUFYHUVTMZXOUVLU
      UFUWMXOUVLUUFWSYFUVQYGUVSOXOUVLUUDYFUVQMUUEFYEXSABCWBWTXOUVLUUEYGUVSMUUDF
      YEXTABCWBXAXBXCXDXEXFXGVEBXHGYMXRYLQNBUUKXHCHAUQXJXKDEUBXHXQBXLXMXN $.

    rrndstprj1.1 $e |- M = ( ( abs o. - ) |` ( RR X. RR ) ) $.
    $( The distance between two points in Euclidean space is greater than the
       distance between the projections onto one coordinate.  (Contributed by
       Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro, 13-Sep-2015.) $)
    rrndstprj1 $p |- ( ( ( I e. Fin /\ A e. I ) /\ ( F e. X /\ G e. X
                    ) ) -> ( ( F ` A ) M ( G ` A ) ) <_ ( F ( Rn ` I ) G ) ) $=
      ( vk wcel wa cfv cmin co c2 cexp cle wbr cr wceq cfn cabs cv csqrt simpll
      csu crrn cmap wf simprl eleqtrdi elmapi ffvelrnda simprr resubcld resqcld
      syl sqge0d fveq2 oveq12d oveq1d fsumge1 ffvelrnd absresq fsumrecl fsumge0
      simplr cc0 resqrtth syl2anc 3brtr4d recnd abscld resqrtcld absge0d le2sqd
      sqrtge0d mpbird remetdval rrnmval 3expb adantlr ) DUAJZADJZKZBFJZCFJZKZKZ
      ABLZACLZMNZUBLZDIUCZBLZWNCLZMNZOPNZIUFZUDLZWJWKENZBCDUGLNZQWIWMWTQRWMOPNZ
      WTOPNZQRWIWLOPNZWSXCXDQWIDWRXEIAWCWDWHUEZWIWNDJKZWQXGWOWPWIDSWNBWIBSDUHNZ
      JDSBUIWIBFXHWEWFWGUJGUKBSDULUQZUMWIDSWNCWICXHJDSCUIWICFXHWEWFWGUNGUKCSDUL
      UQZUMUOZUPZXGWQXKURZWNATZWQWLOPXNWOWJWPWKMWNABUSWNACUSUTVAWCWDWHVGZVBWIWL
      SJXCXETWIWJWKWIDSABXIXOVCZWIDSACXJXOVCZUOZWLVDUQWIWSSJVHWSQRXDWSTWIDWRIXF
      XLVEZWIDWRIXFXLXMVFZWSVIVJVKWIWMWTWIWLWIWLXRVLZVMWIWSXSXTVNWIWLYAVOWIWSXS
      XTVQVPVRWIWJSJWKSJXAWMTXPXQWJWKEHVSVJWCWHXBWTTZWDWCWFWGYBIBCDFGVTWAWBVK
      $.

    $( Bound on the distance between two points in Euclidean space given bounds
       on the distances in each coordinate.  This theorem and ~ rrndstprj1 can
       be used to show that the supremum norm and Euclidean norm are
       equivalent.  (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by
       Mario Carneiro, 13-Sep-2015.) $)
    rrndstprj2 $p |- ( ( ( I e. ( Fin \ { (/) } ) /\ F e. X /\ G e. X ) /\
      ( R e. RR+ /\ A. n e. I ( ( F ` n ) M ( G ` n ) ) < R ) ) ->
        ( F ( Rn ` I ) G ) < ( R x. ( sqrt ` ( # ` I ) ) ) ) $=
      ( vk wcel cfv co clt wbr c2 cexp cmul wceq cr cfn c0 csn cdif w3a cv wral
      crp wa crrn cmin csqrt chash simpl1 eldifad simpl2 simpl3 rrnmval syl3anc
      csu wne eldifsni syl wf eleqtrdi elmapi ffvelrnda resubcld resqcld simprl
      cmap rpred adantr absresq remetdval syl2anc simprr oveq12d breq1d rspccva
      cabs fveq2 sylan eqbrtrrd recnd abscld absge0d rpge0d lt2sqd mpbid fsumlt
      cc0 cle fsumrecl sqge0d resqrtth cn wb hashnncl mpbird nnrpd oveq2d rpcnd
      fsumge0 mulcomd eqtrd rpsqrtcld sqmuld fsumconst 3eqtr4d 3brtr4d rpmulcld
      cc resqrtcld sqrtge0d eqbrtrd ) EUAUBUCZUDKZCGKZDGKZUEZAUHKZBUFZCLZYCDLZF
      MZANOZBEUGZUIZUIZCDEUJLMZEJUFZCLZYLDLZUKMZPQMZJUTZULLZAEUMLZULLZRMZNYJEUA
      KZXSXTYKYRSYJEUAXQXRXSXTYIUNZUOZXRXSXTYIUPZXRXSXTYIUQZJCDEGHURUSYJYRUUANO
      YRPQMZUUAPQMZNOYJYQEAPQMZJUTZUUGUUHNYJEYPUUIJUUDYJXREUBVAZUUCEUAUBVBVCZYJ
      YLEKZUIZYOUUNYMYNYJETYLCYJCTEVKMZKETCVDYJCGUUOUUEHVECTEVFVCVGZYJETYLDYJDU
      UOKETDVDYJDGUUOUUFHVEDTEVFVCVGZVHZVIZYJUUITKUUMYJAYJAYAYBYHVJZVLZVIZVMUUN
      YOWALZPQMZYPUUINUUNYOTKUVDYPSUURYOVNVCUUNUVCANOUVDUUINOUUNYMYNFMZUVCANUUN
      YMTKYNTKUVEUVCSUUPUUQYMYNFIVOVPYJYHUUMUVEANOZYAYBYHVQYGUVFBYLEYCYLSZYFUVE
      ANUVGYDYMYEYNFYCYLCWBYCYLDWBVRVSVTWCWDUUNUVCAUUNYOUUNYOUURWEZWFYJATKUUMUV
      AVMUUNYOUVHWGYJWLAWMOUUMYJAUUTWHVMWIWJWDWKYJYQTKWLYQWMOUUGYQSYJEYPJUUDUUS
      WNZYJEYPJUUDUUSUUNYOUURWOXDZYQWPVPYJUUIYTPQMZRMZYSUUIRMZUUHUUJYJUVLUUIYSR
      MUVMYJUVKYSUUIRYJYSTKWLYSWMOUVKYSSYJYSYJYSYJYSWQKZUUKUULYJUUBUVNUUKWRUUDE
      WSVCWTXAZVLYJYSUVOWHYSWPVPXBYJUUIYSYJUUIUVBWEZYJYSUVOXCXEXFYJAYTYJAUUTXCY
      JYTYJYSUVOXGZXCXHYJUUBUUIXMKUUJUVMSUUDUVPEUUIJXIVPXJXKYJYRUUAYJYQUVIUVJXN
      YJUUAYJAYTUUTUVQXLZVLYJYQUVIUVJXOYJUUAUVRWHWIWTXP $.

    rrncms.3 $e |- J = ( MetOpen ` ( Rn ` I ) ) $.
    rrncms.4 $e |- ( ph -> I e. Fin ) $.
    rrncms.5 $e |- ( ph -> F e. ( Cau ` ( Rn ` I ) ) ) $.
    rrncms.6 $e |- ( ph -> F : NN --> X ) $.
    rrncms.7 $e |- P = ( m e. I |->
                         ( ~~> ` ( t e. NN |-> ( ( F ` t ) ` m ) ) ) ) $.
    $( Lemma for ~ rrncms .  (Contributed by Jeff Madsen, 6-Jun-2014.)
       (Revised by Mario Carneiro, 13-Sep-2015.) $)
    rrncmslem $p |- ( ph -> F e. dom ( ~~>t ` J ) ) $=
      ( vk cfv wcel cn vx vj vn vy clm wrel wbr cdm lmrel cv crrn clt wral wrex
      co cuz crp cr cmap wf wfn cmpt cli fvex fnmpti a1i nnuz 1zzd cvv wceq weq
      wa fveq2 fveq1d eqid fvmpt adantl ffvelrnda eleqtrdi elmapi an32s eqeltrd
      syl recnd cmin cabs ccau cmet cxmet cfn rrnmet metxmet eqidd iscauf mpbid
      c1 adantr cle ad3antrrr simpllr eluznn adantll ffvelrnd simplr syl3anc wi
      adantllr syl2anc metcl ad2antrr ralimdva reximdva remetdval fveq2d breq1d
      ralbidva rexbidva sylibd mpd ralrimiva sylanbrc wb sylancr mpbird cc0 csu
      c0 csqrt adantlr simplrr eqtrdi simplrl cz 1z rexuz3 ax-mp sylan2 anassrs
      expr rpcnd rrndstprj1 syl22anc metsym breqtrd simpll rpre lelttr ad2antlr
      remet mpand oveq12d eqtr4d ralbidv nnex caucvg mpteq2dv breqtrrd climrecl
      mptex climdm sylib reex elmapg eleqtrrdi 1nn c2 cexp rrnmval sumeq1d sum0
      ffnfv eqtrd sqrt0 rpgt0d eqbrtrd eqtr4di raleqdv rspcev chash cdiv simprl
      wne simprr hashnncl rpsqrtcld rpdivcld climi2 bitr3id rexfiuz syl5bb cmul
      csn cdif eldifsn w3a rrndstprj2 syl31anc rpne0d divcan1d breq2d pm2.61dne
      nnrpd lmmbrf mpbir2and releldm ) AGUERZUFECUXFUGZEUXFUHSGUIAUXGCISZQUJZER
      ZCFUKRZUOZUAUJZULUGZQUBUJZUPRZUMZUBTUNZUAUQUMACURFUSUOZIACUXSSZFURCUTZACF
      VAZUCUJZCRZURSZUCFUMUYAUYBADFBTDUJZBUJZERZRZVBZVCRZCUYJVCVDPVEVFAUYEUCFAU
      YCFSZVLZUYDQBTUYCUYHRZVBZWPTVGUYMVHUYMUYOUYOVCRZUYDVCUYMUYOVCUHSUYOUYPVCU
      GUYMUAUBQUYOWPVITVGUYMUXITSZVLZUXIUYORZUYRUYSUYCUXJRZURUYQUYSUYTVJZUYMBUX
      IUYNUYTTUYOBQVKUYCUYHUXJUYGUXIEVMVNUYOVOZUYCUXJVDVPZVQAUYQUYLUYTURSZAUYQV
      LZFURUYCUXJVUEUXJUXSSFURUXJUTVUEUXJIUXSATIUXIEOVRZJVSUXJURFVTWCVRWAZWBZWD
      UYMUXOERZUXJUXKUOZUXMULUGZQUXPUMZUBTUNZUAUQUMZUYSUXOUYORZWEUOZWFRZUXMULUG
      ZQUXPUMZUBTUNZUAUQUMZAVUNUYLAEUXKWGRSVUNNAUAUXJVUIUXKUBQEWPITVGAUXKIWHRSZ
      UXKIWIRSAFWJSZVVBMFIJWKWCZUXKIWLWCZAVHZVUEUXJWMZAUXOTSZVLZVUIWMOWNWOWQUYM
      VUNUYTUYCVUIRZHUOZUXMULUGZQUXPUMZUBTUNZUAUQUMVVAUYMVUMVVNUAUQUYMUXMUQSZVL
      ZVULVVMUBTVVPVVHVLZVUKVVLQUXPVVQUXIUXPSZVLZVVKVUJWRUGZVUKVVLUYMVVHVVRVVTV
      VOUYMVVHVLZVVRVLZVVKUXJVUIUXKUOZVUJWRVWBVVCUYLUXJISZVUIISZVVKVWCWRUGAVVCU
      YLVVHVVRMWSAUYLVVHVVRWTVWBTIUXIEATIEUTZUYLVVHVVROWSZVVHVVRUYQUYMUXIUXOXAZ
      XBZXCZVWBTIUXOEVWGUYMVVHVVRXDXCZUYCUXJVUIFHIJKUUAUUBVWBVVBVWDVWEVWCVUJVJA
      VVBUYLVVHVVRVVDWSZVWJVWKUXJVUIUXKIUUCXEUUDXGVVSVVKURSZVUJURSZUXMURSZVVTVU
      KVLVVLXFUYMVVHVVRVWMVVOVWBHURWHRSZVUDVVJURSZVWMVWPVWBHKUUIVFVWBUYMUYQVUDU
      YMVVHVVRUUEVWIVUGXHZVWAVWQVVRAVVHUYLVWQVVIFURUYCVUIVVIVUIUXSSFURVUIUTVVIV
      UIIUXSATIUXOEOVRJVSVUIURFVTWCVRWAWQZUYTVVJHURXIXEXGUYMVVHVVRVWNVVOVWBVVBV
      WEVWDVWNVWLVWKVWJVUIUXJUXKIXIXEXGVVPVWOVVHVVRVVOVWOUYMUXMUUFVQXJVVKVUJUXM
      UUGXEUUJXKXLXKUYMVVNVUTUAUQUYMVVMVUSUBTVWAVVLVURQUXPVWBVVKVUQUXMULVWBVVKU
      YTVVJWEUOZWFRZVUQVWBVUDVWQVVKVXAVJVWRVWSUYTVVJHKXMXHVWBVUPVWTWFVWBUYSUYTV
      UOVVJWEVWBUYQVUAVWIVUCWCVVHVUOVVJVJUYMVVRBUXOUYNVVJTUYOBUBVKUYCUYHVUIUYGU
      XOEVMVNVUBUYCVUIVDVPUUHUUKXNUULXOXPXQUUMXRXSUYOVISUYMBTUYNUUNUUSVFUUOUYOU
      UTUVAUYLUYDUYPVJADUYCUYKUYPFCDUCVKZUYJUYOVCVXBBTUYIUYNUYFUYCUYHVMUUPXNPUY
      OVCVDVPVQUUQZVUHUURZXTUCFURCUVKYAAURVISVVCUXTUYAYBUVBMURFCVIWJUVCYCYDJUVD
      ZAUXRUAUQAVVOVLUXRFYGAVVOFYGVJZUXRAVVOVXFVLZVLZWPTSUXNQTUMZUXRUVEVXHUXNQT
      VXHUYQVLZUXLYEUXMULVXJUXLYEYHRZYEVXJUXLFUDUJZUXJRVXLCRWEUOUVFUVGUOZUDYFZY
      HRZVXKVXJVVCVWDUXHUXLVXOVJAVVCVXGUYQMXJAUYQVWDVXGVUFYIAUXHVXGUYQVXEXJUDUX
      JCFIJUVHXEVXJVXNYEYHVXJVXNYGVXMUDYFYEVXJFYGVXMUDAVVOVXFUYQYJUVIVXMUDUVJYK
      XNUVLUVMYKVXJUXMAVVOVXFUYQYLUVNUVOXTUXQVXIUBWPTUXOWPVJZUXNQUXPTVXPUXPWPUP
      RTUXOWPUPVMVGUVPUVQUVRYCYSAVVOFYGUWBZUXRAVVOVXQVLZVLZUYTUYDHUOZUXMFUVSRZY
      HRZUVTUOZULUGZUCFUMZQUXPUMZUBTUNZUXRVXSVYGVYDQUXPUMZUBYMUNZUCFUMZVXSVYIUC
      FVXSUYLVLZVYIUYTUYDWEUOWFRZVYCULUGZQUXPUMZUBTUNZVYKUYDUYTVYCUBQUYOWPTVGVY
      KVHVXSVYCUQSZUYLVXSUXMVYBAVVOVXQUWAVXSVYAVXSVYAVXSVYATSZVXQAVVOVXQUWCVXSV
      VCVYQVXQYBAVVCVXRMWQZFUWDWCYDUXBUWEZUWFZWQUYQVUAVYKVUCVQAUYLUYOUYDVCUGVXR
      VXCYIUWGVYIVYHUBTUNZVYKVYOWPYMSZWUAVYIYBYNVYDUBQWPTVGYOYPVYKVYHVYNUBTVYKV
      VHVLVYDVYMQUXPVYKVVHVVRVYDVYMYBZVVHVVRVLZVYKUYQWUCVWHVYKUYQVLZVXTVYLVYCUL
      WUEVUDUYEVXTVYLVJAUYLUYQVUDVXRVUGXGVYKUYEUYQAUYLUYEVXRVXDYIWQUYTUYDHKXMXH
      XOYQYRXPXQUWHYDXTVYGVYFUBYMUNZVXSVYJWUBVYGWUFYBYNVYEUBQWPTVGYOYPVXSVVCWUF
      VYJYBVYRVYDFUBQUCUWIWCUWJYDVXSVYFUXQUBTVXSVVHVLVYEUXNQUXPVXSVVHVVRVYEUXNX
      FZWUDVXSUYQWUGVWHVXSUYQVLZVYEUXLVYCVYBUWKUOZULUGZUXNWUHFWJYGUWLUWMSZVWDUX
      HVYPVYEWUJXFWUHVVCVXQWUKAVVCVXRUYQMXJAVVOVXQUYQYJFWJYGUWNYAVXSTIUXIEAVWFV
      XROWQVRAUXHVXRUYQVXEXJVXSVYPUYQVYTWQWUKVWDUXHUWOVYPVYEWUJVYCUCUXJCFHIJKUW
      PYSUWQWUHWUIUXMUXLULWUHUXMVYBWUHUXMAVVOVXQUYQYLYTWUHVYBVXSVYBUQSUYQVYSWQZ
      YTWUHVYBWULUWRUWSUWTXRYQYRXKXLXSYSUXAXTAUAUXJUXKCUBQEGWPITLVVEVGVVFVVGOUX
      CUXDECUXFUXEYC $.
  $}

  ${
    $d f m t I $.  $d f X $.
    rrncms.1 $e |- X = ( RR ^m I ) $.
    $( Euclidean space is complete.  (Contributed by Jeff Madsen, 2-Sep-2009.)
       (Revised by Mario Carneiro, 13-Sep-2015.) $)
    rrncms $p |- ( I e. Fin -> ( Rn ` I ) e. ( CMet ` X ) ) $=
      ( vf vt vm cfn wcel crrn cfv ccmet cn cv wf cmopn clm wa cmpt cr eqid cdm
      wi ccau wral cli cabs cmin ccom cxp cres simpll simplr simpr rrncmslem ex
      ralrimiva c1 nnuz 1zzd rrnmet iscmet3 mpbird ) AGHZAIJZBKJHLBDMZNZVEVDOJZ
      PJUAHZUBZDVDUCJZUDVCVIDVJVCVEVJHZQZVFVHVLVFQEFAELFMEMVEJJRUEJRZFVEAVGUFUG
      UHSSUIUJZBCVNTVGTZVCVKVFUKVCVKVFULVLVFUMVMTUNUOUPVCVDDVGUQBLURVOVCUSABCUT
      VAVB $.
  $}

  ${
    $d k r z F $.  $d k r z G $.  $d k r z I $.  $d k r z ph $.  $d k r z X $.
    $d k r D $.
    rrnequiv.y $e |- Y = ( ( CCfld |`s RR ) ^s I ) $.
    rrnequiv.d $e |- D = ( dist ` Y ) $.
    rrnequiv.1 $e |- X = ( RR ^m I ) $.
    $( The supremum metric on ` RR ^ I ` is a metric.  (Contributed by Jeff
       Madsen, 15-Sep-2015.) $)
    repwsmet $p |- ( I e. Fin -> D e. ( Met ` X ) ) $=
      ( vk cfn wcel ccnfld csca cfv cr cds cbs cmet cvv eqid wceq cress csn cxp
      co cprds cabs cmin ccom cres cmpt fconstmpt oveq2i wss ax-resscn cnfldbas
      cc ressbas2 ax-mp reex cnfldds ressds reseq1i fvexd id cv wa ovex prdsmet
      a1i remet resssca pwsval mpan fveq2d syl5eq cmap pwsbas eqtrd 3eltr4d ) B
      IJZKLMZBKNUAUDZUBUCZUEUDZOMZWDPMZQMACQMVTHWFWEWBWAUFUGUHZNNUCZUIZBNRWDRWC
      HBWBUJWAUEHBWBUKULWFSNUPUMNWBPMTUNNUPWBKWBSZUOUQURZWGWBOMZWHNRJZWGWLTUSNW
      GKWBRWJUTVAURVBWESVTKLVCVTVDWBRJZVTHVEBJVFZKNUAVGZVIWINQMJWOWIWISVJVIVHVT
      ADOMWEFVTDWDOWNVTDWDTWPWBWABRIDEWMWAWBLMTUSNWAKWBRWJWASVKURVLVMZVNVOVTCWF
      QVTCNBVPUDZWFGVTWRDPMZWFWNVTWRWSTWPNWBBRIDEWKVQVMVTDWDPWQVNVRVOVNVS $.

    rrnequiv.i $e |- ( ph -> I e. Fin ) $.
    $( The supremum metric on ` RR ^ I ` is equivalent to the ` Rn ` metric.
       (Contributed by Jeff Madsen, 15-Sep-2015.) $)
    rrnequiv $p |- ( ( ph /\ ( F e. X /\ G e. X ) ) ->
      ( ( F D G ) <_ ( F ( Rn ` I ) G ) /\
        ( F ( Rn ` I ) G ) <_ ( ( sqrt ` ( # ` I ) ) x. ( F D G ) ) ) ) $=
      ( vk wcel co cfv cle wbr cr cvv adantr vz vr wa crrn chash cmul cabs cmin
      csqrt cv ccom cxp cres cmpt crn cc0 csn cun cxr clt csup csca cress cprds
      ccnfld cds wceq ovex reex eqid resssca ax-mp pwsval sylancr fveq2d syl5eq
      cfn oveqd cbs fconstmpt oveq2i a1i ralrimiva simprl cmap cc wss ax-resscn
      cnfldbas ressbas2 pwsbas eleqtrd simprr cnfldds ressds reseq1i prdsdsval3
      fvexd eqtrd wral rrndstprj1 an32s sylanl1 wb rgenw breq1 ralrnmptw sylibr
      cmet rrnmet syl metge0 syl3anc breq1d syl5ibrcom ralrimiv ralunb sylanbrc
      elsni prdsbascl r19.21bi metcl syl2anc ressxr sselid mpbird eqbrtrd c0 wf
      wfn eleqtrdi elmapi ffn 3syl caddc crp readdcld lelttrd ad2antrr recnd cn
      remet mp3an1 fmpttd frnd sstrdi snssd unssd supxrleub rzal eqfnfv syl5ibr
      0xr imp oveq1d met0 cn0 hashcl nn0red nn0ge0d resqrtcld repwsmet sqrtge0d
      mulge0d remulcld rpre ad2antll cdiv cdif eldifsn hashnncl nnrpd rpsqrtcld
      rpdivcld rpred 0red ltaddrpd elrpd adantlr ssun1 elrnmpt1 sylancl supxrub
      simpr breqtrrd rrndstprj2 syl32anc adddird mulcomd rpne0d oveq12d breqtrd
      wne divcan1d ltled anassrs alrple pm2.61dane jca ) ACFMZDFMZUCZUCZCDBNZCD
      EUDOZNZPQUXFEUEOZUIOZUXDUFNZPQZUXCUXDLELUJZCOZUXKDOZUGUHUKZRRULZUMZNZUNZU
      OZUPUQZURZUSUTVAZUXFPUXCUXDCDVEVBOZEVERVCNZUQULZVDNZVFOZNUYBUXCBUYGCDUXCB
      GVFOUYGIUXCGUYFVFUXCUYDSMZEVQMZGUYFVGVERVCVHZAUYIUXBKTZUYDUYCESVQGHRSMZUY
      CUYDVBOVGVIRUYCVEUYDSUYDVJZUYCVJVKVLVMVNZVOVPVRUXCLUYFVSOZUYGUYDUYCUXPCDE
      RSVQSUYFUYELEUYDUNUYCVDLEUYDVTWAZUYOVJZUXCVEVBWRZUYKUXCUYHLEUYHUXCUXKEMZU
      CZUYJWBWCZUXCCFUYOAUWTUXAWDZUXCFREWENZUYOJUXCVUCGVSOZUYOUXCUYHUYIVUCVUDVG
      UYJUYKRUYDESVQGHRWFWGRUYDVSOVGWHRWFUYDVEUYMWIWJVLZWKVNUXCGUYFVSUYNVOWSVPZ
      WLZUXCDFUYOAUWTUXAWMZVUFWLZVUEUXNUYDVFOZUXOUYLUXNVUJVGVIRUXNVEUYDSUYMWNWO
      VLWPUYGVJWQWSZUXCUYBUXFPQZUAUJZUXFPQZUAUYAWTZUXCVUNUAUXSWTZVUNUAUXTWTVUOU
      XCUXQUXFPQZLEWTZVUPUXCVUQLEAUYIUXBUYSVUQKUYIUYSUXBVUQUXKCDEUXPFJUXPVJZXAX
      BXCWCUXQSMZLEWTVUPVURXDVUTLEUXLUXMUXPVHZXEVUNVUQLUAEUXQUXRSUXRVJZVUMUXQUX
      FPXFXGVLXHUXCVUNUAUXTUXCVUNVUMUXTMZUPUXFPQZUXCUXEFXIOZMZUWTUXAVVDUXCUYIVV
      FUYKEFJXJXKZVUBVUHCDUXEFXLXMVVCVUMUPUXFPVUMUPXSXNXOXPVUNUAUXSUXTXQXRUXCUY
      AUSWGZUXFUSMVULVUOXDUXCUXSUXTUSUXCUXSRUSUXCERUXRUXCLEUXQRUYTUXLRMZUXMRMZU
      XQRMZUXCVVILEUXCLUYOUYDUYCCERSVQSUYFUYPUYQUYRUYKVUAVUEVUGXTYAUXCVVJLEUXCL
      UYOUYDUYCDERSVQSUYFUYPUYQUYRUYKVUAVUEVUIXTYAUXPRXIOMVVIVVJVVKUXPVUSUUBUXL
      UXMUXPRYBUUCYCZUUDUUEYDUUFUXCUPUSUPUSMUXCUUMWBUUGUUHZUXCRUSUXFYDUXCVVFUWT
      UXAUXFRMZVVGVUBVUHCDUXEFYBXMZYEUAUYAUXFUUIYCYFYGUXCUXJEYHUXCEYHVGZUCZUXFD
      DUXENZUXIPVVQCDDUXEUXCVVPCDVGZVVPVVSUXCUXLUXMVGZLEWTZVVTLEUUJUXCCEYJZDEYJ
      ZVVSVWAXDUXCCVUCMERCYIVWBUXCCFVUCVUBJYKCREYLERCYMYNUXCDVUCMERDYIVWCUXCDFV
      UCVUHJYKDREYLERDYMYNLECDUUKYCUULUUNUUOUXCVVRUXIPQVVPUXCVVRUPUXIPUXCVVFUXA
      VVRUPVGVVGVUHDUXEFUUPYCUXCUXHUXDUXCUXGUXCUXGUXCUYIUXGUUQMUYKEUURXKZUUSZUX
      CUXGVWDUUTZUVAZUXCBVVEMZUWTUXAUXDRMZUXCUYIVWHUYKBEFGHIJUVBXKZVUBVUHCDBFYB
      XMZUXCUXGVWEVWFUVCUXCVWHUWTUXAUPUXDPQZVWJVUBVUHCDBFXLXMZUVDYGTYGUXCEYHUWM
      ZUCZUXJUXFUXIUBUJZYONZPQZUBYPWTZVWOVWRUBYPUXCVWNVWPYPMZVWRUXCVWNVWTUCZUCZ
      UXFVWQUXCVVNVXAVVOTVXBUXIVWPUXCUXIRMZVXAUXCUXHUXDVWGVWKUVEZTVWTVWPRMUXCVW
      NVWPUVFUVGZYQVXBUXFUXDVWPUXHUVHNZYONZUXHUFNZVWQUTVXBEVQYHUQUVIMZUWTUXAVXG
      YPMUXQVXGUTQZLEWTUXFVXHUTQVXBUYIVWNVXIUXCUYIVXAUYKTZUXCVWNVWTWDZEVQYHUVJX
      RUXCUWTVXAVUBTUXCUXAVXAVUHTVXBVXGVXBUXDVXFUXCVWIVXAVWKTZVXBVXFVXBVWPUXHUX
      CVWNVWTWMVXBUXGVXBUXGVXBUXGUUAMZVWNVXLVXBUYIVXNVWNXDVXKEUVKXKYFUVLUVMZUVN
      ZUVOZYQZVXBUPUXDVXGVXBUVPVXMVXRUXCVWLVXAVWMTVXBUXDVXFVXMVXPUVQZYRUVRVXBVX
      JLEVXBUYSUCZUXQUXDVXGUXCUYSVVKVXAVVLUVSVXBVWIUYSVXMTVXBVXGRMUYSVXRTVXTUXQ
      UYBUXDPVXTVVHUXQUYAMUXQUYBPQUXCVVHVXAUYSVVMYSVXTUXSUYAUXQUXSUXTUVTVXTUYSV
      UTUXQUXSMVXBUYSUWDVVALEUXQUXRSVVBUWAUWBYEUYAUXQUWCYCUXCUXDUYBVGVXAUYSVUKY
      SUWEVXBUXDVXGUTQUYSVXSTYRWCVXGLCDEUXPFJVUSUWFUWGVXBVXHUXDUXHUFNZVXFUXHUFN
      ZYONVWQVXBUXDVXFUXHVXBUXDVXMYTZVXBVXFVXQYTVXBUXHUXCUXHRMVXAVWGTYTZUWHVXBV
      YAUXIVYBVWPYOVXBUXDUXHVYCVYDUWIVXBVWPUXHVXBVWPVXEYTVYDVXBUXHVXOUWJUWNUWKW
      SUWLUWOUWPWCUXCUXJVWSXDZVWNUXCVVNVXCVYEVVOVXDUBUXFUXIUWQYCTYFUWRUWS $.
  $}

  ${
    $d x y I $.  $d x y M $.  $d x y Y $.
    rrntotbnd.1 $e |- X = ( RR ^m I ) $.
    rrntotbnd.2 $e |- M = ( ( Rn ` I ) |` ( Y X. Y ) ) $.
    $( A set in Euclidean space is totally bounded iff its is bounded.
       (Contributed by Jeff Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro,
       16-Sep-2015.) $)
    rrntotbnd $p |- ( I e. Fin ->
                      ( M e. ( TotBnd ` Y ) <-> M e. ( Bnd ` Y ) ) ) $=
      ( vx vy wcel cr co cfv c1 eqid syl cle wbr wa cmul adantr cfn ccnfld cpws
      cress cds cres chash csqrt caddc crrn repwsmet rrnmet hashcl nn0re nn0ge0
      cxp cn0 resqrtcld cc0 sqrtge0d ge0p1rpd crp 1rp cv cmet metcl 3expb sylan
      a1i simprl simprr w3a metge0 syl3anc simpld remulcld peano2re id rrnequiv
      jca simprd lep1d lemul1a syl31anc letrd recnd mulid2d breqtrrd cc ctotbnd
      wss cbnd wb ax-resscn cnpwstotbnd mpan equivbnd2 ) AUAIZGHUBJUDKAUCKZUELZ
      DDUPUFZBAUGLZUHLZMUIKZMWTAUJLZCDWTACWSWSNZWTNZEUKZACEULZWRXCWRXBUQIZXCJIZ
      AUMZXJXBXBUNZXBUOZUROZWRXJUSXCPQXLXJXBXMXNUTOVAMVBIWRVCVIWRGVDZCIZHVDZCIZ
      RZRZXPXRXEKZXCXPXRWTKZSKZXDYCSKZWRXECVELZIZXTYBJIZXIYGXQXSYHXPXRXECVFVGVH
      ZYAXCYCWRXKXTXOTZYAYCJIZUSYCPQZYAWTYFIZXQXSYKYLRZWRYMXTXHTWRXQXSVJWRXQXSV
      KYMXQXSVLYKYLXPXRWTCVFXPXRWTCVMVTVNZVOZVPYAXDYCWRXDJIZXTWRXKYQXOXCVQOTZYP
      VPYAYCYBPQZYBYDPQZWRWTXPXRACWSXFXGEWRVRVSZWAYAXKYQYNXCXDPQYDYEPQYJYRYOYAX
      CYJWBXCXDYCWCWDWEYAYCYBMYBSKPYAYSYTUUAVOYAYBYAYBYIWFWGWHXANZFJWIWKWRXADWJ
      LIXADWLLIWMWNJXAADWSXFUUBWOWPWQ $.
  $}

  ${
    rrnheibor.1 $e |- X = ( RR ^m I ) $.
    rrnheibor.2 $e |- M = ( ( Rn ` I ) |` ( Y X. Y ) ) $.
    rrnheibor.3 $e |- T = ( MetOpen ` M ) $.
    rrnheibor.4 $e |- U = ( MetOpen ` ( Rn ` I ) ) $.
    $( Heine-Borel theorem for Euclidean space.  A subset of Euclidean space is
       compact iff it is closed and bounded.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Revised by Mario Carneiro, 22-Sep-2015.) $)
    rrnheibor $p |- ( ( I e. Fin /\ Y C_ X ) ->
               ( T e. Comp <-> ( Y e. ( Clsd ` U ) /\ M e. ( Bnd ` Y ) ) ) ) $=
      ( cfn wcel wss wa ccmp ccmet cfv cmet wb adantr ccld cbnd crrn rrnmet cxp
      ctotbnd cres metres2 eqeltrid sylan biantrurd heibor bitrdi eleq1i rrncms
      cmetss syl syl5bb rrntotbnd anbi12d bitrd ) CKLZFEMZNZAOLZDFPQZLZDFUFQLZN
      ZFBUAQLZDFUBQLZNVDVEDFRQZLZVENVIVDVMVEVBCUCQZERQLZVCVMCEGUDVOVCNDVNFFUEUG
      ZVLHVNFEUHUIUJUKDAFIULUMVDVGVJVHVKVGVPVFLZVDVJDVPVFHUNVDVNEPQLZVQVJSVBVRV
      CCEGUOTVNBEFJUPUQURVBVHVKSVCCDEFGHUSTUTVA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Intervals (continued)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d k x y z A $.  $d k y z F $.  $d y z R $.  $d k y z V $.
    ismrer1.1 $e |- R = ( ( abs o. - ) |` ( RR X. RR ) ) $.
    ismrer1.2 $e |- F = ( x e. RR |-> ( { A } X. { x } ) ) $.
    $( An isometry between ` RR ` and ` RR ^ 1 ` .  (Contributed by Jeff
       Madsen, 2-Sep-2009.)  (Revised by Mario Carneiro, 22-Sep-2015.) $)
    ismrer1 $p |- ( A e. V -> F e. ( R Ismty ( Rn ` { A } ) ) ) $=
      ( vy vz vk wcel cr csn co cv cfv wceq cmin c2 cexp cmap cismty cxp xpeq1d
      wf1o crrn wral cmpt sneq mpteq2dv eqtr4di f1oeq1d oveq2d f1oeq3 syl bitrd
      wb eqid reex vex mapsnf1o3 vtoclg csu csqrt cabs xpeq2d snex xpex fvmpt3i
      wa cc fveq1d adantr cvv fvconst2g sylancr sylan9eqr adantl oveq12d oveq1d
      snidg resubcl absresq eqtr4d recnd abscld sqcld eqeltrd fveq2 sumsn eqtrd
      syldan fveq2d absge0d sqrtsqd wf f1of ffvelrnda anim12dan cfn snfi mp3an1
      rrnmval remetdval 3eqtr4rd ralrimivva cxmet rexmet rrnmet metxmet isismty
      cmet mp2b mp2an sylanbrc ) BEKZLLBMZUANZDUEZHOZIOZCNZXTDPZYADPZXQUFPZNZQZ
      ILUGHLUGZDCYEUBNKZLLXTMZUANZALYJAOZMZUCZUHZUEZXSHBEXTBQZYPLYKDUEZXSYQLYKY
      ODYQYOALXQYMUCZUHDYQALYNYSYQYJXQYMXTBUIZUDUJGUKULYQYKXRQYRXSUQYQYJXQLUAYT
      UMYKXRLDUNUOUPALYJYOXTYJURUSHUTZYOURVAVBZXPYGHILLXPXTLKZYALKZVJZVJZXQJOZY
      CPZUUGYDPZRNZSTNZJVCZVDPZXTYARNZVEPZYFYBUUFUUMUUOSTNZVDPUUOUUFUULUUPVDUUF
      UULBYCPZBYDPZRNZSTNZUUPXPUUEUUTVKKUULUUTQUUFUUTUUPVKUUFUUTUUNSTNZUUPUUFUU
      SUUNSTUUFUUQXTUURYARUUEXPUUQBXQYJUCZPZXTUUCUUQUVCQUUDUUCBYCUVBAXTYSUVBLDY
      LXTQYMYJXQYLXTUIVFGXQYMBVGYLVGVHZVIVLVMXPXTVNKBXQKZUVCXTQUUABEWAZXQXTBVNV
      OVPVQUUEXPUURBXQYAMZUCZPZYAUUDUURUVIQUUCUUDBYDUVHAYAYSUVHLDYLYAQYMUVGXQYL
      YAUIVFGUVDVIVLVRXPYAVNKUVEUVIYAQIUTUVFXQYABVNVOVPVQVSVTUUFUUNLKZUUPUVAQUU
      EUVJXPXTYAWBVRZUUNWCUOWDZUUFUUOUUFUUOUUFUUNUUFUUNUVKWEZWFZWEWGWHUUKUUTJBE
      UUGBQZUUJUUSSTUVOUUHUUQUUIUURRUUGBYCWIUUGBYDWIVSVTWJWLUVLWKWMUUFUUOUVNUUF
      UUNUVMWNWOWKUUFYCXRKZYDXRKZVJYFUUMQZXPUUCUVPUUDUVQXPLXRXTDXPXSLXRDWPUUBLX
      RDWQUOZWRXPLXRYADUVSWRWSXQWTKZUVPUVQUVRBXAZJYCYDXQXRXRURZXCXBUOUUEYBUUOQX
      PXTYACFXDVRXEXFCLXGPKYEXRXGPKZYIXSYHVJUQCFXHUVTYEXRXLPKUWCUWAXQXRUWBXIYEX
      RXJXMHIDCYELXRXKXNXO $.
  $}

  ${
    $d x y z $.
    reheibor.2 $e |- M = ( ( abs o. - ) |` ( Y X. Y ) ) $.
    reheibor.3 $e |- T = ( MetOpen ` M ) $.
    reheibor.4 $e |- U = ( topGen ` ran (,) ) $.
    $( Heine-Borel theorem for real numbers.  A subset of ` RR ` is compact iff
       it is closed and bounded.  (Contributed by Jeff Madsen, 2-Sep-2009.)
       (Revised by Mario Carneiro, 22-Sep-2015.) $)
    reheibor $p |- ( Y C_ RR -> ( T e. Comp <->
                               ( Y e. ( Clsd ` U ) /\ M e. ( Bnd ` Y ) ) ) ) $=
      ( cr wss c1o cfv c0 cxp cres wcel co wb cismty eqid cxmet vx vy vz csn cv
      crrn cmpt cima cmopn ccmp ccld cbnd wa cfn cmap df1o2 eqeltri crn imassrn
      snfi wf1o wf cabs cmin ccom wceq wral cvv 0ex ismrer1 ax-mp fveq2i oveq2i
      eleqtrri rexmet cmet rrnmet metxmet mp2b mp2an mpbi simpli f1of frn sstri
      isismty a1i rrnheibor sylancr chmph chmeo cc cnxmet id ax-resscn xmetres2
      sstrdi eqeltrid ismtyhmeo syl2anc ismtyres syl22anc xpss12 anidms eqtr4di
      wbr resabs1d oveq1d eleqtrd sseldd syl cmphmph wi hmphsym impbid cioo ctg
      hmphi tgioo eqtri sselii ctopon retopon toponunii hmeocld syl3anc anbi12d
      ismtybnd 3bitr4d ) DHIZJUFKZUAHLUDZUAUEUDMUGZDUHZYNMNZUIKZUJOZYNYKUIKZUKK
      OZYOYNULKOZUMZAUJOZDBUKKOZCDULKOZUMYJJUNOZYNHJUOPZIZYQUUAQJYLUNUPLUTUQZUU
      GYJYNYMURZUUFYMDUSHUUFYMVAZHUUFYMVBUUIUUFIUUJUBUEZUCUEZVCVDVEZHHMZNZPUUKY
      MKUULYMKYKPVFUCHVGUBHVGZYMUUOYKRPZOZUUJUUPUMZYMUUOYLUFKZRPZUUQLVHOYMUVAOV
      IUALUUOYMVHUUOSZYMSVJVKYKUUTUUORJYLUFUPVLVMVNZUUOHTKOZYKUUFTKOZUURUUSQUUO
      UVBVOZUUEYKUUFVPKOUVEUUHJUUFUUFSZVQYKUUFVRVSZUBUCYMUUOYKHUUFWFVTWAWBHUUFY
      MWCHUUFYMWDVSWEWGZYPYRJYOUUFYNUVGYOSZYPSZYRSZWHWIYJAYPWJXFZUUBYQQYJYMDNZA
      YPWKPZOUVMYJCYORPZUVOUVNYJCDTKZOZYOYNTKOZUVPUVOIYJCUUMDDMZNZUVQEYJUUMWLTK
      ODWLIUWAUVQOWMYJDHWLYJWNZWOWQUUMDWLWPWIWRZYJUVEUUGUVSUVHUVIYKYNUUFWPWIZAY
      PCYODYNFUVKWSWTYJUVNUUOUVTNZYORPZUVPYJUVDUVEUURYJUVNUWFOUVDYJUVFWGUVEYJUV
      HWGUURYJUVCWGUWBDYNUWEYOYMUUOYKHUUFYNSUWESUVJXAXBYJUWECYORYJUWEUWACYJUUMU
      VTUUNYJUVTUUNIDHDHXCXDXGEXEXHXIZXJUVNAYPXRXKUVMUUBYQAYPXLUVMYPAWJXFYQUUBX
      MAYPXNYPAXLXKXOXKYJUUCYSUUDYTYJYMBYRWKPZOYJUUCYSQUUQUWHYMUVDUVEUUQUWHIUVF
      UVHBYRUUOYKHUUFBXPURXQKZUUOUIKZGUUOUWJUVBUWJSXSXTUVLWSVTUVCYAUWBDYMBYRHHB
      BUWIHYBKGYCUQYDYEWIYJUVRUVSUVNUVPOUUDYTQUWCUWDUWGUVNCYODYNYHYFYGYI $.
  $}

  ${
    $d r x y A $.  $d r x y B $.  $d r x y J $.  $d r x y M $.
    iccbnd.1 $e |- J = ( A [,] B ) $.
    iccbnd.2 $e |- M = ( ( abs o. - ) |` ( J X. J ) ) $.
    $( A closed interval in ` RR ` is bounded.  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Proof shortened by Mario Carneiro, 22-Sep-2015.) $)
    iccbnd $p |- ( ( A e. RR /\ B e. RR ) -> M e. ( Bnd ` J ) ) $=
      ( vx vy vr cr wcel wa cfv cv co cle wbr wral cmin cc cmet wrex cbnd cnmet
      cabs ccom cxp cres cicc iccssre eqsstrid ax-resscn sstrdi metres2 sylancr
      wss eqeltrid resubcl ancoms oveqi wceq ovres adantl syl5eq anim12dan eqid
      sselda cnmetdval syl eqtrd caddc w3a simprr eleqtrdi elicc2 adantr simp1d
      wb mpbid syl2anc simpll simprl simplr simp3d lesub1dd subled simp2d letrd
      readdcld lesub2dd lesubadd2d absdifled mpbir2and eqbrtrd ralrimivva breq2
      2ralbidv rspcev isbnd3b sylanbrc ) AJKZBJKZLZDCUAMZKGNZHNZDOZINZPQZHCRGCR
      ZIJUBZDCUCMKXCDUESUFZCCUGUHZXDFXCXLTUAMKCTUPXMXDKUDXCCJTXCCABUIOZJEABUJUK
      ULUMZXLCTUNUOUQXCBASOZJKZXGXPPQZHCRGCRZXKXBXAXQBAURUSZXCXRGHCCXCXECKZXFCK
      ZLZLZXGXEXFSOUEMZXPPYDXGXEXFXLOZYEYDXGXEXFXMOZYFDXMXEXFFUTYCYGYFVAXCXEXFC
      CXLVBVCVDYDXETKZXFTKZLYFYEVAXCYAYHYBYIXCCTXEXOVGXCCTXFXOVGVEXEXFXLXLVFVHV
      IVJYDYEXPPQXFXPSOZXEPQXEXFXPVKOZPQYDYJAXEYDXFJKZXQYJJKYDYLAXFPQZXFBPQZYDX
      FXNKZYLYMYNVLZYDXFCXNXCYAYBVMEVNXCYOYPVRYCABXFVOVPVSZVQZXCXQYCXTVPZXFXPUR
      VTXAXBYCWAZYDXEJKZAXEPQZXEBPQZYDXEXNKZUUAUUBUUCVLZYDXECXNXCYAYBWBEVNXCUUD
      UUEVRYCABXEVOVPVSZVQZYDXFAXPYRYTYSYDXFBAYRXAXBYCWCZYTYDYLYMYNYQWDWEWFYDUU
      AUUBUUCUUFWGWHYDXEBYKUUGUUHYDXFXPYRYSWIYDUUAUUBUUCUUFWDYDBXFSOXPPQBYKPQYD
      AXFBYTYRUUHYDYLYMYNYQWGWJYDBXFXPUUHYRYSWKVSWHYDXEXFXPUUGYRYSWLWMWNWOXJXSI
      XPJXHXPVAXIXRGHCCXHXPXGPWPWQWRVTIGHDCWSWT $.
  $}

  ${
    icccmpALT.1 $e |- J = ( A [,] B ) $.
    icccmpALT.2 $e |- M = ( ( abs o. - ) |` ( J X. J ) ) $.
    icccmpALT.3 $e |- T = ( MetOpen ` M ) $.
    $( A closed interval in ` RR ` is compact.  Alternate proof of ~ icccmp
       using the Heine-Borel theorem ~ heibor .  (Contributed by Jeff Madsen,
       2-Sep-2009.)  (Proof shortened by Mario Carneiro, 14-Aug-2014.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    icccmpALT $p |- ( ( A e. RR /\ B e. RR ) -> T e. Comp ) $=
      ( cr wcel wa ccmp cioo crn ctg cfv ccld cbnd cicc co icccld iccbnd wss wb
      eqeltrid iccssre eqsstrid eqid reheibor syl mpbir2and ) AIJBIJKZCLJZDMNOP
      ZQPZJZEDRPJZULDABSTZUOFABUAUEABDEFGUBULDIUCUMUPUQKUDULDURIFABUFUGCUNEDGHU
      NUHUIUJUK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Operation properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Ass $.

  $( Extend class notation with a device to add associativity to internal
     operations. $)
  cass $a class Ass $.

  ${
    $d g x y z $.
    $( A device to add associativity to various sorts of internal operations.
       The definition is meaningful when ` g ` is a magma at least.
       (Contributed by FL, 1-Nov-2009.)  (New usage is discouraged.) $)
    df-ass $a |- Ass = { g | A. x e. dom dom g A. y e. dom dom g
    A. z e. dom dom g ( ( x g y ) g z ) = ( x g ( y g z ) ) } $.
  $}

  $c ExId $.

  $( Extend class notation with the class of all the internal operations with
     an identity element. $)
  cexid $a class ExId $.

  ${
    $d g x y $.
    $( A device to add an identity element to various sorts of internal
       operations.  (Contributed by FL, 2-Nov-2009.)
       (New usage is discouraged.) $)
    df-exid $a |- ExId = { g | E. x e. dom dom g A. y e. dom dom g
    ( ( x g y ) = y /\ ( y g x ) = y ) } $.
  $}

  ${
    $d G g x y z $.  $d X g x y z $.
    isass.1 $e |- X = dom dom G $.
    $( The predicate "is an associative operation".  (Contributed by FL,
       1-Nov-2009.)  (New usage is discouraged.) $)
    isass $p |- ( G e. A -> ( G e. Ass <-> A. x e. X A. y e. X A. z e. X
      ( ( x G y ) G z ) = ( x G ( y G z ) ) ) ) $=
      ( vg cv co wceq cdm wral wcel w3a wi wal eleq2d oveq eqtrd cass 3anbi123d
      dmeq oveq1d oveq2d eqeq12d imbi12d albidv 2albidv r3al 3bitr4g eqcomi a1i
      dmeqd raleqdv raleqbidv 2ralbidv 3bitrd df-ass elab2g ) AIZBIZHIZJZCIZVCJ
      ZVAVBVEVCJZVCJZKZCVCLZLZMBVKMAVKMZVAVBEJZVEEJZVAVBVEEJZEJZKZCFMZBFMAFMZHE
      UADVCEKZVLVQCELZLZMZBWBMZAWBMZWCBFMZAFMVSVTVAVKNZVBVKNZVEVKNZOZVIPZCQZBQA
      QVAWBNZVBWBNZVEWBNZOZVQPZCQZBQAQVLWEVTWLWRABVTWKWQCVTWJWPVIVQVTWGWMWHWNWI
      WOVTVKWBVAVTVJWAVCEUCUNZRVTVKWBVBWSRVTVKWBVEWSRUBVTVFVNVHVPVTVFVMVEVCJVNV
      TVDVMVEVCVAVBVCESUDVMVEVCESTVTVHVAVOVCJVPVTVGVOVAVCVBVEVCESUEVAVOVCESTUFU
      GUHUIVIABCVKVKVKUJVQABCWBWBWBUJUKVTWDWFAWBFWBFKVTFWBGULUMZVTWCBWBFWTUOUPV
      TWCVRABFFVTVQCWBFWTUOUQURABCHUSUT $.
  $}

  ${
    $d G g x y $.  $d X g x y $.
    isexid.1 $e |- X = dom dom G $.
    $( The predicate ` G ` has a left and right identity element.  (Contributed
       by FL, 2-Nov-2009.)  (Revised by Mario Carneiro, 22-Dec-2013.)
       (New usage is discouraged.) $)
    isexid $p |- ( G e. A -> ( G e. ExId <-> E. x e. X A. y e. X
      ( ( x G y ) = y /\ ( y G x ) = y ) ) ) $=
      ( vg cv co wceq wa cdm wral wrex cexid dmeq dmeqd eqtr4di oveq eqeq1d
      anbi12d raleqbidv rexeqbidv df-exid elab2g ) AHZBHZGHZIZUGJZUGUFUHIZUGJZK
      ZBUHLZLZMZAUONUFUGDIZUGJZUGUFDIZUGJZKZBEMZAENGDOCUHDJZUPVBAUOEVCUODLZLEVC
      UNVDUHDPQFRZVCUMVABUOEVEVCUJURULUTVCUIUQUGUFUGUHDSTVCUKUSUGUGUFUHDSTUAUBU
      CABGUDUE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Groups and related structures
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Magma $.

  $( Extend class notation with the class of all magmas. $)
  cmagm $a class Magma $.

  ${
    $d g t $.
    $( Obsolete version of ~ df-mgm as of 3-Feb-2020.  A magma is a binary
       internal operation.  (Contributed by FL, 2-Nov-2009.)
       (New usage is discouraged.) $)
    df-mgmOLD $a |- Magma = { g | E. t g : ( t X. t ) --> t } $.
  $}

  ${
    $d G g t $.  $d X t $.
    ismgmOLD.1 $e |- X = dom dom G $.
    $( Obsolete version of ~ ismgm as of 3-Feb-2020.  The predicate "is a
       magma".  (Contributed by FL, 2-Nov-2009.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    ismgmOLD $p |- ( G e. A -> ( G e. Magma <-> G : ( X X. X ) --> X ) ) $=
      ( vt vg wcel cmagm cv cdm wceq cxp wf wa wex c0 wi dmeq wb cvv exbidv f00
      df-mgmOLD elab2g dm0 dmeqi eqtri eqtr2di adantr sylbi xpeq12 anidms feq23
      feq1 syl mpancom eqeq1 imbi12d mpbiri wn fdm wne df-ne dmxp sylbir eqeq1d
      biimpcd eqcoms com12 pm2.61i pm4.71ri exbii bitrdi dmexg xpeq12i ceqsexgv
      3syl eqcomi feq23i bitrd ) BAGZBHGZEIZBJZJZKZWCWCLZWCBMZNZEOZCCLZCBMZWAWB
      WHEOZWJWGWCFIZMZEOWMFBHAWNBKWOWHEWGWCWNBUNUAEFUCUDWHWIEWHWFWCPKZWHWFQZWPW
      QPPLZPBMZPWEKZQWSBPKZWRPKZNWTWRBUBXAWTXBXAWDPJZKZWTBPRXDWEXCJZPWDXCRXEXCP
      XCPUEUFUEUGUHUOUIUJWPWHWSWFWTWGWRKZWPWHWSSWPXFWCPWCPUKULWGWCWRPBUMUPWCPWE
      UQURUSWHWPUTZWFWHWDWGKWEWGJZKXGWFQZWGWCBVAWDWGRXIXHWEXGXHWEKWFXGXHWCWEXGW
      CPVBXHWCKWCPVCWCWCVDVEVFVGVHVQVIVJVKVLVMWAWDTGWETGWJWLSBAVNWDTVNWHWLEWETW
      FWHWEWELZWEBMZWLWGXJKZWFWHXKSWFXLWCWEWCWEUKULWGWCXJWEBUMUPXJWEWKCBWECWECC
      WEDVRZXMVOXMVSVMVPVQVT $.
  $}

  ${
    clmgmOLD.1 $e |- X = dom dom G $.
    $( Obsolete version of ~ mgmcl as of 3-Feb-2020.  Closure of a magma.
       (Contributed by FL, 14-Sep-2010.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    clmgmOLD $p |- ( ( G e. Magma /\ A e. X /\ B e. X ) -> ( A G B ) e. X ) $=
      ( cmagm wcel co wi cxp wf ismgmOLD fovrn 3exp syl6bi pm2.43i 3imp ) CFGZA
      DGZBDGZABCHDGZRSTUAIIZRRDDJDCKZUBFCDELUCSTUAABDDDCMNOPQ $.
  $}

  ${
    $d G u x y $.  $d X u x y $.
    opidonOLD.1 $e |- X = dom dom G $.
    $( Obsolete version of ~ mndpfo as of 23-Jan-2020.  An operation with a
       left and right identity element is onto.  (Contributed by FL,
       2-Nov-2009.)  (Revised by Mario Carneiro, 22-Dec-2013.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    opidonOLD $p |- ( G e. ( Magma i^i ExId ) ->
      G : ( X X. X ) -onto-> X ) $=
      ( vy vu vx cmagm cexid cin wcel cxp wf cv co wceq wrex wral wfo sseli syl
      inss1 ismgmOLD ibi wa inss2 isexid biimpd sylc simpl ralimi oveq2 eqeq12d
      id rspcv eqcom eqeq1d syl5bb rspcev ex syld syl5 reximdv impcom ralrimiva
      foov sylanbrc ) AGHIZJZBBKZBALZDMZEMZFMZANZOZFBPZEBPZDBQZVIBARVHAGJZVJVGG
      AGHUASVSVJGABCUBUCTVHVNVMOZVMVLANVMOZUDZFBQZEBPZVRVHAHJZWEWDVGHAGHUESZWFW
      EWEWDEFHABCUFUGUHWDVQDBVKBJZWDVQWGWCVPEBWCVTFBQZWGVPWBVTFBVTWAUIUJWGWHVLV
      KANZVKOZVPVTWJFVKBVMVKOZVNWIVMVKVMVKVLAUKZWKUMULUNWGWJVPVOWJFVKBVOVNVKOWK
      WJVKVNUOWKVNWIVKWLUPUQURUSUTVAVBVCVDTEFDBBBAVEVF $.
  $}

  $( Obsolete version of ~ mndpfo as of 23-Jan-2020.  Range of an operation
     with a left and right identity element.  (Contributed by FL, 2-Nov-2009.)
     (New usage is discouraged.)  (Proof modification is discouraged.) $)
  rngopidOLD $p |- ( G e. ( Magma i^i ExId ) -> ran G = dom dom G ) $=
    ( cmagm cexid cin wcel cdm cxp wfo crn wceq eqid opidonOLD forn syl ) ABCDE
    AFFZOGZOAHAIOJAOOKLPOAMN $.

  ${
    opidon2OLD.1 $e |- X = ran G $.
    $( Obsolete version of ~ mndpfo as of 23-Jan-2020.  An operation with a
       left and right identity element is onto.  (Contributed by FL,
       2-Nov-2009.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    opidon2OLD $p |- ( G e. ( Magma i^i ExId ) ->
      G : ( X X. X ) -onto-> X ) $=
      ( cmagm cexid cin wcel cdm cxp wfo eqid opidonOLD wceq crn eqtr2id xpeq12
      forn wb anidms syl foeq2 foeq3 bitrd biimpd mpcom ) ADEFGAHHZUFIZUFAJZBBI
      ZBAJZAUFUFKLUFBMZUHUJUHBANUFCUGUFAQOUKUHUJUKUHUIUFAJZUJUKUGUIMZUHULRUKUMU
      FBUFBPSUGUIUFAUATUFBUIAUBUCUDUET $.
  $}

  ${
    $d G u x $.  $d X u x $.
    isexid2.1 $e |- X = ran G $.
    $( If ` G e. ( Magma i^i ExId ) ` , then it has a left and right identity
       element that belongs to the range of the operation.  (Contributed by FL,
       12-Dec-2009.)  (Revised by Mario Carneiro, 22-Dec-2013.)
       (New usage is discouraged.) $)
    isexid2 $p |- ( G e. ( Magma i^i ExId ) -> E. u e. X A. x e. X
      ( ( u G x ) = x /\ ( x G u ) = x ) ) $=
      ( crn wceq cmagm cexid cin wcel cv co wa wral wrex cdm raleq rexeqbi1dv
      wi rngopidOLD elin eqid isexid ibi a1d adantl sylbi eqeq2 imbi12d syl5ibr
      mpcom com12 sylibrd ax-mp ) DCFZGZCHIJKZBLZALZCMUTGUTUSCMUTGNZADOZBDPZTEU
      QURVAAUPOZBUPPZVCURUQVEUPCQQZGZURUQVETZCUAURVHVGDVFGZVAAVFOZBVFPZTZURCHKZ
      CIKZNVLCHIUBVNVLVMVNVKVIVNVKBAICVFVFUCUDUEUFUGUHVGUQVIVEVKUPVFDUIVDVJBUPV
      FVAAUPVFRSUJUKULUMVBVDBDUPVAADUPRSUNUO $.
  $}

  ${
    $d G u x y $.  $d X u x y $.
    exidu1.1 $e |- X = ran G $.
    $( Uniqueness of the left and right identity element of a magma when it
       exists.  (Contributed by FL, 12-Dec-2009.)  (Revised by Mario Carneiro,
       22-Dec-2013.)  (New usage is discouraged.) $)
    exidu1 $p |- ( G e. ( Magma i^i ExId ) ->
      E! u e. X A. x e. X ( ( u G x ) = x /\ ( x G u ) = x ) ) $=
      ( vy cmagm wcel cv co wceq wa wral weq ralimi id eqeq12d rspcv syl5 oveq1
      cexid wrex wi wreu isexid2 simpl oveq2 simpr im2anan9r eqtr2 equcomd syl6
      cin rgen2 eqeq1d ovanraleqv reu4 sylanblrc ) CGUAUMHBIZAIZCJZUTKZUTUSCJUT
      KZLZADMZBDUBVEFIZUTCJZUTKZUTVFCJZUTKZLZADMZLZBFNZUCZFDMBDMVEBDUDABCDEUEVO
      BFDDUSDHZVFDHZLVMUSVFCJZVFKZVRUSKZLZVNVQVEVSVPVLVTVEVBADMVQVSVDVBADVBVCUF
      OVBVSAVFDAFNZVAVRUTVFUTVFUSCUGWBPQRSVLVJADMVPVTVKVJADVHVJUHOVJVTAUSDABNZV
      IVRUTUSUTUSVFCTWCPQRSUIWAFBVRVFUSUJUKULUNVEVLBFDVBVHAUTUSUTCDVFVNVAVGUTUS
      VFUTCTUOUPUQUR $.
  $}

  ${
    $d G u x $.  $d X u x $.
    idrval.1 $e |- X = ran G $.
    idrval.2 $e |- U = ( GId ` G ) $.
    $( The value of the identity element.  (Contributed by FL, 12-Dec-2009.)
       (Revised by Mario Carneiro, 22-Dec-2013.)
       (New usage is discouraged.) $)
    idrval $p |- ( G e. A -> U = ( iota_ u e. X
                   A. x e. X ( ( u G x ) = x /\ ( x G u ) = x ) ) ) $=
      ( wcel cgi cfv cv co wceq wa wral crio gidval syl5eq ) ECIDEJKBLZALZEMUAN
      UATEMUANOAFPBFQHABECFGRS $.
  $}

  ${
    $d G u x $.  $d X u x $.
    iorlid.1 $e |- X = ran G $.
    iorlid.2 $e |- U = ( GId ` G ) $.
    $( A magma right and left identity belongs to the underlying set of the
       operation.  (Contributed by FL, 12-Dec-2009.)  (Revised by Mario
       Carneiro, 22-Dec-2013.)  (New usage is discouraged.) $)
    iorlid $p |- ( G e. ( Magma i^i ExId ) -> U e. X ) $=
      ( vu vx cmagm cexid cin wcel cv co wceq wa wral crio idrval wreu exidu1
      riotacl syl eqeltrd ) BHIJZKZAFLZGLZBMUGNUGUFBMUGNOGCPZFCQZCGFUDABCDERUEU
      HFCSUICKGFBCDTUHFCUAUBUC $.
  $}

  ${
    $d A x $.  $d G u x $.  $d U u x $.  $d X u x $.
    cmpidelt.1 $e |- X = ran G $.
    cmpidelt.2 $e |- U = ( GId ` G ) $.
    $( A magma right and left identity element keeps the other elements
       unchanged.  (Contributed by FL, 12-Dec-2009.)  (Revised by Mario
       Carneiro, 22-Dec-2013.)  (New usage is discouraged.) $)
    cmpidelt $p |- ( ( G e. ( Magma i^i ExId ) /\ A e. X ) ->
      ( ( U G A ) = A /\ ( A G U ) = A ) ) $=
      ( vx vu cmagm cexid cin wcel cv co wceq wa wral crio oveq1 eqeq12d idrval
      eqcomd wreu iorlid exidu1 eqeq1d ovanraleqv riota2 syl2anc mpbird anbi12d
      wb oveq2 id rspccva sylan ) CIJKZLZBGMZCNZUSOZUSBCNZUSOZPZGDQZADLBACNZAOZ
      ABCNZAOZPZURVEHMZUSCNZUSOZUSVKCNUSOPGDQZHDRZBOZURBVOGHUQBCDEFUAUBURBDLVNH
      DUCVEVPULBCDEFUDGHCDEUEVNVEHDBVMVAGUSVKUSCDBVKBOVLUTUSVKBUSCSUFUGUHUIUJVD
      VJGADUSAOZVAVGVCVIVQUTVFUSAUSABCUMVQUNZTVQVBVHUSAUSABCSVRTUKUOUP $.
  $}

  $c SemiGrp $.

  $( Extend class notation with the class of all semigroups. $)
  csem $a class SemiGrp $.

  $( Obsolete version of ~ df-sgrp as of 3-Feb-2020.  A semigroup is an
     associative magma.  (Contributed by FL, 2-Nov-2009.)
     (New usage is discouraged.) $)
  df-sgrOLD $a |- SemiGrp = ( Magma i^i Ass ) $.

  $( Obsolete version of ~ sgrpmgm as of 3-Feb-2020.  A semigroup is a magma.
     (Contributed by FL, 2-Nov-2009.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  smgrpismgmOLD $p |- ( G e. SemiGrp -> G e. Magma ) $=
    ( cmagm wcel cass cin csem elin simplbi df-sgrOLD eleq2s ) ABCZABDEZFALCKAD
    CABDGHIJ $.

  ${
    $d G x y z $.  $d X x y z $.
    issmgrpOLD.1 $e |- X = dom dom G $.
    $( Obsolete version of ~ issgrp as of 3-Feb-2020.  The predicate "is a
       semigroup".  (Contributed by FL, 2-Nov-2009.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    issmgrpOLD $p |- ( G e. A -> ( G e. SemiGrp
       <-> ( G : ( X X. X ) --> X /\ A. x e. X A. y e. X A. z e. X
         ( ( x G y ) G z ) = ( x G ( y G z ) ) ) ) ) $=
      ( csem wcel cmagm cass cin cxp wf cv co wceq wral wa syl5bb elin ismgmOLD
      df-sgrOLD eleq2i isass anbi12d ) EHIEJKLZIZEDIZFFMFENZAOZBOZEPCOZEPUKULUM
      EPEPQCFRBFRAFRZSZHUGEUCUDUHEJIZEKIZSUIUOEJKUAUIUPUJUQUNDEFGUBABCDEFGUEUFT
      T $.
  $}

  ${
    $d G x y z $.  $d X x y z $.
    smgrpmgm.1 $e |- X = dom dom G $.
    $( A semigroup is a magma.  (Contributed by FL, 2-Nov-2009.)
       (New usage is discouraged.) $)
    smgrpmgm $p |- ( G e. SemiGrp -> G : ( X X. X ) --> X ) $=
      ( vx vy vz csem wcel cxp wf cv co wceq wa issmgrpOLD simpl syl6bi pm2.43i
      wral ) AGHZBBIBAJZTTUADKZEKZALFKZALUBUCUDALALMFBSEBSDBSZNUADEFGABCOUAUEPQ
      R $.
  $}

  ${
    $d G x y z $.  $d X x y z $.
    smgrpassOLD.1 $e |- X = dom dom G $.
    $( Obsolete version of ~ sgrpass as of 3-Feb-2020.  A semigroup is
       associative.  (Contributed by FL, 2-Nov-2009.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    smgrpassOLD $p |- ( G e. SemiGrp ->
      A. x e. X A. y e. X A. z e. X ( ( x G y ) G z ) = ( x G ( y G z ) ) ) $=
      ( csem wcel cv co wceq wral cxp wf wa issmgrpOLD simpr syl6bi pm2.43i ) D
      GHZAIZBIZDJCIZDJUAUBUCDJDJKCELBELAELZTTEEMEDNZUDOUDABCGDEFPUEUDQRS $.
  $}

  $c MndOp $.

  $( Extend class notation with the class of all monoids. $)
  cmndo $a class MndOp $.

  $( A monoid is a semigroup with an identity element.  (Contributed by FL,
     2-Nov-2009.)  (New usage is discouraged.) $)
  df-mndo $a |- MndOp = ( SemiGrp i^i ExId ) $.

  $( Obsolete version of ~ mndsgrp as of 3-Feb-2020.  A monoid is a semigroup.
     (Contributed by FL, 2-Nov-2009.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  mndoissmgrpOLD $p |- ( G e. MndOp -> G e. SemiGrp ) $=
    ( csem wcel cexid cin cmndo elin simplbi df-mndo eleq2s ) ABCZABDEZFALCKADC
    ABDGHIJ $.

  $( A monoid has an identity element.  (Contributed by FL, 2-Nov-2009.)
     (New usage is discouraged.) $)
  mndoisexid $p |- ( G e. MndOp -> G e. ExId ) $=
    ( cexid wcel csem cin cmndo elinel2 df-mndo eleq2s ) ABCADBEFADBGHI $.

  $( Obsolete version of ~ mndmgm as of 3-Feb-2020.  A monoid is a magma.
     (Contributed by FL, 2-Nov-2009.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  mndoismgmOLD $p |- ( G e. MndOp -> G e. Magma ) $=
    ( cmndo wcel csem cmagm mndoissmgrpOLD smgrpismgmOLD syl ) ABCADCAECAFAGH
    $.

  $( A monoid is a magma with an identity element.  (Contributed by FL,
     18-Feb-2010.)  (New usage is discouraged.) $)
  mndomgmid $p |- ( G e. MndOp -> G e. ( Magma i^i ExId ) ) $=
    ( cmndo wcel cmagm cexid mndoismgmOLD mndoisexid elind ) ABCDEAAFAGH $.

  ${
    $d G x y $.  $d X x y $.
    ismndo.1 $e |- X = dom dom G $.
    $( The predicate "is a monoid".  (Contributed by FL, 2-Nov-2009.)  (Revised
       by Mario Carneiro, 22-Dec-2013.)  (New usage is discouraged.) $)
    ismndo $p |- ( G e. A -> ( G e. MndOp
     <-> ( G e. SemiGrp /\ E. x e. X A. y e. X
      ( ( x G y ) = y /\ ( y G x ) = y ) ) ) ) $=
      ( cmndo wcel csem cexid cin cv co wceq wa wral wrex df-mndo eleq2i syl5bb
      elin isexid anbi2d ) DGHDIJKZHZDCHZDIHZALZBLZDMUINUIUHDMUINOBEPAEQZOZGUDD
      RSUEUGDJHZOUFUKDIJUAUFULUJUGABCDEFUBUCTT $.
  $}

  ${
    $d G x y z $.  $d X x y z $.
    ismndo1.1 $e |- X = dom dom G $.
    $( The predicate "is a monoid".  (Contributed by FL, 2-Nov-2009.)  (Revised
       by Mario Carneiro, 22-Dec-2013.)  (New usage is discouraged.) $)
    ismndo1 $p |- ( G e. A -> ( G e. MndOp <->
      ( G : ( X X. X ) --> X /\
        A. x e. X A. y e. X A. z e. X
          ( ( x G y ) G z ) = ( x G ( y G z ) ) /\
        E. x e. X A. y e. X
         ( ( x G y ) = y /\ ( y G x ) = y ) ) ) ) $=
      ( wcel cmndo csem cv co wceq wa wral wrex cxp wf w3a ad2antrl smgrpassOLD
      ismndo smgrpmgm simprr 3simpa issmgrpOLD syl5ibr imp simpr3 impbida bitrd
      3jca jca ) EDHZEIHEJHZAKZBKZELZUQMUQUPELUQMNBFOAFPZNZFFQFERZURCKZELUPUQVB
      ELELMCFOBFOAFOZUSSZABDEFGUBUNUTVDUNUTNVAVCUSUOVAUNUSEFGUCTUOVCUNUSABCEFGU
      ATUNUOUSUDULUNVDNUOUSUNVDUOVDUOUNVAVCNVAVCUSUEABCDEFGUFUGUHUNVAVCUSUIUMUJ
      UK $.
  $}

  ${
    $d G x y z $.  $d X x y z $.
    ismndo2.1 $e |- X = ran G $.
    $( The predicate "is a monoid".  (Contributed by FL, 2-Nov-2009.)  (Revised
       by Mario Carneiro, 22-Dec-2013.)  (New usage is discouraged.) $)
    ismndo2 $p |- ( G e. A -> ( G e. MndOp <->
      ( G : ( X X. X ) --> X /\
        A. x e. X A. y e. X A. z e. X
          ( ( x G y ) G z ) = ( x G ( y G z ) ) /\
        E. x e. X A. y e. X
         ( ( x G y ) = y /\ ( y G x ) = y ) ) ) ) $=
      ( wcel cdm wceq cxp wf cv co wral wrex w3a wi a1i wb cmndo wa cmagm cexid
      crn cin mndomgmid rngopidOLD syl syl5eq fdm dmeqd dmxpid eqtr2di 3ad2ant1
      eqid ismndo1 xpid11 biimpri feq23 mpancom raleqbi1dv rexeqbi1dv 3anbi123d
      raleq bibi2d syl5ibrcom pm5.21ndd ) EDHZFEIZIZJZEUAHZFFKZFELZAMZBMZENZCMZ
      ENVPVQVSENENJZCFOZBFOZAFOZVRVQJVQVPENVQJUBZBFOZAFPZQZVMVLRVIVMFEUEZVKGVME
      UCUDUFHWHVKJEUGEUHUIUJSWGVLRVIVOWCVLWFVOVKVNIFVOVJVNVNFEUKULFUMUNUOSVIVMW
      GTVLVMVKVKKZVKELZVTCVKOZBVKOZAVKOZWDBVKOZAVKPZQZTABCDEVKVKUPUQVLWGWPVMVLV
      OWJWCWMWFWOVNWIJZVLVOWJTWQVLFVKURUSVNFWIVKEUTVAWBWLAFVKWAWKBFVKVTCFVKVEVB
      VBWEWNAFVKWDBFVKVEVCVDVFVGVH $.
  $}

  ${
    $d G w x y z $.
    $( A group is a monoid.  (Contributed by FL, 2-Nov-2009.)  (Revised by
       Mario Carneiro, 22-Dec-2013.)  (New usage is discouraged.) $)
    grpomndo $p |- ( G e. GrpOp -> G e. MndOp ) $=
      ( vx vy vz vw cgr wcel cmndo crn cxp wf cv co wceq wral wrex wa w3a eqid
      wi isgrpo biimpd grpoidinv simpl ralimi reximi biimprcd 3exp impcom com3l
      ismndo2 syl mpcom expdcom a1i com13 3imp syli pm2.43i ) AFGZAHGZUTUTAIZVB
      JVBAKZBLZCLZAMZDLZAMVDVEVGAMAMNDVBOCVBOBVBOZELZVDAMVDNVEVDAMZVINCVBPQBVBO
      EVBPZRZVAUTUTVLBCDEFAVBVBSZUAUBVCVHVKUTVATZVKVHVCVNVHVCVNTTVKUTVHVCVAVFVE
      NVJVENQZVIVEAMVDNVEVIAMVDNQEVBPZQZCVBOZBVBPZUTVHVCQZVATZCEBAVBVMUCVSVOCVB
      OZBVBPZUTWATVRWBBVBVQVOCVBVOVPUDUEUFVTWCUTVAVCVHWCVNTVCVHWCVNUTVAVCVHWCRB
      CDFAVBVMUKUGUHUIUJULUMUNUOUPUQURUS $.
  $}

  ${
    exidcl.1 $e |- X = ran G $.
    $( Closure of the binary operation of a magma with identity.  (Contributed
       by Jeff Madsen, 16-Jun-2011.) $)
    exidcl $p |- ( ( G e. ( Magma i^i ExId ) /\ A e. X /\ B e. X )
                                            -> ( A G B ) e. X ) $=
      ( cmagm cexid cin wcel w3a co cdm wa crn rngopidOLD syl5eq eleq2d anbi12d
      pm5.32i inss1 sseli eqid clmgmOLD syl3an1 3expb sylbi 3impb wceq 3ad2ant1
      eleqtrrd ) CFGHZIZADIZBDIZJABCKZCLLZDULUMUNUOUPIZULUMUNMZMULAUPIZBUPIZMZM
      UQULURVAULUMUSUNUTULDUPAULDCNUPECOPZQULDUPBVBQRSULUSUTUQULCFIUSUTUQUKFCFG
      TUAABCUPUPUBUCUDUEUFUGULUMDUPUHUNVBUIUJ $.
  $}

  ${
    $d G x $.  $d Y x $.  $d X x $.  $d U u x $.  $d H u x $.
    exidres.1 $e |- X = ran G $.
    exidres.2 $e |- U = ( GId ` G ) $.
    exidres.3 $e |- H = ( G |` ( Y X. Y ) ) $.
    $( Lemma for ~ exidres and ~ exidresid .  (Contributed by Jeff Madsen,
       8-Jun-2010.)  (Revised by Mario Carneiro, 23-Dec-2013.) $)
    exidreslem $p |- ( ( G e. ( Magma i^i ExId ) /\ Y C_ X /\ U e. Y ) ->
                              ( U e. dom dom H /\ A. x e. dom dom H
                            ( ( U H x ) = x /\ ( x H U ) = x ) ) ) $=
      ( wcel wss cdm co wceq wa wral cxp sylib syl5eq dmeqd cmagm cexid cin w3a
      cv cres dmeqi xpss12 anidms wfo wf opidon2OLD fof fdm 3syl sseq2d syl5ibr
      imp ssdmres dmxpid eqtrdi eleq2d biimp3ar cmpidelt sylan2 anassrs adantrl
      ssel2 wb oveqi ovres eqeq1d ancoms anbi12d adantl ralrimiva 3impa 3adant3
      mpbird raleqdv jca ) CUAUBUCJZFEKZBFJZUDZBDLZLZJZBAUEZDMZWINZWIBDMZWINZOZ
      AWGPZWBWCWHWDWBWCOZWGFBWPWGFFQZLZFWPWFWQWPWFCWQUFZLZWQDWSIUGZWPWQCLZKZWTW
      QNZWBWCXCWCXCWBWQEEQZKZWCXFFEFEUHUIWBXBXEWQWBXEECUJXEECUKXBXENCEGULXEECUM
      XEECUNUOUPUQURZWQCUSZRSTFUTZVAVBVCWEWOWNAFPZWBWCWDXJWPWDOWNAFWPWDWIFJZWNW
      PWDXKOZOWNBWICMZWINZWIBCMZWINZOZWPXKXQWDWBWCXKXQWCXKOWBWIEJXQFEWIVHWIBCEG
      HVDVEVFVGXLWNXQVIWPXLWKXNWMXPXLWJXMWIXLWJBWIWSMXMDWSBWIIVJBWIFFCVKSVLXLWL
      XOWIXKWDWLXONXKWDOWLWIBWSMXODWSWIBIVJWIBFFCVKSVMVLVNVOVSVFVPVQWEWNAWGFWEW
      GWRFWEWFWQWEWFWTWQXAWEXCXDWBWCXCWDXGVRXHRSTXIVAVTVSWA $.

    $( The restriction of a binary operation with identity to a subset
       containing the identity has an identity element.  (Contributed by Jeff
       Madsen, 8-Jun-2010.)  (Revised by Mario Carneiro, 23-Dec-2013.) $)
    exidres $p |- ( ( G e. ( Magma i^i ExId ) /\ Y C_ X /\ U e. Y )
                                                      -> H e. ExId ) $=
      ( vu vx cexid wcel cv co wceq wa cdm wral syl cvv cin wss wrex exidreslem
      cmagm w3a oveq1 eqeq1d ovanraleqv rspcev wb cxp cres resexg eqeltrid eqid
      isexid 3ad2ant1 mpbird ) BUEKUAZLZEDUBZAELZUFZCKLZIMZJMZCNZVGOZVGVFCNVGOP
      JCQQZRZIVJUCZVDAVJLAVGCNZVGOZVGACNVGOPJVJRZPVLJABCDEFGHUDVKVOIAVJVIVNJVGV
      FVGCVJAVFAOVHVMVGVFAVGCUGUHUIUJSVAVBVEVLUKZVCVACTLVPVACBEEULZUMTHBVQUTUNU
      OIJTCVJVJUPUQSURUS $.

    $( The restriction of a binary operation with identity to a subset
       containing the identity has the same identity element.  (Contributed by
       Jeff Madsen, 8-Jun-2010.)  (Revised by Mario Carneiro, 23-Dec-2013.) $)
    exidresid $p |- ( ( ( G e. ( Magma i^i ExId ) /\ Y C_ X /\ U e. Y ) /\
                                        H e. Magma ) -> ( GId ` H ) = U ) $=
      ( vu vx cmagm cexid wcel wa cv co wceq wral cvv adantr cin wss w3a resexg
      cgi cfv crn crio cxp cres eqeltrid eqid gidval 3ad2ant1 exidreslem simprd
      syl cdm exidres elin rngopidOLD sylbir ancoms sylan raleqdv mpbird simpld
      wreu eleqtrrd exidu1 oveq1 eqeq1d ovanraleqv riota2 syl2anc mpbid eqtrd
      wb ) BKLUAZMZEDUBZAEMZUCZCKMZNZCUEUFZIOZJOZCPZWHQZWHWGCPWHQNJCUGZRZIWKUHZ
      AWCWFWMQZWDVTWAWNWBVTCSMWNVTCBEEUIZUJSHBWOVSUDUKJICSWKWKULZUMUQUNTWEAWHCP
      ZWHQZWHACPWHQNZJWKRZWMAQZWEWTWSJCURURZRZWCXCWDWCAXBMZXCJABCDEFGHUOZUPTWEW
      SJWKXBWCCLMZWDWKXBQZABCDEFGHUSZWDXFXGWDXFNZCVSMZXGCKLUTZCVAVBVCVDZVEVFWEA
      WKMWLIWKVHZWTXAVRWEAXBWKWCXDWDWCXDXCXEVGTXLVIWCXFWDXMXHWDXFXMXIXJXMXKJICW
      KWPVJVBVCVDWLWTIWKAWJWRJWHWGWHCWKAWGAQWIWQWHWGAWHCVKVLVMVNVOVPVQ $.
  $}

  ${
    abl4pnp.1 $e |- X = ran G $.
    abl4pnp.2 $e |- D = ( /g ` G ) $.
    $( A commutative/associative law for Abelian groups.  (Contributed by Jeff
       Madsen, 11-Jun-2010.) $)
    ablo4pnp $p |- ( ( G e. AbelOp /\ ( ( A e. X /\ B e. X ) /\
                  ( C e. X /\ F e. X ) ) ) -> ( ( A G B ) D ( C G F ) ) =
                                            ( ( A D C ) G ( B D F ) ) ) $=
      ( cablo wcel wa co wceq w3a 3expib anim1d 3anass imp syldan df-3an oveq1d
      ablomuldiv sylan2br adantrrr cgr wi ablogrpo grpocl syl syl6ibr grpodivcl
      ablodivdiv4 an4 3imtr4g grpomuldivass sylan 3eqtr3d ) FJKZAGKZBGKZLZCGKZE
      GKZLZLZLZABFMZCDMZEDMZACDMZBFMZEDMZVHCEFMDMZVKBEDMFMZVGVIVLEDUSVBVCVIVLNZ
      VDVBVCLUSUTVAVCOVPUTVAVCUAABCDFGHIUCUDUEUBUSVFVHGKZVCVDOZVJVNNUSVFVRUSVFV
      QVELVRUSVBVQVEUSFUFKZVBVQUGFUHZVSUTVAVQABFGHUIPUJQVQVCVDRUKSVHCEDFGHIUMTU
      SVSVFVMVONZVTVSVFVKGKZVAVDOZWAVSVFWCVSUTVCLZVAVDLZLWBWELVFWCVSWDWBWEVSUTV
      CWBACDFGHIULPQUTVAVCVDUNWBVAVDRUOSVKBEDFGHIUPTUQUR $.
  $}

  ${
    grpeqdivid.1 $e |- X = ran G $.
    grpeqdivid.2 $e |- U = ( GId ` G ) $.
    grpeqdivid.3 $e |- D = ( /g ` G ) $.
    $( Two group elements are equal iff their quotient is the identity.
       (Contributed by Jeff Madsen, 6-Jan-2011.) $)
    grpoeqdivid $p |- ( ( G e. GrpOp /\ A e. X /\ B e. X ) ->
                                              ( A = B <-> ( A D B ) = U ) ) $=
      ( cgr wcel w3a wceq grpodivid 3adant2 oveq1 eqeq1d syl5ibrcom grponpcan
      co grpolid eqeq12d syl5ib impbid ) EJKZAFKZBFKZLZABMZABCTZDMZUHUKUIBBCTZD
      MZUEUGUMUFBCDEFGIHNOUIUJULDABBCPQRUKUJBETZDBETZMUHUIUJDBEPUHUNAUOBABCEFGI
      SUEUGUOBMUFBDEFGHUAOUBUCUD $.
  $}

  ${
    $d x y z A $.
    grposnOLD.1 $e |- A e. _V $.
    $( The group operation for the singleton group.  Obsolete, use ~ grp1 .
       instead.  (Contributed by NM, 4-Nov-2006.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    grposnOLD $p |- { <. <. A , A >. , A >. } e. GrpOp $=
      ( vx vy vz cop csn wf cv wcel co velsn oveq2 oveq1 eqtrdi sylan9eq eqtr4d
      wceq wa sylbi snex cxp wf1o opex f1osn f1of ax-mp xpsn feq2i w3a cfv fvsn
      mpbir df-ov eqtri oveq1d sylan9eqr 3impa oveq2d 3impb syl3anb snid id a1i
      isgrpoi ) CDEAAAFZAFGZAAGZAUAVHVHUBZVHVGHVFGZVHVGHZVJVHVGUCVKVFAAAUDZBUEV
      JVHVGUFUGVIVJVHVGAABBUHUIUMCIZVHJZVMARZDIZVHJVPARZEIZVHJVRARZVMVPVGKZVRVG
      KZVMVPVRVGKZVGKZRCALZDALEALVOVQVSUJWAAWCVOVQVSWAARVSVOVQSZWAVTAVGKZAVRAVT
      VGMWEWFAAVGKZAWEVTAAVGVOVQVTAVPVGKZAVMAVPVGNVQWHWGAVPAAVGMWGVFVGUKAAAVGUN
      VFAVLBULUOZOPUPWIOUQURVOVQVSWCARVOVQVSSZWCAWBVGKZAVMAWBVGNWJWKWGAWJWBAAVG
      VQVSWBAVRVGKZAVPAVRVGNVSWLWGAVRAAVGMWIOPUSWIOPUTQVAABVBZVNVOAVMVGKZVMRWDV
      OWNAVMVOWNWGAVMAAVGMWIOZVOVCQTAVHJVNWMVDVNVOWNARWDWOTVE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Group homomorphism and isomorphism
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c GrpOpHom $.

  $( Obsolete version of ~ cghm as of 15-Mar-2020.  Extend class notation to
     include the class of group homomorphisms.  (New usage is discouraged.) $)
  cghomOLD $a class GrpOpHom $.

  ${
    $d f g h x y $.
    $( Obsolete version of ~ df-ghm as of 15-Mar-2020.  Define the set of group
       homomorphisms from ` g ` to ` h ` .  (Contributed by Paul Chapman,
       25-Feb-2008.)  (New usage is discouraged.) $)
    df-ghomOLD $a |- GrpOpHom = ( g e. GrpOp , h e. GrpOp |->
        { f | ( f : ran g --> ran h /\ A. x e. ran g A. y e. ran g
                     ( ( f ` x ) h ( f ` y ) ) = ( f ` ( x g y ) ) ) } ) $.
  $}

  ${
    $d f x y F $.  $d f g h x y G $.  $d f g h x y H $.  $d g h S $.
    elghomlem1OLD.1 $e |- S = { f | ( f : ran G --> ran H /\ A. x e. ran G
      A. y e. ran G ( ( f ` x ) H ( f ` y ) ) = ( f ` ( x G y ) ) ) } $.
    $( Obsolete as of 15-Mar-2020.  Lemma for ~ elghomOLD .  (Contributed by
       Paul Chapman, 25-Feb-2008.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    elghomlem1OLD $p |- ( ( G e. GrpOp /\ H e. GrpOp )
        -> ( G GrpOpHom H ) = S ) $=
      ( vg vh cgr wcel cvv co wceq crn cv cfv wral wf wa cghomOLD fabexg syl2an
      rnexg rneq feq2d oveq fveq2d eqeq2d raleqbidv anbi12d abbidv feq3d eqeq1d
      cab 2ralbidv eqtr4di df-ghomOLD ovmpog mpd3an3 ) EJKZFJKZCLKZEFUAMCNVAEOZ
      LKFOZLKVCVBEJUDFJUDAPZDPZQZBPZVGQZFMZVFVIEMZVGQZNZBVDRAVDRZDVDVELLCGUBUCH
      IEFJJHPZOZIPZOZVGSZVHVJVRMZVFVIVPMZVGQZNZBVQRZAVQRZTZDUOCUAVDVSVGSZWAVMNZ
      BVDRZAVDRZTZDUOZLVPENZWGWLDWNVTWHWFWKWNVQVDVSVGVPEUEZUFWNWEWJAVQVDWOWNWDW
      IBVQVDWOWNWCVMWAWNWBVLVGVFVIVPEUGUHUIUJUJUKULVRFNZWMVDVEVGSZVOTZDUOCWPWLW
      RDWPWHWQWKVOWPVSVEVGVDVRFUEUMWPWIVNABVDVDWPWAVKVMVHVJVRFUGUNUPUKULGUQABDH
      IURUSUT $.

    $( Obsolete as of 15-Mar-2020.  Lemma for ~ elghomOLD .  (Contributed by
       Paul Chapman, 25-Feb-2008.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    elghomlem2OLD $p |- ( ( G e. GrpOp /\ H e. GrpOp )
      -> ( F e. ( G GrpOpHom H )
      <-> ( F : ran G --> ran H /\ A. x e. ran G A. y e. ran G
          ( ( F ` x ) H ( F ` y ) ) = ( F ` ( x G y ) ) ) ) ) $=
      ( cgr wcel wa co crn wf cv cfv wceq wral cvv fveq1 cghomOLD elghomlem1OLD
      eleq2d wb elex oveq12d eqeq12d 2ralbidv anbi12d elab2g biimpd mpcom rnexg
      feq1 wi fex expcom syl adantrd biimprd syli impbid2 adantr bitrd ) FIJZGI
      JZKZEFGUALZJECJZFMZGMZENZAOZEPZBOZEPZGLZVMVOFLZEPZQZBVJRAVJRZKZVGVHCEABCD
      FGHUBUCVEVIWBUDVFVEVIWBESJZVIWBECUEWCVIWBVJVKDOZNZVMWDPZVOWDPZGLZVRWDPZQZ
      BVJRAVJRZKWBDECSWDEQZWEVLWKWAVJVKWDEUNWLWJVTABVJVJWLWHVQWIVSWLWFVNWGVPGVM
      WDETVOWDETUFVRWDETUGUHUIHUJZUKULWBVEWCVIVEVLWCWAVEVJSJZVLWCUOFIUMVLWNWCVJ
      VKSEUPUQURUSWCVIWBWMUTVAVBVCVD $.
  $}

  ${
    $d F f x y $.  $d G f x y $.  $d H f x y $.  $d X x y $.
    elghomOLD.1 $e |- X = ran G $.
    elghomOLD.2 $e |- W = ran H $.
    $( Obsolete version of ~ isghm as of 15-Mar-2020.  Membership in the set of
       group homomorphisms from ` G ` to ` H ` .  (Contributed by Paul Chapman,
       3-Mar-2008.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    elghomOLD $p |- ( ( G e. GrpOp /\ H e. GrpOp ) ->
      ( F e. ( G GrpOpHom H ) <-> ( F : X --> W /\ A. x e. X A. y e. X
        ( ( F ` x ) H ( F ` y ) ) = ( F ` ( x G y ) ) ) ) ) $=
      ( vf cgr wcel wa co crn wf cv cfv wceq wral cghomOLD elghomlem2OLD feq23i
      cab eqid raleqi raleqbii anbi12i bitr4di ) DKLEKLMCDEUANLDOZEOZCPZAQZCRBQ
      ZCRENUMUNDNZCRSZBUJTZAUJTZMGFCPZUPBGTZAGTZMABUJUKJQZPUMVBRUNVBRENUOVBRSBU
      JTAUJTMJUDZJCDEVCUEUBUSULVAURGFUJUKCHIUCUTUQAGUJHUPBGUJHUFUGUHUI $.
  $}

  ${
    $d A x y $.  $d B y $.  $d F x y $.  $d G x y $.  $d H x y $.  $d X x y $.
    ghomlinOLD.1 $e |- X = ran G $.
    $( Obsolete version of ~ ghmlin as of 15-Mar-2020.  Linearity of a group
       homomorphism.  (Contributed by Paul Chapman, 3-Mar-2008.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    ghomlinOLD $p |- ( ( ( G e. GrpOp /\ H e. GrpOp
        /\ F e. ( G GrpOpHom H ) ) /\ ( A e. X /\ B e. X ) ) ->
                    ( ( F ` A ) H ( F ` B ) ) = ( F ` ( A G B ) ) ) $=
      ( vx vy cgr wcel co cv cfv wceq wral wa fveq2 fveq2d eqeq12d cghomOLD w3a
      crn eqid elghomOLD biimp3a simprd oveq1d oveq1 oveq2d oveq2 rspc2v mpan9
      wf ) DJKZEJKZCDEUALKZUBZHMZCNZIMZCNZELZUSVADLZCNZOZIFPHFPZAFKBFKQACNZBCNZ
      ELZABDLZCNZOZURFEUCZCUNZVGUOUPUQVOVGQHICDEVNFGVNUDUEUFUGVFVMVHVBELZAVADLZ
      CNZOHIABFFUSAOZVCVPVEVRVSUTVHVBEUSACRUHVSVDVQCUSAVADUISTVABOZVPVJVRVLVTVB
      VIVHEVABCRUJVTVQVKCVABADUKSTULUM $.
  $}

  ${
    $d F x y $.  $d G x y $.  $d H x y $.
    ghomidOLD.1 $e |- U = ( GId ` G ) $.
    ghomidOLD.2 $e |- T = ( GId ` H ) $.
    $( Obsolete version of ~ ghmid as of 15-Mar-2020.  A group homomorphism
       maps identity element to identity element.  (Contributed by Paul
       Chapman, 3-Mar-2008.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    ghomidOLD $p |- ( ( G e. GrpOp /\ H e. GrpOp /\ F e. ( G GrpOpHom H ) ) ->
                   ( F ` U ) = T ) $=
      ( vx vy cgr wcel co cfv wceq crn wa eqid 3ad2ant1 mpdan cv w3a ghomlinOLD
      cghomOLD grpoidcl jca grpolid fveq2d eqtrd wb wf elghomOLD biimp3a simpld
      wral ffvelrnd wi grpoid ex 3ad2ant2 mpd mpbird ) DJKZEJKZCDEUCLKZUAZBCMZA
      NZVFVFELZVFNZVEVHBBDLZCMZVFVEBDOZKZVMPVHVKNVEVMVMVBVCVMVDBDVLVLQZFUDZRZVP
      UEBBCDEVLVNUBSVBVCVKVFNVDVBVJBCVBVMVJBNVOBBDVLVNFUFSUGRUHVEVFEOZKZVGVIUIZ
      VEVLVQBCVEVLVQCUJZHTZCMITZCMELWAWBDLCMNIVLUNHVLUNZVBVCVDVTWCPHICDEVQVLVNV
      QQZUKULUMVPUOVCVBVRVSUPVDVCVRVSVFAEVQWDGUQURUSUTVA $.
  $}

  ${
    $d F x y $.  $d G x y $.  $d H x y $.  $d X x y $.
    ghomf.1 $e |- X = ran G $.
    ghomf.2 $e |- W = ran H $.
    $( Mapping property of a group homomorphism.  (Contributed by Jeff Madsen,
       1-Dec-2009.) $)
    ghomf $p |- ( ( G e. GrpOp /\ H e. GrpOp /\ F e. ( G GrpOpHom H ) )
                                                  -> F : X --> W ) $=
      ( vx vy cgr wcel cghomOLD co wf wa cv cfv wceq wral elghomOLD simprbda
      3impa ) BJKZCJKZABCLMKZEDANZUCUDOUEUFHPZAQIPZAQCMUGUHBMAQRIESHESHIABCDEFG
      TUAUB $.
  $}

  ${
    $d S u v x y $.  $d T u v x y $.  $d G u v x y $.  $d H u v x y $.
    $d K u v x y $.
    $( The composition of two group homomorphisms is a group homomorphism.
       (Contributed by Jeff Madsen, 1-Dec-2009.)  (Revised by Mario Carneiro,
       27-Dec-2014.) $)
    ghomco $p |- ( ( ( G e. GrpOp /\ H e. GrpOp /\ K e. GrpOp ) /\
                    ( S e. ( G GrpOpHom H ) /\ T e. ( H GrpOpHom K ) ) ) ->
                                      ( T o. S ) e. ( G GrpOpHom K ) ) $=
      ( vx vy vu vv cgr wcel cghomOLD co wa cv cfv wceq wral wi ad2ant2r w3a wf
      ccom crn fco ancoms ffvelrn anim12dan fveq2 oveq1d fvoveq1 eqeq12d oveq2d
      oveq2 fveq2d rspc2va sylan an32s adantllr sylan9eq anasss fvco3 ad2ant2rl
      a1i oveq12d adantlr eqid grpocl 3expb sylan2 anassrs 3eqtr4d ralimdvva ex
      expr com23 imp 3ad2ant1 jcad wb elghomOLD 3adant3 3adant1 anbi12d 3adant2
      com12 3imtr4d ) CJKZDJKZEJKZUAZACDLMKZBDELMKZNZBAUCZCELMKZWKCUDZDUDZAUBZF
      OZAPZGOZAPZDMZWTXBCMZAPZQZGWQRFWQRZNZWREUDZBUBZHOZBPZIOZBPZEMZXLXNDMBPZQZ
      IWRRHWRRZNZNZWQXJWOUBZWTWOPZXBWOPZEMZXEWOPZQZGWQRFWQRZNZWNWPWKYAYBYHYAYBS
      WKWSXKYBXHXSXKWSYBWQWRXJBAUEUFTVDWHWIYAYHSWJYAWHYHWSXTXHWHYHSZWSXTNXHYJWS
      XKXSXHYJSWSXKNZXSNZWHXHYHYLWHXHYHSZYKWHXSYMYKWHNZXSNZXGYGFGWQWQYOWTWQKZXB
      WQKZNZXGYGYOYRXGNNXABPZXCBPZEMZXFBPZYEYFYOYRXGUUAUUBQYOYRNXGUUAXDBPZUUBYK
      XSYRUUAUUCQZWHWSXSYRUUDXKWSYRXSUUDWSYRNXAWRKZXCWRKZNXSUUDWSYPUUEYQUUFWQWR
      WTAUGWQWRXBAUGUHXRUUDYSXOEMZXAXNDMZBPZQHIXAXCWRWRXLXAQZXPUUGXQUUIUUJXMYSX
      OEXLXABUIUJXLXAXNBDUKULXNXCQZUUGUUAUUIUUCUUKXOYTYSEXNXCBUIUMUUKUUHXDBXNXC
      XADUNUOULUPUQURUSUSXDXFBUIUTVAYNYRYEUUAQZXSXGYKYRUULWHYKYRNYCYSYDYTEWSYPY
      CYSQXKYQWQWRWTBAVBTWSYQYDYTQXKYPWQWRXBBAVBVCVEVFTYNYRYFUUBQZXSXGYKWHYRUUM
      WHYRNYKXEWQKZUUMWHYPYQUUNWTXBCWQWQVGZVHVIWSUUNUUMXKWQWRXEBAVBVFVJVKTVLVOV
      MURVNVPVAVQURWFVRVSWKWLXIWMXTWHWIWLXIVTWJFGACDWRWQUUOWRVGZWAWBWIWJWMXTVTW
      HHIBDEXJWRUUPXJVGZWAWCWDWHWJWPYIVTWIFGWOCEXJWQUUOUUQWAWEWGVQ $.
  $}

  ${
    ghomdiv.1 $e |- X = ran G $.
    ghomdiv.2 $e |- D = ( /g ` G ) $.
    ghomdiv.3 $e |- C = ( /g ` H ) $.
    $( Group homomorphisms preserve division.  (Contributed by Jeff Madsen,
       16-Jun-2011.) $)
    ghomdiv $p |- ( ( ( G e. GrpOp /\ H e. GrpOp /\ F e. ( G GrpOpHom H ) ) /\
                                ( A e. X /\ B e. X ) ) ->
                      ( F ` ( A D B ) ) = ( ( F ` A ) C ( F ` B ) ) ) $=
      ( cgr wcel co wa cfv wceq ffvelrnda grponpcan 3ad2antl1 cghomOLD w3a eqid
      crn simpl2 ghomf adantrr adantrl 3expb fveq2d grpodivcl simprr ghomlinOLD
      syl3anc jca eqcomd syldan 3eqtr2rd wb grporcan syl13anc mpbid ) FLMZGLMZE
      FGUANMZUBZAHMZBHMZOZOZABDNZEPZBEPZGNZAEPZVMCNZVMGNZQZVLVPQZVJVQVOVKBFNZEP
      ZVNVJVDVOGUDZMZVMWBMZVQVOQVCVDVEVIUEZVFVGWCVHVFHWBAEEFGWBHIWBUCZUFZRUGZVF
      VHWDVGVFHWBBEWGRUHZVOVMCGWBWFKSUNVJVTAEVCVDVIVTAQZVEVCVGVHWJABDFHIJSUITUJ
      VFVIVKHMZVHOZWAVNQVCVDVIWLVEVCVIOWKVHVCVGVHWKABDFHIJUKUIZVCVGVHULUOTVFWLO
      VNWAVKBEFGHIUMUPUQURVJVDVLWBMZVPWBMZWDVRVSUSWEVFVIWKWNVCVDVIWKVEWMTVFHWBV
      KEWGRUQVJVDWCWDWOWEWHWIVOVMCGWBWFKUKUNWIVLVPVMGWBWFUTVAVB $.
  $}

  ${
    $d G x y $.  $d H x y $.  $d F x y $.  $d U x y $.  $d W x y $.
    $d X x y $.
    grpkerinj.1 $e |- X = ran G $.
    grpkerinj.2 $e |- W = ( GId ` G ) $.
    grpkerinj.3 $e |- Y = ran H $.
    grpkerinj.4 $e |- U = ( GId ` H ) $.
    $( A group homomorphism is injective if and only if its kernel is zero.
       (Contributed by Jeff Madsen, 16-Jun-2011.) $)
    grpokerinj $p |- ( ( G e. GrpOp /\ H e. GrpOp /\ F e. ( G GrpOpHom H ) ) ->
                      ( F : X -1-1-> Y <-> ( `' F " { U } ) = { W } ) ) $=
      ( vx vy wcel co csn cima wceq wa cfv cgr cghomOLD w3a wf1 ghomidOLD sneqd
      ccnv wfn ghomf grpoidcl 3ad2ant1 fnsnfv syl2anc eqtr3d imaeq2d adantl wss
      ffnd snssd f1imacnv sylan2 eqtrd expcom wf cv wi wral adantr wb ffvelrnda
      cgs simpl2 adantrr adantrl grpoeqdivid syl3anc adantlr ghomdiv eqeq1d cgi
      eqid fvexi snid eleq1 mpbiri cdm ffund grpodivcl 3expb 3ad2antl1 eleqtrrd
      wfun fdmd fvimacnv eleq2 sylan9bb an32s elsni biimprd syl5 sylbid sylbird
      ralrimivva dff13 sylanbrc ex impbid ) CUANZDUANZBCDUBONZUCZFGBUDZBUGZAPZQ
      ZEPZRZXLXKXQXLXKSXOXMBXPQZQZXPXKXOXSRXLXKXNXRXMXKEBTZPZXNXRXKXTAAEBCDIKUE
      UFXKBFUHEFNZYAXRRXKFGBBCDGFHJUIZURXHXIYBXJECFHIUJZUKFEBULUMUNUOUPXKXLXPFU
      QZXSXPRXHXIYEXJXHEFYDUSUKFGXPBUTVAVBVCXKXQXLXKXQSZFGBVDZLVEZBTZMVEZBTZRZY
      HYJRZVFZMFVGLFVGXLXKYGXQYCVHYFYNLMFFYFYHFNZYJFNZSZSZYLYIYKDVKTZOZARZYMXKY
      QYLUUAVIZXQXKYQSZXIYIGNZYKGNZUUBXHXIXJYQVLXKYOUUDYPXKFGYHBYCVJVMXKYPUUEYO
      XKFGYJBYCVJVNYIYKYSADGJKYSWAZVOVPVQYRUUAYHYJCVKTZOZBTZARZYMYRUUIYTAXKYQUU
      IYTRXQYHYJYSUUGBCDFHUUGWAZUUFVRVQVSUUJUUIXNNZYRYMUUJUULAXNNAADVTKWBWCUUIA
      XNWDWEYRUULUUHXPNZYMXKYQXQUULUUMVIUUCUULUUHXONZXQUUMUUCBWLZUUHBWFZNUULUUN
      VIXKUUOYQXKFGBYCWGVHUUCUUHFUUPXHXIYQUUHFNZXJXHYOYPUUQYHYJUUGCFHUUKWHWIWJX
      KUUPFRYQXKFGBYCWMVHWKUUHXNBWNUMXOXPUUHWOWPWQXKYQUUMYMVFXQUUMUUHERZUUCYMUU
      HEWRXHXIYQUURYMVFZXJXHYOYPUUSXHYOYPUCYMUURYHYJUUGECFHIUUKVOWSWIWJWTVQXAWT
      XBXAXCLMFGBXDXEXFXG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Rings
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c RingOps $.

  $( Extend class notation with the class of all unital rings. $)
  crngo $a class RingOps $.

  ${
    $d g h x y z $.
    $( Define the class of all unital rings.  (Contributed by Jeff Hankins,
       21-Nov-2006.)  (New usage is discouraged.) $)
    df-rngo $a |- RingOps = { <. g , h >. | ( ( g e. AbelOp /\
                               h : ( ran g X. ran g ) --> ran g ) /\
            ( A. x e. ran g A. y e. ran g A. z e. ran g
              ( ( ( x h y ) h z ) = ( x h ( y h z ) ) /\
                ( x h ( y g z ) ) = ( ( x h y ) g ( x h z ) ) /\
                ( ( x g y ) h z ) = ( ( x h z ) g ( y h z ) ) ) /\
        E. x e. ran g A. y e. ran g ( ( x h y ) = y /\ ( y h x ) = y ) ) ) } $.
  $}

  ${
    $d g h x y z $.
    $( The class of all unital rings is a relation.  (Contributed by FL,
       31-Aug-2009.)  (Revised by Mario Carneiro, 21-Dec-2013.)
       (New usage is discouraged.) $)
    relrngo $p |- Rel RingOps $=
      ( vg vh vx vy vz cv cablo wcel crn cxp wf wa wceq wral wrex crngo df-rngo
      co w3a relopabiv ) AFZGHUAIZUBJUBBFZKLCFZDFZUCRZEFZUCRUDUEUGUCRZUCRMUDUEU
      GUARUCRUFUDUGUCRZUARMUDUEUARUGUCRUIUHUARMSEUBNDUBNCUBNUFUEMUEUDUCRUEMLDUB
      NCUBOLLABPCDEABQT $.
  $}

  ${
    $d g h x y z G $.  $d g h x y z H $.  $d g h x y z X $.
    isring.1 $e |- X = ran G $.
    $( The predicate "is a (unital) ring."  Definition of ring with unit in
       [Schechter] p. 187.  (Contributed by Jeff Hankins, 21-Nov-2006.)
       (Revised by Mario Carneiro, 21-Dec-2013.)
       (New usage is discouraged.) $)
    isrngo $p |- ( H e. A -> ( <. G , H >. e. RingOps <->
      ( ( G e. AbelOp /\ H : ( X X. X ) --> X ) /\
        ( A. x e. X A. y e. X A. z e. X
          ( ( ( x H y ) H z ) = ( x H ( y H z ) ) /\
            ( x H ( y G z ) ) = ( ( x H y ) G ( x H z ) ) /\
            ( ( x G y ) H z ) = ( ( x H z ) G ( y H z ) ) ) /\
          E. x e. X A. y e. X ( ( x H y ) = y /\ ( y H x ) = y ) ) ) ) ) $=
      ( vg vh wcel crngo cablo wa cv co wceq wral oveqd oveq123d cvv cop cxp wf
      w3a wrex wi wbr df-br relrngo brrelex1i sylbir a1i elex ad2antrr wb copab
      crn df-rngo eleq2i simpl eleq1d simpr rneqd eqtr4di sqxpeqd feq123d eqidd
      anbi12d eqeq12d 3anbi123d raleqbidv eqeq1d rexeqbidv opelopabga pm5.21ndd
      syl5bb expcom ) FDKZEUAKZEFUBZLKZEMKZGGUCZGFUDZNZAOZBOZFPZCOZFPZWGWHWJFPZ
      FPZQZWGWHWJEPZFPZWIWGWJFPZEPZQZWGWHEPZWJFPZWQWLEPZQZUEZCGRZBGRZAGRZWIWHQZ
      WHWGFPZWHQZNZBGRZAGUFZNZNZWBVTUGVSWBEFLUHVTEFLUIEFLUJUKULUMXOVTUGVSWCVTWE
      XNEMUNUOUMVTVSWBXOUPWBWAIOZMKZXPURZXRUCZXRJOZUDZNZWGWHXTPZWJXTPZWGWHWJXTP
      ZXTPZQZWGWHWJXPPZXTPZYCWGWJXTPZXPPZQZWGWHXPPZWJXTPZYJYEXPPZQZUEZCXRRZBXRR
      ZAXRRZYCWHQZWHWGXTPZWHQZNZBXRRZAXRUFZNZNZIJUQZKVTVSNXOLUUIWAABCIJUSUTUUHX
      OIJEFUADXPEQZXTFQZNZYBWFUUGXNUULXQWCYAWEUULXPEMUUJUUKVAZVBUULXSWDXRGXTFUU
      JUUKVCZUULXRGUULXREURGUULXPEUUMVDHVEZVFUUOVGVIUULYTXGUUFXMUULYSXFAXRGUUOU
      ULYRXEBXRGUUOUULYQXDCXRGUUOUULYGWNYLWSYPXCUULYDWKYFWMUULYCWIWJWJXTFUUNUUL
      XTFWGWHUUNSZUULWJVHZTUULWGWGYEWLXTFUUNUULWGVHZUULXTFWHWJUUNSZTVJUULYIWPYK
      WRUULWGWGYHWOXTFUUNUURUULXPEWHWJUUMSTUULYCWIYJWQXPEUUMUUPUULXTFWGWJUUNSZT
      VJUULYNXAYOXBUULYMWTWJWJXTFUUNUULXPEWGWHUUMSUUQTUULYJWQYEWLXPEUUMUUTUUSTV
      JVKVLVLVLUULUUEXLAXRGUUOUULUUDXKBXRGUUOUULUUAXHUUCXJUULYCWIWHUUPVMUULUUBX
      IWHUULXTFWHWGUUNSVMVIVLVNVIVIVOVQVRVP $.
  $}

  ${
    $d ph x y z $.  $d G x y z $.  $d H x y z $.  $d X x y z $.  $d U x y $.
    isringod.1 $e |- ( ph -> G e. AbelOp ) $.
    isringod.2 $e |- ( ph -> X = ran G ) $.
    isringod.3 $e |- ( ph -> H : ( X X. X ) --> X ) $.
    isringod.4 $e |- ( ( ph /\ ( x e. X /\ y e. X /\ z e. X ) )
                                  -> ( ( x H y ) H z ) = ( x H ( y H z ) ) ) $.
    isringod.5 $e |- ( ( ph /\ ( x e. X /\ y e. X /\ z e. X ) )
                          -> ( x H ( y G z ) ) = ( ( x H y ) G ( x H z ) ) ) $.
    isringod.6 $e |- ( ( ph /\ ( x e. X /\ y e. X /\ z e. X ) )
                          -> ( ( x G y ) H z ) = ( ( x H z ) G ( y H z ) ) ) $.
    isringod.7 $e |- ( ph -> U e. X ) $.
    isringod.8 $e |- ( ( ph /\ y e. X ) -> ( U H y ) = y ) $.
    isringod.9 $e |- ( ( ph /\ y e. X ) -> ( y H U ) = y ) $.
    $( Conditions that determine a ring.  (Changed label from ~ isringd to
       ~ isrngod -NM 2-Aug-2013.)  (Contributed by Jeff Madsen, 19-Jun-2010.)
       (Revised by Mario Carneiro, 21-Dec-2013.)
       (New usage is discouraged.) $)
    isrngod $p |- ( ph -> <. G , H >. e. RingOps ) $=
      ( wcel co wral cop crngo cablo crn cxp wf wa wceq w3a wrex sqxpeqd feq23d
      cv mpbid 3jca ralrimivvva raleqbidv jca ralrimiva oveq1 eqeq1d ovanraleqv
      raleqdv rspcev syl2anc rexeqbidv jca31 cvv wb rnexg syl xpexd fexd isrngo
      eqid mpbird ) AFGUAUBRZFUCRZFUDZVSUEZVSGUFZUGBUMZCUMZGSZDUMZGSWBWCWEGSZGS
      UHZWBWCWEFSGSWDWBWEGSZFSUHZWBWCFSWEGSWHWFFSUHZUIZDVSTZCVSTZBVSTZWDWCUHZWC
      WBGSWCUHUGZCVSTZBVSUJZUGZUGZAVRWAWSIAHHUEZHGUFWAKAXAHVTVSGAHVSJUKJULUNZAW
      NWRAWKDHTZCHTZBHTWNAWKBCDHHHAWBHRWCHRZWEHRUIUGWGWIWJLMNUOUPAXDWMBHVSJAXCW
      LCHVSJAWKDHVSJVCUQUQUNAWPCHTZBHUJZWRAEHREWCGSZWCUHZWCEGSWCUHZUGZCHTZXGOAX
      KCHAXEUGXIXJPQURUSXFXLBEHWOXICWCWBWCGHEWBEUHWDXHWCWBEWCGUTVAVBVDVEAXFWQBH
      VSJAWPCHVSJVCVFUNURVGAGVHRVQWTVIAVTVSVHGXBAVSVSVHVHAVRVSVHRIFUCVJVKZXMVLV
      MBCDVHFGVSVSVOVNVKVP $.
  $}

  ${
    $d u x y z G $.  $d u x y z H $.  $d u x y z X $.  $d u x y z A $.
    $d y z B $.  $d z C $.  $d u x R $.
    ringi.1 $e |- G = ( 1st ` R ) $.
    ringi.2 $e |- H = ( 2nd ` R ) $.
    ringi.3 $e |- X = ran G $.
    $( The properties of a unital ring.  (Contributed by Steve Rodriguez,
       8-Sep-2007.)  (Proof shortened by Mario Carneiro, 21-Dec-2013.)
       (New usage is discouraged.) $)
    rngoi $p |- ( R e. RingOps -> ( ( G e. AbelOp /\ H : ( X X. X ) --> X ) /\
      ( A. x e. X A. y e. X A. z e. X
        ( ( ( x H y ) H z ) = ( x H ( y H z ) ) /\
          ( x H ( y G z ) ) = ( ( x H y ) G ( x H z ) ) /\
          ( ( x G y ) H z ) = ( ( x H z ) G ( y H z ) ) ) /\
        E. x e. X A. y e. X ( ( x H y ) = y /\ ( y H x ) = y ) ) ) ) $=
      ( crngo wcel cop wa cv co wceq wral cfv c2nd cxp wf w3a wrex c1st opeq12i
      cablo wrel relrngo 1st2nd eqtr4id id eqeltrd cvv fvexi isrngo ax-mp sylib
      mpan wb ) DKLZEFMZKLZEUGLGGUAGFUBNAOZBOZFPZCOZFPVDVEVGFPZFPQVDVEVGEPFPVFV
      DVGFPZEPQVDVEEPVGFPVIVHEPQUCCGRBGRAGRVFVEQVEVDFPVEQNBGRAGUDNNZVAVBDKVAVBD
      UESZDTSZMZDEVKFVLHIUFKUHVADVMQUIDKUJUSUKVAULUMFUNLVCVJUTFDTIUOABCUNEFGJUP
      UQUR $.

    $( Functionality of the multiplication operation of a ring.  (Contributed
       by Steve Rodriguez, 9-Sep-2007.)  (Revised by Mario Carneiro,
       21-Dec-2013.)  (New usage is discouraged.) $)
    rngosm $p |- ( R e. RingOps -> H : ( X X. X ) --> X ) $=
      ( vx vy vz crngo wcel cablo cxp wf wa cv co wceq wral rngoi simpld simprd
      w3a wrex ) AKLZBMLZDDNDCOZUFUGUHPHQZIQZCRZJQZCRUIUJULCRZCRSUIUJULBRCRUKUI
      ULCRZBRSUIUJBRULCRUNUMBRSUDJDTIDTHDTUKUJSUJUICRUJSPIDTHDUEPHIJABCDEFGUAUB
      UC $.

    $( Closure of the multiplication operation of a ring.  (Contributed by
       Steve Rodriguez, 9-Sep-2007.)  (New usage is discouraged.) $)
    rngocl $p |- ( ( R e. RingOps /\ A e. X /\ B e. X ) -> ( A H B ) e. X ) $=
      ( crngo wcel cxp wf co rngosm fovrn syl3an1 ) CJKFFLFEMAFKBFKABENFKCDEFGH
      IOABFFFEPQ $.

    $( The multiplication operation of a unital ring has (one or more) identity
       elements.  (Contributed by Steve Rodriguez, 9-Sep-2007.)  (Revised by
       Mario Carneiro, 22-Dec-2013.)  (New usage is discouraged.) $)
    rngoid $p |- ( ( R e. RingOps /\ A e. X ) ->
                 E. u e. X ( ( u H A ) = A /\ ( A H u ) = A ) ) $=
      ( vx vy crngo wcel cv co wceq wa wrex wral eqeq12d cablo cxp wf w3a rngoi
      simprrd r19.12 syl oveq2 id oveq1 anbi12d rexbidv rspccva sylan ) CLMZANZ
      JNZEOZURPZURUQEOZURPZQZAFRZJFSZBFMUQBEOZBPZBUQEOZBPZQZAFRZUPVCJFSAFRZVEUP
      DUAMFFUBFEUCQUSKNZEOUQURVMEOZEOPUQURVMDOEOUSUQVMEOZDOPUQURDOVMEOVOVNDOPUD
      KFSJFSAFSVLAJKCDEFGHIUEUFVCAJFFUGUHVDVKJBFURBPZVCVJAFVPUTVGVBVIVPUSVFURBU
      RBUQEUIVPUJZTVPVAVHURBURBUQEUKVQTULUMUNUO $.

    $( The unit element of a ring is unique.  (Contributed by NM, 4-Apr-2009.)
       (Revised by Mario Carneiro, 21-Dec-2013.)
       (New usage is discouraged.) $)
    rngoideu $p |- ( R e. RingOps ->
                 E! u e. X A. x e. X ( ( u H x ) = x /\ ( x H u ) = x ) ) $=
      ( vy wcel cv co wceq wa wral weq ralimi id eqeq12d crngo wrex wi wreu cxp
      cablo wf rngoi simprrd simpl oveq2 rspcv syl5 simpr oveq1 im2anan9r eqtr2
      w3a equcomd syl6 rgen2 eqeq1d ovanraleqv reu4 sylanblrc ) CUAKZBLZALZEMZV
      HNZVHVGEMVHNZOZAFPZBFUBZVMJLZVHEMZVHNZVHVOEMZVHNZOZAFPZOZBJQZUCZJFPBFPVMB
      FUDVFDUFKFFUEFEUGOVIVOEMVGVREMNVGVHVODMEMVIVGVOEMZDMNVGVHDMVOEMWEVRDMNURJ
      FPAFPBFPVNBAJCDEFGHIUHUIWDBJFFVGFKZVOFKZOWBWEVONZWEVGNZOZWCWGVMWHWFWAWIVM
      VJAFPWGWHVLVJAFVJVKUJRVJWHAVOFAJQZVIWEVHVOVHVOVGEUKWKSTULUMWAVSAFPWFWIVTV
      SAFVQVSUNRVSWIAVGFABQZVRWEVHVGVHVGVOEUOWLSTULUMUPWJJBWEVOVGUQUSUTVAVMWABJ
      FVJVQAVHVGVHEFVOWCVIVPVHVGVOVHEUOVBVCVDVE $.

    $( Distributive law for the multiplication operation of a ring
       (left-distributivity).  (Contributed by Steve Rodriguez, 9-Sep-2007.)
       (Revised by Mario Carneiro, 21-Dec-2013.)
       (New usage is discouraged.) $)
    rngodi $p |- ( ( R e. RingOps /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                     ( A H ( B G C ) ) = ( ( A H B ) G ( A H C ) ) ) $=
      ( vx vy vz wcel cv co wceq wral wa oveq1 crngo w3a cablo cxp rngoi simprd
      wf simpld simp2 ralimi 2ralimi oveq12d eqeq12d oveq2d oveq2 oveq1d rspc3v
      wrex syl5 mpan9 ) DUANZKOZLOZFPZMOZFPVBVCVEFPZFPQZVBVCVEEPZFPZVDVBVEFPZEP
      ZQZVBVCEPVEFPVJVFEPQZUBZMGRZLGRKGRZAGNBGNCGNUBZABCEPZFPZABFPZACFPZEPZQZVA
      VPVDVCQVCVBFPVCQSLGRKGURZVAEUCNGGUDGFUGSVPWDSKLMDEFGHIJUEUFUHVPVLMGRZLGRK
      GRVQWCVOWEKLGGVNVLMGVGVLVMUIUJUKVLWCAVHFPZAVCFPZAVEFPZEPZQABVEEPZFPZVTWHE
      PZQKLMABCGGGVBAQZVIWFVKWIVBAVHFTWMVDWGVJWHEVBAVCFTVBAVEFTULUMVCBQZWFWKWIW
      LWNVHWJAFVCBVEETUNWNWGVTWHEVCBAFUOUPUMVECQZWKVSWLWBWOWJVRAFVECBEUOUNWOWHW
      AVTEVECAFUOUNUMUQUSUT $.

    $( Distributive law for the multiplication operation of a ring
       (right-distributivity).  (Contributed by Steve Rodriguez, 9-Sep-2007.)
       (Revised by Mario Carneiro, 21-Dec-2013.)
       (New usage is discouraged.) $)
    rngodir $p |- ( ( R e. RingOps /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                      ( ( A G B ) H C ) = ( ( A H C ) G ( B H C ) ) ) $=
      ( vx vy vz wcel cv co wceq wral wa oveq2 crngo w3a cablo cxp rngoi simprd
      wf simpld simp3 ralimi 2ralimi oveq1 oveq1d eqeq12d oveq2d oveq12d rspc3v
      wrex syl5 mpan9 ) DUANZKOZLOZFPZMOZFPVBVCVEFPZFPQZVBVCVEEPFPVDVBVEFPZEPQZ
      VBVCEPZVEFPZVHVFEPZQZUBZMGRZLGRKGRZAGNBGNCGNUBZABEPZCFPZACFPZBCFPZEPZQZVA
      VPVDVCQVCVBFPVCQSLGRKGURZVAEUCNGGUDGFUGSVPWDSKLMDEFGHIJUEUFUHVPVMMGRZLGRK
      GRVQWCVOWEKLGGVNVMMGVGVIVMUIUJUKVMWCAVCEPZVEFPZAVEFPZVFEPZQVRVEFPZWHBVEFP
      ZEPZQKLMABCGGGVBAQZVKWGVLWIWMVJWFVEFVBAVCEULUMWMVHWHVFEVBAVEFULUMUNVCBQZW
      GWJWIWLWNWFVRVEFVCBAETUMWNVFWKWHEVCBVEFULUOUNVECQZWJVSWLWBVECVRFTWOWHVTWK
      WAEVECAFTVECBFTUPUNUQUSUT $.

    $( Associative law for the multiplication operation of a ring.
       (Contributed by Steve Rodriguez, 9-Sep-2007.)  (Revised by Mario
       Carneiro, 21-Dec-2013.)  (New usage is discouraged.) $)
    rngoass $p |- ( ( R e. RingOps /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                      ( ( A H B ) H C ) = ( A H ( B H C ) ) ) $=
      ( vx vy vz wcel cv co wceq wral wa oveq1 crngo w3a cablo cxp rngoi simprd
      wrex wf simpld simp1 ralimi 2ralimi syl oveq1d eqeq12d oveq2 oveq2d mpan9
      rspc3v ) DUANZKOZLOZFPZMOZFPZVAVBVDFPZFPZQZMGRZLGRKGRZAGNBGNCGNUBABFPZCFP
      ZABCFPZFPZQZUTVHVAVBVDEPFPVCVAVDFPZEPQZVAVBEPVDFPVPVFEPQZUBZMGRZLGRKGRZVJ
      UTWAVCVBQVBVAFPVBQSLGRKGUGZUTEUCNGGUDGFUHSWAWBSKLMDEFGHIJUEUFUIVTVIKLGGVS
      VHMGVHVQVRUJUKULUMVHVOAVBFPZVDFPZAVFFPZQVKVDFPZABVDFPZFPZQKLMABCGGGVAAQZV
      EWDVGWEWIVCWCVDFVAAVBFTUNVAAVFFTUOVBBQZWDWFWEWHWJWCVKVDFVBBAFUPUNWJVFWGAF
      VBBVDFTUQUOVDCQZWFVLWHVNVDCVKFUPWKWGVMAFVDCBFUPUQUOUSUR $.

    $( A ring element plus itself is two times the element.  (Contributed by
       Steve Rodriguez, 9-Sep-2007.)  (Revised by Mario Carneiro, 22-Dec-2013.)
       (New usage is discouraged.) $)
    rngo2 $p |- ( ( R e. RingOps /\ A e. X ) ->
                  E. x e. X ( A G A ) = ( ( x G x ) H A ) ) $=
      ( crngo wcel wa cv co wceq wrex rngoid oveq12 anidms eqcomd simpll simplr
      simpr rngodir syl13anc eqeq2d syl5ibr adantrd reximdva mpd ) CJKZBFKZLZAM
      ZBENZBOZBUNENBOZLZAFPBBDNZUNUNDNBENZOZAFPABCDEFGHIQUMURVAAFUMUNFKZLZUPVAU
      QUPVAVCUSUOUODNZOUPVDUSUPVDUSOUOBUOBDRSTVCUTVDUSVCUKVBVBULUTVDOUKULVBUAUM
      VBUCZVEUKULVBUBUNUNBCDEFGHIUDUEUFUGUHUIUJ $.
  $}

  ${
    $d G x y z $.  $d R x y z $.
    ringabl.1 $e |- G = ( 1st ` R ) $.
    $( A ring's addition operation is an Abelian group operation.  (Contributed
       by Steve Rodriguez, 9-Sep-2007.)  (Revised by Mario Carneiro,
       21-Dec-2013.)  (New usage is discouraged.) $)
    rngoablo $p |- ( R e. RingOps -> G e. AbelOp ) $=
      ( vx vy vz crngo wcel cablo crn cxp c2nd cfv wf cv co wceq wral wa eqid
      w3a wrex rngoi simplld ) AGHBIHBJZUEKUEALMZNDOZEOZUFPZFOZUFPUGUHUJUFPZUFP
      QUGUHUJBPUFPUIUGUJUFPZBPQUGUHBPUJUFPULUKBPQUAFUEREUERDUERUIUHQUHUGUFPUHQS
      EUERDUEUBSDEFABUFUECUFTUETUCUD $.
  $}

  $( In a unital ring the addition is an abelian group.  (Contributed by FL,
     31-Aug-2009.)  (New usage is discouraged.) $)
  rngoablo2 $p |- ( <. G , H >. e. RingOps -> G e. AbelOp ) $=
    ( cop crngo wcel c1st cfv cablo wbr wceq df-br wa relrngo brrelex12i op1stg
    cvv syl sylbir eqid rngoablo eqeltrrd ) ABCZDEZUBFGZAHUCABDIZUDAJZABDKUEAPE
    BPELUFABDMNABPPOQRUBUDUDSTUA $.

  ${
    ringgrp.1 $e |- G = ( 1st ` R ) $.
    $( A ring's addition operation is a group operation.  (Contributed by Steve
       Rodriguez, 9-Sep-2007.)  (New usage is discouraged.) $)
    rngogrpo $p |- ( R e. RingOps -> G e. GrpOp ) $=
      ( crngo wcel cablo cgr rngoablo ablogrpo syl ) ADEBFEBGEABCHBIJ $.
  $}

  ${
    rngone0.1 $e |- G = ( 1st ` R ) $.
    rngone0.2 $e |- X = ran G $.
    $( The base set of a ring is not empty.  (Contributed by FL, 24-Jan-2010.)
       (New usage is discouraged.) $)
    rngone0 $p |- ( R e. RingOps -> X =/= (/) ) $=
      ( crngo wcel cgr c0 wne rngogrpo grpon0 syl ) AFGBHGCIJABDKBCELM $.
  $}

  ${
    ringgcl.1 $e |- G = ( 1st ` R ) $.
    ringgcl.2 $e |- X = ran G $.
    $( Closure law for the addition (group) operation of a ring.  (Contributed
       by Steve Rodriguez, 9-Sep-2007.)  (New usage is discouraged.) $)
    rngogcl $p |- ( ( R e. RingOps /\ A e. X /\ B e. X ) -> ( A G B ) e. X ) $=
      ( crngo wcel cgr co rngogrpo grpocl syl3an1 ) CHIDJIAEIBEIABDKEICDFLABDEG
      MN $.

    $( The addition operation of a ring is commutative.  (Contributed by Steve
       Rodriguez, 9-Sep-2007.)  (New usage is discouraged.) $)
    rngocom $p |- ( ( R e. RingOps /\ A e. X /\ B e. X ) ->
                      ( A G B ) = ( B G A ) ) $=
      ( crngo wcel cablo co wceq rngoablo ablocom syl3an1 ) CHIDJIAEIBEIABDKBAD
      KLCDFMABDEGNO $.

    $( The addition operation of a ring is associative.  (Contributed by Steve
       Rodriguez, 9-Sep-2007.)  (New usage is discouraged.) $)
    rngoaass $p |- ( ( R e. RingOps /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                        ( ( A G B ) G C ) = ( A G ( B G C ) ) ) $=
      ( crngo wcel cgr w3a co wceq rngogrpo grpoass sylan ) DIJEKJAFJBFJCFJLABE
      MCEMABCEMEMNDEGOABCEFHPQ $.

    $( The addition operation of a ring is commutative.  (Contributed by Steve
       Rodriguez, 9-Sep-2007.)  (New usage is discouraged.) $)
    rngoa32 $p |- ( ( R e. RingOps /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                      ( ( A G B ) G C ) = ( ( A G C ) G B ) ) $=
      ( crngo wcel cablo w3a co wceq rngoablo ablo32 sylan ) DIJEKJAFJBFJCFJLAB
      EMCEMACEMBEMNDEGOABCEFHPQ $.

    $( Rearrangement of 4 terms in a sum of ring elements.  (Contributed by
       Steve Rodriguez, 9-Sep-2007.)  (New usage is discouraged.) $)
    rngoa4 $p |- ( ( R e. RingOps /\ ( A e. X /\ B e. X ) /\
                   ( C e. X /\ D e. X ) ) ->
                     ( ( A G B ) G ( C G D ) ) = ( ( A G C ) G ( B G D ) ) ) $=
      ( crngo wcel cablo wa co wceq rngoablo ablo4 syl3an1 ) EJKFLKAGKBGKMCGKDG
      KMABFNCDFNFNACFNBDFNFNOEFHPABCDFGIQR $.

    $( Right cancellation law for the addition operation of a ring.
       (Contributed by Steve Rodriguez, 9-Sep-2007.)
       (New usage is discouraged.) $)
    rngorcan $p |- ( ( R e. RingOps /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                       ( ( A G C ) = ( B G C ) <-> A = B ) ) $=
      ( crngo wcel cgr w3a co wceq wb rngogrpo grporcan sylan ) DIJEKJAFJBFJCFJ
      LACEMBCEMNABNODEGPABCEFHQR $.

    $( Left cancellation law for the addition operation of a ring.
       (Contributed by Steve Rodriguez, 9-Sep-2007.)
       (New usage is discouraged.) $)
    rngolcan $p |- ( ( R e. RingOps /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                       ( ( C G A ) = ( C G B ) <-> A = B ) ) $=
      ( crngo wcel cgr w3a co wceq wb rngogrpo grpolcan sylan ) DIJEKJAFJBFJCFJ
      LCAEMCBEMNABNODEGPABCEFHQR $.
  $}

  ${
    ring0cl.1 $e |- G = ( 1st ` R ) $.
    ring0cl.2 $e |- X = ran G $.
    ring0cl.3 $e |- Z = ( GId ` G ) $.
    $( A ring has an additive identity element.  (Contributed by Steve
       Rodriguez, 9-Sep-2007.)  (New usage is discouraged.) $)
    rngo0cl $p |- ( R e. RingOps -> Z e. X ) $=
      ( crngo wcel cgr rngogrpo grpoidcl syl ) AHIBJIDCIABEKDBCFGLM $.

    $( The additive identity of a ring is a right identity element.
       (Contributed by Steve Rodriguez, 9-Sep-2007.)
       (New usage is discouraged.) $)
    rngo0rid $p |- ( ( R e. RingOps /\ A e. X ) -> ( A G Z ) = A ) $=
      ( crngo wcel cgr co wceq rngogrpo grporid sylan ) BIJCKJADJAECLAMBCFNAECD
      GHOP $.

    $( The additive identity of a ring is a left identity element.
       (Contributed by Steve Rodriguez, 9-Sep-2007.)
       (New usage is discouraged.) $)
    rngo0lid $p |- ( ( R e. RingOps /\ A e. X ) -> ( Z G A ) = A ) $=
      ( crngo wcel cgr co wceq rngogrpo grpolid sylan ) BIJCKJADJEACLAMBCFNAECD
      GHOP $.
  $}

  ${
    ringlz.1 $e |- Z = ( GId ` G ) $.
    ringlz.2 $e |- X = ran G $.
    ringlz.3 $e |- G = ( 1st ` R ) $.
    ringlz.4 $e |- H = ( 2nd ` R ) $.
    $( The zero of a unital ring is a left-absorbing element.  (Contributed by
       FL, 31-Aug-2009.)  (New usage is discouraged.) $)
    rngolz $p |- ( ( R e. RingOps /\ A e. X ) -> ( Z H A ) = Z ) $=
      ( crngo wcel wa co wceq cgr rngogrpo grpoidcl grpolid adantr syl2anc2 w3a
      oveq1d rngo0cl simpr rngodir syldan rngocl syl3anc grporid eqcomd syl2anc
      3jca simpl 3eqtr3d wb grpolcan syl13anc mpbid ) BKLZAELZMZFADNZVCCNZVCFCN
      ZOZVCFOZVBFFCNZADNZVCVDVEVBVHFADUTVHFOZVAUTCPLZFELZVJBCIQZFCEHGRFFCEHGSUA
      TUCUTVAVLVLVAUBVIVDOVBVLVLVAUTVLVABCEFIHGUDTZVNUTVAUEZUMFFABCDEIJHUFUGVBV
      KVCELZVCVEOUTVKVAVMTZVBUTVLVAVPUTVAUNVNVOFABCDEIJHUHUIZVKVPMVEVCVCFCEHGUJ
      UKULUOVBVKVPVLVPVFVGUPVQVRVNVRVCFVCCEHUQURUS $.

    $( The zero of a unital ring is a right-absorbing element.  (Contributed by
       FL, 31-Aug-2009.)  (New usage is discouraged.) $)
    rngorz $p |- ( ( R e. RingOps /\ A e. X ) -> ( A H Z ) = Z ) $=
      ( crngo wcel wa co wceq cgr rngogrpo grpoidcl grpolid adantr syl2anc2 w3a
      oveq2d simpr rngo0cl 3jca rngodi syldan rngocl mpd3an3 syl2anc 3eqtr3d wb
      eqcomd grporcan syl13anc mpbid ) BKLZAELZMZAFDNZVACNZFVACNZOZVAFOZUTAFFCN
      ZDNZVAVBVCUTVFFADURVFFOZUSURCPLZFELZVHBCIQZFCEHGRFFCEHGSUATUCURUSUSVJVJUB
      VGVBOUTUSVJVJURUSUDURVJUSBCEFIHGUETZVLUFAFFBCDEIJHUGUHUTVIVAELZVAVCOURVIU
      SVKTZURUSVJVMVLAFBCDEIJHUIUJZVIVMMVCVAVAFCEHGSUNUKULUTVIVMVJVMVDVEUMVNVOV
      LVOVAFVACEHUOUPUQ $.
  $}

  ${
    on1el3.1 $e |- G = ( 1st ` R ) $.
    on1el3.2 $e |- X = ran G $.
    $( Obsolete as of 25-Jan-2020.  Use ~ ring1zr or ~ srg1zr instead.  The
       only unital ring with a base set consisting in one element is the zero
       ring.  (Contributed by FL, 13-Feb-2010.)  (Proof shortened by Mario
       Carneiro, 30-Apr-2015.)  (New usage is discouraged.) $)
    rngosn3 $p |- ( ( R e. RingOps /\ A e. B ) -> ( X = { A } <-> R =
       <. { <. <. A , A >. , A >. } , { <. <. A , A >. , A >. } >. ) ) $=
      ( crngo wcel wa csn wceq cfv cop cxp wf adantr syl5ibcom cvv wb c2nd c1st
      cgr wfo rngogrpo grpofo fof 3syl id sqxpeqd feq23d cdm fdmd eqcomd eqeq2d
      fdm xpid11 syl6ib impbid simpr xpsng sylancom feq2d sylancr 3bitrd eqeq1i
      opex fsng bitrdi anbi1d eqid rngosm bitrd sylibd pm4.71d wrel wss relrngo
      df-rel mpbi sseli eqop syl 3bitr4d ) CHIZABIZJZEAKZLZCUAMZAANZANKZLZJCUBM
      ZWLLZWMJZWICWLWLNLZWGWIWOWMWGWIDWLLZWOWGWIWHWHOZWHDPZWKKZWHDPZWRWGWIWTWGE
      EOZEDPZWIWTWEXDWFWEDUCIXCEDUDXDCDFUEDEGUFXCEDUGUHQZWIXCEWSWHDWIEWHWIUIZUJ
      ZXFUKRWGWTXCWSLZWIWGXCDULZLWTXHWGXIXCWGXCEDXEUMUNWTXIWSXCWSWHDUPUOREWHUQU
      RUSWGWSXAWHDWEWFWFWSXALWEWFUTZAABBVAVBZVCWGWKSIZWFXBWRTAAVGZXJWKASBDVHVDV
      EDWNWLFVFVIVJWGWIWMWGWIWSWHWJPZWMWGXCEWJPZWIXNWEXOWFCDWJEFWJVKGVLQWIXCEWS
      WHWJXGXFUKRWGXNXAWHWJPZWMWGWSXAWHWJXKVCWGXLWFXPWMTXMXJWKASBWJVHVDVMVNVOWG
      CSSOZIZWQWPTWEXRWFHXQCHVPHXQVQVRHVSVTWAQCWLWLSSWBWCWD $.

    $( Obsolete as of 25-Jan-2020.  Use ~ rngen1zr instead.  The only unital
       ring with one element is the zero ring.  (Contributed by FL,
       14-Feb-2010.)  (Revised by Mario Carneiro, 30-Apr-2015.)
       (New usage is discouraged.) $)
    rngosn4 $p |- ( ( R e. RingOps /\ A e. X ) -> ( X ~~ 1o <-> R =
     <. { <. <. A , A >. , A >. } , { <. <. A , A >. , A >. } >. ) ) $=
      ( crngo wcel wa c1o cen wbr csn wceq cop en1eqsnbi adantl rngosn3 bitrd
      wb ) BGHZADHZIDJKLZDAMNZBAAOAOMZUEONUBUCUDTUAADPQADBCDEFRS $.

    ${
      on1el3.3 $e |- Z = ( GId ` G ) $.
      $( Obsolete as of 25-Jan-2020.  Use ~ ringen1zr or ~ srgen1zr instead.
         The only unital ring with one element is the zero ring.  (Contributed
         by FL, 15-Feb-2010.)  (New usage is discouraged.) $)
      rngosn6 $p |- ( R e. RingOps -> ( X ~~ 1o <-> R =
        <. { <. <. Z , Z >. , Z >. } , { <. <. Z , Z >. , Z >. } >. ) ) $=
        ( crngo wcel c1o cen wbr cop csn wceq wb rngo0cl rngosn4 mpdan ) AHIDCI
        CJKLADDMDMNZTMOPABCDEFGQDABCEFRS $.
    $}
  $}

  ${
    ringnegcl.1 $e |- G = ( 1st ` R ) $.
    ringnegcl.2 $e |- X = ran G $.
    ringnegcl.3 $e |- N = ( inv ` G ) $.
    $( A ring is closed under negation.  (Contributed by Jeff Madsen,
       10-Jun-2010.) $)
    rngonegcl $p |- ( ( R e. RingOps /\ A e. X ) -> ( N ` A ) e. X ) $=
      ( crngo wcel cgr cfv rngogrpo grpoinvcl sylan ) BIJCKJAEJADLEJBCFMACDEGHN
      O $.

    ${
      ringaddneg.4 $e |- Z = ( GId ` G ) $.
      $( Adding the negative in a ring gives zero.  (Contributed by Jeff
         Madsen, 10-Jun-2010.) $)
      rngoaddneg1 $p |- ( ( R e. RingOps /\ A e. X )
            -> ( A G ( N ` A ) ) = Z ) $=
        ( crngo wcel cgr cfv co wceq rngogrpo grporinv sylan ) BKLCMLAELAADNCOF
        PBCGQAFCDEHJIRS $.

      $( Adding the negative in a ring gives zero.  (Contributed by Jeff
         Madsen, 10-Jun-2010.) $)
      rngoaddneg2 $p |- ( ( R e. RingOps /\ A e. X )
             -> ( ( N ` A ) G A ) = Z ) $=
        ( crngo wcel cgr cfv co wceq rngogrpo grpolinv sylan ) BKLCMLAELADNACOF
        PBCGQAFCDEHJIRS $.
    $}

    ringsub.4 $e |- D = ( /g ` G ) $.
    $( Subtraction in a ring, in terms of addition and negation.  (Contributed
       by Jeff Madsen, 19-Jun-2010.) $)
    rngosub $p |- ( ( R e. RingOps /\ A e. X /\ B e. X )
                                        -> ( A D B ) = ( A G ( N ` B ) ) ) $=
      ( crngo wcel cgr co cfv wceq rngogrpo grpodivval syl3an1 ) DLMENMAGMBGMAB
      COABFPEOQDEHRABCEFGIJKST $.
  $}

  ${
    $d G u x y $.  $d X u x y $.
    $( The range of an internal operation with a left and right identity
       element equals its base set.  (Contributed by FL, 24-Jan-2010.)
       (Revised by Mario Carneiro, 22-Dec-2013.)
       (New usage is discouraged.) $)
    rngmgmbs4 $p |- ( ( G : ( X X. X ) --> X /\
      E. u e. X A. x e. X ( ( u G x ) = x /\ ( x G u ) = x ) )
         -> ran G = X ) $=
      ( vy cxp wf cv co wceq wa wral wrex wfo crn r19.12 wcel simpl eqcomd syl
      oveq2 rspceeqv ex syl5 reximdv ralimia anim2i foov sylibr forn ) DDFZDCGZ
      BHZAHZCIZUNJZUNUMCIUNJZKZADLBDMZKZUKDCNZCODJUTULUNUMEHZCIZJEDMZBDMZADLZKV
      AUSVFULUSURBDMZADLVFURBADDPVGVEADUNDQZURVDBDURUNUOJZVHVDURUOUNUPUQRSVHVIV
      DEUNDVCUOUNVBUNUMCUAUBUCUDUEUFTUGBEADDDCUHUIUKDCUJT $.
  $}

  ${
    rnplrnml0.1 $e |- H = ( 2nd ` R ) $.
    rnplrnml0.2 $e |- G = ( 1st ` R ) $.
    $( In a unital ring the domain of the first variable of the addition equals
       the domain of the first variable of the multiplication.  (Contributed by
       FL, 24-Jan-2010.)  (New usage is discouraged.) $)
    rngodm1dm2 $p |- ( R e. RingOps -> dom dom G = dom dom H ) $=
      ( crngo wcel crn cxp wfo cdm wceq cgr rngogrpo eqid grpofo syl rngosm fof
      wf fdmd wi fdm wa eqtr dmeqd expcom eqcoms syl5com sylc ) AFGZBHZULIZULBJ
      ZUMULCTZBKZKCKZKLZUKBMGUNABENBULULOZPQABCULEDUSRUNUPUMLZUOURUNUMULBUMULBS
      UAUOUQUMLUTURUBZUMULCUCVAUMUQUTUMUQLZURUTVBUDUPUQUPUMUQUEUFUGUHQUIUJ $.

    $( In a unital ring the range of the addition equals the domain of the
       first variable of the multiplication.  (Contributed by FL, 24-Jan-2010.)
       (New usage is discouraged.) $)
    rngorn1 $p |- ( R e. RingOps -> ran G = dom dom H ) $=
      ( crngo wcel crn cdm cgr wceq rngogrpo grporndm syl rngodm1dm2 eqtrd ) AF
      GZBHZBIIZCIIQBJGRSKABELBMNABCDEOP $.

    ${
      $d G x y z $.  $d H x y z $.  $d R x $.
      $( In a unital ring the range of the addition equals the range of the
         multiplication.  (Contributed by FL, 24-Jan-2010.)
         (New usage is discouraged.) $)
      rngorn1eq $p |- ( R e. RingOps -> ran G = ran H ) $=
        ( vx vy vz crngo wcel crn cxp wf cv co wceq wa wral wrex eqid cablo w3a
        rngosm rngoi simprrd rngmgmbs4 syl2anc eqcomd ) AIJZCKZBKZUIUKUKLUKCMZF
        NZGNZCOZUNPUNUMCOUNPQGUKRFUKSZUJUKPABCUKEDUKTZUCUIBUAJULQUOHNZCOUMUNURC
        OZCOPUMUNURBOCOUOUMURCOZBOPUMUNBOURCOUTUSBOPUBHUKRGUKRFUKRUPFGHABCUKEDU
        QUDUEGFCUKUFUGUH $.
    $}
  $}

  ${
    $d H x y z $.  $d R x y z $.
    unmnd.1 $e |- H = ( 2nd ` R ) $.
    $( In a unital ring the multiplication is a monoid.  (Contributed by FL,
       24-Jan-2010.)  (Revised by Mario Carneiro, 22-Dec-2013.)
       (New usage is discouraged.) $)
    rngomndo $p |- ( R e. RingOps -> H e. MndOp ) $=
      ( vx vy vz wcel cdm cxp wf cv co wceq wral wa wrex w3a eqid wb cvv rngosm
      crngo cmndo c1st cfv crn rngoass ralrimivvva cablo simprrd rngorn1 xpid11
      rngoi biimpri feq23 mpancom raleqbi1dv rexeqbi1dv 3anbi123d syl mpbir3and
      raleq eqcoms c2nd fvex eleq1 mpbiri ismndo1 mp2b sylibr ) AUBGZBHHZVLIZVL
      BJZDKZEKZBLZFKZBLVOVPVRBLZBLMZFVLNZEVLNZDVLNZVQVPMVPVOBLVPMOZEVLNZDVLPZQZ
      BUCGZVKWGAUDUEZUFZWJIZWJBJZVTFWJNZEWJNZDWJNZWDEWJNZDWJPZAWIBWJWIRZCWJRZUA
      VKVTDEFWJWJWJVOVPVRAWIBWJWRCWSUGUHVKWIUIGWLOVTVOVPVRWILBLVQVOVRBLZWILMVOV
      PWILVRBLWTVSWILMQFWJNEWJNDWJNWQDEFAWIBWJWRCWSUMUJVKWJVLMWGWLWOWQQSZAWIBCW
      RUKXAVLWJVLWJMZVNWLWCWOWFWQVMWKMZXBVNWLSXCXBVLWJULUNVMVLWKWJBUOUPWBWNDVLW
      JWAWMEVLWJVTFVLWJVBUQUQWEWPDVLWJWDEVLWJVBURUSVCUTVABAVDUEZMZBTGZWHWGSCXEX
      FXDTGAVDVEBXDTVFVGDEFTBVLVLRVHVIVJ $.
  $}

  ${
    uridm.1 $e |- H = ( 2nd ` R ) $.
    uridm.2 $e |- X = ran ( 1st ` R ) $.
    ${
      uridm.3 $e |- U = ( GId ` H ) $.
      $( The unit of a ring is an identity element for the multiplication.
         (Contributed by FL, 18-Feb-2010.)  (New usage is discouraged.) $)
      rngoidmlem $p |- ( ( R e. RingOps /\ A e. X ) ->
        ( ( U H A ) = A /\ ( A H U ) = A ) ) $=
        ( crngo wcel co wceq wa wi crn cmndo cmagm cexid eqid ex mndomgmid 3syl
        cin rngomndo cmpidelt c1st cfv wb rngorn1eq eqtr eleq2d imbi1d syl mpan
        simpl mpcom mpbird imp ) BIJZAEJZCADKALACDKALMZUSUTVANZADOZJZVANZUSDPJD
        QRUCJZVEBDFUDDUAVFVDVAACDVCVCSHUETUBBUFUGZOZVCLZUSVBVEUHZBVGDFVGSUIEVHL
        ZVIUSVJNZGVKVIMEVCLZVLEVHVCUJVMUSVJVMUSMZUTVDVAVNEVCAVMUSUOUKULTUMUNUPU
        QUR $.

      $( The unit of a ring is an identity element for the multiplication.
         (Contributed by FL, 18-Apr-2010.)  (New usage is discouraged.) $)
      rngolidm $p |- ( ( R e. RingOps /\ A e. X ) -> ( U H A ) = A ) $=
        ( crngo wcel wa co wceq rngoidmlem simpld ) BIJAEJKCADLAMACDLAMABCDEFGH
        NO $.
    $}

    ${
      uridm2.2 $e |- U = ( GId ` H ) $.
      $( The unit of a ring is an identity element for the multiplication.
         (Contributed by FL, 18-Apr-2010.)  (New usage is discouraged.) $)
      rngoridm $p |- ( ( R e. RingOps /\ A e. X ) -> ( A H U ) = A ) $=
        ( crngo wcel wa co wceq rngoidmlem simprd ) BIJAEJKCADLAMACDLAMABCDEFGH
        NO $.
    $}
  $}

  ${
    ring1cl.1 $e |- X = ran ( 1st ` R ) $.
    ring1cl.2 $e |- H = ( 2nd ` R ) $.
    ring1cl.3 $e |- U = ( GId ` H ) $.
    $( The unit of a ring belongs to the base set.  (Contributed by FL,
       12-Feb-2010.)  (New usage is discouraged.) $)
    rngo1cl $p |- ( R e. RingOps -> U e. X ) $=
      ( crngo wcel c2nd cfv crn cmagm cexid wa cmndo syl eqid cgi wceq rngomndo
      eleq1i mndoismgmOLD mndoisexid sylbi elin sylibr fveq2i eqtri iorlid c1st
      cin jca wb rngorn1eq eqtr eleq2d sylancr mpbird ) AHIZBDIZBAJKZLZIZUTVBMN
      ULIZVDUTVBMIZVBNIZOZVEUTCPIZVHACFUAVIVBPIZVHCVBPFUBVJVFVGVBUCVBUDUMUEQVBM
      NUFUGBVBVCVCRBCSKVBSKGCVBSFUHUIUJQUTDAUKKZLZTZVLVCTZVAVDUNEAVKVBVBRVKRUOV
      MVNODVCBDVLVCUPUQURUS $.
  $}

  ${
    $d R x $.  $d U x $.  $d X x $.  $d Z x $.
    uznzr.1 $e |- G = ( 1st ` R ) $.
    uznzr.2 $e |- H = ( 2nd ` R ) $.
    uznzr.3 $e |- Z = ( GId ` G ) $.
    uznzr.4 $e |- U = ( GId ` H ) $.
    uznzr.5 $e |- X = ran G $.
    $( Obsolete as of 23-Jan-2020.  Use ~ 0ring01eqbi instead.  In a unital
       ring the zero equals the unity iff the ring is the zero ring.
       (Contributed by FL, 14-Feb-2010.)  (New usage is discouraged.) $)
    rngoueqz $p |- ( R e. RingOps -> ( X ~~ 1o <-> U = Z ) ) $=
      ( vx wcel c1o wceq wi wa syl ex wral cen wbr rngo0cl csn en1eqsn crn c1st
      crngo rneqi rngo1cl eleq2 biimpd elsni syl6com eqcomi syl5com com23 mpcom
      cfv eleq2s c0 wne rngone0 cv co oveq2 ralrimivw rngorz ralrimiva rngoridm
      eqtri r19.26 eqtr eqcoms imp31 ralimi ensn1g breq1 syl5ibr syl6bir sylbir
      eqsn com3l com24 mpd com13 impbid ) AUHMZENUAUBZBFOZFEMZWHWIWJPACEFGKIUCZ
      WKWIWHWJWKWIWHWJPWKWIQEFUDZOZWHWJFEUEWHBCUFZMWNWJPZABDWOCAUGUSZGUIZHJUJWP
      BEWOWNBEMZBWMMZWJWNWSWTEWMBUKULBFUMUNEWOKUOUTRUPSUQUREVAVBZWHWJWIPACEGKVC
      WJWHXAWIWJLVDZBDVEZXBFDVEZOZLETZWHXAWIPZWJXELEBFXBDVFVGWHXDFOZLETZXFXGPZW
      HXHLEXBACDEFIKGHVHVIXCXBOZLETZWHXIXJPWHXKLEXBABDEHEWOWQUFKWRVKJVJVIXLXFXI
      WHXGXLXFXIWHXGPZPZXLXFQXKXEQZLETZXNXKXELEVLXPXIXMXPXIQXOXHQZLETZXMXOXHLEV
      LXRXBFOZLETZXMXQXSLEXKXEXHXSXEXHXSPZPXBXCXBXCOZXEYAYBXEQXBXDOZYAXBXCXDVMY
      CXHXSXBXDFVMSRSVNVOVPXAXTWHWIXAXTWNWHWIPLEFWBWHWIWNWMNUAUBZWHWKYDWLFEVQRE
      WMNUAVRVSVTWCRWASWASWDURWEUPWFURWG $.
  $}

  ${
    ringneg.1 $e |- G = ( 1st ` R ) $.
    ringneg.2 $e |- H = ( 2nd ` R ) $.
    ringneg.3 $e |- X = ran G $.
    ringneg.4 $e |- N = ( inv ` G ) $.
    ringneg.5 $e |- U = ( GId ` H ) $.
    $( Negation in a ring is the same as left multiplication by ` -u 1 ` .
       (Contributed by Jeff Madsen, 10-Jun-2010.) $)
    rngonegmn1l $p |- ( ( R e. RingOps /\ A e. X ) ->
                                            ( N ` A ) = ( ( N ` U ) H A ) ) $=
      ( wcel wa cfv co wceq crn mpdan an32s crngo rneqi eqtri rngo1cl rngonegcl
      cgi c1st rngodir 3exp2 imp42 mpidan eqid rngoaddneg1 adantr oveq1d rngolz
      jca eqtrd rngolidm 3eqtr3rd wb rngocl rngogrpo grpoinvid1 syl3an1 mpd3an3
      3expa cgr mpbird ) BUAMZAGMZNZAFOCFOZAEPZQZAVNDPZDUFOZQZVLCVMDPZAEPZCAEPZ
      VNDPZVQVPVJVKCGMZVMGMZNZVTWBQZVJWCWDBCEGGDRBUGOZRJDWGHUBUCZILUDZVJWCWDWIC
      BDFGHJKUESZUQVJWEVKWFVJWCWDVKWFVJWCWDVKWFCVMABDEGHIJUHUIUJTUKVLVTVQAEPVQV
      LVSVQAEVJVSVQQZVKVJWCWKWICBDFGVQHJKVQULZUMSUNUOABDEGVQWLJHIUPURVLWAAVNDAB
      CEGIWHLUSUOUTVJVKVNGMZVOVRVAZVJVKWDWMWJVJWDVKWMVJWDVKWMVMABDEGHIJVBVGTUKV
      JDVHMVKWMWNBDHVCAVNVQDFGJWLKVDVEVFVI $.

    $( Negation in a ring is the same as right multiplication by ` -u 1 ` .
       (Contributed by Jeff Madsen, 19-Jun-2010.) $)
    rngonegmn1r $p |- ( ( R e. RingOps /\ A e. X ) ->
                                            ( N ` A ) = ( A H ( N ` U ) ) ) $=
      ( wcel wa cfv co wceq crn mpdan adantr crngo cgi c1st rneqi eqtri rngo1cl
      rngonegcl jca rngodi 3exp2 imp43 rngoaddneg2 oveq2d rngorz eqtrd rngoridm
      eqid 3eqtr3rd wb rngocl mpd3an3 cgr rngogrpo grpoinvid2 syl3an1 mpbird )
      BUAMZAGMZNZAFOACFOZEPZQZVKADPZDUBOZQZVIAVJCDPZEPZVKACEPZDPZVNVMVIVJGMZCGM
      ZNVQVSQZVIVTWAVGVTVHVGWAVTBCEGGDRBUCOZRJDWCHUDUEZILUFZCBDFGHJKUGSTZVGWAVH
      WETUHVGVHVTWAWBVGVHVTWAWBAVJCBDEGHIJUIUJUKSVIVQAVNEPVNVIVPVNAEVGVPVNQZVHV
      GWAWGWECBDFGVNHJKVNUQZULSTUMABDEGVNWHJHIUNUOVIVRAVKDABCEGIWDLUPUMURVGVHVK
      GMZVLVOUSZVGVHVTWIWFAVJBDEGHIJUTVAVGDVBMVHWIWJBDHVCAVKVNDFGJWHKVDVEVAVF
      $.
  $}

  ${
    ringnegmul.1 $e |- G = ( 1st ` R ) $.
    ringnegmul.2 $e |- H = ( 2nd ` R ) $.
    ringnegmul.3 $e |- X = ran G $.
    ringnegmul.4 $e |- N = ( inv ` G ) $.
    $( Negation of a product in a ring.  (Contributed by Jeff Madsen,
       19-Jun-2010.) $)
    rngoneglmul $p |- ( ( R e. RingOps /\ A e. X /\ B e. X )
                                -> ( N ` ( A H B ) ) = ( ( N ` A ) H B ) ) $=
      ( crngo wcel w3a cfv co wceq wi crn rngonegmn1l cgi c1st rneqi eqtri eqid
      rngo1cl rngonegcl mpdan rngoass 3exp2 3imp 3adant3 oveq1d wa rngocl 3expb
      mpd syldan 3impb 3eqtr4rd ) CLMZAGMZBGMZNZEUAOZFOZAEPZBEPZVFABEPZEPZAFOZB
      EPVIFOZVAVBVCVHVJQZVAVFGMZVBVCVMRRVAVEGMVNCVEEGGDSCUBOZSJDVOHUCUDIVEUEZUF
      VECDFGHJKUGUHVAVNVBVCVMVFABCDEGHIJUIUJUQUKVDVKVGBEVAVBVKVGQVCACVEDEFGHIJK
      VPTULUMVAVBVCVLVJQZVAVBVCUNVIGMZVQVAVBVCVRABCDEGHIJUOUPVICVEDEFGHIJKVPTUR
      USUT $.

    $( Negation of a product in a ring.  (Contributed by Jeff Madsen,
       19-Jun-2010.) $)
    rngonegrmul $p |- ( ( R e. RingOps /\ A e. X /\ B e. X )
                                -> ( N ` ( A H B ) ) = ( A H ( N ` B ) ) ) $=
      ( crngo wcel w3a co cfv wceq wi crn rngonegmn1r cgi c1st rneqi eqtri eqid
      rngo1cl rngonegcl mpdan rngoass 3exp2 com24 com34 mpd rngocl 3expb syldan
      3imp wa 3impb 3adant2 oveq2d 3eqtr4d ) CLMZAGMZBGMZNZABEOZEUAPZFPZEOZABVI
      EOZEOZVGFPZABFPZEOVCVDVEVJVLQZVCVIGMZVDVEVORRVCVHGMVPCVHEGGDSCUBPZSJDVQHU
      CUDIVHUEZUFVHCDFGHJKUGUHVCVPVEVDVOVCVDVEVPVOVCVDVEVPVOABVICDEGHIJUIUJUKUL
      UMUQVCVDVEVMVJQZVCVDVEURVGGMZVSVCVDVEVTABCDEGHIJUNUOVGCVHDEFGHIJKVRTUPUSV
      FVNVKAEVCVEVNVKQVDBCVHDEFGHIJKVRTUTVAVB $.
  $}

  ${
    ringsubdi.1 $e |- G = ( 1st ` R ) $.
    ringsubdi.2 $e |- H = ( 2nd ` R ) $.
    ringsubdi.3 $e |- X = ran G $.
    ringsubdi.4 $e |- D = ( /g ` G ) $.
    $( Ring multiplication distributes over subtraction.  (Contributed by Jeff
       Madsen, 19-Jun-2010.) $)
    rngosubdi $p |- ( ( R e. RingOps /\ ( A e. X /\ B e. X /\ C e. X ) )
                          -> ( A H ( B D C ) ) = ( ( A H B ) D ( A H C ) ) ) $=
      ( wcel w3a wa co cfv wceq rngosub eqtr4d cgn eqid 3adant3r1 oveq2d rngocl
      crngo 3adant3r3 3adant3r2 jca 3expb syldan idd rngonegcl ex 3anim123d imp
      rngodi rngonegrmul ) EUFMZAHMZBHMZCHMZNZOZABCDPZGPABCFUAQZQZFPZGPZABGPZAC
      GPZDPZVDVEVHAGUSVAVBVEVHRUTBCDEFVFHIKVFUBZLSUCUDVDVLVJVKVFQZFPZVIUSVCVJHM
      ZVKHMZOVLVORZVDVPVQUSUTVAVPVBABEFGHIJKUEUGUSUTVBVQVAACEFGHIJKUEUHUIUSVPVQ
      VRVJVKDEFVFHIKVMLSUJUKVDVIVJAVGGPZFPZVOUSVCUTVAVGHMZNZVIVTRUSVCWBUSUTUTVA
      VAVBWAUSUTULUSVAULUSVBWACEFVFHIKVMUMUNUOUPABVGEFGHIJKUQUKVDVNVSVJFUSUTVBV
      NVSRVAACEFGVFHIJKVMURUHUDTTT $.

    $( Ring multiplication distributes over subtraction.  (Contributed by Jeff
       Madsen, 19-Jun-2010.) $)
    rngosubdir $p |- ( ( R e. RingOps /\ ( A e. X /\ B e. X /\ C e. X ) )
                          -> ( ( A D B ) H C ) = ( ( A H C ) D ( B H C ) ) ) $=
      ( wcel w3a wa co cfv wceq rngosub eqtr4d cgn eqid 3adant3r3 oveq1d rngocl
      crngo 3adant3r2 3adant3r1 jca 3expb syldan idd rngonegcl ex 3anim123d imp
      rngodir rngoneglmul oveq2d ) EUFMZAHMZBHMZCHMZNZOZABDPZCGPABFUAQZQZFPZCGP
      ZACGPZBCGPZDPZVEVFVICGUTVAVBVFVIRVCABDEFVGHIKVGUBZLSUCUDVEVMVKVLVGQZFPZVJ
      UTVDVKHMZVLHMZOVMVPRZVEVQVRUTVAVCVQVBACEFGHIJKUEUGUTVBVCVRVABCEFGHIJKUEUH
      UIUTVQVRVSVKVLDEFVGHIKVNLSUJUKVEVJVKVHCGPZFPZVPUTVDVAVHHMZVCNZVJWARUTVDWC
      UTVAVAVBWBVCVCUTVAULUTVBWBBEFVGHIKVNUMUNUTVCULUOUPAVHCEFGHIJKUQUKVEVOVTVK
      FUTVBVCVOVTRVABCEFGVGHIJKVNURUHUSTTT $.
  $}

  ${
    zerdivempx.1 $e |- G = ( 1st ` R ) $.
    zerdivempx.2 $e |- H = ( 2nd ` R ) $.
    zerdivempx.3 $e |- Z = ( GId ` G ) $.
    zerdivempx.4 $e |- X = ran G $.
    zerdivempx.5 $e |- U = ( GId ` H ) $.
    $d A a $.  $d B a $.  $d H a $.  $d R a $.  $d X a $.  $d Z a $.
    $( In a unitary ring a left invertible element is not a zero divisor.  See
       also ~ ringinvnzdiv .  (Contributed by Jeff Madsen, 18-Apr-2010.) $)
    zerdivemp1x $p |- ( ( R e. RingOps /\ A e. X /\ E. a e. X ( a H A ) = U )
       -> ( B e. X -> ( ( A H B ) = Z -> B = Z ) ) ) $=
      ( wcel co wceq wi w3a 3exp crngo cv oveq2 wa simpl1 simpr1 simpr3 rngoass
      wrex simpl3 syl13anc eqtr ex rngorz 3adant3 crn c1st rneqi eqtri rngolidm
      cfv 3adant2 simp1 simp2 simp3 3eqtr3d com14 com13 sylc com15 com24 eqcoms
      a1d syl com25 oveq1 syl11 3imp syl6 3imp1 mpd 3exp1 syl5com rexlimiv ) CU
      AOZAGOZIUBZAFPZDQZIGUIZBGOZABFPZHQZBHQZRRZWJWFWEWOWIWFWEWORZRIGWGGOZWIWFW
      PWMWEWKWQWIWFSZWNWMWGWLFPZWGHFPZQZWEWKWRWNRRWLHWGFUCWEXAWKWRWNWEXAWKSZWRU
      DZWHBFPZWSQZWNXCWEWQWFWKXEWEXAWKWRUEXBWQWIWFUFXBWQWIWFUGWEXAWKWRUJWGABCEF
      GJKMUHUKWEXAWKWRXEWNRXEXAWKWRWEWNXEXAXDWTQZWKWRWEWNRZRRXEXAXFXDWSWTULUMWR
      WKXFXGWQWIWFWKXFXGRRZXDDBFPZQZWQWFXHRWIXJXFWFWKWQXGXFWFWKWQXGRRRZRXIXDXIX
      DQZXFXKXLXFUDXIWTQZXKXIXDWTULXMWQWKWFXGWEWQWKWFXMWNWEWQWKWFXMWNRZRZWEWQWK
      SWTHQZXIBQZXOWEWQXPWKWGCEFGHLMJKUNUOWEWKXQWQBCDFGKGEUPCUQVAZUPMEXRJURUSNU
      TVBWFXQXPXNXMXQXPWFWNXMXQXPWFWNRXMXQXPSZWNWFXSXIWTBHXMXQXPVCXMXQXPVDXMXQX
      PVEVFVMTVGVHVITVJVKVNUMVLVOWHDBFVPVQVRVHVSVJVTWAWBWCVGTWDVHVR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Division Rings
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c DivRingOps $.

  $( Extend class notation with the class of all division rings. $)
  cdrng $a class DivRingOps $.

  ${
    $d g h $.
    $( Define the class of all division rings (sometimes called skew fields).
       A division ring is a unital ring where every element except the additive
       identity has a multiplicative inverse.  (Contributed by NM, 4-Apr-2009.)
       (New usage is discouraged.) $)
    df-drngo $a |- DivRingOps = { <. g , h >. | ( <. g , h >. e. RingOps
       /\ ( h |` (
 ( ran g \ { ( GId ` g ) } ) X. ( ran g \ { ( GId ` g ) } ) ) ) e. GrpOp ) } $.
  $}

  ${
    $d G g h $.  $d H g h $.  $d x y $.
    $( The predicate "is a division ring".  (Contributed by FL, 6-Sep-2009.)
       (New usage is discouraged.) $)
    isdivrngo $p |- ( H e. A -> ( <. G , H >. e. DivRingOps
     <-> ( <. G , H >. e. RingOps /\ ( H |` (
       ( ran G \ { ( GId ` G ) } ) X. ( ran G \ { ( GId ` G ) } ) ) )
         e. GrpOp ) ) ) $=
      ( vx vy vg vh wcel cop cdrng crngo crn cgi cfv csn cres cgr wa cv eleq1d
      cxp cvv wbr df-br df-drngo relopabiv brrelex1i sylbir anim1i ancoms cablo
      cdif rngoablo2 elex syl ad2antrl simpl copab eleq2i wceq opeq1 rneq fveq2
      jca sneqd difeq12d sqxpeqd reseq2d opeq2 reseq1 opelopabg syl5bb pm5.21nd
      anbi12d ) CAHZBCIZJHZVPKHZCBLZBMNZOZULZWBUAZPZQHZRZBUBHZVORZVQVOWHVQWGVOV
      QBCJUCWGBCJUDBCJDSZESZIKHWJWILWIMNOULZWKUAPQHRDEJDEUEUFUGUHUIUJVOWFRWGVOV
      RWGVOWEVRBUKHWGBCUMBUKUNUOUPVOWFUQVDVQVPFSZGSZIZKHZWMWLLZWLMNZOZULZWSUAZP
      ZQHZRZFGURZHWHWFJXDVPFGUEUSXCBWMIZKHZWMWCPZQHZRWFFGBCUBAWLBUTZWOXFXBXHXIW
      NXEKWLBWMVATXIXAXGQXIWTWCWMXIWSWBXIWPVSWRWAWLBVBXIWQVTWLBMVCVEVFVGVHTVNWM
      CUTZXFVRXHWEXJXEVPKWMCBVITXJXGWDQWMCWCVJTVNVKVLVM $.
  $}

  ${
    $d g h H $.  $d g h R $.  $d g h X $.  $d g h Z $.
    drngi.1 $e |- G = ( 1st ` R ) $.
    drngi.2 $e |- H = ( 2nd ` R ) $.
    drngi.3 $e |- X = ran G $.
    drngi.4 $e |- Z = ( GId ` G ) $.
    $( The properties of a division ring.  (Contributed by NM, 4-Apr-2009.)
       (New usage is discouraged.) $)
    drngoi $p |- ( R e. DivRingOps -> ( R e. RingOps /\
        ( H |` ( ( X \ { Z } ) X. ( X \ { Z } ) ) ) e. GrpOp ) ) $=
      ( vg vh cdrng wcel crngo cres cgr wa cfv cop eleq1d csn cdif c1st c2nd cv
      cxp crn copab wceq opeq1 id eqtr4di rneqd fveq2d difeq12d sqxpeqd reseq2d
      sneqd anbi12d opeq2 anbi1d eqtr4id reseq1d anbi2d bitr4d elopabi df-drngo
      cgi eleq2s wrel relopabiv 1st2nd mpan mpbird ) ALMZANMZCDEUAZUBZVRUFZOZPM
      ZQAUCRZAUDRZSZNMZWAQZWFAJUEZKUEZSZNMZWHWGUGZWGVHRZUAZUBZWNUFZOZPMZQZJKUHL
      WRWBWHSZNMZWHVSOZPMZQZWFJKAWGWBUIZWJWTWQXBXDWIWSNWGWBWHUJTXDWPXAPXDWOVSWH
      XDWNVRXDWKDWMVQXDWKBUGDXDWGBXDWGWBBXDUKFULZUMHULXDWLEXDWLBVHREXDWGBVHXEUN
      IULURUOUPUQTUSWHWCUIZXCWEXBQWFXFWTWEXBXFWSWDNWHWCWBUTTVAXFWAXBWEXFVTXAPXF
      CWHVSXFCWCWHGXFUKVBVCTVDVEVFJKVGZVIVOVPWEWAVOAWDNLVJVOAWDUIWRJKLXGVKALVLV
      MTVAVN $.
  $}

  ${
    ablsn.1 $e |- A e. _V $.
    $( Obsolete as of 23-Jan-2020.  Use ~ mnd1id instead.  The identity element
       of the trivial group.  (Contributed by FL, 21-Jun-2010.)  (Proof
       shortened by Mario Carneiro, 15-Dec-2013.)
       (New usage is discouraged.) $)
    gidsn $p |- ( GId ` { <. <. A , A >. , A >. } ) = A $=
      ( cop csn cgr wcel cgi cfv wceq grposnOLD crn opex rnsnop eqcomi grpoidcl
      eqid elsni mp2b ) AACZACDZEFTGHZADZFUAAIABJUATUBTKUBSAAALMNUAPOUAAQR $.
  $}

  ${
    zrdivrng.1 $e |- A e. _V $.
    $( The zero ring is not a division ring.  (Contributed by FL, 24-Jan-2010.)
       (Proof shortened by Mario Carneiro, 15-Dec-2013.)
       (New usage is discouraged.) $)
    zrdivrng $p |-
         -. <. { <. <. A , A >. , A >. } , { <. <. A , A >. , A >. } >. e.
         DivRingOps $=
      ( cop csn cdrng wcel c0 cgr 0ngrp crn cgi cfv cdif cres opex rnsnop gidsn
      cxp eqtri cvv sneqi difeq12i difid xpeq2i reseq2i res0 crngo wa isdivrngo
      xp0 wb snex ax-mp simprbi eqeltrrid mto ) AACZACZDZUSCZEFZGHFIVAGUSUSJZUS
      KLZDZMZVERZNZHVGUSGNGVFGUSVFVEGRGVEGVEVEADZVHMGVBVHVDVHUQAAAOPVCAABQUAUBV
      HUCSUDVEUJSUEUSUFSVAUTUGFZVGHFZUSTFVAVIVJUHUKURULTUSUSUIUMUNUOUP $.
  $}

  ${
    dvrunz.1 $e |- G = ( 1st ` R ) $.
    dvrunz.2 $e |- H = ( 2nd ` R ) $.
    dvrunz.3 $e |- X = ran G $.
    dvrunz.4 $e |- Z = ( GId ` G ) $.
    dvrunz.5 $e |- U = ( GId ` H ) $.
    $( In a division ring the unit is different from the zero.  (Contributed by
       FL, 14-Feb-2010.)  (Revised by Mario Carneiro, 15-Dec-2013.)
       (New usage is discouraged.) $)
    dvrunz $p |- ( R e. DivRingOps -> U =/= Z ) $=
      ( cdrng wcel cop csn wn wne wceq wb syl cgi fvexi zrdivrng c1o crngo cdif
      cen wbr cxp cres cgr drngoi simpld rngoueqz rngosn6 biimpd syl6bi pm2.43a
      wi eleq1 sylbird necon3bd mpi ) ALMZFFNFNOZVENZLMZPBFQFFCUAJUBUCVDVGBFVDB
      FRZEUDUGUHZVGVDAUEMZVIVHSVDVJDEFOUFZVKUIUJUKMACDEFGHIJULUMZABCDEFGHJKIUNT
      VIVDVGVDVIAVFRZVDVGUSVDVJVIVMSVLACEFGIJUOTVMVDVGAVFLUTUPUQURVAVBVC $.
  $}

  ${
    $d ph u x y z $.  $d G u n x y z $.  $d X u n x y z $.  $d U u n x y z $.
    isgrpda.1 $e |- ( ph -> X e. _V ) $.
    isgrpda.2 $e |- ( ph -> G : ( X X. X ) --> X ) $.
    isgrpda.3 $e |- ( ( ph /\ ( x e. X /\ y e. X /\ z e. X ) )
                            -> ( ( x G y ) G z ) = ( x G ( y G z ) ) ) $.
    isgrpda.4 $e |- ( ph -> U e. X ) $.
    isgrpda.5 $e |- ( ( ph /\ x e. X ) -> ( U G x ) = x ) $.
    isgrpda.6 $e |- ( ( ph /\ x e. X ) -> E. n e. X ( n G x ) = U ) $.
    $( Properties that determine a group operation.  (Contributed by Jeff
       Madsen, 1-Dec-2009.)  (New usage is discouraged.) $)
    isgrpda $p |- ( ph -> G e. GrpOp ) $=
      ( vu cv co wceq wral wrex cgr wcel crn cxp wf wa ralrimivvva oveq1 eqeq1d
      w3a sylibr jca ralrimiva eqeq2 rexbidv anbi12d ralbidv rspcev syl2anc wfo
      cbvrexvw adantr simpr eqcomd rspceov syl3anc foov sylanbrc sqxpeqd feq23d
      syl raleqdv raleqbidv rexeqdv anbi2d rexeqbidv 3anbi123d mpbir3and cvv wb
      forn xpexd fexd eqid isgrpo mpbird ) AGUAUBZGUCZWHUDZWHGUEZBPZCPZGQDPZGQW
      KWLWMGQZGQRZDWHSZCWHSZBWHSZOPZWKGQZWKRZWLWKGQZWSRZCWHTZUFZBWHSZOWHTZUJZAX
      HHHUDZHGUEZWODHSZCHSZBHSZXAXCCHTZUFZBHSZOHTZJAWOBCDHHHKUGAEHUBZEWKGQZWKRZ
      XBERZCHTZUFZBHSZXQLAYCBHAWKHUBZUFZXTYBMYFFPZWKGQZERZFHTYBNYAYICFHWLYGRXBY
      HEWLYGWKGUHUIVAUKULUMXPYDOEHWSERZXOYCBHYJXAXTXNYBYJWTXSWKWSEWKGUHUIYJXCYA
      CHWSEXBUNUOUPUQURUSAWJXJWRXMXGXQAWIWHXIHGAWHHAXIHGUTZWHHRAXJWKWNRDHTCHTZB
      HSYKJAYLBHYFXRYEWKXSRYLAXRYELVBAYEVCYFXSWKMVDCDHHEWKWKGVEVFUMCDBHHHGVGVHX
      IHGWAVKZVIYMVJAWQXLBWHHYMAWPXKCWHHYMAWODWHHYMVLVMVMAXFXPOWHHYMAXEXOBWHHYM
      AXDXNXAAXCCWHHYMVNVOVMVPVQVRAGVSUBWGXHVTAXIHVSGJAHHVSVSIIWBWCBCDOVSGWHWHW
      DWEVKWF $.
  $}

  ${
    $d g h $.
    isdivrng1.1 $e |- G = ( 1st ` R ) $.
    isdivrng1.2 $e |- H = ( 2nd ` R ) $.
    isdivrng1.3 $e |- Z = ( GId ` G ) $.
    isdivrng1.4 $e |- X = ran G $.
    $( The predicate "is a division ring".  (Contributed by Jeff Madsen,
       8-Jun-2010.) $)
    isdrngo1 $p |- ( R e. DivRingOps <-> ( R e. RingOps /\
             ( H |` ( ( X \ { Z } ) X. ( X \ { Z } ) ) ) e. GrpOp ) ) $=
      ( vg vh cdrng wcel cfv cop crngo csn cdif cgr wa c1st c2nd wceq cres wrel
      cxp cv crn cgi df-drngo relopabiv 1st2nd relrngo adantr wb opeq12i eqeq2i
      mpan cvv fvexi isdivrngo ax-mp sneqi xpeq12i reseq2i eleq1i anbi2i bitr4i
      difeq12i eleq1 anbi1d bibi12d mpbiri sylbir pm5.21nii ) ALMZAAUANZAUBNZOZ
      UCZAPMZCDEQZRZWCUFZUDZSMZTZLUEVPVTJUGZKUGZOPMWIWHUHWHUINQRZWJUFUDSMTJKLJK
      UJUKALULURWAVTWFPUEWAVTUMAPULURUNVTABCOZUCZVPWGUOZWKVSABVQCVRFGUPUQWLWMWK
      LMZWKPMZWFTZUOWNWOCBUHZBUINZQZRZWTUFZUDZSMZTZWPCUSMWNXDUOCAUBGUTUSBCVAVBW
      FXCWOWEXBSWDXACWCWTWCWTDWQWBWSIEWRHVCVIZXEVDVEVFVGVHWLVPWNWGWPAWKLVJWLWAW
      OWFAWKPVJVKVLVMVNVO $.

    $( The product of two nonzero elements of a division ring is nonzero.
       (Contributed by Jeff Madsen, 9-Jun-2010.) $)
    divrngcl $p |- ( ( R e. DivRingOps /\ A e. ( X \ { Z } )
                    /\ B e. ( X \ { Z } ) ) -> ( A H B ) e. ( X \ { Z } ) ) $=
      ( wcel cxp wa co wceq adantl cdm wss eleq2d cdrng crngo csn cdif cres cgr
      isdrngo1 ovres crn wi eqid grpocl 3expib grporndm difss xpss12 mp2an fdmd
      rngosm sseqtrrid ssdmres sylib adantr dmeqd dmxpid eqtrdi anbi12d 3imtr3d
      eqtrd imp eqeltrrd 3impb syl3an1b ) CUALCUBLZEFGUCZUDZVPMZUEZUFLZNZAVPLZB
      VPLZABEOZVPLZCDEFGHIJKUGVTWAWBWDVTWAWBNZNABVROZWCVPWEWFWCPVTABVPVPEUHQVTW
      EWFVPLZVTAVRUIZLZBWHLZNZWFWHLZWEWGVSWKWLUJVNVSWIWJWLABVRWHWHUKULUMQVTWIWA
      WJWBVTWHVPAVTWHVRRZRZVPVSWHWNPVNVRUNQVTWNVQRVPVTWMVQVNWMVQPZVSVNVQERZSWOV
      NFFMZVQWPVPFSZWRVQWQSFVOUOZWSVPFVPFUPUQVNWQFECDEFHIKUSURUTVQEVAVBVCVDVPVE
      VFVIZTVTWHVPBWTTVGVTWHVPWFWTTVHVJVKVLVM $.

    $d H x y u v w z $.  $d X x y u v w z $.  $d Z x y u v w z $.
    $d R x y u v w z $.  $d U x y u v w z $.
    isdivrng2.5 $e |- U = ( GId ` H ) $.
    $( A division ring is a ring in which ` 1 =/= 0 ` and every nonzero element
       is invertible.  (Contributed by Jeff Madsen, 8-Jun-2010.) $)
    isdrngo2 $p |- ( R e. DivRingOps <-> ( R e. RingOps /\ ( U =/= Z /\
             A. x e. ( X \ { Z } ) E. y e. ( X \ { Z } ) ( y H x ) = U ) ) ) $=
      ( vz wcel wa co wceq wrex adantr vu vv vw cdrng csn cdif cxp cres cgr wne
      crngo cv wral isdrngo1 dvrunz sylbir crn cdm grporndm adantl difss xpss12
      wss mp2an rngosm sseqtrrid ssdmres sylib dmeqd dmxpid eqtrdi eqtrd eleq2d
      fdmd biimpar cgn cfv grpoinvcl adantll cgi grpolinv cmagm cexid cin cmndo
      eqid rngomndo mndomgmid syl sseqtri rngorn1eq sseqtrid c1st rneqi rngo1cl
      eqtri eldifsn sylanbrc grpomndo mndoismgmOLD syl31anc oveq1 eqeq1d rspcev
      exidresid syl2anc syldan rexeqdv wb ovres ancoms rexbidva bitrd ralrimiva
      mpbid jca cvv rnex eqeltri difexg mp1i wfn wf ffnd fnssres sylancl eldifi
      fvexi anim12i 3expb sylan2 adantlr weq wi sylan2b adantlrl ovresd 3eqtr4d
      w3a sylan rngocl oveq2 rexbidv rspcv imdistanri ax-mp zerdivemp1x syl3an3
      ssrexv syl3an2 imp necon3d impr an32s ancom2s eqeltrd ralrimivva 3adantr3
      an42s ffnov simpr3 3adant3 oveq1d oveq2d simpr1 fovrn 3adant3r1 3anim123i
      3adant1 rngoass anim1i adantrr rngolidm adantlrr cbvrexvw isgrpda impbida
      sylibr rspcva pm5.32i bitri ) CUDOZCUKOZFGHUEZUFZUWEUGZUHZUIOZPZUWCDHUJZB
      ULZAULZFQZDRZBUWESZAUWEUMZPZPZCEFGHIJKLUNZUWCUWHUWQUWCUWHUWQUWIUWJUWPUWIU
      WBUWJUWSCDEFGHIJLKMUOUPZUWIUWOAUWEUWIUWLUWEOZPZUWKUWLUWGQZDRZBUWGUQZSZUWO
      UWIUXAUWLUXEOZUXFUWIUXGUXAUWIUXEUWEUWLUWIUXEUWGURZURZUWEUWHUXEUXIRUWCUWGU
      SUTUWIUXIUWFURUWEUWIUXHUWFUWIUWFFURZVCZUXHUWFRUWCUXKUWHUWCGGUGZUWFUXJUWEG
      VCZUXMUWFUXLVCZGUWDVAZUXOUWEGUWEGVBVDZUWCUXLGFCEFGIJLVEZVNVFTUWFFVGVHVIUW
      EVJVKVLZVMVOUWIUXGPZUWLUWGVPVQZVQZUXEOZUYAUWLUWGQZDRZUXFUWHUXGUYBUWCUWLUW
      GUXTUXEUXEWFZUXTWFZVRVSUXSUYCUWGVTVQZDUWHUXGUYCUYGRUWCUWLUYGUWGUXTUXEUYEU
      YGWFUYFWAVSUWIUYGDRZUXGUWIFWBWCWDOZUWEFUQZVCZDUWEOZUWGWBOZUYHUWCUYIUWHUWC
      FWEOUYICFJWGFWHWITUWCUYKUWHUWCEUQZUWEUYJUWEGUYNUXOLWJCEFJIWKWLTUWIDGOZUWJ
      UYLUWCUYOUWHCDFGGUYNCWMVQZUQLEUYPIWNWPZJMWOZTUWTDGHWQZWRUWHUYMUWCUWHUWGWE
      OUYMUWGWSUWGWTWIUTDFUWGUYJUWEUYJWFMUWGWFXEXATVLUXDUYDBUYAUXEUWKUYARUXCUYC
      DUWKUYAUWLUWGXBXCXDXFXGUXBUXFUXDBUWESZUWOUXBUXDBUXEUWEUWIUXEUWERUXAUXRTXH
      UXAUYTUWOXIUWIUXAUXDUWNBUWEUXAUWKUWEOZPUXCUWMDVUAUXAUXCUWMRUWKUWLUWEUWEFX
      JXKXCXLUTXMXOXNXPUWRUAUBUCDNUWGUWEGXQOUWEXQOUWRGUYNXQLEECWMIYHXRXSGUWDXQX
      TYAUWRUWGUWFYBZUAULZUBULZUWGQZUWEOZUBUWEUMUAUWEUMUWFUWEUWGYCZUWRFUXLYBZUX
      NVUBUWCVUHUWQUWCUXLGFUXQYDTUXPUXLUWFFYEYFUWRVUFUAUBUWEUWEUWRVUCUWEOZVUDUW
      EOZPZPZVUEVUCVUDFQZUWEVUKVUEVUMRZUWRVUCVUDUWEUWEFXJZUTVULVUMGOZVUMHUJZVUM
      UWEOZUWCVUKVUPUWQVUKUWCVUCGOZVUDGOZPVUPVUIVUSVUJVUTVUCGUWDYGZVUDGUWDYGZYI
      UWCVUSVUTVUPVUCVUDCEFGIJLUUAYJYKYLUWCUWPVUKVUQUWJUWCVUJUWPVUIVUQUWPVUIPUW
      CVUJPZUWKVUCFQZDRZBUWESZVUIPVUQVUIUWPVVFUWOVVFAVUCUWEAUAYMZUWNVVEBUWEVVGU
      WMVVDDUWLVUCUWKFUUBXCUUCZUUDUUEVVCVUIVVFVUQUWCVUIVVFPZVUJVUQVUJUWCVVIPZVU
      TVUDHUJZPVUQVUDGHWQVVJVUTVVKVUQVVJVUTPVUMHVUDHVVJVUTVUMHRVUDHRYNZUWCVUIVV
      FVUTVVLYNZVUIUWCVUSVVFVVMVVAVVFUWCVUSVVEBGSZVVMUXMVVFVVNYNUXOVVEBUWEGUUIU
      UFVUCVUDCDEFGHBIJKLMUUGUUHUUJYJUUKUULUUMYOUUNUUOYKUUSYPVUMGHWQWRZUUPUUQUA
      UBUWEUWEUWEUWGUUTWRZUWRVUIVUJUCULZUWEOZYSZPZVUMVVQUWGQVUMVVQFQZVUEVVQUWGQ
      VUCVUDVVQUWGQZUWGQZVVTVUMVVQFUWEUWRVUIVUJVURVVRVVOUURUWRVUIVUJVVRUVAYQVVT
      VUEVUMVVQUWGVVSVUNUWRVUIVUJVUNVVRVUOUVBUTUVCVVTVUCVWBFQVUCVUDVVQFQZFQZVWC
      VWAVVTVWBVWDVUCFVVSVWBVWDRZUWRVUJVVRVWFVUIVUDVVQUWEUWEFXJUVIUTUVDVVTVUCVW
      BFUWEUWRVUIVUJVVRUVEUWRVUGVVSVWBUWEOZVVPVUGVUJVVRVWGVUIVUDVVQUWEUWEUWEUWG
      UVFUVGYTYQUWCVVSVWAVWERZUWQVVSUWCVUSVUTVVQGOZYSVWHVUIVUSVUJVUTVVRVWIVVAVV
      BVVQGUWDYGUVHVUCVUDVVQCEFGIJLUVJYKYLYRYRUWCUWJUYLUWPUWCUWJPZUYOUWJPUYLUWC
      UYOUWJUYRUVKUYSUVRZUVLUWCUWJVUIDVUCUWGQZVUCRUWPVWJVUIPVWLDVUCFQZVUCVWJUYL
      VUIVWLVWMRVWKDVUCUWEUWEFXJYTUWCVUIVWMVUCRZUWJVUIUWCVUSVWNVVAVUCCDFGJUYQMU
      VMYKYLVLUVNUWCUWPVUINULZVUCUWGQZDRZNUWESZUWJUWPVUIVWRUWCVUIUWPVWRVUIUWPVV
      FVWRUWOVVFAVUCUWEVVHUVSVVFVUIVWOVUCFQZDRZNUWESZVWRVVEVWTBNUWEBNYMVVDVWSDU
      WKVWOVUCFXBXCUVOVUIVWRVXAVUIVWQVWTNUWEVWOUWEOZVUIVWQVWTXIVXBVUIPVWPVWSDVW
      OVUCUWEUWEFXJXCXKXLVOYOXGXKVSYPUVPUVQUVTUWA $.

    $( A division ring is a ring in which ` 1 =/= 0 ` and every nonzero element
       is invertible.  (Contributed by Jeff Madsen, 10-Jun-2010.) $)
    isdrngo3 $p |- ( R e. DivRingOps <-> ( R e. RingOps /\ ( U =/= Z /\
                        A. x e. ( X \ { Z } ) E. y e. X ( y H x ) = U ) ) ) $=
      ( wcel wne cv co wceq wrex wa cdrng crngo csn cdif isdrngo2 wb eldifi wss
      wral wi difss ssrexv ax-mp neeq1 biimparc rngolz oveq1 syl5ibrcom necon3d
      eqeq1d sylan2 an4s anassrs pm3.2 syl5com eldifsn syl6ibr imdistanda ancom
      imp 3imtr4g reximdv2 impbid2 ralbidva pm5.32da pm5.32i bitri ) CUANCUBNZD
      HOZBPZAPZFQZDRZBGHUCZUDZSZAWEUIZTZTVRVSWCBGSZAWEUIZTZTABCDEFGHIJKLMUEVRWH
      WKVRVSWGWJVRVSTZWFWIAWEWAWENWLWAGNZWFWIUFWAGWDUGWLWMTZWFWIWEGUHWFWIUJGWDU
      KWCBWEGULUMWNWCWCBGWEWNWCVTGNZTWCVTWENZTWOWCTWPWCTWNWCWOWPWNWCTZWOWOVTHOZ
      TZWPWQWRWOWSWLWMWCWRVRWMVSWCWRVSWCTVRWMTZWBHOZWRWCXAVSWBDHUNUOWTXAWRWTVTH
      WBHWTWBHRVTHRZHWAFQZHRWACEFGHKLIJUPXBWBXCHVTHWAFUQUTURUSVJVAVBVCWOWRVDVEV
      TGHVFVGVHWOWCVIWPWCVIVKVLVMVAVNVOVPVQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ring homomorphisms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c RngHom $.
  $c RngIso $.
  $c ~=R $.

  $( Extend class notation with the class of ring homomorphisms. $)
  crnghom $a class RngHom $.

  $( Extend class notation with the class of ring isomorphisms. $)
  crngiso $a class RngIso $.

  $( Extend class notation with the ring isomorphism relation. $)
  crisc $a class ~=R $.

  ${
    $d r s f x y $.
    $( Define the function which gives the set of ring homomorphisms between
       two given rings.  (Contributed by Jeff Madsen, 19-Jun-2010.) $)
    df-rngohom $a |- RngHom = ( r e. RingOps , s e. RingOps |->
      { f e. ( ran ( 1st ` s ) ^m ran ( 1st ` r ) ) |
        ( ( f ` ( GId ` ( 2nd ` r ) ) ) = ( GId ` ( 2nd ` s ) ) /\
          A. x e. ran ( 1st ` r ) A. y e. ran ( 1st ` r )
 ( ( f ` ( x ( 1st ` r ) y ) ) = ( ( f ` x ) ( 1st ` s ) ( f ` y ) ) /\
   ( f ` ( x ( 2nd ` r ) y ) ) = ( ( f ` x ) ( 2nd ` s ) ( f ` y ) ) ) ) } ) $.
  $}

  ${
    $d f x y F $.  $d f r s G $.  $d f r s H $.  $d f r s J $.  $d f r s y Y $.
    $d f r s K $.  $d f r s x y R $.  $d f r s x y S $.  $d f r s x y X $.
    $d f r s U $.  $d f r s V $.
    rnghomval.1 $e |- G = ( 1st ` R ) $.
    rnghomval.2 $e |- H = ( 2nd ` R ) $.
    rnghomval.3 $e |- X = ran G $.
    rnghomval.4 $e |- U = ( GId ` H ) $.
    rnghomval.5 $e |- J = ( 1st ` S ) $.
    rnghomval.6 $e |- K = ( 2nd ` S ) $.
    rnghomval.7 $e |- Y = ran J $.
    rnghomval.8 $e |- V = ( GId ` K ) $.
    $( The set of ring homomorphisms.  (Contributed by Jeff Madsen,
       19-Jun-2010.)  (Revised by Mario Carneiro, 22-Sep-2015.) $)
    rngohomval $p |- ( ( R e. RingOps /\ S e. RingOps ) -> ( R RngHom S ) =
            { f e. ( Y ^m X ) | ( ( f ` U ) = V /\ A. x e. X A. y e. X
              ( ( f ` ( x G y ) ) = ( ( f ` x ) J ( f ` y ) ) /\
            ( f ` ( x H y ) ) = ( ( f ` x ) K ( f ` y ) ) ) ) } ) $=
      ( vr vs crngo cv c2nd cfv cgi wceq c1st co wa crn wral cmap crnghom simpr
      crab fveq2d eqtr4di rneqd simpl oveq12d eqeq12d oveqd raleqbidv rabeqbidv
      anbi12d df-rngohom ovex rabex ovmpoa ) UBUCCDUDUDUBUEZUFUGZUHUGZFUEZUGZUC
      UEZUFUGZUHUGZUIZAUEZBUEZVMUJUGZUKZVPUGZWBVPUGZWCVPUGZVRUJUGZUKZUIZWBWCVNU
      KZVPUGZWGWHVSUKZUIZULZBWDUMZUNZAWQUNZULZFWIUMZWQUOUKZUREVPUGZKUIZWBWCGUKZ
      VPUGZWGWHIUKZUIZWBWCHUKZVPUGZWGWHJUKZUIZULZBLUNZALUNZULZFMLUOUKZURUPVMCUI
      ZVRDUIZULZWTXPFXBXQXTXAMWQLUOXTXAIUMMXTWIIXTWIDUJUGIXTVRDUJXRXSUQZUSRUTZV
      ATUTXTWQGUMLXTWDGXTWDCUJUGGXTVMCUJXRXSVBZUSNUTZVAPUTZVCXTWAXDWSXOXTVQXCVT
      KXTVOEVPXTVOHUHUGEXTVNHUHXTVNCUFUGHXTVMCUFYCUSOUTZUSQUTUSXTVTJUHUGKXTVSJU
      HXTVSDUFUGJXTVRDUFYAUSSUTZUSUAUTVDXTWRXNAWQLYEXTWPXMBWQLYEXTWKXHWOXLXTWFX
      FWJXGXTWEXEVPXTWDGWBWCYDVEUSXTWIIWGWHYBVEVDXTWMXJWNXKXTWLXIVPXTVNHWBWCYFV
      EUSXTVSJWGWHYGVEVDVHVFVFVHVGABFUCUBVIXPFXQMLUOVJVKVL $.

    $( The predicate "is a ring homomorphism from ` R ` to ` S ` ".
       (Contributed by Jeff Madsen, 19-Jun-2010.) $)
    isrngohom $p |- ( ( R e. RingOps /\ S e. RingOps )
       -> ( F e. ( R RngHom S ) <->
                ( F : X --> Y /\ ( F ` U ) = V /\ A. x e. X A. y e. X
              ( ( F ` ( x G y ) ) = ( ( F ` x ) J ( F ` y ) ) /\
            ( F ` ( x H y ) ) = ( ( F ` x ) K ( F ` y ) ) ) ) ) ) $=
      ( vf crngo wcel wa crnghom co cv wceq wral cmap crab wf rngohomval eleq2d
      cfv w3a crn cvv c1st fvexi rnex eqeltri elmap anbi1i fveq1 eqeq1d oveq12d
      eqeq12d anbi12d 2ralbidv elrab 3anass 3bitr4i bitrdi ) CUCUDDUCUDUEZFCDUF
      UGZUDFEUBUHZUPZKUIZAUHZBUHZGUGZVRUPZWAVRUPZWBVRUPZIUGZUIZWAWBHUGZVRUPZWEW
      FJUGZUIZUEZBLUJALUJZUEZUBMLUKUGZULZUDZLMFUMZEFUPZKUIZWCFUPZWAFUPZWBFUPZIU
      GZUIZWIFUPZXCXDJUGZUIZUEZBLUJALUJZUQZVPVQWQFABCDEUBGHIJKLMNOPQRSTUAUNUOFW
      PUDZXAXKUEZUEWSXNUEWRXLXMWSXNMLFMIURUSTIIDUTRVAVBVCLGURUSPGGCUTNVAVBVCVDV
      EWOXNUBFWPVRFUIZVTXAWNXKXOVSWTKEVRFVFVGXOWMXJABLLXOWHXFWLXIXOWDXBWGXEWCVR
      FVFXOWEXCWFXDIWAVRFVFZWBVRFVFZVHVIXOWJXGWKXHWIVRFVFXOWEXCWFXDJXPXQVHVIVJV
      KVJVLWSXAXKVMVNVO $.
  $}

  ${
    $d R x y $.  $d S x y $.  $d X x y $.  $d Y y $.  $d F x y $.
    rnghomf.1 $e |- G = ( 1st ` R ) $.
    rnghomf.2 $e |- X = ran G $.
    rnghomf.3 $e |- J = ( 1st ` S ) $.
    rnghomf.4 $e |- Y = ran J $.
    $( A ring homomorphism is a function.  (Contributed by Jeff Madsen,
       19-Jun-2010.) $)
    rngohomf $p |- ( ( R e. RingOps /\ S e. RingOps /\ F e. ( R RngHom S ) )
                                                          -> F : X --> Y ) $=
      ( vx vy crngo wcel co wa cfv wceq eqid crnghom wf c2nd cgi wral isrngohom
      cv w3a biimpa simp1d 3impa ) ANOZBNOZCABUAPOZFGCUBZULUMQZUNQUOAUCRZUDRZCR
      BUCRZUDRZSZLUGZMUGZDPCRVBCRZVCCRZEPSVBVCUQPCRVDVEUSPSQMFUELFUEZUPUNUOVAVF
      UHLMABURCDUQEUSUTFGHUQTIURTJUSTKUTTUFUIUJUK $.

    $( Closure law for a ring homomorphism.  (Contributed by Jeff Madsen,
       3-Jan-2011.) $)
    rngohomcl $p |- ( ( ( R e. RingOps /\ S e. RingOps /\ F e. ( R RngHom S ) )
                                          /\ A e. X ) -> ( F ` A ) e. Y ) $=
      ( crngo wcel crnghom co w3a rngohomf ffvelrnda ) BMNCMNDBCOPNQGHADBCDEFGH
      IJKLRS $.
  $}

  ${
    $d R x y $.  $d S x y $.  $d F x y $.
    rnghom1.1 $e |- H = ( 2nd ` R ) $.
    rnghom1.2 $e |- U = ( GId ` H ) $.
    rnghom1.3 $e |- K = ( 2nd ` S ) $.
    rnghom1.4 $e |- V = ( GId ` K ) $.
    $( A ring homomorphism preserves ` 1 ` .  (Contributed by Jeff Madsen,
       24-Jun-2011.) $)
    rngohom1 $p |- ( ( R e. RingOps /\ S e. RingOps /\ F e. ( R RngHom S ) )
                                                  -> ( F ` U ) = V ) $=
      ( vx vy crngo wcel co cfv wceq wa eqid crnghom c1st crn wf wral isrngohom
      cv w3a biimpa simp2d 3impa ) ANOZBNOZDABUAPOZCDQGRZULUMSZUNSAUBQZUCZBUBQZ
      UCZDUDZUOLUGZMUGZUQPDQVBDQZVCDQZUSPRVBVCEPDQVDVEFPRSMURUELURUEZUPUNVAUOVF
      UHLMABCDUQEUSFGURUTUQTHURTIUSTJUTTKUFUIUJUK $.
  $}

  ${
    $d R x y $.  $d S x y $.  $d F x y $.  $d G x y $.  $d J x y $.
    $d X x y $.  $d A x y $.  $d B y $.
    rnghomadd.1 $e |- G = ( 1st ` R ) $.
    rnghomadd.2 $e |- X = ran G $.
    rnghomadd.3 $e |- J = ( 1st ` S ) $.
    $( Ring homomorphisms preserve addition.  (Contributed by Jeff Madsen,
       3-Jan-2011.) $)
    rngohomadd $p |- ( ( ( R e. RingOps /\ S e. RingOps
        /\ F e. ( R RngHom S ) ) /\ ( A e. X /\ B e. X ) )
                    -> ( F ` ( A G B ) ) = ( ( F ` A ) J ( F ` B ) ) ) $=
      ( vx vy wcel co cfv wceq wral wa eqid crngo crnghom w3a cv c2nd isrngohom
      crn wf cgi biimpa simp3d 3impa simpl 2ralimi fvoveq1 fveq2 oveq1d eqeq12d
      syl oveq2 fveq2d oveq2d rspc2v mpan9 ) CUANZDUANZECDUBONZUCZLUDZMUDZFOEPZ
      VIEPZVJEPZGOZQZMHRLHRZAHNBHNSABFOZEPZAEPZBEPZGOZQZVHVOVIVJCUEPZOEPVLVMDUE
      PZOQZSZMHRLHRZVPVEVFVGWGVEVFSZVGSHGUGZEUHZWCUIPZEPWDUIPZQZWGWHVGWJWMWGUCL
      MCDWKEFWCGWDWLHWIIWCTJWKTKWDTWITWLTUFUJUKULWFVOLMHHVOWEUMUNUSVOWBAVJFOZEP
      ZVSVMGOZQLMABHHVIAQZVKWOVNWPVIAVJEFUOWQVLVSVMGVIAEUPUQURVJBQZWOVRWPWAWRWN
      VQEVJBAFUTVAWRVMVTVSGVJBEUPVBURVCVD $.
  $}

  ${
    $d R x y $.  $d S x y $.  $d F x y $.  $d H x y $.  $d K x y $.
    $d X x y $.  $d A x y $.  $d B y $.
    rnghommul.1 $e |- G = ( 1st ` R ) $.
    rnghommul.2 $e |- X = ran G $.
    rnghommul.3 $e |- H = ( 2nd ` R ) $.
    rnghommul.4 $e |- K = ( 2nd ` S ) $.
    $( Ring homomorphisms preserve multiplication.  (Contributed by Jeff
       Madsen, 3-Jan-2011.) $)
    rngohommul $p |- ( ( ( R e. RingOps /\ S e. RingOps
      /\ F e. ( R RngHom S ) ) /\ ( A e. X /\ B e. X ) )
                   -> ( F ` ( A H B ) ) = ( ( F ` A ) K ( F ` B ) ) ) $=
      ( vx vy wcel co cfv wceq wral crngo crnghom w3a cv c1st crn cgi isrngohom
      wa wf eqid biimpa simp3d 3impa simpr 2ralimi fvoveq1 fveq2 oveq1d eqeq12d
      syl oveq2 fveq2d oveq2d rspc2v mpan9 ) CUAPZDUAPZECDUBQPZUCZNUDZOUDZGQERZ
      VKERZVLERZHQZSZOITNITZAIPBIPUIABGQZERZAERZBERZHQZSZVJVKVLFQERVNVODUERZQSZ
      VQUIZOITNITZVRVGVHVIWHVGVHUIZVIUIIWEUFZEUJZGUGRZERHUGRZSZWHWIVIWKWNWHUCNO
      CDWLEFGWEHWMIWJJLKWLUKWEUKMWJUKWMUKUHULUMUNWGVQNOIIWFVQUOUPVAVQWDAVLGQZER
      ZWAVOHQZSNOABIIVKASZVMWPVPWQVKAVLEGUQWRVNWAVOHVKAEURUSUTVLBSZWPVTWQWCWSWO
      VSEVLBAGVBVCWSVOWBWAHVLBEURVDUTVEVF $.
  $}

  ${
    $d R x y $.  $d S x y $.  $d G x y $.  $d J x y $.  $d F x y $.
    rnggrphom.1 $e |- G = ( 1st ` R ) $.
    rnggrphom.2 $e |- J = ( 1st ` S ) $.
    $( A ring homomorphism is a group homomorphism.  (Contributed by Jeff
       Madsen, 2-Jan-2011.) $)
    rngogrphom $p |- ( ( R e. RingOps /\ S e. RingOps /\ F e. ( R RngHom S ) )
                                                  -> F e. ( G GrpOpHom J ) ) $=
      ( vx vy crngo wcel co crn cv cfv wral eqid wa cgr rngogrpo crnghom w3a wf
      cghomOLD rngohomf rngohomadd eqcomd ralrimivva elghomOLD syl2an mpbir2and
      wceq wb 3adant3 ) AJKZBJKZCABUALKZUBZCDEUDLKZDMZEMZCUCZHNZCOINZCOELZVCVDD
      LCOZULZIUTPHUTPZABCDEUTVAFUTQZGVAQZUEURVGHIUTUTURVCUTKVDUTKRRVFVEVCVDABCD
      EUTFVIGUFUGUHUOUPUSVBVHRUMZUQUODSKESKVKUPADFTBEGTHICDEVAUTVIVJUIUJUNUK $.
  $}

  ${
    rnghom0.1 $e |- G = ( 1st ` R ) $.
    rnghom0.2 $e |- Z = ( GId ` G ) $.
    rnghom0.3 $e |- J = ( 1st ` S ) $.
    rnghom0.4 $e |- W = ( GId ` J ) $.
    $( A ring homomorphism preserves ` 0 ` .  (Contributed by Jeff Madsen,
       2-Jan-2011.) $)
    rngohom0 $p |- ( ( R e. RingOps /\ S e. RingOps /\ F e. ( R RngHom S ) )
                                                      -> ( F ` Z ) = W ) $=
      ( crngo wcel crnghom co w3a cgr cghomOLD cfv rngogrpo 3ad2ant1 rngogrphom
      wceq 3ad2ant2 ghomidOLD syl3anc ) ALMZBLMZCABNOMZPDQMZEQMZCDEROMGCSFUCUGU
      HUJUIADHTUAUHUGUKUIBEJTUDABCDEHJUBFGCDEIKUEUF $.
  $}

  ${
    rnghomsub.1 $e |- G = ( 1st ` R ) $.
    rnghomsub.2 $e |- X = ran G $.
    rnghomsub.3 $e |- H = ( /g ` G ) $.
    rnghomsub.4 $e |- J = ( 1st ` S ) $.
    rnghomsub.5 $e |- K = ( /g ` J ) $.
    $( Ring homomorphisms preserve subtraction.  (Contributed by Jeff Madsen,
       15-Jun-2011.) $)
    rngohomsub $p |- ( ( ( R e. RingOps /\ S e. RingOps
       /\ F e. ( R RngHom S ) ) /\ ( A e. X /\ B e. X ) )
                   -> ( F ` ( A H B ) ) = ( ( F ` A ) K ( F ` B ) ) ) $=
      ( crngo wcel co w3a cfv crnghom cgr cghomOLD rngogrpo 3ad2ant1 rngogrphom
      wa wceq 3ad2ant2 3jca ghomdiv sylan ) CPQZDPQZECDUARQZSZFUBQZHUBQZEFHUCRQ
      ZSAJQBJQUGABGRETAETBETIRUHUPUQURUSUMUNUQUOCFKUDUEUNUMURUODHNUDUICDEFHKNUF
      UJABIGEFHJLMOUKUL $.
  $}

  ${
    $d R x y $.  $d S x y $.  $d T x y $.  $d F x y $.  $d G x y $.
    $( The composition of two ring homomorphisms is a ring homomorphism.
       (Contributed by Jeff Madsen, 16-Jun-2011.) $)
    rngohomco $p |- ( ( ( R e. RingOps /\ S e. RingOps /\ T e. RingOps ) /\
                          ( F e. ( R RngHom S ) /\ G e. ( S RngHom T ) ) )
                                      -> ( G o. F ) e. ( R RngHom T ) ) $=
      ( vx vy wcel w3a co wa cfv wceq eqid 3expa 3adantl3 fvco3 wi ex imp crngo
      crnghom ccom c1st crn c2nd cgi wral rngohomf 3adantl1 adantrl adantrr fco
      wf cv syl2anc rngo1cl 3ad2ant1 adantr rngohom1 fveq2d rngohomadd adantlrr
      eqtrd rngohomcl anim12dan adantlrl syldan rngogcl 3expb 3ad2antl1 adantlr
      sylan oveq12 syl 3eqtr4d rngohommul rngocl ralrimivva isrngohom mpbir3and
      jca wb 3adant2 ) AUAHZBUAHZCUAHZIZDABUBJHZEBCUBJHZKZKZEDUCZACUBJHZAUDLZUE
      ZCUDLZUEZWMUNZAUFLZUGLZWMLZCUFLZUGLZMZFUOZGUOZWOJZWMLZXFWMLZXGWMLZWQJZMZX
      FXGWTJZWMLZXJXKXCJZMZKZGWPUHFWPUHZWLBUDLZUEZWREUNZWPYADUNZWSWHWJYBWIWFWGW
      JYBWEWFWGWJYBBCEXTWQYAWRXTNZYANZWQNZWRNZUIOUJUKWHWIYCWJWEWFWIYCWGWEWFWIYC
      ABDWOXTWPYAWONZWPNZYDYEUIOPULZWPYAWREDUMUPWLXBXADLZELZXDWLYCXAWPHZXBYLMYJ
      WHYMWKWEWFYMWGAXAWTWPYIWTNZXANZUQURUSWPYAXAEDQUPWLYLBUFLZUGLZELZXDWLYKYQE
      WHWIYKYQMZWJWEWFWIYSWGWEWFWIYSABXADWTYPYQYNYOYPNZYQNZUTOPULVAWHWJYRXDMZWI
      WFWGWJUUBWEWFWGWJUUBBCYQEYPXCXDYTUUAXCNZXDNZUTOUJUKVDVDWLXRFGWPWPWLXFWPHZ
      XGWPHZKZKZXMXQUUHXHDLZELZXFDLZELZXGDLZELZWQJZXIXLUUHUUJUUKUUMXTJZELZUUOUU
      HUUIUUPEWHWIUUGUUIUUPMZWJWHWIKZUUGUURWEWFWIUUGUURRZWGWEWFWIUUTWEWFWIIZUUG
      UURXFXGABDWOXTWPYHYIYDVBSOPTVCVAWLUUGUUKYAHZUUMYAHZKZUUQUUOMZWHWIUUGUVDWJ
      UUSUUGUVDWEWFWIUUGUVDRZWGWEWFWIUVFUVAUUGUVDUVAUUEUVBUUFUVCXFABDWOXTWPYAYH
      YIYDYEVEXGABDWOXTWPYAYHYIYDYEVEVFSOPTVCZWHWJUVDUVEWIWHWJKZUVDUVEWFWGWJUVD
      UVERZWEWFWGWJUVIWFWGWJIZUVDUVEUUKUUMBCEXTWQYAYDYEYFVBSOUJTVGVHVDWLUUGXHWP
      HZXIUUJMZWHUUGUVKWKWEWFUUGUVKWGWEUUEUUFUVKXFXGAWOWPYHYIVIVJVKVLWLYCUVKUVL
      YJWPYAXHEDQVMVHUUHXJUULMZXKUUNMZKZXLUUOMWLUUEUVMUUFUVNWLYCUUEUVMYJWPYAXFE
      DQVMWLYCUUFUVNYJWPYAXGEDQVMVFZXJUULXKUUNWQVNVOVPUUHXNDLZELZUULUUNXCJZXOXP
      UUHUVRUUKUUMYPJZELZUVSUUHUVQUVTEWHWIUUGUVQUVTMZWJUUSUUGUWBWEWFWIUUGUWBRZW
      GWEWFWIUWCUVAUUGUWBXFXGABDWOWTYPWPYHYIYNYTVQSOPTVCVAWLUUGUVDUWAUVSMZUVGWH
      WJUVDUWDWIUVHUVDUWDWFWGWJUVDUWDRZWEWFWGWJUWEUVJUVDUWDUUKUUMBCEXTYPXCYAYDY
      EYTUUCVQSOUJTVGVHVDWLUUGXNWPHZXOUVRMZWHUUGUWFWKWEWFUUGUWFWGWEUUEUUFUWFXFX
      GAWOWTWPYHYNYIVRVJVKVLWLYCUWFUWGYJWPYAXNEDQVMVHUUHUVOXPUVSMUVPXJUULXKUUNX
      CVNVOVPWBVSWHWNWSXEXSIWCZWKWEWGUWHWFFGACXAWMWOWTWQXCXDWPWRYHYNYIYOYFUUCYG
      UUDVTWDUSWA $.
  $}

  ${
    rngkerinj.1 $e |- G = ( 1st ` R ) $.
    rngkerinj.2 $e |- X = ran G $.
    rngkerinj.3 $e |- W = ( GId ` G ) $.
    rngkerinj.4 $e |- J = ( 1st ` S ) $.
    rngkerinj.5 $e |- Y = ran J $.
    rngkerinj.6 $e |- Z = ( GId ` J ) $.
    $( A ring homomorphism is injective if and only if its kernel is zero.
       (Contributed by Jeff Madsen, 16-Jun-2011.) $)
    rngokerinj $p |- ( ( R e. RingOps /\ S e. RingOps /\ F e. ( R RngHom S ) )
        -> ( F : X -1-1-> Y <-> ( `' F " { Z } ) = { W } ) ) $=
      ( wcel cfv crn eqtri cgi crngo crnghom w3a c1st cgr cghomOLD wf1 ccnv csn
      co cima wceq eqid rngogrpo 3ad2ant1 3ad2ant2 rngogrphom fveq2i grpokerinj
      wb rneqi syl3anc ) AUAPZBUAPZCABUBUJPZUCAUDQZUEPZBUDQZUEPZCVFVHUFUJPGHCUG
      CUHIUIUKFUIULUTVCVDVGVEAVFVFUMZUNUOVDVCVIVEBVHVHUMZUNUPABCVFVHVJVKUQICVFV
      HFGHGDRVFRKDVFJVASFDTQVFTQLDVFTJURSHERVHRNEVHMVASIETQVHTQOEVHTMURSUSVB $.
  $}

  ${
    $d r s f $.
    $( Define the function which gives the set of ring isomorphisms between two
       given rings.  (Contributed by Jeff Madsen, 16-Jun-2011.) $)
    df-rngoiso $a |- RngIso = ( r e. RingOps , s e. RingOps |->
      { f e. ( r RngHom s ) |
        f : ran ( 1st ` r ) -1-1-onto-> ran ( 1st ` s ) } ) $.
  $}

  ${
    $d f F $.  $d f r s R $.  $d f r s S $.  $d f r s X $.  $d f r s Y $.
    rngisoval.1 $e |- G = ( 1st ` R ) $.
    rngisoval.2 $e |- X = ran G $.
    rngisoval.3 $e |- J = ( 1st ` S ) $.
    rngisoval.4 $e |- Y = ran J $.
    $( The set of ring isomorphisms.  (Contributed by Jeff Madsen,
       16-Jun-2011.) $)
    rngoisoval $p |- ( ( R e. RingOps /\ S e. RingOps ) -> ( R RngIso S ) =
                          { f e. ( R RngHom S ) | f : X -1-1-onto-> Y } ) $=
      ( vr vs cv c1st cfv crn wf1o crnghom eqtr4di crngo co crab crngiso oveq12
      wceq fveq2 rneqd f1oeq2d f1oeq3d sylan9bb rabeqbidv df-rngoiso ovex rabex
      wa ovmpoa ) LMABUAUALNZOPZQZMNZOPZQZCNZRZCURVASUBZUCFGVDRZCABSUBZUCUDURAU
      FZVABUFZUPVEVGCVFVHURAVABSUEVIVEFVCVDRVJVGVIUTFVCVDVIUTDQFVIUSDVIUSAOPDUR
      AOUGHTUHITUIVJVCGFVDVJVCEQGVJVBEVJVBBOPEVABOUGJTUHKTUJUKULCMLUMVGCVHABSUN
      UOUQ $.

    $( The predicate "is a ring isomorphism between ` R ` and ` S ` ".
       (Contributed by Jeff Madsen, 16-Jun-2011.) $)
    isrngoiso $p |- ( ( R e. RingOps /\ S e. RingOps ) -> ( F e. ( R RngIso S )
      <-> ( F e. ( R RngHom S ) /\ F : X -1-1-onto-> Y ) ) ) $=
      ( vf crngo wcel wa crngiso co cv wf1o crnghom eleq2d f1oeq1 elrab bitrdi
      crab rngoisoval ) AMNBMNOZCABPQZNCFGLRZSZLABTQZUEZNCUKNFGCSZOUGUHULCABLDE
      FGHIJKUFUAUJUMLCUKFGUICUBUCUD $.

    $( A ring isomorphism is a bijection.  (Contributed by Jeff Madsen,
       16-Jun-2011.) $)
    rngoiso1o $p |- ( ( R e. RingOps /\ S e. RingOps /\ F e. ( R RngIso S ) )
                                          -> F : X -1-1-onto-> Y ) $=
      ( crngo wcel crngiso co wf1o wa crnghom isrngoiso simplbda 3impa ) ALMZBL
      MZCABNOMZFGCPZUBUCQUDCABROMUEABCDEFGHIJKSTUA $.
  $}

  $( A ring isomorphism is a ring homomorphism.  (Contributed by Jeff Madsen,
     16-Jun-2011.) $)
  rngoisohom $p |- ( ( R e. RingOps /\ S e. RingOps /\ F e. ( R RngIso S ) )
                                          -> F e. ( R RngHom S ) ) $=
    ( crngo wcel crngiso co crnghom c1st cfv wf1o eqid isrngoiso simprbda 3impa
    wa crn ) ADEZBDEZCABFGEZCABHGEZRSPTUAAIJZQZBIJZQZCKABCUBUDUCUEUBLUCLUDLUELM
    NO $.

  ${
    $d R x y $.  $d S x y $.  $d F x y $.
    $( The inverse of a ring isomorphism is a ring isomorphism.  (Contributed
       by Jeff Madsen, 16-Jun-2011.) $)
    rngoisocnv $p |- ( ( R e. RingOps /\ S e. RingOps /\ F e. ( R RngIso S ) )
                                          -> `' F e. ( S RngIso R ) ) $=
      ( vx vy wcel co wa cfv wceq eqid sylan2 ancoms f1ocnvfv2 adantll f1ocnvdm
      wi 3expb sylan an32s crngo crngiso ccnv crnghom c1st crn wf1o wf c2nd cgi
      cv wral f1ocnv f1of syl ad2antll rngohom1 3expa adantrr rngo1cl ad2ant2rl
      f1ocnvfv mpd anim12dan oveq12 w3a rngohomadd exp32 impr adantlll adantlrl
      imp rngogcl 3eqtr4rd wb wf1 f1of1 ad2antlr adantllr f1fveq syl12anc mpbid
      anassrs rngohommul rngocl ralrimivva isrngohom adantr mpbir3and isrngoiso
      jca ex 3imtr4d 3impia ) AUAFZBUAFZCABUBGFZCUCZBAUBGFZWOWPHZCABUDGFZAUEIZU
      FZBUEIZUFZCUGZHZWRBAUDGFZXEXCWRUGZHZWQWSWTXGXJWTXGHZXHXIXKXHXEXCWRUHZBUII
      ZUJIZWRIAUIIZUJIZJZDUKZEUKZXDGZWRIZXRWRIZXSWRIZXBGZJZXRXSXMGZWRIZYBYCXOGZ
      JZHZEXEULDXEULZXFXLWTXAXFXIXLXCXECUMZXEXCWRUNUOUPXKXPCIXNJZXQWTXAYMXFWOWP
      XAYMABXPCXOXMXNXOKZXPKZXMKZXNKZUQURUSWOXFYMXQQZWPXAXFWOYRWOXFXPXCFYRAXPXO
      XCXCKZYNYOUTXCXEXPXNCVBLMVAVCXKYJDEXEXEXKXRXEFZXSXEFZHZHZYEYIUUCYACIZYDCI
      ZJZYEUUCYBCIZYCCIZXDGZXTUUEUUDXGUUBUUIXTJZWTXFUUBUUJXAXFUUBHZUUGXRJZUUHXS
      JZHZUUJXFYTUULUUAUUMXCXEXRCNXCXEXSCNVDZUUGXRUUHXSXDVEUOOOXKUUBUUEUUIJZWTX
      AXFUUBUUPQZWOWPXAXFUUQQWOWPXAVFZXFUUBUUPUUKUURYBXCFZYCXCFZHZUUPXFYTUUSUUA
      UUTXCXEXRCPXCXEXSCPVDZYBYCABCXBXDXCXBKZYSXDKZVGLVHURVIVLWTXFUUBUUDXTJZXAW
      PXFUUBUVEWOWPUUBXFUVEWPUUBHZXTXEFZXFUVEWPYTUUAUVGXRXSBXDXEUVDXEKZVMRZXFUV
      GUVEXCXEXTCNMSTVJVKVNWTXFUUBUUFYEVOZXAWTXFHUUBHZXCXECVPZYAXCFZYDXCFZUVJXF
      UVLWTUUBXCXECVQVRZWPXFUUBUVMWOWPUUBXFUVMUVFUVGXFUVMUVIXFUVGUVMXCXEXTCPMST
      VJWOXFUUBUVNWPWOXFUUBUVNUUKWOUVAUVNUVBWOUUSUUTUVNYBYCAXBXCUVCYSVMRLWCVSXC
      XEYAYDCVTWAVKWBUUCYGCIZYHCIZJZYIUUCUUGUUHXMGZYFUVQUVPXGUUBUVSYFJZWTXFUUBU
      VTXAUUKUUNUVTUUOUUGXRUUHXSXMVEUOOOXKUUBUVQUVSJZWTXAXFUUBUWAQZWOWPXAXFUWBQ
      UURXFUUBUWAUUKUURUVAUWAUVBYBYCABCXBXOXMXCUVCYSYNYPWDLVHURVIVLWTXFUUBUVPYF
      JZXAWPXFUUBUWCWOWPUUBXFUWCUVFYFXEFZXFUWCWPYTUUAUWDXRXSBXDXMXEUVDYPUVHWERZ
      XFUWDUWCXCXEYFCNMSTVJVKVNWTXFUUBUVRYIVOZXAUVKUVLYGXCFZYHXCFZUWFUVOWPXFUUB
      UWGWOWPUUBXFUWGUVFUWDXFUWGUWEXFUWDUWGXCXEYFCPMSTVJWOXFUUBUWHWPWOXFUUBUWHU
      UKWOUVAUWHUVBWOUUSUUTUWHYBYCAXBXOXCUVCYNYSWERLWCVSXCXEYGYHCVTWAVKWBWKWFWT
      XHXLXQYKVFVOZXGWPWOUWIDEBAXNWRXDXMXBXOXPXEXCUVDYPUVHYQUVCYNYSYOWGMWHWIXFX
      IWTXAYLUPWKWLABCXBXDXCXEUVCYSUVDUVHWJWPWOWSXJVOBAWRXDXBXEXCUVDUVHUVCYSWJM
      WMWN $.
  $}

  $( The composition of two ring isomorphisms is a ring isomorphism.
     (Contributed by Jeff Madsen, 16-Jun-2011.) $)
  rngoisoco $p |- ( ( ( R e. RingOps /\ S e. RingOps /\ T e. RingOps ) /\
                    ( F e. ( R RngIso S ) /\ G e. ( S RngIso T ) ) )
                                  -> ( G o. F ) e. ( R RngIso T ) ) $=
    ( crngo wcel crngiso co crnghom c1st cfv crn wf1o rngoisohom 3expa 3adantl3
    wa 3adantl1 eqid anim12dan rngohomco syldan rngoiso1o adantrl adantrr f1oco
    w3a ccom syl2anc wb isrngoiso 3adant2 adantr mpbir2and ) AFGZBFGZCFGZUHZDAB
    HIGZEBCHIGZRZRZEDUIZACHIGZVDACJIGZAKLZMZCKLZMZVDNZUSVBDABJIGZEBCJIGZRVFUSUT
    VLVAVMUPUQUTVLURUPUQUTVLABDOPQUQURVAVMUPUQURVAVMBCEOPSUAABCDEUBUCVCBKLZMZVJ
    ENZVHVODNZVKUSVAVPUTUQURVAVPUPUQURVAVPBCEVNVIVOVJVNTZVOTZVITZVJTZUDPSUEUSUT
    VQVAUPUQUTVQURUPUQUTVQABDVGVNVHVOVGTZVHTZVRVSUDPQUFVHVOVJEDUGUJUSVEVFVKRUKZ
    VBUPURWDUQACVDVGVIVHVJWBWCVTWAULUMUNUO $.

  ${
    $d r s f $.
    $( Define the ring isomorphism relation.  (Contributed by Jeff Madsen,
       16-Jun-2011.) $)
    df-risc $a |- ~=R = { <. r , s >. | ( ( r e. RingOps /\ s e. RingOps )
                                  /\ E. f f e. ( r RngIso s ) ) } $.
  $}

  ${
    $d R r s f $.  $d S r s f $.
    $( The ring isomorphism relation.  (Contributed by Jeff Madsen,
       16-Jun-2011.) $)
    isriscg $p |- ( ( R e. A /\ S e. B ) -> ( R ~=R S <->
        ( ( R e. RingOps /\ S e. RingOps ) /\ E. f f e. ( R RngIso S ) ) ) ) $=
      ( vr vs cv crngo wcel wa crngiso co wex crisc eleq1 eleq2d exbidv anbi12d
      wceq anbi1d oveq1 anbi2d oveq2 df-risc brabg ) FHZIJZGHZIJZKZEHZUGUILMZJZ
      ENZKCIJZUJKZULCUILMZJZENZKUPDIJZKZULCDLMZJZENZKFGCDABOUGCTZUKUQUOUTVFUHUP
      UJUGCIPUAVFUNUSEVFUMURULUGCUILUBQRSUIDTZUQVBUTVEVGUJVAUPUIDIPUCVGUSVDEVGU
      RVCULUIDCLUDQRSEGFUEUF $.
  $}

  ${
    $d R f $.  $d S f $.
    isrisc.1 $e |- R e. _V $.
    isrisc.2 $e |- S e. _V $.
    $( The ring isomorphism relation.  (Contributed by Jeff Madsen,
       16-Jun-2011.) $)
    isrisc $p |- ( R ~=R S <-> ( ( R e. RingOps /\ S e. RingOps )
                              /\ E. f f e. ( R RngIso S ) ) ) $=
      ( cvv wcel crisc wbr crngo wa cv crngiso co wex wb isriscg mp2an ) AFGBFG
      ABHIAJGBJGKCLABMNGCOKPDEFFABCQR $.
  $}

  ${
    $d R f $.  $d S f $.
    $( The ring isomorphism relation.  (Contributed by Jeff Madsen,
       16-Jun-2011.) $)
    risc $p |- ( ( R e. RingOps /\ S e. RingOps ) ->
                      ( R ~=R S <-> E. f f e. ( R RngIso S ) ) ) $=
      ( crngo wcel wa crisc wbr cv crngiso co wex isriscg bianabs ) ADEBDEFABGH
      CIABJKECLDDABCMN $.
  $}

  ${
    $d R f $.  $d S f $.  $d F f $.
    $( Determine that two rings are isomorphic.  (Contributed by Jeff Madsen,
       16-Jun-2011.) $)
    risci $p |- ( ( R e. RingOps /\ S e. RingOps /\
                                F e. ( R RngIso S ) ) -> R ~=R S ) $=
      ( vf crngo wcel crngiso co crisc wbr wa cv wex elex2 risc syl5ibr 3impia
      ) AEFZBEFZCABGHZFZABIJZUAUBRSKDLTFDMDCTNABDOPQ $.
  $}

  ${
    $d f g r s t $.
    $( Ring isomorphism is an equivalence relation.  (Contributed by Jeff
       Madsen, 16-Jun-2011.)  (Revised by Mario Carneiro, 12-Aug-2015.) $)
    riscer $p |- ~=R Er dom ~=R $=
      ( vr vs vt vf vg crisc cv wbr wi wa wal crngo wcel crngiso wex vex isrisc
      co 3expia risci cdm wrel wceq df-risc relopabiv eqid ccnv rngoisocnv syld
      wer ancoms exlimdv imp sylbi w3a exdistrv ccom rngoisoco 3adant2 exlimdvv
      ex syl5bir 3expb adantlr an4s syl2anb pm3.2i ax-gen gen2 dfer2 mpbir3an )
      FUAZFUJFUBVLVLUCAGZBGZFHZVNVMFHZIZVOVNCGZFHZJVMVRFHZIZJZCKZBKAKVMLMZVNLMZ
      JZDGZVMVNNRMZDOZJZABFDBAUDUEVLUFWCABWBCVQWAVOWJVPVMVNDAPBPZQZWFWIVPWFWHVP
      DWFWHWGUGZVNVMNRMZVPWDWEWHWNVMVNWGUHSWEWDWNVPIWEWDWNVPVNVMWMTSUKUIULUMUNV
      OWJWEVRLMZJZEGZVNVRNRMZEOZJVTVSWLVNVREWKCPQWFWPWIWSVTWFWPJWIWSJZVTWDWPWTV
      TIZWEWDWEWOXAWTWHWRJZEODOWDWEWOUOZVTWHWRDEUPXCXBVTDEXCXBWQWGUQZVMVRNRMZVT
      XCXBXEVMVNVRWGWQURVAWDWOXEVTIWEWDWOXEVTVMVRXDTSUSUIUTVBVCVDUMVEVFVGVHVIAB
      CVLFVJVK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Commutative rings
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Com2 $.

  $( Extend class notation with a class that adds commutativity to various
     flavors of rings. $)
  ccm2 $a class Com2 $.

  ${
    $d g h a b $.
    $( A device to add commutativity to various sorts of rings.  I use
       ` ran g ` because I suppose ` g ` has a neutral element and therefore is
       onto.  (Contributed by FL, 6-Sep-2009.)  (New usage is discouraged.) $)
    df-com2 $a |- Com2 = { <. g , h >. | A. a e. ran g A. b e. ran g
     ( a h b ) = ( b h a ) } $.
  $}

  $c Fld $.

  $( Extend class notation with the class of all fields. $)
  cfld $a class Fld $.

  $( Add alternate definition. Add Kennington's one (=/= the zero ring),
       and Mizar's one: ` ( GId `` G ) =/= ( GId `` H ) ` $)
  $( Definition of a field.  A field is a commutative division ring.
     (Contributed by FL, 6-Sep-2009.)  (Revised by Jeff Madsen, 10-Jun-2010.)
     (New usage is discouraged.) $)
  df-fld $a |- Fld = ( DivRingOps i^i Com2 ) $.

  $c CRingOps $.

  $( Extend class notation with the class of commutative rings. $)
  ccring $a class CRingOps $.

  $( Define the class of commutative rings.  (Contributed by Jeff Madsen,
     8-Jun-2010.) $)
  df-crngo $a |- CRingOps = ( RingOps i^i Com2 ) $.

  ${
    $d G a b x y $.  $d H a b x y $.
    $( A device to add commutativity to various sorts of rings.  (Contributed
       by FL, 6-Sep-2009.)  (New usage is discouraged.) $)
    iscom2 $p |- ( ( G e. A /\ H e. B ) -> ( <. G , H >. e. Com2 <->
     A. a e. ran G A. b e. ran G ( a H b ) = ( b H a ) ) ) $=
      ( vy vx wcel wa cop ccm2 cv co wceq crn wral copab df-com2 oveq raleqbidv
      a1i eleq2d rneq raleqdv eqeq12d 2ralbidv opelopabg bitrd ) CAIDBIJZCDKZLI
      UKEMZFMZGMZNZUMULUNNZOZFHMZPZQZEUSQZHGRZIULUMDNZUMULDNZOZFCPZQEVFQZUJLVBU
      KLVBOUJHGEFSUBUCVAUQFVFQZEVFQVGHGCDABURCOZUTVHEUSVFURCUDZVIUQFUSVFVJUEUAU
      NDOZUQVEEFVFVFVKUOVCUPVDULUMUNDTUMULUNDTUFUGUHUI $.
  $}

  $( The predicate "is a commutative ring".  (Contributed by Jeff Madsen,
     8-Jun-2010.) $)
  iscrngo $p |- ( R e. CRingOps <-> ( R e. RingOps /\ R e. Com2 ) ) $=
    ( crngo ccm2 ccring df-crngo elin2 ) ABCDEF $.

  ${
    $d R x y $.  $d X x y $.
    iscring2.1 $e |- G = ( 1st ` R ) $.
    iscring2.2 $e |- H = ( 2nd ` R ) $.
    iscring2.3 $e |- X = ran G $.
    $( The predicate "is a commutative ring".  (Contributed by Jeff Madsen,
       8-Jun-2010.) $)
    iscrngo2 $p |- ( R e. CRingOps <-> ( R e. RingOps /\
                          A. x e. X A. y e. X ( x H y ) = ( y H x ) ) ) $=
      ( wcel crngo ccm2 wa cv co wceq wral c1st cfv cvv ccring iscrngo c2nd cop
      wb wrel relrngo 1st2nd mpan eleq1 crn rneqi eqtri raleqi eqeq12i raleqbii
      oveqi ralbii fvex iscom2 mp2an 3bitr4ri bitrdi syl pm5.32i bitri ) CUAJCK
      JZCLJZMVGANZBNZEOZVJVIEOZPZBFQZAFQZMCUBVGVHVOVGCCRSZCUCSZUDZPZVHVOUEKUFVG
      VSUGCKUHUIVSVHVRLJZVOCVRLUJVIVJVQOZVJVIVQOZPZBVPUKZQZAFQWEAWDQZVOVTWEAFWD
      FDUKWDIDVPGULUMZUNVNWEAFVMWCBFWDWGVKWAVLWBEVQVIVJHUQEVQVJVIHUQUOUPURVPTJV
      QTJVTWFUECRUSCUCUSTTVPVQABUTVAVBVCVDVEVF $.
  $}

  ${
    $d ph w x y z $.  $d G w x y z $.  $d H w x y z $.  $d X w x y z $.
    $d U x y $.
    iscringd.1 $e |- ( ph -> G e. AbelOp ) $.
    iscringd.2 $e |- ( ph -> X = ran G ) $.
    iscringd.3 $e |- ( ph -> H : ( X X. X ) --> X ) $.
    iscringd.4 $e |- ( ( ph /\ ( x e. X /\ y e. X /\ z e. X ) )
                                  -> ( ( x H y ) H z ) = ( x H ( y H z ) ) ) $.
    iscringd.5 $e |- ( ( ph /\ ( x e. X /\ y e. X /\ z e. X ) )
                          -> ( x H ( y G z ) ) = ( ( x H y ) G ( x H z ) ) ) $.
    iscringd.6 $e |- ( ph -> U e. X ) $.
    iscringd.7 $e |- ( ( ph /\ y e. X ) -> ( y H U ) = y ) $.
    iscringd.8 $e |- ( ( ph /\ ( x e. X /\ y e. X ) )
                                              -> ( x H y ) = ( y H x ) ) $.
    $( Conditions that determine a commutative ring.  (Contributed by Jeff
       Madsen, 20-Jun-2011.)  (Revised by Mario Carneiro, 23-Dec-2013.) $)
    iscringd $p |- ( ph -> <. G , H >. e. CRingOps ) $=
      ( wcel co wceq wa vw cop crngo ccm2 ccring cv w3a id 3com13 eleq1 3anbi1d
      wi anbi2d oveq2 oveq12d eqeq12d imbi12d 3anbi3d oveq1 oveq1d cablo adantr
      crn simpr3 eleqtrd simpr2 eqid ablocom syl3anc simpr1 cgr ablogrpo grpocl
      syl eleqtrrd jca chvarvv vtocl syldan 3adantr3 3adantr2 cxp fovrnd 3eqtrd
      ovex wf 3eqtr2d sylan2 imbi2d an12s ex vtoclga mpcom eqtrd isrngod eleq2d
      wral anbi12d biimpar ralrimivva cvv wb rnexg eqeltrd xpexd iscom2 syl2anc
      fexd mpbird iscrngo sylanbrc ) AFGUBZUCQXLUDQZXLUEQABCDEFGHIJKLMBUFZHQZCU
      FZHQZDUFZHQZUGZAXSXQXOUGZXNXPFRZXRGRZXNXRGRZXPXRGRZFRZSZXSXQXOYAYAUHUIAUA
      UFZHQZXQXOUGZTZYBYHGRZXNYHGRZXPYHGRZFRZSZULZAYATZYGULUADYHXRSZYKYRYPYGYSY
      JYAAYSYIXSXQXOYHXRHUJUKUMYSYLYCYOYFYHXRYBGUNYSYMYDYNYEFYHXRXNGUNYHXRXPGUN
      UOUPUQAYIXQXSUGZTZXRXPFRZYHGRZXRYHGRZYNFRZSZULZYQDBXRXNSZUUAYKUUFYPUUHYTY
      JAUUHXSXOYIXQXRXNHUJURUMUUHUUCYLUUEYOUUHUUBYBYHGXRXNXPFUSUTUUHUUDYMYNFXRX
      NYHGUSUTUPUQAXTTZUUBXNGRZXRXNGRZXPXNGRZFRZSZULUUGBUAXNYHSZUUIUUAUUNUUFUUO
      XTYTAUUOXOYIXQXSXNYHHUJUKUMUUOUUJUUCUUMUUEXNYHUUBGUNUUOUUKUUDUULYNFXNYHXR
      GUNXNYHXPGUNUOUPUQUUIUUJXPXRFRZXNGRZXNUUPGRZUUMUUIUUBUUPXNGUUIFVAQZXRFVCZ
      QZXPUUTQZUUBUUPSAUUSXTIVBZUUIXRHUUTAXOXQXSVDZAHUUTSXTJVBZVEZUUIXPHUUTAXOX
      QXSVFZUVEVEZXRXPFUUTUUTVGZVHVIUTAXTXOUUPHQZTZUURUUQSZUUIXOUVJAXOXQXSVJZUU
      IUUPUUTHUUIFVKQZUVBUVAUUPUUTQUUIUUSUVNUVCFVLVNUVHUVFXPXRFUUTUVIVMVIUVEVOV
      PAXOYITZTZYMYHXNGRZSZULZAUVKTZUVLULUAUUPXPXRFWEYHUUPSZUVPUVTUVRUVLUWAUVOU
      VKAUWAYIUVJXOYHUUPHUJUMUMUWAYMUURUVQUUQYHUUPXNGUNYHUUPXNGUSUPUQAXOXQTZTZX
      NXPGRZUULSZULZUVSCUAXPYHSZUWCUVPUWEUVRUWGUWBUVOAUWGXQYIXOXPYHHUJUMUMUWGUW
      DYMUULUVQXPYHXNGUNXPYHXNGUSUPUQPVQVRVSUUIUURUWDYDFRUULUUKFRZUUMMUUIUWDUUL
      YDUUKFAXOXQUWEXSPVTAXOXSYDUUKSZXQUWFAXOXSTZTZUWIULCDXPXRSZUWCUWKUWEUWIUWL
      UWBUWJAUWLXQXSXOXPXRHUJUMUMUWLUWDYDUULUUKXPXRXNGUNXPXRXNGUSUPUQPVQWAUOUUI
      UUSUULUUTQUUKUUTQUWHUUMSUVCUUIUULHUUTUUIXPXNHHHGAHHWBZHGWFXTKVBZUVGUVMWCU
      VEVEUUIUUKHUUTUUIXRXNHHHGUWNUVDUVMWCUVEVEUULUUKFUUTUVIVHVIWDWGVQVQVQWHNAX
      QTZEXPGRZXPEGRZXPEHQZUWOUWPUWQSZAUWRXQNVBUWOUWEULUWOUWSULBEHXNESZUWEUWSUW
      OUWTUWDUWPUULUWQXNEXPGUSXNEXPGUNUPWIXOUWOUWEAXOXQUWEPWJWKWLWMOWNOWOAXMUWE
      CUUTWQBUUTWQZAUWEBCUUTUUTAXNUUTQZUVBTZUWBUWEAUWBUXCAXOUXBXQUVBAHUUTXNJWPA
      HUUTXPJWPWRWSPVSWTAUUSGXAQXMUXAXBIAUWMHXAGKAHHXAXAAHUUTXAJAUUSUUTXAQIFVAX
      CVNXDZUXDXEXHVAXAFGBCXFXGXIXLXJXK $.
  $}

  $( A field is a division ring.  (Contributed by Jeff Madsen, 10-Jun-2010.)
     (Revised by Mario Carneiro, 15-Dec-2013.)  (New usage is discouraged.) $)
  flddivrng $p |- ( K e. Fld -> K e. DivRingOps ) $=
    ( cfld cdrng ccm2 cin df-fld inss1 eqsstri sseli ) BCABCDECFCDGHI $.

  $( A commutative ring is a ring.  (Contributed by Jeff Madsen,
     10-Jun-2010.) $)
  crngorngo $p |- ( R e. CRingOps -> R e. RingOps ) $=
    ( ccring wcel crngo ccm2 iscrngo simplbi ) ABCADCAECAFG $.

  ${
    $d X x y $.  $d A x y $.  $d B y $.  $d H x y $.  $d R x y $.
    crngocom.1 $e |- G = ( 1st ` R ) $.
    crngocom.2 $e |- H = ( 2nd ` R ) $.
    crngocom.3 $e |- X = ran G $.
    $( The multiplication operation of a commutative ring is commutative.
       (Contributed by Jeff Madsen, 8-Jun-2010.) $)
    crngocom $p |- ( ( R e. CRingOps /\ A e. X /\ B e. X )
                                        -> ( A H B ) = ( B H A ) ) $=
      ( vx vy ccring wcel co wceq cv wral oveq1 oveq2 eqeq12d wa crngo iscrngo2
      simprbi rspc2v mpan9 3impb ) CLMZAFMZBFMZABENZBAENZOZUHJPZKPZENZUOUNENZOZ
      KFQJFQZUIUJUAUMUHCUBMUSJKCDEFGHIUCUDURUMAUOENZUOAENZOJKABFFUNAOUPUTUQVAUN
      AUOERUNAUOESTUOBOUTUKVAULUOBAESUOBAERTUEUFUG $.
  $}

  ${
    crngm.1 $e |- G = ( 1st ` R ) $.
    crngm.2 $e |- H = ( 2nd ` R ) $.
    crngm.3 $e |- X = ran G $.
    $( Commutative/associative law for commutative rings.  (Contributed by Jeff
       Madsen, 19-Jun-2010.) $)
    crngm23 $p |- ( ( R e. CRingOps /\ ( A e. X /\ B e. X /\ C e. X ) )
                                -> ( ( A H B ) H C ) = ( ( A H C ) H B ) ) $=
      ( ccring wcel w3a wa co wceq crngocom 3adant3r1 rngoass sylan crngo 3exp2
      oveq2d crngorngo com34 3imp2 3eqtr4d ) DKLZAGLZBGLZCGLZMZNZABCFOZFOZACBFO
      ZFOZABFOCFOZACFOBFOZUMUNUPAFUHUJUKUNUPPUIBCDEFGHIJQRUCUHDUALZULURUOPDUDZA
      BCDEFGHIJSTUHUTULUSUQPZVAUTUIUJUKVBUTUIUKUJVBUTUIUKUJVBACBDEFGHIJSUBUEUFT
      UG $.

    $( Commutative/associative law for commutative rings.  (Contributed by Jeff
       Madsen, 19-Jun-2010.) $)
    crngm4 $p |- ( ( R e. CRingOps /\ ( A e. X /\ B e. X )
                                  /\ ( C e. X /\ D e. X ) ) ->
                  ( ( A H B ) H ( C H D ) ) = ( ( A H C ) H ( B H D ) ) ) $=
      ( wcel wa co wceq w3a adantrrr rngocl 3expb 3jca ccring crngm23 crngorngo
      df-3an sylan2br oveq1d crngo adantrr simprrl simprrr rngoass syldan sylan
      adantrlr simprlr 3eqtr3d 3impb ) EUALZAHLZBHLZMZCHLZDHLZMZABGNZCDGNGNZACG
      NZBDGNGNZOURVAVDMZMZVECGNZDGNZVGBGNZDGNZVFVHVJVKVMDGURVAVBVKVMOZVCVAVBMUR
      USUTVBPVOUSUTVBUDABCEFGHIJKUBUEQUFUREUGLZVIVLVFOZEUCZVPVIVEHLZVBVCPVQVPVI
      MZVSVBVCVPVAVSVDVPUSUTVSABEFGHIJKRSUHVPVAVBVCUIVPVAVBVCUJZTVECDEFGHIJKUKU
      LUMURVPVIVNVHOZVRVPVIVGHLZUTVCPWBVTWCUTVCVPVAVBWCVCVPUSVBWCUTVPUSVBWCACEF
      GHIJKRSUNQVPUSUTVDUOWATVGBDEFGHIJKUKULUMUPUQ $.
  $}

  $( A field is a commutative ring.  (Contributed by Jeff Madsen,
     8-Jun-2010.) $)
  fldcrng $p |- ( K e. Fld -> K e. CRingOps ) $=
    ( cdrng wcel ccm2 crngo cfld ccring c2nd cfv c1st crn cgi csn cdif cxp cres
    wa cgr eqid drngoi simpld anim1i df-fld elin2 iscrngo 3imtr4i ) ABCZADCZQAE
    CZUHQAFCAGCUGUIUHUGUIAHIZAJIZKZUKLIZMNZUNOPRCAUKUJULUMUKSUJSULSUMSTUAUBABDF
    UCUDAUEUF $.

  $( The predicate "is a field".  (Contributed by Jeff Madsen, 10-Jun-2010.) $)
  isfld2 $p |- ( K e. Fld <-> ( K e. DivRingOps /\ K e. CRingOps ) ) $=
    ( cfld wcel cdrng ccring wa flddivrng fldcrng jca crngo iscrngo simprbi cin
    ccm2 elin biimpri df-fld eleqtrrdi sylan2 impbii ) ABCZADCZAECZFUAUBUCAGAHI
    UCUBANCZUAUCAJCUDAKLUBUDFZADNMZBAUFCUEADNOPQRST $.

  ${
    $d R w x y z $.  $d S w x y z $.  $d X w x y z $.  $d Y w x y z $.
    $d F w x y z $.
    crnghomfo.1 $e |- G = ( 1st ` R ) $.
    crnghomfo.2 $e |- X = ran G $.
    crnghomfo.3 $e |- J = ( 1st ` S ) $.
    crnghomfo.4 $e |- Y = ran J $.
    $( The image of a homomorphism from a commutative ring is commutative.
       (Contributed by Jeff Madsen, 4-Jan-2011.) $)
    crngohomfo $p |- ( ( ( R e. CRingOps /\ S e. RingOps )
        /\ ( F e. ( R RngHom S ) /\ F : X -onto-> Y ) ) -> S e. CRingOps ) $=
      ( vy vz vw vx wcel wa co cfv wceq ccring crngo crnghom wfo cv c2nd simplr
      wral wrex wi foelrn ex anim12d reeanv syl6ibr ad2antll w3a crngocom 3expb
      eqid 3ad2antl1 fveq2d crngorngo rngohommul syl3anl1 ancom2s oveq12 ancoms
      3eqtr3d eqeq12d syl5ibrcom 3expa adantrr rexlimdvv syld iscrngo2 sylanbrc
      ralrimivv ) AUAPZBUBPZQZCABUCRPZFGCUDZQZQZVTLUEZMUEZBUFSZRZWGWFWHRZTZMGUH
      LGUHBUAPVSVTWDUGWEWKLMGGWEWFGPZWGGPZQZWFNUEZCSZTZWGOUEZCSZTZQZOFUINFUIZWK
      WCWNXBUJWAWBWCWNWQNFUIZWTOFUIZQXBWCWLXCWMXDWCWLXCNFGWFCUKULWCWMXDOFGWGCUK
      ULUMWQWTNOFFUNUOUPWEXAWKNOFFWAWBWOFPZWRFPZQZXAWKUJZUJZWCVSVTWBXIVSVTWBUQZ
      XGXHXJXGQZWKXAWPWSWHRZWSWPWHRZTXKWOWRAUFSZRZCSZWRWOXNRZCSZXLXMXKXOXQCVSVT
      XGXOXQTZWBVSXEXFXSWOWRADXNFHXNUTZIURUSVAVBVSAUBPZVTWBXGXPXLTAVCZWOWRABCDX
      NWHFHIXTWHUTZVDVEVSYAVTWBXGXRXMTZYBYAVTWBUQXFXEYDWRWOABCDXNWHFHIXTYCVDVFV
      EVIXAWIXLWJXMWFWPWGWSWHVGWTWQWJXMTWGWSWFWPWHVGVHVJVKULVLVMVNVOVRLMBEWHGJY
      CKVPVQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ideals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Idl $.
  $c PrIdl $.
  $c MaxIdl $.

  $( Extend class notation with the class of ideals. $)
  cidl $a class Idl $.

  $( Extend class notation with the class of prime ideals. $)
  cpridl $a class PrIdl $.

  $( Extend class notation with the class of maximal ideals. $)
  cmaxidl $a class MaxIdl $.

  ${
    $d r i x y z $.
    $( Define the class of (two-sided) ideals of a ring ` R ` .  A subset of
       ` R ` is an ideal if it contains ` 0 ` , is closed under addition, and
       is closed under multiplication on either side by any element of ` R ` .
       (Contributed by Jeff Madsen, 10-Jun-2010.) $)
    df-idl $a |- Idl = ( r e. RingOps |->
                { i e. ~P ran ( 1st ` r ) | ( ( GId ` ( 1st ` r ) ) e. i /\
                      A. x e. i ( A. y e. i ( x ( 1st ` r ) y ) e. i /\
                    A. z e. ran ( 1st ` r ) ( ( z ( 2nd ` r ) x ) e. i /\
                            ( x ( 2nd ` r ) z ) e. i ) ) ) } ) $.
  $}

  ${
    $d r i a b x y $.
    $( Define the class of prime ideals of a ring ` R ` .  A proper ideal ` I `
       of ` R ` is prime if whenever ` A B C_ I ` for ideals ` A ` and ` B ` ,
       either ` A C_ I ` or ` B C_ I ` .  The more familiar definition using
       elements rather than ideals is equivalent provided ` R ` is commutative;
       see ~ ispridl2 and ~ ispridlc .  (Contributed by Jeff Madsen,
       10-Jun-2010.) $)
    df-pridl $a |- PrIdl = ( r e. RingOps |->
        { i e. ( Idl ` r ) | ( i =/= ran ( 1st ` r ) /\ A. a e. ( Idl ` r )
          A. b e. ( Idl ` r ) ( A. x e. a A. y e. b ( x ( 2nd ` r ) y ) e. i ->
                                      ( a C_ i \/ b C_ i ) ) ) } ) $.
  $}

  ${
    $d r i j $.
    $( Define the class of maximal ideals of a ring ` R ` .  A proper ideal is
       called maximal if it is maximal with respect to inclusion among proper
       ideals.  (Contributed by Jeff Madsen, 5-Jan-2011.) $)
    df-maxidl $a |- MaxIdl = ( r e. RingOps |->
            { i e. ( Idl ` r ) | ( i =/= ran ( 1st ` r ) /\ A. j e. ( Idl ` r )
                      ( i C_ j -> ( j = i \/ j = ran ( 1st ` r ) ) ) ) } ) $.
  $}

  ${
    $d R r x y z i $.  $d X r z i $.  $d I x y z i $.  $d Z r i $.  $d G r i $.
    $d H r i $.
    idlval.1 $e |- G = ( 1st ` R ) $.
    idlval.2 $e |- H = ( 2nd ` R ) $.
    idlval.3 $e |- X = ran G $.
    idlval.4 $e |- Z = ( GId ` G ) $.
    $( The class of ideals of a ring.  (Contributed by Jeff Madsen,
       10-Jun-2010.) $)
    idlval $p |- ( R e. RingOps -> ( Idl ` R ) = { i e. ~P X | ( Z e. i /\
                                A. x e. i ( A. y e. i ( x G y ) e. i /\
                      A. z e. X ( ( z H x ) e. i /\ ( x H z ) e. i ) ) ) } ) $=
      ( cv c1st cfv wcel co wral wa cgi c2nd crn cpw crab crngo cidl wceq fveq2
      vr eqtr4di rneqd fveq2d eleq1d ralbidv anbi12d raleqbidv rabeqbidv df-idl
      pweqd oveqd cvv fvexi rnex eqeltri pwex rabex fvmpt ) UJDUJNZOPZUAPZENZQZ
      ANZBNZVJRZVLQZBVLSZCNZVNVIUBPZRZVLQZVNVSVTRZVLQZTZCVJUCZSZTZAVLSZTZEWFUDZ
      UEIVLQZVNVOFRZVLQZBVLSZVSVNGRZVLQZVNVSGRZVLQZTZCHSZTZAVLSZTZEHUDZUEUFUGVI
      DUHZWJXDEWKXEXFWFHXFWFFUCZHXFVJFXFVJDOPFVIDOUIJUKZULLUKZUTXFVMWLWIXCXFVKI
      VLXFVKFUAPIXFVJFUAXHUMMUKUNXFWHXBAVLXFVRWOWGXAXFVQWNBVLXFVPWMVLXFVJFVNVOX
      HVAUNUOXFWEWTCWFHXIXFWBWQWDWSXFWAWPVLXFVTGVSVNXFVTDUBPGVIDUBUIKUKZVAUNXFW
      CWRVLXFVTGVNVSXJVAUNUPUQUPUOUPURABCEUJUSXDEXEHHXGVBLFFDOJVCVDVEVFVGVH $.

    $( The predicate "is an ideal of the ring ` R ` ".  (Contributed by Jeff
       Madsen, 10-Jun-2010.) $)
    isidl $p |- ( R e. RingOps -> ( I e. ( Idl ` R ) <-> ( I C_ X /\ Z e. I /\
                                A. x e. I ( A. y e. I ( x G y ) e. I /\
                      A. z e. X ( ( z H x ) e. I /\ ( x H z ) e. I ) ) ) ) ) $=
      ( vi wcel cv co wral wa eleq2 cidl cfv cpw crab wss w3a idlval eleq2d crn
      crngo cvv c1st fvexi rnex eqeltri elpw2 anbi1i raleqbi1dv anbi12d ralbidv
      wceq elrab 3anass 3bitr4i bitrdi ) DUJOZGDUAUBZOGINPZOZAPZBPEQZVHOZBVHRZC
      PZVJFQZVHOZVJVNFQZVHOZSZCHRZSZAVHRZSZNHUCZUDZOZGHUEZIGOZVKGOZBGRZVOGOZVQG
      OZSZCHRZSZAGRZUFZVFVGWEGABCDNEFHIJKLMUGUHGWDOZWHWPSZSWGWSSWFWQWRWGWSGHHEU
      IUKLEEDULJUMUNUOUPUQWCWSNGWDVHGVAZVIWHWBWPVHGITWAWOAVHGWTVMWJVTWNVLWIBVHG
      VHGVKTURWTVSWMCHWTVPWKVRWLVHGVOTVHGVQTUSUTUSURUSVBWGWHWPVCVDVE $.

    $d X x $.
    $( The predicate "is an ideal of the commutative ring ` R ` ".
       (Contributed by Jeff Madsen, 10-Jun-2010.) $)
    isidlc $p |- ( R e. CRingOps -> ( I e. ( Idl ` R ) <-> ( I C_ X /\ Z e. I
        /\
                                A. x e. I ( A. y e. I ( x G y ) e. I /\
                                    A. z e. X ( z H x ) e. I ) ) ) ) $=
      ( wcel cv co wral wa w3a wb ccring cidl cfv wss crngo crngorngo isidl syl
      ssel2 crngocom eleq1d biimprd 3expa pm4.71d bicomd ralbidva anbi2d sylan2
      wi anassrs adantrr pm5.32da df-3an 3bitr4g bitrd ) DUANZGDUBUCNZGHUDZIGNZ
      AOZBOEPGNBGQZCOZVJFPZGNZVJVLFPZGNZRZCHQZRZAGQZSZVHVIVKVNCHQZRZAGQZSZVFDUE
      NVGWATDUFABCDEFGHIJKLMUGUHVFVHVIRZVTRWFWDRWAWEVFWFVTWDVFVHVTWDTVIVFVHRVSW
      CAGVFVHVJGNZVSWCTZVHWGRVFVJHNZWHGHVJUIVFWIRZVRWBVKWJVQVNCHWJVLHNZRZVNVQWL
      VNVPVFWIWKVNVPUSVFWIWKSZVPVNWMVOVMGVJVLDEFHJKLUJUKULUMUNUOUPUQURUTUPVAVBV
      HVIVTVCVHVIWDVCVDVE $.
  $}

  ${
    $d R x y z $.  $d I x y z $.  $d X z $.
    idlss.1 $e |- G = ( 1st ` R ) $.
    idlss.2 $e |- X = ran G $.
    $( An ideal of ` R ` is a subset of ` R ` .  (Contributed by Jeff Madsen,
       10-Jun-2010.) $)
    idlss $p |- ( ( R e. RingOps /\ I e. ( Idl ` R ) ) -> I C_ X ) $=
      ( vx vy vz crngo wcel cidl cfv wa wss cgi cv co wral eqid c2nd w3a biimpa
      isidl simp1d ) AJKZCALMKZNCDOZBPMZCKZGQZHQBRCKHCSIQZUKAUAMZRCKUKULUMRCKNI
      DSNGCSZUFUGUHUJUNUBGHIABUMCDUIEUMTFUITUDUCUE $.

    $( An element of an ideal is an element of the ring.  (Contributed by Jeff
       Madsen, 19-Jun-2010.) $)
    idlcl $p |- ( ( ( R e. RingOps /\ I e. ( Idl ` R ) )
                                      /\ A e. I ) -> A e. X ) $=
      ( crngo wcel cidl cfv wa idlss sselda ) BHIDBJKILDEABCDEFGMN $.
  $}

  ${
    $d R x y z $.  $d I x y z $.  $d G z $.
    idl0cl.1 $e |- G = ( 1st ` R ) $.
    idl0cl.2 $e |- Z = ( GId ` G ) $.
    $( An ideal contains ` 0 ` .  (Contributed by Jeff Madsen, 10-Jun-2010.) $)
    idl0cl $p |- ( ( R e. RingOps /\ I e. ( Idl ` R ) ) -> Z e. I ) $=
      ( vx vy vz crngo wcel cidl cfv wa crn wss cv co wral eqid c2nd w3a biimpa
      isidl simp2d ) AJKZCALMKZNCBOZPZDCKZGQZHQBRCKHCSIQZUKAUAMZRCKUKULUMRCKNIU
      HSNGCSZUFUGUIUJUNUBGHIABUMCUHDEUMTUHTFUDUCUE $.
  $}

  ${
    $d R x y z $.  $d I x y z $.  $d G x y z $.  $d A x y $.  $d B y $.
    idladdcl.1 $e |- G = ( 1st ` R ) $.
    $( An ideal is closed under addition.  (Contributed by Jeff Madsen,
       10-Jun-2010.) $)
    idladdcl $p |- ( ( ( R e. RingOps /\ I e. ( Idl ` R ) )
                              /\ ( A e. I /\ B e. I ) ) -> ( A G B ) e. I ) $=
      ( vx vy vz crngo wcel cidl cfv wa cv co wral eqid wceq eleq1d crn wss cgi
      c2nd w3a isidl biimpa simp3d simpl ralimi syl oveq1 oveq2 rspc2v mpan9 )
      CJKZECLMKZNZGOZHOZDPZEKZHEQZGEQZAEKBEKNABDPZEKZURVCIOZUSCUDMZPEKUSVGVHPEK
      NIDUAZQZNZGEQZVDUREVIUBZDUCMZEKZVLUPUQVMVOVLUEGHICDVHEVIVNFVHRVIRVNRUFUGU
      HVKVCGEVCVJUIUJUKVBVFAUTDPZEKGHABEEUSASVAVPEUSAUTDULTUTBSVPVEEUTBADUMTUNU
      O $.
  $}

  ${
    $d R x y z $.  $d I x y z $.  $d X x z $.  $d H x z $.  $d A x z $.
    $d B z $.
    idllmulcl.1 $e |- G = ( 1st ` R ) $.
    idllmulcl.2 $e |- H = ( 2nd ` R ) $.
    idllmulcl.3 $e |- X = ran G $.
    $( An ideal is closed under multiplication on the left.  (Contributed by
       Jeff Madsen, 10-Jun-2010.) $)
    idllmulcl $p |- ( ( ( R e. RingOps /\ I e. ( Idl ` R ) )
                              /\ ( A e. I /\ B e. X ) ) -> ( B H A ) e. I ) $=
      ( vz vx vy wcel cfv wa cv co wral ralimi crngo cidl wss eqid isidl biimpa
      cgi w3a simp3d simpl adantl syl wceq oveq2 eleq1d oveq1 rspc2v mpan9 ) CU
      ANZFCUBONZPZKQZLQZERZFNZKGSZLFSZAFNBGNPBAERZFNZVAVCMQDRFNMFSZVEVCVBERFNZP
      ZKGSZPZLFSZVGVAFGUCZDUGOZFNZVOUSUTVPVRVOUHLMKCDEFGVQHIJVQUDUEUFUIVNVFLFVM
      VFVJVLVEKGVEVKUJTUKTULVEVIVBAERZFNLKABFGVCAUMVDVSFVCAVBEUNUOVBBUMVSVHFVBB
      AEUPUOUQUR $.

    $( An ideal is closed under multiplication on the right.  (Contributed by
       Jeff Madsen, 10-Jun-2010.) $)
    idlrmulcl $p |- ( ( ( R e. RingOps /\ I e. ( Idl ` R ) )
                              /\ ( A e. I /\ B e. X ) ) -> ( A H B ) e. I ) $=
      ( vx vz vy wcel cfv wa cv co wral ralimi crngo cidl wss eqid isidl biimpa
      cgi w3a simp3d simpr adantl syl wceq oveq1 eleq1d oveq2 rspc2v mpan9 ) CU
      ANZFCUBONZPZKQZLQZERZFNZLGSZKFSZAFNBGNPABERZFNZVAVBMQDRFNMFSZVCVBERFNZVEP
      ZLGSZPZKFSZVGVAFGUCZDUGOZFNZVOUSUTVPVRVOUHKMLCDEFGVQHIJVQUDUEUFUIVNVFKFVM
      VFVJVLVELGVKVEUJTUKTULVEVIAVCERZFNKLABFGVBAUMVDVSFVBAVCEUNUOVCBUMVSVHFVCB
      AEUPUOUQUR $.
  $}

  ${
    idlnegcl.1 $e |- G = ( 1st ` R ) $.
    idlnegcl.2 $e |- N = ( inv ` G ) $.
    $( An ideal is closed under negation.  (Contributed by Jeff Madsen,
       10-Jun-2010.) $)
    idlnegcl $p |- ( ( ( R e. RingOps /\ I e. ( Idl ` R ) )
                                          /\ A e. I ) -> ( N ` A ) e. I ) $=
      ( crngo wcel cidl cfv wa c2nd cgi co crn wss eqid anassrs mpdan wceq c1st
      idlss ssel2 rngonegmn1l sylan2 syldanl rneqi rngonegcl ad2antrr idllmulcl
      rngo1cl eqeltrd ) BHIZDBJKIZLZADIZLZAEKZBMKZNKZEKZAUTOZDUNUODCPZQZUQUSVCU
      AZBCDVDFVDRZUCUNVEUQVFVEUQLUNAVDIVFDVDAUDABVACUTEVDFUTRZVGGVARZUEUFSUGURV
      BVDIZVCDIZUNVJUOUQUNVAVDIVJBVAUTVDCBUBKFUHVHVIULVABCEVDFVGGUITUJUPUQVJVKA
      VBBCUTDVDFVHVGUKSTUM $.
  $}

  ${
    idlsubcl.1 $e |- G = ( 1st ` R ) $.
    idlsubcl.2 $e |- D = ( /g ` G ) $.
    $( An ideal is closed under subtraction.  (Contributed by Jeff Madsen,
       19-Jun-2010.) $)
    idlsubcl $p |- ( ( ( R e. RingOps /\ I e. ( Idl ` R ) )
                              /\ ( A e. I /\ B e. I ) ) -> ( A D B ) e. I ) $=
      ( crngo wcel cidl cfv wa co cgn crn wceq eqid idlcl syldan rngosub simprl
      anim12dan 3expb adantlr idlnegcl adantrl jca idladdcl eqeltrd ) DIJZFDKLJ
      ZMZAFJZBFJZMZMZABCNZABEOLZLZENZFUMUPAEPZJZBVBJZMZURVAQZUMUNVCUOVDADEFVBGV
      BRZSBDEFVBGVGSUCUKVEVFULUKVCVDVFABCDEUSVBGVGUSRZHUAUDUETUMUPUNUTFJZMVAFJU
      QUNVIUMUNUOUBUMUOVIUNBDEFUSGVHUFUGUHAUTDEFGUITUJ $.
  $}

  ${
    $d R x y z $.  $d X x y z $.
    rngidl.1 $e |- G = ( 1st ` R ) $.
    rngidl.2 $e |- X = ran G $.
    $( A ring ` R ` is an ` R ` ideal.  (Contributed by Jeff Madsen,
       10-Jun-2010.) $)
    rngoidl $p |- ( R e. RingOps -> X e. ( Idl ` R ) ) $=
      ( vx vy vz crngo wcel cfv cv co wral wa eqid 3expa ralrimiva rngocl jca
      cidl wss cgi c2nd ssidd rngo0cl rngogcl w3a 3com23 isidl mpbir3and ) AIJZ
      CAUAKJCCUBBUCKZCJFLZGLZBMCJZGCNZHLZUNAUDKZMCJZUNURUSMCJZOZHCNZOZFCNULCUEA
      BCUMDEUMPZUFULVDFCULUNCJZOZUQVCVGUPGCULVFUOCJUPUNUOABCDEUGQRVGVBHCULVFURC
      JZVBULVFVHUHUTVAULVHVFUTURUNABUSCDUSPZESUIUNURABUSCDVIESTQRTRFGHABUSCCUMD
      VIEVEUJUK $.
  $}

  ${
    $d R x y z $.  $d Z x y z $.  $d G z $.
    0idl.1 $e |- G = ( 1st ` R ) $.
    0idl.2 $e |- Z = ( GId ` G ) $.
    $( The set containing only ` 0 ` is an ideal.  (Contributed by Jeff Madsen,
       10-Jun-2010.) $)
    0idl $p |- ( R e. RingOps -> { Z } e. ( Idl ` R ) ) $=
      ( vx vy vz wcel cfv cv co wral wa eqid wceq ovex elsn sylibr eleq1d crngo
      csn cidl crn wss c2nd rngo0cl snssd fvexi snid velsn rngo0rid mpdan oveq2
      cgi a1i syl5ibrcom syl5bi ralrimiv rngorz ralrimiva oveq1 ralbidv anbi12d
      rngolz jca isidl mpbir3and ) AUAIZCUBZAUCJIVJBUDZUECVJIZFKZGKZBLZVJIZGVJM
      ZHKZVMAUFJZLZVJIZVMVRVSLZVJIZNZHVKMZNZFVJMVICVKABVKCDVKOZEUGZUHVLVICCBUOE
      UIUJUPVIWFFVJVMVJIVMCPZVIWFFCUKVIWFWICVNBLZVJIZGVJMZVRCVSLZVJIZCVRVSLZVJI
      ZNZHVKMZNVIWLWRVIWKGVJVNVJIVNCPZVIWKGCUKVIWKWSCCBLZVJIZVIWTCPZXAVICVKIXBW
      HCABVKCDWGEULUMWTCCCBQRSWSWJWTVJVNCCBUNTUQURUSVIWQHVKVIVRVKINZWNWPXCWMCPW
      NVRABVSVKCEWGDVSOZUTWMCVRCVSQRSXCWOCPWPVRABVSVKCEWGDXDVEWOCCVRVSQRSVFVAVF
      WIVQWLWEWRWIVPWKGVJWIVOWJVJVMCVNBVBTVCWIWDWQHVKWIWAWNWCWPWIVTWMVJVMCVRVSU
      NTWIWBWOVJVMCVRVSVBTVDVCVDUQURUSFGHABVSVJVKCDXDWGEVGVH $.
  $}

  ${
    $d R x $.  $d X x $.  $d I x $.  $d U x $.
    1idl.1 $e |- G = ( 1st ` R ) $.
    1idl.2 $e |- H = ( 2nd ` R ) $.
    1idl.3 $e |- X = ran G $.
    1idl.4 $e |- U = ( GId ` H ) $.
    $( Two ways of expressing the unit ideal.  (Contributed by Jeff Madsen,
       10-Jun-2010.) $)
    1idl $p |- ( ( R e. RingOps /\ I e. ( Idl ` R ) )
           -> ( U e. I <-> I = X ) ) $=
      ( vx crngo wcel cidl cfv wa wceq wss adantr crn idlss cv c1st rneqi eqtri
      rngolidm ad2ant2rl idlrmulcl eqeltrrd expr ssrdv eqssd rngo1cl syl5ibrcom
      co ex eleq2 impbid ) ALMZEANOMZPZBEMZEFQZVAVBVCVAVBPZEFVAEFRVBACEFGIUASVD
      KFEVAVBKUBZFMZVEEMVAVBVFPPBVEDUOZVEEUSVFVGVEQUTVBVEABDFHFCTAUCOZTICVHGUDU
      EZJUFUGBVEACDEFGHIUHUIUJUKULUPVAVBVCBFMZUSVJUTABDFVIHJUMSEFBUQUNUR $.
  $}

  ${
    0ring.1 $e |- G = ( 1st ` R ) $.
    0ring.2 $e |- H = ( 2nd ` R ) $.
    0ring.3 $e |- X = ran G $.
    0ring.4 $e |- Z = ( GId ` G ) $.
    0ring.5 $e |- U = ( GId ` H ) $.
    $( In a ring, ` 0 = 1 ` iff the ring contains only ` 0 ` .  (Contributed by
       Jeff Madsen, 6-Jan-2011.) $)
    0rngo $p |- ( R e. RingOps -> ( Z = U <-> X = { Z } ) ) $=
      ( crngo wcel wceq csn cgi fvexi snid cfv crn eleq1 mpbii cidl 0idl syl5ib
      wb 1idl mpdan eqcom syl6ib rneqi eqtri rngo1cl eleq2 elsni eqcomd syl5com
      c1st syl6bi impbid ) ALMZFBNZEFOZNZVAVBVCENZVDVBBVCMZVAVEVBFVCMVFFFCPJQRF
      BVCUAUBVAVCAUCSMVFVEUFACFGJUDABCDVCEGHIKUGUHUEVCEUIUJVABEMZVDVBABDEECTAUR
      SZTICVHGUKULHKUMVDVGVFVBEVCBUNVFBFBFUOUPUSUQUT $.
  $}

  ${
    $d R i x y z $.  $d H i x y z $.  $d X i x y z $.  $d Z i x y z $.
    divrngidl.1 $e |- G = ( 1st ` R ) $.
    divrngidl.2 $e |- H = ( 2nd ` R ) $.
    divrngidl.3 $e |- X = ran G $.
    divrngidl.4 $e |- Z = ( GId ` G ) $.
    $( The only ideals in a division ring are the zero ideal and the unit
       ideal.  (Contributed by Jeff Madsen, 10-Jun-2010.) $)
    divrngidl $p |- ( R e. DivRingOps -> ( Idl ` R ) = { { Z } , X } ) $=
      ( vy vx vi vz wcel wne cv wceq wa wi adantr cdrng crngo cgi cfv cdif wrex
      co csn wral cidl cpr eqid isdrngo2 wo idl0cl wex wss fvexi necom pssdifn0
      snss c0 sylib syl2anb idlss ssdif sselda sylan oveq2 eqeq1d rspcva eldifi
      rexbidv anim12i idllmulcl 1idl biimpd eleq1 imbi1d syl5ibrcom mpid sylan2
      n0 anassrs rexlimdva imp syldan an32s exlimdv syl5 mpand neor sylibr 0idl
      ex rngoidl jaod impbid vex elpr bitr4di eqrdv adantrl sylbi ) AUANAUBNZCU
      CUDZEOZJPZKPZCUGZXFQZJDEUHZUEZUFZKXMUIZRRAUJUDZXLDUKZQZKJAXFBCDEFGIHXFULZ
      UMXEXOXRXGXEXORZLXPXQXTLPZXPNZYAXLQZYADQZUNZYAXQNXTYBYEXTYBYEXTYBRYAXLOZY
      DSZYEXEYBXOYGXEYBRZXORZEYANZYFYDYHYJXOABYAEFIUOTYJYFRMPZYAXLUEZNZMUPZYIYD
      YJXLYAUQZXLYAOZYNYFEYAEBUCIURVAYAXLUSYOYPRYLVBOYNXLYAUTMYLWCVCVDYIYMYDMYI
      YMYDYHYMXOYDYHYMRZXOXHYKCUGZXFQZJXMUFZYDYQYKXMNZXOYTYHYADUQZYMUUAABYADFHV
      EUUBYLXMYKYADXLVFVGVHXNYTKYKXMXIYKQZXKYSJXMUUCXJYRXFXIYKXHCVIVJVMVKVHYQYT
      YDYQYSYDJXMYHYMXHXMNZYSYDSZYMUUDRYHYKYANZXHDNZRZUUEYMUUFUUDUUGYKYAXLVLXHD
      XLVLVNYHUUHRZYSYRYANZYDYKXHABCYADFGHVOUUIUUJYDSYSXFYANZYDSZYHUULUUHYHUUKY
      DAXFBCYADFGHXSVPVQTYSUUJUUKYDYRXFYAVRVSVTWAWBWDWEWFWGWHWOWIWJWKWHYDYAXLWL
      WMWOXEYEYBSXOXEYCYBYDXEYBYCXLXPNABEFIWNYAXLXPVRVTXEYBYDDXPNABDFHWPYADXPVR
      VTWQTWRYAXLDLWSWTXAXBXCXD $.
  $}

  ${
    $d R i x y z $.  $d C i x y z $.
    $( The intersection of a nonempty collection of ideals is an ideal.
       (Contributed by Jeff Madsen, 10-Jun-2010.) $)
    intidl $p |- ( ( R e. RingOps /\ C =/= (/) /\ C C_ ( Idl ` R ) )
                                                  -> |^| C e. ( Idl ` R ) ) $=
      ( vx vy vz vi wcel cfv cv co wral wa eqid sylan2 anassrs ralrimiva sylibr
      wss elint2 ex crngo wne cidl w3a cint c1st crn cgi c2nd intssuni 3ad2ant2
      cuni ssel2 idlss 3adant2 unissb sstrd idl0cl vex r19.26 idladdcl ralimdva
      c0 fvex wi ovex syl6ibr syl5bir expdimp ralrimiv idllmulcl anass1rs an32s
      syl5bi an4s imp idlrmulcl jca wb isidl 3ad2ant1 mpbir3and ) BUAGZAVCUBZAB
      UCHZRZUDZAUEZWEGZWHBUFHZUGZRZWJUHHZWHGZCIZDIZWJJZWHGZDWHKZEIZWOBUIHZJZWHG
      ZWOWTXAJZWHGZLZEWKKZLZCWHKZWGWHAULZWKWDWCWHXJRWFAUJUKWGFIZWKRZFAKZXJWKRWC
      WFXMWDWCWFLZXLFAWCWFXKAGZXLWFXOLZWCXKWEGZXLAWEXKUMZBWJXKWKWJMZWKMZUNNOPUO
      FAWKUPQUQWCWFWNWDXNWMXKGZFAKWNXNYAFAWCWFXOYAXPWCXQYAXRBWJXKWMXSWMMZURNOPF
      WMAWJUHVDSQUOWCWFXIWDXNXHCWHWOWHGWOXKGZFAKZXNXHFWOACUSSXNYDXHXNYDLZWSXGYE
      WRDWHWPWHGWPXKGZFAKZYEWRFWPADUSSXNYDYGWRYDYGLYCYFLZFAKZXNWRYCYFFAUTXNYIWQ
      XKGZFAKWRXNYHYJFAWCWFXOYHYJVEZXPWCXQYKXRWCXQLZYHYJWOWPBWJXKXSVATNOVBFWQAW
      OWPWJVFSVGVHVIVNVJYEXFEWKXNWTWKGZYDXFXNYMLZYDLZXCXEYOXBXKGZFAKZXCYNYDYQYN
      YCYPFAXNYMXOYCYPVEZWCYMWFXOYRXPWCYMLZXQYRXRWCXQYMYRYLYMLZYCYPYLYCYMYPWOWT
      BWJXAXKWKXSXAMZXTVKVLTVMNVOOVBVPFXBAWTWOXAVFSQYOXDXKGZFAKZXEYNYDUUCYNYCUU
      BFAXNYMXOYCUUBVEZWCYMWFXOUUDXPYSXQUUDXRWCXQYMUUDYTYCUUBYLYCYMUUBWOWTBWJXA
      XKWKXSUUAXTVQVLTVMNVOOVBVPFXDAWOWTXAVFSQVRVMPVRTVNVJUOWCWDWIWLWNXIUDVSWFC
      DEBWJXAWHWKWMXSUUAXTYBVTWAWB $.
  $}

  $( The intersection of two ideals is an ideal.  (Contributed by Jeff Madsen,
     16-Jun-2011.) $)
  inidl $p |- ( ( R e. RingOps /\ I e. ( Idl ` R ) /\ J e. ( Idl ` R ) )
                                        -> ( I i^i J ) e. ( Idl ` R ) ) $=
    ( crngo wcel cidl cfv w3a cpr cint cin wceq intprg 3adant1 wa wne wss prnzg
    c0 adantr prssi jca intidl 3expb sylan2 3impb eqeltrrd ) ADEZBAFGZEZCUIEZHB
    CIZJZBCKZUIUJUKUMUNLUHBCUIUIMNUHUJUKUMUIEZUJUKOZUHULSPZULUIQZOUOUPUQURUJUQU
    KBCUIRTBCUIUAUBUHUQURUOULAUCUDUEUFUG $.

  ${
    $d R i k x y z $.  $d C i j k x y z $.
    $( The union of a nonempty chain of ideals is an ideal.  (Contributed by
       Jeff Madsen, 5-Jan-2011.) $)
    unichnidl $p |- ( ( R e. RingOps /\ ( C =/= (/) /\ C C_ ( Idl ` R ) /\
                              A. i e. C A. j e. C ( i C_ j \/ j C_ i ) ) )
                                          -> U. C e. ( Idl ` R ) ) $=
      ( vx vy vz vk wcel cfv wss cv wral wa eqid imp sylan2 wel wi an32s c0 wne
      crngo cidl wo w3a cuni c1st crn cgi co c2nd dfss3 idlss ex ralimdv unissb
      sylibr 3ad2antr2 wrex idl0cl r19.2z an12s eluni2 3adantr3 weq sseq1 sseq2
      sylan2b orbi12d ralbidv adantr ad2antlr ad2antrl adantll idladdcl ancom2s
      rspcv ssel2 ancoms expr an42s anasss simprl elunii syl2anc anassrs jaodan
      ad2antrr syldan rexlimdvaa syl5bi ralrimiv 3adantr1 idllmulcl exp43 com23
      imp41 sylanl2 simplrr idlrmulcl jca ralrimiva wb isidl mpbir3and ) BUCIZA
      UAUBZABUDJZKZCLZDLZKZXLXKKZUEZDAMZCAMZUFZNZAUGZXIIZXTBUHJZUIZKZYBUJJZXTIZ
      ELZFLZYBUKZXTIZFXTMZGLZYGBULJZUKZXTIZYGYLYMUKZXTIZNZGYCMZNZEXTMZXGXHXJYDX
      QXGXJNZXKYCKZCAMZYDXJXGXKXIIZCAMZUUDCAXIUMZXGUUFUUDXGUUEUUCCAXGUUEUUCBYBX
      KYCYBOZYCOZUNUOUPPVICAYCUQURUSXGXHXJYFXQXGXHXJNNYEXKIZCAUTZYFXHXGXJUUKUUB
      XHUUJCAMZUUKXJXGUUFUULUUGXGUUFUULXGUUEUUJCAXGUUEUUJBYBXKYEUUHYEOZVAUOUPPV
      IUUJCAVBQVCCYEAVDURVEXSYTEXTYGXTIEHRZHAUTXSYTHYGAVDXSUUNYTHAXSHLZAIZUUNNZ
      NYKYSXGUUQXRYKXGUUQNZXJXQYKXHUURXJXQYKUURXJNZXQUUOXLKZXLUUOKZUEZDAMZYKUUS
      XQUVCUUQXQUVCSZXGXJUUPUVDUUNXPUVCCUUOACHVFZXOUVBDAUVEXMUUTXNUVAXKUUOXLVGX
      KUUOXLVHVJVKVRVLVMPUUSUVCNZYJFXTYHXTIFCRZCAUTUVFYJCYHAVDUVFUVGYJCAUUSXKAI
      ZUVGNZUVCYJUUSUVINZUVCUUOXKKZXKUUOKZUEZYJUVJUVCUVMUVHUVCUVMSUUSUVGUVBUVMD
      XKADCVFUUTUVKUVAUVLXLXKUUOVHXLXKUUOVGVJVRVNPUVJUVKYJUVLUVJUVKYJUURXJUVIUV
      KYJSZXGXJUVINZUUQUVNXGUVONZUUQUVKYJUUQUVKNUVPECRZYJUUNUVKUVQUUPUVKUUNUVQU
      UOXKYGVSVTVOUVPUVQNYIXKIZUVHYJUVPUVQUVRXGXJUVIUVQUVRSZXGUVGXJUVHUVSXJUVHN
      XGUVGNUUEUVSAXIXKVSXGUUEUVGUVSXGUUENZUVGUVQUVRUVTUVQUVGUVRYGYHBYBXKUUHVPV
      QWATQWBWCPUVOUVHXGUVQXJUVHUVGWDVMYIXKAWEWFQWATWGPUUSUVIUVLYJUVIUVLNUUSFHR
      ZYJUVGUVLUWAUVHUVLUVGUWAXKUUOYHVSVTVOUUSUWANYIUUOIZUUPYJUUSUWAUWBXGXJUUQU
      WAUWBSZXGUUNXJUUPUWCXJUUPNZXGUUNNZUUOXIIZUWCAXIUUOVSZXGUWFUUNUWCXGUWFNUUN
      UWAUWBYGYHBYBUUOUUHVPWATQWBTPUURUUPXJUWAXGUUPUUNWDWIYIUUOAWEWFQWGWHWJTWKW
      LWMWJWCWNTXGUUQXRYSUURXHXJYSXQXGXJUUQYSXGUUNXJUUPYSUWEUWDNZYRGYCUWHYLYCIZ
      NZYOYQUWJYNUUOIZUUPYOUWDUWEUWFUWIUWKUWGXGUUNUWFUWIUWKXGUWFUUNUWIUWKSXGUWF
      UUNUWIUWKYGYLBYBYMUUOYCUUHYMOZUUIWOWPWQWRWSUWEXJUUPUWIWTZYNUUOAWEWFUWJYPU
      UOIZUUPYQUWDUWEUWFUWIUWNUWGXGUUNUWFUWIUWNXGUWFUUNUWIUWNSXGUWFUUNUWIUWNYGY
      LBYBYMUUOYCUUHUWLUUIXAWPWQWRWSUWMYPUUOAWEWFXBXCWBTUSTXBWKWLWMXGYAYDYFUUAU
      FXDXREFGBYBYMXTYCYEUUHUWLUUIUUMXEVLXF $.
  $}

  ${
    $d R x y z $.  $d S x y z $.  $d F x y z $.  $d Z x y z $.
    keridl.1 $e |- G = ( 1st ` S ) $.
    keridl.2 $e |- Z = ( GId ` G ) $.
    $( The kernel of a ring homomorphism is an ideal.  (Contributed by Jeff
       Madsen, 3-Jan-2011.) $)
    keridl $p |- ( ( R e. RingOps /\ S e. RingOps /\ F e. ( R RngHom S ) )
                                      -> ( `' F " { Z } ) e. ( Idl ` R ) ) $=
      ( vx vy wcel co cfv wa eqid wceq fvex elsn wb elpreima 3syl crngo crnghom
      vz w3a ccnv csn cima cidl c1st crn wss cgi cv wral c2nd cnvimass rngohomf
      fssdm rngo0cl 3ad2ant1 rngohom0 sylibr wf wfn mpbir2and rngohomadd adantr
      ffn an4 oveq12 adantl rngogrpo grpoidcl syl2anc2 3ad2ant2 ad2antrr 3eqtrd
      cgr grpolid ex anbi12i 3imtr4g imdistanda wi rngogcl 3expib anim1d syl5bi
      syld anbi12d 3imtr4d impl ralrimiva anbi2i rngocl 3expb anass1rs adantlrr
      3ad2antl1 rngohommul oveq2 ad2antlr rngohomcl rngorz syldan adantlr oveq1
      3ad2antl2 anassrs rngolz jca sylbid imp isidl mpbir3and ) AUAJZBUAJZCABUB
      KJZUDZCUEEUFZUGZAUHLJZYAAUILZUJZUKZYCULLZYAJZHUMZIUMZYCKZYAJZIYAUNZUCUMZY
      HAUOLZKZYAJZYHYMYNKZYAJZMZUCYDUNZMZHYAUNZXSYDDUJZYACCXTUPABCYCDYDUUCYCNZY
      DNZFUUCNZUQZURXSYGYFYDJZYFCLZXTJZXPXQUUHXRAYCYDYFUUDUUEYFNZUSUTXSUUIEOUUJ
      ABCYCDEYFUUDUUKFGVAUUIEYFCPQVBXSYDUUCCVCZCYDVDZYGUUHUUJMRUUGYDUUCCVHZYDYF
      XTCSTVEXSUUAHYAXSYHYAJZMZYLYTUUPYKIYAXSUUOYIYAJZYKXSYHYDJZYHCLZXTJZMZYIYD
      JZYICLZXTJZMZMZYJYDJZYJCLZXTJZMZUUOUUQMYKUVFUURUVBMZUUTUVDMZMZXSUVJUURUUT
      UVBUVDVIXSUVMUVKUVIMUVJXSUVKUVLUVIXSUVKMZUUSEOZUVCEOZMZUVHEOZUVLUVIUVNUVQ
      UVRUVNUVQMUVHUUSUVCDKZEEDKZEUVNUVHUVSOUVQYHYIABCYCDYDUUDUUEFVFVGUVQUVSUVT
      OUVNUUSEUVCEDVJVKXSUVTEOZUVKUVQXQXPUWAXRXQDVRJEUUCJUWABDFVLEDUUCUUFGVMEED
      UUCUUFGVSVNVOVPVQVTUUTUVOUVDUVPUUSEYHCPQZUVCEYICPQWAUVHEYJCPQWBWCXSUVKUVG
      UVIXPXQUVKUVGWDXRXPUURUVBUVGYHYIAYCYDUUDUUEWEWFUTWGWIWHXSUUOUVAUUQUVEXSUU
      LUUMUUOUVARUUGUUNYDYHXTCSTZXSUULUUMUUQUVERUUGUUNYDYIXTCSTWJXSUULUUMYKUVJR
      UUGUUNYDYJXTCSTWKWLWMXSUUOYTXSUUOUVAYTUWCUVAUURUVOMZXSYTUUTUVOUURUWBWNXSU
      WDYTXSUWDMZYSUCYDUWEYMYDJZMZYPYRUWGYPYOYDJZYOCLZXTJZXSUURUWFUWHUVOXSUWFUU
      RUWHXPXQUWFUURMUWHXRXPUWFUURUWHYMYHAYCYNYDUUDYNNZUUEWOWPWSWQWRUWGUWIEOUWJ
      UWGUWIYMCLZUUSBUOLZKZUWLEUWMKZEXSUURUWFUWIUWNOZUVOXSUWFUURUWPYMYHABCYCYNU
      WMYDUUDUUEUWKUWMNZWTWQWRUWDUWNUWOOZXSUWFUVOUWRUURUUSEUWLUWMXAVKXBXSUWFUWO
      EOZUWDXSUWFUWLUUCJZUWSYMABCYCDYDUUCUUDUUEFUUFXCZXQXPUWTUWSXRUWLBDUWMUUCEG
      UUFFUWQXDXHXEXFVQUWIEYOCPQVBXSYPUWHUWJMRZUWDUWFXSUULUUMUXBUUGUUNYDYOXTCST
      VPVEUWGYRYQYDJZYQCLZXTJZXSUURUWFUXCUVOXSUURUWFUXCXPXQUURUWFMUXCXRXPUURUWF
      UXCYHYMAYCYNYDUUDUWKUUEWOWPWSXIWRUWGUXDEOUXEUWGUXDUUSUWLUWMKZEUWLUWMKZEXS
      UURUWFUXDUXFOZUVOXSUURUWFUXHYHYMABCYCYNUWMYDUUDUUEUWKUWQWTXIWRUWDUXFUXGOZ
      XSUWFUVOUXIUURUUSEUWLUWMXGVKXBXSUWFUXGEOZUWDXSUWFUWTUXJUXAXQXPUWTUXJXRUWL
      BDUWMUUCEGUUFFUWQXJXHXEXFVQUXDEYQCPQVBXSYRUXCUXEMRZUWDUWFXSUULUUMUXKUUGUU
      NYDYQXTCSTVPVEXKWMVTWHXLXMXKWMXPXQYBYEYGUUBUDRXRHIUCAYCYNYAYDYFUUDUWKUUEU
      UKXNUTXO $.
  $}

  ${
    $d R r i x y a b $.  $d X i r $.  $d H i r $.
    pridlval.1 $e |- G = ( 1st ` R ) $.
    pridlval.2 $e |- H = ( 2nd ` R ) $.
    pridlval.3 $e |- X = ran G $.
    $( The class of prime ideals of a ring ` R ` .  (Contributed by Jeff
       Madsen, 10-Jun-2010.) $)
    pridlval $p |- ( R e. RingOps -> ( PrIdl ` R ) = { i e. ( Idl ` R ) |
                ( i =/= X /\ A. a e. ( Idl ` R ) A. b e. ( Idl ` R ) (
          A. x e. a A. y e. b ( x H y ) e. i -> ( a C_ i \/ b C_ i ) ) ) } ) $=
      ( vr cv c1st cfv c2nd wral cidl fveq2 crn wne co wcel wo wi wa crab crngo
      wss cpridl wceq eqtr4di rneqd neeq2d oveqd eleq1d 2ralbidv imbi1d anbi12d
      raleqbidv rabeqbidv df-pridl fvex rabex fvmpt ) MCDNZMNZOPZUAZUBZANZBNZVH
      QPZUCZVGUDZBINZRAHNZRZVRVGUJVQVGUJUEZUFZIVHSPZRZHWBRZUGZDWBUHVGGUBZVLVMFU
      CZVGUDZBVQRAVRRZVTUFZICSPZRZHWKRZUGZDWKUHUIUKVHCULZWEWNDWBWKVHCSTZWOVKWFW
      DWMWOVJGVGWOVJEUAGWOVIEWOVICOPEVHCOTJUMUNLUMUOWOWCWLHWBWKWPWOWAWJIWBWKWPW
      OVSWIVTWOVPWHABVRVQWOVOWGVGWOVNFVLVMWOVNCQPFVHCQTKUMUPUQURUSVAVAUTVBABDMH
      IVCWNDWKCSVDVEVF $.

    $d P i x y a b $.
    $( The predicate "is a prime ideal".  (Contributed by Jeff Madsen,
       10-Jun-2010.) $)
    ispridl $p |- ( R e. RingOps -> ( P e. ( PrIdl ` R ) <-> ( P e. ( Idl ` R )
                /\ P =/= X /\ A. a e. ( Idl ` R ) A. b e. ( Idl ` R )
        ( A. x e. a A. y e. b ( x H y ) e. P -> ( a C_ P \/ b C_ P ) ) ) ) ) $=
      ( vi wcel cfv cv wne wral wss wa crngo cpridl co wo wi cidl crab pridlval
      w3a eleq2d wceq neeq1 eleq2 2ralbidv sseq2 orbi12d imbi12d anbi12d 3anass
      elrab bitr4i bitrdi ) DUANZCDUBOZNCMPZGQZAPBPFUCZVENZBIPZRAHPZRZVJVESZVIV
      ESZUDZUEZIDUFOZRHVPRZTZMVPUGZNZCVPNZCGQZVGCNZBVIRAVJRZVJCSZVICSZUDZUEZIVP
      RHVPRZUIZVCVDVSCABDMEFGHIJKLUHUJVTWAWBWITZTWJVRWKMCVPVECUKZVFWBVQWIVECGUL
      WLVOWHHIVPVPWLVKWDVNWGWLVHWCABVJVIVECVGUMUNWLVLWEVMWFVECVJUOVECVIUOUPUQUN
      URUTWAWBWIUSVAVB $.
  $}

  ${
    $d R x y a b $.  $d P x y a b $.
    $( A prime ideal is an ideal.  (Contributed by Jeff Madsen,
       19-Jun-2010.) $)
    pridlidl $p |- ( ( R e. RingOps /\ P e. ( PrIdl ` R ) )
                                            -> P e. ( Idl ` R ) ) $=
      ( vx vy vb va crngo wcel cpridl cfv cidl c1st crn wne cv c2nd wral wss wa
      eqid co wo wi w3a ispridl 3anass bitrdi simprbda ) BGHZABIJHZABKJZHZABLJZ
      MZNZCODOBPJZUAAHDEOZQCFOZQURARUQARUBUCEUKQFUKQZSZUIUJULUOUSUDULUTSCDABUMU
      PUNFEUMTUPTUNTUEULUOUSUFUGUH $.
  $}

  ${
    $d R x y a b $.  $d P x y a b $.
    pridlnr.1 $e |- G = ( 1st ` R ) $.
    prdilnr.2 $e |- X = ran G $.
    $( A prime ideal is a proper ideal.  (Contributed by Jeff Madsen,
       19-Jun-2010.) $)
    pridlnr $p |- ( ( R e. RingOps /\ P e. ( PrIdl ` R ) ) -> P =/= X ) $=
      ( vx vy vb va crngo wcel cpridl cfv wne cidl cv wral wss wa c2nd co wo wi
      w3a eqid ispridl 3anan12 bitrdi simprbda ) BKLZABMNLZADOZABPNZLZGQHQBUANZ
      UBALHIQZRGJQZRURASUQASUCUDIUNRJUNRZTZUKULUOUMUSUEUMUTTGHABCUPDJIEUPUFFUGU
      OUMUSUHUIUJ $.
  $}

  ${
    $d R x y a b $.  $d P x y a b $.  $d A x a b $.  $d B x y a b $.
    $d H a b $.
    pridl.1 $e |- H = ( 2nd ` R ) $.
    $( The main property of a prime ideal.  (Contributed by Jeff Madsen,
       19-Jun-2010.) $)
    pridl $p |- ( ( ( R e. RingOps /\ P e. ( PrIdl ` R ) ) /\
                        ( A e. ( Idl ` R ) /\ B e. ( Idl ` R ) /\
            A. x e. A A. y e. B ( x H y ) e. P ) ) -> ( A C_ P \/ B C_ P ) ) $=
      ( vb va wcel cfv wa cv wral wss wo wi eqid wceq crngo cpridl cidl co c1st
      crn wne ispridl df-3an bitrdi simplbda raleq sseq1 orbi1d imbi12d ralbidv
      w3a orbi2d rspc2v syl5com expd 3imp2 ) FUAKZEFUBLKZMZCFUCLZKZDVFKZANBNGUD
      EKZBDOZACOZCEPZDEPZQZVEVGVHVKVNRZVEVIBINZOZAJNZOZVREPZVPEPZQZRZIVFOJVFOZV
      GVHMVOVCVDEVFKZEFUELZUFZUGZMZWDVCVDWEWHWDUQWIWDMABEFWFGWGJIWFSHWGSUHWEWHW
      DUIUJUKWCVOVQACOZVLWAQZRJICDVFVFVRCTZVSWJWBWKVQAVRCULWLVTVLWAVRCEUMUNUOVP
      DTZWJVKWKVNWMVQVJACVIBVPDULUPWMWAVMVLVPDEUMURUOUSUTVAVB $.
  $}

  ${
    $d R a b r s $.  $d P a b r s $.  $d X a b r s $.  $d H r s $.
    ispridl2.1 $e |- G = ( 1st ` R ) $.
    ispridl2.2 $e |- H = ( 2nd ` R ) $.
    ispridl2.3 $e |- X = ran G $.
    $( A condition that shows an ideal is prime.  For commutative rings, this
       is often taken to be the definition.  See ~ ispridlc for the equivalence
       in the commutative case.  (Contributed by Jeff Madsen, 19-Jun-2010.) $)
    ispridl2 $p |- ( ( R e. RingOps /\ ( P e. ( Idl ` R ) /\ P =/= X /\
          A. a e. X A. b e. X ( ( a H b ) e. P -> ( a e. P \/ b e. P ) ) ) )
                              -> P e. ( PrIdl ` R ) ) $=
      ( vs vr wcel cv wo wi wral wss wa syl crngo cidl cfv wne w3a cpridl idlss
      ssralv adantrr ralimdv adantrl syld adantlr r19.26-2 pm3.35 2ralimi dfss3
      co 2ralor orbi12i sylbb2 sylbir expcom syl6 ralrimdvva ex adantrd 3imtr4g
      imdistand df-3an ispridl sylibrd imp ) BUAMZABUBUCZMZAEUDZFNZGNZDURAMZVRA
      MZVSAMZOZPZGEQZFEQZUEZABUFUCMZVNWGVPVQVTGKNZQFLNZQZWJARZWIARZOZPZKVOQLVOQ
      ZUEZWHVNVPVQSZWFSWRWPSWGWQVNWRWFWPVNVPWFWPPZVQVNVPWSVNVPSZWFWOLKVOVOWTWJV
      OMZWIVOMZSZSWFWDGWIQZFWJQZWOVNXCWFXEPVPVNXCSWFWEFWJQZXEVNXAWFXFPZXBVNXASW
      JERXGBCWJEHJUGWEFWJEUHTUIVNXBXFXEPZXAVNXBSWIERZXHBCWIEHJUGXIWEXDFWJWDGWIE
      UHUJTUKULUMWKXEWNWKXESVTWDSZGWIQFWJQZWNVTWDFGWJWIUNXKWCGWIQFWJQZWNXJWCFGW
      JWIVTWCUOUPXLWAFWJQZWBGWIQZOWNWAWBFGWJWIUSWLXMWMXNFWJAUQGWIAUQUTVATVBVCVD
      VEVFVGVIVPVQWFVJVPVQWPVJVHFGABCDELKHIJVKVLVM $.
  $}

  ${
    $d R i j r $.  $d X r $.
    maxidlval.1 $e |- G = ( 1st ` R ) $.
    maxidlval.2 $e |- X = ran G $.
    $( The set of maximal ideals of a ring.  (Contributed by Jeff Madsen,
       5-Jan-2011.) $)
    maxidlval $p |- ( R e. RingOps -> ( MaxIdl ` R ) =
                              { i e. ( Idl ` R ) | ( i =/= X /\
                A. j e. ( Idl ` R ) ( i C_ j -> ( j = i \/ j = X ) ) ) } ) $=
      ( vr cv c1st cfv crn wne wceq wo wi cidl wral wa crab crngo cmaxidl fveq2
      wss eqtr4di rneqd neeq2d eqeq2d orbi2d imbi2d raleqbidv anbi12d rabeqbidv
      df-maxidl fvex rabex fvmpt ) HABIZHIZJKZLZMZURCIZUDZVCURNZVCVANZOZPZCUSQK
      ZRZSZBVITUREMZVDVEVCENZOZPZCAQKZRZSZBVPTUAUBUSANZVKVRBVIVPUSAQUCZVSVBVLVJ
      VQVSVAEURVSVADLEVSUTDVSUTAJKDUSAJUCFUEUFGUEZUGVSVHVOCVIVPVTVSVGVNVDVSVFVM
      VEVSVAEVCWAUHUIUJUKULUMBCHUNVRBVPAQUOUPUQ $.
  $}

  ${
    $d R i j $.  $d M i j $.  $d X i $.
    ismaxidl.1 $e |- G = ( 1st ` R ) $.
    ismaxidl.2 $e |- X = ran G $.
    $( The predicate "is a maximal ideal".  (Contributed by Jeff Madsen,
       5-Jan-2011.) $)
    ismaxidl $p |- ( R e. RingOps -> ( M e. ( MaxIdl ` R ) <->
                              ( M e. ( Idl ` R ) /\ M =/= X /\
                A. j e. ( Idl ` R ) ( M C_ j -> ( j = M \/ j = X ) ) ) ) ) $=
      ( vi crngo wcel cmaxidl cfv cv wne wss wceq wo wi wral wa cidl w3a eleq2d
      crab neeq1 sseq1 eqeq2 orbi1d imbi12d ralbidv anbi12d elrab 3anass bitr4i
      maxidlval bitrdi ) AIJZDAKLZJDHMZENZUSBMZOZVAUSPZVAEPZQZRZBAUALZSZTZHVGUD
      ZJZDVGJZDENZDVAOZVADPZVDQZRZBVGSZUBZUQURVJDAHBCEFGUOUCVKVLVMVRTZTVSVIVTHD
      VGUSDPZUTVMVHVRUSDEUEWAVFVQBVGWAVBVNVEVPUSDVAUFWAVCVOVDUSDVAUGUHUIUJUKULV
      LVMVRUMUNUP $.
  $}

  ${
    $d R j $.  $d M j $.
    $( A maximal ideal is an ideal.  (Contributed by Jeff Madsen,
       5-Jan-2011.) $)
    maxidlidl $p |- ( ( R e. RingOps /\ M e. ( MaxIdl ` R ) )
                                                -> M e. ( Idl ` R ) ) $=
      ( vj crngo wcel cmaxidl cfv cidl c1st crn wne cv wss wceq wo wi wral eqid
      wa w3a ismaxidl 3anass bitrdi simprbda ) ADEZBAFGEZBAHGZEZBAIGZJZKZBCLZMU
      LBNULUJNOPCUGQZSZUEUFUHUKUMTUHUNSACUIBUJUIRUJRUAUHUKUMUBUCUD $.

    $d R j $.  $d M j $.
    maxidlnr.1 $e |- G = ( 1st ` R ) $.
    maxidlnr.2 $e |- X = ran G $.
    $( A maximal ideal is proper.  (Contributed by Jeff Madsen,
       16-Jun-2011.) $)
    maxidlnr $p |- ( ( R e. RingOps /\ M e. ( MaxIdl ` R ) ) -> M =/= X ) $=
      ( vj crngo wcel cmaxidl cfv wa cidl wne cv wss wceq wo wi wral w3a biimpa
      ismaxidl simp2d ) AHIZCAJKIZLCAMKZIZCDNZCGOZPUJCQUJDQRSGUGTZUEUFUHUIUKUAA
      GBCDEFUCUBUD $.

    $d I j $.  $d X j $.
    $( A maximal ideal is a maximal proper ideal.  (Contributed by Jeff Madsen,
       16-Jun-2011.) $)
    maxidlmax $p |- ( ( ( R e. RingOps /\ M e. ( MaxIdl ` R ) ) /\
                ( I e. ( Idl ` R ) /\ M C_ I ) ) -> ( I = M \/ I = X ) ) $=
      ( vj crngo wcel cmaxidl cfv wa cidl wss wceq wo wi cv eqeq1 wral ismaxidl
      wne w3a biimpa simp3d sseq2 orbi12d imbi12d rspcva sylan2 ancoms impr ) A
      IJZDAKLJZMZCANLZJZDCOZCDPZCEPZQZURUPUSVBRZUPURDHSZOZVDDPZVDEPZQZRZHUQUAZV
      CUPDUQJZDEUCZVJUNUOVKVLVJUDAHBDEFGUBUEUFVIVCHCUQVDCPZVEUSVHVBVDCDUGVMVFUT
      VGVAVDCDTVDCETUHUIUJUKULUM $.
  $}

  ${
    maxidln1.1 $e |- H = ( 2nd ` R ) $.
    maxidln1.2 $e |- U = ( GId ` H ) $.
    $( One is not contained in any maximal ideal.  (Contributed by Jeff Madsen,
       17-Jun-2011.) $)
    maxidln1 $p |- ( ( R e. RingOps /\ M e. ( MaxIdl ` R ) ) -> -. U e. M ) $=
      ( crngo wcel cmaxidl cfv wa wn c1st crn wne eqid maxidlnr cidl maxidlidl
      wb 1idl necon3bbid syldan mpbird ) AGHZDAIJHZKBDHZLZDAMJZNZOZAUIDUJUIPZUJ
      PZQUEUFDARJHZUHUKTADSUEUNKUGDUJABUICDUJULEUMFUAUBUCUD $.
  $}

  ${
    maxidln0.1 $e |- G = ( 1st ` R ) $.
    maxidln0.2 $e |- H = ( 2nd ` R ) $.
    maxidln0.3 $e |- Z = ( GId ` G ) $.
    maxidln0.4 $e |- U = ( GId ` H ) $.
    $( A ring with a maximal ideal is not the zero ring.  (Contributed by Jeff
       Madsen, 17-Jun-2011.) $)
    maxidln0 $p |- ( ( R e. RingOps /\ M e. ( MaxIdl ` R ) ) -> U =/= Z ) $=
      ( crngo wcel cmaxidl cfv wa wn wceq cidl maxidlidl idl0cl syldan maxidln1
      nelneq syl2anc neqned necomd ) AKLZEAMNLZOZFBUIFBUIFELZBELPFBQPUGUHEARNLU
      JAESACEFGITUAABDEHJUBFBEUCUDUEUF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Prime rings and integral domains
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c PrRing $.
  $c Dmn $.

  $( Extend class notation with the class of prime rings. $)
  cprrng $a class PrRing $.

  $( Extend class notation with the class of domains. $)
  cdmn $a class Dmn $.

  $( Define the class of prime rings.  A ring is prime if the zero ideal is a
     prime ideal.  (Contributed by Jeff Madsen, 10-Jun-2010.) $)
  df-prrngo $a |- PrRing = { r e. RingOps |
                              { ( GId ` ( 1st ` r ) ) } e. ( PrIdl ` r ) } $.

  $( Define the class of (integral) domains.  A domain is a commutative prime
     ring.  (Contributed by Jeff Madsen, 10-Jun-2010.) $)
  df-dmn $a |- Dmn = ( PrRing i^i Com2 ) $.

  ${
    $d R r $.  $d Z r $.
    isprrng.1 $e |- G = ( 1st ` R ) $.
    isprrng.2 $e |- Z = ( GId ` G ) $.
    $( The predicate "is a prime ring".  (Contributed by Jeff Madsen,
       10-Jun-2010.) $)
    isprrngo $p |- ( R e. PrRing <-> ( R e. RingOps
                                        /\ { Z } e. ( PrIdl ` R ) ) ) $=
      ( vr cv c1st cfv cgi csn cpridl wcel crngo cprrng wceq fveq2 fveq2d sneqd
      eqtr4di eleq12d df-prrngo elrab2 ) FGZHIZJIZKZUDLIZMCKZALIZMFANOUDAPZUGUI
      UHUJUKUFCUKUFBJICUKUEBJUKUEAHIBUDAHQDTRETSUDALQUAFUBUC $.
  $}

  $( A prime ring is a ring.  (Contributed by Jeff Madsen, 10-Jun-2010.) $)
  prrngorngo $p |- ( R e. PrRing -> R e. RingOps ) $=
    ( cprrng wcel crngo c1st cfv cgi csn cpridl eqid isprrngo simplbi ) ABCADCA
    EFZGFZHAIFCAMNMJNJKL $.

  ${
    $d R i j x y $.  $d H x y $.  $d X i j x y $.  $d Z i j x y $.
    $d U i j x y $.
    smprngpr.1 $e |- G = ( 1st ` R ) $.
    smprngpr.2 $e |- H = ( 2nd ` R ) $.
    smprngpr.3 $e |- X = ran G $.
    smprngpr.4 $e |- Z = ( GId ` G ) $.
    smprngpr.5 $e |- U = ( GId ` H ) $.
    $( A simple ring (one whose only ideals are ` 0 ` and ` R ` ) is a prime
       ring.  (Contributed by Jeff Madsen, 6-Jan-2011.) $)
    smprngopr $p |- ( ( R e. RingOps /\ U =/= Z
          /\ ( Idl ` R ) = { { Z } , X } ) -> R e. PrRing ) $=
      ( vx vy vj vi wcel wceq wral wi wa wne cidl cfv csn cpr w3a cpridl cprrng
      crngo simp1 cv co wss 0idl 3ad2ant1 0rngo eqcom 3bitr4g necon3bid 3adant3
      wo biimpa cun df-pr eqeq2i eleq2 anbi12d elun velsn orbi12i bitri anbi12i
      wb bitrdi sylbi 3ad2ant3 eqimss orcd adantr a1d a1i olcd adantl wrex c1st
      wn crn rneqi eqtri rngo1cl rngolidm mpdan eleq1d fvexi necon3bbid biimpar
      cgi elsn oveq1 notbid oveq2 rspc2ev syl3anc rexnal2 sylib pm2.21d ralbidv
      raleq sylan9bb imbi1d syl5ibrcom ccased sylbid ralrimivv ispridl isprrngo
      mpbir3and sylanbrc ) AUIPZBFUAZAUBUCZFUDZEUEZQZUFZXSYBAUGUCPZAUHPXSXTYDUJ
      YEYFYBYAPZYBEUAZLUKZMUKZDULZYBPZMNUKZRZLOUKZRZYOYBUMZYMYBUMZVAZSZNYAROYAR
      ZXSXTYGYDACFGJUNUOXSXTYHYDXSXTYHXSBFYBEXSFBQEYBQBFQZYBEQABCDEFGHIJKUPBFUQ
      YBEUQURUSVBUTYEYTONYAYAYEYOYAPZYMYAPZTZYOYBQZYOEQZVAZYMYBQZYMEQZVAZTZYTYD
      XSUUEUULVMZXTYDYAYBUDZEUDZVCZQZUUMYCUUPYAYBEVDVEUUQUUEYOUUPPZYMUUPPZTUULU
      UQUUCUURUUDUUSYAUUPYOVFYAUUPYMVFVGUURUUHUUSUUKUURYOUUNPZYOUUOPZVAUUHYOUUN
      UUOVHUUTUUFUVAUUGOYBVIOEVIVJVKUUSYMUUNPZYMUUOPZVAUUKYMUUNUUOVHUVBUUIUVCUU
      JNYBVINEVIVJVKVLVNVOVPXSXTUULYTSYDXSXTTZUUFUUIUUGUUJYTUUFUUITZYTSUVDUVEYS
      YPUUFYSUUIUUFYQYRYOYBVQVRZVSVTWAUUGUUITZYTSUVDUVGYSYPUUIYSUUGUUIYRYQYMYBV
      QWBWCVTWAUUFUUJTZYTSUVDUVHYSYPUUFYSUUJUVFVSVTWAUVDYTUUGUUJTZYLMERZLERZYSS
      UVDUVKYSUVDYLWFZMEWDLEWDZUVKWFUVDBEPZUVNBBDULZYBPZWFZUVMXSUVNXTABDEECWGAW
      EUCZWGICUVRGWHWIZHKWJZVSZUWAXSUVQXTXSUVPBFXSUVPBYBPUUBXSUVOBYBXSUVNUVOBQU
      VTBABDEHUVSKWKWLWMBFBDWQKWNWRVNWOWPUVLUVQBYJDULZYBPZWFLMBBEEYIBQZYLUWCUWD
      YKUWBYBYIBYJDWSWMWTYJBQZUWCUVPUWEUWBUVOYBYJBBDXAWMWTXBXCYLLMEEXDXEXFUVIYP
      UVKYSUUGYPYNLERUUJUVKYNLYOEXHUUJYNUVJLEYLMYMEXHXGXIXJXKXLUTXMXNXSXTYFYGYH
      UUAUFVMYDLMYBACDEONGHIXOUOXQACFGJXPXR $.
  $}

  $( A division ring is a prime ring.  (Contributed by Jeff Madsen,
     6-Jan-2011.) $)
  divrngpr $p |- ( R e. DivRingOps -> R e. PrRing ) $=
    ( cdrng wcel crngo c2nd cfv cgi c1st wne cidl csn crn wceq cprrng cdif cres
    cpr cxp cgr eqid isdrngo1 simplbi dvrunz divrngidl smprngopr syl3anc ) ABCZ
    ADCZAEFZGFZAHFZGFZIAJFULKZUKLZQMANCUGUHUIUNUMOZUORPSCAUKUIUNULUKTZUITZULTZU
    NTZUAUBAUJUKUIUNULUPUQUSURUJTZUCAUKUIUNULUPUQUSURUDAUJUKUIUNULUPUQUSURUTUEU
    F $.

  $( The predicate "is a domain".  (Contributed by Jeff Madsen,
     10-Jun-2010.) $)
  isdmn $p |- ( R e. Dmn <-> ( R e. PrRing /\ R e. Com2 ) ) $=
    ( cprrng ccm2 cdmn df-dmn elin2 ) ABCDEF $.

  $( The predicate "is a domain".  (Contributed by Jeff Madsen,
     10-Jun-2010.) $)
  isdmn2 $p |- ( R e. Dmn <-> ( R e. PrRing /\ R e. CRingOps ) ) $=
    ( cdmn wcel cprrng ccm2 wa ccring isdmn crngo wb prrngorngo iscrngo pm5.32i
    baibr syl bitri ) ABCADCZAECZFQAGCZFAHQRSQAICZRSJAKSTRALNOMP $.

  $( A domain is a commutative ring.  (Contributed by Jeff Madsen,
     6-Jan-2011.) $)
  dmncrng $p |- ( R e. Dmn -> R e. CRingOps ) $=
    ( cdmn wcel cprrng ccring isdmn2 simprbi ) ABCADCAECAFG $.

  $( A domain is a ring.  (Contributed by Jeff Madsen, 6-Jan-2011.) $)
  dmnrngo $p |- ( R e. Dmn -> R e. RingOps ) $=
    ( cdmn wcel ccring crngo dmncrng crngorngo syl ) ABCADCAECAFAGH $.

  $( A field is a domain.  (Contributed by Jeff Madsen, 10-Jun-2010.) $)
  flddmn $p |- ( K e. Fld -> K e. Dmn ) $=
    ( cdrng wcel ccring cprrng cfld cdmn divrngpr anim1i isfld2 isdmn2 3imtr4i
    wa ) ABCZADCZMAECZOMAFCAGCNPOAHIAJAKL $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ideal generators
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c IdlGen $.

  $( Extend class notation with the ideal generation function. $)
  cigen $a class IdlGen $.

  ${
    $d r s j $.
    $( Define the ideal generated by a subset of a ring.  (Contributed by Jeff
       Madsen, 10-Jun-2010.) $)
    df-igen $a |- IdlGen = ( r e. RingOps , s e. ~P ran ( 1st ` r ) |->
                      |^| { j e. ( Idl ` r ) | s C_ j } ) $.
  $}

  ${
    $d R r s j $.  $d S r s j $.  $d X r s j $.
    igenval.1 $e |- G = ( 1st ` R ) $.
    igenval.2 $e |- X = ran G $.
    $( The ideal generated by a subset of a ring.  (Contributed by Jeff Madsen,
       10-Jun-2010.)  (Proof shortened by Mario Carneiro, 20-Dec-2013.) $)
    igenval $p |- ( ( R e. RingOps /\ S C_ X ) -> ( R IdlGen S ) =
                                        |^| { j e. ( Idl ` R ) | S C_ j } ) $=
      ( vr vs crngo wcel wss cv cidl cfv crab cint cvv wceq c1st cigen co wa c0
      wne wrex rngoidl sseq2 rspcev sylan rabn0 sylibr intex sylib cpw crn rnex
      fvexi eqeltri elpw2 simpl fveq2d wb sseq1 adantl rabeqbidv inteqd eqtr4di
      fveq2 rneqd pweqd df-igen ovmpox syl3an2br mpd3an3 ) AJKZBELZBCMZLZCANOZP
      ZQZRKZABUAUBWBSZVPVQUCZWAUDUEZWCWEVSCVTUFZWFVPEVTKVQWGADEFGUGVSVQCEVTVREB
      UHUIUJVSCVTUKULWAUMUNVQVPBEUOZKWCWDBEEDUPZRGDDATFURUQUSUTHIABJHMZTOZUPZUO
      IMZVRLZCWJNOZPZQWBUARWHWJASZWMBSZUCZWPWAWSWNVSCWOVTWSWJANWQWRVAVBWRWNVSVC
      WQWMBVRVDVEVFVGWQWLEWQWLWIEWQWKDWQWKATODWJATVIFVHVJGVHVKCIHVLVMVNVO $.

    $( A set is a subset of the ideal it generates.  (Contributed by Jeff
       Madsen, 10-Jun-2010.) $)
    igenss $p |- ( ( R e. RingOps /\ S C_ X ) -> S C_ ( R IdlGen S ) ) $=
      ( vj crngo wcel wss wa cv cidl cfv crab cint cigen co ssintub igenval
      sseqtrrid ) AHIBDJKBGLJGAMNZOPBABQRGBUBSABGCDEFTUA $.

    $( The ideal generated by a set is an ideal.  (Contributed by Jeff Madsen,
       10-Jun-2010.) $)
    igenidl $p |- ( ( R e. RingOps /\ S C_ X ) ->
                              ( R IdlGen S ) e. ( Idl ` R ) ) $=
      ( vj crngo wcel wss wa cigen co cv cidl cfv crab cint igenval c0 wne wrex
      rngoidl sseq2 rspcev sylan sylibr ssrab2 intidl mp3an3 syldan eqeltrd
      rabn0 ) AHIZBDJZKZABLMBGNZJZGAOPZQZRZUSABGCDEFSUNUOUTTUAZVAUSIZUPURGUSUBZ
      VBUNDUSIUOVDACDEFUCURUOGDUSUQDBUDUEUFURGUSUMUGUNVBUTUSJVCURGUSUHUTAUIUJUK
      UL $.
  $}

  ${
    $d R j $.  $d S j $.  $d I j $.
    $( The ideal generated by a set is the minimal ideal containing that set.
       (Contributed by Jeff Madsen, 10-Jun-2010.) $)
    igenmin $p |- ( ( R e. RingOps /\ I e. ( Idl ` R ) /\ S C_ I )
                                              -> ( R IdlGen S ) C_ I ) $=
      ( vj crngo wcel cidl cfv wss w3a cigen co cv crab cint wceq c1st crn eqid
      idlss wa sstr ancoms igenval anassrs syldanl 3impa sseq2 intminss 3adant1
      sylan2 eqsstrd ) AEFZCAGHZFZBCIZJABKLZBDMZIZDUNNOZCUMUOUPUQUTPZUMUOCAQHZR
      ZIZUPVAAVBCVCVBSZVCSZTUMVDUPVAVDUPUAUMBVCIZVAUPVDVGBCVCUBUCABDVBVCVEVFUDU
      KUEUFUGUOUPUTCIUMUSUPDCUNURCBUHUIUJUL $.

    $( The ideal generated by an ideal is that ideal.  (Contributed by Jeff
       Madsen, 10-Jun-2010.) $)
    igenidl2 $p |- ( ( R e. RingOps /\ I e. ( Idl ` R ) )
                                          -> ( R IdlGen I ) = I ) $=
      ( vj crngo wcel cidl cfv wa cigen co cv wss crab cint c1st crn wceq idlss
      eqid igenval syldan intmin adantl eqtrd ) ADEZBAFGZEZHABIJZBCKLCUFMNZBUEU
      GBAOGZPZLUHUIQAUJBUKUJSZUKSZRABCUJUKULUMTUAUGUIBQUECBUFUBUCUD $.
  $}

  ${
    $d R i j $.  $d S i j $.  $d I j $.  $d X i $.
    igenval2.1 $e |- G = ( 1st ` R ) $.
    igenval2.2 $e |- X = ran G $.
    $( The ideal generated by a subset of a ring.  (Contributed by Jeff Madsen,
       10-Jun-2010.) $)
    igenval2 $p |- ( ( R e. RingOps /\ S C_ X ) -> ( ( R IdlGen S ) = I <->
                                  ( I e. ( Idl ` R ) /\ S C_ I /\
                          A. j e. ( Idl ` R ) ( S C_ j -> I C_ j ) ) ) ) $=
      ( vi wcel wss wa wceq cv wi wral w3a igenmin adantr sseq2 crngo cigen cfv
      co cidl igenidl igenss 3expia ralrimiva 3jca eleq1 sseq1 imbi2d 3anbi123d
      ralbidv syl5ibcom 3adant3r3 crab cint ssint ralrab sylbbr 3ad2ant3 adantl
      adantlr igenval sseqtrrd eqssd ex impbid ) AUAJZBFKZLZABUBUDZEMZEAUEUCZJZ
      BEKZBCNZKZEVSKZOZCVPPZQZVMVNVPJZBVNKZVTVNVSKZOZCVPPZQVOWDVMWEWFWIABDFGHUF
      ABDFGHUGVKWIVLVKWHCVPVKVSVPJVTWGABVSRUHUISUJVOWEVQWFVRWIWCVNEVPUKVNEBTVOW
      HWBCVPVOWGWAVTVNEVSULUMUOUNUPVMWDVOVMWDLZVNEVKWDVNEKZVLVKVQVRWKWCABERUQVE
      WJEBINZKZIVPURZUSZVNWDEWOKZVMWCVQWPVRWPWACWNPWCCEWNUTWMVTWACIVPWLVSBTVAVB
      VCVDVMVNWOMWDABIDFGHVFSVGVHVIVJ $.
  $}

  ${
    $d R j x y u v w r s $.  $d X j x y u v w r s $.  $d G x y r s $.
    $d H j x y u v w r s $.  $d A j x y u v w r s $.
    prnc.1 $e |- G = ( 1st ` R ) $.
    prnc.2 $e |- H = ( 2nd ` R ) $.
    prnc.3 $e |- X = ran G $.
    $( A principal ideal (an ideal generated by one element) in a commutative
       ring.  (Contributed by Jeff Madsen, 10-Jun-2010.) $)
    prnc $p |- ( ( R e. CRingOps /\ A e. X ) -> ( R IdlGen { A } ) =
                                  { x e. X | E. y e. X x = ( y H A ) } ) $=
      ( vv vw wcel wa co cv wceq wrex wral oveq1 vj vu vr ccring csn cigen crab
      vs cidl cfv wss wi w3a cgi crngo crngorngo ssrab2 a1i eqid rngo0cl adantr
      rngolz eqcomd rspceeqv syl2anc eqeq1 rexbidv elrab sylanbrc eqeq2d bitrdi
      cbvrexvw rngodir 3exp2 imp42 3expib imdistani rngocl 3expa mpan2 ad2antlr
      rngogcl sylan eqeltrrd anassrs eleq1d syl5ibrcom rexlimdva adantld syl5bi
      an32s ralrimiv rngoass anass1rs ralrimiva jca ralbidv anbi12d 3jca isidlc
      oveq2 wb mpbird simpr crn c1st rneqi eqtri rngo1cl rngolidm snssd biimpar
      snssg idllmulcl eleq1 rabss sylibr ex syl5 expdimp snssi igenval2 syl2an
      ) DUDMZCGMZNZDCUEZUFOAPZBPZCFOZQZBGRZAGUGZQZYMDUIUJZMZYGYMUKZYGUAPZUKZYMY
      RUKZULZUAYOSZUMZYFYPYQUUBYFYPYMGUKZEUNUJZYMMZUBPZKPZEOZYMMZKYMSZLPZUUGFOZ
      YMMZLGSZNZUBYMSZUMZYDDUOMZYEUURDUPZUUSYENZUUDUUFUUQUUDUVAYLAGUQURUVAUUEGM
      ZUUEYJQZBGRZUUFUUSUVBYEDEGUUEHJUUEUSZUTVAZUVAUVBUUEUUECFOZQUVDUVFUVAUVGUU
      ECDEFGUUEUVEJHIVBVCBUUEGYJUVGUUEYIUUECFTVDVEYLUVDAUUEGYHUUEQYKUVCBGYHUUEY
      JVFVGVHVIUVAUUPUBYMUUGYMMUUGGMZUUGUCPZCFOZQZUCGRZNUVAUUPYLUVLAUUGGYHUUGQZ
      YLUUGYJQZBGRUVLUVMYKUVNBGYHUUGYJVFVGUVNUVKBUCGYIUVIQYJUVJUUGYIUVICFTVJVLV
      KVHUVAUVLUUPUVHUVAUVKUUPUCGUVAUVIGMZNZUUPUVKUVJUUHEOZYMMZKYMSZUULUVJFOZYM
      MZLGSZNUVPUVSUWBUVPUVRKYMUUHYMMUUHGMZUUHUHPZCFOZQZUHGRZNUVPUVRYLUWGAUUHGY
      HUUHQZYLUUHYJQZBGRUWGUWHYKUWIBGYHUUHYJVFVGUWIUWFBUHGYIUWDQYJUWEUUHYIUWDCF
      TVJVLVKVHUVPUWGUVRUWCUVPUWFUVRUHGUVPUWDGMZNUVRUWFUVJUWEEOZYMMZUVAUVOUWJUW
      LUUSUVOUWJNZYEUWLUUSUWMNZYENUVIUWDEOZCFOZUWKYMUUSUVOUWJYEUWPUWKQZUUSUVOUW
      JYEUWQUVIUWDCDEFGHIJVMVNVOUWNUUSUWOGMZNZYEUWPYMMZUUSUWMUWRUUSUVOUWJUWRUVI
      UWDDEGHJWBVPVQUWSYENUWPGMZUWPYJQZBGRZUWTUUSUWRYEUXAUWOCDEFGHIJVRVSUWRUXCU
      USYEUWRUWPUWPQUXCUWPUSBUWOGYJUWPUWPYIUWOCFTVDVTWAYLUXCAUWPGYHUWPQYKUXBBGY
      HUWPYJVFVGVHVIWCWDWKWEUWFUVQUWKYMUUHUWEUVJEXAWFWGWHWIWJWLUVPUWALGUVAUULGM
      ZUVOUWAUVAUXDUVONZNUULUVIFOZCFOZUVTYMUUSUXEYEUXGUVTQZUUSUXDUVOYEUXHUUSUXD
      UVOYEUXHUULUVICDEFGHIJWMVNVOWKUUSUXEYEUXGYMMZUUSUXENUUSUXFGMZNZYEUXIUUSUX
      EUXJUUSUXDUVOUXJUULUVIDEFGHIJVRVPVQUXKYENUXGGMZUXGYJQZBGRZUXIUUSUXJYEUXLU
      XFCDEFGHIJVRVSUXJUXNUUSYEUXJUXGUXGQUXNUXGUSBUXFGYJUXGUXGYIUXFCFTVDVTWAYLU
      XNAUXGGYHUXGQYKUXMBGYHUXGYJVFVGVHVIWCWKWDWNWOWPUVKUUKUVSUUOUWBUVKUUJUVRKY
      MUVKUUIUVQYMUUGUVJUUHETWFWQUVKUUNUWALGUVKUUMUVTYMUUGUVJUULFXAWFWQWRWGWHWI
      WJWLWSWCYDYPUURXBYEUBKLDEFYMGUUEHIJUVEWTVAXCYFCYMYFYECYJQZBGRZCYMMYDYEXDY
      DUUSYEUXPUUTUVAFUNUJZGMZCUXQCFOZQUXPUUSUXRYEDUXQFGGEXEDXFUJZXEJEUXTHXGXHZ
      IUXQUSZXIVAUVAUXSCCDUXQFGIUYAUYBXJVCBUXQGYJUXSCYIUXQCFTVDVEWCYLUXPACGYHCQ
      YKUXOBGYHCYJVFVGVHVIXKYDUUSYEUUBUUTUVAUUAUAYOUUSYRYOMZYEUUAUUSUYCNZYEYSYT
      YEYSNCYRMZUYDYTYEUYEYSCYRGXMXLUYDUYEYTUYDUYENZYLYHYRMZULZAGSYTUYFUYHAGUYF
      UYHYHGMUYFYKUYGBGUYFYIGMZNUYGYKYJYRMZUYDUYEUYIUYJCYIDEFYRGHIJXNWEYHYJYRXO
      WGWHVAWOYLAGYRXPXQXRXSXTWKWOWCWSYDUUSYGGUKYNUUCXBYEUUTCGYADYGUAEYMGHJYBYC
      XC $.
  $}

  ${
    $d K x y z $.  $d X x y z $.  $d G y z $.  $d H x y z $.  $d U x y z $.
    $d Z x y $.
    isfldidl.1 $e |- G = ( 1st ` K ) $.
    isfldidl.2 $e |- H = ( 2nd ` K ) $.
    isfldidl.3 $e |- X = ran G $.
    isfldidl.4 $e |- Z = ( GId ` G ) $.
    isfldidl.5 $e |- U = ( GId ` H ) $.
    $( Determine if a ring is a field based on its ideals.  (Contributed by
       Jeff Madsen, 10-Jun-2010.) $)
    isfldidl $p |- ( K e. Fld <-> ( K e. CRingOps /\
                                U =/= Z /\ ( Idl ` K ) = { { Z } , X } ) ) $=
      ( vy vx vz wcel wceq syl cv wrex wa cfld wne cidl cfv csn cpr w3a fldcrng
      ccring cdrng flddivrng dvrunz divrngidl 3jca crngo co cdif wral crngorngo
      3ad2ant1 simp2 crab crn c1st rneqi eqtri rngo1cl ad2antrr cigen eldif wss
      wn snssi igenss sylan2 snss biimpri eleq2 syl5ibcom con3dimp sylan anasss
      vex sylan2b adantlr wo eldifi snssd igenidl imp an32s ovex elpr sylib ord
      mpd sylanl1 eqtr3d eleqtrd eqeq1 rexbidv elrab simprd eqcom rexbii sylibr
      prnc ralrimiva 3adant2 jca32 isdrngo3 simp1 isfld2 sylanbrc impbii ) DUAO
      ZDUIOZAFUBZDUCUDZFUEZEUFZPZUGZXPXQXRYBDUHXPDUJOZXRDUKZDABCEFGHIJKULQXPYDY
      BYEDBCEFGHIJUMQUNYCYDXQXPYCDUOOZXRLRMRZCUPZAPZLESZMEXTUQZURZTTYDYCYFXRYLX
      QXRYFYBDUSZUTXQXRYBVAXQYBYLXRXQYBTZYJMYKYNYGYKOZTZAYHPZLESZYJYPAEOZYRYPAN
      RZYHPZLESZNEVBZOYSYRTYPAEUUCXQYSYBYOXQYFYSYMDACEEBVCDVDUDZVCIBUUDGVEVFHKV
      GQVHYPDYGUEZVIUPZEUUCXQYFYBYOUUFEPZYMYFYBTYOTZUUFXTPZVLZUUGYFYOUUJYBYOYFY
      GEOZYGXTOZVLZTUUJYGEXTVJYFUUKUUMUUJYFUUKTUUEUUFVKZUUMUUJUUKYFUUEEVKZUUNYG
      EVMDUUEBEGIVNVOUUNUUIUULUUNYGUUFOZUUIUULUUPUUNYGUUFMWCVPVQUUFXTYGVRVSVTWA
      WBWDWEUUHUUIUUGUUHUUFYAOZUUIUUGWFYFYOYBUUQYFYOTZYBUUQUURUUFXSOZYBUUQYOYFU
      UOUUSYOYGEYGEXTWGZWHDUUEBEGIWIVOXSYAUUFVRVSWJWKUUFXTEDUUEVIWLWMWNWOWPWQXQ
      YOUUFUUCPZYBYOXQUUKUVAUUTNLYGDBCEGHIXGVOWEWRWSUUBYRNAEYTAPUUAYQLEYTAYHWTX
      AXBWNXCYIYQLEYHAXDXEXFXHXIXJMLDABCEFGHJIKXKXFXQXRYBXLDXMXNXO $.
  $}

  ${
    isfldidl2.1 $e |- G = ( 1st ` K ) $.
    isfldidl2.2 $e |- H = ( 2nd ` K ) $.
    isfldidl2.3 $e |- X = ran G $.
    isfldidl2.4 $e |- Z = ( GId ` G ) $.
    $( Determine if a ring is a field based on its ideals.  (Contributed by
       Jeff Madsen, 6-Jan-2011.) $)
    isfldidl2 $p |- ( K e. Fld <-> ( K e. CRingOps /\
                              X =/= { Z } /\ ( Idl ` K ) = { { Z } , X } ) ) $=
      ( cfld wcel ccring cgi cfv wne cidl wceq w3a wa 3anass csn cpr eqid crngo
      isfldidl wb crngorngo eqcom 0rngo syl5bb necon3bid anbi1d pm5.32i 3bitr4i
      syl bitri ) CJKCLKZBMNZEOZCPNEUAZDUBQZRZUQDUTOZVARZURABCDEFGHIURUCZUEUQUS
      VASZSUQVCVASZSVBVDUQVFVGUQUSVCVAUQUREDUTUQCUDKZUREQZDUTQZUFCUGVIEURQVHVJU
      REUHCURABDEFGHIVEUIUJUOUKULUMUQUSVATUQVCVATUNUP $.
  $}

  ${
    $d R a b x y r s $.  $d P a b x y r s $.  $d X a b x y r s $.
    $d G x y r s $.  $d H a b x y r s $.
    ispridlc.1 $e |- G = ( 1st ` R ) $.
    ispridlc.2 $e |- H = ( 2nd ` R ) $.
    ispridlc.3 $e |- X = ran G $.
    $( The predicate "is a prime ideal".  Alternate definition for commutative
       rings.  (Contributed by Jeff Madsen, 19-Jun-2010.) $)
    ispridlc $p |- ( R e. CRingOps -> ( P e. ( PrIdl ` R ) <-> ( P e. ( Idl ` R
        )
                              /\ P =/= X /\ A. a e. X A. b e. X
                      ( ( a H b ) e. P -> ( a e. P \/ b e. P ) ) ) ) ) $=
      ( vx vy vs vr wcel co wi wral wss wa ccring cpridl cfv cidl wne cv wo w3a
      crngo wb crngorngo ispridl syl cigen snssi igenidl syl2an adantrr adantrl
      csn wceq raleq sseq1 orbi1d imbi12d ralbidv orbi2d rspc2v syl2anc adantlr
      wrex crab cab df-rab eqtrdi abeq2d anbi12d adantr reeanv anbi2i an4 bitri
      prnc crngm4 3com23 3expa adantllr syl3an1 3expb idllmulcl sylanl1 anassrs
      rngocl syldan eqeltrrd oveq12 eleq1d syl5ibrcom rexlimdvva adantld sylbid
      syl5bir ralrimivv ex igenss snss sylibr ssel syl5com orim12d imim12d syld
      vex ralrimdvva adantrd imdistand df-3an 3imtr4g ispridl2 impbid ) BUAOZAB
      UBUCOZABUDUCZOZAEUEZFUFZGUFZDPZAOZYFAOZYGAOZUGZQZGERFERZUHZYAYBYDYEKUFZLU
      FZDPZAOZLMUFZRZKNUFZRZUUBASZYTASZUGZQZMYCRNYCRZUHZYOYABUIOZYBUUIUJBUKZKLA
      BCDENMHIJULUMYAYDYETZUUHTUULYNTUUIYOYAUULUUHYNYAYDUUHYNQZYEYAYDUUMYAYDTZU
      UHYMFGEEUUNYFEOZYGEOZTZTZUUHYSLBYGUTZUNPZRZKBYFUTZUNPZRZUVCASZUUTASZUGZQZ
      YMYAUUQUUHUVHQZYDYAUUQTZUVCYCOZUUTYCOZUVIYAUUOUVKUUPYAUUJUVBESZUVKUUOUUKY
      FEUOZBUVBCEHJUPUQURYAUUPUVLUUOYAUUJUUSESZUVLUUPUUKYGEUOZBUUSCEHJUPUQUSUUG
      UVHUUAKUVCRZUVEUUEUGZQNMUVCUUTYCYCUUBUVCVAZUUCUVQUUFUVRUUAKUUBUVCVBUVSUUD
      UVEUUEUUBUVCAVCVDVEYTUUTVAZUVQUVDUVRUVGUVTUUAUVAKUVCYSLYTUUTVBVFUVTUUEUVF
      UVEYTUUTAVCVGVEVHVIVJUURYIUVDUVGYLUURYIUVDUURYITZYSKLUVCUUTUWAYPUVCOZYQUU
      TOZTZYPEOZYPUUBYFDPZVAZNEVKZTZYQEOZYQYTYGDPZVAZMEVKZTZTZYSUURUWDUWOUJZYIY
      AUUQUWPYDUVJUWBUWIUWCUWNYAUUOUWBUWIUJUUPYAUUOTZUWIKUVCUWQUVCUWHKEVLUWIKVM
      KNYFBCDEHIJWCUWHKEVNVOVPURYAUUPUWCUWNUJUUOYAUUPTZUWNLUUTUWRUUTUWMLEVLUWNL
      VMLMYGBCDEHIJWCUWMLEVNVOVPUSVQVJVRUWOUWEUWJTZUWGUWLTZMEVKNEVKZTZUWAYSUXBU
      WSUWHUWMTZTUWOUXAUXCUWSUWGUWLNMEEVSVTUWEUWJUWHUWMWAWBUWAUXAYSUWSUWAUWTYSN
      MEEUWAUUBEOZYTEOZTZTZYSUWTUWFUWKDPZAOUXGUUBYTDPZYHDPZUXHAUURUXFUXJUXHVAZY
      IYAUUQUXFUXKYDYAUUQUXFUXKYAUXFUUQUXKUUBYTYFYGBCDEHIJWDWEWFWGVJUUNYIUXFUXJ
      AOZUUQUUNYITUXFUXIEOZUXLUUNUXFUXMYIYAUXFUXMYDYAUXDUXEUXMYAUUJUXDUXEUXMUUK
      UUBYTBCDEHIJWMWHWIVJVJUUNYIUXMUXLYAUUJYDYIUXMTUXLUUKYHUXIBCDAEHIJWJWKWLWN
      WGWOUWTYRUXHAYPUWFYQUWKDWPWQWRWSWTXBXAXCXDYAUUQUVGYLQYDUVJUVEYJUVFYKUVJYF
      UVCOZUVEYJYAUUOUXNUUPUWQUVBUVCSZUXNYAUUJUVMUXOUUOUUKUVNBUVBCEHJXEUQYFUVCF
      XMXFXGURUVCAYFXHXIUVJYGUUTOZUVFYKYAUUPUXPUUOUWRUUSUUTSZUXPYAUUJUVOUXQUUPU
      UKUVPBUUSCEHJXEUQYGUUTGXMXFXGUSUUTAYGXHXIXJVJXKXLXNXDXOXPYDYEUUHXQYDYEYNX
      QXRXAYAUUJYOYBQUUKUUJYOYBABCDEFGHIJXSXDUMXT $.

    $d A a b $.  $d B b $.
    $( Property of a prime ideal in a commutative ring.  (Contributed by Jeff
       Madsen, 17-Jun-2011.) $)
    pridlc $p |- ( ( ( R e. CRingOps /\ P e. ( PrIdl ` R ) ) /\
          ( A e. X /\ B e. X /\ ( A H B ) e. P ) ) -> ( A e. P \/ B e. P ) ) $=
      ( va vb wcel cfv wa cv co wo wi wral ccring cpridl w3a cidl biimpa simp3d
      ispridlc wceq oveq1 eleq1d eleq1 orbi1d imbi12d oveq2 orbi2d rspc2v com12
      wne expd 3imp2 sylan ) DUAMZCDUBNMZOZKPZLPZFQZCMZVECMZVFCMZRZSZLGTKGTZAGM
      ZBGMZABFQZCMZUCACMZBCMZRZVDCDUDNMZCGURZVMVBVCWAWBVMUCCDEFGKLHIJUGUEUFVMVN
      VOVQVTVMVNVOVQVTSZVNVOOVMWCVLWCAVFFQZCMZVRVJRZSKLABGGVEAUHZVHWEVKWFWGVGWD
      CVEAVFFUIUJWGVIVRVJVEACUKULUMVFBUHZWEVQWFVTWHWDVPCVFBAFUNUJWHVJVSVRVFBCUK
      UOUMUPUQUSUTVA $.

    $( Property of a prime ideal in a commutative ring.  (Contributed by Jeff
       Madsen, 17-Jun-2011.) $)
    pridlc2 $p |- ( ( ( R e. CRingOps /\ P e. ( PrIdl ` R ) ) /\
            ( A e. ( X \ P ) /\ B e. X /\ ( A H B ) e. P ) ) -> B e. P ) $=
      ( ccring wcel cpridl cfv wa cdif co w3a wn eldifn adantl wi eldifi pridlc
      3ad2ant1 ord syl3anr1 mpd ) DKLCDMNLOZAGCPLZBGLZABFQCLZRZOACLZSZBCLZUMUOU
      IUJUKUOULAGCTUEUAUJAGLZUIUKULUOUPUBAGCUCUIUQUKULROUNUPABCDEFGHIJUDUFUGUH
      $.

    $( Property of a prime ideal in a commutative ring.  (Contributed by Jeff
       Madsen, 17-Jun-2011.) $)
    pridlc3 $p |- ( ( ( R e. CRingOps /\ P e. ( PrIdl ` R ) ) /\
          ( A e. ( X \ P ) /\ B e. ( X \ P ) ) ) -> ( A H B ) e. ( X \ P ) ) $=
      ( ccring wcel cpridl cfv wa cdif co eldifi wn wi crngorngo anim12i rngocl
      crngo 3expb syl2an adantlr ad2antll pridlc2 3exp2 imp32 con3d sylanr2 mpd
      eldifn eldifd ) DKLZCDMNLZOZAGCPZLZBUTLZOZOZABFQZGCUQVCVEGLZURUQDUDLZAGLZ
      BGLZOVFVCDUAVAVHVBVIAGCRBGCRZUBVGVHVIVFABDEFGHIJUCUEUFUGVDBCLZSZVECLZSZVB
      VLUSVABGCUOUHVBUSVAVIVLVNTVJUSVAVIOOVMVKUSVAVIVMVKTUSVAVIVMVKABCDEFGHIJUI
      UJUKULUMUNUP $.
  $}

  ${
    $d R a b $.  $d Z a b $.  $d H a b $.  $d X a b $.
    isdmn3.1 $e |- G = ( 1st ` R ) $.
    isdmn3.2 $e |- H = ( 2nd ` R ) $.
    isdmn3.3 $e |- X = ran G $.
    isdmn3.4 $e |- Z = ( GId ` G ) $.
    isdmn3.5 $e |- U = ( GId ` H ) $.
    $( The predicate "is a domain", alternate expression.  (Contributed by Jeff
       Madsen, 19-Jun-2010.) $)
    isdmn3 $p |- ( R e. Dmn <-> ( R e. CRingOps /\ U =/= Z /\ A. a e. X A. b e.
        X
                                ( ( a H b ) = Z -> ( a = Z \/ b = Z ) ) ) ) $=
      ( wcel wa wceq wi wral cfv syl cdmn cprrng ccring wne cv co wo w3a isdmn2
      crngo csn cpridl isprrngo cidl ispridlc crngorngo biantrurd 3anass wb crn
      0idl rneqi eqtri rngo1cl eleq2 elsni syl6bir syl5com c1o cen wbr rngoueqz
      c1st rngo0cl en1eqsn eqcomd ex sylbird impbid necon3bid ovex elsn orbi12i
      velsn imbi12i 2ralbidv anbi12d bitr3d 3bitr3d pm5.32i ancom 3bitr4i bitri
      a1i syl5bb ) AUANAUBNZAUCNZOZWQBFUDZGUEZHUEZDUFZFPZWTFPZXAFPZUGZQZHERGERZ
      UHZAUIWQWPOWQWSXHOZOWRXIWQWPXJWPAUJNZFUKZAULSNZOZWQXJACFILUMWQXMXLAUNSNZX
      LEUDZXBXLNZWTXLNZXAXLNZUGZQZHERGERZUHZXNXJXLACDEGHIJKUOWQXKXMAUPZUQYCXOXP
      YBOZOZWQXJXOXPYBURWQYEYFXJWQXOYEWQXKXOYDACFILVATUQWQXPWSYBXHWQXLEBFWQXKXL
      EPZBFPZUSYDXKYGYHXKBENZYGYHABDEECUTAVMSZUTKCYJIVBVCJMVDYGYIBXLNYHXLEBVEBF
      VFVGVHXKYHEVIVJVKZYGABCDEFIJLMKVLXKFENZYKYGQACEFIKLVNYLYKYGYLYKOEXLFEVOVP
      VQTVRVSTVTWQYAXGGHEEYAXGUSWQXQXCXTXFXBFWTXADWAWBXRXDXSXEGFWDHFWDWCWEWNWFW
      GWHWOWIWOWJWPWQWKWQWSXHURWLWM $.
  $}

  ${
    $d R a b $.  $d H a b $.  $d X a b $.  $d Z a b $.  $d A a b $.  $d B b $.
    dmnnzd.1 $e |- G = ( 1st ` R ) $.
    dmnnzd.2 $e |- H = ( 2nd ` R ) $.
    dmnnzd.3 $e |- X = ran G $.
    dmnnzd.4 $e |- Z = ( GId ` G ) $.
    $( A domain has no zero-divisors (besides zero).  (Contributed by Jeff
       Madsen, 19-Jun-2010.) $)
    dmnnzd $p |- ( ( R e. Dmn /\ ( A e. X /\ B e. X /\ ( A H B ) = Z ) )
                                                  -> ( A = Z \/ B = Z ) ) $=
      ( va vb wcel co wceq wo wi cv wral cdmn wa ccring cgi cfv wne eqid isdmn3
      simp3bi oveq1 eqeq1d eqeq1 orbi1d imbi12d oveq2 orbi2d syl5com expd 3imp2
      rspc2v ) CUANZAFNZBFNZABEOZGPZAGPZBGPZQZVAVBVCVEVHRZVALSZMSZEOZGPZVJGPZVK
      GPZQZRZMFTLFTZVBVCUBVIVACUCNEUDUEZGUFVRCVSDEFGLMHIJKVSUGUHUIVQVIAVKEOZGPZ
      VFVOQZRLMABFFVJAPZVMWAVPWBWCVLVTGVJAVKEUJUKWCVNVFVOVJAGULUMUNVKBPZWAVEWBV
      HWDVTVDGVKBAEUOUKWDVOVGVFVKBGULUPUNUTUQURUS $.
  $}

  ${
    dmncan.1 $e |- G = ( 1st ` R ) $.
    dmncan.2 $e |- H = ( 2nd ` R ) $.
    dmncan.3 $e |- X = ran G $.
    dmncan.4 $e |- Z = ( GId ` G ) $.
    $( Cancellation law for domains.  (Contributed by Jeff Madsen,
       6-Jan-2011.) $)
    dmncan1 $p |- ( ( ( R e. Dmn /\ ( A e. X /\ B e. X /\ C e. X ) )
                      /\ A =/= Z ) -> ( ( A H B ) = ( A H C ) -> B = C ) ) $=
      ( wcel wa co wceq sylan adantr wi 3expb cdmn w3a wne cgs cfv dmnrngo eqid
      crngo rngosubdi eqeq1d wo cgr rngogrpo syl grpodivcl adantlr dmnnzd 3exp2
      imp31 syldan exp43 3imp2 neor syl6ib com23 sylbird wb 3adant3r3 3adant3r2
      imp rngocl grpoeqdivid syl3anc 3adantr1 3imtr4d ) DUAMZAGMZBGMZCGMZUBZNZA
      HUCZNZABFOZACFOZEUDUEZOZHPZBCWFOZHPZWDWEPZBCPZWCWHAWIFOZHPZWJWCWMWGHWAWMW
      GPZWBVPDUHMZVTWODUFZABCWFDEFGIJKWFUGZUIQRUJWAWBWNWJSWAWNWBWJWAWNAHPWJUKZW
      BWJSVPVQVRVSWNWSSZVPVQVRVSWTVPVQNVRVSNZWIGMZWTVPXAXBVQVPEULMZXAXBVPWPXCWQ
      DEIUMUNZXCVRVSXBBCWFEGKWRUOTQUPVPVQXBWTVPVQXBWNWSAWIDEFGHIJKLUQURUSUTVAVB
      WJAHVCVDVEVJVFWAWKWHVGZWBWAXCWDGMZWEGMZXEVPXCVTXDRVPWPVTXFWQWPVQVRXFVSABD
      EFGIJKVKVHQVPWPVTXGWQWPVQVSXGVRACDEFGIJKVKVIQWDWEWFHEGKLWRVLVMRWAWLWJVGZW
      BVPVRVSXHVQVPXCXAXHXDXCVRVSXHBCWFHEGKLWRVLTQVNRVO $.

    $( Cancellation law for domains.  (Contributed by Jeff Madsen,
       6-Jan-2011.) $)
    dmncan2 $p |- ( ( ( R e. Dmn /\ ( A e. X /\ B e. X /\ C e. X ) )
                      /\ C =/= Z ) -> ( ( A H C ) = ( B H C ) -> A = B ) ) $=
      ( cdmn wcel w3a wa wne co wceq crngocom wb ccring dmncrng 3adant3r2 sylan
      3adant3r1 eqeq12d adantr wi 3anrot biimpri dmncan1 sylanl2 sylbid ) DMNZA
      GNZBGNZCGNZOZPZCHQZPACFRZBCFRZSZCAFRZCBFRZSZABSZUTVDVGUAZVAUODUBNZUSVIDUC
      VJUSPVBVEVCVFVJUPURVBVESUQACDEFGIJKTUDVJUQURVCVFSUPBCDEFGIJKTUFUGUEUHUSUO
      URUPUQOZVAVGVHUIVKUSURUPUQUJUKCABDEFGHIJKLULUMUN $.
  $}

$( (End of Jeff Madsen's mathbox.) $)
$( End $[ set-mbox-jm.mm $] $)


$( Begin $[ set-mbox-gm.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Giovanni Mascellani
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Tools for automatic proof building
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The results in this section are mostly meant for being used by automatic
  proof building programs.  As a result, they might appear less useful or
  meaningful than others to human beings.

$)

  ${
    efald2.1 $e |- ( -. ph -> F. ) $.
    $( A proof by contradiction.  (Contributed by Giovanni Mascellani,
       15-Sep-2017.) $)
    efald2 $p |- ph $=
      ( wtru wn wfal adantl efald mptru ) ACAADECBFGH $.
  $}

  $( Simplification rule of negation across a biconditional.  (Contributed by
     Giovanni Mascellani, 15-Sep-2017.) $)
  notbinot1 $p |- ( -. ( -. ph <-> ps ) <-> ( ph <-> ps ) ) $=
    ( wb wn nbbn bicomi con1bii ) ABCZADBCZIHDABEFG $.

  $( Biconditional of its own negation is a contradiction.  (Contributed by
     Giovanni Mascellani, 15-Sep-2017.) $)
  bicontr $p |- ( ( -. ph <-> ph ) <-> F. ) $=
    ( wn wb biid notbinot1 mpbir bifal ) ABACZHBAACADAAEFG $.

  $( An equivalent formula for implying a disjunction.  (Contributed by
     Giovanni Mascellani, 15-Sep-2017.) $)
  impor $p |- ( ( ph -> ( ps \/ ch ) ) <-> ( ( -. ph \/ ps ) \/ ch ) ) $=
    ( wo wi wn imor orass bitr4i ) ABCDZEAFZJDKBDCDAJGKBCHI $.

  $( The falsum ` F. ` can be removed from a disjunction.  (Contributed by
     Giovanni Mascellani, 15-Sep-2017.) $)
  orfa $p |- ( ( ph \/ F. ) <-> ph ) $=
    ( wfal wo wn wi orcom df-or bitri fal pm2.27 ax-mp sylbi orc impbii ) ABCZA
    OBDZAEZAOBACQABFBAGHPQAEIPAJKLABMN $.

  $( Commutation rule between negation and biconditional.  (Contributed by
     Giovanni Mascellani, 15-Sep-2017.) $)
  notbinot2 $p |- ( -. ( ph <-> ps ) <-> ( -. ph <-> ps ) ) $=
    ( wn wb nbbn bicomi ) ACBDABDCABEF $.

  $( A rewriting rule for biconditional.  (Contributed by Giovanni Mascellani,
     15-Sep-2017.) $)
  biimpor $p |- ( ( ( ph <-> ps ) -> ch ) <-> ( ( -. ph <-> ps ) \/ ch ) ) $=
    ( wb wi wn wo imor notbinot2 orbi1i bitri ) ABDZCELFZCGAFBDZCGLCHMNCABIJK
    $.

  ${
    orfa1.1 $e |- ( ph -> ps ) $.
    $( Add a contradicting disjunct to an antecedent.  (Contributed by Giovanni
       Mascellani, 15-Sep-2017.) $)
    orfa1 $p |- ( ( ph \/ F. ) -> ps ) $=
      ( wfal falim jaoi ) ABDCBEF $.
  $}

  ${
    orfa2.1 $e |- ( ph -> F. ) $.
    $( Remove a contradicting disjunct from an antecedent.  (Contributed by
       Giovanni Mascellani, 15-Sep-2017.) $)
    orfa2 $p |- ( ( ph \/ ps ) -> ps ) $=
      ( wo wfal orim1i falim id jaoi syl ) ABDEBDBAEBCFEBBBGBHIJ $.
  $}

  ${
    bifald.1 $e |- ( ph -> -. ps ) $.
    $( Infer the equivalence to a contradiction from a negation, in deduction
       form.  (Contributed by Giovanni Mascellani, 15-Sep-2017.) $)
    bifald $p |- ( ph -> ( ps <-> F. ) ) $=
      ( wn wfal wb id falim pm5.21ni syl ) ABDBEFCBBEBGBHIJ $.
  $}

  ${
    orsild.1 $e |- ( ph -> -. ( ps \/ ch ) ) $.
    $( A lemma for not-or-not elimination, in deduction form.  (Contributed by
       Giovanni Mascellani, 15-Sep-2017.) $)
    orsild $p |- ( ph -> -. ps ) $=
      ( wn wo wa ioran sylib simpld ) ABEZCEZABCFEKLGDBCHIJ $.
  $}

  ${
    orsird.1 $e |- ( ph -> -. ( ps \/ ch ) ) $.
    $( A lemma for not-or-not elimination, in deduction form.  (Contributed by
       Giovanni Mascellani, 15-Sep-2017.) $)
    orsird $p |- ( ph -> -. ch ) $=
      ( wn wo wa ioran sylib simprd ) ABEZCEZABCFEKLGDBCHIJ $.
  $}

  ${
    cnf1dd.1 $e |- ( ph -> ( ps -> -. ch ) ) $.
    cnf1dd.2 $e |- ( ph -> ( ps -> ( ch \/ th ) ) ) $.
    $( A lemma for Conjunctive Normal Form unit propagation, in double
       deduction form.  (Contributed by Giovanni Mascellani, 19-Mar-2018.) $)
    cnf1dd $p |- ( ph -> ( ps -> th ) ) $=
      ( wn wo wa jcad wi df-or pm3.35 sylan2b syl6 ) ABCGZCDHZIDABPQEFJQPPDKDCD
      LPDMNO $.
  $}

  ${
    cnf2dd.1 $e |- ( ph -> ( ps -> -. th ) ) $.
    cnf2dd.2 $e |- ( ph -> ( ps -> ( ch \/ th ) ) ) $.
    $( A lemma for Conjunctive Normal Form unit propagation, in double
       deduction form.  (Contributed by Giovanni Mascellani, 19-Mar-2018.) $)
    cnf2dd $p |- ( ph -> ( ps -> ch ) ) $=
      ( wo pm1.4 syl6 cnf1dd ) ABDCEABCDGDCGFCDHIJ $.
  $}

  ${
    cnfn1dd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    cnfn1dd.2 $e |- ( ph -> ( ps -> ( -. ch \/ th ) ) ) $.
    $( A lemma for Conjunctive Normal Form unit propagation, in double
       deduction form.  (Contributed by Giovanni Mascellani, 19-Mar-2018.) $)
    cnfn1dd $p |- ( ph -> ( ps -> th ) ) $=
      ( wn notnot syl6 cnf1dd ) ABCGZDABCKGECHIFJ $.
  $}

  ${
    cnfn2dd.1 $e |- ( ph -> ( ps -> th ) ) $.
    cnfn2dd.2 $e |- ( ph -> ( ps -> ( ch \/ -. th ) ) ) $.
    $( A lemma for Conjunctive Normal Form unit propagation, in double
       deduction form.  (Contributed by Giovanni Mascellani, 19-Mar-2018.) $)
    cnfn2dd $p |- ( ph -> ( ps -> ch ) ) $=
      ( wn notnot syl6 cnf2dd ) ABCDGZABDKGEDHIFJ $.
  $}

  ${
    or32dd.1 $e |- ( ph -> ( ps -> ( ( ch \/ th ) \/ ta ) ) ) $.
    $( A rearrangement of disjuncts, in double deduction form.  (Contributed by
       Giovanni Mascellani, 19-Mar-2018.) $)
    or32dd $p |- ( ph -> ( ps -> ( ( ch \/ ta ) \/ th ) ) ) $=
      ( wo or32 syl6ibr ) ABCDGEGCEGDGFCEDHI $.
  $}

  ${
    notornotel1.1 $e |- ( ph -> -. ( -. ps \/ ch ) ) $.
    $( A lemma for not-or-not elimination, in deduction form.  (Contributed by
       Giovanni Mascellani, 19-Mar-2018.) $)
    notornotel1 $p |- ( ph -> ps ) $=
      ( wn wo wa ioran biimpi simpl notnotr 3syl syl ) ABEZCFEZBDONEZCEZGZPBORN
      CHIPQJBKLM $.
  $}

  ${
    notornotel2.1 $e |- ( ph -> -. ( ps \/ -. ch ) ) $.
    $( A lemma for not-or-not elimination, in deduction form.  (Contributed by
       Giovanni Mascellani, 19-Mar-2018.) $)
    notornotel2 $p |- ( ph -> ch ) $=
      ( wn wo orcom sylnibr notornotel1 ) ACBABCEZFJBFDJBGHI $.
  $}

  ${
    contrd.1 $e |- ( ph -> ( -. ps -> ch ) ) $.
    contrd.2 $e |- ( ph -> ( -. ps -> -. ch ) ) $.
    $( A proof by contradiction, in deduction form.  (Contributed by Giovanni
       Mascellani, 19-Mar-2018.) $)
    contrd $p |- ( ph -> ps ) $=
      ( wn wa wi jcad pm2.24 imp imim2i pm2.18d syl ) ABFZCCFZGZHZBAOCPDEIRBQBO
      CPBCBJKLMN $.
  $}

  ${
    an12i.1 $e |- ( ph /\ ( ps /\ ch ) ) $.
    $( An inference from commuting operands in a chain of conjunctions.
       (Contributed by Giovanni Mascellani, 22-May-2019.) $)
    an12i $p |- ( ps /\ ( ph /\ ch ) ) $=
      ( wa an12 mpbir ) BACEEABCEEDBACFG $.
  $}

  ${
    exmid2.1 $e |- ( ( ps /\ ph ) -> ch ) $.
    exmid2.2 $e |- ( ( -. ps /\ et ) -> ch ) $.
    $( An excluded middle law.  (Contributed by Giovanni Mascellani,
       23-May-2019.) $)
    exmid2 $p |- ( ( ph /\ et ) -> ch ) $=
      ( wa simpl anim2i ancoms syl wn simpr pm2.61dan ) ADGZBCOBGBAGZCBOPOABADH
      IJEKOBLZGQDGZCQORODQADMIJFKN $.
  $}

  ${
    selconj.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( An inference for selecting one of a list of conjuncts.  (Contributed by
       Giovanni Mascellani, 23-May-2019.) $)
    selconj $p |- ( ( et /\ ph ) <-> ( ps /\ ( et /\ ch ) ) ) $=
      ( wa anbi2i an12 bitr4i ) DAFDBCFZFBDCFFAJDEGBDCHI $.
  $}

  $( Add true as a conjunct.  (Contributed by Giovanni Mascellani,
     23-May-2019.) $)
  truconj $p |- ( ph <-> ( T. /\ ph ) ) $=
    ( wtru wa truan bicomi ) BACAADE $.

  ${
    orel.1 $e |- ( ( ps /\ et ) -> th ) $.
    orel.2 $e |- ( ( ch /\ rh ) -> th ) $.
    orel.3 $e |- ( ph -> ( ps \/ ch ) ) $.
    $( An inference for disjunction elimination.  (Contributed by Giovanni
       Mascellani, 24-May-2019.) $)
    orel $p |- ( ( ph /\ ( et /\ rh ) ) -> th ) $=
      ( wa simprl ancoms sylan simprr wo adantr mpjaodan ) AEFJZJZBDCSEBDAEFKBE
      DGLMSFCDAEFNCFDHLMABCORIPQ $.
  $}

  ${
    negel.1 $e |- ( ps -> ch ) $.
    negel.2 $e |- ( ph -> -. ch ) $.
    $( An inference for negation elimination.  (Contributed by Giovanni
       Mascellani, 24-May-2019.) $)
    negel $p |- ( ( ph /\ ps ) -> F. ) $=
      ( wa adantl wn adantr pm2.21fal ) ABFCBCADGACHBEIJ $.
  $}

  ${
    botel.1 $e |- ( ph -> F. ) $.
    $( An inference for bottom elimination.  (Contributed by Giovanni
       Mascellani, 24-May-2019.) $)
    botel $p |- ( ph -> ps ) $=
      ( wfal falim syl ) ADBCBEF $.
  $}

  ${
    tradd.1 $e |- ( ph <-> ps ) $.
    $( Add top ad a conjunct.  (Contributed by Giovanni Mascellani,
       24-May-2019.) $)
    tradd $p |- ( ph <-> ( T. /\ ps ) ) $=
      ( wtru wa truan bitr4i ) ABDBECBFG $.
  $}

  ${
    gm-sbtru.1 $e |- A e. _V $.
    $( Substitution does not change truth.  (Contributed by Giovanni
       Mascellani, 24-May-2019.) $)
    gm-sbtru $p |- ( [. A / x ]. T. <-> T. ) $=
      ( cvv wcel wtru wsbc wb sbcg ax-mp ) BDEFABGFHCFABDIJ $.
  $}

  ${
    sbfal.1 $e |- A e. _V $.
    $( Substitution does not change falsity.  (Contributed by Giovanni
       Mascellani, 24-May-2019.) $)
    sbfal $p |- ( [. A / x ]. F. <-> F. ) $=
      ( cvv wcel wfal wsbc wb sbcg ax-mp ) BDEFABGFHCFABDIJ $.
  $}

  ${
    sbcani.1 $e |- ( [. A / x ]. ph <-> ch ) $.
    sbcani.2 $e |- ( [. A / x ]. ps <-> et ) $.
    $( Distribution of class substitution over conjunction, in inference form.
       (Contributed by Giovanni Mascellani, 27-May-2019.) $)
    sbcani $p |- ( [. A / x ]. ( ph /\ ps ) <-> ( ch /\ et ) ) $=
      ( wa wsbc sbcan anbi12i bitri ) ABIEFJAEFJZBEFJZICDIABEFKNCODGHLM $.
  $}

  ${
    sbcori.1 $e |- ( [. A / x ]. ph <-> ch ) $.
    sbcori.2 $e |- ( [. A / x ]. ps <-> et ) $.
    $( Distribution of class substitution over disjunction, in inference form.
       (Contributed by Giovanni Mascellani, 27-May-2019.) $)
    sbcori $p |- ( [. A / x ]. ( ph \/ ps ) <-> ( ch \/ et ) ) $=
      ( wo wsbc sbcor orbi12i bitri ) ABIEFJAEFJZBEFJZICDIABEFKNCODGHLM $.
  $}

  ${
    sbcimi.1 $e |- A e. _V $.
    sbcimi.2 $e |- ( [. A / x ]. ph <-> ch ) $.
    sbcimi.3 $e |- ( [. A / x ]. ps <-> et ) $.
    $( Distribution of class substitution over implication, in inference form.
       (Contributed by Giovanni Mascellani, 27-May-2019.) $)
    sbcimi $p |- ( [. A / x ]. ( ph -> ps ) <-> ( ch -> et ) ) $=
      ( wi wsbc cvv wcel wb sbcimg ax-mp imbi12i bitri ) ABJEFKZAEFKZBEFKZJZCDJ
      FLMSUBNGABEFLOPTCUADHIQR $.
  $}

  ${
    sbcni.1 $e |- A e. _V $.
    sbcni.2 $e |- ( [. A / x ]. ph <-> ps ) $.
    $( Move class substitution inside a negation, in inference form.
       (Contributed by Giovanni Mascellani, 27-May-2019.) $)
    sbcni $p |- ( [. A / x ]. -. ph <-> -. ps ) $=
      ( wn wsbc cvv wcel wb sbcng ax-mp xchbinx ) AGCDHZACDHZBDIJOPGKEACDILMFN
      $.
  $}

  ${
    sbali.1 $e |- A e. _V $.
    $( Discard class substitution in a universal quantification when
       substituting the quantified variable, in inference form.  (Contributed
       by Giovanni Mascellani, 27-May-2019.) $)
    sbali $p |- ( [. A / x ]. A. x ph <-> A. x ph ) $=
      ( wal nfa1 sbcgfi ) ABEBCDABFG $.
  $}

  ${
    sbexi.1 $e |- A e. _V $.
    $( Discard class substitution in an existential quantification when
       substituting the quantified variable, in inference form.  (Contributed
       by Giovanni Mascellani, 27-May-2019.) $)
    sbexi $p |- ( [. A / x ]. E. x ph <-> E. x ph ) $=
      ( wex nfe1 sbcgfi ) ABEBCDABFG $.
  $}

  ${
    $d ph z $.  $d x y $.  $d x z $.  $d y z $.  $d z A $.
    sbcalf.1 $e |- F/_ y A $.
    $( Move universal quantifier in and out of class substitution, with an
       explicit nonfree variable condition.  (Contributed by Giovanni
       Mascellani, 29-May-2019.) $)
    sbcalf $p |- ( [. A / x ]. A. y ph <-> A. y [. A / x ]. ph ) $=
      ( vz wal wsbc wsb nfv sb8v sbcbii sbcal nfs1v nfsbcw weq sbequ12r sbcbidv
      cbvalv1 3bitri ) ACGZBDHACFIZFGZBDHUBBDHZFGABDHZCGUAUCBDACFAFJKLUBFBDMUDU
      EFCUBCBDEACFNOUEFJFCPUBABDAFCQRST $.
  $}

  ${
    $d ph z $.  $d x y $.  $d x z $.  $d y z $.  $d z A $.
    sbcexf.1 $e |- F/_ y A $.
    $( Move existential quantifier in and out of class substitution, with an
       explicit nonfree variable condition.  (Contributed by Giovanni
       Mascellani, 29-May-2019.) $)
    sbcexf $p |- ( [. A / x ]. E. y ph <-> E. y [. A / x ]. ph ) $=
      ( vz wex wsbc wsb nfv sb8ev sbcbii sbcex2 nfsbcw sbequ12r sbcbidv cbvexv1
      nfs1v weq 3bitri ) ACGZBDHACFIZFGZBDHUBBDHZFGABDHZCGUAUCBDACFAFJKLUBFBDMU
      DUEFCUBCBDEACFRNUEFJFCSUBABDAFCOPQT $.
  $}

  ${
    $d x y $.
    sbcalfi.1 $e |- F/_ y A $.
    sbcalfi.2 $e |- ( [. A / x ]. ph <-> ps ) $.
    $( Move universal quantifier in and out of class substitution, with an
       explicit nonfree variable condition and in inference form.  (Contributed
       by Giovanni Mascellani, 30-May-2019.) $)
    sbcalfi $p |- ( [. A / x ]. A. y ph <-> A. y ps ) $=
      ( wal wsbc sbcalf albii bitri ) ADHCEIACEIZDHBDHACDEFJMBDGKL $.
  $}

  ${
    $d x y $.
    sbcexfi.1 $e |- F/_ y A $.
    sbcexfi.2 $e |- ( [. A / x ]. ph <-> ps ) $.
    $( Move existential quantifier in and out of class substitution, with an
       explicit nonfree variable condition and in inference form.  (Contributed
       by Giovanni Mascellani, 30-May-2019.) $)
    sbcexfi $p |- ( [. A / x ]. E. y ph <-> E. y ps ) $=
      ( wex wsbc sbcexf exbii bitri ) ADHCEIACEIZDHBDHACDEFJMBDGKL $.
  $}

  ${
    spsbcdi.1 $e |- A e. _V $.
    spsbcdi.2 $e |- ( ph -> A. x ch ) $.
    spsbcdi.3 $e |- ( [. A / x ]. ch <-> ps ) $.
    $( A lemma for eliminating a universal quantifier, in inference form.
       (Contributed by Giovanni Mascellani, 30-May-2019.) $)
    spsbcdi $p |- ( ph -> ps ) $=
      ( wsbc cvv wcel a1i spsbcd sylib ) ACDEIBACDEJEJKAFLGMHN $.
  $}

  ${
    $d x y $.
    alrimii.1 $e |- F/ y ph $.
    alrimii.2 $e |- ( ph -> ps ) $.
    alrimii.3 $e |- ( [. y / x ]. ch <-> ps ) $.
    alrimii.4 $e |- F/ y ch $.
    $( A lemma for introducing a universal quantifier, in inference form.
       (Contributed by Giovanni Mascellani, 30-May-2019.) $)
    alrimii $p |- ( ph -> A. x ch ) $=
      ( cv wsbc wal sylibr alrimi nfsbc1v sbceq2a cbvalv1 sylib ) ACDEJZKZELCDL
      ATEFABTGHMNTCEDCDSOICDSPQR $.
  $}

  ${
    spesbcdi.1 $e |- ( ph -> ps ) $.
    spesbcdi.2 $e |- ( [. A / x ]. ch <-> ps ) $.
    $( A lemma for introducing an existential quantifier, in inference form.
       (Contributed by Giovanni Mascellani, 30-May-2019.) $)
    spesbcdi $p |- ( ph -> E. x ch ) $=
      ( wsbc sylibr spesbcd ) ACDEABCDEHFGIJ $.
  $}

  ${
    exlimddvf.1 $e |- ( ph -> E. x th ) $.
    exlimddvf.2 $e |- F/ x ps $.
    exlimddvf.3 $e |- ( ( th /\ ps ) -> ch ) $.
    exlimddvf.4 $e |- F/ x ch $.
    $( A lemma for eliminating an existential quantifier.  (Contributed by
       Giovanni Mascellani, 30-May-2019.) $)
    exlimddvf $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wex expcom exlimd mpan9 ) ADEJBCFBDCEGIDBCHKLM $.
  $}

  ${
    exlimddvfi.1 $e |- ( ph -> E. x th ) $.
    exlimddvfi.2 $e |- F/ y th $.
    exlimddvfi.3 $e |- F/ y ps $.
    exlimddvfi.4 $e |- ( [. y / x ]. th <-> et ) $.
    exlimddvfi.5 $e |- ( ( et /\ ps ) -> ch ) $.
    exlimddvfi.6 $e |- F/ y ch $.
    $( A lemma for eliminating an existential quantifier, in inference form.
       (Contributed by Giovanni Mascellani, 31-May-2019.) $)
    exlimddvfi $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wsb wex sb8e sylib cv wsbc sbsbc bitri sylanb exlimddvf ) ABCDFGNZGADFO
      UDGOHDFGIPQJUDEBCUDDFGRSEDFGTKUALUBMUC $.
  $}

  ${
    sbceq1ddi.1 $e |- ( ph -> A = B ) $.
    sbceq1ddi.2 $e |- ( ps -> th ) $.
    sbceq1ddi.3 $e |- ( [. A / x ]. ch <-> th ) $.
    sbceq1ddi.4 $e |- ( [. B / x ]. ch <-> et ) $.
    $( A lemma for eliminating inequality, in inference form.  (Contributed by
       Giovanni Mascellani, 31-May-2019.) $)
    sbceq1ddi $p |- ( ( ph /\ ps ) -> et ) $=
      ( wa wsbc wceq adantr sylibr adantl sbceq1dd sylib ) ABMZCFHNEUACFGHAGHOB
      IPBCFGNZABDUBJKQRSLT $.
  $}

  ${
    $d x y $.  $d x A $.  $d y A $.  $d y B $.
    sbccom2lem.1 $e |- A e. _V $.
    $( Lemma for ~ sbccom2 .  (Contributed by Giovanni Mascellani,
       31-May-2019.) $)
    sbccom2lem $p |- ( [. A / x ]. [. B / y ]. ph
        <-> [. [_ A / x ]_ B / y ]. [. A / x ]. ph ) $=
      ( cv wceq wa wex csb wsbc sbcan sbc5 csbconstgi sbceqi anbi1i exbii bitri
      eqid 3bitr3i sbcbii 19.42v bicomi excom 3bitr4i ) BGDHZCGZEHZAIZIZBJZCJZU
      HBDEKZHZABDLZIZCJACELZBDLZUPCUNLULUQCUJBDLUIBDLZUPIULUQUIABDMUJBDNUTUOUPB
      DUHEUHUNFBCDFOUNTPQUARUSUGUJCJZIZBJZUMUSVABDLVCURVABDACENUBVABDNSVCUKCJZB
      JUMVBVDBVDVBUGUJCUCUDRUKBCUESSUPCUNNUF $.
  $}

  ${
    $d ph z $.  $d ph w $.  $d x y $.  $d x z $.  $d x w $.  $d y z $.
    $d y A $.  $d z w $.  $d z A $.  $d z B $.  $d w A $.  $d w B $.  $d w y $.
    sbccom2.1 $e |- A e. _V $.
    $( Commutative law for double class substitution.  (Contributed by Giovanni
       Mascellani, 31-May-2019.) $)
    sbccom2 $p |- ( [. A / x ]. [. B / y ]. ph
        <-> [. [_ A / x ]_ B / y ]. [. A / x ]. ph ) $=
      ( vw vz wsbc cv csb sbccow bicomi sbcbii sbccom2lem 3bitri wceq wb csbcow
      vex dfsbcq ax-mp bitri sbccom ) ACEIZBDIZACGJZIZBDIZGBDEKZIZABDIZCUGIZGUJ
      IULCUJIUFUIGHDBHJZEKZKZIZUKUFUHBUNIZGUOIZHDIZURHDIZGUPIUQUFUHGEIZBDIZVBBU
      NIZHDIZUTUEVBBDVBUEACGELMNVEVCVBBHDLMVDUSHDUHBGUNEHTONPURHGDUOFOVAUIGUPUH
      BHDLNPUPUJQUQUKRBHDESUIGUPUJUAUBUCUIUMGUJABCDUGUDNULCGUJLP $.
  $}

  ${
    $d ph z $.  $d x y $.  $d x z $.  $d y z $.  $d z A $.
    sbccom2f.1 $e |- A e. _V $.
    sbccom2f.2 $e |- F/_ y A $.
    $( Commutative law for double class substitution, with nonfree variable
       condition.  (Contributed by Giovanni Mascellani, 31-May-2019.) $)
    sbccom2f $p |- ( [. A / x ]. [. B / y ]. ph
        <-> [. [_ A / x ]_ B / y ]. [. A / x ]. ph ) $=
      ( vz wsbc cv csb sbccow bicomi sbcbii sbccom2 vex wceq wb csbgfi bitri
      dfsbcq ax-mp 3bitri ) ACEIZBDIACHJZIZHEIZBDIUFBDIZHBDEKZIZABDIZCUIIZUDUGB
      DUGUDACHELMNUFBHDEFOUJUKCUEIZHUIIULUHUMHUIUMUHUMUFBCUEDKZIZUHACBUEDHPZOUN
      DQUOUHRCUEDUPGSUFBUNDUAUBTMNUKCHUILTUC $.
  $}

  ${
    $d x y $.
    sbccom2fi.1 $e |- A e. _V $.
    sbccom2fi.2 $e |- F/_ y A $.
    sbccom2fi.3 $e |- [_ A / x ]_ B = C $.
    sbccom2fi.4 $e |- ( [. A / x ]. ph <-> ps ) $.
    $( Commutative law for double class substitution, with nonfree variable
       condition and in inference form.  (Contributed by Giovanni Mascellani,
       1-Jun-2019.) $)
    sbccom2fi $p |- ( [. A / x ]. [. B / y ]. ph <-> [. C / y ]. ps ) $=
      ( wsbc csb sbccom2f wceq wb dfsbcq ax-mp sbcbii 3bitri ) ADFLCELACELZDCEF
      MZLZUADGLZBDGLACDEFHINUBGOUCUDPJUADUBGQRUABDGKST $.
  $}

  ${
    $d x y $.  $d x z $.  $d y z $.  $d z A $.  $d z B $.  $d z C $.  $d z D $.
    $d z E $.
    csbcom2fi.1 $e |- A e. _V $.
    csbcom2fi.2 $e |- F/_ y A $.
    csbcom2fi.3 $e |- [_ A / x ]_ B = C $.
    csbcom2fi.4 $e |- [_ A / x ]_ D = E $.
    $( Commutative law for double class substitution in a class, with nonfree
       variable condition and in inference form.  (Contributed by Giovanni
       Mascellani, 4-Jun-2019.) $)
    csbcom2fi $p |- [_ A / x ]_ [_ B / y ]_ D = [_ C / y ]_ E $=
      ( vz csb cv wcel wsbc df-csb abeq2i sbcbii bitri eleq2i bitr3i sbccom2fi
      sbcel2 3bitri eqriv ) LACBDFMZMZBEGMZLNZUHOZUJFOZBDPZACPZUJGOZBEPUJUIOUKU
      JUGOZACPZUNUQLUHALCUGQRUPUMACUMLUGBLDFQRSTULUOABCDEHIJULACPZUJACFMZOUOURL
      USALCFQRUSGUJKUAUBUCBEUJGUDUEUF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Tseitin axioms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  A collection of Tseitin axioms used to convert a wff to Conjunctive
  Normal Form.

$)

  $( Refutation of falsity, in deduction form.  (Contributed by Giovanni
     Mascellani, 24-Mar-2018.) $)
  fald $p |- ( th -> -. F. ) $=
    ( wfal wn fal a1i ) BCADE $.

  $( A Tseitin axiom for logical implication, in deduction form.  (Contributed
     by Giovanni Mascellani, 24-Mar-2018.) $)
  tsim1 $p |- ( th -> ( ( -. ph \/ ps ) \/ -. ( ph -> ps ) ) ) $=
    ( wn wo wi exmid df-or notnotb bicomi imbi1i bitri orbi1i mpbir a1i ) ADZBE
    ZABFZDZEZCTRSERGQRSQPDZBFRPBHUAABAUAAIJKLMNO $.

  $( A Tseitin axiom for logical implication, in deduction form.  (Contributed
     by Giovanni Mascellani, 24-Mar-2018.) $)
  tsim2 $p |- ( th -> ( ph \/ ( ph -> ps ) ) ) $=
    ( wi wo curryax a1i ) AABDECABFG $.

  $( A Tseitin axiom for logical implication, in deduction form.  (Contributed
     by Giovanni Mascellani, 24-Mar-2018.) $)
  tsim3 $p |- ( th -> ( -. ps \/ ( ph -> ps ) ) ) $=
    ( wn wi wo ax-1 imori a1i ) BDABEZFCBJBAGHI $.

  $( A Tseitin axiom for logical biconditional, in deduction form.
     (Contributed by Giovanni Mascellani, 24-Mar-2018.) $)
  tsbi1 $p |- ( th -> ( ( -. ph \/ -. ps ) \/ ( ph <-> ps ) ) ) $=
    ( wn wo wb wa pm5.1 olcd pm3.13 orcd pm2.61i a1i ) ADBDEZABFZEZCABGZPQONABH
    IQDNOABJKLM $.

  $( A Tseitin axiom for logical biconditional, in deduction form.
     (Contributed by Giovanni Mascellani, 24-Mar-2018.) $)
  tsbi2 $p |- ( th -> ( ( ph \/ ps ) \/ ( ph <-> ps ) ) ) $=
    ( wo wb wn wa pm5.21 olcd pm4.57 biimpi orcd pm2.61i a1i ) ABDZABEZDZCAFBFG
    ZQRPOABHIRFZOPSOABJKLMN $.

  $( A Tseitin axiom for logical biconditional, in deduction form.
     (Contributed by Giovanni Mascellani, 24-Mar-2018.) $)
  tsbi3 $p |- ( th -> ( ( ph \/ -. ps ) \/ -. ( ph <-> ps ) ) ) $=
    ( wn wo wb wi biimpr con34b pm2.54 sylbi syl con3i orri a1i ) ABDZEZABFZDZE
    CQSRQRBAGZQABHTADPGQBAIAPJKLMNO $.

  $( A Tseitin axiom for logical biconditional, in deduction form.
     (Contributed by Giovanni Mascellani, 24-Mar-2018.) $)
  tsbi4 $p |- ( th -> ( ( -. ph \/ ps ) \/ -. ( ph <-> ps ) ) ) $=
    ( wn wo wb tsbi3 orcom bicom notbii orbi12i sylib ) CBADZEZBAFZDZEMBEZABFZD
    ZEBACGNQPSBMHORBAIJKL $.

  $( A Tseitin axiom for logical exclusive disjunction, in deduction form.
     (Contributed by Giovanni Mascellani, 24-Mar-2018.) $)
  tsxo1 $p |- ( th -> ( ( -. ph \/ -. ps ) \/ -. ( ph \/_ ps ) ) ) $=
    ( wn wo wb wxo tsbi1 xnor orbi2i sylib ) CADBDEZABFZELABGDZEABCHMNLABIJK $.

  $( A Tseitin axiom for logical exclusive disjunction, in deduction form.
     (Contributed by Giovanni Mascellani, 24-Mar-2018.) $)
  tsxo2 $p |- ( th -> ( ( ph \/ ps ) \/ -. ( ph \/_ ps ) ) ) $=
    ( wo wb wxo wn tsbi2 xnor orbi2i sylib ) CABDZABEZDLABFGZDABCHMNLABIJK $.

  $( A Tseitin axiom for logical exclusive disjunction, in deduction form.
     (Contributed by Giovanni Mascellani, 24-Mar-2018.) $)
  tsxo3 $p |- ( th -> ( ( ph \/ -. ps ) \/ ( ph \/_ ps ) ) ) $=
    ( wn wo wb wxo tsbi3 df-xor bicomi orbi2i sylib ) CABDEZABFDZEMABGZEABCHNOM
    ONABIJKL $.

  $( A Tseitin axiom for logical exclusive disjunction, in deduction form.
     (Contributed by Giovanni Mascellani, 24-Mar-2018.) $)
  tsxo4 $p |- ( th -> ( ( -. ph \/ ps ) \/ ( ph \/_ ps ) ) ) $=
    ( wn wo wb wxo tsbi4 df-xor bicomi orbi2i sylib ) CADBEZABFDZEMABGZEABCHNOM
    ONABIJKL $.

  $( A Tseitin axiom for logical conjunction, in deduction form.  (Contributed
     by Giovanni Mascellani, 24-Mar-2018.) $)
  tsan1 $p |- ( th -> ( ( -. ph \/ -. ps ) \/ ( ph /\ ps ) ) ) $=
    ( wn wo wa pm3.12 a1i ) ADBDEABFECABGH $.

  $( A Tseitin axiom for logical conjunction, in deduction form.  (Contributed
     by Giovanni Mascellani, 24-Mar-2018.) $)
  tsan2 $p |- ( th -> ( ph \/ -. ( ph /\ ps ) ) ) $=
    ( wa wn wo pm3.14 orcs orri a1i ) AABDEZFCAKAEBEKABGHIJ $.

  $( A Tseitin axiom for logical conjunction, in deduction form.  (Contributed
     by Giovanni Mascellani, 24-Mar-2018.) $)
  tsan3 $p |- ( th -> ( ps \/ -. ( ph /\ ps ) ) ) $=
    ( wa wn wo pm3.14 olcs orri a1i ) BABDEZFCBKAEBEKABGHIJ $.

  $( A Tseitin axiom for logical incompatibility, in deduction form.
     (Contributed by Giovanni Mascellani, 24-Mar-2018.) $)
  tsna1 $p |- ( th -> ( ( -. ph \/ -. ps ) \/ -. ( ph -/\ ps ) ) ) $=
    ( wn wo wa wnan tsan1 notnotb df-nan bitr3i con4bii orbi2i sylibr ) CADBDEZ
    ABFZEOABGZDZEABCHRPORPRDQPDQIABJKLMN $.

  $( A Tseitin axiom for logical incompatibility, in deduction form.
     (Contributed by Giovanni Mascellani, 24-Mar-2018.) $)
  tsna2 $p |- ( th -> ( ph \/ ( ph -/\ ps ) ) ) $=
    ( wa wn wo wnan tsan2 df-nan orbi2i sylibr ) CAABDEZFAABGZFABCHMLAABIJK $.

  $( A Tseitin axiom for logical incompatibility, in deduction form.
     (Contributed by Giovanni Mascellani, 24-Mar-2018.) $)
  tsna3 $p |- ( th -> ( ps \/ ( ph -/\ ps ) ) ) $=
    ( wa wn wo wnan tsan3 df-nan orbi2i sylibr ) CBABDEZFBABGZFABCHMLBABIJK $.

  $( A Tseitin axiom for logical disjunction, in deduction form.  (Contributed
     by Giovanni Mascellani, 25-Mar-2018.) $)
  tsor1 $p |- ( th -> ( ( ph \/ ps ) \/ -. ( ph \/ ps ) ) ) $=
    ( wo exmidd ) CABDE $.

  $( A Tseitin axiom for logical disjunction, in deduction form.  (Contributed
     by Giovanni Mascellani, 25-Mar-2018.) $)
  tsor2 $p |- ( th -> ( -. ph \/ ( ph \/ ps ) ) ) $=
    ( wn wo orc imori a1i ) ADABEZECAIABFGH $.

  $( A Tseitin axiom for logical disjunction, in deduction form.  (Contributed
     by Giovanni Mascellani, 25-Mar-2018.) $)
  tsor3 $p |- ( th -> ( -. ps \/ ( ph \/ ps ) ) ) $=
    ( wn wo olc imori a1i ) BDABEZECBIBAFGH $.

  $( A Tseitin axiom for triple logical conjunction, in deduction form.
     (Contributed by Giovanni Mascellani, 25-Mar-2018.) $)
  ts3an1 $p |- ( th ->
       ( ( -. ( ph /\ ps ) \/ -. ch ) \/ ( ph /\ ps /\ ch ) ) ) $=
    ( wa wn wo w3a tsan1 df-3an orbi2i sylibr ) DABEZFCFGZMCEZGNABCHZGMCDIPONAB
    CJKL $.

  $( A Tseitin axiom for triple logical conjunction, in deduction form.
     (Contributed by Giovanni Mascellani, 25-Mar-2018.) $)
  ts3an2 $p |- ( th -> ( ( ph /\ ps ) \/ -. ( ph /\ ps /\ ch ) ) ) $=
    ( wa wn wo w3a tsan2 df-3an notbii orbi2i sylibr ) DABEZNCEZFZGNABCHZFZGNCD
    IRPNQOABCJKLM $.

  $( A Tseitin axiom for triple logical conjunction, in deduction form.
     (Contributed by Giovanni Mascellani, 25-Mar-2018.) $)
  ts3an3 $p |- ( th -> ( ch \/ -. ( ph /\ ps /\ ch ) ) ) $=
    ( wa wn wo w3a tsan3 df-3an notbii orbi2i sylibr ) DCABEZCEZFZGCABCHZFZGNCD
    IRPCQOABCJKLM $.

  $( A Tseitin axiom for triple logical disjunction, in deduction form.
     (Contributed by Giovanni Mascellani, 25-Mar-2018.) $)
  ts3or1 $p |- ( th -> ( ( ( ph \/ ps ) \/ ch ) \/ -. ( ph \/ ps \/ ch ) ) ) $=
    ( wo wn w3o exmidd df-3or notbii orbi2i sylibr ) DABECEZMFZEMABCGZFZEDMHPNM
    OMABCIJKL $.

  $( A Tseitin axiom for triple logical disjunction, in deduction form.
     (Contributed by Giovanni Mascellani, 25-Mar-2018.) $)
  ts3or2 $p |- ( th -> ( -. ( ph \/ ps ) \/ ( ph \/ ps \/ ch ) ) ) $=
    ( wo wn w3o tsor2 df-3or orbi2i sylibr ) DABEZFZLCEZEMABCGZELCDHONMABCIJK
    $.

  $( A Tseitin axiom for triple logical disjunction, in deduction form.
     (Contributed by Giovanni Mascellani, 25-Mar-2018.) $)
  ts3or3 $p |- ( th -> ( -. ch \/ ( ph \/ ps \/ ch ) ) ) $=
    ( wn wo w3o tsor3 df-3or orbi2i sylibr ) DCEZABFZCFZFLABCGZFMCDHONLABCIJK
    $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Equality deductions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  A collection of theorems for commuting equalities (or
  biconditionals) with other constructs.

$)

  ${
    iuneq2f.1 $e |- F/_ x A $.
    iuneq2f.2 $e |- F/_ x B $.
    $( Equality deduction for indexed union.  (Contributed by Giovanni
       Mascellani, 9-Apr-2018.) $)
    iuneq2f $p |- ( A = B -> U_ x e. A C = U_ x e. B C ) $=
      ( wceq nfeq id eqidd iuneq12df ) BCGZABCDDABCEFHEFLILDJK $.
  $}

  ${
    rabeq12f.1 $e |- F/_ x A $.
    rabeq12f.2 $e |- F/_ x B $.
    $( Equality deduction for restricted class abstraction.  (Contributed by
       Giovanni Mascellani, 10-Apr-2018.) $)
    rabeq12f $p |- ( ( A = B /\ A. x e. A ( ph <-> ps ) ) ->
         { x e. A | ph } = { x e. B | ps } ) $=
      ( wb wral wceq crab rabbi biimpi rabeqf sylan9eqr ) ABHCDIZDEJACDKZBCDKZB
      CEKPQRJABCDLMBCDEFGNO $.
  $}

  $( Equality deduction for substitution in class.  (Contributed by Giovanni
     Mascellani, 10-Apr-2018.) $)
  csbeq12 $p |- ( ( A = B /\ A. x C = D ) ->
       [_ A / x ]_ C = [_ B / x ]_ D ) $=
    ( wceq wal csb csbeq2 csbeq1 sylan9eqr ) DEFAGBCFABDHABEHACEHABDEIABCEJK $.

  $( Equality deduction for substitution.  (Contributed by Giovanni Mascellani,
     10-Apr-2018.) $)
  sbeqi $p |- ( ( x = y /\ A. z ( ph <-> ps ) ) ->
       ( [ x / z ] ph <-> [ y / z ] ps ) ) $=
    ( wb wal wsb cv wceq spsbbi sbequ sylan9bbr ) ABFEGAECHBECHCIDIJBEDHABECKBC
    DELM $.

  ${
    ralbi12f.1 $e |- F/_ x A $.
    ralbi12f.2 $e |- F/_ x B $.
    $( Equality deduction for restricted universal quantification.
       (Contributed by Giovanni Mascellani, 10-Apr-2018.) $)
    ralbi12f $p |- ( ( A = B /\ A. x e. A ( ph <-> ps ) ) ->
         ( A. x e. A ph <-> A. x e. B ps ) ) $=
      ( wb wral wceq ralbi raleqf sylan9bbr ) ABHCDIACDIBCDIDEJBCEIABCDKBCDEFGL
      M $.
  $}

  $( Equality deduction for class abstraction of nested ordered pairs.
     (Contributed by Giovanni Mascellani, 10-Apr-2018.) $)
  oprabbi $p |- ( A. x A. y A. z ( ph <-> ps ) ->
       { <. <. x , y >. , z >. | ph } = { <. <. x , y >. , z >. | ps } ) $=
    ( coprab wceq wb wal eqoprab2b biimpri ) ACDEFBCDEFGABHEIDICIABCDEJK $.

  ${
    $d x y $.  $d x z $.  $d y z $.  $d z A $.  $d z B $.  $d z C $.  $d z D $.
    $d z E $.  $d z F $.
    mpobi123f.1 $e |- F/_ x A $.
    mpobi123f.2 $e |- F/_ x B $.
    mpobi123f.3 $e |- F/_ y A $.
    mpobi123f.4 $e |- F/_ y B $.
    mpobi123f.5 $e |- F/_ y C $.
    mpobi123f.6 $e |- F/_ y D $.
    mpobi123f.7 $e |- F/_ x C $.
    mpobi123f.8 $e |- F/_ x D $.
    $( Equality deduction for maps-to notations with two arguments.
       (Contributed by Giovanni Mascellani, 10-Apr-2018.) $)
    mpobi123f $p |- ( ( ( A = B /\ C = D ) /\ A. x e. A A. y e. C E = F )
         -> ( x e. A , y e. C |-> E ) = ( x e. B , y e. D |-> F ) ) $=
      ( vz wal wo a1d wceq wa wral cv wcel coprab cmpo wb wi eleq2 alrimi nfcri
      nfeq nfbi ax-5 sylg alimi nfal nf5ri 3syl id alanimi syl2an eqeq2 alrimiv
      2ralimi hbra1 rsp alrimih 19.21v albii sylibr ralimi 2albii sylbbr syl wn
      19.21 wfal tsan2 ord cnf1dd tsbi2 a1dd ax-1 contrd idd tsim2 tsbi3 cnf2dd
      cnfn2dd tsan3 mpdd notnotr sylibrd jcad tsim3 tsbi1 cnfn1dd or32dd sylibd
      a1i tsan1 tsbi4 tsim1 efald2 2alimi oprabbi df-mpo 3eqtr4g ) CDUAZEFUAZUB
      ZGHUAZBEUCACUCZUBZAUDZCUEZBUDZEUEZUBZQUDZGUAZUBZABQUFZXQDUEZXSFUEZUBZYBHU
      AZUBZABQUFZABCEGUGABDFHUGXPXRYFUHZXTYGUHZUBZXRXTYCYIUHZUIZUIZUBZQRZBRZARZ
      YDYJUHZQRZBRARYEYKUAXMYNQRZBRZARZYQQRZBRZARZUUAXOXKYLQRZBRZARYMQRZBRZARZU
      UFXLXKYLUUKAXKYLAACDIJUMCDXQUJUKYLUUJBXRYFBBACKULZBADLULUNYLQUOUKUPXLYMBR
      UUMUUNXLYMBBEFMNUMEFXSUJUKYMUULBYMQUOUQUUMAUULABYMAQXTYGAABEOULABFPULUNUR
      URUSUTUUKUUMUUEAUUJUULUUDBYLYMYNQYNVAVBVBVBVCXOYOQRZBEUCZACUCZUUIXNUUPABC
      EXNYOQGHYBVDVEVFUURYPQRZBRZACUCZXRUUTUIZARZUUIUUQUUTACUUQXTUUPUIZBRUUTUUQ
      UVDBUUPBEVGUUPBEVHVIUUSUVDBXTYOQVJVKVLVMUVAUVBAUUTACVGUUTACVHVIUUIXRUUSUI
      ZBRZARUVCUUGUVEABXRYPQVJVNUVFUVBAXRUUSBUUOVRVKVOUTVPUUEUUHYTAUUDUUGYSBYNY
      QYRQYRVAVBVBVBVCYSUUCABYRUUBQYRUUBUIZUVGVQZVSYPUVHVSVQZXRYPUVHXRUVIUVHXRY
      JUVHXRVQZYDYJUVHUVJYAYDVQZUVHXRYAVQZXRXTUVHVTWAUVHYAUVKSZUVJYAYCUVHVTZTWB
      UVHYDYJSZUVJUVHUVOUVGUVHUVOVQZUUBYRUVHUVOUUBYDYJUVHWCZWAWDUVHUVPWEWFTWBUV
      HUVJYHYJVQZUVHUVJYFYHVQZUVHUVJXRYFVQZUVHUVJWGUVHUVJXRUVTSZYLUVHYLUVJUVHYL
      UVGUVHYLVQZYRUVGUVHUWBYNYRVQZUVHYLYNVQZYLYMUVHVTWAUVHYNUWCSZUWBYNYQUVHVTZ
      TWBUVHYRUVGSZUWBYRUUBUVHWHZTWBUVHUWBWEWFZTUVHUWAUWBSUVJXRYFUVHWITWKWBUVHY
      FUVSSUVJYFYGUVHVTTWBUVHYHUVRSZUVJYHYIUVHVTZTWBWFZTZUVHUVIYQYRUVHUVIYRUVGU
      VHUVIWEZUVHUWGUVIUWHTWJUVHYQUWCSZUVIYNYQUVHWLZTWKWMUVHUVIXTYPVQZUVHUVIXTY
      AUVHUVIYAYDUVHUVIYDYJUVHUVRUVIUVHUVRYOUVHUVRVQZXTYOUVHUWRYGXTUVHUWRYGYHUV
      HUWRYHYJUWRYJUIUVHYJWNXBZUVHUWJUWRUWKTWKUVHYGUVSSUWRYFYGUVHWLTWKUVHYMUVGU
      VHYMVQZYRUVGUVHUWTYNUWCUVHYMUWDYLYMUVHWLWAUVHUWEUWTUWFTWBUVHUWGUWTUWHTWBU
      VHUWTWEWFZWOZUVHUWRXRYPUVHXRUWRUWLTZUVHUWRYQYRUVHUWRYRUVGUVHUWRWEZUVHUWGU
      WRUWHTWJUVHUWOUWRUWPTWKWMWMUVHUWRYCYOVQZUVHUWRYAYCVQZUVHUWRXRXTUXCUXBWPUV
      HUWRUVLUXFSZYDUVHUWRUVKYJUWSUVHUWRUVKUVRSZUUBUVHUWRUUBVQZUVGUXDUVHUXIUVGS
      ZUWRYRUUBUVHWQZTWJUVHUXHUUBSUWRYDYJUVHWRTWJWKUVHUXGYDSUWRYAYCUVHXCTWJWSUV
      HUWRYCUXESYIUVHUWRYIYJUWSUVHYIUVRSUWRYHYIUVHWLTWKUVHUWRYCYIVQZUXEUVHYCUXL
      SUXESUWRYCYIUVHWITWTWKWBWFTZUVHUVIUVOUUBUVHUVIUXIUVGUWNUVHUXJUVIUXKTWJUVH
      UVOUUBSUVIUVQTWJWJZUVHUVMUVIUVNTWKUVHXTUVLSUVIXRXTUVHWLTWKZUVHUVIXTVQZUWQ
      SYOUVHUVIYCUXEUVHUVIYCYDUXNUVHYCUVKSUVIYAYCUVHWLTWKUVHUVIUXFUXESYIUVHUVIY
      HUXLUVHUVIYFYGUVHUVIXRYFUWMUWIXAUVHUVIXTYGUXOUXAXAWPUVHUVIUVSUXLSZYJUXMUV
      HUXQYJSUVIYHYIUVHXCTWJWSUVHUVIUXFYIUXEUVHUXFYISUXESUVIYCYIUVHXDTWTWJWSUVH
      UVIUXPYOUWQUVHUXPYOSUWQSUVIXTYOUVHXETWTWJWSWFXFUQXGYDYJABQXHUTABQCEGXIABQ
      DFHXIXJ $.
  $}

  ${
    iuneq12f.1 $e |- F/_ x A $.
    iuneq12f.2 $e |- F/_ x B $.
    $( Equality deduction for indexed unions.  (Contributed by Giovanni
       Mascellani, 10-Apr-2018.) $)
    iuneq12f $p |- ( ( A = B /\ A. x e. A C = D )
         -> U_ x e. A C = U_ x e. B D ) $=
      ( wceq wral ciun iuneq2 iuneq2f sylan9eqr ) DEHABIBCHABDJABEJACEJABDEKABC
      EFGLM $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.  $d y D $.
    iineq12f.1 $e |- F/_ x A $.
    iineq12f.2 $e |- F/_ x B $.
    $( Equality deduction for indexed intersections.  (Contributed by Giovanni
       Mascellani, 10-Apr-2018.) $)
    iineq12f $p |- ( ( A = B /\ A. x e. A C = D ) ->
         |^|_ x e. A C = |^|_ x e. B D ) $=
      ( vy wceq wral wa cv wcel cab ciin wb eleq2 ralimi ralbi df-iin sylan9bbr
      syl raleqf abbidv 3eqtr4g ) BCIZDEIZABJZKZHLZDMZABJZHNUJEMZACJZHNABDOACEO
      UIULUNHUHULUMABJZUFUNUHUKUMPZABJULUOPUGUPABDEUJQRUKUMABSUBUMABCFGUCUAUDAH
      BDTAHCETUE $.
  $}

  $( Equality deduction for class abstraction of ordered pairs.  (Contributed
     by Giovanni Mascellani, 10-Apr-2018.) $)
  opabbi $p |- ( A. x A. y ( ph <-> ps ) ->
       { <. x , y >. | ph } = { <. x , y >. | ps } ) $=
    ( copab wceq wb wal eqopab2b biimpri ) ACDEBCDEFABGDHCHABCDIJ $.

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y D $.  $d y E $.
    mptbi12f.1 $e |- F/_ x A $.
    mptbi12f.2 $e |- F/_ x B $.
    $( Equality deduction for maps-to notations.  (Contributed by Giovanni
       Mascellani, 10-Apr-2018.) $)
    mptbi12f $p |- ( ( A = B /\ A. x e. A D = E ) ->
         ( x e. A |-> D ) = ( x e. B |-> E ) ) $=
      ( vy wceq wa wb wal wi wn ord wo contrd a1d cnfn2dd cnf2dd wral wcel cmpt
      copab nfeq eleq2 alrimi ax-5 sylg eqeq2 alrimiv ralimi df-ral sylib albii
      cv 19.21v sylibr alanimi syl2an wfal tsan2 tsbi2 a1dd ax-1 cnf1dd simplim
      tsbi3 tsan3 mpdd notnotr a1i jcad tsim3 tsbi1 tsbi4 cnfn1dd or32dd efald2
      id tsan1 2alimi syl eqopab2bw df-mpt 3eqtr4g ) BCIZDEIZABUAZJZAUPZBUBZHUP
      ZDIZJZAHUDZWKCUBZWMEIZJZAHUDZABDUCACEUCWJWOWSKZHLALZWPWTIWJWLWQKZWLWNWRKZ
      MZJZHLZALZXBWGXCHLZALXEHLZALZXHWIWGXCXIAWGXCAABCFGUEBCWKUFUGXCHUHUIWIWLXD
      HLZMZALZXKWIXLABUAXNWHXLABWHXDHDEWMUJUKULXLABUMUNXJXMAWLXDHUQUOURXIXJXGAX
      CXEXFHXFVTUSUSUTXFXAAHXFXAMZXONZVAXDXPVANZWLXDXPWLXQXPWLWSXPWLNZWOWSXPWLW
      ONZWLWNXPVBOXPWOWSPZXRXPXTXOXPXTNZXAXFXPXTXAWOWSXPVCOVDXPYAVEQZRVFXPXRWQW
      SNZXPWLWQNZXPWLYDPZXFXPXFYENZXFXAVGZRXPYFXCXFNZXPYEXCNZWLWQXPVHOXPXCYHPZY
      FXCXEXPVBZRVFQZOXPWQYCPZXRWQWRXPVBZRVFQRZXPXQXEXFXPXFXQYGRZXPXEYHPZXQXCXE
      XPVIZRSVJXPXQWNXDNZXPXQWNWOXPXQWOWSXPYCXQXPYCWOXPYCNZWLWNXPYTWLWQXPYTWQWS
      YTWSMXPWSVKVLZXPYMYTYNRSXPYEYTYLRSZXPYTWNWRXPYTWRWSUUAXPWRYCPYTWQWRXPVIRS
      XPYTWNWRNZPZXDXPYTWLXDUUBXPYTXEXFXPXFYTYGRXPYQYTYRRSVJXPUUDYSPYTWNWRXPVHR
      SSVMXPYTXSWSUUAXPYTXSYCPZXAXPYTXANZXOXPYTVEXPUUFXOPYTXFXAXPVNRTXPUUEXAPYT
      WOWSXPVORTSQRZXPXTXQYBRTXPWNXSPXQWLWNXPVIRSXPXQWNNZYSPWRXPXQWQUUCXPXQWLWQ
      YOXPXQXRWQPZXCXPXQXCXFYPXPYJXQYKRSXPUUIYIPXQWLWQXPVPRSVQXPXQYDUUCPZWSUUGX
      PUUJWSPXQWQWRXPWARTVQXPXQUUHWRYSXPUUHWRPYSPXQWNWRXPVPRVRTVQQVSWBWCWOWSAHW
      DURAHBDWEAHCEWEWF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellanea
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Work in progress or things that do not belong anywhere else.

$)

  ${
    orcomdd.1 $e |- ( ph -> ( ps -> ( ch \/ th ) ) ) $.
    $( Commutativity of logic disjunction, in double deduction form.  Should
       not be moved to main, see PR #3034 in Github.  Use ~ orcomd instead.
       (Contributed by Giovanni Mascellani, 19-Mar-2018.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    orcomdd $p |- ( ph -> ( ps -> ( th \/ ch ) ) ) $=
      ( wo pm1.4 syl6 ) ABCDFDCFECDGH $.
  $}

  ${
    $( $d x y $.  $d x z $. $)
    $( Substituting ` y ` for ` x ` and then ` z ` for ` y ` is equivalent to
       substituting ` z ` for both ` x ` and ` y ` .  (Contributed by Giovanni
       Mascellani, 8-Apr-2018.)  Obsolete version of ~ sbcom3 as of
       16-Sep-2018.  (New usage is discouraged.)
       (Proof modification is discouraged.)  Note: this proof requires many
       hours to "MM> PROVE sbcom3OLD" and "MM-PA> MINIMIZE__WITH *" and
       "MM-PA> SAVE NEW_PROOF".  The discouragements will prevent accidental
       minimization attempts and other operations that would interfere with
       scripts.  For the time being, we are keeping this proof as a test case,
       but it will be deleted eventually. -NM $)
    $(
    [Commented out by NM 28-Aug-2019 to avoid slowdown in proof format
    conversions.  Uncomment it if needed for testing.]
    sbcom3OLD $p |- ( [ z / y ] [ y / x ] ph <-> [ z / x ] [ z / y ] ph ) $=
      ( wi wa wn id a1i wo a1d orcomdd cnf2dd or32dd tsim3 cnfn2dd contrd tsan3
      tsan1 tsim2 wsb cv wceq wex wb equtr impcom equtr2 eqcomd imbi2d pm5.74rd
      eqeq2 pm5.32rd exbidv pm5.74i imbi1d pm5.32i wfal tsan2 tsbi2 tsbi3 tsbi4
      exmidd tsbi1 efald2 ax-mp exbii orsild orsird notnotrd tsim1 df-sb imbi2i
      anbi2i anbi12i bitri bicomi bitr4i 3bitr4i sbcom ) ABCUAZCDUAZABDUAZCDUAZ
      ACDUABDUACUBZDUBZUCZBUBZWEUCZAEZWIAFZBUDZFZEZWGWMFZCUDZFZWGWHWFUCZAEZWRAF
      ZBUDZFZEZWGXBFZCUDZFZWBWDWGWIFZWREZWQXFUEZWIWGWRBCDUFUGWGWRFZWIEZXHXIEZXJ
      WEWHCBDUHUIWGWLEZWGXAEZUEZXKXLEZWGWLXAWGWKWTBWGAWIWRWGAWIWRWGWIWRAWEWFWHU
      LZUJUKUMUNZUOWPXEUEZXOXPEZWOXDCWGWJFZWGWSFZUEZWOXDUEZWGWJWSWGWIWRAXQUPUQW
      GWLFZWGXAFZUEZYCYDEZWGWLXAXRUQYGYHEZYIGZURXBYJURGZXBWSYJYKWSYBYJYKYBYAYJY
      KYAWGYJWGYKYJWGYHYJWGGZYHYDYJYLYDWOYJYLWOGZWGYLYLEYJYLHIZYJYLWGYMYJWGYMJY
      LWGWMYJUSKLMYJYLWOYDYJYLWOYDJXDYJYLXDGZWGYNYJYLWGYOYJWGYOJYLWGXBYJUSKLMYJ
      YLWOXDYDYJWOXDJZYDJZYLWOXDYJUTZKNMLMYJYLYDGZYHYJYSYHJZYLYCYDYJOZKLPYJYLYH
      GZYIYJYLYJYJYJYJYLYJHZKYJYJYJGJZYLYJYJVCZKPYJUUBYIJZYLYGYHYJOZKMQZKZYJYKY
      LYAYJYKYLYAJWJYJYKWJWMYJYKWMWOYJWOYKYJWOWMYJYMWMWJYJYMWJYAYJYMYAYBYJYMYBW
      GYJWGYMUUHKZYJYMYLYBYJYMYLYBJWSYJYMWSXBYJYMXBXDYJYMXDWOYMYMEYJYMHIZYJYMWO
      XDYJYMYPYDYJYMYSYHYJYMUUBYIYJYMYJYJYJYJYMUUCKZYJUUDYMUUEKPYJUUFYMUUGKMZYJ
      YTYMUUAKMYJYQYMYRKMLMYJXBYOJYMWGXBYJRKPZYJWSXBGZJZYMWSXAYJUSKPYJYMYLWSGZY
      BYJYLUUQJYBJYMWGWSYJSKNPLPYJYMYAYBGZJZYCYJYMYCYHUUMYJYCYHJZYMYCYDYJTZKMYJ
      UUSYCGZJYMYAYBYJVAKPPYJWJYAGZJYMWGWJYJRKPYJYMWJGZWMYJYMUVDWMJWLYJYMWLYEYJ
      YMYEYFYJYMYFWGUUJYJYMYLYFYJYMYLYFJXAYJYMXAXBUUNYJXAUUOJZYMWSXAYJRKPYJYMYL
      XAGZYFYJYLUVFJYFJYMWGXAYJSKNPLPYJYMYEYFGZJZYGYJYMYGYIUULYJYGYIJZYMYGYHYJT
      ZKMYJUVHYGGZJYMYEYFYJVAKPPYJWLYEGZJYMWGWLYJRKPYJYMUVDWLGZWMYJUVDUVMJZWMJZ
      YMWJWLYJSKNPLPYJYMWMGZWGUUJYJYMYLUVPYJYMYLUVPJZWOUUKYJUVQWOJYMWGWMYJSKMLP
      QKZYJWMYMJYKWGWMYJRKPZYJWJUVPJZYKWJWLYJUSKPYJYKYLUVDYAYJYLUVDJYAJYKWGWJYJ
      SKNPLPYJYKUVCYBYJYKUVCYBJZYCYJYKYCYHYJYKUUBYIYJYKYJYJYJYJYKUUCKZYJUUDYKUU
      EKPYJUUFYKUUGKMZYJUUTYKUVAKMYJUWAUVBJYKYAYBYJVBKPLPYJWSUURJYKWGWSYJRKPYJY
      KUUQXBYJYKUUQXBJXAYJYKXAYFYJYKYFYEYJYKYEWGUUIYJYKYLYEYJYKYLYEJWLYJYKWLWMU
      VSYJWLUVPJZYKWJWLYJRKPYJYKYLUVMYEYJYLUVMJYEJYKWGWLYJSKNPLPYJYKUVLYFYJYKUV
      LYFJZYGYJYKYGYIUWBYJUVIYKUVJKMYJUWEUVKJYKYEYFYJVBKPLPYJXAUVGJYKWGXAYJRKPY
      JYKUUQUVFXBYJUUQUVFJZXBJZYKWSXAYJSKNPLPYJYKUUOWGUUIYJYKYLUUOYJYKYLUUOJZXD
      YJYKYOWOUVRYJYKYMYOYJYKYMYOJZYDYJYKYSYHUWCYJYTYKUUAKMYJUWIYDJYKWOXDYJVDKM
      LPYJUWHXDJYKWGXBYJSKMLPQVEVFVFVGXSXTEZUWJGZURXHUWKXHYKUWKXHXTUWKXHGZXTXPU
      WKUWLXPXLUWKUWLXLXHUWLUWLEUWKUWLHIUWKUWLXHXLUWKXHXLJUWLXHXIUWKTKLMUWKUWLX
      LGZXPUWKUWMXPJZUWLXKXLUWKOZKLPUWKUWLXPGZXTUWKUWPXTJZUWLXOXPUWKOZKLPUWKUWL
      XTGZUWJUWKUWLUWKUWKUWKUWKUWLUWKHZKUWKUWKUWKGZJZUWLUWKUWKVCZKPUWKUWSUWJJZU
      WLXSXTUWKOZKMQKUWKYKUWLXGUWKYKXGWGUWKYKWGWNUWKYKWNGZWPUWKYKWPXEUWKXEYKUWK
      XEWQUWKXEGZWQXFUWKUXGXFGZXEUXGUXGEUWKUXGHIZUWKUXGXEUXHUWKXEUXHJUXGXCXEUWK
      RKLMUWKWQXFJZUXGUWKUXJXTUWKUXJGZXTXPUWKUXKXPXLUWKUXKXLXIUWKUXKXIWQUXKWQGZ
      EUWKUXKWQXFUXKHZVHIUWKUXKWQXIUWKUXKWQXIJXFUXKUXHEUWKUXKWQXFUXMVIIUWKUXKWQ
      XFXIUWKUXJXIJUXKWQXFUWKUTKNMLMUWKUXKXIGZXLUWKUXNXLJZUXKXHXIUWKOZKLPUWKUXK
      UWMXPUWKUWNUXKUWOKLPUWKUXKUWPXTUWKUWQUXKUWRKLPUWKUXKUWSUWJUWKUXKUWKUWKUWK
      UWKUXKUWTKUWKUXBUXKUXCKPUWKUXDUXKUXEKMQZKMUWKUXGUXLWPUWKUXGWPGZXEUXIUWKUX
      GUXRXEJZXSUWKXSUXGUWKXSUWKUWKUWKXSGZUWTKUWKUXTUXAUWJUWKUXTUWJXSUXTUXTEUWK
      UXTHIUWKUXTXSUWJUWKXSUWJJUXTXSXTUWKTKLMUWKUXTUWKUXAUWKUXBUXTUXCKLPQZKUWKU
      XSUXTJUXGWPXEUWKVBKPMUWKUXGWPUXLUWKWPUXLJUXGWNWPUWKRKLMQZKUWKYKWPUXGJZXSU
      WKXSYKUYAKUWKUYCUXTJYKWPXEUWKVAKPPUWKYKUXFUXRJZWQUWKUXLYKUWKUXLWJUWKUXLGZ
      WJWMUWKUYEWMWGUWKUYEWGXCUWKUYEXCGZXEUWKXEUYEUYBKUWKUYEUYFUXGJZXFUWKUYEUXH
      WQUYEWQEUWKUYEWQUYEHVJIZUWKUYEUXLUXHUWKUYEUXLUXHJZXIUWKUYEUXNXLUWKUYEUWMX
      PUWKUYEUWPXTUWKUYEUWSUWJUWKUYEUWKUWKUWKUWKUYEUWTKUWKUXBUYEUXCKPUWKUXDUYEU
      XEKMUWKUWQUYEUWRKMUWKUWNUYEUWOKMUWKUXOUYEUXPKMUWKUYIXIJUYEWQXFUWKVDKMLPUW
      KUYGXFJUYEXCXEUWKSKMPZUWKWGXCJUYEWGXBUWKTKMZUWKUYEYLWMUWKUYEYLWMJZWNUWKUY
      EWNWQUYHUWKWNUXLJUYEWNWPUWKUSKPUWKUYLUXFJUYEWGWMUWKVKKPLPZUWKUVTUYEWJWLUW
      KUSKPUWKUYEUVDWIUWKUYEWIXJUWKUYEXJWGUYKUWKUYEYLXJUWKUYEYLXJJWRUWKUYEWRWSU
      WKUYEUUQXAUWKUYEXAWGUYKUWKUYEYLXAUWKUYEYLXAJZXNUWKUYEXNXMUWKUYEXMWLUWKUYE
      WLWMUYMUWKUWDUYEWJWLUWKRKPUWKUYEUVMXMUWKUVMXMJUYEWGWLUWKOKLPUWKUYEXMGZXNU
      WKUYEUYOXNJZXOUWKXOUYEUWKXOUWJUWKXOGZUWJXTUWKUYQXTXOUYQUYQEUWKUYQHIUWKUYQ
      XOXTUWKXOXTJUYQXOXPUWKTKLMUWKUYQUWSUWJUWKUXDUYQUXEKLPUWKUYQUWKUWKUWKUWKUY
      QUWTKUWKUXBUYQUXCKPQZKUWKUYPUYQJUYEXMXNUWKVBKPLPUWKUYNXNGZJUYEWGXAUWKVKKP
      LPUWKUYEUWFXBUWKUYEUUOXCUYJUWKUUOXCJUYEWGXBUWKOKMUWKUWGUYEWSXAUWKSKMPZUWK
      WRWSJUYEWRAUWKTKMUWKUYEYLWRGZXJUWKYLVUAJXJJUYEWGWRUWKSKNPLPUWKUYEXJGZWIUW
      KUYEVUBWIJZXKUWKXKUYEUWKXKUWJUWKXKGZUWJXTUWKVUDXTXPUWKVUDXPXKVUDVUDEUWKVU
      DHIUWKVUDXKXPUWKXKXPJVUDXKXLUWKTKLMUWKVUDUWPXTUWKUWQVUDUWRKLPUWKVUDUWSUWJ
      UWKUXDVUDUXEKLPUWKVUDUWKUWKUWKUWKVUDUWTKUWKUXBVUDUXCKPQKUWKVUCVUDJUYEXJWI
      UWKVKKPLPUWKUYEWIGZUVDUWKUYEVUEUVDJAUWKUYEAGZWSUYTUWKVUFWSJUYEWRAUWKOKMUW
      KUYEVUEAUVDUWKVUEAJUVDJUYEWIAUWKVKKNMLPQKZUWKUYDWQJYKWNWPUWKSKMPZUWKWGWNJ
      YKWGWMUWKTKMZUWKYKYLXGUWKYKYLXGJWIUWKYKWIWJUWKYKUVDWLUWKYKWLWGVUIUWKYKYLW
      LUWKYKYLWLJZXMUWKYKXMXNUWKYKXNXAUWKYKXAXBUWKYKXBWGVUIUWKYKYLXBUWKYKYLXBJZ
      XCUWKYKXCXFUWKYKXFWQVUGUWKYKWQXFUWKUXJYKUXQKLMUWKXCUXHJYKXCXEUWKUSKPUWKVU
      KUYFJYKWGXBUWKVKKPLPZUWKUVEYKWSXAUWKRKPUWKYKUVFXNUWKUVFXNJYKWGXAUWKOKLPUW
      KYKXMUYSJZXOUWKXOYKUYRKUWKVUMUYQJYKXMXNUWKVAKPPUWKVUJUYOJYKWGWLUWKVKKPLPU
      WKYKUVNWMUWKYKUVPWNVUHUWKUVPWNJYKWGWMUWKOKMUWKUVOYKWJWLUWKSKMPZUWKWIWJJYK
      WIAUWKTKMUWKYKYLVUEXGUWKYLVUEJXGJYKWGWIUWKSKNPLPUWKYKXGGZUWLUWKYKVUOUWLJW
      RUWKYKVUAAUWKYKVUFWJVUNUWKVUFWJJYKWIAUWKOKMUWKYKVUAAJZWSUWKYKWSXBVULUWKUU
      PYKWSXAUWKUSKPUWKVUPUUQJYKWRAUWKVKKPMUWKYKVUOWRUWLUWKVUOWRJUWLJYKXGWRUWKV
      KKNMLPQVEVFVFVFVFWBWGWAEZWGWAFZCUDZFWQWACDVLVUQWNVUSWPWAWMWGABCVLZVMVURWO
      CWAWMWGVUTVNVGVOVPWDWGWCEZWGWCFZCUDZFXFWCCDVLXCVVAXEVVCXBWCWGWCXBABDVLZVQ
      VMVVCXEVVBXDCWCXBWGVVDVNVGVQVOVRVSACDBVTVR $.
    $)
  $}

  ${
    $d x y $.  $d x z $.  $d x w $.  $d y z $.  $d z w $.  $d z A $.  $d w A $.
    scottexf.1 $e |- F/_ y A $.
    scottexf.2 $e |- F/_ x A $.
    $( A version of ~ scottex with nonfree variables instead of distinct
       variables.  (Contributed by Giovanni Mascellani, 19-Aug-2018.) $)
    scottexf $p |- { x e. A | A. y e. A ( rank ` x ) C_ ( rank ` y ) } e. _V $=
      ( vw vz cv crnk cfv wss wral crab cvv nfcv nfv wceq fveq2 sseq2d cbvralfw
      rabbii nfralw sseq1d ralbidv cbvrabw eqtr4i scottex eqeltri ) AHZIJZBHZIJ
      ZKZBCLZACMZFHZIJZGHZIJZKZGCLZFCMZNUOUJUSKZGCLZACMVBUNVDACUMVCBGCDGCOUMGPV
      CBPUKURQULUSUJUKURIRSTUAVAVDFACFCOEUTAGCEUTAPUBVDFPUPUIQZUTVCGCVEUQUJUSUP
      UIIRUCUDUEUFFGCUGUH $.
  $}

  ${
    $d x y $.  $d x z $.  $d x w $.  $d y z $.  $d z w $.  $d z A $.  $d w A $.
    scott0f.1 $e |- F/_ y A $.
    scott0f.2 $e |- F/_ x A $.
    $( A version of ~ scott0 with nonfree variables instead of distinct
       variables.  (Contributed by Giovanni Mascellani, 19-Aug-2018.) $)
    scott0f $p |- ( A = (/) <-> { x e. A | A. y e. A ( rank ` x )
         C_ ( rank ` y ) } = (/) ) $=
      ( vw vz c0 wceq cv crnk cfv wss wral crab scott0 nfcv nfv fveq2 sseq2d
      cbvralfw rabbii nfralw sseq1d ralbidv cbvrabw eqtr4i eqeq1i bitr4i ) CHIF
      JZKLZGJZKLZMZGCNZFCOZHIAJZKLZBJZKLZMZBCNZACOZHIFGCPVCUPHVCURUMMZGCNZACOUP
      VBVEACVAVDBGCDGCQVAGRVDBRUSULIUTUMURUSULKSTUAUBUOVEFACFCQEUNAGCEUNARUCVEF
      RUJUQIZUNVDGCVFUKURUMUJUQKSUDUEUFUGUHUI $.
  $}

  ${
    $d x y $.
    scottn0f.1 $e |- F/_ y A $.
    scottn0f.2 $e |- F/_ x A $.
    $( A version of ~ scott0f with inequalities instead of equalities.
       (Contributed by Giovanni Mascellani, 19-Aug-2018.) $)
    scottn0f $p |- ( A =/= (/) <-> { x e. A | A. y e. A ( rank ` x )
         C_ ( rank ` y ) } =/= (/) ) $=
      ( c0 cv crnk cfv wss wral crab scott0f necon3bii ) CFAGHIBGHIJBCKACLFABCD
      EMN $.
  $}

  ${
    $d ph f $.  $d x y $.  $d x A $.  $d x f $.  $d y f $.  $d A f $.
    ac6s3f.1 $e |- F/ y ps $.
    ac6s3f.2 $e |- A e. _V $.
    ac6s3f.3 $e |- ( y = ( f ` x ) -> ( ph <-> ps ) ) $.
    $( Generalization of the Axiom of Choice to classes, with bound-variable
       hypothesis.  (Contributed by Giovanni Mascellani, 19-Aug-2018.) $)
    ac6s3f $p |- ( A. x e. A E. y ph -> E. f A. x e. A ps ) $=
      ( wex wral cvv wrex cv wf wa rexv ralbii biimpri ac6sf exsimpr 3syl ) ADJ
      ZCEKZADLMZCEKZELFNOZBCEKZPFJUHFJUFUDUEUCCEADQRSABCDELFGHITUGUHFUAUB $.
  $}

  ${
    $d ph f $.  $d x y $.  $d x A $.  $d x f $.  $d y f $.  $d A f $.
    ac6s6.1 $e |- F/ y ps $.
    ac6s6.2 $e |- A e. _V $.
    ac6s6.3 $e |- ( y = ( f ` x ) -> ( ph <-> ps ) ) $.
    $( Generalization of the Axiom of Choice to classes, moving the existence
       condition in the consequent.  (Contributed by Giovanni Mascellani,
       19-Aug-2018.) $)
    ac6s6 $p |- E. f A. x e. A ( E. y ph -> ps ) $=
      ( wi wn wo tsim3 a1d cnf2dd tsim2 cnfn2dd cnfn1dd a1dd wtru wex wcel wral
      cv cab cvv cif hbe1 iftrue abeq2d exbidh ibir vex exgen hbn eleq2d mpbiri
      iffalse pm2.61i rgenw nfe1 nfim cfv wceq wb wfal id ax-1 mpdd tsbi4 tsbi2
      a1i cnf1dd simplim syld tsbi3 tsim1 or32dd contrd tsbi1 efald2 ax-mp mt3d
      ord notornotel2 notornotel1 trud ac6s3f ) DUDZADUAZADUEZUFUGZUBZDUAZCEUCW
      JBJZCEUCFUAWNCEWJWNWJWNWJWMADADUHZWJADWLWJWKUFUIUJZUKULWJKZWNWIUFUBZDUAWS
      DDUMZUNWRWMWSDWJDWPUOWRWLUFWIWJWKUFURUPZUKUQUSUTWMWOCDEFWJBDADVAGVBHWJWIC
      UDFUDVCVDZWMWOVEZJZWJWMAVEZJZWJXDJZWQXBABVEZJZXFXGJZIXIXJJZXKKZVFXCXLVFKZ
      WMXCXLXMWMAXLAXMXLAWOXLAKZWMWOXLXNWMKZAXNXNJXLXNVGVLZXLXNXOALZXEXLXNWJXEX
      LXNWJXGXLXNXGKZXJXLXNXJKZXKXLXNVHXLXSXKLZXNXIXJXLMZNOZXLXRXJLZXNXFXGXLMZN
      OZXLWJXGLZXNWJXDXLPZNOZXLXNXFXJYBXLXFXJLZXNXFXGXLPZNOVIXLXQXEKZLXNWMAXLVJ
      NQOXLXNWMWOLZXCXLXNXCKZXDXLXNXDKZXGYEXLYNXGLZXNWJXDXLMZNOZXLYMXDLZXNXBXCX
      LMZNOXLYLXCLXNWMWOXLVKNOVMXLXNWJWOKZYHXLXNWRYTLBXLXNABKZXPXLXNAUUALZXHXLX
      NXBXHXLXNXBXDYQXLXBXDLZXNXBXCXLPZNOXIXJVNZVOXLUUBXHKZLXNABXLVPNQVMXLXNWRB
      YTXLWRBLYTLXNWJBXLVQNVRORVSNZXLXMWMXNLZXEXLXMWJXEXLXMWJXGXLXMXRXJXLXMXSXK
      XLXMVHXLXTXMYANOZXLYCXMYDNOZXLYFXMYGNOXLXMXFXJUUIXLYIXMYJNOVIXLUUHYKLXMWM
      AXLVPNQQXLXMXOXCLWOXLXMBWJXLXMABUUGXLXMXNBLZXHXLXMXBXHXLXMXBXDXLXMYNXGUUJ
      XLYOXMYPNOZXLUUCXMUUDNOUUEVOXLUUKUUFLXMABXLVJNQRSXLXMXOYTXCXLXOYTLZXCLZXM
      WMWOXLVTNVRQRXLXMYMXDUULXLYRXMYSNOVSWAWBWBWRWMTVEZJZWRXDJZWRWMWSVEZJZUUPX
      AWRWSJZUUSUUPJZWSWRWTVLUUTUVAJZUVBKZVFWSUVCXMWRWSUVCWRXMUVCWRUVBUVCVGZUVC
      WRKZUVAUUTUVCUVEUUPUUSUVCWRUUPWRUUOUVCPWDSSWCNZUUTUVAVNVOUVCXMUURWSKZUVCX
      MWRUURUVFUVCUUSUVBUVDUVCUUSKUVAUUTUVCUUSUVAUUSUUPUVCPWDSWCVOUVCUURKZUVGLZ
      XMUVCUVIUVAUVCUVIKZUUPUUSUVCUVJUUOWRUVCUVJWMUUOUVCUVJWMWSUVJWSJUVCUVJUVHW
      SUVJVGZWEVLUVCUVJWMUVGLZUURUVJUURJUVCUVJUURUVGUVKWFVLUVCUVLUVHLUVJWMWSUVC
      VPNQQUVCUVJXOUUOLTUVCTUVJUVCWGNUVCUVJXOTKZUUOUVCXOUVMLUUOLUVJWMTUVCVTNVRQ
      RSSUVCUVJUVAKZUVBUVCUVJVHUVCUVNUVBLUVJUUTUVAUVCMNOVSNRVSWAWBWBUUPUUQJZUVO
      KZVFUUOUVPXMWRUUOUVPXMWRUUQUVPXMUUQKZUVOUVPXMVHZUVPUVQUVOLXMUUPUUQUVPMNOZ
      UVPWRUUQLZXMWRXDUVPPZNOUVPXMUUPUVOUVRUVPUUPUVOLXMUUPUUQUVPPNOVIUVPXMWMUUO
      KZUVPXMXOWOUVPWOXMUVPWOUVOUVPVGUVPYTUUQUUPUVPYTWJUUQUVPYTWJWOYTYTJUVPYTVG
      VLUVPWJWOLYTWJBUVPPNOUVPUVTYTUWANRSWCNUVPXMUUMXCUVPXMYMXDUVPXMYNUUQUVSUVP
      YNUUQLXMWRXDUVPMNOUVPYRXMXBXCUVPMNOUVPUUNXMWMWOUVPVTNOQUVPXMWMUWBLTUVPTXM
      UVPWGNUVPXMWMUVMUWBUVPWMUVMLUWBLXMWMTUVPVPNVRQVMVSWAWBUSWHWB $.
  $}

  ${
    $d ph z $.  $d ph f $.  $d ps z $.  $d x y $.  $d x z $.  $d x f $.
    $d y z $.  $d y f $.  $d z A $.  $d z f $.  $d A f $.
    ac6s6f.1 $e |- A e. _V $.
    ac6s6f.2 $e |- F/ y ps $.
    ac6s6f.3 $e |- ( y = ( f ` x ) -> ( ph <-> ps ) ) $.
    ac6s6f.4 $e |- F/_ x A $.
    $( Generalization of the Axiom of Choice to classes, moving the existence
       condition in the consequent.  (Contributed by Giovanni Mascellani,
       20-Aug-2018.) $)
    ac6s6f $p |- E. f A. x e. A ( E. y ph -> ps ) $=
      ( vz cv wceq wex wi wral wa isseti vex ac6s6 exdistr raleqf biimpa 2eximi
      exan mpbir nfcv ax5e mp2b ) KLZEMZADNBOZCUJPZQZFNKNZULCEPZFNZKNUQUOUKUMFN
      ZQKNUKURKKEGRABCDUJFHKSITUEUKUMKFUAUFUNUPKFUKUMUPULCUJECUJUGJUBUCUDUQKUHU
      I $.
  $}

$( (End of Giovanni Mascellani's mathbox.) $)
$( End $[ set-mbox-gm.mm $] $)


$( Begin $[ set-mbox-pm.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Peter Mazsa
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $( Contents: ~ https://us.metamath.org/mpeuni/mmtheorems.html#dtl:20.21 $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Notations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c |X. $. $( Range Cartesian product symbol. $)

  $c ,~ $. $( Class of cosets symbol $)
  $c ~ $. $( Class of coelements symbol $)

  $c Rels $. $( The class of relations $)

  $c _S $. $( The class of subset relations $)

  $c Refs $. $( The class of all reflexive sets (used only once) $)
  $c RefRels $. $( The class of reflexive relations $)
  $c RefRel $. $( Reflexive relation predicate $)

  $c CnvRefs $. $( The class of all converse reflexive sets (used only
                   once) $)
  $c CnvRefRels $. $( The class of converse reflexive relations $)
  $c CnvRefRel $. $( Converse reflexive relation predicate $)

  $c Syms $. $( The class of all symmetric sets (used only once) $)
  $c SymRels $. $( The class of symmetric relations $)
  $c SymRel $. $( Symmetric relation predicate $)

  $c Trs $. $( The class of all transitive sets versus the transitive class
               defined in ~ df-tr (used only once) $)
  $c TrRels $. $( The class of transitive relations $)
  $c TrRel $. $( Transitive relation predicate $)

  $c EqvRels $. $( The class of equivalence relations $)
  $c EqvRel $. $( Equivalence relation predicate $)

  $c CoElEqvRels $. $( The class of coelement equivalence relations $)
  $c CoElEqvRel $. $( Coelement equivalence relation predicate $)

  $c Redunds $. $( The class of redundants $)
  $c Redund $. $( Redundancy predicate $)
  $c redund $. $( Redundancy operator for propositions $)

  $c DomainQss $. $( The class of all domain quotients $)
  $c DomainQs $. $( Domain quotient predicate $)

  $c Ers $. $( The class of equivalence relations on their domain
               quotients $)
  $c ErALTV $. $( Equivalence relation on its domain quotient predicate $)

  $c MembErs $. $( The class of membership equivalence relations $)
  $c MembEr $. $( Membership equivalence relation predicate $)

  $c Funss $. $( The class of all function sets (used only once) $)
  $c FunsALTV $. $( The class of functions, i.e., function relations $)
  $c FunALTV $. $( Function predicate $)

  $c Disjss $. $( The class of all disjoint sets (used only once) $)
  $c Disjs $. $( The class of disjoints, i.e., disjoint relations $)
  $c Disj $. $( Disjoint predicate $)

  $c ElDisjs $. $( The class of disjoint elements, i.e., disjoint element
                   relation $)
  $c ElDisj $. $( Disjoint elementhood predicate $)

  $( Extend the definition of a class to include the range Cartesian product
     class. $)
  cxrn $a class ( A |X. B ) $.

  $( Extend the definition of a class to include the class of cosets by a
     class.  (Read: the class of cosets by ` R ` .) $)
  ccoss $a class ,~ R $.
  $( Extend the definition of a class to include the class of coelements on a
     class.  (Read: the class of coelements on ` A ` .) $)
  ccoels $a class ~ A $.

  $( Extend the definition of a class to include the relation class. $)
  crels $a class Rels $.

  $( Extend the definition of a class to include the subset class. $)
  cssr $a class _S $.

  $( Extend the definition of a class to include the reflexivity class. $)
  crefs $a class Refs $.
  $( Extend the definition of a class to include the reflexive relations
     class. $)
  crefrels $a class RefRels $.
  $( Extend the definition of a wff to include the reflexive relation
     predicate.  (Read: ` R ` is a reflexive relation.) $)
  wrefrel $a wff RefRel R $.

  $( Extend the definition of a class to include the converse reflexivity
     class. $)
  ccnvrefs $a class CnvRefs $.
  $( Extend the definition of a class to include the converse reflexive
     relations class. $)
  ccnvrefrels $a class CnvRefRels $.
  $( Extend the definition of a wff to include the converse reflexive relation
     predicate.  (Read: ` R ` is a converse reflexive relation.) $)
  wcnvrefrel $a wff CnvRefRel R $.

  $( Extend the definition of a class to include the symmetry class. $)
  csyms $a class Syms $.
  $( Extend the definition of a class to include the symmetry relations
     class. $)
  csymrels $a class SymRels $.
  $( Extend the definition of a wff to include the symmetry relation predicate.
     (Read: ` R ` is a symmetric relation.) $)
  wsymrel $a wff SymRel R $.

  $( Extend the definition of a class to include the transitivity class (but
     cf. the transitive class defined in ~ df-tr ). $)
  ctrs $a class Trs $.
  $( Extend the definition of a class to include the transitive relations
     class. $)
  ctrrels $a class TrRels $.
  $( Extend the definition of a wff to include the transitive relation
     predicate.  (Read: ` R ` is a transitive relation.) $)
  wtrrel $a wff TrRel R $.

  $( Extend the definition of a class to include the equivalence relations
     class. $)
  ceqvrels $a class EqvRels $.
  $( Extend the definition of a wff to include the equivalence relation
     predicate.  (Read: ` R ` is an equivalence relation.) $)
  weqvrel $a wff EqvRel R $.

  $( Extend the definition of a class to include the coelement equivalence
     relations class. $)
  ccoeleqvrels $a class CoElEqvRels $.
  $( Extend the definition of a wff to include the coelement equivalence
     relation predicate.  (Read: the coelement equivalence relation on
     ` A ` .) $)
  wcoeleqvrel $a wff CoElEqvRel A $.

  $( Extend the definition of a class to include the redundancy class. $)
  credunds $a class Redunds $.
  $( Extend the definition of a wff to include the redundancy predicate.
     (Read: ` A ` is redundant with respect to ` B ` in ` C ` .) $)
  wredund $a wff A Redund <. B , C >. $.
  $( Extend wff definition to include the redundancy operator for
     propositions. $)
  wredundp $a wff redund ( ph , ps , ch ) $.

  $( Extend the definition of a class to include the domain quotients class. $)
  cdmqss $a class DomainQss $.
  $( Extend the definition of a wff to include the domain quotient predicate.
     (Read: the domain quotient of ` R ` is ` A ` .) $)
  wdmqs $a wff R DomainQs A $.

  $( Extend the definition of a class to include the equivalence relations on
     their domain quotients class. $)
  cers $a class Ers $.
  $( Extend the definition of a wff to include the equivalence relation on its
     domain quotient predicate.  (Read: ` R ` is an equivalence relation on its
     domain quotient ` A ` .) $)
  werALTV $a wff R ErALTV A $.

  $( Extend the definition of a class to include the membership equivalence
     relations class. $)
  cmembers $a class MembErs $.
  $( Extend the definition of a wff to include the membership equivalence
     relation predicate.  (Read: the membership equivalence relation on ` A ` ,
     or, the restricted elementhood equivalence relation on its domain quotient
     ` A ` .) $)
  wmember $a wff MembEr A $.

  $( Extend the definition of a class to include the function set class. $)
  cfunss $a class Funss $.
  $( Extend the definition of a class to include the functions class, i.e., the
     function relations class. $)
  cfunsALTV $a class FunsALTV $.
  $( Extend the definition of a wff to include the function predicate, i.e.,
     the function relation predicate.  (Read: ` F ` is a function.) $)
  wfunALTV $a wff FunALTV F $.

  $( Extend the definition of a class to include the disjoint set class. $)
  cdisjss $a class Disjss $.
  $( Extend the definition of a class to include the disjoints class, i.e., the
     disjoint relations class. $)
  cdisjs $a class Disjs $.
  $( Extend the definition of a wff to include the disjoint predicate, i.e.,
     the disjoint relation predicate.  (Read: ` R ` is a disjoint.) $)
  wdisjALTV $a wff Disj R $.

  $( Extend the definition of a class to include the disjoint elements class,
     i.e., the disjoint elementhood relations class. $)
  celdisjs $a class ElDisjs $.
  $( Extend the definition of a wff to include the disjoint elementhood
     predicate, i.e., the disjoint elementhood relation predicate.  (Read: the
     elements of ` A ` are disjoint.) $)
  weldisj $a wff ElDisj A $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Preparatory theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    el2v1.1 $e |- ( ( x e. _V /\ ph ) -> ps ) $.
    $( New way ( ~ elv , and the theorems beginning with "el2v" or "el3v") to
       shorten some proofs.  (Contributed by Peter Mazsa, 23-Oct-2018.) $)
    el2v1 $p |- ( ph -> ps ) $=
      ( cv cvv wcel vex mpan ) CEFGABCHDI $.
  $}

  ${
    el3v.1 $e |- ( ( x e. _V /\ y e. _V /\ z e. _V ) -> ph ) $.
    $( New way ( ~ elv , and the theorems beginning with "el2v" or "el3v") to
       shorten some proofs.  Inference forms (with ` |- A e. _V ` ,
       ` |- B e. _V ` and ` |- C e. _V ` hypotheses) of the general theorems
       (proving ` |- ( ( A e. V /\ B e. W /\ C e. X ) -> ` assertions) may be
       superfluous.  (Contributed by Peter Mazsa, 13-Oct-2018.) $)
    el3v $p |- ph $=
      ( cv cvv wcel vex mp3an ) BFGHCFGHDFGHABICIDIEJ $.
  $}

  ${
    el3v1.1 $e |- ( ( x e. _V /\ ps /\ ch ) -> th ) $.
    $( New way ( ~ elv , and the theorems beginning with "el2v" or "el3v") to
       shorten some proofs.  (Contributed by Peter Mazsa, 16-Oct-2020.) $)
    el3v1 $p |- ( ( ps /\ ch ) -> th ) $=
      ( cv cvv wcel vex mp3an1 ) DFGHABCDIEJ $.
  $}

  ${
    el3v2.1 $e |- ( ( ph /\ y e. _V /\ ch ) -> th ) $.
    $( New way ( ~ elv , and the theorems beginning with "el2v" or "el3v") to
       shorten some proofs.  (Contributed by Peter Mazsa, 16-Oct-2020.) $)
    el3v2 $p |- ( ( ph /\ ch ) -> th ) $=
      ( cv cvv wcel vex mp3an2 ) ADFGHBCDIEJ $.
  $}

  ${
    el3v3.1 $e |- ( ( ph /\ ps /\ z e. _V ) -> th ) $.
    $( New way ( ~ elv , and the theorems beginning with "el2v" or "el3v") to
       shorten some proofs.  (Contributed by Peter Mazsa, 16-Oct-2020.) $)
    el3v3 $p |- ( ( ph /\ ps ) -> th ) $=
      ( cv cvv wcel vex mp3an3 ) ABDFGHCDIEJ $.
  $}

  ${
    el3v12.1 $e |- ( ( x e. _V /\ y e. _V /\ ch ) -> th ) $.
    $( New way ( ~ elv , and the theorems beginning with "el2v" or "el3v") to
       shorten some proofs.  (Contributed by Peter Mazsa, 11-Jul-2021.) $)
    el3v12 $p |- ( ch -> th ) $=
      ( cv cvv wcel el3v1 el2v1 ) ABDDFGHABCEIJ $.
  $}

  ${
    el3v13.1 $e |- ( ( x e. _V /\ ps /\ z e. _V ) -> th ) $.
    $( New way ( ~ elv , and the theorems beginning with "el2v" or "el3v") to
       shorten some proofs.  (Contributed by Peter Mazsa, 11-Jul-2021.) $)
    el3v13 $p |- ( ps -> th ) $=
      ( cv cvv wcel el3v3 el2v1 ) ABCCFGHABDEIJ $.
  $}

  ${
    el3v23.1 $e |- ( ( ph /\ y e. _V /\ z e. _V ) -> th ) $.
    $( New way ( ~ elv , and the theorems beginning with "el2v" or "el3v") to
       shorten some proofs.  (Contributed by Peter Mazsa, 11-Jul-2021.) $)
    el3v23 $p |- ( ph -> th ) $=
      ( cv cvv wcel el3v3 elvd ) ABCACFGHBDEIJ $.
  $}

  $( Double commutation in conjunction.  (Contributed by Peter Mazsa,
     27-Jun-2019.) $)
  an2anr $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) <->
                 ( ( ps /\ ph ) /\ ( th /\ ch ) ) ) $=
    ( wa ancom anbi12i ) ABEBAECDEDCEABFCDFG $.

  $( Multiple commutations in conjunction.  (Contributed by Peter Mazsa,
     7-Mar-2020.) $)
  anan $p |- ( ( ( ( ph /\ ps ) /\ ch ) /\ ( ( ph /\ th ) /\ ta ) ) <->
               ( ( ps /\ th ) /\ ( ph /\ ( ch /\ ta ) ) ) ) $=
    ( wa an4 anandi ancom bitr3i anbi1i anass 3bitri ) ABFZCFADFZEFFNOFZCEFZFBD
    FZAFZQFRAQFFNCOEGPSQPARFSABDHARIJKRAQLM $.

  ${
    triantru3.1 $e |- ph $.
    triantru3.2 $e |- ps $.
    $( A wff is equivalent to its conjunctions with truths.  (Contributed by
       Peter Mazsa, 30-Nov-2018.) $)
    triantru3 $p |- ( ch <-> ( ph /\ ps /\ ch ) ) $=
      ( wa w3a biantrur 3anass 3bitr4i ) BCFZAKFCABCGAKDHBCEHABCIJ $.
  $}

  $( Substitution of equal classes into elementhood relation.  (Contributed by
     Peter Mazsa, 22-Jul-2017.) $)
  eqeltr $p |- ( ( A = B /\ B e. C ) -> A e. C ) $=
    ( wceq wcel eleq1 biimpar ) ABDACEBCEABCFG $.

  $( Substitution of equal classes into elementhood relation.  (Contributed by
     Peter Mazsa, 17-Jul-2019.) $)
  eqelb $p |- ( ( A = B /\ A e. C ) <-> ( A = B /\ B e. C ) ) $=
    ( wceq wcel wa simpl eqeltr jca eqcom anbi1i 3imtr3i impbii ) ABDZACEZFZNBC
    EZFZBADZOFZSQFPRTSQSOGBACHISNOBAJZKSNQUAKLRNONQGABCHIM $.

  ${
    eqeqan2d.1 $e |- ( ph -> C = D ) $.
    $( Implication of introducing a new equality.  (Contributed by Peter Mazsa,
       17-Apr-2019.) $)
    eqeqan2d $p |- ( ( A = B /\ ph ) -> ( A = C <-> B = D ) ) $=
      ( wceq wb eqeq12 sylan2 ) ABCGDEGBDGCEGHFBCDEIJ $.
  $}

  $( Two ways of expressing the restriction of an intersection.  (Contributed
     by Peter Mazsa, 5-Jun-2021.) $)
  inres2 $p |- ( ( R |` A ) i^i S ) = ( ( R i^i S ) |` A ) $=
    ( cres cin inres ineqcomi incom reseq1i eqtr4i ) BADZCECBEZADZBCEZADCKMCBAF
    GNLABCHIJ $.

  $( Equality theorem for composition of two classes.  (Contributed by Peter
     Mazsa, 23-Sep-2021.) $)
  coideq $p |- ( A = B -> ( A o. A ) = ( B o. B ) ) $=
    ( wceq ccom coeq1 coeq2 eqtrd ) ABCAADBADBBDABAEABBFG $.

  $( If there is no case where wff is true, it is true for at most one case.
     (Contributed by Peter Mazsa, 27-Sep-2021.) $)
  nexmo1 $p |- ( -. E. x ph -> E* x ph ) $=
    ( wex wn weu wi wmo pm2.21 moeu sylibr ) ABCZDKABEZFABGKLHABIJ $.

  ${
    3albii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding three universal quantifiers to both sides of an
       equivalence.  (Contributed by Peter Mazsa, 10-Aug-2018.) $)
    3albii $p |- ( A. x A. y A. z ph <-> A. x A. y A. z ps ) $=
      ( wal 2albii albii ) AEGDGBEGDGCABDEFHI $.
  $}

  ${
    3ralbii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding three restricted universal quantifiers to both sides of
       an equivalence.  (Contributed by Peter Mazsa, 25-Jul-2019.) $)
    3ralbii $p |- ( A. x e. A A. y e. B A. z e. C ph <->
                    A. x e. A A. y e. B A. z e. C ps ) $=
      ( wral 2ralbii ralbii ) AEHJDGJBEHJDGJCFABDEGHIKL $.
  $}

  ${
    ssrabi.1 $e |- ( ph -> ps ) $.
    $( Inference of restricted abstraction subclass from implication.
       (Contributed by Peter Mazsa, 26-Oct-2022.) $)
    ssrabi $p |- { x e. A | ph } C_ { x e. A | ps } $=
      ( wi cv wcel a1i ss2rabi ) ABCDABFCGDHEIJ $.
  $}

  ${
    rabbieq.1 $e |- B = { x e. A | ph } $.
    rabbieq.2 $e |- ( ph <-> ps ) $.
    $( Equivalent wff's correspond to restricted class abstractions which are
       equal with the same class.  (Contributed by Peter Mazsa, 8-Jul-2019.) $)
    rabbieq $p |- B = { x e. A | ps } $=
      ( crab rabbii eqtri ) EACDHBCDHFABCDGIJ $.
  $}

  ${
    rabimbieq.1 $e |- B = { x e. A | ph } $.
    rabimbieq.2 $e |- ( x e. A -> ( ph <-> ps ) ) $.
    $( Restricted equivalent wff's correspond to restricted class abstractions
       which are equal with the same class.  (Contributed by Peter Mazsa,
       22-Jul-2021.) $)
    rabimbieq $p |- B = { x e. A | ps } $=
      ( crab rabbiia eqtri ) EACDHBCDHFABCDGIJ $.
  $}

  ${
    $d C x $.
    abeqin.1 $e |- A = ( B i^i C ) $.
    abeqin.2 $e |- B = { x | ph } $.
    $( Intersection with class abstraction.  (Contributed by Peter Mazsa,
       21-Jul-2021.) $)
    abeqin $p |- A = { x e. C | ph } $=
      ( cin cab crab ineq1i dfrab2 3eqtr4i ) DEHABIZEHCABEJDNEGKFABELM $.
  $}

  ${
    $d C x $.
    abeqinbi.1 $e |- A = ( B i^i C ) $.
    abeqinbi.2 $e |- B = { x | ph } $.
    abeqinbi.3 $e |- ( x e. C -> ( ph <-> ps ) ) $.
    $( Intersection with class abstraction and equivalent wff's.  (Contributed
       by Peter Mazsa, 21-Jul-2021.) $)
    abeqinbi $p |- A = { x e. C | ps } $=
      ( abeqin rabimbieq ) ABCFDACDEFGHJIK $.
  $}

  ${
    $d A x $.  $d C x $.  $d ps x $.
    rabeqel.1 $e |- B = { x e. A | ph } $.
    rabeqel.2 $e |- ( x = C -> ( ph <-> ps ) ) $.
    $( Class element of a restricted class abstraction.  (Contributed by Peter
       Mazsa, 24-Jul-2021.) $)
    rabeqel $p |- ( C e. B <-> ( ps /\ C e. A ) ) $=
      ( wcel elrab2 biancomi ) FEIBFDIABCFDEHGJK $.
  $}

  ${
    $d A u v $.  $d B u v $.  $d u v x y $.
    eqrelf.1 $e |- F/_ x A $.
    eqrelf.2 $e |- F/_ x B $.
    eqrelf.3 $e |- F/_ y A $.
    eqrelf.4 $e |- F/_ y B $.
    $( The equality connective between relations.  (Contributed by Peter Mazsa,
       25-Jun-2019.) $)
    eqrelf $p |- ( ( Rel A /\ Rel B ) ->
      ( A = B <-> A. x A. y ( <. x , y >. e. A <-> <. x , y >. e. B ) ) ) $=
      ( vu vv wrel wa wceq cv cop wcel wb wal nfv nfel2 bibi12d cbval2v bitr4di
      eqrel nfbi opeq12 eleq1d ) CKDKLCDMINZJNZOZCPZUJDPZQZJRIRANZBNZOZCPZUPDPZ
      QZBRARIJCDUDUSUMABIJUSISUSJSUKULAAUJCETAUJDFTUEUKULBBUJCGTBUJDHTUEUNUHMUO
      UIMLZUQUKURULUTUPUJCUNUOUHUIUFZUGUTUPUJDVAUGUAUBUC $.
  $}

  $( Elementhood in a converse ` R ` -coset when ` R ` is a relation.
     (Contributed by Peter Mazsa, 9-Dec-2018.) $)
  releleccnv $p |- ( Rel R -> ( A e. [ B ] `' R <-> A R B ) ) $=
    ( ccnv cec wcel wbr wrel wb relcnv relelec ax-mp relbrcnvg syl5bb ) ABCDZEF
    ZBAOGZCHABCGOHPQICJABOKLBACMN $.

  ${
    $d A x $.  $d B x $.  $d R x $.  $d S x $.
    $( Equality of converse ` R ` -coset and converse ` S ` -coset when ` R `
       and ` S ` are relations.  (Contributed by Peter Mazsa, 27-Jul-2019.) $)
    releccnveq $p |- ( ( Rel R /\ Rel S ) ->
                       ( [ A ] `' R = [ B ] `' S <->
                         A. x ( x R A <-> x S B ) ) ) $=
      ( ccnv cec wceq cv wcel wb wal wrel wbr dfcleq releleccnv bi2bian9 albidv
      wa syl5bb ) BDFGZCEFGZHAIZUAJZUCUBJZKZALDMZEMZSZUCBDNZUCCENZKZALAUAUBOUIU
      FULAUGUDUJUHUEUKUCBDPUCCEPQRT $.
  $}

  $( Negated elementhood of ordered pair.  (Contributed by Peter Mazsa,
     14-Jan-2019.) $)
  opelvvdif $p |- ( ( A e. V /\ B e. W ) ->
                    ( <. A , B >. e. ( ( _V X. _V ) \ R ) <->
                      -. <. A , B >. e. R ) ) $=
    ( wcel wa cop cvv cxp cdif wn eldif opelvvg biantrurd bitr4id ) ADFBEFGZABH
    ZIIJZCKFRSFZRCFLZGUARSCMQTUAABDENOP $.

  ${
    $d x y $.
    $( Ordered-pair class abstraction defined by a negation.  (Contributed by
       Peter Mazsa, 25-Jun-2019.) $)
    vvdifopab $p |- ( ( _V X. _V ) \ { <. x , y >. | ph } ) =
                    { <. x , y >. | -. ph } $=
      ( cvv cxp copab cdif wn wceq cv cop wcel wb wal opabidw wrel nfcv nfopab1
      nfdif nfopab2 notbii opelvvdif 3bitr4i relxp reldif ax-mp relopabv eqrelf
      el2v gen2 mp2an mpbir ) DDEZABCFZGZAHZBCFZIZBJZCJZKZUOLZVAUQLZMZCNBNZVDBC
      VAUNLZHZUPVBVCVFAABCOUAVBVGMBCUSUTUNDDUBUIUPBCOUCUJUOPZUQPURVEMUMPVHDDUDU
      MUNUEUFUPBCUGBCUOUQBUMUNBUMQABCRSUPBCRCUMUNCUMQABCTSUPBCTUHUKUL $.
  $}

  $( Binary relation with universal complement is the negation of the relation.
     (Contributed by Peter Mazsa, 1-Jul-2018.) $)
  brvdif $p |- ( A ( _V \ R ) B <-> -. A R B ) $=
    ( cvv cdif wbr wn brv brdif mpbiran ) ABDCEFABDFABCFGABHABDCIJ $.

  $( Binary relation with universal complement.  (Contributed by Peter Mazsa,
     14-Jul-2018.) $)
  brvdif2 $p |- ( A ( _V \ R ) B <-> -. <. A , B >. e. R ) $=
    ( cvv cdif wbr cop wcel brvdif df-br xchbinx ) ABDCEFABCFABGCHABCIABCJK $.

  $( Binary relation with the complement under the universal class of ordered
     pairs.  (Contributed by Peter Mazsa, 9-Nov-2018.) $)
  brvvdif $p |- ( ( A e. V /\ B e. W ) ->
                  ( A ( ( _V X. _V ) \ R ) B <-> -. A R B ) ) $=
    ( wcel wa cop cvv cxp cdif wn wbr opelvvdif df-br notbii 3bitr4g ) ADFBEFGA
    BHZIIJCKZFRCFZLABSMABCMZLABCDENABSOUATABCOPQ $.

  $( Binary relation with the complement under the universal class of ordered
     pairs is the same as with universal complement.  (Contributed by Peter
     Mazsa, 28-Nov-2018.) $)
  brvbrvvdif $p |- ( ( A e. V /\ B e. W ) ->
                     ( A ( ( _V X. _V ) \ R ) B <-> A ( _V \ R ) B ) ) $=
    ( wcel wa cvv cxp cdif wbr wn brvvdif brvdif bitr4di ) ADFBEFGABHHICJKABCKL
    ABHCJKABCDEMABCNO $.

  $( The converse of the binary epsilon relation.  (Contributed by Peter Mazsa,
     30-Jan-2018.) $)
  brcnvep $p |- ( A e. V -> ( A `' _E B <-> B e. A ) ) $=
    ( cep ccnv wbr wcel rele relbrcnv epelg syl5bb ) ABDEFBADFACGBAGABDHIBACJK
    $.

  $( Elementhood in the ` R ` -coset of ` A ` .  Theorem 72 of [Suppes] p. 82.
     (I think we should replace ~ elecg with this original form of Suppes.
     Peter Mazsa).  (Contributed by Mario Carneiro, 9-Jul-2014.) $)
  elecALTV $p |- ( ( A e. V /\ B e. W ) -> ( B e. [ A ] R <-> A R B ) ) $=
    ( wcel wa csn cima cop cec wbr elimasng df-ec eleq2i df-br 3bitr4g ) ADFBEF
    GBCAHIZFABJCFBACKZFABCLCABDEMSRBACNOABCPQ $.

  $( Restricted converse epsilon binary relation.  (Contributed by Peter Mazsa,
     10-Feb-2018.) $)
  brcnvepres $p |- ( ( B e. V /\ C e. W ) ->
                     ( B ( `' _E |` A ) C <-> ( B e. A /\ C e. B ) ) ) $=
    ( wcel cep ccnv cres wbr wa brres brcnvep anbi2d sylan9bbr ) CEFBCGHZAIJBAF
    ZBCPJZKBDFZQCBFZKABCPELSRTQBCDMNO $.

  $( Binary relation on a restriction.  (Contributed by Peter Mazsa,
     2-Jan-2019.)  (Revised by Peter Mazsa, 16-Dec-2021.) $)
  brres2 $p |- ( B ( R |` A ) C <-> B ( R i^i ( A X. ran ( R |` A ) ) ) C ) $=
    ( cres crn wcel wbr wa cxp cin pm5.32i relres relelrni pm4.71ri w3a brinxp2
    brres df-3an 3anan12 3bitr2i 3bitr4i ) CDAEZFZGZBCUCHZIUEBAGZBCDHZIZIZUFBCD
    AUDJKHZUEUFUIABCDUDRLUFUEBCUCDAMNOUKUGUEIUHIUGUEUHPUJAUDBCDQUGUEUHSUGUEUHTU
    AUB $.

  ${
    $d A y $.  $d B y $.  $d R y $.
    $( Elementhood in the domain of a restriction.  (Contributed by Peter
       Mazsa, 9-Jan-2019.) $)
    eldmres $p |- ( B e. V ->
                    ( B e. dom ( R |` A ) <-> ( B e. A /\ E. y B R y ) ) ) $=
      ( wcel cres cdm cv wbr wex wa eldmg wb cvv brres elv exbii 19.42v bitri
      bitrdi ) CEFCDBGZHFCAIZUBJZAKZCBFZCUCDJZAKLZACUBEMUEUFUGLZAKUHUDUIAUDUINA
      BCUCDOPQRUFUGASTUA $.
  $}

  ${
    $d A y $.  $d R y $.  $d V y $.
    $( Elementhood in a domain.  (Contributed by Peter Mazsa, 24-Oct-2018.) $)
    eldm4 $p |- ( A e. V -> ( A e. dom R <-> E. y y e. [ A ] R ) ) $=
      ( wcel cdm cv wbr wex cec eldmg wb cvv elecALTV elvd exbidv bitr4d ) BDEZ
      BCFEBAGZCHZAISBCJEZAIABCDKRUATARUATLABSCDMNOPQ $.
  $}

  ${
    $d A y $.  $d B y $.  $d R y $.  $d V y $.
    $( Elementhood in the domain of a restriction.  (Contributed by Peter
       Mazsa, 21-Aug-2020.) $)
    eldmres2 $p |- ( B e. V ->
        ( B e. dom ( R |` A ) <-> ( B e. A /\ E. y y e. [ B ] R ) ) ) $=
      ( wcel cres cdm cv wbr wex wa cec eldmres eldmg eldm4 bitr3d anbi2d bitrd
      ) CEFZCDBGHFCBFZCAIZDJAKZLUAUBCDMFAKZLABCDENTUCUDUATCDHFUCUDACDEOACDEPQRS
      $.
  $}

  ${
    eceq1i.1 $e |- A = B $.
    $( Equality theorem for ` C ` -coset of ` A ` and ` C ` -coset of ` B ` ,
       inference version.  (Contributed by Peter Mazsa, 11-May-2021.) $)
    eceq1i $p |- [ A ] C = [ B ] C $=
      ( wceq cec eceq1 ax-mp ) ABEACFBCFEDABCGH $.
  $}

  $( Elementhood in the restricted coset of ` B ` .  (Contributed by Peter
     Mazsa, 21-Sep-2018.) $)
  elecres $p |- ( C e. V ->
                  ( C e. [ B ] ( R |` A ) <-> ( B e. A /\ B R C ) ) ) $=
    ( cres cec wcel wbr wa wrel wb relres relelec ax-mp brres syl5bb ) CBDAFZGH
    ZBCRIZCEHBAHBCDIJRKSTLDAMCBRNOABCDEPQ $.

  ${
    $d A x $.  $d B x $.  $d R x $.
    $( Restricted coset of ` B ` .  (Contributed by Peter Mazsa,
       9-Dec-2018.) $)
    ecres $p |- [ B ] ( R |` A ) = { x | ( B e. A /\ B R x ) } $=
      ( wcel cv wbr wa cres cec wb cvv elecres elv abbi2i ) CBECAFZDGHZACDBIJZP
      REQKABCPDLMNO $.
  $}

  ${
    $d A y $.  $d B y $.  $d R y $.
    $( The restricted coset of ` B ` when ` B ` is an element of the
       restriction.  (Contributed by Peter Mazsa, 16-Oct-2018.) $)
    ecres2 $p |- ( B e. A -> [ B ] ( R |` A ) = [ B ] R ) $=
      ( vy wcel cres cec cv wbr cab wa wb cvv elecres baib abbi2dv dfec2 eqtr4d
      elv ) BAEZBCAFGZBDHZCIZDJBCGTUCDUAUBUAEZTUCUDTUCKLDABUBCMNSOPDBCAQR $.
  $}

  ${
    $d A x $.  $d B x $.  $d V x $.
    $( Restricted converse epsilon coset of ` B ` .  (Contributed by Peter
       Mazsa, 11-Feb-2018.)  (Revised by Peter Mazsa, 21-Oct-2021.) $)
    eccnvepres $p |- ( B e. V ->
                       [ B ] ( `' _E |` A ) = { x e. B | B e. A } ) $=
      ( wcel cv cep ccnv wbr wa cab cres cec crab brcnvep anbi1cd abbidv df-rab
      ecres 3eqtr4g ) CDEZCBEZCAFZGHZIZJZAKUCCEZUBJZAKCUDBLMUBACNUAUFUHAUAUEUGU
      BCUCDOPQABCUDSUBACRT $.
  $}

  $( Elementhood in the converse epsilon coset of ` A ` is elementhood in
     ` A ` .  (Contributed by Peter Mazsa, 27-Jan-2019.) $)
  eleccnvep $p |- ( A e. V -> ( B e. [ A ] `' _E <-> B e. A ) ) $=
    ( cep ccnv cec wcel wbr wrel wb relcnv relelec ax-mp brcnvep syl5bb ) BADEZ
    FGZABPHZACGBAGPIQRJDKBAPLMABCNO $.

  ${
    $d A x $.  $d V x $.
    $( The converse epsilon coset of a set is the set.  (Contributed by Peter
       Mazsa, 27-Jan-2019.) $)
    eccnvep $p |- ( A e. V -> [ A ] `' _E = A ) $=
      ( vx wcel cep ccnv cec cv eleccnvep eqrdv ) ABDCAEFGAACHBIJ $.
  $}

  $( Property of epsilon relation, see also ~ extid , ~ extssr and the comment
     of ~ df-ssr .  (Contributed by Peter Mazsa, 10-Jul-2019.) $)
  extep $p |- ( ( A e. V /\ B e. W ) ->
                ( [ A ] `' _E = [ B ] `' _E <-> A = B ) ) $=
    ( wcel cep ccnv cec eccnvep eqeqan12d ) ACEBDEAFGZHABKHBACIBDIJ $.

  $( The restricted converse epsilon coset of an element of the restriction is
     the element itself.  (Contributed by Peter Mazsa, 16-Jul-2019.) $)
  eccnvepres2 $p |- ( B e. A -> [ B ] ( `' _E |` A ) = B ) $=
    ( wcel cep ccnv cres cec ecres2 eccnvep eqtrd ) BACBDEZAFGBKGBABKHBAIJ $.

  $( Condition for a restricted converse epsilon coset of a set to be the set
     itself.  (Contributed by Peter Mazsa, 11-May-2021.) $)
  eccnvepres3 $p |- ( B e. dom ( `' _E |` A ) ->
                      [ B ] ( `' _E |` A ) = B ) $=
    ( cep ccnv cres cdm wcel cec resdmres eceq2i eccnvepres2 eqtr3id ) BCDZAEZF
    ZGBNHBMOEZHBPNBMAIJOBKL $.

  ${
    $d A u x $.  $d B u $.  $d R u x $.
    $( Elementhood in a restricted domain quotient set.  (Contributed by Peter
       Mazsa, 21-Aug-2020.) $)
    eldmqsres $p |- ( B e. V ->
       ( B e. ( dom ( R |` A ) /. ( R |` A ) ) <->
         E. u e. A ( E. x x e. [ u ] R /\ B = [ u ] R ) ) ) $=
      ( wcel cres cdm cqs cv cec wceq wrex wex wa elqsg wb cvv eldmres2 pm5.32i
      elv anbi1i ecres2 eqeq2d anbi2i an21 an12 3bitr4i bitri rexbii2 bitrdi )
      DFGDECHZIZUMJGDBKZUMLZMZBUNNAKUOELZGAOZDURMZPZBCNBUNDUMFQUQVABUNCUOUNGZUQ
      PUOCGZUSPZUQPZVCVAPZVBVDUQVBVDRBACUOESTUBUCUSVCUQPZPUSVCUTPZPVEVFVGVHUSVC
      UQUTVCUPURDCUOEUDUEUAUFVCUSUQUGVCUSUTUHUIUJUKUL $.
  $}

  ${
    $d A u x $.  $d B u x $.  $d R u x $.
    $( Elementhood in a restricted domain quotient set.  (Contributed by Peter
       Mazsa, 22-Aug-2020.) $)
    eldmqsres2 $p |- ( B e. V ->
       ( B e. ( dom ( R |` A ) /. ( R |` A ) ) <->
         E. u e. A E. x e. [ u ] R B = [ u ] R ) ) $=
      ( wcel cres cdm cqs cv cec wex wceq wa wrex eldmqsres df-rex 19.41v bitri
      rexbii bitr4di ) DFGDECHZIUCJGAKBKELZGZAMDUDNZOZBCPUFAUDPZBCPABCDEFQUHUGB
      CUHUEUFOAMUGUFAUDRUEUFASTUAUB $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.
    $( Subclass theorem for quotient sets.  (Contributed by Peter Mazsa,
       12-Sep-2020.) $)
    qsss1 $p |- ( A C_ B -> ( A /. C ) C_ ( B /. C ) ) $=
      ( vy vx wss cv cec wceq wrex cab cqs ssrexv ss2abdv df-qs 3sstr4g ) ABFZD
      GEGCHIZEAJZDKREBJZDKACLBCLQSTDREABMNEDACOEDBCOP $.
  $}

  ${
    qseq1i.1 $e |- A = B $.
    $( Equality theorem for quotient set, inference form.  (Contributed by
       Peter Mazsa, 3-Jun-2021.) $)
    qseq1i $p |- ( A /. C ) = ( B /. C ) $=
      ( wceq cqs qseq1 ax-mp ) ABEACFBCFEDABCGH $.
  $}

  ${
    qseq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for quotient set, deduction form.  (Contributed by
       Peter Mazsa, 27-May-2021.) $)
    qseq1d $p |- ( ph -> ( A /. C ) = ( B /. C ) ) $=
      ( wceq cqs qseq1 syl ) ABCFBDGCDGFEBCDHI $.
  $}

  $( Binary relation on a restriction.  (Contributed by Peter Mazsa,
     2-Jan-2019.) $)
  brinxprnres $p |- ( C e. V ->
                      ( B ( R i^i ( A X. ran ( R |` A ) ) ) C <->
                        ( B e. A /\ B R C ) ) ) $=
    ( cres crn cxp cin wbr wcel wa brres2 brres bitr3id ) BCDADAFZGHIJBCPJCEKBA
    KBCDJLABCDMABCDENO $.

  ${
    $d A w x y z $.  $d R w x y z $.
    $( Restriction of a class as a class of ordered pairs.  (Contributed by
       Peter Mazsa, 2-Jan-2019.) $)
    inxprnres $p |- ( R i^i ( A X. ran ( R |` A ) ) ) =
                      { <. x , y >. | ( x e. A /\ x R y ) } $=
      ( vz vw cres crn cxp cin cv wcel wbr wa copab relinxp relopabv wb cvv weq
      cop eleq1w breq1 anbi12d breq2 anbi2d opelopabg el2v brinxprnres 3bitr2ri
      elv df-br eqrelriiv ) EFDCDCGHZIJZAKZCLZUPBKZDMZNZABOZCUNDPUTABQEKZFKZUAZ
      VALZVBCLZVBVCDMZNZVBVCUOMZVDUOLVEVHREFUTVFVBURDMZNVHABVBVCSSAETUQVFUSVJAE
      CUBUPVBURDUCUDBFTVJVGVFURVCVBDUEUFUGUHVIVHRFCVBVCDSUIUKVBVCUOULUJUM $.
  $}

  ${
    $d A x y $.  $d R x y $.
    $( Alternate definition of the restriction of a class.  (Contributed by
       Peter Mazsa, 2-Jan-2019.) $)
    dfres4 $p |- ( R |` A ) = ( R i^i ( A X. ran ( R |` A ) ) ) $=
      ( vx vy cres cv wcel wbr wa copab crn cxp cin dfres2 inxprnres eqtr4i ) B
      AEZCFZAGRDFBHICDJBAQKLMCDABNCDABOP $.
  $}

  ${
    $d A u $.  $d B u $.  $d V u $.  $d W u $.
    $( Equivalent expressions with existential quantification.  (Contributed by
       Peter Mazsa, 10-Sep-2021.) $)
    exan3 $p |- ( ( A e. V /\ B e. W ) ->
                  ( E. u ( A e. [ u ] R /\ B e. [ u ] R ) <->
                    E. u ( u R A /\ u R B ) ) ) $=
      ( wcel wa cv cec wbr wb cvv elecALTV el2v1 bi2anan9 exbidv ) BEGZCFGZHBAI
      ZDJZGZCUAGZHTBDKZTCDKZHARUBUDSUCUERUBUDLATBDMENOSUCUELATCDMFNOPQ $.
  $}

  ${
    $d B u $.  $d C u $.  $d V u $.  $d W u $.
    $( Equivalent expressions with existential quantification.  (Contributed by
       Peter Mazsa, 2-May-2021.) $)
    exanres $p |- ( ( B e. V /\ C e. W ) ->
        ( E. u ( u ( R |` A ) B /\ u ( S |` A ) C ) <->
          E. u e. A ( u R B /\ u S C ) ) ) $=
      ( wcel wa cv cres wbr wex wrex brres bi2anan9 anandi bitr4di exbidv
      df-rex ) CGIZDHIZJZAKZCEBLMZUEDFBLMZJZANUEBIZUECEMZUEDFMZJZJZANULABOUDUHU
      MAUDUHUIUJJZUIUKJZJUMUBUFUNUCUGUOBUECEGPBUEDFHPQUIUJUKRSTULABUAS $.
  $}

  ${
    $d B u $.  $d C u $.  $d V u $.  $d W u $.
    $( Equivalent expressions with restricted existential quantification.
       (Contributed by Peter Mazsa, 10-Sep-2021.) $)
    exanres3 $p |- ( ( B e. V /\ C e. W ) ->
        ( E. u e. A ( B e. [ u ] R /\ C e. [ u ] S ) <->
          E. u e. A ( u R B /\ u S C ) ) ) $=
      ( wcel wa cv cec wbr wb cvv elecALTV el2v1 bi2anan9 rexbidv ) CGIZDHIZJCA
      KZELIZDUBFLIZJUBCEMZUBDFMZJABTUCUEUAUDUFTUCUENAUBCEOGPQUAUDUFNAUBDFOHPQRS
      $.
  $}

  ${
    $d B u $.  $d C u $.  $d V u $.  $d W u $.
    $( Equivalent expressions with existential quantification.  (Contributed by
       Peter Mazsa, 10-Sep-2021.) $)
    exanres2 $p |- ( ( B e. V /\ C e. W ) ->
        ( E. u ( u ( R |` A ) B /\ u ( S |` A ) C ) <->
          E. u e. A ( B e. [ u ] R /\ C e. [ u ] S ) ) ) $=
      ( wcel wa cv cres wbr wex wrex cec exanres exanres3 bitr4d ) CGIDHIJAKZCE
      BLMTDFBLMJANTCEMTDFMJABOCTEPIDTFPIJABOABCDEFGHQABCDEFGHRS $.
  $}

  ${
    $d A x y $.
    $( Restricted converse epsilon relation as a class of ordered pairs.
       (Contributed by Peter Mazsa, 10-Feb-2018.) $)
    cnvepres $p |- ( `' _E |` A ) = { <. x , y >. | ( x e. A /\ y e. x ) } $=
      ( cep ccnv cres cv wcel wbr wa copab dfres2 wb cvv brcnvep anbi2i opabbii
      elv eqtri ) DEZCFAGZCHZUABGZTIZJZABKUBUCUAHZJZABKABCTLUEUGABUDUFUBUDUFMAU
      AUCNORPQS $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Subclass relation in another form when the subclass is a relation.
       (Contributed by Peter Mazsa, 16-Feb-2019.) $)
    ssrel3 $p |- ( Rel A -> ( A C_ B <-> A. x A. y ( x A y -> x B y ) ) ) $=
      ( wrel wss cv cop wcel wi wal wbr ssrel df-br imbi12i 2albii bitr4di ) CE
      CDFAGZBGZHZCIZTDIZJZBKAKRSCLZRSDLZJZBKAKABCDMUFUCABUDUAUEUBRSCNRSDNOPQ $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Equality of relations.  (Contributed by Peter Mazsa, 8-Mar-2019.) $)
    eqrel2 $p |- ( ( Rel A /\ Rel B ) ->
                   ( A = B <-> A. x A. y ( x A y <-> x B y ) ) ) $=
      ( wrel wa wss cv wbr wi wal wceq wb ssrel3 bi2anan9 eqss 2albiim 3bitr4g
      ) CEZDEZFCDGZDCGZFAHZBHZCIZUCUDDIZJBKAKZUFUEJBKAKZFCDLUEUFMBKAKSUAUGTUBUH
      ABCDNABDCNOCDPUEUFABQR $.
  $}

  $( Range of converse is the domain.  (Contributed by Peter Mazsa,
     12-Feb-2018.) $)
  rncnv $p |- ran `' A = dom A $=
    ( cdm ccnv crn dfdm4 eqcomi ) ABACDAEF $.

  ${
    $d R x $.
    $( Alternate definition of domain.  (Contributed by Peter Mazsa,
       2-Mar-2018.) $)
    dfdm6 $p |- dom R = { x | [ x ] R =/= (/) } $=
      ( cv cec c0 wne cdm ecdmn0 abbi2i ) ACZBDEFABGJBHI $.
  $}

  ${
    $d R x $.
    $( Alternate definition of range.  (Contributed by Peter Mazsa,
       1-Aug-2018.) $)
    dfrn6 $p |- ran R = { x | [ x ] `' R =/= (/) } $=
      ( crn ccnv cdm cv cec c0 wne cab df-rn dfdm6 eqtri ) BCBDZEAFNGHIAJBKANLM
      $.
  $}

  ${
    $d A x y $.
    $( The range of the restricted converse epsilon is the union of the
       restriction.  (Contributed by Peter Mazsa, 11-Feb-2018.)  (Revised by
       Peter Mazsa, 26-Sep-2021.) $)
    rncnvepres $p |- ran ( `' _E |` A ) = U. A $=
      ( vx vy cv wcel wa copab crn wex cab ccnv cres cuni rnopab cnvepres rneqi
      cep wrex dfuni2 df-rex abbii eqtri 3eqtr4i ) BDZAECDUDEZFZBCGZHUFBIZCJZQK
      ALZHAMZUFBCNUJUGBCAOPUKUEBARZCJUICBASULUHCUEBATUAUBUC $.
  $}

  ${
    dmecd.1 $e |- ( ph -> dom R = A ) $.
    dmecd.2 $e |- ( ph -> [ B ] R = [ C ] R ) $.
    $( Equality of the coset of ` B ` and the coset of ` C ` implies
       equivalence of domain elementhood (equivalence is not necessary as
       opposed to ~ ereldm ).  (Contributed by Peter Mazsa, 9-Oct-2018.) $)
    dmecd $p |- ( ph -> ( B e. A <-> C e. A ) ) $=
      ( cdm wcel cec c0 wne neeq1d ecdmn0 3bitr4g eleq2d 3bitr3d ) ACEHZIZDRIZC
      BIDBIACEJZKLDEJZKLSTAUAUBKGMCENDENOARBCFPARBDFPQ $.
  $}

  ${
    dmec2d.1 $e |- ( ph -> [ B ] R = [ C ] R ) $.
    $( Equality of the coset of ` B ` and the coset of ` C ` implies
       equivalence of domain elementhood (equivalence is not necessary as
       opposed to ~ ereldm ).  (Contributed by Peter Mazsa, 12-Oct-2018.) $)
    dmec2d $p |- ( ph -> ( B e. dom R <-> C e. dom R ) ) $=
      ( cdm eqidd dmecd ) ADFZBCDAIGEH $.
  $}

  $( Property of the identity binary relation.  (Contributed by Peter Mazsa,
     18-Dec-2021.) $)
  brid $p |- ( A _I B <-> B _I A ) $=
    ( cid wbr ccnv cnvi breqi reli relbrcnv bitr3i ) ABCDABCEZDBACDABKCFGABCHIJ
    $.

  $( For sets, the identity binary relation is the same as equality.
     (Contributed by Peter Mazsa, 24-Jun-2020.)  (Revised by Peter Mazsa,
     18-Dec-2021.) $)
  ideq2 $p |- ( A e. V -> ( A _I B <-> A = B ) ) $=
    ( cid wbr wcel wceq brid ideqg eqcom bitrdi syl5bb ) ABDEBADEZACFZABGZABHNM
    BAGOBACIBAJKL $.

  $( Condition for the identity restriction to be a subclass of identity
     intersection with a Cartesian product.  (Contributed by Peter Mazsa,
     19-Jul-2018.) $)
  idresssidinxp $p |- ( A C_ B -> ( _I |` A ) C_ ( _I i^i ( A X. B ) ) ) $=
    ( wss cid cres cxp resss a1i idssxp xpss2 sstrid ssind ) ABCZDAEZDABFZNDCMD
    AGHMNAAFOAIABAJKL $.

  $( Condition for the identity restriction to be equal to the identity
     intersection with a Cartesian product.  (Contributed by Peter Mazsa,
     19-Jul-2018.) $)
  idreseqidinxp $p |- ( A C_ B -> ( _I i^i ( A X. B ) ) = ( _I |` A ) ) $=
    ( wss cid cxp cin cres inxpssres a1i idresssidinxp eqssd ) ABCZDABEFZDAGZMN
    CLABDHIABJK $.

  $( Property of identity relation, see also ~ extep , ~ extssr and the comment
     of ~ df-ssr .  (Contributed by Peter Mazsa, 5-Jul-2019.) $)
  extid $p |- ( A e. V -> ( [ A ] `' _I = [ B ] `' _I <-> A = B ) ) $=
    ( cid ccnv cec wceq csn wcel cnvi eceq2i ecidsn eqtri eqeq12i sneqbg syl5bb
    ) ADEZFZBQFZGAHZBHZGACIABGRTSUARADFTQDAJKALMSBDFUAQDBJKBLMNABCOP $.

  ${
    $d A x y $.  $d B x y $.  $d R x y $.  $d S x y $.
    $( Two ways to say that an intersection with a Cartesian product is a
       subclass.  (Contributed by Peter Mazsa, 16-Jul-2019.) $)
    inxpss $p |- ( ( R i^i ( A X. B ) ) C_ S <->
                   A. x e. A A. y e. B ( x R y -> x S y ) ) $=
      ( cv cxp cin wbr wi wal wcel wa wss wral brinxp2 imbi1i impexp bitri wrel
      2albii wb relinxp ssrel3 ax-mp r2al 3bitr4i ) AGZBGZECDHIZJZUIUJFJZKZBLAL
      ZUICMUJDMNZUIUJEJZUMKZKZBLALUKFOZURBDPACPUNUSABUNUPUQNZUMKUSULVAUMCDUIUJE
      QRUPUQUMSTUBUKUAUTUOUCCDEUDABUKFUEUFURABCDUGUH $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d R x y $.
    $( Two ways to say that an intersection of the identity relation with a
       Cartesian product is a subclass.  (Contributed by Peter Mazsa,
       16-Jul-2019.) $)
    idinxpss $p |- ( ( _I i^i ( A X. B ) ) C_ R <->
                     A. x e. A A. y e. B ( x = y -> x R y ) ) $=
      ( cid cxp cin wss cv wbr wi wral weq inxpss wb cvv ideqg elv imbi1i bitri
      2ralbii ) FCDGHEIAJZBJZFKZUCUDEKZLZBDMACMABNZUFLZBDMACMABCDFEOUGUIABCDUEU
      HUFUEUHPBUCUDQRSTUBUA $.
  $}

  ${
    $d x y $.  $d A y $.
    $( Two ways to say that an intersection with a Cartesian product is a
       subclass (see also ~ inxpss ).  (Contributed by Peter Mazsa,
       8-Mar-2019.) $)
    inxpss3 $p |- ( A. x A. y
        ( x ( R i^i ( A X. B ) ) y -> x ( S i^i ( A X. B ) ) y ) <->
        A. x e. A A. y e. B ( x R y -> x S y ) ) $=
      ( cv cxp cin wbr wi wal wcel wral brinxp2 imbi12i imdistan bitr4i 2albii
      wa r2al ) AGZBGZECDHZIJZUBUCFUDIJZKZBLALUBCMUCDMTZUBUCEJZUBUCFJZKZKZBLALU
      KBDNACNUGULABUGUHUITZUHUJTZKULUEUMUFUNCDUBUCEOCDUBUCFOPUHUIUJQRSUKABCDUAR
      $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d R x y $.  $d S x y $.
    $( Two ways to say that intersections with Cartesian products are in a
       subclass relation.  (Contributed by Peter Mazsa, 8-Mar-2019.) $)
    inxpss2 $p |- ( ( R i^i ( A X. B ) ) C_ ( S i^i ( A X. B ) ) <->
                    A. x e. A A. y e. B ( x R y -> x S y ) ) $=
      ( cxp cin wss cv wbr wi wal wral wrel wb relinxp ssrel3 ax-mp inxpss3
      bitri ) ECDGZHZFUBHZIZAJZBJZUCKUFUGUDKLBMAMZUFUGEKUFUGFKLBDNACNUCOUEUHPCD
      EQABUCUDRSABCDEFTUA $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d R x y $.
    $( Two ways to say that intersections with Cartesian products are in a
       subclass relation, special case of ~ inxpss2 .  (Contributed by Peter
       Mazsa, 4-Jul-2019.) $)
    inxpssidinxp $p |- ( ( R i^i ( A X. B ) ) C_ ( _I i^i ( A X. B ) ) <->
                         A. x e. A A. y e. B ( x R y -> x = y ) ) $=
      ( cxp cin cid wss cv wbr wi wral weq inxpss2 wb cvv ideqg elv imbi2i
      2ralbii bitri ) ECDFZGHUCGIAJZBJZEKZUDUEHKZLZBDMACMUFABNZLZBDMACMABCDEHOU
      HUJABCDUGUIUFUGUIPBUDUEQRSTUAUB $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d R x y $.
    $( Two ways to say that intersections with Cartesian products are in a
       subclass relation, special case of ~ inxpss2 .  (Contributed by Peter
       Mazsa, 6-Mar-2019.) $)
    idinxpssinxp $p |- ( ( _I i^i ( A X. B ) ) C_ ( R i^i ( A X. B ) ) <->
                         A. x e. A A. y e. B ( x = y -> x R y ) ) $=
      ( cid cxp cin wss cv wbr wi wral weq inxpss2 wb cvv ideqg elv imbi1i
      2ralbii bitri ) FCDGZHEUCHIAJZBJZFKZUDUEEKZLZBDMACMABNZUGLZBDMACMABCDFEOU
      HUJABCDUFUIUGUFUIPBUDUEQRSTUAUB $.
  $}

  ${
    $d A x $.  $d R x $.
    $( Identity intersection with a square Cartesian product in subclass
       relation with an intersection with the same Cartesian product.
       (Contributed by Peter Mazsa, 4-Mar-2019.)
       (Proof modification is discouraged.) $)
    idinxpssinxp2 $p |- ( ( _I i^i ( A X. A ) ) C_ ( R i^i ( A X. A ) ) <->
                          A. x e. A x R x ) $=
      ( cid cxp cin wss cv wcel wbr wa wral idinxpresid sseq1i idrefALT brinxp2
      cres pm4.24 anbi1i bitr4i ralbii 3bitri ralanid bitri ) DBBEZFZCUEFZGZAHZ
      BIZUIUICJZKZABLZUKABLUHDBQZUGGUIUIUGJZABLUMUFUNUGBMNABUGOUOULABUOUJUJKZUK
      KULBBUIUICPUJUPUKUJRSTUAUBUKABUCUD $.
  $}

  ${
    $d A x $.  $d R x $.
    $( Identity intersection with a square Cartesian product in subclass
       relation with an intersection with the same Cartesian product.
       (Contributed by Peter Mazsa, 16-Mar-2019.)
       (Proof modification is discouraged.) $)
    idinxpssinxp3 $p |- ( ( _I i^i ( A X. A ) ) C_ ( R i^i ( A X. A ) ) <->
                          ( _I |` A ) C_ R ) $=
      ( vx cid cxp cin wss cv wbr wral cres idinxpssinxp2 idrefALT bitr4i ) DAA
      EZFBOFGCHZPBICAJDAKBGCABLCABMN $.
  $}

  ${
    $d A x y $.  $d R x y $.
    $( Identity intersection with a square Cartesian product in subclass
       relation with an intersection with the same Cartesian product (see also
       ~ idinxpssinxp2 ).  (Contributed by Peter Mazsa, 8-Mar-2019.) $)
    idinxpssinxp4 $p |- ( A. x e. A A. y e. A ( x = y -> x R y ) <->
                          A. x e. A x R x ) $=
      ( weq cv wbr wi wral cid cxp cin wss idinxpssinxp idinxpssinxp2 bitr3i )
      ABEAFZBFDGHBCIACIJCCKZLDRLMQQDGACIABCCDNACDOP $.
  $}

  ${
    $d R x y $.
    $( Two ways of saying a relation is symmetric.  (Contributed by FL,
       31-Aug-2009.) $)
    relcnveq3 $p |- ( Rel R ->
                      ( R = `' R <-> A. x A. y ( x R y -> y R x ) ) ) $=
      ( ccnv wceq wss wa wrel cv wbr wi wal eqss cnvsym biimpi a1d adantl com12
      dfrel2 cnvss sseq1 syl5ibcom sylbir sylbi biimpri jca2 impbid syl5bb ) CC
      DZECUIFZUICFZGZCHZAIZBIZCJUOUNCJKBLALZCUIMUMULUPULUMUPUKUMUPKUJUKUPUMUKUP
      ABCNZOPQRUMUPUJUKUMUIDZCEZUPUJKCSUPUSUJUPUKUSUJKUQUKURUIFUSUJUICTURCUIUAU
      BUCRUDUKUPUQUEUFUGUH $.
  $}

  ${
    $d R x y $.
    $( Two ways of saying a relation is symmetric.  (Contributed by Peter
       Mazsa, 23-Aug-2018.) $)
    relcnveq $p |- ( Rel R -> ( `' R C_ R <-> `' R = R ) ) $=
      ( vx vy wrel ccnv wceq wss cv wbr wi wal relcnveq3 cnvsym bitr4di bitr3di
      eqcom ) ADZAAEZFZRAGZRAFQSBHZCHZAIUBUAAIJCKBKTBCALBCAMNARPO $.
  $}

  ${
    $d R x y $.
    $( Two ways of saying a relation is symmetric.  (Contributed by Peter
       Mazsa, 28-Apr-2019.) $)
    relcnveq2 $p |- ( Rel R ->
                      ( `' R = R <-> A. x A. y ( x R y <-> y R x ) ) ) $=
      ( wrel ccnv wss wa cv wbr wi wal wceq wb cnvsym a1i dfrel2 biimpi bitr3di
      sseq1d relbrcnvg imbi12d 2albidv bitrd anbi12d eqss 2albiim 3bitr4g ) CDZ
      CEZCFZCUIFZGAHZBHZCIZUMULCIZJBKAKZUOUNJZBKAKZGUICLUNUOMBKAKUHUJUPUKURUJUP
      MUHABCNOUHUKULUMUIIZUMULUIIZJZBKAKZURUHUIEZUIFUKVBUHVCCUIUHVCCLCPQSABUINR
      UHVAUQABUHUSUOUTUNULUMCTUMULCTUAUBUCUDUICUEUNUOABUFUG $.
  $}

  ${
    $d R x y $.
    $( Two ways of saying a relation is symmetric.  (Contributed by Peter
       Mazsa, 28-Apr-2019.) $)
    relcnveq4 $p |- ( Rel R ->
                      ( `' R C_ R <-> A. x A. y ( x R y <-> y R x ) ) ) $=
      ( wrel ccnv wss wceq cv wbr wb wal relcnveq relcnveq2 bitrd ) CDCEZCFOCGA
      HZBHZCIQPCIJBKAKCLABCMN $.
  $}

  ${
    $d A u v $.  $d R u v $.
    $( Simplification of a special quotient set.  (Contributed by Peter Mazsa,
       2-Sep-2020.) $)
    qsresid $p |- ( A /. ( R |` A ) ) = ( A /. R ) $=
      ( vu vv cres cec wceq wrex cab cqs wcel ecres2 eqeq2d rexbiia abbii df-qs
      cv 3eqtr4i ) CQZDQZBAEZFZGZDAHZCISTBFZGZDAHZCIAUAJABJUDUGCUCUFDATAKUBUESA
      TBLMNODCAUAPDCABPR $.
  $}

  ${
    $d A x $.  $d R x $.
    $( Two ways of expressing that the empty set is not an element of a
       quotient set.  (Contributed by Peter Mazsa, 5-Dec-2019.) $)
    n0elqs $p |- ( -. (/) e. ( A /. R ) <-> A C_ dom R ) $=
      ( vx cv cdm wcel wral cec c0 wne wss cqs ecdmn0 ralbii wrex rexbii notbii
      wn wceq 3bitr4ri dfss3 nne dfral2 0ex elqs eqcom bitri ) CDZBEZFZCAGUHBHZ
      IJZCAGZAUIKIABLFZRZUJULCAUHBMNCAUIUAULRZCAOZRUKISZCAOZRUMUOUQUSUPURCAUKIU
      BPQULCAUCUNUSUNIUKSZCAOUSCAIBUDUEUTURCAIUKUFPUGQTT $.
  $}

  $( Two ways of expressing that the empty set is not an element of a quotient
     set.  (Contributed by Peter Mazsa, 25-Jul-2021.) $)
  n0elqs2 $p |- ( -. (/) e. ( A /. R ) <-> dom ( R |` A ) = A ) $=
    ( c0 cqs wcel wn cdm wss cres wceq n0elqs ssdmres bitri ) CABDEFABGHBAIGAJA
    BKABLM $.

  $( Condition for a coset to be a set.  (Contributed by Peter Mazsa,
     4-May-2019.) $)
  ecex2 $p |- ( ( R |` A ) e. V -> ( B e. A -> [ B ] R e. _V ) ) $=
    ( cres wcel cec cvv ecexg ecres2 eleq1d syl5ibcom ) CAEZDFBMGZHFBAFZBCGZHFB
    DMIONPHABCJKL $.

  ${
    $d A x y $.  $d R x y $.  $d V x $.
    $( The union of a quotient set, like ~ uniqs but with a weaker antecedent:
       only the restricion of ` R ` by ` A ` needs to be a set, not ` R `
       itself, see e.g. ~ cnvepima .  (Contributed by Peter Mazsa,
       20-Jun-2019.) $)
    uniqsALTV $p |- ( ( R |` A ) e. V -> U. ( A /. R ) = ( R " A ) ) $=
      ( vy vx cres wcel cec wceq wrex cab cuni ciun cqs cima cvv ecex2 ralrimiv
      cv wral dfiun2g syl eqcomd df-qs unieqi csn df-ec iuneq2i imaiun 3eqtr2ri
      a1i iunid imaeq2i 3eqtr4g ) BAFCGZDSESZBHZIEAJDKZLZEAUQMZABNZLBAOZUOUTUSU
      OUQPGZEATUTUSIUOVCEAAUPBCQREDAUQPUAUBUCVAUREDABUDUEUTEABUPUFZOZMBEAVDMZOV
      BEAUQVEUQVEIUPAGUPBUGUKUHEBAVDUIVFABEAULUMUJUN $.
  $}

  $( Existence of an image of a class.  Theorem 3.17 of [Monk1] p. 39.  (cf.
     ~ imaexg ) with weakened antecedent: only the restricion of ` A ` by a set
     needs to be a set, not ` A ` itself, see e.g. ~ cnvepimaex .  (Contributed
     by Peter Mazsa, 22-Feb-2023.)  (Proof modification is discouraged.) $)
  imaexALTV $p |- ( ( A e. V \/ ( ( A |` B ) e. W /\ B e. X ) ) ->
                    ( A " B ) e. _V ) $=
    ( wcel cima cvv cres wa crn wss imassrn rnexg ssexg sylancr cqs cuni uniexg
    qsexg syl uniqsALTV eleq1d syl5ib imp jaoi ) ACFZABGZHFZABIDFZBEFZJUGUHAKZL
    ULHFUIABMACNUHULHOPUJUKUIUKBAQZRZHFZUJUIUKUMHFUOBAETUMHSUAUJUNUHHBADUBUCUDU
    EUF $.

  $( Existence of a coset, like ~ ecexg but with a weaker antecedent: only the
     restricion of ` R ` by the singleton of ` A ` needs to be a set, not ` R `
     itself, see e.g. ~ eccnvepex .  (Contributed by Peter Mazsa,
     22-Feb-2023.) $)
  ecexALTV $p |- ( ( R |` { A } ) e. V -> [ A ] R e. _V ) $=
    ( csn cres wcel cec cima cvv df-ec snex wa imaexALTV olcs mpan2 eqeltrid )
    BADZECFZABGBQHZIABJRQIFZSIFZAKBIFRTLUABQICIMNOP $.

  $( The range of a restriction is equal to the union of the quotient set.
     (Contributed by Peter Mazsa, 19-May-2018.) $)
  rnresequniqs $p |- ( ( R |` A ) e. V -> ran ( R |` A ) = U. ( A /. R ) ) $=
    ( cres wcel cqs cuni cima crn uniqsALTV df-ima eqtr2di ) BADZCEABFGBAHMIABC
    JBAKL $.

  ${
    $d A x y $.
    $( Two ways of expressing that the empty set is not an element of a class.
       (Contributed by Peter Mazsa, 31-Jan-2018.) $)
    n0el2 $p |- ( -. (/) e. A <-> dom ( `' _E |` A ) = A ) $=
      ( vy vx cv wcel wex wral wa copab cdm wceq cep ccnv cres dmopab3 cnvepres
      c0 wn n0el dmeqi eqeq1i 3bitr4i ) BDCDZEZBFCAGUCAEUDHCBIZJZAKQAERLMANZJZA
      KUDCBAOCBASUHUFAUGUECBAPTUAUB $.
  $}

  ${
    $d A x y $.  $d V x $.
    $( Sethood condition for the restricted converse epsilon relation.
       (Contributed by Peter Mazsa, 24-Sep-2018.) $)
    cnvepresex $p |- ( A e. V -> ( `' _E |` A ) e. _V ) $=
      ( vx vy wcel cep ccnv cres cv wa copab cvv cnvepres cab abid2 vex eqeltri
      id a1i opabex3d eqeltrid ) ABEZFGAHCIZAEZDIUCEZJCDKLCDAMUBUECDABUBRUEDNZL
      EUBUDJUFUCLDUCOCPQSTUA $.
  $}

  $( The converse epsilon coset exists.  (Contributed by Peter Mazsa,
     22-Mar-2023.) $)
  eccnvepex $p |- [ A ] `' _E e. _V $=
    ( csn cvv wcel cep ccnv cres cec snex cnvepresex ecexALTV mp2b ) ABZCDEFZMG
    CDANHCDAIMCJANCKL $.

  $( The image of converse epsilon exists, proof via ~ imaexALTV (see also
     ~ cnvepima and ~ uniexg for alternate way).  (Contributed by Peter Mazsa,
     22-Mar-2023.) $)
  cnvepimaex $p |- ( A e. V -> ( `' _E " A ) e. _V ) $=
    ( cep ccnv cres cvv wcel cima cnvepresex wa imaexALTV olcs mpancom ) CDZAEF
    GZABGZNAHFGZABINFGOPJQNAFFBKLM $.

  $( The image of converse epsilon.  (Contributed by Peter Mazsa,
     22-Mar-2023.) $)
  cnvepima $p |- ( A e. V -> ( `' _E " A ) = U. A ) $=
    ( wcel cep ccnv cqs cuni cima cres cvv wceq cnvepresex uniqsALTV syl unieqi
    qsid eqtr3di ) ABCZADEZFZGZSAHZAGRSAIJCUAUBKABLASJMNTAAPOQ $.

  $( Sufficient condition for the intersection relation to be a set.
     (Contributed by Peter Mazsa, 24-Nov-2019.) $)
  inex3 $p |- ( ( A e. V \/ B e. W ) -> ( A i^i B ) e. _V ) $=
    ( wcel cin cvv inex1g inex2g jaoi ) ACEABFGEBDEABCHBADIJ $.

  $( Sufficient condition for an intersection with a Cartesian product to be a
     set.  (Contributed by Peter Mazsa, 10-May-2019.) $)
  inxpex $p |- ( ( R e. W \/ ( A e. U /\ B e. V ) ) ->
                 ( R i^i ( A X. B ) ) e. _V ) $=
    ( wcel cxp cin cvv wa inex1g xpexg inex2g syl jaoi ) CFGCABHZIJGZADGBEGKZCQ
    FLSQJGRABDEMQCJNOP $.

  ${
    eqres.1 $e |- R = ( S |` C ) $.
    $( Converting a class constant definition by restriction (like ~ df-ers or
       ~~? df-parts ) into a binary relation.  (Contributed by Peter Mazsa,
       1-Oct-2018.) $)
    eqres $p |- ( B e. V -> ( A R B <-> ( A e. C /\ A S B ) ) ) $=
      ( wbr cres wcel wa breqi brres syl5bb ) ABDHABECIZHBFJACJABEHKABDOGLCABEF
      MN $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z ps $.
    brrabga.1 $e |- ( ( x = A /\ y = B /\ z = C ) -> ( ph <-> ps ) ) $.
    ${
      brrabga.2 $e |- R = { <. <. x , y >. , z >. | ph } $.
      $( The law of concretion for operation class abstraction.  (Contributed
         by Peter Mazsa, 24-Oct-2022.) $)
      brrabga $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
                      ( <. A , B >. R C <-> ps ) ) $=
        ( cop wbr coprab wcel w3a df-br eleq2i bitri eloprabga syl5bb ) FGOZHIP
        ZUEHOZACDEQZRZFJRGKRHLRSBUFUGIRUIUEHITIUHUGNUAUBABCDEFGHJKLMUCUD $.
    $}

    ${
      brcnvrabga.2 $e |- R = `' { <. <. y , z >. , x >. | ph } $.
      $( The law of concretion for the converse of operation class abstraction.
         (Contributed by Peter Mazsa, 25-Oct-2022.) $)
      brcnvrabga $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
                         ( A R <. B , C >. <-> ps ) ) $=
        ( wbr ccnv wcel wrel cv wceq cop coprab relcnv releqi mpbir relbrcnv wb
        w3a 3coml cnveqi reloprab dfrel2 mpbi eqtri brrabga 3comr bitr3id ) FGH
        UAZIOURFIPZOZFJQZGKQZHLQZUHBURFIIRADECUBZPZRVDUCIVENUDUEUFVBVCVAUTBUGAB
        DECGHFUSKLJCSFTDSGTESHTABUGMUIUSVEPZVDIVENUJVDRVFVDTADECUKVDULUMUNUOUPU
        Q $.
    $}
  $}

  $( Equality conditions for ordered pairs ` <. A , A >. ` and
     ` <. B , B >. ` .  (Contributed by Peter Mazsa, 22-Jul-2019.)  (Revised by
     Thierry Arnoux, 16-Feb-2022.) $)
  opideq $p |- ( A e. V -> ( <. A , A >. = <. B , B >. <-> A = B ) ) $=
    ( wcel cop wceq wa wb opthg anidms anidm bitrdi ) ACDZAAEBBEFZABFZOGZOMNPHA
    ABBCCIJOKL $.

  ${
    $d A x y $.
    $( A subclass of the identity relation is the intersection of identity
       relation with Cartesian product of the domain and range of the class.
       (Contributed by Peter Mazsa, 22-Jul-2019.) $)
    iss2 $p |- ( A C_ _I <-> A = ( _I i^i ( dom A X. ran A ) ) ) $=
      ( vx vy cid wss cdm crn cxp wceq cv cop wcel wb wal wa vex jca2 wi syl5bi
      wrel cin ssel opeldm opelrn jcad anandi syl6ibr wbr df-br ideq bitr3i wex
      eldm2 eleq1d biimprcd sylcom exlimdv imbi2d syl5ibcom imp adantrd ex impd
      opeq2 impbid opelinxp biancomi bitr4di alrimivv relss mpi relinxp sylancl
      reli eqrel mpbird inss1 sseq1 mpbiri impbii ) ADEZADAFZAGZHZUAZIZWAWFBJZC
      JZKZALZWIWELZMZCNBNZWAWLBCWAWJWIDLZWGWBLZWHWCLZOZOZWKWAWJWRWAWJWNWOOZWNWP
      OZOWRWAWJWSWTWAWJWNWOADWIUBZWGWHABPZCPZUCQWAWJWNWPXAWGWHAXBXCUDQUEWNWOWPU
      FUGWAWNWQWJWNWGWHIZWAWQWJRZWNWGWHDUHXDWGWHDUIWGWHXCUJUKZWAXDXEWAXDOWOWJWP
      WAXDWOWJRZWAWOWGWGKZALZRXDXGWOWJCULWAXICWGAXBUMWAWJXICWAWJWNXIXAWNXDWJXIX
      FXDXIWJXDXHWIAWGWHWGVDUNZUOSUPUQSXDXIWJWOXJURUSUTVAVBSVCVEWKWNWQWBWCWGWHD
      VFVGVHVIWAATZWETWFWMMWADTXKVNADVJVKWBWCDVLBCAWEVOVMVPWFWAWEDEDWDVQAWEDVRV
      SVT $.
  $}

  ${
    $d A u $.  $d R u $.  $d V u $.
    $( Elementhood in a domain of a converse.  (Contributed by Peter Mazsa,
       25-May-2018.) $)
    eldmcnv $p |- ( A e. V -> ( A e. dom `' R <-> E. u u R A ) ) $=
      ( wcel ccnv cdm cv wbr wex eldmg wb cvv brcnvg elvd exbidv bitrd ) BDEZBC
      FZGEBAHZSIZAJTBCIZAJABSDKRUAUBARUAUBLABTDMCNOPQ $.
  $}

  $( Alternate definition of the relation predicate.  (Contributed by Peter
     Mazsa, 6-Nov-2018.) $)
  dfrel5 $p |- ( Rel R <-> ( R |` dom R ) = R ) $=
    ( wrel ccnv wceq cdm cres dfrel2 resdm2 eqeq1i bitr4i ) ABACCZADAAEFZADAGLK
    AAHIJ $.

  $( Alternate definition of the relation predicate.  (Contributed by Peter
     Mazsa, 14-Mar-2019.) $)
  dfrel6 $p |- ( Rel R <-> ( R i^i ( dom R X. ran R ) ) = R ) $=
    ( wrel cdm cres wceq crn cxp cin dfrel5 dfres3 eqeq1i bitri ) ABAACZDZAEAMA
    FGHZAEAINOAAMJKL $.

  $( Converse restricted to range is converse.  (Contributed by Peter Mazsa,
     3-Sep-2021.) $)
  cnvresrn $p |- ( `' R |` ran R ) = `' R $=
    ( ccnv crn cres cdm df-rn reseq2i wrel wceq relcnv dfrel5 mpbi eqtri ) ABZA
    CZDNNEZDZNOPNAFGNHQNIAJNKLM $.

  ${
    $d A x $.  $d B x $.  $d R x $.  $d V x $.  $d W x $.
    $( Two ways of saying that the coset of ` A ` and the coset of ` B ` have
       no elements in common.  (Contributed by Peter Mazsa, 1-Dec-2018.) $)
    ecin0 $p |- ( ( A e. V /\ B e. W ) ->
                  ( ( [ A ] R i^i [ B ] R ) = (/) <->
                    A. x ( A R x -> -. B R x ) ) ) $=
      ( cec cin c0 wceq cv wcel wn wi wal wa wbr disj1 wb cvv elecg adantr elvd
      el2v1 elecALTV adantl notbid imbi12d albidv syl5bb ) BDGZCDGZHIJAKZUKLZUM
      ULLZMZNZAOBELZCFLZPZBUMDQZCUMDQZMZNZAOAUKULRUTUQVDAUTUNVAUPVCURUNVASZUSUR
      VEAUMBDTEUAUDUBUTUOVBUSUOVBSZURUSVFACUMDFTUEUCUFUGUHUIUJ $.
  $}

  ${
    $d A x $.  $d B x $.  $d R x $.  $d V x $.  $d W x $.
    $( Two ways of saying that the coset of ` A ` and the coset of ` B ` have
       some elements in common.  (Contributed by Peter Mazsa, 23-Jan-2019.) $)
    ecinn0 $p |- ( ( A e. V /\ B e. W ) ->
                     ( ( [ A ] R i^i [ B ] R ) =/= (/) <->
                       E. x ( A R x /\ B R x ) ) ) $=
      ( wcel wa cec cin c0 wne cv wbr wn wi wal wex ecin0 necon3abid notnotb
      anbi2i exbii exanali bitri bitr4di ) BEGCFGHZBDICDIJZKLBAMZDNZCUIDNZOZPAQ
      ZOZUJUKHZARZUGUMUHKABCDEFSTUPUJULOZHZARUNUOURAUKUQUJUKUAUBUCUJULAUDUEUF
      $.
  $}

  ${
    $d B z $.  $d C z $.  $d D z $.  $d x z $.  $d y z $.
    $( Equivalence of restricted universal quantifications.  (Contributed by
       Peter Mazsa, 29-May-2018.) $)
    ineleq $p |- ( A. x e. A A. y e. B ( x = y \/ ( C i^i D ) = (/) ) <->
                   A. x e. A A. z A. y e. B
                   ( ( z e. C /\ z e. D ) -> x = y ) ) $=
      ( cv wceq cin c0 wo wral wcel wa wi wal wex bitri ralbii orcom df-or neq0
      wn elin exbii imbi1i 19.23v bitr4i 3bitri ralcom4 ) AHBHIZFGJZKIZLZBEMZCH
      ZFNUQGNOZULPZBEMCQZADUPUSCQZBEMUTUOVABEUOUNULLUNUDZULPZVAULUNUAUNULUBVCUR
      CRZULPVAVBVDULVBUQUMNZCRVDCUMUCVEURCUQFGUEUFSUGURULCUHUIUJTUSBCEUKST $.
  $}

  ${
    $d A x y z $.  $d B y z $.  $d C x z $.  $d R x y z $.
    inecmo.1 $e |- ( x = y -> B = C ) $.
    $( Equivalence of a double restricted universal quantification and a
       restricted "at most one" inside a universal quantification.
       (Contributed by Peter Mazsa, 29-May-2018.) $)
    inecmo $p |- ( Rel R ->
        ( A. x e. A A. y e. A ( x = y \/ ( [ B ] R i^i [ C ] R ) = (/) ) <->
          A. z E* x e. A B R z ) ) $=
      ( wrel cv wceq cec wral wcel wa wi wal wbr relelec bitr4id cin c0 wo wrmo
      ineleq ralcom4 bitri breq1d rmo4 anbi12d imbi1d 2ralbidv albidv ) GIZAJBJ
      KZEGLZFGLZUAUBKUCBDMADMZCJZUPNZUSUQNZOZUOPZBDMZADMZCQZEUSGRZADUDZCQURVDCQ
      ADMVFABCDDUPUQUEVDACDUFUGUNVHVECUNVHVGFUSGRZOZUOPZBDMADMVEVGVIABDUOEFUSGH
      UHUIUNVCVKABDDUNVBVJUOUNUTVGVAVIUSEGSUSFGSUJUKULTUMT $.
  $}

  ${
    $d A u v x $.  $d R u v x $.
    $( Equivalence of a double restricted universal quantification and a
       restricted "at most one" inside a universal quantification.
       (Contributed by Peter Mazsa, 29-May-2018.)  (Revised by Peter Mazsa,
       2-Sep-2021.) $)
    inecmo2 $p |-
         ( ( A. u e. A A. v e. A ( u = v \/ ( [ u ] R i^i [ v ] R ) = (/) ) /\
             Rel R ) <->
           ( A. x E* u e. A u R x /\ Rel R ) ) $=
      ( wrel cv wceq cec cin c0 wo wral wbr wrmo wal id inecmo pm5.32ri ) EFCGZ
      BGZHZTEIUAEIJKHLBDMCDMTAGENCDOAPCBADTUAEUBQRS $.
  $}

  ${
    $d B x y z $.  $d F x y z $.
    $( Equivalence of a double restricted universal quantification and a
       restricted "at most one" inside a universal quantification.
       (Contributed by Peter Mazsa, 2-Sep-2021.) $)
    ineccnvmo $p |-
        ( A. y e. B A. z e. B ( y = z \/ ( [ y ] `' F i^i [ z ] `' F ) = (/) )
            <->
          A. x E* y e. B x F y ) $=
      ( cv wceq ccnv cec cin c0 wo wral wbr wrmo wal wrel wb relcnv cvv id el2v
      inecmo ax-mp brcnvg rmobii albii bitri ) BFZCFZGZUIEHZIUJULIJKGLCDMBDMZUI
      AFZULNZBDOZAPZUNUIENZBDOZAPULQUMUQRESBCADUIUJULUKUAUCUDUPUSAUOURBDUOURRBA
      UIUNTTEUEUBUFUGUH $.
  $}

  $( Equivalence of an "at most one" and an "at most one" restricted to the
     range inside a universal quantification.  (Contributed by Peter Mazsa,
     3-Sep-2021.) $)
  alrmomorn $p |- ( A. x E* y e. ran R x R y <-> A. x E* y x R y ) $=
    ( cv wbr crn wrmo wmo wcel wa df-rmo ccnv cres cnvresrn breqi cvv brres elv
    wb bitri brcnvg el2v anbi2i 3bitr3i mobii albii ) ADZBDZCEZBCFZGZUIBHZAUKUH
    UJIZUIJZBHULUIBUJKUNUIBUHUGCLZUJMZEZUHUGUOEZUNUIUHUGUPUOCNOUQUMURJZUNUQUSSA
    UJUHUGUOPQRURUIUMURUISBAUHUGPPCUAUBZUCTUTUDUETUF $.

  ${
    $d R u $.  $d R x $.
    $( Equivalence of an "at most one" and an "at most one" restricted to the
       domain inside a universal quantification.  (Contributed by Peter Mazsa,
       5-Sep-2021.) $)
    alrmomodm $p |- ( Rel R ->
                      ( A. x E* u e. dom R u R x <-> A. x E* u u R x ) ) $=
      ( wrel cv wbr cdm wrmo wmo wcel wa df-rmo cres wb cvv brres resdm bitr3id
      elv breqd mobidv syl5bb albidv ) CDZBEZAEZCFZBCGZHZUGBIZAUIUEUHJUGKZBIUDU
      JUGBUHLUDUKUGBUKUEUFCUHMZFZUDUGUMUKNAUHUEUFCOPSUDULCUEUFCQTRUAUBUC $.
  $}

  ${
    $d F u x y $.
    $( Equivalence of a double universal quantification restricted to the range
       and an "at most one" inside a universal quantification.  (Contributed by
       Peter Mazsa, 4-Sep-2021.) $)
    ineccnvmo2 $p |- ( A. x e. ran F A. y e. ran F
                       ( x = y \/ ( [ x ] `' F i^i [ y ] `' F ) = (/) ) <->
                       A. u E* x u F x ) $=
      ( cv wceq ccnv cec cin c0 crn wral wbr wrmo wal ineccnvmo alrmomorn bitri
      wo wmo ) AEZBEZFUADGZHUBUCHIJFSBDKZLAUDLCEUADMZAUDNCOUEATCOCABUDDPCADQR
      $.
  $}

  ${
    $d R u v x $.
    $( Equivalence of a double universal quantification restricted to the
       domain and an "at most one" inside a universal quantification.
       (Contributed by Peter Mazsa, 5-Sep-2021.) $)
    inecmo3 $p |- ( ( A. u e. dom R A. v e. dom R
          ( u = v \/ ( [ u ] R i^i [ v ] R ) = (/) ) /\ Rel R ) <->
        ( A. x E* u u R x /\ Rel R ) ) $=
      ( cv wceq cec cin c0 wo cdm wral wrel wbr wrmo wal wmo inecmo2 alrmomodm
      wa pm5.32ri bitri ) CEZBEZFUCDGUDDGHIFJBDKZLCUELDMZTUCAEDNZCUEOAPZUFTUGCQ
      APZUFTABCUEDRUFUHUIACDSUAUB $.
  $}

  $( Sufficient condition for transitivity of conjunctions inside existential
     quantifiers.  (Contributed by Peter Mazsa, 2-Oct-2018.) $)
  moantr $p |- ( E* x ps ->
                 ( ( E. x ( ph /\ ps ) /\ E. x ( ps /\ ch ) ) ->
                   E. x ( ph /\ ch ) ) ) $=
    ( wmo wa wex wi w3a exancom anbi1i anbi2i 3anass bitr4i mopick2 sylbi exbii
    exsimpr syl impexp mpbi ) BDEZABFDGZBCFDGZFZFZACFZDGZHUBUEUHHHUFBACIZDGZUHU
    FUBBAFDGZUDIZUJUFUBUKUDFZFULUEUMUBUCUKUDABDJKLUBUKUDMNBACDOPUJBUGFZDGUHUIUN
    DBACMQBUGDRPSUBUEUHTUA $.

  ${
    $d x y $.
    brabidgaw.1 $e |- R = { <. x , y >. | ph } $.
    $( The law of concretion for a binary relation.  Special case of ~ brabga .
       Version of ~ brabidga with a disjoint variable condition, which does not
       require ~ ax-13 .  (Contributed by Peter Mazsa, 24-Nov-2018.)  (Revised
       by Gino Giotto, 2-Apr-2024.) $)
    brabidgaw $p |- ( x R y <-> ph ) $=
      ( cv wbr copab cop wcel breqi df-br opabidw 3bitri ) BFZCFZDGOPABCHZGOPIQ
      JAOPDQEKOPQLABCMN $.
    $( $j usage 'brabidgaw' avoids 'ax-13'; $)
  $}

  ${
    brabidga.1 $e |- R = { <. x , y >. | ph } $.
    $( The law of concretion for a binary relation.  Special case of ~ brabga .
       Usage of this theorem is discouraged because it depends on ~ ax-13 , see
       ~ brabidgaw for a weaker version that does not require it.  (Contributed
       by Peter Mazsa, 24-Nov-2018.)  (New usage is discouraged.) $)
    brabidga $p |- ( x R y <-> ph ) $=
      ( cv wbr copab cop wcel breqi df-br opabid 3bitri ) BFZCFZDGOPABCHZGOPIQJ
      AOPDQEKOPQLABCMN $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d R x y $.
    $( Intersection with a Cartesian product.  (Contributed by Peter Mazsa,
       18-Jul-2019.) $)
    inxp2 $p |- ( R i^i ( A X. B ) ) =
                { <. x , y >. | ( ( x e. A /\ y e. B ) /\ x R y ) } $=
      ( cxp cin cv copab wcel wa wrel wceq relinxp dfrel4v mpbi brinxp2 opabbii
      wbr eqtri ) ECDFGZAHZBHZUASZABIZUBCJUCDJKUBUCESKZABIUALUAUEMCDENABUAOPUDU
      FABCDUBUCEQRT $.
  $}

  ${
    opabf.1 $e |- -. ph $.
    $( A class abstraction of a collection of ordered pairs with a negated wff
       is the empty set.  (Contributed by Peter Mazsa, 21-Oct-2019.)  (Proof
       shortened by Thierry Arnoux, 18-Feb-2022.) $)
    opabf $p |- { <. x , y >. | ph } = (/) $=
      ( copab c0 wceq wn wal gen2 opab0 mpbir ) ABCEFGAHZCIBIMBCDJABCKL $.
  $}

  $( The empty-coset of a class is the empty set.  (Contributed by Peter Mazsa,
     19-May-2019.) $)
  ec0 $p |- [ A ] (/) = (/) $=
    ( c0 cec csn cima df-ec 0ima eqtri ) ABCBADZEBABFIGH $.

  ${
    $d R x y $.
    $( Quotient set with the empty set.  (Contributed by Peter Mazsa,
       14-Sep-2019.) $)
    0qs $p |- ( (/) /. R ) = (/) $=
      ( vy vx c0 cqs cv cec wceq wrex cab df-qs rex0 abf eqtri ) DAEBFCFAGHZCDI
      ZBJDCBDAKPBOCLMN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Range Cartesian product
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the range Cartesian product of two classes.  Definition from
     [Holmes] p. 40.  Membership in this class is characterized by ~ xrnss3v
     and ~ brxrn .  This is Scott Fenton's ~ df-txp with a different symbol,
     see ~ https://github.com/metamath/set.mm/issues/2469 .  (Contributed by
     Scott Fenton, 31-Mar-2012.) $)
  df-xrn $a |- ( A |X. B ) = ( ( `' ( 1st |` ( _V X. _V ) ) o. A ) i^i
                               ( `' ( 2nd |` ( _V X. _V ) ) o. B ) ) $.

  ${
    $d A x y z $.  $d B x y z $.
    $( A range Cartesian product is a subset of the class of ordered triples.
       This is Scott Fenton's ~ txpss3v with a different symbol, see
       ~ https://github.com/metamath/set.mm/issues/2469 .  (Contributed by
       Scott Fenton, 31-Mar-2012.) $)
    xrnss3v $p |- ( A |X. B ) C_ ( _V X. ( _V X. _V ) ) $=
      ( vx vy vz cxrn c1st cvv cxp cres ccnv ccom c2nd cin df-xrn inss1 cv wcel
      wbr vex relco wa wex cop brcnv brresi simplbi sylbi adantl exlimiv opelco
      opelxp mpbiran 3imtr4i relssi sstri eqsstri ) ABFGHHIZJZKZALZMURJKBLZNZHU
      RIZABOVCVAVDVAVBPCDVAVDUTAUACQZEQZASZVFDQZUTSZUBZEUCVHURRZVEVHUDZVARVLVDR
      ZVJVKEVIVKVGVIVHVFUSSZVKVFVHUSETZDTZUEVNVKVHVFGSURVHVFGVOUFUGUHUIUJEVEVHU
      TACTZVPUKVMVEHRVKVQVEVHHURULUMUNUOUPUQ $.
  $}

  $( A range Cartesian product is a relation.  This is Scott Fenton's ~ txprel
     with a different symbol, see
     ~ https://github.com/metamath/set.mm/issues/2469 .  (Contributed by Scott
     Fenton, 31-Mar-2012.) $)
  xrnrel $p |- Rel ( A |X. B ) $=
    ( cxrn wrel cvv cxp wss xrnss3v xpss sstri df-rel mpbir ) ABCZDMEEFZGMENFNA
    BHENIJMKL $.

  ${
    $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d C x $.  $d C y $.  $d R x $.
    $d S y $.  $d V x $.  $d V y $.  $d W x $.  $d W y $.  $d X x $.  $d X y $.
    $( Characterize a ternary relation over a range Cartesian product.
       Together with ~ xrnss3v , this characterizes elementhood in a range
       cross.  (Contributed by Peter Mazsa, 27-Jun-2021.) $)
    brxrn $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
                  ( A ( R |X. S ) <. B , C >. <-> ( A R B /\ A S C ) ) ) $=
      ( vx vy wcel wbr c1st cvv c2nd wa wb wex mpan2 elv w3a cop cxrn cres ccnv
      cxp ccom cin df-xrn breqi brin cv wceq opex brcog 3ad2ant1 brcnvg opelvvg
      a1i brres biantrurd bitr4id br1steqg bitrd 3adant1 syl5bb exbidv ceqsexgv
      anbi1cd breq2 3ad2ant2 3bitrd br2ndeqg 3ad2ant3 anbi12d ) AFKZBGKZCHKZUAZ
      ABCUBZDEUCZLZAVTMNNUFZUDZUEZDUGZOWCUDZUEZEUGZUHZLZAVTWFLZAVTWILZPZABDLZAC
      ELZPWBWKQVSAVTWAWJDEUIUJUSWKWNQVSAVTWFWIUKUSVSWLWOWMWPVSWLAIULZDLZWQVTWEL
      ZPZIRZWQBUMZWRPZIRZWOVPVQWLXAQZVRVPVTNKZXEBCUNZIAVTWEDFNUOSUPVSWTXCIVSWSX
      BWRWSVTWQWDLZVSXBWSXHQZIWQNKXFXIXGWQVTNNWDUQSTVQVRXHXBQVPVQVRPZXHVTWQMLZX
      BXJXHVTWCKZXKPZXKXHXMQIWCVTWQMNUTTXJXLXKBCGHURZVAVBBCWQGHVCVDVEVFVIVGVQVP
      XDWOQVRWRWOIBGWQBADVJVHVKVLVSWMAJULZELZXOVTWHLZPZJRZXOCUMZXPPZJRZWPVPVQWM
      XSQZVRVPXFYCXGJAVTWHEFNUOSUPVSXRYAJVSXQXTXPXQVTXOWGLZVSXTXQYDQZJXONKXFYEX
      GXOVTNNWGUQSTVQVRYDXTQVPXJYDVTXOOLZXTXJYDXLYFPZYFYDYGQJWCVTXOONUTTXJXLYFX
      NVAVBBCXOGHVMVDVEVFVIVGVRVPYBWPQVQXPWPJCHXOCAEVJVHVNVLVOVL $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d R x y $.  $d S x y $.  $d V x y $.
    $( A characterization of the range Cartesian product.  (Contributed by
       Peter Mazsa, 14-Oct-2020.) $)
    brxrn2 $p |- ( A e. V ->
                   ( A ( R |X. S ) B <->
                     E. x E. y ( B = <. x , y >. /\ A R x /\ A S y ) ) ) $=
      ( cxrn wbr cv cop wceq wa wex wcel w3a cvv cxp xrnss3v brel elvv pm4.71ri
      simprd sylib 19.41vv breq2 pm5.32i 2exbii 3bitr2i wb el3v23 anbi2d 3anass
      brxrn bitr4di 2exbidv syl5bb ) CDEFHZIZDAJZBJZKZLZCVBURIZMZBNANZCGOZVCCUT
      EIZCVAFIZPZBNANUSVCBNANZUSMVCUSMZBNANVFUSVKUSDQQRZOZVKUSCQOVNCDQVMUREFSTU
      CABDUAUDUBVCUSABUEVLVEABVCUSVDDVBCURUFUGUHUIVGVEVJABVGVEVCVHVIMZMVJVGVDVO
      VCVGVDVOUJABCUTVAEFGQQUNUKULVCVHVIUMUOUPUQ $.
  $}

  ${
    $d R u x y z $.  $d S u x y z $.
    $( Alternate definition of the range Cartesian product.  (Contributed by
       Peter Mazsa, 20-Feb-2022.) $)
    dfxrn2 $p |- ( R |X. S ) =
                 `' { <. <. x , y >. , u >. | ( u R x /\ u S y ) } $=
      ( vz cxrn cv wbr copab cop coprab ccnv wa wrel wceq xrnrel cvv wex wb cxp
      dfrel4v mpbi breq2 wcel w3a brxrn2 brxrn el3v anbi2i 3anass bitr4i 2exbii
      elv copsex2gb 3bitr2i simplbi cnvoprab oprabbii cnveqi 3eqtr2i ) DEGZCHZF
      HZVBIZCFJZVCAHZBHZKZVBIZABCLZMVCVGDIZVCVHEIZNZABCLZMVBOVBVFPDEQCFVBUBUCVJ
      VEABCFVDVIVCVBUDZVEVDRRUAUEZVEVEVDVIPZVLVMUFZBSASZVRVJNZBSASVQVENVEVTTCAB
      VCVDDERUGUNWAVSABWAVRVNNVSVJVNVRVJVNTCABVCVGVHDERRRUHUIZUJVRVLVMUKULUMVEV
      JABVDVPUOUPUQURVKVOVJVNABCWBUSUTVA $.
  $}

  $( Equality theorem for the range Cartesian product.  (Contributed by Peter
     Mazsa, 16-Dec-2020.) $)
  xrneq1 $p |- ( A = B -> ( A |X. C ) = ( B |X. C ) ) $=
    ( wceq c1st cvv cxp cres ccnv ccom c2nd cxrn coeq2 ineq1d df-xrn 3eqtr4g
    cin ) ABDZEFFGZHIZAJZKSHICJZQTBJZUBQACLBCLRUAUCUBABTMNACOBCOP $.

  ${
    xrneq1i.1 $e |- A = B $.
    $( Equality theorem for the range Cartesian product, inference form.
       (Contributed by Peter Mazsa, 16-Dec-2020.) $)
    xrneq1i $p |- ( A |X. C ) = ( B |X. C ) $=
      ( wceq cxrn xrneq1 ax-mp ) ABEACFBCFEDABCGH $.
  $}

  ${
    xrneq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for the range Cartesian product, deduction form.
       (Contributed by Peter Mazsa, 7-Sep-2021.) $)
    xrneq1d $p |- ( ph -> ( A |X. C ) = ( B |X. C ) ) $=
      ( wceq cxrn xrneq1 syl ) ABCFBDGCDGFEBCDHI $.
  $}

  $( Equality theorem for the range Cartesian product.  (Contributed by Peter
     Mazsa, 16-Dec-2020.) $)
  xrneq2 $p |- ( A = B -> ( C |X. A ) = ( C |X. B ) ) $=
    ( wceq c1st cvv cxp cres ccnv ccom c2nd cxrn coeq2 ineq2d df-xrn 3eqtr4g
    cin ) ABDZEFFGZHICJZKSHIZAJZQTUABJZQCALCBLRUBUCTABUAMNCAOCBOP $.

  ${
    xrneq2i.1 $e |- A = B $.
    $( Equality theorem for the range Cartesian product, inference form.
       (Contributed by Peter Mazsa, 16-Dec-2020.) $)
    xrneq2i $p |- ( C |X. A ) = ( C |X. B ) $=
      ( wceq cxrn xrneq2 ax-mp ) ABECAFCBFEDABCGH $.
  $}

  ${
    xrneq2d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for the range Cartesian product, deduction form.
       (Contributed by Peter Mazsa, 7-Sep-2021.) $)
    xrneq2d $p |- ( ph -> ( C |X. A ) = ( C |X. B ) ) $=
      ( wceq cxrn xrneq2 syl ) ABCFDBGDCGFEBCDHI $.
  $}

  $( Equality theorem for the range Cartesian product.  (Contributed by Peter
     Mazsa, 16-Dec-2020.) $)
  xrneq12 $p |- ( ( A = B /\ C = D ) -> ( A |X. C ) = ( B |X. D ) ) $=
    ( wceq cxrn xrneq1 xrneq2 sylan9eq ) ABECDEACFBCFBDFABCGCDBHI $.

  ${
    xrneq12i.1 $e |- A = B $.
    xrneq12i.2 $e |- C = D $.
    $( Equality theorem for the range Cartesian product, inference form.
       (Contributed by Peter Mazsa, 16-Dec-2020.) $)
    xrneq12i $p |- ( A |X. C ) = ( B |X. D ) $=
      ( wceq cxrn xrneq12 mp2an ) ABGCDGACHBDHGEFABCDIJ $.
  $}

  ${
    xrneq12d.1 $e |- ( ph -> A = B ) $.
    xrneq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality theorem for the range Cartesian product, deduction form.
       (Contributed by Peter Mazsa, 18-Dec-2021.) $)
    xrneq12d $p |- ( ph -> ( A |X. C ) = ( B |X. D ) ) $=
      ( wceq cxrn xrneq12 syl2anc ) ABCHDEHBDICEIHFGBCDEJK $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d R x y $.  $d S x y $.  $d V x y $.
    $( Elementhood in the ` ( R |X. S ) ` -coset of ` A ` .  (Contributed by
       Peter Mazsa, 18-Apr-2020.)  (Revised by Peter Mazsa, 21-Sep-2021.) $)
    elecxrn $p |- ( A e. V -> ( B e. [ A ] ( R |X. S ) <->
                    E. x E. y ( B = <. x , y >. /\ A R x /\ A S y ) ) ) $=
      ( cxrn cec wcel wbr cv cop wceq w3a wex wrel wb xrnrel relelec brxrn2
      ax-mp syl5bb ) DCEFHZIJZCDUDKZCGJDALZBLZMNCUGEKCUHFKOBPAPUDQUEUFREFSDCUDT
      UBABCDEFGUAUC $.
  $}

  ${
    $d A x y z $.  $d R x y z $.  $d S x y z $.  $d V x y z $.
    $( The ` ( R |X. S ) ` -coset of ` A ` .  (Contributed by Peter Mazsa,
       18-Apr-2020.)  (Revised by Peter Mazsa, 21-Sep-2021.) $)
    ecxrn $p |- ( A e. V ->
                  [ A ] ( R |X. S ) = { <. y , z >. | ( A R y /\ A S z ) } ) $=
      ( vx wcel cxrn cec cv wbr wa copab cop wceq wex w3a elecxrn 3anass 2exbii
      bitrdi elopab bitr4di eqrdv ) CFHZGCDEIJZCAKZDLZCBKZELZMZABNZUFGKZUGHZUNU
      HUJOPZULMZBQAQZUNUMHUFUOUPUIUKRZBQAQURABCUNDEFSUSUQABUPUIUKTUAUBULABUNUCU
      DUE $.
  $}

  ${
    $d A u x y z $.  $d B u x y z $.  $d C u x y z $.  $d R u x y z $.
    $d S u x y z $.
    $( Intersection of a range Cartesian product with a Cartesian product.
       (Contributed by Peter Mazsa, 7-Apr-2020.) $)
    xrninxp $p |- ( ( R |X. S ) i^i ( A X. ( B X. C ) ) ) =
        `' { <. <. y , z >. , u >. |
                   ( ( y e. B /\ z e. C ) /\
                     ( u e. A /\ u ( R |X. S ) <. y , z >. ) ) } $=
      ( vx cxrn cxp cin cv wcel wbr wa copab ccnv cop coprab w3a df-3an 3anan12
      inxp2 bitr3i opabbii eqtri cnvopab breq2 anbi2d dfoprab4 cnveqi 3eqtr2i
      wceq ) GHJZDEFKZKLZIMZUPNZCMZDNZUTURUOOZPZPZCIQZVDICQZRAMZENBMZFNPVAUTVGV
      HSZUOOZPZPABCTZRUQVAUSPVBPZCIQVECIDUPUOUDVMVDCIVMVAUSVBUAVDVAUSVBUBVAUSVB
      UCUEUFUGVDICUHVFVLVCVKABCIEFURVIUNVBVJVAURVIUTUOUIUJUKULUM $.
  $}

  ${
    $d A u x $.  $d B u x $.  $d C u x $.  $d R u x $.  $d S u x $.
    $( Intersection of a range Cartesian product with a Cartesian product.
       (Contributed by Peter Mazsa, 8-Apr-2020.) $)
    xrninxp2 $p |- ( ( R |X. S ) i^i ( A X. ( B X. C ) ) ) =
        { <. u , x >. |
             ( x e. ( B X. C ) /\ ( u e. A /\ u ( R |X. S ) x ) ) } $=
      ( cxrn cxp cin cv wcel wa wbr copab inxp2 an21 opabbii eqtri ) FGHZCDEIZI
      JBKZCLZAKZUALZMUBUDTNZMZBAOUEUCUFMMZBAOBACUATPUGUHBAUCUEUFQRS $.
  $}

  $( Sufficient condition for the intersection of a range Cartesian product
     with a Cartesian product to be a set.  (Contributed by Peter Mazsa,
     12-Apr-2020.) $)
  xrninxpex $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
                    ( ( R |X. S ) i^i ( A X. ( B X. C ) ) ) e. _V ) $=
    ( wcel cxrn cxp cin cvv wa xpexg inxpex olcs sylan2 3impb ) AFIZBGIZCHIZDEJ
    ZABCKZKLMIZUAUBNTUDMIZUEBCGHOUCMITUFNUEAUDUCFMMPQRS $.

  ${
    $d A u x y z $.  $d B u x y z $.  $d C u x y z $.  $d R u x y z $.
    $d S u x y z $.
    $( Two ways to express the intersection of a range Cartesian product with a
       Cartesian product.  (Contributed by Peter Mazsa, 10-Apr-2020.) $)
    inxpxrn $p |- ( ( R i^i ( A X. B ) ) |X. ( S i^i ( A X. C ) ) ) =
                  ( ( R |X. S ) i^i ( A X. ( B X. C ) ) ) $=
      ( vu vx vy vz cxp cin cxrn cv wcel wbr wa w3a wex anbi2i 3bitri xrnrel wb
      relinxp cop wceq cvv brxrn2 elv xrninxp2 brabidgaw 3anass brinxp2 anbi12i
      2exbii anan bitri anass eqelb opelxp bitr2i anbi1i 3bitr2i bitr4i 19.42vv
      ancom an12 3bitr4ri eqbrriv ) FGDABJKZEACJKZLZDELZABCJZJKZVIVJUAAVMVLUCGM
      ZVMNZFMZANZVQVOVLOZPZPZVPVRVOHMZIMZUDZUEZVQWBDOZVQWCEOZQZIRHRZPZPZVQVOVNO
      VQVOVKOZVTWJVPVSWIVRVSWIUBFHIVQVODEUFUGUHSSWAFGVNGFABCDEUIUJWLWEVQWBVIOZV
      QWCVJOZQZIRHRZWEWMWNPZPZIRHRZWKWLWPUBFHIVQVOVIVJUFUGUHWOWRHIWEWMWNUKUNWSV
      PVRWHPZPZIRHRVPWTIRHRZPWKWRXAHIWRVPWEVRWFWGPZPZPZPZXAWRWEVPPZXDPZVPWEPZXD
      PXFWRWEWBBNZWCCNZPZXDPZPWEXLPZXDPXHWQXMWEWQVRXJPWFPZVRXKPWGPZPXMWMXOWNXPA
      BVQWBDULACVQWCEULUMVRXJWFXKWGUOUPSWEXLXDUQXNXGXDXGWEWDVMNZPXNVOWDVMURXQXL
      WEWBWCBCUSSUTVAVBXGXIXDWEVPVEVAVPWEXDUQTXEWTVPXEVRWEXCPZPWTWEVRXCVFWHXRVR
      WEWFWGUKSVCSUPUNVPWTHIVDXBWJVPVRWHHIVDSTTVGVH $.
  $}

  ${
    $d A y z $.  $d B y z $.  $d R y z $.  $d S y z $.  $d V y z $.
    $( The converse of a binary relation over a range Cartesian product.
       (Contributed by Peter Mazsa, 11-Jul-2021.) $)
    br1cnvxrn2 $p |- ( B e. V -> ( A `' ( R |X. S ) B <->
                       E. y E. z ( A = <. y , z >. /\ B R y /\ B S z ) ) ) $=
      ( cxrn ccnv wbr wcel cv cop wceq w3a wex xrnrel relbrcnv brxrn2 syl5bb )
      CDEFHZIJDCUAJDGKCALZBLZMNDUBEJDUCFJOBPAPCDUAEFQRABDCEFGST $.
  $}

  ${
    $d A y z $.  $d B y z $.  $d R y z $.  $d S y z $.  $d V y z $.
    $( Elementhood in the converse range Cartesian product coset of ` A ` .
       (Contributed by Peter Mazsa, 11-Jul-2021.) $)
    elec1cnvxrn2 $p |- ( B e. V -> ( B e. [ A ] `' ( R |X. S ) <->
                         E. y E. z ( A = <. y , z >. /\ B R y /\ B S z ) ) ) $=
      ( cxrn ccnv cec wcel wbr cv cop wceq w3a wex wrel wb relcnv relelec ax-mp
      br1cnvxrn2 syl5bb ) DCEFHZIZJKZCDUFLZDGKCAMZBMZNODUIELDUJFLPBQAQUFRUGUHSU
      ETDCUFUAUBABCDEFGUCUD $.
  $}

  ${
    $d R u w x y $.  $d S u w x y $.
    $( Range of the range Cartesian product of classes.  (Contributed by Peter
       Mazsa, 1-Jun-2020.) $)
    rnxrn $p |- ran ( R |X. S ) =
                { <. x , y >. | E. u ( u R x /\ u S y ) } $=
      ( vw cv cop wceq wbr w3a wex cab wa cxrn crn copab 3anass 3exbii abbii c0
      exrot3 19.42v 2exbii 3bitri ccnv cec wne dfrn6 n0 wb cvv elec1cnvxrn2 elv
      wcel exbii bitri eqtri df-opab 3eqtr4i ) FGZAGZBGZHIZCGZVBDJZVEVCEJZKZBLA
      LZCLZFMZVDVFVGNZCLZNZBLALZFMDEOZPZVMABQVJVOFVJVDVLNZBLALCLVRCLZBLALVOVHVR
      CABVDVFVGRSVRCABUBVSVNABVDVLCUCUDUETVQVAVPUFUGZUAUHZFMVKFVPUIWAVJFWAVEVTU
      OZCLVJCVTUJWBVICWBVIUKCABVAVEDEULUMUNUPUQTURVMABFUSUT $.
  $}

  ${
    $d A u x y $.  $d R u x y $.  $d S u x y $.
    $( Range of a range Cartesian product with a restricted relation.
       (Contributed by Peter Mazsa, 5-Dec-2021.) $)
    rnxrnres $p |- ran ( R |X. ( S |` A ) ) =
                   { <. x , y >. | E. u e. A ( u R x /\ u S y ) } $=
      ( cres cxrn crn cv wbr wa wex copab wrex rnxrn wcel wb cvv bitr4i opabbii
      brres elv anbi2i an12 exbii df-rex eqtri ) EFDGZHICJZAJEKZUJBJZUIKZLZCMZA
      BNUKUJULFKZLZCDOZABNABCEUIPUOURABUOUJDQZUQLZCMURUNUTCUNUKUSUPLZLUTUMVAUKU
      MVARBDUJULFSUBUCUDUSUKUPUETUFUQCDUGTUAUH $.
  $}

  ${
    $d A u x y $.  $d R u x y $.
    $( Range of a range Cartesian product with a restriction of the converse
       epsilon relation.  (Contributed by Peter Mazsa, 6-Dec-2021.) $)
    rnxrncnvepres $p |- ran ( R |X. ( `' _E |` A ) ) =
                        { <. x , y >. | E. u e. A ( y e. u /\ u R x ) } $=
      ( cep ccnv cres cxrn crn cv wbr wa wrex copab wcel rnxrnres cvv brcnvep
      wb elv anbi1ci rexbii opabbii eqtri ) EFGZDHIJCKZAKELZUGBKZUFLZMZCDNZABOU
      IUGPZUHMZCDNZABOABCDEUFQULUOABUKUNCDUJUMUHUJUMTCUGUIRSUAUBUCUDUE $.
  $}

  ${
    $d A u x y $.  $d R u x y $.
    $( Range of a range Cartesian product with a restriction of the identity
       relation.  (Contributed by Peter Mazsa, 6-Dec-2021.) $)
    rnxrnidres $p |- ran ( R |X. ( _I |` A ) ) =
                     { <. x , y >. | E. u e. A ( u = y /\ u R x ) } $=
      ( cid cres cxrn crn cv wbr wa wrex copab wceq rnxrnres wb cvv ideqg elv
      anbi1ci rexbii opabbii eqtri ) EFDGHICJZAJEKZUEBJZFKZLZCDMZABNUEUGOZUFLZC
      DMZABNABCDEFPUJUMABUIULCDUHUKUFUHUKQBUEUGRSTUAUBUCUD $.
  $}

  $( Two ways to express restriction of range Cartesian product, see also
     ~ xrnres2 , ~ xrnres3 .  (Contributed by Peter Mazsa, 5-Jun-2021.) $)
  xrnres $p |- ( ( R |X. S ) |` A ) = ( ( R |` A ) |X. S ) $=
    ( c1st cvv cxp cres ccnv ccom c2nd cxrn ineq1i df-xrn reseq1i inres2 eqtr4i
    cin resco 3eqtr4i ) DEEFZGHZBIZAGZJTGHCIZQZUABAGZIZUDQBCKZAGZUFCKUCUGUDUABA
    RLUIUBUDQZAGUEUHUJABCMNAUBUDOPUFCMS $.

  $( Two ways to express restriction of range Cartesian product, see also
     ~ xrnres , ~ xrnres3 .  (Contributed by Peter Mazsa, 6-Sep-2021.) $)
  xrnres2 $p |- ( ( R |X. S ) |` A ) = ( R |X. ( S |` A ) ) $=
    ( c1st cvv cxp cres ccnv ccom c2nd resco ineq2i df-xrn reseq1i inres eqtr4i
    cin cxrn 3eqtr4i ) DEEFZGHBIZJTGHZCIZAGZQZUAUBCAGZIZQBCRZAGZBUFRUDUGUAUBCAK
    LUIUAUCQZAGUEUHUJABCMNUAUCAOPBUFMS $.

  $( Two ways to express restriction of range Cartesian product, see also
     ~ xrnres , ~ xrnres2 .  (Contributed by Peter Mazsa, 28-Mar-2020.) $)
  xrnres3 $p |- ( ( R |X. S ) |` A ) = ( ( R |` A ) |X. ( S |` A ) ) $=
    ( c1st cvv cxp cres ccnv ccom c2nd cin cxrn ineq12i df-xrn reseq1i resindir
    resco eqtri 3eqtr4i ) DEEFZGHZBIZAGZJTGHZCIZAGZKZUABAGZIZUDCAGZIZKBCLZAGZUH
    UJLUCUIUFUKUABAQUDCAQMUMUBUEKZAGUGULUNABCNOUBUEAPRUHUJNS $.

  $( Two ways to express restriction of range Cartesian product.  (Contributed
     by Peter Mazsa, 29-Dec-2020.) $)
  xrnres4 $p |- ( ( R |X. S ) |` A ) =
      ( ( R |X. S ) i^i ( A X. ( ran ( R |` A ) X. ran ( S |` A ) ) ) ) $=
    ( cxrn cres crn cxp cin xrnres3 dfres4 xrneq12i inxpxrn 3eqtri ) BCDZAEBAEZ
    CAEZDBAOFZGHZCAPFZGHZDNAQSGGHABCIORPTABJACJKAQSBCLM $.

  $( Sufficient condition for a restricted range Cartesian product to be a set.
     (Contributed by Peter Mazsa, 16-Dec-2020.)  (Revised by Peter Mazsa,
     7-Sep-2021.) $)
  xrnresex $p |- ( ( A e. V /\ R e. W /\ ( S |` A ) e. X ) ->
                   ( R |X. ( S |` A ) ) e. _V ) $=
    ( wcel cres w3a cxrn cvv xrnres3 xrnres2 eqtr3i crn cxp cin dfres4 eqeltrid
    rnexg xrneq12i simp1 resexg syl 3ad2ant2 3ad2ant3 inxpxrn xrninxpex syl3anc
    eqeltrrid ) ADGZBEGZCAHZFGZIZBUMJZBAHZUMJZKBCJZAHURUPABCLABCMNUOURBAUQOZPQZ
    CAUMOZPQZJZKUQVAUMVCABRACRUAUOUKUTKGZVBKGZVDKGUKULUNUBULUKVEUNULUQKGVEBAEUC
    UQKTUDUEUNUKVFULUMFTUFUKVEVFIVDUSAUTVBPPQKAUTVBBCUGAUTVBBCDKKUHSUISUJ $.

  $( Sufficient condition for a range Cartesian product with restricted
     identity to be a set.  (Contributed by Peter Mazsa, 31-Dec-2021.) $)
  xrnidresex $p |- ( ( A e. V /\ R e. W ) ->
                     ( R |X. ( _I |` A ) ) e. _V ) $=
    ( wcel cid cres cvv cxrn resiexg adantr xrnresex mpd3an3 ) ACEZBDEZFAGZHEZB
    PIHENQOACJKABFCDHLM $.

  $( Sufficient condition for a range Cartesian product with restricted
     converse epsilon to be a set.  (Contributed by Peter Mazsa, 16-Dec-2020.)
     (Revised by Peter Mazsa, 23-Sep-2021.) $)
  xrncnvepresex $p |- ( ( A e. V /\ R e. W ) ->
                        ( R |X. ( `' _E |` A ) ) e. _V ) $=
    ( wcel cep ccnv cres cvv cxrn cnvepresex adantr xrnresex mpd3an3 ) ACEZBDEZ
    FGZAHZIEZBRJIEOSPACKLABQCDIMN $.

  $( Binary relation on an intersection is a special case of binary relation on
     range Cartesian product.  (Contributed by Peter Mazsa, 21-Aug-2021.) $)
  brin2 $p |- ( ( A e. V /\ B e. W ) ->
                ( A ( R i^i S ) B <-> A ( R |X. S ) <. B , B >. ) ) $=
    ( wcel wa cin wbr cop cxrn brin wb brxrn 3anidm23 bitr4id ) AEGZBFGZHABCDIJ
    ABCJABDJHZABBKCDLJZABCDMRSUATNABBCDEFFOPQ $.

  $( Binary relation on an intersection is a special case of binary relation on
     range Cartesian product.  (Contributed by Peter Mazsa, 21-Aug-2021.)
     (Avoid depending on this detail.) $)
  brin3 $p |- ( ( A e. V /\ B e. W ) ->
                ( A ( R i^i S ) B <-> A ( R |X. S ) { { B } } ) ) $=
    ( wcel wa cin wbr cop cxrn csn brin2 wceq opidg adantl breq2d bitrd ) AEGZB
    FGZHZABCDIJABBKZCDLZJABMMZUDJABCDEFNUBUCUEAUDUAUCUEOTBFPQRS $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cosets by ` R `
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d R u x y $.
    $( Define the class of cosets by ` R ` : ` x ` and ` y ` are cosets by
       ` R ` iff there exists a set ` u ` such that both ` u R x ` and
       ` u R y ` hold, i.e., both ` x ` and ` y ` are are elements of the ` R `
       -coset of ` u ` (see ~ dfcoss2 and the comment of ~ dfec2 ). ` R ` is
       usually a relation.

       This concept simplifies theorems relating partition and equivalence: the
       left side of these theorems relate to ` R ` , the right side relate to
       ` ,~ R ` (see e.g. ~~? pet ).  Without the definition of ` ,~ R ` we
       should have to relate the right side of these theorems to a composition
       of a converse (cf. ~ dfcoss3 ) or to the range of a range Cartesian
       product of classes (cf. ~ dfcoss4 ), which would make the theorems
       complicated and confusing.  Alternate definition is ~ dfcoss2 .
       Technically, we can define it via composition ( ~ dfcoss3 ) or as the
       range of a range Cartesian product ( ~ dfcoss4 ), but neither of these
       definitions reveal directly how the cosets by ` R ` relate to each
       other.  We define functions ( ~ df-funsALTV , ~ df-funALTV ) and
       disjoints ( ~ dfdisjs , ~ dfdisjs2 , ~ df-disjALTV , ~ dfdisjALTV2 )
       with the help of it as well.  (Contributed by Peter Mazsa,
       9-Jan-2018.) $)
    df-coss $a |- ,~ R = { <. x , y >. | E. u ( u R x /\ u R y ) } $.
  $}

  $( Define the class of coelements on the class ` A ` , see also the alternate
     definition ~ dfcoels .  Possible definitions are the special cases of
     ~ dfcoss3 and ~ dfcoss4 .  (Contributed by Peter Mazsa, 20-Nov-2019.) $)
  df-coels $a |- ~ A = ,~ ( `' _E |` A ) $.

  ${
    $d R u x y $.
    $( Alternate definition of the class of cosets by ` R ` : ` x ` and ` y `
       are cosets by ` R ` iff there exists a set ` u ` such that both ` x `
       and ` y ` are are elements of the ` R ` -coset of ` u ` (see also the
       comment of ~ dfec2 ). ` R ` is usually a relation.  (Contributed by
       Peter Mazsa, 16-Jan-2018.) $)
    dfcoss2 $p |- ,~ R =
                  { <. x , y >. | E. u ( x e. [ u ] R /\ y e. [ u ] R ) } $=
      ( ccoss cv wbr wa wex copab cec wcel df-coss wb cvv elecALTV el2v anbi12i
      exbii opabbii eqtr4i ) DECFZAFZDGZUBBFZDGZHZCIZABJUCUBDKZLZUEUILZHZCIZABJ
      ABCDMUMUHABULUGCUJUDUKUFUJUDNCAUBUCDOOPQUKUFNCBUBUEDOOPQRSTUA $.
  $}

  ${
    $d R u x y $.
    $( Alternate definition of the class of cosets by ` R ` (see the comment of
       ~ df-coss ).  (Contributed by Peter Mazsa, 27-Dec-2018.) $)
    dfcoss3 $p |- ,~ R = ( R o. `' R ) $=
      ( vx vu vy cv ccnv wbr wa wex copab ccom ccoss wb cvv brcnvg anbi1i exbii
      el2v opabbii df-co df-coss 3eqtr4ri ) BEZCEZAFZGZUDDEAGZHZCIZBDJUDUCAGZUG
      HZCIZBDJAUEKALUIULBDUHUKCUFUJUGUFUJMBCUCUDNNAORPQSBDCAUETBDCAUAUB $.
  $}

  ${
    $d R u x y $.
    $( Alternate definition of the class of cosets by ` R ` (see the comment of
       ~ df-coss ).  (Contributed by Peter Mazsa, 12-Jul-2021.) $)
    dfcoss4 $p |- ,~ R = ran ( R |X. R ) $=
      ( vu vx vy ccoss cv wbr wa wex copab cxrn crn df-coss rnxrn eqtr4i ) AEBF
      ZCFAGPDFAGHBICDJAAKLCDBAMCDBAANO $.
  $}

  $( If ` A ` is a set then the class of cosets by ` A ` is a set.
     (Contributed by Peter Mazsa, 4-Jan-2019.) $)
  cossex $p |- ( A e. V -> ,~ A e. _V ) $=
    ( wcel ccoss ccnv ccom cvv dfcoss3 cnvexg coexg mpdan eqeltrid ) ABCZADAAEZ
    FZGAHMNGCOGCABIANBGJKL $.

  $( If ` A ` is a set then the class of cosets by the converse of ` A ` is a
     set.  (Contributed by Peter Mazsa, 18-Oct-2019.) $)
  cosscnvex $p |- ( A e. V -> ,~ `' A e. _V ) $=
    ( wcel ccnv cvv ccoss cnvexg cossex syl ) ABCADZECJFECABGJEHI $.

  $( Sufficient condition for a restricted converse epsilon coset to be a set.
     (Contributed by Peter Mazsa, 24-Sep-2021.) $)
  1cosscnvepresex $p |- ( A e. V -> ,~ ( `' _E |` A ) e. _V ) $=
    ( wcel cep ccnv cres cvv ccoss cnvepresex cossex syl ) ABCDEAFZGCLHGCABILGJ
    K $.

  $( Sufficient condition for a restricted converse epsilon range Cartesian
     product to be a set.  (Contributed by Peter Mazsa, 23-Sep-2021.) $)
  1cossxrncnvepresex $p |- ( ( A e. V /\ R e. W ) ->
                             ,~ ( R |X. ( `' _E |` A ) ) e. _V ) $=
    ( wcel wa cep ccnv cres cxrn cvv ccoss xrncnvepresex cossex syl ) ACEBDEFBG
    HAIJZKEPLKEABCDMPKNO $.

  ${
    $d R u x y $.
    $( Cosets by ` R ` is a relation.  (Contributed by Peter Mazsa,
       27-Dec-2018.) $)
    relcoss $p |- Rel ,~ R $=
      ( vu vx vy cv wbr wa wex ccoss df-coss relopabiv ) BEZCEAFLDEAFGBHCDAICDB
      AJK $.
  $}

  $( Coelements on ` A ` is a relation.  (Contributed by Peter Mazsa,
     5-Oct-2021.) $)
  relcoels $p |- Rel ~ A $=
    ( ccoels wrel cep ccnv cres ccoss relcoss df-coels releqi mpbir ) ABZCDEAFZ
    GZCMHLNAIJK $.

  ${
    $d A x y z $.  $d B x y z $.
    $( Subclass theorem for the classes of cosets by ` A ` and ` B ` .
       (Contributed by Peter Mazsa, 11-Nov-2019.) $)
    cossss $p |- ( A C_ B -> ,~ A C_ ,~ B ) $=
      ( vx vy vz wss cv wbr wa wex copab ccoss anim12d eximdv ssopab2dv df-coss
      ssbr 3sstr4g ) ABFZCGZDGZAHZTEGZAHZIZCJZDEKTUABHZTUCBHZIZCJZDEKALBLSUFUJD
      ESUEUICSUBUGUDUHABTUAQABTUCQMNODECAPDECBPR $.
  $}

  ${
    $d A u x y $.  $d B u x y $.
    $( Equality theorem for the classes of cosets by ` A ` and ` B ` .
       (Contributed by Peter Mazsa, 9-Jan-2018.) $)
    cosseq $p |- ( A = B -> ,~ A = ,~ B ) $=
      ( vu vx vy wceq cv wbr wa wex copab ccoss anbi12d exbidv opabbidv df-coss
      breq 3eqtr4g ) ABFZCGZDGZAHZTEGZAHZIZCJZDEKTUABHZTUCBHZIZCJZDEKALBLSUFUJD
      ESUEUICSUBUGUDUHTUAABQTUCABQMNODECAPDECBPR $.
  $}

  ${
    cosseqi.1 $e |- A = B $.
    $( Equality theorem for the classes of cosets by ` A ` and ` B ` ,
       inference form.  (Contributed by Peter Mazsa, 9-Jan-2018.) $)
    cosseqi $p |- ,~ A = ,~ B $=
      ( wceq ccoss cosseq ax-mp ) ABDAEBEDCABFG $.
  $}

  ${
    cosseqd.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for the classes of cosets by ` A ` and ` B ` ,
       deduction form.  (Contributed by Peter Mazsa, 4-Nov-2019.) $)
    cosseqd $p |- ( ph -> ,~ A = ,~ B ) $=
      ( wceq ccoss cosseq syl ) ABCEBFCFEDBCGH $.
  $}

  ${
    $d A u x y $.  $d R u x y $.
    $( The class of cosets by a restriction.  (Contributed by Peter Mazsa,
       20-Apr-2019.) $)
    1cossres $p |- ,~ ( R |` A ) =
                   { <. x , y >. | E. u e. A ( u R x /\ u R y ) } $=
      ( cres ccoss cv wbr wa wex copab wrex df-coss wcel df-rex cvv brres elv
      wb anandi anbi12i bitr4i exbii bitri opabbii eqtr4i ) EDFZGCHZAHZUHIZUIBH
      ZUHIZJZCKZABLUIUJEIZUIULEIZJZCDMZABLABCUHNUSUOABUSUIDOZURJZCKUOURCDPVAUNC
      VAUTUPJZUTUQJZJUNUTUPUQUAUKVBUMVCUKVBTADUIUJEQRSUMVCTBDUIULEQRSUBUCUDUEUF
      UG $.
  $}

  ${
    $d A u x y $.
    $( Alternate definition of the class of coelements on the class ` A ` .
       (Contributed by Peter Mazsa, 20-Apr-2019.) $)
    dfcoels $p |- ~ A = { <. x , y >. | E. u e. A ( x e. u /\ y e. u ) } $=
      ( ccoels cep ccnv cres ccoss cv wbr wa wrex copab wel df-coels wb brcnvep
      cvv elv 1cossres anbi12i rexbii opabbii 3eqtri ) DEFGZDHICJZAJZUFKZUGBJZU
      FKZLZCDMZABNACOZBCOZLZCDMZABNDPABCDUFUAUMUQABULUPCDUIUNUKUOUIUNQCUGUHSRTU
      KUOQCUGUJSRTUBUCUDUE $.
  $}

  ${
    $d A u x y $.  $d B u x y $.  $d R u x y $.  $d V u $.  $d W u $.
    $( ` A ` and ` B ` are cosets by ` R ` : a binary relation.  (Contributed
       by Peter Mazsa, 27-Dec-2018.) $)
    brcoss $p |- ( ( A e. V /\ B e. W ) ->
                   ( A ,~ R B <-> E. u ( u R A /\ u R B ) ) ) $=
      ( vx vy cv wbr wa wex ccoss wceq breq2 bi2anan9 exbidv df-coss brabga ) A
      IZGIZDJZTHIZDJZKZALTBDJZTCDJZKZALGHBCDMEFUABNZUCCNZKUEUHAUIUBUFUJUDUGUABT
      DOUCCTDOPQGHADRS $.
  $}

  ${
    $d A u $.  $d B u $.  $d R u $.  $d V u $.  $d W u $.
    $( Alternate form of the ` A ` and ` B ` are cosets by ` R ` binary
       relation.  (Contributed by Peter Mazsa, 26-Mar-2019.) $)
    brcoss2 $p |- ( ( A e. V /\ B e. W ) ->
       ( A ,~ R B <-> E. u ( A e. [ u ] R /\ B e. [ u ] R ) ) ) $=
      ( wcel wa ccoss wbr cv wex cec brcoss exan3 bitr4d ) BEGCFGHBCDIJAKZBDJQC
      DJHALBQDMZGCRGHALABCDEFNABCDEFOP $.
  $}

  ${
    $d A u $.  $d B u $.  $d R u $.  $d V u $.  $d W u $.
    $( Alternate form of the ` A ` and ` B ` are cosets by ` R ` binary
       relation.  (Contributed by Peter Mazsa, 26-Mar-2019.) $)
    brcoss3 $p |- ( ( A e. V /\ B e. W ) ->
       ( A ,~ R B <-> ( [ A ] `' R i^i [ B ] `' R ) =/= (/) ) ) $=
      ( vu wcel wa cv ccnv wbr wex cec cin c0 wne wb cvv brcnvg elvd bi2anan9
      ccoss exbidv ecinn0 brcoss 3bitr4rd ) ADGZBEGZHZAFIZCJZKZBUJUKKZHZFLUJACK
      ZUJBCKZHZFLAUKMBUKMNOPABCUBKUIUNUQFUGULUOUHUMUPUGULUOQFAUJDRCSTUHUMUPQFBU
      JERCSTUAUCFABUKDEUDFABCDEUEUF $.
  $}

  ${
    $d A u $.  $d B u $.  $d R u $.  $d V u $.  $d W u $.
    $( For sets, the ` A ` and ` B ` cosets by ` R ` binary relation and the
       ` B ` and ` A ` cosets by ` R ` binary relation are the same.
       (Contributed by Peter Mazsa, 27-Dec-2018.) $)
    brcosscnvcoss $p |- ( ( A e. V /\ B e. W ) ->
                          ( A ,~ R B <-> B ,~ R A ) ) $=
      ( vu wcel wa cv wbr wex ccoss wb exancom a1i brcoss ancoms 3bitr4d ) ADGZ
      BEGZHZFIZACJZUBBCJZHFKZUDUCHFKZABCLZJBAUGJZUEUFMUAUCUDFNOFABCDEPTSUHUFMFB
      ACEDPQR $.
  $}

  ${
    $d A u x y $.  $d B u x y $.  $d C u x y $.
    $( ` B ` and ` C ` are coelements : a binary relation.  (Contributed by
       Peter Mazsa, 14-Jan-2020.)  (Revised by Peter Mazsa, 5-Oct-2021.) $)
    brcoels $p |- ( ( B e. V /\ C e. W ) ->
                    ( B ~ A C <-> E. u e. A ( B e. u /\ C e. u ) ) ) $=
      ( vx vy cv wcel wa wrex ccoels wceq eleq1 bi2anan9 rexbidv dfcoels brabga
      ) GIZAIZJZHIZUAJZKZABLCUAJZDUAJZKZABLGHCDBMEFTCNZUCDNZKUEUHABUIUBUFUJUDUG
      TCUAOUCDUAOPQGHABRS $.
  $}

  ${
    $d R x y z $.  $d S x y z $.
    $( Two ways of saying that cosets by cosets by ` R ` is a subclass.
       (Contributed by Peter Mazsa, 17-Sep-2021.) $)
    cocossss $p |- ( ,~ ,~ R C_ S <->
       A. x A. y A. z ( ( x ,~ R y /\ y ,~ R z ) -> x S z ) ) $=
      ( ccoss wss cv wbr wi wal wa wrel wb relcoss wex cvv el2v bitri albii
      ssrel3 ax-mp brcoss brcosscnvcoss anbi1i exbii imbi1i 19.23v bitr4i alcom
      ) DFZFZEGZAHZCHZULIZUNUOEIZJZCKZAKZUNBHZUKIZVAUOUKIZLZUQJZCKBKZAKULMUMUTN
      UKOACULEUAUBUSVFAUSVEBKZCKVFURVGCURVDBPZUQJVGUPVHUQUPVAUNUKIZVCLZBPZVHUPV
      KNACBUNUOUKQQUCRVJVDBVIVBVCVIVBNBAVAUNDQQUDRUEUFSUGVDUQBUHUITVECBUJSTS $.
  $}

  ${
    $d R x y $.
    $( The converse of cosets by ` R ` are cosets by ` R ` .  (Contributed by
       Peter Mazsa, 3-May-2019.) $)
    cnvcosseq $p |- `' ,~ R = ,~ R $=
      ( vx vy ccoss ccnv wss wceq cv wbr wal cvv brcosscnvcoss el2v biimpi gen2
      wi wb cnvsym mpbir wrel relcoss relcnveq ax-mp mpbi ) ADZEZUEFZUFUEGZUGBH
      ZCHZUEIZUJUIUEIZPZCJBJUMBCUKULUKULQBCUIUJAKKLMNOBCUERSUETUGUHQAUAUEUBUCUD
      $.
  $}

  $( Cosets by ` ,~ R ` binary relation.  (Contributed by Peter Mazsa,
     25-Aug-2019.) $)
  br2coss $p |- ( ( A e. V /\ B e. W ) ->
      ( A ,~ ,~ R B <-> ( [ A ] ,~ R i^i [ B ] ,~ R ) =/= (/) ) ) $=
    ( wcel wa ccoss wbr ccnv cec cin c0 brcoss3 cnvcosseq eceq2i ineq12i neeq1i
    wne bitrdi ) ADFBEFGABCHZHIAUAJZKZBUBKZLZMSAUAKZBUAKZLZMSABUADENUEUHMUCUFUD
    UGUBUAACOZPUBUABUIPQRT $.

  ${
    $d A u $.  $d B u $.  $d C u $.  $d R u $.  $d V u $.  $d W u $.
    $( ` B ` and ` C ` are cosets by a restriction: a binary relation.
       (Contributed by Peter Mazsa, 30-Dec-2018.) $)
    br1cossres $p |- ( ( B e. V /\ C e. W ) ->
      ( B ,~ ( R |` A ) C <-> E. u e. A ( u R B /\ u R C ) ) ) $=
      ( wcel wa cres ccoss wbr cv wex wrex brcoss exanres bitrd ) CFHDGHICDEBJZ
      KLAMZCSLTDSLIANTCELTDELIABOACDSFGPABCDEEFGQR $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d R x $.  $d V x $.  $d W x $.
    $( ` B ` and ` C ` are cosets by a restriction: a binary relation.
       (Contributed by Peter Mazsa, 3-Jan-2018.) $)
    br1cossres2 $p |- ( ( B e. V /\ C e. W ) ->
                        ( B ,~ ( R |` A ) C <->
                          E. x e. A ( B e. [ x ] R /\ C e. [ x ] R ) ) ) $=
      ( wcel wa cres ccoss wbr cv wrex cec br1cossres exanres3 bitr4d ) CFHDGHI
      CDEBJKLAMZCELSDELIABNCSEOZHDTHIABNABCDEFGPABCDEEFGQR $.
  $}

  ${
    $d A x $.  $d B x $.  $d R x $.  $d V x $.  $d W x $.
    $( ` A ` and ` B ` are cosets by relation ` R ` : a binary relation.
       (Contributed by Peter Mazsa, 22-Apr-2021.) $)
    relbrcoss $p |- ( ( A e. V /\ B e. W ) ->
                      ( Rel R ->
        ( A ,~ R B <-> E. x e. dom R ( A e. [ x ] R /\ B e. [ x ] R ) ) ) ) $=
      ( wcel wa wrel ccoss wbr cv cec cdm wrex wb cres resdm cosseqd breqd ex
      adantl br1cossres2 adantr bitr3d ) BEGCFGHZDIZBCDJZKZBALDMZGCUJGHADNZOZPU
      FUGHBCDUKQZJZKZUIULUGUOUIPUFUGUNUHBCUGUMDDRSTUBUFUOULPUGAUKBCDEFUCUDUEUA
      $.
  $}

  ${
    $d A u $.  $d B u $.  $d C u $.  $d R u $.  $d S u $.  $d V u $.  $d W u $.
    $( ` B ` and ` C ` are cosets by an intersection with a restriction: a
       binary relation.  (Contributed by Peter Mazsa, 31-Dec-2021.) $)
    br1cossinres $p |- ( ( B e. V /\ C e. W ) ->
        ( B ,~ ( R i^i ( S |` A ) ) C <->
          E. u e. A ( ( u S B /\ u R B ) /\ ( u S C /\ u R C ) ) ) ) $=
      ( cres cin ccoss wbr wcel wa cv wrex inres cosseqi breqi brin br1cossres
      anbi12i an2anr bitri rexbii bitrdi syl5bb ) CDEFBIJZKZLCDEFJZBIZKZLZCGMDH
      MNZAOZCFLZUOCELZNUODFLZUODELZNNZABPZCDUIULUHUKEFBQRSUNUMUOCUJLZUODUJLZNZA
      BPVAABCDUJGHUAVDUTABVDUQUPNZUSURNZNUTVBVEVCVFUOCEFTUODEFTUBUQUPUSURUCUDUE
      UFUG $.
  $}

  ${
    $d A u $.  $d B u $.  $d C u $.  $d D u $.  $d E u $.  $d R u $.  $d S u $.
    $d V u $.  $d W u $.  $d X u $.  $d Y u $.
    $( ` <. B , C >. ` and ` <. D , E >. ` are cosets by an intersection with a
       restriction: a binary relation.  (Contributed by Peter Mazsa,
       8-Jun-2021.) $)
    br1cossxrnres $p |-
      ( ( ( B e. V /\ C e. W ) /\ ( D e. X /\ E e. Y ) ) ->
        ( <. B , C >. ,~ ( R |X. ( S |` A ) ) <. D , E >. <->
          E. u e. A ( ( u S C /\ u R B ) /\ ( u S E /\ u R D ) ) ) ) $=
      ( cop cres cxrn wbr wcel wa cvv wb ccoss cv wrex xrnres2 breqi br1cossres
      cosseqi mp2an brxrn el3v1 bi2anan9 an2anr bitrdi rexbidv syl5bb bitr3id
      opex ) CDMZEHMZFGBNOZUAZPURUSFGOZBNZUAZPZCIQZDJQZRZEKQZHLQZRZRZAUBZDGPZVM
      CFPZRVMHGPZVMEFPZRRZABUCZURUSVDVAVCUTBFGUDUGUEVEVMURVBPZVMUSVBPZRZABUCZVL
      VSURSQUSSQVEWCTCDUQEHUQABURUSVBSSUFUHVLWBVRABVLWBVOVNRZVQVPRZRVRVHVTWDVKW
      AWEVFVGVTWDTAVMCDFGSIJUIUJVIVJWAWETAVMEHFGSKLUIUJUKVOVNVQVPULUMUNUOUP $.
  $}

  ${
    $d A u $.  $d B u $.  $d C u $.  $d R u $.  $d V u $.  $d W u $.
    $( ` B ` and ` C ` are cosets by an intersection with the restricted
       identity class: a binary relation.  (Contributed by Peter Mazsa,
       31-Dec-2021.) $)
    br1cossinidres $p |- ( ( B e. V /\ C e. W ) ->
        ( B ,~ ( R i^i ( _I |` A ) ) C <->
          E. u e. A ( ( u = B /\ u R B ) /\ ( u = C /\ u R C ) ) ) ) $=
      ( wcel wa cid cres cin wbr wrex wceq wb cvv ideq2 elv anbi1i br1cossinres
      ccoss cv anbi12i rexbii bitrdi ) CFHDGHICDEJBKLUBMAUCZCJMZUGCEMZIZUGDJMZU
      GDEMZIZIZABNUGCOZUIIZUGDOZULIZIZABNABCDEJFGUAUNUSABUJUPUMURUHUOUIUHUOPAUG
      CQRSTUKUQULUKUQPAUGDQRSTUDUEUF $.
  $}

  ${
    $d A u $.  $d B u $.  $d C u $.  $d R u $.  $d V u $.  $d W u $.
    $( ` B ` and ` C ` are cosets by an intersection with the restricted
       converse epsilon class: a binary relation.  (Contributed by Peter Mazsa,
       31-Dec-2021.) $)
    br1cossincnvepres $p |- ( ( B e. V /\ C e. W ) ->
        ( B ,~ ( R i^i ( `' _E |` A ) ) C <->
          E. u e. A ( ( B e. u /\ u R B ) /\ ( C e. u /\ u R C ) ) ) ) $=
      ( wcel wa cep ccnv cres cin wbr wrex wb cvv brcnvep elv anbi1i cv anbi12i
      ccoss br1cossinres rexbii bitrdi ) CFHDGHICDEJKZBLMUCNAUAZCUGNZUHCENZIZUH
      DUGNZUHDENZIZIZABOCUHHZUJIZDUHHZUMIZIZABOABCDEUGFGUDUOUTABUKUQUNUSUIUPUJU
      IUPPAUHCQRSTULURUMULURPAUHDQRSTUBUEUF $.
  $}

  ${
    $d A u $.  $d B u $.  $d C u $.  $d D u $.  $d E u $.  $d R u $.  $d V u $.
    $d W u $.  $d X u $.  $d Y u $.
    $( ` <. B , C >. ` and ` <. D , E >. ` are cosets by a range Cartesian
       product with the restricted identity class: a binary relation.
       (Contributed by Peter Mazsa, 8-Jun-2021.) $)
    br1cossxrnidres $p |-
        ( ( ( B e. V /\ C e. W ) /\ ( D e. X /\ E e. Y ) ) ->
          ( <. B , C >. ,~ ( R |X. ( _I |` A ) ) <. D , E >. <->
            E. u e. A ( ( u = C /\ u R B ) /\ ( u = E /\ u R D ) ) ) ) $=
      ( wcel wa cop cid wbr wrex wceq wb cvv cres ccoss br1cossxrnres ideq2 elv
      cxrn cv anbi1i anbi12i rexbii bitrdi ) CHLDILMEJLGKLMMCDNEGNFOBUAUFUBPAUG
      ZDOPZULCFPZMZULGOPZULEFPZMZMZABQULDRZUNMZULGRZUQMZMZABQABCDEFOGHIJKUCUSVD
      ABUOVAURVCUMUTUNUMUTSAULDTUDUEUHUPVBUQUPVBSAULGTUDUEUHUIUJUK $.
  $}

  ${
    $d A u $.  $d B u $.  $d C u $.  $d D u $.  $d E u $.  $d R u $.  $d V u $.
    $d W u $.  $d X u $.  $d Y u $.
    $( ` <. B , C >. ` and ` <. D , E >. ` are cosets by a range Cartesian
       product with the restricted converse epsilon class: a binary relation.
       (Contributed by Peter Mazsa, 12-May-2021.) $)
    br1cossxrncnvepres $p |-
      ( ( ( B e. V /\ C e. W ) /\ ( D e. X /\ E e. Y ) ) ->
        ( <. B , C >. ,~ ( R |X. ( `' _E |` A ) ) <. D , E >. <->
          E. u e. A ( ( C e. u /\ u R B ) /\ ( E e. u /\ u R D ) ) ) ) $=
      ( wcel wa cop wbr wrex wb cvv brcnvep elv ccnv cres cxrn cv br1cossxrnres
      cep ccoss anbi1i anbi12i rexbii bitrdi ) CHLDILMEJLGKLMMCDNEGNFUFUAZBUBUC
      UGOAUDZDULOZUMCFOZMZUMGULOZUMEFOZMZMZABPDUMLZUOMZGUMLZURMZMZABPABCDEFULGH
      IJKUEUTVEABUPVBUSVDUNVAUOUNVAQAUMDRSTUHUQVCURUQVCQAUMGRSTUHUIUJUK $.
  $}

  $( The domain of cosets is the domain of converse.  (Contributed by Peter
     Mazsa, 4-Jan-2019.) $)
  dmcoss3 $p |- dom ,~ R = dom `' R $=
    ( ccoss cdm ccnv ccom dfcoss3 dmeqi crn wss wceq rncnv dmcosseq ax-mp eqtri
    eqimssi ) ABZCAADZEZCZQCZPRAFGQHZACZISTJUAUBAKOAQLMN $.

  $( The domain of cosets is the range.  (Contributed by Peter Mazsa,
     27-Dec-2018.) $)
  dmcoss2 $p |- dom ,~ R = ran R $=
    ( ccoss cdm ccnv crn dmcoss3 df-rn eqtr4i ) ABCADCAEAFAGH $.

  ${
    $d R x y $.
    $( The range of cosets is the domain of them (this should be ~ rncoss but
       there exists a theorem with this name already).  (Contributed by Peter
       Mazsa, 12-Dec-2019.) $)
    rncossdmcoss $p |- ran ,~ R = dom ,~ R $=
      ( vy vx cv ccoss wbr wex cab crn cdm brcosscnvcoss el2v exbii abbii dfrn2
      wb cvv df-dm 3eqtr4i ) BDZCDZAEZFZBGZCHUATUBFZBGZCHUBIUBJUDUFCUCUEBUCUEPB
      CTUAAQQKLMNBCUBOCBUBRS $.
  $}

  $( The domain of cosets of the restricted converse epsilon relation is the
     union of the restriction.  (Contributed by Peter Mazsa, 18-May-2019.)
     (Revised by Peter Mazsa, 26-Sep-2021.) $)
  dm1cosscnvepres $p |- dom ,~ ( `' _E |` A ) = U. A $=
    ( cep ccnv cres ccoss cdm crn cuni dmcoss2 rncnvepres eqtri ) BCADZEFLGAHLI
    AJK $.

  $( The domain of coelements in ` A ` is the union of ` A ` .  (Contributed by
     Rodolfo Medina, 14-Oct-2010.)  (Revised by Peter Mazsa, 5-Apr-2018.)
     (Revised by Peter Mazsa, 26-Sep-2021.) $)
  dmcoels $p |- dom ~ A = U. A $=
    ( ccoels cdm cep ccnv cres ccoss cuni df-coels dmeqi dm1cosscnvepres eqtri
    ) ABZCDEAFGZCAHMNAIJAKL $.

  ${
    $d A u $.  $d R u $.  $d V u $.
    $( Elementhood in the domain of cosets.  (Contributed by Peter Mazsa,
       29-Mar-2019.) $)
    eldmcoss $p |- ( A e. V -> ( A e. dom ,~ R <-> E. u u R A ) ) $=
      ( ccoss cdm wcel ccnv cv wbr wex dmcoss3 eleq2i eldmcnv syl5bb ) BCEFZGBC
      HFZGBDGAIBCJAKPQBCLMABCDNO $.
  $}

  ${
    $d A u $.  $d R u $.  $d V u $.
    $( Elementhood in the domain of cosets.  (Contributed by Peter Mazsa,
       28-Dec-2018.) $)
    eldmcoss2 $p |- ( A e. V -> ( A e. dom ,~ R <-> A ,~ R A ) ) $=
      ( vu wcel ccoss cdm cv wbr wex eldmcoss wa wb brcoss anidms exbii bitr4di
      pm4.24 bitr4d ) ACEZABFZGEDHABIZDJZAAUAIZDABCKTUDUBUBLZDJZUCTUDUFMDAABCCN
      OUBUEDUBRPQS $.
  $}

  ${
    $d A u $.  $d B u $.  $d R u $.  $d V u $.
    $( Elementhood in the domain of restricted cosets.  (Contributed by Peter
       Mazsa, 30-Dec-2018.) $)
    eldm1cossres $p |- ( B e. V ->
                         ( B e. dom ,~ ( R |` A ) <-> E. u e. A u R B ) ) $=
      ( wcel cres ccoss cdm cv wbr wex wrex eldmcoss brres exbidv bitrd bitr4di
      wa df-rex ) CEFZCDBGZHIFZAJZBFUDCDKZSZALZUEABMUAUCUDCUBKZALUGACUBENUAUHUF
      ABUDCDEOPQUEABTR $.
  $}

  ${
    $d A x $.  $d B x $.  $d R x $.  $d V x $.
    $( Elementhood in the domain of restricted cosets.  (Contributed by Peter
       Mazsa, 30-Dec-2018.) $)
    eldm1cossres2 $p |- ( B e. V ->
        ( B e. dom ,~ ( R |` A ) <-> E. x e. A B e. [ x ] R ) ) $=
      ( wcel cres ccoss cdm cv wbr wrex cec eldm1cossres elecALTV el2v1 rexbidv
      wb cvv bitr4d ) CEFZCDBGHIFAJZCDKZABLCUBDMFZABLABCDENUAUDUCABUAUDUCRAUBCD
      SEOPQT $.
  $}

  $( Lemma for the left side of the ~ refrelcoss3 reflexivity theorem.
     (Contributed by Peter Mazsa, 1-Apr-2019.) $)
  refrelcosslem $p |- A. x e. dom ,~ R x ,~ R x $=
    ( cv ccoss cdm wcel wral wbr ralel wb cvv eldmcoss2 elv ralbii mpbi ) ACZBD
    ZEZFZARGPPQHZARGARISTARSTJAPBKLMNO $.

  ${
    $d R x y $.
    $( The class of cosets by ` R ` is reflexive, see ~ dfrefrel3 .
       (Contributed by Peter Mazsa, 30-Jul-2019.) $)
    refrelcoss3 $p |-
        ( A. x e. dom ,~ R A. y e. ran ,~ R ( x = y -> x ,~ R y ) /\
          Rel ,~ R ) $=
      ( weq cv ccoss wbr wi crn wral cdm wrel refrelcosslem idinxpssinxp4 mpbir
      rncossdmcoss raleqi ralbii relcoss pm3.2i ) ABDAEZBECFZGHZBUBIZJZAUBKZJZU
      BLUGUCBUFJZAUFJZUIUAUAUBGAUFJACMABUFUBNOUEUHAUFUCBUDUFCPQROCST $.
  $}

  ${
    $d R x y $.
    $( The class of cosets by ` R ` is reflexive, see ~ dfrefrel2 .
       (Contributed by Peter Mazsa, 30-Jul-2019.) $)
    refrelcoss2 $p |- ( ( _I i^i ( dom ,~ R X. ran ,~ R ) ) C_ ,~ R /\
                        Rel ,~ R ) $=
      ( vx vy cid ccoss cdm crn cxp cin wss wrel wa weq cv wbr wral refrelcoss3
      wi idinxpss anbi1i mpbir ) DAEZFZUBGZHIUBJZUBKZLBCMBNCNUBORCUDPBUCPZUFLBC
      AQUEUGUFBCUCUDUBSTUA $.
  $}

  $( The class of cosets by ` R ` is symmetric, see ~ dfsymrel3 .  (Contributed
     by Peter Mazsa, 28-Mar-2019.)  (Revised by Peter Mazsa, 17-Sep-2021.) $)
  symrelcoss3 $p |- ( A. x A. y ( x ,~ R y -> y ,~ R x ) /\ Rel ,~ R ) $=
    ( cv ccoss wbr wi wal wrel wb brcosscnvcoss el2v biimpi gen2 relcoss pm3.2i
    cvv ) ADZBDZCEZFZSRTFZGZBHAHTIUCABUAUBUAUBJABRSCQQKLMNCOP $.

  ${
    $d R x y $.
    $( The class of cosets by ` R ` is symmetric, see ~ dfsymrel2 .
       (Contributed by Peter Mazsa, 27-Dec-2018.) $)
    symrelcoss2 $p |- ( `' ,~ R C_ ,~ R /\ Rel ,~ R ) $=
      ( vx vy ccoss ccnv wss wrel wa cv wbr wal symrelcoss3 cnvsym anbi1i mpbir
      wi ) ADZEQFZQGZHBIZCIZQJUATQJPCKBKZSHBCALRUBSBCQMNO $.
  $}

  $( Equivalent expressions for the class of cosets by ` R ` to be a subset of
     the identity class.  (Contributed by Peter Mazsa, 27-Jul-2021.) $)
  cossssid $p |- ( ,~ R C_ _I <->
                   ,~ R C_ ( _I i^i ( dom ,~ R X. ran ,~ R ) ) ) $=
    ( ccoss cid wss cdm crn cxp wceq iss2 wrel refrelcoss2 simpli eqss mpbiran2
    cin bitri ) ABZCDQCQEQFGOZHZQRDZQISTRQDZUAQJAKLQRMNP $.

  ${
    $d R u x y $.
    $( Equivalent expressions for the class of cosets by ` R ` to be a subset
       of the identity class.  (Contributed by Peter Mazsa, 10-Mar-2019.) $)
    cossssid2 $p |- ( ,~ R C_ _I <->
                      A. x A. y ( E. u ( u R x /\ u R y ) -> x = y ) ) $=
      ( ccoss cid wss weq copab cv wbr wa wex wi df-id sseq2i df-coss ssopab2bw
      wal sseq1i 3bitri ) DEZFGUBABHZABIZGCJZAJDKUEBJDKLCMZABIZUDGUFUCNBSASFUDU
      BABOPUBUGUDABCDQTUFUCABRUA $.
  $}

  ${
    $d R u x y $.
    $( Equivalent expressions for the class of cosets by ` R ` to be a subset
       of the identity class.  (Contributed by Peter Mazsa, 10-Mar-2019.) $)
    cossssid3 $p |- ( ,~ R C_ _I <->
                      A. u A. x A. y ( ( u R x /\ u R y ) -> x = y ) ) $=
      ( ccoss cid wss cv wbr wa wex weq wal cossssid2 19.23v albii alcom bitr3i
      wi 3bitri ) DEFGCHZAHDIUABHDIJZCKABLZSZBMZAMUBUCSZBMZCMZAMUGAMCMABCDNUEUH
      AUEUFCMZBMUHUIUDBUBUCCOPUFBCQRPUGACQT $.
  $}

  ${
    $d R u x y $.
    $( Equivalent expressions for the class of cosets by ` R ` to be a subset
       of the identity class.  (Contributed by Peter Mazsa, 31-Aug-2021.) $)
    cossssid4 $p |- ( ,~ R C_ _I <-> A. u E* x u R x ) $=
      ( vy ccoss cid wss cv wbr wa weq wal wmo cossssid3 breq2 mo4 albii bitr4i
      wi ) CEFGBHZAHZCIZTDHZCIZJADKSDLALZBLUBAMZBLADBCNUFUEBUBUDADUAUCTCOPQR $.
  $}

  ${
    $d R u x y $.
    $( Equivalent expressions for the class of cosets by ` R ` to be a subset
       of the identity class.  (Contributed by Peter Mazsa, 5-Sep-2021.) $)
    cossssid5 $p |- ( ,~ R C_ _I <->
                      A. x e. ran R A. y e. ran R
                        ( x = y \/ ( [ x ] `' R i^i [ y ] `' R ) = (/) ) ) $=
      ( vu ccoss cid wss cv wbr wmo wal wceq ccnv cec cin c0 crn wral cossssid4
      wo ineccnvmo2 bitr4i ) CEFGDHAHZCIAJDKUCBHZLUCCMZNUDUENOPLTBCQZRAUFRADCSA
      BDCUAUB $.
  $}

  ${
    $d A x $.  $d B x $.  $d R x $.  $d V x $.  $d W x $.
    $( ` A ` and ` B ` are cosets by converse ` R ` : a binary relation.
       (Contributed by Peter Mazsa, 23-Jan-2019.) $)
    brcosscnv $p |- ( ( A e. V /\ B e. W ) ->
                      ( A ,~ `' R B <-> E. x ( A R x /\ B R x ) ) ) $=
      ( wcel wa ccnv ccoss wbr cv wex brcoss cvv brcnvg el2v1 bi2anan9 exbidv
      wb bitrd ) BEGZCFGZHZBCDIZJKALZBUEKZUFCUEKZHZAMBUFDKZCUFDKZHZAMABCUEEFNUD
      UIULAUBUGUJUCUHUKUBUGUJTAUFBOEDPQUCUHUKTAUFCOFDPQRSUA $.
  $}

  ${
    $d A x $.  $d B x $.  $d R x $.  $d V x $.  $d W x $.
    $( ` A ` and ` B ` are cosets by converse ` R ` : a binary relation.
       (Contributed by Peter Mazsa, 12-Mar-2019.) $)
    brcosscnv2 $p |- ( ( A e. V /\ B e. W ) ->
       ( A ,~ `' R B <-> ( [ A ] R i^i [ B ] R ) =/= (/) ) ) $=
      ( vx wcel wa ccnv ccoss wbr cv wex cec cin c0 wne brcosscnv ecinn0 bitr4d
      ) ADGBEGHABCIJKAFLZCKBUACKHFMACNBCNOPQFABCDERFABCDEST $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d R x y $.  $d S x y $.  $d V x y $.
    $d W x y $.
    $( ` A ` and ` B ` are cosets by the converse range Cartesian product: a
       binary relation.  (Contributed by Peter Mazsa, 19-Apr-2020.)  (Revised
       by Peter Mazsa, 21-Sep-2021.) $)
    br1cosscnvxrn $p |- ( ( A e. V /\ B e. W ) ->
       ( A ,~ `' ( R |X. S ) B <-> ( A ,~ `' R B /\ A ,~ `' S B ) ) ) $=
      ( vx vy wcel wa cec cin c0 wne cv wbr wex ccnv ccoss copab cxrn ineqan12d
      ecxrn inopab eqtrdi opabbii neeq1d opabn0 exdistrv bitri bitrdi brcosscnv
      an4 brcosscnv2 anbi12d 3bitr4d ) AEIZBFIZJZACDUAZKZBUTKZLZMNZAGOZCPZBVECP
      ZJZGQZAHOZDPZBVJDPZJZHQZJZABUTRSPABCRSPZABDRSPZJUSVDVHVMJZGHTZMNZVOUSVCVS
      MUSVCVFVKJZVGVLJZJZGHTZVSUSVCWAGHTZWBGHTZLWDUQURVAWEVBWFGHACDEUCGHBCDFUCU
      BWAWBGHUDUEWCVRGHVFVKVGVLUMUFUEUGVTVRHQGQVOVRGHUHVHVMGHUIUJUKABUTEFUNUSVP
      VIVQVNGABCEFULHABDEFULUOUP $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Cosets by the converse range Cartesian product.  (Contributed by Peter
       Mazsa, 19-Apr-2020.)  (Revised by Peter Mazsa, 21-Sep-2021.) $)
    1cosscnvxrn $p |- ,~ `' ( A |X. B ) = ( ,~ `' A i^i ,~ `' B ) $=
      ( vx vy cv cxrn ccnv ccoss wbr copab cin wa wb br1cosscnvxrn wrel relcoss
      cvv wceq dfrel4v mpbi el2v opabbii inopab eqtr4i ineq12i 3eqtr4i ) CEZDEZ
      ABFGZHZIZCDJZUGUHAGZHZIZCDJZUGUHBGZHZIZCDJZKZUJUNURKULUOUSLZCDJVAUKVBCDUK
      VBMCDUGUHABQQNUAUBUOUSCDUCUDUJOUJULRUIPCDUJSTUNUPURUTUNOUNUPRUMPCDUNSTURO
      URUTRUQPCDURSTUEUF $.
  $}

  ${
    $d R u v x $.
    $( Equivalent expressions for the class of cosets by the converse of ` R `
       to be a subset of the identity class.  (Contributed by Peter Mazsa,
       28-Jul-2021.) $)
    cosscnvssid3 $p |- ( ,~ `' R C_ _I <->
                         A. u A. v A. x ( ( u R x /\ v R x ) -> u = v ) ) $=
      ( ccnv ccoss cid wss cv wbr wa weq wi wal cossssid3 alrot3 wb brcnvg el2v
      cvv anbi12i imbi1i 3albii 3bitri ) DEZFGHAIZCIZUEJZUFBIZUEJZKZCBLZMZBNCNA
      NUMANBNCNUGUFDJZUIUFDJZKZULMZANBNCNCBAUEOUMACBPUMUQCBAUKUPULUHUNUJUOUHUNQ
      ACUFUGTTDRSUJUOQABUFUITTDRSUAUBUCUD $.
  $}

  ${
    $d R u x $.
    $( Equivalent expressions for the class of cosets by the converse of ` R `
       to be a subset of the identity class.  (Contributed by Peter Mazsa,
       31-Aug-2021.) $)
    cosscnvssid4 $p |- ( ,~ `' R C_ _I <-> A. x E* u u R x ) $=
      ( ccnv ccoss cid wss cv wbr wmo wal cossssid4 cvv brcnvg el2v mobii albii
      wb bitri ) CDZEFGAHZBHZTIZBJZAKUBUACIZBJZAKBATLUDUFAUCUEBUCUERABUAUBMMCNO
      PQS $.
  $}

  ${
    $d R u v x $.
    $( Equivalent expressions for the class of cosets by the converse of the
       relation ` R ` to be a subset of the identity class.  (Contributed by
       Peter Mazsa, 5-Sep-2021.) $)
    cosscnvssid5 $p |- ( ( ,~ `' R C_ _I /\ Rel R ) <->
       ( A. u e. dom R A. v e. dom R
           ( u = v \/ ( [ u ] R i^i [ v ] R ) = (/) ) /\
         Rel R ) ) $=
      ( vx ccnv ccoss cid wss wrel wa cv wbr wmo wal wceq cec cin c0 wo wral
      cdm cosscnvssid4 anbi1i inecmo3 bitr4i ) CEFGHZCIZJBKZDKCLBMDNZUGJUHAKZOU
      HCPUJCPQROSACUAZTBUKTUGJUFUIUGDBCUBUCDABCUDUE $.
  $}

  ${
    $d x y z $.
    $( Cosets by the empty set are the empty set.  (Contributed by Peter Mazsa,
       22-Oct-2019.) $)
    coss0 $p |- ,~ (/) = (/) $=
      ( vy vx vz c0 ccoss cv cec wcel wa wex copab dfcoss2 eleq2i anbi12i exbii
      ec0 19.9v bitri opabbii cvv cpr wss wne prnzg elv ss0b nemtbir prssg el2v
      wb mtbir opabf 3eqtri ) DEAFZBFZDGZHZCFZUPHZIZBJZACKUNDHZURDHZIZACKDACBDL
      VAVDACVAVDBJVDUTVDBUQVBUSVCUPDUNUOPZMUPDURVEMNOVDBQRSVDACVDUNURUAZDUBZVGV
      FDVFDUCAUNURTUDUEVFUFUGVDVGUJACUNURDTTUHUIUKULUM $.
  $}

  ${
    $d x y z $.
    $( Cosets by the identity relation are the identity relation.  (Contributed
       by Peter Mazsa, 16-Jan-2019.) $)
    cossid $p |- ,~ _I = _I $=
      ( vy vz vx weq copab cv cid wbr wa wex ccoss equvinv wb cvv ideqg anbi12i
      elv exbii bitr4i opabbii df-id df-coss 3eqtr4ri ) ABDZABECFZAFZGHZUEBFZGH
      ZIZCJZABEGGKUDUKABUDCADZCBDZIZCJUKABCLUJUNCUGULUIUMUGULMAUEUFNOQUIUMMBUEU
      HNOQPRSTABUAABCGUBUC $.
  $}

  $( Cosets by the converse identity relation are the identity relation.
     (Contributed by Peter Mazsa, 27-Sep-2021.) $)
  cosscnvid $p |- ,~ `' _I = _I $=
    ( cid ccnv ccoss cnvi cosseqi cossid eqtri ) ABZCACAHADEFG $.

  ${
    $d R u x $.  $d R u z $.  $d u x y $.  $d y z $.
    $( Sufficient condition for the transitivity of cosets by ` R ` .
       (Contributed by Peter Mazsa, 26-Dec-2018.) $)
    trcoss $p |- ( A. y E* u u R y ->
       A. x A. y A. z ( ( x ,~ R y /\ y ,~ R z ) -> x ,~ R z ) ) $=
      ( cv wbr wmo wal ccoss wa wi wex moantr cvv brcoss el2v anbi12i alrimiv
      wb 3imtr4g alimi ) DFZBFZEGZDHZBIAFZUDEJZGZUDCFZUHGZKZUGUJUHGZLZCIZBIAUFU
      OBUFUNCUFUCUGEGZUEKDMZUEUCUJEGZKDMZKUPURKDMZULUMUPUEURDNUIUQUKUSUIUQTABDU
      GUDEOOPQUKUSTBCDUDUJEOOPQRUMUTTACDUGUJEOOPQUASUBS $.
  $}

  $( Two ways of saying that the coset of ` A ` and the coset of ` C ` have the
     common element ` B ` .  (Contributed by Peter Mazsa, 15-Oct-2021.) $)
  eleccossin $p |- ( ( B e. V /\ C e. W ) ->
      ( B e. ( [ A ] ,~ R i^i [ C ] ,~ R ) <-> ( A ,~ R B /\ B ,~ R C ) ) ) $=
    ( wcel wa ccoss cec cin wbr elin wrel relcoss relelec ax-mp anbi12i bitri
    wb brcosscnvcoss anbi2d bitr4id ) BEGCFGHZBADIZJZCUEJZKGZABUELZCBUELZHZUIBC
    UELZHUHBUFGZBUGGZHUKBUFUGMUMUIUNUJUENZUMUITDOZBAUEPQUOUNUJTUPBCUEPQRSUDULUJ
    UIBCDEFUAUBUC $.

  ${
    $d R y $.  $d x y $.  $d y z $.
    $( Equivalent expressions for the transitivity of cosets by ` R ` .
       (Contributed by Peter Mazsa, 4-Jul-2020.)  (Revised by Peter Mazsa,
       16-Oct-2021.) $)
    trcoss2 $p |-
       ( A. x A. y A. z ( ( x ,~ R y /\ y ,~ R z ) -> x ,~ R z ) <->
         A. x A. z
           ( ( [ x ] ,~ R i^i [ z ] ,~ R ) =/= (/) ->
             ( [ x ] `' R i^i [ z ] `' R ) =/= (/) ) ) $=
      ( cv ccoss wbr wa wi wal cec cin c0 wne ccnv alcom albii wb cvv el2v wcel
      wex 19.23v eleccossin bicomi brcoss3 imbi12i imbi1i 3bitr4i 2albii bitri
      n0 ) AEZBEZDFZGUNCEZUOGHZUMUPUOGZIZCJBJZAJUSBJZCJZAJUMUOKUPUOKLZMNZUMDOZK
      UPVEKLMNZIZCJAJUTVBAUSBCPQVAVGACUNVCUAZVFIZBJVHBUBZVFIVAVGVHVFBUCUSVIBUQV
      HURVFVHUQVHUQRBCUMUNUPDSSUDTUEURVFRACUMUPDSSUFTUGQVDVJVFBVCULUHUIUJUK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the relations class.  Proper class relations (like ` _I ` , see
     ~ reli ) are not elements of it.  The element of this class and the
     relation predicate are the same when ` R ` is a set (see ~ elrelsrel ).

     The class of relations is a great tool we can use when we define classes
     of different relations as nullary class constants as required by the 2.
     point in our Guidelines ~ https://us.metamath.org/mpeuni/mathbox.html .
     When we want to define a specific class of relations as a nullary class
     constant, the appropriate method is the following:

     1.  We define the specific nullary class constant for general sets (see
     e.g. ~ df-refs ), then

     2. we get the required class of relations by the intersection of the class
     of general sets above with the class of relations ~ df-rels (see
     ~ df-refrels and the resulting ~ dfrefrels2 and ~ dfrefrels3 ).

     3.  Finally, in order to be able to work with proper classes (like
     ~ iprc ) as well, we define the predicate of the relation (see
     ~ df-refrel ) so that it is true for the relevant proper classes (see
     ~ refrelid ), and that the element of the class of the required relations
     (e.g. ~ elrefrels3 ) and this predicate are the same in case of sets (see
     ~ elrefrelsrel ).  (Contributed by Peter Mazsa, 13-Jun-2018.) $)
  df-rels $a |- Rels = ~P ( _V X. _V ) $.

  $( The element of the relations class ( ~ df-rels ) and the relation
     predicate ( ~ df-rel ) are the same when ` R ` is a set.  (Contributed by
     Peter Mazsa, 14-Jun-2018.) $)
  elrels2 $p |- ( R e. V -> ( R e. Rels <-> R C_ ( _V X. _V ) ) ) $=
    ( crels wcel cvv cxp cpw wss df-rels eleq2i elpwg syl5bb ) ACDAEEFZGZDABDAM
    HCNAIJAMBKL $.

  $( The element of the relations class ( ~ df-rels ) and the relation
     predicate are the same when ` R ` is a set.  (Contributed by Peter Mazsa,
     24-Nov-2018.) $)
  elrelsrel $p |- ( R e. V -> ( R e. Rels <-> Rel R ) ) $=
    ( wcel crels cvv cxp wss wrel elrels2 df-rel bitr4di ) ABCADCAEEFGAHABIAJK
    $.

  $( The element of the relations class is a relation.  (Contributed by Peter
     Mazsa, 20-Jul-2019.) $)
  elrelsrelim $p |- ( R e. Rels -> Rel R ) $=
    ( crels wcel wrel elrelsrel ibi ) ABCADABEF $.

  $( Equivalent expressions for an element of the relations class.
     (Contributed by Peter Mazsa, 21-Jul-2021.) $)
  elrels5 $p |- ( R e. V -> ( R e. Rels <-> ( R |` dom R ) = R ) ) $=
    ( wcel crels wrel cdm cres wceq elrelsrel dfrel5 bitrdi ) ABCADCAEAAFGAHABI
    AJK $.

  $( Equivalent expressions for an element of the relations class.
     (Contributed by Peter Mazsa, 21-Jul-2021.) $)
  elrels6 $p |- ( R e. V ->
                  ( R e. Rels <-> ( R i^i ( dom R X. ran R ) ) = R ) ) $=
    ( wcel crels wrel cdm crn cxp cin wceq elrelsrel dfrel6 bitrdi ) ABCADCAEAA
    FAGHIAJABKALM $.

  ${
    $d R x y $.
    $( Two ways of saying a relation is symmetric.  (Contributed by Peter
       Mazsa, 22-Aug-2021.) $)
    elrelscnveq3 $p |- ( R e. Rels ->
                         ( R = `' R <-> A. x A. y ( x R y -> y R x ) ) ) $=
      ( ccnv wceq wss wa crels wcel cv wbr wi wal eqss cnvsym biimpi a1d adantl
      com12 wrel elrelsrelim dfrel2 sylib cnvss sseq1 syl5ibcom syl5com biimpri
      sylbir jca2 impbid syl5bb ) CCDZECUMFZUMCFZGZCHIZAJZBJZCKUSURCKLBMAMZCUMN
      UQUPUTUPUQUTUOUQUTLUNUOUTUQUOUTABCOZPQRSUQUTUNUOUQUMDZCEZUTUNUQCTVCCUACUB
      UCUTUOVCUNLVAUOVBUMFVCUNUMCUDVBCUMUEUFUIUGUOUTVAUHUJUKUL $.
  $}

  ${
    $d R x y $.
    $( Two ways of saying a relation is symmetric.  (Contributed by Peter
       Mazsa, 22-Aug-2021.) $)
    elrelscnveq $p |- ( R e. Rels -> ( `' R C_ R <-> `' R = R ) ) $=
      ( vx vy crels wcel ccnv wceq wss cv wbr wi wal elrelscnveq3 bitr4di eqcom
      cnvsym bitr3di ) ADEZAAFZGZSAHZSAGRTBIZCIZAJUCUBAJKCLBLUABCAMBCAPNASOQ $.
  $}

  ${
    $d R x y $.
    $( Two ways of saying a relation is symmetric.  (Contributed by Peter
       Mazsa, 22-Aug-2021.) $)
    elrelscnveq2 $p |- ( R e. Rels ->
                         ( `' R = R <-> A. x A. y ( x R y <-> y R x ) ) ) $=
      ( crels wcel ccnv wss wa cv wbr wal wceq cnvsym a1i elrelsrelim relbrcnvg
      wi wb wrel syl dfrel2 sylib bitr3di imbi12d 2albidv bitrd anbi12d 2albiim
      sseq1d eqss 3bitr4g ) CDEZCFZCGZCUMGZHAIZBIZCJZUQUPCJZQBKAKZUSURQZBKAKZHU
      MCLURUSRBKAKULUNUTUOVBUNUTRULABCMNULUOUPUQUMJZUQUPUMJZQZBKAKZVBULUMFZUMGU
      OVFULVGCUMULCSZVGCLCOZCUAUBUIABUMMUCULVEVAABULVCUSVDURULVHVCUSRVIUPUQCPTU
      LVHVDURRVIUQUPCPTUDUEUFUGUMCUJURUSABUHUK $.
  $}

  ${
    $d R x y $.
    $( Two ways of saying a relation is symmetric.  (Contributed by Peter
       Mazsa, 22-Aug-2021.) $)
    elrelscnveq4 $p |- ( R e. Rels ->
                         ( `' R C_ R <-> A. x A. y ( x R y <-> y R x ) ) ) $=
      ( crels wcel ccnv wss wceq cv wbr wb wal elrelscnveq elrelscnveq2 bitrd )
      CDECFZCGPCHAIZBIZCJRQCJKBLALCMABCNO $.
  $}

  $( The converse of a set is an element of the class of relations.
     (Contributed by Peter Mazsa, 18-Aug-2019.) $)
  cnvelrels $p |- ( A e. V -> `' A e. Rels ) $=
    ( wcel ccnv crels wrel relcnv cvv wb cnvexg elrelsrel syl mpbiri ) ABCZADZE
    CZOFZAGNOHCPQIABJOHKLM $.

  $( Cosets of sets are elements of the relations class.  Implies
     ` |- ( R e. Rels -> ,~ R e. Rels ) ` .  (Contributed by Peter Mazsa,
     25-Aug-2021.) $)
  cosselrels $p |- ( A e. V -> ,~ A e. Rels ) $=
    ( wcel ccoss cvv crels cossex wrel relcoss elrelsrel mpbiri syl ) ABCADZECZ
    MFCZABGNOMHAIMEJKL $.

  $( Cosets of converse sets are elements of the relations class.  (Contributed
     by Peter Mazsa, 31-Aug-2021.) $)
  cosscnvelrels $p |- ( A e. V -> ,~ `' A e. Rels ) $=
    ( wcel ccnv crels ccoss cnvelrels cosselrels syl ) ABCADZECJFECABGJEHI $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Subset relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( Define the subsets class or the class of subset relations.  Similar to
       definitions of epsilon relation ( ~ df-eprel ) and identity relation
       ( ~ df-id ) classes.  Subset relation class and Scott Fenton's subset
       class ~ df-sset are the same: ` _S = SSet ` (compare ~ dfssr2 with
       ~ df-sset ), the only reason we do not use ~ dfssr2 as the base
       definition of the subsets class is the way we defined the epsilon
       relation and the identity relation classes.

       The binary relation on the class of subsets and the subclass
       relationship ( ~ df-ss ) are the same, that is,
       ` ( A _S B <-> A C_ B ) ` when ` B ` is a set, see ~ brssr .  Yet in
       general we use the subclass relation ` A C_ B ` both for classes and for
       sets, see the comment of ~ df-ss .  The only exception (aside from
       directly investigating the class ` _S ` e.g. in ~ relssr or in
       ~ extssr ) is when we have a specific purpose with its usage, like in
       case of ~ df-refs versus ~ df-cnvrefs , where we need ` _S ` to define
       the class of reflexive sets in order to be able to define the class of
       converse reflexive sets with the help of the converse of ` _S ` .

       The subsets class ` _S ` has another place in set.mm as well: if we
       define extensional relation based on the common property in ~ extid ,
       ~ extep and ~ extssr , then "extrelssr" " |- ExtRel ` _S ` " is a
       theorem along with "extrelep" " |- ExtRel ` _E ` " and "extrelid" " |-
       ExtRel ` _I ` " .  (Contributed by Peter Mazsa, 25-Jul-2019.) $)
    df-ssr $a |- _S = { <. x , y >. | x C_ y } $.
  $}

  ${
    $d x y z $.
    $( Alternate definition of the subset relation.  (Contributed by Peter
       Mazsa, 9-Aug-2021.) $)
    dfssr2 $p |- _S = ( ( _V X. _V ) \ ran ( _E |X. ( _V \ _E ) ) ) $=
      ( vz vx vy cv cep wbr cvv cdif wa wex wn copab wss cxp cxrn crn cssr wcel
      epel brvdif xchbinx anbi12i exbii notbii bitr4i opabbii difeq2i vvdifopab
      dfss6 rnxrn eqtri df-ssr 3eqtr4ri ) ADZBDZEFZUNCDZGEHZFZIZAJZKZBCLZUOUQMZ
      BCLGGNZEUROPZHZQVBVDBCVBUNUORZUNUQRZKZIZAJZKVDVAVLUTVKAUPVHUSVJBUNSUSUNUQ
      EFVIUNUQETCUNSUAUBUCUDAUOUQUIUEUFVGVEVABCLZHVCVFVMVEBCAEURUJUGVABCUHUKBCU
      LUM $.
  $}

  ${
    $d x y $.
    $( The subset relation is a relation.  (Contributed by Peter Mazsa,
       1-Aug-2019.) $)
    relssr $p |- Rel _S $=
      ( vx vy cv wss cssr df-ssr relopabiv ) ACBCDABEABFG $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( The subset relation and subclass relationship ( ~ df-ss ) are the same,
       that is, ` ( A _S B <-> A C_ B ) ` when ` B ` is a set.  (Contributed by
       Peter Mazsa, 31-Jul-2019.) $)
    brssr $p |- ( B e. V -> ( A _S B <-> A C_ B ) ) $=
      ( vx vy wcel wbr wss cvv wa relssr brrelex1i adantl simpl jca ssexg simpr
      cssr ancoms cv sseq1 sseq2 df-ssr brabg pm5.21nd ) BCFZABRGZABHZAIFZUFJZU
      FUGJUIUFUGUIUFABRKLMUFUGNOUHUFUJUHUFJUIUFABCPUHUFQOSDTZETZHAULHUHDEABICRU
      KAULUAULBAUBDEUCUDUE $.
  $}

  $( Any set is a subset of itself.  (Contributed by Peter Mazsa,
     1-Aug-2019.) $)
  brssrid $p |- ( A e. V -> A _S A ) $=
    ( wcel cssr wbr wss ssid brssr mpbiri ) ABCAADEAAFAGAABHI $.

  $( Two ways of expressing set existence.  (Contributed by Peter Mazsa,
     1-Aug-2019.) $)
  issetssr $p |- ( A e. _V <-> A _S A ) $=
    ( cvv wcel cssr wbr brssrid relssr brrelex1i impbii ) ABCAADEABFAADGHI $.

  $( Restricted subset binary relation.  (Contributed by Peter Mazsa,
     25-Nov-2019.) $)
  brssrres $p |- ( C e. V ->
                   ( B ( _S |` A ) C <-> ( B e. A /\ B C_ C ) ) ) $=
    ( wcel cssr cres wbr wa wss brres brssr anbi2d bitrd ) CDEZBCFAGHBAEZBCFHZI
    PBCJZIABCFDKOQRPBCDLMN $.

  $( Restricted converse subset binary relation.  (Contributed by Peter Mazsa,
     25-Nov-2019.) $)
  br1cnvssrres $p |- ( B e. V ->
                       ( B `' ( _S |` A ) C <-> ( C e. A /\ C C_ B ) ) ) $=
    ( cssr cres ccnv wbr wcel wss wa relres relbrcnv brssrres syl5bb ) BCEAFZGH
    CBPHBDICAICBJKBCPEALMACBDNO $.

  $( The converse of a subset relation swaps arguments.  (Contributed by Peter
     Mazsa, 1-Aug-2019.) $)
  brcnvssr $p |- ( A e. V -> ( A `' _S B <-> B C_ A ) ) $=
    ( cssr ccnv wbr wcel wss relssr relbrcnv brssr syl5bb ) ABDEFBADFACGBAHABDI
    JBACKL $.

  $( Any set is a converse subset of itself.  (Contributed by Peter Mazsa,
     9-Jun-2021.) $)
  brcnvssrid $p |- ( A e. V -> A `' _S A ) $=
    ( wcel cssr ccnv wbr wss ssid brcnvssr mpbiri ) ABCAADEFAAGAHAABIJ $.

  ${
    $d A u $.  $d B u $.  $d C u $.  $d D u $.  $d E u $.  $d R u $.  $d V u $.
    $d W u $.  $d X u $.  $d Y u $.
    $( ` <. B , C >. ` and ` <. D , E >. ` are cosets by range Cartesian
       product with restricted converse subsets class: a binary relation.
       (Contributed by Peter Mazsa, 9-Jun-2021.) $)
    br1cossxrncnvssrres $p |-
        ( ( ( B e. V /\ C e. W ) /\ ( D e. X /\ E e. Y ) ) ->
          ( <. B , C >. ,~ ( R |X. ( `' _S |` A ) ) <. D , E >. <->
            E. u e. A ( ( C C_ u /\ u R B ) /\ ( E C_ u /\ u R D ) ) ) ) $=
      ( wcel wa cop wbr wrex wss wb cvv brcnvssr cssr ccnv cv br1cossxrnres elv
      cres cxrn ccoss anbi1i anbi12i rexbii bitrdi ) CHLDILMEJLGKLMMCDNEGNFUAUB
      ZBUFUGUHOAUCZDUMOZUNCFOZMZUNGUMOZUNEFOZMZMZABPDUNQZUPMZGUNQZUSMZMZABPABCD
      EFUMGHIJKUDVAVFABUQVCUTVEUOVBUPUOVBRAUNDSTUEUIURVDUSURVDRAUNGSTUEUIUJUKUL
      $.
  $}

  ${
    $d A x $.  $d B x $.  $d V x $.  $d W x $.
    $( Property of subset relation, see also ~ extid , ~ extep and the comment
       of ~ df-ssr .  (Contributed by Peter Mazsa, 10-Jul-2019.) $)
    extssr $p |- ( ( A e. V /\ B e. W ) ->
                   ( [ A ] `' _S = [ B ] `' _S <-> A = B ) ) $=
      ( vx wcel wa cv cssr wbr wb wal wss ccnv cec brssr bi2bian9 albidv relssr
      wceq wrel releccnveq mp2an ssext 3bitr4g ) ACFZBDFZGZEHZAIJZUIBIJZKZELZUI
      AMZUIBMZKZELAINZOBUQOTZABTUHULUPEUFUJUNUGUKUOUIACPUIBDPQRIUAZUSURUMKSSEAB
      IIUBUCEABUDUE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Reflexivity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the class of all reflexive sets.  It is used only by ~ df-refrels .
     We use subset relation ` _S ` ( ~ df-ssr ) here to be able to define
     converse reflexivity ( ~ df-cnvrefs ), see also the comment of ~ df-ssr .
     The elements of this class are not necessarily relations (versus
     ~ df-refrels ).

     Note the similarity of Definitions ~ df-refs , ~ df-syms and ~ df-trs ,
     cf. comments of ~ dfrefrels2 .  (Contributed by Peter Mazsa,
     19-Jul-2019.) $)
  df-refs $a |- Refs =
       { x | ( _I i^i ( dom x X. ran x ) ) _S ( x i^i ( dom x X. ran x ) ) } $.

  $( Define the class of reflexive relations.  This is practically ~ dfrefrels2
     (which reveals that ` RefRels ` can not include proper classes like ` _I `
     as is elements, see comments of ~ dfrefrels2 ).

     Another alternative definition is ~ dfrefrels3 .  The element of this
     class and the reflexive relation predicate ( ~ df-refrel ) are the same,
     that is, ` ( R e. RefRels <-> RefRel R ) ` when ` A ` is a set, see
     ~ elrefrelsrel .

     This definition is similar to the definitions of the classes of symmetric
     ( ~ df-symrels ) and transitive ( ~ df-trrels ) relations.  (Contributed
     by Peter Mazsa, 7-Jul-2019.) $)
  df-refrels $a |- RefRels = ( Refs i^i Rels ) $.

  $( Define the reflexive relation predicate.  (Read: ` R ` is a reflexive
     relation.)  This is a surprising definition, see the comment of
     ~ dfrefrel3 .  Alternate definitions are ~ dfrefrel2 and ~ dfrefrel3 .
     For sets, being an element of the class of reflexive relations
     ( ~ df-refrels ) is equivalent to satisfying the reflexive relation
     predicate, that is ` ( R e. RefRels <-> RefRel R ) ` when ` R ` is a set,
     see ~ elrefrelsrel .  (Contributed by Peter Mazsa, 16-Jul-2021.) $)
  df-refrel $a |- ( RefRel R <->
      ( ( _I i^i ( dom R X. ran R ) ) C_ ( R i^i ( dom R X. ran R ) ) /\
        Rel R ) ) $.

  $( Alternate definition of the class of reflexive relations.  This is a 0-ary
     class constant, which is recommended for definitions (see the 1.
     Guideline at ~ https://us.metamath.org/ileuni/mathbox.html ).  Proper
     classes (like ` _I ` , see ~ iprc ) are not elements of this (or any)
     class: if a class is an element of another class, it is not a proper class
     but a set, see ~ elex .  So if we use 0-ary constant classes as our main
     definitions, they are valid only for sets, not for proper classes.  For
     proper classes we use predicate-type definitions like ~ df-refrel .  See
     also the comment of ~ df-rels .

     Note that while elementhood in the class of relations cancels restriction
     of ` r ` in ~ dfrefrels2 , it keeps restriction of ` _I ` : this is why
     the very similar definitions ~ df-refs , ~ df-syms and ~ df-trs diverge
     when we switch from (general) sets to relations in ~ dfrefrels2 ,
     ~ dfsymrels2 and ~ dftrrels2 .  (Contributed by Peter Mazsa,
     20-Jul-2019.) $)
  dfrefrels2 $p |- RefRels =
                   { r e. Rels | ( _I i^i ( dom r X. ran r ) ) C_ r } $=
    ( cid cdm crn cxp cin cssr wbr crefrels crefs crels df-refrels df-refs wcel
    cv wss cvv wb inex1g elv brssr ax-mp elrels6 biimpi sseq2d syl5bb abeqinbi
    wceq ) BAOZCUIDEZFZUIUJFZGHZUKUIPZAIJKLAMUMUKULPZUIKNZUNULQNZUMUORUQAUIUJQS
    TUKULQUAUBUPULUIUKUPULUIUHZUPURRAUIQUCTUDUEUFUG $.

  ${
    $d r x y $.
    $( Alternate definition of the class of reflexive relations.  (Contributed
       by Peter Mazsa, 8-Jul-2019.) $)
    dfrefrels3 $p |- RefRels =
        { r e. Rels | A. x e. dom r A. y e. ran r ( x = y -> x r y ) } $=
      ( cid cv cdm crn cxp cin wss weq wbr wi wral crefrels dfrefrels2 idinxpss
      crels rabbieq ) DCEZFZTGZHITJABKAEBETLMBUBNAUANCROCPABUAUBTQS $.
  $}

  $( Alternate definition of the reflexive relation predicate.  (Contributed by
     Peter Mazsa, 25-Jul-2021.) $)
  dfrefrel2 $p |- ( RefRel R <->
                    ( ( _I i^i ( dom R X. ran R ) ) C_ R /\ Rel R ) ) $=
    ( wrefrel cid cdm crn cxp cin wrel wa df-refrel wceq dfrel6 biimpi pm5.32ri
    wss sseq2d bitri ) ABCADAEFZGZARGZOZAHZISAOZUBIAJUBUAUCUBTASUBTAKALMPNQ $.

  ${
    $d R x y $.
    $( Alternate definition of the reflexive relation predicate.  A relation is
       reflexive iff: for all elements on its domain and range, if an element
       of its domain is the same as an element of its range, then there is the
       relation between them.

       Note that this is definitely not the definition we are accustomed to,
       like e.g. ~ idref / ~ idrefALT or ~ df-reflexive
       ` |- ( R Reflexive A <-> ( R C_ ( A X. A ) /\ A. x e. A x R x ) ) ` .
       It turns out that the not-surprising definition which contains
       ` A. x e. dom r x r x ` needs symmetry as well, see ~ refsymrels3 .
       Only when this symmetry condition holds, like in case of equivalence
       relations, see ~ dfeqvrels3 , can we write the traditional form
       ` A. x e. dom r x r x ` for reflexive relations.  For the special case
       with square Cartesian product when the two forms are equivalent see
       ~ idinxpssinxp4 where
       ` |- ( A. x e. A A. y e. A ( x = y -> x R y ) <-> A. x e. A x R x ) ` .
       See also similar definition of the converse reflexive relations class
       ~ dfcnvrefrel3 .  (Contributed by Peter Mazsa, 8-Jul-2019.) $)
    dfrefrel3 $p |- ( RefRel R <->
        ( A. x e. dom R A. y e. ran R ( x = y -> x R y ) /\ Rel R ) ) $=
      ( wrefrel cid cdm crn cxp cin wss wrel wa weq wbr wral dfrefrel2 idinxpss
      cv wi anbi1i bitri ) CDECFZCGZHICJZCKZLABMARBRCNSBUCOAUBOZUELCPUDUFUEABUB
      UCCQTUA $.
  $}

  ${
    $d R r $.
    $( Element of the class of reflexive relations.  (Contributed by Peter
       Mazsa, 23-Jul-2019.) $)
    elrefrels2 $p |- ( R e. RefRels <->
        ( ( _I i^i ( dom R X. ran R ) ) C_ R /\ R e. Rels ) ) $=
      ( vr cid cdm crn cxp cin crels crefrels dfrefrels2 wceq dmeq rneq xpeq12d
      cv wss ineq2d id sseq12d rabeqel ) CBOZDZUAEZFZGZUAPCADZAEZFZGZAPBHIABJUA
      AKZUEUIUAAUJUDUHCUJUBUFUCUGUAALUAAMNQUJRST $.
  $}

  ${
    $d R r x y $.
    $( Element of the class of reflexive relations.  (Contributed by Peter
       Mazsa, 23-Jul-2019.) $)
    elrefrels3 $p |- ( R e. RefRels <->
        ( A. x e. dom R A. y e. ran R ( x = y -> x R y ) /\ R e. Rels ) ) $=
      ( vr cv wceq wbr wi crn wral cdm crels crefrels dfrefrels3 dmeq rneq breq
      imbi2d raleqbidv rabeqel ) AEZBEZFZUAUBDEZGZHZBUDIZJZAUDKZJUCUAUBCGZHZBCI
      ZJZACKZJDLMCABDNUDCFZUHUMAUIUNUDCOUOUFUKBUGULUDCPUOUEUJUCUAUBUDCQRSST $.
  $}

  $( For sets, being an element of the class of reflexive relations
     ( ~ df-refrels ) is equivalent to satisfying the reflexive relation
     predicate.  (Contributed by Peter Mazsa, 25-Jul-2021.) $)
  elrefrelsrel $p |- ( R e. V -> ( R e. RefRels <-> RefRel R ) ) $=
    ( wcel cid cdm crn cxp cin wss crels wrel crefrels wrefrel elrelsrel anbi2d
    wa elrefrels2 dfrefrel2 3bitr4g ) ABCZDAEAFGHAIZAJCZPUAAKZPALCAMTUBUCUAABNO
    AQARS $.

  $( Equality theorem for reflexive relation.  (Contributed by Peter Mazsa,
     15-Apr-2019.)  (Revised by Peter Mazsa, 23-Sep-2021.) $)
  refreleq $p |- ( R = S -> ( RefRel R <-> RefRel S ) ) $=
    ( wceq cid cdm crn cxp cin wrel wa wrefrel dmeq rneq xpeq12d ineq2d sseq12d
    wss id releq dfrefrel2 anbi12d 3bitr4g ) ABCZDAEZAFZGZHZAQZAIZJDBEZBFZGZHZB
    QZBIZJAKBKUCUHUNUIUOUCUGUMABUCUFULDUCUDUJUEUKABLABMNOUCRPABSUAATBTUB $.

  $( Identity relation is reflexive.  (Contributed by Peter Mazsa,
     25-Jul-2021.) $)
  refrelid $p |- RefRel _I $=
    ( cid wrefrel cdm crn cxp cin wss wrel ssid reli df-refrel mpbir2an ) ABAAC
    ADEFZMGAHMIJAKL $.

  $( The class of cosets by ` R ` is reflexive.  (Contributed by Peter Mazsa,
     4-Jul-2020.) $)
  refrelcoss $p |- RefRel ,~ R $=
    ( ccoss wrefrel cid cdm crn cxp cin wss wrel wa refrelcoss2 dfrefrel2 mpbir
    ) ABZCDOEOFGHOIOJKALOMN $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Converse reflexivity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the class of all converse reflexive sets, see the comment of
     ~ df-ssr .  It is used only by ~ df-cnvrefrels .  (Contributed by Peter
     Mazsa, 22-Jul-2019.) $)
  df-cnvrefs $a |- CnvRefs =
    { x | ( _I i^i ( dom x X. ran x ) ) `' _S ( x i^i ( dom x X. ran x ) ) } $.

  $( Define the class of converse reflexive relations.  This is practically
     ~ dfcnvrefrels2 (which uses the traditional subclass relation ` C_ ` ) :
     we use converse subset relation ( ~ brcnvssr ) here to ensure the
     comparability to the definitions of the classes of all reflexive
     ( ~ df-ref ), symmetric ( ~ df-syms ) and transitive ( ~ df-trs ) sets.

     We use this concept to define functions ( ~ df-funsALTV , ~ df-funALTV )
     and disjoints ( ~ df-disjs , ~ df-disjALTV ).

     For sets, being an element of the class of converse reflexive relations is
     equivalent to satisfying the converse reflexive relation predicate, see
     ~ elcnvrefrelsrel .  Alternate definitions are ~ dfcnvrefrels2 and
     ~ dfcnvrefrels3 .  (Contributed by Peter Mazsa, 7-Jul-2019.) $)
  df-cnvrefrels $a |- CnvRefRels = ( CnvRefs i^i Rels ) $.

  $( Define the converse reflexive relation predicate (read: ` R ` is a
     converse reflexive relation), see also the comment of ~ dfcnvrefrel3 .
     Alternate definitions are ~ dfcnvrefrel2 and ~ dfcnvrefrel3 .
     (Contributed by Peter Mazsa, 16-Jul-2021.) $)
  df-cnvrefrel $a |- ( CnvRefRel R <->
      ( ( R i^i ( dom R X. ran R ) ) C_ ( _I i^i ( dom R X. ran R ) ) /\
        Rel R ) ) $.

  $( Alternate definition of the class of converse reflexive relations.  See
     the comment of ~ dfrefrels2 .  (Contributed by Peter Mazsa,
     21-Jul-2021.) $)
  dfcnvrefrels2 $p |- CnvRefRels =
                      { r e. Rels | r C_ ( _I i^i ( dom r X. ran r ) ) } $=
    ( cid cv cdm crn cxp cin cssr ccnv ccnvrefrels ccnvrefs crels df-cnvrefrels
    wbr wss df-cnvrefs wcel cvv wb elv dmexg rnexg xpex inex2g brcnvssr elrels6
    mp2b wceq biimpi sseq1d syl5bb abeqinbi ) BACZDZUMEZFZGZUMUPGZHINZUMUQOZAJK
    LMAPUSURUQOZUMLQZUTUPRQUQRQUSVASUNUOUNRQAUMRUATUORQAUMRUBTUCUPBRUDUQURRUEUG
    VBURUMUQVBURUMUHZVBVCSAUMRUFTUIUJUKUL $.

  ${
    $d r x y $.
    $( Alternate definition of the class of converse reflexive relations.
       (Contributed by Peter Mazsa, 22-Jul-2019.) $)
    dfcnvrefrels3 $p |- CnvRefRels =
        { r e. Rels | A. x e. dom r A. y e. ran r ( x r y -> x = y ) } $=
      ( cid cv cdm crn cxp cin cssr ccnv wbr wceq wi wral crels ccnvrefrels cvv
      wcel elv ccnvrefs df-cnvrefrels df-cnvrefs abeqin wss wb dmexg rnexg xpex
      inex2g brcnvssr mp2b inxpssidinxp bitri rabbieq ) DCEZFZUPGZHZIZUPUSIZJKL
      ZAEZBEZUPLVCVDMNBUROAUQOZCPQVBCQUAPUBCUCUDVBVAUTUEZVEUSRSUTRSVBVFUFUQURUQ
      RSCUPRUGTURRSCUPRUHTUIUSDRUJUTVARUKULABUQURUPUMUNUO $.
  $}

  $( Alternate definition of the converse reflexive relation predicate.
     (Contributed by Peter Mazsa, 24-Jul-2019.) $)
  dfcnvrefrel2 $p |- ( CnvRefRel R <->
      ( R C_ ( _I i^i ( dom R X. ran R ) ) /\ Rel R ) ) $=
    ( wcnvrefrel cdm crn cxp cin cid wss wrel df-cnvrefrel dfrel6 biimpi sseq1d
    wa wceq pm5.32ri bitri ) ABAACADEZFZGRFZHZAIZNATHZUBNAJUBUAUCUBSATUBSAOAKLM
    PQ $.

  ${
    $d R x y $.
    $( Alternate definition of the converse reflexive relation predicate.  A
       relation is converse reflexive iff: for all elements on its domain and
       range, if for an element of its domain and for an element of its range
       there is the relation between them, then the two elements are the same,
       cf. the comment of ~ dfrefrel3 .  (Contributed by Peter Mazsa,
       25-Jul-2021.) $)
    dfcnvrefrel3 $p |- ( CnvRefRel R <->
        ( A. x e. dom R A. y e. ran R ( x R y -> x = y ) /\ Rel R ) ) $=
      ( wcnvrefrel cdm crn cxp cin cid wss wrel wa cv wbr weq wral df-cnvrefrel
      wi inxpssidinxp anbi1i bitri ) CDCCEZCFZGZHIUDHJZCKZLAMBMCNABORBUCPAUBPZU
      FLCQUEUGUFABUBUCCSTUA $.
  $}

  ${
    $d R r $.
    $( Element of the class of converse reflexive relations.  (Contributed by
       Peter Mazsa, 25-Jul-2019.) $)
    elcnvrefrels2 $p |- ( R e. CnvRefRels <->
        ( R C_ ( _I i^i ( dom R X. ran R ) ) /\ R e. Rels ) ) $=
      ( vr cv cid cdm crn cxp cin wss crels ccnvrefrels dfcnvrefrels2 wceq dmeq
      id rneq xpeq12d ineq2d sseq12d rabeqel ) BCZDUAEZUAFZGZHZIADAEZAFZGZHZIBJ
      KABLUAAMZUAAUEUIUJOUJUDUHDUJUBUFUCUGUAANUAAPQRST $.
  $}

  ${
    $d R r x y $.
    $( Element of the class of converse reflexive relations.  (Contributed by
       Peter Mazsa, 30-Aug-2021.) $)
    elcnvrefrels3 $p |- ( R e. CnvRefRels <->
        ( A. x e. dom R A. y e. ran R ( x R y -> x = y ) /\ R e. Rels ) ) $=
      ( vr cv wbr wceq wi crn wral cdm ccnvrefrels dfcnvrefrels3 dmeq rneq breq
      crels imbi1d raleqbidv rabeqel ) AEZBEZDEZFZUAUBGZHZBUCIZJZAUCKZJUAUBCFZU
      EHZBCIZJZACKZJDQLCABDMUCCGZUHUMAUIUNUCCNUOUFUKBUGULUCCOUOUDUJUEUAUBUCCPRS
      ST $.
  $}

  $( For sets, being an element of the class of converse reflexive relations
     ( ~ df-cnvrefrels ) is equivalent to satisfying the converse reflexive
     relation predicate.  (Contributed by Peter Mazsa, 25-Jul-2021.) $)
  elcnvrefrelsrel $p |- ( R e. V -> ( R e. CnvRefRels <-> CnvRefRel R ) ) $=
    ( wcel cid cdm crn cxp cin crels wa ccnvrefrels wcnvrefrel elrelsrel anbi2d
    wss wrel elcnvrefrels2 dfcnvrefrel2 3bitr4g ) ABCZADAEAFGHOZAICZJUAAPZJAKCA
    LTUBUCUAABMNAQARS $.

  $( Necessary and sufficient condition for a coset relation to be a converse
     reflexive relation.  (Contributed by Peter Mazsa, 27-Jul-2021.) $)
  cnvrefrelcoss2 $p |- ( CnvRefRel ,~ R <-> ,~ R C_ _I ) $=
    ( wcnvrefrel cid cdm crn cxp cin wss relcoss dfcnvrefrel2 mpbiran2 cossssid
    ccoss wrel bitr4i ) AMZBZPCPDPEFGHZPCHQRPNAIPJKALO $.

  $( Necessary and sufficient condition for a coset relation to be an element
     of the converse reflexive relation class.  (Contributed by Peter Mazsa,
     25-Aug-2021.) $)
  cosselcnvrefrels2 $p |- ( ,~ R e. CnvRefRels <->
                            ( ,~ R C_ _I /\ ,~ R e. Rels ) ) $=
    ( ccoss ccnvrefrels cid cdm crn cxp cin wss crels wa elcnvrefrels2 cossssid
    wcel anbi1i bitr4i ) ABZCNQDQEQFGHIZQJNZKQDIZSKQLTRSAMOP $.

  ${
    $d R u x y $.
    $( Necessary and sufficient condition for a coset relation to be an element
       of the converse reflexive relation class.  (Contributed by Peter Mazsa,
       30-Aug-2021.) $)
    cosselcnvrefrels3 $p |- ( ,~ R e. CnvRefRels <->
        ( A. u A. x A. y ( ( u R x /\ u R y ) -> x = y ) /\
          ,~ R e. Rels ) ) $=
      ( ccoss ccnvrefrels wcel cid wss crels wa cv wbr wi wal cosselcnvrefrels2
      wceq cossssid3 anbi1i bitri ) DEZFGUAHIZUAJGZKCLZALZDMUDBLZDMKUEUFQNBOAOC
      OZUCKDPUBUGUCABCDRST $.
  $}

  ${
    $d R u x $.
    $( Necessary and sufficient condition for a coset relation to be an element
       of the converse reflexive relation class.  (Contributed by Peter Mazsa,
       31-Aug-2021.) $)
    cosselcnvrefrels4 $p |- ( ,~ R e. CnvRefRels <->
                              ( A. u E* x u R x /\ ,~ R e. Rels ) ) $=
      ( ccoss ccnvrefrels wcel cid wss crels wa wbr cosselcnvrefrels2 cossssid4
      cv wmo wal anbi1i bitri ) CDZEFSGHZSIFZJBNANCKAOBPZUAJCLTUBUAABCMQR $.
  $}

  ${
    $d R x y $.
    $( Necessary and sufficient condition for a coset relation to be an element
       of the converse reflexive relation class.  (Contributed by Peter Mazsa,
       5-Sep-2021.) $)
    cosselcnvrefrels5 $p |- ( ,~ R e. CnvRefRels <->
        ( A. x e. ran R A. y e. ran R
          ( x = y \/ ( [ x ] `' R i^i [ y ] `' R ) = (/) ) /\
          ,~ R e. Rels ) ) $=
      ( ccoss ccnvrefrels wcel cid wss crels wa cv wceq ccnv cec cin c0 wo wral
      crn cosselcnvrefrels2 cossssid5 anbi1i bitri ) CDZEFUDGHZUDIFZJAKZBKZLUGC
      MZNUHUINOPLQBCSZRAUJRZUFJCTUEUKUFABCUAUBUC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Symmetry
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the class of all symmetric sets.  It is used only by ~ df-symrels .

     Note the similarity of Definitions ~ df-refs , ~ df-syms and ~ df-trs ,
     cf. the comment of ~ dfrefrels2 .  (Contributed by Peter Mazsa,
     19-Jul-2019.) $)
  df-syms $a |- Syms =
    { x | `' ( x i^i ( dom x X. ran x ) ) _S ( x i^i ( dom x X. ran x ) ) } $.

  $( Define the class of symmetric relations.  For sets, being an element of
     the class of symmetric relations is equivalent to satisfying the symmetric
     relation predicate, see ~ elsymrelsrel .  Alternate definitions are
     ~ dfsymrels2 , ~ dfsymrels3 , ~ dfsymrels4 and ~ dfsymrels5 .

     This definition is similar to the definitions of the classes of reflexive
     ( ~ df-refrels ) and transitive ( ~ df-trrels ) relations.  (Contributed
     by Peter Mazsa, 7-Jul-2019.) $)
  df-symrels $a |- SymRels = ( Syms i^i Rels ) $.

  $( Define the symmetric relation predicate.  (Read: ` R ` is a symmetric
     relation.)  For sets, being an element of the class of symmetric relations
     ( ~ df-symrels ) is equivalent to satisfying the symmetric relation
     predicate, see ~ elsymrelsrel .  Alternate definitions are ~ dfsymrel2 and
     ~ dfsymrel3 .  (Contributed by Peter Mazsa, 16-Jul-2021.) $)
  df-symrel $a |- ( SymRel R <->
      ( `' ( R i^i ( dom R X. ran R ) ) C_ ( R i^i ( dom R X. ran R ) ) /\
        Rel R ) ) $.

  $( Alternate definition of the class of symmetric relations.  Cf. the comment
     of ~ dfrefrels2 .  (Contributed by Peter Mazsa, 20-Jul-2019.) $)
  dfsymrels2 $p |- SymRels = { r e. Rels | `' r C_ r } $=
    ( cdm crn cxp cin ccnv cssr wbr wss csymrels csyms crels df-symrels df-syms
    cv wcel cvv wb inex1g elv brssr wceq elrels6 biimpi cnveqd sseq12d abeqinbi
    ax-mp syl5bb ) AOZUJBUJCDZEZFZULGHZUJFZUJIZAJKLMANUNUMULIZUJLPZUPULQPZUNUQR
    USAUJUKQSTUMULQUAUHURUMUOULUJURULUJURULUJUBZURUTRAUJQUCTUDZUEVAUFUIUG $.

  ${
    $d r x y $.
    $( Alternate definition of the class of symmetric relations.  (Contributed
       by Peter Mazsa, 22-Jul-2021.) $)
    dfsymrels3 $p |- SymRels =
                     { r e. Rels | A. x A. y ( x r y -> y r x ) } $=
      ( cv ccnv wss wbr wi wal crels csymrels dfsymrels2 cnvsym rabbieq ) CDZEO
      FADZBDZOGQPOGHBIAICJKCLABOMN $.
  $}

  $( Alternate definition of the class of symmetric relations.  (Contributed by
     Peter Mazsa, 20-Jul-2019.) $)
  dfsymrels4 $p |- SymRels = { r e. Rels | `' r = r } $=
    ( cv ccnv wss wceq crels csymrels dfsymrels2 elrelscnveq rabimbieq ) ABZCZK
    DLKEAFGAHKIJ $.

  ${
    $d r x y $.
    $( Alternate definition of the class of symmetric relations.  (Contributed
       by Peter Mazsa, 22-Jul-2021.) $)
    dfsymrels5 $p |- SymRels =
                     { r e. Rels | A. x A. y ( x r y <-> y r x ) } $=
      ( cv ccnv wceq wbr wal crels csymrels dfsymrels4 elrelscnveq2 rabimbieq
      wb ) CDZEOFADZBDZOGQPOGNBHAHCIJCKABOLM $.
  $}

  $( Alternate definition of the symmetric relation predicate.  (Contributed by
     Peter Mazsa, 19-Apr-2019.)  (Revised by Peter Mazsa, 17-Aug-2021.) $)
  dfsymrel2 $p |- ( SymRel R <-> ( `' R C_ R /\ Rel R ) ) $=
    ( wsymrel cdm crn cxp cin ccnv wss wrel df-symrel wceq dfrel6 biimpi cnveqd
    wa sseq12d pm5.32ri bitri ) ABAACADEFZGZSHZAIZOAGZAHZUBOAJUBUAUDUBTUCSAUBSA
    UBSAKALMZNUEPQR $.

  ${
    $d R x y $.
    $( Alternate definition of the symmetric relation predicate.  (Contributed
       by Peter Mazsa, 21-Apr-2019.)  (Revised by Peter Mazsa, 17-Aug-2021.) $)
    dfsymrel3 $p |- ( SymRel R <->
                      ( A. x A. y ( x R y -> y R x ) /\ Rel R ) ) $=
      ( wsymrel ccnv wss wrel wa cv wbr wi wal dfsymrel2 cnvsym anbi1i bitri )
      CDCECFZCGZHAIZBIZCJTSCJKBLALZRHCMQUARABCNOP $.
  $}

  $( Alternate definition of the symmetric relation predicate.  (Contributed by
     Peter Mazsa, 17-Aug-2021.) $)
  dfsymrel4 $p |- ( SymRel R <-> ( `' R = R /\ Rel R ) ) $=
    ( wsymrel ccnv wss wrel wa wceq dfsymrel2 relcnveq pm5.32ri bitri ) ABACZAD
    ZAEZFLAGZNFAHNMOAIJK $.

  ${
    $d R x y $.
    $( Alternate definition of the symmetric relation predicate.  (Contributed
       by Peter Mazsa, 17-Aug-2021.) $)
    dfsymrel5 $p |- ( SymRel R <->
                      ( A. x A. y ( x R y <-> y R x ) /\ Rel R ) ) $=
      ( wsymrel ccnv wss wrel wa cv wbr wal dfsymrel2 relcnveq4 pm5.32ri bitri
      wb ) CDCECFZCGZHAIZBIZCJTSCJPBKAKZRHCLRQUAABCMNO $.
  $}

  ${
    $d R r $.
    $( Element of the class of symmetric relations.  (Contributed by Peter
       Mazsa, 17-Aug-2021.) $)
    elsymrels2 $p |- ( R e. SymRels <-> ( `' R C_ R /\ R e. Rels ) ) $=
      ( vr cv ccnv wss crels csymrels dfsymrels2 wceq cnveq id sseq12d rabeqel
      ) BCZDZNEADZAEBFGABHNAIZOPNANAJQKLM $.
  $}

  ${
    $d R r x y $.
    $( Element of the class of symmetric relations.  (Contributed by Peter
       Mazsa, 17-Aug-2021.) $)
    elsymrels3 $p |- ( R e. SymRels <->
                       ( A. x A. y ( x R y -> y R x ) /\ R e. Rels ) ) $=
      ( vr cv wbr wi wal crels csymrels dfsymrels3 wceq imbi12d 2albidv rabeqel
      breq ) AEZBEZDEZFZRQSFZGZBHAHQRCFZRQCFZGZBHAHDIJCABDKSCLZUBUEABUFTUCUAUDQ
      RSCPRQSCPMNO $.
  $}

  ${
    $d R r $.
    $( Element of the class of symmetric relations.  (Contributed by Peter
       Mazsa, 17-Aug-2021.) $)
    elsymrels4 $p |- ( R e. SymRels <-> ( `' R = R /\ R e. Rels ) ) $=
      ( vr cv ccnv wceq crels csymrels dfsymrels4 cnveq id eqeq12d rabeqel ) BC
      ZDZMEADZAEBFGABHMAEZNOMAMAIPJKL $.
  $}

  ${
    $d R r x y $.
    $( Element of the class of symmetric relations.  (Contributed by Peter
       Mazsa, 17-Aug-2021.) $)
    elsymrels5 $p |- ( R e. SymRels <->
                       ( A. x A. y ( x R y <-> y R x ) /\ R e. Rels ) ) $=
      ( vr cv wbr wb wal crels csymrels dfsymrels5 wceq bibi12d 2albidv rabeqel
      breq ) AEZBEZDEZFZRQSFZGZBHAHQRCFZRQCFZGZBHAHDIJCABDKSCLZUBUEABUFTUCUAUDQ
      RSCPRQSCPMNO $.
  $}

  $( For sets, being an element of the class of symmetric relations
     ( ~ df-symrels ) is equivalent to satisfying the symmetric relation
     predicate.  (Contributed by Peter Mazsa, 17-Aug-2021.) $)
  elsymrelsrel $p |- ( R e. V -> ( R e. SymRels <-> SymRel R ) ) $=
    ( wcel ccnv wss crels wa wrel wsymrel elrelsrel anbi2d elsymrels2 dfsymrel2
    csymrels 3bitr4g ) ABCZADAEZAFCZGQAHZGANCAIPRSQABJKALAMO $.

  $( Equality theorem for symmetric relation.  (Contributed by Peter Mazsa,
     15-Apr-2019.)  (Revised by Peter Mazsa, 23-Sep-2021.) $)
  symreleq $p |- ( R = S -> ( SymRel R <-> SymRel S ) ) $=
    ( wceq ccnv wss wa wsymrel cnveq id sseq12d releq anbi12d dfsymrel2 3bitr4g
    wrel ) ABCZADZAEZAOZFBDZBEZBOZFAGBGPRUASUBPQTABABHPIJABKLAMBMN $.

  $( Symmetric relation implies that the domain and the range are equal.
     (Contributed by Peter Mazsa, 29-Dec-2021.) $)
  symrelim $p |- ( SymRel R -> dom R = ran R ) $=
    ( wsymrel cdm ccnv crn rncnv wceq wrel dfsymrel4 simplbi rneqd eqtr3id ) AB
    ZACADZEAEAFMNAMNAGAHAIJKL $.

  $( The class of cosets by ` R ` is symmetric.  (Contributed by Peter Mazsa,
     20-Dec-2021.) $)
  symrelcoss $p |- SymRel ,~ R $=
    ( ccoss wsymrel ccnv wss wrel wa symrelcoss2 dfsymrel2 mpbir ) ABZCKDKEKFGA
    HKIJ $.

  $( The identity relation is symmetric.  (Contributed by AV, 19-Jun-2022.) $)
  idsymrel $p |- SymRel _I $=
    ( cid wsymrel ccnv wceq wrel cnvi reli dfsymrel4 mpbir2an ) ABACADAEFGAHI
    $.

  $( The membership (epsilon) relation is not symmetric.  (Contributed by AV,
     18-Jun-2022.) $)
  epnsymrel $p |- -. SymRel _E $=
    ( cep wsymrel ccnv wceq wrel wa epnsym neii intnanr dfsymrel4 mtbir ) ABACZ
    ADZAEZFMNLAGHIAJK $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Reflexivity and symmetry
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Symmetry is a sufficient condition for the equivalence of two versions of
     the reflexive relation, see also ~ symrefref3 .  (Contributed by Peter
     Mazsa, 19-Jul-2018.) $)
  symrefref2 $p |- ( `' R C_ R ->
      ( ( _I i^i ( dom R X. ran R ) ) C_ R <-> ( _I |` dom R ) C_ R ) ) $=
    ( ccnv wss cid cdm crn cxp cres wceq rnss rncnv sseq1i biimpi idreseqidinxp
    cin 3syl sseq1d ) ABZACZDAEZAFZGOZDTHZASRFZUACZTUACZUBUCIRAJUEUFUDTUAAKLMTU
    ANPQ $.

  ${
    $d R x y $.
    $( Symmetry is a sufficient condition for the equivalence of two versions
       of the reflexive relation, see also ~ symrefref2 .  (Contributed by
       Peter Mazsa, 23-Aug-2021.)  (Proof modification is discouraged.) $)
    symrefref3 $p |- ( A. x A. y ( x R y -> y R x ) ->
        ( A. x e. dom R A. y e. ran R ( x = y -> x R y ) <->
          A. x e. dom R x R x ) ) $=
      ( ccnv wss cid cdm crn cxp cin cres wb cv wbr wi wal wceq wral symrefref2
      cnvsym idinxpss idrefALT bibi12i 3imtr3i ) CDCEFCGZCHZIJCEZFUEKCEZLAMZBMZ
      CNZUJUICNOBPAPUIUJQUKOBUFRAUERZUIUICNAUERZLCSABCTUGULUHUMABUEUFCUAAUECUBU
      CUD $.
  $}

  $( Elements of the class of reflexive relations which are elements of the
     class of symmetric relations as well (like the elements of the class of
     equivalence relations ~ dfeqvrels2 ) can use the restricted version for
     their reflexive part (see below), not just the
     ` ( _I i^i ( dom r X. ran r ) ) C_ r ` version of ~ dfrefrels2 , cf. the
     comment of ~ dfrefrels2 .  (Contributed by Peter Mazsa, 20-Jul-2019.) $)
  refsymrels2 $p |- ( RefRels i^i SymRels ) =
      { r e. Rels | ( ( _I |` dom r ) C_ r /\ `' r C_ r ) } $=
    ( crefrels csymrels cin cid cdm crn cxp wss crels crab ccnv cres dfrefrels2
    cv wa dfsymrels2 ineq12i inrab symrefref2 pm5.32ri rabbii 3eqtri ) BCDEAOZF
    ZUDGHDUDIZAJKZUDLUDIZAJKZDUFUHPZAJKEUEMUDIZUHPZAJKBUGCUIANAQRUFUHAJSUJULAJU
    HUFUKUDTUAUBUC $.

  ${
    $d r x y $.
    $( Elements of the class of reflexive relations which are elements of the
       class of symmetric relations as well (like the elements of the class of
       equivalence relations ~ dfeqvrels3 ) can use the ` A. x e. dom r x r x `
       version for their reflexive part, not just the
       ` A. x e. dom r A. y e. ran r ( x = y -> x r y ) ` version of
       ~ dfrefrels3 , cf. the comment of ~ dfrefrel3 .  (Contributed by Peter
       Mazsa, 22-Jul-2019.)  (Proof modification is discouraged.) $)
    refsymrels3 $p |- ( RefRels i^i SymRels ) =
     { r e. Rels | ( A. x e. dom r x r x /\ A. x A. y ( x r y -> y r x ) ) } $=
      ( cid cv cdm cres wss ccnv wa wbr wral wi wal crels crefrels csymrels cin
      refsymrels2 idrefALT cnvsym anbi12i rabbieq ) DCEZFZGUDHZUDIUDHZJAEZUHUDK
      AUELZUHBEZUDKUJUHUDKMBNANZJCOPQRCSUFUIUGUKAUEUDTABUDUAUBUC $.
  $}

  $( A relation which is reflexive and symmetric (like an equivalence relation)
     can use the restricted version for their reflexive part (see below), not
     just the ` ( _I i^i ( dom R X. ran R ) ) C_ R ` version of ~ dfrefrel2 ,
     cf. the comment of ~ dfrefrels2 .  (Contributed by Peter Mazsa,
     23-Aug-2021.) $)
  refsymrel2 $p |- ( ( RefRel R /\ SymRel R ) <->
      ( ( ( _I |` dom R ) C_ R /\ `' R C_ R ) /\ Rel R ) ) $=
    ( wrefrel wsymrel wa cid cdm crn cxp cin ccnv wrel cres dfrefrel2 dfsymrel2
    wss w3a anbi12i anandi3r 3anan32 3bitr2i symrefref2 pm5.32ri anbi1i bitri )
    ABZACZDZEAFZAGHIAOZAJAOZDZAKZDZEUHLAOZUJDZULDUGUIULDZUJULDZDUIULUJPUMUEUPUF
    UQAMANQUIULUJRUIULUJSTUKUOULUJUIUNAUAUBUCUD $.

  ${
    $d R x y $.
    $( A relation which is reflexive and symmetric (like an equivalence
       relation) can use the ` A. x e. dom R x R x ` version for its reflexive
       part, not just the ` A. x e. dom R A. y e. ran R ( x = y -> x R y ) `
       version of ~ dfrefrel3 , cf. the comment of ~ dfrefrel3 .  (Contributed
       by Peter Mazsa, 23-Aug-2021.) $)
    refsymrel3 $p |- ( ( RefRel R /\ SymRel R ) <->
        ( ( A. x e. dom R x R x /\ A. x A. y ( x R y -> y R x ) ) /\
          Rel R ) ) $=
      ( wrefrel wsymrel wa weq cv wbr crn wral cdm wal wrel dfrefrel3 dfsymrel3
      wi w3a anbi12i anandi3r 3anan32 3bitr2i symrefref3 pm5.32ri anbi1i bitri
      ) CDZCEZFZABGAHZBHZCIZQBCJKACLZKZULUKUJCIQBMAMZFZCNZFZUJUJCIAUMKZUOFZUQFU
      IUNUQFZUOUQFZFUNUQUORURUGVAUHVBABCOABCPSUNUQUOTUNUQUOUAUBUPUTUQUOUNUSABCU
      CUDUEUF $.
  $}

  ${
    $d R r $.
    $( Elements of the class of reflexive relations which are elements of the
       class of symmetric relations as well (like the elements of the class of
       equivalence relations ~ dfeqvrels2 ) can use the restricted version for
       their reflexive part (see below), not just the
       ` ( _I i^i ( dom R X. ran R ) ) C_ R ` version of ~ dfrefrels2 , cf. the
       comment of ~ dfrefrels2 .  (Contributed by Peter Mazsa, 22-Jul-2019.) $)
    elrefsymrels2 $p |- ( R e. ( RefRels i^i SymRels ) <->
        ( ( ( _I |` dom R ) C_ R /\ `' R C_ R ) /\ R e. Rels ) ) $=
      ( vr cid cv cdm cres wss ccnv wa crels crefrels csymrels refsymrels2 wceq
      cin dmeq reseq2d id sseq12d cnveq anbi12d rabeqel ) CBDZEZFZUCGZUCHZUCGZI
      CAEZFZAGZAHZAGZIBJKLOABMUCANZUFUKUHUMUNUEUJUCAUNUDUICUCAPQUNRZSUNUGULUCAU
      CATUOSUAUB $.
  $}

  ${
    $d R x y $.
    $( Elements of the class of reflexive relations which are elements of the
       class of symmetric relations as well (like the elements of the class of
       equivalence relations ~ dfeqvrels3 ) can use the ` A. x e. dom R x R x `
       version for their reflexive part, not just the
       ` A. x e. dom R A. y e. ran R ( x = y -> x R y ) ` version of
       ~ dfrefrels3 , cf. the comment of ~ dfrefrel3 .  (Contributed by Peter
       Mazsa, 22-Jul-2019.)  (Proof modification is discouraged.) $)
    elrefsymrels3 $p |- ( R e. ( RefRels i^i SymRels ) <->
        ( ( A. x e. dom R x R x /\ A. x A. y ( x R y -> y R x ) ) /\
          R e. Rels ) ) $=
      ( crefrels csymrels cin wcel cid cdm cres wss ccnv wa crels cv wbr wi wal
      wral elrefsymrels2 idrefALT cnvsym anbi12i anbi1i bitri ) CDEFGHCIZJCKZCL
      CKZMZCNGZMAOZUKCPAUFSZUKBOZCPUMUKCPQBRARZMZUJMCTUIUOUJUGULUHUNAUFCUAABCUB
      UCUDUE $.
  $}

  $( For sets, being an element of the class of reflexive and symmetric
     relations is equivalent to satisfying the reflexive and symmetric relation
     predicates.  (Contributed by Peter Mazsa, 23-Aug-2021.) $)
  elrefsymrelsrel $p |- ( R e. V ->
      ( R e. ( RefRels i^i SymRels ) <-> ( RefRel R /\ SymRel R ) ) ) $=
    ( crefrels csymrels cin wcel wrefrel wsymrel elin elrefrelsrel elsymrelsrel
    wa anbi12d syl5bb ) ACDEFACFZADFZLABFZAGZAHZLACDIQORPSABJABKMN $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Transitivity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the class of all transitive sets (versus the transitive class
     defined in ~ df-tr ).  It is used only by ~ df-trrels .

     Note the similarity of the definitions of ~ df-refs , ~ df-syms and
     ~ df-trs .  (Contributed by Peter Mazsa, 17-Jul-2021.) $)
  df-trs $a |- Trs = { x |
      ( ( x i^i ( dom x X. ran x ) ) o. ( x i^i ( dom x X. ran x ) ) ) _S
        ( x i^i ( dom x X. ran x ) ) } $.

  $( Define the class of transitive relations.  For sets, being an element of
     the class of transitive relations is equivalent to satisfying the
     transitive relation predicate, see ~ eltrrelsrel .  Alternate definitions
     are ~ dftrrels2 and ~ dftrrels3 .

     This definition is similar to the definitions of the classes of reflexive
     ( ~ df-refrels ) and symmetric ( ~ df-symrels ) relations.  (Contributed
     by Peter Mazsa, 7-Jul-2019.) $)
  df-trrels $a |- TrRels = ( Trs i^i Rels ) $.

  $( Define the transitive relation predicate.  (Read: ` R ` is a transitive
     relation.)  For sets, being an element of the class of transitive
     relations ( ~ df-trrels ) is equivalent to satisfying the transitive
     relation predicate, see ~ eltrrelsrel .  Alternate definitions are
     ~ dftrrel2 and ~ dftrrel3 .  (Contributed by Peter Mazsa, 17-Jul-2021.) $)
  df-trrel $a |- ( TrRel R <->
      ( ( ( R i^i ( dom R X. ran R ) ) o. ( R i^i ( dom R X. ran R ) ) ) C_
          ( R i^i ( dom R X. ran R ) ) /\ Rel R ) ) $.

  $( Alternate definition of the class of transitive relations.

     I'd prefer to define the class of transitive relations by using the
     definition of composition by [Suppes] p. 63. df-coSUP
     ` ( A o. B ) = { <. x , y >. | E. u ( x A u /\ u B y ) } ` as opposed to
     the present definition of composition ~ df-co
     ` ( A o. B ) = { <. x , y >. | E. u ( x B u /\ u A y ) } ` because the
     Suppes definition keeps the order of ` A ` , ` B ` , ` C ` , ` R ` ,
     ` S ` , ` T ` by default in trsinxpSUP ` ( ( ( R i^i ( A X. B ) ) o. ( S `
     ` i^i ( B X. C ) ) ) C_ ( T i^i ( A X. C ) ) <-> A. x e. A A. y e. B A. `
     ` z e. C ( ( x R y /\ y S z ) -> x T z ) ) ` while the present definition
     of composition disarranges them: trsinxp
     ` ( ( ( S i^i ( B X. C ) ) o. ( R i^i ( A X. B ) ) ) C_ ( T i^i ( A X. C `
     ` ) ) <-> A. x e. A A. y e. B A. z e. C ( ( x R y /\ y S z ) -> x T z ) `
     ` ) ` .  This is not mission critical to me, the implication of the Suppes
     definition is just more aesthetic, at least in the above case.

     If we swap to the Suppes definition of class composition, I would define
     the present class of all transitive sets as df-trsSUP and I would consider
     to switch the definition of the class of cosets by ` R ` from the present
     ~ df-coss to a df-cossSUP. But perhaps there is a mathematical reason to
     keep the present definition of composition.  (Contributed by Peter Mazsa,
     21-Jul-2021.) $)
  dftrrels2 $p |- TrRels = { r e. Rels | ( r o. r ) C_ r } $=
    ( cv cdm crn cxp cin ccom cssr wbr ctrrels ctrs crels df-trrels df-trs wcel
    wss cvv wb inex1g elv brssr elrels6 biimpi coeq12d sseq12d syl5bb abeqinbi
    ax-mp wceq ) ABZUJCUJDEZFZULGZULHIZUJUJGZUJPZAJKLMANUNUMULPZUJLOZUPULQOZUNU
    QRUSAUJUKQSTUMULQUAUHURUMUOULUJURULUJULUJURULUJUIZURUTRAUJQUBTUCZVAUDVAUEUF
    UG $.

  ${
    $d r x y z $.
    $( Alternate definition of the class of transitive relations.  (Contributed
       by Peter Mazsa, 22-Jul-2021.) $)
    dftrrels3 $p |- TrRels =
        { r e. Rels | A. x A. y A. z ( ( x r y /\ y r z ) -> x r z ) } $=
      ( cv ccom wss wbr wa wi wal crels ctrrels dftrrels2 cotr rabbieq ) DEZQFQ
      GAEZBEZQHSCEZQHIRTQHJCKBKAKDLMDNABCQOP $.
  $}

  $( Alternate definition of the transitive relation predicate.  (Contributed
     by Peter Mazsa, 22-Aug-2021.) $)
  dftrrel2 $p |- ( TrRel R <-> ( ( R o. R ) C_ R /\ Rel R ) ) $=
    ( wtrrel cdm crn cxp cin ccom wss wrel df-trrel wceq dfrel6 coeq12d sseq12d
    wa biimpi pm5.32ri bitri ) ABAACADEFZSGZSHZAIZOAAGZAHZUBOAJUBUAUDUBTUCSAUBS
    ASAUBSAKALPZUEMUENQR $.

  ${
    $d R x y z $.
    $( Alternate definition of the transitive relation predicate.  (Contributed
       by Peter Mazsa, 22-Aug-2021.) $)
    dftrrel3 $p |- ( TrRel R <->
        ( A. x A. y A. z ( ( x R y /\ y R z ) -> x R z ) /\ Rel R ) ) $=
      ( wtrrel ccom wss wrel wa cv wbr wi wal dftrrel2 cotr anbi1i bitri ) DEDD
      FDGZDHZIAJZBJZDKUACJZDKITUBDKLCMBMAMZSIDNRUCSABCDOPQ $.
  $}

  ${
    $d R r $.
    $( Element of the class of transitive relations.  (Contributed by Peter
       Mazsa, 22-Aug-2021.) $)
    eltrrels2 $p |- ( R e. TrRels <-> ( ( R o. R ) C_ R /\ R e. Rels ) ) $=
      ( vr cv ccom wss crels ctrrels dftrrels2 wceq coideq id sseq12d rabeqel )
      BCZNDZNEAADZAEBFGABHNAIZOPNANAJQKLM $.
  $}

  ${
    $d R r x y z $.
    $( Element of the class of transitive relations.  (Contributed by Peter
       Mazsa, 22-Aug-2021.) $)
    eltrrels3 $p |- ( R e. TrRels <->
        ( A. x A. y A. z ( ( x R y /\ y R z ) -> x R z ) /\ R e. Rels ) ) $=
      ( vr cv wbr wa wi wal ctrrels dftrrels3 wceq breq anbi12d imbi12d 2albidv
      crels albidv rabeqel ) AFZBFZEFZGZUBCFZUCGZHZUAUEUCGZIZCJBJZAJUAUBDGZUBUE
      DGZHZUAUEDGZIZCJBJZAJERKDABCELUCDMZUJUPAUQUIUOBCUQUGUMUHUNUQUDUKUFULUAUBU
      CDNUBUEUCDNOUAUEUCDNPQST $.
  $}

  $( For sets, being an element of the class of transitive relations is
     equivalent to satisfying the transitive relation predicate.  (Contributed
     by Peter Mazsa, 22-Aug-2021.) $)
  eltrrelsrel $p |- ( R e. V -> ( R e. TrRels <-> TrRel R ) ) $=
    ( wcel ccom wss crels wa ctrrels wtrrel elrelsrel anbi2d eltrrels2 dftrrel2
    wrel 3bitr4g ) ABCZAADAEZAFCZGQANZGAHCAIPRSQABJKALAMO $.

  $( Equality theorem for the transitive relation predicate.  (Contributed by
     Peter Mazsa, 15-Apr-2019.)  (Revised by Peter Mazsa, 23-Sep-2021.) $)
  trreleq $p |- ( R = S -> ( TrRel R <-> TrRel S ) ) $=
    ( wceq ccom wrel wa wtrrel coideq id sseq12d releq anbi12d dftrrel2 3bitr4g
    wss ) ABCZAADZAOZAEZFBBDZBOZBEZFAGBGPRUASUBPQTABABHPIJABKLAMBMN $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Equivalence relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the class of equivalence relations.  For sets, being an element of
     the class of equivalence relations is equivalent to satisfying the
     equivalence relation predicate, see ~ eleqvrelsrel .  Alternate
     definitions are ~ dfeqvrels2 and ~ dfeqvrels3 .  (Contributed by Peter
     Mazsa, 7-Nov-2018.) $)
  df-eqvrels $a |- EqvRels = ( ( RefRels i^i SymRels ) i^i TrRels ) $.

  $( Define the equivalence relation predicate.  (Read: ` R ` is an equivalence
     relation.)  For sets, being an element of the class of equivalence
     relations ( ~ df-eqvrels ) is equivalent to satisfying the equivalence
     relation predicate, see ~ eleqvrelsrel .  Alternate definitions are
     ~ dfeqvrel2 and ~ dfeqvrel3 .  (Contributed by Peter Mazsa,
     17-Apr-2019.) $)
  df-eqvrel $a |- ( EqvRel R <-> ( RefRel R /\ SymRel R /\ TrRel R ) ) $.

  $( Define the the coelement equivalence relations class, the class of sets
     with coelement equivalence relations.  For sets, being an element of the
     class of coelement equivalence relations is equivalent to satisfying the
     coelement equivalence relation predicate, see ~ elcoeleqvrelsrel .
     Alternate definition is ~ dfcoeleqvrels .  (Contributed by Peter Mazsa,
     28-Nov-2022.) $)
  df-coeleqvrels $a |- CoElEqvRels = { a | ,~ ( `' _E |` a ) e. EqvRels } $.

  $( Define the coelement equivalence relation predicate.  (Read: the coelement
     equivalence relation on ` A ` .)  Alternate definition is ~ dfcoeleqvrel .
     For sets, being an element of the class of coelement equivalence relations
     is equivalent to satisfying the coelement equivalence relation predicate,
     see ~ elcoeleqvrelsrel .  (Contributed by Peter Mazsa, 11-Dec-2021.) $)
  df-coeleqvrel $a |- ( CoElEqvRel A <-> EqvRel ,~ ( `' _E |` A ) ) $.

  $( Alternate definition of the class of equivalence relations.  (Contributed
     by Peter Mazsa, 2-Dec-2019.) $)
  dfeqvrels2 $p |- EqvRels = { r e. Rels |
      ( ( _I |` dom r ) C_ r /\ `' r C_ r /\ ( r o. r ) C_ r ) } $=
    ( ceqvrels cid cv cdm cres wss ccnv wa ccom crels w3a crefrels csymrels cin
    crab ctrrels df-eqvrels refsymrels2 dftrrels2 ineq12i 3eqtri df-3an rabbii
    inrab eqtr4i ) BCADZEFUGGZUGHUGGZIZUGUGJUGGZIZAKPZUHUIUKLZAKPBMNOZQOUJAKPZU
    KAKPZOUMRUOUPQUQASATUAUJUKAKUEUBUNULAKUHUIUKUCUDUF $.

  ${
    $d r x y z $.
    $( Alternate definition of the class of equivalence relations.
       (Contributed by Peter Mazsa, 2-Dec-2019.) $)
    dfeqvrels3 $p |- EqvRels = { r e. Rels |
        ( A. x e. dom r x r x /\
          A. x A. y ( x r y -> y r x ) /\
          A. x A. y A. z ( ( x r y /\ y r z ) -> x r z ) ) } $=
      ( cid cv cdm cres wss ccnv ccom w3a wbr wral wi crels ceqvrels dfeqvrels2
      wal wa idrefALT cnvsym cotr 3anbi123i rabbieq ) EDFZGZHUFIZUFJUFIZUFUFKUF
      IZLAFZUKUFMAUGNZUKBFZUFMZUMUKUFMOBSASZUNUMCFZUFMTUKUPUFMOCSBSASZLDPQDRUHU
      LUIUOUJUQAUGUFUAABUFUBABCUFUCUDUE $.
  $}

  $( Alternate definition of the equivalence relation predicate.  (Contributed
     by Peter Mazsa, 22-Apr-2019.) $)
  dfeqvrel2 $p |- ( EqvRel R <->
      ( ( ( _I |` dom R ) C_ R /\ `' R C_ R /\ ( R o. R ) C_ R ) /\
          Rel R ) ) $=
    ( weqvrel wrefrel wsymrel wtrrel w3a cid cdm cres ccnv ccom wrel refsymrel2
    wss wa df-eqvrel dftrrel2 anbi12i df-3an anbi1i 3anan32 anandi3r 3bitr2i
    3bitr4i bitri ) ABACZADZAEZFZGAHIANZAJANZAAKANZFZALZOZAPUFUGOZUHOUJUKOZUNOZ
    ULUNOZOZUIUOUPURUHUSAMAQRUFUGUHSUOUQULOZUNOUQUNULFUTUMVAUNUJUKULSTUQUNULUAU
    QUNULUBUCUDUE $.

  ${
    $d R x y z $.
    $( Alternate definition of the equivalence relation predicate.
       (Contributed by Peter Mazsa, 22-Apr-2019.) $)
    dfeqvrel3 $p |- ( EqvRel R <->
        ( ( A. x e. dom R x R x /\
            A. x A. y ( x R y -> y R x ) /\
            A. x A. y A. z ( ( x R y /\ y R z ) -> x R z ) ) /\
          Rel R ) ) $=
      ( weqvrel wrefrel wsymrel wtrrel w3a cv wbr cdm wral wi wa wrel df-eqvrel
      wal refsymrel3 df-3an dftrrel3 anbi12i 3anan32 anandi3r 3bitr2i 3bitr4i
      anbi1i bitri ) DEDFZDGZDHZIZAJZUMDKADLMZUMBJZDKZUOUMDKNBRARZUPUOCJZDKOUMU
      RDKNCRBRARZIZDPZOZDQUIUJOZUKOUNUQOZVAOZUSVAOZOZULVBVCVEUKVFABDSABCDUAUBUI
      UJUKTVBVDUSOZVAOVDVAUSIVGUTVHVAUNUQUSTUGVDVAUSUCVDVAUSUDUEUFUH $.
  $}

  ${
    $d R r $.
    $( Element of the class of equivalence relations.  (Contributed by Peter
       Mazsa, 24-Aug-2021.) $)
    eleqvrels2 $p |- ( R e. EqvRels <->
        ( ( ( _I |` dom R ) C_ R /\ `' R C_ R /\ ( R o. R ) C_ R ) /\
            R e. Rels ) ) $=
      ( vr cid cv cdm cres wss ccnv ccom crels ceqvrels dfeqvrels2 wceq reseq2d
      w3a dmeq id sseq12d cnveq coideq 3anbi123d rabeqel ) CBDZEZFZUCGZUCHZUCGZ
      UCUCIZUCGZOCAEZFZAGZAHZAGZAAIZAGZOBJKABLUCAMZUFUMUHUOUJUQURUEULUCAURUDUKC
      UCAPNURQZRURUGUNUCAUCASUSRURUIUPUCAUCATUSRUAUB $.
  $}

  ${
    $d R r x y z $.
    $( Element of the class of equivalence relations.  (Contributed by Peter
       Mazsa, 24-Aug-2021.) $)
    eleqvrels3 $p |- ( R e. EqvRels <->
        ( ( A. x e. dom R x R x /\
            A. x A. y ( x R y -> y R x ) /\
            A. x A. y A. z ( ( x R y /\ y R z ) -> x R z ) ) /\
          R e. Rels ) ) $=
      ( vr cv wbr cdm wral wi wal wa w3a crels ceqvrels dfeqvrels3 wceq imbi12d
      breq 2albidv dmeq raleqbidv anbi12d albidv 3anbi123d rabeqel ) AFZUGEFZGZ
      AUHHZIZUGBFZUHGZULUGUHGZJZBKAKZUMULCFZUHGZLZUGUQUHGZJZCKBKZAKZMUGUGDGZADH
      ZIZUGULDGZULUGDGZJZBKAKZVGULUQDGZLZUGUQDGZJZCKBKZAKZMENODABCEPUHDQZUKVFUP
      VJVCVPVQUIVDAUJVEUHDUAUGUGUHDSUBVQUOVIABVQUMVGUNVHUGULUHDSZULUGUHDSRTVQVB
      VOAVQVAVNBCVQUSVLUTVMVQUMVGURVKVRULUQUHDSUCUGUQUHDSRTUDUEUF $.
  $}

  $( For sets, being an element of the class of equivalence relations is
     equivalent to satisfying the equivalence relation predicate.  (Contributed
     by Peter Mazsa, 24-Aug-2021.) $)
  eleqvrelsrel $p |- ( R e. V -> ( R e. EqvRels <-> EqvRel R ) ) $=
    ( wcel cid cdm cres wss ccnv ccom w3a crels wrel ceqvrels weqvrel elrelsrel
    wa anbi2d eleqvrels2 dfeqvrel2 3bitr4g ) ABCZDAEFAGAHAGAAIAGJZAKCZPUBALZPAM
    CANUAUCUDUBABOQARAST $.

  ${
    $d A a $.
    $( Elementhood in the coelement equivalence relations class.  (Contributed
       by Peter Mazsa, 24-Jul-2023.) $)
    elcoeleqvrels $p |- ( A e. V ->
        ( A e. CoElEqvRels <-> ,~ ( `' _E |` A ) e. EqvRels ) ) $=
      ( va cep ccnv cv cres ccoss ceqvrels wcel ccoeleqvrels wceq reseq2 eleq1d
      cosseqd df-coeleqvrels elab2g ) DEZCFZGZHZIJRAGZHZIJCAKBSALZUAUCIUDTUBSAR
      MONCPQ $.
  $}

  $( For sets, being an element of the class of coelement equivalence relations
     is equivalent to satisfying the coelement equivalence relation predicate.
     (Contributed by Peter Mazsa, 24-Jul-2023.) $)
  elcoeleqvrelsrel $p |- ( A e. V ->
                           ( A e. CoElEqvRels <-> CoElEqvRel A ) ) $=
    ( wcel ccoeleqvrels cep ccnv weqvrel wcoeleqvrel ceqvrels elcoeleqvrels cvv
    cres ccoss wb 1cosscnvepresex eleqvrelsrel syl bitrd df-coeleqvrel bitr4di
    ) ABCZADCZEFALMZGZAHUAUBUCICZUDABJUAUCKCUEUDNABOUCKPQRAST $.

  $( An equivalence relation is a relation.  (Contributed by Peter Mazsa,
     2-Jun-2019.) $)
  eqvrelrel $p |- ( EqvRel R -> Rel R ) $=
    ( weqvrel cid cdm cres wss ccnv ccom w3a wrel dfeqvrel2 simprbi ) ABCADEAFA
    GAFAAHAFIAJAKL $.

  $( An equivalence relation is reflexive.  (Contributed by Peter Mazsa,
     29-Dec-2021.) $)
  eqvrelrefrel $p |- ( EqvRel R -> RefRel R ) $=
    ( weqvrel wrefrel wsymrel wtrrel df-eqvrel simp1bi ) ABACADAEAFG $.

  $( An equivalence relation is symmetric.  (Contributed by Peter Mazsa,
     29-Dec-2021.) $)
  eqvrelsymrel $p |- ( EqvRel R -> SymRel R ) $=
    ( weqvrel wrefrel wsymrel wtrrel df-eqvrel simp2bi ) ABACADAEAFG $.

  $( An equivalence relation is transitive.  (Contributed by Peter Mazsa,
     29-Dec-2021.) $)
  eqvreltrrel $p |- ( EqvRel R -> TrRel R ) $=
    ( weqvrel wrefrel wsymrel wtrrel df-eqvrel simp3bi ) ABACADAEAFG $.

  $( Equivalence relation implies that the domain and the range are equal.
     (Contributed by Peter Mazsa, 29-Dec-2021.) $)
  eqvrelim $p |- ( EqvRel R -> dom R = ran R ) $=
    ( weqvrel wsymrel cdm crn wceq eqvrelsymrel symrelim syl ) ABACADAEFAGAHI
    $.

  $( Equality theorem for equivalence relation.  (Contributed by Peter Mazsa,
     19-Apr-2020.)  (Revised by Peter Mazsa, 23-Sep-2021.) $)
  eqvreleq $p |- ( R = S -> ( EqvRel R <-> EqvRel S ) ) $=
    ( wceq wrefrel wsymrel wtrrel weqvrel refreleq symreleq 3anbi123d df-eqvrel
    w3a trreleq 3bitr4g ) ABCZADZAEZAFZLBDZBEZBFZLAGBGOPSQTRUAABHABIABMJAKBKN
    $.

  ${
    eqvreleqi.1 $e |- R = S $.
    $( Equality theorem for equivalence relation, inference version.
       (Contributed by Peter Mazsa, 23-Sep-2021.) $)
    eqvreleqi $p |- ( EqvRel R <-> EqvRel S ) $=
      ( wceq weqvrel wb eqvreleq ax-mp ) ABDAEBEFCABGH $.
  $}

  ${
    eqvreleqd.1 $e |- ( ph -> R = S ) $.
    $( Equality theorem for equivalence relation, deduction version.
       (Contributed by Peter Mazsa, 23-Sep-2021.) $)
    eqvreleqd $p |- ( ph -> ( EqvRel R <-> EqvRel S ) ) $=
      ( wceq weqvrel wb eqvreleq syl ) ABCEBFCFGDBCHI $.
  $}

  ${
    eqvrelsym.1 $e |- ( ph -> EqvRel R ) $.
    eqvrelsym.2 $e |- ( ph -> A R B ) $.
    $( An equivalence relation is symmetric.  (Contributed by NM, 4-Jun-1995.)
       (Revised by Mario Carneiro, 12-Aug-2015.)  (Revised by Peter Mazsa,
       2-Jun-2019.) $)
    eqvrelsym $p |- ( ph -> B R A ) $=
      ( ccnv wbr weqvrel wrel eqvrelrel relbrcnvg 3syl wsymrel wss eqvrelsymrel
      wb mpbird dfsymrel2 simplbi ssbrd mpd ) ACBDGZHZCBDHAUDBCDHZFADIZDJZUDUEQ
      EDKCBDLMRAUCDCBAUFDNZUCDOZEDPUHUIUGDSTMUAUB $.
  $}

  ${
    eqvrelsymb.1 $e |- ( ph -> EqvRel R ) $.
    $( An equivalence relation is symmetric.  (Contributed by NM, 30-Jul-1995.)
       (Revised by Mario Carneiro, 12-Aug-2015.)  (Revised and distinct
       variable conditions removed by Peter Mazsa, 2-Jun-2019.) $)
    eqvrelsymb $p |- ( ph -> ( A R B <-> B R A ) ) $=
      ( wbr wa weqvrel adantr simpr eqvrelsym impbida ) ABCDFZCBDFZAMGBCDADHZME
      IAMJKANGCBDAONEIANJKL $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d R x $.
    eqvreltr.1 $e |- ( ph -> EqvRel R ) $.
    $( An equivalence relation is transitive.  (Contributed by NM, 4-Jun-1995.)
       (Revised by Mario Carneiro, 12-Aug-2015.)  (Revised by Peter Mazsa,
       2-Jun-2019.) $)
    eqvreltr $p |- ( ph -> ( ( A R B /\ B R C ) -> A R C ) ) $=
      ( vx wbr wa ccom cv wex cvv wrel wcel syl simpr brrelex1 syl2an wss breq2
      weqvrel eqvrelrel wceq breq1 anbi12d spcedv simpl brrelex2 syl2anc mpbird
      wb brcog ex cid cdm cres ccnv w3a dfeqvrel2 simplbi simp3d ssbrd syld ) A
      BCEHZCDEHZIZBDEEJZHZBDEHAVGVIAVGIZVIBGKZEHZVKDEHZIZGLZVJVNVGGMCAENZVFCMOV
      GAEUBZVPFEUCPZVEVFQZCDERSAVGQVKCUDVLVEVMVFVKCBEUAVKCDEUEUFUGVJBMOZDMOZVIV
      OULAVPVEVTVGVRVEVFUHBCERSAVPVFWAVGVRVSCDEUISGBDEEMMUMUJUKUNAVHEBDAVQVHETZ
      FVQUOEUPUQETZEURETZWBVQWCWDWBUSVPEUTVAVBPVCVD $.
  $}

  ${
    eqvreltrd.1 $e |- ( ph -> EqvRel R ) $.
    eqvreltrd.2 $e |- ( ph -> A R B ) $.
    eqvreltrd.3 $e |- ( ph -> B R C ) $.
    $( A transitivity relation for equivalences.  (Contributed by Mario
       Carneiro, 9-Jul-2014.)  (Revised by Peter Mazsa, 2-Jun-2019.) $)
    eqvreltrd $p |- ( ph -> A R C ) $=
      ( wbr eqvreltr mp2and ) ABCEICDEIBDEIGHABCDEFJK $.
  $}

  ${
    eqvreltr4d.1 $e |- ( ph -> EqvRel R ) $.
    eqvreltr4d.2 $e |- ( ph -> A R B ) $.
    eqvreltr4d.3 $e |- ( ph -> C R B ) $.
    $( A transitivity relation for equivalences.  (Contributed by Mario
       Carneiro, 9-Jul-2014.)  (Revised by Peter Mazsa, 2-Jun-2019.) $)
    eqvreltr4d $p |- ( ph -> A R C ) $=
      ( eqvrelsym eqvreltrd ) ABCDEFGADCEFHIJ $.
  $}

  ${
    $d A x $.  $d R x $.  $d ph x $.
    eqvrelref.1 $e |- ( ph -> EqvRel R ) $.
    eqvrelref.2 $e |- ( ph -> A e. dom R ) $.
    $( An equivalence relation is reflexive on its field.  Compare Theorem 3M
       of [Enderton] p. 56.  (Contributed by Mario Carneiro, 6-May-2013.)
       (Revised by Mario Carneiro, 12-Aug-2015.)  (Revised by Peter Mazsa,
       2-Jun-2019.) $)
    eqvrelref $p |- ( ph -> A R A ) $=
      ( vx cv wbr cdm wcel wex weqvrel wrel wb eqvrelrel releldmb 3syl mpbid wa
      adantr simpr eqvreltr4d exlimddv ) ABFGZCHZBBCHFABCIJZUEFKZEACLZCMUFUGNDC
      OFBCPQRAUESBUDBCAUHUEDTAUEUAZUIUBUC $.
  $}

  ${
    $d A x $.  $d B x $.  $d R x $.  $d ph x $.
    eqvrelth.1 $e |- ( ph -> EqvRel R ) $.
    eqvrelth.2 $e |- ( ph -> A e. dom R ) $.
    $( Basic property of equivalence relations.  Theorem 73 of [Suppes] p. 82.
       (Contributed by NM, 23-Jul-1995.)  (Revised by Mario Carneiro,
       6-Jul-2015.)  (Revised by Peter Mazsa, 2-Jun-2019.) $)
    eqvrelth $p |- ( ph -> ( A R B <-> [ A ] R = [ B ] R ) ) $=
      ( vx wbr cec wa wcel eqvreltr impl impbida cvv wb adantr sylancr elecALTV
      elecg wceq cv eqvrelsymb biimpa syldanl cdm vex wrel weqvrel syl brrelex2
      eqvrelrel sylan 3bitr4d eqrdv eqvrelref syl2anc mpbird simpr dmec2d mpbid
      eleqtrd eqvrelsym ) ABCDHZBDIZCDIZUAZAVDJZGVEVFVHBGUBZDHZCVIDHZVIVEKZVIVF
      KZVHVJVKAVDCBDHZVJVKAVDVNABCDEUCUDAVNVJVKACBVIDELMUEAVDVKVJABCVIDELMNVHVI
      OKZBDUFZKZVLVJPGUGZAVQVDFQVIBDOVPTRVHVOCOKZVMVKPVRADUHZVDVSADUIZVTEDULUJB
      CDUKUMVICDOOTRUNUOAVGJZCBDAWAVGEQWBBVFKZVNWBBVEVFWBBVEKZBBDHZAWEVGABDEFUP
      QWBVQVQWDWEPAVQVGFQZWFBBDVPVPSUQURAVGUSZVBWBCVPKZVQWCVNPWBVQWHWFWBBCDWGUT
      VAWFCBDVPVPSUQVAVCN $.
  $}

  ${
    eqvrelcl.1 $e |- ( ph -> EqvRel R ) $.
    eqvrelcl.2 $e |- ( ph -> A R B ) $.
    $( Elementhood in the field of an equivalence relation.  (Contributed by
       Mario Carneiro, 12-Aug-2015.)  (Revised by Peter Mazsa, 2-Jun-2019.) $)
    eqvrelcl $p |- ( ph -> A e. dom R ) $=
      ( wrel wbr cdm wcel weqvrel eqvrelrel syl releldm syl2anc ) ADGZBCDHBDIJA
      DKPEDLMFBCDNO $.
  $}

  ${
    eqvrelthi.1 $e |- ( ph -> EqvRel R ) $.
    eqvrelthi.2 $e |- ( ph -> A R B ) $.
    $( Basic property of equivalence relations.  Part of Lemma 3N of [Enderton]
       p. 57.  (Contributed by NM, 30-Jul-1995.)  (Revised by Mario Carneiro,
       9-Jul-2014.)  (Revised by Peter Mazsa, 2-Jun-2019.) $)
    eqvrelthi $p |- ( ph -> [ A ] R = [ B ] R ) $=
      ( wbr cec wceq eqvrelcl eqvrelth mpbid ) ABCDGBDHCDHIFABCDEABCDEFJKL $.
  $}

  ${
    $d A x $.  $d B x $.  $d R x $.
    $( Equivalence classes do not overlap.  In other words, two equivalence
       classes are either equal or disjoint.  Theorem 74 of [Suppes] p. 83.
       (Contributed by NM, 15-Jun-2004.)  (Revised by Mario Carneiro,
       9-Jul-2014.)  (Revised by Peter Mazsa, 2-Jun-2019.) $)
    eqvreldisj $p |- ( EqvRel R ->
        ( [ A ] R = [ B ] R \/ ( [ A ] R i^i [ B ] R ) = (/) ) ) $=
      ( vx weqvrel cec cin c0 wceq wn wcel wbr adantl cvv wb ecexr syl elecALTV
      sylancl mpbid cv wex wa simpl elinel1 vex elinel2 eqvreltr4d eqvrelthi ex
      neq0 exlimdv syl5bi orrd orcomd ) CEZACFZBCFZGZHIZUQURIZUPUTVAUTJDUAZUSKZ
      DUBUPVADUSUKUPVCVADUPVCVAUPVCUCZABCUPVCUDZVDAVBBCVEVDVBUQKZAVBCLZVCVFUPVB
      UQURUEMZVDANKZVBNKZVFVGOVDVFVIVHVBACPQDUFZAVBCNNRSTVDVBURKZBVBCLZVCVLUPVB
      UQURUGMZVDBNKZVJVLVMOVDVLVOVNVBBCPQVKBVBCNNRSTUHUIUJULUMUNUO $.
  $}

  ${
    $d A x y $.  $d B x $.  $d C x y $.  $d R x y $.  $d ph x y $.
    qsdisjALTV.1 $e |- ( ph -> EqvRel R ) $.
    qsdisjALTV.2 $e |- ( ph -> B e. ( A /. R ) ) $.
    qsdisjALTV.3 $e |- ( ph -> C e. ( A /. R ) ) $.
    $( Elements of a quotient set do not overlap.  (Contributed by Rodolfo
       Medina, 12-Oct-2010.)  (Revised by Mario Carneiro, 11-Jul-2014.)
       (Revised by Peter Mazsa, 3-Jun-2019.) $)
    qsdisjALTV $p |- ( ph -> ( B = C \/ ( B i^i C ) = (/) ) ) $=
      ( vx vy wcel wceq cin c0 wo cv cec eqeq1d orbi12d wa cqs eqid eqeq1 ineq1
      eqeq2 ineq2 weqvrel ad2antrr eqvreldisj syl ectocld mpidan mpdan ) ACBEUA
      ZKCDLZCDMZNLZOZGIPZEQZDLZUTDMZNLZOZURAICBEUNUNUBZUTCLZVAUOVCUQUTCDUCVFVBU
      PNUTCDUDRSAUSBKZDUNKVDHUTJPZEQZLZUTVIMZNLZOZVDAVGTZJDBEUNVEVIDLZVJVAVLVCV
      IDUTUEVOVKVBNVIDUTUFRSVNVHBKZTEUGZVMAVQVGVPFUHUSVHEUIUJUKULUKUM $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d R x $.
    $( If an element of a quotient set contains a given element, it is equal to
       the equivalence class of the element.  (Contributed by Mario Carneiro,
       12-Aug-2015.)  (Revised by Peter Mazsa, 28-Dec-2019.) $)
    eqvrelqsel $p |- ( ( EqvRel R /\ B e. ( A /. R ) /\ C e. B ) ->
                       B = [ C ] R ) $=
      ( vx weqvrel cqs wcel cec wceq cv wi eqid eleq2 eqeq1 imbi12d wbr wa cvv
      wb elecALTV el2v1 ibi simpll simpr eqvrelthi ex syl5 ectocld 3impia ) DFZ
      BADGZHCBHZBCDIZJZCEKZDIZHZUQUNJZLUMUOLUKEBADULULMUQBJURUMUSUOUQBCNUQBUNOP
      URUPCDQZUKUPAHZRZUSURUTURURUTTEUPCDSUQUAUBUCVBUTUSVBUTRUPCDUKVAUTUDVBUTUE
      UFUGUHUIUJ $.
  $}

  $( Two ways to express equivalent cosets.  (Contributed by Peter Mazsa,
     4-Jul-2020.)  (Revised by Peter Mazsa, 20-Dec-2021.) $)
  eqvrelcoss $p |- ( EqvRel ,~ R <-> TrRel ,~ R ) $=
    ( weqvrel wrefrel wsymrel wtrrel w3a df-eqvrel refrelcoss symrelcoss bitr4i
    ccoss triantru3 ) AKZBMCZMDZMEZFPMGNOPAHAILJ $.

  ${
    $d R x y z $.
    $( Two ways to express equivalent cosets.  (Contributed by Peter Mazsa,
       28-Apr-2019.) $)
    eqvrelcoss3 $p |- ( EqvRel ,~ R <->
        A. x A. y A. z ( ( x ,~ R y /\ y ,~ R z ) -> x ,~ R z ) ) $=
      ( cv ccoss wbr cdm wral wi wal wrel weqvrel relcoss biantru refrelcosslem
      wa w3a symrelcoss3 simpli triantru3 dfeqvrel3 3bitr4ri ) AEZUDDFZGAUEHIZU
      DBEZUEGZUGUDUEGJBKAKZUHUGCEZUEGQUDUJUEGJCKBKAKZRZULUELZQUKUEMUMULDNOUFUIU
      KADPUIUMABDSTUAABCUEUBUC $.
  $}

  ${
    $d R x y z $.
    $( Two ways to express equivalent cosets.  (Contributed by Peter Mazsa,
       3-May-2019.) $)
    eqvrelcoss2 $p |- ( EqvRel ,~ R <-> ,~ ,~ R C_ ,~ R ) $=
      ( vx vy vz ccoss weqvrel cv wbr wa wi wal wss eqvrelcoss3 cocossss bitr4i
      ) AEZFBGZCGZPHRDGZPHIQSPHJDKCKBKPEPLBCDAMBCDAPNO $.
  $}

  ${
    $d R x y z $.
    $( Two ways to express equivalent cosets.  (Contributed by Peter Mazsa,
       3-May-2019.)  (Revised by Peter Mazsa, 30-Sep-2021.) $)
    eqvrelcoss4 $p |- ( EqvRel ,~ R <->
        A. x A. z ( ( [ x ] ,~ R i^i [ z ] ,~ R ) =/= (/) ->
                    ( [ x ] `' R i^i [ z ] `' R ) =/= (/) ) ) $=
      ( vy ccoss weqvrel cv wbr wa wi wal cec cin c0 wne ccnv eqvrelcoss3 bitri
      trcoss2 ) CEZFAGZDGZTHUBBGZTHIUAUCTHJBKDKAKUATLUCTLMNOUACPZLUCUDLMNOJBKAK
      ADBCQADBCSR $.
  $}

  $( Alternate definition of the coelement equivalence relations class.  Other
     alternate definitions should be based on ~ eqvrelcoss2 , ~ eqvrelcoss3 and
     ~ eqvrelcoss4 when needed.  (Contributed by Peter Mazsa, 28-Nov-2022.) $)
  dfcoeleqvrels $p |- CoElEqvRels = { a | ~ a e. EqvRels } $=
    ( ccoeleqvrels cep ccnv cv cres ccoss ceqvrels wcel df-coeleqvrels df-coels
    cab ccoels eleq1i abbii eqtr4i ) BCDAEZFGZHIZALQMZHIZALAJUASATRHQKNOP $.

  $( Alternate definition of the coelement equivalence relation predicate: a
     coelement equivalence relation is an equivalence relation on coelements.
     Other alternate definitions should be based on ~ eqvrelcoss2 ,
     ~ eqvrelcoss3 and ~ eqvrelcoss4 when needed.  (Contributed by Peter Mazsa,
     28-Nov-2022.) $)
  dfcoeleqvrel $p |- ( CoElEqvRel A <-> EqvRel ~ A ) $=
    ( wcoeleqvrel cep ccnv cres weqvrel ccoels df-coeleqvrel df-coels eqvreleqi
    ccoss bitr4i ) ABCDAEKZFAGZFAHNMAIJL $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Redundancy
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( Define the class of all redundant sets ` x ` with respect to ` y ` in
       ` z ` .  For sets, binary relation on the class of all redundant sets
       ( ~ brredunds ) is equivalent to satisfying the redundancy predicate
       ( ~ df-redund ).  (Contributed by Peter Mazsa, 23-Oct-2022.) $)
    df-redunds $a |- Redunds =
                     `' { <. <. y , z >. , x >. |
                          ( x C_ y /\ ( x i^i z ) = ( y i^i z ) ) } $.
  $}

  $( Define the redundancy predicate.  Read: ` A ` is redundant with respect to
     ` B ` in ` C ` .  For sets, binary relation on the class of all redundant
     sets ( ~ brredunds ) is equivalent to satisfying the redundancy predicate.
     (Contributed by Peter Mazsa, 23-Oct-2022.) $)
  df-redund $a |- ( A Redund <. B , C >. <->
                 ( A C_ B /\ ( A i^i C ) = ( B i^i C ) ) ) $.

  $( Define the redundancy operator for propositions, cf. ~ df-redund .
     (Contributed by Peter Mazsa, 23-Oct-2022.) $)
  df-redundp $a |- ( redund ( ph , ps , ch ) <->
                     ( ( ph -> ps ) /\ ( ( ph /\ ch ) <-> ( ps /\ ch ) ) ) ) $.

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.
    $( Binary relation on the class of all redundant sets.  (Contributed by
       Peter Mazsa, 25-Oct-2022.) $)
    brredunds $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
                      ( A Redunds <. B , C >. <->
                        ( A C_ B /\ ( A i^i C ) = ( B i^i C ) ) ) ) $=
      ( vx vy vz cv wss cin wceq wa credunds w3a wb sseq12 3adant3 ineq12
      3adant2 3adant1 eqeq12d anbi12d df-redunds brcnvrabga ) GJZHJZKZUGIJZLZUH
      UJLZMZNABKZACLZBCLZMZNGHIABCODEFUGAMZUHBMZUJCMZPZUIUNUMUQURUSUIUNQUTUGAUH
      BRSVAUKUOULUPURUTUKUOMUSUGAUJCTUAUSUTULUPMURUHBUJCTUBUCUDGHIUEUF $.
  $}

  $( For sets, binary relation on the class of all redundant sets
     ( ~ brredunds ) is equivalent to satisfying the redundancy predicate
     ( ~ df-redund ).  (Contributed by Peter Mazsa, 25-Oct-2022.) $)
  brredundsredund $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
      ( A Redunds <. B , C >. <-> A Redund <. B , C >. ) ) $=
    ( wcel w3a cop credunds wbr wss wceq wa wredund brredunds df-redund bitr4di
    cin ) ADGBEGCFGHABCIJKABLACSBCSMNABCOABCDEFPABCQR $.

  ${
    redundss3.1 $e |- D C_ C $.
    $( Implication of redundancy predicate.  (Contributed by Peter Mazsa,
       26-Oct-2022.) $)
    redundss3 $p |- ( A Redund <. B , C >. -> A Redund <. B , D >. ) $=
      ( wss cin wceq wa wredund ineq1 dfss mpbi incom eqtri ineq2i inass eqtr4i
      3eqtr4g df-redund anim2i 3imtr4i ) ABFZACGZBCGZHZIUCADGZBDGZHZIABCJABDJUF
      UIUCUFUDDGZUEDGZUGUHUDUEDKUGACDGZGUJDULADDCGZULDCFDUMHEDCLMDCNOZPACDQRUHB
      ULGUKDULBUNPBCDQRSUAABCTABDTUB $.
  $}

  ${
    redundeq1.1 $e |- A = D $.
    $( Equivalence of redundancy predicates.  (Contributed by Peter Mazsa,
       26-Oct-2022.) $)
    redundeq1 $p |- ( A Redund <. B , C >. <-> D Redund <. B , C >. ) $=
      ( wss cin wceq wa wredund sseq1i ineq1i eqeq1i anbi12i df-redund 3bitr4i
      ) ABFZACGZBCGZHZIDBFZDCGZSHZIABCJDBCJQUATUCADBEKRUBSADCELMNABCODBCOP $.
  $}

  ${
    redundpim3.1 $e |- ( th -> ch ) $.
    $( Implication of redundancy of proposition.  (Contributed by Peter Mazsa,
       26-Oct-2022.) $)
    redundpim3 $p |- ( redund ( ph , ps , ch ) -> redund ( ph , ps , th ) ) $=
      ( wi wa wredundp anbi1 pm4.71ri bianass 3bitr4g anim2i df-redundp 3imtr4i
      wb ) ABFZACGZBCGZPZGQADGZBDGZPZGABCHABDHTUCQTRDGSDGUAUBRSDIDCDADCEJZKDCDB
      UDKLMABCNABDNO $.
  $}

  ${
    redundpbi1.1 $e |- ( ph <-> th ) $.
    $( Equivalence of redundancy of propositions.  (Contributed by Peter Mazsa,
       25-Oct-2022.) $)
    redundpbi1 $p |- ( redund ( ph , ps , ch ) <-> redund ( th , ps , ch ) ) $=
      ( wi wa wb wredundp imbi1i anbi1i bibi1i anbi12i df-redundp 3bitr4i ) ABF
      ZACGZBCGZHZGDBFZDCGZRHZGABCIDBCIPTSUBADBEJQUARADCEKLMABCNDBCNO $.
  $}

  $( The naive version of the class of reflexive relations is redundant with
     respect to the class of reflexive relations (see ~ dfrefrels2 ) if the
     relations are symmetric as well.  (Contributed by Peter Mazsa,
     26-Oct-2022.) $)
  refrelsredund4 $p |- { r e. Rels | ( _I |` dom r ) C_ r } Redund
                                     <. RefRels , ( RefRels i^i SymRels ) >. $=
    ( cid cv cdm cres wss crels crab crefrels csymrels cin wredund wceq crn cxp
    wi inxpssres sstr2 in32 inass ssrabi dfrefrels2 sseqtrri ccnv wa dfsymrels2
    ax-mp ineq2i refsymrels2 3eqtr4i ineq1i 3eqtr3ri 3eqtri df-redund mpbir2an
    inrab ) BACZDZEZUQFZAGHZIIJKZLVAIFVAVBKZIVBKZMVABURUQNZOKZUQFZAGHIUTVGAGVFU
    SFUTVGPURVEBQVFUSUQRUGUAAUBUCVCVBIKZIIKJKVDVAJKZIKVAIKJKVHVCVAJISVIVBIVAUQU
    DUQFZAGHZKUTVJUEAGHVIVBUTVJAGUPJVKVAAUFUHAUIUJUKVAIJTULIJISIIJTUMVAIVBUNUO
    $.

  $( The naive version of the class of reflexive relations is redundant with
     respect to the class of reflexive relations (see ~ dfrefrels2 ) in the
     class of equivalence relations.  (Contributed by Peter Mazsa,
     26-Oct-2022.) $)
  refrelsredund2 $p |-
      { r e. Rels | ( _I |` dom r ) C_ r } Redund <. RefRels , EqvRels >. $=
    ( cid cdm cres wss crels crab crefrels csymrels cin ceqvrels refrelsredund4
    cv wredund ctrrels df-eqvrels inss1 eqsstri redundss3 ax-mp ) BAMZCDUAEAFGZ
    HHIJZNUBHKNALUBHUCKKUCOJUCPUCOQRST $.

  ${
    $d r x $.
    $( The naive version of the class of reflexive relations
       ` { r e. Rels | A. x e. dom r x r x } ` is redundant with respect to the
       class of reflexive relations (see ~ dfrefrels3 ) in the class of
       equivalence relations.  (Contributed by Peter Mazsa, 26-Oct-2022.) $)
    refrelsredund3 $p |-
       { r e. Rels | A. x e. dom r x r x } Redund <. RefRels , EqvRels >. $=
      ( cid cv cdm cres wss crels crab crefrels ceqvrels wredund refrelsredund2
      wbr wral idrefALT rabbii redundeq1 mpbi ) CBDZEZFTGZBHIZJKLADZUDTNAUAOZBH
      IZJKLBMUCJKUFUBUEBHAUATPQRS $.
  $}

  $( The naive version of the definition of reflexive relation is redundant
     with respect to reflexive relation (see ~ dfrefrel2 ) if the relation is
     symmetric as well.  (Contributed by Peter Mazsa, 26-Oct-2022.) $)
  refrelredund4 $p |- redund ( ( ( _I |` dom R ) C_ R /\ Rel R ) ,
                               RefRel R ,
                               ( RefRel R /\ SymRel R ) ) $=
    ( cid cdm cres wss wrel wa wrefrel wsymrel wredundp wi wb crn cxp inxpssres
    cin sstr2 ax-mp anim1i anbi2i dfrefrel2 sylibr an12 ccnv anandir refsymrel2
    dfsymrel2 3bitr4i bitr4i df-redundp mpbir2an ) BACZDZAEZAFZGZAHZUQAIZGZJUPU
    QKUPUSGZUQUSGZLUPBULAMZNPZAEZUOGUQUNVDUOVCUMEUNVDKULVBBOVCUMAQRSAUAUBUTUQUP
    URGZGVAUPUQURUCUSVEUQUNAUDAEZGUOGUPVFUOGZGUSVEUNVFUOUEAUFURVGUPAUGTUHTUIUPU
    QUSUJUK $.

  $( The naive version of the definition of reflexive relation is redundant
     with respect to reflexive relation (see ~ dfrefrel2 ) in equivalence
     relation.  (Contributed by Peter Mazsa, 25-Oct-2022.) $)
  refrelredund2 $p |-
      redund ( ( ( _I |` dom R ) C_ R /\ Rel R ) , RefRel R , EqvRel R ) $=
    ( cid cdm cres wss wa wrefrel wsymrel wredundp weqvrel refrelredund4 wtrrel
    wrel w3a df-eqvrel 3simpa sylbi redundpim3 ax-mp ) BACDAEAMFZAGZUAAHZFZITUA
    AJZIAKTUAUCUDUDUAUBALZNUCAOUAUBUEPQRS $.

  ${
    $d R x $.
    $( The naive version of the definition of reflexive relation
       ` ( A. x e. dom R x R x /\ Rel R ) ` is redundant with respect to
       reflexive relation (see ~ dfrefrel3 ) in equivalence relation.
       (Contributed by Peter Mazsa, 25-Oct-2022.) $)
    refrelredund3 $p |-
        redund ( ( A. x e. dom R x R x /\ Rel R ) , RefRel R , EqvRel R ) $=
      ( cid cdm cres wss wrel wa wrefrel weqvrel wredundp cv wral refrelredund2
      wbr idrefALT anbi1i redundpbi1 mpbi ) CBDZEBFZBGZHZBIZBJZKALZUFBOATMZUBHZ
      UDUEKBNUCUDUEUHUAUGUBATBPQRS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Domain quotients
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( Define the class of domain quotients.  Domain quotients are pairs of
       sets, typically a relation and a set, where the quotient (see ~ df-qs )
       of the relation on its domain is equal to the set.  See comments of
       ~ df-ers for the motivation for this definition.  (Contributed by Peter
       Mazsa, 16-Apr-2019.) $)
    df-dmqss $a |- DomainQss = { <. x , y >. | ( dom x /. x ) = y } $.
  $}

  $( Define the domain quotient predicate.  (Read: the domain quotient of ` R `
     is ` A ` .)  If ` A ` and ` R ` are sets, the domain quotient binary
     relation and the domain quotient predicate are the same, see ~ brdmqssqs .
     (Contributed by Peter Mazsa, 9-Aug-2021.) $)
  df-dmqs $a |- ( R DomainQs A <-> ( dom R /. R ) = A ) $.

  $( Equality theorem for domain quotient.  (Contributed by Peter Mazsa,
     17-Apr-2019.) $)
  dmqseq $p |- ( R = S -> ( dom R /. R ) = ( dom S /. S ) ) $=
    ( cdm wceq cqs dmeq qseq12 mpancom ) ACZBCZDABDIAEJBEDABFIJABGH $.

  ${
    dmqseqi.1 $e |- R = S $.
    $( Equality theorem for domain quotient, inference version.  (Contributed
       by Peter Mazsa, 26-Sep-2021.) $)
    dmqseqi $p |- ( dom R /. R ) = ( dom S /. S ) $=
      ( wceq cdm cqs dmqseq ax-mp ) ABDAEAFBEBFDCABGH $.
  $}

  ${
    dmqseqd.1 $e |- ( ph -> R = S ) $.
    $( Equality theorem for domain quotient set, deduction version.
       (Contributed by Peter Mazsa, 23-Apr-2021.) $)
    dmqseqd $p |- ( ph -> ( dom R /. R ) = ( dom S /. S ) ) $=
      ( wceq cdm cqs dmqseq syl ) ABCEBFBGCFCGEDBCHI $.
  $}

  $( Equality theorem for domain quotient.  (Contributed by Peter Mazsa,
     17-Apr-2019.) $)
  dmqseqeq1 $p |- ( R = S ->
                    ( ( dom R /. R ) = A <-> ( dom S /. S ) = A ) ) $=
    ( wceq cdm cqs dmqseq eqeq1d ) BCDBEBFCECFABCGH $.

  ${
    dmqseqeq1i.1 $e |- R = S $.
    $( Equality theorem for domain quotient, inference version.  (Contributed
       by Peter Mazsa, 26-Sep-2021.) $)
    dmqseqeq1i $p |- ( ( dom R /. R ) = A <-> ( dom S /. S ) = A ) $=
      ( wceq cdm cqs wb dmqseqeq1 ax-mp ) BCEBFBGAECFCGAEHDABCIJ $.
  $}

  ${
    dmqseqeq1d.1 $e |- ( ph -> R = S ) $.
    $( Equality theorem for domain quotient set, deduction version.
       (Contributed by Peter Mazsa, 26-Sep-2021.) $)
    dmqseqeq1d $p |- ( ph ->
                       ( ( dom R /. R ) = A <-> ( dom S /. S ) = A ) ) $=
      ( wceq cdm cqs wb dmqseqeq1 syl ) ACDFCGCHBFDGDHBFIEBCDJK $.
  $}

  ${
    $d A x y $.  $d R x y $.
    $( The domain quotient binary relation.  (Contributed by Peter Mazsa,
       17-Apr-2019.) $)
    brdmqss $p |- ( ( A e. V /\ R e. W ) ->
                    ( R DomainQss A <-> ( dom R /. R ) = A ) ) $=
      ( vx vy wcel cdmqss wbr cdm cqs wb cv dmqseq id eqeqan12d df-dmqss brabga
      wceq ancoms ) BDGACGBAHIBJBKZASZLEMZJUCKZFMZSUBEFBAHDCUCBSUEASZUDUAUEAUCB
      NUFOPEFQRT $.
  $}

  $( If ` A ` and ` R ` are sets, the domain quotient binary relation and the
     domain quotient predicate are the same.  (Contributed by Peter Mazsa,
     14-Aug-2021.) $)
  brdmqssqs $p |- ( ( A e. V /\ R e. W ) ->
                    ( R DomainQss A <-> R DomainQs A ) ) $=
    ( wcel wa cdmqss wbr cdm cqs wceq wdmqs brdmqss df-dmqs bitr4di ) ACEBDEFBA
    GHBIBJAKABLABCDMABNO $.

  $( The empty set is not an element of a domain quotient.  (Contributed by
     Peter Mazsa, 2-Mar-2018.) $)
  n0eldmqs $p |- -. (/) e. ( dom R /. R ) $=
    ( c0 cdm cqs wcel wn wss ssid n0elqs mpbir ) BACZADEFKKGKHKAIJ $.

  $( The empty set is not an element of a domain quotient.  (Contributed by
     Peter Mazsa, 3-Nov-2018.) $)
  n0eldmqseq $p |- ( ( dom R /. R ) = A -> -. (/) e. A ) $=
    ( cdm cqs wceq c0 wcel n0eldmqs eleq2 mtbii ) BCBDZAEFKGFAGBHKAFIJ $.

  $( Two ways of expressing that the empty set is not an element of a class.
     (Contributed by Peter Mazsa, 27-May-2021.) $)
  n0el3 $p |- ( -. (/) e. A <->
                ( dom ( `' _E |` A ) /. ( `' _E |` A ) ) = A ) $=
    ( c0 wcel cep ccnv cres cdm cqs wceq n0el2 biimpi qseq1d qsresid qsid eqtri
    wn eqtrdi n0eldmqseq impbii ) BACPZDEZAFZGZUBHZAITUDAUBHZATUCAUBTUCAIAJKLUE
    AUAHAAUAMANOQAUBRS $.

  $( The domain quotient binary relation of the restricted converse epsilon
     relation is equivalent to the negated elementhood of the empty set in the
     restriction.  (Contributed by Peter Mazsa, 14-Aug-2021.) $)
  cnvepresdmqss $p |- ( A e. V ->
                        ( ( `' _E |` A ) DomainQss A <-> -. (/) e. A ) ) $=
    ( wcel cep ccnv cres cdmqss wbr cdm cqs wceq c0 wn cnvepresex brdmqss mpdan
    cvv wb n0el3 bitr4di ) ABCZDEAFZAGHZUBIUBJAKZLACMUAUBQCUCUDRABNAUBBQOPAST
    $.

  $( The domain quotient predicate for the restricted converse epsilon relation
     is equivalent to the negated elementhood of the empty set in the
     restriction.  (Contributed by Peter Mazsa, 14-Aug-2021.) $)
  cnvepresdmqs $p |- ( ( `' _E |` A ) DomainQs A <-> -. (/) e. A ) $=
    ( cep ccnv cres wdmqs cdm cqs wceq c0 wcel wn df-dmqs n0el3 bitr4i ) ABCADZ
    EOFOGAHIAJKAOLAMN $.

  $( The range of a relation is equal to the union of the domain quotient.
     (Contributed by Peter Mazsa, 13-Oct-2018.) $)
  unidmqs $p |- ( R e. V -> ( Rel R -> U. ( dom R /. R ) = ran R ) ) $=
    ( wcel wrel cdm cqs cuni crn wceq cres cvv rnresequniqs syl resdm sylan9req
    resexg rneqd ex ) ABCZADZAEZAFGZAHZISTUBAUAJZHZUCSUDKCUEUBIAUABPUAAKLMTUDAA
    NQOR $.

  $( The union of the domain quotient of a relation is equal to the class ` A `
     if and only if the range is equal to it as well.  (Contributed by Peter
     Mazsa, 21-Apr-2019.)  (Revised by Peter Mazsa, 28-Dec-2021.) $)
  unidmqseq $p |- ( R e. V ->
                    ( Rel R ->
                      ( U. ( dom R /. R ) = A <-> ran R = A ) ) ) $=
    ( wcel wrel cdm cqs cuni wceq crn wb wa unidmqs imp eqeq1d ex ) BCDZBEZBFBG
    HZAIBJZAIKQRLSTAQRSTIBCMNOP $.

  $( If the domain quotient of a relation is equal to the class ` A ` , then
     the range of the relation is the union of the class.  (Contributed by
     Peter Mazsa, 29-Dec-2021.) $)
  dmqseqim $p |- ( R e. V ->
                   ( Rel R ->
                     ( ( dom R /. R ) = A -> ran R = U. A ) ) ) $=
    ( wcel wrel cdm cqs wceq crn cuni wi wa unieq wb unidmqseq imp syl5ib ex )
    BCDZBEZBFBGZAHZBIAJZHZKUBUAJUCHZSTLUDUAAMSTUEUDNUCBCOPQR $.

  $( Lemma for ~ erim2 .  (Contributed by Peter Mazsa, 29-Dec-2021.) $)
  dmqseqim2 $p |- ( R e. V -> ( Rel R ->
      ( ( dom R /. R ) = A -> ( B e. ran R <-> B e. U. A ) ) ) ) $=
    ( wcel wrel cdm cqs wceq crn cuni wb dmqseqim eleq2 syl8 ) CDECFCGCHAICJZAK
    ZIBPEBQELACDMPQBNO $.

  ${
    $d A u x $.  $d R u x $.
    $( Elementhood in the domain quotient of a relation.  (Contributed by Peter
       Mazsa, 24-Apr-2021.) $)
    releldmqs $p |- ( A e. V ->
                      ( Rel R ->
                        ( A e. ( dom R /. R ) <->
                          E. u e. dom R E. x e. [ u ] R A = [ u ] R ) ) ) $=
      ( wcel wrel cdm cqs cv cec wceq wrex wb cres resdm dmqseqd eleq2d adantl
      wa eldmqsres2 adantr bitr3d ex ) CEFZDGZCDHZDIZFZCBJDKZLAUJMBUGMZNUEUFTCD
      UGOZHULIZFZUIUKUFUNUINUEUFUMUHCUFULDDPQRSUEUNUKNUFABUGCDEUAUBUCUD $.
  $}

  ${
    $d A u x $.  $d B u x $.  $d R u x $.
    $( Elementhood in the domain quotient of the class of cosets by a
       restriction.  (Contributed by Peter Mazsa, 4-May-2019.) $)
    eldmqs1cossres $p |- ( B e. V ->
        ( B e. ( dom ,~ ( R |` A ) /. ,~ ( R |` A ) ) <->
          E. u e. A E. x e. [ u ] R B = [ x ] ,~ ( R |` A ) ) ) $=
      ( wcel cres ccoss cdm cqs cv cec wrex wceq wa wex df-rex exbii bitri cvv
      elqsg wb eldm1cossres2 elv anbi1i bitrdi rexbii rexcom4 r19.41v bitr4di )
      DFGZDECHIZJZUMKGZALZBLEMZGZBCNZDUPUMMOZPZAQZUTAUQNZBCNZULUOUTAUNNZVBAUNDU
      MFUBVEUPUNGZUTPZAQVBUTAUNRVGVAAVFUSUTVFUSUCABCUPEUAUDUEUFSTUGVDURUTPZAQZB
      CNZVBVCVIBCUTAUQRUHVJVHBCNZAQVBVHBACUIVKVAAURUTBCUJSTTUK $.
  $}

  ${
    $d A u x $.  $d R u x $.
    $( Elementhood in the domain quotient of the class of cosets by a relation.
       (Contributed by Peter Mazsa, 23-Apr-2021.) $)
    releldmqscoss $p |- ( A e. V ->
                          ( Rel R ->
                            ( A e. ( dom ,~ R /. ,~ R ) <->
          E. u e. dom R E. x e. [ u ] R A = [ x ] ,~ R ) ) ) $=
      ( wcel wrel ccoss cdm cqs cv wceq wrex wb wa eldmqs1cossres adantr adantl
      cec cres resdm cosseqd dmqseqd eleq2d eceq2d eqeq2d 2rexbidv 3bitr3d ex )
      CEFZDGZCDHZIULJZFZCAKZULSZLZABKDSZMBDIZMZNUJUKOCDUSTZHZIVBJZFZCUOVBSZLZAU
      RMBUSMZUNUTUJVDVGNUKABUSCDEPQUKVDUNNUJUKVCUMCUKVBULUKVADDUAUBZUCUDRUKVGUT
      NUJUKVFUQBAUSURUKVEUPCUKVBULUOVHUEUFUGRUHUI $.
  $}

  $( Two ways to express the equality of the domain quotient of the coelements
     on the class ` A ` with the class ` A ` .  (Contributed by Peter Mazsa,
     26-Sep-2021.) $)
  dmqscoelseq $p |- ( ( dom ~ A /. ~ A ) = A <-> ( U. A /. ~ A ) = A ) $=
    ( ccoels cdm cqs cuni dmcoels qseq1i eqeq1i ) ABZCZIDAEZIDAJKIAFGH $.

  $( Two ways to express the equality of the domain quotient of the coelements
     on the class ` A ` with the class ` A ` .  (Contributed by Peter Mazsa,
     26-Sep-2021.) $)
  dmqs1cosscnvepreseq $p |-
      ( ( dom ,~ ( `' _E |` A ) /. ,~ ( `' _E |` A ) ) = A <->
        ( U. A /. ~ A ) = A ) $=
    ( cep ccnv cres ccoss cdm cqs ccoels df-coels dmqseqeq1i dmqscoelseq bitr3i
    wceq cuni ) BCADEZFOGAMAHZFPGAMANPGAMAPOAIJAKL $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Equivalence relations on domain quotients
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the class of equivalence relations on domain quotients (or: domain
     quotients restricted to equivalence relations).

     The present definition of equivalence relation in set.mm ~ df-er "is not
     standard", "somewhat cryptic", has no costant 0-ary class and does not
     follow the traditional transparent reflexive-symmetric-transitive relation
     way of definition of equivalence.  Definitions ~ df-eqvrels ,
     ~ dfeqvrels2 , ~ dfeqvrels3 and ~ df-eqvrel , ~ dfeqvrel2 , ~ dfeqvrel3
     are fully transparent in this regard.  However, they lack the domain
     component ( ` dom R = A ` ) of the present ~ df-er .  While we acknowledge
     the need of a domain component, the present ~ df-er definition does not
     utilize the results revealed by the new theorems in the
     Partition-Equivalence Theorem part below (like ~~? pets and ~~? pet ).
     From those theorems follows that the natural domain of equivalence
     relations is

     not ` R Domain A ` (i.e. ` dom R = A ` see ~ brdomaing ),

     but ` R DomainQss A ` (i.e. ` ( dom R /. R ) = A ` , see ~ brdmqss ), see
     ~ erim vs. ~ prter3 .

     While I'm sure we need both equivalence relation ~ df-eqvrels and
     equivalence relation on domain quotient ~ df-ers , I'm not sure whether we
     need a third equivalence relation concept with the present ` dom R = A `
     component as well: this needs further investigation.  As a default I
     suppose that these two concepts ~ df-eqvrels and ~ df-ers are enough and
     named the predicate version of the one on domain quotient as the alternate
     version ~ df-erALTV of the present ~ df-er .  (Contributed by Peter Mazsa,
     26-Jun-2021.) $)
  df-ers $a |- Ers = ( DomainQss |` EqvRels ) $.

  $( Equivalence relation with natural domain predicate, see also the comment
     of ~ df-ers .  Alternate definition is ~ dferALTV2 .  Binary equivalence
     relation with natural domain and the equivalence relation with natural
     domain predicate are the same when ` A ` and ` R ` are sets, see
     ~ brerser .  (Contributed by Peter Mazsa, 12-Aug-2021.) $)
  df-erALTV $a |- ( R ErALTV A <-> ( EqvRel R /\ R DomainQs A ) ) $.

  $( Define the class of membership equivalence relations on their domain
     quotients.  (Contributed by Peter Mazsa, 28-Nov-2022.)  (Revised by Peter
     Mazsa, 24-Jul-2023.) $)
  df-members $a |- MembErs = { a | ,~ ( `' _E |` a ) Ers a } $.

  $( Define the membership equivalence relation on the class ` A ` (or, the
     restricted elementhood equivalence relation on its domain quotient
     ` A ` .)  Alternate definitions are ~ dfmember2 and ~ dfmember3 .

     Later on, in an application of set theory I make a distinction between the
     default elementhood concept and a special membership concept: membership
     equivalence relation will be an integral part of that membership concept.
     (Contributed by Peter Mazsa, 26-Jun-2021.)  (Revised by Peter Mazsa,
     28-Nov-2022.) $)
  df-member $a |- ( MembEr A <-> ,~ ( `' _E |` A ) ErALTV A ) $.

  $( Binary equivalence relation with natural domain, see the comment of
     ~ df-ers .  (Contributed by Peter Mazsa, 23-Jul-2021.) $)
  brers $p |- ( A e. V ->
                ( R Ers A <-> ( R e. EqvRels /\ R DomainQss A ) ) ) $=
    ( ceqvrels cers cdmqss df-ers eqres ) BADEFCGH $.

  $( Equivalence relation with natural domain predicate, see the comment of
     ~ df-ers .  (Contributed by Peter Mazsa, 26-Jun-2021.)  (Revised by Peter
     Mazsa, 30-Aug-2021.) $)
  dferALTV2 $p |- ( R ErALTV A <-> ( EqvRel R /\ ( dom R /. R ) = A ) ) $=
    ( werALTV weqvrel wdmqs wa cdm cqs wceq df-erALTV df-dmqs anbi2i bitri ) AB
    CBDZABEZFNBGBHAIZFABJOPNABKLM $.

  $( Equality theorem for equivalence relation on domain quotient.
     (Contributed by Peter Mazsa, 25-Sep-2021.) $)
  erALTVeq1 $p |- ( R = S -> ( R ErALTV A <-> S ErALTV A ) ) $=
    ( wceq weqvrel cdm cqs werALTV eqvreleq dmqseqeq1 anbi12d dferALTV2 3bitr4g
    wa ) BCDZBEZBFBGADZNCEZCFCGADZNABHACHOPRQSBCIABCJKABLACLM $.

  ${
    erALTVeq1i.1 $e |- R = S $.
    $( Equality theorem for equivalence relation on domain quotient, inference
       version.  (Contributed by Peter Mazsa, 25-Sep-2021.) $)
    erALTVeq1i $p |- ( R ErALTV A <-> S ErALTV A ) $=
      ( wceq werALTV wb erALTVeq1 ax-mp ) BCEABFACFGDABCHI $.
  $}

  ${
    erALTVeq1d.1 $e |- ( ph -> R = S ) $.
    $( Equality theorem for equivalence relation on domain quotient, deduction
       version.  (Contributed by Peter Mazsa, 25-Sep-2021.) $)
    erALTVeq1d $p |- ( ph -> ( R ErALTV A <-> S ErALTV A ) ) $=
      ( wceq werALTV wb erALTVeq1 syl ) ACDFBCGBDGHEBCDIJ $.
  $}

  $( Alternate definition of the membership equivalence relation.  (Contributed
     by Peter Mazsa, 28-Nov-2022.) $)
  dfmember $p |- ( MembEr A <-> ~ A ErALTV A ) $=
    ( wmember cep ccnv cres werALTV ccoels df-member df-coels erALTVeq1i bitr4i
    ccoss ) ABACDAELZFAAGZFAHANMAIJK $.

  $( Alternate definition of the membership equivalence relation.  (Contributed
     by Peter Mazsa, 25-Sep-2021.) $)
  dfmember2 $p |- ( MembEr A <-> ( EqvRel ~ A /\ ( dom ~ A /. ~ A ) = A ) ) $=
    ( wmember ccoels werALTV weqvrel cdm cqs wceq wa dfmember dferALTV2 bitri )
    ABAACZDMEMFMGAHIAJAMKL $.

  $( Alternate definition of the membership equivalence relation.  (Contributed
     by Peter Mazsa, 26-Sep-2021.)  (Revised by Peter Mazsa, 17-Jul-2023.) $)
  dfmember3 $p |- ( MembEr A <-> ( CoElEqvRel A /\ ( U. A /. ~ A ) = A ) ) $=
    ( wmember ccoels weqvrel cdm cqs wceq wa wcoeleqvrel dfmember2 dfcoeleqvrel
    cuni bicomi dmqscoelseq anbi12i bitri ) ABACZDZQEQFAGZHAIZALQFAGZHAJRTSUATR
    AKMANOP $.

  $( Two ways to express membership equivalence relation on its domain
     quotient.  (Contributed by Peter Mazsa, 26-Sep-2021.)  (Revised by Peter
     Mazsa, 17-Jul-2023.) $)
  eqvreldmqs $p |- ( ( EqvRel ,~ ( `' _E |` A ) /\
                       ( dom ,~ ( `' _E |` A ) /. ,~ ( `' _E |` A ) ) = A ) <->
                     ( CoElEqvRel A /\ ( U. A /. ~ A ) = A ) ) $=
    ( cep ccnv cres ccoss weqvrel wcoeleqvrel cdm cqs wceq ccoels df-coeleqvrel
    cuni bicomi dmqs1cosscnvepreseq anbi12i ) BCADEZFZAGZQHQIAJAMAKIAJSRALNAOP
    $.

  $( Binary equivalence relation with natural domain and the equivalence
     relation with natural domain predicate are the same when ` A ` and ` R `
     are sets.  (Contributed by Peter Mazsa, 25-Aug-2021.) $)
  brerser $p |- ( ( A e. V /\ R e. W ) -> ( R Ers A <-> R ErALTV A ) ) $=
    ( wcel wa cers ceqvrels cdmqss werALTV wb brers adantr weqvrel eleqvrelsrel
    wbr wdmqs adantl brdmqssqs anbi12d df-erALTV bitr4di bitrd ) ACEZBDEZFZBAGP
    ZBHEZBAIPZFZABJZUDUGUJKUEABCLMUFUJBNZABQZFUKUFUHULUIUMUEUHULKUDBDORABCDSTAB
    UAUBUC $.

  ${
    $d A u x y $.  $d R u x y $.  $d V x y $.
    $( Equivalence relation on its natural domain implies that the class of
       coelements on the domain is equal to the relation (this is ~ prter3 in a
       more convenient form , see also ~ erim ).  (Contributed by Rodolfo
       Medina, 19-Oct-2010.)  (Proof shortened by Mario Carneiro, 12-Aug-2015.)
       (Revised by Peter Mazsa, 29-Dec-2021.) $)
    erim2 $p |- ( R e. V ->
                  ( ( EqvRel R /\ ( dom R /. R ) = A ) -> ~ A = R ) ) $=
      ( vx vy vu wcel wceq wa wrel ad2antrl cv wbr wrex wb simpll eleq2d bitrdi
      cvv el2v weqvrel cdm cqs ccoels relcoels a1i eqvrelrel brcoels cec simprl
      simplr eleqtrrd simprr eqvrelqsel syl3anc elecALTV anassrs pm5.32da simpr
      rexbidva adantl eqvrelcl adantll cuni eqvrelim dmqseqim2 syl5 imp32 bitrd
      crn wi eluni2 adantr mpbid pm4.71rd r19.41v bitr4di bitr4d syl5bb eqbrrdv
      ex ) BCGZBUAZBUBZBUCZAHZIZAUDZBHWBWGIZDEWHBWHJWIAUEUFWCBJZWBWFBUGZKDLZELZ
      WHMZWLFLZGZWMWOGZIZFANZWIWLWMBMZWNWSODEFAWLWMSSUHTWIWSWPWTIZFANZWTWGWSXBO
      WBWGWRXAFAWGWOAGZIWPWQWTWGXCWPWQWTOWGXCWPIZIZWQWMWLBUIZGZWTXEWOXFWMXEWCWO
      WEGWPWOXFHWCWFXDPXEWOAWEWGXCWPUJWCWFXDUKULWGXCWPUMWDWOWLBUNUOQXGWTODEWLWM
      BSSUPTRUQURUTVAWIWTWPFANZWTIXBWIWTXHWIWTXHWIWTIWLWDGZXHWGWTXIWBWGWTIWLWMB
      WCWFWTPWGWTUSVBVCWIXIXHOWTWIXIWLAVDGZXHWIXIWLBVJZGZXJWIWDXKWLWCWDXKHWBWFB
      VEKQWBWCWFXLXJOZWCWJWBWFXMVKWKAWLBCVFVGVHVIFWLAVLRVMVNWAVOWPWTFAVPVQVRVSV
      TWA $.
  $}

  $( Equivalence relation on its natural domain implies that the class of
     coelements on the domain is equal to the relation (this is the most
     convenient form of ~ prter3 and ~ erim2 ).  (Contributed by Peter Mazsa,
     7-Oct-2021.)  (Revised by Peter Mazsa, 29-Dec-2021.) $)
  erim $p |- ( R e. V -> ( R ErALTV A -> ~ A = R ) ) $=
    ( werALTV weqvrel cdm cqs wceq wa wcel ccoels dferALTV2 erim2 syl5bi ) ABDB
    EBFBGAHIBCJAKBHABLABCMN $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the class of all function sets (but not necessarily function
     relations, cf. ~ df-funsALTV ).  It is used only by ~ df-funsALTV .
     (Contributed by Peter Mazsa, 17-Jul-2021.) $)
  df-funss $a |- Funss = { x | ,~ x e. CnvRefRels } $.

  $( Define the function relations class, i.e., the class of functions.
     Alternate definitions are ~ dffunsALTV , ... , ~ dffunsALTV5 .
     (Contributed by Peter Mazsa, 17-Jul-2021.) $)
  df-funsALTV $a |- FunsALTV = ( Funss i^i Rels ) $.

  $( Define the function relation predicate, i.e., the function predicate.
     This definition of the function predicate (based on a more general,
     converse reflexive, relation) and the original definition of function in
     set.mm ~ df-fun , are always the same, that is
     ` ( FunALTV F <-> Fun F ) ` , see ~ funALTVfun .

     The element of the class of functions and the function predicate are the
     same, that is ` ( F e. FunsALTV <-> FunALTV F ) ` when ` F ` is a set, see
     ~ elfunsALTVfunALTV .  Alternate definitions are ~ dffunALTV2 , ... ,
     ~ dffunALTV5 .  (Contributed by Peter Mazsa, 17-Jul-2021.) $)
  df-funALTV $a |- ( FunALTV F <-> ( CnvRefRel ,~ F /\ Rel F ) ) $.

  $( Alternate definition of the class of functions.  (Contributed by Peter
     Mazsa, 18-Jul-2021.) $)
  dffunsALTV $p |- FunsALTV = { f e. Rels | ,~ f e. CnvRefRels } $=
    ( ccoss ccnvrefrels wcel cfunsALTV cfunss crels df-funsALTV df-funss abeqin
    cv ) AKBCDAEFGHAIJ $.

  $( Alternate definition of the class of functions.  (Contributed by Peter
     Mazsa, 30-Aug-2021.) $)
  dffunsALTV2 $p |- FunsALTV = { f e. Rels | ,~ f C_ _I } $=
    ( cv ccoss ccnvrefrels cid wss crels cfunsALTV dffunsALTV cosselcnvrefrels2
    wcel wa cosselrels biantrud bitr4id rabimbieq ) ABZCZDKZREFZAGHAIQGKZSTRGKZ
    LTQJUAUBTQGMNOP $.

  ${
    $d f u x y $.
    $( Alternate definition of the class of functions.  For the ` X ` axis and
       the ` Y ` axis you can convert the right side to ` { f e. Rels | A. ` x1
       ` A. ` y1 ` A. ` y2 ` ( ( ` x1 ` f ` y1 ` /\ ` x1 ` f ` y2 ` ) -> ` y1
       ` = ` y2 ` ) } ` .  (Contributed by Peter Mazsa, 30-Aug-2021.) $)
    dffunsALTV3 $p |- FunsALTV =
        { f e. Rels | A. u A. x A. y ( ( u f x /\ u f y ) -> x = y ) } $=
      ( cv ccoss ccnvrefrels wcel wbr wa wceq wi wal crels cfunsALTV dffunsALTV
      cosselcnvrefrels3 cosselrels biantrud bitr4id rabimbieq ) DEZFZGHZCEZAEZU
      BIUEBEZUBIJUFUGKLBMAMCMZDNODPUBNHZUDUHUCNHZJUHABCUBQUIUJUHUBNRSTUA $.
  $}

  ${
    $d f u x $.
    $( Alternate definition of the class of functions.  For the ` X ` axis and
       the ` Y ` axis you can convert the right side to
       ` { f e. Rels | A. x1 E* y1 x1 f y1 } ` .  (Contributed by Peter Mazsa,
       31-Aug-2021.) $)
    dffunsALTV4 $p |- FunsALTV = { f e. Rels | A. u E* x u f x } $=
      ( cv ccoss ccnvrefrels wcel wbr wmo wal crels cfunsALTV cosselcnvrefrels4
      dffunsALTV wa cosselrels biantrud bitr4id rabimbieq ) CDZEZFGZBDADTHAIBJZ
      CKLCNTKGZUBUCUAKGZOUCABTMUDUEUCTKPQRS $.
  $}

  ${
    $d f u x y $.
    $( Alternate definition of the class of functions.  (Contributed by Peter
       Mazsa, 31-Aug-2021.) $)
    dffunsALTV5 $p |- FunsALTV = { f e. Rels | A. x e. ran f A. y e. ran f
                       ( x = y \/ ( [ x ] `' f i^i [ y ] `' f ) = (/) ) } $=
      ( vu cfunsALTV cv wbr wmo wal crels crab wceq ccnv cec cin c0 wo crn wral
      dffunsALTV4 ineccnvmo2 rabbii eqtr4i ) EDFAFZCFZGAHDIZCJKUDBFZLUDUEMZNUGU
      HNOPLQBUERZSAUISZCJKADCTUJUFCJABDUEUAUBUC $.
  $}

  $( Alternate definition of the function relation predicate, cf.
     ~ dfdisjALTV2 .  (Contributed by Peter Mazsa, 8-Feb-2018.) $)
  dffunALTV2 $p |- ( FunALTV F <-> ( ,~ F C_ _I /\ Rel F ) ) $=
    ( wfunALTV ccoss wcnvrefrel wrel wa cid wss df-funALTV cnvrefrelcoss2 bitri
    anbi1i ) ABACZDZAEZFMGHZOFAINPOAJLK $.

  ${
    $d F u x y $.
    $( Alternate definition of the function relation predicate, cf.
       ~ dfdisjALTV3 .  Reproduction of ~ dffun2 .  For the ` X ` axis and the
       ` Y ` axis you can convert the right side to ` ( A. ` x1 ` A. ` y1
       ` A. ` y2 ` ( ( ` x1 ` f ` y1 ` /\ ` x1 ` f ` y2 ` ) -> ` y1 ` = ` y2
       ` ) /\ Rel F ) ` .  (Contributed by NM, 29-Dec-1996.) $)
    dffunALTV3 $p |- ( FunALTV F <->
        ( A. u A. x A. y ( ( u F x /\ u F y ) -> x = y ) /\ Rel F ) ) $=
      ( wfunALTV ccoss cid wss wa cv wbr weq wi wal dffunALTV2 cossssid3 anbi1i
      wrel bitri ) DEDFGHZDRZICJZAJDKUBBJDKIABLMBNANCNZUAIDOTUCUAABCDPQS $.
  $}

  ${
    $d F u x $.
    $( Alternate definition of the function relation predicate, cf.
       ~ dfdisjALTV4 .  This is ~ dffun6 .  For the ` X ` axis and the ` Y `
       axis you can convert the right side to
       ` ( A. x1 E* y1 x1 F y1 /\ Rel F ) ` .  (Contributed by NM,
       9-Mar-1995.) $)
    dffunALTV4 $p |- ( FunALTV F <-> ( A. u E* x u F x /\ Rel F ) ) $=
      ( wfunALTV ccoss cid wss wrel wa cv wbr dffunALTV2 cossssid4 anbi1i bitri
      wmo wal ) CDCEFGZCHZIBJAJCKAPBQZSICLRTSABCMNO $.
  $}

  ${
    $d F x y $.
    $( Alternate definition of the function relation predicate, cf.
       ~ dfdisjALTV5 .  (Contributed by Peter Mazsa, 5-Sep-2021.) $)
    dffunALTV5 $p |- ( FunALTV F <->
       ( A. x e. ran F A. y e. ran F
           ( x = y \/ ( [ x ] `' F i^i [ y ] `' F ) = (/) ) /\
         Rel F ) ) $=
      ( wfunALTV ccoss cid wss wrel wa cv wceq ccnv cec cin crn wral dffunALTV2
      c0 wo cossssid5 anbi1i bitri ) CDCEFGZCHZIAJZBJZKUECLZMUFUGMNRKSBCOZPAUHP
      ZUDICQUCUIUDABCTUAUB $.
  $}

  ${
    $d F x $.
    $( Elementhood in the class of functions.  (Contributed by Peter Mazsa,
       24-Jul-2021.) $)
    elfunsALTV $p |- ( F e. FunsALTV <->
                      ( ,~ F e. CnvRefRels /\ F e. Rels ) ) $=
      ( vx ccoss ccnvrefrels wcel crels cfunsALTV dffunsALTV wceq cosseq eleq1d
      cv rabeqel ) BLZCZDEACZDEBFGABHNAIOPDNAJKM $.
  $}

  $( Elementhood in the class of functions.  (Contributed by Peter Mazsa,
     31-Aug-2021.) $)
  elfunsALTV2 $p |- ( F e. FunsALTV <-> ( ,~ F C_ _I /\ F e. Rels ) ) $=
    ( cfunsALTV ccoss ccnvrefrels crels wa cid wss elfunsALTV cosselcnvrefrels2
    wcel cosselrels biantrud bitr4id pm5.32ri bitri ) ABKACZDKZAEKZFQGHZSFAISRT
    SRTQEKZFTAJSUATAELMNOP $.

  ${
    $d F u x y $.
    $( Elementhood in the class of functions.  (Contributed by Peter Mazsa,
       31-Aug-2021.) $)
    elfunsALTV3 $p |- ( F e. FunsALTV <->
        ( A. u A. x A. y ( ( u F x /\ u F y ) -> x = y ) /\ F e. Rels ) ) $=
      ( cfunsALTV wcel ccoss ccnvrefrels crels wa cv wbr wceq wi wal elfunsALTV
      cosselcnvrefrels3 cosselrels biantrud bitr4id pm5.32ri bitri ) DEFDGZHFZD
      IFZJCKZAKZDLUFBKZDLJUGUHMNBOAOCOZUEJDPUEUDUIUEUDUIUCIFZJUIABCDQUEUJUIDIRS
      TUAUB $.
  $}

  ${
    $d F u x $.
    $( Elementhood in the class of functions.  (Contributed by Peter Mazsa,
       31-Aug-2021.) $)
    elfunsALTV4 $p |- ( F e. FunsALTV <-> ( A. u E* x u F x /\ F e. Rels ) ) $=
      ( cfunsALTV wcel ccoss ccnvrefrels crels wa wbr wmo wal cosselcnvrefrels4
      cv elfunsALTV cosselrels biantrud bitr4id pm5.32ri bitri ) CDECFZGEZCHEZI
      BNANCJAKBLZUCICOUCUBUDUCUBUDUAHEZIUDABCMUCUEUDCHPQRST $.
  $}

  ${
    $d F x y $.
    $( Elementhood in the class of functions.  (Contributed by Peter Mazsa,
       5-Sep-2021.) $)
    elfunsALTV5 $p |- ( F e. FunsALTV <->
       ( A. x e. ran F A. y e. ran F
           ( x = y \/ ( [ x ] `' F i^i [ y ] `' F ) = (/) ) /\
         F e. Rels ) ) $=
      ( cfunsALTV wcel ccoss ccnvrefrels crels wa cv wceq ccnv cec cin crn wral
      c0 wo elfunsALTV cosselcnvrefrels5 cosselrels biantrud bitr4id pm5.32ri
      bitri ) CDECFZGEZCHEZIAJZBJZKUICLZMUJUKMNQKRBCOZPAULPZUHICSUHUGUMUHUGUMUF
      HEZIUMABCTUHUNUMCHUAUBUCUDUE $.
  $}

  $( The element of the class of functions and the function predicate are the
     same when ` F ` is a set.  (Contributed by Peter Mazsa, 26-Jul-2021.) $)
  elfunsALTVfunALTV $p |- ( F e. V -> ( F e. FunsALTV <-> FunALTV F ) ) $=
    ( wcel ccoss ccnvrefrels crels wa wcnvrefrel wrel cfunsALTV wfunALTV cvv wb
    cossex elcnvrefrelsrel syl elrelsrel anbi12d elfunsALTV df-funALTV 3bitr4g
    ) ABCZADZECZAFCZGUCHZAIZGAJCAKUBUDUFUEUGUBUCLCUDUFMABNUCLOPABQRASATUA $.

  $( Our definition of the function predicate ~ df-funALTV (based on a more
     general, converse reflexive, relation) and the original definition of
     function in set.mm ~ df-fun , are always the same and interchangeable.
     (Contributed by Peter Mazsa, 27-Jul-2021.) $)
  funALTVfun $p |- ( FunALTV F <-> Fun F ) $=
    ( wcnvrefrel wrel wa ccnv ccom cid wss wfunALTV wfun cnvrefrelcoss2 dfcoss3
    ccoss sseq1i bitri anbi2ci df-funALTV df-fun 3bitr4i ) AMZBZACZDUBAAEFZGHZD
    AIAJUAUDUBUATGHUDAKTUCGALNOPAQARS $.

  $( Subclass theorem for function.  (Contributed by NM, 16-Aug-1994.)  (Proof
     shortened by Mario Carneiro, 24-Jun-2014.)  (Revised by Peter Mazsa,
     22-Sep-2021.) $)
  funALTVss $p |- ( A C_ B -> ( FunALTV B -> FunALTV A ) ) $=
    ( wss ccoss cid wrel wa wfunALTV wi cossss sstr2 anim12d dffunALTV2 3imtr4g
    syl relss ) ABCZBDZECZBFZGADZECZAFZGBHAHQSUBTUCQUARCSUBIABJUAREKOABPLBMAMN
    $.

  $( Equality theorem for function predicate.  (Contributed by NM,
     16-Aug-1994.) $)
  funALTVeq $p |- ( A = B -> ( FunALTV A <-> FunALTV B ) ) $=
    ( wceq wfunALTV wss wi eqimss2 funALTVss syl eqimss impbid ) ABCZADZBDZLBAE
    MNFBAGBAHILABENMFABJABHIK $.

  ${
    funALTVeqi.1 $e |- A = B $.
    $( Equality inference for the function predicate.  (Contributed by Jonathan
       Ben-Naim, 3-Jun-2011.) $)
    funALTVeqi $p |- ( FunALTV A <-> FunALTV B ) $=
      ( wceq wfunALTV wb funALTVeq ax-mp ) ABDAEBEFCABGH $.
  $}

  ${
    funALTVeqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for the function predicate.  (Contributed by NM,
       23-Feb-2013.) $)
    funALTVeqd $p |- ( ph -> ( FunALTV A <-> FunALTV B ) ) $=
      ( wceq wfunALTV wb funALTVeq syl ) ABCEBFCFGDBCHI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Disjoints vs. converse functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the class of all disjoint sets (but not necessarily disjoint
     relations, cf. ~ df-disjs ).  It is used only by ~ df-disjs .
     (Contributed by Peter Mazsa, 17-Jul-2021.) $)
  df-disjss $a |- Disjss = { x | ,~ `' x e. CnvRefRels } $.

  $( Define the disjoint relations class, i.e., the class of disjoints.  We
     need ` Disjs ` for the definition of Parts and Part for the
     Partition-Equivalence Theorems: this need for Parts as disjoint relations
     on their domain quotients is the reason why we must define ` Disjs `
     instead of simply using converse functions (cf. ~ dfdisjALTV ).

     The element of the class of disjoints and the disjoint predicate are the
     same, that is ` ( R e. Disjs <-> Disj R ) ` when ` R ` is a set, see
     ~ eldisjsdisj .  Alternate definitions are ~ dfdisjs , ... , ~ dfdisjs5 .
     (Contributed by Peter Mazsa, 17-Jul-2021.) $)
  df-disjs $a |- Disjs = ( Disjss i^i Rels ) $.

  $( Define the disjoint relation predicate, i.e., the disjoint predicate.  A
     disjoint relation is a converse function of the relation by ~ dfdisjALTV ,
     see the comment of ~ df-disjs why we need disjoint relations instead of
     converse functions anyway.

     The element of the class of disjoints and the disjoint predicate are the
     same, that is ` ( R e. Disjs <-> Disj R ) ` when ` R ` is a set, see
     ~ eldisjsdisj .  Alternate definitions are ~ dfdisjALTV , ... ,
     ~ dfdisjALTV5 .  (Contributed by Peter Mazsa, 17-Jul-2021.) $)
  df-disjALTV $a |- ( Disj R <-> ( CnvRefRel ,~ `' R /\ Rel R ) ) $.

  $( Define the disjoint elementhood relations class, i.e., the disjoint
     elements class.  The element of the disjoint elements class and the
     disjoint elementhood predicate are the same, that is
     ` ( A e. ElDisjs <-> ElDisj A ) ` when ` A ` is a set, see
     ~ eleldisjseldisj .  (Contributed by Peter Mazsa, 28-Nov-2022.) $)
  df-eldisjs $a |- ElDisjs = { a | ( `' _E |` a ) e. Disjs } $.

  $( Define the disjoint elementhood relation predicate, i.e., the disjoint
     elementhood predicate.  Read: the elements of ` A ` are disjoint.  The
     element of the disjoint elements class and the disjoint elementhood
     predicate are the same, that is ` ( A e. ElDisjs <-> ElDisj A ) ` when
     ` A ` is a set, see ~ eleldisjseldisj .

     As of now, disjoint elementhood is defined as "partition" in set.mm :
     compare ~ df-prt with ~ dfeldisj5 .  See also the comments of ~~?
     dfmembpart2 and of ~~? df-parts .  (Contributed by Peter Mazsa,
     17-Jul-2021.) $)
  df-eldisj $a |- ( ElDisj A <-> Disj ( `' _E |` A ) ) $.

  $( Alternate definition of the class of disjoints.  (Contributed by Peter
     Mazsa, 18-Jul-2021.) $)
  dfdisjs $p |- Disjs = { r e. Rels | ,~ `' r e. CnvRefRels } $=
    ( cv ccnv ccoss ccnvrefrels cdisjs cdisjss crels df-disjs df-disjss abeqin
    wcel ) ABCDELAFGHIAJK $.

  $( Alternate definition of the class of disjoints.  (Contributed by Peter
     Mazsa, 5-Sep-2021.) $)
  dfdisjs2 $p |- Disjs = { r e. Rels | ,~ `' r C_ _I } $=
    ( cv ccnv ccoss ccnvrefrels wcel cid crels cdisjs dfdisjs cosselcnvrefrels2
    wss wa cosscnvelrels biantrud bitr4id rabimbieq ) ABZCZDZEFZTGLZAHIAJRHFZUA
    UBTHFZMUBSKUCUDUBRHNOPQ $.

  ${
    $d r u v x $.
    $( Alternate definition of the class of disjoints.  (Contributed by Peter
       Mazsa, 5-Sep-2021.) $)
    dfdisjs3 $p |- Disjs =
        { r e. Rels | A. u A. v A. x ( ( u r x /\ v r x ) -> u = v ) } $=
      ( cv ccnv ccoss cid wss wbr wa wceq wi crels cdisjs dfdisjs2 cosscnvssid3
      wal rabbieq ) DEZFGHICEZAEZTJBEZUBTJKUAUCLMARBRCRDNODPABCTQS $.
  $}

  ${
    $d r u x $.
    $( Alternate definition of the class of disjoints.  (Contributed by Peter
       Mazsa, 5-Sep-2021.) $)
    dfdisjs4 $p |- Disjs = { r e. Rels | A. x E* u u r x } $=
      ( cv ccoss cid wss wbr wmo wal crels cdisjs dfdisjs2 cosscnvssid4 rabbieq
      ccnv ) CDZPEFGBDADQHBIAJCKLCMABQNO $.
  $}

  ${
    $d r u v $.
    $( Alternate definition of the class of disjoints.  (Contributed by Peter
       Mazsa, 5-Sep-2021.) $)
    dfdisjs5 $p |- Disjs = { r e. Rels | A. u e. dom r A. v e. dom r
                             ( u = v \/ ( [ u ] r i^i [ v ] r ) = (/) ) } $=
      ( cv ccnv ccoss cid wss wceq cec cin c0 wo cdm wral crels cdisjs biantrud
      wb wa dfdisjs2 wcel cosscnvssid5 elrelsrelim bibi12d mpbiri rabimbieq
      wrel ) CDZEFGHZBDZADZIUKUIJULUIJKLIMAUINZOBUMOZCPQCUAUIPUBZUJUNSUJUIUHZTZ
      UNUPTZSABUIUCUOUJUQUNURUOUPUJUIUDZRUOUPUNUSRUEUFUG $.
  $}

  $( Alternate definition of the disjoint relation predicate.  A disjoint
     relation is a converse function of the relation, see the comment of
     ~ df-disjs why we need disjoint relations instead of converse functions
     anyway.  (Contributed by Peter Mazsa, 27-Jul-2021.) $)
  dfdisjALTV $p |- ( Disj R <-> ( FunALTV `' R /\ Rel R ) ) $=
    ( wdisjALTV ccnv ccoss wcnvrefrel wa wfunALTV df-disjALTV relcnv df-funALTV
    wrel mpbiran2 anbi1i bitr4i ) ABACZDEZAKZFOGZQFAHRPQRPOKAIOJLMN $.

  $( Alternate definition of the disjoint relation predicate, cf.
     ~ dffunALTV2 .  (Contributed by Peter Mazsa, 27-Jul-2021.) $)
  dfdisjALTV2 $p |- ( Disj R <-> ( ,~ `' R C_ _I /\ Rel R ) ) $=
    ( wdisjALTV ccnv ccoss wcnvrefrel wrel wa df-disjALTV cnvrefrelcoss2 anbi1i
    cid wss bitri ) ABACZDZEZAFZGOKLZQGAHPRQNIJM $.

  ${
    $d R u v x $.
    $( Alternate definition of the disjoint relation predicate, cf.
       ~ dffunALTV3 .  (Contributed by Peter Mazsa, 28-Jul-2021.) $)
    dfdisjALTV3 $p |- ( Disj R <->
       ( A. u A. v A. x ( ( u R x /\ v R x ) -> u = v ) /\ Rel R ) ) $=
      ( wdisjALTV ccnv ccoss cid wss wrel wa cv wbr wi dfdisjALTV2 cosscnvssid3
      weq wal anbi1i bitri ) DEDFGHIZDJZKCLALZDMBLUCDMKCBQNARBRCRZUBKDOUAUDUBAB
      CDPST $.
  $}

  ${
    $d R u x $.
    $( Alternate definition of the disjoint relation predicate, cf.
       ~ dffunALTV4 .  (Contributed by Peter Mazsa, 5-Sep-2021.) $)
    dfdisjALTV4 $p |- ( Disj R <-> ( A. x E* u u R x /\ Rel R ) ) $=
      ( wdisjALTV ccnv ccoss cid wss wa cv wbr wmo wal dfdisjALTV2 cosscnvssid4
      wrel anbi1i bitri ) CDCEFGHZCPZIBJAJCKBLAMZTICNSUATABCOQR $.
  $}

  ${
    $d R u v $.
    $( Alternate definition of the disjoint relation predicate, cf.
       ~ dffunALTV5 .  (Contributed by Peter Mazsa, 5-Sep-2021.) $)
    dfdisjALTV5 $p |- ( Disj R <->
        ( A. u e. dom R A. v e. dom R
             ( u = v \/ ( [ u ] R i^i [ v ] R ) = (/) ) /\
          Rel R ) ) $=
      ( wdisjALTV ccnv ccoss cid wss wrel wa cv wceq cec cin c0 cdm dfdisjALTV2
      wo wral cosscnvssid5 bitri ) CDCEFGHCIZJBKZAKZLUCCMUDCMNOLRACPZSBUESUBJCQ
      ABCTUA $.
  $}

  $( Alternate definition of the disjoint elementhood predicate.  (Contributed
     by Peter Mazsa, 19-Sep-2021.) $)
  dfeldisj2 $p |- ( ElDisj A <-> ,~ `' ( `' _E |` A ) C_ _I ) $=
    ( weldisj cep ccnv cres wdisjALTV cid wss df-eldisj wrel relres dfdisjALTV2
    ccoss mpbiran2 bitri ) ABCDZAEZFZQDMGHZAIRSQJPAKQLNO $.

  ${
    $d A u v x $.
    $( Alternate definition of the disjoint elementhood predicate.
       (Contributed by Peter Mazsa, 19-Sep-2021.) $)
    dfeldisj3 $p |- ( ElDisj A <->
                      A. u e. A A. v e. A A. x e. ( u i^i v ) u = v ) $=
      ( weldisj cv wcel cin w3a weq wi wal wral wbr wa wb cvv brcnvepres bitr4i
      el2v cep ccnv wdisjALTV df-eldisj relres dfdisjALTV3 mpbiran2 an4 anbi12i
      cres wrel elin anbi2i 3bitr4i df-3an imbi1i 3albii 3bitri r3al ) DEZCFZDG
      ZBFZDGZAFZVAVCHZGZIZCBJZKZALBLCLZVIAVFMBDMCDMUTUAUBZDUJZUCZVAVEVMNZVCVEVM
      NZOZVIKZALBLCLZVKDUDVNVSVMUKVLDUEABCVMUFUGVRVJCBAVQVHVIVQVBVDOZVGOZVHVBVE
      VAGZOZVDVEVCGZOZOVTWBWDOZOVQWAVBWBVDWDUHVOWCVPWEVOWCPCADVAVEQQRTVPWEPBADV
      CVEQQRTUIVGWFVTVEVAVCULUMUNVBVDVGUOSUPUQURVICBADDVFUSS $.
  $}

  ${
    $d A u x $.
    $( Alternate definition of the disjoint elementhood predicate.
       (Contributed by Peter Mazsa, 19-Sep-2021.) $)
    dfeldisj4 $p |- ( ElDisj A <-> A. x E* u e. A x e. u ) $=
      ( weldisj cep ccnv cres wdisjALTV cv wbr wmo wal wcel wrmo df-eldisj wrel
      relres dfdisjALTV4 mpbiran2 cvv wa wb brcnvepres el2v mobii df-rmo bitr4i
      albii 3bitri ) CDEFZCGZHZBIZAIZUKJZBKZALZUNUMMZBCNZALCOULUQUKPUJCQABUKRSU
      PUSAUPUMCMURUAZBKUSUOUTBUOUTUBBACUMUNTTUCUDUEURBCUFUGUHUI $.
  $}

  ${
    $d A u v x $.
    $( Alternate definition of the disjoint elementhood predicate.
       (Contributed by Peter Mazsa, 19-Sep-2021.) $)
    dfeldisj5 $p |- ( ElDisj A <->
        A. u e. A A. v e. A ( u = v \/ ( u i^i v ) = (/) ) ) $=
      ( vx weldisj wrmo wal cv wceq cin c0 wral cep cec biantru cvv eccnvep elv
      wo wa wel dfeldisj4 ccnv wbr inecmo2 relcnv 3bitr4i ineq12i eqeq1i orbi2i
      wrel 2ralbii wb brcnvep rmobii albii 3bitr3i bitr4i ) CEDBUAZBCFZDGZBHZAH
      ZIZVBVCJZKIZSZACLBCLZDBCUBVDVBMUCZNZVCVINZJZKIZSZACLBCLZVBDHZVIUDZBCFZDGZ
      VHVAVOVIUKZTVSVTTVOVSDABCVIUEVTVOMUFZOVTVSWAOUGVNVGBACCVMVFVDVLVEKVJVBVKV
      CVJVBIBVBPQRVKVCIAVCPQRUHUIUJULVRUTDVQUSBCVQUSUMBVBVPPUNRUOUPUQUR $.
  $}

  ${
    $d R r $.
    $( Elementhood in the class of disjoints.  (Contributed by Peter Mazsa,
       24-Jul-2021.) $)
    eldisjs $p |- ( R e. Disjs <->
                    ( ,~ `' R e. CnvRefRels /\ R e. Rels ) ) $=
      ( vr ccnv ccoss ccnvrefrels wcel crels cdisjs dfdisjs wceq cosseqd eleq1d
      cv cnveq rabeqel ) BMZCZDZEFACZDZEFBGHABIPAJZRTEUAQSPANKLO $.
  $}

  $( Elementhood in the class of disjoints.  (Contributed by Peter Mazsa,
     5-Sep-2021.) $)
  eldisjs2 $p |- ( R e. Disjs <-> ( ,~ `' R C_ _I /\ R e. Rels ) ) $=
    ( cdisjs wcel ccnv ccoss ccnvrefrels crels wa cid eldisjs cosselcnvrefrels2
    wss cosscnvelrels biantrud bitr4id pm5.32ri bitri ) ABCADZEZFCZAGCZHSILZUAH
    AJUATUBUATUBSGCZHUBRKUAUCUBAGMNOPQ $.

  ${
    $d R u v x $.
    $( Elementhood in the class of disjoints.  (Contributed by Peter Mazsa,
       5-Sep-2021.) $)
    eldisjs3 $p |- ( R e. Disjs <->
        ( A. u A. v A. x ( ( u R x /\ v R x ) -> u = v ) /\ R e. Rels ) ) $=
      ( cdisjs wcel ccnv ccoss cid wss crels wa cv wbr wceq wi wal cosscnvssid3
      eldisjs2 anbi1i bitri ) DEFDGHIJZDKFZLCMZAMZDNBMZUEDNLUDUFOPAQBQCQZUCLDSU
      BUGUCABCDRTUA $.
  $}

  ${
    $d R u x $.
    $( Elementhood in the class of disjoints.  (Contributed by Peter Mazsa,
       5-Sep-2021.) $)
    eldisjs4 $p |- ( R e. Disjs <-> ( A. x E* u u R x /\ R e. Rels ) ) $=
      ( cdisjs wcel ccoss cid wss crels wa cv wbr wmo wal eldisjs2 cosscnvssid4
      ccnv anbi1i bitri ) CDECQFGHZCIEZJBKAKCLBMANZUAJCOTUBUAABCPRS $.
  $}

  ${
    $d R u v $.
    $( Elementhood in the class of disjoints.  (Contributed by Peter Mazsa,
       5-Sep-2021.) $)
    eldisjs5 $p |- ( R e. V -> ( R e. Disjs <->
       ( A. u e. dom R A. v e. dom R
           ( u = v \/ ( [ u ] R i^i [ v ] R ) = (/) ) /\
         R e. Rels ) ) ) $=
      ( cdisjs wcel ccnv ccoss cid wss crels wa cv wceq cec cin c0 wral anbi2d
      wb wo cdm eldisjs2 wrel cosscnvssid5 elrelsrel bibi12d mpbiri syl5bb ) CE
      FCGHIJZCKFZLZCDFZBMZAMZNUNCOUOCOPQNUAACUBZRBUPRZUKLZCUCUMULURTUJCUDZLZUQU
      SLZTABCUEUMULUTURVAUMUKUSUJCDUFZSUMUKUSUQVBSUGUHUI $.
  $}

  $( The element of the class of disjoint relations and the disjoint relation
     predicate are the same, that is ` ( R e. Disjs <-> Disj R ) ` when ` R `
     is a set.  (Contributed by Peter Mazsa, 25-Jul-2021.) $)
  eldisjsdisj $p |- ( R e. V -> ( R e. Disjs <-> Disj R ) ) $=
    ( wcel ccnv ccoss ccnvrefrels crels wa wcnvrefrel wrel cdisjs wdisjALTV cvv
    wb cosscnvex elcnvrefrelsrel syl elrelsrel anbi12d eldisjs df-disjALTV
    3bitr4g ) ABCZADEZFCZAGCZHUDIZAJZHAKCALUCUEUGUFUHUCUDMCUEUGNABOUDMPQABRSATA
    UAUB $.

  ${
    $d A a $.
    $( Elementhood in the disjoint elements class.  (Contributed by Peter
       Mazsa, 23-Jul-2023.) $)
    eleldisjs $p |- ( A e. V ->
                      ( A e. ElDisjs <-> ( `' _E |` A ) e. Disjs ) ) $=
      ( cep ccnv cres cdisjs wcel celdisjs wceq reseq2 eleq1d df-eldisjs elab2g
      va cv ) CDZNOZEZFGPAEZFGNAHBQAIRSFQAPJKNLM $.
  $}

  $( The element of the disjoint elements class and the disjoint elementhood
     predicate are the same, that is ` ( A e. ElDisjs <-> ElDisj A ) ` when
     ` A ` is a set.  (Contributed by Peter Mazsa, 23-Jul-2023.) $)
  eleldisjseldisj $p |- ( A e. V -> ( A e. ElDisjs <-> ElDisj A ) ) $=
    ( wcel celdisjs cep ccnv cres wdisjALTV weldisj cdisjs eleldisjs cnvepresex
    cvv wb eldisjsdisj syl bitrd df-eldisj bitr4di ) ABCZADCZEFAGZHZAITUAUBJCZU
    CABKTUBMCUDUCNABLUBMOPQARS $.

  $( Disjoint relation is a relation.  (Contributed by Peter Mazsa,
     15-Sep-2021.) $)
  disjrel $p |- ( Disj R -> Rel R ) $=
    ( wdisjALTV ccnv ccoss wcnvrefrel wrel df-disjALTV simprbi ) ABACDEAFAGH $.

  $( Subclass theorem for disjoints.  (Contributed by Peter Mazsa,
     28-Oct-2020.)  (Revised by Peter Mazsa, 22-Sep-2021.) $)
  disjss $p |- ( A C_ B -> ( Disj B -> Disj A ) ) $=
    ( wss ccnv wfunALTV wrel wa wdisjALTV wi cnvss funALTVss anim12d dfdisjALTV
    syl relss 3imtr4g ) ABCZBDZEZBFZGADZEZAFZGBHAHQSUBTUCQUARCSUBIABJUARKNABOLB
    MAMP $.

  ${
    disjssi.1 $e |- A C_ B $.
    $( Subclass theorem for disjoints, inference version.  (Contributed by
       Peter Mazsa, 28-Sep-2021.) $)
    disjssi $p |- ( Disj B -> Disj A ) $=
      ( wss wdisjALTV wi disjss ax-mp ) ABDBEAEFCABGH $.
  $}

  ${
    disjssd.1 $e |- ( ph -> A C_ B ) $.
    $( Subclass theorem for disjoints, deduction version.  (Contributed by
       Peter Mazsa, 28-Sep-2021.) $)
    disjssd $p |- ( ph -> ( Disj B -> Disj A ) ) $=
      ( wss wdisjALTV wi disjss syl ) ABCECFBFGDBCHI $.
  $}

  $( Equality theorem for disjoints.  (Contributed by Peter Mazsa,
     22-Sep-2021.) $)
  disjeq $p |- ( A = B -> ( Disj A <-> Disj B ) ) $=
    ( wceq wdisjALTV eqimss2 disjssd eqimss impbid ) ABCZADBDIBABAEFIABABGFH $.

  ${
    disjeqi.1 $e |- A = B $.
    $( Equality theorem for disjoints, inference version.  (Contributed by
       Peter Mazsa, 22-Sep-2021.) $)
    disjeqi $p |- ( Disj A <-> Disj B ) $=
      ( wceq wdisjALTV wb disjeq ax-mp ) ABDAEBEFCABGH $.
  $}

  ${
    disjeqd.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for disjoints, deduction version.  (Contributed by
       Peter Mazsa, 22-Sep-2021.) $)
    disjeqd $p |- ( ph -> ( Disj A <-> Disj B ) ) $=
      ( wceq wdisjALTV wb disjeq syl ) ABCEBFCFGDBCHI $.
  $}

  $( Lemma for the equality theorem for partition ~~? parteq1 .  (Contributed
     by Peter Mazsa, 5-Oct-2021.) $)
  disjdmqseqeq1 $p |- ( R = S ->
                        ( ( Disj R /\ ( dom R /. R ) = A ) <->
                          ( Disj S /\ ( dom S /. S ) = A ) ) ) $=
    ( wceq wdisjALTV cdm cqs disjeq dmqseqeq1 anbi12d ) BCDBECEBFBGADCFCGADBCHA
    BCIJ $.

  $( Subclass theorem for disjoint elementhood.  (Contributed by Peter Mazsa,
     23-Sep-2021.) $)
  eldisjss $p |- ( A C_ B -> ( ElDisj B -> ElDisj A ) ) $=
    ( wss cep ccnv cres wdisjALTV weldisj ssres2 disjssd df-eldisj 3imtr4g ) AB
    CZDEZBFZGNAFZGBHAHMPOABNIJBKAKL $.

  ${
    eldisjssi.1 $e |- A C_ B $.
    $( Subclass theorem for disjoint elementhood, inference version.
       (Contributed by Peter Mazsa, 28-Sep-2021.) $)
    eldisjssi $p |- ( ElDisj B -> ElDisj A ) $=
      ( wss weldisj wi eldisjss ax-mp ) ABDBEAEFCABGH $.
  $}

  ${
    eldisjssd.1 $e |- ( ph -> A C_ B ) $.
    $( Subclass theorem for disjoint elementhood, deduction version.
       (Contributed by Peter Mazsa, 28-Sep-2021.) $)
    eldisjssd $p |- ( ph -> ( ElDisj B -> ElDisj A ) ) $=
      ( wss weldisj wi eldisjss syl ) ABCECFBFGDBCHI $.
  $}

  $( Equality theorem for disjoint elementhood.  (Contributed by Peter Mazsa,
     23-Sep-2021.) $)
  eldisjeq $p |- ( A = B -> ( ElDisj A <-> ElDisj B ) ) $=
    ( wceq cep ccnv cres wdisjALTV weldisj reseq2 disjeqd df-eldisj 3bitr4g ) A
    BCZDEZAFZGNBFZGAHBHMOPABNIJAKBKL $.

  ${
    eldisjeqi.1 $e |- A = B $.
    $( Equality theorem for disjoint elementhood, inference version.
       (Contributed by Peter Mazsa, 23-Sep-2021.) $)
    eldisjeqi $p |- ( ElDisj A <-> ElDisj B ) $=
      ( wceq weldisj wb eldisjeq ax-mp ) ABDAEBEFCABGH $.
  $}

  ${
    eldisjeqd.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for disjoint elementhood, deduction version.
       (Contributed by Peter Mazsa, 23-Sep-2021.) $)
    eldisjeqd $p |- ( ph -> ( ElDisj A <-> ElDisj B ) ) $=
      ( wceq weldisj wb eldisjeq syl ) ABCEBFCFGDBCHI $.
  $}

  $( Two ways of saying that a range Cartesian product is disjoint.
     (Contributed by Peter Mazsa, 17-Jun-2020.)  (Revised by Peter Mazsa,
     21-Sep-2021.) $)
  disjxrn $p |- ( Disj ( R |X. S ) <-> ( ,~ `' R i^i ,~ `' S ) C_ _I ) $=
    ( cxrn wdisjALTV ccnv ccoss cid wss cin wrel xrnrel dfdisjALTV2 1cosscnvxrn
    mpbiran2 sseq1i bitri ) ABCZDZQEFZGHZAEFBEFIZGHRTQJABKQLNSUAGABMOP $.

  $( Disjointness condition for range Cartesian product.  (Contributed by Peter
     Mazsa, 12-Jul-2020.)  (Revised by Peter Mazsa, 22-Sep-2021.) $)
  disjorimxrn $p |- ( ( Disj R \/ Disj S ) -> Disj ( R |X. S ) ) $=
    ( wdisjALTV wo ccnv ccoss cin cid wss cxrn wrel dfdisjALTV2 simplbi orim12i
    inss syl disjxrn sylibr ) ACZBCZDZAEFZBEFZGHIZABJCUAUBHIZUCHIZDUDSUETUFSUEA
    KALMTUFBKBLMNUBUCHOPABQR $.

  $( Disjointness condition for range Cartesian product.  (Contributed by Peter
     Mazsa, 15-Dec-2020.)  (Revised by Peter Mazsa, 22-Sep-2021.) $)
  disjimxrn $p |- ( Disj S -> Disj ( R |X. S ) ) $=
    ( wdisjALTV cxrn disjorimxrn olcs ) ACBCABDCABEF $.

  $( Disjointness condition for restriction.  (Contributed by Peter Mazsa,
     27-Sep-2021.) $)
  disjimres $p |- ( Disj R -> Disj ( R |` A ) ) $=
    ( cres resss disjssi ) BACBBADE $.

  $( Disjointness condition for intersection.  (Contributed by Peter Mazsa,
     11-Jun-2021.)  (Revised by Peter Mazsa, 28-Sep-2021.) $)
  disjimin $p |- ( Disj S -> Disj ( R i^i S ) ) $=
    ( cin inss2 disjssi ) ABCBABDE $.

  $( Disjointness condition for intersection with restriction.  (Contributed by
     Peter Mazsa, 27-Sep-2021.) $)
  disjiminres $p |- ( Disj S -> Disj ( R i^i ( S |` A ) ) ) $=
    ( wdisjALTV cres cin disjimres disjimin syl ) CDCAEZDBJFDACGBJHI $.

  $( Disjointness condition for range Cartesian product with restriction.
     (Contributed by Peter Mazsa, 27-Sep-2021.) $)
  disjimxrnres $p |- ( Disj S -> Disj ( R |X. ( S |` A ) ) ) $=
    ( wdisjALTV cres cxrn disjimres disjimxrn syl ) CDCAEZDBJFDACGBJHI $.

  ${
    $d u x $.
    $( The null class is disjoint.  (Contributed by Peter Mazsa,
       27-Sep-2021.) $)
    disjALTV0 $p |- Disj (/) $=
      ( vu vx c0 wdisjALTV cv wbr wmo wal wrel wex wn br0 nex nexmo ax-gen rel0
      ax-mp dfdisjALTV4 mpbir2an ) CDAEZBEZCFZAGZBHCIUCBUBAJKUCUBATUALMUBANQOPB
      ACRS $.
  $}

  $( The class of identity relations is disjoint.  (Contributed by Peter Mazsa,
     20-Jun-2021.) $)
  disjALTVid $p |- Disj _I $=
    ( cid wdisjALTV ccnv ccoss wrel cosscnvid eqimssi reli dfdisjALTV2 mpbir2an
    wss ) ABACDZAKAELAFGHAIJ $.

  $( The class of identity relations restricted is disjoint.  (Contributed by
     Peter Mazsa, 28-Jun-2020.)  (Revised by Peter Mazsa, 27-Sep-2021.) $)
  disjALTVidres $p |- Disj ( _I |` A ) $=
    ( cid wdisjALTV cres disjALTVid disjimres ax-mp ) BCBADCEABFG $.

  $( The intersection with restricted identity relation is disjoint.
     (Contributed by Peter Mazsa, 31-Dec-2021.) $)
  disjALTVinidres $p |- Disj ( R i^i ( _I |` A ) ) $=
    ( cid wdisjALTV cres cin disjALTVid disjiminres ax-mp ) CDBCAEFDGABCHI $.

  $( The class of range Cartesian product with restricted identity relation is
     disjoint.  (Contributed by Peter Mazsa, 25-Jun-2020.)  (Revised by Peter
     Mazsa, 27-Sep-2021.) $)
  disjALTVxrnidres $p |- Disj ( R |X. ( _I |` A ) ) $=
    ( cid wdisjALTV cres cxrn disjALTVid disjimxrnres ax-mp ) CDBCAEFDGABCHI $.

$( (End of Peter Mazsa's mathbox.) $)
$( End $[ set-mbox-pm.mm $] $)


$( Begin $[ set-mbox-rm.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Rodolfo Medina
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Partitions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    prtlem60.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    prtlem60.2 $e |- ( ps -> ( th -> ta ) ) $.
    $( Lemma for ~ prter3 .  (Contributed by Rodolfo Medina, 9-Oct-2010.) $)
    prtlem60 $p |- ( ph -> ( ps -> ( ch -> ta ) ) ) $=
      ( wi a1i syldd ) ABCDEFBDEHHAGIJ $.
  $}

  ${
    bicomdd.1 $e |- ( ph -> ( ps -> ( ch <-> th ) ) ) $.
    $( Commute two sides of a biconditional in a deduction.  (Contributed by
       Rodolfo Medina, 19-Oct-2010.)  (Proof shortened by Andrew Salmon,
       29-Jun-2011.) $)
    bicomdd $p |- ( ph -> ( ps -> ( th <-> ch ) ) ) $=
      ( wb bicom syl6ib ) ABCDFDCFECDGH $.
  $}

  ${
    jca2r.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jca2r.2 $e |- ( ps -> th ) $.
    $( Inference conjoining the consequents of two implications.  (Contributed
       by Rodolfo Medina, 17-Oct-2010.) $)
    jca2r $p |- ( ph -> ( ps -> ( th /\ ch ) ) ) $=
      ( wi a1i jcad ) ABDCBDGAFHEI $.
  $}

  ${
    jca3.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jca3.2 $e |- ( th -> ta ) $.
    $( Inference conjoining the consequents of two implications.  (Contributed
       by Rodolfo Medina, 14-Oct-2010.) $)
    jca3 $p |- ( ph -> ( ps -> ( th -> ( ch /\ ta ) ) ) ) $=
      ( wa wi imp a1d jca2 ex ) ABDCEHIABHZDCENCDABCFJKGLM $.
  $}

  $( Lemma for ~ prter3 : a rearrangement of conjuncts.  (Contributed by
     Rodolfo Medina, 20-Oct-2010.) $)
  prtlem70 $p |- ( ( ( ( ps /\ et ) /\ ( ( ph /\ th ) /\ ( ch /\ ta ) ) )
                        /\ ph ) <-> ( ( ph /\ ( ps /\ ( ch /\ ( th /\ ta ) ) )
    ) /\ et ) ) $=
    ( wa anass anbi1i anandi ancom 3bitr4ri bitri 3bitri an4 anbi2i ) BFGZADGZC
    EGZGZGZAGZABDGZGZSGZFGZAUCSGZGZFGABCDEGZGGZGZFGABGZRGZSGZFGULTGZFGZUFUBUNUO
    FULRSHIUEUNFUDUMSABDJIIUBULFGZTGZFULGZTGZUPAQGZTGAUAGURUBAQTHUQVATABFHIUAAK
    LUQUSTULFKIUTFUOGUPFULTHFUOKMNLUEUHFAUCSHIUHUKFUGUJAUGBCGUIGUJBDCEOBCUIHMPI
    N $.

  ${
    ibdr.1 $e |- ( ph -> ( ch -> ( ps <-> ch ) ) ) $.
    $( Reverse of ~ ibd .  (Contributed by Rodolfo Medina, 30-Sep-2010.) $)
    ibdr $p |- ( ph -> ( ch -> ps ) ) $=
      ( bicomdd ibd ) ACBACBCDEF $.
  $}

  $( Lemma for ~ prter3 .  (Contributed by Rodolfo Medina, 19-Oct-2010.) $)
  prtlem100 $p |- ( E. x e. A ( B e. x /\ ph ) <->
                        E. x e. ( A \ { (/) } ) ( B e. x /\ ph ) ) $=
    ( cv wcel wa csn cdif wne anass eldifsn anbi1i ne0i pm4.71ri bitri 3bitr4ri
    c0 anbi2i rexbii2 ) DBEZFZAGZUCBCCRHIZUACFZUARJZGZUCGUEUFUCGZGUAUDFZUCGUEUC
    GUEUFUCKUIUGUCUACRLMUCUHUEUCUFUBGZAGUHUBUJAUBUFUADNOMUFUBAKPSQT $.

  ${
    $d u v x r $.  $d u v x s $.  $d u v x A $.
    $( Lemma for ~ prter1 , ~ prter2 , ~ prter3 and ~ prtex .  (Contributed by
       Rodolfo Medina, 25-Sep-2010.)  (Proof shortened by Mario Carneiro,
       11-Dec-2016.) $)
    prtlem5 $p |- ( [ s / v ] [ r / u ] E. x e. A ( u e. x /\ v e. x )
                        <-> E. x e. A ( r e. x /\ s e. x ) ) $=
      ( wel wa wrex weq elequ1 bi2anan9r rexbidv 2sbievw ) CAGZBAGZHZADIFAGZEAG
      ZHZADIBCFEBEJZCFJZHQTADUBORUAPSCFAKBEAKLMN $.
  $}

  $( Lemma for ~ prter2 .  (Contributed by Rodolfo Medina, 17-Oct-2010.) $)
  prtlem80 $p |- ( A e. B -> -. A e. ( C \ { A } ) ) $=
    ( wcel neldifsnd ) ABDACE $.

  ${
    $d x y z $.  $d x y w $.
    $( A closed form of ~ brabsb .  (Contributed by Rodolfo Medina,
       13-Oct-2010.) $)
    brabsb2 $p |- ( R = { <. x , y >. | ph }
                        -> ( z R w <-> [ z / x ] [ w / y ] ph ) ) $=
      ( copab wceq cv wbr cop wcel wsb breq df-br bitrdi vopelopabsb ) FABCGZHZ
      DIZEIZFJZTUAKRLZACEMBDMSUBTUARJUCTUAFRNTUAROPABCDEQP $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d ph x $.  $d ph y $.
    eqbrrdv2.1 $e |- ( ( ( Rel A /\ Rel B ) /\ ph )
                        -> ( x A y <-> x B y ) ) $.
    $( Other version of ~ eqbrrdiv .  (Contributed by Rodolfo Medina,
       30-Sep-2010.) $)
    eqbrrdv2 $p |- ( ( ( Rel A /\ Rel B ) /\ ph ) -> A = B ) $=
      ( wrel wa wceq cv wbr cop wcel df-br 3bitr3g eqrelrdv2 anabss5 ) DGEGHZAD
      EIRAHZBCDESBJZCJZDKTUAEKTUALZDMUBEMFTUADNTUAENOPQ $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Lemma for ~ prter3 .  (Contributed by Rodolfo Medina, 25-Sep-2010.) $)
    prtlem9 $p |- ( A e. B -> E. x e. B [ x ] .~ = [ A ] .~ ) $=
      ( wcel cv wceq wrex cec risset eceq1 reximi sylbi ) BCEAFZBGZACHNDIBDIGZA
      CHABCJOPACNBDKLM $.
  $}

  ${
    $d v w $.  $d v z $.  $d v A $.  $d v .~ $.
    $( Lemma for ~ prter3 .  (Contributed by Rodolfo Medina, 14-Oct-2010.)
       (Revised by Mario Carneiro, 12-Aug-2015.) $)
    prtlem10 $p |- ( .~ Er A -> ( z e. A -> ( z .~ w <->
        E. v e. A ( z e. [ v ] .~ /\ w e. [ v ] .~ ) ) ) ) $=
      ( wer cv wcel wbr cec wa wrex wb wi simpr simpl erref breq1 vex elec expr
      weq anbi12d rspcev syl2anc simplll simprl simprr ertr3d rexlimdva2 impbid
      anbi12i rexbii bitr4di ex ) DEFZAGZDHZUQBGZEIZUQCGZEJZHZUSVBHZKZCDLZMUPUR
      KZUTVAUQEIZVAUSEIZKZCDLZVFVGUTVKVGURUQUQEIZUTVKNUPUROZVGUQEDUPURPVMQURVLU
      TVKVJVLUTKCUQDCAUBVHVLVIUTVAUQUQERVAUQUSERUCUDUAUEVGVJUTCDVGVADHZKZVJKUQV
      AUSEDUPURVNVJUFVOVHVIUGVOVHVIUHUIUJUKVEVJCDVCVHVDVIUQVAEASCSZTUSVAEBSVPTU
      LUMUNUO $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x .~ $.
    $( Lemma for ~ prter2 .  (Contributed by Rodolfo Medina, 12-Oct-2010.) $)
    prtlem11 $p |- ( B e. D ->
                        ( C e. A -> ( B = [ C ] .~ -> B e. ( A /. .~ ) ) ) ) $=
      ( vx wcel cec wceq cqs wa cv wrex eceq1 rspceeqv elqsg syl5ibr expd ) BDG
      ZCAGZBCEHZIZBAEJGZTUBKUCSBFLZEHZIFAMFCAUEUABUDCENOFABEDPQR $.
  $}

  ${
    $d x y $.
    $( Lemma for ~ prtex and ~ prter3 .  (Contributed by Rodolfo Medina,
       13-Oct-2010.) $)
    prtlem12 $p |- ( .~ = { <. x , y >. | E. u e. A ( x e. u /\ y e. u ) }
                        -> Rel .~ ) $=
      ( wel wa wrex copab wceq wrel relopabv releq mpbiri ) EACFBCFGCDHZABIZJEK
      PKOABLEPMN $.
  $}

  ${
    $d u v x y A $.  $d v w x y $.  $d v x y z $.
    prtlem13.1 $e |- .~ = { <. x , y >. | E. u e. A ( x e. u /\ y e. u ) } $.
    $( Lemma for ~ prter1 , ~ prter2 , ~ prter3 and ~ prtex .  (Contributed by
       Rodolfo Medina, 13-Oct-2010.)  (Revised by Mario Carneiro,
       12-Aug-2015.) $)
    prtlem13 $p |- ( z .~ w <-> E. v e. A ( z e. v /\ w e. v ) ) $=
      ( wel wa wrex cv vex weq elequ2 anbi12d cbvrexvw elequ1 bi2anan9 rexbidv
      syl5bb braba ) AFJZBFJZKZFGLZCEJZDEJZKZEGLZABCMDMHCNDNUGAEJZBEJZKZEGLACOZ
      BDOZKZUKUFUNFEGFEOUDULUEUMFEAPFEBPQRUQUNUJEGUOULUHUPUMUIACESBDESTUAUBIUC
      $.

    $d u v w x y z A $.  $d w z .~ $.
    $( Lemma for ~ prtex , ~ prter2 and ~ prter3 .  (Contributed by Rodolfo
       Medina, 14-Oct-2010.)  (Revised by Mario Carneiro, 12-Aug-2015.) $)
    prtlem16 $p |- dom .~ = U. A $=
      ( vz vw vv cdm cuni cv wcel wbr wex wel wa wrex vex eldm prtlem13 adantrr
      exbii elunii ancoms rexlimiva exlimiv eluni2 elequ1 anbi2d pm4.24 bitr4di
      weq rexbidv spcev sylbi impbii 3bitri eqriv ) GEJZDKZGLZUTMVBHLENZHOGIPZH
      IPZQZIDRZHOZVBVAMZHVBEGSZTVCVGHABGHICDEFUAUCVHVIVGVIHVFVIIDILZDMZVDVIVEVD
      VLVIVBVKDUDUEUBUFUGVIVDIDRZVHIVBDUHVGVMHVBVJHGUMZVFVDIDVNVFVDVDQVDVNVEVDV
      DHGIUIUJVDUKULUNUOUPUQURUS $.

    $( Lemma for ~ prter2 and also a property of partitions .  (Contributed by
       Rodolfo Medina, 15-Oct-2010.)  (Revised by Mario Carneiro,
       12-Aug-2015.) $)
    prtlem400 $p |- -. (/) e. ( U. A /. .~ ) $=
      ( c0 cuni cqs wcel wne neirr cdm wceq prtlem16 elqsn0 mpan mto ) GDHZEIJZ
      GGKZGLEMSNTUAABCDEFOSGEPQR $.
  $}

  $( Introduce the partition predicate. $)
  $c Prt $.

  $( Extend the definition of a wff to include the partition predicate. $)
  wprt $a wff Prt A $.

  ${
    $d x y A $.
    $( Define the partition predicate.  (Contributed by Rodolfo Medina,
       13-Oct-2010.) $)
    df-prt $a |- ( Prt A <-> A. x e. A A. y e. A ( x = y \/
                                                ( x i^i y ) = (/) ) ) $.
  $}

  ${
    $d x y A $.  $d x y .~ $.  $d x y X $.
    $( The quotient set of an equivalence relation is a partition.
       (Contributed by Rodolfo Medina, 13-Oct-2010.) $)
    erprt $p |- ( .~ Er X -> Prt ( A /. .~ ) ) $=
      ( vx vy wer cv wceq cin c0 wo cqs wral wprt wa simpl simprl simprr qsdisj
      wcel ralrimivva df-prt sylibr ) CBFZDGZEGZHUEUFIJHKZEABLZMDUHMUHNUDUGDEUH
      UHUDUEUHTZUFUHTZOZOAUEUFBCUDUKPUDUIUJQUDUIUJRSUADEUHUBUC $.
  $}

  ${
    $d u v w x y z $.  $d x y z A $.
    $( Lemma for ~ prter1 , ~ prter2 and ~ prtex .  (Contributed by Rodolfo
       Medina, 13-Oct-2010.) $)
    prtlem14 $p |- ( Prt A -> ( ( x e. A /\ y e. A )
                                -> ( ( w e. x /\ w e. y ) -> x = y ) ) ) $=
      ( wprt cv wcel wa wceq cin c0 wo wi wral df-prt rsp2 sylbi elin wn wal sp
      eq0 pm2.21d syl5bir jao1i syl6 ) DEZAFZDGBFZDGHZUHUIIZUHUIJZKIZLZCFZUHGUO
      UIGHZUKMUGUNBDNADNUJUNMABDOUNABDDPQUKUMUPUPUOULGZUMUKUOUHUIRUMUQUKUMUQSZC
      TURCULUBURCUAQUCUDUEUF $.

    $( Lemma for ~ prter1 and ~ prtex .  (Contributed by Rodolfo Medina,
       13-Oct-2010.) $)
    prtlem15 $p |- ( Prt A -> ( E. x e. A E. y e. A ( ( u e. x /\ w e. x )
                        /\ ( w e. y /\ v e. y ) )
                        -> E. z e. A ( u e. z /\ v e. z ) ) ) $=
      ( wprt wel wa wrex cv wcel wi anabs7 an43 anbi2i 3bitr4ri weq elequ2 syl8
      prtlem14 anbi2d syl5ibr syl7bi expdimp rexlimdv reximdva anbi12d cbvrexvw
      an3 imp4a syl6ib ) GHZFAIZDAIZJDBIZEBIZJJZBGKZAGKUOEAIZJZAGKFCIZECIZJZCGK
      UNUTVBAGUNALGMZJUSVBBGUNVFBLGMZUSVBNZUSUPUQJZUSJZUNVFVGJZVBVIUOURJZVIJZJV
      MVJUSVLVIOUSVMVIUOUPUQURPZQVNRUNVKVIUSVBUNVKVIABSZVHABDGUBUSVBVOVLUOUPUQU
      RUKVOVAURUOABETUCUDUAULUEUFUGUHVBVEACGACSUOVCVAVDACFTACETUIUJUM $.
  $}

  ${
    $d x y A $.  $d z x $.  $d z y $.  $d y w $.
    $( Lemma for ~ prter2 .  (Contributed by Rodolfo Medina, 15-Oct-2010.) $)
    prtlem17 $p |- ( Prt A -> ( ( x e. A /\ z e. x )
                                        -> ( E. y e. A ( z e. y /\ w e. y )
                                                -> w e. x ) ) ) $=
      ( wprt cv wcel wel wa wrex wi wex df-rex an32 weq prtlem14 elequ2 biimprd
      syl8 exp4a impd syl5bir expd imp5a imp4b exlimdv syl5bi ex ) EFZAGEHZCAIZ
      JZCBIZDBIZJZBEKZDAIZLUQBGEHZUPJZBMUJUMJZURUPBENVAUTURBUJUMUSUPURUJUMUSUNU
      OURUJUMUSUNUOURLZLZUMUSJUKUSJZULJUJVCUKUSULOUJVDULVCUJVDULUNVBUJVDULUNJAB
      PZVBABCEQVEURUOABDRSTUAUBUCUDUEUFUGUHUI $.
  $}

  ${
    $d p q r u v w x y z A $.  $d p v w z .~ $.  $d v w z S $.
    prtlem18.1 $e |- .~ = { <. x , y >. | E. u e. A ( x e. u /\ y e. u ) } $.
    $( Lemma for ~ prter2 .  (Contributed by Rodolfo Medina, 15-Oct-2010.)
       (Revised by Mario Carneiro, 12-Aug-2015.) $)
    prtlem18 $p |- ( Prt A ->
      ( ( v e. A /\ z e. v ) -> ( w e. v <-> z .~ w ) ) ) $=
      ( vp wprt cv wcel wel wa wbr wi wrex rspe prtlem13 syl6ibr syl7bi impbidd
      expr a1i prtlem17 ) GKZELGMZCENZOZDENZCLDLHPZUJUKULQQUGUJUKUIUKOZEGRZULUH
      UIUKUNUMEGSUDABCDEFGHITUAUEULCJNDJNOJGRUGUJUKABCDJFGHITEJCDGUFUBUC $.

    $( Lemma for ~ prter2 .  (Contributed by Rodolfo Medina, 15-Oct-2010.)
       (Revised by Mario Carneiro, 12-Aug-2015.) $)
    prtlem19 $p |- ( Prt A -> ( ( v e. A /\ z e. v ) -> v = [ z ] .~ ) ) $=
      ( vw wprt cv wcel wa cec wceq wbr wb prtlem18 imp vex elec bitr4di eqrdv
      ex ) FJZDKZFLCKZUFLMZUFUGGNZOUEUHMZIUFUIUJIKZUFLZUGUKGPZUKUILUEUHULUMQABC
      IDEFGHRSUKUGGITCTUAUBUCUD $.

    $( Every partition generates an equivalence relation.  (Contributed by
       Rodolfo Medina, 13-Oct-2010.)  (Revised by Mario Carneiro,
       12-Aug-2015.) $)
    prter1 $p |- ( Prt A -> .~ Er U. A ) $=
      ( vz vw vp vv vq vr cv wbr wi wa wal wel wrex prtlem13 wprt wrel cdm cuni
      wceq wer relopabiv prtlem16 prtlem15 anbi12i reeanv bitr4i 3imtr4g pm3.22
      a1i reximi 3imtr4i jctil alrimivv alrimiv dfer2 syl3anbrc ) DUAZEUBZEUCDU
      DZUEZGMZHMZENZVHVGENZOZVIVHIMZENZPZVGVLENZOZPZIQHQZGQVEEUFVDVCACRBCRPCDSA
      BEFUGUOVFVCABCDEFUHUOVCVRGVCVQHIVCVPVKVCGJRZHJRZPZHKRIKRPZPKDSJDSZGLRILRP
      LDSVNVOJKLHIGDUIVNWAJDSZWBKDSZPWCVIWDVMWEABGHJCDEFTZABHIKCDEFTUJWAWBJKDDU
      KULABGILCDEFTUMWDVTVSPZJDSVIVJWAWGJDVSVTUNUPWFABHGJCDEFTUQURUSUTGHIVEEVAV
      B $.

    $( The equivalence relation generated by a partition is a set if and only
       if the partition itself is a set.  (Contributed by Rodolfo Medina,
       15-Oct-2010.)  (Revised by Mario Carneiro, 12-Aug-2015.) $)
    prtex $p |- ( Prt A -> ( .~ e. _V <-> A e. _V ) ) $=
      ( wprt cvv wcel cuni wer wb prter1 erexb syl uniexb bitr4di ) DGZEHIZDJZH
      IZDHIRTEKSUALABCDEFMTENODPQ $.

    $( The quotient set of the equivalence relation generated by a partition
       equals the partition itself.  (Contributed by Rodolfo Medina,
       17-Oct-2010.) $)
    prter2 $p |- ( Prt A -> ( U. A /. .~ ) = ( A \ { (/) } ) ) $=
      ( vp vv vz c0 cv wcel wa wceq wrex wex bitri df-rex wral wi wprt cuni cqs
      csn cdif wne cec rexcom4 r19.41v exbii rexbii elqs eluni2 anbi1i 3bitr4ri
      vex prtlem19 ralrimivv 2r19.29 ex syl5bi eqtr3 reximi syl6 19.41v simprbi
      syl risset syl6ibr prtlem400 nelelne mp1i jcad eldifsn neldifsn n0el mpbi
      rspec eldifi jca ancomsd elunii jca2r cvv prtlem11 elv imp eximdv 3imtr3g
      wn 19.9v syl5 impbid eqrdv ) DUAZGDUBZEUCZDJUDZUEZWOGKZWQLZWTWSLZWOXAWTDL
      ZWTJUFZMXBWOXAXCXDWOXAHKZWTNZHDOZXCWOXAXFIXEOZHDOZXGWOXAXEIKZEUGZNZWTXKNZ
      MZIXEOZHDOZXIXAXMIXEOZHDOZWOXPXJXELZXMMZIPZHDOZXSHDOZXMMZIPZXRXAYBXTHDOZI
      PYEXTHIDUHYFYDIXSXMHDUIUJQXQYAHDXMIXERUKXAXMIWPOZYEIWPWTEGUPULYGXJWPLZXMM
      ZIPYEXMIWPRYIYDIYHYCXMHXJDUMUNUJQQUOWOXLIXESHDSZXRXPTWOXLHIDXEABIHCDEFUQU
      RYJXRXPXLXMHIDXEUSUTVGVAXOXHHDXNXFIXEXEWTXKVBVCVCVDXHXFHDXHXSIPZXFXHXSXFM
      IPYKXFMXFIXERXSXFIVEQVFVCVDHWTDVHVIJWQLWJXAXDTWOABCDEFVJJWQWTVKVLVMWTDJVN
      VIXBXJWTLZIPZXCMZWOXAXBYMXCYMGWSJWSLWJYMGWSSJDVOGIWSVPVQVRWTDWRVSVTWOYLXC
      MZIPXAIPYNXAWOYOXAIWOYOYIXAWOYOXMYHWOXCYLXMABIGCDEFUQWAXJWTDWBWCYHXMXAYHX
      MXATTGWPWTXJWDEWEWFWGVDWHYLXCIVEXAIWKWIWLWMWN $.

    $( For every partition there exists a unique equivalence relation whose
       quotient set equals the partition.  (Contributed by Rodolfo Medina,
       19-Oct-2010.)  (Proof shortened by Mario Carneiro, 12-Aug-2015.) $)
    prter3 $p |- ( ( S Er U. A /\ ( U. A /. S ) = ( A \ { (/) } ) ) ->
        .~ = S ) $=
      ( vz vw vv wrel c0 wceq wa wel wrex cv wbr wb wcel cuni wer cqs csn errel
      adantr relopabiv prtlem13 cec simpll wne simprl ad2antll eldifsn sylanbrc
      cdif ne0i simplr eleqtrrd simprr qsel syl3anc eleq2d elec bitrdi pm5.32da
      vex anassrs rexbidva simpr ercl eluni2 ex pm4.71rd r19.41v bitr4di bitr4d
      sylib syl5bb adantl eqbrrdv2 mpanl1 mpancom ) FKZDUAZFUBZWEFUCZDLUDUPZMZN
      ZEFMZWFWDWIWEFUEUFEKZWDWJWKACOBCONCDPABEGUGWJHIEFWJHQZIQZERZWMWNFRZSWLWDN
      WOHJOZIJOZNZJDPZWJWPABHIJCDEGUHWJWTWQWPNZJDPZWPWJWSXAJDWJJQZDTZNWQWRWPWJX
      DWQWRWPSWJXDWQNZNZWRWNWMFUIZTWPXFXCXGWNXFWFXCWGTWQXCXGMWFWIXEUJXFXCWHWGXF
      XDXCLUKZXCWHTWJXDWQULWQXHWJXDXCWMUQUMXCDLUNUOWFWIXEURUSWJXDWQUTWEXCWMFWEV
      AVBVCWNWMFIVGHVGVDVEVHVFVIWJWPWQJDPZWPNXBWJWPXIWJWPXIWJWPNZWMWETXIXJWMWNF
      WEWFWIWPUJWJWPVJVKJWMDVLVRVMVNWQWPJDVOVPVQVSVTWAWBWC $.
  $}

$( (End of Rodolfo Medina's mathbox.) $)
$( End $[ set-mbox-rm.mm $] $)


$( Begin $[ set-mbox-nm.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Norm Megill
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  We are sad to report the passing of Metamath creator and long-time
  contributor Norm Megill (1950 - 2021).

  Norm of course was the author of the Metamath proof language, the
  specification, all of the early tools (and some of the later ones),
  and the foundational work in logic and set theory for set.mm.

  His tools, now at https://github.com/metamath/metamath-exe , include
  a proof verifier, a proof assistant, a proof minimizer, style
  checking and reformatting, and tools for searching and displaying
  proofs.

  One of his key insights was that formal proofs can exist not only to
  be verified by computers, but also to be read by humans.  Both the
  specification of the proof format (which stores full proofs, as
  opposed to the proof templates used by most proof assistants) and
  the generated web display of Metamath proofs, one of its distinctive
  features, contribute to this double objective.

  Metamath innovated both by using a very simple substitution rule (and
  then using that to build more complicated notions like free and bound
  variables) and also by taking the axiom schemas found in many theories
  and taking them to the next level - by making all axioms, theorems and
  proofs operate in terms of schemas.

  Not content to create Metamath for his own amusement, he also published it
  for the world and encouraged the development of a community of people who
  contributed to it and created their own tools.  He was an active participant
  in the Metamath mailing list and other forums until days before his passing.

  It is often our custom to supply a quote from someone memorialized
  in a mathbox entry.  And it is difficult to select a quote for someone
  who has written so much about Metamath over the years.  But here is one
  quote from the Metamath web page which illustrates not just his clear
  thinking about what Metamath can and cannot do but also his desire to
  encourage students at all levels:

  Q: Will Metamath help me learn abstract mathematics?
  A: Yes, but probably not by itself.  In order to follow a proof in an
  advanced math textbook, you may need to know prerequisites that could take
  years to learn.  Some people find this frustrating.  In contrast, Metamath
  uses a single, simple substitution rule that allows you to follow any proof
  mechanically.  You can actually jump in anywhere and be convinced that
  the symbol string you see in a proof step is a consequence of the symbol
  strings in the earlier steps that it references, even if you don't
  understand what the symbols mean.  But this is quite different from
  understanding the meaning of the math that results.  Metamath alone
  probably will not give you an intuitive feel for abstract math, in the
  same way it can be hard to grasp a large computer program just by
  reading its source code, even though you may understand each individual
  instruction.  However, the Bibliographic Cross-Reference lets you compare
  informal proofs in math textbooks and see all the implicit missing
  details "left to the reader."

$)

$(

  Note: A label suffixed with "N" (after the "Atoms..." section below), such as
  ~ lshpnel2N , means that the definition or theorem is not used for the
  derivation of ~ hlathil .  This is a temporary renaming to assist cleaning up
  the theorems needed by ~ hlathil .

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Predicate calculus with equality:  Older axiomatization (1 rule, 14 schemes)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The "scheme completeness theorem", Theorem 9.7 of [Megill] p. 448 (called the
  "metalogical completeness theorem" there), uses a different but (logically
  and metalogically) equivalent set of axiom schemes for its proof.  In order
  to show that our axiomatization is also metalogically complete, we derive the
  axiom schemes of that paper in this section (or mention where they are
  derived, if they have already been derived as theorems above).  Additionally,
  we rederive our axiomatization from the one in the paper, showing that the
  two systems are equivalent.

  The 14 predicate calculus axioms used by the paper are ~ ax-c4 , ~ ax-c5 ,
  ~ ax-11 , ~ ax-c7 , ~ ax-7 , ~ ax-c9 , ~ ax-c10 , ~ ax-c11 , ~ ax-8 ,
  ~ ax-9 , ~ ax-c14 , ~ ax-c15 , ~ ax-c16 , and ~ ax-5 .  Like ours, it
  includes the rule of generalization ( ~ ax-gen ).

  The ones we need to prove from our axioms are ~ ax-c4 , ~ ax-c5 , ~ ax-c7 ,
  ~ ax-c9 , ~ ax-c10 , ~ ax-c11 , ~ ax-c14 , ~ ax-c15 , and ~ ax-c16 . The
  theorems showing the derivations of those axioms, which have all been proved
  earlier, are ~ axc4 , ~ axc5 (also called ~ sp ), ~ axc7 , ~ axc9 , ~ axc10 ,
  ~ axc11 , ~ axc14 , ~ axc15 , ~ axc16 , and ~ axc11n . In addition, ~ ax-c11n
  was an intermediate axiom we adopted at one time, and we show its proof in
  this section as ~ axc11nfromc11 .

  This section also includes a few miscellaneous legacy theorems such as
  ~ hbequid used in older axiomatizations.

  Note:  The axioms and theorems in this section should not be used outside of
  this section.  Inside this section, we may use the external axioms ~ ax-gen ,
  ~ ax-5 , ~ ax-7 , ~ ax-6 , ~ ax-8 , and ~ ax-9 since they are common to both
  our current and the older axiomatizations.  (These are the ones that were
  never revised.)

  The following newer axioms may NOT be used in this section until we have
  proved them from the older axioms: ~ ax-4 , ~ ax-10 , ~ ax-6 , ~ ax-12 , and
  ~ ax-13 .  However, once we have rederived an axiom (e.g., theorem
  ~ ax4fromc4 for Axiom ~ ax-4 ), we may make use of theorems outside of this
  section that make use of the rederived axiom (e.g., we may use theorem
  ~ alimi , which uses ~ ax-4 , after proving ~ ax4fromc4 ).

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Obsolete schemes ax-c4,c5,c7,c10,c11,c11n,c15,c9,c14,c16
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  These older axiom schemes are obsolete and should not be used outside of this
  section.  They are proved above as theorems axc4 , ~ sp , ~ axc7 , ~ axc10 ,
  ~ axc11 , ~ axc11n , ~ axc15 , ~ axc9 , ~ axc14 , and ~ axc16 .

$)

  $( Axiom of Specialization.  A universally quantified wff implies the wff
     without the universal quantifier (i.e., an instance, or special case, of
     the generalized wff).  In other words, if something is true for all
     ` x ` , then it is true for any specific ` x ` (that would typically occur
     as a free variable in the wff substituted for ` ph ` ).  (A free variable
     is one that does not occur in the scope of a quantifier: ` x ` and ` y `
     are both free in ` x = y ` , but only ` x ` is free in ` A. y x = y ` .)
     Axiom scheme C5' in [Megill] p. 448 (p. 16 of the preprint).  Also appears
     as Axiom B5 of [Tarski] p. 67 (under his system S2, defined in the last
     paragraph on p. 77).

     Note that the converse of this axiom does not hold in general, but a
     weaker inference form of the converse holds and is expressed as rule
     ~ ax-gen .  Conditional forms of the converse are given by ~ ax-13 ,
     ~ ax-c14 , ~ ax-c16 , and ~ ax-5 .

     Unlike the more general textbook Axiom of Specialization, we cannot choose
     a variable different from ` x ` for the special case.  In our
     axiomatization, that requires the assistance of equality axioms, and we
     deal with it later after we introduce the definition of proper
     substitution (see ~ stdpc4 ).

     An interesting alternate axiomatization uses ~ axc5c711 and ~ ax-c4 in
     place of ~ ax-c5 , ~ ax-4 , ~ ax-10 , and ~ ax-11 .

     This axiom is obsolete and should no longer be used.  It is proved above
     as Theorem ~ sp .  (Contributed by NM, 3-Jan-1993.)  Use ~ sp instead.
     (New usage is discouraged.) $)
  ax-c5 $a |- ( A. x ph -> ph ) $.

  $( Axiom of Quantified Implication.  This axiom moves a universal quantifier
     from outside to inside an implication, quantifying ` ps ` .  Notice that
     ` x ` must not be a free variable in the antecedent of the quantified
     implication, and we express this by binding ` ph ` to "protect" the axiom
     from a ` ph ` containing a free ` x ` .  Axiom scheme C4' in [Megill]
     p. 448 (p. 16 of the preprint).  It is a special case of Lemma 5 of
     [Monk2] p. 108 and Axiom 5 of [Mendelson] p. 69.

     This axiom is obsolete and should no longer be used.  It is proved above
     as Theorem ~ axc4 .  (Contributed by NM, 3-Jan-1993.)
     (New usage is discouraged.) $)
  ax-c4 $a |- ( A. x ( A. x ph -> ps ) -> ( A. x ph -> A. x ps ) ) $.

  $( Axiom of Quantified Negation.  This axiom is used to manipulate negated
     quantifiers.  Equivalent to axiom scheme C7' in [Megill] p. 448 (p. 16 of
     the preprint).  An alternate axiomatization could use ~ axc5c711 in place
     of ~ ax-c5 , ~ ax-c7 , and ~ ax-11 .

     This axiom is obsolete and should no longer be used.  It is proved above
     as Theorem ~ axc7 .  (Contributed by NM, 10-Jan-1993.)
     (New usage is discouraged.) $)
  ax-c7 $a |- ( -. A. x -. A. x ph -> ph ) $.

  $( A variant of ~ ax6 .  Axiom scheme C10' in [Megill] p. 448 (p. 16 of the
     preprint).

     This axiom is obsolete and should no longer be used.  It is proved above
     as Theorem ~ axc10 .  (Contributed by NM, 10-Jan-1993.)
     (New usage is discouraged.) $)
  ax-c10 $a |- ( A. x ( x = y -> A. x ph ) -> ph ) $.

  $( Axiom ~ ax-c11 was the original version of ~ ax-c11n ("n" for "new"),
     before it was discovered (in May 2008) that the shorter ~ ax-c11n could
     replace it.  It appears as Axiom scheme C11' in [Megill] p. 448 (p. 16 of
     the preprint).

     This axiom is obsolete and should no longer be used.  It is proved above
     as Theorem ~ axc11 .  (Contributed by NM, 10-May-1993.)
     (New usage is discouraged.) $)
  ax-c11 $a |- ( A. x x = y -> ( A. x ph -> A. y ph ) ) $.

  $( Axiom of Quantifier Substitution.  One of the equality and substitution
     axioms of predicate calculus with equality.  Appears as Lemma L12 in
     [Megill] p. 445 (p. 12 of the preprint).

     The original version of this axiom was ~ ax-c11 and was replaced with this
     shorter ~ ax-c11n ("n" for "new") in May 2008.  The old axiom is proved
     from this one as Theorem ~ axc11 .  Conversely, this axiom is proved from
     ~ ax-c11 as Theorem ~ axc11nfromc11 .

     This axiom was proved redundant in July 2015.  See Theorem ~ axc11n .

     This axiom is obsolete and should no longer be used.  It is proved above
     as Theorem ~ axc11n .  (Contributed by NM, 16-May-2008.)
     (New usage is discouraged.) $)
  ax-c11n $a |- ( A. x x = y -> A. y y = x ) $.

  $( Axiom ~ ax-c15 was the original version of ~ ax-12 , before it was
     discovered (in Jan. 2007) that the shorter ~ ax-12 could replace it.  It
     appears as Axiom scheme C15' in [Megill] p. 448 (p. 16 of the preprint).
     It is based on Lemma 16 of [Tarski] p. 70 and Axiom C8 of [Monk2] p. 105,
     from which it can be proved by cases.  To understand this theorem more
     easily, think of " ` -. A. x x = y -> ` ..." as informally meaning "if
     ` x ` and ` y ` are distinct variables then..."  The antecedent becomes
     false if the same variable is substituted for ` x ` and ` y ` , ensuring
     the theorem is sound whenever this is the case.  In some later theorems,
     we call an antecedent of the form ` -. A. x x = y ` a "distinctor".

     Interestingly, if the wff expression substituted for ` ph ` contains no
     wff variables, the resulting statement _can_ be proved without invoking
     this axiom.  This means that even though this axiom is _metalogically_
     independent from the others, it is not _logically_ independent.
     Specifically, we can prove any wff-variable-free instance of Axiom
     ~ ax-c15 (from which the ~ ax-12 instance follows by Theorem ~ ax12 .)
     The proof is by induction on formula length, using ~ ax12eq and ~ ax12el
     for the basis steps and ~ ax12indn , ~ ax12indi , and ~ ax12inda for the
     induction steps.  (This paragraph is true provided we use ~ ax-c11 in
     place of ~ ax-c11n .)

     This axiom is obsolete and should no longer be used.  It is proved above
     as Theorem ~ axc15 , which should be used instead.  (Contributed by NM,
     14-May-1993.)  (New usage is discouraged.) $)
  ax-c15 $a |- ( -. A. x x = y ->
             ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $.

  $( Axiom of Quantifier Introduction.  One of the equality and substitution
     axioms of predicate calculus with equality.  Informally, it says that
     whenever ` z ` is distinct from ` x ` and ` y ` , and ` x = y ` is true,
     then ` x = y ` quantified with ` z ` is also true.  In other words, ` z `
     is irrelevant to the truth of ` x = y ` .  Axiom scheme C9' in [Megill]
     p. 448 (p. 16 of the preprint).  It apparently does not otherwise appear
     in the literature but is easily proved from textbook predicate calculus by
     cases.

     This axiom is obsolete and should no longer be used.  It is proved above
     as Theorem ~ axc9 .  (Contributed by NM, 10-Jan-1993.)
     (New usage is discouraged.) $)
  ax-c9 $a |- ( -. A. z z = x -> ( -. A. z z = y ->
              ( x = y -> A. z x = y ) ) ) $.

  $( Axiom of Quantifier Introduction.  One of the equality and substitution
     axioms for a non-logical predicate in our predicate calculus with
     equality.  Axiom scheme C14' in [Megill] p. 448 (p. 16 of the preprint).
     It is redundant if we include ~ ax-5 ; see Theorem ~ axc14 .  Alternately,
     ~ ax-5 becomes unnecessary in principle with this axiom, but we lose the
     more powerful metalogic afforded by ~ ax-5 .  We retain ~ ax-c14 here to
     provide completeness for systems with the simpler metalogic that results
     from omitting ~ ax-5 , which might be easier to study for some theoretical
     purposes.

     This axiom is obsolete and should no longer be used.  It is proved above
     as Theorem ~ axc14 .  (Contributed by NM, 24-Jun-1993.)
     (New usage is discouraged.) $)
  ax-c14 $a |- ( -. A. z z = x -> ( -. A. z z = y ->
              ( x e. y -> A. z x e. y ) ) ) $.

  ${
    $d x y $.
    $( Axiom of Distinct Variables.  The only axiom of predicate calculus
       requiring that variables be distinct (if we consider ~ ax-5 to be a
       metatheorem and not an axiom).  Axiom scheme C16' in [Megill] p. 448 (p.
       16 of the preprint).  It apparently does not otherwise appear in the
       literature but is easily proved from textbook predicate calculus by
       cases.  It is a somewhat bizarre axiom since the antecedent is always
       false in set theory (see ~ dtru ), but nonetheless it is technically
       necessary as you can see from its uses.

       This axiom is redundant if we include ~ ax-5 ; see Theorem ~ axc16 .
       Alternately, ~ ax-5 becomes logically redundant in the presence of this
       axiom, but without ~ ax-5 we lose the more powerful metalogic that
       results from being able to express the concept of a setvar variable not
       occurring in a wff (as opposed to just two setvar variables being
       distinct).  We retain ~ ax-c16 here to provide logical completeness for
       systems with the simpler metalogic that results from omitting ~ ax-5 ,
       which might be easier to study for some theoretical purposes.

       This axiom is obsolete and should no longer be used.  It is proved above
       as Theorem ~ axc16 .  (Contributed by NM, 10-Jan-1993.)
       (New usage is discouraged.) $)
    ax-c16 $a |- ( A. x x = y -> ( ph -> A. x ph ) ) $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Rederive new axioms ax-4, ax-10, ax-6, ax-12, ax-13 from old
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Theorems ~ ax12fromc15 and ~ ax13fromc9 require some intermediate theorems
  that are included in this section.

$)

  $( This theorem repeats ~ sp under the name ~ axc5 , so that the Metamath
     program "MM> VERIFY MARKUP" command will check that it matches axiom
     scheme ~ ax-c5 .  (Contributed by NM, 18-Aug-2017.)
     (Proof modification is discouraged.)  Use ~ sp instead.
     (New usage is discouraged.) $)
  axc5 $p |- ( A. x ph -> ph ) $=
    ( sp ) ABC $.

  $( Rederivation of Axiom ~ ax-4 from ~ ax-c4 , ~ ax-c5 , ~ ax-gen and minimal
     implicational calculus { ~ ax-mp , ~ ax-1 , ~ ax-2 }.  See ~ axc4 for the
     derivation of ~ ax-c4 from ~ ax-4 .  (Contributed by NM, 23-May-2008.)
     (Proof modification is discouraged.)  Use ~ ax-4 instead.
     (New usage is discouraged.) $)
  ax4fromc4 $p |- ( A. x ( ph -> ps ) -> ( A. x ph -> A. x ps ) ) $=
    ( wi wal ax-c4 ax-c5 syl5 mpg syl ) ABDZCEZACEZBDZCEZMBCEDLNDLODCKNCFMALBAC
    GKCGHIABCFJ $.

  $( Rederivation of Axiom ~ ax-10 from ~ ax-c7 , ~ ax-c4 , ~ ax-c5 , ~ ax-gen
     and propositional calculus.  See ~ axc7 for the derivation of ~ ax-c7 from
     ~ ax-10 .  (Contributed by NM, 23-May-2008.)
     (Proof modification is discouraged.)  Use ~ ax-10 instead.
     (New usage is discouraged.) $)
  ax10fromc7 $p |- ( -. A. x ph -> A. x -. A. x ph ) $=
    ( wal wn wi ax-c4 ax-c5 id mpg nsyl ax-c7 nsyl4 ) ABCZBCZDZBCZMDZBCZMPQEPRE
    BOQBFPNMOBGMMEMNEBAMBFMHIJIMBKL $.

  $( Rederivation of Axiom ~ ax-6 from ~ ax-c7 , ~ ax-c10 , ~ ax-gen and
     propositional calculus.  See ~ axc10 for the derivation of ~ ax-c10 from
     ~ ax-6 .  Lemma L18 in [Megill] p. 446 (p. 14 of the preprint).
     (Contributed by NM, 14-May-1993.)  (Proof modification is discouraged.)
     Use ~ ax-6 instead.  (New usage is discouraged.) $)
  ax6fromc10 $p |- -. A. x -. x = y $=
    ( weq wn wal wi ax-c10 ax-c7 con4i mpg ) ABCZKDZAEDZAEZFMAMABGNKLAHIJ $.

  $( The setvar ` x ` is not free in ` A. x ph ` .  Example in Appendix in
     [Megill] p. 450 (p. 19 of the preprint).  Also Lemma 22 of [Monk2] p. 114.
     (Contributed by NM, 24-Jan-1993.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  hba1-o $p |- ( A. x ph -> A. x A. x ph ) $=
    ( wal wn ax-c5 con2i ax10fromc7 con1i alimi 3syl ) ABCZKDZBCZDZNBCKBCMKLBEF
    LBGNKBKMABGHIJ $.

  ${
    axc4i-o.1 $e |- ( A. x ph -> ps ) $.
    $( Inference version of ~ ax-c4 .  (Contributed by NM, 3-Jan-1993.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    axc4i-o $p |- ( A. x ph -> A. x ps ) $=
      ( wal hba1-o alrimih ) ACEBCACFDG $.
  $}

  $( Proof of ~ equid from our older axioms.  This is often an axiom of
     equality in textbook systems, but we don't need it as an axiom since it
     can be proved from our other axioms (although the proof, as you can see
     below, is not as obvious as you might think).  This proof uses only axioms
     without distinct variable conditions and requires no dummy variables.  A
     simpler proof, similar to Tarski's, is possible if we make use of ~ ax-5 ;
     see the proof of ~ equid .  See ~ equid1ALT for an alternate proof.
     (Contributed by NM, 10-Jan-1993.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  equid1 $p |- x = x $=
    ( weq wal wn wi ax-c4 ax-c5 ax-c9 sylc mpg ax-c10 syl ax-c7 pm2.61i ) AABZA
    CZDZACZOROPEZACZORSERTEAQSAFRQQSQAGZUAAAAHIJOAAKLOAMN $.

  $( Proof of ~ equcomi from ~ equid1 , avoiding use of ~ ax-5 (the only use of
     ~ ax-5 is via ~ ax7 , so using ~ ax-7 instead would remove dependency on
     ~ ax-5 ).  (Contributed by BJ, 8-Jul-2021.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  equcomi1 $p |- ( x = y -> y = x ) $=
    ( weq equid1 ax7 mpi ) ABCAACBACADABAEF $.

  $( Commutation law for identical variable specifiers.  The antecedent and
     consequent are true when ` x ` and ` y ` are substituted with the same
     variable.  Lemma L12 in [Megill] p. 445 (p. 12 of the preprint).  Version
     of ~ aecom using ~ ax-c11 .  Unlike ~ axc11nfromc11 , this version does
     not require ~ ax-5 (see comment of ~ equcomi1 ).  (Contributed by NM,
     10-May-1993.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  aecom-o $p |- ( A. x x = y -> A. y y = x ) $=
    ( weq wal ax-c11 pm2.43i equcomi1 alimi syl ) ABCZADZJBDZBACZBDKLJABEFJMBAB
    GHI $.

  ${
    alequcoms-o.1 $e |- ( A. x x = y -> ph ) $.
    $( A commutation rule for identical variable specifiers.  Version of
       ~ aecoms using ~ ax-c11 .  (Contributed by NM, 10-May-1993.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    aecoms-o $p |- ( A. y y = x -> ph ) $=
      ( weq wal aecom-o syl ) CBECFBCEBFACBGDH $.
  $}

  $( All variables are effectively bound in an identical variable specifier.
     Version of ~ hbae using ~ ax-c11 .  (Contributed by NM, 13-May-1993.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  hbae-o $p |- ( A. x x = y -> A. z A. x x = y ) $=
    ( weq wal wi ax-c5 ax-c9 syl7 ax-c11 aecoms-o pm2.43i syl5 pm2.61ii axc4i-o
    wn ax-11 syl ) ABDZAEZSCEZAETCESUAACADCEZCBDCEZTUAFZTSUBPUCPUASAGABCHIUDACS
    ACJKUDBCTSBEZBCDBEUATUESABJLSBCJMKNOSACQR $.

  ${
    dral1-o.1 $e |- ( A. x x = y -> ( ph <-> ps ) ) $.
    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint).  Version of
       ~ dral1 using ~ ax-c11 .  (Contributed by NM, 24-Nov-1994.)
       (New usage is discouraged.) $)
    dral1-o $p |- ( A. x x = y -> ( A. x ph <-> A. y ps ) ) $=
      ( weq wal hbae-o biimpd alimdh ax-c11 syld biimprd wi aecoms-o impbid ) C
      DFCGZACGZBDGZQRBCGSQABCCDCHQABEIJBCDKLQSADGZRQBADCDDHQABEMJTRNDCADCKOLP
      $.
  $}

  $( Rederivation of Axiom ~ ax-12 from ~ ax-c15 , ~ ax-c11 (used through
     ~ dral1-o ), and other older axioms.  See Theorem ~ axc15 for the
     derivation of ~ ax-c15 from ~ ax-12 .

     An open problem is whether we can prove this using ~ ax-c11n instead of
     ~ ax-c11 .

     This proof uses newer axioms ~ ax-4 and ~ ax-6 , but since these are
     proved from the older axioms above, this is acceptable and lets us avoid
     having to reprove several earlier theorems to use ~ ax-c4 and ~ ax-c10 .
     (Contributed by NM, 22-Jan-2007.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  ax12fromc15 $p |- ( x = y -> ( A. y ph -> A. x ( x = y -> ph ) ) ) $=
    ( weq wal wi biidd dral1-o ax-1 alimi syl6bir a1d ax-c5 ax-c15 syl7 pm2.61i
    wn ) BCDZBEZRACEZRAFZBEZFZFSUCRSTABEUBAABCSAGHAUABARIJKLTASQRUBACMABCNOP $.

  $( Derive ~ ax-13 from ~ ax-c9 and other older axioms.

     This proof uses newer axioms ~ ax-4 and ~ ax-6 , but since these are
     proved from the older axioms above, this is acceptable and lets us avoid
     having to reprove several earlier theorems to use ~ ax-c4 and ~ ax-c10 .
     (Contributed by NM, 21-Dec-2015.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  ax13fromc9 $p |- ( -. x = y -> ( y = z -> A. x y = z ) ) $=
    ( weq wn wal wi ax-c5 con3i ax-c9 syl2im ax13b mpbir ) ABDZEZBCDZPAFZGZGOAC
    DZEZRGGONAFZETSAFZERUANNAHIUBSSAHIBCAJKQABCLM $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Legacy theorems using obsolete axioms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  These theorems were mostly intended to study properties of the older axiom
  schemes and are not useful outside of this section.  They should not be
  used outside of this section.  They may be deleted when they are deemed to no
  longer be of interest.

$)

  ${
    $d x ph $.
    $( Axiom to quantify a variable over a formula in which it does not occur.
       Axiom C5 in [Megill] p. 444 (p. 11 of the preprint).  Also appears as
       Axiom B6 (p. 75) of system S2 of [Tarski] p. 77 and Axiom C5-1 of
       [Monk2] p. 113.

       (This theorem simply repeats ~ ax-5 so that we can include the following
       note, which applies only to the obsolete axiomatization.)

       This axiom is _logically_ redundant in the (logically complete)
       predicate calculus axiom system consisting of ~ ax-gen , ~ ax-c4 ,
       ~ ax-c5 , ~ ax-11 , ~ ax-c7 , ~ ax-7 , ~ ax-c9 , ~ ax-c10 , ~ ax-c11 ,
       ~ ax-8 , ~ ax-9 , ~ ax-c14 , ~ ax-c15 , and ~ ax-c16 : in that system,
       we can derive any instance of ~ ax-5 not containing wff variables by
       induction on formula length, using ~ ax5eq and ~ ax5el for the basis
       together with ~ hbn , ~ hbal , and ~ hbim .  However, if we omit this
       axiom, our development would be quite inconvenient since we could work
       only with specific instances of wffs containing no wff variables - this
       axiom introduces the concept of a setvar variable not occurring in a wff
       (as opposed to just two setvar variables being distinct).  (Contributed
       by NM, 19-Aug-2017.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    ax5ALT $p |- ( ph -> A. x ph ) $=
      ( ax-5 ) ABC $.
  $}

  ${
    sps-o.1 $e |- ( ph -> ps ) $.
    $( Generalization of antecedent.  (Contributed by NM, 5-Jan-1993.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    sps-o $p |- ( A. x ph -> ps ) $=
      ( wal ax-c5 syl ) ACEABACFDG $.
  $}

  $( Bound-variable hypothesis builder for ` x = x ` .  This theorem tells us
     that any variable, including ` x ` , is effectively not free in
     ` x = x ` , even though ` x ` is technically free according to the
     traditional definition of free variable.  (The proof does not use
     ~ ax-c10 .)  (Contributed by NM, 13-Jan-2011.)  (Proof shortened by Wolf
     Lammen, 23-Mar-2014.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  hbequid $p |- ( x = x -> A. y x = x ) $=
    ( weq wal wi ax-c9 ax7 pm2.43i alimi a1d pm2.61ii ) BACZBDZMAACZNBDZEAABFMO
    NLNBLNBAAGHIJZPK $.

  $( Bound-variable hypothesis builder for ` x = x ` .  This theorem tells us
     that any variable, including ` x ` , is effectively not free in
     ` x = x ` , even though ` x ` is technically free according to the
     traditional definition of free variable.  (The proof uses only ~ ax-4 ,
     ~ ax-7 , ~ ax-c9 , and ~ ax-gen .  This shows that this can be proved
     without ~ ax6 , even though Theorem ~ equid cannot.  A shorter proof using
     ~ ax6 is obtainable from ~ equid and ~ hbth .)  Remark added 2-Dec-2015
     NM:  This proof does implicitly use ~ ax6v , which is used for the
     derivation of ~ axc9 , unless we consider ~ ax-c9 the starting axiom
     rather than ~ ax-13 .  (Contributed by NM, 13-Jan-2011.)  (Revised by
     Mario Carneiro, 12-Oct-2016.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  nfequid-o $p |- F/ y x = x $=
    ( weq hbequid nf5i ) AACBABDE $.

  $( Proof of a single axiom that can replace ~ ax-c5 and ~ ax-c7 .  See
     ~ axc5c7toc5 and ~ axc5c7toc7 for the rederivation of those axioms.
     (Contributed by Scott Fenton, 12-Sep-2005.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  axc5c7 $p |- ( ( A. x -. A. x ph -> A. x ph ) -> ph ) $=
    ( wal wn ax-c7 ax-c5 ja ) ABCZDBCHAABEABFG $.

  $( Rederivation of ~ ax-c5 from ~ axc5c7 .  Only propositional calculus is
     used for the rederivation.  (Contributed by Scott Fenton, 12-Sep-2005.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  axc5c7toc5 $p |- ( A. x ph -> ph ) $=
    ( wal wn wi ax-1 axc5c7 syl ) ABCZIDBCZIEAIJFABGH $.

  $( Rederivation of ~ ax-c7 from ~ axc5c7 .  Only propositional calculus is
     used for the rederivation.  (Contributed by Scott Fenton, 12-Sep-2005.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  axc5c7toc7 $p |- ( -. A. x -. A. x ph -> ph ) $=
    ( wal wn wi pm2.21 axc5c7 syl ) ABCZDBCZDJIEAJIFABGH $.

  $( Proof of a single axiom that can replace both ~ ax-c7 and ~ ax-11 .  See
     ~ axc711toc7 and ~ axc711to11 for the rederivation of those axioms.
     (Contributed by NM, 18-Nov-2006.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  axc711 $p |- ( -. A. x -. A. y A. x ph -> A. y ph ) $=
    ( wal wn ax-11 con3i alimi ax-c7 syl ) ABDCDZEZBDZEACDZBDZEZBDZENQMPLBKOACB
    FGHGNBIJ $.

  $( ` x ` is not free in ` A. x ph ` .  (Contributed by Mario Carneiro,
     11-Aug-2016.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  nfa1-o $p |- F/ x A. x ph $=
    ( wal hba1-o nf5i ) ABCBABDE $.

  $( Rederivation of ~ ax-c7 from ~ axc711 .  Note that ~ ax-c7 and ~ ax-11 are
     not used by the rederivation.  (Contributed by NM, 18-Nov-2006.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  axc711toc7 $p |- ( -. A. x -. A. x ph -> ph ) $=
    ( wal wn hba1-o con3i alimi axc711 ax-c5 3syl ) ABCZDZBCZDKBCZDZBCZDKAPMOLB
    KNABEFGFABBHABIJ $.

  $( Rederivation of ~ ax-11 from ~ axc711 .  Note that ~ ax-c7 and ~ ax-11 are
     not used by the rederivation.  (Contributed by NM, 18-Nov-2006.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  axc711to11 $p |- ( A. x A. y ph -> A. y A. x ph ) $=
    ( wal wn axc711toc7 con4i axc711 alimi syl ) ACDBDZKEZCDEZCDZABDZCDNKLCFGMO
    CACBHIJ $.

  $( Proof of a single axiom that can replace ~ ax-c5 , ~ ax-c7 , and ~ ax-11
     in a subsystem that includes these axioms plus ~ ax-c4 and ~ ax-gen (and
     propositional calculus).  See ~ axc5c711toc5 , ~ axc5c711toc7 , and
     ~ axc5c711to11 for the rederivation of those axioms.  This theorem extends
     the idea in Scott Fenton's ~ axc5c7 .  (Contributed by NM, 18-Nov-2006.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  axc5c711 $p |- ( ( A. x A. y -. A. x A. y ph -> A. x ph ) -> ph ) $=
    ( wal wn ax-c5 ax10fromc7 ax-c7 con1i alimi ax-11 3syl nsyl4 ja ) ACDZBDEZC
    DBDZABDAOAQACFOEZRCDPBDZCDQACGRSCSOOBHIJPCBKLMABFN $.

  $( Rederivation of ~ ax-c5 from ~ axc5c711 .  Only propositional calculus is
     used by the rederivation.  (Contributed by NM, 19-Nov-2006.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  axc5c711toc5 $p |- ( A. x ph -> ph ) $=
    ( wal wn wi ax-1 axc5c711 syl ) ABCZIBCDBCBCZIEAIJFABBGH $.

  $( Rederivation of ~ ax-c7 from ~ axc5c711 .  Note that ~ ax-c7 and ~ ax-11
     are not used by the rederivation.  The use of ~ alimi (which uses
     ~ ax-c5 ) is allowed since we have already proved ~ axc5c711toc5 .
     (Contributed by NM, 19-Nov-2006.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  axc5c711toc7 $p |- ( -. A. x -. A. x ph -> ph ) $=
    ( wal wn wi hba1-o con3i alimi sps-o pm2.21 axc5c711 3syl ) ABCZDZBCZDMBCZD
    ZBCZBCZDSMEASOROBQNBMPABFGHIGSMJABBKL $.

  $( Rederivation of ~ ax-11 from ~ axc5c711 .  Note that ~ ax-c7 and ~ ax-11
     are not used by the rederivation.  The use of ~ alimi (which uses
     ~ ax-c5 ) is allowed since we have already proved ~ axc5c711toc5 .
     (Contributed by NM, 19-Nov-2006.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  axc5c711to11 $p |- ( A. x A. y ph -> A. y A. x ph ) $=
    ( wal wn axc5c711toc7 con4i wi pm2.21 axc5c711 syl alimi nsyl4 ) ACDBDZNEZC
    DZEZCDZABDZCDRNOCFGQSCPBDZEZBDSPUAABUATSHATSIABCJKLPBFMLK $.

  $( ~ equid with existential quantifier without using ~ ax-c5 or ~ ax-5 .
     (Contributed by NM, 13-Jan-2011.)  (Proof shortened by Wolf Lammen,
     27-Feb-2014.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  equidqe $p |- -. A. y -. x = x $=
    ( weq wn wal ax6fromc10 ax7 pm2.43i con3i alimi mto ) AACZDZBEBACZDZBEBAFMO
    BNLNLBAAGHIJK $.

  $( A special case of ~ ax-c5 without using ~ ax-c5 or ~ ax-5 .  (Contributed
     by NM, 13-Jan-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  axc5sp1 $p |- ( A. y -. x = x -> -. x = x ) $=
    ( weq wn wal equidqe pm2.21i ) AACDZBEHABFG $.

  $( ~ equid with universal quantifier without using ~ ax-c5 or ~ ax-5 .
     (Contributed by NM, 13-Jan-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  equidq $p |- A. y x = x $=
    ( weq wal wn equidqe ax10fromc7 hbequid con3i alrimih mt3 ) AACZBDZLEZBDABF
    MENBLBGLMABHIJK $.

  $( Alternate proof of ~ equid and ~ equid1 from older axioms ~ ax-c7 ,
     ~ ax-c10 and ~ ax-c9 .  (Contributed by NM, 10-Jan-1993.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  equid1ALT $p |- x = x $=
    ( weq wal wn wi ax-c9 pm2.43i alimi ax-c10 syl ax-c7 pm2.61i ) AABZACZDZACZ
    MPMNEZACMOQAOQAAAFGHMAAIJMAKL $.

  $( Rederivation of ~ ax-c11n from original version ~ ax-c11 .  See Theorem
     ~ axc11 for the derivation of ~ ax-c11 from ~ ax-c11n .

     This theorem should not be referenced in any proof.  Instead, use
     ~ ax-c11n above so that uses of ~ ax-c11n can be more easily identified,
     or use ~ aecom-o when this form is needed for studies involving ~ ax-c11
     and omitting ~ ax-5 .  (Contributed by NM, 16-May-2008.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  axc11nfromc11 $p |- ( A. x x = y -> A. y y = x ) $=
    ( weq wal ax-c11 pm2.43i equcomi alimi syl ) ABCZADZJBDZBACZBDKLJABEFJMBABG
    HI $.

  ${
    nalequcoms-o.1 $e |- ( -. A. x x = y -> ph ) $.
    $( A commutation rule for distinct variable specifiers.  Version of
       ~ naecoms using ~ ax-c11 .  (Contributed by NM, 2-Jan-2002.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    naecoms-o $p |- ( -. A. y y = x -> ph ) $=
      ( weq wal aecom-o nsyl4 con1i ) ACBECFZBCEBFJABCGDHI $.
  $}

  $( All variables are effectively bound in a distinct variable specifier.
     Lemma L19 in [Megill] p. 446 (p. 14 of the preprint).  Version of ~ hbnae
     using ~ ax-c11 .  (Contributed by NM, 13-May-1993.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  hbnae-o $p |- ( -. A. x x = y -> A. z -. A. x x = y ) $=
    ( weq wal hbae-o hbn ) ABDAECABCFG $.

  ${
    dvelimf-o.1 $e |- ( ph -> A. x ph ) $.
    dvelimf-o.2 $e |- ( ps -> A. z ps ) $.
    dvelimf-o.3 $e |- ( z = y -> ( ph <-> ps ) ) $.
    $( Proof of ~ dvelimh that uses ~ ax-c11 but not ~ ax-c15 , ~ ax-c11n , or
       ~ ax-12 .  Version of ~ dvelimh using ~ ax-c11 instead of ~ axc11 .
       (Contributed by NM, 12-Nov-2002.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    dvelimf-o $p |- ( -. A. x x = y -> ( ps -> A. x ps ) ) $=
      ( weq wal wn wi hba1-o ax-c11 aecoms-o syl5 a1d wa hbnae-o hban ax-c9 imp
      a1i hbimd hbald ex pm2.61i equsalh albii 3imtr3g ) CDICJKZEDIZALZEJZUNCJZ
      BBCJCEICJZUKUNUOLZLUPUQUKUNUNEJZUPUOUMEMURUOLECUNECNOPQUPKZUKUQUSUKRZUMCE
      USUKECEESCDESTUTULACUSUKCCECSCDCSTUSUKULULCJLEDCUAUBAACJLUTFUCUDUEUFUGABE
      DGHUHZUNBCVAUIUJ $.
  $}

  ${
    dral2-o.1 $e |- ( A. x x = y -> ( ph <-> ps ) ) $.
    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint).  Version of
       ~ dral2 using ~ ax-c11 .  (Contributed by NM, 27-Feb-2005.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    dral2-o $p |- ( A. x x = y -> ( A. z ph <-> A. z ps ) ) $=
      ( weq wal hbae-o albidh ) CDGCHABECDEIFJ $.
  $}

  ${
    $d t u v $.  $d t u x y $.  $d u w $.
    $( A "distinctor elimination" lemma with no disjoint variable conditions on
       variables in the consequent, proved without using ~ ax-c16 .  Version of
       ~ aev using ~ ax-c11 .  (Contributed by NM, 8-Nov-2006.)  (Proof
       shortened by Andrew Salmon, 21-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    aev-o $p |- ( A. x x = y -> A. z w = v ) $=
      ( weq wal hbae-o ax7 spimvw alrimih equcomi syl6 aecoms-o axc4i-o aecom-o
      vt vu 3syl ) ABFZAGZDEFZCABCHUAQBFZQGZREFZRGZUBUAUCQABQHTUCAQAQBIJKUDQRFZ
      QGZERFZEGUFUCUGQUGBQBQFZUGBRBRFUJRQFUGBRQIRQLMJNOUHUIEQREHUGUIQEQERIJKERP
      SUEUBRDRDEIJSK $.
  $}

  ${
    $d x z $.  $d y z $.
    $( Theorem to add distinct quantifier to atomic formula.  (This theorem
       demonstrates the induction basis for ~ ax-5 considered as a metatheorem.
       Do not use it for later proofs - use ~ ax-5 instead, to avoid reference
       to the redundant axiom ~ ax-c16 .)  (Contributed by NM, 10-Jan-1993.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ax5eq $p |- ( x = y -> A. z x = y ) $=
      ( weq wal wi ax-c9 ax-c16 pm2.61ii ) CADCECBDCEABDZJCEFABCGJCAHJCBHI $.
  $}

  ${
    $d w z x $.  $d w y $.
    $( Quantifier introduction when one pair of variables is distinct.  Version
       of ~ dveeq2 using ~ ax-c15 .  (Contributed by NM, 2-Jan-2002.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    dveeq2-o $p |- ( -. A. x x = y -> ( z = y -> A. x z = y ) ) $=
      ( vw weq ax-5 equequ2 dvelimf-o ) CDEZCBEZABDIAFJDFDBCGH $.
  $}

  ${
    $d x y $.
    $( A generalization of Axiom ~ ax-c16 .  Version of ~ axc16g using
       ~ ax-c11 .  (Contributed by NM, 15-May-1993.)  (Proof shortened by
       Andrew Salmon, 25-May-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    axc16g-o $p |- ( A. x x = y -> ( ph -> A. z ph ) ) $=
      ( weq wal aev-o ax-c16 biidd dral1-o biimprd sylsyld ) BCEBFDBEDFZAABFZAD
      FZBCDDBGABCHMONAADBMAIJKL $.
  $}

  ${
    $d w z x $.  $d w y $.
    $( Quantifier introduction when one pair of variables is distinct.  Version
       of ~ dveeq1 using ax-c11 .  (Contributed by NM, 2-Jan-2002.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    dveeq1-o $p |- ( -. A. x x = y -> ( y = z -> A. x y = z ) ) $=
      ( vw weq ax-5 equequ1 dvelimf-o ) DCEZBCEZABDIAFJDFDBCGH $.

    $( Version of ~ dveeq1 using ~ ax-c16 instead of ~ ax-5 .  (Contributed by
       NM, 29-Apr-2008.)  TODO:  Recover proof from older set.mm to remove use
       of ~ ax-5 .  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    dveeq1-o16 $p |- ( -. A. x x = y -> ( y = z -> A. x y = z ) ) $=
      ( vw weq ax5eq equequ1 dvelimh ) DCEBCEABDDCAFBCDFDBCGH $.
  $}

  ${
    $d x z $.  $d y z $.
    $( Theorem to add distinct quantifier to atomic formula.  This theorem
       demonstrates the induction basis for ~ ax-5 considered as a
       metatheorem.)  (Contributed by NM, 22-Jun-1993.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ax5el $p |- ( x e. y -> A. z x e. y ) $=
      ( weq wal wel wi ax-c14 ax-c16 pm2.61ii ) CADCECBDCEABFZKCEGABCHKCAIKCBIJ
      $.
  $}

  ${
    $d x z w $.
    $( This theorem shows that, given ~ ax-c16 , we can derive a version of
       ~ ax-c11n .  However, it is weaker than ~ ax-c11n because it has a
       distinct variable requirement.  (Contributed by Andrew Salmon,
       27-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    axc11n-16 $p |- ( A. x x = z -> A. z z = x ) $=
      ( vw weq wal wi ax-c16 alrimiv axc4i-o equequ1 cbvalvw a1i imbi12d albidv
      wb biimpi wex nfa1-o 19.23 alcoms albii ax6ev ax-mp alimi equequ2 spv syl
      pm2.27 sps-o sylbi 3syl ) ABDZAEZACDZUNAEZFZCEZAEZBCDZUSBEZFZCEZBEZBADZBE
      ULUQAUMUPCUNABGHIURVCUQVBABULUPVACULUNUSUOUTABCJZUOUTOULUNUSABVEKLMNKPVBV
      DBVAVDCBVABEZCEUSBQZUTFZCEZVDVFVHCUSUTBUSBRSUAVIUTCEVDVHUTCVGVHUTFBCUBVGU
      TUHUCUDUSVDBCUSCEVDBUSVDCACABUEUFUITUGUJTIUK $.
  $}

  ${
    $d w z x $.  $d w y $.
    $( Alternate proof of ~ dveel2 using ~ ax-c16 instead of ~ ax-5 .
       (Contributed by NM, 10-May-2008.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    dveel2ALT $p |- ( -. A. x x = y -> ( z e. y -> A. x z e. y ) ) $=
      ( vw wel ax5el elequ2 dvelimh ) CDECBEABDCDAFCBDFDBCGH $.
  $}

  ${
    ax12f.1 $e |- ( ph -> A. x ph ) $.
    $( Basis step for constructing a substitution instance of ~ ax-c15 without
       using ~ ax-c15 .  We can start with any formula ` ph ` in which ` x ` is
       not free.  (Contributed by NM, 21-Jan-2007.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ax12f $p |- ( -. A. x x = y ->
               ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $=
      ( weq wi wal wn ax-1 alrimih 2a1i ) ABCEZAFZBGFLBGHLAMBDALIJK $.
  $}

  ${
    $d x u v $.  $d y u v $.  $d z u v $.  $d w u v $.
    $( Basis step for constructing a substitution instance of ~ ax-c15 without
       using ~ ax-c15 .  Atomic formula for equality predicate.  (Contributed
       by NM, 22-Jan-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ax12eq $p |- ( -. A. x x = y ->
               ( x = y -> ( z = w -> A. x ( x = y -> z = w ) ) ) ) $=
      ( vu vv weq wal wn wi wa 19.26 a1i wb equequ1 equequ2 sps-o imbi12d exp32
      imbi2d equid ax-gen sylan9bb nfa1-o albid adantr mpbii sylbir axc9 impcom
      ad2antll adantrr equtrr alimi syl6 sylbid adantll ad2antrr mpbid biimprcd
      dral2-o imp adantlr ad2antlr ax-1 alrimiv adantl dveeq2-o im2anan9 sylibr
      wex ax6ev syl exlimdv mpi a1d 4cases ) ACGZAHZADGZAHZABGZAHIZWBCDGZWBWDJZ
      AHZJZJZJZVSWAKVRVTKZAHZWIVRVTALWKWCWBWGWKWCWBKZKAAGZWBWMJZAHZJZWGWOWMWNAW
      MWBAUAMUBMWKWPWGNWLWKWMWDWOWFWJWMWDNAVRWMCAGZVTWDACAOADCPZUCQZWKWNWEAWJAU
      DWKWMWDWBWSTUERUFUGSUHVSWAIZKZWCWBWGXAWLKVTWBVTJZAHZJZWGWTWLXDVSWTWLKZVTB
      DGZXCWBVTXFNWTWCABDOUKXEXFXFAHZXCWTWCXFXGJZWBWCWTXHBDAUIUJULXFXBABDAUMUNU
      OUPUQVSXDWGNWTWLVSVTWDXCWFVRVTWDNAACDOQZXBWEACAVSVTWDWBXITVARURUSSVSIZWAK
      ZWCWBWGXKWLKWQWBWQJZAHZJZWGXJWLXNWAXJWLKZWQCBGZXMWBWQXPNXJWCABCPZUKXOXPXP
      AHZXMXJWCXPXRJZWBXJWCXSCBAUIVBULXPXLAWBWQXPXQUTUNUOUPVCWAXNWGNXJWLWAWQWDX
      MWFVTWQWDNAWRQZXLWEADAWAWQWDWBXTTVARVDUSSXJWTKZWHWCYAWGWBYAEDGZEVKWGEDVLY
      AYBWGEYAFCGZFVKYBWGJZFCVLYAYCYDFYAYCYBWGYAYCYBKZKZFEGZWBYGJZAHZJWGYGYHAYG
      WBVEVFYFYGWDYIWFYEYGWDNZYAYCYGCEGYBWDFCEOEDCPUCZVGYFYEAHZYIWFNYFYCAHZYBAH
      ZKZYLYAYEYOXJYCYMWTYBYNACFVHADEVHVIVBYCYBALVJYLYHWEAYEAUDYLYGWDWBYEYJAYKQ
      TUEVMRUGSVNVOVNVOVPVPVQ $.
  $}

  ${
    $d x u v $.  $d y u v $.  $d z u v $.  $d w u v $.
    $( Basis step for constructing a substitution instance of ~ ax-c15 without
       using ~ ax-c15 .  Atomic formula for membership predicate.  (Contributed
       by NM, 22-Jan-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ax12el $p |- ( -. A. x x = y ->
               ( x = y -> ( z e. w -> A. x ( x = y -> z e. w ) ) ) ) $=
      ( vv vu weq wal wn wel wi wa wb elequ1 elequ2 adantl sps-o imbi2d imbi12d
      exp32 19.26 bitrd ax-5 dvelimf-o biimprcd alimi syl6 adantr sylbid nfa1-o
      sylan9bb albid sylbir ad2antll ax-c14 impcom adantrr adantll ad2antrr imp
      mpbid dral2-o adantlr ad2antlr wex ax6ev alrimiv dveeq2-o im2anan9 sylibr
      ax-1 syl mpbii exlimdv mpi a1d 4cases ) ACGZAHZADGZAHZABGZAHIZWBCDJZWBWDK
      ZAHZKZKZKZVSWALVRVTLZAHZWIVRVTAUAWKWCWBWGWKWCWBLZLAAJZWBWMKZAHZKZWGWLWPWK
      WLWMBBJZWOWBWMWQMWCWBWMBAJWQABANABBOUBZPWCWQWOKWBWCWQWQAHWOEEJZWQABEWSAUC
      WQEUCEBGWSBEJWQEBENEBBOUBUDWQWNAWBWMWQWRUEUFUGUHUIPWKWPWGMWLWKWMWDWOWFWJW
      MWDMAVRWMCAJZVTWDACANADCOZUKQZWKWNWEAWJAUJWKWMWDWBXBRULSUHVATUMVSWAIZLZWC
      WBWGXDWLLADJZWBXEKZAHZKZWGXCWLXHVSXCWLLZXEBDJZXGWBXEXJMXCWCABDNZUNXIXJXJA
      HZXGXCWCXJXLKZWBWCXCXMBDAUOUPUQXJXFAWBXEXJXKUEUFUGUIURVSXHWGMXCWLVSXEWDXG
      WFVRXEWDMAACDNQZXFWEACAVSXEWDWBXNRVBSUSVATVSIZWALZWCWBWGXPWLLWTWBWTKZAHZK
      ZWGXOWLXSWAXOWLLZWTCBJZXRWBWTYAMXOWCABCOZUNXTYAYAAHZXRXOWCYAYCKZWBXOWCYDC
      BAUOUTUQYAXQAWBWTYAYBUEUFUGUIVCWAXSWGMXOWLWAWTWDXRWFVTWTWDMAXAQZXQWEADAWA
      WTWDWBYERVBSVDVATXOXCLZWHWCYFWGWBYFFDGZFVEWGFDVFYFYGWGFYFECGZEVEYGWGKZECV
      FYFYHYIEYFYHYGWGYFYHYGLZLZEFJZWBYLKZAHZKWGYLYMAYLWBVKVGYKYLWDYNWFYJYLWDMZ
      YFYHYLCFJYGWDECFNFDCOUKZPYKYJAHZYNWFMYKYHAHZYGAHZLZYQYFYJYTXOYHYRXCYGYSAC
      EVHADFVHVIUTYHYGAUAVJYQYMWEAYJAUJYQYLWDWBYJYOAYPQRULVLSVMTVNVOVNVOVPVPVQ
      $.
  $}

  ${
    ax12indn.1 $e |- ( -. A. x x = y ->
               ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $.
    $( Induction step for constructing a substitution instance of ~ ax-c15
       without using ~ ax-c15 .  Negation case.  (Contributed by NM,
       21-Jan-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ax12indn $p |- ( -. A. x x = y ->
               ( x = y -> ( -. ph -> A. x ( x = y -> -. ph ) ) ) ) $=
      ( weq wal wn wi wa 19.8a exanali hbn1 con3 syl6 com23 alrimdh syl5bi syl5
      wex expd ) BCEZBFGZUAAGZUAUCHZBFZUAUCIZUFBSZUBUEUFBJUGUAAHZBFZGZUBUEUAABK
      UBUJUDBUABLUHBLUBUAUJUCUBUAAUIHUJUCHDAUIMNOPQRT $.

    ${
      ax12indi.2 $e |- ( -. A. x x = y ->
                 ( x = y -> ( ps -> A. x ( x = y -> ps ) ) ) ) $.
      $( Induction step for constructing a substitution instance of ~ ax-c15
         without using ~ ax-c15 .  Implication case.  (Contributed by NM,
         21-Jan-2007.)  (Proof modification is discouraged.)
         (New usage is discouraged.) $)
      ax12indi $p |- ( -. A. x x = y ->
           ( x = y -> ( ( ph -> ps ) -> A. x ( x = y -> ( ph -> ps ) ) ) ) ) $=
        ( weq wal wn wi wa ax12indn imp pm2.21 imim2i alimi syl6 ax-1 jad ex )
        CDGZCHIZUAABJZUAUCJZCHZJUBUAKZABUEUFAIZUAUGJZCHZUEUBUAUGUIJACDELMUHUDCU
        GUCUAABNOPQUFBUABJZCHZUEUBUABUKJFMUJUDCBUCUABAROPQST $.
    $}
  $}

  ${
    ax12indalem.1 $e |- ( -. A. x x = y ->
               ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $.
    $( Lemma for ~ ax12inda2 and ~ ax12inda .  (Contributed by NM,
       24-Jan-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ax12indalem $p |- ( -. A. y y = z -> ( -. A. x x = y ->
               ( x = y -> ( A. z ph -> A. x ( x = y -> A. z ph ) ) ) ) ) $=
      ( weq wal wn wi ax-1 axc4i-o a1i biidd a1d aecom-o con3i imp hbnae-o hban
      wa dral1-o imbi2d dral2-o 3imtr4d adantr simplr axc9 syl2an adantlr ax-c5
      aecoms-o hba1-o sylan2 alimdh syl2anc ax-11 wb nf5dh 19.21t albidh syl5ib
      wnf syl ad2antrr syld exp31 pm2.61ian ) BDFBGZCDFCGZHZBCFZBGHZVKADGZVKVMI
      ZBGZIZIZIZVHVRVJVHVQVLVHVPVKVPDBDBFDGZABGZVKVTIZBGZVMVOVTWBIVSAWABVTVKJKL
      AADBVSAMUAZVNWADBBVSVMVTVKWCUBUCUDUKNNUEVHHZVJTZVLVKVPWEVLTVKTZVMVKAIZBGZ
      DGZVOWFVLVKDGZVMWIIWEVLVKUFWEVKWJVLWEVKWJWDVSHZDCFDGZHZVKWJIZVJVSVHDBOPWL
      VIDCOPWKWMWNBCDUGQUHZQUIVLWJTAWHDVLWJDBCDRVKDULSWJVLVKAWHIZVKDUJVLVKWPEQU
      MUNUOWEWIVOIVLVKWIWGDGZBGWEVOWGDBUPWEWQVNBWDVJBBDBRCDBRSWEVKDVBWQVNUQWEVK
      DWDVJDBDDRCDDRSWOURVKADUSVCUTVAVDVEVFVG $.
  $}

  ${
    $d z y $.
    ax12inda2.1 $e |- ( -. A. x x = y ->
               ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $.
    $( Alternate proof of ~ ax12inda2 , slightly more direct and not requiring
       ~ ax-c16 .  (Contributed by NM, 4-May-2007.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ax12inda2ALT $p |- ( -. A. x x = y ->
               ( x = y -> ( A. z ph -> A. x ( x = y -> A. z ph ) ) ) ) $=
      ( weq wal wn wi ax-1 axc4i-o a1i biidd dral1-o imbi2d dral2-o a1d hbnae-o
      wa imp 3imtr4d aecoms-o simplr naecoms-o adantlr hba1-o hban ax-c5 sylan2
      dveeq1-o alimdh syl2anc ax-11 wnf nf5dh 19.21t syl albidh syl5ib ad2antrr
      wb syld exp31 pm2.61i ) BDFBGZBCFZBGHZVFADGZVFVHIZBGZIZIZIVEVLVGVEVKVFVKD
      BDBFDGZABGZVFVNIZBGZVHVJVNVPIVMAVOBVNVFJKLAADBVMAMNZVIVODBBVMVHVNVFVQOPUA
      UBQQVEHZVGVFVKVRVGSVFSZVHVFAIZBGZDGZVJVSVGVFDGZVHWBIVRVGVFUCVRVFWCVGVRVFW
      CVFWCIDBDBCUJUDZTUEVGWCSAWADVGWCDBCDRVFDUFUGWCVGVFAWAIZVFDUHVGVFWEETUIUKU
      LVRWBVJIVGVFWBVTDGZBGVRVJVTDBUMVRWFVIBBDBRVRVFDUNWFVIVAVRVFDBDDRWDUOVFADU
      PUQURUSUTVBVCVD $.

    $( Induction step for constructing a substitution instance of ~ ax-c15
       without using ~ ax-c15 .  Quantification case.  When ` z ` and ` y ` are
       distinct, this theorem avoids the dummy variables needed by the more
       general ~ ax12inda .  (Contributed by NM, 24-Jan-2007.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ax12inda2 $p |- ( -. A. x x = y ->
               ( x = y -> ( A. z ph -> A. x ( x = y -> A. z ph ) ) ) ) $=
      ( weq wal wn wi ax-1 axc16g-o syl5 a1d ax12indalem pm2.61i ) CDFCGZBCFZBG
      HZQADGZQSIZBGZIZIZIPUCRPUBQSTPUASQJTCDBKLMMABCDENO $.
  $}

  ${
    $d w ph $.  $d w x $.  $d w y $.  $d w z $.
    ax12inda.1 $e |- ( -. A. x x = w ->
               ( x = w -> ( ph -> A. x ( x = w -> ph ) ) ) ) $.
    $( Induction step for constructing a substitution instance of ~ ax-c15
       without using ~ ax-c15 .  Quantification case.  (When ` z ` and ` y `
       are distinct, ~ ax12inda2 may be used instead to avoid the dummy
       variable ` w ` in the proof.)  (Contributed by NM, 24-Jan-2007.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ax12inda $p |- ( -. A. x x = y ->
               ( x = y -> ( A. z ph -> A. x ( x = y -> A. z ph ) ) ) ) $=
      ( weq wal wn wi wex ax6ev wa ax12inda2 wb dveeq2-o imp albidh syl imbi12d
      hba1-o equequ2 sps-o notbid adantl imbi1d imbi2d mpbii ex exlimdv pm2.43i
      mpi ) BCGZBHZIZUMADHZUMUPJZBHZJZJZUOECGZEKUOUTJZECLUOVAVBEUOVAVBUOVAMZBEG
      ZBHZIZVDUPVDUPJZBHZJZJZJVBABEDFNVCVFUOVJUTVCVABHZVFUOOUOVAVKBCEPQZVKVEUNV
      KVDUMBVABUAZVAVDUMOZBECBUBZUCZRUDSVCVDUMVIUSVAVNUOVOUEVCVHURUPVCVKVHUROVL
      VKVGUQBVMVKVDUMUPVPUFRSUGTTUHUIUJULUK $.
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.
    ax12v2-o.1 $e |- ( x = z -> ( ph -> A. x ( x = z -> ph ) ) ) $.
    $( Rederivation of ~ ax-c15 from ~ ax12v (without using ~ ax-c15 or the
       full ~ ax-12 ).  Thus, the hypothesis ( ~ ax12v ) provides an alternate
       axiom that can be used in place of ~ ax-c15 .  See also ~ axc15 .
       (Contributed by NM, 2-Feb-2007.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ax12v2-o $p |- ( -. A. x x = y ->
                 ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $=
      ( weq wal wn wex wi ax6ev wa wb equequ2 adantl dveeq2-o imp nfa1-o imbi1d
      sps-o albid syl imbi2d imbi12d mpbii ex exlimdv mpi ) BCFZBGHZDCFZDIUIAUI
      AJZBGZJZJZDCKUJUKUODUJUKUOUJUKLZBDFZAUQAJZBGZJZJUOEUPUQUIUTUNUKUQUIMUJDCB
      NZOUPUSUMAUPUKBGZUSUMMUJUKVBBCDPQVBURULBUKBRUKURULMBUKUQUIAVASTUAUBUCUDUE
      UFUGUH $.
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.
    ax12a2-o.1 $e |- ( x = z -> ( A. z ph -> A. x ( x = z -> ph ) ) ) $.
    $( Derive ~ ax-c15 from a hypothesis in the form of ~ ax-12 , without using
       ~ ax-12 or ~ ax-c15 .  The hypothesis is weaker than ~ ax-12 , with
       ` z ` both distinct from ` x ` and not occurring in ` ph ` .  Thus, the
       hypothesis provides an alternate axiom that can be used in place of
       ~ ax-12 , if we also have ~ ax-c11 , which this proof uses.  As Theorem
       ~ ax12 shows, the distinct variable conditions are optional.  An open
       problem is whether we can derive this with ~ ax-c11n instead of
       ~ ax-c11 .  (Contributed by NM, 2-Feb-2007.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ax12a2-o $p |- ( -. A. x x = y ->
                 ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $=
      ( wal weq wi ax-5 syl5 ax12v2-o ) ABCDAADFBDGZLAHBFADIEJK $.
  $}

  $( Show that ~ ax-c11 can be derived from ~ ax-c11n and ~ ax-12 .  An open
     problem is whether this theorem can be derived from ~ ax-c11n and the
     others when ~ ax-12 is replaced with ~ ax-c15 or ~ ax12v .  See Theorems
     ~ axc11nfromc11 for the rederivation of ~ ax-c11n from ~ axc11 .

     Normally, ~ axc11 should be used rather than ~ ax-c11 or ~ axc11-o ,
     except by theorems specifically studying the latter's properties.
     (Contributed by NM, 16-May-2008.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  axc11-o $p |- ( A. x x = y -> ( A. x ph -> A. y ph ) ) $=
    ( weq wal wi ax-c11n ax12 equcoms sps-o pm2.27 al2imi sylsyld ) BCDZBECBDZC
    EABEZOAFZCEZACEBCGNPRFZBSCBACBHIJOQACOAKLM $.

$( (End of "Predicate calculus with equality:  Older axiomatization".) $)

  ${
    $d k A w $.  $d j B $.  $d j k K w $.  $d j k M w $.  $d j k N w $.
    $d j k ph w $.
    fsumshftd.1 $e |- ( ph -> K e. ZZ ) $.
    fsumshftd.2 $e |- ( ph -> M e. ZZ ) $.
    fsumshftd.3 $e |- ( ph -> N e. ZZ ) $.
    fsumshftd.4 $e |- ( ( ph /\ j e. ( M ... N ) ) -> A e. CC ) $.
    fsumshftd.5 $e |- ( ( ph /\ j = ( k - K ) ) -> A = B ) $.
    $( Index shift of a finite sum with a weaker "implicit substitution"
       hypothesis than ~ fsumshft .  The proof demonstrates how this can be
       derived starting from from ~ fsumshft .  (Contributed by NM,
       1-Nov-2019.) $)
    fsumshftd $p |- ( ph -> sum_ j e. ( M ... N ) A =
                             sum_ k e. ( ( M + K ) ... ( N + K ) ) B ) $=
      ( vw cfz co csu cv wcel cc csb caddc nfcv nfcsb1v csbeq1a cbvsumi cmin wa
      wi nfv nfel1 weq eleq1w anbi2d eleq1d imbi12d chvarfv csbeq1 fsumshft cvv
      nfim ovexd csbied sumeq2sdv eqtrd syl5eq ) AGHOPZBDQVGDNRZBUAZNQZGFUBPHFU
      BPOPZCEQZVGBVIDNNBUCDVHBUDZDVHBUEZUFAVJVKDERZFUGPZBUAZEQVLAVIVQNEFGHIJKAD
      RVGSZUHZBTSZUIAVHVGSZUHZVITSZUIDNWBWCDWBDUJDVITVMUKVADNULZVSWBVTWCWDVRWAA
      DNVGUMUNWDBVITVNUOUPLUQDVHVPBURUSAVKVQCEADVPBCUTAVOFUGVBMVCVDVEVF $.
  $}

  $( Define restricted description binder.  In case it doesn't exist, we return
     a set which is not a member of the domain of discourse ` A ` .  See also
     comments for ~ df-iota .  (Contributed by NM, 15-Sep-2011.)  (Revised by
     Mario Carneiro, 15-Oct-2016.)  WARNING:  THIS "AXIOM", WHICH IS THE OLD
     ~ df-riota , CONFLICTS WITH (THE NEW) ~ df-riota AND MAKES THE SYSTEM IN
     set.mm INCONSISTENT. IT IS TEMPORARY AND WILL BE DELETED AFTER ALL USES
     ARE ELIMINATED. $)
  ax-riotaBAD $a |- ( iota_ x e. A ph ) = if ( E! x e. A ph ,
    ( iota x ( x e. A /\ ph ) ) , ( Undef ` { x | x e. A } ) ) $.

  ${
    $d x A $.
    $( Closure of restricted iota.  (Contributed by NM, 28-Feb-2013.)  (Revised
       by Mario Carneiro, 24-Dec-2016.) $)
    riotaclbgBAD $p |- ( A e. V
          -> ( E! x e. A ph <-> ( iota_ x e. A ph ) e. A ) ) $=
      ( wcel wreu crio riotacl wn cund cfv undefnel2 cv cio cab cif ax-riotaBAD
      wa iffalse abid1 fveq2i 3eqtr4g eleq1d notbid syl5ibrcom con4d impbid2 )
      CDEZABCFZABCGZCEZABCHUHUIUKUHUKIUIIZCJKZCEZICDLULUKUNULUJUMCULUIBMCEZARBN
      ZUOBOZJKZPURUJUMUIUPURSABCQCUQJBCTUAUBUCUDUEUFUG $.

    riotaclb.1 $e |- A e. _V $.
    $( Closure of restricted iota.  (Contributed by NM, 15-Sep-2011.) $)
    riotaclbBAD $p |- ( E! x e. A ph <-> ( iota_ x e. A ph ) e. A ) $=
      ( cvv wcel wreu crio wb riotaclbgBAD ax-mp ) CEFABCGABCHCFIDABCEJK $.
  $}

  ${
    $d x y z A $.  $d x z B $.  $d x z C $.  $d z D $.  $d z ph $.
    $d x z ps $.
    riotasvd.1 $e |- ( ph
        -> D = ( iota_ x e. A A. y e. B ( ps -> x = C ) ) ) $.
    riotasvd.2 $e |- ( ph -> D e. A ) $.
    $( Deduction version of ~ riotasv .  (Contributed by NM, 4-Mar-2013.)
       (Revised by Mario Carneiro, 15-Oct-2016.) $)
    riotasvd $p |- ( ( ph /\ A e. V ) -> ( ( y e. B /\ ps ) -> D = C ) ) $=
      ( vz wcel wa cv wceq wi wral adantr syl crio wsbc wreu eqeltrrd wb adantl
      riotaclbgBAD mpbird riotasbc eqeq1 imbi2d ralbidv nfra1 nfcv nfeq2 ralbid
      nfriota sbcie2g mpbid rsp impd eqeq1d sylibrd ) AEIMZNZDOFMZBNBCOZGPZQZDF
      RZCEUAZGPZHGPVEVFBVLVEBVLQZDFRZVFVMQVEVJCVKUBZVNVEVJCEUCZVOVEVPVKEMZVEHVK
      EAHVKPVDJSZAHEMVDKSUDZVDVPVQUEAVJCEIUGUFUHVJCEUITVEVQVOVNUEVSVJBLOZGPZQZD
      FRVNCLVKEVGVTPZVIWBDFWCVHWABVGVTGUJUKULVTVKPZWBVMDFDVTVKVJDCEVIDFUMDEUNUQ
      UOWDWAVLBVTVKGUJUKUPURTUSVMDFUTTVAVEHVKGVRVBVC $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x C $.  $d y E $.  $d x ps $.
    riotasv2d.1 $e |- F/ y ph $.
    riotasv2d.2 $e |- ( ph -> F/_ y F ) $.
    riotasv2d.3 $e |- ( ph -> F/ y ch ) $.
    riotasv2d.4 $e |- ( ph
        -> D = ( iota_ x e. A A. y e. B ( ps -> x = C ) ) ) $.
    riotasv2d.5 $e |- ( ( ph /\ y = E ) -> ( ps <-> ch ) ) $.
    riotasv2d.6 $e |- ( ( ph /\ y = E ) -> C = F ) $.
    riotasv2d.7 $e |- ( ph -> D e. A ) $.
    riotasv2d.8 $e |- ( ph -> E e. B ) $.
    riotasv2d.9 $e |- ( ph -> ch ) $.
    $( Value of description binder ` D ` for a single-valued class expression
       ` C ( y ) ` (as in e.g. ~ reusv2 ).  Special case of ~ riota2f .
       (Contributed by NM, 2-Mar-2013.) $)
    riotasv2d $p |- ( ( ph /\ A e. V ) -> D = F ) $=
      ( wcel cvv wceq elex wa adantr cv wi eleq1 adantl anbi12d imbi12d adantlr
      wb eqeq2d riotasvd nfv nfan nfcvd nfvd nfand wnfc wral crio nfra1 nfriota
      wnf nfcv nfceqdf mpbiri nfeqd nfimd vtocldf mp2and sylan2 ) FLUBAFUCUBZIK
      UDZFLUEAVQUFZJGUBZCVRAVTVQTUGZACVQUAUGVSEUHZGUBZBUFZIHUDZUIZVTCUFZVRUIZEJ
      GWAAWBJUDZWFWHUOVQAWIUFZWDWGWEVRWJWCVTBCWIWCVTUOAWBJGUJUKQULWJHKIRUPUMUNA
      BDEFGHIUCPSUQAVQEMVQEURUSVSEJUTAWHEVHVQAWGVREAVTCEAVTEVAOVBAEIKAEIVCEBDUH
      HUDUIZEGVDZDFVEZVCWLEDFWKEGVFEFVIVGAEIWMMPVJVKNVLVMUGVNVOVP $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x C $.  $d x y E $.  $d x ph $.
    riotasv2s.2 $e |- D = ( iota_ x e. A A. y e. B ( ph -> x = C ) ) $.
    $( The value of description binder ` D ` for a single-valued class
       expression ` C ( y ) ` (as in e.g. ~ reusv2 ) in the form of a
       substitution instance.  Special case of ~ riota2f .  (Contributed by NM,
       3-Mar-2013.)  (Proof shortened by Mario Carneiro, 6-Dec-2016.) $)
    riotasv2s $p |- ( ( A e. V /\ D e. A /\ ( E e. B /\ [. E / y ]. ph ) )
            -> D = [_ E / y ]_ C ) $=
      ( wcel wsbc wa w3a csb wceq cv nfan a1i adantl 3simpc simp1 wi wral nfra1
      crio nfcv nfriota nfcxfr nfel1 nfv nfsbc1v nfcsb1v wnf wb sbceq1a csbeq1a
      wnfc simpl simprl simprr riotasv2d syl2anc ) DIKZGDKZHEKZACHLZMZNVEVHMZVD
      GCHFOZPVDVEVHUAVDVEVHUBVIAVGBCDEFGHVJIVEVHCCGDCGABQFPUCZCEUDZBDUFZJVLCBDV
      KCEUECDUGUHUIUJVFVGCVFCUKACHULZRRCVJURVICHFUMSVGCUNVIVNSGVMPVIJSCQHPZAVGU
      OVIACHUPTVOFVJPVICHFUQTVEVHUSVEVFVGUTVEVFVGVAVBVC $.
  $}

  ${
    $d x y A $.  $d x B $.  $d x C $.  $d x ph $.
    riotasv.1 $e |- A e. _V $.
    riotasv.2 $e |- D = ( iota_ x e. A A. y e. B ( ph -> x = C ) ) $.
    $( Value of description binder ` D ` for a single-valued class expression
       ` C ( y ) ` (as in e.g. ~ reusv2 ).  Special case of ~ riota2f .
       (Contributed by NM, 26-Jan-2013.)  (Proof shortened by Mario Carneiro,
       6-Dec-2016.) $)
    riotasv $p |- ( ( D e. A /\ y e. B /\ ph ) -> D = C ) $=
      ( wcel cv wceq cvv wa wi wral crio a1i id riotasvd mpan2 3impib ) GDJZCKE
      JZAGFLZUCDMJUDANUEOHUCABCDEFGMGABKFLOCEPBDQLUCIRUCSTUAUB $.
  $}

  ${
    $d x y A $.  $d x B $.  $d x C $.  $d x ps $.
    riotasv3d.1 $e |- F/ y ph $.
    riotasv3d.2 $e |- ( ph -> F/ y th ) $.
    riotasv3d.3 $e |- ( ph
           -> D = ( iota_ x e. A A. y e. B ( ps -> x = C ) ) ) $.
    riotasv3d.4 $e |- ( ( ph /\ C = D ) -> ( ch <-> th ) ) $.
    riotasv3d.5 $e |- ( ph -> ( ( y e. B /\ ps ) -> ch ) ) $.
    riotasv3d.6 $e |- ( ph -> D e. A ) $.
    riotasv3d.7 $e |- ( ph -> E. y e. B ps ) $.
    $( A property ` ch ` holding for a representative of a single-valued class
       expression ` C ( y ) ` (see e.g. ~ reusv2 ) also holds for its
       description binder ` D ` (in the form of property ` th ` ).
       (Contributed by NM, 5-Mar-2013.)  (Revised by Mario Carneiro,
       15-Oct-2016.) $)
    riotasv3d $p |- ( ( ph /\ A e. V ) -> th ) $=
      ( wcel wa cvv elex wrex adantr wi wral nfv imp adantrl wceq riotasvd impr
      cv wb eqcomd syldan mpbid exp45 ralrimd wnf r19.23t syl sylibd mpd sylan2
      ) GKSAGUASZDGKUBAVFTBFHUCZDAVGVFRUDAVFVGDUEZAVFBDUEZFHUFZVHAVFVIFHLVFFUGA
      VFFUMHSZBDAVFVKBTZTZTZCDAVLCVFAVLCPUHUIAVMIJUJCDUNVNJIAVFVLJIUJABEFGHIJUA
      NQUKULUOOUPUQURUSADFUTVJVHUNMBDFHVAVBVCUHVDVE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Experiments with weak deduction theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    elimhyps.1 $e |- [. B / x ]. ph $.
    $( A version of ~ elimhyp using explicit substitution.  (Contributed by NM,
       15-Jun-2019.) $)
    elimhyps $p |- [. if ( ph , x , B ) / x ]. ph $=
      ( cv cif wsbc sbceq1a dfsbcq elimhyp ) AABABEZCFZGABCGKCABLHABCLIDJ $.
  $}

  ${
    dedths.1 $e |- [. if ( ph , x , B ) / x ]. ps $.
    $( A version of weak deduction theorem ~ dedth using explicit substitution.
       (Contributed by NM, 15-Jun-2019.) $)
    dedths $p |- ( ph -> ps ) $=
      ( cv wsbc cif dfsbcq wb wceq sbcid ifbi mp2b mpbir dedth 3imtr3i ) ACCFZG
      ZBCRGZABSTBCSRDHZGZRDBCRUAIUBBCARDHZGZESAJUAUCKUBUDJACLZSARDMBCUAUCINOPUE
      BCLQ $.
  $}

  ${
    $d x A $.
    $( Closure law for negative of reals.  Demonstrates use of weak deduction
       theorem with explicit substitution.  The proof is much longer than that
       of ~ renegcl .  (Contributed by NM, 15-Jun-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    renegclALT $p |- ( A e. RR -> -u A e. RR ) $=
      ( vx cv cneg cr wcel wceq negeq eleq1d cc0 cif wsbc csb cvv ax-mp eqeltri
      c0ex wb sbcel1g mpbir vex ifex csbnegg csbvarg 0re elimhyps mpbi renegcli
      dedths vtoclga ) BCZDZEFZADZEFBAEUKAGULUNEUKAHIUKEFZUMBJUMBUOUKJKZLZBUPUL
      MZEFZURBUPUKMZDZEUPNFZURVAGUOUKJBUAQUBZBUPUKNUCOUTUOBUPLZUTEFZUOBJUOBJLZB
      JUKMZEFZVGJEJNFZVGJGQBJNUDOUEPVIVFVHRQBJUKENSOTUFVBVDVERVCBUPUKENSOUGUHPV
      BUQUSRVCBUPULENSOTUIUJ $.
  $}

  ${
    elimhyps2.1 $e |- [. B / x ]. ph $.
    $( Generalization of ~ elimhyps that is not useful unless we can separately
       prove ` |- A e. _V ` .  (Contributed by NM, 13-Jun-2019.) $)
    elimhyps2 $p |- [. if ( [. A / x ]. ph , A , B ) / x ]. ph $=
      ( wsbc cif dfsbcq elimhyp ) ABCFZABJCDGZFABDFCDABCKHABDKHEI $.
  $}

  ${
    dedths2.1 $e |- [. if ( [. A / x ]. ph , A , B ) / x ]. ps $.
    $( Generalization of ~ dedths that is not useful unless we can separately
       prove ` |- A e. _V ` .  (Contributed by NM, 13-Jun-2019.) $)
    dedths2 $p |- ( [. A / x ]. ph -> [. A / x ]. ps ) $=
      ( wsbc cif dfsbcq dedth ) ACDGZBCDGBCKDEHZGDEBCDLIFJ $.
  $}

  ${
    nfcxfrdf.0 $e |- F/ x ph $.
    nfcxfrdf.1 $e |- ( ph -> A = B ) $.
    nfcxfrdf.2 $e |- ( ph -> F/_ x B ) $.
    $( A utility lemma to transfer a bound-variable hypothesis builder into a
       definition.  (Contributed by NM, 19-Nov-2020.) $)
    nfcxfrdf $p |- ( ph -> F/_ x A ) $=
      ( wnfc nfceqdf mpbird ) ABCHBDHGABCDEFIJ $.
  $}

  ${
    nfded.1 $e |- ( ph -> F/_ x A ) $.
    nfded.2 $e |- ( F/_ x A -> B = C ) $.
    nfded.3 $e |- F/_ x B $.
    $( A deduction theorem that converts a not-free inference directly to
       deduction form.  The first hypothesis is the hypothesis of the deduction
       form.  The second is an equality deduction (e.g.,
       ` ( F/_ x A -> U. { y | A. x y e. A } = U. A ) ` ) that starts from
       ~ abidnf .  The last is assigned to the inference form (e.g.,
       ` F/_ x U. { y | A. x y e. A } ` ) whose hypothesis is satisfied using
       ~ nfaba1 .  (Contributed by NM, 19-Nov-2020.) $)
    nfded $p |- ( ph -> F/_ x C ) $=
      ( wnfc wb nfnfc1 nfceqdf syl mpbii ) ABDIZBEIZHABCIZOPJFQBDEBCKGLMN $.
  $}

  ${
    nfded2.1 $e |- ( ph -> F/_ x A ) $.
    nfded2.2 $e |- ( ph -> F/_ x B ) $.
    nfded2.3 $e |- ( ( F/_ x A /\ F/_ x B ) -> C = D ) $.
    nfded2.4 $e |- F/_ x C $.
    $( A deduction theorem that converts a not-free inference directly to
       deduction form.  The first 2 hypotheses are the hypotheses of the
       deduction form.  The third is an equality deduction (e.g.,
       ` ( ( F/_ x A /\ F/_ x B ) `
       ` -> <. { y | A. x y e. A } , { y | A. x y e. B } >. = <. A , B >. ) `
       for ~ nfopd ) that starts from ~ abidnf .  The last is assigned to the
       inference form (e.g.,
       ` F/_ x <. { y | A. x y e. A } , { y | A. x y e. B } >. ` for ~ nfop )
       whose hypotheses are satisfied using ~ nfaba1 .  (Contributed by NM,
       19-Nov-2020.) $)
    nfded2 $p |- ( ph -> F/_ x D ) $=
      ( wnfc wb wa nfnfc1 nfan nfceqdf syl2anc mpbii ) ABEKZBFKZJABCKZBDKZSTLGH
      UAUBMBEFUAUBBBCNBDNOIPQR $.
  $}

$(
  @{
    nfded2a.1 @e |- ( ph -> F/_ x A ) @.
    nfded2a.2 @e |- ( ph -> F/_ x B ) @.
    nfded2a.3 @e |- ( ph -> C = D ) @.
    nfded2a.4 @e |- F/_ x C @.
    @( A deduction theorem that converts a not-free inference directly to
       deduction form.  The first 2 hypotheses are the hypotheses of the
       deduction form.  The third is an equality deduction (e.g. ` ( ph `
       ` -> <. { y | A. x y e. A } , { y | A. x y e. B } >. = <. A , B >. ) `
       for ~ nfopd ) that starts from ~ abidnf .  The last is assigned to the
       inference form (e.g.,
       ` F/_ x <. { y | A. x y e. A } , { y | A. x y e. B } >. ` for ~ nfop )
       whose hypotheses are satisfied using ~ nfaba1 .  (Contributed by NM,
       13-Nov-2020.) @)
    nfded2a @p |- ( ph -> F/_ x D ) @=
      ? ? ? nfded2a.4 ? ? ? ? ? ? nfded2a.1 nfded2a.2 jca ? ? ? ? ? ? nfceqdf
      syl mpbii @.
  @}
$)

  ${
    $d y A $.  $d x y $.  $d y ph $.
    nfunidALT2.1 $e |- ( ph -> F/_ x A ) $.
    $( Deduction version of ~ nfuni .  (Contributed by NM, 19-Nov-2020.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    nfunidALT2 $p |- ( ph -> F/_ x U. A ) $=
      ( vy wcel wal cab cuni wnfc nfaba1 nfuni nfnfc1 abidnf unieqd nfceqdf syl
      cv wb mpbii ) ABERCFZBGEHZIZJZBCIZJZBUBUABEKLABCJZUDUFSDUGBUCUEBCMUGUBCBE
      CNOPQT $.
  $}

  ${
    $d y A $.  $d x y $.  $d y ph $.
    nfunidALT.1 $e |- ( ph -> F/_ x A ) $.
    $( Deduction version of ~ nfuni .  (Contributed by NM, 19-Nov-2020.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    nfunidALT $p |- ( ph -> F/_ x U. A ) $=
      ( vy cv wcel wal cab cuni wnfc abidnf unieqd nfaba1 nfuni nfded ) ABCEFCG
      ZBHEIZJCJDBCKRCBECLMBRQBENOP $.
  $}

  ${
    $d z B $.  $d z A $.  $d x z $.
    nfopdALT.1 $e |- ( ph -> F/_ x A ) $.
    nfopdALT.2 $e |- ( ph -> F/_ x B ) $.
    $( Deduction version of bound-variable hypothesis builder ~ nfop .  This
       shows how the deduction version of a not-free theorem such as ~ nfop can
       be created from the corresponding not-free inference theorem.
       (Contributed by NM, 19-Nov-2020.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    nfopdALT $p |- ( ph -> F/_ x <. A , B >. ) $=
      ( vz cv wcel wal cab cop wnfc wa wceq abidnf adantr adantl opeq12d nfaba1
      nfop nfded2 ) ABCDGHZCIZBJGKZUCDIZBJGKZLCDLEFBCMZBDMZNUECUGDUHUECOUIBGCPQ
      UIUGDOUHBGDPRSBUEUGUDBGTUFBGTUAUB $.
  $}

$(
  @{
    @d k x y @.  @d k y ph @.  @d k y A @.
    nfprodd.1 @e |- ( ph -> F/_ x A ) @.
    nfprodd.2 @e |- ( ph -> F/_ x B ) @.
    @( Bound-variable hypothesis builder for product: if ` x ` is (effectively)
       not free in ` A ` and ` B ` , it is not free in ` prod_ k e. A B ` .
       (Contributed by NM, 14-Nov-2020.) @)
    nfprodd @p |- ( ph -> F/_ x prod_ k e. A B ) @=
      ( vy vj cv wcel wal cab cprod wnfc wa wceq abidnf prodeq1d nfaba1 nfcv id
      adantr a1i nfcsbd syl 3eqtr4g adantl eqtrd nfcprod nfded2 ) ABCDHJZCKZBLH
      MZULDKZBLHMZENZCDENZFGBCOZBDOZPUQCUPENZURUSUQVAQUTUSUNCUPEBHCRSUCUTVAURQU
      S????????????????BIJUAUD?UBUE?UF??UGUHUIBUNUPEUMBHTUOBHTUJUK @.
  @}
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellanea
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Recover the commutative law of addition for complex numbers from the
     Abelian group structure.  (Contributed by NM, 17-Mar-2013.)
     (Proof modification is discouraged.) $)
  cnaddcom $p |- ( ( A e. CC /\ B e. CC ) -> ( A + B ) = ( B + A ) ) $=
    ( cnx cbs cfv cc cop cplusg caddc cpr cabl wcel wceq eqid cnaddabl cvv cnex
    co grpbase ax-mp addex grpplusg ablcom mp3an1 ) CDEFGCHEIGJZKLAFLBFLABIRBAI
    RMUEUENZOFIUEABFPLFUEDEMQFIUEPUFSTIPLIUEHEMUAFIUEPUFUBTUCUD $.

  ${
    $d g K $.
    toycom.1 $e |- C = { g e. Abel | ( Base ` g ) = CC } $.
    toycom.2 $e |- .+ = ( +g ` K ) $.
    $( Show the commutative law for an operation ` O ` on a toy structure class
       ` C ` of commuatitive operations on ` CC ` .  This illustrates how a
       structure class can be partially specialized.  In practice, we would
       ordinarily define a new constant such as "CAbel" in place of ` C ` .
       (Contributed by NM, 17-Mar-2013.)
       (Proof modification is discouraged.) $)
    toycom $p |- ( ( K e. C /\ A e. CC /\ B e. CC )
                    -> ( A .+ B ) = ( B .+ A ) ) $=
      ( wcel cc w3a cfv co cabl cbs wceq 3ad2ant1 eleqtrrd eqid oveqi cplusg cv
      crab ssrab2 eqsstri sseli simp2 fveq2 eqeq1d elrab2 simprbi simp3 syl3anc
      ablcom 3eqtr4g ) FCIZAJIZBJIZKZABFUALZMZBAUTMZABDMBADMUSFNIZAFOLZIBVDIVAV
      BPUPUQVCURCNFCEUBZOLZJPZENUCNGVGENUDUEUFQUSAJVDUPUQURUGUPUQVDJPZURUPVCVHV
      GVHEFNCVEFPVFVDJVEFOUHUIGUJUKQZRUSBJVDUPUQURULVIRVDUTFABVDSUTSUNUMDUTABHT
      DUTBAHTUO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Atoms, hyperplanes, and covering in a left vector space (or module)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c LSAtoms $.
  $c LSHyp $.

  $( Extend class notation with all 1-dim subspaces (atoms) of a left module or
     left vector space. $)
  clsa $a class LSAtoms $.

  $( Extend class notation with all subspaces of a left module or left vector
     space that are hyperplanes. $)
  clsh $a class LSHyp $.

  ${
    $d v w $.
    $( Define the set of all 1-dim subspaces (atoms) of a left module or left
       vector space.  (Contributed by NM, 9-Apr-2014.) $)
    df-lsatoms $a |- LSAtoms = ( w e. _V |-> ran ( v e. ( ( Base ` w ) \
                 { ( 0g ` w ) } ) |-> ( ( LSpan ` w ) ` { v } ) ) ) $.
  $}

  ${
    $d s v w $.
    $( Define the set of all hyperplanes of a left module or left vector space.
       Also called co-atoms, these are subspaces that are one dimension less
       than the full space.  (Contributed by NM, 29-Jun-2014.) $)
    df-lshyp $a |- LSHyp = ( w e. _V |-> { s e. ( LSubSp ` w ) |
       ( s =/= ( Base ` w ) /\ E. v e. ( Base ` w )
           ( ( LSpan ` w ) ` ( s u. { v } ) ) = ( Base ` w ) ) } ) $.
  $}

  ${
    $d w N $.  $d s w S $.  $d v w V $.  $d s v w W $.
    lshpset.v $e |- V = ( Base ` W ) $.
    lshpset.n $e |- N = ( LSpan ` W ) $.
    lshpset.s $e |- S = ( LSubSp ` W ) $.
    lshpset.h $e |- H = ( LSHyp ` W ) $.
    $( The set of all hyperplanes of a left module or left vector space.  The
       vector ` v ` is called a generating vector for the hyperplane.
       (Contributed by NM, 29-Jun-2014.) $)
    lshpset $p |- ( W e. X -> H = { s e. S | ( s =/= V /\
                   E. v e. V ( N ` ( s u. { v } ) ) = V ) } ) $=
      ( vw cfv cv wceq cbs clspn clss fveq2 wcel clsh wne csn cun wrex crab cvv
      wa elex eqtr4di neeq2d eqeq12d rexeqbidv anbi12d rabeqbidv df-lshyp fvexi
      fveq1d rabex fvmpt syl syl5eq ) FGUAZCFUBNZHOZEUCZVFAOUDUEZDNZEPZAEUFZUIZ
      HBUGZLVDFUHUAVEVMPFGUJMFVFMOZQNZUCZVHVNRNZNZVOPZAVOUFZUIZHVNSNZUGVMUHUBVN
      FPZWAVLHWBBWCWBFSNBVNFSTKUKWCVPVGVTVKWCVOEVFWCVOFQNEVNFQTIUKZULWCVSVJAVOE
      WDWCVRVIVOEWCVHVQDWCVQFRNDVNFRTJUKUSWDUMUNUOUPMAHUQVLHBBFSKURUTVAVBVC $.

    $d s N $.  $d s v U $.  $d s V $.
    $( The predicate "is a hyperplane" (of a left module or left vector space).
       (Contributed by NM, 29-Jun-2014.) $)
    islshp $p |- ( W e. X -> ( U e. H <-> ( U e. S /\ U =/= V
        /\ E. v e. V ( N ` ( U u. { v } ) ) = V ) ) ) $=
      ( vs wcel cv wne cun cfv wceq wa csn wrex crab lshpset eleq2d neeq1 uneq1
      w3a fveqeq2d rexbidv anbi12d elrab 3anass bitr4i bitrdi ) GHNZCDNCMOZFPZU
      QAOUAZQZERFSZAFUBZTZMBUCZNZCBNZCFPZCUSQZERFSZAFUBZUHZUPDVDCABDEFGHMIJKLUD
      UEVEVFVGVJTZTVKVCVLMCBUQCSZURVGVBVJUQCFUFVMVAVIAFVMUTVHFEUQCUSUGUIUJUKULV
      FVGVJUMUNUO $.
  $}

  ${
    $d v S $.  $d v U $.  $d v V $.  $d v W $.  $d v ph $.
    islshpsm.v $e |- V = ( Base ` W ) $.
    islshpsm.n $e |- N = ( LSpan ` W ) $.
    islshpsm.s $e |- S = ( LSubSp ` W ) $.
    islshpsm.p $e |- .(+) = ( LSSum ` W ) $.
    islshpsm.h $e |- H = ( LSHyp ` W ) $.
    islshpsm.w $e |- ( ph -> W e. LMod ) $.
    $( Hyperplane properties expressed with subspace sum.  (Contributed by NM,
       3-Jul-2014.) $)
    islshpsm $p |- ( ph -> ( U e. H <-> ( U e. S /\ U =/= V /\
                   E. v e. V ( U .(+) ( N ` { v } ) ) = V ) ) ) $=
      ( wcel cun cfv wceq wa wne cv csn wrex w3a co clmod wb islshp syl simplrl
      ad2antrr lspid syl2anc uneq1d fveq2d wss lssss snssi adantl lspun syl3anc
      lspcl lsmsp 3eqtr4rd eqeq1d rexbidva pm5.32da bicomd df-3an 3bitr4g bitrd
      ) AEFPZEDPZEHUAZEBUBZUCZQGRZHSZBHUDZUEZVNVOEVQGRZCUFZHSZBHUDZUEZAIUGPZVMW
      AUHOBDEFGHIUGJKLNUIUJAVNVOTZVTTZWHWETZWAWFAWJWIAWHWEVTAWHTZWDVSBHWKVPHPZT
      ZWCVRHWMEGRZWBQZGRZEWBQZGRZVRWCWMWOWQGWMWNEWBWMWGVNWNESAWGWHWLOULZAVNVOWL
      UKZDEGILKUMUNUOUPWMWGEHUQZVQHUQZVRWPSWSWMVNXAWTDEHIJLURUJWLXBWKVPHUSUTZEV
      QGHIJKVAVBWMWGVNWBDPZWCWRSWSWTWMWGXBXDWSXCDVQGHIJLKVCUNCDEWBGILKMVDVBVEVF
      VGVHVIVNVOVTVJVNVOWEVJVKVL $.
  $}

  ${
    $d v U $.  $d v W $.
    lshplss.s $e |- S = ( LSubSp ` W ) $.
    lshplss.h $e |- H = ( LSHyp ` W ) $.
    lshplss.w $e |- ( ph -> W e. LMod ) $.
    lshplss.u $e |- ( ph -> U e. H ) $.
    $( A hyperplane is a subspace.  (Contributed by NM, 3-Jul-2014.) $)
    lshplss $p |- ( ph -> U e. S ) $=
      ( vv wcel cbs cfv wne cv csn cun clspn clmod eqid wceq wrex w3a wb islshp
      syl mpbid simp1d ) ACBKZCELMZNZCJOPQERMZMUJUAJUJUBZACDKZUIUKUMUCZIAESKUNU
      OUDHJBCDULUJESUJTULTFGUEUFUGUH $.
  $}

  ${
    $d v U $.  $d v V $.  $d v W $.
    lshpne.v $e |- V = ( Base ` W ) $.
    lshpne.h $e |- H = ( LSHyp ` W ) $.
    lshpne.w $e |- ( ph -> W e. LMod ) $.
    lshpne.u $e |- ( ph -> U e. H ) $.
    $( A hyperplane is not equal to the vector space.  (Contributed by NM,
       4-Jul-2014.) $)
    lshpne $p |- ( ph -> U =/= V ) $=
      ( vv clss cfv wcel wne cv csn cun clspn clmod eqid wceq w3a wb islshp syl
      wrex mpbid simp2d ) ABEKLZMZBDNZBJOPQERLZLDUAJDUFZABCMZUJUKUMUBZIAESMUNUO
      UCHJUIBCULDESFULTUITGUDUEUGUH $.
  $}

  ${
    lshpnel.v $e |- V = ( Base ` W ) $.
    lshpnel.n $e |- N = ( LSpan ` W ) $.
    lshpnel.p $e |- .(+) = ( LSSum ` W ) $.
    lshpnel.h $e |- H = ( LSHyp ` W ) $.
    lshpnel.w $e |- ( ph -> W e. LMod ) $.
    lshpnel.u $e |- ( ph -> U e. H ) $.
    lshpnel.x $e |- ( ph -> X e. V ) $.
    lshpnel.e $e |- ( ph -> ( U .(+) ( N ` { X } ) ) = V ) $.
    $( A hyperplane's generating vector does not belong to the hyperplane.
       (Contributed by NM, 3-Jul-2014.) $)
    lshpnel $p |- ( ph -> -. X e. U ) $=
      ( wcel wceq cfv adantr wne wn lshpne wa csn co csubg clss clmod lsssssubg
      wss eqid syl lshplss sseldd lspsncl syl2anc simpr lspsnel5a lsmss2 eqtr3d
      syl3anc ex necon3ad mpd ) ACFUAHCQZUBACDFGILMNUCAVFCFAVFCFRAVFUDZCHUEESZB
      UFZCFVGCGUGSZQVHVJQVHCUKVICRVGGUHSZVJCVGGUIQZVKVJUKAVLVFMTZVKGVKULZUJUMZA
      CVKQVFAVKCDGVNLMNUNTZUOVGVKVJVHVOVGVLHFQZVHVKQVMAVQVFOTVKEFGHIVNJUPUQUOVG
      VKCEGHVNJVMVPAVFURUSBCVHGKUTVBAVIFRVFPTVAVCVDVE $.
  $}

  ${
    $d v N $.  $d v .(+) $.  $d v U $.  $d v V $.  $d v W $.  $d v X $.
    $d v ph $.
    lshpnelb.v $e |- V = ( Base ` W ) $.
    lshpnelb.n $e |- N = ( LSpan ` W ) $.
    lshpnelb.p $e |- .(+) = ( LSSum ` W ) $.
    lshpnelb.h $e |- H = ( LSHyp ` W ) $.
    lshpnelb.w $e |- ( ph -> W e. LVec ) $.
    lshpnelb.u $e |- ( ph -> U e. H ) $.
    lshpnelb.x $e |- ( ph -> X e. V ) $.
    $( The subspace sum of a hyperplane and the span of an element equals the
       vector space iff the element is not in the hyperplane.  (Contributed by
       NM, 2-Oct-2014.) $)
    lshpnelb $p |- ( ph -> ( -. X e. U <-> ( U .(+) ( N ` { X } ) ) = V ) ) $=
      ( vv wcel cfv adantr wss wn csn co wceq wa wrex clss wne eqid clvec clmod
      cv w3a lveclmod syl islshpsm mpbid simp3d wpss simp1l simp2 csubg lshplss
      lsssssubg sseldd lspsncl syl2anc lsmub1 lsmub2 nelne1 sylan necomd df-pss
      lspsnid sylanbrc 3ad2ant1 lsmcl syl3anc lssss simpr adantlr 3adant2 lsmcv
      sseqtrrd syl211anc simp3 eqtrd rexlimdv3a mpd lshpnel impbida ) AHCQUAZCH
      UBERZBUCZFUDZAWLUEZCPULZUBERBUCZFUDZPFUFZWOAWTWLACGUGRZQZCFUHZWTACDQZXBXC
      WTUMNAPBXACDEFGIJXAUIZKLAGUJQZGUKQZMGUNUOZUPUQURSWPWSWOPFWPWQFQZWSUMZWNWR
      FXJAXICWNUSZWNWRTZWNWRUDAWLXIWSUTWPXIWSVAWPXIXKWSWPCWNTZCWNUHXKAXMWLACGVB
      RZQZWMXNQZXMAXAXNCAXGXAXNTXHXAGXEVDUOZAXACDGXELXHNVCZVEZAXAXNWMXQAXGHFQZW
      MXAQZXHOXAEFGHIXEJVFVGZVEZBCWMGKVHVGSWPWNCAHWNQWLWNCUHAWMWNHAXOXPWMWNTXSY
      CBCWMGKVIVGAXGXTHWMQXHOEFGHIJVNVGVEHWNCVJVKVLCWNVMVOVPWPWSXLXIAWSXLWLAWSU
      EWNFWRAWNFTZWSAWNXAQZYDAXGXBYAYEXHXRYBBXACWMGXEKVQVRZXAWNFGIXEVSUOSAWSVTW
      DWAWBAXIUEBXACWNEFGWQIXEJKAXFXIMSAXBXIXRSAYEXIYFSAXIVTWCWEWPXIWSWFWGWHWIA
      WOUEBCDEFGHIJKLAXGWOXHSAXDWONSAXTWOOSAWOVTWJWK $.
  $}

  ${
    $d v N $.  $d v U $.  $d v V $.  $d v W $.  $d v X $.
    lshpnel2.v $e |- V = ( Base ` W ) $.
    lshpnel2.s $e |- S = ( LSubSp ` W ) $.
    lshpnel2.n $e |- N = ( LSpan ` W ) $.
    lshpnel2.p $e |- .(+) = ( LSSum ` W ) $.
    lshpnel2.h $e |- H = ( LSHyp ` W ) $.
    lshpnel2.w $e |- ( ph -> W e. LVec ) $.
    lshpnel2.u $e |- ( ph -> U e. S ) $.
    lshpnel2.t $e |- ( ph -> U =/= V ) $.
    lshpnel2.x $e |- ( ph -> X e. V ) $.
    lshpnel2.e $e |- ( ph -> -. X e. U ) $.
    $( Condition that determines a hyperplane.  (Contributed by NM,
       3-Oct-2014.)  (New usage is discouraged.) $)
    lshpnel2N $p |- ( ph -> ( U e. H <-> ( U .(+) ( N ` { X } ) ) = V ) ) $=
      ( wcel vv csn cfv co wceq wa wn adantr clvec simpr lshpnelb mpbid wne cun
      wrex clmod lveclmod syl lspid syl2anc uneq1d fveq2d wss lssss snssd lspun
      cv syl3anc lspsncl 3eqtr4rd eqeq1d biimpa sneq uneq2d fveqeq2d rspcev w3a
      lsmsp wb islshp mpbir3and impbida ) ADETZDIUBZFUCZBUDZGUEZAWCUFZIDTUGZWGA
      WIWCSUHWHBDEFGHIJLMNAHUITZWCOUHAWCUJAIGTZWCRUHUKULAWGUFZWCDCTZDGUMZDUAVGZ
      UBZUNZFUCGUEZUAGUOZAWMWGPUHAWNWGQUHWLWKDWDUNZFUCZGUEZWSAWKWGRUHAWGXBAWFXA
      GADFUCZWEUNZFUCZDWEUNZFUCZXAWFAXDXFFAXCDWEAHUPTZWMXCDUEAWJXHOHUQURZPCDFHK
      LUSUTVAVBAXHDGVCZWDGVCXAXEUEXIAWMXJPCDGHJKVDURAIGRVEDWDFGHJLVFVHAXHWMWECT
      ZWFXGUEXIPAXHWKXKXIRCFGHIJKLVIUTBCDWEFHKLMVRVHVJVKVLWRXBUAIGWOIUEZWQWTGFX
      LWPWDDWOIVMVNVOVPUTWLWJWCWMWNWSVQVSAWJWGOUHUACDEFGHUIJLKNVTURWAWB $.
  $}

  ${
    lshpne0.v $e |- V = ( Base ` W ) $.
    lshpne0.n $e |- N = ( LSpan ` W ) $.
    lshpne0.p $e |- .(+) = ( LSSum ` W ) $.
    lshpne0.h $e |- H = ( LSHyp ` W ) $.
    lshpne0.o $e |- .0. = ( 0g ` W ) $.
    lshpne0.w $e |- ( ph -> W e. LMod ) $.
    lshpne0.u $e |- ( ph -> U e. H ) $.
    lshpne0.x $e |- ( ph -> X e. V ) $.
    lshpne0.e $e |- ( ph -> ( U .(+) ( N ` { X } ) ) = V ) $.
    $( The member of the span in the hyperplane definition does not belong to
       the hyperplane.  (Contributed by NM, 14-Jul-2014.)  (Proof shortened by
       AV, 19-Jul-2022.) $)
    lshpne0 $p |- ( ph -> X =/= .0. ) $=
      ( clss cfv eqid lshplss lshpnel lssvneln0 ) AGSTZCGHINUEUAZOAUECDGUFMOPUB
      ABCDEFGHJKLMOPQRUCUD $.
  $}

  ${
    $d k v N $.  $d k v U $.  $d k V $.  $d k v X $.  $d k v .0. $.  $d k W $.
    $d k v ph $.
    lshpdisj.v $e |- V = ( Base ` W ) $.
    lshpdisj.o $e |- .0. = ( 0g ` W ) $.
    lshpdisj.n $e |- N = ( LSpan ` W ) $.
    lshpdisj.p $e |- .(+) = ( LSSum ` W ) $.
    lshpdisj.h $e |- H = ( LSHyp ` W ) $.
    lshpdisj.w $e |- ( ph -> W e. LVec ) $.
    lshpdisj.u $e |- ( ph -> U e. H ) $.
    lshpdisj.x $e |- ( ph -> X e. V ) $.
    lshpdisj.e $e |- ( ph -> ( U .(+) ( N ` { X } ) ) = V ) $.
    $( A hyperplane and the span in the hyperplane definition are disjoint.
       (Contributed by NM, 3-Jul-2014.) $)
    lshpdisj $p |- ( ph -> ( U i^i ( N ` { X } ) ) = { .0. } ) $=
      ( cfv wcel vv vk csn cin cv wa wceq cvsca co csca cbs wrex clmod wb clvec
      lveclmod syl adantr eqid lspsnel syl2anc wi lshpnel ad2antrr clss lshplss
      wne wn simpr lspsneli lspsnel4 mtbid ex necon4ad eleq1 imbi12d syl5ibrcom
      eqeq1 com23 com24 imp31 rexlimdva sylbid expimpd elin velsn 3imtr4g ssrdv
      wss lspsncl lssincl syl3anc lss0ss eqssd ) ACHUCESZUDZIUCZAUAWPWQAUAUEZCT
      ZWRWOTZUFWRIUGZWRWPTWRWQTAWSWTXAAWSUFZWTWRUBUEZHGUHSZUIZUGZUBGUJSZUKSZULZ
      XAXBGUMTZHFTZWTXIUNAXJWSAGUOTZXJOGUPUQZURAXKWSQURXDWRUBXGXHEFGHXGUSZXHUSZ
      JXDUSZLUTVAXBXFXAUBXHAWSXCXHTZXFXAVBAXFXQWSXAAXQXFWSXAVBZAXQXFXRVBAXQUFZX
      RXFXECTZXEIUGZVBXSXTXEIXSXEIVGZXTVHXSYBUFZHCTZXTAYDVHXQYBABCDEFGHJLMNXMPQ
      RVCVDYCGVESZCEFGHXEIJKYEUSZLAXLXQYBOVDACYETZXQYBAYECDGYFNXMPVFZVDAXKXQYBQ
      VDXSXEWOTYBXSXCXDXGXHEFGHJXPXNXOLAXJXQXMURAXQVIAXKXQQURVJURXSYBVIVKVLVMVN
      XFWSXTXAYAWRXECVOWRXEIVRVPVQVMVSVTWAWBWCWDWRCWOWEUAIWFWGWHAXJWPYETZWQWPWI
      XMAXJYGWOYETZYIXMYHAXJXKYJXMQYEEFGHJYFLWJVAYECWOGYFWKWLYEGWPIKYFWMVAWN $.
  $}

  ${
    $d v T $.  $d v U $.  $d v W $.  $d v ph $.
    lshpcmp.h $e |- H = ( LSHyp ` W ) $.
    lshpcmp.w $e |- ( ph -> W e. LVec ) $.
    lshpcmp.t $e |- ( ph -> T e. H ) $.
    lshpcmp.u $e |- ( ph -> U e. H ) $.
    $( If two hyperplanes are comparable, they are equal.  (Contributed by NM,
       9-Oct-2014.) $)
    lshpcmp $p |- ( ph -> ( T C_ U <-> T = U ) ) $=
      ( vv wss wceq cfv wne eqid wcel syl lshplss wa adantr wpss wn clvec clmod
      cbs lveclmod lshpne clss lssss cv csn clspn clsm co wi w3a islshpsm mpbid
      wrex simp3d id adantrr simpr syl3an1 3expia simplrr sseq2d eqeq2d 3imtr3d
      lsmcv exp42 rexlimdv mpd necon3ad df-pss simplbi2 necon1bd syl5com eqimss
      mpid impbid1 ) ABCKZBCLZABCUAZUBZWBWCACEUEMZNWEACDWFEWFOZFAEUCPZEUDPGEUFQ
      ZIUGAWDCWFAWDCWFKZCWFLZACEUHMZPZWJAWLCDEWLOZFWIIRZWLCWFEWGWNUIQABJUJZUKEU
      LMZMEUMMZUNZWFLZJWFUSZWDWJWKUOZUOZABWLPZBWFNZXAABDPXDXEXAUPHAJWRWLBDWQWFE
      WGWQOZWNWROZFWIUQURUTAWTXCJWFAWPWFPZWTWDXBAXHWTSSZWDSZCWSKZCWSLZWJWKXIWDX
      KXLXIAXHSZWDXKXLAXHXMWTXMVAVBXMWRWLBCWQWFEWPWGWNXFXGAWHXHGTAXDXHAWLBDEWNF
      WIHRTAWMXHWOTAXHVCVJVDVEXJWSWFCAXHWTWDVFZVGXJWSWFCXNVHVIVKVLVMVTVNVMWBWDB
      CWDWBBCNBCVOVPVQVRBCVSWA $.
  $}

  ${
    lshpin.h $e |- H = ( LSHyp ` W ) $.
    lshpin.w $e |- ( ph -> W e. LVec ) $.
    lshpin.t $e |- ( ph -> T e. H ) $.
    lshpin.u $e |- ( ph -> U e. H ) $.
    $( The intersection of two different hyperplanes is not a hyperplane.
       (Contributed by NM, 29-Oct-2014.)  (New usage is discouraged.) $)
    lshpinN $p |- ( ph -> ( ( T i^i U ) e. H <-> T = U ) ) $=
      ( cin wcel wceq wa wss inss1 clvec adantr simpr lshpcmp mpbii inss2 inidm
      eqtr3d ex eqeltrid ineq2 eleq1d syl5ibcom impbid ) ABCJZDKZBCLZAUKULAUKMZ
      UJBCUMUJBNUJBLBCOUMUJBDEFAEPKUKGQZAUKRZABDKUKHQSTUMUJCNUJCLBCUAUMUJCDEFUN
      UOACDKUKIQSTUCUDABBJZDKULUKAUPBDBUBHUEULUPUJDBCBUFUGUHUI $.
  $}

  ${
    $d v w N $.  $d v w V $.  $d v w x W $.  $d v w .0. $.  $d v x X $.
    lsatset.v $e |- V = ( Base ` W ) $.
    lsatset.n $e |- N = ( LSpan ` W ) $.
    lsatset.z $e |- .0. = ( 0g ` W ) $.
    lsatset.a $e |- A = ( LSAtoms ` W ) $.
    $( The set of all 1-dim subspaces (atoms) of a left module or left vector
       space.  (Contributed by NM, 9-Apr-2014.)  (Revised by Mario Carneiro,
       22-Sep-2015.) $)
    lsatset $p |- ( W e. X ->
      A = ran ( v e. ( V \ { .0. } ) |-> ( N ` { v } ) ) ) $=
      ( vw wcel cfv csn crn cbs c0g clspn fveq2 clsa cdif cv cmpt cvv wceq elex
      eqtr4di sneqd difeq12d fveq1d mpteq12dv rneqd df-lsatoms c0 cun rnex p0ex
      fvexi unex wf wss eqid fvrn0 a1i fmpti frn ax-mp ssexi fvmpt syl syl5eq )
      EFMZBEUANZADGOZUBZAUCZOZCNZUDZPZKVMEUEMVNWAUFEFUGLEALUCZQNZWBRNZOZUBZVRWB
      SNZNZUDZPWAUEUAWBEUFZWIVTWJAWFWHVPVSWJWCDWEVOWJWCEQNDWBEQTHUHWJWDGWJWDERN
      GWBERTJUHUIUJWJVRWGCWJWGESNCWBESTIUHUKULUMLAUNWACPZUOOZUPZWKWLCCESIUSUQUR
      UTVPWMVTVAWAWMVBAVPWMVSVTVTVCVSWMMVQVPMCVRVDVEVFVPWMVTVGVHVIVJVKVL $.

    $d v U $.  $d v x N $.  $d x U $.  $d x V $.  $d x .0. $.
    $( The predicate "is a 1-dim subspace (atom)" (of a left module or left
       vector space).  (Contributed by NM, 9-Apr-2014.)  (Revised by Mario
       Carneiro, 24-Jun-2014.) $)
    islsat $p |- ( W e. X -> ( U e. A <-> E. x e. ( V \ { .0. } )
                  U = ( N ` { x } ) ) ) $=
      ( wcel csn cdif cv cfv cmpt crn wceq wrex lsatset eleq2d eqid fvex bitrdi
      elrnmpti ) FGMZCBMCAEHNOZAPNZDQZRZSZMCUKTAUIUAUHBUMCABDEFGHIJKLUBUCAUIUKC
      ULULUDUJDUEUGUF $.

    $( The span of a nonzero singleton is an atom.  TODO: make this obsolete
       and use ~ lsatlspsn instead?  (Contributed by NM, 9-Apr-2014.)  (Revised
       by Mario Carneiro, 24-Jun-2014.) $)
    lsatlspsn2 $p |- ( ( W e. LMod /\ X e. V /\ X =/= .0. )
           -> ( N ` { X } ) e. A ) $=
      ( vv clmod wcel wne w3a csn cfv cv wceq cdif wrex 3simpc sylibr eqid sneq
      wa eldifsn fveq2d rspceeqv sylancl wb islsat 3ad2ant1 mpbird ) DLMZECMZEF
      NZOZEPZBQZAMZUTKRZPZBQZSKCFPTZUAZUREVEMZUTUTSVFURUPUQUFVGUOUPUQUBECFUGUCU
      TUDKEVEVDUTUTVBESVCUSBVBEUEUHUIUJUOUPVAVFUKUQKAUTBCDLFGHIJULUMUN $.

    lsatlspsn.w $e |- ( ph -> W e. LMod ) $.
    lsatlspsn.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    $( The span of a nonzero singleton is an atom.  (Contributed by NM,
       16-Jan-2015.) $)
    lsatlspsn $p |- ( ph -> ( N ` { X } ) e. A ) $=
      ( vv csn cfv wcel cv wceq clmod cdif wrex eqid fveq2d rspceeqv sylancl wb
      sneq islsat syl mpbird ) AFOZCPZBQZUMNRZOZCPZSNDGOUAZUBZAFURQUMUMSUSMUMUC
      NFURUQUMUMUOFSUPULCUOFUHUDUEUFAETQUNUSUGLNBUMCDETGHIJKUIUJUK $.
  $}

  ${
    $d v N $.  $d v U $.  $d v V $.  $d v W $.  $d v X $.
    islsati.v $e |- V = ( Base ` W ) $.
    islsati.n $e |- N = ( LSpan ` W ) $.
    islsati.a $e |- A = ( LSAtoms ` W ) $.
    $( A 1-dim subspace (atom) (of a left module or left vector space) equals
       the span of some vector.  (Contributed by NM, 1-Oct-2014.) $)
    islsati $p |- ( ( W e. X /\ U e. A ) -> E. v e. V U = ( N ` { v } ) ) $=
      ( c0g cfv csn cdif wss wcel wa cv wceq wrex difss islsat biimpa ssrexv
      eqid mpsyl ) EFKLZMZNZEOFGPZCBPZQCARMDLSZAUITZULAETEUHUAUJUKUMABCDEFGUGHI
      UGUEJUBUCULAUIEUDUF $.
  $}

  ${
    $d v U $.  $d v W $.  $d v .0. $.  $d v ph $.
    lsateln0.z $e |- .0. = ( 0g ` W ) $.
    lsateln0.a $e |- A = ( LSAtoms ` W ) $.
    lsateln0.w $e |- ( ph -> W e. LMod ) $.
    lsateln0.u $e |- ( ph -> U e. A ) $.
    $( A 1-dim subspace (atom) (of a left module or left vector space) contains
       a nonzero vector.  (Contributed by NM, 2-Jan-2015.) $)
    lsateln0 $p |- ( ph -> E. v e. U v =/= .0. ) $=
      ( cv wcel cbs cfv csn wrex clmod eqid syl wa cdif wne clspn wceq wb mpbid
      islsat eldifi lspsnid syl2an eleq2 syl5ibrcom reximdva mpd eldifsn anbi1i
      anass bitri simprbi ancomd reximi2 ) ABKZDLZBEMNZFOZUAZPZVBFUBZBDPADVBOEU
      CNZNZUDZBVFPZVGADCLZVLJAEQLZVMVLUEIBCDVIVDEQFVDRZVIRZGHUGSUFAVKVCBVFAVBVF
      LZTVCVKVBVJLZAVNVBVDLZVRVQIVBVDVEUHVIVDEVBVOVPUIUJDVJVBUKULUMUNVCVHBVFDVQ
      VCTZVHVCVTVSVHVCTZVTVSVHTZVCTVSWATVQWBVCVBVDFUOUPVSVHVCUQURUSUTVAS $.
  $}

  ${
    $d v S $.  $d v W $.
    lsatlss.s $e |- S = ( LSubSp ` W ) $.
    lsatlss.a $e |- A = ( LSAtoms ` W ) $.
    $( The set of 1-dim subspaces is a set of subspaces.  (Contributed by NM,
       9-Apr-2014.)  (Revised by Mario Carneiro, 24-Jun-2014.) $)
    lsatlss $p |- ( W e. LMod -> A C_ S ) $=
      ( vv clmod wcel cbs cfv c0g csn cdif clspn cmpt crn eqid lsatset eldifi
      cv lspsncl sylan2 fmpttd frnd eqsstrd ) CGHZAFCIJZCKJZLZMZFTZLCNJZJZOZPBF
      AULUGCGUHUGQZULQZUHQERUFUJBUNUFFUJUMBUKUJHUFUKUGHUMBHUKUGUISBULUGCUKUODUP
      UAUBUCUDUE $.

    lssatssel.w $e |- ( ph -> W e. LMod ) $.
    lssatssel.u $e |- ( ph -> U e. A ) $.
    $( An atom is a subspace.  (Contributed by NM, 25-Aug-2014.) $)
    lsatlssel $p |- ( ph -> U e. S ) $=
      ( clmod wcel wss lsatlss syl sseldd ) ABCDAEJKBCLHBCEFGMNIO $.
  $}

  ${
    lsatssv.v $e |- V = ( Base ` W ) $.
    lsatssv.a $e |- A = ( LSAtoms ` W ) $.
    lsatssv.w $e |- ( ph -> W e. LMod ) $.
    lsatssv.g $e |- ( ph -> Q e. A ) $.
    $( An atom is a set of vectors.  (Contributed by NM, 27-Feb-2015.) $)
    lsatssv $p |- ( ph -> Q C_ V ) $=
      ( clss cfv wcel wss eqid lsatlssel lssss syl ) ACEJKZLCDMABRCERNZGHIORCDE
      FSPQ $.
  $}

  ${
    $d v .0. $.  $d v U $.  $d v W $.  $d v ph $.
    lsatn0.o $e |- .0. = ( 0g ` W ) $.
    lsatn0.a $e |- A = ( LSAtoms ` W ) $.
    lsatn0.w $e |- ( ph -> W e. LMod ) $.
    lsatn0.u $e |- ( ph -> U e. A ) $.
    $( A 1-dim subspace (atom) of a left module or left vector space is
       nonzero.  ( ~ atne0 analog.)  (Contributed by NM, 25-Aug-2014.) $)
    lsatn0 $p |- ( ph -> U =/= { .0. } ) $=
      ( vv cv csn cfv wceq wne wcel clmod wb eqid wa clspn cbs cdif wrex islsat
      syl mpbid wi eldifsn lspsneq0 sylan biimpd necon3d expimpd neeq1 biimprcd
      syl5bi syl6 rexlimdv mpd ) ACJKZLDUAMZMZNZJDUBMZELZUCZUDZCVFOZACBPZVHIADQ
      PZVJVHRHJBCVBVEDQEVESZVBSZFGUEUFUGAVDVIJVGAVAVGPZVCVFOZVDVIUHVNVAVEPZVAEO
      ZTAVOVAVEEUIAVPVQVOAVPTZVCVFVAEVRVCVFNZVAENZAVKVPVSVTRHVBVEDVAEVLFVMUJUKU
      LUMUNUQVDVIVOCVCVFUOUPURUSUT $.
  $}

  ${
    lsatspn0.v $e |- V = ( Base ` W ) $.
    lsatspn0.n $e |- N = ( LSpan ` W ) $.
    lsatspn0.o $e |- .0. = ( 0g ` W ) $.
    lsatspn0.a $e |- A = ( LSAtoms ` W ) $.
    isateln0.w $e |- ( ph -> W e. LMod ) $.
    isateln0.x $e |- ( ph -> X e. V ) $.
    $( The span of a vector is an atom iff the vector is nonzero.  (Contributed
       by NM, 4-Feb-2015.) $)
    lsatspn0 $p |- ( ph -> ( ( N ` { X } ) e. A <-> X =/= .0. ) ) $=
      ( csn cfv wcel wne wa adantr wceq clmod simpr lsatn0 fveq2d adantl lspsn0
      sneq syl eqtrd ex necon3d mpd cdif eldifsn sylanbrc lsatlspsn impbida ) A
      FNZCOZBPZFGQZAUTRZUSGNZQVAVBBUSEGJKAEUAPZUTLSZAUTUBUCVBFGUSVCVBFGTZUSVCTV
      BVFRZUSVCCOZVCVFUSVHTVBVFURVCCFGUGUDUEVGVDVHVCTVBVDVFVESCEGJIUFUHUIUJUKUL
      AVARZBCDEFGHIJKAVDVALSVIFDPZVAFDVCUMPAVJVAMSAVAUBFDGUNUOUPUQ $.
  $}

  ${
    lsator0sp.v $e |- V = ( Base ` W ) $.
    lsator0sp.n $e |- N = ( LSpan ` W ) $.
    lsator0sp.o $e |- .0. = ( 0g ` W ) $.
    lsator0sp.a $e |- A = ( LSAtoms ` W ) $.
    isator0sp.w $e |- ( ph -> W e. LMod ) $.
    isator0sp.x $e |- ( ph -> X e. V ) $.
    $( The span of a vector is either an atom or the zero subspace.
       (Contributed by NM, 15-Mar-2015.) $)
    lsator0sp $p |- ( ph ->
         ( ( N ` { X } ) e. A \/ ( N ` { X } ) = { .0. } ) ) $=
      ( csn cfv wcel wceq wn wne lsatspn0 biimprd necon1bd syl2anc sylibrd orrd
      clmod wb lspsneq0 ) AFNCOZBPZUIGNQZAUJRFGQZUKAUJFGAUJFGSABCDEFGHIJKLMTUAU
      BAEUFPFDPUKULUGLMCDEFGHJIUHUCUDUE $.
  $}

  ${
    lsatssn0.o $e |- .0. = ( 0g ` W ) $.
    lsatssn0.a $e |- A = ( LSAtoms ` W ) $.
    lsatssn0.w $e |- ( ph -> W e. LMod ) $.
    lsatssn0.q $e |- ( ph -> Q e. A ) $.
    lsatssn0.u $e |- ( ph -> Q C_ U ) $.
    $( A subspace (or any class) including an atom is nonzero.  (Contributed by
       NM, 3-Feb-2015.) $)
    lsatssn0 $p |- ( ph -> U =/= { .0. } ) $=
      ( csn wss wne wpss clmod wcel clss cfv necomd eqid lss0ss lsatn0 sylanbrc
      lsatlssel syl2anc df-pss psssstrd pssned ) AFLZDAUJDAUJCDAUJCMZUJCNUJCOAE
      PQCERSZQUKIABULCEULUAZHIJUEULECFGUMUBUFACUJABCEFGHIJUCTUJCUGUDKUHUIT $.
  $}

  ${
    $d v T $.  $d v U $.  $d v W $.  $d v ph $.
    lsatcmp.a $e |- A = ( LSAtoms ` W ) $.
    lsatcmp.w $e |- ( ph -> W e. LVec ) $.
    lsatcmp.t $e |- ( ph -> T e. A ) $.
    lsatcmp.u $e |- ( ph -> U e. A ) $.
    $( If two atoms are comparable, they are equal.  ( ~ atsseq analog.)  TODO:
       can ~ lspsncmp shorten this?  (Contributed by NM, 25-Aug-2014.) $)
    lsatcmp $p |- ( ph -> ( T C_ U <-> T = U ) ) $=
      ( vv csn cfv wceq wss wb wcel clmod eqid wa ad2antrr cv cbs c0g cdif wrex
      clspn clvec lveclmod syl islsat mpbid wi eldifsn lsatn0 clss wo lsatlssel
      wne simplrl simpr lspsnat syl31anc ord necon1ad mpd eqimss impbid1 syl5bi
      ex sseq2 eqeq2 bibi12d biimprcd syl6 rexlimdv ) ADJUAZKEUFLZLZMZJEUBLZEUC
      LZKZUDZUEZCDNZCDMZOZADBPZWDIAEQPZWHWDOAEUGPZWIGEUHUIZJBDVQVTEQWAVTRZVQRZW
      ARZFUJUIUKAVSWGJWCAVPWCPZCVRNZCVRMZOZVSWGULWOVPVTPZVPWAURZSZAWRVPVTWAUMAX
      AWRAXASZWPWQXBWPWQXBWPSZCWBURZWQAXDXAWPABCEWAWNFWKHUNTXCWQCWBXCWQCWBMZXCW
      JCEUOLZPZWSWPWQXEUPAWJXAWPGTAXGXAWPABXFCEXFRZFWKHUQTAWSWTWPUSXBWPUTXFCVQV
      TEVPWAWLWNXHWMVAVBVCVDVEVICVRVFVGVIVHVSWGWRVSWEWPWFWQDVRCVJDVRCVKVLVMVNVO
      VE $.
  $}

  ${
    lsatcmp2.o $e |- .0. = ( 0g ` W ) $.
    lsatcmp2.a $e |- A = ( LSAtoms ` W ) $.
    lsatcmp2.w $e |- ( ph -> W e. LVec ) $.
    lsatcmp2.t $e |- ( ph -> T e. A ) $.
    lsatcmp2.u $e |- ( ph -> ( U e. A \/ U = { .0. } ) ) $.
    $( If an atom is included in at-most an atom, they are equal.  More general
       version of ~ lsatcmp .  TODO: can ~ lspsncmp shorten this?  (Contributed
       by NM, 3-Feb-2015.) $)
    lsatcmp2 $p |- ( ph -> ( T C_ U <-> T = U ) ) $=
      ( wss wceq wa simpr clvec wcel adantr csn wne clmod lveclmod syl lsatssn0
      wi ord necon1ad mpd lsatcmp mpbid ex eqimss impbid1 ) ACDLZCDMZAUNUOAUNNZ
      UNUOAUNOZUPBCDEHAEPQZUNIRACBQUNJRZUPDFSZTZDBQZUPBCDEFGHAEUAQZUNAURVCIEUBU
      CRUSUQUDAVAVBUEUNAVBDUTAVBDUTMKUFUGRUHUIUJUKCDULUM $.
  $}

  ${
    lsatel.o $e |- .0. = ( 0g ` W ) $.
    lsatel.n $e |- N = ( LSpan ` W ) $.
    lsatel.a $e |- A = ( LSAtoms ` W ) $.
    lsatel.w $e |- ( ph -> W e. LVec ) $.
    lsatel.u $e |- ( ph -> U e. A ) $.
    lsatel.x $e |- ( ph -> X e. U ) $.
    lsatel.e $e |- ( ph -> X =/= .0. ) $.
    $( A nonzero vector in an atom determines the atom.  (Contributed by NM,
       25-Aug-2014.) $)
    lsatel $p |- ( ph -> U = ( N ` { X } ) ) $=
      ( csn cfv wss wceq eqid wcel clvec clmod lveclmod syl lsatlssel lspsnel5a
      clss cbs wne lssel syl2anc lsatlspsn2 syl3anc lsatcmp mpbid eqcomd ) AFOD
      PZCAUQCQUQCRAEUGPZCDEFURSZIAEUATEUBTZKEUCUDZABURCEUSJVALUEZMUFABUQCEJKAUT
      FEUHPZTZFGUIUQBTVAACURTFCTVDVBMURCVCEFVCSZUSUJUKNBDVCEFGVEIHJULUMLUNUOUP
      $.
  $}

  ${
    lsatelb.v $e |- V = ( Base ` W ) $.
    lsatelb.o $e |- .0. = ( 0g ` W ) $.
    lsatelb.n $e |- N = ( LSpan ` W ) $.
    lsatelb.a $e |- A = ( LSAtoms ` W ) $.
    lsatelb.w $e |- ( ph -> W e. LVec ) $.
    lsatelb.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    lsatelb.u $e |- ( ph -> U e. A ) $.
    $( A nonzero vector in an atom determines the atom.  (Contributed by NM,
       3-Feb-2015.)  (New usage is discouraged.) $)
    lsatelbN $p |- ( ph -> ( X e. U <-> U = ( N ` { X } ) ) ) $=
      ( wcel csn cfv wa adantr wceq clvec simpr wne eldifsn sylib simprd lsatel
      cdif wss eqimss2 adantl wb clss eqid clmod lveclmod syl lsatlssel eldifad
      lspsnel5 mpbird impbida ) AGCPZCGQDRZUAZAVDSBCDFGHJKLAFUBPZVDMTACBPVDOTAV
      DUCAGHUDZVDAGEPZVHAGEHQZUIPVIVHSNGEHUEUFUGTUHAVFSVDVECUJZVFVKAVECUKULAVDV
      KUMVFAFUNRZCDEFGIVLUOZKAVGFUPPMFUQURZABVLCFVMLVNOUSAGEVJNUTVATVBVC $.
  $}

  ${
    lsat2el.o $e |- .0. = ( 0g ` W ) $.
    lsat2el.a $e |- A = ( LSAtoms ` W ) $.
    lsat2el.w $e |- ( ph -> W e. LVec ) $.
    lsat2el.p $e |- ( ph -> P e. A ) $.
    lsat2el.q $e |- ( ph -> Q e. A ) $.
    lsat2el.x $e |- ( ph -> X =/= .0. ) $.
    lsat2el.x1 $e |- ( ph -> X e. P ) $.
    lsat2el.x2 $e |- ( ph -> X e. Q ) $.
    $( Two atoms sharing a nonzero vector are equal.  (Contributed by NM,
       8-Mar-2015.) $)
    lsat2el $p |- ( ph -> P = Q ) $=
      ( csn clspn cfv eqid lsatel eqtr4d ) ACFPEQRZRDABCUBEFGHUBSZIJKNMTABDUBEF
      GHUCIJLOMTUA $.
  $}

  ${
    $d p q r y z A $.  $d q r y z .0. $.  $d p q r y z .(+) $.  $d p r Q $.
    $d p q r y z T $.  $d p q r y z U $.  $d p q r y z W $.  $d q r y z ph $.
    lsmsat.o $e |- .0. = ( 0g ` W ) $.
    lsmsat.s $e |- S = ( LSubSp ` W ) $.
    lsmsat.p $e |- .(+) = ( LSSum ` W ) $.
    lsmsat.a $e |- A = ( LSAtoms ` W ) $.
    lsmsat.w $e |- ( ph -> W e. LMod ) $.
    lsmsat.t $e |- ( ph -> T e. S ) $.
    lsmsat.u $e |- ( ph -> U e. S ) $.
    lsmsat.q $e |- ( ph -> Q e. A ) $.
    lsmsat.n $e |- ( ph -> T =/= { .0. } ) $.
    lsmsat.l $e |- ( ph -> Q C_ ( T .(+) U ) ) $.
    $( Convert comparison of atom with sum of subspaces to a comparison to sum
       with atom.  ( ~ elpaddatiN analog.)  TODO: any way to shorten this?
       (Contributed by NM, 15-Jan-2015.) $)
    lsmsat $p |- ( ph -> E. p e. A ( p C_ T /\ Q C_ ( p .(+) U ) ) ) $=
      ( vr vy vz vq cv csn clspn cfv wceq cbs cdif wrex wss co wa wcel clmod wb
      eqid islsat syl mpbid cplusg simp3 3ad2ant1 eqsstrrd lsmcl syl3anc eldifi
      w3a 3ad2ant2 lspsnel5 mpbird lsssssubg sseldd lsmelval syl2anc wne lssne0
      csubg wi adantr simpr2 lssel simpr3 lspsnel5a simpl3 simpr1 oveq1d simp2r
      lsatlspsn2 lmod0vlid 3eqtrd sneqd fveq2d eqsstrd lsmub2 sstrd sseq1 oveq1
      lspsnsubg sseq2d anbi12d rspcev syl12anc 3exp2 imp rexlimdv mpd simpr cpr
      simp2l lspvadd sseqtrd lspsncl lsmless2 pm2.61dane 3exp rexlimdvv 3adant3
      lsmpr anbi2d rexbidv 3ad2ant3 ) ADUAUEZUFZHUGUHZUHZUIZUAHUJUHZIUFZUKZULZJ
      UEZFUMZDYNGCUNZUMZUOZJBULZADBUPZYMRAHUQUPZYTYMUROUABDYGYJHUQIYJUSZYGUSZKN
      UTVAVBAYIYSUAYLAYEYLUPZYIYSAUUDYIVJZYSYOYHYPUMZUOZJBULZUUEYEUBUEZUCUEZHVC
      UHZUNZUIZUCGULUBFULZUUHUUEYEFGCUNZUPZUUNUUEUUPYHUUOUMUUEYHDUUOAUUDYIVDAUU
      DDUUOUMYITVEVFUUEEUUOYGYJHYEUUBLUUCAUUDUUAYIOVEZAUUDUUOEUPZYIAUUAFEUPZGEU
      PZUUROPQCEFGHLMVGVHVEUUDAYEYJUPYIYEYJYKVIVKVLVMUUEFHVTUHZUPGUVAUPZUUPUUNU
      RUUEEUVAFUUEUUAEUVAUMZUUQEHLVNZVAZAUUDUUSYIPVEVOUUEEUVAGUVEAUUDUUTYIQVEVO
      UBUCUUKCFGHYEUUKUSZMVPVQVBAUUDUUNUUHWAYIAUUDUOZUUMUUHUBUCFGUVGUUIFUPZUUJG
      UPZUOZUUMUUHUVGUVJUUMVJZUUHUUIIUVKUUIIUIZUOZUDUEZIVRZUDFULZUUHUVKUVPUVLUV
      GUVJUVPUUMAUVPUUDAFYKVRZUVPSAUUSUVQUVPURPUDEHFIKLVSVAVBWBVEWBUVMUVOUUHUDF
      UVKUVLUVNFUPZUVOUUHWAWAUVKUVLUVRUVOUUHUVKUVLUVRUVOVJZUOZUVNUFYGUHZBUPZUWA
      FUMZYHUWAGCUNZUMZUUHUVTUUAUVNYJUPZUVOUWBUVKUUAUVSUVGUVJUUAUUMAUUAUUDOWBVE
      ZWBZUVTUUSUVRUWFUVKUUSUVSUVGUVJUUSUUMAUUSUUDPWBVEZWBZUVKUVLUVRUVOWCZEFYJH
      UVNUUBLWDVQZUVKUVLUVRUVOWEBYGYJHUVNIUUBUUCKNWKVHUVTEFYGHUVNLUUCUWHUWJUWKW
      FUVTYHGUWDUVTYHUUJUFZYGUHZGUVTYFUWMYGUVTYEUUJUVTYEUULIUUJUUKUNZUUJUVGUVJU
      UMUVSWGUVTUUIIUUJUUKUVKUVLUVRUVOWHWIUVTUUAUUJYJUPZUWOUUJUIUWHUVKUWPUVSUVK
      UUTUVIUWPUVGUVJUUTUUMAUUTUUDQWBVEZUVGUVHUVIUUMWJZEGYJHUUJUUBLWDVQZWBUUKYJ
      HUUJIUUBUVFKWLVQWMWNWOUVKUWNGUMZUVSUVKEGYGHUUJLUUCUWGUWQUWRWFZWBWPUVTUWAU
      VAUPZUVBGUWDUMUVTUUAUWFUXBUWHUWLYGYJHUVNUUBUUCXAVQUVTEUVAGUVTUUAUVCUWHUVD
      VAUVKUUTUVSUWQWBVOCUWAGHMWQVQWRUUGUWCUWEUOJUWABYNUWAUIZYOUWCUUFUWEYNUWAFW
      SUXCYPUWDYHYNUWAGCWTXBXCXDXEXFXGXHXIUVKUUIIVRZUOZUUIUFYGUHZBUPZUXFFUMZYHU
      XFGCUNZUMZUUHUXEUUAUUIYJUPZUXDUXGUVKUUAUXDUWGWBUVKUXKUXDUVKUUSUVHUXKUWIUV
      GUVHUVIUUMXLZEFYJHUUIUUBLWDVQZWBUVKUXDXJBYGYJHUUIIUUBUUCKNWKVHUVKUXHUXDUV
      KEFYGHUUILUUCUWGUWIUXLWFWBUVKUXJUXDUVKYHUXFUWNCUNZUXIUVKYHUUIUUJXKYGUHZUX
      NUVKYHUULUFZYGUHZUXOUVKYFUXPYGUVKYEUULUVGUVJUUMVDWNWOUVKUUAUXKUWPUXQUXOUM
      UWGUXMUWSUUKYGYJHUUIUUJUUBUVFUUCXMVHWPUVKCYGYJHUUIUUJUUBUUCMUWGUXMUWSYAXN
      UVKUXFUVAUPUVBUWTUXNUXIUMUVKEUVAUXFUVKUUAUVCUWGUVDVAZUVKUUAUXKUXFEUPUWGUX
      MEYGYJHUUIUUBLUUCXOVQVOUVKEUVAGUXRUWQVOUXACUXFUWNGHMXPVHWRWBUUGUXHUXJUOJU
      XFBYNUXFUIZYOUXHUUFUXJYNUXFFWSUXSYPUXIYHYNUXFGCWTXBXCXDXEXQXRXSXTXIYIAYSU
      UHURUUDYIYRUUGJBYIYQUUFYODYHYPWSYBYCYDVMXRXHXI $.
  $}

  ${
    $d w z N $.  $d w z .0. $.  $d w z .+ $.  $d w z ph $.  $d w z Q $.
    $d w z V $.  $d w z W $.  $d w z X $.  $d w z Y $.
    lsatfixed.v $e |- V = ( Base ` W ) $.
    lsatfixed.p $e |- .+ = ( +g ` W ) $.
    lsatfixed.o $e |- .0. = ( 0g ` W ) $.
    lsatfixed.n $e |- N = ( LSpan ` W ) $.
    lsatfixed.a $e |- A = ( LSAtoms ` W ) $.
    lsatfixed.w $e |- ( ph -> W e. LVec ) $.
    lsatfixed.q $e |- ( ph -> Q e. A ) $.
    lsatfixed.x $e |- ( ph -> X e. V ) $.
    lsatfixed.y $e |- ( ph -> Y e. V ) $.
    lsatfixed.e $e |- ( ph -> Q =/= ( N ` { X } ) ) $.
    lsatfixed.f $e |- ( ph -> Q =/= ( N ` { Y } ) ) $.
    lsatfixed.g $e |- ( ph -> Q C_ ( N ` { X , Y } ) ) $.
    $( Show equality with the span of the sum of two vectors, one of which
       ( ` X ` ) is fixed in advance.  Compare ~ lspfixed .  (Contributed by
       NM, 29-May-2015.)  (New usage is discouraged.) $)
    lsatfixedN $p |- ( ph
    -> E. z e. ( ( N ` { Y } ) \ { .0. } ) Q = ( N ` { ( X .+ z ) } ) ) $=
      ( vw cv csn cfv wceq cdif wrex co wcel clvec wb islsat syl mpbid 3ad2ant1
      w3a simp2 simp3 eqcomd wne eqnetrd lspsnne1 cpr wss eqsstrd clss lveclmod
      clmod lspprcl eldifad lspsnel5 mpbird lspfixed simpl1 simpl2 snssd lspssv
      eqid wa syl2anc ssdifssd sselda lmodvacl syl3anc lspsncmp simpl3 3bitr4rd
      lspsncl eqeq1d rexbidva rexlimdv3a mpd ) AEUDUEZUFFUGZUHZUDGKUFZUIZUJZEIB
      UEZDUKZUFFUGZUHZBJUFZFUGZWSUIZUJZAECULZXARAHUMULZXJXAUNQUDCEFGHUMKLONPUOU
      PUQAWRXIUDWTAWPWTULZWRUSZXIWPXDULZBXHUJXMBDFGHWPIKJLMNOAXLXKWRQURZAXLIGUL
      ZWRSURZAXLJGULWRTURZXMFGHWPIKLNOXOAXLWRUTZXQXMWQEIUFFUGZXMEWQAXLWRVAVBZAX
      LEXTVCWRUAURVDVEXMFGHWPJKLNOXOXSXRXMWQEXGYAAXLEXGVCWRUBURVDVEXMWPIJVFFUGZ
      ULWQYBVGXMWQEYBYAAXLEYBVGWRUCURVHXMHVIUGZYBFGHWPLYCWAZOAXLHVKULZWRAXKYEQH
      VJUPZURAXLYBYCULWRAYCFGHIJLYDOYFSTVLURXMWPGWSXSVMVNVOVPXMXEXNBXHXMXBXHULZ
      WBZWQXDVGWQXDUHXNXEYHFGHWPXCKLNOYHAXKAXLWRYGVQZQUPAXLWRYGVRZYHYEXPXBGULXC
      GULZYHAYEYIYFUPZYHAXPYISUPXMXHGXBAXLXHGVGWRAXGGWSAYEXFGVGXGGVGYFAJGTVSXFF
      GHLOVTWCWDURWEDGHIXBLMWFWGZWHYHYCXDFGHWPLYDOYLYHYEYKXDYCULYLYMYCFGHXCLYDO
      WKWCYHWPGWSYJVMVNYHEWQXDAXLWRYGWIWLWJWMVOWNWO $.
  $}

  ${
    $d v .(+) $.  $d v Q $.  $d v T $.  $d v U $.  $d v W $.  $d v ph $.
    lsmsatcv.s $e |- S = ( LSubSp ` W ) $.
    lsmsatcv.p $e |- .(+) = ( LSSum ` W ) $.
    lsmsatcv.a $e |- A = ( LSAtoms ` W ) $.
    lsmsatcv.w $e |- ( ph -> W e. LVec ) $.
    lsmsatcv.t $e |- ( ph -> T e. S ) $.
    lsmsatcv.u $e |- ( ph -> U e. S ) $.
    lsmsatcv.x $e |- ( ph -> Q e. A ) $.
    $( Subspace sum has the covering property (using spans of singletons to
       represent atoms).  Similar to Exercise 5 of [Kalmbach] p. 153.
       ( ~ spansncvi analog.)  Explicit atom version of ~ lsmcv .  (Contributed
       by NM, 29-Oct-2014.) $)
    lsmsatcv $p |- ( ( ph /\ T C. U /\ U C_ ( T .(+) Q ) )
      -> U = ( T .(+) Q ) ) $=
      ( vv wceq cfv wa wcel wpss co wss cv csn clspn wrex wi clvec eqid islsati
      cbs syl2anc w3a adantr simpr lsmcv 3expib 3adant3 wb sseq2d anbi2d eqeq2d
      oveq2 imbi12d 3ad2ant3 mpbird rexlimdv3a mpd 3impib ) AFGUAZGFDCUBZUCZGVL
      QZADPUDZUEHUFRZRZQZPHULRZUGZVKVMSZVNUHZAHUITZDBTVTLOPBDVPVSHUIVSUJZVPUJZK
      UKUMAVRWBPVSAVOVSTZVRUNWBVKGFVQCUBZUCZSZGWGQZUHZAWFWKVRAWFSZVKWHWJWLCEFGV
      PVSHVOWDIWEJAWCWFLUOAFETWFMUOAGETWFNUOAWFUPUQURUSVRAWBWKUTWFVRWAWIVNWJVRV
      MWHVKVRVLWGGDVQFCVDZVAVBVRVLWGGWMVCVEVFVGVHVIVJ $.
  $}

  ${
    $d q x A $.  $d x .0. $.  $d q x U $.  $d q W $.  $d x ph $.
    lssatomic.s $e |- S = ( LSubSp ` W ) $.
    lssatomic.o $e |- .0. = ( 0g ` W ) $.
    lssatomic.a $e |- A = ( LSAtoms ` W ) $.
    lssatomic.w $e |- ( ph -> W e. LMod ) $.
    lssatomic.u $e |- ( ph -> U e. S ) $.
    lssatomic.n $e |- ( ph -> U =/= { .0. } ) $.
    $( The lattice of subspaces is atomic, i.e. any nonzero element is greater
       than or equal to some atom.  ( ~ shatomici analog.)  (Contributed by NM,
       10-Jan-2015.) $)
    lssatomic $p |- ( ph -> E. q e. A q C_ U ) $=
      ( vx cv wne wrex wss wcel cfv csn wb lssne0 syl mpbid w3a clspn clmod cbs
      3ad2ant1 simp2 eqid lssel syl2anc simp3 lsatlspsn2 lspsnel5a sseq1 rspcev
      syl3anc rexlimdv3a mpd ) ANOZFPZNDQZGOZDRZGBQZADFUAPZVEMADCSZVIVEUBLNCEDF
      IHUCUDUEAVDVHNDAVCDSZVDUFZVCUAEUGTZTZBSZVNDRZVHVLEUHSZVCEUITZSZVDVOAVKVQV
      DKUJZVLVJVKVSAVKVJVDLUJZAVKVDUKZCDVREVCVRULZHUMUNAVKVDUOBVMVREVCFWCVMULZI
      JUPUTVLCDVMEVCHWDVTWAWBUQVGVPGVNBVFVNDURUSUNVAVB $.
  $}

  ${
    $d x y A $.  $d x y N $.  $d x y S $.  $d x y U $.  $d y W $.
    lssats.s $e |- S = ( LSubSp ` W ) $.
    lssats.n $e |- N = ( LSpan ` W ) $.
    lssats.a $e |- A = ( LSAtoms ` W ) $.
    $( The lattice of subspaces is atomistic, i.e. any element is the supremum
       of its atoms.  Part of proof of Theorem 16.9 of [MaedaMaeda] p. 70.
       Hypothesis ( ~ shatomistici analog.)  (Contributed by NM,
       9-Apr-2014.) $)
    lssats $p |- ( ( W e. LMod /\ U e. S )
          -> U = ( N ` U. { x e. A | x C_ U } ) ) $=
      ( vy wcel wa cv wss crab cuni cfv wceq syl2anc syl3anc clmod eleq1 simplr
      c0g wne csn simplll cbs simpllr lssel lspsncl lspid lsatlss adantr rabss2
      eqid uniss 3syl unimax lssss eqsstrd adantl ad2antrr lsatlspsn2 lspsnel5a
      sstrd simpr sseq1 elrab sylanbrc elssuni syl lspss eqsstrrd sseldd simpll
      lspsnid lspcl syldan lss0cl pm2.61ne ex ssrdv simpl fveq2d eqtrd sseqtrd
      eqssd ) FUAKZDCKZLZDAMZDNZABOZPZEQZWKJDWPWKJMZDKZWQWPKZWKWRLZWSFUDQZWPKZW
      QXAWQXAWPUBWTWQXAUEZLZWQUFEQZWPWQXDXEXEEQZWPXDWIXECKZXFXERWIWJWRXCUGZXDWI
      WQFUHQZKZXGXHXDWJWRXJWIWJWRXCUIZWKWRXCUCZCDXIFWQXIUPZGUJSZCEXIFWQXMGHUKSC
      XEEFGHULSXDWIWOXINZXEWONZXFWPNXHWKXOWRXCWKWOWMACOZPZXIWKBCNZWNXQNWOXRNZWI
      XSWJBCFGIUMUNWMABCUOWNXQUQURZWJXRXINZWIWJXRDXIADCUSZCDXIFXMGUTVAVBZVFZVCX
      DXEWNKZXPXDXEBKZXEDNZYFXDWIXJXCYGXHXNWTXCVGBEXIFWQXAXMHXAUPZIVDTXDCDEFWQG
      HXHXKXLVEWMYHAXEBWLXEDVHVIVJXEWNVKVLXEWOEXIFXMHVMTVNXDWIXJWQXEKXHXNEXIFWQ
      XMHVQSVOWTWIWPCKZXBWIWJWRVPWKYJWRWIWJXOYJYECWOEXIFXMGHVRVSUNCWPFXAYIGVTSW
      AWBWCWKWPXREQZDWKWIYBXTWPYKNWIWJWDYDYAWOXREXIFXMHVMTWKYKDEQDWKXRDEWJXRDRW
      IYCVBWECDEFGHULWFWGWH $.
  $}

  ${
    $d q A $.  $d q S $.  $d q T $.  $d q U $.  $d q W $.
    lpssat.s $e |- S = ( LSubSp ` W ) $.
    lpssat.a $e |- A = ( LSAtoms ` W ) $.
    lpssat.w $e |- ( ph -> W e. LMod ) $.
    lpssat.t $e |- ( ph -> T e. S ) $.
    lpssat.u $e |- ( ph -> U e. S ) $.
    lpssat.l $e |- ( ph -> T C. U ) $.
    $( Two subspaces in a proper subset relationship imply the existence of an
       atom less than or equal to one but not the other.  ( ~ chpssati analog.)
       (Contributed by NM, 11-Jan-2015.) $)
    lpssat $p |- ( ph -> E. q e. A ( q C_ U /\ -. q C_ T ) ) $=
      ( wss wn syl crab cuni cfv adantr cv wral wrex wpss dfpss3 simprbi ralbii
      wa iman ss2rab clspn clmod wcel cbs lsatlss rabss2 uniss 4syl wceq unimax
      wi eqid lssss eqsstrd sstrd adantl syl3anc lssats syl2anc 3sstr4d syl5bir
      lspss ex mtod dfrex2 sylibr ) AGUAZENZVQDNZOUHZOZGBUBZOVTGBUCAWBEDNZADEUD
      ZWCOZMWDDENWEDEUEUFPWBVRVSVAZGBUBZAWCWFWAGBVRVSUIUGWGVRGBQZVSGBQZNZAWCVRV
      SGBUJAWJWCAWJUHZWHRZFUKSZSZWIRZWMSZEDWKFULUMZWOFUNSZNZWLWONZWNWPNAWQWJJTA
      WSWJAWOVSGCQZRZWRAWQBCNWIXANWOXBNJBCFHIUOVSGBCUPWIXAUQURAXBDWRADCUMZXBDUS
      KGDCUTPAXCDWRNKCDWRFWRVBZHVCPVDVETWJWTAWHWIUQVFWLWOWMWRFXDWMVBZVLVGAEWNUS
      ZWJAWQECUMXFJLGBCEWMFHXEIVHVITADWPUSZWJAWQXCXGJKGBCDWMFHXEIVHVITVJVMVKVKV
      NVTGBVOVP $.
  $}

  ${
    $d q A $.  $d q S $.  $d q T $.  $d q U $.  $d q W $.  $d q ph $.
    lrelat.s $e |- S = ( LSubSp ` W ) $.
    lrelat.p $e |- .(+) = ( LSSum ` W ) $.
    lrelat.a $e |- A = ( LSAtoms ` W ) $.
    lrelat.w $e |- ( ph -> W e. LMod ) $.
    lrelat.t $e |- ( ph -> T e. S ) $.
    lrelat.u $e |- ( ph -> U e. S ) $.
    lrelat.l $e |- ( ph -> T C. U ) $.
    $( Subspaces are relatively atomic.  Remark 2 of [Kalmbach] p. 149.
       ( ~ chrelati analog.)  (Contributed by NM, 11-Jan-2015.) $)
    lrelat $p |- ( ph ->
        E. q e. A ( T C. ( T .(+) q ) /\ ( T .(+) q ) C_ U ) ) $=
      ( wss wa wcel adantr sseldd cv wn wrex co wpss lpssat ancom cfv lsssssubg
      csubg clmod syl simpr lsatlssel lssnle pssssd biantrurd wb lsmlub syl3anc
      bitrd anbi12d syl5bb rexbidva mpbid ) AHUAZFPZVFEPUBZQZHBUCEEVFCUDZUEZVJF
      PZQZHBUCABDEFGHIKLMNOUFAVIVMHBVIVHVGQAVFBRZQZVMVGVHUGVOVHVKVGVLVOCEVFGJVO
      DGUJUHZEVOGUKRZDVPPAVQVNLSZDGIUIULZAEDRVNMSTZVODVPVFVSVOBDVFGIKVRAVNUMUNT
      ZUOVOVGEFPZVGQZVLVOWBVGAWBVNAEFOUPSUQVOEVPRVFVPRFVPRWCVLURVTWAVODVPFVSAFD
      RVNNSTCEVFFGJUSUTVAVBVCVDVE $.
  $}

  ${
    $d p A $.  $d p S $.  $d p T $.  $d p U $.  $d p W $.
    lssatle.s $e |- S = ( LSubSp ` W ) $.
    lssatle.a $e |- A = ( LSAtoms ` W ) $.
    lssatle.w $e |- ( ph -> W e. LMod ) $.
    lssatle.t $e |- ( ph -> T e. S ) $.
    lssatle.u $e |- ( ph -> U e. S ) $.
    $( The ordering of two subspaces is determined by the atoms under them.
       ( ~ chrelat3 analog.)  (Contributed by NM, 29-Oct-2014.) $)
    lssatle $p |- ( ph
       -> ( T C_ U <-> A. p e. A ( p C_ T -> p C_ U ) ) ) $=
      ( wss crab cuni cfv wcel adantr uniss wceq cv wral expcom ralrimivw clspn
      wi sstr ss2rab wa clmod cbs lsatlss rabss2 4syl unimax eqid lssss eqsstrd
      syl sstrd adantl lspss syl3anc ex syl2anc sseq12d sylibrd syl5bir impbid2
      lssats ) ADEMZGUAZDMZVLEMZUFZGBUBZVKVOGBVMVKVNVLDEUGUCUDVPVMGBNZVNGBNZMZA
      VKVMVNGBUHAVSVQOZFUEPZPZVROZWAPZMZVKAVSWEAVSUIFUJQZWCFUKPZMZVTWCMZWEAWFVS
      JRAWHVSAWCVNGCNZOZWGAWFBCMVRWJMWCWKMJBCFHIULVNGBCUMVRWJSUNAWKEWGAECQZWKET
      LGECUOUSAWLEWGMLCEWGFWGUPZHUQUSURUTRVSWIAVQVRSVAVTWCWAWGFWMWAUPZVBVCVDADW
      BEWDAWFDCQDWBTJKGBCDWAFHWNIVJVEAWFWLEWDTJLGBCEWAFHWNIVJVEVFVGVHVI $.
  $}

  ${
    $d p A $.  $d p S $.  $d p U $.  $d p V $.  $d p W $.
    lssat.s $e |- S = ( LSubSp ` W ) $.
    lssat.a $e |- A = ( LSAtoms ` W ) $.
    $( Two subspaces in a proper subset relationship imply the existence of a
       1-dim subspace less than or equal to one but not the other.
       ( ~ chpssati analog.)  (Contributed by NM, 9-Apr-2014.) $)
    lssat $p |- ( ( ( W e. LMod /\ U e. S /\ V e. S ) /\ U C. V )
          -> E. p e. A ( p C_ V /\ -. p C_ U ) ) $=
      ( wcel wss wn wa wral crab cuni cfv uniss wceq syl eqid wpss clmod w3a cv
      wrex dfpss3 simprbi wi ss2rab iman ralbii bitr2i clspn cbs simpl1 lsatlss
      rabss2 4syl simpl2 unimax lssss eqsstrd sstrd adantl lspss syl3anc simpl3
      lssats syl2anc 3sstr4d ex syl5bi con3dimp dfrex2 sylibr sylan2 ) CDUAZEUB
      IZCBIZDBIZUCZDCJZKZFUDZDJZWDCJZKLZFAUEZVQCDJWCCDUFUGWAWCLWGKZFAMZKWHWAWJW
      BWJWEFANZWFFANZJZWAWBWMWEWFUHZFAMWJWEWFFAUIWNWIFAWEWFUJUKULWAWMWBWAWMLZWK
      OZEUMPZPZWLOZWQPZDCWOVRWSEUNPZJWPWSJZWRWTJVRVSVTWMUOZWOWSWFFBNZOZXAWOVRAB
      JWLXDJWSXEJXCABEGHUPWFFABUQWLXDQURWOXECXAWOVSXECRVRVSVTWMUSZFCBUTSWOVSCXA
      JXFBCXAEXATZGVASVBVCWMXBWAWKWLQVDWPWSWQXAEXGWQTZVEVFWOVRVTDWRRXCVRVSVTWMV
      GFABDWQEGXHHVHVIWOVRVSCWTRXCXFFABCWQEGXHHVHVIVJVKVLVMWGFAVNVOVP $.
  $}

  ${
    $d q v .(+) $.  $d q v S $.  $d q v U $.  $d q v V $.  $d q v W $.
    $d q v ph $.
    islshpat.v $e |- V = ( Base ` W ) $.
    islshpat.s $e |- S = ( LSubSp ` W ) $.
    islshpat.p $e |- .(+) = ( LSSum ` W ) $.
    islshpat.h $e |- H = ( LSHyp ` W ) $.
    islshpat.a $e |- A = ( LSAtoms ` W ) $.
    islshpat.w $e |- ( ph -> W e. LMod ) $.
    $( Hyperplane properties expressed with subspace sum and an atom.  TODO:
       can proof be shortened?  Seems long for a simple variation of
       ~ islshpsm .  (Contributed by NM, 11-Jan-2015.) $)
    islshpat $p |- ( ph -> ( U e. H <-> ( U e. S /\ U =/= V /\
                   E. q e. A ( U .(+) q ) = V ) ) ) $=
      ( vv wcel wceq wrex wa wne cv csn clspn cfv w3a eqid islshpsm wex r19.42v
      co df-3an bitr4i c0g df-rex simpr sneqd fveq2d clmod ad3antrrr lspsn0 syl
      cdif eqtrd csubg simplrl lsssubg syl2anc lsm01 simplrr eqnetrd ex necon2d
      oveq2d pm4.71rd pm5.32da eldifsn anbi1i anass anbi2i bitr2i bitrdi exbidv
      an12 bitri syl5bb rexcom4b ancom rexbii exbii r19.41v oveq2 eqeq1d anbi2d
      fvex pm5.32i bitr3i bitr4di wb islsat anbi1d bitr4d bitrd ) AEFQEDQZEGUAZ
      EPUBZUCZHUDUEZUEZCUKZGRZPGSZUFZXDXEEIUBZCUKZGRZIBSZUFZAPCDEFXHGHJXHUGZKLM
      OUHAXMXNBQZXDXETZXPTZTZIUIZXRXMYAXKTZPGSZAYDXMYAXLTYFXDXEXLULYAXKPGUJUMAY
      FXNXIRZPGHUNUEZUCZVCZSZYBTZIUIZYDAYFYGYETZPYJSZIUIZYMAYFXFYJQZYETZPUIZYPY
      FXFGQZYETZPUIAYSYEPGUOAUUAYRPAUUAYTYAXFYHUAZXKTZTZTZYRAYTYEUUDAYTTZYAXKUU
      CUUFYATZXKUUBUUGXFYHXJGUUGXFYHRZXJGUAUUGUUHTZXJEGUUIXJEYICUKZEUUIXIYIECUU
      IXIYIXHUEZYIUUIXGYIXHUUIXFYHUUGUUHUPUQURUUIHUSQZUUKYIRAUULYTYAUUHOUTZXHHY
      HYHUGZXSVAVBVDVNUUIEHVEUEQZUUJERUUIUULXDUUOUUMUUFXDXEUUHVFDEHKVGVHCHEYHUU
      NLVIVBVDUUFXDXEUUHVJVKVLVMVOVPVPYRYTUUBTZYETZUUEYQUUPYEXFGYHVQVRUUQYTUUBY
      ETZTUUEYTUUBYEVSUURUUDYTUUBYAXKWDVTWEWAWBWCWFYSYEYGTZPYJSZIUIZYPUVAYEPYJS
      YSYEIPYJXIXGXHWOWGYEPYJUOWAUUTYOIUUSYNPYJYEYGWHWIWJWEWBYLYOIYLYGYBTZPYJSY
      OYGYBPYJWKUVBYNPYJYGYBYEYGXPXKYAYGXOXJGXNXIECWLWMWNWPWIWQWJWRAYCYLIAXTYKY
      BAUULXTYKWSOPBXNXHGHUSYHJXSUUNNWTVBXAWCXBWFXRYAXQTZYDXDXEXQULUVCYBIBSYDYA
      XPIBUJYBIBUOWQWAWBXC $.
  $}

  $c <oL $.

  $( Extend class notation with the covering relation for a left module or left
     vector space. $)
  clcv $a class <oL $.

  ${
    $d s t u w $.
    $( Define the covering relation for subspaces of a left vector space.
       Similar to Definition 3.2.18 of [PtakPulmannova] p. 68.
       Ptak/Pulmannova's notation ` A ( <oL `` W ) B ` is read " ` B ` covers
       ` A ` " or " ` A ` is covered by ` B ` " , and it means that ` B ` is
       larger than ` A ` and there is nothing in between.  See ~ lcvbr for
       binary relation.  ( ~ df-cv analog.)  (Contributed by NM,
       7-Jan-2015.) $)
    df-lcv $a |- <oL = ( w e. _V |->
     { <. t , u >. | ( ( t e. ( LSubSp ` w ) /\ u e. ( LSubSp ` w ) ) /\
         ( t C. u /\ -. E. s e. ( LSubSp ` w ) ( t C. s /\ s C. u ) ) ) } ) $.
  $}

  ${
    $d s t u w S $.  $d s t u w W $.
    lcvfbr.s $e |- S = ( LSubSp ` W ) $.
    lcvfbr.c $e |- C = ( <oL ` W ) $.
    lcvfbr.w $e |- ( ph -> W e. X ) $.
    $( The covers relation for a left vector space (or a left module).
       (Contributed by NM, 7-Jan-2015.) $)
    lcvfbr $p |- ( ph -> C = { <. t , u >. | ( ( t e. S /\ u e. S ) /\
         ( t C. u /\ -. E. s e. S ( t C. s /\ s C. u ) ) ) } ) $=
      ( vw clcv cfv cv wcel wa wpss wrex clss copab cvv wceq elex fveq2 eqtr4di
      wn eleq2d anbi12d rexeqdv notbid anbi2d opabbidv df-lcv cxp xpex opabssxp
      fvexi ssexi fvmpt 3syl syl5eq ) ADFMNZCOZEPZBOZEPZQZVDVFRZVDHOZRVJVFRQZHE
      SZUGZQZQZCBUAZJAFGPFUBPVCVPUCKFGUDLFVDLOZTNZPZVFVRPZQZVIVKHVRSZUGZQZQZCBU
      AVPUBMVQFUCZWEVOCBWFWAVHWDVNWFVSVEVTVGWFVREVDWFVRFTNEVQFTUEIUFZUHWFVREVFW
      GUHUIWFWCVMVIWFWBVLWFVKHVREWGUJUKULUIUMLBCHUNVPEEUOEEEFTIURZWHUPVNCBEEUQU
      SUTVAVB $.

    $d s t u T $.  $d s t u U $.
    lcvfbr.t $e |- ( ph -> T e. S ) $.
    lcvfbr.u $e |- ( ph -> U e. S ) $.
    $( The covers relation for a left vector space (or a left module).
       ( ~ cvbr analog.)  (Contributed by NM, 9-Jan-2015.) $)
    lcvbr $p |- ( ph -> ( T C U
          <-> ( T C. U /\ -. E. s e. S ( T C. s /\ s C. U ) ) ) ) $=
      ( vt vu cv wcel wa wpss anbi12d wrex wn copab wb wceq eleq1 anbi1d psseq1
      wbr rexbidv notbid anbi2d psseq2 brabg syl2anc lcvfbr breqd jca biantrurd
      eqid 3bitr4d ) ADENPZCQZOPZCQZRZVBVDSZVBHPZSZVHVDSZRZHCUAZUBZRZRZNOUCZUIZ
      DCQZECQZRZDESZDVHSZVHESZRZHCUAZUBZRZRZDEBUIWGAVRVSVQWHUDLMVOVRVERZDVDSZWB
      VJRZHCUAZUBZRZRWHNODECCVPVBDUEZVFWIVNWNWOVCVRVEVBDCUFUGWOVGWJVMWMVBDVDUHW
      OVLWLWOVKWKHCWOVIWBVJVBDVHUHUGUJUKTTVDEUEZWIVTWNWGWPVEVSVRVDECUFULWPWJWAW
      MWFVDEDUMWPWLWEWPWKWDHCWPVJWCWBVDEVHUMULUJUKTTVPUTUNUOABVPDEAONBCFGHIJKUP
      UQAVTWGAVRVSLMURUSVA $.

    $( The covers relation for a left vector space (or a left module).
       ( ~ cvbr2 analog.)  (Contributed by NM, 9-Jan-2015.) $)
    lcvbr2 $p |- ( ph -> ( T C U
          <-> ( T C. U /\ A. s e. S ( ( T C. s /\ s C_ U ) -> s = U ) ) ) ) $=
      ( wbr wpss cv wa wn wral anbi2i wrex wss wceq wi lcvbr iman dfpss2 bitr4i
      anass xchbinx ralbii ralnex bitri bitr4di ) ADEBNDEOZDHPZOZUPEOZQZHCUARZQ
      UOUQUPEUBZQZUPEUCZUDZHCSZQABCDEFGHIJKLMUEVEUTUOVEUSRZHCSUTVDVFHCVDVBVCRZQ
      ZUSVBVCUFVHUQVAVGQZQUSUQVAVGUIURVIUQUPEUGTUHUJUKUSHCULUMTUN $.

    $( The covers relation for a left vector space (or a left module).
       (Contributed by NM, 9-Jan-2015.) $)
    lcvbr3 $p |- ( ph -> ( T C U
          <-> ( T C. U /\ A. s e. S ( ( T C_ s /\ s C_ U )
                  -> ( s = T \/ s = U ) ) ) ) ) $=
      ( wpss wa wn wss wne anbi2i bitri wbr cv wrex wceq wo wi wral iman df-pss
      lcvbr necom anbi12i an4 neanior xchbinxr ralbii ralnex bitr4di ) ADEBUADE
      NZDHUBZNZUTENZOZHCUCPZOUSDUTQZUTEQZOZUTDUDUTEUDUEZUFZHCUGZOABCDEFGHIJKLMU
      JVJVDUSVJVCPZHCUGVDVIVKHCVIVGVHPZOZVCVGVHUHVCVEUTDRZOZVFUTERZOZOZVMVAVOVB
      VQVAVEDUTRZOVODUTUIVSVNVEDUTUKSTUTEUIULVRVGVNVPOZOVMVEVNVFVPUMVTVLVGUTDUT
      EUNSTTUOUPVCHCUQTSUR $.

    lcvpss.d $e |- ( ph -> T C U ) $.
    $( The covers relation implies proper subset.  ( ~ cvpss analog.)
       (Contributed by NM, 7-Jan-2015.) $)
    lcvpss $p |- ( ph -> T C. U ) $=
      ( vs wpss cv wa wrex wn wbr lcvbr mpbid simpld ) ADEOZDNPZOUEEOQNCRSZADEB
      TUDUFQMABCDEFGNHIJKLUAUBUC $.
  $}

  ${
    $d u R $.  $d u S $.  $d u T $.  $d u U $.  $d u W $.
    lcvnbtwn.s $e |- S = ( LSubSp ` W ) $.
    lcvnbtwn.c $e |- C = ( <oL ` W ) $.
    lcvnbtwn.w $e |- ( ph -> W e. X ) $.
    lcvnbtwn.r $e |- ( ph -> R e. S ) $.
    lcvnbtwn.t $e |- ( ph -> T e. S ) $.
    lcvnbtwn.u $e |- ( ph -> U e. S ) $.
    lcvnbtwn.d $e |- ( ph -> R C T ) $.
    $( The covers relation implies no in-betweenness.  ( ~ cvnbtwn analog.)
       (Contributed by NM, 7-Jan-2015.) $)
    lcvnbtwn $p |- ( ph -> -. ( R C. U /\ U C. T ) ) $=
      ( vu wpss wa cv wrex wn wbr lcvbr mpbid simprd wcel psseq2 psseq1 anbi12d
      wceq rspcev sylan mtand ) ACFQZFEQZRZCPSZQZUQEQZRZPDTZACEQZVAUAZACEBUBVBV
      CROABDCEGHPIJKLMUCUDUEAFDUFUPVANUTUPPFDUQFUJURUNUSUOUQFCUGUQFEUHUIUKULUM
      $.

    ${
      lcvntr.p $e |- ( ph -> T C U ) $.
      $( The covers relation is not transitive.  ( ~ cvntr analog.)
         (Contributed by NM, 10-Jan-2015.) $)
      lcvntr $p |- ( ph -> -. R C U ) $=
        ( wpss wa wcel adantr wbr lcvpss jca wn simpr lcvnbtwn ex mt2d ) ACFBUA
        ZCEQZEFQZRZAUJUKABDCEGHIJKLMOUBABDEFGHIJKMNPUBUCAUIULUDAUIRBCDFEGHIJAGH
        SUIKTACDSUILTAFDSUINTAEDSUIMTAUIUEUFUGUH $.
    $}

    ${
      lcvnbtwn2.p $e |- ( ph -> R C. U ) $.
      lcvnbtwn2.q $e |- ( ph -> U C_ T ) $.
      $( The covers relation implies no in-betweenness.  ( ~ cvnbtwn2 analog.)
         (Contributed by NM, 7-Jan-2015.) $)
      lcvnbtwn2 $p |- ( ph -> U = T ) $=
        ( wpss wa wn wss wceq lcvnbtwn anass dfpss2 anbi2i bitr4i notbii bitr2i
        wi iman sylib mp2and ) ACFRZFEUAZFEUBZPQAUNFERZSZTZUNUOSZUPUJZABCDEFGHI
        JKLMNOUCVAUTUPTZSZTUSUTUPUKVCURVCUNUOVBSZSURUNUOVBUDUQVDUNFEUEUFUGUHUIU
        LUM $.
    $}

    ${
      lcvnbtwn3.p $e |- ( ph -> R C_ U ) $.
      lcvnbtwn3.q $e |- ( ph -> U C. T ) $.
      $( The covers relation implies no in-betweenness.  ( ~ cvnbtwn3 analog.)
         (Contributed by NM, 7-Jan-2015.) $)
      lcvnbtwn3 $p |- ( ph -> U = R ) $=
        ( wpss wa wn wss wceq wi lcvnbtwn iman eqcom imbi2i dfpss2 anbi1i bitri
        an32 notbii 3bitr4ri sylib mp2and ) ACFUAZFERZFCUBZPQACFRZUQSZTZUPUQSZU
        RUCZABCDEFGHIJKLMNOUDVBCFUBZUCVBVDTZSZTVCVAVBVDUEURVDVBFCUFUGUTVFUTUPVE
        SZUQSVFUSVGUQCFUHUIUPVEUQUKUJULUMUNUO $.
    $}
  $}

  ${
    $d x N $.  $d x .(+) $.  $d x S $.  $d x U $.  $d x W $.  $d x X $.
    $d x ph $.
    lsmcv2.v $e |- V = ( Base ` W ) $.
    lsmcv2.s $e |- S = ( LSubSp ` W ) $.
    lsmcv2.n $e |- N = ( LSpan ` W ) $.
    lsmcv2.p $e |- .(+) = ( LSSum ` W ) $.
    lsmcv2.c $e |- C = ( <oL ` W ) $.
    lsmcv2.w $e |- ( ph -> W e. LVec ) $.
    lsmcv2.u $e |- ( ph -> U e. S ) $.
    lsmcv2.x $e |- ( ph -> X e. V ) $.
    lsmcv2.l $e |- ( ph -> -. ( N ` { X } ) C_ U ) $.
    $( Subspace sum has the covering property (using spans of singletons to
       represent atoms).  Proposition 1(ii) of [Kalmbach] p. 153.
       ( ~ spansncv2 analog.)  (Contributed by NM, 10-Jan-2015.) $)
    lsmcv2 $p |- ( ph -> U C ( U .(+) ( N ` { X } ) ) ) $=
      ( vx wcel csn cfv co wbr wpss cv wss wa wceq wi wral wn csubg clmod clvec
      lveclmod syl lsssssubg sseldd lspsncl syl2anc lssnle 3simpa simp3l simp3r
      mpbid w3a adantr simpr lsmcv syl3anc 3exp ralrimiv lsmcl lcvbr2 mpbir2and
      ) AEEIUAFUBZCUCZBUDEVRUEZESUFZUEZVTVRUGZUHZVTVRUIZUJZSDUKAVQEUGULVSRACEVQ
      HMADHUMUBZEAHUNTZDWFUGAHUOTZWGOHUPUQZDHKURUQZPUSADWFVQWJAWGIGTZVQDTZWIQDF
      GHIJKLUTVAZUSVBVFAWESDAVTDTZWCWDAWNWCVGAWNUHZWAWBWDAWNWCVCAWNWAWBVDAWNWAW
      BVEWOCDEVTFGHIJKLMAWHWNOVHAEDTZWNPVHAWNVIAWKWNQVHVJVKVLVMABDEVRHUOSKNOPAW
      GWPWLVRDTWIPWMCDEVQHKMVNVKVOVP $.
  $}

  ${
    $d q A $.  $d q S $.  $d q T $.  $d q U $.  $d q W $.  $d q ph $.
    lcvat.s $e |- S = ( LSubSp ` W ) $.
    lcvat.p $e |- .(+) = ( LSSum ` W ) $.
    lcvat.a $e |- A = ( LSAtoms ` W ) $.
    icvat.c $e |- C = ( <oL ` W ) $.
    lcvat.w $e |- ( ph -> W e. LMod ) $.
    lcvat.t $e |- ( ph -> T e. S ) $.
    lcvat.u $e |- ( ph -> U e. S ) $.
    lcvat.l $e |- ( ph -> T C U ) $.
    $( If a subspace covers another, it equals the other joined with some atom.
       This is a consequence of relative atomicity.  ( ~ cvati analog.)
       (Contributed by NM, 11-Jan-2015.) $)
    lcvat $p |- ( ph -> E. q e. A ( T .(+) q ) = U ) $=
      ( clmod wcel 3ad2ant1 cv co wpss wss wa wrex wceq lcvpss lrelat w3a simp2
      lsatlssel lsmcl syl3anc wbr simp3l simp3r lcvnbtwn2 3exp reximdvai mpd )
      AFFIUAZDUBZUCZVCGUDZUEZIBUFVCGUGZIBUFABDEFGHIJKLNOPACEFGHRJMNOPQUHUIAVFVG
      IBAVBBSZVFVGAVHVFUJZCFEGVCHRJMAVHHRSZVFNTZAVHFESZVFOTZAVHGESVFPTVIVJVLVBE
      SVCESVKVMVIBEVBHJLVKAVHVFUKULDEFVBHJKUMUNAVHFGCUOVFQTAVHVDVEUPAVHVDVEUQUR
      USUTVA $.
  $}

  ${
    $d s x .0. $.  $d s x Q $.  $d s x W $.  $d s x ph $.
    lsatcv0.o $e |- .0. = ( 0g ` W ) $.
    lsatcv0.a $e |- A = ( LSAtoms ` W ) $.
    lsatcv0.c $e |- C = ( <oL ` W ) $.
    lsatcv0.w $e |- ( ph -> W e. LVec ) $.
    lsatcv0.q $e |- ( ph -> Q e. A ) $.
    $( An atom covers the zero subspace.  ( ~ atcv0 analog.)  (Contributed by
       NM, 7-Jan-2015.) $)
    lsatcv0 $p |- ( ph -> { .0. } C Q ) $=
      ( vs vx wpss wa cfv wrex wcel syl eqid csn wbr cv clss wn wss clmod clvec
      wne lveclmod lsatlssel lss0ss syl2anc lsatn0 necomd df-pss sylanbrc clspn
      wceq cbs cdif wb islsat mpbid adantr eldifi adantl lspsncv0 psseq2 anbi2d
      wi ex rexbidv notbid biimprcd syl6 rexlimdv mpd lsssn0 lcvbr mpbir2and )
      AFUAZDCUBWBDNZWBLUCZNZWDDNZOZLEUDPZQZUEZAWBDUFZWBDUIWCAEUGRZDWHRWKAEUHRZW
      LJEUJSZABWHDEWHTZHWNKUKZWHEDFGWOULUMADWBABDEFGHWNKUNUOWBDUPUQADMUCZUAEURP
      ZPZUSZMEUTPZWBVAZQZWJADBRZXCKAWLXDXCVBWNMBDWRXAEUGFXATZWRTZGHVCSVDAWTWJMX
      BAWQXBRZWEWDWSNZOZLWHQZUEZWTWJVKAXGXKAXGOLWHWRXAEWQFXEGWOXFAWMXGJVEXGWQXA
      RAWQXAWBVFVGVHVLWTWJXKWTWIXJWTWGXILWHWTWFXHWEDWSWDVIVJVMVNVOVPVQVRACWHWBD
      EUHLWOIJAWLWBWHRWNWHEFGWOVSSWPVTWA $.
  $}

  ${
    lsatcveq0.o $e |- .0. = ( 0g ` W ) $.
    lsatcveq0.s $e |- S = ( LSubSp ` W ) $.
    lsatcveq0.a $e |- A = ( LSAtoms ` W ) $.
    lsatcveq0.c $e |- C = ( <oL ` W ) $.
    lsatcveq0.w $e |- ( ph -> W e. LVec ) $.
    lsatcveq0.u $e |- ( ph -> U e. S ) $.
    lsatcveq0.q $e |- ( ph -> Q e. A ) $.
    $( A subspace covered by an atom must be the zero subspace.  ( ~ atcveq0
       analog.)  (Contributed by NM, 7-Jan-2015.) $)
    lsatcveq0 $p |- ( ph -> ( U C Q <-> U = { .0. } ) ) $=
      ( wbr clvec wcel adantr 3ad2ant1 csn wceq wa clmod lveclmod syl lsatlssel
      wpss simpr lcvpss ex wi lsatcv0 w3a lsssn0 simp2 wss lss0ss syl2anc simp3
      lcvnbtwn3 3exp mpd syld breq1 syl5ibrcom impbid ) AFDCPZFHUAZUBZAVHFDUHZV
      JAVHVKAVHUCCEFDGQJLAGQRZVHMSAFERZVHNSADERZVHABEDGJKAVLGUDRZMGUEUFZOUGZSAV
      HUIUJUKAVIDCPZVKVJULABCDGHIKLMOUMZAVRVKVJAVRVKUNCVIEDFGQJLAVRVLVKMTAVRVIE
      RZVKAVOVTVPEGHIJUOUFTAVRVNVKVQTAVRVMVKNTAVRVKUPAVRVIFUQZVKAVOVMWAVPNEGFHI
      JURUSTAVRVKUTVAVBVCVDAVHVJVRVSFVIDCVEVFVG $.
  $}

  ${
    $d x C $.  $d s x .0. $.  $d s S $.  $d s x U $.  $d s x W $.  $d x ph $.
    lsat0cv.o $e |- .0. = ( 0g ` W ) $.
    lsat0cv.s $e |- S = ( LSubSp ` W ) $.
    lsat0cv.a $e |- A = ( LSAtoms ` W ) $.
    lsat0cv.c $e |- C = ( <oL ` W ) $.
    lsat0cv.w $e |- ( ph -> W e. LVec ) $.
    lsat0cv.u $e |- ( ph -> U e. S ) $.
    $( A subspace is an atom iff it covers the zero subspace.  This could serve
       as an alternate definition of an atom.  TODO: this is a quick-and-dirty
       proof that could probably be more efficient.  (Contributed by NM,
       14-Mar-2015.) $)
    lsat0cv $p |- ( ph -> ( U e. A <-> { .0. } C U ) ) $=
      ( vx wcel wa adantr wceq syl ad2antrr vs csn clvec simpr lsatcv0 cv clspn
      wbr cfv cbs cdif wrex wn wex wpss clmod lveclmod lsssn0 lcvpss pssnel wne
      simprl eqid lssel syl2anc biimpri necon3bi adantl eldifsn sylanbrc jca ex
      velsn eximdv df-rex syl6ibr mpd simpllr wss wi wral lcvbr2 eldifi lspsncl
      wb lss0ss eldifsni necon3bid mpbird necomd df-pss simplr lspsnel5a psseq2
      lspsneq0 sseq1 anbi12d eqeq1 imbi12d rspcv expimpd sylbid eqcomd reximdva
      mpid islsat impbida ) AEBOZGUBZECUHZAXHPBCEFGHJKAFUCOZXHLQAXHUDUEAXJPZXHE
      NUFZUBFUGUIZUIZRZNFUJUIZXIUKZULZXLXMEOZNXRULZXSXLXTXMXIOZUMZPZNUNZYAXLXIE
      UOZYEXLCDXIEFUPIKAFUPOZXJAXKYGLFUQSZQAXIDOZXJAYGYIYHDFGHIURSZQAEDOZXJMQAX
      JUDUSNXIEUTSXLYEXMXROZXTPZNUNYAXLYDYMNXLYDYMXLYDPZYLXTYNXMXQOZXMGVAZYLYNY
      KXTYOAYKXJYDMTXLXTYCVBZDEXQFXMXQVCZIVDVEYDYPXLYCYPXTYBXMGYBXMGRZNGVMVFVGV
      HVHXMXQGVIVJYQVKVLVNXTNXRVOVPVQXLXTXPNXRXLYLPZXTXPYTXTPZXOEUUAXJXOERZAXJY
      LXTVRUUAXJYFXIUAUFZUOZUUCEVSZPZUUCERZVTZUADWAZPZUUBXLXJUUJWEZYLXTAUUKXJAC
      DXIEFUCUAIKLYJMWBQTUUAYFUUIUUBUUAYFPZUUIXIXOUOZXOEVSZPZUUBUULUUMUUNUULXIX
      OVSZXIXOVAUUMUULYGXODOZUUPYTYGXTYFAYGXJYLYHTTZUULYGYOUUQUURYTYOXTYFYLYOXL
      XMXQXIWCVHTZDXNXQFXMYRIXNVCZWDVEZDFXOGHIWFVEUULXOXIUULXOXIVAYPYTYPXTYFYLY
      PXLXMXQGWGVHTUULXOXIXMGUULYGYOXOXIRYSWEUURUUSXNXQFXMGYRHUUTWOVEWHWIWJXIXO
      WKVJUULDEXNFXMIUUTUURYTYKXTYFAYKXJYLMTTYTXTYFWLWMVKUULUUQUUIUUOUUBVTZVTUV
      AUUHUVBUAXODUUCXORZUUFUUOUUGUUBUVCUUDUUMUUEUUNUUCXOXIWNUUCXOEWPWQUUCXOEWR
      WSWTSXEXAXBVQXCVLXDVQXLXKXHXSWEAXKXJLQNBEXNXQFUCGYRUUTHJXFSWIXG $.
  $}

  ${
    $d r s .(+) $.  $d r s S $.  $d r s T $.  $d r s U $.  $d r s W $.
    $d r s ph $.
    lcvexch.s $e |- S = ( LSubSp ` W ) $.
    lcvexch.p $e |- .(+) = ( LSSum ` W ) $.
    lcvexch.c $e |- C = ( <oL ` W ) $.
    lcvexch.w $e |- ( ph -> W e. LMod ) $.
    lcvexch.t $e |- ( ph -> T e. S ) $.
    lcvexch.u $e |- ( ph -> U e. S ) $.
    $( Lemma for ~ lcvexch .  (Contributed by NM, 10-Jan-2015.) $)
    lcvexchlem1 $p |- ( ph -> ( T C. ( T .(+) U ) <-> ( T i^i U ) C. U ) ) $=
      ( wss wne wa wpss wcel sseldd wceq co cin csubg cfv lsssssubg syl syl2anc
      clmod lsmub1 inss2 2thd wb lsmss2b eqcom bitrdi sseqin2 bitr3di necon3bid
      a1i anbi12d df-pss 3bitr4g ) AEEFCUAZNZEVCOZPEFUBZFNZVFFOZPEVCQVFFQAVDVGV
      EVHAVDVGAEGUCUDZRZFVIRZVDADVIEAGUHRDVINKDGHUEUFZLSZADVIFVLMSZCEFGIUIUGVGA
      EFUJUSUKAEVCVFFAFENZEVCTZVFFTAVOVCETZVPAVJVKVOVQULVMVNCEFGIUMUGVCEUNUOFEU
      PUQURUTEVCVAVFFVAVB $.

    ${
      lcvexch.r $e |- ( ph -> R e. S ) $.
      lcvexch.a $e |- ( ph -> ( T i^i U ) C_ R ) $.
      lcvexch.b $e |- ( ph -> R C_ U ) $.
      $( Lemma for ~ lcvexch .  (Contributed by NM, 10-Jan-2015.) $)
      lcvexchlem2 $p |- ( ph -> ( ( R .(+) T ) i^i U ) = R ) $=
        ( wcel wss sseldd cin co csubg cfv wceq clmod lsssssubg lsmmod syl31anc
        syl lssincl syl3anc lsmss2 eqtr3d ) ADFGUAZCUBZDFCUBGUAZDADHUCUDZRZFURR
        GURRDGSUPUQUEAEURDAHUFRZEURSLEHIUGUJZOTZAEURFVAMTAEURGVANTQCDFGHJUHUIAU
        SUOURRUODSUPDUEVBAEURUOVAAUTFERGERUOERLMNEFGHIUKULTPCDUOHJUMULUN $.
    $}

    ${
      lcvexch.q $e |- ( ph -> R e. S ) $.
      lcvexch.d $e |- ( ph -> T C_ R ) $.
      lcvexch.e $e |- ( ph -> R C_ ( T .(+) U ) ) $.
      $( Lemma for ~ lcvexch .  (Contributed by NM, 10-Jan-2015.) $)
      lcvexchlem3 $p |- ( ph -> ( ( R i^i U ) .(+) T ) = R ) $=
        ( co wcel wss cin csubg cfv clmod lsssssubg syl sseldd lsmmod2 syl31anc
        wceq cabl lmodabl lsmcom syl3anc sseqtrd df-ss sylib eqtr3d ) ADGFCRZUA
        ZDGUAFCRZDADHUBUCZSGVBSZFVBSZFDTUTVAUJAEVBDAHUDSZEVBTLEHIUEUFZOUGAEVBGV
        FNUGZAEVBFVFMUGZPCDGFHJUHUIADUSTUTDUJADFGCRZUSQAHUKSZVDVCVIUSUJAVEVJLHU
        LUFVHVGCFGHJUMUNUODUSUPUQUR $.
    $}

    ${
      lcvexch.f $e |- ( ph -> T C ( T .(+) U ) ) $.
      $( Lemma for ~ lcvexch .  (Contributed by NM, 10-Jan-2015.) $)
      lcvexchlem4 $p |- ( ph -> ( T i^i U ) C U ) $=
        ( wss wa wceq wi wcel syl3anc vs vr cin wbr wpss cv wo wral clmod lsmcl
        co lcvpss lcvexchlem1 mpbid w3a csubg cfv 3ad2ant1 lsssssubg syl sseldd
        simp2 lsmub2 syl2anc simp3r lsmless1 cabl lsmcom sseqtrrd lcvbr3 adantr
        lmodabl wb simpr sseq2 sseq1 anbi12d eqeq1 orbi12d imbi12d rspcv sylbid
        adantld 3adant3 mpd mp2and ineq1 simp3l lcvexchlem2 eqeq1d syl5ib sylib
        sseqin2 eqeq12d orim12d 3exp ralrimiv lssincl mpbir2and ) AEFUCZFBUDWTF
        UEZWTUAUFZOZXBFOZPZXBWTQZXBFQZUGZRZUADUHAEEFCUKZUEZXAABDEXJGUIHJKLAGUIS
        ZEDSZFDSZXJDSKLMCDEFGHIUJTZNULABCDEFGHIJKLMUMUNAXIUADAXBDSZXEXHAXPXEUOZ
        XBECUKZEQZXRXJQZUGZXHXQEXROZXRXJOZYAXQXBGUPUQZSEYDSZYBXQDYDXBXQXLDYDOZA
        XPXLXEKURZDGHUSZUTZAXPXEVBZVAXQDYDEYIAXPXMXELURZVAZCXBEGIVCVDXQXRFECUKZ
        XJXQFYDSZYEXDXRYMOXQDYDFYIAXPXNXEMURZVAZYLAXPXCXDVEZCXBFEGIVFTAXPXJYMQZ
        XEAGVGSZYEYNYRAXLYSKGVLUTADYDEAXLYFKYHUTZLVAADYDFYTMVACEFGIVHTURVIXQEXJ
        BUDZYBYCPZYARZAXPUUAXENURAXPUUAUUCRXEAXPPZUUAXKEUBUFZOZUUEXJOZPZUUEEQZU
        UEXJQZUGZRZUBDUHZPZUUCAUUAUUNVMXPABDEXJGUIUBHJKLXOVJVKUUDUUMUUCXKUUDXRD
        SZUUMUUCRUUDXLXPXMUUOAXLXPKVKAXPVNAXMXPLVKCDXBEGHIUJTUULUUCUBXRDUUEXRQZ
        UUHUUBUUKYAUUPUUFYBUUGYCUUEXREVOUUEXRXJVPVQUUPUUIXSUUJXTUUEXREVRUUEXRXJ
        VRVSVTWAUTWCWBWDWEWFXQXSXFXTXGXSXRFUCZWTQXQXFXREFWGXQUUQXBWTXQBCXBDEFGH
        IJYGYKYOYJAXPXCXDWHYQWIZWJWKXTUUQXJFUCZQXQXGXRXJFWGXQUUQXBUUSFUURXQFXJO
        ZUUSFQXQYEYNUUTYLYPCEFGIVCVDFXJWMWLWNWKWOWEWPWQABDWTFGUIUAHJKAXLXMXNWTD
        SKLMDEFGHWRTMVJWS $.
    $}

    ${
      lcvexch.g $e |- ( ph -> ( T i^i U ) C U ) $.
      $( Lemma for ~ lcvexch .  (Contributed by NM, 10-Jan-2015.) $)
      lcvexchlem5 $p |- ( ph -> T C ( T .(+) U ) ) $=
        ( wss wa wceq wi wcel 3ad2ant1 vs vr co wbr wpss cv wo wral cin lssincl
        clmod lcvpss lcvexchlem1 mpbird w3a simp3l ssrind inss2 jctir wb lcvbr3
        syl3anc adantr simpr sseq2 sseq1 anbi12d eqeq1 orbi12d rspcv syl sylbid
        imbi12d adantld 3adant3 mpd oveq1 simp2 lcvexchlem3 csubg cfv lsssssubg
        simp3r sseldd inss1 a1i lsmss1 eqeq12d syl5ib cabl lmodabl orim12d 3exp
        lsmcom ralrimiv lsmcl mpbir2and ) AEEFCUCZBUDEWRUEZEUAUFZOZWTWROZPZWTEQ
        ZWTWRQZUGZRZUADUHAWSEFUIZFUEZABDXHFGUKHJKAGUKSZEDSZFDSZXHDSKLMDEFGHUJVB
        ZMNULABCDEFGHIJKLMUMUNAXGUADAWTDSZXCXFAXNXCUOZWTFUIZXHQZXPFQZUGZXFXOXHX
        POZXPFOZPZXSXOXTYAXOEWTFAXNXAXBUPZUQWTFURUSXOXHFBUDZYBXSRZAXNYDXCNTAXNY
        DYERXCAXNPZYDXIXHUBUFZOZYGFOZPZYGXHQZYGFQZUGZRZUBDUHZPZYEAYDYPUTXNABDXH
        FGUKUBHJKXMMVAVCYFYOYEXIYFXPDSZYOYERYFXJXNXLYQAXJXNKVCAXNVDAXLXNMVCDWTF
        GHUJVBYNYEUBXPDYGXPQZYJYBYMXSYRYHXTYIYAYGXPXHVEYGXPFVFVGYRYKXQYLXRYGXPX
        HVHYGXPFVHVIVMVJVKVNVLVOVPVPXOXQXDXRXEXQXPECUCZXHECUCZQXOXDXPXHECVQXOYS
        WTYTEXOBCWTDEFGHIJAXNXJXCKTAXNXKXCLTAXNXLXCMTAXNXCVRYCAXNXAXBWCVSZAXNYT
        EQZXCAXHGVTWAZSEUUCSZXHEOZUUBADUUCXHAXJDUUCOKDGHWBVKZXMWDADUUCEUUFLWDZU
        UEAEFWEWFCXHEGIWGVBTWHWIXRYSFECUCZQXOXEXPFECVQXOYSWTUUHWRUUAAXNUUHWRQZX
        CAGWJSZFUUCSUUDUUIAXJUUJKGWKVKADUUCFUUFMWDUUGCFEGIWNVBTWHWIWLVPWMWOABDE
        WRGUKUAHJKLAXJXKXLWRDSKLMCDEFGHIWPVBVAWQ $.
    $}

    $( Subspaces satisfy the exchange axiom.  Lemma 7.5 of [MaedaMaeda] p. 31.
       ( ~ cvexchi analog.)  TODO: combine some lemmas.  (Contributed by NM,
       10-Jan-2015.) $)
    lcvexch $p |- ( ph -> ( ( T i^i U ) C U <-> T C ( T .(+) U ) ) ) $=
      ( cin wbr co wa wcel adantr simpr clmod lcvexchlem5 lcvexchlem4 impbida )
      AEFNFBOZEEFCPBOZAUEQBCDEFGHIJAGUARZUEKSAEDRZUELSAFDRZUEMSAUETUBAUFQBCDEFG
      HIJAUGUFKSAUHUFLSAUIUFMSAUFTUCUD $.
  $}

  ${
    lcvp.s $e |- S = ( LSubSp ` W ) $.
    lcvp.p $e |- .(+) = ( LSSum ` W ) $.
    lcvp.o $e |- .0. = ( 0g ` W ) $.
    lcvp.a $e |- A = ( LSAtoms ` W ) $.
    lcvp.c $e |- C = ( <oL ` W ) $.
    lcvp.w $e |- ( ph -> W e. LVec ) $.
    lcvp.u $e |- ( ph -> U e. S ) $.
    lcvp.q $e |- ( ph -> Q e. A ) $.
    $( Covering property of Definition 7.4 of [MaedaMaeda] p. 31 and its
       converse.  ( ~ cvp analog.)  (Contributed by NM, 10-Jan-2015.) $)
    lcvp $p |- ( ph -> ( ( U i^i Q ) = { .0. } <-> U C ( U .(+) Q ) ) ) $=
      ( cin wbr wcel csn wceq co clmod clvec lveclmod lsatlssel lssincl syl3anc
      syl lsatcveq0 lcvexch bitr3d ) AGERZECSUNIUAUBGGEDUCCSABCEFUNHILJMNOAHUDT
      ZGFTEFTUNFTAHUETUOOHUFUJZPABFEHJMUPQUGZFGEHJUHUIQUKACDFGEHJKNUPPUQULUM $.
  $}

  ${
    $d x C $.  $d x .(+) $.  $d x Q $.  $d x U $.  $d x W $.  $d x ph $.
    lcv1.s $e |- S = ( LSubSp ` W ) $.
    lcv1.p $e |- .(+) = ( LSSum ` W ) $.
    lcv1.a $e |- A = ( LSAtoms ` W ) $.
    lcv1.c $e |- C = ( <oL ` W ) $.
    lcv1.w $e |- ( ph -> W e. LVec ) $.
    lcv1.u $e |- ( ph -> U e. S ) $.
    lcv1.q $e |- ( ph -> Q e. A ) $.
    $( Covering property of a subspace plus an atom.  ( ~ chcv1 analog.)
       (Contributed by NM, 10-Jan-2015.) $)
    lcv1 $p |- ( ph -> ( -. Q C_ U <-> U C ( U .(+) Q ) ) ) $=
      ( vx wss cfv wcel adantr wn co wbr wa cv csn clspn wceq cbs c0g cdif wrex
      clvec wb eqid islsat syl mpbid w3a 3ad2ant1 eldifi 3ad2ant2 simp1r sseq1d
      simp3 mtbid lsmcv2 oveq2d breqtrrd rexlimdv3a mpd wpss lveclmod lsatlssel
      clmod lsmcl syl3anc simpr lcvpss lsssssubg sseldd lssnle mpbird impbida
      csubg ) AEGQZUAZGGEDUBZCUCZAWGUDZEPUEZUFHUGRZRZUHZPHUIRZHUJRZUFZUKZULZWIA
      WSWGAEBSZWSOAHUMSZWTWSUNMPBEWLWOHUMWPWOUOZWLUOZWPUOKUPUQURTWJWNWIPWRWJWKW
      RSZWNUSZGGWMDUBWHCXECDFGWLWOHWKXBIXCJLWJXDXAWNAXAWGMTUTWJXDGFSZWNAXFWGNTU
      TXDWJWKWOSWNWKWOWQVAVBXEWFWMGQAWGXDWNVCXEEWMGWJXDWNVEZVDVFVGXEEWMGDXGVHVI
      VJVKAWIUDZWGGWHVLZXHCFGWHHUMILAXAWIMTAXFWINTAWHFSZWIAHVOSZXFEFSXJAXAXKMHV
      MUQZNABFEHIKXLOVNZDFGEHIJVPVQTAWIVRVSAWGXIUNWIADGEHJAFHWERZGAXKFXNQXLFHIV
      TUQZNWAAFXNEXOXMWAWBTWCWD $.
  $}

  ${
    lcv2.s $e |- S = ( LSubSp ` W ) $.
    lcv2.p $e |- .(+) = ( LSSum ` W ) $.
    lcv2.a $e |- A = ( LSAtoms ` W ) $.
    lcv2.c $e |- C = ( <oL ` W ) $.
    lcv2.w $e |- ( ph -> W e. LVec ) $.
    lcv2.u $e |- ( ph -> U e. S ) $.
    lcv2.q $e |- ( ph -> Q e. A ) $.
    $( Covering property of a subspace plus an atom.  ( ~ chcv2 analog.)
       (Contributed by NM, 10-Jan-2015.) $)
    lcv2 $p |- ( ph -> ( U C. ( U .(+) Q ) <-> U C ( U .(+) Q ) ) ) $=
      ( wss wn wcel syl sseldd co wpss wbr csubg clmod clvec lveclmod lsssssubg
      cfv lsatlssel lssnle lcv1 bitr3d ) AEGPQGGEDUAZUBGUNCUCADGEHJAFHUDUIZGAHU
      ERZFUOPAHUFRUPMHUGSZFHIUHSZNTAFUOEURABFEHIKUQOUJTUKABCDEFGHIJKLMNOULUM $.
  $}

  ${
    lsatexch.s $e |- S = ( LSubSp ` W ) $.
    lsatexch.p $e |- .(+) = ( LSSum ` W ) $.
    lsatexch.o $e |- .0. = ( 0g ` W ) $.
    lsatexch.a $e |- A = ( LSAtoms ` W ) $.
    lsatexch.w $e |- ( ph -> W e. LVec ) $.
    lsatexch.u $e |- ( ph -> U e. S ) $.
    lsatexch.q $e |- ( ph -> Q e. A ) $.
    lsatexch.r $e |- ( ph -> R e. A ) $.
    lsatexch.l $e |- ( ph -> Q C_ ( U .(+) R ) ) $.
    lsatexch.z $e |- ( ph -> ( U i^i Q ) = { .0. } ) $.
    $( The atom exchange property.  Proposition 1(i) of [Kalmbach] p. 140.  A
       version of this theorem was originally proved by Hermann Grassmann in
       1862.  ( ~ atexch analog.)  (Contributed by NM, 10-Jan-2015.) $)
    lsatexch $p |- ( ph -> R C_ ( U .(+) Q ) ) $=
      ( wcel co csubg cfv wss clmod clvec syl lsssssubg sseldd lsatlssel lsmub2
      lveclmod syl2anc clcv eqid lsmcl syl3anc wpss wbr cin csn wceq lcvp mpbid
      lcvpss lsmub1 wa wb lsmlub mpbi2and psssstrd lcv2 lcvnbtwn2 sseqtrrd ) AE
      GECUAZGDCUAZAGHUBUCZTZEVQTZEVOUDAFVQGAHUETZFVQUDAHUFTVTNHULUGZFHJUHUGZOUI
      ZAFVQEWBABFEHJMWAQUJZUIZCGEHKUKUMAHUNUCZGFVOVPHUFJWFUOZNOAVTGFTZEFTVOFTWA
      OWDCFGEHJKUPUQZAVTWHDFTVPFTWAOABFDHJMWAPUJZCFGDHJKUPUQZAGVOURGVOWFUSAGVPV
      OAWFFGVPHUFJWGNOWKAGDUTIVAVBGVPWFUSSABWFCDFGHIJKLMWGNOPVCVDVEZAGVOUDZDVOU
      DZVPVOUDZAVRVSWMWCWECGEHKVFUMRAVRDVQTVOVQTWMWNVGWOVHWCAFVQDWBWJUIAFVQVOWB
      WIUICGDVOHKVIUQVJZVKABWFCEFGHJKMWGNOQVLVDWLWPVMVN $.
  $}

  ${
    lsatnle.o $e |- .0. = ( 0g ` W ) $.
    lsatnle.s $e |- S = ( LSubSp ` W ) $.
    lsatnle.a $e |- A = ( LSAtoms ` W ) $.
    lsatnle.w $e |- ( ph -> W e. LVec ) $.
    lsatnle.u $e |- ( ph -> U e. S ) $.
    lsatnle.q $e |- ( ph -> Q e. A ) $.
    $( The meet of a subspace and an incomparable atom is the zero subspace.
       ( ~ atnssm0 analog.)  (Contributed by NM, 10-Jan-2015.) $)
    lsatnle $p |- ( ph -> ( -. Q C_ U <-> ( U i^i Q ) = { .0. } ) ) $=
      ( wss wn clsm cfv co clcv eqid wbr cin csn wceq lcv1 lcvp bitr4d ) ACENOE
      ECFPQZRFSQZUAECUBGUCUDABUIUHCDEFIUHTZJUITZKLMUEABUIUHCDEFGIUJHJUKKLMUFUG
      $.
  $}

  ${
    lsatnem0.o $e |- .0. = ( 0g ` W ) $.
    lsatnem0.a $e |- A = ( LSAtoms ` W ) $.
    lsatnem0.w $e |- ( ph -> W e. LVec ) $.
    lsatnem0.q $e |- ( ph -> Q e. A ) $.
    lsatnem0.r $e |- ( ph -> R e. A ) $.
    $( The meet of distinct atoms is the zero subspace.  ( ~ atnemeq0 analog.)
       (Contributed by NM, 10-Jan-2015.) $)
    lsatnem0 $p |- ( ph -> ( Q =/= R <-> ( Q i^i R ) = { .0. } ) ) $=
      ( wss wn wne cin csn wceq lsatcmp eqcom wcel bitrdi necon3bbid clss clvec
      cfv eqid clmod lveclmod syl lsatlssel lsatnle bitr3d ) ADCLZMCDNCDOFPQAUM
      CDAUMDCQCDQABDCEHIKJRDCSUAUBABDEUCUEZCEFGUNUFZHIABUNCEUOHAEUDTEUGTIEUHUIJ
      UJKUKUL $.
  $}

  ${
    lsatexch1.p $e |- .(+) = ( LSSum ` W ) $.
    lsatexch1.a $e |- A = ( LSAtoms ` W ) $.
    lsatexch1.w $e |- ( ph -> W e. LVec ) $.
    lsatexch1.u $e |- ( ph -> Q e. A ) $.
    lsatexch1.q $e |- ( ph -> R e. A ) $.
    lsatexch1.r $e |- ( ph -> S e. A ) $.
    lsatexch1.l $e |- ( ph -> Q C_ ( S .(+) R ) ) $.
    lsatexch1.z $e |- ( ph -> Q =/= S ) $.
    $( The atom exch1ange property.  ( ~ hlatexch1 analog.)  (Contributed by
       NM, 14-Jan-2015.) $)
    lsatexch1 $p |- ( ph -> R C_ ( S .(+) Q ) ) $=
      ( clss cfv c0g eqid wcel clvec lveclmod syl lsatlssel wne cin wceq necomd
      clmod csn lsatnem0 mpbid lsatexch ) ABCDEGPQZFGGRQZUNSZHUOSZIJABUNFGUPIAG
      UATGUITJGUBUCMUDKLNAFDUEFDUFUOUJUGADFOUHABFDGUOUQIJMKUKULUM $.
  $}

  ${
    lsatcv0eq.o $e |- .0. = ( 0g ` W ) $.
    lsatcv0eq.p $e |- .(+) = ( LSSum ` W ) $.
    lsatcv0eq.a $e |- A = ( LSAtoms ` W ) $.
    lsatcv0eq.c $e |- C = ( <oL ` W ) $.
    lsatcv0eq.w $e |- ( ph -> W e. LVec ) $.
    lsatcv0eq.q $e |- ( ph -> Q e. A ) $.
    lsatcv0eq.r $e |- ( ph -> R e. A ) $.
    $( If the sum of two atoms cover the zero subspace, they are equal.
       ( ~ atcv0eq analog.)  (Contributed by NM, 10-Jan-2015.) $)
    lsatcv0eq $p |- ( ph -> ( { .0. } C ( Q .(+) R ) <-> Q = R ) ) $=
      ( wbr wceq wcel syl adantr csn co wne wa cin lsatnem0 clss cfv eqid clvec
      wn clmod lveclmod lsatlssel lsatcv0 biantrurd 3bitrd lsssn0 lsmcl syl3anc
      simprl simprr lcvntr ex sylbid necon4ad csubg wss lsssssubg sseldd lsmidm
      lcvp breqtrrd oveq2 breq2d syl5ibcom impbid ) AHUAZEFDUBZCPZEFQZAVTEFAEFU
      CZVRECPZEVSCPZUDZVTUKZAWBEFUEVRQWDWEABEFGHIKMNOUFABCDFGUGUHZEGHWGUIZJIKLM
      ABWGEGWHKAGUJRZGULRZMGUMSZNUNZOVLAWCWDABCEGHIKLMNUOZUPUQAWEWFAWEUDCVRWGEV
      SGUJWHLAWIWEMTAVRWGRZWEAWJWNWKWGGHIWHURSTAEWGRZWEWLTAVSWGRZWEAWJWOFWGRWPW
      KWLABWGFGWHKWKOUNDWGEFGWHJUSUTTAWCWDVAAWCWDVBVCVDVEVFAVREEDUBZCPWAVTAVREW
      QCWMAEGVGUHZRWQEQAWGWREAWJWGWRVHWKWGGWHVISWLVJDEGJVKSVMWAWQVSVRCEFEDVNVOV
      PVQ $.
  $}

  ${
    lsatcv1.o $e |- .0. = ( 0g ` W ) $.
    lsatcv1.p $e |- .(+) = ( LSSum ` W ) $.
    lsatcv1.s $e |- S = ( LSubSp ` W ) $.
    lsatcv1.a $e |- A = ( LSAtoms ` W ) $.
    lsatcv1.c $e |- C = ( <oL ` W ) $.
    lsatcv1.w $e |- ( ph -> W e. LVec ) $.
    lsatcv1.u $e |- ( ph -> U e. S ) $.
    lsatcv1.q $e |- ( ph -> Q e. A ) $.
    lsatcv1.r $e |- ( ph -> R e. A ) $.
    lsatcv1.l $e |- ( ph -> U C ( Q .(+) R ) ) $.
    $( Two atoms covering the zero subspace are equal.  ( ~ atcv1 analog.)
       (Contributed by NM, 10-Jan-2015.) $)
    lsatcv1 $p |- ( ph -> ( U = { .0. } <-> Q = R ) ) $=
      ( csn wceq co breq1 syl5ibcom lsatcv0eq sylibd wa adantr clvec wcel oveq1
      wbr csubg cfv clmod lveclmod syl lsatlssel lsssubg syl2anc lsmidm eqeltrd
      sylan9eqr lsatcveq0 mpbid ex impbid ) AHJUAZUBZEFUBZAVJVIEFDUCZCUMZVKAHVL
      CUMZVJVMTHVIVLCUDUEABCDEFIJKLNOPRSUFUGAVKVJAVKUHZVNVJAVNVKTUIVOBCVLGHIJKM
      NOAIUJUKZVKPUIAHGUKVKQUIVOVLFBVKAVLFFDUCZFEFFDULAFIUNUOUKZVQFUBAIUPUKZFGU
      KVRAVPVSPIUQURZABGFIMNVTSUSGFIMUTVADFILVBURVDAFBUKVKSUIVCVEVFVGVH $.
  $}

  ${
    lsatcvat.o $e |- .0. = ( 0g ` W ) $.
    lsatcvat.s $e |- S = ( LSubSp ` W ) $.
    lsatcvat.p $e |- .(+) = ( LSSum ` W ) $.
    lsatcvat.a $e |- A = ( LSAtoms ` W ) $.
    lsatcvat.w $e |- ( ph -> W e. LVec ) $.
    lsatcvat.u $e |- ( ph -> U e. S ) $.
    lsatcvat.q $e |- ( ph -> Q e. A ) $.
    lsatcvat.r $e |- ( ph -> R e. A ) $.
    lsatcvat.n $e |- ( ph -> U =/= { .0. } ) $.
    lsatcvat.l $e |- ( ph -> U C. ( Q .(+) R ) ) $.
    ${
      $d x A $.  $d x U $.  $d x W $.  $d x ph $.
      lsatcvat.m $e |- ( ph -> -. Q C_ U ) $.
      $( Lemma for ~ lsatcvat .  (Contributed by NM, 10-Jan-2015.) $)
      lsatcvatlem $p |- ( ph -> U e. A ) $=
        ( vx wss wrex wcel clvec clmod lveclmod syl lssatomic w3a clcv cfv eqid
        cv co 3ad2ant1 simp2 lsatlssel lsmcl syl3anc cin csn wceq wbr wne wn wi
        sseq1 biimpcd necon3bd 3ad2ant3 mpd lsatnem0 mpbid lcvp csubg lsssssubg
        cabl lmodabl sseldd lsmcom breqtrd wpss lsmub1 syl2anc pssssd lsatexch1
        simp3 sstrd wa wb lsmlub mpbi2and psssstrd lcvnbtwn3 eqeltrd rexlimdv3a
        ) AUAUNZGUBZUABUCGBUDZABFGHIUAKJMAHUEUDZHUFUDZNHUGUHZORUIAWSWTUABAWRBUD
        ZWSUJZGWRBXEHUKULZWRFDWRCUOZGHUEKXFUMZAXDXAWSNUPZXEBFWRHKMAXDXBWSXCUPZA
        XDWSUQZURZXEXBDFUDZWRFUDXGFUDXJAXDXMWSABFDHKMXCPURUPZXLCFDWRHKLUSUTZAXD
        GFUDWSOUPXEWRWRDCUOZXGXFXEWRDVAIVBVCZWRXPXFVDXEWRDVEZXQXEDGUBZVFZXRAXDX
        TWSTUPWSAXTXRVGXDWSXSWRDWRDVCWSXSWRDGVHVIVJVKVLZXEBWRDHIJMXIXKAXDDBUDWS
        PUPZVMVNXEBXFCDFWRHIKLJMXHXIXLYBVOVNXEHVRUDZWRHVPULZUDZDYDUDZXPXGVCXEXB
        YCXJHVSUHXEFYDWRXEXBFYDUBXJFHKVQUHZXLVTZXEFYDDYGXNVTZCWRDHLWAUTWBAXDWSW
        HZXEGDECUOZXGAXDGYKWCWSSUPXEDXGUBZEXGUBZYKXGUBZXEYFYEYLYIYHCDWRHLWDWEXE
        BCWREDHLMXIXKAXDEBUDWSQUPYBXEWRGYKYJAXDGYKUBWSAGYKSWFUPWIYAWGXEYFEYDUDX
        GYDUDYLYMWJYNWKYIXEFYDEYGAXDEFUDWSABFEHKMXCQURUPVTXEFYDXGYGXOVTCDEXGHLW
        LUTWMWNWOXKWPWQVL $.
    $}

    $( A nonzero subspace less than the sum of two atoms is an atom.
       ( ~ atcvati analog.)  (Contributed by NM, 10-Jan-2015.) $)
    lsatcvat $p |- ( ph -> U e. A ) $=
      ( adantr wss wn wcel wa clvec csn wne co wpss simpr lsatcvatlem csubg cfv
      cabl clmod lveclmod syl lmodabl lsssssubg lsatlssel sseldd lsmcom syl3anc
      wceq psseq2d mpbid wo wb lsmlub ssnpss syl6bi con2d ianor syl6ib mpjaodan
      mpd ) ADGUAZUBZGBUCEGUAZUBZAVRUDBCDEFGHIJKLMAHUEUCZVRNTAGFUCZVROTADBUCZVR
      PTAEBUCZVRQTAGIUFUGZVRRTAGDECUHZUIZVRSTAVRUJUKAVTUDBCEDFGHIJKLMAWAVTNTAWB
      VTOTAWDVTQTAWCVTPTAWEVTRTAGEDCUHZUIZVTAWGWISAWFWHGAHUNUCZDHULUMZUCZEWKUCZ
      WFWHVDAHUOUCZWJAWAWNNHUPUQZHURUQAFWKDAWNFWKUAWOFHKUSUQZABFDHKMWOPUTVAZAFW
      KEWPABFEHKMWOQUTVAZCDEHLVBVCVEVFTAVTUJUKAWGVRVTVGZSAWGVQVSUDZUBWSAWTWGAWT
      WFGUAZWGUBAWLWMGWKUCWTXAVHWQWRAFWKGWPOVACDEGHLVIVCWFGVJVKVLVQVSVMVNVPVO
      $.
  $}

  ${
    lsatcvat2.s $e |- S = ( LSubSp ` W ) $.
    lsatcvat2.p $e |- .(+) = ( LSSum ` W ) $.
    lsatcvat2.a $e |- A = ( LSAtoms ` W ) $.
    lsatcvat2.c $e |- C = ( <oL ` W ) $.
    lsatcvat2.w $e |- ( ph -> W e. LVec ) $.
    lsatcvat2.u $e |- ( ph -> U e. S ) $.
    lsatcvat2.q $e |- ( ph -> Q e. A ) $.
    lsatcvat2.r $e |- ( ph -> R e. A ) $.
    lsatcvat2.n $e |- ( ph -> Q =/= R ) $.
    lsatcvat2.l $e |- ( ph -> U C ( Q .(+) R ) ) $.
    $( A subspace covered by the sum of two distinct atoms is an atom.
       ( ~ atcvat2i analog.)  (Contributed by NM, 10-Jan-2015.) $)
    lsatcvat2 $p |- ( ph -> U e. A ) $=
      ( wcel c0g cfv eqid csn wne lsatcv1 necon3bid mpbird clvec clmod lveclmod
      co syl lsatlssel lsmcl syl3anc lcvpss lsatcvat ) ABDEFGHIIUAUBZUSUCZJKLNO
      PQAHUSUDZUEEFUERAHVAEFABCDEFGHIUSUTKJLMNOPQSUFUGUHACGHEFDULZIUIJMNOAIUJTZ
      EGTFGTVBGTAIUITVCNIUKUMZABGEIJLVDPUNABGFIJLVDQUNDGEFIJKUOUPSUQUR $.
  $}

  ${
    lsatcvat3.s $e |- S = ( LSubSp ` W ) $.
    lsatcvat3.p $e |- .(+) = ( LSSum ` W ) $.
    lsatcvat3.a $e |- A = ( LSAtoms ` W ) $.
    lsatcvat3.w $e |- ( ph -> W e. LVec ) $.
    lsatcvat3.u $e |- ( ph -> U e. S ) $.
    lsatcvat3.q $e |- ( ph -> Q e. A ) $.
    lsatcvat3.r $e |- ( ph -> R e. A ) $.
    lsatcvat3.n $e |- ( ph -> Q =/= R ) $.
    lsatcvat3.m $e |- ( ph -> -. R C_ U ) $.
    lsatcvat3.l $e |- ( ph -> Q C_ ( U .(+) R ) ) $.
    $( A condition implying that a certain subspace is an atom.  Part of Lemma
       3.2.20 of [PtakPulmannova] p. 68.  ( ~ atcvat3i analog.)  (Contributed
       by NM, 11-Jan-2015.) $)
    lsatcvat3 $p |- ( ph -> ( U i^i ( Q .(+) R ) ) e. A ) $=
      ( co wcel clcv cfv cin clmod clvec lveclmod syl lsatlssel syl3anc lssincl
      eqid lsmcl wss wn wbr lcv1 mpbid cabl csubg wceq lmodabl lsssssubg sseldd
      lsmcom oveq2d lsmass eqtr4d lsmless2 eqsstrd lsmidm sseqtrd syl2anc eqssd
      lsmub2 breqtrrd lcvexchlem4 lsatcvat2 ) ABHUAUBZCDEFGDECSZUCZHIJKVRUKZLAH
      UDTZGFTZVSFTZVTFTAHUETWBLHUFUGZMAWBDFTEFTZWDWEABFDHIKWENUHZABFEHIKWEOUHZC
      FDEHIJULUIZFGVSHIUJUINOPAVRCFGVSHIJWAWEMWIAGGECSZGVSCSZVRAEGUMUNGWJVRUOQA
      BVRCEFGHIJKWALMOUPUQAWKWJAWKWJWJCSZWJAWKWJDCSZWLAWKGEDCSZCSZWMAVSWNGCAHUR
      TZDHUSUBZTZEWQTZVSWNUTAWBWPWEHVAUGAFWQDAWBFWQUMWEFHIVBUGZWGVCZAFWQEWTWHVC
      ZCDEHJVDUIVEAGWQTZWSWRWMWOUTAFWQGWTMVCZXBXACGEDHJVFUIVGAWJWQTZXEDWJUMWMWL
      UMAFWQWJWTAWBWCWFWJFTWEMWHCFGEHIJULUIVCZXFRCWJDWJHJVHUIVIAXEWLWJUTXFCWJHJ
      VJUGVKAXCVSWQTEVSUMZWJWKUMXDAFWQVSWTWIVCAWRWSXGXAXBCDEHJVNVLCGEVSHJVHUIVM
      VOVPVQ $.
  $}

  ${
    $d q C $.  $d q S $.  $d q U $.  $d q V $.  $d q W $.  $d q ph $.
    islshpcv.v $e |- V = ( Base ` W ) $.
    islshpcv.s $e |- S = ( LSubSp ` W ) $.
    islshpcv.h $e |- H = ( LSHyp ` W ) $.
    islshpcv.c $e |- C = ( <oL ` W ) $.
    islshpcv.w $e |- ( ph -> W e. LVec ) $.
    $( Hyperplane properties expressed with covers relation.  (Contributed by
       NM, 11-Jan-2015.) $)
    islshpcv $p |- ( ph -> ( U e. H <-> ( U e. S /\ U C V ) ) ) $=
      ( vq wcel cfv w3a wbr wa eqid syl wne cv clsm co wceq clsa clvec lveclmod
      wrex clmod islshpat wi simp12 wpss lssss simp13 df-pss sylanbrc wb psseq2
      wss 3ad2ant3 mpbird 3ad2ant1 simp2 lcv2 mpbid breqtrd jca rexlimdv3a 3exp
      simp3 3impd simprl adantr lss1 simprr lcvpss pssned lcvat ex impbid bitrd
      3jca ) ADENDCNZDFUAZDMUBZGUCOZUDZFUEZMGUFOZUIZPZWEDFBQZRZAWKWHCDEFGMHIWHS
      ZJWKSZAGUGNZGUJNZLGUHTZUKAWMWOAWEWFWLWOAWEWFWLWOULAWEWFPZWJWOMWKXAWGWKNZW
      JPZWEWNAWEWFXBWJUMZXCDWIFBXCDWIUNZDWIBQXCXEDFUNZXCDFVAZWFXFXCWEXGXDCDFGHI
      UOTAWEWFXBWJUPDFUQURWJXAXEXFUSXBWIFDUTVBVCXCWKBWHWGCDGIWPWQKXAXBWRWJAWEWR
      WFLVDVDXDXAXBWJVEVFVGXAXBWJVLVHVIVJVKVMAWOWMAWORZWEWFWLAWEWNVNZXHDFXHBCDF
      GUGIKAWRWOLVOXIXHWSFCNAWSWOWTVOZCFGHIVPTZAWEWNVQZVRVSXHWKBWHCDFGMIWPWQKXJ
      XIXKXLVTWDWAWBWC $.
  $}

  ${
    $d v .(+) $.  $d v Q $.  $d v U $.  $d v V $.  $d v W $.  $d v ph $.
    l1cvpat.v $e |- V = ( Base ` W ) $.
    l1cvpat.s $e |- S = ( LSubSp ` W ) $.
    l1cvpat.p $e |- .(+) = ( LSSum ` W ) $.
    l1cvpat.a $e |- A = ( LSAtoms ` W ) $.
    l1cvpat.c $e |- C = ( <oL ` W ) $.
    l1cvpat.w $e |- ( ph -> W e. LVec ) $.
    l1cvpat.u $e |- ( ph -> U e. S ) $.
    l1cvpat.q $e |- ( ph -> Q e. A ) $.
    l1cvpat.l $e |- ( ph -> U C V ) $.
    l1cvpat.m $e |- ( ph -> -. Q C_ U ) $.
    $( A subspace covered by the set of all vectors, when summed with an atom
       not under it, equals the set of all vectors.  ( ~ 1cvrjat analog.)
       (Contributed by NM, 11-Jan-2015.) $)
    l1cvpat $p |- ( ph -> ( U .(+) Q ) = V ) $=
      ( wcel vv cv csn clspn cfv wceq c0g cdif wrex wss wn co clvec eqid islsat
      wb syl mpbid wi eldifi clmod lveclmod 3ad2ant1 simp2 lspsnel5 notbid clsh
      w3a islshpcv mpbir2and lshpnelb biimpd sylbird sseq1 oveq2 eqeq1d imbi12d
      wbr 3ad2ant3 mpbird 3exp syl5 rexlimdv mp2d ) AEUAUBZUCIUDUEZUEZUFZUAHIUG
      UEZUCZUHZUIZEGUJZUKZGEDULZHUFZAEBTZWLQAIUMTZWQWLUPOUABEWFHIUMWIJWFUNZWIUN
      MUOUQURSAWHWNWPUSZUAWKWEWKTWEHTZAWHWTUSWEHWJUTAXAWHWTAXAWHVHZWTWGGUJZUKZG
      WGDULZHUFZUSZXBXDWEGTZUKZXFXBXHXCXBFGWFHIWEJKWSAXAIVATZWHAWRXJOIVBUQVCAXA
      GFTZWHPVCAXAWHVDZVEVFXBXIXFXBDGIVGUEZWFHIWEJWSLXMUNZAXAWRWHOVCAXAGXMTZWHA
      XOXKGHCVRPRACFGXMHIJKXNNOVIVJVCXLVKVLVMWHAWTXGUPXAWHWNXDWPXFWHWMXCEWGGVNV
      FWHWOXEHEWGGDVOVPVQVSVTWAWBWCWD $.
  $}

  ${
    l1cvat.v $e |- V = ( Base ` W ) $.
    l1cvat.s $e |- S = ( LSubSp ` W ) $.
    l1cvat.p $e |- .(+) = ( LSSum ` W ) $.
    l1cvat.a $e |- A = ( LSAtoms ` W ) $.
    l1cvat.c $e |- C = ( <oL ` W ) $.
    l1cvat.w $e |- ( ph -> W e. LVec ) $.
    l1cvat.u $e |- ( ph -> U e. S ) $.
    l1cvat.q $e |- ( ph -> Q e. A ) $.
    l1cvat.r $e |- ( ph -> R e. A ) $.
    l1cvat.n $e |- ( ph -> Q =/= R ) $.
    l1cvat.l $e |- ( ph -> U C V ) $.
    l1cvat.m $e |- ( ph -> -. Q C_ U ) $.
    $( Create an atom under an element covered by the lattice unit.  Part of
       proof of Lemma B in [Crawley] p. 112.  ( ~ 1cvrat analog.)  (Contributed
       by NM, 11-Jan-2015.) $)
    l1cvat $p |- ( ph -> ( ( Q .(+) R ) i^i U ) e. A ) $=
      ( cin cabl wcel csubg cfv wceq clmod clvec lveclmod syl lmodabl lsssssubg
      co wss lsatlssel sseldd lsmcom syl3anc ineq1d incom eqtrdi necomd lsatssv
      l1cvpat sseqtrrd lsatcvat3 eqeltrd ) AEFDUOZHUCZHFEDUOZUCZBAVKVLHUCVMAVJV
      LHAJUDUEZEJUFUGZUEFVOUEVJVLUHAJUIUEZVNAJUJUEVPPJUKULZJUMULAGVOEAVPGVOUPVQ
      GJLUNULZABGEJLNVQRUQURAGVOFVRABGFJLNVQSUQURDEFJMUSUTVAVLHVBVCABDFEGHJLMNP
      QSRAEFTVDUBAFIHEDUOABFIJKNVQSVEABCDEGHIJKLMNOPQRUAUBVFVGVHVI $.
  $}

  ${
    lshpat.s $e |- S = ( LSubSp ` W ) $.
    lshpat.p $e |- .(+) = ( LSSum ` W ) $.
    ishpat.h $e |- H = ( LSHyp ` W ) $.
    lshpat.a $e |- A = ( LSAtoms ` W ) $.
    lshpat.w $e |- ( ph -> W e. LVec ) $.
    lshpat.l $e |- ( ph -> U e. H ) $.
    lshpat.q $e |- ( ph -> Q e. A ) $.
    lshpat.r $e |- ( ph -> R e. A ) $.
    lshpat.n $e |- ( ph -> Q =/= R ) $.
    lshpat.m $e |- ( ph -> -. Q C_ U ) $.
    $( Create an atom under a hyperplane.  Part of proof of Lemma B in
       [Crawley] p. 112.  ( ~ lhpat analog.)  TODO:  This changes ` U C V ` in
       ~ l1cvpat and ~ l1cvat to ` U e. H ` , which in turn change ` U e. H `
       in ~ islshpcv to ` U C V ` , with a couple of conversions of span to
       atom.  Seems convoluted.  Would a direct proof be better?  (Contributed
       by NM, 11-Jan-2015.) $)
    lshpat $p |- ( ph -> ( ( Q .(+) R ) i^i U ) e. A ) $=
      ( cfv clcv cbs eqid wcel wbr wa islshpcv mpbid simpld simprd l1cvat ) ABI
      UATZCDEFGIUBTZIUMUCZJKMULUCZNAGFUDZGUMULUEZAGHUDUPUQUFOAULFGHUMIUNJLUONUG
      UHZUIPQRAUPUQURUJSUK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Functionals and kernels of a left vector space (or module)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c LFnl $.

  $( Extend class notation with all linear functionals of a left module or left
     vector space. $)
  clfn $a class LFnl $.

  ${
    $d w x y r f $.
    $( Define the set of all linear functionals (maps from vectors to the ring)
       of a left module or left vector space.  (Contributed by NM,
       15-Apr-2014.) $)
    df-lfl $a |- LFnl = ( w e. _V |->
     { f e. ( ( Base ` ( Scalar ` w ) ) ^m ( Base ` w ) )
       | A. r e. ( Base ` ( Scalar ` w ) )
         A. x e. ( Base ` w ) A. y e. ( Base ` w )
          ( f ` ( ( r ( .s ` w ) x ) ( +g ` w ) y ) )
             = ( ( r ( .r ` ( Scalar ` w ) ) ( f ` x ) )
                 ( +g ` ( Scalar ` w ) ) ( f ` y ) ) } ) $.
  $}

  ${
    $d w .+^ $.  $d f r w K $.  $d f w x y V $.  $d f r w x y W $.  $d w .x. $.
    $d w .+ $.  $d w .X. $.
    lflset.v $e |- V = ( Base ` W ) $.
    lflset.a $e |- .+ = ( +g ` W ) $.
    lflset.d $e |- D = ( Scalar ` W ) $.
    lflset.s $e |- .x. = ( .s ` W ) $.
    lflset.k $e |- K = ( Base ` D ) $.
    lflset.p $e |- .+^ = ( +g ` D ) $.
    lflset.t $e |- .X. = ( .r ` D ) $.
    lflset.f $e |- F = ( LFnl ` W ) $.
    $( The set of linear functionals in a left module or left vector space.
       (Contributed by NM, 15-Apr-2014.)  (Revised by Mario Carneiro,
       24-Jun-2014.) $)
    lflset $p |- ( W e. X -> F = { f e. ( K ^m V )
       | A. r e. K A. x e. V A. y e. V ( f ` ( ( r .x. x ) .+ y ) )
             = ( ( r .X. ( f ` x ) ) .+^ ( f ` y ) ) } ) $=
      ( vw wcel cvv cv co wceq wral cmap crab elex clfn cvsca cplusg csca cmulr
      cfv fveq2 eqtr4di fveq2d oveq12d oveqd eqidd oveq123d raleqbidv rabeqbidv
      cbs eqeq12d df-lfl ovex rabex fvmpt syl5eq syl ) LMUDLUEUDZINUFZAUFZFUGZB
      UFZDUGZHUFZURZVQVRWBURZGUGZVTWBURZEUGZUHZBKUIZAKUIZNJUIZHJKUJUGZUKZUHLMUL
      VPILUMURWMUBUCLVQVRUCUFZUNURZUGZVTWNUOURZUGZWBURZVQWDWNUPURZUQURZUGZWFWTU
      OURZUGZUHZBWNVHURZUIZAXFUIZNWTVHURZUIZHXIXFUJUGZUKWMUEUMWNLUHZXJWKHXKWLXL
      XIJXFKUJXLXICVHURJXLWTCVHXLWTLUPURCWNLUPUSQUTZVASUTZXLXFLVHURKWNLVHUSOUTZ
      VBXLXHWJNXIJXNXLXGWIAXFKXOXLXEWHBXFKXOXLWSWCXDWGXLWRWAWBXLWPVSVTVTWQDXLWQ
      LUOURDWNLUOUSPUTXLWOFVQVRXLWOLUNURFWNLUNUSRUTVCXLVTVDVEVAXLXBWEWFWFXCEXLX
      CCUOUREXLWTCUOXMVATUTXLXAGVQWDXLXACUQURGXLWTCUQXMVAUAUTVCXLWFVDVEVIVFVFVF
      VGABUCHNVJWKHWLJKUJVKVLVMVNVO $.

    $d f .+ $.  $d f r x y G $.  $d f .+^ $.  $d f .x. $.  $d f .X. $.
    $( The predicate "is a linear functional".  (Contributed by NM,
       15-Apr-2014.) $)
    islfl $p |- ( W e. X -> ( G e. F <-> ( G : V --> K
      /\ A. r e. K A. x e. V A. y e. V
           ( G ` ( ( r .x. x ) .+ y ) )
             = ( ( r .X. ( G ` x ) ) .+^ ( G ` y ) ) ) ) ) $=
      ( vf wcel cv co cfv wceq wral cmap crab wf wa lflset eleq2d fveq1 oveq12d
      oveq2d eqeq12d 2ralbidv ralbidv elrab cbs fvexi elmap anbi1i bitri bitrdi
      ) LMUDZIHUDINUEZAUEZFUFBUEZDUFZUCUEZUGZVJVKVNUGZGUFZVLVNUGZEUFZUHZBKUIAKU
      IZNJUIZUCJKUJUFZUKZUDZKJIULZVMIUGZVJVKIUGZGUFZVLIUGZEUFZUHZBKUIAKUIZNJUIZ
      UMZVIHWDIABCDEFGUCHJKLMNOPQRSTUAUBUNUOWEIWCUDZWNUMWOWBWNUCIWCVNIUHZWAWMNJ
      WQVTWLABKKWQVOWGVSWKVMVNIUPWQVQWIVRWJEWQVPWHVJGVKVNIUPURVLVNIUPUQUSUTVAVB
      WPWFWNJKIJCVCSVDKLVCOVDVEVFVGVH $.

    $d r x y .+^ $.  $d r x y R $.  $d r V $.  $d r x y .x. $.  $d r x y .X. $.
    $d r x y .+ $.  $d x y X $.  $d y Y $.
    $( Property of a linear functional.  ( ~ lnfnli analog.)  (Contributed by
       NM, 16-Apr-2014.) $)
    lfli $p |- ( ( W e. Z /\ G e. F /\ ( R e. K /\ X e. V /\ Y e. V ) ) ->
      ( G ` ( ( R .x. X ) .+ Y ) ) = ( ( R .X. ( G ` X ) ) .+^ ( G ` Y ) ) ) $=
      ( vr vx vy wcel w3a cv co wceq wral wf islfl simplbda 3adant3 wi fvoveq1d
      cfv oveq1 oveq1d eqeq12d oveq2 fveq2 oveq2d fveq2d rspc3v 3ad2ant3 mpd )
      KNUFZHGUFZDIUFLJUFMJUFUGZUGUCUHZUDUHZEUIZUEUHZBUIHURZVLVMHURZFUIZVOHURZCU
      IZUJZUEJUKUDJUKUCIUKZDLEUIZMBUIZHURZDLHURZFUIZMHURZCUIZUJZVIVJWBVKVIVJJIH
      ULWBUDUEABCEFGHIJKNUCOPQRSTUAUBUMUNUOVKVIWBWJUPVJWAWJDVMEUIZVOBUIHURZDVQF
      UIZVSCUIZUJWCVOBUIZHURZWGVSCUIZUJUCUDUEDLMIJJVLDUJZVPWLVTWNWRVNWKVOHBVLDV
      MEUSUQWRVRWMVSCVLDVQFUSUTVAVMLUJZWLWPWNWQWSWKWCVOHBVMLDEVBUQWSWMWGVSCWSVQ
      WFDFVMLHVCVDUTVAVOMUJZWPWEWQWIWTWOWDHVOMWCBVBVEWTVSWHWGCVOMHVCVDVAVFVGVH
      $.
  $}

  ${
    $d r x y G $.  $d r x y K $.  $d x y V $.  $d r x y W $.  $d r x y ph $.
    islfld.v $e |- ( ph -> V = ( Base ` W ) ) $.
    islfld.a $e |- ( ph -> .+ = ( +g ` W ) ) $.
    islfld.d $e |- ( ph -> D = ( Scalar ` W ) ) $.
    islfld.s $e |- ( ph -> .x. = ( .s ` W ) ) $.
    islfld.k $e |- ( ph -> K = ( Base ` D ) ) $.
    islfld.p $e |- ( ph -> .+^ = ( +g ` D ) ) $.
    islfld.t $e |- ( ph -> .X. = ( .r ` D ) ) $.
    islfld.f $e |- ( ph -> F = ( LFnl ` W ) ) $.
    islfld.u $e |- ( ph -> G : V --> K ) $.
    islfld.l $e |- ( ( ph /\ ( r e. K /\ x e. V /\ y e. V ) ) ->
      ( G ` ( ( r .x. x ) .+ y ) ) = ( ( r .X. ( G ` x ) ) .+^ ( G ` y ) ) ) $.
    islfld.w $e |- ( ph -> W e. X ) $.
    $( Properties that determine a linear functional.  TODO: use this in place
       of ~ islfl when it shortens the proof.  (Contributed by NM,
       19-Oct-2014.) $)
    islfld $p |- ( ph -> G e. F ) $=
      ( clfn cfv wcel cbs csca wf cv cvsca cplusg cmulr wceq wral fveq2d feq23d
      co eqtrd mpbid ralrimivvva oveqd eqidd oveq123d eqeq12d raleqbidv wa eqid
      islfl biimpar syl12anc eleqtrrd ) AJMUGUHZIAMNUIZMUJUHZMUKUHZUJUHZJULZOUM
      ZBUMZMUNUHZVAZCUMZMUOUHZVAZJUHZWBWCJUHZVSUPUHZVAZWFJUHZVSUOUHZVAZUQZCVRUR
      ZBVRURZOVTURZJVPUIZUFALKJULWAUDALKVRVTJPAKDUJUHVTTADVSUJRUSVBZUTVCAWBWCGV
      AZWFEVAZJUHZWBWJHVAZWMFVAZUQZCLURZBLURZOKURWSAXGOBCKLLUEVDAXIWROKVTXAAXHW
      QBLVRPAXGWPCLVRPAXDWIXFWOAXCWHJAXBWEWFWFEWGQAGWDWBWCSVEAWFVFVGUSAXEWLWMWM
      FWNAFDUOUHWNUAADVSUORUSVBAHWKWBWJAHDUPUHWKUBADVSUPRUSVBVEAWMVFVGVHVIVIVIV
      CVQWTWAWSVJBCVSWGWNWDWKVPJVTVRMNOVRVKWGVKVSVKWDVKVTVKWNVKWKVKVPVKVLVMVNUC
      VO $.
  $}

  ${
    $d r x y G $.  $d r K $.  $d x y V $.  $d r x y W $.
    lflf.d $e |- D = ( Scalar ` W ) $.
    lflf.k $e |- K = ( Base ` D ) $.
    lflf.v $e |- V = ( Base ` W ) $.
    lflf.f $e |- F = ( LFnl ` W ) $.
    $( A linear functional is a function from vectors to scalars.  ( ~ lnfnfi
       analog.)  (Contributed by NM, 15-Apr-2014.) $)
    lflf $p |- ( ( W e. X /\ G e. F ) -> G : V --> K ) $=
      ( vr vx vy wcel cv cfv co wral eqid wf cvsca cplusg cmulr islfl simprbda
      wceq ) FGOCBOEDCUALPZMPZFUBQZRNPZFUCQZRCQUHUICQAUDQZRUKCQAUCQZRUGNESMESLD
      SMNAULUNUJUMBCDEFGLJULTHUJTIUNTUMTKUEUF $.

    $( A linear functional value is a scalar.  (Contributed by NM,
       15-Apr-2014.) $)
    lflcl $p |- ( ( W e. Y /\ G e. F /\ X e. V ) -> ( G ` X ) e. K ) $=
      ( wcel w3a wf lflf 3adant3 simp3 ffvelrnd ) FHMZCBMZGEMZNEDGCTUAEDCOUBABC
      DEFHIJKLPQTUAUBRS $.
  $}

  ${
    lfl0.d $e |- D = ( Scalar ` W ) $.
    lfl0.o $e |- .0. = ( 0g ` D ) $.
    lfl0.z $e |- Z = ( 0g ` W ) $.
    lfl0.f $e |- F = ( LFnl ` W ) $.
    $( A linear functional is zero at the zero vector.  ( ~ lnfn0i analog.)
       (Contributed by NM, 16-Apr-2014.)  (Revised by Mario Carneiro,
       24-Jun-2014.) $)
    lfl0 $p |- ( ( W e. LMod /\ G e. F ) -> ( G ` Z ) = .0. ) $=
      ( clmod wcel cfv co cplusg cbs wceq eqid adantr syl3anc cvsca cmulr simpl
      wa csg cur simpr lmod1cl lmod0vcl lfli syl113anc lmod0vrid syldan lmodvs1
      lmodvscl eqtrd fveq2d crg lmodring lflcl mpd3an3 ringlidm syl2anc 3eqtr3d
      oveq1d cgrp ringgrp syl grpsubid grppncan 3eqtr3rd ) DKLZCBLZUDZFCMZVOAUE
      MZNZVOVOAOMZNZVOVPNZEVOVNVOVSVOVPVNAUFMZFDUAMZNZFDOMZNZCMZWAVOAUBMZNZVOVR
      NZVOVSVNVLVMWAAPMZLZFDPMZLZWMWFWIQVLVMUCZVLVMUGVLWKVMWAAWJDGWJRZWARZUHSZV
      LWMVMWLDFWLRZIUISZWSAWDVRWAWBWGBCWJWLDFFKWRWDRZGWBRZWOVRRZWGRZJUJUKVNWEFC
      VNWEWCFVLVMWCWLLZWEWCQVNVLWKWMXDWNWQWSWAWBAWJWLDFWRGXAWOUOTWDWLDWCFWRWTIU
      LUMVLVMWMWCFQWSWBWAAWLDFWRGXAWPUNUMUPUQVNWHVOVOVRVNAURLZVOWJLZWHVOQVLXEVM
      ADGUSSZVLVMWMXFWSABCWJWLDFKGWOWRJUTVAZWJAWGWAVOWOXCWPVBVCVEVDVEVNAVFLZXFV
      QEQVNXEXIXGAVGVHZXHWJAVPVOEWOHVPRZVIVCVNXIXFXFVTVOQXJXHXHWJVRAVPVOVOWOXBX
      KVJTVK $.
  $}

  ${
    lfladd.d $e |- D = ( Scalar ` W ) $.
    lfladd.p $e |- .+^ = ( +g ` D ) $.
    lfladd.v $e |- V = ( Base ` W ) $.
    lfladd.a $e |- .+ = ( +g ` W ) $.
    lfladd.f $e |- F = ( LFnl ` W ) $.
    $( Property of a linear functional.  ( ~ lnfnaddi analog.)  (Contributed by
       NM, 18-Apr-2014.) $)
    lfladd $p |- ( ( W e. LMod /\ G e. F /\ ( X e. V /\ Y e. V ) )
      -> ( G ` ( X .+ Y ) ) = ( ( G ` X ) .+^ ( G ` Y ) ) ) $=
      ( clmod wcel cfv co wceq eqid w3a cur cvsca cmulr cbs simp1 simp2 lmod1cl
      wa 3ad2ant1 simp3l simp3r syl113anc lmodvs1 syl2anc fvoveq1d crg lmodring
      lfli lflcl 3adant3r ringlidm oveq1d 3eqtr3d ) GOPZEDPZHFPZIFPZUIZUAZAUBQZ
      HGUCQZRZIBREQZVKHEQZAUDQZRZIEQZCRZHIBREQVOVRCRVJVEVFVKAUEQZPZVGVHVNVSSVEV
      FVIUFZVEVFVIUGVEVFWAVIVKAVTGJVTTZVKTZUHUJVEVFVGVHUKZVEVFVGVHULABCVKVLVPDE
      VTFGHIOLMJVLTZWCKVPTZNUSUMVJVMHIEBVJVEVGVMHSWBWEVLVKAFGHLJWFWDUNUOUPVJVQV
      OVRCVJAUQPZVOVTPZVQVOSVEVFWHVIAGJURUJVEVFVGWIVHADEVTFGHOJWCLNUTVAVTAVPVKV
      OWCWGWDVBUOVCVD $.
  $}

  ${
    lflsub.d $e |- D = ( Scalar ` W ) $.
    lflsub.m $e |- M = ( -g ` D ) $.
    lflsub.v $e |- V = ( Base ` W ) $.
    lflsub.a $e |- .- = ( -g ` W ) $.
    lflsub.f $e |- F = ( LFnl ` W ) $.
    $( Property of a linear functional.  ( ~ lnfnaddi analog.)  (Contributed by
       NM, 18-Apr-2014.) $)
    lflsub $p |- ( ( W e. LMod /\ G e. F /\ ( X e. V /\ Y e. V ) )
      -> ( G ` ( X .- Y ) ) = ( ( G ` X ) M ( G ` Y ) ) ) $=
      ( clmod wcel cfv co wceq eqid wa w3a cur cminusg cvsca cplusg cmulr simp1
      simp3l cbs cgrp crg lmodring 3ad2ant1 ringgrp syl ringidcl syl2anc simp3r
      grpinvcl lmodvscl syl3anc lmodcom fveq2d lfli syl113anc 3adant3l ringnegl
      simp2 lflcl oveq1d cabl ringabl 3adant3r ablcom eqtrd 3eqtrd lmodvsubval2
      grpsubval 3eqtr4d ) GOPZCBPZHFPZIFPZUAZUBZHAUCQZAUDQZQZIGUEQZRZGUFQZRZCQZ
      HCQZICQZWHQZAUFQZRZHIERZCQWOWPDRZWFWNWKHWLRZCQZWIWPAUGQZRZWOWRRZWSWFWMXBC
      WFWAWCWKFPZWMXBSWAWBWEUHZWAWBWCWDUIZWFWAWIAUJQZPZWDXGXHWFAUKPZWGXJPZXKWFA
      ULPZXLWAWBXNWEAGJUMUNZAUOUPZWFXNXMXOXJAWGXJTZWGTZUQUPXJAWHWGXQWHTZUTURZWA
      WBWCWDUSZWIWJAXJFGILJWJTZXQVAVBWLFGHWKLWLTZVCVBVDWFWAWBXKWDWCXCXFSXHWAWBW
      EVIXTYAXIAWLWRWIWJXDBCXJFGIHOLYCJYBXQWRTZXDTZNVEVFWFXFWQWOWRRZWSWFXEWQWOW
      RWFXJAXDWGWHWPXQYEXRXSXOWAWBWDWPXJPZWCABCXJFGIOJXQLNVJVGZVHVKWFAVLPZWQXJP
      ZWOXJPZYFWSSWFXNYIXOAVMUPWFXLYGYJXPYHXJAWHWPXQXSUTURWAWBWCYKWDABCXJFGHOJX
      QLNVJVNZXJWRAWQWOXQYDVOVBVPVQWFWTWMCWFWAWCWDWTWMSXHXIYAHIWLWJWGAEWHFGLYCM
      JYBXSXRVRVBVDWFYKYGXAWSSYLYHXJWRAWHDWOWPXQYDXSKVSURVT $.
  $}

  ${
    lflmul.d $e |- D = ( Scalar ` W ) $.
    lflmul.k $e |- K = ( Base ` D ) $.
    lflmul.t $e |- .X. = ( .r ` D ) $.
    lflmul.v $e |- V = ( Base ` W ) $.
    lflmul.s $e |- .x. = ( .s ` W ) $.
    lflmul.f $e |- F = ( LFnl ` W ) $.
    $( Property of a linear functional.  ( ~ lnfnmuli analog.)  (Contributed by
       NM, 16-Apr-2014.) $)
    lflmul $p |- ( ( W e. LMod /\ G e. F /\ ( R e. K /\ X e. V ) )
      -> ( G ` ( R .x. X ) ) = ( R .X. ( G ` X ) ) ) $=
      ( wcel co cfv wceq clmod wa w3a c0g cplusg simp1 simp2 simp3l simp3r eqid
      lmod0vcl 3ad2ant1 lfli syl113anc syl3anc lmod0vrid syl2anc fveq2d 3adant3
      lmodvscl lfl0 oveq2d lmodfgrp lflcl 3adant3l lmodmcl grprid eqtrd 3eqtr3d
      cgrp ) IUAQZFEQZBGQZJHQZUBZUCZBJCRZIUDSZIUESZRZFSZBJFSZDRZVRFSZAUESZRZVQF
      SWCVPVKVLVMVNVRHQZWAWFTVKVLVOUFZVKVLVOUGVKVLVMVNUHZVKVLVMVNUIZVKVLWGVOHIV
      RNVRUJZUKULAVSWEBCDEFGHIJVRUANVSUJZKOLWEUJZMPUMUNVPVTVQFVPVKVQHQZVTVQTWHV
      PVKVMVNWNWHWIWJBCAGHIJNKOLUTUOVSHIVQVRNWLWKUPUQURVPWFWCAUDSZWERZWCVPWDWOW
      CWEVKVLWDWOTVOAEFIWOVRKWOUJZWKPVAUSVBVPAVJQZWCGQZWPWCTVKVLWRVOAIKVCULVPVK
      VMWBGQZWSWHWIVKVLVNWTVMAEFGHIJUAKLNPVDVEDAGIBWBKLMVFUOGWEAWCWOLWMWQVGUQVH
      VI $.
  $}

  ${
    $d r x y D $.  $d r x y .0. $.  $d r x y V $.  $d r x y W $.
    lfl0f.d $e |- D = ( Scalar ` W ) $.
    lfl0f.o $e |- .0. = ( 0g ` D ) $.
    lfl0f.v $e |- V = ( Base ` W ) $.
    lfl0f.f $e |- F = ( LFnl ` W ) $.
    $( The zero function is a functional.  (Contributed by NM, 16-Apr-2014.) $)
    lfl0f $p |- ( W e. LMod -> ( V X. { .0. } ) e. F ) $=
      ( vr vx vy wcel cfv cv co wceq wral eqid wa clmod csn cxp wf cvsca cplusg
      cbs cmulr wss c0g fvexi fconst lmod0cl snssd fss sylancr lmodring simplrl
      crg ad2antrr ringrz syl2anc oveq1d cgrp ringgrp syl grplid syl2anc2 eqtrd
      grpidcl simplrr fvconst2 oveq2d adantl oveq12d lmodvscl lmodvacl 3eqtr4rd
      simpll syl3anc simpr ralrimiva ralrimivva islfl mpbir2and ) DUAMZCEUBZUCZ
      BMCAUGNZWHUDZJOZKOZDUENZPZLOZDUFNZPZWHNZWKWLWHNZAUHNZPZWOWHNZAUFNZPZQZLCR
      ZKCRJWIRWFCWGWHUDWGWIUIWJCEEAUJGUKZULWFEWIAWIDEFWISZGUMUNCWGWIWHUOUPWFXFJ
      KWICWFWKWIMZWLCMZTZTZXELCXLWOCMZTZWKEWTPZEXCPZEXDWRXNXPEEXCPZEXNXOEEXCXNA
      USMZXIXOEQWFXRXKXMADFUQUTZWFXIXJXMURZWIAWTWKEXHWTSZGVAVBVCXNAVDMZEWIMXQEQ
      XNXRYBXSAVEVFWIAEXHGVJWIXCAEEXHXCSZGVGVHVIXNXAXOXBEXCXNWSEWKWTXNXJWSEQWFX
      IXJXMVKZCEWLXGVLVFVMXMXBEQXLCEWOXGVLVNVOXNWQCMZWREQXNWFWNCMZXMYEWFXKXMVSZ
      XNWFXIXJYFYGXTYDWKWMAWICDWLHFWMSZXHVPVTXLXMWAWPCDWNWOHWPSZVQVTCEWQXGVLVFV
      RWBWCKLAWPXCWMWTBWHWICDUAJHYIFYHXHYCYAIWDWE $.
  $}

  ${
    $d x D $.  $d z F $.  $d x z G $.  $d x z .1. $.  $d x z V $.  $d x z W $.
    $d z .0. $.
    lfl1.d $e |- D = ( Scalar ` W ) $.
    lfl1.o $e |- .0. = ( 0g ` D ) $.
    lfl1.u $e |- .1. = ( 1r ` D ) $.
    lfl1.v $e |- V = ( Base ` W ) $.
    lfl1.f $e |- F = ( LFnl ` W ) $.
    $( A nonzero functional has a value of 1 at some argument.  (Contributed by
       NM, 16-Apr-2014.) $)
    lfl1 $p |- ( ( W e. LVec /\ G e. F /\ G =/= ( V X. { .0. } ) )
        -> E. x e. V ( G ` x ) = .1. ) $=
      ( vz clvec wcel cfv wceq eqid syl3anc csn cxp wne w3a cv wrex wa wral nne
      wn ralbii wf wfn wi cbs lflf ffnd fconstfv simplbi2 syl c0g fvexi fconst2
      syl6ib syl5bi necon3ad dfrex2 3impia cinvr cvsca co clmod simp1l lveclmod
      cdr lvecdrng simp1r simp2 lflcl simp3 drnginvrcl lmodvscl cmulr syl112anc
      syl6ibr lflmul drnginvrl eqtrd fveqeq2 rspcev syl2anc rexlimdv3a 3adant3
      mpd ) GOPZEDPZEFHUAZUBZUCZUDNUEZEQZHUCZNFUFZAUEZEQCRZAFUFZWOWPWSXCWOWPUGZ
      WSXBUJZNFUHZUJXCXGXIEWRXIXAHRZNFUHZXGEWRRZXHXJNFXAHUIUKXGXKFWQEULZXLXGEFU
      MZXKXMUNXGFBUOQZEBDEXOFGOIXOSZLMUPUQXMXNXKNFHEURUSUTFHEHBVAJVBVCVDVEVFXBN
      FVGWEVHWOWPXCXFUNWSXGXBXFNFXGWTFPZXBUDZXABVIQZQZWTGVJQZVKZFPZYBEQZCRZXFXR
      GVLPZXTXOPZXQYCXRWOYFWOWPXQXBVMZGVNUTZXRBVOPZXAXOPZXBYGXRWOYJYHBGIVPUTZXR
      WOWPXQYKYHWOWPXQXBVQZXGXQXBVRZBDEXOFGWTOIXPLMVSTZXGXQXBVTZXOBXSXAHXPJXSSZ
      WATZYNXTYABXOFGWTLIYASZXPWBTXRYDXTXABWCQZVKZCXRYFWPYGXQYDUUARYIYMYRYNBXTY
      AYTDEXOFGWTIXPYTSZLYSMWFWDXRYJYKXBUUACRYLYOYPXOBYTCXSXAHXPJUUBKYQWGTWHXEY
      EAYBFXDYBCEWIWJWKWLWMWN $.
  $}

  ${
    $d x y z G $.  $d x y z H $.  $d x y z .+ $.  $d x y z R $.  $d x y z W $.
    $d x y z ph $.
    lfladdcl.r $e |- R = ( Scalar ` W ) $.
    lfladdcl.p $e |- .+ = ( +g ` R ) $.
    lfladdcl.f $e |- F = ( LFnl ` W ) $.
    lfladdcl.w $e |- ( ph -> W e. LMod ) $.
    lfladdcl.g $e |- ( ph -> G e. F ) $.
    lfladdcl.h $e |- ( ph -> H e. F ) $.
    $( Closure of addition of two functionals.  (Contributed by NM,
       19-Oct-2014.) $)
    lfladdcl $p |- ( ph -> ( G oF .+ H ) e. F ) $=
      ( co wcel cfv wceq cvv clmod syl3anc vx vy vz cof wf cv cvsca cplusg wral
      cbs cmulr wa adantr simprl simprr eqid lmodacl lflf syl2anc fvexd off w3a
      inidm simpr1 simpr2 lmodvscl simpr3 ffnd eqidd ofval syldan oveq2d lfladd
      lmodvacl oveq12d syl112anc ccmn crg lmodring ringcmn lflcl cmn4 syl122anc
      syl lflmul ringdi syl13anc eqtr4d oveq1d 3eqtrd ralrimivvva wb mpbir2and
      islfl ) AEFBUDNZDOZGUJPZCUJPZWOUEZUAUFZUBUFZGUGPZNZUCUFZGUHPZNZWOPZWTXAWO
      PZCUKPZNZXDWOPZBNZQZUCWQUIUBWQUIUAWRUIZAUAUBWQWQWQBWRWRWREFRRAWTWROZXAWRO
      ZULZULGSOZXOXPWTXABNWROAXRXQKUMAXOXPUNAXOXPUOBCWRGWTXAHWRUPZIUQTAXREDOZWQ
      WREUEKLCDEWRWQGSHXSWQUPZJURUSZAXRFDOZWQWRFUEKMCDFWRWQGSHXSYAJURUSZAGUJUTZ
      YEWQVCZVAAXMUAUBUCWRWQWQAXOXAWQOZXDWQOZVBZULZXGXFEPZXFFPZBNZXLAYIXFWQOZXG
      YMQYJXRXCWQOZYHYNAXRYIKUMZYJXRXOYGYOYPAXOYGYHVDZAXOYGYHVEZWTXBCWRWQGXAYAH
      XBUPZXSVFTZAXOYGYHVGZXEWQGXCXDYAXEUPZVNTAWQWQYKYLBWQEFRRXFAWQWREYBVHZAWQW
      RFYDVHZYEYEYFAYNULZYKVIUUEYLVIVJVKYJXLWTXAEPZXAFPZBNZXINZXDEPZXDFPZBNZBNZ
      YMYJXJUUIXKUULBYJXHUUHWTXIAYIYGXHUUHQYRAWQWQUUFUUGBWQEFRRXAUUCUUDYEYEYFAY
      GULZUUFVIUUNUUGVIVJVKVLAYIYHXKUULQUUAAWQWQUUJUUKBWQEFRRXDUUCUUDYEYEYFAYHU
      LZUUJVIUUOUUKVIVJVKVOYJYMXCEPZUUJBNZXCFPZUUKBNZBNZUUPUURBNZUULBNZUUMYJYKU
      UQYLUUSBYJXRXTYOYHYKUUQQYPAXTYILUMZYTUUACXEBDEWQGXCXDHIYAUUBJVMVPYJXRYCYO
      YHYLUUSQYPAYCYIMUMZYTUUACXEBDFWQGXCXDHIYAUUBJVMVPVOYJCVQOZUUPWROZUUJWROZU
      URWROZUUKWROZUUTUVBQYJCVROZUVEYJXRUVJYPCGHVSWDZCVTWDYJXRXTYOUVFYPUVCYTCDE
      WRWQGXCSHXSYAJWATYJXRXTYHUVGYPUVCUUACDEWRWQGXDSHXSYAJWATYJXRYCYOUVHYPUVDY
      TCDFWRWQGXCSHXSYAJWATYJXRYCYHUVIYPUVDUUACDFWRWQGXDSHXSYAJWATWRBCUUKUUPUUJ
      UURXSIWBWCYJUVAUUIUULBYJUVAWTUUFXINZWTUUGXINZBNZUUIYJUUPUVLUURUVMBYJXRXTX
      OYGUUPUVLQYPUVCYQYRCWTXBXIDEWRWQGXAHXSXIUPZYAYSJWEVPYJXRYCXOYGUURUVMQYPUV
      DYQYRCWTXBXIDFWRWQGXAHXSUVOYAYSJWEVPVOYJUVJXOUUFWROZUUGWROZUUIUVNQUVKYQYJ
      XRXTYGUVPYPUVCYRCDEWRWQGXASHXSYAJWATYJXRYCYGUVQYPUVDYRCDFWRWQGXASHXSYAJWA
      TWRBCXIWTUUFUUGXSIUVOWFWGWHWIWJWHWHWKAXRWPWSXNULWLKUBUCCXEBXBXIDWOWRWQGSU
      AYAUUBHYSXSIUVOJWNWDWM $.

    $( Commutativity of functional addition.  (Contributed by NM,
       19-Oct-2014.) $)
    lfladdcom $p |- ( ph -> ( G oF .+ H ) = ( H oF .+ G ) ) $=
      ( vx vy cbs cfv clmod wcel wf cvv fvexd eqid lflf syl2anc cv wa cabl wceq
      co crg lmodring ringabl 3syl adantr simprl simprr ablcom syl3anc caofcom
      ) ANOGPQZBCPQZEFUAAGPUBAGRSZEDSVAVBETKLCDEVBVAGRHVBUCZVAUCZJUDUEAVCFDSVAV
      BFTKMCDFVBVAGRHVDVEJUDUEANUFZVBSZOUFZVBSZUGZUGCUHSZVGVIVFVHBUJVHVFBUJUIAV
      KVJAVCCUKSVKKCGHULCUMUNUOAVGVIUPAVGVIUQVBBCVFVHVDIURUSUT $.

    $d x y z I $.
    lfladdass.i $e |- ( ph -> I e. F ) $.
    $( Associativity of functional addition.  (Contributed by NM,
       19-Oct-2014.) $)
    lfladdass $p |- ( ph
        -> ( ( G oF .+ H ) oF .+ I ) = ( G oF .+ ( H oF .+ I ) ) ) $=
      ( cbs clmod wcel wf co vx vy vz cfv cvv fvexd eqid lflf syl2anc cgrp wceq
      cv w3a crg lmodring ringgrp 3syl grpass sylan caofass ) AUAUBUCHPUDZBBCPU
      DZBEFGBUEAHPUFAHQRZEDRVAVBESLMCDEVBVAHQIVBUGZVAUGZKUHUIAVCFDRVAVBFSLNCDFV
      BVAHQIVDVEKUHUIAVCGDRVAVBGSLOCDGVBVAHQIVDVEKUHUIACUJRZUAULZVBRUBULZVBRUCU
      LZVBRUMVGVHBTVIBTVGVHVIBTBTUKAVCCUNRVFLCHIUOCUPUQVBBCVGVHVIVDJURUSUT $.
  $}

  ${
    $d k G $.  $d k .0. $.  $d k .+ $.  $d k R $.  $d k ph $.
    lfladd0l.v $e |- V = ( Base ` W ) $.
    lfladd0l.r $e |- R = ( Scalar ` W ) $.
    lfladd0l.p $e |- .+ = ( +g ` R ) $.
    lfladd0l.o $e |- .0. = ( 0g ` R ) $.
    lfladd0l.f $e |- F = ( LFnl ` W ) $.
    lfladd0l.w $e |- ( ph -> W e. LMod ) $.
    lfladd0l.g $e |- ( ph -> G e. F ) $.
    $( Functional addition with the zero functional.  (Contributed by NM,
       21-Oct-2014.) $)
    lfladd0l $p |- ( ph -> ( ( V X. { .0. } ) oF .+ G ) = G ) $=
      ( vk cbs cvv wcel fvexi cfv a1i clmod wf eqid lflf syl2anc c0g cgrp cv co
      wceq crg lmodring ringgrp 3syl grplid sylan caofid0l ) APFHBCQUAZERRFRSAF
      GQITUBAGUCSZEDSFUTEUDNOCDEUTFGUCJUTUEZIMUFUGHRSAHCUHLTUBACUISZPUJZUTSHVDB
      UKVDULAVACUMSVCNCGJUNCUOUPUTBCVDHVBKLUQURUS $.
  $}

  ${
    $d x y G $.  $d x y I $.  $d k y z N $.  $d y .0. $.  $d y .+ $.
    $d k x y z R $.  $d x y z V $.  $d k x y z W $.  $d k x y z ph $.
    lflnegcl.v $e |- V = ( Base ` W ) $.
    lflnegcl.r $e |- R = ( Scalar ` W ) $.
    lflnegcl.i $e |- I = ( invg ` R ) $.
    lflnegcl.n $e |- N = ( x e. V |-> ( I ` ( G ` x ) ) ) $.
    lflnegcl.f $e |- F = ( LFnl ` W ) $.
    lflnegcl.w $e |- ( ph -> W e. LMod ) $.
    lflnegcl.g $e |- ( ph -> G e. F ) $.
    $( Closure of the negative of a functional.  (This is specialized for the
       purpose of proving ~ ldualgrp , and we do not define a general operation
       here.)  (Contributed by NM, 22-Oct-2014.) $)
    lflnegcl $p |- ( ph -> N e. F ) $=
      ( wcel cfv co syl vk vy vz cbs wf cv cvsca cplusg cmulr wceq wral wa cgrp
      crg clmod lmodring ringgrp adantr simpr eqid lflcl syl3anc grpinvcl fmptd
      syl2anc cabl ringabl simpr1 simpr2 ringcl simpr3 ablinvadd lfli syl113anc
      w3a fveq2d ringmneg2 oveq1d 3eqtr4d lmodvscl lmodvacl 2fveq3 fvmpt oveq2d
      fvex oveq12d ralrimivvva wb islfl mpbir2and ) AGDQZHCUDRZGUEZUAUFZUBUFZIU
      GRZSZUCUFZIUHRZSZGRZWNWOGRZCUIRZSZWRGRZCUHRZSZUJZUCHUKUBHUKUAWLUKZABHBUFZ
      ERZFRZWLGAXJHQZULZCUMQZXKWLQZXLWLQAXOXMACUNQZXOAIUOQZXQOCIKUPTZCUQTURXNXR
      EDQZXMXPAXRXMOURAXTXMPURAXMUSCDEWLHIXJUOKWLUTZJNVAVBWLCFXKYALVCVEMVDAXHUA
      UBUCWLHHAWNWLQZWOHQZWRHQZVOZULZWTERZFRZWNWOERZFRZXCSZWRERZFRZXFSZXAXGYFWN
      YIXCSZYLXFSZFRZYOFRZYMXFSZYHYNYFCVFQZYOWLQZYLWLQZYQYSUJAYTYEAXQYTXSCVGTUR
      YFXQYBYIWLQZUUAAXQYEXSURZAYBYCYDVHZYFXRXTYCUUCAXRYEOURZAXTYEPURZAYBYCYDVI
      ZCDEWLHIWOUOKYAJNVAVBZWLCXCWNYIYAXCUTZVJVBYFXRXTYDUUBUUFUUGAYBYCYDVKZCDEW
      LHIWRUOKYAJNVAVBWLXFCFYOYLYAXFUTZLVLVBYFYGYPFYFXRXTYBYCYDYGYPUJUUFUUGUUEU
      UHUUKCWSXFWNWPXCDEWLHIWOWRUOJWSUTZKWPUTZYAUULUUJNVMVNVPYFYKYRYMXFYFWLCXCF
      WNYIYAUUJLUUDUUEUUIVQVRVSYFWTHQZXAYHUJYFXRWQHQZYDUUOUUFYFXRYBYCUUPUUFUUEU
      UHWNWPCWLHIWOJKUUNYAVTVBUUKWSHIWQWRJUUMWAVBBWTXLYHHGXJWTFEWBMYGFWEWCTYFXD
      YKXEYMXFYFXBYJWNXCYFYCXBYJUJUUHBWOXLYJHGXJWOFEWBMYIFWEWCTWDYFYDXEYMUJUUKB
      WRXLYMHGXJWRFEWBMYLFWEWCTWFVSWGAXRWKWMXIULWHOUBUCCWSXFWPXCDGWLHIUOUAJUUMK
      UUNYAUULUUJNWITWJ $.

    lflnegl.p $e |- .+ = ( +g ` R ) $.
    lflnegl.o $e |- .0. = ( 0g ` R ) $.
    $( A functional plus its negative is the zero functional.  (This is
       specialized for the purpose of proving ~ ldualgrp , and we do not define
       a general operation here.)  (Contributed by NM, 22-Oct-2014.) $)
    lflnegl $p |- ( ph -> ( N oF .+ G ) = ( V X. { .0. } ) ) $=
      ( vy cbs cfv cvv wcel fvexi a1i clmod eqid lflf syl2anc c0g wf1o crg cgrp
      wf lmodring ringgrp 3syl grpinvf1o f1of syl cv cmpt wceq co grplinv sylan
      caofinvl ) AUABIKCDUBUCZFHGUDUDIUDUEAIJUBLUFUGAJUHUEZFEUEIVJFUPQRDEFVJIJU
      HMVJUIZLPUJUKKUDUEAKDULTUFUGAVJVJGUMVJVJGUPAVJDGVLNAVKDUNUEDUOUEZQDJMUQDU
      RUSZUTVJVJGVAVBHBIBVCFUCGUCVDVEAOUGAVMUAVCZVJUEVOGUCVOCVFKVEVNVJCDGVOKVLS
      TNVGVHVI $.
  $}

  ${
    $d r x y G $.  $d r x y K $.  $d r x y R $.  $d r x y .x. $.  $d r x y V $.
    $d r x y W $.  $d r x y ph $.
    lflsccl.v $e |- V = ( Base ` W ) $.
    lflsccl.d $e |- D = ( Scalar ` W ) $.
    lflsccl.k $e |- K = ( Base ` D ) $.
    lflsccl.t $e |- .x. = ( .r ` D ) $.
    lflsccl.f $e |- F = ( LFnl ` W ) $.
    lflsccl.w $e |- ( ph -> W e. LMod ) $.
    lflsccl.g $e |- ( ph -> G e. F ) $.
    lflsccl.r $e |- ( ph -> R e. K ) $.
    $( Closure of a scalar product with a functional.  Note that this is the
       scalar product for a right vector space with the scalar after the
       vector; reversing these fails closure.  (Contributed by NM, 9-Oct-2014.)
       (Revised by Mario Carneiro, 22-Apr-2015.) $)
    lflvscl $p |- ( ph -> ( G oF .x. ( V X. { R } ) ) e. F ) $=
      ( cfv co wcel vx vy vr cplusg cvsca csn cxp cof clmod cbs wceq eqidd csca
      a1i cmulr clfn cvv crg cv wa lmodring syl ringcl 3expb sylan lflf syl2anc
      wf fconst6g fvexi off w3a adantr simpr1 simpr2 simpr3 eqid lfli syl113anc
      inidm oveq1d lflcl syl3anc ringdir syl13anc 3eqtrd lmodvscl lmodvacl ffnd
      ringass ofc2 syldan oveq2d oveq12d 3eqtr4d islfld ) AUAUBBIUDRZBUDRZIUERZ
      DEFHCUFUGZDUHSZGHIUIUCHIUJRUKAJUNAWQULBIUMRUKAKUNAWSULGBUJRUKALUNAWRULDBU
      ORUKAMUNEIUPRUKANUNAUAUBHHHDGGGFWTUQUQABURTZUAUSZGTZUBUSZGTZUTXCXEDSGTZAI
      UITZXBOBIKVAVBZXBXDXFXGGBDXCXELMVCVDVEAXHFETZHGFVHOPBEFGHIUIKLJNVFVGZACGT
      ZHGWTVHQHCGVIVBHUQTAHIUJJVJUNZXMHVTVKAUCUSZGTZXCHTZXEHTZVLZUTZXNXCWSSZXEW
      QSZFRZCDSZXNXCFRZCDSZDSZXEFRZCDSZWRSZYAXARZXNXCXARZDSZXEXARZWRSXSYCXNYDDS
      ZYGWRSZCDSZYNCDSZYHWRSZYIXSYBYOCDXSXHXJXOXPXQYBYOUKAXHXROVMZAXJXRPVMZAXOX
      PXQVNZAXOXPXQVOZAXOXPXQVPZBWQWRXNWSDEFGHIXCXEUIJWQVQZKWSVQZLWRVQZMNVRVSWA
      XSXBYNGTZYGGTZXLYPYRUKAXBXRXIVMZXSXBXOYDGTZUUGUUIUUAXSXHXJXPUUJYSYTUUBBEF
      GHIXCUIKLJNWBWCZGBDXNYDLMVCWCXSXHXJXQUUHYSYTUUCBEFGHIXEUIKLJNWBWCAXLXRQVM
      ZGWRBDYNYGCLUUFMWDWEXSYQYFYHWRXSXBXOUUJXLYQYFUKUUIUUAUUKUULGBDXNYDCLMWJWE
      WAWFAXRYAHTZYJYCUKXSXHXTHTZXQUUMYSXSXHXOXPUUNYSUUAUUBXNWSBGHIXCJKUUELWGWC
      UUCWQHIXTXEJUUDWHWCAHCYBDFUQGYAXMQAHGFXKWIZAUUMUTYBULWKWLXSYLYFYMYHWRXSYK
      YEXNDAXRXPYKYEUKUUBAHCYDDFUQGXCXMQUUOAXPUTYDULWKWLWMAXRXQYMYHUKUUCAHCYGDF
      UQGXEXMQUUOAXQUTYGULWKWLWNWOOWP $.
  $}

  ${
    $d x y z .+ $.  $d x y z G $.  $d x y z H $.  $d x y z K $.  $d x y z ph $.
    $d x y z V $.  $d x y z .x. $.  $d x y z X $.  $d x y z Y $.
    lfldi.v $e |- V = ( Base ` W ) $.
    lfldi.r $e |- R = ( Scalar ` W ) $.
    lfldi.k $e |- K = ( Base ` R ) $.
    lfldi.p $e |- .+ = ( +g ` R ) $.
    lfldi.t $e |- .x. = ( .r ` R ) $.
    lfldi.f $e |- F = ( LFnl ` W ) $.
    lfldi.w $e |- ( ph -> W e. LMod ) $.
    lfldi.x $e |- ( ph -> X e. K ) $.
    ${
      lfldi1.g $e |- ( ph -> G e. F ) $.
      lfldi1.h $e |- ( ph -> H e. F ) $.
      $( Distributive law for (right vector space) scalar product of
         functionals.  (Contributed by NM, 19-Oct-2014.) $)
      lflvsdi1 $p |- ( ph -> ( ( G oF .+ H ) oF .x. ( V X. { X } ) )
       = ( ( G oF .x. ( V X. { X } ) ) oF .+ ( H oF .x. ( V X. { X } ) ) ) ) $=
        ( vx vy vz csn cxp cvv wcel cbs fvexi a1i wf fconst6g syl clmod syl2anc
        lflf crg cv w3a co wceq lmodring ringdir sylan caofdir ) AUBUCUDIBHDIKU
        EUFZFGHBUGIUGUHAIJUILUJUKAKHUHIHVGULSIKHUMUNAJUOUHZFEUHIHFULRTCEFHIJUOM
        NLQUQUPAVHGEUHIHGULRUACEGHIJUOMNLQUQUPACURUHZUBUSZHUHUCUSZHUHUDUSZHUHUT
        VJVKBVAVLDVAVJVLDVAVKVLDVABVAVBAVHVIRCJMVCUNHBCDVJVKVLNOPVDVEVF $.
    $}

    ${
      lfldi2.y $e |- ( ph -> Y e. K ) $.
      lfldi2.g $e |- ( ph -> G e. F ) $.
      $( Reverse distributive law for (right vector space) scalar product of
         functionals.  (Contributed by NM, 19-Oct-2014.) $)
      lflvsdi2 $p |- ( ph
  -> ( G oF .x. ( ( V X. { X } ) oF .+ ( V X. { Y } ) ) )
       = ( ( G oF .x. ( V X. { X } ) ) oF .+ ( G oF .x. ( V X. { Y } ) ) ) ) $=
        ( vx vy vz csn cxp cvv wcel cbs fvexi a1i clmod wf syl2anc fconst6g syl
        lflf crg cv w3a co wceq lmodring ringdi sylan caofdi ) AUBUCUDHBGDFHJUE
        UFZHKUEUFZGBUGHUGUHAHIUILUJUKAIULUHZFEUHHGFUMRUACEFGHIULMNLQUQUNAJGUHHG
        VGUMSHJGUOUPAKGUHHGVHUMTHKGUOUPACURUHZUBUSZGUHUCUSZGUHUDUSZGUHUTVKVLVMB
        VADVAVKVLDVAVKVMDVABVAVBAVIVJRCIMVCUPGBCDVKVLVMNOPVDVEVF $.

      $( Reverse distributive law for (right vector space) scalar product of
         functionals.  (Contributed by NM, 21-Oct-2014.) $)
      lflvsdi2a $p |- ( ph
  -> ( G oF .x. ( V X. { ( X .+ Y ) } ) )
       = ( ( G oF .x. ( V X. { X } ) ) oF .+ ( G oF .x. ( V X. { Y } ) ) ) ) $=
        ( csn cxp cof co cvv wcel cbs fvexi a1i ofc12 oveq2d lflvsdi2 eqtr3d )
        AFHJUBUCZHKUBUCZBUDZUEZDUDZUEFHJKBUEUBUCZUSUEFUOUSUEFUPUSUEUQUEAURUTFUS
        AHJKBUFGGHUFUGAHIUHLUIUJSTUKULABCDEFGHIJKLMNOPQRSTUAUMUN $.
    $}
  $}

  ${
    $d x y z G $.  $d x y z K $.  $d x y z .x. $.  $d x y z V $.  $d x y z X $.
    $d x y z Y $.  $d x y z ph $.
    lflass.v $e |- V = ( Base ` W ) $.
    lflass.r $e |- R = ( Scalar ` W ) $.
    lflass.k $e |- K = ( Base ` R ) $.
    lflass.t $e |- .x. = ( .r ` R ) $.
    lflass.f $e |- F = ( LFnl ` W ) $.
    lflass.w $e |- ( ph -> W e. LMod ) $.
    lflass.x $e |- ( ph -> X e. K ) $.
    lflass.y $e |- ( ph -> Y e. K ) $.
    lflass.g $e |- ( ph -> G e. F ) $.
    $( Associative law for (right vector space) scalar product of functionals.
       (Contributed by NM, 19-Oct-2014.) $)
    lflvsass $p |- ( ph
  -> ( G oF .x. ( V X. { ( X .x. Y ) } ) )
           = ( ( G oF .x. ( V X. { X } ) ) oF .x. ( V X. { Y } ) ) ) $=
      ( co vx vy csn cxp cof cvv wcel cbs fvexi a1i clmod lflf syl2anc fconst6g
      vz wf syl crg w3a wceq lmodring ringass sylan caofass ofc12 oveq2d eqtr2d
      cv ) AEGIUCUDZCUEZTGJUCUDZVJTEVIVKVJTZVJTEGIJCTUCUDZVJTAUAUBUOGCCFCEVIVKC
      UFGUFUGAGHUHKUIUJZAHUKUGZEDUGGFEUPPSBDEFGHUKLMKOULUMAIFUGGFVIUPQGIFUNUQAJ
      FUGGFVKUPRGJFUNUQABURUGZUAVHZFUGUBVHZFUGUOVHZFUGUSVQVRCTVSCTVQVRVSCTCTUTA
      VOVPPBHLVAUQFBCVQVRVSMNVBVCVDAVLVMEVJAGIJCUFFFVNQRVEVFVG $.
  $}

  ${
    $d k G $.  $d k K $.  $d k .0. $.  $d k .x. $.  $d k ph $.
    lfl0sc.v $e |- V = ( Base ` W ) $.
    lfl0sc.d $e |- D = ( Scalar ` W ) $.
    lfl0sc.f $e |- F = ( LFnl ` W ) $.
    lfl0sc.k $e |- K = ( Base ` D ) $.
    lfl0sc.t $e |- .x. = ( .r ` D ) $.
    lfl0sc.o $e |- .0. = ( 0g ` D ) $.
    lfl0sc.w $e |- ( ph -> W e. LMod ) $.
    lfl0sc.g $e |- ( ph -> G e. F ) $.
    $( The (right vector space) scalar product of a functional with zero is the
       zero functional.  Note that the first occurrence of ` ( V X. { .0. } ) `
       represents the zero scalar, and the second is the zero functional.
       (Contributed by NM, 7-Oct-2014.) $)
    lfl0sc $p |- ( ph
      -> ( G oF .x. ( V X. { .0. } ) ) = ( V X. { .0. } ) ) $=
      ( vk cvv wcel cbs fvexi a1i clmod wf lflf syl2anc crg lmodring ring0cl cv
      syl co wceq ringrz sylan caofid1 ) ARGIICFESFFGSTAGHUAJUBUCAHUDTZEDTGFEUE
      PQBDEFGHUDKMJLUFUGABUHTZIFTAURUSPBHKUIULZFBIMOUJULZVAAUSRUKZFTVBICUMIUNUT
      FBCVBIMNOUOUPUQ $.
  $}

  ${
    lflsc0.v $e |- V = ( Base ` W ) $.
    lflsc0.d $e |- D = ( Scalar ` W ) $.
    lflsc0.k $e |- K = ( Base ` D ) $.
    lflsc0.t $e |- .x. = ( .r ` D ) $.
    lflsc0.o $e |- .0. = ( 0g ` D ) $.
    lflsc0.w $e |- ( ph -> W e. LMod ) $.
    lflsc0.x $e |- ( ph -> X e. K ) $.
    $( The scalar product with the zero functional is the zero functional.
       (Contributed by NM, 7-Oct-2014.)  (New usage is discouraged.) $)
    lflsc0N $p |- ( ph
      -> ( ( V X. { .0. } ) oF .x. ( V X. { X } ) ) = ( V X. { .0. } ) ) $=
      ( csn cxp co cvv wcel cof cbs fvexi a1i crg clmod lmodring syl ofc12 wceq
      ring0cl ringlz syl2anc sneqd xpeq2d eqtrd ) AEHPZQZEGPQCUAREHGCRZPZQURAEH
      GCSDDESTAEFUBIUCUDABUETZHDTAFUFTVANBFJUGUHZDBHKMUKUHOUIAUTUQEAUSHAVAGDTUS
      HUJVBODBCGHKLMULUMUNUOUP $.
  $}

  ${
    $d k G $.  $d k K $.  $d k .1. $.  $d k .x. $.  $d k ph $.
    lfl1sc.v $e |- V = ( Base ` W ) $.
    lfl1sc.d $e |- D = ( Scalar ` W ) $.
    lfl1sc.f $e |- F = ( LFnl ` W ) $.
    lfl1sc.k $e |- K = ( Base ` D ) $.
    lfl1sc.t $e |- .x. = ( .r ` D ) $.
    lfl1sc.i $e |- .1. = ( 1r ` D ) $.
    lfl1sc.w $e |- ( ph -> W e. LMod ) $.
    lfl1sc.g $e |- ( ph -> G e. F ) $.
    $( The (right vector space) scalar product of a functional with one is the
       functional.  (Contributed by NM, 21-Oct-2014.) $)
    lfl1sc $p |- ( ph
      -> ( G oF .x. ( V X. { .1. } ) ) = G ) $=
      ( vk cvv wcel cbs fvexi a1i clmod wf lflf syl2anc cur cv co wceq lmodring
      crg syl ringridm sylan caofid0r ) ARHDCGFSSHSTAHIUAJUBUCAIUDTZFETHGFUEPQB
      EFGHIUDKMJLUFUGDSTADBUHOUBUCABUMTZRUIZGTUTDCUJUTUKAURUSPBIKULUNGBCDUTMNOU
      OUPUQ $.
  $}

  $c LKer $.

  $( Extend class notation with the kernel of a functional (set of vectors
     whose functional value is zero) on a left module or left vector space. $)
  clk $a class LKer $.

  ${
    $d w f $.
    $( Define the kernel of a functional (set of vectors whose functional value
       is zero) on a left module or left vector space.  (Contributed by NM,
       15-Apr-2014.) $)
    df-lkr $a |- LKer = ( w e. _V |-> ( f e. ( LFnl ` w )
      |-> ( `' f " { ( 0g ` ( Scalar ` w ) ) } ) ) ) $.
  $}

  ${
    $d f w F $.  $d w .0. $.  $d f w W $.
    lkrfval.d $e |- D = ( Scalar ` W ) $.
    lkrfval.o $e |- .0. = ( 0g ` D ) $.
    lkrfval.f $e |- F = ( LFnl ` W ) $.
    lkrfval.k $e |- K = ( LKer ` W ) $.
    $( The kernel of a functional.  (Contributed by NM, 15-Apr-2014.)  (Revised
       by Mario Carneiro, 24-Jun-2014.) $)
    lkrfval $p |- ( W e. X -> K = ( f e. F |-> ( `' f " { .0. } ) ) ) $=
      ( vw wcel cvv cv cfv clfn csca c0g eqtr4di ccnv cima cmpt wceq elex fveq2
      csn clk fveq2d sneqd imaeq2d mpteq12dv df-lkr mptfvmpt syl5eq syl ) EFMEN
      MZDBCBOUAZGUGZUBZUCZUDEFUEUQDEUHPVAKBLUTQUHBLOZQPZURVBRPZSPZUGZUBZUCCNEEV
      BEUDZBVCVGCUTVHVCEQPCVBEQUFJTVHVFUSURVHVEGVHVEASPGVHVDASVHVDERPAVBERUFHTU
      IITUJUKULLBUMJUNUOUP $.

    $d f G $.  $d f .0. $.
    $( Value of the kernel of a functional.  (Contributed by NM,
       15-Apr-2014.) $)
    lkrval $p |- ( ( W e. X /\ G e. F )
            -> ( K ` G ) = ( `' G " { .0. } ) ) $=
      ( vf wcel cfv cv ccnv csn cima cvv wceq cmpt lkrfval fveq1d cnvexg imaexg
      syl cnveq imaeq1d eqid fvmptg mpdan sylan9eq ) EFMZCBMZCDNCLBLOZPZGQZRZUA
      ZNZCPZUQRZUMCDUSALBDEFGHIJKUBUCUNVBSMZUTVBTUNVASMVCCBUDVAUQSUEUFLCURVBBSU
      SUOCTUPVAUQUOCUGUHUSUIUJUKUL $.
  $}

  ${
    lkrfval2.v $e |- V = ( Base ` W ) $.
    lkrfval2.d $e |- D = ( Scalar ` W ) $.
    lkrfval2.o $e |- .0. = ( 0g ` D ) $.
    lkrfval2.f $e |- F = ( LFnl ` W ) $.
    lkrfval2.k $e |- K = ( LKer ` W ) $.
    $( Membership in the kernel of a functional.  ( ~ elnlfn analog.)
       (Contributed by NM, 16-Apr-2014.) $)
    ellkr $p |- ( ( W e. Y /\ G e. F )
       -> ( X e. ( K ` G ) <-> ( X e. V /\ ( G ` X ) = .0. ) ) ) $=
      ( wcel wa cfv ccnv csn cima wceq lkrval eleq2d cbs wfn eqid lflf elpreima
      wf wb ffn 3syl fvex elsn anbi2i bitrdi bitrd ) FHOCBOPZGCDQZOGCRISZTZOZGE
      OZGCQZIUAZPZURUSVAGABCDFHIKLMNUBUCURVBVCVDUTOZPZVFUREAUDQZCUICEUEVBVHUJAB
      CVIEFHKVIUFJMUGEVICUKEGUTCUHULVGVEVCVDIGCUMUNUOUPUQ $.

    $d x F $.  $d x G $.  $d x K $.  $d x W $.
    $( Value of the kernel of a functional.  (Contributed by NM,
       15-Apr-2014.) $)
    lkrval2 $p |- ( ( W e. X /\ G e. F ) ->
             ( K ` G ) = { x e. V | ( G ` x ) = .0. } ) $=
      ( wcel cvv cfv cv wceq wa crab elex ellkr abbi2dv df-rab eqtr4di sylan
      cab ) GHOGPOZDCOZDEQZARZDQISZAFUAZSGHUBUIUJTZUKULFOUMTZAUHUNUOUPAUKBCDEFG
      ULPIJKLMNUCUDUMAFUEUFUG $.

    ellkr2.w $e |- ( ph -> W e. Y ) $.
    ellkr2.g $e |- ( ph -> G e. F ) $.
    ellkr2.x $e |- ( ph -> X e. V ) $.
    $( Membership in the kernel of a functional.  (Contributed by NM,
       12-Jan-2015.) $)
    ellkr2 $p |- ( ph -> ( X e. ( K ` G ) <-> ( G ` X ) = .0. ) ) $=
      ( cfv wcel wceq wa wb ellkr syl2anc biantrurd bitr4d ) AHDESTZHFTZHDSJUAZ
      UBZUJAGITDCTUHUKUCPQBCDEFGHIJKLMNOUDUEAUIUJRUFUG $.
  $}

  ${
    lkrcl.v $e |- V = ( Base ` W ) $.
    lkrcl.f $e |- F = ( LFnl ` W ) $.
    lkrcl.k $e |- K = ( LKer ` W ) $.
    $( A member of the kernel of a functional is a vector.  (Contributed by NM,
       16-Apr-2014.) $)
    lkrcl $p |- ( ( W e. Y /\ G e. F /\ X e. ( K ` G ) ) -> X e. V ) $=
      ( wcel cfv wa csca c0g wceq eqid ellkr simprbda 3impa ) EGKZBAKZFBCLKZFDK
      ZUAUBMUCUDFBLENLZOLZPUEABCDEFGUFHUEQUFQIJRST $.
  $}

  ${
    lkrf0.d $e |- D = ( Scalar ` W ) $.
    lkrf0.o $e |- .0. = ( 0g ` D ) $.
    lkrf0.f $e |- F = ( LFnl ` W ) $.
    lkrf0.k $e |- K = ( LKer ` W ) $.
    $( The value of a functional at a member of its kernel is zero.
       (Contributed by NM, 16-Apr-2014.) $)
    lkrf0 $p |- ( ( W e. Y /\ G e. F /\ X e. ( K ` G ) )
          -> ( G ` X ) = .0. ) $=
      ( wcel cfv wceq wa cbs eqid ellkr simplbda 3impa ) EGMZCBMZFCDNMZFCNHOZUB
      UCPUDFEQNZMUEABCDUFEFGHUFRIJKLSTUA $.
  $}

  ${
    lkr0f.d $e |- D = ( Scalar ` W ) $.
    lkr0f.o $e |- .0. = ( 0g ` D ) $.
    lkr0f.v $e |- V = ( Base ` W ) $.
    lkr0f.f $e |- F = ( LFnl ` W ) $.
    lkr0f.k $e |- K = ( LKer ` W ) $.
    $( The kernel of the zero functional is the set of all vectors.
       (Contributed by NM, 17-Apr-2014.) $)
    lkr0f $p |- ( ( W e. LMod /\ G e. F )
             -> ( ( K ` G ) = V <-> G = ( V X. { .0. } ) ) ) $=
      ( clmod wcel wa cfv wceq eqid adantr lkrval csn cxp ccnv cima lflf eqeq1d
      wfn cbs ffnd biimpa wf fvexi fconst2 fconst4 bitr3i sylanbrc ex wi biimpi
      c0g adantl clfn simpr lfl0f eqeltrd syldan sylbir biantrurd mpbird impbid
      ffn bitrd ) FMNZCBNZOZCDPZEQZCEGUAZUBZQZVOVQVTVOVQOCEUGZCUCVRUDZEQZVTVOWA
      VQVOEAUHPZCABCWDEFMHWDRJKUEUISVOVQWCVOVPWBEABCDFMGHIKLTUFUJVTEVRCUKZWAWCO
      ZEGCGAUTIULUMZEGCUNUOZUPUQVMVTVQURVNVMVTVQVMVTOZVQWFVTWFVMVTWFWHUSVAWIVQW
      CWFWIVPWBEVMVTCFVBPZNVPWBQWICVSWJVMVTVCVMVSWJNVTAWJEFGHIJWJRZVDSVEAWJCDFM
      GHIWKLTVFUFWIWAWCVTWAVMVTWEWAWGEVRCVKVGVAVHVLVIUQSVJ $.
  $}

  ${
    $d r x y F $.  $d r x y G $.  $d r x y K $.  $d r x y W $.
    lkrlss.f $e |- F = ( LFnl ` W ) $.
    lkrlss.k $e |- K = ( LKer ` W ) $.
    lkrlss.s $e |- S = ( LSubSp ` W ) $.
    $( The kernel of a linear functional is a subspace.  ( ~ nlelshi analog.)
       (Contributed by NM, 16-Apr-2014.) $)
    lkrlss $p |- ( ( W e. LMod /\ G e. F ) -> ( K ` G ) e. S ) $=
      ( vr vx vy clmod wcel wa cfv cv co wceq eqid syl3anc cbs wss c0 wne cvsca
      cplusg wral csca c0g crab lkrval2 ssrab2 eqsstrdi lmod0vcl lfl0 mpbir2and
      adantr ellkr simplll simplr simpllr simprl lkrcl lmodvscl simprr lmodvacl
      ne0d cmulr syl113anc lkrf0 oveq2d crg lmodring syl ringrz syl2anc oveq12d
      lfli eqtrd lmodfgrp grpidcl grplid syl2anc2 3eqtrd wb ad2antrr ralrimivva
      cgrp ralrimiva islss syl3anbrc ) ELMZCBMZNZCDOZEUAOZUBWOUCUDIPZJPZEUEOZQZ
      KPZEUFOZQZWOMZKWOUGJWOUGZIEUHOZUAOZUGWOAMWNWOWRCOZXFUIOZRZJWPUJWPJXFBCDWP
      ELXIWPSZXFSZXISZFGUKXJJWPULUMWNWOEUIOZWNXNWOMXNWPMZXNCOXIRWLXOWMWPEXNXKXN
      SZUNUQXFBCEXIXNXLXMXPFUOXFBCDWPEXNLXIXKXLXMFGURUPVGWNXEIXGWNWQXGMZNZXDJKW
      OWOXRWRWOMZXAWOMZNZNZXDXCWPMZXCCOZXIRZYBWLWTWPMZXAWPMZYCWLWMXQYAUSZYBWLXQ
      WRWPMZYFYHWNXQYAUTZYBWLWMXSYIYHWLWMXQYAVAZXRXSXTVBZBCDWPEWRLXKFGVCTZWQWSX
      FXGWPEWRXKXLWSSZXGSZVDTYBWLWMXTYGYHYKXRXSXTVEZBCDWPEXALXKFGVCTZXBWPEWTXAX
      KXBSZVFTYBYDWQXHXFVHOZQZXACOZXFUFOZQZXIXIUUBQZXIYBWLWMXQYIYGYDUUCRYHYKYJY
      MYQXFXBUUBWQWSYSBCXGWPEWRXALXKYRXLYNYOUUBSZYSSZFVRVIYBYTXIUUAXIUUBYBYTWQX
      IYSQZXIYBXHXIWQYSYBWLWMXSXJYHYKYLXFBCDEWRLXIXLXMFGVJTVKYBXFVLMZXQUUGXIRYB
      WLUUHYHXFEXLVMVNYJXGXFYSWQXIYOUUFXMVOVPVSYBWLWMXTUUAXIRYHYKYPXFBCDEXALXIX
      LXMFGVJTVQYBXFWHMZXIXGMUUDXIRYBWLUUIYHXFEXLVTVNXGXFXIYOXMWAXGUUBXFXIXIYOU
      UEXMWBWCWDWNXDYCYENWEXQYAXFBCDWPEXCLXIXKXLXMFGURWFUPWGWIIXGXBAWSWOXFWPEJK
      XLYOXKYRYNHWJWK $.
  $}

  ${
    lkrssv.v $e |- V = ( Base ` W ) $.
    lkrssv.f $e |- F = ( LFnl ` W ) $.
    lkrssv.k $e |- K = ( LKer ` W ) $.
    lkrssv.w $e |- ( ph -> W e. LMod ) $.
    lkrssv.g $e |- ( ph -> G e. F ) $.
    $( The kernel of a linear functional is a set of vectors.  (Contributed by
       NM, 1-Jan-2015.) $)
    lkrssv $p |- ( ph -> ( K ` G ) C_ V ) $=
      ( cfv clss wcel wss clmod eqid lkrlss syl2anc lssss syl ) ACDLZFMLZNZUBEO
      AFPNCBNUDJKUCBCDFHIUCQZRSUCUBEFGUETUA $.
  $}

  ${
    $d v G $.  $d v L $.  $d v R $.  $d v .x. $.  $d v V $.  $d v ph $.
    lkrsc.v $e |- V = ( Base ` W ) $.
    lkrsc.d $e |- D = ( Scalar ` W ) $.
    lkrsc.k $e |- K = ( Base ` D ) $.
    lkrsc.t $e |- .x. = ( .r ` D ) $.
    lkrsc.f $e |- F = ( LFnl ` W ) $.
    lkrsc.l $e |- L = ( LKer ` W ) $.
    lkrsc.w $e |- ( ph -> W e. LVec ) $.
    lkrsc.g $e |- ( ph -> G e. F ) $.
    lkrsc.r $e |- ( ph -> R e. K ) $.
    ${
      lkrsc.o $e |- .0. = ( 0g ` D ) $.
      lkrsc.e $e |- ( ph -> R =/= .0. ) $.
      $( The kernel of a nonzero scalar product of a functional equals the
         kernel of the functional.  (Contributed by NM, 9-Oct-2014.) $)
      lkrsc $p |- ( ph -> ( L ` ( G oF .x. ( V X. { R } ) ) ) = ( L ` G ) ) $=
        ( vv csn cxp cof co cfv cv wcel wceq wa cvv cbs fvexi a1i clvec wf lflf
        syl2anc ffnd eqidd ofc2 eqeq1d cdr lvecdrng syl simpr lflcl syl3anc wne
        drngmuleq0 bitrd pm5.32da wb clmod lveclmod lflvscl ellkr 3bitr4d eqrdv
        adantr ) AUCFICUDUEDUFUGZHUHZFHUHZAUCUIZIUJZWFWCUHZKUKZULZWGWFFUHZKUKZU
        LZWFWDUJZWFWEUJZAWGWIWLAWGULZWIWKCDUGZKUKWLWPWHWQKAICWKDFUMGWFIUMUJAIJU
        NLUOUPTAIGFAJUQUJZFEUJZIGFURRSBEFGIJUQMNLPUSUTVAWPWKVBVCVDWPGBDWKCKNUAO
        ABVEUJZWGAWRWTRBJMVFVGWBWPWRWSWGWKGUJAWRWGRWBAWSWGSWBAWGVHBEFGIJWFUQMNL
        PVIVJACGUJWGTWBACKVKWGUBWBVLVMVNAWRWCEUJWNWJVORABCDEFGIJLMNOPAWRJVPUJRJ
        VQVGSTVRBEWCHIJWFUQKLMUAPQVSUTAWRWSWOWMVORSBEFHIJWFUQKLMUAPQVSUTVTWA $.
    $}

    $( The kernel of a scalar product of a functional includes the kernel of
       the functional.  (The inclusion is proper for the zero product and
       equality otherwise.)  (Contributed by NM, 9-Oct-2014.) $)
    lkrscss $p |- ( ph -> ( L ` G ) C_ ( L ` ( G oF .x. ( V X. { R } ) ) ) ) $=
      ( cfv csn cxp cof co wss c0g wceq wa clvec wcel clmod lveclmod syl lkrssv
      eqid lfl0sc fveq2d lfl0f lkr0f syl2anc2 mpbiri eqtr2d sseqtrd adantr sneq
      wb xpeq2d oveq2d adantl sseqtrrd wne simpr lkrsc eqimss2 pm2.61dane ) AFH
      TZFICUAZUBZDUCZUDZHTZUEZCBUFTZACWCUGZUHVPFIWCUAZUBZVSUDZHTZWAAVPWHUEWDAVP
      IWHAEFHIJKOPAJUIUJZJUKUJZQJULUMZRUNAWHWFHTZIAWGWFHABDEFGIJWCKLOMNWCUOZWKR
      UPUQAWLIUGZWFWFUGZWFUOAWJWFEUJWNWOVFWKBEIJWCLWMKOURBEWFHIJWCLWMKOPUSUTVAV
      BVCVDWDWAWHUGAWDVTWGHWDVRWFFVSWDVQWEICWCVEVGVHUQVIVJACWCVKZUHZWAVPUGWBWQB
      CDEFGHIJWCKLMNOPAWIWPQVDAFEUJWPRVDACGUJWPSVDWMAWPVLVMVPWAVNUMVO $.
  $}

  ${
    $d r x z D $.  $d x z F $.  $d r x z G $.  $d r x z H $.  $d r x z V $.
    $d r z K $.  $d x z L $.  $d r z .x. $.  $d x z W $.
    eqlkr.d $e |- D = ( Scalar ` W ) $.
    eqlkr.k $e |- K = ( Base ` D ) $.
    eqlkr.t $e |- .x. = ( .r ` D ) $.
    eqlkr.v $e |- V = ( Base ` W ) $.
    eqlkr.f $e |- F = ( LFnl ` W ) $.
    eqlkr.l $e |- L = ( LKer ` W ) $.
    $( Two functionals with the same kernel are the same up to a constant.
       (Contributed by NM, 18-Apr-2014.) $)
    eqlkr $p |- ( ( W e. LVec /\ ( G e. F /\ H e. F )
           /\ ( L ` G ) = ( L ` H ) )
      -> E. r e. K A. x e. V ( H ` x ) = ( ( G ` x ) .x. r ) ) $=
      ( wcel cfv wceq vz clvec wa w3a cv co wral wrex c0g csn cxp cur crg clmod
      simpl1 lveclmod lmodring eqid ringidcl simp11 simp12l simp3 lflcl syl3anc
      ringridm syl2anc simp2 simp13 wb lkr0f mpbird eqtr3d simp12r mpbid eqtr4d
      syl fveq1d eqtr2d 3expia ralrimiv oveq2 eqeq2d ralbidv rspcev wne simpl2l
      simpr wi simpl2r simpr2 csg cvsca simp22 lflmul syl112anc oveq2d lmodvscl
      lfl1 lflsub lmodvsubcl simp23 3eqtrd cgrp lmodfgrp grpsubid ellkr eleqtrd
      mpbir2and simprd 3adant3 lmodmcl grpsubeq0 3exp2 imp rexlimdv pm2.61dane
      mpd ) JUBRZEDRZFDRZUCZEHSZFHSZTZUDZAUEZFSZYFESZKUEZCUFZTZAIUGZKGUHZEIBUIS
      ZUJUKZYEEYOTZUCZBULSZGRZYGYHYRCUFZTZAIUGZYMYQBUMRZYSYQXRUUCXRYAYDYPUOXRJU
      NRZUUCJUPZBJLUQVPZVPGBYRMYRURZUSVPYQUUAAIYEYPYFIRZUUAYEYPUUHUDZYTYHYGUUIU
      UCYHGRZYTYHTZUUIXRUUCXRYAYDYPUUHUTZUUFVPUUIXRXSUUHUUJUULXSXTXRYDYPUUHVAZY
      EYPUUHVBBDEGIJYFUBLMOPVCZVDGBCYRYHMNUUGVEZVFUUIYFEFUUIEYOFYEYPUUHVGZUUIYC
      ITZFYOTZUUIYBYCIXRYAYDYPUUHVHUUIYBITZYPUUPUUIUUDXSUUSYPVIUUIXRUUDUULUUEVP
      ZUUMBDEHIJYNLYNURZOPQVJVFVKVLUUIUUDXTUUQUURVIUUTXSXTXRYDYPUUHVMBDFHIJYNLU
      VAOPQVJVFVNVOVQVRVSVTYLUUBKYRGYIYRTZYKUUAAIUVBYJYTYGYIYRYHCWAWBWCWDVFYEEY
      OWEZUCZUAUEZESZYRTZUAIUHZYMUVDXRXSUVCUVHXRYAYDUVCUOXSXTXRYDUVCWFYEUVCWGUA
      BYRDEIJYNLUVAUUGOPWRVDUVDUVGYMUAIYEUVCUVEIRZUVGYMWHWHYEUVCUVIUVGYMYEUVCUV
      IUVGUDZUCZUVEFSZGRZYGYHUVLCUFZTZAIUGZYMUVKXRXTUVIUVMXRYAYDUVJUOXSXTXRYDUV
      JWIYEUVCUVIUVGWJBDFGIJUVEUBLMOPVCVDZUVKUVOAIYEUVJUUHUVOYEUVJUUHUDZYGUVNBW
      KSZUFZYNTZUVOUVRYGYHUVEJWLSZUFZFSZUVSUFZUVTYNUVRUWDUVNYGUVSUVRUUDXTUUJUVI
      UWDUVNTUVRXRUUDXRYAYDUVJUUHUTZUUEVPZXSXTXRYDUVJUUHVMZUVRUUDXSUUHUUJUWGXSX
      TXRYDUVJUUHVAZYEUVJUUHVBZBDEGIJYFUNLMOPVCVDZYEUVCUVIUVGUUHWMZBYHUWBCDFGIJ
      UVELMNOUWBURZPWNWOWPUVRYFUWCJWKSZUFZFSZUWEYNUVRUUDXTUUHUWCIRZUWPUWETUWGUW
      HUWJUVRUUDUUJUVIUWQUWGUWKUWLYHUWBBGIJUVEOLUWMMWQVDZBDFUVSUWNIJYFUWCLUVSUR
      ZOUWNURZPWSWOUVRUWOIRZUWPYNTZUVRUWOYCRZUXAUXBUCZUVRUWOYBYCUVRUWOYBRZUXAUW
      OESZYNTZUVRUUDUUHUWQUXAUWGUWJUWRUWNIJYFUWCOUWTWTVDUVRUXFYHUWCESZUVSUFZYHY
      HUVSUFZYNUVRUUDXSUUHUWQUXFUXITUWGUWIUWJUWRBDEUVSUWNIJYFUWCLUWSOUWTPWSWOUV
      RUXHYHYHUVSUVRUXHYHUVFCUFZYTYHUVRUUDXSUUJUVIUXHUXKTUWGUWIUVRXRXSUUHUUJUWF
      UWIUWJUUNVDZUWLBYHUWBCDEGIJUVELMNOUWMPWNWOUVRUVFYRYHCYEUVCUVIUVGUUHXAWPUV
      RUUCUUJUUKUVRXRUUCUWFUUFVPUXLUUOVFXBWPUVRBXCRZUUJUXJYNTUVRXRUXMUWFXRUUDUX
      MUUEBJLXDVPVPZUXLGBUVSYHYNMUVAUWSXEVFXBUVRXRXSUXEUXAUXGUCVIUWFUWIBDEHIJUW
      OUBYNOLUVAPQXFVFXHXRYAYDUVJUUHVHXGUVRXRXTUXCUXDVIUWFUWHBDFHIJUWOUBYNOLUVA
      PQXFVFVNXIVLVLUVRUXMYGGRZUVNGRZUWAUVOVIUXNUVRXRXTUUHUXOUWFUWHUWJBDFGIJYFU
      BLMOPVCVDUVRUUDUUJUVMUXPUWGUXLYEUVJUVMUUHUVQXJCBGJYHUVLLMNXKVDGBUVSYGUVNY
      NMUVAUWSXLVDVNVSVTYLUVPKUVLGYIUVLTZYKUVOAIUXQYJUVNYGYIUVLYHCWAWBWCWDVFXMX
      NXOXQXP $.

    $d r F $.  $d x K $.  $d r L $.  $d x .x. $.  $d r W $.
    $( Two functionals with the same kernel are the same up to a constant.
       (Contributed by NM, 10-Oct-2014.) $)
    eqlkr2 $p |- ( ( W e. LVec /\ ( G e. F /\ H e. F )
           /\ ( L ` G ) = ( L ` H ) )
      -> E. r e. K H = ( G oF .x. ( V X. { r } ) ) ) $=
      ( vx wcel cfv wceq clvec wa w3a cv csn cxp cof co wrex wral eqlkr cvv cbs
      fvexi a1i wf simpl1 simpl2l lflf syl2anc ffnd wfn vex fnconstg mp1i eqidd
      simpl2r fvconst2 adantl offveqb rexbidva mpbird ) IUARZDCRZECRZUBZDGSEGST
      ZUCZEDHJUDZUEUFZBUGUHTZJFUIQUDZESWBDSZVSBUHTQHUJZJFUIQABCDEFGHIJKLMNOPUKV
      RWAWDJFVRVSFRZUBZQHWCVSBDVTEULHULRWFHIUMNUNUOWFHFDWFVMVNHFDUPVMVPVQWEUQZV
      NVOVMVQWEURACDFHIUAKLNOUSUTVAVSULRVTHVBWFJVCZHVSULVDVEWFHFEWFVMVOHFEUPWGV
      NVOVMVQWEVGACEFHIUAKLNOUSUTVAWFWBHRZUBWCVFWIWBVTSVSTWFHVSWBWHVHVIVJVKVL
      $.
  $}

  ${
    $d x F $.  $d r x G $.  $d r x H $.  $d x K $.  $d r R $.  $d r x S $.
    $d r x V $.  $d x W $.  $d x X $.  $d r x ph $.
    eqlkr3.v $e |- V = ( Base ` W ) $.
    eqlkr3.s $e |- S = ( Scalar ` W ) $.
    eqlkr3.r $e |- R = ( Base ` S ) $.
    eqlkr3.o $e |- .0. = ( 0g ` S ) $.
    eqlkr3.f $e |- F = ( LFnl ` W ) $.
    eqlkr3.k $e |- K = ( LKer ` W ) $.
    eqlkr3.w $e |- ( ph -> W e. LVec ) $.
    eqlkr3.x $e |- ( ph -> X e. V ) $.
    eqlkr3.g $e |- ( ph -> G e. F ) $.
    eqlkr3.h $e |- ( ph -> H e. F ) $.
    eqlkr3.e $e |- ( ph -> ( K ` G ) = ( K ` H ) ) $.
    eqlkr3.a $e |- ( ph -> ( G ` X ) = ( H ` X ) ) $.
    eqlkr3.n $e |- ( ph -> ( G ` X ) =/= .0. ) $.
    $( Two functionals with the same kernel are equal if they are equal at any
       nonzero value.  (Contributed by NM, 2-Jan-2015.) $)
    eqlkr3 $p |- ( ph -> G = H ) $=
      ( vx vr clvec wcel wf lflf syl2anc ffnd cv wa cfv cmulr co wceq wral wrex
      cur eqid eqlkr syl121anc wi adantr fveq2 oveq1d eqeq12d rspcv cinvr simpr
      syl eqtr2d oveq2d cdr wne lvecdrng lflcl syl3anc drnginvrl clmod lveclmod
      lmodring drnginvrcl ringass syl13anc ringlidm 3eqtr3d syld ancrd reximdva
      crg ex mpd ringidcl oveq2 eqeq2d ralbidv ceqsrexv mpbid r19.21bi ringridm
      wb eqfnfvd ) AUEHEFAHBEAIUGUHZEDUHZHBEUIRTCDEBHIUGMNLPUJUKULAHBFAXFFDUHZH
      BFUIRUACDFBHIUGMNLPUJUKULAUEUMZHUHZUNZXIFUOZXIEUOZCVAUOZCUPUOZUQZXMAXLXPU
      RZUEHAUFUMZXNURZXLXMXRXOUQZURZUEHUSZUNZUFBUTZXQUEHUSZAYBUFBUTZYDAXFXGXHEG
      UOFGUOURYFRTUAUBUECXODEFBGHIUFMNXOVBZLPQVCVDAYBYCUFBAXRBUHZUNZYBXSYIYBJFU
      OZJEUOZXRXOUQZURZXSYIJHUHZYBYMVEAYNYHSVFYAYMUEJHXIJURZXLYJXTYLXIJFVGYOXMY
      KXRXOXIJEVGVHVIVJVMYIYMXSYIYMUNZYKCVKUOZUOZYLXOUQZYRYKXOUQZXRXNYPYLYKYRXO
      YPYKYJYLYIYKYJURZYMAUUAYHUCVFVFYIYMVLVNVOYIYSXRURYMYIYTXRXOUQZXNXRXOUQZYS
      XRYIYTXNXRXOYICVPUHZYKBUHZYKKVQZYTXNURZAUUDYHAXFUUDRCIMVRVMVFZAUUEYHAXFXG
      YNUUERTSCDEBHIJUGMNLPVSVTVFZAUUFYHUDVFZBCXOXNYQYKKNOYGXNVBZYQVBZWAVTZVHYI
      CWMUHZYRBUHZUUEYHUUBYSURAUUNYHAIWBUHZUUNAXFUUPRIWCVMZCIMWDZVMZVFZYIUUDUUE
      UUFUUOUUHUUIUUJBCYQYKKNOUULWEVTUUIAYHVLZBCXOYRYKXRNYGWFWGYIUUNYHUUCXRURUU
      TUVABCXOXNXRNYGUUKWHUKWIVFYIUUGYMUUMVFWIWNWJWKWLWOAXNBUHZYDYEXDAUUNUVBUUS
      BCXNNUUKWPVMYBYEUFXNBXSYAXQUEHXSXTXPXLXRXNXMXOWQWRWSWTVMXAXBXKUUNXMBUHZXP
      XMURXKUUPUUNAUUPXJUUQVFUURVMXKXFXGXJUVCAXFXJRVFAXGXJTVFAXJVLCDEBHIXIUGMNL
      PVSVTBCXOXNXMNYGUUKXCUKVNXE $.
  $}

  ${
    $d u F $.  $d u G $.  $d u K $.  $d u N $.  $d u V $.  $d u W $.  $d u X $.
    $d u .(+) $.  $d u .0. $.
    lkrlsp.d $e |- D = ( Scalar ` W ) $.
    lkrlsp.o $e |- .0. = ( 0g ` D ) $.
    lkrlsp.v $e |- V = ( Base ` W ) $.
    lkrlsp.n $e |- N = ( LSpan ` W ) $.
    lkrlsp.p $e |- .(+) = ( LSSum ` W ) $.
    lkrlsp.f $e |- F = ( LFnl ` W ) $.
    lkrlsp.k $e |- K = ( LKer ` W ) $.
    $( The subspace sum of a kernel and the span of a vector not in the kernel
       (by ~ ellkr ) is the whole vector space.  (Contributed by NM,
       19-Apr-2014.) $)
    lkrlsp $p |- ( ( W e. LVec /\ ( X e. V /\ G e. F )
        /\ ( G ` X ) =/= .0. ) -> ( ( K ` G ) .(+) ( N ` { X } ) ) = V ) $=
      ( wcel cfv co vu clvec wa wne w3a csn clss clmod lveclmod 3ad2ant1 simp2r
      wss eqid lkrlss syl2anc simp2l lspsncl lsmcl syl3anc lssss cv cinvr cmulr
      syl cvsca csg cplusg wceq simpl1 simpr cbs crg lmodring simpl2r lflcl cdr
      lvecdrng simpl2l simpl3 drnginvrcl ringcl lmodvscl csubg lsssssubg adantr
      lmodvnpcan sseldd lmodvsubcl lflsub syl112anc lflmul ringass syl13anc cur
      drnginvrl oveq2d ringridm eqtrd cgrp lmodfgrp grpsubid wb ellkr mpbir2and
      3eqtrd lspsneli lsmelvali syl22anc eqeltrrd eqelssd ) HUBRZIGRZDCRZUCZIDS
      ZJUDZUEZUADESZIUFFSZBTZGXQXTHUGSZRZXTGULXQHUHRZXRYARZXSYARZYBXKXNYCXPHUIZ
      UJZXQYCXMYDYGXKXLXMXPUKYACDEHPQYAUMZUNUOZXQYCXLYEYGXKXLXMXPUPYAFGHIMYHNUQ
      UOZBYAXRXSHYHOURUSYAXTGHMYHUTVDXQUAVAZGRZUCZYKYKDSZXOAVBSZSZAVCSZTZIHVESZ
      TZHVFSZTZYTHVGSZTZYKXTYMYCYLYTGRZUUDYKVHYMXKYCXKXNXPYLVIZYFVDZXQYLVJZYMYC
      YRAVKSZRZXLUUEUUGYMAVLRZYNUUIRZYPUUIRZUUJYMYCUUKUUGAHKVMVDZYMXKXMYLUULUUF
      XLXMXKXPYLVNZUUHACDUUIGHYKUBKUUIUMZMPVOUSZYMAVPRZXOUUIRZXPUUMYMXKUURUUFAH
      KVQVDZYMXKXMXLUUSUUFUUOXLXMXKXPYLVRZACDUUIGHIUBKUUPMPVOUSZXKXNXPYLVSZUUIA
      YOXOJUUPLYOUMZVTUSZUUIAYQYNYPUUPYQUMZWAUSZUVAYRYSAUUIGHIMKYSUMZUUPWBUSZYK
      YTUUCUUAGHMUUCUMZUUAUMZWFUSYMXRHWCSZRXSUVLRUUBXRRZYTXSRUUDXTRYMYAUVLXRYMY
      CYAUVLULUUGYAHYHWDVDZXQYDYLYIWEWGYMYAUVLXSUVNXQYEYLYJWEWGYMUVMUUBGRZUUBDS
      ZJVHZYMYCYLUUEUVOUUGUUHUVIUUAGHYKYTMUVKWHUSYMUVPYNYTDSZAVFSZTZYNYNUVSTZJY
      MYCXMYLUUEUVPUVTVHUUGUUOUUHUVIACDUVSUUAGHYKYTKUVSUMZMUVKPWIWJYMUVRYNYNUVS
      YMUVRYRXOYQTZYNYPXOYQTZYQTZYNYMYCXMUUJXLUVRUWCVHUUGUUOUVGUVAAYRYSYQCDUUIG
      HIKUUPUVFMUVHPWKWJYMUUKUULUUMUUSUWCUWEVHUUNUUQUVEUVBUUIAYQYNYPXOUUPUVFWLW
      MYMUWEYNAWNSZYQTZYNYMUWDUWFYNYQYMUURUUSXPUWDUWFVHUUTUVBUVCUUIAYQUWFYOXOJU
      UPLUVFUWFUMZUVDWOUSWPYMUUKUULUWGYNVHUUNUUQUUIAYQUWFYNUUPUVFUWHWQUOWRXEWPY
      MAWSRZUULUWAJVHYMYCUWIUUGAHKWTVDUUQUUIAUVSYNJUUPLUWBXAUOXEYMXKXMUVMUVOUVQ
      UCXBUUFUUOACDEGHUUBUBJMKLPQXCUOXDYMYRYSAUUIFGHIMUVHKUUPNUUGUVGUVAXFUUCBXR
      XSHUUBYTUVJOXGXHXIXJ $.
  $}

  ${
    lkrlsp2.v $e |- V = ( Base ` W ) $.
    lkrlsp2.n $e |- N = ( LSpan ` W ) $.
    lkrlsp2.p $e |- .(+) = ( LSSum ` W ) $.
    lkrlsp2.f $e |- F = ( LFnl ` W ) $.
    lkrlsp2.k $e |- K = ( LKer ` W ) $.
    $( The subspace sum of a kernel and the span of a vector not in the kernel
       is the whole vector space.  (Contributed by NM, 12-May-2014.) $)
    lkrlsp2 $p |- ( ( W e. LVec /\ ( X e. V /\ G e. F )
        /\ -. X e. ( K ` G ) ) -> ( ( K ` G ) .(+) ( N ` { X } ) ) = V ) $=
      ( clvec wcel wa cfv wn wceq eqid c0g wne csn co w3a simp2l simp3 wb simp1
      simp2r ellkr syl2anc mpbir2and 3expia necon3bd 3impia lkrlsp syld3an3
      csca ) GNOZHFOZCBOZPZHCDQZOZRZHCQZGUSQZUAQZUBZVDHUCEQAUDFSUTVCVFVJUTVCPVE
      VGVIUTVCVGVISZVEUTVCVKUEZVEVAVKUTVAVBVKUFUTVCVKUGVLUTVBVEVAVKPUHUTVCVKUIU
      TVAVBVKUJVHBCDFGHNVIIVHTZVITZLMUKULUMUNUOUPVHABCDEFGHVIVMVNIJKLMUQUR $.
  $}

  ${
    lkrlsp3.v $e |- V = ( Base ` W ) $.
    lkrlsp3.n $e |- N = ( LSpan ` W ) $.
    lkrlsp3.f $e |- F = ( LFnl ` W ) $.
    lkrlsp3.k $e |- K = ( LKer ` W ) $.
    $( The subspace sum of a kernel and the span of a vector not in the kernel
       is the whole vector space.  (Contributed by NM, 29-Jun-2014.) $)
    lkrlsp3 $p |- ( ( W e. LVec /\ ( X e. V /\ G e. F )
        /\ -. X e. ( K ` G ) ) -> ( N ` ( ( K ` G ) u. { X } ) ) = V ) $=
      ( clvec wcel cfv cun wceq eqid syl2anc wss syl3anc wa wn w3a csn co clmod
      clsm clss lveclmod 3ad2ant1 simp2r lkrlss lspid uneq1d fveq2d snssd lspun
      lkrssv simp2l lspsncl lsmsp 3eqtr4d lkrlsp2 eqtrd ) FLMZGEMZBAMZUAZGBCNZM
      UBZUCZVIGUDZODNZVIVLDNZFUGNZUEZEVKVIDNZVNOZDNZVIVNOZDNZVMVPVKVRVTDVKVQVIV
      NVKFUFMZVIFUHNZMZVQVIPVEVHWBVJFUIUJZVKWBVGWDWEVEVFVGVJUKZWCABCFJKWCQZULRZ
      WCVIDFWGIUMRUNUOVKWBVIESVLESVMVSPWEVKABCEFHJKWEWFURVKGEVEVFVGVJUSZUPVIVLD
      EFHIUQTVKWBWDVNWCMZVPWAPWEWHVKWBVFWJWEWIWCDEFGHWGIUTRVOWCVIVNDFWGIVOQZVAT
      VBVOABCDEFGHIWKJKVCVD $.
  $}

  ${
    $d v .0. $.  $d v D $.  $d v F $.  $d v G $.  $d v K $.  $d v V $.
    $d v W $.
    lkrshp.v $e |- V = ( Base ` W ) $.
    lkrshp.d $e |- D = ( Scalar ` W ) $.
    lkrshp.z $e |- .0. = ( 0g ` D ) $.
    lkrshp.h $e |- H = ( LSHyp ` W ) $.
    lkrshp.f $e |- F = ( LFnl ` W ) $.
    lkrshp.k $e |- K = ( LKer ` W ) $.
    $( The kernel of a nonzero functional is a hyperplane.  (Contributed by NM,
       29-Jun-2014.) $)
    lkrshp $p |- ( ( W e. LVec /\ G e. F /\ G =/= ( V X. { .0. } ) )
          -> ( K ` G ) e. H ) $=
      ( vv clvec wcel wne cfv wceq csn cxp w3a clss cv cun clspn clmod lveclmod
      wrex 3ad2ant1 simp2 eqid lkrlss syl2anc simp3 lkr0f necon3bid mpbird lfl1
      wb cur wn simp11 simp12 cdr lvecdrng drngunz 3syl eqnetrd simpl11 simpl12
      simpr lkrf0 syl3anc necon3ad mpd lkrlsp3 syl121anc 3expia reximdva islshp
      wa ex mpbir3and ) GPQZCBQZCFHUAUBZRZUCZCESZDQZWKGUDSZQZWKFRZWKOUEZUAUFGUG
      SZSFTZOFUJZWJGUHQZWGWNWFWGWTWIGUIUKZWFWGWIULZWMBCEGMNWMUMZUNUOWJWOWIWFWGW
      IUPWJWKFCWHWJWTWGWKFTCWHTVAXAXBABCEFGHJKIMNUQUOURUSWJWPCSZAVBSZTZOFUJWSOA
      XEBCFGHJKXEUMZIMUTWJXFWROFWJWPFQZXFWRWJXHXFUCZWFXHWGWPWKQZVCZWRWFWGWIXHXF
      VDZWJXHXFULWFWGWIXHXFVEXIXDHRXKXIXDXEHWJXHXFUPXIWFAVFQXEHRXLAGJVGAXEHKXGV
      HVIVJXIXJXDHXIXJXDHTZXIXJWCWFWGXJXMWFWGWIXHXFXJVKWFWGWIXHXFXJVLXIXJVMABCE
      GWPPHJKMNVNVOWDVPVQBCEWQFGWPIWQUMZMNVRVSVTWAVQWFWGWLWNWOWSUCVAWIOWMWKDWQF
      GPIXNXCLWBUKWE $.
  $}

  ${
    lkrshp3.v $e |- V = ( Base ` W ) $.
    lkrshp3.d $e |- D = ( Scalar ` W ) $.
    lkrshp3.o $e |- .0. = ( 0g ` D ) $.
    lkrshp3.h $e |- H = ( LSHyp ` W ) $.
    lkrshp3.f $e |- F = ( LFnl ` W ) $.
    lkrshp3.k $e |- K = ( LKer ` W ) $.
    lkrshp3.w $e |- ( ph -> W e. LVec ) $.
    lkrshp3.g $e |- ( ph -> G e. F ) $.
    $( The kernels of nonzero functionals are hyperplanes.  (Contributed by NM,
       17-Jul-2014.) $)
    lkrshp3 $p |- ( ph -> ( ( K ` G ) e. H <-> G =/= ( V X. { .0. } ) ) ) $=
      ( wcel wne adantr cfv csn cxp wa clmod clvec lveclmod syl simpr lshpne wb
      wceq lkr0f syl2anc necon3bid mpbid lkrshp syl3anc impbida ) ADFUAZERZDGIU
      BUCZSZAVAUDZUTGSVCVDUTEGHJMAHUERZVAAHUFRZVEPHUGUHZTAVAUIUJVDUTGDVBAUTGULD
      VBULUKZVAAVEDCRZVHVGQBCDFGHIKLJNOUMUNTUOUPAVCUDVFVIVCVAAVFVCPTAVIVCQTAVCU
      IBCDEFGHIJKLMNOUQURUS $.
  $}

  ${
    lkrshpor.v $e |- V = ( Base ` W ) $.
    lkrshpor.h $e |- H = ( LSHyp ` W ) $.
    lkrshpor.f $e |- F = ( LFnl ` W ) $.
    lkrshpor.k $e |- K = ( LKer ` W ) $.
    lkrshpor.w $e |- ( ph -> W e. LVec ) $.
    lkrshpor.g $e |- ( ph -> G e. F ) $.
    $( The kernel of a functional is either a hyperplane or the full vector
       space.  (Contributed by NM, 7-Oct-2014.) $)
    lkrshpor $p |- ( ph -> ( ( K ` G ) e. H \/ ( K ` G ) = V ) ) $=
      ( cfv wcel wceq wo wa eqid adantr c0g csn cxp clmod wb clvec lveclmod syl
      csca lkr0f syl2anc biimpar olcd wne simpr lkrshp syl3anc orcd pm2.61dane
      ) ACENZDOZUTFPZQCFGUINZUANZUBUCZACVEPZRVBVAAVBVFAGUDOZCBOZVBVFUEAGUFOZVGL
      GUGUHMVCBCEFGVDVCSZVDSZHJKUJUKULUMACVEUNZRZVAVBVMVIVHVLVAAVIVLLTAVHVLMTAV
      LUOVCBCDEFGVDHVJVKIJKUPUQURUS $.
  $}

  ${
    lkrshp4.v $e |- V = ( Base ` W ) $.
    lkrshp4.h $e |- H = ( LSHyp ` W ) $.
    lkrshp4.f $e |- F = ( LFnl ` W ) $.
    lkrshp4.k $e |- K = ( LKer ` W ) $.
    lkrshp4.w $e |- ( ph -> W e. LVec ) $.
    lkrshp4.g $e |- ( ph -> G e. F ) $.
    $( A kernel is a hyperplane iff it doesn't contain all vectors.
       (Contributed by NM, 1-Nov-2014.) $)
    lkrshp4 $p |- ( ph -> ( ( K ` G ) =/= V <-> ( K ` G ) e. H ) ) $=
      ( cfv wne wcel wceq wo wi lkrshpor orcomd neor sylib clmod clvec lveclmod
      wa syl adantr simpr lshpne ex impbid ) ACENZFOZUNDPZAUNFQZUPRUOUPSAUPUQAB
      CDEFGHIJKLMTUAUPUNFUBUCAUPUOAUPUGUNDFGHIAGUDPZUPAGUEPURLGUFUHUIAUPUJUKULU
      M $.
  $}

  ${
    $d a b c k l y z .+ $.  $d b D $.  $d a b c k l z K $.  $d b c z N $.
    $d a b c k l y z .x. $.  $d a b c k l y z U $.  $d b V $.  $d b c z W $.
    $d a b c k l y z X $.  $d a b c k l y z Z $.  $d a b c l z ph $.
    lshpsmreu.v $e |- V = ( Base ` W ) $.
    lshpsmreu.a $e |- .+ = ( +g ` W ) $.
    lshpsmreu.n $e |- N = ( LSpan ` W ) $.
    lshpsmreu.p $e |- .(+) = ( LSSum ` W ) $.
    lshpsmreu.h $e |- H = ( LSHyp ` W ) $.
    lshpsmreu.w $e |- ( ph -> W e. LVec ) $.
    lshpsmreu.u $e |- ( ph -> U e. H ) $.
    lshpsmreu.z $e |- ( ph -> Z e. V ) $.
    lshpsmreu.x $e |- ( ph -> X e. V ) $.
    lshpsmreu.e $e |- ( ph -> ( U .(+) ( N ` { Z } ) ) = V ) $.
    lshpsmreu.d $e |- D = ( Scalar ` W ) $.
    lshpsmreu.k $e |- K = ( Base ` D ) $.
    lshpsmreu.t $e |- .x. = ( .s ` W ) $.
    $( Lemma for ~ lshpkrex .  Show uniqueness of ring multiplier ` k ` when a
       vector ` X ` is broken down into components, one in a hyperplane and the
       other outside of it .  TODO: do we need the ~ cbvrexv for ` a ` to
       ` c ` ?  (Contributed by NM, 4-Jan-2015.) $)
    lshpsmreu $p |- ( ph -> E! k e. K E. y e. U X = ( y .+ ( k .x. Z ) ) ) $=
      ( vc vb vl vz va cv co wceq wrex wreu wa weq wral csn wcel eleqtrrd csubg
      wi cfv wb clss clmod wss clvec lveclmod syl eqid lsssssubg lshplss sseldd
      lspsncl syl2anc lsmelval wex df-rex lspsnel anbi1d r19.41v bitr4di exbidv
      mpbid rexcom4 ovex oveq2 eqeq2d ceqsexv rexbii bitr3i bitrdi syl5bb sylib
      rexbidv rexcom oveq1 cbvrexvw w3a c0g ccntz simp11l lshpdisj cabl lmodabl
      cin ablcntzd simp12 simp2 simp1rl 3ad2ant1 lspsneli simp1rr simp13 eqtr3d
      simp3 subgdisj2 lshpne0 lvecvscan2 rexlimdv3a syl5bi impd ralrimivva reu4
      oveq2d sylanbrc cbvreuvw reubii bitri ) ANUIUNZUJUNZOFUOZDUOZUPZUIGUQZUJJ
      URZNBUNZHUNZOFUOZDUOZUPZBGUQZHJURZAYTUJJUQZYTNYOUKUNZOFUOZDUOZUPZUIGUQZUS
      UJUKUTZVFZUKJVAUJJVAUUAAYSUJJUQZUIGUQZUUIANYOULUNZDUOZUPZULOVBKVGZUQZUIGU
      QZUURANGUVBEUOZVCZUVDANLUVEUDUEVDAGMVEVGZVCZUVBUVGVCZUVFUVDVHAMVIVGZUVGGA
      MVJVCZUVJUVGVKAMVLVCZUVKUAMVMZVNZUVJMUVJVOZVPVNZAUVJGIMUVOTUVNUBVQVRZAUVJ
      UVGUVBUVPAUVKOLVCZUVBUVJVCUVNUCUVJKLMOPUVORVSVTVRZUIULDEGUVBMNQSWAVTWIAUV
      CUUQUIGUVCUUSUVBVCZUVAUSZULWBZAUUQUVAULUVBWCAUWBUUSYQUPZUVAUSZUJJUQZULWBZ
      UUQAUWAUWEULAUWAUWCUJJUQZUVAUSUWEAUVTUWGUVAAUVKUVRUVTUWGVHUVNUCFUUSUJCJKL
      MOUFUGPUHRWDVTWEUWCUVAUJJWFWGWHUWFUWDULWBZUJJUQUUQUWDUJULJWJUWHYSUJJUVAYS
      ULYQYPOFWKUWCUUTYRNUUSYQYODWLWMWNWOWPWQWRWTWIYSUIUJGJXAWSAUUPUJUKJJAYPJVC
      ZUUJJVCZUSZUSZYTUUNUUOYTNUMUNZYQDUOZUPZUMGUQUWLUUNUUOVFZYSUWOUIUMGUIUMUTY
      RUWNNYOUWMYQDXBWMXCUWLUWOUWPUMGUWLUWMGVCZUWOXDZUUMUUOUIGUWRYOGVCZUUMXDZYQ
      UUKUPUUOUWTUWMYQYOUUKDGUVBMMXEVGZMXFVGZQUXAVOZUXBVOZUWTAUVHAUWKUWQUWOUWSU
      UMXGZUVQVNZUWTAUVIUXEUVSVNZUWTAGUVBXKUXAVBUPUXEAEGIKLMOUXAPUXCRSTUAUBUCUE
      XHVNUWTGUVBMUXBUXDUWTUVKMXIVCUWTUVLUVKUWTAUVLUXEUAVNZUVMVNZMXJVNUXFUXGXLU
      WLUWQUWOUWSUUMXMUWRUWSUUMXNUWTYPFCJKLMOPUHUFUGRUXIUWRUWSUWIUUMUWIUWJAUWQU
      WOXOXPZUWTAUVRUXEUCVNZXQUWTUUJFCJKLMOPUHUFUGRUXIUWRUWSUWJUUMUWIUWJAUWQUWO
      XRXPZUXKXQUWTNUWNUULUWLUWQUWOUWSUUMXSUWRUWSUUMYAXTYBUWTYPUUJFCJLMOUXAPUHU
      FUGUXCUXHUXJUXLUXKUWTEGIKLMOUXAPRSTUXCUXIUWTAGIVCUXEUBVNUXKUWTAUVELUPUXEU
      EVNYCYDWIYEYEYFYGYHYTUUNUJUKJUUOYSUUMUIGUUOYRUULNUUOYQUUKYODYPUUJOFXBYJWM
      WTYIYKUUANYOUUDDUOZUPZUIGUQZHJURUUHYTUXOUJHJUJHUTZYSUXNUIGUXPYRUXMNUXPYQU
      UDYODYPUUCOFXBYJWMWTYLUXOUUGHJUXNUUFUIBGUIBUTUXMUUENYOUUBUUDDXBWMXCYMYNWS
      $.
  $}

  ${
    $d b k x y .+ $.  $d k x K $.  $d b k .0. $.  $d b k x y .x. $.
    $d b k x y U $.  $d x V $.  $d b k x y X $.  $d b k x y Z $.  $d b ph $.
    lshpkrlem.v $e |- V = ( Base ` W ) $.
    lshpkrlem.a $e |- .+ = ( +g ` W ) $.
    lshpkrlem.n $e |- N = ( LSpan ` W ) $.
    lshpkrlem.p $e |- .(+) = ( LSSum ` W ) $.
    lshpkrlem.h $e |- H = ( LSHyp ` W ) $.
    lshpkrlem.w $e |- ( ph -> W e. LVec ) $.
    lshpkrlem.u $e |- ( ph -> U e. H ) $.
    lshpkrlem.z $e |- ( ph -> Z e. V ) $.
    lshpkrlem.x $e |- ( ph -> X e. V ) $.
    lshpkrlem.e $e |- ( ph -> ( U .(+) ( N ` { Z } ) ) = V ) $.
    lshpkrlem.d $e |- D = ( Scalar ` W ) $.
    lshpkrlem.k $e |- K = ( Base ` D ) $.
    lshpkrlem.t $e |- .x. = ( .s ` W ) $.
    lshpkrlem.o $e |- .0. = ( 0g ` D ) $.
    lshpkrlem.g $e |- G = ( x e. V |->
        ( iota_ k e. K E. y e. U x = ( y .+ ( k .x. Z ) ) ) ) $.
    $( Lemma for ~ lshpkrex .  The value of tentative functional ` G ` is zero
       iff its argument belongs to hyperplane ` U ` .  (Contributed by NM,
       14-Jul-2014.) $)
    lshpkrlem1 $p |- ( ph -> ( X e. U <-> ( G ` X ) = .0. ) ) $=
      ( vb cv co wceq wrex crio wcel wreu wb clmod cgrp clvec lveclmod lmodfgrp
      cfv syl grpidcl 3syl lshpsmreu oveq1 oveq2d eqeq2d rexbidv riota2 syl2anc
      wa simpr eqidd eqeq2 rspcev ex wi eleq1a a1i rexlimdv impbid eqid lmod0vs
      c0g adantr clss lshplss lssel sylan lmod0vrid eqtrd bicomd rexbidva bitrd
      eqeq1 riotabidv riotaex fvmpt cbvrexvw riotabiia eqtrdi eqeq1d 3bitr4d )
      APUNUOZQRGUPZEUPZUQZUNHURZPXLIUOZRGUPZEUPZUQZUNHURZILUSZQUQZPHUTZPJVHZQUQ
      AQLUTZYAILVAXPYCVBAOVCUTZDVDUTYFAOVEUTZYGUDOVFZVIZDOUIVGLDQUJULVJVKAUNDEF
      GHIKLMNOPRSTUAUBUCUDUEUFUGUHUIUJUKVLYAXPILQXQQUQZXTXOUNHYKXSXNPYKXRXMXLEX
      QQRGVMVNVOVPVQVRAYDPXLUQZUNHURZXPAYDYMAYDYMAYDVSZYDPPUQZYMAYDVTYNPWAYLYOU
      NPHXLPPWBWCVRWDAYLYDUNHXLHUTZYLYDWEWEAXLHPWFWGWHWIAYLXOUNHAYPVSZXOYLYQXNX
      LPYQXNXLOWLVHZEUPZXLYQXMYRXLEAXMYRUQZYPAYGRNUTYTYJUFGDQNORYRSUIUKULYRWJZW
      KVRWMVNYQYGXLNUTZYSXLUQYQYHYGAYHYPUDWMYIVIAHOWNVHZUTYPUUBAUUCHKOUUCWJZUCY
      JUEWOUUCHNOXLSUUDWPWQENOXLYRSTUUAWRVRWSVOWTXAXBAYEYBQAPNUTZYEYBUQUGUUEYEP
      CUOZXREUPZUQZCHURZILUSZYBBPBUOZUUGUQZCHURZILUSUUJNJUUKPUQZUUMUUIILUUNUULU
      UHCHUUKPUUGXCVPXDUMUUIILXEXFUUIYAILUUIYAVBXQLUTUUHXTCUNHUUFXLUQUUGXSPUUFX
      LXREVMVOXGWGXHXIVIXJXK $.

    $( Lemma for ~ lshpkrex .  The value of tentative functional ` G ` is a
       scalar.  (Contributed by NM, 16-Jul-2014.) $)
    lshpkrlem2 $p |- ( ph -> ( G ` X ) e. K ) $=
      ( cfv cv co wceq wrex crio wcel eqeq1 rexbidv riotabidv riotaex fvmpt syl
      wreu lshpsmreu riotacl eqeltrd ) APJUNZPCUOIUORGUPEUPZUQZCHURZILUSZLAPNUT
      VKVOUQUGBPBUOZVLUQZCHURZILUSVONJVPPUQZVRVNILVSVQVMCHVPPVLVAVBVCUMVNILVDVE
      VFAVNILVGVOLUTACDEFGHIKLMNOPRSTUAUBUCUDUEUFUGUHUIUJUKVHVNILVIVFVJ $.

    $d l z .+ $.  $d l z G $.  $d l K $.  $d l z U $.  $d l z X $.  $d l z Z $.
    $d k l x y z $.  $d l z .x. $.
    $( Lemma for ~ lshpkrex .  Defining property of ` G `` X ` .  (Contributed
       by NM, 15-Jul-2014.) $)
    lshpkrlem3 $p |- ( ph -> E. z e. U X = ( z .+ ( ( G ` X ) .x. Z ) ) ) $=
      ( vl cv co wceq wrex cfv wsbc crio wreu lshpsmreu riotasbc syl wcel eqeq1
      rexbidv riotabidv cmpt weq oveq1 oveq2d eqeq2d cbvrexvw bitrdi cbvriotavw
      wb mpteq2i eqtri riotaex fvmpt dfsbcq 3syl mpbird fvex sbcie sylib ) AQDU
      PZUOUPZSHUQZFUQZURZDIUSZUOQKUTZVAZQWJWPSHUQZFUQZURZDIUSZAWQWOUOWOUOMVBZVA
      ZAWOUOMVCXCADEFGHIUOLMNOPQSTUAUBUCUDUEUFUGUHUIUJUKULVDWOUOMVEVFAQOVGWPXBU
      RWQXCVSUHBQBUPZWMURZDIUSZUOMVBZXBOKXDQURZXFWOUOMXHXEWNDIXDQWMVHVIVJKBOXDC
      UPZJUPZSHUQZFUQZURZCIUSZJMVBZVKBOXGVKUNBOXOXGXNXFJUOMJUOVLZXNXDXIWLFUQZUR
      ZCIUSXFXPXMXRCIXPXLXQXDXPXKWLXIFXJWKSHVMVNVOVIXRXECDICDVLXQWMXDXIWJWLFVMV
      OVPVQVRVTWAWOUOMWBWCWOUOWPXBWDWEWFWOXAUOWPQKWGWKWPURZWNWTDIXSWMWSQXSWLWRW
      JFWKWPSHVMVNVOVIWHWI $.

    $d k u v x y $.
    $( Lemma for ~ lshpkrex .  Part of showing linearity of ` G ` .
       (Contributed by NM, 16-Jul-2014.) $)
    lshpkrlem4 $p |- ( ( ( ph /\ l e. K /\ u e. V )
       /\ ( v e. V /\ r e. V /\ s e. V )
  /\ ( u = ( r .+ ( ( G ` u ) .x. Z ) ) /\ v = ( s .+ ( ( G ` v ) .x. Z ) ) ) )
    -> ( ( l .x. u ) .+ v ) = ( ( ( l .x. r ) .+ s )
        .+ ( ( ( l ( .r ` D ) ( G ` u ) ) ( +g ` D ) ( G ` v ) ) .x. Z ) ) ) $=
      ( cv wcel w3a cfv co wceq cmulr cplusg simp3l oveq2d simp3r oveq12d clmod
      wa clvec simpl1 lveclmod simpl2 simpr2 simpl3 adantr simpr csn lshpkrlem2
      3syl syl2anc syl lmodvscl syl3anc lmodvsdi syl13anc eqid lmodvsass eqtr4d
      oveq1d lmodmcl simpr3 simpr1 lmod4 syl122anc lmodvsdir eqtrd 3adant3 ) AU
      CUSZNUTZEUSZPUTZVAZDUSZPUTZUBUSZPUTZUAUSZPUTZVAZXDXIXDLVBZTIVCZGVCZVDZXGX
      KXGLVBZTIVCZGVCZVDZVLZVAZXBXDIVCZXGGVCXBXPIVCZXTGVCZXBXIIVCZXKGVCZXBXNFVE
      VBZVCZXRFVFVBZVCTIVCZGVCZYCYDYEXGXTGYCXDXPXBIXFXMXQYAVGVHXFXMXQYAVIVJXFXM
      YFYMVDYBXFXMVLZYFYGYJTIVCZGVCZXTGVCZYMYNYEYPXTGYNYEYGXBXOIVCZGVCZYPYNQVKU
      TZXCXJXOPUTZYEYSVDYNAQVMUTZYTAXCXEXMVNZUIQVOWCZAXCXEXMVPZXFXHXJXLVQZYNYTX
      NNUTZTPUTZUUAUUDYNAXEUUGUUCAXCXEXMVRAXEVLBCFGHIJKLMNOPQXDSTUDUEUFUGUHAUUB
      XEUIVSAJMUTZXEUJVSAUUHXEUKVSAXEVTAJTWAOVBHVCPVDZXEUMVSUNUOUPUQURWBWDZYNAU
      UHUUCUKWEZXNIFNPQTUDUNUPUOWFWGGXBIFNPQXIXOUDUEUNUPUOWHWIYNYOYRYGGYNYTXCUU
      GUUHYOYRVDUUDUUEUUKUULXBXNIYIFNPQTUDUNUPUOYIWJZWKWIVHWLWMYNYQYHYOXSGVCZGV
      CZYMYNYTYGPUTZYOPUTZXLXSPUTZYQUUOVDUUDYNYTXCXJUUPUUDUUEUUFXBIFNPQXIUDUNUP
      UOWFWGYNYTYJNUTZUUHUUQUUDYNYTXCUUGUUSUUDUUEUUKYIFNQXBXNUNUOUUMWNWGZUULYJI
      FNPQTUDUNUPUOWFWGXFXHXJXLWOYNYTXRNUTZUUHUURUUDYNAXHUVAUUCXFXHXJXLWPAXHVLB
      CFGHIJKLMNOPQXGSTUDUEUFUGUHAUUBXHUIVSAUUIXHUJVSAUUHXHUKVSAXHVTAUUJXHUMVSU
      NUOUPUQURWBWDZUULXRIFNPQTUDUNUPUOWFWGGXSPQYGYOXKUDUEWQWRYNYLUUNYHGYNYTUUS
      UVAUUHYLUUNVDUUDUUTUVBUULGYKYJXRIFNPQTUDUEUNUPUOYKWJWSWIVHWLWTXAWT $.

    $( Lemma for ~ lshpkrex .  Part of showing linearity of ` G ` .
       (Contributed by NM, 16-Jul-2014.) $)
    lshpkrlem5 $p |- ( ( ( ph /\ l e. K /\ u e. V )
       /\ ( v e. V /\ r e. U /\ ( s e. U /\ z e. U ) )
      /\ ( u = ( r .+ ( ( G ` u ) .x. Z ) ) /\ v = ( s .+ ( ( G ` v ) .x. Z ) )
          /\ ( ( l .x. u ) .+ v ) = ( z
              .+ ( ( G ` ( ( l .x. u ) .+ v ) ) .x. Z ) ) ) )
    -> ( G ` ( ( l .x. u ) .+ v ) )
           = ( ( l ( .r ` D ) ( G ` u ) ) ( +g ` D ) ( G ` v ) ) ) $=
      ( cv wcel w3a wa cfv co wceq cmulr cplusg csn ccntz eqid clss csubg clmod
      c0g wss clvec simp11 syl lveclmod lshplss sseldd lspsncl syl2anc lshpdisj
      lsssssubg cin cabl lmodabl ablcntzd simp23r simp12 simp22 lssvscl simp23l
      syl22anc lssvacl simp13 lmodvscl syl3anc simp21 lmodvacl simpr lshpkrlem2
      adantr lspsneli lmodmcl lmodacl simp33 simp31 simp32 lshpkrlem4 syl132anc
      simp1 lssel eqtr3d subgdisj2 wne lshpne0 lvecvscan2 mpbid ) AUDUTZOVAZFUT
      ZQVAZVBZEUTZQVAZUCUTZKVAZUBUTZKVAZDUTZKVAZVCZVBZYDYIYDMVDZUAJVEHVEVFZYGYK
      YGMVDZUAJVEHVEVFZYBYDJVEZYGHVEZYMUUBMVDZUAJVEZHVEZVFZVBZVBZUUDYBYQGVGVDZV
      EZYSGVHVDZVEZUAJVEZVFUUCUULVFUUHYMUUDYBYIJVEZYKHVEZUUMHKUAVIPVDZRRVOVDZRV
      JVDZUFUUQVKZUURVKZUUHRVLVDZRVMVDZKUUHRVNVAZUVAUVBVPUUHRVQVAZUVCUUHAUVDAYC
      YEYPUUGVRZUJVSZRVTZVSZUVARUVAVKZWFVSZUUHAKUVAVAZUVEAUVAKNRUVIUIAUVDUVCUJU
      VGVSZUKWAVSZWBZUUHUVAUVBUUPUVJUUHUVCUAQVAZUUPUVAVAUVHUUHAUVOUVEULVSZUVAPQ
      RUAUEUVIUGWCWDWBZUUHAKUUPWGUUQVIVFUVEAIKNPQRUAUUQUEUUSUGUHUIUJUKULUNWEVSU
      UHKUUPRUURUUTUUHUVCRWHVAUVHRWIVSUVNUVQWJYLYNYHYJYFUUGWKUUHUVCUVKUUNKVAZYL
      UUOKVAUVHUVMUUHUVCUVKYCYJUVRUVHUVMAYCYEYPUUGWLZYFYHYJYOUUGWMZOUVAJKGRYBYI
      UOUQUPUVIWNWPYLYNYHYJYFUUGWOZHUVAKRUUNYKUFUVIWQWPUUHUUCJGOPQRUAUEUQUOUPUG
      UVHUUHAUUBQVAZUUCOVAUVEUUHUVCUUAQVAZYHUWBUVHUUHUVCYCYEUWCUVHUVSAYCYEYPUUG
      WRZYBJGOQRYDUEUOUQUPWSWTYFYHYJYOUUGXAZHQRUUAYGUEUFXBWTAUWBVCBCGHIJKLMNOPQ
      RUUBTUAUEUFUGUHUIAUVDUWBUJXEAKNVAZUWBUKXEAUVOUWBULXEAUWBXCAKUUPIVEQVFZUWB
      UNXEUOUPUQURUSXDWDZUVPXFUUHUULJGOPQRUAUEUQUOUPUGUVHUUHUVCUUJOVAZYSOVAZUUL
      OVAUVHUUHUVCYCYQOVAZUWIUVHUVSUUHAYEUWKUVEUWDAYEVCBCGHIJKLMNOPQRYDTUAUEUFU
      GUHUIAUVDYEUJXEAUWFYEUKXEAUVOYEULXEAYEXCAUWGYEUNXEUOUPUQURUSXDWDUUIGORYBY
      QUOUPUUIVKXGWTUUHAYHUWJUVEUWEAYHVCBCGHIJKLMNOPQRYGTUAUEUFUGUHUIAUVDYHUJXE
      AUWFYHUKXEAUVOYHULXEAYHXCAUWGYHUNXEUOUPUQURUSXDWDUUKGORUUJYSUOUPUUKVKXHWT
      ZUVPXFUUHUUBUUEUUOUUMHVEZYFYPYRYTUUFXIUUHYFYHYIQVAZYKQVAZYRYTUUBUWMVFYFYP
      UUGXNUWEUUHUVKYJUWNUVMUVTUVAKQRYIUEUVIXOWDUUHUVKYLUWOUVMUWAUVAKQRYKUEUVIX
      OWDYFYPYRYTUUFXJYFYPYRYTUUFXKABCEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULU
      MUNUOUPUQURUSXLXMXPXQUUHUUCUULJGOQRUAUUQUEUQUOUPUUSUVFUWHUWLUVPUUHAUAUUQX
      RUVEAIKNPQRUAUUQUEUGUHUIUUSUVLUKULUNXSVSXTYA $.

    $d r s .+ $.  $d r s z D $.  $d r s G $.  $d r s z K $.  $d r s .x. $.
    $d r s U $.  $d r s z V $.  $d r s Z $.  $d r s z ph $.
    $d k l r s u v x y z $.
    $( Lemma for ~ lshpkrex .  Show linearlity of ` G ` .  (Contributed by NM,
       17-Jul-2014.) $)
    lshpkrlem6 $p |- ( ( ph /\ ( l e. K /\ u e. V /\ v e. V ) )
    -> ( G ` ( ( l .x. u ) .+ v ) )
           = ( ( l ( .r ` D ) ( G ` u ) ) ( +g ` D ) ( G ` v ) ) ) $=
      ( vr vs vz cv wcel w3a wa cfv co wceq wrex cmulr cplusg adantr simpr2 csn
      clvec lshpkrlem3 simpr3 lveclmod simpr1 lmodvscl syl3anc lmodvacl 3reeanv
      clmod syl wi simp1l simp1r1 simp1r2 simp1r3 simp2ll simp2lr simp2r simp31
      jca simp32 simp33 lshpkrlem5 syl333anc expdimp rexlimdv rexlimdvva mp3and
      3exp syl5bir ) AUAUTZNVAZEUTZPVAZDUTZPVAZVBZVCZXFUQUTZXFLVDZTIVEGVEVFZUQJ
      VGZXHURUTZXHLVDZTIVEGVEVFZURJVGZXDXFIVEZXHGVEZUSUTZYALVDZTIVEGVEVFZUSJVGZ
      YCXDXMFVHVDVEXQFVIVDVEVFZXKBCUQFGHIJKLMNOPQXFSTUBUCUDUEUFAQVMVAZXJUGVJZAJ
      MVAXJUHVJZATPVAXJUIVJZAXEXGXIVKZAJTVLOVDHVEPVFXJUKVJZULUMUNUOUPVNXKBCURFG
      HIJKLMNOPQXHSTUBUCUDUEUFYHYIYJAXEXGXIVOZYLULUMUNUOUPVNXKBCUSFGHIJKLMNOPQY
      ASTUBUCUDUEUFYHYIYJXKQWBVAZXTPVAZXIYAPVAXKYGYNYHQVPWCZXKYNXEXGYOYPAXEXGXI
      VQYKXDIFNPQXFUBULUNUMVRVSYMGPQXTXHUBUCVTVSYLULUMUNUOUPVNXOXSYEVBXNXRYDVBZ
      USJVGZURJVGUQJVGXKYFXNXRYDUQURUSJJJWAXKYRYFUQURJJXKXLJVAZXPJVAZVCZVCYQYFU
      SJXKUUAYBJVAZYQYFWDXKUUAUUBVCZYQYFXKUUCYQVBZAXEXGXIYSYTUUBVCXNXRYDYFAXJUU
      CYQWEXEXGXIAUUCYQWFXEXGXIAUUCYQWGXEXGXIAUUCYQWHYSYTUUBXKYQWIUUDYTUUBYSYTU
      UBXKYQWJXKUUAUUBYQWKWMXKUUCXNXRYDWLXKUUCXNXRYDWNXKUUCXNXRYDWOABCUSDEFGHIJ
      KLMNOPQTSTURUQUAUBUCUDUEUFUGUHUIUIUKULUMUNUOUPWPWQXBWRWSWTXCXA $.
  $}

  ${
    $d a k l x y .+ $.  $d l u v G $.  $d a k l u v x K $.  $d a k l v x y U $.
    $d u y $.  $d k D $.  $d l u v W $.  $d a k l x y .x. $.  $d a k l x y Z $.
    $d v L $.  $d a l u v ph $.  $d a u v x V $.
    lshpkr.v $e |- V = ( Base ` W ) $.
    lshpkr.a $e |- .+ = ( +g ` W ) $.
    lshpkr.n $e |- N = ( LSpan ` W ) $.
    lshpkr.p $e |- .(+) = ( LSSum ` W ) $.
    lshpkr.h $e |- H = ( LSHyp ` W ) $.
    lshpkr.w $e |- ( ph -> W e. LVec ) $.
    lshpkr.u $e |- ( ph -> U e. H ) $.
    lshpkr.z $e |- ( ph -> Z e. V ) $.
    lshpkr.e $e |- ( ph -> ( U .(+) ( N ` { Z } ) ) = V ) $.
    lshpkr.d $e |- D = ( Scalar ` W ) $.
    lshpkr.k $e |- K = ( Base ` D ) $.
    lshpkr.t $e |- .x. = ( .s ` W ) $.
    lshpkr.g $e |- G = ( x e. V |->
        ( iota_ k e. K E. y e. U x = ( y .+ ( k .x. Z ) ) ) ) $.
    ${
      lshpkr.f $e |- F = ( LFnl ` W ) $.
      $( The set ` G ` defined by hyperplane ` U ` is a linear functional.
         (Contributed by NM, 17-Jul-2014.) $)
      lshpkrcl $p |- ( ph -> G e. F ) $=
        ( vl vu vv va wcel wf cv co cmulr cplusg wceq wral wrex crio wreu clvec
        cfv adantr simpr csn lshpsmreu riotacl syl cmpt eqeq1 rexbidv riotabidv
        wa weq cbvmptv eqtri fmptd c0g eqid lshpkrlem6 ralrimivvva wb mpbir2and
        islfl ) AKJUPZOMKUQZULURZUMURZGUSUNURZEUSKVHWMWNKVHDUTVHZUSWOKVHDVAVHZU
        SVBZUNOVCUMOVCULMVCZAUOOUOURZCURIURQGUSEUSZVBZCHVDZIMVEZMKAWTOUPZVSZXCI
        MVFXDMUPXFCDEFGHILMNOPWTQRSTUAUBAPVGUPZXEUCVIAHLUPXEUDVIAQOUPXEUEVIAXEV
        JAHQVKNVHFUSOVBXEUFVIUGUHUIVLXCIMVMVNKBOBURZXAVBZCHVDZIMVEZVOUOOXDVOUJB
        UOOXKXDBUOVTZXJXCIMXLXIXBCHXHWTXAVPVQVRWAWBWCAWRULUMUNMOOABCUNUMDEFGHIK
        LMNOPQDWDVHZQULRSTUAUBUCUDUEUEUFUGUHUIXMWEUJWFWGAXGWKWLWSVSWHUCUMUNDEWQ
        GWPJKMOPVGULRSUGUIUHWQWEWPWEUKWJVNWI $.
    $}

    lshpkr.l $e |- L = ( LKer ` W ) $.
    $( The kernel of functional ` G ` is the hyperplane defining it.
       (Contributed by NM, 17-Jul-2014.) $)
    lshpkr $p |- ( ph -> ( L ` G ) = U ) $=
      ( vv cfv cv wcel clfn eqid clvec clmod lveclmod syl lshpkrcl lkrssv sseld
      clss lshplss lssel sylan ex wb wa c0g wceq ellkr syl2anc baibd adantr csn
      simpr co lshpkrlem1 bitr4d pm5.21ndd eqrdv ) AULJMUMZHAULUNZOUOZWFWEUOZWF
      HUOZAWEOWFAPUPUMZJMOPRWJUQZUKAPURUOZPUSUOUCPUTVAZABCDEFGHIWJJKLNOPQRSTUAU
      BUCUDUEUFUGUHUIUJWKVBZVCVDAWIWGAHPVEUMZUOWIWGAWOHKPWOUQZUBWMUDVFWOHOPWFRW
      PVGVHVIAWGWHWIVJAWGVKZWHWFJUMDVLUMZVMZWIAWHWGWSAWLJWJUOWHWGWSVKVJUCWNDWJJ
      MOPWFURWRRUGWRUQZWKUKVNVOVPWQBCDEFGHIJKLNOPWFWRQRSTUAUBAWLWGUCVQAHKUOWGUD
      VQAQOUOWGUEVQAWGVSAHQVRNUMFVTOVMWGUFVQUGUHUIWTUJWAWBVIWCWD $.
  $}

  ${
    $d g z F $.  $d z H $.  $d g z K $.  $d g k x y z U $.  $d g k x y z W $.
    lshpkrex.h $e |- H = ( LSHyp ` W ) $.
    lshpkrex.f $e |- F = ( LFnl ` W ) $.
    lshpkrex.k $e |- K = ( LKer ` W ) $.
    $( There exists a functional whose kernel equals a given hyperplane.  Part
       of Th. 1.27 of Barbu and Precupanu, _Convexity and Optimization in
       Banach Spaces_.  (Contributed by NM, 17-Jul-2014.) $)
    lshpkrex $p |- ( ( W e. LVec /\ U e. H ) -> E. g e. F ( K ` g ) = U ) $=
      ( vz vx vy vk wcel cv cfv co wceq wrex eqid clvec csn clspn clsm cbs clss
      wa wne w3a lveclmod islshpsm simp3 syl6bi imp cvsca cplusg csca crio cmpt
      simp1l simp1r simp2 lshpkrcl lshpkr fveqeq2 rspcev syl2anc rexlimdv3a mpd
      ) FUANZADNZUGZAJOZUBFUCPZPFUDPZQFUEPZRZJVPSZBOZEPARZBCSZVJVKVRVJVKAFUFPZN
      ZAVPUHZVRUIVRVJJVOWBADVNVPFVPTZVNTZWBTVOTZGFUJUKWCWDVRULUMUNVLVQWAJVPVLVM
      VPNZVQUIZKVPKOLOMOVMFUOPZQFUPPZQRLASMFUQPZUEPZURUSZCNWNEPARZWAWIKLWLWKVOW
      JAMCWNDWMVNVPFVMWEWKTZWFWGGVJVKWHVQUTZVJVKWHVQVAZVLWHVQVBZVLWHVQULZWLTZWM
      TZWJTZWNTZHVCWIKLWLWKVOWJAMWNDWMEVNVPFVMWEWPWFWGGWQWRWSWTXAXBXCXDIVDVTWOB
      WNCVSWNAEVEVFVGVHVI $.
  $}

  ${
    $d g F $.  $d g s H $.  $d g v K $.  $d g v V $.  $d g s v W $.
    lshpset2.v $e |- V = ( Base ` W ) $.
    lshpset2.d $e |- D = ( Scalar ` W ) $.
    lshpset2.z $e |- .0. = ( 0g ` D ) $.
    lshpset2.h $e |- H = ( LSHyp ` W ) $.
    lshpset2.f $e |- F = ( LFnl ` W ) $.
    lshpset2.k $e |- K = ( LKer ` W ) $.
    $( The set of all hyperplanes of a left module or left vector space equals
       the set of all kernels of nonzero functionals.  (Contributed by NM,
       17-Jul-2014.)  (New usage is discouraged.) $)
    lshpset2N $p |- ( W e. LVec -> H = { s |
                   E. g e. F ( g =/= ( V X. { .0. } ) /\ s = ( K ` g ) ) } ) $=
      ( vv wcel cfv wceq wa clvec cv csn cxp wne wrex lshpkrex biimparc adantll
      eleq1 adantlr simplll simplr lkrshp3 mpbid ex wi eqimss2 eqimss eqssd a1i
      jcad reximdva mpd clss cun clspn w3a lkrshp 3adant3r eqid islshp 3ad2ant1
      neeq1 uneq1 fveqeq2d rexbidv 3anbi123d adantl 3ad2ant3 rexlimdv3a sylibrd
      wb mpbird impbid abbi2dv ) GUAQZBUBZFHUCUDUEZIUBZWHERZSZTZBCUFZIDWGWJDQZW
      NWGWOWNWGWOTZWKWJSZBCUFWNWJBCDEGMNOUGWPWQWMBCWPWHCQZTZWQWIWLWSWQWIWSWQTZW
      KDQZWIWPWQXAWRWOWQXAWGWQXAWOWKWJDUJUHUIUKWTACWHDEFGHJKLMNOWGWOWRWQULWPWRW
      QUMUNUOUPWQWLUQWSWQWJWKWJWKURWKWJUSUTVAVBVCVDUPWGWNWJGVERZQZWJFUEZWJPUBUC
      ZVFZGVGRZRFSZPFUFZVHZWOWGWMXJBCWGWRWMVHZXJWKXBQZWKFUEZWKXEVFZXGRFSZPFUFZV
      HZXKXAXQWGWRWIXAWLACWHDEFGHJKLMNOVIVJWGWRXAXQWCWMPXBWKDXGFGUAJXGVKZXBVKZM
      VLVMUOWMWGXJXQWCZWRWLXTWIWLXCXLXDXMXIXPWJWKXBUJWJWKFVNWLXHXOPFWLXFXNFXGWJ
      WKXEVOVPVQVRVSVTWDWAPXBWJDXGFGUAJXRXSMVLWBWEWF $.

    $d s F $.  $d s K $.  $d g s U $.  $d s V $.  $d s .0. $.
    $( The predicate "is a hyperplane" (of a left module or left vector space).
       TODO: should it be ` U = ( K `` g ) ` or ` ( K `` g ) = U ` as in
       ~ lshpkrex ?  Both standards seem to be used randomly throughout set.mm;
       we should decide on a preferred one.  (Contributed by NM, 7-Oct-2014.)
       (New usage is discouraged.) $)
    islshpkrN $p |- ( W e. LVec -> ( U e. H
          <-> E. g e. F ( g =/= ( V X. { .0. } ) /\ U = ( K ` g ) ) ) ) $=
      ( vs wcel wceq cvv adantl clvec csn cxp wne cfv wrex cab lshpset2N eleq2d
      cv wa elex fvex eleq1 mpbiri rexlimivw eqeq1 rexbidv elabg pm5.21nd bitrd
      anbi2d ) HUAQZBEQBCUJZGIUBUCUDZPUJZVDFUEZRZUKZCDUFZPUGZQZVEBVGRZUKZCDUFZV
      CEVKBACDEFGHIPJKLMNOUHUIVCVLVOBSQZVLVPVCBVKULTVOVPVCVNVPCDVMVPVEVMVPVGSQV
      DFUMBVGSUNUOTUPTVJVOPBSVFBRZVIVNCDVQVHVMVEVFBVGUQVBURUSUTVA $.
  $}

  ${
    $d k D $.  $d k F $.  $d k G $.  $d k K $.  $d k L $.  $d k V $.  $d k W $.
    $d g k ph $.  $d k .x. $.
    lfl1dim.v $e |- V = ( Base ` W ) $.
    lfl1dim.d $e |- D = ( Scalar ` W ) $.
    lfl1dim.f $e |- F = ( LFnl ` W ) $.
    lfl1dim.l $e |- L = ( LKer ` W ) $.
    lfl1dim.k $e |- K = ( Base ` D ) $.
    lfl1dim.t $e |- .x. = ( .r ` D ) $.
    lfl1dim.w $e |- ( ph -> W e. LVec ) $.
    lfl1dim.g $e |- ( ph -> G e. F ) $.
    $( Equivalent expressions for a 1-dim subspace (ray) of functionals.
       (Contributed by NM, 24-Oct-2014.) $)
    lfl1dim $p |- ( ph -> { g e. F | ( L ` G ) C_ ( L ` g ) }
        = { g | E. k e. K g = ( G oF .x. ( V X. { k } ) ) } ) $=
      ( wa cfv cv wss crab wcel cab csn cxp cof co wceq wrex df-rab clmod clvec
      wi c0g lveclmod syl eqid lmod0cl ad2antrr simpr lfl0sc eqtr4d sneq xpeq2d
      oveq2d rspceeqv syl2anc a1d ad3antrrr simpllr lkrssv adantr lkr0f biimpar
      wb sseq1d biimpa eqssd mpbid wne clsh simprr lkrshp syl3anc simplr simprl
      lshpcmp eqlkr2 syl121anc sylbid pm2.61da2ne lkrscss fveq2 sseq2d biimprcd
      ex syl6 rexlimdv impbid pm5.32da lflvscl eleq1a pm4.71rd rexbidva r19.42v
      bitr2di bitrd abbidv syl5eq ) AGIUAZDUBZIUAZUCZDFUDXNFUEZXPTZDUFXNGJEUBZU
      GZUHZCUIZUJZUKZEHULZDUFXPDFUMAXRYEDAXRXQYETZYEAXQXPYEAXQTZXPYEYGXPYEUPXNJ
      BUQUAZUGZUHZGYJYGXNYJUKZTZYEXPYLYHHUEZXNGYJYBUJZUKZYEAYMXQYKAKUNUEZYMAKUO
      UEZYPRKURUSZBHKYHMPYHUTZVAUSZVBYLXNYJYNYGYKVCYLBCFGHJKYHLMNPQYSAYPXQYKYRV
      BAGFUEZXQYKSVBVDVEEYHHYCYNXNXSYHUKZYAYJGYBUUBXTYIJXSYHVFVGVHVIZVJVKYGGYJU
      KZTZXPYEUUEXPTZYMYOYEAYMXQUUDXPYTVLUUFXNYJYNUUFXOJUKZYKUUFXOJUUFFXNIJKLNO
      AYPXQUUDXPYRVLZAXQUUDXPVMZVNUUEXPJXOUCUUEXMJXOYGXMJUKZUUDYGYPUUAUUJUUDVRA
      YPXQYRVOAUUAXQSVOBFGIJKYHMYSLNOVPVJVQVSVTWAUUFYPXQUUGYKVRUUHUUIBFXNIJKYHM
      YSLNOVPVJWBUUFBCFGHJKYHLMNPQYSUUHAUUAXQUUDXPSVLVDVEUUCVJWSYGXNYJWCZGYJWCZ
      TZTZXPXMXOUKZYEUUNXMXOKWDUAZKUUPUTZAYQXQUUMRVBZUUNYQUUAUULXMUUPUEUURAUUAX
      QUUMSVBYGUUKUULWEBFGUUPIJKYHLMYSUUQNOWFWGUUNYQXQUUKXOUUPUEUURAXQUUMWHYGUU
      KUULWIBFXNUUPIJKYHLMYSUUQNOWFWGWJUUNUUOYEUUNUUOTYQUUAXQUUOYEAYQXQUUMUUORV
      LAUUAXQUUMUUOSVLAXQUUMUUOVMUUNUUOVCBCFGXNHIJKEMPQLNOWKWLWSWMWNYGYDXPEHYGX
      SHUEZXMYCIUAZUCZYDXPUPYGUUSUVAYGUUSTBXSCFGHIJKLMPQNOAYQXQUUSRVBAUUAXQUUSS
      VBYGUUSVCWOWSYDXPUVAYDXOUUTXMXNYCIWPWQWRWTXAXBXCAYEXQYDTZEHULYFAYDUVBEHAU
      USTZYDXQUVCYCFUEYDXQUPUVCBXSCFGHJKLMPQNAYPUUSYRVOAUUAUUSSVOAUUSVCXDYCFXNX
      EUSXFXGXQYDEHXHXIXJXKXL $.

    $( Equivalent expressions for a 1-dim subspace (ray) of functionals.  TODO:
       delete this if not useful; ~ lfl1dim may be more compatible with
       ~ lspsn .  (Contributed by NM, 24-Oct-2014.)
       (New usage is discouraged.) $)
    lfl1dim2N $p |- ( ph -> { g e. F | ( L ` G ) C_ ( L ` g ) }
        = { g e. F | E. k e. K g = ( G oF .x. ( V X. { k } ) ) } ) $=
      ( wceq cfv cv wss csn cxp cof co wrex wcel wa wi c0g clmod clvec lveclmod
      syl eqid lmod0cl ad2antrr simpr lfl0sc eqtr4d sneq xpeq2d oveq2d rspceeqv
      syl2anc a1d ad3antrrr simpllr lkrssv wb adantr lkr0f biimpar sseq1d eqssd
      biimpa mpbid ex wne simprr lkrshp syl3anc simplr simprl lshpcmp syl121anc
      clsh eqlkr2 sylbid pm2.61da2ne fveq2 sseq2d biimprcd syl6 rexlimdv impbid
      lkrscss rabbidva ) AGIUAZDUBZIUAZUCZXBGJEUBZUDZUEZCUFZUGZTZEHUHZDFAXBFUIZ
      UJZXDXKXMXDXKUKXBJBULUAZUDZUEZGXPXMXBXPTZUJZXKXDXRXNHUIZXBGXPXHUGZTZXKAXS
      XLXQAKUMUIZXSAKUNUIZYBRKUOUPZBHKXNMPXNUQZURUPZUSXRXBXPXTXMXQUTXRBCFGHJKXN
      LMNPQYEAYBXLXQYDUSAGFUIZXLXQSUSVAVBEXNHXIXTXBXEXNTZXGXPGXHYHXFXOJXEXNVCVD
      VEVFZVGVHXMGXPTZUJZXDXKYKXDUJZXSYAXKAXSXLYJXDYFVIYLXBXPXTYLXCJTZXQYLXCJYL
      FXBIJKLNOAYBXLYJXDYDVIZAXLYJXDVJZVKYKXDJXCUCYKXAJXCXMXAJTZYJXMYBYGYPYJVLA
      YBXLYDVMAYGXLSVMBFGIJKXNMYELNOVNVGVOVPVRVQYLYBXLYMXQVLYNYOBFXBIJKXNMYELNO
      VNVGVSYLBCFGHJKXNLMNPQYEYNAYGXLYJXDSVIVAVBYIVGVTXMXBXPWAZGXPWAZUJZUJZXDXA
      XCTZXKYTXAXCKWIUAZKUUBUQZAYCXLYSRUSZYTYCYGYRXAUUBUIUUDAYGXLYSSUSXMYQYRWBB
      FGUUBIJKXNLMYEUUCNOWCWDYTYCXLYQXCUUBUIUUDAXLYSWEXMYQYRWFBFXBUUBIJKXNLMYEU
      UCNOWCWDWGYTUUAXKYTUUAUJYCYGXLUUAXKAYCXLYSUUARVIAYGXLYSUUASVIAXLYSUUAVJYT
      UUAUTBCFGXBHIJKEMPQLNOWJWHVTWKWLXMXJXDEHXMXEHUIZXAXIIUAZUCZXJXDUKXMUUEUUG
      XMUUEUJBXECFGHIJKLMPQNOAYCXLUUERUSAYGXLUUESUSXMUUEUTWSVTXJXDUUGXJXCUUFXAX
      BXIIWMWNWOWPWQWRWT $.
  $}

$(
  @c LSLat @.

  @( Extend class notation with lattice of subspaces of a left module
     or left vector space. @)
  clsl @a class LSLat @.

  @{
    @d w x y @.
    df-lsl @a |- LSLat = ( w e. _V |-> { <. ( Base ` ndx ) ,
        ( LSubSp ` w ) >. , <. ( le ` ndx ) ,
     { <. x , y >. | ( x e. ( LSubSp ` w ) /\ y e. ( LSubSp ` w )
        /\ x C_ y ) } >. } ) @.
  @}
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Opposite rings and dual vector spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c LDual $.

  $( Extend class notation with left dualvector space. $)
  cld $a class LDual $.

  ${
    $d v k f $.
    $( Define the (left) dual of a left vector space (or module) in which the
       vectors are functionals.  In many texts, this is defined as a right
       vector space, but by reversing the multiplication we achieve a left
       vector space, as is done in definition of dual vector space in
       [Holland95] p. 218.  This allows us to reuse our existing collection of
       left vector space theorems.  The restriction on ` oF ( +g `` v ) `
       allows it to be a set; see ~ ofmres .  Note the operation reversal in
       the scalar product to allow us to use the original scalar ring instead
       of the ` oppR ` ring, for convenience.  (Contributed by NM,
       18-Oct-2014.) $)
    df-ldual $a |- LDual = ( v e. _V |->
      ( { <. ( Base ` ndx ) , ( LFnl ` v ) >. ,
          <. ( +g ` ndx ) , ( oF ( +g ` ( Scalar ` v ) )
                 |` ( ( LFnl ` v ) X. ( LFnl ` v ) ) ) >. ,
          <. ( Scalar ` ndx ) , ( oppR ` ( Scalar ` v ) ) >. } u. {
          <. ( .s ` ndx ) , ( k e. ( Base ` ( Scalar ` v ) ) ,
             f e. ( LFnl ` v ) |-> ( f oF ( .r ` ( Scalar ` v ) )
               ( ( Base ` v ) X. { k } ) ) ) >. } ) ) $.
  $}

  ${
    $d w F $.  $d w O $.  $d w .+b $.  $d w .xb $.  $d f k w W $.
    ldualset.v $e |- V = ( Base ` W ) $.
    ldualset.a $e |- .+ = ( +g ` R ) $.
    ldualset.p $e |- .+b = ( oF .+ |` ( F X. F ) ) $.
    ldualset.f $e |- F = ( LFnl ` W ) $.
    ldualset.d $e |- D = ( LDual ` W ) $.
    ldualset.r $e |- R = ( Scalar ` W ) $.
    ldualset.k $e |- K = ( Base ` R ) $.
    ldualset.t $e |- .x. = ( .r ` R ) $.
    ldualset.o $e |- O = ( oppR ` R ) $.
    ldualset.s $e |- .xb =
      ( k e. K , f e. F |-> ( f oF .x. ( V X. { k } ) ) ) $.
    ldualset.w $e |- ( ph -> W e. X ) $.
    $( Define the (left) dual of a left vector space (or module) in which the
       vectors are functionals.  In many texts, this is defined as a right
       vector space, but by reversing the multiplication we achieve a left
       vector space, as is done in definition of dual vector space in
       [Holland95] p. 218.  This allows us to reuse our existing collection of
       left vector space theorems.  Note the operation reversal in the scalar
       product to allow us to use the original scalar ring instead of the
       ` oppR ` ring, for convenience.  (Contributed by NM, 18-Oct-2014.) $)
    ldualset $p |- ( ph -> D = ( { <. ( Base ` ndx ) , F >. ,
         <. ( +g ` ndx ) , .+b >. , <. ( Scalar ` ndx ) , O >. }
       u. { <. ( .s ` ndx ) , .xb >. } ) ) $=
      ( vw wcel cvv cnx cbs cfv cop cplusg csca ctp cvsca csn cun wceq elex cld
      cv clfn cof cxp cres coppr cmulr cmpo fveq2 eqtr4di opeq2d fveq2d sqxpeqd
      co ofeqd reseq12d tpeq123d eqidd xpeq1d oveq123d mpoeq123dv sneqd uneq12d
      df-ldual tpex snex unex fvmpt syl5eq 3syl ) ANOUHNUIUHZBUJUKULZJUMZUJUNUL
      ZDUMZUJUOULZLUMZUPZUJUQULZFUMZURZUSZUTUFNOVAWMBNVBULXDTUGNWNUGVCZVDULZUMZ
      WPXEUOULZUNULZVEZXFXFVFZVGZUMZWRXHVHULZUMZUPZXAIHXHUKULZXFHVCZXEUKULZIVCU
      RZVFZXHVIULZVEZVPZVJZUMZURZUSXDUIVBXENUTZXPWTYGXCYHXGWOXMWQXOWSYHXFJWNYHX
      FNVDULJXENVDVKSVLZVMYHXLDWPYHXLCVEZJJVFZVGDYHXJYJXKYKYHXICYHXIEUNULCYHXHE
      UNYHXHNUOULEXENUOVKUAVLZVNQVLVQYHXFJYIVOVRRVLVMYHXNLWRYHXNEVHULLYHXHEVHYL
      VNUDVLVMVSYHYFXBYHYEFXAYHYEIHKJXRMXTVFZGVEZVPZVJFYHIHXQXFYDKJYOYHXQEUKULK
      YHXHEUKYLVNUBVLYIYHXRXRYAYMYCYNYHYBGYHYBEVIULGYHXHEVIYLVNUCVLVQYHXRVTYHXS
      MXTYHXSNUKULMXENUKVKPVLWAWBWCUEVLVMWDWEUGHIWFWTXCWOWQWSWGXBWHWIWJWKWL $.
  $}

  ${
    $d f k W $.
    ldualvbase.f $e |- F = ( LFnl ` W ) $.
    ldualvbase.d $e |- D = ( LDual ` W ) $.
    ldualvbase.v $e |- V = ( Base ` D ) $.
    ldualvbase.w $e |- ( ph -> W e. X ) $.
    $( The vectors of a dual space are functionals of the original space.
       (Contributed by NM, 18-Oct-2014.) $)
    ldualvbase $p |- ( ph -> V = F ) $=
      ( vk vf cbs cfv cnx cop cplusg csca cof eqid cxp cres coppr ctp cvsca csn
      cv cmulr cmpo cun ldualset fveq2d cvv wcel wceq clfn fvexi lmodbase ax-mp
      co 3eqtr4g ) ABMNOMNCPOQNERNZQNZSCCUAUBZPORNVBUCNZPUDOUENKLVBMNZCLUGEMNZK
      UGUFUAVBUHNZSUTUIZPUFUJZMNZDCABVJMABVCVDVBVIVHLKCVFVEVGEFVGTVCTVDTGHVBTVF
      TVHTVETVITJUKULICUMUNCVKUOCEUPGUQCVDVIVEVJUMVJTURUSVA $.
  $}

  ${
    ldualelvbase.f $e |- F = ( LFnl ` W ) $.
    ldualelvbase.d $e |- D = ( LDual ` W ) $.
    ldualelvbase.v $e |- V = ( Base ` D ) $.
    ldualelvbase.w $e |- ( ph -> W e. X ) $.
    ldualelvbase.g $e |- ( ph -> G e. F ) $.
    $( Utility theorem for converting a functional to a vector of the dual
       space in order to use standard vector theorems.  (Contributed by NM,
       6-Jan-2015.) $)
    ldualelvbase $p |- ( ph -> G e. V ) $=
      ( ldualvbase eleqtrrd ) ADCELABCEFGHIJKMN $.
  $}

  ${
    $d f k W $.
    ldualvadd.f $e |- F = ( LFnl ` W ) $.
    ldualvadd.r $e |- R = ( Scalar ` W ) $.
    ldualvadd.a $e |- .+ = ( +g ` R ) $.
    ldualvadd.d $e |- D = ( LDual ` W ) $.
    ldualvadd.p $e |- .+b = ( +g ` D ) $.
    ldualvadd.w $e |- ( ph -> W e. X ) $.
    ${
      ldualfvadd.q $e |- .+^ = ( oF .+ |` ( F X. F ) ) $.
      $( Vector addition in the dual of a vector space.  (Contributed by NM,
         21-Oct-2014.) $)
      ldualfvadd $p |- ( ph -> .+b = .+^ ) $=
        ( cplusg cfv eqid cvv vk vf cnx cbs cop csca coppr ctp cvsca cv csn cxp
        cmulr cof co cmpo ldualset fveq2d wcel wceq cres clfn fvexi id ofmresex
        cun ax-mp eqeltri lmodplusg 3eqtr4g ) ABQRUCUDRGUEUCQRDUEUCUFRFUGRZUEUH
        UCUIRUAUBFUDRZGUBUJHUDRZUAUJUKULFUMRZUNUOUPZUEUKVFZQRZEDABVPQABCDFVOVNU
        BUAGVLVKVMHIVMSLPJMKVLSVNSVKSVOSOUQURNDTUSDVQUTDCUNGGULVAZTPGTUSZVRTUSG
        HVBJVCVSGGCTTVSVDZVTVEVGVHGDVOVKVPTVPSVIVGVJ $.
    $}

    ldualvadd.g $e |- ( ph -> G e. F ) $.
    ldualvadd.h $e |- ( ph -> H e. F ) $.
    $( Vector addition in the dual of a vector space.  (Contributed by NM,
       21-Oct-2014.) $)
    ldualvadd $p |- ( ph -> ( G .+b H ) = ( G oF .+ H ) ) $=
      ( co cof cxp cres eqid ldualfvadd oveqd ofmresval eqtrd ) AGHDSGHCTZFFUAU
      BZSGHUHSADUIGHABCUIDEFIJKLMNOPUIUCUDUEAFFCGHQRUFUG $.
  $}

  ${
    ldualvaddcl.f $e |- F = ( LFnl ` W ) $.
    ldualvaddcl.d $e |- D = ( LDual ` W ) $.
    ldualvaddcl.p $e |- .+ = ( +g ` D ) $.
    ldualvaddcl.w $e |- ( ph -> W e. LMod ) $.
    ldualvaddcl.g $e |- ( ph -> G e. F ) $.
    ldualvaddcl.h $e |- ( ph -> H e. F ) $.
    $( The value of vector addition in the dual of a vector space is a
       functional.  (Contributed by NM, 21-Oct-2014.) $)
    ldualvaddcl $p |- ( ph -> ( G .+ H ) e. F ) $=
      ( co csca cfv cplusg cof clmod eqid ldualvadd lfladdcl eqeltrd ) AEFCNEFG
      OPZQPZRNDABUECUDDEFGSHUDTZUETZIJKLMUAAUEUDDEFGUFUGHKLMUBUC $.
  $}

  ${
    ldualvaddval.v $e |- V = ( Base ` W ) $.
    ldualvaddval.r $e |- R = ( Scalar ` W ) $.
    ldualvaddval.a $e |- .+ = ( +g ` R ) $.
    ldualvaddval.f $e |- F = ( LFnl ` W ) $.
    ldualvaddval.d $e |- D = ( LDual ` W ) $.
    ldualvaddval.p $e |- .+b = ( +g ` D ) $.
    ldualvaddval.w $e |- ( ph -> W e. LMod ) $.
    ldualvaddval.g $e |- ( ph -> G e. F ) $.
    ldualvaddval.h $e |- ( ph -> H e. F ) $.
    ldualvaddval.x $e |- ( ph -> X e. V ) $.
    $( The value of the value of vector addition in the dual of a vector space.
       (Contributed by NM, 7-Jan-2015.) $)
    ldualvaddval $p |- ( ph
             -> ( ( G .+b H ) ` X ) = ( ( G ` X ) .+ ( H ` X ) ) ) $=
      ( co cfv cof clmod ldualvadd fveq1d wcel wceq cvv wfn wa cbs eqid syl2anc
      lflf ffnd fvexi a1i inidm eqidd ofval mpdan eqtrd ) AKGHDUBZUCKGHCUDUBZUC
      ZKGUCZKHUCZCUBZAKVEVFABCDEFGHJUEOMNPQRSTUFUGAKIUHZVGVJUIUAAIIVHVICIGHUJUJ
      KAJUEUHZGFUHZGIUKRSVLVMULIEUMUCZGEFGVNIJUEMVNUNZLOUPUQUOAVLHFUHZHIUKRTVLV
      PULIVNHEFHVNIJUEMVOLOUPUQUOIUJUHAIJUMLURUSZVQIUTAVKULZVHVAVRVIVAVBVCVD $.
  $}

  ${
    $d f k W $.
    ldualsca.f $e |- F = ( Scalar ` W ) $.
    ldualsca.o $e |- O = ( oppR ` F ) $.
    ldualsca.d $e |- D = ( LDual ` W ) $.
    ldualsca.r $e |- R = ( Scalar ` D ) $.
    ldualsca.w $e |- ( ph -> W e. X ) $.
    $( The ring of scalars of the dual of a vector space.  (Contributed by NM,
       18-Oct-2014.) $)
    ldualsca $p |- ( ph -> R = O ) $=
      ( vk vf csca cfv cnx cbs cop eqid clfn cplusg cof cxp cres cvsca cv cmulr
      ctp csn co cmpo cun ldualset fveq2d wcel wceq coppr fvexi lmodsca 3eqtr4g
      cvv ax-mp ) ABOPQRPFUAPZSQUBPDUBPZUCVDVDUDUEZSQOPESUIQUFPMNDRPZVDNUGFRPZM
      UGUJUDDUHPZUCUKULZSUJUMZOPZCEABVKOABVEVFDVJVINMVDVGEVHFGVHTVETVFTVDTJHVGT
      VITIVJTLUNUOKEVBUPEVLUQEDURIUSVDVFVJEVKVBVKTUTVCVA $.
  $}

  ${
    ldualsbase.f $e |- F = ( Scalar ` W ) $.
    ldualsbase.l $e |- L = ( Base ` F ) $.
    ldualsbase.d $e |- D = ( LDual ` W ) $.
    ldualsbase.r $e |- R = ( Scalar ` D ) $.
    ldualsbase.k $e |- K = ( Base ` R ) $.
    ldualsbase.w $e |- ( ph -> W e. V ) $.
    $( Base set of scalar ring for the dual of a vector space.  (Contributed by
       NM, 24-Oct-2014.) $)
    ldualsbase $p |- ( ph -> K = L ) $=
      ( cbs cfv coppr eqid ldualsca fveq2d opprbas 3eqtr4g ) ACOPDQPZOPEFACUCOA
      BCDUCHGIUCRZKLNSTMFDUCUDJUAUB $.
  $}

  ${
    ldualsadd.f $e |- F = ( Scalar ` W ) $.
    ldualsadd.q $e |- .+ = ( +g ` F ) $.
    ldualsadd.d $e |- D = ( LDual ` W ) $.
    ldualsadd.r $e |- R = ( Scalar ` D ) $.
    ldualsadd.p $e |- .+b = ( +g ` R ) $.
    ldualsadd.w $e |- ( ph -> W e. V ) $.
    $( Scalar addition for the dual of a vector space.  (Contributed by NM,
       24-Oct-2014.)  (New usage is discouraged.) $)
    ldualsaddN $p |- ( ph -> .+b = .+ ) $=
      ( cplusg cfv coppr eqid ldualsca fveq2d oppradd 3eqtr4g ) AEOPFQPZOPDCAEU
      COABEFUCHGIUCRZKLNSTMCFUCUDJUAUB $.
  $}

  ${
    ldualsmul.f $e |- F = ( Scalar ` W ) $.
    ldualsmul.k $e |- K = ( Base ` F ) $.
    ldualsmul.t $e |- .x. = ( .r ` F ) $.
    ldualsmul.d $e |- D = ( LDual ` W ) $.
    ldualsmul.r $e |- R = ( Scalar ` D ) $.
    ldualsmul.m $e |- .xb = ( .r ` R ) $.
    ldualsmul.w $e |- ( ph -> W e. V ) $.
    ldualsmul.x $e |- ( ph -> X e. K ) $.
    ldualsmul.y $e |- ( ph -> Y e. K ) $.
    $( Scalar multiplication for the dual of a vector space.  (Contributed by
       NM, 19-Oct-2014.)  (Revised by Mario Carneiro, 22-Sep-2015.) $)
    ldualsmul $p |- ( ph -> ( X .xb Y ) = ( Y .x. X ) ) $=
      ( co coppr cfv cmulr eqid ldualsca fveq2d syl5eq oveqd opprmul eqtrdi ) A
      JKDUAJKFUBUCZUDUCZUAKJEUAADUMJKADCUDUCUMQACULUDABCFULIHLULUEZOPRUFUGUHUIG
      FUMEULJKMNUNUMUEUJUK $.
  $}

  ${
    $d f k F $.  $d f k G $.  $d f k K $.  $d f k .X. $.  $d f k V $.
    $d f k W $.  $d f k X $.
    ldualfvs.f $e |- F = ( LFnl ` W ) $.
    ldualfvs.v $e |- V = ( Base ` W ) $.
    ldualfvs.r $e |- R = ( Scalar ` W ) $.
    ldualfvs.k $e |- K = ( Base ` R ) $.
    ldualfvs.t $e |- .X. = ( .r ` R ) $.
    ldualfvs.d $e |- D = ( LDual ` W ) $.
    ldualfvs.s $e |- .xb = ( .s ` D ) $.
    ldualfvs.w $e |- ( ph -> W e. Y ) $.
    ${
      ldualfvs.m $e |- .x.
           = ( k e. K , f e. F |-> ( f oF .X. ( V X. { k } ) ) ) $.
      $( Scalar product operation for the dual of a vector space.  (Contributed
         by NM, 18-Oct-2014.) $)
      ldualfvs $p |- ( ph -> .xb = .x. ) $=
        ( cvsca cfv cnx cbs cop cplusg cof cxp cres csca coppr ctp csn cmpo cun
        cv eqid ldualset fveq2d wcel wceq fvexi clfn mpoex lmodvsca ax-mp eqtri
        co cvv 3eqtr4g ) ABUCUDUEUFUDIUGUEUHUDCUHUDZUIIIUJUKZUGUEULUDCUMUDZUGUN
        UEUCUDHGJIGURKHURUOUJFUIVJZUPZUGUOUQZUCUDZDEABVRUCABVMVNCVQFGHIJVOKLMOV
        MUSVNUSNSPQRVOUSVQUSUAUTVATEVQVSUBVQVKVBVQVSVCHGJIVPJCUFQVDILVENVDVFIVN
        VQVOVRVKVRUSVGVHVIVL $.
    $}

    ldualvs.x $e |- ( ph -> X e. K ) $.
    ldualvs.g $e |- ( ph -> G e. F ) $.
    $( Scalar product operation value (which is a functional) for the dual of a
       vector space.  (Contributed by NM, 18-Oct-2014.) $)
    ldualvs $p |- ( ph -> ( X .xb G ) = ( G oF .X. ( V X. { X } ) ) ) $=
      ( vk vf co cv csn cxp cof cmpo eqid ldualfvs wcel wceq sneq xpeq2d oveq2d
      oveqd oveq1 ovex ovmpo syl2anc eqtrd ) AKGDUEKGUCUDHFUDUFZIUCUFZUGZUHZEUI
      ZUEZUJZUEZGIKUGZUHZVHUEZADVJKGABCDVJEUDUCFHIJLMNOPQRSTVJUKZULURAKHUMGFUMV
      KVNUNUAUBUCUDKGHFVIVNVJVDVMVHUEVEKUNZVGVMVDVHVPVFVLIVEKUOUPUQVDGVMVHUSVOG
      VMVHUTVAVBVC $.

    ldualvs.a $e |- ( ph -> A e. V ) $.
    $( Value of scalar product operation value for the dual of a vector space.
       (Contributed by NM, 18-Oct-2014.) $)
    ldualvsval $p |- ( ph -> ( ( X .xb G ) ` A ) = ( ( G ` A ) .X. X ) ) $=
      ( cfv csn cxp cof ldualvs fveq1d wcel wceq cvv cbs fvexi a1i lflf syl2anc
      co wf ffnd wa eqidd ofc2 mpdan eqtrd ) ABLHEUSZUEBHJLUFUGFUHUSZUEZBHUEZLF
      USZABVGVHACDEFGHIJKLMNOPQRSTUAUBUCUIUJABJUKZVIVKULUDAJLVJFHUMIBJUMUKAJKUN
      OUOUPUBAJIHAKMUKHGUKJIHUTUAUCDGHIJKMPQONUQURVAAVLVBVJVCVDVEVF $.
  $}

  ${
    ldualvscl.f $e |- F = ( LFnl ` W ) $.
    ldualvscl.r $e |- R = ( Scalar ` W ) $.
    ldualvscl.k $e |- K = ( Base ` R ) $.
    ldualvscl.d $e |- D = ( LDual ` W ) $.
    ldualvscl.s $e |- .x. = ( .s ` D ) $.
    ldualvscl.w $e |- ( ph -> W e. LMod ) $.
    ldualvscl.x $e |- ( ph -> X e. K ) $.
    ldualvscl.g $e |- ( ph -> G e. F ) $.
    $( The scalar product operation value is a functional.  (Contributed by NM,
       18-Oct-2014.) $)
    ldualvscl $p |- ( ph -> ( X .x. G ) e. F ) $=
      ( co cfv eqid cbs csn cxp cmulr cof clmod ldualvs lflvscl eqeltrd ) AIFDR
      FHUASZIUBUCCUDSZUEREABCDUKEFGUJHIUFJUJTZKLUKTZMNOPQUGACIUKEFGUJHULKLUMJOQ
      PUHUI $.
  $}

  ${
    ldualvaddcom.f $e |- F = ( LFnl ` W ) $.
    ldualvaddcom.d $e |- D = ( LDual ` W ) $.
    ldualvaddcom.p $e |- .+ = ( +g ` D ) $.
    ldualvaddcom.w $e |- ( ph -> W e. LMod ) $.
    ldualvaddcom.x $e |- ( ph -> X e. F ) $.
    ldualvaddcom.y $e |- ( ph -> Y e. F ) $.
    $( Commutative law for vector (functional) addition.  (Contributed by NM,
       17-Jan-2015.) $)
    ldualvaddcom $p |- ( ph -> ( X .+ Y ) = ( Y .+ X ) ) $=
      ( csca cfv cplusg co eqid clmod ldualvadd cof lfladdcom 3eqtr4d ) AFGENOZ
      POZUAZQGFUFQFGCQGFCQAUEUDDFGEUDRZUERZHKLMUBABUECUDDFGESHUGUHIJKLMTABUECUD
      DGFESHUGUHIJKMLTUC $.
  $}

  ${
    ldualvsass.f $e |- F = ( LFnl ` W ) $.
    ldualvsass.r $e |- R = ( Scalar ` W ) $.
    ldualvsass.k $e |- K = ( Base ` R ) $.
    ldualvsass.t $e |- .X. = ( .r ` R ) $.
    ldualvsass.d $e |- D = ( LDual ` W ) $.
    ldualvsass.s $e |- .x. = ( .s ` D ) $.
    ldualvsass.w $e |- ( ph -> W e. LMod ) $.
    ldualvsass.x $e |- ( ph -> X e. K ) $.
    ldualvsass.y $e |- ( ph -> Y e. K ) $.
    ldualvsass.g $e |- ( ph -> G e. F ) $.
    $( Associative law for scalar product operation.  (Contributed by NM,
       20-Oct-2014.) $)
    ldualvsass $p |- ( ph -> ( ( Y .X. X ) .x. G ) = ( X .x. ( Y .x. G ) ) ) $=
      ( co cbs cfv csn cxp cof eqid lflvsass clmod crg wcel lmodring syl ringcl
      syl3anc ldualvs lflvscl 3eqtr4d oveq2d eqtr4d ) AKJEUBZGDUBZJGIUCUDZKUEUF
      EUGZUBZDUBZJKGDUBZDUBAGVDVBUEUFVEUBVFVDJUEUFVEUBVCVGACEFGHVDIKJVDUHZMNOLR
      TSUAUIABCDEFGHVDIVBUJLVIMNOPQRACUKULZKHULJHULVBHULAIUJULVJRCIMUMUNTSHCEKJ
      NOUOUPUAUQABCDEFVFHVDIJUJLVIMNOPQRSACKEFGHVDIVIMNOLRUATURUQUSAVHVFJDABCDE
      FGHVDIKUJLVIMNOPQRTUAUQUTVA $.
  $}

  ${
    ldualvsass2.f $e |- F = ( LFnl ` W ) $.
    ldualvsass2.r $e |- R = ( Scalar ` W ) $.
    ldualvsass2.k $e |- K = ( Base ` R ) $.
    ldualvsass2.d $e |- D = ( LDual ` W ) $.
    ldualvsass2.q $e |- Q = ( Scalar ` D ) $.
    ldualvsass2.t $e |- .X. = ( .r ` Q ) $.
    ldualvsass2.s $e |- .x. = ( .s ` D ) $.
    ldualvsass2.w $e |- ( ph -> W e. LMod ) $.
    ldualvsass2.x $e |- ( ph -> X e. K ) $.
    ldualvsass2.y $e |- ( ph -> Y e. K ) $.
    ldualvsass2.g $e |- ( ph -> G e. F ) $.
    $( Associative law for scalar product operation, using operations from the
       dual space.  (Contributed by NM, 20-Oct-2014.) $)
    ldualvsass2 $p |- ( ph ->
      ( ( X .X. Y ) .x. G ) = ( X .x. ( Y .x. G ) ) ) $=
      ( co cmulr cfv clmod eqid ldualsmul oveq1d ldualvsass eqtrd ) AKLFUDZHEUD
      LKDUEUFZUDZHEUDKLHEUDEUDAUMUOHEABCFUNDIUGJKLNOUNUHZPQRTUAUBUIUJABDEUNGHIJ
      KLMNOUPPSTUAUBUCUKUL $.
  $}

  ${
    ldualvsdi1.f $e |- F = ( LFnl ` W ) $.
    ldualvsdi1.r $e |- R = ( Scalar ` W ) $.
    ldualvsdi1.k $e |- K = ( Base ` R ) $.
    ldualvsdi1.d $e |- D = ( LDual ` W ) $.
    ldualvsdi1.p $e |- .+ = ( +g ` D ) $.
    ldualvsdi1.s $e |- .x. = ( .s ` D ) $.
    ldualvsdi1.w $e |- ( ph -> W e. LMod ) $.
    ldualvsdi1.x $e |- ( ph -> X e. K ) $.
    ldualvsdi1.g $e |- ( ph -> G e. F ) $.
    ldualvsdi1.h $e |- ( ph -> H e. F ) $.
    $( Distributive law for scalar product operation, using operations from the
       dual space.  (Contributed by NM, 21-Oct-2014.) $)
    ldualvsdi1 $p |- ( ph
        -> ( X .x. ( G .+ H ) ) = ( ( X .x. G ) .+ ( X .x. H ) ) ) $=
      ( cplusg cfv cof cbs csn cxp cmulr clmod eqid ldualvs ldualvscl ldualvadd
      co oveq12d ldualvaddcl oveq1d lflvsdi1 3eqtrd 3eqtr4rd ) AKGEUNZKHEUNZDUB
      UCZUDZUNGJUEUCZKUFUGZDUHUCZUDZUNZHVFVHUNZVDUNZVAVBCUNKGHCUNZEUNZAVAVIVBVJ
      VDABDEVGFGIVEJKUILVEUJZMNVGUJZOQRSTUKABDEVGFHIVEJKUILVNMNVOOQRSUAUKUOABVC
      CDFVAVBJUILMVCUJZOPRABDEFGIJKLMNOQRSTULABDEFHIJKLMNOQRSUAULUMAVMVLVFVHUNG
      HVDUNZVFVHUNVKABDEVGFVLIVEJKUILVNMNVOOQRSABCFGHJLOPRTUAUPUKAVLVQVFVHABVCC
      DFGHJUILMVPOPRTUAUMUQAVCDVGFGHIVEJKVNMNVPVOLRSTUAURUSUT $.
  $}

  ${
    ldualvsdi2.f $e |- F = ( LFnl ` W ) $.
    ldualvsdi2.r $e |- R = ( Scalar ` W ) $.
    ldualvsdi2.a $e |- .+ = ( +g ` R ) $.
    ldualvsdi2.k $e |- K = ( Base ` R ) $.
    ldualvsdi2.d $e |- D = ( LDual ` W ) $.
    ldualvsdi2.p $e |- .+b = ( +g ` D ) $.
    ldualvsdi2.s $e |- .x. = ( .s ` D ) $.
    ldualvsdi2.w $e |- ( ph -> W e. LMod ) $.
    ldualvsdi2.x $e |- ( ph -> X e. K ) $.
    ldualvsdi2.y $e |- ( ph -> Y e. K ) $.
    ldualvsdi2.g $e |- ( ph -> G e. F ) $.
    $( Reverse distributive law for scalar product operation, using operations
       from the dual space.  (Contributed by NM, 21-Oct-2014.) $)
    ldualvsdi2 $p |- ( ph
        -> ( ( X .+ Y ) .x. G ) = ( ( X .x. G ) .+b ( Y .x. G ) ) ) $=
      ( cbs cfv csn cxp cmulr clmod eqid wcel lmodacl syl3anc ldualvs lflvsdi2a
      co cof ldualvscl ldualvadd oveq12d eqtr2d 3eqtrd ) AKLCUPZHFUPHJUDUEZVCUF
      UGEUHUEZUQZUPHVDKUFUGVFUPZHVDLUFUGVFUPZCUQZUPZKHFUPZLHFUPZDUPZABEFVEGHIVD
      JVCUIMVDUJZNPVEUJZQSTAJUIUKKIUKLIUKVCIUKTUAUBCEIJKLNPOULUMUCUNACEVEGHIVDJ
      KLVNNPOVOMTUAUBUCUOAVMVKVLVIUPVJABCDEGVKVLJUIMNOQRTABEFGHIJKMNPQSTUAUCURA
      BEFGHIJLMNPQSTUBUCURUSAVKVGVLVHVIABEFVEGHIVDJKUIMVNNPVOQSTUAUCUNABEFVEGHI
      VDJLUIMVNNPVOQSTUBUCUNUTVAVB $.
  $}

  ${
    $d x y z D $.  $d x y z F $.  $d x y z ph $.  $d x y z R $.  $d x y z V $.
    $d z W $.
    ldualgrp.d $e |- D = ( LDual ` W ) $.
    ldualgrp.w $e |- ( ph -> W e. LMod ) $.
    ${
      ldualgrp.v $e |- V = ( Base ` W ) $.
      ldualgrp.p $e |- .+ = oF ( +g ` W ) $.
      ldualgrp.f $e |- F = ( LFnl ` W ) $.
      ldualgrp.r $e |- R = ( Scalar ` W ) $.
      ldualgrp.k $e |- K = ( Base ` R ) $.
      ldualgrp.t $e |- .X. = ( .r ` R ) $.
      ldualgrp.o $e |- O = ( oppR ` R ) $.
      ldualgrp.s $e |- .x. = ( .s ` D ) $.
      $( Lemma for ~ ldualgrp .  (Contributed by NM, 22-Oct-2014.) $)
      ldualgrplem $p |- ( ph -> D e. Grp ) $=
        ( vx vy vz cplusg cfv cv cminusg cmpt c0g csn cxp clmod eqid ldualvbase
        cbs eqcomd eqidd wcel w3a 3ad2ant1 simp2 simp3 ldualvaddcl wa co adantr
        cof simpr2 simpr3 ldualvadd oveq2d simpr1 oveq1d lfladdass 3eqtrd lfl0f
        3eqtr4rd syl simpr lfladd0l eqtrd lflnegcl lflnegl isgrpd ) AUBUCUDGBUE
        UFZBUDJUDUGZUBUGZUFDUHUFZUFUIZJDUJUFZUKULZABUPUFZGABGWMKUMPLWMUNMUOUQAW
        FURAWHGUSZUCUGZGUSZUTBWFGWHWOKPLWFUNZAWNKUMUSZWPMVAAWNWPVBAWNWPVCVDAWNW
        PWGGUSZUTZVEZWHWOWGWFVFZDUEUFZVHZVFWHWOWGXDVFZXDVFZWHXBWFVFWHWOWFVFZWGW
        FVFZXAXBXEWHXDXABXCWFDGWOWGKUMPQXCUNZLWQAWRWTMVGZAWNWPWSVIZAWNWPWSVJZVK
        VLXABXCWFDGWHXBKUMPQXILWQXJAWNWPWSVMZXABWFGWOWGKPLWQXJXKXLVDVKXAXHXGWGX
        DVFWHWOXDVFZWGXDVFXFXABXCWFDGXGWGKUMPQXILWQXJXABWFGWHWOKPLWQXJXMXKVDXLV
        KXAXGXNWGXDXABXCWFDGWHWOKUMPQXILWQXJXMXKVKVNXAXCDGWHWOWGKQXIPXJXMXKXLVO
        VPVRAWRWLGUSZMDGJKWKQWKUNZNPVQVSZAWNVEZWLWHWFVFWLWHXDVFWHXRBXCWFDGWLWHK
        UMPQXILWQAWRWNMVGZAXOWNXQVGAWNVTZVKXRXCDGWHJKWKNQXIXPPXSXTWAWBXRUDDGWHW
        IWJJKNQWIUNZWJUNZPXSXTWCZXRWJWHWFVFWJWHXDVFWLXRBXCWFDGWJWHKUMPQXILWQXSY
        CXTVKXRUDXCDGWHWIWJJKWKNQYAYBPXSXTXIXPWDWBWE $.
    $}

    $( The dual of a vector space is a group.  (Contributed by NM,
       21-Oct-2014.) $)
    ldualgrp $p |- ( ph -> D e. Grp ) $=
      ( cplusg cfv cof csca cvsca cmulr clfn cbs coppr eqid ldualgrplem ) ABCFG
      HZCIGZBJGZRKGZCLGZRMGZRNGZCMGZCDEUDOQOUAOROUBOTOUCOSOP $.
  $}

  ${
    ldual0.r $e |- R = ( Scalar ` W ) $.
    ldual0.z $e |- .0. = ( 0g ` R ) $.
    ldual0.d $e |- D = ( LDual ` W ) $.
    ldual0.s $e |- S = ( Scalar ` D ) $.
    ldual0.o $e |- O = ( 0g ` S ) $.
    ldual0.w $e |- ( ph -> W e. LMod ) $.
    $( The zero scalar of the dual of a vector space.  (Contributed by NM,
       28-Dec-2014.) $)
    ldual0 $p |- ( ph -> O = .0. ) $=
      ( c0g cfv coppr clmod eqid ldualsca fveq2d oppr0 3eqtr4g ) ADNOCPOZNOEGAD
      UCNABDCUCFQHUCRZJKMSTLCUCGUDIUAUB $.
  $}

  ${
    ldual1.r $e |- R = ( Scalar ` W ) $.
    ldual1.u $e |- .1. = ( 1r ` R ) $.
    ldual1.d $e |- D = ( LDual ` W ) $.
    ldual1.s $e |- S = ( Scalar ` D ) $.
    ldual1.i $e |- I = ( 1r ` S ) $.
    ldual1.w $e |- ( ph -> W e. LMod ) $.
    $( The unit scalar of the dual of a vector space.  (Contributed by NM,
       26-Feb-2015.) $)
    ldual1 $p |- ( ph -> I = .1. ) $=
      ( cur cfv coppr clmod eqid ldualsca fveq2d oppr1 3eqtr4g ) ADNOCPOZNOFEAD
      UCNABDCUCGQHUCRZJKMSTLCEUCUDIUAUB $.
  $}

  ${
    ldualneg.r $e |- R = ( Scalar ` W ) $.
    ldualneg.m $e |- M = ( invg ` R ) $.
    ldualneg.d $e |- D = ( LDual ` W ) $.
    ldualneg.s $e |- S = ( Scalar ` D ) $.
    ldualneg.n $e |- N = ( invg ` S ) $.
    ldualneg.w $e |- ( ph -> W e. LMod ) $.
    $( The negative of a scalar of the dual of a vector space.  (Contributed by
       NM, 26-Feb-2015.) $)
    ldualneg $p |- ( ph -> N = M ) $=
      ( cminusg cfv coppr clmod eqid ldualsca fveq2d opprneg 3eqtr4g ) ADNOCPOZ
      NOFEADUCNABDCUCGQHUCRZJKMSTLCEUCUDIUAUB $.
  $}

  ${
    ldualv0.v $e |- V = ( Base ` W ) $.
    ldualv0.r $e |- R = ( Scalar ` W ) $.
    ldualv0.z $e |- .0. = ( 0g ` R ) $.
    ldualv0.d $e |- D = ( LDual ` W ) $.
    ldualv0.o $e |- O = ( 0g ` D ) $.
    ldualv0.w $e |- ( ph -> W e. LMod ) $.
    $( The zero vector of the dual of a vector space.  (Contributed by NM,
       24-Oct-2014.) $)
    ldual0v $p |- ( ph -> O = ( V X. { .0. } ) ) $=
      ( cplusg cfv co wceq clmod eqid wcel csn cxp cof clfn lfl0f syl ldualvadd
      lfladd0l eqtrd cgrp cbs wb ldualgrp ldualelvbase grpid syl2anc mpbid ) AE
      GUAUBZURBNOZPZURQZDURQZAUTURURCNOZUCPURABVCUSCFUDOZURURFRVDSZIVCSZKUSSZMA
      FRTURVDTMCVDEFGIJHVEUEUFZVHUGAVCCVDUREFGHIVFJVEMVHUHUIABUJTURBUKOZTVAVBUL
      ABFKMUMABVDURVIFRVEKVISZMVHUNVIUSBURDVJVGLUOUPUQ $.
  $}

  ${
    ldualv0cl.f $e |- F = ( LFnl ` W ) $.
    ldualv0cl.d $e |- D = ( LDual ` W ) $.
    ldualv0cl.o $e |- .0. = ( 0g ` D ) $.
    ldualv0cl.w $e |- ( ph -> W e. LMod ) $.
    $( The dual zero vector is a functional.  (Contributed by NM,
       5-Mar-2015.) $)
    ldual0vcl $p |- ( ph -> .0. e. F ) $=
      ( cbs cfv csca c0g csn cxp eqid ldual0v clmod wcel lfl0f syl eqeltrd ) AE
      DJKZDLKZMKZNOZCABUDEUCDUEUCPZUDPZUEPZGHIQADRSUFCSIUDCUCDUEUHUIUGFTUAUB $.
  $}

  ${
    $d x y z D $.  $d x y z F $.  $d x y z K $.  $d x y z R $.  $d x y z .x. $.
    $d x y z ph $.
    lduallmod.d $e |- D = ( LDual ` W ) $.
    lduallmod.w $e |- ( ph -> W e. LMod ) $.
    ${
      lduallmod.v $e |- V = ( Base ` W ) $.
      lduallmod.p $e |- .+ = oF ( +g ` W ) $.
      lduallmod.f $e |- F = ( LFnl ` W ) $.
      lduallmod.r $e |- R = ( Scalar ` W ) $.
      lduallmod.k $e |- K = ( Base ` R ) $.
      lduallmod.t $e |- .X. = ( .r ` R ) $.
      lduallmod.o $e |- O = ( oppR ` R ) $.
      lduallmod.s $e |- .x. = ( .s ` D ) $.
      $( Lemma for ~ lduallmod .  (Contributed by NM, 22-Oct-2014.) $)
      lduallmodlem $p |- ( ph -> D e. LMod ) $=
        ( vx vy vz cplusg cfv csca cmulr cur clmod eqid ldualvbase eqcomd eqidd
        cbs ldualsca cvsca wceq a1i opprbas fveq2d oppr1 wcel lmodring opprring
        oppradd crg 3syl ldualgrp cv w3a 3ad2ant1 simp2 ldualvscl adantr simpr1
        simp3 wa simpr2 simpr3 ldualvsdi1 ldualvsdi2 ldualvsass2 co csn cxp cof
        ringidcl simpr ldualvs lfl1sc eqtrd islmodd ) AUBUCUDHBUEUFZDUEUFZEBUGU
        FZUHUFZDUIUFZIGBABUOUFZGABGWSKUJPLWSUKMULUMAWNUNAWPIABWPDIKUJQTLWPUKZMU
        PZUMEBUQUFURAUAUSHIUOUFURAHDITRUTUSWOIUEUFURAWODITWOUKZVFUSAWPIUHXAVAWR
        IUIUFURADWRITWRUKZVBUSAKUJVCZDVGVCZIVGVCMDKQVDZDITVEVHABKLMVIAUBVJZHVCZ
        UCVJZGVCZVKBDEGXIHKXGPQRLUAAXHXDXJMVLAXHXJVMAXHXJVQVNAXHXJUDVJZGVCZVKZV
        RBWNDEGXIXKHKXGPQRLWNUKZUAAXDXMMVOAXHXJXLVPAXHXJXLVSAXHXJXLVTWAAXHXIHVC
        ZXLVKZVRZBWOWNDEGXKHKXGXIPQXBRLXNUAAXDXPMVOZAXHXOXLVPZAXHXOXLVSZAXHXOXL
        VTZWBXQBWPDEWQGXKHKXGXIPQRLWTWQUKUAXRXSXTYAWCAXGGVCZVRZWRXGEWDXGJWRWEWF
        FWGWDXGYCBDEFGXGHJKWRUJPNQRSLUAAXDYBMVOZAWRHVCZYBAXDXEYEMXFHDWRRXCWHVHV
        OAYBWIZWJYCDFWRGXGHJKNQPRSXCYDYFWKWLWM $.
    $}

    $( The dual of a left module is also a left module.  (Contributed by NM,
       22-Oct-2014.) $)
    lduallmod $p |- ( ph -> D e. LMod ) $=
      ( cplusg cfv cof csca cvsca cmulr clfn cbs coppr eqid lduallmodlem ) ABCF
      GHZCIGZBJGZRKGZCLGZRMGZRNGZCMGZCDEUDOQOUAOROUBOTOUCOSOP $.
  $}

  ${
    lduallvec.d $e |- D = ( LDual ` W ) $.
    lduallvec.w $e |- ( ph -> W e. LVec ) $.
    $( The dual of a left vector space is also a left vector space.  Note that
       scalar multiplication is reversed by ~ df-oppr ; otherwise, the dual
       would be a right vector space as is sometimes the case in the
       literature.  (Contributed by NM, 22-Oct-2014.) $)
    lduallvec $p |- ( ph -> D e. LVec ) $=
      ( clmod wcel cfv cdr clvec lveclmod syl lduallmod coppr ldualsca lvecdrng
      csca eqid opprdrng sylib eqeltrd islvec sylanbrc ) ABFGBQHZIGBJGABCDACJGZ
      CFGECKLMAUDCQHZNHZIABUDUFUGCJUFRZUGRZDUDRZEOAUFIGZUGIGAUEUKEUFCUHPLUFUGUI
      STUAUDBUJUBUC $.
  $}

  ${
    ldualvsub.r $e |- R = ( Scalar ` W ) $.
    ldualvsub.n $e |- N = ( invg ` R ) $.
    ldualvsub.u $e |- .1. = ( 1r ` R ) $.
    ldualvsub.f $e |- F = ( LFnl ` W ) $.
    ldualvsub.d $e |- D = ( LDual ` W ) $.
    ldualvsub.p $e |- .+ = ( +g ` D ) $.
    ldualvsub.t $e |- .x. = ( .s ` D ) $.
    ldualvsub.m $e |- .- = ( -g ` D ) $.
    ldualvsub.w $e |- ( ph -> W e. LMod ) $.
    ldualvsub.g $e |- ( ph -> G e. F ) $.
    ldualvsub.h $e |- ( ph -> H e. F ) $.
    $( The value of vector subtraction in the dual of a vector space.
       (Contributed by NM, 27-Feb-2015.) $)
    ldualvsub $p |- ( ph -> ( G .- H ) = ( G .+ ( ( N ` .1. ) .x. H ) ) ) $=
      ( co csca cfv cur cminusg clmod wcel cbs wceq lduallmod eqid ldualelvbase
      lmodvsubval2 syl3anc coppr opprneg ldualsca fveq2d eqtr4id fveq12d oveq1d
      oppr1 oveq2d eqtr4d ) AHIJUDZHBUEUFZUGUFZVIUHUFZUFZIEUDZCUDZHFKUFZIEUDZCU
      DABUIUJHBUKUFZUJIVQUJVHVNULABLQUAUMABGHVQLUIPQVQUNZUAUBUOABGIVQLUIPQVRUAU
      CUOHICEVJVIJVKVQBVRRTVIUNZSVKUNVJUNUPUQAVPVMHCAVOVLIEAFVJKVKAKDURUFZUHUFV
      KDKVTVTUNZNUSAVIVTUHABVIDVTLUIMWAQVSUAUTZVAVBAFVTUGUFVJDFVTWAOVEAVIVTUGWB
      VAVBVCVDVFVG $.
  $}

  ${
    ldualvsubcl.f $e |- F = ( LFnl ` W ) $.
    ldualvsubcl.d $e |- D = ( LDual ` W ) $.
    ldualvsubcl.m $e |- .- = ( -g ` D ) $.
    ldualvsubcl.w $e |- ( ph -> W e. LMod ) $.
    ldualvsubcl.g $e |- ( ph -> G e. F ) $.
    ldualvsubcl.h $e |- ( ph -> H e. F ) $.
    $( Closure of vector subtraction in the dual of a vector space.
       (Contributed by NM, 27-Feb-2015.) $)
    ldualvsubcl $p |- ( ph -> ( G .- H ) e. F ) $=
      ( co csca cfv cur eqid wcel syl cminusg cvsca cplusg ldualvsub cgrp clmod
      cbs crg lmodring ringgrp ringidcl grpinvcl syl2anc ldualvscl ldualvaddcl
      eqeltrd ) ADEFNDGOPZQPZUQUAPZPZEBUBPZNZBUCPZNCABVCUQVAURCDEFUSGUQRZUSRZUR
      RZHIVCRZVARZJKLMUDABVCCDVBGHIVGKLABUQVACEUQUGPZGUTHVDVIRZIVHKAUQUESZURVIS
      ZUTVISAUQUHSZVKAGUFSVMKUQGVDUITZUQUJTAVMVLVNVIUQURVJVFUKTVIUQUSURVJVEULUM
      MUNUOUP $.
  $}

  ${
    ldualvsubval.v $e |- V = ( Base ` W ) $.
    ldualvsubval.r $e |- R = ( Scalar ` W ) $.
    ldualvsubval.s $e |- S = ( -g ` R ) $.
    ldualvsubval.f $e |- F = ( LFnl ` W ) $.
    ldualvsubval.d $e |- D = ( LDual ` W ) $.
    ldualvsubval.m $e |- .- = ( -g ` D ) $.
    ldualvsubval.w $e |- ( ph -> W e. LMod ) $.
    ldualvsubval.g $e |- ( ph -> G e. F ) $.
    ldualvsubval.h $e |- ( ph -> H e. F ) $.
    ldualvsubval.x $e |- ( ph -> X e. V ) $.
    $( The value of the value of vector subtraction in the dual of a vector
       space.  TODO: shorten with ~ ldualvsub ?  (Requires ` D ` to ` oppR `
       conversion.)  (Contributed by NM, 26-Feb-2015.) $)
    ldualvsubval $p |- ( ph
             -> ( ( G .- H ) ` X ) = ( ( G ` X ) S ( H ` X ) ) ) $=
      ( co cfv csca cur cminusg cvsca cplusg clmod wcel cbs wceq lduallmod eqid
      ldualelvbase lmodvsubval2 syl3anc cgrp lmodfgrp syl crg lmodring ringidcl
      grpinvcl syl2anc ldualsbase eleqtrd ldualvscl ldualvaddval cmulr ldualneg
      fveq1d ldual1 fveq12d oveq1d ringgrp lmod1cl ldualvsval rngnegr grpsubval
      lflcl 3eqtrd oveq2d eqtr4d ) AKFGHUBZUCKFBUDUCZUEUCZWFUFUCZUCZGBUGUCZUBZB
      UHUCZUBZUCKFUCZKWKUCZCUHUCZUBZWNKGUCZDUBZAKWEWMABUIUJZFBUKUCZUJGXAUJWEWMU
      LABJPRUMZABEFXAJUIOPXAUNZRSUOABEGXAJUIOPXCRTUOFGWLWJWGWFHWHXABXCWLUNZQWFU
      NZWJUNZWHUNZWGUNZUPUQVLABWPWLCEFWKIJKLMWPUNZOPXDRSABCWJEGCUKUCZJWIOMXJUNZ
      PXFRAWIWFUKUCZXJAWFURUJZWGXLUJZWIXLUJAWTXMXBWFBXEUSUTAWFVAUJZXNAWTXOXBWFB
      XEVBUTXLWFWGXLUNZXHVCUTXLWFWHWGXPXGVDVEABWFCXLXJUIJMXKPXEXPRVFVGTVHUAVIAW
      QWNWRCUFUCZUCZWPUBZWSAWOXRWNWPAWOKCUEUCZXQUCZGWJUBZUCWRYACVJUCZUBXRAKWKYB
      AWIYAGWJAWGXTWHXQABCWFXQWHJMXQUNZPXEXGRVKABCWFXTWGJMXTUNZPXEXHRVMVNVOVLAK
      BCWJYCEGXJIJYAUIOLMXKYCUNZPXFRACURUJZXTXJUJZYAXJUJACVAUJZYGAJUIUJZYIRCJMV
      BUTZCVPUTAYJYHRXTCXJJMXKYEVQUTXJCXQXTXKYDVDVETUAVRAXJCYCXTXQWRXKYFYEYDYKA
      YJGEUJKIUJZWRXJUJZRTUACEGXJIJKUIMXKLOWAUQZVSWBWCAWNXJUJZYMWSXSULAYJFEUJYL
      YORSUACEFXJIJKUIMXKLOWAUQYNXJWPCXQDWNWRXKXIYDNVTVEWDWB $.
  $}

  ${
    ldualssvscl.r $e |- R = ( Scalar ` W ) $.
    ldualssvscl.k $e |- K = ( Base ` R ) $.
    ldualssvscl.d $e |- D = ( LDual ` W ) $.
    ldualssvscl.t $e |- .x. = ( .s ` D ) $.
    ldualssvscl.s $e |- S = ( LSubSp ` D ) $.
    ldualssvscl.w $e |- ( ph -> W e. LMod ) $.
    ldualssvscl.u $e |- ( ph -> U e. S ) $.
    ldualssvscl.x $e |- ( ph -> X e. K ) $.
    ldualssvscl.y $e |- ( ph -> Y e. U ) $.
    $( Closure of scalar product in a dual subspace.)  (Contributed by NM,
       5-Feb-2015.) $)
    ldualssvscl $p |- ( ph -> ( X .x. Y ) e. U ) $=
      ( wcel clmod csca cfv lduallmod eqid ldualsbase eleqtrrd lssvscl syl22anc
      cbs co ) ABUATFDTIBUBUCZUJUCZTJFTIJEUKFTABHMPUDQAIGUMRABULCUMGUAHKLMULUEZ
      UMUEZPUFUGSUMDEFULBIJUNNUOOUHUI $.
  $}

  ${
    ldualssvsubcl.d $e |- D = ( LDual ` W ) $.
    ldualssvsubcl.m $e |- .- = ( -g ` D ) $.
    ldualssvsubcl.s $e |- S = ( LSubSp ` D ) $.
    ldualssvsubcl.w $e |- ( ph -> W e. LMod ) $.
    ldualssvsubcl.u $e |- ( ph -> U e. S ) $.
    ldualssvsubcl.x $e |- ( ph -> X e. U ) $.
    ldualssvsubcl.y $e |- ( ph -> Y e. U ) $.
    $( Closure of vector subtraction in a dual subspace.)  (Contributed by NM,
       9-Mar-2015.) $)
    ldualssvsubcl $p |- ( ph -> ( X .- Y ) e. U ) $=
      ( clmod wcel co lduallmod lssvsubcl syl22anc ) ABPQDCQGDQHDQGHERDQABFILSM
      NOCDEBGHJKTUA $.
  $}

  ${
    ldual0vs.f $e |- F = ( LFnl ` W ) $.
    ldual0vs.r $e |- R = ( Scalar ` W ) $.
    ldual0vs.z $e |- .0. = ( 0g ` R ) $.
    ldual0vs.d $e |- D = ( LDual ` W ) $.
    ldual0vs.t $e |- .x. = ( .s ` D ) $.
    ldual0vs.o $e |- O = ( 0g ` D ) $.
    ldual0vs.w $e |- ( ph -> W e. LMod ) $.
    ldual0vs.g $e |- ( ph -> G e. F ) $.
    $( Scalar zero times a functional is the zero functional.  (Contributed by
       NM, 17-Feb-2015.) $)
    ldual0vs $p |- ( ph -> ( .0. .x. G ) = O ) $=
      ( cfv co eqid csca c0g ldual0 oveq1d wcel cbs wceq lduallmod ldualelvbase
      clmod lmod0vs syl2anc eqtr3d ) ABUARZUBRZFDSZIFDSGAUOIFDABCUNUOHIKLMUNTZU
      OTZPUCUDABUJUEFBUFRZUEUPGUGABHMPUHABEFUSHUJJMUSTZPQUIDUNUOUSBFGUTUQNUROUK
      ULUM $.
  $}

  ${
    lkr0f2.v $e |- V = ( Base ` W ) $.
    lkr0f2.f $e |- F = ( LFnl ` W ) $.
    lkr0f2.k $e |- K = ( LKer ` W ) $.
    lkr0f2.d $e |- D = ( LDual ` W ) $.
    lkr0f2.o $e |- .0. = ( 0g ` D ) $.
    lkr0f2.w $e |- ( ph -> W e. LMod ) $.
    lkr0f2.g $e |- ( ph -> G e. F ) $.
    $( The kernel of the zero functional is the set of all vectors.
       (Contributed by NM, 4-Feb-2015.) $)
    lkr0f2 $p |- ( ph -> ( ( K ` G ) = V <-> G = .0. ) ) $=
      ( cfv wceq csca wcel eqid c0g csn cxp clmod syl2anc ldual0v eqeq2d bitr4d
      wb lkr0f ) ADEPFQZDFGRPZUAPZUBUCZQZDHQAGUDSDCSUKUOUINOULCDEFGUMULTZUMTZIJ
      KUJUEAHUNDABULHFGUMIUPUQLMNUFUGUH $.
  $}

  ${
    lduallkr3.h $e |- H = ( LSHyp ` W ) $.
    lduallkr3.f $e |- F = ( LFnl ` W ) $.
    lduallkr3.k $e |- K = ( LKer ` W ) $.
    lduallkr3.d $e |- D = ( LDual ` W ) $.
    lduallkr3.o $e |- .0. = ( 0g ` D ) $.
    lduallkr3.w $e |- ( ph -> W e. LVec ) $.
    lduallkr3.g $e |- ( ph -> G e. F ) $.
    $( The kernels of nonzero functionals are hyperplanes.  (Contributed by NM,
       22-Feb-2015.) $)
    lduallkr3 $p |- ( ph -> ( ( K ` G ) e. H <-> G =/= .0. ) ) $=
      ( cfv wcel cbs wne eqid csca c0g csn cxp lkrshp3 clvec clmod lveclmod syl
      ldual0v neeq2d bitr4d ) ADFPEQDGRPZGUAPZUBPZUCUDZSDHSAUNCDEFUMGUOUMTZUNTZ
      UOTZIJKNOUEAHUPDABUNHUMGUOUQURUSLMAGUFQGUGQNGUHUIUJUKUL $.
  $}

  ${
    lkrpss.f $e |- F = ( LFnl ` W ) $.
    lkrpss.k $e |- K = ( LKer ` W ) $.
    lkrpss.d $e |- D = ( LDual ` W ) $.
    lkrpss.o $e |- .0. = ( 0g ` D ) $.
    lkrpss.w $e |- ( ph -> W e. LVec ) $.
    lkrpss.g $e |- ( ph -> G e. F ) $.
    lkrpss.h $e |- ( ph -> H e. F ) $.
    $( Proper subset relation between kernels.  (Contributed by NM,
       16-Feb-2015.)  (New usage is discouraged.) $)
    lkrpssN $p |- ( ph -> ( ( K ` G ) C. ( K ` H )
     <-> ( G =/= .0. /\ H = .0. ) ) ) $=
      ( cfv wne wceq wa simpr wpss cbs wss df-pss eqid clvec clmod lveclmod syl
      wcel lkrssv adantr psssstrd pssned sylan2br clsh simplr ad3antrrr simpllr
      wn ad2antrr eqsstrrd eqssd wb lkrshp4 necon1bbid mpbird pm2.21dd lkrshpor
      wo mpjaodan lshpcmp mpbid necon3ad impr jca simprr eqcomd sseqtrd neeqtrd
      ex simprl impbida syl5bb lkr0f2 necon3bid anbi12d bitrd ) ADFPZEFPZUAZWIG
      UBPZQZWJWLRZSZDHQZEHRZSWKWIWJUCZWIWJQZSZAWOWIWJUDZAWTWOAWTSZWMWNWTAWKWMXA
      AWKSZWIWLXCWIWJWLAWKTAWJWLUCZWKACEFWLGWLUEZIJAGUFUJZGUGUJMGUHUIZOUKZULUMU
      NUOXBWJGUPPZUJZUTZWNAWRWSXKAWRSZXJWIWJXLXJWIWJRZXLXJSZWRXMAWRXJUQXNWIWJXI
      GXIUEZAXFWRXJMVAXNWIXIUJZXPWIWLRZXNXPTXNXQSZXJXPXLXJXQUQXRXKWNXRWJWLAXDWR
      XJXQXHURXRWLWIWJXNXQTAWRXJXQUSVBVCXRXJWJWLAWJWLQXJVDWRXJXQACEXIFWLGXEXOIJ
      MOVEZURVFVGVHAXPXQVJWRXJACDXIFWLGXEXOIJMNVIVAVKXLXJTVLVMWAVNVOAXKWNVDWTAX
      JWJWLXSVFULVMVPAWOSZWRWSXTWIWLWJAWIWLUCWOACDFWLGXEIJXGNUKULXTWJWLAWMWNVQV
      RZVSXTWIWLWJAWMWNWBYAVTVPWCWDAWMWPWNWQAWIWLDHABCDFWLGHXEIJKLXGNWEWFABCEFW
      LGHXEIJKLXGOWEWGWH $.
  $}

  ${
    $d v G $.  $d v H $.  $d v K $.  $d v .+ $.  $d v ph $.
    lkrin.f $e |- F = ( LFnl ` W ) $.
    lkrin.k $e |- K = ( LKer ` W ) $.
    lkrin.d $e |- D = ( LDual ` W ) $.
    lkrin.p $e |- .+ = ( +g ` D ) $.
    lkrin.w $e |- ( ph -> W e. LMod ) $.
    lkrin.e $e |- ( ph -> G e. F ) $.
    lkrin.g $e |- ( ph -> H e. F ) $.
    $( Intersection of the kernels of 2 functionals is included in the kernel
       of their sum.  (Contributed by NM, 7-Jan-2015.) $)
    lkrin $p |- ( ph ->
             ( ( K ` G ) i^i ( K ` H ) ) C_ ( K ` ( G .+ H ) ) ) $=
      ( cfv wcel clmod adantr eqid vv cin co cv wa elin cbs csca c0g wceq lkrcl
      simprl syl3anc cplusg ldualvaddval lkrf0 simprr oveq12d cgrp crg lmodring
      syl ringgrp grpidcl grplid syl2anc2 3eqtrd wb ldualvaddcl ellkr mpbir2and
      syl2anc ex syl5bi ssrdv ) AUAEGPZFGPZUBZEFCUCZGPZUAUDZVRQWAVPQZWAVQQZUEZA
      WAVTQZWAVPVQUFAWDWEAWDUEZWEWAHUGPZQZWAVSPZHUHPZUIPZUJZWFHRQZEDQZWBWHAWMWD
      MSZAWNWDNSZAWBWCULZDEGWGHWARWGTZIJUKUMZWFWIWAEPZWAFPZWJUNPZUCWKWKXBUCZWKW
      FBXBCWJDEFWGHWAWRWJTZXBTZIKLWOWPAFDQZWDOSZWSUOWFWTWKXAWKXBWFWMWNWBWTWKUJW
      OWPWQWJDEGHWARWKXDWKTZIJUPUMWFWMXFWCXAWKUJWOXGAWBWCUQWJDFGHWARWKXDXHIJUPU
      MURAXCWKUJZWDAWJUSQZWKWJUGPZQXIAWJUTQZXJAWMXLMWJHXDVAVBWJVCVBXKWJWKXKTZXH
      VDXKXBWJWKWKXMXEXHVEVFSVGWFWMVSDQZWEWHWLUEVHWOAXNWDABCDEFHIKLMNOVISWJDVSG
      WGHWARWKWRXDXHIJVJVLVKVMVNVO $.
  $}

  ${
    $d r F $.  $d r G $.  $d r H $.  $d r K $.  $d r R $.  $d r S $.  $d r W $.
    $d r ph $.
    eqlkr4.s $e |- S = ( Scalar ` W ) $.
    eqlkr4.r $e |- R = ( Base ` S ) $.
    eqlkr4.f $e |- F = ( LFnl ` W ) $.
    eqlkr4.k $e |- K = ( LKer ` W ) $.
    eqlkr4.d $e |- D = ( LDual ` W ) $.
    eqlkr4.t $e |- .x. = ( .s ` D ) $.
    eqlkr4.w $e |- ( ph -> W e. LVec ) $.
    eqlkr4.g $e |- ( ph -> G e. F ) $.
    eqlkr4.h $e |- ( ph -> H e. F ) $.
    eqlkr4.e $e |- ( ph -> ( K ` G ) = ( K ` H ) ) $.
    $( Two functionals with the same kernel are the same up to a constant.
       (Contributed by NM, 4-Feb-2015.) $)
    eqlkr4 $p |- ( ph -> E. r e. R H = ( r .x. G ) ) $=
      ( cv wceq wrex cbs cfv csn cxp cmulr cof clvec wcel eqid eqlkr2 syl121anc
      co wa adantr simpr ldualvs eqeq2d rexbidva mpbird ) AHKUBZGEUPZUCZKCUDHGJ
      UEUFZVDUGUHDUIUFZUJUPZUCZKCUDZAJUKULZGFULZHFULGIUFHIUFUCVKRSTUADVHFGHCIVG
      JKLMVHUMZVGUMZNOUNUOAVFVJKCAVDCULZUQZVEVIHVQBDEVHFGCVGJVDUKNVOLMVNPQAVLVP
      RURAVPUSAVMVPSURUTVAVBVC $.
  $}

  ${
    $d g k D $.  $d k F $.  $d g k G $.  $d k L $.  $d g k N $.  $d k W $.
    $d g k ph $.
    ldual1dim.f $e |- F = ( LFnl ` W ) $.
    ldual1dim.l $e |- L = ( LKer ` W ) $.
    ldual1dim.d $e |- D = ( LDual ` W ) $.
    ldual1dim.n $e |- N = ( LSpan ` D ) $.
    ldual1dim.w $e |- ( ph -> W e. LVec ) $.
    ldual1dim.g $e |- ( ph -> G e. F ) $.
    $( Equivalent expressions for a 1-dim subspace (ray) of functionals.
       (Contributed by NM, 24-Oct-2014.) $)
    ldual1dim $p |- ( ph -> ( N ` { G } )
        = { g e. F | ( L ` G ) C_ ( L ` g ) } ) $=
      ( vk cfv cbs wcel wa eqid cv cvsca co wceq csca cab csn cxp cmulr cof wss
      clvec ldualsbase eleq2d anbi1d adantr simpr ldualvs eqeq2d pm5.32da bitrd
      wrex crab rexbidv2 abbidv clmod lveclmod lduallmod syl ldualelvbase lspsn
      syl2anc lfl1dim 3eqtr4d ) ACUAZOUAZEBUBPZUCZUDZOBUEPZQPZVBZCUFZVOEHQPZVPU
      GUHHUEPZUIPZUJUCZUDZOWEQPZVBZCUFEUGGPZEFPVOFPUKCDVCAWBWJCAVSWHOWAWIAVPWAR
      ZVSSVPWIRZVSSWMWHSAWLWMVSAWAWIVPABVTWEWAWIULHWETZWITZKVTTZWATZMUMUNUOAWMV
      SWHAWMSZVRWGVOWRBWEVQWFDEWIWDHVPULIWDTZWNWOWFTZKVQTZAHULRZWMMUPAWMUQAEDRW
      MNUPURUSUTVAVDVEABVFRZEBQPZRWKWCUDAXBXCMXBBHKHVGVHVIABDEXDHULIKXDTZMNVJCV
      QOVTWAGXDBEWPWQXEXALVKVLAWEWFCODEWIFWDHWSWNIJWOWTMNVMVN $.
  $}

  ${
    ldualkrsc.r $e |- R = ( Scalar ` W ) $.
    ldualkrsc.k $e |- K = ( Base ` R ) $.
    ldualkrsc.o $e |- .0. = ( 0g ` R ) $.
    ldualkrsc.f $e |- F = ( LFnl ` W ) $.
    ldualkrsc.l $e |- L = ( LKer ` W ) $.
    ldualkrsc.d $e |- D = ( LDual ` W ) $.
    ldualkrsc.s $e |- .x. = ( .s ` D ) $.
    ldualkrsc.w $e |- ( ph -> W e. LVec ) $.
    ldualkrsc.g $e |- ( ph -> G e. F ) $.
    ldualkrsc.x $e |- ( ph -> X e. K ) $.
    ldualkrsc.e $e |- ( ph -> X =/= .0. ) $.
    $( The kernel of a nonzero scalar product of a functional equals the kernel
       of the functional.  (Contributed by NM, 28-Dec-2014.) $)
    ldualkrsc $p |- ( ph -> ( L ` ( X .x. G ) ) = ( L ` G ) ) $=
      ( co cfv cbs csn cxp cmulr cof clvec eqid ldualvs fveq2d lkrsc eqtrd ) AJ
      FDUCZHUDFIUEUDZJUFUGCUHUDZUIUCZHUDFHUDAUPUSHABCDUREFGUQIJUJOUQUKZLMURUKZQ
      RSUATULUMACJUREFGHUQIKUTLMVAOPSTUANUBUNUO $.
  $}

  ${
    lkrss.r $e |- R = ( Scalar ` W ) $.
    lkrss.k $e |- K = ( Base ` R ) $.
    lkrss.f $e |- F = ( LFnl ` W ) $.
    lkrss.l $e |- L = ( LKer ` W ) $.
    lkrss.d $e |- D = ( LDual ` W ) $.
    lkrss.s $e |- .x. = ( .s ` D ) $.
    lkrss.w $e |- ( ph -> W e. LVec ) $.
    lkrss.g $e |- ( ph -> G e. F ) $.
    lkrss.x $e |- ( ph -> X e. K ) $.
    $( The kernel of a scalar product of a functional includes the kernel of
       the functional.  (Contributed by NM, 27-Jan-2015.) $)
    lkrss $p |- ( ph -> ( L ` G ) C_ ( L ` ( X .x. G ) ) ) $=
      ( cfv cbs csn cxp cmulr cof co eqid lkrscss clvec ldualvs fveq2d sseqtrrd
      ) AFHTFIUATZJUBUCCUDTZUEUFZHTJFDUFZHTACJUNEFGHUMIUMUGZKLUNUGZMNQRSUHAUPUO
      HABCDUNEFGUMIJUIMUQKLUROPQSRUJUKUL $.
  $}

  ${
    $d r F $.  $d r G $.  $d r H $.  $d r K $.  $d r R $.  $d r S $.  $d r W $.
    $d r ph $.  $d r .x. $.
    lkrss2.s $e |- S = ( Scalar ` W ) $.
    lkrss2.r $e |- R = ( Base ` S ) $.
    lkrss2.f $e |- F = ( LFnl ` W ) $.
    lkrss2.k $e |- K = ( LKer ` W ) $.
    lkrss2.d $e |- D = ( LDual ` W ) $.
    lkrss2.t $e |- .x. = ( .s ` D ) $.
    lkrss2.w $e |- ( ph -> W e. LVec ) $.
    lkrss2.g $e |- ( ph -> G e. F ) $.
    lkrss2.h $e |- ( ph -> H e. F ) $.
    $( Two functionals with kernels in a subset relationship.  (Contributed by
       NM, 17-Feb-2015.)  (New usage is discouraged.) $)
    lkrss2N $p |- ( ph
         -> ( ( K ` G ) C_ ( K ` H ) <-> E. r e. R H = ( r .x. G ) ) ) $=
      ( cfv wss cv co wceq wrex wpss wo sspss c0g eqid lkrpssN wcel clmod clvec
      wne wa lveclmod syl lmod0cl adantr simpr ldual0vs eqtr4d rspceeqv syl2anc
      oveq1 ex adantld sylbid imp eqlkr4 jaodan sylan2b wi lkrss fveq2 biimprcd
      sseq2d syl6 rexlimdv impbida ) AGIUAZHIUAZUBZHKUCZGEUDZUEZKCUFZWEAWCWDUGZ
      WCWDUEZUHWIWCWDUIAWJWIWKAWJWIAWJGBUJUAZUPZHWLUEZUQWIABFGHIJWLNOPWLUKZRSTU
      LAWNWIWMAWNWIAWNUQZDUJUAZCUMZHWQGEUDZUEWIAWRWNAJUNUMZWRAJUOUMZWTRJURUSZDC
      JWQLMWQUKZUTUSVAWPHWLWSAWNVBAWSWLUEWNABDEFGWLJWQNLXCPQWOXBSVCVAVDKWQCWGWS
      HWFWQGEVGVEVFVHVIVJVKAWKUQBCDEFGHIJKLMNOPQAXAWKRVAAGFUMZWKSVAAHFUMWKTVAAW
      KVBVLVMVNAWIWEAWHWEKCAWFCUMZWCWGIUAZUBZWHWEVOAXEXGAXEUQBDEFGCIJWFLMNOPQAX
      AXERVAAXDXESVAAXEVBVPVHWHWEXGWHWDXFWCHWGIVQVSVRVTWAVKWB $.
  $}

  ${
    lkreq.s $e |- S = ( Scalar ` W ) $.
    lkreq.r $e |- R = ( Base ` S ) $.
    lkreq.o $e |- .0. = ( 0g ` S ) $.
    lkreq.f $e |- F = ( LFnl ` W ) $.
    lkreq.k $e |- K = ( LKer ` W ) $.
    lkreq.d $e |- D = ( LDual ` W ) $.
    lkreq.t $e |- .x. = ( .s ` D ) $.
    lkreq.w $e |- ( ph -> W e. LVec ) $.
    lkreq.a $e |- ( ph -> A e. ( R \ { .0. } ) ) $.
    lkreq.h $e |- ( ph -> H e. F ) $.
    lkreq.g $e |- ( ph -> G = ( A .x. H ) ) $.
    $( Proportional functionals have equal kernels.  (Contributed by NM,
       28-Mar-2015.)  (New usage is discouraged.) $)
    lkreqN $p |- ( ph -> ( K ` G ) = ( K ` H ) ) $=
      ( cfv wceq c0g wne wa wn wo co eqeq1d csca cbs eqid lduallvec csn eldifad
      clvec ldualsbase eleqtrrd ldualelvbase lvecvs0or wcel lveclmod syl ldual0
      clmod eqeq2d cdif eldifsni a1d necon4d sylbid idd jaod syl6ibr con3d orrd
      nne ianor sylibr wss wpss ldualvscl eqeltrd lkrpssN df-pss bitr3di fveq2d
      lkrss sseqtrrd biantrurd bitr4d necon2bbid mpbird eqcomd ) AIJUDZHJUDZAWR
      WSUEICUFUDZUGZHWTUEZUHZUIZAXAUIZXBUIZUJXDAXEXFAXBXEAXBIWTUEZXEAXBBIFUKZWT
      UEZXGAHXHWTUCULAXIBCUMUDZUFUDZUEZXGUJXGABFXJXJUNUDZXKCUNUDZCIWTXNUOZSXJUO
      ZXMUOZXKUOZWTUOZACKRTUPABDXMABDLUQZUAURZACXJEXMDUSKMNRXPXQTUTVAACGIXNKUSP
      RXOTUBVBVCAXLXGXGAXLBLUEXGAXKLBACEXJXKKLMORXPXRAKUSVDKVHVDTKVEVFZVGVIAIWT
      BLABLUGZXAABDXTVJVDYCUABDLVKVFVLVMVNAXGVOVPVNVNIWTVTVQVRVSXAXBWAWBAXCWRWS
      AXCWRWSWCZWRWSUGZUHZYEAWRWSWDXCYFACGIHJKWTPQRXSTUBAHXHGUCACEFGIDKBPMNRSYB
      YAUBWEWFWGWRWSWHWIAYDYEAWRXHJUDWSACEFGIDJKBMNPQRSTUBYAWKAHXHJUCWJWLWMWNWO
      WPWQ $.
  $}

  ${
    $d k D $.  $d k G $.  $d k H $.  $d k L $.  $d k N $.  $d k W $.
    $d k ph $.
    lkrlspeq.f $e |- F = ( LFnl ` W ) $.
    lkrlspeq.l $e |- L = ( LKer ` W ) $.
    lkrlspeq.d $e |- D = ( LDual ` W ) $.
    lkrlspeq.o $e |- .0. = ( 0g ` D ) $.
    lkrlspeq.j $e |- N = ( LSpan ` D ) $.
    lkrlspeq.w $e |- ( ph -> W e. LVec ) $.
    lkrlspeq.h $e |- ( ph -> H e. F ) $.
    lkrlspeq.g $e |- ( ph -> G e. ( ( N ` { H } ) \ { .0. } ) ) $.
    $( Condition for colinear functionals to have equal kernels.  (Contributed
       by NM, 20-Mar-2015.)  (New usage is discouraged.) $)
    lkrlspeqN $p |- ( ph -> ( L ` G ) = ( L ` H ) ) $=
      ( cfv wceq wcel vk cv cvsca co csca cbs wrex eldifad clmod clvec lveclmod
      csn wb syl lduallmod eqid ldualelvbase lspsnel syl2anc ldualsbase rexeqdv
      mpbid w3a c0g 3ad2ant1 wne simp2 simp3 eldifsni eqnetrrd wo ldual0 eqeq2d
      cdif orc syl6bir lduallvec eleqtrrd lvecvs0or sylibrd necon3d mpd eldifsn
      sylanbrc lkreqN rexlimdv3a ) ADUAUBZEBUCRZUDZSZUAHUERZUFRZUGZDFREFRSZAWJU
      ABUERZUFRZUGZWMADEULGRZTZWQADWRIULZQUHABUITEBUFRZTZWSWQUMABHLAHUJTZHUITOH
      UKUNZUOABCEXAHUJJLXAUPZOPUQZWHDUAWOWPGXABEWOUPZWPUPZXEWHUPZNURUSVBAWJUAWP
      WLABWOWKWPWLUJHWKUPZWLUPZLXGXHOUTZVAVBAWJWNUAWLAWGWLTZWJVCZWGBWLWKWHCDEFH
      WKVDRZXJXKXOUPZJKLXIAXMXCWJOVEXNXMWGXOVFZWGWLXOULVNTAXMWJVGZXNWIIVFXQXNDW
      IIAXMWJVHZAXMDIVFZWJADWRWTVNTXTQDWRIVIUNVEVJXNWGXOWIIXNWGXOSZWGWOVDRZSZEI
      SZVKZWIISXNYAYCYEXNYBXOWGAXMYBXOSWJABWKWOYBHXOXJXPLXGYBUPZXDVLVEVMYCYDVOV
      PXNWGWHWOWPYBXABEIXEXIXGXHYFMAXMBUJTWJABHLOVQVEXNWGWLWPXRAXMWPWLSWJXLVEVR
      AXMXBWJXFVEVSVTWAWBWGWLXOWCWDAXMECTWJPVEXSWEWFWB $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ortholattices and orthomodular lattices
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c OP $.
  $c cm $.
  $c OL $.
  $c OML $.

  $( Extend class notation with orthoposets. $)
  cops $a class OP $.

  $( Extend class notation with the commutes relation. $)
  ccmtN $a class cm $.

  $( Extend class notation with orthlattices. $)
  col $a class OL $.

  $( Extend class notation with orthomodular lattices. $)
  coml $a class OML $.

  ${
    $d a b p o $.
    $( Define the class of orthoposets, which are bounded posets with an
       orthocomplementation operation.  Note that ` ( Base ` p ) e. dom ( lub
       ` p ) ` means there is an upper bound ` 1. ` , and similarly for the
       ` 0. ` element.  (Contributed by NM, 20-Oct-2011.)  (Revised by NM,
       13-Sep-2018.) $)
    df-oposet $a |- OP = { p e. Poset |
       ( ( ( Base ` p ) e. dom ( lub ` p )
       /\ ( Base ` p ) e. dom ( glb ` p ) )
        /\ E. o
           ( o = ( oc ` p )
          /\ A. a e. ( Base ` p ) A. b e. ( Base ` p )
               ( ( ( o ` a ) e. ( Base ` p ) /\ ( o ` ( o ` a ) ) = a
                /\ ( a ( le ` p ) b -> ( o ` b ) ( le ` p ) ( o ` a ) ) )
                /\ ( a ( join ` p ) ( o ` a ) ) = ( 1. ` p )
                   /\ ( a ( meet ` p ) ( o ` a ) ) = ( 0. ` p ) )
          ) ) } $.
  $}

  ${
    $d p x y $.
    $( Define the commutes relation for orthoposets.  Definition of commutes in
       [Kalmbach] p. 20.  (Contributed by NM, 6-Nov-2011.) $)
    df-cmtN $a |- cm = ( p e. _V |-> { <. x , y >. | ( x e. ( Base ` p )
             /\ y e. ( Base ` p )
             /\ x = ( ( x ( meet ` p ) y )
                ( join ` p ) ( x ( meet ` p ) ( ( oc ` p ) ` y ) ) ) ) } ) $.
  $}

  $( Define the class of ortholattices.  Definition from [Kalmbach] p. 16.
     (Contributed by NM, 18-Sep-2011.) $)
  df-ol $a |- OL = ( Lat i^i OP ) $.

  ${
    $d a b l $.
    $( Define the class of orthomodular lattices.  Definition from [Kalmbach]
       p. 16.  (Contributed by NM, 18-Sep-2011.) $)
    df-oml $a |- OML = { l e. OL | A. a e. ( Base ` l ) A. b e. ( Base ` l )
       ( a ( le ` l ) b -> b = ( a ( join ` l ) ( b ( meet ` l )
          ( ( oc ` l ) ` a ) ) ) ) } $.
  $}

  ${
    $d n p .\/ $.  $d n p .<_ $.  $d n p ./\ $.  $d n p .0. $.  $d n p x y B $.
    $d n p x y ._|_ $.  $d n p .1. $.  $d n p x y K $.  $d p U $.  $d p G $.
    isopos.b $e |- B = ( Base ` K ) $.
    isopos.e $e |- U = ( lub ` K ) $.
    isopos.g $e |- G = ( glb ` K ) $.
    isopos.l $e |- .<_ = ( le ` K ) $.
    isopos.o $e |- ._|_ = ( oc ` K ) $.
    isopos.j $e |- .\/ = ( join ` K ) $.
    isopos.m $e |- ./\ = ( meet ` K ) $.
    isopos.f $e |- .0. = ( 0. ` K ) $.
    isopos.u $e |- .1. = ( 1. ` K ) $.
    $( The predicate "is an orthoposet."  (Contributed by NM, 20-Oct-2011.)
       (Revised by NM, 14-Sep-2018.) $)
    isopos $p |- ( K e. OP <-> ( ( K e. Poset /\ B e. dom U /\ B e. dom G )
            /\ A. x e. B A. y e. B ( ( ( ._|_ ` x ) e. B
                 /\ ( ._|_ ` ( ._|_ ` x ) ) = x
                 /\ ( x .<_ y -> ( ._|_ ` y ) .<_ ( ._|_ ` x ) ) )
       /\ ( x .\/ ( ._|_ ` x ) ) = .1. /\ ( x ./\ ( ._|_ ` x ) ) = .0. ) ) ) $=
      ( vn vp cops wcel cpo cdm wa cv wceq cfv wbr wi w3a co wral wex club cglb
      cbs coc cple cjn cp1 cmee cp0 fveq2 eqtr4di eleq12d anbi12d eqeq2d eleq2d
      dmeqd breqd imbi12d 3anbi13d eqeq12d 3anbi123d raleqbidv exbidv df-oposet
      oveqd elrab2 anass 3anass bicomi fvexi fveq1 eleq1d fveq12d eqeq1d imbi2d
      id breq12d oveq2d 2ralbidv ceqsexv anbi12i 3bitr2i ) HUDUEHUFUEZCDUGZUEZC
      FUGZUEZUHZUBUIZKUJZAUIZXFUKZCUEZXIXFUKZXHUJZXHBUIZIULZXMXFUKZXIIULZUMZUNZ
      XHXIGUOZEUJZXHXIJUOZLUJZUNZBCUPZACUPZUHZUBUQZUHZUHWTXEUHZYGUHWTXBXDUNZXHK
      UKZCUEZYKKUKZXHUJZXNXMKUKZYKIULZUMZUNZXHYKGUOZEUJZXHYKJUOZLUJZUNZBCUPACUP
      ZUHUCUIZUTUKZUUEURUKZUGZUEZUUFUUEUSUKZUGZUEZUHZXFUUEVAUKZUJZXIUUFUEZXLXHX
      MUUEVBUKZULZXOXIUUQULZUMZUNZXHXIUUEVCUKZUOZUUEVDUKZUJZXHXIUUEVEUKZUOZUUEV
      FUKZUJZUNZBUUFUPZAUUFUPZUHZUBUQZUHYHUCHUFUDUUEHUJZUUMXEUVNYGUVOUUIXBUULXD
      UVOUUFCUUHXAUVOUUFHUTUKCUUEHUTVGMVHZUVOUUGDUVOUUGHURUKDUUEHURVGNVHVMVIUVO
      UUFCUUKXCUVPUVOUUJFUVOUUJHUSUKFUUEHUSVGOVHVMVIVJUVOUVMYFUBUVOUUOXGUVLYEUV
      OUUNKXFUVOUUNHVAUKKUUEHVAVGQVHVKUVOUVKYDAUUFCUVPUVOUVJYCBUUFCUVPUVOUVAXRU
      VEXTUVIYBUVOUUPXJUUTXQXLUVOUUFCXIUVPVLUVOUURXNUUSXPUVOUUQIXHXMUVOUUQHVBUK
      IUUEHVBVGPVHZVNUVOUUQIXOXIUVQVNVOVPUVOUVCXSUVDEUVOUVBGXHXIUVOUVBHVCUKGUUE
      HVCVGRVHWBUVOUVDHVDUKEUUEHVDVGUAVHVQUVOUVGYAUVHLUVOUVFJXHXIUVOUVFHVEUKJUU
      EHVEVGSVHWBUVOUVHHVFUKLUUEHVFVGTVHVQVRVSVSVJVTVJUBUCABWAWCWTXEYGWDYIYJYGU
      UDYJYIWTXBXDWEWFYEUUDUBKKHVAQWGXGYCUUCABCCXGXRYRXTYTYBUUBXGXJYLXLYNXQYQXG
      XIYKCXHXFKWHZWIXGXKYMXHXGXIYKXFKXGWMUVRWJWKXGXPYPXNXGXOYOXIYKIXMXFKWHUVRW
      NWLVRXGXSYSEXGXIYKXHGUVRWOWKXGYAUUALXGXIYKXHJUVRWOWKVRWPWQWRWS $.
  $}

  ${
    $d x y K $.
    $( Every orthoposet is a poset.  (Contributed by NM, 12-Oct-2011.) $)
    opposet $p |- ( K e. OP -> K e. Poset ) $=
      ( vx vy cops wcel cpo cbs cfv club cdm cglb w3a cv coc wceq cple wbr wral
      co eqid wi cjn cp1 cmee cp0 wa isopos simpl1 sylbi ) ADEAFEZAGHZAIHZJEZUK
      AKHZJEZLBMZANHZHZUKEURUQHUPOUPCMZAPHZQUSUQHURUTQUALUPURAUBHZSAUCHZOUPURAU
      DHZSAUEHZOLCUKRBUKRZUFUJBCUKULVBUNVAAUTVCUQVDUKTULTUNTUTTUQTVATVCTVDTVBTU
      GUJUMUOVEUHUI $.
  $}

  ${
    $d x y .\/ $.  $d x y .<_ $.  $d x y B $.  $d x y K $.  $d x y X $.
    $d x y ./\ $.  $d x y ._|_ $.  $d x y .0. $.  $d x y .1. $.  $d y Y $.
    oposlem.b $e |- B = ( Base ` K ) $.
    oposlem.l $e |- .<_ = ( le ` K ) $.
    oposlem.o $e |- ._|_ = ( oc ` K ) $.
    oposlem.j $e |- .\/ = ( join ` K ) $.
    oposlem.m $e |- ./\ = ( meet ` K ) $.
    oposlem.f $e |- .0. = ( 0. ` K ) $.
    oposlem.u $e |- .1. = ( 1. ` K ) $.
    $( Lemma for orthoposet properties.  (Contributed by NM, 20-Oct-2011.) $)
    oposlem $p |- ( ( K e. OP /\ X e. B /\ Y e. B )
                -> ( ( ( ._|_ ` X ) e. B /\ ( ._|_ ` ( ._|_ ` X ) ) = X
               /\ ( X .<_ Y -> ( ._|_ ` Y ) .<_ ( ._|_ ` X ) ) )
         /\ ( X .\/ ( ._|_ ` X ) ) = .1. /\ ( X ./\ ( ._|_ ` X ) ) = .0. ) ) $=
      ( wcel cfv wceq vx vy cops wbr wi w3a co cv wral cpo club cdm cglb isopos
      wa simprbi fveq2 eleq1d 2fveq3 id eqeq12d breq1 imbi12d 3anbi123d oveq12d
      eqid breq2d eqeq1d breq2 breq1d 3anbi3d 3anbi1d rspc2v mpan9 3impb ) DUCR
      ZHARZIARZHGSZARZVSGSZHTZHIEUDZIGSZVSEUDZUEZUFZHVSCUGZBTZHVSFUGZJTZUFZVPUA
      UHZGSZARZWNGSZWMTZWMUBUHZEUDZWRGSZWNEUDZUEZUFZWMWNCUGZBTZWMWNFUGZJTZUFZUB
      AUIUAAUIZVQVRUOWLVPDUJRADUKSZULRADUMSZULRUFXIUAUBAXJBXKCDEFGJKXJVFXKVFLMN
      OPQUNUPXHWLVTWBHWREUDZWTVSEUDZUEZUFZWIWKUFUAUBHIAAWMHTZXCXOXEWIXGWKXPWOVT
      WQWBXBXNXPWNVSAWMHGUQZURXPWPWAWMHWMHGGUSXPUTZVAXPWSXLXAXMWMHWREVBXPWNVSWT
      EXQVGVCVDXPXDWHBXPWMHWNVSCXRXQVEVHXPXFWJJXPWMHWNVSFXRXQVEVHVDWRITZXOWGWIW
      KXSXNWFVTWBXSXLWCXMWEWRIHEVIXSWTWDVSEWRIGUQVJVCVKVLVMVNVO $.
  $}

  ${
    $d x y B $.  $d x y K $.
    op01dm.b $e |- B = ( Base ` K ) $.
    op01dm.u $e |- U = ( lub ` K ) $.
    op01dm.g $e |- G = ( glb ` K ) $.
    $( Conditions necessary for zero and unit elements to exist.  (Contributed
       by NM, 14-Sep-2018.) $)
    op01dm $p |- ( K e. OP -> ( B e. dom U /\ B e. dom G ) ) $=
      ( vx vy wcel cdm w3a cv cfv wceq wbr co wral wa eqid cops cpo coc cple wi
      cjn cp1 cmee cp0 isopos simpl 3adantl1 sylbi ) DUAJDUBJZABKJZACKJZLHMZDUC
      NZNZAJUSURNUQOUQIMZDUDNZPUTURNUSVAPUELUQUSDUFNZQDUGNZOUQUSDUHNZQDUINZOLIA
      RHARZSUOUPSZHIABVCCVBDVAVDURVEEFGVATURTVBTVDTVETVCTUJUOUPVFVGUNVGVFUKULUM
      $.
  $}

  ${
    op0cl.b $e |- B = ( Base ` K ) $.
    op0cl.z $e |- .0. = ( 0. ` K ) $.
    $( An orthoposet has a zero element.  ( ~ h0elch analog.)  (Contributed by
       NM, 12-Oct-2011.) $)
    op0cl $p |- ( K e. OP -> .0. e. B ) $=
      ( cops wcel cglb cfv eqid p0val id club cdm op01dm simprd glbcl eqeltrd )
      BFGZCABHIZIAATBFCDTJZEKSAATBFDUASLSABMIZNGATNGAUBTBDUBJUAOPQR $.
  $}

  ${
    op1cl.b $e |- B = ( Base ` K ) $.
    op1cl.u $e |- .1. = ( 1. ` K ) $.
    $( An orthoposet has a unit element.  ( ~ helch analog.)  (Contributed by
       NM, 22-Oct-2011.) $)
    op1cl $p |- ( K e. OP -> .1. e. B ) $=
      ( cops wcel club cfv eqid p1val id cdm cglb op01dm simpld lubcl eqeltrd )
      CFGZBACHIZIAATBCFDTJZEKSAATCFDUASLSATMGACNIZMGATUBCDUAUBJOPQR $.
  $}

  ${
    op0le.b $e |- B = ( Base ` K ) $.
    op0le.l $e |- .<_ = ( le ` K ) $.
    op0le.z $e |- .0. = ( 0. ` K ) $.
    $( Orthoposet zero is less than or equal to any element.  ( ~ ch0le
       analog.)  (Contributed by NM, 12-Oct-2011.) $)
    op0le $p |- ( ( K e. OP /\ X e. B ) -> .0. .<_ X ) $=
      ( cops wcel wa cglb cfv eqid simpl simpr cdm club op01dm simprd adantr
      p0le ) BIJZDAJZKABLMZBCIDEFUENZGHUCUDOUCUDPUCAUEQJZUDUCABRMZQJUGAUHUEBFUH
      NUFSTUAUB $.

    $( An element less than or equal to zero equals zero.  ( ~ chle0 analog.)
       (Contributed by NM, 21-Oct-2011.) $)
    ople0 $p |- ( ( K e. OP /\ X e. B ) -> ( X .<_ .0. <-> X = .0. ) ) $=
      ( cops wcel wa wbr wceq op0le biantrud cpo wb opposet adantr simpr op0cl
      posasymb syl3anc bitrd ) BIJZDAJZKZDECLZUHEDCLZKZDEMZUGUIUHABCDEFGHNOUGBP
      JZUFEAJZUJUKQUEULUFBRSUEUFTUEUMUFABEFHUASABCDEFGUBUCUD $.

    $( An element not less than another is nonzero.  TODO:  Look for uses of
       ~ necon3bd and ~ op0le to see if this is useful elsewhere.  (Contributed
       by NM, 5-May-2013.) $)
    opnlen0 $p |- ( ( ( K e. OP /\ X e. B /\ Y e. B ) /\ -. X .<_ Y )
        -> X =/= .0. ) $=
      ( cops wcel w3a wbr wn wne wceq op0le 3adant2 breq1 syl5ibrcom necon3bd
      imp ) BJKZDAKZEAKZLZDECMZNDFOUFUGDFUFUGDFPFECMZUCUEUHUDABCEFGHIQRDFECSTUA
      UB $.
  $}

  ${
    $d x y z K $.  $d x z .0. $.
    lub0.u $e |- .1. = ( lub ` K ) $.
    lub0.z $e |- .0. = ( 0. ` K ) $.
    $( The least upper bound of the empty set is the zero element.
       (Contributed by NM, 15-Sep-2013.)  (New usage is discouraged.) $)
    lub0N $p |- ( K e. OP -> ( .1. ` (/) ) = .0. ) $=
      ( vy vx vz cops wcel c0 cfv cv cple wbr wral wi wa eqid ral0 crio biid id
      cbs wss 0ss a1i lubval op0cl wceq a1bi ralbii biantrur bitri adantr breq2
      rspcv syl ople0 sylibd op0le adantlr breq1 biimprcd com23 ralrimdv impbid
      ex syl6 bitr3id riota5 eqtrd ) BIJZKALFMZGMZBNLZOZFKPZVNHMZVPOZFKPZVOVSVP
      OZQZHBUDLZPZRZGWDUACVMWFGFHWDKABVPIWDSZVPSZDWFUBVMUCKWDUEVMWDUFUGUHVMWFGW
      DCWDBCWGEUIZWFWBHWDPZVMVOWDJZRZVOCUJZWJWEWFWBWCHWDWAWBVTFTUKULVRWEVQFTUMU
      NWLWJWMWLWJVOCVPOZWMWLCWDJZWJWNQVMWOWKWIUOWBWNHCWDVSCVOVPUPUQURWDBVPVOCWG
      WHEUSUTWLWMWBHWDWLVSWDJZWMWBWLWPCVSVPOZWMWBQWLWPWQVMWPWQWKWDBVPVSCWGWHEVA
      VBVHWMWBWQVOCVSVPVCVDVIVEVFVGVJVKVL $.
  $}

  ${
    opltne0.b $e |- B = ( Base ` K ) $.
    opltne0.s $e |- .< = ( lt ` K ) $.
    opltne0.z $e |- .0. = ( 0. ` K ) $.
    $( A lattice element greater than zero is nonzero.  TODO: is this needed?
       (Contributed by NM, 1-Jun-2012.) $)
    opltn0 $p |- ( ( K e. OP /\ X e. B ) -> ( .0. .< X <-> X =/= .0. ) ) $=
      ( cops wcel wa wbr cple cfv wne wb simpl op0cl adantr simpr syl3anc necom
      eqid pltval op0le biantrurd bitr2id bitrd ) CIJZDAJZKZEDBLZEDCMNZLZEDOZKZ
      DEOZUKUIEAJZUJULUPPUIUJQUIURUJACEFHRSUIUJTIAABCUMEDUMUCZGUDUAUQUOUKUPDEUB
      UKUNUOACUMDEFUSHUEUFUGUH $.
  $}

  ${
    ople1.b $e |- B = ( Base ` K ) $.
    ople1.l $e |- .<_ = ( le ` K ) $.
    ople1.u $e |- .1. = ( 1. ` K ) $.
    $( Any element is less than the orthoposet unit.  ( ~ chss analog.)
       (Contributed by NM, 23-Oct-2011.) $)
    ople1 $p |- ( ( K e. OP /\ X e. B ) -> X .<_ .1. ) $=
      ( cops wcel wa club cfv eqid simpl simpr cdm cglb op01dm simpld adantr
      ple1 ) CIJZEAJZKACLMZBCDIEFUENZGHUCUDOUCUDPUCAUEQJZUDUCUGACRMZQJAUEUHCFUF
      UHNSTUAUB $.

    $( If the orthoposet unit is less than or equal to an element, the element
       equals the unit.  ( ~ chle0 analog.)  (Contributed by NM,
       5-Dec-2011.) $)
    op1le $p |- ( ( K e. OP /\ X e. B ) -> ( .1. .<_ X <-> X = .1. ) ) $=
      ( cops wcel wa wbr wceq ople1 biantrurd cpo wb opposet adantr simpr op1cl
      posasymb syl3anc bitrd ) CIJZEAJZKZBEDLZEBDLZUHKZEBMZUGUIUHABCDEFGHNOUGCP
      JZUFBAJZUJUKQUEULUFCRSUEUFTUEUMUFABCFHUASACDEBFGUBUCUD $.
  $}

  ${
    $d x y z K $.  $d x z .1. $.
    glb0.g $e |- G = ( glb ` K ) $.
    glb0.u $e |- .1. = ( 1. ` K ) $.
    $( The greatest lower bound of the empty set is the unit element.
       (Contributed by NM, 5-Dec-2011.)  (New usage is discouraged.) $)
    glb0N $p |- ( K e. OP -> ( G ` (/) ) = .1. ) $=
      ( vx vy vz cops wcel c0 cfv cv cple wbr wral wi wa eqid ral0 crio biid id
      cbs wss 0ss a1i glbval op1cl wceq a1bi ralbii biantrur bitri adantr breq1
      rspcv syl op1le sylibd ople1 adantlr breq2 biimprcd com23 ralrimdv impbid
      ex syl6 bitr3id riota5 eqtrd ) CIJZKBLFMZGMZCNLZOZGKPZHMZVOVPOZGKPZVSVNVP
      OZQZHCUDLZPZRZFWDUAAVMWFFGHWDKBCVPIWDSZVPSZDWFUBVMUCKWDUEVMWDUFUGUHVMWFFW
      DAWDACWGEUIZWFWBHWDPZVMVNWDJZRZVNAUJZWJWEWFWBWCHWDWAWBVTGTUKULVRWEVQGTUMU
      NWLWJWMWLWJAVNVPOZWMWLAWDJZWJWNQVMWOWKWIUOWBWNHAWDVSAVNVPUPUQURWDACVPVNWG
      WHEUSUTWLWMWBHWDWLVSWDJZWMWBWLWPVSAVPOZWMWBQWLWPWQVMWPWQWKWDACVPVSWGWHEVA
      VBVHWMWBWQVNAVSVPVCVDVIVEVFVGVJVKVL $.
  $}

  ${
    opoccl.b $e |- B = ( Base ` K ) $.
    opoccl.o $e |- ._|_ = ( oc ` K ) $.
    $( Closure of orthocomplement operation.  ( ~ choccl analog.)  (Contributed
       by NM, 20-Oct-2011.) $)
    opoccl $p |- ( ( K e. OP /\ X e. B ) -> ( ._|_ ` X ) e. B ) $=
      ( cops wcel wa cfv wceq cple wbr wi w3a cjn co cp1 eqid simp1d cmee cp0
      oposlem 3anidm23 ) BGHZDAHZIZDCJZAHZUHCJDKZDDBLJZMUHUHUKMNZUGUIUJULOZDUHB
      PJZQBRJZKZDUHBUAJZQBUBJZKZUEUFUMUPUSOAUOUNBUKUQCDDUREUKSFUNSUQSURSUOSUCUD
      TT $.

    $( Double negative law for orthoposets.  ( ~ ococ analog.)  (Contributed by
       NM, 13-Sep-2011.) $)
    opococ $p |- ( ( K e. OP /\ X e. B ) -> ( ._|_ ` ( ._|_ ` X ) ) = X ) $=
      ( cops wcel wa cfv wceq cple wbr wi w3a cjn co cp1 cmee eqid cp0 3anidm23
      oposlem simp1d simp2d ) BGHZDAHZIZDCJZAHZUICJDKZDDBLJZMUIUIULMNZUHUJUKUMO
      ZDUIBPJZQBRJZKZDUIBSJZQBUAJZKZUFUGUNUQUTOAUPUOBULURCDDUSEULTFUOTURTUSTUPT
      UCUBUDUE $.

    $( Contraposition law for orthoposets.  ( ~ chcon3i analog.)  (Contributed
       by NM, 8-Nov-2011.) $)
    opcon3b $p |- ( ( K e. OP /\ X e. B /\ Y e. B )
                -> ( X = Y <-> ( ._|_ ` Y ) = ( ._|_ ` X ) ) ) $=
      ( cops wcel w3a wceq eqcoms opococ 3adant3 3adant2 eqeq12d syl5ib impbid2
      cfv fveq2 ) BHIZDAIZEAIZJZDEKZECSZDCSZKZUHEDEDCTLUHUGCSZUFCSZKZUDUEUKUGUF
      UGUFCTLUDUIDUJEUAUBUIDKUCABCDFGMNUAUCUJEKUBABCEFGMOPQR $.

    $( Orthocomplement contraposition law.  ( ~ negcon2 analog.)  (Contributed
       by NM, 16-Jan-2012.) $)
    opcon2b $p |- ( ( K e. OP /\ X e. B /\ Y e. B )
       -> ( X = ( ._|_ ` Y ) <-> Y = ( ._|_ ` X ) ) ) $=
      ( cops wcel w3a cfv wceq wb opoccl 3adant2 opcon3b syld3an3 opococ eqeq1d
      bitrd ) BHIZDAIZEAIZJZDECKZLZUECKZDCKZLZEUHLUAUBUCUEAIZUFUIMUAUCUJUBABCEF
      GNOABCDUEFGPQUDUGEUHUAUCUGELUBABCEFGROST $.

    $( Orthocomplement contraposition law.  ( ~ negcon1 analog.)  (Contributed
       by NM, 24-Jan-2012.) $)
    opcon1b $p |- ( ( K e. OP /\ X e. B /\ Y e. B )
       -> ( ( ._|_ ` X ) = Y <-> ( ._|_ ` Y ) = X ) ) $=
      ( cops wcel w3a cfv wceq opcon2b eqcom 3bitr4g bicomd ) BHIDAIEAIJZECKZDL
      ZDCKZELZQDRLETLSUAABCDEFGMRDNTENOP $.
  $}

  ${
    opcon3.b $e |- B = ( Base ` K ) $.
    opcon3.l $e |- .<_ = ( le ` K ) $.
    opcon3.o $e |- ._|_ = ( oc ` K ) $.
    $( Contraposition law for orthoposets.  (Contributed by NM,
       13-Sep-2011.) $)
    oplecon3 $p |- ( ( K e. OP /\ X e. B /\ Y e. B )
                -> ( X .<_ Y -> ( ._|_ ` Y ) .<_ ( ._|_ ` X ) ) ) $=
      ( cops wcel w3a cfv wceq wbr wi cjn co cp1 eqid cp0 oposlem simp1d simp3d
      cmee ) BJKEAKFAKLZEDMZAKZUGDMENZEFCOFDMUGCOPZUFUHUIUJLEUGBQMZRBSMZNEUGBUE
      MZRBUAMZNAULUKBCUMDEFUNGHIUKTUMTUNTULTUBUCUD $.

    $( Contraposition law for orthoposets.  ( ~ chsscon3 analog.)  (Contributed
       by NM, 4-Nov-2011.) $)
    oplecon3b $p |- ( ( K e. OP /\ X e. B /\ Y e. B )
                -> ( X .<_ Y <-> ( ._|_ ` Y ) .<_ ( ._|_ ` X ) ) ) $=
      ( cops wcel w3a wbr cfv oplecon3 opoccl 3adant2 3adant3 wceq opococ simp1
      wi syl3anc breq12d sylibd impbid ) BJKZEAKZFAKZLZEFCMZFDNZEDNZCMZABCDEFGH
      IOUJUNUMDNZULDNZCMZUKUJUGULAKZUMAKZUNUQUBUGUHUIUAUGUIURUHABDFGIPQUGUHUSUI
      ABDEGIPRABCDULUMGHIOUCUJUOEUPFCUGUHUOESUIABDEGITRUGUIUPFSUHABDFGITQUDUEUF
      $.

    $( Contraposition law for strict ordering in orthoposets.  ( ~ chsscon1
       analog.)  (Contributed by NM, 6-Nov-2011.) $)
    oplecon1b $p |- ( ( K e. OP /\ X e. B /\ Y e. B )
                -> ( ( ._|_ ` X ) .<_ Y <-> ( ._|_ ` Y ) .<_ X ) ) $=
      ( cops wcel w3a cfv wbr wb opoccl 3adant3 oplecon3b syld3an2 wceq opococ
      breq2d bitrd ) BJKZEAKZFAKZLZEDMZFCNZFDMZUHDMZCNZUJECNUDUHAKZUEUFUIULOUDU
      EUMUFABDEGIPQABCDUHFGHIRSUGUKEUJCUDUEUKETUFABDEGIUAQUBUC $.
  $}

  ${
    opoc1.z $e |- .0. = ( 0. ` K ) $.
    opoc1.u $e |- .1. = ( 1. ` K ) $.
    opoc1.o $e |- ._|_ = ( oc ` K ) $.
    $( Orthocomplement of orthoposet unit.  (Contributed by NM,
       24-Jan-2012.) $)
    opoc1 $p |- ( K e. OP -> ( ._|_ ` .1. ) = .0. ) $=
      ( cops wcel cfv cple wbr wceq cbs eqid op0cl opoccl mpdan ople1 wb mpbird
      op1cl oplecon1b mpd3an23 ople0 mpbid ) BHIZACJZDBKJZLZUHDMZUGUJDCJZAUILZU
      GULBNJZIZUMUGDUNIZUOUNBDUNOZEPZUNBCDUQGQRUNABUIULUQUIOZFSRUGAUNIZUPUJUMTU
      NABUQFUBZURUNBUICADUQUSGUCUDUAUGUHUNIZUJUKTUGUTVBVAUNBCAUQGQRUNBUIUHDUQUS
      EUERUF $.

    $( Orthocomplement of orthoposet zero.  (Contributed by NM,
       24-Jan-2012.) $)
    opoc0 $p |- ( K e. OP -> ( ._|_ ` .0. ) = .1. ) $=
      ( cops wcel cfv wceq opoc1 cbs wb eqid op1cl op0cl opcon1b mpd3an23 mpbid
      ) BHIZACJDKZDCJAKZABCDEFGLUAABMJZIDUDIUBUCNUDABUDOZFPUDBDUEEQUDBCADUEGRST
      $.
  $}

  ${
    opltcon3.b $e |- B = ( Base ` K ) $.
    opltcon3.s $e |- .< = ( lt ` K ) $.
    opltcon3.o $e |- ._|_ = ( oc ` K ) $.
    $( Contraposition law for strict ordering in orthoposets.  ( ~ chpsscon3
       analog.)  (Contributed by NM, 4-Nov-2011.) $)
    opltcon3b $p |- ( ( K e. OP /\ X e. B /\ Y e. B )
                -> ( X .< Y <-> ( ._|_ ` Y ) .< ( ._|_ ` X ) ) ) $=
      ( cops wcel w3a cfv wbr wn wa oplecon3b wb pltval3 opoccl cple 3com23 cpo
      notbid anbi12d opposet syl3an1 3ad2ant1 3adant2 3adant3 syl3anc 3bitr4d
      eqid ) CJKZEAKZFAKZLZEFCUAMZNZFEURNZOZPZFDMZEDMZURNZVDVCURNZOZPZEFBNZVCVD
      BNZUQUSVEVAVGACURDEFGURUMZIQUQUTVFUNUPUOUTVFRACURDFEGVKIQUBUDUEUNCUCKZUOU
      PVIVBRCUFZABCUREFGVKHSUGUQVLVCAKZVDAKZVJVHRUNUOVLUPVMUHUNUPVNUOACDFGITUIU
      NUOVOUPACDEGITUJABCURVCVDGVKHSUKUL $.

    $( Contraposition law for strict ordering in orthoposets.  ( ~ chpsscon1
       analog.)  (Contributed by NM, 5-Nov-2011.) $)
    opltcon1b $p |- ( ( K e. OP /\ X e. B /\ Y e. B )
                -> ( ( ._|_ ` X ) .< Y <-> ( ._|_ ` Y ) .< X ) ) $=
      ( cops wcel w3a cfv wbr wb opoccl 3adant3 opltcon3b syld3an2 wceq opococ
      breq2d bitrd ) CJKZEAKZFAKZLZEDMZFBNZFDMZUHDMZBNZUJEBNUDUHAKZUEUFUIULOUDU
      EUMUFACDEGIPQABCDUHFGHIRSUGUKEUJBUDUEUKETUFACDEGIUAQUBUC $.

    $( Contraposition law for strict ordering in orthoposets.  ( ~ chsscon2
       analog.)  (Contributed by NM, 5-Nov-2011.) $)
    opltcon2b $p |- ( ( K e. OP /\ X e. B /\ Y e. B )
                -> ( X .< ( ._|_ ` Y ) <-> Y .< ( ._|_ ` X ) ) ) $=
      ( cops wcel w3a cfv wbr wb opoccl 3adant2 opltcon3b syld3an3 wceq opococ
      breq1d bitrd ) CJKZEAKZFAKZLZEFDMZBNZUHDMZEDMZBNZFUKBNUDUEUFUHAKZUIULOUDU
      FUMUEACDFGIPQABCDEUHGHIRSUGUJFUKBUDUFUJFTUEACDFGIUAQUBUC $.
  $}

  ${
    opexmid.b $e |- B = ( Base ` K ) $.
    opexmid.o $e |- ._|_ = ( oc ` K ) $.
    opexmid.j $e |- .\/ = ( join ` K ) $.
    opexmid.u $e |- .1. = ( 1. ` K ) $.
    $( Law of excluded middle for orthoposets.  ( ~ chjo analog.)  (Contributed
       by NM, 13-Sep-2011.) $)
    opexmid $p |- ( ( K e. OP /\ X e. B )
                -> ( X .\/ ( ._|_ ` X ) ) = .1. ) $=
      ( cops wcel wa cfv wceq cple wbr w3a co eqid wi cmee cp0 oposlem 3anidm23
      simp2d ) DKLZFALZMFENZALUIENFOFFDPNZQUIUIUJQUARZFUICSBOZFUIDUBNZSDUCNZOZU
      GUHUKULUORABCDUJUMEFFUNGUJTHIUMTUNTJUDUEUF $.
  $}

  ${
    opnoncon.b $e |- B = ( Base ` K ) $.
    opnoncon.o $e |- ._|_ = ( oc ` K ) $.
    opnoncon.m $e |- ./\ = ( meet ` K ) $.
    opnoncon.z $e |- .0. = ( 0. ` K ) $.
    $( Law of contradiction for orthoposets.  ( ~ chocin analog.)  (Contributed
       by NM, 13-Sep-2011.) $)
    opnoncon $p |- ( ( K e. OP /\ X e. B )
                -> ( X ./\ ( ._|_ ` X ) ) = .0. ) $=
      ( cops wcel wa cfv wceq cple wbr w3a co eqid wi cjn cp1 oposlem 3anidm23
      simp3d ) BKLZEALZMEDNZALUIDNEOEEBPNZQUIUIUJQUARZEUIBUBNZSBUCNZOZEUICSFOZU
      GUHUKUNUORAUMULBUJCDEEFGUJTHULTIJUMTUDUEUF $.
  $}

  ${
    $d x y B $.  $d x y K $.  $d x y ._|_ $.  $d y ph $.  $d x ps $.
    riotaoc.b $e |- B = ( Base ` K ) $.
    riotaoc.o $e |- ._|_ = ( oc ` K ) $.
    riotaoc.a $e |- ( x = ( ._|_ ` y ) -> ( ph <-> ps ) ) $.
    $( The orthocomplement of the unique poset element such that ` ps ` .
       ( ~ riotaneg analog.)  (Contributed by NM, 16-Jan-2012.)
       (New usage is discouraged.) $)
    riotaocN $p |- ( ( K e. OP /\ E! x e. B ph ) ->
             ( iota_ x e. B ph ) = ( ._|_ ` ( iota_ y e. B ps ) ) ) $=
      ( cops wcel cv cfv crio nfcv nfriota1 nffv opoccl fveq2 opcon2b riotaxfrd
      reuhypd ) FKLZABCDEDMZGNZBDEOZGNDUGGDGPBDEQREFGUEHISEFGUGHISJUEUGGTUDCDUF
      CMZGNEEFGUHHISEFGUHUEHIUAUCUB $.
  $}

  ${
    $d p x y B $.  $d p .\/ $.  $d p ./\ $.  $d p ._|_ $.  $d p x y K $.
    cmtfval.b $e |- B = ( Base ` K ) $.
    cmtfval.j $e |- .\/ = ( join ` K ) $.
    cmtfval.m $e |- ./\ = ( meet ` K ) $.
    cmtfval.o $e |- ._|_ = ( oc ` K ) $.
    cmtfval.c $e |- C = ( cm ` K ) $.
    $( Value of commutes relation.  (Contributed by NM, 6-Nov-2011.)
       (New usage is discouraged.) $)
    cmtfvalN $p |- ( K e. A -> C = { <. x , y >. | ( x e. B /\ y e. B
          /\ x = ( ( x ./\ y ) .\/ ( x ./\ ( ._|_ ` y ) ) ) ) } ) $=
      ( wcel co cfv wceq cbs fveq2 vp cvv w3a copab elex ccmtN cmee coc eqtr4di
      cv cjn eleq2d oveqd eqidd fveq1d oveq123d eqeq2d 3anbi123d df-cmtN df-3an
      opabbidv opabbii cxp fvexi xpex opabssxp ssexi eqeltri fvmpt syl5eq syl
      wa ) GCOGUBOZEAUJZDOZBUJZDOZVNVNVPHPZVNVPIQZHPZFPZRZUCZABUDZRGCUEVMEGUFQW
      DNUAGVNUAUJZSQZOZVPWFOZVNVNVPWEUGQZPZVNVPWEUHQZQZWIPZWEUKQZPZRZUCZABUDWDU
      BUFWEGRZWQWCABWRWGVOWHVQWPWBWRWFDVNWRWFGSQDWEGSTJUIZULWRWFDVPWSULWRWOWAVN
      WRWJVRWMVTWNFWRWNGUKQFWEGUKTKUIWRWIHVNVPWRWIGUGQHWEGUGTLUIZUMWRVNVNWLVSWI
      HWTWRVNUNWRVPWKIWRWKGUHQIWEGUHTMUIUOUPUPUQURVAABUAUSWDVOVQVLWBVLZABUDZUBW
      CXAABVOVQWBUTVBXBDDVCDDDGSJVDZXCVEWBABDDVFVGVHVIVJVK $.

    $d x y .\/ $.  $d x y ./\ $.  $d x y ._|_ $.  $d x y X $.  $d x y Y $.
    $( Equivalence for commutes relation.  Definition of commutes in [Kalmbach]
       p. 20.  ( ~ cmbr analog.)  (Contributed by NM, 6-Nov-2011.)
       (New usage is discouraged.) $)
    cmtvalN $p |- ( ( K e. A /\ X e. B /\ Y e. B ) -> ( X C Y <->
               X = ( ( X ./\ Y ) .\/ ( X ./\ ( ._|_ ` Y ) ) ) ) ) $=
      ( vx vy wcel wa co wceq w3a wbr cv copab wb cmtfvalN df-3an opabbii breqd
      cfv eqtrdi 3ad2ant1 cop df-br id oveq1 oveq12d eqeq12d oveq2 fveq2 oveq2d
      eqeq2d opelopab2 syl5bb 3adant1 bitrd ) EAQZHBQZIBQZUAHICUBZHIOUCZBQZPUCZ
      BQZRVKVKVMFSZVKVMGUJZFSZDSZTZRZOPUDZUBZHHIFSZHIGUJZFSZDSZTZVGVHVJWBUEVIVG
      CWAHIVGCVLVNVSUAZOPUDWAOPABCDEFGJKLMNUFWHVTOPVLVNVSUGUHUKUIULVHVIWBWGUEVG
      WBHIUMWAQVHVIRWGHIWAUNVSHHVMFSZHVPFSZDSZTWGOPHIBBVKHTZVKHVRWKWLUOWLVOWIVQ
      WJDVKHVMFUPVKHVPFUPUQURVMITZWKWFHWMWIWCWJWEDVMIHFUSWMVPWDHFVMIGUTVAUQVBVC
      VDVEVF $.
  $}

  $( The predicate "is an ortholattice."  (Contributed by NM, 18-Sep-2011.) $)
  isolat $p |- ( K e. OL <-> ( K e. Lat /\ K e. OP ) ) $=
    ( clat cops col df-ol elin2 ) ABCDEF $.

  $( An ortholattice is a lattice.  (Contributed by NM, 18-Sep-2011.) $)
  ollat $p |- ( K e. OL -> K e. Lat ) $=
    ( col wcel clat cops isolat simplbi ) ABCADCAECAFG $.

  $( An ortholattice is an orthoposet.  (Contributed by NM, 18-Sep-2011.) $)
  olop $p |- ( K e. OL -> K e. OP ) $=
    ( col wcel clat cops isolat simprbi ) ABCADCAECAFG $.

  $( An ortholattice is a poset.  (Contributed by NM, 16-Oct-2011.)
     (New usage is discouraged.) $)
  olposN $p |- ( K e. OL -> K e. Poset ) $=
    ( col wcel cops cpo olop opposet syl ) ABCADCAECAFAGH $.

  ${
    isolati.1 $e |- K e. Lat $.
    isolati.2 $e |- K e. OP $.
    $( Properties that determine an ortholattice.  (Contributed by NM,
       18-Sep-2011.)  (New usage is discouraged.) $)
    isolatiN $p |- K e. OL $=
      ( col wcel clat cops isolat mpbir2an ) ADEAFEAGEBCAHI $.
  $}

  ${
    oldmm1.b $e |- B = ( Base ` K ) $.
    oldmm1.j $e |- .\/ = ( join ` K ) $.
    oldmm1.m $e |- ./\ = ( meet ` K ) $.
    oldmm1.o $e |- ._|_ = ( oc ` K ) $.
    $( De Morgan's law for meet in an ortholattice.  ( ~ chdmm1 analog.)
       (Contributed by NM, 6-Nov-2011.) $)
    oldmm1 $p |- ( ( K e. OL /\ X e. B /\ Y e. B ) ->
         ( ._|_ ` ( X ./\ Y ) ) = ( ( ._|_ ` X ) .\/ ( ._|_ ` Y ) ) ) $=
      ( wcel cfv syl3an1 opoccl syl3anc wbr wb oplecon1b mpbid col cple co eqid
      clat ollat 3ad2ant1 cops olop latmcl syl2anc sylan 3adant3 3adant2 latjcl
      w3a latlej1 simp2 latlej2 wa latlem12 syl13anc mpbi2and latmle1 oplecon3b
      simp3 latmle2 latjle12 latasymd ) CUALZFALZGALZUPZACCUBMZFGDUCZEMZFEMZGEM
      ZBUCZHVNUDZVJVKCUELZVLCUFZUGZVMCUHLZVOALZVPALZVJVKWDVLCUIZUGZVJWAVKVLWEWB
      ACDFGHJUJNZACEVOHKOUKZVMWAVQALZVRALZVSALZWCVJVKWKVLVJWDVKWKWGACEFHKOULUMZ
      VJVLWLVKVJWDVLWLWGACEGHKOULUNZABCVQVRHIUOPZVMVSEMZVOVNQZVPVSVNQZVMWQFVNQZ
      WQGVNQZWRVMVQVSVNQZWTVMWAWKWLXBWCWNWOABCVNVQVRHVTIUQPVMWDVKWMXBWTRWHVJVKV
      LURZWPACVNEFVSHVTKSPTVMVRVSVNQZXAVMWAWKWLXDWCWNWOABCVNVQVRHVTIUSPVMWDVLWM
      XDXARWHVJVKVLVFZWPACVNEGVSHVTKSPTVMWAWQALZVKVLWTXAUTWRRWCVMWDWMXFWHWPACEV
      SHKOUKXCXEACVNDWQFGHVTJVAVBVCVMWDWMWEWRWSRWHWPWIACVNEVSVOHVTKSPTVMVQVPVNQ
      ZVRVPVNQZVSVPVNQZVMVOFVNQZXGVJWAVKVLXJWBACVNDFGHVTJVDNVMWDWEVKXJXGRWHWIXC
      ACVNEVOFHVTKVEPTVMVOGVNQZXHVJWAVKVLXKWBACVNDFGHVTJVGNVMWDWEVLXKXHRWHWIXEA
      CVNEVOGHVTKVEPTVMWAWKWLWFXGXHUTXIRWCWNWOWJABCVNVQVRVPHVTIVHVBVCVI $.

    $( De Morgan's law for meet in an ortholattice.  ( ~ chdmm2 analog.)
       (Contributed by NM, 6-Nov-2011.) $)
    oldmm2 $p |- ( ( K e. OL /\ X e. B /\ Y e. B ) ->
         ( ._|_ ` ( ( ._|_ ` X ) ./\ Y ) ) = ( X .\/ ( ._|_ ` Y ) ) ) $=
      ( col wcel w3a cfv co wceq cops sylan 3adant3 olop opoccl oldmm1 syld3an2
      opococ oveq1d eqtrd ) CLMZFAMZGAMZNZFEOZGDPEOZULEOZGEOZBPZFUOBPUHULAMZUIU
      JUMUPQUHUIUQUJUHCRMZUIUQCUAZACEFHKUBSTABCDEULGHIJKUCUDUKUNFUOBUHUIUNFQZUJ
      UHURUIUTUSACEFHKUESTUFUG $.

    $( De Morgan's law for meet in an ortholattice.  ( ~ chdmm3 analog.)
       (Contributed by NM, 8-Nov-2011.)  (New usage is discouraged.) $)
    oldmm3N $p |- ( ( K e. OL /\ X e. B /\ Y e. B ) ->
         ( ._|_ ` ( X ./\ ( ._|_ ` Y ) ) ) = ( ( ._|_ ` X ) .\/ Y ) ) $=
      ( col wcel w3a cfv co wceq cops olop syl2anc 3ad2ant1 simp3 opoccl oldmm1
      syld3an3 opococ oveq2d eqtrd ) CLMZFAMZGAMZNZFGEOZDPEOZFEOZUMEOZBPZUOGBPU
      IUJUKUMAMZUNUQQULCRMZUKURUIUJUSUKCSUAZUIUJUKUBZACEGHKUCTABCDEFUMHIJKUDUEU
      LUPGUOBULUSUKUPGQUTVAACEGHKUFTUGUH $.

    $( De Morgan's law for meet in an ortholattice.  ( ~ chdmm4 analog.)
       (Contributed by NM, 6-Nov-2011.) $)
    oldmm4 $p |- ( ( K e. OL /\ X e. B /\ Y e. B ) ->
         ( ._|_ ` ( ( ._|_ ` X ) ./\ ( ._|_ ` Y ) ) ) = ( X .\/ Y ) ) $=
      ( col wcel w3a cfv co wceq cops sylan 3adant2 olop opoccl oldmm2 syld3an3
      opococ oveq2d eqtrd ) CLMZFAMZGAMZNZFEOGEOZDPEOZFULEOZBPZFGBPUHUIUJULAMZU
      MUOQUHUJUPUIUHCRMZUJUPCUAZACEGHKUBSTABCDEFULHIJKUCUDUKUNGFBUHUJUNGQZUIUHU
      QUJUSURACEGHKUESTUFUG $.

    $( De Morgan's law for join in an ortholattice.  ( ~ chdmj1 analog.)
       (Contributed by NM, 6-Nov-2011.) $)
    oldmj1 $p |- ( ( K e. OL /\ X e. B /\ Y e. B ) ->
         ( ._|_ ` ( X .\/ Y ) ) = ( ( ._|_ ` X ) ./\ ( ._|_ ` Y ) ) ) $=
      ( col wcel w3a cfv co oldmm4 3ad2ant1 opoccl sylan fveq2d cops wceq ollat
      olop clat 3adant3 3adant2 latmcl syl3anc opococ syl2anc eqtr3d ) CLMZFAMZ
      GAMZNZFEOZGEOZDPZEOZEOZFGBPZEOUTUQVAVCEABCDEFGHIJKQUAUQCUBMZUTAMZVBUTUCUN
      UOVDUPCUEZRUQCUFMZURAMZUSAMZVEUNUOVGUPCUDRUNUOVHUPUNVDUOVHVFACEFHKSTUGUNU
      PVIUOUNVDUPVIVFACEGHKSTUHACDURUSHJUIUJACEUTHKUKULUM $.

    $( De Morgan's law for join in an ortholattice.  ( ~ chdmj2 analog.)
       (Contributed by NM, 7-Nov-2011.) $)
    oldmj2 $p |- ( ( K e. OL /\ X e. B /\ Y e. B ) ->
         ( ._|_ ` ( ( ._|_ ` X ) .\/ Y ) ) = ( X ./\ ( ._|_ ` Y ) ) ) $=
      ( col wcel w3a cfv co wceq cops sylan 3adant3 olop opoccl oldmj1 syld3an2
      opococ oveq1d eqtrd ) CLMZFAMZGAMZNZFEOZGBPEOZULEOZGEOZDPZFUODPUHULAMZUIU
      JUMUPQUHUIUQUJUHCRMZUIUQCUAZACEFHKUBSTABCDEULGHIJKUCUDUKUNFUODUHUIUNFQZUJ
      UHURUIUTUSACEFHKUESTUFUG $.

    $( De Morgan's law for join in an ortholattice.  ( ~ chdmj3 analog.)
       (Contributed by NM, 7-Nov-2011.) $)
    oldmj3 $p |- ( ( K e. OL /\ X e. B /\ Y e. B ) ->
         ( ._|_ ` ( X .\/ ( ._|_ ` Y ) ) ) = ( ( ._|_ ` X ) ./\ Y ) ) $=
      ( col wcel w3a cfv co wceq cops olop syl2anc 3ad2ant1 simp3 opoccl oldmj1
      syld3an3 opococ oveq2d eqtrd ) CLMZFAMZGAMZNZFGEOZBPEOZFEOZUMEOZDPZUOGDPU
      IUJUKUMAMZUNUQQULCRMZUKURUIUJUSUKCSUAZUIUJUKUBZACEGHKUCTABCDEFUMHIJKUDUEU
      LUPGUODULUSUKUPGQUTVAACEGHKUFTUGUH $.

    $( De Morgan's law for join in an ortholattice.  ( ~ chdmj4 analog.)
       (Contributed by NM, 7-Nov-2011.) $)
    oldmj4 $p |- ( ( K e. OL /\ X e. B /\ Y e. B ) ->
         ( ._|_ ` ( ( ._|_ ` X ) .\/ ( ._|_ ` Y ) ) ) = ( X ./\ Y ) ) $=
      ( col wcel w3a cfv co wceq cops sylan 3adant2 olop opoccl oldmj2 syld3an3
      opococ oveq2d eqtrd ) CLMZFAMZGAMZNZFEOGEOZBPEOZFULEOZDPZFGDPUHUIUJULAMZU
      MUOQUHUJUPUIUHCRMZUJUPCUAZACEGHKUBSTABCDEFULHIJKUCUDUKUNGFDUHUJUNGQZUIUHU
      QUJUSURACEGHKUESTUFUG $.
  $}

  ${
    olj0.b $e |- B = ( Base ` K ) $.
    olj0.j $e |- .\/ = ( join ` K ) $.
    olj0.z $e |- .0. = ( 0. ` K ) $.
    $( An ortholattice element joined with zero equals itself.  ( ~ chj0
       analog.)  (Contributed by NM, 19-Oct-2011.) $)
    olj01 $p |- ( ( K e. OL /\ X e. B ) -> ( X .\/ .0. ) = X ) $=
      ( col wcel co wceq cops olop op0cl syl syl3an1 wbr sylan 3adant3 w3a cple
      adantr cfv eqid clat ollat 3ad2ant1 latjcl simp2 latref op0le wa wb simp3
      latjle12 syl13anc mpbi2and latlej1 latasymd mpd3an3 ) CIJZDAJZEAJZDEBKZDL
      VBVDVCVBCMJZVDCNZACEFHOPUCVBVCVDUAZACCUBUDZVEDFVIUEZVBVCCUFJZVDCUGZUHZVBV
      KVCVDVEAJVLABCDEFGUIQVBVCVDUJZVHDDVIRZEDVIRZVEDVIRZVBVCVOVDVBVKVCVOVLACVI
      DFVJUKSTVBVCVPVDVBVFVCVPVGACVIDEFVJHULSTVHVKVCVDVCVOVPUMVQUNVMVNVBVCVDUOV
      NABCVIDEDFVJGUPUQURVBVKVCVDDVEVIRVLABCVIDEFVJGUSQUTVA $.

    $( An ortholattice element joined with zero equals itself.  (Contributed by
       NM, 28-Jan-2012.) $)
    olj02 $p |- ( ( K e. OL /\ X e. B ) -> ( .0. .\/ X ) = X ) $=
      ( col wcel wa co clat wceq ollat adantr cops olop op0cl syl simpr latjcom
      syl3anc olj01 eqtrd ) CIJZDAJZKZEDBLZDEBLZDUHCMJZEAJZUGUIUJNUFUKUGCOPUFUL
      UGUFCQJULCRACEFHSTPUFUGUAABCEDFGUBUCABCDEFGHUDUE $.
  $}

  ${
    olm1.b $e |- B = ( Base ` K ) $.
    olm1.m $e |- ./\ = ( meet ` K ) $.
    olm1.u $e |- .1. = ( 1. ` K ) $.
    $( The meet of an ortholattice element with one equals itself.  ( ~ chm1i
       analog.)  (Contributed by NM, 22-May-2012.) $)
    olm11 $p |- ( ( K e. OL /\ X e. B ) -> ( X ./\ .1. ) = X ) $=
      ( col wcel wa coc cfv cjn co cp0 wceq eqid syl sylan adantr oveq2d opoccl
      cops opoc1 olj01 syldan eqtrd fveq2d op1cl oldmj4 mpd3an3 opococ 3eqtr3d
      olop ) CIJZEAJZKZECLMZMZBUSMZCNMZOZUSMZUTUSMZEBDOZEURVCUTUSURVCUTCPMZVBOZ
      UTURVAVGUTVBURCUDJZVAVGQUPVIUQCUOZUAZBCUSVGVGRZHUSRZUESUBUPUQUTAJZVHUTQUP
      VIUQVNVJACUSEFVMUCTAVBCUTVGFVBRZVLUFUGUHUIUPUQBAJZVDVFQURVIVPVKABCFHUJSAV
      BCDUSEBFVOGVMUKULUPVIUQVEEQVJACUSEFVMUMTUN $.

    $( The meet of an ortholattice element with one equals itself.
       (Contributed by NM, 22-May-2012.) $)
    olm12 $p |- ( ( K e. OL /\ X e. B ) -> ( .1. ./\ X ) = X ) $=
      ( col wcel wa co clat wceq ollat adantr cops olop op1cl syl simpr latmcom
      syl3anc olm11 eqtrd ) CIJZEAJZKZBEDLZEBDLZEUHCMJZBAJZUGUIUJNUFUKUGCOPUHCQ
      JZULUFUMUGCRPABCFHSTUFUGUAACDBEFGUBUCABCDEFGHUDUE $.
  $}

  ${
    olmass.b $e |- B = ( Base ` K ) $.
    olmass.m $e |- ./\ = ( meet ` K ) $.
    $( Ortholattice meet is associative.  (This can also be proved for lattices
       with a longer proof.)  ( ~ inass analog.)  (Contributed by NM,
       7-Nov-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    latmassOLD $p |- ( ( K e. OL /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
             ( ( X ./\ Y ) ./\ Z ) = ( X ./\ ( Y ./\ Z ) ) ) $=
      ( col wcel co cfv wceq adantr eqid opoccl syl2anc latjcl syl3anc oldmj4
      w3a wa coc simpl clat ollat cops olop simpr1 simpr2 simpr3 oldmj3 latjass
      syl13anc fveq2d 3adant3r3 oveq1d 3eqtr3rd oldmj2 3adant3r1 oveq2d 3eqtrd
      cjn ) BIJZDAJZEAJZFAJZUAZUBZDECKZFCKZDBUCLZLZEVLLZFVLLZBVCLZKZVPKZVLLZDVQ
      VLLZCKZDEFCKZCKVIVMVNVPKZVOVPKZVLLZWCVLLZFCKZVSVKVIVDWCAJZVGWEWGMVDVHUDZV
      IBUEJZVMAJZVNAJZWHVDWJVHBUFNZVIBUGJZVEWKVDWNVHBUHNZVDVEVFVGUIZABVLDGVLOZP
      QZVIWNVFWLWOVDVEVFVGUJABVLEGWQPQZAVPBVMVNGVPOZRSVDVEVFVGUKZAVPBCVLWCFGWTH
      WQULSVIWDVRVLVIWJWKWLVOAJZWDVRMWMWRWSVIWNVGXBWOXAABVLFGWQPQZAVPBVMVNVOGWT
      UMUNUOVIWFVJFCVDVEVFWFVJMVGAVPBCVLDEGWTHWQTUPUQURVIVDVEVQAJZVSWAMWIWPVIWJ
      WLXBXDWMWSXCAVPBVNVOGWTRSAVPBCVLDVQGWTHWQUSSVIVTWBDCVDVFVGVTWBMVEAVPBCVLE
      FGWTHWQTUTVAVB $.

    $( A rearrangement of lattice meet.  ( ~ in12 analog.)  (Contributed by NM,
       8-Nov-2011.) $)
    latm12 $p |- ( ( K e. OL /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
             ( X ./\ ( Y ./\ Z ) ) = ( Y ./\ ( X ./\ Z ) ) ) $=
      ( col wcel w3a wa co clat wceq ollat adantr simpr1 simpr2 latmassOLD 3jca
      latmcom syl3anc oveq1d simpr3 syldan 3eqtr3d ) BIJZDAJZEAJZFAJZKZLZDECMZF
      CMEDCMZFCMZDEFCMCMEDFCMCMZUMUNUOFCUMBNJZUIUJUNUOOUHURULBPQUHUIUJUKRZUHUIU
      JUKSZABCDEGHUBUCUDABCDEFGHTUHULUJUIUKKUPUQOUMUJUIUKUTUSUHUIUJUKUEUAABCEDF
      GHTUFUG $.

    $( A rearrangement of lattice meet.  ( ~ in12 analog.)  (Contributed by NM,
       13-Nov-2012.) $)
    latm32 $p |- ( ( K e. OL /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
             ( ( X ./\ Y ) ./\ Z ) = ( ( X ./\ Z ) ./\ Y ) ) $=
      ( col wcel w3a wa co wceq clat ollat latmcom syl3an1 3adant3r1 latmassOLD
      oveq2d simpl simpr1 simpr3 simpr2 syl13anc 3eqtr4d ) BIJZDAJZEAJZFAJZKZLZ
      DEFCMZCMDFECMZCMZDECMFCMDFCMECMZUMUNUODCUHUJUKUNUONZUIUHBOJUJUKURBPABCEFG
      HQRSUAABCDEFGHTUMUHUIUKUJUQUPNUHULUBUHUIUJUKUCUHUIUJUKUDUHUIUJUKUEABCDFEG
      HTUFUG $.

    $( Rotate lattice meet of 3 classes.  (Contributed by NM, 9-Oct-2012.) $)
    latmrot $p |- ( ( K e. OL /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
             ( ( X ./\ Y ) ./\ Z ) = ( ( Z ./\ X ) ./\ Y ) ) $=
      ( col wcel w3a wa co clat wceq ollat adantr simpr1 simpr2 syl3anc latmcom
      latmcl simpr3 simpl latmassOLD syl13anc eqtr4d ) BIJZDAJZEAJZFAJZKZLZDECM
      ZFCMZFUNCMZFDCMECMZUMBNJZUNAJZUKUOUPOUHURULBPQZUMURUIUJUSUTUHUIUJUKRZUHUI
      UJUKSZABCDEGHUBTUHUIUJUKUCZABCUNFGHUATUMUHUKUIUJUQUPOUHULUDVCVAVBABCFDEGH
      UEUFUG $.

    $( Rearrangement of lattice meet of 4 classes.  ( ~ in4 analog.)
       (Contributed by NM, 8-Nov-2011.) $)
    latm4 $p |- ( ( K e. OL /\ ( X e. B /\ Y e. B ) /\ ( Z e. B /\ W e. B ) )
      -> ( ( X ./\ Y ) ./\ ( Z ./\ W ) )
           = ( ( X ./\ Z ) ./\ ( Y ./\ W ) ) ) $=
      ( col wcel wa w3a co wceq simp1 syl13anc latmcl syl3anc latmassOLD simp2r
      simp3l simp3r latm12 oveq2d simp2l clat ollat 3ad2ant1 3eqtr4d ) BJKZEAKZ
      FAKZLZGAKZDAKZLZMZEFGDCNZCNZCNZEGFDCNZCNZCNZEFCNUSCNZEGCNVBCNZURUTVCECURU
      KUMUOUPUTVCOUKUNUQPZUKULUMUQUAZUKUNUOUPUBZUKUNUOUPUCZABCFGDHIUDQUEURUKULU
      MUSAKZVEVAOVGUKULUMUQUFZVHURBUGKZUOUPVKUKUNVMUQBUHUIZVIVJABCGDHIRSABCEFUS
      HITQURUKULUOVBAKZVFVDOVGVLVIURVMUMUPVOVNVHVJABCFDHIRSABCEGVBHITQUJ $.

    $( Lattice meet distributes over itself.  ( ~ inindi analog.)  (Contributed
       by NM, 8-Nov-2011.)  (New usage is discouraged.) $)
    latmmdiN $p |- ( ( K e. OL /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
             ( X ./\ ( Y ./\ Z ) ) = ( ( X ./\ Y ) ./\ ( X ./\ Z ) ) ) $=
      ( col wcel w3a wa co clat wceq ollat adantr simpr1 latmidm syl2anc oveq1d
      simpl simpr2 simpr3 latm4 syl122anc eqtr3d ) BIJZDAJZEAJZFAJZKZLZDDCMZEFC
      MZCMZDUOCMDECMDFCMCMZUMUNDUOCUMBNJZUIUNDOUHURULBPQUHUIUJUKRZABCDGHSTUAUMU
      HUIUIUJUKUPUQOUHULUBUSUSUHUIUJUKUCUHUIUJUKUDABCFDDEGHUEUFUG $.

    $( Lattice meet distributes over itself.  ( ~ inindir analog.)
       (Contributed by NM, 6-Jun-2012.) $)
    latmmdir $p |- ( ( K e. OL /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
             ( ( X ./\ Y ) ./\ Z ) = ( ( X ./\ Z ) ./\ ( Y ./\ Z ) ) ) $=
      ( col wcel w3a wa co clat wceq ollat adantr simpr3 latmidm syl2anc oveq2d
      simpl simpr1 simpr2 latm4 syl122anc eqtr3d ) BIJZDAJZEAJZFAJZKZLZDECMZFFC
      MZCMZUNFCMDFCMEFCMCMZUMUOFUNCUMBNJZUKUOFOUHURULBPQUHUIUJUKRZABCFGHSTUAUMU
      HUIUJUKUKUPUQOUHULUBUHUIUJUKUCUHUIUJUKUDUSUSABCFDEFGHUEUFUG $.
  $}

  ${
    olm0.b $e |- B = ( Base ` K ) $.
    olm0.m $e |- ./\ = ( meet ` K ) $.
    olm0.z $e |- .0. = ( 0. ` K ) $.
    $( Meet with lattice zero is zero.  ( ~ chm0 analog.)  (Contributed by NM,
       8-Nov-2011.) $)
    olm01 $p |- ( ( K e. OL /\ X e. B ) -> ( X ./\ .0. ) = .0. ) $=
      ( col wcel wa cple cfv co eqid clat ollat adantr syl3anc wbr simpr latmcl
      cops olop op0cl syl latmle2 op0le sylan latref latlem12 syl13anc mpbi2and
      syl2anc wb latasymd ) BIJZDAJZKZABBLMZDECNZEFUTOZUQBPJZURBQRZUSVCUREAJZVA
      AJVDUQURUAZUSBUCJZVEUQVGURBUDZRABEFHUEUFZABCDEFGUBSVIUSVCURVEVAEUTTVDVFVI
      ABUTCDEFVBGUGSUSEDUTTZEEUTTZEVAUTTZUQVGURVJVHABUTDEFVBHUHUIUSVCVEVKVDVIAB
      UTEFVBUJUNUSVCVEURVEVJVKKVLUOVDVIVFVIABUTCEDEFVBGUKULUMUP $.

    $( Meet with lattice zero is zero.  (Contributed by NM, 9-Oct-2012.) $)
    olm02 $p |- ( ( K e. OL /\ X e. B ) -> ( .0. ./\ X ) = .0. ) $=
      ( col wcel wa co clat wceq ollat adantr simpr cops olop op0cl syl latmcom
      syl3anc olm01 eqtr3d ) BIJZDAJZKZDECLZEDCLZEUHBMJZUGEAJZUIUJNUFUKUGBOPUFU
      GQUHBRJZULUFUMUGBSPABEFHTUAABCDEFGUBUCABCDEFGHUDUE $.
  $}

  ${
    $d k x y B $.  $d k .\/ $.  $d k x y K $.  $d k ./\ $.  $d k ._|_ $.
    $d k .<_ $.
    isoml.b $e |- B = ( Base ` K ) $.
    isoml.l $e |- .<_ = ( le ` K ) $.
    isoml.j $e |- .\/ = ( join ` K ) $.
    isoml.m $e |- ./\ = ( meet ` K ) $.
    isoml.o $e |- ._|_ = ( oc ` K ) $.
    $( The predicate "is an orthomodular lattice."  (Contributed by NM,
       18-Sep-2011.) $)
    isoml $p |- ( K e. OML <-> ( K e. OL /\ A. x e. B A. y e. B
       ( x .<_ y -> y = ( x .\/ ( y ./\ ( ._|_ ` x ) ) ) ) ) ) $=
      ( vk cv cfv co wral fveq2 eqtr4di cple wbr coc cmee cjn wceq cbs col coml
      wi breqd eqidd fveq1d oveq123d eqeq2d imbi12d raleqbidv df-oml elrab2 ) A
      OZBOZNOZUAPZUBZVAUTVAUTVBUCPZPZVBUDPZQZVBUEPZQZUFZUJZBVBUGPZRZAVMRUTVAFUB
      ZVAUTVAUTHPZGQZDQZUFZUJZBCRZACRNEUHUIVBEUFZVNWAAVMCWBVMEUGPCVBEUGSITZWBVL
      VTBVMCWCWBVDVOVKVSWBVCFUTVAWBVCEUAPFVBEUASJTUKWBVJVRVAWBUTUTVHVQVIDWBVIEU
      EPDVBEUESKTWBUTULWBVAVAVFVPVGGWBVGEUDPGVBEUDSLTWBVAULWBUTVEHWBVEEUCPHVBEU
      CSMTUMUNUNUOUPUQUQABNURUS $.
  $}

  ${
    $d x y B $.  $d x y K $.
    isomli.0 $e |- K e. OL $.
    isomli.b $e |- B = ( Base ` K ) $.
    isomli.l $e |- .<_ = ( le ` K ) $.
    isomli.j $e |- .\/ = ( join ` K ) $.
    isomli.m $e |- ./\ = ( meet ` K ) $.
    isomli.o $e |- ._|_ = ( oc ` K ) $.
    isomli.7 $e |- ( ( x e. B /\ y e. B ) ->
                      ( x .<_ y -> y = ( x .\/ ( y ./\ ( ._|_ ` x ) ) ) ) ) $.
    $( Properties that determine an orthomodular lattice.  (Contributed by NM,
       18-Sep-2011.)  (New usage is discouraged.) $)
    isomliN $p |- K e. OML $=
      ( coml wcel cv co wral col wbr cfv wceq wi rgen2 isoml mpbir2an ) EPQEUAQ
      ARZBRZFUBUJUIUJUIHUCGSDSUDUEZBCTACTIUKABCCOUFABCDEFGHJKLMNUGUH $.
  $}

  ${
    $d x y K $.
    $( An orthomodular lattice is an ortholattice.  (Contributed by NM,
       18-Sep-2011.) $)
    omlol $p |- ( K e. OML -> K e. OL ) $=
      ( vx vy coml wcel col cv cple cfv wbr coc cmee co cjn wceq cbs wral isoml
      wi eqid simplbi ) ADEAFEBGZCGZAHIZJUCUBUCUBAKIZIALIZMANIZMOSCAPIZQBUHQBCU
      HUGAUDUFUEUHTUDTUGTUFTUETRUA $.
  $}

  $( An orthomodular lattice is an orthoposet.  (Contributed by NM,
     6-Nov-2011.) $)
  omlop $p |- ( K e. OML -> K e. OP ) $=
    ( coml wcel col cops omlol olop syl ) ABCADCAECAFAGH $.

  $( An orthomodular lattice is a lattice.  (Contributed by NM, 6-Nov-2011.) $)
  omllat $p |- ( K e. OML -> K e. Lat ) $=
    ( coml wcel col clat omlol ollat syl ) ABCADCAECAFAGH $.

  ${
    $d x y B $.  $d x y .\/ $.  $d x y K $.  $d x y ./\ $.  $d x y ._|_ $.
    $d x y .<_ $.  $d x y X $.  $d y Y $.
    omllaw.b $e |- B = ( Base ` K ) $.
    omllaw.l $e |- .<_ = ( le ` K ) $.
    omllaw.j $e |- .\/ = ( join ` K ) $.
    omllaw.m $e |- ./\ = ( meet ` K ) $.
    omllaw.o $e |- ._|_ = ( oc ` K ) $.
    $( The orthomodular law.  (Contributed by NM, 18-Sep-2011.) $)
    omllaw $p |- ( ( K e. OML /\ X e. B /\ Y e. B ) ->
            ( X .<_ Y -> Y = ( X .\/ ( Y ./\ ( ._|_ ` X ) ) ) ) ) $=
      ( vx vy wcel wbr co wceq wi coml cfv cv wral wa isoml simprbi breq1 fveq2
      col id oveq2d oveq12d eqeq2d imbi12d breq2 eqeq12d rspc2v syl5com 3impib
      oveq1 ) CUAPZGAPZHAPZGHDQZHGHGFUBZERZBRZSZTZVBNUCZOUCZDQZVLVKVLVKFUBZERZB
      RZSZTZOAUDNAUDZVCVDUEVJVBCUJPVSNOABCDEFIJKLMUFUGVRVJGVLDQZVLGVLVFERZBRZSZ
      TNOGHAAVKGSZVMVTVQWCVKGVLDUHWDVPWBVLWDVKGVOWABWDUKWDVNVFVLEVKGFUIULUMUNUO
      VLHSZVTVEWCVIVLHGDUPWEVLHWBVHWEUKWEWAVGGBVLHVFEVAULUQUOURUSUT $.

    $( Variation of orthomodular law.  Definition of OML law in [Kalmbach]
       p. 22.  ( ~ pjoml2i analog.)  (Contributed by NM, 6-Nov-2011.)
       (New usage is discouraged.) $)
    omllaw2N $p |- ( ( K e. OML /\ X e. B /\ Y e. B ) ->
            ( X .<_ Y -> ( X .\/ ( ( ._|_ ` X ) ./\ Y ) ) = Y ) ) $=
      ( coml wcel w3a wbr cfv co wceq omllaw eqcom omllat 3ad2ant1 omlop opoccl
      clat sylan 3adant3 simp3 latmcom syl3anc oveq2d eqeq2d syl5bb sylibrd
      cops ) CNOZGAOZHAOZPZGHDQHGHGFRZESZBSZTZGVBHESZBSZHTZABCDEFGHIJKLMUAVHHVG
      TVAVEVGHUBVAVGVDHVAVFVCGBVACUGOZVBAOZUTVFVCTURUSVIUTCUCUDURUSVJUTURCUQOUS
      VJCUEACFGIMUFUHUIURUSUTUJACEVBHILUKULUMUNUOUP $.
  $}

  ${
    omllaw3.b $e |- B = ( Base ` K ) $.
    omllaw3.l $e |- .<_ = ( le ` K ) $.
    omllaw3.m $e |- ./\ = ( meet ` K ) $.
    omllaw3.o $e |- ._|_ = ( oc ` K ) $.
    omllaw3.z $e |- .0. = ( 0. ` K ) $.
    $( Orthomodular law equivalent.  Theorem 2(ii) of [Kalmbach] p. 22.
       ( ~ pjoml analog.)  (Contributed by NM, 19-Oct-2011.) $)
    omllaw3 $p |- ( ( K e. OML /\ X e. B /\ Y e. B ) ->
            ( ( X .<_ Y /\ ( Y ./\ ( ._|_ ` X ) ) = .0. ) -> X = Y ) ) $=
      ( coml wcel w3a cfv co wceq wa wbr cjn oveq2 adantl col omlol olj01 sylan
      eqid 3adant3 adantr eqtr2d adantrl omllaw imp adantrr eqtr4d ex ) BNOZFAO
      ZGAOZPZFGCUAZGFEQDRZHSZTZFGSVBVFTFFVDBUBQZRZGVBVEFVHSVCVBVETVHFHVGRZFVEVH
      VISVBVDHFVGUCUDVBVIFSZVEUSUTVJVAUSBUEOUTVJBUFAVGBFHIVGUIZMUGUHUJUKULUMVBV
      CGVHSZVEVBVCVLAVGBCDEFGIJVKKLUNUOUPUQUR $.
  $}

  ${
    omllaw4.b $e |- B = ( Base ` K ) $.
    omllaw4.l $e |- .<_ = ( le ` K ) $.
    omllaw4.m $e |- ./\ = ( meet ` K ) $.
    omllaw4.o $e |- ._|_ = ( oc ` K ) $.
    $( Orthomodular law equivalent.  Remark in [Holland95] p. 223.
       (Contributed by NM, 19-Oct-2011.) $)
    omllaw4 $p |- ( ( K e. OML /\ X e. B /\ Y e. B ) ->
            ( X .<_ Y -> ( ( ._|_ ` ( ( ._|_ ` X ) ./\ Y ) ) ./\ Y ) = X ) ) $=
      ( wcel cfv wbr co wceq 3ad2ant1 opoccl syl2anc syl3anc coml w3a cjn simp1
      wi cops omlop simp3 simp2 eqid omllaw wb oplecon3b syl3an1 omllat opcon3b
      clat latmcl latjcom col omlol oldmm2 opococ oveq2d 3eqtr4d eqeq2d 3imtr4d
      bitrd ) BUALZFALZGALZUBZGEMZFEMZCNZVNVMVNVMEMZDOZBUCMZOZPZFGCNZVNGDOZEMZG
      DOZFPZVLVIVMALZVNALZVOVTUEVIVJVKUDVLBUFLZVKWFVIVJWHVKBUGZQZVIVJVKUHZABEGH
      KRSZVLWHVJWGWJVIVJVKUIZABEFHKRSZAVRBCDEVMVNHIVRUJZJKUKTVIWHVJVKWAVOULWIAB
      CEFGHIKUMUNVLWEVNWDEMZPZVTVLWHWDALZVJWEWQULWJVLBUQLZWCALZVKWRVIVJWSVKBUOQ
      ZVLWHWBALZWTWJVLWSWGVKXBXAWNWKABDVNGHJURTZABEWBHKRSWKABDWCGHJURTWMABEWDFH
      KUPTVLWPVSVNVLWBVMVROZVMWBVROZWPVSVLWSXBWFXDXEPXAXCWLAVRBWBVMHWOUSTVLBUTL
      ZXBVKWPXDPVIVJXFVKBVAQXCWKAVRBDEWBGHWOJKVBTVLVQWBVMVRVLVPGVNDVLWHVKVPGPWJ
      WKABEGHKVCSVDVDVEVFVHVG $.
  $}

  ${
    omllaw5.b $e |- B = ( Base ` K ) $.
    omllaw5.j $e |- .\/ = ( join ` K ) $.
    omllaw5.m $e |- ./\ = ( meet ` K ) $.
    omllaw5.o $e |- ._|_ = ( oc ` K ) $.
    $( The orthomodular law.  Remark in [Kalmbach] p. 22.  ( ~ pjoml5 analog.)
       (Contributed by NM, 14-Nov-2011.)  (New usage is discouraged.) $)
    omllaw5N $p |- ( ( K e. OML /\ X e. B /\ Y e. B ) ->
            ( X .\/ ( ( ._|_ ` X ) ./\ ( X .\/ Y ) ) ) = ( X .\/ Y ) ) $=
      ( coml wcel w3a co cple cfv wbr wceq syl3an1 simp1 simp2 clat omllat 3jca
      latjcl eqid latlej1 omllaw2N sylc ) CLMZFAMZGAMZNZUKULFGBOZAMZNFUOCPQZRZF
      FEQUODOBOUOSUNUKULUPUKULUMUAUKULUMUBUKCUCMZULUMUPCUDZABCFGHIUFTUEUKUSULUM
      URUTABCUQFGHUQUGZIUHTABCUQDEFUOHVAIJKUIUJ $.
  $}

  ${
    cmtcom.b $e |- B = ( Base ` K ) $.
    cmtcom.c $e |- C = ( cm ` K ) $.
    $( Lemma for ~ cmtcomN .  ( ~ cmcmlem analog.)  (Contributed by NM,
       7-Nov-2011.)  (New usage is discouraged.) $)
    cmtcomlemN $p |- ( ( K e. OML /\ X e. B /\ Y e. B ) -> ( X C Y ->
               Y C X ) ) $=
      ( coml wcel w3a cfv wceq wbr 3ad2ant1 eqid opoccl syl3anc syl3an1 adantr
      co cmee coc wa cple clat omllat cops omlop sylan 3adant3 simp3 latlej2 wb
      cjn latjcl latleeqm2 mpbid oveq2d omlol latmassOLD syl13anc oldmm1 oveq1d
      syl2anc 3eqtr4rd oldmj4 oldmj2 oveq12d eqeq2d biimpar fveq2d eqtr2d eqtrd
      simp1 latmcl 3jca latmle2 omllaw2N sylc latmcom 3eqtr3d ex cmtvalN 3com23
      col 3imtr4d ) CHIZDAIZEAIZJZDDECUAKZTZDECUBKZKZWKTZCUNKZTZLZEEDWKTZEDWMKZ
      WKTZWPTZLZDEBMEDBMZWJWRXCWJWRUCZWLWLWMKZEWKTZWPTZWLWTEWKTZWPTZEXBXEXGXIWL
      WPXEXGWTWNWPTZWTEWPTZWKTZEWKTZXIWJXGXNLWRWJXKXLEWKTZWKTZXKEWKTXNXGWJXOEXK
      WKWJEXLCUDKZMZXOELZWJCUEIZWTAIZWIXRWGWHXTWICUFZNZWGWHYAWIWGCUGIZWHYACUHZA
      CWMDFWMOZPUIUJZWGWHWIUKZAWPCXQWTEFXQOZWPOZULQWJXTWIXLAIZXRXSUMYCYHWJXTYAW
      IYKYCYGYHAWPCWTEFYJUOQZACXQWKEXLFYIWKOZUPQUQURWJCWEIZXKAIZYKWIXNXPLWGWHYN
      WICUSZNZWJXTYAWNAIZYOYCYGWJYDWIYRWGWHYDWIYENYHACWMEFYFPVDAWPCWTWNFYJUOQZY
      LYHACWKXKXLEFYMUTVAWJXFXKEWKWGYNWHWIXFXKLYPAWPCWKWMDEFYJYMYFVBRVCVESXEXMW
      TEWKXEWTXKWMKZXLWMKZWPTZWMKZXMXEDUUBWMWJDUUBLWRWJUUBWQDWJYTWLUUAWOWPWGYNW
      HWIYTWLLYPAWPCWKWMDEFYJYMYFVFRWGYNWHWIUUAWOLYPAWPCWKWMDEFYJYMYFVGRVHVIVJV
      KWJUUCXMLZWRWJYNYOYKUUDYQYSYLAWPCWKWMXKXLFYJYMYFVFQSVLVCVMURWJXHELZWRWJWG
      WLAIZWIJWLEXQMZUUEWJWGUUFWIWGWHWIVNWGXTWHWIUUFYBACWKDEFYMVORYHVPWGXTWHWIU
      UGYBACXQWKDEFYIYMVQRAWPCXQWKWMWLEFYIYJYMYFVRVSSWJXJXBLWRWJWLWSXIXAWPWGXTW
      HWIWLWSLYBACWKDEFYMVTRWJXTYAWIXIXALYCYGYHACWKWTEFYMVTQVHSWAWBHABWPCWKWMDE
      FYJYMYFGWCWGWIWHXDXCUMHABWPCWKWMEDFYJYMYFGWCWDWF $.

    $( Commutation is symmetric.  Theorem 2(v) in [Kalmbach] p. 22.  ( ~ cmcmi
       analog.)  (Contributed by NM, 7-Nov-2011.)
       (New usage is discouraged.) $)
    cmtcomN $p |- ( ( K e. OML /\ X e. B /\ Y e. B ) -> ( X C Y <->
               Y C X ) ) $=
      ( coml wcel w3a wbr cmtcomlemN wi 3com23 impbid ) CHIZDAIZEAIZJDEBKZEDBKZ
      ABCDEFGLPRQTSMABCEDFGLNO $.
  $}

  ${
    cmt2.b $e |- B = ( Base ` K ) $.
    cmt2.o $e |- ._|_ = ( oc ` K ) $.
    cmt2.c $e |- C = ( cm ` K ) $.
    $( Commutation with orthocomplement.  Theorem 2.3(i) of [Beran] p. 39.
       ( ~ cmcm2i analog.)  (Contributed by NM, 8-Nov-2011.)
       (New usage is discouraged.) $)
    cmt2N $p |- ( ( K e. OML /\ X e. B /\ Y e. B ) -> ( X C Y <->
               X C ( ._|_ ` Y ) ) ) $=
      ( coml wcel cfv co wceq wbr 3ad2ant1 eqid latmcl syl2anc syl3anc w3a cmee
      clat omllat syl3an1 simp2 omlop simp3 opoccl latjcom opococ oveq2d eqtr4d
      cjn cops eqeq2d cmtvalN wb syld3an3 3bitr4d ) CJKZEAKZFAKZUAZEEFCUBLZMZEF
      DLZVEMZCUNLZMZNEVHEVGDLZVEMZVIMZNZEFBOEVGBOZVDVJVMEVDVJVHVFVIMZVMVDCUCKZV
      FAKZVHAKZVJVPNVAVBVQVCCUDZPZVAVQVBVCVRVTACVEEFGVEQZRUEVDVQVBVGAKZVSWAVAVB
      VCUFVDCUOKZVCWCVAVBWDVCCUGPZVAVBVCUHZACDFGHUISZACVEEVGGWBRTAVICVFVHGVIQZU
      JTVDVLVFVHVIVDVKFEVEVDWDVCVKFNWEWFACDFGHUKSULULUMUPJABVICVEDEFGWHWBHIUQVA
      VBVCWCVOVNURWGJABVICVEDEVGGWHWBHIUQUSUT $.

    $( Commutation with orthocomplement.  Remark in [Kalmbach] p. 23.
       ( ~ cmcm4i analog.)  (Contributed by NM, 8-Nov-2011.)
       (New usage is discouraged.) $)
    cmt3N $p |- ( ( K e. OML /\ X e. B /\ Y e. B ) -> ( X C Y <->
               ( ._|_ ` X ) C Y ) ) $=
      ( coml wcel w3a wbr cfv wb cmt2N 3com23 cmtcomN cops omlop 3ad2ant1 simp2
      opoccl syl2anc syld3an2 3bitr4d ) CJKZEAKZFAKZLZFEBMZFEDNZBMZEFBMULFBMZUG
      UIUHUKUMOABCDFEGHIPQABCEFGIRUGULAKZUHUIUNUMOUJCSKZUHUOUGUHUPUICTUAUGUHUIU
      BACDEGHUCUDABCULFGIRUEUF $.

    $( Commutation with orthocomplement.  Remark in [Kalmbach] p. 23.
       ( ~ cmcm4i analog.)  (Contributed by NM, 8-Nov-2011.)
       (New usage is discouraged.) $)
    cmt4N $p |- ( ( K e. OML /\ X e. B /\ Y e. B ) -> ( X C Y <->
               ( ._|_ ` X ) C ( ._|_ ` Y ) ) ) $=
      ( coml wcel w3a wbr cfv cmt2N wb cops omlop 3ad2ant1 simp3 opoccl syl2anc
      cmt3N syld3an3 bitrd ) CJKZEAKZFAKZLZEFBMEFDNZBMZEDNUJBMZABCDEFGHIOUFUGUH
      UJAKZUKULPUICQKZUHUMUFUGUNUHCRSUFUGUHTACDFGHUAUBABCDEUJGHIUCUDUE $.
  $}

  ${
    cmtbr2.b $e |- B = ( Base ` K ) $.
    cmtbr2.j $e |- .\/ = ( join ` K ) $.
    cmtbr2.m $e |- ./\ = ( meet ` K ) $.
    cmtbr2.o $e |- ._|_ = ( oc ` K ) $.
    cmtbr2.c $e |- C = ( cm ` K ) $.
    $( Alternate definition of the commutes relation.  Remark in [Kalmbach]
       p. 23.  ( ~ cmbr2i analog.)  (Contributed by NM, 8-Nov-2011.)
       (New usage is discouraged.) $)
    cmtbr2N $p |- ( ( K e. OML /\ X e. B /\ Y e. B )
     -> ( X C Y <-> X = ( ( X .\/ Y ) ./\ ( X .\/ ( ._|_ ` Y ) ) ) ) ) $=
      ( wcel cfv co wceq wb 3ad2ant1 syl3anc coml cmt4N simp1 cops omlop opoccl
      w3a wbr simp2 syl2anc simp3 cmtvalN a1i clat omllat latjcl syl3an1 latmcl
      eqcom opcon3b col omlol oldmm1 oldmj1 oveq12d eqtrd eqeq2d 3bitrrd 3bitrd
      ) DUANZGANZHANZUGZGHBUHGFOZHFOZBUHZVNVNVOEPZVNVOFOEPZCPZQZGGHCPZGVOCPZEPZ
      QZABDFGHILMUBVMVJVNANZVOANZVPVTRVJVKVLUCVMDUDNZVKWEVJVKWGVLDUESZVJVKVLUIZ
      ADFGILUFUJVMWGVLWFWHVJVKVLUKADFHILUFUJZUAABCDEFVNVOIJKLMULTVMWDWCGQZVNWCF
      OZQZVTWDWKRVMGWCUSUMVMWGWCANZVKWKWMRWHVMDUNNZWAANZWBANZWNVJVKWOVLDUOZSZVJ
      WOVKVLWPWRACDGHIJUPUQZVMWOVKWFWQWSWIWJACDGVOIJUPTZADEWAWBIKURTWIADFWCGILU
      TTVMWLVSVNVMWLWAFOZWBFOZCPZVSVMDVANZWPWQWLXDQVJVKXEVLDVBZSZWTXAACDEFWAWBI
      JKLVCTVMXBVQXCVRCVJXEVKVLXBVQQXFACDEFGHIJKLVDUQVMXEVKWFXCVRQXGWIWJACDEFGV
      OIJKLVDTVEVFVGVHVI $.

    $( Alternate definition for the commutes relation.  Lemma 3 of [Kalmbach]
       p. 23.  ( ~ cmbr3 analog.)  (Contributed by NM, 8-Nov-2011.)
       (New usage is discouraged.) $)
    cmtbr3N $p |- ( ( K e. OML /\ X e. B /\ Y e. B )
     -> ( X C Y <-> ( X ./\ ( ( ._|_ ` X ) .\/ Y ) ) = ( X ./\ Y ) ) ) $=
      ( wcel wbr cfv co wceq 3ad2ant1 syl3anc coml w3a cmtcomN wb cmtbr2N bitrd
      3com23 oveq2 adantl col omlol simp2 clat omllat simp3 latjcl omlop opoccl
      wa cops syl2anc latmassOLD syl13anc latjcom latabs2 syl3an1 eqtrd oveq12d
      oveq2d eqtr3d adantr eqtr2d ex sylbid cple simp1 latmcl 3jca eqid latmle1
      omllaw2N sylc oldmm3N latmcom eqeq1d oveq1 syl6bi cmtvalN sylibrd impbid
      imp ) DUANZGANZHANZUBZGHBOZGGFPZHCQZEQZGHEQZRZWOWPHHGCQZHWQCQZEQZRZXAWOWP
      HGBOZXEABDGHIMUCWLWNWMXFXEUDABCDEFHGIJKLMUEUGUFWOXEXAWOXEUSWTGXDEQZWSXEWT
      XGRWOHXDGEUHUIWOXGWSRXEWOGXBEQZXCEQZXGWSWODUJNZWMXBANZXCANZXIXGRWLWMXJWND
      UKZSWLWMWNULZWODUMNZWNWMXKWLWMXOWNDUNZSZWLWMWNUOZXNACDHGIJUPTWOXOWNWQANZX
      LXQXRWODUTNZWMXSWLWMXTWNDUQSZXNADFGILURVAZACDHWQIJUPTADEGXBXCIKVBVCWOXHGX
      CWREWOXHGGHCQZEQZGWOXBYCGEWOXOWNWMXBYCRXQXRXNACDHGIJVDTVIWLXOWMWNYDGRXPAC
      DEGHIJKVEVFVGWOXOWNXSXCWRRXQXRYBACDHWQIJVDTVHVJVKVLVMVNWOXAGWTGHFPZEQZCQZ
      RZWPWOXAYHWOXAUSGYFFPZGEQZYFCQZYGWOGYKRXAWOYFYJCQZGYKWOWLYFANZWMUBYFGDVOP
      ZOZYLGRWOWLYMWMWLWMWNVPWOXOWMYEANZYMXQXNWOXTWNYPYAXRADFHILURVAZADEGYEIKVQ
      TZXNVRWOXOWMYPYOXQXNYQADYNEGYEIYNVSZKVTTACDYNEFYFGIYSJKLWAWBWOXOYMYJANZYL
      YKRXQYRWOXOYIANZWMYTXQWOXTYMUUAYAYRADFYFILURVAZXNADEYIGIKVQTACDYFYJIJVDTV
      JVKWOXAYKYGRZWOXAYJWTRUUCWOWSYJWTWOGYIEQZWSYJWOYIWRGEWLXJWMWNYIWRRXMACDEF
      GHIJKLWCVFVIWOXOWMUUAUUDYJRXQXNUUBADEGYIIKWDTVJWEYJWTYFCWFWGWKVGVMUAABCDE
      FGHIJKLMWHWIWJ $.
  $}

  ${
    cmtbr4.b $e |- B = ( Base ` K ) $.
    cmtbr4.l $e |- .<_ = ( le ` K ) $.
    cmtbr4.j $e |- .\/ = ( join ` K ) $.
    cmtbr4.m $e |- ./\ = ( meet ` K ) $.
    cmtbr4.o $e |- ._|_ = ( oc ` K ) $.
    cmtbr4.c $e |- C = ( cm ` K ) $.
    $( Alternate definition for the commutes relation.  ( ~ cmbr4i analog.)
       (Contributed by NM, 10-Nov-2011.)  (New usage is discouraged.) $)
    cmtbr4N $p |- ( ( K e. OML /\ X e. B /\ Y e. B )
     -> ( X C Y <-> ( X ./\ ( ( ._|_ ` X ) .\/ Y ) ) .<_ Y ) ) $=
      ( wcel wbr co syl3an1 syl3anc coml w3a cfv wceq cmtbr3N clat omllat breq1
      latmle2 syl5ibrcom 3ad2ant1 simp2 cops omlop opoccl syl2anc simp3 latmle1
      wa latjcl anim1i ex wb latmcl latlem12 syl13anc sylibd wi latmlem2 jctird
      latlej2 mpd latasymb impbid bitrd ) DUAPZHAPZIAPZUBZHIBQHHGUCZICRZFRZHIFR
      ZUDZWBIEQZABCDFGHIJLMNOUEVSWDWEVSWEWDWCIEQZVPDUFPZVQVRWFDUGZADEFHIJKMUISW
      BWCIEUHUJVSWEWBWCEQZWCWBEQZUSZWDVSWEWIWJVSWEWBHEQZWEUSZWIVSWEWMVSWLWEVSWG
      VQWAAPZWLVPVQWGVRWHUKZVPVQVRULZVSWGVTAPZVRWNWOVSDUMPZVQWQVPVQWRVRDUNUKWPA
      DGHJNUOUPZVPVQVRUQZACDVTIJLUTTZADEFHWAJKMURTVAVBVSWGWBAPZVQVRWMWIVCWOVSWG
      VQWNXBWOWPXAADFHWAJMVDTZWPWTADEFWBHIJKMVEVFVGVSIWAEQZWJVSWGWQVRXDWOWSWTAC
      DEVTIJKLVKTVSWGVRWNVQXDWJVHWOWTXAWPADEFIWAHJKMVIVFVLVJVSWGXBWCAPZWKWDVCWO
      XCVPWGVQVRXEWHADFHIJMVDSADEWBWCJKVMTVGVNVO $.
  $}

  ${
    lecmt.b $e |- B = ( Base ` K ) $.
    lecmt.l $e |- .<_ = ( le ` K ) $.
    lecmt.c $e |- C = ( cm ` K ) $.
    $( Ordered elements commute.  ( ~ lecmi analog.)  (Contributed by NM,
       10-Nov-2011.)  (New usage is discouraged.) $)
    lecmtN $p |- ( ( K e. OML /\ X e. B /\ Y e. B )
     -> ( X .<_ Y -> X C Y ) ) $=
      ( coml wcel w3a wbr coc cfv cjn co 3ad2ant1 eqid syl3anc cmee clat omllat
      simp2 cops omlop opoccl syl2anc simp3 latjcl latmle1 wa wi lattr syl13anc
      latmcl mpand cmtbr4N sylibrd ) CJKZEAKZFAKZLZEFDMZEECNOZOZFCPOZQZCUAOZQZF
      DMZEFBMVCVJEDMZVDVKVCCUBKZVAVHAKZVLUTVAVMVBCUCRZUTVAVBUDZVCVMVFAKZVBVNVOV
      CCUEKZVAVQUTVAVRVBCUFRVPACVEEGVESZUGUHUTVAVBUIZAVGCVFFGVGSZUJTZACDVIEVHGH
      VISZUKTVCVMVJAKZVAVBVLVDULVKUMVOVCVMVAVNWDVOVPWBACVIEVHGWCUPTVPVTACDVJEFG
      HUNUOUQABVGCDVIVEEFGHWAWCVSIURUS $.
  $}

  ${
    cmtid.b $e |- B = ( Base ` K ) $.
    cmtid.c $e |- C = ( cm ` K ) $.
    $( Any element commutes with itself.  ( ~ cmidi analog.)  (Contributed by
       NM, 6-Dec-2013.)  (New usage is discouraged.) $)
    cmtidN $p |- ( ( K e. OML /\ X e. B ) -> X C X ) $=
      ( coml wcel wa cple cfv wbr clat omllat eqid latref sylan lecmtN 3anidm23
      wi mpd ) CGHZDAHZIDDCJKZLZDDBLZUBCMHUCUECNACUDDEUDOZPQUBUCUEUFTABCUDDDEUG
      FRSUA $.
  $}

  ${
    omlfh1.b $e |- B = ( Base ` K ) $.
    omlfh1.j $e |- .\/ = ( join ` K ) $.
    omlfh1.m $e |- ./\ = ( meet ` K ) $.
    omlfh1.c $e |- C = ( cm ` K ) $.
    $( Foulis-Holland Theorem, part 1.  If any 2 pairs in a triple of
       orthomodular lattice elements commute, the triple is distributive.  Part
       of Theorem 5 in [Kalmbach] p. 25.  ( ~ fh1 analog.)  (Contributed by NM,
       8-Nov-2011.)  (New usage is discouraged.) $)
    omlfh1N $p |- ( ( K e. OML /\ ( X e. B /\ Y e. B /\ Z e. B ) /\
     ( X C Y /\ X C Z ) )
   -> ( X ./\ ( Y .\/ Z ) ) = ( ( X ./\ Y ) .\/ ( X ./\ Z ) ) ) $=
      ( wcel wbr co cfv wceq 3adant3 syl3anc latmcl coml w3a wa cple coc omllat
      cp0 clat eqid latledi sylan adantr simpr1 simpr2 simpr3 latmcom col omlol
      latjcl oldmj1 oldmm1 oveq12d eqtrd cops omlop syl2anc latmassOLD syl13anc
      opoccl cmt2N 3adant3r3 simpl cmtbr3N bitrd biimpa adantrr 3impa 3adant3r2
      wb adantrl latmmdiN 3eqtr4d oveq2d latm12 3eqtrd opnoncon eqtr3d olm01 wi
      omllaw3 mp2and eqcomd ) DUAMZFAMZGAMZHAMZUBZFGBNZFHBNZUCZUBZFGEOZFHEOZCOZ
      FGHCOZEOZXAXDXFDUDPZNZXFXDDUEPZPZEOZDUGPZQZXDXFQZWMWQXHWTWMDUHMZWQXHDUFZA
      CDXGEFGHIXGUIZJKUJUKRXAXKXEFEOZFXIPZGXIPZCOZXSHXIPZCOZEOZEOZFXEXTYBEOZEOZ
      EOZXLWMWQXKYEQWTWMWQUCZXFXRXJYDEYIXOWNXEAMZXFXRQWMXOWQXPULZWMWNWOWPUMZYIX
      OWOWPYJYKWMWNWOWPUNZWMWNWOWPUOZACDGHIJUSSZADEFXEIKUPSYIXJXBXIPZXCXIPZEOZY
      DYIDUQMZXBAMZXCAMZXJYRQWMYSWQDURULZYIXOWNWOYTYKYLYMADEFGIKTSZYIXOWNWPUUAY
      KYLYNADEFHIKTSZACDEXIXBXCIJKXIUIZUTSYIYPYAYQYCEYIYSWNWOYPYAQUUBYLYMACDEXI
      FGIJKUUEVASYIYSWNWPYQYCQUUBYLYNACDEXIFHIJKUUEVASVBVCVBRXAYEXEFYDEOZEOZXEF
      YFEOZEOZYHWMWQYEUUGQZWTYIYSYJWNYDAMZUUJUUBYOYLYIXOYAAMZYCAMZUUKYKYIXOXSAM
      ZXTAMZUULYKYIDVDMZWNUUNWMUUPWQDVEULZYLADXIFIUUEVIVFZYIUUPWOUUOUUQYMADXIGI
      UUEVIVFZACDXSXTIJUSSZYIXOUUNYBAMZUUMYKUURYIUUPWPUVAUUQYNADXIHIUUEVIVFZACD
      XSYBIJUSSZADEYAYCIKTSADEXEFYDIKVGVHRXAUUFUUHXEEXAFYAEOZFYCEOZEOZFXTEOZFYB
      EOZEOZUUFUUHXAUVDUVGUVEUVHEWMWQWTUVDUVGQZYIWRUVJWSYIWRUVJYIWRFXTBNZUVJWMW
      NWOWRUVKVSWPABDXIFGIUUELVJVKYIWMWNUUOUVKUVJVSWMWQVLZYLUUSABCDEXIFXTIJKUUE
      LVMSVNVOVPVQWMWQWTUVEUVHQZYIWSUVMWRYIWSUVMYIWSFYBBNZUVMWMWNWPWSUVNVSWOABD
      XIFHIUUELVJVRYIWMWNUVAUVNUVMVSUVLYLUVBABCDEXIFYBIJKUUELVMSVNVOVTVQVBWMWQU
      UFUVFQZWTYIYSWNUULUUMUVOUUBYLUUTUVCADEFYAYCIKWAVHRWMWQUUHUVIQZWTYIYSWNUUO
      UVAUVPUUBYLUUSUVBADEFXTYBIKWAVHRWBWCWMWQUUIYHQZWTYIYSYJWNYFAMZUVQUUBYOYLY
      IXOUUOUVAUVRYKUUSUVBADEXTYBIKTSADEXEFYFIKWDVHRWEWMWQYHXLQWTYIYHFXLEOZXLYI
      YGXLFEYIXEXEXIPZEOZYGXLYIUVTYFXEEYIYSWOWPUVTYFQUUBYMYNACDEXIGHIJKUUEUTSWC
      YIUUPYJUWAXLQUUQYOADEXIXEXLIUUEKXLUIZWFVFWGWCYIYSWNUVSXLQUUBYLADEFXLIKUWB
      WHVFVCRWEWMWQXHXMUCXNWIZWTYIWMXDAMZXFAMZUWCUVLYIXOYTUUAUWDYKUUCUUDACDXBXC
      IJUSSYIXOWNYJUWEYKYLYOADEFXEIKTSADXGEXIXDXFXLIXQKUUEUWBWJSRWKWL $.

    $( Foulis-Holland Theorem, part 3.  Dual of ~ omlfh1N .  (Contributed by
       NM, 8-Nov-2011.)  (New usage is discouraged.) $)
    omlfh3N $p |- ( ( K e. OML /\ ( X e. B /\ Y e. B /\ Z e. B ) /\
     ( X C Y /\ X C Z ) )
         -> ( X .\/ ( Y ./\ Z ) ) = ( ( X .\/ Y ) ./\ ( X .\/ Z ) ) ) $=
      ( wcel w3a wbr wa cfv co wceq syl3anc coml eqid cmt4N 3adant3r3 3adant3r2
      wb anbi12d wi simpl cops omlop adantr simpr1 opoccl syl2anc simpr2 simpr3
      coc 3jca omlfh1N fveq2d 3exp sylbid 3impia col omlol omllat latjcl oldmm2
      sylc oldmj4 oveq2d eqtr2d 3adant3 latmcl oldmj1 oldmm4 oveq12d 3eqtr4d
      clat ) DUAMZFAMZGAMZHAMZNZFGBOZFHBOZPZNFDURQZQZGWIQZHWIQZCRZERZWIQZWJWKER
      ZWJWLERZCRZWIQZFGHERZCRZFGCRZFHCRZERZWAWEWHWOWSSZWAWEPZWHWJWKBOZWJWLBOZPZ
      XEXFWFXGWGXHWAWBWCWFXGUFWDABDWIFGIWIUBZLUCUDWAWBWDWGXHUFWCABDWIFHIXJLUCUE
      UGXFWAWJAMZWKAMZWLAMZNZXIXEUHWAWEUIXFXKXLXMXFDUJMZWBXKWAXOWEDUKULZWAWBWCW
      DUMZADWIFIXJUNUOZXFXOWCXLXPWAWBWCWDUPZADWIGIXJUNUOZXFXOWDXMXPWAWBWCWDUQZA
      DWIHIXJUNUOZUSWAXNXIXEWAXNXINWNWRWIABCDEWJWKWLIJKLUTVAVBVJVCVDWAWEXAWOSWH
      XFWOFWMWIQZCRZXAXFDVEMZWBWMAMZWOYDSWAYEWEDVFULZXQXFDVTMZXLXMYFWAYHWEDVGUL
      ZXTYBACDWKWLIJVHTACDEWIFWMIJKXJVITXFYCWTFCXFYEWCWDYCWTSYGXSYAACDEWIGHIJKX
      JVKTVLVMVNWAWEXDWSSWHXFWSWPWIQZWQWIQZERZXDXFYEWPAMZWQAMZWSYLSYGXFYHXKXLYM
      YIXRXTADEWJWKIKVOTXFYHXKXMYNYIXRYBADEWJWLIKVOTACDEWIWPWQIJKXJVPTXFYJXBYKX
      CEXFYEWBWCYJXBSYGXQXSACDEWIFGIJKXJVQTXFYEWBWDYKXCSYGXQYAACDEWIFHIJKXJVQTV
      RVMVNVS $.
  $}

  ${
    omlmod.b $e |- B = ( Base ` K ) $.
    omlmod.l $e |- .<_ = ( le ` K ) $.
    omlmod.j $e |- .\/ = ( join ` K ) $.
    omlmod.m $e |- ./\ = ( meet ` K ) $.
    omlmod.c $e |- C = ( cm ` K ) $.
    $( Analogue of modular law ~ atmod1i2 that holds in any OML. (Contributed
       by NM, 6-Dec-2013.)  (New usage is discouraged.) $)
    omlmod1i2N $p |- ( ( K e. OML /\ ( X e. B /\ Y e. B /\ Z e. B )
           /\ ( X .<_ Z /\ Y C Z ) )
        -> ( X .\/ ( Y ./\ Z ) ) = ( ( X .\/ Y ) ./\ Z ) ) $=
      ( wcel wbr co wceq syl3anc wb w3a wa simp1 simp23 simp21 simp22 simp3l wi
      coml lecmtN mpd cmtcomN mpbid simp3r omlfh1N syl132anc clat omllat latjcl
      3ad2ant1 latmcom latleeqm2 oveq12d 3eqtr3rd ) DUIOZGAOZHAOZIAOZUAZGIEPZHI
      BPZUBZUAZIGHCQZFQZIGFQZIHFQZCQZVNIFQZGHIFQZCQVMVEVHVFVGIGBPZIHBPZVOVRRVEV
      IVLUCZVEVFVGVHVLUDZVEVFVGVHVLUEZVEVFVGVHVLUFZVMGIBPZWAVMVJWGVEVIVJVKUGZVM
      VEVFVHVJWGUHWCWEWDABDEGIJKNUJSUKVMVEVFVHWGWATWCWEWDABDGIJNULSUMVMVKWBVEVI
      VJVKUNVMVEVGVHVKWBTWCWFWDABDHIJNULSUMABCDFIGHJLMNUOUPVMDUQOZVHVNAOZVOVSRV
      EVIWIVLDURUTZWDVMWIVFVGWJWKWEWFACDGHJLUSSADFIVNJMVASVMVPGVQVTCVMVJVPGRZWH
      VMWIVFVHVJWLTWKWEWDADEFGIJKMVBSUMVMWIVHVGVQVTRWKWDWFADFIHJMVASVCVD $.
  $}

  ${
    omlspj.b $e |- B = ( Base ` K ) $.
    omlspj.l $e |- .<_ = ( le ` K ) $.
    omlspj.j $e |- .\/ = ( join ` K ) $.
    omlspj.m $e |- ./\ = ( meet ` K ) $.
    omlspj.o $e |- ._|_ = ( oc ` K ) $.
    $( Contraction of a Sasaki projection.  (Contributed by NM, 6-Dec-2013.)
       (New usage is discouraged.) $)
    omlspjN $p |- ( ( K e. OML /\ ( X e. B /\ Y e. B ) /\ X .<_ Y )
        -> ( ( X .\/ ( ._|_ ` Y ) ) ./\ Y ) = X ) $=
      ( wcel wbr cfv co wceq 3ad2ant1 syl2anc coml wa w3a cp0 clat omllat omlop
      cops simp2r opoccl latmcom syl3anc eqid opnoncon eqtrd oveq2d ccmtN simp1
      simp2l simp3 cmtidN wb cmt3N mpbid omlmod1i2N syl132anc col omlol 3eqtr3d
      olj01 ) CUANZGANZHANZUBZGHDOZUCZGHFPZHEQZBQZGCUDPZBQZGVQBQHEQZGVPVRVTGBVP
      VRHVQEQZVTVPCUENZVQANZVMVRWCRVKVNWDVOCUFSVPCUHNZVMWEVKVNWFVOCUGSZVKVLVMVO
      UIZACFHIMUJTZWHACEVQHILUKULVPWFVMWCVTRWGWHACEFHVTIMLVTUMZUNTUOUPVPVKVLWEV
      MVOVQHCUQPZOZVSWBRVKVNVOURZVKVLVMVOUSZWIWHVKVNVOUTVPHHWKOZWLVPVKVMWOWMWHA
      WKCHIWKUMZVATVPVKVMVMWOWLVBWMWHWHAWKCFHHIMWPVCULVDAWKBCDEGVQHIJKLWPVEVFVP
      CVGNZVLWAGRVKVNWQVOCVHSWNABCGVTIKWJVJTVI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Atomic lattices with covering property
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c <o $.
  $c Atoms $.
  $c AtLat $.
  $(
  $c AtsLat $.
  $)
  $c CvLat $.

  $( Extend class notation with covers relation. $)
  ccvr $a class <o $.

  $( Extend class notation with atoms. $)
  catm $a class Atoms $.

  $( Extend class notation with atomic lattices. $)
  cal $a class AtLat $.

  $( Extend class notation with atomistic lattices. $)
  $(
  cas $a class AtsLat $.
  $)

  $( Extend class notation with lattices with the covering property. $)
  clc $a class CvLat $.

  ${
    $d p z a b $.
    $( Define the covers relation ("is covered by") for posets.  " ` a ` is
       covered by ` b ` " means that ` a ` is strictly less than ` b ` and
       there is nothing in between.  See ~ cvrval for the relation form.
       (Contributed by NM, 18-Sep-2011.) $)
    df-covers $a |- <o = ( p e. _V |-> { <. a , b >. | ( ( a e. ( Base ` p )
               /\ b e. ( Base ` p ) )
           /\ a ( lt ` p ) b /\ -. E. z e. ( Base ` p )
              ( a ( lt ` p ) z /\ z ( lt ` p ) b ) ) } ) $.

    $( Define the class of poset atoms.  (Contributed by NM, 18-Sep-2011.) $)
    df-ats $a |- Atoms = ( p e. _V |-> { a e. ( Base ` p ) |
                      ( 0. ` p ) ( <o ` p ) a } ) $.
  $}

  ${
    $d p x y z B $.  $d p x y z K $.  $d p .< $.
    cvrfval.b $e |- B = ( Base ` K ) $.
    cvrfval.s $e |- .< = ( lt ` K ) $.
    cvrfval.c $e |- C = ( <o ` K ) $.
    $( Value of covers relation "is covered by".  (Contributed by NM,
       18-Sep-2011.) $)
    cvrfval $p |- ( K e. A -> C = { <. x , y >. | ( ( x e. B /\ y e. B )
                  /\ x .< y /\ -. E. z e. B ( x .< z /\ z .< y ) ) } ) $=
      ( vp wcel cvv cv wa wbr copab cfv cbs wrex wn wceq elex ccvr cplt eqtr4di
      w3a fveq2 eleq2d anbi12d breqd rexeqbidv notbid 3anbi123d opabbidv 3anass
      df-covers opabbii cxp fvexi xpex opabssxp ssexi eqeltri fvmpt syl5eq syl
      ) HDMHNMZFAOZEMZBOZEMZPZVJVLGQZVJCOZGQZVPVLGQZPZCEUAZUBZUHZABRZUCHDUDVIFH
      UESWCKLHVJLOZTSZMZVLWEMZPZVJVLWDUFSZQZVJVPWIQZVPVLWIQZPZCWEUAZUBZUHZABRWC
      NUEWDHUCZWPWBABWQWHVNWJVOWOWAWQWFVKWGVMWQWEEVJWQWEHTSEWDHTUIIUGZUJWQWEEVL
      WRUJUKWQWIGVJVLWQWIHUFSGWDHUFUIJUGZULWQWNVTWQWMVSCWEEWRWQWKVQWLVRWQWIGVJV
      PWSULWQWIGVPVLWSULUKUMUNUOUPCLABURWCVNVOWAPZPZABRZNWBXAABVNVOWAUQUSXBEEUT
      EEEHTIVAZXCVBWTABEEVCVDVEVFVGVH $.

    $d x y .< $.  $d x y z X $.  $d x y z Y $.
    $( Binary relation expressing ` B ` covers ` A ` , which means that ` B `
       is larger than ` A ` and there is nothing in between.  Definition 3.2.18
       of [PtakPulmannova] p. 68.  ( ~ cvbr analog.)  (Contributed by NM,
       18-Sep-2011.) $)
    cvrval $p |- ( ( K e. A /\ X e. B /\ Y e. B ) -> ( X C Y <->
               ( X .< Y /\ -. E. z e. B ( X .< z /\ z .< Y ) ) ) ) $=
      ( vx vy wcel w3a wbr cv wa wrex wn copab wb cvrfval 3anass opabbii eqtrdi
      breqd 3ad2ant1 cop df-br breq1 anbi1d rexbidv notbid anbi12d breq2 anbi2d
      wceq opelopab2 syl5bb 3adant1 bitrd ) FBNZGCNZHCNZOGHDPZGHLQZCNMQZCNRZVGV
      HEPZVGAQZEPZVKVHEPZRZACSZTZRZRZLMUAZPZGHEPZGVKEPZVKHEPZRZACSZTZRZVCVDVFVT
      UBVEVCDVSGHVCDVIVJVPOZLMUAVSLMABCDEFIJKUCWHVRLMVIVJVPUDUEUFUGUHVDVEVTWGUB
      VCVTGHUIVSNVDVERWGGHVSUJVQGVHEPZWBVMRZACSZTZRWGLMGHCCVGGURZVJWIVPWLVGGVHE
      UKWMVOWKWMVNWJACWMVLWBVMVGGVKEUKULUMUNUOVHHURZWIWAWLWFVHHGEUPWNWKWEWNWJWD
      ACWNVMWCWBVHHVKEUPUQUMUNUOUSUTVAVB $.

    $( The covers relation implies the less-than relation.  ( ~ cvpss analog.)
       (Contributed by NM, 8-Oct-2011.) $)
    cvrlt $p |- ( ( ( K e. A /\ X e. B /\ Y e. B ) /\ X C Y ) -> X .< Y ) $=
      ( vz wcel w3a wbr cv wa wrex wn cvrval simprbda ) EALFBLGBLMFGCNFGDNFKOZD
      NUAGDNPKBQRKABCDEFGHIJST $.

    $d z .< $.  $d z Z $.
    $( There is no element between the two arguments of the covers relation.
       ( ~ cvnbtwn analog.)  (Contributed by NM, 18-Oct-2011.) $)
    cvrnbtwn $p |- ( ( K e. A /\ ( X e. B /\ Y e. B /\ Z e. B ) /\ X C Y )
             -> -. ( X .< Z /\ Z .< Y ) ) $=
      ( vz wcel w3a wbr wa wn cv wrex wb cvrval 3adant3r3 wi ralnex breq2 breq1
      wral anbi12d notbid rspcv syl5bir adantld 3ad2ant3 adantl sylbid 3impia
      wceq ) EAMZFBMZGBMZHBMZNZFGCOZFHDOZHGDOZPZQZURVBPVCFGDOZFLRZDOZVIGDOZPZLB
      SQZPZVGURUSUTVCVNTVALABCDEFGIJKUAUBVBVNVGUCZURVAUSVOUTVAVMVGVHVMVLQZLBUGV
      AVGVLLBUDVPVGLHBVIHUQZVLVFVQVJVDVKVEVIHFDUEVIHGDUFUHUIUJUKULUMUNUOUP $.
  $}

  ${
    ncvr1.b $e |- B = ( Base ` K ) $.
    ncvr1.u $e |- .1. = ( 1. ` K ) $.
    ncvr1.c $e |- C = ( <o ` K ) $.
    $( No element covers the lattice unit.  (Contributed by NM, 8-Jul-2013.) $)
    ncvr1 $p |- ( ( K e. OP /\ X e. B ) -> -. .1. C X ) $=
      ( cops wcel wa wbr cplt cfv cple eqid ad2antrr simplr simpr syl31anc mt2d
      ople1 wn cpo opposet op1cl pltnle ex simpll cvrlt mtand ) DIJZEAJZKZCEBLZ
      CEDMNZLZUNUQECDONZLZACDUREFURPZGUBUNUQUSUCZUNUQKDUDJZCAJZUMUQVAULVBUMUQDU
      EQULVCUMUQACDFGUFZQULUMUQRUNUQSAUPDURCEFUTUPPZUGTUHUAUNUOKULVCUMUOUQULUMU
      OUIULVCUMUOVDQULUMUORUNUOSIABUPDCEFVEHUJTUK $.
  $}

  ${
    cvrletr.b $e |- B = ( Base ` K ) $.
    cvrletr.l $e |- .<_ = ( le ` K ) $.
    cvrletr.s $e |- .< = ( lt ` K ) $.
    cvrletr.c $e |- C = ( <o ` K ) $.
    $( Property of an element above a covering.  (Contributed by NM,
       7-Dec-2012.)  (New usage is discouraged.) $)
    cvrletrN $p |- ( ( K e. Poset /\ ( X e. B /\ Y e. B /\ Z e. B ) )
               -> ( ( X C Y /\ Y .<_ Z ) -> X .< Z ) ) $=
      ( cpo wcel w3a wa wbr simpll simplr1 simplr2 simpr cvrlt syl31anc pltletr
      wi adantr mpand expimpd ) DMNZFANZGANZHANZOZPZFGBQZGHEQZFHCQZUNUOPZFGCQZU
      PUQURUIUJUKUOUSUIUMUORUJUKULUIUOSUJUKULUIUOTUNUOUAMABCDFGIKLUBUCUNUSUPPUQ
      UEUOACDEFGHIJKUDUFUGUH $.

    $d z A $.  $d z B $.  $d z K $.  $d z X $.  $d z Y $.
    $( Binary relation expressing ` Y ` covers ` X ` .  Definition of covers in
       [Kalmbach] p. 15.  ( ~ cvbr2 analog.)  (Contributed by NM,
       16-Nov-2011.) $)
    cvrval2 $p |- ( ( K e. A /\ X e. B /\ Y e. B ) -> ( X C Y <->
              ( X .< Y /\ A. z e. B ( ( X .< z /\ z .<_ Y ) -> z = Y ) ) ) ) $=
      ( wcel wbr wa wn wral wb anbi2d w3a cv wrex wceq wi cvrval wne iman df-ne
      anbi2i xchbinxr anass pltval 3com23 bitr4id notbid syl5bb ralbidva ralnex
      3expa bitrdi 3adant2 bitr4d ) FBNZHCNZICNZUAHIDOHIEOZHAUBZEOZVHIEOZPZACUC
      QZPZVGVIVHIGOZPZVHIUDZUEZACRZPZABCDEFHIJLMUFVDVFVSVMSVEVDVFPZVRVLVGVTVRVK
      QZACRVLVTVQWAACVQVOVHIUGZPZQVTVHCNZPZWAVQVOVPQZPWCVOVPUHWBWFVOVHIUIUJUKWE
      WCVKWEWCVIVNWBPZPVKVIVNWBULWEVJWGVIVDVFWDVJWGSZVDWDVFWHBCCEFGVHIKLUMUNUTT
      UOUPUQURVKACUSVATVBVC $.

    $( The covers relation implies no in-betweenness.  ( ~ cvnbtwn2 analog.)
       (Contributed by NM, 17-Nov-2011.) $)
    cvrnbtwn2 $p |- ( ( K e. Poset /\ ( X e. B /\ Y e. B /\ Z e. B )
                        /\ X C Y )
             -> ( ( X .< Z /\ Z .<_ Y ) <-> Z = Y ) ) $=
      ( cpo wcel w3a wbr wa wi wn 3impia wceq cvrnbtwn 3expia iman anass wne wb
      simpl simpr3 simpr2 pltval df-ne anbi2i bitrdi anbi2d notbid sylibd cvrlt
      syl3anc bitr4id bitr2id 3adant3r3 breq2 syl5ibrcom posref 3ad2antr2 breq1
      ex 3adant3 jcad impbid ) DMNZFANZGANZHANZOZFGBPZOZFHCPZHGEPZQZHGUAZVLVPVQ
      WAWBRZVLVPQZVQVSHGCPZQZSZWCVLVPVQWGMABCDFGHIKLUBUCWCWAWBSZQZSWDWGWAWBUDWD
      WIWFWDWIVSVTWHQZQWFVSVTWHUEWDWEWJVSWDWEVTHGUFZQZWJWDVLVOVNWEWLUGVLVPUHVLV
      MVNVOUIVLVMVNVOUJMAACDEHGJKUKUSWKWHVTHGULUMUNUOUTUPVAUQTVRWBVSVTVRVSWBFGC
      PZVLVPVQWMVLVMVNVQWMRVOVLVMVNOVQWMMABCDFGIKLURVHVBTHGFCVCVDVLVPWBVTRVQWDV
      TWBGGEPZVLVMVNWNVOADEGIJVEVFHGGEVGVDVIVJVK $.

    $( The covers relation implies no in-betweenness.  ( ~ cvnbtwn3 analog.)
       (Contributed by NM, 4-Nov-2011.) $)
    cvrnbtwn3 $p |- ( ( K e. Poset /\ ( X e. B /\ Y e. B /\ Z e. B )
                        /\ X C Y )
             -> ( ( X .<_ Z /\ Z .< Y ) <-> X = Z ) ) $=
      ( cpo wcel w3a wbr wa wn wi 3adant3 wceq cvrnbtwn wne wb pltval 3adant3r2
      anbi1d notbid an32 df-ne anbi2i bitri notbii iman bitr4i bitrdi syl5ibcom
      mpbid posref breq2 3ad2antr1 simp1 simp21 simp3 cvrlt syl31anc breq1 jcad
      simp22 impbid ) DMNZFANZGANZHANZOZFGBPZOZFHEPZHGCPZQZFHUAZVQFHCPZVSQZRZVT
      WASZMABCDFGHIKLUBVQWDVRFHUCZQZVSQZRZWEVQWCWHVQWBWGVSVKVOWBWGUDZVPVKVLVNWJ
      VMMAACDEFHJKUEUFTUGUHWIVTWARZQZRWEWHWLWHVTWFQWLVRWFVSUIWFWKVTFHUJUKULUMVT
      WAUNUOUPURVQWAVRVSVKVOWAVRSZVPVKVMVLWMVNVKVLQFFEPWAVRADEFIJUSFHFEUTUQVATV
      QFGCPZWAVSVQVKVLVMVPWNVKVOVPVBVKVLVMVNVPVCVKVLVMVNVPVIVKVOVPVDMABCDFGIKLV
      EVFFHGCVGUQVHVJ $.
  $}

  ${
    $d x y B $.  $d x y ._|_ $.  $d x y K $.  $d x y X $.  $d x y Y $.
    cvrcon3b.b $e |- B = ( Base ` K ) $.
    cvrcon3b.o $e |- ._|_ = ( oc ` K ) $.
    cvrcon3b.c $e |- C = ( <o ` K ) $.
    $( Contraposition law for the covers relation.  ( ~ cvcon3 analog.)
       (Contributed by NM, 4-Nov-2011.) $)
    cvrcon3b $p |- ( ( K e. OP /\ X e. B /\ Y e. B )
                        -> ( X C Y <-> ( ._|_ ` Y ) C ( ._|_ ` X ) ) ) $=
      ( vx vy cops wcel cfv wbr wa wb syl3anc anbi12d opoccl w3a cplt wrex eqid
      cv wn opltcon3b simpl1 simpl2 simpr simpl3 wi 3ad2antl1 wceq breq2 rspcev
      breq1 ex ancomsd sylbid rexlimdva opltcon1b opltcon2b impbid notbid simp1
      syl cvrval 3adant2 3adant3 3bitr4d ) CLMZEAMZFAMZUAZEFCUBNZOZEJUEZVPOZVRF
      VPOZPZJAUCZUFZPFDNZEDNZVPOZWDKUEZVPOZWGWEVPOZPZKAUCZUFZPZEFBOWDWEBOZVOVQW
      FWCWLAVPCDEFGVPUDZHUGVOWBWKVOWBWKVOWAWKJAVOVRAMZPZWAVRDNZWEVPOZWDWRVPOZPW
      KWQVSWSVTWTWQVLVMWPVSWSQVLVMVNWPUHZVLVMVNWPUIVOWPUJZAVPCDEVRGWOHUGRWQVLWP
      VNVTWTQXAXBVLVMVNWPUKAVPCDVRFGWOHUGRSWQWTWSWKWQWRAMZWTWSPZWKULVLVMWPXCVNA
      CDVRGHTUMXCXDWKWJXDKWRAWGWRUNWHWTWIWSWGWRWDVPUOWGWRWEVPUQSUPURVGUSUTVAVOW
      JWBKAVOWGAMZPZWJWGDNZFVPOZEXGVPOZPWBXFWHXHWIXIXFVLVNXEWHXHQVLVMVNXEUHZVLV
      MVNXEUKVOXEUJZAVPCDFWGGWOHVBRXFVLXEVMWIXIQXJXKVLVMVNXEUIAVPCDWGEGWOHVCRSX
      FXIXHWBXFXGAMZXIXHPZWBULVLVMXEXLVNACDWGGHTUMXLXMWBWAXMJXGAVRXGUNVSXIVTXHV
      RXGEVPUOVRXGFVPUQSUPURVGUSUTVAVDVESJLABVPCEFGWOIVHVOVLWDAMZWEAMZWNWMQVLVM
      VNVFVLVNXNVMACDFGHTVIVLVMXOVNACDEGHTVJKLABVPCWDWEGWOIVHRVK $.
  $}

  ${
    cvrle.b $e |- B = ( Base ` K ) $.
    cvrle.l $e |- .<_ = ( le ` K ) $.
    cvrle.c $e |- C = ( <o ` K ) $.
    $( The covers relation implies the "less than or equal to" relation.
       (Contributed by NM, 12-Oct-2011.) $)
    cvrle $p |- ( ( ( K e. A /\ X e. B /\ Y e. B ) /\ X C Y ) -> X .<_ Y ) $=
      ( wcel w3a wbr cplt cfv eqid cvrlt wne pltval simprbda syldan ) DAKFBKGBK
      LZFGCMFGDNOZMZFGEMZABCUCDFGHUCPZJQUBUDUEFGRABBUCDEFGIUFSTUA $.

    $( The covers relation implies no in-betweenness.  Part of proof of Lemma
       7.5.1 of [MaedaMaeda] p. 31.  ( ~ cvnbtwn4 analog.)  (Contributed by NM,
       18-Oct-2011.) $)
    cvrnbtwn4 $p |- ( ( K e. Poset /\ ( X e. B /\ Y e. B /\ Z e. B )
                        /\ X C Y )
             -> ( ( X .<_ Z /\ Z .<_ Y ) <-> ( X = Z \/ Z = Y ) ) ) $=
      ( cpo wcel w3a wbr wa wceq wn wi wb wne wo cplt cfv eqid cvrnbtwn neanior
      iman anbi2i an4 bitr3i pltval 3adant3r2 3adant3r1 anbi12d bitr4id bitr2id
      3com23 notbid 3adant3 mpbid 3ad2antr3 breq1 syl5ibrcom cvrle ex 3adant3r3
      posref 3impia breq2 jaod syl5ibcom jcad impbid ) CKLZEALZFALZGALZMZEFBNZM
      ZEGDNZGFDNZOZEGPZGFPZUAZVTEGCUBUCZNZGFWGNZOZQZWCWFRZKABWGCEFGHWGUDZJUEVNV
      RWKWLSVSWLWCWFQZOZQVNVROZWKWCWFUGWPWOWJWPWOWAEGTZOZWBGFTZOZOZWJWOWCWQWSOZ
      OXAXBWNWCEGGFUFUHWAWBWQWSUIUJWPWHWRWIWTVNVOVQWHWRSVPKAAWGCDEGIWMUKULVNVPV
      QWIWTSZVOVNVQVPXCKAAWGCDGFIWMUKUQUMUNUOURUPUSUTVTWFWAWBVTWDWAWEVTWAWDGGDN
      ZVNVRXDVSVNVOVQXDVPACDGHIVGVAUSZEGGDVBVCVTWAWEEFDNZVNVRVSXFVNVOVPVSXFRVQV
      NVOVPMVSXFKABCDEFHIJVDVEVFVHZGFEDVIVCVJVTWDWBWEVTXFWDWBXGEGFDVBVKVTXDWEWB
      XEGFGDVIVKVJVLVM $.

    $( The covers relation implies the negation of the converse "less than or
       equal to" relation.  (Contributed by NM, 18-Oct-2011.) $)
    cvrnle $p |- ( ( ( K e. Poset /\ X e. B /\ Y e. B ) /\ X C Y )
                     -> -. Y .<_ X ) $=
      ( cpo wcel w3a wbr cplt cfv wn eqid cvrlt pltnle syldan ) CJKEAKFAKLEFBME
      FCNOZMFEDMPJABUACEFGUAQZIRAUACDEFGHUBST $.
  $}

  ${
    cvrne.b $e |- B = ( Base ` K ) $.
    cvrne.c $e |- C = ( <o ` K ) $.
    $( The covers relation implies inequality.  (Contributed by NM,
       13-Oct-2011.) $)
    cvrne $p |- ( ( ( K e. A /\ X e. B /\ Y e. B ) /\ X C Y ) -> X =/= Y ) $=
      ( wcel w3a wbr cplt cfv wne eqid cvrlt cple pltval simplbda syldan ) DAIE
      BIFBIJZEFCKEFDLMZKZEFNZABCUBDEFGUBOZHPUAUCEFDQMZKUDABBUBDUFEFUFOUERST $.

    $( The covers relation is not reflexive.  ( ~ cvnref analog.)  (Contributed
       by NM, 1-Nov-2012.)  (New usage is discouraged.) $)
    cvrnrefN $p |- ( ( K e. A /\ X e. B ) -> -. X C X ) $=
      ( wcel wa wceq wbr wn eqid wne simpll simplr simpr cvrne syl31anc ex mpi
      necon2bd ) DAHZEBHZIZEEJEECKZLEMUEUFEEUEUFEENZUEUFIUCUDUDUFUGUCUDUFOUCUDU
      FPZUHUEUFQABCDEEFGRSTUBUA $.
  $}

  ${
    cvrcmp.b $e |- B = ( Base ` K ) $.
    cvrcmp.l $e |- .<_ = ( le ` K ) $.
    cvrcmp.c $e |- C = ( <o ` K ) $.
    $( If two lattice elements that cover a third are comparable, then they are
       equal.  (Contributed by NM, 6-Feb-2012.) $)
    cvrcmp $p |- ( ( K e. Poset /\ ( X e. B /\ Y e. B /\ Z e. B ) /\
          ( Z C X /\ Z C Y ) ) -> ( X .<_ Y <-> X = Y ) ) $=
      ( cpo wcel w3a wbr wa wceq wne simpl1 simpl23 syl31anc simpl21 simpl3l wo
      cvrne wi cvrle simpr wb simpl22 simpl3r cvrnbtwn4 syl131anc mpbi2and neor
      sylib mpd ex simp1 simp21 posref syl2anc breq2 syl5ibcom impbid ) CKLZEAL
      ZFALZGALZMZGEBNZGFBNZOZMZEFDNZEFPZVMVNVOVMVNOZGEQZVOVPVEVHVFVJVQVEVIVLVNR
      ZVFVGVHVEVLVNSZVFVGVHVEVLVNUAZVJVKVEVIVNUBZKABCGEHJUDTVPGEPVOUCZVQVOUEVPG
      EDNZVNWBVPVEVHVFVJWCVRVSVTWAKABCDGEHIJUFTVMVNUGVPVEVHVGVFVKWCVNOWBUHVRVSV
      FVGVHVEVLVNUIVTVJVKVEVIVNUJABCDGFEHIJUKULUMVOGEUNUOUPUQVMEEDNZVOVNVMVEVFW
      DVEVIVLURVEVFVGVHVLUSACDEHIUTVAEFEDVBVCVD $.

    $( If two lattice elements covered by a third are comparable, then they are
       equal.  (Contributed by NM, 20-Jun-2012.) $)
    cvrcmp2 $p |- ( ( K e. OP /\ ( X e. B /\ Y e. B /\ Z e. B ) /\
          ( X C Z /\ Y C Z ) ) -> ( X .<_ Y <-> X = Y ) ) $=
      ( wcel w3a wbr wa cfv wceq wb opoccl syl2anc cvrcon3b cops 3ad2ant1 simp1
      coc opposet simp22 eqid simp21 simp23 3adant3r2 3adant3r1 anbi12d biimp3a
      cpo ancomd cvrcmp syl131anc oplecon3b syl3anc opcon3b 3bitr4d ) CUAKZEAKZ
      FAKZGAKZLZEGBMZFGBMZNZLZFCUDOZOZEVKOZDMZVLVMPZEFDMZEFPZVJCUNKZVLAKZVMAKZG
      VKOZAKZWAVLBMZWAVMBMZNVNVOQVBVFVRVICUEUBVJVBVDVSVBVFVIUCZVBVCVDVEVIUFZACV
      KFHVKUGZRSVJVBVCVTWEVBVCVDVEVIUHZACVKEHWGRSVJVBVEWBWEVBVCVDVEVIUIACVKGHWG
      RSVJWDWCVBVFVIWDWCNVBVFNVGWDVHWCVBVCVEVGWDQVDABCVKEGHWGJTUJVBVDVEVHWCQVCA
      BCVKFGHWGJTUKULUMUOABCDVLVMWAHIJUPUQVJVBVCVDVPVNQWEWHWFACDVKEFHIWGURUSVJV
      BVCVDVQVOQWEWHWFACVKEFHWGUTUSVA $.
  $}

  ${
    $d p x B $.  $d p C $.  $d p x K $.  $d p .0. $.
    patoms.b $e |- B = ( Base ` K ) $.
    patoms.z $e |- .0. = ( 0. ` K ) $.
    patoms.c $e |- C = ( <o ` K ) $.
    patoms.a $e |- A = ( Atoms ` K ) $.
    $( The set of atoms in a poset.  (Contributed by NM, 18-Sep-2011.) $)
    pats $p |- ( K e. D -> A = { x e. B | .0. C x } ) $=
      ( vp wcel wbr cfv cp0 ccvr cbs fveq2 eqtr4di cv crab wceq elex catm breqd
      cvv breq1d bitrd rabeqbidv df-ats fvexi rabex fvmpt syl5eq syl ) FEMFUGMZ
      BGAUAZDNZACUBZUCFEUDUQBFUEOUTKLFLUAZPOZURVAQOZNZAVAROZUBUTUGUEVAFUCZVDUSA
      VECVFVEFROCVAFRSHTVFVDVBURDNUSVFVCDVBURVFVCFQODVAFQSJTUFVFVBGURDVFVBFPOGV
      AFPSITUHUIUJLAUKUSACCFRHULUMUNUOUP $.
  $}

  ${
    $d x B $.  $d x C $.  $d x K $.  $d x P $.  $d x .0. $.
    isatom.b $e |- B = ( Base ` K ) $.
    isatom.z $e |- .0. = ( 0. ` K ) $.
    isatom.c $e |- C = ( <o ` K ) $.
    isatom.a $e |- A = ( Atoms ` K ) $.
    $( The predicate "is an atom".  ( ~ ela analog.)  (Contributed by NM,
       18-Sep-2011.) $)
    isat $p |- ( K e. D -> ( P e. A <-> ( P e. B /\ .0. C P ) ) ) $=
      ( vx wcel cv wbr crab wa pats eleq2d breq2 elrab bitrdi ) FDMZEAMEGLNZCOZ
      LBPZMEBMGECOZQUCAUFELABCDFGHIJKRSUEUGLEBUDEGCTUAUB $.

    $( The predicate "is an atom".  ( ~ elatcv0 analog.)  (Contributed by NM,
       18-Jun-2012.) $)
    isat2 $p |- ( ( K e. D /\ P e. B ) -> ( P e. A <-> .0. C P ) ) $=
      ( wcel wbr isat baibd ) FDLEALEBLGECMABCDEFGHIJKNO $.
  $}

  ${
    atomcvr0.z $e |- .0. = ( 0. ` K ) $.
    atomcvr0.c $e |- C = ( <o ` K ) $.
    atomcvr0.a $e |- A = ( Atoms ` K ) $.
    $( An atom covers zero.  ( ~ atcv0 analog.)  (Contributed by NM,
       4-Nov-2011.) $)
    atcvr0 $p |- ( ( K e. D /\ P e. A ) -> .0. C P ) $=
      ( wcel cbs cfv wbr eqid isat simplbda ) ECJDAJDEKLZJFDBMAQBCDEFQNGHIOP $.
  $}

  ${
    atombase.b $e |- B = ( Base ` K ) $.
    atombase.a $e |- A = ( Atoms ` K ) $.
    $( An atom is a member of the lattice base set (i.e. a lattice element).
       ( ~ atelch analog.)  (Contributed by NM, 10-Oct-2011.) $)
    atbase $p |- ( P e. A -> P e. B ) $=
      ( cvv wcel catm cfv c0 wceq n0i eqeq1i sylnib fvprc nsyl2 cp0 ccvr eqid
      wbr isat simprbda mpancom ) DGHZCAHZCBHZUFDIJZKLZUEUFAKLUIACMAUHKFNODIPQU
      EUFUGDRJZCDSJZUAABUKGCDUJEUJTUKTFUBUCUD $.

    $d x A $.  $d x B $.
    $( The set of atoms is a subset of the base set.  ( ~ atssch analog.)
       (Contributed by NM, 21-Oct-2011.) $)
    atssbase $p |- A C_ B $=
      ( vx cv atbase ssriv ) FABABFGCDEHI $.
  $}

  ${
    0ltat.z $e |- .0. = ( 0. ` K ) $.
    0ltat.s $e |- .< = ( lt ` K ) $.
    0ltat.a $e |- A = ( Atoms ` K ) $.
    $( An atom is greater than zero.  (Contributed by NM, 4-Jul-2012.) $)
    0ltat $p |- ( ( K e. OP /\ P e. A ) -> .0. .< P ) $=
      ( cops wcel wa cbs cfv ccvr wbr simpl eqid op0cl adantr atbase syl31anc
      adantl atcvr0 cvrlt ) DIJZBAJZKUEEDLMZJZBUGJZEBDNMZOEBCOUEUFPUEUHUFUGDEUG
      QZFRSUFUIUEAUGBDUKHTUBAUJIBDEFUJQZHUCIUGUJCDEBUKGULUDUA $.
  $}

  ${
    leatom.b $e |- B = ( Base ` K ) $.
    leatom.l $e |- .<_ = ( le ` K ) $.
    leatom.z $e |- .0. = ( 0. ` K ) $.
    leatom.a $e |- A = ( Atoms ` K ) $.
    $( A poset element less than or equal to an atom equals either zero or the
       atom.  ( ~ atss analog.)  (Contributed by NM, 17-Nov-2011.) $)
    leatb $p |- ( ( K e. OP /\ X e. B /\ P e. A )
                      -> ( X .<_ P <-> ( X = P \/ X = .0. ) ) ) $=
      ( cops wcel w3a wbr wceq wo wa op0le bitrdi 3adant3 biantrurd cpo ccvr wb
      cfv opposet 3ad2ant1 op0cl atbase id 3anim123i 3com23 eqid atcvr0 3adant2
      cvrnbtwn4 syl3anc eqcom orbi1i bitrd orcom ) DLMZFBMZCAMZNZFCEOZFGPZFCPZQ
      ZVIVHQVFVGGFEOZVGRZVJVFVKVGVCVDVKVEBDEFGHIJSUAUBVFVLGFPZVIQZVJVFDUCMZGBMZ
      CBMZVDNZGCDUDUFZOZVLVNUEVCVDVOVEDUGUHVCVEVDVRVCVPVEVQVDVDBDGHJUIABCDHKUJV
      DUKULUMVCVEVTVDAVSLCDGJVSUNZKUOUPBVSDEGCFHIWAUQURVMVHVIGFUSUTTVAVHVIVBT
      $.

    $( A poset element less than or equal to an atom equals either zero or the
       atom.  (Contributed by NM, 15-Oct-2013.) $)
    leat $p |- ( ( ( K e. OP /\ X e. B /\ P e. A ) /\ X .<_ P )
                      -> ( X = P \/ X = .0. ) ) $=
      ( cops wcel w3a wbr wceq wo leatb biimpa ) DLMFBMCAMNFCEOFCPFGPQABCDEFGHI
      JKRS $.

    $( A nonzero poset element less than or equal to an atom equals the atom.
       (Contributed by NM, 6-Mar-2013.) $)
    leat2 $p |- ( ( ( K e. OP /\ X e. B /\ P e. A )
             /\ ( X =/= .0. /\ X .<_ P ) ) -> X = P ) $=
      ( cops wcel w3a wne wbr wceq wi wo leatb orcom bitri bitrdi biimpd com23
      neor imp32 ) DLMFBMCAMNZFGOZFCEPZFCQZUHUJUIUKUHUJUIUKRZUHUJUKFGQZSZULABCD
      EFGHIJKTUNUMUKSULUKUMUAUKFGUFUBUCUDUEUG $.

    $( A poset element less than or equal to an atom is either an atom or zero.
       (Contributed by NM, 2-Dec-2012.) $)
    leat3 $p |- ( ( ( K e. OP /\ X e. B /\ P e. A ) /\ X .<_ P )
                      -> ( X e. A \/ X = .0. ) ) $=
      ( cops wcel w3a wbr wa wceq wo leat wi simpl3 eleq1a syl orim1d mpd ) DLM
      ZFBMZCAMZNFCEOZPZFCQZFGQZRFAMZULRABCDEFGHIJKSUJUKUMULUJUHUKUMTUFUGUHUIUAC
      AFUBUCUDUE $.
  $}

  ${
    m.b $e |- B = ( Base ` K ) $.
    m.m $e |- ./\ = ( meet ` K ) $.
    m.z $e |- .0. = ( 0. ` K ) $.
    m.a $e |- A = ( Atoms ` K ) $.
    $( The meet of any element with an atom is either the atom or zero.
       (Contributed by NM, 28-Aug-2012.) $)
    meetat $p |- ( ( K e. OL /\ X e. B /\ P e. A )
       -> ( ( X ./\ P ) = P \/ ( X ./\ P ) = .0. ) ) $=
      ( col wcel w3a co cple cfv wceq 3ad2ant1 syl3anc wbr wo ollat simp2 simp3
      clat atbase syl eqid latmle2 cops wb olop latmcl leatb mpbid ) DLMZFBMZCA
      MZNZFCEOZCDPQZUAZVACRVAGRUBZUTDUFMZURCBMZVCUQURVEUSDUCSZUQURUSUDZUTUSVFUQ
      URUSUEZABCDHKUGUHZBDVBEFCHVBUIZIUJTUTDUKMZVABMZUSVCVDULUQURVLUSDUMSUTVEUR
      VFVMVGVHVJBDEFCHIUNTVIABCDVBVAGHVKJKUOTUP $.

    $( The meet of any element with an atom is either the atom or zero.
       (Contributed by NM, 30-Aug-2012.) $)
    meetat2 $p |- ( ( K e. OL /\ X e. B /\ P e. A )
       -> ( ( X ./\ P ) e. A \/ ( X ./\ P ) = .0. ) ) $=
      ( col wcel w3a co wceq wo meetat wi eleq1a 3ad2ant3 orim1d mpd ) DLMZFBMZ
      CAMZNZFCEOZCPZUHGPZQUHAMZUJQABCDEFGHIJKRUGUIUKUJUFUDUIUKSUECAUHTUAUBUC $.
  $}

  ${
    $d k p x $.
    $( Define the class of atomic lattices, in which every nonzero element is
       greater than or equal to an atom.  We also ensure the existence of a
       lattice zero, since a lattice by itself may not have a zero.
       (Contributed by NM, 18-Sep-2011.)  (Revised by NM, 14-Sep-2018.) $)
    df-atl $a |- AtLat = { k e. Lat | ( ( Base ` k ) e. dom ( glb ` k )
      /\ A. x e. ( Base ` k ) ( x =/= ( 0. ` k )
       -> E. p e. ( Atoms ` k ) p ( le ` k ) x ) ) } $.
  $}

  ${
    $d k y A $.  $d k x B $.  $d k x y K $.  $d k .<_ $.  $d k .0. $.
    $d k G $.
    isatlat.b $e |- B = ( Base ` K ) $.
    isatlat.g $e |- G = ( glb ` K ) $.
    isatlat.l $e |- .<_ = ( le ` K ) $.
    isatlat.z $e |- .0. = ( 0. ` K ) $.
    isatlat.a $e |- A = ( Atoms ` K ) $.
    $( The predicate "is an atomic lattice."  Every nonzero element is less
       than or equal to an atom.  (Contributed by NM, 18-Sep-2011.)  (Revised
       by NM, 14-Sep-2018.) $)
    isatl $p |- ( K e. AtLat <-> ( K e. Lat /\ B e. dom G
        /\ A. x e. B ( x =/= .0. -> E. y e. A y .<_ x ) ) ) $=
      ( vk wcel cv wa cfv fveq2 eqtr4di cal clat cdm wne wbr wrex wral w3a cglb
      wi cbs cp0 cple catm wceq dmeqd eleq12d breqd rexeqbidv imbi12d raleqbidv
      neeq2d anbi12d df-atl elrab2 3anass bitr4i ) FUAOFUBOZDEUCZOZAPZHUDZBPZVK
      GUEZBCUFZUJZADUGZQZQVHVJVQUHNPZUKRZVSUIRZUCZOZVKVSULRZUDZVMVKVSUMRZUEZBVS
      UNRZUFZUJZAVTUGZQVRNFUBUAVSFUOZWCVJWKVQWLVTDWBVIWLVTFUKRDVSFUKSITZWLWAEWL
      WAFUIREVSFUISJTUPUQWLWJVPAVTDWMWLWEVLWIVOWLWDHVKWLWDFULRHVSFULSLTVBWLWGVN
      BWHCWLWHFUNRCVSFUNSMTWLWFGVMVKWLWFFUMRGVSFUMSKTURUSUTVAVCANBVDVEVHVJVQVFV
      G $.
  $}

  ${
    $d x p K $.
    $( An atomic lattice is a lattice.  (Contributed by NM, 21-Oct-2011.) $)
    atllat $p |- ( K e. AtLat -> K e. Lat ) $=
      ( vx vp cal wcel clat cbs cfv cglb cdm cv cp0 wne cple wbr catm wrex wral
      wi eqid isatl simp1bi ) ADEAFEAGHZAIHZJEBKZALHZMCKUEANHZOCAPHZQSBUCRBCUHU
      CUDAUGUFUCTUDTUGTUFTUHTUAUB $.
    $( An atomic lattice is a poset.  (Contributed by NM, 5-Nov-2012.) $)
    atlpos $p |- ( K e. AtLat -> K e. Poset ) $=
      ( cal wcel clat cpo atllat latpos syl ) ABCADCAECAFAGH $.
  $}

  ${
    $d x y B $.  $d x y K $.
    atl01dm.b $e |- B = ( Base ` K ) $.
    atl01dm.u $e |- U = ( lub ` K ) $.
    atl01dm.g $e |- G = ( glb ` K ) $.
    $( Condition necessary for zero element to exist.  (Contributed by NM,
       14-Sep-2018.) $)
    atl0dm $p |- ( K e. AtLat -> B e. dom G ) $=
      ( vx vy cal wcel clat cdm cv cp0 cfv wne cple wbr eqid catm wrex wi isatl
      wral simp2bi ) DJKDLKACMKHNZDOPZQINUGDRPZSIDUAPZUBUCHAUEHIUJACDUIUHEGUITU
      HTUJTUDUF $.
  $}

  ${
    atl0cl.b $e |- B = ( Base ` K ) $.
    atl0cl.z $e |- .0. = ( 0. ` K ) $.
    $( An atomic lattice has a zero element.  We can use this in place of
       ~ op0cl for lattices without orthocomplements.  (Contributed by NM,
       5-Nov-2012.) $)
    atl0cl $p |- ( K e. AtLat -> .0. e. B ) $=
      ( cal wcel cglb cfv eqid p0val id club atl0dm glbcl eqeltrd ) BFGZCABHIZI
      AARBFCDRJZEKQAARBFDSQLABMIZRBDTJSNOP $.
  $}

  ${
    atl0le.b $e |- B = ( Base ` K ) $.
    atl0le.l $e |- .<_ = ( le ` K ) $.
    atl0le.z $e |- .0. = ( 0. ` K ) $.
    $( Orthoposet zero is less than or equal to any element.  ( ~ ch0le
       analog.)  (Contributed by NM, 12-Oct-2011.) $)
    atl0le $p |- ( ( K e. AtLat /\ X e. B ) -> .0. .<_ X ) $=
      ( cal wcel wa cglb cfv eqid simpl simpr cdm club atl0dm adantr p0le ) BIJ
      ZDAJZKABLMZBCIDEFUDNZGHUBUCOUBUCPUBAUDQJUCABRMZUDBFUFNUESTUA $.

    $( An element less than or equal to zero equals zero.  ( ~ chle0 analog.)
       (Contributed by NM, 21-Oct-2011.) $)
    atlle0 $p |- ( ( K e. AtLat /\ X e. B ) -> ( X .<_ .0. <-> X = .0. ) ) $=
      ( cal wcel wa wbr wceq atl0le biantrud cpo wb atlpos adantr simpr syl3anc
      atl0cl posasymb bitrd ) BIJZDAJZKZDECLZUHEDCLZKZDEMZUGUIUHABCDEFGHNOUGBPJ
      ZUFEAJZUJUKQUEULUFBRSUEUFTUEUMUFABEFHUBSABCDEFGUCUAUD $.
  $}

  ${
    atlltne0.b $e |- B = ( Base ` K ) $.
    atlltne0.s $e |- .< = ( lt ` K ) $.
    atlltne0.z $e |- .0. = ( 0. ` K ) $.
    $( A lattice element greater than zero is nonzero.  (Contributed by NM,
       1-Jun-2012.) $)
    atlltn0 $p |- ( ( K e. AtLat /\ X e. B ) -> ( .0. .< X <-> X =/= .0. ) ) $=
      ( cal wcel wa wbr cple cfv wne wb simpl atl0cl adantr simpr syl3anc necom
      eqid pltval atl0le biantrurd bitr2id bitrd ) CIJZDAJZKZEDBLZEDCMNZLZEDOZK
      ZDEOZUKUIEAJZUJULUPPUIUJQUIURUJACEFHRSUIUJTIAABCUMEDUMUCZGUDUAUQUOUKUPDEU
      BUKUNUOACUMDEFUSHUEUFUGUH $.
  $}

  ${
    $d x B $.  $d x K $.  $d x P $.  $d x .0. $.
    isat3.b $e |- B = ( Base ` K ) $.
    isat3.l $e |- .<_ = ( le ` K ) $.
    isat3.z $e |- .0. = ( 0. ` K ) $.
    isat3.a $e |- A = ( Atoms ` K ) $.
    $( The predicate "is an atom".  ( ~ elat2 analog.)  (Contributed by NM,
       27-Apr-2014.) $)
    isat3 $p |- ( K e. AtLat -> ( P e. A <-> ( P e. B
        /\ P =/= .0. /\ A. x e. B ( x .<_ P -> ( x = P \/ x = .0. ) ) ) ) ) $=
      ( cal wcel wne wbr wceq wo wi wral wa cv w3a ccvr eqid isat cplt wb simpl
      atl0cl adantr cvrval2 syl3anc atlltn0 adantlr imbi1d imbi2d impexp bi2.04
      cfv simpr bitri orcom neor imbi2i 3bitr4g ralbidva bitr2d pm5.32da bitr4d
      anbi12d 3anass bitr4di ) ELMZDBMZDCMZDGNZAUAZDFOZVQDPZVQGPZQZRZACSZTZTZVO
      VPWCUBVMVNVOGDEUCUSZOZTWEBCWFLDEGHJWFUDZKUEVMVOWDWGVMVOTZWGGDEUFUSZOZGVQW
      JOZVRTVSRZACSZTZWDWIVMGCMZVOWGWOUGVMVOUHVMWPVOCEGHJUIUJVMVOUTALCWFWJEFGDH
      IWJUDZWHUKULWIWKVPWNWCCWJEDGHWQJUMWIWMWBACWIVQCMZTZVRWLVSRZRZVRVQGNZVSRZR
      WMWBWSWTXCVRWSWLXBVSVMWRWLXBUGVOCWJEVQGHWQJUMUNUOUPWMWLVRVSRRXAWLVRVSUQWL
      VRVSURVAWAXCVRWAVTVSQXCVSVTVBVSVQGVCVAVDVEVFVJVGVHVIVOVPWCVKVL $.
  $}

  ${
    $d x K $.  $d x P $.  $d x .0. $.
    atne0.z $e |- .0. = ( 0. ` K ) $.
    atne0.a $e |- A = ( Atoms ` K ) $.
    $( An atom is not zero.  ( ~ atne0 analog.)  (Contributed by NM,
       5-Nov-2012.) $)
    atn0 $p |- ( ( K e. AtLat /\ P e. A ) -> P =/= .0. ) $=
      ( vx cal wcel wne cbs cfv cv cple wbr wceq wo wi wral eqid w3a syl6bi imp
      isat3 simp2 ) CHIZBAIZBDJZUFUGBCKLZIZUHGMZBCNLZOUKBPUKDPQRGUISZUAUHGAUIBC
      ULDUITULTEFUDUJUHUMUEUBUC $.
  $}

  ${
    atnle0.l $e |- .<_ = ( le ` K ) $.
    atnle0.z $e |- .0. = ( 0. ` K ) $.
    atnle0.a $e |- A = ( Atoms ` K ) $.
    $( An atom is not less than or equal to zero.  (Contributed by NM,
       17-Oct-2011.) $)
    atnle0 $p |- ( ( K e. AtLat /\ P e. A ) -> -. P .<_ .0. ) $=
      ( cal wcel wa cpo cbs cfv ccvr wbr wn atlpos adantr eqid atl0cl syl31anc
      atbase adantl atcvr0 cvrnle ) CIJZBAJZKCLJZECMNZJZBUJJZEBCONZPBEDPQUGUIUH
      CRSUGUKUHUJCEUJTZGUASUHULUGAUJBCUNHUCUDAUMIBCEGUMTZHUEUJUMCDEBUNFUOUFUB
      $.
  $}

  ${
    atlen0.b $e |- B = ( Base ` K ) $.
    atlen0.l $e |- .<_ = ( le ` K ) $.
    atlen0.z $e |- .0. = ( 0. ` K ) $.
    atlen0.a $e |- A = ( Atoms ` K ) $.
    $( A lattice element is nonzero if an atom is under it.  (Contributed by
       NM, 26-May-2012.) $)
    atlen0 $p |- ( ( ( K e. AtLat /\ X e. B /\ P e. A ) /\ P .<_ X )
            -> X =/= .0. ) $=
      ( cal wcel w3a wbr wa cplt cfv syl eqid simpl1 atl0cl simpl2 3jca syl2anc
      wne ccvr simpl3 atbase atcvr0 cvrlt syl31anc simpr cpo wi atlpos syl13anc
      pltletr mp2and pltne sylc necomd ) DLMZFBMZCAMZNZCFEOZPZGFVHVCGBMZVDNGFDQ
      RZOZGFUFVHVCVIVDVCVDVEVGUAZVHVCVIVLBDGHJUBSZVCVDVEVGUCZUDVHGCVJOZVGVKVHVC
      VICBMZGCDUGRZOZVOVLVMVHVEVPVCVDVEVGUHZABCDHKUISZVHVCVEVRVLVSAVQLCDGJVQTZK
      UJUELBVQVJDGCHVJTZWAUKULVFVGUMVHDUNMZVIVPVDVOVGPVKUOVHVCWCVLDUPSVMVTVNBVJ
      DEGCFHIWBURUQUSLBBVJDGFWBUTVAVB $.
  $}

  ${
    atcmp.l $e |- .<_ = ( le ` K ) $.
    atcmp.a $e |- A = ( Atoms ` K ) $.
    $( If two atoms are comparable, they are equal.  ( ~ atsseq analog.)
       (Contributed by NM, 13-Oct-2011.) $)
    atcmp $p |- ( ( K e. AtLat /\ P e. A /\ Q e. A )
        -> ( P .<_ Q <-> P = Q ) ) $=
      ( cal wcel w3a cpo cbs cfv cp0 ccvr wbr 3ad2ant1 eqid atbase atcvr0 wceq
      wb atlpos 3ad2ant2 3ad2ant3 atl0cl 3adant3 3adant2 cvrcmp syl132anc ) DHI
      ZBAIZCAIZJDKIZBDLMZIZCUOIZDNMZUOIZURBDOMZPZURCUTPZBCEPBCUAUBUKULUNUMDUCQU
      LUKUPUMAUOBDUORZGSUDUMUKUQULAUOCDVCGSUEUKULUSUMUODURVCURRZUFQUKULVAUMAUTH
      BDURVDUTRZGTUGUKUMVBULAUTHCDURVDVEGTUHUOUTDEBCURVCFVEUIUJ $.

    $( Frequently-used variation of ~ atcmp .  (Contributed by NM,
       29-Jun-2012.) $)
    atncmp $p |- ( ( K e. AtLat /\ P e. A /\ Q e. A )
             -> ( -. P .<_ Q <-> P =/= Q ) ) $=
      ( cal wcel w3a wbr atcmp necon3bbid ) DHIBAICAIJBCEKBCABCDEFGLM $.
  $}

  ${
    atnlt.s $e |- .< = ( lt ` K ) $.
    atnlt.a $e |- A = ( Atoms ` K ) $.
    $( Two atoms cannot satisfy the less than relation.  (Contributed by NM,
       7-Feb-2012.) $)
    atnlt $p |- ( ( K e. AtLat /\ P e. A /\ Q e. A ) -> -. P .< Q ) $=
      ( cal wcel w3a wbr wn wceq pltirr 3adant3 breq2 notbid syl5ibcom cple cfv
      eqid pltle atcmp sylibd necon3ad pm2.61dne ) EHIZBAIZCAIZJZBCDKZLZBCUJBBD
      KZLZBCMZULUGUHUNUIHADEBFNOUOUMUKBCBDPQRUJUKBCUJUKBCESTZKUOHAADEUPBCUPUAZF
      UBABCEUPUQGUCUDUEUF $.
  $}

  ${
    atcvreq0.b $e |- B = ( Base ` K ) $.
    atcvreq0.l $e |- .<_ = ( le ` K ) $.
    atcvreq0.z $e |- .0. = ( 0. ` K ) $.
    atcvreq0.c $e |- C = ( <o ` K ) $.
    atcvreq0.a $e |- A = ( Atoms ` K ) $.
    $( An element covered by an atom must be zero.  ( ~ atcveq0 analog.)
       (Contributed by NM, 4-Nov-2011.) $)
    atcvreq0 $p |- ( ( K e. AtLat /\ X e. B /\ P e. A )
      -> ( X C P <-> X = .0. ) ) $=
      ( cal wcel wbr wceq wa cfv adantr w3a cple cplt eqid atl0le 3adant3 cvrlt
      atbase syl3anl3 cpo atlpos 3ad2ant1 atl0cl 3ad2ant3 simpl2 atcvr0 3adant2
      wb cvrnbtwn3 syl131anc mpbi2and eqcomd ex breq1 syl5ibrcom impbid ) ENOZG
      BOZDAOZUAZGDCPZGHQZVJVKVLVJVKRZHGVMHGEUBSZPZGDEUCSZPZHGQZVJVOVKVGVHVOVIBE
      VNGHIVNUDZKUEUFTVIVGVHDBOZVKVQABDEIMUHZNBCVPEGDIVPUDZLUGUIVMEUJOZHBOZVTVH
      HDCPZVOVQRVRURVJWCVKVGVHWCVIEUKULTVJWDVKVGVHWDVIBEHIKUMULTVJVTVKVIVGVTVHW
      AUNTVGVHVIVKUOVJWEVKVGVIWEVHACNDEHKLMUPUQZTBCVPEVNHDGIVSWBLUSUTVAVBVCVJVK
      VLWEWFGHDCVDVEVF $.
  $}

  ${
    atncvr.c $e |- C = ( <o ` K ) $.
    atncvr.a $e |- A = ( Atoms ` K ) $.
    $( Two atoms cannot satisfy the covering relation.  (Contributed by NM,
       7-Feb-2012.)  (New usage is discouraged.) $)
    atncvrN $p |- ( ( K e. AtLat /\ P e. A /\ Q e. A ) -> -. P C Q ) $=
      ( cal wcel w3a wbr wn cp0 cfv wne eqid atn0 3adant3 cbs wceq cple syl3an2
      wb atbase atcvreq0 necon3bbid mpbird ) EHIZCAIZDAIZJZCDBKZLCEMNZOZUHUIUNU
      JACEUMUMPZGQRUKULCUMUIUHCESNZIUJULCUMTUCAUPCEUPPZGUDAUPBDEEUANZCUMUQURPUO
      FGUEUBUFUG $.
  $}

  ${
    $d x y A $.  $d x B $.  $d x y K $.  $d x .<_ $.  $d x y X $.  $d x .0. $.
    atlex.b $e |- B = ( Base ` K ) $.
    atlex.l $e |- .<_ = ( le ` K ) $.
    atlex.z $e |- .0. = ( 0. ` K ) $.
    atlex.a $e |- A = ( Atoms ` K ) $.
    $( Every nonzero element of an atomic lattice is greater than or equal to
       an atom.  ( ~ hatomic analog.)  (Contributed by NM, 21-Oct-2011.) $)
    atlex $p |- ( ( K e. AtLat /\ X e. B /\ X =/= .0. )
        -> E. y e. A y .<_ X ) $=
      ( vx cal wcel wne cv wbr wrex wi wral clat cglb cfv cdm eqid simp3bi wceq
      isatl neeq1 breq2 rexbidv imbi12d rspccv syl 3imp ) DMNZFCNZFGOZAPZFEQZAB
      RZUPLPZGOZUSVBEQZABRZSZLCTZUQURVASZSUPDUANCDUBUCZUDNVGLABCVIDEGHVIUEIJKUH
      UFVFVHLFCVBFUGZVCURVEVAVBFGUIVJVDUTABVBFUSEUJUKULUMUNUO $.
  $}

  ${
    $d y A $.  $d y B $.  $d y K $.  $d y .<_ $.  $d y ./\ $.  $d y P $.
    $d y X $.  $d y .0. $.
    atnle.b $e |- B = ( Base ` K ) $.
    atnle.l $e |- .<_ = ( le ` K ) $.
    atnle.m $e |- ./\ = ( meet ` K ) $.
    atnle.z $e |- .0. = ( 0. ` K ) $.
    atnle.a $e |- A = ( Atoms ` K ) $.
    $( Two ways of expressing "an atom is not less than or equal to a lattice
       element."  ( ~ atnssm0 analog.)  (Contributed by NM, 5-Nov-2012.) $)
    atnle $p |- ( ( K e. AtLat /\ P e. A /\ X e. B ) ->
         ( -. P .<_ X <-> ( P ./\ X ) = .0. ) ) $=
      ( vy wcel wbr wceq wa syl3anc wi cal w3a wn co cv wrex simpl1 clat atllat
      3ad2ant1 atbase 3ad2ant2 simp3 latmcl adantr simpr atlex wb adantl simpl2
      wne syl simpl3 latlem12 syl13anc atcmp biimpd syl6bi impd sylbird adantlr
      breq1 rexlimdva ex necon1bd atn0 3adant3 latleeqm1 eqeq1 biimpcd necon3ad
      mpd sylbid mpid impbid ) DUAOZCAOZGBOZUBZCGEPZUCZCGFUDZHQZWIWJWLHWIWLHVAZ
      WJWIWNRZNUEZWLEPZNAUFZWJWOWFWLBOZWNWRWFWGWHWNUGWIWSWNWIDUHOZCBOZWHWSWFWGW
      TWHDUIZUJZWGWFXAWHABCDIMUKZULZWFWGWHUMZBDFCGIKUNSUOWIWNUPNABDEWLHIJLMUQSW
      OWQWJNAWIWPAOZWQWJTWNWIXGRZWQWPCEPZWPGEPZRZWJXHWTWPBOZXAWHXKWQURXHWFWTWFW
      GWHXGUGZXBVBXGXLWIABWPDIMUKUSXHWGXAWFWGWHXGUTZXDVBWFWGWHXGVCBDEFWPCGIJKVD
      VEXHXIXJWJXHXIWPCQZXJWJTXHWFXGWGXIXOURXMWIXGUPXNAWPCDEJMVFSXOXJWJWPCGEVLV
      GVHVIVJVKVMWBVNVOWIWMCHVAZWKWFWGXPWHACDHLMVPVQWIWMXPWKTWIWMRZWJCHXQWJWLCQ
      ZCHQZWIWJXRURZWMWIWTXAWHXTXCXEXFBDEFCGIJKVRSUOWMXRXSTWIXRWMXSWLCHVSVTUSWC
      WAVNWDWE $.
  $}

  ${
    atnem0.m $e |- ./\ = ( meet ` K ) $.
    atnem0.z $e |- .0. = ( 0. ` K ) $.
    atnem0.a $e |- A = ( Atoms ` K ) $.
    $( The meet of distinct atoms is zero.  ( ~ atnemeq0 analog.)  (Contributed
       by NM, 5-Nov-2012.) $)
    atnem0 $p |- ( ( K e. AtLat /\ P e. A /\ Q e. A )
        -> ( P =/= Q <-> ( P ./\ Q ) = .0. ) ) $=
      ( cal wcel w3a cple cfv wbr wn wne co wceq eqid atncmp cbs atbase syl3an3
      wb atnle bitr3d ) DJKZBAKZCAKZLBCDMNZOPZBCQBCERFSZABCDUKUKTZIUAUJUHUICDUB
      NZKULUMUEAUOCDUOTZIUCAUOBDUKECFUPUNGHIUFUDUG $.
  $}

  ${
    $d x y .<_ $.  $d x .1. $.  $d x y A $.  $d x y B $.  $d x y X $.
    $d x K $.
    atlatmstc.b $e |- B = ( Base ` K ) $.
    atlatmstc.l $e |- .<_ = ( le ` K ) $.
    atlatmstc.u $e |- .1. = ( lub ` K ) $.
    atlatmstc.a $e |- A = ( Atoms ` K ) $.
    $( An atomic, complete, orthomodular lattice is atomistic i.e. every
       element is the join of the atoms under it.  See remark before
       Proposition 1 in [Kalmbach] p. 140; also remark in
       [BeltramettiCassinelli] p. 98.  ( ~ hatomistici analog.)  (Contributed
       by NM, 5-Nov-2012.) $)
    atlatmstc $p |- ( ( ( K e. OML /\ K e. CLat /\ K e. AtLat ) /\ X e. B )
           -> ( .1. ` { y e. A | y .<_ X } ) = X ) $=
      ( vx wcel wa wbr cfv wceq wss adantr wb coml ccla cal w3a cv crab cmee co
      coc cp0 simpl2 ssrab2 atssbase rabss2 ax-mp lubss mp3an23 atlpos 3ad2ant3
      syl cpo simpl simpr lubid sylan breqtrd wrex wn breq1 elrab simpll2 sstri
      wi lubel mp3an3 sylancom ex syl5bir expdimp simpll3 eqid atn0 clat simpl3
      atllat atbase adantl clatlubcl sylancl cops simpl1 omlop syl2anc latlem12
      wne opoccl syl13anc opnoncon breq2d ople0 syl2an 3bitrd expr necon3ad mpd
      biimpa syld imnan sylib simplr mtbid nrexdv latmcl syl3anc atlex necon1bd
      omllaw3 mp2and ) EUAMZEUBMZEUCMZUDZGCMZNZAUEZGFOZABUFZDPZGFOZGYHEUIPZPZEU
      GPZUHZEUJPZQZYHGQZYDYHYFACUFZDPZGFYDXTYHYRFOZXSXTYAYCUKZXTYQCRYGYQRZYSYFA
      CULBCRUUABCEHKUMZYFABCUNUOCYGYQDEFHIJUPUQUTYBEVAMZYCYRGQYAXSUUCXTEURUSUUC
      YCNACDEFGHIJUUCYCVBUUCYCVCVDVEVFYDLUEZYMFOZLBVGZVHYOYDUUELBYDUUDBMZNZUUDG
      FOZUUDYKFOZNZUUEUUHUUIUUJVHZVMUUKVHUUHUUIUUDYHFOZUULYDUUGUUIUUMUUGUUINUUD
      YGMZYDUUMYFUUIAUUDBYEUUDGFVIVJYDUUNUUMYDUUNXTUUMXSXTYAYCUUNVKXTUUNYGCRZUU
      MYGBCYFABULUUBVLZCYGDEFUUDHIJVNVOVPVQVRVSUUHUUMUULUUHUUMNZUUDYNWOZUULUUHU
      URUUMYDUUGYAUURXSXTYAYCUUGVTBUUDEYNYNWAZKWBVPSUUQUUJUUDYNUUHUUMUUJUUDYNQZ
      UUHUUMUUJNZUUTUUHUVAUUDYHYKYLUHZFOZUUDYNFOZUUTUUHEWCMZUUDCMZYHCMZYKCMZUVA
      UVCTYDUVEUUGYDYAUVEXSXTYAYCWDEWEUTZSZUUGUVFYDBCUUDEHKWFZWGZYDUVGUUGYDXTUU
      OUVGYTUUPCYGDEHJWHWIZSYDUVHUUGYDEWJMZUVGUVHYDXSUVNXSXTYAYCWKZEWLUTZUVMCEY
      JYHHYJWAZWPWMZSZCEFYLUUDYHYKHIYLWAZWNWQYDUVCUVDTUUGYDUVBYNUUDFYDUVNUVGUVB
      YNQUVPUVMCEYLYJYHYNHUVQUVTUUSWRWMWSSYDUVNUVFUVDUUTTUUGUVPUVKCEFUUDYNHIUUS
      WTXAXBXFXCXDXEVQXGUUIUUJXHXIUUHUVEUVFYCUVHUUKUUETUVJUVLYBYCUUGXJUVSCEFYLU
      UDGYKHIUVTWNWQXKXLYDUUFYMYNYDYMYNWOZUUFYDUWANYAYMCMZUWAUUFXSXTYAYCUWAVTYD
      UWBUWAYDUVEYCUVHUWBUVIYBYCVCZUVRCEYLGYKHUVTXMXNSYDUWAVCLBCEFYMYNHIUUSKXOX
      NVQXPXEYDXSUVGYCYIYONYPVMUVOUVMUWCCEFYLYJYHGYNHIUVTUVQUUSXQXNXR $.
  $}

  ${
    $d p A $.  $d p B $.  $d p K $.  $d p .<_ $.  $d p X $.  $d p Y $.
    atlatle.b $e |- B = ( Base ` K ) $.
    atlatle.l $e |- .<_ = ( le ` K ) $.
    atlatle.a $e |- A = ( Atoms ` K ) $.
    $( The ordering of two Hilbert lattice elements is determined by the atoms
       under them.  ( ~ chrelat3 analog.)  (Contributed by NM, 5-Nov-2012.) $)
    atlatle $p |- ( ( ( K e. OML /\ K e. CLat /\ K e. AtLat )
                /\ X e. B /\ Y e. B )
         -> ( X .<_ Y <-> A. p e. A ( p .<_ X -> p .<_ Y ) ) ) $=
      ( wcel w3a wbr wi wa crab wss cfv wceq atlatmstc coml ccla cal cv simpl13
      wral cpo atlpos syl atbase adantl simpl2 postr syl13anc expcomd ralrimdva
      simpl3 ss2rab club simpl12 ssrab2 atssbase sstri lubss mp3an2 sylancom ex
      eqid 3adant3 3adant2 breq12d sylibd syl5bir impbid ) CUAKZCUBKZCUCKZLZEBK
      ZFBKZLZEFDMZGUDZEDMZWCFDMZNZGAUFZWAWBWFGAWAWCAKZOZWDWBWEWICUGKZWCBKZVSVTW
      DWBOWENWIVQWJVOVPVQVSVTWHUECUHUIWHWKWAABWCCHJUJUKVRVSVTWHULVRVSVTWHUQBCDW
      CEFHIUMUNUOUPWGWDGAPZWEGAPZQZWAWBWDWEGAURWAWNWLCUSRZRZWMWORZDMZWBWAWNWRWA
      WNVPWRVOVPVQVSVTWNUTVPWMBQWNWRWMABWEGAVAABCHJVBVCBWLWMWOCDHIWOVHZVDVEVFVG
      WAWPEWQFDVRVSWPESVTGABWOCDEHIWSJTVIVRVTWQFSVSGABWOCDFHIWSJTVJVKVLVMVN $.
  $}

  ${
    $d p A $.  $d p B $.  $d p K $.  $d p .<_ $.  $d p X $.  $d p Y $.
    atlrelat1.b $e |- B = ( Base ` K ) $.
    atlrelat1.l $e |- .<_ = ( le ` K ) $.
    atlrelat1.s $e |- .< = ( lt ` K ) $.
    atlrelat1.a $e |- A = ( Atoms ` K ) $.
    $( An atomistic lattice with 0 is relatively atomic.  Part of Lemma 7.2 of
       [MaedaMaeda] p. 30.  ( ~ chpssati , with ` /\ ` swapped, analog.)
       (Contributed by NM, 4-Dec-2011.) $)
    atlrelat1 $p |- ( ( ( K e. OML /\ K e. CLat /\ K e. AtLat ) /\ X e. B /\ Y
        e. B ) -> ( X .< Y
         -> E. p e. A ( -. p .<_ X /\ p .<_ Y ) ) ) $=
      ( coml wcel w3a wbr wn wa wi wral ccla cal cv cpo simp13 atlpos pltnle ex
      wrex syld3an1 iman ancom xchbinx ralbii wb atlatle 3com23 biimprd syl5bir
      syl con3d dfrex2 syl6ibr syld ) DMNZDUANZDUBNZOZFBNZGBNZOZFGCPZGFEPZQZHUC
      ZFEPZQZVOGEPZRZHAUIZDUDNZVIVHVJVLVNSVKVGWAVEVFVGVIVJUEDUFUTWAVIVJOVLVNBCD
      EFGIJKUGUHUJVKVNVSQZHATZQVTVKWCVMWCVRVPSZHATZVKVMWDWBHAWDVRVQRVSVRVPUKVRV
      QULUMUNVKVMWEVHVJVIVMWEUOABDEGFHIJLUPUQURUSVAVSHAVBVCVD $.
  $}

  ${
    $d k c a b $.
    $( Define the class of lattices with the covering property. $)
    $(
    df-cvlat $a |- CvLat = { l e. AtLat | A. a e. ( Base ` l )
       A. p e. ( Atoms ` l ) ( ( a ( meet ` l ) p ) = ( 0. ` l )
          -> a ( <o ` l ) ( a ( join ` l ) p ) ) } $.
    $)

    $( Define the class of atomic lattices with the covering property.  (This
       is actually the exchange property, but they are equivalent.  The
       literature usually uses the covering property terminology.)
       (Contributed by NM, 5-Nov-2012.) $)
    df-cvlat $a |- CvLat = { k e. AtLat |
      A. a e. ( Atoms ` k ) A. b e. ( Atoms ` k ) A. c e. ( Base ` k )
            ( ( -. a ( le ` k ) c /\ a ( le ` k ) ( c ( join ` k ) b ) )
          -> b ( le ` k ) ( c ( join ` k ) a ) ) } $.
  $}

  $(
  @{
    @d l y A @.  @d l x B @.  @d l C @.  @d l .\/ @.  @d l x y K @.
    @d l ./\ @.  @d l .0. @.
    iscvlat.1 @e |- B = ( Base ` K ) @.
    iscvlat.2 @e |- .\/ = ( join ` K ) @.
    iscvlat.3 @e |- ./\ = ( meet ` K ) @.
    iscvlat.4 @e |- .0. = ( 0. ` K ) @.
    iscvlat.5 @e |- C = ( <o ` K ) @.
    iscvlat.6 @e |- A = ( Atoms ` K ) @.
    @( The predicate "is a lattice with the covering property". @)
    iscvlat @p |- ( K e. CvLat <-> ( K e. AtLat
      /\ A. x e. B A. y e. A ( ( x ./\ y ) = .0. -> x C ( x .\/ y ) ) ) ) @=
      ( vl cv cmee cfv co cp0 wceq cjn ccvr wbr wi catm wral cbs cal clc fveq2
      eqtr4di oveqd eqeq12d wb breq syl breq2d bitrd imbi12d raleqbidv
      df-cvlat elrab2 ) AQZBQZPQZRSZTZVGUASZUBZVEVEVFVGUCSZTZVGUDSZUEZUFZBVGUGS
      ZUHZAVGUISZUHVEVFHTZIUBZVEVEVFFTZEUEZUFZBCUHZADUHPGUJUKVGGUBZVRWEAVSDWFVS
      GUISDVGGUIULJUMWFVPWDBVQCWFVQGUGSCVGGUGULOUMWFVKWAVOWCWFVIVTVJIWFVHHVEVFW
      FVHGRSHVGGRULLUMUNWFVJGUASIVGGUAULMUMUOWFVOVEVMEUEZWCWFVNEUBVOWGUPWFVNGUD
      SEVGGUDULNUMVEVMVNEUQURWFVMWBVEEWFVLFVEVFWFVLGUCSFVGGUCULKUMUNUSUTVAVBVBB
      APVCVD @.
      @( [18-Sep-2011] @)
  @}

  @{
    @d y A @.  @d x y B @.  @d x y K @.
    iscvlati.0 @e |- K e. AtLat @.
    iscvlati.1 @e |- B = ( Base ` K ) @.
    iscvlati.2 @e |- .\/ = ( join ` K ) @.
    iscvlati.3 @e |- ./\ = ( meet ` K ) @.
    iscvlati.4 @e |- .0. = ( 0. ` K ) @.
    iscvlati.5 @e |- C = ( <o ` K ) @.
    iscvlati.6 @e |- A = ( Atoms ` K ) @.
    iscvlati.7 @e |- ( ( x e. B /\ y e. A /\ ( x ./\ y ) = .0. )
                          -> x C ( x .\/ y ) ) @.
    @( Properties that a lattice with the covering property. @)
    iscvlati @p |- K e. CvLat @=
      ( clc wcel cal cv co wceq wbr wi wral iscvlat 3expia rgen2 mpbir2anOLD )
      GRS
      GTSAUAZBUAZHUBIUCZUKUKULFUBEUDZUEZBCUFADUFABCDEFGHIKLMNOPUGJUOABDCUKDSULC
      SUMUNQUHUIUJ @.
      @( [18-Sep-2011] @)
  @}
  $)

  ${
    $d k p q A $.  $d k x B $.  $d k .<_ $.  $d k .\/ $.  $d k p q x K $.
    iscvlat.b $e |- B = ( Base ` K ) $.
    iscvlat.l $e |- .<_ = ( le ` K ) $.
    iscvlat.j $e |- .\/ = ( join ` K ) $.
    iscvlat.a $e |- A = ( Atoms ` K ) $.
    $( The predicate "is an atomic lattice with the covering (or exchange)
       property".  (Contributed by NM, 5-Nov-2012.) $)
    iscvlat $p |- ( K e. CvLat
       <-> ( K e. AtLat /\ A. p e. A A. q e. A A. x e. B
       ( ( -. p .<_ x /\ p .<_ ( x .\/ q ) ) -> q .<_ ( x .\/ p ) ) ) ) $=
      ( vk cv cfv wbr co wral fveq2 eqtr4di cple wn cjn wa wi cbs catm cal wceq
      clc breqd notbid eqidd breq123d anbi12d imbi12d raleqbidv df-cvlat elrab2
      oveqd ) HNZANZMNZUAOZPZUBZVAVBGNZVCUCOZQZVDPZUDZVGVBVAVHQZVDPZUEZAVCUFOZR
      ZGVCUGOZRZHVQRVAVBFPZUBZVAVBVGDQZFPZUDZVGVBVADQZFPZUEZACRZGBRZHBRMEUHUJVC
      EUIZVRWHHVQBWIVQEUGOBVCEUGSLTZWIVPWGGVQBWJWIVNWFAVOCWIVOEUFOCVCEUFSITWIVK
      WCVMWEWIVFVTVJWBWIVEVSWIVDFVAVBWIVDEUAOFVCEUASJTZUKULWIVAVAVIWAVDFWIVAUMW
      KWIVHDVBVGWIVHEUCODVCEUCSKTZUTUNUOWIVGVGVLWDVDFWIVGUMWKWIVHDVBVAWLUTUNUPU
      QUQUQMHGAURUS $.
  $}

  ${
    $d p q x A $.  $d x B $.  $d p q x K $.
    iscvlat2.b $e |- B = ( Base ` K ) $.
    iscvlat2.l $e |- .<_ = ( le ` K ) $.
    iscvlat2.j $e |- .\/ = ( join ` K ) $.
    iscvlat2.m $e |- ./\ = ( meet ` K ) $.
    iscvlat2.z $e |- .0. = ( 0. ` K ) $.
    iscvlat2.a $e |- A = ( Atoms ` K ) $.
    $( The predicate "is an atomic lattice with the covering (or exchange)
       property".  (Contributed by NM, 5-Nov-2012.)
       (New usage is discouraged.) $)
    iscvlat2N $p |- ( K e. CvLat
        <-> ( K e. AtLat /\ A. p e. A A. q e. A A. x e. B
  ( ( ( p ./\ x ) = .0. /\ p .<_ ( x .\/ q ) ) -> q .<_ ( x .\/ p ) ) ) ) $=
      ( wcel cv wa wral clc cal wbr wn co wi wceq iscvlat wb simpll simpr atnle
      simplrl syl3anc anbi1d imbi1d ralbidva 2ralbidva pm5.32i bitri ) EUAQEUBQ
      ZJRZARZFUCUDZVBVCIRZDUEFUCZSZVEVCVBDUEFUCZUFZACTZIBTJBTZSVAVBVCGUEHUGZVFS
      ZVHUFZACTZIBTJBTZSABCDEFIJKLMPUHVAVKVPVAVJVOJIBBVAVBBQZVEBQZSZSZVIVNACVTV
      CCQZSZVGVMVHWBVDVLVFWBVAVQWAVDVLUIVAVSWAUJVAVQVRWAUMVTWAUKBCVBEFGVCHKLNOP
      ULUNUOUPUQURUSUT $.
  $}

  ${
    $d p q x K $.
    $( An atomic lattice with the covering property is an atomic lattice.
       (Contributed by NM, 5-Nov-2012.) $)
    cvlatl $p |- ( K e. CvLat -> K e. AtLat ) $=
      ( vp vx vq clc wcel cal cv cple cfv wbr wn cjn co wa cbs wral catm eqid
      wi iscvlat simplbi ) AEFAGFBHZCHZAIJZKLUCUDDHZAMJZNUEKOUFUDUCUGNUEKTCAPJZ
      QDARJZQBUIQCUIUHUGAUEDBUHSUESUGSUISUAUB $.
  $}

  $( An atomic lattice with the covering property is a lattice.  (Contributed
     by NM, 5-Nov-2012.) $)
  cvllat $p |- ( K e. CvLat -> K e. Lat ) $=
    ( clc wcel cal clat cvlatl atllat syl ) ABCADCAECAFAGH $.

  $( An atomic lattice with the covering property is a poset.  (Contributed by
     NM, 5-Nov-2012.)  (New usage is discouraged.) $)
  cvlposN $p |- ( K e. CvLat -> K e. Poset ) $=
    ( clc wcel clat cpo cvllat latpos syl ) ABCADCAECAFAGH $.

  ${
    $d p q A $.  $d p q x B $.  $d p q x .\/ $.  $d p q x K $.  $d p q x .<_ $.
    $d p q x P $.  $d q x Q $.  $d x X $.
    cvlexch.b $e |- B = ( Base ` K ) $.
    cvlexch.l $e |- .<_ = ( le ` K ) $.
    cvlexch.j $e |- .\/ = ( join ` K ) $.
    cvlexch.a $e |- A = ( Atoms ` K ) $.
    $( An atomic covering lattice has the exchange property.  (Contributed by
       NM, 6-Nov-2011.) $)
    cvlexch1 $p |- ( ( K e. CvLat /\ ( P e. A /\ Q e. A /\ X e. B )
        /\ -. P .<_ X ) -> ( P .<_ ( X .\/ Q ) -> Q .<_ ( X .\/ P ) ) ) $=
      ( vp vx vq wcel wbr co wi wa clc w3a wn cv wral cal iscvlat simprbi breq1
      notbid anbi12d oveq2 breq2d imbi12d anbi2d breq2 oveq1 rspc3v mpan9 exp4b
      wceq 3imp ) FUAPZCAPDAPHBPUBZCHGQZUCZCHDERZGQZDHCERZGQZSVCVDVFVHVJVCMUDZN
      UDZGQZUCZVKVLOUDZERZGQZTZVOVLVKERZGQZSZNBUEOAUEMAUEZVDVFVHTZVJSZVCFUFPWBN
      ABEFGOMIJKLUGUHWAWDCVLGQZUCZCVPGQZTZVOVLCERZGQZSWFCVLDERZGQZTZDWIGQZSMONC
      DHAABVKCVAZVRWHVTWJWOVNWFVQWGWOVMWEVKCVLGUIUJVKCVPGUIUKWOVSWIVOGVKCVLEULU
      MUNVODVAZWHWMWJWNWPWGWLWFWPVPWKCGVODVLEULUMUOVODWIGUIUNVLHVAZWMWCWNVJWQWF
      VFWLVHWQWEVEVLHCGUPUJWQWKVGCGVLHDEUQUMUKWQWIVIDGVLHCEUQUMUNURUSUTVB $.

    $( An atomic covering lattice has the exchange property.  (Contributed by
       NM, 6-May-2012.) $)
    cvlexch2 $p |- ( ( K e. CvLat /\ ( P e. A /\ Q e. A /\ X e. B )
        /\ -. P .<_ X ) -> ( P .<_ ( Q .\/ X ) -> Q .<_ ( P .\/ X ) ) ) $=
      ( wcel w3a wbr co wceq atbase syl latjcom clc wn cvlexch1 cvllat 3ad2ant1
      clat simp22 simp23 syl3anc breq2d simp21 3imtr4d ) FUAMZCAMZDAMZHBMZNZCHG
      OUBZNZCHDEPZGODHCEPZGOCDHEPZGODCHEPZGOABCDEFGHIJKLUCUSVBUTCGUSFUFMZDBMZUP
      VBUTQUMUQVDURFUDUEZUSUOVEUMUNUOUPURUGABDFILRSUMUNUOUPURUHZBEFDHIKTUIUJUSV
      CVADGUSVDCBMZUPVCVAQVFUSUNVHUMUNUOUPURUKABCFILRSVGBEFCHIKTUIUJUL $.

    $( An atomic covering lattice has the exchange property.  (Contributed by
       NM, 16-Nov-2011.) $)
    cvlexchb1 $p |- ( ( K e. CvLat /\ ( P e. A /\ Q e. A /\ X e. B )
      /\ -. P .<_ X ) -> ( P .<_ ( X .\/ Q )
    <-> ( X .\/ P ) = ( X .\/ Q ) ) ) $=
      ( wcel wbr wa adantr syl3anc 3adant3 wb mpbi2and clc w3a wceq clat cvllat
      wn simpr3 simpr2 atbase syl latlej1 simpr simpr1 latjcl latjle12 syl13anc
      co cvlexch1 imp latasymb ex wi latlej2 breq2 syl5ibcom impbid ) FUAMZCAMZ
      DAMZHBMZUBZCHGNUFZUBZCHDEUQZGNZHCEUQZVNUCZVMVOVQVMVOOZVPVNGNZVNVPGNZVQVRH
      VNGNZVOVSVMWAVOVGVKWAVLVGVKOZFUDMZVJDBMZWAVGWCVKFUEPZVGVHVIVJUGZWBVIWDVGV
      HVIVJUHABDFILUIUJZBEFGHDIJKUKQRPVMVOULVMWAVOOVSSZVOVGVKWHVLWBWCVJCBMZVNBM
      ZWHWEWFWBVHWIVGVHVIVJUMABCFILUIUJZWBWCVJWDWJWEWFWGBEFHDIKUNQZBEFGHCVNIJKU
      OUPRPTVRHVPGNZDVPGNZVTVMWMVOVGVKWMVLWBWCVJWIWMWEWFWKBEFGHCIJKUKQRPVMVOWNA
      BCDEFGHIJKLURUSVMWMWNOVTSZVOVGVKWOVLWBWCVJWDVPBMZWOWEWFWGWBWCVJWIWPWEWFWK
      BEFHCIKUNQZBEFGHDVPIJKUOUPRPTVMVSVTOVQSZVOVGVKWRVLWBWCWPWJWRWEWQWLBFGVPVN
      IJUTQRPTVAVGVKVQVOVBVLWBCVPGNZVQVOWBWCVJWIWSWEWFWKBEFGHCIJKVCQVPVNCGVDVER
      VF $.

    $( An atomic covering lattice has the exchange property.  (Contributed by
       NM, 22-Jun-2012.) $)
    cvlexchb2 $p |- ( ( K e. CvLat /\ ( P e. A /\ Q e. A /\ X e. B )
    /\ -. P .<_ X )
         -> ( P .<_ ( Q .\/ X ) <-> ( P .\/ X ) = ( Q .\/ X ) ) ) $=
      ( wcel w3a wbr co wceq atbase syl latjcom wn cvlexchb1 clat cvllat simp22
      clc 3ad2ant1 simp23 syl3anc breq2d simp21 eqeq12d 3bitr4d ) FUFMZCAMZDAMZ
      HBMZNZCHGOUAZNZCHDEPZGOHCEPZVAQCDHEPZGOCHEPZVCQABCDEFGHIJKLUBUTVCVACGUTFU
      CMZDBMZUQVCVAQUNURVEUSFUDUGZUTUPVFUNUOUPUQUSUEABDFILRSUNUOUPUQUSUHZBEFDHI
      KTUIZUJUTVDVBVCVAUTVECBMZUQVDVBQVGUTUOVJUNUOUPUQUSUKABCFILRSVHBEFCHIKTUIV
      IULUM $.
  $}

  ${
    cvlexch3.b $e |- B = ( Base ` K ) $.
    cvlexch3.l $e |- .<_ = ( le ` K ) $.
    cvlexch3.j $e |- .\/ = ( join ` K ) $.
    cvlexch3.m $e |- ./\ = ( meet ` K ) $.
    cvlexch3.z $e |- .0. = ( 0. ` K ) $.
    cvlexch3.a $e |- A = ( Atoms ` K ) $.
    $( An atomic covering lattice has the exchange property.  ( ~ atexch
       analog.)  (Contributed by NM, 5-Nov-2012.) $)
    cvlexch3 $p |- ( ( K e. CvLat /\ ( P e. A /\ Q e. A /\ X e. B )
        /\ ( P ./\ X ) = .0. )
            -> ( P .<_ ( X .\/ Q ) -> Q .<_ ( X .\/ P ) ) ) $=
      ( clc wcel co wbr w3a wceq wi wa wn cal cvlatl adantr simpr1 simpr3 atnle
      wb syl3anc cvlexch1 3expia sylbird 3impia ) FQRZCARZDARZIBRZUAZCIHSJUBZCI
      DESGTDICESGTUCZURVBUDZVCCIGTUEZVDVEFUFRZUSVAVFVCULURVGVBFUGUHURUSUTVAUIUR
      USUTVAUJABCFGHIJKLNOPUKUMURVBVFVDABCDEFGIKLMPUNUOUPUQ $.

    $( An atomic covering lattice has the exchange property.  Part of
       Definition 7.8 of [MaedaMaeda] p. 32.  (Contributed by NM, 5-Nov-2012.)
       (New usage is discouraged.) $)
    cvlexch4N $p |- ( ( K e. CvLat /\ ( P e. A /\ Q e. A /\ X e. B )
        /\ ( P ./\ X ) = .0. )
    -> ( P .<_ ( X .\/ Q ) <-> ( X .\/ P ) = ( X .\/ Q ) ) ) $=
      ( wcel co wceq wbr clc w3a wb wa wn cal cvlatl adantr simpr1 simpr3 atnle
      syl3anc cvlexchb1 3expia sylbird 3impia ) FUAQZCAQZDAQZIBQZUBZCIHRJSZCIDE
      RZGTICERVCSUCZUQVAUDZVBCIGTUEZVDVEFUFQZURUTVFVBUCUQVGVAFUGUHUQURUSUTUIUQU
      RUSUTUJABCFGHIJKLNOPUKULUQVAVFVDABCDEFGIKLMPUMUNUOUP $.
  $}

  ${
    cvlatexch.l $e |- .<_ = ( le ` K ) $.
    cvlatexch.j $e |- .\/ = ( join ` K ) $.
    cvlatexch.a $e |- A = ( Atoms ` K ) $.
    $( A version of ~ cvlexchb1 for atoms.  (Contributed by NM, 5-Nov-2012.) $)
    cvlatexchb1 $p |- ( ( K e. CvLat /\ ( P e. A /\ Q e. A /\ R e. A )
       /\ P =/= R ) -> ( P .<_ ( R .\/ Q )
         <-> ( R .\/ P ) = ( R .\/ Q ) ) ) $=
      ( clc wcel w3a wne co wbr wceq wb wa wn cal cvlatl adantr syl3anc cbs cfv
      simpr1 simpr3 atncmp eqid atbase cvlexchb1 3expia syl3anr3 sylbird 3impia
      wi ) FKLZBALZCALZDALZMZBDNZBDCEOZGPDBEOVDQRZURVBSZVCBDGPTZVEVFFUALZUSVAVG
      VCRURVHVBFUBUCURUSUTVAUGURUSUTVAUHABDFGHJUIUDVAUSURUTDFUEUFZLZVGVEUQAVIDF
      VIUJZJUKURUSUTVJMVGVEAVIBCEFGDVKHIJULUMUNUOUP $.

    $( A version of ~ cvlexchb2 for atoms.  (Contributed by NM, 5-Nov-2012.) $)
    cvlatexchb2 $p |- ( ( K e. CvLat /\ ( P e. A /\ Q e. A /\ R e. A )
       /\ P =/= R ) -> ( P .<_ ( Q .\/ R )
         <-> ( P .\/ R ) = ( Q .\/ R ) ) ) $=
      ( clc wcel w3a co wbr wceq atbase syl latjcom syl3anc wne cvlatexchb1 cbs
      clat cfv cvllat 3ad2ant1 simp22 eqid simp23 breq2d simp21 eqeq12d 3bitr4d
      ) FKLZBALZCALZDALZMZBDUAZMZBDCENZGODBENZVBPBCDENZGOBDENZVDPABCDEFGHIJUBVA
      VDVBBGVAFUDLZCFUCUEZLZDVGLZVDVBPUOUSVFUTFUFUGZVAUQVHUOUPUQURUTUHAVGCFVGUI
      ZJQRVAURVIUOUPUQURUTUJAVGDFVKJQRZVGEFCDVKISTZUKVAVEVCVDVBVAVFBVGLZVIVEVCP
      VJVAUPVNUOUPUQURUTULAVGBFVKJQRVLVGEFBDVKISTVMUMUN $.

    $( Atom exchange property.  (Contributed by NM, 5-Nov-2012.) $)
    cvlatexch1 $p |- ( ( K e. CvLat /\ ( P e. A /\ Q e. A /\ R e. A )
        /\ P =/= R ) -> ( P .<_ ( R .\/ Q ) -> Q .<_ ( R .\/ P ) ) ) $=
      ( clc wcel w3a wne co wbr wceq cvlatexchb1 atbase syl clat cbs cfv cvllat
      3ad2ant1 simp23 eqid simp22 latlej2 syl3anc breq2 syl5ibrcom sylbid ) FKL
      ZBALZCALZDALZMZBDNZMZBDCEOZGPDBEOZVAQZCVBGPZABCDEFGHIJRUTVDVCCVAGPZUTFUAL
      ZDFUBUCZLZCVGLZVEUNURVFUSFUDUEUTUQVHUNUOUPUQUSUFAVGDFVGUGZJSTUTUPVIUNUOUP
      UQUSUHAVGCFVJJSTVGEFGDCVJHIUIUJVBVACGUKULUM $.

    $( Atom exchange property.  (Contributed by NM, 5-Nov-2012.) $)
    cvlatexch2 $p |- ( ( K e. CvLat /\ ( P e. A /\ Q e. A /\ R e. A )
        /\ P =/= R ) -> ( P .<_ ( Q .\/ R ) -> Q .<_ ( P .\/ R ) ) ) $=
      ( wcel w3a co wbr wceq atbase syl latjcom syl3anc breq2d clc wne clat cbs
      cvlatexch1 cfv cvllat 3ad2ant1 simp22 eqid simp23 simp21 3imtr4d ) FUAKZB
      AKZCAKZDAKZLZBDUBZLZBDCEMZGNCDBEMZGNBCDEMZGNCBDEMZGNABCDEFGHIJUEUTVCVABGU
      TFUCKZCFUDUFZKZDVFKZVCVAOUNURVEUSFUGUHZUTUPVGUNUOUPUQUSUIAVFCFVFUJZJPQUTU
      QVHUNUOUPUQUSUKAVFDFVJJPQZVFEFCDVJIRSTUTVDVBCGUTVEBVFKZVHVDVBOVIUTUOVLUNU
      OUPUQUSULAVFBFVJJPQVKVFEFBDVJIRSTUM $.

    $( Atom exchange property.  (Contributed by NM, 29-Nov-2012.) $)
    cvlatexch3 $p |- ( ( K e. CvLat /\ ( P e. A /\ Q e. A /\ R e. A )
        /\ ( P =/= Q /\ P =/= R ) )
             -> ( P .<_ ( Q .\/ R ) -> ( P .\/ Q ) = ( P .\/ R ) ) ) $=
      ( wcel w3a wne wa co wceq wb biimpa syl atbase simp1 simp21 simp23 simp22
      clc wbr simp3l cvlatexchb1 syl131anc clat cbs simpl1 simpl21 eqid simpl22
      cfv cvllat latjcom syl3anc cvlatexchb2 3adant3l 3eqtr4d ex ) FUEKZBAKZCAK
      ZDAKZLZBCMZBDMZNZLZBCDEOZGUFZBCEOZBDEOZPVLVNNZCBEOZVMVOVPVLVNVRVMPZVLVDVE
      VGVFVIVNVSQVDVHVKUAVDVEVFVGVKUBVDVEVFVGVKUCVDVEVFVGVKUDVDVHVIVJUGABDCEFGH
      IJUHUIRVQFUJKZBFUKUPZKZCWAKZVOVRPVQVDVTVDVHVKVNULFUQSVQVEWBVEVFVGVDVKVNUM
      AWABFWAUNZJTSVQVFWCVEVFVGVDVKVNUOAWACFWDJTSWAEFBCWDIURUSVLVNVPVMPZVDVHVJV
      NWEQVIABCDEFGHIJUTVARVBVC $.
  $}

  ${
    $d q z A $.  $d q z B $.  $d q z .\/ $.  $d q z K $.  $d q z .<_ $.
    $d q z X $.  $d q z P $.
    cvlcvr1.b $e |- B = ( Base ` K ) $.
    cvlcvr1.l $e |- .<_ = ( le ` K ) $.
    cvlcvr1.j $e |- .\/ = ( join ` K ) $.
    cvlcvr1.c $e |- C = ( <o ` K ) $.
    cvlcvr1.a $e |- A = ( Atoms ` K ) $.
    $( The covering property.  Proposition 1(ii) in [Kalmbach] p. 140 (and its
       converse).  ( ~ chcv1 analog.)  (Contributed by NM, 5-Nov-2012.) $)
    cvlcvr1 $p |- ( ( ( K e. OML /\ K e. CLat /\ K e. CvLat )
             /\ X e. B /\ P e. A )
      -> ( -. P .<_ X <-> X C ( X .\/ P ) ) ) $=
      ( vz wcel wbr wa wi syl3anc adantr vq coml ccla clc w3a wn co cplt cfv cv
      wceq wral clat simp13 cvllat syl simp2 atbase 3ad2ant3 eqid latnle biimpd
      simpl13 simprll simpl2 simpl3 latjcl simprrr wrex simprrl simpl11 simpl12
      cal cvlatl atlrelat1 syl311anc mpd ad2antrl lattrd simprl simpll3 simpll2
      cvlexch1 syl131anc simprlr mpbid pltle latjle12 syl13anc mpbi2and eqbrtrd
      wb cvlexchb1 rexlimddv latasymd exp44 imp ralrimdva cvrval2 sylibrd simpr
      jcad cvrlt syl31anc ex impbid ) FUBOZFUCOZFUDOZUEZHBOZDAOZUEZDHGPUFZHHDEU
      GZCPZXMXNHXOFUHUIZPZHNUJZXQPZXSXOGPZQZXSXOUKZRZNBULZQZXPXMXNXRYEXMXNXRXMF
      UMOZXKDBOZXNXRWLXMXIYGXGXHXIXKXLUNFUOZUPZXJXKXLUQZXLXJYHXKABDFIMURZUSZBXQ
      EFGHDIJXQUTZKVASZVBXMXNYDNBXMXSBOZXNYDRXMYPXNYBYCXMYPXNQZYBQZQZBFGXSXOIJY
      SXIYGXGXHXIXKXLYRVCZYIUPZXMYPXNYBVDZYSYGXKYHXOBOZUUAXJXKXLYRVEZYSXLYHXJXK
      XLYRVFYLUPBEFHDIKVGZSZXMYQXTYAVHZYSUAUJZHGPUFZUUHXSGPZQZXOXSGPUAAYSXTUUKU
      AAVIZXMYQXTYAVJZYSXGXHFVMOZXKYPXTUULRXGXHXIXKXLYRVKZXGXHXIXKXLYRVLYSXIUUN
      YTFVNUPUUDUUBABXQFGHXSUAIJYNMVOVPVQYSUUHAOZUUKQZQZXOHUUHEUGZXSGUURDUUSGPZ
      XOUUSUKZUURUUHXOGPZUUTUURBFGUUHXSXOIJYSYGUUQUUATZUUPUUHBOZYSUUKABUUHFIMUR
      VRZYSYPUUQUUBTZYSUUCUUQUUFTYSUUPUUIUUJVHZYSYAUUQUUGTVSUURXIUUPXLXKUUIUVBU
      UTRYSXIUUQYTTZYSUUPUUKVTZXJXKXLYRUUQWAZXJXKXLYRUUQWBZYSUUPUUIUUJVJABUUHDE
      FGHIJKMWCWDVQUURXIXLUUPXKXNUUTUVAWLUVHUVJUVIUVKYSXNUUQXMYPXNYBWETABDUUHEF
      GHIJKMWMWDWFUURHXSGPZUUJUUSXSGPZYSUVLUUQYSXTUVLUUMYSXGXKYPXTUVLRUUOUUDUUB
      UBBBXQFGHXSJYNWGSVQTUVGUURYGXKUVDYPUVLUUJQUVMWLUVCUVKUVEUVFBEFGHUUHXSIJKW
      HWIWJWKWNWOWPWQWRXBXMYGXKUUCXPYFWLYJYKXMYGXKYHUUCYJYKYMUUESZNUMBCXQFGHXOI
      JYNLWSSWTXMXPXRXNXMXPXRXMXPQYGXKUUCXPXRXMYGXPYJTXJXKXLXPVEXMUUCXPUVNTXMXP
      XAUMBCXQFHXOIYNLXCXDXEYOWTXF $.
  $}

  ${
    cvlcvrp.b $e |- B = ( Base ` K ) $.
    cvlcvrp.j $e |- .\/ = ( join ` K ) $.
    cvlcvrp.m $e |- ./\ = ( meet ` K ) $.
    cvlcvrp.z $e |- .0. = ( 0. ` K ) $.
    cvlcvrp.c $e |- C = ( <o ` K ) $.
    cvlcvrp.a $e |- A = ( Atoms ` K ) $.
    $( A Hilbert lattice satisfies the covering property of Definition 7.4 of
       [MaedaMaeda] p. 31 and its converse.  ( ~ cvp analog.)  (Contributed by
       NM, 5-Nov-2012.) $)
    cvlcvrp $p |- ( ( ( K e. OML /\ K e. CLat /\ K e. CvLat )
          /\ X e. B /\ P e. A )
     -> ( ( X ./\ P ) = .0. <-> X C ( X .\/ P ) ) ) $=
      ( wcel w3a co wceq wbr coml ccla clc cple cfv wn clat simp13 cvllat simp2
      syl atbase 3ad2ant3 latmcom syl3anc eqeq1d cal wb cvlatl simp3 eqid atnle
      cvlcvr1 3bitr2d ) FUAPZFUBPZFUCPZQZHBPZDAPZQZHDGRZISDHGRZISZDHFUDUEZTUFZH
      HDERCTVKVLVMIVKFUGPZVIDBPZVLVMSVKVGVQVEVFVGVIVJUHZFUIUKVHVIVJUJZVJVHVRVIA
      BDFJOULUMBFGHDJLUNUOUPVKFUQPZVJVIVPVNURVKVGWAVSFUSUKVHVIVJUTVTABDFVOGHIJV
      OVAZLMOVBUOABCDEFVOHJWBKNOVCVD $.
  $}

  ${
    cvlatcvr1.j $e |- .\/ = ( join ` K ) $.
    cvlatcvr1.c $e |- C = ( <o ` K ) $.
    cvlatcvr1.a $e |- A = ( Atoms ` K ) $.
    $( An atom is covered by its join with a different atom.  (Contributed by
       NM, 5-Nov-2012.) $)
    cvlatcvr1 $p |- ( ( ( K e. OML /\ K e. CLat /\ K e. CvLat )
            /\ P e. A /\ Q e. A ) -> ( P =/= Q <-> P C ( P .\/ Q ) ) ) $=
      ( coml wcel ccla clc w3a wne cmee cfv co wb eqid cp0 simp13 cvlatl atnem0
      wceq wbr cal syl syld3an1 cbs atbase cvlcvrp syl3an2 bitrd ) FJKZFLKZFMKZ
      NZCAKZDAKZNZCDOZCDFPQZRFUAQZUEZCCDERBUFZFUGKZUSURUTVBVESVAUQVGUOUPUQUSUTU
      BFUCUHACDFVCVDVCTZVDTZIUDUIUSURCFUJQZKUTVEVFSAVJCFVJTZIUKAVJBDEFVCCVDVKGV
      HVIHIULUMUN $.

    $( An atom is covered by its join with a different atom.  (Contributed by
       NM, 5-Nov-2012.) $)
    cvlatcvr2 $p |- ( ( ( K e. OML /\ K e. CLat /\ K e. CvLat )
       /\ P e. A /\ Q e. A ) -> ( P =/= Q <-> P C ( Q .\/ P ) ) ) $=
      ( coml wcel ccla clc w3a wne co wbr cvlatcvr1 clat atbase cbs wceq simp13
      cfv cvllat syl eqid 3ad2ant2 3ad2ant3 latjcom syl3anc breq2d bitrd ) FJKZ
      FLKZFMKZNZCAKZDAKZNZCDOCCDEPZBQCDCEPZBQABCDEFGHIRUTVAVBCBUTFSKZCFUAUDZKZD
      VDKZVAVBUBUTUPVCUNUOUPURUSUCFUEUFURUQVEUSAVDCFVDUGZITUHUSUQVFURAVDDFVGITU
      IVDEFCDVGGUJUKULUM $.
  $}

  ${
    cvlsupr2.a $e |- A = ( Atoms ` K ) $.
    cvlsupr2.l $e |- .<_ = ( le ` K ) $.
    cvlsupr2.j $e |- .\/ = ( join ` K ) $.
    $( Two equivalent ways of expressing that ` R ` is a superposition of ` P `
       and ` Q ` .  (Contributed by NM, 5-Nov-2012.) $)
    cvlsupr2 $p |- ( ( K e. CvLat
              /\ ( P e. A /\ Q e. A /\ R e. A ) /\ P =/= Q )
      -> ( ( P .\/ R ) = ( Q .\/ R )
            <-> ( R =/= P /\ R =/= Q /\ R .<_ ( P .\/ Q ) ) ) ) $=
      ( wcel wne co wceq wbr wa wb oveq2 syl syl3anc simpl3 necomd simplr eqcom
      clc w3a eqeq12d bitrdi adantl mpbid clat cbs simpl1 cvllat simpl21 atbase
      cfv eqid latjidm syl2anc adantr eqtrd simpl22 latleeqj1 cal cvlatl bitr3d
      ex atcmp sylibd necon3d mpd simpl23 latlej1 breqtrrd cvlatexch1 syl131anc
      simpr 3jca simpr3 latjcom breq2d simpr2 simpr1 cvlatexchb2 sylbid impbida
      wi ) FUEKZBAKZCAKZDAKZUFZBCLZUFZBDEMZCDEMZNZDBLZDCLZDBCEMZGOZUFZWOWRPZWSW
      TXBXDCBLZWSXDBCWIWMWNWRUAZUBZXDDBCBXDDBNZCBEMZBNZCBNZXDXHXJXDXHPZXIBBEMZB
      XLWRXIXMNZWOWRXHUCXHWRXNQXDXHWRXMXINXNXHWPXMWQXIDBBERDBCERUGXMXIUDUHUIUJX
      DXMBNZXHXDFUKKZBFULUQZKZXOXDWIXPWIWMWNWRUMZFUNZSZXDWJXRWJWKWLWIWNWRUOZAXQ
      BFXQURZHUPZSZXQEFBYCJUSUTVAVBVHXDCBGOZXJXKXDXPCXQKZXRYFXJQYAXDWKYGWJWKWLW
      IWNWRVCZAXQCFYCHUPZSZYEXQEFGCBYCIJVDTXDFVEKZWKWJYFXKQXDWIYKXSFVFSZYHYBACB
      FGIHVITVGVJVKVLXDWNWTXFXDDCBCXDDCNZXACNZBCNZXDYMYNXDYMPZXACCEMZCYPWRXAYQN
      ZWOWRYMUCYMWRYRQXDYMWPXAWQYQDCBERDCCERUGUIUJXDYQCNZYMXDXPYGYSYAYJXQEFCYCJ
      USUTVAVBVHXDBCGOZYNYOXDXPXRYGYTYNQYAYEYJXQEFGBCYCIJVDTXDYKWJWKYTYOQYLYBYH
      ABCFGIHVITVGVJVKVLXDCWPGOZXBXDCWQWPGXDXPYGDXQKZCWQGOYAYJXDWLUUBWJWKWLWIWN
      WRVMZAXQDFYCHUPSXQEFGCDYCIJVNTWOWRVRVOXDWIWKWLWJXEUUAXBWHXSYHUUCYBXGACDBE
      FGIJHVPVQVLVSWOXCPZXBWRWOWSWTXBVTUUDXBDXIGOZWRUUDXAXIDGUUDXPXRYGXAXINUUDW
      IXPWIWMWNXCUMZXTSUUDWJXRWJWKWLWIWNXCUOZYDSUUDWKYGWJWKWLWIWNXCVCZYISXQEFBC
      YCJWATWBUUDUUEBWQGOZWRUUDWIWLWJWKWTUUEUUIWHUUFWJWKWLWIWNXCVMZUUGUUHWOWSWT
      XBWCADBCEFGIJHVPVQUUDWIWJWKWLBDLUUIWRQUUFUUGUUHUUJUUDDBWOWSWTXBWDUBABCDEF
      GIJHWEVQVJWFVLWG $.

    $( Two equivalent ways of expressing that ` R ` is a superposition of ` P `
       and ` Q ` , which can replace the superposition part of ~ ishlat1 ,
       ` ( x =/= y -> E. z e. A ( z =/= x /\ z =/= y /\ z .<_ ( x .\/ y ) ) `
       ` ) ` , with the simpler ` E. z e. A ( x .\/ z ) = ( y .\/ z ) ` as
       shown in ~ ishlat3N .  (Contributed by NM, 5-Nov-2012.) $)
    cvlsupr3 $p |- ( ( K e. CvLat
          /\ ( P e. A /\ Q e. A /\ R e. A ) )
    -> ( ( P .\/ R ) = ( Q .\/ R )
        <-> ( P =/= Q -> ( R =/= P /\ R =/= Q /\ R .<_ ( P .\/ Q ) ) ) ) ) $=
      ( co wceq wne wi clc wcel w3a wa wbr wn df-ne imbi1i oveq1 pm4.83 3bitrri
      biantrur wb cvlsupr2 3expia pm5.74d syl5bb ) BDEKCDEKLZBCMZULNZFOPZBAPCAP
      DAPQZRZUMDBMDCMDBCEKGSQZNUNBCLZTZULNZUSULNZVARULUMUTULBCUAUBVBVABCDEUCUFU
      SULUDUEUQUMULURUOUPUMULURUGABCDEFGHIJUHUIUJUK $.

    $( Consequence of superposition condition ` ( P .\/ R ) = ( Q .\/ R ) ` .
       (Contributed by NM, 9-Nov-2012.) $)
    cvlsupr4 $p |- ( ( K e. CvLat
              /\ ( P e. A /\ Q e. A /\ R e. A )
    /\ ( P =/= Q /\ ( P .\/ R ) = ( Q .\/ R ) ) ) -> R .<_ ( P .\/ Q ) ) $=
      ( clc wcel w3a wne co wceq wa wbr wi cvlsupr2 simp3 syl6bi 3exp imp4a
      3imp ) FKLZBALCALDALMZBCNZBDEOCDEOPZQDBCEOGRZUFUGUHUIUJUFUGUHUIUJSUFUGUHM
      UIDBNZDCNZUJMUJABCDEFGHIJTUKULUJUAUBUCUDUE $.
  $}

  ${
    cvlsupr5.a $e |- A = ( Atoms ` K ) $.
    cvlsupr5.j $e |- .\/ = ( join ` K ) $.
    $( Consequence of superposition condition ` ( P .\/ R ) = ( Q .\/ R ) ` .
       (Contributed by NM, 9-Nov-2012.) $)
    cvlsupr5 $p |- ( ( K e. CvLat
              /\ ( P e. A /\ Q e. A /\ R e. A )
              /\ ( P =/= Q /\ ( P .\/ R ) = ( Q .\/ R ) ) ) -> R =/= P ) $=
      ( clc wcel w3a wne co wceq wa wi cple cfv wbr eqid simp1 syl6bi 3exp 3imp
      cvlsupr2 imp4a ) FIJZBAJCAJDAJKZBCLZBDEMCDEMNZODBLZUGUHUIUJUKUGUHUIUJUKPU
      GUHUIKUJUKDCLZDBCEMFQRZSZKUKABCDEFUMGUMTHUEUKULUNUAUBUCUFUD $.

    $( Consequence of superposition condition ` ( P .\/ R ) = ( Q .\/ R ) ` .
       (Contributed by NM, 9-Nov-2012.) $)
    cvlsupr6 $p |- ( ( K e. CvLat
              /\ ( P e. A /\ Q e. A /\ R e. A )
              /\ ( P =/= Q /\ ( P .\/ R ) = ( Q .\/ R ) ) ) -> R =/= Q ) $=
      ( clc wcel w3a wne co wceq wa wi cple cfv wbr eqid simp2 syl6bi 3exp 3imp
      cvlsupr2 imp4a ) FIJZBAJCAJDAJKZBCLZBDEMCDEMNZODCLZUGUHUIUJUKUGUHUIUJUKPU
      GUHUIKUJDBLZUKDBCEMFQRZSZKUKABCDEFUMGUMTHUEULUKUNUAUBUCUFUD $.

    $( Consequence of superposition condition ` ( P .\/ R ) = ( Q .\/ R ) ` .
       (Contributed by NM, 24-Nov-2012.) $)
    cvlsupr7 $p |- ( ( K e. CvLat
              /\ ( P e. A /\ Q e. A /\ R e. A )
              /\ ( P =/= Q /\ ( P .\/ R ) = ( Q .\/ R ) ) )
                -> ( P .\/ Q ) = ( R .\/ Q ) ) $=
      ( clc wcel w3a co wceq cfv wbr eqid atbase syl syl3anc breqtrd wne wa cbs
      cple cvllat 3ad2ant1 simp21 simp23 latlej1 simp3r simp22 latjcom wb simp1
      clat simp3l cvlatexchb2 syl131anc mpbid ) FIJZBAJZCAJZDAJZKZBCUAZBDELZCDE
      LZMZUBZKZBDCELZFUDNZOZBCELVKMZVJBVGVKVLVJBVFVGVLVJFUOJZBFUCNZJZDVPJZBVFVL
      OUTVDVOVIFUEUFZVJVAVQUTVAVBVCVIUGZAVPBFVPPZGQRVJVCVRUTVAVBVCVIUHZAVPDFWAG
      QRZVPEFVLBDWAVLPZHUISUTVDVEVHUJTVJVOCVPJZVRVGVKMVSVJVBWEUTVAVBVCVIUKZAVPC
      FWAGQRWCVPEFCDWAHULSTVJUTVAVCVBVEVMVNUMUTVDVIUNVTWBWFUTVDVEVHUPABDCEFVLWD
      HGUQURUS $.

    $( Consequence of superposition condition ` ( P .\/ R ) = ( Q .\/ R ) ` .
       (Contributed by NM, 24-Nov-2012.) $)
    cvlsupr8 $p |- ( ( K e. CvLat
              /\ ( P e. A /\ Q e. A /\ R e. A )
              /\ ( P =/= Q /\ ( P .\/ R ) = ( Q .\/ R ) ) )
                -> ( P .\/ Q ) = ( P .\/ R ) ) $=
      ( clc wcel w3a wne co wceq wa clat cbs cfv atbase syl cvllat eqid latjcom
      3ad2ant1 simp22 simp23 syl3anc simp3r cvlsupr7 3eqtr4rd ) FIJZBAJZCAJZDAJ
      ZKZBCLZBDEMZCDEMZNZOZKZURDCEMZUQBCEMVAFPJZCFQRZJZDVDJZURVBNUKUOVCUTFUAUDV
      AUMVEUKULUMUNUTUEAVDCFVDUBZGSTVAUNVFUKULUMUNUTUFAVDDFVGGSTVDEFCDVGHUCUGUK
      UOUPUSUHABCDEFGHUIUJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Hilbert lattices
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c HL $.

  $( Extend class notation with Hilbert lattices. $)
  chlt $a class HL $.

  ${
    $d l c a b $.
    $( Define the class of Hilbert lattices, which are complete, atomic
       lattices satisfying the superposition principle and minimum height.
       (Contributed by NM, 5-Nov-2012.) $)
    df-hlat $a |- HL = { l e. ( ( OML i^i CLat ) i^i CvLat ) |
      ( A. a e. ( Atoms ` l ) A. b e. ( Atoms ` l )
        ( a =/= b -> E. c e. ( Atoms ` l )
             ( c =/= a /\ c =/= b /\ c ( le ` l ) ( a ( join ` l ) b ) ) )
      /\ E. a e. ( Base ` l ) E. b e. ( Base ` l ) E. c e. ( Base ` l )
          ( ( ( 0. ` l ) ( lt ` l ) a /\ a ( lt ` l ) b )
        /\ ( b ( lt ` l ) c /\ c ( lt ` l ) ( 1. ` l ) ) ) ) } $.
  $}

  ${
    $d k x y z A $.  $d k x y z B $.  $d k .\/ $.  $d k x y z K $.  $d k .<_ $.
    $d k .< $.  $d k .1. $.  $d k .0. $.
    ishlat.b $e |- B = ( Base ` K ) $.
    ishlat.l $e |- .<_ = ( le ` K ) $.
    ishlat.s $e |- .< = ( lt ` K ) $.
    ishlat.j $e |- .\/ = ( join ` K ) $.
    ishlat.z $e |- .0. = ( 0. ` K ) $.
    ishlat.u $e |- .1. = ( 1. ` K ) $.
    ishlat.a $e |- A = ( Atoms ` K ) $.
    $( The predicate "is a Hilbert lattice", which is: is orthomodular
       ( ` K e. OML ` ), complete ( ` K e. CLat ` ), atomic and satisfies the
       exchange (or covering) property ( ` K e. CvLat ` ), satisfies the
       superposition principle, and has a minimum height of 4 (witnessed here
       by 0, x, y, z, 1).  (Contributed by NM, 5-Nov-2012.) $)
    ishlat1 $p |- ( K e. HL <-> ( ( K e. OML /\ K e. CLat /\ K e. CvLat )
      /\ ( A. x e. A A. y e. A
         ( x =/= y -> E. z e. A ( z =/= x /\ z =/= y /\ z .<_ ( x .\/ y ) ) )
      /\ E. x e. B E. y e. B E. z e. B
            ( ( .0. .< x /\ x .< y ) /\ ( y .< z /\ z .< .1. ) ) ) ) ) $=
      ( wbr cfv vk chlt wcel coml ccla cin clc cv wne co w3a wrex wral cjn cple
      wi wa catm cp0 cplt cp1 cbs wceq fveq2 eqtr4di breqd oveqd breq2d 3anbi3d
      bitrd rexeqbidv imbi2d raleqbidv breq1d anbi12d elrab2 elin anbi1i df-3an
      df-hlat 3bitr4ri bitr4i ) IUBUCIUDUEUFZUGUFZUCZAUHZBUHZUIZCUHZWFUIZWIWGUI
      ZWIWFWGHUJZJSZUKZCDULZUPZBDUMZADUMZKWFFSZWFWGFSZUQZWGWIFSZWIGFSZUQZUQZCEU
      LZBEULZAEULZUQZUQIUDUCZIUEUCZIUGUCZUKZXIUQWHWJWKWIWFWGUAUHZUNTZUJZXNUOTZS
      ZUKZCXNURTZULZUPZBXTUMZAXTUMZXNUSTZWFXNUTTZSZWFWGYFSZUQZWGWIYFSZWIXNVATZY
      FSZUQZUQZCXNVBTZULZBYOULZAYOULZUQXIUAIWDUBXNIVCZYDWRYRXHYSYCWQAXTDYSXTIUR
      TDXNIURVDRVEZYSYBWPBXTDYTYSYAWOWHYSXSWNCXTDYTYSXRWMWJWKYSXRWIXPJSWMYSXQJW
      IXPYSXQIUOTJXNIUOVDMVEVFYSXPWLWIJYSXOHWFWGYSXOIUNTHXNIUNVDOVEVGVHVJVIVKVL
      VMVMYSYQXGAYOEYSYOIVBTEXNIVBVDLVEZYSYPXFBYOEUUAYSYNXECYOEUUAYSYIXAYMXDYSY
      GWSYHWTYSYGYEWFFSWSYSYFFYEWFYSYFIUTTFXNIUTVDNVEZVFYSYEKWFFYSYEIUSTKXNIUSV
      DPVEVNVJYSYFFWFWGUUBVFVOYSYJXBYLXCYSYFFWGWIUUBVFYSYLWIYKFSXCYSYFFWIYKUUBV
      FYSYKGWIFYSYKIVATGXNIVAVDQVEVHVJVOVOVKVKVKVOABCUAVTVPXMWEXIIWCUCZXLUQXJXK
      UQZXLUQWEXMUUCUUDXLIUDUEVQVRIWCUGVQXJXKXLVSWAVRWB $.

    $( The predicate "is a Hilbert lattice".  Here we replace ` K e. CvLat `
       with the weaker ` K e. AtLat ` and show the exchange property
       explicitly.  (Contributed by NM, 5-Nov-2012.) $)
    ishlat2 $p |- ( K e. HL <-> ( ( K e. OML /\ K e. CLat /\ K e. AtLat )
      /\ ( A. x e. A A. y e. A
       ( ( x =/= y -> E. z e. A ( z =/= x /\ z =/= y /\ z .<_ ( x .\/ y ) ) )
            /\ A. z e. B ( ( -. x .<_ z /\ x .<_ ( z .\/ y ) )
               -> y .<_ ( z .\/ x ) ) )
      /\ E. x e. B E. y e. B E. z e. B
            ( ( .0. .< x /\ x .< y ) /\ ( y .< z /\ z .< .1. ) ) ) ) ) $=
      ( wbr wa chlt wcel coml ccla clc w3a cv wne wrex wral cal ishlat1 iscvlat
      co wi wn 3anbi3i anass df-3an anbi1i 3bitr4ri bitri ancom r19.26-2 bitr4i
      bitr3i anbi2i 3bitri ) IUAUBIUCUBZIUDUBZIUEUBZUFZAUGZBUGZUHCUGZVMUHVOVNUH
      VOVMVNHUNJSUFCDUIUOZBDUJADUJZKVMFSVMVNFSTVNVOFSVOGFSTTCEUIBEUIAEUIZTZTVIV
      JIUKUBZUFZVMVOJSUPVMVOVNHUNJSTVNVOVMHUNJSUOCEUJZBDUJADUJZTZVSTZWAVPWBTBDU
      JADUJZVRTZTZABCDEFGHIJKLMNOPQRULVLWDVSVLVIVJVTWCTZUFZWDVKWIVIVJCDEHIJBALM
      ORUMUQVIVJTZVTTZWCTWKWITWDWJWKVTWCURWAWLWCVIVJVTUSUTVIVJWIUSVAVBUTWEWAWCV
      STZTWHWAWCVSURWMWGWAWMWCVQTZVRTWGWCVQVRURWNWFVRWNVQWCTWFWCVQVCVPWBABDDVDV
      EUTVFVGVBVH $.

    $( The predicate "is a Hilbert lattice".  Note that the superposition
       principle is expressed in the compact form
       ` E. z e. A ( x .\/ z ) = ( y .\/ z ) ` .  The exchange property and
       atomicity are provided by ` K e. CvLat ` , and "minimum height 4" is
       shown explicitly.  (Contributed by NM, 8-Nov-2012.)
       (New usage is discouraged.) $)
    ishlat3N $p |- ( K e. HL <-> ( ( K e. OML /\ K e. CLat /\ K e. CvLat )
      /\ ( A. x e. A A. y e. A E. z e. A ( x .\/ z ) = ( y .\/ z )
      /\ E. x e. B E. y e. B E. z e. B
            ( ( .0. .< x /\ x .< y ) /\ ( y .< z /\ z .< .1. ) ) ) ) ) $=
      ( wcel wa chlt coml ccla clc w3a cv wne co wrex wral wceq ishlat1 simpll3
      wbr wi simplrl simplrr simpr cvlsupr3 syl13anc rexbidva ad2antrl r19.37zv
      wb c0 ne0i syl bitr2d 2ralbidva anbi1d pm5.32i bitri ) IUASIUBSZIUCSZIUDS
      ZUEZAUFZBUFZUGZCUFZVQUGVTVRUGVTVQVRHUHJUNUEZCDUIUOZBDUJADUJZKVQFUNVQVRFUN
      TVRVTFUNVTGFUNTTCEUIBEUIAEUIZTZTVPVQVTHUHVRVTHUHUKZCDUIZBDUJADUJZWDTZTABC
      DEFGHIJKLMNOPQRULVPWEWIVPWCWHWDVPWBWGABDDVPVQDSZVRDSZTZTZWGVSWAUOZCDUIZWB
      WMWFWNCDWMVTDSZTVOWJWKWPWFWNVDVMVNVOWLWPUMVPWJWKWPUPVPWJWKWPUQWMWPURDVQVR
      VTHIJRMOUSUTVAWMDVEUGZWOWBVDWJWQVPWKDVQVFVBVSWACDVCVGVHVIVJVKVL $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z K $.
    ishlati.1 $e |- K e. OML $.
    ishlati.2 $e |- K e. CLat $.
    ishlati.3 $e |- K e. AtLat $.
    ishlati.b $e |- B = ( Base ` K ) $.
    ishlati.l $e |- .<_ = ( le ` K ) $.
    ishlati.s $e |- .< = ( lt ` K ) $.
    ishlati.j $e |- .\/ = ( join ` K ) $.
    ishlati.z $e |- .0. = ( 0. ` K ) $.
    ishlati.u $e |- .1. = ( 1. ` K ) $.
    ishlati.a $e |- A = ( Atoms ` K ) $.
    ishlati.9 $e |- A. x e. A A. y e. A
       ( ( x =/= y -> E. z e. A ( z =/= x /\ z =/= y /\ z .<_ ( x .\/ y ) ) )
            /\ A. z e. B ( ( -. x .<_ z /\ x .<_ ( z .\/ y ) )
               -> y .<_ ( z .\/ x ) ) ) $.
    ishlati.10 $e |- E. x e. B E. y e. B E. z e. B
            ( ( .0. .< x /\ x .< y ) /\ ( y .< z /\ z .< .1. ) ) $.
    $( Properties that determine a Hilbert lattice.  (Contributed by NM,
       13-Nov-2011.)  (New usage is discouraged.) $)
    ishlatiN $p |- K e. HL $=
      ( chlt wcel coml ccla cal w3a cv wne co wrex wi wn wa wral 3pm3.2i pm3.2i
      wbr ishlat2 mpbir2an ) IUDUEIUFUEZIUGUEZIUHUEZUIAUJZBUJZUKCUJZVFUKVHVGUKV
      HVFVGHULJUTUICDUMUNVFVHJUTUOVFVHVGHULJUTUPVGVHVFHULJUTUNCEUQUPBDUQADUQZKV
      FFUTVFVGFUTUPVGVHFUTVHGFUTUPUPCEUMBEUMAEUMZUPVCVDVELMNURVIVJUBUCUSABCDEFG
      HIJKOPQRSTUAVAVB $.
  $}

  ${
    $d x y z K $.
    $( A Hilbert lattice is orthomodular, complete, and has the covering
       (exchange) property.  (Contributed by NM, 5-Nov-2012.) $)
    hlomcmcv $p |- ( K e. HL -> ( K e. OML /\ K e. CLat /\ K e. CvLat ) ) $=
      ( vx vy vz chlt wcel coml ccla clc w3a cv wne cjn cfv co wbr wrex wral wa
      eqid cple catm wi cp0 cplt cp1 cbs ishlat1 simplbi ) AEFAGFAHFAIFJBKZCKZL
      DKZUJLULUKLULUJUKAMNZOAUANZPJDAUBNZQUCCUORBUORAUDNZUJAUENZPUJUKUQPSUKULUQ
      PULAUFNZUQPSSDAUGNZQCUSQBUSQSBCDUOUSUQURUMAUNUPUSTUNTUQTUMTUPTURTUOTUHUI
      $.
  $}

  $( A Hilbert lattice is orthomodular.  (Contributed by NM, 20-Oct-2011.) $)
  hloml $p |- ( K e. HL -> K e. OML ) $=
    ( chlt wcel coml ccla clc hlomcmcv simp1d ) ABCADCAECAFCAGH $.

  $( A Hilbert lattice is complete.  (Contributed by NM, 20-Oct-2011.) $)
  hlclat $p |- ( K e. HL -> K e. CLat ) $=
    ( chlt wcel coml ccla clc hlomcmcv simp2d ) ABCADCAECAFCAGH $.

  $( A Hilbert lattice is an atomic lattice with the covering property.
     (Contributed by NM, 5-Nov-2012.) $)
  hlcvl $p |- ( K e. HL -> K e. CvLat ) $=
    ( chlt wcel coml ccla clc hlomcmcv simp3d ) ABCADCAECAFCAGH $.

  $( A Hilbert lattice is atomic.  (Contributed by NM, 20-Oct-2011.) $)
  hlatl $p |- ( K e. HL -> K e. AtLat ) $=
    ( chlt wcel clc cal hlcvl cvlatl syl ) ABCADCAECAFAGH $.

  $( A Hilbert lattice is an ortholattice.  (Contributed by NM,
     20-Oct-2011.) $)
  hlol $p |- ( K e. HL -> K e. OL ) $=
    ( chlt wcel coml col hloml omlol syl ) ABCADCAECAFAGH $.

  $( A Hilbert lattice is an orthoposet.  (Contributed by NM, 20-Oct-2011.) $)
  hlop $p |- ( K e. HL -> K e. OP ) $=
    ( chlt wcel col cops hlol olop syl ) ABCADCAECAFAGH $.

  $( A Hilbert lattice is a lattice.  (Contributed by NM, 20-Oct-2011.) $)
  hllat $p |- ( K e. HL -> K e. Lat ) $=
    ( chlt wcel cal clat hlatl atllat syl ) ABCADCAECAFAGH $.

  ${
    hllatd.1 $e |- ( ph -> K e. HL ) $.
    $( Deduction form of ~ hllat .  A Hilbert lattice is a lattice.
       (Contributed by BJ, 14-Aug-2022.) $)
    hllatd $p |- ( ph -> K e. Lat ) $=
      ( chlt wcel clat hllat syl ) ABDEBFECBGH $.
  $}

  $( A Hilbert lattice is orthomodular, complete, and atomic.  (Contributed by
     NM, 5-Nov-2012.) $)
  hlomcmat $p |- ( K e. HL -> ( K e. OML /\ K e. CLat /\ K e. AtLat ) ) $=
    ( chlt wcel coml ccla cal hloml hlclat hlatl 3jca ) ABCADCAECAFCAGAHAIJ $.

  $( A Hilbert lattice is a poset.  (Contributed by NM, 20-Oct-2011.) $)
  hlpos $p |- ( K e. HL -> K e. Poset ) $=
    ( chlt wcel clat cpo hllat latpos syl ) ABCADCAECAFAGH $.

  ${
    hlatjcl.b $e |- B = ( Base ` K ) $.
    hlatjcl.j $e |- .\/ = ( join ` K ) $.
    hlatjcl.a $e |- A = ( Atoms ` K ) $.
    $( Closure of join operation.  Frequently-used special case of ~ latjcl for
       atoms.  (Contributed by NM, 15-Jun-2012.) $)
    hlatjcl $p |- ( ( K e. HL /\ X e. A /\ Y e. A ) -> ( X .\/ Y ) e. B ) $=
      ( chlt wcel clat co hllat atbase latjcl syl3an ) DJKDLKEAKEBKFAKFBKEFCMBK
      DNABEDGIOABFDGIOBCDEFGHPQ $.
  $}

  ${
    hlatjcom.j $e |- .\/ = ( join ` K ) $.
    hlatjcom.a $e |- A = ( Atoms ` K ) $.
    $( Commutatitivity of join operation.  Frequently-used special case of
       ~ latjcom for atoms.  (Contributed by NM, 15-Jun-2012.) $)
    hlatjcom $p |- ( ( K e. HL /\ X e. A /\ Y e. A )
               -> ( X .\/ Y ) = ( Y .\/ X ) ) $=
      ( chlt wcel clat cbs cfv co wceq hllat eqid atbase latjcom syl3an ) CHICJ
      IDAIDCKLZIEAIETIDEBMEDBMNCOATDCTPZGQATECUAGQTBCDEUAFRS $.

    $( TODO: Use in place of ~ latjcom when it shortens proofs $)
    $( Idempotence of join operation.  Frequently-used special case of
       ~ latjcom for atoms.  (Contributed by NM, 15-Jul-2012.) $)
    hlatjidm $p |- ( ( K e. HL /\ X e. A ) -> ( X .\/ X ) = X ) $=
      ( chlt wcel clat cbs cfv co wceq hllat eqid atbase latjidm syl2an ) CGHCI
      HDCJKZHDDBLDMDAHCNASDCSOZFPSBCDTEQR $.

    $( Lattice join is associative.  Frequently-used special case of ~ latjass
       for atoms.  (Contributed by NM, 27-Jul-2012.) $)
    hlatjass $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A ) ) ->
             ( ( P .\/ Q ) .\/ R ) = ( P .\/ ( Q .\/ R ) ) ) $=
      ( chlt wcel w3a wa clat cbs cfv co wceq hllat atbase syl latjass syl13anc
      adantr simpr1 eqid simpr2 simpr3 ) FIJZBAJZCAJZDAJZKZLZFMJZBFNOZJZCUOJZDU
      OJZBCEPDEPBCDEPEPQUHUNULFRUCUMUIUPUHUIUJUKUDAUOBFUOUEZHSTUMUJUQUHUIUJUKUF
      AUOCFUSHSTUMUKURUHUIUJUKUGAUODFUSHSTUOEFBCDUSGUAUB $.

    $( Swap 1st and 2nd members of lattice join.  Frequently-used special case
       of ~ latj32 for atoms.  (Contributed by NM, 4-Jun-2012.) $)
    hlatj12 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A ) ) ->
             ( P .\/ ( Q .\/ R ) ) = ( Q .\/ ( P .\/ R ) ) ) $=
      ( chlt wcel w3a wa wceq hlatjcom 3adant3r3 oveq1d hlatjass simpl simpr2
      co simpr1 simpr3 syl13anc 3eqtr3d ) FIJZBAJZCAJZDAJZKZLZBCETZDETCBETZDETZ
      BCDETETCBDETETZUJUKULDEUEUFUGUKULMUHAEFBCGHNOPABCDEFGHQUJUEUGUFUHUMUNMUEU
      IRUEUFUGUHSUEUFUGUHUAUEUFUGUHUBACBDEFGHQUCUD $.

    $( Swap 2nd and 3rd members of lattice join.  Frequently-used special case
       of ~ latj32 for atoms.  (Contributed by NM, 21-Jul-2012.) $)
    hlatj32 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A ) ) ->
             ( ( P .\/ Q ) .\/ R ) = ( ( P .\/ R ) .\/ Q ) ) $=
      ( chlt wcel w3a wa clat cbs cfv co wceq hllat atbase syl adantr syl13anc
      simpr1 eqid simpr2 simpr3 latj32 ) FIJZBAJZCAJZDAJZKZLZFMJZBFNOZJZCUOJZDU
      OJZBCEPDEPBDEPCEPQUHUNULFRUAUMUIUPUHUIUJUKUCAUOBFUOUDZHSTUMUJUQUHUIUJUKUE
      AUOCFUSHSTUMUKURUHUIUJUKUFAUODFUSHSTUOEFBCDUSGUGUB $.

    $( Rotate lattice join of 3 classes.  Frequently-used special case of
       ~ latjrot for atoms.  (Contributed by NM, 2-Aug-2012.) $)
    hlatjrot $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A ) ) ->
             ( ( P .\/ Q ) .\/ R ) = ( ( R .\/ P ) .\/ Q ) ) $=
      ( chlt wcel w3a wa co hlatj32 wceq hlatjcom 3adant3r2 oveq1d eqtrd ) FIJZ
      BAJZCAJZDAJZKLZBCEMDEMBDEMZCEMDBEMZCEMABCDEFGHNUDUEUFCETUAUCUEUFOUBAEFBDG
      HPQRS $.

    $( Rearrangement of lattice join of 4 classes.  Frequently-used special
       case of ~ latj4 for atoms.  (Contributed by NM, 9-Aug-2012.) $)
    hlatj4 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A )
               /\ ( R e. A /\ S e. A ) )
      -> ( ( P .\/ Q ) .\/ ( R .\/ S ) )
         = ( ( P .\/ R ) .\/ ( Q .\/ S ) ) ) $=
      ( chlt wcel wa w3a clat cbs cfv co wceq atbase syl 3ad2ant1 simp2l simp2r
      hllat eqid simp3l simp3r latj4 syl122anc ) GJKZBAKZCAKZLZDAKZEAKZLZMZGNKZ
      BGOPZKZCUSKZDUSKZEUSKZBCFQDEFQFQBDFQCEFQFQRUJUMURUPGUDUAUQUKUTUJUKULUPUBA
      USBGUSUEZISTUQULVAUJUKULUPUCAUSCGVDISTUQUNVBUJUMUNUOUFAUSDGVDISTUQUOVCUJU
      MUNUOUGAUSEGVDISTUSFGEBCDVDHUHUI $.
  $}

  ${
    hlatlej.l $e |- .<_ = ( le ` K ) $.
    hlatlej.j $e |- .\/ = ( join ` K ) $.
    hlatlej.a $e |- A = ( Atoms ` K ) $.
    $( A join's first argument is less than or equal to the join.  Special case
       of ~ latlej1 to show an atom is on a line.  (Contributed by NM,
       15-May-2013.) $)
    hlatlej1 $p |- ( ( K e. HL /\ P e. A /\ Q e. A )
            -> P .<_ ( P .\/ Q ) ) $=
      ( chlt wcel clat cbs cfv co wbr hllat eqid atbase latlej1 syl3an ) EJKELK
      BAKBEMNZKCAKCUBKBBCDOFPEQAUBBEUBRZISAUBCEUCISUBDEFBCUCGHTUA $.

    $( A join's second argument is less than or equal to the join.  Special
       case of ~ latlej2 to show an atom is on a line.  (Contributed by NM,
       15-May-2013.) $)
    hlatlej2 $p |- ( ( K e. HL /\ P e. A /\ Q e. A )
            -> Q .<_ ( P .\/ Q ) ) $=
      ( chlt wcel w3a co wbr hlatlej1 3com23 hlatjcom breqtrrd ) EJKZBAKZCAKZLC
      CBDMZBCDMFSUATCUBFNACBDEFGHIOPADEBCHIQR $.
  $}

  ${
    $d t u v w x y z B $.  $d t u v w y z K $.  $d t u v w x y z ._|_ $.
    $d t u v w x y z S $.
    glbcon.b $e |- B = ( Base ` K ) $.
    glbcon.u $e |- U = ( lub ` K ) $.
    glbcon.g $e |- G = ( glb ` K ) $.
    glbcon.o $e |- ._|_ = ( oc ` K ) $.
    $( De Morgan's law for GLB and LUB. This holds in any complete
       ortholattice, although we assume ` HL ` for convenience.  (Contributed
       by NM, 17-Jan-2012.)  (New usage is discouraged.) $)
    glbconN $p |- ( ( K e. HL /\ S C_ B )
        -> ( G ` S ) = ( ._|_ ` ( U ` { x e. B | ( ._|_ ` x ) e. S } ) ) ) $=
      ( vz vu wcel cfv wceq wbr wral wi wa vy vw vv vt wss chlt cv crab sseqin2
      cin biimpi dfin5 eqtr3di fveq2d cple crio eqid biid id ssrab2 glbval cops
      wreu hlop ccla hlclat clatglbcl sylancl eqeltrrd fvexi riotaclbBAD sylibr
      a1i breq1 ralbidv breq2 imbi2d anbi12d riotaocN syl2anc ad2antrr sylancom
      cbs opoccl wrex opococ eqcomd fveq2 rspceeqv eleq1 imbi12d adantl ralxfrd
      wb simpr simplr oplecon3b syl3anc ralbidva bitr4d ralrab eleq1d ad3antrrr
      weq 3bitr4g riotabidva simpl lubval mpan2 eqtr4d 3eqtrd sylan9eqr ) CBUEZ
      FUFNZCEOAUGZCNZABUHZEOZXOGOZCNZABUHZDOZGOZXMCXQEXMBCUJZCXQXMYDCPCBUIUKABC
      ULUMUNXNXRUAUGZLUGZFUOOZQZLXQRZUBUGZYFYGQZLXQRZYJYEYGQZSZUBBRZTZUABUPZUCU
      GZGOZYFYGQZLXQRZYLYJYSYGQZSZUBBRZTZUCBUPZGOZYCXNYPUALUBBXQEFYGUFHYGUQZJYP
      URXNUSXQBUEZXNXPABUTZVMVAZXNFVBNZYPUABVCZYQUUGPFVDZXNYQBNUUMXNXRYQBUUKXNF
      VENUUIXRBNFVFUUJBXQEFHJVGVHVIYPUABBFWCHVJVKVLYPUUEUAUCBFGHKYEYSPZYIUUAYOU
      UDUUOYHYTLXQYEYSYFYGVNVOUUOYNUUCUBBUUOYMUUBYLYEYSYJYGVPVQVOVRVSVTXNUUFYBG
      XNUUFMUGZYRYGQZMYARZUUPUDUGZYGQZMYARZYRUUSYGQZSZUDBRZTZUCBUPZYBXNUUEUVEUC
      BXNYRBNZTZUUAUURUUDUVDUVHYFCNZYTSZLBRZUUPGOZCNZUUQSZMBRZUUAUURUVHUVKUVMYS
      UVLYGQZSZMBRUVOUVHUVJUVQLMUVLBBUVHUUPBNZUULUVLBNZXNUULUVGUVRUUNWAZBFGUUPH
      KWDZWBUVHYFBNZTZYFGOZBNZYFUWDGOZPZYFUVLPZMBWEZUVHUWBUULUWEXNUULUVGUWBUUNW
      AZBFGYFHKWDZWBUWCUWFYFUVHUWBUULUWFYFPZUWJBFGYFHKWFZWBWGMUWDBUVLUWFYFUUPUW
      DGWHWIZVTUWHUVJUVQWNUVHUWHUVIUVMYTUVPYFUVLCWJZYFUVLYSYGVPWKWLWMUVHUVNUVQM
      BUVHUVRTZUUQUVPUVMUWPUULUVRUVGUUQUVPWNUVTUVHUVRWOXNUVGUVRWPBFYGGUUPYRHUUH
      KWQWRVQWSWTXPUVIYTLABXOYFCWJZXAXTUVMUUQMABAMXDXSUVLCXOUUPGWHXBZXAXEUVHUUD
      UUSGOZYFYGQZLXQRZUWSYSYGQZSZUDBRUVDUVHUUCUXCUBUDUWSBBUVHUUSBNZUULUWSBNXNU
      ULUVGUXDUUNWAZBFGUUSHKWDWBUVHYJBNZTZYJGOZBNZYJUXHGOZPYJUWSPZUDBWEUVHUXFUU
      LUXIXNUULUVGUXFUUNWAZBFGYJHKWDWBUXGUXJYJUVHUXFUULUXJYJPUXLBFGYJHKWFWBWGUD
      UXHBUWSUXJYJUUSUXHGWHWIVTUXKUUCUXCWNUVHUXKYLUXAUUBUXBUXKYKUWTLXQYJUWSYFYG
      VNVOYJUWSYSYGVNWKWLWMUVHUVCUXCUDBUVHUXDTZUVAUXAUVBUXBUXMUVMUUTSZMBRZUVIUW
      TSZLBRZUVAUXAUXMUXOUVMUWSUVLYGQZSZMBRUXQUXMUXNUXSMBUXMUVRTZUUTUXRUVMUXTUU
      LUVRUXDUUTUXRWNXNUULUVGUXDUVRUUNXCZUXMUVRWOUVHUXDUVRWPBFYGGUUPUUSHUUHKWQW
      RVQWSUXMUXPUXSLMUVLBBUXMUVRUULUVSUYAUWAWBUXMUWBTZUWEUWGUWIUXMUWBUULUWEXNU
      ULUVGUXDUWBUUNXCZUWKWBUYBUWFYFUXMUWBUULUWLUYCUWMWBWGUWNVTUWHUXPUXSWNUXMUW
      HUVIUVMUWTUXRUWOYFUVLUWSYGVPWKWLWMWTXTUVMUUTMABUWRXAXPUVIUWTLABUWQXAXEUXM
      UULUVGUXDUVBUXBWNUXEXNUVGUXDWPUVHUXDWOBFYGGYRUUSHUUHKWQWRWKWSWTVRXFXNYABU
      EZYBUVFPXTABUTXNUYDTUVEUCMUDBYADFYGUFHUUHIUVEURXNUYDXGXNUYDWOXHXIXJUNXKXL
      $.

    $d i B $.  $d x y I $.  $d i K $.  $d i ._|_ $.  $d i x y $.
    $( De Morgan's law for GLB and LUB. Index-set version of ~ glbconN , where
       we read ` S ` as ` S ( i ) ` .  (Contributed by NM, 17-Jan-2012.)
       (New usage is discouraged.) $)
    glbconxN $p |- ( ( K e. HL /\ A. i e. I S e. B )
        -> ( G ` { x | E. i e. I x = S } )
            = ( ._|_ ` ( U ` { x | E. i e. I x = ( ._|_ ` S ) } ) ) ) $=
      ( vy wcel wa wceq wrex cab cfv chlt wral crab wss vex eqeq1 rexbidv nfra1
      cv elab nfv wi rsp eleq1a syl6 rexlimd syl5bi ssrdv glbconN sylan2 rabbii
      fvex df-rab eqtri nfan wb rspa cops hlop opoccl sylan syl opcon2b syl3an1
      pm4.71rd 3expa eqcom bitr3di bitrd anassrs rexbida r19.42v bitr2di abbidv
      pm5.32da cbvabv eqtrdi syl5eq fveq2d eqtrd ) HUAOZCBOZEGUBZPZAUIZCQZEGRZA
      SZFTZNUIZITZWROZNBUCZDTZITZWOCITZQZEGRZASZDTZITWMWKWRBUDWSXEQWMNWRBWTWROW
      TCQZEGRZWMWTBOZWQXLAWTNUEWOWTQWPXKEGWOWTCUFUGUJWMXKXMEGWLEGUHZXMEUKWMEUIG
      OZWLXKXMULWLEGUMCBWTUNUOUPUQURNBWRDFHIJKLMUSUTWNXDXJIWNXCXIDWNXCXMXACQZEG
      RZPZNSZXIXCXQNBUCXSXBXQNBWQXQAXAWTIVBWOXAQWPXPEGWOXACUFUGUJVAXQNBVCVDWNXS
      WTXFQZEGRZNSXIWNXRYANWNYAXMXPPZEGRXRWNXTYBEGWKWMEWKEUKXNVEWKWMXOXTYBVFZWM
      XOPWKWLYCWLEGVGWKWLPZXTXMXTPYBYDXTXMYDXFBOZXTXMULWKHVHOZWLYEHVIZBHICJMVJV
      KXFBWTUNVLVOYDXMXTXPYDXMPCXAQZXTXPWKWLXMYHXTVFZWKYFWLXMYIYGBHICWTJMVMVNVP
      CXAVQVRWEVSUTVTWAXMXPEGWBWCWDYAXHNAWTWOQXTXGEGWTWOXFUFUGWFWGWHWIWIWJ $.
  $}

  ${
    atnlej.l $e |- .<_ = ( le ` K ) $.
    atnlej.j $e |- .\/ = ( join ` K ) $.
    atnlej.a $e |- A = ( Atoms ` K ) $.
    $( If an atom is not less than or equal to the join of two others, it is
       not equal to either.  (This also holds for non-atoms, but in this form
       it is convenient.)  (Contributed by NM, 8-Jan-2012.) $)
    atnlej1 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
                    /\ -. P .<_ ( Q .\/ R ) ) -> P =/= Q ) $=
      ( chlt wcel w3a co wbr wn clat cbs atbase syl cfv wne hllat 3ad2ant1 eqid
      simp21 simp22 simp23 simp3 latnlej1l syl131anc ) FKLZBALZCALZDALZMZBCDENG
      OPZMZFQLZBFRUAZLZCUTLZDUTLZUQBCUBULUPUSUQFUCUDURUMVAULUMUNUOUQUFAUTBFUTUE
      ZJSTURUNVBULUMUNUOUQUGAUTCFVDJSTURUOVCULUMUNUOUQUHAUTDFVDJSTULUPUQUIUTEFG
      BCDVDHIUJUK $.

    $( If an atom is not less than or equal to the join of two others, it is
       not equal to either.  (This also holds for non-atoms, but in this form
       it is convenient.)  (Contributed by NM, 8-Jan-2012.) $)
    atnlej2 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
                    /\ -. P .<_ ( Q .\/ R ) ) -> P =/= R ) $=
      ( chlt wcel w3a co wbr wn clat cbs atbase syl cfv wne hllat 3ad2ant1 eqid
      simp21 simp22 simp23 simp3 latnlej1r syl131anc ) FKLZBALZCALZDALZMZBCDENG
      OPZMZFQLZBFRUAZLZCUTLZDUTLZUQBDUBULUPUSUQFUCUDURUMVAULUMUNUOUQUFAUTBFUTUE
      ZJSTURUNVBULUMUNUOUQUGAUTCFVDJSTURUOVCULUMUNUOUQUHAUTDFVDJSTULUPUQUIUTEFG
      BCDVDHIUJUK $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y .\/ $.  $d x y z K $.  $d x y .<_ $.
    $d x y z P $.  $d y z Q $.
    hlsuprexch.b $e |- B = ( Base ` K ) $.
    hlsuprexch.l $e |- .<_ = ( le ` K ) $.
    hlsuprexch.j $e |- .\/ = ( join ` K ) $.
    hlsuprexch.a $e |- A = ( Atoms ` K ) $.
    $( A Hilbert lattice has the superposition and exchange properties.
       (Contributed by NM, 13-Nov-2011.) $)
    hlsuprexch $p |- ( ( K e. HL /\ P e. A /\ Q e. A ) ->
       ( ( P =/= Q -> E. z e. A ( z =/= P /\ z =/= Q /\ z .<_ ( P .\/ Q ) ) )
            /\ A. z e. B ( ( -. P .<_ z /\ P .<_ ( z .\/ Q ) )
               -> Q .<_ ( z .\/ P ) ) ) ) $=
      ( vx wcel wne co wbr wrex wi wa vy chlt cv w3a wral coml ccla cal cp0 cfv
      cplt cp1 eqid ishlat2 simprl sylbi wceq neeq1 neeq2 oveq1 breq2d 3anbi13d
      rexbidv imbi12d breq1 notbid anbi12d oveq2 ralbidv 3anbi23d anbi2d rspc2v
      wn mpan9 3impb ) GUBNZDBNZEBNZDEOZAUCZDOZVTEOZVTDEFPZHQZUDZABRZSZDVTHQZVM
      ZDVTEFPZHQZTZEVTDFPZHQZSZACUEZTZVPMUCZUAUCZOZVTWROZVTWSOZVTWRWSFPZHQZUDZA
      BRZSZWRVTHQZVMZWRVTWSFPZHQZTZWSVTWRFPZHQZSZACUEZTZUABUEMBUEZVQVRTWQVPGUFN
      GUGNGUHNUDZXRGUIUJZWRGUKUJZQWRWSYAQTWSVTYAQVTGULUJZYAQTTACRUACRMCRZTTXRMU
      AABCYAYBFGHXTIJYAUMKXTUMYBUMLUNXSXRYCUOUPXQWQDWSOZWAXBVTDWSFPZHQZUDZABRZS
      ZWIDXJHQZTZWSWMHQZSZACUEZTMUADEBBWRDUQZXGYIXPYNYOWTYDXFYHWRDWSURYOXEYGABY
      OXAWAXDYFXBWRDVTUSYOXCYEVTHWRDWSFUTVAVBVCVDYOXOYMACYOXLYKXNYLYOXIWIXKYJYO
      XHWHWRDVTHVEVFWRDXJHVEVGYOXMWMWSHWRDVTFVHVAVDVIVGWSEUQZYIWGYNWPYPYDVSYHWF
      WSEDUSYPYGWEABYPXBWBYFWDWAWSEVTUSYPYEWCVTHWSEDFVHVAVJVCVDYPYMWOACYPYKWLYL
      WNYPYJWKWIYPXJWJDHWSEVTFVHVAVKWSEWMHVEVDVIVGVLVNVO $.

    $( A Hilbert lattice has the exchange property.  (Contributed by NM,
       13-Nov-2011.) $)
    hlexch1 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ X e. B )
           /\ -. P .<_ X )
       -> ( P .<_ ( X .\/ Q ) -> Q .<_ ( X .\/ P ) ) ) $=
      ( chlt wcel clc w3a wbr wn co wi hlcvl cvlexch1 syl3an1 ) FMNFONCANDANHBN
      PCHGQRCHDESGQDHCESGQTFUAABCDEFGHIJKLUBUC $.

    $( A Hilbert lattice has the exchange property.  (Contributed by NM,
       6-May-2012.) $)
    hlexch2 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ X e. B )
          /\ -. P .<_ X )
       -> ( P .<_ ( Q .\/ X ) -> Q .<_ ( P .\/ X ) ) ) $=
      ( chlt wcel clc w3a wbr wn co wi hlcvl cvlexch2 syl3an1 ) FMNFONCANDANHBN
      PCHGQRCDHESGQDCHESGQTFUAABCDEFGHIJKLUBUC $.

    $( A Hilbert lattice has the exchange property.  (Contributed by NM,
       16-Nov-2011.) $)
    hlexchb1 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ X e. B )
    /\ -. P .<_ X )
          -> ( P .<_ ( X .\/ Q ) <-> ( X .\/ P ) = ( X .\/ Q ) ) ) $=
      ( chlt wcel clc w3a wbr wn co wceq wb hlcvl cvlexchb1 syl3an1 ) FMNFONCAN
      DANHBNPCHGQRCHDESZGQHCESUETUAFUBABCDEFGHIJKLUCUD $.

    $( A Hilbert lattice has the exchange property.  (Contributed by NM,
       22-Jun-2012.) $)
    hlexchb2 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ X e. B )
    /\ -. P .<_ X )
        -> ( P .<_ ( Q .\/ X ) <-> ( P .\/ X ) = ( Q .\/ X ) ) ) $=
      ( chlt wcel clc w3a wbr wn co wceq wb hlcvl cvlexchb2 syl3an1 ) FMNFONCAN
      DANHBNPCHGQRCDHESZGQCHESUETUAFUBABCDEFGHIJKLUCUD $.
  $}

  ${
    $d r A $.  $d r K $.  $d r P $.  $d r Q $.
    hlsupr.l $e |- .<_ = ( le ` K ) $.
    hlsupr.j $e |- .\/ = ( join ` K ) $.
    hlsupr.a $e |- A = ( Atoms ` K ) $.
    $( A Hilbert lattice has the superposition property.  Theorem 13.2 in
       [Crawley] p. 107.  (Contributed by NM, 30-Jan-2012.) $)
    hlsupr $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A ) /\ P =/= Q )
      -> E. r e. A ( r =/= P /\ r =/= Q /\ r .<_ ( P .\/ Q ) ) ) $=
      ( chlt wcel w3a wne cv co wbr wrex wi wn cbs cfv wral eqid hlsuprexch imp
      wa simpld ) EKLBALCALMZBCNZGOZBNUKCNUKBCDPFQMGARZUIUJULSBUKFQTBUKCDPFQUGC
      UKBDPFQSGEUAUBZUCGAUMBCDEFUMUDHIJUEUHUF $.
  $}

  ${
    $d r A $.  $d r K $.  $d r P $.  $d r Q $.
    hlsupr2.j $e |- .\/ = ( join ` K ) $.
    hlsupr2.a $e |- A = ( Atoms ` K ) $.
    $( A Hilbert lattice has the superposition property.  (Contributed by NM,
       25-Nov-2012.) $)
    hlsupr2 $p |- ( ( K e. HL /\ P e. A /\ Q e. A )
      -> E. r e. A ( P .\/ r ) = ( Q .\/ r ) ) $=
      ( chlt wcel w3a cv co wceq wrex wne cple wi wb syl cfv wbr eqid hlsupr ex
      wa clc simpl1 hlcvl simpl2 simpr cvlsupr3 syl13anc rexbidva ne0i 3ad2ant2
      simpl3 c0 r19.37zv bitrd mpbird ) EIJZBAJZCAJZKZBFLZDMCVFDMNZFAOZBCPZVFBP
      VFCPVFBCDMEQUAZUBKZFAOZRZVEVIVLABCDEVJFVJUCZGHUDUEVEVHVIVKRZFAOZVMVEVGVOF
      AVEVFAJZUFZEUGJZVCVDVQVGVOSVRVBVSVBVCVDVQUHEUITVBVCVDVQUJVBVCVDVQUQVEVQUK
      ABCVFDEVJHVNGULUMUNVEAURPZVPVMSVCVBVTVDABUOUPVIVKFAUSTUTVA $.
  $}

  ${
    $d x y z B $.  $d x y z K $.
    hlhgt4.b $e |- B = ( Base ` K ) $.
    hlhgt4.s $e |- .< = ( lt ` K ) $.
    hlhgt4.z $e |- .0. = ( 0. ` K ) $.
    hlhgt4.u $e |- .1. = ( 1. ` K ) $.
    $( A Hilbert lattice has a height of at least 4.  (Contributed by NM,
       4-Dec-2011.) $)
    hlhgt4 $p |- ( K e. HL -> E. x e. B E. y e. B E. z e. B
            ( ( .0. .< x /\ x .< y ) /\ ( y .< z /\ z .< .1. ) ) ) $=
      ( wcel cv wne cfv co wbr wrex wa chlt coml ccla cal w3a cple catm wi wral
      cjn wn eqid ishlat2 simprr sylbi ) GUAMGUBMGUCMGUDMUEZANZBNZOCNZUQOUSUROU
      SUQURGUJPZQGUFPZRUECGUGPZSUHUQUSVARUKUQUSURUTQVARTURUSUQUTQVARUHCDUITBVBU
      IAVBUIZHUQERUQURERTURUSERUSFERTTCDSBDSADSZTTVDABCVBDEFUTGVAHIVAULJUTULKLV
      BULUMUPVCVDUNUO $.

    $d y z .< $.  $d y z .1. $.  $d y z .0. $.
    $( A Hilbert lattice has a height of at least 2.  (Contributed by NM,
       4-Dec-2011.) $)
    hlhgt2 $p |- ( K e. HL -> E. x e. B ( .0. .< x /\ x .< .1. ) ) $=
      ( vy vz wcel cv wbr wa wrex wi ad3antrrr syl chlt hlhgt4 hlpos cops op0cl
      hlop simpllr simplr plttr syl13anc simpr op1cl anim12d rexlimdva reximdva
      cpo mpd ) EUAMZFKNZCOUSANZCOPZUTLNZCOVBDCOPZPZLBQZABQZKBQFUTCOZUTDCOZPZAB
      QZKALBCDEFGHIJUBURVFVJKBURUSBMZPZVEVIABVLUTBMZPZVDVILBVNVBBMZPZVAVGVCVHVP
      EUPMZFBMZVKVMVAVGRURVQVKVMVOEUCSZVPEUDMZVRURVTVKVMVOEUFSZBEFGIUETURVKVMVO
      UGVLVMVOUHZBCEFUSUTGHUIUJVPVQVMVODBMZVCVHRVSWBVNVOUKVPVTWCWABDEGJULTBCEUT
      VBDGHUIUJUMUNUOUNUQ $.
  $}

  ${
    $d x K $.  $d x .< $.  $d x .1. $.  $d x .0. $.
    hl0lt1.s $e |- .< = ( lt ` K ) $.
    hl0lt1.z $e |- .0. = ( 0. ` K ) $.
    hl0lt1.u $e |- .1. = ( 1. ` K ) $.
    $( Lattice 0 is less than lattice 1 in a Hilbert lattice.  (Contributed by
       NM, 4-Dec-2011.)  (New usage is discouraged.) $)
    hl0lt1N $p |- ( K e. HL -> .0. .< .1. ) $=
      ( vx chlt wcel cv wbr wa cbs cfv wrex eqid hlhgt2 adantr syl cpo wi hlpos
      cops hlop op0cl simpr op1cl plttr syl13anc rexlimdva mpd ) CIJZDHKZALUNBA
      LMZHCNOZPDBALZHUPABCDUPQZEFGRUMUOUQHUPUMUNUPJZMZCUAJZDUPJZUSBUPJZUOUQUBUM
      VAUSCUCSUTCUDJZVBUMVDUSCUESZUPCDURFUFTUMUSUGUTVDVCVEUPBCURGUHTUPACDUNBURE
      UIUJUKUL $.
  $}

  ${
    hlexch3.b $e |- B = ( Base ` K ) $.
    hlexch3.l $e |- .<_ = ( le ` K ) $.
    hlexch3.j $e |- .\/ = ( join ` K ) $.
    hlexch3.m $e |- ./\ = ( meet ` K ) $.
    hlexch3.z $e |- .0. = ( 0. ` K ) $.
    hlexch3.a $e |- A = ( Atoms ` K ) $.
    $( A Hilbert lattice has the exchange property.  ( ~ atexch analog.)
       (Contributed by NM, 15-Nov-2011.) $)
    hlexch3 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ X e. B )
        /\ ( P ./\ X ) = .0. )
           -> ( P .<_ ( X .\/ Q ) -> Q .<_ ( X .\/ P ) ) ) $=
      ( chlt wcel co wbr clc w3a wceq wi hlcvl cvlexch3 syl3an1 ) FQRFUARCARDAR
      IBRUBCIHSJUCCIDESGTDICESGTUDFUEABCDEFGHIJKLMNOPUFUG $.

    $( A Hilbert lattice has the exchange property.  Part of Definition 7.8 of
       [MaedaMaeda] p. 32.  (Contributed by NM, 15-Nov-2011.)
       (New usage is discouraged.) $)
    hlexch4N $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ X e. B )
       /\ ( P ./\ X ) = .0. )
    -> ( P .<_ ( X .\/ Q ) <-> ( X .\/ P ) = ( X .\/ Q ) ) ) $=
      ( chlt wcel co wceq clc w3a wbr wb hlcvl cvlexch4N syl3an1 ) FQRFUARCARDA
      RIBRUBCIHSJTCIDESZGUCICESUHTUDFUEABCDEFGHIJKLMNOPUFUG $.
  $}

  ${
    hlatexchb.l $e |- .<_ = ( le ` K ) $.
    hlatexchb.j $e |- .\/ = ( join ` K ) $.
    hlatexchb.a $e |- A = ( Atoms ` K ) $.
    $( A version of ~ hlexchb1 for atoms.  (Contributed by NM, 15-Nov-2011.) $)
    hlatexchb1 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A ) /\ P =/= R )
       -> ( P .<_ ( R .\/ Q ) <-> ( R .\/ P ) = ( R .\/ Q ) ) ) $=
      ( chlt wcel clc w3a wne co wbr wceq wb hlcvl cvlatexchb1 syl3an1 ) FKLFML
      BALCALDALNBDOBDCEPZGQDBEPUCRSFTABCDEFGHIJUAUB $.

    $( A version of ~ hlexchb2 for atoms.  (Contributed by NM, 7-Feb-2012.) $)
    hlatexchb2 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
       /\ P =/= R )
         -> ( P .<_ ( Q .\/ R ) <-> ( P .\/ R ) = ( Q .\/ R ) ) ) $=
      ( chlt wcel clc w3a wne co wbr wceq wb hlcvl cvlatexchb2 syl3an1 ) FKLFML
      BALCALDALNBDOBCDEPZGQBDEPUCRSFTABCDEFGHIJUAUB $.

    $( Atom exchange property.  (Contributed by NM, 7-Jan-2012.) $)
    hlatexch1 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
        /\ P =/= R ) -> ( P .<_ ( R .\/ Q ) -> Q .<_ ( R .\/ P ) ) ) $=
      ( chlt wcel clc w3a wne co wbr wi hlcvl cvlatexch1 syl3an1 ) FKLFMLBALCAL
      DALNBDOBDCEPGQCDBEPGQRFSABCDEFGHIJTUA $.

    $( Atom exchange property.  (Contributed by NM, 8-Jan-2012.) $)
    hlatexch2 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
        /\ P =/= R ) -> ( P .<_ ( Q .\/ R ) -> Q .<_ ( P .\/ R ) ) ) $=
      ( chlt wcel clc w3a wne co wbr wi hlcvl cvlatexch2 syl3an1 ) FKLFMLBALCAL
      DALNBDOBCDEPGQCBDEPGQRFSABCDEFGHIJTUA $.
  $}

  ${
    $d y A $.  $d y B $.  $d y .<_ $.  $d y X $.
    hlatmstc.b $e |- B = ( Base ` K ) $.
    hlatmstc.l $e |- .<_ = ( le ` K ) $.
    hlatmstc.u $e |- U = ( lub ` K ) $.
    hlatmstc.a $e |- A = ( Atoms ` K ) $.
    $( An atomic, complete, orthomodular lattice is atomistic i.e. every
       element is the join of the atoms under it.  See remark before
       Proposition 1 in [Kalmbach] p. 140; also remark in
       [BeltramettiCassinelli] p. 98.  ( ~ hatomistici analog.)  (Contributed
       by NM, 21-Oct-2011.)  (New usage is discouraged.) $)
    hlatmstcOLDN $p |- ( ( K e. HL /\ X e. B )
           -> ( U ` { y e. A | y .<_ X } ) = X ) $=
      ( chlt wcel coml ccla cal w3a cv wbr crab wceq hlomcmat atlatmstc sylan
      cfv ) ELMENMEOMEPMQGCMARGFSABTDUEGUAEUBABCDEFGHIJKUCUD $.
  $}

  ${
    $d p A $.  $d p B $.  $d p K $.  $d p .<_ $.  $d p X $.  $d p Y $.
    hlatle.b $e |- B = ( Base ` K ) $.
    hlatle.l $e |- .<_ = ( le ` K ) $.
    hlatle.a $e |- A = ( Atoms ` K ) $.
    $( The ordering of two Hilbert lattice elements is determined by the atoms
       under them.  ( ~ chrelat3 analog.)  (Contributed by NM, 4-Nov-2011.) $)
    hlatle $p |- ( ( K e. HL /\ X e. B /\ Y e. B )
             -> ( X .<_ Y <-> A. p e. A ( p .<_ X -> p .<_ Y ) ) ) $=
      ( chlt wcel coml ccla cal w3a wbr cv wi wral wb hlomcmat atlatle syl3an1
      ) CKLCMLCNLCOLPEBLFBLEFDQGRZEDQUEFDQSGATUACUBABCDEFGHIJUCUD $.

    $( The equality of two Hilbert lattice elements is determined by the atoms
       under them.  ( ~ chrelat4i analog.)  (Contributed by NM,
       24-May-2012.) $)
    hlateq $p |- ( ( K e. HL /\ X e. B /\ Y e. B )
             -> ( A. p e. A ( p .<_ X <-> p .<_ Y ) <-> X = Y ) ) $=
      ( chlt wcel w3a cv wbr wb wral wa wi hlatle ralbiim anbi12d bitr4id hllat
      wceq 3com23 clat latasymb syl3an1 bitrd ) CKLZEBLZFBLZMZGNZEDOZUOFDOZPGAQ
      ZEFDOZFEDOZRZEFUEZUNURUPUQSGAQZUQUPSGAQZRVAUPUQGAUAUNUSVCUTVDABCDEFGHIJTU
      KUMULUTVDPABCDFEGHIJTUFUBUCUKCUGLULUMVAVBPCUDBCDEFHIUHUIUJ $.
  $}

  ${
    $d p A $.  $d p B $.  $d p K $.  $d p .<_ $.  $d p X $.  $d p Y $.
    hlrelat1.b $e |- B = ( Base ` K ) $.
    hlrelat1.l $e |- .<_ = ( le ` K ) $.
    hlrelat1.s $e |- .< = ( lt ` K ) $.
    hlrelat1.a $e |- A = ( Atoms ` K ) $.
    $( An atomistic lattice with 0 is relatively atomic.  Part of Lemma 7.2 of
       [MaedaMaeda] p. 30.  ( ~ chpssati , with ` /\ ` swapped, analog.)
       (Contributed by NM, 4-Dec-2011.) $)
    hlrelat1 $p |- ( ( K e. HL /\ X e. B /\ Y e. B ) -> ( X .< Y
         -> E. p e. A ( -. p .<_ X /\ p .<_ Y ) ) ) $=
      ( chlt wcel coml ccla cal w3a wbr cv wn wa wi hlomcmat atlrelat1 syl3an1
      wrex ) DMNDONDPNDQNRFBNGBNFGCSHTZFESUAUHGESUBHAUGUCDUDABCDEFGHIJKLUEUF $.
  $}

  ${
    $d p A $.  $d p B $.  $d p K $.  $d p .<_ $.  $d p X $.  $d p Y $.
    hlrelat5.b $e |- B = ( Base ` K ) $.
    hlrelat5.l $e |- .<_ = ( le ` K ) $.
    hlrelat5.s $e |- .< = ( lt ` K ) $.
    hlrelat5.j $e |- .\/ = ( join ` K ) $.
    hlrelat5.a $e |- A = ( Atoms ` K ) $.
    $( An atomistic lattice with 0 is relatively atomic, using the definition
       in Remark 2 of [Kalmbach] p. 149.  (Contributed by NM, 21-Oct-2011.)
       (New usage is discouraged.) $)
    hlrelat5N $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B ) /\ X .< Y )
         -> E. p e. A ( X .< ( X .\/ p ) /\ p .<_ Y ) ) $=
      ( wcel w3a wbr wa wb bitr4d chlt cv co wrex wn hlrelat1 imp clat hllat id
      atbase wne cvv ovexd pltval syl3an3 latlej1 biantrurd wceq 3com23 latjcom
      latleeqj1 eqeq1d notbid nesym bitr4di syl3an 3expa anbi1d rexbidva adantr
      3adant3 mpbird ) EUAOZGBOZHBOZPZGHCQZRGGIUBZDUCZCQZVSHFQZRZIAUDZVSGFQZUEZ
      WBRZIAUDZVQVRWHABCEFGHIJKLNUFUGVQWDWHSZVRVNVOWIVPVNVORZWCWGIAWJVSAOZRWAWF
      WBVNVOWKWAWFSZVNEUHOZVOVOWKVSBOZWLEUIVOUJABVSEJNUKWMVOWNPZWAGVTULZWFWOWAG
      VTFQZWPRZWPWNWMVOVTUMOWAWRSWNGVSDUNUHBUMCEFGVTKLUOUPWOWQWPBDEFGVSJKMUQURT
      WOWFVTGUSZUEWPWOWEWSWOWEVSGDUCZGUSZWSWMWNVOWEXASBDEFVSGJKMVBUTWOVTWTGBDEG
      VSJMVAVCTVDGVTVEVFTVGVHVIVJVLVKVM $.

    $d p .< $.
    $( A Hilbert lattice is relatively atomic.  Remark 2 of [Kalmbach] p. 149.
       ( ~ chrelati analog.)  (Contributed by NM, 4-Feb-2012.) $)
    hlrelat $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B ) /\ X .< Y )
         -> E. p e. A ( X .< ( X .\/ p ) /\ ( X .\/ p ) .<_ Y ) ) $=
      ( chlt wcel wbr wa wrex imp w3a cv wn co hlrelat1 clat wb simpll1 simpll2
      hllatd atbase adantl latnle syl3anc pltle adantr biantrurd latjle12 bitrd
      simpll3 syl13anc anbi12d rexbidva mpbid ) EOPZGBPZHBPZUAZGHCQZRZIUBZGFQUC
      ZVKHFQZRZIASZGGVKDUDZCQZVPHFQZRZIASVHVIVOABCEFGHIJKLNUETVJVNVSIAVJVKAPZRZ
      VLVQVMVRWAEUFPZVFVKBPZVLVQUGWAEVEVFVGVIVTUHUJZVEVFVGVIVTUIZVTWCVJABVKEJNU
      KULZBCDEFGVKJKLMUMUNWAVMGHFQZVMRZVRWAWGVMVJWGVTVHVIWGOBBCEFGHKLUOTUPUQWAW
      BVFWCVGWHVRUGWDWEWFVEVFVGVIVTUTBDEFGVKHJKMURVAUSVBVCVD $.
  $}

  ${
    $d p A $.  $d p B $.  $d p K $.  $d p .<_ $.  $d p X $.  $d p Y $.
    hlrelat2.b $e |- B = ( Base ` K ) $.
    hlrelat2.l $e |- .<_ = ( le ` K ) $.
    hlrelat2.a $e |- A = ( Atoms ` K ) $.
    $( A consequence of relative atomicity.  ( ~ chrelat2i analog.)
       (Contributed by NM, 5-Feb-2012.) $)
    hlrelat2 $p |- ( ( K e. HL /\ X e. B /\ Y e. B )
            -> ( -. X .<_ Y <-> E. p e. A ( p .<_ X /\ -. p .<_ Y ) ) ) $=
      ( wcel w3a wbr wn wa cfv wb eqid wi syl13anc chlt cv wrex cmee cplt hllat
      co clat latnlemlt syl3an1 cjn simp1 latmcl simp2 hlrelat ex simpl1 hllatd
      syl3anc adantr atbase adantl simpl2 latjle12 simpr syl6bir adantld simpl3
      latlem12 notbid latnle bitrd anbi12d pm3.21 wo orcom pm4.55 imor 3bitr4ri
      sylib con2i adantrl jcad reximdva sylbid lattr exp4b com34 com23 ralrimdv
      syld wral iman ralbii ralnex bitri syl6ib con2d impbid ) CUAKZEBKZFBKZLZE
      FDMZNZGUBZEDMZXFFDMZNZOZGAUCZXCXEEFCUDPZUGZECUEPZMZXKWTCUHKZXAXBXEXOQCUFZ
      BXNCDXLEFHIXNRZXLRZUIUJXCXOXMXMXFCUKPZUGZXNMZYAEDMZOZGAUCZXKXCWTXMBKZXAXO
      YESWTXAXBULWTXPXAXBYFXQBCXLEFHXSUMUJZWTXAXBUNWTYFXALXOYEABXNXTCDXMEGHIXRX
      TRZJUOUPUSXCYDXJGAXCXFAKZOZYDXGXIYJYCXGYBYJYCXMEDMZXGOZXGYJXPYFXFBKZXAYLY
      CQYJCWTXAXBYIUQURZXCYFYIYGUTZYIYMXCABXFCHJVAVBZWTXAXBYIVCZBXTCDXMXFEHIYHV
      DTZYKXGVEVFVGYJYDXGXHOZNZYLOXIYJYTYBYLYCYJYTXFXMDMZNZYBYJYSUUAYJXPYMXAXBY
      SUUAQYNYPYQWTXAXBYIVHZBCDXLXFEFHIXSVITVJYJXPYFYMUUBYBQYNYOYPBXNXTCDXMXFHI
      XRYHVKUSVLYRVMYTXGXIYKXHYTXGOZXHXGYSSZUUDNZXHXGVNYSXGNZVOUUGYSVOUUFUUEYSU
      UGVPYSXGVQXGYSVRVSVTWAWBVFWCWDWKWEXCXDXKXCXDXGXHSZGAWLZXKNZXCXDUUHGAXCYIX
      DUUHXCYIXGXDXHXCYIXGXDXHYJXPYMXAXBXGXDOXHSYNYPYQUUCBCDXFEFHIWFTWGWHWIWJUU
      IXJNZGAWLUUJUUHUUKGAXGXHWMWNXJGAWOWPWQWRWS $.
  $}

  ${
    atomle.b $e |- B = ( Base ` K ) $.
    atomle.l $e |- .<_ = ( le ` K ) $.
    atomle.j $e |- .\/ = ( join ` K ) $.
    atomle.a $e |- A = ( Atoms ` K ) $.
    $( A condition for an atom to be less than or equal to a lattice element.
       Part of proof of Lemma A in [Crawley] p. 112.  (Contributed by NM,
       28-Apr-2012.)  (New usage is discouraged.) $)
    exatleN $p |- ( ( ( K e. HL /\ X e. B ) /\ ( P e. A /\ Q e. A /\ R e. A )
     /\ ( P .<_ X /\ -. Q .<_ X /\ R .<_ ( P .\/ Q ) ) )
  -> ( R .<_ X <-> R = P ) ) $=
      ( wcel wa w3a wbr wn atbase syl chlt wceq wne simpl32 simp11l hllatd clat
      co simp122 simp121 simp123 latjcl syl3anc simp11r simp2 simp133 hlatexch1
      3jca sylc simp131 simp3 latjle12 syl13anc mpbi2and lattrd 3expia necon4ad
      wb mtod ex simp31 breq1 syl5ibrcom impbid ) GUANZIBNZOZCANZDANZEANZPZCIHQ
      ZDIHQZRZECDFUHHQZPZPZEIHQZECUBZWGWHECWGECUCZWHRWGWJOWHWCWBWDWEVQWAWJUDWGW
      JWHWCWGWJWHPZBGHDCEFUHZIJKWKGVOVPWAWFWJWHUEZUFZWKVSDBNVRVSVTVQWFWJWHUIZAB
      DGJMSTWKGUGNZCBNZEBNZWLBNWNWKVRWQVRVSVTVQWFWJWHUJZABCGJMSTZWKVTWRVRVSVTVQ
      WFWJWHUKZABEGJMSTZBFGCEJLULUMVOVPWAWFWJWHUNZWKVOVTVSVRPZWJPWEDWLHQWKVOXDW
      JWMWKVTVSVRXAWOWSURWGWJWHUOURWBWDWEVQWAWJWHUPAEDCFGHKLMUQUSWKWBWHWLIHQZWB
      WDWEVQWAWJWHUTWGWJWHVAWKWPWQWRVPWBWHOXEVHWNWTXBXCBFGHCEIJKLVBVCVDVEVFVIVJ
      VGWGWHWIWBVQWAWBWDWEVKECIHVLVMVN $.
  $}

  ${
    $d p q x A $.  $d p q x K $.
    hl2atom.a $e |- A = ( Atoms ` K ) $.
    $( A Hilbert lattice has at least 2 atoms.  (Contributed by NM,
       5-Dec-2011.) $)
    hl2at $p |- ( K e. HL -> E. p e. A E. q e. A p =/= q ) $=
      ( vx chlt wcel cp0 cfv cv wbr wa wrex eqid wn wi syl hlrelat1 reximi cplt
      cp1 cbs wne hlhgt2 cple simpl cops hlop op0cl simpr syl3anc op1cl mpd3an3
      adantr anim12d reeanv nbrne2 ad2ant2lr sylbir syl6 rexlimdva mpd ) BGHZBI
      JZFKZBUAJZLZVFBUBJZVGLZMZFBUCJZNDKZCKZUDZCANZDANZFVLVGVIBVEVLOZVGOZVEOZVI
      OZUEVDVKVQFVLVDVFVLHZMZVKVMVEBUFJZLPZVMVFWDLZMZDANZVNVFWDLPZVNVIWDLZMZCAN
      ZMZVQWCVHWHVJWLWCVDVEVLHZWBVHWHQVDWBUGWCBUHHZWNVDWOWBBUIUOZVLBVEVRVTUJRVD
      WBUKAVLVGBWDVEVFDVRWDOZVSESULVDWBVIVLHZVJWLQWCWOWRWPVLVIBVRWAUMRAVLVGBWDV
      FVICVRWQVSESUNUPWMWGWKMZCANZDANVQWGWKDCAAUQWTVPDAWSVOCAWFWIVOWEWJVMVNVFWD
      URUSTTUTVAVBVC $.
  $}

  ${
    $d p q A $.  $d p q K $.
    atex.1 $e |- A = ( Atoms ` K ) $.
    $( At least one atom exists.  (Contributed by NM, 15-Jul-2012.) $)
    atex $p |- ( K e. HL -> A =/= (/) ) $=
      ( vp vq chlt wcel cv wex c0 wne wrex hl2at wa df-rex exsimpl sylbi syl n0
      sylibr ) BFGZDHZAGZDIZAJKUAUBEHKEALZDALZUDABEDCMUFUCUENDIUDUEDAOUCUEDPQRD
      AST $.
  $}

  ${
    intnat.b $e |- B = ( Base ` K ) $.
    intnat.l $e |- .<_ = ( le ` K ) $.
    intnat.m $e |- ./\ = ( meet ` K ) $.
    intnat.a $e |- A = ( Atoms ` K ) $.
    $( If the intersection with a non-majorizing element is an atom, the
       intersecting element is not an atom.  (Contributed by NM, 26-Jun-2012.)
       (New usage is discouraged.) $)
    intnatN $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B )
        /\ ( -. Y .<_ X /\ ( X ./\ Y ) e. A ) ) -> -. Y e. A ) $=
      ( chlt wcel w3a wn co wa ex wceq syl3anc wbr hlatl 3ad2ant1 ad2antrr eqid
      cp0 cfv wne cal atn0 sylancom clat simpll1 hllatd simpll2 simpll3 latmcom
      simplr wb syl simpr atnle mpbid eqtrd necon3ad syld impr ) CLMZFBMZGBMZNZ
      GFDUAOZFGEPZAMZGAMZOZVKVLQZVNVMCUFUGZUHZVPVQVNVSVQVNCUIMZVSVKVTVLVNVHVIVT
      VJCUBZUCUDAVMCVRVRUEZKUJUKRVQVOVMVRVQVOVMVRSVQVOQZVMGFEPZVRWCCULMVIVJVMWD
      SWCCVHVIVJVLVOUMZUNVHVIVJVLVOUOZVHVIVJVLVOUPBCEFGHJUQTWCVLWDVRSZVKVLVOURW
      CVTVOVIVLWGUSWCVHVTWEWAUTVQVOVAWFABGCDEFVRHIJWBKVBTVCVDRVEVFVG $.
  $}

  ${
    2lnne.l $e |- .<_ = ( le ` K ) $.
    2lnne.j $e |- .\/ = ( join ` K ) $.
    2lnne.a $e |- A = ( Atoms ` K ) $.
    $( Condition implying that two intersecting lines are different.
       (Contributed by NM, 13-Jun-2012.)  (New usage is discouraged.) $)
    2llnne2N $p |- ( ( K e. HL /\ ( P e. A /\ R e. A ) /\
       -. P .<_ ( R .\/ Q ) ) -> ( R .\/ P ) =/= ( R .\/ Q ) ) $=
      ( chlt wcel wa co wbr wn wne wceq simpl simprr hlatlej2 syl3anc syl5ibcom
      simprl breq2 necon3bd 3impia ) FKLZBALZDALZMZBDCENZGOZPDBENZULQUHUKMZUMUN
      ULUOBUNGOZUNULRUMUOUHUJUIUPUHUKSUHUIUJTUHUIUJUDADBEFGHIJUAUBUNULBGUEUCUFU
      G $.

    $( Condition implying that two intersecting lines are different.
       (Contributed by NM, 29-May-2012.)  (New usage is discouraged.) $)
    2llnneN $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A ) /\
  ( P =/= Q /\ -. R .<_ ( P .\/ Q ) ) ) -> ( R .\/ P ) =/= ( R .\/ Q ) ) $=
      ( chlt wcel w3a wne co wbr wn simp21 simp23 wi simp1 simp22 3jca syld3an2
      wa hlatexch2 con3d 3exp imp4a 3imp 2llnne2N syl121anc ) FKLZBALZCALZDALZM
      ZBCNZDBCEOGPZQZUEZMUMUNUPBDCEOZGPZQZDBEOVBNUMUQVAUAUMUNUOUPVARUMUNUOUPVAS
      UMUQVAVDUMUQURUTVDUMUQURUTVDTUMUQURMZVCUSUMUNUPUOMUQURVCUSTVEUNUPUOUMUNUO
      UPURRUMUNUOUPURSUMUNUOUPURUBUCABDCEFGHIJUFUDUGUHUIUJABCDEFGHIJUKUL $.
  $}

  ${
    cvr1.b $e |- B = ( Base ` K ) $.
    cvr1.l $e |- .<_ = ( le ` K ) $.
    cvr1.j $e |- .\/ = ( join ` K ) $.
    cvr1.c $e |- C = ( <o ` K ) $.
    cvr1.a $e |- A = ( Atoms ` K ) $.
    $( A Hilbert lattice has the covering property.  Proposition 1(ii) in
       [Kalmbach] p. 140 (and its converse).  ( ~ chcv1 analog.)  (Contributed
       by NM, 17-Nov-2011.) $)
    cvr1 $p |- ( ( K e. HL /\ X e. B /\ P e. A )
      -> ( -. P .<_ X <-> X C ( X .\/ P ) ) ) $=
      ( chlt wcel coml ccla clc w3a wbr wn co wb hlomcmcv cvlcvr1 syl3an1 ) FNO
      FPOFQOFROSHBODAODHGTUAHHDEUBCTUCFUDABCDEFGHIJKLMUEUF $.
  $}

  ${
    cvr2.b $e |- B = ( Base ` K ) $.
    cvr2.s $e |- .< = ( lt ` K ) $.
    cvr2.j $e |- .\/ = ( join ` K ) $.
    cvr2.c $e |- C = ( <o ` K ) $.
    cvr2.a $e |- A = ( Atoms ` K ) $.
    $( Less-than and covers equivalence in a Hilbert lattice.  ( ~ chcv2
       analog.)  (Contributed by NM, 7-Feb-2012.)
       (New usage is discouraged.) $)
    cvr2N $p |- ( ( K e. HL /\ X e. B /\ P e. A )
      -> ( X .< ( X .\/ P ) <-> X C ( X .\/ P ) ) ) $=
      ( chlt wcel w3a cple cfv wbr wn co clat wb hllat 3ad2ant1 atbase 3ad2ant3
      simp2 eqid latnle syl3anc cvr1 bitr3d ) GNOZHBOZDAOZPZDHGQRZSTZHHDFUAZESZ
      HUTCSUQGUBOZUODBOZUSVAUCUNUOVBUPGUDUEUNUOUPUHUPUNVCUOABDGIMUFUGBEFGURHDIU
      RUIZJKUJUKABCDFGURHIVDKLMULUM $.
  $}

  ${
    $d p A $.  $d p B $.  $d p K $.  $d p .<_ $.  $d p .< $.  $d p X $.
    $d p Y $.
    hlrelat3.b $e |- B = ( Base ` K ) $.
    hlrelat3.l $e |- .<_ = ( le ` K ) $.
    hlrelat3.s $e |- .< = ( lt ` K ) $.
    hlrelat3.j $e |- .\/ = ( join ` K ) $.
    hlrelat3.c $e |- C = ( <o ` K ) $.
    hlrelat3.a $e |- A = ( Atoms ` K ) $.
    $( The Hilbert lattice is relatively atomic.  Stronger version of
       ~ hlrelat .  (Contributed by NM, 2-May-2012.) $)
    hlrelat3 $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B ) /\ X .< Y )
         -> E. p e. A ( X C ( X .\/ p ) /\ ( X .\/ p ) .<_ Y ) ) $=
      ( chlt wcel wbr wa w3a cv wn wrex co hlrelat1 imp simp3l wb simp1l1 simp2
      simp1l2 cvr1 mpbid simp1l simp1r pltle sylc simp3r clat hllatd atbase syl
      syl3anc simp1l3 latjle12 syl13anc mpbi2and jca 3exp reximdvai mpd ) FQRZH
      BRZIBRZUAZHIDSZTZJUBZHGSUCZVSIGSZTZJAUDZHHVSEUEZCSZWDIGSZTZJAUDVPVQWCABDF
      GHIJKLMPUFUGVRWBWGJAVRVSARZWBWGVRWHWBUAZWEWFWIVTWEVRWHVTWAUHWIVMVNWHVTWEU
      IVMVNVOVQWHWBUJZVMVNVOVQWHWBULZVRWHWBUKZABCVSEFGHKLNOPUMVDUNWIHIGSZWAWFWI
      VPVQWMVPVQWHWBUOVPVQWHWBUPQBBDFGHILMUQURVRWHVTWAUSWIFUTRVNVSBRZVOWMWATWFU
      IWIFWJVAWKWIWHWNWLABVSFKPVBVCVMVNVOVQWHWBVEBEFGHVSIKLNVFVGVHVIVJVKVL $.
  $}

  ${
    $d p A $.  $d p B $.  $d p C $.  $d p K $.  $d p .<_ $.  $d p X $.
    $d p Y $.
    cvrval3.b $e |- B = ( Base ` K ) $.
    cvrval3.l $e |- .<_ = ( le ` K ) $.
    cvrval3.j $e |- .\/ = ( join ` K ) $.
    cvrval3.c $e |- C = ( <o ` K ) $.
    cvrval3.a $e |- A = ( Atoms ` K ) $.
    $( Binary relation expressing ` Y ` covers ` X ` .  (Contributed by NM,
       16-Jun-2012.) $)
    cvrval3 $p |- ( ( K e. HL /\ X e. B /\ Y e. B )
     -> ( X C Y <-> E. p e. A ( -. p .<_ X /\ ( X .\/ p ) = Y ) ) ) $=
      ( chlt wcel w3a wbr wa syl3anc cv wn co wceq wrex cplt cfv cvrlt hlrelat3
      eqid syldan simp3l simp1l1 simp1l2 simp2 cvr1 mpbird clat hllatd 3ad2ant2
      wb atbase latjcl syl31anc simp3r cpo hlpos syl simp1r cvrnbtwn2 syl131anc
      simp1l3 mpbi2and jca 3exp reximdvai mpd ex simp11 simp12 mpbid rexlimdv3a
      breqtrd impbid ) EOPZGBPZHBPZQZGHCRZIUAZGFRUBZGWJDUCZHUDZSZIAUEZWHWIWOWHW
      ISZGWLCRZWLHFRZSZIAUEZWOWHWIGHEUFUGZRWTOBCXAEGHJXAUJZMUHABCXADEFGHIJKXBLM
      NUIUKWPWSWNIAWPWJAPZWSWNWPXCWSQZWKWMXDWKWQWPXCWQWRULZXDWEWFXCWKWQVAZWEWFW
      GWIXCWSUMZWEWFWGWIXCWSUNZWPXCWSUOABCWJDEFGJKLMNUPZTUQXDGWLXARZWRWMXDWEWFW
      LBPZWQXJXGXHXDEURPWFWJBPZXKXDEXGUSXHXCWPXLWSABWJEJNVBUTBDEGWJJLVCTZXEOBCX
      AEGWLJXBMUHVDWPXCWQWRVEXDEVFPZWFWGXKWIXJWRSWMVAXDWEXNXGEVGVHXHWEWFWGWIXCW
      SVLXMWHWIXCWSVIBCXAEFGHWLJKXBMVJVKVMVNVOVPVQVRWHWNWIIAWHXCWNQZGWLHCXOWKWQ
      WHXCWKWMULXOWEWFXCXFWEWFWGXCWNVSWEWFWGXCWNVTWHXCWNUOXITWAWHXCWKWMVEWCWBWD
      $.
  $}

  ${
    $d p .< $.  $d p A $.  $d p B $.  $d p C $.  $d p K $.  $d p X $.
    $d p Y $.
    cvrval4.b $e |- B = ( Base ` K ) $.
    cvrval4.s $e |- .< = ( lt ` K ) $.
    cvrval4.j $e |- .\/ = ( join ` K ) $.
    cvrval4.c $e |- C = ( <o ` K ) $.
    cvrval4.a $e |- A = ( Atoms ` K ) $.
    $( Binary relation expressing ` Y ` covers ` X ` .  (Contributed by NM,
       16-Jun-2012.)  (New usage is discouraged.) $)
    cvrval4N $p |- ( ( K e. HL /\ X e. B /\ Y e. B )
     -> ( X C Y <-> ( X .< Y /\ E. p e. A ( X .\/ p ) = Y ) ) ) $=
      ( chlt wcel w3a wbr wrex wa cv co wceq cvrlt cple cfv eqid cvrval3 reximi
      wn simpr syl6bi imp jca ex simp1r simp3 breqtrrd wb simp1l1 simp1l2 simp2
      cvr1 syl3anc cvr2N bitr4d mpbird 3exp reximdvai expimpd sylibrd impbid )
      FOPZGBPZHBPZQZGHCRZGHDRZGIUAZEUBZHUCZIASZTZVPVQWCVPVQTVRWBOBCDFGHJKMUDVPV
      QWBVPVQVSGFUEUFZRUJZWATZIASZWBABCEFWDGHIJWDUGZLMNUHZWFWAIAWEWAUKUIULUMUNU
      OVPWCWGVQVPVRWBWGVPVRTZWAWFIAWJVSAPZWAWFWJWKWAQZWEWAWLWEGVTDRZWLGHVTDVPVR
      WKWAUPWJWKWAUQZURWLWEGVTCRZWMWLVMVNWKWEWOUSVMVNVOVRWKWAUTZVMVNVOVRWKWAVAZ
      WJWKWAVBZABCVSEFWDGJWHLMNVCVDWLVMVNWKWMWOUSWPWQWRABCVSDEFGJKLMNVEVDVFVGWN
      UNVHVIVJWIVKVL $.
  $}

  ${
    $d p A $.  $d p B $.  $d p C $.  $d p K $.  $d p .<_ $.  $d p ./\ $.
    $d p X $.  $d p Y $.
    cvrval5.b $e |- B = ( Base ` K ) $.
    cvrval5.l $e |- .<_ = ( le ` K ) $.
    cvrval5.j $e |- .\/ = ( join ` K ) $.
    cvrval5.m $e |- ./\ = ( meet ` K ) $.
    cvrval5.c $e |- C = ( <o ` K ) $.
    cvrval5.a $e |- A = ( Atoms ` K ) $.
    $( Binary relation expressing ` X ` covers ` X ./\ Y ` .  (Contributed by
       NM, 7-Dec-2012.) $)
    cvrval5 $p |- ( ( K e. HL /\ X e. B /\ Y e. B ) -> ( ( X ./\ Y ) C X
         <-> E. p e. A ( -. p .<_ Y /\ ( p .\/ ( X ./\ Y ) ) = X ) ) ) $=
      ( wcel co wbr wa chlt w3a cv wn wceq wrex simp1 clat hllat latmcl syl3an1
      wb simp2 cvrval3 syl3anc 3ad2ant1 ad2antrr ad2antlr latlej2 simpr breqtrd
      atbase biantrurd simpll2 simpll3 latlem12 syl13anc bitr2d notbid pm5.32rd
      ex adantr adantl latjcom eqeq1d anbi2d bitrd rexbidva ) EUAQZHBQZIBQZUBZH
      IGRZHCSZJUCZWCFSZUDZWCWEDRZHUEZTZJAUFZWEIFSZUDZWEWCDRZHUEZTZJAUFWBVSWCBQZ
      VTWDWKULVSVTWAUGVSEUHQZVTWAWQEUIZBEGHIKNUJUKZVSVTWAUMABCDEFWCHJKLMOPUNUOW
      BWJWPJAWBWEAQZTZWJWMWITWPXBWIWGWMXBWIWGWMULXBWITZWFWLXCWLWEHFSZWLTZWFXCXD
      WLXCWEWHHFXCWRWQWEBQZWEWHFSWBWRXAWIVSVTWRWAWSUPZUQZWBWQXAWIWTUQXAXFWBWIAB
      WEEKPVBZURZBDEFWCWEKLMUSUOXBWIUTVAVCXCWRXFVTWAXEWFULXHXJVSVTWAXAWIVDVSVTW
      AXAWIVEBEFGWEHIKLNVFVGVHVIVKVJXBWIWOWMXBWHWNHXBWRWQXFWHWNUEWBWRXAXGVLWBWQ
      XAWTVLXAXFWBXIVMBDEWCWEKMVNUOVOVPVQVRVQ $.
  $}

  ${
    cvrp.b $e |- B = ( Base ` K ) $.
    cvrp.j $e |- .\/ = ( join ` K ) $.
    cvrp.m $e |- ./\ = ( meet ` K ) $.
    cvrp.z $e |- .0. = ( 0. ` K ) $.
    cvrp.c $e |- C = ( <o ` K ) $.
    cvrp.a $e |- A = ( Atoms ` K ) $.
    $( A Hilbert lattice satisfies the covering property of Definition 7.4 of
       [MaedaMaeda] p. 31 and its converse.  ( ~ cvp analog.)  (Contributed by
       NM, 18-Nov-2011.) $)
    cvrp $p |- ( ( K e. HL /\ X e. B /\ P e. A )
      -> ( ( X ./\ P ) = .0. <-> X C ( X .\/ P ) ) ) $=
      ( chlt wcel coml ccla co clc w3a wceq wbr wb hlomcmcv cvlcvrp syl3an1 ) F
      PQFRQFSQFUAQUBHBQDAQHDGTIUCHHDETCUDUEFUFABCDEFGHIJKLMNOUGUH $.
  $}

  ${
    atcvr1.j $e |- .\/ = ( join ` K ) $.
    atcvr1.c $e |- C = ( <o ` K ) $.
    atcvr1.a $e |- A = ( Atoms ` K ) $.
    $( An atom is covered by its join with a different atom.  (Contributed by
       NM, 7-Feb-2012.) $)
    atcvr1 $p |- ( ( K e. HL /\ P e. A /\ Q e. A )
      -> ( P =/= Q <-> P C ( P .\/ Q ) ) ) $=
      ( chlt wcel coml ccla clc w3a wne co wbr wb hlomcmcv cvlatcvr1 syl3an1 )
      FJKFLKFMKFNKOCAKDAKCDPCCDEQBRSFTABCDEFGHIUAUB $.

    $( An atom is covered by its join with a different atom.  (Contributed by
       NM, 7-Feb-2012.) $)
    atcvr2 $p |- ( ( K e. HL /\ P e. A /\ Q e. A )
      -> ( P =/= Q <-> P C ( Q .\/ P ) ) ) $=
      ( chlt wcel coml ccla clc w3a wne co wbr wb hlomcmcv cvlatcvr2 syl3an1 )
      FJKFLKFMKFNKOCAKDAKCDPCDCEQBRSFTABCDEFGHIUAUB $.
  $}

  ${
    $d p B $.  $d p C $.  $d p .\/ $.  $d p K $.  $d p ./\ $.  $d p X $.
    $d p Y $.
    cvrexch.b $e |- B = ( Base ` K ) $.
    cvrexch.j $e |- .\/ = ( join ` K ) $.
    cvrexch.m $e |- ./\ = ( meet ` K ) $.
    cvrexch.c $e |- C = ( <o ` K ) $.
    $( Lemma for ~ cvrexch .  ( ~ cvexchlem analog.)  (Contributed by NM,
       18-Nov-2011.) $)
    cvrexchlem $p |- ( ( K e. HL /\ X e. B /\ Y e. B )
               -> ( ( X ./\ Y ) C Y -> X C ( X .\/ Y ) ) ) $=
      ( vp wcel w3a co wbr wa wi syl3anc wceq chlt cple cfv catm wrex cplt clat
      cv wn hllat latmcl syl3an1 eqid cvrlt ex syld3an2 hlrelat1 syld wb simpl1
      imp hllatd atbase adantl simpl2 simpl3 latlem12 syl13anc biimpd con3 syl6
      expcomd com23 a1d imp4d simpr sylibd latjass latabs1 adantr oveq1d eqtr3d
      cvr1 latnle latmle2 biantrurd latjle12 bitrd anbi12d cpo hlpos syl latjcl
      3jca cvrnbtwn2 3exp sylc sylbid imp32 oveq2d sylanl2 expr an32s rexlimdva
      breqtrd mpd ) DUAMZFAMZGAMZNZFGEOZGBPZFFGCOZBPZXJXLQZLUHZXKDUBUCZPZUIZXPG
      XQPZQZLDUDUCZUEZXNXJXLYCXJXLXKGDUFUCZPZYCXGXKAMZXHXIXLYERXGDUGMZXHXIYFDUJ
      ZADEFGHJUKZULZXGYFXINXLYEUAABYDDXKGHYDUMZKUNUOUPXGYFXHXIYEYCRYJYBAYDDXQXK
      GLHXQUMZYKYBUMZUQUPURVAXOYAXNLYBXJXPYBMZXLYAXNRXJYNQZXLYAXNYOXLYAQZQFFXPC
      OZXMBYOYPFYQBPZYOYPXPFXQPZUIZYRYOXLXSXTYTYOXSXTYTRRXLYOXTXSYTYOXTYSXRRXSY
      TRYOYSXTXRYOYSXTQZXRYOYGXPAMZXHXIUUAXRUSYODXGXHXIYNUTZVBYNUUBXJYBAXPDHYMV
      CZVDXGXHXIYNVEZXGXHXIYNVFADXQEXPFGHYLJVGVHVIVLYSXRVJVKVMVNVOYOXGXHYNYTYRU
      SUUCUUEXJYNVPYBABXPCDXQFHYLIKYMWCSVQVAYNXJUUBYPYQXMTUUDXJUUBQZYPQZFXKXPCO
      ZCOZYQXMUUFUUIYQTYPUUFFXKCOZXPCOZUUIYQUUFYGXHYFUUBUUKUUITUUFDXGXHXIUUBUTZ
      VBZXGXHXIUUBVEZUUFYGXHXIYFUUMUUNXGXHXIUUBVFZYISZXJUUBVPZACDFXKXPHIVRVHUUF
      UUJFXPCXJUUJFTZUUBXGYGXHXIUURYHACDEFGHIJVSULVTWAWBVTUUGUUHGFCUUFXLYAUUHGT
      ZUUFYAXLUUSUUFYAXKUUHYDPZUUHGXQPZQZXLUUSRUUFXSUUTXTUVAUUFYGYFUUBXSUUTUSUU
      MUUPUUQAYDCDXQXKXPHYLYKIWDSUUFXTXKGXQPZXTQZUVAUUFUVCXTUUFYGXHXIUVCUUMUUNU
      UOADXQEFGHYLJWESWFUUFYGYFUUBXIUVDUVAUSUUMUUPUUQUUOACDXQXKXPGHYLIWGVHWHWIU
      UFXLUVBUUSUUFDWJMZYFXIUUHAMZNZXLUVBUUSRZRUUFXGUVEUULDWKWLUUFYFXIUVFUUPUUO
      UUFYGYFUUBUVFUUMUUPUUQACDXKXPHIWMSWNUVEUVGXLUVHUVEUVGXLNUVBUUSABYDDXQXKGU
      UHHYLYKKWOVIWPWQVMWRVMWSWTWBXAXEXBXCXDXFUO $.

    $( A Hilbert lattice satisfies the exchange axiom.  Proposition 1(iii) of
       [Kalmbach] p. 140 and its converse.  Originally proved by Garrett
       Birkhoff in 1933.  ( ~ cvexchi analog.)  (Contributed by NM,
       18-Nov-2011.) $)
    cvrexch $p |- ( ( K e. HL /\ X e. B /\ Y e. B )
               -> ( ( X ./\ Y ) C Y <-> X C ( X .\/ Y ) ) ) $=
      ( wcel co wbr cvrexchlem cfv 3ad2ant1 syl3anc wceq syl3an1 chlt w3a simp1
      coc wi cops hlop simp3 eqid opoccl syl2anc simp2 hlol oldmj1 clat latmcom
      col hllat eqtrd breq1d oldmm1 latjcom breq2d 3imtr4d latjcl latmcl impbid
      wb cvrcon3b ) DUALZFALZGALZUBZFGEMZGBNZFFGCMZBNZABCDEFGHIJKOVMVPDUDPZPZFV
      RPZBNZGVRPZVNVRPZBNZVQVOVMWBVTEMZVTBNZWBWBVTCMZBNZWAWDVMVJWBALZVTALZWFWHU
      EVJVKVLUCVMDUFLZVLWIVJVKWKVLDUGQZVJVKVLUHZADVRGHVRUIZUJUKZVMWKVKWJWLVJVKV
      LULZADVRFHWNUJUKZABCDEWBVTHIJKORVMVSWEVTBVMVSVTWBEMZWEVJDUQLZVKVLVSWRSDUM
      ZACDEVRFGHIJWNUNTVMDUOLZWJWIWRWESVJVKXAVLDURZQZWQWOADEVTWBHJUPRUSUTVMWCWG
      WBBVMWCVTWBCMZWGVJWSVKVLWCXDSWTACDEVRFGHIJWNVATVMXAWJWIXDWGSXCWQWOACDVTWB
      HIVBRUSVCVDVMWKVKVPALZVQWAVHWLWPVJXAVKVLXEXBACDFGHIVETABDVRFVPHWNKVIRVMWK
      VNALZVLVOWDVHWLVJXAVKVLXFXBADEFGHJVFTWMABDVRVNGHWNKVIRVDVG $.
  $}

  ${
    $d r A $.  $d r B $.  $d r .\/ $.  $d r K $.  $d r P $.  $d r Q $.
    $d r .< $.  $d r X $.
    cvrat.b $e |- B = ( Base ` K ) $.
    cvrat.s $e |- .< = ( lt ` K ) $.
    cvrat.j $e |- .\/ = ( join ` K ) $.
    cvrat.z $e |- .0. = ( 0. ` K ) $.
    cvrat.a $e |- A = ( Atoms ` K ) $.
    $( Lemma for ~ cvrat .  ( ~ atcvatlem analog.)  (Contributed by NM,
       22-Nov-2011.) $)
    cvratlem $p |- ( ( ( K e. HL /\ ( X e. B /\ P e. A /\ Q e. A ) )
       /\ ( X =/= .0. /\ X .< ( P .\/ Q ) ) ) -> ( -. P ( le ` K ) X
        -> X e. A ) ) $=
      ( wcel wa wbr wi adantr syl3anc vr chlt w3a wne co cple cfv wn wrex hlatl
      cv cal simpr1 eqid atlex 3expia syl2anc ccvr wceq wb 3ad2ant1 simp3 atcmp
      simp22 breq1 biimprd syl6bi com23 con3 syl6 impd simp1 atbase cvr1 sylibd
      3ad2ant3 imp clat hllat syl latjcom breqtrrd adantrrl biimpd imp32 simprl
      hlatlej1 simp21 simp23 latjcl 3jca pltle sylan adantrl cpo hlpos syl13anc
      postr mp2and adantrrr hlexch1 latjle12 mpbi2and latasymb biimpcd ad2antll
      breq2 cvrnbtwn3 exp4a imp4b adantrr simpl3 eqeltrrd exp45 3expa rexlimdva
      mpd syld ) GUBOZHBOZCAOZDAOZUCZPZHIUDZHCDFUEZEQZCHGUFUGZQZUHZHAOZRZYDYEUA
      UKZHYHQZUAAUIZYGYLRZYDGULOZXTYEYORXSYQYCGUJZSXSXTYAYBUMYQXTYEYOUAABGYHHIJ
      YHUNZMNUOUPUQYDYNYPUAAXSYCYMAOZYNYPRXSYCYTUCZYNYGYJYKUUAYNYGYJPZPZPZYMHAU
      UDYMCYMFUEZGURUGZQZHUUEEQZYMHUSZUUAYNYJUUGYGUUAYNYJPZPYMYMCFUEZUUEUUFUUAU
      UJYMUUKUUFQZUUAUUJCYMYHQZUHZUULUUAYNYJUUNUUAYNUUMYIRYJUUNRUUAUUMYNYIUUAUU
      MCYMUSZYNYIRZUUAYQYAYTUUMUUOUTXSYCYQYTYRVAZXSXTYAYBYTVDZXSYCYTVBZACYMGYHY
      SNVCTUUOYIYNCYMHYHVEVFVGVHUUMYIVIVJVKUUAXSYMBOZYAUUNUULUTXSYCYTVLZYTXSUUT
      YCABYMGJNVMVPZUURABUUFCFGYHYMJYSLUUFUNZNVNTVOVQUUAUUEUUKUSZUUJUUAGVROZCBO
      ZUUTUVDXSYCUVEYTGVSVAZUUAYAUVFUURABCGJNVMVTZUVBBFGCYMJLWATSWBWCUUDYFUUEUS
      ZUUHUUDYFUUEYHQZUUEYFYHQZUVIUUDCUUEYHQZDUUEYHQZUVJUUAUVLUUCUUAXSYAYTUVLUV
      AUURUUSACYMFGYHYSLNWGTSUUDYMCYHQZUHZYMYFYHQZUVMUUAYNYJUVOYGUUAYNYJUVOUUAY
      NUVNYIRYJUVORUUAUVNYNYIUUAUVNYMCUSZUUPUUAYQYTYAUVNUVQUTUUQUUSUURAYMCGYHYS
      NVCTUVQYNYIYMCHYHVEWDVGVHUVNYIVIVJWEWCUUAYNYGUVPYJUUAYNYGPZPYNHYFYHQZUVPU
      UAYNYGWFUUAYGUVSYNUUAXSXTYFBOZUCZYGUVSUUAXSXTUVTUVAXSXTYAYBYTWHZUUAUVEUVF
      DBOZUVTUVGUVHUUAYBUWCXSXTYAYBYTWIZABDGJNVMVTZBFGCDJLWJTZWKUWAYGUVSUBBBEGY
      HHYFYSKWLVQWMWNUUAYNUVSPUVPRZUVRUUAGWOOZUUTXTUVTUWGXSYCUWHYTGWPVAZUVBUWBU
      WFBGYHYMHYFJYSWRWQSWSWTZUUAUVOUVPPUVMRZUUCUUAXSYTYBUVFUWKUVAUUSUWDUVHXSYT
      YBUVFUCZPUVOUVPUVMXSUWLUVOUVPUVMRABYMDFGYHCJYSLNXAUPVKWQSWSUUAUVLUVMPUVJU
      TZUUCUUAUVEUVFUWCUUEBOZUWMUVGUVHUWEUUAUVEUVFUUTUWNUVGUVHUVBBFGCYMJLWJTZBF
      GYHCDUUEJYSLXBWQSXCUUDCYFYHQZUVPUVKUUAUWPUUCUUAXSYAYBUWPUVAUURUWDACDFGYHY
      SLNWGTSUWJUUAUWPUVPPUVKUTZUUCUUAUVEUVFUUTUVTUWQUVGUVHUVBUWFBFGYHCYMYFJYSL
      XBWQSXCUUDUVEUVTUWNUCZUVJUVKPUVIUTUUAUWRUUCUUAUVEUVTUWNUVGUWFUWOWKSBGYHYF
      UUEJYSXDVTXCUUBUVIUUHRZUUAYNYGUWSYJUVIYGUUHYFUUEHEXGXESXFXQUUAYNUUGUUHPUU
      IRUUBUUAYNUUGUUHUUIUUAUUGYNUUHUUIRUUAUUGYNUUHUUIUUAUWHUUTUWNXTUUGYNUUHPZU
      UIRZRUWIUVBUWOUWBUWHUUTUWNXTUCZUUGUXAUWHUXBUUGUCUWTUUIBUUFEGYHYMUUEHJYSKU
      VCXHWDUPWQXIVHXJXKWSXSYCYTUUCXLXMXNXOXPXRWE $.

    $( A nonzero Hilbert lattice element less than the join of two atoms is an
       atom.  ( ~ atcvati analog.)  (Contributed by NM, 22-Nov-2011.) $)
    cvrat $p |- ( ( K e. HL /\ ( X e. B /\ P e. A /\ Q e. A ) )
       -> ( ( X =/= .0. /\ X .< ( P .\/ Q ) ) -> X e. A ) ) $=
      ( wcel w3a wa wbr wn wi chlt wne cple cfv cvratlem clat wceq hllat adantr
      co simpr2 atbase syl simpr3 latjcom syl3anc breq2d anbi2d simpl simpr1 ex
      syl13anc sylbid imp wo cpo hlpos latjcl eqid pltnle latjle12 biimpd nsyld
      wb ianor syl6ib adantrl mpjaod ) GUAOZHBOZCAOZDAOZPZQZHIUBZHCDFUJZERZQZHA
      OZWDWHQCHGUCUDZRZSZWIDHWJRZSZABCDEFGHIJKLMNUEWDWHWNWITZWDWHWEHDCFUJZERZQZ
      WOWDWGWQWEWDWFWPHEWDGUFOZCBOZDBOZWFWPUGVSWSWCGUHUIZWDWAWTVSVTWAWBUKZABCGJ
      NULUMZWDWBXAVSVTWAWBUNZABDGJNULUMZBFGCDJLUOUPUQURWDVSVTWBWAWRWOTVSWCUSVSV
      TWAWBUTZXEXCVSVTWBWAPQWRWOABDCEFGHIJKLMNUEVAVBVCVDWDWGWLWNVEZWEWDWGXHWDWG
      WKWMQZSXHWDWGWFHWJRZXIWDGVFOZVTWFBOZWGXJSZTVSXKWCGVGUIXGWDWSWTXAXLXBXDXFB
      FGCDJLVHUPXKVTXLPWGXMBEGWJHWFJWJVIZKVJVAUPWDXIXJWDWSWTXAVTXIXJVNXBXDXFXGB
      FGWJCDHJXNLVKVBVLVMWKWMVOVPVDVQVRVA $.
  $}

  ${
    ltltncvr.b $e |- B = ( Base ` K ) $.
    ltltncvr.s $e |- .< = ( lt ` K ) $.
    ltltncvr.c $e |- C = ( <o ` K ) $.
    $( A chained strong ordering is not a covers relation.  (Contributed by NM,
       18-Jun-2012.) $)
    ltltncvr $p |- ( ( K e. A /\ ( X e. B /\ Y e. B /\ Z e. B ) )
                 -> ( ( X .< Y /\ Y .< Z ) -> -. X C Z ) ) $=
      ( wcel w3a wa wbr wn simpll simplr1 simplr3 simplr2 cvrnbtwn syl131anc ex
      simpr con2d ) EALZFBLZGBLZHBLZMZNZFHCOZFGDOGHDONZUKULUMPZUKULNUFUGUIUHULU
      NUFUJULQUGUHUIUFULRUGUHUIUFULSUGUHUIUFULTUKULUDABCDEFHGIJKUAUBUCUE $.

    $( Non-transitive condition for the covers relation.  (Contributed by NM,
       18-Jun-2012.) $)
    ltcvrntr $p |- ( ( K e. A /\ ( X e. B /\ Y e. B /\ Z e. B ) )
                 -> ( ( X .< Y /\ Y C Z ) -> -. X C Z ) ) $=
      ( wcel w3a wa wbr wn wi cvrlt ex 3adant3r1 ltltncvr sylan2d ) EALZFBLZGBL
      ZHBLZMNGHCOZGHDOZFGDOFHCOPUCUEUFUGUHQUDUCUEUFMUGUHABCDEGHIJKRSTABCDEFGHIJ
      KUAUB $.
  $}

  ${
    cvrntr.b $e |- B = ( Base ` K ) $.
    cvrntr.c $e |- C = ( <o ` K ) $.
    $( The covers relation is not transitive.  ( ~ cvntr analog.)  (Contributed
       by NM, 18-Jun-2012.) $)
    cvrntr $p |- ( ( K e. A /\ ( X e. B /\ Y e. B /\ Z e. B ) )
                 -> ( ( X C Y /\ Y C Z ) -> -. X C Z ) ) $=
      ( wcel w3a wa wbr cplt cfv wn wi eqid cvrlt ex 3adant3r3 ltcvrntr syland
      ) DAJZEBJZFBJZGBJZKLEFCMZEFDNOZMZFGCMEGCMPUDUEUFUHUJQUGUDUEUFKUHUJABCUIDE
      FHUIRZISTUAABCUIDEFGHUKIUBUC $.
  $}

  ${
    atcvr0eq.j $e |- .\/ = ( join ` K ) $.
    atcvr0eq.z $e |- .0. = ( 0. ` K ) $.
    atcvr0eq.c $e |- C = ( <o ` K ) $.
    atcvr0eq.a $e |- A = ( Atoms ` K ) $.
    $( The covers relation is not transitive.  ( ~ atcv0eq analog.)
       (Contributed by NM, 29-Nov-2011.) $)
    atcvr0eq $p |- ( ( K e. HL /\ P e. A /\ Q e. A )
        -> ( .0. C ( P .\/ Q ) <-> P = Q ) ) $=
      ( chlt wcel w3a co wbr wceq wne wa 3adant3 wn atcvr1 atcvr0 biantrurd cbs
      bitrd cfv simp1 cops hlop 3ad2ant1 eqid op0cl syl atbase 3ad2ant2 hlatjcl
      cvrntr syl13anc sylbid necon4ad hlatjidm breqtrrd breq2d syl5ibcom impbid
      wi oveq2 ) FLMZCAMZDAMZNZGCDEOZBPZCDQZVLVNCDVLCDRZGCBPZCVMBPZSZVNUAZVLVPV
      RVSABCDEFHJKUBVLVQVRVIVJVQVKABLCFGIJKUCTZUDUFVLVIGFUEUGZMZCWBMZVMWBMVSVTV
      GVIVJVKUHVLFUIMZWCVIVJWEVKFUJUKWBFGWBULZIUMUNVJVIWDVKAWBCFWFKUOUPAWBEFCDW
      FHKUQLWBBFGCVMWFJURUSUTVAVLGCCEOZBPVOVNVLGCWGBWAVIVJWGCQVKAEFCHKVBTVCVOWG
      VMGBCDCEVHVDVEVF $.
  $}

  ${
    lnnat.j $e |- .\/ = ( join ` K ) $.
    lnnat.a $e |- A = ( Atoms ` K ) $.
    $( A line (the join of two distinct atoms) is not an atom.  (Contributed by
       NM, 14-Jun-2012.) $)
    lnnat $p |- ( ( K e. HL /\ P e. A /\ Q e. A ) ->
        ( P =/= Q <-> -. ( P .\/ Q ) e. A ) ) $=
      ( chlt wcel w3a co wn wa cfv wbr eqid atcvr0 atbase syl wceq wne cp0 ccvr
      simpl1 simpl2 syl2anc atcvr1 biimpa wi cops hlop op0cl 3syl hllatd simpl3
      cbs latjcl syl3anc cvrntr syl13anc mp2and simpll1 sylancom mtand hlatjidm
      clat ex 3adant3 simp2 eqeltrd oveq2 eleq1d syl5ibcom necon3bd impbid ) EH
      IZBAIZCAIZJZBCUAZBCDKZAIZLZVSVTWCVSVTMZWBEUBNZWAEUCNZOZWDWEBWFOZBWAWFOZWG
      LZWDVPVQWHVPVQVRVTUDZVPVQVRVTUEZAWFHBEWEWEPZWFPZGQUFVSVTWIAWFBCDEFWNGUGUH
      WDVPWEEUPNZIZBWOIZWAWOIZWHWIMWJUIWKWDVPEUJIWPWKEUKWOEWEWOPZWMULUMWDVQWQWL
      AWOBEWSGRSZWDEVFIWQCWOIZWRWDEWKUNWTWDVRXAVPVQVRVTUOAWOCEWSGRSWODEBCWSFUQU
      RHWOWFEWEBWAWSWNUSUTVAWDWBVPWGVPVQVRVTWBVBAWFHWAEWEWMWNGQVCVDVGVSWBBCVSBB
      DKZAIBCTZWBVSXBBAVPVQXBBTVRADEBFGVEVHVPVQVRVIVJXCXBWAABCBDVKVLVMVNVO $.
  $}

  ${
    atcvrj0.b $e |- B = ( Base ` K ) $.
    atcvrj0.j $e |- .\/ = ( join ` K ) $.
    atcvrj0.z $e |- .0. = ( 0. ` K ) $.
    atcvrj0.c $e |- C = ( <o ` K ) $.
    atcvrj0.a $e |- A = ( Atoms ` K ) $.
    $( Two atoms covering the zero subspace are equal.  ( ~ atcv1 analog.)
       (Contributed by NM, 29-Nov-2011.) $)
    atcvrj0 $p |- ( ( K e. HL /\ ( X e. B /\ P e. A /\ Q e. A )
       /\ X C ( P .\/ Q ) ) -> ( X = .0. <-> P = Q ) ) $=
      ( wcel w3a wbr wceq wi wa chlt co breq1 biimpd adantl wb 3adant3r1 adantr
      atcvr0eq sylibd ex com23 3impia breq2d biimpac simpr3 hlatjidm syldan cal
      oveq1 hlatl simpr1 cple cfv eqid atcvreq0 syl3anc sylbid syl5 expd impbid
      ) GUAOZHBOZDAOZEAOZPZHDEFUBZCQZPHIRZDERZVLVPVRVSVTSVLVPTZVSVRVTWAVSVRVTSW
      AVSTVRIVQCQZVTVSVRWBSWAVSVRWBHIVQCUCUDUEWAWBVTUFZVSVLVNVOWCVMACDEFGIKLMNU
      IUGUHUJUKULUMVLVPVRVTVSSWAVRVTVSVRVTTHEEFUBZCQZWAVSVTVRWEVTVQWDHCDEEFUTUN
      UOWAWEHECQZVSWAWDEHCVLVPVOWDERVLVMVNVOUPZAFGEKNUQURUNWAWFVSWAGUSOZVMVOWFV
      SUFVLWHVPGVAUHVLVMVNVOVBWGABCEGGVCVDZHIJWIVELMNVFVGUDVHVIVJUMVK $.
  $}

  ${
    cvrat2.b $e |- B = ( Base ` K ) $.
    cvrat2.j $e |- .\/ = ( join ` K ) $.
    cvrat2.c $e |- C = ( <o ` K ) $.
    cvrat2.a $e |- A = ( Atoms ` K ) $.
    $( A Hilbert lattice element covered by the join of two distinct atoms is
       an atom.  ( ~ atcvat2i analog.)  (Contributed by NM, 30-Nov-2011.) $)
    cvrat2 $p |- ( ( K e. HL /\ ( X e. B /\ P e. A /\ Q e. A ) /\
         ( P =/= Q /\ X C ( P .\/ Q ) ) ) -> X e. A ) $=
      ( chlt wcel w3a wne wbr wa wi cfv co wceq wb eqid atcvrj0 3expa necon3bid
      cp0 cplt simpl simpr1 clat adantr simpr2 atbase syl simpr3 latjcl syl3anc
      hllat cvrlt ex cvrat expcomd syld imp sylbird com23 impd 3impia ) GMNZHBN
      ZDANZEANZOZDEPZHDEFUAZCQZRHANZVKVORZVPVRVSVTVRVPVSVTVRVPVSSVTVRRZVPHGUHTZ
      PZVSWAHWBDEVKVOVRHWBUBDEUBUCABCDEFGHWBIJWBUDZKLUEUFUGVTVRWCVSSZVTVRHVQGUI
      TZQZWEVTVKVLVQBNZVRWGSVKVOUJVKVLVMVNUKVTGULNZDBNZEBNZWHVKWIVOGUTUMVTVMWJV
      KVLVMVNUNABDGILUOUPVTVNWKVKVLVMVNUQABEGILUOUPBFGDEIJURUSVKVLWHOVRWGMBCWFG
      HVQIWFUDZKVAVBUSVTWCWGVSABDEWFFGHWBIWLJWDLVCVDVEVFVGVBVHVIVJ $.
  $}

  ${
    atcvrne.j $e |- .\/ = ( join ` K ) $.
    atcvrne.c $e |- C = ( <o ` K ) $.
    atcvrne.a $e |- A = ( Atoms ` K ) $.
    $( Inequality derived from atom condition.  (Contributed by NM,
       7-Feb-2012.)  (New usage is discouraged.) $)
    atcvrneN $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
           /\ P C ( Q .\/ R ) ) -> Q =/= R ) $=
      ( chlt wcel w3a co wbr cp0 cfv wne eqid wceq 3ad2ant1 simp21 atn0 syl2anc
      cal hlatl cbs wb simp1 atbase syl simp22 simp23 simp3 syl131anc necon3bid
      atcvrj0 mpbid ) GKLZCALZDALZEALZMZCDEFNBOZMZCGPQZRZDERVEGUELZUTVGUSVCVHVD
      GUFUAUSUTVAVBVDUBZACGVFVFSZJUCUDVECVFDEVEUSCGUGQZLZVAVBVDCVFTDETUHUSVCVDU
      IVEUTVLVIAVKCGVKSZJUJUKUSUTVAVBVDULUSUTVAVBVDUMUSVCVDUNAVKBDEFGCVFVMHVJIJ
      UQUOUPUR $.
  $}

  ${
    atcvrj1x.l $e |- .<_ = ( le ` K ) $.
    atcvrj1x.j $e |- .\/ = ( join ` K ) $.
    atcvrj1x.c $e |- C = ( <o ` K ) $.
    atcvrj1x.a $e |- A = ( Atoms ` K ) $.
    $( Condition for an atom to be covered by the join of two others.
       (Contributed by NM, 7-Feb-2012.) $)
    atcvrj1 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
        /\ ( P =/= R /\ P .<_ ( Q .\/ R ) ) ) -> P C ( Q .\/ R ) ) $=
      ( wcel w3a co wbr cfv wb eqid mpbid chlt wne wa cmee cp0 simp3l cal hlatl
      wceq 3ad2ant1 simp21 simp23 atnem0 syl3anc cbs atbase syl cvrp hlatexchb2
      simp1 simp3r 3adant3r breqtrd ) GUAMZCAMZDAMZEAMZNZCEUBZCDEFOZHPZUCZNZCCE
      FOZVJBVMCEGUDQZOGUEQZUIZCVNBPZVMVIVQVDVHVIVKUFVMGUGMZVEVGVIVQRVDVHVSVLGUH
      UJVDVEVFVGVLUKZVDVEVFVGVLULZACEGVOVPVOSZVPSZLUMUNTVMVDCGUOQZMZVGVQVRRVDVH
      VLUTVMVEWEVTAWDCGWDSZLUPUQWAAWDBEFGVOCVPWFJWBWCKLURUNTVMVKVNVJUIZVDVHVIVK
      VAVDVHVIVKWGRVKACDEFGHIJLUSVBTVC $.

    $( Condition for an atom to be covered by the join of two others.
       (Contributed by NM, 7-Feb-2012.) $)
    atcvrj2b $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A ) )
        -> ( ( Q =/= R /\ P .<_ ( Q .\/ R ) ) <-> P C ( Q .\/ R ) ) ) $=
      ( wcel w3a wa wne wbr wceq wb atbase chlt co simpl3l necomd simpl1 atcvr2
      simpl23 simpl22 syl3anc mpbid breq1 adantl mpbird simpr simpl3r syl112anc
      simpl2 atcvrj1 pm2.61dane 3expia cp0 cfv hlatl ad2antrr simplr1 eqid atn0
      cal syl2anc cbs simpll syl simplr2 simplr3 syl131anc necon3bid clat hllat
      atcvrj0 latjcl 3jca cvrle sylancom jca ex impbid ) GUAMZCAMZDAMZEAMZNZOZD
      EPZCDEFUBZHQZOZCWNBQZWGWKWPWQWGWKWPNZWQCEWRCERZOZWQEWNBQZWTEDPZXAWTDEWMWO
      WGWKWSUCUDWTWGWJWIXBXASWGWKWPWSUEWHWIWJWGWPWSUGWHWIWJWGWPWSUHABEDFGJKLUFU
      IUJWSWQXASWRCEWNBUKULUMWRCEPZOWGWKXCWOWQWGWKWPXCUEWGWKWPXCUQWRXCUNWMWOWGW
      KXCUOABCDEFGHIJKLURUPUSUTWLWQWPWLWQOZWMWOXDCGVAVBZPZWMXDGVHMZWHXFWGXGWKWQ
      GVCVDWHWIWJWGWQVEZACGXEXEVFZLVGVIXDCXEDEXDWGCGVJVBZMZWIWJWQCXERDERSWGWKWQ
      VKZXDWHXKXHAXJCGXJVFZLTVLZWHWIWJWGWQVMZWHWIWJWGWQVNZWLWQUNAXJBDEFGCXEXMJX
      IKLVSVOVPUJWLWQWGXKWNXJMZNWOXDWGXKXQXLXNXDGVQMZDXJMZEXJMZXQWGXRWKWQGVRVDX
      DWIXSXOAXJDGXMLTVLXDWJXTXPAXJEGXMLTVLXJFGDEXMJVTUIWAUAXJBGHCWNXMIKWBWCWDW
      EWF $.

    $( Condition for an atom to be covered by the join of two others.
       (Contributed by NM, 7-Feb-2012.) $)
    atcvrj2 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
        /\ ( Q =/= R /\ P .<_ ( Q .\/ R ) ) ) -> P C ( Q .\/ R ) ) $=
      ( chlt wcel w3a wne co wbr wa atcvrj2b biimp3a ) GMNCANDANEANODEPCDEFQZHR
      SCUBBRABCDEFGHIJKLTUA $.
  $}

  ${
    atlene.l $e |- .<_ = ( le ` K ) $.
    atlene.j $e |- .\/ = ( join ` K ) $.
    atlene.a $e |- A = ( Atoms ` K ) $.
    $( Inequality derived from atom condition.  (Contributed by NM,
       7-Feb-2012.)  (New usage is discouraged.) $)
    atleneN $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
        /\ ( P =/= R /\ P .<_ ( Q .\/ R ) ) ) -> Q =/= R ) $=
      ( chlt wcel w3a wne co wbr wa ccvr cfv eqid atcvrj1 atcvrneN syld3an3 ) F
      KLBALCALDALMBDNBCDEOZGPQBUDFRSZPCDNAUEBCDEFGHIUETZJUAAUEBCDEFIUFJUBUC $.
  $}

  ${
    atltcvr.s $e |- .< = ( lt ` K ) $.
    atltcvr.j $e |- .\/ = ( join ` K ) $.
    atltcvr.a $e |- A = ( Atoms ` K ) $.
    atltcvr.c $e |- C = ( <o ` K ) $.
    $( An equivalence of less-than ordering and covers relation.  (Contributed
       by NM, 7-Feb-2012.) $)
    atltcvr $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A ) )
           -> ( P .< ( Q .\/ R ) <-> P C ( Q .\/ R ) ) ) $=
      ( chlt wcel wa wbr wi adantr syl3anc syl w3a oveq1 simpr3 hlatjidm syldan
      co wceq sylan9eqr breq2d cal wn hlatl simpr1 atnlt pm2.21d sylbid wne cfv
      cple simpl clat hllat simpr2 eqid atbase latjcl pltle simpll simplr simpr
      cbs 3jca anassrs atcvrj2 ex syld pm2.61dane cvrlt impbid ) HMNZCANZDANZEA
      NZUAZOZCDEGUFZFPZCWFBPZWEWGWHQDEWEDEUGZOZWGCEFPZWHWJWFECFWIWEWFEEGUFZEDEE
      GUBVTWDWCWLEUGVTWAWBWCUCZAGHEJKUDUEUHUIWEWKWHQWIWEWKWHWEHUJNZWAWCWKUKVTWN
      WDHULRVTWAWBWCUMZWMACEFHIKUNSUORUPWEDEUQZOZWGCWFHUSURZPZWHWEWGWSQZWPWEVTW
      AWFHVKURZNZWTVTWDUTZWOWEHVANZDXANZEXANZXBVTXDWDHVBRWEWBXEVTWAWBWCVCAXADHX
      AVDZKVETWEWCXFWMAXAEHXGKVETXAGHDEXGJVFSZMAXAFHWRCWFWRVDZIVGSRWQWSWHWQWSOV
      TWDWPWSOZUAZWHWEWPWSXKWEXJOVTWDXJVTWDXJVHVTWDXJVIWEXJVJVLVMABCDEGHWRXIJLK
      VNTVOVPVQWEVTCXANZXBWHWGQXCWEWAXLWOAXACHXGKVETXHVTXLXBUAWHWGMXABFHCWFXGIL
      VRVOSVS $.
  $}

  ${
    $d p A $.  $d p B $.  $d p K $.  $d p .<_ $.  $d p X $.  $d p .0. $.
    atle.b $e |- B = ( Base ` K ) $.
    atle.l $e |- .<_ = ( le ` K ) $.
    atle.z $e |- .0. = ( 0. ` K ) $.
    atle.a $e |- A = ( Atoms ` K ) $.
    $( Any nonzero element has an atom under it.  (Contributed by NM,
       28-Jun-2012.) $)
    atle $p |- ( ( K e. HL /\ X e. B /\ X =/= .0. ) -> E. p e. A p .<_ X ) $=
      ( chlt wcel cfv wbr wa wrex syl eqid syl2anc wne w3a cv cjn co cplt simp1
      cops hlop 3ad2ant1 op0cl simp2 wb opltn0 mpbird hlrelat syl31anc col wceq
      simp3 simpl1 hlol atbase adantl olj02 breq1d biimpd adantld reximdva mpd
      ) CLMZEBMZEFUAZUBZFFGUCZCUDNZUEZCUFNZOZVQEDOZPZGAQZVOEDOZGAQVNVKFBMZVLFEV
      ROZWBVKVLVMUGVNCUHMZWDVKVLWFVMCUIUJZBCFHJUKRVKVLVMULZVNWEVMVKVLVMUTVNWFVL
      WEVMUMWGWHBVRCEFHVRSZJUNTUOABVRVPCDFEGHIWIVPSZKUPUQVNWAWCGAVNVOAMZPZVTWCV
      SWLVTWCWLVQVOEDWLCURMZVOBMZVQVOUSWLVKWMVKVLVMWKVACVBRWKWNVNABVOCHKVCVDBVP
      CVOFHWJJVETVFVGVHVIVJ $.
  $}

  ${
    atlt.s $e |- .< = ( lt ` K ) $.
    atlt.j $e |- .\/ = ( join ` K ) $.
    atlt.a $e |- A = ( Atoms ` K ) $.
    $( Two atoms are unequal iff their join is greater than one of them.
       (Contributed by NM, 6-May-2012.) $)
    atlt $p |- ( ( K e. HL /\ P e. A /\ Q e. A )
        -> ( P .< ( P .\/ Q ) <-> P =/= Q ) ) $=
      ( chlt wcel w3a co wbr ccvr cfv wne wb simp1 simp2 simp3 atltcvr syl13anc
      eqid atcvr1 bitr4d ) FJKZBAKZCAKZLZBBCEMZDNZBUKFOPZNZBCQUJUGUHUHUIULUNRUG
      UHUISUGUHUITZUOUGUHUIUAAUMBBCDEFGHIUMUDZUBUCAUMBCEFHUPIUEUF $.
  $}

  ${
    atlelt.b $e |- B = ( Base ` K ) $.
    atlelt.l $e |- .<_ = ( le ` K ) $.
    atlelt.s $e |- .< = ( lt ` K ) $.
    atlelt.a $e |- A = ( Atoms ` K ) $.
    $( Transfer less-than relation from one atom to another.  (Contributed by
       NM, 7-May-2012.) $)
    atlelt $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ X e. B )
        /\ ( P .<_ X /\ Q .< X ) ) -> P .< X ) $=
      ( chlt wcel w3a wbr wa wb syl3anc 3ad2ant1 wceq simp3r syl5ibrcom wne cjn
      breq1 co simp1 simp21 simp22 eqid atlt simp3l simp23 3jca pltle sylc clat
      cfv hllat atbase syl latjle12 syl13anc mpbi2and cpo latjcl pltletr mpan2d
      wi hlpos sylbird pm2.61dne ) FMNZCANZDANZHBNZOZCHGPZDHEPZQZOZCHEPZCDWBWCC
      DUAVTVNVRVSVTUBZCDHEUFUCWBCDUDZCCDFUEUSZUGZEPZWCWBVNVOVPWHWERVNVRWAUHZVNV
      OVPVQWAUIZVNVOVPVQWAUJZACDEWFFKWFUKZLULSWBWHWGHGPZWCWBVSDHGPZWMVNVRVSVTUM
      WBVNVPVQOVTWNWBVNVPVQWIWKVNVOVPVQWAUNZUOWDMABEFGDHJKUPUQWBFURNZCBNZDBNZVQ
      VSWNQWMRVNVRWPWAFUTTZWBVOWQWJABCFILVAVBZWBVPWRWKABDFILVAVBZWOBWFFGCDHIJWL
      VCVDVEWBFVFNZWQWGBNZVQWHWMQWCVJVNVRXBWAFVKTWTWBWPWQWRXCWSWTXABWFFCDIWLVGS
      WOBEFGCWGHIJKVHVDVIVLVM $.
  $}

  ${
    $d q A $.  $d q B $.  $d q K $.  $d q P $.  $d q .< $.  $d q X $.
    2atomslt.b $e |- B = ( Base ` K ) $.
    2atomslt.s $e |- .< = ( lt ` K ) $.
    2atomslt.a $e |- A = ( Atoms ` K ) $.
    $( Given an atom less than an element, there is another atom less than the
       element.  (Contributed by NM, 6-May-2012.) $)
    2atlt $p |- ( ( ( K e. HL /\ P e. A /\ X e. B ) /\ P .< X )
      -> E. q e. A ( q =/= P /\ q .< X ) ) $=
      ( wcel w3a wbr wa cfv co wrex eqid wb syl3anc chlt cv cjn cple wne atbase
      hlrelat syl3anl2 ccvr simp3l simp1l1 simp1l2 simp2 atltcvr syl13anc mpbid
      atcvr1 mpbird necomd atlt hllatd syl 3ad2ant2 latjcom breqtrrd simp3r cpo
      clat wceq wi hlpos latjcl simp1l3 pltletr mp2and jca 3exp reximdvai mpd )
      EUAKZCAKZFBKZLCFDMZNZCCGUBZEUCOZPZDMZWGFEUDOZMZNZGAQZWECUEZWEFDMZNZGAQWAV
      TCBKZWBWCWLABCEHJUFZABDWFEWICFGHWIRZIWFRZJUGUHWDWKWOGAWDWEAKZWKWOWDWTWKLZ
      WMWNXACWEXACWEUEZCWGEUIOZMZXAWHXDWDWTWHWJUJXAVTWAWAWTWHXDSVTWAWBWCWTWKUKZ
      VTWAWBWCWTWKULZXFWDWTWKUMZAXCCCWEDWFEIWSJXCRZUNUOUPXAVTWAWTXBXDSXEXFXGAXC
      CWEWFEWSXHJUQTURUSZXAWEWGDMZWJWNXAWEWECWFPZWGDXAWEXKDMZWMXIXAVTWTWAXLWMSX
      EXGXFAWECDWFEIWSJUTTURXAEVHKZWPWEBKZWGXKVIXAEXEVAZXAWAWPXFWQVBZWTWDXNWKAB
      WEEHJUFVCZBWFECWEHWSVDTVEWDWTWHWJVFXAEVGKZXNWGBKZWBXJWJNWNVJXAVTXRXEEVKVB
      XQXAXMWPXNXSXOXPXQBWFECWEHWSVLTVTWAWBWCWTWKVMBDEWIWEWGFHWRIVNUOVOVPVQVRVS
      $.
  $}

  ${
    atexchcvr.j $e |- .\/ = ( join ` K ) $.
    atexchcvr.a $e |- A = ( Atoms ` K ) $.
    atexchcvr.c $e |- C = ( <o ` K ) $.
    $( Atom exchange property.  Version of ~ hlatexch2 with covers relation.
       (Contributed by NM, 7-Feb-2012.)  (New usage is discouraged.) $)
    atexchcvrN $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A ) /\ P =/= R )
           -> ( P C ( Q .\/ R ) -> Q C ( P .\/ R ) ) ) $=
      ( chlt wcel w3a co wbr cfv wa simpl1 atbase syl wne cple cbs simpl21 eqid
      clat hllatd simpl22 simpl23 latjcl syl3anc 3jca sylancom hlatexch2 simpl3
      cvrle ex simpr atcvrj2 syl132anc 3syld ) GKLZCALZDALZEALZMZCEUAZMZCDEFNZB
      OZCVIGUBPZOZDCEFNZVKOZDVMBOZVHVJVLVHVJVBCGUCPZLZVIVPLZMVLVHVJQZVBVQVRVBVF
      VGVJRZVSVCVQVCVDVEVBVGVJUDAVPCGVPUEZISTVSGUFLDVPLZEVPLZVRVSGVTUGVSVDWBVCV
      DVEVBVGVJUHAVPDGWAISTVSVEWCVCVDVEVBVGVJUIAVPEGWAISTVPFGDEWAHUJUKULKVPBGVK
      CVIWAVKUEZJUPUMUQACDEFGVKWDHIUNVHVNVOVHVNQVBVDVCVEVGVNVOVBVFVGVNRVCVDVEVB
      VGVNUHVCVDVEVBVGVNUDVCVDVEVBVGVNUIVBVFVGVNUOVHVNURABDCEFGVKWDHJIUSUTUQVA
      $.
  $}

  ${
    atexchlt.s $e |- .< = ( lt ` K ) $.
    atexchlt.j $e |- .\/ = ( join ` K ) $.
    atexchlt.a $e |- A = ( Atoms ` K ) $.
    $( Atom exchange property.  Version of ~ hlatexch2 with less-than ordering.
       (Contributed by NM, 7-Feb-2012.)  (New usage is discouraged.) $)
    atexchltN $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A ) /\ P =/= R )
           -> ( P .< ( Q .\/ R ) -> Q .< ( P .\/ R ) ) ) $=
      ( chlt wcel w3a wne co ccvr wbr wb atltcvr 3adant3 cfv eqid atexchcvrN wa
      simpl simpr2 simpr1 simpr3 syl13anc 3imtr4d ) GKLZBALZCALZDALZMZBDNZMBCDF
      OZGPUAZQZCBDFOZURQZBUQEQZCUTEQZAURBCDFGIJURUBZUCUKUOVBUSRUPAURBCDEFGHIJVD
      STUKUOVCVARZUPUKUOUDUKUMULUNVEUKUOUEUKULUMUNUFUKULUMUNUGUKULUMUNUHAURCBDE
      FGHIJVDSUITUJ $.
  $}

  ${
    cvrat3.b $e |- B = ( Base ` K ) $.
    cvrat3.l $e |- .<_ = ( le ` K ) $.
    cvrat3.j $e |- .\/ = ( join ` K ) $.
    cvrat3.m $e |- ./\ = ( meet ` K ) $.
    cvrat3.a $e |- A = ( Atoms ` K ) $.
    $( A condition implying that a certain lattice element is an atom.  Part of
       Lemma 3.2.20 of [PtakPulmannova] p. 68.  ( ~ atcvat3i analog.)
       (Contributed by NM, 30-Nov-2011.) $)
    cvrat3 $p |- ( ( K e. HL /\ ( X e. B /\ P e. A /\ Q e. A ) )
       -> ( ( P =/= Q /\ -. Q .<_ X /\ P .<_ ( X .\/ Q ) )
      -> ( X ./\ ( P .\/ Q ) ) e. A ) ) $=
      ( wcel wa wbr co adantr syl3anc chlt w3a wne wn ccvr wi wb eqid 3adant3r2
      cfv cvr1 biimpa adantrr wceq clat simpr2 atbase syl simpr3 latjcom oveq2d
      hllat simpr1 latjass syl13anc eqtr4d latjlej2 imp eqbrtrd latjidm syl2anc
      latjcl breqtrd simpl hlatlej2 mpd latasymb mpbi2and breq2d adantrl mpbird
      ex cvrexch sylibrd latmcl cvrat2 3expia expdimp syld exp4b 3impd ) FUAOZI
      BOZCAOZDAOZUBZPZCDUCZDIGQUDZCIDERZGQZICDERZHRZAOZWQWRWSXAXDWQWRPWSXAPZXCX
      BFUEUJZQZXDWQXEXGUFWRWQXEIIXBERZXFQZXGWQXEXIWQXEPXIIWTXFQZWQWSXJXAWQWSXJW
      LWMWOWSXJUGWNABXFDEFGIJKLXFUHZNUKUIULUMWQXAXIXJUGWSWQXAPZXHWTIXFXLXHWTGQZ
      WTXHGQZXHWTUNZXLXHWTWTERZWTGXLXHWTCERZXPGWQXHXQUNXAWQXHIDCERZERZXQWQXBXRI
      EWQFUOOZCBOZDBOZXBXRUNWLXTWPFVBSZWQWNYAWLWMWNWOUPZABCFJNUQURZWQWOYBWLWMWN
      WOUSZABDFJNUQURZBEFCDJLUTTVAWQXTWMYBYAXQXSUNYCWLWMWNWOVCZYGYEBEFIDCJLVDVE
      VFSWQXAXQXPGQZWQXTYAWTBOZYJXAYIUFYCYEWQXTWMYBYJYCYHYGBEFIDJLVLTZYKBEFGCWT
      WTJKLVGVEVHVIWQXPWTUNZXAWQXTYJYLYCYKBEFWTJLVJVKSVMWQXNXAWQDXBGQZXNWQWLWNW
      OYMWLWPVNZYDYFACDEFGKLNVOTWQXTYBXBBOZWMYMXNUFYCYGWQXTYAYBYOYCYEYGBEFCDJLV
      LTZYHBEFGDXBIJKLVGVEVPSWQXMXNPXOUGZXAWQXTXHBOZYJYQYCWQXTWMYOYRYCYHYPBEFIX
      BJLVLTYKBFGXHWTJKVQTSVRVSVTWAWBWQWLWMYOXGXIUGYNYHYPBXFEFHIXBJLMXKWCTWDSWQ
      WRXGXDWQWLXCBOZWNWOWRXGPZXDUFYNWQXTWMYOYSYCYHYPBFHIXBJMWETYDYFWLYSWNWOUBY
      TXDABXFCDEFXCJLXKNWFWGVEWHWIWJWK $.
  $}

  ${
    $d r A $.  $d r B $.  $d r .\/ $.  $d r K $.  $d r .<_ $.  $d r P $.
    $d r Q $.  $d r X $.
    cvrat4.b $e |- B = ( Base ` K ) $.
    cvrat4.l $e |- .<_ = ( le ` K ) $.
    cvrat4.j $e |- .\/ = ( join ` K ) $.
    cvrat4.z $e |- .0. = ( 0. ` K ) $.
    cvrat4.a $e |- A = ( Atoms ` K ) $.
    $( TODO Change ( X .\/ Q ) to ( Q .\/ X ) to match books $)
    $( A condition implying existence of an atom with the properties shown.
       Lemma 3.2.20 in [PtakPulmannova] p. 68.  Also Lemma 9.2(delta) in
       [MaedaMaeda] p. 41.  ( ~ atcvat4i analog.)  (Contributed by NM,
       30-Nov-2011.) $)
    cvrat4 $p |- ( ( K e. HL /\ ( X e. B /\ P e. A /\ Q e. A ) )
       -> ( ( X =/= .0. /\ P .<_ ( X .\/ Q ) )
      -> E. r e. A ( r .<_ X /\ P .<_ ( Q .\/ r ) ) ) ) $=
      ( wcel wa wceq wbr syl3anc chlt w3a wne co cv wrex wi hlatl adantr simpr1
      atlex 3exp sylc simpll simplr3 simpr hlatlej1 breq1 syl5ibr impcom anim2d
      cal expd expcomd reximdvai syld ex a1i com4l imp4a wb hllat simpr3 atbase
      clat syl latleeqj2 biimpa breq2d expl simpl simpr2 hlatlej2 jctird jctild
      impl oveq2 anbi12d rspcev adantrl exp31 wo ioran df-ne anbi1i bitr4i cmee
      cfv eqid cvrat3 3expd imp4c latjcl latmle1 imp44 simplr2 3jca jca latmcom
      wn atnle eqeq1d bitrd latmcl latmlem2 breqtrd syl5ibcom cops hlop syl2anc
      breq2 ople0 sylibd sylbid imp adantrr latmle2 latjcom hlexch3 3expia jcad
      syl3c syl6 syl5bi syl7 ecase3d ) FUAPZHBPZCAPZDAPZUBZQZCDRZDHGSZHIUCZCHDE
      UDZGSZQZJUEZHGSZCDUUIEUDZGSZQZJAUFZUGUUBUUCUUEUUGUUNUUGUUBUUCUUEUUNUUBUUC
      UUEUUNUGZUGUGUUGUUBUUCUUOUUBUUCQZUUEUUJJAUFZUUNUUBUUEUUQUGZUUCUUBFVBPZYRU
      URYQUUSUUAFUHUIZYQYRYSYTUJZUUSYRUUEUUQJABFGHIKLNOUKULUMUIUUPUUJUUMJAUUPUU
      JUUIAPZUUMUUPUVBUULUUJUUCUUBUVBUULUGUUCUUBUVBUULUUBUVBQZUULUUCDUUKGSZUVCY
      QYTUVBUVDYQUUAUVBUNYRYSYTYQUVBUOUUBUVBUPADUUIEFGLMOUQTCDUUKGURUSVCUTVAVDV
      EVFVGVHVIVJUUBUUDUUHUUNUUBUUDQZUUGUUNUUEUVEUUGQYSCHGSZCDCEUDZGSZQZQZUUNUU
      BUUDUUGUVJUUBUUDUUGQZUVIYSUUBUVKUVFUVHUUBUUDUUGUVFUVEUUGUVFUVEUUFHCGUUBUU
      DUUFHRZUUBFVOPZDBPZYRUUDUVLVKYQUVMUUAFVLZUIZUUBYTUVNYQYRYSYTVMZABDFKOVNVP
      ZUVABEFGDHKLMVQTVRVSVRVTUUBYQYTYSUVHYQUUAWAUVQYQYRYSYTWBZADCEFGLMOWCTWDUV
      SWEWFUUMUVIJCAUUICRZUUJUVFUULUVHUUICHGURUVTUUKUVGCGUUICDEWGVSWHWIVPWJWKUU
      HUUGUUBUUCUUDWLXJZUUNUUEUUGUPUWACDUCZUUDXJZQZUUBUUGUUNUGUWAUUCXJZUWCQUWDU
      UCUUDWMUWBUWEUWCCDWNWOWPUUBUWDUUGUUNUUBUWDUUGQZHCDEUDZFWQWRZUDZAPZUWIHGSZ
      CDUWIEUDZGSZQZQUUNUUBUWFUWJUWNUUBUWBUWCUUGUWJUUBUWBUWCUUGUWJABCDEFGUWHHKL
      MUWHWSZOWTXAZXBUUBUWFUWNUUBUWFQZUWKUWMUUBUWKUWFUUBUVMYRUWGBPZUWKUVPUVAUUB
      UVMCBPZUVNUWRUVPUUBYSUWSUVSABCFKOVNVPZUVRBEFCDKMXCTZBFGUWHHUWGKLUWOXDTZUI
      UWQYQUWJYSUVNUBZQZDUWIUWHUDZIRZUWIUVGGSZUWMUWQYQUXCYQUUAUWFUNUWQUWJYSUVNU
      UBUWBUWCUUGUWJUWPXEYRYSYTYQUWFXFUUBUVNUWFUVRUIXGXHUUBUWDUXFUUGUUBUWCUXFUW
      BUUBUWCUXFUUBUWCHDUWHUDZIRZUXFUUBUWCDHUWHUDZIRZUXIUUBUUSYTYRUWCUXKVKUUTUV
      QUVAABDFGUWHHIKLUWONOXKTUUBUXJUXHIUUBUVMUVNYRUXJUXHRUVPUVRUVABFUWHDHKUWOX
      ITZXLXMUUBUXIUXEIGSZUXFUUBUXEUXHGSUXIUXMUUBUXEUXJUXHGUUBUVMUWIBPZYRUVNUBZ
      QUWKUXEUXJGSUUBUVMUXOUVPUUBUXNYRUVNUUBUVMYRUWRUXNUVPUVAUXABFUWHHUWGKUWOXN
      TZUVAUVRXGXHUXBBFGUWHUWIHDKLUWOXOUMUXLXPUXHIUXEGYAXQUUBFXRPZUXEBPZUXMUXFV
      KYQUXQUUAFXSUIUUBUVMUVNUXNUXRUVPUVRUXPBFUWHDUWIKUWOXNTBFGUXEIKLNYBXTYCYDY
      EWJYFUUBUXGUWFUUBUWIUWGUVGGUUBUVMYRUWRUWIUWGGSUVPUVAUXABFGUWHHUWGKLUWOYGT
      UUBUVMUWSUVNUWGUVGRUVPUWTUVRBEFCDKMYHTXPUIUXDUXFUWIDUWHUDZIRZUXGUWMUGZUXD
      UXEUXSIUXDUVMUVNUXNUXEUXSRYQUVMUXCUVOUIYQUWJYSUVNVMUXDUWJUXNYQUWJYSUVNUJA
      BUWIFKOVNVPBFUWHDUWIKUWOXITXLYQUXCUXTUYAABUWICEFGUWHDIKLMUWONOYIYJYDYLXHV
      GYKUUMUWNJUWIAUUIUWIRZUUJUWKUULUWMUUIUWIHGURUYBUUKUWLCGUUIUWIDEWGVSWHWIYM
      VCYNYOYP $.

    $( Commuted version of ~ cvrat4 .  (Contributed by NM, 28-Jan-2012.) $)
    cvrat42 $p |- ( ( K e. HL /\ ( X e. B /\ P e. A /\ Q e. A ) )
       -> ( ( X =/= .0. /\ P .<_ ( X .\/ Q ) )
      -> E. r e. A ( r .<_ X /\ P .<_ ( r .\/ Q ) ) ) ) $=
      ( wcel wa co wbr wrex chlt w3a cv cvrat4 clat wceq hllat ad2antrr simplr3
      wne atbase syl adantl latjcom syl3anc breq2d anbi2d rexbidva sylibd ) FUA
      PZHBPZCAPZDAPZUBZQZHIUJCHDERGSQJUCZHGSZCDVFERZGSZQZJATVGCVFDERZGSZQZJATAB
      CDEFGHIJKLMNOUDVEVJVMJAVEVFAPZQZVIVLVGVOVHVKCGVOFUEPZDBPZVFBPZVHVKUFUTVPV
      DVNFUGUHVOVCVQVAVBVCUTVNUIABDFKOUKULVNVRVEABVFFKOUKUMBEFDVFKMUNUOUPUQURUS
      $.
  $}

  ${
    2atjm.b $e |- B = ( Base ` K ) $.
    2atjm.l $e |- .<_ = ( le ` K ) $.
    2atjm.j $e |- .\/ = ( join ` K ) $.
    2atjm.m $e |- ./\ = ( meet ` K ) $.
    2atjm.a $e |- A = ( Atoms ` K ) $.
    $( The meet of a line (expressed with 2 atoms) and a lattice element.
       (Contributed by NM, 30-Jul-2012.) $)
    2atjm $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ X e. B ) /\
      ( P .<_ X /\ -. Q .<_ X ) ) -> ( ( P .\/ Q ) ./\ X ) = P ) $=
      ( wcel w3a wbr wa co syl3anc chlt wn wceq clat 3ad2ant1 simp21 atbase syl
      hllat simp22 latlej1 simp3l wb simp1 hlatjcl simp23 latlem12 syl13anc cal
      mpbi2and latmcom wne 3jca nbrne2 3ad2ant3 simp3r latjcl lattrd cvrat3 imp
      hlatl syl23anc eqeltrd atcmp mpbid eqcomd ) FUAOZCAOZDAOZIBOZPZCIGQZDIGQU
      BZRZPZCCDESZIHSZWECWGGQZCWGUCZWECWFGQZWBWHWEFUDOZCBOZDBOZWJVQWAWKWDFUIUEZ
      WEVRWLVQVRVSVTWDUFZABCFJNUGUHZWEVSWMVQVRVSVTWDUJZABDFJNUGUHZBEFGCDJKLUKTV
      QWAWBWCULZWEWKWLWFBOZVTWJWBRWHUMWNWPWEVQVRVSWTVQWAWDUNZWOWQABEFCDJLNUOTZV
      QVRVSVTWDUPZBFGHCWFIJKMUQURUTWEFUSOZVRWGAOWHWIUMVQWAXDWDFVKUEWOWEWGIWFHSZ
      AWEWKWTVTWGXEUCWNXBXCBFHWFIJMVATWEVQVTVRVSPZCDVBZWCCIDESZGQZXEAOZXAWEVTVR
      VSXCWOWQVCWDVQXGWACDIGVDVEVQWAWBWCVFWEBFGCIXHJKWNWPXCWEWKVTWMXHBOWNXCWRBE
      FIDJLVGTWSWEWKVTWMIXHGQWNXCWRBEFGIDJKLUKTVHVQXFRXGWCXIPXJABCDEFGHIJKLMNVI
      VJVLVMACWGFGKNVNTVOVP $.
  $}

  ${
    atbtwn.b $e |- B = ( Base ` K ) $.
    atbtwn.l $e |- .<_ = ( le ` K ) $.
    atbtwn.j $e |- .\/ = ( join ` K ) $.
    atbtwn.a $e |- A = ( Atoms ` K ) $.
    $( Property of a 3rd atom ` R ` on a line ` P .\/ Q ` intersecting element
       ` X ` at ` P ` .  (Contributed by NM, 30-Jul-2012.) $)
    atbtwn $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A ) /\ ( R e. A /\ X e. B ) /\
      ( P .<_ X /\ -. Q .<_ X /\ R .<_ ( P .\/ Q ) ) )
   -> ( R =/= P <-> -. R .<_ X ) ) $=
      ( wcel w3a wa wbr wn co syl chlt wne wceq cmee simpl33 simpr clat simpl11
      cfv hllatd simpl2l atbase hlatjcl simpl2r eqid latlem12 syl13anc mpbi2and
      wb simpl1 simpl12 simpl13 simpl31 simpl32 2atjm syl132anc cal hlatl atcmp
      breqtrd syl3anc mpbid ex necon3ad wi simp31 nbrne2 necomd impbid ) GUANZC
      ANZDANZOZEANZIBNZPZCIHQZDIHQRZECDFSZHQZOZOZECUBZEIHQZRZWLWNECWLWNECUCZWLW
      NPZECHQZWPWQEWIIGUDUIZSZCHWQWJWNEWTHQZWGWHWJWCWFWNUEWLWNUFWQGUGNEBNZWIBNZ
      WEWJWNPXAUSWQGVTWAWBWFWKWNUHZUJWQWDXBWDWEWCWKWNUKZABEGJMULTWQWCXCWCWFWKWN
      UTABFGCDJLMUMTWDWEWCWKWNUNZBGHWSEWIIJKWSUOZUPUQURWQVTWAWBWEWGWHWTCUCXDVTW
      AWBWFWKWNVAZVTWAWBWFWKWNVBXFWGWHWJWCWFWNVCWGWHWJWCWFWNVDABCDFGHWSIJKLXGMV
      EVFVJWQGVGNZWDWAWRWPUSWQVTXIXDGVHTXEXHAECGHKMVIVKVLVMVNWLWGWOWMVOWCWFWGWH
      WJVPWGWOWMWGWOPCECEIHVQVRVMTVS $.

    $d r A $.  $d r B $.  $d r K $.  $d r .<_ $.  $d r P $.  $d r Q $.
    $d r X $.
    $( There exists a 3rd atom ` r ` on a line ` P .\/ Q ` intersecting element
       ` X ` at ` P ` , such that ` r ` is different from ` Q ` and not in
       ` X ` .  (Contributed by NM, 30-Jul-2012.)
       (New usage is discouraged.) $)
    atbtwnexOLDN $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
        /\ ( X e. B /\ P .<_ X /\ -. Q .<_ X ) )
    -> E. r e. A ( r =/= Q /\ -. r .<_ X /\ r .<_ ( P .\/ Q ) ) ) $=
      ( chlt wcel w3a wbr wn wne wrex wa cv simpr2 simpr3 nbrne2 syl2anc hlsupr
      co syldan simp32 simp31 wb simp1l simp2 simp1r1 simp1r2 simp1r3 syl123anc
      simp33 atbtwn mpbid 3jca 3exp reximdvai mpd ) FNOCAODAOPZHBOZCHGQZDHGQRZP
      ZUAZIUBZCSZVLDSZVLCDEUHGQZPZIATZVNVLHGQRZVOPZIATVFVJCDSZVQVKVHVIVTVFVGVHV
      IUCVFVGVHVIUDCDHGUEUFACDEFGIKLMUGUIVKVPVSIAVKVLAOZVPVSVKWAVPPZVNVRVOVKWAV
      MVNVOUJWBVMVRVKWAVMVNVOUKWBVFWAVGVHVIVOVMVRULVFVJWAVPUMVKWAVPUNVGVHVIVFWA
      VPUOVGVHVIVFWAVPUPVGVHVIVFWAVPUQVKWAVMVNVOUSZABCDVLEFGHJKLMUTURVAWCVBVCVD
      VE $.

    $( Given atoms ` P ` in ` X ` and ` Q ` not in ` X ` , there exists an atom
       ` r ` not in ` X ` such that the line ` Q .\/ r ` intersects ` X ` at
       ` P ` .  (Contributed by NM, 1-Aug-2012.) $)
    atbtwnex $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
        /\ ( X e. B /\ P .<_ X /\ -. Q .<_ X ) )
    -> E. r e. A ( r =/= Q /\ -. r .<_ X /\ P .<_ ( Q .\/ r ) ) ) $=
      ( wcel w3a wbr wn wne co wrex chlt wa simpr2 simpr3 nbrne2 syl2anc hlsupr
      cv syldan simp32 simp31 wb simp1l simp2 simp1r1 simp1r2 simp1r3 syl123anc
      simp33 atbtwn wi simp1l1 simp1l2 simp1l3 hlatexch2 syl131anc mpd hlatjcom
      mpbid wceq syl3anc breqtrrd 3jca 3exp reximdvai ) FUANZCANZDANZOZHBNZCHGP
      ZDHGPQZOZUBZIUHZCRZWEDRZWECDESGPZOZIATZWGWEHGPQZCDWEESZGPZOZIATVSWCCDRZWJ
      WDWAWBWOVSVTWAWBUCVSVTWAWBUDCDHGUEUFACDEFGIKLMUGUIWDWIWNIAWDWEANZWIWNWDWP
      WIOZWGWKWMWDWPWFWGWHUJZWQWFWKWDWPWFWGWHUKWQVSWPVTWAWBWHWFWKULVSWCWPWIUMWD
      WPWIUNZVTWAWBVSWPWIUOVTWAWBVSWPWIUPVTWAWBVSWPWIUQWDWPWFWGWHUSZABCDWEEFGHJ
      KLMUTURVIWQCWEDESZWLGWQWHCXAGPZWTWQVPWPVQVRWGWHXBVAVPVQVRWCWPWIVBZWSVPVQV
      RWCWPWIVCVPVQVRWCWPWIVDZWRAWECDEFGKLMVEVFVGWQVPVRWPWLXAVJXCXDWSAEFDWELMVH
      VKVLVMVNVOVG $.
  $}

  ${
    3noncol.l $e |- .<_ = ( le ` K ) $.
    3noncol.j $e |- .\/ = ( join ` K ) $.
    3noncol.a $e |- A = ( Atoms ` K ) $.
    $( Two ways to express 3 non-colinear atoms (rotated right 2 places).
       (Contributed by NM, 12-Jul-2012.) $)
    3noncolr2 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
  /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q ) ) )
  -> ( Q =/= R /\ -. P .<_ ( Q .\/ R ) ) ) $=
      ( chlt wcel w3a wne co wbr wn atbase syl syl131anc wa clat hllat 3ad2ant1
      cbs cfv simp23 eqid simp21 simp22 simp3r latnlej1r necomd wi simp1 simp3l
      hlatexch1 wceq hlatjcom syl3anc breq2d sylibrd mtod jca ) FKLZBALZCALZDAL
      ZMZBCNZDBCEOZGPZQZUAZMZCDNBCDEOGPZQVODCVOFUBLZDFUEUFZLZBVRLZCVRLZVMDCNVEV
      IVQVNFUCUDVOVHVSVEVFVGVHVNUGZAVRDFVRUHZJRSVOVFVTVEVFVGVHVNUIZAVRBFWCJRSVO
      VGWAVEVFVGVHVNUJZAVRCFWCJRSVEVIVJVMUKZVREFGDBCWCHIULTUMVOVPVLWFVOVPDCBEOZ
      GPZVLVOVEVFVHVGVJVPWHUNVEVIVNUOZWDWBWEVEVIVJVMUPABDCEFGHIJUQTVOVKWGDGVOVE
      VFVGVKWGURWIWDWEAEFBCIJUSUTVAVBVCVD $.

    $( Two ways to express 3 non-colinear atoms (rotated right 1 place).
       (Contributed by NM, 12-Jul-2012.)  (New usage is discouraged.) $)
    3noncolr1N $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
  /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q ) ) )
  -> ( R =/= P /\ -. Q .<_ ( R .\/ P ) ) ) $=
      ( chlt wcel w3a wne co wbr wn wa simp1 3noncolr2 simp22 simp23 syl131anc
      simp21 ) FKLZBALZCALZDALZMZBCNDBCEOGPQRZMUEUGUHUFCDNBCDEOGPQRDBNCDBEOGPQR
      UEUIUJSUEUFUGUHUJUAUEUFUGUHUJUBUEUFUGUHUJUDABCDEFGHIJTACDBEFGHIJTUC $.

    $( TODO: replace with ~ 3noncolr2 ? $)
    $( Atom exchange combined with contraposition.  (Contributed by NM,
       13-Jun-2012.) $)
    hlatcon3 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
      /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q ) ) ) -> -. P .<_ ( Q .\/ R ) ) $=
      ( chlt wcel w3a wne co wbr wn wa 3noncolr2 simprd ) FKLBALCALDALMBCNDBCEO
      GPQRMCDNBCDEOGPQABCDEFGHIJST $.

    $( Atom exchange combined with contraposition.  (Contributed by NM,
       13-Jun-2012.) $)
    hlatcon2 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
      /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q ) ) ) -> -. P .<_ ( R .\/ Q ) ) $=
      ( chlt wcel w3a wne co wbr wn wa hlatcon3 wceq simp1 simp22 simp23 breq2d
      hlatjcom syl3anc mtbid ) FKLZBALZCALZDALZMZBCNDBCEOGPQRZMZBCDEOZGPBDCEOZG
      PABCDEFGHIJSUNUOUPBGUNUHUJUKUOUPTUHULUMUAUHUIUJUKUMUBUHUIUJUKUMUCAEFCDIJU
      EUFUDUG $.

    $( A way to express 4 non-colinear atoms (rotated right 3 places).
       (Contributed by NM, 11-Jul-2012.) $)
    4noncolr3 $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
      /\ ( R e. A /\ S e. A )
     /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q )
          /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) ) )
  -> ( Q =/= R /\ -. S .<_ ( Q .\/ R )
         /\ -. P .<_ ( ( Q .\/ R ) .\/ S ) ) ) $=
      ( wcel w3a co wbr wn atbase syl syl131anc wceq chlt wa wne cbs cfv simp11
      clat hllatd simp2l eqid simp12 simp13 simp32 necomd simp2r latjcl syl3anc
      latnlej1r simp33 hlatjass breq2d mtbid latnlej2r simp31 hlatexch1 latjcom
      syl13anc wi sylibrd mtod hlexch1 oveq1d latj31 eqtrd sylibd 3jca ) GUALZB
      ALZCALZMZDALZEALZUBZBCUCZDBCFNZHOZPZEWEDFNZHOZPZMZMZCDUCECDFNZHOPZBWMEFNH
      OZPWLDCWLGUGLZDGUDUEZLZBWQLZCWQLZWGDCUCWLGVQVRVSWCWKUFZUHZWLWAWRVTWAWBWKU
      IZAWQDGWQUJZKQRZWLVRWSVQVRVSWCWKUKZAWQBGXDKQRZWLVSWTVQVRVSWCWKULZAWQCGXDK
      QRZVTWCWDWGWJUMZWQFGHDBCXDIJURSUNWLWPEWQLZWSWMWQLZEBWMFNZHOZPWNXBWLWBXKVT
      WAWBWKUOZAWQEGXDKQRXGWLWPWTWRXLXBXIXEWQFGCDXDJUPUQZWLWIXNVTWCWDWGWJUSZWLW
      HXMEHWLVQVRVSWAWHXMTXAXFXHXCABCDFGJKUTVGVAVBWQFGHEBWMXDIJVCSWLWOWIXQWLWOE
      WMBFNZHOZWIWLVQVRWBXLBWMHOZPWOXSVHXAXFXOXPWLXTWFXJWLXTDCBFNZHOZWFWLVQVRWA
      VSWDXTYBVHXAXFXCXHVTWCWDWGWJVDABDCFGHIJKVESWLWEYADHWLWPWSWTWEYATXBXGXIWQF
      GBCXDJVFUQVAVIVJAWQBEFGHWMXDIJKVKSWLXRWHEHWLXRDCFNZBFNZWHWLWMYCBFWLWPWTWR
      WMYCTXBXIXEWQFGCDXDJVFUQVLWLWPWRWTWSYDWHTXBXEXIXGWQFGDCBXDJVMVGVNVAVOVJVP
      $.

    $( A way to express 4 non-colinear atoms (rotated right 2 places).
       (Contributed by NM, 11-Jul-2012.) $)
    4noncolr2 $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
      /\ ( R e. A /\ S e. A )
     /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q )
        /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) ) )
  -> ( R =/= S /\ -. P .<_ ( R .\/ S )
        /\ -. Q .<_ ( ( R .\/ S ) .\/ P ) ) ) $=
      ( chlt wcel w3a wa wne co wbr wn 4noncolr3 simp11 simp13 simp2l syl321anc
      simp2r simp12 ) GLMZBAMZCAMZNZDAMZEAMZOZBCPDBCFQZHRSEUNDFQHRSNZNUGUIUKULU
      HCDPECDFQZHRSBUPEFQHRSNDEPBDEFQZHRSCUQBFQHRSNUGUHUIUMUOUAUGUHUIUMUOUBUJUK
      ULUOUCUJUKULUOUEUGUHUIUMUOUFABCDEFGHIJKTACDEBFGHIJKTUD $.

    $( A way to express 4 non-colinear atoms (rotated right 1 places).
       (Contributed by NM, 11-Jul-2012.) $)
    4noncolr1 $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
      /\ ( R e. A /\ S e. A )
     /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q )
        /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) ) )
  -> ( S =/= P /\ -. Q .<_ ( S .\/ P )
          /\ -. R .<_ ( ( S .\/ P ) .\/ Q ) ) ) $=
      ( chlt wcel w3a wa wne co wbr wn simp11 simp13 simp2l 4noncolr3 4noncolr2
      simp2r simp12 syl321anc ) GLMZBAMZCAMZNZDAMZEAMZOZBCPDBCFQZHRSEUODFQHRSNZ
      NUHUJULUMUICDPECDFQZHRSBUQEFQHRSNEBPCEBFQZHRSDURCFQHRSNUHUIUJUNUPTUHUIUJU
      NUPUAUKULUMUPUBUKULUMUPUEUHUIUJUNUPUFABCDEFGHIJKUCACDEBFGHIJKUDUG $.
  $}

  ${
    $d p q r s x y z A $.  $d x y z C $.  $d r s x y z .\/ $.
    $d p q r s x y z K $.
    athgt.j $e |- .\/ = ( join ` K ) $.
    athgt.c $e |- C = ( <o ` K ) $.
    athgt.a $e |- A = ( Atoms ` K ) $.
    $( A Hilbert lattice, whose height is at least 4, has a chain of 4
       successively covering atom joins.  (Contributed by NM, 3-May-2012.) $)
    athgt $p |- ( K e. HL -> E. p e. A E. q e. A
        ( p C ( p .\/ q )
           /\ E. r e. A ( ( p .\/ q ) C ( ( p .\/ q ) .\/ r ) /\
     E. s e. A
          ( ( p .\/ q ) .\/ r ) C ( ( ( p .\/ q ) .\/ r ) .\/ s ) ) ) ) $=
      ( wcel cfv cv wbr wa wrex wi w3a syl vx vy vz chlt cp0 cplt cp1 co hlhgt4
      cbs eqid cple simpl1 cops hlop op0cl simpl2l simprll hlrelat3 syl31anc wb
      3syl simp11 simp3 atcvr0 syl2anc wceq hlol atbase 3ad2ant3 olj02 breqtrrd
      col biantrurd breq1d bitr3d 3expa rexbidva mpbid 3adant3r simp12r simp2lr
      simp3r simp12l plelttr syl13anc mp2and clat hllatd simp3ll simp3lr latjcl
      cpo hlpos syl3anc simp13 simp2l simp12 simp1ll simp2ll simp3l op1cl simpl
      simp1r simp1lr reximi 3exp exp4a ex 3adant2 3imp 3adant2l anim2d reximdva
      imp mpd 3imp1 3expia expd reximdvai 3exp1 rexlimdv rexlimdvva ) DUDLZDUEM
      ZUANZDUFMZOZYFUBNZYGOZPZYIUCNZYGOZYLDUGMZYGOZPZPZUCDUJMZQZUBYRQUAYRQHNZYT
      GNZCUHZBOZUUBUUBFNZCUHZBOZUUEUUEENCUHZBOZEAQZPZFAQZPZGAQZHAQZUAUBUCYRYGYN
      DYEYRUKZYGUKZYEUKZYNUKZUIYDYSUUNUAUBYRYRYDYFYRLZYIYRLZPZPYQUUNUCYRYDUVAYL
      YRLZYQUUNRRYDUVAUVBYQUUNYDUVAUVBSZYQPZYTYFDULMZOZHAQZUUNUVDYEYEYTCUHZBOZU
      VHYFUVEOZPZHAQZUVGUVDYDYEYRLZUUSYHUVLYDUVAUVBYQUMZUVDYDDUNLZUVMUVNDUOZYRD
      YEUUOUUQUPVBUUSUUTYDUVBYQUQUVCYHYJYPURAYRBYGCDUVEYEYFHUUOUVEUKZUUPIJKUSUT
      UVDUVKUVFHAUVCYQYTALZUVKUVFVAUVCYQUVRSZUVJUVKUVFUVSUVIUVJUVSYEYTUVHBUVSYD
      UVRYEYTBOYDUVAUVBYQUVRVCZUVCYQUVRVDABUDYTDYEUUQJKVEVFUVSDVMLZYTYRLZUVHYTV
      GUVSYDUWAUVTDVHTUVRUVCUWBYQAYRYTDUUOKVIZVJZYRCDYTYEUUOIUUQVKVFZVLVNUVSUVH
      YTYFUVEUWEVOVPVQVRVSUVDUVFUUMHAUVDUVRUVFUUMUVCYQUVRUVFPZUUMUVCYQUWFSZUUCU
      UBYIUVEOZPZGAQZUUMUWGYDUWBUUTYTYIYGOZUWJYDUVAUVBYQUWFVCZUVCYQUVRUWBUVFUWD
      VTZUUSUUTYDUVBYQUWFWAZUWGUVFYJUWKUVCYQUVRUVFWCYHYJYPUVCUWFWBUWGDWMLZUWBUU
      SUUTUVFYJPUWKRUWGYDUWOUWLDWNZTUWMUUSUUTYDUVBYQUWFWDUWNYRYGDUVEYTYFYIUUOUV
      QUUPWEWFWGAYRBYGCDUVEYTYIGUUOUVQUUPIJKUSUTUVCYQUVRUWJUUMRZUVFUVCYPUVRUWQY
      KUVCYPUVRSZUWIUULGAUWRUUAALZPUWHUUKUUCUVCYPUVRUWSUWHUUKRZYDUUTUVBYPUVRUWS
      UWTRRRUUSYDUUTUVBSZYPUVRUWSUWTUXAYPUVRUWSPZUWHUUKUXAYPUXBUWHPZUUKUXAYPUXC
      SZUUFUUEYLUVEOZPZFAQZUUKUXDYDUUBYRLZUVBUUBYLYGOZUXGYDUUTUVBYPUXCVCZUXDDWH
      LZUWBUUAYRLZUXHUXDDUXJWIUXDUVRUWBUVRUWSUWHUXAYPWJUWCTUXDUWSUXLUVRUWSUWHUX
      AYPWKAYRUUADUUOKVIZTYRCDYTUUAUUOIWLZWOZYDUUTUVBYPUXCWPZUXDUWHYMUXIUXAYPUX
      BUWHWCUXAYMYOUXCWQUXDUWOUXHUUTUVBUWHYMPUXIRUXDYDUWOUXJUWPTUXOYDUUTUVBYPUX
      CWRUXPYRYGDUVEUUBYIYLUUOUVQUUPWEWFWGAYRBYGCDUVEUUBYLFUUOUVQUUPIJKUSUTUXDU
      XFUUJFAUXDUUDALZPUXEUUIUUFUXDUXQUXEUUIRZUXAYOUXCUXQUXRRZYMUXAYOUXCUXSYDUV
      BYOUXCUXSRZRUUTYDUVBPZYOUXTUYAYOPZUXCUXQUXEUUIUYBUXCUXQUXEPZUUIUYBUXCUYCS
      ZUUHUUGYNUVEOZPZEAQZUUIUYDYDUUEYRLZYNYRLZUUEYNYGOZUYGYDUVBYOUXCUYCWSZUYDU
      XKUXHUUDYRLZUYHUYDDUYKWIZUYDUXKUWBUXLUXHUYMUYDUVRUWBUVRUWSUWHUYBUYCWTUWCT
      UYDUWSUXLUVRUWSUWHUYBUYCWBUXMTUXNWOUYDUXQUYLUYBUXCUXQUXEXAAYRUUDDUUOKVITY
      RCDUUBUUDUUOIWLWOZUYDYDUVOUYIUYKUVPYRYNDUUOUURXBVBZUYDUXEYOUYJUYBUXCUXQUX
      EWCUYAYOUXCUYCXDUYDUWOUYHUVBUYIUXEYOPUYJRUYDYDUWOUYKUWPTUYNYDUVBYOUXCUYCX
      EUYOYRYGDUVEUUEYLYNUUOUVQUUPWEWFWGAYRBYGCDUVEUUEYNEUUOUVQUUPIJKUSUTUYFUUH
      EAUUHUYEXCXFTXGXHXIXJXKXLXOXMXNXPXGXHXHXLXQXMXNXLVTXPXRXSXTXPYAXOYBYCXP
      $.
  $}

  ${
    $d p q r s A $.  $d r s .\/ $.
    3dim0.j $e |- .\/ = ( join ` K ) $.
    3dim0.l $e |- .<_ = ( le ` K ) $.
    3dim0.a $e |- A = ( Atoms ` K ) $.
    ${
      $d p q r s K $.
      $( There exists a 3-dimensional (height-4) element i.e. a volume.
         (Contributed by NM, 25-Jul-2012.) $)
      3dim0 $p |- ( K e. HL -> E. p e. A E. q e. A E. r e. A E. s e. A
     ( p =/= q /\ -. r .<_ ( p .\/ q )
             /\ -. s .<_ ( ( p .\/ q ) .\/ r ) ) ) $=
        ( wcel cv co wbr wn wrex wa wb syl3anc chlt wne w3a ccvr cfv eqid athgt
        df-3an simpll1 hlatjcl ad2antrr simplr cvr1 anbi2d clat hllatd ad2antlr
        atbase latjcl simpr anbi12d syl5bb rexbidva r19.42v anass bitrdi atcvr1
        cbs bitri anbi1d bitrd 3expb 2rexbidva mpbird ) CUALZHMZGMZUBZFMZVPVQBN
        ZDOPZEMZVTVSBNZDOPZUCZEAQZFAQZGAQHAQVPVTCUDUEZOZVTWCWHOZWCWCWBBNWHOZEAQ
        ZRZFAQZRZGAQHAQAWHBCEFGHIWHUFZKUGVOWGWOHGAAVOVPALZVQALZWGWOSVOWQWRUCZWG
        VRWNRZWOWSWGVRWMRZFAQWTWSWFXAFAWSVSALZRZWFVRWJRZWKRZEAQZXAXCWEXEEAWEVRW
        ARZWDRXCWBALZRZXEVRWAWDUHXIXGXDWDWKXIWAWJVRXIVOVTCVHUEZLZXBWAWJSVOWQWRX
        BXHUIZWSXKXBXHAXJBCVPVQXJUFZIKUJUKZWSXBXHULAXJWHVSBCDVTXMJIWPKUMTUNXIVO
        WCXJLZXHWDWKSXLXICUOLXKVSXJLZXOXICXLUPXNXBXPWSXHAXJVSCXMKURUQXJBCVTVSXM
        IUSTXCXHUTAXJWHWBBCDWCXMJIWPKUMTVAVBVCXFXDWLRXAXDWKEAVDVRWJWLVEVIVFVCVR
        WMFAVDVFWSVRWIWNAWHVPVQBCIWPKVGVJVKVLVMVN $.
    $}

    $( Lemma for ~ 3dim1 .  (Contributed by NM, 25-Jul-2012.) $)
    3dimlem1 $p |- ( ( ( Q =/= R /\ -. S .<_ ( Q .\/ R ) /\ -. T .<_ ( (
   Q .\/ R ) .\/ S ) ) /\ P = Q )
  -> ( P =/= R /\ -. S .<_ ( P .\/ R )
         /\ -. T .<_ ( ( P .\/ R ) .\/ S ) ) ) $=
      ( wceq wne co wbr wn w3a breq2d notbid neeq1 oveq1d 3anbi123d biimparc
      oveq1 ) BCMZBDNZEBDGOZIPZQZFUHEGOZIPZQZRCDNZECDGOZIPZQZFUOEGOZIPZQZRUFUGU
      NUJUQUMUTBCDUAUFUIUPUFUHUOEIBCDGUEZSTUFULUSUFUKURFIUFUHUOEGVAUBSTUCUD $.

    $( Lemma for ~ 3dim1 .  (Contributed by NM, 25-Jul-2012.) $)
    3dimlem2 $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A ) /\
  ( R e. A /\ -. S .<_ ( Q .\/ R ) /\ -. T .<_ ( ( Q .\/ R ) .\/ S ) )
  /\ ( P =/= Q /\ P .<_ ( Q .\/ R ) ) )
  -> ( P =/= Q /\ -. S .<_ ( P .\/ Q )
         /\ -. T .<_ ( ( P .\/ Q ) .\/ S ) ) ) $=
      ( wcel w3a co wbr wn wceq breq2d mtbird chlt wne simp3l hlatjcom 3ad2ant1
      wa simp22 simp3r wb simp11 simp12 simp21 hlatexchb1 syl131anc mpbid eqtrd
      simp13 simp23 oveq1d 3jca ) HUAMZBAMZCAMZNZDAMZECDGOZIPZQZFVFEGOZIPZQZNZB
      CUBZBVFIPZUFZNZVMEBCGOZIPZQFVQEGOZIPZQVDVLVMVNUCZVPVRVGVDVEVHVKVOUGVPVQVF
      EIVPVQCBGOZVFVDVLVQWBRVOAGHBCJLUDUEVPVNWBVFRZVDVLVMVNUHVPVAVBVEVCVMVNWCUI
      VAVBVCVLVOUJVAVBVCVLVOUKVDVEVHVKVOULVAVBVCVLVOUQWAABDCGHIKJLUMUNUOUPZSTVP
      VTVJVDVEVHVKVOURVPVSVIFIVPVQVFEGWDUSSTUT $.

    $( TODO - check if it is more efficient to eliminate this and
       use ~ 3dimlem3OLDN $)
    $( Lemma for ~ 3dim3 .  (Contributed by NM, 27-Jul-2012.) $)
    3dimlem3a $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
           /\ ( R e. A /\ S e. A )
           /\ ( -. T .<_ ( ( Q .\/ R ) .\/ S )
             /\ -. P .<_ ( Q .\/ R ) /\ P .<_ ( ( Q .\/ R ) .\/ S ) ) )
     -> -. T .<_ ( ( P .\/ Q ) .\/ R ) ) $=
      ( wcel w3a co wbr wn wceq atbase syl chlt wa simp31 cbs cfv simp11 hllatd
      clat simp13 eqid simp2l simp12 latjrot syl13anc simp33 wb hlatjcl syl3anc
      simp2r simp32 hlexchb1 syl131anc mpbid eqtr3d breq2d mtbird ) HUAMZBAMZCA
      MZNZDAMZEAMZUBZFCDGOZEGOZIPZQZBVNIPQZBVOIPZNZNZFBCGODGOZIPVPVJVMVQVRVSUCW
      AWBVOFIWAVNBGOZWBVOWAHUHMCHUDUEZMZDWDMZBWDMZWCWBRWAHVGVHVIVMVTUFZUGWAVIWE
      VGVHVIVMVTUIZAWDCHWDUJZLSTWAVKWFVJVKVLVTUKZAWDDHWJLSTWAVHWGVGVHVIVMVTULZA
      WDBHWJLSTWDGHCDBWJJUMUNWAVSWCVORZVJVMVQVRVSUOWAVGVHVLVNWDMZVRVSWMUPWHWLVJ
      VKVLVTUSWAVGVIVKWNWHWIWKAWDGHCDWJJLUQURVJVMVQVRVSUTAWDBEGHIVNWJKJLVAVBVCV
      DVEVF $.

    $( Lemma for ~ 3dim1 .  (Contributed by NM, 25-Jul-2012.) $)
    3dimlem3 $p |- ( ( ( ( K e. HL /\ P e. A /\ Q e. A )
           /\ ( R e. A /\ S e. A )
           /\ ( Q =/= R /\ -. T .<_ ( ( Q .\/ R ) .\/ S ) ) )
       /\ ( P =/= Q /\ -. P .<_ ( Q .\/ R )
          /\ P .<_ ( ( Q .\/ R ) .\/ S ) ) )
  -> ( P =/= Q /\ -. R .<_ ( P .\/ Q )
        /\ -. T .<_ ( ( P .\/ Q ) .\/ R ) ) ) $=
      ( chlt wcel w3a wa wne co wbr wn simpr1 simpr2 wi simpl11 simpl2l simpl12
      simpl13 simpl3l necomd hlatexch2 syl131anc hlatjcom syl3anc breq2d simpl1
      wceq sylibrd mtod simpl2 simpl3r simpr3 3dimlem3a syl113anc 3jca ) HMNZBA
      NZCANZOZDANZEANZPZCDQZFCDGRZEGRZISTZPZOZBCQZBVMISZTZBVNISZOZPZVRDBCGRZISZ
      TFWDDGRISTZVQVRVTWAUAWCWEVSVQVRVTWAUBZWCWEBDCGRZISZVSWCVEVIVFVGDCQWEWIUCV
      EVFVGVKVPWBUDZVIVJVHVPWBUEZVEVFVGVKVPWBUFVEVFVGVKVPWBUGZWCCDVLVOVHVKWBUHU
      IADBCGHIKJLUJUKWCVMWHBIWCVEVGVIVMWHUPWJWLWKAGHCDJLULUMUNUQURWCVHVKVOVTWAW
      FVHVKVPWBUOVHVKVPWBUSVLVOVHVKWBUTWGVQVRVTWAVAABCDEFGHIJKLVBVCVD $.

    $( See TODO above $)
    $( Lemma for ~ 3dim1 .  (Contributed by NM, 25-Jul-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    3dimlem3OLDN $p |- ( ( ( ( K e. HL /\ P e. A /\ Q e. A )
           /\ ( R e. A /\ S e. A )
           /\ ( Q =/= R /\ -. T .<_ ( ( Q .\/ R ) .\/ S ) ) )
       /\ ( P =/= Q /\ -. P .<_ ( Q .\/ R )
           /\ P .<_ ( ( Q .\/ R ) .\/ S ) ) )
  -> ( P =/= Q /\ -. R .<_ ( P .\/ Q )
          /\ -. T .<_ ( ( P .\/ Q ) .\/ R ) ) ) $=
      ( wcel w3a wa wne co wbr wn syl simpr1 wi simpl11 simpl2l simpl12 simpl13
      simpr2 simpl3l necomd hlatexch2 syl131anc hlatjcom syl3anc breq2d sylibrd
      chlt wceq mtod simpl3r clat cbs hllat eqid atbase latjrot syl13anc simpr3
      cfv wb simpl2r hlatjcl hlexchb1 mpbid eqtr3d mtbird 3jca ) HUPMZBAMZCAMZN
      ZDAMZEAMZOZCDPZFCDGQZEGQZIRZSZOZNZBCPZBWEIRZSZBWFIRZNZOZWKDBCGQZIRZSFWQDG
      QZIRZSWJWKWMWNUAWPWRWLWJWKWMWNUGZWPWRBDCGQZIRZWLWPVQWAVRVSDCPWRXCUBVQVRVS
      WCWIWOUCZWAWBVTWIWOUDZVQVRVSWCWIWOUEZVQVRVSWCWIWOUFZWPCDWDWHVTWCWOUHUIADB
      CGHIKJLUJUKWPWEXBBIWPVQVSWAWEXBUQXDXGXEAGHCDJLULUMUNUOURWPWTWGWDWHVTWCWOU
      SWPWSWFFIWPWEBGQZWSWFWPHUTMZCHVAVHZMZDXJMZBXJMZXHWSUQWPVQXIXDHVBTWPVSXKXG
      AXJCHXJVCZLVDTWPWAXLXEAXJDHXNLVDTWPVRXMXFAXJBHXNLVDTXJGHCDBXNJVEVFWPWNXHW
      FUQZWJWKWMWNVGWPVQVRWBWEXJMZWMWNXOVIXDXFWAWBVTWIWOVJWPVQVSWAXPXDXGXEAXJGH
      CDXNJLVKUMXAAXJBEGHIWEXNKJLVLUKVMVNUNVOVP $.

    $( TODO - check if it is more efficient to eliminate this and
       use ~ 3dimlem4OLDN $)
    $( Lemma for ~ 3dim3 .  (Contributed by NM, 27-Jul-2012.) $)
    3dimlem4a $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
      /\ ( R e. A /\ S e. A ) /\ ( -. S .<_ ( Q .\/ R )
           /\ -. P .<_ ( Q .\/ R ) /\ -. P .<_ ( ( Q .\/ R ) .\/ S ) ) )
   -> -. S .<_ ( ( P .\/ Q ) .\/ R ) ) $=
      ( chlt wcel w3a wa co wbr wn atbase syl simp33 clat cbs cfv simp11 hllatd
      wceq simp13 simp2l simp12 latjrot syl13anc breq2d wi simp2r latjcl simp31
      eqid syl3anc hlexch1 syl131anc sylbird mtod ) GLMZBAMZCAMZNZDAMZEAMZOZECD
      FPZHQRZBVKHQRZBVKEFPHQZRZNZNZEBCFPDFPZHQZVNVGVJVLVMVOUAVQVSEVKBFPZHQZVNVQ
      VTVREHVQGUBMZCGUCUDZMZDWCMZBWCMZVTVRUGVQGVDVEVFVJVPUEZUFZVQVFWDVDVEVFVJVP
      UHAWCCGWCURZKSTZVQVHWEVGVHVIVPUIAWCDGWIKSTZVQVEWFVDVEVFVJVPUJZAWCBGWIKSTW
      CFGCDBWIIUKULUMVQVDVIVEVKWCMZVLWAVNUNWGVGVHVIVPUOWLVQWBWDWEWMWHWJWKWCFGCD
      WIIUPUSVGVJVLVMVOUQAWCEBFGHVKWIJIKUTVAVBVC $.

    $( Lemma for ~ 3dim1 .  (Contributed by NM, 25-Jul-2012.) $)
    3dimlem4 $p |- ( ( ( ( K e. HL /\ P e. A /\ Q e. A )
       /\ ( R e. A /\ S e. A )
       /\ ( Q =/= R /\ -. S .<_ ( Q .\/ R ) ) )
     /\ ( P =/= Q /\ -. P .<_ ( Q .\/ R ) )
        /\ -. P .<_ ( ( Q .\/ R ) .\/ S ) )
  -> ( P =/= Q /\ -. R .<_ ( P .\/ Q )
         /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) ) ) $=
      ( wcel w3a wa wne co wbr wn simp2l wi chlt simp2r simp11 simp12 hlatexch2
      simp13 simp3l necomd syl131anc wceq hlatjcom syl3anc breq2d 3ad2ant1 mtod
      sylibrd simp13r simp3 3dimlem4a syl113anc 3jca ) GUALZBALZCALZMZDALZEALZN
      ZCDOZECDFPZHQRZNZMZBCOZBVJHQZRZNZBVJEFPHQRZMZVNDBCFPZHQZREVTDFPHQRZVMVNVP
      VRSVSWAVOVMVNVPVRUBZVMVQWAVOTVRVMWABDCFPZHQZVOVMVBVFVCVDDCOWAWETVBVCVDVHV
      LUCZVEVFVGVLSZVBVCVDVHVLUDVBVCVDVHVLUFZVMCDVEVHVIVKUGUHADBCFGHJIKUEUIVMVJ
      WDBHVMVBVDVFVJWDUJWFWHWGAFGCDIKUKULUMUPUNUOVSVEVHVKVPVRWBVEVHVLVQVRUCVEVH
      VLVQVRUDVIVKVEVHVQVRUQWCVMVQVRURABCDEFGHIJKUSUTVA $.

    $( See TODO above $)
    $( Lemma for ~ 3dim1 .  (Contributed by NM, 25-Jul-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    3dimlem4OLDN $p |- ( ( ( ( K e. HL /\ P e. A /\ Q e. A )
       /\ ( R e. A /\ S e. A )
       /\ ( Q =/= R /\ -. S .<_ ( Q .\/ R ) ) )
     /\ ( P =/= Q /\ -. P .<_ ( Q .\/ R ) )
        /\ -. P .<_ ( ( Q .\/ R ) .\/ S ) )
  -> ( P =/= Q /\ -. R .<_ ( P .\/ Q )
         /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) ) ) $=
      ( wcel w3a wa wne co wbr wn wi syl chlt simp2l simp2r hlatexch2 syl131anc
      simp11 simp12 simp13 simp3l necomd wceq hlatjcom syl3anc sylibrd 3ad2ant1
      breq2d mtod simp3 clat cbs cfv hllat eqid atbase latjrot syl13anc hlatjcl
      simp3r hlexch1 sylbird 3jca ) GUALZBALZCALZMZDALZEALZNZCDOZECDFPZHQRZNZMZ
      BCOZBVTHQZRZNZBVTEFPHQZRZMZWDDBCFPZHQZREWKDFPZHQZRWCWDWFWIUBWJWLWEWCWDWFW
      IUCWCWGWLWESWIWCWLBDCFPZHQZWEWCVLVPVMVNDCOWLWPSVLVMVNVRWBUFZVOVPVQWBUBZVL
      VMVNVRWBUGZVLVMVNVRWBUHZWCCDVOVRVSWAUIUJADBCFGHJIKUDUEWCVTWOBHWCVLVNVPVTW
      OUKWQWTWRAFGCDIKULUMUPUNUOUQWJWNWHWCWGWIURWCWGWNWHSWIWCWNEVTBFPZHQZWHWCXA
      WMEHWCGUSLZCGUTVAZLZDXDLZBXDLZXAWMUKWCVLXCWQGVBTWCVNXEWTAXDCGXDVCZKVDTWCV
      PXFWRAXDDGXHKVDTWCVMXGWSAXDBGXHKVDTXDFGCDBXHIVEVFUPWCVLVQVMVTXDLZWAXBWHSW
      QVOVPVQWBUCWSWCVLVNVPXIWQWTWRAXDFGCDXHIKVGUMVOVRVSWAVHAXDEBFGHVTXHJIKVIUE
      VJUOUQVK $.

    $d t u v w A $.  $d q t u v w .\/ $.  $d t u v w K $.
    $d q r s t u v w .<_ $.  $d q r s t u v w P $.
    $( Lemma for ~ 3dim1 .  (Contributed by NM, 26-Jul-2012.) $)
    3dim1lem5 $p |- ( ( ( u e. A /\ v e. A /\ w e. A )
     /\ ( P =/= u /\ -. v .<_ ( P .\/ u )
         /\ -. w .<_ ( ( P .\/ u ) .\/ v ) ) )
   -> E. q e. A E. r e. A E. s e. A
     ( P =/= q /\ -. r .<_ ( P .\/ q )
           /\ -. s .<_ ( ( P .\/ q ) .\/ r ) ) ) $=
      ( cv co wbr wn w3a notbid wne neeq2 oveq2 breq2d 3anbi123d breq1 3anbi23d
      weq oveq1d 3anbi3d rspc3ev ) EKOZUAZJOZEULFPZHQZRZIOZUOUNFPZHQZRZSECOZUAZ
      BOZEVBFPZHQZRZAOZVEVDFPZHQZRZSVCUNVEHQZRZURVEUNFPZHQZRZSVCVGURVIHQZRZSKJI
      VBVDVHDDDKCUHZUMVCUQVMVAVPULVBEUBVSUPVLVSUOVEUNHULVBEFUCZUDTVSUTVOVSUSVNU
      RHVSUOVEUNFVTUIUDTUEJBUHZVMVGVPVRVCWAVLVFUNVDVEHUFTWAVOVQWAVNVIURHUNVDVEF
      UCUDTUGIAUHZVRVKVCVGWBVQVJURVHVIHUFTUJUK $.

    $( Construct a 3-dimensional volume (height-4 element) on top of a given
       atom ` P ` .  (Contributed by NM, 25-Jul-2012.) $)
    3dim1 $p |- ( ( K e. HL /\ P e. A ) -> E. q e. A E. r e. A E. s e. A
     ( P =/= q /\ -. r .<_ ( P .\/ q )
          /\ -. s .<_ ( ( P .\/ q ) .\/ r ) ) ) $=
      ( vt vu vv vw wa co wbr wn w3a chlt wcel cv wne wrex 3dim0 adantr wi wceq
      simpl2 3dimlem1 3ad2antl3 3dim1lem5 syl2anc simp13 simp22 simp23 ad2antrr
      simpll1 simp21 simp32 simp33 simplr simpr 3dimlem2 syl112anc simp1 simp31
      3jca jca simplrl simplrr 3dimlem3 syl13anc simpl1 simpl21 simpl22 simpl31
      simpl32 3dimlem4 syl3anc pm2.61dan anassrs pm2.61dane 3exp impd rexlimdvv
      3expd imp43 rexlimdvva mpd ) DUAUBZBAUBZPZLUCZMUCZUDZNUCZWOWPCQZERSZOUCZW
      SWRCQZERSZTZOAUENAUEZMAUELAUEZBHUCZUDGUCZBXGCQZERSFUCXIXHCQERSTFAUEGAUEHA
      UEZWLXFWMACDEONMLIJKUFUGWNXEXJLMAAWNWOAUBZWPAUBZPPZXDXJNOAAXMWRAUBZXAAUBZ
      XDXJUHZWLWMXKXLXNXOXPUHUHZWLWMXKXLXQUHWLWMXKTZXLXNXOXPXRXLXNXOTZXDXJXRXSX
      DTZXJBWOXTBWOUIZPXSBWPUDWRBWPCQZERSXAYBWRCQERSTZXJXRXSXDYAUJXDXRYAYCXSABW
      OWPWRXACDEIJKUKULONMABCDEFGHIJKUMUNXTBWOUDZPZBWSERZXJYEYFPZXKXNXOTZYDWRBW
      OCQZERSXAYIWRCQERSTZXJXTYHYDYFXTXKXNXOWLWMXKXSXDUOZXRXLXNXOXDUPZXRXLXNXOX
      DUQZVIURYGXRXLWTXCTZYDYFYJXRXSXDYDYFUSXTYNYDYFXTXLWTXCXRXLXNXOXDUTZXRXSWQ
      WTXCVAXRXSWQWTXCVBZVIURXTYDYFVCYEYFVDABWOWPWRXACDEIJKVEVFONLABCDEFGHIJKUM
      UNXTYDYFSZXJXTYDYQPZPZBXBERZXJYSYTPZXKXLXOTZYDWPYIERSZXAYIWPCQZERSTZXJXTU
      UBYRYTXTXKXLXOYKYOYMVIURUUAXRXLXNPZWQXCPZTZYDYQYTUUEXTUUHYRYTXTXRUUFUUGXR
      XSXDVGXTXLXNYOYLVJXTWQXCXRXSWQWTXCVHYPVJVIURXTYDYQYTVKXTYDYQYTVLYSYTVDABW
      OWPWRXACDEIJKVMVNOMLABCDEFGHIJKUMUNYSYTSZPZXKXLXNTZYDUUCWRUUDERSTZXJXTUUK
      YRUUIXTXKXLXNYKYOYLVIURUUJXRUUFWQWTPZTZYRUUIUULYSUUNUUIYSXRUUFUUMXRXSXDYR
      VOYSXLXNXLXNXOXRXDYRVPXLXNXOXRXDYRVQVJYSWQWTWQWTXCXRXSYRVRWQWTXCXRXSYRVSV
      JVIUGXTYRUUIVCYSUUIVDABWOWPWRCDEIJKVTWANMLABCDEFGHIJKUMUNWBWCWBWDWEWHWEWI
      WFWGWJWK $.

    $d r s u v w Q $.
    $( Construct 2 new layers on top of 2 given atoms.  (Contributed by NM,
       27-Jul-2012.) $)
    3dim2 $p |- ( ( K e. HL /\ P e. A /\ Q e. A )
       -> E. r e. A E. s e. A
          ( -. r .<_ ( P .\/ Q ) /\ -. s .<_ ( ( P .\/ Q ) .\/ r ) ) ) $=
      ( wcel w3a cv co wbr wn wa wceq notbid vu vv vw chlt wne 3dim1 3adant2 wi
      simpl21 simpl22 simp31 necomd adantr oveq1 simp11 simp13 hlatjidm syl2anc
      wrex sylan9eqr breq2d wb cal hlatl syl simp21 atncmp syl3anc bitrd mpbird
      simpl32 oveq1d mtbird breq1 oveq2 anbi12d anbi2d rspc2ev syl112anc simp22
      simp23 jca ad2antrr simp32 simp33 3jca simplr simpr 3dimlem2 3simpc 3expa
      simpll1 ad3antrrr simpllr 3dimlem3 syl13anc 3dimlem4 syl121anc pm2.61dane
      simp1 pm2.61dan 3exp 3expd imp32 rexlimdv rexlimdvva mpd ) EUDLZBALZCALZM
      ZCUANZUEZUBNZCXLDOZFPZQZUCNZXOXNDOZFPQZMZUCAUSZUBAUSUAAUSZHNZBCDOZFPZQZGN
      ZYEYDDOZFPZQZRZGAUSHAUSZXHXJYCXIACDEFUCUBUAIJKUFUGXKYBYMUAUBAAXKXLALZXNAL
      ZRZRYAYMUCAXKYNYOXRALZYAYMUHZUHXKYNYOYQYRXKYNYOYQMZYAYMXKYSYAMZYMBCYTBCSZ
      RZYNYOXLYEFPZQZXNYEXLDOZFPZQZYMYNYOYQXKYAUUAUIYNYOYQXKYAUUAUJUUBUUDXLCUEZ
      YTUUHUUAYTCXLXKYSXMXQXTUKZULUMUUBUUDXLCFPZQZUUHUUBUUCUUJUUBYECXLFUUAYTYEC
      CDOZCBCCDUNYTXHXJUULCSXHXIXJYSYAUOZXHXIXJYSYAUPZADECIKUQURUTZVATYTUUKUUHV
      BZUUAYTEVCLZYNXJUUPYTXHUUQUUMEVDVEXKYNYOYQYAVFZUUNAXLCEFJKVGVHUMVIVJUUBUU
      FXPXMXQXTXKYSUUAVKUUBUUEXOXNFUUBYECXLDUUOVLVAVMYLUUDUUGRZUUDYHUUEFPZQZRZH
      GXLXNAAYDXLSZYGUUDYKUVAUVCYFUUCYDXLYEFVNTUVCYJUUTUVCYIUUEYHFYDXLYEDVOVATV
      PZYHXNSZUVAUUGUUDUVEUUTUUFYHXNUUEFVNTVQVRZVSYTBCUEZRZBXOFPZYMUVHUVIRZYOYQ
      RZXNYEFPZQZXRYEXNDOZFPZQZRZYMYTUVKUVGUVIYTYOYQXKYNYOYQYAVTZXKYNYOYQYAWAZW
      BWCUVJUVGUVMUVPMZUVQUVJXKYNXQXTMZUVGUVIUVTXKYSYAUVGUVIWLYTUWAUVGUVIYTYNXQ
      XTUURXKYSXMXQXTWDZXKYSXMXQXTWEZWFWCYTUVGUVIWGUVHUVIWHABCXLXNXRDEFIJKWIVSU
      VGUVMUVPWJVEYOYQUVQYMYLUVQUVMYHUVNFPZQZRHGXNXRAAYDXNSZYGUVMYKUWEUWFYFUVLY
      DXNYEFVNTUWFYJUWDUWFYIUVNYHFYDXNYEDVOVATVPYHXRSZUWEUVPUVMUWGUWDUVOYHXRUVN
      FVNTVQVRWKURUVHUVIQZRZBXSFPZYMUWIUWJRZYNYQRZUUDXRUUEFPZQZRZYMYTUWLUVGUWHU
      WJYTYNYQUURUVSWBWMUWKUVGUUDUWNMZUWOUWKXKYPXMXTRZMZUVGUWHUWJUWPYTUWRUVGUWH
      UWJYTXKYPUWQXKYSYAWTZYTYNYOUURUVRWBZYTXMXTUUIUWCWBWFWMYTUVGUWHUWJWNUVHUWH
      UWJWGUWIUWJWHABCXLXNXRDEFIJKWOWPUVGUUDUWNWJVEYNYQUWOYMYLUWOUVBHGXLXRAAUVD
      UWGUVAUWNUUDUWGUUTUWMYHXRUUEFVNTVQVRWKURUWIUWJQZRZYPUUSYMYTYPUVGUWHUXAUWT
      WMUXBUVGUUDUUGMZUUSUXBXKYPXMXQRZMZUVGUWHUXAUXCYTUXEUVGUWHUXAYTXKYPUXDUWSU
      WTYTXMXQUUIUWBWBWFWMYTUVGUWHUXAWNUVHUWHUXAWGUWIUXAWHABCXLXNDEFIJKWQWRUVGU
      UDUUGWJVEYNYOUUSYMUVFWKURXAXAWSXBXCXDXEXFXG $.

    $d s v w R $.
    $( Construct a new layer on top of 3 given atoms.  (Contributed by NM,
       27-Jul-2012.) $)
    3dim3 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A ) )
       -> E. s e. A -. s .<_ ( ( P .\/ Q ) .\/ R ) ) $=
      ( vv wcel wa co wbr wn wceq syl2anc ad2antrr vw chlt wrex 3dim2 3adant3r1
      w3a cv simpl2l simp3l simp1l simp1r2 hlatjidm oveq1d breq2d mtbird notbid
      oveq1 biimparc sylan breq1 rspcev wne simp2l hlatjass 3ad2ant1 cbs cfv wb
      clat hllatd simp1r1 eqid atbase syl simp1r3 hlatjcl 3jca adantr latleeqj1
      syl3anc biimpa eqtrd simpl2r ad3antrrr jca simpl3r simplr simpr 3dimlem3a
      syl113anc simpl3l 3dimlem4a pm2.61dan pm2.61dane 3exp rexlimdvv mpd ) FUB
      MZBAMZCAMZDAMZUFZNZLUGZCDEOZGPZQZUAUGZXEXDEOZGPQZNZUAAUCLAUCZHUGZBCEOZDEO
      ZGPZQZHAUCZWRWTXAXLWSACDEFGUALIJKUDUEXCXKXRLUAAAXCXDAMZXHAMZNZXKXRXCYAXKU
      FZXRBCYBBCRZNXSXDXOGPZQZXRXSXTXCXKYCUHYBXDCCEOZDEOZGPZQZYCYEYBYHXFXCYAXGX
      JUIZYBYGXEXDGYBYFCDEYBWRWTYFCRWRXBYAXKUJZWSWTXAWRYAXKUKZAEFCIKULSUMUNUOYC
      YEYIYCYDYHYCXOYGXDGYCXNYFDEBCCEUQUMUNUPURUSXQYEHXDAXMXDRXPYDXMXDXOGUTUPVA
      ZSYBBCVBZNZBXEGPZXRYOYPNZXSYEXRYBXSYNYPXCXSXTXKVCZTYQYDXFYBXGYNYPYJTYQXOX
      EXDGYQXOBXEEOZXEYBXOYSRZYNYPXCYAYTXKABCDEFIKVDVETYOYPYSXERZYOFVIMZBFVFVGZ
      MZXEUUCMZUFZYPUUAVHYBUUFYNYBUUBUUDUUEYBFYKVJYBWSUUDWSWTXAWRYAXKVKZAUUCBFU
      UCVLZKVMVNYBWRWTXAUUEYKYLWSWTXAWRYAXKVOZAUUCEFCDUUHIKVPVTVQVRUUCEFGBXEUUH
      JIVSVNWAWBUNUOYMSYOYPQZNZBXIGPZXRUUKUULNZXTXHXOGPZQZXRYOXTUUJUULXSXTXCXKY
      NWCTUUMWRWSWTUFZXAXSNZXJUUJUULUUOYBUUPYNUUJUULYBWRWSWTYKUUGYLVQZWDYBUUQYN
      UUJUULYBXAXSUUIYRWEZWDYOXJUUJUULXGXJXCYAYNWFTYOUUJUULWGUUKUULWHABCDXDXHEF
      GIJKWIWJXQUUOHXHAXMXHRXPUUNXMXHXOGUTUPVASUUKUULQZNZXSYEXRYOXSUUJUUTXSXTXC
      XKYNUHTUVAUUPUUQXGUUJUUTYEYBUUPYNUUJUUTUURWDYBUUQYNUUJUUTUUSWDYOXGUUJUUTX
      GXJXCYAYNWKTYOUUJUUTWGUUKUUTWHABCDXDEFGIJKWLWJYMSWMWMWNWOWPWQ $.
  $}

  ${
    $d q r s A $.  $d q r s .\/ $.  $d q r s K $.  $d q r s P $.
    2dim.j $e |- .\/ = ( join ` K ) $.
    2dim.c $e |- C = ( <o ` K ) $.
    2dim.a $e |- A = ( Atoms ` K ) $.
    $( Generate a height-3 element (2-dimensional plane) from an atom.
       (Contributed by NM, 3-May-2012.) $)
    2dim $p |- ( ( K e. HL /\ P e. A ) -> E. q e. A E. r e. A
         ( P C ( P .\/ q ) /\ ( P .\/ q ) C ( ( P .\/ q ) .\/ r ) ) ) $=
      ( vs wcel wa cv wne wbr wn wrex wb syl3anc chlt cple cfv w3a 3dim1 df-3an
      co eqid rexbii r19.42v bitri simplbi cal simplll hlatl syl simplr simpllr
      atncmp necom bitr2di cbs atbase cvr1 bitrd hlatjcl simpr anbi12d reximdva
      syl5ib mpd ) EUALZCALZMZCGNZOZFNZCVODUGZEUBUCZPQZKNVRVQDUGZVSPQZUDZKARZFA
      RZGARCVRBPZVRWABPZMZFARZGARACDEVSKFGHVSUHZJUEVNWEWIGAVNVOALZMZWDWHFAWDVPV
      TMZWLVQALZMZWHWDWMWBKARZWDWMWBMZKARWMWPMWCWQKAVPVTWBUFUIWMWBKAUJUKULWOVPW
      FVTWGWOVPVOCVSPQZWFWOWRVOCOZVPWOEUMLZWKVMWRWSSWOVLWTVLVMWKWNUNZEUOUPVNWKW
      NUQZVLVMWKWNURZAVOCEVSWJJUSTVOCUTVAWOVLCEVBUCZLZWKWRWFSXAWOVMXEXCAXDCEXDU
      HZJVCUPXBAXDBVODEVSCXFWJHIJVDTVEWOVLVRXDLZWNVTWGSXAWOVLVMWKXGXAXCXBAXDDEC
      VOXFHJVFTWLWNVGAXDBVQDEVSVRXFWJHIJVDTVHVJVIVIVK $.

    $d r C $.
    $( An atom is covered by a height-2 element (1-dimensional line).
       (Contributed by NM, 3-May-2012.)  (New usage is discouraged.) $)
    1dimN $p |- ( ( K e. HL /\ P e. A ) -> E. q e. A P C ( P .\/ q ) ) $=
      ( vr chlt wcel wa cv co wbr wrex 2dim r19.42v simplbi reximi syl ) EKLCAL
      MCCFNDOZBPZUCUCJNDOBPZMJAQZFAQUDFAQABCDEJFGHIRUFUDFAUFUDUEJAQUDUEJASTUAUB
      $.
  $}

  ${
    1cvrco.b $e |- B = ( Base ` K ) $.
    1cvrco.u $e |- .1. = ( 1. ` K ) $.
    1cvrco.o $e |- ._|_ = ( oc ` K ) $.
    1cvrco.c $e |- C = ( <o ` K ) $.
    1cvrco.a $e |- A = ( Atoms ` K ) $.
    $( The orthocomplement of an element covered by 1 is an atom.  (Contributed
       by NM, 7-May-2012.) $)
    1cvrco $p |- ( ( K e. HL /\ X e. B ) ->
      ( X C .1. <-> ( ._|_ ` X ) e. A ) ) $=
      ( chlt wcel wa wbr cfv wb adantr syl cp0 cops hlop simpr cvrcon3b syl3anc
      op1cl wceq eqid opoc1 breq1d opoccl sylan biantrurd 3bitrd isat bitr4d )
      EMNZGBNZOZGDCPZGFQZBNZEUAQZVBCPZOZVBANZUTVADFQZVBCPZVEVFUTEUBNZUSDBNZVAVI
      RURVJUSEUCZSZURUSUDUTVJVKVMBDEHIUGTBCEFGDHJKUEUFUTVHVDVBCUTVJVHVDUHVMDEFV
      DVDUIZIJUJTUKUTVCVEURVJUSVCVLBEFGHJULUMUNUOURVGVFRUSABCMVBEVDHVNKLUPSUQ
      $.
  $}

  ${
    $d p q r A $.  $d p q r B $.  $d p q r C $.  $d p q r K $.  $d p q r .< $.
    $d p q r .1. $.  $d p q r X $.
    1cvratex.b $e |- B = ( Base ` K ) $.
    1cvratex.s $e |- .< = ( lt ` K ) $.
    1cvratex.u $e |- .1. = ( 1. ` K ) $.
    1cvratex.c $e |- C = ( <o ` K ) $.
    1cvratex.a $e |- A = ( Atoms ` K ) $.
    $( There exists an atom less than an element covered by 1.  (Contributed by
       NM, 7-May-2012.)  (Revised by Mario Carneiro, 13-Jun-2014.) $)
    1cvratex $p |- ( ( K e. HL /\ X e. B /\ X C .1. ) -> E. p e. A p .< X ) $=
      ( wcel wbr cfv wa syl2anc syl syl3anc vq vr chlt w3a coc cv co wrex simp1
      cjn eqid 1cvrco biimp3a 2dim cple cp0 simp11 cops hlop clat hllatd simp12
      wne opoccl simp2l atbase latjcl simp2r op0le simp3r syl31anc wb opltcon3b
      cvrlt mpbid cpo hlpos op0cl plelttr syl13anc mp2and pltne mpd necomd atle
      wi simp3l wceq opococ breqtrd adantr simpl11 adantl simpl12 reximdva 3exp
      mpan2d rexlimdvv ) FUCNZGBNZGECOZUDZGFUEPZPZXDUAUFZFUJPZUGZCOZXGXGUBUFZXF
      UGZCOZQZUBAUHUAAUHZHUFZGDOZHAUHZXBWSXDANZXMWSWTXAUIWSWTXAXQABCEFXCGIKXCUK
      ZLMULUMACXDXFFUBUAXFUKZLMUNRXBXLXPUAUBAAXBXEANZXIANZQZXLXPXBYBXLUDZXNXGXC
      PZFUOPZOZHAUHZXPYCWSYDBNZYDFUPPZVCYGWSWTXAYBXLUQZYCFURNZXGBNZYHYCWSYKYJFU
      SSZYCFUTNZXDBNZXEBNZYLYCFYJVAZYCYKWTYOYMWSWTXAYBXLVBZBFXCGIXRVDRZYCXTYPXB
      XTYAXLVEABXEFIMVFSBXFFXDXEIXSVGTZBFXCXGIXRVDRZYCYIYDYCYIYDDOZYIYDVCZYCYIX
      JXCPZYEOZUUDYDDOZUUBYCYKUUDBNZUUEYMYCYKXJBNZUUGYMYCYNYLXIBNZUUHYQYTYCYAUU
      IXBXTYAXLVHABXIFIMVFSBXFFXGXIIXSVGTZBFXCXJIXRVDRZBFYEUUDYIIYEUKZYIUKZVIRY
      CXGXJDOZUUFYCWSYLUUHXKUUNYJYTUUJXBYBXHXKVJUCBCDFXGXJIJLVNVKYCYKYLUUHUUNUU
      FVLYMYTUUJBDFXCXGXJIJXRVMTVOYCFVPNZYIBNZUUGYHUUEUUFQUUBWFYCWSUUOYJFVQZSYC
      YKUUPYMBFYIIUUMVRSZUUKUUABDFYEYIUUDYDIUULJVSVTWAYCWSUUPYHUUBUUCWFYJUURUUA
      UCBBDFYIYDJWBTWCWDABFYEYDYIHIUULUUMMWETYCYFXOHAYCXNANZQZYFYDGDOZXOYCUVAUU
      SYCYDXDXCPZGDYCXDXGDOZYDUVBDOZYCWSYOYLXHUVCYJYSYTXBYBXHXKWGUCBCDFXDXGIJLV
      NVKYCYKYOYLUVCUVDVLYMYSYTBDFXCXDXGIJXRVMTVOYCYKWTUVBGWHYMYRBFXCGIXRWIRWJW
      KUUTUUOXNBNZYHWTYFUVAQXOWFUUTWSUUOWSWTXAYBXLUUSWLUUQSUUSUVEYCABXNFIMVFWMY
      CYHUUSUUAWKWSWTXAYBXLUUSWNBDFYEXNYDGIUULJVSVTWQWOWCWPWRWC $.
  $}

  ${
    $d q A $.  $d q B $.  $d q C $.  $d q K $.  $d q .<_ $.  $d q P $.
    $d q .< $.  $d q .1. $.  $d q X $.
    1cvratlt.b $e |- B = ( Base ` K ) $.
    1cvratlt.l $e |- .<_ = ( le ` K ) $.
    1cvratlt.s $e |- .< = ( lt ` K ) $.
    1cvratlt.u $e |- .1. = ( 1. ` K ) $.
    1cvratlt.c $e |- C = ( <o ` K ) $.
    1cvratlt.a $e |- A = ( Atoms ` K ) $.
    $( An atom less than or equal to an element covered by 1 is less than the
       element.  (Contributed by NM, 7-May-2012.) $)
    1cvratlt $p |- ( ( ( K e. HL /\ P e. A /\ X e. B )
      /\ ( X C .1. /\ P .<_ X ) ) -> P .< X ) $=
      ( vq wcel w3a wbr wa chlt cv simpl1 simpl3 simprl syl3anc simp1l1 simp1l2
      wrex 1cvratex simp2 simp1l3 simp1rr simp3 atlelt syl132anc rexlimdv3a mpd
      ) GUAQZDAQZIBQZRZIFCSZDIHSZTZTZPUBZIESZPAUIZDIESZVFUSVAVCVIUSUTVAVEUCUSUT
      VAVEUDVBVCVDUEABCEFGIPJLMNOUJUFVFVHVJPAVFVGAQZVHRUSUTVKVAVDVHVJUSUTVAVEVK
      VHUGUSUTVAVEVKVHUHVFVKVHUKUSUTVAVEVKVHULVCVDVBVKVHUMVFVKVHUNABDVGEGHIJKLO
      UOUPUQUR $.
  $}

  ${
    1cvrjat.b $e |- B = ( Base ` K ) $.
    1cvrjat.l $e |- .<_ = ( le ` K ) $.
    1cvrjat.j $e |- .\/ = ( join ` K ) $.
    1cvrjat.u $e |- .1. = ( 1. ` K ) $.
    1cvrjat.c $e |- C = ( <o ` K ) $.
    1cvrjat.a $e |- A = ( Atoms ` K ) $.
    $( An element covered by the lattice unit, when joined with an atom not
       under it, equals the lattice unit.  (Contributed by NM, 30-Apr-2012.) $)
    1cvrjat $p |- ( ( ( K e. HL /\ X e. B /\ P e. A )
        /\ ( X C .1. /\ -. P .<_ X ) ) -> ( X .\/ P ) = .1. ) $=
      ( wcel wbr cfv wceq wb chlt w3a wn wa co coc cp0 simprr cvr1 adantr mpbid
      cops simpl1 hlop syl simpl2 clat hllatd simpl3 atbase latjcl syl3anc eqid
      cvrcon3b cal hlatl opoccl opoc1 3syl simprl op1cl eqbrtrrd isat mpbir2and
      syl2anc atcvreq0 fveq2d opococ opoc0 3eqtr3d ) GUAPZIBPZDAPZUBZIECQZDIHQU
      CZUDZUDZIDFUEZGUFRZRZWJRZGUGRZWJRZWIEWHWKWMWJWHWKIWJRZCQZWKWMSZWHIWICQZWP
      WHWFWRWDWEWFUHWDWFWRTWGABCDFGHIJKLNOUIUJUKWHGULPZWBWIBPZWRWPTWHWAWSWAWBWC
      WGUMZGUNZUOZWAWBWCWGUPZWHGUQPWBDBPZWTWHGXAURXDWHWCXEWAWBWCWGUSABDGJOUTUOB
      FGIDJLVAVBZBCGWJIWIJWJVCZNVDVBUKWHGVEPZWKBPZWOAPZWPWQTWHWAXHXAGVFUOWHWSWT
      XIXCXFBGWJWIJXGVGVOWHXJWOBPZWMWOCQZWHWSWBXKXCXDBGWJIJXGVGVOWHEWJRZWMWOCWH
      WAWSXMWMSXAXBEGWJWMWMVCZMXGVHVIWHWEXMWOCQZWDWEWFVJWHWSWBEBPZWEXOTXCXDWHWA
      WSXPXAXBBEGJMVKVIBCGWJIEJXGNVDVBUKVLWHWAXJXKXLUDTXAABCUAWOGWMJXNNOVMUOVNA
      BCWOGHWKWMJKXNNOVPVBUKVQWHWSWTWLWISXCXFBGWJWIJXGVRVOWHWAWSWNESXAXBEGWJWMX
      NMXGVSVIVT $.
  $}

  ${
    1cvrat.b $e |- B = ( Base ` K ) $.
    1cvrat.l $e |- .<_ = ( le ` K ) $.
    1cvrat.j $e |- .\/ = ( join ` K ) $.
    1cvrat.m $e |- ./\ = ( meet ` K ) $.
    1cvrat.u $e |- .1. = ( 1. ` K ) $.
    1cvrat.c $e |- C = ( <o ` K ) $.
    1cvrat.a $e |- A = ( Atoms ` K ) $.
    $( Create an atom under an element covered by the lattice unit.  Part of
       proof of Lemma B in [Crawley] p. 112.  (Contributed by NM,
       30-Apr-2012.) $)
    1cvrat $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ X e. B )
  /\ ( P =/= Q /\ X C .1. /\ -. P .<_ X ) ) -> ( ( P .\/ Q ) ./\ X ) e. A ) $=
      ( wcel co chlt w3a wne wbr wn clat wceq 3ad2ant1 simp21 atbase syl simp22
      hllat latjcom syl3anc oveq1d latjcl simp23 eqtrd simp1 3jca simp31 necomd
      latmcom simp33 cops ople1 syl2anc simp32 1cvrjat syl32anc breqtrrd cvrat3
      hlop wa imp syl23anc eqeltrd ) HUASZDASZEASZKBSZUBZDEUCZKFCUDZDKIUDUEZUBZ
      UBZDEGTZKJTZKEDGTZJTZAWHWJWKKJTZWLWHWIWKKJWHHUFSZDBSZEBSZWIWKUGVSWCWNWGHU
      MUHZWHVTWOVSVTWAWBWGUIZABDHLRUJUKZWHWAWPVSVTWAWBWGULZABEHLRUJUKZBGHDELNUN
      UOUPWHWNWKBSZWBWMWLUGWQWHWNWPWOXBWQXAWSBGHEDLNUQUOVSVTWAWBWGURZBHJWKKLOVD
      UOUSWHVSWBWAVTUBZEDUCZWFEKDGTZIUDZWLASZVSWCWGUTZWHWBWAVTXCWTWRVAWHDEVSWCW
      DWEWFVBVCVSWCWDWEWFVEZWHEFXFIWHHVFSZWPEFIUDVSWCXKWGHVNUHXABFHIELMPVGVHWHV
      SWBVTWEWFXFFUGXIXCWRVSWCWDWEWFVIXJABCDFGHIKLMNPQRVJVKVLVSXDVOXEWFXGUBXHAB
      EDGHIJKLMNORVMVPVQVR $.
  $}

  ${
    ps1.l $e |- .<_ = ( le ` K ) $.
    ps1.j $e |- .\/ = ( join ` K ) $.
    ps1.a $e |- A = ( Atoms ` K ) $.
    $( The join of two atoms ` R .\/ S ` (specifying a projective geometry
       line) is determined uniquely by any two atoms (specifying two points)
       less than or equal to that join.  Part of Lemma 16.4 of [MaedaMaeda]
       p. 69, showing projective space postulate PS1 in [MaedaMaeda] p. 67.
       (Contributed by NM, 15-Nov-2011.) $)
    ps-1 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ P =/= Q )
            /\ ( R e. A /\ S e. A ) )
     -> ( ( P .\/ Q ) .<_ ( R .\/ S ) <-> ( P .\/ Q ) = ( R .\/ S ) ) ) $=
      ( wcel wa co wbr wceq wi wb syl3anc hlatjcl chlt wne oveq1 breq2d imbi12d
      w3a eqeq2d eqcoms simp3 simp1 simp21 hlatjcom 3ad2ant1 clat cbs cfv hllat
      simp3l eqid atbase syl simp22 simp3r latjle12 simpl syl6bir adantr simpl1
      syl13anc simpl21 simpl3r simpl3l simpr hlatexchb1 syl131anc sylibd 3impia
      breqtrrd 3expia simp23 necomd syl5ib sylbird syld pm2.61ne latref syl2anc
      eqtrd breq2 syl5ibcom impbid ) GUALZBALZCALZBCUBZUFZDALZEALZMZUFZBCFNZDEF
      NZHOZXAXBPZWTXCXDQZXABEFNZHOZXAXFPZQZBDXEXIRDBDBPZXCXGXDXHXJXBXFXAHDBEFUC
      ZUDXJXBXFXAXKUGUEUHWTBDUBZXCXDWTXLXCUFZXABDFNZXBWTXLXCXAXNPZWTXLMZXCXAXNH
      OZXOWTXLXCXQXMXAXBXNHWTXLXCUIXMXNDBFNZXBWTXLXNXRPZXCWTWLWMWQXSWLWPWSUJZWL
      WMWNWOWSUKZWLWPWQWRURZAFGBDJKULSUMWTXLXCXRXBPZXPXCBXBHOZYCWTXCYDQXLWTXCYD
      CXBHOZMZYDWTGUNLZBGUOUPZLZCYHLZXBYHLZYFXCRWLWPYGWSGUQUMZWTWMYIYAAYHBGYHUS
      ZKUTVAZWTWNYJWLWMWNWOWSVBZAYHCGYMKUTVAZWTWLWQWRYKXTYBWLWPWQWRVCZAYHFGDEYM
      JKTSYHFGHBCXBYMIJVDVIYDYEVEVFVGXPWLWMWRWQXLYDYCRWLWPWSXLVHWMWNWOWLWSXLVJW
      QWRWLWPXLVKWQWRWLWPXLVLWTXLVMABEDFGHIJKVNVOVPVQWHZVRVSWTXQXOQXLWTXQBXNHOZ
      CXNHOZMZXOWTYGYIYJXNYHLZUUAXQRYLYNYPWTWLWMWQUUBXTYAYBAYHFGBDYMJKTSYHFGHBC
      XNYMIJVDVIUUAYTWTXOYSYTVMWTWLWNWQWMCBUBZYTXORXTYOYBYAWTBCWLWMWNWOWSVTWAZA
      CDBFGHIJKVNVOWBWCVGWDVQYRWHVSWTXGCXFHOZXHWTXGBXFHOZUUEMZUUEWTYGYIYJXFYHLZ
      UUGXGRYLYNYPWTWLWMWRUUHXTYAYQAYHFGBEYMJKTSYHFGHBCXFYMIJVDVIUUFUUEVMVFWTWL
      WNWRWMUUCUUEXHRXTYOYQYAUUDACEBFGHIJKVNVOVPWEWTXAXAHOZXDXCWTYGXAYHLZUUIYLW
      TWLWMWNUUJXTYAYOAYHFGBCYMJKTSYHGHXAYMIWFWGXAXBXAHWIWJWK $.

    $d u A $.  $d u .\/ $.  $d u K $.  $d u .<_ $.  $d u P $.  $d u Q $.
    $d u R $.  $d u S $.  $d u T $.
    $( Lattice analogue for the projective geometry axiom, "if a line
       intersects two sides of a triangle at different points then it also
       intersects the third side."  Projective space condition PS2 in
       [MaedaMaeda] p. 68 and part of Theorem 16.4 in [MaedaMaeda] p. 69.
       (Contributed by NM, 1-Dec-2011.) $)
    ps-2 $p |- ( ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
           /\ ( S e. A /\ T e. A ) ) /\ ( ( -. P .<_ ( Q .\/ R ) /\ S =/= T )
           /\ ( S .<_ ( P .\/ Q ) /\ T .<_ ( Q .\/ R ) ) ) )
        -> E. u e. A ( u .<_ ( P .\/ R ) /\ u .<_ ( S .\/ T ) ) ) $=
      ( wcel wa co wbr wi syl3anc syl13anc chlt w3a wn wne cv wrex wceq simpl21
      simp1 simp21 simp23 hlatlej1 adantr simp3r oveq1 syl5ibrcom breq1 anbi12d
      breq2d imp rspcev syl12anc a1d cp0 cfv cplt ccvr cops hlop 3ad2ant1 op0cl
      cbs eqid syl atbase atcvr0 syl2anc cvrlt syl31anc hlpos clat hllat latjcl
      cpo pltletr mp2and pltne mpd necomd wb hlatl simp3l atncmp simp22 hlexch1
      cal 3expia sylbird imp32 latjlej1 lattr expdimp adantrl hlatj32 mpbid jca
      adantrrr adantrrl ex cvrat4 syld impl adantrlr necom bitrdi simpl3r simpr
      simpl1 an32s anim2d reximdva ad2ant2rl adantrr pm2.61dane ) IUANZCBNZDBNZ
      EBNZUBZFBNZGBNZOZUBZCDEHPZJQUCZFGUDZOZFCDHPJQZGYNJQZOZOZAUEZCEHPZJQZUUBFG
      HPZJQZOZABUFZYMUUAUUHRFCYMFCUGZOZUUHUUAUUJYFCUUCJQZCUUEJQZUUHYFYGYHYEYLUU
      IUHYMUUKUUIYMYEYFYHUUKYEYIYLUIZYEYFYGYHYLUJZYEYFYGYHYLUKZBCEHIJKLMULSZUMY
      MUUIUULYMUULUUICCGHPZJQZYMYEYFYKUURUUMUUNYEYIYJYKUNZBCGHIJKLMULSUUIUUEUUQ
      CJFCGHUOUSUPUTUUGUUKUULOACBUUBCUGUUDUUKUUFUULUUBCUUCJUQUUBCUUEJUQURVAVBVC
      YMFCUDZOZUUAUUHUVAUUAOUUDGFUUBHPJQZOZABUFZUUHUVAYOYTUVDYPYMUUTYOYTOZUVDYM
      UUTUVEOZUUCIVDVEZUDZGUUCFHPZJQZOZUVDYMUVFUVKYMUUTYTUVKYOYMUUTYTOZOZUVHUVJ
      YMUVHUVLYMUVGUUCYMUVGUUCIVFVEZQZUVGUUCUDZYMUVGCUVNQZUUKUVOYMYEUVGIVLVEZNZ
      CUVRNZUVGCIVGVEZQZUVQUUMYMIVHNZUVSYEYIUWCYLIVIVJUVRIUVGUVRVMZUVGVMZVKVNZY
      MYFUVTUUNBUVRCIUWDMVOVNZYMYEYFUWBUUMUUNBUWAUACIUVGUWEUWAVMZMVPVQUAUVRUWAU
      VNIUVGCUWDUVNVMZUWHVRVSUUPYMIWDNZUVSUVTUUCUVRNZUVQUUKOUVORYEYIUWJYLIVTVJU
      WFUWGYMIWANZUVTEUVRNZUWKYEYIUWLYLIWBVJZUWGYMYHUWMUUOBUVREIUWDMVOVNZUVRHIC
      EUWDLWCSZUVRUVNIJUVGCUUCUWDKUWIWETWFYMYEUVSUWKUVOUVPRUUMUWFUWPUAUVRUVRUVN
      IUVGUUCUWIWGSWHWIUMUVMGCFHPZEHPZJQZUVJUVMYNUWRJQZUWSYMUUTYRUWTYSYMUUTYROZ
      ODUWQJQZUWTYMUUTYRUXBYMUUTFCJQUCZYRUXBRZYMIWPNZYJYFUXCUUTWJYEYIUXEYLIWKVJ
      ZYEYIYJYKWLZUUNBFCIJKMWMSYMYEYJYGUVTUXCUXDRUUMUXGYEYFYGYHYLWNZUWGYEYJYGUV
      TUBUXCUXDBUVRFDHIJCUWDKLMWOWQTWRWSYMUXBUWTRZUXAYMUWLDUVRNZUWQUVRNZUWMUXIU
      WNYMYGUXJUXHBUVRDIUWDMVOVNZYMUWLUVTFUVRNZUXKUWNUWGYMYJUXMUXGBUVRFIUWDMVOV
      NZUVRHICFUWDLWCSZUWOUVRHIJDUWQEUWDKLWTTUMWHXGYMYTUWTUWSRZUUTYMYSUXPYRYMYS
      UWTUWSYMUWLGUVRNZYNUVRNZUWRUVRNZYSUWTOUWSRUWNYMYKUXQUUSBUVRGIUWDMVOVNYMUW
      LUXJUWMUXRUWNUXLUWOUVRHIDEUWDLWCSYMUWLUXKUWMUXSUWNUXOUWOUVRHIUWQEUWDLWCSU
      VRIJGYNUWRUWDKXATXBXCXCWHYMUWSUVJWJUVLYMUWRUVIGJYMYEYFYJYHUWRUVIUGUUMUUNU
      XGUUOBCFEHILMXDTUSUMXEXFXHXIYMYEUWKYKYJUVKUVDRUUMUWPUUSUXGBUVRGFHIJUUCUVG
      AUWDKLUWEMXJTXKXLXMUVAYQUVDUUHRZYTYMYPUXTUUTYOYMYPOZUVCUUGABUYAUUBBNZOUVB
      UUFUUDYMUYBYPUVBUUFRZYMUYBOZYPUYCUYDYPGFJQUCZUYCYMUYEYPWJUYBYMUYEGFUDZYPY
      MUXEYKYJUYEUYFWJUXFUUSUXGBGFIJKMWMSGFXNXOUMUYDYEYKUYBUXMUYEUYCRYEYIYLUYBX
      RYJYKYEYIUYBXPYMUYBXQYMUXMUYBUXNUMYEYKUYBUXMUBUYEUYCBUVRGUUBHIJFUWDKLMWOW
      QTWRUTXSXTYAYBYCWHXIYDUT $.

    $( Two atoms are different if their join majorizes the join of two
       different atoms.  (Contributed by NM, 4-Jun-2013.) $)
    2atjlej $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ P =/= Q )
            /\ ( R e. A /\ S e. A /\ ( P .\/ Q ) .<_ ( R .\/ S ) ) )
      -> R =/= S ) $=
      ( wcel wne w3a co wn wb mpbid lnnat syl3anc chlt wceq simp33 simp1 simp21
      wbr simp22 simp23 simp31 simp32 ps-1 syl132anc eqneltrrd mpbird ) GUALZBA
      LZCALZBCMZNZDALZEALZBCFOZDEFOZHUFZNZNZDEMZVCALPZVFVBVCAVFVDVBVCUBZUOUSUTV
      AVDUCVFUOUPUQURUTVAVDVIQUOUSVEUDZUOUPUQURVEUEZUOUPUQURVEUGZUOUPUQURVEUHZU
      OUSUTVAVDUIZUOUSUTVAVDUJZABCDEFGHIJKUKULRVFURVBALPZVMVFUOUPUQURVPQVJVKVLA
      BCFGJKSTRUMVFUOUTVAVGVHQVJVNVOADEFGJKSTUN $.
  $}

  ${
    hlatexch4.j $e |- .\/ = ( join ` K ) $.
    hlatexch4.a $e |- A = ( Atoms ` K ) $.
    $( Rearrange join of atoms in an equality.  (Contributed by NM,
       29-Jul-2013.)  (New usage is discouraged.) $)
    hlatexch3N $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
            /\ ( Q =/= R /\ ( P .\/ Q ) = ( P .\/ R ) ) )
      -> ( P .\/ Q ) = ( Q .\/ R ) ) $=
      ( wcel w3a co wceq wa cfv wbr eqid hlatlej2 syl3anc wb atbase chlt simp21
      wne cple simp1 simp22 simp23 breqtrrd clat cbs hllat 3ad2ant1 syl hlatjcl
      simp3r latjle12 syl13anc mpbi2and simp3l ps-1 syl132anc mpbid eqcomd ) FU
      AIZBAIZCAIZDAIZJZCDUCZBCEKZBDEKZLZMZJZCDEKZVJVNVOVJFUDNZOZVOVJLZVNCVJVPOZ
      DVJVPOZVQVNVDVEVFVSVDVHVMUEZVDVEVFVGVMUBZVDVEVFVGVMUFZABCEFVPVPPZGHQRVNDV
      KVJVPVNVDVEVGDVKVPOWAWBVDVEVFVGVMUGZABDEFVPWDGHQRVDVHVIVLUOUHVNFUIIZCFUJN
      ZIZDWGIZVJWGIZVSVTMVQSVDVHWFVMFUKULVNVFWHWCAWGCFWGPZHTUMVNVGWIWEAWGDFWKHT
      UMVNVDVEVFWJWAWBWCAWGEFBCWKGHUNRWGEFVPCDVJWKWDGUPUQURVNVDVFVGVIVEVFVQVRSW
      AWCWEVDVHVIVLUSWBWCACDBCEFVPWDGHUTVAVBVC $.

    $( Exchange 2 atoms.  (Contributed by NM, 13-May-2013.) $)
    hlatexch4 $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
         /\ ( R e. A /\ S e. A )
         /\ ( P =/= R /\ Q =/= S /\ ( P .\/ Q ) = ( R .\/ S ) ) )
                  -> ( P .\/ R ) = ( Q .\/ S ) ) $=
      ( wcel w3a wa wne co wceq cfv wbr eqid hlatlej2 syl3anc chlt wi hlatexch2
      cple simp11 simp2l simp2r simp33 breqtrrd simp12 simp13 simp32 necomd mpd
      syl131anc hlatjcom breqtrd clat cbs wb hllatd atbase syl hlatjcl latjle12
      syl13anc mpbi2and simp31 ps-1 syl132anc mpbid ) GUAJZBAJZCAJZKZDAJZEAJZLZ
      BDMZCEMZBCFNZDEFNZOZKZKZBDFNZCEFNZGUDPZQZWFWGOZWEBWGWHQZDWGWHQZWIWEBECFNZ
      WGWHWEEWAWHQZBWMWHQZWEEWBWAWHWEVLVPVQEWBWHQVLVMVNVRWDUEZVOVPVQWDUFZVOVPVQ
      WDUGZADEFGWHWHRZHISTVOVRVSVTWCUHZUIWEVLVQVMVNECMWNWOUBWPWRVLVMVNVRWDUJZVL
      VMVNVRWDUKZWECEVOVRVSVTWCULZUMAEBCFGWHWSHIUCUOUNWEVLVQVNWMWGOWPWRXBAFGECH
      IUPTUQWECWBWHQZWLWECWAWBWHWEVLVMVNCWAWHQWPXAXBABCFGWHWSHISTWTUQWEVLVNVPVQ
      VTXDWLUBWPXBWQWRXCACDEFGWHWSHIUCUOUNWEGURJBGUSPZJZDXEJZWGXEJZWKWLLWIUTWEG
      WPVAWEVMXFXAAXEBGXERZIVBVCWEVPXGWQAXEDGXIIVBVCWEVLVNVQXHWPXBWRAXEFGCEXIHI
      VDTXEFGWHBDWGXIWSHVEVFVGWEVLVMVPVSVNVQWIWJUTWPXAWQVOVRVSVTWCVHXBWRABDCEFG
      WHWSHIVIVJVK $.
  $}

  ${
    $d u A $.  $d u .\/ $.  $d u K $.  $d u .<_ $.  $d u ./\ $.  $d u P $.
    $d u Q $.  $d u R $.  $d u S $.  $d u T $.  $d u .0. $.
    ps-2b.l $e |- .<_ = ( le ` K ) $.
    ps-2b.j $e |- .\/ = ( join ` K ) $.
    ps-2b.m $e |- ./\ = ( meet ` K ) $.
    ps-2b.z $e |- .0. = ( 0. ` K ) $.
    ps-2b.a $e |- A = ( Atoms ` K ) $.
    $( Variation of projective geometry axiom ~ ps-2 .  (Contributed by NM,
       3-Jul-2012.) $)
    ps-2b $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
         /\ ( R e. A /\ S e. A /\ T e. A )
         /\ ( -. P .<_ ( Q .\/ R ) /\ S =/= T
              /\ ( S .<_ ( P .\/ Q ) /\ T .<_ ( Q .\/ R ) ) ) )
  -> ( ( P .\/ R ) ./\ ( S .\/ T ) ) =/= .0. ) $=
      ( wcel w3a co wbr vu chlt wn wne wa wrex simp11 simp12 simp13 simp21 3jca
      cv simp22 simp23 jca simp31 simp32 simp33 ps-2 syl32anc cal cbs cfv hlatl
      simp111 syl hllatd simp112 simp121 hlatjcl syl3anc simp122 simp123 latmcl
      clat eqid simp2 simp3 wb atbase latlem12 syl13anc mpbid atlen0 rexlimdv3a
      syl31anc mpd ) HUBQZBAQZCAQZRZDAQZEAQZFAQZRZBCDGSZITUCZEFUDZEBCGSITFWPITU
      EZRZRZUAULZBDGSZITXBEFGSZITUEZUAAUFZXCXDJSZKUDZXAWHWIWJWLRWMWNUEWQWRUEWSX
      FWHWIWJWOWTUGXAWIWJWLWHWIWJWOWTUHWHWIWJWOWTUIWKWLWMWNWTUJUKXAWMWNWKWLWMWN
      WTUMWKWLWMWNWTUNUOXAWQWRWKWOWQWRWSUPWKWOWQWRWSUQUOWKWOWQWRWSURUAABCDEFGHI
      LMPUSUTXAXEXHUAAXAXBAQZXERZHVAQZXGHVBVCZQZXIXBXGITZXHXJWHXKWHWIWJWOWTXIXE
      VEZHVDVFXJHVOQZXCXLQZXDXLQZXMXJHXOVGZXJWHWIWLXQXOWHWIWJWOWTXIXEVHWLWMWNWK
      WTXIXEVIAXLGHBDXLVPZMPVJVKZXJWHWMWNXRXOWLWMWNWKWTXIXEVLWLWMWNWKWTXIXEVMAX
      LGHEFXTMPVJVKZXLHJXCXDXTNVNVKXAXIXEVQZXJXEXNXAXIXEVRXJXPXBXLQZXQXRXEXNVSX
      SXJXIYDYCAXLXBHXTPVTVFYAYBXLHIJXBXCXDXTLNWAWBWCAXLXBHIXGKXTLOPWDWFWEWG $.
  $}

  ${
    3at.l $e |- .<_ = ( le ` K ) $.
    3at.j $e |- .\/ = ( join ` K ) $.
    3at.a $e |- A = ( Atoms ` K ) $.
    $( Lemma for ~ 3at .  (Contributed by NM, 22-Jun-2012.) $)
    3atlem1 $p |- ( ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
   /\ ( S e. A /\ T e. A /\ U e. A ) ) /\ ( -. R .<_ ( P .\/ Q )
   /\ -. P .<_ ( T .\/ U ) /\ -. Q .<_ ( P .\/ U ) )
    /\ ( ( P .\/ Q ) .\/ R ) .<_ ( ( S .\/ T ) .\/ U ) )
          -> ( ( P .\/ Q ) .\/ R ) = ( ( S .\/ T ) .\/ U ) ) $=
      ( wcel co wbr wceq syl13anc wb syl3anc chlt w3a wn simp11 simp131 simp132
      simp133 hlatjass wa simp121 simp122 simp123 simp3 eqbrtrrd cbs cfv hllatd
      clat eqid atbase syl hlatjcl latjcl latjle12 mpbird simpld breqtrd simp22
      hlexchb2 syl131anc hlatj12 3eqtr2d 3brtr3d simp23 latj13 latjcom 3eqtr2rd
      mpbid simprd simp21 ) IUANZBANZCANZDANZUBZEANZFANZGANZUBZUBZDBCHOZJPUCZBF
      GHOZJPUCZCBGHOZJPUCZUBZWKDHOZEFHOZGHOZJPZUBZWTGWKHOZDWKHOZWRXBWTFWOHOZCWO
      HOZXCXBWTEWMHOZBWMHOZXEXBWAWFWGWHWTXGQWAWEWIWQXAUDZWFWGWHWAWEWQXAUEZWFWGW
      HWAWEWQXAUFZWFWGWHWAWEWQXAUGZAEFGHILMUHRZXBBXGJPZXHXGQZXBBWTXGJXBBWTJPZCD
      HOZWTJPZXBXPXRUIZBXQHOZWTJPZXBWRXTWTJXBWAWBWCWDWRXTQXIWBWCWDWAWIWQXAUJZWB
      WCWDWAWIWQXAUKZWBWCWDWAWIWQXAULZABCDHILMUHRWJWQXAUMZUNZXBIURNZBIUOUPZNZXQ
      YHNZWTYHNZXSYASXBIXIUQZXBWBYIYBAYHBIYHUSZMUTVAZXBWAWCWDYJXIYCYDAYHHICDYML
      MVBTXBYGWSYHNZGYHNZYKYLXBWAWFWGYOXIXJXKAYHHIEFYMLMVBTXBWHYPXLAYHGIYMMUTVA
      ZYHHIWSGYMLVCTZYHHIJBXQWTYMKLVDRVEVFXMVGXBWAWBWFWMYHNZWNXNXOSXIYBXJXBWAWG
      WHYSXIXKXLAYHHIFGYMLMVBTWJWLWNWPXAVHAYHBEHIJWMYMKLMVIVJVRXBWAWBWGWHXHXEQX
      IYBXKXLABFGHILMVKRVLZXBCXEJPZXFXEQZXBUUABDHOZXEJPZXBUUAUUDUIZCUUCHOZXEJPZ
      XBXTWTUUFXEJYFXBWAWBWCWDXTUUFQXIYBYCYDABCDHILMVKRYTVMXBYGCYHNZUUCYHNZXEYH
      NZUUEUUGSYLXBWCUUHYCAYHCIYMMUTVAZXBWAWBWDUUIXIYBYDAYHHIBDYMLMVBTXBYGFYHNZ
      WOYHNZUUJYLXBWGUULXKAYHFIYMMUTVAXBWAWBWHUUMXIYBXLAYHHIBGYMLMVBTZYHHIFWOYM
      LVCTYHHIJCUUCXEYMKLVDRVEVFXBWAWCWGUUMWPUUAUUBSXIYCXKUUNWJWLWNWPXAVNAYHCFH
      IJWOYMKLMVIVJVRXBYGUUHYIYPXFXCQYLUUKYNYQYHHICBGYMLVORVLZXBDXCJPZXDXCQZXBD
      WTXCJXBWKWTJPZDWTJPZXBUURUUSUIZXAYEXBYGWKYHNZDYHNZYKUUTXASYLXBWAWBWCUVAXI
      YBYCAYHHIBCYMLMVBTZXBWDUVBYDAYHDIYMMUTVAZYRYHHIJWKDWTYMKLVDRVEVSUUOVGXBWA
      WDWHUVAWLUUPUUQSXIYDXLUVCWJWLWNWPXAVTAYHDGHIJWKYMKLMVIVJVRXBYGUVBUVAXDWRQ
      YLUVDUVCYHHIDWKYMLVPTVQ $.

    $( Lemma for ~ 3at .  (Contributed by NM, 22-Jun-2012.) $)
    3atlem2 $p |- ( ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
        /\ ( S e. A /\ T e. A /\ U e. A ) ) /\ ( -. R .<_ ( P .\/ Q )
            /\ ( P =/= U /\ P .<_ ( T .\/ U ) ) /\ -. Q .<_ ( P .\/ U ) )
        /\ ( ( P .\/ Q ) .\/ R ) .<_ ( ( S .\/ T ) .\/ U ) )
      -> ( ( P .\/ Q ) .\/ R ) = ( ( S .\/ T ) .\/ U ) ) $=
      ( wcel w3a co wbr wceq syl3anc syl13anc chlt wn wne wa simp3 clat cbs cfv
      simp11 hllatd simp121 simp122 eqid hlatjcl simp123 atbase simp131 simp132
      wb syl simp133 latjcl latjle12 mpbird hlatjass simp22r simp22l hlatexchb2
      simprd mpbid oveq2d eqtr4d hlatj12 hlatj32 3brtr3d breqtrrd simp23 3eqtrd
      syl131anc hlexchb2 breqtrd simp21 hlexchb1 ) IUANZBANZCANZDANZOZEANZFANZG
      ANZOZOZDBCHPZJQUBZBGUCZBFGHPZJQZUDZCBGHPZJQUBZOZWNDHPZEFHPZGHPZJQZOZXCWNG
      HPZXEXGDXHJQZXCXHRZXGDXEXHJXGWNXEJQZDXEJQZXGXKXLUDZXFWMXBXFUEZXGIUFNZWNIU
      GUHZNZDXPNZXEXPNZXMXFUSXGIWDWHWLXBXFUIZUJZXGWDWEWFXQXTWEWFWGWDWLXBXFUKZWE
      WFWGWDWLXBXFULZAXPHIBCXPUMZLMUNSZXGWGXRWEWFWGWDWLXBXFUOZAXPDIYDMUPUTXGXOX
      DXPNZGXPNZXSYAXGWDWIWJYGXTWIWJWKWDWHXBXFUQZWIWJWKWDWHXBXFURZAXPHIEFYDLMUN
      SXGWKYHWIWJWKWDWHXBXFVAZAXPGIYDMUPUTXPHIXDGYDLVBSXPHIJWNDXEYDKLVCTVDVIXGX
      EEWTHPZXHXGXEEWQHPZYLXGWDWIWJWKXEYMRXTYIYJYKAEFGHILMVETZXGWTWQEHXGWRWTWQR
      ZWPWRWOXAWMXFVFXGWDWEWJWKWPWRYOUSXTYBYJYKWPWRWOXAWMXFVGABFGHIJKLMVHVSVJVK
      ZVLXGXHBCGHPHPZCWTHPZYLXGWDWEWFWKXHYQRXTYBYCYKABCGHILMVETXGWDWEWFWKYQYRRX
      TYBYCYKABCGHILMVMTXGCYLJQZYRYLRZXGCYMYLJXGBDHPZYMJQZCYMJQZXGUUBUUCUDZUUAC
      HPZYMJQZXGXCXEUUEYMJXNXGWDWEWFWGXCUUERXTYBYCYFABCDHILMVNTYNVOXGXOUUAXPNZC
      XPNZYMXPNZUUDUUFUSYAXGWDWEWGUUGXTYBYFAXPHIBDYDLMUNSXGWFUUHYCAXPCIYDMUPUTX
      GXOEXPNZWQXPNZUUIYAXGWIUUJYIAXPEIYDMUPUTXGWDWJWKUUKXTYJYKAXPHIFGYDLMUNSXP
      HIEWQYDLVBSXPHIJUUACYMYDKLVCTVDVIYPVPXGWDWFWIWTXPNZXAYSYTUSXTYCYIXGWDWEWK
      UULXTYBYKAXPHIBGYDLMUNSWMWOWSXAXFVQAXPCEHIJWTYDKLMVTVSVJVRVLZWAXGWDWGWKXQ
      WOXIXJUSXTYFYKYEWMWOWSXAXFWBAXPDGHIJWNYDKLMWCVSVJUUMVL $.

    $( Lemma for ~ 3at .  (Contributed by NM, 23-Jun-2012.) $)
    3atlem3 $p |- ( ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
        /\ ( S e. A /\ T e. A /\ U e. A ) ) /\ ( -. R .<_ ( P .\/ Q )
            /\ P =/= U /\ -. Q .<_ ( P .\/ U ) )
        /\ ( ( P .\/ Q ) .\/ R ) .<_ ( ( S .\/ T ) .\/ U ) )
      -> ( ( P .\/ Q ) .\/ R ) = ( ( S .\/ T ) .\/ U ) ) $=
      ( wcel w3a co wbr wn wa simpl1 chlt wne simpl21 simpl22 simpr jca simpl23
      wceq simpl3 3atlem2 syl131anc 3atlem1 pm2.61dan ) IUANBANCANDANOEANFANGAN
      OOZDBCHPZJQRZBGUBZCBGHPJQRZOZUODHPZEFHPGHPZJQZOZBFGHPJQZUTVAUHZVCVDSZUNUP
      UQVDSURVBVEUNUSVBVDTUPUQURUNVBVDUCVFUQVDUPUQURUNVBVDUDVCVDUEUFUPUQURUNVBV
      DUGUNUSVBVDUIABCDEFGHIJKLMUJUKVCVDRZSUNUPVGURVBVEUNUSVBVGTUPUQURUNVBVGUCV
      CVGUEUPUQURUNVBVGUGUNUSVBVGUIABCDEFGHIJKLMULUKUM $.

    $( Lemma for ~ 3at .  (Contributed by NM, 23-Jun-2012.) $)
    3atlem4 $p |- ( ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
        /\ ( S e. A /\ T e. A ) ) /\ ( -. R .<_ ( P .\/ Q )
            /\ P =/= Q )
        /\ ( ( P .\/ Q ) .\/ R ) .<_ ( ( S .\/ T ) .\/ R ) )
      -> ( ( P .\/ Q ) .\/ R ) = ( ( S .\/ T ) .\/ R ) ) $=
      ( wcel w3a wa co wbr wne atbase syl chlt wn simp11 simp12 simp13l simp13r
      wceq simp123 3jca simp2l clat cbs hllatd eqid simp121 latnlej1l syl131anc
      cfv simp122 necomd wi simp2r hlatexch1 mtod simp3 3atlem3 syl331anc ) HUA
      MZBAMZCAMZDAMZNZEAMZFAMZOZNZDBCGPZIQZUBZBCRZOZVQDGPZEFGPDGPZIQZNZVHVLVMVN
      VKNVSBDRCBDGPIQZUBWDWBWCUGVHVLVOWAWDUCZVHVLVOWAWDUDWEVMVNVKVMVNVHVLWAWDUE
      VMVNVHVLWAWDUFVIVJVKVHVOWAWDUHZUIVPVSVTWDUJZWEDBWEHUKMDHULURZMZBWJMZCWJMZ
      VSDBRWEHWGUMWEVKWKWHAWJDHWJUNZLSTWEVIWLVIVJVKVHVOWAWDUOZAWJBHWNLSTWEVJWMV
      IVJVKVHVOWAWDUSZAWJCHWNLSTWIWJGHIDBCWNJKUPUQUTWEWFVRWIWEVHVJVKVICBRWFVRVA
      WGWPWHWOWEBCVPVSVTWDVBUTACDBGHIJKLVCUQVDVPWAWDVEABCDEFDGHIJKLVFVG $.

    $( Lemma for ~ 3at .  (Contributed by NM, 23-Jun-2012.) $)
    3atlem5 $p |- ( ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
        /\ ( S e. A /\ T e. A /\ U e. A ) ) /\ ( -. R .<_ ( P .\/ Q )
            /\ P =/= Q /\ -. Q .<_ ( P .\/ U ) )
        /\ ( ( P .\/ Q ) .\/ R ) .<_ ( ( S .\/ T ) .\/ U ) )
      -> ( ( P .\/ Q ) .\/ R ) = ( ( S .\/ T ) .\/ U ) ) $=
      ( wcel w3a co wbr wn wceq syl chlt wne wa wi eqcoms breq2d eqeq2d imbi12d
      oveq2 simp1l simp1r1 simp2 simp1r3 simp3 3atlem3 syl131anc 3expia simp123
      simp11 simp122 simp121 3jca simp131 jca simp21 simp22 hlatexch2 mtod clat
      simp132 cbs hllatd eqid atbase latnlej1r 3atlem4 syl321anc simpl1 simpl21
      cfv simpl22 simpl23 latj31 syl13anc breq1d eqeq1d 3imtr4d pm2.61ne 3impia
      ) IUANZBANZCANZDANZOZEANZFANZGANZOZOZDBCHPZJQZRZBCUBZCBGHPJQRZOZWTDHPZEFH
      PZGHPZJQZXFXHSZWSXEUCZXIXJUDXFXGBHPZJQZXFXLSZUDBGBGSZXIXMXJXNXOXHXLXFJXHX
      LSGBGBXGHUIUEZUFXOXHXLXFXPUGUHXKBGUBZXIXJXKXQXIOWSXBXQXDXIXJWSXEXQXIUJXBX
      CXDWSXQXIUKXKXQXIULXBXCXDWSXQXIUMXKXQXIUNABCDEFGHIJKLMUOUPUQXKDCHPZBHPZXL
      JQZXSXLSZXMXNWSXEXTYAWSXEXTOZWJWMWLWKOWOWPUCBXRJQZRDCUBZXTYAWJWNWRXEXTUSZ
      YBWMWLWKWKWLWMWJWRXEXTURZWKWLWMWJWRXEXTUTZWKWLWMWJWRXEXTVAZVBYBWOWPWOWPWQ
      WJWNXEXTVCWOWPWQWJWNXEXTVJVDYBYCXAWSXBXCXDXTVEZYBWJWKWMWLXCYCXAUDYEYHYFYG
      WSXBXCXDXTVFABDCHIJKLMVGUPVHYBIVINZDIVKVTZNZBYKNZCYKNZXBYDYBIYEVLYBWMYLYF
      AYKDIYKVMZMVNZTYBWKYMYHAYKBIYOMVNZTYBWLYNYGAYKCIYOMVNZTYIYKHIJDBCYOKLVOUP
      WSXEXTUNADCBEFHIJKLMVPVQUQXKXFXSXLJXKYJYMYNYLXFXSSXKIWJWNWRXEVRVLXKWKYMWK
      WLWMWJWRXEVSYQTXKWLYNWKWLWMWJWRXEWAYRTXKWMYLWKWLWMWJWRXEWBYPTYKHIBCDYOLWC
      WDZWEXKXFXSXLYSWFWGWHWI $.

    $( Lemma for ~ 3at .  (Contributed by NM, 23-Jun-2012.) $)
    3atlem6 $p |- ( ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
        /\ ( S e. A /\ T e. A /\ U e. A ) ) /\ ( -. R .<_ ( P .\/ Q )
            /\ P =/= Q /\ Q .<_ ( P .\/ U ) )
        /\ ( ( P .\/ Q ) .\/ R ) .<_ ( ( S .\/ T ) .\/ U ) )
      -> ( ( P .\/ Q ) .\/ R ) = ( ( S .\/ T ) .\/ U ) ) $=
      ( wcel w3a co wbr wn wne wceq chlt simp11 simp121 simp122 simp123 hlatj32
      syl13anc 3jca simp13 simp21 wi simp22 necomd hlatexch1 syl131anc mtod cbs
      clat cfv hllatd eqid atbase syl latnlej1l simp23 simp133 hlatexchb1 mpbid
      wb breq2d mtbid simp3 eqbrtrrd 3atlem5 syl331anc eqtrd ) IUANZBANZCANZDAN
      ZOZEANZFANZGANZOZOZDBCHPZJQZRZBCSZCBGHPZJQZOZWGDHPZEFHPGHPZJQZOZWNBDHPZCH
      PZWOWQVQVRVSVTWNWSTVQWAWEWMWPUBZVRVSVTVQWEWMWPUCZVRVSVTVQWEWMWPUDZVRVSVTV
      QWEWMWPUEZABCDHILMUFUGZWQVQVRVTVSOWECWRJQZRBDSZDWKJQZRWSWOJQWSWOTWTWQVRVT
      VSXAXCXBUHVQWAWEWMWPUIWQXEWHWFWIWJWLWPUJZWQVQVSVTVRCBSZXEWHUKWTXBXCXAWQBC
      WFWIWJWLWPULUMZACDBHIJKLMUNUOUPWQIURNZDIUQUSZNZBXLNZCXLNZWIXFWQIWTUTWQVTX
      MXCAXLDIXLVAZMVBVCWQVRXNXAAXLBIXPMVBVCWQVSXOXBAXLCIXPMVBVCXHXKXMXNXOOWIOD
      BXLHIJDBCXPKLVDUMUOWQWHXGXHWQWGWKDJWQWLWGWKTZWFWIWJWLWPVEWQVQVSWDVRXIWLXQ
      VIWTXBWBWCWDVQWAWMWPVFXAXJACGBHIJKLMVGUOVHVJVKWQWNWSWOJXDWFWMWPVLVMABDCEF
      GHIJKLMVNVOVP $.

    $( Lemma for ~ 3at .  (Contributed by NM, 23-Jun-2012.) $)
    3atlem7 $p |- ( ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
        /\ ( S e. A /\ T e. A /\ U e. A ) ) /\ ( -. R .<_ ( P .\/ Q )
            /\ P =/= Q )
        /\ ( ( P .\/ Q ) .\/ R ) .<_ ( ( S .\/ T ) .\/ U ) )
      -> ( ( P .\/ Q ) .\/ R ) = ( ( S .\/ T ) .\/ U ) ) $=
      ( wcel w3a co wbr wn wa simpl1 chlt wne wceq simpl2l simpl2r simpr simpl3
      3atlem6 syl131anc 3atlem5 pm2.61dan ) IUANBANCANDANOEANFANGANOOZDBCHPZJQR
      ZBCUBZSZUMDHPZEFHPGHPZJQZOZCBGHPJQZUQURUCZUTVASULUNUOVAUSVBULUPUSVATUNUOU
      LUSVAUDUNUOULUSVAUEUTVAUFULUPUSVAUGABCDEFGHIJKLMUHUIUTVARZSULUNUOVCUSVBUL
      UPUSVCTUNUOULUSVCUDUNUOULUSVCUEUTVCUFULUPUSVCUGABCDEFGHIJKLMUJUIUK $.

    $( Any three non-colinear atoms in a (lattice) plane determine the plane
       uniquely.  This is the 2-dimensional analogue of ~ ps-1 for lines and
       ~ 4at for volumes.  I could not find this proof in the literature on
       projective geometry (where it is either given as an axiom or stated as
       an unproved fact), but it is similar to Theorem 15 of Veblen, "The
       Foundations of Geometry" (1911), p. 18, which uses different axioms.
       This proof was written before I became aware of Veblen's, and it is
       possible that a shorter proof could be obtained by using Veblen's proof
       for hints.  (Contributed by NM, 23-Jun-2012.) $)
    3at $p |- ( ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A ) /\
    ( S e. A /\ T e. A /\ U e. A ) ) /\ ( -. R .<_ ( P .\/ Q ) /\ P =/= Q ) )
   -> ( ( ( P .\/ Q ) .\/ R ) .<_ ( ( S .\/ T ) .\/ U )
          <-> ( ( P .\/ Q ) .\/ R ) = ( ( S .\/ T ) .\/ U ) ) ) $=
      ( wcel w3a co wbr wa atbase syl chlt wn wceq 3atlem7 3expia wi clat hllat
      wne cbs cfv simpl simpr1 simpr2 latjcl syl3anc simpr3 latref syldan breq2
      eqid syl5ibcom sylan 3adant3 adantr impbid ) IUANZBANZCANZDANZOZEANFANGAN
      OZOZDBCHPZJQUBBCUIRZRVNDHPZEFHPGHPZJQZVPVQUCZVMVOVRVSABCDEFGHIJKLMUDUEVMV
      SVRUFZVOVGVKVTVLVGIUGNZVKVTIUHWAVKRZVPVPJQZVSVRWAVKVPIUJUKZNZWCWBWAVNWDNZ
      DWDNZWEWAVKULZWBWABWDNZCWDNZWFWHWBVHWIWAVHVIVJUMAWDBIWDVAZMSTWBVIWJWAVHVI
      VJUNAWDCIWKMSTWDHIBCWKLUOUPWBVJWGWAVHVIVJUQAWDDIWKMSTWDHIVNDWKLUOUPWDIJVP
      WKKURUSVPVQVPJUTVBVCVDVEVF $.

$(
    @( If the join three non-colinear atoms is less than or equal to three
       others, then the others are also non-colinear. @)
    3atne @p |- ( ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A ) /\
     ( S e. A /\ T e. A /\ U e. A ) ) /\ ( -. R .<_ ( P .\/ Q ) /\ P =/= Q )
        /\ ( ( P .\/ Q ) .\/ R ) .<_ ( ( S .\/ T ) .\/ U ) )
     -> ( S =/= T /\ -. U .<_ ( S .\/ T ) ) ) @=
      ? @.
      @( [23-Jun-2012] @)
$)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Projective geometries based on Hilbert lattices
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(

@(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Additional set theory definitions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
@)

  @c fcard @.
  @c idsumf @.
  @c idsum @.

  @( Extend class notation with finite cardinality (member of ` NN0 ` ). @)
  cfc @a class fcard @.

  @( Extend class notation with finite idempotent sum. @)
  cidsumf @a class idsumf @.

  @( Extend class notation with idempotent sum. @)
  cidsum @a class idsum @.

  @{
    @d f n p s t u x y @.
    @( Define finite cardinality. @)
    df-fcard @a |- fcard = ( x e. _V |-> if ( x e. Fin , ( iota n ( n e. NN
          /\ E. f f : x -1-1-onto-> ( 1 ... n ) ) ) , ( Undef ` NN0 ) ) ) @.

    @( Define finite idempotent sum. @)
    df-idsumf @a |- idsumf = ( p e. _V , s e. _V |->
    ( iota t A. f ( f : ( 1 ... ( fcard ` s ) ) -1-1-onto-> s
         -> t = ( ( p ser f ) ` ( fcard ` s ) ) ) ) ) @.
    df-idsumf @a |- idsumf = ( p e. _V , s e. _V |->
    ( iota t A. f ( f : ( 1 ... ( fcard ` s ) ) -1-1-onto-> s
         -> t = ( ( p ser f ) ` ( fcard ` s ) ) ) ) ) @.
( ( P seq1 F ) ` N )

    @( Define idempotent sum. @)
    df-idsum @a |- idsum = ( p e. _V , s e. _V |->
        U. { u | E. t ( u = ( p idsumf t ) /\ t C_ s /\ t e. Fin ) } ) @.
  @}          U. { a | E. t C_ s E. n e. NN0 E. f
          ( f : ( 1 ... n ) -1-1-onto-> t /\ a = ( ( p seq f ) ` n ) ) } ) $.
    df-idsum @a |- idsum = ( p e. _V , f e. _V |->
                U. { a | E. t E. g
       ( t e. Fin /\ t C_ f )
     /\ ( g : ( 1 ... ( # ` t ) ) -1-1-onto-> dom t
     /\ A. x e. dom g A. y e. dom g ( x < y -> ( g ` x ) < ( g ` y ) )
     /\ a = ( ( p seq1 ( f o. g ) ) ` ( # ` t ) ) ) ) }

@(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Posets and lattices; Hilbert lattices
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
@)

@(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  From groups to Hilbert spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
@)

  @c -vNEW @.
  @c RVecNEW @.
  @c SubSpNEW @.
  @c spanNEW @.
  @c o+ @.
  @c Ev @.
  @c /v @.
  @c normv @.

  @( Extend class notation with vector subtraction. @)
  cminusv @a class -vNEW @.

  @( Extend class notation with class of all right vector spaces. @)
  crvec @a class RVecNEW @.

  @( Extend class notation with set of all subspaces in a vector space. @)
  cssp @a class SubSpNEW @.

  @( Extend class notation with span of a set of vectors. @)
  cspan @a class spanNEW @.

  @( Extend class notation with direct sum. @)
  coplus @a class o+ @.

  @( Extend class notation with vector equivalence classes. @)
  cev @a class Ev @.

  @( Extend class notation with quotient space. @)
  cqv @a class /v @.

  @( Extend class notation with norm of a vector. @)
  cnormv @a class normv @.

  @{
    @d a b c e f g h i k m p q r s t u v w x y z @.
    @( Define vector subtraction. @)
    df-minusv @a |- -vNEW = ( v e. _V |-> ( x e. ( Base ` v ) ,
         y e. ( Base ` v ) |-> ( x ( +g ` v )
 ( ( invg ` { <. 1 , ( Base ` v ) >. ,
         <. 2 , ( +g ` v ) >. } ) ` y ) ) ) ) @.

    @( Define class of all right vector spaces. @)
    df-rvec @a |- RVecNEW = Struct ( 6 , f , ( f e. DivRingOLD  /\
      E. k E. p E. t E. v E. a E. s (
         ( k = ( Base ` f ) /\ p = ( +g ` f ) /\ t = ( .r ` f ) )
      /\ ( v = ( vbase ` f ) /\ a = ( vadd ` f ) /\ s = ( .s ` f ) )
          /\ ( { <. 1 , v >. , <. 2 , a >. } e. AbelOLD
             /\ A. q e. k A. r e. k A. x e. v A. w e. v
               ( ( ( w s r ) e. v
                 /\ ( ( w a x ) s r ) = ( ( w s r ) a ( x s r ) )
                 /\ ( w s ( q p r ) ) = ( ( w s q ) a ( w s r ) )
               ) /\ ( ( ( w s q ) s r ) = ( w s ( q t r ) )
                 /\ ( w s ( 1r ` f ) ) = w ) ) ) ) ) ) @.

    @( Define set of all subspaces of left vector space ` v ` . @)
    df-sbsp @a |- SubSpNEW = ( v e. _V |-> { s e. ~P ( vbase ` v )
     | ( ( 0v ` v ) e. s /\ A. x e. s A. y e. s ( x ( vadd ` v ) y ) e. s
        /\ A. x e. ( Base ` v ) A. y e. s ( x ( .s ` v ) y ) e. s ) } ) @.

    @( Define span of a set of vectors. @)
    df-vspan @a |- spanNEW = ( v e. _V |-> ( m e. ~P ( vbase ` v ) |->
       |^| { s e. ( SubSpNEW ` v ) | m C_ s } ) ) @.

    @( Define direct sum of two left vector spaces. @)
    df-oplus @a |- o+ = ( v e. _V , w e. _V |-> ( { <. 1 , ( Base ` v ) >. ,
       <. 2 , ( +g ` v ) >. , <. 3 , ( .r ` v ) >. } u. {
       <. 4 , ( ( vbase ` v ) X. ( vbase ` w ) ) >. ,
       <. 5 , ( x e. ( ( vbase ` v ) X. ( vbase ` w ) ) ,
                y e. ( ( vbase ` v ) X. ( vbase ` w ) ) |->
                  <. ( ( 1st ` x ) ( vadd ` v ) ( 1st ` y ) ) ,
                     ( ( 2nd ` x ) ( vadd ` w ) ( 2nd ` y ) ) >. ) >. ,
       <. 6 , ( k e. ( Base ` v ) ,
                x e. ( ( vbase ` v ) X. ( vbase ` w ) ) |->
                  <. ( k ( .s ` v ) ( 1st ` x ) ) ,
                     ( k ( .s ` w ) ( 2nd ` x ) ) >. ) >. } ) ) @.

    @( Define vector equivalence mod ` m ` . @)
    df-ev @a |- Ev = ( v e. _V , m e. _V |-> { <. x , y >. |
       ( x e. ( vbase ` v ) /\ y e. ( vbase ` v ) /\
       ( x ( -vNEW ` v ) y ) e. ( vbase ` m ) ) } ) @.

    @( Define quotient space. @)
    df-quov @a |- /v = ( v e. _V , m e. _V |-> ( { <. 1 , ( Base ` v ) >. ,
       <. 2 , ( +g ` v ) >. , <. 3 , ( .r ` v ) >. } u. {
       <. 4 , ( ( vbase ` v ) /. ( v Ev m ) ) >. ,
       <. 5 , { <. <. a , b >. , c >. | E. x e. ( vbase ` v )
          E. y e. ( vbase ` v ) ( a = [ x ] ( v Ev m )
            /\ b = [ y ] ( v Ev m )
            /\ c = [ ( x ( vadd ` v ) y ) ] ( v Ev m ) ) } >. ,
       <. 6 , { <. <. a , b >. , c >. | ( a e. ( Base ` v ) /\
          E. y e. ( vbase ` v ) ( b = [ y ] ( v Ev m )
            /\ c = [ ( x ( .s ` v ) y ) ] ( v Ev m ) ) ) } >. } ) ) @.

    @( Define norm of a vector. @)
    df-normv @a |- normv = ( h e. _V |-> ( v ( .i ` h ) v ) ) @.
  @}


@(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Hilbert space reconstruction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
@)

  @c sumP @.
  @c Indep @.
  @c BasesP @.
  @c rankP @.
  @c PHyp @.
  @c ww @.
  @c WAtoms @.
  @c PAut @.
  @c Dil @.
  @c Trn @.
  @c trP @.
  @c DVecA @.
  @c GrpEndo @.
  @c DVecAEndo @.
  @c ERing @.
  @c TPEndo @.
  @c DRing @.
  @c DVecA @.
  @c DVIsoPre @.
  @c DVecB @.
  @c DVecH @.
  @c ee @.
  @c DVIsoA @.
  @c qtr @.
  @c DVIsoB @.
  @c DVIsoC @.
  @c DVIsoH @.
  @c S_|_ @.
  @c Ropp @.
  @c Vldual @.
  @c vecdom @.
  @c ker @.
  @c mapd @.
  @c eimage @.
  @c hmap @.
  @c gmap @.
  @c HLtoHil @.

  @( Extend class notation with projective subspace sum. @)
  csump @a class sumP @.

  @( Extend class notation with set of all sets of independent points. @)
  cindep @a class Indep @.

  @( Extend class notation with all bases for projective subspaces. @)
  cbasesp @a class BasesP @.

  @( Extend class notation with rank of projective subspace @m@. @)
  crankp @a class rankP @.

  @( Extend class notation with set of all (projective) hyperplanes. @)
  cphyp @a class PHyp @.

  @( Extend class notation with fiducial hyperplane. @)
  cww @a class ww @.

  @( Extend class notation with W points. @)
  cwpointsN @a class WAtoms @.

  @( Extend class notation with set of all projective automorphisms. @)
  cpautN @a class PAut @.

  @( Extend class notation with set of all dilations. @)
  cdilN @a class Dil @.

  @( Extend class notation with set of all translations. @)
  ctrnN @a class Trn @.

  @( Extend class notation with trace of a translation @f@. @)
  ctrp @a class trP @.

  @( Extend class notation with translation group. @)
  ctgrp @a class TGrp @.

  @( Extend class notation with group endomorphisms of @G@. @)
  cgrpendo @a class GrpEndo @.

  @( Extend class notation with translation group endomorphisms. @)
  ctgrpendo @a class TGrpEndo @.

  @( Extend class notation with endomorphism ring. @)
  cering @a class ERing @.

  @( Extend class notation with trace-preserving endomorphisms. @)
  ctpendo @a class TPEndo @.

  @( Extend class notation with @\Delta@-ring. @)
  cdring @a class DRing @.

  @( Extend class notation with constructed vector space A. @)
  cdveca @a class DVecA @.

  @( Extend class notation with preliminary projective subspace isomorphism. @)
  cdvisopre @a class DVIsoPre @.

  @( Extend class notation with constructed vector space B. @)
  cdvecb @a class DVecB @.

  @( Extend class notation with constructed vector space. @)
  cdvech @a class DVecH @.

  @( Extend class notation with e vector. @)
  cee @a class ee @.

  @( Extend class notation with projective subspace isomorphism A. @)
  cdvisoa @a class DVIsoA @.

  @( Extend class notation with q-translation. @)
  cqtr @a class qtr @.

  @( Extend class notation with projective subspace isomorphism B. @)
  cdvisob @a class DVIsoB @.

  @( Extend class notation with projective subspace isomorphism C. @)
  cdvisoc @a class DVIsoC @.

  @( Extend class notation with projective subspace isomorphism. @)
  cdvisoh @a class DVIsoH @.

  @( Extend class notation with constructed orthocomplement. @)
  csoc @a class S_|_ @.

  @( Extend class notation with opposite ring. @)
  cropp @a class Ropp @.

  @( Extend class notation with left dualvector space. @)
  cvldual @a class Vldual @.

  @( Extend class notation with vector domain. @)
  cvecdom @a class vecdom @.

  @( Extend class notation with kernel of a functional. @)
  cker @a class ker @.

  @( Extend class notation with one-dimensional subspace map. @)
  cmapd @a class mapd @.

  @( Extend class notation with e vector image. @)
  ceimage @a class eimage @.

  @( Extend class notation with h map. @)
  chmap @a class hmap @.

  @( Extend class notation with g map. @)
  cgmap @a class gmap @.

  @( Extend class notation with Hilbert space constructed from Hilbert
     lattice. @)
  chltohil @a class HLtoHil @.

  @{
    @d a b d e f g h k l m n p q r s t u v w x y z @.
    @( Define projective sum of a set of subspaces. @)
    df-sump @a |- sumP = ( l e. _V |-> ( s e. ~P ( PSubSp ` l ) |->
       ( ( +P ` l ) idsumf s ) ) ) @.

    @( Define set of all sets of independent points. @)
    df-indep @a |- Indep = ( l e. _V |-> { s e. ~P ( Points ` l )
    | A. a A. b ( ( ( a u. b ) = s /\ ( a i^i b ) = (/) ) ->
      ( ( ( sumP ` l ) ` a ) i^i ( ( sumP ` l ) ` b ) ) = (/) ) } ) @.

    @( Define all bases for projective subspace @m@. @)
    df-basesp @a |- BasesP = ( l e. _V , m e. _V |-> { s e. ( Indep ` l )
      | ( ( sumP ` l ) ` s ) = m } ) @.

    @( Define rank of projective subspace @m@. @)
    df-rankp @a |- rankP = ( l e. _V , m e. _V |-> ( iota r
    A. b e. ( l TopBases m ) r = ( card ` b ) ) ) @.

    @( Define set of all (projective) hyperplanes. @)
    df-phyp @a |- PHyp = ( l e. _V |-> { h | E. p e. ( Points ` l )
        h = ( ( _|_P ` l ) ` p ) } ) @.

    @( Define fiducial hyperplane. @)
    df-ww @a |- ww = ( l e. _V , p e. _V |-> ( ( _|_P ` l ) ` { p } ) ) @.

    @( Define W points. @)
    df-wpoints @a |- WAtoms = ( l e. _V , p e. _V |-> { x e. ( Points ` l )
      | -. x C_ ( l ww p ) } ) @.

    @( Define set of all projective automorphisms. @)
    df-pautN @a |- PAut = ( l e. _V |-> { f | ( f : ( PSubSp ` l ) -1-1-onto->
      ( PSubSp ` l ) /\ A. x e. ( PSubSp ` l ) A. y e. ( PSubSp ` l )
        ( x C_ y <-> ( f ` x ) C_ ( f ` y ) ) ) } ) @.

    @( Define set of all dilations. @)
    df-dilN @a |- Dil = ( l e. _V , p e. _V |-> { f e. ( PAut ` l )
     | A. x e. ( PSubSp ` l ) ( x C_ ( l ww p ) -> ( f ` x ) = x ) } ) @.

    @( Define set of all translations. @)
    df-trnN @a |- Trn = ( l e. _V , p e. _V |-> { f e. ( l Dil p )
     | A. q e. ( l WAtoms p ) A. r e. ( l WAtoms p )
        ( ( q ( +P ` l ) ( f ` q ) ) i^i ( l ww p ) )
      = ( ( r ( +P ` l ) ( f ` r ) ) i^i ( l ww p ) ) } ) @.

    @( Define trace of a translation ` f ` . @)
    df-trp @a |- trP = ( l e. _V , p e. _V |-> ( f e. ( l Trn p ) |->
     ( iota x ( x e. ( PSubSp ` l ) /\ A. q e. ( l WAtoms p )
        x = ( ( q ( +P ` l ) ( f ` q ) ) i^i ( l ww p ) ) ) ) ) ) @.

    @( Define translation group. @)
    df-tgrp @a |- TGrp = ( l e. _V , p e. _V |-> { <. 1 , ( l Trn p ) >. ,
       <. 2 , ( f e. ( l Trn p ) , g e. ( l Trn p ) |-> ( f o. g ) ) >. } ) @.

    @( Define group endomorphisms of @G@. @)
    df-grpendo @a |- GrpEndo = ( g e. _V |-> { f |
   ( f : ( Base ` g ) --> ( Base ` g )
      /\ A. x e. ( Base ` g ) A. y e. ( Base ` g )
       ( x ( +g ` g ) y ) = ( ( f ` x ) ( +g ` g ) ( f ` y ) ) ) } ) @.

    @( Define translation group endomorphisms. @)
    df-tgrpendo @a |- TGrpEndo = ( l e. _V , p e. _V |->
      ( GrpEndo ` ( l TGrp p ) ) ) @.

    @( Define endomorphism ring. @)
    df-ering @a |- ERing = ( l e. _V , p e. _V |-> { <. 1 , ( l TGrpEndo p ) >.
        ,
       <. 2 , ( s e. ( l TGrpEndo p ) , t e. ( l TGrpEndo p ) |->
           ( f e. ( l Trn p ) |-> ( ( s ` f ) o. ( t ` f ) ) ) ) >. ,
       <. 3 , ( s e. ( l TGrpEndo p ) , t e. ( l TGrpEndo p ) |->
           ( f e. ( l Trn p ) |-> ( t ` ( s ` f ) ) ) ) >. } ) @.

    @( Define trace-preserving endomorphisms. @)
    df-tpendo @a |- TPEndo = ( l e. _V , p e. _V |-> { s e. ( l TGrpEndo p ) |
     A. f e. ( Base ` ( l TGrp p ) )
         ( ( l trP p ) ` ( s ` f ) ) C_ ( ( l trP p ) ` f ) } ) @.

    @( Define delta ring. @)
    df-dring @a |- DRing = ( l e. _V , p e. _V |->
     { <. 1 , ( l TPEndo p ) >. ,
       <. 2 , ( +g ` ( l ERing p ) ) >. ,
       <. 3 , ( .r ` ( l ERing p ) ) >. } ) @.

    @( Define constructed partial vector space A. @)
    df-dveca @a |- DVecA = ( l e. _V , p e. _V |-> ( ( l DRing p )
    u. { <. 4 , ( Base ` ( l TGrp p ) ) >. ,
         <. 5 , ( +g ` ( l TGrp p ) ) >. ,
         <. 6 , ( s e. ( l TGrpEndo p ) , f e. ( l Trn p ) |->
                ( s ` f ) ) >. } ) ) @.

    @( Define preliminary projective subspace isomorphism. @)
    df-dvisopre @a |- DVIsoPre = ( l e. _V , p e. _V |->
     ( x e. { y e. ( PSubSp ` l ) | y C_ ( l ww p ) } |-> { f e. ( l Trn p ) |
     ( ( l trP p ) ` f ) C_ x } ) ) @.

    @( Define constructed partial vector space B. @)
    df-dvecb @a |- DVecB = ( l e. _V , p e. _V |-> ( ( l DRing p )
    u. { <. 4 , ( Base ` ( l DRing p ) ) >. ,
         <. 5 , ( +g ` ( l DRing p ) ) >. ,
         <. 6 , ( .r ` ( l DRing p ) ) >. } ) ) @.

    @( Define constructed vector space. @)
    df-dvechOLD @a |- DVecH = ( l e. _V , p e. _V |->
        ( ( l DVecA p ) o+ ( l DVecB p ) ) ) @.

    @( Define e vector. @)
    df-ee @a |- ee = ( l e. _V , p e. _V |->
      <. ( 0v ` ( l DVecA p ) ) , ( 1r ` ( l DRing p ) ) >. ) @.

    @( Define projective subspace isomorphism A. @)
    df-dvisoa @a |- DVIsoA = ( l e. _V , p e. _V |->
     ( x e. { y e. ( PSubSp ` l ) | y C_ ( l ww p ) } |->
      <. ( ( l DVIsoPre p ) ` x ) , ( 0v ` ( l DVecB p ) ) >. ) ) @.

    @( Define q-translation. @)
    df-qtr @a |- qtr = ( l e. _V , p e. _V |->
    ( q e. ( l WAtoms p ) |->
      <. ( iota f ( f e. ( l Trn p ) /\ ( f ` { p } ) = q ) ) ,
          ( 0v ` ( l DVecA p ) ) >. ) ) @.

    @( Define projective subspace isomorphism B. @)
    df-dvisob @a |- DVIsoB = ( l e. _V , p e. _V |->
    ( q e. ( l WAtoms p ) |-> { v e. ( l DVecH p ) | E. s e. ( l DRing p )
       v = ( s ( .s ` ( l DVecH p ) )
   ( ( l ee p ) ( vadd ` ( l DVecH p ) ) ( ( l qtr p ) ` q ) ) ) } ) ) @.

    @( Define projective subspace isomorphism C. @)
    df-dvisoc @a |- DVIsoC = ( l e. _V , p e. _V |->
     ( x e. { y e. ( PSubSp ` l ) | -. y C_ ( l ww p ) } |->
        ( iota z A. q e. ( l WAtoms p ) z = ( ( ( l DVIsoB p ) ` q )
              ( +g ` ( l DVecH p ) )
           ( ( l DVIsoA p ) ` ( x i^i ( l ww p ) ) ) ) ) ) ) @.

    @( Define projective subspace isomorphism. @)
    df-dvisoh @a |- DVIsoH = ( l e. _V , p e. _V |->
          ( ( l DVIsoA p ) u. ( l DVIsoC p ) ) ) @.

    @( Define constructed orthocomplement. @)
    df-soc @a |- S_|_ = ( l e. _V , p e. _V |->
        ( s e. ( SubSpNEW ` ( l DVecH p ) ) |->
          ( ( _|_P ` l ) ` ( `' ( l DVIsoH p ) ` s ) ) ) ) @.

    @( Define the opposite of a ring with multiplication reversed. @)
    df-ropp @a |- Ropp = ( r e. _V |-> ( ( r |` ( _V \ { 3 } ) ) u.
      { <. 3 , ( x e. ( Base ` r ) , y e. ( Base ` r ) |->
          ( y ( .r ` r ) x ) ) >. } ) ) @.

    @( Define the left dual of a vector space. @)
    df-vldual @a |- Vldual = ( v e. _V |-> ( ( v |` ( _V \ ( 3 ... 6 ) ) ) u.
      { a | E. l E. k E. t E. u E. w (
          ( k = ( Base ` v )
            /\ t = ( .r ` ( Ropp ` v ) )
            /\ u = ( vbase ` v ) )
        /\ ( w = { g | ( g : u --> k /\ A. r e. k A. x e. u
                  ( g ` ( r ( .s ` v ) x ) ) = ( ( g ` x ) t r ) ) }
             /\ a e. ( { <. 3 , t >. , <. 4 , w >. } u.
                  { <. 5 , ( g e. v , h e. v |-> ( x e. u |->
                      ( ( g ` x ) ( +g ` v ) ( h ` x ) ) ) ) >. ,
                    <. 6 , ( r e. k , g e. v |-> ( x e. u |->
                      ( r t ( g ` x ) ) ) ) >. } ) ) ) } ) ) @.

    @( Define vector domain. @)
    df-vecdom @a |- vecdom = ( w e. _V |->
             ( iota d A. f e. ( vbase ` w ) d = dom f ) ) @.

    @( Define kernel of a functional. @)
    df-ker @a |- ker = ( w e. _V |-> ( f e. ( vbase ` w ) |->
       { x e. ( vecdom ` w ) | ( f ` x ) = ( 0g ` w ) } ) ) @.

    @( Define one-dimensional subspace map. @)
    df-mapd @a |- mapd = ( l e. _V , p e. _V |-> { a | E. v E. w
     ( v = ( l DVecH p ) /\ w = ( Vldual ` v )
       /\ a e. ( s e. { r | E. x e. ( vbase ` v )
          r = ( ( span ` v ) ` { x } ) } |->
               ( iota t A. x e. s A. f e. ( vbase ` w )
   ( ( ( ker ` w ) ` f ) = s /\ t = ( ( span ` w ) ` { f } ) ) ) ) ) } ) @.

    @( Define e vector image. @)
    df-eimage @a |- eimage = ( l e. _V , p e. _V |-> { a | E. v E. w E. e
        ( ( v = ( l DVecH p ) /\ w = ( Vldual ` v )
          /\ e = ( l ee p ) )
           /\ a e. ( iota f ( f e. ( ( l mapd p ) ` ( ( spanNEW ` v ) ` { e } )
                ) /\ ( f ` e ) = ( 1r ` w ) ) ) ) } ) @.

    @( Define h map. @)
    df-hmap @a |- hmap = ( l e. _V , p e. _V |-> { a | E. v E. w E. e E. f
   ( ( v = ( l DVecH p ) /\ w = ( Vldual ` v ) /\ e = ( l ee p ) )
     /\ ( f = ( l eimage p )
          /\ a e. ( y e. ( vbase ` v ) |-> if ( y = ( 0v ` v ) ,
              ( 0v ` w ) , if ( y e. ( ( spanNEW ` v ) ` { e } ) ,
   ( iota u ( u e. ( ( spanNEW ` w ) ` { f } ) /\ ( u ` e ) = ( f ` y ) ) ) ,
       ( iota u ( u e. ( vbase ` w )
            /\ ( ( l mapd p ) ` ( ( spanNEW ` v ) ` { y } ) )
                = ( ( spanNEW ` w ) ` { v } )
            /\ ( ( l mapd v ) ` ( ( span ` v ) ` { ( e ( -vNEW ` v ) y ) } ) )
            = ( ( span ` w ) ` { ( f ( -vNEW ` w ) u ) } ) ) ) ) ) ) ) ) } ) @.

    @( Define g map. @)
    df-gmap @a |- gmap = ( l e. _V , p e. _V |-> { a | E. v E. w E. e E. f
   ( v = ( l DVecH p ) /\ w = ( Vldual ` v ) /\ a e. ( f e. ( vbase ` v )
   |-> ( iota g ( g e. ( Base ` w ) /\ A. x e. ( vbase ` v )
          ( ( l hmap p ) ` ( f ( .s ` v ) x ) )
              = ( g ( .s ` w ) ( ( l hmap l ) ` x ) ) ) ) ) ) } ) @.

    @( Define Hilbert space constructed from Hilbert lattice. @)
    df-hltohil @a |- HLtoHil = ( l e. _V , p e. _V |->
       ( ( l DVecH p ) u.
         { <. 7 , ( l gmap p ) >. ,
           <. 8 , ( a e. ( vbase ` ( l DVecH p ) ) , b e.
 ( vbase ` ( l DVecH p ) ) |-> ( ( ( l hmap p ) ` b ) ` a ) ) >. } ) ) @.
  @}
$)

  $c LLines $.
  $c LPlanes $.
  $c LVols $.
  $c Lines $.
  $c Points $.
  $c PSubSp $.
  $c pmap $.

  $( Extend class notation with set of all "lattice lines" (lattice elements
     which cover an atom) in a Hilbert lattice. $)
  clln $a class LLines $.

  $( Extend class notation with set of all "lattice planes" (lattice elements
     which cover a line) in a Hilbert lattice. $)
  clpl $a class LPlanes $.

  $( Extend class notation with set of all 3-dimensional "lattice volumes"
     (lattice elements which cover a plane) in a Hilbert lattice. $)
  clvol $a class LVols $.

  $( Extend class notation with set of all projective lines for a Hilbert
     lattice. $)
  clines $a class Lines $.

  $( Extend class notation with set of all projective points. $)
  cpointsN $a class Points $.

  $( Extend class notation with set of all projective subspaces. $)
  cpsubsp $a class PSubSp $.

  $( Extend class notation with projective map. $)
  cpmap $a class pmap $.

  ${
    $d a k p q r s x $.
    $( Define the set of all "lattice lines" (lattice elements which cover an
       atom) in a Hilbert lattice ` k ` , in other words all elements of height
       2 (or lattice dimension 2 or projective dimension 1).  (Contributed by
       NM, 16-Jun-2012.) $)
    df-llines $a |- LLines = ( k e. _V |-> { x e. ( Base ` k ) |
          E. p e. ( Atoms ` k ) p ( <o ` k ) x } ) $.

    $( Define the set of all "lattice planes" (lattice elements which cover a
       line) in a Hilbert lattice ` k ` , in other words all elements of height
       3 (or lattice dimension 3 or projective dimension 2).  (Contributed by
       NM, 16-Jun-2012.) $)
    df-lplanes $a |- LPlanes = ( k e. _V |-> { x e. ( Base ` k ) |
          E. p e. ( LLines ` k ) p ( <o ` k ) x } ) $.

    $( Define the set of all 3-dimensional "lattice volumes" (lattice elements
       which cover a plane) in a Hilbert lattice ` k ` , in other words all
       elements of height 4 (or lattice dimension 4 or projective dimension 3).
       (Contributed by NM, 1-Jul-2012.) $)
    df-lvols $a |- LVols = ( k e. _V |-> { x e. ( Base ` k ) |
          E. p e. ( LPlanes ` k ) p ( <o ` k ) x } ) $.

    $( Define set of all projective lines for a Hilbert lattice (actually in
       any set at all, for simplicity).  The join of two distinct atoms equals
       a line.  Definition of lines in item 1 of [Holland95] p. 222.
       (Contributed by NM, 19-Sep-2011.) $)
    df-lines $a |- Lines = ( k e. _V |-> { s | E. q e. ( Atoms ` k )
     E. r e. ( Atoms ` k ) ( q =/= r /\
     s = { p e. ( Atoms ` k ) | p ( le ` k ) ( q ( join ` k ) r ) } ) } ) $.

    $( Define set of all projective points in a Hilbert lattice (actually in
       any set at all, for simplicity).  A projective point is the singleton of
       a lattice atom.  Definition 15.1 of [MaedaMaeda] p. 61.  Note that item
       1 in [Holland95] p. 222 defines a point as the atom itself, but this
       leads to a complicated subspace ordering that may be either membership
       or inclusion based on its arguments.  (Contributed by NM,
       2-Oct-2011.) $)
    df-pointsN $a |- Points = ( k e. _V |-> { q |
                   E. p e. ( Atoms ` k ) q = { p } } ) $.

    $( Define set of all projective subspaces.  Based on definition of subspace
       in [Holland95] p. 212.  (Contributed by NM, 2-Oct-2011.) $)
    df-psubsp $a |- PSubSp = ( k e. _V |-> { s | ( s C_ ( Atoms ` k )
      /\ A. p e. s A. q e. s A. r e. ( Atoms ` k )
        ( r ( le ` k ) ( p ( join ` k ) q ) -> r e. s ) ) } ) $.

    $( Define projective map for ` k ` at ` a ` .  Definition in Theorem 15.5
       of [MaedaMaeda] p. 62.  (Contributed by NM, 2-Oct-2011.) $)
    df-pmap $a |- pmap = ( k e. _V |-> ( a e. ( Base ` k ) |->
               { p e. ( Atoms ` k ) | p ( le ` k ) a } ) ) $.
  $}

  ${
    $d k p A $.  $d k x B $.  $d k C $.  $d k p x K $.
    llnset.b $e |- B = ( Base ` K ) $.
    llnset.c $e |- C = ( <o ` K ) $.
    llnset.a $e |- A = ( Atoms ` K ) $.
    llnset.n $e |- N = ( LLines ` K ) $.
    $( The set of lattice lines in a Hilbert lattice.  (Contributed by NM,
       16-Jun-2012.) $)
    llnset $p |- ( K e. D -> N = { x e. B | E. p e. A p C x } ) $=
      ( vk cv cfv ccvr catm cbs fveq2 eqtr4di wcel cvv wrex crab wceq elex clln
      wbr breqd rexeqbidv rabeqbidv df-llines fvexi rabex fvmpt syl5eq syl ) FE
      UAFUBUAZGHNZANZDUHZHBUCZACUDZUEFEUFURGFUGOVCLMFUSUTMNZPOZUHZHVDQOZUCZAVDR
      OZUDVCUBUGVDFUEZVHVBAVICVJVIFROCVDFRSITVJVFVAHVGBVJVGFQOBVDFQSKTVJVEDUSUT
      VJVEFPODVDFPSJTUIUJUKAMHULVBACCFRIUMUNUOUPUQ $.

    $d x A $.  $d x C $.  $d p x X $.
    $( The predicate "is a lattice line".  (Contributed by NM, 16-Jun-2012.) $)
    islln $p |- ( K e. D -> ( X e. N <-> ( X e. B /\ E. p e. A p C X ) ) ) $=
      ( vx wcel cv wbr wrex crab wa llnset eleq2d breq2 rexbidv elrab bitrdi
      wceq ) EDNZGFNGHOZMOZCPZHAQZMBRZNGBNUHGCPZHAQZSUGFULGMABCDEFHIJKLTUAUKUNM
      GBUIGUFUJUMHAUIGUHCUBUCUDUE $.

    $( The predicate "is a lattice line".  (Contributed by NM, 16-Jun-2012.) $)
    islln4 $p |- ( ( K e. D /\ X e. B )
       -> ( X e. N <-> E. p e. A p C X ) ) $=
      ( wcel cv wbr wrex islln baibd ) EDMGFMGBMHNGCOHAPABCDEFGHIJKLQR $.

    $d p C $.  $d p P $.
    $( Condition implying a lattice line.  (Contributed by NM, 17-Jun-2012.) $)
    llni $p |- ( ( ( K e. D /\ X e. B /\ P e. A ) /\ P C X ) -> X e. N ) $=
      ( vp wcel w3a wbr wa cv wrex simpl2 rspcev 3ad2antl3 simpl1 syl mpbir2and
      breq1 wb islln ) FDNZHBNZEANZOEHCPZQZHGNZUJMRZHCPZMASZUIUJUKULTUKUIULUQUJ
      UPULMEAUOEHCUFUAUBUMUIUNUJUQQUGUIUJUKULUCABCDFGHMIJKLUHUDUE $.
  $}

  ${
    $d p K $.  $d p X $.
    llnbase.b $e |- B = ( Base ` K ) $.
    llnbase.n $e |- N = ( LLines ` K ) $.
    $( A lattice line is a lattice element.  (Contributed by NM,
       16-Jun-2012.) $)
    llnbase $p |- ( X e. N -> X e. B ) $=
      ( vp cvv wcel clln cfv c0 wceq n0i eqeq1i sylnib fvprc nsyl2 cv eqid ccvr
      wbr catm wrex islln simprbda mpancom ) BHIZDCIZDAIZUIBJKZLMZUHUICLMULCDNC
      UKLFOPBJQRUHUIUJGSDBUAKZUBGBUCKZUDUNAUMHBCDGEUMTUNTFUEUFUG $.
  $}

  ${
    $d p q A $.  $d p q B $.  $d p q K $.  $d p q X $.
    islln3.b $e |- B = ( Base ` K ) $.
    islln3.j $e |- .\/ = ( join ` K ) $.
    islln3.a $e |- A = ( Atoms ` K ) $.
    islln3.n $e |- N = ( LLines ` K ) $.
    $( The predicate "is a lattice line".  (Contributed by NM, 17-Jun-2012.) $)
    islln3 $p |- ( ( K e. HL /\ X e. B )
     -> ( X e. N <-> E. p e. A E. q e. A ( p =/= q /\ X = ( p .\/ q ) ) ) ) $=
      ( chlt wcel wa cv cfv wbr wrex wb ccvr co wceq eqid islln4 cple wn simpll
      wne atbase adantl simplr cvrval3 syl3anc cal hlatl ad3antrrr simpr atncmp
      necom bitrdi eqcom a1i anbi12d rexbidva bitrd ) DMNZFBNZOZFENHPZFDUAQZRZH
      ASVJGPZUIZFVJVMCUBZUCZOZGASZHASABVKMDEFHIVKUDZKLUEVIVLVRHAVIVJANZOZVLVMVJ
      DUFQZRUGZVOFUCZOZGASZVRWAVGVJBNZVHVLWFTVGVHVTUHVTWGVIABVJDIKUJUKVGVHVTULA
      BVKCDWBVJFGIWBUDZJVSKUMUNWAWEVQGAWAVMANZOZWCVNWDVPWJWCVMVJUIZVNWJDUONZWIV
      TWCWKTVGWLVHVTWIDUPUQWAWIURVIVTWIULAVMVJDWBWHKUSUNVMVJUTVAWDVPTWJVOFVBVCV
      DVEVFVEVF $.

    $( The predicate "is a lattice line".  (Contributed by NM, 23-Jun-2012.) $)
    islln2 $p |- ( K e. HL -> ( X e. N
   <-> ( X e. B /\ E. p e. A E. q e. A ( p =/= q /\ X = ( p .\/ q ) ) ) ) ) $=
      ( wcel wa chlt cv wne co wceq wrex llnbase pm4.71ri islln3 pm5.32da
      syl5bb ) FEMZFBMZUFNDOMZUGHPZGPZQFUIUJCRSNGATHATZNUFUGBDEFILUAUBUHUGUFUKA
      BCDEFGHIJKLUCUDUE $.
  $}

  ${
    $d r s A $.  $d r s .\/ $.  $d r s K $.  $d r s P $.  $d r s Q $.
    llni2.j $e |- .\/ = ( join ` K ) $.
    llni2.a $e |- A = ( Atoms ` K ) $.
    llni2.n $e |- N = ( LLines ` K ) $.
    $( The join of two different atoms is a lattice line.  (Contributed by NM,
       26-Jun-2012.) $)
    llni2 $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A ) /\ P =/= Q )
         -> ( P .\/ Q ) e. N ) $=
      ( vr vs wcel wne wa co cv wceq wrex eqeq2d anbi12d chlt w3a simpl2 simpl3
      simpr eqidd neeq1 oveq1 neeq2 oveq2 rspc2ev syl112anc cbs cfv simpl1 eqid
      wb hlatjcl adantr islln3 syl2anc mpbird ) EUALZBALZCALZUBZBCMZNZBCDOZFLZJ
      PZKPZMZVIVKVLDOZQZNZKARJARZVHVDVEVGVIVIQZVQVCVDVEVGUCVCVDVEVGUDVFVGUEVHVI
      UFVPVGVRNBVLMZVIBVLDOZQZNJKBCAAVKBQZVMVSVOWAVKBVLUGWBVNVTVIVKBVLDUHSTVLCQ
      ZVSVGWAVRVLCBUIWCVTVIVIVLCBDUJSTUKULVHVCVIEUMUNZLZVJVQUQVCVDVEVGUOVFWEVGA
      WDDEBCWDUPZGHURUSAWDDEFVIKJWFGHIUTVAVB $.
  $}

  ${
    $d q A $.  $d q K $.  $d q .<_ $.  $d q N $.  $d q X $.  $d q P $.
    llnnleat.l $e |- .<_ = ( le ` K ) $.
    llnnleat.a $e |- A = ( Atoms ` K ) $.
    llnnleat.n $e |- N = ( LLines ` K ) $.
    $( An atom cannot majorize a lattice line.  (Contributed by NM,
       8-Jul-2012.) $)
    llnnleat $p |- ( ( K e. HL /\ X e. N /\ P e. A ) -> -. X .<_ P ) $=
      ( vq chlt wcel w3a cfv wbr wn wa simp2 eqid syl cv ccvr wrex cbs wb islln
      3ad2ant1 mpbid simprd cplt cal simp11 hlatl simp13 atnlt syl3anc 3ad2ant2
      atbase simp12 llnbase simp3 cvrlt syl31anc wi hlpos pltletr syl13anc mtod
      cpo mpand rexlimdv3a mpd ) CKLZFELZBALZMZJUAZFCUBNZOZJAUCZFBDOZPZVPFCUDNZ
      LZVTVPVNWDVTQZVMVNVORVMVNVNWEUEVOAWCVRKCEFJWCSZVRSZHIUFUGUHUIVPVSWBJAVPVQ
      ALZVSMZWAVQBCUJNZOZWICUKLZWHVOWKPWIVMWLVMVNVOWHVSULZCUMTVPWHVSRVMVNVOWHVS
      UNZAVQBWJCWJSZHUOUPWIVQFWJOZWAWKWIVMVQWCLZWDVSWPWMWHVPWQVSAWCVQCWFHURUQZW
      IVNWDVMVNVOWHVSUSWCCEFWFIUTTZVPWHVSVAKWCVRWJCVQFWFWOWGVBVCWICVILZWQWDBWCL
      ZWPWAQWKVDWIVMWTWMCVETWRWSWIVOXAWNAWCBCWFHURTWCWJCDVQFBWFGWOVFVGVJVHVKVL
      $.
  $}

  ${
    llnneat.a $e |- A = ( Atoms ` K ) $.
    llnneat.n $e |- N = ( LLines ` K ) $.
    $( A lattice line is not an atom.  (Contributed by NM, 19-Jun-2012.) $)
    llnneat $p |- ( ( K e. HL /\ X e. N ) -> -. X e. A ) $=
      ( chlt wcel wa cple cfv wbr clat cbs hllat eqid llnbase latref syl2an wn
      llnnleat 3expia mt2d ) BGHZDCHZIDAHZDDBJKZLZUDBMHDBNKZHUHUEBOUIBCDUIPZFQU
      IBUGDUJUGPZRSUDUEUFUHTADBUGCDUKEFUAUBUC $.
  $}

  ${
    2atneat.j $e |- .\/ = ( join ` K ) $.
    2atneat.a $e |- A = ( Atoms ` K ) $.
    $( The join of two distinct atoms is not an atom.  (Contributed by NM,
       12-Oct-2012.) $)
    2atneat $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ P =/= Q ) )
         -> -. ( P .\/ Q ) e. A ) $=
      ( chlt wcel wne w3a co clln cfv wn wa simpl simpr1 simpr2 simpr3 syl31anc
      eqid llni2 llnneat syldan ) EHIZBAIZCAIZBCJZKZBCDLZEMNZIZUKAIOUFUJPUFUGUH
      UIUMUFUJQUFUGUHUIRUFUGUHUISUFUGUHUITABCDEULFGULUBZUCUAAEULUKGUNUDUE $.
  $}

  ${
    $d p K $.  $d p N $.  $d p X $.  $d p .0. $.
    llnn0.z $e |- .0. = ( 0. ` K ) $.
    llnn0.n $e |- N = ( LLines ` K ) $.
    $( A lattice line is nonzero.  (Contributed by NM, 15-Jul-2012.) $)
    llnn0 $p |- ( ( K e. HL /\ X e. N ) -> X =/= .0. ) $=
      ( vp chlt wcel wa cv catm cfv wne wex c0 eqid atex n0 wbr sylib adantr wn
      cple llnnleat 3expa wceq cops cbs hlop ad2antrr atbase adantl op0le breq1
      syl2anc syl5ibrcom necon3bd mpd exlimddv ) AHIZCBIZJZGKZALMZIZCDNZGVAVFGO
      ZVBVAVEPNVHVEAVEQZRGVESUAUBVCVFJZCVDAUDMZTZUCZVGVAVBVFVMVEVDAVKBCVKQZVIFU
      EUFVJVLCDVJVLCDUGDVDVKTZVJAUHIZVDAUIMZIZVOVAVPVBVFAUJUKVFVRVCVEVQVDAVQQZV
      IULUMVQAVKVDDVSVNEUNUPCDVDVKUOUQURUSUT $.
  $}

  ${
    islln2a.j $e |- .\/ = ( join ` K ) $.
    islln2a.a $e |- A = ( Atoms ` K ) $.
    islln2a.n $e |- N = ( LLines ` K ) $.
    $( The predicate "is a lattice line" in terms of atoms.  (Contributed by
       NM, 15-Jul-2012.) $)
    islln2a $p |- ( ( K e. HL /\ P e. A /\ Q e. A )
        -> ( ( P .\/ Q ) e. N <-> P =/= Q ) ) $=
      ( chlt wcel w3a co wne wceq wn wa oveq1 hlatjidm ex 3adant2 llnneat con2d
      sylan9eqr adantlr 3impia adantr eqneltrd necon2ad llni2 impbid ) EJKZBAKZ
      CAKZLZBCDMZFKZBCNZUOUQBCUOBCOZUQPUOUSQUPCFUSUOUPCCDMZCBCCDRULUNUTCOUMADEC
      GHSUAUDUOCFKZPZUSULUMUNVBULUMQZVAUNVCVAUNPZULVAVDUMAEFCHIUBUETUCUFUGUHTUI
      UOURUQABCDEFGHIUJTUK $.
  $}

  ${
    $d p q A $.  $d p q B $.  $d p q y K $.  $d p q y .<_ $.  $d p q y N $.
    $d p q y X $.  $d p q .0. $.
    llnle.b $e |- B = ( Base ` K ) $.
    llnle.l $e |- .<_ = ( le ` K ) $.
    llnle.z $e |- .0. = ( 0. ` K ) $.
    llnle.a $e |- A = ( Atoms ` K ) $.
    llnle.n $e |- N = ( LLines ` K ) $.
    $( Any element greater than 0 and not an atom majorizes a lattice line.
       (Contributed by NM, 28-Jun-2012.) $)
    llnle $p |- ( ( ( K e. HL /\ X e. B ) /\ ( X =/= .0. /\ -. X e. A ) )
               -> E. y e. N y .<_ X ) $=
      ( vp vq chlt wcel wa cv wbr wne wn wrex simpll simplr simprl atle syl3anc
      w3a cjn cfv ccvr cplt simp1ll atbase 3ad2ant2 simp1lr simp3 simp2 simp1rr
      co nelne2 syl2anc wb pltval mpbir2and hlrelat3 syl31anc wi simp21 hlatjcl
      eqid simp23 simp3l llni simp3r breq1 rspcev 3exp 3expd 3imp rexlimdv mpd
      ) DPQZGCQZRZGHUAZGBQUBZRZRZNSZGETZNBUCZASZGETZAFUCZWJWDWEWGWMWDWEWIUDWDWE
      WIUEWFWGWHUFBCDEGHNIJKLUGUHWJWLWPNBWJWKBQZWLWPWJWQWLUIZWKWKOSZDUJUKZVAZDU
      LUKZTZXAGETZRZOBUCZWPWRWDWKCQZWEWKGDUMUKZTZXFWDWEWIWQWLUNZWQWJXGWLBCWKDIL
      UOUPWDWEWIWQWLUQZWRXIWLWKGUAZWJWQWLURWRWQWHXLWJWQWLUSZWGWHWFWQWLUTWKGBVBV
      CWRWDWQWEXIWLXLRVDXJXMXKPBCXHDEWKGJXHVLZVEUHVFBCXBXHWTDEWKGOIJXNWTVLZXBVL
      ZLVGVHWRXEWPOBWJWQWLWSBQZXEWPVIZVIWJWQWLXQXRWJWQWLXQUIZXEWPWJXSXEUIZXAFQZ
      XDWPXTWDXACQZWQXCYAWDWEWIXSXEUNZXTWDWQXQYBYCWJWQWLXQXEVJZWJWQWLXQXEVMBCWT
      DWKWSIXOLVKUHYDWJXSXCXDVNBCXBPWKDFXAIXPLMVOVHWJXSXCXDVPWOXDAXAFWNXAGEVQVR
      VCVSVTWAWBWCVSWBWC $.
  $}

  ${
    $d q r A $.  $d q r C $.  $d q r K $.  $d q r .<_ $.  $d q r N $.
    $d q r P $.  $d q r X $.
    atcvrlln2.l $e |- .<_ = ( le ` K ) $.
    atcvrlln2.c $e |- C = ( <o ` K ) $.
    atcvrlln2.a $e |- A = ( Atoms ` K ) $.
    atcvrlln2.n $e |- N = ( LLines ` K ) $.
    $( An atom under a line is covered by it.  (Contributed by NM,
       2-Jul-2012.) $)
    atcvrlln2 $p |- ( ( ( K e. HL /\ P e. A /\ X e. N ) /\ P .<_ X )
        -> P C X ) $=
      ( vq vr wcel w3a wbr wa cv cfv wrex chlt wne cjn co wceq simpl3 wb simpl1
      cbs llnbase syl islln3 syl2anc mpbid simp1l1 simp1l2 simp2l simp2r simp3l
      eqid simp1r simp3r breqtrd atcvrj2 syl132anc breqtrrd 3exp rexlimdvv mpd
      ) DUANZCANZGFNZOZCGEPZQZLRZMRZUBZGVPVQDUCSZUDZUEZQZMATLATZCGBPZVOVLWCVJVK
      VLVNUFZVOVJGDUISZNZVLWCUGVJVKVLVNUHVOVLWGWEWFDFGWFUTZKUJUKAWFVSDFGMLWHVSU
      TZJKULUMUNVOWBWDLMAAVOVPANZVQANZQZWBWDVOWLWBOZCVTGBWMVJVKWJWKVRCVTEPCVTBP
      VJVKVLVNWLWBUOVJVKVLVNWLWBUPVOWJWKWBUQVOWJWKWBURVOWLVRWAUSWMCGVTEVMVNWLWB
      VAVOWLVRWAVBZVCABCVPVQVSDEHWIIJVDVEWNVFVGVHVI $.
  $}

  ${
    $d p q A $.  $d p q B $.  $d p q C $.  $d p q K $.  $d p q X $.
    $d p q Y $.
    atcvrlln.b $e |- B = ( Base ` K ) $.
    atcvrlln.c $e |- C = ( <o ` K ) $.
    atcvrlln.a $e |- A = ( Atoms ` K ) $.
    atcvrlln.n $e |- N = ( LLines ` K ) $.
    $( An element covering an atom is a lattice line and vice-versa.
       (Contributed by NM, 18-Jun-2012.) $)
    atcvrlln $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B ) /\ X C Y )
        -> ( X e. A <-> Y e. N ) ) $=
      ( vp vq chlt wcel w3a wbr wa simpll1 simpll3 simpr simplr syl31anc cv wne
      llni cjn cfv co wceq wrex wb eqid islln3 syl2anc mpbid wi simp1l1 simp1l2
      simp2l simp2r simp3l simp1r simp3r cvrat2 syl132anc 3exp rexlimdvv adantr
      breqtrd mpd impbida ) DNOZFBOZGBOZPZFGCQZRZFAOZGEOZVRVSRVMVOVSVQVTVMVNVOV
      QVSSVMVNVOVQVSTVRVSUAVPVQVSUBABCNFDEGHIJKUFUCVRVTRZLUDZMUDZUEZGWBWCDUGUHZ
      UIZUJZRZMAUKLAUKZVSWAVTWIVRVTUAWAVMVOVTWIULVMVNVOVQVTSVMVNVOVQVTTABWEDEGM
      LHWEUMZJKUNUOUPVRWIVSUQVTVRWHVSLMAAVRWBAOZWCAOZRZWHVSVRWMWHPZVMVNWKWLWDFW
      FCQVSVMVNVOVQWMWHURVMVNVOVQWMWHUSVRWKWLWHUTVRWKWLWHVAVRWMWDWGVBWNFGWFCVPV
      QWMWHVCVRWMWDWGVDVJABCWBWCWEDFHWJIJVEVFVGVHVIVKVL $.
  $}

  ${
    $d q A $.  $d q K $.  $d q .<_ $.  $d q N $.  $d q P $.  $d q X $.
    llnexat.l $e |- .<_ = ( le ` K ) $.
    llnexat.j $e |- .\/ = ( join ` K ) $.
    llnexat.a $e |- A = ( Atoms ` K ) $.
    llnexat.n $e |- N = ( LLines ` K ) $.
    $( Given an atom on a line, there is another atom whose join equals the
       line.  (Contributed by NM, 26-Jun-2012.)  (New usage is discouraged.) $)
    llnexatN $p |- ( ( ( K e. HL /\ X e. N /\ P e. A ) /\ P .<_ X )
      -> E. q e. A ( P =/= q /\ X = ( P .\/ q ) ) ) $=
      ( wcel w3a wbr wa cfv wne wceq syl chlt ccvr cv co wrex simp1 simp3 simp2
      3jca eqid atcvrlln2 sylan cbs simpl1 simpl3 atbase simpl2 llnbase cvrval3
      wn wb syl3anc cal simpll1 hlatl simpr simpll3 atncmp anbi1d necom anbi12i
      eqcom bitrdi rexbidva bitrd mpbid ) DUAMZGFMZBAMZNZBGEOZPZBGDUBQZOZBHUCZR
      ZGBWECUDZSZPZHAUEZVTVQVSVRNWAWDVTVQVSVRVQVRVSUFVQVRVSUGVQVRVSUHUIAWCBDEFG
      IWCUJZKLUKULWBWDWEBEOUTZWGGSZPZHAUEZWJWBVQBDUMQZMZGWPMZWDWOVAVQVRVSWAUNWB
      VSWQVQVRVSWAUOAWPBDWPUJZKUPTWBVRWRVQVRVSWAUQWPDFGWSLURTAWPWCCDEBGHWSIJWKK
      USVBWBWNWIHAWBWEAMZPZWNWEBRZWMPWIXAWLXBWMXADVCMZWTVSWLXBVAXAVQXCVQVRVSWAW
      TVDDVETWBWTVFVQVRVSWAWTVGAWEBDEIKVHVBVIXBWFWMWHWEBVJWGGVLVKVMVNVOVP $.
  $}

  ${
    $d p K $.  $d p .<_ $.  $d p N $.  $d p X $.  $d p Y $.
    llncmp.l $e |- .<_ = ( le ` K ) $.
    llncmp.n $e |- N = ( LLines ` K ) $.
    $( If two lattice lines are comparable, they are equal.  (Contributed by
       NM, 19-Jun-2012.) $)
    llncmp $p |- ( ( K e. HL /\ X e. N /\ Y e. N )
                -> ( X .<_ Y <-> X = Y ) ) $=
      ( vp chlt wcel w3a wbr cfv wi wb eqid llnbase syl2anc mpbid wa wceq simp2
      ccvr catm wrex cbs simp1 3ad2ant2 islln4 simpr3 cpo hlpos 3ad2ant1 adantr
      cv simpl3 syl simpr1 atbase simpr2 simpl1 cvrle syl31anc mp2and atcvrlln2
      postr syl13anc cvrcmp syl132anc 3exp2 rexlimdv mpd posref breq2 syl5ibcom
      impbid ) AIJZDCJZECJZKZDEBLZDEUAZVTHUOZDAUCMZLZHAUDMZUEZWAWBNZVTVRWGVQVRV
      SUBVTVQDAUFMZJZVRWGOVQVRVSUGVRVQWJVSWIACDWIPZGQUHZWFWIWDIACDHWKWDPZWFPZGU
      IRSVTWEWHHWFVTWCWFJZWEWAWBVTWOWEWAKZTZWAWBVTWOWEWAUJZWQAUKJZWJEWIJZWCWIJZ
      WEWCEWDLZWAWBOVTWSWPVQVRWSVSAULUMZUNZVTWJWPWLUNZWQVSWTVQVRVSWPUPZWIACEWKG
      QUQZWQWOXAVTWOWEWAURZWFWIWCAWKWNUSUQZVTWOWEWAUTZWQVQWOVSWCEBLZXBVQVRVSWPV
      AZXHXFWQWCDBLZWAXKWQVQXAWJWEXMXLXIXEXJIWIWDABWCDWKFWMVBVCWRWQWSXAWJWTXMWA
      TXKNXDXIXEXGWIABWCDEWKFVFVGVDWFWDWCABCEFWMWNGVEVCWIWDABDEWCWKFWMVHVISVJVK
      VLVTDDBLZWBWAVTWSWJXNXCWLWIABDWKFVMRDEDBVNVOVP $.
  $}

  ${
    llnnlt.s $e |- .< = ( lt ` K ) $.
    llnnlt.n $e |- N = ( LLines ` K ) $.
    $( Two lattice lines cannot satisfy the less than relation.  (Contributed
       by NM, 26-Jun-2012.) $)
    llnnlt $p |- ( ( K e. HL /\ X e. N /\ Y e. N ) -> -. X .< Y ) $=
      ( chlt wcel w3a wbr wceq pltirr 3adant3 breq2 notbid syl5ibcom cple cfv
      wn eqid pltle llncmp sylibd necon3ad pm2.61dne ) BHIZDCIZECIZJZDEAKZTZDEU
      JDDAKZTZDELZULUGUHUNUIHCABDFMNUOUMUKDEDAOPQUJUKDEUJUKDEBRSZKUOHCCABUPDEUP
      UAZFUBBUPCDEUQGUCUDUEUF $.
  $}

  ${
    $d p A $.  $d p K $.  $d p ./\ $.  $d p N $.  $d p X $.  $d p Y $.
    $d p .0. $.
    2llnmat.m $e |- ./\ = ( meet ` K ) $.
    2llnmat.z $e |- .0. = ( 0. ` K ) $.
    2llnmat.a $e |- A = ( Atoms ` K ) $.
    2llnmat.n $e |- N = ( LLines ` K ) $.
    $( Two intersecting lines intersect at an atom.  (Contributed by NM,
       30-Apr-2012.) $)
    2llnmat $p |- ( ( ( K e. HL /\ X e. N /\ Y e. N )
        /\ ( X =/= Y /\ ( X ./\ Y ) =/= .0. ) ) -> ( X ./\ Y ) e. A ) $=
      ( vp wcel wne wa wceq cfv wbr syl syl3anc chlt w3a co cv wrex cple simpl1
      cal cbs hlatl clat hllatd simpl2 eqid llnbase simpl3 latmcl atlex simp1rl
      simprr wb simp1l llncmp simp1l1 simp1l2 simp1l3 latleeqm1 necon3bid mpbid
      bitr3d wo wi simp3 latmle1 cpo ccvr hlpos atbase 3ad2ant2 simp2 atcvrlln2
      lattrd syl31anc cvrnbtwn4 syl131anc mpbi2and neor sylib necon1d reximdvai
      mpd 3exp risset sylibr ) BUAMZEDMZFDMZUBZEFNZEFCUCZGNZOZOZLUDZWTPZLAUEZWT
      AMXCXDWTBUFQZRZLAUEZXFXCBUHMZWTBUIQZMZXAXIXCWOXJWOWPWQXBUGZBUJSXCBUKMZEXK
      MZFXKMZXLXCBXMULXCWPXOWOWPWQXBUMXKBDEXKUNZKUOZSXCWQXPWOWPWQXBUPXKBDFXQKUO
      ZSXKBCEFXQHUQZTWRWSXAUTLAXKBXGWTGXQXGUNZIJURTXCXHXELAXCXDAMZXHXEXCYBXHUBZ
      WTENZXEYCWSYDWSXAWRYBXHUSYCEFWTEYCEFXGRZEFPZWTEPZYCWRYEYFVAWRXBYBXHVBBXGD
      EFYAKVCSYCXNXOXPYEYGVAYCBWOWPWQXBYBXHVDZULZYCWPXOWOWPWQXBYBXHVEZXRSZYCWQX
      PWOWPWQXBYBXHVFXSSZXKBXGCEFXQYAHVGTVJVHVIYCXDWTWTEYCXEYGVKZXDWTNYGVLYCXHW
      TEXGRZYMXCYBXHVMZYCXNXOXPYNYIYKYLXKBXGCEFXQYAHVNTZYCBVOMZXDXKMZXOXLXDEBVP
      QZRZXHYNOYMVAYCWOYQYHBVQSYBXCYRXHAXKXDBXQJVRVSZYKYCXNXOXPXLYIYKYLXTTZYCWO
      YBWPXDEXGRYTYHXCYBXHVTYJYCXKBXGXDWTEXQYAYIUUAUUBYKYOYPWBAYSXDBXGDEYAYSUNZ
      JKWAWCXKYSBXGXDEWTXQYAUUCWDWEWFYGXDWTWGWHWIWKWLWJWKLWTAWMWN $.
  $}

  ${
    2atmatz.j $e |- .\/ = ( join ` K ) $.
    2atmatz.m $e |- ./\ = ( meet ` K ) $.
    2atmatz.z $e |- .0. = ( 0. ` K ) $.
    2atmatz.a $e |- A = ( Atoms ` K ) $.
    $( Special case of ~ 2atmat0 where one atom could be zero.  (Contributed by
       NM, 30-May-2013.) $)
    2at0mat0 $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
    /\ ( R e. A /\ ( S e. A \/ S = .0. ) /\ ( P .\/ Q ) =/= ( R .\/ S ) ) )
    -> ( ( ( P .\/ Q ) ./\ ( R .\/ S ) ) e. A
         \/ ( ( P .\/ Q ) ./\ ( R .\/ S ) ) = .0. ) ) $=
      ( wcel wceq wo co wa syl3anc adantr chlt w3a simpll simplr1 simpr simplr3
      wne col cbs cfv simpl1 hlol syl simpr1 simpr2 eqid hlatjcl simpl3 meetat2
      oveq1 hlatjidm syl2anc sylan9eqr oveq1d clat hllatd atbase latmcom eleq1d
      eqtrd eqeq1d orbi12d mpbird adantlr wn df-ne clln simpll1 simpll2 simpll3
      oveq2d llni2 syl31anc simplr2 simpr3 2llnmat syl32anc 3exp2 imp31 syl5bir
      wi orrd orcomd pm2.61dane syl13anc oveq2 olj01 mpjaodan ) GUANZBANZCANZUB
      ZDANZEANZEIOZPZBCFQZDEFQZUGZUBZRZXDXGXHHQZANZXLIOZPZXEXKXDRXBXCXDXIXOXBXJ
      XDUCXCXFXIXBXDUDXKXDUEXCXFXIXBXDUFXBXCXDXIUBZRZXOBCXQBCOZRZXOXHCHQZANZXTI
      OZPZXQYCXRXQGUHNZXHGUIUJZNZXAYCXQWSYDWSWTXAXPUKZGULZUMZXQWSXCXDYFYGXBXCXD
      XIUNXBXCXDXIUOZAYEFGDEYEUPZJMUQSZWSWTXAXPURZAYECGHXHIYKKLMUSSTXSXMYAXNYBX
      SXLXTAXSXLCXHHQZXTXSXGCXHHXRXQXGCCFQZCBCCFUTXQWSXAYOCOYGYMAFGCJMVAVBVCVDX
      QYNXTOZXRXQGVENCYENZYFYPXQGYGVFXQXAYQYMAYECGYKMVGUMYLYEGHCXHYKKVHSTVJZVIX
      SXLXTIYRVKVLVMXQBCUGZRZXODEXQDEOZXOYSXQUUARZXOXGEHQZANZUUCIOZPZXQUUFUUAXQ
      YDXGYENZXDUUFYIXBUUGXPAYEFGBCYKJMUQZTYJAYEEGHXGIYKKLMUSSTUUBXMUUDXNUUEUUB
      XLUUCAUUBXHEXGHUUAXQXHEEFQZEDEEFUTXQWSXDUUIEOYGYJAFGEJMVAVBVCWAZVIUUBXLUU
      CIUUJVKVLVMVNYTDEUGZRZXNXMUULXNXMXNVOXLIUGZUULXMXLIVPXQYSUUKUUMXMWKXQYSUU
      KUUMXMXQYSUUKUUMUBZRZWSXGGVQUJZNZXHUUPNZXIUUMXMWSWTXAXPUUNVRZUUOWSWTXAYSU
      UQUUSWSWTXAXPUUNVSWSWTXAXPUUNVTXQYSUUKUUMUNABCFGUUPJMUUPUPZWBWCUUOWSXCXDU
      UKUURUUSXCXDXIXBUUNUDXCXDXIXBUUNWDXQYSUUKUUMUOADEFGUUPJMUUTWBWCXCXDXIXBUU
      NUFXQYSUUKUUMWEAGHUUPXGXHIKLMUUTWFWGWHWIWJWLWMWNWNWOXKXERZXOXGDHQZANZUVBI
      OZPZXKUVEXEXKYDUUGXCUVEXKWSYDWSWTXAXJUKYHUMZXBUUGXJUUHTXBXCXFXIUNZAYEDGHX
      GIYKKLMUSSTUVAXMUVCXNUVDUVAXLUVBAUVAXHDXGHXEXKXHDIFQZDEIDFWPXKYDDYENZUVHD
      OUVFXKXCUVIUVGAYEDGYKMVGUMYEFGDIYKJLWQVBVCWAZVIUVAXLUVBIUVJVKVLVMXBXCXFXI
      UOWR $.

    $( The meet of two unequal lines (expressed as joins of atoms) is an atom
       or zero.  (Contributed by NM, 2-Dec-2012.) $)
    2atmat0 $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
    /\ ( R e. A /\ S e. A /\ ( P .\/ Q ) =/= ( R .\/ S ) ) )
    -> ( ( ( P .\/ Q ) ./\ ( R .\/ S ) ) e. A
          \/ ( ( P .\/ Q ) ./\ ( R .\/ S ) ) = .0. ) ) $=
      ( chlt wcel w3a co wne wceq wo simpl simpr1 simpr2 orcd 2at0mat0 syl13anc
      wa simpr3 ) GNOBAOCAOPZDAOZEAOZBCFQZDEFQZRZPZUGZUIUJUKEISZTUNULUMHQZAOURI
      STUIUOUAUIUJUKUNUBUPUKUQUIUJUKUNUCUDUIUJUKUNUHABCDEFGHIJKLMUEUF $.
  $}

  ${
    2atm.l $e |- .<_ = ( le ` K ) $.
    2atm.j $e |- .\/ = ( join ` K ) $.
    2atm.m $e |- ./\ = ( meet ` K ) $.
    2atm.a $e |- A = ( Atoms ` K ) $.
    $( An atom majorized by two different atom joins (which could be atoms or
       lines) is equal to their intersection.  (Contributed by NM,
       30-Jun-2013.) $)
    2atm $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
    /\ ( R e. A /\ S e. A /\ T e. A )
    /\ ( T .<_ ( P .\/ Q ) /\ T .<_ ( R .\/ S )
        /\ ( P .\/ Q ) =/= ( R .\/ S ) ) )
    -> T = ( ( P .\/ Q ) ./\ ( R .\/ S ) ) ) $=
      ( wcel w3a co wbr syl syl3anc chlt wne wceq simp31 simp32 clat cbs cfv wa
      wb simp11 hllatd simp23 atbase simp12 simp13 latjcl simp21 simp22 hlatjcl
      latlem12 syl13anc mpbi2and cal hlatl cp0 latmcl atlen0 syl31anc neneqd wo
      eqid simp33 2atmat0 syl33anc ord mt3d atcmp mpbid ) HUAOZBAOZCAOZPZDAOZEA
      OZFAOZPZFBCGQZIRZFDEGQZIRZWHWJUBZPZPZFWHWJJQZIRZFWOUCZWNWIWKWPWCWGWIWKWLU
      DWCWGWIWKWLUEWNHUFOZFHUGUHZOZWHWSOZWJWSOZWIWKUIWPUJWNHVTWAWBWGWMUKZULZWNW
      FWTWCWDWEWFWMUMZAWSFHWSVLZNUNSWNWRBWSOZCWSOZXAXDWNWAXGVTWAWBWGWMUOZAWSBHX
      FNUNSWNWBXHVTWAWBWGWMUPZAWSCHXFNUNSWSGHBCXFLUQTZWNVTWDWEXBXCWCWDWEWFWMURZ
      WCWDWEWFWMUSZAWSGHDEXFLNUTTZWSHIJFWHWJXFKMVAVBVCZWNHVDOZWFWOAOZWPWQUJWNVT
      XPXCHVESZXEWNXQWOHVFUHZUCZWNWOXSWNXPWOWSOZWFWPWOXSUBXRWNWRXAXBYAXDXKXNWSH
      JWHWJXFMVGTXEXOAWSFHIWOXSXFKXSVLZNVHVIVJWNXQXTWNVTWAWBWDWEWLXQXTVKXCXIXJX
      LXMWCWGWIWKWLVMABCDEGHJXSLMYBNVNVOVPVQAFWOHIKNVRTVS $.

    $( Variation of projective geometry axiom ~ ps-2 .  (Contributed by NM,
       3-Jul-2012.) $)
    ps-2c $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
        /\ ( R e. A /\ S e. A /\ T e. A )
        /\ ( ( -. P .<_ ( Q .\/ R ) /\ S =/= T )
           /\ ( P .\/ R ) =/= ( S .\/ T )
           /\ ( S .<_ ( P .\/ Q ) /\ T .<_ ( Q .\/ R ) ) ) )
  -> ( ( P .\/ R ) ./\ ( S .\/ T ) ) e. A ) $=
      ( wcel w3a co wbr wne cfv chlt wn wa clln cp0 simp11 simp12 simp21 hllatd
      clat cbs eqid atbase syl simp13 latnlej1r syl131anc llni2 syl31anc simp22
      simp31l simp23 simp31r simp32 simp33 ps-2b syl333anc 2llnmat syl32anc ) H
      UAOZBAOZCAOZPZDAOZEAOZFAOZPZBCDGQZIRUBZEFSZUCZBDGQZEFGQZSZEBCGQIRFVRIRUCZ
      PZPZVJWBHUDTZOZWCWHOZWDWBWCJQZHUETZSZWKAOVJVKVLVQWFUFZWGVJVKVNBDSZWIWNVJV
      KVLVQWFUGZVMVNVOVPWFUHZWGHUJOBHUKTZOZCWROZDWROZVSWOWGHWNUIWGVKWSWPAWRBHWR
      ULZNUMUNWGVLWTVJVKVLVQWFUOZAWRCHXBNUMUNWGVNXAWQAWRDHXBNUMUNVSVTWDWEVMVQVA
      ZWRGHIBCDXBKLUPUQABDGHWHLNWHULZURUSWGVJVOVPVTWJWNVMVNVOVPWFUTZVMVNVOVPWFV
      BZVSVTWDWEVMVQVCZAEFGHWHLNXEURUSVMVQWAWDWEVDWGVJVKVLVNVOVPVSVTWEWMWNWPXCW
      QXFXGXDXHVMVQWAWDWEVEABCDEFGHIJWLKLMWLULZNVFVGAHJWHWBWCWLMXINXEVHVI $.
  $}

  ${
    $d k y N $.  $d k x B $.  $d k C $.  $d k y x K $.
    lplnset.b $e |- B = ( Base ` K ) $.
    lplnset.c $e |- C = ( <o ` K ) $.
    lplnset.n $e |- N = ( LLines ` K ) $.
    lplnset.p $e |- P = ( LPlanes ` K ) $.
    $( The set of lattice planes in a Hilbert lattice.  (Contributed by NM,
       16-Jun-2012.) $)
    lplnset $p |- ( K e. A -> P = { x e. B | E. y e. N y C x } ) $=
      ( vk cv cfv ccvr clln cbs fveq2 eqtr4di wcel cvv wrex crab wceq elex clpl
      wbr breqd rexeqbidv rabeqbidv df-lplanes fvexi rabex fvmpt syl5eq syl ) G
      CUAGUBUAZFBNZANZEUHZBHUCZADUDZUEGCUFURFGUGOVCLMGUSUTMNZPOZUHZBVDQOZUCZAVD
      ROZUDVCUBUGVDGUEZVHVBAVIDVJVIGRODVDGRSITVJVFVABVGHVJVGGQOHVDGQSKTVJVEEUSU
      TVJVEGPOEVDGPSJTUIUJUKAMBULVBADDGRIUMUNUOUPUQ $.

    $d x N $.  $d x C $.  $d y x X $.
    $( The predicate "is a lattice plane".  (Contributed by NM,
       16-Jun-2012.) $)
    islpln $p |- ( K e. A -> ( X e. P <-> ( X e. B /\ E. y e. N y C X ) ) ) $=
      ( vx wcel cv wbr wrex crab wa lplnset eleq2d breq2 rexbidv elrab bitrdi
      wceq ) FBNZHENHAOZMOZDPZAGQZMCRZNHCNUHHDPZAGQZSUGEULHMABCDEFGIJKLTUAUKUNM
      HCUIHUFUJUMAGUIHUHDUBUCUDUE $.

    $( The predicate "is a lattice plane".  (Contributed by NM,
       17-Jun-2012.) $)
    islpln4 $p |- ( ( K e. A /\ X e. B )
       -> ( X e. P <-> E. y e. N y C X ) ) $=
      ( wcel cv wbr wrex islpln baibd ) FBMHEMHCMANHDOAGPABCDEFGHIJKLQR $.

    $d x Y $.
    $( Condition implying a lattice plane.  (Contributed by NM,
       20-Jun-2012.) $)
    lplni $p |- ( ( ( K e. D /\ Y e. B /\ X e. N ) /\ X C Y ) -> Y e. P ) $=
      ( vx wcel w3a wbr wa cv wrex simpl2 rspcev 3ad2antl3 wb simpl1 islpln syl
      breq1 mpbir2and ) ECNZHANZGFNZOGHBPZQZHDNZUJMRZHBPZMFSZUIUJUKULTUKUIULUQU
      JUPULMGFUOGHBUGUAUBUMUIUNUJUQQUCUIUJUKULUDMCABDEFHIJKLUEUFUH $.
  $}

  ${
    $d p A $.  $d p y B $.  $d p y K $.  $d p .<_ $.  $d p y N $.  $d p y X $.
    islpln3.b $e |- B = ( Base ` K ) $.
    islpln3.l $e |- .<_ = ( le ` K ) $.
    islpln3.j $e |- .\/ = ( join ` K ) $.
    islpln3.a $e |- A = ( Atoms ` K ) $.
    islpln3.n $e |- N = ( LLines ` K ) $.
    islpln3.p $e |- P = ( LPlanes ` K ) $.
    $( The predicate "is a lattice plane".  (Contributed by NM,
       17-Jun-2012.) $)
    islpln3 $p |- ( ( K e. HL /\ X e. B )
   -> ( X e. P
          <-> E. y e. N E. p e. A ( -. p .<_ y /\ X = ( y .\/ p ) ) ) ) $=
      ( chlt wcel wa wrex cv ccvr cfv wn co wceq eqid islpln4 wb simpll llnbase
      wbr adantl simplr cvrval3 syl3anc eqcom a1i anbi2d rexbidva bitrd ) FQRZI
      CRZSZIDRAUAZIFUBUCZULZAHTJUAZVEGULUDZIVEVHEUEZUFZSZJBTZAHTAQCVFDFHIKVFUGZ
      OPUHVDVGVMAHVDVEHRZSZVGVIVJIUFZSZJBTZVMVPVBVECRZVCVGVSUIVBVCVOUJVOVTVDCFH
      VEKOUKUMVBVCVOUNBCVFEFGVEIJKLMVNNUOUPVPVRVLJBVPVHBRSZVQVKVIVQVKUIWAVJIUQU
      RUSUTVAUTVA $.
  $}

  ${
    $d x K $.  $d x X $.
    lplnbase.b $e |- B = ( Base ` K ) $.
    lplnbase.p $e |- P = ( LPlanes ` K ) $.
    $( A lattice plane is a lattice element.  (Contributed by NM,
       17-Jun-2012.) $)
    lplnbase $p |- ( X e. P -> X e. B ) $=
      ( vx cvv wcel clpl cfv c0 wceq n0i eqeq1i sylnib fvprc nsyl2 cv eqid ccvr
      wbr clln wrex islpln simprbda mpancom ) CHIZDBIZDAIZUICJKZLMZUHUIBLMULBDN
      BUKLFOPCJQRUHUIUJGSDCUAKZUBGCUCKZUDGHAUMBCUNDEUMTUNTFUEUFUG $.
  $}

  ${
    $d p q r y A $.  $d p q r y B $.  $d p q r y .\/ $.  $d p q r y K $.
    $d p q r y .<_ $.  $d p q r y X $.
    islpln5.b $e |- B = ( Base ` K ) $.
    islpln5.l $e |- .<_ = ( le ` K ) $.
    islpln5.j $e |- .\/ = ( join ` K ) $.
    islpln5.a $e |- A = ( Atoms ` K ) $.
    islpln5.p $e |- P = ( LPlanes ` K ) $.
    $( The predicate "is a lattice plane" in terms of atoms.  (Contributed by
       NM, 24-Jun-2012.) $)
    islpln5 $p |- ( ( K e. HL /\ X e. B )
      -> ( X e. P <-> E. p e. A E. q e. A E. r e. A
    ( p =/= q /\ -. r .<_ ( p .\/ q ) /\ X = ( ( p .\/ q ) .\/ r ) ) ) ) $=
      ( vy wcel wa wrex wex chlt cv wbr wn co wceq clln cfv wne w3a eqid df-rex
      islpln3 an13 bitri exbii ovex an12 eleq1 breq2 notbid oveq1 eqeq2d anbi2d
      r19.41v anbi12d bitr4di rexbidv r19.42v 3bitr3g ceqsexv hlatjcl biantrurd
      3anass syl5bb simpll simprl simprr syl3anc bitr4id rexcom4 rexbii bitr3di
      2rexbidva rexcom islln2 adantr anbi1d an32 3bitr4ri bitrdi exbidv bitrd
      wb ) EUAQZGBQZRZGCQHUBZPUBZFUCZUDZGWSWRDUEZUFZRZHASZPEUGUHZSZJUBZIUBZUIZW
      RXHXIDUEZFUCZUDZGXKWRDUEZUFZUJZHASZIASJASZPABCDEFXFGHKLMNXFUKZOUMWQXGWSXF
      QZXERZPTZXRXEPXFULWQXRWSBQZXDRZXJWSXKUFZRZRZHASZIASZJASZPTZYBWQYHPTZIASZJ
      ASZXRYKWQYLXQJIAAWQXHAQZXIAQZRZRZYLXKBQZXQRZXQYLYEXJYDHASZRZRZPTYTYHUUCPY
      HUUAYFRUUCYDYFHAVEUUAXJYEUNUOUPUUBYTPXKXHXIDUQYEXJYDRZHASYSXPRZHASUUBYTYE
      UUDUUEHAUUDYCXJXDRZRYEUUEXJYCXDURYEYCYSUUFXPWSXKBUSYEUUFXJXMXORZRXPYEXDUU
      GXJYEXAXMXCXOYEWTXLWSXKWRFUTVAYEXBXNGWSXKWRDVBVCVFVDXJXMXOVNVGVFVOVHXJYDH
      AVIYSXPHAVIVJVKUOYRYSXQYRWOYOYPYSWOWPYQVPWQYOYPVQWQYOYPVRABDEXHXIKMNVLVSV
      MVTWDYNYIPTZJASYKYMUUHJAYHIPAWAWBYIJPAWAUOWCWQYJYAPWQYJXTXDRZHASZYAWQYJYG
      IASZJASZHASZUUJYJUUKHASZJASUUMYIUUNJAYGIHAAWEWBUUKJHAAWEUOWQUUIUULHAWQUUI
      YCYFIASZJASZRZXDRZUULWQXTUUQXDWOXTUUQWNWPABDEXFWSIJKMNXSWFWGWHYDUUORZJASY
      DUUPRUULUURYDUUOJAVIUUKUUSJAYDYFIAVIWBYCUUPXDWIWJWKVHVTXTXDHAVIWKWLWMVTWM
      $.

    $( The predicate "is a lattice plane" in terms of atoms.  (Contributed by
       NM, 25-Jun-2012.) $)
    islpln2 $p |- ( K e. HL
      -> ( X e. P <-> ( X e. B /\ E. p e. A E. q e. A E. r e. A
  ( p =/= q /\ -. r .<_ ( p .\/ q ) /\ X = ( ( p .\/ q ) .\/ r ) ) ) ) ) $=
      ( wcel wa cv co wrex chlt wne wbr wceq lplnbase pm4.71ri islpln5 pm5.32da
      wn w3a syl5bb ) GCPZGBPZULQEUAPZUMJRZIRZUBHRZUOUPDSZFUCUIGURUQDSUDUJHATIA
      TJATZQULUMBCEGKOUEUFUNUMULUSABCDEFGHIJKLMNOUGUHUK $.
  $}

  ${
    $d q r s A $.  $d q r s .\/ $.  $d q r s K $.  $d q r s .<_ $.
    $d q r s Q $.  $d q r s R $.  $d q r s S $.
    lplni2.l $e |- .<_ = ( le ` K ) $.
    lplni2.j $e |- .\/ = ( join ` K ) $.
    lplni2.a $e |- A = ( Atoms ` K ) $.
    lplni2.p $e |- P = ( LPlanes ` K ) $.
    $( The join of 3 different atoms is a lattice plane.  (Contributed by NM,
       4-Jul-2012.) $)
    lplni2 $p |- ( ( K e. HL /\ ( Q e. A /\ R e. A /\ S e. A ) /\ ( Q =/= R
          /\ -. S .<_ ( Q .\/ R ) ) ) -> ( ( Q .\/ R ) .\/ S ) e. P ) $=
      ( vq vr vs wcel w3a co wbr wceq chlt wne wn wa cv wrex simp2 simp3l eqidd
      simp3r neeq1 oveq1 breq2d notbid oveq1d eqeq2d neeq2 oveq2 breq1 3anbi23d
      3anbi123d rspc3ev syl13anc cbs wb simp1 clat hllat 3ad2ant1 simp21 simp22
      cfv eqid hlatjcl syl3anc simp23 atbase syl latjcl islpln5 syl2anc mpbird
      ) GUAPZCAPZDAPZEAPZQZCDUBZECDFRZHSZUCZUDZQZWIEFRZBPZMUEZNUEZUBZOUEZWPWQFR
      ZHSZUCZWNWTWSFRZTZQZOAUFNAUFMAUFZWMWGWHWKWNWNTZXFWCWGWLUGWCWGWHWKUHWCWGWH
      WKUJWMWNUIXEWHWKXGQCWQUBZWSCWQFRZHSZUCZWNXIWSFRZTZQWHWSWIHSZUCZWNWIWSFRZT
      ZQMNOCDEAAAWPCTZWRXHXBXKXDXMWPCWQUKXRXAXJXRWTXIWSHWPCWQFULZUMUNXRXCXLWNXR
      WTXIWSFXSUOUPVAWQDTZXHWHXKXOXMXQWQDCUQXTXJXNXTXIWIWSHWQDCFURZUMUNXTXLXPWN
      XTXIWIWSFYAUOUPVAWSETZXOWKXQXGWHYBXNWJWSEWIHUSUNYBXPWNWNWSEWIFURUPUTVBVCW
      MWCWNGVDVLZPZWOXFVEWCWGWLVFZWMGVGPZWIYCPZEYCPZYDWCWGYFWLGVHVIWMWCWDWEYGYE
      WCWDWEWFWLVJWCWDWEWFWLVKAYCFGCDYCVMZJKVNVOWMWFYHWCWDWEWFWLVPAYCEGYIKVQVRY
      CFGWIEYIJVSVOAYCBFGHWNONMYIIJKLVTWAWB $.
  $}

  ${
    $d q r s t A $.  $d q r s t K $.  $d q r s t .<_ $.  $d q r s t X $.
    lvolex3.l $e |- .<_ = ( le ` K ) $.
    lvolex3.a $e |- A = ( Atoms ` K ) $.
    lvolex3.p $e |- P = ( LPlanes ` K ) $.
    $( There is an atom outside of a lattice plane i.e. a 3-dimensional lattice
       volume exists.  (Contributed by NM, 28-Jul-2012.)
       (New usage is discouraged.) $)
    lvolex3N $p |- ( ( K e. HL /\ X e. P ) -> E. q e. A -. q .<_ X ) $=
      ( vr vs vt wcel cv wbr wn wrex cfv co wa chlt cbs wne cjn wceq w3a simp1l
      eqid islpln2 simp1rl simp1rr simp2 3dim3 syl13anc wb simp33 breq2 rexbidv
      notbid syl mpbird rexlimdv3a rexlimdvva adantld sylbid imp ) CUAMZEBMZFNZ
      EDOZPZFAQZVGVHECUBRZMZJNZKNZUCZLNZVOVPCUDRZSZDOPZEVTVRVSSZUEZUFZLAQZKAQJA
      QZTVLAVMBVSCDELKJVMUHGVSUHZHIUIVGWFVLVNVGWEVLJKAAVGVOAMZVPAMZTZTZWDVLLAWK
      VRAMZWDUFZVLVIWBDOZPZFAQZWMVGWHWIWLWPVGWJWLWDUGWHWIVGWLWDUJWHWIVGWLWDUKWK
      WLWDULAVOVPVRVSCDFWGGHUMUNWMWCVLWPUOWKWLVQWAWCUPWCVKWOFAWCVJWNEWBVIDUQUSU
      RUTVAVBVCVDVEVF $.
  $}

  ${
    $d u A $.  $d u K $.  $d u .<_ $.  $d u ./\ $.  $d u N $.  $d u P $.
    $d u X $.  $d u Y $.  $d u .0. $.
    llnmlpln.l $e |- .<_ = ( le ` K ) $.
    llnmlpln.m $e |- ./\ = ( meet ` K ) $.
    llnmlpln.z $e |- .0. = ( 0. ` K ) $.
    llnmlpln.a $e |- A = ( Atoms ` K ) $.
    llnmlpln.n $e |- N = ( LLines ` K ) $.
    llnmlpln.p $e |- P = ( LPlanes ` K ) $.
    $( The intersection of a line with a plane not containing it is an atom.
       (Contributed by NM, 29-Jun-2012.)  (New usage is discouraged.) $)
    llnmlplnN $p |- ( ( ( K e. HL /\ X e. N /\ Y e. P ) /\
      ( -. X .<_ Y /\ ( X ./\ Y ) =/= .0. ) ) -> ( X ./\ Y ) e. A ) $=
      ( vu wcel wbr wa syl3anc chlt w3a wn co wne simprl wceq cv cbs cfv simp11
      wrex clat hllatd simp12 eqid llnbase syl simp13 latmcl simp2r simp3 llnle
      lplnbase syl22anc adantr latmle1 ad2antrl simprr lattrd wb simpl11 llncmp
      simpl12 mpbid eqbrtrrd latasymd rexlimddv latleeqm1 mpbird 3expia mt3d )
      CUAQZGFQZHBQZUBZGHDRZUCZGHEUDZIUEZSZSWIAQZWGWFWHWJUFWFWKWLUCZWGWFWKWMUBZW
      GWIGUGZWNPUHZWIDRZWOPFWNWCWICUIUJZQZWJWMWQPFULWCWDWEWKWMUKZWNCUMQZGWRQZHW
      RQZWSWNCWTUNZWNWDXBWCWDWEWKWMUOWRCFGWRUPZNUQURZWNWEXCWCWDWEWKWMUSWRBCHXEO
      VDURZWRCEGHXEKUTTZWFWHWJWMVAWFWKWMVBPAWRCDFWIIXEJLMNVCVEWNWPFQZWQSZSZWRCD
      WIGXEJWNXAXJXDVFZWNWSXJXHVFZWNXBXJXFVFZWNWIGDRZXJWNXAXBXCXOXDXFXGWRCDEGHX
      EJKVGTVFZXKWPGWIDXKWPGDRZWPGUGZXKWRCDWPWIGXEJXLXIWPWRQWNWQWRCFWPXENUQVHXM
      XNWNXIWQVIZXPVJXKWCXIWDXQXRVKWCWDWEWKWMXJVLWNXIWQUFWCWDWEWKWMXJVNCDFWPGJN
      VMTVOXSVPVQVRWNXAXBXCWGWOVKXDXFXGWRCDEGHXEJKVSTVTWAWB $.
  $}

  ${
    $d p z A $.  $d p z B $.  $d p y z K $.  $d p y z .<_ $.  $d p z N $.
    $d p y z P $.  $d p y z X $.  $d p z .0. $.
    lplnle.b $e |- B = ( Base ` K ) $.
    lplnle.l $e |- .<_ = ( le ` K ) $.
    lplnle.z $e |- .0. = ( 0. ` K ) $.
    lplnle.a $e |- A = ( Atoms ` K ) $.
    lplnle.n $e |- N = ( LLines ` K ) $.
    lplnle.p $e |- P = ( LPlanes ` K ) $.
    $( Any element greater than 0 and not an atom and not a lattice line
       majorizes a lattice plane.  (Contributed by NM, 28-Jun-2012.) $)
    lplnle $p |- ( ( ( K e. HL /\ X e. B )
       /\ ( X =/= .0. /\ -. X e. A /\ -. X e. N ) ) -> E. y e. P y .<_ X ) $=
      ( vz vp wcel wa wbr chlt wne wn w3a wrex llnle 3adantr3 cjn cfv ccvr cplt
      cv co simp1ll llnbase 3ad2ant2 simp1lr simp3 simp2 simp1r3 nelne2 syl2anc
      wb eqid pltval syl3anc mpbir2and hlrelat3 syl31anc clat hllatd simp21 syl
      simp23 atbase latjcl simp3l lplni simp3r breq1 rspcev 3exp 3expd rexlimdv
      wi 3imp mpd ) EUARZHCRZSZHIUBZHBRUCZHGRUCZUDZSZPULZHFTZPGUEZAULZHFTZADUEZ
      WJWKWLWRWMPBCEFGHIJKLMNUFUGWOWQXAPGWOWPGRZWQXAWOXBWQUDZWPWPQULZEUHUIZUMZE
      UJUIZTZXFHFTZSZQBUEZXAXCWHWPCRZWIWPHEUKUIZTZXKWHWIWNXBWQUNZXBWOXLWQCEGWPJ
      NUOZUPWHWIWNXBWQUQZXCXNWQWPHUBZWOXBWQURXCXBWMXRWOXBWQUSZWKWLWMWJXBWQUTWPH
      GVAVBXCWHXBWIXNWQXRSVCXOXSXQUAGCXMEFWPHKXMVDZVEVFVGBCXGXMXEEFWPHQJKXTXEVD
      ZXGVDZMVHVIXCXJXAQBWOXBWQXDBRZXJXAWEZWEWOXBWQYCYDWOXBWQYCUDZXJXAWOYEXJUDZ
      XFDRZXIXAYFWHXFCRZXBXHYGWHWIWNYEXJUNZYFEVJRXLXDCRZYHYFEYIVKYFXBXLWOXBWQYC
      XJVLZXPVMYFYCYJWOXBWQYCXJVNBCXDEJMVOVMCXEEWPXDJYAVPVFYKWOYEXHXIVQCXGUADEG
      WPXFJYBNOVRVIWOYEXHXIVSWTXIAXFDWSXFHFVTWAVBWBWCWFWDWGWBWDWG $.
  $}

  ${
    $d y A $.  $d y .\/ $.  $d y K $.  $d y .<_ $.  $d y P $.  $d y Q $.
    $d y R $.  $d y X $.
    lplnnle2at.l $e |- .<_ = ( le ` K ) $.
    lplnnle2at.j $e |- .\/ = ( join ` K ) $.
    lplnnle2at.a $e |- A = ( Atoms ` K ) $.
    lplnnle2at.p $e |- P = ( LPlanes ` K ) $.
    $( A lattice line (or atom) cannot majorize a lattice plane.  (Contributed
       by NM, 8-Jul-2012.) $)
    lplnnle2at $p |- ( ( K e. HL /\ ( X e. P /\ Q e. A /\ R e. A ) )
         -> -. X .<_ ( Q .\/ R ) ) $=
      ( vy chlt wcel wa cfv wbr wi syl w3a cv ccvr clln wrex co cbs simpr1 eqid
      wn wb islpln adantr mpbid simprd wceq oveq1 breq2d notbid wne cplt simpl1
      simpl3l simpl22 simpl23 syl31anc syl3anc llnbase simpl21 lplnbase simpl3r
      simpr llni2 llnnlt cvrlt hlpos hlatjcl pltletr syl13anc mpand mtod simp3l
      simp1 simp23 llnnleat simp21 simp3r 3ad2ant1 atbase syld hlatjidm syl2anc
      cpo pltle mtbird pm2.61ne 3exp exp4a imp rexlimdv mpd ) FNOZHBOZCAOZDAOZU
      AZPZMUBZHFUCQZRZMFUDQZUEZHCDEUFZGRZUJZXGHFUGQZOZXLXGXCXQXLPZXBXCXDXEUHXBX
      CXRUKXFMNXPXIBFXKHXPUIZXIUIZXKUIZLULUMUNUOXGXJXOMXKXBXFXHXKOZXJXOSSXBXFYB
      XJXOXBXFYBXJPZXOXBXFYCUAZXOHDDEUFZGRZUJCDCDUPZXNYFYGXMYEHGCDDEUQURUSYDCDU
      TZPZXNXHXMFVAQZRZYIXBYBXMXKOZYKUJXBXFYCYHVBZYBXJXBXFYHVCZYIXBXDXEYHYLYMXC
      XDXEXBYCYHVDZXCXDXEXBYCYHVEZYDYHVLACDEFXKJKYAVMVFYJFXKXHXMYJUIZYAVNVGYIXH
      HYJRZXNYKYIXBXHXPOZXQXJYRYMYIYBYSYNXPFXKXHXSYAVHZTZYIXCXQXCXDXEXBYCYHVIXP
      BFHXSLVJZTZYBXJXBXFYHVKNXPXIYJFXHHXSYQXTVOZVFYIFWMOZYSXQXMXPOZYRXNPYKSYIX
      BUUEYMFVPZTUUAUUCYIXBXDXEUUFYMYOYPAXPEFCDXSJKVQVGXPYJFGXHHXMXSIYQVRVSVTWA
      YDYFHDGRZYDUUHXHDGRZYDXBYBXEUUIUJXBXFYCWCZXBXFYBXJWBZXBXCXDXEYCWDZADFGXKX
      HIKYAWEVGYDUUHXHDYJRZUUIYDYRUUHUUMYDXBYSXQXJYRUUJYDYBYSUUKYTTZYDXCXQXBXCX
      DXEYCWFUUBTZXBXFYBXJWGUUDVFYDUUEYSXQDXPOZYRUUHPUUMSXBXFUUEYCUUGWHUUNUUOYD
      XEUUPUULAXPDFXSKWITXPYJFGXHHDXSIYQVRVSVTYDXBYBXEUUMUUISUUJUUKUULNXKAYJFGX
      HDIYQWNVGWJWAYDYEDHGYDXBXEYEDUPUUJUULAEFDJKWKWLURWOWPWQWRWSWTXA $.
  $}

  ${
    lplnnleat.l $e |- .<_ = ( le ` K ) $.
    lplnnleat.a $e |- A = ( Atoms ` K ) $.
    lplnnleat.p $e |- P = ( LPlanes ` K ) $.
    $( A lattice plane cannot majorize an atom.  (Contributed by NM,
       14-Jul-2012.) $)
    lplnnleat $p |- ( ( K e. HL /\ X e. P /\ Q e. A ) -> -. X .<_ Q ) $=
      ( chlt wcel w3a cjn cfv co wbr wn simp1 simp2 simp3 eqid syl13anc 3adant2
      lplnnle2at wceq hlatjidm breq2d mtbid ) DJKZFBKZCAKZLZFCCDMNZOZEPZFCEPULU
      IUJUKUKUOQUIUJUKRUIUJUKSUIUJUKTZUPABCCUMDEFGUMUAZHIUDUBULUNCFEUIUKUNCUEUJ
      AUMDCUQHUFUCUGUH $.
  $}

  ${
    $d q r K $.  $d q r .<_ $.  $d q r N $.  $d q r P $.  $d q r X $.
    $d q r Y $.
    lplnnlelln.l $e |- .<_ = ( le ` K ) $.
    lplnnlelln.n $e |- N = ( LLines ` K ) $.
    lplnnlelln.p $e |- P = ( LPlanes ` K ) $.
    $( A lattice plane is not less than or equal to a lattice line.
       (Contributed by NM, 14-Jul-2012.) $)
    lplnnlelln $p |- ( ( K e. HL /\ X e. P /\ Y e. N ) -> -. X .<_ Y ) $=
      ( vq vr wcel w3a cfv cv wa wrex wbr wn eqid chlt cbs wne cjn co wceq catm
      simp3 islln2 3ad2ant1 mpbid simp11 simp12 simp2l simp2r lplnnle2at simp3r
      wb syl13anc breq2d mtbird 3exp rexlimdvv adantld mpd ) BUALZEALZFDLZMZFBU
      BNZLZJOZKOZUCZFVLVMBUDNZUEZUFZPZKBUGNZQJVSQZPZEFCRZSZVIVHWAVFVGVHUHVFVGVH
      WAURVHVSVJVOBDFKJVJTVOTZVSTZHUIUJUKVIVTWCVKVIVRWCJKVSVSVIVLVSLZVMVSLZPZVR
      WCVIWHVRMZWBEVPCRZWIVFVGWFWGWJSVFVGVHWHVRULVFVGVHWHVRUMVIWFWGVRUNVIWFWGVR
      UOVSAVLVMVOBCEGWDWEIUPUSWIFVPECVIWHVNVQUQUTVAVBVCVDVE $.
  $}

  ${
    2atnelpln.j $e |- .\/ = ( join ` K ) $.
    2atnelpln.a $e |- A = ( Atoms ` K ) $.
    2atnelpln.p $e |- P = ( LPlanes ` K ) $.
    $( The join of two atoms is not a lattice plane.  (Contributed by NM,
       16-Jul-2012.) $)
    2atnelpln $p |- ( ( K e. HL /\ Q e. A /\ R e. A )
         -> -. ( Q .\/ R ) e. P ) $=
      ( chlt wcel w3a co cple cfv wbr clat cbs hllat eqid 3ad2ant1 latref wn wa
      hlatjcl syl2anc simpl1 simpr simpl2 simpl3 lplnnle2at syl13anc ex mt2d )
      FJKZCAKZDAKZLZCDEMZBKZUSUSFNOZPZURFQKZUSFROZKVBUOUPVCUQFSUAAVDEFCDVDTZGHU
      EVDFVAUSVEVATZUBUFURUTVBUCZURUTUDUOUTUPUQVGUOUPUQUTUGURUTUHUOUPUQUTUIUOUP
      UQUTUJABCDEFVAUSVFGHIUKULUMUN $.
  $}

  ${
    lplnneat.a $e |- A = ( Atoms ` K ) $.
    lplnneat.p $e |- P = ( LPlanes ` K ) $.
    $( No lattice plane is an atom.  (Contributed by NM, 15-Jul-2012.) $)
    lplnneat $p |- ( ( K e. HL /\ X e. P ) -> -. X e. A ) $=
      ( chlt wcel wa cple cfv wbr clat cbs hllat eqid lplnbase latref syl2an wn
      lplnnleat 3expia mt2d ) CGHZDBHZIDAHZDDCJKZLZUDCMHDCNKZHUHUECOUIBCDUIPZFQ
      UICUGDUJUGPZRSUDUEUFUHTABDCUGDUKEFUAUBUC $.
  $}

  ${
    lplnnelln.n $e |- N = ( LLines ` K ) $.
    lplnnelln.p $e |- P = ( LPlanes ` K ) $.
    $( No lattice plane is a lattice line.  (Contributed by NM,
       19-Jun-2012.) $)
    lplnnelln $p |- ( ( K e. HL /\ X e. P ) -> -. X e. N ) $=
      ( chlt wcel wa cple cfv wbr clat cbs hllat eqid lplnbase latref syl2an wn
      lplnnlelln 3expia mt2d ) BGHZDAHZIDCHZDDBJKZLZUDBMHDBNKZHUHUEBOUIABDUIPZF
      QUIBUGDUJUGPZRSUDUEUFUHTABUGCDDUKEFUAUBUC $.
  $}

  ${
    $d p K $.  $d p P $.  $d p X $.  $d p .0. $.
    lplnn0.z $e |- .0. = ( 0. ` K ) $.
    lplnn0.p $e |- P = ( LPlanes ` K ) $.
    $( A lattice plane is nonzero.  (Contributed by NM, 15-Jul-2012.)
       (New usage is discouraged.) $)
    lplnn0N $p |- ( ( K e. HL /\ X e. P ) -> X =/= .0. ) $=
      ( vp chlt wcel wa cv catm cfv wne wex c0 eqid atex n0 wbr sylib adantr wn
      cple lplnnleat 3expa wceq cops cbs hlop atbase adantl op0le syl2anc breq1
      ad2antrr syl5ibrcom necon3bd mpd exlimddv ) BHIZCAIZJZGKZBLMZIZCDNZGVAVFG
      OZVBVAVEPNVHVEBVEQZRGVESUAUBVCVFJZCVDBUDMZTZUCZVGVAVBVFVMVEAVDBVKCVKQZVIF
      UEUFVJVLCDVJVLCDUGDVDVKTZVJBUHIZVDBUIMZIZVOVAVPVBVFBUJUPVFVRVCVEVQVDBVQQZ
      VIUKULVQBVKVDDVSVNEUMUNCDVDVKUOUQURUSUT $.
  $}

  ${
    islpln2a.l $e |- .<_ = ( le ` K ) $.
    islpln2a.j $e |- .\/ = ( join ` K ) $.
    islpln2a.a $e |- A = ( Atoms ` K ) $.
    islpln2a.p $e |- P = ( LPlanes ` K ) $.
    $( The predicate "is a lattice plane" for join of atoms.  (Contributed by
       NM, 16-Jul-2012.) $)
    islpln2a $p |- ( ( K e. HL /\ ( Q e. A /\ R e. A /\ S e. A ) )
 -> ( ( ( Q .\/ R ) .\/ S ) e. P
        <-> ( Q =/= R /\ -. S .<_ ( Q .\/ R ) ) ) ) $=
      ( wcel wa co wn wceq 2atnelpln syl3anc 3adant3r3 chlt w3a oveq1 3ad2antr2
      wne hlatjidm sylan9eqr oveq1d simpll simplr2 simplr3 eqneltrd ex necon2ad
      wbr clat cbs cfv wb hllat adantr simpr3 eqid atbase syl hlatjcl latleeqj2
      eleq1 notbid syl5ibrcom sylbid con2d jcad lplni2 3expia impbid ) GUAMZCAM
      ZDAMZEAMZUBZNZCDFOZEFOZBMZCDUEZEWCHUOZPZNZWBWEWFWHWBWECDWBCDQZWEPZWBWJNZW
      DDEFOZBWLWCDEFWJWBWCDDFOZDCDDFUCVQVRVSWNDQVTAFGDJKUFUDUGUHWLVQVSVTWMBMPVQ
      WAWJUIVRVSVTVQWJUJVRVSVTVQWJUKABDEFGJKLRSULUMUNWBWGWEWBWGWDWCQZWKWBGUPMZE
      GUQURZMZWCWQMZWGWOUSVQWPWAGUTVAWBVTWRVQVRVSVTVBAWQEGWQVCZKVDVEVQVRVSWSVTA
      WQFGCDWTJKVFTWQFGHEWCWTIJVGSWBWKWOWCBMZPZVQVRVSXBVTABCDFGJKLRTWOWEXAWDWCB
      VHVIVJVKVLVMVQWAWIWEABCDEFGHIJKLVNVOVP $.

    islpln2a.y $e |- Y = ( ( Q .\/ R ) .\/ S ) $.
    $( The predicate "is a lattice plane" for join of atoms.  Version of
       ~ islpln2a expressed with an abbreviation hypothesis.  (Contributed by
       NM, 30-Jul-2012.) $)
    islpln2ah $p |- ( ( K e. HL /\ ( Q e. A /\ R e. A /\ S e. A ) )
      -> ( Y e. P <-> ( Q =/= R /\ -. S .<_ ( Q .\/ R ) ) ) ) $=
      ( wcel co chlt w3a wa wne wbr wn eleq1i islpln2a syl5bb ) IBOCDFPZEFPZBOG
      QOCAODAOEAORSCDTEUFHUAUBSIUGBNUCABCDEFGHJKLMUDUE $.

    $( Property of a lattice plane expressed as the join of 3 atoms.
       (Contributed by NM, 30-Jul-2012.)  (New usage is discouraged.) $)
    lplnriaN $p |- ( ( K e. HL /\ ( Q e. A /\ R e. A /\ S e. A ) /\ Y e. P )
         -> -. Q .<_ ( R .\/ S ) ) $=
      ( chlt wcel co wbr wn wa w3a wne islpln2ah hlatcon3 3expia sylbid 3impia
      ) GOPZCAPDAPEAPUAZIBPZCDEFQHRSZUHUITUJCDUBECDFQHRSTZUKABCDEFGHIJKLMNUCUHU
      IULUKACDEFGHJKLUDUEUFUG $.

    $( Property of a lattice plane expressed as the join of 3 atoms.
       (Contributed by NM, 30-Jul-2012.)  (New usage is discouraged.) $)
    lplnribN $p |- ( ( K e. HL /\ ( Q e. A /\ R e. A /\ S e. A ) /\ Y e. P )
         -> -. R .<_ ( Q .\/ S ) ) $=
      ( wcel w3a co wbr wn wa chlt 3noncolr1N simprd 3expia islpln2ah 3adant3r2
      wne wceq hlatjcom breq2d notbid 3imtr4d 3impia ) GUAOZCAOZDAOZEAOZPZIBOZD
      CEFQZHRZSZUNURTZCDUGECDFQHRSTZDECFQZHRZSZUSVBUNURVDVGUNURVDPECUGVGACDEFGH
      JKLUBUCUDABCDEFGHIJKLMNUEVCVAVFVCUTVEDHUNUOUQUTVEUHUPAFGCEKLUIUFUJUKULUM
      $.

    $( Property of a lattice plane expressed as the join of 3 atoms.
       (Contributed by NM, 30-Jul-2012.) $)
    lplnric $p |- ( ( K e. HL /\ ( Q e. A /\ R e. A /\ S e. A ) /\ Y e. P )
        -> -. S .<_ ( Q .\/ R ) ) $=
      ( chlt wcel w3a wne co wbr wn wa islpln2ah biimp3a simprd ) GOPZCAPDAPEAP
      QZIBPZQCDRZECDFSHTUAZUFUGUHUIUJUBABCDEFGHIJKLMNUCUDUE $.
  $}

  ${
    lplnri1.j $e |- .\/ = ( join ` K ) $.
    lplnri1.a $e |- A = ( Atoms ` K ) $.
    lplnri1.p $e |- P = ( LPlanes ` K ) $.
    lplnri1.y $e |- Y = ( ( Q .\/ R ) .\/ S ) $.
    $( Property of a lattice plane expressed as the join of 3 atoms.
       (Contributed by NM, 30-Jul-2012.) $)
    lplnri1 $p |- ( ( K e. HL /\ ( Q e. A /\ R e. A /\ S e. A ) /\ Y e. P )
           -> Q =/= R ) $=
      ( chlt wcel w3a wne co cple cfv wbr wn wa eqid islpln2ah biimp3a simpld )
      GMNZCANDANEANOZHBNZOCDPZECDFQGRSZTUAZUGUHUIUJULUBABCDEFGUKHUKUCIJKLUDUEUF
      $.

    $( Property of a lattice plane expressed as the join of 3 atoms.
       (Contributed by NM, 30-Jul-2012.)  (New usage is discouraged.) $)
    lplnri2N $p |- ( ( K e. HL /\ ( Q e. A /\ R e. A /\ S e. A ) /\ Y e. P )
           -> Q =/= S ) $=
      ( chlt wcel w3a co cple cfv wbr wn wne eqid lplnriaN atnlej2 syld3an3 ) G
      MNCANDANEANOHBNCDEFPGQRZSTCEUAABCDEFGUFHUFUBZIJKLUCACDEFGUFUGIJUDUE $.

    $( Property of a lattice plane expressed as the join of 3 atoms.
       (Contributed by NM, 30-Jul-2012.)  (New usage is discouraged.) $)
    lplnri3N $p |- ( ( K e. HL /\ ( Q e. A /\ R e. A /\ S e. A ) /\ Y e. P )
           -> R =/= S ) $=
      ( chlt wcel w3a co cple cfv wbr wn wne simp22 simp21 simp23 eqid lplnribN
      simp1 atnlej2 syl131anc ) GMNZCANZDANZEANZOZHBNZOUJULUKUMDCEFPGQRZSTDEUAU
      JUNUOUGUJUKULUMUOUBUJUKULUMUOUCUJUKULUMUOUDABCDEFGUPHUPUEZIJKLUFADCEFGUPU
      QIJUHUI $.

    $( Two lattice lines defined by atoms defining a lattice plane are not
       equal.  (Contributed by NM, 9-Oct-2012.)  (New usage is discouraged.) $)
    lplnllnneN $p |- ( ( K e. HL /\ ( Q e. A /\ R e. A /\ S e. A ) /\ Y e. P )
           -> ( Q .\/ S ) =/= ( R .\/ S ) ) $=
      ( chlt wcel w3a co cple cfv wbr wn wne eqid lplnriaN wceq simpl21 simpl23
      wa simpl1 hlatlej1 syl3anc simpr breqtrd ex necon3bd mpd ) GMNZCANZDANZEA
      NZOZHBNZOZCDEFPZGQRZSZTCEFPZVCUAABCDEFGVDHVDUBZIJKLUCVBVEVFVCVBVFVCUDZVEV
      BVHUGZCVFVCVDVIUPUQUSCVFVDSUPUTVAVHUHUQURUSUPVAVHUEUQURUSUPVAVHUFACEFGVDV
      GIJUIUJVBVHUKULUMUNUO $.
  $}

  ${
    $d p q r s t u C $.  $d p q r s t u K $.  $d p q r s t u .<_ $.
    $d r s t u N $.  $d r P $.  $d p q r s t u X $.  $d p q r s t u Y $.
    llncvrlpln2.l $e |- .<_ = ( le ` K ) $.
    llncvrlpln2.c $e |- C = ( <o ` K ) $.
    llncvrlpln2.n $e |- N = ( LLines ` K ) $.
    llncvrlpln2.p $e |- P = ( LPlanes ` K ) $.
    $( A lattice line under a lattice plane is covered by it.  (Contributed by
       NM, 24-Jun-2012.) $)
    llncvrlpln2 $p |- ( ( ( K e. HL /\ X e. N /\ Y e. P ) /\ X .<_ Y )
         -> X C Y ) $=
      ( vr wcel w3a wbr wa cv co wrex wi vs vt vu vp vq chlt cplt cfv wne simpr
      wn simpl1 simpl3 lplnnelln syl2anc simpl2 eleq1 syl5ibcom necon3bd mpd wb
      wceq eqid pltval adantr mpbir2and cjn catm cbs lplnbase hlrelat3 syl31anc
      llnbase islpln2 simp3 islln2 simp3l simp3r simp12r oveq1d 3brtr3d simp111
      simp22 simp112 simp113 simp23 3jca simp13l simp13r simp21 hlatjcl syl3anc
      syl cvr1 mpbird simp12l 3at syl32anc mpbid 3eqtr4d breqtrd 3exp rexlimdvv
      3expd 3expib adantld sylbid imp31 syl7 rexlimdv rexlimdvva 3impia syldan
      imp ) CUFMZFEMZGBMZNZFGDOZFGCUGUHZOZFGAOZXRXSPZYAXSFGUIZXRXSUJYCGEMZUKZYD
      YCXOXQYFXOXPXQXSULXOXPXQXSUMBCEGJKUNUOYCYEFGYCXPFGVBYEXOXPXQXSUPFGEUQURUS
      UTXRYAXSYDPVAXSUFEBXTCDFGHXTVCZVDVEVFXRYAFFLQZCVGUHZRZAOZYJGDOZPZLCVHUHZS
      ZYBXRYAPZXOFCVIUHZMZGYQMZYAYOXOXPXQYAULYPXPYRXOXPXQYAUPYQCEFYQVCZJVMWMYPX
      QYSXOXPXQYAUMYQBCGYTKVJWMXRYAUJYNYQAXTYICDFGLYTHYGYIVCZIYNVCZVKVLXRYOYBXR
      YMYBLYNXOXPXQYHYNMZYMYBTZTZXOXPPZXQYSUAQZUBQZUIZUCQZUUGUUHYIRZDOUKZGUUKUU
      JYIRZVBZNZUCYNSZUBYNSUAYNSZPZUUEXOXQUURVAXPYNYQBYICDGUCUBUAYTHUUAUUBKVNVE
      UUFUUQUUEYSUUFUUPUUEUAUBYNYNUUFUUGYNMZUUHYNMZPZPZUUOUUEUCYNUUOUUNUVBUUJYN
      MZUUEUUIUULUUNVOXOXPUVAUVCUUNUUETTZXOXPYRUDQZUEQZUIZFUVEUVFYIRZVBZPZUEYNS
      UDYNSZPUVAUVDTZYNYQYICEFUEUDYTUUAUUBJVPXOUVKUVLYRXOUVJUVLUDUEYNYNXOUVEYNM
      ZUVFYNMZUVJUVLTXOUVMUVNNZUVJUVAUVDUVOUVJUVANZUVCUUNUUCUUDUVPUVCUUNUUCNZYM
      YBUVPUVQYMNZFYJGAUVPUVQYKYLVQZUVRUVHYHYIRZUUMYJGUVRUVTUUMDOZUVTUUMVBZUVRY
      JGUVTUUMDUVPUVQYKYLVRUVRFUVHYHYIUVGUVIUVOUVAUVQYMVSZVTZUVPUVCUUNUUCYMWCZW
      AUVRXOUVMUVNUUCNUUSUUTUVCNYHUVHDOUKZUVGUWAUWBVAXOUVMUVNUVJUVAUVQYMWBZUVRU
      VMUVNUUCXOUVMUVNUVJUVAUVQYMWDZXOUVMUVNUVJUVAUVQYMWEZUVPUVCUUNUUCYMWFZWGUV
      RUUSUUTUVCUUSUUTUVOUVJUVQYMWHUUSUUTUVOUVJUVQYMWIUVPUVCUUNUUCYMWJWGUVRUWFU
      VHUVTAOZUVRFYJUVHUVTAUVSUWCUWDWAUVRXOUVHYQMZUUCUWFUWKVAUWGUVRXOUVMUVNUWLU
      WGUWHUWIYNYQYICUVEUVFYTUUAUUBWKWLUWJYNYQAYHYICDUVHYTHUUAIUUBWNWLWOUVGUVIU
      VOUVAUVQYMWPYNUVEUVFYHUUGUUHUUJYICDHUUAUUBWQWRWSUWDUWEWTXAXBXDXBXEXCXFXGX
      HXIXJXKXFXGXLXJXNXMXM $.
  $}

  ${
    $d z B $.  $d z C $.  $d z K $.  $d z N $.  $d z P $.  $d z X $.  $d z Y $.
    llncvrlpln.b $e |- B = ( Base ` K ) $.
    llncvrlpln.c $e |- C = ( <o ` K ) $.
    llncvrlpln.n $e |- N = ( LLines ` K ) $.
    llncvrlpln.p $e |- P = ( LPlanes ` K ) $.
    $( An element covering a lattice line is a lattice plane and vice-versa.
       (Contributed by NM, 26-Jun-2012.) $)
    llncvrlpln $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B ) /\ X C Y )
        -> ( X e. N <-> Y e. P ) ) $=
      ( vz chlt wcel wbr wa simpll1 simpll3 simplr cfv w3a simpr lplni syl31anc
      cv cple wrex cp0 catm simpll2 eqid lplnneat sylancom wceq breq1 syl5ibcom
      wne wn wb isat2 syl2anc sylibrd necon3bd lplnnelln atcvrlln adantr mtbird
      mpd llnle syl22anc simpr3 cops hlop syl simpr2 llnbase simpr1 cvrle hlpos
      wi cpo postr syl13anc mp2and llncvrlpln2 cvrcmp2 syl132anc mpbid eqeltrrd
      3exp2 imp rexlimdv impbida ) DMNZFANZGANZUAZFGBOZPZFENZGCNZWSWTPWNWPWTWRX
      AWNWOWPWRWTQWNWOWPWRWTRWSWTUBWQWRWTSABMCDEFGHIJKUCUDWSXAPZLUEZFDUFTZOZLEU
      GZWTXBWNWOFDUHTZUQZFDUITZNZURXFWNWOWPWRXAQZWNWOWPWRXAUJXBGXINZURZXHWSXAWN
      XMXKXICDGXIUKZKULUMXBXLFXGXBFXGUNZXGGBOZXLXBWRXOXPWQWRXASFXGGBUOUPXBWNWPX
      LXPUSXKWNWOWPWRXARXIABMGDXGHXGUKZIXNUTVAVBVCVHXBXJGENZWSXAWNXRURXKCDEGJKV
      DUMWSXJXRUSXAXIABDEFGHIXNJVEVFVGLXIADXDEFXGHXDUKZXQXNJVIVJXBXEWTLEWSXAXCE
      NZXEWTVTVTWSXAXTXEWTWSXAXTXEUAZPZXCFEYBXEXCFUNZWSXAXTXEVKZYBDVLNZXCANZWOW
      PXCGBOZWRXEYCUSYBWNYEWNWOWPWRYAQZDVMVNYBXTYFWSXAXTXEVOZADEXCHJVPVNZWNWOWP
      WRYAUJZWNWOWPWRYARZYBWNXTXAXCGXDOZYGYHYIWSXAXTXEVQYBXEFGXDOZYMYDWSYNYAMAB
      DXDFGHXSIVRVFYBDWANZYFWOWPXEYNPYMVTYBWNYOYHDVSVNYJYKYLADXDXCFGHXSWBWCWDBC
      DXDEXCGXSIJKWEUDWQWRYASABDXDXCFGHXSIWFWGWHYIWIWJWKWLVHWM $.
  $}

  ${
    2lplnm.j $e |- .\/ = ( join ` K ) $.
    2lplnm.m $e |- ./\ = ( meet ` K ) $.
    2lplnm.c $e |- C = ( <o ` K ) $.
    2lplnm.n $e |- N = ( LLines ` K ) $.
    2lplnm.p $e |- P = ( LPlanes ` K ) $.
    $( If the join of two lattice planes covers one of them, their meet is a
       lattice line.  (Contributed by NM, 30-Jun-2012.)
       (New usage is discouraged.) $)
    2lplnmN $p |- ( ( ( K e. HL /\ X e. P /\ Y e. P ) /\ X C ( X .\/ Y ) )
          -> ( X ./\ Y ) e. N ) $=
      ( chlt wcel co wbr wb lplnbase adantr w3a wa simpl3 cbs simpl1 clat hllat
      cfv eqid latmcl syl3an 3ad2ant3 simp1 3ad2ant2 cvrexch syl3anc llncvrlpln
      biimpar syl31anc mpbird ) DNOZGBOZHBOZUAZGGHCPAQZUBZGHEPZFOZVCVAVBVCVEUCV
      FVAVGDUDUHZOZHVIOZVGHAQZVHVCRVAVBVCVEUEVDVJVEVADUFOVBGVIOZVCVKVJDUGVIBDGV
      IUIZMSZVIBDHVNMSZVIDEGHVNJUJUKTVDVKVEVCVAVKVBVPULZTVDVLVEVDVAVMVKVLVERVAV
      BVCUMVBVAVMVCVOUNVQVIACDEGHVNIJKUOUPURVIABDFVGHVNKLMUQUSUT $.
  $}

  ${
    2llnmj.j $e |- .\/ = ( join ` K ) $.
    2llnmj.m $e |- ./\ = ( meet ` K ) $.
    2llnmj.a $e |- A = ( Atoms ` K ) $.
    2llnmj.n $e |- N = ( LLines ` K ) $.
    2llnmj.p $e |- P = ( LPlanes ` K ) $.
    $( The meet of two lattice lines is an atom iff their join is a lattice
       plane.  (Contributed by NM, 27-Jun-2012.) $)
    2llnmj $p |- ( ( K e. HL /\ X e. N /\ Y e. N )
      -> ( ( X ./\ Y ) e. A <-> ( X .\/ Y ) e. P ) ) $=
      ( wcel w3a cfv wbr wb wa syl3an chlt ccvr cbs simp1 eqid llnbase 3ad2ant2
      co 3ad2ant3 cvrexch syl3anc cple simpl1 simpr simpl3 hllat latmle2 adantr
      clat atcvrlln2 syl31anc latmcl 3jca atcvrlln sylan mpbird impbida latlej1
      simpl2 llncvrlpln2 latjcl llncvrlpln mpbid 3bitr4d ) DUANZGFNZHFNZOZGHEUH
      ZHDUBPZQZGGHCUHZVTQZVSANZWBBNZVRVOGDUCPZNZHWFNZWAWCRVOVPVQUDZVPVOWGVQWFDF
      GWFUEZLUFZUGZVQVOWHVPWFDFHWJLUFZUIZWFVTCDEGHWJIJVTUEZUJUKVRWDWAVRWDSVOWDV
      QVSHDULPZQZWAVOVPVQWDUMVRWDUNVOVPVQWDUOVRWQWDVODUSNZVPWGVQWHWQDUPZWKWMWFD
      WPEGHWJWPUEZJUQTURAVTVSDWPFHWTWOKLUTVAVRWASWDVQVOVPVQWAUOVRVOVSWFNZWHOWAW
      DVQRVRVOXAWHWIVOWRVPWGVQWHXAWSWKWMWFDEGHWJJVBTWNVCAWFVTDFVSHWJWOKLVDVEVFV
      GVRWEWCVRWESVOVPWEGWBWPQZWCVOVPVQWEUMVOVPVQWEVIVRWEUNVRXBWEVOWRVPWGVQWHXB
      WSWKWMWFCDWPGHWJWTIVHTURVTBDWPFGWBWTWOLMVJVAVRWCSVPWEVOVPVQWCVIVRVOWGWBWF
      NZOWCVPWERVRVOWGXCWIWLVOWRVPWGVQWHXCWSWKWMWFCDGHWJIVKTVCWFVTBDFGWBWJWOLMV
      LVEVMVGVN $.
  $}

  ${
    2atmat.l $e |- .<_ = ( le ` K ) $.
    2atmat.j $e |- .\/ = ( join ` K ) $.
    2atmat.m $e |- ./\ = ( meet ` K ) $.
    2atmat.a $e |- A = ( Atoms ` K ) $.
    $( The meet of two intersecting lines (expressed as joins of atoms) is an
       atom.  (Contributed by NM, 21-Nov-2012.) $)
    2atmat $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
   /\ ( R e. A /\ S e. A /\ P =/= Q )
   /\ ( R =/= S /\ -. R .<_ ( P .\/ Q ) /\ S .<_ ( ( P .\/ Q ) .\/ R ) ) )
         -> ( ( P .\/ Q ) ./\ ( R .\/ S ) ) e. A ) $=
      ( wcel w3a co cfv eqid wb syl3anc chlt wne wbr wn clpl clat simp11 hllatd
      cbs wceq hlatjcl 3ad2ant1 simp21 atbase syl simp22 syl13anc simp33 latjcl
      latjass latleeqj2 mpbid eqtr3d simp23 simp32 wa simp12 islpln2a mpbir2and
      simp13 eqeltrd clln llni2 syl31anc simp31 2llnmj mpbird ) GUANZBANZCANZOZ
      DANZEANZBCUBZOZDEUBZDBCFPZHUCUDZEWGDFPZHUCZOZOZWGDEFPZIPANZWGWMFPZGUEQZNZ
      WLWOWIWPWLWIEFPZWOWIWLGUFNZWGGUIQZNZDWTNZEWTNZWRWOUJWLGVRVSVTWEWKUGZUHZWA
      WEXAWKAWTFGBCWTRZKMUKULZWLWBXBWAWBWCWDWKUMZAWTDGXFMUNUOZWLWCXCWAWBWCWDWKU
      PZAWTEGXFMUNUOZWTFGWGDEXFKUTUQWLWJWRWIUJZWAWEWFWHWJURWLWSXCWIWTNZWJXLSXEX
      KWLWSXAXBXMXEXGXIWTFGWGDXFKUSTWTFGHEWIXFJKVATVBVCWLWIWPNZWDWHWAWBWCWDWKVD
      ZWAWEWFWHWJVEWLVRVSVTWBXNWDWHVFSXDVRVSVTWEWKVGZVRVSVTWEWKVJZXHAWPBCDFGHJK
      MWPRZVHUQVIVKWLVRWGGVLQZNZWMXSNZWNWQSXDWLVRVSVTWDXTXDXPXQXOABCFGXSKMXSRZV
      MVNWLVRWBWCWFYAXDXHXJWAWEWFWHWJVOADEFGXSKMYBVMVNAWPFGIXSWGWMKLMYBXRVPTVQ
      $.
  $}

  ${
    $d z K $.  $d z .<_ $.  $d z P $.  $d z X $.  $d z Y $.
    lplncmp.l $e |- .<_ = ( le ` K ) $.
    lplncmp.p $e |- P = ( LPlanes ` K ) $.
    $( If two lattice planes are comparable, they are equal.  (Contributed by
       NM, 24-Jun-2012.) $)
    lplncmp $p |- ( ( K e. HL /\ X e. P /\ Y e. P )
                -> ( X .<_ Y <-> X = Y ) ) $=
      ( vz chlt wcel w3a wbr cfv wi wb eqid lplnbase syl2anc mpbid wa wceq ccvr
      cv clln simp2 cbs simp1 3ad2ant2 islpln4 simpr3 cpo hlpos 3ad2ant1 adantr
      wrex simpl3 syl simpr1 simpr2 simpl1 cvrle syl31anc postr syl13anc mp2and
      llnbase llncvrlpln2 cvrcmp syl132anc rexlimdv mpd posref syl5ibcom impbid
      3exp2 breq2 ) BIJZDAJZEAJZKZDECLZDEUAZVTHUCZDBUBMZLZHBUDMZUOZWAWBNZVTVRWG
      VQVRVSUEVTVQDBUFMZJZVRWGOVQVRVSUGVRVQWJVSWIABDWIPZGQUHZHIWIWDABWFDWKWDPZW
      FPZGUIRSVTWEWHHWFVTWCWFJZWEWAWBVTWOWEWAKZTZWAWBVTWOWEWAUJZWQBUKJZWJEWIJZW
      CWIJZWEWCEWDLZWAWBOVTWSWPVQVRWSVSBULUMZUNZVTWJWPWLUNZWQVSWTVQVRVSWPUPZWIA
      BEWKGQUQZWQWOXAVTWOWEWAURZWIBWFWCWKWNVFUQZVTWOWEWAUSZWQVQWOVSWCECLZXBVQVR
      VSWPUTZXHXFWQWCDCLZWAXKWQVQXAWJWEXMXLXIXEXJIWIWDBCWCDWKFWMVAVBWRWQWSXAWJW
      TXMWATXKNXDXIXEXGWIBCWCDEWKFVCVDVEWDABCWFWCEFWMWNGVGVBWIWDBCDEWCWKFWMVHVI
      SVOVJVKVTDDCLZWBWAVTWSWJXNXCWLWIBCDWKFVLRDEDCVPVMVN $.
  $}

  ${
    $d q A $.  $d q K $.  $d q .<_ $.  $d q Y $.  $d q X $.
    lplnexat.l $e |- .<_ = ( le ` K ) $.
    lplnexat.j $e |- .\/ = ( join ` K ) $.
    lplnexat.a $e |- A = ( Atoms ` K ) $.
    lplnexat.n $e |- N = ( LLines ` K ) $.
    lplnexat.p $e |- P = ( LPlanes ` K ) $.
    $( Given a lattice line on a lattice plane, there is an atom whose join
       with the line equals the plane.  (Contributed by NM, 29-Jun-2012.)
       (New usage is discouraged.) $)
    lplnexatN $p |- ( ( ( K e. HL /\ X e. P /\ Y e. N ) /\ Y .<_ X )
      -> E. q e. A ( -. q .<_ Y /\ X = ( Y .\/ q ) ) ) $=
      ( wcel w3a wbr wa cfv wceq chlt ccvr cv wn co wrex simp1 simp3 simp2 3jca
      eqid llncvrlpln2 cbs wb simpl1 simpl3 llnbase syl simpl2 lplnbase cvrval3
      sylan syl3anc eqcom anbi2i rexbii bitrdi mpbid ) DUAOZGBOZHFOZPZHGEQZRZHG
      DUBSZQZIUCZHEQUDZGHVQCUEZTZRZIAUFZVLVIVKVJPVMVPVLVIVKVJVIVJVKUGVIVJVKUHVI
      VJVKUIUJVOBDEFHGJVOUKZMNULVBVNVPVRVSGTZRZIAUFZWBVNVIHDUMSZOZGWGOZVPWFUNVI
      VJVKVMUOVNVKWHVIVJVKVMUPWGDFHWGUKZMUQURVNVJWIVIVJVKVMUSWGBDGWJNUTURAWGVOC
      DEHGIWJJKWCLVAVCWEWAIAWDVTVRVSGVDVEVFVGVH $.

    $d r s z A $.  $d r s y z .\/ $.  $d r s z K $.  $d r s y z .<_ $.
    $d r s y z N $.  $d r s z P $.  $d r s y z Q $.  $d r s y z X $.
    $( Given an atom on a lattice plane, there is a lattice line whose join
       with the atom equals the plane.  (Contributed by NM, 26-Jun-2012.)
       (New usage is discouraged.) $)
    lplnexllnN $p |- ( ( ( K e. HL /\ X e. P /\ Q e. A ) /\ Q .<_ X )
      -> E. y e. N ( -. Q .<_ y /\ X = ( y .\/ Q ) ) ) $=
      ( wcel wbr wa co wceq syl vr vz vs chlt w3a cv wrex simpl2 cbs cfv simpl1
      wn eqid lplnbase islpln3 syl2anc mpbid wne simpll1 simpr2l simpll3 simpr1
      wb llnexatN syl31anc simp1l1 simp22r simp3l simp1l3 simp23l simp3rr mtbid
      wi breq2d atnlej2 syl131anc llni2 simp3rl hlatcon2 syl132anc simp23r clat
      oveq1d hllatd atbase latj31 syl13anc 3eqtrd breq2 notbid anbi12d syl12anc
      oveq1 eqeq2d rspcev 3expia rexlimdv 3exp2 llnbase simpr2r latlej1 syl3anc
      expd mpd simpr3r breqtrrd simplr latjle12 mpbi2and ccvr latjcl cvr1 lplni
      simpll2 lplncmp eqcomd weq pm2.61d rexlimdvv ) FUDOZICOZDBOZUEZDIGPZQZUAU
      FZUBUFZGPZULZIYGYFERZSZQZUABUGUBHUGZDAUFZGPZULZIYNDERZSZQZAHUGZYEYAYMXTYA
      YBYDUHZYEXTIFUIUJZOZYAYMVCXTYAYBYDUKYEYAUUCUUAUUBCFIUUBUMZNUNZTUBBUUBCEFG
      HIUAUUDJKLMNUOUPUQYEYLYTUBUAHBYEDYGGPZYGHOZYFBOZQZYLYTVMVMYEUUFUUIYLYTYEU
      UFUUIYLUEZQZDUCUFZURZYGDUULERZSZQZUCBUGZYTUUKXTUUGYBUUFUUQXTYAYBYDUUJUSUU
      GUUHUUFYLYEUTXTYAYBYDUUJVAYEUUFUUIYLVBBDEFGHYGUCJKLMVDVEUUKUUPYTUCBUUKUUL
      BOZUUPYTYEUUJUURUUPQZYTYEUUJUUSUEZYFUULERZHOZDUVAGPZULZIUVADERZSZYTUUTXTU
      UHUURYFUULURZUVBXTYAYBYDUUJUUSVFZUUGUUHUUFYLYEUUSVGZYEUUJUURUUPVHZUUTXTUU
      HYBUURYFUUNGPZULZUVGUVHUVIXTYAYBYDUUJUUSVIZUVJUUTYHUVKYIYKUUFUUIYEUUSVJUU
      TYGUUNYFGUUMUUOUURYEUUJVKZVNVLZBYFDUULEFGJKLVOVPBYFUULEFHKLMVQVEUUTXTYBUU
      RUUHUUMUVLUVDUVHUVMUVJUVIUUMUUOUURYEUUJVRUVOBDUULYFEFGJKLVSVTUUTIYJUUNYFE
      RZUVEYIYKUUFUUIYEUUSWAUUTYGUUNYFEUVNWCUUTFWBOZDUUBOZUULUUBOZYFUUBOZUVPUVE
      SUUTFUVHWDUUTYBUVRUVMBUUBDFUUDLWEZTUUTUURUVSUVJBUUBUULFUUDLWETUUTUUHUVTUV
      IBUUBYFFUUDLWEZTUUBEFDUULYFUUDKWFWGWHYSUVDUVFQAUVAHYNUVASZYPUVDYRUVFUWCYO
      UVCYNUVADGWIWJUWCYQUVEIYNUVADEWMWNWKWOWLWPXCWQXDWRYEUUFULZUUIYLYTYEUWDUUI
      YLUEZQZUUGUWDIYGDERZSZYTUUGUUHUWDYLYEUTZYEUWDUUIYLVBZUWFUWGIUWFUWGIGPZUWG
      ISZUWFYGIGPZYDUWKUWFYGYJIGUWFUVQYGUUBOZUVTYGYJGPUWFFXTYAYBYDUWEUSZWDZUWFU
      UGUWNUWIUUBFHYGUUDMWSTZUWFUUHUVTUUGUUHUWDYLYEWTUWBTUUBEFGYGYFUUDJKXAXBYIY
      KUWDUUIYEXEXFYCYDUWEXGUWFUVQUWNUVRUUCUWMYDQUWKVCUWPUWQUWFYBUVRXTYAYBYDUWE
      VAZUWATZUWFYAUUCXTYAYBYDUWEXNZUUETUUBEFGYGDIUUDJKXHWGXIUWFXTUWGCOZYAUWKUW
      LVCUWOUWFXTUWGUUBOZUUGYGUWGFXJUJZPZUXAUWOUWFUVQUWNUVRUXBUWPUWQUWSUUBEFYGD
      UUDKXKXBUWIUWFUWDUXDUWJUWFXTUWNYBUWDUXDVCUWOUWQUWRBUUBUXCDEFGYGUUDJKUXCUM
      ZLXLXBUQUUBUXCUDCFHYGUWGUUDUXEMNXMVEUWTCFGUWGIJNXOXBUQXPYSUWDUWHQAYGHAUBX
      QZYPUWDYRUWHUXFYOUUFYNYGDGWIWJUXFYQUWGIYNYGDEWMWNWKWOWLWRXRXSXD $.
  $}

  ${
    lplnnlt.s $e |- .< = ( lt ` K ) $.
    lplnnlt.p $e |- P = ( LPlanes ` K ) $.
    $( Two lattice planes cannot satisfy the less than relation.  (Contributed
       by NM, 7-Jul-2012.) $)
    lplnnlt $p |- ( ( K e. HL /\ X e. P /\ Y e. P ) -> -. X .< Y ) $=
      ( chlt wcel w3a wbr wceq pltirr 3adant3 breq2 notbid syl5ibcom cple cfv
      wn eqid pltle lplncmp sylibd necon3ad pm2.61dne ) CHIZDAIZEAIZJZDEBKZTZDE
      UJDDBKZTZDELZULUGUHUNUIHABCDFMNUOUMUKDEDBOPQUJUKDEUJUKDECRSZKUOHAABCUPDEU
      PUAZFUBACUPDEUQGUCUDUEUF $.
  $}

  ${
    2llnja.l $e |- .<_ = ( le ` K ) $.
    2llnja.j $e |- .\/ = ( join ` K ) $.
    2llnja.a $e |- A = ( Atoms ` K ) $.
    2llnja.n $e |- N = ( LLines ` K ) $.
    2llnja.p $e |- P = ( LPlanes ` K ) $.
    $( The join of two different lattice lines in a lattice plane equals the
       plane (version of ~ 2llnjN in terms of atoms).  (Contributed by NM,
       5-Jul-2012.)  (New usage is discouraged.) $)
    2llnjaN $p |- ( ( ( ( K e. HL /\ W e. P ) /\ ( Q e. A /\ R e. A /\ Q =/= R
        )
      /\ ( S e. A /\ T e. A /\ S =/= T ) )
           /\ ( ( Q .\/ R ) .<_ W /\ ( S .\/ T ) .<_ W
         /\ ( Q .\/ R ) =/= ( S .\/ T ) ) )
  -> ( ( Q .\/ R ) .\/ ( S .\/ T ) ) = W ) $=
      ( wcel w3a wbr syl3anc chlt wa wne co cbs cfv eqid simpl1l hllatd simpl21
      simpl22 hlatjcl simpl31 simpl32 latjcl simpl1r lplnbase syl simpr1 simpr2
      clat wb latjle12 syl13anc mpbi2and wceq atbase latlej2 wi latjlej2 lattrd
      mpd 3adant3 simp11l wn simp121 simp122 simp132 simp23 simpl3 simpr adantr
      simp123 ps-1 syl112anc mpbid eqcomd ex necon3ad syl132anc simp11r lplncmp
      lplni2 eqbrtrrd 3expia latlej1 simp131 simp3 pm2.61d latasymd ) HUAQZKBQZ
      UBZCAQZDAQZCDUCZRZEAQZFAQZEFUCZRZRZCDGUDZKISZEFGUDZKISZXMXOUCZRZUBZHUEUFZ
      HIXMXOGUDZKXTUGZLXSHXAXBXGXKXRUHZUIZXSHVAQZXMXTQZXOXTQZYAXTQYDXSXAXDXEYFY
      CXDXEXFXCXKXRUJZXDXEXFXCXKXRUKZAXTGHCDYBMNULTZXSXAXHXIYGYCXHXIXJXCXGXRUMZ
      XHXIXJXCXGXRUNZAXTGHEFYBMNULTZXTGHXMXOYBMUOTZXSXBKXTQZXAXBXGXKXRUPXTBHKYB
      PUQURZXSXNXPYAKISZXLXNXPXQUSXLXNXPXQUTXSYEYFYGYOXNXPUBYQVBYDYJYMYPXTGHIXM
      XOKYBLMVCVDVEZXSEXMISZKYAISZXLXRYSYTXLXRYSRZXMFGUDZKYAIUUAUUBKISZUUBKVFZX
      LXRUUCYSXSXTHIUUBYAKYBLYDXSYEYFFXTQZUUBXTQYDYJXSXIUUEYLAXTFHYBNVGURZXTGHX
      MFYBMUOTYNYPXSFXOISZUUBYAISZXSYEEXTQZUUEUUGYDXSXHUUIYKAXTEHYBNVGURZUUFXTG
      HIEFYBLMVHTXSYEUUEYGYFUUGUUHVIYDUUFYMYJXTGHIFXOXMYBLMVJVDVLZYRVKVMUUAXAUU
      BBQZXBUUCUUDVBXAXBXGXKXRYSVNZUUAXAXDXEXIXFFXMISZVOZUULUUMXDXEXFXCXKXRYSVP
      XDXEXFXCXKXRYSVQXHXIXJXCXGXRYSVRXDXEXFXCXKXRYSWCUUAXQUUOXLXNXPXQYSVSUUAUU
      NXMXOUUAUUNXMXOVFUUAUUNUBZXOXMUUPXOXMISZXOXMVFZUUPYSUUNUUQXLXRYSUUNVTUUAU
      UNWAUUAYSUUNUBUUQVBZUUNXLXRUUSYSXSYEUUIUUEYFUUSYDUUJUUFYJXTGHIEFXMYBLMVCV
      DVMWBVEUUAUUQUURVBZUUNXLXRUUTYSXSXAXKXDXEUUTYCXCXGXKXRVTYHYIAEFCDGHILMNWD
      WEVMWBWFWGWHWIVLABCDFGHILMNPWMWJXAXBXGXKXRYSWKBHIUUBKLPWLTWFXLXRUUHYSUUKV
      MWNWOXLXRYSVOZYTXLXRUVARZXMEGUDZKYAIUVBUVCKISZUVCKVFZXLXRUVDUVAXSXTHIUVCY
      AKYBLYDXSYEYFUUIUVCXTQYDYJUUJXTGHXMEYBMUOTYNYPXSEXOISZUVCYAISZXSYEUUIUUEU
      VFYDUUJUUFXTGHIEFYBLMWPTXSYEUUIYGYFUVFUVGVIYDUUJYMYJXTGHIEXOXMYBLMVJVDVLZ
      YRVKVMUVBXAUVCBQZXBUVDUVEVBXAXBXGXKXRUVAVNZUVBXAXDXEXHXFUVAUVIUVJXDXEXFXC
      XKXRUVAVPXDXEXFXCXKXRUVAVQXHXIXJXCXGXRUVAWQXDXEXFXCXKXRUVAWCXLXRUVAWRABCD
      EGHILMNPWMWJXAXBXGXKXRUVAWKBHIUVCKLPWLTWFXLXRUVGUVAUVHVMWNWOWSWT $.
  $}

  ${
    $d q r s t .\/ $.  $d q r s t K $.  $d q r s t .<_ $.  $d q r s t N $.
    $d q r s t P $.  $d q r s t X $.  $d q r s t Y $.  $d q r s t W $.
    2llnj.l $e |- .<_ = ( le ` K ) $.
    2llnj.j $e |- .\/ = ( join ` K ) $.
    2llnj.n $e |- N = ( LLines ` K ) $.
    2llnj.p $e |- P = ( LPlanes ` K ) $.
    $( The join of two different lattice lines in a lattice plane equals the
       plane.  (Contributed by NM, 4-Jul-2012.)  (New usage is discouraged.) $)
    2llnjN $p |- ( ( K e. HL /\ ( X e. N /\ Y e. N /\ W e. P )
       /\ ( X .<_ W /\ Y .<_ W /\ X =/= Y ) ) -> ( X .\/ Y ) = W ) $=
      ( vq vr vs vt wcel w3a wne wa chlt wbr wceq catm cfv wrex cbs eqid islln2
      cv co simpr syl6bi anim12d imp 3adantr3 3adant3 wi simp2rr simp3rr simp13
      oveq12d breq1 neeq1 3anbi13d neeq2 3anbi23d sylan9bb syl2anc mpbid simp11
      simp123 simp2ll simp2lr simp2rl simp3ll simp3lr simp3rl 2llnjaN syl233anc
      wb ex mpd eqtrd 3exp 3impib expd rexlimdvv impd ) CUAQZGEQZHEQZFAQZRZGFDU
      BZHFDUBZGHSZRZRZMUJZNUJZSZGWTXABUKZUCZTZNCUDUEZUFMXFUFZOUJZPUJZSZHXHXIBUK
      ZUCZTZPXFUFOXFUFZTZGHBUKZFUCZWJWNXOWRWJWKWLXOWMWJWKWLTXOWJWKXGWLXNWJWKGCU
      GUEZQZXGTXGXFXRBCEGNMXRUHZJXFUHZKUIXSXGULUMWJWLHXRQZXNTXNXFXRBCEHPOXTJYAK
      UIYBXNULUMUNUOUPUQWSXGXNXQWSXEXNXQURZMNXFXFWSWTXFQZXAXFQZTZXEYCWSYFXERZXM
      XQOPXFXFYGXHXFQZXIXFQZTZXMXQWSYFXEYJXMTZXQURWSYFXETZYKXQWSYLYKRZXPXCXKBUK
      ZFYMGXCHXKBXBXDYFWSYKUSZXJXLYJWSYLUTZVBYMXCFDUBZXKFDUBZXCXKSZRZYNFUCZYMWR
      YTWJWNWRYLYKVAYMXDXLWRYTWAYOYPXDWRYQWPXCHSZRXLYTXDWOYQWQUUBWPGXCFDVCGXCHV
      DVEXLWPYRUUBYSYQHXKFDVCHXKXCVFVGVHVIVJYMWJWMYDYEXBYHYIXJYTUUAURWJWNWRYLYK
      VKWKWLWMWJWRYLYKVLYDYEXEWSYKVMYDYEXEWSYKVNXBXDYFWSYKVOYHYIXMWSYLVPYHYIXMW
      SYLVQXJXLYJWSYLVRWJWMTYDYEXBRYHYIXJRRYTUUAXFAWTXAXHXIBCDEFIJYAKLVSWBVTWCW
      DWEWFWGWHWEWHWIWC $.
  $}

  ${
    2llnm2.l $e |- .<_ = ( le ` K ) $.
    2llnm2.m $e |- ./\ = ( meet ` K ) $.
    2llnm2.a $e |- A = ( Atoms ` K ) $.
    2llnm2.n $e |- N = ( LLines ` K ) $.
    2llnm2.p $e |- P = ( LPlanes ` K ) $.
    $( The meet of two different lattice lines in a lattice plane is an atom.
       (Contributed by NM, 5-Jul-2012.)  (New usage is discouraged.) $)
    2llnm2N $p |- ( ( K e. HL /\ ( X e. N /\ Y e. N /\ W e. P )
       /\ ( X .<_ W /\ Y .<_ W /\ X =/= Y ) ) -> ( X ./\ Y ) e. A ) $=
      ( wcel w3a wbr cfv eqid syl3anc chlt wne co simp22 cbs ccvr wb simp1 clat
      3ad2ant1 simp21 llnbase syl latmcl cjn 2llnjN eqeltrd latlej1 llncvrlpln2
      hllat simp23 syl31anc cvrexch mpbird atcvrlln ) CUAOZHFOZIFOZGBOZPZHGDQIG
      DQHIUBPZPZHIEUCZAOZVHVFVGVHVIVKUDZVLVFVMCUERZOZIVPOZVMICUFRZQZVNVHUGVFVJV
      KUHZVLCUIOZHVPOZVRVQVFVJWBVKCUTUJZVLVGWCVFVGVHVIVKUKZVPCFHVPSZMULUMZVLVHV
      RVOVPCFIWFMULUMZVPCEHIWFKUNTWHVLVTHHICUORZUCZVSQZVLVFVGWJBOHWJDQZWKWAWEVL
      WJGBBWICDFGHIJWISZMNUPVFVGVHVIVKVAUQVLWBWCVRWLWDWGWHVPWICDHIWFJWMURTVSBCD
      FHWJJVSSZMNUSVBVLVFWCVRVTWKUGWAWGWHVPVSWICEHIWFWMKWNVCTVDAVPVSCFVMIWFWNLM
      VEVBVD $.
  $}

  ${
    2llnm3.l $e |- .<_ = ( le ` K ) $.
    2llnm3.m $e |- ./\ = ( meet ` K ) $.
    2llnm3.z $e |- .0. = ( 0. ` K ) $.
    2llnm3.n $e |- N = ( LLines ` K ) $.
    2llnm3.p $e |- P = ( LPlanes ` K ) $.
    $( Two lattice lines in a lattice plane always meet.  (Contributed by NM,
       5-Jul-2012.)  (New usage is discouraged.) $)
    2llnm3N $p |- ( ( K e. HL /\ ( X e. N /\ Y e. N /\ W e. P )
       /\ ( X .<_ W /\ Y .<_ W ) ) -> ( X ./\ Y ) =/= .0. ) $=
      ( wcel w3a wbr wa wne syl2anc chlt co wceq oveq1 neeq1d catm simpl1 hlatl
      cal cfv syl simpl2 simpl3l simpl3r simpr eqid 2llnm2N syl113anc atn0 clat
      cbs hllat 3ad2ant1 simp22 llnbase latmidm simp1 llnn0 eqnetrd pm2.61ne )
      BUAOZGEOZHEOZFAOZPZGFCQZHFCQZRZPZGHDUBZISZHHDUBZISGHGHUCVTWBIGHHDUDUEVSGH
      SZRZBUIOZVTBUFUJZOZWAWDVKWEVKVOVRWCUGZBUHUKWDVKVOVPVQWCWGWHVKVOVRWCULVPVQ
      VKVOWCUMVPVQVKVOWCUNVSWCUOWFABCDEFGHJKWFUPZMNUQURWFVTBILWIUSTVSWBHIVSBUTO
      ZHBVAUJZOZWBHUCVKVOWJVRBVBVCVSVMWLVKVLVMVNVRVDZWKBEHWKUPZMVEUKWKBDHWNKVFT
      VSVKVMHISVKVOVRVGWMBEHILMVHTVIVJ $.
  $}

  ${
    2llnm4.l $e |- .<_ = ( le ` K ) $.
    2llnm4.m $e |- ./\ = ( meet ` K ) $.
    2llnm4.z $e |- .0. = ( 0. ` K ) $.
    2llnm4.a $e |- A = ( Atoms ` K ) $.
    2llnm4.n $e |- N = ( LLines ` K ) $.
    $( Two lattice lines that majorize the same atom always meet.  (Contributed
       by NM, 20-Jul-2012.) $)
    2llnm4 $p |- ( ( K e. HL /\ ( P e. A /\ X e. N /\ Y e. N )
       /\ ( P .<_ X /\ P .<_ Y ) ) -> ( X ./\ Y ) =/= .0. ) $=
      ( wcel w3a wbr 3ad2ant1 llnbase syl chlt wa cal co cbs cfv wne hlatl clat
      hllat simp22 eqid simp23 latmcl syl3anc simp21 simp3 wb latlem12 syl13anc
      atbase mpbid atlen0 syl31anc ) CUAOZBAOZGFOZHFOZPZBGDQBHDQUBZPZCUCOZGHEUD
      ZCUEUFZOZVFBVMDQZVMIUGVEVIVLVJCUHRVKCUIOZGVNOZHVNOZVOVEVIVQVJCUJRZVKVGVRV
      EVFVGVHVJUKVNCFGVNULZNSTZVKVHVSVEVFVGVHVJUMVNCFHWANSTZVNCEGHWAKUNUOVEVFVG
      VHVJUPZVKVJVPVEVIVJUQVKVQBVNOZVRVSVJVPURVTVKVFWEWDAVNBCWAMVATWBWCVNCDEBGH
      WAJKUSUTVBAVNBCDVMIWAJLMVCVD $.
  $}

  ${
    2llnmeqat.l $e |- .<_ = ( le ` K ) $.
    2llnmeqat.m $e |- ./\ = ( meet ` K ) $.
    2llnmeqat.a $e |- A = ( Atoms ` K ) $.
    2llnmeqat.n $e |- N = ( LLines ` K ) $.
    $( An atom equals the intersection of two majorizing lines.  (Contributed
       by NM, 3-Apr-2013.) $)
    2llnmeqat $p |- ( ( K e. HL /\ ( X e. N /\ Y e. N /\ P e. A )
        /\ ( X =/= Y /\ P .<_ ( X ./\ Y ) ) ) -> P = ( X ./\ Y ) ) $=
      ( wcel w3a wne wbr wa wb 3ad2ant1 syl chlt co simp3r cal hlatl simp23 cp0
      wceq cfv simp1 simp21 simp22 simp3l clat cbs eqid atbase llnbase latlem12
      hllat syl13anc mpbird 2llnm4 syl131anc 2llnmat syl32anc atcmp syl3anc
      mpbid ) CUAMZGFMZHFMZBAMZNZGHOZBGHEUBZDPZQZNZVQBVPUHZVJVNVOVQUCZVSCUDMZVM
      VPAMZVQVTRVJVNWBVRCUESVJVKVLVMVRUFZVSVJVKVLVOVPCUGUIZOZWCVJVNVRUJZVJVKVLV
      MVRUKZVJVKVLVMVRULZVJVNVOVQUMVSVJVMVKVLBGDPBHDPQZWFWGWDWHWIVSWJVQWAVSCUNM
      ZBCUOUIZMZGWLMZHWLMZWJVQRVJVNWKVRCUTSVSVMWMWDAWLBCWLUPZKUQTVSVKWNWHWLCFGW
      PLURTVSVLWOWIWLCFHWPLURTWLCDEBGHWPIJUSVAVBABCDEFGHWEIJWEUPZKLVCVDACEFGHWE
      JWQKLVEVFABVPCDIKVGVHVI $.
  $}

  ${
    $d k y P $.  $d k x B $.  $d k C $.  $d k y x K $.
    lvolset.b $e |- B = ( Base ` K ) $.
    lvolset.c $e |- C = ( <o ` K ) $.
    lvolset.p $e |- P = ( LPlanes ` K ) $.
    lvolset.v $e |- V = ( LVols ` K ) $.
    $( The set of 3-dim lattice volumes in a Hilbert lattice.  (Contributed by
       NM, 1-Jul-2012.) $)
    lvolset $p |- ( K e. A -> V = { x e. B | E. y e. P y C x } ) $=
      ( vk cv cfv ccvr clpl cbs fveq2 eqtr4di wcel cvv wbr wrex crab wceq clvol
      elex breqd rexeqbidv rabeqbidv df-lvols fvexi rabex fvmpt syl5eq syl ) GC
      UAGUBUAZHBNZANZEUCZBFUDZADUEZUFGCUHURHGUGOVCLMGUSUTMNZPOZUCZBVDQOZUDZAVDR
      OZUEVCUBUGVDGUFZVHVBAVIDVJVIGRODVDGRSITVJVFVABVGFVJVGGQOFVDGQSKTVJVEEUSUT
      VJVEGPOEVDGPSJTUIUJUKAMBULVBADDGRIUMUNUOUPUQ $.

    $d x P $.  $d x C $.  $d y x X $.
    $( The predicate "is a 3-dim lattice volume".  (Contributed by NM,
       1-Jul-2012.) $)
    islvol $p |- ( K e. A -> ( X e. V <-> ( X e. B /\ E. y e. P y C X ) ) ) $=
      ( vx wcel cv wbr wrex crab wa lvolset eleq2d breq2 rexbidv elrab bitrdi
      wceq ) FBNZHGNHAOZMOZDPZAEQZMCRZNHCNUHHDPZAEQZSUGGULHMABCDEFGIJKLTUAUKUNM
      HCUIHUFUJUMAEUIHUHDUBUCUDUE $.

    $( The predicate "is a 3-dim lattice volume".  (Contributed by NM,
       1-Jul-2012.) $)
    islvol4 $p |- ( ( K e. A /\ X e. B )
       -> ( X e. V <-> E. y e. P y C X ) ) $=
      ( wcel cv wbr wrex islvol baibd ) FBMHGMHCMANHDOAEPABCDEFGHIJKLQR $.

    $d x Y $.
    $( Condition implying a 3-dim lattice volume.  (Contributed by NM,
       1-Jul-2012.) $)
    lvoli $p |- ( ( ( K e. D /\ Y e. B /\ X e. P ) /\ X C Y ) -> Y e. V ) $=
      ( vx wcel w3a wbr wa cv wrex simpl2 rspcev 3ad2antl3 wb simpl1 islvol syl
      breq1 mpbir2and ) ECNZHANZGDNZOGHBPZQZHFNZUJMRZHBPZMDSZUIUJUKULTUKUIULUQU
      JUPULMGDUOGHBUGUAUBUMUIUNUJUQQUCUIUJUKULUDMCABDEFHIJKLUEUFUH $.
  $}

  ${
    $d p A $.  $d p y B $.  $d p y K $.  $d p .<_ $.  $d p y P $.  $d p y X $.
    islvol3.b $e |- B = ( Base ` K ) $.
    islvol3.l $e |- .<_ = ( le ` K ) $.
    islvol3.j $e |- .\/ = ( join ` K ) $.
    islvol3.a $e |- A = ( Atoms ` K ) $.
    islvol3.p $e |- P = ( LPlanes ` K ) $.
    islvol3.v $e |- V = ( LVols ` K ) $.
    $( The predicate "is a 3-dim lattice volume".  (Contributed by NM,
       1-Jul-2012.) $)
    islvol3 $p |- ( ( K e. HL /\ X e. B ) -> ( X e. V
         <-> E. y e. P E. p e. A ( -. p .<_ y /\ X = ( y .\/ p ) ) ) ) $=
      ( chlt wcel wa wrex cv ccvr cfv wbr wn co wceq islvol4 wb simpll lplnbase
      eqid adantl simplr cvrval3 syl3anc eqcom a1i anbi2d rexbidva bitrd ) FQRZ
      ICRZSZIHRAUAZIFUBUCZUDZADTJUAZVEGUDUEZIVEVHEUFZUGZSZJBTZADTAQCVFDFHIKVFUL
      ZOPUHVDVGVMADVDVEDRZSZVGVIVJIUGZSZJBTZVMVPVBVECRZVCVGVSUIVBVCVOUJVOVTVDCD
      FVEKOUKUMVBVCVOUNBCVFEFGVEIJKLMVNNUOUPVPVRVLJBVPVHBRSZVQVKVIVQVKUIWAVJIUQ
      URUSUTVAUTVA $.
  $}

  ${
    $d r y A $.  $d r y .\/ $.  $d r y K $.  $d r y .<_ $.  $d r y P $.
    $d r y Q $.  $d r y X $.
    lvoli3.l $e |- .<_ = ( le ` K ) $.
    lvoli3.j $e |- .\/ = ( join ` K ) $.
    lvoli3.a $e |- A = ( Atoms ` K ) $.
    lvoli3.p $e |- P = ( LPlanes ` K ) $.
    lvoli3.v $e |- V = ( LVols ` K ) $.
    $( Condition implying a 3-dim lattice volume.  (Contributed by NM,
       2-Aug-2012.) $)
    lvoli3 $p |- ( ( ( K e. HL /\ X e. P /\ Q e. A ) /\ -. Q .<_ X )
         -> ( X .\/ Q ) e. V ) $=
      ( vr vy wcel wbr wn wa wceq chlt w3a co cv wrex simpl2 simpl3 simpr eqidd
      breq2 notbid oveq1 eqeq2d anbi12d breq1 oveq2 rspc2ev syl112anc wb simpl1
      cbs cfv clat hllatd lplnbase atbase latjcl syl3anc islvol3 syl2anc mpbird
      eqid syl ) EUAPZHBPZCAPZUBZCHFQZRZSZHCDUCZGPZNUDZOUDZFQZRZWAWDWCDUCZTZSZN
      AUEOBUEZVTVOVPVSWAWATZWJVNVOVPVSUFZVNVOVPVSUGZVQVSUHVTWAUIWIVSWKSWCHFQZRZ
      WAHWCDUCZTZSONHCBAWDHTZWFWOWHWQWRWEWNWDHWCFUJUKWRWGWPWAWDHWCDULUMUNWCCTZW
      OVSWQWKWSWNVRWCCHFUOUKWSWPWAWAWCCHDUPUMUNUQURVTVNWAEVAVBZPZWBWJUSVNVOVPVS
      UTZVTEVCPHWTPZCWTPZXAVTEXBVDVTVOXCWLWTBEHWTVLZLVEVMVTVPXDWMAWTCEXEKVFVMWT
      DEHCXEJVGVHOAWTBDEFGWANXEIJKLMVIVJVK $.
  $}

  ${
    $d x K $.  $d x X $.
    lvolbase.b $e |- B = ( Base ` K ) $.
    lvolbase.v $e |- V = ( LVols ` K ) $.
    $( A 3-dim lattice volume is a lattice element.  (Contributed by NM,
       1-Jul-2012.) $)
    lvolbase $p |- ( X e. V -> X e. B ) $=
      ( vx cvv wcel clvol cfv c0 wceq n0i eqeq1i sylnib fvprc nsyl2 cv eqid wbr
      ccvr clpl wrex islvol simprbda mpancom ) BHIZDCIZDAIZUIBJKZLMZUHUICLMULCD
      NCUKLFOPBJQRUHUIUJGSDBUBKZUAGBUCKZUDGHAUMUNBCDEUMTUNTFUEUFUG $.
  $}

  ${
    $d p q r s y A $.  $d p q r s y B $.  $d p q r s y .\/ $.
    $d p q r s y K $.  $d p q r s y .<_ $.  $d p q r s y X $.
    islvol5.b $e |- B = ( Base ` K ) $.
    islvol5.l $e |- .<_ = ( le ` K ) $.
    islvol5.j $e |- .\/ = ( join ` K ) $.
    islvol5.a $e |- A = ( Atoms ` K ) $.
    islvol5.v $e |- V = ( LVols ` K ) $.
    $( The predicate "is a 3-dim lattice volume" in terms of atoms.
       (Contributed by NM, 1-Jul-2012.) $)
    islvol5 $p |- ( ( K e. HL /\ X e. B )
      -> ( X e. V <-> E. p e. A E. q e. A E. r e. A E. s e. A
   ( ( p =/= q /\ -. r .<_ ( p .\/ q ) /\ -. s .<_ ( ( p .\/ q ) .\/ r ) )
            /\ X = ( ( ( p .\/ q ) .\/ r ) .\/ s ) ) ) ) $=
      ( vy wcel wa wrex chlt cv wbr wn co wceq clpl cfv wne eqid islvol3 df-rex
      w3a wex df-3an anbi2i an13 bitri exbii ovex an12 eleq1 breq2 notbid oveq1
      r19.41v eqeq2d anbi12d anbi2d bicomi anbi1i bitr3i bitrdi rexbidv r19.42v
      anass syl5bb 3bitr3g ceqsexv clat hllat ad3antrrr simplll simplrl simplrr
      hlatjcl syl3anc atbase adantl latjcl biantrurd bitr4id rexbidva 2rexbidva
      rexcom4 rexbii bitr3di rexcom islpln2 adantr anbi1d 3bitr4ri exbidv bitrd
      wb an32 ) DUARZGBRZSZGFRHUBZQUBZEUCZUDZGXKXJCUEZUFZSZHATZQDUGUHZTZKUBZJUB
      ZUIZIUBZXTYACUEZEUCUDZXJYDYCCUEZEUCZUDZUMZGYFXJCUEZUFZSZHATZIATZJATKATZQA
      BXRCDEFGHLMNOXRUJZPUKXIXSXKXRRZXQSZQUNZYOXQQXRULXIYOXKBRZXPSZYBYEXKYFUFZU
      MZSZHATZIATZJATZKATZQUNZYSXIUUEQUNZIATZJATZKATZYOUUIXIUUKYNKJAAXIXTARZYAA
      RZSZSZUUJYMIAUUQYCARZSZUUJYFBRZYMSZYMUUJUUBYBYESZUUAHATZSZSZQUNUVAUUEUVEQ
      UUEUVCUUCSZUVEUUAUUCHAVFUVFUVCUVBUUBSZSUVEUUCUVGUVCYBYEUUBUOUPUVCUVBUUBUQ
      URURUSUVDUVAQYFYDYCCUTUUBUVBUUASZHATUUTYLSZHATUVDUVAUUBUVHUVIHAUVHYTUVBXP
      SZSUUBUVIUVBYTXPVAUUBYTUUTUVJYLXKYFBVBUUBUVJUVBYHYKSZSZYLUUBXPUVKUVBUUBXM
      YHXOYKUUBXLYGXKYFXJEVCVDUUBXNYJGXKYFXJCVEVGVHVIUVLUVBYHSZYKSYLUVBYHYKVPUV
      MYIYKYIUVMYBYEYHUOVJVKVLVMVHVQVNUVBUUAHAVOUUTYLHAVOVRVSURUUSUUTYMUUSDVTRZ
      YDBRZYCBRZUUTXGUVNXHUUPUURDWAWBUUSXGUUNUUOUVOXGXHUUPUURWCXIUUNUUOUURWDXIU
      UNUUOUURWEABCDXTYALNOWFWGUURUVPUUQABYCDLOWHWIBCDYDYCLNWJWGWKWLWMWNUUMUUGQ
      UNZKATUUIUULUVQKAUULUUFQUNZJATUVQUUKUVRJAUUEIQAWOWPUUFJQAWOURWPUUGKQAWOUR
      WQXIUUHYRQXIUUHYQXPSZHATZYRXIUUHUUDIATZJATZKATZHATZUVTUUHUWBHATZKATUWDUUG
      UWEKAUUGUWAHATZJATUWEUUFUWFJAUUDIHAAWRWPUWAJHAAWRURWPUWBKHAAWRURXIUVSUWCH
      AXIUVSYTUUCIATZJATZKATZSZXPSZUWCXIYQUWJXPXGYQUWJXEXHABXRCDEXKIJKLMNOYPWSW
      TXAUUAUWHSZKATUUAUWISUWCUWKUUAUWHKAVOUWBUWLKAUWBUUAUWGSZJATUWLUWAUWMJAUUA
      UUCIAVOWPUUAUWGJAVOURWPYTUWIXPXFXBVMVNWLYQXPHAVOVMXCXDWLXD $.

    $( The predicate "is a 3-dim lattice volume" in terms of atoms.
       (Contributed by NM, 1-Jul-2012.) $)
    islvol2 $p |- ( K e. HL
      -> ( X e. V <-> ( X e. B /\ E. p e. A E. q e. A E. r e. A E. s e. A
   ( ( p =/= q /\ -. r .<_ ( p .\/ q ) /\ -. s .<_ ( ( p .\/ q ) .\/ r ) )
            /\ X = ( ( ( p .\/ q ) .\/ r ) .\/ s ) ) ) ) ) $=
      ( wcel wa cv wrex chlt wne co wbr wceq lvolbase pm4.71ri islvol5 pm5.32da
      wn w3a syl5bb ) GFQZGBQZUMRDUAQZUNKSZJSZUBISZUPUQCUCZEUDUJHSZUSURCUCZEUDU
      JUKGVAUTCUCUERHATIATJATKATZRUMUNBDFGLPUFUGUOUNUMVBABCDEFGHIJKLMNOPUHUIUL
      $.
  $}

  ${
    $d p q r s A $.  $d p q r s .\/ $.  $d p q r s K $.  $d p q r s .<_ $.
    $d p q r s P $.  $d p q r s Q $.  $d p q r s R $.  $d p q r s S $.
    lvoli2.l $e |- .<_ = ( le ` K ) $.
    lvoli2.j $e |- .\/ = ( join ` K ) $.
    lvoli2.a $e |- A = ( Atoms ` K ) $.
    lvoli2.v $e |- V = ( LVols ` K ) $.
    $( The join of 4 different atoms is a lattice volume.  (Contributed by NM,
       8-Jul-2012.) $)
    lvoli2 $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A ) /\ ( R e. A /\ S e. A )
     /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q )
         /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) ) )
    -> ( ( ( P .\/ Q ) .\/ R ) .\/ S ) e. V ) $=
      ( wcel w3a wa co wbr wn wceq vp vq vr vs chlt cv wrex simp12 simp13 simp3
      wne eqidd neeq1 oveq1 breq2d notbid oveq1d 3anbi123d eqeq2d anbi12d neeq2
      oveq2 rspc2ev syl112anc 3exp simplrl simplrr simpr breq1 3anbi23d 3anbi3d
      wi syl3anc ex reximdv syldd 3imp cbs cfv simp11 clat hllatd eqid 3ad2ant1
      wb hlatjcl simp2l atbase syl latjcl simp2r islvol5 syl2anc mpbird ) GUENZ
      BANZCANZOZDANZEANZPZBCUKZDBCFQZHRZSZEXCDFQZHRZSZOZOZXFEFQZINZUAUFZUBUFZUK
      ZUCUFZXMXNFQZHRZSZUDUFZXQXPFQZHRZSZOZXKYAXTFQZTZPZUDAUGUCAUGZUBAUGZUAAUGZ
      WRXAXIYJWRXAXIXODXQHRZSZEXQDFQZHRZSZOZXKYMEFQZTZPZUBAUGZUAAUGZYJWRXAXIUUA
      XJWPWQXIXKXKTZUUAWOWPWQXAXIUHWOWPWQXAXIUIWRXAXIUJXJXKULYSXIUUBPBXNUKZDBXN
      FQZHRZSZEUUDDFQZHRZSZOZXKUUGEFQZTZPUAUBBCAAXMBTZYPUUJYRUULUUMXOUUCYLUUFYO
      UUIXMBXNUMUUMYKUUEUUMXQUUDDHXMBXNFUNZUOUPUUMYNUUHUUMYMUUGEHUUMXQUUDDFUUNU
      QZUOUPURUUMYQUUKXKUUMYMUUGEFUUOUQUSUTXNCTZUUJXIUULUUBUUPUUCXBUUFXEUUIXHXN
      CBVAUUPUUEXDUUPUUDXCDHXNCBFVBZUOUPUUPUUHXGUUPUUGXFEHUUPUUDXCDFUUQUQZUOUPU
      RUUPUUKXKXKUUPUUGXFEFUURUQUSUTVCVDVEWRXAUUAYJVLWRXAPZYTYIUAAUUSYSYHUBAUUS
      YSYHUUSYSPWSWTYSYHWRWSWTYSVFWRWSWTYSVGUUSYSVHYGYSXOYLXTYMHRZSZOZXKYMXTFQZ
      TZPUCUDDEAAXPDTZYDUVBYFUVDUVEXSYLYCUVAXOUVEXRYKXPDXQHVIUPUVEYBUUTUVEYAYMX
      THXPDXQFVBZUOUPVJUVEYEUVCXKUVEYAYMXTFUVFUQUSUTXTETZUVBYPUVDYRUVGUVAYOXOYL
      UVGUUTYNXTEYMHVIUPVKUVGUVCYQXKXTEYMFVBUSUTVCVMVNVOVOVNVPVQXJWOXKGVRVSZNZX
      LYJWEWOWPWQXAXIVTZXJGWANZXFUVHNZEUVHNZUVIXJGUVJWBZXJUVKXCUVHNZDUVHNZUVLUV
      NWRXAUVOXIAUVHFGBCUVHWCZKLWFWDXJWSUVPWRWSWTXIWGAUVHDGUVQLWHWIUVHFGXCDUVQK
      WJVMXJWTUVMWRWSWTXIWKAUVHEGUVQLWHWIUVHFGXFEUVQKWJVMAUVHFGHIXKUDUCUBUAUVQJ
      KLMWLWMWN $.
  $}

  ${
    $d y A $.  $d y .\/ $.  $d y K $.  $d y .<_ $.  $d y P $.  $d y Q $.
    $d y R $.  $d y V $.  $d y X $.
    lvolnle3at.l $e |- .<_ = ( le ` K ) $.
    lvolnle3at.j $e |- .\/ = ( join ` K ) $.
    lvolnle3at.a $e |- A = ( Atoms ` K ) $.
    lvolnle3at.v $e |- V = ( LVols ` K ) $.
    $( A lattice plane (or lattice line or atom) cannot majorize a lattice
       volume.  (Contributed by NM, 8-Jul-2012.) $)
    lvolnle3at $p |- ( ( ( K e. HL /\ X e. V )
          /\ ( P e. A /\ Q e. A /\ R e. A ) )
        -> -. X .<_ ( ( P .\/ Q ) .\/ R ) ) $=
      ( chlt wcel wa wbr wn wi syl3anc vy w3a cv ccvr cfv clpl co cbs simplr wb
      wrex eqid islvol ad2antrr mpbid simprd oveq1d breq2d notbid simp1l simp3l
      wceq oveq1 wne simp21 simp22 lplnnle2at syl13anc cplt lplnbase syl simp1r
      lvolbase simp3r cvrlt syl31anc cpo hlpos hlatjcl pltletr mpand pltle syld
      mtod adantr simprr hllatd simp23 atbase latleeqj2 anassrs simpl1l simpl3l
      clat mtbird simpl2 simpr lplni2 lplnnlt latjcl pm2.61dan hlatjidm syl2anc
      cple pm2.61ne 3expia expd rexlimdv mpd ) FNOZIHOZPZBAOZCAOZDAOZUBZPZUAUCZ
      IFUDUEZQZUAFUFUEZUKZIBCEUGZDEUGZGQZRZXQIFUHUEZOZYBXQXKYHYBPZXJXKXPUIXJXKY
      IUJXKXPUANYGXSYAFHIYGULZXSULZYAULZMUMUNUOUPXQXTYFUAYAXQXRYAOZXTYFXLXPYMXT
      PZYFXLXPYNUBZYFICCEUGZDEUGZGQZRBCBCVBZYEYRYSYDYQIGYSYCYPDEBCCEVCUQURUSYOB
      CVDZPDYCGQZYFYOYTUUAYFYOYTUUAPZPZYEIYCGQZYOUUDRUUBYOUUDXRYCGQZYOXJYMXMXNU
      UERXJXKXPYNUTZXLXPYMXTVAZXLXMXNXOYNVEZXLXMXNXOYNVFZAYABCEFGXRJKLYLVGVHYOU
      UDXRYCFVIUEZQZUUEYOXRIUUJQZUUDUUKYOXJXRYGOZYHXTUULUUFYOYMUUMUUGYGYAFXRYJY
      LVJVKZYOXKYHXJXKXPYNVLYGFHIYJMVMVKZXLXPYMXTVNNYGXSUUJFXRIYJUUJULZYKVOVPZY
      OFVQOZUUMYHYCYGOZUULUUDPUUKSYOXJUURUUFFVRVKZUUNUUOYOXJXMXNUUSUUFUUHUUIAYG
      EFBCYJKLVSTZYGUUJFGXRIYCYJJUUPVTVHWAYOXJYMUUSUUKUUESUUFUUGUVANYAYGUUJFGXR
      YCJUUPWBTWCWDWEUUCYDYCIGUUCUUAYDYCVBZYOYTUUAWFYOUUAUVBUJZUUBYOFWNOZDYGOZU
      USUVCYOFUUFWGZYOXOUVEXLXMXNXOYNWHZAYGDFYJLWIVKZUVAYGEFGDYCYJJKWJTWEUOURWO
      WKYOYTUUARZYFYOYTUVIPZPZYEXRYDUUJQZUVKXJYMYDYAOZUVLRXJXKXPYNUVJWLZYMXTXLX
      PUVJWMUVKXJXPUVJUVMUVNXLXPYNUVJWPYOUVJWQAYABCDEFGJKLYLWRTYAUUJFXRYDUUPYLW
      STYOYEUVLSUVJYOUULYEUVLUUQYOUURUUMYHYDYGOZUULYEPUVLSUUTUUNUUOYOUVDUUSUVEU
      VOUVFUVAUVHYGEFYCDYJKWTTYGUUJFGXRIYDYJJUUPVTVHWAWEWDWKXAYOYRICDEUGZGQZYOU
      VQXRUVPFXDUEZQZYOXJYMXNXOUVSRUUFUUGUUIUVGAYACDEFUVRXRUVRULZKLYLVGVHYOUVQX
      RUVPUUJQZUVSYOUULUVQUWAUUQYOUURUUMYHUVPYGOZUULUVQPUWASUUTUUNUUOYOXJXNXOUW
      BUUFUUIUVGAYGEFCDYJKLVSTZYGUUJFGXRIUVPYJJUUPVTVHWAYOXJYMUWBUWAUVSSUUFUUGU
      WCNYAYGUUJFUVRXRUVPUVTUUPWBTWCWDYOYQUVPIGYOYPCDEYOXJXNYPCVBUUFUUIAEFCKLXB
      XCUQURWOXEXFXGXHXI $.
  $}

  ${
    lvolnleat.l $e |- .<_ = ( le ` K ) $.
    lvolnleat.a $e |- A = ( Atoms ` K ) $.
    lvolnleat.v $e |- V = ( LVols ` K ) $.
    $( An atom cannot majorize a lattice volume.  (Contributed by NM,
       14-Jul-2012.) $)
    lvolnleat $p |- ( ( K e. HL /\ X e. V /\ P e. A ) -> -. X .<_ P ) $=
      ( chlt wcel w3a cjn cfv co wbr wa wn 3simpa simp3 eqid lvolnle3at 3adant2
      syl13anc wceq hlatjidm oveq1d eqtrd breq2d mtbid ) CJKZFEKZBAKZLZFBBCMNZO
      ZBUOOZDPZFBDPUNUKULQUMUMUMURRUKULUMSUKULUMTZUSUSABBBUOCDEFGUOUAZHIUBUDUNU
      QBFDUNUQUPBUNUPBBUOUKUMUPBUEULAUOCBUTHUFUCZUGVAUHUIUJ $.
  $}

  ${
    $d p q K $.  $d p q .<_ $.  $d p q N $.  $d p q V $.  $d p q X $.
    $d p q Y $.
    lvolnlelln.l $e |- .<_ = ( le ` K ) $.
    lvolnlelln.n $e |- N = ( LLines ` K ) $.
    lvolnlelln.v $e |- V = ( LVols ` K ) $.
    $( A lattice line cannot majorize a lattice volume.  (Contributed by NM,
       14-Jul-2012.) $)
    lvolnlelln $p |- ( ( K e. HL /\ X e. V /\ Y e. N ) -> -. X .<_ Y ) $=
      ( vp vq wcel w3a cfv cv co wceq wa wrex eqid chlt cbs wne cjn catm wbr wn
      simp3 islln2 3ad2ant1 mpbid simp11 simp12 simp2l simp2r lvolnle3at simp3r
      wb syl23anc hlatjidm syl2anc oveq1d eqtr4d breq2d mtbird 3exp adantld mpd
      rexlimdvv ) AUALZEDLZFCLZMZFAUBNZLZJOZKOZUCZFVPVQAUDNZPZQZRZKAUENZSJWCSZR
      ZEFBUFZUGZVMVLWEVJVKVLUHVJVKVLWEURVLWCVNVSACFKJVNTVSTZWCTZHUIUJUKVMWDWGVO
      VMWBWGJKWCWCVMVPWCLZVQWCLZRZWBWGVMWLWBMZWFEVPVPVSPZVQVSPZBUFZWMVJVKWJWJWK
      WPUGVJVKVLWLWBULZVJVKVLWLWBUMVMWJWKWBUNZWRVMWJWKWBUOWCVPVPVQVSABDEGWHWIIU
      PUSWMFWOEBWMFVTWOVMWLVRWAUQWMWNVPVQVSWMVJWJWNVPQWQWRWCVSAVPWHWIUTVAVBVCVD
      VEVFVIVGVH $.
  $}

  ${
    $d q r s K $.  $d q r s .<_ $.  $d q r s P $.  $d q r s V $.  $d q r s X $.
    $d q r s Y $.
    lvolnlelpln.l $e |- .<_ = ( le ` K ) $.
    lvolnlelpln.p $e |- P = ( LPlanes ` K ) $.
    lvolnlelpln.v $e |- V = ( LVols ` K ) $.
    $( A lattice plane cannot majorize a lattice volume.  (Contributed by NM,
       14-Jul-2012.) $)
    lvolnlelpln $p |- ( ( K e. HL /\ X e. V /\ Y e. P ) -> -. X .<_ Y ) $=
      ( vq vr vs wcel w3a cfv cv wbr wn wrex wa chlt cbs wne co wceq catm simp3
      cjn eqid islpln2 3ad2ant1 simp1l1 simp1l2 simp1r simp2l simp2r lvolnle3at
      mpbid syl23anc simp33 breq2d mtbird 3exp rexlimdvv rexlimdva adantld mpd
      wb ) BUAMZEDMZFAMZNZFBUBOZMZJPZKPZUCZLPZVOVPBUHOZUDZCQRZFVTVRVSUDZUEZNZLB
      UFOZSKWESZJWESZTZEFCQZRZVLVKWHVIVJVKUGVIVJVKWHVHVKWEVMAVSBCFLKJVMUIGVSUIZ
      WEUIZHUJUKURVLWGWJVNVLWFWJJWEVLVOWEMZTZWDWJKLWEWEWNVPWEMZVRWEMZTZWDWJWNWQ
      WDNZWIEWBCQZWRVIVJWMWOWPWSRVIVJVKWMWQWDULVIVJVKWMWQWDUMVLWMWQWDUNWNWOWPWD
      UOWNWOWPWDUPWEVOVPVRVSBCDEGWKWLIUQUSWRFWBECWNWQVQWAWCUTVAVBVCVDVEVFVG $.
  $}

  ${
    3atnelvol.j $e |- .\/ = ( join ` K ) $.
    3atnelvol.a $e |- A = ( Atoms ` K ) $.
    3atnelvol.v $e |- V = ( LVols ` K ) $.
    $( The join of 3 atoms is not a lattice volume.  (Contributed by NM,
       17-Jul-2012.)  (New usage is discouraged.) $)
    3atnelvolN $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A ) )
         -> -. ( ( P .\/ Q ) .\/ R ) e. V ) $=
      ( chlt wcel w3a wa co cple cfv wbr clat eqid cbs adantr hlatjcl 3adant3r3
      hllat simpr3 atbase syl latjcl syl3anc latref syl2anc wn lvolnle3at an32s
      ex mt2d ) FKLZBALZCALZDALZMZNZBCEOZDEOZGLZVEVEFPQZRZVCFSLZVEFUAQZLZVHURVI
      VBFUEUBZVCVIVDVJLZDVJLZVKVLURUSUTVMVAAVJEFBCVJTZHIUCUDVCVAVNURUSUTVAUFAVJ
      DFVOIUGUHVJEFVDDVOHUIUJVJFVGVEVOVGTZUKULVCVFVHUMZURVFVBVQABCDEFVGGVEVPHIJ
      UNUOUPUQ $.

    $( The join of two atoms is not a lattice volume.  (Contributed by NM,
       17-Jul-2012.)  (New usage is discouraged.) $)
    2atnelvolN $p |- ( ( K e. HL /\ P e. A /\ Q e. A )
         -> -. ( P .\/ Q ) e. V ) $=
      ( chlt wcel w3a co wceq hlatjidm 3adant3 oveq1d wn simp1 simp2 3atnelvolN
      simp3 syl13anc eqneltrrd ) EJKZBAKZCAKZLZBBDMZCDMZBCDMFUHUIBCDUEUFUIBNUGA
      DEBGHOPQUHUEUFUFUGUJFKRUEUFUGSUEUFUGTZUKUEUFUGUBABBCDEFGHIUAUCUD $.
  $}

  ${
    lvolneat.a $e |- A = ( Atoms ` K ) $.
    lvolneat.v $e |- V = ( LVols ` K ) $.
    $( No lattice volume is an atom.  (Contributed by NM, 15-Jul-2012.)
       (New usage is discouraged.) $)
    lvolneatN $p |- ( ( K e. HL /\ X e. V ) -> -. X e. A ) $=
      ( chlt wcel wa cple cfv wbr clat cbs hllat eqid lvolbase latref syl2an wn
      lvolnleat 3expia mt2d ) BGHZDCHZIDAHZDDBJKZLZUDBMHDBNKZHUHUEBOUIBCDUIPZFQ
      UIBUGDUJUGPZRSUDUEUFUHTADBUGCDUKEFUAUBUC $.
  $}

  ${
    lvolnelln.l $e |- N = ( LLines ` K ) $.
    lvolnelln.v $e |- V = ( LVols ` K ) $.
    $( No lattice volume is a lattice line.  (Contributed by NM,
       15-Jul-2012.) $)
    lvolnelln $p |- ( ( K e. HL /\ X e. V ) -> -. X e. N ) $=
      ( chlt wcel wa cple cfv wbr clat cbs hllat eqid lvolbase latref syl2an wn
      lvolnlelln 3expia mt2d ) AGHZDCHZIDBHZDDAJKZLZUDAMHDANKZHUHUEAOUIACDUIPZF
      QUIAUGDUJUGPZRSUDUEUFUHTAUGBCDDUKEFUAUBUC $.
  $}

  ${
    lvolnelpln.p $e |- P = ( LPlanes ` K ) $.
    lvolnelpln.v $e |- V = ( LVols ` K ) $.
    $( No lattice volume is a lattice plane.  (Contributed by NM,
       19-Jun-2012.) $)
    lvolnelpln $p |- ( ( K e. HL /\ X e. V ) -> -. X e. P ) $=
      ( chlt wcel wa cple cfv wbr clat cbs hllat eqid lvolbase latref syl2an wn
      lvolnlelpln 3expia mt2d ) BGHZDCHZIDAHZDDBJKZLZUDBMHDBNKZHUHUEBOUIBCDUIPZ
      FQUIBUGDUJUGPZRSUDUEUFUHTABUGCDDUKEFUAUBUC $.
  $}

  ${
    $d p K $.  $d p V $.  $d p X $.  $d p .0. $.
    lvoln0.z $e |- .0. = ( 0. ` K ) $.
    lvoln0.v $e |- V = ( LVols ` K ) $.
    $( A lattice volume is nonzero.  (Contributed by NM, 17-Jul-2012.)
       (New usage is discouraged.) $)
    lvoln0N $p |- ( ( K e. HL /\ X e. V ) -> X =/= .0. ) $=
      ( vp chlt wcel wa cv catm cfv wne wex c0 eqid atex n0 wbr sylib adantr wn
      cple lvolnleat 3expa wceq cops cbs hlop atbase adantl op0le syl2anc breq1
      ad2antrr syl5ibrcom necon3bd mpd exlimddv ) AHIZCBIZJZGKZALMZIZCDNZGVAVFG
      OZVBVAVEPNVHVEAVEQZRGVESUAUBVCVFJZCVDAUDMZTZUCZVGVAVBVFVMVEVDAVKBCVKQZVIF
      UEUFVJVLCDVJVLCDUGDVDVKTZVJAUHIZVDAUIMZIZVOVAVPVBVFAUJUPVFVRVCVEVQVDAVQQZ
      VIUKULVQAVKVDDVSVNEUMUNCDVDVKUOUQURUSUT $.
  $}

  ${
    islvol2a.l $e |- .<_ = ( le ` K ) $.
    islvol2a.j $e |- .\/ = ( join ` K ) $.
    islvol2a.a $e |- A = ( Atoms ` K ) $.
    islvol2a.v $e |- V = ( LVols ` K ) $.
    $( The predicate "is a lattice volume".  (Contributed by NM, 16-Jul-2012.)
       (New usage is discouraged.) $)
    islvol2aN $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
          /\ ( R e. A /\ S e. A ) )
    -> ( ( ( ( P .\/ Q ) .\/ R ) .\/ S ) e. V
        <-> ( P =/= Q /\ -. R .<_ ( P .\/ Q )
            /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) ) ) ) $=
      ( wcel wa co wn wceq 3atnelvolN syl13anc chlt w3a wne oveq1 simpl1 simpl3
      wbr hlatjidm sylan9eqr oveq1d simprl simprr adantr eqneltrd necon2ad clat
      syl2anc ex cbs cfv wb hllatd eqid atbase hlatjcl latleeqj2 syl3anc simpl2
      ad2antrl eleq1d notbid syl5ibrcom sylbid con2d latjcl eleq1 lvoli2 3expia
      ad2antll 3jcad impbid ) GUANZBANZCANZUBZDANZEANZOZOZBCFPZDFPZEFPZINZBCUCZ
      DWJHUGZQZEWKHUGZQZUBZWIWMWNWPWRWIWMBCWIBCRZWMQZWIWTOZWLCDFPZEFPZIXBWKXCEF
      XBWJCDFWTWIWJCCFPZCBCCFUDWIWBWDXECRWBWCWDWHUEZWBWCWDWHUFZAFGCKLUHUQUIUJUJ
      WIXDINQZWTWIWBWDWFWGXHXFXGWEWFWGUKZWEWFWGULZACDEFGIKLMSTUMUNURUOWIWOWMWIW
      OWKWJRZXAWIGUPNZDGUSUTZNZWJXMNZWOXKVAWIGXFVBZWFXNWEWGAXMDGXMVCZLVDVIZWEXO
      WHAXMFGBCXQKLVEUMZXMFGHDWJXQJKVFVGWIXAXKWJEFPZINZQZWIWBWCWDWGYBXFWBWCWDWH
      VHZXGXJABCEFGIKLMSTXKWMYAXKWLXTIWKWJEFUDVJVKVLVMVNWIWQWMWIWQWLWKRZXAWIXLE
      XMNZWKXMNZWQYDVAXPWGYEWEWFAXMEGXQLVDVSWIXLXOXNYFXPXSXRXMFGWJDXQKVOVGXMFGH
      EWKXQJKVFVGWIXAYDWKINZQZWIWBWCWDWFYHXFYCXGXIABCDFGIKLMSTYDWMYGWLWKIVPVKVL
      VMVNVTWEWHWSWMABCDEFGHIJKLMVQVRWA $.
  $}

  ${
    4at.l $e |- .<_ = ( le ` K ) $.
    4at.j $e |- .\/ = ( join ` K ) $.
    4at.a $e |- A = ( Atoms ` K ) $.
    $( Lemma for ~ 4at .  (Contributed by NM, 10-Jul-2012.) $)
    4atlem0a $p |- ( ( ( K e. HL /\ ( P e. A /\ Q e. A ) /\ ( R e. A
         /\ S e. A ) ) /\ ( -. R .<_ ( P .\/ Q )
       /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) ) )
     -> -. R .<_ ( ( P .\/ Q ) .\/ S ) ) $=
      ( chlt wcel wa w3a co wbr wn simprr cbs wi simpl1 simpl3l simpl3r simpl2l
      cfv simpl2r eqid hlatjcl syl3anc simprl hlexch1 syl131anc mtod ) GLMZBAMZ
      CAMZNZDAMZEAMZNZOZDBCFPZHQRZEVCDFPHQZRZNZNZDVCEFPHQZVEVBVDVFSVHUOUSUTVCGT
      UFZMZVDVIVEUAUOURVAVGUBZUSUTUOURVGUCUSUTUOURVGUDVHUOUPUQVKVLUPUQUOVAVGUEU
      PUQUOVAVGUGAVJFGBCVJUHZJKUIUJVBVDVFUKAVJDEFGHVCVMIJKULUMUN $.

    $( Lemma for ~ 4at .  (Contributed by NM, 10-Jul-2012.) $)
    4atlem0ae $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
           /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q ) ) )
         -> -. Q .<_ ( P .\/ R ) ) $=
      ( chlt wcel w3a wne co wbr wn wa simp3r wi simp22 simp23 simp21 hlatexch1
      simp1 simp3l necomd syl131anc mtod ) FKLZBALZCALZDALZMZBCNZDBCEOGPZQZRZMZ
      CBDEOGPZUPUJUNUOUQSUSUJULUMUKCBNUTUPTUJUNURUEUJUKULUMURUAUJUKULUMURUBUJUK
      ULUMURUCUSBCUJUNUOUQUFUGACDBEFGHIJUDUHUI $.

    $( Lemma for ~ 4at .  (Contributed by NM, 10-Jul-2012.) $)
    4atlem0be $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
            /\ -. R .<_ ( P .\/ Q ) ) -> P =/= R ) $=
      ( chlt wcel w3a co wbr wn wne simp1 simp23 simp21 simp3 atnlej1 syl131anc
      simp22 necomd ) FKLZBALZCALZDALZMZDBCENGOPZMUFUIUGUHUKBDQUFUJUKRUFUGUHUIU
      KSUFUGUHUIUKTUFUGUHUIUKUDUFUJUKUAUFUIUGUHMUKMDBADBCEFGHIJUBUEUC $.

    $( Lemma for ~ 4at .  Break inequality into 4 cases.  (Contributed by NM,
       8-Jul-2012.) $)
    4atlem3 $p |- ( ( ( ( K e. HL /\ P e. A /\ Q e. A )
                /\ ( R e. A /\ S e. A /\ T e. A ) /\ ( U e. A /\ V e. A ) )
     /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q )
         /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) ) )
  -> ( ( -. P .<_ ( ( T .\/ U ) .\/ V )
        \/ -. Q .<_ ( ( T .\/ U ) .\/ V ) )
        \/ ( -. R .<_ ( ( T .\/ U ) .\/ V )
        \/ -. S .<_ ( ( T .\/ U ) .\/ V ) ) ) ) $=
      ( wcel wa co wbr wn syl chlt w3a wne wo clvol cfv simpl11 simpl21 simpl22
      simpl1 simpr lvoli2 syl121anc simpl23 simpl3l simpl3r lvolnle3at syl23anc
      eqid cbs wb hllatd hlatjcl syl3anc atbase latjcl latjle12 simpl12 simpl13
      clat anbi12d wceq latjass breq1d 3bitr4d mtbird ianor orbi12i bitri sylib
      syl13anc ) IUAOZBAOZCAOZUBZDAOZEAOZFAOZUBZGAOZKAOZPZUBZBCUCDBCHQZJRSEWNDH
      QZJRSUBZPZBFGHQZKHQZJRZCWSJRZPZDWSJRZEWSJRZPZPZSZWTSXASUDZXCSXDSUDZUDZWQX
      FWOEHQZWSJRZWQWBXKIUEUFZOZWHWJWKXLSWBWCWDWIWLWPUGZWQWEWFWGWPXNWEWIWLWPUJZ
      WFWGWHWEWLWPUHZWFWGWHWEWLWPUIZWMWPUKABCDEHIJXMLMNXMUSZULUMWFWGWHWEWLWPUNZ
      WJWKWEWIWPUOZWJWKWEWIWPUPZAFGKHIJXMXKLMNXSUQURWQWNWSJRZDEHQZWSJRZPZWNYDHQ
      ZWSJRZXFXLWQIVJOZWNIUTUFZOZYDYJOZWSYJOZYFYHVAWQIXOVBZWQWEYKXPAYJHIBCYJUSZ
      MNVCTZWQWBWFWGYLXOXQXRAYJHIDEYOMNVCVDWQYIWRYJOZKYJOZYMYNWQWBWHWJYQXOXTYAA
      YJHIFGYOMNVCVDWQWKYRYBAYJKIYONVETYJHIWRKYOMVFVDZYJHIJWNYDWSYOLMVGWAWQXBYC
      XEYEWQYIBYJOZCYJOZYMXBYCVAYNWQWCYTWBWCWDWIWLWPVHAYJBIYONVETWQWDUUAWBWCWDW
      IWLWPVIAYJCIYONVETYSYJHIJBCWSYOLMVGWAWQYIDYJOZEYJOZYMXEYEVAYNWQWFUUBXQAYJ
      DIYONVETZWQWGUUCXRAYJEIYONVETZYSYJHIJDEWSYOLMVGWAVKWQXKYGWSJWQYIYKUUBUUCX
      KYGVLYNYPUUDUUEYJHIWNDEYOMVMWAVNVOVPXGXBSZXESZUDXJXBXEVQUUFXHUUGXIWTXAVQX
      CXDVQVRVSVT $.

    $( Lemma for ~ 4at .  Break inequality into 3 cases.  (Contributed by NM,
       9-Jul-2012.) $)
    4atlem3a $p |- ( ( ( ( K e. HL /\ P e. A /\ Q e. A )
                /\ ( R e. A /\ S e. A ) /\ ( U e. A /\ V e. A ) )
     /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q )
     /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) ) )
  -> ( -. Q .<_ ( ( P .\/ U ) .\/ V )
     \/ -. R .<_ ( ( P .\/ U ) .\/ V )
     \/ -. S .<_ ( ( P .\/ U ) .\/ V ) ) ) $=
      ( wcel w3a co wbr wn wo syl chlt wa wne w3o simpl1 simpl2l simpl2r simpl3
      simpl12 3jca simpr 4atlem3 syl31anc wb clat cbs cfv simpl11 hllatd atbase
      eqid simpl3l simpl3r hlatjcl syl3anc latlej1 wceq latjass syl13anc biortn
      breqtrrd orbi1d mpbird 3orass sylibr ) HUANZBANZCANZOZDANZEANZUBZFANZJANZ
      UBZOZBCUCDBCGPZIQREWGDGPIQROZUBZCBFGPJGPZIQRZDWJIQRZEWJIQRZSZSZWKWLWMUDWI
      WOBWJIQZRWKSZWNSZWIVSVTWAVQOWEWHWRVSWBWEWHUEWIVTWAVQVTWAVSWEWHUFVTWAVSWEW
      HUGVPVQVRWBWEWHUIZUJVSWBWEWHUHWFWHUKABCDEBFGHIJKLMULUMWIWKWQWNWIWPWKWQUNW
      IBBFJGPZGPZWJIWIHUONZBHUPUQZNZWTXCNZBXAIQWIHVPVQVRWBWEWHURZUSZWIVQXDWSAXC
      BHXCVAZMUTTZWIVPWCWDXEXFWCWDVSWBWHVBZWCWDVSWBWHVCZAXCGHFJXHLMVDVEXCGHIBWT
      XHKLVFVEWIXBXDFXCNZJXCNZWJXAVGXGXIWIWCXLXJAXCFHXHMUTTWIWDXMXKAXCJHXHMUTTX
      CGHBFJXHLVHVIVKWPWKVJTVLVMWKWLWMVNVO $.

    $( Lemma for ~ 4at .  Break inequality into 2 cases.  (Contributed by NM,
       9-Jul-2012.) $)
    4atlem3b $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
                /\ ( R e. A /\ S e. A /\ V e. A )
     /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q )
         /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) ) )
   -> ( -. R .<_ ( ( P .\/ Q ) .\/ V )
         \/ -. S .<_ ( ( P .\/ Q ) .\/ V ) ) ) $=
      ( wcel w3a co wbr wn wo wa jca chlt wne simp1 simp21 simp22 simp13 simp23
      w3o simp3 4atlem3a syl31anc 3orass sylib wb clat cbs simp11 hllatd simp12
      cfv eqid hlatjcl syl3anc atbase syl latlej2 wceq hlatj32 syl13anc breqtrd
      biortn mpbird ) GUAMZBAMZCAMZNZDAMZEAMZIAMZNZBCUBDBCFOZHPQEWADFOHPQNZNZDW
      AIFOZHPQZEWDHPQZRZCWDHPZQZWGRZWCWIWEWFUHZWJWCVPVQVRSVOVSSWBWKVPVTWBUCWCVQ
      VRVPVQVRVSWBUDVPVQVRVSWBUETWCVOVSVMVNVOVTWBUFZVPVQVRVSWBUGZTVPVTWBUIABCDE
      CFGHIJKLUJUKWIWEWFULUMWCWHWGWJUNWCCBIFOZCFOZWDHWCGUOMWNGUPUTZMZCWPMZCWOHP
      WCGVMVNVOVTWBUQZURWCVMVNVSWQWSVMVNVOVTWBUSZWMAWPFGBIWPVAZKLVBVCWCVOWRWLAW
      PCGXALVDVEWPFGHWNCXAJKVFVCWCVMVNVSVOWOWDVGWSWTWMWLABICFGKLVHVIVJWHWGVKVEV
      L $.

    $( Lemma for ~ 4at .  Frequently used associative law.  (Contributed by NM,
       9-Jul-2012.) $)
    4atlem4a $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
            /\ ( R e. A /\ S e. A ) )
     -> ( ( P .\/ Q ) .\/ ( R .\/ S ) )
        = ( P .\/ ( ( Q .\/ R ) .\/ S ) ) ) $=
      ( chlt wcel w3a wa co wceq atbase syl syl13anc clat cbs cfv simpl1 hllatd
      simpl2 eqid simpl3 simprl simprr hlatjcl syl3anc latjass hlatjass oveq2d
      eqtr4d ) GLMZBAMZCAMZNZDAMZEAMZOZOZBCFPDEFPZFPZBCVEFPZFPZBCDFPEFPZFPVDGUA
      MBGUBUCZMZCVJMZVEVJMZVFVHQVDGUQURUSVCUDZUEVDURVKUQURUSVCUFAVJBGVJUGZKRSVD
      USVLUQURUSVCUHZAVJCGVOKRSVDUQVAVBVMVNUTVAVBUIZUTVAVBUJZAVJFGDEVOJKUKULVJF
      GBCVEVOJUMTVDVIVGBFVDUQUSVAVBVIVGQVNVPVQVRACDEFGJKUNTUOUP $.

    $( Lemma for ~ 4at .  Frequently used associative law.  (Contributed by NM,
       9-Jul-2012.) $)
    4atlem4b $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
            /\ ( R e. A /\ S e. A ) )
      -> ( ( P .\/ Q ) .\/ ( R .\/ S ) )
          = ( Q .\/ ( ( P .\/ R ) .\/ S ) ) ) $=
      ( chlt wcel w3a wa co wceq simpl1 simpl2 atbase simpl3 simprl simprr clat
      hlatj4 syl122anc cbs hllatd eqid hlatjcl syl3anc ad2antll latj12 syl13anc
      cfv syl eqtrd ) GLMZBAMZCAMZNZDAMZEAMZOZOZBCFPDEFPFPZBDFPZCEFPFPZCVGEFPFP
      ZVEURUSUTVBVCVFVHQURUSUTVDRZURUSUTVDSZURUSUTVDUAZVAVBVCUBZVAVBVCUCABCDEFG
      JKUEUFVEGUDMVGGUGUOZMZCVNMZEVNMZVHVIQVEGVJUHVEURUSVBVOVJVKVMAVNFGBDVNUIZJ
      KUJUKVEUTVPVLAVNCGVRKTUPVCVQVAVBAVNEGVRKTULVNFGVGCEVRJUMUNUQ $.

    $( Lemma for ~ 4at .  Frequently used associative law.  (Contributed by NM,
       9-Jul-2012.) $)
    4atlem4c $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
            /\ ( R e. A /\ S e. A ) )
      -> ( ( P .\/ Q ) .\/ ( R .\/ S ) )
            = ( R .\/ ( ( P .\/ Q ) .\/ S ) ) ) $=
      ( chlt wcel w3a wa clat co cbs cfv atbase wceq simpl1 hllatd eqid hlatjcl
      adantr ad2antrl ad2antll latj12 syl13anc ) GLMZBAMZCAMZNZDAMZEAMZOZOZGPMB
      CFQZGRSZMZDUTMZEUTMZUSDEFQFQDUSEFQFQUAURGUKULUMUQUBUCUNVAUQAUTFGBCUTUDZJK
      UEUFUOVBUNUPAUTDGVDKTUGUPVCUNUOAUTEGVDKTUHUTFGUSDEVDJUIUJ $.

    $( Lemma for ~ 4at .  Frequently used associative law.  (Contributed by NM,
       9-Jul-2012.) $)
    4atlem4d $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
            /\ ( R e. A /\ S e. A ) )
      -> ( ( P .\/ Q ) .\/ ( R .\/ S ) )
             = ( S .\/ ( ( P .\/ Q ) .\/ R ) ) ) $=
      ( chlt wcel w3a wa co clat wceq atbase syl3anc cbs cfv simpl1 hllatd eqid
      hlatjcl adantr ad2antrl ad2antll latjass syl13anc latjcl latjcom eqtr3d )
      GLMZBAMZCAMZNZDAMZEAMZOZOZBCFPZDFPZEFPZVCDEFPFPZEVDFPZVBGQMZVCGUAUBZMZDVI
      MZEVIMZVEVFRVBGUOUPUQVAUCUDZURVJVAAVIFGBCVIUEZJKUFUGZUSVKURUTAVIDGVNKSUHZ
      UTVLURUSAVIEGVNKSUIZVIFGVCDEVNJUJUKVBVHVDVIMZVLVEVGRVMVBVHVJVKVRVMVOVPVIF
      GVCDVNJULTVQVIFGVDEVNJUMTUN $.

    $( Lemma for ~ 4at .  Substitute ` W ` for ` S ` .  (Contributed by NM,
       9-Jul-2012.) $)
    4atlem9 $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A ) /\ ( R e. A
         /\ S e. A /\ W e. A ) /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) )
  -> ( S .<_ ( ( P .\/ Q ) .\/ ( R .\/ W ) )
   <-> ( ( P .\/ Q ) .\/ ( R .\/ S ) )
             = ( ( P .\/ Q ) .\/ ( R .\/ W ) ) ) ) $=
      ( wcel w3a co wbr wceq syl 4atlem4d syl12anc chlt wn cbs wb simp11 simp22
      cfv simp23 clat hllatd eqid hlatjcl simp21 atbase latjcl syl3anc hlexchb2
      simp1 simp3 syl131anc breq2d eqeq12d 3bitr4d ) GUAMZBAMZCAMZNZDAMZEAMZIAM
      ZNZEBCFOZDFOZHPUBZNZEIVMFOZHPZEVMFOZVPQZEVLDIFOFOZHPVLDEFOFOZVTQVOVDVIVJV
      MGUCUGZMZVNVQVSUDVDVEVFVKVNUEZVGVHVIVJVNUFZVGVHVIVJVNUHZVOGUIMVLWBMZDWBMZ
      WCVOGWDUJVOVGWGVGVKVNURZAWBFGBCWBUKZKLULRVOVHWHVGVHVIVJVNUMZAWBDGWJLUNRWB
      FGVLDWJKUOUPVGVKVNUSAWBEIFGHVMWJJKLUQUTVOVTVPEHVOVGVHVJVTVPQWIWKWFABCDIFG
      HJKLSTZVAVOWAVRVTVPVOVGVHVIWAVRQWIWKWEABCDEFGHJKLSTWLVBVC $.

    $( Lemma for ~ 4at .  Substitute ` V ` for ` R ` .  (Contributed by NM,
       9-Jul-2012.) $)
    4atlem10a $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
         /\ ( R e. A /\ V e. A /\ W e. A )
         /\ -. R .<_ ( ( P .\/ Q ) .\/ W ) )
 -> ( R .<_ ( ( P .\/ Q ) .\/ ( V .\/ W ) )
   <-> ( ( P .\/ Q ) .\/ ( R .\/ W ) )
          = ( ( P .\/ Q ) .\/ ( V .\/ W ) ) ) ) $=
      ( wcel w3a co wbr wceq syl 4atlem4c syl12anc chlt wn cbs wb simp11 simp21
      cfv simp22 clat hllatd eqid hlatjcl simp23 atbase latjcl syl3anc hlexchb2
      simp1 simp3 syl131anc breq2d eqeq12d 3bitr4d ) FUAMZBAMZCAMZNZDAMZHAMZIAM
      ZNZDBCEOZIEOZGPUBZNZDHVMEOZGPZDVMEOZVPQZDVLHIEOEOZGPVLDIEOEOZVTQVOVDVHVIV
      MFUCUGZMZVNVQVSUDVDVEVFVKVNUEZVGVHVIVJVNUFZVGVHVIVJVNUHZVOFUIMVLWBMZIWBMZ
      WCVOFWDUJVOVGWGVGVKVNURZAWBEFBCWBUKZKLULRVOVJWHVGVHVIVJVNUMZAWBIFWJLUNRWB
      EFVLIWJKUOUPVGVKVNUSAWBDHEFGVMWJJKLUQUTVOVTVPDGVOVGVIVJVTVPQWIWFWKABCHIEF
      GJKLSTZVAVOWAVRVTVPVOVGVHVJWAVRQWIWEWKABCDIEFGJKLSTWLVBVC $.

    $( Lemma for ~ 4at .  Substitute ` V ` for ` R ` (cont.).  (Contributed by
       NM, 10-Jul-2012.) $)
    4atlem10b $p |- ( ( ( ( K e. HL /\ P e. A /\ Q e. A )
        /\ ( R e. A /\ S e. A /\ V e. A )
        /\ ( W e. A /\ -. R .<_ ( ( P .\/ Q ) .\/ W )
          /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) ) )
        /\ ( R .<_ ( ( P .\/ Q ) .\/ ( V .\/ W ) )
          /\ S .<_ ( ( P .\/ Q ) .\/ ( V .\/ W ) ) ) )
     -> ( ( P .\/ Q ) .\/ ( R .\/ S ) )
            = ( ( P .\/ Q ) .\/ ( V .\/ W ) ) ) $=
      ( wcel w3a co wbr wn wa wceq chlt simprr simprl wb simpl1 simpl21 simpl23
      simpl31 simpl32 4atlem10a syl131anc mpbid breqtrrd simpl22 simpl33 eqtrd
      4atlem9 ) GUANBANCANOZDANZEANZIANZOZJANZDBCFPZJFPHQRZEVDDFPHQRZOZOZDVDIJF
      PFPZHQZEVIHQZSZSZVDDEFPFPZVDDJFPFPZVIVMEVOHQZVNVOTZVMEVIVOHVHVJVKUBVMVJVO
      VITZVHVJVKUCVMURUSVAVCVEVJVRUDURVBVGVLUEZUSUTVAURVGVLUFZUSUTVAURVGVLUGVCV
      EVFURVBVLUHZVCVEVFURVBVLUIABCDFGHIJKLMUJUKULZUMVMURUSUTVCVFVPVQUDVSVTUSUT
      VAURVGVLUNWAVCVEVFURVBVLUOABCDEFGHJKLMUQUKULWBUP $.

    $( Lemma for ~ 4at .  Combine both possible cases.  (Contributed by NM,
       9-Jul-2012.) $)
    4atlem10 $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A ) /\ ( ( R e. A
         /\ S e. A ) /\ V e. A /\ W e. A )
          /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q )
             /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) ) )
     -> ( ( R .\/ S ) .<_ ( ( P .\/ Q ) .\/ ( V .\/ W ) )
   -> ( ( P .\/ Q ) .\/ ( R .\/ S ) )
          = ( ( P .\/ Q ) .\/ ( V .\/ W ) ) ) ) $=
      ( wcel w3a wa co wbr wn 3ad2ant1 chlt wne wceq clat cbs cfv simp11 hllatd
      wb simp21l eqid atbase syl simp21r hlatjcl simp22 simp23 syl3anc latjle12
      latjcl syl13anc wi 3jca simp2 simp33 simp3 4atlem10b syl31anc 3exp oveq2d
      hlatjcom simp12 simp13 jca simp21 simp32 4atlem0a syl32anc simprr 3adant2
      simprl eqtr3d wo simp1 4atlem3b syl131anc mpjaod sylbird ) GUANZBANZCANZO
      ZDANZEANZPZIANZJANZOZBCUBZDBCFQZHRSZEWTDFQHRSZOZOZDEFQZWTIJFQZFQZHRZDXGHR
      ZEXGHRZPZWTXEFQZXGUCZXDGUDNZDGUEUFZNZEXONZXGXONZXKXHUIXDGWIWJWKWRXCUGZUHZ
      XDWMXPWMWNWPWQWLXCUJZAXODGXOUKZMULUMXDWNXQWMWNWPWQWLXCUNZAXOEGYBMULUMXDXN
      WTXONZXFXONZXRXTWLWRYDXCAXOFGBCYBLMUOTXDWIWPWQYEXSWLWOWPWQXCUPZWLWOWPWQXC
      UQZAXOFGIJYBLMUOURXOFGWTXFYBLUTURXOFGHDEXGYBKLUSVAXDDWTJFQZHRSZXKXMVBEYHH
      RSZXDYIXKXMXDYIXKOZWLWMWNWPOZWQYIXBOXKXMWLWRXCYIXKUGXDYIYLXKXDWMWNWPYAYCY
      FVCTYKWQYIXBXDYIWQXKYGTXDYIXKVDXDYIXBXKWLWRWSXAXBVEZTVCXDYIXKVFABCDEFGHIJ
      KLMVGVHVIXDYJXKXMXDYJXKOZWTEDFQZFQZXLXGXDYJYPXLUCXKXDYOXEWTFXDWIWNWMYOXEU
      CXSYCYAAFGEDLMVKURVJTYNWLWNWMWPOZWQYJDWTEFQHRSZOXJXIPZYPXGUCWLWRXCYJXKUGX
      DYJYQXKXDWNWMWPYCYAYFVCTYNWQYJYRXDYJWQXKYGTXDYJXKVDXDYJYRXKXDWIWJWKPWOXAX
      BYRXSXDWJWKWIWJWKWRXCVLWIWJWKWRXCVMVNWLWOWPWQXCVOWLWRWSXAXBVPYMABCDEFGHKL
      MVQVRTVCXDXKYSYJXDXKPXJXIXDXIXJVSXDXIXJWAVNVTABCEDFGHIJKLMVGVHWBVIXDWLWMW
      NWQXCYIYJWCWLWRXCWDYAYCYGWLWRXCVFABCDEFGHJKLMWEWFWGWH $.

    $( Lemma for ~ 4at .  Substitute ` U ` for ` Q ` .  (Contributed by NM,
       9-Jul-2012.) $)
    4atlem11a $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
       /\ ( U e. A /\ V e. A /\ W e. A ) /\ -. Q .<_ ( ( P .\/ V ) .\/ W ) )
  -> ( Q .<_ ( ( P .\/ U ) .\/ ( V .\/ W ) )
   <-> ( ( P .\/ Q ) .\/ ( V .\/ W ) )
         = ( ( P .\/ U ) .\/ ( V .\/ W ) ) ) ) $=
      ( wcel w3a co wbr wceq syl3anc 4atlem4b syl32anc wn cbs cfv simp11 simp13
      chlt wb simp21 clat hllatd simp12 simp22 hlatjcl simp23 atbase syl latjcl
      eqid simp3 hlexchb2 syl131anc breq2d eqeq12d 3bitr4d ) FUFMZBAMZCAMZNZDAM
      ZHAMZIAMZNZCBHEOZIEOZGPUAZNZCDVNEOZGPZCVNEOZVQQZCBDEOHIEOZEOZGPBCEOWAEOZW
      BQVPVEVGVIVNFUBUCZMZVOVRVTUGVEVFVGVLVOUDZVEVFVGVLVOUEZVHVIVJVKVOUHZVPFUIM
      VMWDMZIWDMZWEVPFWFUJVPVEVFVJWIWFVEVFVGVLVOUKZVHVIVJVKVOULZAWDEFBHWDURZKLU
      MRVPVKWJVHVIVJVKVOUNZAWDIFWMLUOUPWDEFVMIWMKUQRVHVLVOUSAWDCDEFGVNWMJKLUTVA
      VPWBVQCGVPVEVFVIVJVKWBVQQWFWKWHWLWNABDHIEFGJKLSTZVBVPWCVSWBVQVPVEVFVGVJVK
      WCVSQWFWKWGWLWNABCHIEFGJKLSTWOVCVD $.

    $( Lemma for ~ 4at .  Substitute ` U ` for ` Q ` (cont.).  (Contributed by
       NM, 10-Jul-2012.) $)
    4atlem11b $p |- ( ( ( ( K e. HL /\ P e. A /\ Q e. A )
        /\ ( R e. A /\ S e. A ) /\ ( U e. A /\ V e. A /\ W e. A ) )
     /\ ( ( P =/= Q
     /\ -. R .<_ ( P .\/ Q ) /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) )
        /\ -. Q .<_ ( ( P .\/ V ) .\/ W ) )
     /\ ( Q .<_ ( ( P .\/ U ) .\/ ( V .\/ W ) )
        /\ R .<_ ( ( P .\/ U ) .\/ ( V .\/ W ) )
        /\ S .<_ ( ( P .\/ U ) .\/ ( V .\/ W ) ) ) )
   -> ( ( P .\/ Q ) .\/ ( R .\/ S ) )
         = ( ( P .\/ U ) .\/ ( V .\/ W ) ) ) $=
      ( wcel w3a wa co wbr syl3anc chlt wne wn wceq simp11 simp132 simp133 3jca
      simp12 simp2l simp32 simp33 clat cbs cfv wb simp111 hllatd simp12l atbase
      eqid syl simp12r simp112 simp131 latjcl latjle12 syl13anc mpbi2and simp31
      hlatjcl simp13 simp2r 4atlem11a mpbid breqtrrd 4atlem10 sylc eqtrd ) HUAO
      ZBAOZCAOZPZDAOZEAOZQZFAOZJAOZKAOZPZPZBCUBDBCGRZISUCEWLDGRISUCPZCBJGRKGRIS
      UCZQZCBFGRZJKGRZGRZISZDWRISZEWRISZPZPZWLDEGRZGRZWLWQGRZWRXCWCWFWHWIPZWMPX
      DXFISXEXFUDXCWCXGWMWCWFWJWOXBUEZXCWFWHWIWCWFWJWOXBUIWGWHWIWCWFWOXBUFZWGWH
      WIWCWFWOXBUGZUHWKWMWNXBUJUHXCXDWRXFIXCWTXAXDWRISZWKWOWSWTXAUKWKWOWSWTXAUL
      XCHUMOZDHUNUOZOZEXMOZWRXMOZWTXAQXKUPXCHVTWAWBWFWJWOXBUQZURZXCWDXNWDWEWCWJ
      WOXBUSAXMDHXMVAZNUTVBXCWEXOWDWEWCWJWOXBVCAXMEHXSNUTVBXCXLWPXMOZWQXMOZXPXR
      XCVTWAWGXTXQVTWAWBWFWJWOXBVDWGWHWIWCWFWOXBVEAXMGHBFXSMNVKTXCVTWHWIYAXQXIX
      JAXMGHJKXSMNVKTXMGHWPWQXSMVFTXMGHIDEWRXSLMVGVHVIXCWSXFWRUDZWKWOWSWTXAVJXC
      WCWJWNWSYBUPXHWCWFWJWOXBVLWKWMWNXBVMABCFGHIJKLMNVNTVOZVPABCDEGHIJKLMNVQVR
      YCVS $.

    $( Lemma for ~ 4at .  Combine all three possible cases.  (Contributed by
       NM, 10-Jul-2012.) $)
    4atlem11 $p |- ( ( ( ( K e. HL /\ P e. A /\ Q e. A ) /\ ( R e. A
    /\ S e. A ) /\ ( U e. A /\ V e. A /\ W e. A ) )
     /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q )
         /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) ) )
 -> ( ( Q .\/ ( R .\/ S ) )
        .<_ ( ( P .\/ U ) .\/ ( V .\/ W ) )
    -> ( ( P .\/ Q ) .\/ ( R .\/ S ) )
          = ( ( P .\/ U ) .\/ ( V .\/ W ) ) ) ) $=
      ( wcel w3a wa co wbr wn chlt wne wceq 3anass clat cbs cfv simpl11 simpl2l
      wb hllatd eqid atbase syl simpl2r simpl12 simpl31 hlatjcl syl3anc simpl32
      simpl33 latjcl latjle12 syl13anc anbi2d syl5bb bitrd w3o wi simpl1 simpl2
      jca simpr 4atlem3a syl31anc simp1l simp1r simp2 simp3 4atlem11b syl121anc
      simpl13 3exp hlatj4 syl122anc simp1l3 simp1r2 4atlem0be syl131anc simp1r1
      3ad2ant1 3jca 4atlem0ae simp1r3 hlatj32 breq2d mtbid simp32 simp31 simp33
      syl132anc syl323anc eqtrd latj4rot hlatjcom oveq1d simpl3 4noncolr1 necom
      a1i notbid 3anbi123d mpbid simpr3 simpr1 simpr2 3adant2 3jaod mpd sylbird
      ) HUAOZBAOZCAOZPZDAOZEAOZQZFAOZJAOZKAOZPZPZBCUBZDBCGRZISTZEYNDGRZISZTZPZQ
      ZCDEGRZGRBFGRZJKGRZGRZISZCUUDISZDUUDISZEUUDISZPZYNUUAGRZUUDUCZYTUUIUUFUUA
      UUDISZQZUUEUUIUUFUUGUUHQZQYTUUMUUFUUGUUHUDYTUUNUULUUFYTHUEOZDHUFUGZOZEUUP
      OZUUDUUPOZUUNUULUJYTHYAYBYCYGYKYSUHZUKZYTYEUUQYEYFYDYKYSUIZAUUPDHUUPULZNU
      MUNZYTYFUURYEYFYDYKYSUOZAUUPEHUVCNUMUNZYTUUOUUBUUPOZUUCUUPOZUUSUVAYTYAYBY
      HUVGUUTYAYBYCYGYKYSUPZYHYIYJYDYGYSUQAUUPGHBFUVCMNURUSYTYAYIYJUVHUUTYHYIYJ
      YDYGYSUTZYHYIYJYDYGYSVAZAUUPGHJKUVCMNURUSUUPGHUUBUUCUVCMVBUSZUUPGHIDEUUDU
      VCLMVCVDVEVFYTUUOCUUPOZUUAUUPOZUUSUUMUUEUJUVAYTYCUVMYAYBYCYGYKYSWBZAUUPCH
      UVCNUMUNZYTYAYEYFUVNUUTUVBUVEAUUPGHDEUVCMNURUSUVLUUPGHICUUAUUDUVCLMVCVDVG
      YTCBJGRKGRZISTZDUVQISTZEUVQISTZVHZUUIUUKVIZYTYDYGYIYJQYSUWAYDYGYKYSVJZYDY
      GYKYSVKZYTYIYJUVJUVKVLYLYSVMZABCDEJGHIKLMNVNVOYTUVRUWBUVSUVTYTUVRUUIUUKYT
      UVRUUIPYLYSUVRUUIUUKYLYSUVRUUIVPYLYSUVRUUIVQYTUVRUUIVRYTUVRUUIVSABCDEFGHI
      JKLMNVTWAWCYTUVSUUIUUKYTUVSUUIPZUUJBDGRZCEGRGRZUUDUWFYAYBYCYEYFUUJUWHUCYT
      UVSYAUUIUUTWKZYTUVSYBUUIUVIWKZYTUVSYCUUIUVOWKZYTUVSYEUUIUVBWKZYTUVSYFUUIU
      VEWKZABCDEGHMNWDWEUWFYAYBYEPYCYFQYKBDUBZCUWGISTZEUWGCGRZISZTZPUVSUUGUUFUU
      HUWHUUDUCUWFYAYBYEUWIUWJUWLWLUWFYCYFUWKUWMVLYDYGYKYSUVSUUIWFUWFUWNUWOUWRU
      WFYAYBYCYEYOUWNUWIUWJUWKUWLYMYOYRYLUVSUUIWGZABCDGHILMNWHWIUWFYAYBYCYEYMYO
      UWOUWIUWJUWKUWLYMYOYRYLUVSUUIWJUWSABCDGHILMNWMXAUWFYQUWQYMYOYRYLUVSUUIWNU
      WFYPUWPEIUWFYAYBYCYEYPUWPUCUWIUWJUWKUWLABCDGHMNWOVDWPWQWLYTUVSUUIVRYTUVSU
      UFUUGUUHWRYTUVSUUFUUGUUHWSYTUVSUUFUUGUUHWTABDCEFGHIJKLMNVTXBXCWCYTUVTUUIU
      UKYTUVTUUIPZUUJBEGRZCDGRZGRZUUDYTUVTUUJUXCUCUUIYTUUJEBGRZUXBGRZUXCYTUUOBU
      UPOZUVMUUQUURUUJUXEUCUVAYTYBUXFUVIAUUPBHUVCNUMUNUVPUVDUVFUUPGHEBCDUVCMXDW
      EYTUXDUXAUXBGYTYAYFYBUXDUXAUCUUTUVEUVIAGHEBMNXEUSZXFXCWKUWTYAYBYFPZYCYEQZ
      YKPZBEUBZCUXAISZTZDUXACGRZISZTZPZUVTUUHUUFUUGPZUXCUUDUCYTUVTUXJUUIYTUXHUX
      IYKYTYAYBYFUUTUVIUVEWLYTYCYEUVOUVBVLYDYGYKYSXGWLWKYTUVTUXQUUIYTEBUBZCUXDI
      SZTZDUXDCGRZISZTZPZUXQYTYDYGYSUYEUWCUWDUWEABCDEGHILMNXHUSYTUXSUXKUYAUXMUY
      DUXPUXSUXKUJYTEBXIXJYTUXTUXLYTUXDUXACIUXGWPXKYTUYCUXOYTUYBUXNDIYTUXDUXACG
      UXGXFWPXKXLXMWKYTUVTUUIVRYTUUIUXRUVTYTUUIQUUHUUFUUGYTUUFUUGUUHXNYTUUFUUGU
      UHXOYTUUFUUGUUHXPWLXQABECDFGHIJKLMNVTWAXCWCXRXSXT $.

    $( Lemma for ~ 4at .  Substitute ` T ` for ` P ` .  (Contributed by NM,
       9-Jul-2012.) $)
    4atlem12a $p |- ( ( ( K e. HL /\ P e. A /\ T e. A )
       /\ ( U e. A /\ V e. A /\ W e. A ) /\ -. P .<_ ( ( U .\/ V ) .\/ W ) )
  -> ( P .<_ ( ( T .\/ U ) .\/ ( V .\/ W ) )
   <-> ( ( P .\/ U ) .\/ ( V .\/ W ) )
        = ( ( T .\/ U ) .\/ ( V .\/ W ) ) ) ) $=
      ( wcel w3a co wbr wceq syl3anc 4atlem4a syl32anc wn cbs cfv simp11 simp12
      chlt wb simp13 clat hllatd simp21 simp22 hlatjcl simp23 atbase syl latjcl
      eqid simp3 hlexchb2 syl131anc breq2d eqeq12d 3bitr4d ) FUFMZBAMZCAMZNZDAM
      ZHAMZIAMZNZBDHEOZIEOZGPUAZNZBCVNEOZGPZBVNEOZVQQZBCDEOHIEOZEOZGPBDEOWAEOZW
      BQVPVEVFVGVNFUBUCZMZVOVRVTUGVEVFVGVLVOUDZVEVFVGVLVOUEZVEVFVGVLVOUHZVPFUIM
      VMWDMZIWDMZWEVPFWFUJVPVEVIVJWIWFVHVIVJVKVOUKZVHVIVJVKVOULZAWDEFDHWDURZKLU
      MRVPVKWJVHVIVJVKVOUNZAWDIFWMLUOUPWDEFVMIWMKUQRVHVLVOUSAWDBCEFGVNWMJKLUTVA
      VPWBVQBGVPVEVGVIVJVKWBVQQWFWHWKWLWNACDHIEFGJKLSTZVBVPWCVSWBVQVPVEVFVIVJVK
      WCVSQWFWGWKWLWNABDHIEFGJKLSTWOVCVD $.

    $( Lemma for ~ 4at .  Substitute ` T ` for ` P ` (cont.).  (Contributed by
       NM, 11-Jul-2012.) $)
    4atlem12b $p |- ( ( ( ( K e. HL /\ P e. A /\ Q e. A )
      /\ ( R e. A /\ S e. A /\ T e. A ) /\ ( U e. A /\ V e. A /\ W e. A ) )
   /\ ( ( P =/= Q /\ -. R .<_ ( P .\/ Q )
      /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) )
      /\ -. P .<_ ( ( U .\/ V ) .\/ W ) )
   /\ ( ( P .<_ ( ( T .\/ U ) .\/ ( V .\/ W ) )
          /\ Q .<_ ( ( T .\/ U ) .\/ ( V .\/ W ) ) )
      /\ ( R .<_ ( ( T .\/ U ) .\/ ( V .\/ W ) )
          /\ S .<_ ( ( T .\/ U ) .\/ ( V .\/ W ) ) ) ) )
   -> ( ( P .\/ Q ) .\/ ( R .\/ S ) )
          = ( ( T .\/ U ) .\/ ( V .\/ W ) ) ) $=
      ( wcel w3a co wbr wa chlt wne wceq simp11 simp121 simp122 jca simp13 3jca
      wn simp2l simp3lr simp3rl simp3rr clat cbs cfv simp111 hllatd eqid atbase
      wb syl simp123 simp131 hlatjcl syl3anc simp132 latjle12 syl13anc mpbi2and
      simp133 latjcl simp113 simp3ll simp112 4atlem12a syl311anc mpbid breqtrrd
      simp2r 4atlem11 sylc eqtrd ) IUAPZBAPZCAPZQZDAPZEAPZFAPZQZGAPZKAPZLAPZQZQ
      ZBCUBDBCHRZJSUJEWRDHRJSUJQZBGKHRLHRJSUJZTZBFGHRZKLHRZHRZJSZCXDJSZTZDXDJSZ
      EXDJSZTZTZQZWRDEHRZHRZBGHRXCHRZXDXLWHWIWJTZWPQZWSTCXMHRZXOJSXNXOUCXLXQWSX
      LWHXPWPWHWLWPXAXKUDXLWIWJWIWJWKWHWPXAXKUEZWIWJWKWHWPXAXKUFZUGWHWLWPXAXKUH
      ZUIWQWSWTXKUKUGXLXRXDXOJXLXFXMXDJSZXRXDJSZXEXFXJWQXAULXLXHXIYBXHXIXGWQXAU
      MXHXIXGWQXAUNXLIUOPZDIUPUQZPZEYEPZXDYEPZXJYBVBXLIWEWFWGWLWPXAXKURZUSZXLWI
      YFXSAYEDIYEUTZOVAVCXLWJYGXTAYEEIYKOVAVCXLYDXBYEPZXCYEPZYHYJXLWEWKWMYLYIWI
      WJWKWHWPXAXKVDZWMWNWOWHWLXAXKVEAYEHIFGYKNOVFVGXLWEWNWOYMYIWMWNWOWHWLXAXKV
      HWMWNWOWHWLXAXKVLAYEHIKLYKNOVFVGYEHIXBXCYKNVMVGZYEHIJDEXDYKMNVIVJVKXLYDCY
      EPZXMYEPZYHXFYBTYCVBYJXLWGYPWEWFWGWLWPXAXKVNAYECIYKOVAVCXLWEWIWJYQYIXSXTA
      YEHIDEYKNOVFVGYOYEHIJCXMXDYKMNVIVJVKXLXEXOXDUCZXEXFXJWQXAVOXLWEWFWKWPWTXE
      YRVBYIWEWFWGWLWPXAXKVPYNYAWQWSWTXKWAABFGHIJKLMNOVQVRVSZVTABCDEGHIJKLMNOWB
      WCYSWD $.

    $( Lemma for ~ 4at .  Combine all four possible cases.  (Contributed by NM,
       11-Jul-2012.) $)
    4atlem12 $p |- ( ( ( ( K e. HL /\ P e. A /\ Q e. A ) /\ ( R e. A
    /\ S e. A /\ T e. A ) /\ ( U e. A /\ V e. A /\ W e. A ) )
     /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q )
     /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) ) )
 -> ( ( ( P .\/ Q ) .\/ ( R .\/ S ) )
        .<_ ( ( T .\/ U ) .\/ ( V .\/ W ) )
    -> ( ( P .\/ Q ) .\/ ( R .\/ S ) )
           = ( ( T .\/ U ) .\/ ( V .\/ W ) ) ) ) $=
      ( wcel w3a co wbr wn chlt wne wa wceq clat cbs cfv simpl11 hllatd simpl12
      wb eqid atbase syl simpl13 simpl23 simpl31 hlatjcl syl3anc simpl32 latjcl
      simpl33 latjle12 syl13anc simpl21 simpl22 anbi12d simpl1 wo simp1l simp1r
      bitrd wi simp2 simp3 4atlem12b syl121anc 3exp latj4rot syl122anc 3ad2ant1
      3jca simpl3 simpr 4noncolr3 simprlr simprrl simprrr simprll jca32 3adant2
      jca eqtr3d jaod latjcom 4noncolr2 simprr eqtrd 4noncolr1 4atlem3 syl31anc
      simprl mpjaod sylbird ) IUAPZBAPZCAPZQZDAPZEAPZFAPZQZGAPZKAPZLAPZQZQZBCUB
      DBCHRZJSTEXRDHRJSTQZUCZXRDEHRZHRZFGHRZKLHRZHRZJSZBYEJSZCYEJSZUCZDYEJSZEYE
      JSZUCZUCZYBYEUDZXTYMXRYEJSZYAYEJSZUCZYFXTYIYOYLYPXTIUEPZBIUFUGZPZCYSPZYEY
      SPZYIYOUKXTIXEXFXGXLXPXSUHZUIZXTXFYTXEXFXGXLXPXSUJZAYSBIYSULZOUMUNZXTXGUU
      AXEXFXGXLXPXSUOZAYSCIUUFOUMUNZXTYRYCYSPZYDYSPZUUBUUDXTXEXKXMUUJUUCXIXJXKX
      HXPXSUPZXMXNXOXHXLXSUQZAYSHIFGUUFNOURUSXTXEXNXOUUKUUCXMXNXOXHXLXSUTZXMXNX
      OXHXLXSVBZAYSHIKLUUFNOURUSYSHIYCYDUUFNVAUSZYSHIJBCYEUUFMNVCVDXTYRDYSPZEYS
      PZUUBYLYPUKUUDXTXIUUQXIXJXKXHXPXSVEZAYSDIUUFOUMUNZXTXJUURXIXJXKXHXPXSVFZA
      YSEIUUFOUMUNZUUPYSHIJDEYEUUFMNVCVDVGXTYRXRYSPZYAYSPZUUBYQYFUKUUDXTXHUVCXH
      XLXPXSVHZAYSHIBCUUFNOURUNZXTXEXIXJUVDUUCUUSUVAAYSHIDEUUFNOURUSZUUPYSHIJXR
      YAYEUUFMNVCVDVLXTBGKHRLHRZJSTZCUVHJSTZVIZYMYNVMZDUVHJSTZEUVHJSTZVIZXTUVIU
      VLUVJXTUVIYMYNXTUVIYMQXQXSUVIYMYNXQXSUVIYMVJXQXSUVIYMVKXTUVIYMVNXTUVIYMVO
      ABCDEFGHIJKLMNOVPVQVRXTUVJYMYNXTUVJYMQZCDHRZEBHRZHRZYBYEXTUVJUVSYBUDZYMXT
      YRUUAUUQUURYTUVTUUDUUIUUTUVBUUGYSHIBCDEUUFNVSVTWAUVPXEXGXIQZXJXFXKQZXPQZC
      DUBEUVQJSTBUVQEHRJSTQZUVJYHYJUCZYKYGUCZUCZUVSYEUDXTUVJUWCYMXTUWAUWBXPXTXE
      XGXIUUCUUHUUSWBXTXJXFXKUVAUUEUULWBXHXLXPXSWCZWBWAXTUVJUWDYMXTXHXIXJXSUWDU
      VEUUSUVAXQXSWDZABCDEHIJMNOWEVQWAXTUVJYMVNXTYMUWGUVJXTYMUCZUWEYKYGUWJYHYJX
      TYGYHYLWFZXTYIYJYKWGZWLXTYIYJYKWHZXTYGYHYLWIZWJWKACDEBFGHIJKLMNOVPVQWMVRW
      NXTUVMUVLUVNXTUVMYMYNXTUVMYMQZYBYAXRHRZYEXTUVMYBUWPUDZYMXTYRUVCUVDUWQUUDU
      VFUVGYSHIXRYAUUFNWOUSWAUWOXEXIXJQZXFXGXKQZXPQZDEUBBYAJSTCYABHRJSTQZUVMYLY
      IUCZUWPYEUDXTUVMUWTYMXTUWRUWSXPXTXEXIXJUUCUUSUVAWBXTXFXGXKUUEUUHUULWBUWHW
      BWAXTUVMUXAYMXTXHXIXJXSUXAUVEUUSUVAUWIABCDEHIJMNOWPVQWAXTUVMYMVNXTYMUXBUV
      MUWJYLYIXTYIYLWQXTYIYLXBWLWKADEBCFGHIJKLMNOVPVQWRVRXTUVNYMYNXTUVNYMQZYBUV
      RUVQHRZYEXTUVNYBUXDUDZYMXTYRYTUUAUUQUURUXEUUDUUGUUIUUTUVBYSHIEBCDUUFNVSVT
      WAUXCXEXJXFQZXGXIXKQZXPQZEBUBCUVRJSTDUVRCHRJSTQZUVNUWFUWEUCZUXDYEUDXTUVNU
      XHYMXTUXFUXGXPXTXEXJXFUUCUVAUUEWBXTXGXIXKUUHUUSUULWBUWHWBWAXTUVNUXIYMXTXH
      XIXJXSUXIUVEUUSUVAUWIABCDEHIJMNOWSVQWAXTUVNYMVNXTYMUXJUVNUWJUWFYHYJUWJYKY
      GUWMUWNWLUWKUWLWJWKAEBCDFGHIJKLMNOVPVQWRVRWNXTXHXIXJXMQXNXOUCXSUVKUVOVIUV
      EXTXIXJXMUUSUVAUUMWBXTXNXOUUNUUOWLUWIABCDEGKHIJLMNOWTXAXCXD $.

    $( Four atoms determine a lattice volume uniquely.  Three-dimensional
       analogue of ~ ps-1 and ~ 3at .  (Contributed by NM, 11-Jul-2012.) $)
    4at $p |- ( ( ( ( K e. HL /\ P e. A /\ Q e. A ) /\ ( R e. A
         /\ S e. A /\ T e. A ) /\ ( U e. A /\ V e. A /\ W e. A ) )
          /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q )
              /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) ) )
 -> ( ( ( P .\/ Q ) .\/ ( R .\/ S ) )
        .<_ ( ( T .\/ U ) .\/ ( V .\/ W ) )
    <-> ( ( P .\/ Q ) .\/ ( R .\/ S ) )
        = ( ( T .\/ U ) .\/ ( V .\/ W ) ) ) ) $=
      ( wcel w3a co wbr syl3anc chlt wne wn wa wceq 4atlem12 wi clat cbs simp11
      cfv hllatd simp23 simp31 eqid hlatjcl simp32 simp33 latjcl latref syl2anc
      breq1 syl5ibrcom adantr impbid ) IUAPZBAPZCAPZQZDAPZEAPZFAPZQZGAPZKAPZLAP
      ZQZQZBCUBDBCHRZJSUCEVSDHRJSUCQZUDVSDEHRHRZFGHRZKLHRZHRZJSZWAWDUEZABCDEFGH
      IJKLMNOUFVRWFWEUGVTVRWEWFWDWDJSZVRIUHPZWDIUIUKZPZWGVRIVFVGVHVMVQUJZULZVRW
      HWBWIPZWCWIPZWJWLVRVFVLVNWMWKVIVJVKVLVQUMVIVMVNVOVPUNAWIHIFGWIUOZNOUPTVRV
      FVOVPWNWKVIVMVNVOVPUQVIVMVNVOVPURAWIHIKLWONOUPTWIHIWBWCWONUSTWIIJWDWOMUTV
      AWAWDWDJVBVCVDVE $.

    $( Four atoms determine a lattice volume uniquely.  (Contributed by NM,
       11-Jul-2012.) $)
    4at2 $p |- ( ( ( ( K e. HL /\ P e. A /\ Q e. A ) /\ ( R e. A
   /\ S e. A /\ T e. A ) /\ ( U e. A /\ V e. A /\ W e. A ) )
     /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q )
      /\ -. S .<_ ( ( P .\/ Q ) .\/ R ) ) )
  -> ( ( ( ( P .\/ Q ) .\/ R ) .\/ S )
          .<_ ( ( ( T .\/ U ) .\/ V ) .\/ W )
   <-> ( ( ( P .\/ Q ) .\/ R ) .\/ S )
             = ( ( ( T .\/ U ) .\/ V ) .\/ W ) ) ) $=
      ( wcel w3a co wbr wceq chlt wne wn wa 4at clat cbs cfv simp11 hllatd eqid
      hlatjcl 3ad2ant1 simp21 atbase syl simp22 latjass syl13anc simp23 syl3anc
      wb simp31 simp32 simp33 breq12d adantr eqeq12d 3bitr4d ) IUAPZBAPZCAPZQZD
      APZEAPZFAPZQZGAPZKAPZLAPZQZQZBCUBDBCHRZJSUCEWCDHRZJSUCQZUDWCDEHRHRZFGHRZK
      LHRHRZJSZWFWHTZWDEHRZWGKHRLHRZJSZWKWLTZABCDEFGHIJKLMNOUEWBWMWIVBWEWBWKWFW
      LWHJWBIUFPZWCIUGUHZPZDWPPZEWPPZWKWFTWBIVJVKVLVQWAUIZUJZVMVQWQWAAWPHIBCWPU
      KZNOULUMWBVNWRVMVNVOVPWAUNAWPDIXBOUOUPWBVOWSVMVNVOVPWAUQAWPEIXBOUOUPWPHIW
      CDEXBNURUSZWBWOWGWPPZKWPPZLWPPZWLWHTXAWBVJVPVRXDWTVMVNVOVPWAUTVMVQVRVSVTV
      CAWPHIFGXBNOULVAWBVSXEVMVQVRVSVTVDAWPKIXBOUOUPWBVTXFVMVQVRVSVTVEAWPLIXBOU
      OUPWPHIWGKLXBNURUSZVFVGWBWNWJVBWEWBWKWFWLWHXCXGVHVGVI $.
  $}

  ${
    $d p q r s t u v w C $.  $d p q r s t u v w K $.  $d p q r s t u v w .<_ $.
    $d s t u v w P $.  $d s V $.  $d p q r s t u v w X $.
    $d p q r s t u v w Y $.
    lplncvrlvol2.l $e |- .<_ = ( le ` K ) $.
    lplncvrlvol2.c $e |- C = ( <o ` K ) $.
    lplncvrlvol2.p $e |- P = ( LPlanes ` K ) $.
    lplncvrlvol2.v $e |- V = ( LVols ` K ) $.
    $( A lattice line under a lattice plane is covered by it.  (Contributed by
       NM, 12-Jul-2012.) $)
    lplncvrlvol2 $p |- ( ( ( K e. HL /\ X e. P /\ Y e. V ) /\ X .<_ Y )
         -> X C Y ) $=
      ( wcel w3a wbr wa wn cv co wrex wi vs vt vu vv vw vp vq chlt cplt cfv wne
      vr simpr simpl1 simpl3 lvolnelpln syl2anc simpl2 eleq1 syl5ibcom necon3bd
      wceq mpd eqid pltval adantr mpbir2and cjn catm lplnbase lvolbase hlrelat3
      wb cbs syl syl31anc islvol2 islpln2 simp3rl simp3rr simp133 oveq1d simp23
      3brtr3d simp11 simp12 simp3l simp21l 3jca simp21r simp22l simp22r simp131
      simp132 simp111 clat hllatd hlatjcl atbase latjcl syl3anc mpbird syl33anc
      cvr1 4at2 mpbid 3eqtr4d breqtrd 3exp exp4a 3expd 3expib rexlimdvv adantld
      rexlimdv3a sylbid imp31 syl7 rexlimdvva 3impia rexlimdv imp syldan ) CUHL
      ZFBLZGELZMZFGDNZFGCUIUJZNZFGANZYGYHOZYJYHFGUKZYGYHUMYLGBLZPZYMYLYDYFYOYDY
      EYFYHUNYDYEYFYHUOBCEGJKUPUQYLYNFGYLYEFGVBYNYDYEYFYHURFGBUSUTVAVCYGYJYHYMO
      VMYHUHBEYICDFGHYIVDZVEVFVGYGYJFFUAQZCVHUJZRZANZYSGDNZOZUACVIUJZSZYKYGYJOZ
      YDFCVNUJZLZGUUFLZYJUUDYDYEYFYJUNUUEYEUUGYDYEYFYJURUUFBCFUUFVDZJVJVOUUEYFU
      UHYDYEYFYJUOUUFCEGUUIKVKVOYGYJUMUUCUUFAYIYRCDFGUAUUIHYPYRVDZIUUCVDZVLVPYG
      UUDYKYGUUBYKUAUUCYDYEYFYQUUCLZUUBYKTTZYDYEOZYFUUHUBQZUCQZUKUDQZUUOUUPYRRZ
      DNPUEQZUURUUQYRRZDNPMZGUUTUUSYRRZVBZOZUEUUCSUDUUCSZUCUUCSUBUUCSZOZUUMYDYF
      UVGVMYEUUCUUFYRCDEGUEUDUCUBUUIHUUJUUKKVQVFUUNUVFUUMUUHUUNUVEUUMUBUCUUCUUC
      UUNUUOUUCLZUUPUUCLZOZOZUVDUUMUDUEUUCUUCUVDUVCUVKUUQUUCLZUUSUUCLZOZUUMUVAU
      VCUMYDYEUVJUVNUVCUUMTTZYDYEUUGUFQZUGQZUKZULQZUVPUVQYRRZDNPZFUVTUVSYRRZVBZ
      MZULUUCSZUGUUCSUFUUCSZOUVJUVOTZUUCUUFBYRCDFULUGUFUUIHUUJUUKJVRYDUWFUWGUUG
      YDUWEUWGUFUGUUCUUCYDUVPUUCLZUVQUUCLZUWEUWGTYDUWHUWIMZUWDUWGULUUCUWJUVSUUC
      LZUWDMZUVJUVNUVCUUMUWLUVJUVNUVCMZUULUUBYKUWLUWMUULUUBOZYKUWLUWMUWNMZFYSGA
      YTUUAUULUWLUWMVSZUWOUWBYQYRRZUVBYSGUWOUWQUVBDNZUWQUVBVBZUWOYSGUWQUVBDYTUU
      AUULUWLUWMVTUWOFUWBYQYRUVRUWAUWCUWJUWKUWMUWNWAZWBZUWLUVJUVNUVCUWNWCZWDUWO
      UWJUWKUULUVHMUVIUVLUVMMUVRUWAYQUWBDNPZUWRUWSVMUWJUWKUWDUWMUWNWEZUWOUWKUUL
      UVHUWJUWKUWDUWMUWNWFZUWLUWMUULUUBWGZUVHUVIUVNUVCUWLUWNWHWIUWOUVIUVLUVMUVH
      UVIUVNUVCUWLUWNWJUVLUVMUVJUVCUWLUWNWKUVLUVMUVJUVCUWLUWNWLWIUVRUWAUWCUWJUW
      KUWMUWNWMUVRUWAUWCUWJUWKUWMUWNWNUWOUXCUWBUWQANZUWOFYSUWBUWQAUWPUWTUXAWDUW
      OYDUWBUUFLZUULUXCUXGVMYDUWHUWIUWKUWDUWMUWNWOZUWOCWPLUVTUUFLZUVSUUFLZUXHUW
      OCUXIWQUWOUWJUXJUXDUUCUUFYRCUVPUVQUUIUUJUUKWRVOUWOUWKUXKUXEUUCUUFUVSCUUIU
      UKWSVOUUFYRCUVTUVSUUIUUJWTXAUXFUUCUUFAYQYRCDUWBUUIHUUJIUUKXDXAXBUUCUVPUVQ
      UVSYQUUOUUPYRCDUUQUUSHUUJUUKXEXCXFUXAUXBXGXHXIXJXKXOXLXMXNXPXQXRXMXSXNXPX
      TYAYBYCYC $.
  $}

  ${
    $d z B $.  $d z C $.  $d z K $.  $d z P $.  $d z V $.  $d z X $.  $d z Y $.
    lplncvrlvol.b $e |- B = ( Base ` K ) $.
    lplncvrlvol.c $e |- C = ( <o ` K ) $.
    lplncvrlvol.p $e |- P = ( LPlanes ` K ) $.
    lplncvrlvol.v $e |- V = ( LVols ` K ) $.
    $( An element covering a lattice plane is a lattice volume and vice-versa.
       (Contributed by NM, 15-Jul-2012.) $)
    lplncvrlvol $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B ) /\ X C Y )
        -> ( X e. P <-> Y e. V ) ) $=
      ( vz chlt wcel wbr wa simplr cfv wn adantr simpll1 simpll3 simpr syl31anc
      w3a lvoli cv cple wrex cp0 wne catm clln simpll2 clat hllatd eqid syl2anc
      latref lvolnleat syl3anc ex mt2d wceq breq1 syl5ibcom wb sylibrd necon3bd
      isat2 lvolnelln sylancom simpllr llni lvolnelpln llncvrlpln mtbird lplnle
      mpd mtand syl23anc wi simpr3 cops hlop simpr2 lplnbase simpr1 cvrle hlpos
      syl cpo postr syl13anc mp2and lplncvrlvol2 syl132anc mpbid eqeltrrd 3exp2
      cvrcmp2 imp rexlimdv impbida ) DMNZFANZGANZUEZFGBOZPZFCNZGENZXJXKPXEXGXKX
      IXLXEXFXGXIXKUAXEXFXGXIXKUBXJXKUCXHXIXKQABMCDEFGHIJKUFUDXJXLPZLUGZFDUHRZO
      ZLCUIZXKXMXEXFFDUJRZUKZFDULRZNZSFDUMRZNZSXQXEXFXGXIXLUAZXEXFXGXIXLUNXMGXT
      NZSXSXMYEGGXOOZXMDUONXGYFXMDYDUPXEXFXGXIXLUBZADXOGHXOUQZUSURXMYEYFSZXMYEP
      XEXLYEYIXMXEYEYDTXJXLYEQXMYEUCXTGDXOEGYHXTUQZKUTVAVBVCXMYEFXRXMFXRVDZXRGB
      OZYEXMXIYKYLXHXIXLQFXRGBVEVFXMXEXGYEYLVGYDYGXTABMGDXRHXRUQZIYJVJURVHVIVSX
      MYAGYBNZXJXLXEYNSYDDYBEGYBUQZKVKVLXMYAPXEXGYAXIYNXMXEYAYDTXMXGYAYGTXMYAUC
      XHXIXLYAVMXTABMFDYBGHIYJYOVNUDVTXMYCGCNZXJXLXEYPSYDCDEGJKVOVLXJYCYPVGXLAB
      CDYBFGHIYOJVPTVQLXTACDXOYBFXRHYHYMYJYOJVRWAXMXPXKLCXJXLXNCNZXPXKWBWBXJXLY
      QXPXKXJXLYQXPUEZPZXNFCYSXPXNFVDZXJXLYQXPWCZYSDWDNZXNANZXFXGXNGBOZXIXPYTVG
      YSXEUUBXEXFXGXIYRUAZDWEWKYSYQUUCXJXLYQXPWFZACDXNHJWGWKZXEXFXGXIYRUNZXEXFX
      GXIYRUBZYSXEYQXLXNGXOOZUUDUUEUUFXJXLYQXPWHYSXPFGXOOZUUJUUAXJUUKYRMABDXOFG
      HYHIWITYSDWLNZUUCXFXGXPUUKPUUJWBYSXEUULUUEDWJWKUUGUUHUUIADXOXNFGHYHWMWNWO
      BCDXOEXNGYHIJKWPUDXHXIYRQABDXOXNFGHYHIXAWQWRUUFWSWTXBXCVSXD $.
  $}

  ${
    $d z K $.  $d z .<_ $.  $d z V $.  $d z X $.  $d z Y $.
    lvolcmp.l $e |- .<_ = ( le ` K ) $.
    lvolcmp.v $e |- V = ( LVols ` K ) $.
    $( If two lattice planes are comparable, they are equal.  (Contributed by
       NM, 12-Jul-2012.) $)
    lvolcmp $p |- ( ( K e. HL /\ X e. V /\ Y e. V )
                -> ( X .<_ Y <-> X = Y ) ) $=
      ( vz chlt wcel w3a wbr cfv wi wb eqid lvolbase syl2anc mpbid wa wceq ccvr
      cv clpl simp2 cbs simp1 3ad2ant2 islvol4 simpr3 cpo hlpos 3ad2ant1 adantr
      wrex simpl3 syl simpr1 lplnbase simpr2 simpl1 cvrle syl31anc postr mp2and
      syl13anc lplncvrlvol2 cvrcmp syl132anc 3exp2 rexlimdv mpd breq2 syl5ibcom
      posref impbid ) AIJZDCJZECJZKZDEBLZDEUAZVTHUCZDAUBMZLZHAUDMZUOZWAWBNZVTVR
      WGVQVRVSUEVTVQDAUFMZJZVRWGOVQVRVSUGVRVQWJVSWIACDWIPZGQUHZHIWIWDWFACDWKWDP
      ZWFPZGUIRSVTWEWHHWFVTWCWFJZWEWAWBVTWOWEWAKZTZWAWBVTWOWEWAUJZWQAUKJZWJEWIJ
      ZWCWIJZWEWCEWDLZWAWBOVTWSWPVQVRWSVSAULUMZUNZVTWJWPWLUNZWQVSWTVQVRVSWPUPZW
      IACEWKGQUQZWQWOXAVTWOWEWAURZWIWFAWCWKWNUSUQZVTWOWEWAUTZWQVQWOVSWCEBLZXBVQ
      VRVSWPVAZXHXFWQWCDBLZWAXKWQVQXAWJWEXMXLXIXEXJIWIWDABWCDWKFWMVBVCWRWQWSXAW
      JWTXMWATXKNXDXIXEXGWIABWCDEWKFVDVFVEWDWFABCWCEFWMWNGVGVCWIWDABDEWCWKFWMVH
      VISVJVKVLVTDDBLZWBWAVTWSWJXNXCWLWIABDWKFVORDEDBVMVNVP $.
  $}

  ${
    lvolnlt.s $e |- .< = ( lt ` K ) $.
    lvolnlt.v $e |- V = ( LVols ` K ) $.
    $( Two lattice volumes cannot satisfy the less than relation.  (Contributed
       by NM, 12-Jul-2012.)  (New usage is discouraged.) $)
    lvolnltN $p |- ( ( K e. HL /\ X e. V /\ Y e. V ) -> -. X .< Y ) $=
      ( chlt wcel w3a wbr wceq pltirr 3adant3 breq2 notbid syl5ibcom cple cfv
      wn eqid pltle lvolcmp sylibd necon3ad pm2.61dne ) BHIZDCIZECIZJZDEAKZTZDE
      UJDDAKZTZDELZULUGUHUNUIHCABDFMNUOUMUKDEDAOPQUJUKDEUJUKDEBRSZKUOHCCABUPDEU
      PUAZFUBBUPCDEUQGUCUDUEUF $.
  $}

  ${
    2lplnja.l $e |- .<_ = ( le ` K ) $.
    2lplnja.j $e |- .\/ = ( join ` K ) $.
    2lplnja.a $e |- A = ( Atoms ` K ) $.
    2lplnja.v $e |- V = ( LVols ` K ) $.
    $( The join of two different lattice planes in a lattice volume equals the
       volume (version of ~ 2lplnj in terms of atoms).  (Contributed by NM,
       12-Jul-2012.) $)
    2lplnja $p |- ( ( ( ( K e. HL /\ W e. V )
     /\ ( P e. A /\ Q e. A /\ R e. A )
     /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q ) ) )
   /\ ( ( S e. A /\ T e. A /\ U e. A )
     /\ ( S =/= T /\ -. U .<_ ( S .\/ T ) ) )
     /\ ( ( ( P .\/ Q ) .\/ R ) .<_ W /\ ( ( S .\/ T ) .\/ U ) .<_ W
         /\ ( ( P .\/ Q ) .\/ R ) =/= ( ( S .\/ T ) .\/ U ) ) )
  -> ( ( ( P .\/ Q ) .\/ R ) .\/ ( ( S .\/ T ) .\/ U ) ) = W ) $=
      ( wcel wa wbr ad2antrr chlt w3a wne co wn cbs eqid simp11l hllatd simp121
      cfv simp122 hlatjcl syl3anc simp123 atbase latjcl simp2l1 simp2l2 simp2l3
      clat simp11r lvolbase simp31 simp32 wb latjle12 syl13anc mpbi2and latlej2
      syl wceq lattrd 3jca simp13l simp13r simp33 simplr simpr adantr ad3antrrr
      jca simp2l simp12 simp2rr simp2rl 3at syl32anc mpbid eqcomd ex mpd lvoli2
      necon3ad syl113anc lvolcmp wi latjlej2 eqbrtrrd hlatj32 pm2.61dan latlej1
      breqtrrd latjass latasymd ) IUAQZLKQZRZBAQZCAQZDAQZUBZBCUCZDBCHUDZJSUEZRZ
      UBZEAQZFAQZGAQZUBZEFUCZGEFHUDZJSUEZRZRZXNDHUDZLJSZYCGHUDZLJSZYGYIUCZUBZUB
      ZIUFUKZIJYGYIHUDZLYNUGZMYMIXFXGXLXPYFYLUHZUIZYMIVAQZYGYNQZYIYNQZYOYNQYRYM
      YSXNYNQZDYNQZYTYRYMXFXIXJUUBYQXIXJXKXHXPYFYLUJZXIXJXKXHXPYFYLULZAYNHIBCYP
      NOUMUNYMXKUUCXIXJXKXHXPYFYLUOZAYNDIYPOUPVKYNHIXNDYPNUQUNZYMYSYCYNQZGYNQZU
      UAYRYMXFXRXSUUHYQXRXSXTYEXQYLURZXRXSXTYEXQYLUSZAYNHIEFYPNOUMUNZYMXTUUIXRX
      SXTYEXQYLUTZAYNGIYPOUPVKZYNHIYCGYPNUQUNZYNHIYGYIYPNUQUNYMXGLYNQZXFXGXLXPY
      FYLVBZYNIKLYPPVCVKZYMYHYJYOLJSZXQYFYHYJYKVDZXQYFYHYJYKVEZYMYSYTUUAUUPYHYJ
      RUUSVFYRUUGUUOUURYNHIJYGYILYPMNVGVHVIYMEYGJSZLYOJSZYMUVBRZFYGJSZUVCUVDUVE
      RZYGGHUDZLYOJUVFUVGLJSZUVGLVLZYMUVHUVBUVEYMYHGLJSZUVHUUTYMYNIJGYILYPMYRUU
      NUUOUURYMYSUUHUUIGYIJSZYRUULUUNYNHIJYCGYPMNVJUNZUVAVMYMYSYTUUIUUPYHUVJRUV
      HVFYRUUGUUNUURYNHIJYGGLYPMNVGVHVITUVFXFUVGKQZXGUVHUVIVFYMXFUVBUVEYQTUVFXF
      XIXJUBZXKXTRZXMXOGYGJSZUEZUVMYMUVNUVBUVEYMXFXIXJYQUUDUUEVNZTYMUVOUVBUVEYM
      XKXTUUFUUMWBTYMXMUVBUVEXMXOXHXLYFYLVOZTYMXOUVBUVEXMXOXHXLYFYLVPZTUVFYKUVQ
      YMYKUVBUVEXQYFYHYJYKVQTUVFUVPYGYIUVFUVPYGYIVLUVFUVPRZYIYGUWAYIYGJSZYIYGVL
      ZUWAYCYGJSZUVPUWBUVFUWDUVPUVFUVBUVEUWDYMUVBUVEVRUVDUVEVSYMUVBUVERUWDVFZUV
      BUVEYMYSEYNQZFYNQZYTUWEYRYMXRUWFUUJAYNEIYPOUPVKZYMXSUWGUUKAYNFIYPOUPVKZUU
      GYNHIJEFYGYPMNVGVHTVIVTUVFUVPVSYMUWDUVPRUWBVFZUVBUVEUVPYMYSUUHUUIYTUWJYRU
      ULUUNUUGYNHIJYCGYGYPMNVGVHWAVIYMUWBUWCVFZUVBUVEUVPYMXFYAXLYDYBUWKYQXQYAYE
      YLWCXHXLXPYFYLWDYBYDYAXQYLWEYBYDYAXQYLWFAEFGBCDHIJMNOWGWHWAWIWJWKWNWLABCD
      GHIJKMNOPWMWOYMXGUVBUVEUUQTIJKUVGLMPWPUNWIYMUVGYOJSZUVBUVEYMUVKUWLUVLYMYS
      UUIUUAYTUVKUWLWQYRUUNUUOUUGYNHIJGYIYGYPMNWRVHWLTWSUVDUVEUEZRZYGFHUDZLYOJU
      WNUWOLJSZUWOLVLZYMUWPUVBUWMYMYHFLJSZUWPUUTYMYNIJFYILYPMYRUWIUUOUURYMFEGHU
      DZFHUDZYIJYMYSUWSYNQZUWGFUWTJSYRYMXFXRXTUXAYQUUJUUMAYNHIEGYPNOUMUNUWIYNHI
      JUWSFYPMNVJUNYMXFXRXSXTYIUWTVLYQUUJUUKUUMAEFGHINOWTVHXCZUVAVMYMYSYTUWGUUP
      YHUWRRUWPVFYRUUGUWIUURYNHIJYGFLYPMNVGVHVITUWNXFUWOKQZXGUWPUWQVFYMXFUVBUWM
      YQTUWNUVNXKXSRZXMXOUWMUXCYMUVNUVBUWMUVRTYMUXDUVBUWMYMXKXSUUFUUKWBTYMXMUVB
      UWMUVSTYMXOUVBUWMUVTTUVDUWMVSABCDFHIJKMNOPWMWOYMXGUVBUWMUUQTIJKUWOLMPWPUN
      WIYMUWOYOJSZUVBUWMYMFYIJSZUXEUXBYMYSUWGUUAYTUXFUXEWQYRUWIUUOUUGYNHIJFYIYG
      YPMNWRVHWLTWSXAYMUVBUEZRZYGEHUDZLYOJUXHUXILJSZUXILVLZYMUXJUXGYMYHELJSZUXJ
      UUTYMYNIJEYILYPMYRUWHUUOUURYMEEFGHUDZHUDZYIJYMYSUWFUXMYNQZEUXNJSYRUWHYMXF
      XSXTUXOYQUUKUUMAYNHIFGYPNOUMUNYNHIJEUXMYPMNXBUNYMYSUWFUWGUUIYIUXNVLYRUWHU
      WIUUNYNHIEFGYPNXDVHXCZUVAVMYMYSYTUWFUUPYHUXLRUXJVFYRUUGUWHUURYNHIJYGELYPM
      NVGVHVIVTUXHXFUXIKQZXGUXJUXKVFYMXFUXGYQVTUXHUVNXKXRRZXMXOUXGUXQYMUVNUXGUV
      RVTYMUXRUXGYMXKXRUUFUUJWBVTYMXMUXGUVSVTYMXOUXGUVTVTYMUXGVSABCDEHIJKMNOPWM
      WOYMXGUXGUUQVTIJKUXILMPWPUNWIYMUXIYOJSZUXGYMEYIJSZUXSUXPYMYSUWFUUAYTUXTUX
      SWQYRUWHUUOUUGYNHIJEYIYGYPMNWRVHWLVTWSXAXE $.
  $}

  ${
    $d q r s t u v .\/ $.  $d q r s t u v K $.  $d q r s t u v .<_ $.
    $d q r s t u v V $.  $d q r s t u v P $.  $d q r s t u v X $.
    $d q r s t u v Y $.  $d q r s t u v W $.
    2lplnj.l $e |- .<_ = ( le ` K ) $.
    2lplnj.j $e |- .\/ = ( join ` K ) $.
    2lplnj.p $e |- P = ( LPlanes ` K ) $.
    2lplnj.v $e |- V = ( LVols ` K ) $.
    $( The join of two different lattice planes in a (3-dimensional) lattice
       volume equals the volume.  (Contributed by NM, 12-Jul-2012.) $)
    2lplnj $p |- ( ( K e. HL /\ ( X e. P /\ Y e. P /\ W e. V )
       /\ ( X .<_ W /\ Y .<_ W /\ X =/= Y ) ) -> ( X .\/ Y ) = W ) $=
      ( wcel w3a wbr cv co wrex wa 3ad2ant1 vq vr vs vt vu vv chlt wn wceq catm
      wne cfv cbs eqid islpln2 simpr syl6bi anim12d 3adantr3 3adant3 wi simpl33
      imp simp33 oveq12d simp11 simp123 jca adantr simp2rl simp2rr 3jca simpl31
      simp2l simpl32 simp1r simp2r simp31 simpl13 wb breq1 neeq1 3anbi13d neeq2
      simp32 3anbi23d syl2anc mpbid 2lplnja syl321anc eqtrd rexlimdvv rexlimdva
      sylan9bb 3exp expdimp impd mpd ) CUGMZGAMZHAMZFEMZNZGFDOZHFDOZGHUKZNZNZUA
      PZUBPZUKZUCPZXIXJBQZDOUHZGXMXLBQZUIZNZUCCUJULZRUBXRRZUAXRRZUDPZUEPZUKZUFP
      ZYAYBBQZDOUHZHYEYDBQZUIZNZUFXRRUEXRRZUDXRRZSZGHBQZFUIZWSXCYLXGWSWTXAYLXBW
      SWTXASYLWSWTXTXAYKWSWTGCUMULZMZXTSXTXRYOABCDGUCUBUAYOUNZIJXRUNZKUOYPXTUPU
      QWSXAHYOMZYKSYKXRYOABCDHUFUEUDYQIJYRKUOYSYKUPUQURVCUSUTXHXTYKYNXHXSYKYNVA
      ZUAXRXHXIXRMZSXQYTUBUCXRXRXHUUAXJXRMZXLXRMZSZXQYTVAXHUUAUUDSZXQYTXHUUEXQN
      ZYJYNUDXRUUFYAXRMZSZYIYNUEUFXRXRUUHYBXRMZYDXRMZSZYIYNUUHUUKYINZYMXOYGBQZF
      UULGXOHYGBUUHUUKXPYIXKXNXPXHUUEUUGVBTZUUHUUKYCYFYHVDZVEUULWSXBSZUUAUUBUUC
      NZXKXNSUUGUUIUUJNYCYFSXOFDOZYGFDOZXOYGUKZNZUUMFUIUUHUUKUUPYIUUFUUPUUGUUFW
      SXBWSXCXGUUEXQVFWTXAXBWSXGUUEXQVGVHVITUUHUUKUUQYIUUFUUQUUGUUFUUAUUBUUCXHU
      UAUUDXQVNUUBUUCUUAXHXQVJUUBUUCUUAXHXQVKVLVITUULXKXNUUHUUKXKYIXKXNXPXHUUEU
      UGVMTUUHUUKXNYIXKXNXPXHUUEUUGVOTVHUULUUGUUIUUJUUFUUGUUKYIVPUUHUUIUUJYIVNU
      UHUUIUUJYIVQVLUULYCYFUUHUUKYCYFYHVRUUHUUKYCYFYHWEVHUULXGUVAUUHUUKXGYIWSXC
      XGUUEXQUUGVSTUULXPYHXGUVAVTUUNUUOXPXGUURXEXOHUKZNYHUVAXPXDUURXFUVBXEGXOFD
      WAGXOHWBWCYHXEUUSUVBUUTUURHYGFDWAHYGXOWDWFWNWGWHXRXIXJXLYAYBYDBCDEFIJYRLW
      IWJWKWOWLWMWOWPWLWMWQWR $.
  $}

  ${
    2lplnm2.l $e |- .<_ = ( le ` K ) $.
    2lplnm2.m $e |- ./\ = ( meet ` K ) $.
    2lplnm2.a $e |- N = ( LLines ` K ) $.
    2lplnm2.p $e |- P = ( LPlanes ` K ) $.
    2lplnm2.v $e |- V = ( LVols ` K ) $.
    $( The meet of two different lattice planes in a lattice volume is a
       lattice line.  (Contributed by NM, 12-Jul-2012.)
       (New usage is discouraged.) $)
    2lplnm2N $p |- ( ( K e. HL /\ ( X e. P /\ Y e. P /\ W e. V )
       /\ ( X .<_ W /\ Y .<_ W /\ X =/= Y ) ) -> ( X ./\ Y ) e. N ) $=
      ( wcel w3a wbr cfv eqid syl3anc chlt wne co simp22 cbs ccvr wb simp1 clat
      hllat 3ad2ant1 simp21 lplnbase syl latmcl cjn 2lplnj eqeltrd lplncvrlvol2
      simp23 latlej1 syl31anc cvrexch mpbird llncvrlpln ) BUAOZHAOZIAOZGFOZPZHG
      CQIGCQHIUBPZPZHIDUCZEOZVHVFVGVHVIVKUDZVLVFVMBUERZOZIVPOZVMIBUFRZQZVNVHUGV
      FVJVKUHZVLBUIOZHVPOZVRVQVFVJWBVKBUJUKZVLVGWCVFVGVHVIVKULZVPABHVPSZMUMUNZV
      LVHVRVOVPABIWFMUMUNZVPBDHIWFKUOTWHVLVTHHIBUPRZUCZVSQZVLVFVGWJFOHWJCQZWKWA
      WEVLWJGFAWIBCFGHIJWISZMNUQVFVGVHVIVKUTURVLWBWCVRWLWDWGWHVPWIBCHIWFJWMVATV
      SABCFHWJJVSSZMNUSVBVLVFWCVRVTWKUGWAWGWHVPVSWIBDHIWFWMKWNVCTVDVPVSABEVMIWF
      WNLMVEVBVD $.
  $}

  ${
    2lplnmj.j $e |- .\/ = ( join ` K ) $.
    2lplnmj.m $e |- ./\ = ( meet ` K ) $.
    2lplnmj.n $e |- N = ( LLines ` K ) $.
    2lplnmj.p $e |- P = ( LPlanes ` K ) $.
    2lplnmj.v $e |- V = ( LVols ` K ) $.
    $( The meet of two lattice planes is a lattice line iff their join is a
       lattice volume.  (Contributed by NM, 13-Jul-2012.) $)
    2lplnmj $p |- ( ( K e. HL /\ X e. P /\ Y e. P )
      -> ( ( X ./\ Y ) e. N <-> ( X .\/ Y ) e. V ) ) $=
      ( wcel w3a cfv wbr wb wa syl3an chlt co ccvr simp1 eqid lplnbase 3ad2ant2
      cbs 3ad2ant3 cvrexch syl3anc cple simpl1 simpr simpl3 clat latmle2 adantr
      hllat llncvrlpln2 syl31anc latmcl llncvrlpln sylan mpbird impbida latlej1
      3jca simpl2 lplncvrlvol2 latjcl lplncvrlvol mpbid 3bitr4d ) CUANZGANZHANZ
      OZGHDUBZHCUCPZQZGGHBUBZVTQZVSENZWBFNZVRVOGCUHPZNZHWFNZWAWCRVOVPVQUDZVPVOW
      GVQWFACGWFUEZLUFZUGZVQVOWHVPWFACHWJLUFZUIZWFVTBCDGHWJIJVTUEZUJUKVRWDWAVRW
      DSVOWDVQVSHCULPZQZWAVOVPVQWDUMVRWDUNVOVPVQWDUOVRWQWDVOCUPNZVPWGVQWHWQCUSZ
      WKWMWFCWPDGHWJWPUEZJUQTURVTACWPEVSHWTWOKLUTVAVRWASWDVQVOVPVQWAUOVRVOVSWFN
      ZWHOWAWDVQRVRVOXAWHWIVOWRVPWGVQWHXAWSWKWMWFCDGHWJJVBTWNVHWFVTACEVSHWJWOKL
      VCVDVEVFVRWEWCVRWESVOVPWEGWBWPQZWCVOVPVQWEUMVOVPVQWEVIVRWEUNVRXBWEVOWRVPW
      GVQWHXBWSWKWMWFBCWPGHWJWTIVGTURVTACWPFGWBWTWOLMVJVAVRWCSVPWEVOVPVQWCVIVRV
      OWGWBWFNZOWCVPWERVRVOWGXCWIWLVOWRVPWGVQWHXCWSWKWMWFBCGHWJIVKTVHWFVTACFGWB
      WJWOLMVLVDVMVFVN $.
  $}

  ${
    dalema.ph $e |- ( ph <-> ( ( ( K e. HL /\ C e. ( Base ` K ) )
    /\ ( P e. A /\ Q e. A /\ R e. A )
    /\ ( S e. A /\ T e. A /\ U e. A ) )
 /\ ( Y e. O /\ Z e. O )
 /\ ( ( -. C .<_ ( P .\/ Q ) /\ -. C .<_ ( Q .\/ R )
         /\ -. C .<_ ( R .\/ P ) )
    /\ ( -. C .<_ ( S .\/ T ) /\ -. C .<_ ( T .\/ U )
          /\ -. C .<_ ( U .\/ S ) )
    /\ ( C .<_ ( P .\/ S ) /\ C .<_ ( Q .\/ T )
          /\ C .<_ ( R .\/ U ) ) ) ) ) $.
    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       13-Aug-2012.) $)
    dalemkehl $p |- ( ph -> K e. HL ) $=
      ( wcel w3a co wbr chlt cbs cfv wa wn simp11l sylbi ) AKUAQZCKUBUCQZUDDBQE
      BQFBQRZGBQHBQIBQRZRNMQOMQUDZCDEJSLTUECEFJSLTUECFDJSLTUERCGHJSLTUECHIJSLTU
      ECIGJSLTUERCDGJSLTCEHJSLTCFIJSLTRRZRUHPUHUIUJUKULUMUFUG $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       13-Aug-2012.) $)
    dalemkelat $p |- ( ph -> K e. Lat ) $=
      ( dalemkehl hllatd ) AKABCDEFGHIJKLMNOPQR $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       13-Aug-2012.) $)
    dalemkeop $p |- ( ph -> K e. OP ) $=
      ( chlt wcel cops dalemkehl hlop syl ) AKQRKSRABCDEFGHIJKLMNOPTKUAUB $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       13-Aug-2012.) $)
    dalempea $p |- ( ph -> P e. A ) $=
      ( wcel w3a co wbr chlt cbs cfv wa wn simp121 sylbi ) AKUAQCKUBUCQUDZDBQZE
      BQZFBQZRGBQHBQIBQRZRNMQOMQUDZCDEJSLTUECEFJSLTUECFDJSLTUERCGHJSLTUECHIJSLT
      UECIGJSLTUERCDGJSLTCEHJSLTCFIJSLTRRZRUIPUIUJUKUHULUMUNUFUG $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       13-Aug-2012.) $)
    dalemqea $p |- ( ph -> Q e. A ) $=
      ( wcel w3a co wbr chlt cbs cfv wa wn simp122 sylbi ) AKUAQCKUBUCQUDZDBQZE
      BQZFBQZRGBQHBQIBQRZRNMQOMQUDZCDEJSLTUECEFJSLTUECFDJSLTUERCGHJSLTUECHIJSLT
      UECIGJSLTUERCDGJSLTCEHJSLTCFIJSLTRRZRUJPUIUJUKUHULUMUNUFUG $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       13-Aug-2012.) $)
    dalemrea $p |- ( ph -> R e. A ) $=
      ( wcel w3a co wbr chlt cbs cfv wa wn simp123 sylbi ) AKUAQCKUBUCQUDZDBQZE
      BQZFBQZRGBQHBQIBQRZRNMQOMQUDZCDEJSLTUECEFJSLTUECFDJSLTUERCGHJSLTUECHIJSLT
      UECIGJSLTUERCDGJSLTCEHJSLTCFIJSLTRRZRUKPUIUJUKUHULUMUNUFUG $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       13-Aug-2012.) $)
    dalemsea $p |- ( ph -> S e. A ) $=
      ( wcel w3a co wbr chlt cbs cfv wa wn simp131 sylbi ) AKUAQCKUBUCQUDZDBQEB
      QFBQRZGBQZHBQZIBQZRRNMQOMQUDZCDEJSLTUECEFJSLTUECFDJSLTUERCGHJSLTUECHIJSLT
      UECIGJSLTUERCDGJSLTCEHJSLTCFIJSLTRRZRUJPUJUKULUHUIUMUNUFUG $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       13-Aug-2012.) $)
    dalemtea $p |- ( ph -> T e. A ) $=
      ( wcel w3a co wbr chlt cbs cfv wa wn simp132 sylbi ) AKUAQCKUBUCQUDZDBQEB
      QFBQRZGBQZHBQZIBQZRRNMQOMQUDZCDEJSLTUECEFJSLTUECFDJSLTUERCGHJSLTUECHIJSLT
      UECIGJSLTUERCDGJSLTCEHJSLTCFIJSLTRRZRUKPUJUKULUHUIUMUNUFUG $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       13-Aug-2012.) $)
    dalemuea $p |- ( ph -> U e. A ) $=
      ( wcel w3a co wbr chlt cbs cfv wa wn simp133 sylbi ) AKUAQCKUBUCQUDZDBQEB
      QFBQRZGBQZHBQZIBQZRRNMQOMQUDZCDEJSLTUECEFJSLTUECFDJSLTUERCGHJSLTUECHIJSLT
      UECIGJSLTUERCDGJSLTCEHJSLTCFIJSLTRRZRULPUJUKULUHUIUMUNUFUG $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       13-Aug-2012.) $)
    dalemyeo $p |- ( ph -> Y e. O ) $=
      ( wcel w3a co wbr chlt cbs cfv wa wn simp2l sylbi ) AKUAQCKUBUCQUDDBQEBQF
      BQRGBQHBQIBQRRZNMQZOMQZUDCDEJSLTUECEFJSLTUECFDJSLTUERCGHJSLTUECHIJSLTUECI
      GJSLTUERCDGJSLTCEHJSLTCFIJSLTRRZRUIPUHUIUJUKUFUG $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       13-Aug-2012.) $)
    dalemzeo $p |- ( ph -> Z e. O ) $=
      ( wcel w3a co wbr chlt cbs cfv wa wn simp2r sylbi ) AKUAQCKUBUCQUDDBQEBQF
      BQRGBQHBQIBQRRZNMQZOMQZUDCDEJSLTUECEFJSLTUECFDJSLTUERCGHJSLTUECHIJSLTUECI
      GJSLTUERCDGJSLTCEHJSLTCFIJSLTRRZRUJPUHUIUJUKUFUG $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       13-Aug-2012.) $)
    dalemclpjs $p |- ( ph -> C .<_ ( P .\/ S ) ) $=
      ( wcel w3a co wbr chlt cbs cfv wa wn simp331 sylbi ) AKUAQCKUBUCQUDDBQEBQ
      FBQRGBQHBQIBQRRZNMQOMQUDZCDEJSLTUECEFJSLTUECFDJSLTUERZCGHJSLTUECHIJSLTUEC
      IGJSLTUERZCDGJSLTZCEHJSLTZCFIJSLTZRRRULPULUMUNUJUKUHUIUFUG $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       13-Aug-2012.) $)
    dalemclqjt $p |- ( ph -> C .<_ ( Q .\/ T ) ) $=
      ( wcel w3a co wbr chlt cbs cfv wa wn simp332 sylbi ) AKUAQCKUBUCQUDDBQEBQ
      FBQRGBQHBQIBQRRZNMQOMQUDZCDEJSLTUECEFJSLTUECFDJSLTUERZCGHJSLTUECHIJSLTUEC
      IGJSLTUERZCDGJSLTZCEHJSLTZCFIJSLTZRRRUMPULUMUNUJUKUHUIUFUG $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       13-Aug-2012.) $)
    dalemclrju $p |- ( ph -> C .<_ ( R .\/ U ) ) $=
      ( wcel w3a co wbr chlt cbs cfv wa wn simp333 sylbi ) AKUAQCKUBUCQUDDBQEBQ
      FBQRGBQHBQIBQRRZNMQOMQUDZCDEJSLTUECEFJSLTUECFDJSLTUERZCGHJSLTUECHIJSLTUEC
      IGJSLTUERZCDGJSLTZCEHJSLTZCFIJSLTZRRRUNPULUMUNUJUKUHUIUFUG $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       13-Aug-2012.) $)
    dalem-clpjq $p |- ( ph -> -. C .<_ ( P .\/ Q ) ) $=
      ( wcel w3a co wbr chlt cbs cfv wa wn simp311 sylbi ) AKUAQCKUBUCQUDDBQEBQ
      FBQRGBQHBQIBQRRZNMQOMQUDZCDEJSLTUEZCEFJSLTUEZCFDJSLTUEZRCGHJSLTUECHIJSLTU
      ECIGJSLTUERZCDGJSLTCEHJSLTCFIJSLTRZRRUJPUJUKULUMUNUHUIUFUG $.

    ${
      dalema.a $e |- A = ( Atoms ` K ) $.
      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 13-Aug-2012.) $)
      dalemceb $p |- ( ph -> C e. ( Base ` K ) ) $=
        ( wcel co wbr chlt cbs cfv wa w3a wn simp11r sylbi ) AKUARZCKUBUCRZUDDB
        REBRFBRUEZGBRHBRIBRUEZUENMROMRUDZCDEJSLTUFCEFJSLTUFCFDJSLTUFUECGHJSLTUF
        CHIJSLTUFCIGJSLTUFUECDGJSLTCEHJSLTCFIJSLTUEUEZUEUJPUIUJUKULUMUNUGUH $.

      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 13-Aug-2012.) $)
      dalempeb $p |- ( ph -> P e. ( Base ` K ) ) $=
        ( wcel cbs cfv dalempea eqid atbase syl ) ADBRDKSTZRABCDEFGHIJKLMNOPUAB
        UEDKUEUBQUCUD $.

      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 13-Aug-2012.) $)
      dalemqeb $p |- ( ph -> Q e. ( Base ` K ) ) $=
        ( wcel cbs cfv dalemqea eqid atbase syl ) AEBREKSTZRABCDEFGHIJKLMNOPUAB
        UEEKUEUBQUCUD $.

      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 13-Aug-2012.) $)
      dalemreb $p |- ( ph -> R e. ( Base ` K ) ) $=
        ( wcel cbs cfv dalemrea eqid atbase syl ) AFBRFKSTZRABCDEFGHIJKLMNOPUAB
        UEFKUEUBQUCUD $.

      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 13-Aug-2012.) $)
      dalemseb $p |- ( ph -> S e. ( Base ` K ) ) $=
        ( wcel cbs cfv dalemsea eqid atbase syl ) AGBRGKSTZRABCDEFGHIJKLMNOPUAB
        UEGKUEUBQUCUD $.

      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 13-Aug-2012.) $)
      dalemteb $p |- ( ph -> T e. ( Base ` K ) ) $=
        ( wcel cbs cfv dalemtea eqid atbase syl ) AHBRHKSTZRABCDEFGHIJKLMNOPUAB
        UEHKUEUBQUCUD $.

      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 13-Aug-2012.) $)
      dalemueb $p |- ( ph -> U e. ( Base ` K ) ) $=
        ( wcel cbs cfv dalemuea eqid atbase syl ) AIBRIKSTZRABCDEFGHIJKLMNOPUAB
        UEIKUEUBQUCUD $.
    $}

    ${
      dalemb.j $e |- .\/ = ( join ` K ) $.
      dalemb.a $e |- A = ( Atoms ` K ) $.
      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 13-Aug-2012.) $)
      dalempjqeb $p |- ( ph -> ( P .\/ Q ) e. ( Base ` K ) ) $=
        ( chlt wcel co cbs cfv dalemkehl dalempea dalemqea eqid hlatjcl syl3anc
        ) AKSTDBTEBTDEJUAKUBUCZTABCDEFGHIJKLMNOPUDABCDEFGHIJKLMNOPUEABCDEFGHIJK
        LMNOPUFBUJJKDEUJUGQRUHUI $.

      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 13-Aug-2012.) $)
      dalemsjteb $p |- ( ph -> ( S .\/ T ) e. ( Base ` K ) ) $=
        ( chlt wcel co cbs cfv dalemkehl dalemsea dalemtea eqid hlatjcl syl3anc
        ) AKSTGBTHBTGHJUAKUBUCZTABCDEFGHIJKLMNOPUDABCDEFGHIJKLMNOPUEABCDEFGHIJK
        LMNOPUFBUJJKGHUJUGQRUHUI $.

      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 13-Aug-2012.) $)
      dalemtjueb $p |- ( ph -> ( T .\/ U ) e. ( Base ` K ) ) $=
        ( chlt wcel co cbs cfv dalemkehl dalemtea dalemuea eqid hlatjcl syl3anc
        ) AKSTHBTIBTHIJUAKUBUCZTABCDEFGHIJKLMNOPUDABCDEFGHIJKLMNOPUEABCDEFGHIJK
        LMNOPUFBUJJKHIUJUGQRUHUI $.

      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 13-Aug-2012.) $)
      dalemqrprot $p |- ( ph
  -> ( ( Q .\/ R ) .\/ P ) = ( ( P .\/ Q ) .\/ R ) ) $=
        ( wcel co chlt dalemkehl dalemqea dalemrea dalempea hlatjrot syl13anc
        wceq ) AKUASEBSFBSDBSEFJTDJTDEJTFJTUHABCDEFGHIJKLMNOPUBABCDEFGHIJKLMNOP
        UCABCDEFGHIJKLMNOPUDABCDEFGHIJKLMNOPUEBEFDJKQRUFUG $.
    $}

    ${
      dalemyeb.o $e |- O = ( LPlanes ` K ) $.
      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 13-Aug-2012.) $)
      dalemyeb $p |- ( ph -> Y e. ( Base ` K ) ) $=
        ( wcel cbs cfv dalemyeo eqid lplnbase syl ) ANMRNKSTZRABCDEFGHIJKLMNOPU
        AUEMKNUEUBQUCUD $.
    $}

    dalemc.l $e |- .<_ = ( le ` K ) $.
    dalemc.j $e |- .\/ = ( join ` K ) $.
    dalemc.a $e |- A = ( Atoms ` K ) $.
    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       13-Aug-2012.) $)
    dalemcnes $p |- ( ph -> C =/= S ) $=
      ( wcel clat cbs cfv co wbr wne dalemkelat dalemceb dalemseb dalemteb chlt
      wn wa w3a simp321 sylbi eqid latnlej1l syl131anc ) AKUATCKUBUCZTZGUTTHUTT
      CGHJUDLUEULZCGUFABCDEFGHIJKLMNOPUGABCDEFGHIJKLMNOPSUHABCDEFGHIJKLMNOPSUIA
      BCDEFGHIJKLMNOPSUJAKUKTVAUMDBTEBTFBTUNGBTHBTIBTUNUNZNMTOMTUMZCDEJUDLUEULC
      EFJUDLUEULCFDJUDLUEULUNZVBCHIJUDLUEULZCIGJUDLUEULZUNCDGJUDLUECEHJUDLUECFI
      JUDLUEUNZUNUNVBPVBVFVGVEVHVCVDUOUPUTJKLCGHUTUQQRURUS $.

    ${
      dalempnes.o $e |- O = ( LPlanes ` K ) $.
      dalempnes.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 13-Aug-2012.) $)
      dalempnes $p |- ( ph -> P =/= S ) $=
        ( wbr wn wne clat wcel cbs cfv co dalemkelat dalemceb dalemseb dalemteb
        chlt w3a simp321 sylbi eqid latnlej2l syl131anc dalemclpjs oveq1 breq2d
        wceq syl5ibcom dalemkehl dalemsea hlatjidm syl2anc sylibd necon3bd mpd
        wa ) ACGLUBZUCZDGUDAKUEUFCKUGUHZUFZGVPUFHVPUFCGHJUILUBUCZVOABCDEFGHIJKL
        MNOPUJABCDEFGHIJKLMNOPSUKABCDEFGHIJKLMNOPSULABCDEFGHIJKLMNOPSUMAKUNUFZV
        QVMDBUFEBUFFBUFUOGBUFZHBUFIBUFUOUOZNMUFOMUFVMZCDEJUILUBUCCEFJUILUBUCCFD
        JUILUBUCUOZVRCHIJUILUBUCZCIGJUILUBUCZUOCDGJUIZLUBZCEHJUILUBCFIJUILUBUOZ
        UOUOVRPVRWDWEWCWHWAWBUPUQVPJKLCGHVPURQRUSUTAVNDGADGVDZCGGJUIZLUBZVNAWGW
        IWKABCDEFGHIJKLMNOPVAWIWFWJCLDGGJVBVCVEAWJGCLAVSVTWJGVDABCDEFGHIJKLMNOP
        VFABCDEFGHIJKLMNOPVGBJKGRSVHVIVCVJVKVL $.

      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 13-Aug-2012.) $)
      dalemqnet $p |- ( ph -> Q =/= T ) $=
        ( wbr wn wne clat wcel cbs cfv co dalemkelat dalemceb dalemteb dalemueb
        chlt w3a simp322 sylbi eqid latnlej2l syl131anc dalemclqjt oveq1 breq2d
        wceq syl5ibcom dalemkehl dalemtea hlatjidm syl2anc sylibd necon3bd mpd
        wa ) ACHLUBZUCZEHUDAKUEUFCKUGUHZUFZHVPUFIVPUFCHIJUILUBUCZVOABCDEFGHIJKL
        MNOPUJABCDEFGHIJKLMNOPSUKABCDEFGHIJKLMNOPSULABCDEFGHIJKLMNOPSUMAKUNUFZV
        QVMDBUFEBUFFBUFUOGBUFHBUFZIBUFUOUOZNMUFOMUFVMZCDEJUILUBUCCEFJUILUBUCCFD
        JUILUBUCUOZCGHJUILUBUCZVRCIGJUILUBUCZUOCDGJUILUBCEHJUIZLUBZCFIJUILUBUOZ
        UOUOVRPWDVRWEWCWHWAWBUPUQVPJKLCHIVPURQRUSUTAVNEHAEHVDZCHHJUIZLUBZVNAWGW
        IWKABCDEFGHIJKLMNOPVAWIWFWJCLEHHJVBVCVEAWJHCLAVSVTWJHVDABCDEFGHIJKLMNOP
        VFABCDEFGHIJKLMNOPVGBJKHRSVHVIVCVJVKVL $.

      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 13-Aug-2012.) $)
      dalempjsen $p |- ( ph -> ( P .\/ S ) e. ( LLines ` K ) ) $=
        ( chlt wcel wne co clln cfv dalemkehl dalempea dalemsea dalempnes llni2
        eqid syl31anc ) AKUBUCDBUCGBUCDGUDDGJUEKUFUGZUCABCDEFGHIJKLMNOPUHABCDEF
        GHIJKLMNOPUIABCDEFGHIJKLMNOPUJABCDEFGHIJKLMNOPQRSTUAUKBDGJKUORSUOUMULUN
        $.

      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 13-Aug-2012.) $)
      dalemply $p |- ( ph -> P .<_ Y ) $=
        ( clat wcel cbs cfv wbr dalemkelat dalempeb dalemkehl dalemqea dalemrea
        chlt eqid hlatjcl syl3anc dalempea hlatjass syl13anc breqtrrd breqtrrdi
        co latlej1 wceq ) ADDEJVAFJVAZNLADDEFJVAZJVAZVDLAKUBUCDKUDUEZUCVEVGUCZD
        VFLUFABCDEFGHIJKLMNOPUGABCDEFGHIJKLMNOPSUHAKULUCZEBUCZFBUCZVHABCDEFGHIJ
        KLMNOPUIZABCDEFGHIJKLMNOPUJZABCDEFGHIJKLMNOPUKZBVGJKEFVGUMZRSUNUOVGJKLD
        VEVOQRVBUOAVIDBUCVJVKVDVFVCVLABCDEFGHIJKLMNOPUPVMVNBDEFJKRSUQURUSUAUT
        $.
    $}

    ${
      dalemsly.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 15-Aug-2012.) $)
      dalemsly $p |- ( ( ph /\ Y = Z ) -> S .<_ Y ) $=
        ( wceq wa wbr clat wcel cbs dalemkelat dalemseb dalemtjueb eqid latlej1
        cfv syl3anc chlt dalemkehl dalemsea dalemtea dalemuea hlatjass syl13anc
        co breqtrrd breqtrrdi adantr simpr ) ANOUAZUBGONLAGOLUCVFAGGHJVAIJVAZOL
        AGGHIJVAZJVAZVGLAKUDUEGKUFULZUEVHVJUEGVILUCABCDEFGHIJKLMNOPUGABCDEFGHIJ
        KLMNOPSUHABCDEFGHIJKLMNOPRSUIVJJKLGVHVJUJQRUKUMAKUNUEGBUEHBUEIBUEVGVIUA
        ABCDEFGHIJKLMNOPUOABCDEFGHIJKLMNOPUPABCDEFGHIJKLMNOPUQABCDEFGHIJKLMNOPU
        RBGHIJKRSUSUTVBTVCVDAVFVEVB $.
    $}

    $( Lemma for ~ dath .  Swap the role of planes ` Y ` and ` Z ` to allow
       reuse of analogous proofs.  (Contributed by NM, 14-Aug-2012.) $)
    dalemswapyz $p |- ( ph -> ( ( ( K e. HL /\ C e. ( Base ` K ) )
  /\ ( S e. A /\ T e. A /\ U e. A ) /\ ( P e. A /\ Q e. A /\ R e. A ) )
 /\ ( Z e. O /\ Y e. O ) /\ ( ( -. C .<_ ( S .\/ T )
       /\ -. C .<_ ( T .\/ U )
    /\ -. C .<_ ( U .\/ S ) ) /\ ( -. C .<_ ( P .\/ Q )
        /\ -. C .<_ ( Q .\/ R )
    /\ -. C .<_ ( R .\/ P ) ) /\ ( C .<_ ( S .\/ P )
    /\ C .<_ ( T .\/ Q ) /\ C .<_ ( U .\/ R ) ) ) ) ) $=
      ( w3a chlt wcel cbs cfv wa co wbr simp11 simp13 simp12 3jca ancomd simp32
      simp2 simp31 dalemclpjs wceq dalemkehl dalempea dalemsea hlatjcom syl3anc
      wn dalemclqjt dalemqea dalemtea dalemclrju dalemrea dalemuea sylbir sylbi
      breqtrd ) AKUAUBZCKUCUDUBUEZDBUBZEBUBZFBUBZTZGBUBZHBUBZIBUBZTZTZNMUBZOMUB
      ZUEZCDEJUFLUGVCCEFJUFLUGVCCFDJUFLUGVCTZCGHJUFLUGVCCHIJUFLUGVCCIGJUFLUGVCT
      ZCDGJUFZLUGCEHJUFZLUGCFIJUFZLUGTZTZTZVNWBVRTZWEWDUEZWHWGCGDJUFZLUGZCHEJUF
      ZLUGZCIFJUFZLUGZTZTZTPWNWOWPXDWNVNWBVRVNVRWBWFWMUHVNVRWBWFWMUIVNVRWBWFWMU
      JUKWNWDWEWCWFWMUNULWNWHWGXCWCWFWGWHWLUMWCWFWGWHWLUOWNAXCPAWRWTXBACWIWQLAB
      CDEFGHIJKLMNOPUPAVMVOVSWIWQUQABCDEFGHIJKLMNOPURZABCDEFGHIJKLMNOPUSABCDEFG
      HIJKLMNOPUTBJKDGRSVAVBVLACWJWSLABCDEFGHIJKLMNOPVDAVMVPVTWJWSUQXEABCDEFGHI
      JKLMNOPVEABCDEFGHIJKLMNOPVFBJKEHRSVAVBVLACWKXALABCDEFGHIJKLMNOPVGAVMVQWAW
      KXAUQXEABCDEFGHIJKLMNOPVHABCDEFGHIJKLMNOPVIBJKFIRSVAVBVLUKVJUKUKVK $.

    ${
      dalemrot.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalemrot.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      $( Lemma for ~ dath .  Rotate triangles ` Y = P Q R ` and ` Z = S T U `
         to allow reuse of analogous proofs.  (Contributed by NM,
         14-Aug-2012.) $)
      dalemrot $p |- ( ph -> ( ( ( K e. HL /\ C e. ( Base ` K ) )
    /\ ( Q e. A /\ R e. A /\ P e. A ) /\ ( T e. A /\ U e. A /\ S e. A ) )
  /\ ( ( ( Q .\/ R ) .\/ P ) e. O /\ ( ( T .\/ U ) .\/ S ) e. O )
  /\ ( ( -. C .<_ ( Q .\/ R ) /\ -. C .<_ ( R .\/ P )
       /\ -. C .<_ ( P .\/ Q ) )
    /\ ( -. C .<_ ( T .\/ U ) /\ -. C .<_ ( U .\/ S )
        /\ -. C .<_ ( S .\/ T ) )
    /\ ( C .<_ ( Q .\/ T ) /\ C .<_ ( R .\/ U )
        /\ C .<_ ( P .\/ S ) ) ) ) ) $=
        ( chlt wcel cbs cfv wa w3a wbr dalemkehl dalemceb jca dalemqea dalemrea
        dalempea 3jca dalemtea dalemuea dalemsea dalemqrprot dalemyeo eqeltrrid
        co wn eqeltrd wceq hlatjrot syl13anc dalemzeo simp312 sylbi dalem-clpjq
        simp313 simp322 simp323 simp321 dalemclqjt dalemclrju dalemclpjs ) AKUB
        UCZCKUDUEUCZUFZEBUCZFBUCZDBUCZUGZHBUCZIBUCZGBUCZUGZUGEFJVBZDJVBZMUCZHIJ
        VBZGJVBZMUCZUFCWJLUHVCZCFDJVBLUHVCZCDEJVBZLUHVCZUGZCWMLUHVCZCIGJVBLUHVC
        ZCGHJVBZLUHVCZUGZCEHJVBLUHZCFIJVBLUHZCDGJVBLUHZUGZUGAWAWEWIAVSVTABCDEFG
        HIJKLMNOPUIZABCDEFGHIJKLMNOPSUJUKAWBWCWDABCDEFGHIJKLMNOPULABCDEFGHIJKLM
        NOPUMABCDEFGHIJKLMNOPUNUOAWFWGWHABCDEFGHIJKLMNOPUPZABCDEFGHIJKLMNOPUQZA
        BCDEFGHIJKLMNOPURZUOUOAWLWOAWKWRFJVBZMABCDEFGHIJKLMNOPRSUSAXNNMTABCDEFG
        HIJKLMNOPUTVAVDAWNXCIJVBZMAVSWFWGWHWNXOVEXJXKXLXMBHIGJKRSVFVGAXOOMUAABC
        DEFGHIJKLMNOPVHVAVDUKAWTXEXIAWPWQWSAWAWDWBWCUGWHWFWGUGUGZNMUCOMUCUFZWSW
        PWQUGZXDXAXBUGZXHXFXGUGZUGUGZWPPWSWPWQXSXTXPXQVIVJAYAWQPWSWPWQXSXTXPXQV
        LVJABCDEFGHIJKLMNOPVKUOAXAXBXDAYAXAPXDXAXBXRXTXPXQVMVJAYAXBPXDXAXBXRXTX
        PXQVNVJAYAXDPXDXAXBXRXTXPXQVOVJUOAXFXGXHABCDEFGHIJKLMNOPVPABCDEFGHIJKLM
        NOPVQABCDEFGHIJKLMNOPVRUOUOUO $.

      $( Lemma for ~ dath .  Rotate triangles ` Y = P Q R ` and ` Z = S T U `
         to allow reuse of analogous proofs.  (Contributed by NM,
         19-Aug-2012.) $)
      dalemrotyz $p |- ( ( ph /\ Y = Z )
            -> ( ( Q .\/ R ) .\/ P ) = ( ( T .\/ U ) .\/ S ) ) $=
        ( wceq wa simpr dalemqrprot eqtr4id adantr chlt wcel dalemkehl dalemtea
        co dalemuea dalemsea hlatjrot syl13anc 3eqtr3d ) ANOUBZUCNOEFJULDJULZHI
        JULGJULZAURUDANUSUBURANDEJULFJULUSTABCDEFGHIJKLMNOPRSUEUFUGAOUTUBURAOGH
        JULIJULZUTUAAKUHUIHBUIIBUIGBUIUTVAUBABCDEFGHIJKLMNOPUJABCDEFGHIJKLMNOPU
        KABCDEFGHIJKLMNOPUMABCDEFGHIJKLMNOPUNBHIGJKRSUOUPUFUGUQ $.
    $}

    ${
      dalem1.o $e |- O = ( LPlanes ` K ) $.
      dalem1.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      $( Lemma for ~ dath .  Show the lines ` P S ` and ` Q T ` are different.
         (Contributed by NM, 9-Aug-2012.) $)
      dalem1 $p |- ( ph -> ( P .\/ S ) =/= ( Q .\/ T ) ) $=
        ( co wbr wne dalemclpjs wceq dalem-clpjq adantr chlt dalemkehl dalempea
        wn wcel dalemsea hlatlej1 syl3anc dalemqea dalemtea simpr breqtrrd clat
        wa cbs cfv dalemkelat dalempeb dalemqeb eqid latjle12 syl13anc mpbi2and
        hlatjcl dalemrea dalemyeo lplnri1 syl131anc ps-1 syl132anc mpbid breq2d
        wb mtbid ex necon2ad mpd ) ACDGJUBZLUCZWFEHJUBZUDABCDEFGHIJKLMNOPUEAWGW
        FWHAWFWHUFZWGULAWIVBZCDEJUBZLUCZWGAWLULWIABCDEFGHIJKLMNOPUGUHWJWKWFCLWJ
        WKWFLUCZWKWFUFZWJDWFLUCZEWFLUCZWMAWOWIAKUIUMZDBUMZGBUMZWOABCDEFGHIJKLMN
        OPUJZABCDEFGHIJKLMNOPUKZABCDEFGHIJKLMNOPUNZBDGJKLQRSUOUPUHWJEWHWFLAEWHL
        UCZWIAWQEBUMZHBUMXCWTABCDEFGHIJKLMNOPUQZABCDEFGHIJKLMNOPURBEHJKLQRSUOUP
        UHAWIUSUTAWOWPVBWMWAZWIAKVAUMDKVCVDZUMEXGUMWFXGUMZXFABCDEFGHIJKLMNOPVEA
        BCDEFGHIJKLMNOPSVFABCDEFGHIJKLMNOPSVGAWQWRWSXHWTXAXBBXGJKDGXGVHZRSVLUPX
        GJKLDEWFXIQRVIVJUHVKAWMWNWAZWIAWQWRXDDEUDZWRWSXJWTXAXEAWQWRXDFBUMNMUMXK
        WTXAXEABCDEFGHIJKLMNOPVMABCDEFGHIJKLMNOPVNBMDEFJKNRSTUAVOVPXAXBBDEDGJKL
        QRSVQVRUHVSVTWBWCWDWE $.

      $( Lemma for ~ dath .  Frequently-used utility lemma.  Here we show that
         ` C ` must be an atom.  This is an assumption in most presentations of
         Desargues's theorem; instead, we assume only the ` C ` is a lattice
         element, in order to make later substitutions for ` C ` easier.
         (Contributed by NM, 23-Sep-2012.) $)
      dalemcea $p |- ( ph -> C e. A ) $=
        ( cmee cfv cops wcel cbs cp0 wne wceq dalemkeop dalemceb chlt dalemkehl
        co wbr clln dalempjsen dalemqea dalemtea dalemqnet eqid syl31anc dalem1
        llni2 wn dalem-clpjq dalempjqeb op0le syl2anc breq1 syl5ibrcom necon3bd
        cplt wb opltn0 mpbird dalemclpjs dalemclqjt clat wa dalemkelat dalempea
        mpd dalemsea hlatjcl syl3anc latlem12 syl13anc mpbi2and cpo opposet syl
        wi op0cl latmcl pltletr mp2and mpbid 2llnmat syl32anc leat2 eqeltrd ) A
        CDGJUNZEHJUNZKUBUCZUNZBAKUDUEZCKUFUCZUEZXFBUEZCKUGUCZUHZCXFLUOZCXFUIABC
        DEFGHIJKLMNOPUJZABCDEFGHIJKLMNOPSUKZAKULUEZXCKUPUCZUEXDXQUEZXCXDUHXFXKU
        HZXJABCDEFGHIJKLMNOPUMZABCDEFGHIJKLMNOPQRSTUAUQAXPEBUEZHBUEZEHUHXRXTABC
        DEFGHIJKLMNOPURZABCDEFGHIJKLMNOPUSZABCDEFGHIJKLMNOPQRSTUAUTBEHJKXQRSXQV
        AZVDVBABCDEFGHIJKLMNOPQRSTUAVCAXKXFKVMUCZUOZXSAXKCYFUOZXMYGAYHXLACDEJUN
        ZLUOZVEXLABCDEFGHIJKLMNOPVFAYJCXKAYJCXKUIXKYILUOZAXGYIXHUEYKXNABCDEFGHI
        JKLMNOPRSVGXHKLYIXKXHVAZQXKVAZVHVICXKYILVJVKVLWCZAXGXIYHXLVNXNXOXHYFKCX
        KYLYFVAZYMVOVIVPACXCLUOZCXDLUOZXMABCDEFGHIJKLMNOPVQABCDEFGHIJKLMNOPVRAK
        VSUEZXIXCXHUEZXDXHUEZYPYQVTXMVNABCDEFGHIJKLMNOPWAZXOAXPDBUEGBUEYSXTABCD
        EFGHIJKLMNOPWBABCDEFGHIJKLMNOPWDBXHJKDGYLRSWEWFZAXPYAYBYTXTYCYDBXHJKEHY
        LRSWEWFZXHKLXECXCXDYLQXEVAZWGWHWIZAKWJUEZXKXHUEZXIXFXHUEZYHXMVTYGWMAXGU
        UFXNKWKWLAXGUUGXNXHKXKYLYMWNWLXOAYRYSYTUUHUUAUUBUUCXHKXEXCXDYLUUDWOWFZX
        HYFKLXKCXFYLQYOWPWHWQAXGUUHYGXSVNXNUUIXHYFKXFXKYLYOYMVOVIWRBKXEXQXCXDXK
        UUDYMSYEWSWTZYNUUEBXHXFKLCXKYLQYMSXAWTUUJXB $.

      $( Lemma for ~ dath .  Show the lines ` P Q ` and ` S T ` form a plane.
         (Contributed by NM, 11-Aug-2012.) $)
      dalem2 $p |- ( ph -> ( ( P .\/ Q ) .\/ ( S .\/ T ) ) e. O ) $=
        ( co chlt wcel wceq dalemkehl dalempea dalemqea dalemsea syl122anc cmee
        dalemtea hlatj4 cfv clln wne cp0 dalempjsen dalemqnet eqid llni2 dalem1
        syl31anc wbr dalemcea dalemclpjs dalemclqjt 2llnm4 syl132anc 2llnmat wb
        syl32anc 2llnmj syl3anc mpbid eqeltrd ) ADEJUBGHJUBJUBZDGJUBZEHJUBZJUBZ
        MAKUCUDZDBUDEBUDZGBUDHBUDZVQVTUEABCDEFGHIJKLMNOPUFZABCDEFGHIJKLMNOPUGAB
        CDEFGHIJKLMNOPUHZABCDEFGHIJKLMNOPUIABCDEFGHIJKLMNOPULZBDEGHJKRSUMUJAVRV
        SKUKUNZUBZBUDZVTMUDZAWAVRKUOUNZUDZVSWKUDZVRVSUPWHKUQUNZUPZWIWDABCDEFGHI
        JKLMNOPQRSTUAURZAWAWBWCEHUPWMWDWEWFABCDEFGHIJKLMNOPQRSTUAUSBEHJKWKRSWKU
        TZVAVCZABCDEFGHIJKLMNOPQRSTUAVBAWACBUDWLWMCVRLVDCVSLVDWOWDABCDEFGHIJKLM
        NOPQRSTUAVEWPWRABCDEFGHIJKLMNOPVFABCDEFGHIJKLMNOPVGBCKLWGWKVRVSWNQWGUTZ
        WNUTZSWQVHVIBKWGWKVRVSWNWSWTSWQVJVLAWAWLWMWIWJVKWDWPWRBMJKWGWKVRVSRWSSW
        QTVMVNVOVP $.
    $}

    ${
      dalemdea.m $e |- ./\ = ( meet ` K ) $.
      dalemdea.o $e |- O = ( LPlanes ` K ) $.
      dalemdea.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalemdea.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalemdea.d $e |- D = ( ( P .\/ Q ) ./\ ( S .\/ T ) ) $.
      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 11-Aug-2012.) $)
      dalemdea $p |- ( ph -> D e. A ) $=
        ( co wcel dalem2 chlt clln cfv dalemkehl wne dalempea dalemqea dalemrea
        wb dalemyeo lplnri1 syl131anc llni2 syl31anc dalemsea dalemtea dalemuea
        eqid dalemzeo 2llnmj syl3anc mpbird eqeltrid ) ADEFKUGZHIKUGZNUGZBUFAVO
        BUHZVMVNKUGOUHZABCEFGHIJKLMOPQRSTUAUCUDUIALUJUHZVMLUKULZUHZVNVSUHZVPVQU
        RABCEFGHIJKLMOPQRUMZAVREBUHZFBUHZEFUNZVTWBABCEFGHIJKLMOPQRUOZABCEFGHIJK
        LMOPQRUPZAVRWCWDGBUHPOUHWEWBWFWGABCEFGHIJKLMOPQRUQABCEFGHIJKLMOPQRUSBOE
        FGKLPTUAUCUDUTVABEFKLVSTUAVSVGZVBVCAVRHBUHZIBUHZHIUNZWAWBABCEFGHIJKLMOP
        QRVDZABCEFGHIJKLMOPQRVEZAVRWIWJJBUHQOUHWKWBWLWMABCEFGHIJKLMOPQRVFABCEFG
        HIJKLMOPQRVHBOHIJKLQTUAUCUEUTVABHIKLVSTUAWHVBVCBOKLNVSVMVNTUBUAWHUCVIVJ
        VKVL $.
    $}

    ${
      dalemeea.m $e |- ./\ = ( meet ` K ) $.
      dalemeea.o $e |- O = ( LPlanes ` K ) $.
      dalemeea.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalemeea.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalemeea.e $e |- E = ( ( Q .\/ R ) ./\ ( T .\/ U ) ) $.
      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 11-Aug-2012.) $)
      dalemeea $p |- ( ph -> E e. A ) $=
        ( chlt wcel cbs cfv wa w3a co wbr wn dalemrot biid eqid dalemdea syl )
        ALUGUHCLUIUJUHUKEBUHFBUHDBUHULHBUHIBUHGBUHULULEFKUMZDKUMZOUHHIKUMZGKUMZ
        OUHUKCVAMUNUOCFDKUMMUNUOCDEKUMMUNUOULCVCMUNUOCIGKUMMUNUOCGHKUMMUNUOULCE
        HKUMMUNCFIKUMMUNCDGKUMMUNULULULZJBUHABCDEFGHIKLMOPQRSTUAUDUEUPVEBCJEFDH
        IGKLMNOVBVDVEUQSTUAUBUCVBURVDURUFUSUT $.
    $}

    ${
      dalem3.m $e |- ./\ = ( meet ` K ) $.
      dalem3.o $e |- O = ( LPlanes ` K ) $.
      dalem3.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem3.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem3.d $e |- D = ( ( P .\/ Q ) ./\ ( S .\/ T ) ) $.
      dalem3.e $e |- E = ( ( Q .\/ R ) ./\ ( T .\/ U ) ) $.
      $( Lemma for ~ dalemdnee .  (Contributed by NM, 10-Aug-2012.) $)
      dalem3 $p |- ( ( ph /\ D =/= Q ) -> D =/= E ) $=
        ( wne wa co wbr chlt wcel dalemkehl dalempea dalemqea dalemrea dalemyeo
        wn lplnric syl131anc adantr wceq wi clat cbs dalemkelat hlatjcl syl3anc
        cfv eqid dalemtjueb latmle1 eqbrtrid breq1 syl5ibrcom dalemdea hlatlej2
        simpr hlatexch1 dalempjqeb dalemsjteb dalemqeb atbase latjle12 syl13anc
        wb syl mpbi2and dalemreb lattr mpan2d 3syld necon3bd mpd ) ADFUIZUJZGEF
        LUKZNULZUTZDKUIAXAWQAMUMUNZEBUNZFBUNZGBUNZQPUNXAABCEFGHIJLMNPQRSUOZABCE
        FGHIJLMNPQRSUPZABCEFGHIJLMNPQRSUQZABCEFGHIJLMNPQRSURZABCEFGHIJLMNPQRSUS
        BPEFGLMNQTUAUBUDUEVAVBVCWRWTDKWRDKVDZDFGLUKZNULZGFDLUKZNULZWTAXJXLVEWQA
        XLXJKXKNULAKXKIJLUKZOUKZXKNUHAMVFUNZXKMVGVKZUNZXOXRUNXPXKNULABCEFGHIJLM
        NPQRSVHZAXBXDXEXSXFXHXIBXRLMFGXRVLZUAUBVIVJABCEFGHIJLMNPQRSUAUBVMXRMNOX
        KXOYATUCVNVJVODKXKNVPVQVCWRXBDBUNZXEXDWQXLXNVEAXBWQXFVCAYBWQABCDEFGHIJL
        MNOPQRSTUAUBUCUDUEUFUGVRZVCAXEWQXIVCAXDWQXHVCAWQVTBDGFLMNTUAUBWAVBAXNWT
        VEWQAXNXMWSNULZWTAFWSNULZDWSNULZYDAXBXCXDYEXFXGXHBEFLMNTUAUBVSVJADWSHIL
        UKZOUKZWSNUGAXQWSXRUNZYGXRUNYHWSNULXTABCEFGHIJLMNPQRSUAUBWBZABCEFGHIJLM
        NPQRSUAUBWCXRMNOWSYGYATUCVNVJVOAXQFXRUNDXRUNZYIYEYFUJYDWHXTABCEFGHIJLMN
        PQRSUBWDAYBYKYCBXRDMYAUBWEWIYJXRLMNFDWSYATUAWFWGWJAXQGXRUNXMXRUNZYIXNYD
        UJWTVEXTABCEFGHIJLMNPQRSUBWKAXBXDYBYLXFXHYCBXRLMFDYAUAUBVIVJYJXRMNGXMWS
        YATWLWGWMVCWNWOWP $.

      $( Lemma for ~ dalemdnee .  (Contributed by NM, 10-Aug-2012.) $)
      dalem4 $p |- ( ( ph /\ D =/= T ) -> D =/= E ) $=
        ( wne wa co chlt wcel cbs cfv w3a wn dalemswapyz adantr clat dalemkelat
        wbr wceq dalempjqeb dalemsjteb eqid latmcom syl5eq neeq1d biimpa dalem3
        syl3anc syl2anc dalemkehl dalemqea dalemrea hlatjcl dalemtjueb 3netr4d
        biid ) ADIUIZUJZHILUKZEFLUKZOUKZIJLUKZFGLUKZOUKZDKWBMULUMZCMUNUOZUMUJHB
        UMIBUMJBUMUPEBUMFBUMZGBUMZUPUPRPUMQPUMUJCWCNVBUQCWFNVBUQCJHLUKNVBUQUPCW
        DNVBUQCWGNVBUQCGELUKNVBUQUPCHELUKNVBCIFLUKNVBCJGLUKNVBUPUPUPZWEIUIZWEWH
        UIAWMWAABCEFGHIJLMNPQRSTUAUBURUSAWAWNADWEIADWDWCOUKZWEUGAMUTUMZWDWJUMWC
        WJUMWOWEVCABCEFGHIJLMNPQRSVAZABCEFGHIJLMNPQRSUAUBVDABCEFGHIJLMNPQRSUAUB
        VEWJMOWDWCWJVFZUCVGVLVHZVIVJWMBCWEHIJEFGWHLMNOPRQWMVTTUAUBUCUDUFUEWEVFW
        HVFVKVMADWEVCWAWSUSAKWHVCWAAKWGWFOUKZWHUHAWPWGWJUMZWFWJUMWTWHVCWQAWIWKW
        LXAABCEFGHIJLMNPQRSVNABCEFGHIJLMNPQRSVOABCEFGHIJLMNPQRSVPBWJLMFGWRUAUBV
        QVLABCEFGHIJLMNPQRSUAUBVRWJMOWGWFWRUCVGVLVHUSVS $.

      $( Lemma for ~ dath .  Axis of perspectivity points ` D ` and ` E ` are
         different.  (Contributed by NM, 10-Aug-2012.) $)
      dalemdnee $p |- ( ph -> D =/= E ) $=
        ( wne wa simpr dalemqnet adantr eqnetrd dalem4 syldan dalem3 pm2.61dane
        wceq ) ADKUIZDFADFUSZDIUIUTAVAUJDFIAVAUKAFIUIVAABCEFGHIJLMNPQRSTUAUBUDU
        EULUMUNABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUOUPABCDEFGHIJKLMNOPQRSTUAUB
        UCUDUEUFUGUHUQUR $.
    $}

    ${
      dalem5.o $e |- O = ( LPlanes ` K ) $.
      dalem5.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem5.w $e |- W = ( Y .\/ C ) $.
      $( Lemma for ~ dath .  Atom ` U ` (in plane ` Z = S T U ` ) belongs to
         the 3-dimensional volume formed by ` Y ` and ` C ` .  (Contributed by
         NM, 21-Jul-2012.) $)
      dalem5 $p |- ( ph -> U .<_ W ) $=
        ( cbs co eqid dalemkelat dalemueb chlt wcel dalemkehl dalemrea dalemcea
        cfv hlatjcl syl3anc dalemyeb dalemceb latjcl eqeltrid wbr dalemclrju wi
        clat wne dalemuea wn dalempea simp313 sylbi atnlej1 syl131anc hlatexch1
        w3a mpd dalempjqeb dalemreb latlej2 breqtrrdi latjlej1 syl13anc lattrd
        wa ) AKUDUNZKLIFCJUEZNWDUFZRABCDEFGHIJKLMOPQUGZABCDEFGHIJKLMOPQTUHAKUIU
        JZFBUJZCBUJZWEWDUJABCDEFGHIJKLMOPQUKZABCDEFGHIJKLMOPQULZABCDEFGHIJKLMOP
        QRSTUAUBUMZBWDJKFCWFSTUOUPANOCJUEZWDUCAKVDUJZOWDUJZCWDUJZWNWDUJWGABCDEF
        GHIJKLMOPQUAUQZABCDEFGHIJKLMOPQTURZWDJKOCWFSUSUPUTACFIJUELVAZIWELVAZABC
        DEFGHIJKLMOPQVBAWHWJIBUJZWICFVEZWTXAVCWKWMABCDEFGHIJKLMOPQVFWLAWHWJWIDB
        UJZCFDJUELVAVGZXCWKWMWLABCDEFGHIJKLMOPQVHAWHWQWCXDEBUJWIVNGBUJHBUJXBVNV
        NZOMUJPMUJWCZCDEJUEZLVAVGZCEFJUELVAVGZXEVNCGHJUELVAVGCHIJUELVAVGCIGJUEL
        VAVGVNZCDGJUELVACEHJUELVAWTVNZVNVNXEQXIXJXEXKXLXFXGVIVJBCFDJKLRSTVKVLBC
        IFJKLRSTVMVLVOAWEWNNLAFOLVAZWEWNLVAZAFXHFJUEZOLAWOXHWDUJFWDUJZFXOLVAWGA
        BCDEFGHIJKLMOPQSTVPABCDEFGHIJKLMOPQTVQZWDJKLXHFWFRSVRUPUBVSAWOXPWPWQXMX
        NVCWGXQWRWSWDJKLFOCWFRSVTWAVOUCVSWB $.
    $}

    ${
      dalem6.o $e |- O = ( LPlanes ` K ) $.
      dalem6.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem6.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem6.w $e |- W = ( Y .\/ C ) $.
      $( Lemma for ~ dath .  Analogue of ~ dalem5 for ` S ` .  (Contributed by
         NM, 21-Jul-2012.) $)
      dalem6 $p |- ( ph -> S .<_ W ) $=
        ( co chlt wcel cbs cfv wa w3a wbr dalemrot biid eqid dalem5 dalemqrprot
        wn syl eqtr4id oveq1d syl5eq breqtrrd ) AGEFJUEZDJUEZCJUEZNLAKUFUGCKUHU
        IUGUJEBUGFBUGDBUGUKHBUGIBUGGBUGUKUKVEMUGHIJUEZGJUEZMUGUJCVDLULURCFDJUEL
        ULURCDEJUEZLULURUKCVGLULURCIGJUELULURCGHJUELULURUKCEHJUELULCFIJUELULCDG
        JUELULUKUKUKZGVFLULABCDEFGHIJKLMOPQRSTUBUCUMVJBCEFDHIGJKLMVFVEVHVJUNRST
        UAVEUOVFUOUPUSANOCJUEVFUDAOVECJAOVIFJUEVEUBABCDEFGHIJKLMOPQSTUQUTVAVBVC
        $.

      $( Lemma for ~ dath .  Analogue of ~ dalem5 for ` T ` .  (Contributed by
         NM, 21-Jul-2012.) $)
      dalem7 $p |- ( ph -> T .<_ W ) $=
        ( co chlt wcel cbs cfv wa w3a wbr dalemrot biid eqid dalem6 dalemqrprot
        wn syl eqtr4id oveq1d syl5eq breqtrrd ) AHEFJUEZDJUEZCJUEZNLAKUFUGCKUHU
        IUGUJEBUGFBUGDBUGUKHBUGIBUGGBUGUKUKVEMUGHIJUEZGJUEZMUGUJCVDLULURCFDJUEL
        ULURCDEJUEZLULURUKCVGLULURCIGJUELULURCGHJUELULURUKCEHJUELULCFIJUELULCDG
        JUELULUKUKUKZHVFLULABCDEFGHIJKLMOPQRSTUBUCUMVJBCEFDHIGJKLMVFVEVHVJUNRST
        UAVEUOVHUOVFUOUPUSANOCJUEVFUDAOVECJAOVIFJUEVEUBABCDEFGHIJKLMOPQSTUQUTVA
        VBVC $.

      $( Lemma for ~ dath .  Plane ` Z ` belongs to the 3-dimensional space.
         (Contributed by NM, 21-Jul-2012.) $)
      dalem8 $p |- ( ph -> Z .<_ W ) $=
        ( co wbr dalem6 dalem7 clat wcel cbs wa wb dalemkelat dalemseb dalemteb
        dalemyeb dalemceb eqid latjcl syl3anc eqeltrid latjle12 syl13anc dalem5
        cfv mpbi2and dalemsjteb dalemueb eqbrtrid ) APGHJUEZIJUEZNLUCAVKNLUFZIN
        LUFZVLNLUFZAGNLUFZHNLUFZVMABCDEFGHIJKLMNOPQRSTUAUBUCUDUGABCDEFGHIJKLMNO
        PQRSTUAUBUCUDUHAKUIUJZGKUKVFZUJHVSUJNVSUJZVPVQULVMUMABCDEFGHIJKLMOPQUNZ
        ABCDEFGHIJKLMOPQTUOABCDEFGHIJKLMOPQTUPANOCJUEZVSUDAVROVSUJCVSUJWBVSUJWA
        ABCDEFGHIJKLMOPQUAUQABCDEFGHIJKLMOPQTURVSJKOCVSUSZSUTVAVBZVSJKLGHNWCRSV
        CVDVGABCDEFGHIJKLMNOPQRSTUAUBUDVEAVRVKVSUJIVSUJVTVMVNULVOUMWAABCDEFGHIJ
        KLMOPQSTVHABCDEFGHIJKLMOPQTVIWDVSJKLVKINWCRSVCVDVGVJ $.
    $}

    ${
      dalem-cly.o $e |- O = ( LPlanes ` K ) $.
      dalem-cly.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem-cly.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      $( Lemma for ~ dalem9 .  Center of perspectivity ` C ` is not in plane
         ` Y ` (when ` Y ` and ` Z ` are different planes).  (Contributed by
         NM, 13-Aug-2012.) $)
      dalem-cly $p |- ( ( ph /\ Y =/= Z ) -> -. C .<_ Y ) $=
        ( wne wbr wn wceq co clat wcel cbs wb dalemkelat dalemceb dalemyeb eqid
        cfv latleeqj1 syl3anc dalemclpjs wi dalemcea dalemsea dalempea dalemqea
        dalemkehl dalem-clpjq atnlej1 syl131anc hlatexch1 mpd hlatjcom breqtrrd
        chlt dalemclqjt dalemtea dalemrea wa w3a simp312 sylbi dalemseb hlatjcl
        dalemteb latjlej12 mp2and dalempeb dalemqeb latjjdi syl13anc dalemclrju
        syl122anc dalemuea simp313 dalemsjteb dalempjqeb latjcl dalemueb oveq2i
        dalemreb 3brtr4g breq2 syl5ibcom sylbid dalemzeo dalemyeo lplncmp eqcom
        bitrdi sylibd necon3ad imp ) ANOUCCNLUDZUEAXLNOAXLONLUDZNOUFZAXLCNJUGZN
        UFZXMAKUHUIZCKUJUPZUIZNXRUIXLXPUKABCDEFGHIJKLMNOPULZABCDEFGHIJKLMNOPSUM
        ZABCDEFGHIJKLMNOPTUNXRJKLCNXRUOZQRUQURAOXOLUDXPXMAGHJUGZIJUGZCDEJUGZFJU
        GZJUGZOXOLAYDCYEJUGZCFJUGZJUGZYGLAYCYHLUDZIYILUDZYDYJLUDZAYCCDJUGZCEJUG
        ZJUGZYHLAGYNLUDZHYOLUDZYCYPLUDZAGDCJUGZYNLACDGJUGLUDZGYTLUDZABCDEFGHIJK
        LMNOPUSAKVMUIZCBUIZGBUIZDBUIZCDUCZUUAUUBUTABCDEFGHIJKLMNOPVEZABCDEFGHIJ
        KLMNOPQRSTUAVAZABCDEFGHIJKLMNOPVBABCDEFGHIJKLMNOPVCZAUUCUUDUUFEBUIZCYEL
        UDUEZUUGUUHUUIUUJABCDEFGHIJKLMNOPVDZABCDEFGHIJKLMNOPVFBCDEJKLQRSVGVHBCG
        DJKLQRSVIVHVJAUUCUUDUUFYNYTUFUUHUUIUUJBJKCDRSVKURVLAHECJUGZYOLACEHJUGLU
        DZHUUNLUDZABCDEFGHIJKLMNOPVNAUUCUUDHBUIZUUKCEUCZUUOUUPUTUUHUUIABCDEFGHI
        JKLMNOPVOUUMAUUCUUDUUKFBUIZCEFJUGLUDUEZUURUUHUUIUUMABCDEFGHIJKLMNOPVPZA
        UUCXSVQUUFUUKUUSVRUUEUUQIBUIZVRVRZNMUIZOMUIZVQZUULUUTCFDJUGLUDUEZVRCYCL
        UDUECHIJUGLUDUECIGJUGLUDUEVRZUUAUUOCFIJUGLUDZVRZVRVRZUUTPUULUUTUVGUVHUV
        JUVCUVFVSVTBCEFJKLQRSVGVHBCHEJKLQRSVIVHVJAUUCUUDUUKYOUUNUFUUHUUIUUMBJKC
        ERSVKURVLAXQGXRUIYNXRUIZHXRUIYOXRUIZYQYRVQYSUTXTABCDEFGHIJKLMNOPSWAAUUC
        UUDUUFUVLUUHUUIUUJBXRJKCDYBRSWBURABCDEFGHIJKLMNOPSWCAUUCUUDUUKUVMUUHUUI
        UUMBXRJKCEYBRSWBURXRJKLYOGYNHYBQRWDWKWEAXQXSDXRUIEXRUIYHYPUFXTYAABCDEFG
        HIJKLMNOPSWFABCDEFGHIJKLMNOPSWGXRJKCDEYBRWHWIVLAIFCJUGZYILAUVIIUVNLUDZA
        BCDEFGHIJKLMNOPWJAUUCUUDUVBUUSCFUCZUVIUVOUTUUHUUIABCDEFGHIJKLMNOPWLUVAA
        UUCUUDUUSUUFUVGUVPUUHUUIUVAUUJAUVKUVGPUULUUTUVGUVHUVJUVCUVFWMVTBCFDJKLQ
        RSVGVHBCIFJKLQRSVIVHVJAUUCUUDUUSYIUVNUFUUHUUIUVABJKCFRSVKURVLAXQYCXRUIY
        HXRUIZIXRUIYIXRUIZYKYLVQYMUTXTABCDEFGHIJKLMNOPRSWNAXQXSYEXRUIZUVQXTYAAB
        CDEFGHIJKLMNOPRSWOZXRJKCYEYBRWPURABCDEFGHIJKLMNOPSWQAUUCUUDUUSUVRUUHUUI
        UVABXRJKCFYBRSWBURXRJKLYIYCYHIYBQRWDWKWEAXQXSUVSFXRUIYGYJUFXTYAUVTABCDE
        FGHIJKLMNOPSWSXRJKCYEFYBRWHWIVLUBNYFCJUAWRWTXONOLXAXBXCAXMONUFZXNAUUCUV
        EUVDXMUWAUKUUHABCDEFGHIJKLMNOPXDABCDEFGHIJKLMNOPXEMKLONQTXFURONXGXHXIXJ
        XK $.
    $}

    ${
      dalem9.o $e |- O = ( LPlanes ` K ) $.
      dalem9.v $e |- V = ( LVols ` K ) $.
      dalem9.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem9.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem9.w $e |- W = ( Y .\/ C ) $.
      $( Lemma for ~ dath .  Since ` -. C .<_ Y ` , the join ` Y .\/ C ` forms
         a 3-dimensional space.  (Contributed by NM, 20-Jul-2012.) $)
      dalem9 $p |- ( ( ph /\ Y =/= Z ) -> W e. V ) $=
        ( wne wa co chlt wcel wbr wn dalemkehl adantr dalemyeo dalem-cly lvoli3
        dalemcea syl31anc eqeltrid ) APQUGZUHZOPCJUIZNUFVCKUJUKZPMUKZCBUKZCPLUL
        UMVDNUKAVEVBABCDEFGHIJKLMPQRUNUOAVFVBABCDEFGHIJKLMPQRUPUOAVGVBABCDEFGHI
        JKLMPQRSTUAUBUDUSUOABCDEFGHIJKLMPQRSTUAUBUDUEUQBMCJKLNPSTUAUBUCURUTVA
        $.
    $}

    ${
      dalem10.m $e |- ./\ = ( meet ` K ) $.
      dalem10.o $e |- O = ( LPlanes ` K ) $.
      dalem10.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem10.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem10.x $e |- X = ( Y ./\ Z ) $.
      dalem10.d $e |- D = ( ( P .\/ Q ) ./\ ( S .\/ T ) ) $.
      $( Lemma for ~ dath .  Atom ` D ` belongs to the axis of perspectivity
         ` X ` .  (Contributed by NM, 19-Jul-2012.) $)
      dalem10 $p |- ( ph -> D .<_ X ) $=
        ( wbr clat wcel cbs dalemkelat dalempjqeb dalemreb eqid latlej1 syl3anc
        co cfv dalemsjteb dalemueb wa dalemyeb eqeltrrid dalemzeo syl latmlem12
        wi lplnbase syl122anc mp2and oveq12i eqtri 3brtr4g ) AEFKUSZHIKUSZNUSZV
        PGKUSZVQJKUSZNUSZDPMAVPVSMUIZVQVTMUIZVRWAMUIZALUJUKZVPLULUTZUKZGWFUKWBA
        BCEFGHIJKLMOQRSUMZABCEFGHIJKLMOQRSUAUBUNZABCEFGHIJKLMOQRSUBUOWFKLMVPGWF
        UPZTUAUQURAWEVQWFUKZJWFUKWCWHABCEFGHIJKLMOQRSUAUBVAZABCEFGHIJKLMOQRSUBV
        BWFKLMVQJWJTUAUQURAWEWGVSWFUKWKVTWFUKWBWCVCWDVIWHWIAVSQWFUEABCEFGHIJKLM
        OQRSUDVDVEWLAVTRWFUFAROUKRWFUKABCEFGHIJKLMOQRSVFWFOLRWJUDVJVGVEWFLMNVTV
        PVSVQWJTUCVHVKVLUHPQRNUSWAUGQVSRVTNUEUFVMVNVO $.
    $}

    ${
      dalem11.m $e |- ./\ = ( meet ` K ) $.
      dalem11.o $e |- O = ( LPlanes ` K ) $.
      dalem11.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem11.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem11.x $e |- X = ( Y ./\ Z ) $.
      dalem11.e $e |- E = ( ( Q .\/ R ) ./\ ( T .\/ U ) ) $.
      $( Lemma for ~ dath .  Analogue of ~ dalem10 for ` E ` .  (Contributed by
         NM, 23-Jul-2012.) $)
      dalem11 $p |- ( ph -> E .<_ X ) $=
        ( co chlt wcel cbs cfv wa w3a wn dalemrot biid eqid dalem10 dalemqrprot
        wbr eqtr4id wceq dalemkehl dalemtea dalemuea dalemsea hlatjrot syl13anc
        syl oveq12d syl5eq breqtrrd ) AJEFKUIZDKUIZHIKUIZGKUIZNUIZPMALUJUKZCLUL
        UMUKUNEBUKFBUKDBUKUOHBUKZIBUKZGBUKZUOUOVPOUKVROUKUNCVOMVBUPCFDKUIMVBUPC
        DEKUIZMVBUPUOCVQMVBUPCIGKUIMVBUPCGHKUIZMVBUPUOCEHKUIMVBCFIKUIMVBCDGKUIM
        VBUOUOUOZJVSMVBABCDEFGHIKLMOQRSTUAUBUEUFUQWFBCJEFDHIGKLMNOVSVPVRWFURTUA
        UBUCUDVPUSVRUSVSUSUHUTVKAPQRNUIVSUGAQVPRVRNAQWDFKUIVPUEABCDEFGHIKLMOQRS
        UAUBVAVCARWEIKUIZVRUFAVTWAWBWCVRWGVDABCDEFGHIKLMOQRSVEABCDEFGHIKLMOQRSV
        FABCDEFGHIKLMOQRSVGABCDEFGHIKLMOQRSVHBHIGKLUAUBVIVJVCVLVMVN $.
    $}

    ${
      dalem12.m $e |- ./\ = ( meet ` K ) $.
      dalem12.o $e |- O = ( LPlanes ` K ) $.
      dalem12.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem12.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem12.x $e |- X = ( Y ./\ Z ) $.
      dalem12.f $e |- F = ( ( R .\/ P ) ./\ ( U .\/ S ) ) $.
      $( Lemma for ~ dath .  Analogue of ~ dalem10 for ` F ` .  (Contributed by
         NM, 11-Aug-2012.) $)
      dalem12 $p |- ( ph -> F .<_ X ) $=
        ( co chlt wcel cbs cfv wa w3a wn dalemrot biid eqid dalem11 dalemqrprot
        wbr eqtr4id wceq dalemkehl dalemtea dalemuea dalemsea hlatjrot syl13anc
        syl oveq12d syl5eq breqtrrd ) AJEFKUIZDKUIZHIKUIZGKUIZNUIZPMALUJUKZCLUL
        UMUKUNEBUKFBUKDBUKUOHBUKZIBUKZGBUKZUOUOVPOUKVROUKUNCVOMVBUPCFDKUIMVBUPC
        DEKUIZMVBUPUOCVQMVBUPCIGKUIMVBUPCGHKUIZMVBUPUOCEHKUIMVBCFIKUIMVBCDGKUIM
        VBUOUOUOZJVSMVBABCDEFGHIKLMOQRSTUAUBUEUFUQWFBCEFDHIGJKLMNOVSVPVRWFURTUA
        UBUCUDVPUSVRUSVSUSUHUTVKAPQRNUIVSUGAQVPRVRNAQWDFKUIVPUEABCDEFGHIKLMOQRS
        UAUBVAVCARWEIKUIZVRUFAVTWAWBWCVRWGVDABCDEFGHIKLMOQRSVEABCDEFGHIKLMOQRSV
        FABCDEFGHIKLMOQRSVGABCDEFGHIKLMOQRSVHBHIGKLUAUBVIVJVCVLVMVN $.
    $}

    ${
      dalem13.o $e |- O = ( LPlanes ` K ) $.
      dalem13.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem13.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem13.w $e |- W = ( Y .\/ C ) $.
      $( Lemma for ~ dalem14 .  (Contributed by NM, 21-Jul-2012.) $)
      dalem13 $p |- ( ( ph /\ Y =/= Z ) -> ( Y .\/ Z ) = W ) $=
        ( wne wa chlt wcel clvol cfv co wceq dalemkehl adantr dalemyeo dalemzeo
        wbr eqid dalem9 clat cbs dalemkelat dalemyeb dalemceb latlej1 breqtrrdi
        syl3anc dalem8 simpr 2lplnj syl133anc ) AOPUEZUFKUGUHZOMUHZPMUHZNKUIUJZ
        UHONLUQZPNLUQZVLOPJUKNULAVMVLABCDEFGHIJKLMOPQUMUNAVNVLABCDEFGHIJKLMOPQU
        OUNAVOVLABCDEFGHIJKLMOPQUPUNABCDEFGHIJKLMVPNOPQRSTUAVPURZUBUCUDUSAVQVLA
        OOCJUKZNLAKUTUHOKVAUJZUHCWAUHOVTLUQABCDEFGHIJKLMOPQVBABCDEFGHIJKLMOPQUA
        VCABCDEFGHIJKLMOPQTVDWAJKLOCWAURRSVEVGUDVFUNAVRVLABCDEFGHIJKLMNOPQRSTUA
        UBUCUDVHUNAVLVIMJKLVPNOPRSUAVSVJVK $.
    $}

    ${
      dalem14.o $e |- O = ( LPlanes ` K ) $.
      dalem14.v $e |- V = ( LVols ` K ) $.
      dalem14.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem14.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem14.w $e |- W = ( Y .\/ C ) $.
      $( Lemma for ~ dath .  Planes ` Y ` and ` Z ` form a 3-dimensional space
         (when they are different).  (Contributed by NM, 22-Jul-2012.) $)
      dalem14 $p |- ( ( ph /\ Y =/= Z ) -> ( Y .\/ Z ) e. V ) $=
        ( wne wa co dalem13 dalem9 eqeltrd ) APQUGUHPQJUIONABCDEFGHIJKLMOPQRSTU
        AUBUDUEUFUJABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUKUL $.
    $}

    ${
      dalem15.m $e |- ./\ = ( meet ` K ) $.
      dalem15.n $e |- N = ( LLines ` K ) $.
      dalem15.o $e |- O = ( LPlanes ` K ) $.
      dalem15.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem15.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem15.x $e |- X = ( Y ./\ Z ) $.
      $( Lemma for ~ dath .  The axis of perspectivity ` X ` is a line.
         (Contributed by NM, 21-Jul-2012.) $)
      dalem15 $p |- ( ( ph /\ Y =/= Z ) -> X e. N ) $=
        ( wne wa co wcel clvol eqid dalem14 wb chlt dalemkehl dalemyeo dalemzeo
        cfv 2lplnmj syl3anc adantr mpbird eqeltrid ) AQRUIZUJZPQRMUKZNUHVHVINUL
        ZQRJUKKUMVAZULZABCDEFGHIJKLOVKQCJUKZQRSTUAUBUEVKUNZUFUGVMUNUOAVJVLUPZVG
        AKUQULQOULROULVOABCDEFGHIJKLOQRSURABCDEFGHIJKLOQRSUSABCDEFGHIJKLOQRSUTO
        JKMNVKQRUAUCUDUEVNVBVCVDVEVF $.
    $}

    ${
      dalem16.m $e |- ./\ = ( meet ` K ) $.
      dalem16.o $e |- O = ( LPlanes ` K ) $.
      dalem16.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem16.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem16.d $e |- D = ( ( P .\/ Q ) ./\ ( S .\/ T ) ) $.
      dalem16.e $e |- E = ( ( Q .\/ R ) ./\ ( T .\/ U ) ) $.
      dalem16.f $e |- F = ( ( R .\/ P ) ./\ ( U .\/ S ) ) $.
      $( Lemma for ~ dath .  The atoms ` D ` , ` E ` , and ` F ` form a line of
         perspectivity.  This is Desargues's theorem for the special case where
         planes ` Y ` and ` Z ` are different.  (Contributed by NM,
         7-Aug-2012.) $)
      dalem16 $p |- ( ( ph /\ Y =/= Z ) -> F .<_ ( D .\/ E ) ) $=
        ( wne wa wbr eqid dalem12 adantr wceq dalem10 dalem11 clat wcel cbs cfv
        co wb dalemkelat dalemdea atbase syl dalemeea dalemyeb dalemzeo syl3anc
        lplnbase latjle12 syl13anc mpbi2and chlt clln dalemkehl dalemdnee llni2
        latmcl syl31anc dalem15 llncmp mpbid breqtrrd ) ARSUKZULZLRSPVDZDKMVDZO
        ALWKOUMWIABCEFGHIJLMNOPQWKRSTUAUBUCUDUEUFUGWKUNZUJUOUPWJWLWKOUMZWLWKUQZ
        AWNWIADWKOUMZKWKOUMZWNABCDEFGHIJMNOPQWKRSTUAUBUCUDUEUFUGWMUHURABCEFGHIJ
        KMNOPQWKRSTUAUBUCUDUEUFUGWMUIUSANUTVAZDNVBVCZVAZKWSVAZWKWSVAZWPWQULWNVE
        ABCEFGHIJMNOQRSTVFZADBVAZWTABCDEFGHIJMNOPQRSTUAUBUCUDUEUFUGUHVGZBWSDNWS
        UNZUCVHVIAKBVAZXAABCEFGHIJKMNOPQRSTUAUBUCUDUEUFUGUIVJZBWSKNXFUCVHVIAWRR
        WSVASWSVAZXBXCABCEFGHIJMNOQRSTUEVKASQVAXIABCEFGHIJMNOQRSTVLWSQNSXFUEVNV
        IWSNPRSXFUDWCVMWSMNODKWKXFUAUBVOVPVQUPWJNVRVAZWLNVSVCZVAZWKXKVAWNWOVEAX
        JWIABCEFGHIJMNOQRSTVTZUPAXLWIAXJXDXGDKUKXLXMXEXHABCDEFGHIJKMNOPQRSTUAUB
        UCUDUEUFUGUHUIWABDKMNXKUBUCXKUNZWBWDUPABCEFGHIJMNOPXKQWKRSTUAUBUCUDXNUE
        UFUGWMWENOXKWLWKUAXNWFVMWGWH $.
    $}

    ${
      dalem17.o $e |- O = ( LPlanes ` K ) $.
      dalem17.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem17.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      $( Lemma for ~ dath .  When planes ` Y ` and ` Z ` are equal, the center
         of perspectivity ` C ` is in ` Y ` .  (Contributed by NM,
         1-Aug-2012.) $)
      dalem17 $p |- ( ( ph /\ Y = Z ) -> C .<_ Y ) $=
        ( wceq wa wbr dalemclrju adantr clat wcel cbs cfv dalemkelat dalempjqeb
        co dalemreb eqid latlej2 syl3anc breqtrrdi dalemsjteb dalemueb breqtrrd
        simpr wb dalemyeb latjle12 syl13anc mpbi2and wi dalemceb chlt dalemkehl
        dalemrea dalemuea hlatjcl lattr mp2and ) ANOUCZUDZCFIJUNZLUEZVTNLUEZCNL
        UEZAWAVRABCDEFGHIJKLMNOPUFUGVSFNLUEZINLUEZWBAWDVRAFDEJUNZFJUNZNLAKUHUIZ
        WFKUJUKZUIFWIUIZFWGLUEABCDEFGHIJKLMNOPULZABCDEFGHIJKLMNOPRSUMABCDEFGHIJ
        KLMNOPSUOZWIJKLWFFWIUPZQRUQURUAUSUGVSIONLAIOLUEVRAIGHJUNZIJUNZOLAWHWNWI
        UIIWIUIZIWOLUEWKABCDEFGHIJKLMNOPRSUTABCDEFGHIJKLMNOPSVAZWIJKLWNIWMQRUQU
        RUBUSUGAVRVCVBAWDWEUDWBVDZVRAWHWJWPNWIUIZWRWKWLWQABCDEFGHIJKLMNOPTVEZWI
        JKLFINWMQRVFVGUGVHAWAWBUDWCVIZVRAWHCWIUIVTWIUIZWSXAWKABCDEFGHIJKLMNOPSV
        JAKVKUIFBUIIBUIXBABCDEFGHIJKLMNOPVLABCDEFGHIJKLMNOPVMABCDEFGHIJKLMNOPVN
        BWIJKFIWMRSVOURWTWIKLCVTNWMQVPVGUGVQ $.
    $}

    ${
      $d c A $.  $d c .\/ $.  $d c .<_ $.  $d c P $.  $d c Q $.  $d c R $.
      dalem18.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      $( Lemma for ~ dath .  Show that a dummy atom ` c ` exists outside of the
         ` Y ` and ` Z ` planes (when those planes are equal).  This requires
         that the projective space be 3-dimensional.  (Desargues's theorem does
         not always hold in 2 dimensions.)  (Contributed by NM,
         29-Jul-2012.) $)
      dalem18 $p |- ( ph -> E. c e. A -. c .<_ Y ) $=
        ( cv co wn wrex chlt wcel dalemkehl dalempea dalemqea dalemrea syl13anc
        wbr 3dim3 breq2i notbii rexbii sylibr ) APUBZDEJUCFJUCZLUMZUDZPBUEZUSNL
        UMZUDZPBUEAKUFUGDBUGEBUGFBUGVCABCDEFGHIJKLMNOQUHABCDEFGHIJKLMNOQUIABCDE
        FGHIJKLMNOQUJABCDEFGHIJKLMNOQUKBDEFJKLPSRTUNULVEVBPBVDVANUTUSLUAUOUPUQU
        R $.
    $}

    ${
      $d d c $.  $d d A $.  $d d C $.  $d d K $.  $d d .<_ $.  $d d Y $.
      dalem19.o $e |- O = ( LPlanes ` K ) $.
      dalem19.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem19.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      $( Lemma for ~ dath .  Show that a second dummy atom ` d ` exists outside
         of the ` Y ` and ` Z ` planes (when those planes are equal).
         (Contributed by NM, 15-Aug-2012.) $)
      dalem19 $p |- ( ( ( ( ph /\ Y = Z ) /\ c e. A ) /\ -. c .<_ Y ) ->
                  E. d e. A ( d =/= c /\ -. d .<_ Y /\ C .<_ ( c .\/ d ) ) ) $=
        ( wceq wa cv wcel wbr chlt cbs cfv wne w3a dalemkehl ad3antrrr dalemcea
        wn wrex simplr dalemyeb dalem17 ad2antrr simpr eqid atbtwnex syl33anc
        co ) ANOUEZUFZPUGZBUHZUFZVKNLUIURZUFKUJUHZCBUHZVLNKUKULZUHZCNLUIZVNQUGZ
        VKUMVTNLUIURCVKVTJVHLUIUNQBUSAVOVIVLVNABCDEFGHIJKLMNORUOUPAVPVIVLVNABCD
        EFGHIJKLMNORSTUAUBUCUQUPVJVLVNUTAVRVIVLVNABCDEFGHIJKLMNORUBVAUPVJVSVLVN
        ABCDEFGHIJKLMNORSTUAUBUCUDVBVCVMVNVDBVQCVKJKLNQVQVESTUAVFVG $.
    $}
  $}

  ${
    da.ps0 $e |- ( ps <-> ( ( c e. A /\ d e. A ) /\ -. c .<_ Y /\
       ( d =/= c /\ -. d .<_ Y /\ C .<_ ( c .\/ d ) ) ) ) $.
    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       15-Aug-2012.) $)
    dalemccea $p |- ( ps -> c e. A ) $=
      ( cv wcel wa wbr wn wne co w3a simp1l sylbi ) AGJZBKZHJZBKZLTFEMNZUBTOUBF
      EMNCTUBDPEMQZQUAIUAUCUDUERS $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       15-Aug-2012.) $)
    dalemddea $p |- ( ps -> d e. A ) $=
      ( cv wcel wa wbr wn wne co w3a simp1r sylbi ) AGJZBKZHJZBKZLTFEMNZUBTOUBF
      EMNCTUBDPEMQZQUCIUAUCUDUERS $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       15-Aug-2012.) $)
    dalem-ccly $p |- ( ps -> -. c .<_ Y ) $=
      ( cv wcel wa wbr wn wne co w3a simp2bi ) AGJZBKHJZBKLSFEMNTSOTFEMNCSTDPEM
      QIR $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       15-Aug-2012.) $)
    dalem-ddly $p |- ( ps -> -. d .<_ Y ) $=
      ( cv wcel wa wbr wn wne co w3a simp32 sylbi ) AGJZBKHJZBKLZTFEMNZUATOZUAF
      EMNZCTUADPEMZQQUEIUBUCUDUEUFRS $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       15-Aug-2012.) $)
    dalemccnedd $p |- ( ps -> c =/= d ) $=
      ( cv wcel wa wbr wn wne co w3a simp31 sylbi necomd ) AHJZGJZAUBBKUABKLZUB
      FEMNZUAUBOZUAFEMNZCUBUADPEMZQQUEIUCUDUEUFUGRST $.

    $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by NM,
       15-Aug-2012.) $)
    dalemclccjdd $p |- ( ps -> C .<_ ( c .\/ d ) ) $=
      ( cv wcel wa wbr wn wne co w3a simp33 sylbi ) AGJZBKHJZBKLZTFEMNZUATOZUAF
      EMNZCTUADPEMZQQUFIUBUCUDUEUFRS $.

    ${
      da.a1 $e |- A = ( Atoms ` K ) $.
      $( Lemma for ~ dath .  Frequently-used utility lemma.  (Contributed by
         NM, 15-Aug-2012.) $)
      dalemcceb $p |- ( ps -> c e. ( Base ` K ) ) $=
        ( cv wcel cbs cfv dalemccea eqid atbase syl ) AHLZBMTENOZMABCDFGHIJPBUA
        TEUAQKRS $.
    $}
  $}

  ${
    dalem.ph $e |- ( ph <-> ( ( ( K e. HL /\ C e. ( Base ` K ) )
    /\ ( P e. A /\ Q e. A /\ R e. A )
    /\ ( S e. A /\ T e. A /\ U e. A ) )
 /\ ( Y e. O /\ Z e. O )
 /\ ( ( -. C .<_ ( P .\/ Q ) /\ -. C .<_ ( Q .\/ R )
    /\ -. C .<_ ( R .\/ P ) )
    /\ ( -. C .<_ ( S .\/ T ) /\ -. C .<_ ( T .\/ U )
    /\ -. C .<_ ( U .\/ S ) )
    /\ ( C .<_ ( P .\/ S ) /\ C .<_ ( Q .\/ T )
    /\ C .<_ ( R .\/ U ) ) ) ) ) $.
    dalem.l $e |- .<_ = ( le ` K ) $.
    dalem.j $e |- .\/ = ( join ` K ) $.
    dalem.a $e |- A = ( Atoms ` K ) $.
    dalem.ps $e |- ( ps <-> ( ( c e. A /\ d e. A ) /\ -. c .<_ Y /\
       ( d =/= c /\ -. d .<_ Y /\ C .<_ ( c .\/ d ) ) ) ) $.
    $( Lemma for ~ dath .  Swap the ` Y ` and ` Z ` planes, along with dummy
       concurrency (center of perspectivity) atoms ` c ` and ` d ` , to allow
       reuse of analogous proofs.  (Contributed by NM, 17-Aug-2012.) $)
    dalemswapyzps $p |- ( ( ph /\ Y = Z /\ ps )
       -> ( ( d e. A /\ c e. A ) /\ -. d .<_ Z /\
       ( c =/= d /\ -. c .<_ Z /\ C .<_ ( d .\/ c ) ) ) ) $=
      ( wceq w3a cv wcel wa wbr wne dalemddea dalemccea jca 3ad2ant3 dalem-ddly
      wn co simp2 breq2d dalemccnedd dalem-ccly dalemclccjdd dalemkehl 3ad2ant1
      mtbid chlt hlatjcom syl3anc breqtrd 3jca ) AOPUDZBUEZRUFZCUGZQUFZCUGZUHZV
      MPMUIZUPVOVMUJZVOPMUIZUPZDVMVOKUQZMUIZUEBAVQVKBVNVPBCDKMOQRUCUKZBCDKMOQRU
      CULZUMUNVLVMOMUIZVRBAWFUPVKBCDKMOQRUCUOUNVLOPVMMAVKBURZUSVEVLVSWAWCBAVSVK
      BCDKMOQRUCUTUNVLVOOMUIZVTBAWHUPVKBCDKMOQRUCVAUNVLOPVOMWGUSVEVLDVOVMKUQZWB
      MBADWIMUIVKBCDKMOQRUCVBUNVLLVFUGZVPVNWIWBUDAVKWJBACDEFGHIJKLMNOPSVCVDBAVP
      VKWEUNBAVNVKWDUNCKLVOVMUAUBVGVHVIVJVJ $.

    ${
      dalemrotps.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      $( Lemma for ~ dath .  Rotate triangles ` Y = P Q R ` and ` Z = S T U `
         to allow reuse of analogous proofs.  (Contributed by NM,
         15-Aug-2012.) $)
      dalemrotps $p |- ( ( ph /\ ps ) -> ( ( c e. A /\ d e. A )
  /\ -. c .<_ ( ( Q .\/ R ) .\/ P )
  /\ ( d =/= c /\ -. d .<_ ( ( Q .\/ R ) .\/ P )
  /\ C .<_ ( c .\/ d ) ) ) ) $=
        ( wa cv wcel co wbr wn wne w3a dalemccea dalemddea adantl dalem-ccly wb
        dalemqrprot eqtr4id breq2d adantr mtbid dalemccnedd necomd dalemclccjdd
        jca dalem-ddly 3jca ) ABUEZQUFZCUGZRUFZCUGZUEZVJFGKUHEKUHZMUIZUJVLVJUKZ
        VLVOMUIZUJZDVJVLKUHMUIZULBVNABVKVMBCDKMOQRUCUMBCDKMOQRUCUNVFUOVIVJOMUIZ
        VPBWAUJABCDKMOQRUCUPUOAWAVPUQBAOVOVJMAOEFKUHGKUHVOUDACDEFGHIJKLMNOPSUAU
        BURUSZUTVAVBVIVQVSVTBVQABVJVLBCDKMOQRUCVCVDUOVIVLOMUIZVRBWCUJABCDKMOQRU
        CVGUOAWCVRUQBAOVOVLMWBUTVAVBBVTABCDKMOQRUCVEUOVHVH $.
    $}

    $( Lemma for ~ dath .  Show that the dummy atoms form a line.  (Contributed
       by NM, 15-Aug-2012.) $)
    dalemcjden $p |- ( ( ph /\ ps ) -> ( c .\/ d ) e. ( LLines ` K ) ) $=
      ( wa chlt wcel cv wne co clln dalemkehl adantr dalemccea adantl dalemddea
      cfv dalemccnedd eqid llni2 syl31anc ) ABUDLUEUFZQUGZCUFZRUGZCUFZVBVDUHZVB
      VDKUILUJUPZUFAVABACDEFGHIJKLMNOPSUKULBVCABCDKMOQRUCUMUNBVEABCDKMOQRUCUOUN
      BVFABCDKMOQRUCUQUNCVBVDKLVGUAUBVGURUSUT $.

    ${
      $d c d A $.  $d d C $.  $d d K $.  $d c d .<_ $.  $d c d Y $.
      $d c .\/ $.  $d c P $.  $d c Q $.  $d c R $.  $d c Z $.  $d c ph $.
      dalem20.o $e |- O = ( LPlanes ` K ) $.
      dalem20.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem20.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      $( Lemma for ~ dath .  Show that a second dummy atom ` d ` exists outside
         of the ` Y ` and ` Z ` planes (when those planes are equal).
         (Contributed by NM, 14-Aug-2012.) $)
      dalem20 $p |- ( ( ph /\ Y = Z ) -> E. c E. d ps ) $=
        ( wceq wa cv wbr wn wne co w3a wrex wex dalem18 adantr dalem19 ex ancld
        wcel reximdva 3anass bitri 2exbii r2ex r19.42v rexbii 3bitr2ri sylib
        mpd ) AOPUGZUHZQUIZOMUJUKZRUIZVOULVQOMUJUKDVOVQKUMMUJUNZRCUOZUHZQCUOZBR
        UPQUPZVNVPQCUOZWAAWCVMACDEFGHIJKLMNOPQSTUAUBUEUQURVNVPVTQCVNVOCVBZUHZVP
        VSWEVPVSACDEFGHIJKLMNOPQRSTUAUBUDUEUFUSUTVAVCVLWBWDVQCVBUHZVPVRUHZUHZRU
        PQUPWGRCUOZQCUOWABWHQRBWFVPVRUNWHUCWFVPVRVDVEVFWGQRCCVGWIVTQCVPVRRCVHVI
        VJVK $.
    $}

    ${
      dalem21.m $e |- ./\ = ( meet ` K ) $.
      dalem21.o $e |- O = ( LPlanes ` K ) $.
      dalem21.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem21.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      $( Lemma for ~ dath .  Show that lines ` c d ` and ` P S ` intersect at
         an atom.  (Contributed by NM, 2-Aug-2012.) $)
      dalem21 $p |- ( ( ph /\ Y = Z /\ ps )
            -> ( ( c .\/ d ) ./\ ( P .\/ S ) ) e. A ) $=
        ( wceq w3a chlt wcel cv co clln cfv wne cp0 3ad2ant1 dalemcjden 3adant2
        dalemkehl dalempjsen wbr wn wa dalemply adantr dalemsly clat dalemkelat
        wb cbs dalempeb dalemseb dalemyeb latjle12 syl13anc mpbi2and dalem-ccly
        eqid 3adant3 adantl dalemcceb dalemddea atbase latlej1 syl3anc wi lattr
        syl llnbase mpand mtod nbrne2 syl2anc necomd cal hlatl dalempea hlatjcl
        dalemsea latmcl dalemcea dalemclccjdd dalemceb latlem12 atlen0 syl31anc
        dalemclpjs 2llnmat syl32anc ) APQUIZBUJZLUKULZRUMZSUMZKUNZLUOUPZULZEHKU
        NZXSULZXRYAUQXRYANUNZLURUPZUQZYCCULAXMXOBACDEFGHIJKLMOPQTVBZUSABXTXMABC
        DEFGHIJKLMOPQRSTUAUBUCUDUTZVAAXMYBBACDEFGHIJKLMOPQTUAUBUCUFUGVCUSXNYAXR
        XNYAPMVDZXRPMVDZVEZYAXRUQAXMYHBAXMVFEPMVDZHPMVDZYHAYKXMACDEFGHIJKLMOPQT
        UAUBUCUFUGVGVHACDEFGHIJKLMOPQTUAUBUCUHVIAYKYLVFYHVLZXMALVJULZELVMUPZULH
        YOULPYOULZYMACDEFGHIJKLMOPQTVKZACDEFGHIJKLMOPQTUCVNACDEFGHIJKLMOPQTUCVO
        ACDEFGHIJKLMOPQTUFVPZYOKLMEHPYOWAZUAUBVQVRVHVSWBABYJXMABVFZYIXPPMVDZBUU
        AVEABCDKMPRSUDVTWCYTXPXRMVDZYIUUAYTYNXPYOULZXQYOULZUUBAYNBYQVHZBUUCABCD
        KLMPRSUDUCWDWCZBUUDABXQCULUUDBCDKMPRSUDWECYOXQLYSUCWFWKWCYOKLMXPXQYSUAU
        BWGWHYTYNUUCXRYOULZYPUUBYIVFUUAWIUUEUUFYTXTUUGYGYOLXSXRYSXSWAZWLWKZAYPB
        YRVHYOLMXPXRPYSUAWJVRWMWNVAYAXRPMWOWPWQABYEXMYTLWRULZYCYOULZDCULZDYCMVD
        ZYEAUUJBAXOUUJYFLWSWKVHYTYNUUGYAYOULZUUKUUEUUIAUUNBAXOECULHCULUUNYFACDE
        FGHIJKLMOPQTWTACDEFGHIJKLMOPQTXBCYOKLEHYSUBUCXAWHVHZYOLNXRYAYSUEXCWHAUU
        LBACDEFGHIJKLMOPQTUAUBUCUFUGXDVHYTDXRMVDZDYAMVDZUUMBUUPABCDKMPRSUDXEWCA
        UUQBACDEFGHIJKLMOPQTXJVHYTYNDYOULZUUGUUNUUPUUQVFUUMVLUUEAUURBACDEFGHIJK
        LMOPQTUCXFVHUUIUUOYOLMNDXRYAYSUAUEXGVRVSCYODLMYCYDYSUAYDWAZUCXHXIVACLNX
        SXRYAYDUEUUSUCUUHXKXL $.
    $}

    ${
      dalem22.o $e |- O = ( LPlanes ` K ) $.
      dalem22.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem22.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      $( Lemma for ~ dath .  Show that lines ` c d ` and ` P S ` determine a
         plane.  (Contributed by NM, 2-Aug-2012.) $)
      dalem22 $p |- ( ( ph /\ Y = Z /\ ps )
        -> ( ( c .\/ d ) .\/ ( P .\/ S ) ) e. O ) $=
        ( wceq w3a cv co cmee cfv wcel eqid dalem21 wb wa chlt dalemkehl adantr
        clln dalemcjden dalempjsen 2llnmj syl3anc 3adant2 mpbid ) AOPUGZBUHQUIR
        UIKUJZEHKUJZLUKULZUJCUMZVIVJKUJNUMZABCDEFGHIJKLMVKNOPQRSTUAUBUCVKUNZUDU
        EUFUOABVLVMUPZVHABUQLURUMZVILVAULZUMVJVQUMZVOAVPBACDEFGHIJKLMNOPSUSUTAB
        CDEFGHIJKLMNOPQRSTUAUBUCVBAVRBACDEFGHIJKLMNOPSTUAUBUDUEVCUTCNKLVKVQVIVJ
        UAVNUBVQUNUDVDVEVFVG $.
    $}

    ${
      dalem23.m $e |- ./\ = ( meet ` K ) $.
      dalem23.o $e |- O = ( LPlanes ` K ) $.
      dalem23.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem23.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem23.g $e |- G = ( ( c .\/ P ) ./\ ( d .\/ S ) ) $.
      $( Lemma for ~ dath .  Show that auxiliary atom ` G ` is an atom.
         (Contributed by NM, 2-Aug-2012.) $)
      dalem23 $p |- ( ( ph /\ Y = Z /\ ps ) -> G e. A ) $=
        ( wceq cv co wcel wa chlt dalemkehl adantr dalemccea dalempea dalemddea
        w3a adantl dalemsea syl122anc 3adant2 dalem22 eqeltrd clln cfv 3ad2ant1
        hlatj4 wb wne wn dalemply dalem-ccly nbrne2 syl2an necomd eqid syl31anc
        wbr llni2 3ad2ant3 dalemsly 3adant3 dalem-ddly syl2anc syl3anc eqeltrid
        2llnmj mpbird ) AQRUKZBVBZKSULZELUMZTULZHLUMZOUMZCUJWOWTCUNZWQWSLUMZPUN
        ZWOXBWPWRLUMEHLUMLUMZPABXBXDUKZWNABUOZMUPUNZWPCUNZECUNZWRCUNZHCUNZXEAXG
        BACDEFGHIJLMNPQRUAUQZURZBXHABCDLNQSTUEUSVCZAXIBACDEFGHIJLMNPQRUAUTURZBX
        JABCDLNQSTUEVAZVCAXKBACDEFGHIJLMNPQRUAVDZURCWPEWRHLMUCUDVLVEVFABCDEFGHI
        JLMNPQRSTUAUBUCUDUEUGUHUIVGVHWOXGWQMVIVJZUNZWSXRUNZXAXCVMAWNXGBXLVKZABX
        SWNXFXGXHXIWPEVNXSXMXNXOXFEWPAEQNWCWPQNWCVOEWPVNBACDEFGHIJLMNPQRUAUBUCU
        DUGUHVPBCDLNQSTUEVQEWPQNVRVSVTCWPELMXRUCUDXRWAZWDWBVFWOXGXJXKWRHVNXTYAB
        AXJWNXPWEAWNXKBXQVKWOHWRWOHQNWCZWRQNWCVOZHWRVNAWNYCBACDEFGHIJLMNPQRUAUB
        UCUDUIWFWGBAYDWNBCDLNQSTUEWHWEHWRQNVRWIVTCWRHLMXRUCUDYBWDWBCPLMOXRWQWSU
        CUFUDYBUGWLWJWMWK $.

      $( Lemma for ~ dath .  Show that auxiliary atom ` G ` is outside of plane
         ` Y ` .  (Contributed by NM, 2-Aug-2012.) $)
      dalem24 $p |- ( ( ph /\ Y = Z /\ ps ) -> -. G .<_ Y ) $=
        ( wceq w3a wbr wn co cp0 cfv cv oveq1i col wcel cbs chlt dalemkehl hlol
        syl 3ad2ant1 dalemccea 3ad2ant3 dalempea eqid hlatjcl syl3anc dalemddea
        dalemsea dalemyeb latmmdir syl13anc syl5eq hlatjcom dalemply dalem-ccly
        2atjm syl132anc eqtrd dalemsly 3adant3 dalem-ddly oveq12d wne dalempnes
        oveq1d cal wb hlatl atnem0 mpbid 3eqtrd dalem23 atnle mpbird ) AQRUKZBU
        LZKQNUMUNZKQOUOZMUPUQZUKZXCXESURZELUOZQOUOZTURZHLUOZQOUOZOUOZEHOUOZXFXC
        XEXIXLOUOZQOUOZXNKXPQOUJUSXCMUTVAZXIMVBUQZVAZXLXSVAZQXSVAZXQXNUKAXBXRBA
        MVCVAZXRACDEFGHIJLMNPQRUAVDZMVEVFVGXCYCXHCVAZECVAZXTAXBYCBYDVGZBAYEXBBC
        DLNQSTUEVHVIZAXBYFBACDEFGHIJLMNPQRUAVJZVGZCXSLMXHEXSVKZUCUDVLVMXCYCXKCV
        AZHCVAZYAYGBAYLXBBCDLNQSTUEVNVIZAXBYMBACDEFGHIJLMNPQRUAVOZVGZCXSLMXKHYK
        UCUDVLVMAXBYBBACDEFGHIJLMNPQRUAUGVPVGZXSMOXIXLQYKUFVQVRVSXCXJEXMHOXCXJE
        XHLUOZQOUOZEXCXIYRQOXCYCYEYFXIYRUKYGYHYJCLMXHEUCUDVTVMWLXCYCYFYEYBEQNUM
        ZXHQNUMUNZYSEUKYGYJYHYQAXBYTBACDEFGHIJLMNPQRUAUBUCUDUGUHWAVGBAUUAXBBCDL
        NQSTUEWBVICXSEXHLMNOQYKUBUCUFUDWCWDWEXCXMHXKLUOZQOUOZHXCXLUUBQOXCYCYLYM
        XLUUBUKYGYNYPCLMXKHUCUDVTVMWLXCYCYMYLYBHQNUMZXKQNUMUNZUUCHUKYGYPYNYQAXB
        UUDBACDEFGHIJLMNPQRUAUBUCUDUIWFWGBAUUEXBBCDLNQSTUEWHVICXSHXKLMNOQYKUBUC
        UFUDWCWDWEWIAXBXOXFUKZBAEHWJZUUFACDEFGHIJLMNPQRUAUBUCUDUGUHWKAMWMVAZYFY
        MUUGUUFWNAYCUUHYDMWOVFZYIYOCEHMOXFUFXFVKZUDWPVMWQVGWRXCUUHKCVAYBXDXGWNA
        XBUUHBUUIVGABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJWSYQCXSKMNOQXFYKUBUF
        UUJUDWTVMXA $.

      $( Lemma for ~ dath .  Show that the dummy center of perspectivity ` c `
         is different from auxiliary atom ` G ` .  (Contributed by NM,
         3-Aug-2012.) $)
      dalem25 $p |- ( ( ph /\ Y = Z /\ ps ) -> c =/= G ) $=
        ( wceq w3a wne cv dalemcnes 3ad2ant1 wa co dalemclccjdd 3ad2ant3 adantr
        wbr clat wcel cbs cfv dalemkelat chlt dalemkehl dalemccea dalempea eqid
        hlatjcl syl3anc dalemddea dalemsea latmle2 eqbrtrid hlatjcom breqtrd wb
        simpr hlatlej2 dalemcceb atbase syl latjle12 syl13anc mpbi2and dalemceb
        eqbrtrd wi lattr mp2and dalemyeb latmlem1 mpd dalem17 3adant3 latleeqm1
        mpbid wn dalemsly dalem-ddly 2atjm syl132anc 3brtr3d cal hlatl dalemcea
        atcmp ex necon3d ) AQRUKZBULZDHUMZSUNZKUMAXNXPBACDEFGHIJLMNPQRUAUBUCUDU
        OUPXOXQKDHXOXQKUKZDHUKZXOXRUQZDHNVBZXSXTDQOURZHTUNZLURZQOURZDHNXTDYDNVB
        ZYBYENVBZXTDXQYCLURZNVBZYHYDNVBZYFXOYIXRBAYIXNBCDLNQSTUEUSUTVAXTXQYDNVB
        ZYCYDNVBZYJXTXQKYDNXOXRWBXOKYDNVBXRXOKYCHLURZYDNXOKXQELURZYMOURZYMNUJXO
        MVCVDZYNMVEVFZVDZYMYQVDZYOYMNVBAXNYPBACDEFGHIJLMNPQRUAVGUPZXOMVHVDZXQCV
        DZECVDZYRAXNUUABACDEFGHIJLMNPQRUAVIZUPZBAUUBXNBCDLNQSTUEVJUTZAXNUUCBACD
        EFGHIJLMNPQRUAVKUPCYQLMXQEYQVLZUCUDVMVNXOUUAYCCVDZHCVDZYSUUEBAUUHXNBCDL
        NQSTUEVOZUTZAXNUUIBACDEFGHIJLMNPQRUAVPZUPZCYQLMYCHUUGUCUDVMVNYQMNOYNYMU
        UGUBUFVQVNVRXOUUAUUHUUIYMYDUKUUEUUKUUMCLMYCHUCUDVSVNVTVAWKXOYLXRXOUUAUU
        IUUHYLUUEUUMUUKCHYCLMNUBUCUDWCVNVAXOYKYLUQYJWAZXRXOYPXQYQVDZYCYQVDZYDYQ
        VDZUUNYTBAUUOXNBCDLMNQSTUEUDWDUTBAUUPXNBUUHUUPUUJCYQYCMUUGUDWEWFUTXOUUA
        UUIUUHUUQUUEUUMUUKCYQLMHYCUUGUCUDVMVNZYQLMNXQYCYDUUGUBUCWGWHVAWIXOYIYJU
        QYFWLZXRXOYPDYQVDZYHYQVDZUUQUUSYTAXNUUTBACDEFGHIJLMNPQRUAUDWJUPZXOUUAUU
        BUUHUVAUUEUUFUUKCYQLMXQYCUUGUCUDVMVNUURYQMNDYHYDUUGUBWMWHVAWNXOYFYGWLZX
        RXOYPUUTUUQQYQVDZUVCYTUVBUURAXNUVDBACDEFGHIJLMNPQRUAUGWOUPZYQMNODYDQUUG
        UBUFWPWHVAWQXOYBDUKZXRXODQNVBZUVFAXNUVGBACDEFGHIJLMNPQRUAUBUCUDUGUHUIWR
        WSXOYPUUTUVDUVGUVFWAYTUVBUVEYQMNODQUUGUBUFWTVNXAVAXOYEHUKZXRXOUUAUUIUUH
        UVDHQNVBZYCQNVBXBZUVHUUEUUMUUKUVEAXNUVIBACDEFGHIJLMNPQRUAUBUCUDUIXCWSBA
        UVJXNBCDLNQSTUEXDUTCYQHYCLMNOQUUGUBUCUFUDXEXFVAXGXOYAXSWAZXRAXNUVKBAMXH
        VDZDCVDUUIUVKAUUAUVLUUDMXIWFACDEFGHIJLMNPQRUAUBUCUDUGUHXJUULCDHMNUBUDXK
        VNUPVAXAXLXMWQ $.

      $( Lemma for ~ dath .  Show that the line ` G P ` intersects the dummy
         center of perspectivity ` c ` .  (Contributed by NM, 8-Aug-2012.) $)
      dalem27 $p |- ( ( ph /\ Y = Z /\ ps ) -> c .<_ ( G .\/ P ) ) $=
        ( wceq w3a cv wbr clat wcel cbs dalemkelat 3ad2ant1 dalemkehl dalemccea
        chlt 3ad2ant3 dalempea eqid hlatjcl syl3anc dalemddea dalemsea eqbrtrid
        co cfv latmle1 wne wi dalem23 wn dalemply dalem24 nbrne2 necomd syl2anc
        wa hlatexch2 syl131anc mpd ) AQRUKZBULZKSUMZELVKZNUNZWIKELVKNUNZWHKWJTU
        MZHLVKZOVKZWJNUJWHMUOUPZWJMUQVLZUPZWNWQUPZWOWJNUNAWGWPBACDEFGHIJLMNPQRU
        AURUSWHMVBUPZWICUPZECUPZWRAWGWTBACDEFGHIJLMNPQRUAUTUSZBAXAWGBCDLNQSTUEV
        AVCZAWGXBBACDEFGHIJLMNPQRUAVDUSZCWQLMWIEWQVEZUCUDVFVGWHWTWMCUPZHCUPZWSX
        CBAXGWGBCDLNQSTUEVHVCAWGXHBACDEFGHIJLMNPQRUAVIUSCWQLMWMHXFUCUDVFVGWQMNO
        WJWNXFUBUFVMVGVJWHWTKCUPXAXBKEVNZWKWLVOXCABCDEFGHIJKLMNOPQRSTUAUBUCUDUE
        UFUGUHUIUJVPXDXEWHEQNUNZKQNUNVQZXIAWGXJBACDEFGHIJLMNPQRUAUBUCUDUGUHVRUS
        ABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJVSXJXKWCEKEKQNVTWAWBCKWIELMNUBU
        CUDWDWEWF $.

      $( Lemma for ~ dath .  Lemma ~ dalem27 expressed differently.
         (Contributed by NM, 4-Aug-2012.) $)
      dalem28 $p |- ( ( ph /\ Y = Z /\ ps ) -> P .<_ ( G .\/ c ) ) $=
        ( wceq w3a cv co wbr dalem27 chlt wcel wne dalemkehl 3ad2ant1 dalemccea
        wi 3ad2ant3 dalempea dalem23 dalem25 hlatexch1 syl131anc mpd ) AQRUKZBU
        LZSUMZKELUNNUOZEKVMLUNNUOZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUPVLM
        UQURZVMCURZECURZKCURVMKUSVNVOVCAVKVPBACDEFGHIJLMNPQRUAUTVABAVQVKBCDLNQS
        TUEVBVDAVKVRBACDEFGHIJLMNPQRUAVEVAABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHU
        IUJVFABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJVGCVMEKLMNUBUCUDVHVIVJ $.
    $}

    ${
      dalem29.m $e |- ./\ = ( meet ` K ) $.
      dalem29.o $e |- O = ( LPlanes ` K ) $.
      dalem29.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem29.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem29.h $e |- H = ( ( c .\/ Q ) ./\ ( d .\/ T ) ) $.
      $( Lemma for ~ dath .  Analogue of ~ dalem23 for ` H ` .  (Contributed by
         NM, 2-Aug-2012.) $)
      dalem29 $p |- ( ( ph /\ Y = Z /\ ps ) -> H e. A ) $=
        ( wceq w3a chlt wcel cbs cfv wa co wbr wne dalemrot 3ad2ant1 dalemrotyz
        wn cv 3adant3 dalemrotps 3adant2 biid eqid dalem23 syl3anc ) AQRUKZBULM
        UMUNDMUOUPUNUQFCUNGCUNECUNULICUNJCUNHCUNULULFGLURZELURZPUNIJLURZHLURZPU
        NUQDVNNUSVDDGELURNUSVDDEFLURNUSVDULDVPNUSVDDJHLURNUSVDDHILURNUSVDULDFIL
        URNUSDGJLURNUSDEHLURNUSULULULZVOVQUKZSVEZCUNTVEZCUNUQVTVONUSVDWAVTUTWAV
        ONUSVDDVTWALURNUSULULZKCUNAVMVRBACDEFGHIJLMNPQRUAUBUCUDUHUIVAVBAVMVSBAC
        DEFGHIJLMNPQRUAUBUCUDUHUIVCVFABWBVMABCDEFGHIJLMNPQRSTUAUBUCUDUEUHVGVHVR
        WBCDFGEIJHKLMNOPVOVQSTVRVIUBUCUDWBVIUFUGVOVJVQVJUJVKVL $.

      $( Lemma for ~ dath .  Analogue of ~ dalem24 for ` H ` .  (Contributed by
         NM, 3-Aug-2012.) $)
      dalem30 $p |- ( ( ph /\ Y = Z /\ ps ) -> -. H .<_ Y ) $=
        ( wceq w3a wbr co chlt wcel cbs cfv wa wne dalemrot 3ad2ant1 dalemrotyz
        wn cv 3adant3 dalemrotps 3adant2 dalem24 syl3anc wb dalemqrprot eqtr4id
        biid eqid breq2d mtbird ) AQRUKZBULZKQNUMZKFGLUNZELUNZNUMZVSMUOUPDMUQUR
        UPUSFCUPGCUPECUPULICUPJCUPHCUPULULWBPUPIJLUNZHLUNZPUPUSDWANUMVDDGELUNNU
        MVDDEFLUNZNUMVDULDWDNUMVDDJHLUNNUMVDDHILUNNUMVDULDFILUNNUMDGJLUNNUMDEHL
        UNNUMULULULZWBWEUKZSVEZCUPTVEZCUPUSWIWBNUMVDWJWIUTWJWBNUMVDDWIWJLUNNUMU
        LULZWCVDAVRWGBACDEFGHIJLMNPQRUAUBUCUDUHUIVAVBAVRWHBACDEFGHIJLMNPQRUAUBU
        CUDUHUIVCVFABWKVRABCDEFGHIJLMNPQRSTUAUBUCUDUEUHVGVHWGWKCDFGEIJHKLMNOPWB
        WESTWGVNUBUCUDWKVNUFUGWBVOWEVOUJVIVJAVRVTWCVKBAQWBKNAQWFGLUNWBUHACDEFGH
        IJLMNPQRUAUCUDVLVMVPVBVQ $.

      $( Lemma for ~ dath .  Analogue of ~ dalem25 for ` H ` .  (Contributed by
         NM, 4-Aug-2012.)  (New usage is discouraged.) $)
      dalem31N $p |- ( ( ph /\ Y = Z /\ ps ) -> c =/= H ) $=
        ( wceq w3a chlt wcel cbs cfv wa co wbr wne dalemrot 3ad2ant1 dalemrotyz
        wn cv 3adant3 dalemrotps 3adant2 biid eqid dalem25 syl3anc ) AQRUKZBULM
        UMUNDMUOUPUNUQFCUNGCUNECUNULICUNJCUNHCUNULULFGLURZELURZPUNIJLURZHLURZPU
        NUQDVNNUSVDDGELURNUSVDDEFLURNUSVDULDVPNUSVDDJHLURNUSVDDHILURNUSVDULDFIL
        URNUSDGJLURNUSDEHLURNUSULULULZVOVQUKZSVEZCUNTVEZCUNUQVTVONUSVDWAVTUTWAV
        ONUSVDDVTWALURNUSULULZVTKUTAVMVRBACDEFGHIJLMNPQRUAUBUCUDUHUIVAVBAVMVSBA
        CDEFGHIJLMNPQRUAUBUCUDUHUIVCVFABWBVMABCDEFGHIJLMNPQRSTUAUBUCUDUEUHVGVHV
        RWBCDFGEIJHKLMNOPVOVQSTVRVIUBUCUDWBVIUFUGVOVJVQVJUJVKVL $.

      $( Lemma for ~ dath .  Analogue of ~ dalem27 for ` H ` .  (Contributed by
         NM, 8-Aug-2012.) $)
      dalem32 $p |- ( ( ph /\ Y = Z /\ ps ) -> c .<_ ( H .\/ Q ) ) $=
        ( wceq w3a chlt wcel cbs cfv wa co wbr wne dalemrot 3ad2ant1 dalemrotyz
        wn cv 3adant3 dalemrotps 3adant2 biid eqid dalem27 syl3anc ) AQRUKZBULM
        UMUNDMUOUPUNUQFCUNGCUNECUNULICUNJCUNHCUNULULFGLURZELURZPUNIJLURZHLURZPU
        NUQDVNNUSVDDGELURNUSVDDEFLURNUSVDULDVPNUSVDDJHLURNUSVDDHILURNUSVDULDFIL
        URNUSDGJLURNUSDEHLURNUSULULULZVOVQUKZSVEZCUNTVEZCUNUQVTVONUSVDWAVTUTWAV
        ONUSVDDVTWALURNUSULULZVTKFLURNUSAVMVRBACDEFGHIJLMNPQRUAUBUCUDUHUIVAVBAV
        MVSBACDEFGHIJLMNPQRUAUBUCUDUHUIVCVFABWBVMABCDEFGHIJLMNPQRSTUAUBUCUDUEUH
        VGVHVRWBCDFGEIJHKLMNOPVOVQSTVRVIUBUCUDWBVIUFUGVOVJVQVJUJVKVL $.

      $( Lemma for ~ dath .  Analogue of ~ dalem28 for ` H ` .  (Contributed by
         NM, 4-Aug-2012.) $)
      dalem33 $p |- ( ( ph /\ Y = Z /\ ps ) -> Q .<_ ( H .\/ c ) ) $=
        ( wceq w3a chlt wcel cbs cfv wa co wbr wne dalemrot 3ad2ant1 dalemrotyz
        wn cv 3adant3 dalemrotps 3adant2 biid eqid dalem28 syl3anc ) AQRUKZBULM
        UMUNDMUOUPUNUQFCUNGCUNECUNULICUNJCUNHCUNULULFGLURZELURZPUNIJLURZHLURZPU
        NUQDVNNUSVDDGELURNUSVDDEFLURNUSVDULDVPNUSVDDJHLURNUSVDDHILURNUSVDULDFIL
        URNUSDGJLURNUSDEHLURNUSULULULZVOVQUKZSVEZCUNTVEZCUNUQVTVONUSVDWAVTUTWAV
        ONUSVDDVTWALURNUSULULZFKVTLURNUSAVMVRBACDEFGHIJLMNPQRUAUBUCUDUHUIVAVBAV
        MVSBACDEFGHIJLMNPQRUAUBUCUDUHUIVCVFABWBVMABCDEFGHIJLMNPQRSTUAUBUCUDUEUH
        VGVHVRWBCDFGEIJHKLMNOPVOVQSTVRVIUBUCUDWBVIUFUGVOVJVQVJUJVKVL $.
    $}

    ${
      dalem34.m $e |- ./\ = ( meet ` K ) $.
      dalem34.o $e |- O = ( LPlanes ` K ) $.
      dalem34.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem34.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem34.i $e |- I = ( ( c .\/ R ) ./\ ( d .\/ U ) ) $.
      $( Lemma for ~ dath .  Analogue of ~ dalem23 for ` I ` .  (Contributed by
         NM, 2-Aug-2012.) $)
      dalem34 $p |- ( ( ph /\ Y = Z /\ ps ) -> I e. A ) $=
        ( wceq w3a chlt wcel cbs cfv wa co wbr wne dalemrot 3ad2ant1 dalemrotyz
        wn cv 3adant3 dalemrotps 3adant2 biid eqid dalem29 syl3anc ) AQRUKZBULM
        UMUNDMUOUPUNUQFCUNGCUNECUNULICUNJCUNHCUNULULFGLURZELURZPUNIJLURZHLURZPU
        NUQDVNNUSVDDGELURNUSVDDEFLURNUSVDULDVPNUSVDDJHLURNUSVDDHILURNUSVDULDFIL
        URNUSDGJLURNUSDEHLURNUSULULULZVOVQUKZSVEZCUNTVEZCUNUQVTVONUSVDWAVTUTWAV
        ONUSVDDVTWALURNUSULULZKCUNAVMVRBACDEFGHIJLMNPQRUAUBUCUDUHUIVAVBAVMVSBAC
        DEFGHIJLMNPQRUAUBUCUDUHUIVCVFABWBVMABCDEFGHIJLMNPQRSTUAUBUCUDUEUHVGVHVR
        WBCDFGEIJHKLMNOPVOVQSTVRVIUBUCUDWBVIUFUGVOVJVQVJUJVKVL $.

      $( Lemma for ~ dath .  Analogue of ~ dalem24 for ` I ` .  (Contributed by
         NM, 3-Aug-2012.) $)
      dalem35 $p |- ( ( ph /\ Y = Z /\ ps ) -> -. I .<_ Y ) $=
        ( wceq w3a wbr co chlt wcel cbs cfv wa wne dalemrot 3ad2ant1 dalemrotyz
        wn cv 3adant3 dalemrotps 3adant2 dalem30 syl3anc wb dalemqrprot eqtr4id
        biid eqid breq2d mtbird ) AQRUKZBULZKQNUMZKFGLUNZELUNZNUMZVSMUOUPDMUQUR
        UPUSFCUPGCUPECUPULICUPJCUPHCUPULULWBPUPIJLUNZHLUNZPUPUSDWANUMVDDGELUNNU
        MVDDEFLUNZNUMVDULDWDNUMVDDJHLUNNUMVDDHILUNNUMVDULDFILUNNUMDGJLUNNUMDEHL
        UNNUMULULULZWBWEUKZSVEZCUPTVEZCUPUSWIWBNUMVDWJWIUTWJWBNUMVDDWIWJLUNNUMU
        LULZWCVDAVRWGBACDEFGHIJLMNPQRUAUBUCUDUHUIVAVBAVRWHBACDEFGHIJLMNPQRUAUBU
        CUDUHUIVCVFABWKVRABCDEFGHIJLMNPQRSTUAUBUCUDUEUHVGVHWGWKCDFGEIJHKLMNOPWB
        WESTWGVNUBUCUDWKVNUFUGWBVOWEVOUJVIVJAVRVTWCVKBAQWBKNAQWFGLUNWBUHACDEFGH
        IJLMNPQRUAUCUDVLVMVPVBVQ $.

      $( Lemma for ~ dath .  Analogue of ~ dalem27 for ` I ` .  (Contributed by
         NM, 8-Aug-2012.) $)
      dalem36 $p |- ( ( ph /\ Y = Z /\ ps ) -> c .<_ ( I .\/ R ) ) $=
        ( wceq w3a chlt wcel cbs cfv wa co wbr wne dalemrot 3ad2ant1 dalemrotyz
        wn cv 3adant3 dalemrotps 3adant2 biid eqid dalem32 syl3anc ) AQRUKZBULM
        UMUNDMUOUPUNUQFCUNGCUNECUNULICUNJCUNHCUNULULFGLURZELURZPUNIJLURZHLURZPU
        NUQDVNNUSVDDGELURNUSVDDEFLURNUSVDULDVPNUSVDDJHLURNUSVDDHILURNUSVDULDFIL
        URNUSDGJLURNUSDEHLURNUSULULULZVOVQUKZSVEZCUNTVEZCUNUQVTVONUSVDWAVTUTWAV
        ONUSVDDVTWALURNUSULULZVTKGLURNUSAVMVRBACDEFGHIJLMNPQRUAUBUCUDUHUIVAVBAV
        MVSBACDEFGHIJLMNPQRUAUBUCUDUHUIVCVFABWBVMABCDEFGHIJLMNPQRSTUAUBUCUDUEUH
        VGVHVRWBCDFGEIJHKLMNOPVOVQSTVRVIUBUCUDWBVIUFUGVOVJVQVJUJVKVL $.

      $( Lemma for ~ dath .  Analogue of ~ dalem28 for ` I ` .  (Contributed by
         NM, 4-Aug-2012.) $)
      dalem37 $p |- ( ( ph /\ Y = Z /\ ps ) -> R .<_ ( I .\/ c ) ) $=
        ( wceq w3a chlt wcel cbs cfv wa co wbr wne dalemrot 3ad2ant1 dalemrotyz
        wn cv 3adant3 dalemrotps 3adant2 biid eqid dalem33 syl3anc ) AQRUKZBULM
        UMUNDMUOUPUNUQFCUNGCUNECUNULICUNJCUNHCUNULULFGLURZELURZPUNIJLURZHLURZPU
        NUQDVNNUSVDDGELURNUSVDDEFLURNUSVDULDVPNUSVDDJHLURNUSVDDHILURNUSVDULDFIL
        URNUSDGJLURNUSDEHLURNUSULULULZVOVQUKZSVEZCUNTVEZCUNUQVTVONUSVDWAVTUTWAV
        ONUSVDDVTWALURNUSULULZGKVTLURNUSAVMVRBACDEFGHIJLMNPQRUAUBUCUDUHUIVAVBAV
        MVSBACDEFGHIJLMNPQRUAUBUCUDUHUIVCVFABWBVMABCDEFGHIJLMNPQRSTUAUBUCUDUEUH
        VGVHVRWBCDFGEIJHKLMNOPVOVQSTVRVIUBUCUDWBVIUFUGVOVJVQVJUJVKVL $.
    $}

    ${
      dalem38.m $e |- ./\ = ( meet ` K ) $.
      dalem38.o $e |- O = ( LPlanes ` K ) $.
      dalem38.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem38.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem38.g $e |- G = ( ( c .\/ P ) ./\ ( d .\/ S ) ) $.
      dalem38.h $e |- H = ( ( c .\/ Q ) ./\ ( d .\/ T ) ) $.
      dalem38.i $e |- I = ( ( c .\/ R ) ./\ ( d .\/ U ) ) $.
      $( Lemma for ~ dath .  Plane ` Y ` belongs to the 3-dimensional volume
         ` G H I c ` .  (Contributed by NM, 5-Aug-2012.) $)
      dalem38 $p |- ( ( ph /\ Y = Z /\ ps )
    -> Y .<_ ( ( ( G .\/ H ) .\/ I ) .\/ c ) ) $=
        ( wceq w3a co cv wbr dalem28 dalem33 clat wcel cbs cfv wa wi dalemkelat
        3ad2ant1 dalempeb chlt dalemkehl dalem23 dalemccea eqid hlatjcl syl3anc
        3ad2ant3 dalemqeb dalem29 latjlej12 syl122anc mp2and dalemcceb latjjdir
        atbase syl syl13anc breqtrrd dalem37 dalempjqeb latjcl dalemreb dalem34
        eqbrtrid ) ASTUOZBUPZSEFNUQZGNUQZKLNUQZMNUQUAURZNUQZPUJWQWSWTXANUQZMXAN
        UQZNUQZXBPWQWRXCPUSZGXDPUSZWSXEPUSZWQWRKXANUQZLXANUQZNUQZXCPWQEXIPUSZFX
        JPUSZWRXKPUSZABCDEFGHIJKNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUTABCDEFGHIJLNOP
        QRSTUAUBUCUDUEUFUGUHUIUJUKUMVAWQOVBVCZEOVDVEZVCZXIXPVCZFXPVCZXJXPVCZXLX
        MVFXNVGAWPXOBACDEFGHIJNOPRSTUCVHVIZAWPXQBACDEFGHIJNOPRSTUCUFVJVIWQOVKVC
        ZKCVCZXACVCZXRAWPYBBACDEFGHIJNOPRSTUCVLVIZABCDEFGHIJKNOPQRSTUAUBUCUDUEU
        FUGUHUIUJUKULVMZBAYDWPBCDNPSUAUBUGVNVRZCXPNOKXAXPVOZUEUFVPVQAWPXSBACDEF
        GHIJNOPRSTUCUFVSVIWQYBLCVCZYDXTYEABCDEFGHIJLNOPQRSTUAUBUCUDUEUFUGUHUIUJ
        UKUMVTZYGCXPNOLXAYHUEUFVPVQXPNOPXJEXIFYHUDUEWAWBWCWQXOKXPVCZLXPVCZXAXPV
        CZXCXKUOYAWQYCYKYFCXPKOYHUFWFWGWQYIYLYJCXPLOYHUFWFWGBAYMWPBCDNOPSUAUBUG
        UFWDVRZXPNOKLXAYHUEWEWHWIABCDEFGHIJMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUNWJWQ
        XOWRXPVCZXCXPVCZGXPVCZXDXPVCZXFXGVFXHVGYAAWPYOBACDEFGHIJNOPRSTUCUEUFWKV
        IWQXOWTXPVCZYMYPYAWQYBYCYIYSYEYFYJCXPNOKLYHUEUFVPVQZYNXPNOWTXAYHUEWLVQA
        WPYQBACDEFGHIJNOPRSTUCUFWMVIWQYBMCVCZYDYRYEABCDEFGHIJMNOPQRSTUAUBUCUDUE
        UFUGUHUIUJUKUNWNZYGCXPNOMXAYHUEUFVPVQXPNOPXDWRXCGYHUDUEWAWBWCWQXOYSMXPV
        CZYMXBXEUOYAYTWQUUAUUCUUBCXPMOYHUFWFWGYNXPNOWTMXAYHUEWEWHWIWO $.

      $( Lemma for ~ dath .  Auxiliary atoms ` G ` , ` H ` , and ` I ` are not
         colinear.  (Contributed by NM, 4-Aug-2012.) $)
      dalem39 $p |- ( ( ph /\ Y = Z /\ ps ) -> -. H .<_ ( I .\/ G ) ) $=
        ( wceq w3a co wbr cv chlt wcel clvol cfv wn dalemkehl 3ad2ant1 dalemyeo
        dalemccea 3ad2ant3 dalem-ccly eqid syl31anc dalem34 lvolnle3at syl23anc
        lvoli3 dalem23 wa dalem38 cbs dalemkelat dalem29 hlatjcl syl3anc atbase
        clat syl dalemcceb latlej2 dalemyeb latjle12 syl13anc mpbi2and hlatjrot
        latjcl wb oveq1d breqtrd adantr latleeqj2 biimpa mtand ) ASTUOZBUPZLMKN
        UQZPURZSUAUSZNUQZXEXGNUQZPURZXDOUTVAZXHOVBVCZVAZMCVAZKCVAZXGCVAZXJVDAXC
        XKBACDEFGHIJNOPRSTUCVEVFZXDXKSRVAZXPXGSPURVDZXMXQAXCXRBACDEFGHIJNOPRSTU
        CVGVFBAXPXCBCDNPSUAUBUGVHVIZBAXSXCBCDNPSUAUBUGVJVICRXGNOPXLSUDUEUFUIXLV
        KZVPVLABCDEFGHIJMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUNVMZABCDEFGHIJKNOPQRSTUA
        UBUCUDUEUFUGUHUIUJUKULVQZXTCMKXGNOPXLXHUDUEUFYAVNVOXDXFVRZXHXELNUQZXGNU
        QZXIPXDXHYFPURXFXDXHKLNUQZMNUQZXGNUQZYFPXDSYIPURZXGYIPURZXHYIPURZABCDEF
        GHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNVSXDOWFVAZYHOVTVCZVAZXGYNVAZY
        KAXCYMBACDEFGHIJNOPRSTUCWAVFZXDYMYGYNVAZMYNVAZYOYQXDXKXOLCVAZYRXQYCABCD
        EFGHIJLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUMWBZCYNNOKLYNVKZUEUFWCWDXDXNYSYBCY
        NMOUUBUFWEWGYNNOYGMUUBUEWOWDZBAYPXCBCDNOPSUAUBUGUFWHVIZYNNOPYHXGUUBUDUE
        WIWDXDYMSYNVAZYPYIYNVAZYJYKVRYLWPYQAXCUUEBACDEFGHIJNOPRSTUCUIWJVFUUDXDY
        MYOYPUUFYQUUCUUDYNNOYHXGUUBUEWOWDYNNOPSXGYIUUBUDUEWKWLWMXDYHYEXGNXDXKXO
        YTXNYHYEUOXQYCUUAYBCKLMNOUEUFWNWLWQWRWSYDYEXEXGNXDXFYEXEUOZXDYMLYNVAZXE
        YNVAZXFUUGWPYQXDYTUUHUUACYNLOUUBUFWEWGXDXKXNXOUUIXQYBYCCYNNOMKUUBUEUFWC
        WDYNNOPLXEUUBUDUEWTWDXAWQWRXB $.

      $( Lemma for ~ dath .  Analogue of ~ dalem39 for ` I ` .  (Contributed by
         NM, 4-Aug-2012.) $)
      dalem40 $p |- ( ( ph /\ Y = Z /\ ps ) -> -. I .<_ ( G .\/ H ) ) $=
        ( wceq w3a chlt wcel cbs cfv wa co wbr wne dalemrot 3ad2ant1 dalemrotyz
        wn cv 3adant3 dalemrotps 3adant2 biid eqid dalem39 syl3anc ) ASTUOZBUPO
        UQURDOUSUTURVAFCURGCURECURUPICURJCURHCURUPUPFGNVBZENVBZRURIJNVBZHNVBZRU
        RVADVRPVCVHDGENVBPVCVHDEFNVBPVCVHUPDVTPVCVHDJHNVBPVCVHDHINVBPVCVHUPDFIN
        VBPVCDGJNVBPVCDEHNVBPVCUPUPUPZVSWAUOZUAVIZCURUBVIZCURVAWDVSPVCVHWEWDVDW
        EVSPVCVHDWDWENVBPVCUPUPZMKLNVBPVCVHAVQWBBACDEFGHIJNOPRSTUCUDUEUFUJUKVEV
        FAVQWCBACDEFGHIJNOPRSTUCUDUEUFUJUKVGVJABWFVQABCDEFGHIJNOPRSTUAUBUCUDUEU
        FUGUJVKVLWBWFCDFGEIJHLMKNOPQRVSWAUAUBWBVMUDUEUFWFVMUHUIVSVNWAVNUMUNULVO
        VP $.

      $( Lemma for ~ dath .  (Contributed by NM, 4-Aug-2012.) $)
      dalem41 $p |- ( ( ph /\ Y = Z /\ ps ) -> G =/= H ) $=
        ( wceq w3a chlt wcel wbr wne dalemkehl 3ad2ant1 dalem29 dalem34 dalem23
        co wn dalem39 atnlej2 syl131anc necomd ) ASTUOZBUPZLKVMOUQURZLCURMCURKC
        URLMKNVFPUSVGLKUTAVLVNBACDEFGHIJNOPRSTUCVAVBABCDEFGHIJLNOPQRSTUAUBUCUDU
        EUFUGUHUIUJUKUMVCABCDEFGHIJMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUNVDABCDEFGHIJ
        KNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVEABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHU
        IUJUKULUMUNVHCLMKNOPUDUEUFVIVJVK $.

      $( Lemma for ~ dath .  Auxiliary atoms ` G H I ` form a plane.
         (Contributed by NM, 4-Aug-2012.) $)
      dalem42 $p |- ( ( ph /\ Y = Z /\ ps )
            -> ( ( G .\/ H ) .\/ I ) e. O ) $=
        ( wceq w3a chlt wcel wne wbr dalemkehl 3ad2ant1 dalem23 dalem29 dalem34
        co wn dalem41 dalem40 lplni2 syl132anc ) ASTUOZBUPOUQURZKCURLCURMCURKLU
        SMKLNVFZPUTVGVNMNVFRURAVLVMBACDEFGHIJNOPRSTUCVAVBABCDEFGHIJKNOPQRSTUAUB
        UCUDUEUFUGUHUIUJUKULVCABCDEFGHIJLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUMVDABCDE
        FGHIJMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUNVEABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUF
        UGUHUIUJUKULUMUNVHABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNVICRK
        LMNOPUDUEUFUIVJVK $.

      $( Lemma for ~ dath .  Planes ` G H I ` and ` Y ` are different.
         (Contributed by NM, 8-Aug-2012.) $)
      dalem43 $p |- ( ( ph /\ Y = Z /\ ps )
             -> ( ( G .\/ H ) .\/ I ) =/= Y ) $=
        ( wceq w3a wbr wne clat wcel cbs cfv dalemkelat 3ad2ant1 chlt dalemkehl
        dalem23 dalem29 eqid hlatjcl syl3anc dalem34 atbase syl latlej2 dalem35
        co wn nbrne1 syl2anc ) ASTUOZBUPZMKLNVQZMNVQZPUQZMSPUQVRWDSURWBOUSUTZWC
        OVAVBZUTZMWGUTZWEAWAWFBACDEFGHIJNOPRSTUCVCVDWBOVEUTZKCUTLCUTWHAWAWJBACD
        EFGHIJNOPRSTUCVFVDABCDEFGHIJKNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVGABCDEFGHI
        JLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUMVHCWGNOKLWGVIZUEUFVJVKWBMCUTWIABCDEFGH
        IJMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUNVLCWGMOWKUFVMVNWGNOPWCMWKUDUEVOVKABCD
        EFGHIJMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUNVPMWDSPVSVT $.
    $}

    ${
      dalem44.m $e |- ./\ = ( meet ` K ) $.
      dalem44.o $e |- O = ( LPlanes ` K ) $.
      dalem44.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem44.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem44.g $e |- G = ( ( c .\/ P ) ./\ ( d .\/ S ) ) $.
      dalem44.h $e |- H = ( ( c .\/ Q ) ./\ ( d .\/ T ) ) $.
      dalem44.i $e |- I = ( ( c .\/ R ) ./\ ( d .\/ U ) ) $.
      $( TODO: do we need this for other than -. c .<_ ( G .\/ H )? $)
      $( Lemma for ~ dath .  Dummy center of perspectivity ` c ` lies outside
         of plane ` G H I ` .  (Contributed by NM, 16-Aug-2012.) $)
      dalem44 $p |- ( ( ph /\ Y = Z /\ ps )
   -> -. c .<_ ( ( G .\/ H ) .\/ I ) ) $=
        ( wceq w3a co wne cv wbr wn dalem43 necomd clat wcel cbs cfv dalemkelat
        3ad2ant1 dalemcceb 3ad2ant3 dalem42 eqid lplnbase syl latleeqj1 syl3anc
        wb dalem28 chlt dalemkehl dalemccea dalem23 hlatjcom dalem33 dalem29 wa
        breqtrrd wi dalempeb hlatjcl dalemqeb latjlej12 syl122anc mp2and atbase
        latjjdi syl13anc dalem37 dalem34 dalempjqeb dalemreb eqbrtrid syl5ibcom
        latjcl breq2 sylbid dalemyeo lplncmp sylibd necon3ad mpd ) ASTUOZBUPZSK
        LNUQZMNUQZURUAUSZXPPUTZVAXNXPSABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJU
        KULUMUNVBVCXNXRSXPXNXRSXPPUTZSXPUOZXNXRXQXPNUQZXPUOZXSXNOVDVEZXQOVFVGZV
        EZXPYDVEZXRYBVRAXMYCBACDEFGHIJNOPRSTUCVHVIZBAYEXMBCDNOPSUAUBUGUFVJVKZXN
        XPRVEZYFABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNVLZYDROXPYDVMZU
        IVNVOYDNOPXQXPYKUDUEVPVQXNSYAPUTYBXSXNSEFNUQZGNUQZYAPUJXNYMXQXONUQZXQMN
        UQZNUQZYAPXNYLYNPUTZGYOPUTZYMYPPUTZXNYLXQKNUQZXQLNUQZNUQZYNPXNEYTPUTZFU
        UAPUTZYLUUBPUTZXNEKXQNUQZYTPABCDEFGHIJKNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULV
        SXNOVTVEZXQCVEZKCVEZYTUUFUOAXMUUGBACDEFGHIJNOPRSTUCWAVIZBAUUHXMBCDNPSUA
        UBUGWBVKZABCDEFGHIJKNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULWCZCNOXQKUEUFWDVQWHX
        NFLXQNUQZUUAPABCDEFGHIJLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUMWEXNUUGUUHLCVEZU
        UAUUMUOUUJUUKABCDEFGHIJLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUMWFZCNOXQLUEUFWDV
        QWHXNYCEYDVEZYTYDVEZFYDVEZUUAYDVEZUUCUUDWGUUEWIYGAXMUUPBACDEFGHIJNOPRST
        UCUFWJVIXNUUGUUHUUIUUQUUJUUKUULCYDNOXQKYKUEUFWKVQAXMUURBACDEFGHIJNOPRST
        UCUFWLVIXNUUGUUHUUNUUSUUJUUKUUOCYDNOXQLYKUEUFWKVQYDNOPUUAEYTFYKUDUEWMWN
        WOXNYCYEKYDVEZLYDVEZYNUUBUOYGYHXNUUIUUTUULCYDKOYKUFWPVOXNUUNUVAUUOCYDLO
        YKUFWPVOYDNOXQKLYKUEWQWRWHXNGMXQNUQZYOPABCDEFGHIJMNOPQRSTUAUBUCUDUEUFUG
        UHUIUJUKUNWSXNUUGUUHMCVEZYOUVBUOUUJUUKABCDEFGHIJMNOPQRSTUAUBUCUDUEUFUGU
        HUIUJUKUNWTZCNOXQMUEUFWDVQWHXNYCYLYDVEZYNYDVEZGYDVEZYOYDVEZYQYRWGYSWIYG
        AXMUVEBACDEFGHIJNOPRSTUCUEUFXAVIXNYCYEXOYDVEZUVFYGYHXNUUGUUIUUNUVIUUJUU
        LUUOCYDNOKLYKUEUFWKVQZYDNOXQXOYKUEXEVQAXMUVGBACDEFGHIJNOPRSTUCUFXBVIXNU
        UGUUHUVCUVHUUJUUKUVDCYDNOXQMYKUEUFWKVQYDNOPYOYLYNGYKUDUEWMWNWOXNYCYEUVI
        MYDVEZYAYPUOYGYHUVJXNUVCUVKUVDCYDMOYKUFWPVOYDNOXQXOMYKUEWQWRWHXCYAXPSPX
        FXDXGXNUUGSRVEZYIXSXTVRUUJAXMUVLBACDEFGHIJNOPRSTUCXHVIYJROPSXPUDUIXIVQX
        JXKXL $.

      $( Lemma for ~ dath .  Dummy center of perspectivity ` c ` is not on the
         line ` G H ` .  (Contributed by NM, 16-Aug-2012.) $)
      dalem45 $p |- ( ( ph /\ Y = Z /\ ps ) -> -. c .<_ ( G .\/ H ) ) $=
        ( wceq w3a clat wcel cv cbs cfv co wbr wn dalemkelat 3ad2ant1 dalemcceb
        3ad2ant3 chlt dalemkehl dalem23 dalem29 eqid hlatjcl syl3anc atbase syl
        dalem34 dalem44 latnlej2l syl131anc ) ASTUOZBUPZOUQURZUAUSZOUTVAZURZKLN
        VBZWFURZMWFURZWEWHMNVBPVCVDWEWHPVCVDAWBWDBACDEFGHIJNOPRSTUCVEVFBAWGWBBC
        DNOPSUAUBUGUFVGVHWCOVIURZKCURLCURWIAWBWKBACDEFGHIJNOPRSTUCVJVFABCDEFGHI
        JKNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVKABCDEFGHIJLNOPQRSTUAUBUCUDUEUFUGUHUI
        UJUKUMVLCWFNOKLWFVMZUEUFVNVOWCMCURWJABCDEFGHIJMNOPQRSTUAUBUCUDUEUFUGUHU
        IUJUKUNVRCWFMOWLUFVPVQABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNV
        SWFNOPWEWHMWLUDUEVTWA $.

      $( Lemma for ~ dath .  Analogue of ~ dalem45 for ` H I ` .  (Contributed
         by NM, 16-Aug-2012.) $)
      dalem46 $p |- ( ( ph /\ Y = Z /\ ps ) -> -. c .<_ ( H .\/ I ) ) $=
        ( wceq w3a chlt wcel cbs cfv wa co wbr wne dalemrot 3ad2ant1 dalemrotyz
        wn cv 3adant3 dalemrotps 3adant2 biid eqid dalem45 syl3anc ) ASTUOZBUPO
        UQURDOUSUTURVAFCURGCURECURUPICURJCURHCURUPUPFGNVBZENVBZRURIJNVBZHNVBZRU
        RVADVRPVCVHDGENVBPVCVHDEFNVBPVCVHUPDVTPVCVHDJHNVBPVCVHDHINVBPVCVHUPDFIN
        VBPVCDGJNVBPVCDEHNVBPVCUPUPUPZVSWAUOZUAVIZCURUBVIZCURVAWDVSPVCVHWEWDVDW
        EVSPVCVHDWDWENVBPVCUPUPZWDLMNVBPVCVHAVQWBBACDEFGHIJNOPRSTUCUDUEUFUJUKVE
        VFAVQWCBACDEFGHIJNOPRSTUCUDUEUFUJUKVGVJABWFVQABCDEFGHIJNOPRSTUAUBUCUDUE
        UFUGUJVKVLWBWFCDFGEIJHLMKNOPQRVSWAUAUBWBVMUDUEUFWFVMUHUIVSVNWAVNUMUNULV
        OVP $.

      $( Lemma for ~ dath .  Analogue of ~ dalem45 for ` I G ` .  (Contributed
         by NM, 16-Aug-2012.) $)
      dalem47 $p |- ( ( ph /\ Y = Z /\ ps ) -> -. c .<_ ( I .\/ G ) ) $=
        ( wceq w3a chlt wcel cbs cfv wa co wbr wne dalemrot 3ad2ant1 dalemrotyz
        wn cv 3adant3 dalemrotps 3adant2 biid eqid dalem46 syl3anc ) ASTUOZBUPO
        UQURDOUSUTURVAFCURGCURECURUPICURJCURHCURUPUPFGNVBZENVBZRURIJNVBZHNVBZRU
        RVADVRPVCVHDGENVBPVCVHDEFNVBPVCVHUPDVTPVCVHDJHNVBPVCVHDHINVBPVCVHUPDFIN
        VBPVCDGJNVBPVCDEHNVBPVCUPUPUPZVSWAUOZUAVIZCURUBVIZCURVAWDVSPVCVHWEWDVDW
        EVSPVCVHDWDWENVBPVCUPUPZWDMKNVBPVCVHAVQWBBACDEFGHIJNOPRSTUCUDUEUFUJUKVE
        VFAVQWCBACDEFGHIJNOPRSTUCUDUEUFUJUKVGVJABWFVQABCDEFGHIJNOPRSTUAUBUCUDUE
        UFUGUJVKVLWBWFCDFGEIJHLMKNOPQRVSWAUAUBWBVMUDUEUFWFVMUHUIVSVNWAVNUMUNULV
        OVP $.

      $( Lemma for ~ dath .  Analogue of ~ dalem45 for ` P Q ` .  (Contributed
         by NM, 16-Aug-2012.) $)
      dalem48 $p |- ( ( ph /\ ps ) -> -. c .<_ ( P .\/ Q ) ) $=
        ( wa clat wcel cv cbs cfv co wbr dalemkelat adantr dalemcceb dalempjqeb
        wn adantl dalemreb dalem-ccly breq2i sylnib eqid latnlej2l syl131anc )
        ABUOOUPUQZUAURZOUSUTZUQZEFNVAZVRUQZGVRUQZVQVTGNVAZPVBZVGZVQVTPVBVGAVPBA
        CDEFGHIJNOPRSTUCVCVDBVSABCDNOPSUAUBUGUFVEVHAWABACDEFGHIJNOPRSTUCUEUFVFV
        DAWBBACDEFGHIJNOPRSTUCUFVIVDBWEABVQSPVBWDBCDNPSUAUBUGVJSWCVQPUJVKVLVHVR
        NOPVQVTGVRVMUDUEVNVO $.

      $( Lemma for ~ dath .  Analogue of ~ dalem45 for ` Q R ` .  (Contributed
         by NM, 16-Aug-2012.) $)
      dalem49 $p |- ( ( ph /\ ps ) -> -. c .<_ ( Q .\/ R ) ) $=
        ( wa chlt wcel cbs cfv w3a co wbr wn cv dalemrot adantr dalemrotps biid
        wne eqid dalem48 syl2anc ) ABUOOUPUQDOURUSUQUOFCUQGCUQECUQUTICUQJCUQHCU
        QUTUTFGNVAZENVAZRUQIJNVAZHNVAZRUQUODVMPVBVCDGENVAPVBVCDEFNVAPVBVCUTDVOP
        VBVCDJHNVAPVBVCDHINVAPVBVCUTDFINVAPVBDGJNVAPVBDEHNVAPVBUTUTUTZUAVDZCUQU
        BVDZCUQUOVRVNPVBVCVSVRVIVSVNPVBVCDVRVSNVAPVBUTUTZVRVMPVBVCAVQBACDEFGHIJ
        NOPRSTUCUDUEUFUJUKVEVFABCDEFGHIJNOPRSTUAUBUCUDUEUFUGUJVGVQVTCDFGEIJHLMK
        NOPQRVNVPUAUBVQVHUDUEUFVTVHUHUIVNVJVPVJUMUNULVKVL $.

      $( Lemma for ~ dath .  Analogue of ~ dalem45 for ` R P ` .  (Contributed
         by NM, 16-Aug-2012.) $)
      dalem50 $p |- ( ( ph /\ ps ) -> -. c .<_ ( R .\/ P ) ) $=
        ( wa chlt wcel cbs cfv w3a co wbr wn cv dalemrot adantr dalemrotps biid
        wne eqid dalem49 syl2anc ) ABUOOUPUQDOURUSUQUOFCUQGCUQECUQUTICUQJCUQHCU
        QUTUTFGNVAZENVAZRUQIJNVAZHNVAZRUQUODVMPVBVCDGENVAZPVBVCDEFNVAPVBVCUTDVO
        PVBVCDJHNVAPVBVCDHINVAPVBVCUTDFINVAPVBDGJNVAPVBDEHNVAPVBUTUTUTZUAVDZCUQ
        UBVDZCUQUOVSVNPVBVCVTVSVIVTVNPVBVCDVSVTNVAPVBUTUTZVSVQPVBVCAVRBACDEFGHI
        JNOPRSTUCUDUEUFUJUKVEVFABCDEFGHIJNOPRSTUAUBUCUDUEUFUGUJVGVRWACDFGEIJHLM
        KNOPQRVNVPUAUBVRVHUDUEUFWAVHUHUIVNVJVPVJUMUNULVKVL $.

      $( Lemma for ~ dath .  Construct the condition ` ph ` with ` c ` ,
         ` G H I ` , and ` Y ` in place of ` C ` , ` Y ` , and ` Z `
         respectively.  This lets us reuse the special case of Desargues's
         theorem where ` Y =/= Z ` , to eventually prove the case where
         ` Y = Z ` .  (Contributed by NM, 16-Aug-2012.) $)
      dalem51 $p |- ( ( ph /\ Y = Z /\ ps )
  -> ( ( ( ( K e. HL /\ c e. A )
      /\ ( G e. A /\ H e. A /\ I e. A )
      /\ ( P e. A /\ Q e. A /\ R e. A ) )
  /\ ( ( ( G .\/ H ) .\/ I ) e. O /\ Y e. O )
  /\ ( ( -. c .<_ ( G .\/ H ) /\ -. c .<_ ( H .\/ I )
    /\ -. c .<_ ( I .\/ G ) )
    /\ ( -. c .<_ ( P .\/ Q ) /\ -. c .<_ ( Q .\/ R )
     /\ -. c .<_ ( R .\/ P ) )
    /\ ( c .<_ ( G .\/ P ) /\ c .<_ ( H .\/ Q )
       /\ c .<_ ( I .\/ R ) ) ) )
 /\ ( ( G .\/ H ) .\/ I ) =/= Y ) ) $=
        ( wceq w3a chlt wcel cv wa co wbr dalemkehl 3ad2ant1 dalemccea 3ad2ant3
        wne jca dalem23 dalem29 dalem34 3jca dalempea dalemqea dalemrea dalem42
        dalem45 dalem46 dalem47 dalem48 dalem49 dalem50 3adant2 dalem27 dalem32
        wn dalemyeo dalem36 dalem43 ) ASTUOZBUPZOUQURZUAUSZCURZUTZKCURZLCURZMCU
        RZUPZECURZFCURZGCURZUPZUPZKLNVAZMNVAZRURZSRURZUTZWMXEPVBWFZWMLMNVAPVBWF
        ZWMMKNVAPVBWFZUPZWMEFNVAPVBWFZWMFGNVAPVBWFZWMGENVAPVBWFZUPZWMKENVAPVBZW
        MLFNVAPVBZWMMGNVAPVBZUPZUPZUPXFSVGWKXDXIYBWKWOWSXCWKWLWNAWJWLBACDEFGHIJ
        NOPRSTUCVCVDBAWNWJBCDNPSUAUBUGVEVFVHWKWPWQWRABCDEFGHIJKNOPQRSTUAUBUCUDU
        EUFUGUHUIUJUKULVIABCDEFGHIJLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUMVJABCDEFGHIJ
        MNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUNVKVLAWJXCBAWTXAXBACDEFGHIJNOPRSTUCVMACD
        EFGHIJNOPRSTUCVNACDEFGHIJNOPRSTUCVOVLVDVLWKXGXHABCDEFGHIJKLMNOPQRSTUAUB
        UCUDUEUFUGUHUIUJUKULUMUNVPAWJXHBACDEFGHIJNOPRSTUCWGVDVHWKXMXQYAWKXJXKXL
        ABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNVQABCDEFGHIJKLMNOPQRSTU
        AUBUCUDUEUFUGUHUIUJUKULUMUNVRABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUK
        ULUMUNVSVLABXQWJABUTXNXOXPABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULU
        MUNVTABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNWAABCDEFGHIJKLMNOP
        QRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNWBVLWCWKXRXSXTABCDEFGHIJKNOPQRSTUAUBUCU
        DUEUFUGUHUIUJUKULWDABCDEFGHIJLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUMWEABCDEFGH
        IJMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUNWHVLVLVLABCDEFGHIJKLMNOPQRSTUAUBUCUDU
        EUFUGUHUIUJUKULUMUNWIVH $.

      $( Lemma for ~ dath .  Lines ` G H ` and ` P Q ` intersect at an atom.
         (Contributed by NM, 8-Aug-2012.) $)
      dalem52 $p |- ( ( ph /\ Y = Z /\ ps )
             -> ( ( G .\/ H ) ./\ ( P .\/ Q ) ) e. A ) $=
        ( wceq w3a chlt wcel cv cbs wa co dalemkehl 3ad2ant1 dalemcceb 3ad2ant3
        cfv wbr dalem23 dalem29 dalem34 3jca dalempea dalemqea dalemrea dalem42
        wn jca dalemyeo dalem45 dalem46 dalem47 dalem48 dalem49 dalem50 3adant2
        dalem27 dalem32 dalem36 biid eqid dalemdea syl323anc ) ASTUOZBUPZOUQURZ
        UAUSZOUTVGURZVAZKCURZLCURZMCURZUPZECURZFCURZGCURZUPZKLNVBZMNVBZRURZSRUR
        ZWQXHPVHVQZWQLMNVBPVHVQZWQMKNVBPVHVQZUPZWQEFNVBZPVHVQZWQFGNVBPVHVQZWQGE
        NVBPVHVQZUPZWQKENVBPVHZWQLFNVBPVHZWQMGNVBPVHZUPZXHXPQVBZCURWOWPWRAWNWPB
        ACDEFGHIJNOPRSTUCVCVDBAWRWNBCDNOPSUAUBUGUFVEVFVRWOWTXAXBABCDEFGHIJKNOPQ
        RSTUAUBUCUDUEUFUGUHUIUJUKULVIABCDEFGHIJLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUM
        VJABCDEFGHIJMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUNVKVLAWNXGBAXDXEXFACDEFGHIJN
        OPRSTUCVMACDEFGHIJNOPRSTUCVNACDEFGHIJNOPRSTUCVOVLVDABCDEFGHIJKLMNOPQRST
        UAUBUCUDUEUFUGUHUIUJUKULUMUNVPAWNXKBACDEFGHIJNOPRSTUCVSVDWOXLXMXNABCDEF
        GHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNVTABCDEFGHIJKLMNOPQRSTUAUBUCU
        DUEUFUGUHUIUJUKULUMUNWAABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUN
        WBVLABXTWNABVAXQXRXSABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNWCA
        BCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNWDABCDEFGHIJKLMNOPQRSTUA
        UBUCUDUEUFUGUHUIUJUKULUMUNWEVLWFWOYAYBYCABCDEFGHIJKNOPQRSTUAUBUCUDUEUFU
        GUHUIUJUKULWGABCDEFGHIJLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUMWHABCDEFGHIJMNOP
        QRSTUAUBUCUDUEUFUGUHUIUJUKUNWIVLWSXCXGUPXJXKVAXOXTYDUPUPZCWQYEKLMEFGNOP
        QRXISYFWJUDUEUFUHUIXIWKUJYEWKWLWM $.
    $}

    ${
      dalem53.m $e |- ./\ = ( meet ` K ) $.
      dalem53.n $e |- N = ( LLines ` K ) $.
      dalem53.o $e |- O = ( LPlanes ` K ) $.
      dalem53.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem53.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem53.g $e |- G = ( ( c .\/ P ) ./\ ( d .\/ S ) ) $.
      dalem53.h $e |- H = ( ( c .\/ Q ) ./\ ( d .\/ T ) ) $.
      dalem53.i $e |- I = ( ( c .\/ R ) ./\ ( d .\/ U ) ) $.
      dalem53.b1 $e |- B = ( ( ( G .\/ H ) .\/ I ) ./\ Y ) $.
      $( Lemma for ~ dath .  The auxliary axis of perspectivity ` B ` is a line
         (analogous to the actual axis of perspectivity ` X ` in ~ dalem15 .
         (Contributed by NM, 8-Aug-2012.) $)
      dalem53 $p |- ( ( ph /\ Y = Z /\ ps ) -> B e. N ) $=
        ( wceq w3a chlt wcel cv wa co wbr wn wne dalem51 cbs eqid atbase anim2i
        cfv 3anim1i biid dalem15 syl3anl1 syl ) AUAUBUSBUTPVAVBZUCVCZCVBZVDZLCV
        BMCVBNCVBUTZFCVBGCVBHCVBUTZUTZLMOVEZNOVEZTVBUATVBVDZWAWGQVFVGWAMNOVEQVF
        VGWANLOVEQVFVGUTWAFGOVEQVFVGWAGHOVEQVFVGWAHFOVEQVFVGUTWALFOVEQVFWAMGOVE
        QVFWANHOVEQVFUTUTZUTWHUAVHZVDDSVBZABCEFGHIJKLMNOPQRTUAUBUCUDUEUFUGUHUIU
        JULUMUNUOUPUQVIWFVTWAPVJVNZVBZVDZWDWEUTZWIWJWKWLWCWOWDWEWBWNVTCWMWAPWMV
        KUHVLVMVOWPWIWJUTZCWALMNFGHOPQRSTDWHUAWQVPUFUGUHUJUKULWHVKUMURVQVRVS $.
    $}

    ${
      dalem54.m $e |- ./\ = ( meet ` K ) $.
      dalem54.o $e |- O = ( LPlanes ` K ) $.
      dalem54.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem54.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem54.g $e |- G = ( ( c .\/ P ) ./\ ( d .\/ S ) ) $.
      dalem54.h $e |- H = ( ( c .\/ Q ) ./\ ( d .\/ T ) ) $.
      dalem54.i $e |- I = ( ( c .\/ R ) ./\ ( d .\/ U ) ) $.
      dalem54.b1 $e |- B = ( ( ( G .\/ H ) .\/ I ) ./\ Y ) $.
      $( TODO:  can this be done more directly via darot2xx conversions? $)
      $( Lemma for ~ dath .  Line ` G H ` intersects the auxiliary axis of
         perspectivity ` B ` .  (Contributed by NM, 8-Aug-2012.) $)
      dalem54 $p |- ( ( ph /\ Y = Z /\ ps )
                -> ( ( G .\/ H ) ./\ B ) e. A ) $=
        ( wceq w3a chlt wcel co clln cfv wne dalemkehl 3ad2ant1 dalem23 dalem29
        cp0 dalem41 eqid llni2 syl31anc dalem53 wbr clat cbs dalemkelat llnbase
        wn syl dalem34 atbase latjcl syl3anc dalemyeb latmle2 eqbrtrid latjle12
        dalem24 wa syl13anc simpl syl6bir mtod nbrne2 syl2anc necomd cal latmcl
        wb hlatl dalem52 dalempjqeb latmle1 dalem51 simpld 3anim1i biid dalem10
        cv anim2i syl3an1 latlem12 mpbi2and atlen0 2llnmat syl32anc ) ATUAUQZBU
        RZPUSUTZLMOVAZPVBVCZUTZDYCUTZYBDVDYBDRVAZPVIVCZVDZYFCUTAXSYABACEFGHIJKO
        PQSTUAUDVEVFZXTYALCUTZMCUTZLMVDYDYIABCEFGHIJKLOPQRSTUAUBUCUDUEUFUGUHUIU
        JUKULUMVGZABCEFGHIJKMOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUNVHZABCEFGHIJKLMNOP
        QRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOVJCLMOPYCUFUGYCVKZVLVMZABCDEFGHIJKLMN
        OPQRYCSTUAUBUCUDUEUFUGUHUIYNUJUKULUMUNUOUPVNZXTDYBXTDTQVOYBTQVOZVTDYBVD
        XTDYBNOVAZTRVAZTQUPXTPVPUTZYRPVQVCZUTZTUUAUTZYSTQVOAXSYTBACEFGHIJKOPQST
        UAUDVRVFZXTYTYBUUAUTZNUUAUTZUUBUUDXTYDUUEYOUUAPYCYBUUAVKZYNVSWAZXTNCUTZ
        UUFABCEFGHIJKNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUOWBCUUANPUUGUGWCWAUUAOPYBN
        UUGUFWDWEAXSUUCBACEFGHIJKOPQSTUAUDUJWFVFZUUAPQRYRTUUGUEUIWGWEWHXTYQLTQV
        OZABCEFGHIJKLOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMWJXTYQUUKMTQVOZWKZUUKXTYTL
        UUAUTZMUUAUTZUUCUUMYQXAUUDXTYJUUNYLCUUALPUUGUGWCWAXTYKUUOYMCUUAMPUUGUGW
        CWAUUJUUAOPQLMTUUGUEUFWIWLUUKUULWMWNWODYBTQWPWQWRXTPWSUTZYFUUAUTZYBFGOV
        AZRVAZCUTUUSYFQVOZYHXTYAUUPYIPXBWAXTYTUUEDUUAUTZUUQUUDUUHXTYEUVAYPUUAPY
        CDUUGYNVSWAZUUAPRYBDUUGUIWTWEABCEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKU
        LUMUNUOXCXTUUSYBQVOZUUSDQVOZUUTXTYTUUEUURUUAUTZUVCUUDUUHAXSUVEBACEFGHIJ
        KOPQSTUAUDUFUGXDVFZUUAPQRYBUURUUGUEUIXEWEXTYAUBXKZCUTZWKZYJYKUUIURZFCUT
        GCUTHCUTURZURZYRSUTTSUTWKZUVGYBQVOVTUVGMNOVAQVOVTUVGNLOVAQVOVTURUVGUURQ
        VOVTUVGGHOVAQVOVTUVGHFOVAQVOVTURUVGLFOVAQVOUVGMGOVAQVOUVGNHOVAQVOURURZU
        RZUVDXTUVOYRTVDABCEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOXFXGUVL
        YAUVGUUAUTZWKZUVJUVKURZUVMUVNUVDUVIUVQUVJUVKUVHUVPYACUUAUVGPUUGUGWCXLXH
        UVRUVMUVNURZCUVGUUSLMNFGHOPQRSDYRTUVSXIUEUFUGUIUJYRVKUKUPUUSVKXJXMWAXTY
        TUUSUUAUTZUUEUVAUVCUVDWKUUTXAUUDXTYTUUEUVEUVTUUDUUHUVFUUAPRYBUURUUGUIWT
        WEUUHUVBUUAPQRUUSYBDUUGUEUIXNWLXOCUUAUUSPQYFYGUUGUEYGVKZUGXPVMCPRYCYBDY
        GUIUWAUGYNXQXR $.

      $( Lemma for ~ dath .  Lines ` G H ` and ` P Q ` intersect at the
         auxiliary line ` B ` (later shown to be an axis of perspectivity; see
         ~ dalem60 ).  (Contributed by NM, 8-Aug-2012.) $)
      dalem55 $p |- ( ( ph /\ Y = Z /\ ps )
          -> ( ( G .\/ H ) ./\ ( P .\/ Q ) ) = ( ( G .\/ H ) ./\ B ) ) $=
        ( wceq w3a wbr clat wcel cbs dalemkelat 3ad2ant1 chlt dalemkehl dalem23
        cfv dalem29 eqid hlatjcl syl3anc dalempjqeb latmle1 dalem34 syl latlej1
        co atbase dalemreb breqtrrdi wa wi dalem42 lplnbase latmlem12 syl122anc
        dalemyeb mp2and wb latmcl clln dalem53 latlem12 syl13anc mpbi2and hlatl
        llnbase cal dalem52 dalem54 atcmp mpbid ) ATUAUQZBURZLMOVRZFGOVRZRVRZXF
        DRVRZQUSZXHXIUQZXEXHXFQUSZXHDQUSZXJXEPUTVAZXFPVBVHZVAZXGXOVAZXLAXDXNBAC
        EFGHIJKOPQSTUAUDVCZVDZXEPVEVAZLCVAMCVAXPAXDXTBACEFGHIJKOPQSTUAUDVFVDZAB
        CEFGHIJKLOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVGABCEFGHIJKMOPQRSTUAUBUCUDUEU
        FUGUHUIUJUKULUNVICXOOPLMXOVJZUFUGVKVLZAXDXQBACEFGHIJKOPQSTUAUDUFUGVMZVD
        ZXOPQRXFXGYBUEUIVNVLXEXHXFNOVRZTRVRZDQXEXFYFQUSZXGTQUSZXHYGQUSZXEXNXPNX
        OVAZYHXSYCXENCVAYKABCEFGHIJKNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUOVOCXONPYBU
        GVSVPXOOPQXFNYBUEUFVQVLAXDYIBAXGXGHOVRZTQAXNXQHXOVAXGYLQUSXRYDACEFGHIJK
        OPQSTUAUDUGVTXOOPQXGHYBUEUFVQVLUKWAVDXEXNXPYFXOVAZXQTXOVAZYHYIWBYJWCXSY
        CXEYFSVAYMABCEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOWDXOSPYFYBUJ
        WEVPYEAXDYNBACEFGHIJKOPQSTUAUDUJWHVDXOPQRTXFYFXGYBUEUIWFWGWIUPWAXEXNXHX
        OVAZXPDXOVAZXLXMWBXJWJXSXEXNXPXQYOXSYCYEXOPRXFXGYBUIWKVLYCXEDPWLVHZVAYP
        ABCDEFGHIJKLMNOPQRYQSTUAUBUCUDUEUFUGUHUIYQVJZUJUKULUMUNUOUPWMXOPYQDYBYR
        WRVPXOPQRXHXFDYBUEUIWNWOWPXEPWSVAZXHCVAXICVAXJXKWJXEXTYSYAPWQVPABCEFGHI
        JKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOWTABCDEFGHIJKLMNOPQRSTUAUBUCUD
        UEUFUGUHUIUJUKULUMUNUOUPXACXHXIPQUEUGXBVLXC $.

      $( Lemma for ~ dath .  Analogue of ~ dalem55 for line ` S T ` .
         (Contributed by NM, 8-Aug-2012.) $)
      dalem56 $p |- ( ( ph /\ Y = Z /\ ps )
           -> ( ( G .\/ H ) ./\ ( S .\/ T ) ) = ( ( G .\/ H ) ./\ B ) ) $=
        ( wceq w3a cv co chlt wcel cbs cfv wa wbr wn dalemswapyz 3ad2ant1 simp2
        wne eqcomd dalemswapyzps biid eqid dalem55 syl3anc dalemkelat dalemkehl
        dalemccea 3ad2ant3 dalempea hlatjcl dalemddea dalemsea latmcom dalemqea
        clat syl5eq dalemtea oveq12d oveq1d dalemrea dalemuea 3eqtr4d ) ATUAUQZ
        BURZUCUSZIOUTZUBUSZFOUTZRUTZWRJOUTZWTGOUTZRUTZOUTZIJOUTZRUTZXFXFWRKOUTZ
        WTHOUTZRUTZOUTZUARUTZRUTZLMOUTZXGRUTXODRUTWQPVAVBZEPVCVDZVBVEICVBZJCVBZ
        KCVBZURFCVBZGCVBZHCVBZURURUASVBTSVBVEEXGQVFVGEJKOUTQVFVGEKIOUTQVFVGUREF
        GOUTQVFVGEGHOUTQVFVGEHFOUTQVFVGUREIFOUTQVFEJGOUTQVFEKHOUTQVFURURURZUATU
        QWRCVBZWTCVBZVEWRUAQVFVGWTWRVKWTUAQVFVGEWRWTOUTQVFURURZXHXNUQAWPYDBACEF
        GHIJKOPQSTUAUDUEUFUGVHVIWQTUAAWPBVJZVLABCEFGHIJKOPQSTUAUBUCUDUEUFUGUHVM
        YDYGCXMEIJKFGHXBXEXKOPQRSUATUCUBYDVNUEUFUGYGVNUIUJULUKXBVOXEVOXKVOXMVOV
        PVQWQXOXFXGRWQLXBMXEOWQLXAWSRUTZXBUMWQPWHVBZXAXQVBZWSXQVBZYIXBUQAWPYJBA
        CEFGHIJKOPQSTUAUDVRVIZWQXPYFYAYKAWPXPBACEFGHIJKOPQSTUAUDVSVIZBAYFWPBCEO
        QTUBUCUHVTWAZAWPYABACEFGHIJKOPQSTUAUDWBVICXQOPWTFXQVOZUFUGWCVQWQXPYEXRY
        LYNBAYEWPBCEOQTUBUCUHWDWAZAWPXRBACEFGHIJKOPQSTUAUDWEVICXQOPWRIYPUFUGWCV
        QXQPRXAWSYPUIWFVQWIWQMXDXCRUTZXEUNWQYJXDXQVBZXCXQVBZYRXEUQYMWQXPYFYBYSY
        NYOAWPYBBACEFGHIJKOPQSTUAUDWGVICXQOPWTGYPUFUGWCVQWQXPYEXSYTYNYQAWPXSBAC
        EFGHIJKOPQSTUAUDWJVICXQOPWRJYPUFUGWCVQXQPRXDXCYPUIWFVQWIWKZWLWQXOXFDXMR
        UUAWQDXONOUTZTRUTXMUPWQUUBXLTUARWQXOXFNXKOUUAWQNXJXIRUTZXKUOWQYJXJXQVBZ
        XIXQVBZUUCXKUQYMWQXPYFYCUUDYNYOAWPYCBACEFGHIJKOPQSTUAUDWMVICXQOPWTHYPUF
        UGWCVQWQXPYEXTUUEYNYQAWPXTBACEFGHIJKOPQSTUAUDWNVICXQOPWRKYPUFUGWCVQXQPR
        XJXIYPUIWFVQWIWKYHWKWIWKWO $.
    $}

    ${
      dalem57.m $e |- ./\ = ( meet ` K ) $.
      dalem57.o $e |- O = ( LPlanes ` K ) $.
      dalem57.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem57.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem57.d $e |- D = ( ( P .\/ Q ) ./\ ( S .\/ T ) ) $.
      dalem57.g $e |- G = ( ( c .\/ P ) ./\ ( d .\/ S ) ) $.
      dalem57.h $e |- H = ( ( c .\/ Q ) ./\ ( d .\/ T ) ) $.
      dalem57.i $e |- I = ( ( c .\/ R ) ./\ ( d .\/ U ) ) $.
      dalem57.b1 $e |- B = ( ( ( G .\/ H ) .\/ I ) ./\ Y ) $.
      $( Lemma for ~ dath .  Axis of perspectivity point ` D ` is on the
         auxiliary line ` B ` .  (Contributed by NM, 9-Aug-2012.) $)
      dalem57 $p |- ( ( ph /\ Y = Z /\ ps ) -> D .<_ B ) $=
        ( wceq w3a wbr dalem55 clat wcel cbs dalemkelat 3ad2ant1 chlt dalemkehl
        co cfv dalem23 dalem29 eqid hlatjcl syl3anc dalempjqeb latmle2 eqbrtrrd
        dalem56 dalemsjteb wa wb dalem54 atbase syl latlem12 syl13anc breqtrrdi
        mpbi2and cal hlatl dalemdea atcmp mpbid clln dalem53 llnbase ) AUAUBUSZ
        BUTZMNPVJZDSVJZFDRWTXBFRVAZXBFUSZWTXBGHPVJZJKPVJZSVJZFRWTXBXERVAZXBXFRV
        AZXBXGRVAZWTXAXESVJZXBXERABCDEGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMU
        OUPUQURVBWTQVCVDZXAQVEVKZVDZXEXMVDZXKXERVAAWSXLBACEGHIJKLPQRTUAUBUEVFVG
        ZWTQVHVDZMCVDNCVDXNAWSXQBACEGHIJKLPQRTUAUBUEVIVGZABCEGHIJKLMPQRSTUAUBUC
        UDUEUFUGUHUIUJUKULUMUOVLABCEGHIJKLNPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUPVMC
        XMPQMNXMVNZUGUHVOVPZAWSXOBACEGHIJKLPQRTUAUBUEUGUHVQVGZXMQRSXAXEXSUFUJVR
        VPVSWTXAXFSVJZXBXFRABCDEGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUOUPUQU
        RVTWTXLXNXFXMVDZYBXFRVAXPXTAWSYCBACEGHIJKLPQRTUAUBUEUGUHWAVGZXMQRSXAXFX
        SUFUJVRVPVSWTXLXBXMVDZXOYCXHXIWBXJWCXPWTXBCVDZYEABCDEGHIJKLMNOPQRSTUAUB
        UCUDUEUFUGUHUIUJUKULUMUOUPUQURWDZCXMXBQXSUHWEWFYAYDXMQRSXBXEXFXSUFUJWGW
        HWJUNWIWTQWKVDZYFFCVDZXCXDWCWTXQYHXRQWLWFYGAWSYIBACEFGHIJKLPQRSTUAUBUEU
        FUGUHUJUKULUMUNWMVGCXBFQRUFUHWNVPWOWTXLXNDXMVDZXBDRVAXPXTWTDQWPVKZVDYJA
        BCDEGHIJKLMNOPQRSYKTUAUBUCUDUEUFUGUHUIUJYKVNZUKULUMUOUPUQURWQXMQYKDXSYL
        WRWFXMQRSXADXSUFUJVRVPVS $.
    $}

    ${
      dalem58.m $e |- ./\ = ( meet ` K ) $.
      dalem58.o $e |- O = ( LPlanes ` K ) $.
      dalem58.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem58.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem58.e $e |- E = ( ( Q .\/ R ) ./\ ( T .\/ U ) ) $.
      dalem58.g $e |- G = ( ( c .\/ P ) ./\ ( d .\/ S ) ) $.
      dalem58.h $e |- H = ( ( c .\/ Q ) ./\ ( d .\/ T ) ) $.
      dalem58.i $e |- I = ( ( c .\/ R ) ./\ ( d .\/ U ) ) $.
      dalem58.b1 $e |- B = ( ( ( G .\/ H ) .\/ I ) ./\ Y ) $.
      $( Lemma for ~ dath .  Analogue of ~ dalem57 for ` E ` .  (Contributed by
         NM, 10-Aug-2012.) $)
      dalem58 $p |- ( ( ph /\ Y = Z /\ ps ) -> E .<_ B ) $=
        ( wceq w3a co chlt wcel cbs cfv wa wbr wne dalemrot 3ad2ant1 dalemrotyz
        wn cv 3adant3 dalemrotps 3adant2 biid dalem57 syl3anc dalemkehl dalem29
        dalem34 dalem23 hlatjrot syl13anc dalemqrprot eqtr4di oveq12d breqtrd
        eqid ) AUAUBUSZBUTZLNOPVAMPVAZGHPVAZFPVAZSVAZDRWLQVBVCZEQVDVEVCVFGCVCHC
        VCFCVCUTJCVCKCVCICVCUTUTWOTVCJKPVAZIPVAZTVCVFEWNRVGVLEHFPVARVGVLEFGPVAZ
        RVGVLUTEWRRVGVLEKIPVARVGVLEIJPVARVGVLUTEGJPVARVGEHKPVARVGEFIPVARVGUTUTU
        TZWOWSUSZUCVMZCVCUDVMZCVCVFXCWORVGVLXDXCVHXDWORVGVLEXCXDPVARVGUTUTZLWPR
        VGAWKXABACEFGHIJKPQRTUAUBUEUFUGUHULUMVIVJAWKXBBACEFGHIJKPQRTUAUBUEUFUGU
        HULUMVKVNABXEWKABCEFGHIJKPQRTUAUBUCUDUEUFUGUHUIULVOVPXAXECWPELGHFJKINOM
        PQRSTWOWSUCUDXAVQUFUGUHXEVQUJUKWOWJWSWJUNUPUQUOWPWJVRVSWLWPMNPVAOPVAZUA
        SVADWLWMXFWOUASWLWQNCVCOCVCMCVCWMXFUSAWKWQBACEFGHIJKPQRTUAUBUEVTVJABCEF
        GHIJKNPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUPWAABCEFGHIJKOPQRSTUAUBUCUDUEUFUG
        UHUIUJUKULUMUQWBABCEFGHIJKMPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUOWCCNOMPQUGU
        HWDWEAWKWOUAUSBAWOWTHPVAUAACEFGHIJKPQRTUAUBUEUGUHWFULWGVJWHURWGWI $.
    $}

    ${
      dalem59.m $e |- ./\ = ( meet ` K ) $.
      dalem59.o $e |- O = ( LPlanes ` K ) $.
      dalem59.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem59.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem59.f $e |- F = ( ( R .\/ P ) ./\ ( U .\/ S ) ) $.
      dalem59.g $e |- G = ( ( c .\/ P ) ./\ ( d .\/ S ) ) $.
      dalem59.h $e |- H = ( ( c .\/ Q ) ./\ ( d .\/ T ) ) $.
      dalem59.i $e |- I = ( ( c .\/ R ) ./\ ( d .\/ U ) ) $.
      dalem59.b1 $e |- B = ( ( ( G .\/ H ) .\/ I ) ./\ Y ) $.
      $( Lemma for ~ dath .  Analogue of ~ dalem57 for ` F ` .  (Contributed by
         NM, 10-Aug-2012.) $)
      dalem59 $p |- ( ( ph /\ Y = Z /\ ps ) -> F .<_ B ) $=
        ( wceq w3a co chlt wcel cbs cfv wa wbr wne dalemrot 3ad2ant1 dalemrotyz
        wn cv 3adant3 dalemrotps 3adant2 biid dalem58 syl3anc dalemkehl dalem29
        dalem34 dalem23 hlatjrot syl13anc dalemqrprot eqtr4di oveq12d breqtrd
        eqid ) AUAUBUSZBUTZLNOPVAMPVAZGHPVAZFPVAZSVAZDRWLQVBVCZEQVDVEVCVFGCVCHC
        VCFCVCUTJCVCKCVCICVCUTUTWOTVCJKPVAZIPVAZTVCVFEWNRVGVLEHFPVARVGVLEFGPVAZ
        RVGVLUTEWRRVGVLEKIPVARVGVLEIJPVARVGVLUTEGJPVARVGEHKPVARVGEFIPVARVGUTUTU
        TZWOWSUSZUCVMZCVCUDVMZCVCVFXCWORVGVLXDXCVHXDWORVGVLEXCXDPVARVGUTUTZLWPR
        VGAWKXABACEFGHIJKPQRTUAUBUEUFUGUHULUMVIVJAWKXBBACEFGHIJKPQRTUAUBUEUFUGU
        HULUMVKVNABXEWKABCEFGHIJKPQRTUAUBUCUDUEUFUGUHUIULVOVPXAXECWPEGHFJKILNOM
        PQRSTWOWSUCUDXAVQUFUGUHXEVQUJUKWOWJWSWJUNUPUQUOWPWJVRVSWLWPMNPVAOPVAZUA
        SVADWLWMXFWOUASWLWQNCVCOCVCMCVCWMXFUSAWKWQBACEFGHIJKPQRTUAUBUEVTVJABCEF
        GHIJKNPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUPWAABCEFGHIJKOPQRSTUAUBUCUDUEUFUG
        UHUIUJUKULUMUQWBABCEFGHIJKMPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUOWCCNOMPQUGU
        HWDWEAWKWOUAUSBAWOWTHPVAUAACEFGHIJKPQRTUAUBUEUGUHWFULWGVJWHURWGWI $.
    $}

    ${
      dalem60.m $e |- ./\ = ( meet ` K ) $.
      dalem60.o $e |- O = ( LPlanes ` K ) $.
      dalem60.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem60.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem60.d $e |- D = ( ( P .\/ Q ) ./\ ( S .\/ T ) ) $.
      dalem60.e $e |- E = ( ( Q .\/ R ) ./\ ( T .\/ U ) ) $.
      dalem60.g $e |- G = ( ( c .\/ P ) ./\ ( d .\/ S ) ) $.
      dalem60.h $e |- H = ( ( c .\/ Q ) ./\ ( d .\/ T ) ) $.
      dalem60.i $e |- I = ( ( c .\/ R ) ./\ ( d .\/ U ) ) $.
      dalem60.b1 $e |- B = ( ( ( G .\/ H ) .\/ I ) ./\ Y ) $.
      $( Lemma for ~ dath . ` B ` is an axis of perspectivity (almost).
         (Contributed by NM, 11-Aug-2012.) $)
      dalem60 $p |- ( ( ph /\ Y = Z /\ ps ) -> ( D .\/ E ) = B ) $=
        ( wceq w3a co wbr dalem57 dalem58 clat wcel cbs cfv dalemkelat 3ad2ant1
        wa dalemdea eqid atbase dalemeea clln dalem53 llnbase latjle12 syl13anc
        syl mpbi2and chlt dalemkehl wne dalemdnee llni2 syl31anc llncmp syl3anc
        wb mpbid ) AUBUCVAZBVBZFMQVCZDSVDZWQDVAZWPFDSVDZMDSVDZWRABCDEFGHIJKLNOP
        QRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUQURUSUTVEABCDEGHIJKLMNOPQRSTUAUBUCUD
        UEUFUGUHUIUJUKULUMUNUPUQURUSUTVFWPRVGVHZFRVIVJZVHZMXCVHZDXCVHZWTXAVMWRW
        MAWOXBBACEGHIJKLQRSUAUBUCUFVKVLAWOXDBAFCVHZXDACEFGHIJKLQRSTUAUBUCUFUGUH
        UIUKULUMUNUOVNZCXCFRXCVOZUIVPWCVLAWOXEBAMCVHZXEACEGHIJKLMQRSTUAUBUCUFUG
        UHUIUKULUMUNUPVQZCXCMRXIUIVPWCVLWPDRVRVJZVHZXFABCDEGHIJKLNOPQRSTXLUAUBU
        CUDUEUFUGUHUIUJUKXLVOZULUMUNUQURUSUTVSZXCRXLDXIXNVTWCXCQRSFMDXIUGUHWAWB
        WDWPRWEVHZWQXLVHZXMWRWSWMAWOXPBACEGHIJKLQRSUAUBUCUFWFZVLAWOXQBAXPXGXJFM
        WGXQXRXHXKACEFGHIJKLMQRSTUAUBUCUFUGUHUIUKULUMUNUOUPWHCFMQRXLUHUIXNWIWJV
        LXORSXLWQDUGXNWKWLWN $.
    $}

    ${
      dalem61.m $e |- ./\ = ( meet ` K ) $.
      dalem61.o $e |- O = ( LPlanes ` K ) $.
      dalem61.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
      dalem61.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
      dalem61.d $e |- D = ( ( P .\/ Q ) ./\ ( S .\/ T ) ) $.
      dalem61.e $e |- E = ( ( Q .\/ R ) ./\ ( T .\/ U ) ) $.
      dalem61.f $e |- F = ( ( R .\/ P ) ./\ ( U .\/ S ) ) $.
      $( Lemma for ~ dath .  Show that atoms ` D ` , ` E ` , and ` F ` lie on
         the same line (axis of perspectivity).  Eliminate hypotheses
         containing dummy atoms ` c ` and ` d ` .  (Contributed by NM,
         11-Aug-2012.) $)
      dalem61 $p |- ( ( ph /\ Y = Z /\ ps ) -> F .<_ ( D .\/ E ) ) $=
        ( wceq w3a cv co eqid dalem59 dalem60 breqtrrd ) ASTUOBUPMUAUQZFNURUBUQ
        ZINURQURZVCGNURVDJNURQURZNURVCHNURVDKNURQURZNURSQURZELNURPABCVHDFGHIJKM
        VEVFVGNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUNVEUSZVFUSZVGUSZVHUSZUTABCVHDEFGHIJ
        KLVEVFVGNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVIVJVKVLVAVB $.
    $}
  $}

  ${
    $d c d A $.  $d d C $.  $d c d D $.  $d c d E $.  $d c d F $.
    $d c d .\/ $.  $d c d K $.  $d c d .<_ $.  $d c P $.  $d c Q $.  $d c R $.
    $d c d Y $.  $d c d Z $.  $d c d ph $.
    dalem62.ph $e |- ( ph <-> ( ( ( K e. HL /\ C e. ( Base ` K ) )
    /\ ( P e. A /\ Q e. A /\ R e. A )
    /\ ( S e. A /\ T e. A /\ U e. A ) )
 /\ ( Y e. O /\ Z e. O )
 /\ ( ( -. C .<_ ( P .\/ Q ) /\ -. C .<_ ( Q .\/ R )
     /\ -. C .<_ ( R .\/ P ) )
    /\ ( -. C .<_ ( S .\/ T ) /\ -. C .<_ ( T .\/ U )
       /\ -. C .<_ ( U .\/ S ) )
    /\ ( C .<_ ( P .\/ S ) /\ C .<_ ( Q .\/ T )
       /\ C .<_ ( R .\/ U ) ) ) ) ) $.
    dalem62.l $e |- .<_ = ( le ` K ) $.
    dalem62.j $e |- .\/ = ( join ` K ) $.
    dalem62.a $e |- A = ( Atoms ` K ) $.
    dalem62.m $e |- ./\ = ( meet ` K ) $.
    dalem62.o $e |- O = ( LPlanes ` K ) $.
    dalem62.y $e |- Y = ( ( P .\/ Q ) .\/ R ) $.
    dalem62.z $e |- Z = ( ( S .\/ T ) .\/ U ) $.
    dalem62.d $e |- D = ( ( P .\/ Q ) ./\ ( S .\/ T ) ) $.
    dalem62.e $e |- E = ( ( Q .\/ R ) ./\ ( T .\/ U ) ) $.
    dalem62.f $e |- F = ( ( R .\/ P ) ./\ ( U .\/ S ) ) $.
    $( Lemma for ~ dath .  Eliminate the condition ` ps ` containing dummy
       variables ` c ` and ` d ` .  (Contributed by NM, 11-Aug-2012.) $)
    dalem62 $p |- ( ( ph /\ Y = Z ) -> F .<_ ( D .\/ E ) ) $=
      ( vc vd wceq wa cv wcel wbr wn wne co w3a wex biid dalem20 dalem61 3expia
      exlimdvv mpd ) ARSUMZUNZUKUOZBUPULUOZBUPUNVKROUQURVLVKUSVLROUQURCVKVLMUTO
      UQVAVAZULVBUKVBLDKMUTOUQZAVMBCEFGHIJMNOQRSUKULTUAUBUCVMVCZUEUFUGVDVJVMVNU
      KULAVIVMVNAVMBCDEFGHIJKLMNOPQRSUKULTUAUBUCVOUDUEUFUGUHUIUJVEVFVGVH $.

    $( Lemma for ~ dath .  Combine the cases where ` Y ` and ` Z ` are
       different planes with the case where ` Y ` and ` Z ` are the same plane.
       (Contributed by NM, 11-Aug-2012.) $)
    dalem63 $p |- ( ph -> F .<_ ( D .\/ E ) ) $=
      ( co wbr dalem62 dalem16 pm2.61dane ) ALDKMUKOULRSABCDEFGHIJKLMNOPQRSTUAU
      BUCUDUEUFUGUHUIUJUMABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUNUO $.
  $}

  ${
    dath.b $e |- B = ( Base ` K ) $.
    dath.l $e |- .<_ = ( le ` K ) $.
    dath.j $e |- .\/ = ( join ` K ) $.
    dath.a $e |- A = ( Atoms ` K ) $.
    dath.m $e |- ./\ = ( meet ` K ) $.
    dath.o $e |- O = ( LPlanes ` K ) $.
    dath.d $e |- D = ( ( P .\/ Q ) ./\ ( S .\/ T ) ) $.
    dath.e $e |- E = ( ( Q .\/ R ) ./\ ( T .\/ U ) ) $.
    dath.f $e |- F = ( ( R .\/ P ) ./\ ( U .\/ S ) ) $.
    $( Desargues's theorem of projective geometry (proved for a Hilbert
       lattice).  Assume each triple of atoms (points) ` P Q R ` and ` S T U `
       forms a triangle (i.e. determines a plane).  Assume that lines ` P S ` ,
       ` Q T ` , and ` R U ` meet at a "center of perspectivity" ` C ` .  (We
       also assume that ` C ` is not on any of the 6 lines forming the two
       triangles.)  Then the atoms ` D = ( P .\/ Q ) ./\ ( S .\/ T ) ` ,
       ` E = ( Q .\/ R ) ./\ ( T .\/ U ) ` ,
       ` F = ( R .\/ P ) ./\ ( U .\/ S ) ` are colinear, forming an "axis of
       perspectivity".

       Our proof roughly follows Theorem 2.7.1, p. 78 in Beutelspacher and
       Rosenbaum, _Projective Geometry:  From Foundations to Applications_,
       Cambridge University Press (1988).  Unlike them, we do not assume that
       ` C ` is an atom to make this theorem slightly more general for easier
       future use.  However, we prove that ` C ` must be an atom in
       ~ dalemcea .

       For a visual demonstration, see the "Desargues's theorem" applet at
       ~ http://www.dynamicgeometry.com/JavaSketchpad/Gallery.html .  The
       points I, J, and K there define the axis of perspectivity.

       See Theorems ~ dalaw for Desargues's law, which eliminates all of the
       preconditions on the atoms except for central perspectivity.  This is
       Metamath 100 proof #87.  (Contributed by NM, 20-Aug-2012.) $)
    dath $p |- ( ( ( ( K e. HL /\ C e. B )
    /\ ( P e. A /\ Q e. A /\ R e. A )
    /\ ( S e. A /\ T e. A /\ U e. A ) )
 /\ ( ( ( P .\/ Q ) .\/ R ) e. O /\ ( ( S .\/ T ) .\/ U ) e. O )
 /\ ( ( -. C .<_ ( P .\/ Q ) /\ -. C .<_ ( Q .\/ R )
    /\ -. C .<_ ( R .\/ P ) )
    /\ ( -. C .<_ ( S .\/ T ) /\ -. C .<_ ( T .\/ U )
    /\ -. C .<_ ( U .\/ S ) )
    /\ ( C .<_ ( P .\/ S ) /\ C .<_ ( Q .\/ T )
     /\ C .<_ ( R .\/ U ) ) ) )
      -> F .<_ ( D .\/ E ) ) $=
      ( chlt wcel wa w3a co wbr wn cbs cfv eleq2i anbi2i 3anbi1i eqid dalem63 )
      NUGUHZCBUHZUIZEAUHFAUHGAUHUJZHAUHIAUHJAUHUJZUJZEFMUKZGMUKZQUHHIMUKZJMUKZQ
      UHUIZCVGOULUMCFGMUKOULUMCGEMUKOULUMUJCVIOULUMCIJMUKOULUMCJHMUKOULUMUJCEHM
      UKOULCFIMUKOULCGJMUKOULUJUJZUJACDEFGHIJKLMNOPQVHVJVFVACNUNUOZUHZUIZVDVEUJ
      VKVLVCVOVDVEVBVNVABVMCRUPUQURURSTUAUBUCVHUSVJUSUDUEUFUT $.
  $}

  ${
    dathb.b $e |- B = ( Base ` K ) $.
    dathb.l $e |- .<_ = ( le ` K ) $.
    dathb.j $e |- .\/ = ( join ` K ) $.
    dathb.a $e |- A = ( Atoms ` K ) $.
    dathb.m $e |- ./\ = ( meet ` K ) $.
    dathb.o $e |- O = ( LPlanes ` K ) $.
    dathb.d $e |- D = ( ( P .\/ Q ) ./\ ( S .\/ T ) ) $.
    dathb.e $e |- E = ( ( Q .\/ R ) ./\ ( T .\/ U ) ) $.
    dathb.f $e |- F = ( ( R .\/ P ) ./\ ( U .\/ S ) ) $.
    $( Version of Desargues's theorem ~ dath with a different variable
       ordering.  (Contributed by NM, 7-Oct-2012.) $)
    dath2 $p |- ( ( ( ( K e. HL /\ C e. B )
    /\ ( P e. A /\ Q e. A /\ R e. A )
    /\ ( S e. A /\ T e. A /\ U e. A ) )
 /\ ( ( ( P .\/ Q ) .\/ R ) e. O /\ ( ( S .\/ T ) .\/ U ) e. O )
 /\ ( ( -. C .<_ ( P .\/ Q ) /\ -. C .<_ ( Q .\/ R )
      /\ -. C .<_ ( R .\/ P ) )
    /\ ( -. C .<_ ( S .\/ T ) /\ -. C .<_ ( T .\/ U )
        /\ -. C .<_ ( U .\/ S ) )
    /\ ( C .<_ ( P .\/ S ) /\ C .<_ ( Q .\/ T )
        /\ C .<_ ( R .\/ U ) ) ) )
      -> D .<_ ( E .\/ F ) ) $=
      ( chlt wcel wa w3a co wbr wn simp122 simp123 simp121 3jca simp132 simp133
      simp11 simp131 wceq simp11l simp2l eqeltrd simp2r simp312 simp313 simp311
      hlatjrot syl13anc simp322 simp323 simp321 simp332 simp333 dath syl323anc
      simp331 ) NUGUHZCBUHZUIZEAUHZFAUHZGAUHZUJZHAUHZIAUHZJAUHZUJZUJZEFMUKZGMUK
      ZQUHZHIMUKZJMUKZQUHZUIZCWLOULUMZCFGMUKZOULUMZCGEMUKOULUMZUJZCWOOULUMZCIJM
      UKZOULUMZCJHMUKOULUMZUJZCEHMUKOULZCFIMUKOULZCGJMUKOULZUJZUJZUJZWBWDWEWCUJ
      WHWIWGUJWTEMUKZQUHXEHMUKZQUHXAXBWSUJXFXGXDUJXJXKXIUJDKLMUKOULWBWFWJWRXMUT
      XNWDWEWCWCWDWEWBWJWRXMUNZWCWDWEWBWJWRXMUOZWCWDWEWBWJWRXMUPZUQXNWHWIWGWGWH
      WIWBWFWRXMURZWGWHWIWBWFWRXMUSZWGWHWIWBWFWRXMVAZUQXNXOWMQXNVTWDWEWCXOWMVBV
      TWAWFWJWRXMVCZXQXRXSAFGEMNTUAVJVKWKWNWQXMVDVEXNXPWPQXNVTWHWIWGXPWPVBYCXTY
      AYBAIJHMNTUAVJVKWKWNWQXMVFVEXNXAXBWSWSXAXBXHXLWKWRVGWSXAXBXHXLWKWRVHWSXAX
      BXHXLWKWRVIUQXNXFXGXDXDXFXGXCXLWKWRVLXDXFXGXCXLWKWRVMXDXFXGXCXLWKWRVNUQXN
      XJXKXIXIXJXKXCXHWKWRVOXIXJXKXCXHWKWRVPXIXJXKXCXHWKWRVSUQABCKFGEIJHLDMNOPQ
      RSTUAUBUCUEUFUDVQVR $.
  $}

  ${
    $d k p q r s A $.  $d k p q r s K $.  $d k s .\/ $.  $d k s .<_ $.
    lineset.l $e |- .<_ = ( le ` K ) $.
    lineset.j $e |- .\/ = ( join ` K ) $.
    lineset.a $e |- A = ( Atoms ` K ) $.
    lineset.n $e |- N = ( Lines ` K ) $.
    $( The set of lines in a Hilbert lattice.  (Contributed by NM,
       19-Sep-2011.) $)
    lineset $p |- ( K e. B -> N = { s | E. q e. A E. r e. A ( q =/= r /\
                      s = { p e. A | p .<_ ( q .\/ r ) } ) } ) $=
      ( cv wceq wrex cab cfv catm vk wcel cvv wne wbr crab elex clines cjn cple
      co wa fveq2 eqtr4di breqd breq2d rabeqbidv eqeq2d anbi2d rexeqbidv abbidv
      oveqd bitrd df-lines fvexi csn df-sn snex eqeltrri simpr ss2abi ab2rexex2
      ssexi fvmpt syl5eq syl ) DBUBDUCUBZFIOZHOZUDZGOZJOZVRVSCUKZEUEZJAUFZPZULZ
      HAQZIAQZGRZPDBUGVQFDUHSWJNUADVTWAWBVRVSUAOZUISZUKZWKUJSZUEZJWKTSZUFZPZULZ
      HWPQZIWPQZGRWJUCUHWKDPZXAWIGXBWTWHIWPAXBWPDTSAWKDTUMMUNZXBWSWGHWPAXCXBWRW
      FVTXBWQWEWAXBWOWDJWPAXCXBWOWBWMEUEWDXBWNEWBWMXBWNDUJSEWKDUJUMKUNUOXBWMWCW
      BEXBWLCVRVSXBWLDUISCWKDUIUMLUNVBUPVCUQURUSUTUTVAUAGHIJVDWGIHGAAADTMVEZXDW
      GGRWFGRZWEVFXEUCGWEVGWEVHVIWGWFGVTWFVJVKVMVLVNVOVP $.
  $}

  ${
    $d p q r x A $.  $d p q r x K $.  $d x .\/ $.  $d x .<_ $.  $d q r x X $.
    isline.l $e |- .<_ = ( le ` K ) $.
    isline.j $e |- .\/ = ( join ` K ) $.
    isline.a $e |- A = ( Atoms ` K ) $.
    isline.n $e |- N = ( Lines ` K ) $.
    $( The predicate "is a line".  (Contributed by NM, 19-Sep-2011.) $)
    isline $p |- ( K e. D -> ( X e. N <-> E. q e. A E. r e. A ( q =/= r /\
                      X = { p e. A | p .<_ ( q .\/ r ) } ) ) ) $=
      ( vx wcel cv wceq wrex cvv wne co wbr crab wa cab lineset eleq2d wi fvexi
      catm rabex eleq1 mpbiri adantl a1i rexlimivv eqeq1 anbi2d 2rexbidv bitrdi
      elab3 ) DBPZGFPGIQZHQZUAZOQZJQVDVECUBEUCZJAUDZRZUEZHASIASZOUFZPVFGVIRZUEZ
      HASIASZVCFVMGABCDEFOHIJKLMNUGUHVLVPOGTVOGTPZIHAAVOVQUIVDAPVEAPUEVNVQVFVNV
      QVITPVHJAADUKMUJULGVITUMUNUOUPUQVGGRZVKVOIHAAVRVJVNVFVGGVIURUSUTVBVA $.

    $d q r .\/ $.  $d q r .<_ $.  $d p q r Q $.  $d p r R $.
    $( Condition implying "is a line".  (Contributed by NM, 3-Feb-2012.) $)
    islinei $p |- ( ( ( K e. D /\ Q e. A /\ R e. A ) /\ ( Q =/= R /\
      X = { p e. A | p .<_ ( Q .\/ R ) } ) ) -> X e. N ) $=
      ( vq vr wcel wne wceq wa w3a cv co wbr crab wrex simpl2 simpr neeq1 oveq1
      simpl3 breq2d rabbidv eqeq2d anbi12d neeq2 oveq2 rspc2ev wb simpl1 isline
      syl3anc syl mpbird ) FBQZCAQZDAQZUAZCDRZIJUBZCDEUCZGUDZJAUEZSZTZTZIHQZOUB
      ZPUBZRZIVJVRVSEUCZGUDZJAUEZSZTZPAUFOAUFZVPVFVGVOWFVEVFVGVOUGVEVFVGVOUKVHV
      OUHWEVOCVSRZIVJCVSEUCZGUDZJAUEZSZTOPCDAAVRCSZVTWGWDWKVRCVSUIWLWCWJIWLWBWI
      JAWLWAWHVJGVRCVSEUJULUMUNUOVSDSZWGVIWKVNVSDCUPWMWJVMIWMWIVLJAWMWHVKVJGVSD
      CEUQULUMUNUOURVBVPVEVQWFUSVEVFVGVOUTABEFGHIPOJKLMNVAVCVD $.
  $}

  ${
    $d a k p A $.  $d k p K $.
    pointset.a $e |- A = ( Atoms ` K ) $.
    pointset.p $e |- P = ( Points ` K ) $.
    $( The set of points in a Hilbert lattice.  (Contributed by NM,
       2-Oct-2011.)  (New usage is discouraged.) $)
    pointsetN $p |- ( K e. B -> P = { p | E. a e. A p = { a } } ) $=
      ( vk wcel cvv cv csn wceq wrex cab elex cpointsN cfv catm eqtr4di rexeqdv
      fveq2 abbidv df-pointsN fvexi abrexex fvmpt syl5eq syl ) DBJDKJZCELFLMZNZ
      FAOZEPZNDBQUKCDRSUOHIDUMFILZTSZOZEPUOKRUPDNZURUNEUSUMFUQAUSUQDTSAUPDTUCGU
      AUBUDIEFUEFEAULADTGUFUGUHUIUJ $.
  $}

  ${
    $d a x A $.  $d x K $.  $d a x X $.
    ispoint.a $e |- A = ( Atoms ` K ) $.
    ispoint.p $e |- P = ( Points ` K ) $.
    $( The predicate "is a point".  (Contributed by NM, 2-Oct-2011.)
       (New usage is discouraged.) $)
    ispointN $p |- ( K e. D -> ( X e. P <-> E. a e. A X = { a } ) ) $=
      ( vx wcel cv csn wceq wrex cab pointsetN eleq2d cvv snex eleq1 rexlimivw
      mpbiri eqeq1 rexbidv elab3 bitrdi ) DBJZECJEIKZFKZLZMZFANZIOZJEUJMZFANZUG
      CUMEABCDIFGHPQULUOIERUNERJZFAUNUPUJRJUISEUJRTUBUAUHEMUKUNFAUHEUJUCUDUEUF
      $.

    $( The singleton of an atom is a point.  (Contributed by NM, 14-Jan-2012.)
       (New usage is discouraged.) $)
    atpointN $p |- ( ( K e. D /\ X e. A ) -> { X } e. P ) $=
      ( vx wcel wa csn cv wceq wrex eqid sneq rspceeqv mpan2 adantl wb ispointN
      adantr mpbird ) DBIZEAIZJEKZCIZUFHLZKZMHANZUEUJUDUEUFUFMUJUFOHEAUIUFUFUHE
      PQRSUDUGUJTUEABCDUFHFGUAUBUC $.
  $}

  ${
    $d k r s A $.  $d k p q r s K $.  $d k .\/ $.  $d k .<_ $.
    psubspset.l $e |- .<_ = ( le ` K ) $.
    psubspset.j $e |- .\/ = ( join ` K ) $.
    psubspset.a $e |- A = ( Atoms ` K ) $.
    psubspset.s $e |- S = ( PSubSp ` K ) $.
    $( The set of projective subspaces in a Hilbert lattice.  (Contributed by
       NM, 2-Oct-2011.) $)
    psubspset $p |- ( K e. B -> S = { s | ( s C_ A
    /\ A. p e. s A. q e. s A. r e. A ( r .<_ ( p .\/ q ) -> r e. s ) ) } ) $=
      ( vk wcel cv wral cfv catm cvv wss co wbr wi wa cab wceq elex cpsubsp cjn
      fveq2 eqtr4di sseq2d oveqd breq2d breqd imbi1d raleqbidv 2ralbidv anbi12d
      cple bitrd abbidv df-psubsp cpw fvexi pwex velpw anbi1i abbii ssab2 ssexi
      eqsstrri fvmpt syl5eq syl ) EBPEUAPZCGQZAUBZHQZJQZIQZDUCZFUDZWAVSPZUEZHAR
      ZIVSRJVSRZUFZGUGZUHEBUIVRCEUJSWKNOEVSOQZTSZUBZWAWBWCWLUKSZUCZWLVBSZUDZWFU
      EZHWMRZIVSRJVSRZUFZGUGWKUAUJWLEUHZXBWJGXCWNVTXAWIXCWMAVSXCWMETSAWLETULMUM
      ZUNXCWTWHJIVSVSXCWSWGHWMAXDXCWRWEWFXCWRWAWDWQUDWEXCWPWDWAWQXCWODWBWCXCWOE
      UKSDWLEUKULLUMUOUPXCWQFWAWDXCWQEVBSFWLEVBULKUMUQVCURUSUTVAVDOGHIJVEWKAVFZ
      AAETMVGVHWKVSXEPZWIUFZGUGXEXGWJGXFVTWIGAVIVJVKWIGXEVLVNVMVOVPVQ $.

    $d x A $.  $d x K $.  $d x .\/ $.  $d x .<_ $.  $d p q r x X $.
    $( The predicate "is a projective subspace".  (Contributed by NM,
       2-Oct-2011.) $)
    ispsubsp $p |- ( K e. D -> ( X e. S <-> ( X C_ A
    /\ A. p e. X A. q e. X A. r e. A ( r .<_ ( p .\/ q ) -> r e. X ) ) ) ) $=
      ( vx wcel cv wss wi wral co wbr wa cab psubspset eleq2d catm fvexi adantr
      cvv ssex wceq sseq1 eleq2 imbi2d ralbidv raleqbi1dv anbi12d elab3 bitrdi
      ) EBPZGCPGOQZARZHQZJQIQDUAFUBZVDVBPZSZHATZIVBTZJVBTZUCZOUDZPGARZVEVDGPZSZ
      HATZIGTZJGTZUCZVACVLGABCDEFOHIJKLMNUEUFVKVSOGUJVMGUJPVRGAAEUGMUHUKUIVBGUL
      ZVCVMVJVRVBGAUMVIVQJVBGVHVPIVBGVTVGVOHAVTVFVNVEVBGVDUNUOUPUQUQURUSUT $.

    $d p q A $.
    $( The predicate "is a projective subspace".  (Contributed by NM,
       13-Jan-2012.) $)
    ispsubsp2 $p |- ( K e. D -> ( X e. S <-> ( X C_ A
    /\ A. p e. A ( E. q e. X E. r e. X p .<_ ( q .\/ r ) -> p e. X ) ) ) ) $=
      ( wcel cv wi wral ralbii bitri wss co wbr wa wrex ispsubsp ralcom r19.23v
      wb a1i anbi2d bitrd ) EBOZGCOGAUAZJPZIPHPDUBFUCZUOGOZQZJARHGRZIGRZUDUNUPH
      GUEZIGUEUQQZJARZUDABCDEFGJHIKLMNUFUMUTVCUNUTVCUIUMUTVAUQQZJARZIGRZVCUSVEI
      GUSURHGRZJARVEURHJGAUGVGVDJAUPUQHGUHSTSVFVDIGRZJARVCVDIJGAUGVHVBJAVAUQIGU
      HSTTUJUKUL $.

    $d p .\/ $.  $d p .<_ $.  $d p q r P $.
    $( Property of a projective subspace.  (Contributed by NM, 13-Jan-2012.) $)
    psubspi $p |- ( ( ( K e. D /\ X e. S /\ P e. A ) /\
         E. q e. X E. r e. X P .<_ ( q .\/ r ) ) -> P e. X ) $=
      ( vp wcel cv wbr wrex wi co wral wss ispsubsp2 simplbda ex breq1 2rexbidv
      wceq eleq1 imbi12d rspccv syl6 3imp1 ) FBPZHDPZCAPZCJQIQEUAZGRZIHSJHSZCHP
      ZUOUPOQZURGRZIHSJHSZVBHPZTZOAUBZUQUTVATZTUOUPVGUOUPHAUCVGABDEFGHIJOKLMNUD
      UEUFVFVHOCAVBCUIZVDUTVEVAVIVCUSJIHHVBCURGUGUHVBCHUJUKULUMUN $.

    $d q r .\/ $.  $d q r .<_ $.  $d q r Q $.  $d r R $.
    $( Property of a projective subspace.  (Contributed by NM, 13-Jan-2012.)
       (New usage is discouraged.) $)
    psubspi2N $p |- ( ( ( K e. D /\ X e. S /\ P e. A )
       /\ ( Q e. X /\ R e. X /\ P .<_ ( Q .\/ R ) ) ) -> P e. X ) $=
      ( vq vr wcel co wbr w3a cv wrex oveq1 breq2d oveq2 rspc2ev psubspi sylan2
      wceq ) DJQEJQCDEGRZISZTHBQJFQCAQTCOUAZPUAZGRZISZPJUBOJUBCJQUOUKCDUMGRZISO
      PDEJJULDUIUNUPCIULDUMGUCUDUMEUIUPUJCIUMEDGUEUDUFABCFGHIJPOKLMNUGUH $.
  $}

  ${
    $d p q r K $.
    0psub.s $e |- S = ( PSubSp ` K ) $.
    $( The empty set is a projective subspace.  Remark below Definition 15.1 of
       [MaedaMaeda] p. 61.  (Contributed by NM, 13-Oct-2011.)
       (New usage is discouraged.) $)
    0psubN $p |- ( K e. V -> (/) e. S ) $=
      ( vr vp vq wcel c0 catm cfv wss cv cjn co cple wbr wi wral eqid wa pm3.2i
      0ss ral0 ispsubsp mpbiri ) BCHIAHIBJKZLZEMZFMGMBNKZOBPKZQUIIHREUGSGISZFIS
      ZUAUHUMUGUCULFUDUBUGCAUJBUKIEGFUKTUJTUGTDUEUF $.
  $}

  ${
    $d p q r A $.  $d p q r K $.  $d p q r P $.
    snpsub.a $e |- A = ( Atoms ` K ) $.
    snpsub.s $e |- S = ( PSubSp ` K ) $.
    $( The singleton of an atom is a projective subspace.  (Contributed by NM,
       9-Sep-2013.)  (New usage is discouraged.) $)
    snatpsubN $p |- ( ( K e. AtLat /\ P e. A ) -> { P } e. S ) $=
      ( vr vp vq cal wcel cv cfv co wbr wral wa wceq eqid velsn csn wss cple wi
      cjn snssi adantl clat atllat atbase latjidm syl2an adantr breq2d wb atcmp
      cbs 3com23 3expa biimpd sylbid adantld anbi12i anbi1i pm5.32i bitri exp4b
      oveq12 3imtr4g com23 ralrimdv ralrimivv jca ex ispsubsp sylibrd imp ) DJK
      ZBAKZBUAZCKZVRVSVTAUBZGLZHLZILZDUEMZNZDUCMZOZWCVTKZUDZGAPZIVTPHVTPZQZWAVR
      VSWNVRVSQZWBWMVSWBVRBAUFUGWOWLHIVTVTWOWDVTKZWEVTKZQZWKGAWOWCAKZWRWKWOWSWR
      WIWJWOWSQZWDBRZWEBRZQZWCBBWFNZWHOZQZWCBRZWRWIQZWJWTXEXGXCWTXEWCBWHOZXGWTX
      DBWCWHWOXDBRZWSVRDUHKBDUQMZKXJVSDUIAXKBDXKSZEUJXKWFDBXLWFSZUKULUMUNWTXIXG
      VRVSWSXIXGUOZVRWSVSXNAWCBDWHWHSZEUPURUSUTVAVBXHXCWIQXFWRXCWIWPXAWQXBHBTIB
      TVCVDXCWIXEXCWGXDWCWHWDBWEBWFVHUNVEVFGBTVIVGVJVKVLVMVNAJCWFDWHVTGIHXOXMEF
      VOVPVQ $.
  $}

  ${
    $d q K $.  $d q S $.  $d q X $.
    pointpsub.p $e |- P = ( Points ` K ) $.
    pointpsub.s $e |- S = ( PSubSp ` K ) $.
    $( A point (singleton of an atom) is a projective subspace.  Remark below
       Definition 15.1 of [MaedaMaeda] p. 61.  (Contributed by NM,
       13-Oct-2011.)  (New usage is discouraged.) $)
    pointpsubN $p |- ( ( K e. AtLat /\ X e. P ) -> X e. S ) $=
      ( vq cal wcel cv csn wceq catm cfv wrex eqid ispointN wi snatpsubN ex imp
      eleq1a syl6 rexlimdv sylbid ) CHIZDAIZDBIZUFUGDGJZKZLZGCMNZOUHULHACDGULPZ
      EQUFUKUHGULUFUIULIZUJBIZUKUHRUFUNUOULUIBCUMFSTUJBDUBUCUDUEUA $.
  $}

  ${
    $d a b c p q r K $.  $d a b c p q r X $.
    linepsub.n $e |- N = ( Lines ` K ) $.
    linepsub.s $e |- S = ( PSubSp ` K ) $.
    $( A line is a projective subspace.  (Contributed by NM, 16-Oct-2011.)
       (New usage is discouraged.) $)
    linepsubN $p |- ( ( K e. Lat /\ X e. N ) -> X e. S ) $=
      ( va vb vc vr vp vq wcel cv cfv wbr wa wi eqid atbase clat cple catm crab
      wne cjn co wceq wrex wss ssrab2 sseq1 mpbiri a1i cbs anim12i latjcl 3expb
      wral sylan2 eleq2 breq1 elrab anim1i syl6bi anim12d an4 syl6ib imp anim2i
      sylbi anassrs latjle12 biimpd 3exp2 com23 imp43 adantr 3expib lattr com24
      w3a impd syl5d imp41 adantlrr mpan2d syl2an simpr jctild ad3antlr sylibrd
      wb bitrdi ralrimiva ralrimivva ex syldan jcad adantld rexlimdvva ispsubsp
      isline 3imtr4d ) BUAMZDCMZDAMZXEGNZHNZUEZDINZXHXIBUFOZUGZBUBOZPZIBUCOZUDZ
      UHZQZHXPUIGXPUIDXPUJZJNZKNZLNZXLUGZXNPZYADMZRZJXPUSZLDUSKDUSZQZXFXGXEXSYJ
      GHXPXPXEXHXPMZXIXPMZQZQZXRYJXJYNXRXTYIXRXTRYNXRXTXQXPUJXOIXPUKDXQXPULUMUN
      XEYMXMBUOOZMZXRYIRYMXEXHYOMZXIYOMZQYPYKYQYLYRXPYOXHBYOSZXPSZTXPYOXIBYSYTT
      UPXEYQYRYPYOXLBXHXIYSXLSZUQURUTXEYPQZXRYIUUBXRQZYHKLDDUUCYBDMZYCDMZQZQZYG
      JXPUUGYAXPMZQZYEUUHYAXMXNPZQZYFUUIYEUUJUUHUUGUUBYBYOMZYCYOMZQZYBXMXNPZYCX
      MXNPZQZQZQZYAYOMZYEUUJRUUHUUBXRUUFUUSXRUUFQUURUUBXRUUFUURXRUUFUULUUOQZUUM
      UUPQZQUURXRUUDUVAUUEUVBXRUUDYBXQMZUVADXQYBVAUVCYBXPMZUUOQUVAXOUUOIYBXPXKY
      BXMXNVBVCUVDUULUUOXPYOYBBYSYTTVDVKVEXRUUEYCXQMZUVBDXQYCVAUVEYCXPMZUUPQUVB
      XOUUPIYCXPXKYCXMXNVBVCUVFUUMUUPXPYOYCBYSYTTVDVKVEVFUULUUOUUMUUPVGVHVIVJVL
      XPYOYABYSYTTUUSUUTQYEYDXMXNPZUUJUUSUVGUUTXEYPUUNUUQUVGXEUUNYPUUQUVGRZXEUU
      LUUMYPUVHRXEUULUUMYPUVHXEUULUUMYPWBQUUQUVGYOXLBXNYBYCXMYSXNSZUUAVMVNVOWCV
      PVQVRUUBUUNUUTYEUVGQUUJRZUUQXEYPUUNUUTUVJXEUUNYDYOMZYPUUTUVJRXEUULUUMUVKY
      OXLBYBYCYSUUAUQVSXEUUTUVKYPUVJXEUUTUVKYPUVJYOBXNYAYDXMYSUVIVTVOWAWDWEWFWG
      WHUUGUUHWIWJXRYFUUKWMUUBUUFUUHXRYFYAXQMUUKDXQYAVAXOUUJIYAXPXKYAXMXNVBVCWN
      WKWLWOWPWQWRWSWTXAXPUAXLBXNCDHGIUVIUUAYTEXCXPUAAXLBXNDJLKUVIUUAYTFXBXDVI
      $.
  $}

  ${
    $d p q r A $.  $d p q r K $.  $d p q r X $.
    atpsub.a $e |- A = ( Atoms ` K ) $.
    atpsub.s $e |- S = ( PSubSp ` K ) $.
    $( The set of all atoms is a projective subspace.  Remark below Definition
       15.1 of [MaedaMaeda] p. 61.  (Contributed by NM, 13-Oct-2011.)
       (New usage is discouraged.) $)
    atpsubN $p |- ( K e. V -> A e. S ) $=
      ( vr vp vq wcel wss cv cjn cfv co cple wbr wi wral eqid wa ssid ax-1 rgen
      rgen2w pm3.2i ispsubsp mpbiri ) CDJABJAAKZGLZHLILCMNZOCPNZQZUJAJZRZGASZIA
      SHASZUAUIUQAUBUPHIAAUOGAUNUMUCUDUEUFADBUKCULAGIHULTUKTEFUGUH $.

    $( A projective subspace consists of atoms.  (Contributed by NM,
       4-Nov-2011.) $)
    psubssat $p |- ( ( K e. B /\ X e. S ) -> X C_ A ) $=
      ( vr vp vq wcel wss cv cjn cfv co cple wbr wral eqid wi ispsubsp simprbda
      ) DBKECKEALHMZIMJMDNOZPDQOZRUDEKUAHASJESIESABCUEDUFEHJIUFTUETFGUBUC $.

    $( A member of a projective subspace is an atom.  (Contributed by NM,
       4-Nov-2011.)  (New usage is discouraged.) $)
    psubatN $p |- ( ( K e. B /\ X e. S /\ Y e. X ) -> Y e. A ) $=
      ( wcel wa psubssat sseld 3impia ) DBIZECIZFEIFAINOJEAFABCDEGHKLM $.
  $}

  ${
    $d a k A $.  $d k x B $.  $d a k x K $.  $d k .<_ $.
    pmapfval.b $e |- B = ( Base ` K ) $.
    pmapfval.l $e |- .<_ = ( le ` K ) $.
    pmapfval.a $e |- A = ( Atoms ` K ) $.
    pmapfval.m $e |- M = ( pmap ` K ) $.
    $( The projective map of a Hilbert lattice.  (Contributed by NM,
       2-Oct-2011.) $)
    pmapfval $p |- ( K e. C -> M = ( x e. B |-> { a e. A | a .<_ x } ) ) $=
      ( vk cv cfv cbs cple catm fveq2 eqtr4di wcel cvv wbr crab cmpt wceq cpmap
      elex breqd rabeqbidv mpteq12dv df-pmap mptfvmpt syl5eq syl ) EDUAEUBUAZGA
      CHNZANZFUCZHBUDZUEZUFEDUHUPGEUGOVALAMUTPUGAMNZPOZUQURVBQOZUCZHVBROZUDZUEC
      UBEEVBEUFZAVCVGCUTVHVCEPOCVBEPSITVHVEUSHVFBVHVFEROBVBERSKTVHVDFUQURVHVDEQ
      OFVBEQSJTUIUJUKMHAULIUMUNUO $.

    $d x A $.  $d x .<_ $.  $d a x X $.  $d x P $.
    $( Value of the projective map of a Hilbert lattice.  Definition in Theorem
       15.5 of [MaedaMaeda] p. 62.  (Contributed by NM, 2-Oct-2011.) $)
    pmapval $p |- ( ( K e. C /\ X e. B )
   -> ( M ` X ) = { a e. A | a .<_ X } ) $=
      ( vx wcel cfv cv wbr crab cmpt pmapfval fveq1d wceq breq2 eqid catm fvexi
      rabbidv rabex fvmpt sylan9eq ) DCNZGBNGFOGMBHPZMPZEQZHARZSZOULGEQZHARZUKG
      FUPMABCDEFHIJKLTUAMGUOURBUPUMGUBUNUQHAUMGULEUCUGUPUDUQHAADUEKUFUHUIUJ $.

    $( Member of a projective map.  (Contributed by NM, 27-Jan-2012.) $)
    elpmap $p |- ( ( K e. C /\ X e. B ) -> ( P e. ( M ` X ) <->
          ( P e. A /\ P .<_ X ) ) ) $=
      ( vx wcel wa cfv cv wbr crab pmapval eleq2d breq1 elrab bitrdi ) ECNHBNOZ
      DHGPZNDMQZHFRZMASZNDANDHFRZOUEUFUIDABCEFGHMIJKLTUAUHUJMDAUGDHFUBUCUD $.
  $}

  ${
    $d p A $.  $d p K $.  $d p X $.
    pmapssat.b $e |- B = ( Base ` K ) $.
    pmapssat.a $e |- A = ( Atoms ` K ) $.
    pmapssat.m $e |- M = ( pmap ` K ) $.
    $( The projective map of a Hilbert lattice is a set of atoms.  (Contributed
       by NM, 14-Jan-2012.) $)
    pmapssat $p |- ( ( K e. C /\ X e. B ) -> ( M ` X ) C_ A ) $=
      ( vp wcel wa cfv cv cple wbr crab eqid pmapval ssrab2 eqsstrdi ) DCKFBKLF
      EMJNFDOMZPZJAQAABCDUBEFJGUBRHISUCJATUA $.
  $}

  ${
    pmapssba.b $e |- B = ( Base ` K ) $.
    pmapssba.m $e |- M = ( pmap ` K ) $.
    $( A weakening of ~ pmapssat to shorten some proofs.  (Contributed by NM,
       7-Mar-2012.)  (New usage is discouraged.) $)
    pmapssbaN $p |- ( ( K e. C /\ X e. B ) -> ( M ` X ) C_ B ) $=
      ( wcel wa cfv catm eqid pmapssat atssbase sstrdi ) CBHEAHIEDJCKJZAPABCDEF
      PLZGMPACFQNO $.
  $}

  ${
    $d p B $.  $d p K $.  $d p .<_ $.  $d p X $.  $d p Y $.
    pmaple.b $e |- B = ( Base ` K ) $.
    pmaple.l $e |- .<_ = ( le ` K ) $.
    pmaple.m $e |- M = ( pmap ` K ) $.
    $( The projective map of a Hilbert lattice preserves ordering.  Part of
       Theorem 15.5 of [MaedaMaeda] p. 62.  (Contributed by NM,
       22-Oct-2011.) $)
    pmaple $p |- ( ( K e. HL /\ X e. B /\ Y e. B )
                   -> ( X .<_ Y <-> ( M ` X ) C_ ( M ` Y ) ) ) $=
      ( vp chlt wcel w3a wbr cfv crab wss wi eqid wceq cv catm cpo hlpos atbase
      wral postr exp4b 3expd com23 com34 3imp syl5 ralrimdv syl3an1 ss2rab club
      syl6ibr ccla hlclat ssrab2 atssbase sstri mp3an2 ex syl 3ad2ant1 coml cal
      lubss simp2 atlatmstc syl2anc simp3 breq12d sylibd impbid pmapval 3adant3
      hlomcmat 3adant2 sseq12d bitr4d ) BKLZEALZFALZMZEFCNZJUAZECNZJBUBOZPZWIFC
      NZJWKPZQZEDOZFDOZQWGWHWOWGWHWJWMRZJWKUFZWOWDBUCLZWEWFWHWSRBUDWTWEWFMZWHWR
      JWKXAWIWKLZWHWRXAXBWJWHWMXBWIALZXAWJWHWMRRZWKAWIBGWKSZUEWTWEWFXCXDRWTWEXC
      WFXDWTXCWEWFXDRWTXCWEWFXDWTXCWEWFMWJWHWMABCWIEFGHUGUHUIUJUKULUMUKUJUNUOWJ
      WMJWKUPURWGWOWLBUQOZOZWNXFOZCNZWHWDWEWOXIRZWFWDBUSLZXJBUTXKWOXIXKWNAQWOXI
      WNWKAWMJWKVAWKABGXEVBVCAWLWNXFBCGHXFSZVJVDVEVFVGWGXGEXHFCWGBVHLXKBVILMZWE
      XGETWDWEXMWFBVTVGZWDWEWFVKJWKAXFBCEGHXLXEVLVMWGXMWFXHFTXNWDWEWFVNJWKAXFBC
      FGHXLXEVLVMVOVPVQWGWPWLWQWNWDWEWPWLTWFWKAKBCDEJGHXEIVRVSWDWFWQWNTWEWKAKBC
      DFJGHXEIVRWAWBWC $.
  $}

  ${
    pmap11.b $e |- B = ( Base ` K ) $.
    pmap11.m $e |- M = ( pmap ` K ) $.
    $( The projective map of a Hilbert lattice is one-to-one.  Part of Theorem
       15.5 of [MaedaMaeda] p. 62.  (Contributed by NM, 22-Oct-2011.) $)
    pmap11 $p |- ( ( K e. HL /\ X e. B /\ Y e. B )
                   -> ( ( M ` X ) = ( M ` Y ) <-> X = Y ) ) $=
      ( chlt wcel w3a cfv wceq wss wa eqss cple wbr clat wb pmaple eqid syl3an1
      hllat latasymb 3com23 anbi12d bitr3d bitr4id ) BHIZDAIZEAIZJZDCKZECKZLUMU
      NMZUNUMMZNZDELZUMUNOULDEBPKZQZEDUSQZNZURUQUIBRIUJUKVBURSBUCABUSDEFUSUAZUD
      UBULUTUOVAUPABUSCDEFVCGTUIUKUJVAUPSABUSCEDFVCGTUEUFUGUH $.
  $}

  ${
    $d q A $.  $d q K $.  $d q P $.
    pmapat.a $e |- A = ( Atoms ` K ) $.
    pmapat.m $e |- M = ( pmap ` K ) $.
    $( The projective map of an atom.  (Contributed by NM, 25-Jan-2012.) $)
    pmapat $p |- ( ( K e. HL /\ P e. A ) -> ( M ` P ) = { P } ) $=
      ( vq chlt wcel wa cfv cv cple wbr crab wceq csn cbs eqid atbase sylan2 wb
      pmapval cal hlatl ad2antrr simpr simplr atcmp syl3anc rabsn adantl 3eqtrd
      rabbidva ) CHIZBAIZJZBDKZGLZBCMKZNZGAOZUSBPZGAOZBQZUPUOBCRKZIURVBPAVFBCVF
      SZETAVFHCUTDBGVGUTSZEFUCUAUQVAVCGAUQUSAIZJCUDIZVIUPVAVCUBUOVJUPVICUEUFUQV
      IUGUOUPVIUHAUSBCUTVHEUIUJUNUPVDVEPUOGABUKULUM $.

    $( Member of the projective map of an atom.  (Contributed by NM,
       27-Jan-2012.) $)
    elpmapat $p |- ( ( K e. HL /\ P e. A )
   -> ( X e. ( M ` P ) <-> X = P ) ) $=
      ( chlt wcel wa cfv csn wceq pmapat eleq2d wb elsn2g adantl bitrd ) CHIZBA
      IZJZEBDKZIEBLZIZEBMZUBUCUDEABCDFGNOUAUEUFPTEBAQRS $.
  $}

  ${
    $d a K $.  $d a .0. $.
    pmap0.z $e |- .0. = ( 0. ` K ) $.
    pmap0.m $e |- M = ( pmap ` K ) $.
    $( Value of the projective map of a Hilbert lattice at lattice zero.  Part
       of Theorem 15.5.1 of [MaedaMaeda] p. 62.  (Contributed by NM,
       17-Oct-2011.) $)
    pmap0 $p |- ( K e. AtLat -> ( M ` .0. ) = (/) ) $=
      ( va cal wcel cfv cv cple wbr catm crab c0 cbs wceq eqid atl0cl pmapval
      mpdan wne wn wrex atnle0 nrexdv rabn0 sylnibr nne sylib eqtrd ) AGHZCBIZF
      JZCAKIZLZFAMIZNZOULCAPIZHUMURQUSACUSRZDSUQUSGAUOBCFUTUORZUQRZETUAULUROUBZ
      UCUROQULUPFUQUDVCULUPFUQUQUNAUOCVADVBUEUFUPFUQUGUHUROUIUJUK $.
  $}

  ${
    pmapeq0.b $e |- B = ( Base ` K ) $.
    pmapeq0.z $e |- .0. = ( 0. ` K ) $.
    pmapeq0.m $e |- M = ( pmap ` K ) $.
    $( A projective map value is zero iff its argument is lattice zero.
       (Contributed by NM, 27-Jan-2012.) $)
    pmapeq0 $p |- ( ( K e. HL /\ X e. B )
   -> ( ( M ` X ) = (/) <-> X = .0. ) ) $=
      ( chlt wcel wa cfv wceq c0 cal hlatl adantr pmap0 syl eqeq2d wb cops hlop
      op0cl pmap11 mpd3an3 bitr3d ) BIJZDAJZKZDCLZECLZMZUKNMDEMZUJULNUKUJBOJZUL
      NMUHUOUIBPQBCEGHRSTUHUIEAJZUMUNUAUJBUBJZUPUHUQUIBUCQABEFGUDSABCDEFHUEUFUG
      $.
  $}

  ${
    $d p A $.  $d p K $.  $d p .1. $.
    pmap1.u $e |- .1. = ( 1. ` K ) $.
    pmap1.a $e |- A = ( Atoms ` K ) $.
    pmap1.m $e |- M = ( pmap ` K ) $.
    $( Value of the projective map of a Hilbert lattice at lattice unit.  Part
       of Theorem 15.5.1 of [MaedaMaeda] p. 62.  (Contributed by NM,
       22-Oct-2011.)  (New usage is discouraged.) $)
    pmap1N $p |- ( K e. OP -> ( M ` .1. ) = A ) $=
      ( vp cops wcel cfv cv cple wbr crab cbs wceq eqid op1cl pmapval ralrimiva
      mpdan wral atbase ople1 sylan2 rabid2 sylibr eqtr4d ) CIJZBDKZHLZBCMKZNZH
      AOZAUJBCPKZJUKUOQUPBCUPRZESAUPICUMDBHUQUMRZFGTUBUJUNHAUCAUOQUJUNHAULAJUJU
      LUPJUNAUPULCUQFUDUPBCUMULUQUREUEUFUAUNHAUGUHUI $.
  $}

  ${
    $d p q r B $.  $d c p q r K $.  $d c p q r X $.
    pmapsub.b $e |- B = ( Base ` K ) $.
    pmapsub.s $e |- S = ( PSubSp ` K ) $.
    pmapsub.m $e |- M = ( pmap ` K ) $.
    $( The projective map of a Hilbert lattice maps to projective subspaces.
       Part of Theorem 15.5 of [MaedaMaeda] p. 62.  (Contributed by NM,
       17-Oct-2011.) $)
    pmapsub $p |- ( ( K e. Lat /\ X e. B ) -> ( M ` X ) e. S ) $=
      ( vc vr vp vq clat wcel wa cfv cv wbr eqid wi cple catm crab pmapval wral
      wss cjn breq1 elrab atbase anim1i sylbi anim12i an4 sylib anim2i latjle12
      w3a biimpd 3exp2 com23 imp43 adantr latjcl 3expib lattr com24 syl5d imp41
      co impd adantlrr mpan2d syl2an jctild syl6ibr ralrimiva ralrimivva ssrab2
      simpr jctil wb ispsubsp mpbird eqeltrd ) CMNZEANZOZEDPIQZECUAPZRZICUBPZUC
      ZBWLAMCWJDEIFWJSZWLSZHUDWHWMBNZWMWLUFZJQZKQZLQZCUGPZVJZWJRZWRWMNZTZJWLUEZ
      LWMUEKWMUEZOZWHXGWQWHXFKLWMWMWHWSWMNZWTWMNZOZOZXEJWLXLWRWLNZOZXCXMWREWJRZ
      OXDXNXCXOXMXLWHWSANZWTANZOZWSEWJRZWTEWJRZOZOZOZWRANZXCXOTXMXKYBWHXKXPXSOZ
      XQXTOZOYBXIYEXJYFXIWSWLNZXSOYEWKXSIWSWLWIWSEWJUHUIYGXPXSWLAWSCFWOUJUKULXJ
      WTWLNZXTOYFWKXTIWTWLWIWTEWJUHUIYHXQXTWLAWTCFWOUJUKULUMXPXSXQXTUNUOUPWLAWR
      CFWOUJYCYDOXCXBEWJRZXOYCYIYDWFWGXRYAYIWFXRWGYAYITZWFXPXQWGYJTWFXPXQWGYJWF
      XPXQWGUROYAYIAXACWJWSWTEFWNXASZUQUSUTVKVAVBVCWHXRYDXCYIOXOTZYAWFWGXRYDYLW
      FXRXBANZWGYDYLTWFXPXQYMAXACWSWTFYKVDVEWFYDYMWGYLWFYDYMWGYLACWJWRXBEFWNVFU
      TVGVHVIVLVMVNXLXMVTVOWKXOIWRWLWIWREWJUHUIVPVQVRWKIWLVSWAWFWPXHWBWGWLMBXAC
      WJWMJLKWNYKWOGWCVCWDWE $.
  $}

  ${
    $d i p x y z B $.  $d p z G $.  $d i p y z I $.  $d i p x y z K $.
    $d p x y z S $.
    pmapglb.b $e |- B = ( Base ` K ) $.
    pmapglb.g $e |- G = ( glb ` K ) $.
    pmapglb.m $e |- M = ( pmap ` K ) $.
    $( The projective map of the GLB of a set of lattice elements.  Index-set
       version of ~ pmapglb , where we read ` S ` as ` S ( i ) ` .  Theorem
       15.5.2 of [MaedaMaeda] p. 62.  (Contributed by NM, 5-Dec-2011.) $)
    pmapglbx $p |- ( ( K e. HL /\ A. i e. I S e. B /\ I =/= (/) )
    -> ( M ` ( G ` { y | E. i e. I y = S } ) ) = |^|_ i e. I ( M ` S ) ) $=
      ( vp vz wcel wral cv wceq cfv wa wb chlt wne w3a wrex cple catm crab ciin
      c0 cab wbr ccla wss hlclat ad2antrr atbase adantl r19.29 eleq1a rexlimivw
      eqid wi imp syl ex ad2antlr abssdv clatleglb syl3anc wal vex rexbidv elab
      eqeq1 imbi1i r19.23v bitr4i albii df-ral ralcom4 3bitr4i nfv breq2 ralimi
      ceqsalg ralbi syl5bb bitrd 3adant3 simp1 clatglbcl syl2an pmapval syl2anc
      rabbidva iinrab 3ad2ant3 3eqtr4d nfra1 nf3an simpl1 rspa 3ad2antl2 eqtr4d
      iineq2d ) GUANZCBNZDFOZFUIUBZUCZAPZCQZDFUDZAUJZERZHRZDFLPZCGUERZUKZLGUFRZ
      UGZUHZDFCHRZUHXJXQXOXRUKZLXTUGZXSDFOZLXTUGZXPYBXFXHYEYGQXIXFXHSZYDYFLXTYH
      XQXTNZSZYDXQMPZXRUKZMXNOZYFYJGULNZXQBNZXNBUMZYDYMTXFYNXHYIGUNZUOYIYOYHXTB
      XQGIXTVAZUPUQYJXMABXHXMXKBNZVBXFYIXHXMYSXHXMSXGXLSZDFUDYSXGXLDFURYTYSDFXG
      XLYSCBXKUSVCUTVDVEZVFVGMBXNEGXRXQIXRVAZJVHVIXHYMYFTXFYIYMYKCQZYLVBZMVJZDF
      OZXHYFYKXNNZYLVBZMVJUUDDFOZMVJYMUUFUUHUUIMUUHUUCDFUDZYLVBUUIUUGUUJYLXMUUJ
      AYKMVKXKYKQXLUUCDFXKYKCVNVLVMVOUUCYLDFVPVQVRYLMXNVSUUDDMFVTWAXHUUEXSTZDFO
      UUFYFTXGUUKDFYLXSMCBXSMWBYKCXQXRWCWEWDUUEXSDFWFVDWGVFWHWOWIXJXFXOBNZXPYEQ
      XFXHXIWJXFXHUULXIXFYNYPUULXHYQXHXMABUUAVGBXNEGIJWKWLWIXTBUAGXRHXOLIUUBYRK
      WMWNXIXFYBYGQXHXSDLFXTWPWQWRXJDFYCYAXFXHXIDXFDWBXGDFWSXIDWBWTXJDPFNZSXFXG
      YCYAQXFXHXIUUMXAXHXFUUMXGXIXGDFXBXCXTBUAGXRHCLIUUBYRKWMWNXEXD $.

    $( The projective map of the GLB of a set of lattice elements ` S ` .
       Variant of Theorem 15.5.2 of [MaedaMaeda] p. 62.  (Contributed by NM,
       5-Dec-2011.) $)
    pmapglb $p |- ( ( K e. HL /\ S C_ B /\ S =/= (/) )
        -> ( M ` ( G ` S ) ) = |^|_ x e. S ( M ` x ) ) $=
      ( vy chlt wcel wss cfv weq cab cv wa wex fveq2i c0 wne wrex df-rex equcom
      w3a ciin anbi1ci exbii eleq1w equsexvw 3bitri abbii abid2 wral wceq dfss3
      eqtr2i pmapglbx syl3an2b syl5eq ) EKLZCBMZCUAUBZUFCDNZFNJAOZACUCZJPZDNZFN
      ZACAQZFNUGZVEVIFCVHDVHJQCLZJPCVGVMJVGVKCLZVFRZASAJOZVNRZASVMVFACUDVOVQAVF
      VPVNJAUEUHUIVNVMAJAJCUJUKULUMJCUNURTTVCVBVKBLACUOVDVJVLUPACBUQJBVKADCEFGH
      IUSUTVA $.
  $}

  ${
    $d i x A $.  $d i x y B $.  $d i y I $.  $d i x y K $.  $d x y S $.
    pmapglb2.b $e |- B = ( Base ` K ) $.
    pmapglb2.g $e |- G = ( glb ` K ) $.
    pmapglb2.a $e |- A = ( Atoms ` K ) $.
    pmapglb2.m $e |- M = ( pmap ` K ) $.
    $( The projective map of the GLB of a set of lattice elements ` S ` .
       Variant of Theorem 15.5.2 of [MaedaMaeda] p. 62.  Allows ` S = (/) ` .
       (Contributed by NM, 21-Jan-2012.)  (New usage is discouraged.) $)
    pmapglb2N $p |- ( ( K e. HL /\ S C_ B )
        -> ( M ` ( G ` S ) ) = ( A i^i |^|_ x e. S ( M ` x ) ) ) $=
      ( chlt wcel wss wa cfv wceq c0 syl wex cv ciin cin wi cops hlop cp1 glb0N
      eqid fveq2d pmap1N eqtrd 2fveq3 eqeq12d syl5ibrcom adantr wne w3a pmapglb
      riin0 simpr simpll ssel2 adantll pmapssat syl2anc jca ex eximdv n0 df-rex
      wrex 3imtr4g 3impia iinss sseqin2 sylib eqtr4d 3expia pm2.61dne ) FLMZDCN
      ZOZDEPGPZBADAUAZGPZUBZUCZQZDRWADRQZWIUDWBWAWIWJREPZGPZBQZWAFUEMZWMFUFWNWL
      FUGPZGPBWNWKWOGWOEFIWOUIZUHUJBWOFGWPJKUKULSWJWDWLWHBDRGEUMABWFDUTUNUOUPWA
      WBDRUQZWIWAWBWQURZWDWGWHACDEFGHIKUSWRWGBNZWHWGQWRWFBNZADVLZWSWAWBWQXAWCWE
      DMZATXBWTOZATWQXAWCXBXCAWCXBXCWCXBOZXBWTWCXBVAXDWAWECMZWTWAWBXBVBWBXBXEWA
      DCWEVCVDBCLFGWEHJKVEVFVGVHVIADVJWTADVKVMVNADWFBVOSWGBVPVQVRVSVT $.

    $( The projective map of the GLB of a set of lattice elements.  Index-set
       version of ~ pmapglb2N , where we read ` S ` as ` S ( i ) ` .  Extension
       of Theorem 15.5.2 of [MaedaMaeda] p. 62 that allows ` I = (/) ` .
       (Contributed by NM, 21-Jan-2012.)  (New usage is discouraged.) $)
    pmapglb2xN $p |- ( ( K e. HL /\ A. i e. I S e. B ) ->
 ( M ` ( G ` { y | E. i e. I y = S } ) )
   = ( A i^i |^|_ i e. I ( M ` S ) ) ) $=
      ( wcel wa wceq wrex cfv c0 fveq2d chlt wral cv cab ciin cin cops hlop cp1
      wi eqid glb0N pmap1N eqtrd syl rexeq abbidv rex0 abf eqtrdi riin0 eqeq12d
      syl5ibrcom adantr wne w3a pmapglbx wss wex nfv nfra1 simpr simpll adantll
      nfan pmapssat syl2anc jca ex eximd n0 df-rex 3imtr4g 3impia iinss sseqin2
      rspa sylib eqtr4d 3expia pm2.61dne ) HUANZDCNZEGUBZOZAUCDPZEGQZAUDZFRZIRZ
      BEGDIRZUEZUFZPZGSWLGSPZXDUJWNWLXDXESFRZIRZBPZWLHUGNZXHHUHXIXGHUIRZIRBXIXF
      XJIXJFHKXJUKZULTBXJHIXKLMUMUNUOXEWTXGXCBXEWSXFIXEWRSFXEWRWPESQZAUDSXEWQXL
      AWPEGSUPUQXLAWPEURUSUTTTEBXAGVAVBVCVDWLWNGSVEZXDWLWNXMVFZWTXBXCACDEFGHIJK
      MVGXNXBBVHZXCXBPXNXABVHZEGQZXOWLWNXMXQWOEUCGNZEVIXRXPOZEVIXMXQWOXRXSEWLWN
      EWLEVJWMEGVKVOWOXRXSWOXROZXRXPWOXRVLXTWLWMXPWLWNXRVMWNXRWMWLWMEGWGVNBCUAH
      IDJLMVPVQVRVSVTEGWAXPEGWBWCWDEGXABWEUOXBBWFWHWIWJWK $.
  $}

  ${
    $d x B $.  $d x K $.  $d x P $.  $d x X $.  $d x Y $.
    pmapmeet.b $e |- B = ( Base ` K ) $.
    pmapmeet.m $e |- ./\ = ( meet ` K ) $.
    pmapmeet.a $e |- A = ( Atoms ` K ) $.
    pmapmeet.p $e |- P = ( pmap ` K ) $.
    $( The projective map of a meet.  (Contributed by NM, 25-Jan-2012.) $)
    pmapmeet $p |- ( ( K e. HL /\ X e. B /\ Y e. B )
      -> ( P ` ( X ./\ Y ) ) = ( ( P ` X ) i^i ( P ` Y ) ) ) $=
      ( vx chlt wcel w3a co cfv wceq 3adant1 fveq2 cpr cglb ciin cin eqid simp1
      cv simp2 simp3 meetval fveq2d wss c0 prssi prnzg 3ad2ant2 pmapglb syl3anc
      wne iinxprg 3eqtrd ) DMNZFBNZGBNZOZFGEPZCQFGUAZDUBQZQZCQZLVGLUGZCQZUCZFCQ
      ZGCQZUDZVEVFVICVEVHDEMBFGBVHUEZIVBVCVDUFZVBVCVDUHVBVCVDUIUJUKVEVBVGBULZVG
      UMUSZVJVMRVRVCVDVSVBFGBUNSVCVBVTVDFGBUOUPLBVGVHDCHVQKUQURVCVDVMVPRVBLFGVL
      VNVOBBVKFCTVKGCTUTSVA $.
  $}

  ${
    $d p q r A $.  $d r .\/ $.  $d p q r K $.  $d p q X $.
    isline2.j $e |- .\/ = ( join ` K ) $.
    isline2.a $e |- A = ( Atoms ` K ) $.
    isline2.n $e |- N = ( Lines ` K ) $.
    isline2.m $e |- M = ( pmap ` K ) $.
    $( Definition of line in terms of projective map.  (Contributed by NM,
       25-Jan-2012.) $)
    isline2 $p |- ( K e. Lat -> ( X e. N
        <-> E. p e. A E. q e. A ( p =/= q /\ X = ( M ` ( p .\/ q ) ) ) ) ) $=
      ( vr clat wcel cv cfv wceq wa wrex wne co cple wbr crab eqid isline simpl
      cbs atbase ad2antrl latjcl syl3anc pmapval syldan eqeq2d anbi2d 2rexbidva
      ad2antll bitr4d ) CNOZFEOHPZGPZUAZFMPVBVCBUBZCUCQZUDMAUEZRZSZGATHATVDFVED
      QZRZSZGATHATANBCVFEFGHMVFUFZIJKUGVAVLVIHGAAVAVBAOZVCAOZSZSZVKVHVDVQVJVGFV
      AVPVECUIQZOZVJVGRVQVAVBVROZVCVROZVSVAVPUHVNVTVAVOAVRVBCVRUFZJUJUKVOWAVAVN
      AVRVCCWBJUJUSVRBCVBVCWBIULUMAVRNCVFDVEMWBVMJLUNUOUPUQURUT $.

    $d r P $.  $d r Q $.
    $( A line described with a projective map.  (Contributed by NM,
       3-Feb-2012.) $)
    linepmap $p |- ( ( ( K e. Lat /\ P e. A /\ Q e. A ) /\ P =/= Q )
        -> ( M ` ( P .\/ Q ) ) e. N ) $=
      ( vr clat wcel w3a cfv wceq eqid atbase syl wne wa co cv cple crab simpl1
      wbr simpl2 simpl3 latjcl syl3anc pmapval syl2anc islinei mpanr2 eqeltrd
      cbs ) EMNZBANZCANZOZBCUAZUBZBCDUCZFPZLUDVEEUEPZUHLAUFZGVDUSVEEURPZNZVFVHQ
      USUTVAVCUGZVDUSBVINZCVINZVJVKVDUTVLUSUTVAVCUIAVIBEVIRZISTVDVAVMUSUTVAVCUJ
      AVICEVNISTVIDEBCVNHUKULAVIMEVGFVELVNVGRZIKUMUNVBVCVHVHQVHGNVHRAMBCDEVGGVH
      LVOHIJUOUPUQ $.
  $}

  ${
    $d p q B $.  $d p q A $.  $d p q K $.  $d p q M $.  $d p q X $.
    isline3.b $e |- B = ( Base ` K ) $.
    isline3.j $e |- .\/ = ( join ` K ) $.
    isline3.a $e |- A = ( Atoms ` K ) $.
    isline3.n $e |- N = ( Lines ` K ) $.
    isline3.m $e |- M = ( pmap ` K ) $.
    $( Definition of line in terms of original lattice elements.  (Contributed
       by NM, 29-Apr-2012.) $)
    isline3 $p |- ( ( K e. HL /\ X e. B ) -> ( ( M ` X ) e. N
         <-> E. p e. A E. q e. A ( p =/= q /\ X = ( p .\/ q ) ) ) ) $=
      ( wcel wa cfv cv wceq wrex chlt wne co wb hllat adantr isline2 syl simpll
      clat simplr ad2antrr atbase ad2antrl ad2antll latjcl syl3anc pmap11 bitrd
      anbi2d 2rexbidva ) DUAOZGBOZPZGEQZFOZIRZHRZUBZVEVGVHCUCZEQSZPZHATIATZVIGV
      JSZPZHATIATVDDUJOZVFVMUDVBVPVCDUEZUFACDEFVEHIKLMNUGUHVDVLVOIHAAVDVGAOZVHA
      OZPZPZVKVNVIWAVBVCVJBOZVKVNUDVBVCVTUIVBVCVTUKWAVPVGBOZVHBOZWBVBVPVCVTVQUL
      VRWCVDVSABVGDJLUMUNVSWDVDVRABVHDJLUMUOBCDVGVHJKUPUQBDEGVJJNURUQUTVAUS $.
  $}

  ${
    $d p q A $.  $d p q B $.  $d q C $.  $d p q K $.  $d p q M $.  $d p q X $.
    isline4.b $e |- B = ( Base ` K ) $.
    isline4.c $e |- C = ( <o ` K ) $.
    isline4.a $e |- A = ( Atoms ` K ) $.
    isline4.n $e |- N = ( Lines ` K ) $.
    isline4.m $e |- M = ( pmap ` K ) $.
    $( Definition of line in terms of original lattice elements.  (Contributed
       by NM, 16-Jun-2012.)  (New usage is discouraged.) $)
    isline4N $p |- ( ( K e. HL /\ X e. B ) -> ( ( M ` X ) e. N
         <-> E. p e. A p C X ) ) $=
      ( vq wcel wa cfv cv wrex wb chlt wne cjn co wceq wbr eqid isline3 cple wn
      simpll atbase adantl simplr cvrval3 syl3anc hlatl ad3antrrr atncmp bitrdi
      cal simpr necom eqcom a1i anbi12d rexbidva bitrd bitr4d ) DUAOZGBOZPZGEQF
      OHRZNRZUBZGVMVNDUCQZUDZUEZPZNASZHASVMGCUFZHASABVPDEFGNHIVPUGZKLMUHVLWAVTH
      AVLVMAOZPZWAVNVMDUIQZUFUJZVQGUEZPZNASZVTWDVJVMBOZVKWAWITVJVKWCUKWCWJVLABV
      MDIKULUMVJVKWCUNABCVPDWEVMGNIWEUGZWBJKUOUPWDWHVSNAWDVNAOZPZWFVOWGVRWMWFVN
      VMUBZVOWMDVAOZWLWCWFWNTVJWOVKWCWLDUQURWDWLVBVLWCWLUNAVNVMDWEWKKUSUPVNVMVC
      UTWGVRTWMVQGVDVEVFVGVHVGVI $.
  $}

  ${
    $d r s A $.  $d r s B $.  $d r s .\/ $.  $d r s K $.  $d r s .<_ $.
    $d r s M $.  $d r s N $.  $d r s P $.  $d r s Q $.  $d r s X $.
    lneq2at.b $e |- B = ( Base ` K ) $.
    lneq2at.l $e |- .<_ = ( le ` K ) $.
    lneq2at.j $e |- .\/ = ( join ` K ) $.
    lneq2at.a $e |- A = ( Atoms ` K ) $.
    lneq2at.n $e |- N = ( Lines ` K ) $.
    lneq2at.m $e |- M = ( pmap ` K ) $.
    $( A line equals the join of any two of its distinct points (atoms).
       (Contributed by NM, 29-Apr-2012.) $)
    lneq2at $p |- ( ( ( K e. HL /\ X e. B /\ ( M ` X ) e. N )
      /\ ( P e. A /\ Q e. A /\ P =/= Q ) /\ ( P .<_ X /\ Q .<_ X ) )
                 -> X = ( P .\/ Q ) ) $=
      ( vr wcel w3a wa vs chlt cfv wne wbr cv co wceq wrex simp11 simp12 simp13
      jca isline3 biimpd sylc simp3r simp111 simp121 simp122 simp2 3jca simp123
      hllatd simp21 atbase syl simp22 simp3 latjle12 3ad2ant1 breqtrd wb simpl1
      clat simpl2l simpl2r simpr simpl3 ps-1 syl131anc eqtr4d 3exp rexlimdvv
      mpd ) FUBRZJBRZJHUCIRZSZCARZDARZCDUDZSZCJGUEDJGUETZSZQUFZUAUFZUDZJWPWQEUG
      ZUHZTZUAAUIQAUIZJCDEUGZUHZWOWFWGTZWHXBWOWFWGWFWGWHWMWNUJZWFWGWHWMWNUKZUMW
      FWGWHWMWNULXEWHXBABEFHIJUAQKMNOPUNUOUPWOXAXDQUAAAWOWPARWQARTZXAXDWOXHXASZ
      JWSXCWOXHWRWTUQZXIWFWJWKTZXHSZWLTZXCWSGUEZXCWSUHZXIXLWLXIWFXKXHWFWGWHWMWN
      XHXAURXIWJWKWJWKWLWIWNXHXAUSWJWKWLWIWNXHXAUTUMWOXHXAVAVBWJWKWLWIWNXHXAVCU
      MXIXCJWSGWOXHXCJGUEZXAWOFVORZCBRZDBRZWGSZTZWNXPWOXQXTWOFXFVDWOXRXSWGWOWJX
      RWIWJWKWLWNVEABCFKNVFVGWOWKXSWIWJWKWLWNVHABDFKNVFVGXGVBUMWIWMWNVIYAWNXPBE
      FGCDJKLMVJUOUPVKXJVLXMXNXOXMWFWJWKWLXHXNXOVMWFXKXHWLVNWJWKWFXHWLVPWJWKWFX
      HWLVQXLWLVRWFXKXHWLVSACDWPWQEFGLMNVTWAUOUPWBWCWDWE $.
  $}

  ${
    $d q r s A $.  $d r s B $.  $d r s K $.  $d q r s .<_ $.  $d r s M $.
    $d r s N $.  $d q r s P $.  $d q r s X $.
    lnatex.b $e |- B = ( Base ` K ) $.
    lnatex.l $e |- .<_ = ( le ` K ) $.
    lnatex.a $e |- A = ( Atoms ` K ) $.
    lnatex.n $e |- N = ( Lines ` K ) $.
    lnatex.m $e |- M = ( pmap ` K ) $.
    $( There is an atom in a line different from any other.  (Contributed by
       NM, 30-Apr-2012.)  (New usage is discouraged.) $)
    lnatexN $p |- ( ( K e. HL /\ X e. B /\ ( M ` X ) e. N )
         -> E. q e. A ( q =/= P /\ q .<_ X ) ) $=
      ( vr vs wcel wne wa wbr chlt cfv w3a cv co wceq wrex eqid isline3 biimp3a
      cjn simpl2r simpl3l necomd simpr neeqtrd simpl11 simpl2l hlatlej2 syl3anc
      simpl3r breqtrrd weq neeq1 breq1 rspcev syl12anc hlatlej1 pm2.61dane 3exp
      anbi12d rexlimdvv mpd ) DUAQZHBQZHFUBGQZUCZOUDZPUDZRZHVRVSDUKUBZUEZUFZSZP
      AUGOAUGZIUDZCRZWFHETZSZIAUGZVNVOVPWEABWADFGHPOJWAUHZLMNUIUJVQWDWJOPAAVQVR
      AQZVSAQZSZWDWJVQWNWDUCZWJVRCWOVRCUFZSZWMVSCRZVSHETZWJWLWMVQWDWPULZWQVSVRC
      WQVRVSVTWCVQWNWPUMUNWOWPUOUPWQVSWBHEWQVNWLWMVSWBETVNVOVPWNWDWPUQWLWMVQWDW
      PURWTAVRVSWADEKWKLUSUTVTWCVQWNWPVAVBWIWRWSSIVSAIPVCWGWRWHWSWFVSCVDWFVSHEV
      EVKVFVGWOVRCRZSZWLXAVRHETZWJWLWMVQWDXAURZWOXAUOXBVRWBHEXBVNWLWMVRWBETVNVO
      VPWNWDXAUQXDWLWMVQWDXAULAVRVSWADEKWKLVHUTVTWCVQWNXAVAVBWIXAXCSIVRAIOVCWGX
      AWHXCWFVRCVDWFVRHEVEVKVFVGVIVJVLVM $.
  $}

  ${
    $d q A $.  $d q B $.  $d q K $.  $d q .<_ $.  $d q M $.  $d q N $.
    $d q N $.  $d q P $.  $d q X $.
    lnjat.b $e |- B = ( Base ` K ) $.
    lnjat.l $e |- .<_ = ( le ` K ) $.
    lnjat.j $e |- .\/ = ( join ` K ) $.
    lnjat.a $e |- A = ( Atoms ` K ) $.
    lnjat.n $e |- N = ( Lines ` K ) $.
    lnjat.m $e |- M = ( pmap ` K ) $.
    $( Given an atom in a line, there is another atom which when joined equals
       the line.  (Contributed by NM, 30-Apr-2012.)
       (New usage is discouraged.) $)
    lnjatN $p |- ( ( ( K e. HL /\ X e. B /\ P e. A ) /\ ( ( M ` X ) e. N
       /\ P .<_ X ) ) -> E. q e. A ( q =/= P /\ X = ( P .\/ q ) ) ) $=
      ( wcel w3a wbr wa chlt cfv cv wne wrex wceq simpl1 simpl2 lnatexN syl3anc
      simprl simp3l simp1l1 simp1l2 simp1rl simp1l3 simp2 necomd simp1rr simp3r
      co lneq2at syl332anc jca 3exp reximdvai mpd ) EUAQZIBQZCAQZRZIGUBHQZCIFSZ
      TZTZJUCZCUDZVPIFSZTZJAUEZVQICVPDVAUFZTZJAUEVOVHVIVLVTVHVIVJVNUGVHVIVJVNUH
      VKVLVMUKABCEFGHIJKLNOPUIUJVOVSWBJAVOVPAQZVSWBVOWCVSRZVQWAVOWCVQVRULZWDVHV
      IVLVJWCCVPUDVMVRWAVHVIVJVNWCVSUMVHVIVJVNWCVSUNVLVMVKWCVSUOVHVIVJVNWCVSUPV
      OWCVSUQWDVPCWEURVLVMVKWCVSUSVOWCVQVRUTABCVPDEFGHIKLMNOPVBVCVDVEVFVG $.
  $}

  ${
    $d q r A $.  $d q r B $.  $d q r C $.  $d q r K $.  $d q r M $.
    $d q r P $.  $d q r X $.
    lncvrelat.b $e |- B = ( Base ` K ) $.
    lncvrelat.c $e |- C = ( <o ` K ) $.
    lncvrelat.a $e |- A = ( Atoms ` K ) $.
    lncvrelat.n $e |- N = ( Lines ` K ) $.
    lncvrelat.m $e |- M = ( pmap ` K ) $.
    $( A lattice element covered by a line is an atom.  (Contributed by NM,
       28-Apr-2012.)  (New usage is discouraged.) $)
    lncvrelatN $p |- ( ( ( K e. HL /\ X e. B /\ P e. B )
        /\ ( ( M ` X ) e. N /\ P C X ) ) -> P e. A ) $=
      ( vq vr wcel w3a cfv wa syl chlt wbr cv wne co wceq wrex wi clat wb hllat
      cjn 3ad2ant1 isline2 simpll1 simpll2 simplrl atbase simplrr latjcl pmap11
      eqid syl3anc breq2 biimpd adantr simpll3 simplr simpr cvrat2 syl112anc ex
      3jca syl9r sylbid expimpd rexlimdvva imp32 ) EUAPZHBPZDBPZQZHFRZGPZDHCUBZ
      DAPZWBWDNUCZOUCZUDZWCWGWHEULRZUEZFRUFZSZOAUGNAUGZWEWFUHZWBEUIPZWDWNUJVSVT
      WPWAEUKZUMAWJEFGWCONWJVBZKLMUNTWBWMWONOAAWBWGAPZWHAPZSZSZWIWLWOXBWISZWLHW
      KUFZWOXCVSVTWKBPZWLXDUJVSVTWAXAWIUOZVSVTWAXAWIUPXCWPWGBPZWHBPZXEXCVSWPXFW
      QTXCWSXGWBWSWTWIUQZABWGEIKURTXCWTXHWBWSWTWIUSZABWHEIKURTBWJEWGWHIWRUTVCBE
      FHWKIMVAVCXDWEDWKCUBZXCWFXDWEXKHWKDCVDVEXCXKWFXCXKSVSWAWSWTQZWIXKWFXCVSXK
      XFVFXCXLXKXCWAWSWTVSVTWAXAWIVGXIXJVMVFXBWIXKVHXCXKVIABCWGWHWJEDIWRJKVJVKV
      LVNVOVPVQVOVR $.
  $}

  ${
    $d q r A $.  $d q r B $.  $d q r C $.  $d q r K $.  $d q r .<_ $.
    $d q r M $.  $d q r N $.  $d q r P $.  $d q r X $.
    lncvrat.b $e |- B = ( Base ` K ) $.
    lncvrat.l $e |- .<_ = ( le ` K ) $.
    lncvrat.c $e |- C = ( <o ` K ) $.
    lncvrat.a $e |- A = ( Atoms ` K ) $.
    lncvrat.n $e |- N = ( Lines ` K ) $.
    lncvrat.m $e |- M = ( pmap ` K ) $.
    $( A line covers the atoms it contains.  (Contributed by NM,
       30-Apr-2012.) $)
    lncvrat $p |- ( ( ( K e. HL /\ X e. B /\ P e. A )
        /\ ( ( M ` X ) e. N /\ P .<_ X ) ) -> P C X ) $=
      ( vq vr wcel wbr wa chlt w3a cfv cv wne cjn co wceq wrex simprl wb simpl1
      simpl2 isline3 syl2anc mpbid simp1l1 simp1l3 simp2l simp2r simp3l simp1rr
      eqid simp3r breqtrd atcvrj2 syl132anc breqtrrd 3exp rexlimdvv mpd ) EUARZ
      IBRZDARZUBZIGUCHRZDIFSZTZTZPUDZQUDZUEZIVTWAEUFUCZUGZUHZTZQAUIPAUIZDICSZVS
      VPWGVOVPVQUJVSVLVMVPWGUKVLVMVNVRULVLVMVNVRUMABWCEGHIQPJWCVCZMNOUNUOUPVSWF
      WHPQAAVSVTARZWAARZTZWFWHVSWLWFUBZDWDICWMVLVNWJWKWBDWDFSDWDCSVLVMVNVRWLWFU
      QVLVMVNVRWLWFURVSWJWKWFUSVSWJWKWFUTVSWLWBWEVAWMDIWDFVPVQVOWLWFVBVSWLWBWEV
      DZVEACDVTWAWCEFKWILMVFVGWNVHVIVJVK $.
  $}

  ${
    $d p q B $.  $d p q K $.  $d p q .<_ $.  $d p q M $.  $d p q N $.
    $d p q X $.  $d p q Y $.
    lncmp.b $e |- B = ( Base ` K ) $.
    lncmp.l $e |- .<_ = ( le ` K ) $.
    lncmp.n $e |- N = ( Lines ` K ) $.
    lncmp.m $e |- M = ( pmap ` K ) $.
    $( If two lines are comparable, they are equal.  (Contributed by NM,
       30-Apr-2012.) $)
    lncmp $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B ) /\ ( ( M ` X ) e. N
                  /\ ( M ` Y ) e. N ) ) -> ( X .<_ Y <-> X = Y ) ) $=
      ( vp vq wcel w3a cfv wa wbr wceq cv chlt wne co catm wrex simplrl simpll1
      cjn wb simpll2 eqid isline3 syl2anc mpbid simp3rr simp1l1 simp1l3 simp1rr
      simp3ll simp3lr simp3rl hllatd atbase syl simp1l2 hlatlej1 breqtrrd simp2
      syl3anc lattrd hlatlej2 lneq2at syl332anc eqtr4d 3expia expd rexlimdvv ex
      mpd clat simpl1 simpl2 latref breq2 syl5ibcom impbid ) BUANZFANZGANZOZFDP
      ENZGDPENZQZQZFGCRZFGSZWNWOWPWNWOQZLTZMTZUBZFWRWSBUHPZUCZSZQZMBUDPZUELXEUE
      ZWPWQWKXFWJWKWLWOUFWQWGWHWKXFUIWGWHWIWMWOUGWGWHWIWMWOUJXEAXABDEFMLHXAUKZX
      EUKZJKULUMUNWQXDWPLMXEXEWQWRXENZWSXENZQZXDWPWNWOXKXDQZWPWNWOXLOZFXBGWTXCX
      KWNWOUOZXMWGWIWLXIXJWTWRGCRWSGCRGXBSWGWHWIWMWOXLUPZWGWHWIWMWOXLUQZWKWLWJW
      OXLURXIXJXDWNWOUSZXIXJXDWNWOUTZWTXCXKWNWOVAXMABCWRFGHIXMBXOVBZXMXIWRANXQX
      EAWRBHXHVCVDWGWHWIWMWOXLVEZXPXMWRXBFCXMWGXIXJWRXBCRXOXQXRXEWRWSXABCIXGXHV
      FVIXNVGWNWOXLVHZVJXMABCWSFGHIXSXMXJWSANXRXEAWSBHXHVCVDXTXPXMWSXBFCXMWGXIX
      JWSXBCRXOXQXRXEWRWSXABCIXGXHVKVIXNVGYAVJXEAWRWSXABCDEGHIXGXHJKVLVMVNVOVPV
      QVSVRWNFFCRZWPWOWNBVTNWHYBWNBWGWHWIWMWAVBWGWHWIWMWBABCFHIWCUMFGFCWDWEWF
      $.
  $}

  ${
    $d p A $.  $d p B $.  $d p F $.  $d p K $.  $d p ./\ $.  $d p N $.
    $d p X $.  $d p Y $.  $d p .0. $.
    2lnat.b $e |- B = ( Base ` K ) $.
    2lnat.m $e |- ./\ = ( meet ` K ) $.
    2lnat.z $e |- .0. = ( 0. ` K ) $.
    2lnat.a $e |- A = ( Atoms ` K ) $.
    2lnat.n $e |- N = ( Lines ` K ) $.
    2lnat.f $e |- F = ( pmap ` K ) $.
    $( Two intersecting lines intersect at an atom.  (Contributed by NM,
       30-Apr-2012.) $)
    2lnat $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B ) /\ ( ( F ` X ) e. N
                  /\ ( F ` Y ) e. N ) /\ ( X =/= Y /\ ( X ./\ Y ) =/= .0. ) )
                -> ( X ./\ Y ) e. A ) $=
      ( vp wcel cfv wbr syl3anc chlt w3a wa wne co cv wceq wrex cple cal simp11
      hlatl syl clat hllatd simp12 simp13 latmcl simp3r eqid simp13l wb simp12l
      atlex simp12r syl12anc simp111 simp112 simp113 latleeqm1 bitr3d necon3bid
      lncmp mpbid wo simp3 latmle1 cpo ccvr hlpos atbase 3ad2ant2 simp2 lncvrat
      lattrd syl32anc cvrnbtwn4 syl131anc mpbi2and neor sylib necon1d reximdvai
      wi mpd 3exp risset sylibr ) DUAQZGBQZHBQZUBZGCRFQZHCRFQZUCZGHUDZGHEUEZIUD
      ZUCZUBZPUFZXGUGZPAUHZXGAQXJXKXGDUIRZSZPAUHZXMXJDUJQZXGBQZXHXPXJWSXQWSWTXA
      XEXIUKZDULUMXJDUNQZWTXAXRXJDXSUOWSWTXAXEXIUPWSWTXAXEXIUQBDEGHJKURZTXBXEXF
      XHUSPABDXNXGIJXNUTZLMVDTXJXOXLPAXJXKAQZXOXLXJYCXOUBZXGGUDZXLYDXFYEXFXHXBX
      EYCXOVAYDGHXGGYDGHXNSZGHUGZXGGUGZYDXBXCXDYFYGVBXBXEXIYCXOUKXCXDXBXIYCXOVC
      ZXCXDXBXIYCXOVEBDXNCFGHJYBNOVMVFYDXTWTXAYFYHVBYDDWSWTXAXEXIYCXOVGZUOZWSWT
      XAXEXIYCXOVHZWSWTXAXEXIYCXOVIZBDXNEGHJYBKVJTVKVLVNYDXKXGXGGYDXLYHVOZXKXGU
      DYHWNYDXOXGGXNSZYNXJYCXOVPZYDXTWTXAYOYKYLYMBDXNEGHJYBKVQTZYDDVRQZXKBQZWTX
      RXKGDVSRZSZXOYOUCYNVBYDWSYRYJDVTUMYCXJYSXOABXKDJMWAWBZYLYDXTWTXAXRYKYLYMY
      ATZYDWSWTYCXCXKGXNSUUAYJYLXJYCXOWCYIYDBDXNXKXGGJYBYKUUBUUCYLYPYQWEABYTXKD
      XNCFGJYBYTUTZMNOWDWFBYTDXNXKGXGJYBUUDWGWHWIYHXKXGWJWKWLWOWPWMWOPXGAWQWR
      $.
  $}

  ${
    2atm2at.j $e |- .\/ = ( join ` K ) $.
    2atm2at.m $e |- ./\ = ( meet ` K ) $.
    2atm2at.z $e |- .0. = ( 0. ` K ) $.
    2atm2at.a $e |- A = ( Atoms ` K ) $.
    $( Two joins with a common atom have a nonzero meet.  (Contributed by NM,
       4-Jul-2012.)  (New usage is discouraged.) $)
    2atm2atN $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A ) )
                -> ( ( R .\/ P ) ./\ ( R .\/ Q ) ) =/= .0. ) $=
      ( wcel wa co cfv wbr adantr eqid syl3anc chlt w3a cplt wne cple cops hlop
      simpr3 0ltat syl2anc simpl simpr1 hlatlej1 simpr2 cbs wb hllat atbase syl
      clat hlatjcl latlem12 syl13anc mpbi2and cpo wi hlpos op0cl latmcl pltletr
      mp2and opltn0 mpbid ) FUAMZBAMZCAMZDAMZUBZNZHDBEOZDCEOZGOZFUCPZQZWBHUDZVS
      HDWCQZDWBFUEPZQZWDVSFUFMZVQWFVNWIVRFUGRZVNVOVPVQUHZADWCFHKWCSZLUIUJVSDVTW
      GQZDWAWGQZWHVSVNVQVOWMVNVRUKZWKVNVOVPVQULZADBEFWGWGSZILUMTVSVNVQVPWNWOWKV
      NVOVPVQUNZADCEFWGWQILUMTVSFUTMZDFUOPZMZVTWTMZWAWTMZWMWNNWHUPVNWSVRFUQRZVS
      VQXAWKAWTDFWTSZLURUSZVSVNVQVOXBWOWKWPAWTEFDBXEILVATZVSVNVQVPXCWOWKWRAWTEF
      DCXEILVATZWTFWGGDVTWAXEWQJVBVCVDVSFVEMZHWTMZXAWBWTMZWFWHNWDVFVNXIVRFVGRVS
      WIXJWJWTFHXEKVHUSXFVSWSXBXCXKXDXGXHWTFGVTWAXEJVITZWTWCFWGHDWBXEWQWLVJVCVK
      VSWIXKWDWEUPWJXLWTWCFWBHXEWLKVLUJVM $.
  $}

  ${
    2llnma1b.b $e |- B = ( Base ` K ) $.
    2llnma1b.l $e |- .<_ = ( le ` K ) $.
    2llnma1b.j $e |- .\/ = ( join ` K ) $.
    2llnma1b.m $e |- ./\ = ( meet ` K ) $.
    2llnma1b.a $e |- A = ( Atoms ` K ) $.
    $( Generalization of ~ 2llnma1 .  (Contributed by NM, 26-Apr-2013.) $)
    2llnma1b $p |- ( ( K e. HL /\ ( X e. B /\ P e. A /\ Q e. A )
     /\ -. Q .<_ ( P .\/ X ) ) -> ( ( P .\/ X ) ./\ ( P .\/ Q ) ) = P ) $=
      ( wcel w3a co wbr latlej1 syl3anc chlt wn wceq clat hllat 3ad2ant1 simp22
      atbase syl simp21 simp23 wa wb latjcl simp1 hlatjcl latlem12 syl13anc cal
      hlatl wne simp3 nbrne2 syl2anc lattrd cvrat3 3impia syl133anc atcmp mpbid
      mpbi2and eqcomd ) FUAOZIBOZCAOZDAOZPZDCIEQZGRUBZPZCVRCDEQZHQZVTCWBGRZCWBU
      CZVTCVRGRZCWAGRZWCVTFUDOZCBOZVNWEVMVQWGVSFUEUFZVTVOWHVMVNVOVPVSUGZABCFJNU
      HUIZVMVNVOVPVSUJZBEFGCIJKLSTZVTWGWHDBOZWFWIWKVTVPWNVMVNVOVPVSUKZABDFJNUHU
      IZBEFGCDJKLSTVTWGWHVRBOZWABOZWEWFULWCUMWIWKVTWGWHVNWQWIWKWLBEFCIJLUNTZVTV
      MVOVPWRVMVQVSUOZWJWOABEFCDJLNUPTBFGHCVRWAJKMUQURVKVTFUSOZVOWBAOZWCWDUMVMV
      QXAVSFUTUFWJVTVMWQVOVPCDVAZVSCVRDEQZGRZXBWTWSWJWOVTWEVSXCWMVMVQVSVBZCDVRG
      VCVDXFVTBFGCVRXDJKWIWKWSVTWGWQWNXDBOWIWSWPBEFVRDJLUNTWMVTWGWQWNVRXDGRWIWS
      WPBEFGVRDJKLSTVEVMWQVOVPPXCVSXEPXBABCDEFGHVRJKLMNVFVGVHACWBFGKNVITVJVL $.
  $}

  ${
    2llnm.l $e |- .<_ = ( le ` K ) $.
    2llnm.j $e |- .\/ = ( join ` K ) $.
    2llnm.m $e |- ./\ = ( meet ` K ) $.
    2llnm.a $e |- A = ( Atoms ` K ) $.
    $( Two different intersecting lines (expressed in terms of atoms) meet at
       their common point (atom).  (Contributed by NM, 11-Oct-2012.) $)
    2llnma1 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
     /\ -. R .<_ ( P .\/ Q ) ) -> ( ( Q .\/ P ) ./\ ( Q .\/ R ) ) = Q ) $=
      ( chlt wcel w3a co wbr wn cbs wceq simp1 simp21 eqid atbase simp22 simp23
      cfv syl simp3 hlatjcom syl3anc breq2d mtbid 2llnma1b syl131anc ) FMNZBANZ
      CANZDANZOZDBCEPZGQZRZOZUPBFSUGZNZURUSDCBEPZGQZRVGCDEPHPCTUPUTVCUAZVDUQVFU
      PUQURUSVCUBZAVEBFVEUCZLUDUHUPUQURUSVCUEZUPUQURUSVCUFVDVBVHUPUTVCUIVDVAVGD
      GVDUPUQURVAVGTVIVJVLAEFBCJLUJUKULUMAVECDEFGHBVKIJKLUNUO $.

    $( Two different intersecting lines (expressed in terms of atoms) meet at
       their common point (atom).  (Contributed by NM, 30-Apr-2013.) $)
    2llnma3r $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
   /\ ( P .\/ R ) =/= ( Q .\/ R ) )
         -> ( ( P .\/ R ) ./\ ( Q .\/ R ) ) = R ) $=
      ( wcel co wceq syl3anc wa eqtrd wbr wb chlt w3a wne simp1 simp21 hlatjcom
      simp23 simp22 oveq12d simpr oveq2d simpl23 hlatjidm syl2anc hlatlej1 clat
      simpl1 cbs cfv hllat 3ad2ant1 eqid atbase syl hlatjcl latleeqm2 adantr wn
      mpbid simpl21 simpl22 simpl3 wi hlatlej2 latjle12 biimpd mpan2d syl132anc
      syl13anc ps-1 eqcom syl6ib syld necon3ad mpd 2llnma1 syl131anc pm2.61dane
      ) FUAMZBAMZCAMZDAMZUBZBDENZCDENZUCZUBZWNWOHNDBENZDCENZHNZDWQWNWRWOWSHWQWI
      WJWLWNWROWIWMWPUDZWIWJWKWLWPUEZWIWJWKWLWPUGZAEFBDJLUFPWQWIWKWLWOWSOXAWIWJ
      WKWLWPUHZXCAEFCDJLUFPUIWQWTDOZCDWQCDOZQZWTWRDHNZDXGWSDWRHXGWSDDENZDXGCDDE
      WQXFUJUKXGWIWLXIDOWIWMWPXFUQWJWKWLWIWPXFULAEFDJLUMUNRUKWQXHDOZXFWQDWRGSZX
      JWQWIWLWJXKXAXCXBADBEFGIJLUOPWQFUPMZDFURUSZMZWRXMMZXKXJTWIWMXLWPFUTVAZWQW
      LXNXCAXMDFXMVBZLVCVDZWQWIWLWJXOXAXCXBAXMEFDBXQJLVEPXMFGHDWRXQIKVFPVIVGRWQ
      CDUCZQZWIWJWLWKCWNGSZVHZXEWIWMWPXSUQZWJWKWLWIWPXSVJZWJWKWLWIWPXSULZWJWKWL
      WIWPXSVKZXTWPYBWIWMWPXSVLXTYAWNWOXTYAWOWNGSZWNWOOZWQYAYGVMXSWQYADWNGSZYGW
      QWIWJWLYIXAXBXCABDEFGIJLVNPWQYAYIQZYGWQXLCXMMZXNWNXMMZYJYGTXPWQWKYKXDAXMC
      FXQLVCVDXRWQWIWJWLYLXAXBXCAXMEFBDXQJLVEPXMEFGCDWNXQIJVOVSVPVQVGXTYGWOWNOZ
      YHXTYGYMXTWIWKWLXSWJWLYGYMTYCYFYEWQXSUJYDYEACDBDEFGIJLVTVRVPWOWNWAWBWCWDW
      EABDCEFGHIJKLWFWGWHR $.

    $( Two different intersecting lines (expressed in terms of atoms) meet at
       their common point (atom).  (Contributed by NM, 28-May-2012.) $)
    2llnma2 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
     /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q ) ) )
  -> ( ( R .\/ P ) ./\ ( R .\/ Q ) ) = R ) $=
      ( chlt wcel w3a wne co wbr wn wa simp21 simp23 simp22 4atlem0ae syl131anc
      wceq simp1 2llnma1 ) FMNZBANZCANZDANZOZBCPDBCEQGRSTZOUIUJULUKCBDEQGRSDBEQ
      DCEQHQDUFUIUMUNUGUIUJUKULUNUAUIUJUKULUNUBUIUJUKULUNUCABCDEFGIJLUDABDCEFGH
      IJKLUHUE $.

    $( Two different intersecting lines (expressed in terms of atoms) meet at
       their common point (atom).  (Contributed by NM, 2-May-2013.)
       (New usage is discouraged.) $)
    2llnma2rN $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
     /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q ) ) )
  -> ( ( P .\/ R ) ./\ ( Q .\/ R ) ) = R ) $=
      ( chlt wcel w3a wne co wceq hlatjcom syl3anc wbr wn simp21 simp23 oveq12d
      wa simp1 simp22 2llnma2 eqtrd ) FMNZBANZCANZDANZOZBCPDBCEQGUAUBUFZOZBDEQZ
      CDEQZHQDBEQZDCEQZHQDUQURUTUSVAHUQUKULUNURUTRUKUOUPUGZUKULUMUNUPUCUKULUMUN
      UPUDZAEFBDJLSTUQUKUMUNUSVARVBUKULUMUNUPUHVCAEFCDJLSTUEABCDEFGHIJKLUIUJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Construction of a vector space from a Hilbert lattice
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    cdlema1.b $e |- B = ( Base ` K ) $.
    cdlema1.l $e |- .<_ = ( le ` K ) $.
    cdlema1.j $e |- .\/ = ( join ` K ) $.
    cdlema1.m $e |- ./\ = ( meet ` K ) $.
    cdlema1.a $e |- A = ( Atoms ` K ) $.
    cdlema1.n $e |- N = ( Lines ` K ) $.
    cdlema1.f $e |- F = ( pmap ` K ) $.
    $( A condition for required for proof of Lemma A in [Crawley] p. 112.
       (Contributed by NM, 29-Apr-2012.)  (New usage is discouraged.) $)
    cdlema1N $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B ) /\ ( P e. A /\ Q e. A
     /\ R e. A ) /\ ( ( R =/= P /\ R .<_ ( P .\/ Q ) )
          /\ ( P .<_ X /\ Q .<_ Y )
         /\ ( ( F ` Y ) e. N /\ ( X ./\ Y ) e. A /\ -. Q .<_ X ) ) )
              -> ( X .\/ R ) = ( X .\/ Y ) ) $=
      ( chlt wcel w3a wne co wbr wa cfv simp11 hllatd clat simp12 simp23 atbase
      wn latjcl syl3anc simp13 latlej1 simp21 simp22 simp31r simp32l simp32r wi
      latjlej12 syl122anc mp2and lattrd latjle12 syl13anc mpbi2and wceq simp331
      syl simp332 simp333 latmle1 breq1 syl5ibrcom necon3bd mpd latmle2 lneq2at
      wb syl332anc 3jca simp31l hlatexch1 jca latjlej1 latmlej11 latmcl eqbrtrd
      sylc latasymd ) HUAUBZLBUBZMBUBZUCZCAUBZDAUBZEAUBZUCZECUDZECDGUEZIUFZUGZC
      LIUFZDMIUFZUGZMFUHKUBZLMJUEZAUBZDLIUFZUOZUCZUCZUCZBHILEGUEZLMGUEZNOXSHWQW
      RWSXDXRUIZUJZXSHUKUBZWREBUBZXTBUBZYCWQWRWSXDXRULZXSXCYEWTXAXBXCXRUMZABEHN
      RUNVOZBGHLENPUPUQZXSYDWRWSYABUBZYCYGWQWRWSXDXRURZBGHLMNPUPUQZXSLYAIUFZEYA
      IUFZXTYAIUFZXSYDWRWSYNYCYGYLBGHILMNOPUSUQXSBHIEXFYANOYCYIXSYDCBUBZDBUBZXF
      BUBYCXSXAYQWTXAXBXCXRUTZABCHNRUNVOZXSXBYRWTXAXBXCXRVAZABDHNRUNVOZBGHCDNPU
      PUQYMXEXGXKXQWTXDVBZXSXIXJXFYAIUFZXIXJXHXQWTXDVCZXIXJXHXQWTXDVDZXSYDYQWRY
      RWSXKUUDVEYCYTYGUUBYLBGHIMCLDNOPVFVGVHVIXSYDWRYEYKYNYOUGYPWEYCYGYIYMBGHIL
      EYANOPVJVKVLXSLXTIUFZMXTIUFZYAXTIUFZXSYDWRYEUUGYCYGYIBGHILENOPUSUQXSMDXMG
      UEZXTIXSWQWSXLXBXNDXMUDZXJXMMIUFZMUUJVMYBYLXLXNXPXHXKWTXDVNUUAXLXNXPXHXKW
      TXDVPXSXPUUKXLXNXPXHXKWTXDVQXSXODXMXSXODXMVMXMLIUFZXSYDWRWSUUMYCYGYLBHIJL
      MNOQVRUQDXMLIVSVTWAWBUUFXSYDWRWSUULYCYGYLBHIJLMNOQWCUQABDXMGHIFKMNOPRSTWD
      WFXSDXTIUFZXMXTIUFZUUJXTIUFZXSBHIDCEGUEZXTNOYCUUBXSYDYQYEUUQBUBYCYTYIBGHC
      ENPUPUQYJXSWQXCXBXAUCZXEUCXGDUUQIUFXSWQUURXEYBXSXCXBXAYHUUAYSWGXEXGXKXQWT
      XDWHWGUUCAEDCGHIOPRWIWOXSYDYQWRYEUCZUGXIUUQXTIUFXSYDUUSYCXSYQWRYEYTYGYIWG
      WJUUEBGHICLENOPWKWOVIXSYDWRWSYEUUOYCYGYLYIBGHIJLMENOPQWLVKXSYDYRXMBUBZYFU
      UNUUOUGUUPWEYCUUBXSYDWRWSUUTYCYGYLBHJLMNQWMUQYJBGHIDXMXTNOPVJVKVLWNXSYDWR
      WSYFUUGUUHUGUUIWEYCYGYLYJBGHILMXTNOPVJVKVLWP $.
  $}

  ${
    cdlema2.b $e |- B = ( Base ` K ) $.
    cdlema2.l $e |- .<_ = ( le ` K ) $.
    cdlema2.j $e |- .\/ = ( join ` K ) $.
    cdlema2.m $e |- ./\ = ( meet ` K ) $.
    cdlema2.z $e |- .0. = ( 0. ` K ) $.
    cdlema2.a $e |- A = ( Atoms ` K ) $.
    $( A condition for required for proof of Lemma A in [Crawley] p. 112.
       (Contributed by NM, 9-May-2012.)  (New usage is discouraged.) $)
    cdlema2N $p |- ( ( ( K e. HL /\ X e. B ) /\ ( P e. A /\ Q e. A
 /\ R e. A ) /\ ( ( R =/= P /\ R .<_ ( P .\/ Q ) )
     /\ ( P .<_ X /\ -. Q .<_ X ) ) ) -> ( R ./\ X ) = .0. ) $=
      ( wcel wa wbr chlt w3a co wn wceq simp3ll wb simp3rl simp3rr simp3lr 3jca
      wne exatleN syld3an3 necon3bbid mpbird cal simp1l hlatl syl simp23 simp1r
      atnle syl3anc mpbid ) GUARZJBRZSZCARZDARZEARZUBZECULZECDFUCHTZSZCJHTZDJHT
      UDZSZSZUBZEJHTZUDZEJIUCKUEZVTWBVMVMVNVRVHVLUFVTWAECVHVLVSVPVQVNUBWAECUEUG
      VTVPVQVNVPVQVOVHVLUHVPVQVOVHVLUIVMVNVRVHVLUJUKABCDEFGHJLMNQUMUNUOUPVTGUQR
      ZVKVGWBWCUGVTVFWDVFVGVLVSURGUSUTVHVIVJVKVSVAVFVGVLVSVBABEGHIJKLMOPQVCVDVE
      $.
  $}

  ${
    cdlemb.b $e |- B = ( Base ` K ) $.
    cdlemb.l $e |- .<_ = ( le ` K ) $.
    cdlemb.j $e |- .\/ = ( join ` K ) $.
    cdlemb.u $e |- .1. = ( 1. ` K ) $.
    cdlemb.c $e |- C = ( <o ` K ) $.
    cdlemb.a $e |- A = ( Atoms ` K ) $.
    ${
      cdlemblem.s $e |- .< = ( lt ` K ) $.
      cdlemblem.m $e |- ./\ = ( meet ` K ) $.
      cdlemblem.v $e |- V = ( ( P .\/ Q ) ./\ X ) $.
      $( Lemma for ~ cdlemb .  (Contributed by NM, 8-May-2012.) $)
      cdlemblem $p |- ( ( ( ( K e. HL /\ P e. A /\ Q e. A )
           /\ ( X e. B /\ P =/= Q ) /\ ( X C .1.
             /\ -. P .<_ X /\ -. Q .<_ X ) )
        /\ ( u e. A /\ ( u =/= V /\ u .< X ) )
        /\ ( r e. A /\ ( r =/= P /\ r =/= u /\ r .<_ ( P .\/ u ) ) ) )
      -> ( -. r .<_ X /\ -. r .<_ ( P .\/ Q ) ) ) $=
        ( chlt wcel w3a wne wa wbr wn cv co simp132 simp111 simp2l simp12l 3jca
        simp2rr pltle sylc wb hllatd simp3l atbase syl latjle12 syl13anc biimpd
        clat mpan2d simp112 simp3r2 simp3r3 hlatexch2 latjcl syl3anc lattr syld
        wi mpand mtod simp2rl wceq simp113 hlatexchb1 syl131anc hlatexch1 breq2
        simp3r1 syl5ibcom sylbid jctird breq2i bitr4di sylibd cal hlatl simp12r
        latlem12 simp131 1cvrat syl133anc eqeltrid atcmp necon3ad mpd jca ) JUE
        UFZEBUFZFBUFZUGZNCUFZEFUHZUIZNHDUJZENKUJZUKZFNKUJUKZUGZUGZAULZBUFZYBMUH
        ZYBNGUJZUIZUIZOULZBUFZYHEUHZYHYBUHZYHEYBIUMKUJZUGZUIZUGZYHNKUJZUKYHEFIU
        MZKUJZUKZYOYPXQXPXRXSXLXOYGYNUNZYOYPYHYBIUMZNKUJZXQYOYPYBNKUJZUUBYOXIYC
        XMUGYEUUCYOXIYCXMXIXJXKXOXTYGYNUOZYAYCYFYNUPZXMXNXLXTYGYNUQZURYDYEYCYAY
        NUSUEBCGJKYBNQUBUTVAZYOYPUUCUIZUUBYOJVJUFZYHCUFZYBCUFZXMUUHUUBVBYOJUUDV
        CZYOYIUUJYAYGYIYMVDZBCYHJPUAVEVFZYOYCUUKUUEBCYBJPUAVEVFZUUFCIJKYHYBNPQR
        VGVHVIVKYOEUUAKUJZUUBXQYOXIYIXJYCUGZYKUGYLUUPYOXIUUQYKUUDYOYIXJYCUUMXIX
        JXKXOXTYGYNVLZUUEURYJYKYLYIYAYGVMURYJYKYLYIYAYGVNZBYHEYBIJKQRUAVOVAYOUU
        IECUFZUUACUFZXMUUPUUBUIXQVTUULYOXJUUTUURBCEJPUAVEVFZYOUUIUUJUUKUVAUULUU
        NUUOCIJYHYBPRVPVQUUFCJKEUUANPQVRVHWAVSWBYOYDYSYDYEYCYAYNWCYOYRYBMYOYRYB
        MKUJZYBMWDZYOYRYBYQKUJZUUCUIZUVCYOYRUVEUUCYOYREYHIUMZYQWDZUVEYOXIYIXKXJ
        YJYRUVHVBUUDUUMXIXJXKXOXTYGYNWEZUURYJYKYLYIYAYGWJZBYHFEIJKQRUAWFWGYOYBU
        VGKUJZUVHUVEYOXIYIYCXJUGZYJUGYLUVKYOXIUVLYJUUDYOYIYCXJUUMUUEUURURUVJURU
        USBYHYBEIJKQRUAWHVAUVGYQYBKWIWKWLUUGWMYOUVFYBYQNLUMZKUJZUVCYOUUIUUKYQCU
        FZXMUVFUVNVBUULUUOYOUUIUUTFCUFZUVOUULUVBYOXKUVPUVIBCFJPUAVEVFCIJEFPRVPV
        QUUFCJKLYBYQNPQUCWTVHMUVMYBKUDWNWOWPYOJWQUFZYCMBUFUVCUVDVBYOXIUVQUUDJWR
        VFUUEYOMUVMBUDYOXIXJXKXMXNXPXRUVMBUFUUDUURUVIUUFXMXNXLXTYGYNWSXPXRXSXLX
        OYGYNXAYTBCDEFHIJKLNPQRUCSTUAXBXCXDBYBMJKQUAXEVQWPXFXGXH $.
    $}

    $d r u A $.  $d r u B $.  $d r u C $.  $d r u .\/ $.  $d r u K $.
    $d r u .<_ $.  $d r u P $.  $d r u Q $.  $d r u .1. $.  $d r u X $.
    $( Given two atoms not less than or equal to an element covered by 1, there
       is a third.  Lemma B in [Crawley] p. 112.  (Contributed by NM,
       8-May-2012.) $)
    cdlemb $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A ) /\ ( X e. B /\ P =/= Q )
          /\ ( X C .1. /\ -. P .<_ X /\ -. Q .<_ X ) )
      -> E. r e. A ( -. r .<_ X /\ -. r .<_ ( P .\/ Q ) ) ) $=
      ( wcel wa wbr vu chlt w3a wne wn cv co cmee cfv cplt simp11 simp12 simp13
      wrex simp2l simp2r simp31 simp32 eqid 1cvrat syl133anc clat hllatd atbase
      syl latjcl syl3anc latmle2 1cvratlt syl32anc 2atlt simpl11 simpl12 simprl
      syl31anc simpl32 wceq simprrr simpl2l pltle mpd breq1 syl5ibrcom necon3bd
      wi hlsupr cdlemblem 3exp exp4a imp reximdvai rexlimddv ) HUBRZDARZEARZUCZ
      JBRZDEUDZSZJFCTZDJITZUEZEJITUEZUCZUCZUAUFZDEGUGZJHUHUIZUGZUDZXFJHUJUIZTZS
      ZKUFZJITUEXNXGITUESZKAUNZUAAXEWMXIARZWQXIJXKTZXMUAAUNWMWNWOWSXDUKZXEWMWNW
      OWQWRWTXBXQXSWMWNWOWSXDULZWMWNWOWSXDUMZWPWQWRXDUOZWPWQWRXDUPWPWSWTXBXCUQZ
      WPWSWTXBXCURABCDEFGHIXHJLMNXHUSZOPQUTVAZYBXEWMXQWQWTXIJITZXRXSYEYBYCXEHVB
      RZXGBRZWQYFXEHXSVCZXEYGDBRZEBRZYHYIXEWNYJXTABDHLQVDVEXEWOYKYAABEHLQVDVEBG
      HDELNVFVGYBBHIXHXGJLMYDVHVGABCXIXKFHIJLMXKUSZOPQVIVJABXIXKHJUALYLQVKVOXEX
      FARZXMSZSZXNDUDXNXFUDXNDXFGUGITUCZKAUNZXPYOWMWNYMDXFUDZYQWMWNWOWSXDYNVLZW
      MWNWOWSXDYNVMXEYMXMVNZYOXBYRWTXBXCWPWSYNVPYOXADXFYOXADXFVQXFJITZYOXLUUAXE
      YMXJXLVRYOWMYMWQXLUUAWEYSYTWQWRWPXDYNVSUBABXKHIXFJMYLVTVGWADXFJIWBWCWDWAA
      DXFGHIKMNQWFVOYOYPXOKAXEYNXNARZYPXOWEWEXEYNUUBYPXOXEYNUUBYPSXOUAABCDEXKFG
      HIXHXIJKLMNOPQYLYDXIUSWGWHWIWJWKWAWL $.
  $}

  $c +P $.

  $( Extend class notation with projective subspace sum. $)
  cpadd $a class +P $.

  ${
    $d l m n p q r $.
    $( Define projective sum of two subspaces (or more generally two sets of
       atoms), which is the union of all lines generated by pairs of atoms from
       each subspace.  Lemma 16.2 of [MaedaMaeda] p. 68.  For convenience, our
       definition is generalized to apply to empty sets.  (Contributed by NM,
       29-Dec-2011.) $)
    df-padd $a |- +P = ( l e. _V
        |-> ( m e. ~P ( Atoms ` l ) , n e. ~P ( Atoms ` l )
           |-> ( ( m u. n ) u. { p e. ( Atoms ` l )
             | E. q e. m E. r e. n p ( le ` l ) ( q ( join ` l ) r ) } ) ) ) $.
  $}

  ${
    $d h m n p s A $.  $d h .\/ $.  $d h m n p q r s K $.  $d h .<_ $.
    paddfval.l $e |- .<_ = ( le ` K ) $.
    paddfval.j $e |- .\/ = ( join ` K ) $.
    paddfval.a $e |- A = ( Atoms ` K ) $.
    paddfval.p $e |- .+ = ( +P ` K ) $.
    $( Projective subspace sum operation.  (Contributed by NM, 29-Dec-2011.) $)
    paddfval $p |- ( K e. B -> .+ = ( m e. ~P A , n e. ~P A
             |-> ( ( m u. n ) u. { p e. A
               | E. q e. m E. r e. n p .<_ ( q .\/ r ) } ) ) ) $=
      ( vh cv wrex cfv catm wcel cvv cpw cun wbr crab cmpo wceq elex cpadd cple
      co cjn fveq2 eqtr4di pweqd eqidd oveqd breq123d 2rexbidv rabeqbidv uneq2d
      mpoeq123dv df-padd fvexi pwex mpoex fvmpt syl5eq syl ) GBUAGUBUAZCDEAUCZV
      LDQZEQZUDZKQZJQZIQZFULZHUEZIVNRJVMRZKAUFZUDZUGZUHGBUIVKCGUJSWDOPGDEPQZTSZ
      UCZWGVOVPVQVRWEUMSZULZWEUKSZUEZIVNRJVMRZKWFUFZUDZUGWDUBUJWEGUHZDEWGWGWNVL
      VLWCWOWFAWOWFGTSAWEGTUNNUOZUPZWQWOWMWBVOWOWLWAKWFAWPWOWKVTJIVMVNWOVPVPWIV
      SWJHWOVPUQWOWJGUKSHWEGUKUNLUOWOWHFVQVRWOWHGUMSFWEGUMUNMUOURUSUTVAVBVCDEIJ
      KPVDDEVLVLWCAAGTNVEVFZWRVGVHVIVJ $.

    $d m n s .\/ $.  $d m n s .<_ $.  $d m n p q s X $.  $d m n p q r s Y $.
    $( Projective subspace sum operation value.  (Contributed by NM,
       29-Dec-2011.) $)
    paddval $p |- ( ( K e. B /\ X C_ A /\ Y C_ A )
   -> ( X .+ Y ) = ( ( X u. Y )
         u. { p e. A | E. q e. X E. r e. Y p .<_ ( q .\/ r ) } ) ) $=
      ( wcel cun cv wrex cvv vm vn wss cpw co wbr crab wceq biid catm fvexi w3a
      elpw2 cmpo paddfval oveqd 3ad2ant1 simpl simpr unexg sylancl 3jca 3adant1
      rabex uneq1 rexeq rabbidv uneq12d uneq2 rexbidv ovmpog syl eqtrd syl3anbr
      wa eqid ) EBPZVQGAUCGAUDZPZHAUCHVRPZGHCUEZGHQZKRJRIRDUEFUFZIHSZJGSZKAUGZQ
      ZUHVQUIGAAEUJNUKZUMHAWHUMVQVSVTULZWAGHUAUBVRVRUARZUBRZQZWCIWKSZJWJSZKAUGZ
      QZUNZUEZWGVQVSWAWRUHVTVQCWQGHABCUAUBDEFIJKLMNOUOUPUQWIVSVTWGTPZULZWRWGUHV
      SVTWTVQVSVTVOZVSVTWSVSVTURVSVTUSXAWBTPWFTPWSGHVRVRUTWEKAWHVDWBWFTTUTVAVBV
      CUAUBGHVRVRWPWGWQGWKQZWMJGSZKAUGZQTWJGUHZWLXBWOXDWJGWKVEXEWNXCKAWMJWJGVFV
      GVHWKHUHZXBWBXDWFWKHGVIXFXCWEKAXFWMWDJGWCIWKHVFVJVGVHWQVPVKVLVMVN $.

    $d p .\/ $.  $d p .<_ $.  $d p q r S $.
    $( Member of a projective subspace sum.  (Contributed by NM,
       29-Dec-2011.) $)
    elpadd $p |- ( ( K e. B /\ X C_ A /\ Y C_ A ) -> ( S e. ( X .+ Y ) <->
        ( ( S e. X \/ S e. Y ) \/ ( S e. A
             /\ E. q e. X E. r e. Y S .<_ ( q .\/ r ) ) ) ) ) $=
      ( vp wcel cv wrex wo wss w3a co cun wbr crab wa paddval eleq2d elun breq1
      wceq 2rexbidv elrab orbi12i bitri bitrdi ) FBQHAUAIAUAUBZDHICUCZQDHIUDZPR
      ZKRJREUCZGUEZJISKHSZPAUFZUDZQZDHQDIQTZDAQDVBGUEZJISKHSZUGZTZURUSVFDABCEFG
      HIJKPLMNOUHUIVGDUTQZDVEQZTVLDUTVEUJVMVHVNVKDHIUJVDVJPDAVADULVCVIKJHIVADVB
      GUKUMUNUOUPUQ $.

    $d q r A $.  $d q r .\/ $.  $d q r .<_ $.  $d s .+ $.  $d r X $.
    $( Member of projective subspace sum of nonempty sets.  (Contributed by NM,
       3-Jan-2012.) $)
    elpaddn0 $p |- ( ( ( K e. Lat /\ X C_ A /\ Y C_ A )
               /\ ( X =/= (/) /\ Y =/= (/) ) ) -> ( S e. ( X .+ Y ) <->
         ( S e. A /\ E. q e. X E. r e. Y S .<_ ( q .\/ r ) ) ) ) $=
      ( wcel wa co wbr wi syl clat wss w3a c0 wne wo cv wb elpadd adantr simpl2
      wrex sseld cbs simpll1 ssel2 3ad2antl2 eqid atbase simpl3 latlej1 syl3anc
      cfv sselda reximdva0 exp31 com23 imp ancld wceq oveq1 breq2d rexbidv syl6
      rspcev adantrl jcad wex latlej2 ex impancom eximdv df-rex 3imtr4g adantrr
      oveq2 n0 jaod pm4.72 sylib bitr4d ) EUAOZGAUBZHAUBZUCZGUDUEZHUDUEZPZPZCGH
      BQOZCGOZCHOZUFZCAOZCJUGZIUGZDQZFRZIHULZJGULZPZUFZXKWOWTXLUHWRAUABCDEFGHIJ
      KLMNUIUJWSXCXKSXKXLUHWSXAXKXBWSXAXDXJWSGACWLWMWNWRUKUMWOWQXAXJSWPWOWQPZXA
      XACCXFDQZFRZIHULZPXJXMXAXPWOWQXAXPSWOXAWQXPWOXAWQXPWOXAPZXOIHXQXFHOZPZWLC
      EUNVCZOZXFXTOZXOWLWMWNXAXRUOXSXDYAXQXDXRWMWLXAXDWNGACUPUQUJAXTCEXTURZMUSZ
      TXSXFAOYBXQHAXFWLWMWNXAUTVDAXTXFEYCMUSTXTDEFCXFYCKLVAVBVEVFVGVHVIXIXPJCGX
      ECVJZXHXOIHYEXGXNCFXECXFDVKVLVMVOVNVPVQWSXBXDXJWSHACWLWMWNWRUTUMWOWPXBXJS
      WQWOXBWPXJWOXBPZXEGOZJVRYGXIPZJVRWPXJYFYGYHJYFYGXIWOYGXBXIWOYGPZXBXBCXECD
      QZFRZPXIYIXBYKYIXBYKYIXBPZWLXEXTOZYAYKWLWMWNYGXBUOYLXEAOZYMYIYNXBWMWLYGYN
      WNGAXEUPUQUJAXTXEEYCMUSTYLXDYAYIHACWLWMWNYGUTVDYDTXTDEFXECYCKLVSVBVTVIXHY
      KICHXFCVJXGYJCFXFCXEDWFVLVOVNWAVIWBJGWGXIJGWCWDWAWEVQWHXCXKWIWJWK $.

    $( Projective subspace sum operation value for nonempty sets.  (Contributed
       by NM, 27-Jan-2012.)  (New usage is discouraged.) $)
    paddvaln0N $p |- ( ( ( K e. Lat /\ X C_ A /\ Y C_ A )
                /\ ( X =/= (/) /\ Y =/= (/) ) )
     -> ( X .+ Y ) = { p e. A | E. q e. X E. r e. Y p .<_ ( q .\/ r ) } ) $=
      ( vs wcel wss wa cv wrex clat w3a c0 wne wbr crab elpaddn0 breq1 2rexbidv
      co weq elrab bitr4di eqrdv ) DUAPFAQGAQUBFUCUDGUCUDRRZOFGBUJZJSZISHSCUJZE
      UEZHGTIFTZJAUFZUOOSZUPPVBAPVBUREUEZHGTIFTZRVBVAPABVBCDEFGHIKLMNUGUTVDJVBA
      JOUKUSVCIHFGUQVBUREUHUIULUMUN $.

    $d q r Q $.  $d r R $.
    $( Condition implying membership in a projective subspace sum.
       (Contributed by NM, 8-Jan-2012.) $)
    elpaddri $p |- ( ( ( K e. Lat /\ X C_ A /\ Y C_ A ) /\
       ( Q e. X /\ R e. Y ) /\ ( S e. A /\ S .<_ ( Q .\/ R ) ) ) ->
           S e. ( X .+ Y ) ) $=
      ( vq vr wcel wa co wbr clat wss w3a wrex simp3l simp2l simp2r simp3r wceq
      cv oveq1 breq2d oveq2 rspc2ev syl3anc c0 wne ne0i anim12i anim2i elpaddn0
      wb 3adant3 syl mpbir2and ) GUAQIAUBJAUBUCZCIQZDJQZRZEAQZECDFSZHTZRZUCZEIJ
      BSQZVJEOUJZPUJZFSZHTZPJUDOIUDZVFVIVJVLUEVNVGVHVLVTVFVGVHVMUFVFVGVHVMUGVFV
      IVJVLUHVSVLECVQFSZHTOPCDIJVPCUIVRWAEHVPCVQFUKULVQDUIWAVKEHVQDCFUMULUNUOVN
      VFIUPUQZJUPUQZRZRZVOVJVTRVBVFVIWEVMVIWDVFVGWBVHWCICURJDURUSUTVCABEFGHIJPO
      KLMNVAVDVE $.

    $( Condition implying membership in a projective subspace sum with a point.
       (Contributed by NM, 1-Feb-2012.)  (New usage is discouraged.) $)
    elpaddatriN $p |- ( ( ( K e. Lat /\ X C_ A /\ Q e. A ) /\
       ( R e. X /\ S e. A /\ S .<_ ( R .\/ Q ) ) ) ->
           S e. ( X .+ { Q } ) ) $=
      ( clat wcel wss w3a co wbr wa csn simpl1 simpl2 simpl3 snssd simpr1 snidg
      syl simpr2 simpr3 elpaddri syl322anc ) GNOZIAPZCAOZQZDIOZEAOZEDCFRHSZQZTZ
      UMUNCUAZAPUQCVBOZURUSEIVBBROUMUNUOUTUBUMUNUOUTUCVACAUMUNUOUTUDZUEUPUQURUS
      UFVAUOVCVDCAUGUHUPUQURUSUIUPUQURUSUJABDCEFGHIVBJKLMUKUL $.

    $d p Q $.
    $( Membership in a projective subspace sum with a point.  (Contributed by
       NM, 29-Jan-2012.) $)
    elpaddat $p |- ( ( ( K e. Lat /\ X C_ A /\ Q e. A ) /\ X =/= (/) )
  -> ( S e. ( X .+ { Q } )
        <-> ( S e. A /\ E. p e. X S .<_ ( p .\/ Q ) ) ) ) $=
      ( vr wcel wss c0 wa co wrex w3a wne csn cv wbr simpl1 simpl2 simpl3 snssd
      clat wb simpr snn0d elpaddn0 syl32anc wceq oveq2 breq2d rexsng syl anbi2d
      rexbidv bitrd ) FUJOZHAPZCAOZUAZHQUBZRZDHCUCZBSOZDAOZDIUDZNUDZESZGUEZNVJT
      ZIHTZRZVLDVMCESZGUEZIHTZRVIVDVEVJAPVHVJQUBVKVSUKVDVEVFVHUFVDVEVFVHUGVICAV
      DVEVFVHUHZUIVGVHULVICAWCUMABDEFGHVJNIJKLMUNUOVIVRWBVLVIVQWAIHVIVFVQWAUKWC
      VPWANCAVNCUPVOVTDGVNCVMEUQURUSUTVBVAVC $.

    $d p R $.
    $( Consequence of membership in a projective subspace sum with a point.
       (Contributed by NM, 2-Feb-2012.)  (New usage is discouraged.) $)
    elpaddatiN $p |- ( ( ( K e. Lat /\ X C_ A /\ Q e. A ) /\ ( X =/= (/)
      /\ R e. ( X .+ { Q } ) ) ) -> E. p e. X R .<_ ( p .\/ Q ) ) $=
      ( clat wcel wss w3a c0 co wa wne csn wbr wrex elpaddat simpr syl6bi impr
      cv ) FNOHAPCAOQZHRUAZDHCUBBSOZDIUICESGUCIHUDZUJUKTULDAOZUMTUMABCDEFGHIJKL
      MUEUNUMUFUGUH $.

    $( Membership in a projective subspace sum of two points.  (Contributed by
       NM, 29-Jan-2012.) $)
    elpadd2at $p |- ( ( K e. Lat /\ Q e. A /\ R e. A )
   -> ( S e. ( { Q } .+ { R } ) <-> ( S e. A /\ S .<_ ( Q .\/ R ) ) ) ) $=
      ( vr wcel csn co wbr wa wb 3ad2ant2 clat w3a cv wrex c0 simp1 simp2 snssd
      wss simp3 snnzg elpaddat syl31anc wceq oveq1 breq2d rexsng anbi2d bitrd
      wne ) GUANZCANZDANZUBZECOZDOBPNZEANZEMUCZDFPZHQZMVEUDZRZVGECDFPZHQZRVDVAV
      EAUIVCVEUEUTZVFVLSVAVBVCUFVDCAVAVBVCUGUHVAVBVCUJVBVAVOVCCAUKTABDEFGHVEMIJ
      KLULUMVDVKVNVGVBVAVKVNSVCVJVNMCAVHCUNVIVMEHVHCDFUOUPUQTURUS $.

    $( Membership in a projective subspace sum of two points.  (Contributed by
       NM, 8-Mar-2012.) $)
    elpadd2at2 $p |- ( ( K e. Lat /\ ( Q e. A /\ R e. A /\ S e. A ) )
   -> ( S e. ( { Q } .+ { R } ) <-> S .<_ ( Q .\/ R ) ) ) $=
      ( clat wcel w3a wa csn co wbr wb elpadd2at 3adant3r3 simpr3 biantrurd
      bitr4d ) GMNZCANZDANZEANZOPZECQDQBRNZUIECDFRHSZPZULUFUGUHUKUMTUIABCDEFGHI
      JKLUAUBUJUIULUFUGUHUIUCUDUE $.
  $}

  ${
    $d p q r A $.  $d q B $.  $d p q r K $.  $d q .+ $.  $d q r S $.
    $d p q r X $.  $d p q r Y $.
    padd0.a $e |- A = ( Atoms ` K ) $.
    padd0.p $e |- .+ = ( +P ` K ) $.
    $( Projective subspace sum includes the set union of its arguments.
       (Contributed by NM, 12-Jan-2012.)  (New usage is discouraged.) $)
    paddunssN $p |- ( ( K e. B /\ X C_ A /\ Y C_ A )
          -> ( X u. Y ) C_ ( X .+ Y ) ) $=
      ( vp vq vr wcel wss w3a cun cv cfv co wrex eqid cjn cple wbr crab paddval
      ssun1 sseqtrrid ) DBLEAMFAMNEFOZIPJPKPDUAQZRDUBQZUCKFSJESIAUDZOUHEFCRUHUK
      UFABCUIDUJEFKJIUJTUITGHUEUG $.

    $( Member of projective subspace sum with at least one empty set.
       (Contributed by NM, 29-Dec-2011.) $)
    elpadd0 $p |- ( ( ( K e. B /\ X C_ A /\ Y C_ A )
               /\ -. ( X =/= (/) /\ Y =/= (/) ) ) -> ( S e. ( X .+ Y ) <->
         ( S e. X \/ S e. Y ) ) ) $=
      ( vq vr c0 wne wa wn wcel wss wceq wo wrex w3a neanior bicomi con1bii cjn
      co wb cv cfv cple wbr eqid elpadd rex0 rexeq mtbiri a1i nrex rexbidv jaoi
      intnand biorf syl orcom bitr2di sylan9bb sylan2b ) FLMGLMNZOEBPFAQGAQUAZF
      LRZGLRZSZDFGCUFPZDFPDGPSZUGVLVHVHVLOFLGLUBUCUDVIVMVNDAPZDJUHZKUHEUEUIZUFE
      UJUIZUKZKGTZJFTZNZSZVLVNABCDVQEVRFGKJVRULVQULHIUMVLVNWBVNSZWCVLWBOVNWDUGV
      LWAVOVJWAOVKVJWAVTJLTVTJUNVTJFLUOUPVKWAVSKLTZJFTWEJFWEOVPFPVSKUNUQURVKVTW
      EJFVSKGLUOUSUPUTVAWBVNVBVCWBVNVDVEVFVG $.

    $( Projective subspace sum with at least one empty set.  (Contributed by
       NM, 11-Jan-2012.) $)
    paddval0 $p |- ( ( ( K e. B /\ X C_ A /\ Y C_ A )
           /\ -. ( X =/= (/) /\ Y =/= (/) ) ) -> ( X .+ Y ) = ( X u. Y ) ) $=
      ( vq wcel wss w3a c0 wne wa wn co cun cv wo elpadd0 elun bitr4di eqrdv )
      DBJEAKFAKLEMNFMNOPOZIEFCQZEFRZUEISZUFJUHEJUHFJTUHUGJABCUHDEFGHUAUHEFUBUCU
      D $.

    $( Projective subspace sum with an empty set.  (Contributed by NM,
       11-Jan-2012.) $)
    padd01 $p |- ( ( K e. B /\ X C_ A ) -> ( X .+ (/) ) = X ) $=
      ( wcel wss wa c0 co cun w3a wne wn wceq simpl simpr 0ss 3jca neirr intnan
      a1i paddval0 sylancl un0 eqtrdi ) DBHZEAIZJZEKCLZEKMZEUKUIUJKAIZNEKOZKKOZ
      JPULUMQUKUIUJUNUIUJRUIUJSUNUKATUDUAUPUOKUBUCABCDEKFGUEUFEUGUH $.

    $( Projective subspace sum with an empty set.  (Contributed by NM,
       11-Jan-2012.) $)
    padd02 $p |- ( ( K e. B /\ X C_ A ) -> ( (/) .+ X ) = X ) $=
      ( wcel wss wa c0 co cun w3a wne wn wceq simpl 0ss a1i simpr neirr intnanr
      3jca paddval0 sylancl uncom un0 eqtri eqtrdi ) DBHZEAIZJZKECLZKEMZEUMUKKA
      IZULNKKOZEKOZJPUNUOQUMUKUPULUKULRUPUMASTUKULUAUDUQURKUBUCABCDKEFGUEUFUOEK
      MEKEUGEUHUIUJ $.

    $( Projective subspace sum commutes.  (Contributed by NM, 3-Jan-2012.) $)
    paddcom $p |- ( ( K e. Lat /\ X C_ A /\ Y C_ A )
          -> ( X .+ Y ) = ( Y .+ X ) ) $=
      ( vp vq vr clat wcel wss cun cv cfv co wrex wceq eqid w3a cple crab uncom
      cjn wbr a1i wa cbs simpl1 simpl2 simprl sseldd atbase syl latjcom syl3anc
      simpl3 simprr breq2d rexcom bitrdi rabbidv uneq12d paddval 3com23 3eqtr4d
      2rexbidva ) CKLZDAMZEAMZUAZDENZHOZIOZJOZCUEPZQZCUBPZUFZJERIDRZHAUCZNEDNZV
      NVPVOVQQZVSUFZIDRJERZHAUCZNZDEBQEDBQZVLVMWCWBWGVMWCSVLDEUDUGVLWAWFHAVLWAW
      EJERIDRWFVLVTWEIJDEVLVODLZVPELZUHZUHZVRWDVNVSWMVIVOCUIPZLZVPWNLZVRWDSVIVJ
      VKWLUJWMVOALWOWMDAVOVIVJVKWLUKVLWJWKULUMAWNVOCWNTZFUNUOWMVPALWPWMEAVPVIVJ
      VKWLURVLWJWKUSUMAWNVPCWQFUNUOWNVQCVOVPWQVQTZUPUQUTVHWEIJDEVAVBVCVDAKBVQCV
      SDEJIHVSTZWRFGVEVIVKVJWIWHSAKBVQCVSEDIJHWSWRFGVEVFVG $.

    $( A projective subspace sum is a set of atoms.  (Contributed by NM,
       3-Jan-2012.) $)
    paddssat $p |- ( ( K e. B /\ X C_ A /\ Y C_ A ) -> ( X .+ Y ) C_ A ) $=
      ( vp vq vr wss co cun cv cfv wrex eqid wa unss wcel w3a cjn cple wbr crab
      paddval biimpi ssrab2 jctir sylib 3adant1 eqsstrd ) DBUAZEALZFALZUBEFCMEF
      NZIOJOKODUCPZMDUDPZUEKFQJEQZIAUFZNZAABCURDUSEFKJIUSRURRGHUGUOUPVBALZUNUOU
      PSZUQALZVAALZSVCVDVEVFVDVEEFATUHUTIAUIUJUQVAATUKULUM $.

    $( A projective subspace sum is a superset of its first summand.  ( ~ ssun1
       analog.)  (Contributed by NM, 3-Jan-2012.) $)
    sspadd1 $p |- ( ( K e. B /\ X C_ A /\ Y C_ A ) -> X C_ ( X .+ Y ) ) $=
      ( vp vq vr wcel wss cun cv cfv co wrex ssun1 eqid w3a cjn cple crab sstri
      wbr paddval sseqtrrid ) DBLEAMFAMUAEFNZIOJOKODUBPZQDUCPZUFKFRJERIAUDZNZEE
      FCQEUIUMEFSUIULSUEABCUJDUKEFKJIUKTUJTGHUGUH $.

    $( A projective subspace sum is a superset of its second summand.
       ( ~ ssun2 analog.)  (Contributed by NM, 3-Jan-2012.) $)
    sspadd2 $p |- ( ( K e. B /\ X C_ A /\ Y C_ A ) -> X C_ ( Y .+ X ) ) $=
      ( vp vq vr wcel wss w3a cun cv cfv co wrex eqid cjn cple crab ssun2 ssun1
      wbr sstri wceq paddval 3com23 sseqtrrid ) DBLZEAMZFAMZNFEOZIPJPKPDUAQZRDU
      BQZUFKESJFSIAUCZOZEFECRZEUOUSEFUDUOURUEUGULUNUMUTUSUHABCUPDUQFEKJIUQTUPTG
      HUIUJUK $.

    $d p B $.  $d p .+ $.  $d p q r Z $.
    $( Subset law for projective subspace sum.  ( ~ unss1 analog.)
       (Contributed by NM, 7-Mar-2012.) $)
    paddss1 $p |- ( ( K e. B /\ Y C_ A /\ Z C_ A )
              -> ( X C_ Y -> ( X .+ Z ) C_ ( Y .+ Z ) ) ) $=
      ( vp vq vr wcel wss co wa cv wo cfv wrex w3a cjn wbr orim1d ssrexv anim2d
      cple wi ssel orim12d adantl wb simpl1 sstr 3ad2antr2 ancoms simpl3 elpadd
      eqid syl3anc adantr 3imtr4d ssrdv ex ) DBMZFANZGANZUAZEFNZEGCOZFGCOZNVHVI
      PZJVJVKVLJQZEMZVMGMZRZVMAMZVMKQLQDUBSZODUGSZUCLGTZKETZPZRZVMFMZVORZVQVTKF
      TZPZRZVMVJMZVMVKMZVIWCWHUHVHVIVPWEWBWGVIVNWDVOEFVMUIUDVIWAWFVQVTKEFUEUFUJ
      UKVLVEEANZVGWIWCULVEVFVGVIUMVIVHWKVIVEVFWKVGEFAUNUOUPVEVFVGVIUQABCVMVRDVS
      EGLKVSUSZVRUSZHIURUTVHWJWHULVIABCVMVRDVSFGLKWLWMHIURVAVBVCVD $.

    $( Subset law for projective subspace sum.  ( ~ unss2 analog.)
       (Contributed by NM, 7-Mar-2012.) $)
    paddss2 $p |- ( ( K e. B /\ Y C_ A /\ Z C_ A )
              -> ( X C_ Y -> ( Z .+ X ) C_ ( Z .+ Y ) ) ) $=
      ( vp vq vr wcel wss co wa cv wo cfv wrex w3a cjn cple wbr wi ssel reximdv
      orim2d ssrexv anim2d orim12d adantl simpl1 simpl3 3ad2antr2 ancoms elpadd
      wb sstr eqid syl3anc simpl2 3imtr4d ssrdv ex ) DBMZFANZGANZUAZEFNZGECOZGF
      COZNVIVJPZJVKVLVMJQZGMZVNEMZRZVNAMZVNKQLQDUBSZODUCSZUDZLETZKGTZPZRZVOVNFM
      ZRZVRWALFTZKGTZPZRZVNVKMZVNVLMZVJWEWKUEVIVJVQWGWDWJVJVPWFVOEFVNUFUHVJWCWI
      VRVJWBWHKGWALEFUIUGUJUKULVMVFVHEANZWLWEURVFVGVHVJUMZVFVGVHVJUNZVJVIWNVJVF
      VGWNVHEFAUSUOUPABCVNVSDVTGELKVTUTZVSUTZHIUQVAVMVFVHVGWMWKURWOWPVFVGVHVJVB
      ABCVNVSDVTGFLKWQWRHIUQVAVCVDVE $.

    $( Subset law for projective subspace sum.  ( ~ unss12 analog.)
       (Contributed by NM, 7-Mar-2012.) $)
    paddss12 $p |- ( ( K e. B /\ Y C_ A /\ W C_ A )
              -> ( ( X C_ Y /\ Z C_ W ) -> ( X .+ Z ) C_ ( Y .+ W ) ) ) $=
      ( wcel wss w3a wa co simpl1 simpl2 sstr ancoms ad2ant2l 3jca paddss1 sylc
      3adantl1 simprl wi paddss2 3com23 imp adantrl sstrd ex ) DBKZGALZEALZMZFG
      LZHELZNZFHCOZGECOZLUPUSNZUTGHCOZVAVBUMUNHALZMUQUTVCLVBUMUNVDUMUNUOUSPUMUN
      UOUSQUNUOUSVDUMUOURVDUNUQURUOVDHEARSTUDUAUPUQURUEABCDFGHIJUBUCUPURVCVALZU
      QUPURVEUMUOUNURVEUFABCDHEGIJUGUHUIUJUKUL $.
  $}

  ${
    paddasslem.l $e |- .<_ = ( le ` K ) $.
    paddasslem.j $e |- .\/ = ( join ` K ) $.
    paddasslem.a $e |- A = ( Atoms ` K ) $.
    $( Lemma for ~ paddass .  (Contributed by NM, 8-Jan-2012.) $)
    paddasslem1 $p |- ( ( ( K e. HL /\ ( x e. A /\ r e. A /\ y e. A )
        /\ x =/= y ) /\ -. r .<_ ( x .\/ y ) ) -> -. x .<_ ( r .\/ y ) ) $=
      ( chlt wcel cv w3a wne co wbr hlatexch2 con3dimp ) EKLAMZCLGMZCLBMZCLNTUB
      ONTUAUBDPFQUATUBDPFQCTUAUBDEFHIJRS $.

    $( Lemma for ~ paddass .  (Contributed by NM, 8-Jan-2012.) $)
    paddasslem2 $p |- ( ( ( K e. HL /\ r e. A )
   /\ ( x e. A /\ y e. A /\ z e. A )
   /\ ( -. r .<_ ( x .\/ y ) /\ r .<_ ( y .\/ z ) ) )
 -> z .<_ ( r .\/ y ) ) $=
      ( wcel cv wa w3a co wbr 3jca atbase syl chlt wn wne simp1l simp1r atnlej2
      simp23 simp22 simp21 simp3l syl131anc simp3r hlatexch1 sylc clat cbs wceq
      cfv hllatd eqid latjcom syl3anc breqtrrd ) FUALZHMZDLZNZAMZDLZBMZDLZCMZDL
      ZOZVEVHVJEPGQUBZVEVJVLEPGQZNZOZVLVJVEEPZVEVJEPZGVRVDVFVMVKOZVEVJUCZOVPVLV
      SGQVRVDWAWBVDVFVNVQUDZVRVFVMVKVDVFVNVQUEZVGVIVKVMVQUGVGVIVKVMVQUHZRVRVDVF
      VIVKVOWBWCWDVGVIVKVMVQUIWEVGVNVOVPUJDVEVHVJEFGIJKUFUKRVGVNVOVPULDVEVLVJEF
      GIJKUMUNVRFUOLVEFUPURZLZVJWFLZVTVSUQVRFWCUSVRVFWGWDDWFVEFWFUTZKSTVRVKWHWE
      DWFVJFWIKSTWFEFVEVJWIJVAVBVC $.

    ${
      $d s A $.  $d s .\/ $.  $d s K $.  $d s .<_ $.  $d s p $.  $d s r $.
      $d s x $.  $d s y $.  $d s z $.
      $( Lemma for ~ paddass .  Restate projective space axiom ~ ps-2 .
         (Contributed by NM, 8-Jan-2012.) $)
      paddasslem3 $p |- ( ( K e. HL /\ ( x e. A /\ r e. A /\ y e. A )
             /\ ( p e. A /\ z e. A ) ) -> (
     ( ( -. x .<_ ( r .\/ y ) /\ p =/= z )
          /\ ( p .<_ ( x .\/ r ) /\ z .<_ ( r .\/ y ) ) )
   -> E. s e. A ( s .<_ ( x .\/ y ) /\ s .<_ ( p .\/ z ) ) ) ) $=
        ( chlt wcel cv w3a wa co wbr wn wne wrex ps-2 ex ) FNOAPZDOIPZDOBPZDOQJ
        PZDOCPZDORQUFUGUHESZGTUAUIUJUBRUIUFUGESGTUJUKGTRRHPZUFUHESGTULUIUJESGTR
        HDUCHDUFUGUHUIUJEFGKLMUDUE $.

      $( Lemma for ~ paddass .  Combine ~ paddasslem1 , ~ paddasslem2 , and
         ~ paddasslem3 .  (Contributed by NM, 8-Jan-2012.) $)
      paddasslem4 $p |- ( ( ( ( K e. HL /\ p e. A /\ r e. A )
             /\ ( x e. A /\ y e. A /\ z e. A )
             /\ ( p =/= z /\ x =/= y /\ -. r .<_ ( x .\/ y ) ) )
         /\ ( p .<_ ( x .\/ r ) /\ r .<_ ( y .\/ z ) ) )
              -> E. s e. A ( s .<_ ( x .\/ y ) /\ s .<_ ( p .\/ z ) ) ) $=
        ( wcel cv w3a wne co wbr wa chlt wn simpl11 simpl21 simpl13 simpl22 jca
        wrex simpl12 simpl23 simpl32 simpl33 paddasslem1 syl31anc simprl simpl2
        3jca simpl31 simprr paddasslem2 syl212anc jca31 paddasslem3 sylc ) FUAN
        ZJOZDNZIOZDNZPZAOZDNZBOZDNZCOZDNZPZVFVOQZVKVMQZVHVKVMERZGSUBZPZPZVFVKVH
        ERGSZVHVMVOERGSZTZTZVEVLVIVNPZVGVPTZPVKVHVMERZGSUBZVRTWDVOWJGSZTZTHOZVT
        GSWNVFVOERGSTHDUHWGVEWHWIVEVGVIVQWBWFUCZWGVLVIVNVLVNVPVJWBWFUDVEVGVIVQW
        BWFUEZVLVNVPVJWBWFUFUQZWGVGVPVEVGVIVQWBWFUIVLVNVPVJWBWFUJUGUQWGWKVRWMWG
        VEWHVSWAWKWOWQVRVSWAVJVQWFUKVRVSWAVJVQWFULZABDEFGIKLMUMUNVRVSWAVJVQWFUR
        WGWDWLWCWDWEUOWGVEVIVQWAWEWLWOWPVJVQWBWFUPWRWCWDWEUSABCDEFGIKLMUTVAUGVB
        ABCDEFGHIJKLMVCVD $.
    $}

    $( Lemma for ~ paddass .  Show ` s =/= z ` by contradiction.  (Contributed
       by NM, 8-Jan-2012.) $)
    paddasslem5 $p |- ( ( ( K e. HL /\ r e. A /\
    ( x e. A /\ y e. A /\ z e. A ) )
  /\ ( -. r .<_ ( x .\/ y ) /\ r .<_ ( y .\/ z ) /\ s .<_ ( x .\/ y ) ) )
           -> s =/= z ) $=
      ( wcel cv w3a wbr wa atbase syl ad2antrr chlt co wn wne weq breq1 biimpac
      wi cbs cfv eqid simpll1 hllatd simpll2 simp32 simp33 latjcl simp31 simplr
      clat syl3anc hlatlej2 latjle12 biimpd syl13anc mp2and lattrd syl5 expdimp
      simpr ex necon3bd exp31 com23 com24 3imp2 ) FUAMZINZDMZANZDMZBNZDMZCNZDMZ
      OZOZVRVTWBEUBZGPZUCZVRWBWDEUBZGPZHNZWHGPZWMWDUDZWGWNWLWJWOWGWLWNWJWOUHZWG
      WLWNWPWGWLQZWNQWIWMWDWQWNHCUEZWIWNWRQWDWHGPZWQWIWRWNWSWMWDWHGUFUGWQWSWIWQ
      WSQZFUIUJZFGVRWKWHXAUKZJWTFVQVSWFWLWSULZUMZWTVSVRXAMVQVSWFWLWSUNDXAVRFXBL
      RSWTFUTMZWBXAMZWDXAMZWKXAMXDWTWCXFWGWCWLWSVQVSWAWCWEUOTZDXAWBFXBLRSZWTWEX
      GWGWEWLWSVQVSWAWCWEUPTDXAWDFXBLRSZXAEFWBWDXBKUQVAWTXEVTXAMZXFWHXAMZXDWTWA
      XKWGWAWLWSVQVSWAWCWEURTZDXAVTFXBLRSXIXAEFVTWBXBKUQVAZWGWLWSUSWTWBWHGPZWSW
      KWHGPZWTVQWAWCXOXCXMXHDVTWBEFGJKLVBVAWQWSVJWTXEXFXGXLXOWSQZXPUHXDXIXJXNXE
      XFXGXLOQXQXPXAEFGWBWDWHXBJKVCVDVEVFVGVKVHVIVLVMVNVOVP $.

    $( Lemma for ~ paddass .  (Contributed by NM, 8-Jan-2012.) $)
    paddasslem6 $p |- ( ( ( K e. HL /\ ( p e. A /\ s e. A ) /\
   z e. A ) /\ ( s =/= z /\ s .<_ ( p .\/ z ) ) ) -> p .<_ ( s .\/ z ) ) $=
      ( chlt wcel cv wa w3a wne co wbr simpl1 3jca simpl2r simpl3 simprl simprr
      simpl2l hlatexch2 sylc ) DKLZGMZBLZFMZBLZNZAMZBLZOZUKUNPZUKUIUNCQERZNZNZU
      HULUJUOOZUQOURUIUKUNCQERUTUHVAUQUHUMUOUSSUTULUJUOUJULUHUOUSUAUJULUHUOUSUE
      UHUMUOUSUBTUPUQURUCTUPUQURUDBUKUIUNCDEHIJUFUG $.

    $( Lemma for ~ paddass .  Combine ~ paddasslem5 and ~ paddasslem6 .
       (Contributed by NM, 9-Jan-2012.) $)
    paddasslem7 $p |- ( ( ( K e. HL /\ ( p e. A /\ r e. A /\ s e. A ) /\
     ( x e. A /\ y e. A /\ z e. A ) )
  /\ ( ( -. r .<_ ( x .\/ y ) /\ r .<_ ( y .\/ z ) /\ s .<_ ( x .\/ y ) )
           /\ s .<_ ( p .\/ z ) ) ) -> p .<_ ( s .\/ z ) ) $=
      ( chlt wcel cv w3a co wbr wa wn wne simpl1 simpl21 simpl23 simpl33 simpl3
      jca simpl22 simprl paddasslem5 syl31anc simprr paddasslem6 syl32anc ) FNO
      ZJPZDOZIPZDOZHPZDOZQZAPZDOZBPZDOZCPZDOZQZQZUSVDVFERZGSUAUSVFVHERGSVAVLGSQ
      ZVAUQVHERGSZTZTZUPURVBTVIVAVHUBZVNUQVAVHERGSUPVCVJVOUCZVPURVBURUTVBUPVJVO
      UDURUTVBUPVJVOUEUHVEVGVIUPVCVOUFVPUPUTVJVMVQVRURUTVBUPVJVOUIUPVCVJVOUGVKV
      MVNUJABCDEFGHIKLMUKULVKVMVNUMCDEFGHJKLMUNUO $.

    paddasslem.p $e |- .+ = ( +P ` K ) $.
    $( Lemma for ~ paddass .  (Contributed by NM, 8-Jan-2012.) $)
    paddasslem8 $p |- ( ( ( K e. HL /\ ( X C_ A /\ Y C_ A /\ Z C_ A )
  /\ ( p e. A /\ s e. A ) )
    /\ ( ( x e. X /\ y e. Y /\ z e. Z )
         /\ s .<_ ( x .\/ y ) /\ p .<_ ( s .\/ z ) ) )
  -> p e. ( ( X .+ Y ) .+ Z ) ) $=
      ( wcel wss cv chlt w3a wa wbr clat simpl1 hllatd simpl21 simpl22 paddssat
      syl3anc simpl23 simpr11 simpr12 simpl3r simpr2 elpaddri syl322anc simpr13
      co simpl3l simpr3 ) GUARZIDSZJDSZKDSZUBZMTZDRZLTZDRZUCZUBZATZIRZBTZJRZCTZ
      KRZUBZVJVNVPFUTHUDZVHVJVRFUTHUDZUBZUCZGUERZIJEUTZDSZVFVJWFRZVSVIWBVHWFKEU
      TRWDGVCVGVLWCUFZUGZWDVCVDVEWGWIVDVEVFVCVLWCUHZVDVEVFVCVLWCUIZDUAEGIJPQUJU
      KVDVEVFVCVLWCULWDWEVDVEVOVQVKWAWHWJWKWLVOVQVSWAWBVMUMVOVQVSWAWBVMUNVIVKVC
      VGWCUOVMVTWAWBUPDEVNVPVJFGHIJNOPQUQURVOVQVSWAWBVMUSVIVKVCVGWCVAVMVTWAWBVB
      DEVJVRVHFGHWFKNOPQUQUR $.

    $( Lemma for ~ paddass .  Combine ~ paddasslem7 and ~ paddasslem8 .
       (Contributed by NM, 9-Jan-2012.) $)
    paddasslem9 $p |- ( ( ( K e. HL /\ ( X C_ A /\ Y C_ A /\ Z C_ A )
                           /\ ( p e. A /\ r e. A ) )
    /\ ( ( x e. X /\ y e. Y /\ z e. Z )
           /\ ( -. r .<_ ( x .\/ y ) /\ r .<_ ( y .\/ z ) )
    /\ ( s e. A /\ s .<_ ( x .\/ y ) /\ s .<_ ( p .\/ z ) ) ) )
           -> p e. ( ( X .+ Y ) .+ Z ) ) $=
      ( wcel w3a chlt wss cv wa co wbr simpl1 simpl2 simpl3l simpr31 jca simpr1
      wn simpr32 simpl3r 3jca ssel2 3anim123i sylbi 3ad2antl2 3ad2antr1 simpr2l
      an6 simpr2r simpr33 paddasslem7 syl32anc paddasslem8 syl33anc ) GUASZIDUB
      ZJDUBZKDUBZTZNUCZDSZMUCZDSZUDZTZAUCZISZBUCZJSZCUCZKSZTZVQWAWCFUEZHUFUMZVQ
      WCWEFUEHUFZUDZLUCZDSZWLWHHUFZWLVOWEFUEHUFZTZTZUDZVJVNVPWMUDWGWNVOWLWEFUEH
      UFZVOIJEUEKEUESVJVNVSWQUGZVJVNVSWQUHWRVPWMVPVRVJVNWQUIZWMWNWOWGWKVTUJZUKV
      TWGWKWPULWMWNWOWGWKVTUNZWRVJVPVRWMTWADSZWCDSZWEDSZTZWIWJWNTWOWSWTWRVPVRWM
      XAVPVRVJVNWQUOXBUPVTWKWGXGWPVNVJWGXGVSVNWGUDVKWBUDZVLWDUDZVMWFUDZTXGVKVLV
      MWBWDWFVCXHXDXIXEXJXFIDWAUQJDWCUQKDWEUQURUSUTVAWRWIWJWNWIWJWGWPVTVBWIWJWG
      WPVTVDXCUPWMWNWOWGWKVTVEABCDFGHLMNOPQVFVGABCDEFGHIJKLNOPQRVHVI $.

    $d s A $.  $d s .\/ $.  $d s K $.  $d s .<_ $.  $d s .+ $.  $d s X $.
    $d s Y $.  $d s Z $.  $d s p $.  $d s r $.  $d s x $.  $d s y $.  $d s z $.
    $( Lemma for ~ paddass .  Use ~ paddasslem4 to eliminate ` s ` from
       ~ paddasslem9 .  (Contributed by NM, 9-Jan-2012.) $)
    paddasslem10 $p |- ( ( ( ( K e. HL /\ p =/= z /\ x =/= y )
     /\ ( X C_ A /\ Y C_ A /\ Z C_ A ) /\ ( p e. A /\ r e. A ) )
 /\ ( ( x e. X /\ y e. Y /\ z e. Z )
     /\ ( -. r .<_ ( x .\/ y ) /\ p .<_ ( x .\/ r )
        /\ r .<_ ( y .\/ z ) ) ) )
  -> p e. ( ( X .+ Y ) .+ Z ) ) $=
      ( wcel w3a wa vs chlt cv wne wss co wbr wrex simpl11 simpl3l simpl3r 3jca
      an6 ssel2 3anim123i sylbi adantrr simpl12 simpl13 simprr1 simprr2 simprr3
      wn 3ad2antl2 paddasslem4 syl32anc simpl2 simpl3 adantr simplrl jca simprl
      simprrl simprrr paddasslem9 syl13anc rexlimddv ) GUBRZMUCZCUCZUDZAUCZBUCZ
      UDZSZIDUEZJDUEZKDUEZSZVSDRZLUCZDRZTZSZWBIRZWCJRZVTKRZSZWKWBWCFUFZHUGVCZVS
      WBWKFUFHUGZWKWCVTFUFHUGZSZTZTZUAUCZWSHUGZXFVSVTFUFHUGZTZVSIJEUFKEUFRZUADX
      EVRWJWLSWBDRZWCDRZVTDRZSZWAWDWTSXAXBXIUADUHXEVRWJWLVRWAWDWIWMXDUIZWJWLWEW
      IXDUJWJWLWEWIXDUKULWNWRXNXCWIWEWRXNWMWIWRTWFWOTZWGWPTZWHWQTZSXNWFWGWHWOWP
      WQUMXPXKXQXLXRXMIDWBUNJDWCUNKDVTUNUOUPVDUQXEWAWDWTVRWAWDWIWMXDURVRWAWDWIW
      MXDUSWTXAXBWRWNUTZULWTXAXBWRWNVAWTXAXBWRWNVBZABCDFGHUALMNOPVEVFXEXFDRZXIT
      ZTZVRWIWMSZWRWTXBTZYAXGXHSXJXEYDYBXEVRWIWMXOWEWIWMXDVGWEWIWMXDVHULVIWNWRX
      CYBVJXEYEYBXEWTXBXSXTVKVIYCYAXGXHXEYAXIVLXEYAXGXHVMXEYAXGXHVNULABCDEFGHIJ
      KUALMNOPQVOVPVQ $.

    $( Lemma for ~ paddass .  The case when ` p = z ` .  (Contributed by NM,
       11-Jan-2012.) $)
    paddasslem11 $p |- ( ( ( ( K e. HL /\ p = z )
           /\ ( X C_ A /\ Y C_ A /\ Z C_ A ) ) /\ z e. Z )
           -> p e. ( ( X .+ Y ) .+ Z ) ) $=
      ( chlt wcel wa wss cv co weq w3a simplll simplr3 simplr1 simplr2 paddssat
      syl3anc sspadd2 simpllr simpr eqeltrd sseldd ) EOPZJAUAZQZGBRZHBRZIBRZUBZ
      QZASZIPZQZIGHCTZICTZJSZVDUNUSVEBRZIVFRUNUOUTVCUCZUQURUSUPVCUDVDUNUQURVHVI
      UQURUSUPVCUEUQURUSUPVCUFBOCEGHMNUGUHBOCEIVEMNUIUHVDVGVBIUNUOUTVCUJVAVCUKU
      LUM $.

    $( Lemma for ~ paddass .  The case when ` x = y ` .  (Contributed by NM,
       11-Jan-2012.) $)
    paddasslem12 $p |- ( ( ( ( K e. HL /\ x = y )
       /\ ( X C_ A /\ Y C_ A /\ Z C_ A ) /\ ( p e. A /\ r e. A ) )
   /\ ( ( y e. Y /\ z e. Z ) /\ ( p .<_ ( x .\/ r )
          /\ r .<_ ( y .\/ z ) ) ) )
       -> p e. ( ( X .+ Y ) .+ Z ) ) $=
      ( wcel wa wss chlt weq w3a cv co simpl1l simpl21 simpl22 paddssat syl3anc
      wbr simpl23 3jca sspadd2 paddss1 sylc clat hllatd simprll simprlr simpl3l
      cbs cfv eqid atbase syl sseldd simpl3r latjcl simpl1r oveq1 breq2d biimpa
      simprrl syl2anc latlej1 wb latjle12 syl13anc mpbi2and elpaddri syl322anc
      simprrr lattrd ) GUARZABUBZSZIDTZJDTZKDTZUCZMUDZDRZLUDZDRZSZUCZBUDZJRZCUD
      ZKRZSZWLAUDZWNFUEZHUKZWNWRWTFUEZHUKZSZSZSZJKEUEZIJEUEZKEUEZWLXJWEXLDTZWJU
      CJXLTZXKXMTXJWEXNWJWEWFWKWPXIUFZXJWEWHWIXNXPWHWIWJWGWPXIUGZWHWIWJWGWPXIUH
      ZDUAEGIJPQUIUJWHWIWJWGWPXIULZUMXJWEWIWHXOXPXRXQDUAEGJIPQUNUJDUAEGJXLKPQUO
      UPXJGUQRZWIWJWSXAWMWLXFHUKWLXKRXJGXPURZXRXSWQWSXAXHUSZWQWSXAXHUTZWMWOWGWK
      XIVAZXJGVBVCZGHWLWRWNFUEZXFYEVDZNYAXJWMWLYERYDDYEWLGYGPVEVFXJXTWRYERZWNYE
      RZYFYERYAXJWRDRYHXJJDWRXRYBVGDYEWRGYGPVEVFZXJWOYIWMWOWGWKXIVHDYEWNGYGPVEV
      FZYEFGWRWNYGOVIUJXJXTYHWTYERZXFYERZYAYJXJWTDRYLXJKDWTXSYCVGDYEWTGYGPVEVFZ
      YEFGWRWTYGOVIUJZXJWFXEWLYFHUKZWEWFWKWPXIVJWQXBXEXGVNWFXEYPWFXDYFWLHXCWRWN
      FVKVLVMVOXJWRXFHUKZXGYFXFHUKZXJXTYHYLYQYAYJYNYEFGHWRWTYGNOVPUJWQXBXEXGWCX
      JXTYHYIYMYQXGSYRVQYAYJYKYOYEFGHWRWNXFYGNOVRVSVTWDDEWRWTWLFGHJKNOPQWAWBVG
      $.

    $( Lemma for ~ paddass .  The case when ` r .<_ ( x .\/ y ) ` .  (Unlike
       the proof in Maeda and Maeda, we don't need ` x =/= y ` .)  (Contributed
       by NM, 11-Jan-2012.) $)
    paddasslem13 $p |- ( ( ( ( K e. HL /\ p =/= z )
       /\ ( X C_ A /\ Y C_ A /\ Z C_ A ) /\ ( p e. A /\ r e. A ) )
   /\ ( ( x e. X /\ y e. Y ) /\ ( r .<_ ( x .\/ y )
           /\ p .<_ ( x .\/ r ) ) ) )
       -> p e. ( ( X .+ Y ) .+ Z ) ) $=
      ( wcel cv wa chlt wne wss w3a co simpl1l simpl21 simpl22 paddssat syl3anc
      wbr simpl23 sspadd1 clat hllatd simprll simprlr simpl3l cbs atbase sseldd
      cfv syl simpl3r latjcl simprrr latlej1 simprrl latjle12 syl13anc mpbi2and
      eqid wb lattrd elpaddri syl322anc ) GUARZMSZCSUBZTZIDUCZJDUCZKDUCZUDZVRDR
      ZLSZDRZTZUDZASZIRZBSZJRZTZWFWJWLFUEZHUKZVRWJWFFUEZHUKZTZTZTZIJEUEZXBKEUEZ
      VRXAVQXBDUCZWCXBXCUCVQVSWDWHWTUFZXAVQWAWBXDXEWAWBWCVTWHWTUGZWAWBWCVTWHWTU
      HZDUAEGIJPQUIUJWAWBWCVTWHWTULDUAEGXBKPQUMUJXAGUNRZWAWBWKWMWEVRWOHUKVRXBRX
      AGXEUOZXFXGWIWKWMWSUPZWIWKWMWSUQZWEWGVTWDWTURZXAGUSVBZGHVRWQWOXMVLZNXIXAW
      EVRXMRXLDXMVRGXNPUTVCXAXHWJXMRZWFXMRZWQXMRXIXAWJDRXOXAIDWJXFXJVADXMWJGXNP
      UTVCZXAWGXPWEWGVTWDWTVDDXMWFGXNPUTVCZXMFGWJWFXNOVEUJXAXHXOWLXMRZWOXMRZXIX
      QXAWLDRXSXAJDWLXGXKVADXMWLGXNPUTVCZXMFGWJWLXNOVEUJZWIWNWPWRVFXAWJWOHUKZWP
      WQWOHUKZXAXHXOXSYCXIXQYAXMFGHWJWLXNNOVGUJWIWNWPWRVHXAXHXOXPXTYCWPTYDVMXIX
      QXRYBXMFGHWJWFWOXNNOVIVJVKVNDEWJWLVRFGHIJNOPQVOVPVA $.

    $( Lemma for ~ paddass .  Remove ` p =/= z ` , ` x =/= y ` , and
       ` -. r .<_ ( x .\/ y ) ` from antecedent of ~ paddasslem10 , using
       ~ paddasslem11 , ~ paddasslem12 , and ~ paddasslem13 .  (Contributed by
       NM, 11-Jan-2012.) $)
    paddasslem14 $p |- ( ( ( K e. HL
           /\ ( X C_ A /\ Y C_ A /\ Z C_ A ) /\ ( p e. A /\ r e. A ) )
    /\ ( ( x e. X /\ y e. Y /\ z e. Z )
       /\ ( p .<_ ( x .\/ r ) /\ r .<_ ( y .\/ z ) ) ) )
  -> p e. ( ( X .+ Y ) .+ Z ) ) $=
      ( wcel w3a wa chlt wss cv co wbr wi weq paddasslem11 3ad2antr3 ex adantrd
      a1d exp31 3simpb 3anim1i 3simpc anim1i paddasslem12 syl2an 3expia anim12i
      3exp1 3simpa paddasslem13 expr 3expd wn paddasslem10 pm2.61d impd expimpd
      wne 3exp pm2.61dne 3imp1 ) GUARZIDUBJDUBKDUBSZMUCZDRLUCZDRTZAUCZIRZBUCZJR
      ZCUCZKRZSZVRWAVSFUDHUEZVSWCWEFUDHUEZTZTZVRIJEUDKEUDRZVPVQVTWKWLUFZUFZUFZV
      RWEVPMCUGZVQWNVPWPTVQTZWMVTWQWGWLWJWQWGWLWQWBWFWLWDCDEFGHIJKMNOPQUHUIUJUK
      ULUMVPVRWEVLZWOVPWRTZWOWAWCVPWRABUGZWOVPWRWTSZVQVTWKWLXAVQVTSVPWTTZVQVTSW
      DWFTZWJTWLWKXAXBVQVTVPWRWTUNUOWGXCWJWBWDWFUPUQABCDEFGHIJKLMNOPQURUSVBUTVP
      WRWAWCVLZWOVPWRXDSZVQVTWMXEVQVTSZWGWJWLXFWGTZWHWIWLXGVSWAWCFUDHUEZWHWIWLU
      FUFXGXHWHWIWLXFWGXHWHWISZWLXFWSVQVTSWBWDTZXHWHTZTWLWGXITXEWSVQVTVPWRXDVCU
      OWGXJXIXKWBWDWFVCXHWHWIVCVAABCDEFGHIJKLMNOPQVDUSVEVFXGXHVGZWHWIWLXFWGXLWH
      WISWLABCDEFGHIJKLMNOPQVHVEVFVIVJVKVMUTVNUJVNVO $.

    $d y z A $.  $d y z .\/ $.  $d y z K $.  $d y z .<_ $.  $d y z .+ $.
    $d y z X $.  $d y z Y $.  $d y z Z $.  $d y z p $.  $d y z r $.
    $d y z x $.
    $( Lemma for ~ paddass .  Use ~ elpaddn0 to eliminate ` y ` and ` z ` from
       ~ paddasslem14 .  (Contributed by NM, 11-Jan-2012.) $)
    paddasslem15 $p |- ( ( ( K e. HL
           /\ ( X C_ A /\ Y C_ A /\ Z C_ A ) /\ ( Y =/= (/) /\ Z =/= (/) ) )
      /\ ( p e. A /\ ( x e. X /\ r e. ( Y .+ Z ) ) /\ p .<_ ( x .\/ r ) ) )
           -> p e. ( ( X .+ Y ) .+ Z ) ) $=
      ( vy vz wcel w3a wa chlt wss c0 wne cv co wbr wrex simpr2r clat wb simpl1
      hllatd simpl22 simpl3 elpaddn0 syl31anc mpbid simp11 simp12 simp21 simp31
      simpl23 wi simp22l simp32l simp32r 3jca simp23 simp33 paddasslem14 3expia
      jca syl32anc 3expd imp rexlimdvv expimpd mpd ) EUARZGBUBZHBUBZIBUBZSZHUCU
      DIUCUDTZSZKUEZBRZAUEZGRZJUEZHICUFRZTZWGWIWKDUFFUGZSZTZWKBRZWKPUEZQUEZDUFF
      UGZQIUHPHUHZTZWGGHCUFICUFRZWPWLXBWJWLWHWNWFUIWPEUJRWBWCWEWLXBUKWPEVTWDWEW
      OULUMWAWBWCVTWEWOUNWAWBWCVTWEWOVCVTWDWEWOUOBCWKDEFHIQPLMNOUPUQURWPWQXAXCW
      PWQTWTXCPQHIWPWQWRHRZWSIRZTZWTXCVDVDWPWQXFWTXCWFWOWQXFWTSZXCWFWOXGSZVTWDW
      HWQTWJXDXESWNWTTXCVTWDWEWOXGUSVTWDWEWOXGUTXHWHWQWFWHWMWNXGVAWFWOWQXFWTVBV
      MXHWJXDXEWJWLWHWNWFXGVEXDXEWQWTWFWOVFXDXEWQWTWFWOVGVHXHWNWTWFWHWMWNXGVIWF
      WOWQXFWTVJVMAPQBCDEFGHIJKLMNOVKVNVLVOVPVQVRVS $.

    $d p r x A $.  $d r x .\/ $.  $d p r x K $.  $d r x .<_ $.  $d p r x .+ $.
    $d p r x X $.  $d p r x Y $.  $d p r x Z $.  $d r x p $.
    $( Lemma for ~ paddass .  Use ~ elpaddn0 to eliminate ` x ` and ` r ` from
       ~ paddasslem15 .  (Contributed by NM, 11-Jan-2012.) $)
    paddasslem16 $p |- ( ( K e. HL /\ ( X C_ A /\ Y C_ A /\ Z C_ A )
     /\ ( ( X =/= (/) /\ ( Y .+ Z ) =/= (/) )
         /\ ( Y =/= (/) /\ Z =/= (/) ) ) )
       -> ( X .+ ( Y .+ Z ) ) C_ ( ( X .+ Y ) .+ Z ) ) $=
      ( vx vr wcel wss c0 wne co wa vp chlt w3a cv wbr wrex clat hllat 3ad2ant1
      wb simp21 simp1 simp22 simp23 paddssat syl3anc elpaddn0 syl31anc wi simpr
      simp3l paddasslem15 syl3anl3 3exp2 imp rexlimdvv expimpd sylbid ssrdv ) D
      UBOZFAPZGAPZHAPZUCZFQRGHBSZQRTZGQRHQRTZTZUCZUAFVOBSZFGBSHBSZVSUAUDZVTOZWB
      AOZWBMUDZNUDZCSEUEZNVOUFMFUFZTZWBWAOZVSDUGOZVKVOAPZVPWCWIUJVJVNWKVRDUHUIV
      JVKVLVMVRUKVSVJVLVMWLVJVNVRULVJVKVLVMVRUMVJVKVLVMVRUNAUBBDGHKLUOUPVJVNVPV
      QVAABWBCDEFVONMIJKLUQURVSWDWHWJVSWDTWGWJMNFVOVSWDWEFOWFVOOTZWGWJUSUSVSWDW
      MWGWJVRVJVNVQWDWMWGUCWJVPVQUTMABCDEFGHNUAIJKLVBVCVDVEVFVGVHVI $.
  $}

  ${
    paddass.a $e |- A = ( Atoms ` K ) $.
    paddass.p $e |- .+ = ( +P ` K ) $.
    $( Lemma for ~ paddass .  The case when at least one sum argument is empty.
       (Contributed by NM, 12-Jan-2012.) $)
    paddasslem17 $p |- ( ( K e. HL /\ ( X C_ A /\ Y C_ A /\ Z C_ A )
  /\ -. ( ( X =/= (/) /\ ( Y .+ Z ) =/= (/) )
           /\ ( Y =/= (/) /\ Z =/= (/) ) ) )
       -> ( X .+ ( Y .+ Z ) ) C_ ( ( X .+ Y ) .+ Z ) ) $=
      ( chlt wss c0 wne co wa wn wceq wo nne oveq1d syl5ibrcom wcel w3a orbi12i
      ianor bitri 3adant3r1 padd02 syldan 3ad2antr2 eqtr4d oveq1 eqeq12d eqimss
      paddssat syl6 padd01 3ad2antr1 sspadd1 simpl simpr3 syl3anc sstrd eqsstrd
      3adant3r3 oveq2 sseq1d jaod 3ad2antr3 oveq2d syl5bi 3impia ) CIUAZDAJZEAJ
      ZFAJZUBZDKLZEFBMZKLZNZEKLZFKLZNZNOZDVRBMZDEBMZFBMZJZWDDKPZVRKPZQZEKPZFKPZ
      QZQZVLVPNZWHWDVTOZWCOZQWOVTWCUDWQWKWRWNWQVQOZVSOZQWKVQVSUDWSWIWTWJDKRVRKR
      UCUEWRWAOZWBOZQWNWAWBUDXAWLXBWMEKRFKRUCUEUCUEWPWKWHWNWPWIWHWJWPWIWEWGPZWH
      WPXCWIKVRBMZKEBMZFBMZPWPXDVRXFVLVPVRAJZXDVRPVLVNVOXGVMAIBCEFGHUNUFAIBCVRG
      HUGUHWPXEEFBVLVMVNXEEPVOAIBCEGHUGUISUJWIWEXDWGXFDKVRBUKWIWFXEFBDKEBUKSULT
      WEWGUMZUOWPWHWJDKBMZWGJWPXIDWGVLVNVMXIDPVOAIBCDGHUPUQZWPDWFWGVLVMVNDWFJVO
      AIBCDEGHURVDWPVLWFAJZVOWFWGJVLVPUSVLVMVNXKVOAIBCDEGHUNVDZVLVMVNVOUTAIBCWF
      FGHURVAVBVCWJWEXIWGVRKDBVEVFTVGWPWNXCWHWPWLXCWMWPXCWLDKFBMZBMZXIFBMZPWPXN
      DFBMXOWPXMFDBVLVMVOXMFPVNAIBCFGHUGVHVIWPXIDFBXJSUJWLWEXNWGXOWLVRXMDBEKFBU
      KVIWLWFXIFBEKDBVESULTWPXCWMDEKBMZBMZWFKBMZPWPXQWFXRWPXPEDBVLVMVNXPEPVOAIB
      CEGHUPUIVIVLVPXKXRWFPXLAIBCWFGHUPUHUJWMWEXQWGXRWMVRXPDBFKEBVEVIFKWFBVEULT
      VGXHUOVGVJVK $.

    $( Lemma for ~ paddass .  Combine ~ paddasslem16 and ~ paddasslem17 .
       (Contributed by NM, 12-Jan-2012.) $)
    paddasslem18 $p |- ( ( K e. HL /\ ( X C_ A /\ Y C_ A /\ Z C_ A ) )
          -> ( X .+ ( Y .+ Z ) ) C_ ( ( X .+ Y ) .+ Z ) ) $=
      ( chlt wcel wss w3a wa c0 wne co cjn cfv eqid 3expa cple paddasslem16 wn
      paddasslem17 pm2.61dan ) CIJZDAKEAKFAKLZMDNOEFBPZNOMENOFNOMMZDUHBPDEBPFBP
      KZUFUGUIUJABCQRZCCUARZDEFULSUKSGHUBTUFUGUIUCUJABCDEFGHUDTUE $.

    $( Projective subspace sum is associative.  Equation 16.2.1 of [MaedaMaeda]
       p. 68.  In our version, the subspaces do not have to be nonempty.
       (Contributed by NM, 29-Dec-2011.) $)
    paddass $p |- ( ( K e. HL /\ ( X C_ A /\ Y C_ A /\ Z C_ A ) )
          -> ( ( X .+ Y ) .+ Z ) = ( X .+ ( Y .+ Z ) ) ) $=
      ( chlt wcel wss w3a co paddasslem18 wceq paddcom syl3an1 paddssat syl3anc
      eqtrd simpl simpr3 simpr2 simpr1 syl13anc clat 3adant3r3 oveq1d 3adant3r1
      wa hllat oveq2d 3sstr4d eqssd ) CIJZDAKZEAKZFAKZLZUJZDEBMZFBMZDEFBMZBMZUT
      FEDBMZBMZFEBMZDBMZVBVDUTUOURUQUPVFVHKUOUSUAZUOUPUQURUBZUOUPUQURUCZUOUPUQU
      RUDZABCFEDGHNUEUTVBVEFBMZVFUTVAVEFBUOUPUQVAVEOZURUOCUFJZUPUQVNCUKZABCDEGH
      PQUGUHUTUOVEAKZURVMVFOZVIUTUOUQUPVQVIVKVLAIBCEDGHRSVJUOVOVQURVRVPABCVEFGH
      PQSTUTVDDVGBMZVHUTVCVGDBUOUQURVCVGOZUPUOVOUQURVTVPABCEFGHPQUIULUTUOUPVGAK
      ZVSVHOZVIVLUTUOURUQWAVIVJVKAIBCFEGHRSUOVOUPWAWBVPABCDVGGHPQSTUMABCDEFGHNU
      N $.

    $( Commutative/associative law for projective subspace sum.  (Contributed
       by NM, 14-Jan-2012.)  (New usage is discouraged.) $)
    padd12N $p |- ( ( K e. HL /\ ( X C_ A /\ Y C_ A /\ Z C_ A ) )
          -> ( X .+ ( Y .+ Z ) ) = ( Y .+ ( X .+ Z ) ) ) $=
      ( chlt wcel wss w3a wa co clat wceq hllat adantr simpr1 paddass syl13anc
      simpr2 paddcom syl3anc oveq1d simpl simpr3 3eqtr3d ) CIJZDAKZEAKZFAKZLZMZ
      DEBNZFBNEDBNZFBNZDEFBNBNEDFBNBNZUNUOUPFBUNCOJZUJUKUOUPPUIUSUMCQRUIUJUKULS
      ZUIUJUKULUBZABCDEGHUCUDUEABCDEFGHTUNUIUKUJULUQURPUIUMUFVAUTUIUJUKULUGABCE
      DFGHTUAUH $.

    $( Rearrangement of 4 terms in a projective subspace sum.  (Contributed by
       NM, 14-Jan-2012.)  (New usage is discouraged.) $)
    padd4N $p |- ( ( K e. HL /\ ( X C_ A /\ Y C_ A ) /\ ( Z C_ A /\ W C_ A ) )
          -> ( ( X .+ Y ) .+ ( Z .+ W ) )
         = ( ( X .+ Z ) .+ ( Y .+ W ) ) ) $=
      ( chlt wcel wss wa w3a co wceq syl13anc paddssat syl3anc paddass padd12N
      simp1 simp2r simp3l simp3r oveq2d simp2l 3eqtr4d ) CJKZEALZFALZMZGALZDALZ
      MZNZEFGDBOZBOZBOZEGFDBOZBOZBOZEFBOUQBOZEGBOUTBOZUPURVAEBUPUIUKUMUNURVAPUI
      ULUOUBZUIUJUKUOUCZUIULUMUNUDZUIULUMUNUEZABCFGDHIUAQUFUPUIUJUKUQALZVCUSPVE
      UIUJUKUOUGZVFUPUIUMUNVIVEVGVHAJBCGDHIRSABCEFUQHITQUPUIUJUMUTALZVDVBPVEVJV
      GUPUIUKUNVKVEVFVHAJBCFDHIRSABCEGUTHITQUH $.
  $}

  ${
    $d p B $.  $d p q r K $.  $d p q r .+ $.  $d p S $.  $d p q r X $.
    $d p q r Y $.
    paddidm.s $e |- S = ( PSubSp ` K ) $.
    paddidm.p $e |- .+ = ( +P ` K ) $.
    $( Projective subspace sum is idempotent.  Part of Lemma 16.2 of
       [MaedaMaeda] p. 68.  (Contributed by NM, 13-Jan-2012.) $)
    paddidm $p |- ( ( K e. B /\ X e. S ) -> ( X .+ X ) = X ) $=
      ( vp vq vr wcel wa co cv wo cfv wrex wss eqid syl3anc catm cjn cple simpl
      wbr wb psubssat elpadd wi pm1.2 a1i psubspi 3exp1 imp4b jaod sylbid ssrdv
      sspadd1 eqssd ) DAKZECKZLZEEBMZEVBHVCEVBHNZVCKZVDEKZVFOZVDDUAPZKZVDINJNDU
      BPZMDUCPZUEJEQIEQZLZOZVFVBUTEVHRZVOVEVNUFUTVAUDZVHACDEVHSZFUGZVRVHABVDVJD
      VKEEJIVKSZVJSZVQGUHTVBVGVFVMVGVFUIVBVFUJUKUTVAVIVLVFUTVAVIVLVFVHAVDCVJDVK
      EJIVSVTVQFULUMUNUOUPUQVBUTVOVOEVCRVPVRVRVHABDEEVQGURTUS $.

    $( The projective sum of two subspaces is a subspace.  Part of Lemma 16.2
       of [MaedaMaeda] p. 68.  (Contributed by NM, 14-Jan-2012.)
       (New usage is discouraged.) $)
    paddclN $p |- ( ( K e. HL /\ X e. S /\ Y e. S ) -> ( X .+ Y ) e. S ) $=
      ( vp vq vr chlt wcel co cfv wss cv wrex eqid psubssat wceq w3a cjn wbr wi
      catm cple wral simp1 3adant3 3adant2 paddssat syl3anc wa wo olc wb elpadd
      padd4N syl122anc paddidm oveq12d eqtrd eleq2d bitr3d syl5ib expd ralrimiv
      ispsubsp2 3ad2ant1 mpbir2and ) CKLZDBLZEBLZUAZDEAMZBLZVOCUENZOZHPZIPJPCUB
      NZMCUFNZUCJVOQIVOQZVSVOLZUDZHVQUGZVNVKDVQOZEVQOZVRVKVLVMUHZVKVLWFVMVQKBCD
      VQRZFSUIZVKVMWGVLVQKBCEWIFSUJZVQKACDEWIGUKULZVNWDHVQVNVSVQLZWBWCWMWBUMZWC
      WCUNZWNUNZVNWCWNWOUOVNVSVOVOAMZLZWPWCVNVKVRVRWRWPUPWHWLWLVQKAVSVTCWAVOVOJ
      IWARZVTRZWIGUQULVNWQVOVSVNWQDDAMZEEAMZAMZVOVNVKWFWGWFWGWQXCTWHWJWKWJWKVQA
      CEDEDWIGURUSVNXADXBEAVKVLXADTVMKABCDFGUTUIVKVMXBETVLKABCEFGUTUJVAVBVCVDVE
      VFVGVKVLVPVRWEUMUPVMVQKBVTCWAVOJIHWSWTWIFVHVIVJ $.
  $}

  ${
    paddssw.a $e |- A = ( Atoms ` K ) $.
    paddssw.p $e |- .+ = ( +P ` K ) $.
    $( Subset law for projective subspace sum valid for all subsets of atoms.
       (Contributed by NM, 14-Mar-2012.) $)
    paddssw1 $p |- ( ( K e. B /\ ( X C_ A /\ Y C_ A /\ Z C_ A ) )
              -> ( ( X C_ Z /\ Y C_ Z ) -> ( X .+ Y ) C_ ( Z .+ Z ) ) ) $=
      ( wcel wss w3a wa co wi simpl simpr3 paddss12 syl3anc ) DBJZEAKZFAKZGAKZL
      ZMTUCUCEGKFGKMEFCNGGCNKOTUDPTUAUBUCQZUEABCDGEGFHIRS $.

    $( Subset law for projective subspace sum valid for all subsets of atoms.
       (Contributed by NM, 14-Mar-2012.) $)
    paddssw2 $p |- ( ( K e. B /\ ( X C_ A /\ Y C_ A /\ Z C_ A ) )
              -> ( ( X .+ Y ) C_ Z -> ( X C_ Z /\ Y C_ Z ) ) ) $=
      ( wcel wss w3a wa co sspadd1 3adant3r3 sstr sylan ex simpl simpr2 sspadd2
      simpr1 syl3anc jcad ) DBJZEAKZFAKZGAKZLZMZEFCNZGKZEGKZFGKZUKUMUNUKEULKZUM
      UNUFUGUHUPUIABCDEFHIOPEULGQRSUKUMUOUKFULKZUMUOUKUFUHUGUQUFUJTUFUGUHUIUAUF
      UGUHUIUCABCDFEHIUBUDFULGQRSUE $.
  $}

  ${
    paddss.a $e |- A = ( Atoms ` K ) $.
    paddss.s $e |- S = ( PSubSp ` K ) $.
    paddss.p $e |- .+ = ( +P ` K ) $.
    $( Subset law for projective subspace sum.  ( ~ unss analog.)  (Contributed
       by NM, 7-Mar-2012.) $)
    paddss $p |- ( ( K e. B /\ ( X C_ A /\ Y C_ A /\ Z e. S ) )
              -> ( ( X C_ Z /\ Y C_ Z ) <-> ( X .+ Y ) C_ Z ) ) $=
      ( wcel wss w3a wa co wi simpl 3ad2antr3 syl13anc simpr1 psubssat paddssw1
      simpr2 wceq paddidm sseq2d sylibd paddssw2 impbid ) EBLZFAMZGAMZHDLZNZOZF
      HMGHMOZFGCPZHMZUPUQURHHCPZMZUSUPUKULUMHAMZUQVAQUKUORZUKULUMUNUAZUKULUMUNU
      DZUKULUNVBUMABDEHIJUBSZABCEFGHIKUCTUPUTHURUKULUNUTHUEUMBCDEHJKUFSUGUHUPUK
      ULUMVBUSUQQVCVDVEVFABCEFGHIKUITUJ $.
  $}

  ${
    $d p q r A $.  $d q r .\/ $.  $d p q r K $.  $d q r .<_ $.  $d p q r .+ $.
    $d p q r S $.  $d p q r X $.  $d p q r Y $.  $d p q r Z $.  $d p q r $.
    pmodlem.l $e |- .<_ = ( le ` K ) $.
    pmodlem.j $e |- .\/ = ( join ` K ) $.
    pmodlem.a $e |- A = ( Atoms ` K ) $.
    pmodlem.s $e |- S = ( PSubSp ` K ) $.
    pmodlem.p $e |- .+ = ( +P ` K ) $.
    $( Lemma for ~ pmod1i .  (Contributed by NM, 9-Mar-2012.) $)
    pmodlem1 $p |- ( ( ( K e. HL /\ X C_ A /\ Y C_ A ) /\ ( Z e. S /\
          X C_ Z /\ p e. Z ) /\ ( q e. X /\ r e. Y /\
         p .<_ ( q .\/ r ) ) ) -> p e. ( X .+ ( Y i^i Z ) ) ) $=
      ( wcel wss w3a chlt cv co wbr cin weq simpl11 simpl12 simpl13 ssinss1 syl
      wa sspadd1 syl3anc simpl31 eqeltrd sseldd wne clat hllatd simpl32 simpl21
      simpr simpl22 simpl23 psubssat syl2anc simpl33 hlatexch1 imp syl31anc csn
      3jca simp31 snssd simp22 simp23 wb simp11 simp12 simp21 syl13anc mpbi2and
      sstrd paddss simp33 simp13 simp32 elpadd2at2 syl333anc elpaddri syl322anc
      mpbird elind pm2.61dane ) EUARZGASZHASZTZICRZGISZLUBZIRZTZKUBZGRZJUBZHRZX
      BXEXGDUCFUDZTZTZXBGHIUEZBUCZRZXBXEXKLKUFZULZGXMXBXPWPWQXLASZGXMSWPWQWRXDX
      JXOUGWPWQWRXDXJXOUHXPWRXQWPWQWRXDXJXOUIHIAUJZUKAUABEGXLOQUMUNXPXBXEGXKXOV
      CXFXHXIWSXDXOUOUPUQXKXBXEURZULZEUSRZWQXQXFXGXLRXBARZXIXNXTEWPWQWRXDXJXSUG
      ZUTWPWQWRXDXJXSUHZXTWRXQWPWQWRXDXJXSUIZXRUKXFXHXIWSXDXSUOZXTHIXGXFXHXIWSX
      DXSVAZXTWPWQWRWTXAXCXFXHXGXEXBDUCFUDZXGIRYCYDYEWTXAXCWSXJXSVBZWTXAXCWSXJX
      SVDWTXAXCWSXJXSVEZYFYGXTWPYBXGARZXEARZTZXSXIYHYCXTYBYKYLXTIAXBXTWPWTIASZY
      CYIAUACEIOPVFZVGYJUQZXTHAXGYEYGUQXTGAXEYDYFUQVMXKXSVCXFXHXIWSXDXSVHZWPYMX
      STXIYHAXBXGXEDEFMNOVIVJVKWSXDXFXHYHTZTZXEVLZXBVLZBUCZIXGYSYTISZUUAISZUUBI
      SZYSYTGIYSXEGWSXDXFXHYHVNZVOWSWTXAXCYRVPWDYSXBIWSWTXAXCYRVQZVOYSWPYTASUUA
      ASWTUUCUUDULUUEVRWPWQWRXDYRVSZYSXEAYSGAXEWPWQWRXDYRVTUUFUQZVOYSXBAYSIAXBY
      SWPWTYNUUHWSWTXAXCYRWAZYOVGUUGUQZVOUUJAUABCEYTUUAIOPQWEWBWCYSXGUUBRZYHWSX
      DXFXHYHWFYSYAYLYBYKUULYHVRYSEUUHUTUUIUUKYSHAXGWPWQWRXDYRWGWSXDXFXHYHWHUQA
      BXEXBXGDEFMNOQWIWBWMUQWJWNYPYQABXEXGXBDEFGXLMNOQWKWLWO $.

    $( Lemma for ~ pmod1i .  (Contributed by NM, 9-Mar-2012.) $)
    pmodlem2 $p |- ( ( K e. HL /\ ( X C_ A /\ Y C_ A /\ Z e. S ) /\ X C_ Z )
          -> ( ( X .+ Y ) i^i Z ) C_ ( X .+ ( Y i^i Z ) ) ) $=
      ( vq vr wcel wss c0 wa vp chlt w3a co cin wceq simpr oveq1d simpl1 padd02
      simpl22 syl2anc eqtrd ssinss1 simpl21 sspadd2 syl3anc eqsstrd oveq2 simp1
      ineq1d syl simp21 padd01 sylan9eqr inss1 sspadd1 sstrid wne elin wbr wrex
      cv wi clat hllatd simprl elpaddn0 syl31anc simpl23 simpl3 simpr2l simpr2r
      wb simpr1 simpr3 pmodlem1 syl333anc 3exp2 rexlimdvv adantld adantrl exp32
      imp sylbid com34 imp4b syl5bi ssrdv pm2.61da2ne ) EUBQZGARZHARZICQZUCZGIR
      ZUCZGHBUDZIUEZGHIUEZBUDZRGSHSXGGSUFZTZXIXJXKXMXHHIXMXHSHBUDZHXMGSHBXGXLUG
      UHXMXAXCXNHUFXAXEXFXLUIZXBXCXDXAXFXLUKZAUBBEHLNUJULUMVAXMXAXJARZXBXJXKRXO
      XMXCXQXPHIAUNZVBXBXCXDXAXFXLUOAUBBEXJGLNUPUQURXGHSUFZTZXIGIUEZXKXTXHGIXSX
      GXHGSBUDZGHSGBUSXGXAXBYBGUFXAXEXFUTXAXBXCXDXFVCAUBBEGLNVDULVEVAXTYAGXKGIV
      FXTXAXBXQGXKRXAXEXFXSUIXBXCXDXAXFXSUOXTXCXQXBXCXDXAXFXSUKXRVBAUBBEGXJLNVG
      UQVHURXGGSVIHSVITZTZUAXIXKUAVMZXIQYEXHQZYEIQZTYDYEXKQZYEXHIVJXGYCYFYGYHXG
      YCYGYFYHXGYCYGYFYHVNXGYCYGTZTZYFYEAQZYEOVMZPVMZDUDFVKZPHVLOGVLZTZYHYJEVOQ
      XBXCYCYFYPWDYJEXAXEXFYIUIVPXBXCXDXAXFYIUOXBXCXDXAXFYIUKXGYCYGVQABYEDEFGHP
      OJKLNVRVSXGYGYPYHVNYCXGYGTZYOYHYKYQYNYHOPGHXGYGYLGQZYMHQZTZYNYHVNVNXGYGYT
      YNYHXGYGYTYNUCZTXAXBXCXDXFYGYRYSYNYHXAXEXFUUAUIXBXCXDXAXFUUAUOXBXCXDXAXFU
      UAUKXBXCXDXAXFUUAVTXAXEXFUUAWAXGYGYTYNWEYRYSYGYNXGWBYRYSYGYNXGWCXGYGYTYNW
      FABCDEFGHIPOUAJKLMNWGWHWIWNWJWKWLWOWMWPWQWRWSWT $.
  $}

  ${
    pmod.a $e |- A = ( Atoms ` K ) $.
    pmod.s $e |- S = ( PSubSp ` K ) $.
    pmod.p $e |- .+ = ( +P ` K ) $.
    $( The modular law holds in a projective subspace.  (Contributed by NM,
       10-Mar-2012.) $)
    pmod1i $p |- ( ( K e. HL /\ ( X C_ A /\ Y C_ A /\ Z e. S ) ) ->
        ( X C_ Z -> ( ( X .+ Y ) i^i Z ) = ( X .+ ( Y i^i Z ) ) ) ) $=
      ( chlt wcel wss w3a wa co cin wceq cfv syl3anc cjn cple pmodlem2 3expa wi
      eqid inss1 simpll simplr2 simplr1 paddss2 simpl psubssat 3ad2antr3 simpr2
      mpi ssinss1 syl paddss1 simplr3 syl2anc inss2 paddidm sseqtrd sstrd ssind
      imp eqssd ex ) DKLZEAMZFAMZGCLZNZOZEGMZEFBPZGQZEFGQZBPZRVOVPOZVRVTVJVNVPV
      RVTMABCDUASZDDUBSZEFGWCUFWBUFHIJUCUDWAVTVQGWAVSFMZVTVQMZFGUGWAVJVLVKWDWEU
      EVJVNVPUHZVKVLVMVJVPUIVKVLVMVJVPUJAKBDVSFEHJUKTUPWAVTGVSBPZGVOVPVTWGMZVOV
      JGAMZVSAMZVPWHUEVJVNULVJVKVMWIVLAKCDGHIUMZUNVOVLWJVJVKVLVMUOFGAUQURAKBDEG
      VSHJUSTVGWAWGGGBPZGWAVJWIWIWGWLMZWFWAVJVMWIWFVKVLVMVJVPUTZWKVAZWOVJWIWINV
      SGMWMFGVBAKBDVSGGHJUKUPTWAVJVMWLGRWFWNKBCDGIJVCVAVDVEVFVHVI $.

    $( Dual of the modular law.  (Contributed by NM, 8-Apr-2012.)
       (New usage is discouraged.) $)
    pmod2iN $p |- ( ( K e. HL /\ ( X e. S /\ Y C_ A /\ Z C_ A ) ) ->
        ( Z C_ X -> ( ( X i^i Y ) .+ Z ) = ( X i^i ( Y .+ Z ) ) ) ) $=
      ( chlt wcel wss w3a cin co wceq incom paddcom syl3anc clat hllat 3ad2ant1
      oveq1i simp22 syl simp23 syl5eq simp21 3jca pmod1i 3impia syld3an2 ineq1d
      ssinss1 3eqtr2d eqtrdi 3expia ) DKLZECLZFAMZGAMZNZGEMZEFOZGBPZEFGBPZOZQUS
      VCVDNZVFVGEOZVHVIVFGFEOZBPZGFBPZEOZVJVIVFVKGBPZVLVEVKGBEFRUDVIDUALZVKAMZV
      BVOVLQUSVCVPVDDUBUCZVIVAVQUSUTVAVBVDUEZFEAUOUFUSUTVAVBVDUGZABDVKGHJSTUHUS
      VBVAUTNZVCVDVNVLQZVIVBVAUTVTVSUSUTVAVBVDUIUJUSWAVDWBABCDGFEHIJUKULUMVIVMV
      GEVIVPVBVAVMVGQVRVTVSABDGFHJSTUNUPVGERUQUR $.

    $( The modular law for projective subspaces.  (Contributed by NM,
       26-Mar-2012.)  (New usage is discouraged.) $)
    pmodN $p |- ( ( K e. HL /\ ( X e. S /\ Y C_ A /\ Z C_ A ) ) ->
        ( X i^i ( Y .+ ( X i^i Z ) ) ) = ( ( X i^i Y ) .+ ( X i^i Z ) ) ) $=
      ( wcel wss w3a wa cin co incom wceq inss2 sstrid chlt hllat adantr simpr2
      clat simpr3 paddcom syl3anc ineq2d oveq2i simpr1 3jca inss1 pmod1i syldan
      mpi 3eqtr4a ) DUAKZECKZFALZGALZMZNZEEGOZFBPZOVEEOZEFVDBPZOEFOZVDBPZEVEQVC
      VGVEEVCDUEKZUTVDALZVGVERURVJVBDUBUCZURUSUTVAUDZVCVDGAEGSURUSUTVAUFTZABDFV
      DHJUGUHUIVCVDVHBPZVDFEOZBPZVIVFVHVPVDBEFQUJVCVJVHALVKVIVORVLVCVHFAEFSVMTV
      NABDVHVDHJUGUHURVBVKUTUSMZVFVQRZVCVKUTUSVNVMURUSUTVAUKULURVRNVDELVSEGUMAB
      CDVDFEHIJUNUPUOUQUQ $.
  $}

  ${
    pmodl42.s $e |- S = ( PSubSp ` K ) $.
    pmodl42.p $e |- .+ = ( +P ` K ) $.
    $( Lemma derived from modular law.  (Contributed by NM, 8-Apr-2012.)
       (New usage is discouraged.) $)
    pmodl42N $p |- ( ( ( K e. HL /\ X e. S /\ Y e. S ) /\ ( Z e. S /\ W e. S )
        )
       -> ( ( ( X .+ Y ) .+ Z ) i^i ( ( X .+ Y ) .+ W ) )
               = ( ( X .+ Y ) .+ ( ( X .+ Z ) i^i ( Y .+ W ) ) ) ) $=
      ( chlt wcel w3a co cin wss wceq psubssat syl2anc syl3anc syl13anc wa catm
      cfv simpl1 simpl3 eqid simpl2 simprl simprr paddclN sspadd1 pmod1i 3impia
      paddssat syl131anc incom eqtr3di oveq2d ssinss1 syl paddass padd12N eqtrd
      ineq12d eqtrdi sspadd2 sstrd 3eqtr4rd ) CJKZEBKZFBKZLZGBKZDBKZUAZUAZEFEGA
      MZFDAMZNZAMZAMZEVRFVQAMZNZAMZEFAMZVSAMZWEGAMZWEDAMZNZVPVTWCEAVPWBVRNZVTWC
      VPVIFCUBUCZOZVQWKOZVRBKZFVROZWJVTPZVIVJVKVOUDZVPVIVKWLWQVIVJVKVOUEZWKJBCF
      WKUFZHQRZVPVIEWKOZGWKOZWMWQVPVIVJXAWQVIVJVKVOUGZWKJBCEWSHQRZVPVIVMXBWQVLV
      MVNUHZWKJBCGWSHQRZWKJACEGWSIUNSZVPVIVKVNWNWQWRVLVMVNUIZABCFDHIUJSZVPVIWLD
      WKOZWOWQWTVPVIVNXJWQXHWKJBCDWSHQRZWKJACFDWSIUKSVIWLWMWNLWOWPWKABCFVQVRWSH
      IULUMUOWBVRUPUQURVPVIXAWLVSWKOZWFWAPWQXDWTVPWMXLXGVQVRWKUSUTWKACEFVSWSIVA
      TVPWIEVRAMZWBNZWDVPWIWBXMNXNVPWGWBWHXMVPWGEFGAMAMZWBVPVIXAWLXBWGXOPWQXDWT
      XFWKACEFGWSIVATVPVIXAWLXBXOWBPWQXDWTXFWKACEFGWSIVBTVCVPVIXAWLXJWHXMPWQXDW
      TXKWKACEFDWSIVATVDWBXMUPVEVPVIXAVRWKOZWBBKZEWBOZXNWDPZWQXDVPVIWNXPWQXIWKJ
      BCVRWSHQRVPVIVKVQBKZXQWQWRVPVIVJVMXTWQXCXEABCEGHIUJSABCFVQHIUJSVPEVQWBVPV
      IXAXBEVQOWQXDXFWKJACEGWSIUKSVPVIWMWLVQWBOWQXGWTWKJACVQFWSIVFSVGVIXAXPXQLX
      RXSWKABCEVRWBWSHIULUMUOVCVH $.
  $}

  ${
    $d p q r B $.  $d p q r .\/ $.  $d p q r K $.  $d p q r M $.  $d p .+ $.
    $d p q r X $.  $d p q r Y $.
    pmapjoin.b $e |- B = ( Base ` K ) $.
    pmapjoin.j $e |- .\/ = ( join ` K ) $.
    pmapjoin.m $e |- M = ( pmap ` K ) $.
    pmapjoin.p $e |- .+ = ( +P ` K ) $.
    $( The projective map of the join of two lattice elements.  Part of
       Equation 15.5.3 of [MaedaMaeda] p. 63.  (Contributed by NM,
       27-Jan-2012.) $)
    pmapjoin $p |- ( ( K e. Lat /\ X e. B /\ Y e. B )
          -> ( ( M ` X ) .+ ( M ` Y ) ) C_ ( M ` ( X .\/ Y ) ) ) $=
      ( vq clat wcel cfv wbr wa wi wb elpmap vp vr w3a co cv catm cple wo simpl
      wrex eqid atbase latlej1 adantr simpl1 simpr simpl2 latjcl lattr syl13anc
      a1i mpan2d expimpd sylani jcad latlej2 simpl3 3adant3 3adant2 anbi12d an4
      bitrdi anim12i simpll1 simprl simpll2 simpll3 latjlej12 syl122anc syl3anc
      jaod simprr simplr ad2antrr expcomd syld sylbid rexlimdvv pmapssat elpadd
      wss simp1 orbi12d orbi1d bitrd syl2anc 3imtr4d ssrdv ) DMNZFANZGANZUCZUAF
      EOZGEOZBUDZFGCUDZEOZXBUAUEZDUFOZNZXHFDUGOZPZQZXJXHGXKPZQZUHZXJXHLUEZUBUEZ
      CUDZXKPZUBXDUJLXCUJZQZUHZXJXHXFXKPZQZXHXENZXHXGNZXBXPYEYBXBXMYEXOXBXMXJYD
      XMXJRXBXJXLUIVAXJXBXHANZXLYDXIAXHDHXIUKZULZXBYHXLYDXBYHQZXLFXFXKPZYDXBYLY
      HACDXKFGHXKUKZIUMUNYKWSYHWTXFANZXLYLQYDRWSWTXAYHUOZXBYHUPZWSWTXAYHUQXBYNY
      HACDFGHIURZUNZADXKXHFXFHYMUSUTVBVCVDVEXBXOXJYDXOXJRXBXJXNUIVAXJXBYHXNYDYJ
      XBYHXNYDYKXNGXFXKPZYDXBYSYHACDXKFGHYMIVFUNYKWSYHXAYNXNYSQYDRYOYPWSWTXAYHV
      GYRADXKXHGXFHYMUSUTVBVCVDVEWAXBYBXJYDYBXJRXBXJYAUIVAXJXBYHYAYDYJXBYHYAYDY
      KXTYDLUBXCXDYKXQXCNZXRXDNZQZXQXINZXRXINZQZXQFXKPZXRGXKPZQZQZXTYDRZXBUUBUU
      ISYHXBUUBUUCUUFQZUUDUUGQZQUUIXBYTUUKUUAUULWSWTYTUUKSXAXIAMXQDXKEFHYMYIJTV
      HWSXAUUAUULSWTXIAMXRDXKEGHYMYIJTVIVJUUCUUFUUDUUGVKVLUNUUEYKXQANZXRANZQZUU
      HUUJUUCUUMUUDUUNXIAXQDHYIULXIAXRDHYIULVMYKUUOUUHUUJYKUUOQZUUHXSXFXKPZUUJU
      UPWSUUMWTUUNXAUUHUUQRWSWTXAYHUUOVNZYKUUMUUNVOZWSWTXAYHUUOVPYKUUMUUNWBZWSW
      TXAYHUUOVQACDXKGXQFXRHYMIVRVSUUPXTUUQYDUUPWSYHXSANZYNXTUUQQYDRUURXBYHUUOW
      CUUPWSUUMUUNUVAUURUUSUUTACDXQXRHIURVTXBYNYHUUOYQWDADXKXHXSXFHYMUSUTWEWFVC
      VDWGWHVCVDVEWAXBYFXHXCNZXHXDNZUHZYBUHZYCXBWSXCXIWKZXDXIWKZYFUVESWSWTXAWLZ
      WSWTUVFXAXIAMDEFHYIJWIVHWSXAUVGWTXIAMDEGHYIJWIVIXIMBXHCDXKXCXDUBLYMIYIKWJ
      VTXBUVDXPYBXBUVBXMUVCXOWSWTUVBXMSXAXIAMXHDXKEFHYMYIJTVHWSXAUVCXOSWTXIAMXH
      DXKEGHYMYIJTVIWMWNWOXBWSYNYGYESUVHYQXIAMXHDXKEXFHYMYIJTWPWQWR $.
  $}

  ${
    $d q p r A $.  $d q p r B $.  $d p q r .\/ $.  $d p q r K $.  $d p q r M $.
    $d p .+ $.  $d p q r Q $.  $d p q r X $.
    pmapjat.b $e |- B = ( Base ` K ) $.
    pmapjat.j $e |- .\/ = ( join ` K ) $.
    pmapjat.a $e |- A = ( Atoms ` K ) $.
    pmapjat.m $e |- M = ( pmap ` K ) $.
    pmapjat.p $e |- .+ = ( +P ` K ) $.
    $( The projective map of the join of a lattice element and an atom.
       (Contributed by NM, 28-Jan-2012.) $)
    pmapjat1 $p |- ( ( K e. HL /\ X e. B /\ Q e. A )
          -> ( M ` ( X .\/ Q ) ) = ( ( M ` X ) .+ ( M ` Q ) ) ) $=
      ( vr wcel wceq wa c0 adantr wb vp vq chlt w3a co cfv cp0 wss simp1 atbase
      3ad2ant3 pmapssat syl2anc padd02 fveq2 cal hlatl 3ad2ant1 pmap0 sylan9eqr
      eqid syl oveq1d oveq1 col hlol olj02 fveq2d 3eqtr4rd wne cv cple wbr wrex
      simpll1 simpll2 simplr simpll3 3jca simpllr simpr cvrat42 imp syl22anc ex
      elpmap 3adant3 df-rex elpmapat 3adant2 anbi1d exbidv bitr2id oveq2 breq2d
      ceqsexgv bitr3d anbi12d anass bitrdi rexbidv2 ad2antrr sylibrd imdistanda
      wex clat hllat simp2 latjcl syl3anc pmapeq0 necon3bid biimpar atn0 mpbird
      simp3 elpaddn0 syl12anc 3imtr4d ssrdv pmapjoin eqssd pm2.61dane ) FUCOZHB
      OZDAOZUDZHDEUEZGUFZHGUFZDGUFZCUEZPHFUGUFZYGHYMPZQZRYKCUEZYKYLYIYGYPYKPZYN
      YGYDYKAUHZYQYDYEYFUIZYGYDDBOZYRYSYFYDYTYEABDFIKUJUKZABUCFGDIKLULUMZAUCCFY
      KKMUNUMSYOYJRYKCYNYGYJYMGUFZRHYMGUOYGFUPOZUUCRPYDYEUUDYFFUQURZFGYMYMVAZLU
      SVBUTVCYOYHDGYNYGYHYMDEUEZDHYMDEVDYGFVEOZYTUUGDPYDYEUUHYFFVFURUUABEFDYMIJ
      UUFVGUMUTVHVIYGHYMVJZQZYIYLUUJUAYIYLUUJUAVKZAOZUUKYHFVLUFZVMZQZUULUUKUBVK
      ZNVKZEUEZUUMVMZNYKVNZUBYJVNZQZUUKYIOZUUKYLOZUUJUULUUNUVAUUJUULQZUUNUUPHUU
      MVMZUUKUUPDEUEZUUMVMZQZUBAVNZUVAUVEUUNUVJUVEUUNQZYDYEUULYFUDZUUIUUNUVJUVE
      YDUUNYDYEYFUUIUULVOSUVKYEUULYFUVEYEUUNYDYEYFUUIUULVPSUUJUULUUNVQUVEYFUUNY
      DYEYFUUIUULVRSVSYGUUIUULUUNVTUVEUUNWAYDUVLQUUIUUNQUVJABUUKDEFUUMHYMUBIUUM
      VAZJUUFKWBWCWDWEYGUVAUVJTUUIUULYGUUTUVIUBYJAYGUUPYJOZUUTQUUPAOZUVFQZUVHQU
      VOUVIQYGUVNUVPUUTUVHYDYEUVNUVPTYFABUCUUPFUUMGHIUVMKLWFWGYGUUQDPZUUSQZNXEZ
      UUTUVHUUTUUQYKOZUUSQZNXEYGUVSUUSNYKWHYGUWAUVRNYGUVTUVQUUSYDYFUVTUVQTYEADF
      GUUQKLWIWJWKWLWMYFYDUVSUVHTYEUUSUVHNDAUVQUURUVGUUKUUMUUQDUUPEWNWOWPUKWQWR
      UVOUVFUVHWSWTXAXBXCXDYGUVCUUOTZUUIYGYDYHBOZUWBYSYGFXFOZYEYTUWCYDYEUWDYFFX
      GURZYDYEYFXHZUUABEFHDIJXIXJABUCUUKFUUMGYHIUVMKLWFUMSUUJUWDYJAUHZYRUDZYJRV
      JZYKRVJZUVDUVBTYGUWHUUIYGUWDUWGYRUWEYDYEUWGYFABUCFGHIKLULWGUUBVSSYGUWIUUI
      YGYJRHYMYDYEYJRPYNTYFBFGHYMIUUFLXKWGXLXMYGUWJUUIYGUWJDYMVJZYGUUDYFUWKUUEY
      DYEYFXPADFYMUUFKXNUMYGYKRDYMYGYDYTYKRPDYMPTYSUUABFGDYMIUUFLXKUMXLXOSACUUK
      EFUUMYJYKNUBUVMJKMXQXRXSXTYGYLYIUHZUUIYGUWDYEYTUWLUWEUWFUUABCEFGHDIJLMYAX
      JSYBYC $.

    $( The projective map of the join of an atom with a lattice element.
       (Contributed by NM, 12-May-2012.) $)
    pmapjat2 $p |- ( ( K e. HL /\ X e. B /\ Q e. A )
          -> ( M ` ( Q .\/ X ) ) = ( ( M ` Q ) .+ ( M ` X ) ) ) $=
      ( chlt wcel co cfv wceq syl3anc wss pmapjat1 clat hllat 3ad2ant1 3ad2ant3
      w3a atbase simp2 latjcom fveq2d pmapssat syl2anc 3adant3 paddcom 3eqtr4d
      simp1 ) FNOZHBOZDAOZUFZHDEPZGQHGQZDGQZCPZDHEPZGQVCVBCPZABCDEFGHIJKLMUAUTV
      EVAGUTFUBOZDBOZURVEVARUQURVGUSFUCUDZUSUQVHURABDFIKUGUEZUQURUSUHBEFDHIJUIS
      UJUTVGVCATZVBATZVFVDRVIUTUQVHVKUQURUSUPVJABNFGDIKLUKULUQURVLUSABNFGHIKLUK
      UMACFVCVBKMUNSUO $.

    $( The projective map of the join of a lattice element and a lattice line
       (expressed as the join ` Q .\/ R ` of two atoms).  (Contributed by NM,
       16-Sep-2012.) $)
    pmapjlln1 $p |- ( ( K e. HL /\ ( X e. B /\ Q e. A /\ R e. A ) )
          -> ( M ` ( X .\/ ( Q .\/ R ) ) )
             = ( ( M ` X ) .+ ( M ` ( Q .\/ R ) ) ) ) $=
      ( chlt wcel cfv co wss wceq w3a wa simpl pmapssat 3ad2antr1 simpr2 atbase
      syldan simpr3 paddass syl13anc clat adantr simpr1 latjcl syl3anc pmapjat1
      syl hllat latjass fveq2d 3adant3r3 oveq1d 3eqtr3d oveq2d 3eqtr4d ) GOPZIB
      PZDAPZEAPZUAZUBZIHQZDHQZCRZEHQZCRZVMVNVPCRZCRZIDEFRZFRZHQZVMVTHQZCRVLVGVM
      ASZVNASZVPASZVQVSTVGVKUCZVGVIVHWDVJABOGHIJLMUDUEVGVKDBPZWEVLVIWHVGVHVIVJU
      FABDGJLUGURZABOGHDJLMUDUHVGVKEBPZWFVLVJWJVGVHVIVJUIZABEGJLUGURZABOGHEJLMU
      DUHACGVMVNVPLNUJUKVLIDFRZEFRZHQZWMHQZVPCRZWBVQVLVGWMBPZVJWOWQTWGVLGULPZVH
      WHWRVGWSVKGUSUMZVGVHVIVJUNZWIBFGIDJKUOUPWKABCEFGHWMJKLMNUQUPVLWNWAHVLWSVH
      WHWJWNWATWTXAWIWLBFGIDEJKUTUKVAVLWPVOVPCVGVHVIWPVOTVJABCDFGHIJKLMNUQVBVCV
      DVLWCVRVMCVLVGWHVJWCVRTWGWIWKABCEFGHDJKLMNUQUPVEVF $.
  $}

  ${
    hlmod.b $e |- B = ( Base ` K ) $.
    hlmod.l $e |- .<_ = ( le ` K ) $.
    hlmod.j $e |- .\/ = ( join ` K ) $.
    hlmod.m $e |- ./\ = ( meet ` K ) $.
    hlmod.f $e |- F = ( pmap ` K ) $.
    hlmod.p $e |- .+ = ( +P ` K ) $.
    $( A version of the modular law ~ pmod1i that holds in a Hilbert lattice.
       (Contributed by NM, 13-May-2012.) $)
    hlmod1i $p |- ( ( K e. HL /\ ( X e. B /\ Y e. B /\ Z e. B ) )
        -> ( ( X .<_ Z /\ ( F ` ( X .\/ Y ) ) = ( ( F ` X ) .+ ( F ` Y ) ) )
           -> ( ( X .\/ Y ) ./\ Z ) = ( X .\/ ( Y ./\ Z ) ) ) ) $=
      ( wcel co cfv syl3anc chlt w3a wbr wceq clat hllat 3ad2ant1 simp21 simp22
      latjcl simp23 latmcl wss catm cpsubsp simp1 eqid pmapssat syl2anc pmapsub
      wa cin simp3l pmaple mpbid pmod1i 3impia syl131anc pmapmeet simp3r ineq1d
      wb eqtrd oveq2d 3eqtr4d pmapjoin eqsstrd mpbird mod1ile latasymd 3expia )
      EUAQZHAQZIAQZJAQZUBZHJFUCZHIDRZCSZHCSZICSZBRZUDZVAZWHJGRZHIJGRZDRZUDWBWFW
      NUBZAEFWOWQKLWBWFEUEQZWNEUFUGZWRWSWHAQZWEWOAQZWTWRWSWCWDXAWTWBWCWDWEWNUHZ
      WBWCWDWEWNUIZADEHIKMUJTZWBWCWDWEWNUKZAEGWHJKNULTZWRWSWCWPAQZWQAQZWTXCWRWS
      WDWEXHWTXDXFAEGIJKNULTZADEHWPKMUJTZWRWOWQFUCZWOCSZWQCSZUMZWRXMWJWPCSZBRZX
      NWRWLJCSZVBZWJWKXRVBZBRZXMXQWRWBWJEUNSZUMZWKYBUMZXREUOSZQZWJXRUMZXSYAUDZW
      BWFWNUPZWRWBWCYCYIXCYBAUAECHKYBUQZOURUSWRWBWDYDYIXDYBAUAECIKYJOURUSWRWSWE
      YFWTXFAYEECJKYEUQZOUTUSWRWGYGWBWFWGWMVCZWRWBWCWEWGYGVLYIXCXFAEFCHJKLOVDTV
      EWBYCYDYFUBYGYHYBBYEEWJWKXRYJYKPVFVGVHWRXMWIXRVBZXSWRWBXAWEXMYMUDYIXEXFYB
      ACEGWHJKNYJOVITWRWIWLXRWBWFWGWMVJVKVMWRXPXTWJBWRWBWDWEXPXTUDYIXDXFYBACEGI
      JKNYJOVITVNVOWRWSWCXHXQXNUMWTXCXJABDECHWPKMOPVPTVQWRWBXBXIXLXOVLYIXGXKAEF
      CWOWQKLOVDTVRWRWSWCWDWEWGWQWOFUCZWTXCXDXFYLWSWFWGYNADEFGHIJKLMNVSVGVHVTWA
      $.
  $}

  ${
    atmod.b $e |- B = ( Base ` K ) $.
    atmod.l $e |- .<_ = ( le ` K ) $.
    atmod.j $e |- .\/ = ( join ` K ) $.
    atmod.m $e |- ./\ = ( meet ` K ) $.
    atmod.a $e |- A = ( Atoms ` K ) $.
    $( Version of modular law ~ pmod1i that holds in a Hilbert lattice, when
       one element is an atom.  (Contributed by NM, 11-May-2012.)  (Revised by
       Mario Carneiro, 10-May-2013.) $)
    atmod1i1 $p |- ( ( K e. HL /\ ( P e. A /\ X e. B /\ Y e. B ) /\ P .<_ Y )
        -> ( P .\/ ( X ./\ Y ) ) = ( ( P .\/ X ) ./\ Y ) ) $=
      ( wcel w3a co wceq wa cfv chlt wbr cpmap cpadd simpl simpr2 eqid pmapjat2
      simpr1 syl3anc wi atbase hlmod1i syl3anr1 mpan2d 3impia eqcomd ) EUAOZCAO
      ZHBOZIBOZPZCIFUBZPCHDQZIGQZCHIGQDQZURVBVCVEVFRZURVBSZVCVDEUCTZTCVITHVITEU
      DTZQRZVGVHURUTUSVKURVBUEURUSUTVAUFURUSUTVAUIABVJCDEVIHJLNVIUGZVJUGZUHUJUS
      CBOURUTVAVCVKSVGUKABCEJNULBVJVIDEFGCHIJKLMVLVMUMUNUOUPUQ $.

    $( Version of modular law ~ pmod1i that holds in a Hilbert lattice, when an
       element meets an atom.  (Contributed by NM, 2-Sep-2012.)  (Revised by
       Mario Carneiro, 10-May-2013.) $)
    atmod1i1m $p |- ( ( ( K e. HL /\ P e. A ) /\ ( X e. B /\ Y e. B /\ Z e. B )
    /\ ( X ./\ P ) .<_ Z )
      -> ( ( X ./\ P ) .\/ ( Y ./\ Z ) )
           = ( ( ( X ./\ P ) .\/ Y ) ./\ Z ) ) $=
      ( wcel wa w3a co wceq chlt wbr cp0 simpl1l simpr simpl22 simpl23 atmod1i1
      cfv simpl3 syl131anc col simp1l hlol syl adantr clat hllatd syl3anc olj02
      latmcl syl2anc oveq1 adantl eqtrd oveq1d 3eqtr4d wo simp21 simp1r meetat2
      eqid mpjaodan ) EUAPZCAPZQZHBPZIBPZJBPZRZHCGSZJFUBZRZWAAPZWAIJGSZDSZWAIDS
      ZJGSZTZWAEUCUIZTZWCWDQVNWDVRVSWBWIVNVOVTWBWDUDWCWDUEVQVRVSVPWBWDUFVQVRVSV
      PWBWDUGVPVTWBWDUJABWADEFGIJKLMNOUHUKWCWKQZWJWEDSZWEWFWHWLEULPZWEBPZWMWETW
      CWNWKWCVNWNVNVOVTWBUMZEUNUOZUPZWLEUQPZVRVSWOWCWSWKWCEWPURUPVQVRVSVPWBWKUF
      ZVQVRVSVPWBWKUGBEGIJKNVAUSBDEWEWJKMWJVLZUTVBWKWFWMTWCWAWJWEDVCVDWLWGIJGWL
      WGWJIDSZIWKWGXBTWCWAWJIDVCVDWLWNVRXBITWRWTBDEIWJKMXAUTVBVEVFVGWCWNVQVOWDW
      KVHWQVPVQVRVSWBVIVNVOVTWBVJABCEGHWJKNXAOVKUSVM $.

    $( Version of modular law ~ pmod1i that holds in a Hilbert lattice, when
       one element is an atom.  (Contributed by NM, 14-May-2012.)  (Revised by
       Mario Carneiro, 10-May-2013.) $)
    atmod1i2 $p |- ( ( K e. HL /\ ( P e. A /\ X e. B /\ Y e. B ) /\ X .<_ Y )
        -> ( X .\/ ( P ./\ Y ) ) = ( ( X .\/ P ) ./\ Y ) ) $=
      ( wcel w3a co wceq wa cfv chlt wbr cpmap cpadd simpl simpr2 eqid pmapjat1
      simpr1 syl3anc wi atbase syl simpr3 hlmod1i syl13anc mpan2d 3impia eqcomd
      ) EUAOZCAOZHBOZIBOZPZHIFUBZPHCDQZIGQZHCIGQDQZUTVDVEVGVHRZUTVDSZVEVFEUCTZT
      HVKTCVKTEUDTZQRZVIVJUTVBVAVMUTVDUEZUTVAVBVCUFZUTVAVBVCUIZABVLCDEVKHJLNVKU
      GZVLUGZUHUJVJUTVBCBOZVCVEVMSVIUKVNVOVJVAVSVPABCEJNULUMUTVAVBVCUNBVLVKDEFG
      HCIJKLMVQVRUOUPUQURUS $.

    $( Version of modular law ~ pmod1i that holds in a Hilbert lattice, when
       one element is a lattice line (expressed as the join ` P .\/ Q ` ).
       (Contributed by NM, 16-Sep-2012.)  (Revised by Mario Carneiro,
       10-May-2013.) $)
    llnmod1i2 $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B )
   /\ ( P e. A /\ Q e. A ) /\ X .<_ Y )
      -> ( X .\/ ( ( P .\/ Q ) ./\ Y ) )
       = ( ( X .\/ ( P .\/ Q ) ) ./\ Y ) ) $=
      ( wcel w3a wa co cfv chlt wbr wceq cpmap simpl1 simpl2 simprl simprr eqid
      cpadd pmapjlln1 syl13anc wi clat hllatd atbase syl latjcl syl3anc hlmod1i
      simpl3 mpan2d 3impia eqcomd ) FUAPZIBPZJBPZQZCAPZDAPZRZIJGUBZQICDESZESZJH
      SZIVMJHSESZVHVKVLVOVPUCZVHVKRZVLVNFUDTZTIVSTVMVSTFUJTZSUCZVQVRVEVFVIVJWAV
      EVFVGVKUEZVEVFVGVKUFZVHVIVJUGZVHVIVJUHZABVTCDEFVSIKMOVSUIZVTUIZUKULVRVEVF
      VMBPZVGVLWARVQUMWBWCVRFUNPCBPZDBPZWHVRFWBUOVRVIWIWDABCFKOUPUQVRVJWJWEABDF
      KOUPUQBEFCDKMURUSVEVFVGVKVABVTVSEFGHIVMJKLMNWFWGUTULVBVCVD $.

    $( Version of modular law ~ pmod2iN that holds in a Hilbert lattice, when
       one element is an atom.  (Contributed by NM, 14-May-2012.)  (Revised by
       Mario Carneiro, 10-May-2013.) $)
    atmod2i1 $p |- ( ( K e. HL /\ ( P e. A /\ X e. B /\ Y e. B ) /\ P .<_ X )
         -> ( ( X ./\ Y ) .\/ P ) = ( X ./\ ( Y .\/ P ) ) ) $=
      ( wcel w3a co wceq latmcom syl3anc chlt clat hllat 3ad2ant1 simp22 simp23
      wbr oveq2d simp21 atbase syl latmcl latjcl simp1 simp3 atmod1i1 syl131anc
      latjcom 3eqtr4d 3eqtr3d ) EUAOZCAOZHBOZIBOZPZCHFUGZPZCHIGQZDQZCIHGQZDQZVH
      CDQZHICDQZGQZVGVHVJCDVGEUBOZVCVDVHVJRVAVEVOVFEUCUDZVAVBVCVDVFUEZVAVBVCVDV
      FUFZBEGHIJMSTUHVGVOCBOZVHBOZVIVLRVPVGVBVSVAVBVCVDVFUIZABCEJNUJUKZVGVOVCVD
      VTVPVQVRBEGHIJMULTBDECVHJLURTVGCIDQZHGQZHWCGQZVKVNVGVOWCBOZVCWDWERVPVGVOV
      SVDWFVPWBVRBDECIJLUMTVQBEGWCHJMSTVGVAVBVDVCVFVKWDRVAVEVFUNWAVRVQVAVEVFUOA
      BCDEFGIHJKLMNUPUQVGVMWCHGVGVOVDVSVMWCRVPVRWBBDEICJLURTUHUSUT $.

    $( Version of modular law ~ pmod2iN that holds in a Hilbert lattice, when
       one element is an atom.  (Contributed by NM, 14-May-2012.)  (Revised by
       Mario Carneiro, 10-May-2013.) $)
    atmod2i2 $p |- ( ( K e. HL /\ ( P e. A /\ X e. B /\ Y e. B ) /\ Y .<_ X )
         -> ( ( X ./\ P ) .\/ Y ) = ( X ./\ ( P .\/ Y ) ) ) $=
      ( wcel w3a co wceq latjcom syl3anc chlt clat hllat 3ad2ant1 simp21 atbase
      wbr syl simp23 oveq1d simp22 latjcl latmcom simp1 simp3 syl131anc 3eqtr4d
      atmod1i2 latmcl 3eqtrrd ) EUAOZCAOZHBOZIBOZPZIHFUGZPZHCIDQZGQZICHGQZDQZVJ
      IDQZHCGQZIDQVGVHHGQZICDQZHGQZVIVKVGVHVOHGVGEUBOZCBOZVDVHVORVAVEVQVFEUCUDZ
      VGVBVRVAVBVCVDVFUEZABCEJNUFUHZVAVBVCVDVFUIZBDECIJLSTUJVGVQVCVHBOZVIVNRVSV
      AVBVCVDVFUKZVGVQVRVDWCVSWAWBBDECIJLULTBEGHVHJMUMTVGVAVBVDVCVFVKVPRVAVEVFU
      NVTWBWDVAVEVFUOABCDEFGIHJKLMNURUPUQVGVQVDVJBOZVKVLRVSWBVGVQVRVCWEVSWAWDBE
      GCHJMUSTBDEIVJJLSTVGVJVMIDVGVQVRVCVJVMRVSWAWDBEGCHJMUMTUJUT $.

    $( Version of modular law ~ pmod1i that holds in a Hilbert lattice, when
       one element is a lattice line (expressed as the join ` P .\/ Q ` ).
       (Contributed by NM, 16-Sep-2012.)  (Revised by Mario Carneiro,
       10-May-2013.) $)
    llnmod2i2 $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B )
   /\ ( P e. A /\ Q e. A ) /\ Y .<_ X )
      -> ( ( X ./\ ( P .\/ Q ) ) .\/ Y )
        = ( X ./\ ( ( P .\/ Q ) .\/ Y ) ) ) $=
      ( wcel w3a co wceq syl3anc chlt wa wbr simp11 hllatd simp13 simp2l simp2r
      clat hlatjcl simp12 latmcl latjcom latjcl latmcom simp3 llnmod1i2 3eqtr4d
      oveq2d syl321anc oveq1d 3eqtr4rd ) FUAPZIBPZJBPZQZCAPZDAPZUBZJIGUCZQZJCDE
      RZIHRZERZVMJERZIVLJERZHRZIVLHRZJERVKFUIPZVEVMBPZVNVOSVKFVCVDVEVIVJUDZUEZV
      CVDVEVIVJUFZVKVSVLBPZVDVTWBVKVCVGVHWDWAVFVGVHVJUGZVFVGVHVJUHZABEFCDKMOUJT
      ZVCVDVEVIVJUKZBFHVLIKNULTBEFJVMKMUMTVKIJVLERZHRZWIIHRZVQVNVKVSVDWIBPZWJWK
      SWBWHVKVSVEWDWLWBWCWGBEFJVLKMUNTBFHIWIKNUOTVKVPWIIHVKVSWDVEVPWISWBWGWCBEF
      VLJKMUMTUSVKVCVEVDVGVHVJVNWKSWAWCWHWEWFVFVIVJUPABCDEFGHJIKLMNOUQUTURVKVRV
      MJEVKVSVDWDVRVMSWBWHWGBFHIVLKNUOTVAVB $.

    $( Version of modular law that holds in a Hilbert lattice, when one element
       is an atom.  (Contributed by NM, 4-Jun-2012.)  (Revised by Mario
       Carneiro, 10-May-2013.) $)
    atmod3i1 $p |- ( ( K e. HL /\ ( P e. A /\ X e. B /\ Y e. B ) /\ P .<_ X )
         -> ( P .\/ ( X ./\ Y ) ) = ( X ./\ ( P .\/ Y ) ) ) $=
      ( wcel w3a co wceq latmcom syl3anc chlt wbr simp21 simp23 simp22 atmod1i1
      simp1 simp3 syl131anc clat hllat 3ad2ant1 oveq2d atbase latjcl 3eqtr4d
      syl ) EUAOZCAOZHBOZIBOZPZCHFUBZPZCIHGQZDQZCIDQZHGQZCHIGQZDQHVGGQZVDURUSVA
      UTVCVFVHRURVBVCUGURUSUTVAVCUCZURUSUTVAVCUDZURUSUTVAVCUEZURVBVCUHABCDEFGIH
      JKLMNUFUIVDVIVECDVDEUJOZUTVAVIVERURVBVNVCEUKULZVMVLBEGHIJMSTUMVDVNUTVGBOZ
      VJVHRVOVMVDVNCBOZVAVPVOVDUSVQVKABCEJNUNUQVLBDECIJLUOTBEGHVGJMSTUP $.

    $( Version of modular law that holds in a Hilbert lattice, when one element
       is an atom.  (Contributed by NM, 10-Jun-2012.)  (Revised by Mario
       Carneiro, 10-May-2013.) $)
    atmod3i2 $p |- ( ( K e. HL /\ ( P e. A /\ X e. B /\ Y e. B ) /\ X .<_ Y )
         -> ( X .\/ ( Y ./\ P ) ) = ( Y ./\ ( X .\/ P ) ) ) $=
      ( wcel w3a co wceq syl3anc latmcom chlt clat hllat 3ad2ant1 simp23 simp22
      wbr simp21 atbase syl latjcl atmod1i2 oveq2d 3eqtr2rd ) EUAOZCAOZHBOZIBOZ
      PZHIFUGZPZIHCDQZGQZVBIGQZHCIGQZDQHICGQZDQVAEUBOZURVBBOZVCVDRUOUSVGUTEUCUD
      ZUOUPUQURUTUEZVAVGUQCBOZVHVIUOUPUQURUTUFVAUPVKUOUPUQURUTUHABCEJNUIUJZBDEH
      CJLUKSBEGIVBJMTSABCDEFGHIJKLMNULVAVEVFHDVAVGVKURVEVFRVIVLVJBEGCIJMTSUMUN
      $.

    $( Version of modular law that holds in a Hilbert lattice, when one element
       is an atom.  (Contributed by NM, 10-Jun-2012.)  (Revised by Mario
       Carneiro, 10-May-2013.) $)
    atmod4i1 $p |- ( ( K e. HL /\ ( P e. A /\ X e. B /\ Y e. B ) /\ P .<_ Y )
         -> ( ( X ./\ Y ) .\/ P ) = ( ( X .\/ P ) ./\ Y ) ) $=
      ( wcel w3a co wceq syl3anc latjcom chlt clat hllat 3ad2ant1 simp22 simp23
      wbr latmcl simp21 atbase syl atmod1i1 oveq1d 3eqtrd ) EUAOZCAOZHBOZIBOZPZ
      CIFUGZPZHIGQZCDQZCVBDQZCHDQZIGQHCDQZIGQVAEUBOZVBBOZCBOZVCVDRUOUSVGUTEUCUD
      ZVAVGUQURVHVJUOUPUQURUTUEZUOUPUQURUTUFBEGHIJMUHSVAUPVIUOUPUQURUTUIABCEJNU
      JUKZBDEVBCJLTSABCDEFGHIJKLMNULVAVEVFIGVAVGVIUQVEVFRVJVLVKBDECHJLTSUMUN $.

    $( Version of modular law that holds in a Hilbert lattice, when one element
       is an atom.  (Contributed by NM, 4-Jun-2012.)  (Revised by Mario
       Carneiro, 10-Mar-2013.) $)
    atmod4i2 $p |- ( ( K e. HL /\ ( P e. A /\ X e. B /\ Y e. B ) /\ X .<_ Y )
         -> ( ( P ./\ Y ) .\/ X ) = ( ( P .\/ X ) ./\ Y ) ) $=
      ( wcel w3a co wceq syl3anc latjcom chlt clat hllat 3ad2ant1 simp21 atbase
      wbr syl simp23 latmcl simp22 atmod1i2 oveq1d 3eqtrd ) EUAOZCAOZHBOZIBOZPZ
      HIFUGZPZCIGQZHDQZHVBDQZHCDQZIGQCHDQZIGQVAEUBOZVBBOZUQVCVDRUOUSVGUTEUCUDZV
      AVGCBOZURVHVIVAUPVJUOUPUQURUTUEABCEJNUFUHZUOUPUQURUTUIBEGCIJMUJSUOUPUQURU
      TUKZBDEVBHJLTSABCDEFGHIJKLMNULVAVEVFIGVAVGUQVJVEVFRVIVLVKBDEHCJLTSUMUN $.
  $}

  ${
    llnexch.l $e |- .<_ = ( le ` K ) $.
    llnexch.j $e |- .\/ = ( join ` K ) $.
    llnexch.m $e |- ./\ = ( meet ` K ) $.
    llnexch.a $e |- A = ( Atoms ` K ) $.
    llnexch.n $e |- N = ( LLines ` K ) $.
    $( Lemma for ~ llnexchb2 .  (Contributed by NM, 17-Nov-2012.) $)
    llnexchb2lem $p |- ( ( ( K e. HL /\ X e. N /\ Y e. N ) /\
       ( P e. A /\ Q e. A /\ -. P .<_ X ) /\ ( X ./\ Y ) e. A )
           -> ( ( X ./\ Y ) .<_ ( P .\/ Q )
             <-> ( X ./\ Y ) = ( X ./\ ( P .\/ Q ) ) ) ) $=
      ( wcel co wceq syl syl3anc chlt w3a wbr wn wa cp0 cfv cbs simpl11 simpl21
      simpl12 eqid llnbase clat hllatd simpl13 latmcl atmod2i2 syl131anc atbase
      latmle1 latmcom simpl23 cal wb hlatl atnle mpbid eqtrd oveq1d simpr hlcvl
      clc wne simpl3 simpl22 breq1 syl5ibrcom necon3bd mpd cvlatexchb1 3eqtr3rd
      necomd oveq2d col hlol syl2anc eqtr2d simp11 simp12 simp21 simp22 hlatjcl
      olj02 ex latmle2 impbid ) EUAPZIHPZJHPZUBZBAPZCAPZBIFUCZUDZUBZIJGQZAPZUBZ
      XGBCDQZFUCZXGIXJGQZRZXIXKXMXIXKUEZXLEUFUGZXGDQZXGXNIBGQZXGDQZIBXGDQZGQZXP
      XLXNWRXBIEUHUGZPZXGYAPZXGIFUCZXRXTRWRWSWTXFXHXKUIZXBXCXEXAXHXKUJZXNWSYBWR
      WSWTXFXHXKUKYAEHIYAULZOUMZSZXNEUNPZYBJYAPZYCXNEYEUOZYIXNWTYKWRWSWTXFXHXKU
      PYAEHJYGOUMSZYAEGIJYGMUQTZXNYJYBYKYDYLYIYMYAEFGIJYGKMVATZAYABDEFGIXGYGKLM
      NURUSXNXQXOXGDXNXQBIGQZXOXNYJYBBYAPZXQYPRYLYIXNXBYQYFAYABEYGNUTSYAEGIBYGM
      VBTXNXEYPXORZXBXCXEXAXHXKVCZXNEVDPZXBYBXEYRVEXNWRYTYEEVFSYFYIAYABEFGIXOYG
      KMXOULZNVGTVHVIVJXNXSXJIGXNXKXSXJRZXIXKVKXNEVMPZXHXCXBXGBVNXKUUBVEXNWRUUC
      YEEVLSXAXFXHXKVOXBXCXEXAXHXKVPYFXNBXGXNXEBXGVNYSXNXDBXGXNXDBXGRYDYOBXGIFV
      QVRVSVTWCAXGCBDEFKLNWAUSVHWDWBXNEWEPZYCXPXGRXNWRUUDYEEWFSYNYADEXGXOYGLUUA
      WNWGWHWOXIXKXMXLXJFUCZXIYJYBXJYAPZUUEXIEWRWSWTXFXHWIZUOXIWSYBWRWSWTXFXHWJ
      YHSXIWRXBXCUUFUUGXAXBXCXEXHWKXAXBXCXEXHWLAYADEBCYGLNWMTYAEFGIXJYGKMWPTXGX
      LXJFVQVRWQ $.

    $d p q A $.  $d p q K $.  $d p q .<_ $.  $d p q ./\ $.  $d p q N $.
    $d p q X $.  $d p q Y $.  $d p q Z $.
    $( Line exchange property (compare ~ cvlatexchb2 for atoms).  (Contributed
       by NM, 17-Nov-2012.) $)
    llnexchb2 $p |- ( ( K e. HL /\ ( X e. N /\ Y e. N /\ Z e. N )
       /\ ( ( X ./\ Y ) e. A /\ X =/= Z ) )
           -> ( ( X ./\ Y ) .<_ Z <-> ( X ./\ Y ) = ( X ./\ Z ) ) ) $=
      ( wcel co wa wceq wbr wb vp vq chlt w3a wne cv wrex simp23 cbs simp1 eqid
      cfv llnbase syl islln3 syl2anc mpbid simp3r necomd wi wn wo simp11 hllatd
      clat simp2l atbase simp2r simp121 latjle12 syl13anc simp3 syl31anc llncmp
      llni2 syl3anc bitr2d necon3abid ianor bitrdi simpl11 adantr simp122 simpr
      simpl2l simpl2r simp13l llnexchb2lem syl331anc ex hlatjcom breq2d 3bitr4d
      oveq2d eqeq2d jaod sylbid neeq1 breq2 oveq2 bibi12d syl5ibrcom 3exp imp4a
      imbi12d rexlimdvv mp2d ) CUCOZGFOZHFOZIFOZUDZGHEPZAOZGIUEZQZUDZUAUFZUBUFZ
      UEZIXRXSBPZRZQZUBAUGUAAUGZIGUEZXMIDSZXMGIEPZRZTZXQXKYDXHXIXJXKXPUHZXQXHIC
      UIULZOZXKYDTXHXLXPUJXQXKYLYJYKCFIYKUKZNUMUNAYKBCFIUBUAYMKMNUOUPUQXQGIXHXL
      XNXOURUSXQYCYEYIUTZUAUBAAXQXRAOZXSAOZQZXTYBYNXQYQXTYBYNUTXQYQXTUDZYNYBYAG
      UEZXMYADSZXMGYAEPZRZTZUTYRYSXRGDSZVAZXSGDSZVAZVBZUUCYRYSUUDUUFQZVAUUHYRUU
      IYAGYRUUIYAGDSZYAGRZYRCVEOXRYKOZXSYKOZGYKOZUUIUUJTYRCXHXLXPYQXTVCZVDYRYOU
      ULXQYOYPXTVFZAYKXRCYMMVGUNYRYPUUMXQYOYPXTVHZAYKXSCYMMVGUNYRXIUUNXIXJXKXHX
      PYQXTVIZYKCFGYMNUMUNYKBCDXRXSGYMJKVJVKYRXHYAFOZXIUUJUUKTUUOYRXHYOYPXTUUSU
      UOUUPUUQXQYQXTVLAXRXSBCFKMNVOVMUURCDFYAGJNVNVPVQVRUUDUUFVSVTYRUUEUUCUUGYR
      UUEUUCYRUUEQXHXIXJYOYPUUEXNUUCXHXLXPYQXTUUEWAYRXIUUEUURWBYRXJUUEXIXJXKXHX
      PYQXTWCZWBYOYPXQXTUUEWEYOYPXQXTUUEWFYRUUEWDYRXNUUEXNXOXHXLYQXTWGZWBAXRXSB
      CDEFGHJKLMNWHWIWJYRUUGUUCYRUUGQZXMXSXRBPZDSZXMGUVCEPZRZYTUUBUVBXHXIXJYPYO
      UUGXNUVDUVFTXHXLXPYQXTUUGWAZYRXIUUGUURWBYRXJUUGUUTWBYOYPXQXTUUGWFZYOYPXQX
      TUUGWEZYRUUGWDYRXNUUGUVAWBAXSXRBCDEFGHJKLMNWHWIUVBYAUVCXMDUVBXHYOYPYAUVCR
      UVGUVIUVHABCXRXSKMWKVPZWLUVBUUAUVEXMUVBYAUVCGEUVJWNWOWMWJWPWQYBYEYSYIUUCI
      YAGWRYBYFYTYHUUBIYAXMDWSYBYGUUAXMIYAGEWTWOXAXEXBXCXDXFXG $.

    $( Line exchange property (compare ~ cvlatexch2 for atoms).  (Contributed
       by NM, 18-Nov-2012.)  (New usage is discouraged.) $)
    llnexch2N $p |- ( ( K e. HL /\ ( X e. N /\ Y e. N /\ Z e. N )
       /\ ( ( X ./\ Y ) e. A /\ X =/= Z ) )
           -> ( ( X ./\ Y ) .<_ Z -> ( X ./\ Z ) .<_ Y ) ) $=
      ( wcel w3a co wbr llnbase syl chlt wne wa wceq llnexchb2 cbs cfv 3ad2ant1
      clat hllat simp21 eqid simp22 latmle2 syl3anc breq1 syl5ibcom sylbid ) CU
      AOZGFOZHFOZIFOZPZGHEQZAOGIUBUCZPZVDIDRVDGIEQZUDZVGHDRZABCDEFGHIJKLMNUEVFV
      DHDRZVHVIVFCUIOZGCUFUGZOZHVLOZVJUSVCVKVECUJUHVFUTVMUSUTVAVBVEUKVLCFGVLULZ
      NSTVFVAVNUSUTVAVBVEUMVLCFHVONSTVLCDEGHVOJLUNUOVDVGHDUPUQUR $.
  $}

  ${
    dalawlem.l $e |- .<_ = ( le ` K ) $.
    dalawlem.j $e |- .\/ = ( join ` K ) $.
    dalawlem.m $e |- ./\ = ( meet ` K ) $.
    dalawlem.a $e |- A = ( Atoms ` K ) $.
    ${
      dalawlem.o $e |- O = ( LPlanes ` K ) $.
      $( Lemma for ~ dalaw .  Special case of ~ dath2 , where ` C ` is replaced
         by ` ( ( P .\/ S ) ./\ ( Q .\/ T ) ) ` .  The remaining lemmas will
         eliminate the conditions on the atoms imposed by ~ dath2 .
         (Contributed by NM, 6-Oct-2012.) $)
      dalawlem1 $p |- ( ( ( K e. HL
           /\ ( P e. A /\ Q e. A /\ R e. A )
         /\ ( S e. A /\ T e. A /\ U e. A ) )
      /\ ( ( ( P .\/ Q ) .\/ R ) e. O /\ ( ( S .\/ T ) .\/ U ) e. O )
      /\ ( ( -. ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( P .\/ Q )
             /\ -. ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( Q .\/ R )
             /\ -. ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ P ) )
         /\ ( -. ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( S .\/ T )
             /\ -. ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( T .\/ U )
             /\ -. ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( U .\/ S ) )
         /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ U ) ) )
           -> ( ( P .\/ Q ) ./\ ( S .\/ T ) )
               .<_ ( ( ( Q .\/ R ) ./\ ( T .\/ U ) )
                     .\/ ( ( R .\/ P ) ./\ ( U .\/ S ) ) ) ) $=
        ( wcel co wbr chlt w3a wa wn cbs cfv simp11 clat hllatd simp121 simp131
        eqid hlatjcl syl3anc simp122 simp132 latmcl simp12 simp13 simp2l simp2r
        jca simp31 simp32 latmle1 latmle2 simp33 3jca dath2 syl323anc ) IUARZBA
        RZCARZDARZUBZEARZFARZGARZUBZUBZBCHSZDHSLRZEFHSZGHSLRZUCZBEHSZCFHSZKSZWA
        JTUDWHCDHSZJTUDWHDBHSZJTUDUBZWHWCJTUDWHFGHSZJTUDWHGEHSZJTUDUBZWHDGHSJTZ
        UBZUBZVKWHIUEUFZRZUCVOVSWBWDWKWNWHWFJTZWHWGJTZWOUBWAWCKSZWIWLKSZWJWMKSZ
        HSJTWQVKWSVKVOVSWEWPUGZWQIUHRZWFWRRZWGWRRZWSWQIXEUIZWQVKVLVPXGXEVLVMVNV
        KVSWEWPUJVPVQVRVKVOWEWPUKAWRHIBEWRULZNPUMUNZWQVKVMVQXHXEVLVMVNVKVSWEWPU
        OVPVQVRVKVOWEWPUPAWRHICFXJNPUMUNZWRIKWFWGXJOUQUNVBVKVOVSWEWPURVKVOVSWEW
        PUSVTWBWDWPUTVTWBWDWPVAVTWEWKWNWOVCVTWEWKWNWOVDWQWTXAWOWQXFXGXHWTXIXKXL
        WRIJKWFWGXJMOVEUNWQXFXGXHXAXIXKXLWRIJKWFWGXJMOVFUNVTWEWKWNWOVGVHAWRWHXB
        BCDEFGXCXDHIJKLXJMNPOQXBULXCULXDULVIVJ $.
    $}

    $( Lemma for ~ dalaw .  Utility lemma that breaks
       ` ( ( P .\/ Q ) ./\ ( S .\/ T ) ) ` into a join of two pieces.
       (Contributed by NM, 6-Oct-2012.) $)
    dalawlem2 $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A )
         /\ ( S e. A /\ T e. A ) )
     -> ( ( P .\/ Q ) ./\ ( S .\/ T ) )
             .<_ ( ( ( ( P .\/ Q ) .\/ T ) ./\ S )
                 .\/ ( ( ( P .\/ Q ) .\/ S ) ./\ T ) ) ) $=
      ( wcel wa co wbr syl3anc syl syl13anc chlt w3a clat cbs cfv hllatd simp2l
      simp1 simp2r eqid hlatjcl simp3r atbase latlej1 simp3l wb latjcl latlem12
      mpbi2and wi latmcl latmlem1 mpd wceq latlej2 atmod3i1 syl131anc latmlej22
      oveq2d atmod2i2 col hlol latmassOLD 3eqtr4rd breqtrd ) GUANZBANZCANZOZDAN
      ZEANZOZUBZBCFPZDEFPZIPZWDEFPZWDDFPZIPZWEIPZWGDIPWHEIPZFPZHWCWDWIHQZWFWJHQ
      ZWCWDWGHQZWDWHHQZWMWCGUCNZWDGUDUEZNZEWRNZWOWCGVPVSWBUHZUFZWCVPVQVRWSXAVPV
      QVRWBUGVPVQVRWBUIAWRFGBCWRUJZKMUKRZWCWAWTVPVSVTWAULZAWREGXCMUMSZWRFGHWDEX
      CJKUNRWCWQWSDWRNZWPXBXDWCVTXGVPVSVTWAUOZAWRDGXCMUMSZWRFGHWDDXCJKUNRWCWQWS
      WGWRNZWHWRNZWOWPOWMUPXBXDWCWQWSWTXJXBXDXFWRFGWDEXCKUQRZWCWQWSXGXKXBXDXIWR
      FGWDDXCKUQRZWRGHIWDWGWHXCJLURTUSWCWQWSWIWRNZWEWRNZWMWNUTXBXDWCWQXJXKXNXBX
      LXMWRGIWGWHXCLVARWCVPVTWAXOXAXHXEAWRFGDEXCKMUKRZWRGHIWDWIWEXCJLVBTVCWCWGD
      WKFPZIPZWGWHWEIPZIPZWLWJWCXQXSWGIWCVPVTXKWTDWHHQZXQXSVDXAXHXMXFWCWQWSXGYA
      XBXDXIWRFGHWDDXCJKVERAWRDFGHIWHEXCJKLMVFVGVIWCVPVTXJWKWRNZWKWGHQZWLXRVDXA
      XHXLWCWQXKWTYBXBXMXFWRGIWHEXCLVARWCWQWTXKWSYCXBXFXMXDWRFGHIEWHWDXCJKLVHTA
      WRDFGHIWGWKXCJKLMVJVGWCGVKNZXJXKXOWJXTVDWCVPYDXAGVLSXLXMXPWRGIWGWHWEXCLVM
      TVNVO $.

    $( Lemma for ~ dalaw .  First piece of ~ dalawlem5 .  (Contributed by NM,
       4-Oct-2012.) $)
    dalawlem3 $p |- ( ( ( K e. HL /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) )
               .<_ ( P .\/ Q )
            /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ U ) )
       /\ ( P e. A /\ Q e. A /\ R e. A )
       /\ ( S e. A /\ T e. A /\ U e. A ) )
         -> ( ( ( Q .\/ T ) .\/ P ) ./\ S )
               .<_ ( ( ( Q .\/ R ) ./\ ( T .\/ U ) )
                   .\/ ( ( R .\/ P ) ./\ ( U .\/ S ) ) ) ) $=
      ( wcel co wbr syl3anc syl13anc chlt w3a cbs cfv eqid simp11 hllatd simp22
      simp32 hlatjcl simp21 atbase latjcl simp31 latmcl simp23 simp33 latmlej22
      clat syl wceq latjass breqtrd hlatlej2 wi latmlem2 mpd hlatlej1 syl131anc
      atmod4i1 breqtrrd latmcom simp12 eqbrtrd wa wb latjle12 mpbi2and latlem12
      lattrd atmod3i1 oveq2d latj12 latmlej12 atmod1i1m syl231anc simp13 mp2and
      3eqtr3rd latmlem12 syl122anc latmle2 atmod2i2 atmod3i2 latjlej2 latmlej21
      3brtr4d latj13 latjlej1 ) IUAPZBEHQZCFHQZKQZBCHQZJRZXCDGHQZJRZUBZBAPZCAPZ
      DAPZUBZEAPZFAPZGAPZUBZUBZIUCUDZIJXBBHQZEKQZCDHQZGKQZDBHQZGEHQZKQZHQZYAFGH
      QZKQZYEHQZXRUEZLXQIWTXEXGXLXPUFZUGZXQIUSPZXSXRPZEXRPZXTXRPZYLXQYMXBXRPZBX
      RPZYNYLXQWTXJXNYQYKXHXIXJXKXPUHZXHXLXMXNXOUIZAXRHICFYJMOUJSZXQXIYRXHXIXJX
      KXPUKZAXRBIYJOULUTZXRHIXBBYJMUMSZXQXMYOXHXLXMXNXOUNZAXREIYJOULUTZXRIKXSEY
      JNUOSZXQYMYBXRPZYEXRPZYFXRPYLXQYMYAXRPZGXRPZUUHYLXQWTXJXKUUJYKYSXHXIXJXKX
      PUPZAXRHICDYJMOUJSZXQXOUUKXHXLXMXNXOUQZAXRGIYJOULUTZXRIKYAGYJNUOSZXQYMYCX
      RPZYDXRPZUUIYLXQWTXKXIUUQYKUULUUBAXRHIDBYJMOUJSZXQWTXOXMUURYKUUNUUEAXRHIG
      EYJMOUJSZXRIKYCYDYJNUOSZXRHIYBYEYJMUMSXQYMYHXRPZUUIYIXRPYLXQYMUUJYGXRPZUV
      BYLUUMXQWTXNXOUVCYKYTUUNAXRHIFGYJMOUJSZXRIKYAYGYJNUOSZUVAXRHIYHYEYJMUMSXQ
      XTYBYCHQZYDKQZYFJXQXTUVFJRZXTYDJRZXTUVGJRZXQXTBDYBHQZHQZUVFJXQXRIJXTBCGKQ
      ZXACKQZHQZHQZUVLYJLYLUUGXQYMYRUVOXRPZUVPXRPYLUUCXQYMUVMXRPZUVNXRPZUVQYLXQ
      YMCXRPZUUKUVRYLXQXJUVTYSAXRCIYJOULUTZUUOXRIKCGYJNUOSZXQYMXAXRPZUVTUVSYLXQ
      WTXIXMUWCYKUUBUUEAXRHIBEYJMOUJSZUWAXRIKXACYJNUOSZXRHIUVMUVNYJMUMSZXRHIBUV
      OYJMUMSXQYMYRUVKXRPZUVLXRPYLUUCXQYMDXRPZUUHUWGYLXQXKUWHUULAXRDIYJOULUTZUU
      PXRHIDYBYJMUMSZXRHIBUVKYJMUMSXQXTUVMXAHQZXDKQZUVPJXQXTUWKJRZXTXDJRZXTUWLJ
      RZXQXTUVMBHQZEHQZUWKJXQYMYOYNUWPXRPZXTUWQJRYLUUFUUDXQYMUVRYRUWRYLUWBUUCXR
      HIUVMBYJMUMSXRHIJKEXSUWPYJLMNURTXQYMUVRYRYOUWQUWKVAYLUWBUUCUUFXRHIUVMBEYJ
      MVBTVCXQXRIJXTXBXAKQZBHQZXDYJLYLUUGXQYMUWSXRPZYRUWTXRPYLXQYMYQUWCUXAYLUUA
      UWDXRIKXBXAYJNUOSZUUCXRHIUWSBYJMUMSXQWTXIXJXDXRPZYKUUBYSAXRHIBCYJMOUJSZXQ
      XTXSXAKQZUWTJXQEXAJRZXTUXEJRZXQWTXIXMUXFYKUUBUUEABEHIJLMOVDSXQYMYOUWCYNUX
      FUXGVEYLUUFUWDUUDXRIJKEXAXSYJLNVFTVGXQWTXIYQUWCBXAJRZUWTUXEVAYKUUBUUAUWDX
      QWTXIXMUXHYKUUBUUEABEHIJLMOVHSZAXRBHIJKXBXAYJLMNOVJVIVKXQUWSXDJRZBXDJRZUW
      TXDJRZXQUWSXCXDJXQYMYQUWCUWSXCVAYLUUAUWDXRIKXBXAYJNVLSWTXEXGXLXPVMVNXQWTX
      IXJUXKYKUUBYSABCHIJLMOVHSXQYMUXAYRUXCUXJUXKVOUXLVPYLUXBUUCUXDXRHIJUWSBXDY
      JLMVQTVRVTXQYMYPUWKXRPZUXCUWMUWNVOUWOVPYLUUGXQYMUVRUWCUXMYLUWBUWDXRHIUVMX
      AYJMUMSUXDXRIJKXTUWKXDYJLNVSTVRXQUVMBUVNHQZHQZUVMXAXDKQZHQZUVPUWLXQUXNUXP
      UVMHXQWTXIUWCUVTUXHUXNUXPVAYKUUBUWDUWAUXIAXRBHIJKXACYJLMNOWAVIWBXQYMUVRYR
      UVSUXOUVPVAYLUWBUUCUWEXRHIUVMBUVNYJMWCTXQWTXOUVTUWCUXCUVMXDJRZUXQUWLVAYKU
      UNUWAUWDUXDXQYMUVTUUKYRUXRYLUWAUUOUUCXRHIJKCGBYJLMNWDTAXRGHIJKCXAXDYJLMNO
      WEWFWIVCXQUVOUVKJRZUVPUVLJRZXQCGUVNHQZKQZYAXFKQZUVOUVKJXQCYAJRZUYAXFJRZUY
      BUYCJRZXQWTXJXKUYDYKYSUULACDHIJLMOVHSXQGXFJRZUVNXFJRZUYEXQWTXKXOUYGYKUULU
      UNADGHIJLMOVDSXQXRIJUVNXCXFYJLYLUWEXQYMUWCYQXCXRPYLUWDUUAXRIKXAXBYJNUOSXQ
      WTXKXOXFXRPZYKUULUUNAXRHIDGYJMOUJSZXQCXBJRZUVNXCJRZXQWTXJXNUYKYKYSYTACFHI
      JLMOVHSXQYMUVTYQUWCUYKUYLVEYLUWAUUAUWDXRIJKCXBXAYJLNVFTVGWTXEXGXLXPWGVTXQ
      YMUUKUVSUYIUYGUYHVOUYEVPYLUUOUWEUYJXRHIJGUVNXFYJLMVQTVRXQYMUVTUUJUYAXRPZU
      YIUYDUYEVOUYFVEYLUWAUUMXQYMUUKUVSUYMYLUUOUWEXRHIGUVNYJMUMSUYJXRIJKXFCYAUY
      AYJLNWJWKWHXQWTXOUVTUVSUVNCJRZUVOUYBVAYKUUNUWAUWEXQYMUWCUVTUYNYLUWDUWAXRI
      JKXACYJLNWLSAXRGHIJKCUVNYJLMNOWMVIXQWTXOUWHUUJDYAJRZUVKUYCVAYKUUNUWIUUMXQ
      WTXJXKUYOYKYSUULACDHIJLMOVDSAXRGHIJKDYAYJLMNOWNVIWQXQYMUVQUWGYRUXSUXTVEYL
      UWFUWJUUCXRHIJUVOUVKBYJLMWOTVGVTXQYMYRUWHUUHUVLUVFVAYLUUCUWIUUPXRHIBDYBYJ
      MWRTVCXQYMYOYNUUKUVIYLUUFUUDUUOXRHIJKEXSGYJLMNURTXQYMYPUVFXRPZUURUVHUVIVO
      UVJVPYLUUGXQYMUUHUUQUYPYLUUPUUSXRHIYBYCYJMUMSUUTXRIJKXTUVFYDYJLNVSTVRXQWT
      XOUUJUUQUURYBYDJRZYFUVGVAYKUUNUUMUUSUUTXQYMUUKUUJYOUYQYLUUOUUMUUFXRHIJKGY
      AEYJLMNWPTAXRGHIJKYAYCYDYJLMNOWEWFVKXQYBYHJRZYFYIJRZXQGYGJRZUYRXQWTXNXOUY
      TYKYTUUNAFGHIJLMOVDSXQYMUUKUVCUUJUYTUYRVEYLUUOUVDUUMXRIJKGYGYAYJLNVFTVGXQ
      YMUUHUVBUUIUYRUYSVEYLUUPUVEUVAXRHIJYBYHYEYJLMWSTVGVT $.

    $( Lemma for ~ dalaw .  Second piece of ~ dalawlem5 .  (Contributed by NM,
       4-Oct-2012.) $)
    dalawlem4 $p |- ( ( ( K e. HL /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) )
                .<_ ( P .\/ Q )
            /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ U ) )
       /\ ( P e. A /\ Q e. A /\ R e. A )
       /\ ( S e. A /\ T e. A /\ U e. A ) )
         -> ( ( ( P .\/ S ) .\/ Q ) ./\ T )
               .<_ ( ( ( Q .\/ R ) ./\ ( T .\/ U ) )
                    .\/ ( ( R .\/ P ) ./\ ( U .\/ S ) ) ) ) $=
      ( wcel co wceq hlatjcl syl3anc chlt wbr w3a simp11 simp12 clat cbs hllatd
      cfv simp22 simp32 eqid simp21 simp31 latmcom 3brtr4d simp13 simp23 simp33
      hlatjcom eqbrtrd dalawlem3 syl333anc oveq12d latmcl latjcom eqtrd breqtrd
      ) IUAPZBEHQZCFHQZKQZBCHQZJUBZVLDGHQZJUBZUCZBAPZCAPZDAPZUCZEAPZFAPZGAPZUCZ
      UCZVJCHQFKQZBDHQZEGHQZKQZDCHQZGFHQZKQZHQZCDHQZFGHQZKQZDBHQZGEHQZKQZHQZJWF
      VIVKVJKQZCBHQZJUBXBVOJUBVSVRVTWCWBWDWGWNJUBVIVNVPWAWEUDZWFVLVMXBXCJVIVNVP
      WAWEUEWFIUFPZVKIUGUIZPZVJXFPZXBVLRWFIXDUHZWFVIVSWCXGXDVQVRVSVTWEUJZVQWAWB
      WCWDUKZAXFHICFXFULZMOSTWFVIVRWBXHXDVQVRVSVTWEUMZVQWAWBWCWDUNZAXFHIBEXLMOS
      TXFIKVKVJXLNUOTZWFVIVSVRXCVMRXDXJXMAHICBMOUTTUPWFXBVLVOJXOVIVNVPWAWEUQVAX
      JXMVQVRVSVTWEURZXKXNVQWAWBWCWDUSZACBDFEGHIJKLMNOVBVCWFWNWTWQHQZXAWFWJWTWM
      WQHWFWHWRWIWSKWFVIVRVTWHWRRXDXMXPAHIBDMOUTTWFVIWBWDWIWSRXDXNXQAHIEGMOUTTV
      DWFWKWOWLWPKWFVIVTVSWKWORXDXPXJAHIDCMOUTTWFVIWDWCWLWPRXDXQXKAHIGFMOUTTVDV
      DWFXEWTXFPZWQXFPZXRXARXIWFXEWRXFPZWSXFPZXSXIWFVIVTVRYAXDXPXMAXFHIDBXLMOST
      WFVIWDWBYBXDXQXNAXFHIGEXLMOSTXFIKWRWSXLNVETWFXEWOXFPZWPXFPZXTXIWFVIVSVTYC
      XDXJXPAXFHICDXLMOSTWFVIWCWDYDXDXKXQAXFHIFGXLMOSTXFIKWOWPXLNVETXFHIWTWQXLM
      VFTVGVH $.

    $( Lemma for ~ dalaw .  Special case to eliminate the requirement
       ` -. ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( P .\/ Q ) ` in ~ dalawlem1 .
       (Contributed by NM, 4-Oct-2012.) $)
    dalawlem5 $p |- ( ( ( K e. HL /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) )
              .<_ ( P .\/ Q )
            /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ U ) )
       /\ ( P e. A /\ Q e. A /\ R e. A )
       /\ ( S e. A /\ T e. A /\ U e. A ) )
         -> ( ( P .\/ Q ) ./\ ( S .\/ T ) )
               .<_ ( ( ( Q .\/ R ) ./\ ( T .\/ U ) )
                    .\/ ( ( R .\/ P ) ./\ ( U .\/ S ) ) ) ) $=
      ( wcel co wbr hlatjcl syl3anc chlt w3a cbs eqid simp11 hllatd clat simp21
      cfv simp22 simp31 simp32 latmcl atbase syl latjcl simp23 simp33 dalawlem2
      syl122anc wceq hlatjcom oveq1d hlatj32 syl13anc eqtrd dalawlem3 dalawlem4
      eqbrtrd wa wb latjle12 mpbi2and lattrd ) IUAPZBEHQZCFHQZKQZBCHQZJRZVRDGHQ
      JRZUBZBAPZCAPZDAPZUBZEAPZFAPZGAPZUBZUBZIUCUIZIJVSEFHQZKQZVSFHQZEKQZVSEHQZ
      FKQZHQZCDHQZFGHQZKQZDBHQZGEHQZKQZHQZWLUDZLWKIVOVTWAWFWJUEZUFZWKIUGPZVSWLP
      ZWMWLPZWNWLPXIWKVOWCWDXKXHWBWCWDWEWJUHZWBWCWDWEWJUJZAWLHIBCXGMOSTZWKVOWGW
      HXLXHWBWFWGWHWIUKZWBWFWGWHWIULZAWLHIEFXGMOSTWLIKVSWMXGNUMTWKXJWPWLPZWRWLP
      ZWSWLPXIWKXJWOWLPZEWLPZXRXIWKXJXKFWLPZXTXIXOWKWHYBXQAWLFIXGOUNUOZWLHIVSFX
      GMUPTWKWGYAXPAWLEIXGOUNUOZWLIKWOEXGNUMTZWKXJWQWLPZYBXSXIWKXJXKYAYFXIXOYDW
      LHIVSEXGMUPTYCWLIKWQFXGNUMTZWLHIWPWRXGMUPTWKXJXBWLPZXEWLPZXFWLPZXIWKXJWTW
      LPZXAWLPZYHXIWKVOWDWEYKXHXNWBWCWDWEWJUQZAWLHICDXGMOSTWKVOWHWIYLXHXQWBWFWG
      WHWIURZAWLHIFGXGMOSTWLIKWTXAXGNUMTWKXJXCWLPZXDWLPZYIXIWKVOWEWCYOXHYMXMAWL
      HIDBXGMOSTWKVOWIWGYPXHYNXPAWLHIGEXGMOSTWLIKXCXDXGNUMTWLHIXBXEXGMUPTZWKVOW
      CWDWGWHWNWSJRXHXMXNXPXQABCEFHIJKLMNOUSUTWKWPXFJRZWRXFJRZWSXFJRZWKWPVQBHQZ
      EKQXFJWKWOUUAEKWKWOCBHQZFHQZUUAWKVSUUBFHWKVOWCWDVSUUBVAXHXMXNAHIBCMOVBTVC
      WKVOWDWCWHUUCUUAVAXHXNXMXQACBFHIMOVDVEVFVCABCDEFGHIJKLMNOVGVIWKWRVPCHQZFK
      QXFJWKWQUUDFKWKVOWCWDWGWQUUDVAXHXMXNXPABCEHIMOVDVEVCABCDEFGHIJKLMNOVHVIWK
      XJXRXSYJYRYSVJYTVKXIYEYGYQWLHIJWPWRXFXGLMVLVEVMVN $.

    $( Lemma for ~ dalaw .  First piece of ~ dalawlem8 .  (Contributed by NM,
       6-Oct-2012.) $)
    dalawlem6 $p |- ( ( ( K e. HL /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) )
               .<_ ( Q .\/ R )
            /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ U ) )
       /\ ( P e. A /\ Q e. A /\ R e. A )
       /\ ( S e. A /\ T e. A /\ U e. A ) )
         -> ( ( ( P .\/ Q ) .\/ T ) ./\ S )
               .<_ ( ( ( Q .\/ R ) ./\ ( T .\/ U ) )
                    .\/ ( ( R .\/ P ) ./\ ( U .\/ S ) ) ) ) $=
      ( wcel co wbr syl3anc syl13anc chlt w3a cbs cfv eqid simp11 hllatd simp21
      simp22 hlatjcl simp32 atbase latjcl simp31 latmcl simp23 simp33 latmlej22
      clat syl hlatlej2 wi latmlem2 mpd wceq hlatjass oveq1d hlatlej1 syl131anc
      atmod1i1 3brtr4d latmcom eqbrtrd latmle1 wa wb latlem12 mpbi2and latjlej2
      simp12 lattrd atmod3i1 breqtrrd simp13 latm12 breqtrd latmlej21 atmod1i1m
      col hlol latj13 syl231anc latjlej1 ) IUAPZBEHQZCFHQZKQZCDHQZJRZWQDGHQZJRZ
      UBZBAPZCAPZDAPZUBZEAPZFAPZGAPZUBZUBZIUCUDZIJBCHQZFHQZEKQZWRGKQZDBHQZGEHQZ
      KQZHQZWRFGHQZKQZXSHQZXLUEZLXKIWNWSXAXFXJUFZUGZXKIUSPZXNXLPZEXLPZXOXLPZYFX
      KYGXMXLPZFXLPZYHYFXKWNXCXDYKYEXBXCXDXEXJUHZXBXCXDXEXJUIZAXLHIBCYDMOUJSXKX
      HYLXBXFXGXHXIUKZAXLFIYDOULUTXLHIXMFYDMUMSZXKXGYIXBXFXGXHXIUNZAXLEIYDOULUT
      ZXLIKXNEYDNUOSZXKYGXPXLPZXSXLPZXTXLPYFXKYGWRXLPZGXLPZYTYFXKWNXDXEUUBYEYNX
      BXCXDXEXJUPZAXLHICDYDMOUJSZXKXIUUCXBXFXGXHXIUQZAXLGIYDOULUTZXLIKWRGYDNUOS
      ZXKYGXQXLPZXRXLPZUUAYFXKWNXEXCUUIYEUUDYMAXLHIDBYDMOUJSZXKWNXIXGUUJYEUUFYQ
      AXLHIGEYDMOUJSZXLIKXQXRYDNUOSZXLHIXPXSYDMUMSXKYGYBXLPZUUAYCXLPYFXKYGUUBYA
      XLPZUUNYFUUEXKWNXHXIUUOYEYOUUFAXLHIFGYDMOUJSZXLIKWRYAYDNUOSZUUMXLHIYBXSYD
      MUMSXKXOXPXQHQZXRKQZXTJXKXOUURJRZXOXRJRZXOUUSJRZXKXOBDXPHQZHQZUURJXKXLIJX
      OBWOWRWPKQZKQZHQZUVDYDLYFYSXKYGBXLPZUVFXLPZUVGXLPYFXKXCUVHYMAXLBIYDOULUTZ
      XKYGWOXLPZUVEXLPZUVIYFXKWNXCXGUVKYEYMYQAXLHIBEYDMOUJSZXKYGUUBWPXLPZUVLYFU
      UEXKWNXDXHUVNYEYNYOAXLHICFYDMOUJSZXLIKWRWPYDNUOSZXLIKWOUVEYDNUOSZXLHIBUVF
      YDMUMSXKYGUVHUVCXLPZUVDXLPYFUVJXKYGDXLPZYTUVRYFXKXEUVSUUDAXLDIYDOULUTZUUH
      XLHIDXPYDMUMSZXLHIBUVCYDMUMSXKXOWOBUVEHQZKQZUVGJXKXOWOJRZXOUWBJRZXOUWCJRZ
      XKYGYIYHUVHUWDYFYRYPUVJXLHIJKEXNBYDLMNURTXKXLIJXOBWPWOKQZHQZUWBYDLYFYSXKY
      GUVHUWGXLPZUWHXLPYFUVJXKYGUVNUVKUWIYFUVOUVMXLIKWPWOYDNUOSZXLHIBUWGYDMUMSX
      KYGUVHUVLUWBXLPZYFUVJUVPXLHIBUVEYDMUMSZXKBWPHQZEKQZUWMWOKQZXOUWHJXKEWOJRZ
      UWNUWOJRZXKWNXCXGUWPYEYMYQABEHIJLMOVASXKYGYIUVKUWMXLPZUWPUWQVBYFYRUVMXKYG
      UVHUVNUWRYFUVJUVOXLHIBWPYDMUMSXLIJKEWOUWMYDLNVCTVDXKXNUWMEKXKWNXCXDXHXNUW
      MVEYEYMYNYOABCFHIMOVFTVGXKWNXCUVNUVKBWOJRZUWHUWOVEYEYMUVOUVMXKWNXCXGUWSYE
      YMYQABEHIJLMOVHSZAXLBHIJKWPWOYDLMNOVJVIVKXKUWGUVEJRZUWHUWBJRZXKUWGWRJRZUW
      GWPJRZUXAXKUWGWQWRJXKYGUVNUVKUWGWQVEYFUVOUVMXLIKWPWOYDNVLSWNWSXAXFXJVTVMX
      KYGUVNUVKUXDYFUVOUVMXLIJKWPWOYDLNVNSXKYGUWIUUBUVNUXCUXDVOUXAVPYFUWJUUEUVO
      XLIJKUWGWRWPYDLNVQTVRXKYGUWIUVLUVHUXAUXBVBYFUWJUVPUVJXLHIJUWGUVEBYDLMVSTV
      DWAXKYGYJUVKUWKUWDUWEVOUWFVPYFYSUVMUWLXLIJKXOWOUWBYDLNVQTVRXKWNXCUVKUVLUW
      SUVGUWCVEYEYMUVMUVPUWTAXLBHIJKWOUVEYDLMNOWBVIWCXKUVFUVCJRZUVGUVDJRZXKWRWQ
      KQZWRWTKQZUVFUVCJXKXAUXGUXHJRZWNWSXAXFXJWDXKYGWQXLPZWTXLPZUUBXAUXIVBYFXKY
      GUVKUVNUXJYFUVMUVOXLIKWOWPYDNUOSXKWNXEXIUXKYEUUDUUFAXLHIDGYDMOUJSUUEXLIJK
      WQWTWRYDLNVCTVDXKIWIPZUVKUUBUVNUVFUXGVEXKWNUXLYEIWJUTUVMUUEUVOXLIKWOWRWPY
      DNWETXKWNXEUUBUUCDWRJRZUVCUXHVEYEUUDUUEUUGXKWNXDXEUXMYEYNUUDACDHIJLMOVASA
      XLDHIJKWRGYDLMNOWBVIVKXKYGUVIUVRUVHUXEUXFVBYFUVQUWAUVJXLHIJUVFUVCBYDLMVST
      VDWAXKYGUVHUVSYTUVDUURVEYFUVJUVTUUHXLHIBDXPYDMWKTWFXKYGYIYHUUCUVAYFYRYPUU
      GXLHIJKEXNGYDLMNURTXKYGYJUURXLPZUUJUUTUVAVOUVBVPYFYSXKYGYTUUIUXNYFUUHUUKX
      LHIXPXQYDMUMSUULXLIJKXOUURXRYDLNVQTVRXKWNXIUUBUUIUUJXPXRJRZXTUUSVEYEUUFUU
      EUUKUULXKYGUUCUUBYIUXOYFUUGUUEYRXLHIJKGWREYDLMNWGTAXLGHIJKWRXQXRYDLMNOWHW
      LWCXKXPYBJRZXTYCJRZXKGYAJRZUXPXKWNXHXIUXRYEYOUUFAFGHIJLMOVASXKYGUUCUUOUUB
      UXRUXPVBYFUUGUUPUUEXLIJKGYAWRYDLNVCTVDXKYGYTUUNUUAUXPUXQVBYFUUHUUQUUMXLHI
      JXPYBXSYDLMWMTVDWA $.

    $( Lemma for ~ dalaw .  Second piece of ~ dalawlem8 .  (Contributed by NM,
       6-Oct-2012.) $)
    dalawlem7 $p |- ( ( ( K e. HL /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) )
                 .<_ ( Q .\/ R )
            /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ U ) )
       /\ ( P e. A /\ Q e. A /\ R e. A )
       /\ ( S e. A /\ T e. A /\ U e. A ) )
         -> ( ( ( P .\/ Q ) .\/ S ) ./\ T )
               .<_ ( ( ( Q .\/ R ) ./\ ( T .\/ U ) )
                     .\/ ( ( R .\/ P ) ./\ ( U .\/ S ) ) ) ) $=
      ( wcel co wbr hlatjcl syl3anc chlt w3a cbs eqid simp11 hllatd clat simp21
      cfv simp22 simp31 atbase syl latjcl simp32 latmcl simp23 simp33 wceq hlol
      col latmassOLD syl13anc hlatj32 hlatlej2 wb latleeqm2 mpbid eqtr2d simp12
      oveq12d wi latjlej1 mpd hlatlej1 atmod4i1 syl131anc latjidm syl2anc eqtrd
      oveq1d 3brtr3d wa latmlem12 syl122anc mp2and eqbrtrd latlej1 lattrd ) IUA
      PZBEHQZCFHQZKQZCDHQZJRZWMDGHQJRZUBZBAPZCAPZDAPZUBZEAPZFAPZGAPZUBZUBZIUCUI
      ZIJBCHQZEHQZFKQZWNFGHQZKQZXLDBHQZGEHQZKQZHQZXGUDZLXFIWJWOWPXAXEUEZUFZXFIU
      GPZXIXGPZFXGPZXJXGPXSXFXTXHXGPZEXGPZYAXSXFWJWRWSYCXRWQWRWSWTXEUHZWQWRWSWT
      XEUJZAXGHIBCXQMOSTXFXBYDWQXAXBXCXDUKZAXGEIXQOULUMXGHIXHEXQMUNTXFXCYBWQXAX
      BXCXDUOZAXGFIXQOULUMZXGIKXIFXQNUPTXFXTWNXGPZXKXGPZXLXGPZXSXFWJWSWTYJXRYFW
      QWRWSWTXEUQZAXGHICDXQMOSTZXFWJXCXDYKXRYHWQXAXBXCXDURZAXGHIFGXQMOSTZXGIKWN
      XKXQNUPTZXFXTYLXOXGPZXPXGPXSYQXFXTXMXGPZXNXGPZYRXSXFWJWTWRYSXRYMYEAXGHIDB
      XQMOSTXFWJXDXBYTXRYOYGAXGHIGEXQMOSTXGIKXMXNXQNUPTZXGHIXLXOXQMUNTXFXJWKCHQ
      ZWLKQZFKQZXLJXFUUDUUBWLFKQZKQZXJXFIVAPZUUBXGPZWLXGPZYBUUDUUFUSXFWJUUGXRIU
      TUMXFXTWKXGPZCXGPZUUHXSXFWJWRXBUUJXRYEYGAXGHIBEXQMOSTZXFWSUUKYFAXGCIXQOUL
      UMZXGHIWKCXQMUNTZXFWJWSXCUUIXRYFYHAXGHICFXQMOSTZYIXGIKUUBWLFXQNVBVCXFUUBX
      IUUEFKXFWJWRXBWSUUBXIUSXRYEYGYFABECHIMOVDVCXFFWLJRZUUEFUSZXFWJWSXCUUPXRYF
      YHACFHIJLMOVETXFXTYBUUIUUPUUQVFXSYIUUOXGIJKFWLXQLNVGTVHVKVIXFUUCWNJRZFXKJ
      RZUUDXLJRZXFWMCHQZWNCHQZUUCWNJXFWOUVAUVBJRZWJWOWPXAXEVJXFXTWMXGPZYJUUKWOU
      VCVLXSXFXTUUJUUIUVDXSUULUUOXGIKWKWLXQNUPTYNUUMXGHIJWMWNCXQLMVMVCVNXFWJWSU
      UJUUICWLJRZUVAUUCUSXRYFUULUUOXFWJWSXCUVEXRYFYHACFHIJLMOVOTAXGCHIJKWKWLXQL
      MNOVPVQXFUVBCCHQZDHQZWNXFWJWSWTWSUVBUVGUSXRYFYMYFACDCHIMOVDVCXFUVFCDHXFXT
      UUKUVFCUSXSUUMXGHICXQMVRVSWAVTWBXFWJXCXDUUSXRYHYOAFGHIJLMOVOTXFXTUUCXGPZY
      JYBYKUURUUSWCUUTVLXSXFXTUUHUUIUVHXSUUNUUOXGIKUUBWLXQNUPTYNYIYPXGIJKXKUUCW
      NFXQLNWDWEWFWGXFXTYLYRXLXPJRXSYQUUAXGHIJXLXOXQLMWHTWI $.

    $( Lemma for ~ dalaw .  Special case to eliminate the requirement
       ` -. ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( Q .\/ R ) ` in ~ dalawlem1 .
       (Contributed by NM, 6-Oct-2012.) $)
    dalawlem8 $p |- ( ( ( K e. HL /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) )
               .<_ ( Q .\/ R )
            /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ U ) )
       /\ ( P e. A /\ Q e. A /\ R e. A )
       /\ ( S e. A /\ T e. A /\ U e. A ) )
         -> ( ( P .\/ Q ) ./\ ( S .\/ T ) )
               .<_ ( ( ( Q .\/ R ) ./\ ( T .\/ U ) )
                     .\/ ( ( R .\/ P ) ./\ ( U .\/ S ) ) ) ) $=
      ( wcel co wbr hlatjcl syl3anc chlt w3a cbs eqid simp11 hllatd clat simp21
      cfv simp22 simp31 simp32 latmcl atbase syl latjcl simp23 simp33 dalawlem2
      syl122anc dalawlem6 dalawlem7 wa wb latjle12 syl13anc mpbi2and lattrd ) I
      UAPZBEHQCFHQKQZCDHQZJRZVJDGHQJRZUBZBAPZCAPZDAPZUBZEAPZFAPZGAPZUBZUBZIUCUI
      ZIJBCHQZEFHQZKQZWEFHQZEKQZWEEHQZFKQZHQZVKFGHQZKQZDBHQZGEHQZKQZHQZWDUDZLWC
      IVIVLVMVRWBUEZUFZWCIUGPZWEWDPZWFWDPZWGWDPXAWCVIVOVPXCWTVNVOVPVQWBUHZVNVOV
      PVQWBUJZAWDHIBCWSMOSTZWCVIVSVTXDWTVNVRVSVTWAUKZVNVRVSVTWAULZAWDHIEFWSMOST
      WDIKWEWFWSNUMTWCXBWIWDPZWKWDPZWLWDPXAWCXBWHWDPZEWDPZXJXAWCXBXCFWDPZXLXAXG
      WCVTXNXIAWDFIWSOUNUOZWDHIWEFWSMUPTWCVSXMXHAWDEIWSOUNUOZWDIKWHEWSNUMTZWCXB
      WJWDPZXNXKXAWCXBXCXMXRXAXGXPWDHIWEEWSMUPTXOWDIKWJFWSNUMTZWDHIWIWKWSMUPTWC
      XBWNWDPZWQWDPZWRWDPZXAWCXBVKWDPZWMWDPZXTXAWCVIVPVQYCWTXFVNVOVPVQWBUQZAWDH
      ICDWSMOSTWCVIVTWAYDWTXIVNVRVSVTWAURZAWDHIFGWSMOSTWDIKVKWMWSNUMTWCXBWOWDPZ
      WPWDPZYAXAWCVIVQVOYGWTYEXEAWDHIDBWSMOSTWCVIWAVSYHWTYFXHAWDHIGEWSMOSTWDIKW
      OWPWSNUMTWDHIWNWQWSMUPTZWCVIVOVPVSVTWGWLJRWTXEXFXHXIABCEFHIJKLMNOUSUTWCWI
      WRJRZWKWRJRZWLWRJRZABCDEFGHIJKLMNOVAABCDEFGHIJKLMNOVBWCXBXJXKYBYJYKVCYLVD
      XAXQXSYIWDHIJWIWKWRWSLMVEVFVGVH $.

    $( Lemma for ~ dalaw .  Special case to eliminate the requirement
       ` -. ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ P ) ` in ~ dalawlem1 .
       (Contributed by NM, 6-Oct-2012.) $)
    dalawlem9 $p |- ( ( ( K e. HL /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) )
              .<_ ( R .\/ P )
            /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ U ) )
       /\ ( P e. A /\ Q e. A /\ R e. A )
       /\ ( S e. A /\ T e. A /\ U e. A ) )
         -> ( ( P .\/ Q ) ./\ ( S .\/ T ) )
               .<_ ( ( ( Q .\/ R ) ./\ ( T .\/ U ) )
                     .\/ ( ( R .\/ P ) ./\ ( U .\/ S ) ) ) ) $=
      ( wcel co wceq hlatjcl syl3anc chlt wbr w3a simp11 clat cbs hllatd simp22
      cfv simp32 eqid simp21 simp31 latmcom simp12 simp23 breqtrd simp13 simp33
      hlatjcom eqbrtrd dalawlem8 syl333anc oveq12d latmcl latjcom eqtrd 3brtr4d
      ) IUAPZBEHQZCFHQZKQZDBHQZJUBZVLDGHQZJUBZUCZBAPZCAPZDAPZUCZEAPZFAPZGAPZUCZ
      UCZCBHQZFEHQZKQZBDHQZEGHQZKQZDCHQZGFHQZKQZHQZBCHQZEFHQZKQCDHQZFGHQZKQZVMG
      EHQZKQZHQZJWFVIVKVJKQZWJJUBXEVOJUBVSVRVTWCWBWDWIWPJUBVIVNVPWAWEUDZWFXEVLW
      JJWFIUEPZVKIUFUIZPZVJXHPZXEVLRWFIXFUGZWFVIVSWCXIXFVQVRVSVTWEUHZVQWAWBWCWD
      UJZAXHHICFXHUKZMOSTWFVIVRWBXJXFVQVRVSVTWEULZVQWAWBWCWDUMZAXHHIBEXNMOSTXHI
      KVKVJXNNUNTZWFVLVMWJJVIVNVPWAWEUOWFVIVTVRVMWJRXFVQVRVSVTWEUPZXOAHIDBMOUTT
      ZUQVAWFXEVLVOJXQVIVNVPWAWEURVAXLXOXRXMXPVQWAWBWCWDUSZACBDFEGHIJKLMNOVBVCW
      FWQWGWRWHKWFVIVRVSWQWGRXFXOXLAHIBCMOUTTWFVIWBWCWRWHRXFXPXMAHIEFMOUTTVDWFX
      DXCXAHQZWPWFXGXAXHPZXCXHPZXDYARXKWFXGWSXHPZWTXHPZYBXKWFVIVSVTYDXFXLXRAXHH
      ICDXNMOSTWFVIWCWDYEXFXMXTAXHHIFGXNMOSTXHIKWSWTXNNVETWFXGVMXHPZXBXHPZYCXKW
      FVIVTVRYFXFXRXOAXHHIDBXNMOSTWFVIWDWBYGXFXTXPAXHHIGEXNMOSTXHIKVMXBXNNVETXH
      HIXAXCXNMVFTWFXCWLXAWOHWFVMWJXBWKKXSWFVIWDWBXBWKRXFXTXPAHIGEMOUTTVDWFWSWM
      WTWNKWFVIVSVTWSWMRXFXLXRAHICDMOUTTWFVIWCWDWTWNRXFXMXTAHIFGMOUTTVDVDVGVH
      $.

    $( Lemma for ~ dalaw .  Combine ~ dalawlem5 , ~ dalawlem8 , and dalawlem9 .
       (Contributed by NM, 6-Oct-2012.) $)
    dalawlem10 $p |- ( ( ( K e. HL /\
             -. ( -. ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( P .\/ Q )
               /\ -. ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( Q .\/ R )
               /\ -. ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ P ) )
            /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ U ) )
       /\ ( P e. A /\ Q e. A /\ R e. A )
       /\ ( S e. A /\ T e. A /\ U e. A ) )
         -> ( ( P .\/ Q ) ./\ ( S .\/ T ) )
               .<_ ( ( ( Q .\/ R ) ./\ ( T .\/ U ) ) .\/ ( ( R .\/ P )
                   ./\ ( U .\/ S ) ) ) ) $=
      ( wcel co wbr wn w3a w3o simp11 simp12 3oran sylibr simp13 simp2 simp3 wa
      chlt wi dalawlem5 3expib 3exp dalawlem8 dalawlem9 3jaod 3impib syl311anc
      3imp ) IUJPZBEHQCFHQKQZBCHQZJRZSVBCDHQZJRZSVBDBHQZJRZSTSZVBDGHQJRZTZBAPCA
      PDAPTZEAPFAPGAPTZTZVAVDVFVHUAZVJVLVMVCEFHQKQVEFGHQKQVGGEHQKQHQJRZVAVIVJVL
      VMUBVNVIVOVAVIVJVLVMUCVDVFVHUDUEVAVIVJVLVMUFVKVLVMUGVKVLVMUHVAVOVJTVLVMVP
      VAVOVJVLVMUIVPUKZVAVDVJVQUKVFVHVAVDVJVQVAVDVJTVLVMVPABCDEFGHIJKLMNOULUMUN
      VAVFVJVQVAVFVJTVLVMVPABCDEFGHIJKLMNOUOUMUNVAVHVJVQVAVHVJTVLVMVPABCDEFGHIJ
      KLMNOUPUMUNUQUTURUS $.

    $( Lemma for ~ dalaw .  First part of ~ dalawlem13 .  (Contributed by NM,
       17-Sep-2012.) $)
    dalawlem11 $p |- ( ( ( K e. HL /\ P .<_ ( Q .\/ R )
            /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ U ) )
       /\ ( P e. A /\ Q e. A /\ R e. A )
       /\ ( S e. A /\ T e. A /\ U e. A ) )
         -> ( ( P .\/ Q ) ./\ ( S .\/ T ) )
               .<_ ( ( ( Q .\/ R ) ./\ ( T .\/ U ) )
                    .\/ ( ( R .\/ P ) ./\ ( U .\/ S ) ) ) ) $=
      ( wcel co wbr syl3anc wceq chlt w3a eqid simp11 hllatd clat simp21 simp22
      cbs cfv hlatjcl simp31 simp32 latmcl simp23 latmle1 simp12 atbase latlej1
      syl wa wb latjle12 syl13anc mpbi2and lattrd latjcl simp33 wi latmlem1 mpd
      latlej2 atmod2i2 latmcom simp13 eqbrtrd latjlej2 atmod1i1 hlatjass oveq1d
      syl131anc hlatjcom eqtr3d 3brtr3d latmlem12 syl122anc col hlol latmassOLD
      mp2and eqcomd latleeqm2 oveq12d eqtr2d atmod4i1 3brtr4d latjlej1 eqbrtrrd
      mpbid latj31 breqtrd latlem12 llnmod2i2 syl321anc breqtrrd ) IUAPZBCDHQZJ
      RZBEHQZCFHQZKQZDGHQZJRZUBZBAPZCAPZDAPZUBZEAPZFAPZGAPZUBZUBZBCHQZEFHQZKQZX
      GFGHQZDBHQZGEHQZKQZHQZKQZXGYGKQYJHQZJYCYFXGJRZYFYKJRZYFYLJRZYCIUIUJZIJYFY
      DXGYQUCZLYCIXFXHXMXRYBUDZUEZYCIUFPZYDYQPZYEYQPZYFYQPZYTYCXFXOXPUUBYSXNXOX
      PXQYBUGZXNXOXPXQYBUHZAYQHIBCYRMOUKSZYCXFXSXTUUCYSXNXRXSXTYAULZXNXRXSXTYAU
      MZAYQHIEFYRMOUKSZYQIKYDYEYRNUNSZUUGYCXFXPXQXGYQPZYSUUFXNXOXPXQYBUOZAYQHIC
      DYRMOUKSZYCUUAUUBUUCYFYDJRYTUUGUUJYQIJKYDYEYRLNUPSYCXHCXGJRZYDXGJRZXFXHXM
      XRYBUQZYCUUACYQPZDYQPZUUOYTYCXPUURUUFAYQCIYROURUTZYCXQUUSUUMAYQDIYROURUTZ
      YQHIJCDYRLMUSSYCUUABYQPZUURUULXHUUOVAUUPVBYTYCXOUVBUUEAYQBIYROURUTZUUTUUN
      YQHIJBCXGYRLMVCVDVEVFYCYFYJGHQZFHQZYKJYCYQIJYFYDFHQZYEKQZUVEYRLYTUUKYCUUA
      UVFYQPZUUCUVGYQPYTYCUUAUUBFYQPZUVHYTUUGYCXTUVIUUIAYQFIYROURUTZYQHIYDFYRMV
      GSZUUJYQIKUVFYEYRNUNSYCUUAUVDYQPZUVIUVEYQPYTYCUUAYJYQPZGYQPZUVLYTYCUUAYHY
      QPZYIYQPZUVMYTYCXFXQXOUVOYSUUMUUEAYQHIDBYRMOUKSZYCXFYAXSUVPYSXNXRXSXTYAVH
      ZUUHAYQHIGEYRMOUKSZYQIKYHYIYRNUNSZYCYAUVNUVRAYQGIYROURUTZYQHIYJGYRMVGSZUV
      JYQHIUVDFYRMVGSYCYDUVFJRZYFUVGJRZYCUUAUUBUVIUWCYTUUGUVJYQHIJYDFYRLMUSSYCU
      UAUUBUVHUUCUWCUWDVIYTUUGUVKUUJYQIJKYDUVFYEYRLNVJVDVKYCUVFEKQZFHQZUVGUVEJY
      CXFXSUVHUVIFUVFJRZUWFUVGTYSUUHUVKUVJYCUUAUUBUVIUWGYTUUGUVJYQHIJYDFYRLMVLS
      AYQEHIJKUVFFYRLMNOVMWAYCUWEUVDJRZUWFUVEJRZYCBXJHQZXIKQZEKQZYHGHQZYIKQZUWE
      UVDJYCUWKUWMJRZEYIJRZUWLUWNJRZYCBXJXIKQZHQZBXLHQZUWKUWMJYCUWRXLJRZUWSUWTJ
      RZYCUWRXKXLJYCUUAXJYQPZXIYQPZUWRXKTYTYCXFXPXTUXCYSUUFUUIAYQHICFYRMOUKSZYC
      XFXOXSUXDYSUUEUUHAYQHIBEYRMOUKSZYQIKXJXIYRNVNSXFXHXMXRYBVOVPYCUUAUWRYQPZX
      LYQPZUVBUXAUXBVIYTYCUUAUXCUXDUXGYTUXEUXFYQIKXJXIYRNUNSYCXFXQYAUXHYSUUMUVR
      AYQHIDGYRMOUKSUVCYQHIJUWRXLBYRLMVQVDVKYCXFXOUXCUXDBXIJRZUWSUWKTYSUUEUXEUX
      FYCUUAUVBEYQPZUXIYTUVCYCXSUXJUUHAYQEIYROURUTZYQHIJBEYRLMUSSAYQBHIJKXJXIYR
      LMNOVRWAYCBDHQZGHQZUWTUWMYCXFXOXQYAUXMUWTTYSUUEUUMUVRABDGHIMOVSVDYCUXLYHG
      HYCXFXOXQUXLYHTYSUUEUUMAHIBDMOWBSVTWCWDYCUUAUVNUXJUWPYTUWAUXKYQHIJGEYRLMV
      LSYCUUAUWKYQPZUWMYQPZUXJUVPUWOUWPVAUWQVIYTYCUUAUWJYQPZUXDUXNYTYCUUAUVBUXC
      UXPYTUVCUXEYQHIBXJYRMVGSZUXFYQIKUWJXIYRNUNSYCUUAUVOUVNUXOYTUVQUWAYQHIYHGY
      RMVGSUXKUVSYQIJKYIUWKUWMEYRLNWEWFWJYCUWLUWJXIEKQZKQZUWEYCIWGPZUXPUXDUXJUW
      LUXSTYCXFUXTYSIWHUTUXQUXFUXKYQIKUWJXIEYRNWIVDYCUWJUVFUXREKYCUVFUWJYCXFXOX
      PXTUVFUWJTYSUUEUUFUUIABCFHIMOVSVDWKYCEXIJRZUXRETZYCUUAUVBUXJUYAYTUVCUXKYQ
      HIJBEYRLMVLSYCUUAUXJUXDUYAUYBVBYTUXKUXFYQIJKEXIYRLNWLSWSWMWNYCXFYAUVOUVPG
      YIJRZUVDUWNTYSUVRUVQUVSYCUUAUVNUXJUYCYTUWAUXKYQHIJGEYRLMUSSAYQGHIJKYHYIYR
      LMNOWOWAWPYCUUAUWEYQPZUVLUVIUWHUWIVIYTYCUUAUVHUXJUYDYTUVKUXKYQIKUVFEYRNUN
      SUWBUVJYQHIJUWEUVDFYRLMWQVDVKWRVFYCUUAUVMUVNUVIUVEYKTYTUVTUWAUVJYQHIYJGFY
      RMWTVDXAYCUUAUUDUULYKYQPZYNYOVAYPVBYTUUKUUNYCUUAYGYQPZUVMUYEYTYCXFXTYAUYF
      YSUUIUVRAYQHIFGYRMOUKSUVTYQHIYGYJYRMVGSYQIJKYFXGYKYRLNXBVDVEYCXFUULUVMXTY
      AYJXGJRYMYLTYSUUNUVTUUIUVRYCYQIJYJYHXGYRLYTUVTUVQUUNYCUUAUVOUVPYJYHJRYTUV
      QUVSYQIJKYHYIYRLNUPSYCDXGJRZXHYHXGJRZYCUUAUURUUSUYGYTUUTUVAYQHIJCDYRLMVLS
      UUQYCUUAUUSUVBUULUYGXHVAUYHVBYTUVAUVCUUNYQHIJDBXGYRLMVCVDVEVFAYQFGHIJKXGY
      JYRLMNOXCXDXE $.

    $( Lemma for ~ dalaw .  Second part of ~ dalawlem13 .  (Contributed by NM,
       17-Sep-2012.) $)
    dalawlem12 $p |- ( ( ( K e. HL /\ Q = R
            /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ U ) )
       /\ ( P e. A /\ Q e. A /\ R e. A )
       /\ ( S e. A /\ T e. A /\ U e. A ) )
         -> ( ( P .\/ Q ) ./\ ( S .\/ T ) )
               .<_ ( ( ( Q .\/ R ) ./\ ( T .\/ U ) )
                   .\/ ( ( R .\/ P ) ./\ ( U .\/ S ) ) ) ) $=
      ( wcel wceq co wbr syl3anc chlt w3a eqid simp11 hllatd clat simp21 simp22
      cbs cfv hlatjcl simp31 simp32 latmcl atbase syl latjcl simp33 wi latmlem1
      latlej1 syl13anc mpd hlatjcom latlej2 atmod2i2 syl131anc 3brtr4d col hlol
      oveq2d latmassOLD hlatjass hlatj12 hlatlej2 wb latleeqm2 oveq12d hlatlej1
      eqtr2d atmod1i1 simp13 simp12 oveq1d eqtr3d wa latjle12 mpbi2and eqbrtrrd
      mpbid breqtrd latmlem12 syl122anc mp2and eqbrtrd latjcom latjlej1 latjass
      latmle1 latlem12 latmlej12 llnmod1i2 syl321anc hlatjidm syl2anc latmcom
      lattrd eqtrd ) IUAPZCDQZBEHRZCFHRZKRZDGHRZJSZUBZBAPZCAPZDAPZUBZEAPZFAPZGA
      PZUBZUBZBCHRZEFHRZKRZCFGHRZKRZGEHRZHRZYFKRZCDHRZYIKRZDBHRZYKKRZHRZJYEYHYL
      JSZYHYFJSZYHYMJSZYEIUIUJZIJYHYFEHRZFKRZEHRZYLUUBUCZLYEIXIXJXOXTYDUDZUEZYE
      IUFPZYFUUBPZYGUUBPZYHUUBPZUUHYEXIXQXRUUJUUGXPXQXRXSYDUGZXPXQXRXSYDUHZAUUB
      HIBCUUFMOUKTZYEXIYAYBUUKUUGXPXTYAYBYCULZXPXTYAYBYCUMZAUUBHIEFUUFMOUKTZUUB
      IKYFYGUUFNUNTZYEUUIUUDUUBPZEUUBPZUUEUUBPUUHYEUUIUUCUUBPZFUUBPZUUTUUHYEUUI
      UUJUVAUVBUUHUUOYEYAUVAUUPAUUBEIUUFOUOUPZUUBHIYFEUUFMUQTZYEYBUVCUUQAUUBFIU
      UFOUOUPZUUBIKUUCFUUFNUNTZUVDUUBHIUUDEUUFMUQTYEUUIYJUUBPZYKUUBPZYLUUBPZUUH
      YEUUICUUBPZYIUUBPZUVHUUHYEXRUVKUUNAUUBCIUUFOUOUPZYEXIYBYCUVLUUGUUQXPXTYAY
      BYCURZAUUBHIFGUUFMOUKTZUUBIKCYIUUFNUNTZYEXIYCYAUVIUUGUVNUUPAUUBHIGEUUFMOU
      KTZUUBHIYJYKUUFMUQTZYEYFFEHRZKRZUUCUVSKRZYHUUEJYEYFUUCJSZUVTUWAJSZYEUUIUU
      JUVAUWBUUHUUOUVDUUBHIJYFEUUFLMVATYEUUIUUJUVBUVSUUBPZUWBUWCUSUUHUUOUVEYEXI
      YBYAUWDUUGUUQUUPAUUBHIFEUUFMOUKTUUBIJKYFUUCUVSUUFLNUTVBVCYEYGUVSYFKYEXIYA
      YBYGUVSQUUGUUPUUQAHIEFMOVDTVKYEXIYBUVBUVAEUUCJSZUUEUWAQUUGUUQUVEUVDYEUUIU
      UJUVAUWEUUHUUOUVDUUBHIJYFEUUFLMVETAUUBFHIJKUUCEUUFLMNOVFVGVHYEUUEYJGHRZEH
      RZYLJYEUUDUWFJSZUUEUWGJSZYEUUDGCHRZYIKRZUWFJYEUUDCXKHRZXLKRZFKRZUWKJYEUWN
      UWLXLFKRZKRZUUDYEIVIPZUWLUUBPZXLUUBPZUVCUWNUWPQYEXIUWQUUGIVJUPYEUUIUVKXKU
      UBPZUWRUUHUVMYEXIXQYAUWTUUGUUMUUPAUUBHIBEUUFMOUKTZUUBHICXKUUFMUQTZYEXIXRY
      BUWSUUGUUNUUQAUUBHICFUUFMOUKTZUVFUUBIKUWLXLFUUFNVLVBYEUWLUUCUWOFKYEUUCBCE
      HRHRZUWLYEXIXQXRYAUUCUXDQUUGUUMUUNUUPABCEHIMOVMVBYEXIXQXRYAUXDUWLQUUGUUMU
      UNUUPABCEHIMOVNVBVTYEFXLJSZUWOFQZYEXIXRYBUXEUUGUUNUUQACFHIJLMOVOTYEUUIUVC
      UWSUXEUXFVPUUHUVFUXCUUBIJKFXLUUFLNVQTWJVRVTYEUWMUWJJSZFYIJSZUWNUWKJSZYECX
      MHRZUWMUWJJYEXIXRUWTUWSCXLJSZUXJUWMQUUGUUNUXAUXCYEXIXRYBUXKUUGUUNUUQACFHI
      JLMOVSTAUUBCHIJKXKXLUUFLMNOWAVGYECUWJJSZXMUWJJSZUXJUWJJSZYEXIYCXRUXLUUGUV
      NUUNAGCHIJLMOVOTYEXMXNUWJJXIXJXOXTYDWBYECGHRZXNUWJYECDGHXIXJXOXTYDWCZWDYE
      XIXRYCUXOUWJQUUGUUNUVNAHICGMOVDTWEWKYEUUIUVKXMUUBPZUWJUUBPZUXLUXMWFUXNVPU
      UHUVMYEUUIUWTUWSUXQUUHUXAUXCUUBIKXKXLUUFNUNTYEXIYCXRUXRUUGUVNUUNAUUBHIGCU
      UFMOUKTZUUBHIJCXMUWJUUFLMWGVBWHWIYEXIYBYCUXHUUGUUQUVNAFGHIJLMOVSTYEUUIUWM
      UUBPZUXRUVCUVLUXGUXHWFUXIUSUUHYEUUIUWRUWSUXTUUHUXBUXCUUBIKUWLXLUUFNUNTUXS
      UVFUVOUUBIJKYIUWMUWJFUUFLNWLWMWNWOYEGYJHRZUWKUWFYEXIYCUVKUVLGYIJSZUYAUWKQ
      UUGUVNUVMUVOYEXIYBYCUYBUUGUUQUVNAFGHIJLMOVOTAUUBGHIJKCYIUUFLMNOWAVGYEUUIG
      UUBPZUVHUYAUWFQUUHYEYCUYCUVNAUUBGIUUFOUOUPZUVPUUBHIGYJUUFMWPTWEWKYEUUIUUT
      UWFUUBPZUVAUWHUWIUSUUHUVGYEUUIUVHUYCUYEUUHUVPUYDUUBHIYJGUUFMUQTUVDUUBHIJU
      UDUWFEUUFLMWQVBVCYEUUIUVHUYCUVAUWGYLQUUHUVPUYDUVDUUBHIYJGEUUFMWRVBWKXGYEU
      UIUUJUUKYTUUHUUOUURUUBIJKYFYGUUFLNWSTYEUUIUULUVJUUJYSYTWFUUAVPUUHUUSUVRUU
      OUUBIJKYHYLYFUUFLNWTVBWHYEYJYKYFKRZHRZYMYRYEXIUVHUUJYCYAYJYFJSZUYGYMQUUGU
      VPUUOUVNUUPYEUUIUVKUVLBUUBPZUYHUUHUVMUVOYEXQUYIUUMAUUBBIUUFOUOUPUUBHIJKCY
      IBUUFLMNXAVBAUUBGEHIJKYJYFUUFLMNOXBXCYEYJYOUYFYQHYECYNYIKYECCHRZCYNYEXIXR
      UYJCQUUGUUNAHICMOXDXEYECDCHUXPVKWEWDYEUYFYFYKKRZYQYEUUIUVIUUJUYFUYKQUUHUV
      QUUOUUBIKYKYFUUFNXFTYEYFYPYKKYEYFCBHRZYPYEXIXQXRYFUYLQUUGUUMUUNAHIBCMOVDT
      YECDBHUXPWDXHWDXHVRWEWK $.

    dalawlem2.o $e |- O = ( LPlanes ` K ) $.
    $( Lemma for ~ dalaw .  Special case to eliminate the requirement
       ` ( ( P .\/ Q ) .\/ R ) e. O ` in ~ dalawlem1 .  (Contributed by NM,
       6-Oct-2012.) $)
    dalawlem13 $p |- ( ( ( K e. HL /\ -. ( ( P .\/ Q ) .\/ R ) e. O
            /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ U ) )
       /\ ( P e. A /\ Q e. A /\ R e. A )
       /\ ( S e. A /\ T e. A /\ U e. A ) )
         -> ( ( P .\/ Q ) ./\ ( S .\/ T ) )
               .<_ ( ( ( Q .\/ R ) ./\ ( T .\/ U ) )
                     .\/ ( ( R .\/ P ) ./\ ( U .\/ S ) ) ) ) $=
      ( wcel co w3a chlt wn wbr wo simp11 simp12 wne wa wb simp22 simp23 simp21
      islpln2a syl13anc df-ne anbi1i pm4.56 bitri bitr2di hlatjrot eleq1d bitrd
      wceq con1bid mpbid simp13 simp2 wi dalawlem12 3expib 3exp dalawlem11 jaod
      simp3 3imp 3impib syl311anc ) IUARZBCHSZDHSZLRZUBZBEHSCFHSKSDGHSJUCZTZBAR
      ZCARZDARZTZEARFARGARTZTZVRCDVCZBCDHSZJUCZUDZWCWHWIVSEFHSKSWLFGHSKSDBHSGEH
      SKSHSJUCZVRWBWCWHWIUEZWJWBWNVRWBWCWHWIUFWJWNWAWJWNUBZWLBHSZLRZWAWJWSCDUGZ
      WMUBZUHZWQWJVRWFWGWEWSXBUIWPWDWEWFWGWIUJZWDWEWFWGWIUKZWDWEWFWGWIULZALCDBH
      IJMNPQUMUNXBWKUBZXAUHWQWTXFXACDUOUPWKWMUQURUSWJWRVTLWJVRWFWGWEWRVTVCWPXCX
      DXEACDBHINPUTUNVAVBVDVEVRWBWCWHWIVFWDWHWIVGWDWHWIVNVRWNWCTWHWIWOVRWNWCWHW
      IUHWOVHZVRWKWCXGVHWMVRWKWCXGVRWKWCTWHWIWOABCDEFGHIJKMNOPVIVJVKVRWMWCXGVRW
      MWCTWHWIWOABCDEFGHIJKMNOPVLVJVKVMVOVPVQ $.

    $( Lemma for ~ dalaw .  Combine ~ dalawlem10 and ~ dalawlem13 .
       (Contributed by NM, 6-Oct-2012.) $)
    dalawlem14 $p |- ( ( ( K e. HL /\
             -. ( ( ( P .\/ Q ) .\/ R ) e. O
               /\ ( -. ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( P .\/ Q )
               /\ -. ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( Q .\/ R )
               /\ -. ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ P ) ) )
            /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ U ) )
       /\ ( P e. A /\ Q e. A /\ R e. A )
       /\ ( S e. A /\ T e. A /\ U e. A ) )
         -> ( ( P .\/ Q ) ./\ ( S .\/ T ) )
               .<_ ( ( ( Q .\/ R ) ./\ ( T .\/ U ) )
                   .\/ ( ( R .\/ P ) ./\ ( U .\/ S ) ) ) ) $=
      ( wcel co wn chlt wbr w3a wa wi wo dalawlem13 3expib 3exp dalawlem10 jaod
      ianor syl5bi 3imp 3impib ) IUARZBCHSZDHSLRZBEHSCFHSKSZUQJUBTUSCDHSZJUBTUS
      DBHSZJUBTUCZUDTZUSDGHSJUBZUCBARCARDARUCZEARFARGARUCZUQEFHSKSUTFGHSKSVAGEH
      SKSHSJUBZUPVCVDVEVFUDVGUEZVCURTZVBTZUFUPVDVHUEZURVBULUPVIVKVJUPVIVDVHUPVI
      VDUCVEVFVGABCDEFGHIJKLMNOPQUGUHUIUPVJVDVHUPVJVDUCVEVFVGABCDEFGHIJKMNOPUJU
      HUIUKUMUNUO $.

    $( Lemma for ~ dalaw .  Swap variable triples ` P Q R ` and ` S T U ` in
       ~ dalawlem14 , to obtain the elimination of the remaining conditions in
       ~ dalawlem1 .  (Contributed by NM, 6-Oct-2012.) $)
    dalawlem15 $p |- ( ( ( K e. HL /\
             -. ( ( ( S .\/ T ) .\/ U ) e. O
               /\ ( -. ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( S .\/ T )
               /\ -. ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( T .\/ U )
               /\ -. ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( U .\/ S ) ) )
            /\ ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ U ) )
       /\ ( P e. A /\ Q e. A /\ R e. A )
       /\ ( S e. A /\ T e. A /\ U e. A ) )
         -> ( ( P .\/ Q ) ./\ ( S .\/ T ) )
               .<_ ( ( ( Q .\/ R ) ./\ ( T .\/ U ) )
                     .\/ ( ( R .\/ P ) ./\ ( U .\/ S ) ) ) ) $=
      ( wcel co syl3anc chlt wbr wn w3a wa simp11 simp12 simp21 simp31 hlatjcom
      simp22 simp32 oveq12d breq1d notbid 3anbi123d anbi2d simp13 simp33 simp23
      wceq mtbid 3brtr4d simp3 dalawlem14 syl311anc clat cbs cfv hllatd hlatjcl
      simp2 eqid latmcom ) IUARZEFHSZGHSLRZBEHSZCFHSZKSZVPJUBZUCZVTFGHSZJUBZUCZ
      VTGEHSZJUBZUCZUDZUEZUCZVTDGHSZJUBZUDZBARZCARZDARZUDZEARZFARZGARZUDZUDZVPB
      CHSZKSZWCCDHSZKSZWFDBHSZKSZHSZXDVPKSZXFWCKSZXHWFKSZHSJXCVOVQEBHSZFCHSZKSZ
      VPJUBZUCZXPWCJUBZUCZXPWFJUBZUCZUDZUEZUCXPGDHSZJUBXBWRXEXJJUBVOWKWMWRXBUFZ
      XCWJYDVOWKWMWRXBUGXCWIYCVQXCWBXRWEXTWHYBXCWAXQXCVTXPVPJXCVRXNVSXOKXCVOWOW
      SVRXNVAYFWNWOWPWQXBUHZWNWRWSWTXAUIZAHIBENPUJTXCVOWPWTVSXOVAYFWNWOWPWQXBUK
      ZWNWRWSWTXAULZAHICFNPUJTUMZUNUOXCWDXSXCVTXPWCJYKUNUOXCWGYAXCVTXPWFJYKUNUO
      UPUQVBXCVTWLXPYEJVOWKWMWRXBURXCXNVRXOVSKXCVOWSWOXNVRVAYFYHYGAHIEBNPUJTXCV
      OWTWPXOVSVAYFYJYIAHIFCNPUJTUMXCVOXAWQYEWLVAYFWNWRWSWTXAUSZWNWOWPWQXBUTZAH
      IGDNPUJTVCWNWRXBVDWNWRXBVLAEFGBCDHIJKLMNOPQVEVFXCIVGRZXDIVHVIZRZVPYORZXKX
      EVAXCIYFVJZXCVOWOWPYPYFYGYIAYOHIBCYOVMZNPVKTXCVOWSWTYQYFYHYJAYOHIEFYSNPVK
      TYOIKXDVPYSOVNTXCXLXGXMXIHXCYNXFYORZWCYORZXLXGVAYRXCVOWPWQYTYFYIYMAYOHICD
      YSNPVKTXCVOWTXAUUAYFYJYLAYOHIFGYSNPVKTYOIKXFWCYSOVNTXCYNXHYORZWFYORZXMXIV
      AYRXCVOWQWOUUBYFYMYGAYOHIDBYSNPVKTXCVOXAWSUUCYFYLYHAYOHIGEYSNPVKTYOIKXHWF
      YSOVNTUMVC $.
  $}

  ${
    dalaw.l $e |- .<_ = ( le ` K ) $.
    dalaw.j $e |- .\/ = ( join ` K ) $.
    dalaw.m $e |- ./\ = ( meet ` K ) $.
    dalaw.a $e |- A = ( Atoms ` K ) $.
    $( Desargues's law, derived from Desargues's theorem ~ dath and with no
       conditions on the atoms.  If triples ` <. P , Q , R >. ` and
       ` <. S , T , U >. ` are centrally perspective, i.e.,
       ` ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ U ) ` , then they are
       axially perspective.  Theorem 13.3 of [Crawley] p. 110.  (Contributed by
       NM, 7-Oct-2012.) $)
    dalaw $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
                /\ ( S e. A /\ T e. A /\ U e. A ) )
       -> ( ( ( P .\/ S ) ./\ ( Q .\/ T ) ) .<_ ( R .\/ U )
         -> ( ( P .\/ Q ) ./\ ( S .\/ T ) )
             .<_ ( ( ( Q .\/ R ) ./\ ( T .\/ U ) )
                 .\/ ( ( R .\/ P ) ./\ ( U .\/ S ) ) ) ) ) $=
      ( wcel w3a co wbr wn chlt clpl cfv eqid dalawlem14 3expib 3exp dalawlem15
      wi wa simp11 simp2 simp3 simp2ll simp2rl simp2lr simp2rr simp13 dalawlem1
      3ad2ant1 syl323anc ecased exp4a com34 com24 3imp ) IUAPZBAPCAPDAPQZEAPFAP
      GAPQZBEHRCFHRKRZDGHRJSZBCHRZEFHRZKRCDHRZFGHRZKRDBHRZGEHRZKRHRJSZUIVGVKVIV
      HVRVGVKVHVIVRVGVKVHVIVRVGVLDHRIUBUCZPZVJVLJSTVJVNJSTVJVPJSTQZUJZVMGHRVSPZ
      VJVMJSTVJVOJSTVJVQJSTQZUJZVKVHVIUJVRUIZUIVGWBTZVKWFVGWGVKQVHVIVRABCDEFGHI
      JKVSLMNOVSUDZUEUFUGVGWETZVKWFVGWIVKQVHVIVRABCDEFGHIJKVSLMNOWHUHUFUGVGWBWE
      UJZVKWFVGWJVKQZVHVIVRWKVHVIQVGVHVIVTWCWAWDVKVRVGWJVKVHVIUKWKVHVIULWKVHVIU
      MWKVHVTVIVTWAWEVGVKUNUTWKVHWCVIWCWDWBVGVKUOUTWKVHWAVIVTWAWEVGVKUPUTWKVHWD
      VIWCWDWBVGVKUQUTVGWJVKVHVIURABCDEFGHIJKVSLMNOWHUSVAUFUGVBVCVDVEVF $.
  $}

  $c PCl $.

  $( Extend class notation with projective subspace closure. $)
  cpclN $a class PCl $.

  ${
    $d k x y $.
    $( Projective subspace closure, which is the smallest projective subspace
       containing an arbitrary set of atoms.  The subspace closure of the union
       of a set of projective subspaces is their supremum in ` PSubSp ` .
       Related to an analogous definition of closure used in Lemma 3.1.4 of
       [PtakPulmannova] p. 68.  (Note that this closure is not necessarily one
       of the closed projective subspaces ` PSubCl ` of ~ df-psubclN .)
       (Contributed by NM, 7-Sep-2013.) $)
    df-pclN $a |- PCl = ( k e. _V |-> ( x e. ~P ( Atoms ` k )
           |-> |^| { y e. ( PSubSp ` k ) | x C_ y } ) ) $.
  $}

  ${
    $d k x y A $.  $d k x y K $.  $d k x y S $.  $d x y X $.
    pclfval.a $e |- A = ( Atoms ` K ) $.
    pclfval.s $e |- S = ( PSubSp ` K ) $.
    pclfval.c $e |- U = ( PCl ` K ) $.
    $( The projective subspace closure function.  (Contributed by NM,
       7-Sep-2013.)  (New usage is discouraged.) $)
    pclfvalN $p |- ( K e. V -> U = ( x e. ~P A |->
                |^| { y e. S | x C_ y } ) ) $=
      ( vk wcel cvv cpw cv crab cint cfv catm cpsubsp wss cmpt wceq cpclN fveq2
      elex eqtr4di pweqd rabeqdv inteqd mpteq12dv fvexi pwex mptex fvmpt syl5eq
      df-pclN syl ) FGLFMLZEACNZAOBOUAZBDPZQZUBZUCFGUFUSEFUDRVDJKFAKOZSRZNZVABV
      ETRZPZQZUBVDMUDVEFUCZAVGVJUTVCVKVFCVKVFFSRCVEFSUEHUGUHVKVIVBVKVABVHDVKVHF
      TRDVEFTUEIUGUIUJUKABKUQAUTVCCCFSHULUMUNUOUPUR $.

    $( Value of the projective subspace closure function.  (Contributed by NM,
       7-Sep-2013.)  (New usage is discouraged.) $)
    pclvalN $p |- ( ( K e. V /\ X C_ A ) ->
             ( U ` X ) = |^| { y e. S | X C_ y } ) $=
      ( vx wss wcel cfv cv crab cint wceq adantr cvv cpw catm fvexi wa pclfvalN
      elpw2 cmpt fveq1d eqid sseq1 rabbidv inteqd simpr c0 elpwi adantl atpsubN
      wne wb sseq2 elrab3 syl mpbird ne0d intex sylib fvmptd3 eqtrd sylan2br )
      GBLZEFMZGBUAZMZGDNZGAOZLZACPZQZRGBBEUBHUCUFVKVMUDZVNGKVLKOZVOLZACPZQZUGZN
      ZVRVKVNWERVMVKGDWDKABCDEFHIJUEUHSVSKGWCVRVLWDTWDUIVTGRZWBVQWFWAVPACVTGVOU
      JUKULVKVMUMVSVQUNURVRTMVSVQBVSBVQMZVJVMVJVKGBUOUPVSBCMZWGVJUSVKWHVMBCEFHI
      UQSVPVJABCVOBGUTVAVBVCVDVQVEVFVGVHVI $.

    $d p q r A $.  $d p q r K $.  $d p q r S $.  $d p q r X $.  $d p q r y V $.
    $( Closure of the projective subspace closure function.  (Contributed by
       NM, 8-Sep-2013.)  (New usage is discouraged.) $)
    pclclN $p |- ( ( K e. V /\ X C_ A ) -> ( U ` X ) e. S ) $=
      ( vy vr vp vq wcel wss wa cfv cv wi wral crab cint pclvalN cjn co atpsubN
      cple wbr sseq2 intminss sylan r19.26 ralbii vex elintrab anbi12i 3bitr4ri
      jcab simpll1 simplr simpll3 simprl simprr simpll2 eqid psubspi2N syl33anc
      ex imim2d ralimdva syl6ibr 3exp com24 syl5bi ralrimdv ralrimivv adantr wb
      w3a ispsubsp mpbir2and eqeltrd ) DENZFAOZPZFCQFJRZOZJBUAUBZBJABCDEFGHIUCW
      EWHBNZWHAOZKRZLRZMRZDUDQZUEDUGQZUHZWKWHNZSZKATZMWHTLWHTZWCABNWDWJABDEGHUF
      WGWDJABWFAFUIUJUKWCWTWDWCWSLMWHWHWCWLWHNZWMWHNZPZWRKAXCWGWLWFNZWMWFNZPZSZ
      JBTZWCWKANZWRSWGXDSZWGXESZPZJBTXJJBTZXKJBTZPXHXCXJXKJBULXGXLJBWGXDXEURUMX
      AXMXBXNWGJWLBLUNUOWGJWMBMUNUOUPUQWCWPXIXHWQWCWPXIXHWQSWCWPXIVSZXHWGWKWFNZ
      SZJBTWQXOXGXQJBXOWFBNZPZXFXPWGXSXFXPXSXFPWCXRXIXDXEWPXPWCWPXIXRXFUSXOXRXF
      UTWCWPXIXRXFVAXSXDXEVBXSXDXEVCWCWPXIXRXFVDAEWKWLWMBWNDWOWFWOVEZWNVEZGHVFV
      GVHVIVJWGJWKBKUNUOVKVLVMVNVOVPVQWCWIWJWTPVRWDAEBWNDWOWHKMLXTYAGHVTVQWAWB
      $.

    $d y Q $.
    elpcl.q $e |- Q e. _V $.
    $( Membership in the projective subspace closure function.  (Contributed by
       NM, 13-Sep-2013.)  (New usage is discouraged.) $)
    elpclN $p |- ( ( K e. V /\ X C_ A ) ->
             ( Q e. ( U ` X ) <-> A. y e. S ( X C_ y -> Q e. y ) ) ) $=
      ( wcel wss wa cfv cv crab cint wi wral pclvalN eleq2d elintrab bitrdi ) F
      GMHBNOZCHEPZMCHAQZNZADRSZMUICUHMTADUAUFUGUJCABDEFGHIJKUBUCUIACDLUDUE $.
  $}

  ${
    $d z K $.  $d z Q $.  $d z S $.  $d z X $.  $d z Y $.
    elpcli.s $e |- S = ( PSubSp ` K ) $.
    elpcli.c $e |- U = ( PCl ` K ) $.
    $( Implication of membership in the projective subspace closure function.
       (Contributed by NM, 13-Sep-2013.)  (New usage is discouraged.) $)
    elpcliN $p |- ( ( ( K e. V /\ X C_ Y /\ Y e. S ) /\ Q e. ( U ` X ) )
         -> Q e. Y ) $=
      ( vz wcel wss w3a cfv cv wi wral crab wceq imp cint catm simp1 simp2 eqid
      psubssat 3adant2 sstrd pclvalN syl2anc eleq2d elintrabg ibi sseq2 imbi12d
      syl6bi eleq2 rspccv com13 3adant1 syld ) DEKZFGLZGBKZMZAFCNZKZAGKZVEVGFJO
      ZLZAVIKZPZJBQZVHVEVGAVJJBRUAZKZVMVEVFVNAVEVBFDUBNZLVFVNSVBVCVDUCVEFGVPVBV
      CVDUDVBVDGVPLVCVPEBDGVPUEZHUFUGUHJVPBCDEFVQHIUIUJUKVOVMVJJABVNULUMUPVCVDV
      MVHPZVBVCVDVRVMVDVCVHVLVCVHPJGBVIGSVJVCVKVHVIGFUNVIGAUQUOURUSTUTVAT $.
  $}

  ${
    $d y A $.  $d y K $.  $d y V $.  $d y X $.  $d y Y $.
    pclss.a $e |- A = ( Atoms ` K ) $.
    pclss.c $e |- U = ( PCl ` K ) $.
    $( Ordering is preserved by subspace closure.  (Contributed by NM,
       8-Sep-2013.)  (New usage is discouraged.) $)
    pclssN $p |- ( ( K e. V /\ X C_ Y /\ Y C_ A )
           -> ( U ` X ) C_ ( U ` Y ) ) $=
      ( vy wcel wss w3a cv cpsubsp cfv crab cint wi wceq pclvalN sstr2 3ad2ant2
      adantr ss2rabdv intss syl simp1 sstr 3adant1 eqid syl2anc 3adant2 3sstr4d
      ) CDJZEFKZFAKZLZEIMZKZICNOZPZQZFURKZIUTPZQZEBOZFBOZUQVDVAKVBVEKUQVCUSIUTU
      QVCUSRZURUTJUOUNVHUPEFURUAUBUCUDVDVAUEUFUQUNEAKZVFVBSUNUOUPUGUOUPVIUNEFAU
      HUIIAUTBCDEGUTUJZHTUKUNUPVGVESUOIAUTBCDFGVJHTULUM $.

    $( A set of atoms is included in its projective subspace closure.
       (Contributed by NM, 12-Sep-2013.)  (New usage is discouraged.) $)
    pclssidN $p |- ( ( K e. V /\ X C_ A ) -> X C_ ( U ` X ) ) $=
      ( vy wcel wss wa cv cpsubsp cfv crab cint ssintub eqid pclvalN sseqtrrid
      ) CDIEAJKEHLJHCMNZOPEEBNHEUAQHAUABCDEFUARGST $.
  $}

  ${
    $d y K $.  $d y S $.  $d y X $.
    pclid.s $e |- S = ( PSubSp ` K ) $.
    pclid.c $e |- U = ( PCl ` K ) $.
    $( The projective subspace closure of a projective subspace is itself.
       (Contributed by NM, 8-Sep-2013.)  (New usage is discouraged.) $)
    pclidN $p |- ( ( K e. V /\ X e. S ) -> ( U ` X ) = X ) $=
      ( vy wcel wa cfv cv wss crab cint catm wceq eqid psubssat pclvalN syldan
      intmin adantl eqtrd ) CDIZEAIZJEBKZEHLMHANOZEUEUFECPKZMUGUHQUIDACEUIRZFSH
      UIABCDEUJFGTUAUFUHEQUEHEAUBUCUD $.

    $( A projective subspace sandwiched between a set of atoms and the set's
       projective subspace closure equals the closure.  (Contributed by NM,
       8-Sep-2013.)  (New usage is discouraged.) $)
    pclbtwnN $p |- ( ( ( K e. V /\ X e. S ) /\ ( Y C_ X /\ X C_ ( U ` Y ) ) )
            -> X = ( U ` Y ) ) $=
      ( wcel wa wss cfv simprr catm simpll simprl eqid psubssat adantr pclssN
      syl3anc wceq pclidN sseqtrd eqssd ) CDIZEAIZJZFEKZEFBLZKZJZJZEUJUHUIUKMUM
      UJEBLZEUMUFUIECNLZKZUJUNKUFUGULOUHUIUKPUHUPULUODACEUOQZGRSUOBCDFEUQHTUAUH
      UNEUBULABCDEGHUCSUDUE $.
  $}

  ${
    pclun.a $e |- A = ( Atoms ` K ) $.
    pclun.p $e |- .+ = ( +P ` K ) $.
    pclun.c $e |- U = ( PCl ` K ) $.
    $( The projective subspace closure of the union of two sets of atoms equals
       the closure of their projective sum.  (Contributed by NM, 12-Sep-2013.)
       (New usage is discouraged.) $)
    pclunN $p |- ( ( K e. V /\ X C_ A /\ Y C_ A )
                   -> ( U ` ( X u. Y ) ) = ( U ` ( X .+ Y ) ) ) $=
      ( wcel wss w3a cun cfv pclssN syl3anc wa unss syl2anc co paddunssN biimpi
      simp1 paddssat 3adant1 pclssidN sylibr cpsubsp wb simp2 simp3 eqid pclclN
      paddss syl13anc mpbid psubssat wceq pclidN sseqtrd eqssd ) DEKZFALZGALZMZ
      FGNZCOZFGBUAZCOZVFVCVGVILVIALVHVJLVCVDVEUDZAEBDFGHIUBAEBDFGHIUEACDEVGVIHJ
      PQVFVJVHCOZVHVFVCVIVHLZVHALZVJVLLVKVFFVHLGVHLRZVMVFVGVHLZVOVFVCVGALZVPVKV
      DVEVQVCVDVERVQFGASUCUFZACDEVGHJUGTFGVHSUHVFVCVDVEVHDUIOZKZVOVMUJVKVCVDVEU
      KVCVDVEULVFVCVQVTVKVRAVSCDEVGHVSUMZJUNTZAEBVSDFGVHHWAIUOUPUQVFVCVTVNVKWBA
      EVSDVHHWAURTACDEVIVHHJPQVFVCVTVLVHUSVKWBVSCDEVHWAJUTTVAVB $.
  $}

  ${
    pclun2.s $e |- S = ( PSubSp ` K ) $.
    pclun2.p $e |- .+ = ( +P ` K ) $.
    pclun2.c $e |- U = ( PCl ` K ) $.
    $( The projective subspace closure of the union of two subspaces equals
       their projective sum.  (Contributed by NM, 12-Sep-2013.)
       (New usage is discouraged.) $)
    pclun2N $p |- ( ( K e. HL /\ X e. S /\ Y e. S )
                   -> ( U ` ( X u. Y ) ) = ( X .+ Y ) ) $=
      ( chlt wcel w3a cun cfv co catm wss wceq simp1 psubssat eqid pclunN eqtrd
      3adant3 3adant2 syl3anc paddclN pclidN syl2anc ) DJKZEBKZFBKZLZEFMCNZEFAO
      ZCNZUOUMUJEDPNZQZFUQQZUNUPRUJUKULSZUJUKURULUQJBDEUQUAZGTUDUJULUSUKUQJBDFV
      AGTUEUQACDJEFVAHIUBUFUMUJUOBKUPUORUTABDEFGHUGBCDJUOGIUHUIUC $.
  $}

  ${
    pclfin.a $e |- A = ( Atoms ` K ) $.
    pclfin.c $e |- U = ( PCl ` K ) $.
    $d p q r v w y A $.  $d p q r v w y U $.  $d p q r v w y K $.
    $d p q r v w y X $.
    $( The projective subspace closure of a set equals the union of the
       closures of its finite subsets.  Analogous to Lemma 3.3.6 of
       [PtakPulmannova] p. 72.  Compare the closed subspace version
       ~ pclfinclN .  (Contributed by NM, 10-Sep-2013.)
       (New usage is discouraged.) $)
    pclfinN $p |- ( ( K e. AtLat /\ X C_ A )
      -> ( U ` X ) = U_ y e. ( Fin i^i ~P X ) ( U ` y ) ) $=
      ( vw vv cal wcel wss wa cfn cv cfv wceq wi syl2anc wrex vr vp vq cpw ciun
      cin cpsubsp simpl cjn cple wbr wral elin elpwi adantl sylbi simpll ancoms
      co sstr adantll eqid pclclN psubssat ex ralrimiv iunss sylibr eliun fveq2
      syl5 eleq2d cbvrexvw bitri anbi12i anim2i w3a cun simp2rl simp12l simp2rr
      unfi simp12r unssd vex unex elpw elind simp11l simp11r sstrd simp3l ssun1
      a1i pclssN syl3anc simp2l sseldd ssun2 simp13 simp3r syl33anc rspcev 3exp
      psubspi2N exp5c rexlimdv com24 impd syl5bi ralrimdv ralrimivv wb ispsubsp
      adantr mpbir2and csn snfi snelpwi vsnid ssel2 snatpsubN eleqtrrid syl6ibr
      pclidN ssrdv simpr simplr sseld pclbtwnN syl22anc eqcomd ) DJKZEBLZMZANEU
      DZUFZAOZCPZUEZECPZYOYMYTDUGPZKZEYTLYTUUALYTUUAQYMYNUHYOUUCYTBLZUAOZUBOZUC
      OZDUIPZUSDUJPZUKZUUEYTKZRZUABULZUCYTULUBYTULZYOYSBLZAYQULUUDYOUUOAYQYRYQK
      ZYRELZYOUUOUUPYRNKZYRYPKZMUUQYRNYPUMUUSUUQUURYREUNUOUPZYOUUQUUOYOUUQMZYMY
      SUUBKZUUOYMYNUUQUQZUVAYMYRBLZUVBUVCYNUUQUVDYMUUQYNUVDYREBUTURVABUUBCDJYRF
      UUBVBZGVCSBJUUBDYSFUVEVDSVEVKVFAYQYSBVGVHYOUUMUBUCYTYTYOUUFYTKZUUGYTKZMZU
      ULUABUVHUUFHOZCPZKZHYQTZUUGIOZCPZKZIYQTZMYOUUEBKZUULRZUVFUVLUVGUVPUVFUUFY
      SKZAYQTUVLAUUFYQYSVIUVSUVKAHYQYRUVIQYSUVJUUFYRUVICVJVLVMVNUVGUUGYSKZAYQTU
      VPAUUGYQYSVIUVTUVOAIYQYRUVMQYSUVNUUGYRUVMCVJVLVMVNVOYOUVLUVPUVRYOUVKUVPUV
      RRZHYQUVIYQKZUVINKZUVIELZMZYOUVKUWARUWBUWCUVIYPKZMUWEUVINYPUMUWFUWDUWCUVI
      EUNVPUPYOUVPUVKUWEUVRYOUVOUVKUWEUVRRRZIYQUVMYQKZUVMNKZUVMELZMZYOUVOUWGRUW
      HUWIUVMYPKZMUWKUVMNYPUMUWLUWJUWIUVMEUNVPUPYOUWKUVOUWGYOUWKUVOVQZUVKUWEUVQ
      UUJUUKUWMUVKUWEMZUVQUUJMZUUKUWMUWNUWOVQZUUEYSKZAYQTZUUKUWPUVIUVMVRZYQKUUE
      UWSCPZKZUWRUWPNYPUWSUWPUWCUWIUWSNKUWCUWDUVKUWMUWOVSUWIUWJYOUVOUWNUWOVTUVI
      UVMWBSUWPUWSELUWSYPKUWPUVIUVMEUWCUWDUVKUWMUWOWAZUWIUWJYOUVOUWNUWOWCZWDUWS
      EUVIUVMHWEIWEWFWGVHWHUWPYMUWTUUBKZUVQUUFUWTKUUGUWTKUUJUXAYMYNUWKUVOUWNUWO
      WIZUWPYMUWSBLZUXDUXEUWPUVIUVMBUWPUVIEBUXBYMYNUWKUVOUWNUWOWJZWKUWPUVMEBUXC
      UXGWKWDZBUUBCDJUWSFUVEGVCSUWMUWNUVQUUJWLUWPUVJUWTUUFUWPYMUVIUWSLZUXFUVJUW
      TLUXEUXIUWPUVIUVMWMWNUXHBCDJUVIUWSFGWOWPUWMUVKUWEUWOWQWRUWPUVNUWTUUGUWPYM
      UVMUWSLZUXFUVNUWTLUXEUXJUWPUVMUVIWSWNUXHBCDJUVMUWSFGWOWPYOUWKUVOUWNUWOWTW
      RUWMUWNUVQUUJXABJUUEUUFUUGUUBUUHDUUIUWTUUIVBZUUHVBZFUVEXEXBUWQUXAAUWSYQYR
      UWSQYSUWTUUEYRUWSCVJVLXCSAUUEYQYSVIVHXDXFXDVKXGXHVKXGXIXJXKXLYMUUCUUDUUNM
      XMYNBJUUBUUHDUUIYTUAUCUBUXKUXLFUVEXNXOXPYOHEYTYOUVIEKZUVIYSKZAYQTZUVIYTKZ
      YOUXMUXOYOUXMMZUVIXQZYQKUVIUXRCPZKZUXOUXQNYPUXRUXRNKUXQUVIXRWNUXMUXRYPKYO
      UVIEXSUOWHUXQUVIUXRUXSHXTUXQYMUXRUUBKZUXSUXRQYMYNUXMUQZUXQYMUVIBKZUYAUYBY
      NUXMUYCYMEBUVIYAVABUVIUUBDFUVEYBSUUBCDJUXRUVEGYESYCUXNUXTAUXRYQYRUXRQYSUX
      SUVIYRUXRCVJVLXCSVEAUVIYQYSVIZYDYFYOHYTUUAUXPUXOYOUVIUUAKZUYDYOUXNUYEAYQU
      UPUUQYOUXNUYERZUUTYOUUQUYFUVAYSUUAUVIUVAYMUUQYNYSUUALUVCYOUUQYGYMYNUUQYHB
      CDJYREFGWOWPYIVEVKXGXJYFUUBCDJYTEUVEGYJYKYL $.

    $d y P $.
    $( The set of projective subspaces is compactly atomistic: if an atom is in
       the projective subspace closure of a set of atoms, it also belongs to
       the projective subspace closure of a finite subset of that set.
       Analogous to Lemma 3.3.10 of [PtakPulmannova] p. 74.  (Contributed by
       NM, 10-Sep-2013.)  (New usage is discouraged.) $)
    pclcmpatN $p |- ( ( K e. AtLat /\ X C_ A /\ P e. ( U ` X ) )
      -> E. y e. Fin ( y C_ X /\ P e. ( U ` y ) ) ) $=
      ( cal wcel wss cfv cv wa cfn wrex cpw cin ciun pclfinN eleq2d bitrdi elin
      eliun elpwi anim2i sylbi anim1i anass sylib reximi2 syl6bi 3impia ) EIJZF
      BKZCFDLZJZAMZFKZCURDLZJZNZAOPZUNUONZUQVAAOFQZRZPZVCVDUQCAVFUTSZJVGVDUPVHC
      ABDEFGHTUAACVFUTUDUBVAVBAVFOURVFJZVANUROJZUSNZVANVJVBNVIVKVAVIVJURVEJZNVK
      UROVEUCVLUSVJURFUEUFUGUHVJUSVAUIUJUKULUM $.
  $}

  $c _|_P $.

  $( Extend class notation with polarity of projective subspace $m$. $)
  cpolN $a class _|_P $.

  ${
    $d l m p $.
    $( Define polarity of projective subspace, which is a kind of complement of
       the subspace.  Item 2 in [Holland95] p. 222 bottom.  For more
       generality, we define it for all subsets of atoms, not just projective
       subspaces.  The intersection with ` Atoms `` l ` ensures it is defined
       when ` m = (/) ` .  (Contributed by NM, 23-Oct-2011.) $)
    df-polarityN $a |- _|_P = ( l e. _V |-> ( m e. ~P ( Atoms ` l ) |->
          ( ( Atoms ` l )
             i^i |^|_ p e. m ( ( pmap ` l ) ` ( ( oc ` l ) ` p ) ) ) ) ) $.
  $}

  ${
    $d h m A $.  $d h m p K $.  $d h M $.  $d h ._|_ $.
    polfval.o $e |- ._|_ = ( oc ` K ) $.
    polfval.a $e |- A = ( Atoms ` K ) $.
    polfval.m $e |- M = ( pmap ` K ) $.
    polfval.p $e |- P = ( _|_P ` K ) $.
    $( The projective subspace polarity function.  (Contributed by NM,
       23-Oct-2011.)  (New usage is discouraged.) $)
    polfvalN $p |- ( K e. B -> P = ( m e. ~P A |->
                ( A i^i |^|_ p e. m ( M ` ( ._|_ ` p ) ) ) ) ) $=
      ( vh wcel cv cfv wceq catm coc cpmap cvv cpw ciin cmpt elex cpolN eqtr4di
      fveq2 pweqd fveq1d fveq12d adantr iineq2dv ineq12d mpteq12dv df-polarityN
      cin fvexi pwex mptex fvmpt syl5eq syl ) EBNEUANZCDAUBZAHDOZHOZGPZFPZUCZUQ
      ZUDZQEBUEVDCEUFPVLLMEDMOZRPZUBZVNHVFVGVMSPZPZVMTPZPZUCZUQZUDVLUAUFVMEQZDV
      OWAVEVKWBVNAWBVNERPAVMERUHJUGZUIWBVNAVTVJWCWBHVFVSVIWBVSVIQVGVFNWBVQVHVRF
      WBVRETPFVMETUHKUGWBVGVPGWBVPESPGVMESUHIUGUJUKULUMUNUODHMUPDVEVKAAERJURUSU
      TVAVBVC $.

    $d m M $.  $d m ._|_ $.  $d m p X $.
    $( Value of the projective subspace polarity function.  (Contributed by NM,
       23-Oct-2011.)  (New usage is discouraged.) $)
    polvalN $p |- ( ( K e. B /\ X C_ A ) ->
             ( P ` X ) = ( A i^i |^|_ p e. X ( M ` ( ._|_ ` p ) ) ) ) $=
      ( vm wss wcel cfv cv ciin cin wceq cpw fvexi elpw2 polfvalN fveq1d iineq1
      catm cmpt ineq2d eqid inex1 fvmpt sylan9eq sylan2br ) GANDBOZGAUAZOZGCPZA
      HGHQFPEPZRZSZTGAADUGJUBZUCUOUQURGMUPAHMQZUSRZSZUHZPVAUOGCVFABCMDEFHIJKLUD
      UEMGVEVAUPVFVCGTVDUTAHVCGUSUFUIVFUJAUTVBUKULUMUN $.
  $}

  ${
    $d p x A $.  $d p x K $.  $d p x ._|_ $.  $d p x X $.
    polval2.u $e |- U = ( lub ` K ) $.
    polval2.o $e |- ._|_ = ( oc ` K ) $.
    polval2.a $e |- A = ( Atoms ` K ) $.
    polval2.m $e |- M = ( pmap ` K ) $.
    polval2.p $e |- P = ( _|_P ` K ) $.
    $( Alternate expression for value of the projective subspace polarity
       function.  Equation for polarity in [Holland95] p. 223.  (Contributed by
       NM, 22-Jan-2012.)  (New usage is discouraged.) $)
    polval2N $p |- ( ( K e. HL /\ X C_ A ) ->
             ( P ` X ) = ( M ` ( ._|_ ` ( U ` X ) ) ) ) $=
      ( vp vx wcel wa cfv wceq wrex cab chlt wss ciin cin cglb polvalN cbs wral
      cops hlop ad2antrr ssel2 adantll eqid atbase syl opoccl syl2anc ralrimiva
      cv pmapglb2xN syldan glbconxN opococ eqeq2d rexbidva abbidv df-rex equcom
      weq wex anbi1ci exbii eleq1w 3bitri abbii abid2 eqtri eqtrdi fveq2d eqtrd
      equsexvw 3eqtr2d ) DUAOZGAUBZPZGBQAMGMUTZFQZEQUCUDZNUTZWHRMGSNTDUEQZQZEQZ
      GCQZFQZEQAUABDEFGMIJKLUFWDWEWHDUGQZOZMGUHZWMWIRWFWQMGWFWGGOZPZDUIOZWGWPOZ
      WQWDXAWEWSDUJUKZWTWGAOZXBWEWSXDWDGAWGULUMAWPWGDWPUNZJUOUPZWPDFWGXEIUQURUS
      ZNAWPWHMWKGDEXEWKUNZJKVAVBWFWLWOEWFWLWJWHFQZRZMGSZNTZCQZFQZWOWDWEWRWLXNRX
      GNWPWHCMWKGDFXEHXHIVCVBWFXMWNFWFXLGCWFXLNMVJZMGSZNTZGWFXKXPNWFXJXOMGWTXIW
      GWJWTXAXBXIWGRXCXFWPDFWGXEIVDURVEVFVGXQWJGOZNTGXPXRNXPWSXOPZMVKMNVJZWSPZM
      VKXRXOMGVHXSYAMXOXTWSNMVIVLVMWSXRMNMNGVNWBVOVPNGVQVRVSVTVTWAVTWC $.
  $}

  ${
    polsubsp.a $e |- A = ( Atoms ` K ) $.
    polsubsp.s $e |- S = ( PSubSp ` K ) $.
    polsubsp.p $e |- ._|_ = ( _|_P ` K ) $.
    $( The polarity of a set of atoms is a projective subspace.  (Contributed
       by NM, 23-Jan-2012.)  (New usage is discouraged.) $)
    polsubN $p |- ( ( K e. HL /\ X C_ A ) -> ( ._|_ ` X ) e. S ) $=
      ( chlt wcel wss wa cfv club coc cpmap eqid polval2N adantr syl2anc hlclat
      clat cbs hllat cops hlop ccla atssbase sstr mpan2 clatlubcl syl2an opoccl
      pmapsub eqeltrd ) CIJZEAKZLZEDMECNMZMZCOMZMZCPMZMZBADUSCVCVAEUSQZVAQZFVCQ
      ZHRURCUBJZVBCUCMZJZVDBJUPVHUQCUDSURCUEJZUTVIJZVJUPVKUQCUFSUPCUGJEVIKZVLUQ
      CUAUQAVIKVMAVICVIQZFUHEAVIUIUJVIEUSCVNVEUKULVICVAUTVNVFUMTVIBCVCVBVNGVGUN
      TUO $.
  $}

  ${
    $d p A $.  $d p K $.
    polssat.a $e |- A = ( Atoms ` K ) $.
    polssat.p $e |- ._|_ = ( _|_P ` K ) $.
    $( The polarity of a set of atoms is a set of atoms.  (Contributed by NM,
       24-Jan-2012.)  (New usage is discouraged.) $)
    polssatN $p |- ( ( K e. HL /\ X C_ A ) -> ( ._|_ ` X ) C_ A ) $=
      ( chlt wcel wss cfv cpsubsp eqid polsubN psubssat syldan ) BGHDAIDCJZBKJZ
      HPAIAQBCDEQLZFMAGQBPERNO $.

    $( The polarity of the empty projective subspace is the whole space.
       (Contributed by NM, 29-Oct-2011.)  (New usage is discouraged.) $)
    pol0N $p |- ( K e. B -> ( ._|_ ` (/) ) = A ) $=
      ( vp wcel c0 cfv cv coc cpmap ciin cin wss wceq 0ss eqid cvv polvalN 0iin
      mpan2 ineq2i inv1 eqtri eqtrdi ) CBHZIDJZAGIGKCLJZJCMJZJZNZOZAUHIAPUIUNQA
      RABDCUKUJIGUJSEUKSFUAUCUNATOAUMTAGULUBUDAUEUFUG $.

    $( The polarity of the whole projective subspace is the empty space.
       Remark in [Holland95] p. 223.  (Contributed by NM, 24-Jan-2012.)
       (New usage is discouraged.) $)
    pol1N $p |- ( K e. HL -> ( ._|_ ` A ) = (/) ) $=
      ( vp chlt wcel cfv club coc cpmap cp0 c0 wss wceq ssid eqid fveq2d syl cv
      polval2N mpan2 cp1 cple crab wral cops hlop atbase ople1 syl2an ralrimiva
      wbr cbs rabid2 sylibr coml ccla cal w3a hlomcmat atlatmstc syl2anc eqtr2d
      op1cl opoc1 eqtr3d hlatl pmap0 3eqtrd ) BGHZACIZABJIZIZBKIZIZBLIZIZBMIZVR
      IZNVLAAOVMVSPAQACVNBVRVPAVNRZVPRZDVRRZEUBUCVLVQVTVRVLBUDIZVPIZVQVTVLWEVOV
      PVLVOFUAZWEBUEIZUNZFAUFZVNIZWEVLAWJVNVLWIFAUGAWJPVLWIFAVLBUHHZWGBUOIZHWIW
      GAHBUIZAWMWGBWMRZDUJWMWEBWHWGWOWHRZWERZUKULUMWIFAUPUQSVLBURHBUSHBUTHZVAWE
      WMHZWKWEPBVBVLWLWSWNWMWEBWOWQVFTFAWMVNBWHWEWOWPWBDVCVDVESVLWLWFVTPWNWEBVP
      VTVTRZWQWCVGTVHSVLWRWANPBVIBVRVTWTWDVJTVK $.
  $}

  ${
    2pol0.o $e |- ._|_ = ( _|_P ` K ) $.
    $( The closed subspace closure of the empty set.  (Contributed by NM,
       12-Sep-2013.)  (New usage is discouraged.) $)
    2pol0N $p |- ( K e. HL -> ( ._|_ ` ( ._|_ ` (/) ) ) = (/) ) $=
      ( chlt wcel c0 cfv catm eqid pol0N fveq2d pol1N eqtrd ) ADEZFBGZBGAHGZBGF
      NOPBPDABPIZCJKPABQCLM $.
  $}

  ${
    $d p B $.  $d p K $.  $d p X $.
    polpmap.b $e |- B = ( Base ` K ) $.
    polpmap.o $e |- ._|_ = ( oc ` K ) $.
    polpmap.m $e |- M = ( pmap ` K ) $.
    polpmap.p $e |- P = ( _|_P ` K ) $.
    $( The polarity of a projective map.  (Contributed by NM, 24-Jan-2012.)
       (New usage is discouraged.) $)
    polpmapN $p |- ( ( K e. HL /\ X e. B )
       -> ( P ` ( M ` X ) ) = ( M ` ( ._|_ ` X ) ) ) $=
      ( vp chlt wcel wa cfv club wceq eqid fveq2d eqtrd catm pmapssat syldan cv
      wss polval2N cple wbr crab pmapval coml ccla cal hlomcmat atlatmstc sylan
      w3a ) CLMZFAMZNZFDOZBOZVACPOZOZEOZDOZFEOZDOURUSVACUAOZUEVBVFQVHALCDFGVHRZ
      IUBVHBVCCDEVAVCRZHVIIJUFUCUTVEVGDUTVDFEUTVDKUDFCUGOZUHKVHUIZVCOZFUTVAVLVC
      VHALCVKDFKGVKRZVIIUJSURCUKMCULMCUMMUQUSVMFQCUNKVHAVCCVKFGVNVJVIUOUPTSST
      $.
  $}

  ${
    2polpmap.b $e |- B = ( Base ` K ) $.
    2polpmap.m $e |- M = ( pmap ` K ) $.
    2polpmap.p $e |- ._|_ = ( _|_P ` K ) $.
    $( Double polarity of a projective map.  (Contributed by NM, 24-Jan-2012.)
       (New usage is discouraged.) $)
    2polpmapN $p |- ( ( K e. HL /\ X e. B )
       -> ( ._|_ ` ( ._|_ ` ( M ` X ) ) ) = ( M ` X ) ) $=
      ( chlt wcel wa cfv coc eqid polpmapN fveq2d wceq cops hlop sylan opoccl
      syldan opococ 3eqtrd ) BIJZEAJZKZECLZDLZDLEBMLZLZCLZDLZUKUJLZCLZUHUGUIULD
      ADBCUJEFUJNZGHOPUEUFUKAJZUMUOQUEBRJZUFUQBSZABUJEFUPUATADBCUJUKFUPGHOUBUGU
      NECUEURUFUNEQUSABUJEFUPUCTPUD $.
  $}

  ${
    2polval.u $e |- U = ( lub ` K ) $.
    2polval.a $e |- A = ( Atoms ` K ) $.
    2polval.m $e |- M = ( pmap ` K ) $.
    2polval.p $e |- ._|_ = ( _|_P ` K ) $.
    $( Value of double polarity.  (Contributed by NM, 25-Jan-2012.)
       (New usage is discouraged.) $)
    2polvalN $p |- ( ( K e. HL /\ X C_ A )
     -> ( ._|_ ` ( ._|_ ` X ) ) = ( M ` ( U ` X ) ) ) $=
      ( chlt wcel wss wa cfv coc eqid fveq2d wceq syl2anc cops hlop adantr ccla
      polval2N cbs hlclat atssbase sstr clatlubcl syl2an opoccl polpmapN syldan
      mpan2 opococ 3eqtrd ) CKLZFAMZNZFEOZEOFBOZCPOZOZDOZEOZVDVCOZDOZVBDOUTVAVE
      EAEBCDVCFGVCQZHIJUERURUSVDCUFOZLZVFVHSUTCUALZVBVJLZVKURVLUSCUBUCZURCUDLFV
      JMZVMUSCUGUSAVJMVOAVJCVJQZHUHFAVJUIUOVJFBCVPGUJUKZVJCVCVBVPVIULTVJECDVCVD
      VPVIIJUMUNUTVGVBDUTVLVMVGVBSVNVQVJCVCVBVPVIUPTRUQ $.
  $}

  ${
    $d p A $.  $d p K $.  $d p X $.  $d p Y $.
    2polss.a $e |- A = ( Atoms ` K ) $.
    2polss.p $e |- ._|_ = ( _|_P ` K ) $.
    $( A set of atoms is a subset of its double polarity.  (Contributed by NM,
       29-Jan-2012.)  (New usage is discouraged.) $)
    2polssN $p |- ( ( K e. HL /\ X C_ A ) -> X C_ ( ._|_ ` ( ._|_ ` X ) ) ) $=
      ( vp chlt wcel wss wa cv crab club cfv cple wbr ccla eqid wceq cbs hlclat
      ad3antrrr simpr simpllr atssbase sstrdi lubel syl3anc ex ss2rabdv sseqin2
      biimpi adantl dfin5 eqtr3di cpmap 2polvalN mpan2 clatlubcl syl2an pmapval
      cin sstr syldan eqtrd 3sstr4d ) BHIZDAJZKZGLZDIZGAMZVKDBNOZOZBPOZQZGAMZDD
      COCOZVJVLVQGAVJVKAIZKZVLVQWAVLKZBRIZVLDBUAOZJZVQVHWCVIVTVLBUBZUCWAVLUDWBD
      AWDVHVIVTVLUEAWDBWDSZEUFZUGWDDVNBVPVKWGVPSZVNSZUHUIUJUKVJADVCZDVMVIWKDTZV
      HVIWLDAULUMUNGADUOUPVJVSVOBUQOZOZVRAVNBWMCDWJEWMSZFURVHVIVOWDIZWNVRTVHWCW
      EWPVIWFVIAWDJWEWHDAWDVDUSWDDVNBWGWJUTVAAWDHBVPWMVOGWGWIEWOVBVEVFVG $.

    $( Triple polarity cancels to a single polarity.  (Contributed by NM,
       6-Mar-2012.)  (New usage is discouraged.) $)
    3polN $p |- ( ( K e. HL /\ S C_ A )
                  -> ( ._|_ ` ( ._|_ ` ( ._|_ ` S ) ) ) = ( ._|_ ` S ) ) $=
      ( chlt wcel wss wa club cfv cpmap coc cbs wceq ccla hlclat eqid atssbase
      mpan2 clatlubcl syl2an polpmapN syldan 2polvalN fveq2d polval2N 3eqtr4d
      sstr ) CGHZBAIZJZBCKLZLZCMLZLZDLZUOCNLZLUPLZBDLZDLZDLVAUKULUOCOLZHZURUTPU
      KCQHBVCIZVDULCRULAVCIVEAVCCVCSZETBAVCUJUAVCBUNCVFUNSZUBUCVCDCUPUSUOVFUSSZ
      UPSZFUDUEUMVBUQDAUNCUPDBVGEVIFUFUGADUNCUPUSBVGVHEVIFUHUI $.

    $( Contraposition law for polarity.  Remark in [Holland95] p. 223.
       (Contributed by NM, 23-Mar-2012.)  (New usage is discouraged.) $)
    polcon3N $p |- ( ( K e. HL /\ Y C_ A /\ X C_ Y )
      -> ( ._|_ ` Y ) C_ ( ._|_ ` X ) ) $=
      ( vp chlt wcel wss w3a cv coc cfv ciin cin wceq eqid polvalN cpmap iinss1
      simp3 sslin 3syl 3adant3 simp1 simp2 sstrd syl2anc 3sstr4d ) BIJZEAKZDEKZ
      LZAHEHMBNOZOBUAOZOZPZQZAHDURPZQZECOZDCOZUOUNUSVAKUTVBKULUMUNUCZHDEURUBUSV
      AAUDUEULUMVCUTRUNAICBUQUPEHUPSZFUQSZGTUFUOULDAKVDVBRULUMUNUGUODEAVEULUMUN
      UHUIAICBUQUPDHVFFVGGTUJUK $.

    $( Contraposition law for polarity.  (Contributed by NM, 6-Mar-2012.)
       (New usage is discouraged.) $)
    2polcon4bN $p |- ( ( K e. HL /\ X C_ A /\ Y C_ A ) ->
      ( ( ._|_ ` ( ._|_ ` X ) ) C_ ( ._|_ ` ( ._|_ ` Y ) ) <->
        ( ._|_ ` Y ) C_ ( ._|_ ` X ) ) ) $=
      ( wss wa simpl1 polssatN 3adant2 adantr simpr polcon3N syl3anc wceq 3polN
      cfv ex chlt wcel w3a simp1 syl2anc 3adant3 sseq12d sylibd impbid ) BUAUBZ
      DAHZEAHZUCZDCSZCSZECSZCSZHZUPUNHZUMURUQCSZUOCSZHZUSUMURVBUMURIUJUQAHZURVB
      UJUKULURJUMVCURUMUJUPAHZVCUJUKULUDUJULVDUKABCEFGKLABCUPFGKUEMUMURNABCUOUQ
      FGOPTUMUTUPVAUNUJULUTUPQUKAEBCFGRLUJUKVAUNQULADBCFGRUFUGUHUMUSURUMUSIUJUN
      AHZUSURUJUKULUSJUMVEUSUJUKVEULABCDFGKUFMUMUSNABCUPUNFGOPTUI $.

    $( Contraposition law for polarity.  (Contributed by NM, 23-Mar-2012.)
       (New usage is discouraged.) $)
    polcon2N $p |- ( ( K e. HL /\ Y C_ A /\ X C_ ( ._|_ ` Y ) )
          -> Y C_ ( ._|_ ` X ) ) $=
      ( chlt wcel wss cfv w3a 2polssN 3adant3 polssatN polcon3N syld3an2 sstrd
      ) BHIZEAJZDECKZJZLEUACKZDCKZSTEUCJUBABCEFGMNSUAAJZTUBUCUDJSTUEUBABCEFGONA
      BCDUAFGPQR $.

    $( Contraposition law for polarity.  (Contributed by NM, 23-Mar-2012.)
       (New usage is discouraged.) $)
    polcon2bN $p |- ( ( K e. HL /\ X C_ A /\ Y C_ A )
       -> ( X C_ ( ._|_ ` Y ) <-> Y C_ ( ._|_ ` X ) ) ) $=
      ( chlt wss w3a cfv wa simpl1 simpl3 simpr polcon2N syl3anc simpl2 impbida
      wcel ) BHTZDAIZEAIZJZDECKIZEDCKIZUDUELUAUCUEUFUAUBUCUEMUAUBUCUENUDUEOABCD
      EFGPQUDUFLUAUBUFUEUAUBUCUFMUAUBUCUFRUDUFOABCEDFGPQS $.
  $}

  ${
    pclss2pol.a $e |- A = ( Atoms ` K ) $.
    pclss2pol.o $e |- ._|_ = ( _|_P ` K ) $.
    pclss2pol.c $e |- U = ( PCl ` K ) $.
    $( The projective subspace closure is a subset of closed subspace closure.
       (Contributed by NM, 12-Sep-2013.)  (New usage is discouraged.) $)
    pclss2polN $p |- ( ( K e. HL /\ X C_ A )
            -> ( U ` X ) C_ ( ._|_ ` ( ._|_ ` X ) ) ) $=
      ( chlt wcel wss cfv simpl 2polssN polssatN syldan pclssN syl3anc cpsubsp
      wa wceq eqid polsubN pclidN sseqtrd ) CIJZEAKZTZEBLZEDLZDLZBLZUKUHUFEUKKU
      KAKZUIULKUFUGMACDEFGNUFUGUJAKZUMACDEFGOZACDUJFGOPABCIEUKFHQRUFUGUKCSLZJZU
      LUKUAUFUGUNUQUOAUPCDUJFUPUBZGUCPUPBCIUKURHUDPUE $.
  $}

  ${
    pcl0.c $e |- U = ( PCl ` K ) $.
    $( The projective subspace closure of the empty subspace.  (Contributed by
       NM, 12-Sep-2013.)  (New usage is discouraged.) $)
    pcl0N $p |- ( K e. HL -> ( U ` (/) ) = (/) ) $=
      ( chlt wcel c0 cfv wss wceq cpolN catm 0ss eqid pclss2polN 2pol0N sseqtrd
      mpan2 ss0 syl ) BDEZFAGZFHUAFITUAFBJGZGUBGZFTFBKGZHUAUCHUDLUDABUBFUDMUBMZ
      CNQBUBUEOPUARS $.
  $}

  ${
    pcl0b.a $e |- A = ( Atoms ` K ) $.
    pcl0b.c $e |- U = ( PCl ` K ) $.
    $( The projective subspace closure of the empty subspace.  (Contributed by
       NM, 13-Sep-2013.)  (New usage is discouraged.) $)
    pcl0bN $p |- ( ( K e. HL /\ P C_ A ) -> ( ( U ` P ) = (/) <-> P = (/) ) )
        $=
      ( chlt wcel wss wa cfv wceq pclssidN eqimss sylan9ss ss0 syl fveq2 pcl0N
      c0 sylan9eqr adantlr impbida ) DGHZBAIZJZBCKZTLZBTLZUFUHJBTIUIUFUHBUGTACD
      GBEFMUGTNOBPQUDUIUHUEUIUDUGTCKTBTCRCDFSUAUBUC $.
  $}

  ${
    $d p B $.  $d p K $.  $d p X $.
    pmaplub.b $e |- B = ( Base ` K ) $.
    pmaplub.u $e |- U = ( lub ` K ) $.
    pmaplub.m $e |- M = ( pmap ` K ) $.
    $( The LUB of a projective map is the projective map's argument.
       (Contributed by NM, 13-Mar-2012.)  (New usage is discouraged.) $)
    pmaplubN $p |- ( ( K e. HL /\ X e. B ) -> ( U ` ( M ` X ) ) = X ) $=
      ( vp chlt wcel wa cfv cv cple wbr catm crab eqid pmapval fveq2d coml ccla
      cal w3a wceq hlomcmat atlatmstc sylan eqtrd ) CJKZEAKZLZEDMZBMINECOMZPICQ
      MZRZBMZEUMUNUQBUPAJCUODEIFUOSZUPSZHTUAUKCUBKCUCKCUDKUEULUREUFCUGIUPABCUOE
      FUSGUTUHUIUJ $.
  $}

  ${
    sspmaplub.u $e |- U = ( lub ` K ) $.
    sspmaplub.a $e |- A = ( Atoms ` K ) $.
    sspmaplub.m $e |- M = ( pmap ` K ) $.
    $( A set of atoms is a subset of the projective map of its LUB.
       (Contributed by NM, 6-Mar-2012.)  (New usage is discouraged.) $)
    sspmaplubN $p |- ( ( K e. HL /\ S C_ A ) -> S C_ ( M ` ( U ` S ) ) ) $=
      ( chlt wcel wss wa cpolN cfv eqid 2polssN 2polvalN sseqtrd ) DIJBAKLBBDMN
      ZNSNBCNENADSBGSOZPACDESBFGHTQR $.

    $( Double projective map of an LUB. (Contributed by NM, 6-Mar-2012.)
       (New usage is discouraged.) $)
    2pmaplubN $p |- ( ( K e. HL /\ S C_ A )
         -> ( M ` ( U ` ( M ` ( U ` S ) ) ) ) = ( M ` ( U ` S ) ) ) $=
      ( chlt wcel wss wa cpolN cfv eqid 2polvalN fveq2d wceq syldan eqtr3d ccla
      polssatN 3polN cbs hlclat atssbase sstr mpan2 clatlubcl syl2an pmapssat )
      DIJZBAKZLZBDMNZNZUONZBCNZENZCNENZUSUNUSUONZUONZUQUTUNUQUONZUONZVBUQUNVCVA
      UOUNUQUSUOACDEUOBFGHUOOZPZQQULUMUPAKVDUQRADUOBGVEUBAUPDUOGVEUCSTULUMUSAKZ
      VBUTRULUMURDUDNZJZVGULDUAJBVHKZVIUMDUEUMAVHKVJAVHDVHOZGUFBAVHUGUHVHBCDVKF
      UIUJAVHIDEURVKGHUKSACDEUOUSFGHVEPSTVFT $.
  $}

  ${
    paddun.a $e |- A = ( Atoms ` K ) $.
    paddun.p $e |- .+ = ( +P ` K ) $.
    paddun.o $e |- ._|_ = ( _|_P ` K ) $.
    $( The closure of the projective sum of two sets of atoms is the same as
       the closure of their union.  (Closure is actually double polarity, which
       can be trivially inferred from this theorem using ~ fveq2d .)
       (Contributed by NM, 6-Mar-2012.)  (New usage is discouraged.) $)
    paddunN $p |- ( ( K e. HL /\ S C_ A /\ T C_ A )
         -> ( ._|_ ` ( S .+ T ) ) = ( ._|_ ` ( S u. T ) ) ) $=
      ( chlt wcel wss co cfv syl3anc eqid sstrdi clatlubcl syl2anc wceq w3a cun
      simp1 paddssat paddunssN polcon3N club cpmap cple wbr cbs hlclat 3ad2ant1
      ccla unss biimpi 3adant1 atssbase pmapssbaN polssatN 3adant3 3adant2 3jca
      cjn 2polssN paddss12 sylc 2polvalN oveq12d sseqtrd clat hllat simp2 simp3
      wa jca pmapjoin sstrd lubun fveq2d sseqtrrd lubss pmaple 2pmaplubN eqtr4d
      wb mpbid 3sstr4d 2polcon4bN eqssd ) EJKZCALZDALZUAZCDBMZFNZCDUBZFNZWNWKWO
      ALZWQWOLWPWRLWKWLWMUCZAJBECDGHUDZAJBECDGHUEAEFWQWOGIUFOWNWPFNZWRFNZLZWRWP
      LZWNWOEUGNZNZEUHNZNZWQXFNZXHNZXFNZXHNZXBXCWNXGXLEUINZUJZXIXMLZWNEUNKZXKEU
      KNZLZWOXKLXOWKWLXQWMEULUMZWNWKXJXRKZXSWTWNXQWQXRLYAXTWNWQAXRWLWMWQALZWKWL
      WMVOYBCDAUOUPUQZAXREXRPZGURZQXRWQXFEYDXFPZRSXRJEXHXJYDXHPZUSSZWNWOCXFNZDX
      FNZEVDNZMZXHNZXKWNWOYIXHNZYJXHNZBMZYMWNWOCFNZFNZDFNZFNZBMZYPWNWKYRALZYTAL
      ZUACYRLZDYTLZVOWOUUALWNWKUUBUUCWTWNWKYQALZUUBWTWKWLUUFWMAEFCGIUTVAAEFYQGI
      UTSWNWKYSALZUUCWTWKWMUUGWLAEFDGIUTVBAEFYSGIUTSVCWNUUDUUEWKWLUUDWMAEFCGIVE
      VAWKWMUUEWLAEFDGIVEVBVPAJBEYTCYRDGHVFVGWNYRYNYTYOBWKWLYRYNTWMAXFEXHFCYFGY
      GIVHVAWKWMYTYOTWLAXFEXHFDYFGYGIVHVBVIVJWNEVKKZYIXRKZYJXRKZYPYMLWKWLUUHWME
      VLUMWNXQCXRLZUUIXTWNCAXRWKWLWMVMYEQZXRCXFEYDYFRSWNXQDXRLZUUJXTWNDAXRWKWLW
      MVNYEQZXRDXFEYDYFRSXRBYKEXHYIYJYDYKPZYGHVQOVRWNXJYLXHWNXQUUKUUMXJYLTXTUUL
      UUNXRCDXFYKEYDUUOYFVSOVTWAXRWOXKXFEXNYDXNPZYFWBOWNWKXGXRKZXLXRKZXOXPWFWTW
      NXQWOXRLUUQXTWNWOAXRXAYEQXRWOXFEYDYFRSWNXQXSUURXTYHXRXKXFEYDYFRSXREXNXHXG
      XLYDUUPYGWCOWGWNWKWSXBXITWTXAAXFEXHFWOYFGYGIVHSWNXCXKXMWNWKYBXCXKTWTYCAXF
      EXHFWQYFGYGIVHSWNWKYBXMXKTWTYCAWQXFEXHYFGYGWDSWEWHWNWKWSYBXDXEWFWTXAYCAEF
      WOWQGIWIOWGWJ $.

    $( De Morgan's law for polarity of projective sum.  ( ~ oldmj1 analog.)
       (Contributed by NM, 7-Mar-2012.)  (New usage is discouraged.) $)
    poldmj1N $p |- ( ( K e. HL /\ S C_ A /\ T C_ A )
         -> ( ._|_ ` ( S .+ T ) ) = ( ( ._|_ ` S ) i^i ( ._|_ ` T ) ) ) $=
      ( wcel wss co cfv cin wceq eqid polval2N syl2anc 3ad2ant1 syl3anc w3a cun
      chlt club coc cpmap paddunN simp1 unss biimpi 3adant1 cmee cops hlop ccla
      wa cbs hlclat simp2 atssbase sstrdi clatlubcl opoccl simp3 pmapmeet lubun
      cjn fveq2d col hlol oldmj1 eqtrd 3adant3 3adant2 ineq12d 3eqtr4d 3eqtrd )
      EUCJZCAKZDAKZUAZCDBLFMCDUBZFMZWBEUDMZMZEUEMZMZEUFMZMZCFMZDFMZNZABCDEFGHIU
      GWAVRWBAKZWCWIOVRVSVTUHZVSVTWMVRVSVTUPWMCDAUIUJUKAFWDEWHWFWBWDPZWFPZGWHPZ
      IQRWACWDMZWFMZDWDMZWFMZEULMZLZWHMZWSWHMZXAWHMZNZWIWLWAVRWSEUQMZJZXAXHJZXD
      XGOWNWAEUMJZWRXHJZXIVRVSXKVTEUNSZWAEUOJZCXHKZXLVRVSXNVTEURSZWACAXHVRVSVTU
      SAXHEXHPZGUTZVAZXHCWDEXQWOVBRZXHEWFWRXQWPVCRWAXKWTXHJZXJXMWAXNDXHKZYAXPWA
      DAXHVRVSVTVDXRVAZXHDWDEXQWOVBRZXHEWFWTXQWPVCRAXHWHEXBWSXAXQXBPZGWQVETWAWG
      XCWHWAWGWRWTEVGMZLZWFMZXCWAWEYGWFWAXNXOYBWEYGOXPXSYCXHCDWDYFEXQYFPZWOVFTV
      HWAEVIJZXLYAYHXCOVRVSYJVTEVJSXTYDXHYFEXBWFWRWTXQYIYEWPVKTVLVHWAWJXEWKXFVR
      VSWJXEOVTAFWDEWHWFCWOWPGWQIQVMVRVTWKXFOVSAFWDEWHWFDWOWPGWQIQVNVOVPVQ $.
  $}

  ${
    pmapj2.b $e |- B = ( Base ` K ) $.
    pmapj2.j $e |- .\/ = ( join ` K ) $.
    pmapj2.m $e |- M = ( pmap ` K ) $.
    pmapj2.p $e |- .+ = ( +P ` K ) $.
    pmapj2.o $e |- ._|_ = ( _|_P ` K ) $.
    $( The projective map of the join of two lattice elements.  (Contributed by
       NM, 14-Mar-2012.)  (New usage is discouraged.) $)
    pmapj2N $p |- ( ( K e. HL /\ X e. B /\ Y e. B ) -> ( M ` ( X .\/ Y ) ) =
      ( ._|_ ` ( ._|_ ` ( ( M ` X ) .+ ( M ` Y ) ) ) ) ) $=
      ( chlt wcel cfv co wceq eqid syl2anc w3a coc cmee clat 3ad2ant1 cops hlop
      simp1 hllat simp2 opoccl simp3 latmcl syl3anc cin 3adant3 3adant2 ineq12d
      polpmapN catm wss pmapssat poldmj1N pmapmeet 3eqtr4rd fveq2d hlol syl3an1
      col oldmm4 3eqtr3rd ) DNOZGAOZHAOZUAZGDUBPZPZHVPPZDUCPZQZEPZFPZVTVPPZEPZG
      EPZHEPZBQFPZFPGHCQZEPVOVLVTAOZWBWDRVLVMVNUHZVODUDOZVQAOZVRAOZWIVLVMWKVNDU
      IUEVODUFOZVMWLVLVMWNVNDUGUEZVLVMVNUJADVPGIVPSZUKTZVOWNVNWMWOVLVMVNULADVPH
      IWPUKTZADVSVQVRIVSSZUMUNAFDEVPVTIWPKMUSTVOWAWGFVOWEFPZWFFPZUOZVQEPZVREPZU
      OZWGWAVOWTXCXAXDVLVMWTXCRVNAFDEVPGIWPKMUSUPVLVNXAXDRVMAFDEVPHIWPKMUSUQURV
      OVLWEDUTPZVAZWFXFVAZWGXBRWJVLVMXGVNXFANDEGIXFSZKVBUPVLVNXHVMXFANDEHIXIKVB
      UQXFBWEWFDFXILMVCUNVOVLWLWMWAXERWJWQWRXFAEDVSVQVRIWSXIKVDUNVEVFVOWCWHEVLD
      VIOVMVNWCWHRDVGACDVSVPGHIJWSWPVJVHVFVK $.
  $}

  ${
    pmapocj.b $e |- B = ( Base ` K ) $.
    pmapocj.j $e |- .\/ = ( join ` K ) $.
    pmapocj.m $e |- ./\ = ( meet ` K ) $.
    pmapocj.o $e |- ._|_ = ( oc ` K ) $.
    pmapocj.f $e |- F = ( pmap ` K ) $.
    pmapocj.p $e |- .+ = ( +P ` K ) $.
    pmapocj.r $e |- N = ( _|_P ` K ) $.
    $( The projective map of the orthocomplement of the join of two lattice
       elements.  (Contributed by NM, 14-Mar-2012.)
       (New usage is discouraged.) $)
    pmapocjN $p |- ( ( K e. HL /\ X e. B /\ Y e. B )
    -> ( F ` ( ._|_ ` ( X .\/ Y ) ) ) = ( N ` ( ( F ` X ) .+ ( F ` Y ) ) ) ) $=
      ( chlt wcel cfv w3a pmapj2N fveq2d wceq simp1 clat hllat syl3an1 polpmapN
      co latjcl syl2anc catm wss eqid pmapssat 3adant3 3adant2 paddssat syl3anc
      3polN 3eqtr3d ) ERSZIASZJASZUAZIJDUJZCTZGTZICTZJCTZBUJZGTZGTZGTZVGHTCTZVM
      VFVHVNGABDECGIJKLOPQUBUCVFVCVGASZVIVPUDVCVDVEUEZVCEUFSVDVEVQEUGADEIJKLUKU
      HAGECHVGKNOQUIULVFVCVLEUMTZUNZVOVMUDVRVFVCVJVSUNZVKVSUNZVTVRVCVDWAVEVSARE
      CIKVSUOZOUPUQVCVEWBVDVSARECJKWCOUPURVSRBEVJVKWCPUSUTVSVLEGWCQVAULVB $.
  $}

  ${
    $d p A $.  $d p K $.  $d p M $.  $d p ._|_ $.  $d p Q $.
    polat.o $e |- ._|_ = ( oc ` K ) $.
    polat.a $e |- A = ( Atoms ` K ) $.
    polat.m $e |- M = ( pmap ` K ) $.
    polat.p $e |- P = ( _|_P ` K ) $.
    $( The polarity of the singleton of an atom (i.e. a point).  (Contributed
       by NM, 14-Jan-2012.)  (New usage is discouraged.) $)
    polatN $p |- ( ( K e. OL /\ Q e. A )
                  -> ( P ` { Q } ) = ( M ` ( ._|_ ` Q ) ) ) $=
      ( vp col wcel wa csn cfv cv cin wss wceq ciin snssi polvalN sylan2 2fveq3
      iinxsng adantl ineq2d cops olop eqid atbase opoccl syl2an pmapssat syldan
      cbs sseqin2 sylib 3eqtrd ) DLMZCAMZNZCOZBPZAKVDKQZFPEPZUAZRZACFPZEPZRZVKV
      BVAVDASVEVITCAUBALBDEFVDKGHIJUCUDVCVHVKAVBVHVKTVAKCVGVKAVFCEFUEUFUGUHVCVK
      ASZVLVKTVAVBVJDUQPZMZVMVADUIMCVNMVOVBDUJAVNCDVNUKZHULVNDFCVPGUMUNAVNLDEVJ
      VPHIUOUPVKAURUSUT $.
  $}

  ${
    2polat.a $e |- A = ( Atoms ` K ) $.
    2polat.p $e |- P = ( _|_P ` K ) $.
    $( Double polarity of the singleton of an atom (i.e. a point).
       (Contributed by NM, 25-Jan-2012.)  (New usage is discouraged.) $)
    2polatN $p |- ( ( K e. HL /\ Q e. A )
                  -> ( P ` ( P ` { Q } ) ) = { Q } ) $=
      ( chlt wcel wa csn cfv coc cpmap col wceq hlol eqid fveq2d syl2an eqtrd
      polatN sylan cbs cops hlop atbase opoccl polpmapN syldan opococ pmapat )
      DGHZCAHZIZCJZBKZBKCDLKZKZDMKZKZBKZUOUNUPUTBULDNHUMUPUTODPABCDUSUQUQQZEUSQ
      ZFUAUBRUNVAURUQKZUSKZUOULUMURDUCKZHZVAVEOULDUDHZCVFHZVGUMDUEZAVFCDVFQZEUF
      ZVFDUQCVKVBUGSVFBDUSUQURVKVBVCFUHUIUNVECUSKUOUNVDCUSULVHVIVDCOUMVJVLVFDUQ
      CVKVBUJSRACDUSEVCUKTTT $.

    $( The intersection of a set of atoms and its polarity is empty.
       Definition of nonsingular in [Holland95] p. 214.  (Contributed by NM,
       29-Jan-2012.)  (New usage is discouraged.) $)
    pnonsingN $p |- ( ( K e. HL /\ X C_ A ) -> ( X i^i ( P ` X ) ) = (/) ) $=
      ( chlt wcel wss wa cfv cin wceq 2polssN ssrind club eqid adantr syl2anc
      c0 cpmap coc 2polvalN polval2N ineq12d cmee cp0 cops cbs hlop ccla hlclat
      atssbase sstr mpan2 clatlubcl syl2an opnoncon fveq2d simpl opoccl syl3anc
      co pmapmeet cal hlatl pmap0 syl 3eqtr3d eqtrd sseqtrd ss0b sylib ) CGHZDA
      IZJZDDBKZLZTIVRTMVPVRVQBKZVQLZTVPDVSVQACBDEFNOVPVTDCPKZKZCUAKZKZWBCUBKZKZ
      WCKZLZTVPVSWDVQWGAWACWCBDWAQZEWCQZFUCABWACWCWEDWIWEQZEWJFUDUEVPWBWFCUFKZV
      CZWCKZCUGKZWCKZWHTVPWMWOWCVPCUHHZWBCUIKZHZWMWOMVNWQVOCUJRZVNCUKHDWRIZWSVO
      CULVOAWRIXAAWRCWRQZEUMDAWRUNUOWRDWACXBWIUPUQZWRCWLWEWBWOXBWKWLQZWOQZURSUS
      VPVNWSWFWRHZWNWHMVNVOUTXCVPWQWSXFWTXCWRCWEWBXBWKVASAWRWCCWLWBWFXBXDEWJVDV
      BVPCVEHZWPTMVNXGVOCVFRCWCWOXEWJVGVHVIVJVKVRVLVM $.
  $}

  $c PSubCl $.

  $( Extend class notation with set of all closed projective subspaces for a
     Hilbert lattice. $)
  cpscN $a class PSubCl $.

  ${
    $d k s $.
    $( Define set of all closed projective subspaces, which are those sets of
       atoms that equal their double polarity.  Based on definition in
       [Holland95] p. 223.  (Contributed by NM, 23-Jan-2012.) $)
    df-psubclN $a |- PSubCl = ( k e. _V |-> { s | ( s C_ ( Atoms ` k )
       /\ ( ( _|_P ` k ) ` ( ( _|_P ` k ) ` s ) ) = s ) } ) $.
  $}

  ${
    $d k s A $.  $d k s K $.  $d k ._|_ $.
    psubclset.a $e |- A = ( Atoms ` K ) $.
    psubclset.p $e |- ._|_ = ( _|_P ` K ) $.
    psubclset.c $e |- C = ( PSubCl ` K ) $.
    $( The set of closed projective subspaces in a Hilbert lattice.
       (Contributed by NM, 23-Jan-2012.)  (New usage is discouraged.) $)
    psubclsetN $p |- ( K e. B -> C = { s | ( s C_ A /\
         ( ._|_ ` ( ._|_ ` s ) ) = s ) } ) $=
      ( vk wcel cvv cv wss cfv wceq wa cab catm cpolN elex cpscN eqtr4di sseq2d
      fveq2 fveq1d fveq12d eqeq1d abbidv df-psubclN cpw fvexi pwex velpw anbi1i
      anbi12d abbii ssab2 eqsstrri ssexi fvmpt syl5eq syl ) DBKDLKZCFMZANZVEEOZ
      EOZVEPZQZFRZPDBUAVDCDUBOVKIJDVEJMZSOZNZVEVLTOZOZVOOZVEPZQZFRVKLUBVLDPZVSV
      JFVTVNVFVRVIVTVMAVEVTVMDSOAVLDSUEGUCUDVTVQVHVEVTVPVGVOEVTVODTOEVLDTUEHUCZ
      VTVEVOEWAUFUGUHUPUIJFUJVKAUKZAADSGULUMVKVEWBKZVIQZFRWBWDVJFWCVFVIFAUNUOUQ
      VIFWBURUSUTVAVBVC $.

    $d x A $.  $d x K $.  $d x ._|_ $.  $d x X $.
    $( The predicate "is a closed projective subspace".  (Contributed by NM,
       23-Jan-2012.)  (New usage is discouraged.) $)
    ispsubclN $p |- ( K e. D -> ( X e. C <-> ( X C_ A
         /\ ( ._|_ ` ( ._|_ ` X ) ) = X ) ) ) $=
      ( vx wcel cv wss cfv wceq wa cab psubclsetN eleq2d cvv fvexi adantr sseq1
      catm ssex 2fveq3 id eqeq12d anbi12d elab3 bitrdi ) DCKZFBKFJLZAMZUMENENZU
      MOZPZJQZKFAMZFENENZFOZPZULBURFACBDEJGHIRSUQVBJFTUSFTKVAFAADUDGUAUEUBUMFOZ
      UNUSUPVAUMFAUCVCUOUTUMFUMFEEUFVCUGUHUIUJUK $.

    $( Property of a closed projective subspace.  (Contributed by NM,
       23-Jan-2012.)  (New usage is discouraged.) $)
    psubcliN $p |- ( ( K e. D /\ X e. C )
         -> ( X C_ A /\ ( ._|_ ` ( ._|_ ` X ) ) = X ) ) $=
      ( wcel wss cfv wceq wa ispsubclN biimpa ) DCJFBJFAKFELELFMNABCDEFGHIOP $.
  $}

  ${
    psubcli2.p $e |- ._|_ = ( _|_P ` K ) $.
    psubcli2.c $e |- C = ( PSubCl ` K ) $.
    $( Property of a closed projective subspace.  (Contributed by NM,
       23-Jan-2012.)  (New usage is discouraged.) $)
    psubcli2N $p |- ( ( K e. D /\ X e. C ) -> ( ._|_ ` ( ._|_ ` X ) ) = X ) $=
      ( wcel catm cfv wss wceq eqid ispsubclN simplbda ) CBHEAHECIJZKEDJDJELPAB
      CDEPMFGNO $.
  $}

  ${
    psubclsub.s $e |- S = ( PSubSp ` K ) $.
    psubclsub.c $e |- C = ( PSubCl ` K ) $.
    $( A closed projective subspace is a projective subspace.  (Contributed by
       NM, 23-Jan-2012.)  (New usage is discouraged.) $)
    psubclsubN $p |- ( ( K e. HL /\ X e. C ) -> X e. S ) $=
      ( chlt wcel wa cpolN cfv eqid psubcli2N catm wceq psubcliN simpld polsubN
      wss syldan psubssat eqeltrrd ) CGHZDAHZIZDCJKZKZUFKZDBAGCUFDUFLZFMUCUDUGC
      NKZSZUHBHUCUDUGBHZUKUCUDDUJSZULUEUMUHDOUJAGCUFDUJLZUIFPQUJBCUFDUNEUIRTUJG
      BCUGUNEUATUJBCUFUGUNEUIRTUB $.
  $}

  ${
    psubclssat.a $e |- A = ( Atoms ` K ) $.
    psubclssat.c $e |- C = ( PSubCl ` K ) $.
    $( A closed projective subspace is a set of atoms.  (Contributed by NM,
       25-Jan-2012.)  (New usage is discouraged.) $)
    psubclssatN $p |- ( ( K e. D /\ X e. C ) -> X C_ A ) $=
      ( wcel wa wss cpolN cfv wceq eqid psubcliN simpld ) DCHEBHIEAJEDKLZLQLEMA
      BCDQEFQNGOP $.
  $}

  ${
    pmapidcl.u $e |- U = ( lub ` K ) $.
    pmapidcl.m $e |- M = ( pmap ` K ) $.
    pmapidcl.c $e |- C = ( PSubCl ` K ) $.
    $( Projective map of the LUB of a closed subspace.  (Contributed by NM,
       3-Feb-2012.)  (New usage is discouraged.) $)
    pmapidclN $p |- ( ( K e. HL /\ X e. C ) -> ( M ` ( U ` X ) ) = X ) $=
      ( chlt wcel wa cpolN cfv catm wss wceq eqid psubclssatN 2polvalN syldan
      psubcli2N eqtr3d ) CIJZEAJZKECLMZMUEMZEBMDMZEUCUDECNMZOUFUGPUHAICEUHQZHRU
      HBCDUEEFUIGUEQZSTAICUEEUJHUAUB $.
  $}

  ${
    0psubcl.c $e |- C = ( PSubCl ` K ) $.
    $( The empty set is a closed projective subspace.  (Contributed by NM,
       25-Jan-2012.)  (New usage is discouraged.) $)
    0psubclN $p |- ( K e. HL -> (/) e. C ) $=
      ( chlt wcel c0 catm cfv wss cpolN wceq 0ss a1i 2pol0N ispsubclN mpbir2and
      eqid ) BDEZFAEFBGHZIZFBJHZHUAHFKTRSLMBUAUAQZNSADBUAFSQUBCOP $.
  $}

  ${
    1psubcl.a $e |- A = ( Atoms ` K ) $.
    1psubcl.c $e |- C = ( PSubCl ` K ) $.
    $( The set of all atoms is a closed projective subspace.  (Contributed by
       NM, 25-Jan-2012.)  (New usage is discouraged.) $)
    1psubclN $p |- ( K e. HL -> A e. C ) $=
      ( chlt wcel wss cpolN cfv wceq ssidd c0 eqid pol1N fveq2d pol0N ispsubclN
      eqtrd mpbir2and ) CFGZABGAAHACIJZJZUBJZAKUAALUAUDMUBJAUAUCMUBACUBDUBNZOPA
      FCUBDUEQSABFCUBADUEERT $.

    $( A point (singleton of an atom) is a closed projective subspace.
       (Contributed by NM, 25-Jan-2012.)  (New usage is discouraged.) $)
    atpsubclN $p |- ( ( K e. HL /\ Q e. A ) -> { Q } e. C ) $=
      ( chlt wcel wa csn wss cpolN cfv wceq snssi adantl eqid 2polatN ispsubclN
      wb adantr mpbir2and ) DGHZCAHZICJZBHZUEAKZUEDLMZMUHMUENZUDUGUCCAOPAUHCDEU
      HQZRUCUFUGUIITUDABGDUHUEEUJFSUAUB $.
  $}

  ${
    pmapsubcl.b $e |- B = ( Base ` K ) $.
    pmapsubcl.m $e |- M = ( pmap ` K ) $.
    pmapsubcl.c $e |- C = ( PSubCl ` K ) $.
    $( A projective map value is a closed projective subspace.  (Contributed by
       NM, 24-Jan-2012.)  (New usage is discouraged.) $)
    pmapsubclN $p |- ( ( K e. HL /\ X e. B ) -> ( M ` X ) e. C ) $=
      ( chlt wcel wa cfv catm wss cpolN wceq eqid pmapssat 2polpmapN wb adantr
      ispsubclN mpbir2and ) CIJZEAJZKEDLZBJZUFCMLZNZUFCOLZLUJLUFPZUHAICDEFUHQZG
      RACDUJEFGUJQZSUDUGUIUKKTUEUHBICUJUFULUMHUBUAUC $.

    $d y B $.  $d y K $.  $d y M $.  $d y X $.
    $( Alternate predicate for "is a closed projective subspace".  Remark in
       [Holland95] p. 223.  (Contributed by NM, 24-Jan-2012.)
       (New usage is discouraged.) $)
    ispsubcl2N $p |- ( K e. HL -> ( X e. C <-> E. y e. B X = ( M ` y ) ) ) $=
      ( chlt wcel cfv wss wceq wa eqid adantr syl2anc ex wi catm wrex ispsubclN
      cpolN club coc cops hlop hlclat polssatN atssbase sstrdi clatlubcl opoccl
      cv ccla adantrd polval2N syldan eqeq1 biimpcd syl6 impd rspceeqv pmapssat
      fveq2 2polpmapN sseq1 2fveq3 id eqeq12d anbi12d biimprcd rexlimdva impbid
      jcad bitrd ) DJKZFCKFDUALZMZFDUDLZLZWALZFNZOZFAUOZELZNZABUBZVSCJDWAFVSPZW
      APZIUCVRWEWIVRWEWBDUELZLZDUFLZLZBKZFWOELZNZOWIVRWEWPWRVRVTWPWDVRVTWPVRVTO
      ZDUGKZWMBKZWPVRWTVTDUHQWSDUPKZWBBMXAVRXBVTDUIQWSWBVSBVSDWAFWJWKUJZVSBDGWJ
      UKULBWBWLDGWLPZUMRBDWNWMGWNPZUNRSUQVRVTWDWRVRVTWCWQNZWDWRTVRVTXFVRVTWBVSM
      XFXCVSWAWLDEWNWBXDXEWJHWKURUSSWDXFWRWCFWQUTVAVBVCVPAWOBWGWQFWFWOEVFVDVBVR
      WHWEABVRWFBKOWGVSMZWGWALWALZWGNZWHWETVSBJDEWFGWJHVEBDEWAWFGHWKVGWHWEXGXIO
      WHVTXGWDXIFWGVSVHWHWCXHFWGFWGWAWAVIWHVJVKVLVMRVNVOVQ $.
  $}

  ${
    psubclin.c $e |- C = ( PSubCl ` K ) $.
    $( The intersection of two closed subspaces is closed.  (Contributed by NM,
       25-Mar-2012.)  (New usage is discouraged.) $)
    psubclinN $p |- ( ( K e. HL /\ X e. C /\ Y e. C ) -> ( X i^i Y ) e. C ) $=
      ( chlt wcel cfv cin wceq 3ad2ant1 eqid psubclssatN 3adant3 sstrdi syl2anc
      wss clatlubcl 3adant2 syl3anc w3a club cmee co cpmap cbs ccla hlclat catm
      simp1 atssbase pmapmeet pmapidclN ineq12d eqtrd hllat pmapsubclN eqeltrrd
      clat latmcl ) BFGZCAGZDAGZUAZCBUBHZHZDVEHZBUCHZUDZBUEHZHZCDIZAVDVKVFVJHZV
      GVJHZIZVLVDVAVFBUFHZGZVGVPGZVKVOJVAVBVCUJZVDBUGGZCVPQVQVAVBVTVCBUHKZVDCBU
      IHZVPVAVBCWBQVCWBAFBCWBLZEMNWBVPBVPLZWCUKZOVPCVEBWDVELZRPZVDVTDVPQVRWAVDD
      WBVPVAVCDWBQVBWBAFBDWCEMSWEOVPDVEBWDWFRPZWBVPVJBVHVFVGWDVHLZWCVJLZULTVDVM
      CVNDVAVBVMCJVCAVEBVJCWFWJEUMNVAVCVNDJVBAVEBVJDWFWJEUMSUNUOVDVAVIVPGZVKAGV
      SVDBUSGZVQVRWKVAVBWLVCBUPKWGWHVPBVHVFVGWDWIUTTVPABVJVIWDWJEUQPUR $.
  $}

  ${
    paddatcl.a $e |- A = ( Atoms ` K ) $.
    paddatcl.p $e |- .+ = ( +P ` K ) $.
    paddatcl.c $e |- C = ( PSubCl ` K ) $.
    $( The projective sum of a closed subspace and an atom is a closed
       projective subspace.  (Contributed by NM, 3-Feb-2012.)
       (New usage is discouraged.) $)
    paddatclN $p |- ( ( K e. HL /\ X e. C /\ Q e. A )
     -> ( X .+ { Q } ) e. C ) $=
      ( chlt wcel w3a csn co cfv wceq 3ad2ant1 eqid 3adant3 syl2anc cjn cbs wss
      club cpmap hlclat psubclssatN atssbase sstrdi clatlubcl pmapjat1 syld3an2
      ccla wa pmapidclN pmapat 3adant2 oveq12d eqtr2d simp1 clat hllat 3ad2ant3
      atbase latjcl syl3anc pmapsubclN eqeltrd ) EJKZFBKZDAKZLZFDMZCNZFEUDOZOZD
      EUAOZNZEUEOZOZBVLVTVPVSOZDVSOZCNZVNVIVPEUBOZKZVJVKVTWCPVLEUMKZFWDUCZWEVIV
      JWFVKEUFQVIVJWGVKVIVJUNFAWDABJEFGIUGAWDEWDRZGUHUISWDFVOEWHVORZUJTZAWDCDVQ
      EVSVPWHVQRZGVSRZHUKULVLWAFWBVMCVIVJWAFPVKBVOEVSFWIWLIUOSVIVKWBVMPVJADEVSG
      WLUPUQURUSVLVIVRWDKZVTBKVIVJVKUTVLEVAKZWEDWDKZWMVIVJWNVKEVBQWJVKVIWOVJAWD
      DEWHGVDVCWDVQEVPDWHWKVEVFWDBEVSVRWHWLIVGTVH $.
  $}

  ${
    $d p q w x y z A $.  $d p q w x y z U $.  $d p q w x y z K $.
    $d p q w x y z S $.  $d x y z X $.
    pclfincl.a $e |- A = ( Atoms ` K ) $.
    pclfincl.c $e |- U = ( PCl ` K ) $.
    pclfincl.s $e |- S = ( PSubCl ` K ) $.
    $( The projective subspace closure of a finite set of atoms is a closed
       subspace.  Compare the (non-closed) subspace version ~ pclfinN and also
       ~ pclcmpatN .  (Contributed by NM, 13-Sep-2013.)
       (New usage is discouraged.) $)
    pclfinclN $p |- ( ( K e. HL /\ X C_ A /\ X e. Fin ) -> ( U ` X ) e. S ) $=
      ( vw vp wcel chlt wss cfv cv wa wi c0 wceq syl2anc vx vy vz cfn csn sseq1
      vq cun anbi2d fveq2 eleq1d imbi12d pcl0N 0psubclN eqeltrd adantr vex snss
      anass anbi2i unss bitri bitr2i simpllr uneq1d uncom eqtrdi fveq2d cpsubsp
      un0 eqtri simplrl cal hlatl simprr snatpsubN pclidN eqtrd atpsubclN exp43
      syl eqid wne cpadd co pclssidN ad2antlr unss1 simprl psubclssatN ad2antll
      snssi paddunssN syl3anc paddssat pclssN paddatclN psubclsubN sseqtrd wral
      sstrd wel cjn cple wrex clat wb hllatd pcl0bN necon3bid elpaddat syl31anc
      wbr mpbird w3a simp1rl simpl13 simpl sylbir simpl2 elpcliN biimpri adantl
      3ad2ant1 simpl3 psubspi2N syl33anc exp520 rexlimdv 3expia sylbid ralrimdv
      impd simplrr jca sylib elpclN sylibrd ssrdv eqssd pm2.61dane imp4b syl5bi
      a2d ex findcard2 3impib 3coml ) EUDKZDLKZEAMZECNZBKZUUIUUJUUKUUMUUJUAOZAM
      ZPZUUNCNZBKZQUUJRAMZPZRCNZBKZQUUJUBOZAMZPZUVCCNZBKZQZUUJUVCUCOZUEZUHZAMZP
      ZUVKCNZBKZQZUUJUUKPZUUMQUAUBUCEUUNRSZUUPUUTUURUVBUVRUUOUUSUUJUUNRAUFUIUVR
      UUQUVABUUNRCUJUKULUUNUVCSZUUPUVEUURUVGUVSUUOUVDUUJUUNUVCAUFUIUVSUUQUVFBUU
      NUVCCUJUKULUUNUVKSZUUPUVMUURUVOUVTUUOUVLUUJUUNUVKAUFUIUVTUUQUVNBUUNUVKCUJ
      UKULUUNESZUUPUVQUURUUMUWAUUOUUKUUJUUNEAUFUIUWAUUQUULBUUNECUJUKULUUJUVBUUS
      UUJUVARBCDGUMBDHUNUOUPUVCUDKZUVHUVPUVMUVEUVIAKZPZUWBUVHPUVOUWDUUJUVDUWCPZ
      PUVMUUJUVDUWCUSUWEUVLUUJUWEUVDUVJAMZPUVLUWCUWFUVDUVIAUCUQZURUTUVCUVJAVAVB
      ZUTVCUWBUVHUVEUWCUVOUWBUVEUVGUWCUVOQZUWBUVEUVGUWIQQUVCRUWBUVCRSZPZUVEUVGU
      WCUVOUWKUVEPZUVGUWCPZPZUVNUVJBUWNUVNUVJCNZUVJUWNUVKUVJCUWNUVKRUVJUHZUVJUW
      NUVCRUVJUWBUWJUVEUWMVDVEUWPUVJRUHUVJRUVJVFUVJVJVKVGVHUWNUUJUVJDVINZKZUWOU
      VJSUWKUUJUVDUWMVLZUWNDVMKZUWCUWRUWNUUJUWTUWSDVNWAUWLUVGUWCVOZAUVIUWQDFUWQ
      WBZVPTUWQCDLUVJUXBGVQTVRUWNUUJUWCUVJBKUWSUXAABUVIDFHVSTUOVTUWBUVCRWCZPZUV
      EUVGUWCUVOUXDUVEPZUWMPZUVNUVFUVJDWDNZWEZBUXFUVNUXHUXFUVNUXHCNZUXHUXFUUJUV
      KUXHMUXHAMZUVNUXIMUXDUUJUVDUWMVLZUXFUVKUVFUVJUHZUXHUXFUVCUVFMZUVKUXLMUVEU
      XMUXDUWMACDLUVCFGWFWGUVCUVFUVJWHWAUXFUUJUVFAMZUWFUXLUXHMUXKUXFUUJUVGUXNUX
      KUXEUVGUWCWIZABLDUVFFHWJTZUWCUWFUXEUVGUVIAWLWKZALUXGDUVFUVJFUXGWBZWMWNXAU
      XFUUJUXNUWFUXJUXKUXPUXQALUXGDUVFUVJFUXRWOWNACDLUVKUXHFGWPWNUXFUUJUXHUWQKZ
      UXIUXHSUXKUXFUUJUXHBKZUXSUXKUXFUUJUVGUWCUXTUXKUXOUXEUVGUWCVOZABUXGUVIDUVF
      FUXRHWQWNZBUWQDUXHUXBHWRTUWQCDLUXHUXBGVQTWSUXFUGUXHUVNUXFUGOZUXHKZUVKIOZM
      ZUGIXBZQZIUWQWTZUYCUVNKZUXFUYDUYHIUWQUXFUYDUYCAKZUYCJOZUVIDXCNZWEDXDNZXMZ
      JUVFXEZPZUYEUWQKZUYHQZUXFDXFKUXNUWCUVFRWCZUYDUYQXGUXFDUXKXHUXPUYAUXFUYTUX
      CUWBUXCUVEUWMVDUXFUVFRUVCRUVEUVFRSUWJXGUXDUWMAUVCCDFGXIWGXJXNAUXGUVIUYCUY
      MDUYNUVFJUYNWBZUYMWBZFUXRXKXLUXFUYKUYPUYSUXEUWMUYKUYPUYSQUXEUWMUYKXOZUYOU
      YSJUVFVUCUYLUVFKZUYOUYRUYFUYGVUCVUDUYOXOZUYRUYFPZPZUUJUYRUYKJIXBZUCIXBZUY
      OUYGVUEUUJVUFVUCVUDUUJUYOUUJUVDUXDUWMUYKXPYDUPZVUEUYRUYFWIZUXEUWMUYKVUDUY
      OVUFXQVUGUUJUVCUYEMZUYRVUDVUHVUJUYFVULVUEUYRUYFVULUVJUYEMZPZVULUVCUVJUYEV
      AZVULVUMXRXSWKVUKVUCVUDUYOVUFXTUYLUWQCDLUVCUYEUXBGYAXLUYFVUIVUEUYRUYFVUNV
      UIVUOVUMVUIVULVUIVUMUVIUYEUWGURYBYCXSWKVUCVUDUYOVUFYEALUYCUYLUVIUWQUYMDUY
      NUYEVUAVUBFUXBYFYGYHYIYJYMYKYLUXFUUJUVLUYJUYIXGUXKUXFUWEUVLUXFUVDUWCUXDUU
      JUVDUWMYNUYAYOUWHYPIAUYCUWQCDLUVKFUXBGUGUQYQTYRYSYTUYBUOVTUUAUUDUUBUUCUUE
      UUFUUGUUH $.
  $}

  ${
    $d p q C $.  $d p q K $.  $d p q X $.
    linepsubcl.n $e |- N = ( Lines ` K ) $.
    linepsubcl.c $e |- C = ( PSubCl ` K ) $.
    $( A line is a closed projective subspace.  (Contributed by NM,
       25-Jan-2012.)  (New usage is discouraged.) $)
    linepsubclN $p |- ( ( K e. HL /\ X e. N ) -> X e. C ) $=
      ( vp vq chlt wcel cv wne cjn cfv co wa wrex eqid syl atbase cpmap wceq wb
      catm clat hllat isline2 wi cbs adantr ad2antrl ad2antll latjcl pmapsubclN
      syl3anc syldan eleq1a adantld rexlimdvva sylbid imp ) BIJZDCJZDAJZVBVCGKZ
      HKZLZDVEVFBMNZOZBUANZNZUBZPZHBUDNZQGVNQZVDVBBUEJZVCVOUCBUFZVNVHBVJCDHGVHR
      ZVNRZEVJRZUGSVBVMVDGHVNVNVBVEVNJZVFVNJZPZPZVLVDVGWDVKAJZVLVDUHVBWCVIBUINZ
      JZWEWDVPVEWFJZVFWFJZWGVBVPWCVQUJWAWHVBWBVNWFVEBWFRZVSTUKWBWIVBWAVNWFVFBWJ
      VSTULWFVHBVEVFWJVRUMUOWFABVJVIWJVTFUNUPVKADUQSURUSUTVA $.
  $}

  ${
    polsubcl.a $e |- A = ( Atoms ` K ) $.
    polsubcl.p $e |- ._|_ = ( _|_P ` K ) $.
    polsubcl.c $e |- C = ( PSubCl ` K ) $.
    $( A polarity is a closed projective subspace.  (Contributed by NM,
       24-Jan-2012.)  (New usage is discouraged.) $)
    polsubclN $p |- ( ( K e. HL /\ X C_ A ) -> ( ._|_ ` X ) e. C ) $=
      ( chlt wcel wss wa cfv club coc cpmap eqid polval2N cbs cops adantr mpan2
      hlop ccla hlclat atssbase sstr clatlubcl syl2an opoccl syl2anc pmapsubclN
      syldan eqeltrd ) CIJZEAKZLZEDMECNMZMZCOMZMZCPMZMZBADURCVBUTEURQZUTQZFVBQZ
      GRUOUPVACSMZJZVCBJUQCTJZUSVGJZVHUOVIUPCUCUAUOCUDJEVGKZVJUPCUEUPAVGKVKAVGC
      VGQZFUFEAVGUGUBVGEURCVLVDUHUIVGCUTUSVLVEUJUKVGBCVBVAVLVFHULUMUN $.
  $}

  ${
    poml4.a $e |- A = ( Atoms ` K ) $.
    poml4.p $e |- ._|_ = ( _|_P ` K ) $.
    $( Orthomodular law for projective lattices.  Lemma 3.3(1) in [Holland95]
       p. 215.  (Contributed by NM, 25-Jan-2012.)
       (New usage is discouraged.) $)
    poml4N $p |- ( ( K e. HL /\ X C_ A /\ Y C_ A ) ->
      ( ( X C_ Y /\ ( ._|_ ` ( ._|_ ` Y ) ) = Y ) ->
   ( ( ._|_ ` ( ( ._|_ ` X ) i^i Y ) ) i^i Y ) = ( ._|_ ` ( ._|_ ` X ) ) ) ) $=
      ( wcel wss w3a cfv wceq cin eqid 2polvalN wa co syl syl2anc syl3anc cpmap
      chlt club eqcom 3adant2 eqeq2d biimpd syl5bi coc cmee coml cbs wbr simpl1
      cple hloml ccla hlclat simpl2 atssbase sstrdi clatlubcl simpl3 3jca lubss
      simprl omllaw4 sylc fveq2d polval2N simprr ineq12d opoccl pmapmeet eqtr4d
      cops hlop clat hllatd latmcl polpmapN eqtrd 3eqtr4d ex sylan2d ) BUBHZDAI
      ZEAIZJZECKCKZELZEEBUCKZKZBUAKZKZLZDEIZDCKZEMZCKZEMZWRCKZLZWKEWJLZWIWPWJEU
      DWIXDWPWIWJWOEWFWHWJWOLWGAWLBWNCEWLNZFWNNZGOUEUFUGUHWIWQWPPZXCWIXGPZDWLKZ
      BUIKZKZWMBUJKZQZXJKZWMXLQZWNKZXIWNKZXAXBXHXOXIWNXHBUKHZXIBULKZHZWMXSHZJXI
      WMBUOKZUMZXOXILXHXRXTYAXHWFXRWFWGWHXGUNZBUPRXHBUQHZDXSIXTXHWFYEYDBURRZXHD
      AXSWFWGWHXGUSZAXSBXSNZFUTZVAXSDWLBYHXEVBSZXHYEEXSIZYAYFXHEAXSWFWGWHXGVCYI
      VAZXSEWLBYHXEVBSZVDXHYEYKWQYCYFYLWIWQWPVFXSDEWLBYBYHYBNZXEVETXSBYBXLXJXIW
      MYHYNXLNZXJNZVGVHVIXHXAXNWNKZWOMZXPXHWTYQEWOXHWTXMWNKZCKZYQXHWSYSCXHWSXKW
      NKZWOMZYSXHWRUUAEWOXHWFWGWRUUALYDYGACWLBWNXJDXEYPFXFGVJSWIWQWPVKZVLXHWFXK
      XSHZYAYSUUBLYDXHBVPHZXTUUDXHWFUUEYDBVQRZYJXSBXJXIYHYPVMSZYMAXSWNBXLXKWMYH
      YOFXFVNTVOVIXHWFXMXSHZYTYQLYDXHBVRHUUDYAUUHXHBYDVSUUGYMXSBXLXKWMYHYOVTTZX
      SCBWNXJXMYHYPXFGWASWBUUCVLXHWFXNXSHZYAXPYRLYDXHUUEUUHUUJUUFUUIXSBXJXMYHYP
      VMSYMAXSWNBXLXNWMYHYOFXFVNTVOXHWFWGXBXQLYDYGAWLBWNCDXEFXFGOSWCWDWE $.

    $( Orthomodular law for projective lattices.  (Contributed by NM,
       23-Mar-2012.)  (New usage is discouraged.) $)
    poml5N $p |- ( ( K e. HL /\ Y C_ A /\ X C_ ( ._|_ ` Y ) )
           -> ( ( ._|_ ` ( ( ._|_ ` X ) i^i ( ._|_ ` Y ) ) ) i^i ( ._|_ ` Y ) )
                = ( ._|_ ` ( ._|_ ` X ) ) ) $=
      ( chlt wcel wss cfv w3a wceq wa cin simp1 simp3 polssatN 3adant3 sstrd
      3jca 3polN jca poml4N sylc ) BHIZEAJZDECKZJZLZUFDAJZUHAJZLUIUHCKCKUHMZNDC
      KZUHOCKUHOUNCKMUJUFUKULUFUGUIPUJDUHAUFUGUIQZUFUGULUIABCEFGRSZTUPUAUJUIUMU
      OUFUGUMUIAEBCFGUBSUCABCDUHFGUDUE $.
  $}

  ${
    poml6.c $e |- C = ( PSubCl ` K ) $.
    poml6.p $e |- ._|_ = ( _|_P ` K ) $.
    $( Orthomodular law for projective lattices.  (Contributed by NM,
       25-Mar-2012.)  (New usage is discouraged.) $)
    poml6N $p |- ( ( ( K e. HL /\ X e. C /\ Y e. C ) /\ X C_ Y )
            -> ( ( ._|_ ` ( ( ._|_ ` X ) i^i Y ) ) i^i Y ) = X ) $=
      ( chlt wcel w3a wss wa cfv catm wceq simpl1 psubclssatN syl2anc psubcli2N
      cin simpl2 eqid simpl3 simpr poml4N imp syl32anc eqtrd ) BHIZDAIZEAIZJZDE
      KZLZDCMZETCMETZUOCMZDUNUIDBNMZKZEURKZUMECMCMEOZUPUQOZUIUJUKUMPZUNUIUJUSVC
      UIUJUKUMUAZURAHBDURUBZFQRUNUIUKUTVCUIUJUKUMUCZURAHBEVEFQRULUMUDUNUIUKVAVC
      VFAHBCEGFSRUIUSUTJUMVALVBURBCDEVEGUEUFUGUNUIUJUQDOVCVDAHBCDGFSRUH $.
  $}

  ${
    osumcllem.l $e |- .<_ = ( le ` K ) $.
    osumcllem.j $e |- .\/ = ( join ` K ) $.
    osumcllem.a $e |- A = ( Atoms ` K ) $.
    osumcllem.p $e |- .+ = ( +P ` K ) $.
    osumcllem.o $e |- ._|_ = ( _|_P ` K ) $.
    osumcllem.c $e |- C = ( PSubCl ` K ) $.
    osumcllem.m $e |- M = ( X .+ { p } ) $.
    osumcllem.u $e |- U = ( ._|_ ` ( ._|_ ` ( X .+ Y ) ) ) $.
    $( Lemma for ~ osumclN .  (Contributed by NM, 25-Mar-2012.)
       (New usage is discouraged.) $)
    osumcllem1N $p |- ( ( ( K e. HL /\ X C_ A /\ Y C_ A ) /\ p e. U ) ->
          ( U i^i M ) = M ) $=
      ( chlt wcel wss w3a cv wa cin wceq csn sspadd1 adantr cfv simpl1 paddssat
      co 2polssN syl2anc sseqtrrdi sstrd simpr snssd cpsubsp wb simpl2 polssatN
      eqsstrid eqid polsubN eqeltrid paddss syl13anc mpbi2and sseqin2 sylib ) F
      UAUBZJAUCZKAUCZUDZLUEZDUBZUFZHDUCDHUGHUHWAHJVSUIZCUOZDSWAJDUCZWBDUCZWCDUC
      ZWAJJKCUOZDVRJWGUCVTAUACFJKOPUJUKWAWGWGIULZIULZDWAVOWGAUCZWGWIUCVOVPVQVTU
      MZVRWJVTAUACFJKOPUNUKZAFIWGOQUPUQTURUSWAVSDVRVTUTVAZWAVOVPWBAUCDFVBULZUBW
      DWEUFWFVCWKVOVPVQVTVDWAWBDAWMWADWIATWAVOWHAUCZWIAUCWKWAVOWJWOWKWLAFIWGOQV
      EUQZAFIWHOQVEUQVFUSWADWIWNTWAVOWOWIWNUBWKWPAWNFIWHOWNVGZQVHUQVIAUACWNFJWB
      DOWQPVJVKVLVFHDVMVN $.

    $( Lemma for ~ osumclN .  (Contributed by NM, 25-Mar-2012.)
       (New usage is discouraged.) $)
    osumcllem2N $p |- ( ( ( K e. HL /\ X C_ A /\ Y C_ A ) /\ p e. U ) ->
          X C_ ( U i^i M ) ) $=
      ( chlt wcel wss w3a cv wa cin csn co simpl1 simpl2 simpr snssd cfv adantr
      paddssat polssatN syl2anc eqsstrid sspadd1 sseqtrrdi osumcllem1N sseqtrrd
      sstrd syl3anc ) FUAUBZJAUCZKAUCZUDZLUEZDUBZUFZJHDHUGVLJJVJUHZCUIZHVLVFVGV
      MAUCJVNUCVFVGVHVKUJZVFVGVHVKUKVLVMDAVLVJDVIVKULUMVLDJKCUIZIUNZIUNZATVLVFV
      QAUCZVRAUCVOVLVFVPAUCZVSVOVIVTVKAUACFJKOPUPUOAFIVPOQUQURAFIVQOQUQURUSVDAU
      ACFJVMOPUTVESVAABCDEFGHIJKLMNOPQRSTVBVC $.

    $( Lemma for ~ osumclN .  (Contributed by NM, 23-Mar-2012.)
       (New usage is discouraged.) $)
    osumcllem3N $p |- ( ( K e. HL /\ Y e. C /\ X C_ ( ._|_ ` Y ) ) ->
          ( ( ._|_ ` X ) i^i U ) = Y ) $=
      ( chlt wcel cfv wss w3a cin incom co wceq simp1 simp3 psubclssatN 3adant3
      polssatN syl2anc poldmj1N syl3anc eqtrdi fveq2d syl5eq polcon2N psubcli2N
      sstrd ineq1d syld3an2 poml5N 3eqtrd ) FUAUBZKBUBZJKIUCZUDZUEZJIUCZDUFDVMU
      FZKVMDUGVLVNVJVMUFZIUCZVMUFZVJIUCZKVLDVPVMVLDJKCUHIUCZIUCVPTVLVSVOIVLVSVM
      VJUFZVOVLVHJAUDZKAUDZVSVTUIVHVIVKUJZVLJVJAVHVIVKUKVLVHWBVJAUDWCVHVIWBVKAB
      UAFKORULUMZAFIKOQUNUOVCZWDACJKFIOPQUPUQVMVJUGURUSUTVDVLVHWAKVMUDZVQVRUIWC
      WEVHWBVIVKWFWDAFIJKOQVAVEAFIKJOQVFUQVHVIVRKUIVKBUAFIKQRVBUMVGUT $.

    $( Lemma for ~ osumclN .  (Contributed by NM, 24-Mar-2012.)
       (New usage is discouraged.) $)
    osumcllem4N $p |- ( ( ( K e. HL /\ Y C_ A /\ X C_ ( ._|_ ` Y ) ) /\
 ( r e. X /\ q e. Y ) ) -> q =/= r ) $=
      ( chlt wcel wss cfv w3a cv wa cin wn wne c0 wceq n0i incom sslin 3ad2ant3
      pnonsingN 3adant3 sseqtrd ss0b sylib adantr nsyl3 simprr eleq1w syl5ibcom
      eqsstrid simprl jctild elin syl6ibr necon3bd mpd ) FUCUDZKAUEZJKIUFZUEZUG
      ZLUHZJUDZMUHZKUDZUIZUIZWAJKUJZUDZUKWCWAULWHWGUMUNZWFWGWAUOVTWIWEVTWGUMUEW
      IVTWGKVRUJZUMVTWGKJUJZWJJKUPVSVPWKWJUEVQJVRKUQURVIVPVQWJUMUNVSAIFKQSUSUTV
      AWGVBVCVDVEWFWHWCWAWFWCWAUNZWBWAKUDZUIWHWFWLWMWBWFWDWLWMVTWBWDVFMLKVGVHVT
      WBWDVJVKWAJKVLVMVNVO $.

    $( Lemma for ~ osumclN .  (Contributed by NM, 24-Mar-2012.)
       (New usage is discouraged.) $)
    osumcllem5N $p |- ( ( ( K e. HL /\ X C_ A /\ Y C_ A ) /\ p e. A
    /\ ( r e. X /\ q e. Y /\ p .<_ ( r .\/ q ) ) ) -> p e. ( X .+ Y ) ) $=
      ( chlt wcel wss w3a cv wbr clat simp11 hllatd simp12 simp13 simp31 simp32
      co simp2 simp33 elpaddri syl322anc ) FUCUDZJAUEZKAUEZUFZNUGZAUDZLUGZJUDZM
      UGZKUDZVEVGVIEUPGUHZUFZUFZFUIUDVBVCVHVJVFVKVEJKCUPUDVMFVAVBVCVFVLUJUKVAVB
      VCVFVLULVAVBVCVFVLUMVDVFVHVJVKUNVDVFVHVJVKUOVDVFVLUQVDVFVHVJVKURACVGVIVEE
      FGJKOPQRUSUT $.

    $( Lemma for ~ osumclN .  Use atom exchange ~ hlatexch1 to swap ` p ` and
       ` q ` .  (Contributed by NM, 24-Mar-2012.)
       (New usage is discouraged.) $)
    osumcllem6N $p |- ( ( ( K e. HL /\ X C_ A /\ Y C_ A )
          /\ ( X C_ ( ._|_ ` Y ) /\ p e. A )
          /\ ( r e. X /\ q e. Y /\ q .<_ ( r .\/ p ) ) )
        -> p e. ( X .+ Y ) ) $=
      ( chlt wss w3a cfv cv wa co wbr simp11 simp12 simp13 simp2r simp31 simp32
      wcel sseldd 3jca simp2l osumcllem4N syl32anc simp33 hlatexch1 osumcllem5N
      wne sylc syl313anc ) FUCUQZJAUDZKAUDZUEZJKIUFUDZNUGZAUQZUHZLUGZJUQZMUGZKU
      QZVSVQVNEUIGUJZUEZUEZVIVJVKVOVRVTVNVQVSEUIGUJZVNJKCUIUQVIVJVKVPWBUKZVIVJV
      KVPWBULZVIVJVKVPWBUMZVLVMVOWBUNZVLVPVRVTWAUOZVLVPVRVTWAUPZWCVIVSAUQZVOVQA
      UQZUEZVSVQVFZUEWAWDWCVIWMWNWEWCWKVOWLWCKAVSWGWJURWHWCJAVQWFWIURUSWCVIVKVM
      VRVTWNWEWGVLVMVOWBUTWIWJABCDEFGHIJKLMNOPQRSTUAUBVAVBUSVLVPVRVTWAVCAVSVNVQ
      EFGOPQVDVGABCDEFGHIJKLMNOPQRSTUAUBVEVH $.

    $d q r A $.  $d r .\/ $.  $d q r K $.  $d r .<_ $.  $d q r M $.
    $d q r ._|_ $.  $d q r .+ $.  $d q r X $.  $d q r Y $.  $d p q r $.
    $( Lemma for ~ osumclN .  (Contributed by NM, 24-Mar-2012.)
       (New usage is discouraged.) $)
    osumcllem7N $p |- ( ( ( K e. HL /\ X C_ A /\ Y C_ A )
          /\ ( X C_ ( ._|_ ` Y ) /\ X =/= (/) /\ p e. A )
          /\ q e. ( Y i^i M ) ) -> p e. ( X .+ Y ) ) $=
      ( vr chlt wcel wss w3a cfv c0 wne cv cin co wbr wrex simp11 hllatd simp12
      clat csn simp23 inss2 sseli 3ad2ant3 eleqtrdi elpaddatiN syl32anc simp121
      simp22 simp123 simp2 inss1 simp13 sselid osumcllem6N syl123anc rexlimdv3a
      simp3 mpd ) FUCUDZJAUEZKAUEZUFZJKIUGUEZJUHUIZMUJZAUDZUFZLUJZKHUKZUDZUFZWH
      UBUJZWEEULGUMZUBJUNZWEJKCULUDZWKFURUDVTWFWDWHJWEUSCULZUDWNWKFVSVTWAWGWJUO
      UPVSVTWAWGWJUQWBWCWDWFWJUTWBWCWDWFWJVHWKWHHWPWJWBWHHUDWGWIHWHKHVAVBVCTVDA
      CWEWHEFGJUBNOPQVEVFWKWMWOUBJWKWLJUDZWMUFZWBWCWFWQWHKUDWMWOWBWGWJWQWMUOWCW
      DWFWBWJWQWMVGWCWDWFWBWJWQWMVIWKWQWMVJWRWIKWHKHVKWBWGWJWQWMVLVMWKWQWMVQABC
      DEFGHIJKUBLMNOPQRSTUAVNVOVPVR $.

    $( Lemma for ~ osumclN .  (Contributed by NM, 24-Mar-2012.)
       (New usage is discouraged.) $)
    osumcllem8N $p |- ( ( ( K e. HL /\ X C_ A /\ Y C_ A )
          /\ ( X C_ ( ._|_ ` Y ) /\ X =/= (/) /\ p e. A )
          /\ -. p e. ( X .+ Y ) ) -> ( Y i^i M ) = (/) ) $=
      ( vq chlt wcel wss w3a cfv c0 wne cv co wn cin wceq wa wex n0 osumcllem7N
      3expia exlimdv syl5bi necon1bd 3impia ) FUBUCJAUDKAUDUEZJKIUFUDJUGUHLUIZA
      UCUEZVDJKCUJUCZUKKHULZUGUMVCVEUNZVFVGUGVGUGUHUAUIVGUCZUAUOVHVFUAVGUPVHVIV
      FUAVCVEVIVFABCDEFGHIJKUALMNOPQRSTUQURUSUTVAVB $.

    $( Lemma for ~ osumclN .  (Contributed by NM, 24-Mar-2012.)
       (New usage is discouraged.) $)
    osumcllem9N $p |- ( ( ( K e. HL /\ X e. C /\ Y e. C )
          /\ ( X C_ ( ._|_ ` Y ) /\ X =/= (/) /\ p e. U )
          /\ -. p e. ( X .+ Y ) ) -> M = X ) $=
      ( chlt wcel w3a cfv wss c0 wne cv co wn cin inass wceq simp11 osumcllem3N
      simp13 simp21 syl3anc ineq1d eqtr3id simp12 psubclssatN paddssat polssatN
      syl2anc simp22 simp23 sseldd simp3 osumcllem8N syl331anc eqtrd fveq2d syl
      eqsstrid pol0N osumcllem1N syl31anc ineq12d polsubclN paddatclN psubclinN
      eqeltrid csn osumcllem2N poml6N snssd sseqin2 sylib 3eqtr3rd ) FUAUBZJBUB
      ZKBUBZUCZJKIUDUEZJUFUGZLUHZDUBZUCZWQJKCUIZUBUJZUCZJIUDZDHUKZUKZIUDZXDUKZA
      HUKZJHXBXFAXDHXBXFUFIUDZAXBXEUFIXBXEKHUKZUFXBXEXCDUKZHUKXJXCDHULXBXKKHXBW
      KWMWOXKKUMWKWLWMWSXAUNZWKWLWMWSXAUPZWNWOWPWRXAUQZABCDEFGHIJKLMNOPQRSTUOUR
      USUTXBWKJAUEZKAUEZWOWPWQAUBZXAXJUFUMXLXBWKWLXOXLWKWLWMWSXAVAZABUAFJORVBVE
      ZXBWKWMXPXLXMABUAFKORVBVEZXNWNWOWPWRXAVFXBDAWQXBDWTIUDZIUDZATXBWKYAAUEZYB
      AUEXLXBWKWTAUEZYCXLXBWKXOXPYDXLXSXTAUACFJKOPVCURAFIWTOQVDVEZAFIYAOQVDVEVO
      WNWOWPWRXAVGZVHZWNWSXAVIABCDEFGHIJKLMNOPQRSTVJVKVLVMXBWKXIAUMXLAUAFIOQVPV
      NVLXBWKXOXPWRXDHUMXLXSXTYFABCDEFGHIJKLMNOPQRSTVQVRVSXBWKWLXDBUBZJXDUEZXGJ
      UMXLXRXBWKDBUBHBUBYHXLXBDYBBTXBWKYCYBBUBXLYEABFIYAOQRVTVEWCXBHJWQWDZCUIZB
      SXBWKWLXQYKBUBXLXRYGABCWQFJOPRWAURWCBFDHRWBURXBWKXOXPWRYIXLXSXTYFABCDEFGH
      IJKLMNOPQRSTWEVRBFIJXDRQWFVRXBHAUEXHHUMXBHYKASXBWKXOYJAUEYKAUEXLXSXBWQAYG
      WGAUACFJYJOPVCURVOHAWHWIWJ $.

    $( Lemma for ~ osumclN .  Contradict ~ osumcllem9N .  (Contributed by NM,
       25-Mar-2012.)  (New usage is discouraged.) $)
    osumcllem10N $p |- ( ( ( K e. HL /\ X C_ A /\ Y C_ A )
          /\ p e. A
          /\ -. p e. ( X .+ Y ) ) -> M =/= X ) $=
      ( chlt wss w3a cv co wn wne csn simp11 simp2 snssd simp12 sspadd2 syl3anc
      wcel snss sylibr eleqtrrdi sspadd1 3ad2ant1 simp3 ssneldd nelne1 syl2anc
      vex ) FUAUOZJAUBZKAUBZUCZLUDZAUOZVJJKCUEZUOUFZUCZVJHUOVJJUOUFHJUGVNVJJVJU
      HZCUEZHVNVOVPUBZVJVPUOVNVFVOAUBVGVQVFVGVHVKVMUIVNVJAVIVKVMUJUKVFVGVHVKVMU
      LAUACFVOJOPUMUNVJVPLVEUPUQSURVNJVLVJVIVKJVLUBVMAUACFJKOPUSUTVIVKVMVAVBVJH
      JVCVD $.
  $}

  ${
    $d p C $.  $d p K $.  $d p ._|_ $.  $d p .+ $.  $d p X $.  $d p Y $.
    osumcl.p $e |- .+ = ( +P ` K ) $.
    osumcl.o $e |- ._|_ = ( _|_P ` K ) $.
    osumcl.c $e |- C = ( PSubCl ` K ) $.
    $( Lemma for ~ osumclN .  (Contributed by NM, 25-Mar-2012.)
       (New usage is discouraged.) $)
    osumcllem11N $p |- ( ( ( K e. HL /\ X e. C /\ Y e. C )
          /\ ( X C_ ( ._|_ ` Y ) /\ X =/= (/) ) )
                -> ( X .+ Y ) = ( ._|_ ` ( ._|_ ` ( X .+ Y ) ) ) ) $=
      ( vp chlt wcel w3a cfv wss wne wa wceq eqid syl2anc c0 wn nonconne simpl1
      co catm simpl2 psubclssatN simpl3 paddssat syl3anc 2polssN cv wrex df-pss
      wex wpss pssnel sylbir df-rex sylibr wi csn cjn osumcllem9N simp11 simp12
      cple simp13 3adantr3 3adant3 polssatN simp23 simp3 osumcllem10N syl311anc
      sseldd pm2.21ddne 3exp 3expd imp32 rexlimdv syl5 mpand necon1bd mpi ) CKL
      ZEALZFALZMZEFDNOZEUAPZQZQZEEREEPQZUBEFBUEZWPDNZDNZREEUCWNWOWPWRWNWPWROZWP
      WRPZWOWNWGWPCUFNZOZWSWGWHWIWMUDZWNWGEXAOZFXAOZXBXCWNWGWHXDXCWGWHWIWMUGXAA
      KCEXASZIUHZTWNWGWIXEXCWGWHWIWMUIXAAKCFXFIUHZTXAKBCEFXFGUJUKZXACDWPXFHULTW
      SWTQZJUMZWPLUBZJWRUNZWNWOXJXKWRLZXLQJUPZXMXJWPWRUQXOWPWRUOJWPWRURUSXLJWRU
      TVAWNXLWOJWRWJWKWLXNXLWOVBZVBWJWKWLXNXPWJWKWLXNMZXLWOWJXQXLMZWOEXKVCBUEZE
      XAABWRCVDNZCCVHNZXSDEFJYASZXTSZXFGHIXSSZWRSZVEXRWGXDXEXKXALXLXSEPWGWHWIXQ
      XLVFZXRWGWHXDYFWGWHWIXQXLVGXGTXRWGWIXEYFWGWHWIXQXLVIXHTXRWRXAXKXRWGWQXAOZ
      WRXAOYFXRWGXBYGYFWJXQXBXLWJWKWLXBXNXIVJVKXACDWPXFHVLTXACDWQXFHVLTWJWKWLXN
      XLVMVQWJXQXLVNXAABWRXTCYAXSDEFJYBYCXFGHIYDYEVOVPVRVSVTWAWBWCWDWEWF $.

    $( Closure of orthogonal sum.  If ` X ` and ` Y ` are orthogonal closed
       projective subspaces, then their sum is closed.  (Contributed by NM,
       25-Mar-2012.)  (New usage is discouraged.) $)
    osumclN $p |- ( ( ( K e. HL /\ X e. C /\ Y e. C ) /\ X C_ ( ._|_ ` Y ) )
         -> ( X .+ Y ) e. C ) $=
      ( chlt wcel w3a cfv wss wa co wceq psubclssatN syl2anc c0 simpl1 paddssat
      catm simpl2 simpl3 syl3anc simpll1 oveq1 padd02 sylan9eqr simpll3 eqeltrd
      eqid psubcli2N osumcllem11N anassrs eqcomd pm2.61dane ispsubclN mpbir2and
      wne wb syl ) CJKZEAKZFAKZLZEFDMNZOZEFBPZAKZVJCUCMZNZVJDMDMZVJQZVIVDEVLNZF
      VLNZVMVDVEVFVHUAZVIVDVEVPVRVDVEVFVHUDVLAJCEVLUMZIRSVIVDVFVQVRVDVEVFVHUEVL
      AJCFVSIRSZVLJBCEFVSGUBUFVIVOETVIETQZOZVDVKVOVDVEVFVHWAUGWBVJFAWAVIVJTFBPZ
      FETFBUHVIVDVQWCFQVRVTVLJBCFVSGUISUJVDVEVFVHWAUKULAJCDVJHIUNSVIETVAZOVJVNV
      GVHWDVJVNQABCDEFGHIUOUPUQURVIVDVKVMVOOVBVRVLAJCDVJVSHIUSVCUT $.
  $}

  ${
    pmapojoin.b $e |- B = ( Base ` K ) $.
    pmapojoin.l $e |- .<_ = ( le ` K ) $.
    pmapojoin.j $e |- .\/ = ( join ` K ) $.
    pmapojoin.m $e |- M = ( pmap ` K ) $.
    pmapojoin.o $e |- ._|_ = ( oc ` K ) $.
    pmapojoin.p $e |- .+ = ( +P ` K ) $.
    $( For orthogonal elements, projective map of join equals projective sum.
       Compare ~ pmapjoin where only one direction holds.  (Contributed by NM,
       11-Apr-2012.)  (New usage is discouraged.) $)
    pmapojoinN $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B ) /\
  X .<_ ( ._|_ ` Y ) ) -> ( M ` ( X .\/ Y ) ) = ( ( M ` X ) .+ ( M ` Y ) ) ) $=
      ( chlt wcel cfv wceq syl2anc w3a wbr wa co cpolN eqid adantr cpscN simpl1
      pmapj2N wss simpl2 pmapsubclN simpl3 wb cops 3ad2ant1 simp3 opoccl pmaple
      hlop syld3an3 biimpa polpmapN sseqtrrd osumclN syl31anc psubcli2N eqtrd )
      DPQZHAQZIAQZUAZHIGRZEUBZUCZHICUDFRZHFRZIFRZBUDZDUERZRWARZVTVMVQWBSVOABCDF
      WAHIJLMOWAUFZUJUGVPVJVTDUHRZQZWBVTSVJVKVLVOUIZVPVJVRWDQZVSWDQZVRVSWARZUKW
      EWFVPVJVKWGWFVJVKVLVOULAWDDFHJMWDUFZUMTVPVJVLWHWFVJVKVLVOUNZAWDDFIJMWJUMT
      VPVRVNFRZWIVMVOVRWLUKZVJVKVLVNAQZVOWMUOVMDUPQZVLWNVJVKWOVLDVAUQVJVKVLURAD
      GIJNUSTADEFHVNJKMUTVBVCVPVJVLWIWLSWFWKAWADFGIJNMWCVDTVEWDBDWAVRVSOWCWJVFV
      GWDPDWAVTWCWJVHTVI $.
  $}

  ${
    pexmid.a $e |- A = ( Atoms ` K ) $.
    pexmid.p $e |- .+ = ( +P ` K ) $.
    pexmid.o $e |- ._|_ = ( _|_P ` K ) $.
    $( Excluded middle law for closed projective subspaces, which can be shown
       to be equivalent to (and derivable from) the orthomodular law ~ poml4N .
       Lemma 3.3(2) in [Holland95] p. 215, which we prove as a special case of
       ~ osumclN .  (Contributed by NM, 25-Mar-2012.)
       (New usage is discouraged.) $)
    pexmidN $p |- ( ( ( K e. HL /\ X C_ A ) /\ ( ._|_ ` ( ._|_ ` X ) ) = X )
         -> ( X .+ ( ._|_ ` X ) ) = A ) $=
      ( chlt wcel wss wa cfv wceq co c0 cin adantr syl2anc ad2antrr eqtrd cpscN
      simpll simplr polssatN poldmj1N syl3anc pnonsingN simpr wb eqid ispsubclN
      fveq2d mpbir2and polsubclN 2polssN osumclN syl31anc psubcli2N 3eqtr3d
      pol0N ) CIJZEAKZLZEDMZDMZENZLZEVEBOZDMZDMZPDMZVIAVHVJPDVHVJVEVFQZPVHVBVCV
      EAKZVJVMNVBVCVGUCZVBVCVGUDZVDVNVGACDEFHUERZABEVECDFGHUFUGVHVBVNVMPNVOVQAD
      CVEFHUHSUAUMVHVBVICUBMZJZVKVINVOVHVBEVRJZVEVRJZEVFKZVSVOVHVTVCVGVPVDVGUIV
      BVTVCVGLUJVCVGAVRICDEFHVRUKZULTUNVDWAVGAVRCDEFHWCUORVDWBVGACDEFHUPRVRBCDE
      VEGHWCUQURVRICDVIHWCUSSVBVLANVCVGAICDFHVATUT $.
  $}

  ${
    pexmidlem.l $e |- .<_ = ( le ` K ) $.
    pexmidlem.j $e |- .\/ = ( join ` K ) $.
    pexmidlem.a $e |- A = ( Atoms ` K ) $.
    pexmidlem.p $e |- .+ = ( +P ` K ) $.
    pexmidlem.o $e |- ._|_ = ( _|_P ` K ) $.
    pexmidlem.m $e |- M = ( X .+ { p } ) $.
    $( Lemma for ~ pexmidN .  Holland's proof implicitly requires ` q =/= r ` ,
       which we prove here.  (Contributed by NM, 2-Feb-2012.)
       (New usage is discouraged.) $)
    pexmidlem1N $p |- ( ( ( K e. HL /\ X C_ A ) /\
 ( r e. X /\ q e. ( ._|_ ` X ) ) ) -> q =/= r ) $=
      ( wcel wa cv chlt wss cfv cin wn wne c0 n0i pnonsingN adantr nsyl3 simprr
      wceq weq eleq1w syl5ibcom simprl jctild elin syl6ibr necon3bd mpd ) DUARH
      AUBSZITZHRZJTZHGUCZRZSZSZVDHVGUDZRZUEVFVDUFVLVKUGUMZVJVKVDUHVCVMVIAGDHNPU
      IUJUKVJVLVFVDVJJIUNZVEVDVGRZSVLVJVNVOVEVJVHVNVOVCVEVHULJIVGUOUPVCVEVHUQUR
      VDHVGUSUTVAVB $.

    $( Lemma for ~ pexmidN .  (Contributed by NM, 2-Feb-2012.)
       (New usage is discouraged.) $)
    pexmidlem2N $p |- ( ( ( K e. HL /\ X C_ A /\ p e. A )
       /\ ( r e. X /\ q e. ( ._|_ ` X ) /\ p .<_ ( r .\/ q ) ) )
     -> p e. ( X .+ ( ._|_ ` X ) ) ) $=
      ( wcel wss cv chlt w3a cfv wbr clat simpl1 hllatd simpl2 polssatN syl2anc
      co wa simpr1 simpr2 simpl3 simpr3 elpaddri syl322anc ) DUARZHASZKTZARZUBZ
      ITZHRZJTZHGUCZRZVAVDVFCUKEUDZUBZULZDUERUTVGASZVEVHVBVIVAHVGBUKRVKDUSUTVBV
      JUFZUGUSUTVBVJUHZVKUSUTVLVMVNADGHNPUIUJVCVEVHVIUMVCVEVHVIUNUSUTVBVJUOVCVE
      VHVIUPABVDVFVACDEHVGLMNOUQUR $.

    $( Lemma for ~ pexmidN .  Use atom exchange ~ hlatexch1 to swap ` p ` and
       ` q ` .  (Contributed by NM, 2-Feb-2012.)
       (New usage is discouraged.) $)
    pexmidlem3N $p |- ( ( ( K e. HL /\ X C_ A /\ p e. A ) /\ ( r e. X
          /\ q e. ( ._|_ ` X ) ) /\ q .<_ ( r .\/ p ) )
        -> p e. ( X .+ ( ._|_ ` X ) ) ) $=
      ( wcel cv co chlt wss w3a cfv wa wbr simp1 simp2l simp2r wi simpl1 simpl2
      wne polssatN syl2anc simprr sseldd simpl3 pexmidlem1N hlatexch1 syl131anc
      simprl 3adantl3 3impia pexmidlem2N syl13anc ) DUARZHAUBZKSZARZUCZISZHRZJS
      ZHGUDZRZUEZVNVLVICTEUFZUCVKVMVPVIVLVNCTEUFZVIHVOBTRVKVQVRUGVKVMVPVRUHVKVM
      VPVRUIVKVQVRVSVKVQUEZVGVNARVJVLARVNVLUMZVRVSUJVGVHVJVQUKZVTVOAVNVTVGVHVOA
      UBWBVGVHVJVQULZADGHNPUNUOVKVMVPUPUQVGVHVJVQURVTHAVLWCVKVMVPVBUQVGVHVQWAVJ
      ABCDEFGHIJKLMNOPQUSVCAVNVIVLCDELMNUTVAVDABCDEFGHIJKLMNOPQVEVF $.

    $d q r A $.  $d r .\/ $.  $d q r K $.  $d r .<_ $.  $d q r M $.
    $d q r ._|_ $.  $d q r .+ $.  $d q r X $.  $d p q r $.
    $( Lemma for ~ pexmidN .  (Contributed by NM, 2-Feb-2012.)
       (New usage is discouraged.) $)
    pexmidlem4N $p |- ( ( ( K e. HL /\ X C_ A /\ p e. A ) /\ ( X =/= (/) /\
           q e. ( ( ._|_ ` X ) i^i M ) ) ) -> p e. ( X .+ ( ._|_ ` X ) ) ) $=
      ( vr wcel cv wa chlt wss w3a c0 wne cfv cin co wbr wrex csn simpl1 hllatd
      clat simpl2 simpl3 simprl inss2 sseli eleqtrdi ad2antll elpaddatiN simp3l
      syl32anc simp1 simp2r sselid simp3r pexmidlem3N syl121anc 3expia rexlimdv
      inss1 expd mpd ) DUARZHAUBZJSZARZUCZHUDUEZISZHGUFZFUGZRZTZTZWBQSZVRCUHEUI
      ZQHUJZVRHWCBUHRZWGDUNRVQVSWAWBHVRUKBUHZRZWJWGDVPVQVSWFULUMVPVQVSWFUOVPVQV
      SWFUPVTWAWEUQWEWMVTWAWEWBFWLWDFWBWCFURUSPUTVAABVRWBCDEHQKLMNVBVDWGWIWKQHW
      GWHHRZWIWKVTWFWNWITZWKVTWFWOUCZVTWNWBWCRWIWKVTWFWOVEVTWFWNWIVCWPWDWCWBWCF
      VMVTWAWEWOVFVGVTWFWNWIVHABCDEFGHQIJKLMNOPVIVJVKVNVLVO $.

    $( Lemma for ~ pexmidN .  (Contributed by NM, 2-Feb-2012.)
       (New usage is discouraged.) $)
    pexmidlem5N $p |- ( ( ( K e. HL /\ X C_ A /\ p e. A ) /\ ( X =/= (/) /\
         -. p e. ( X .+ ( ._|_ ` X ) ) ) ) -> ( ( ._|_ ` X ) i^i M ) = (/) ) $=
      ( vq wcel cv c0 wne chlt wss w3a cfv co wn cin wceq wa wex n0 pexmidlem4N
      expr exlimdv syl5bi necon1bd impr ) DUAQHAUBIRZAQUCZHSTZURHHGUDZBUEQZUFVA
      FUGZSUHUSUTUIZVBVCSVCSTPRVCQZPUJVDVBPVCUKVDVEVBPUSUTVEVBABCDEFGHPIJKLMNOU
      LUMUNUOUPUQ $.

    $( Lemma for ~ pexmidN .  (Contributed by NM, 3-Feb-2012.)
       (New usage is discouraged.) $)
    pexmidlem6N $p |- ( ( ( K e. HL /\ X C_ A /\ p e. A )
      /\ ( ( ._|_ ` ( ._|_ ` X ) ) = X /\ X =/= (/) /\
   -. p e. ( X .+ ( ._|_ ` X ) ) ) ) -> M = X ) $=
      ( chlt wcel wss cfv wceq cv w3a c0 wne co cin pexmidlem5N 3adantr1 fveq2d
      wn simpl1 pol0N syl eqtrd ineq1d simpl2 csn simpl3 snssd paddssat syl3anc
      wa eqsstrid 3jca sspadd1 sseqtrrdi cpscN wb ispsubclN mpbir2and paddatclN
      simpr1 eqid eqeltrid psubcli2N syl2anc poml4N sylc sseqin2 sylib 3eqtr3rd
      jca ) DPQZHARZIUAZAQZUBZHGSZGSZHTZHUCUDZWEHWHBUEQUJZUBZVBZFWIHWNWHFUFZGSZ
      FUFZAFUFZWIFWNWPAFWNWPUCGSZAWNWOUCGWGWKWLWOUCTWJABCDEFGHIJKLMNOUGUHUIWNWC
      WSATWCWDWFWMUKZAPDGLNULUMUNUOWNWCWDFARZUBHFRZFGSGSFTZVBWQWITWNWCWDXAWTWCW
      DWFWMUPZWNFHWEUQZBUEZAOWNWCWDXEARZXFARWTXDWNWEAWCWDWFWMURZUSZAPBDHXELMUTV
      AVCZVDWNXBXCWNHXFFWNWCWDXGHXFRWTXDXIAPBDHXELMVEVAOVFWNWCFDVGSZQXCWTWNFXFX
      KOWNWCHXKQZWFXFXKQWTWNXLWDWJXDWGWJWKWLVLZWNWCXLWDWJVBVHWTAXKPDGHLNXKVMZVI
      UMVJXHAXKBWEDHLMXNVKVAVNXKPDGFNXNVOVPWBADGHFLNVQVRWNXAWRFTXJFAVSVTWAXMUN
      $.

    $( Lemma for ~ pexmidN .  Contradict ~ pexmidlem6N .  (Contributed by NM,
       3-Feb-2012.)  (New usage is discouraged.) $)
    pexmidlem7N $p |- ( ( ( K e. HL /\ X C_ A /\ p e. A )
      /\ ( ( ._|_ ` ( ._|_ ` X ) ) = X /\ X =/= (/) /\
   -. p e. ( X .+ ( ._|_ ` X ) ) ) ) -> M =/= X ) $=
      ( chlt wcel wss w3a cfv cv c0 wne co wn wa csn simpl1 simpl3 snssd simpl2
      wceq sspadd2 syl3anc vex sylibr eleqtrrdi polssatN syl2anc sspadd1 simpr3
      snss ssneldd nelne1 ) DPQZHARZIUAZAQZSZHGTZGTHULZHUBUCZVGHVJBUDZQUEZSZUFZ
      VGFQVGHQUEFHUCVPVGHVGUGZBUDZFVPVQVRRZVGVRQVPVEVQARVFVSVEVFVHVOUHZVPVGAVEV
      FVHVOUIUJVEVFVHVOUKZAPBDVQHLMUMUNVGVRIUOVBUPOUQVPHVMVGVPVEVFVJARZHVMRVTWA
      VPVEVFWBVTWAADGHLNURUSAPBDHVJLMUTUNVIVKVLVNVAVCVGFHVDUS $.
  $}

  ${
    pexmidALT.a $e |- A = ( Atoms ` K ) $.
    pexmidALT.p $e |- .+ = ( +P ` K ) $.
    pexmidALT.o $e |- ._|_ = ( _|_P ` K ) $.
    $d p A $.  $d p K $.  $d p ._|_ $.  $d p .+ $.  $d p X $.
    $( Lemma for ~ pexmidN .  The contradiction of ~ pexmidlem6N and
       ~ pexmidlem7N shows that there can be no atom ` p ` that is not in
       ` X .+ ( ._|_ `` X ) ` , which is therefore the whole atom space.
       (Contributed by NM, 3-Feb-2012.)  (New usage is discouraged.) $)
    pexmidlem8N $p |- ( ( ( K e. HL /\ X C_ A )
      /\ ( ( ._|_ ` ( ._|_ ` X ) ) = X /\ X =/= (/) ) )
        -> ( X .+ ( ._|_ ` X ) ) = A ) $=
      ( vp chlt wcel wss wa cfv wceq wne wn co nonconne eqid c0 simpll polssatN
      simplr adantr paddssat syl3anc cv wrex df-pss pssnel sylbir df-rex sylibr
      wex csn simplll simpllr simprl simplrl simplrr simprr w3a cjn pexmidlem6N
      wpss cple pexmidlem7N jca syl33anc 2false sylib rexlimdvaa mpand necon1bd
      syl5 mpi ) CJKZEALZMZEDNZDNEOZEUAPZMZMZEEOEEPMZQEWABRZAOEESZWEWFWGAWEWGAL
      ZWGAPZWFWEVRVSWAALZWIVRVSWDUBVRVSWDUDVTWKWDACDEFHUCUEAJBCEWAFGUFUGWIWJMZI
      UHZWGKQZIAUIZWEWFWLWMAKZWNMZIUOZWOWLWGAVFWRWGAUJIWGAUKULWNIAUMUNWEWNWFIAW
      EWQMZEWMUPBRZEOZWTEPZMZWFWSVRVSWPWBWCWNXCVRVSWDWQUQVRVSWDWQURWEWPWNUSVTWB
      WCWQUTVTWBWCWQVAWEWPWNVBVRVSWPVCWBWCWNVCMXAXBABCVDNZCCVGNZWTDEIXETZXDTZFG
      HWTTZVEABXDCXEWTDEIXFXGFGHXHVHVIVJXCWFWTESWHVKVLVMVPVNVOVQ $.

    $( Excluded middle law for closed projective subspaces, which is equivalent
       to (and derived from) the orthomodular law ~ poml4N .  Lemma 3.3(2) in
       [Holland95] p. 215.  In our proof, we use the variables ` X ` , ` M ` ,
       ` p ` , ` q ` , ` r ` in place of Hollands' l, m, P, Q, L respectively.
       TODO: should we make this obsolete?  (Contributed by NM, 3-Feb-2012.)
       (New usage is discouraged.) $)
    pexmidALTN $p |- ( ( ( K e. HL /\ X C_ A ) /\ ( ._|_ ` ( ._|_ ` X ) ) = X )
         -> ( X .+ ( ._|_ ` X ) ) = A ) $=
      ( chlt wcel wss wa cfv wceq co c0 id fveq2 oveq12d pol0N eqimss syl mpdan
      padd02 eqtrd ad2antrr sylan9eqr wne pexmidlem8N anassrs pm2.61dane ) CIJZ
      EAKZLZEDMZDMENZLZEUOBOZANZEPEPNZUQURPPDMZBOZAUTEPUOVABUTQEPDRSULVBANUMUPU
      LVBVAAULVAAKZVBVANULVAANVCAICDFHTZVAAUAUBAIBCVAFGUDUCVDUEUFUGUNUPEPUHUSAB
      CDEFGHUIUJUK $.
  $}

  ${
    pl42lem.b $e |- B = ( Base ` K ) $.
    pl42lem.l $e |- .<_ = ( le ` K ) $.
    pl42lem.j $e |- .\/ = ( join ` K ) $.
    pl42lem.m $e |- ./\ = ( meet ` K ) $.
    pl42lem.o $e |- ._|_ = ( oc ` K ) $.
    pl42lem.f $e |- F = ( pmap ` K ) $.
    pl42lem.p $e |- .+ = ( +P ` K ) $.
    $( Lemma for ~ pl42N .  (Contributed by NM, 8-Apr-2012.)
       (New usage is discouraged.) $)
    pl42lem1N $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B )
           /\ ( Z e. B /\ W e. B /\ V e. B ) ) ->
     ( ( X .<_ ( ._|_ ` Y ) /\ Z .<_ ( ._|_ ` W ) ) ->
       ( F ` ( ( ( ( X .\/ Y ) ./\ Z ) .\/ W ) ./\ V ) )
          = ( ( ( ( ( F ` X ) .+ ( F ` Y ) ) i^i ( F ` Z ) ) .+ ( F ` W ) )
           i^i ( F ` V ) ) ) ) $=
      ( chlt wcel w3a cfv wbr wa co cin wceq simp11 hllatd simp12 simp13 latjcl
      clat syl3anc simp21 latmcl simp22 simp23 catm eqid pmapmeet cops hlop syl
      opoccl syl2anc latmle2 simp3r lattrd syl31anc simp3l ineq1d oveq1d 3expia
      pmapojoinN eqtrd ) EUAUBZKAUBZLAUBZUCZMAUBZJAUBZIAUBZUCZKLHUDFUEZMJHUDZFU
      EZUFZKLDUGZMGUGZJDUGZIGUGCUDZKCUDLCUDBUGZMCUDZUHZJCUDZBUGZICUDZUHZUIWBWFW
      JUCZWNWMCUDZWTUHZXAXBVSWMAUBZWEWNXDUIVSVTWAWFWJUJZXBEUOUBZWLAUBZWDXEXBEXF
      UKZXBXGWKAUBZWCXHXIXBXGVTWAXJXIVSVTWAWFWJULZVSVTWAWFWJUMZADEKLNPUNUPZWBWC
      WDWEWJUQZAEGWKMNQURUPZWBWCWDWEWJUSZADEWLJNPUNUPWBWCWDWEWJUTEVAUDZACEGWMIN
      QXQVBZSVCUPXBXCWSWTXBXCWLCUDZWRBUGZWSXBVSXHWDWLWHFUEXCXTUIXFXOXPXBAEFWLMW
      HNOXIXOXNXBEVDUBZWDWHAUBXBVSYAXFEVEVFXPAEHJNRVGVHXBXGXJWCWLMFUEXIXMXNAEFG
      WKMNOQVIUPWBWFWGWIVJVKABDEFCHWLJNOPSRTVQVLXBXSWQWRBXBXSWKCUDZWPUHZWQXBVSX
      JWCXSYCUIXFXMXNXQACEGWKMNQXRSVCUPXBYBWOWPXBVSVTWAWGYBWOUIXFXKXLWBWFWGWIVM
      ABDEFCHKLNOPSRTVQVLVNVRVOVRVNVRVP $.

    $( Lemma for ~ pl42N .  (Contributed by NM, 8-Apr-2012.)
       (New usage is discouraged.) $)
    pl42lem2N $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B )
           /\ ( Z e. B /\ W e. B /\ V e. B ) ) ->
      ( ( ( F ` X ) .+ ( F ` Y ) )
          .+ ( ( ( F ` X ) .+ ( F ` W ) ) i^i ( ( F ` Y ) .+ ( F ` V ) ) ) )
       C_ ( F ` ( ( X .\/ Y ) .\/ ( ( X .\/ W ) ./\ ( Y .\/ V ) ) ) ) ) $=
      ( chlt wcel w3a wa cfv co cin catm wss simpl1 hllatd simpl2 simpl3 latjcl
      clat syl3anc eqid pmapssat syl2anc simpr2 simpr3 3jca pmapjoin ss2in wceq
      latmcl pmapmeet sseqtrrd jca paddss12 sylc sstrd ) EUAUBZKAUBZLAUBZUCZMAU
      BZJAUBZIAUBZUCZUDZKCUEZLCUEZBUFZWBJCUEBUFZWCICUEBUFZUGZBUFZKLDUFZCUEZKJDU
      FZLIDUFZGUFZCUEZBUFZWIWMDUFCUEZWAVMWJEUHUEZUIZWNWQUIZUCWDWJUIZWGWNUIZUDWH
      WOUIWAVMWRWSVMVNVOVTUJZWAVMWIAUBZWRXBWAEUOUBZVNVOXCWAEXBUKZVMVNVOVTULZVMV
      NVOVTUMZADEKLNPUNUPZWQAUAECWINWQUQZSURUSWAVMWMAUBZWSXBWAXDWKAUBZWLAUBZXJX
      EWAXDVNVRXKXEXFVPVQVRVSUTZADEKJNPUNUPZWAXDVOVSXLXEXGVPVQVRVSVAZADELINPUNU
      PZAEGWKWLNQVFUPZWQAUAECWMNXISURUSVBWAWTXAWAXDVNVOWTXEXFXGABDECKLNPSTVCUPW
      AWGWKCUEZWLCUEZUGZWNWAWEXRUIZWFXSUIZWGXTUIWAXDVNVRYAXEXFXMABDECKJNPSTVCUP
      WAXDVOVSYBXEXGXOABDECLINPSTVCUPWEXRWFXSVDUSWAVMXKXLWNXTVEXBXNXPWQACEGWKWL
      NQXISVGUPVHVIWQUABEWNWDWJWGXITVJVKWAXDXCXJWOWPUIXEXHXQABDECWIWMNPSTVCUPVL
      $.

    $( Lemma for ~ pl42N .  (Contributed by NM, 8-Apr-2012.)
       (New usage is discouraged.) $)
    pl42lem3N $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B )
           /\ ( Z e. B /\ W e. B /\ V e. B ) )
        -> ( ( ( ( ( F ` X ) .+ ( F ` Y ) ) i^i ( F ` Z ) ) .+ ( F ` W ) )
           i^i ( F ` V ) ) C_ ( ( ( ( F ` X ) .+ ( F ` Y ) ) .+ ( F ` W ) )
            i^i ( ( ( F ` X ) .+ ( F ` Y ) ) .+ ( F ` V ) ) ) ) $=
      ( chlt wcel w3a wa cfv co cin wss catm simpl1 simpl2 eqid pmapssat simpl3
      syl2anc paddssat syl3anc simpr2 inss1 paddss1 mpi simpr3 sspadd2 ss2in )
      EUAUBZKAUBZLAUBZUCZMAUBZJAUBZIAUBZUCZUDZKCUEZLCUEZBUFZMCUEZUGZJCUEZBUFZVP
      VSBUFZUHZICUEZVPWCBUFZUHZVTWCUGWAWDUGUHVMVEVPEUIUEZUHZVSWFUHZWBVEVFVGVLUJ
      ZVMVEVNWFUHZVOWFUHZWGWIVMVEVFWJWIVEVFVGVLUKWFAUAECKNWFULZSUMUOVMVEVGWKWIV
      EVFVGVLUNWFAUAECLNWLSUMUOWFUABEVNVOWLTUPUQZVMVEVJWHWIVHVIVJVKURWFAUAECJNW
      LSUMUOVEWGWHUCVRVPUHWBVPVQUSWFUABEVRVPVSWLTUTVAUQVMVEWCWFUHZWGWEWIVMVEVKW
      NWIVHVIVJVKVBWFAUAECINWLSUMUOWMWFUABEWCVPWLTVCUQVTWAWCWDVDUO $.

    $( Lemma for ~ pl42N .  (Contributed by NM, 8-Apr-2012.)
       (New usage is discouraged.) $)
    pl42lem4N $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B )
           /\ ( Z e. B /\ W e. B /\ V e. B ) )
     -> ( ( X .<_ ( ._|_ ` Y ) /\ Z .<_ ( ._|_ ` W ) )
        -> ( F ` ( ( ( ( X .\/ Y ) ./\ Z ) .\/ W ) ./\ V ) )
          C_ ( F ` ( ( X .\/ Y )
              .\/ ( ( X .\/ W ) ./\ ( Y .\/ V ) ) ) ) ) ) $=
      ( chlt wcel w3a cfv wbr wa co wss wceq pl42lem1N 3impia pl42lem3N cpsubsp
      cin simpl1 clat hllatd simpl2 eqid pmapsub syl2anc simpl3 simpr2 pmodl42N
      simpr3 syl32anc pl42lem2N eqsstrd sstrd 3adant3 3expia ) EUAUBZKAUBZLAUBZ
      UCZMAUBZJAUBZIAUBZUCZKLHUDFUEMJHUDFUEUFZKLDUGZMGUGJDUGIGUGCUDZWAKJDUGLIDU
      GGUGDUGCUDZUHVOVSVTUCWBKCUDZLCUDZBUGZMCUDUNJCUDZBUGICUDZUNZWCVOVSVTWBWIUI
      ABCDEFGHIJKLMNOPQRSTUJUKVOVSWIWCUHVTVOVSUFZWIWFWGBUGWFWHBUGUNZWCABCDEFGHI
      JKLMNOPQRSTULWJWKWFWDWGBUGWEWHBUGUNBUGZWCWJVLWDEUMUDZUBZWEWMUBZWGWMUBZWHW
      MUBZWKWLUIVLVMVNVSUOZWJEUPUBZVMWNWJEWRUQZVLVMVNVSURAWMECKNWMUSZSUTVAWJWSV
      NWOWTVLVMVNVSVBAWMECLNXASUTVAWJWSVQWPWTVOVPVQVRVCAWMECJNXASUTVAWJWSVRWQWT
      VOVPVQVRVEAWMECINXASUTVABWMEWHWDWEWGXATVDVFABCDEFGHIJKLMNOPQRSTVGVHVIVJVH
      VK $.
  $}

  ${
    pl42.b $e |- B = ( Base ` K ) $.
    pl42.l $e |- .<_ = ( le ` K ) $.
    pl42.j $e |- .\/ = ( join ` K ) $.
    pl42.m $e |- ./\ = ( meet ` K ) $.
    pl42.o $e |- ._|_ = ( oc ` K ) $.
    $( Law holding in a Hilbert lattice that fails in orthomodular lattice L42
       (Figure 7 in [MegPav2000] p. 2366).  (Contributed by NM, 8-Apr-2012.)
       (New usage is discouraged.) $)
    pl42N $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B )
           /\ ( Z e. B /\ W e. B /\ V e. B ) )
     -> ( ( X .<_ ( ._|_ ` Y ) /\ Z .<_ ( ._|_ ` W ) )
        -> ( ( ( ( X .\/ Y ) ./\ Z ) .\/ W ) ./\ V )
           .<_ ( ( X .\/ Y ) .\/ ( ( X .\/ W ) ./\ ( Y .\/ V ) ) ) ) ) $=
      ( wcel cfv co syl3anc chlt w3a wa wbr cpmap wss cpadd pl42lem4N wb simpl1
      eqid clat hllatd simpl2 simpl3 latjcl simpr1 latmcl simpr2 simpr3 sylibrd
      pmaple ) CUAQZIAQZJAQZUBZKAQZHAQZGAQZUBZUCZIJFRDUDKHFRDUDUCIJBSZKESZHBSZG
      ESZCUERZRVLIHBSZJGBSZESZBSZVPRUFZVOVTDUDZACUGRZVPBCDEFGHIJKLMNOPVPUKZWCUK
      UHVKVCVOAQZVTAQZWBWAUIVCVDVEVJUJZVKCULQZVNAQZVIWEVKCWGUMZVKWHVMAQZVHWIWJV
      KWHVLAQZVGWKWJVKWHVDVEWLWJVCVDVEVJUNZVCVDVEVJUOZABCIJLNUPTZVFVGVHVIUQACEV
      LKLOURTVFVGVHVIUSZABCVMHLNUPTVFVGVHVIUTZACEVNGLOURTVKWHWLVSAQZWFWJWOVKWHV
      QAQZVRAQZWRWJVKWHVDVHWSWJWMWPABCIHLNUPTVKWHVEVIWTWJWNWQABCJGLNUPTACEVQVRL
      OURTABCVLVSLNUPTACDVPVOVTLMWDVBTVA $.
  $}

  $c LHyp $.
  $c LAut $.
  $c WAtoms $.
  $c PAut $.

  $( Extend class notation with set of all co-atoms (lattice hyperplanes). $)
  clh $a class LHyp $.

  $( Extend class notation with set of all lattice automorphisms. $)
  claut $a class LAut $.

  $( Extend class notation with W points. $)
  cwpointsN $a class WAtoms $.

  $( Extend class notation with set of all projective automorphisms. $)
  cpautN $a class PAut $.

  ${
    $d k f d x y $.
    $( Define the set of lattice hyperplanes, which are all lattice elements
       covered by 1 (i.e., all co-atoms).  We call them "hyperplanes" instead
       of "co-atoms" in analogy with projective geometry hyperplanes.
       (Contributed by NM, 11-May-2012.) $)
    df-lhyp $a |- LHyp = ( k e. _V
         |-> { x e. ( Base ` k ) | x ( <o ` k ) ( 1. ` k ) } ) $.

    $( Define set of lattice autoisomorphisms.  (Contributed by NM,
       11-May-2012.) $)
    df-laut $a |- LAut = ( k e. _V |-> { f | ( f : ( Base ` k ) -1-1-onto->
      ( Base ` k ) /\ A. x e. ( Base ` k ) A. y e. ( Base ` k )
        ( x ( le ` k ) y <-> ( f ` x ) ( le ` k ) ( f ` y ) ) ) } ) $.

    $( Define W-atoms corresponding to an arbitrary "fiducial (i.e. reference)
       atom" ` d ` .  These are all atoms not in the polarity of ` { d } ) ` ,
       which is the hyperplane determined by ` d ` .  Definition of set W in
       [Crawley] p. 111.  (Contributed by NM, 26-Jan-2012.) $)
    df-watsN $a |- WAtoms = ( k e. _V |-> ( d e. ( Atoms ` k )
         |-> ( ( Atoms ` k ) \ ( ( _|_P ` k ) ` { d } ) ) ) ) $.

    $( Define the set of hyperplanes, i.e. polarities of atoms,
        on the projective space of a lattice ` k ` . $)
    $(
    df-hyp $a |- PHyp = ( k e. _V |-> { h | E. d e. ( Atoms ` k )
         h = ( ( _|_P ` k ) ` { d } ) ) ) $.
    $)

    $( Define set of all projective automorphisms.  This is the intended
       definition of automorphism in [Crawley] p. 112.  (Contributed by NM,
       26-Jan-2012.) $)
    df-pautN $a |- PAut = ( k e. _V |-> { f | ( f : ( PSubSp ` k ) -1-1-onto->
      ( PSubSp ` k ) /\ A. x e. ( PSubSp ` k ) A. y e. ( PSubSp ` k )
        ( x C_ y <-> ( f ` x ) C_ ( f ` y ) ) ) } ) $.
  $}

  ${
    $d d k A $.  $d d D $.  $d d k K $.
    watomfval.a $e |- A = ( Atoms ` K ) $.
    watomfval.p $e |- P = ( _|_P ` K ) $.
    watomfval.w $e |- W = ( WAtoms ` K ) $.
    $( The W atoms function.  (Contributed by NM, 26-Jan-2012.)
       (New usage is discouraged.) $)
    watfvalN $p |- ( K e. B -> W = ( d e. A
         |-> ( A \ ( ( _|_P ` K ) ` { d } ) ) ) ) $=
      ( vk wcel cvv cv cpolN cfv cdif cmpt wceq cwpointsN catm csn elex eqtr4di
      fveq2 fveq1d difeq12d mpteq12dv df-watsN mptfvmpt syl5eq syl ) DBKDLKZEFA
      AFMUAZDNOZOZPZQZRDBUBULEDSOUQIFJUPTSFJMZTOZUSUMURNOZOZPZQALDDURDRZFUSVBAU
      PVCUSDTOAURDTUDGUCZVCUSAVAUOVDVCUMUTUNURDNUDUEUFUGJFUHGUIUJUK $.

    $( Value of the W atoms function.  (Contributed by NM, 26-Jan-2012.)
       (New usage is discouraged.) $)
    watvalN $p |- ( ( K e. B /\ D e. A )
       -> ( W ` D ) = ( A \ ( ( _|_P ` K ) ` { D } ) ) ) $=
      ( vd wcel cfv cv csn cpolN cdif cmpt watfvalN fveq1d wceq sneq eqid fvexi
      fveq2d difeq2d catm difexi fvmpt sylan9eq ) EBKZCAKCFLCJAAJMZNZEOLZLZPZQZ
      LACNZUMLZPZUJCFUPABDEFJGHIRSJCUOUSAUPUKCTZUNURAUTULUQUMUKCUAUDUEUPUBAURAE
      UFGUCUGUHUI $.

    $( The predicate "is a W atom" (corresponding to fiducial atom ` D ` ).
       (Contributed by NM, 26-Jan-2012.)  (New usage is discouraged.) $)
    iswatN $p |- ( ( K e. B /\ D e. A ) -> ( P e. ( W ` D )
       <-> ( P e. A /\ -. P e. ( ( _|_P ` K ) ` { D } ) ) ) ) $=
      ( wcel wa cfv csn cpolN cdif wn watvalN eleq2d eldif bitrdi ) EBJCAJKZDCF
      LZJDACMENLLZOZJDAJDUCJPKUAUBUDDABCDEFGHIQRDAUCST $.
  $}

  ${
    $d k w B $.  $d k w C $.  $d k w K $.  $d k w .1. $.  $d w W $.
    lhpset.b $e |- B = ( Base ` K ) $.
    lhpset.u $e |- .1. = ( 1. ` K ) $.
    lhpset.c $e |- C = ( <o ` K ) $.
    lhpset.h $e |- H = ( LHyp ` K ) $.
    $( The set of co-atoms (lattice hyperplanes).  (Contributed by NM,
       11-May-2012.) $)
    lhpset $p |- ( K e. A -> H = { w e. B | w C .1. } ) $=
      ( vk wcel cvv cfv cp1 ccvr cbs fveq2 eqtr4di wbr crab wceq elex clh eqidd
      cv breq123d rabeqbidv df-lhyp fvexi rabex fvmpt syl5eq syl ) GBMGNMZFAUGZ
      EDUAZACUBZUCGBUDUPFGUEOUSKLGUQLUGZPOZUTQOZUAZAUTROZUBUSNUEUTGUCZVCURAVDCV
      EVDGROCUTGRSHTVEUQUQVAEVBDVEUQUFVEVBGQODUTGQSJTVEVAGPOEUTGPSITUHUIALUJURA
      CCGRHUKULUMUNUO $.

    $( The predicate "is a co-atom (lattice hyperplane)".  (Contributed by NM,
       11-May-2012.) $)
    islhp $p |- ( K e. A -> ( W e. H <-> ( W e. B /\ W C .1. ) ) ) $=
      ( vw wcel cv wbr crab wa lhpset eleq2d breq1 elrab bitrdi ) FAMZGEMGLNZDC
      OZLBPZMGBMGDCOZQUCEUFGLABCDEFHIJKRSUEUGLGBUDGDCTUAUB $.

    $( The predicate "is a co-atom (lattice hyperplane)".  (Contributed by NM,
       18-May-2012.) $)
    islhp2 $p |- ( ( K e. A /\ W e. B ) -> ( W e. H <-> W C .1. ) ) $=
      ( wcel wbr islhp baibd ) FALGELGBLGDCMABCDEFGHIJKNO $.
  $}

  ${
    lhpbase.b $e |- B = ( Base ` K ) $.
    lhpbase.h $e |- H = ( LHyp ` K ) $.
    $( A co-atom is a member of the lattice base set (i.e., a lattice element).
       (Contributed by NM, 18-May-2012.) $)
    lhpbase $p |- ( W e. H -> W e. B ) $=
      ( cvv wcel clh cfv c0 wceq n0i eqeq1i sylnib fvprc nsyl2 cp1 ccvr eqid
      wbr islhp simprbda mpancom ) CGHZDBHZDAHZUFCIJZKLZUEUFBKLUIBDMBUHKFNOCIPQ
      UEUFUGDCRJZCSJZUAGAUKUJBCDEUJTUKTFUBUCUD $.
  $}

  ${
    lhp1cvr.u $e |- .1. = ( 1. ` K ) $.
    lhp1cvr.c $e |- C = ( <o ` K ) $.
    lhp1cvr.h $e |- H = ( LHyp ` K ) $.
    $( The lattice unit covers a co-atom (lattice hyperplane).  (Contributed by
       NM, 18-May-2012.) $)
    lhp1cvr $p |- ( ( K e. A /\ W e. H ) -> W C .1. ) $=
      ( wcel cbs cfv wbr eqid islhp simplbda ) EAJFDJFEKLZJFCBMAQBCDEFQNGHIOP
      $.
  $}

  ${
    lhplt.l $e |- .<_ = ( le ` K ) $.
    lhplt.s $e |- .< = ( lt ` K ) $.
    lhplt.a $e |- A = ( Atoms ` K ) $.
    lhplt.h $e |- H = ( LHyp ` K ) $.
    $( An atom under a co-atom is strictly less than it.  TODO: is this needed?
       (Contributed by NM, 1-Jun-2012.) $)
    lhplt $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ P .<_ W ) )
       -> P .< W ) $=
      ( chlt wcel wa wbr cbs cfv cp1 ccvr eqid simpll lhpbase ad2antlr 1cvratlt
      simprl lhp1cvr adantr simprr syl32anc ) ELMZGDMZNZBAMZBGFOZNZNUJUMGEPQZMZ
      GERQZESQZOZUNBGCOUJUKUOUAULUMUNUEUKUQUJUOUPDEGUPTZKUBUCULUTUOLUSURDEGURTZ
      USTZKUFUGULUMUNUHAUPUSBCUREFGVAHIVBVCJUDUI $.
  $}

  ${
    $d r s .<_ $.  $d r s .\/ $.  $d r s A $.  $d r s H $.  $d r s K $.
    $d r s P $.  $d r s Q $.  $d r s W $.
    lhp2lt.l $e |- .<_ = ( le ` K ) $.
    lhp2lt.s $e |- .< = ( lt ` K ) $.
    lhp2lt.j $e |- .\/ = ( join ` K ) $.
    lhp2lt.a $e |- A = ( Atoms ` K ) $.
    lhp2lt.h $e |- H = ( LHyp ` K ) $.
    $( The join of two atoms under a co-atom is strictly less than it.
       (Contributed by NM, 8-Jul-2013.) $)
    lhp2lt $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ P .<_ W )
          /\ ( Q e. A /\ Q .<_ W ) )
       -> ( P .\/ Q ) .< W ) $=
      ( wcel wa wbr cfv syl syl3anc vr vs chlt w3a co wne simp2r simp3r clat wb
      simp1l hllatd simp2l eqid atbase simp3l simp1r latjle12 syl13anc mpbi2and
      cbs lhpbase cv wn wrex cp1 ccvr cops simp11l hlop simp12l simp13l hlatjcl
      3dim2 latjcl ncvr1 syl2anc wceq club simpl1l simpl2l simpl3l simpr1l cglb
      cdm op01dm simpld ple1 cpo hlpos op1cl simpr2l cvr1 mpbid simpl1r lhp1cvr
      wi simpr3 eqbrtrd cvrcmp syl132anc simpr2r simpr1r eqbrtrrd 3imp necon3bd
      3exp2 mpd 3exp rexlimdvv pltval mpbir2and ) GUCOZIEOZPZBAOZBIHQZPZCAOZCIH
      QZPZUDZBCFUEZIDQZYCIHQZYCIUFZYBXQXTYEXOXPXQYAUGXOXRXSXTUHYBGUIOZBGVARZOZC
      YHOZIYHOZXQXTPYEUJYBGXMXNXRYAUKZULYBXPYIXOXPXQYAUMZAYHBGYHUNZMUOSYBXSYJXO
      XRXSXTUPZAYHCGYNMUOSYBXNYKXMXNXRYAUQZYHEGIYNNVBSYHFGHBCIYNJLURUSUTYBUAVCZ
      YCHQVDZUBVCZYCYQFUEZHQVDZPZUBAVEUAAVEZYFYBXMXPXSUUCYLYMYOABCFGHUBUALJMVNT
      YBUUBYFUAUBAAYBYQAOZYSAOZPZUUBYFYBUUFUUBUDZGVFRZYTYSFUEZGVGRZQZVDZYFUUGGV
      HOZUUIYHOZUULUUGXMUUMXMXNXRYAUUFUUBVIZGVJZSUUGYGYTYHOZYSYHOZUUNUUGGUUOULZ
      UUGYGYCYHOZYQYHOZUUQUUSUUGXMXPXSUUTUUOXPXQXOYAUUFUUBVKXSXTXOXRUUFUUBVLAYH
      FGBCYNLMVMZTUUGUUDUVAYBUUDUUEUUBUMAYHYQGYNMUOZSYHFGYCYQYNLVOZTUUGUUEUURYB
      UUDUUEUUBUGAYHYSGYNMUOSYHFGYTYSYNLVOTYHUUJUUHGUUIYNUUHUNZUUJUNZVPVQUUGUUK
      YCIYBUUFUUBYCIVRZUUKWQYBUUFUUBUVGUUKYBUUFUUBUVGUDZPZYTUUHUUIUUJUVIYTUUHHQ
      ZYTUUHVRZUVIYHGVSRZUUHGHUCYTYNUVLUNZJUVEXMXNXRYAUVHVTZUVIYGUUTUVAUUQUVIGU
      VNULUVIXMXPXSUUTUVNXPXQXOYAUVHWAXSXTXOXRUVHWBUVBTZUVIUUDUVAUUDUUEUUBUVGYB
      WCZUVCSUVDTZUVIUUMYHUVLWEOZUVIXMUUMUVNUUPSZUUMUVRYHGWDRZWEOYHUVLUVTGYNUVM
      UVTUNWFWGSWHUVIGWIOZUUQUUHYHOZUUTYCYTUUJQZYCUUHUUJQUVJUVKUJUVIXMUWAUVNGWJ
      SUVQUVIUUMUWBUVSYHUUHGYNUVEWKSUVOUVIYRUWCYRUUAUUFUVGYBWLUVIXMUUTUUDYRUWCU
      JUVNUVOUVPAYHUUJYQFGHYCYNJLUVFMWMTWNUVIYCIUUHUUJYBUUFUUBUVGWRUVIXMXNIUUHU
      UJQUVNXMXNXRYAUVHWOUCUUJUUHEGIUVEUVFNWPVQWSYHUUJGHYTUUHYCYNJUVFWTXAWNUVIU
      UAYTUUIUUJQZYRUUAUUFUVGYBXBUVIXMUUQUUEUUAUWDUJUVNUVQUUDUUEUUBUVGYBXCAYHUU
      JYSFGHYTYNJLUVFMWMTWNXDXGXEXFXHXIXJXHYBXMUUTXNYDYEYFPUJYLYBXMXPXSUUTYLYMY
      OUVBTYPUCYHEDGHYCIJKXKTXL $.
  $}

  ${
    $d p A $.  $d p K $.  $d p .< $.  $d p W $.
    lhpatltex.s $e |- .< = ( lt ` K ) $.
    lhpatltex.a $e |- A = ( Atoms ` K ) $.
    lhpatltex.h $e |- H = ( LHyp ` K ) $.
    $( There exists an atom less than a co-atom.  TODO: is this needed?
       (Contributed by NM, 1-Jun-2012.) $)
    lhpexlt $p |- ( ( K e. HL /\ W e. H ) -> E. p e. A p .< W ) $=
      ( chlt wcel wa cbs cfv cp1 ccvr wbr cv wrex eqid lhpbase lhp1cvr 1cvratex
      simpl adantl syl3anc ) DJKZECKZLUGEDMNZKZEDONZDPNZQFREBQFASUGUHUDUHUJUGUI
      CDEUITZIUAUEJULUKCDEUKTZULTZIUBAUIULBUKDEFUMGUNUOHUCUF $.
  $}

  ${
    $d p H $.  $d p K $.  $d p .< $.  $d p W $.  $d p .0. $.
    lhp0lt.s $e |- .< = ( lt ` K ) $.
    lhp0lt.z $e |- .0. = ( 0. ` K ) $.
    lhp0lt.h $e |- H = ( LHyp ` K ) $.
    $( A co-atom is greater than zero.  TODO: is this needed?  (Contributed by
       NM, 1-Jun-2012.) $)
    lhp0lt $p |- ( ( K e. HL /\ W e. H ) -> .0. .< W ) $=
      ( vp chlt wcel wa cv wbr catm cfv wrex eqid lhpexlt syl w3a cbs ccvr cops
      simp1l hlop op0cl 3syl atbase 3ad2ant2 simp2 syl2anc cvrlt syl31anc simp3
      atcvr0 cpo wi hlpos simp1r lhpbase plttr syl13anc mp2and rexlimdv3a mpd )
      CJKZDBKZLZIMZDANZICOPZQEDANZVLABCDIFVLRZHSVIVKVMIVLVIVJVLKZVKUAZEVJANZVKV
      MVPVGECUBPZKZVJVRKZEVJCUCPZNZVQVGVHVOVKUEZVPVGCUDKVSWCCUFVRCEVRRZGUGUHZVO
      VIVTVKVLVRVJCWDVNUIUJZVPVGVOWBWCVIVOVKUKVLWAJVJCEGWARZVNUPULJVRWAACEVJWDF
      WGUMUNVIVOVKUOVPCUQKZVSVTDVRKZVQVKLVMURVPVGWHWCCUSTWEWFVPVHWIVGVHVOVKUTVR
      BCDWDHVATVRACEVJDWDFVBVCVDVEVF $.
  $}

  ${
    lhpne0.z $e |- .0. = ( 0. ` K ) $.
    lhpne0.h $e |- H = ( LHyp ` K ) $.
    $( A co-atom is nonzero.  TODO: is this needed?  (Contributed by NM,
       26-Apr-2013.) $)
    lhpn0 $p |- ( ( K e. HL /\ W e. H ) -> W =/= .0. ) $=
      ( chlt wcel wa cplt cfv wbr wne eqid lhp0lt cbs wi simpl cops hlop adantr
      op0cl syl simpr pltne syl3anc mpd necomd ) BGHZCAHZIZDCUKDCBJKZLZDCMZULAB
      CDULNZEFOUKUIDBPKZHZUJUMUNQUIUJRUIUQUJUIBSHUQBTUPBDUPNEUBUCUAUIUJUDGUPAUL
      BDCUOUEUFUGUH $.
  $}

  ${
    $d p A $.  $d p H $.  $d p K $.  $d p .<_ $.  $d p W $.
    lhp2a.l $e |- .<_ = ( le ` K ) $.
    lhp2a.a $e |- A = ( Atoms ` K ) $.
    lhp2a.h $e |- H = ( LHyp ` K ) $.
    $( There exists an atom under a co-atom.  (Contributed by NM,
       26-Apr-2013.) $)
    lhpexle $p |- ( ( K e. HL /\ W e. H ) -> E. p e. A p .<_ W ) $=
      ( chlt wcel wa cbs cfv cp0 wne cv wbr wrex eqid simpl lhpbase adantl atle
      lhpn0 syl3anc ) CJKZEBKZLUGECMNZKZECONZPFQEDRFASUGUHUAUHUJUGUIBCEUITZIUBU
      CBCEUKUKTZIUEAUICDEUKFULGUMHUDUF $.

    $( There exists an atom not under a co-atom.  (Contributed by NM,
       12-Apr-2013.) $)
    lhpexnle $p |- ( ( K e. HL /\ W e. H ) -> E. p e. A -. p .<_ W ) $=
      ( chlt wcel wa cv wbr wn cfv wrex eqid simpl syl cjn co wceq ccvr lhp1cvr
      cp1 wb lhpbase adantl cops hlop op1cl adantr cvrval3 syl3anc mpbid reximi
      cbs ) CJKZEBKZLZFMZEDNOZEVBCUAPZUBCUFPZUCZLZFAQZVCFAQVAEVECUDPZNZVHJVIVEB
      CEVERZVIRZIUEVAUSECURPZKZVEVMKZVJVHUGUSUTSUTVNUSVMBCEVMRZIUHUIUSVOUTUSCUJ
      KVOCUKVMVECVPVKULTUMAVMVIVDCDEVEFVPGVDRVLHUNUOUPVGVCFAVCVFSUQT $.
  $}

  ${
    $d p .<_ $.  $d p A $.  $d p W $.  $d p X $.  $d p ph $.
    lhpexle1lem.1 $e |- ( ph -> E. p e. A ( p .<_ W /\ ps ) ) $.
    lhpexle1lem.2 $e |- ( ( ph /\ ( X e. A /\ X .<_ W ) )
       -> E. p e. A ( p .<_ W /\ ps /\ p =/= X ) ) $.
    $( Lemma for ~ lhpexle1 and others that eliminates restrictions on ` X ` .
       (Contributed by NM, 24-Jul-2013.) $)
    lhpexle1lem $p |- ( ph -> E. p e. A ( p .<_ W /\ ps /\ p =/= X ) ) $=
      ( wcel wbr wrex wn wa adantr simprl simprr simplr syl2anc 3jca cv wne w3a
      simpllr nelne2 ex reximdva mpd nbrne2 reximdv pm2.61dda ) AFCJZFEDKZGUAZE
      DKZBUNFUBZUCZGCLZAULMZNZUOBNZGCLZURAVBUSHOUTVAUQGCUTUNCJZNZVAUQVDVANZUOBU
      PVDUOBPVDUOBQVEVCUSUPUTVCVARAUSVCVAUDUNFCUESTUFUGUHAUMMZNZVBURAVBVFHOVGVA
      UQGCVGVAUQVGVANZUOBUPVGUOBPZVGUOBQVHUOVFUPVIAVFVARUNFEDUISTUFUJUHIUK $.
  $}

  ${
    $d p .<_ $.  $d p A $.  $d p H $.  $d p K $.  $d p W $.  $d p X $.
    $d p Y $.  $d p Z $.
    lhpex1.l $e |- .<_ = ( le ` K ) $.
    lhpex1.a $e |- A = ( Atoms ` K ) $.
    lhpex1.h $e |- H = ( LHyp ` K ) $.
    $( There exists an atom under a co-atom different from any given element.
       (Contributed by NM, 24-Jul-2013.) $)
    lhpexle1 $p |- ( ( K e. HL /\ W e. H )
       -> E. p e. A ( p .<_ W /\ p =/= X ) ) $=
      ( chlt wcel wa wbr wtru w3a wrex reximi syl cfv wne lhpexle tru jctr cplt
      cv cbs simpll simprl eqid lhpbase ad2antlr lhplt 2atlt syl31anc simp3r wi
      simp1ll simp2 simp1lr pltle syl3anc trud simp3l 3jca reximdva lhpexle1lem
      mpd 3expia 3simpb ) CKLZEBLZMZGUFZEDNZOVNFUAZPZGAQZVOVPMZGAQVMOADEFGVMVOG
      AQVOOMZGAQABCDEGHIJUBVOVTGAVOOUCUDRSVMFALZFEDNZMZMZVPVNECUETZNZMZGAQZVRWD
      VKWAECUGTZLZFEWENWHVKVLWCUHVMWAWBUIVLWJVKWCWIBCEWIUJZJUKULAFWEBCDEHWEUJZI
      JUMAWIFWECEGWKWLIUNUOWDWGVQGAWDVNALZWGVQWDWMWGPZVOOVPWNWFVOWDWMVPWFUPWNVK
      WMVLWFVOUQVKVLWCWMWGURWDWMWGUSVKVLWCWMWGUTKABWECDVNEHWLVAVBVHWNVCWDWMVPWF
      VDVEVIVFVHVGVQVSGAVOOVPVJRS $.

    $( Lemma for ~ lhpexle2 .  (Contributed by NM, 19-Jun-2013.) $)
    lhpexle2lem $p |- ( ( ( K e. HL /\ W e. H )
          /\ ( X e. A /\ X .<_ W ) /\ ( Y e. A /\ Y .<_ W ) )
       -> E. p e. A ( p .<_ W /\ p =/= X /\ p =/= Y ) ) $=
      ( wcel wa wbr w3a wne wrex syl 3jca atbase chlt cv simpl1 lhpexle1 simp3l
      wceq simp3r neeqtrd 3expia reximdv mpd cjn cfv co simpl1l simpl2l simpl3l
      simp2 simpr hlsupr syl31anc wi cbs hllatd simprlr hlatjcl syl3anc simpl1r
      eqid lhpbase simprr3 simpl2r simpl3r wb latjle12 syl13anc mpbi2and lattrd
      clat simprr1 simprr2 exp44 imp31 reximdva pm2.61dane ) CUALZEBLZMZFALZFED
      NZMZGALZGEDNZMZOZHUBZEDNZWPFPZWPGPZOZHAQZFGWOFGUFZMZWQWRMZHAQZXAXCWHXEWHW
      KWNXBUCABCDEFHIJKUDRXCXDWTHAWOXBXDWTWOXBXDOZWQWRWSWOXBWQWRUEWOXBWQWRUGZXF
      WPFGXGWOXBXDURUHSUIUJUKWOFGPZMZWRWSWPFGCULUMZUNZDNZOZHAQZXAXIWFWIWLXHXNWF
      WGWKWNXHUOWIWJWHWNXHUPWLWMWHWKXHUQWOXHUSAFGXJCDHIXJVIZJUTVAXIXMWTHAWOXHWP
      ALZXMWTVBWOXHXPXMWTWOXHXPMZXMMZMZWQWRWSXSCVCUMZCDWPXKEXTVIZIXSCWFWGWKWNXR
      UOZVDZXSXPWPXTLWOXHXPXMVEAXTWPCYAJTRXSWFWIWLXKXTLYBWIWJWHWNXRUPZWLWMWHWKX
      RUQZAXTXJCFGYAXOJVFVGXSWGEXTLZWFWGWKWNXRVHXTBCEYAKVJRZWRWSXLXQWOVKXSWJWMX
      KEDNZWIWJWHWNXRVLWLWMWHWKXRVMXSCVSLFXTLZGXTLZYFWJWMMYHVNYCXSWIYIYDAXTFCYA
      JTRXSWLYJYEAXTGCYAJTRYGXTXJCDFGEYAIXOVOVPVQVRWRWSXLXQWOVTWRWSXLXQWOWASWBW
      CWDUKWE $.

    $( There exists atom under a co-atom different from any two other elements.
       (Contributed by NM, 24-Jul-2013.) $)
    lhpexle2 $p |- ( ( K e. HL /\ W e. H )
       -> E. p e. A ( p .<_ W /\ p =/= X /\ p =/= Y ) ) $=
      ( chlt wcel wa wne lhpexle1 wbr w3a wrex lhpexle1lem cv lhpexle2lem 3expa
      adantr 3ancomb rexbii sylib ) CLMEBMNZHUAZFOZADEGHABCDEFHIJKPUHGAMGEDQNZN
      ZUIEDQZUIGOZUJRZHASZUMUJUNRZHASULUNADEFHUHUMUNNHASUKABCDEGHIJKPUDUHUKFAMF
      EDQNUPABCDEGFHIJKUBUCTUOUQHAUMUNUJUEUFUGT $.

    $( There exists atom under a co-atom different from any three other atoms.
       TODO: study if adant*, simp* usage can be improved.  (Contributed by NM,
       9-Jul-2013.) $)
    lhpexle3lem $p |- ( ( ( K e. HL /\ W e. H )
              /\ ( X e. A /\ Y e. A /\ Z e. A )
              /\ ( X .<_ W /\ Y .<_ W /\ Z .<_ W ) )
       -> E. p e. A ( p .<_ W /\ ( p =/= X /\ p =/= Y /\ p =/= Z ) ) ) $=
      ( wcel wa w3a wbr wne wrex syl adantr chlt cv wceq simpl1 lhpexle2 simp31
      simp32 simp1r neeqtrd simp33 3jca jca reximdvai mpd cjn cfv co wn simprrr
      3exp clat cbs simp11l hllatd eqid atbase ad2antrl simp121 simp122 simprrl
      latnlej1l syl131anc latnlej1r simpl3 nbrne2 necomd syl2anc simp11 simp131
      cplt simp132 lhp2lt syl122anc wi hlatjcl syl3anc simp11r lhpbase hlrelat1
      reximddv 3expa simprr3 wb latjle12 syl13anc mpbi2and lattrd simprr1 simp2
      simprr2 hlsupr syl31anc pm2.61dan pm2.61dane ) CUAMZEBMZNZFAMZGAMZHAMZOZF
      EDPZGEDPZHEDPZOZOZIUBZEDPZXQFQZXQGQZXQHQZOZNZIARZFGXPFGUCZNZXRXSYAOZIARZY
      DYFXGYHXGXKXOYEUDABCDEFHIJKLUESYFYGYCIAYFXQAMZYGYCYFYIYGOZXRYBYFYIXRXSYAU
      FYJXSXTYAYFYIXRXSYAUGZYJXQFGYKXPYEYIYGUHUIYFYIXRXSYAUJUKULUTUMUNXPFGQZNHF
      GCUOUPZUQZDPZYDXPYLYOYDXPYLYOOZXQYNDPZURZXRNZYCIAYPYIYSNZNZXRYBYPYIYRXRUS
      UUAXSXTYAUUACVAMZXQCVBUPZMZFUUCMZGUUCMZYRXSUUACYPXEYTXEXFXKXOYLYOVCZTVDZY
      IUUDYPYSAUUCXQCUUCVEZKVFZVGZUUAXHUUEYPXHYTXHXIXJXGXOYLYOVHZTAUUCFCUUIKVFZ
      SZUUAXIUUFYPXIYTXHXIXJXGXOYLYOVIZTAUUCGCUUIKVFZSZYPYIYRXRVJZUUCYMCDXQFGUU
      IJYMVEZVKVLUUAUUBUUDUUEUUFYRXTUUHUUKUUNUUQUURUUCYMCDXQFGUUIJUUSVMVLUUAYOY
      RYAXPYLYOYTVNUURYOYRNHXQHXQYNDVOVPVQUKULYPYNECVTUPZPZYSIARZYPXGXHXLXIXMUV
      AXGXKXOYLYOVRUULXLXMXNXGXKYLYOVSUUOXLXMXNXGXKYLYOWAAFGUUTBYMCDEJUUTVEZUUS
      KLWBWCYPXEYNUUCMZEUUCMZUVAUVBWDUUGYPXEXHXIUVDUUGUULUUOAUUCYMCFGUUIUUSKWEZ
      WFYPXFUVEXEXFXKXOYLYOWGUUCBCEUUILWHZSAUUCUUTCDYNEIUUIJUVCKWIWFUNWJWKXPYLY
      OURZYDXPYLUVHOZXSXTYQOZYCIAUVIYIUVJNZNZXRYBUVLUUCCDXQYNEUUIJUVLCUVIXEUVKX
      EXFXKXOYLUVHVCZTZVDZYIUUDUVIUVJUUJVGUVLXEXHXIUVDUVNUVIXHUVKXHXIXJXGXOYLUV
      HVHZTZUVIXIUVKXHXIXJXGXOYLUVHVIZTZUVFWFUVLXFUVEUVIXFUVKXEXFXKXOYLUVHWGTUV
      GSZXSXTYQYIUVIWLZUVLXLXMYNEDPZUVIXLUVKXLXMXNXGXKYLUVHVSTUVIXMUVKXLXMXNXGX
      KYLUVHWATUVLUUBUUEUUFUVEXLXMNUWBWMUVOUVLXHUUEUVQUUMSUVLXIUUFUVSUUPSUVTUUC
      YMCDFGEUUIJUUSWNWOWPWQUVLXSXTYAXSXTYQYIUVIWRXSXTYQYIUVIWTUVLYQUVHYAUWAXPY
      LUVHUVKVNXQHYNDVOVQUKULUVIXEXHXIYLUVJIARUVMUVPUVRXPYLUVHWSAFGYMCDIJUUSKXA
      XBWJWKXCXD $.

    $( There exists atom under a co-atom different from any three other
       elements.  (Contributed by NM, 24-Jul-2013.) $)
    lhpexle3 $p |- ( ( K e. HL /\ W e. H )
       -> E. p e. A ( p .<_ W /\ ( p =/= X /\ p =/= Y /\ p =/= Z ) ) ) $=
      ( wcel wa wbr w3a wrex 3anass rexbii sylib chlt cv lhpexle2 adantr simpl1
      wne 3ad2ant1 simpl3l simpl2l simprl simpl3r simpl2r lhpexle3lem syl133anc
      simprr df-3an anbi2i bitr4i lhpexle1lem an31 3bitr4i 3expa an32 ) CUAMEBM
      NZIUBZEDOZVEFUFZVEGUFZNZVEHUFZPZIAQZVFVGVHVJPZNZIAQVDVIADEHIVDVFVGVHPZIAQ
      VFVINZIAQABCDEFGIJKLUCVOVPIAVFVGVHRSTVDHAMZHEDOZNZNZVFVGVJNZVHPZIAQZVLVTW
      AADEGIVTVFVGVJPZIAQZVFWANZIAQVDWEVSABCDEFHIJKLUCUDWDWFIAVFVGVJRSTVDVSGAMZ
      GEDOZNZWCVDVSWIPZVFVHVJNZVGPZIAQZWCWJWKADEFIVDVSVFWKNZIAQZWIVDVFVHVJPZIAQ
      WOABCDEGHIJKLUCWPWNIAVFVHVJRSTUGWJFAMZFEDOZNZNZVFVHVJVGPZNZIAQZWMWTVDWGVQ
      WQWHVRWRXCVDVSWIWSUEWGWHVDVSWSUHVQVRVDWIWSUIWJWQWRUJWGWHVDVSWSUKVQVRVDWIW
      SULWJWQWRUOABCDEGHFIJKLUMUNXBWLIAXBVFWKVGNZNZWLXAXDVFVHVJVGUPUQVFWKVGRZUR
      STUSWLWBIAXEVFWAVHNZNZWLWBXDXGVFVHVJVGUTUQXFVFWAVHRZVASTVBUSWBVKIAXHVFVIV
      JNZNZWBVKXGXJVFVGVJVHVCUQXIVFVIVJRZVASTUSVKVNIAVKXKVNXLVMXJVFVGVHVJUPUQUR
      ST $.
  $}

  ${
    $d p q A $.  $d p q H $.  $d p q K $.  $d p q .<_ $.  $d p q W $.
    lhp2at.l $e |- .<_ = ( le ` K ) $.
    lhp2at.a $e |- A = ( Atoms ` K ) $.
    lhp2at.h $e |- H = ( LHyp ` K ) $.
    $( There exist at least two different atoms under a co-atom.  This allows
       us to create a line under the co-atom.  TODO: is this needed?
       (Contributed by NM, 1-Jun-2012.)  (New usage is discouraged.) $)
    lhpex2leN $p |- ( ( K e. HL /\ W e. H )
       -> E. p e. A E. q e. A ( p .<_ W /\ q .<_ W /\ p =/= q ) ) $=
      ( chlt wcel wa cv wbr wne w3a wrex simprr lhpexle1 adantr jca necom bitri
      3anbi3i 3anass rexbii r19.42v bitr2i sylib lhpexle reximddv ) CKLEBLMZGNZ
      EDOZUOFNZEDOZUNUPPZQZFARZGAUMUNALZUOMZMZUOUQUPUNPZMZFARZMZUTVCUOVFUMVAUOS
      UMVFVBABCDEUNFHIJTUAUBUTUOVEMZFARVGUSVHFAUSUOUQVDQVHURVDUOUQUNUPUCUEUOUQV
      DUFUDUGUOVEFAUHUIUJABCDEGHIJUKUL $.
  $}

  ${
    lhpoc.b $e |- B = ( Base ` K ) $.
    lhpoc.o $e |- ._|_ = ( oc ` K ) $.
    lhpoc.a $e |- A = ( Atoms ` K ) $.
    lhpoc.h $e |- H = ( LHyp ` K ) $.
    $( The orthocomplement of a co-atom (lattice hyperplane) is an atom.
       (Contributed by NM, 18-May-2012.) $)
    lhpoc $p |- ( ( K e. HL /\ W e. B ) ->
      ( W e. H <-> ( ._|_ ` W ) e. A ) ) $=
      ( chlt wcel wa cp1 cfv ccvr wbr eqid islhp2 1cvrco bitrd ) DKLFBLMFCLFDNO
      ZDPOZQFEOALKBUCUBCDFGUBRZUCRZJSABUCUBDEFGUDHUEITUA $.

    $( The orthocomplement of an atom is a co-atom (lattice hyperplane).
       (Contributed by NM, 20-Jun-2012.)  (New usage is discouraged.) $)
    lhpoc2N $p |- ( ( K e. HL /\ W e. B ) ->
      ( W e. A <-> ( ._|_ ` W ) e. H ) ) $=
      ( chlt wcel wa cfv wb cops hlop opoccl sylan lhpoc syldan opococ eleq1d
      wceq bitr2d ) DKLZFBLZMZFENZCLZUIENZALZFALUFUGUIBLZUJULOUFDPLZUGUMDQZBDEF
      GHRSABCDEUIGHIJTUAUHUKFAUFUNUGUKFUDUOBDEFGHUBSUCUE $.
  $}

  ${
    lhpocnle.l $e |- .<_ = ( le ` K ) $.
    lhpocnle.o $e |- ._|_ = ( oc ` K ) $.
    lhpocnle.h $e |- H = ( LHyp ` K ) $.
    $( The orthocomplement of a co-atom is not under it.  (Contributed by NM,
       22-May-2012.) $)
    lhpocnle $p |- ( ( K e. HL /\ W e. H ) -> -. ( ._|_ ` W ) .<_ W ) $=
      ( chlt wcel wa cfv wbr wceq simpr wb eqid mpbid syl2anc ad2antrr cp0 catm
      cal wne hlatl adantr cbs lhpbase lhpoc sylan2 atn0 neneqd cmee clat hllat
      cops hlop ad2antlr opoccl latref latlem12 syl13anc mpbi2and breqtrd ople0
      co opnoncon mtand ) BIJZEAJZKZEDLZECMZVLBUALZNZVKVLVNVKBUCJZVLBUBLZJZVLVN
      UDVIVPVJBUEUFVKVJVRVIVJOVJVIEBUGLZJZVJVRPVSABEVSQZHUHZVQVSABDEWAGVQQZHUIU
      JRVQVLBVNVNQZWCUKSULVKVMKZVLVNCMZVOWEVLEVLBUMLZVFZVNCWEVMVLVLCMZVLWHCMZVK
      VMOWEBUNJZVLVSJZWIVIWKVJVMBUOTZWEBUPJZVTWLVIWNVJVMBUQTZVJVTVIVMWBURZVSBDE
      WAGUSSZVSBCVLWAFUTSWEWKWLVTWLVMWIKWJPWMWQWPWQVSBCWGVLEVLWAFWGQZVAVBVCWEWN
      VTWHVNNWOWPVSBWGDEVNWAGWRWDVGSVDWEWNWLWFVOPWOWQVSBCVLVNWAFWDVESRVH $.
  $}

  ${
    lhpocat.o $e |- ._|_ = ( oc ` K ) $.
    lhpocat.a $e |- A = ( Atoms ` K ) $.
    lhpocat.h $e |- H = ( LHyp ` K ) $.
    $( The orthocomplement of a co-atom is an atom.  (Contributed by NM,
       9-Feb-2013.) $)
    lhpocat $p |- ( ( K e. HL /\ W e. H ) -> ( ._|_ ` W ) e. A ) $=
      ( chlt wcel wa cfv simpr cbs wb eqid lhpbase lhpoc sylan2 mpbid ) CIJZEBJ
      ZKUBEDLAJZUAUBMUBUAECNLZJUBUCOUDBCEUDPZHQAUDBCDEUEFGHRST $.
  $}

  ${
    lhpocnel.l $e |- .<_ = ( le ` K ) $.
    lhpocnel.o $e |- ._|_ = ( oc ` K ) $.
    lhpocnel.a $e |- A = ( Atoms ` K ) $.
    lhpocnel.h $e |- H = ( LHyp ` K ) $.
    $( The orthocomplement of a co-atom is an atom not under it.  Provides a
       convenient construction when we need the existence of any object with
       this property.  (Contributed by NM, 25-May-2012.) $)
    lhpocnel $p |- ( ( K e. HL /\ W e. H )
           -> ( ( ._|_ ` W ) e. A /\ -. ( ._|_ ` W ) .<_ W ) ) $=
      ( chlt wcel wa cfv wbr wn lhpocat lhpocnle jca ) CKLFBLMFENZALTFDOPABCEFH
      IJQBCDEFGHJRS $.
  $}

  ${
    lhpocnel2.l $e |- .<_ = ( le ` K ) $.
    lhpocnel2.a $e |- A = ( Atoms ` K ) $.
    lhpocnel2.h $e |- H = ( LHyp ` K ) $.
    lhpocnel2.p $e |- P = ( ( oc ` K ) ` W ) $.
    $( The orthocomplement of a co-atom is an atom not under it.  Provides a
       convenient construction when we need the existence of any object with
       this property.  (Contributed by NM, 20-Feb-2014.) $)
    lhpocnel2 $p |- ( ( K e. HL /\ W e. H )
           -> ( P e. A /\ -. P .<_ W ) ) $=
      ( chlt wcel wa coc cfv wbr wn eqid lhpocnel eleq1i breq1i notbii anbi12i
      sylibr ) DKLFCLMFDNOZOZALZUFFEPZQZMBALZBFEPZQZMACDEUEFGUERHISUJUGULUIBUFA
      JTUKUHBUFFEJUAUBUCUD $.
  $}

  ${
    lhpjat.l $e |- .<_ = ( le ` K ) $.
    lhpjat.j $e |- .\/ = ( join ` K ) $.
    lhpjat.u $e |- .1. = ( 1. ` K ) $.
    lhpjat.a $e |- A = ( Atoms ` K ) $.
    lhpjat.h $e |- H = ( LHyp ` K ) $.
    $( The join of a co-atom (hyperplane) and an atom not under it is the
       lattice unit.  (Contributed by NM, 18-May-2012.) $)
    lhpjat1 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W ) )
      -> ( W .\/ P ) = .1. ) $=
      ( chlt wcel wa wbr wn cfv eqid cbs ccvr co simpll lhpbase ad2antlr simprl
      wceq lhp1cvr adantr simprr 1cvrjat syl32anc ) FNOZHDOZPZBAOZBHGQRZPZPUNHF
      UASZOZUQHCFUBSZQZURHBEUCCUHUNUOUSUDUOVAUNUSUTDFHUTTZMUEUFUPUQURUGUPVCUSNV
      BCDFHKVBTZMUIUJUPUQURUKAUTVBBCEFGHVDIJKVELULUM $.

    $( The join of a co-atom (hyperplane) and an atom not under it is the
       lattice unit.  (Contributed by NM, 4-Jun-2012.) $)
    lhpjat2 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W ) )
      -> ( P .\/ W ) = .1. ) $=
      ( chlt wcel wa wbr wn co clat cbs cfv wceq hllat ad2antrr atbase ad2antrl
      eqid lhpbase ad2antlr latjcom syl3anc lhpjat1 eqtrd ) FNOZHDOZPZBAOZBHGQR
      ZPZPZBHESZHBESZCVAFTOZBFUAUBZOZHVEOZVBVCUCUOVDUPUTFUDUEURVFUQUSAVEBFVEUHZ
      LUFUGUPVGUOUTVEDFHVHMUIUJVEEFBHVHJUKULABCDEFGHIJKLMUMUN $.
  $}

  ${
    $d p B $.  $d p H $.  $d p .\/ $.  $d p K $.  $d p .<_ $.  $d p .1. $.
    $d p W $.  $d p X $.
    lhpj1.b $e |- B = ( Base ` K ) $.
    lhpj1.l $e |- .<_ = ( le ` K ) $.
    lhpj1.j $e |- .\/ = ( join ` K ) $.
    lhpj1.u $e |- .1. = ( 1. ` K ) $.
    lhpj1.h $e |- H = ( LHyp ` K ) $.
    $( The join of a co-atom (hyperplane) and an element not under it is the
       lattice unit.  (Contributed by NM, 7-Dec-2012.) $)
    lhpj1 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ -. X .<_ W ) )
          -> ( W .\/ X ) = .1. ) $=
      ( vp wcel wa wbr wn co wceq chlt cv catm cfv wrex wb simpll simpr lhpbase
      ad2antlr hlrelat2 syl3anc w3a simp1l simp2 simp3r lhpjat1 syl12anc simp3l
      eqid clat wi hllatd atbase 3ad2ant2 simp1r 3ad2ant1 latjlej2 syl13anc mpd
      simp1ll eqbrtrrd cops hlop syl latjcl op1le syl2anc mpbid rexlimdv3a impr
      sylbid ) EUAOZGCOZPZHAOZHGFQRZGHDSZBTZWEWFPZWGNUBZHFQZWKGFQRZPZNEUCUDZUEZ
      WIWJWCWFGAOZWGWPUFWCWDWFUGWEWFUHWDWQWCWFACEGIMUIUJZWOAEFHGNIJWOUTZUKULWJW
      NWINWOWJWKWOOZWNUMZBWHFQZWIXAGWKDSZBWHFXAWEWTWMXCBTWEWFWTWNUNWJWTWNUOWJWT
      WLWMUPWOWKBCDEFGJKLWSMUQURXAWLXCWHFQZWJWTWLWMUSXAEVAOZWKAOZWFWQWLXDVBXAEW
      CWDWFWTWNVKZVCZWTWJXFWNWOAWKEIWSVDVEWEWFWTWNVFZWJWTWQWNWRVGZADEFWKHGIJKVH
      VIVJVLXAEVMOZWHAOZXBWIUFXAWCXKXGEVNVOXAXEWQWFXLXHXJXIADEGHIKVPULABEFWHIJL
      VQVRVSVTWBWA $.
  $}

  ${
    lhpmcvr.b $e |- B = ( Base ` K ) $.
    lhpmcvr.l $e |- .<_ = ( le ` K ) $.
    lhpmcvr.m $e |- ./\ = ( meet ` K ) $.
    lhpmcvr.c $e |- C = ( <o ` K ) $.
    lhpmcvr.h $e |- H = ( LHyp ` K ) $.
    $( The meet of a lattice hyperplane with an element not under it is covered
       by the element.  (Contributed by NM, 7-Dec-2012.) $)
    lhpmcvr $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ -. X .<_ W ) )
          -> ( X ./\ W ) C X ) $=
      ( chlt wcel wa wbr co syl3anc cfv clat wceq hllat ad2antrr simprl lhpbase
      wn ad2antlr latmcom cjn cp1 eqid lhp1cvr adantr lhpj1 breqtrrd wb cvrexch
      simpll mpbird eqbrtrd ) DNOZGCOZPZHAOZHGEQUGZPZPZHGFRZGHFRZHBVHDUAOZVEGAO
      ZVIVJUBVBVKVCVGDUCUDVDVEVFUEZVCVLVBVGACDGIMUFUHZADFHGIKUISVHVJHBQZGGHDUJT
      ZRZBQZVHGDUKTZVQBVDGVSBQVGNBVSCDGVSULZLMUMUNAVSCVPDEGHIJVPULZVTMUOUPVHVBV
      LVEVOVRUQVBVCVGUSVNVMABVPDFGHIWAKLURSUTVA $.
  $}

  ${
    $d p A $.  $d p B $.  $d p K $.  $d p .<_ $.  $d p ./\ $.  $d p X $.
    $d p W $.
    lhpmcvr2.b $e |- B = ( Base ` K ) $.
    lhpmcvr2.l $e |- .<_ = ( le ` K ) $.
    lhpmcvr2.j $e |- .\/ = ( join ` K ) $.
    lhpmcvr2.m $e |- ./\ = ( meet ` K ) $.
    lhpmcvr2.a $e |- A = ( Atoms ` K ) $.
    lhpmcvr2.h $e |- H = ( LHyp ` K ) $.
    $( Alternate way to express that the meet of a lattice hyperplane with an
       element not under it is covered by the element.  (Contributed by NM,
       9-Apr-2013.) $)
    lhpmcvr2 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ -. X .<_ W ) )
          -> E. p e. A ( -. p .<_ W /\ ( p .\/ ( X ./\ W ) ) = X ) ) $=
      ( wcel wa wbr wn chlt co ccvr cfv cv wceq wrex eqid lhpmcvr simpll simprl
      wb lhpbase ad2antlr cvrval5 syl3anc mpbid ) EUAQZHCQZRZIBQZIHFSTZRZRZIHGU
      BZIEUCUDZSZJUEZHFSTVHVEDUBIUFRJAUGZBVFCEFGHIKLNVFUHZPUIVDURVAHBQZVGVIULUR
      USVCUJUTVAVBUKUSVKURVCBCEHKPUMUNABVFDEFGIHJKLMNVJOUOUPUQ $.

    $( Specialization of ~ lhpmcvr2 .  TODO:  Use this to simplify many uses of
       ` ( P .\/ ( X ./\ W ) ) = X ` to become ` P .<_ X ` .  (Contributed by
       NM, 6-Apr-2014.) $)
    lhpmcvr3 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ -. X .<_ W )
         /\ ( P e. A /\ -. P .<_ W ) )
      -> ( P .<_ X <-> ( P .\/ ( X ./\ W ) ) = X ) ) $=
      ( wcel wa wbr co chlt wn w3a wceq cp1 cfv simpl1l simpl3l simpl2l simpl1r
      lhpbase syl simpr atmod3i1 syl131anc simpl1 simpl3 lhpjat2 syl2anc oveq2d
      eqid hlol olm11 3eqtrd clat hllatd atbase syl3anc latlej1 breqtrd impbida
      col latmcl ) FUAQZIDQZRZJBQZJIGSUBZRZCAQZCIGSUBZRZUCZCJGSZCJIHTZETZJUDZWC
      WDRZWFJCIETZHTZJFUEUFZHTZJWHVNVTVQIBQZWDWFWJUDVNVOVSWBWDUGZVTWAVPVSWDUHVQ
      VRVPWBWDUIZWHVOWMVNVOVSWBWDUJBDFIKPUKZULWCWDUMABCEFGHJIKLMNOUNUOWHWIWKJHW
      HVPWBWIWKUDVPVSWBWDUPVPVSWBWDUQACWKDEFGILMWKVAZOPURUSUTWHFVLQZVQWLJUDWHVN
      WRWNFVBULWOBWKFHJKNWQVCUSVDWCWGRZCWFJGWSFVEQZCBQZWEBQZCWFGSWSFVNVOVSWBWGU
      GVFZWSVTXAVTWAVPVSWGUHABCFKOVGULWSWTVQWMXBXCVQVRVPWBWGUIWSVOWMVNVOVSWBWGU
      JWPULBFHJIKNVMVHBEFGCWEKLMVIVHWCWGUMVJVK $.

    $( Specialization of ~ lhpmcvr2 .  (Contributed by NM, 6-Apr-2014.)
       (New usage is discouraged.) $)
    lhpmcvr4N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( X e. B /\ -. X .<_ W )
         /\ ( P e. A /\ -. P .<_ W ) )
         /\ ( Y e. B /\ ( X ./\ Y ) .<_ W /\ P .<_ X ) ) -> -. P .<_ Y ) $=
      ( wcel wa wbr chlt wn co w3a simp2rr simp33 clat wb simp1l hllatd simp2rl
      atbase syl simp2ll simp31 latlem12 syl13anc biimpd mpand simp32 wi latmcl
      syl3anc simp1r lhpbase lattr mpan2d syld mtod ) FUARZIDRZSZJBRZJIGTUBZSZC
      ARZCIGTZUBZSZSZKBRZJKHUCZIGTZCJGTZUDZUDZCKGTZVQVPVRVOVLWEUEWFWGCWBGTZVQWF
      WDWGWHVLVTWAWCWDUFWFWDWGSZWHWFFUGRZCBRZVMWAWIWHUHWFFVJVKVTWEUIUJZWFVPWKVP
      VRVOVLWEUKABCFLPULUMZVMVNVSVLWEUNZVLVTWAWCWDUOZBFGHCJKLMOUPUQURUSWFWHWCVQ
      VLVTWAWCWDUTWFWJWKWBBRZIBRZWHWCSVQVAWLWMWFWJVMWAWPWLWNWOBFHJKLOVBVCWFVKWQ
      VJVKVTWEVDBDFILQVEUMBFGCWBILMVFUQVGVHVI $.

    $d p H $.  $d p Y $.
    $( Specialization of ~ lhpmcvr2 .  (Contributed by NM, 6-Apr-2014.)
       (New usage is discouraged.) $)
    lhpmcvr5N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ -. X .<_ W )
         /\ ( Y e. B /\ ( X ./\ Y ) .<_ W ) )
          -> E. p e. A ( -. p .<_ W /\ -. p .<_ Y /\
               ( p .\/ ( X ./\ W ) ) = X ) ) $=
      ( wcel wa wbr chlt wn w3a wceq wrex lhpmcvr2 3adant3 simp3l simp11 simp12
      co simp2 jca simp13l simp13r clat simp11l hllatd 3ad2ant2 simp12l simp11r
      atbase lhpbase syl latmcl syl3anc latlej1 simp3r lhpmcvr4N syl123anc 3jca
      cv breqtrd 3expia reximdva mpd ) EUARZHCRZSZIBRZIHFTUBZSZJBRZIJGUKHFTZSZU
      CZKVLZHFTUBZWGIHGUKZDUKZIUDZSZKAUEZWHWGJFTUBZWKUCZKAUEVSWBWMWEABCDEFGHIKL
      MNOPQUFUGWFWLWOKAWFWGARZWLWOWFWPWLUCZWHWNWKWFWPWHWKUHZWQVSWBWPWHSWCWDWGIF
      TWNVSWBWEWPWLUIVSWBWEWPWLUJWQWPWHWFWPWLULWRUMWCWDVSWBWPWLUNWCWDVSWBWPWLUO
      WQWGWJIFWQEUPRZWGBRZWIBRZWGWJFTWQEVQVRWBWEWPWLUQURZWPWFWTWLABWGELPVBUSWQW
      SVTHBRZXAXBVTWAVSWEWPWLUTWQVRXCVQVRWBWEWPWLVABCEHLQVCVDBEGIHLOVEVFBDEFWGW
      ILMNVGVFWFWPWHWKVHZVMABWGCDEFGHIJLMNOPQVIVJXDVKVNVOVP $.

    $( Specialization of ~ lhpmcvr2 .  (Contributed by NM, 6-Apr-2014.)
       (New usage is discouraged.) $)
    lhpmcvr6N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ -. X .<_ W )
         /\ ( Y e. B /\ ( X ./\ Y ) .<_ W ) )
          -> E. p e. A ( -. p .<_ W /\ -. p .<_ Y /\
               p .<_ X ) ) $=
      ( wcel wbr w3a chlt wa wn co cv wceq wrex lhpmcvr5N simp31 simp32 simp11l
      hllatd atbase 3ad2ant2 simp12l simp11r lhpbase syl latmcl syl3anc latlej1
      clat simp33 breqtrd 3jca 3expia reximdva mpd ) EUARZHCRZUBZIBRZIHFSUCZUBZ
      JBRIJGUDHFSUBZTZKUEZHFSUCZVQJFSUCZVQIHGUDZDUDZIUFZTZKAUGVRVSVQIFSZTZKAUGA
      BCDEFGHIJKLMNOPQUHVPWCWEKAVPVQARZWCWEVPWFWCTZVRVSWDVPWFVRVSWBUIVPWFVRVSWB
      UJWGVQWAIFWGEVBRZVQBRZVTBRZVQWAFSWGEVIVJVNVOWFWCUKULZWFVPWIWCABVQELPUMUNW
      GWHVLHBRZWJWKVLVMVKVOWFWCUOWGVJWLVIVJVNVOWFWCUPBCEHLQUQURBEGIHLOUSUTBDEFV
      QVTLMNVAUTVPWFVRVSWBVCVDVEVFVGVH $.
  $}

  ${
    lhpm0at.b $e |- B = ( Base ` K ) $.
    lhpm0at.m $e |- ./\ = ( meet ` K ) $.
    lhpm0at.o $e |- .0. = ( 0. ` K ) $.
    lhpm0at.a $e |- A = ( Atoms ` K ) $.
    lhpm0at.h $e |- H = ( LHyp ` K ) $.
    $( If the meet of a lattice hyperplane with a nonzero element is zero, the
       element is an atom.  (Contributed by NM, 28-Apr-2014.)
       (New usage is discouraged.) $)
    lhpm0atN $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( X e. B /\ X =/= .0. /\ ( X ./\ W ) = .0. ) ) -> X e. A ) $=
      ( chlt wcel wa wceq cfv wbr wb wne co w3a ccvr simpr3 simpl simpr1 simpr2
      cple wn clat hllat ad2antrr lhpbase eqid latleeqm1 syl3anc biimpa simplr3
      ad2antlr eqtr3d ex necon3ad lhpmcvr syl12anc eqbrtrrd simpll isat2 mpbird
      mpd syl2anc ) DNOZFCOZPZGBOZGHUAZGFEUBZHQZUCZPZGAOZHGDUDRZSZVTVQHGWBVNVOV
      PVRUEVTVNVOGFDUIRZSZUJZVQGWBSVNVSUFVNVOVPVRUGZVTVPWFVNVOVPVRUHVTWEGHVTWEG
      HQVTWEPVQGHVTWEVQGQZVTDUKOZVOFBOZWEWHTVLWIVMVSDULUMWGVMWJVLVSBCDFIMUNUTBD
      WDEGFIWDUOZJUPUQURVOVPVRVNWEUSVAVBVCVJBWBCDWDEFGIWKJWBUOZMVDVEVFVTVLVOWAW
      CTVLVMVSVGWGABWBNGDHIKWLLVHVKVI $.
  $}

  ${
    lhpmat.l $e |- .<_ = ( le ` K ) $.
    lhpmat.m $e |- ./\ = ( meet ` K ) $.
    lhpmat.z $e |- .0. = ( 0. ` K ) $.
    lhpmat.a $e |- A = ( Atoms ` K ) $.
    lhpmat.h $e |- H = ( LHyp ` K ) $.
    $( An element covered by the lattice unit, when conjoined with an atom not
       under it, equals the lattice zero.  (Contributed by NM, 6-Jun-2012.) $)
    lhpmat $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W ) )
          -> ( P ./\ W ) = .0. ) $=
      ( chlt wcel wa wbr wn co wceq simprr cal cbs cfv wb hlatl ad2antrr simprl
      eqid lhpbase ad2antlr atnle syl3anc mpbid ) DNOZGCOZPZBAOZBGEQRZPZPZUSBGF
      SHTZUQURUSUAVADUBOZURGDUCUDZOZUSVBUEUOVCUPUTDUFUGUQURUSUHUPVEUOUTVDCDGVDU
      IZMUJUKAVDBDEFGHVFIJKLULUMUN $.

    $( An element covered by the lattice unit, when conjoined with an atom,
       equals zero iff the atom is not under it.  (Contributed by NM,
       15-Jun-2013.) $)
    lhpmatb $p |- ( ( ( K e. HL /\ W e. H ) /\ P e. A )
          -> ( -. P .<_ W <-> ( P ./\ W ) = .0. ) ) $=
      ( wcel wa wceq wne ad3antrrr wb mpbird wbr wn co lhpmat anassrs cal hlatl
      chlt simplr atn0 necomd syl2anc neeq1 adantl clat cbs cfv eqid atbase syl
      hllat lhpbase ad3antlr latleeqm1 syl3anc necon3bbid impbida ) DUHNZGCNZOZ
      BANZOZBGEUAZUBZBGFUCZHPZVJVKVNVPABCDEFGHIJKLMUDUEVLVPOZVNVOBQZVQVRHBQZVQD
      UFNZVKVSVHVTVIVKVPDUGRVJVKVPUIZVTVKOBHABDHKLUJUKULVPVRVSSVLVOHBUMUNTVQVMV
      OBVQDUONZBDUPUQZNZGWCNZVMVOBPSVHWBVIVKVPDVARVQVKWDWAAWCBDWCURZLUSUTVIWEVH
      VKVPWCCDGWFMVBVCWCDEFBGWFIJVDVEVFTVG $.
  $}

  ${
    lhp2at0.l $e |- .<_ = ( le ` K ) $.
    lhp2at0.j $e |- .\/ = ( join ` K ) $.
    lhp2at0.m $e |- ./\ = ( meet ` K ) $.
    lhp2at0.z $e |- .0. = ( 0. ` K ) $.
    lhp2at0.a $e |- A = ( Atoms ` K ) $.
    lhp2at0.h $e |- H = ( LHyp ` K ) $.
    $( Join and meet with different atoms under co-atom ` W ` .  (Contributed
       by NM, 15-Jun-2013.) $)
    lhp2at0 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ U =/= V ) /\ ( U e. A /\ U .<_ W ) /\ ( V e. A /\ V .<_ W ) )
          -> ( ( P .\/ U ) ./\ V ) = .0. ) $=
      ( wcel co wceq chlt wa wbr wn wne w3a col cbs cfv simp11l hlol syl simp2l
      simp12l hlatjcl syl3anc simp11r lhpbase simp3l atbase latmassOLD syl13anc
      eqid lhpmat 3adant3 3ad2ant1 oveq1d simp2r atmod4i2 olj02 syl2anc 3eqtr3d
      syl131anc eqtr3d simp3r wb hllatd latleeqm2 mpbid oveq2d simp13 cal hlatl
      clat atnem0 ) FUARZJDRZUBZBARZBJGUCUDZUBZCIUEZUFZCARZCJGUCZUBZIARZIJGUCZU
      BZUFZBCESZJIHSZHSZCIHSZXAIHSKWTXAJHSZIHSZXCXDWTFUGRZXAFUHUIZRZJXHRZIXHRZX
      FXCTWTWFXGWFWGWKWLWPWSUJZFUKULZWTWFWIWNXIXLWIWJWHWLWPWSUNZWMWNWOWSUMZAXHE
      FBCXHVCZMPUOUPWTWGXJWFWGWKWLWPWSUQXHDFJXPQURULZWTWQXKWMWPWQWRUSZAXHIFXPPU
      TULZXHFHXAJIXPNVAVBWTXECIHWTBJHSZCESZKCESZXECWTXTKCEWMWPXTKTZWSWHWKYCWLAB
      DFGHJKLNOPQVDVEVFVGWTWFWICXHRZXJWOYAXETXLXNWTWNYDXOAXHCFXPPUTULZXQWMWNWOW
      SVHAXHBEFGHCJXPLMNPVIVMWTXGYDYBCTXMYEXHEFCKXPMOVJVKVLVGVNWTXBIXAHWTWRXBIT
      ZWMWPWQWRVOWTFWDRXKXJWRYFVPWTFXLVQXSXQXHFGHIJXPLNVRUPVSVTWTWLXDKTZWHWKWLW
      PWSWAWTFWBRZWNWQWLYGVPWTWFYHXLFWCULXOXRACIFHKNOPWEUPVSVL $.
  $}

  ${
    lhp2atnle.l $e |- .<_ = ( le ` K ) $.
    lhp2atnle.j $e |- .\/ = ( join ` K ) $.
    lhp2atnle.a $e |- A = ( Atoms ` K ) $.
    lhp2atnle.h $e |- H = ( LHyp ` K ) $.
    $( Inequality for 2 different atoms under co-atom ` W ` .  (Contributed by
       NM, 17-Jun-2013.) $)
    lhp2atnle $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ U =/= V ) /\ ( U e. A /\ U .<_ W ) /\ ( V e. A /\ V .<_ W ) )
          -> -. V .<_ ( P .\/ U ) ) $=
      ( wcel wa wbr wn cfv eqid wceq chlt wne w3a cp0 co cal simp11l syl simp3l
      hlatl atn0 syl2anc cmee clat cbs wb hllatd atbase simp12l hlatjcl syl3anc
      simp2l latleeqm2 lhp2at0 eqeq1 syl5ibcom sylbid necon3ad mpd ) FUANZIDNZO
      ZBANZBIGPQZOZCHUBZUCZCANZCIGPZOZHANZHIGPZOZUCZHFUDRZUBZHBCEUEZGPZQWDFUFNZ
      WAWFWDVJWIVJVKVOVPVTWCUGZFUJUHVQVTWAWBUIZAHFWEWESZLUKULWDWHHWEWDWHWGHFUMR
      ZUEZHTZHWETZWDFUNNHFUORZNZWGWQNZWHWOUPWDFWJUQWDWAWRWKAWQHFWQSZLURUHWDVJVM
      VRWSWJVMVNVLVPVTWCUSVQVRVSWCVBAWQEFBCWTKLUTVAWQFGWMHWGWTJWMSZVCVAWDWNWETW
      OWPABCDEFGWMHIWEJKXAWLLMVDWNHWEVEVFVGVHVI $.

    $( Inequality for joins with 2 different atoms under co-atom ` W ` .
       (Contributed by NM, 22-Jul-2013.) $)
    lhp2atne $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
                /\ Q e. A )
        /\ ( ( U e. A /\ U .<_ W ) /\ ( V e. A /\ V .<_ W ) )
        /\ U =/= V ) -> ( P .\/ U ) =/= ( Q .\/ V ) ) $=
      ( wcel wa wbr wn w3a wne chlt simp11 simp12 simp3 simp2l simp2r lhp2atnle
      co syl311anc wceq simp11l simp13 simp2rl hlatlej2 syl3anc adantr breqtrrd
      simpr ex necon3bd mpd ) GUAOZJEOZPZBAOBJHQRPZCAOZSZDAODJHQPZIAOZIJHQZPZPZ
      DITZSZIBDFUHZHQZRZVOCIFUHZTVNVDVEVMVHVKVQVDVEVFVLVMUBVDVEVFVLVMUCVGVLVMUD
      VGVHVKVMUEVGVHVKVMUFABDEFGHIJKLMNUGUIVNVPVOVRVNVOVRUJZVPVNVSPIVRVOHVNIVRH
      QZVSVNVBVFVIVTVBVCVEVFVLVMUKVDVEVFVLVMULVIVJVHVGVMUMACIFGHKLMUNUOUPVNVSUR
      UQUSUTVA $.
  $}

  ${
    lhp2at0nle.l $e |- .<_ = ( le ` K ) $.
    lhp2at0nle.j $e |- .\/ = ( join ` K ) $.
    lhp2at0nle.z $e |- .0. = ( 0. ` K ) $.
    lhp2at0nle.a $e |- A = ( Atoms ` K ) $.
    lhp2at0nle.h $e |- H = ( LHyp ` K ) $.
    $( Inequality for 2 different atoms (or an atom and zero) under co-atom
       ` W ` .  (Contributed by NM, 28-Jul-2013.) $)
    lhp2at0nle $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ U =/= V ) /\ ( ( U e. A \/ U = .0. ) /\ U .<_ W )
        /\ ( V e. A /\ V .<_ W ) )
          -> -. V .<_ ( P .\/ U ) ) $=
      ( wcel wa wbr wn wceq wne w3a wo co simpl1 simpr simpl2r simpl3 lhp2atnle
      chlt syl121anc simp3r simp12r nbrne2 syl2anc neneqd cal simp11l hlatl syl
      wb simp3l simp12l atcmp syl3anc mtbird adantr oveq2 col cbs cfv hlol eqid
      atbase olj01 sylan9eqr breq2d simp2l mpjaodan ) FUJPZIDPZQZBAPZBIGRSZQZCH
      UAZUBZCAPZCJTZUCZCIGRZQZHAPZHIGRZQZUBZWHHBCEUDZGRZSZWIWPWHQWGWHWKWOWSWGWL
      WOWHUEWPWHUFWJWKWGWOWHUGWGWLWOWHUHABCDEFGHIKLNOUIUKWPWIQZWRHBGRZWPXASWIWP
      XAHBTZWPHBWPWNWDHBUAWGWLWMWNULWCWDWBWFWLWOUMHBIGUNUOUPWPFUQPZWMWCXAXBVAWP
      VTXCVTWAWEWFWLWOURZFUSUTWGWLWMWNVBWCWDWBWFWLWOVCZAHBFGKNVDVEVFVGWTWQBHGWI
      WPWQBJEUDZBCJBEVHWPFVIPZBFVJVKZPZXFBTWPVTXGXDFVLUTWPWCXIXEAXHBFXHVMZNVNUT
      XHEFBJXJLMVOUOVPVQVFWGWJWKWOVRVS $.

    $( Inequality for joins with 2 different atoms (or an atom and zero) under
       co-atom ` W ` .  (Contributed by NM, 28-Jul-2013.) $)
    lhp2at0ne $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
                /\ Q e. A )
        /\ ( ( ( U e. A \/ U = .0. ) /\ U .<_ W ) /\ ( V e. A /\ V .<_ W ) )
        /\ U =/= V ) -> ( P .\/ U ) =/= ( Q .\/ V ) ) $=
      ( wcel wa wbr wn chlt w3a wo wne co simp11 simp12 simp3 simp2l lhp2at0nle
      wceq simp2r simp11l simp13 simp2rl hlatlej2 syl3anc adantr simpr breqtrrd
      syl311anc ex necon3bd mpd ) GUAQZJEQZRZBAQBJHSTRZCAQZUBZDAQDKUKUCDJHSRZIA
      QZIJHSZRZRZDIUDZUBZIBDFUEZHSZTZVRCIFUEZUDVQVGVHVPVKVNVTVGVHVIVOVPUFVGVHVI
      VOVPUGVJVOVPUHVJVKVNVPUIVJVKVNVPULABDEFGHIJKLMNOPUJVAVQVSVRWAVQVRWAUKZVSV
      QWBRIWAVRHVQIWAHSZWBVQVEVIVLWCVEVFVHVIVOVPUMVGVHVIVOVPUNVLVMVKVJVPUOACIFG
      HLMOUPUQURVQWBUSUTVBVCVD $.
  $}

  ${
    lhpelim.b $e |- B = ( Base ` K ) $.
    lhpelim.l $e |- .<_ = ( le ` K ) $.
    lhpelim.j $e |- .\/ = ( join ` K ) $.
    lhpelim.m $e |- ./\ = ( meet ` K ) $.
    lhpelim.a $e |- A = ( Atoms ` K ) $.
    lhpelim.h $e |- H = ( LHyp ` K ) $.
    $( Eliminate an atom not under a lattice hyperplane.  TODO:  Look at proofs
       using ~ lhpmat to see if this can be used to shorten them.  (Contributed
       by NM, 27-Apr-2013.) $)
    lhpelim $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
     /\ X e. B ) -> ( ( P .\/ ( X ./\ W ) ) ./\ W ) = ( X ./\ W ) ) $=
      ( wcel wa co wceq chlt wbr wn w3a cp0 lhpmat 3adant3 oveq1d simp1l simp2l
      cfv eqid clat hllatd simp3 simp1r lhpbase latmcl syl3anc latmle2 atmod4i2
      syl syl131anc col hlol olj02 syl2anc 3eqtr3d ) FUAQZIDQZRZCAQZCIGUBUCZRZJ
      BQZUDZCIHSZJIHSZESZFUEUKZVRESZCVRESIHSZVRVPVQVTVREVKVNVQVTTVOACDFGHIVTLNV
      TULZOPUFUGUHVPVIVLVRBQZIBQZVRIGUBZVSWBTVIVJVNVOUIZVKVLVMVOUJVPFUMQZVOWEWD
      VPFWGUNZVKVNVOUOZVPVJWEVIVJVNVOUPBDFIKPUQVBZBFHJIKNURUSZWKVPWHVOWEWFWIWJW
      KBFGHJIKLNUTUSABCEFGHVRIKLMNOVAVCVPFVDQZWDWAVRTVPVIWMWGFVEVBWLBEFVRVTKMWC
      VFVGVH $.
  $}

  ${
    lhpmod.b $e |- B = ( Base ` K ) $.
    lhpmod.l $e |- .<_ = ( le ` K ) $.
    lhpmod.j $e |- .\/ = ( join ` K ) $.
    lhpmod.m $e |- ./\ = ( meet ` K ) $.
    lhpmod.h $e |- H = ( LHyp ` K ) $.
    $( Modular law for hyperplanes analogous to ~ atmod2i2 for atoms.
       (Contributed by NM, 9-Feb-2013.) $)
    lhpmod2i2 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ Y e. B )
        /\ Y .<_ X ) -> ( ( X ./\ W ) .\/ Y ) = ( X ./\ ( W .\/ Y ) ) ) $=
      ( wcel co wceq cfv syl2anc syl3anc chlt wa wbr w3a coc catm simp1l simp1r
      eqid lhpocat cops syl simp2l opoccl simp2r simp3 oplecon3b mpbid atmod1i2
      hlop wb syl131anc clat hllatd lhpbase latmcl latjcl opcon3b oldmm1 oldmj1
      col hlol oveq2d eqtrd oveq1d eqeq12d bitrd mpbird ) DUAOZGBOZUBZHAOZIAOZU
      BZIHEUCZUDZHGFPZICPZHGICPZFPZQZHDUERZRZGWLRZIWLRZFPZCPZWMWNCPZWOFPZQZWFVS
      WNDUFRZOZWMAOZWOAOZWMWOEUCZWTVSVTWDWEUGZWFVSVTXBXFVSVTWDWEUHZXABDWLGWLUIZ
      XAUIZNUJSWFDUKOZWBXCWFVSXJXFDUTULZWAWBWCWEUMZADWLHJXHUNSWFXJWCXDXKWAWBWCW
      EUOZADWLIJXHUNSWFWEXEWAWDWEUPWFXJWCWBWEXEVAXKXMXLADEWLIHJKXHUQTURXAAWNCDE
      FWMWOJKLMXIUSVBWFWKWJWLRZWHWLRZQZWTWFXJWHAOZWJAOZWKXPVAXKWFDVCOZWGAOZWCXQ
      WFDXFVDZWFXSWBGAOZXTYAXLWFVTYBXGABDGJNVEULZADFHGJMVFTZXMACDWGIJLVGTWFXSWB
      WIAOZXRYAXLWFXSYBWCYEYAYCXMACDGIJLVGTZADFHWIJMVFTADWLWHWJJXHVHTWFXNWQXOWS
      WFXNWMWIWLRZCPZWQWFDVKOZWBYEXNYHQWFVSYIXFDVLULZXLYFACDFWLHWIJLMXHVITWFYGW
      PWMCWFYIYBWCYGWPQYJYCXMACDFWLGIJLMXHVJTVMVNWFXOWGWLRZWOFPZWSWFYIXTWCXOYLQ
      YJYDXMACDFWLWGIJLMXHVJTWFYKWRWOFWFYIWBYBYKWRQYJXLYCACDFWLHGJLMXHVITVOVNVP
      VQVR $.

    $( Modular law for hyperplanes analogous to complement of ~ atmod2i1 for
       atoms.  (Contributed by NM, 1-Jun-2013.) $)
    lhpmod6i1 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ Y e. B )
        /\ X .<_ W ) -> ( X .\/ ( Y ./\ W ) ) = ( ( X .\/ Y ) ./\ W ) ) $=
      ( wcel co wceq cfv syl2anc syl3anc chlt wa wbr w3a coc catm simp1l simp1r
      eqid lhpocat cops hlop simp2l opoccl simp2r simp3 lhpbase oplecon3b mpbid
      syl wb atmod2i1 syl131anc clat hllatd latmcl latjcl opcon3b oldmm1 oldmj1
      col hlol oveq1d eqtrd oveq2d eqeq12d bitrd mpbird ) DUAOZGBOZUBZHAOZIAOZU
      BZHGEUCZUDZHIGFPZCPZHICPZGFPZQZHDUERZRZIWLRZFPZGWLRZCPZWMWNWPCPZFPZQZWFVS
      WPDUFRZOZWMAOZWNAOZWPWMEUCZWTVSVTWDWEUGZWFVSVTXBXFVSVTWDWEUHZXABDWLGWLUIZ
      XAUIZNUJSWFDUKOZWBXCWFVSXJXFDULUTZWAWBWCWEUMZADWLHJXHUNSWFXJWCXDXKWAWBWCW
      EUOZADWLIJXHUNSWFWEXEWAWDWEUPWFXJWBGAOZWEXEVAXKXLWFVTXNXGABDGJNUQUTZADEWL
      HGJKXHURTUSXAAWPCDEFWMWNJKLMXIVBVCWFWKWJWLRZWHWLRZQZWTWFXJWHAOZWJAOZWKXRV
      AXKWFDVDOZWBWGAOZXSWFDXFVEZXLWFYAWCXNYBYCXMXOADFIGJMVFTZACDHWGJLVGTWFYAWI
      AOZXNXTYCWFYAWBWCYEYCXLXMACDHIJLVGTZXOADFWIGJMVFTADWLWHWJJXHVHTWFXPWQXQWS
      WFXPWIWLRZWPCPZWQWFDVKOZYEXNXPYHQWFVSYIXFDVLUTZYFXOACDFWLWIGJLMXHVITWFYGW
      OWPCWFYIWBWCYGWOQYJXLXMACDFWLHIJLMXHVJTVMVNWFXQWMWGWLRZFPZWSWFYIWBYBXQYLQ
      YJXLYDACDFWLHWGJLMXHVJTWFYKWRWMFWFYIWCXNYKWRQYJXMXOACDFWLIGJLMXHVITVOVNVP
      VQVR $.
  $}

  ${
    $d p B $.  $d p w C $.  $d p w H $.  $d p w K $.  $d p w .<_ $.
    $d p w ./\ $.  $d p .< $.  $d p w X $.  $d p w Y $.
    lhprelat3.b $e |- B = ( Base ` K ) $.
    lhprelat3.l $e |- .<_ = ( le ` K ) $.
    lhprelat3.s $e |- .< = ( lt ` K ) $.
    lhprelat3.m $e |- ./\ = ( meet ` K ) $.
    lhprelat3.c $e |- C = ( <o ` K ) $.
    lhprelat3.h $e |- H = ( LHyp ` K ) $.
    $( The Hilbert lattice is relatively atomic with respect to co-atoms
       (lattice hyperplanes).  Dual version of ~ hlrelat3 .  (Contributed by
       NM, 20-Jun-2012.)  (New usage is discouraged.) $)
    lhprelat3N $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B ) /\ X .< Y )
         -> E. w e. H ( X .<_ ( Y ./\ w ) /\ ( Y ./\ w ) C Y ) ) $=
      ( wcel wbr wa cfv vp chlt w3a coc cv co wrex catm simpr wb simpll1 atbase
      cjn eqid adantl lhpoc2N syl2anc mpbid adantr cops hlop syl hllatd simpll3
      clat opoccl latmcl syl3anc cvrcon3b col wceq hlol breq2d bitr2d oplecon3b
      oldmm3N simpll2 breq1d biimpa ancomd oveq2 rspcev simpl1 simpl3 opltcon3b
      anbi12d simpl2 hlrelat3 syl31anc r19.29a ) FUBQZIBQZJBQZUCZIJDRZSZJFUDTZT
      ZWRUAUEZFUMTZUFZCRZXAIWQTZGRZSZIJAUEZHUFZGRZXGJCRZSZAEUGZUAFUHTZWPWSXLQZS
      ZXESZWSWQTZEQZIJXPHUFZGRZXRJCRZSZXKXNXQXEXNXMXQWPXMUIXNWKWSBQZXMXQUJWKWLW
      MWOXMUKZXMYBWPXLBWSFKXLUNZULUOZXLBEFWQWSKWQUNZYDPUPUQURUSXOXTXSXNXEXTXSSX
      NXBXTXDXSXNXTWRXRWQTZCRZXBXNFUTQZXRBQZWMXTYHUJXNWKYIYCFVAZVBZXNFVEQWMXPBQ
      ZYJXNFYCVCWKWLWMWOXMVDZXNYIYBYMYLYEBFWQWSKYFVFUQBFHJXPKNVGVHZYNBCFWQXRJKY
      FOVIVHXNYGXAWRCXNFVJQZWMYBYGXAVKXNWKYPYCFVLVBYNYEBWTFHWQJWSKWTUNZNYFVPVHZ
      VMVNXNXSYGXCGRZXDXNYIWLYJXSYSUJYLWKWLWMWOXMVQYOBFGWQIXRKLYFVOVHXNYGXAXCGY
      RVRVNWFVSVTXJYAAXPEXFXPVKZXHXSXIXTYTXGXRIGXFXPJHWAZVMYTXGXRJCUUAVRWFWBUQW
      PWKWRBQZXCBQZWRXCDRZXEUAXLUGWKWLWMWOWCZWPYIWMUUBWPWKYIUUEYKVBZWKWLWMWOWDZ
      BFWQJKYFVFUQWPYIWLUUCUUFWKWLWMWOWGZBFWQIKYFVFUQWPWOUUDWNWOUIWPYIWLWMWOUUD
      UJUUFUUHUUGBDFWQIJKMYFWEVHURXLBCDWTFGWRXCUAKLMYQOYDWHWIWJ $.
  $}

  ${
    $d r A $.  $d r .\/ $.  $d r K $.  $d r .<_ $.  $d r P $.  $d r Q $.
    $d r W $.
    cdlemb2.l $e |- .<_ = ( le ` K ) $.
    cdlemb2.j $e |- .\/ = ( join ` K ) $.
    cdlemb2.a $e |- A = ( Atoms ` K ) $.
    cdlemb2.h $e |- H = ( LHyp ` K ) $.
    $( TODO: derive directly instead of via ~ cdlemb . $)
    $( Given two atoms not under the fiducial (reference) co-atom ` W ` , there
       is a third.  Lemma B in [Crawley] p. 112.  (Contributed by NM,
       30-May-2012.) $)
    cdlemb2 $p |- ( ( ( K e. HL /\ W e. H ) /\
          ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ P =/= Q )
      -> E. r e. A ( -. r .<_ W /\ -. r .<_ ( P .\/ Q ) ) ) $=
      ( chlt wcel wa wbr wn cfv eqid wne w3a cbs ccvr cv co wrex simp1l simp2ll
      cp1 simp2rl simp1r lhpbase syl lhp1cvr 3ad2ant1 simp2lr simp2rr syl323anc
      simp3 cdlemb ) FNOZHDOZPZBAOZBHGQRZPZCAOZCHGQRZPZPZBCUAZUBZVBVEVHHFUCSZOZ
      VLHFUJSZFUDSZQZVFVIIUEZHGQRVSBCEUFGQRPIAUGVBVCVKVLUHVEVFVJVDVLUIVHVIVGVDV
      LUKVMVCVOVBVCVKVLULVNDFHVNTZMUMUNVDVKVLUTVDVKVRVLNVQVPDFHVPTZVQTZMUOUPVEV
      FVJVDVLUQVHVIVGVDVLURAVNVQBCVPEFGHIVTJKWAWBLVAUS $.
  $}

  ${
    lhple.b $e |- B = ( Base ` K ) $.
    lhple.l $e |- .<_ = ( le ` K ) $.
    lhple.j $e |- .\/ = ( join ` K ) $.
    lhple.m $e |- ./\ = ( meet ` K ) $.
    lhple.a $e |- A = ( Atoms ` K ) $.
    lhple.h $e |- H = ( LHyp ` K ) $.
    $( Property of a lattice element under a co-atom.  (Contributed by NM,
       28-Feb-2014.) $)
    lhple $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( X e. B /\ X .<_ W ) ) -> ( ( P .\/ X ) ./\ W ) = X ) $=
      ( wcel wa co wceq chlt wbr wn w3a clat simp1l hllatd simp2l atbase simp3l
      syl latjcom syl3anc oveq1d simp3r lhpmod6i1 syl121anc cp0 cfv eqid lhpmat
      simp1 3adant3 oveq2d col hlol olj01 syl2anc eqtrd 3eqtr2d ) FUAQZIDQZRZCA
      QZCIGUBUCZRZJBQZJIGUBZRZUDZCJESZIHSJCESZIHSZJCIHSZESZJVTWAWBIHVTFUEQCBQZV
      QWAWBTVTFVKVLVPVSUFZUGVTVNWFVMVNVOVSUHABCFKOUIUKZVMVPVQVRUJZBEFCJKMULUMUN
      VTVMVQWFVRWEWCTVMVPVSVBWIWHVMVPVQVRUOBDEFGHIJCKLMNPUPUQVTWEJFURUSZESZJVTW
      DWJJEVMVPWDWJTVSACDFGHIWJLNWJUTZOPVAVCVDVTFVEQZVQWKJTVTVKWMWGFVFUKWIBEFJW
      JKMWLVGVHVIVJ $.
  $}

  ${
    lhpat.l $e |- .<_ = ( le ` K ) $.
    lhpat.j $e |- .\/ = ( join ` K ) $.
    lhpat.m $e |- ./\ = ( meet ` K ) $.
    lhpat.a $e |- A = ( Atoms ` K ) $.
    lhpat.h $e |- H = ( LHyp ` K ) $.
    $( Create an atom under a co-atom.  Part of proof of Lemma B in [Crawley]
       p. 112.  (Contributed by NM, 23-May-2012.) $)
    lhpat $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ P =/= Q ) ) -> ( ( P .\/ Q ) ./\ W ) e. A ) $=
      ( chlt wcel wa wbr cfv eqid wn wne w3a cbs co simp1l simp2l simp3l simp1r
      cp1 ccvr lhpbase syl simp3r lhp1cvr 3ad2ant1 simp2r 1cvrat syl133anc ) FO
      PZIDPZQZBAPZBIGRUAZQZCAPZBCUBZQZUCZUTVCVFIFUDSZPZVGIFUJSZFUKSZRZVDBCEUEIH
      UEAPUTVAVEVHUFVBVCVDVHUGVBVEVFVGUHVIVAVKUTVAVEVHUIVJDFIVJTZNULUMVBVEVFVGU
      NVBVEVNVHOVMVLDFIVLTZVMTZNUOUPVBVCVDVHUQAVJVMBCVLEFGHIVOJKLVPVQMURUS $.

    $( Property of an atom under a co-atom.  (Contributed by NM, 24-Nov-2013.)
       (New usage is discouraged.) $)
    lhpat4N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( U e. A /\ U .<_ W ) ) -> ( ( P .\/ U ) ./\ W ) = U ) $=
      ( chlt wcel wa wbr wn co w3a cbs cfv wceq simp1 simp3l eqid atbase simp3r
      simp2 syl lhple syl112anc ) FOPIDPQZBAPBIGRSQZCAPZCIGRZQZUAZUNUOCFUBUCZPZ
      UQBCETIHTCUDUNUOURUEUNUOURUJUSUPVAUNUOUPUQUFAUTCFUTUGZMUHUKUNUOUPUQUIAUTB
      DEFGHICVBJKLMNULUM $.

    lhpat2.r $e |- R = ( ( P .\/ Q ) ./\ W ) $.
    $( Create an atom under a co-atom.  Part of proof of Lemma B in [Crawley]
       p. 112.  (Contributed by NM, 21-Nov-2012.) $)
    lhpat2 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ P =/= Q ) ) -> R e. A ) $=
      ( chlt wcel wa co wbr wn wne w3a lhpat eqeltrid ) GQRJERSBARBJHUAUBSCARBC
      UCSUDDBCFTJITAPABCEFGHIJKLMNOUEUF $.

    $( There is only one atom under both ` P .\/ Q ` and co-atom ` W ` .
       (Contributed by NM, 21-Nov-2012.) $)
    lhpat3 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W ) )
         /\ ( Q e. A /\ S e. A ) /\ ( P =/= Q /\ S .<_ ( P .\/ Q ) ) )
           -> ( -. S .<_ W <-> S =/= R ) ) $=
      ( wcel wa wbr chlt wn wne co w3a wceq simpl3r simpr wb cbs simp1ll hllatd
      clat cfv simp2r atbase syl simp1rl simp2l hlatjcl syl3anc simp1lr lhpbase
      latlem12 syl13anc adantr mpbi2and breqtrrdi hlatl simpl2r simpl1l simpl1r
      eqid cal simpl2l simpl3l lhpat2 syl112anc atcmp mpbid ex latmle2 eqbrtrid
      breq1 syl5ibrcom impbid necon3bbid ) HUARZKFRZSZBARZBKITUBZSZSZCARZEARZSZ
      BCUCZEBCGUDZITZSZUEZEKITZEDXBXCEDUFZXBXCXDXBXCSZEDITZXDXEEWSKJUDZDIXEWTXC
      EXGITZWRWTWNWQXCUGXBXCUHXBWTXCSXHUIZXCXBHUMRZEHUJUNZRZWSXKRZKXKRZXIXBHWHW
      IWMWQXAUKZULZXBWPXLWNWOWPXAUOAXKEHXKVMZOUPUQXBWHWKWOXMXOWKWLWJWQXAURWNWOW
      PXAUSAXKGHBCXQMOUTVAZXBWIXNWHWIWMWQXAVBXKFHKXQPVCUQZXKHIJEWSKXQLNVDVEVFVG
      QVHXEHVNRZWPDARZXFXDUIXEWHXTXBWHXCXOVFHVIUQWOWPWNXAXCVJXEWJWMWOWRYAWJWMWQ
      XAXCVKWJWMWQXAXCVLWOWPWNXAXCVOWRWTWNWQXCVPABCDFGHIJKLMNOPQVQVRAEDHILOVSVA
      VTWAXBXCXDDKITXBDXGKIQXBXJXMXNXGKITXPXRXSXKHIJWSKXQLNWBVAWCEDKIWDWEWFWG
      $.
  $}

  ${
    4thatlem.ph $e |- ( ph <-> ( ( ( K e. HL /\ W e. H )
                /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
            /\ ( S e. A
                /\ ( R e. A /\ -. R .<_ W /\ ( P .\/ R ) = ( Q .\/ R ) )
                /\ ( T e. A /\ ( U .\/ T ) = ( V .\/ T ) ) )
            /\ ( P =/= Q /\ -. S .<_ ( P .\/ Q ) ) ) ) $.
    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 23-Nov-2012.) $)
    4atexlemk $p |- ( ph -> K e. HL ) $=
      ( wcel wa wbr wn co chlt w3a wceq wne simp11l sylbi ) AKUAPZNIPZQCBPCNLRS
      QZDBPDNLRSQZUBFBPEBPENLRSCEJTDEJTUCUBGBPHGJTMGJTUCQUBZCDUDFCDJTLRSQZUBUGO
      UGUHUIUJUKULUEUF $.

    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 23-Nov-2012.) $)
    4atexlemw $p |- ( ph -> W e. H ) $=
      ( wcel wa wbr wn co chlt w3a wceq wne simp11r sylbi ) AKUAPZNIPZQCBPCNLRS
      QZDBPDNLRSQZUBFBPEBPENLRSCEJTDEJTUCUBGBPHGJTMGJTUCQUBZCDUDFCDJTLRSQZUBUHO
      UGUHUIUJUKULUEUF $.

    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 23-Nov-2012.) $)
    4atexlempw $p |- ( ph -> ( P e. A /\ -. P .<_ W ) ) $=
      ( wcel wa wbr wn co chlt w3a wceq wne simp12 sylbi ) AKUAPNIPQZCBPCNLRSQZ
      DBPDNLRSQZUBFBPEBPENLRSCEJTDEJTUCUBGBPHGJTMGJTUCQUBZCDUDFCDJTLRSQZUBUHOUG
      UHUIUJUKUEUF $.

    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 23-Nov-2012.) $)
    4atexlemp $p |- ( ph -> P e. A ) $=
      ( wcel wbr wn 4atexlempw simpld ) ACBPCNLQRABCDEFGHIJKLMNOST $.

    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 23-Nov-2012.) $)
    4atexlemq $p |- ( ph -> Q e. A ) $=
      ( wcel wa wbr wn co chlt w3a wceq wne simp13l sylbi ) AKUAPNIPQZCBPCNLRSQ
      ZDBPZDNLRSZQUBFBPEBPENLRSCEJTDEJTUCUBGBPHGJTMGJTUCQUBZCDUDFCDJTLRSQZUBUIO
      UIUJUGUHUKULUEUF $.

    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 23-Nov-2012.) $)
    4atexlems $p |- ( ph -> S e. A ) $=
      ( wcel wa wbr wn co chlt w3a wceq wne simp21 sylbi ) AKUAPNIPQCBPCNLRSQDB
      PDNLRSQUBZFBPZEBPENLRSCEJTDEJTUCUBZGBPHGJTMGJTUCQZUBCDUDFCDJTLRSQZUBUHOUG
      UHUIUJUKUEUF $.

    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 23-Nov-2012.) $)
    4atexlemt $p |- ( ph -> T e. A ) $=
      ( wcel wa wbr wn co chlt w3a wceq wne simp23l sylbi ) AKUAPNIPQCBPCNLRSQD
      BPDNLRSQUBZFBPZEBPENLRSCEJTDEJTUCUBZGBPZHGJTMGJTUCZQUBCDUDFCDJTLRSQZUBUJO
      UJUKUHUIUGULUEUF $.

    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 23-Nov-2012.) $)
    4atexlemutvt $p |- ( ph -> ( U .\/ T ) = ( V .\/ T ) ) $=
      ( wcel wa wbr wn co chlt w3a wceq wne simp23r sylbi ) AKUAPNIPQCBPCNLRSQD
      BPDNLRSQUBZFBPZEBPENLRSCEJTDEJTUCUBZGBPZHGJTMGJTUCZQUBCDUDFCDJTLRSQZUBUKO
      UJUKUHUIUGULUEUF $.

    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 23-Nov-2012.) $)
    4atexlempnq $p |- ( ph -> P =/= Q ) $=
      ( wcel wa wbr wn co chlt w3a wceq wne simp3l sylbi ) AKUAPNIPQCBPCNLRSQDB
      PDNLRSQUBZFBPEBPENLRSCEJTDEJTUCUBGBPHGJTMGJTUCQUBZCDUDZFCDJTLRSZQUBUIOUGU
      HUIUJUEUF $.

    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 23-Nov-2012.) $)
    4atexlemnslpq $p |- ( ph -> -. S .<_ ( P .\/ Q ) ) $=
      ( wcel wa wbr wn co chlt w3a wceq wne simp3r sylbi ) AKUAPNIPQCBPCNLRSQDB
      PDNLRSQUBZFBPEBPENLRSCEJTDEJTUCUBGBPHGJTMGJTUCQUBZCDUDZFCDJTLRSZQUBUJOUGU
      HUIUJUEUF $.

    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 23-Nov-2012.) $)
    4atexlemkl $p |- ( ph -> K e. Lat ) $=
      ( 4atexlemk hllatd ) AKABCDEFGHIJKLMNOPQ $.

    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 23-Nov-2012.) $)
    4atexlemkc $p |- ( ph -> K e. CvLat ) $=
      ( chlt wcel clc 4atexlemk hlcvl syl ) AKPQKRQABCDEFGHIJKLMNOSKTUA $.

    ${
      4thatlemmwb.h $e |- H = ( LHyp ` K ) $.
      $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 23-Nov-2012.) $)
      4atexlemwb $p |- ( ph -> W e. ( Base ` K ) ) $=
        ( wcel cbs cfv 4atexlemw eqid lhpbase syl ) ANIQNKRSZQABCDEFGHIJKLMNOTU
        DIKNUDUAPUBUC $.
    $}

    ${
      4thatlempqb.j $e |- .\/ = ( join ` K ) $.
      4thatlempqb.a $e |- A = ( Atoms ` K ) $.
      $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 23-Nov-2012.) $)
      4atexlempsb $p |- ( ph -> ( P .\/ S ) e. ( Base ` K ) ) $=
        ( chlt wcel co cbs 4atexlemk 4atexlemp 4atexlems eqid hlatjcl syl3anc
        cfv ) AKRSCBSFBSCFJTKUAUHZSABCDEFGHIJKLMNOUBABCDEFGHIJKLMNOUCABCDEFGHIJ
        KLMNOUDBUIJKCFUIUEPQUFUG $.

      $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 24-Nov-2012.) $)
      4atexlemqtb $p |- ( ph -> ( Q .\/ T ) e. ( Base ` K ) ) $=
        ( chlt wcel co cbs 4atexlemk 4atexlemq 4atexlemt eqid hlatjcl syl3anc
        cfv ) AKRSDBSGBSDGJTKUAUHZSABCDEFGHIJKLMNOUBABCDEFGHIJKLMNOUCABCDEFGHIJ
        KLMNOUDBUIJKDGUIUEPQUFUG $.
    $}

    ${
      4thatlemslps.l $e |- .<_ = ( le ` K ) $.
      4thatlemslps.j $e |- .\/ = ( join ` K ) $.
      4thatlemslps.a $e |- A = ( Atoms ` K ) $.
      $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 23-Nov-2012.) $)
      4atexlempns $p |- ( ph -> P =/= S ) $=
        ( chlt wcel co wn 4atexlemk 4atexlemp 4atexlemq 4atexlems 4atexlemnslpq
        wbr wne 4atlem0be syl131anc ) AKSTCBTDBTFBTFCDJUALUHUBCFUIABCDEFGHIJKLM
        NOUCABCDEFGHIJKLMNOUDABCDEFGHIJKLMNOUEABCDEFGHIJKLMNOUFABCDEFGHIJKLMNOU
        GBCDFJKLPQRUJUK $.

      4thatlemsw.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
      $( Lemma for ~ 4atexlem7 .  Swap ` Q ` and ` R ` , so that theorems
         involving ` C ` can be reused for ` D ` .  Note that ` U ` must be
         expanded because it involves ` Q ` .  (Contributed by NM,
         25-Nov-2012.) $)
      4atexlemswapqr $p |- ( ph -> ( ( ( K e. HL /\ W e. H )
               /\ ( P e. A /\ -. P .<_ W ) /\ ( R e. A /\ -. R .<_ W ) )
           /\ ( S e. A
               /\ ( Q e. A /\ -. Q .<_ W /\ ( P .\/ Q ) = ( R .\/ Q ) )
               /\ ( T e. A
                   /\ ( ( ( P .\/ R ) ./\ W ) .\/ T ) = ( V .\/ T ) ) )
           /\ ( P =/= R /\ -. S .<_ ( P .\/ R ) ) ) ) $=
        ( chlt wcel wa wbr wn w3a co wceq simp11 sylbi 4atexlempw simp22 3simpa
        wne 4atexlems 4atexlemq simp13r 4atexlemkc 4atexlemp simpld 4atexlempnq
        syl 3jca clc simp223 cvlsupr7 syl132anc 4atexlemt cvlsupr8 4atexlemutvt
        oveq1d syl5eq eqtr3d cvlsupr5 necomd 4atexlemnslpq eqcomd breq2d mtbird
        jca ) AKUAUBOIUBUCZCBUBZCOLUDUEUCZEBUBZEOLUDUEZUCZUFFBUBZDBUBZDOLUDUEZC
        DJUGZEDJUGUHZUFZGBUBZCEJUGZOMUGZGJUGZNGJUGZUHZUCZUFCEUNZFWNLUDZUEZUCAWA
        WCWFAWAWCWHWIUCZUFZWGWDWEWNDEJUGUHZUFZWMHGJUGZWQUHUCZUFZCDUNZFWJLUDZUEU
        CZUFZWAPWAWCXCXIXLUIUJABCDEFGHIJKLNOPUKAXMWFPXMXFWFXDWGXFXHXLULWDWEXEUM
        VBUJZVCAWGWLWSABCDEFGHIJKLNOPUOAWHWIWKABCDEFGHIJKLNOPUPZAXMWIPWHWIWAWCX
        IXLUQUJAKVDUBZWBWHWDXJXEWKABCDEFGHIJKLNOPURZABCDEFGHIJKLNOPUSZXOAWDWEXN
        UTZABCDEFGHIJKLNOPVAZAXMXEPWDWEXEWGXHXDXLVEUJZBCDEJKSRVFVGVCAWMWRABCDEF
        GHIJKLNOPVHAXGWPWQAHWOGJAHWJOMUGWOTAWJWNOMAXPWBWHWDXJXEWJWNUHXQXRXOXSXT
        YABCDEJKSRVIVGZVKVLVKABCDEFGHIJKLNOPVJVMVTVCAWTXBAXPWBWHWDXJXEWTXQXRXOX
        SXTYAXPWBWHWDUFXJXEUCUFECBCDEJKSRVNVOVGAXAXKABCDEFGHIJKLNOPVPAWNWJFLAWJ
        WNYBVQVRVSVTVC $.
    $}

    4thatlem0.l $e |- .<_ = ( le ` K ) $.
    4thatlem0.j $e |- .\/ = ( join ` K ) $.
    4thatlem0.m $e |- ./\ = ( meet ` K ) $.
    4thatlem0.a $e |- A = ( Atoms ` K ) $.
    4thatlem0.h $e |- H = ( LHyp ` K ) $.
    4thatlem0.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 23-Nov-2012.) $)
    4atexlemu $p |- ( ph -> U e. A ) $=
      ( chlt wbr wn wa wne 4atexlemk 4atexlemw 4atexlempw 4atexlemq 4atexlempnq
      wcel lhpat2 syl212anc ) AKUCUMOIUMCBUMCOLUDUEUFDBUMCDUGHBUMABCDEFGHIJKLNO
      PUHABCDEFGHIJKLNOPUIABCDEFGHIJKLNOPUJABCDEFGHIJKLNOPUKABCDEFGHIJKLNOPULBC
      DHIJKLMOQRSTUAUBUNUO $.

    4thatlem0.v $e |- V = ( ( P .\/ S ) ./\ W ) $.
    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 23-Nov-2012.) $)
    4atexlemv $p |- ( ph -> V e. A ) $=
      ( chlt wbr wn wa wne 4atexlemk 4atexlemw 4atexlempw 4atexlems 4atexlempns
      wcel lhpat2 syl212anc ) AKUDUNOIUNCBUNCOLUEUFUGFBUNCFUHNBUNABCDEFGHIJKLNO
      PUIABCDEFGHIJKLNOPUJABCDEFGHIJKLNOPUKABCDEFGHIJKLNOPULABCDEFGHIJKLNOPQRTU
      MBCFNIJKLMOQRSTUAUCUOUP $.

    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 21-Nov-2012.) $)
    4atexlemunv $p |- ( ph -> U =/= V ) $=
      ( co wbr wn 4atexlemnslpq wceq wa chlt wcel 4atexlemk 4atexlemp 4atexlems
      wne hlatlej2 syl3anc adantr cbs 4atexlemkl 4atexlempsb 4atexlemwb latmle1
      clat cfv eqid eqbrtrid clc 4atexlemkc 4atexlemv latmle2 4atexlempw simprd
      nbrne2 syl2anc cvlatexchb1 syl131anc mpbid oveq2 eqcomd 4atexlemq hlatjcl
      wb 4atexlemu sylan9eqr eqtr3d breqtrd ex necon3bd mpd ) AFCDJUDZLUEZUFHNU
      OABCDEFGHIJKLNOPUGAWLHNAHNUHZWLAWMUIZFCFJUDZWKLAFWOLUEZWMAKUJUKZCBUKZFBUK
      ZWPABCDEFGHIJKLNOPULZABCDEFGHIJKLNOPUMZABCDEFGHIJKLNOPUNZBCFJKLQRTUPUQURW
      NCNJUDZWOWKAXCWOUHZWMANWOLUEZXDANWOOMUDZWOLUCAKVDUKZWOKUSVEZUKZOXHUKZXFWO
      LUEABCDEFGHIJKLNOPUTZABCDEFGHIJKLNOPRTVAZABCDEFGHIJKLNOPUAVBZXHKLMWOOXHVF
      ZQSVCUQVGAKVHUKZNBUKWSWRNCUOZXEXDWCABCDEFGHIJKLNOPVIZABCDEFGHIJKLMNOPQRST
      UAUBUCVJXBXAANOLUECOLUEUFZXPANXFOLUCAXGXIXJXFOLUEXKXLXMXHKLMWOOXNQSVKUQVG
      AWRXRABCDEFGHIJKLNOPVLVMZNCOLVNVOBNFCJKLQRTVPVQVRURWMAXCCHJUDZWKWMXTXCHNC
      JVSVTAHWKLUEZXTWKUHZAHWKOMUDZWKLUBAXGWKXHUKZXJYCWKLUEXKAWQWRDBUKZYDWTXAAB
      CDEFGHIJKLNOPWAZBXHJKCDXNRTWBUQZXMXHKLMWKOXNQSVCUQVGAXOHBUKYEWRHCUOZYAYBW
      CXQABCDEFGHIJKLMNOPQRSTUAUBWDYFXAAHOLUEXRYHAHYCOLUBAXGYDXJYCOLUEXKYGXMXHK
      LMWKOXNQSVKUQVGXSHCOLVNVOBHDCJKLQRTVPVQVRWEWFWGWHWIWJ $.

    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 24-Nov-2012.) $)
    4atexlemtlw $p |- ( ph -> T .<_ W ) $=
      ( cbs cfv co eqid 4atexlemkl wcel 4atexlemt 4atexlemk 4atexlemu 4atexlemv
      atbase syl chlt hlatjcl syl3anc 4atexlemwb clc wne 4atexlemkc 4atexlemunv
      wceq wbr 4atexlemutvt cvlsupr4 syl132anc clat 4atexlemp 4atexlemq latmle2
      eqbrtrid 4atexlempsb wa wb latjle12 syl13anc mpbi2and lattrd ) AKUDUEZKLG
      HNJUFZOWAUGZQABCDEFGHIJKLNOPUHZAGBUIZGWAUIABCDEFGHIJKLNOPUJZBWAGKWCTUNUOA
      KUPUIZHBUIZNBUIZWBWAUIABCDEFGHIJKLNOPUKZABCDEFGHIJKLMNOPQRSTUAUBULZABCDEF
      GHIJKLMNOPQRSTUAUBUCUMZBWAJKHNWCRTUQURABCDEFGHIJKLNOPUAUSZAKUTUIWHWIWEHNV
      AHGJUFNGJUFVDGWBLVEABCDEFGHIJKLNOPVBWKWLWFABCDEFGHIJKLMNOPQRSTUAUBUCVCABC
      DEFGHIJKLNOPVFBHNGJKLTQRVGVHAHOLVEZNOLVEZWBOLVEZAHCDJUFZOMUFZOLUBAKVIUIZW
      QWAUIZOWAUIZWROLVEWDAWGCBUIDBUIWTWJABCDEFGHIJKLNOPVJABCDEFGHIJKLNOPVKBWAJ
      KCDWCRTUQURWMWAKLMWQOWCQSVLURVMANCFJUFZOMUFZOLUCAWSXBWAUIXAXCOLVEWDABCDEF
      GHIJKLNOPRTVNWMWAKLMXBOWCQSVLURVMAWSHWAUIZNWAUIZXAWNWOVOWPVPWDAWHXDWKBWAH
      KWCTUNUOAWIXEWLBWANKWCTUNUOWMWAJKLHNOWCQRVQVRVSVT $.

    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 24-Nov-2012.) $)
    4atexlemntlpq $p |- ( ph -> -. T .<_ ( P .\/ Q ) ) $=
      ( co wbr 4atexlemtlw wn wne wcel 4atexlemkc 4atexlemu 4atexlemv 4atexlemt
      wa wceq 4atexlemunv 4atexlemutvt cvlsupr5 syl132anc adantr chlt 4atexlemk
      clc 4atexlemw jca 4atexlempw 4atexlemq 4atexlempnq simpr lhpat3 syl222anc
      wb mpbird ex mt2d ) AGCDJUDLUEZGOLUEZABCDEFGHIJKLMNOPQRSTUAUBUCUFAVPVQUGZ
      AVPUNZVRGHUHZAVTVPAKVCUIHBUINBUIGBUIZHNUHHGJUDNGJUDUOVTABCDEFGHIJKLNOPUJA
      BCDEFGHIJKLMNOPQRSTUAUBUKABCDEFGHIJKLMNOPQRSTUAUBUCULABCDEFGHIJKLNOPUMZAB
      CDEFGHIJKLMNOPQRSTUAUBUCUPABCDEFGHIJKLNOPUQBHNGJKTRURUSUTVSKVAUIZOIUIZUNZ
      CBUICOLUEUGUNZDBUIZWACDUHZVPVRVTVLAWEVPAWCWDABCDEFGHIJKLNOPVBABCDEFGHIJKL
      NOPVDVEUTAWFVPABCDEFGHIJKLNOPVFUTAWGVPABCDEFGHIJKLNOPVGUTAWAVPWBUTAWHVPAB
      CDEFGHIJKLNOPVHUTAVPVIBCDHGIJKLMOQRSTUAUBVJVKVMVNVO $.

    4thatlem0.c $e |- C = ( ( Q .\/ T ) ./\ ( P .\/ S ) ) $.
    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 24-Nov-2012.) $)
    4atexlemc $p |- ( ph -> C e. A ) $=
      ( co clat wcel cbs cfv 4atexlemkl 4atexlemqtb 4atexlempsb latmcom syl3anc
      wceq eqid syl5eq wne wn 4atexlemk 4atexlemp 4atexlems 4atexlemq 4atexlemt
      chlt wbr 4atexlempns 4atexlemntlpq atnlej2 necomd syl131anc 4atexlemnslpq
      w3a 4atexlempnq 4atlem0ae syl132anc atbase syl 4atexlemu 4atexlemv latjcl
      hlatjcl clc 4atexlemkc 4atexlemunv 4atexlemutvt cvlsupr4 latmle1 eqbrtrid
      4atexlemwb wa latjlej12 syl122anc mp2and hlatjass syl13anc latj32 latjjdi
      wi 3eqtr3rd breqtrd lattrd 2atmat syl333anc eqeltrd ) ACDGKUFZEHKUFZNUFZB
      ACXHXGNUFZXIUEALUGUHZXHLUIUJZUHXGXLUHZXJXIUPABDEFGHIJKLMOPQUKZABDEFGHIJKL
      MOPQSUAULABDEFGHIJKLMOPQSUAUMZXLLNXHXGXLUQZTUNUOURALVFUHZDBUHZGBUHZEBUHZH
      BUHZDGUSEHUSZEXGMVGUTZHXGEKUFZMVGXIBUHABDEFGHIJKLMOPQVAZABDEFGHIJKLMOPQVB
      ZABDEFGHIJKLMOPQVCZABDEFGHIJKLMOPQVDZABDEFGHIJKLMOPQVEZABDEFGHIJKLMOPQRSU
      AVHAXQYAXRXTHDEKUFZMVGUTZYBYEYIYFYHABDEFGHIJKLMNOPQRSTUAUBUCUDVIXQYAXRXTV
      NYKVNHEBHDEKLMRSUAVJVKVLAXQXRXTXSDEUSGYJMVGUTYCYEYFYHYGABDEFGHIJKLMOPQVOA
      BDEFGHIJKLMOPQVMBDEGKLMRSUAVPVQAXLLMHIOKUFZYDXPRXNAYAHXLUHYIBXLHLXPUAVRVS
      AXQIBUHZOBUHZYLXLUHYEABDEFGHIJKLMNOPQRSTUAUBUCVTZABDEFGHIJKLMNOPQRSTUAUBU
      CUDWAZBXLKLIOXPSUAWCUOAXKXMEXLUHZYDXLUHXNXOAXTYQYHBXLELXPUAVRVSZXLKLXGEXP
      SWBUOALWDUHYMYNYAIOUSIHKUFOHKUFUPHYLMVGABDEFGHIJKLMOPQWEYOYPYIABDEFGHIJKL
      MNOPQRSTUAUBUCUDWFABDEFGHIJKLMOPQWGBIOHKLMUARSWHVQAYLYJXGKUFZYDMAIYJMVGZO
      XGMVGZYLYSMVGZAIYJPNUFZYJMUCAXKYJXLUHZPXLUHZUUCYJMVGXNAXQXRXTUUDYEYFYHBXL
      KLDEXPSUAWCUOZABDEFGHIJKLMOPQUBWKZXLLMNYJPXPRTWIUOWJAOXGPNUFZXGMUDAXKXMUU
      EUUHXGMVGXNXOUUGXLLMNXGPXPRTWIUOWJAXKIXLUHZUUDOXLUHZXMYTUUAWLUUBWTXNAYMUU
      IYOBXLILXPUAVRVSUUFAYNUUJYPBXLOLXPUAVRVSXOXLKLMXGIYJOXPRSWMWNWOAYJGKUFZDE
      GKUFKUFZYDYSAXQXRXTXSUUKUULUPYEYFYHYGBDEGKLSUAWPWQAXKDXLUHZYQGXLUHZUUKYDU
      PXNAXRUUMYFBXLDLXPUAVRVSZYRAXSUUNYGBXLGLXPUAVRVSZXLKLDEGXPSWRWQAXKUUMYQUU
      NUULYSUPXNUUOYRUUPXLKLDEGXPSWSWQXAXBXCBDGEHKLMNRSTUAXDXEXF $.

    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 24-Nov-2012.) $)
    4atexlemnclw $p |- ( ph -> -. C .<_ W ) $=
      ( wbr wn wne co clat wcel cbs cfv 4atexlemkl 4atexlemqtb 4atexlempsb eqid
      latmle1 syl3anc eqbrtrid chlt wa w3a wceq simp13r sylbi clc wi 4atexlemkc
      4atexlemv 4atexlemq 4atexlemt 4atexlemu 4atexlemunv 4atexlemutvt cvlsupr6
      syl132anc cvlatexch2 syl131anc 4atexlemwb latmle2 4atexlemtlw wb latjle12
      necomd atbase syl syl13anc mpbi2and 4atexlemk hlatjcl lattr mpan2d nbrne2
      syld mtod 4atexlemw jca 4atexlempw 4atexlems 4atexlemc 4atexlempns lhpat3
      syl2anc syl222anc mpbird ) ACPMUFUGZCOUHZACEHKUIZMUFOXIMUFZUGXHACXIDGKUIZ
      NUIZXIMUEALUJUKZXILULUMZUKZXKXNUKZXLXIMUFABDEFGHIJKLMOPQUNZABDEFGHIJKLMOP
      QSUAUOZABDEFGHIJKLMOPQSUAUPZXNLMNXIXKXNUQZRTURUSUTAXJEPMUFZALVAUKZPJUKZVB
      ZDBUKDPMUFUGVBZEBUKZYAUGZVBVCGBUKZFBUKFPMUFUGDFKUIEFKUIVDVCHBUKZIHKUIOHKU
      IZVDZVBVCZDEUHGDEKUIMUFUGVBZVCYGQYFYGYDYEYLYMVEVFAXJEYJMUFZYAALVGUKZOBUKZ
      YFYIOHUHZXJYNVHABDEFGHIJKLMOPQVIZABDEFGHIJKLMNOPQRSTUAUBUCUDVJZABDEFGHIJK
      LMOPQVKZABDEFGHIJKLMOPQVLZAYOIBUKZYPYIIOUHZYKYQYRABDEFGHIJKLMNOPQRSTUAUBU
      CVMYSUUAABDEFGHIJKLMNOPQRSTUAUBUCUDVNABDEFGHIJKLMOPQVOYOUUBYPYIVCUUCYKVBV
      CHOBIOHKLUASVPWEVQBOEHKLMRSUAVRVSAYNYJPMUFZYAAOPMUFZHPMUFZUUDAOXKPNUIZPMU
      DAXMXPPXNUKZUUGPMUFXQXSABDEFGHIJKLMOPQUBVTZXNLMNXKPXTRTWAUSUTABDEFGHIJKLM
      NOPQRSTUAUBUCUDWBAXMOXNUKZHXNUKZUUHUUEUUFVBUUDWCXQAYPUUJYSBXNOLXTUAWFWGAY
      IUUKUUABXNHLXTUAWFWGUUIXNKLMOHPXTRSWDWHWIAXMEXNUKZYJXNUKZUUHYNUUDVBYAVHXQ
      AYFUULYTBXNELXTUAWFWGAYBYPYIUUMABDEFGHIJKLMOPQWJZYSUUABXNKLOHXTSUAWKUSUUI
      XNLMEYJPXTRWLWHWMWOWPCOXIMWNXDAYDYEYHCBUKDGUHCXKMUFXGXHWCAYBYCUUNABDEFGHI
      JKLMOPQWQWRABDEFGHIJKLMOPQWSABDEFGHIJKLMOPQWTABCDEFGHIJKLMNOPQRSTUAUBUCUD
      UEXAABDEFGHIJKLMOPQRSUAXBACXLXKMUEAXMXOXPXLXKMUFXQXRXSXNLMNXIXKXTRTWAUSUT
      BDGOCJKLMNPRSTUAUBUDXCXEXF $.

    $d z A $.  $d z C $.  $d z .\/ $.  $d z .<_ $.  $d z P $.  $d z S $.
    $d z W $.
    $( Lemma for ~ 4atexlem7 .  Show that when ` C =/= S ` , ` C ` satisfies
       the existence condition of the consequent.  (Contributed by NM,
       25-Nov-2012.) $)
    4atexlemex2 $p |- ( ( ph /\ C =/= S )
        -> E. z e. A ( -. z .<_ W /\ ( P .\/ z ) = ( S .\/ z ) ) ) $=
      ( wne wa wcel wbr wn co wceq cv wrex 4atexlemc 4atexlemnclw 4atexlemntlpq
      adantr id eqtr3id adantl clat cbs 4atexlemkl 4atexlemqtb 4atexlempsb eqid
      cfv latmle1 syl3anc chlt 4atexlemk 4atexlemq hlatjcom breqtrd eqbrtrrd wi
      4atexlemt clc 4atexlemkc 4atexlemp 4atexlempnq cvlatexch2 mpd ex necon3bd
      syl131anc simpr latmle2 eqbrtrid 4atexlems 4atexlempns cvlsupr2 mpbir3and
      w3a wb breq1 notbid oveq2 eqeq12d anbi12d rspcev syl12anc ) ADHUGZUHZDCUI
      ZDQNUJZUKZEDLULZHDLULZUMZBUNZQNUJZUKZEXMLULZHXMLULZUMZUHZBCUOAXGXEACDEFGH
      IJKLMNOPQRSTUAUBUCUDUEUFUPZUSAXIXEACDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUQUSXFXL
      DEUGZXEDEHLULZNUJZAYAXEAIEFLULNUJZUKYAACEFGHIJKLMNOPQRSTUAUBUCUDUEURAYDDE
      ADEUMZYDAYEUHZEIFLULZNUJZYDYFFILULZYBOULZEYGNYEYJEUMAYEYJDEUFYEUTVAVBAYJY
      GNUJYEAYJYIYGNAMVCUIZYIMVDVIZUIZYBYLUIZYJYINUJACEFGHIJKLMNPQRVEZACEFGHIJK
      LMNPQRTUBVFZACEFGHIJKLMNPQRTUBVGZYLMNOYIYBYLVHZSUAVJVKAMVLUIFCUIZICUIZYIY
      GUMACEFGHIJKLMNPQRVMACEFGHIJKLMNPQRVNZACEFGHIJKLMNPQRVSZCLMFITUBVOVKVPUSV
      QAYHYDVRZYEAMVTUIZECUIZYTYSEFUGUUCACEFGHIJKLMNPQRWAZACEFGHIJKLMNPQRWBZUUB
      UUAACEFGHIJKLMNPQRWCCEIFLMNSTUBWDWHUSWEWFWGWEUSAXEWIAYCXEADYJYBNUFAYKYMYN
      YJYBNUJYOYPYQYLMNOYIYBYRSUAWJVKWKUSAXLYAXEYCWPWQZXEAUUDUUEHCUIXGEHUGUUHUU
      FUUGACEFGHIJKLMNPQRWLXTACEFGHIJKLMNPQRSTUBWMCEHDLMNUBSTWNWHUSWOXSXIXLUHBD
      CXMDUMZXOXIXRXLUUIXNXHXMDQNWRWSUUIXPXJXQXKXMDELWTXMDHLWTXAXBXCXD $.

    4thatlem0.d $e |- D = ( ( R .\/ T ) ./\ ( P .\/ S ) ) $.
    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 24-Nov-2012.) $)
    4atexlemcnd $p |- ( ph -> C =/= D ) $=
      ( wne wbr wn 4atexlemtlw 4atexlemnclw nbrne2 syl2anc wceq wa co chlt wcel
      4atexlemk 4atexlemq 4atexlemt hlatjcom syl3anc simp221 oveq12d 4atexlemkc
      w3a sylbi clc 4atexlemp 4atexlempnq simp223 cvlsupr6 necomd 4atexlemntlpq
      syl132anc cvlsupr7 eqtr4d breq2d mtbid 2llnma2 eqtr2d adantr clat cbs cfv
      4atexlemkl 4atexlemqtb 4atexlempsb latmle1 eqbrtrid simpr hlatjcl eqbrtrd
      eqid 4atexlemc atbase syl latlem12 syl13anc mpbi2and hlatl eqeltrrd atcmp
      wb cal mpbid ex necon3d mpd ) AICUHZCDUHAIQNUICQNUIUJXLABEFGHIJKLMNOPQRST
      UAUBUCUDUEUKABCEFGHIJKLMNOPQRSTUAUBUCUDUEUFULICQNUMUNACDICACDUOZICUOAXMUP
      ZIFILUQZGILUQZOUQZCAIXQUOXMAXQIFLUQZIGLUQZOUQZIAXOXRXPXSOAMURUSZFBUSZIBUS
      ZXOXRUOABEFGHIJKLMNPQRUTZABEFGHIJKLMNPQRVAZABEFGHIJKLMNPQRVBZBLMFITUBVCVD
      AYAGBUSZYCXPXSUOYDAYAQKUSUPEBUSZEQNUIUJUPYBFQNUIUJUPVHZHBUSZYGGQNUIUJZEGL
      UQFGLUQZUOZVHYCJILUQPILUQUOUPZVHEFUHZHEFLUQZNUIUJUPZVHZYGRYGYKYMYJYNYIYQV
      EVIZYFBLMGITUBVCVDVFAYAYBYGYCFGUHZIYLNUIZUJXTIUOYDYEYSYFAMVJUSZYHYBYGYOYM
      YTABEFGHIJKLMNPQRVGZABEFGHIJKLMNPQRVKZYEYSABEFGHIJKLMNPQRVLZAYRYMRYGYKYMY
      JYNYIYQVMVIZUUBYHYBYGVHYOYMUPVHGFBEFGLMUBTVNVOVQAIYPNUIUUAABEFGHIJKLMNOPQ
      RSTUAUBUCUDUEVPAYPYLINAYPGFLUQZYLAUUBYHYBYGYOYMYPUUGUOUUCUUDYEYSUUEUUFBEF
      GLMUBTVRVQAYAYBYGYLUUGUOYDYEYSBLMFGTUBVCVDVSVTWABFGILMNOSTUAUBWBVQWCZWDXN
      CXQNUIZCXQUOZXNCXONUIZCXPNUIZUUIAUUKXMACXOEHLUQZOUQZXONUFAMWEUSZXOMWFWGZU
      SZUUMUUPUSZUUNXONUIABEFGHIJKLMNPQRWHZABEFGHIJKLMNPQRTUBWIZABEFGHIJKLMNPQR
      TUBWJZUUPMNOXOUUMUUPWPZSUAWKVDWLWDXNCDXPNAXMWMADXPNUIXMADXPUUMOUQZXPNUGAU
      UOXPUUPUSZUURUVCXPNUIUUSAYAYGYCUVDYDYSYFBUUPLMGIUVBTUBWNVDZUVAUUPMNOXPUUM
      UVBSUAWKVDWLWDWOAUUKUULUPUUIXFZXMAUUOCUUPUSZUUQUVDUVFUUSACBUSZUVGABCEFGHI
      JKLMNOPQRSTUAUBUCUDUEUFWQZBUUPCMUVBUBWRWSUUTUVEUUPMNOCXOXPUVBSUAWTXAWDXBA
      UUIUUJXFZXMAMXGUSZUVHXQBUSUVJAYAUVKYDMXCWSUVIAIXQBUUHYFXDBCXQMNSUBXEVDWDX
      HVSXIXJXK $.

    $d z D $.
    $( Lemma for ~ 4atexlem7 .  Show that when ` C = S ` , ` D ` satisfies the
       existence condition of the consequent.  (Contributed by NM,
       26-Nov-2012.) $)
    4atexlemex4 $p |- ( ( ph /\ C = S )
        -> E. z e. A ( -. z .<_ W /\ ( P .\/ z ) = ( S .\/ z ) ) ) $=
      ( wceq cv wbr wn co wrex chlt wcel w3a 4atexlemswapqr 4atexlemcnd pm13.18
      wa wne wi necomd expcom syl biid eqid 4atexlemex2 syl6an imp ) ADIUIZBUJZ
      ROUKULFVMMUMIVMMUMUIVABCUNZANUOUPRLUPVAFCUPFROUKULVAHCUPHROUKULVAUQICUPGC
      UPGROUKULFGMUMHGMUMUIUQJCUPFHMUMZRPUMZJMUMQJMUMUIVAUQFHVBIVOOUKULVAUQZVLE
      IVBZVNACFGHIJKLMNOPQRSTUAUCUEURADEVBZVLVRVCACDEFGHIJKLMNOPQRSTUAUBUCUDUEU
      FUGUHUSVLVSVRVLVSVAIEDIEUTVDVEVFVQBCEFHGIJVPLMNOPQRVQVGTUAUBUCUDVPVHUFUHV
      IVJVK $.
  $}

  ${
    $d t z A $.  $d t H $.  $d t z .\/ $.  $d t K $.  $d t z .<_ $.
    $d t z ./\ $.  $d t z P $.  $d t z Q $.  $d t z R $.  $d t z S $.
    $d t z W $.
    4thatleme.l $e |- .<_ = ( le ` K ) $.
    4thatleme.j $e |- .\/ = ( join ` K ) $.
    4thatleme.m $e |- ./\ = ( meet ` K ) $.
    4thatleme.a $e |- A = ( Atoms ` K ) $.
    4thatleme.h $e |- H = ( LHyp ` K ) $.
    $( Lemma for ~ 4atexlem7 .  (Contributed by NM, 25-Nov-2012.) $)
    4atexlemex6 $p |- ( ( ( ( K e. HL /\ W e. H )
                /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
            /\ ( ( R e. A /\ -. R .<_ W ) /\ S e. A )
            /\ ( ( P .\/ R ) = ( Q .\/ R )
                /\ P =/= Q /\ -. S .<_ ( P .\/ Q ) ) )
        -> E. z e. A ( -. z .<_ W /\ ( P .\/ z ) = ( S .\/ z ) ) ) $=
      ( wcel wa co vt chlt wbr wn w3a wceq wne cv simp11l simp11 simp12 simp13l
      wrex simp32 lhpat syl112anc simp2r simp12l simp33 atnlej1 hlsupr2 syl3anc
      syl131anc necomd simp111 simp112 simp113 simp12r simp2ll 3ad2ant1 simp2lr
      simp131 3jca simp132 simp133 biid eqid 4atexlemex4 4atexlemex2 pm2.61dane
      3simpc syl332anc rexlimdv3a mpd ) IUBRZLGRZSZCBRZCLJUCUDZSZDBRZDLJUCUDZSZ
      UEZEBRZELJUCUDZSZFBRZSZCEHTDEHTUFZCDUGZFCDHTZJUCUDZUEZUEZXBLKTZUAUHZHTCFH
      TZLKTZXGHTUFZUABUMZAUHZLJUCUDCXLHTFXLHTUFSABUMZXEWEXFBRZXIBRZXKWEWFWJWMWS
      XDUIZXEWGWJWKXAXNWGWJWMWSXDUJZWGWJWMWSXDUKZWKWLWGWJWSXDULZWNWSWTXAXCUNBCD
      GHIJKLMNOPQUOUPXEWGWJWRCFUGXOXQXRWNWQWRXDUQZXEFCXEWEWRWHWKXCFCUGXPXTWHWIW
      GWMWSXDURXSWNWSWTXAXCUSBFCDHIJMNPUTVCVDBCFGHIJKLMNOPQUOUPBXFXIHIUANPVAVBX
      EXJXMUABXEXGBRZXJUEZWGWJWMWRWOWPWTUEZYAXJSZXAXCXMWGWJWMWSXDYAXJVEWGWJWMWS
      XDYAXJVFWGWJWMWSXDYAXJVGWQWRWNXDYAXJVHYBWOWPWTXEYAWOXJWOWPWRWNXDVIVJXEYAW
      PXJWOWPWRWNXDVKVJWTXAXCWNWSYAXJVLVMXEYAXJWAWTXAXCWNWSYAXJVNWTXAXCWNWSYAXJ
      VOWNWRYCYDUEXAXCSUEZXMDXGHTXHKTZFYEABYFEXGHTXHKTZCDEFXGXFGHIJKXILYEVPZMNO
      PQXFVQZXIVQZYFVQZYGVQVRYEABYFCDEFXGXFGHIJKXILYHMNOPQYIYJYKVSVTWBWCWD $.
  $}

  ${
    $d r z A $.  $d r H $.  $d r z .\/ $.  $d r z K $.  $d r z .<_ $.
    $d r z P $.  $d r z Q $.  $d r z S $.  $d r z W $.
    4that.l $e |- .<_ = ( le ` K ) $.
    4that.j $e |- .\/ = ( join ` K ) $.
    4that.a $e |- A = ( Atoms ` K ) $.
    4that.h $e |- H = ( LHyp ` K ) $.
    $( Whenever there are at least 4 atoms under ` P .\/ Q ` (specifically,
       ` P ` , ` Q ` , ` r ` , and ` ( P .\/ Q ) ./\ W ` ), there are also at
       least 4 atoms under ` P .\/ S ` .  This proves the statement in Lemma E
       of [Crawley] p. 114, last line, "...p ` \/ ` q/0 and hence p ` \/ ` s/0
       contains at least four atoms..."  Note that by ~ cvlsupr2 , our
       ` ( P .\/ r ) = ( Q .\/ r ) ` is a shorter way to express
       ` r =/= P /\ r =/= Q /\ r .<_ ( P .\/ Q ) ` .  With a longer proof, the
       condition ` -. S .<_ ( P .\/ Q ) ` could be eliminated (see ~ 4atex ),
       although for some purposes this more restricted lemma may be adequate.
       (Contributed by NM, 25-Nov-2012.) $)
    4atexlem7 $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
                /\ S e. A )
            /\ ( P =/= Q /\ -. S .<_ ( P .\/ Q )
                /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
        -> E. z e. A ( -. z .<_ W /\ ( P .\/ z ) = ( S .\/ z ) ) ) $=
      ( wcel wa wbr wn co chlt w3a wne cv wceq wrex wi simp11l simp1r1 3ad2ant1
      simp1r2 simp3l jca simp1r3 simp3r simp12 simp13 cmee cfv eqid 4atexlemex6
      simp2 syl323anc rexlimdv3a 3exp 3impd 3impia ) HUAPJFPQZCBPCJIRSQZDBPDJIR
      SQZEBPZUBZCDUCZECDGTIRSZKUDZJIRSZCVOGTDVOGTUEZQZKBUFZUBAUDZJIRSCVTGTEVTGT
      UEQABUFZVHVLQZVMVNVSWAWBVMVNVSWAUGWBVMVNUBZVRWAKBWCVOBPZVRUBZVHVIVJWDVPQV
      KVQVMVNWAVHVLVMVNWDVRUHWCWDVIVRVIVJVKVHVMVNUIUJWCWDVJVRVIVJVKVHVMVNUKUJWE
      WDVPWCWDVRVBWCWDVPVQULUMWCWDVKVRVIVJVKVHVMVNUNUJWCWDVPVQUOWBVMVNWDVRUPWBV
      MVNWDVRUQABCDVOEFGHIHURUSZJLMWFUTNOVAVCVDVEVFVG $.

    $( Whenever there are at least 4 atoms under ` P .\/ Q ` (specifically,
       ` P ` , ` Q ` , ` r ` , and ` ( P .\/ Q ) ./\ W ` ), there are also at
       least 4 atoms under ` P .\/ S ` .  This proves the statement in Lemma E
       of [Crawley] p. 114, last line, "...p ` \/ ` q/0 and hence p ` \/ ` s/0
       contains at least four atoms..."  Note that by ~ cvlsupr2 , our
       ` ( P .\/ r ) = ( Q .\/ r ) ` is a shorter way to express
       ` r =/= P /\ r =/= Q /\ r .<_ ( P .\/ Q ) ` .  (Contributed by NM,
       27-May-2013.) $)
    4atex $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
                /\ S e. A )
            /\ ( P =/= Q
                /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
        -> E. z e. A ( -. z .<_ W /\ ( P .\/ z ) = ( S .\/ z ) ) ) $=
      ( wcel wa wbr co wceq chlt wn w3a wne wrex simp21l ad2antrr simp21r oveq1
      eqcoms adantl breq1 notbid oveq2 eqeq12d anbi12d rspcev syl12anc cbvrexvw
      cv simpl3r eqeq2d anbi2d rexbidv bitr4id simp22l ad3antrrr simp22r simp3l
      wb mpbid necomd simpr simpllr clc wi simp1l hlcvl simp23 simplr syl131anc
      syl cvlatexch1 mpd cvlsupr2 mpbir3and pm2.61dane simpl1 simpl3l 4atexlem7
      simpl2 syl113anc pm2.61dan ) HUAPZJFPZQZCBPZCJIRZUBZQZDBPZDJIRZUBZQZEBPZU
      CZCDUDZKUTZJIRZUBZCXHGSZDXHGSZTZQZKBUEZQZUCZECDGSZIRZAUTZJIRZUBZCXTGSZEXT
      GSZTZQZABUEZXQXSQZYGECYHECTZQWQWSCCGSZECGSZTZYGXQWQXSYIWQWSXDXEWPXPUFZUGX
      QWSXSYIWQWSXDXEWPXPUHUGYIYLYHYLCECECGUIUJUKYFWSYLQACBXTCTZYBWSYEYLYNYAWRX
      TCJIULUMYNYCYJYDYKXTCCGUNXTCEGUNUOUPUQURYHECUDZQZYGEDYPEDTZQXOYGYHXOYOYQX
      GXOWPXFXSVAUGYQXOYGVJYPYQXOYBYCDXTGSZTZQZABUEYGXNYTKABXHXTTZXJYBXMYSUUAXI
      YAXHXTJIULUMUUAXKYCXLYRXHXTCGUNXHXTDGUNUOUPUSYQYFYTABYQYEYSYBYQYDYRYCEDXT
      GUIVBVCVDVEUKVKYPEDUDZQZXAXCXREDGSZTZYGXQXAXSYOUUBXAXCWTXEWPXPVFVGZXQXCXS
      YOUUBXAXCWTXEWPXPVHVGUUCUUEDCUDZDEUDZDCEGSIRZXQUUGXSYOUUBXQCDWPXFXGXOVIVL
      VGUUCEDYPUUBVMVLUUCXSUUIXQXSYOUUBVNUUCHVOPZXEXAWQYOXSUUIVPXQUUJXSYOUUBXQW
      NUUJWNWOXFXPVQHVRWBVGZXQXEXSYOUUBWPWTXDXEXPVSVGZUUFXQWQXSYOUUBYMVGZYHYOUU
      BVTZBEDCGHILMNWCWAWDUUCUUJWQXEXACEUDUUEUUGUUHUUIUCVJUUKUUMUULUUFUUCECUUNV
      LBCEDGHINLMWEWAWFYFXCUUEQADBXTDTZYBXCYEUUEUUOYAXBXTDJIULUMUUOYCXRYDUUDXTD
      CGUNXTDEGUNUOUPUQURWGWGXQXSUBZQWPXFXGUUPXOYGWPXFXPUUPWHWPXFXPUUPWKXGXOWPX
      FUUPWIXQUUPVMXGXOWPXFUUPVAABCDEFGHIJKLMNOWJWLWM $.

    $d y A $.  $d y H $.  $d y .\/ $.  $d y K $.  $d y .<_ $.  $d y P $.
    $d y Q $.  $d y S $.  $d r y z T $.  $d y W $.
    $( More general version of ~ 4atex for a line ` S .\/ T ` not necessarily
       connected to ` P .\/ Q ` .  (Contributed by NM, 27-May-2013.) $)
    4atex2 $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
                /\ ( S e. A /\ -. S .<_ W ) )
            /\ ( P =/= Q /\ T e. A
                /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
        -> E. z e. A ( -. z .<_ W /\ ( S .\/ z ) = ( T .\/ z ) ) ) $=
      ( vy wcel wa co chlt wbr wn w3a wne wceq wrex oveq1 eqeq1d anbi2d rexbidv
      simpl1 simpl23 simpl21 simpl32 simpr simpl22 simp23l adantr simpl31 4atex
      cv simpl33 syl132anc eqcom anbi2i rexbii sylib simp1 simp21 simp22 simp32
      simp31 simp33 pm2.61ne ) IUARKGRSZCBRCKJUBUCSZDBRDKJUBUCSZEBRZEKJUBUCZSZU
      DZCDUEZFBRZLVBZKJUBUCCWEHTDWEHTUFSLBUGZUDZUDZAVBZKJUBUCZEWIHTZFWIHTZUFZSZ
      ABUGZWJCWIHTZWLUFZSZABUGZECECUFZWNWRABWTWMWQWJWTWKWPWLECWIHUHUIUJUKWHECUE
      ZSZVPWAVQWDXAQVBZKJUBUCZEXCHTZCXCHTZUFZSZQBUGZWOVPWBWGXAULZVQVRWAVPWGXAUM
      VQVRWAVPWGXAUNZWCWDWFVPWBXAUOWHXAUPXBXDXFXEUFZSZQBUGZXIXBVPVQVRVSWCWFXNXJ
      XKVQVRWAVPWGXAUQWHVSXAVSVTVQVRVPWGURUSWCWDWFVPWBXAUTWCWDWFVPWBXAVCQBCDEGH
      IJKLMNOPVAVDXMXHQBXLXGXDXFXEVEVFVGVHABECFGHIJKQMNOPVAVDWHVPVQVRWDWCWFWSVP
      WBWGVIVPVQVRWAWGVJVPVQVRWAWGVKVPWBWCWDWFVLVPWBWCWDWFVMVPWBWCWDWFVNABCDFGH
      IJKLMNOPVAVDVO $.

    $( Same as ~ 4atex2 except that ` S ` is zero.  (Contributed by NM,
       27-May-2013.)  (New usage is discouraged.) $)
    4atex2-0aOLDN $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
                /\ S = ( 0. ` K ) )
            /\ ( P =/= Q /\ ( T e. A /\ -. T .<_ W )
                /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
        -> E. z e. A ( -. z .<_ W /\ ( S .\/ z ) = ( T .\/ z ) ) ) $=
      ( wcel wa wceq co chlt wbr wn cp0 cfv w3a wne cv wrex simp32l simp32r col
      cbs simp1l hlol syl eqid atbase olj02 syl2anc simp23 oveq1d 3eqtr4d breq1
      hlatjidm notbid oveq2 eqeq12d anbi12d rspcev syl12anc ) IUAQZKGQZRZCBQCKJ
      UBUCRZDBQDKJUBUCRZEIUDUEZSZUFZCDUGZFBQZFKJUBZUCZRLUHZKJUBUCCWDHTDWDHTSRLB
      UIZUFZUFZWAWCEFHTZFFHTZSZAUHZKJUBZUCZEWKHTZFWKHTZSZRZABUIWAWCVTWEVNVSUJZW
      AWCVTWEVNVSUKWGVQFHTZFWHWIWGIULQZFIUMUEZQZWSFSWGVLWTVLVMVSWFUNZIUOUPWGWAX
      BWRBXAFIXAUQZOURUPXAHIFVQXDNVQUQUSUTWGEVQFHVNVOVPVRWFVAVBWGVLWAWIFSXCWRBH
      IFNOVEUTVCWQWCWJRAFBWKFSZWMWCWPWJXEWLWBWKFKJVDVFXEWNWHWOWIWKFEHVGWKFFHVGV
      HVIVJVK $.

    $( Same as ~ 4atex2 except that ` T ` is zero.  (Contributed by NM,
       27-May-2013.)  (New usage is discouraged.) $)
    4atex2-0bOLDN $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
                /\ ( S e. A /\ -. S .<_ W ) )
            /\ ( P =/= Q /\ T = ( 0. ` K )
                /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
        -> E. z e. A ( -. z .<_ W /\ ( S .\/ z ) = ( T .\/ z ) ) ) $=
      ( wcel wa wbr wn chlt w3a wne cp0 cfv wceq cv co wrex simp1 simp21 simp22
      simp32 simp31 simp23 simp33 4atex2-0aOLDN syl133anc anbi2i rexbii sylibr
      eqcom ) IUAQKGQRZCBQCKJSTRZDBQDKJSTRZEBQEKJSTRZUBZCDUCZFIUDUEUFZLUGZKJSTC
      VJHUHDVJHUHUFRLBUIZUBZUBZAUGZKJSTZFVNHUHZEVNHUHZUFZRZABUIZVOVQVPUFZRZABUI
      VMVCVDVEVIVHVFVKVTVCVGVLUJVCVDVEVFVLUKVCVDVEVFVLULVCVGVHVIVKUMVCVGVHVIVKU
      NVCVDVEVFVLUOVCVGVHVIVKUPABCDFEGHIJKLMNOPUQURWBVSABWAVRVOVQVPVBUSUTVA $.

    $d z H $.
    $( Same as ~ 4atex2 except that ` S ` and ` T ` are zero.  TODO: do we need
       this one or ~ 4atex2-0aOLDN or ~ 4atex2-0bOLDN ?  (Contributed by NM,
       27-May-2013.)  (New usage is discouraged.) $)
    4atex2-0cOLDN $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
                /\ S = ( 0. ` K ) )
            /\ ( P =/= Q /\ T = ( 0. ` K )
                /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
        -> E. z e. A ( -. z .<_ W /\ ( S .\/ z ) = ( T .\/ z ) ) ) $=
      ( wcel wa wceq co chlt wbr wn cp0 cfv w3a wne wrex simp21l simp21r simp23
      oveq1d simp32 eqtr4d breq1 notbid oveq2 eqeq12d anbi12d rspcev syl12anc
      cv ) IUAQKGQRZCBQZCKJUBZUCZRZDBQDKJUBUCRZEIUDUEZSZUFZCDUGZFVISZLVBZKJUBUC
      CVNHTDVNHTSRLBUHZUFZUFZVDVFECHTZFCHTZSZAVBZKJUBZUCZEWAHTZFWAHTZSZRZABUHVD
      VFVHVJVCVPUIVDVFVHVJVCVPUJVQVRVICHTVSVQEVICHVCVGVHVJVPUKULVQFVICHVCVKVLVM
      VOUMULUNWGVFVTRACBWACSZWCVFWFVTWHWBVEWACKJUOUPWHWDVRWEVSWACEHUQWACFHUQURU
      SUTVA $.

    $( More general version of ~ 4atex for a line ` S .\/ T ` not necessarily
       connected to ` P .\/ Q ` .  (Contributed by NM, 29-May-2013.) $)
    4atex3 $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
                /\ ( S e. A /\ -. S .<_ W ) )
            /\ ( P =/= Q /\ ( T e. A /\ S =/= T )
                /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
    -> E. z e. A ( -. z .<_ W
        /\ ( z =/= S /\ z =/= T /\ z .<_ ( S .\/ T ) ) ) ) $=
      ( wcel wa wbr wn chlt w3a wne cv co wceq wrex simp1 simp31 simp32l simp33
      simp2 4atex2 syl113anc clc simp1l hlcvl syl adantr simp23l simpr cvlsupr2
      wb simp32r syl131anc anbi2d rexbidva mpbid ) IUAQZKGQZRZCBQCKJSTRZDBQDKJS
      TRZEBQZEKJSTZRUBZCDUCZFBQZEFUCZRZLUDZKJSTCWAHUEDWAHUEUFRLBUGZUBZUBZAUDZKJ
      STZEWEHUEFWEHUEUFZRZABUGZWFWEEUCWEFUCWEEFHUEJSUBZRZABUGWDVKVPVQVRWBWIVKVP
      WCUHVKVPWCULVKVPVQVTWBUIVRVSVQWBVKVPUJZVKVPVQVTWBUKABCDEFGHIJKLMNOPUMUNWD
      WHWKABWDWEBQZRZWGWJWFWNIUOQZVNVRWMVSWGWJVCWDWOWMWDVIWOVIVJVPWCUPIUQURUSWD
      VNWMVNVOVLVMVKWCUTUSWDVRWMWLUSWDWMVAWDVSWMVRVSVQWBVKVPVDUSBEFWEHIJOMNVBVE
      VFVGVH $.
  $}

  ${
    $d f k x y B $.  $d f x y F $.  $d f k x y K $.  $d f k .<_ $.
    lautset.b $e |- B = ( Base ` K ) $.
    lautset.l $e |- .<_ = ( le ` K ) $.
    lautset.i $e |- I = ( LAut ` K ) $.
    $( The set of lattice automorphisms.  (Contributed by NM, 11-May-2012.) $)
    lautset $p |- ( K e. A -> I = { f | ( f : B -1-1-onto->
      B /\ A. x e. B A. y e. B ( x .<_ y
 <-> ( f ` x ) .<_ ( f ` y ) ) ) } ) $=
      ( vk cvv cv wf1o wbr cfv wral cab cbs wcel wb wa wceq claut fveq2 eqtr4di
      elex cple f1oeq2d f1oeq3 syl bitrd breqd bibi12d raleqbidv anbi12d abbidv
      df-laut wf cmap fvexi mapval ovex eqeltrri f1of ss2abi ssexi simpl syl5eq
      co fvmpt ) GCUAGMUAZFDDENZOZANZBNZHPZVPVNQZVQVNQZHPZUBZBDRZADRZUCZESZUDGC
      UHVMFGUEQWFKLGLNZTQZWHVNOZVPVQWGUIQZPZVSVTWJPZUBZBWHRZAWHRZUCZESWFMUEWGGU
      DZWPWEEWQWIVOWOWDWQWIDWHVNOZVOWQWHDWHVNWQWHGTQDWGGTUFIUGZUJWQWHDUDWRVOUBW
      SWHDDVNUKULUMWQWNWCAWHDWSWQWMWBBWHDWSWQWKVRWLWAWQWJHVPVQWQWJGUIQHWGGUIUFJ
      UGZUNWQWJHVSVTWTUNUOUPUPUQURABELUSWFVOESZXADDVNUTZESZDDVAVKXCMDDEDGTIVBZX
      DVCDDVAVDVEVOXBEDDVNVFVGVHWEVOEVOWDVIVGVHVLVJUL $.

    $( The predicate "is a lattice automorphism".  (Contributed by NM,
       11-May-2012.) $)
    islaut $p |- ( K e. A -> ( F e. I <-> ( F : B -1-1-onto->
      B /\ A. x e. B A. y e. B ( x .<_ y
    <-> ( F ` x ) .<_ ( F ` y ) ) ) ) ) $=
      ( vf wcel cv wf1o wbr cfv wb wral cvv wa cab lautset eleq2d wf f1of fvexi
      cbs fex sylancl adantr f1oeq1 fveq1 breq12d bibi2d 2ralbidv anbi12d elab3
      wceq bitrdi ) GCMZEFMEDDLNZOZANZBNZHPZVDVBQZVEVBQZHPZRZBDSADSZUAZLUBZMDDE
      OZVFVDEQZVEEQZHPZRZBDSADSZUAZVAFVMEABCDLFGHIJKUCUDVLVTLETVNETMZVSVNDDEUED
      TMWADDEUFDGUHIUGDDTEUIUJUKVBEUSZVCVNVKVSDDVBEULWBVJVRABDDWBVIVQVFWBVGVOVH
      VPHVDVBEUMVEVBEUMUNUOUPUQURUT $.

    $d x y .<_ $.  $d x y X $.  $d y Y $.
    $( Less-than or equal property of a lattice automorphism.  (Contributed by
       NM, 19-May-2012.) $)
    lautle $p |- ( ( ( K e. V /\ F e. I ) /\ ( X e. B /\ Y e. B ) )
       -> ( X .<_ Y <-> ( F ` X ) .<_ ( F ` Y ) ) ) $=
      ( vx vy wcel wa cv wbr cfv wb wral wf1o islaut simplbda wceq breq1 breq1d
      fveq2 bibi12d breq2 breq2d rspc2v mpan9 ) DFNZBCNZOLPZMPZEQZUOBRZUPBRZEQZ
      SZMATLATZGANHANOGHEQZGBRZHBRZEQZSZUMUNAABUAVBLMFABCDEIJKUBUCVAVGGUPEQZVDU
      SEQZSLMGHAAUOGUDZUQVHUTVIUOGUPEUEVJURVDUSEUOGBUGUFUHUPHUDZVHVCVIVFUPHGEUI
      VKUSVEVDEUPHBUGUJUHUKUL $.
  $}

  ${
    $d x y B $.  $d x y F $.  $d x y K $.
    laut1o.b $e |- B = ( Base ` K ) $.
    laut1o.i $e |- I = ( LAut ` K ) $.
    $( A lattice automorphism is one-to-one and onto.  (Contributed by NM,
       19-May-2012.) $)
    laut1o $p |- ( ( K e. A /\ F e. I ) -> F : B -1-1-onto-> B ) $=
      ( vx vy wcel wf1o cv cple cfv wbr wb wral eqid islaut simprbda ) EAJCDJBB
      CKHLZILZEMNZOUACNUBCNUCOPIBQHBQHIABCDEUCFUCRGST $.

    $( One-to-one property of a lattice automorphism.  (Contributed by NM,
       20-May-2012.) $)
    laut11 $p |- ( ( ( K e. V /\ F e. I ) /\ ( X e. B /\ Y e. B ) )
       -> ( ( F ` X ) = ( F ` Y ) <-> X = Y ) ) $=
      ( wcel wa wf1 cfv wceq wb wf1o laut1o f1of1 syl f1fveq sylan ) DEJBCJKZAA
      BLZFAJGAJKFBMGBMNFGNOUBAABPUCEABCDHIQAABRSAAFGBTUA $.

    $( A lattice automorphism value belongs to the base set.  (Contributed by
       NM, 20-May-2012.) $)
    lautcl $p |- ( ( ( K e. V /\ F e. I ) /\ X e. B ) -> ( F ` X ) e. B ) $=
      ( wcel wa wf1o wf laut1o f1of syl ffvelrnda ) DEIBCIJZAAFBQAABKAABLEABCDG
      HMAABNOP $.

    $( Reverse closure of a lattice automorphism.  (Contributed by NM,
       25-May-2012.)  (New usage is discouraged.) $)
    lautcnvclN $p |- ( ( ( K e. V /\ F e. I ) /\ X e. B )
              -> ( `' F ` X ) e. B ) $=
      ( wcel wa wf1o ccnv cfv laut1o f1ocnvdm sylan ) DEIBCIJAABKFAIFBLMAIEABCD
      GHNAAFBOP $.
  $}

  ${
    lautcnvle.b $e |- B = ( Base ` K ) $.
    lautcnvle.l $e |- .<_ = ( le ` K ) $.
    lautcnvle.i $e |- I = ( LAut ` K ) $.
    $( Less-than or equal property of lattice automorphism converse.
       (Contributed by NM, 19-May-2012.) $)
    lautcnvle $p |- ( ( ( K e. V /\ F e. I ) /\ ( X e. B /\ Y e. B ) )
       -> ( X .<_ Y <-> ( `' F ` X ) .<_ ( `' F ` Y ) ) ) $=
      ( wcel wa ccnv cfv wbr f1ocnvdm syl2anc wceq f1ocnvfv2 wf1o laut1o adantr
      wb simpl simprl simprr lautle syl12anc breq12d bitr2d ) DFLBCLMZGALZHALZM
      ZMZGBNZOZHUQOZEPZURBOZUSBOZEPZGHEPUPULURALZUSALZUTVCUDULUOUEUPAABUAZUMVDU
      LVFUOFABCDIKUBUCZULUMUNUFZAAGBQRUPVFUNVEVGULUMUNUGZAAHBQRABCDEFURUSIJKUHU
      IUPVAGVBHEUPVFUMVAGSVGVHAAGBTRUPVFUNVBHSVGVIAAHBTRUJUK $.
  $}

  ${
    $d x y F $.  $d x y I $.  $d x y K $.  $d x y V $.
    lautcnv.i $e |- I = ( LAut ` K ) $.
    $( The converse of a lattice automorphism is a lattice automorphism.
       (Contributed by NM, 10-May-2013.) $)
    lautcnv $p |- ( ( K e. V /\ F e. I ) -> `' F e. I ) $=
      ( vx vy wcel wa ccnv cbs cfv wf1o cv cple wbr wb wral eqid laut1o f1ocnv
      syl lautcnvle ralrimivva islaut adantr mpbir2and ) CDHZABHZIZAJZBHZCKLZUM
      UKMZFNZGNZCOLZPUOUKLUPUKLUQPQZGUMRFUMRZUJUMUMAMUNDUMABCUMSZETUMUMAUAUBUJU
      RFGUMUMUMABCUQDUOUPUTUQSZEUCUDUHULUNUSIQUIFGDUMUKBCUQUTVAEUEUFUG $.
  $}

  ${
    lautlt.b $e |- B = ( Base ` K ) $.
    lautlt.s $e |- .< = ( lt ` K ) $.
    lautlt.i $e |- I = ( LAut ` K ) $.
    $( Less-than property of a lattice automorphism.  (Contributed by NM,
       20-May-2012.) $)
    lautlt $p |- ( ( K e. A /\ ( F e. I /\ X e. B /\ Y e. B ) )
       -> ( X .< Y <-> ( F ` X ) .< ( F ` Y ) ) ) $=
      ( wcel wa cfv wbr wne wb syl22anc wceq pltval w3a cple simpr1 simpr2 eqid
      simpr3 lautle laut11 necon3bid anbi12d 3adant3r1 syl21anc syl3anc 3bitr4d
      simpl bicomd lautcl ) FALZDELZGBLZHBLZUAZMZGHFUBNZOZGHPZMZGDNZHDNZVDOZVHV
      IPZMZGHCOZVHVICOZVCVEVJVFVKVCURUSUTVAVEVJQURVBUOZURUSUTVAUCZURUSUTVAUDZUR
      USUTVAUFZBDEFVDAGHIVDUEZKUGRVCGHVHVIVCVHVISZGHSZVCURUSUTVAVTWAQVOVPVQVRBD
      EFAGHIKUHRUPUIUJURUTVAVMVGQUSABBCFVDGHVSJTUKVCURVHBLZVIBLZVNVLQVOVCURUSUT
      WBVOVPVQBDEFAGIKUQULVCURUSVAWCVOVPVRBDEFAHIKUQULABBCFVDVHVIVSJTUMUN $.
  $}

  ${
    $d w z A $.  $d w z B $.  $d w z F $.  $d w z I $.  $d w z K $.
    $d w z X $.  $d w z Y $.
    lautcvr.b $e |- B = ( Base ` K ) $.
    lautcvr.c $e |- C = ( <o ` K ) $.
    lautcvr.i $e |- I = ( LAut ` K ) $.
    $( Covering property of a lattice automorphism.  (Contributed by NM,
       20-May-2012.) $)
    lautcvr $p |- ( ( K e. A /\ ( F e. I /\ X e. B /\ Y e. B ) )
       -> ( X C Y <-> ( F ` X ) C ( F ` Y ) ) ) $=
      ( vw vz wcel wa cfv wbr lautlt wb anbi12d w3a cplt cv wrex wn eqid simpll
      simplr1 simplr2 simpr syl13anc simplr3 lautcl syl21anc breq2 breq1 rspcev
      wi wceq syl sylbid rexlimdva ccnv wf1o laut1o f1ocnvdm sylancom f1ocnvfv2
      syl2anc breq2d bitr2d breq1d impbid notbid cvrval 3adant3r1 simpr1 simpr2
      ex simpl simpr3 syl3anc 3bitr4d ) FANZDENZGBNZHBNZUAZOZGHFUBPZQZGLUCZWJQZ
      WLHWJQZOZLBUDZUEZOZGDPZHDPZWJQZWSMUCZWJQZXBWTWJQZOZMBUDZUEZOZGHCQZWSWTCQZ
      WIWKXAWQXGABWJDEFGHIWJUFZKRWIWPXFWIWPXFWIWOXFLBWIWLBNZOZWOWSWLDPZWJQZXNWT
      WJQZOZXFXMWMXOWNXPXMWDWEWFXLWMXOSWDWHXLUGZWEWFWGWDXLUHZWEWFWGWDXLUIWIXLUJ
      ZABWJDEFGWLIXKKRUKXMWDWEXLWGWNXPSXRXSXTWEWFWGWDXLULABWJDEFWLHIXKKRUKTXMXN
      BNZXQXFURXMWDWEXLYAXRXSXTBDEFAWLIKUMUNYAXQXFXEXQMXNBXBXNUSXCXOXDXPXBXNWSW
      JUOXBXNWTWJUPTUQVSUTVAVBWIXEWPMBWIXBBNZOZXEGXBDVCPZWJQZYDHWJQZOZWPYCXCYEX
      DYFYCYEWSYDDPZWJQZXCYCWDWEWFYDBNZYEYISWDWHYBUGZWEWFWGWDYBUHZWEWFWGWDYBUIW
      IYBBBDVDZYJYCWDWEYMYKYLABDEFIKVEVIZBBXBDVFVGZABWJDEFGYDIXKKRUKYCYHXBWSWJW
      IYBYMYHXBUSYNBBXBDVHVGZVJVKYCYFYHWTWJQZXDYCWDWEYJWGYFYQSYKYLYOWEWFWGWDYBU
      LABWJDEFYDHIXKKRUKYCYHXBWTWJYPVLVKTYCYJYGWPURYOYJYGWPWOYGLYDBWLYDUSWMYEWN
      YFWLYDGWJUOWLYDHWJUPTUQVSUTVAVBVMVNTWDWFWGXIWRSWELABCWJFGHIXKJVOVPWIWDWSB
      NZWTBNZXJXHSWDWHVTZWIWDWEWFYRYTWDWEWFWGVQZWDWEWFWGVRBDEFAGIKUMUNWIWDWEWGY
      SYTUUAWDWEWFWGWABDEFAHIKUMUNMABCWJFWSWTIXKJVOWBWC $.
  $}

  ${
    lautj.b $e |- B = ( Base ` K ) $.
    lautj.j $e |- .\/ = ( join ` K ) $.
    lautj.i $e |- I = ( LAut ` K ) $.
    $( Meet property of a lattice automorphism.  (Contributed by NM,
       25-May-2012.) $)
    lautj $p |- ( ( K e. Lat /\ ( F e. I /\ X e. B /\ Y e. B ) )
       -> ( F ` ( X .\/ Y ) ) = ( ( F ` X ) .\/ ( F ` Y ) ) ) $=
      ( clat wcel wa cfv 3adant3r1 syl2anc wbr wb lautle syl12anc w3a cple eqid
      co simpl simpr1 latjcl lautcl simpr2 simpr3 syl3anc ccnv wf1o wceq laut1o
      jca 3ad2antr1 f1ocnvfv1 latlej1 breqtrrd f1ocnvdm mpbird latlej2 latjle12
      f1ocnvfv2 syl13anc mpbi2and eqbrtrd lautcnvle mpbid latasymd ) EKLZBCLZFA
      LZGALZUAZMZAEEUBNZFGDUDZBNZFBNZGBNZDUDZHVRUCZVLVPUEZVQVLVMMZVSALZVTALZVQV
      LVMWEVLVMVNVOUFUPZVLVNVOWGVMADEFGHIUGOZABCEKVSHJUHPZVQVLWAALZWBALZWCALZWE
      VQWFVNWLWIVLVMVNVOUIZABCEKFHJUHPZVQWFVOWMWIVLVMVNVOUJZABCEKGHJUHPZADEWAWB
      HIUGUKZVQVTWCVRQZVTBULZNZWCXANZVRQZVQXBVSXCVRVQAABUMZWGXBVSUNVLVNVMXEVOKA
      BCEHJUOUQZWJAAVSBURPVQFXCVRQZGXCVRQZVSXCVRQZVQXGWAXCBNZVRQZVQWAWCXJVRVQVL
      WLWMWAWCVRQWEWPWRADEVRWAWBHWDIUSUKVQXEWNXJWCUNXFWSAAWCBVEPZUTVQWFVNXCALZX
      GXKRWIWOVQXEWNXMXFWSAAWCBVAPZABCEVRKFXCHWDJSTVBVQXHWBXJVRQZVQWBWCXJVRVQVL
      WLWMWBWCVRQWEWPWRADEVRWAWBHWDIVCUKXLUTVQWFVOXMXHXORWIWQXNABCEVRKGXCHWDJST
      VBVQVLVNVOXMXGXHMXIRWEWOWQXNADEVRFGXCHWDIVDVFVGVHVQWFWHWNWTXDRWIWKWSABCEV
      RKVTWCHWDJVITVBVQWAVTVRQZWBVTVRQZWCVTVRQZVQFVSVRQZXPVLVNVOXSVMADEVRFGHWDI
      USOVQWFVNWGXSXPRWIWOWJABCEVRKFVSHWDJSTVJVQGVSVRQZXQVLVNVOXTVMADEVRFGHWDIV
      COVQWFVOWGXTXQRWIWQWJABCEVRKGVSHWDJSTVJVQVLWLWMWHXPXQMXRRWEWPWRWKADEVRWAW
      BVTHWDIVDVFVGVK $.
  $}

  ${
    lautm.b $e |- B = ( Base ` K ) $.
    lautm.m $e |- ./\ = ( meet ` K ) $.
    lautm.i $e |- I = ( LAut ` K ) $.
    $( Meet property of a lattice automorphism.  (Contributed by NM,
       19-May-2012.) $)
    lautm $p |- ( ( K e. Lat /\ ( F e. I /\ X e. B /\ Y e. B ) )
       -> ( F ` ( X ./\ Y ) ) = ( ( F ` X ) ./\ ( F ` Y ) ) ) $=
      ( clat wcel wa cfv 3adant3r1 syl2anc wbr wb syl12anc mpbid w3a cple simpl
      co eqid simpr1 latmcl lautcl simpr2 simpr3 syl3anc latmle1 lautle latmle2
      latlem12 syl13anc mpbi2and ccnv wf1o laut1o 3ad2antr1 f1ocnvfv2 lautcnvle
      jca wceq f1ocnvfv1 breqtrd f1ocnvdm eqbrtrrd latasymd ) DKLZBCLZFALZGALZU
      AZMZADDUBNZFGEUDZBNZFBNZGBNZEUDZHVQUEZVKVOUCZVPVKVLMZVRALZVSALZVPVKVLWDVK
      VLVMVNUFVDZVKVMVNWFVLADEFGHIUGOZABCDKVRHJUHPZVPVKVTALZWAALZWBALZWDVPWEVMW
      KWHVKVLVMVNUIZABCDKFHJUHPZVPWEVNWLWHVKVLVMVNUJZABCDKGHJUHPZADEVTWAHIUGUKZ
      VPVSVTVQQZVSWAVQQZVSWBVQQZVPVRFVQQZWSVKVMVNXBVLADVQEFGHWCIULOVPWEWFVMXBWS
      RWHWIWNABCDVQKVRFHWCJUMSTVPVRGVQQZWTVKVMVNXCVLADVQEFGHWCIUNOVPWEWFVNXCWTR
      WHWIWPABCDVQKVRGHWCJUMSTVPVKWGWKWLWSWTMXARWDWJWOWQADVQEVSVTWAHWCIUOUPUQVP
      WBBURZNZBNZWBVSVQVPAABUSZWMXFWBVEVKVMVLXGVNKABCDHJUTVAZWRAAWBBVBPVPXEVRVQ
      QZXFVSVQQZVPXEFVQQZXEGVQQZXIVPXEVTXDNZFVQVPWBVTVQQZXEXMVQQZVPVKWKWLXNWDWO
      WQADVQEVTWAHWCIULUKVPWEWMWKXNXORWHWRWOABCDVQKWBVTHWCJVCSTVPXGVMXMFVEXHWNA
      AFBVFPVGVPXEWAXDNZGVQVPWBWAVQQZXEXPVQQZVPVKWKWLXQWDWOWQADVQEVTWAHWCIUNUKV
      PWEWMWLXQXRRWHWRWQABCDVQKWBWAHWCJVCSTVPXGVNXPGVEXHWPAAGBVFPVGVPVKXEALZVMV
      NXKXLMXIRWDVPXGWMXSXHWRAAWBBVHPZWNWPADVQEXEFGHWCIUOUPUQVPWEXSWFXIXJRWHXTW
      IABCDVQKXEVRHWCJUMSTVIVJ $.
  $}

  ${
    $d p A $.  $d p B $.  $d p F $.  $d p I $.  $d p K $.  $d p X $.
    lauteq.b $e |- B = ( Base ` K ) $.
    lauteq.a $e |- A = ( Atoms ` K ) $.
    lauteq.i $e |- I = ( LAut ` K ) $.
    $( A lattice automorphism argument is equal to its value if all atoms are
       equal to their values.  (Contributed by NM, 24-May-2012.) $)
    lauteq $p |- ( ( ( K e. HL /\ F e. I /\ X e. B )
          /\ A. p e. A ( F ` p ) = p ) -> ( F ` X ) = X ) $=
      ( chlt wcel cfv wceq wral wa wbr wb simpl1 simpl2 cv atbase adantl simpl3
      w3a cple eqid lautle syl22anc breq1 sylan9bb bicomd ralimdva imp syl21anc
      ex lautcl hlateq syl3anc mpbid ) EKLZCDLZFBLZUEZGUAZCMZVENZGAOZPZVEFCMZEU
      FMZQZVEFVKQZRZGAOZVJFNZVDVHVOVDVGVNGAVDVEALZPZVGVNVRVGPVMVLVRVMVFVJVKQZVG
      VLVRVAVBVEBLZVCVMVSRVAVBVCVQSVAVBVCVQTVQVTVDABVEEHIUBUCVAVBVCVQUDBCDEVKKV
      EFHVKUGZJUHUIVFVEVJVKUJUKULUPUMUNVIVAVJBLZVCVOVPRVAVBVCVHSZVIVAVBVCWBWCVA
      VBVCVHTVAVBVCVHUDZBCDEKFHJUQUOWDABEVKVJFGHWAIURUSUT $.
  $}

  ${
    $d x y B $.  $d x y K $.
    idlaut.b $e |- B = ( Base ` K ) $.
    idlaut.i $e |- I = ( LAut ` K ) $.
    $( The identity function is a lattice automorphism.  (Contributed by NM,
       18-May-2012.) $)
    idlaut $p |- ( K e. A -> ( _I |` B ) e. I ) $=
      ( vx vy wcel cid cres wf1o cv cple cfv wbr wb wral a1i fvresi f1oi bicomd
      wa breqan12d rgen2 eqid islaut mpbir2and ) DAIZJBKZCIBBUJLZGMZHMZDNOZPZUL
      UJOZUMUJOZUNPZQZHBRGBRZUKUIBUASUTUIUSGHBBULBIZUMBIZUCURUOVAVBUPULUQUMUNBU
      LTBUMTUDUBUESGHABUJCDUNEUNUFFUGUH $.
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y I $.  $d x y K $.  $d x y V $.
    lautco.i $e |- I = ( LAut ` K ) $.
    $( The composition of two lattice automorphisms is a lattice automorphism.
       (Contributed by NM, 19-Apr-2013.) $)
    lautco $p |- ( ( K e. V /\ F e. I /\ G e. I ) -> ( F o. G ) e. I ) $=
      ( vx vy wcel cfv wf1o cv wbr wb wral eqid laut1o wa lautcl syl21anc f1oco
      w3a cbs 3adant3 3adant2 syl2anc simpl1 simpl2 simpl3 simprl simprr lautle
      ccom cple syl22anc 3adantl2 wf wceq f1of simpl fvco3 syl2an simpr breq12d
      syl 3bitr4d ralrimivva islaut 3ad2ant1 mpbir2and ) DEIZACIZBCIZUBZABUMZCI
      ZDUCJZVQVOKZGLZHLZDUNJZMZVSVOJZVTVOJZWAMZNZHVQOGVQOZVNVQVQAKZVQVQBKZVRVKV
      LWHVMEVQACDVQPZFQUDVKVMWIVLEVQBCDWJFQUEZVQVQVQABUAUFVNWFGHVQVQVNVSVQIZVTV
      QIZRZRZVSBJZVTBJZWAMZWPAJZWQAJZWAMZWBWEWOVKVLWPVQIZWQVQIZWRXANVKVLVMWNUGZ
      VKVLVMWNUHWOVKVMWLXBXDVKVLVMWNUIZVNWLWMUJVQBCDEVSWJFSTWOVKVMWMXCXDXEVNWLW
      MUKVQBCDEVTWJFSTVQACDWAEWPWQWJWAPZFULUOVKVMWNWBWRNVLVQBCDWAEVSVTWJXFFULUP
      WOWCWSWDWTWAVNVQVQBUQZWLWCWSURWNVNWIXGWKVQVQBUSVEZWLWMUTVQVQVSABVAVBVNXGW
      MWDWTURWNXHWLWMVCVQVQVTABVAVBVDVFVGVKVLVPVRWGRNVMGHEVQVOCDWAWJXFFVHVIVJ
      $.
  $}

  ${
    $d f x y F $.  $d f k x K $.  $d f k x y S $.
    pautset.s $e |- S = ( PSubSp ` K ) $.
    pautset.m $e |- M = ( PAut ` K ) $.
    $( The set of projective automorphisms.  (Contributed by NM, 26-Jan-2012.)
       (New usage is discouraged.) $)
    pautsetN $p |- ( K e. B -> M = { f | ( f : S -1-1-onto->
      S /\ A. x e. S A. y e. S ( x C_ y <-> ( f ` x ) C_ ( f ` y ) ) ) } ) $=
      ( vk wcel cvv cv wf1o wss cfv wral cab wceq cpsubsp wb elex fveq2 eqtr4di
      cpautN f1oeq2d f1oeq3 syl bitrd raleqdv raleqbidv anbi12d abbidv df-pautN
      wa wf cmap co fvexi mapval ovex eqeltrri ss2abi ssexi simpl fvmpt syl5eq
      f1of ) FCKFLKZGDDEMZNZAMZBMZOVLVJPVMVJPOUAZBDQZADQZUOZERZSFCUBVIGFUEPVRIJ
      FJMZTPZVTVJNZVNBVTQZAVTQZUOZERVRLUEVSFSZWDVQEWEWAVKWCVPWEWADVTVJNZVKWEVTD
      VTVJWEVTFTPDVSFTUCHUDZUFWEVTDSWFVKUAWGVTDDVJUGUHUIWEWBVOAVTDWGWEVNBVTDWGU
      JUKULUMABEJUNVRVKERZWHDDVJUPZERZDDUQURWJLDDEDFTHUSZWKUTDDUQVAVBVKWIEDDVJV
      HVCVDVQVKEVKVPVEVCVDVFVGUH $.

    $( The predicate "is a projective automorphism".  (Contributed by NM,
       26-Jan-2012.)  (New usage is discouraged.) $)
    ispautN $p |- ( K e. B -> ( F e. M <-> ( F : S -1-1-onto->
      S /\ A. x e. S A. y e. S ( x C_ y <-> ( F ` x ) C_ ( F ` y ) ) ) ) ) $=
      ( vf wcel cv wf1o wss cfv wb wral wa cvv fveq1 pautsetN eleq2d wf cpsubsp
      cab f1of fvexi sylancl adantr wceq f1oeq1 sseq12d bibi2d 2ralbidv anbi12d
      fex elab3 bitrdi ) FCKZEGKEDDJLZMZALZBLZNZVBUTOZVCUTOZNZPZBDQADQZRZJUEZKD
      DEMZVDVBEOZVCEOZNZPZBDQADQZRZUSGVKEABCDJFGHIUAUBVJVRJESVLESKZVQVLDDEUCDSK
      VSDDEUFDFUDHUGDDSEUPUHUIUTEUJZVAVLVIVQDDUTEUKVTVHVPABDDVTVGVOVDVTVEVMVFVN
      VBUTETVCUTETULUMUNUOUQUR $.
  $}

  $c LDil $.
  $c LTrn $.
  $c Dil $.
  $c Trn $.

  $( Extend class notation with set of all lattice dilations. $)
  cldil $a class LDil $.

  $( Extend class notation with set of all lattice translations. $)
  cltrn $a class LTrn $.

  $( Extend class notation with set of all dilations. $)
  cdilN $a class Dil $.

  $( Extend class notation with set of all translations. $)
  ctrnN $a class Trn $.

  ${
    $d k w f x p q $.
    $( Define set of all lattice dilations.  Similar to definition of dilation
       in [Crawley] p. 111.  (Contributed by NM, 11-May-2012.) $)
    df-ldil $a |- LDil = ( k e. _V |-> ( w e. ( LHyp ` k )
       |-> { f e. ( LAut ` k ) | A. x e. ( Base ` k )
               ( x ( le ` k ) w -> ( f ` x ) = x ) } ) ) $.

    $( Define set of all lattice translations.  Similar to definition of
       translation in [Crawley] p. 111.  (Contributed by NM, 11-May-2012.) $)
    df-ltrn $a |- LTrn = ( k e. _V |-> ( w e. ( LHyp ` k )
   |-> { f e. ( ( LDil ` k ) ` w ) |
     A. p e. ( Atoms ` k ) A. q e. ( Atoms ` k )
      ( ( -. p ( le ` k ) w /\ -. q ( le ` k ) w ) ->
           ( ( p ( join ` k ) ( f ` p ) ) ( meet ` k ) w )
        = ( ( q ( join ` k ) ( f ` q ) ) ( meet ` k ) w ) ) } ) ) $.
  $}

  ${
    $d k d f x q r $.
    $( Define set of all dilations.  Definition of dilation in [Crawley]
       p. 111.  (Contributed by NM, 30-Jan-2012.) $)
    df-dilN $a |- Dil = ( k e. _V |-> ( d e. ( Atoms ` k )
       |-> { f e. ( PAut ` k ) | A. x e. ( PSubSp ` k )
               ( x C_ ( ( WAtoms ` k ) ` d ) -> ( f ` x ) = x ) } ) ) $.

    $( Define set of all translations.  Definition of translation in [Crawley]
       p. 111.  (Contributed by NM, 4-Feb-2012.) $)
    df-trnN $a |- Trn = ( k e. _V |-> ( d e. ( Atoms ` k )
   |-> { f e. ( ( Dil ` k ) ` d )
      | A. q e. ( ( WAtoms ` k ) ` d ) A. r e. ( ( WAtoms ` k ) ` d )
           ( ( q ( +P ` k ) ( f ` q ) ) i^i ( ( _|_P ` k ) ` { d } ) )
         = ( ( r ( +P ` k ) ( f ` r ) ) i^i ( ( _|_P ` k ) ` { d } ) ) } ) ) $.
  $}

  ${
    $d k x B $.  $d k w H $.  $d f k I $.  $d f k w x K $.  $d k .<_ $.
    ldilset.b $e |- B = ( Base ` K ) $.
    ldilset.l $e |- .<_ = ( le ` K ) $.
    ldilset.h $e |- H = ( LHyp ` K ) $.
    ldilset.i $e |- I = ( LAut ` K ) $.
    $( The mapping from fiducial co-atom ` w ` to its set of lattice dilations.
       (Contributed by NM, 11-May-2012.) $)
    ldilfset $p |- ( K e. C -> ( LDil ` K )
           = ( w e. H |-> { f e. I | A. x e. B
               ( x .<_ w -> ( f ` x ) = x ) } ) ) $=
      ( vk cfv cv wceq clh fveq2 eqtr4di wcel cvv cldil wbr wral crab cmpt elex
      wi cple claut breqd imbi1d raleqbidv rabeqbidv mpteq12dv df-ldil mptfvmpt
      cbs syl ) HDUAHUBUAHUCOBFAPZBPZIUDZVAEPOVAQZUIZACUEZEGUFZUGQHDUHBNVGRUCBN
      PZROZVAVBVHUJOZUDZVDUIZAVHUSOZUEZEVHUKOZUFZUGFUBHHVHHQZBVIVPFVGVQVIHROFVH
      HRSLTVQVNVFEVOGVQVOHUKOGVHHUKSMTVQVLVEAVMCVQVMHUSOCVHHUSSJTVQVKVCVDVQVJIV
      AVBVQVJHUJOIVHHUJSKTULUMUNUOUPABENUQLURUT $.

    $d w B $.  $d w I $.  $d w .<_ $.  $d f w x W $.
    ldilset.d $e |- D = ( ( LDil ` K ) ` W ) $.
    $( The set of lattice dilations for a fiducial co-atom ` W ` .
       (Contributed by NM, 11-May-2012.) $)
    ldilset $p |- ( ( K e. C /\ W e. H ) -> D = { f e. I | A. x e. B
               ( x .<_ W -> ( f ` x ) = x ) } ) $=
      ( vw wcel cfv cv wbr wa cldil wceq wral crab ldilfset fveq1d breq2 imbi1d
      wi cmpt ralbidv rabbidv eqid claut fvexi rabex fvmpt sylan9eq syl5eq ) HC
      QZJFQZUADJHUBRZRZASZJITZVEESRVEUCZUJZABUDZEGUEZOVAVBVDJPFVEPSZITZVGUJZABU
      DZEGUEZUKZRVJVAJVCVPAPBCEFGHIKLMNUFUGPJVOVJFVPVKJUCZVNVIEGVQVMVHABVQVLVFV
      GVKJVEIUHUIULUMVPUNVIEGGHUONUPUQURUSUT $.

    $d f B $.  $d f x F $.  $d f .<_ $.
    $( The predicate "is a lattice dilation".  Similar to definition of
       dilation in [Crawley] p. 111.  (Contributed by NM, 11-May-2012.) $)
    isldil $p |- ( ( K e. C /\ W e. H ) -> ( F e. D
      <-> ( F e. I /\ A. x e. B ( x .<_ W -> ( F ` x ) = x ) ) ) ) $=
      ( vf wcel wa cv wceq wbr cfv wral crab ldilset eleq2d fveq1 eqeq1d imbi2d
      wi ralbidv elrab bitrdi ) HCQJFQRZEDQEASZJIUAZUOPSZUBZUOTZUJZABUCZPGUDZQE
      GQUPUOEUBZUOTZUJZABUCZRUNDVBEABCDPFGHIJKLMNOUEUFVAVFPEGUQETZUTVEABVGUSVDU
      PVGURVCUOUOUQEUGUHUIUKULUM $.
  $}

  ${
    $d x F $.  $d x K $.  $d x W $.
    ldillaut.h $e |- H = ( LHyp ` K ) $.
    ldillaut.i $e |- I = ( LAut ` K ) $.
    ldillaut.d $e |- D = ( ( LDil ` K ) ` W ) $.
    $( A lattice dilation is an automorphism.  (Contributed by NM,
       20-May-2012.) $)
    ldillaut $p |- ( ( ( K e. V /\ W e. H ) /\ F e. D ) -> F e. I ) $=
      ( vx wcel wa cv cple cfv wbr wceq wi eqid cbs wral isldil simprbda ) EFLG
      CLMBALBDLKNZGEOPZQUEBPUERSKEUAPZUBKUGFABCDEUFGUGTUFTHIJUCUD $.
  $}

  ${
    ldil1o.b $e |- B = ( Base ` K ) $.
    ldil1o.h $e |- H = ( LHyp ` K ) $.
    ldil1o.d $e |- D = ( ( LDil ` K ) ` W ) $.
    $( A lattice dilation is a one-to-one onto function.  (Contributed by NM,
       19-Apr-2013.) $)
    ldil1o $p |- ( ( ( K e. V /\ W e. H ) /\ F e. D )
      -> F : B -1-1-onto-> B ) $=
      ( wcel wa claut cfv wf1o simpll eqid ldillaut laut1o syl2anc ) EFKZGDKZLC
      BKZLUACEMNZKAACOUAUBUCPBCDUDEFGIUDQZJRFACUDEHUEST $.
  $}

  ${
    $d x B $.  $d x F $.  $d x K $.  $d x .<_ $.  $d x W $.  $d x X $.
    ldilval.b $e |- B = ( Base ` K ) $.
    ldilval.l $e |- .<_ = ( le ` K ) $.
    ldilval.h $e |- H = ( LHyp ` K ) $.
    ldilval.d $e |- D = ( ( LDil ` K ) ` W ) $.
    $( Value of a lattice dilation under its co-atom.  (Contributed by NM,
       20-May-2012.) $)
    ldilval $p |- ( ( ( K e. V /\ W e. H ) /\ F e. D
        /\ ( X e. B /\ X .<_ W ) ) -> ( F ` X ) = X ) $=
      ( vx wcel wa wbr cfv wceq wi cv wral claut eqid isldil simpr syl6bi breq1
      fveq2 id eqeq12d imbi12d rspccv impd syl6 3imp ) EGOHDOPZCBOZIAOZIHFQZPZI
      CRZISZUQURNUAZHFQZVDCRZVDSZTZNAUBZVAVCTUQURCEUCRZOZVIPVINAGBCDVJEFHJKLVJU
      DMUEVKVIUFUGVIUSUTVCVHUTVCTNIAVDISZVEUTVGVCVDIHFUHVLVFVBVDIVDICUIVLUJUKUL
      UMUNUOUP $.
  $}

  ${
    $d x B $.  $d x K $.  $d x W $.
    idldil.b $e |- B = ( Base ` K ) $.
    idldil.h $e |- H = ( LHyp ` K ) $.
    idldil.d $e |- D = ( ( LDil ` K ) ` W ) $.
    $( The identity function is a lattice dilation.  (Contributed by NM,
       18-May-2012.) $)
    idldil $p |- ( ( K e. A /\ W e. H ) -> ( _I |` B ) e. D ) $=
      ( vx wcel wa cid cres claut cfv cv cple wbr eqid idlaut adantr fvresi a1d
      wceq wi wral rgen a1i isldil mpbir2and ) EAKZFDKZLZMBNZCKUOEOPZKZJQZFERPZ
      SZURUOPURUEZUFZJBUGZULUQUMABUPEGUPTZUAUBVCUNVBJBURBKVAUTBURUCUDUHUIJBACUO
      DUPEUSFGUSTHVDIUJUK $.
  $}

  ${
    $d x D $.  $d x F $.  $d x H $.  $d x K $.  $d x W $.
    ldilcnv.h $e |- H = ( LHyp ` K ) $.
    ldilcnv.d $e |- D = ( ( LDil ` K ) ` W ) $.
    $( The converse of a lattice dilation is a lattice dilation.  (Contributed
       by NM, 10-May-2013.) $)
    ldilcnv $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. D )
      -> `' F e. D ) $=
      ( vx chlt wcel wa ccnv claut cfv cv cple wbr wceq eqid syl2anc cbs simpll
      wral ldillaut lautcnv w3a ldilval 3expa 3impb fveq2d wf1o ldil1o 3ad2ant1
      wi simp2 f1ocnvfv1 eqtr3d 3exp ralrimiv wb isldil adantr mpbir2and ) DIJZ
      ECJZKZBAJZKZBLZAJZVIDMNZJZHOZEDPNZQZVMVINZVMRZUNZHDUANZUCZVHVDBVKJVLVDVEV
      GUBABCVKDIEFVKSZGUDBVKDIWAUETVHVRHVSVHVMVSJZVOVQVHWBVOUFZVMBNZVINZVPVMWCW
      DVMVIVHWBVOWDVMRZVFVGWBVOKWFVSABCDVNIEVMVSSZVNSZFGUGUHUIUJWCVSVSBUKZWBWEV
      MRVHWBWIVOVSABCDIEWGFGULUMVHWBVOUOVSVSVMBUPTUQURUSVFVJVLVTKUTVGHVSIAVICVK
      DVNEWGWHFWAGVAVBVC $.
  $}

  ${
    $d x D $.  $d x F $.  $d x G $.  $d x H $.  $d x K $.  $d x V $.  $d x W $.
    ldilco.h $e |- H = ( LHyp ` K ) $.
    ldilco.d $e |- D = ( ( LDil ` K ) ` W ) $.
    $( The composition of two lattice automorphisms is a lattice automorphism.
       (Contributed by NM, 19-Apr-2013.) $)
    ldilco $p |- ( ( ( K e. V /\ W e. H )
          /\ F e. D /\ G e. D ) -> ( F o. G ) e. D ) $=
      ( vx wcel wa w3a cfv wceq eqid ldillaut syl2anc ldilval syl112anc ccom cv
      claut cple wbr cbs wral simp1l 3adant3 3adant2 lautco syl3anc wf1o simp11
      wi simp13 ldil1o f1of syl simp2 fvco3 simp3 fveq2d simp12 3eqtrd ralrimiv
      wf 3exp wb isldil 3ad2ant1 mpbir2and ) EFKZGDKZLZBAKZCAKZMZBCUAZAKZVSEUCN
      ZKZJUBZGEUDNZUEZWCVSNZWCOZUOZJEUFNZUGZVRVMBWAKZCWAKZWBVMVNVPVQUHVOVPWKVQA
      BDWAEFGHWAPZIQUIVOVQWLVPACDWAEFGHWMIQUJBCWAEFWMUKULVRWHJWIVRWCWIKZWEWGVRW
      NWEMZWFWCCNZBNZWCBNZWCWOWIWICVGZWNWFWQOWOWIWICUMZWSWOVOVQWTVOVPVQWNWEUNZV
      OVPVQWNWEUPZWIACDEFGWIPZHIUQRWIWICURUSVRWNWEUTZWIWIWCBCVARWOWPWCBWOVOVQWN
      WEWPWCOXAXBXDVRWNWEVBZWIACDEWDFGWCXCWDPZHISTVCWOVOVPWNWEWRWCOXAVOVPVQWNWE
      VDXDXEWIABDEWDFGWCXCXFHISTVEVHVFVOVPVTWBWJLVIVQJWIFAVSDWAEWDGXCXFHWMIVJVK
      VL $.
  $}

  ${
    $d k p q A $.  $d f k D $.  $d k w H $.  $d k .\/ $.  $d f k p q w K $.
    $d k .<_ $.  $d k ./\ $.
    ltrnset.l $e |- .<_ = ( le ` K ) $.
    ltrnset.j $e |- .\/ = ( join ` K ) $.
    ltrnset.m $e |- ./\ = ( meet ` K ) $.
    ltrnset.a $e |- A = ( Atoms ` K ) $.
    ltrnset.h $e |- H = ( LHyp ` K ) $.
    $( The set of all lattice translations for a lattice ` K ` .  (Contributed
       by NM, 11-May-2012.) $)
    ltrnfset $p |- ( K e. C -> ( LTrn ` K ) = ( w e. H
 |-> { f e. ( ( LDil ` K ) ` w ) | A. p e. A A. q e. A ( ( -. p .<_ w /\ -. q
        .<_ w )
   -> ( ( p .\/ ( f ` p ) ) ./\ w )
       = ( ( q .\/ ( f ` q ) ) ./\ w ) ) } ) ) $=
      ( cfv cv co fveq2 vk wcel cvv cltrn wbr wn wa wceq wi wral crab cmpt elex
      cldil clh cple cjn cmee catm eqtr4di fveq1d breqd notbid anbi12d oveq123d
      oveqd eqeq12d imbi12d raleqbidv rabeqbidv mpteq12dv df-ltrn mptfvmpt syl
      eqidd ) GCUBGUCUBGUDQAEKRZARZHUEZUFZJRZVQHUEZUFZUGZVPVPDRZQZFSZVQISZVTVTW
      DQZFSZVQISZUHZUIZJBUJZKBUJZDVQGUNQZQZUKZULUHGCUMAUAWQUOUDAUARZUOQZVPVQWRU
      PQZUEZUFZVTVQWTUEZUFZUGZVPWEWRUQQZSZVQWRURQZSZVTWHXFSZVQXHSZUHZUIZJWRUSQZ
      UJZKXNUJZDVQWRUNQZQZUKZULEUCGGWRGUHZAWSXSEWQXTWSGUOQEWRGUOTPUTXTXPWNDXRWP
      XTVQXQWOWRGUNTVAXTXOWMKXNBXTXNGUSQBWRGUSTOUTZXTXMWLJXNBYAXTXEWCXLWKXTXBVS
      XDWBXTXAVRXTWTHVPVQXTWTGUPQHWRGUPTLUTZVBVCXTXCWAXTWTHVTVQYBVBVCVDXTXIWGXK
      WJXTXGWFVQVQXHIXTXHGURQIWRGURTNUTZXTXFFVPWEXTXFGUQQFWRGUQTMUTZVFXTVQVOZVE
      XTXJWIVQVQXHIYCXTXFFVTWHYDVFYEVEVGVHVIVIVJVKADUAJKVLPVMVN $.

    ltrnset.d $e |- D = ( ( LDil ` K ) ` W ) $.
    ltrnset.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $d w A $.  $d w D $.  $d w .\/ $.  $d w .<_ $.  $d w ./\ $.
    $d f p q w W $.
    $( The set of lattice translations for a fiducial co-atom ` W ` .
       (Contributed by NM, 11-May-2012.) $)
    ltrnset $p |- ( ( K e. B /\ W e. H ) -> T
  = { f e. D | A. p e. A A. q e. A ( ( -. p .<_ W /\ -. q .<_ W )
      -> ( ( p .\/ ( f ` p ) ) ./\ W )
           = ( ( q .\/ ( f ` q ) ) ./\ W ) ) } ) $=
      ( vw wcel cv wbr wn wa cfv co wceq wi wral cldil crab cmpt cltrn ltrnfset
      fveq1d syl5eq fveq2 eqtr4di breq2 notbid anbi12d eqeq12d imbi12d 2ralbidv
      oveq2 rabeqbidv eqid fvexi rabex fvmpt sylan9eq ) HBUBZKFUBDKUAFMUCZUAUCZ
      IUDZUEZLUCZVPIUDZUEZUFZVOVOEUCZUGGUHZVPJUHZVSVSWCUGGUHZVPJUHZUIZUJZLAUKMA
      UKZEVPHULUGZUGZUMZUNZUGZVOKIUDZUEZVSKIUDZUEZUFZWDKJUHZWFKJUHZUIZUJZLAUKMA
      UKZECUMZVNDKHUOUGZUGWOTVNKXGWNUAABEFGHIJLMNOPQRUPUQURUAKWMXFFWNVPKUIZWJXE
      EWLCXHWLKWKUGCVPKWKUSSUTXHWIXDMLAAXHWBWTWHXCXHVRWQWAWSXHVQWPVPKVOIVAVBXHV
      TWRVPKVSIVAVBVCXHWEXAWGXBVPKWDJVGVPKWFJVGVDVEVFVHWNVIXEECCKWKSVJVKVLVM $.

    $d f A $.  $d f p q F $.  $d f .\/ $.  $d f .<_ $.  $d f ./\ $.
    $( The predicate "is a lattice translation".  Similar to definition of
       translation in [Crawley] p. 111.  (Contributed by NM, 11-May-2012.) $)
    isltrn $p |- ( ( K e. B /\ W e. H ) -> ( F e. T
 <-> ( F e. D /\ A. p e. A A. q e. A ( ( -. p .<_ W /\ -. q .<_ W )
    -> ( ( p .\/ ( F ` p ) ) ./\ W )
         = ( ( q .\/ ( F ` q ) ) ./\ W ) ) ) ) ) $=
      ( vf wcel wa cv wbr wn cfv co wceq wral crab ltrnset eleq2d oveq2d oveq1d
      wi fveq1 eqeq12d imbi2d 2ralbidv elrab bitrdi ) HBUBKFUBUCZEDUBEMUDZKIUEU
      FLUDZKIUEUFUCZVDVDUAUDZUGZGUHZKJUHZVEVEVGUGZGUHZKJUHZUIZUPZLAUJMAUJZUACUK
      ZUBECUBVFVDVDEUGZGUHZKJUHZVEVEEUGZGUHZKJUHZUIZUPZLAUJMAUJZUCVCDVQEABCDUAF
      GHIJKLMNOPQRSTULUMVPWFUAECVGEUIZVOWEMLAAWGVNWDVFWGVJVTVMWCWGVIVSKJWGVHVRV
      DGVDVGEUQUNUOWGVLWBKJWGVKWAVEGVEVGEUQUNUOURUSUTVAVB $.

    $( The predicate "is a lattice translation".  Version of ~ isltrn that
       considers only different ` p ` and ` q ` .  TODO:  Can this eliminate
       some separate proofs for the ` p = q ` case?  (Contributed by NM,
       22-Apr-2013.)  (New usage is discouraged.) $)
    isltrn2N $p |- ( ( K e. B /\ W e. H ) -> ( F e. T
 <-> ( F e. D /\ A. p e. A A. q e. A (
    ( -. p .<_ W /\ -. q .<_ W /\ p =/= q )
    -> ( ( p .\/ ( F ` p ) ) ./\ W )
         = ( ( q .\/ ( F ` q ) ) ./\ W ) ) ) ) ) $=
      ( wcel wa cv wbr wn cfv co wceq wi wne isltrn 3simpa imim1i 3anass 3anrot
      wral w3a df-ne anbi1i 3bitr3i imbi1i impexp bitri id fveq2 oveq12d oveq1d
      a1d pm2.61 ax-mp sylbi impbii 2ralbii anbi2i bitrdi ) HBUAKFUAUBEDUAECUAZ
      MUCZKIUDUEZLUCZKIUDUEZUBZVQVQEUFZGUGZKJUGVSVSEUFZGUGZKJUGUHZUIZLAUPMAUPZU
      BVPVRVTVQVSUJZUQZWFUIZLAUPMAUPZUBABCDEFGHIJKLMNOPQRSTUKWHWLVPWGWKMLAAWGWK
      WJWAWFVRVTWIULUMWKVQVSUHZUEZWGUIZWGWKWNWAUBZWFUIWOWJWPWFWIVRVTUQWIWAUBWJW
      PWIVRVTUNWIVRVTUOWIWNWAVQVSURUSUTVAWNWAWFVBVCWMWGUIWOWGUIWMWFWAWMWCWEKJWM
      VQVSWBWDGWMVDVQVSEVEVFVGVHWMWGVIVJVKVLVMVNVO $.
  $}

  ${
    $d p q A $.  $d p q F $.  $d p q .\/ $.  $d p q K $.  $d p q .<_ $.
    $d p q ./\ $.  $d p q P $.  $d q Q $.  $d p q W $.
    ltrnu.l $e |- .<_ = ( le ` K ) $.
    ltrnu.j $e |- .\/ = ( join ` K ) $.
    ltrnu.m $e |- ./\ = ( meet ` K ) $.
    ltrnu.a $e |- A = ( Atoms ` K ) $.
    ltrnu.h $e |- H = ( LHyp ` K ) $.
    ltrnu.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Uniqueness property of a lattice translation value for atoms not under
       the fiducial co-atom ` W ` .  Similar to definition of translation in
       [Crawley] p. 111.  (Contributed by NM, 20-May-2012.) $)
    ltrnu $p |- ( ( ( ( K e. V /\ W e. H ) /\ F e. T )
          /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
         -> ( ( P .\/ ( F ` P ) ) ./\ W )
              = ( ( Q .\/ ( F ` Q ) ) ./\ W ) ) $=
      ( wa co vp vq wcel wbr wn cfv wceq an4 cv wi wral simpr simplr cldil eqid
      wb isltrn ad2antrr syl6bi mpd breq1 notbid anbi1d id fveq2 oveq12d oveq1d
      eqeq1d imbi12d anbi2d eqeq2d rspc2v sylc impr sylan2b 3impb ) HKUCLFUCSZE
      DUCZSZBAUCZBLIUDZUEZSZCAUCZCLIUDZUEZSZBBEUFZGTZLJTZCCEUFZGTZLJTZUGZWCWGSV
      SVTWDSZWBWFSZSWNVTWBWDWFUHVSWOWPWNVSWOSZWOUAUIZLIUDZUEZUBUIZLIUDZUEZSZWRW
      REUFZGTZLJTZXAXAEUFZGTZLJTZUGZUJZUBAUKUAAUKZWPWNUJZVSWOULWQVRXMVQVRWOUMWQ
      VRELHUNUFUFZUCZXMSZXMVQVRXQUPVRWOAKXODEFGHIJLUBUAMNOPQXOUORUQURXPXMULUSUT
      XLXNWBXCSZWJXJUGZUJUAUBBCAAWRBUGZXDXRXKXSXTWTWBXCXTWSWAWRBLIVAVBVCXTXGWJX
      JXTXFWILJXTWRBXEWHGXTVDWRBEVEVFVGVHVIXACUGZXRWPXSWNYAXCWFWBYAXBWEXACLIVAV
      BVJYAXJWMWJYAXIWLLJYAXACXHWKGYAVDXACEVEVFVGVKVIVLVMVNVOVP $.
  $}

  ${
    $d p q F $.  $d p q K $.  $d p q W $.
    ltrnldil.h $e |- H = ( LHyp ` K ) $.
    ltrnldil.d $e |- D = ( ( LDil ` K ) ` W ) $.
    ltrnldil.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( A lattice translation is a lattice dilation.  (Contributed by NM,
       20-May-2012.) $)
    ltrnldil $p |- ( ( ( K e. V /\ W e. H ) /\ F e. T )
      -> F e. D ) $=
      ( vp vq wcel wa cv cfv wbr wn co eqid cple cjn cmee wceq catm wral isltrn
      wi simprbda ) EFMGDMNCBMCAMKOZGEUAPZQRLOZGUKQRNUJUJCPEUBPZSGEUCPZSULULCPU
      MSGUNSUDUHLEUEPZUFKUOUFUOFABCDUMEUKUNGLKUKTUMTUNTUOTHIJUGUI $.
  $}

  ${
    ltrnlaut.h $e |- H = ( LHyp ` K ) $.
    ltrnlaut.i $e |- I = ( LAut ` K ) $.
    ltrnlaut.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( A lattice translation is a lattice automorphism.  (Contributed by NM,
       20-May-2012.) $)
    ltrnlaut $p |- ( ( ( K e. V /\ W e. H ) /\ F e. T )
      -> F e. I ) $=
      ( wcel wa cldil cfv eqid ltrnldil ldillaut syldan ) EFKGCKLBAKBGEMNNZKBDK
      SABCEFGHSOZJPSBCDEFGHITQR $.
  $}

  ${
    ltrn1o.b $e |- B = ( Base ` K ) $.
    ltrn1o.h $e |- H = ( LHyp ` K ) $.
    ltrn1o.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( A lattice translation is a one-to-one onto function.  (Contributed by
       NM, 20-May-2012.) $)
    ltrn1o $p |- ( ( ( K e. V /\ W e. H ) /\ F e. T )
      -> F : B -1-1-onto-> B ) $=
      ( wcel wa claut cfv wf1o simpll eqid ltrnlaut laut1o syl2anc ) EFKZGDKZLC
      BKZLUACEMNZKAACOUAUBUCPBCDUDEFGIUDQZJRFACUDEHUEST $.

    $( Closure of a lattice translation.  (Contributed by NM, 20-May-2012.) $)
    ltrncl $p |- ( ( ( K e. V /\ W e. H ) /\ F e. T /\ X e. B )
      -> ( F ` X ) e. B ) $=
      ( wcel wa w3a claut cfv simp1l eqid ltrnlaut 3adant3 lautcl syl21anc
      simp3 ) EFLZGDLZMZCBLZHALZNUDCEOPZLZUHHCPALUDUEUGUHQUFUGUJUHBCDUIEFGJUIRZ
      KSTUFUGUHUCACUIEFHIUKUAUB $.

    $( One-to-one property of a lattice translation.  (Contributed by NM,
       20-May-2012.) $)
    ltrn11 $p |- ( ( ( K e. V /\ W e. H ) /\ F e. T
       /\ ( X e. B /\ Y e. B ) ) -> ( ( F ` X ) = ( F ` Y ) <-> X = Y ) ) $=
      ( wcel wa w3a claut cfv wceq wb simp1l eqid ltrnlaut simp3l simp3r laut11
      3adant3 syl22anc ) EFMZGDMZNZCBMZHAMZIAMZNZOUHCEPQZMZULUMHCQICQRHIRSUHUIU
      KUNTUJUKUPUNBCDUOEFGKUOUAZLUBUFUJUKULUMUCUJUKULUMUDACUOEFHIJUQUEUG $.

    $( If a translation is different from the identity, so is its converse.
       (Contributed by NM, 17-Jun-2013.) $)
    ltrncnvnid $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T
         /\ F =/= ( _I |` B ) ) -> `' F =/= ( _I |` B ) ) $=
      ( chlt wcel wa cid cres wne w3a ccnv simp3 wceq wrel ltrn1o f1orel dfrel2
      wf1o 3adant3 syl sylib cnveq sylan9req cnvresid eqtrdi ex necon3d mpd ) E
      JKFDKLZCBKZCMANZOZPZURCQZUQOUOUPURRUSUTUQCUQUSUTUQSZCUQSUSVALCUQQZUQUSVAC
      UTQZVBUSCTZVCCSUSAACUDZVDUOUPVEURABCDEJFGHIUAUEAACUBUFCUCUGUTUQUHUIAUJUKU
      LUMUN $.

    $( Two translations are equal if the composition of one with the converse
       of the other is the zero translation.  This is an analogue of vector
       subtraction.  (Contributed by NM, 7-Apr-2014.)
       (New usage is discouraged.) $)
    ltrncoidN $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
    -> ( ( F o. `' G ) = ( _I |` B ) <-> F = G ) ) $=
      ( chlt wcel wa ccom wceq wf1o simpl1 simpl3 syl2anc eqtrd w3a ccnv ltrn1o
      cid cres f1ococnv1 syl coeq2d simpl2 f1of fcoi1 3syl eqtr2d coass eqtr4di
      wf simpr coeq1d fcoi2 f1ococnv2 impbida ) FKLGELMZCBLZDBLZUAZCDUBZNZUDAUE
      ZOZCDOZVEVIMZCVGDNZDVKCCVFDNZNZVLVKVNCVHNZCVKVMVHCVKAADPZVMVHOVKVBVDVPVBV
      CVDVIQZVBVCVDVIRABDEFKGHIJUCZSZAADUFUGUHVKAACPZAACUPVOCOVKVBVCVTVQVBVCVDV
      IUIABCEFKGHIJUCSAACUJAACUKULUMCVFDUNUOVKVLVHDNZDVKVGVHDVEVIUQURVKVPAADUPW
      ADOVSAADUJAADUSULTTVEVJMZVGDVFNZVHWBCDVFVEVJUQURWBVPWCVHOWBVBVDVPVBVCVDVJ
      QVBVCVDVJRVRSAADUTUGTVA $.
  $}

  ${
    ltrnle.b $e |- B = ( Base ` K ) $.
    ltrnle.l $e |- .<_ = ( le ` K ) $.
    ltrnle.h $e |- H = ( LHyp ` K ) $.
    ltrnle.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Less-than or equal property of a lattice translation.  (Contributed by
       NM, 20-May-2012.) $)
    ltrnle $p |- ( ( ( K e. V /\ W e. H ) /\ F e. T
      /\ ( X e. B /\ Y e. B ) ) -> ( X .<_ Y
         <-> ( F ` X ) .<_ ( F ` Y ) ) ) $=
      ( wcel wa w3a claut cfv wbr wb simp1l eqid ltrnlaut 3adant3 simp3l simp3r
      lautle syl22anc ) EGOZHDOZPZCBOZIAOZJAOZPZQUJCERSZOZUNUOIJFTICSJCSFTUAUJU
      KUMUPUBULUMURUPBCDUQEGHMUQUCZNUDUEULUMUNUOUFULUMUNUOUGACUQEFGIJKLUSUHUI
      $.

    $( Less-than or equal property of lattice translation converse.
       (Contributed by NM, 10-May-2013.)  (New usage is discouraged.) $)
    ltrncnvleN $p |- ( ( ( K e. V /\ W e. H ) /\ F e. T
   /\ ( X e. B /\ Y e. B ) )
 -> ( X .<_ Y <-> ( `' F ` X ) .<_ ( `' F ` Y ) ) ) $=
      ( wcel wa w3a claut cfv wbr ccnv wb eqid ltrnlaut 3adant3 simp3 lautcnvle
      simp1l syl21anc ) EGOZHDOZPZCBOZIAOJAOPZQUJCERSZOZUNIJFTICUAZSJUQSFTUBUJU
      KUMUNUHULUMUPUNBCDUOEGHMUOUCZNUDUEULUMUNUFACUOEFGIJKLURUGUI $.
  $}

  ${
    ltrnm.b $e |- B = ( Base ` K ) $.
    ltrnm.m $e |- ./\ = ( meet ` K ) $.
    ltrnm.h $e |- H = ( LHyp ` K ) $.
    ltrnm.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Lattice translation of a meet.  (Contributed by NM, 20-May-2012.) $)
    ltrnm $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ ( X e. B /\ Y e. B ) )
     -> ( F ` ( X ./\ Y ) ) = ( ( F ` X ) ./\ ( F ` Y ) ) ) $=
      ( chlt wcel wa w3a clat cfv co wceq simp1l hllatd ltrnlaut 3adant3 simp3l
      claut eqid simp3r lautm syl13anc ) ENOZGDOZPZCBOZHAOZIAOZPZQZEROCEUGSZOZU
      PUQHIFTCSHCSICSFTUAUSEULUMUOURUBUCUNUOVAURBCDUTENGLUTUHZMUDUEUNUOUPUQUFUN
      UOUPUQUIACUTEFHIJKVBUJUK $.
  $}

  ${
    ltrnj.b $e |- B = ( Base ` K ) $.
    ltrnj.j $e |- .\/ = ( join ` K ) $.
    ltrnj.h $e |- H = ( LHyp ` K ) $.
    ltrnj.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Lattice translation of a meet.  TODO: change antecedent to ` K e. HL `
       (Contributed by NM, 25-May-2012.) $)
    ltrnj $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ ( X e. B /\ Y e. B ) )
     -> ( F ` ( X .\/ Y ) ) = ( ( F ` X ) .\/ ( F ` Y ) ) ) $=
      ( chlt wcel wa w3a clat cfv co wceq simp1l hllatd ltrnlaut 3adant3 simp3l
      claut eqid simp3r lautj syl13anc ) FNOZGDOZPZCBOZHAOZIAOZPZQZFROCFUGSZOZU
      PUQHIETCSHCSICSETUAUSFULUMUOURUBUCUNUOVAURBCDUTFNGLUTUHZMUDUEUNUOUPUQUFUN
      UOUPUQUIACUTEFHIJKVBUJUK $.
  $}

  ${
    ltrncvr.b $e |- B = ( Base ` K ) $.
    ltrncvr.c $e |- C = ( <o ` K ) $.
    ltrncvr.h $e |- H = ( LHyp ` K ) $.
    ltrncvr.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Covering property of a lattice translation.  (Contributed by NM,
       20-May-2012.) $)
    ltrncvr $p |- ( ( ( K e. V /\ W e. H ) /\ F e. T
       /\ ( X e. B /\ Y e. B ) ) -> ( X C Y <-> ( F ` X ) C ( F ` Y ) ) ) $=
      ( wcel wa w3a claut cfv wbr wb simp1l eqid ltrnlaut 3adant3 simp3l simp3r
      lautcvr syl13anc ) FGOZHEOZPZDCOZIAOZJAOZPZQUJDFRSZOZUNUOIJBTIDSJDSBTUAUJ
      UKUMUPUBULUMURUPCDEUQFGHMUQUCZNUDUEULUMUNUOUFULUMUNUOUGGABDUQFIJKLUSUHUI
      $.
  $}

  ${
    ltrnval1.b $e |- B = ( Base ` K ) $.
    ltrnval1.l $e |- .<_ = ( le ` K ) $.
    ltrnval1.h $e |- H = ( LHyp ` K ) $.
    ltrnval1.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Value of a lattice translation under its co-atom.  (Contributed by NM,
       20-May-2012.) $)
    ltrnval1 $p |- ( ( ( K e. V /\ W e. H ) /\ F e. T
        /\ ( X e. B /\ X .<_ W ) ) -> ( F ` X ) = X ) $=
      ( wcel wa cldil cfv wbr wceq eqid ltrnldil 3adant3 ldilval syld3an2 ) EGN
      HDNOZCHEPQQZNZCBNZIANIHFROZICQISUEUHUGUIUFBCDEGHLUFTZMUAUBAUFCDEFGHIJKLUJ
      UCUD $.
  $}

  ${
    $d p x A $.  $d p x B $.  $d p x F $.  $d p x H $.  $d p x K $.
    $d x .<_ $.  $d p x T $.  $d p x W $.
    ltrneq.b $e |- B = ( Base ` K ) $.
    ltrneq.l $e |- .<_ = ( le ` K ) $.
    ltrneq.a $e |- A = ( Atoms ` K ) $.
    ltrneq.h $e |- H = ( LHyp ` K ) $.
    ltrneq.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( A lattice translation is the identity function iff all atoms not under
       the fiducial co-atom ` W ` are equal to their values.  (Contributed by
       NM, 24-May-2012.) $)
    ltrnid $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
      -> ( A. p e. A ( -. p .<_ W
           -> ( F ` p ) = p ) <-> F = ( _I |` B ) ) ) $=
      ( vx chlt wcel wa cfv wceq cv wbr wn wral cid cres claut simp-4l ltrnlaut
      wi eqid ad2antrr simpr simplll simpllr atbase ad2antlr ltrnval1 syl112anc
      ex pm2.61 syl ralimdva imp adantr lauteq syl31anc fvresi adantl ralrimiva
      eqtr4d wfn wb wf1o ltrn1o f1ofn fnresi eqfnfv sylancl mpbird fveq1 eqeq1d
      syl5ibrcom a1dd ralrimdva impbid ) FPQZHEQZRZDCQZRZIUAZHGUBZUCZWLDSZWLTZU
      JZIAUDZDUEBUFZTZWKWRWTWKWRRZWTOUAZDSZXBWSSZTZOBUDZXAXEOBXAXBBQZRZXCXBXDXH
      WGDFUGSZQZXGWPIAUDZXCXBTWGWHWJWRXGUHWKXJWRXGCDEXIFPHMXIUKZNUIULXAXGUMXAXK
      XGWKWRXKWKWQWPIAWKWLAQZRZWMWPUJWQWPUJXNWMWPXNWMRWIWJWLBQZWMWPWIWJXMWMUNWI
      WJXMWMUOXMXOWKWMABWLFJLUPZUQXNWMUMBCDEFGPHWLJKMNURUSUTWMWPVAVBVCVDVEABDXI
      FXBIJLXLVFVGXGXDXBTXABXBVHVIVKVJXADBVLZWSBVLWTXFVMXABBDVNZXQWKXRWRBCDEFPH
      JMNVOVEBBDVPVBBVQOBDWSVRVSVTUTWKWTWQIAXNWTWPWNXNWPWTWLWSSZWLTZXNXOXTXMXOW
      KXPVIBWLVHVBWTWOXSWLWLDWSWAWBWCWDWEWF $.

    $( If a lattice translation is not the identity, then there is an atom not
       under the fiducial co-atom ` W ` and not equal to its translation.
       (Contributed by NM, 24-May-2012.) $)
    ltrnnid $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ F =/= ( _I |` B ) )
  -> E. p e. A ( -. p .<_ W /\ ( F ` p ) =/= p ) ) $=
      ( wcel wa wne wn wceq wi chlt cid cres cv wbr cfv wrex wral biimpi imim2i
      ralinexa nne ralimi sylbir ltrnid syl5ib necon1ad 3impia ) FUAOHEOPZDCOZD
      UBBUCZQIUDZHGUERZVBDUFZVBQZPIAUGZUSUTPZVFDVAVFRZVCVDVBSZTZIAUHZVGDVASVHVC
      VERZTZIAUHVKVCVEIAUKVMVJIAVLVIVCVLVIVDVBULUIUJUMUNABCDEFGHIJKLMNUOUPUQUR
      $.
  $}

  ${
    ltrnatb.b $e |- B = ( Base ` K ) $.
    ltrnatb.a $e |- A = ( Atoms ` K ) $.
    ltrnatb.h $e |- H = ( LHyp ` K ) $.
    ltrnatb.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( The lattice translation of an atom is an atom.  (Contributed by NM,
       20-May-2012.) $)
    ltrnatb $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ P e. B )
        -> ( P e. A <-> ( F ` P ) e. A ) ) $=
      ( chlt wcel wa cfv wbr wb eqid syl w3a ccvr simp3 ltrncl 2thd simp1 simp2
      cp0 cops simp1l hlop op0cl 3syl ltrncvr syl112anc cple wceq lhpbase op0le
      simp1r syl2anc ltrnval1 breq1d bitrd anbi12d isat 3bitr4d ) GMNZHFNZOZEDN
      ZCBNZUAZVLGUHPZCGUBPZQZOZCEPZBNZVNVRVOQZOZCANZVRANZVMVLVSVPVTVMVLVSVJVKVL
      UCZBDEFGMHCIKLUDUEVMVPVNEPZVRVOQZVTVMVJVKVNBNZVLVPWFRVJVKVLUFZVJVKVLUGZVM
      VHGUINZWGVHVIVKVLUJZGUKZBGVNIVNSZULUMZWDBVODEFGMHVNCIVOSZKLUNUOVMWEVNVRVO
      VMVJVKWGVNHGUPPZQZWEVNUQWHWIWNVMWJHBNZWQVMVHWJWKWLTVMVIWRVHVIVKVLUTBFGHIK
      URTBGWPHVNIWPSZWMUSVABDEFGWPMHVNIWSKLVBUOVCVDVEVMVHWBVQRWKABVOMCGVNIWMWOJ
      VFTVMVHWCWARWKABVOMVRGVNIWMWOJVFTVG $.

    $( The converse of the lattice translation of an atom is an atom.
       (Contributed by NM, 2-Jun-2012.) $)
    ltrncnvatb $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ P e. B )
         -> ( P e. A <-> ( `' F ` P ) e. A ) ) $=
      ( chlt wcel wa w3a ccnv cfv wb stoic3 wf1o f1ocnvdm ltrnatb syld3an3 wceq
      ltrn1o f1ocnvfv2 eleq1d bitr2d ) GMNHFNOZEDNZCBNZPZCEQRZANZUNERZANZCANUJU
      KULUNBNZUOUQSUJUKBBEUAZULURBDEFGMHIKLUFZBBCEUBTABUNDEFGHIJKLUCUDUMUPCAUJU
      KUSULUPCUEUTBBCEUGTUHUI $.
  $}

  ${
    ltrnel.l $e |- .<_ = ( le ` K ) $.
    ltrnel.a $e |- A = ( Atoms ` K ) $.
    ltrnel.h $e |- H = ( LHyp ` K ) $.
    ltrnel.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( The lattice translation of an atom not under the fiducial co-atom is
       also an atom not under the fiducial co-atom.  Remark below Lemma B in
       [Crawley] p. 112.  (Contributed by NM, 22-May-2012.) $)
    ltrnel $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T
              /\ ( P e. A /\ -. P .<_ W ) )
         -> ( ( F ` P ) e. A /\ -. ( F ` P ) .<_ W ) ) $=
      ( chlt wcel wa wbr wn cfv wb syl w3a simp3l atbase adantr ltrnatb syl3an3
      eqid mpbid simp3r simp1 simp2 simp1r lhpbase ltrnle syl112anc wceq simp1l
      cbs clat hllatd latref syl2anc ltrnval1 breq2d bitrd mtbid jca ) FMNZHENZ
      OZDCNZBANZBHGPZQZOZUAZBDRZANZVQHGPZQVPVLVRVJVKVLVNUBZVOVJVKBFURRZNZVLVRSV
      LWBVNAWABFWAUGZJUCZUDAWABCDEFHWCJKLUEUFUHVPVMVSVJVKVLVNUIVPVMVQHDRZGPZVSV
      PVJVKWBHWANZVMWFSVJVKVOUJZVJVKVOUKZVPVLWBVTWDTVPVIWGVHVIVKVOULWAEFHWCKUMT
      ZWACDEFGMHBHWCIKLUNUOVPWEHVQGVPVJVKWGHHGPZWEHUPWHWIWJVPFUSNWGWKVPFVHVIVKV
      OUQUTWJWAFGHWCIVAVBWACDEFGMHHWCIKLVCUOVDVEVFVG $.

    $( The lattice translation of an atom is also an atom.  TODO:  See if this
       can shorten some ~ ltrnel uses.  (Contributed by NM, 25-May-2012.) $)
    ltrnat $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ P e. A )
         -> ( F ` P ) e. A ) $=
      ( chlt wcel wa w3a cfv simp3 cbs wb eqid atbase ltrnatb syl3an3 mpbid ) F
      MNHENOZDCNZBANZPUHBDQANZUFUGUHRUHUFUGBFSQZNUHUITAUJBFUJUAZJUBAUJBCDEFHUKJ
      KLUCUDUE $.

    $( The converse of the lattice translation of an atom is an atom.
       (Contributed by NM, 9-May-2013.) $)
    ltrncnvat $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ P e. A )
            -> ( `' F ` P ) e. A ) $=
      ( chlt wcel wa w3a ccnv cfv simp3 cbs wb atbase ltrncnvatb syl3an3 mpbid
      eqid ) FMNHENOZDCNZBANZPUIBDQRANZUGUHUISUIUGUHBFTRZNUIUJUAAUKBFUKUFZJUBAU
      KBCDEFHULJKLUCUDUE $.

    $( The converse of the lattice translation of an atom not under the
       fiducial co-atom.  (Contributed by NM, 10-May-2013.) $)
    ltrncnvel $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T
              /\ ( P e. A /\ -. P .<_ W ) )
         -> ( ( `' F ` P ) e. A /\ -. ( `' F ` P ) .<_ W ) ) $=
      ( chlt wcel wa wbr wn cfv atbase syl w3a ltrncnvat 3adant3r simp3r cbs wb
      ccnv simp1 simp2 eqid simp1r lhpbase ltrnle syl112anc wf1o ltrn1o 3adant3
      wceq simp3l f1ocnvfv2 syl2anc simp1l hllatd latref ltrnval1 breq12d bitrd
      clat mtbird jca ) FMNZHENZOZDCNZBANZBHGPZQZOZUAZBDUGRZANZVTHGPZQVMVNVOWAV
      QABCDEFGHIJKLUBUCZVSWBVPVMVNVOVQUDVSWBVTDRZHDRZGPZVPVSVMVNVTFUERZNZHWGNZW
      BWFUFVMVNVRUHZVMVNVRUIZVSWAWHWCAWGVTFWGUJZJSTVSVLWIVKVLVNVRUKWGEFHWLKULTZ
      WGCDEFGMHVTHWLIKLUMUNVSWDBWEHGVSWGWGDUOZBWGNZWDBURVMVNWNVRWGCDEFMHWLKLUPU
      QVSVOWOVMVNVOVQUSAWGBFWLJSTWGWGBDUTVAVSVMVNWIHHGPZWEHURWJWKWMVSFVHNWIWPVS
      FVKVLVNVRVBVCWMWGFGHWLIVDVAWGCDEFGMHHWLIKLVEUNVFVGVIVJ $.

    $( Composition of lattice translations of an atom.  TODO:  See if this can
       shorten some ~ ltrnel uses.  (Contributed by NM, 1-May-2013.)
       (New usage is discouraged.) $)
    ltrncoelN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ G e. T )
           /\ ( P e. A /\ -. P .<_ W ) )
         -> ( ( F ` ( G ` P ) ) e. A /\ -. ( F ` ( G ` P ) ) .<_ W ) ) $=
      ( chlt wcel wa wbr wn cfv ltrnel w3a simp1 simp2l 3adant2l syl3anc ) GNOI
      FOPZDCOZECOZPZBAOBIHQRPZUAUFUGBESZAOUKIHQRPZUKDSZAOUMIHQRPUFUIUJUBUFUGUHU
      JUCUFUHUJULUGABCEFGHIJKLMTUDAUKCDFGHIJKLMTUE $.

    $( Composition of lattice translations of an atom.  TODO:  See if this can
       shorten some ~ ltrnel , ~ ltrnat uses.  (Contributed by NM,
       1-May-2013.) $)
    ltrncoat $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ G e. T )
           /\ P e. A ) -> ( F ` ( G ` P ) ) e. A ) $=
      ( chlt wcel wa w3a cfv simp1 ltrnat simp2l 3adant2l syl3anc ) GNOIFOPZDCO
      ZECOZPZBAOZQUDUEBERZAOZUIDRAOUDUGUHSUDUEUFUHUAUDUFUHUJUEABCEFGHIJKLMTUBAU
      ICDFGHIJKLMTUC $.

    $( Two ways to express value of translation composition.  (Contributed by
       NM, 31-May-2013.) $)
    ltrncoval $p |- ( ( ( K e. HL /\ W e. H )
              /\ ( F e. T /\ G e. T ) /\ P e. A )
    -> ( ( F o. G ) ` P ) = ( F ` ( G ` P ) ) ) $=
      ( chlt wcel wa w3a cbs cfv syl2anc ccom wceq wf1o simp2r eqid ltrn1o f1of
      wf simp1 syl atbase 3ad2ant3 fvco3 ) GNOIFOPZDCOZECOZPZBAOZQZGRSZUTEUHZBU
      TOZBDEUASBESDSUBUSUTUTEUCZVAUSUNUPVCUNUQURUIUNUOUPURUDUTCEFGNIUTUEZLMUFTU
      TUTEUGUJURUNVBUQAUTBGVDKUKULUTUTBDEUMT $.
  $}

  ${
    $d p q F $.  $d p q H $.  $d p q K $.  $d p q T $.  $d p q W $.
    ltrncnv.h $e |- H = ( LHyp ` K ) $.
    ltrncnv.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( The converse of a lattice translation is a lattice translation.
       (Contributed by NM, 10-May-2013.) $)
    ltrncnv $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
        -> `' F e. T ) $=
      ( vp vq chlt wcel wa cfv cv wbr wn co wceq eqid syl3anc ccnv cldil cjn wi
      cple cmee catm wral ltrnldil syldan w3a simp1 simp1l simp1r simp2l simp3l
      ldilcnv ltrncnvel syl112anc simp2r simp3r cbs wf1o ltrn1o 3ad2ant1 atbase
      ltrnu syl f1ocnvfv2 syl2anc oveq2d simp1ll ltrncnvat eqtrd oveq1d 3eqtr3d
      hlatjcom 3exp ralrimivv wb isltrn adantr mpbir2and ) DJKZECKZLZBAKZLZBUAZ
      AKZWIEDUBMMZKZHNZEDUEMZOPZINZEWNOPZLZWMWMWIMZDUCMZQZEDUFMZQZWPWPWIMZWTQZE
      XBQZRZUDZIDUGMZUHHXIUHZWFWGBWKKWLWKABCDJEFWKSZGUIWKBCDEFXKUQUJWHXHHIXIXIW
      HWMXIKZWPXIKZLZWRXGWHXNWRUKZWSWSBMZWTQZEXBQZXDXDBMZWTQZEXBQZXCXFXOWHWSXIK
      ZWSEWNOPLZXDXIKZXDEWNOPLZXRYARWHXNWRULXOWFWGXLWOYCWFWGXNWRUMZWFWGXNWRUNZW
      HXLXMWRUOZWHXNWOWQUPXIWMABCDWNEWNSZXISZFGURUSXOWFWGXMWQYEYFYGWHXLXMWRUTZW
      HXNWOWQVAXIWPABCDWNEYIYJFGURUSXIWSXDABCWTDWNXBJEYIWTSZXBSZYJFGVGTXOXQXAEX
      BXOXQWSWMWTQZXAXOXPWMWSWTXODVBMZYOBVCZWMYOKZXPWMRWHXNYPWRYOABCDJEYOSZFGVD
      VEZXOXLYQYHXIYOWMDYRYJVFVHYOYOWMBVIVJVKXOWDYBXLYNXARWDWEWGXNWRVLZXOWFWGXL
      YBYFYGYHXIWMABCDWNEYIYJFGVMTYHXIWTDWSWMYLYJVQTVNVOXOXTXEEXBXOXTXDWPWTQZXE
      XOXSWPXDWTXOYPWPYOKZXSWPRYSXOXMUUBYKXIYOWPDYRYJVFVHYOYOWPBVIVJVKXOWDYDXMU
      UAXERYTXOWFWGXMYDYFYGYKXIWPABCDWNEYIYJFGVMTYKXIWTDXDWPYLYJVQTVNVOVPVRVSWF
      WJWLXJLVTWGXIJWKAWICWTDWNXBEIHYIYLYMYJFXKGWAWBWC $.
  $}

  ${
    $d p q x A $.  $d p q x F $.  $d p q x G $.  $d q x H $.  $d q x K $.
    $d q x T $.  $d q x W $.
    ltrneq2.a $e |- A = ( Atoms ` K ) $.
    ltrneq2.h $e |- H = ( LHyp ` K ) $.
    ltrneq2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Frequently used one-to-one property of lattice translation atoms.
       (Contributed by NM, 5-May-2013.) $)
    ltrn11at $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T
       /\ ( P e. A /\ Q e. A /\ P =/= Q ) ) -> ( F ` P ) =/= ( F ` Q ) ) $=
      ( chlt wcel wa wne w3a cfv wceq atbase syl simp33 cbs wb simp1 simp2 eqid
      simp31 simp32 ltrn11 syl112anc necon3bid mpbird ) GLMHFMNZEDMZBAMZCAMZBCO
      ZPZPZBEQZCEQZOUQUMUNUOUPUQUAUSUTVABCUSUMUNBGUBQZMZCVBMZUTVARBCRUCUMUNURUD
      UMUNURUEUSUOVCUMUNUOUPUQUGAVBBGVBUFZISTUSUPVDUMUNUOUPUQUHAVBCGVEISTVBDEFG
      LHBCVEJKUIUJUKUL $.

    $( The equality of two translations is determined by their equality at
       atoms.  (Contributed by NM, 2-Mar-2014.) $)
    ltrneq2 $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
         -> ( A. p e. A ( F ` p ) = ( G ` p ) <-> F = G ) ) $=
      ( vx chlt wcel cfv wceq wbr wb syl2anc syl3anc vq wa w3a cv wral cbs cple
      wi ccnv wf1o simpl1 simpl3 eqid ltrn1o simpl2 simpr3 ltrncnvat atbase syl
      f1ocnvfv1 simpr2 fveq2 eqeq12d sylc f1ocnvfv2 eqtr3d fveq2d breq1d simpr1
      rspcv breq2d 3bitr4d claut simpl1l ltrnlaut ltrncl lautcnvle syl22anc imp
      3exp2 ralrimdv simpr hlateq sylibd ralrimdva 3adant3 f1ofn 3adant2 eqfnfv
      wfn sylibrd fveq1 ralrimivw impbid1 ) FMNZGENZUBZCBNZDBNZUCZHUDZCOZXADOZP
      ZHAUEZCDPZWTXELUDZCOZXGDOZPZLFUFOZUEZXFWTXEXJLXKWTXGXKNZUBZXEUAUDZXHFUGOZ
      QZXOXIXPQZRZUAAUEZXJXNXEXSUAAWTXMXEXOANZXSUHUHWTXMXEYAXSWTXMXEYAUCZUBZXOC
      UIZOZXHYDOZXPQZXODUIZOZXIYHOZXPQZXQXRYCYEXGXPQYIXGXPQYGYKYCYEYIXGXPYCYEDO
      ZYHOZYEYIYCXKXKDUJZYEXKNZYMYEPYCWQWSYNWQWRWSYBUKZWQWRWSYBULZXKBDEFMGXKUMZ
      JKUNZSZYCYEANZYOYCWQWRYAUUAYPWQWRWSYBUOZWTXMXEYAUPZAXOBCEFXPGXPUMZIJKUQTZ
      AXKYEFYRIURUSXKXKYEDUTSYCYLXOYHYCYECOZYLXOYCUUAXEUUFYLPZUUEWTXMXEYAVAXDUU
      GHYEAXAYEPXBUUFXCYLXAYECVBXAYEDVBVCVJVDYCXKXKCUJZXOXKNZUUFXOPYCWQWRUUHYPU
      UBXKBCEFMGYRJKUNZSZYCYAUUIUUCAXKXOFYRIURUSZXKXKXOCVESVFVGVFVHYCYFXGYEXPYC
      UUHXMYFXGPUUKWTXMXEYAVIZXKXKXGCUTSVKYCYJXGYIXPYCYNXMYJXGPYTUUMXKXKXGDUTSV
      KVLYCWOCFVMOZNZUUIXHXKNZXQYGRWOWPWRWSYBVNZYCWQWRUUOYPUUBBCEUUNFMGJUUNUMZK
      VOSUULYCWQWRXMUUPYPUUBUUMXKBCEFMGXGYRJKVPZTXKCUUNFXPMXOXHYRUUDUURVQVRYCWO
      DUUNNZUUIXIXKNZXRYKRUUQYCWQWSUUTYPYQBDEUUNFMGJUURKVOSUULYCWQWSXMUVAYPYQUU
      MXKBDEFMGXGYRJKVPZTXKDUUNFXPMXOXIYRUUDUURVQVRVLVTVSWAXNWOUUPUVAXTXJRWOWPW
      RWSXMVNXNWQWRXMUUPWQWRWSXMUKZWQWRWSXMUOWTXMWBZUUSTXNWQWSXMUVAUVCWQWRWSXMU
      LUVDUVBTAXKFXPXHXIUAYRUUDIWCTWDWEWTCXKWJZDXKWJZXFXLRWTUUHUVEWQWRUUHWSUUJW
      FXKXKCWGUSWTYNUVFWQWSYNWRYSWHXKXKDWGUSLXKCDWISWKXFXDHAXACDWLWMWN $.
  $}

  ${
    $d p A $.  $d p F $.  $d p G $.  $d p H $.  $d p K $.  $d p T $.  $d p W $.
    ltrne.l $e |- .<_ = ( le ` K ) $.
    ltrne.a $e |- A = ( Atoms ` K ) $.
    ltrne.h $e |- H = ( LHyp ` K ) $.
    ltrne.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( The equality of two translations is determined by their equality at
       atoms not under co-atom ` W ` .  (Contributed by NM, 20-Jun-2013.) $)
    ltrneq $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
       -> ( A. p e. A ( -. p .<_ W -> ( F ` p ) = ( G ` p ) ) <-> F = G ) ) $=
      ( chlt wcel wa w3a cfv wceq wi cv wbr wn wral simp11 simp12 eqid 3ad2ant2
      cbs atbase ltrnval1 syl112anc simp13 eqtr4d 3expia pm2.61 re1tbw2 impbid1
      simp3 syl ralbidva ltrneq2 bitrd ) FNOHEOPZCBOZDBOZQZIUAZHGUBZUCZVHCRZVHD
      RZSZTZIAUDVMIAUDCDSVGVNVMIAVGVHAOZPZVNVMVPVIVMTVNVMTVGVOVIVMVGVOVIQZVKVHV
      LVQVDVEVHFUIRZOZVIVKVHSVDVEVFVOVIUEZVDVEVFVOVIUFVOVGVSVIAVRVHFVRUGZKUJUHZ
      VGVOVIUSZVRBCEFGNHVHWAJLMUKULVQVDVFVSVIVLVHSVTVDVEVFVOVIUMWBWCVRBDEFGNHVH
      WAJLMUKULUNUOVIVMUPUTVMVJUQURVAABCDEFHIKLMVBVC $.
  $}

  ${
    $d p q B $.  $d p q H $.  $d p q K $.  $d p q W $.
    idltrn.b $e |- B = ( Base ` K ) $.
    idltrn.h $e |- H = ( LHyp ` K ) $.
    idltrn.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( The identity function is a lattice translation.  Remark below Lemma B in
       [Crawley] p. 112.  (Contributed by NM, 18-May-2012.) $)
    idltrn $p |- ( ( K e. HL /\ W e. H ) -> ( _I |` B ) e. T ) $=
      ( vp vq chlt wcel wa cfv cv wbr co wceq eqid eqtrd cid cres cldil cple wn
      cjn cmee wi catm wral idldil simpll simplrr simprr lhpmat syl12anc atbase
      cp0 fvresi oveq2d simplll hlatjidm syl2anc oveq1d simplrl simprl 3eqtr4rd
      3syl ex ralrimivva isltrn mpbir2and ) DKLZECLZMZUAAUBZBLVPEDUCNNZLIOZEDUD
      NZPUEZJOZEVSPUEZMZVRVRVPNZDUFNZQZEDUGNZQZWAWAVPNZWEQZEWGQZRZUHZJDUINZUJIW
      NUJKAVQCDEFGVQSZUKVOWMIJWNWNVOVRWNLZWAWNLZMZMZWCWLWSWCMZWAEWGQZDURNZWKWHW
      TVOWQWBXAXBRVOWRWCULZVOWPWQWCUMZWSVTWBUNWNWACDVSWGEXBVSSZWGSZXBSZWNSZGUOU
      PWTWJWAEWGWTWJWAWAWEQZWAWTWIWAWAWEWTWQWAALWIWARXDWNAWADFXHUQAWAUSVHUTWTVM
      WQXIWARVMVNWRWCVAZXDWNWEDWAWESZXHVBVCTVDWTWHVREWGQZXBWTWFVREWGWTWFVRVRWEQ
      ZVRWTWDVRVRWEWTWPVRALWDVRRVOWPWQWCVEZWNAVRDFXHUQAVRUSVHUTWTVMWPXMVRRXJXNW
      NWEDVRXKXHVBVCTVDWTVOWPVTXLXBRXCXNWSVTWBVFWNVRCDVSWGEXBXEXFXGXHGUOUPTVGVI
      VJWNKVQBVPCWEDVSWGEJIXEXKXFXHGWOHVKVL $.
  $}

  ${
    ltrnmw.l $e |- .<_ = ( le ` K ) $.
    ltrnmw.m $e |- ./\ = ( meet ` K ) $.
    ltrnmw.z $e |- .0. = ( 0. ` K ) $.
    ltrnmw.a $e |- A = ( Atoms ` K ) $.
    ltrnmw.h $e |- H = ( LHyp ` K ) $.
    ltrnmw.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Property of lattice translation value.  Remark below Lemma B in
       [Crawley] p. 112.  TODO:  Can this be used in more places?  (Contributed
       by NM, 20-May-2012.)  (Proof shortened by OpenAI, 25-Mar-2020.) $)
    ltrnmw $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T
         /\ ( P e. A /\ -. P .<_ W ) ) -> ( ( F ` P ) ./\ W ) = .0. ) $=
      ( wcel wa wbr wn chlt w3a cfv co wceq simp1 ltrnel lhpmat syl2anc ) FUAQI
      EQRZDCQZBAQBIGSTRZUBUJBDUCZAQUMIGSTRUMIHUDJUEUJUKULUFABCDEFGIKNOPUGAUMEFG
      HIJKLMNOUHUI $.
  $}

  ${
    $d k d A $.  $d d f k x K $.  $d f k M $.  $d k x S $.  $d k W $.
    dilset.a $e |- A = ( Atoms ` K ) $.
    dilset.s $e |- S = ( PSubSp ` K ) $.
    dilset.w $e |- W = ( WAtoms ` K ) $.
    dilset.m $e |- M = ( PAut ` K ) $.
    dilset.l $e |- L = ( Dil ` K ) $.
    $( The mapping from fiducial atom to set of dilations.  (Contributed by NM,
       30-Jan-2012.)  (New usage is discouraged.) $)
    dilfsetN $p |- ( K e. B -> L = ( d e. A |-> { f e. M | A. x e. S
               ( x C_ ( W ` d ) -> ( f ` x ) = x ) } ) ) $=
      ( cv cfv catm fveq2 eqtr4di vk wcel cvv wceq wi wral crab cmpt elex cdilN
      cwpointsN cpsubsp cpautN fveq1d sseq2d imbi1d raleqbidv rabeqbidv df-dilN
      wss mpteq12dv mptfvmpt syl5eq syl ) FCUBFUCUBZGJBAPZJPZIQZUTZVFEPQVFUDZUE
      ZADUFZEHUGZUHZUDFCUIVEGFUJQVNOJUAVMRUJJUAPZRQZVFVGVOUKQZQZUTZVJUEZAVOULQZ
      UFZEVOUMQZUGZUHBUCFFVOFUDZJVPWDBVMWEVPFRQBVOFRSKTWEWBVLEWCHWEWCFUMQHVOFUM
      SNTWEVTVKAWADWEWAFULQDVOFULSLTWEVSVIVJWEVRVHVFWEVGVQIWEVQFUKQIVOFUKSMTUNU
      OUPUQURVAAEUAJUSKVBVCVD $.

    $d d f x D $.  $d d M $.  $d d S $.  $d d W $.
    $( The set of dilations for a fiducial atom ` D ` .  (Contributed by NM,
       4-Feb-2012.)  (New usage is discouraged.) $)
    dilsetN $p |- ( ( K e. B /\ D e. A ) -> ( L ` D ) = { f e. M | A. x e. S
               ( x C_ ( W ` D ) -> ( f ` x ) = x ) } ) $=
      ( vd wcel cfv cv wss wceq wi wral crab cmpt dilfsetN fveq1d sseq2d imbi1d
      fveq2 ralbidv rabbidv eqid cpautN fvexi rabex fvmpt sylan9eq ) GCQZDBQDHR
      DPBASZPSZJRZTZUTFSRUTUAZUBZAEUCZFIUDZUEZRUTDJRZTZVDUBZAEUCZFIUDZUSDHVHABC
      EFGHIJPKLMNOUFUGPDVGVMBVHVADUAZVFVLFIVNVEVKAEVNVCVJVDVNVBVIUTVADJUJUHUIUK
      ULVHUMVLFIIGUNNUOUPUQUR $.

    $d f x F $.  $d f S $.  $d f W $.
    $( The predicate "is a dilation".  (Contributed by NM, 4-Feb-2012.)
       (New usage is discouraged.) $)
    isdilN $p |- ( ( K e. B /\ D e. A ) -> ( F e. ( L ` D )
      <-> ( F e. M /\ A. x e. S ( x C_ ( W ` D ) -> ( F ` x ) = x ) ) ) ) $=
      ( vf wcel wa cfv wceq cv wss wral crab dilsetN eleq2d fveq1 eqeq1d imbi2d
      wi ralbidv elrab bitrdi ) GCQDBQRZFDHSZQFAUAZDJSUBZUPPUAZSZUPTZUJZAEUCZPI
      UDZQFIQUQUPFSZUPTZUJZAEUCZRUNUOVCFABCDEPGHIJKLMNOUEUFVBVGPFIURFTZVAVFAEVH
      UTVEUQVHUSVDUPUPURFUGUHUIUKULUM $.
  $}

  ${
    trnset.a $e |- A = ( Atoms ` K ) $.
    trnset.s $e |- S = ( PSubSp ` K ) $.
    trnset.p $e |- .+ = ( +P ` K ) $.
    trnset.o $e |- ._|_ = ( _|_P ` K ) $.
    trnset.w $e |- W = ( WAtoms ` K ) $.
    trnset.m $e |- M = ( PAut ` K ) $.
    trnset.l $e |- L = ( Dil ` K ) $.
    trnset.t $e |- T = ( Trn ` K ) $.
    $d d k A $.  $d d f k q r K $.  $d f k L $.  $d k ._|_ $.  $d k .+ $.
    $d k q r W $.
    $( The mapping from fiducial atom to set of translations.  (Contributed by
       NM, 4-Feb-2012.)  (New usage is discouraged.) $)
    trnfsetN $p |- ( K e. C -> T = ( d e. A
   |-> { f e. ( L ` d ) | A. q e. ( W ` d ) A. r e. ( W ` d )
           ( ( q .+ ( f ` q ) ) i^i ( ._|_ ` { d } ) )
         = ( ( r .+ ( f ` r ) ) i^i ( ._|_ ` { d } ) ) } ) ) $=
      ( vk wcel cvv cv cfv co csn cin wceq wral crab cmpt elex ctrnN catm cpadd
      cpolN cwpointsN cdilN fveq2 eqtr4di ineq12d raleqbidv rabeqbidv mpteq12dv
      fveq1d oveqd eqeq12d df-trnN mptfvmpt syl5eq syl ) GBUDGUEUDZENAMUFZVPFUF
      ZUGZCUHZNUFZUIZJUGZUJZLUFZWDVQUGZCUHZWBUJZUKZLVTKUGZULZMWIULZFVTHUGZUMZUN
      ZUKGBUOVOEGUPUGWNUBNUCWMUQUPNUCUFZUQUGZVPVRWOURUGZUHZWAWOUSUGZUGZUJZWDWEW
      QUHZWTUJZUKZLVTWOUTUGZUGZULZMXFULZFVTWOVAUGZUGZUMZUNAUEGGWOGUKZNWPXKAWMXL
      WPGUQUGAWOGUQVBOVCXLXHWKFXJWLXLVTXIHXLXIGVAUGHWOGVAVBUAVCVHXLXGWJMXFWIXLV
      TXEKXLXEGUTUGKWOGUTVBSVCVHZXLXDWHLXFWIXMXLXAWCXCWGXLWRVSWTWBXLWQCVPVRXLWQ
      GURUGCWOGURVBQVCZVIXLWAWSJXLWSGUSUGJWOGUSVBRVCVHZVDXLXBWFWTWBXLWQCWDWEXNV
      IXOVDVJVEVEVFVGFUCLMNVKOVLVMVN $.

    $d d f q r D $.  $d d L $.  $d d ._|_ $.  $d d .+ $.  $d d W $.
    $( The set of translations for a fiducial atom ` D ` .  (Contributed by NM,
       4-Feb-2012.)  (New usage is discouraged.) $)
    trnsetN $p |- ( ( K e. B /\ D e. A ) -> ( T ` D ) =
      { f e. ( L ` D ) | A. q e. ( W ` D ) A. r e. ( W ` D )
           ( ( q .+ ( f ` q ) ) i^i ( ._|_ ` { D } ) )
         = ( ( r .+ ( f ` r ) ) i^i ( ._|_ ` { D } ) ) } ) $=
      ( vd wcel cfv cv csn cin wceq wral crab cmpt trnfsetN fveq1d fveq2 fveq2d
      co sneq ineq2d eqeq12d raleqbidv rabeqbidv eqid fvex rabex fvmpt sylan9eq
      ) HBUDZCAUDCFUECUCANUFZVIGUFZUEDUQZUCUFZUGZKUEZUHZMUFZVPVJUEDUQZVNUHZUIZM
      VLLUEZUJZNVTUJZGVLIUEZUKZULZUEVKCUGZKUEZUHZVQWGUHZUIZMCLUEZUJZNWKUJZGCIUE
      ZUKZVHCFWEABDEFGHIJKLMNUCOPQRSTUAUBUMUNUCCWDWOAWEVLCUIZWBWMGWCWNVLCIUOWPW
      AWLNVTWKVLCLUOZWPVSWJMVTWKWQWPVOWHVRWIWPVNWGVKWPVMWFKVLCURUPZUSWPVNWGVQWR
      USUTVAVAVBWEVCWMGWNCIVDVEVFVG $.

    $d f q r F $.  $d f ._|_ $.  $d f .+ $.  $d f W $.
    $( The predicate "is a translation".  (Contributed by NM, 4-Feb-2012.)
       (New usage is discouraged.) $)
    istrnN $p |- ( ( K e. B /\ D e. A ) -> ( F e. ( T ` D ) <->
      ( F e. ( L ` D ) /\ A. q e. ( W ` D ) A. r e. ( W ` D )
           ( ( q .+ ( F ` q ) ) i^i ( ._|_ ` { D } ) )
         = ( ( r .+ ( F ` r ) ) i^i ( ._|_ ` { D } ) ) ) ) ) $=
      ( vf wcel wa cfv cv co csn cin wceq wral crab trnsetN eleq2d fveq1 oveq2d
      ineq1d eqeq12d 2ralbidv elrab bitrdi ) HBUDCAUDUEZGCFUFZUDGNUGZVEUCUGZUFZ
      DUHZCUIKUFZUJZMUGZVKVFUFZDUHZVIUJZUKZMCLUFZULNVPULZUCCIUFZUMZUDGVRUDVEVEG
      UFZDUHZVIUJZVKVKGUFZDUHZVIUJZUKZMVPULNVPULZUEVCVDVSGABCDEFUCHIJKLMNOPQRST
      UAUBUNUOVQWGUCGVRVFGUKZVOWFNMVPVPWHVJWBVNWEWHVHWAVIWHVGVTVEDVEVFGUPUQURWH
      VMWDVIWHVLWCVKDVKVFGUPUQURUSUTVAVB $.
  $}

  $c trL $.

  $( Extend class notation with set of all traces of lattice translations. $)
  ctrl $a class trL $.

  ${
    $d k w f x p $.
    $( Define trace of a lattice translation.  (Contributed by NM,
       20-May-2012.) $)
    df-trl $a |- trL = ( k e. _V |-> ( w e. ( LHyp ` k )
     |-> ( f e. ( ( LTrn ` k ) ` w ) |-> ( iota_ x e. ( Base ` k )
        A. p e. ( Atoms ` k ) ( -. p ( le ` k ) w ->
         x = ( ( p ( join ` k ) ( f ` p ) ) ( meet ` k ) w ) ) ) ) ) ) $.
  $}

  ${
    $d k p A $.  $d k x B $.  $d k w H $.  $d k .\/ $.  $d f k p w x K $.
    $d k .<_ $.  $d k ./\ $.  $d k T $.
    trlset.b $e |- B = ( Base ` K ) $.
    trlset.l $e |- .<_ = ( le ` K ) $.
    trlset.j $e |- .\/ = ( join ` K ) $.
    trlset.m $e |- ./\ = ( meet ` K ) $.
    trlset.a $e |- A = ( Atoms ` K ) $.
    trlset.h $e |- H = ( LHyp ` K ) $.
    $( The set of all traces of lattice translations for a lattice ` K ` .
       (Contributed by NM, 20-May-2012.) $)
    trlfset $p |- ( K e. C -> ( trL ` K ) = ( w e. H
     |-> ( f e. ( ( LTrn ` K ) ` w ) |-> ( iota_ x e. B
    A. p e. A ( -. p .<_ w -> x = ( ( p .\/ ( f ` p ) ) ./\ w ) ) ) ) ) ) $=
      ( cfv fveq2 vk wcel cvv ctrl cv cltrn wbr wn wceq wral crio cmpt elex clh
      co wi cple cjn cmee catm eqtr4di fveq1d breqd notbid oveqd eqidd oveq123d
      cbs eqeq2d imbi12d raleqbidv riotaeqbidv mpteq12dv df-trl mptfvmpt syl )
      IEUBIUCUBIUDSBGFBUEZIUFSZSZLUEZVQJUGZUHZAUEZVTVTFUESZHUOZVQKUOZUIZUPZLCUJ
      ZADUKZULZULUIIEUMBUAWKUNUDBUAUEZUNSZFVQWLUFSZSZVTVQWLUQSZUGZUHZWCVTWDWLUR
      SZUOZVQWLUSSZUOZUIZUPZLWLUTSZUJZAWLVHSZUKZULZULGUCIIWLIUIZBWMXIGWKXJWMIUN
      SGWLIUNTRVAXJFWOXHVSWJXJVQWNVRWLIUFTVBXJXFWIAXGDXJXGIVHSDWLIVHTMVAXJXDWHL
      XECXJXEIUTSCWLIUTTQVAXJWRWBXCWGXJWQWAXJWPJVTVQXJWPIUQSJWLIUQTNVAVCVDXJXBW
      FWCXJWTWEVQVQXAKXJXAIUSSKWLIUSTPVAXJWSHVTWDXJWSIURSHWLIURTOVAVEXJVQVFVGVI
      VJVKVLVMVMABFUALVNRVOVP $.

    $d w A $.  $d w B $.  $d w .\/ $.  $d w .<_ $.  $d w ./\ $.  $d f w T $.
    $d f p w x W $.
    trlset.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlset.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( The set of traces of lattice translations for a fiducial co-atom ` W ` .
       (Contributed by NM, 20-May-2012.) $)
    trlset $p |- ( ( K e. C /\ W e. H ) -> R
       = ( f e. T |-> ( iota_ x e. B
     A. p e. A ( -. p .<_ W -> x = ( ( p .\/ ( f ` p ) ) ./\ W ) ) ) ) ) $=
      ( vw wcel cv cltrn cfv wn co wceq wi wral crio cmpt trlfset fveq1d syl5eq
      wbr ctrl fveq2 breq2 notbid oveq2 eqeq2d imbi12d riotabidv mpteq12dv eqid
      ralbidv fvex mptex fvmpt mpteq1i eqtr4di sylan9eq ) JDUDZMHUDZEMUCHGUCUEZ
      JUFUGZUGZNUEZVRKURZUHZAUEZWAWAGUEUGIUIZVRLUIZUJZUKZNBULZACUMZUNZUNZUGZGFW
      AMKURZUHZWDWEMLUIZUJZUKZNBULZACUMZUNZVPEMJUSUGZUGWMUBVPMXBWLAUCBCDGHIJKLN
      OPQRSTUOUPUQVQWMGMVSUGZWTUNZXAUCMWKXDHWLVRMUJZGVTWJXCWTVRMVSUTXEWIWSACXEW
      HWRNBXEWCWOWGWQXEWBWNVRMWAKVAVBXEWFWPWDVRMWELVCVDVEVIVFVGWLVHGXCWTMVSVJVK
      VLGFXCWTUAVMVNVO $.

    $d f A $.  $d f B $.  $d f p x F $.  $d f .\/ $.  $d f .<_ $.  $d f ./\ $.
    $( The value of the trace of a lattice translation.  (Contributed by NM,
       20-May-2012.) $)
    trlval $p |- ( ( ( K e. V /\ W e. H ) /\ F e. T )
       -> ( R ` F ) = ( iota_ x e. B
        A. p e. A ( -. p .<_ W -> x = ( ( p .\/ ( F ` p ) ) ./\ W ) ) ) ) $=
      ( vf wcel wa cfv cv wbr wn co wceq wi wral crio cmpt trlset fveq1d oveq2d
      fveq1 oveq1d eqeq2d imbi2d ralbidv riotabidv eqid riotaex fvmpt sylan9eq
      ) ILUDMGUDUEZFEUDFDUFFUCENUGZMJUHUIZAUGZVJVJUCUGZUFZHUJZMKUJZUKZULZNBUMZA
      CUNZUOZUFVKVLVJVJFUFZHUJZMKUJZUKZULZNBUMZACUNZVIFDWAABCLDEUCGHIJKMNOPQRST
      UAUBUPUQUCFVTWHEWAVMFUKZVSWGACWIVRWFNBWIVQWEVKWIVPWDVLWIVOWCMKWIVNWBVJHVJ
      VMFUSURUTVAVBVCVDWAVEWGACVFVGVH $.
  $}

  ${
    $d q x A $.  $d q x F $.  $d q x H $.  $d q x .\/ $.  $d q x K $.
    $d q x .<_ $.  $d q x ./\ $.  $d q x P $.  $d q x T $.  $d q x W $.
    trlval2.l $e |- .<_ = ( le ` K ) $.
    trlval2.j $e |- .\/ = ( join ` K ) $.
    trlval2.m $e |- ./\ = ( meet ` K ) $.
    trlval2.a $e |- A = ( Atoms ` K ) $.
    trlval2.h $e |- H = ( LHyp ` K ) $.
    trlval2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlval2.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( The value of the trace of a lattice translation, given any atom ` P `
       not under the fiducial co-atom ` W ` .  Note: this requires only the
       weaker assumption ` K e. Lat ` ; we use ` K e. HL ` for convenience.
       (Contributed by NM, 20-May-2012.) $)
    trlval2 $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T
        /\ ( P e. A /\ -. P .<_ W ) )
     -> ( R ` F ) = ( ( P .\/ ( F ` P ) ) ./\ W ) ) $=
      ( wcel wceq vq vx chlt wa clat wbr wn cfv co hllat anim1i w3a cv wral cbs
      crio eqid trlval 3adant3 simp1l simp3l atbase syl ltrncl syld3an3 syl3anc
      wi latjcl simp1r lhpbase latmcl simpl3l simpl3r breq1 notbid fveq2 oveq1d
      id oveq12d eqeq2d imbi12d rspcv com23 simp11 simp12 simp13l simp13r simp3
      sylc simp2 ltrnu syl222anc eqeq2 biimpd 3exp com24 ralrimdv adantr impbid
      riota5 eqtrd syl3an1 ) HUCSZKFSZUDHUESZXDUDZEDSZBASZBKIUFZUGZUDZECUHZBBEU
      HZGUIZKJUIZTXCXEXDHUJUKXFXGXKULZXLUAUMZKIUFZUGZUBUMZXQXQEUHZGUIZKJUIZTZVG
      ZUAAUNZUBHUOUHZUPZXOXFXGXLYHTXKUBAYGCDEFGHIJUEKUAYGUQZLMNOPQRURUSXPYFUBYG
      XOXPXEXNYGSZKYGSZXOYGSXEXDXGXKUTZXPXEBYGSZXMYGSZYJYLXPXHYMXFXGXHXJVAAYGBH
      YIOVBVCZXFXGXKYMYNYOYGDEFHUEKBYIPQVDVEYGGHBXMYIMVHVFXPXDYKXEXDXGXKVIYGFHK
      YIPVJVCYGHJXNKYINVKVFXPXTYGSZUDZYFXTXOTZYQXHXJYFYRVGXHXJXFXGYPVLXHXJXFXGY
      PVMXHYFXJYRYEXJYRVGUABAXQBTZXSXJYDYRYSXRXIXQBKIVNVOYSYCXOXTYSYBXNKJYSXQBY
      AXMGYSVRXQBEVPVSVQVTWAWBWCWIXPYRYFVGYPXPYRYEUAAXPXSXQASZYRYDXPXSYTYRYDVGZ
      XPXSYTULZXOYCTZUUAUUBXFXGXHXJYTXSUUCXFXGXKXSYTWDXFXGXKXSYTWEXHXJXFXGXSYTW
      FXHXJXFXGXSYTWGXPXSYTWHXPXSYTWJABXQDEFGHIJUEKLMNOPQWKWLUUCYRYDXOYCXTWMWNV
      CWOWPWQWRWSWTXAXB $.
  $}

  ${
    trlcl.b $e |- B = ( Base ` K ) $.
    trlcl.h $e |- H = ( LHyp ` K ) $.
    trlcl.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlcl.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( Closure of the trace of a lattice translation.  (Contributed by NM,
       22-May-2012.) $)
    trlcl $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
                       -> ( R ` F ) e. B ) $=
      ( chlt wcel wa cfv co eqid mpd3an3 ad2antrr syl3anc coc cjn cmee catm wbr
      cple wn wceq lhpocnel adantr trlval2 clat hllat cops hlop ad2antlr opoccl
      lhpbase syl2anc ltrncl latjcl latmcl eqeltrd ) FLMZGEMZNZDCMZNZDBOZGFUAOZ
      OZVKDOZFUBOZPZGFUCOZPZAVFVGVKFUDOZMVKGFUFOZUEUGNZVIVPUHVFVSVGVQEFVRVJGVRQ
      ZVJQZVQQZIUIUJVQVKBCDEVMFVRVOGVTVMQZVOQZWBIJKUKRVHFULMZVNAMZGAMZVPAMVDWEV
      EVGFUMSZVHWEVKAMZVLAMZWFWHVHFUNMZWGWIVDWKVEVGFUOSVEWGVDVGAEFGHIURUPZAFVJG
      HWAUQUSZVFVGWIWJWMACDEFLGVKHIJUTRAVMFVKVLHWCVATWLAFVOVNGHWDVBTVC $.
  $}

  ${
    $d p F $.  $d p H $.  $d p K $.  $d p R $.  $d p T $.  $d p W $.
    trlcnv.h $e |- H = ( LHyp ` K ) $.
    trlcnv.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlcnv.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( The trace of the converse of a lattice translation.  (Contributed by NM,
       10-May-2013.) $)
    trlcnv $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
                       -> ( R ` `' F ) = ( R ` F ) ) $=
      ( vp chlt wcel wa cfv wbr wn wceq eqid co 3adant3 cple ccnv catm lhpexnle
      cv wrex adantr w3a cjn cmee cbs ltrn1o simp3l atbase syl f1ocnvfv1 oveq2d
      wf1o syl2anc simp1l ltrnat 3adant3r hlatjcom syl3anc eqtrd oveq1d ltrncnv
      simp1 ltrnel trlval2 3eqtr4d 3expa rexlimddv ) EKLZFDLZMZCBLZMJUEZFEUANZO
      PZCUBZANZCANZQZJEUCNZVPVTJWEUFVQWEDEVSFJVSRZWERZGUDUGVPVQVRWELZVTMZWDVPVQ
      WIUHZVRCNZWKWANZEUINZSZFEUJNZSZVRWKWMSZFWOSWBWCWJWNWQFWOWJWNWKVRWMSZWQWJW
      LVRWKWMWJEUKNZWSCURZVRWSLZWLVRQVPVQWTWIWSBCDEKFWSRZGHULTWJWHXAVPVQWHVTUMZ
      WEWSVREXBWGUNUOWSWSVRCUPUSUQWJVNWKWELZWHWRWQQVNVOVQWIUTVPVQWHXDVTWEVRBCDE
      VSFWFWGGHVAVBXCWEWMEWKVRWMRZWGVCVDVEVFWJVPWABLZXDWKFVSOPMWBWPQVPVQWIVHVPV
      QXFWIBCDEFGHVGTWEVRBCDEVSFWFWGGHVIWEWKABWADWMEVSWOFWFXEWORZWGGHIVJVDWEVRA
      BCDWMEVSWOFWFXEXGWGGHIVJVKVLVM $.
  $}

  ${
    trljat.l $e |- .<_ = ( le ` K ) $.
    trljat.j $e |- .\/ = ( join ` K ) $.
    trljat.a $e |- A = ( Atoms ` K ) $.
    trljat.h $e |- H = ( LHyp ` K ) $.
    trljat.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trljat.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( The value of a translation of an atom ` P ` not under the fiducial
       co-atom ` W ` , joined with trace.  Equation above Lemma C in [Crawley]
       p. 112.  TODO: shorten with ~ atmod3i1 ?  (Contributed by NM,
       22-May-2012.) $)
    trljat1 $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T
        /\ ( P e. A /\ -. P .<_ W ) )
     -> ( P .\/ ( R ` F ) ) = ( P .\/ ( F ` P ) ) ) $=
      ( wcel cfv co wceq chlt wa wbr wn w3a cmee eqid trlval2 oveq1d cbs simp1l
      clat hllatd simp3l atbase syl 3adant3 latjcom syl3anc cp1 ltrncl syld3an3
      trlcl latjcl simp1r lhpbase latlej1 atmod2i1 syl131anc lhpjat1 oveq2d col
      3adant2 hlol olm11 syl2anc 3eqtrrd 3eqtr4d ) HUAQZJFQZUBZEDQZBAQZBJIUCUDZ
      UBZUEZECRZBGSZBBERZGSZJHUFRZSZBGSZBWGGSZWJWFWGWLBGABCDEFGHIWKJKLWKUGZMNOP
      UHUIWFHULQZBHUJRZQZWGWQQZWNWHTWFHVSVTWBWEUKZUMZWFWCWRWAWBWCWDUNZAWQBHWQUG
      ZMUOUPZWAWBWSWEWQCDEFHJXCNOPVCUQWQGHBWGXCLURUSWFWMWJJBGSZWKSZWJHUTRZWKSZW
      JWFVSWCWJWQQZJWQQZBWJIUCZWMXFTWTXBWFWPWRWIWQQZXIXAXDWAWBWEWRXLXDWQDEFHUAJ
      BXCNOVAVBZWQGHBWIXCLVDUSZWFVTXJVSVTWBWEVEWQFHJXCNVFUPWFWPWRXLXKXAXDXMWQGH
      IBWIXCKLVGUSAWQBGHIWKWJJXCKLWOMVHVIWFXEXGWJWKWAWEXEXGTWBABXGFGHIJKLXGUGZM
      NVJVMVKWFHVLQZXIXHWJTWFVSXPWTHVNUPXNWQXGHWKWJXCWOXOVOVPVQVR $.

    $( The value of a translation of an atom ` P ` not under the fiducial
       co-atom ` W ` , joined with trace.  Equation above Lemma C in [Crawley]
       p. 112.  (Contributed by NM, 25-May-2012.) $)
    trljat2 $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T
        /\ ( P e. A /\ -. P .<_ W ) )
     -> ( ( F ` P ) .\/ ( R ` F ) ) = ( P .\/ ( F ` P ) ) ) $=
      ( wcel cfv co wceq chlt wa wbr wn w3a cmee cp1 cbs simp1l ltrnat 3adant3r
      clat hllatd simp3l eqid atbase simp1 ltrncl syl3anc latjcl simp1r lhpbase
      syl simp2 latlej2 atmod2i1 syl131anc ltrnel lhpjat1 syl21anc oveq2d olm11
      col hlol syl2anc 3eqtrrd trlval2 oveq1d trlcl latjcom 3eqtr2rd ) HUAQZJFQ
      ZUBZEDQZBAQZBJIUCUDZUBZUEZBBERZGSZWKJHUFRZSZWJGSZECRZWJGSZWJWOGSZWIWNWKJW
      JGSZWLSZWKHUGRZWLSZWKWIWBWJAQZWKHUHRZQZJXCQZWJWKIUCZWNWSTWBWCWEWHUIZWDWEW
      FXBWGABDEFHIJKMNOUJUKWIHULQZBXCQZWJXCQZXDWIHXGUMZWIWFXIWDWEWFWGUNAXCBHXCU
      OZMUPVCZWIWDWEXIXJWDWEWHUQZWDWEWHVDZXMXCDEFHUAJBXLNOURUSZXCGHBWJXLLUTUSZW
      IWCXEWBWCWEWHVAZXCFHJXLNVBVCWIXHXIXJXFXKXMXPXCGHIBWJXLKLVEUSAXCWJGHIWLWKJ
      XLKLWLUOZMVFVGWIWRWTWKWLWIWBWCXBWJJIUCUDUBWRWTTXGXRABDEFHIJKMNOVHAWJWTFGH
      IJKLWTUOZMNVIVJVKWIHVMQZXDXAWKTWIWBYAXGHVNVCXQXCWTHWLWKXLXSXTVLVOVPWIWOWM
      WJGABCDEFGHIWLJKLXSMNOPVQVRWIXHWOXCQZXJWPWQTXKWIWDWEYBXNXOXCCDEFHJXLNOPVS
      VOXPXCGHWOWJXLLVTUSWA $.

    $( The value of a translation of an atom ` P ` not under the fiducial
       co-atom ` W ` , joined with trace.  Equation above Lemma C in [Crawley]
       p. 112.  (Contributed by NM, 22-May-2012.) $)
    trljat3 $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T
        /\ ( P e. A /\ -. P .<_ W ) )
     -> ( P .\/ ( R ` F ) ) = ( ( F ` P ) .\/ ( R ` F ) ) ) $=
      ( wcel wa cfv co chlt wbr wn w3a trljat1 trljat2 eqtr4d ) HUAQJFQREDQBAQB
      JIUBUCRUDBECSZGTBBESZGTUIUHGTABCDEFGHIJKLMNOPUEABCDEFGHIJKLMNOPUFUG $.
  $}

  ${
    trlat.l $e |- .<_ = ( le ` K ) $.
    trlat.a $e |- A = ( Atoms ` K ) $.
    trlat.h $e |- H = ( LHyp ` K ) $.
    trlat.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlat.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( If an atom differs from its translation, the trace is an atom.  Equation
       above Lemma C in [Crawley] p. 112.  (Contributed by NM, 23-May-2012.) $)
    trlat $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
       /\ ( F e. T /\ ( F ` P ) =/= P ) ) -> ( R ` F ) e. A ) $=
      ( wcel wa cfv wne co eqid chlt wbr w3a cjn cmee wceq simp1 simp3l trlval2
      wn simp2 syl3anc simp2l ltrnat simp3r necomd lhpat syl112anc eqeltrd ) GU
      AOIFOPZBAOZBIHUBUJZPZEDOZBEQZBRZPZUCZECQZBVEGUDQZSIGUEQZSZAVHUTVDVCVIVLUF
      UTVCVGUGZUTVCVDVFUHZUTVCVGUKZABCDEFVJGHVKIJVJTZVKTZKLMNUIULVHUTVCVEAOZBVE
      RVLAOVMVOVHUTVDVAVRVMVNUTVAVBVGUMABDEFGHIJKLMUNULVHVEBUTVCVDVFUOUPABVEFVJ
      GHVKIJVPVQKLUQURUS $.
  $}

  ${
    trl0.l $e |- .<_ = ( le ` K ) $.
    trl0.z $e |- .0. = ( 0. ` K ) $.
    trl0.a $e |- A = ( Atoms ` K ) $.
    trl0.h $e |- H = ( LHyp ` K ) $.
    trl0.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trl0.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( If an atom not under the fiducial co-atom ` W ` equals its lattice
       translation, the trace of the translation is zero.  (Contributed by NM,
       24-May-2012.) $)
    trl0 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
       /\ ( F e. T /\ ( F ` P ) = P ) ) -> ( R ` F ) = .0. ) $=
      ( wcel cfv wceq co chlt wa wbr wn w3a cjn cmee simp1 simp3l simp2 trlval2
      syl3anc simp3r oveq2d simp1l simp2l hlatjidm syl2anc oveq1d lhpmat 3eqtrd
      eqid eqtrd ) GUAQZIFQZUBZBAQZBIHUCUDZUBZEDQZBERZBSZUBZUEZECRZBVKGUFRZTZIG
      UGRZTZBIVRTZJVNVFVJVIVOVSSVFVIVMUHZVFVIVJVLUIVFVIVMUJZABCDEFVPGHVRIKVPVBZ
      VRVBZMNOPUKULVNVQBIVRVNVQBBVPTZBVNVKBBVPVFVIVJVLUMUNVNVDVGWEBSVDVEVIVMUOV
      FVGVHVMUPAVPGBWCMUQURVCUSVNVFVIVTJSWAWBABFGHVRIJKWDLMNUTURVA $.
  $}

  ${
    $d p A $.  $d p F $.  $d p H $.  $d p K $.  $d p R $.  $d p T $.  $d p W $.
    $d p .0. $.
    trl0a.z $e |- .0. = ( 0. ` K ) $.
    trl0a.a $e |- A = ( Atoms ` K ) $.
    trl0a.h $e |- H = ( LHyp ` K ) $.
    trl0a.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trl0a.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( The trace of a lattice translation is an atom or zero.  (Contributed by
       NM, 5-May-2013.) $)
    trlator0 $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
              -> ( ( R ` F ) e. A \/ ( R ` F ) = .0. ) ) $=
      ( vp wcel wa cfv wceq wn wne chlt cv cple wbr wrex eqid lhpexnle ad2antrr
      df-ne simplll simpr simpllr simplr adantr trl0 syl112anc ex necon3d trlat
      mpd rexlimddv syl5bir orrd orcomd ) FUAOGEOPZDCOZPZDBQZHRZVHAOZVGVIVJVISV
      HHTZVGVJVHHUIVGVKVJVGVKPZNUBZGFUCQZUDSZVJNAVEVONAUEVFVKAEFVNGNVNUFZJKUGUH
      VLVMAOVOPZPZVEVQVFVMDQZVMTZVJVEVFVKVQUJZVLVQUKVEVFVKVQULZVRVKVTVGVKVQUMVR
      VSVMVHHVRVSVMRZVIVRWCPVEVQVFWCVIVRVEWCWAUNVLVQWCUMVRVFWCWBUNVRWCUKAVMBCDE
      FVNGHVPIJKLMUOUPUQURUTAVMBCDEFVNGVPJKLMUSUPVAUQVBVCVD $.

    $( The trace of a lattice translation is an atom iff it is nonzero.
       (Contributed by NM, 14-Jun-2013.) $)
    trlatn0 $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
              -> ( ( R ` F ) e. A <-> ( R ` F ) =/= .0. ) ) $=
      ( chlt wcel wa cfv wne cal hlatl ad3antrrr atn0 sylancom ex wceq trlator0
      ord necon1ad impbid ) FNOZGEOZPDCOZPZDBQZAOZUNHRZUMUOUPUMUOFSOZUPUJUQUKUL
      UOFTUAAUNFHIJUBUCUDUMUOUNHUMUOUNHUEABCDEFGHIJKLMUFUGUHUI $.
  $}

  ${
    $d p A $.  $d p B $.  $d p F $.  $d p H $.  $d p K $.  $d p R $.  $d p T $.
    $d p W $.
    trlnidat.b $e |- B = ( Base ` K ) $.
    trlnidat.a $e |- A = ( Atoms ` K ) $.
    trlnidat.h $e |- H = ( LHyp ` K ) $.
    trlnidat.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlnidat.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( The trace of a lattice translation other than the identity is an atom.
       Remark above Lemma C in [Crawley] p. 112.  (Contributed by NM,
       23-May-2012.) $)
    trlnidat $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T
        /\ F =/= ( _I |` B ) ) -> ( R ` F ) e. A ) $=
      ( vp chlt wcel wa wne w3a cfv cid cres cv cple wbr wn wrex ltrnnid simp11
      eqid simp2 simp3l simp12 simp3r trlat syl122anc rexlimdv3a mpd ) GOPHFPQZ
      EDPZEUABUBRZSZNUCZHGUDTZUEUFZVCETVCRZQZNAUGECTAPZABDEFGVDHNIVDUJZJKLUHVBV
      GVHNAVBVCAPZVGSUSVJVEUTVFVHUSUTVAVJVGUIVBVJVGUKVBVJVEVFULUSUTVAVJVGUMVBVJ
      VEVFUNAVCCDEFGVDHVIJKLMUOUPUQUR $.
  $}

  ${
    ltrnnidn.b $e |- B = ( Base ` K ) $.
    ltrnnidn.l $e |- .<_ = ( le ` K ) $.
    ltrnnidn.a $e |- A = ( Atoms ` K ) $.
    ltrnnidn.h $e |- H = ( LHyp ` K ) $.
    ltrnnidn.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( If a lattice translation is not the identity, then the translation of
       any atom not under the fiducial co-atom ` W ` is different from the
       atom.  Remark above Lemma C in [Crawley] p. 112.  (Contributed by NM,
       24-May-2012.) $)
    ltrnnidn $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ F =/= ( _I |` B ) )
         /\ ( P e. A /\ -. P .<_ W ) ) -> ( F ` P ) =/= P ) $=
      ( wcel wa wne cfv eqid wceq chlt cid cres wbr wn w3a cp0 cal simp1l hlatl
      ctrl syl simp1 simp2l simp2r trlnidat syl3anc atn0 syl2anc simpl1 simpl2l
      simpl3 simpr trl0 syl112anc ex necon3d mpd ) GUAOZIFOZPZEDOZEUBBUCQZPZCAO
      CIHUDUEPZUFZEIGUKRRZRZGUGRZQZCERZCQVPGUHOZVRAOZVTVPVIWBVIVJVNVOUIGUJULVPV
      KVLVMWCVKVNVOUMVKVLVMVOUNVKVLVMVOUOABVQDEFGIJLMNVQSZUPUQAVRGVSVSSZLURUSVP
      WACVRVSVPWACTZVRVSTZVPWFPVKVOVLWFWGVKVNVOWFUTVKVNVOWFVBVLVMVKVOWFVAVPWFVC
      ACVQDEFGHIVSKWELMNWDVDVEVFVGVH $.

    $( Property of the identity lattice translation.  (Contributed by NM,
       27-May-2012.) $)
    ltrnideq $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T
   /\ ( P e. A /\ -. P .<_ W ) ) -> ( F = ( _I |` B ) <-> ( F ` P ) = P ) ) $=
      ( wcel wa wceq cfv simpr ex chlt wbr wn w3a cid cres fveq1d atbase fvresi
      simpl3l 3syl eqtrd simpl1 simpl2 simpl3 ltrnnidn syl121anc necon4d impbid
      wne ) GUAOIFOPZEDOZCAOZCIHUBUCZPZUDZEUEBUFZQZCERZCQZVFVHVJVFVHPZVICVGRZCV
      KCEVGVFVHSUGVKVCCBOVLCQVCVDVAVBVHUJABCGJLUHBCUIUKULTVFEVGVICVFEVGUTZVICUT
      ZVFVMPVAVBVMVEVNVAVBVEVMUMVAVBVEVMUNVFVMSVAVBVEVMUOABCDEFGHIJKLMNUPUQTURU
      S $.
  $}

  ${
    $d p B $.  $d p H $.  $d p K $.  $d p R $.  $d p W $.  $d p .0. $.
    trlid0.b $e |- B = ( Base ` K ) $.
    trlid0.z $e |- .0. = ( 0. ` K ) $.
    trlid0.h $e |- H = ( LHyp ` K ) $.
    trlid0.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( The trace of the identity translation is zero.  (Contributed by NM,
       11-Jun-2013.) $)
    trlid0 $p |- ( ( K e. HL /\ W e. H )
             -> ( R ` ( _I |` B ) ) = .0. ) $=
      ( vp chlt wcel wa cv cple cfv wbr wceq eqid cid cres lhpexnle cltrn simpl
      wn catm simpr idltrn adantr wb ltrnideq syl3anc mpbii syl112anc rexlimddv
      trl0 ) DLMECMNZKOZEDPQZRUFZUAAUBZBQFSZKDUGQZVDCDUTEKUTTZVDTZIUCURUSVDMVAN
      ZNZURVGVBEDUDQQZMZUSVBQUSSZVCURVGUEZURVGUHZURVJVGAVICDEGIVITZUIUJZVHVBVBS
      ZVKVBTVHURVJVGVPVKUKVLVOVMVDAUSVIVBCDUTEGVEVFIVNULUMUNVDUSBVIVBCDUTEFVEHV
      FIVNJUQUOUP $.
  $}

  ${
    $d p A $.  $d p B $.  $d p F $.  $d p H $.  $d p K $.  $d p R $.  $d p T $.
    $d p W $.
    trlnidatb.b $e |- B = ( Base ` K ) $.
    trlnidatb.a $e |- A = ( Atoms ` K ) $.
    trlnidatb.h $e |- H = ( LHyp ` K ) $.
    trlnidatb.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlnidatb.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( A lattice translation is not the identity iff its trace is an atom.
       TODO:  Can proofs be reorganized so this goes with ~ trlnidat ?  Why do
       both this and ~ ltrnideq need ~ trlnidat ?  (Contributed by NM,
       4-Jun-2013.) $)
    trlnidatb $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
        -> ( F =/= ( _I |` B ) <-> ( R ` F ) e. A ) ) $=
      ( vp wcel wa wne cfv 3expia wceq chlt cid cres trlnidat cv cple wbr wn wi
      wrex eqid lhpexnle adantr wb ltrnideq 3expa cp0 simp1l simp2 simp1r simp3
      w3a trl0 syl112anc cal simplll hlatl atn0 ex 3syl necon2bd syld rexlimddv
      sylbid necon2ad impbid ) GUAOZHFOZPZEDOZPZEUBBUCZQZECRZAOZVSVTWCWEABCDEFG
      HIJKLMUDSWAWEEWBWANUEZHGUFRZUGUHZEWBTZWEUHZUINAVSWHNAUJVTAFGWGHNWGUKZJKUL
      UMWAWFAOWHPZPZWIWFERWFTZWJVSVTWLWIWNUNABWFDEFGWGHIWKJKLUOUPWMWNWDGUQRZTZW
      JWAWLWNWPWAWLWNVBVSWLVTWNWPVSVTWLWNURWAWLWNUSVSVTWLWNUTWAWLWNVAAWFCDEFGWG
      HWOWKWOUKZJKLMVCVDSWMWEWDWOWMVQGVEOZWEWDWOQZUIVQVRVTWLVFGVGWRWEWSAWDGWOWQ
      JVHVIVJVKVLVNVMVOVP $.
  $}

  ${
    trlid0b.b $e |- B = ( Base ` K ) $.
    trlid0b.z $e |- .0. = ( 0. ` K ) $.
    trlid0b.h $e |- H = ( LHyp ` K ) $.
    trlid0b.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlid0b.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( A lattice translation is the identity iff its trace is zero.
       (Contributed by NM, 14-Jun-2013.) $)
    trlid0b $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
        -> ( F = ( _I |` B ) <-> ( R ` F ) = .0. ) ) $=
      ( chlt wcel wa cid cres cfv wne catm trlnidatb trlatn0 bitrd necon4bid
      eqid ) FNOGEOPDCOPZDQARZDBSZHUGDUHTUIFUASZOUIHTUJABCDEFGIUJUFZKLMUBUJBCDE
      FGHJUKKLMUCUDUE $.
  $}

  ${
    trlnid.b $e |- B = ( Base ` K ) $.
    trlnid.h $e |- H = ( LHyp ` K ) $.
    trlnid.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlnid.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( Different translations with the same trace cannot be the identity.
       (Contributed by NM, 26-Jul-2013.) $)
    trlnid $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ G e. T )
        /\ ( F =/= G /\ ( R ` F ) = ( R ` G ) ) )
        -> F =/= ( _I |` B ) ) $=
      ( wcel wa wne cfv wceq wb trlid0b syl2anc chlt w3a cid cres simp3l simp2l
      cp0 eqid biimpar simp3r eqeq1d biimpa simpl1 simpl2r mpbird eqtr4d sylbid
      simp1 ex necon3d mpd ) GUAMHFMNZDCMZECMZNZDEOZDBPZEBPZQZNZUBZVFDUCAUDZOVB
      VEVFVIUEVKDVLDEVKDVLQZVGGUGPZQZDEQZVKVBVCVMVORVBVEVJURVBVCVDVJUFABCDFGHVN
      IVNUHZJKLSTZVKVOVPVKVONZDVLEVKVMVOVRUIVSEVLQZVHVNQZVKVOWAVKVGVHVNVBVEVFVI
      UJUKULVSVBVDVTWARVBVEVJVOUMVCVDVBVJVOUNABCEFGHVNIVQJKLSTUOUPUSUQUTVA $.
  $}

  ${
    ltrn2eq.l $e |- .<_ = ( le ` K ) $.
    ltrn2eq.a $e |- A = ( Atoms ` K ) $.
    ltrn2eq.h $e |- H = ( LHyp ` K ) $.
    ltrn2eq.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Property of the equality of a lattice translation with its value.
       (Contributed by NM, 27-May-2012.) $)
    ltrn2ateq $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T
    /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) ) )
        -> ( ( F ` P ) = P <-> ( F ` Q ) = Q ) ) $=
      ( wcel wa wbr wn cfv wceq wb chlt w3a cres eqid ltrnideq 3adant3r3 bitr3d
      cid cbs 3adant3r2 ) GUANIFNOZEDNZBANBIHPQOZCANCIHPQOZUBOEUHGUIRZUCSZBERBS
      ZCERCSZUKULUMUPUQTUNAUOBDEFGHIUOUDZJKLMUEUFUKULUNUPURTUMAUOCDEFGHIUSJKLMU
      EUJUG $.

    $( If any atom (under ` W ` ) is not equal to its translation, so is any
       other atom.  (Contributed by NM, 6-May-2013.) $)
    ltrnateq $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T
    /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( F ` P ) = P ) -> ( F ` Q ) = Q ) $=
      ( chlt wcel wa wbr wn cfv wceq w3a ltrn2ateq biimp3a ) GNOIFOPEDOBAOBIHQR
      PCAOCIHQRPUABESBTCESCTABCDEFGHIJKLMUBUC $.

    $( If any atom (under ` W ` ) is not equal to its translation, so is any
       other atom.  TODO: ` -. P .<_ W ` isn't needed to prove this.  Will
       removing it shorten (and not lengthen) proofs using it?  (Contributed by
       NM, 6-May-2013.) $)
    ltrnatneq $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T
    /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( F ` P ) =/= P ) -> ( F ` Q ) =/= Q ) $=
      ( chlt wcel wa wbr wn cfv wne w3a ltrn2ateq necon3bid biimp3a ) GNOIFOPZE
      DOBAOBIHQRPCAOCIHQRPUAZBESZBTCESZCTUEUFPUGBUHCABCDEFGHIJKLMUBUCUD $.

    $( If the value of an atom equals the atom in a non-identity translation,
       the atom is under the fiducial hyperplane.  (Contributed by NM,
       15-May-2013.) $)
    ltrnatlw $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T
    /\ ( P e. A /\ -. P .<_ W ) /\ Q e. A )
    /\ ( ( F ` P ) =/= P /\ ( F ` Q ) = Q ) ) -> Q .<_ W ) $=
      ( wcel wa wbr wn w3a cfv wne chlt wceq simp3r simpl21 simpl22 simpl23 jca
      simpl1 simpr simpl3l ltrnatneq syl131anc ex necon4bd mpd ) GUANIFNOZEDNZB
      ANBIHPQOZCANZRZBESBTZCESZCUBZOZRZVCCIHPZUPUTVAVCUCVEVFVBCVEVFQZVBCTZVEVGO
      ZUPUQURUSVGOVAVHUPUTVDVGUHUQURUSUPVDVGUDUQURUSUPVDVGUEVIUSVGUQURUSUPVDVGU
      FVEVGUIUGVAVCUPUTVGUJABCDEFGHIJKLMUKULUMUNUO $.
  $}

  ${
    trlle.l $e |- .<_ = ( le ` K ) $.
    trlle.h $e |- H = ( LHyp ` K ) $.
    trlle.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlle.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( The trace of a lattice translation is less than the fiducial co-atom
       ` W ` .  (Contributed by NM, 25-May-2012.) $)
    trlle $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
         -> ( R ` F ) .<_ W ) $=
      ( chlt wcel wa cfv co wbr eqid mpd3an3 ad2antrr coc cjn cmee catm wn wceq
      lhpocnel adantr trlval2 clat cbs hllat cops hlop lhpbase ad2antlr syl2anc
      opoccl ltrncl latjcl syl3anc latmle2 eqbrtrd ) ELMZGDMZNZCBMZNZCAOZGEUAOZ
      OZVKCOZEUBOZPZGEUCOZPZGFVFVGVKEUDOZMVKGFQUENZVIVPUFVFVRVGVQDEFVJGHVJRZVQR
      ZIUGUHVQVKABCDVMEFVOGHVMRZVORZVTIJKUISVHEUJMZVNEUKOZMZGWDMZVPGFQVDWCVEVGE
      ULTZVHWCVKWDMZVLWDMZWEWGVHEUMMZWFWHVDWJVEVGEUNTVEWFVDVGWDDEGWDRZIUOUPZWDE
      VJGWKVSURUQZVFVGWHWIWMWDBCDELGVKWKIJUSSWDVMEVKVLWKWAUTVAWLWDEFVOVNGWKHWBV
      BVAVC $.
  $}

  ${
    trlne.l $e |- .<_ = ( le ` K ) $.
    trlne.a $e |- A = ( Atoms ` K ) $.
    trlne.h $e |- H = ( LHyp ` K ) $.
    trlne.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlne.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( The trace of a lattice translation is not equal to any atom not under
       the fiducial co-atom ` W ` .  Part of proof of Lemma C in [Crawley]
       p. 112.  (Contributed by NM, 25-May-2012.) $)
    trlne $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T
        /\ ( P e. A /\ -. P .<_ W ) ) -> P =/= ( R ` F ) ) $=
      ( chlt wcel wa wbr wn w3a cfv wne simp3r wceq 3adant3 syl5ibrcom necon3bd
      trlle breq1 mpd ) GOPIFPQZEDPZBAPZBIHRZSZQZTZUOBECUAZUBUKULUMUOUCUQUNBURU
      QUNBURUDURIHRZUKULUSUPCDEFGHIJLMNUHUEBURIHUIUFUGUJ $.

    $( The atom not under the fiducial co-atom ` W ` is not less than the trace
       of a lattice translation.  Part of proof of Lemma C in [Crawley] p. 112.
       (Contributed by NM, 26-May-2012.) $)
    trlnle $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T
        /\ ( P e. A /\ -. P .<_ W ) ) -> -. P .<_ ( R ` F ) ) $=
      ( wcel wa wbr wn cfv wceq chlt w3a cp0 cal simpl1l hlatl syl simpl3l eqid
      atnle0 syl2anc simpl1 simpl3 simpl2 simpr trl0 syl112anc breq2d wne trlne
      mtbird adantr wb trlat atncmp syl3anc mpbird pm2.61dane ) GUAOZIFOZPZEDOZ
      BAOZBIHQRZPZUBZBECSZHQZRZBESZBVPVTBTZPZVRBGUCSZHQZWBGUDOZVMWDRWBVIWEVIVJV
      LVOWAUEGUFZUGVMVNVKVLWAUHABGHWCJWCUIZKUJUKWBVQWCBHWBVKVOVLWAVQWCTVKVLVOWA
      ULVKVLVOWAUMVKVLVOWAUNVPWAUOABCDEFGHIWCJWGKLMNUPUQURVAVPVTBUSZPZVSBVQUSZV
      PWJWHABCDEFGHIJKLMNUTVBWIWEVMVQAOZVSWJVCWIVIWEVIVJVLVOWHUEWFUGVMVNVKVLWHU
      HWIVKVOVLWHWKVKVLVOWHULVKVLVOWHUMVKVLVOWHUNVPWHUOABCDEFGHIJKLMNVDUQABVQGH
      JKVEVFVGVH $.
  $}

  ${
    trlval3.l $e |- .<_ = ( le ` K ) $.
    trlval3.j $e |- .\/ = ( join ` K ) $.
    trlval3.m $e |- ./\ = ( meet ` K ) $.
    trlval3.a $e |- A = ( Atoms ` K ) $.
    trlval3.h $e |- H = ( LHyp ` K ) $.
    trlval3.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlval3.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( The value of the trace of a lattice translation in terms of 2 atoms.
       TODO:  Try to shorten proof.  (Contributed by NM, 3-May-2013.) $)
    trlval3 $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
       /\ ( P .\/ ( F ` P ) ) =/= ( Q .\/ ( F ` Q ) ) ) )
    -> ( R ` F ) = ( ( P .\/ ( F ` P ) ) ./\ ( Q .\/ ( F ` Q ) ) ) ) $=
      ( wcel chlt wa wbr wn cfv co wne w3a wceq cp0 simpl1 simpl31 simpl2 simpr
      eqid trl0 syl112anc simpl33 cal simpl1l hlatl syl oveq2d simp31l hlatjidm
      adantr syl2anc eqtrd eqeltrd simp1 simp2 simp31 simp32 ltrn2ateq syl13anc
      biimpa simp32l atnem0 syl3anc mpbid eqtr4d trlval2 clat cbs hllatd ltrnat
      wb hlatjcl simpl1r lhpbase latmle1 eqbrtrd trlcl latlem12 mpbi2and latmcl
      simpl32 trlat atlen0 syl31anc neneqd 2atmat0 syl33anc ord mt3d pm2.61dane
      wo atcmp ) IUATZLGTZUBZFETZBATZBLJUCUDZUBZCATZCLJUCUDZUBZBBFUEZHUFZCCFUEZ
      HUFZUGZUHZUHZFDUEZXTYBKUFZUIZXSBYEXSBUIZUBZYFIUJUEZYGYJXKXOXLYIYFYKUIXKXL
      YDYIUKXOXRYCXKXLYIULXKXLYDYIUMYEYIUNZABDEFGIJLYKMYKUOZPQRSUPUQYJYCYGYKUIZ
      XOXRYCXKXLYIURYJIUSTZXTATYBATYCYNWGYJXIYOXIXJXLYDYIUTZIVAZVBYJXTBAYJXTBBH
      UFZBYJXSBBHYLVCYJXIXMYRBUIYPYEXMYIXMXNXRYCXKXLVDZVFZAHIBNPVEVGVHYTVIYJYBC
      AYJYBCCHUFZCYJYACCHYEYIYACUIZYEXKXLXOXRYIUUBWGXKXLYDVJXKXLYDVKXKXLXOXRYCV
      LXKXLXOXRYCVMABCEFGIJLMPQRVNVOVPVCYJXIXPUUACUIYPYEXPYIXPXQXOYCXKXLVQZVFZA
      HICNPVEVGVHUUDVIAXTYBIKYKOYMPVRVSVTWAYEXSBUGZUBZYFYGJUCZYHUUFYFXTJUCZYFYB
      JUCZUUGUUFYFXTLKUFZXTJUUFXKXLXOYFUUJUIXKXLYDUUEUKZXKXLYDUUEUMZXOXRYCXKXLU
      UEULZABDEFGHIJKLMNOPQRSWBVSUUFIWCTZXTIWDUEZTZLUUOTZUUJXTJUCUUFIXIXJXLYDUU
      EUTZWEZUUFXIXMXSATZUUPUURYEXMUUEYSVFZUUFXKXLXMUUTUUKUULUVAABEFGIJLMPQRWFV
      SZAUUOHIBXSUUOUOZNPWHVSZUUFXJUUQXIXJXLYDUUEWIUUOGILUVCQWJVBZUUOIJKXTLUVCM
      OWKVSWLUUFYFYBLKUFZYBJUUFXKXLXRYFUVFUIUUKUULXOXRYCXKXLUUEWQACDEFGHIJKLMNO
      PQRSWBVSUUFUUNYBUUOTZUUQUVFYBJUCUUSUUFXIXPYAATZUVGUURYEXPUUEUUCVFZUUFXKXL
      XPUVHUUKUULUVIACEFGIJLMPQRWFVSZAUUOHICYAUVCNPWHVSZUVEUUOIJKYBLUVCMOWKVSWL
      UUFUUNYFUUOTZUUPUVGUUHUUIUBUUGWGUUSUUFXKXLUVLUUKUULUUODEFGILUVCQRSWMVGUVD
      UVKUUOIJKYFXTYBUVCMOWNVOWOZUUFYOYFATZYGATZUUGYHWGUUFXIYOUURYQVBZUUFXKXOXL
      UUEUVNUUKUUMUULYEUUEUNABDEFGIJLMPQRSWRUQZUUFUVOYNUUFYGYKUUFYOYGUUOTZUVNUU
      GYGYKUGUVPUUFUUNUUPUVGUVRUUSUVDUVKUUOIKXTYBUVCOWPVSUVQUVMAUUOYFIJYGYKUVCM
      YMPWSWTXAUUFUVOYNUUFXIXMUUTXPUVHYCUVOYNXGUURUVAUVBUVIUVJXOXRYCXKXLUUEURAB
      XSCYAHIKYKNOYMPXBXCXDXEAYFYGIJMPXHVSVTXF $.

    $( The value of the trace of a lattice translation in terms of 2 atoms.
       (Contributed by NM, 3-May-2013.) $)
    trlval4 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T
       /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ -. ( R ` F ) .<_ ( P .\/ Q ) ) )
    -> ( R ` F ) = ( ( P .\/ ( F ` P ) ) ./\ ( Q .\/ ( F ` Q ) ) ) ) $=
      ( wcel chlt wa wbr wn w3a wne cfv wceq simp1 simp21 simp22 simp23 simpl1l
      simp3r simp23l adantr simpl1 simpl21 ltrnat syl3anc simpl22 trljat1 simpr
      co hlatlej1 eqtrd breqtrrd wi simpl3r cp0 simpll1 eqid trl0 syl112anc cal
      cbs hlatl syl simp22l hlatjcl atl0le syl2anc eqbrtrd necon3bd mpd simpl3l
      ex trlat necomd hlatexch1 syl131anc trlval3 syl113anc ) IUATZLGTZUBZFETZB
      ATZBLJUCUDZUBZCATZCLJUCUDZUBZUEZBCUFZFDUGZBCHVDZJUCZUDZUBZUEZWPWQWTXCBBFU
      GZHVDZCCFUGZHVDZUFZXFXMXOKVDUHWPXDXJUIWPWQWTXCXJUJWPWQWTXCXJUKWPWQWTXCXJU
      LXKXIXPWPXDXEXIUNXKXHXMXOXKXMXOUHZXHXKXQUBZCBXFHVDZJUCZXHXRCXOXSJXRWNXAXN
      ATZCXOJUCWNWOXDXJXQUMZXKXAXQXAXBWQWTWPXJUOUPZXRWPWQXAYAWPXDXJXQUQZWQWTXCW
      PXJXQURZYCACEFGIJLMPQRUSUTACXNHIJMNPVEUTXRXSXMXOXRWPWQWTXSXMUHYDYEWQWTXCW
      PXJXQVAZABDEFGHIJLMNPQRSVBUTXKXQVCVFVGXRWNXAXFATZWRCBUFXTXHVHYBYCXRWPWTWQ
      XLBUFZYGYDYFYEXRXIYHXEXIWPXDXQVIXRXHXLBXRXLBUHZXHXRYIUBZXFIVJUGZXGJYJWPWT
      WQYIXFYKUHWPXDXJXQYIVKXRWTYIYFUPXRWQYIYEUPXRYIVCABDEFGIJLYKMYKVLZPQRSVMVN
      XRYKXGJUCZYIXRIVOTZXGIVPUGZTZYMXRWNYNYBIVQVRXRWNWRXAYPYBXKWRXQWRWSWQXCWPX
      JVSUPZYCAYOHIBCYOVLZNPVTUTYOIJXGYKYRMYLWAWBUPWCWGWDWEABDEFGIJLMPQRSWHVNYQ
      XRBCXEXIWPXDXQWFWIACXFBHIJMNPWJWKWEWGWDWEABCDEFGHIJKLMNOPQRSWLWM $.

    $( The value of the trace of a lattice translation in terms of itself.
       (Contributed by NM, 19-Jul-2013.) $)
    trlval5 $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T
       /\ ( P e. A /\ -. P .<_ W ) )
    -> ( R ` F ) = ( ( P .\/ ( R ` F ) ) ./\ W ) ) $=
      ( wcel co chlt wa wbr wn w3a cfv trlval2 trljat1 oveq1d eqtr4d ) HUASKFSU
      BEDSBASBKIUCUDUBUEZECUFZBBEUFGTZKJTBULGTZKJTABCDEFGHIJKLMNOPQRUGUKUNUMKJA
      BCDEFGHIKLMOPQRUHUIUJ $.
  $}

  ${
    arglem1.j $e |- .\/ = ( join ` K ) $.
    arglem1.m $e |- ./\ = ( meet ` K ) $.
    arglem1.a $e |- A = ( Atoms ` K ) $.
    arglem1.f $e |- F = ( ( P .\/ Q ) ./\ ( S .\/ T ) ) $.
    arglem1.g $e |- G = ( ( P .\/ S ) ./\ ( Q .\/ T ) ) $.
    $( Lemma for Desargues's law.  Theorem 13.3 of [Crawley] p. 110, third and
       fourth lines from bottom.  In these lemmas, ` P ` , ` Q ` , ` R ` ,
       ` S ` , ` T ` , ` U ` , ` C ` , ` D ` , ` E ` , ` F ` , and ` G `
       represent Crawley's a_0, a_1, a_2, b_0, b_1, b_2, c, z_0, z_1, z_2, and
       p respectively.  (Contributed by NM, 28-Jun-2012.)
       (New usage is discouraged.) $)
    arglem1N $p |- ( ( ( ( K e. HL /\ P e. A /\ Q e. A ) /\ ( S e. A /\ T e. A
         /\ P =/= Q ) /\ ( P =/= S /\ Q =/= T /\ S =/= T ) ) /\ G e. A )
            -> F e. A ) $=
      ( wcel w3a wne co atbase chlt wa clpl cfv clat cbs simpl11 hllatd simpl12
      wceq eqid simpl13 simpl21 simpl22 latj4 syl122anc simpr eqeltrrid clln wb
      syl simpl31 llni2 syl31anc simpl32 2llnmj syl3anc eqeltrd simpl23 simpl33
      mpbid mpbird eqeltrid ) IUAPZBAPZCAPZQZDAPZEAPZBCRZQZBDRZCERZDERZQZQZGAPZ
      UBZFBCHSZDEHSZJSZANWHWKAPZWIWJHSZIUCUDZPZWHWMBDHSZCEHSZHSZWNWHIUEPBIUFUDZ
      PZCWSPZDWSPZEWSPZWMWRUJWHIVNVOVPWAWEWGUGZUHWHVOWTVNVOVPWAWEWGUIZAWSBIWSUK
      ZMTVAWHVPXAVNVOVPWAWEWGULZAWSCIXFMTVAWHVRXBVRVSVTVQWEWGUMZAWSDIXFMTVAWHVS
      XCVRVSVTVQWEWGUNZAWSEIXFMTVAWSHIEBCDXFKUOUPWHWPWQJSZAPZWRWNPZWHXJGAOWFWGU
      QURWHVNWPIUSUDZPZWQXMPZXKXLUTXDWHVNVOVRWBXNXDXEXHWBWCWDVQWAWGVBABDHIXMKMX
      MUKZVCVDWHVNVPVSWCXOXDXGXIWBWCWDVQWAWGVEACEHIXMKMXPVCVDAWNHIJXMWPWQKLMXPW
      NUKZVFVGVKVHWHVNWIXMPZWJXMPZWLWOUTXDWHVNVOVPVTXRXDXEXGVRVSVTVQWEWGVIABCHI
      XMKMXPVCVDWHVNVRVSWDXSXDXHXIWBWCWDVQWAWGVJADEHIXMKMXPVCVDAWNHIJXMWIWJKLMX
      PXQVFVGVLVM $.
  $}

  ${
    cdlemc1.b $e |- B = ( Base ` K ) $.
    cdlemc1.l $e |- .<_ = ( le ` K ) $.
    cdlemc1.j $e |- .\/ = ( join ` K ) $.
    cdlemc1.m $e |- ./\ = ( meet ` K ) $.
    cdlemc1.a $e |- A = ( Atoms ` K ) $.
    cdlemc1.h $e |- H = ( LHyp ` K ) $.
    $( Part of proof of Lemma C in [Crawley] p. 112.  TODO: shorten with
       ~ atmod3i1 ?  (Contributed by NM, 29-May-2012.) $)
    cdlemc1 $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. B
          /\ ( P e. A /\ -. P .<_ W ) )
        -> ( P .\/ ( ( P .\/ X ) ./\ W ) ) = ( P .\/ X ) ) $=
      ( wcel co wceq syl3anc chlt wa wbr wn w3a simp1l hllatd simp3l atbase syl
      simp2 latjcl simp1r lhpbase latmcl latjcom latlej1 atmod2i1 syl131anc cp1
      clat cfv eqid lhpjat1 3adant2 oveq2d col hlol olm11 syl2anc eqtrd 3eqtrd
      ) FUAQZIDQZUBZJBQZCAQZCIGUCUDZUBZUEZCCJERZIHRZERZWBCERZWAICERZHRZWAVTFVAQ
      ZCBQZWBBQZWCWDSVTFVMVNVPVSUFZUGZVTVQWHVOVPVQVRUHZABCFKOUIUJZVTWGWABQZIBQZ
      WIWKVTWGWHVPWNWKWMVOVPVSUKZBEFCJKMULTZVTVNWOVMVNVPVSUMBDFIKPUNUJZBFHWAIKN
      UOTBEFCWBKMUPTVTVMVQWNWOCWAGUCZWDWFSWJWLWQWRVTWGWHVPWSWKWMWPBEFGCJKLMUQTA
      BCEFGHWAIKLMNOURUSVTWFWAFUTVBZHRZWAVTWEWTWAHVOVSWEWTSVPACWTDEFGILMWTVCZOP
      VDVEVFVTFVGQZWNXAWASVTVMXCWJFVHUJWQBWTFHWAKNXBVIVJVKVL $.
  $}

  ${
    cdlemc2.l $e |- .<_ = ( le ` K ) $.
    cdlemc2.j $e |- .\/ = ( join ` K ) $.
    cdlemc2.m $e |- ./\ = ( meet ` K ) $.
    cdlemc2.a $e |- A = ( Atoms ` K ) $.
    cdlemc2.h $e |- H = ( LHyp ` K ) $.
    cdlemc2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Part of proof of Lemma C in [Crawley] p. 112.  (Contributed by NM,
       25-May-2012.) $)
    cdlemc2 $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T
          /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) ) )
        -> ( F ` Q ) .<_ ( ( F ` P ) .\/ ( ( P .\/ Q ) ./\ W ) ) ) $=
      ( wcel wbr syl3anc chlt wa wn w3a cfv simp1l simp3ll simp3rl hlatlej2 cbs
      co wceq simp1 eqid atbase syl simp3l cdlemc1 breqtrrd simp2 hllatd latjcl
      wb clat simp1r lhpbase latmcl ltrnle syl112anc mpbid ltrnj latmle2 oveq2d
      ltrnval1 eqtrd breqtrd ) HUARZKFRZUBZEDRZBARZBKISUCZUBZCARZCKISUCZUBZUBZU
      DZCEUEZBBCGUKZKJUKZGUKZEUEZBEUEZWKGUKZIWHCWLISZWIWMISZWHCWJWLIWHVQWAWDCWJ
      ISVQVRVTWGUFZWAWBWFVSVTUGZWDWEWCVSVTUHZABCGHILMOUITWHVSCHUJUEZRZWCWLWJULV
      SVTWGUMZWHWDXBWTAXACHXAUNZOUOUPZVSVTWCWFUQAXABFGHIJKCXDLMNOPURTUSWHVSVTXB
      WLXARZWPWQVCXCVSVTWGUTZXEWHHVDRZBXARZWKXARZXFWHHWRVAZWHWAXIWSAXABHXDOUOUP
      ZWHXHWJXARZKXARZXJXKWHXHXIXBXMXKXLXEXAGHBCXDMVBTZWHVRXNVQVRVTWGVEXAFHKXDP
      VFUPZXAHJWJKXDNVGTZXAGHBWKXDMVBTXADEFHIUAKCWLXDLPQVHVIVJWHWMWNWKEUEZGUKZW
      OWHVSVTXIXJWMXSULXCXGXLXQXADEFGHKBWKXDMPQVKVIWHXRWKWNGWHVSVTXJWKKISZXRWKU
      LXCXGXQWHXHXMXNXTXKXOXPXAHIJWJKXDLNVLTXADEFHIUAKWKXDLPQVNVIVMVOVP $.
  $}

  ${
    cdlemc3.l $e |- .<_ = ( le ` K ) $.
    cdlemc3.j $e |- .\/ = ( join ` K ) $.
    cdlemc3.m $e |- ./\ = ( meet ` K ) $.
    cdlemc3.a $e |- A = ( Atoms ` K ) $.
    cdlemc3.h $e |- H = ( LHyp ` K ) $.
    cdlemc3.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemc3.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( Part of proof of Lemma C in [Crawley] p. 113.  (Contributed by NM,
       26-May-2012.) $)
    cdlemc3 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T
          /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) ) )
        -> ( ( F ` P ) .<_ ( Q .\/ ( R ` F ) )
          -> Q .<_ ( P .\/ ( F ` P ) ) ) ) $=
      ( wcel chlt wa wbr wn w3a cfv co cbs simpll simpr1 simpr2l ltrnat syl3anc
      simpl simpr3l eqid trlcl syldan ltrnel 3adant3r3 trlnle hlexch2 syl131anc
      wi wceq trljat2 breq2d sylibd ) IUATZLGTZUBZFETZBATZBLJUCUDZUBZCATZCLJUCU
      DZUBZUEZUBZBFUFZCFDUFZHUGJUCZCWAWBHUGZJUCZCBWAHUGZJUCVTVIWAATZVPWBIUHUFZT
      ZWAWBJUCUDZWCWEVDVIVJVSUIVTVKVLVMWGVKVSUNZVKVLVOVRUJZVMVNVLVRVKUKABEFGIJL
      MPQRULUMVPVQVLVOVKUOVKVSVLWIWLWHDEFGILWHUPZQRSUQURVTVKVLWGWALJUCUDUBZWJWK
      WLVKVLVOWNVRABEFGIJLMPQRUSUTAWADEFGIJLMPQRSVAUMAWHWACHIJWBWMMNPVBVCVTWDWF
      CJVKVLVOWDWFVEVRABDEFGHIJLMNPQRSVFUTVGVH $.

    $( Part of proof of Lemma C in [Crawley] p. 113.  (Contributed by NM,
       26-May-2012.) $)
    cdlemc4 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T
          /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
             /\ -. Q .<_ ( P .\/ ( F ` P ) ) )
        -> ( Q .\/ ( R ` F ) )
               =/= ( ( F ` P ) .\/ ( ( P .\/ Q ) ./\ W ) ) ) $=
      ( wcel chlt wa wbr wn w3a cfv co wne wceq clat simpll hllatd simpl simpr1
      cbs simpr2l eqid atbase syl ltrncl syl3anc simpr3l hlatjcl lhpbase latmcl
      ad2antlr latlej1 breq2 syl5ibrcom cdlemc3 syld necon3bd 3impia ) IUATZLGT
      ZUBZFETZBATZBLJUCUDZUBZCATZCLJUCUDZUBZUEZCBBFUFZHUGJUCZUDCFDUFHUGZWEBCHUG
      ZLKUGZHUGZUHVPWDUBZWFWGWJWKWGWJUIZWEWGJUCZWFWKWMWLWEWJJUCZWKIUJTZWEIUOUFZ
      TZWIWPTZWNWKIVNVOWDUKZULZWKVPVQBWPTZWQVPWDUMVPVQVTWCUNWKVRXAVRVSVQWCVPUPZ
      AWPBIWPUQZPURUSWPEFGIUALBXCQRUTVAWKWOWHWPTZLWPTZWRWTWKVNVRWAXDWSXBWAWBVQV
      TVPVBAWPHIBCXCNPVCVAVOXEVNWDWPGILXCQVDVFWPIKWHLXCOVEVAWPHIJWEWIXCMNVGVAWG
      WJWEJVHVIABCDEFGHIJKLMNOPQRSVJVKVLVM $.

    $( Lemma for ~ cdlemc .  (Contributed by NM, 26-May-2012.) $)
    cdlemc5 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T
          /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
             /\ ( -. Q .<_ ( P .\/ ( F ` P ) ) /\ ( F ` P ) =/= P ) )
  -> ( F ` Q ) = ( ( Q .\/ ( R ` F ) )
         ./\ ( ( F ` P ) .\/ ( ( P .\/ Q ) ./\ W ) ) ) ) $=
      ( wcel chlt wa wbr wn w3a cfv wne wceq simp1l simp23l simp1 simp21 ltrnat
      co syl3anc hlatlej2 simp23 trljat1 breqtrrd simp22 cdlemc2 syl112anc clat
      cbs wb hllatd eqid atbase syl ltrncl trlcl syl2anc latjcl simp22l hlatjcl
      simp1r lhpbase latmcl latlem12 syl13anc mpbi2and cal hlatl clln cp0 trlat
      simp3r trlle simp23r nbrne2 necomd llni2 syl31anc hlatlej1 simp3l latmle2
      lhpat ltrnel simprd cdlemc4 3adant3r atlen0 2llnmat syl32anc atcmp mpbid
      ) IUATZLGTZUBZFETZBATZBLJUCUDZUBZCATZCLJUCUDZUBZUEZCBBFUFZHUNZJUCUDZXRBUG
      ZUBZUEZCFUFZCFDUFZHUNZXRBCHUNZLKUNZHUNZKUNZJUCZYDYJUHZYCYDYFJUCZYDYIJUCZY
      KYCYDCYDHUNZYFJYCXGXNYDATZYDYOJUCXGXHXQYBUIZXNXOXJXMXIYBUJZYCXIXJXNYPXIXQ
      YBUKZXIXJXMXPYBULZYRACEFGIJLMPQRUMUOZACYDHIJMNPUPUOYCXIXJXPYFYOUHYSYTXIXJ
      XMXPYBUQZACDEFGHIJLMNPQRSURUOUSYCXIXJXMXPYNYSYTXIXJXMXPYBUTZUUBABCEFGHIJK
      LMNOPQRVAVBYCIVCTZYDIVDUFZTZYFUUETZYIUUETZYMYNUBYKVEYCIYQVFZYCXIXJCUUETZU
      UFYSYTYCXNUUJYRAUUECIUUEVGZPVHVIZUUEEFGIUALCUUKQRVJUOYCUUDUUJYEUUETZUUGUU
      IUULYCXIXJUUMYSYTUUEDEFGILUUKQRSVKVLUUEHICYEUUKNVMUOZYCUUDXRUUETZYHUUETZU
      UHUUIYCXIXJBUUETZUUOYSYTYCXKUUQXKXLXJXPXIYBVNZAUUEBIUUKPVHVIUUEEFGIUALBUU
      KQRVJUOYCUUDYGUUETZLUUETZUUPUUIYCXGXKXNUUSYQUURYRAUUEHIBCUUKNPVOUOZYCXHUU
      TXGXHXQYBVPUUEGILUUKQVQVIZUUEIKYGLUUKOVRUOUUEHIXRYHUUKNVMUOZUUEIJKYDYFYIU
      UKMOVSVTWAZYCIWBTZYPYJATZYKYLVEYCXGUVEYQIWCVIZUUAYCXGYFIWDUFZTZYIUVHTZYFY
      IUGZYJIWEUFZUGZUVFYQYCXGXNYEATZCYEUGZUVIYQYRYCXIXMXJYAUVNYSUUCYTXIXQXTYAW
      GABDEFGIJLMPQRSWFVBYCYELJUCZXOUVOYCXIXJUVPYSYTDEFGIJLMQRSWHVLXNXOXJXMXIYB
      WIUVPXOUBYECYECLJWJWKVLACYEHIUVHNPUVHVGZWLWMYCXGXRATZYHATZXRYHUGZUVJYQYCX
      IXJXKUVRYSYTUURABEFGIJLMPQRUMUOZYCXIXMXNBCUGZUVSYSUUCYRYCBXSJUCZXTUWBYCXG
      XKUVRUWCYQUURUWAABXRHIJMNPWNUOXIXQXTYAWOBCXSJWJVLABCGHIJKLMNOPQWQVBYCYHLJ
      UCZXRLJUCUDZUVTYCUUDUUSUUTUWDUUIUVAUVBUUEIJKYGLUUKMOWPUOYCXIXJXMUWEYSYTUU
      CXIXJXMUEUVRUWEABEFGIJLMPQRWRWSUOUWDUWEUBYHXRYHXRLJWJWKVLAXRYHHIUVHNPUVQW
      LWMXIXQXTUVKYAABCDEFGHIJKLMNOPQRSWTXAYCUVEYJUUETZYPYKUVMUVGYCUUDUUGUUHUWF
      UUIUUNUVCUUEIKYFYIUUKOVRUOUUAUVDAUUEYDIJYJUVLUUKMUVLVGZPXBWMAIKUVHYFYIUVL
      OUWGPUVQXCXDAYDYJIJMPXEUOXF $.

    $( Lemma for ~ cdlemc .  (Contributed by NM, 26-May-2012.) $)
    cdlemc6 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T
          /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
             /\ ( F ` P ) = P )
  -> ( F ` Q ) = ( ( Q .\/ ( R ` F ) )
         ./\ ( ( F ` P ) .\/ ( ( P .\/ Q ) ./\ W ) ) ) ) $=
      ( co chlt wcel wa wbr wn w3a wceq simp1l simp22l simp23l hlatjcom syl3anc
      cfv oveq2d clat cbs hllatd eqid atbase syl latabs2 eqtrd cp0 simp1 simp22
      simp21 simp3 trl0 syl112anc col hlol olj01 syl2anc oveq1d hlatjcl lhpbase
      simp1r latmcl latjcom hlatlej1 atmod2i1 syl131anc lhpjat1 syl21anc 3eqtrd
      cp1 olm11 oveq12d ltrnateq 3eqtr4rd ) IUAUBZLGUBZUCZFEUBZBAUBZBLJUDUEZUCZ
      CAUBZCLJUDUEZUCZUFZBFUMZBUGZUFZCBCHTZKTZCCFDUMZHTZXBXELKTZHTZKTCFUMXDXFCC
      BHTZKTZCXDXEXKCKXDWKWOWRXEXKUGWKWLXAXCUHZWOWPWNWTWMXCUIZWRWSWNWQWMXCUJZAH
      IBCNPUKULUNXDIUOUBZCIUPUMZUBZBXQUBZXLCUGXDIXMUQZXDWRXRXOAXQCIXQURZPUSUTZX
      DWOXSXNAXQBIYAPUSUTZXQHIKCBYANOVAULVBXDXHCXJXEKXDXHCIVCUMZHTZCXDXGYDCHXDW
      MWQWNXCXGYDUGWMXAXCVDWMWNWQWTXCVEZWMWNWQWTXCVFWMXAXCVGZABDEFGIJLYDMYDURZP
      QRSVHVIUNXDIVJUBZXRYECUGXDWKYIXMIVKUTZYBXQHICYDYANYHVLVMVBXDXJBXIHTZXIBHT
      ZXEXDXBBXIHYGVNXDXPXSXIXQUBZYKYLUGXTYCXDXPXEXQUBZLXQUBZYMXTXDWKWOWRYNXMXN
      XOAXQHIBCYANPVOULZXDWLYOWKWLXAXCVQZXQGILYAQVPUTZXQIKXELYAOVRULXQHIBXIYANV
      SULXDYLXELBHTZKTZXEIWFUMZKTZXEXDWKWOYNYOBXEJUDZYLYTUGXMXNYPYRXDWKWOWRUUCX
      MXNXOABCHIJMNPVTULAXQBHIJKXELYAMNOPWAWBXDYSUUAXEKXDWKWLWQYSUUAUGXMYQYFABU
      UAGHIJLMNUUAURZPQWCWDUNXDYIYNUUBXEUGYJYPXQUUAIKXEYAOUUDWGVMWEWEWHABCEFGIJ
      LMPQRWIWJ $.

    $( Lemma C in [Crawley] p. 113.  (Contributed by NM, 26-May-2012.) $)
    cdlemc $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T
          /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
             /\ -. Q .<_ ( P .\/ ( F ` P ) ) )
   -> ( F ` Q ) = ( ( Q .\/ ( R ` F ) )
       ./\ ( ( F ` P ) .\/ ( ( P .\/ Q ) ./\ W ) ) ) ) $=
      ( co chlt wcel wa wbr wn w3a cfv wceq simpl1 simpl2 simpr cdlemc6 syl3anc
      wne simpl3 cdlemc5 syl112anc pm2.61dane ) IUAUBLGUBUCZFEUBBAUBBLJUDUEUCCA
      UBCLJUDUEUCUFZCBBFUGZHTJUDUEZUFZCFUGCFDUGHTVABCHTLKTHTKTUHZVABVCVABUHZUCU
      SUTVEVDUSUTVBVEUIUSUTVBVEUJVCVEUKABCDEFGHIJKLMNOPQRSULUMVCVABUNZUCUSUTVBV
      FVDUSUTVBVFUIUSUTVBVFUJUSUTVBVFUOVCVFUKABCDEFGHIJKLMNOPQRSUPUQUR $.
  $}

  ${
    cdlemd1.l $e |- .<_ = ( le ` K ) $.
    cdlemd1.j $e |- .\/ = ( join ` K ) $.
    cdlemd1.m $e |- ./\ = ( meet ` K ) $.
    cdlemd1.a $e |- A = ( Atoms ` K ) $.
    cdlemd1.h $e |- H = ( LHyp ` K ) $.
    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       29-May-2012.) $)
    cdlemd1 $p |- ( ( ( K e. HL /\ W e. H )
          /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
                 /\ ( R e. A /\ P =/= Q /\ -. R .<_ ( P .\/ Q ) ) ) )
        -> R = ( ( P .\/ ( ( P .\/ R ) ./\ W ) )
             ./\ ( Q .\/ ( ( Q .\/ R ) ./\ W ) ) ) ) $=
      ( wcel wa co wceq syl3anc chlt wbr wne w3a simpll simpr1l simpr2l simpr31
      simpr32 simpr33 2llnma2 syl132anc clat cbs cfv hllat ad2antrr eqid atbase
      wn syl latjcom simpl simpr1 cdlemc1 eqtr4d simpr2 oveq12d eqtr3d ) GUAPZJ
      EPZQZBAPZBJHUBUTZQZCAPZCJHUBUTZQZDAPZBCUCZDBCFRHUBUTZUDZUDZQZDBFRZDCFRZIR
      ZDBBDFRZJIRFRZCCDFRZJIRFRZIRWDVJVMVPVSVTWAWGDSVJVKWCUEVMVNVRWBVLUFZVPVQVO
      WBVLUGZVSVTWAVOVRVLUHZVSVTWAVOVRVLUIVSVTWAVOVRVLUJABCDFGHIKLMNUKULWDWEWIW
      FWKIWDWEWHWIWDGUMPZDGUNUOZPZBWPPZWEWHSVJWOVKWCGUPUQZWDVSWQWNAWPDGWPURZNUS
      VAZWDVMWRWLAWPBGWTNUSVAWPFGDBWTLVBTWDVLWQVOWIWHSVLWCVCZXAVLVOVRWBVDAWPBEF
      GHIJDWTKLMNOVETVFWDWFWJWKWDWOWQCWPPZWFWJSWSXAWDVPXCWMAWPCGWTNUSVAWPFGDCWT
      LVBTWDVLWQVRWKWJSXBXAVLVOVRWBVGAWPCEFGHIJDWTKLMNOVETVFVHVI $.
  $}

  ${
    cdlemd2.l $e |- .<_ = ( le ` K ) $.
    cdlemd2.j $e |- .\/ = ( join ` K ) $.
    cdlemd2.a $e |- A = ( Atoms ` K ) $.
    cdlemd2.h $e |- H = ( LHyp ` K ) $.
    cdlemd2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       29-May-2012.) $)
    cdlemd2 $p |- ( ( ( ( K e. HL /\ W e. H )
                         /\ ( F e. T /\ G e. T ) /\ R e. A )
          /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
                 /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q ) ) )
          /\ ( ( F ` P ) = ( G ` P ) /\ ( F ` Q ) = ( G ` Q ) ) )
        -> ( F ` R ) = ( G ` R ) ) $=
      ( wcel co cfv chlt wa w3a wbr wn wne wceq cmee simp3l simp11 simp12l clat
      simp11l hllatd simp21l simp13 eqid hlatjcl syl3anc simp11r lhpbase latmcl
      cbs latmle2 ltrnval1 syl112anc simp12r eqtr4d oveq12d atbase ltrnj simp3r
      syl 3eqtr4d simp22l latjcl simp21 simp22 simp23l simp23r cdlemd1 syl13anc
      ltrnm 3jca fveq2d ) JUARZLHRZUBZFERZGERZUBZDARZUCZBARZBLKUDUEZUBZCARZCLKU
      DUEZUBZBCUFZDBCISKUDUEZUBZUCZBFTZBGTZUGZCFTZCGTZUGZUBZUCZBBDISZLJUHTZSZIS
      ZCCDISZLXMSZISZXMSZFTZXSGTZDFTDGTXKXOFTZXRFTZXMSZXOGTZXRGTZXMSZXTYAXKYBYE
      YCYFXMXKXDXNFTZISZXEXNGTZISZYBYEXKXDXEYHYJIWMXCXFXIUIXKYHXNYJXKWHWIXNJVCT
      ZRZXNLKUDZYHXNUGWHWKWLXCXJUJZWIWJWHWLXCXJUKZXKJULRZXLYLRZLYLRZYMXKJWFWGWK
      WLXCXJUMZUNZXKWFWNWLYRYTWNWOWSXBWMXJUOZWHWKWLXCXJUPZAYLIJBDYLUQZNOURUSZXK
      WGYSWFWGWKWLXCXJUTYLHJLUUDPVAVMZYLJXMXLLUUDXMUQZVBUSZXKYQYRYSYNUUAUUEUUFY
      LJKXMXLLUUDMUUGVDUSZYLEFHJKUALXNUUDMPQVEVFXKWHWJYMYNYJXNUGYOWIWJWHWLXCXJV
      GZUUHUUIYLEGHJKUALXNUUDMPQVEVFVHVIXKWHWIBYLRZYMYBYIUGYOYPXKWNUUKUUBAYLBJU
      UDOVJVMZUUHYLEFHIJLBXNUUDNPQVKVFXKWHWJUUKYMYEYKUGYOUUJUULUUHYLEGHIJLBXNUU
      DNPQVKVFVNXKXGXQFTZISZXHXQGTZISZYCYFXKXGXHUUMUUOIWMXCXFXIVLXKUUMXQUUOXKWH
      WIXQYLRZXQLKUDZUUMXQUGYOYPXKYQXPYLRZYSUUQUUAXKWFWQWLUUSYTWQWRWPXBWMXJVOZU
      UCAYLIJCDUUDNOURUSZUUFYLJXMXPLUUDUUGVBUSZXKYQUUSYSUURUUAUVAUUFYLJKXMXPLUU
      DMUUGVDUSZYLEFHJKUALXQUUDMPQVEVFXKWHWJUUQUURUUOXQUGYOUUJUVBUVCYLEGHJKUALX
      QUUDMPQVEVFVHVIXKWHWICYLRZUUQYCUUNUGYOYPXKWQUVDUUTAYLCJUUDOVJVMZUVBYLEFHI
      JLCXQUUDNPQVKVFXKWHWJUVDUUQYFUUPUGYOUUJUVEUVBYLEGHIJLCXQUUDNPQVKVFVNVIXKW
      HWIXOYLRZXRYLRZXTYDUGYOYPXKYQUUKYMUVFUUAUULUUHYLIJBXNUUDNVPUSZXKYQUVDUUQU
      VGUUAUVEUVBYLIJCXQUUDNVPUSZYLEFHJXMLXOXRUUDUUGPQWCVFXKWHWJUVFUVGYAYGUGYOU
      UJUVHUVIYLEGHJXMLXOXRUUDUUGPQWCVFVNXKDXSFXKWHWPWSWLWTXAUCDXSUGYOWMWPWSXBX
      JVQWMWPWSXBXJVRXKWLWTXAUUCWTXAWPWSWMXJVSWTXAWPWSWMXJVTWDABCDHIJKXMLMNUUGO
      PWAWBZWEXKDXSGUVJWEVN $.
  $}

  ${
    cdlemd3.l $e |- .<_ = ( le ` K ) $.
    cdlemd3.j $e |- .\/ = ( join ` K ) $.
    cdlemd3.a $e |- A = ( Atoms ` K ) $.
    cdlemd3.h $e |- H = ( LHyp ` K ) $.
    $( Part of proof of Lemma D in [Crawley] p. 113.  The ` R =/= P `
       requirement is not mentioned in their proof.  (Contributed by NM,
       29-May-2012.) $)
    cdlemd3 $p |- ( ( ( K e. HL /\ W e. H )
          /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
                 /\ ( P =/= Q /\ R .<_ ( P .\/ Q ) /\ R =/= P ) )
          /\ ( R e. A /\ S e. A /\ -. S .<_ ( P .\/ Q ) ) )
              -> -. R .<_ ( P .\/ S ) ) $=
      ( wcel wa wbr w3a atbase syl chlt wne simp33 simp1l simp31 simp32 simp21l
      wn co wi simp233 hlatexch1 syl131anc simp22l hlatlej1 syl3anc simp232 cbs
      clat cfv wb hllatd eqid latjcl latjle12 syl13anc mpbi2and lattr syld mtod
      mpan2d ) HUAOZJFOZPZBAOZBJIQUHZPZCAOZCJIQUHZPZBCUBZDBCGUIZIQZDBUBZRZRZDAO
      ZEAOZEWBIQZUHZRZRZDBEGUIIQZWIVNWFWGWHWJUCWLWMEBDGUIZIQZWIWLVLWGWHVOWDWMWO
      UJVLVMWFWKUDZVNWFWGWHWJUEZVNWFWGWHWJUFZVOVPVTWEVNWKUGZWAWCWDVQVTVNWKUKADE
      BGHIKLMULUMWLWOWNWBIQZWIWLBWBIQZWCWTWLVLVOVRXAWPWSVRVSVQWEVNWKUNZABCGHIKL
      MUOUPWAWCWDVQVTVNWKUQWLHUSOZBHURUTZOZDXDOZWBXDOZXAWCPWTVAWLHWPVBZWLVOXEWS
      AXDBHXDVCZMSTZWLWGXFWQAXDDHXIMSTZWLXCXECXDOZXGXHXJWLVRXLXBAXDCHXIMSTXDGHB
      CXILVDUPZXDGHIBDWBXIKLVEVFVGWLXCEXDOZWNXDOZXGWOWTPWIUJXHWLWHXNWRAXDEHXIMS
      TWLXCXEXFXOXHXJXKXDGHBDXILVDUPXMXDHIEWNWBXIKVHVFVKVIVJ $.
  $}

  ${
    $d s A $.  $d s F $.  $d s G $.  $d s H $.  $d s .\/ $.  $d s K $.
    $d s .<_ $.  $d s P $.  $d s Q $.  $d s R $.  $d s T $.  $d s W $.
    cdlemd4.l $e |- .<_ = ( le ` K ) $.
    cdlemd4.j $e |- .\/ = ( join ` K ) $.
    cdlemd4.a $e |- A = ( Atoms ` K ) $.
    cdlemd4.h $e |- H = ( LHyp ` K ) $.
    cdlemd4.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       30-May-2012.) $)
    cdlemd4 $p |- ( ( ( ( K e. HL /\ W e. H )
                         /\ ( F e. T /\ G e. T ) /\ R e. A )
          /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
                 /\ ( P =/= Q /\ R .<_ ( P .\/ Q ) /\ R =/= P ) )
          /\ ( ( F ` P ) = ( G ` P ) /\ ( F ` Q ) = ( G ` Q ) ) )
        -> ( F ` R ) = ( G ` R ) ) $=
      ( wcel wa cfv vs chlt w3a wbr wn co wceq cv simp11l simp11r simp21 simp22
      wne wrex simp231 cdlemb2 syl221anc simpl11 simpl12 simpl13 simpl21 simprl
      simprrl jca cbs hllatd adantr atbase ad2antrl simp21l syl simp22l simprrr
      clat latnlej1l necomd syl131anc simpl22 simpl23 cdlemd3 syl133anc simpl3l
      eqid simpl3 cdlemd2 syl331anc syl332anc rexlimddv ) JUBRZLHRZSZFERGERSZDA
      RZUCZBARZBLKUDUEZSZCARZCLKUDUEZSZBCUMZDBCIUFZKUDZDBUMZUCZUCZBFTBGTUGZCFTC
      GTUGZSZUCZUAUHZLKUDUEZXKXBKUDUEZSZDFTDGTUGZUAAXJWIWJWQWTXAXNUAAUNWIWJWLWM
      XFXIUIZWIWJWLWMXFXIUJWNWQWTXEXIUKWNWQWTXEXIULXAXCXDWQWTWNXIUOZABCHIJKLUAM
      NOPUPUQXJXKARZXNSZSZWKWLWMWQXRXLSBXKUMZDBXKIUFKUDUEZSXGXKFTXKGTUGZXOWKWLW
      MXFXIXSURZWKWLWMXFXIXSUSZWKWLWMXFXIXSUTZWQWTXEWNXIXSVAZXTXRXLXJXRXNVBZXJX
      RXLXMVCVDXTYAYBXTJVNRZXKJVETZRZBYJRZCYJRZXMYAXJYIXSXJJXPVFVGXRYKXJXNAYJXK
      JYJWCZOVHVIXJYLXSXJWOYLWOWPWTXEWNXIVJAYJBJYNOVHVKVGXJYMXSXJWRYMWRWSWQXEWN
      XIVLAYJCJYNOVHVKVGXJXRXLXMVMZYIYKYLYMUCXMUCXKBYJIJKXKBCYNMNVOVPVQXTWKWQWT
      XEWMXRXMYBYDYGWQWTXEWNXIXSVRZWQWTXEWNXIXSVSYFYHYOABCDXKHIJKLMNOPVTWAVDXGX
      HWNXFXSWBXTWKWLXRWQWTXAXMSXIYCYDYEYHYGYPXTXAXMXJXAXSXQVGYOVDWNXFXIXSWDABC
      XKEFGHIJKLMNOPQWEWFABXKDEFGHIJKLMNOPQWEWGWH $.

    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       30-May-2012.) $)
    cdlemd5 $p |- ( ( ( ( K e. HL /\ W e. H )
                         /\ ( F e. T /\ G e. T ) /\ R e. A )
          /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
                 /\ P =/= Q )
          /\ ( ( F ` P ) = ( G ` P ) /\ ( F ` Q ) = ( G ` Q ) ) )
        -> ( F ` R ) = ( G ` R ) ) $=
      ( wcel wa cfv chlt w3a wbr wn wne co fveq2 eqeq12d simpll1 simpl21 adantr
      wceq simpl22 simp23 ad2antrr simpr 3jca simpll3 cdlemd4 syl131anc simpl3l
      simplr pm2.61ne simpl1 simpl23 jca simpl3 cdlemd2 pm2.61dan ) JUARLHRSFER
      GERSDARUBZBARBLKUCUDSZCARCLKUCUDSZBCUEZUBZBFTZBGTZULZCFTCGTULZSZUBZDBCIUF
      KUCZDFTZDGTZULZVTWASZWDVQDBDBULWBVOWCVPDBFUGDBGUGUHWEDBUEZSZVJVKVLVMWAWFU
      BVSWDVJVNVSWAWFUIWEVKWFVKVLVMVJVSWAUJUKWEVLWFVKVLVMVJVSWAUMUKWGVMWAWFVTVM
      WAWFVJVKVLVMVSUNUOVTWAWFVBWEWFUPUQVJVNVSWAWFURABCDEFGHIJKLMNOPQUSUTVQVRVJ
      VNWAVAVCVTWAUDZSZVJVKVLVMWHSVSWDVJVNVSWHVDVKVLVMVJVSWHUJVKVLVMVJVSWHUMWIV
      MWHVKVLVMVJVSWHVEVTWHUPVFVJVNVSWHVGABCDEFGHIJKLMNOPQVHUTVI $.

    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       31-May-2012.) $)
    cdlemd6 $p |- ( ( ( ( K e. HL /\ W e. H )
                         /\ ( F e. T /\ G e. T ) )
          /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
                 /\ -. Q .<_ ( P .\/ ( F ` P ) ) )
          /\ ( F ` P ) = ( G ` P ) ) -> ( F ` Q ) = ( G ` Q ) ) $=
      ( wcel wa cfv co chlt wbr w3a wceq ctrl cmee oveq2d oveq1d simp1l simp1rl
      wn simp3 simp21 eqid trlval2 syl3anc simp1rr 3eqtr4d simp22 simp23 cdlemc
      oveq12d syl131anc oveq2 breq2d notbid biimpd sylc ) IUAQKGQRZEDQZFDQZRZRZ
      BAQBKJUBUKRZCAQCKJUBUKRZCBBESZHTZJUBZUKZUCZVPBFSZUDZUCZCEKIUESSZSZHTZVPBC
      HTKIUFSZTZHTZWGTZCFWDSZHTZWAWHHTZWGTZCESZCFSZWCWFWLWIWMWGWCWEWKCHWCVQKWGT
      ZBWAHTZKWGTZWEWKWCVQWRKWGWCVPWABHVMVTWBULZUGUHWCVIVJVNWEWQUDVIVLVTWBUIZVJ
      VKVIVTWBUJZVMVNVOVSWBUMZABWDDEGHIJWGKLMWGUNZNOPWDUNZUOUPWCVIVKVNWKWSUDXAV
      JVKVIVTWBUQZXCABWDDFGHIJWGKLMXDNOPXEUOUPURUGWCVPWAWHHWTUHVBWCVIVJVNVOVSWO
      WJUDXAXBXCVMVNVOVSWBUSZVMVNVOVSWBUTZABCWDDEGHIJWGKLMXDNOPXEVAVCWCVIVKVNVO
      CWRJUBZUKZWPWNUDXAXFXCXGWCWBVSXJWTXHWBVSXJWBVRXIWBVQWRCJVPWABHVDVEVFVGVHA
      BCWDDFGHIJWGKLMXDNOPXEVAVCUR $.

    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       1-Jun-2012.) $)
    cdlemd7 $p |- ( ( ( ( K e. HL /\ W e. H )
                         /\ ( F e. T /\ G e. T ) /\ R e. A )
          /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( ( F ` P ) = ( G ` P ) /\ -. Q .<_ ( P .\/ ( F ` P ) ) ) )
        -> ( F ` R ) = ( G ` R ) ) $=
      ( wcel wa cfv chlt w3a wbr wn wceq co wne simp1 simp2l simp2r cbs simp11l
      clat hllatd simp2rl eqid atbase syl simp2ll simp11 simp12l ltrncl syl3anc
      simp3r latnlej1l necomd syl131anc simp3l simp12 cdlemd6 syl231anc cdlemd5
      syl132anc ) JUARZLHRZSZFERZGERZSZDARZUBZBARZBLKUCUDZSZCARZCLKUCUDZSZSZBFT
      ZBGTUEZCBWIIUFKUCUDZSZUBZWAWDWGBCUGZWJCFTCGTUEZDFTDGTUEWAWHWLUHWAWDWGWLUI
      ZWAWDWGWLUJZWMJUMRZCJUKTZRZBWSRZWIWSRZWKWNWMJVNVOVSVTWHWLULUNWMWEWTWEWFWD
      WAWLUOAWSCJWSUPZOUQURWMWBXAWBWCWGWAWLUSAWSBJXCOUQURZWMVPVQXAXBVPVSVTWHWLU
      TZVQVRVPVTWHWLVAXDWSEFHJUALBXCPQVBVCWAWHWJWKVDZWRWTXAXBUBWKUBCBWSIJKCBWIX
      CMNVEVFVGWAWHWJWKVHZWMVPVSWDWGWKWJWOXEVPVSVTWHWLVIWPWQXFXGABCEFGHIJKLMNOP
      QVJVKABCDEFGHIJKLMNOPQVLVM $.

    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       1-Jun-2012.) $)
    cdlemd8 $p |- ( ( ( ( K e. HL /\ W e. H )
                         /\ ( F e. T /\ G e. T ) /\ R e. A )
          /\ ( P e. A /\ -. P .<_ W )
          /\ ( ( F ` P ) = ( G ` P ) /\ ( F ` P ) = P ) )
        -> ( F ` R ) = ( G ` R ) ) $=
      ( wcel wa cfv wceq chlt w3a wbr wn cid cbs simp3r wb simp11 simp12l simp2
      cres eqid ltrnideq syl3anc mpbird fveq1d simp3l eqtr3d simp12r eqtr4d ) I
      UAQKGQRZEDQZFDQZRZCAQZUBZBAQBKJUCUDRZBESZBFSZTZVIBTZRZUBZCESCUEIUFSZULZSC
      FSVNCEVPVNEVPTZVLVGVHVKVLUGZVNVBVCVHVQVLUHVBVEVFVHVMUIZVCVDVBVFVHVMUJVGVH
      VMUKZAVOBDEGIJKVOUMZLNOPUNUOUPUQVNCFVPVNFVPTZVJBTZVNVIVJBVGVHVKVLURVRUSVN
      VBVDVHWBWCUHVSVCVDVBVFVHVMUTVTAVOBDFGIJKWALNOPUNUOUPUQVA $.

    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       2-Jun-2012.) $)
    cdlemd9 $p |- ( ( ( ( K e. HL /\ W e. H )
                         /\ ( F e. T /\ G e. T ) /\ R e. A )
          /\ ( P e. A /\ -. P .<_ W ) /\ ( F ` P ) = ( G ` P ) )
        -> ( F ` R ) = ( G ` R ) ) $=
      ( vs wcel wa wbr chlt w3a cfv wceq simpl1 simpl2 simpl3 cdlemd8 syl112anc
      wn simpr wne cv wrex simpl11 simp12l adantr ltrnel syl3anc necomd cdlemb2
      co syl121anc simp1l1 simp1l2 simp3l jca simp1l3 simp3r cdlemd7 rexlimdv3a
      simp2 syl122anc mpd pm2.61dane ) IUARKGRSZEDRZFDRZSZCARZUBZBARBKJTUJSZBEU
      CZBFUCUDZUBZCEUCCFUCUDZWCBWEWCBUDZSWAWBWDWGWFWAWBWDWGUEWAWBWDWGUFWAWBWDWG
      UGWEWGUKABCDEFGHIJKLMNOPUHUIWEWCBULZSZQUMZKJTUJZWJBWCHVBJTUJZSZQAUNZWFWIV
      PWBWCARWCKJTUJSZBWCULWNVPVSVTWBWDWHUOZWAWBWDWHUFZWIVPVQWBWOWPWEVQWHVQVRVP
      VTWBWDUPUQWQABDEGIJKLNOPURUSWIWCBWEWHUKUTABWCGHIJKQLMNOVAVCWIWMWFQAWIWJAR
      ZWMUBZWAWBWRWKSWDWLWFWAWBWDWHWRWMVDWAWBWDWHWRWMVEWSWRWKWIWRWMVLWIWRWKWLVF
      VGWAWBWDWHWRWMVHWIWRWKWLVIABWJCDEFGHIJKLMNOPVJVMVKVNVO $.
  $}

  ${
    $d q A $.  $d q F $.  $d q G $.  $d q H $.  $d q K $.  $d q .<_ $.
    $d q P $.  $d q T $.  $d q W $.
    cdlemd.l $e |- .<_ = ( le ` K ) $.
    cdlemd.a $e |- A = ( Atoms ` K ) $.
    cdlemd.h $e |- H = ( LHyp ` K ) $.
    cdlemd.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( If two translations agree at any atom not under the fiducial co-atom
       ` W ` , then they are equal.  Lemma D in [Crawley] p. 113.  (Contributed
       by NM, 2-Jun-2012.) $)
    cdlemd $p |- ( ( ( ( K e. HL /\ W e. H )
                         /\ F e. T /\ G e. T )
          /\ ( P e. A /\ -. P .<_ W ) /\ ( F ` P ) = ( G ` P ) ) -> F = G ) $=
      ( vq chlt wcel wa w3a cfv wceq wbr wn cv wral simpl11 simpl12 simpl13 jca
      simpr simpl2 simpl3 cjn eqid cdlemd9 syl311anc ralrimiva ltrneq2 3ad2ant1
      wb mpbid ) GOPIFPQZDCPZECPZRZBAPBIHUAUBQZBDSBESTZRZNUCZDSVHESTZNAUDZDETZV
      GVINAVGVHAPZQZVAVBVCQVLVEVFVIVAVBVCVEVFVLUEVMVBVCVAVBVCVEVFVLUFVAVBVCVEVF
      VLUGUHVGVLUIVDVEVFVLUJVDVEVFVLUKABVHCDEFGULSZGHIJVNUMKLMUNUOUPVDVEVJVKUSV
      FACDEFGINKLMUQURUT $.

    $( Two translations agree at any atom not under the fiducial co-atom ` W `
       iff they are equal.  (Contributed by NM, 25-Jul-2013.) $)
    ltrneq3 $p |- ( ( ( K e. HL /\ W e. H )
                  /\ ( F e. T /\ G e. T )
                  /\ ( P e. A /\ -. P .<_ W ) )
   -> ( ( F ` P ) = ( G ` P ) <-> F = G ) ) $=
      ( chlt wcel wa wbr wn cfv wceq simpl1 simpl2l simpl2r simpl3 simpr cdlemd
      w3a syl311anc fveq1 adantl impbida ) GNOIFOPZDCOZECOZPZBAOBIHQRPZUGZBDSBE
      STZDETZUQURPULUMUNUPURUSULUOUPURUAUMUNULUPURUBUMUNULUPURUCULUOUPURUDUQURU
      EABCDEFGHIJKLMUFUHUSURUQBDEUIUJUK $.
  $}

  ${
    cdleme0.l $e |- .<_ = ( le ` K ) $.
    cdleme0.j $e |- .\/ = ( join ` K ) $.
    cdleme0.m $e |- ./\ = ( meet ` K ) $.
    cdleme0.a $e |- A = ( Atoms ` K ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       14-Jun-2012.) $)
    cdleme00a $p |- ( ( K e. HL /\ ( P e. A /\ Q e. A /\ R e. A )
        /\ -. R .<_ ( P .\/ Q ) ) -> R =/= P ) $=
      ( chlt wcel w3a co wbr wn wne simp1 simp23 simp21 simp3 atnlej1 syl131anc
      simp22 ) FMNZBANZCANZDANZOZDBCEPGQRZOUGUJUHUIULDBSUGUKULTUGUHUIUJULUAUGUH
      UIUJULUBUGUHUIUJULUFUGUKULUCADBCEFGIJLUDUE $.

    cdleme0.h $e |- H = ( LHyp ` K ) $.
    cdleme0.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    ${
      cdleme0.b $e |- B = ( Base ` K ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
         14-Jun-2012.) $)
      cdleme0aa $p |- ( ( ( K e. HL /\ W e. H ) /\ P e. A /\ Q e. A )
            -> U e. B ) $=
        ( wcel co chlt wa w3a clat simp1l hllatd atbase 3ad2ant2 latjcl syl3anc
        3ad2ant3 simp1r lhpbase syl latmcl eqeltrid ) HUASZKFSZUBZCASZDASZUCZEC
        DGTZKJTZBQVBHUDSZVCBSZKBSZVDBSVBHUQURUTVAUEUFZVBVECBSZDBSZVFVHUTUSVIVAA
        BCHROUGUHVAUSVJUTABDHROUGUKBGHCDRMUIUJVBURVGUQURUTVAULBFHKRPUMUNBHJVCKR
        NUOUJUP $.
    $}

    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       12-Jun-2012.) $)
    cdleme0a $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ P =/= Q ) ) -> U e. A ) $=
      ( lhpat2 ) ABCDEFGHIJKLMNOPQ $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       13-Jun-2012.) $)
    cdleme0b $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
      /\ Q e. A ) -> U =/= P ) $=
      ( wcel wa wbr co chlt wn w3a wne clat cbs cfv simp1l hllatd simp2l atbase
      syl 3ad2ant3 latjcl syl3anc simp1r lhpbase latmle2 eqbrtrid simp2r nbrne2
      eqid syl2anc ) GUAQZJEQZRZBAQZBJHSUBZRZCAQZUCZDJHSVHDBUDVKDBCFTZJITZJHPVK
      GUEQZVLGUFUGZQZJVOQZVMJHSVKGVDVEVIVJUHUIZVKVNBVOQZCVOQZVPVRVKVGVSVFVGVHVJ
      UJAVOBGVOVBZNUKULVJVFVTVIAVOCGWANUKUMVOFGBCWALUNUOVKVEVQVDVEVIVJUPVOEGJWA
      OUQULVOGHIVLJWAKMURUOUSVFVGVHVJUTDBJHVAVC $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       12-Jun-2012.) $)
    cdleme0c $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ Q e. A )
         /\ ( R e. A /\ -. R .<_ W ) ) -> U =/= R ) $=
      ( wcel wa wbr chlt wn w3a wne co clat cbs cfv simp1l hllatd simp2l atbase
      eqid simp2r latjcl syl3anc simp1r lhpbase latmle2 eqbrtrid simp3r syl2anc
      syl nbrne2 ) HUARZKFRZSZBARZCARZSZDARZDKITUBZSZUCZEKITVLEDUDVNEBCGUEZKJUE
      ZKIQVNHUFRZVOHUGUHZRZKVRRZVPKITVNHVEVFVJVMUIUJZVNVQBVRRZCVRRZVSWAVNVHWBVG
      VHVIVMUKAVRBHVRUMZOULVCVNVIWCVGVHVIVMUNAVRCHWDOULVCVRGHBCWDMUOUPVNVFVTVEV
      FVJVMUQVRFHKWDPURVCVRHIJVOKWDLNUSUPUTVGVJVKVLVAEDKIVDVB $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  Reformat as in
       ~ cdlemg3a - swap consequent equality; make antecedent use ~ df-3an .
       (Contributed by NM, 13-Jun-2012.) $)
    cdleme0cp $p |- ( ( ( K e. HL /\ W e. H )
      /\ ( ( P e. A /\ -. P .<_ W ) /\ Q e. A ) )
             -> ( P .\/ U ) = ( P .\/ Q ) ) $=
      ( wcel wa co wceq chlt wbr wn oveq2i cp1 cfv simpll simprll clat ad2antrr
      cbs hllat eqid atbase syl simprr latjcl syl3anc lhpbase ad2antlr hlatlej1
      atmod3i1 syl131anc lhpjat2 adantrr oveq2d col olm11 syl2anc 3eqtrd syl5eq
      hlol ) GUAQZJEQZRZBAQZBJHUBUCZRZCAQZRZRZBDFSBBCFSZJISZFSZWBDWCBFPUDWAWDWB
      BJFSZISZWBGUEUFZISZWBWAVMVPWBGUKUFZQZJWIQZBWBHUBZWDWFTVMVNVTUGZVOVPVQVSUH
      ZWAGUIQZBWIQZCWIQZWJVMWOVNVTGULUJWAVPWPWNAWIBGWIUMZNUNUOWAVSWQVOVRVSUPZAW
      ICGWRNUNUOWIFGBCWRLUQURZVNWKVMVTWIEGJWROUSUTWAVMVPVSWLWMWNWSABCFGHKLNVAUR
      AWIBFGHIWBJWRKLMNVBVCWAWEWGWBIVOVRWEWGTVSABWGEFGHJKLWGUMZNOVDVEVFWAGVGQZW
      JWHWBTVMXBVNVTGVLUJWTWIWGGIWBWRMXAVHVIVJVK $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       25-Apr-2013.) $)
    cdleme0cq $p |- ( ( ( K e. HL /\ W e. H )
      /\ ( P e. A /\ ( Q e. A /\ -. Q .<_ W ) ) )
             -> ( Q .\/ U ) = ( P .\/ Q ) ) $=
      ( wcel wa co wceq chlt wbr wn oveq2i cp1 cfv simpll simprrl clat ad2antrr
      cbs eqid atbase ad2antrl latjcl syl3anc lhpbase ad2antlr latlej2 atmod3i1
      hllat syl syl131anc lhpjat2 adantrl oveq2d col hlol syl2anc 3eqtrd syl5eq
      olm11 ) GUAQZJEQZRZBAQZCAQZCJHUBUCZRZRZRZCDFSCBCFSZJISZFSZWBDWCCFPUDWAWDW
      BCJFSZISZWBGUEUFZISZWBWAVMVQWBGUKUFZQZJWIQZCWBHUBZWDWFTVMVNVTUGVOVPVQVRUH
      ZWAGUIQZBWIQZCWIQZWJVMWNVNVTGVAUJZVPWOVOVSAWIBGWIULZNUMUNZWAVQWPWMAWICGWR
      NUMVBZWIFGBCWRLUOUPZVNWKVMVTWIEGJWROUQURWAWNWOWPWLWQWSWTWIFGHBCWRKLUSUPAW
      ICFGHIWBJWRKLMNUTVCWAWEWGWBIVOVSWEWGTVPACWGEFGHJKLWGULZNOVDVEVFWAGVGQZWJW
      HWBTVMXCVNVTGVHUJXAWIWGGIWBWRMXBVLVIVJVK $.

    ${
      cdleme0c.3 $e |- V = ( ( P .\/ R ) ./\ W ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
         13-Jun-2012.)  (New usage is discouraged.) $)
      cdleme0dN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( R e. A /\ P =/= R ) ) -> V e. A ) $=
        ( lhpat2 ) ABDKFGHIJLMNOPQST $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
         13-Jun-2012.) $)
      cdleme0e $p |- ( ( ( K e. HL /\ W e. H )
          /\ ( ( P e. A /\ -. P .<_ W )
             /\ Q e. A /\ ( R e. A /\ -. R .<_ W ) )
          /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q ) ) ) -> U =/= V ) $=
        ( wcel chlt wa wbr w3a wne cp0 cfv wceq oveq12i col cbs simp1l hlol syl
        wn simp21l simp22 eqid hlatjcl syl3anc simp23l simp1r latmmdir syl13anc
        co lhpbase clat hllatd atbase simp3r latnlej1r syl131anc simp3 hlatcon3
        necomd 2llnma2 syl132anc oveq1d eqtr3d syl5eq simp1 simp21 lhpmat eqtrd
        syl2anc cal wb hlatl simp3l lhpat2 syl112anc latnlej1l atnem0 mpbird )
        HUATZLFTZUBZBATZBLIUCUOZUBZCATZDATZDLIUCUOZUBZUDZBCUEZDBCGVEZIUCUOZUBZU
        DZEKUEZEKJVEZHUFUGZUHZXJXLBLJVEZXMXJXLXGLJVEZBDGVEZLJVEZJVEZXOEXPKXRJRS
        UIXJXGXQJVEZLJVEZXSXOXJHUJTZXGHUKUGZTZXQYCTZLYCTZYAXSUHXJWOYBWOWPXEXIUL
        ZHUMUNXJWOWRXAYDYGWRWSXAXDWQXIUPZWQWTXAXDXIUQZAYCGHBCYCURZNPUSUTXJWOWRX
        BYEYGYHXBXCWTXAWQXIVAZAYCGHBDYJNPUSUTXJWPYFWOWPXEXIVBYCFHLYJQVFUNYCHJXG
        XQLYJOVCVDXJXTBLJXJWOXAXBWRCDUEZBCDGVEIUCUOZXTBUHYGYIYKYHXJHVGTZDYCTZBY
        CTZCYCTZXHYLXJHYGVHZXJXBYOYKAYCDHYJPVIUNZXJWRYPYHAYCBHYJPVIUNZXJXAYQYIA
        YCCHYJPVIUNZWQXEXFXHVJZYNYOYPYQUDXHUDZDCYCGHIDBCYJMNVKVOVLXJWOWRXAXBXIY
        MYGYHYIYKWQXEXIVMABCDGHIMNPVNVLACDBGHIJMNOPVPVQVRVSVTXJWQWTXOXMUHWQXEXI
        WAZWQWTXAXDXIWBZABFHIJLXMMOXMURZPQWCWEWDXJHWFTZEATZKATZXKXNWGXJWOUUGYGH
        WHUNXJWQWTXAXFUUHUUDUUEYIWQXEXFXHWIABCEFGHIJLMNOPQRWJWKXJWQWTXBBDUEZUUI
        UUDUUEYKXJYNYOYPYQXHUUJYRYSYTUUAUUBUUCDBYCGHIDBCYJMNWLVOVLABDKFGHIJLMNO
        PQSWJWKAEKHJXMOUUFPWMUTWN $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
         14-Jun-2012.)  (New usage is discouraged.) $)
      cdleme0fN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ R e. A ) ) -> V =/= P ) $=
        ( wcel chlt wa wbr wn w3a wne co clat cbs cfv simp1l hllatd simp2l eqid
        atbase syl simp3r latjcl syl3anc simp1r lhpbase latmle2 eqbrtrid simp2r
        nbrne2 syl2anc ) HUATZLFTZUBZBATZBLIUCUDZUBZCATZDATZUBZUEZKLIUCVKKBUFVP
        KBDGUGZLJUGZLISVPHUHTZVQHUIUJZTZLVTTZVRLIUCVPHVGVHVLVOUKULZVPVSBVTTZDVT
        TZWAWCVPVJWDVIVJVKVOUMAVTBHVTUNZPUOUPVPVNWEVIVLVMVNUQAVTDHWFPUOUPVTGHBD
        WFNURUSVPVHWBVGVHVLVOUTVTFHLWFQVAUPVTHIJVQLWFMOVBUSVCVIVJVKVOVDKBLIVEVF
        $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
         14-Jun-2012.)  (New usage is discouraged.) $)
      cdleme0gN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ R e. A )
           /\ ( Q e. A /\ -. Q .<_ W ) ) -> V =/= Q ) $=
        ( cdleme0c ) ABDCKFGHIJLMNOPQST $.
    $}

    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       5-Dec-2012.) $)
    cdlemeulpq $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ Q e. A ) )
               -> U .<_ ( P .\/ Q ) ) $=
      ( wcel wa co syl3anc chlt cbs cfv wbr simpll hllatd simprl simprr hlatjcl
      clat eqid lhpbase ad2antlr latmle1 eqbrtrid ) GUAQZJEQZRZBAQZCAQZRZRZDBCF
      SZJISZVCHPVBGUJQVCGUBUCZQZJVEQZVDVCHUDVBGUPUQVAUEZUFVBUPUSUTVFVHURUSUTUGU
      RUSUTUHAVEFGBCVEUKZLNUITUQVGUPVAVEEGJVIOULUMVEGHIVCJVIKMUNTUO $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       5-Nov-2012.)  (New usage is discouraged.) $)
    cdleme01N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( P e. A /\ -. P .<_ W )
       /\ ( Q e. A /\ -. Q .<_ W ) ) /\ P =/= Q )
          -> ( ( U =/= P /\ U =/= Q /\ U .<_ ( P .\/ Q ) ) /\ U .<_ W ) ) $=
      ( wcel wa wbr wne chlt wn w3a co clat cbs cfv simp1l simp2ll simp2rl eqid
      hllatd hlatjcl syl3anc simp1r lhpbase syl latmle2 eqbrtrid simp2lr nbrne2
      syl2anc simp2rr simp1 cdlemeulpq syl12anc 3jca jca ) GUAQZJEQZRZBAQZBJHSU
      BZRZCAQZCJHSUBZRZRZBCTZUCZDBTZDCTZDBCFUDZHSZUCDJHSZVTWAWBWDVTWEVMWAVTDWCJ
      IUDZJHPVTGUEQWCGUFUGZQZJWGQZWFJHSVTGVIVJVRVSUHZULVTVIVLVOWHWJVLVMVQVKVSUI
      ZVOVPVNVKVSUJZAWGFGBCWGUKZLNUMUNVTVJWIVIVJVRVSUOWGEGJWMOUPUQWGGHIWCJWMKMU
      RUNUSZVLVMVQVKVSUTDBJHVAVBVTWEVPWBWNVOVPVNVKVSVCDCJHVAVBVTVKVLVOWDVKVRVSV
      DWKWLABCDEFGHIJKLMNOPVEVFVGWNVH $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       9-Nov-2012.)  (New usage is discouraged.) $)
    cdleme02N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( P e. A /\ -. P .<_ W )
       /\ ( Q e. A /\ -. Q .<_ W ) ) /\ P =/= Q )
            -> ( ( P .\/ U ) = ( Q .\/ U ) /\ U .<_ W ) ) $=
      ( wcel wa wbr wne chlt wn w3a co wceq cdleme01N clc wb simp1l syl simp2ll
      hlcvl simp2rl simp1 simp2l simp3 lhpat2 syl112anc syl131anc anbi1d mpbird
      cvlsupr2 ) GUAQZJEQZRZBAQZBJHSUBZRZCAQZCJHSUBZRZRZBCTZUCZBDFUDCDFUDUEZDJH
      SZRDBTDCTDBCFUDHSUCZVPRABCDEFGHIJKLMNOPUFVNVOVQVPVNGUGQZVFVIDAQZVMVOVQUHV
      NVCVRVCVDVLVMUIGULUJVFVGVKVEVMUKVIVJVHVEVMUMZVNVEVHVIVMVSVEVLVMUNVEVHVKVM
      UOVTVEVLVMUPZABCDEFGHIJKLMNOPUQURWAABCDFGHNKLVBUSUTVA $.

    $d u A $.  $d u .\/ $.  $d u .<_ $.  $d u P $.  $d u Q $.  $d u U $.
    $d u W $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       9-Nov-2012.)  (New usage is discouraged.) $)
    cdleme0ex1N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( P e. A /\ -. P .<_ W )
         /\ Q e. A ) /\ P =/= Q ) ->
           E. u e. A ( u .<_ ( P .\/ Q ) /\ u .<_ W ) ) $=
      ( wcel wa wbr chlt wn wne w3a co cv wrex simp1 simp2l simp2r simp3 lhpat2
      syl112anc simp2ll cdlemeulpq syl12anc clat cbs simp1l hllatd eqid hlatjcl
      cfv syl3anc simp1r lhpbase syl latmle2 eqbrtrid wceq breq1 anbi12d rspcev
      ) HUARZKFRZSZCBRZCKITUBZSZDBRZSZCDUCZUDZEBRZECDGUEZITZEKITZAUFZWEITZWHKIT
      ZSZABUGWCVPVSVTWBWDVPWAWBUHZVPVSVTWBUIVPVSVTWBUJZVPWAWBUKBCDEFGHIJKLMNOPQ
      ULUMWCVPVQVTWFWLVQVRVTVPWBUNZWMBCDEFGHIJKLMNOPQUOUPWCEWEKJUEZKIQWCHUQRWEH
      URVCZRZKWPRZWOKITWCHVNVOWAWBUSZUTWCVNVQVTWQWSWNWMBWPGHCDWPVAZMOVBVDWCVOWR
      VNVOWAWBVEWPFHKWTPVFVGWPHIJWEKWTLNVHVDVIWKWFWGSAEBWHEVJWIWFWJWGWHEWEIVKWH
      EKIVKVLVMUP $.

    $d u H $.  $d u K $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Note that
       ` ( P .\/ u ) = ( Q .\/ u ) ` is a shorter way to express
       ` u =/= P /\ u =/= Q /\ u .<_ ( P .\/ Q ) ` .  (Contributed by NM,
       9-Nov-2012.)  (New usage is discouraged.) $)
    cdleme0ex2N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) ) /\ P =/= Q ) ->
           E. u e. A ( ( P .\/ u ) = ( Q .\/ u ) /\ u .<_ W ) ) $=
      ( wcel wa wbr chlt wn wne w3a cv co wceq simp1 simp2l simp2rl cdleme0ex1N
      wrex simp3 syl121anc wb clc simp11l hlcvl simp2ll 3ad2ant1 simp2 cvlsupr2
      syl simp13 syl131anc df-3an simp2lr syl2anc simp2rr jca biantrurd bitr4id
      nbrne2 bitrd 3expia pm5.32rd rexbidva mpbird ) HUARZKFRZSZCBRZCKITUBZSZDB
      RZDKITUBZSZSZCDUCZUDZCAUEZGUFDWKGUFUGZWKKITZSZABULWKCDGUFITZWMSZABULZWJWA
      WDWEWIWQWAWHWIUHWAWDWGWIUIWEWFWDWAWIUJZWAWHWIUMABCDEFGHIJKLMNOPQUKUNWJWNW
      PABWJWKBRZSWMWLWOWJWSWMWLWOUOWJWSWMUDZWLWKCUCZWKDUCZWOUDZWOWTHUPRZWBWEWSW
      IWLXCUOWTVSXDVSVTWHWIWSWMUQHURVCWJWSWBWMWBWCWGWAWIUSUTWJWSWEWMWRUTWJWSWMV
      AWAWHWIWSWMVDBCDWKGHIOLMVBVEWTXCXAXBSZWOSWOXAXBWOVFWTXEWOWTXAXBWTWMWCXAWJ
      WSWMUMZWJWSWCWMWBWCWGWAWIVGUTWKCKIVMVHWTWMWFXBXFWJWSWFWMWEWFWDWAWIVIUTWKD
      KIVMVHVJVKVLVNVOVPVQVR $.

    $d r A $.  $d r .\/ $.  $d r P $.  $d r Q $.  $d r R $.  $d r U $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       9-Nov-2012.)  (New usage is discouraged.) $)
    cdleme0moN $p |- ( ( ( K e. HL /\ W e. H )
     /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
         /\ ( R e. A /\ -. R .<_ W ) )
     /\ ( P =/= Q /\ R .<_ ( P .\/ Q )
         /\ E* r ( r e. A /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
             -> ( R = P \/ R = Q ) ) $=
      ( wcel wa chlt wbr wn w3a wne co wceq wmo simp23r neanior simpl33 simp23l
      cv wo adantr simprl simprr simpl32 clc wb simpl1l simp21l simp22l simpl31
      hlcvl cvlsupr2 syl131anc mpbir3and simp1l simp1r simp21r simp31 syl222anc
      syl lhpat2 simpl1 simpl21 simpl22 cdleme02N simpld syl121anc df-rmo oveq2
      wrmo eqeq12d rmoi syl3an1br syl122anc simprd eqbrtrd ex syl5bir mt3d ) HU
      ASZKFSZTZBASZBKIUBUCZTZCASZCKIUBUCZTZDASZDKIUBZUCZTZUDZBCUEZDBCGUFIUBZLUM
      ZASBXJGUFZCXJGUFZUGZTLUHZUDZUDZDBUGDCUGUNZXDXCXEWSXBWPXOUIXQUCDBUEZDCUEZT
      ZXPXDDBDCUJXPXTXDXPXTTZDEKIYAXNXCBDGUFZCDGUFZUGZEASZBEGUFZCEGUFZUGZDEUGZX
      HXIXNWPXGXTUKXPXCXTXCXEWSXBWPXOULUOZYAYDXRXSXIXPXRXSUPXPXRXSUQXHXIXNWPXGX
      TURYAHUSSZWQWTXCXHYDXRXSXIUDUTYAWNYKWNWOXGXOXTVAHVEVNXPWQXTWQWRXBXFWPXOVB
      ZUOXPWTXTWTXAWSXFWPXOVCZUOYJXHXIXNWPXGXTVDZABCDGHIPMNVFVGVHXPYEXTXPWNWOWQ
      WRWTXHYEWNWOXGXOVIWNWOXGXOVJYLWQWRXBXFWPXOVKYMWPXGXHXIXNVLABCEFGHIJKMNOPQ
      RVOVMUOYAWPWSXBXHYHWPXGXOXTVPZWSXBXFWPXOXTVQZWSXBXFWPXOXTVRZYNWPWSXBTXHUD
      ZYHEKIUBZABCEFGHIJKMNOPQRVSZVTWAXNXMLAWDXCYDTYEYHTYIXMLAWBXMYDYHLADEXJDUG
      XKYBXLYCXJDBGWCXJDCGWCWEXJEUGXKYFXLYGXJEBGWCXJECGWCWEWFWGWHYAWPWSXBXHYSYO
      YPYQYNYRYHYSYTWIWAWJWKWLWM $.
  $}

  ${
    cdleme1.l $e |- .<_ = ( le ` K ) $.
    cdleme1.j $e |- .\/ = ( join ` K ) $.
    cdleme1.m $e |- ./\ = ( meet ` K ) $.
    cdleme1.a $e |- A = ( Atoms ` K ) $.
    cdleme1.h $e |- H = ( LHyp ` K ) $.
    cdleme1.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdleme1.f $e |- F
          = ( ( R .\/ U ) ./\ ( Q .\/ ( ( P .\/ R ) ./\ W ) ) ) $.
    ${
      cdleme1.b $e |- B = ( Base ` K ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  Utility lemma showing
         ` F ` is a lattice element. ` F ` represents their f(r).  (Contributed
         by NM, 6-Jun-2012.) $)
      cdleme1b $p |- ( ( ( K e. HL /\ W e. H )
          /\ ( P e. A /\ Q e. A /\ R e. A ) ) -> F e. B ) $=
        ( chlt wcel wa co clat hllat ad2antrr simpr3 atbase cdleme0aa 3adant3r3
        w3a syl latjcl syl3anc simpr2 simpr1 lhpbase ad2antlr latmcl eqeltrid )
        JUBUCZMHUCZUDZCAUCZDAUCZEAUCZUMZUDZGEFIUEZDCEIUEZMLUEZIUEZLUEZBTVJJUFUC
        ZVKBUCZVNBUCZVOBUCVCVPVDVIJUGUHZVJVPEBUCZFBUCZVQVSVJVHVTVEVFVGVHUIABEJU
        AQUJUNZVEVFVGWAVHABCDFHIJKLMNOPQRSUAUKULBIJEFUAOUOUPVJVPDBUCZVMBUCZVRVS
        VJVGWCVEVFVGVHUQABDJUAQUJUNVJVPVLBUCZMBUCZWDVSVJVPCBUCZVTWEVSVJVFWGVEVF
        VGVHURABCJUAQUJUNWBBIJCEUAOUOUPVDWFVCVIBHJMUARUSUTBJLVLMUAPVAUPBIJDVMUA
        OUOUPBJLVKVNUAPVAUPVB $.
    $}

    $( Part of proof of Lemma E in [Crawley] p. 113. ` F ` represents their
       f(r).  Here we show r ` \/ ` f(r) = r ` \/ ` u (7th through 5th lines
       from bottom on p. 113).  (Contributed by NM, 4-Jun-2012.) $)
    cdleme1 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ Q e. A
           /\ ( R e. A /\ -. R .<_ W ) ) ) -> ( R .\/ F ) = ( R .\/ U ) ) $=
      ( wcel chlt wa wbr wn w3a co oveq2i cbs wceq simpll simpr3l clat ad2antrr
      cfv hllat atbase syl simpr1 simpr2 latjcl syl3anc lhpbase ad2antlr latmcl
      eqid eqeltrid latlej1 atmod3i1 syl131anc latlej2 lhpjat2 3ad2antr3 oveq2d
      cp1 col olm11 syl2anc 3eqtrd latj12 syl13anc 3eqtr3rd cdlemeulpq 3adantr3
      hlol latj13 wi latjlej2 mpd wb latleeqm1 mpbid 3eqtr2rd eqtr4id ) IUATZLG
      TZUBZBATZCATZDATZDLJUCUDZUBZUEZUBZDFHUFDDEHUFZCBDHUFZLKUFZHUFZKUFZHUFZXDF
      XHDHSUGXCXIXDDXGHUFZKUFZXDDBCHUFZHUFZKUFZXDXCWNWSXDIUHUNZTZXGXOTZDXDJUCZX
      IXKUIWNWOXBUJZWSWTWQWRWPUKZXCIULTZDXOTZEXOTZXPWNYAWOXBIUOUMZXCWSYBXTAXODI
      XOVEZPUPUQZXCEXLLKUFZXORXCYAXLXOTZLXOTZYGXOTYDXCYABXOTZCXOTZYHYDXCWQYJWPW
      QWRXAURAXOBIYEPUPUQZXCWRYKWPWQWRXAUSAXOCIYEPUPUQZXOHIBCYENUTVAZWOYIWNXBXO
      GILYEQVBVCZXOIKXLLYEOVDVAVFZXOHIDEYENUTVAZXCYAYKXFXOTZXQYDYMXCYAXEXOTZYIY
      RYDXCYAYJYBYSYDYLYFXOHIBDYENUTVAZYOXOIKXELYEOVDVAZXOHICXFYENUTVAXCYAYBYCX
      RYDYFYPXOHIJDEYEMNVGVAAXODHIJKXDXGYEMNOPVHVIXCXMXJXDKXCCDXFHUFZHUFZCXEHUF
      ZXJXMXCUUBXECHXCUUBXEDLHUFZKUFZXEIVNUNZKUFZXEXCWNWSYSYIDXEJUCZUUBUUFUIXSX
      TYTYOXCYAYJYBUUIYDYLYFXOHIJBDYEMNVJVAAXODHIJKXELYEMNOPVHVIXCUUEUUGXEKWPWQ
      XAUUEUUGUIWRADUUGGHIJLMNUUGVEZPQVKVLVMXCIVOTZYSUUHXEUIWNUUKWOXBIWDUMYTXOU
      UGIKXEYEOUUJVPVQVRVMXCYAYKYBYRUUCXJUIYDYMYFUUAXOHICDXFYENVSVTXCYAYKYJYBUU
      DXMUIYDYMYLYFXOHICBDYENWEVTWAVMXCXDXMJUCZXNXDUIZXCEXLJUCZUULWPWQWRUUNXAAB
      CEGHIJKLMNOPQRWBWCXCYAYCYHYBUUNUULWFYDYPYNYFXOHIJEXLDYEMNWGVTWHXCYAXPXMXO
      TZUULUUMWIYDYQXCYAYBYHUUOYDYFYNXOHIDXLYENUTVAXOIJKXDXMYEMOWJVAWKWLWM $.

    $( Part of proof of Lemma E in [Crawley] p. 113. ` F ` represents f(r).
       ` W ` is the fiducial co-atom (hyperplane) w.  Here we show that (r
       ` \/ ` f(r)) ` /\ ` w = u in their notation (4th line from bottom on
       p. 113).  (Contributed by NM, 5-Jun-2012.) $)
    cdleme2 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ Q e. A
           /\ ( R e. A /\ -. R .<_ W ) ) ) -> ( ( R .\/ F ) ./\ W ) = U ) $=
      ( wcel chlt wa wbr wn w3a cdleme1 oveq1d cbs cfv wceq simpll simpr3l clat
      co ad2antrr simpr1 eqid atbase syl simpr2 latjcl syl3anc lhpbase ad2antlr
      hllat latmcl eqeltrid latmle2 eqbrtrid syl131anc cp0 lhpmat 3ad2antr3 col
      atmod4i2 hlol olj02 syl2anc eqtrd 3eqtr2d ) IUATZLGTZUBZBATZCATZDATZDLJUC
      UDZUBZUEZUBZDFHUNZLKUNDEHUNZLKUNZDLKUNZEHUNZEWJWKWLLKABCDEFGHIJKLMNOPQRSU
      FUGWJWAWFEIUHUIZTZLWPTZELJUCWOWMUJWAWBWIUKWFWGWDWEWCULWJEBCHUNZLKUNZWPRWJ
      IUMTZWSWPTZWRWTWPTWAXAWBWIIVEUOZWJXABWPTZCWPTZXBXCWJWDXDWCWDWEWHUPAWPBIWP
      UQZPURUSWJWEXEWCWDWEWHUTAWPCIXFPURUSWPHIBCXFNVAVBZWBWRWAWIWPGILXFQVCVDZWP
      IKWSLXFOVFVBVGZXHWJEWTLJRWJXAXBWRWTLJUCXCXGXHWPIJKWSLXFMOVHVBVIAWPDHIJKEL
      XFMNOPVOVJWJWOIVKUIZEHUNZEWJWNXJEHWCWDWHWNXJUJWEADGIJKLXJMOXJUQZPQVLVMUGW
      JIVNTZWQXKEUJWAXMWBWIIVPUOXIWPHIEXJXFNXLVQVRVSVT $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
       ~ cdleme3fa and ~ cdleme3 .  (Contributed by NM, 6-Jun-2012.) $)
    cdleme3b $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( P e. A /\ -. P .<_ W )
      /\ ( Q e. A /\ P =/= Q ) /\ ( R e. A /\ -. R .<_ W ) ) ) -> F =/= R ) $=
      ( wcel chlt wa wbr wn wne w3a cbs cfv ccvr simpll simpr3l eqid atbase syl
      co hllat ad2antrr lhpat2 3adant3r3 latjcl syl3anc simpr2l simpr1l lhpbase
      ad2antlr latmcl eqeltrid latmle2 eqbrtrid simpr3r nbrne2 necomd wb atcvr1
      clat syl2anc mpbid wceq simpr3 3jca cdleme1 breqtrrd cvrne syl31anc oveq2
      syldan adantl hlatjidm adantr eqtr2d ex necon3d mpd ) IUATZLGTZUBZBATZBLJ
      UCUDZUBZCATZBCUEZUBZDATZDLJUCUDZUBZUFZUBZDDFHUOZUEZFDUEXGWNDIUGUHZTZXHXJT
      ZDXHIUIUHZUCXIWNWOXFUJZXGXCXKXCXDWSXBWPUKZAXJDIXJULZPUMUNZXGIVOTZXKFXJTXL
      WNXRWOXFIUPUQZXQXGFDEHUOZCBDHUOZLKUOZHUOZKUOZXJSXGXRXTXJTZYCXJTZYDXJTXSXG
      XRXKEXJTZYEXSXQXGEATZYGWPWSXBYHXEABCEGHIJKLMNOPQRURUSZAXJEIXPPUMUNXJHIDEX
      PNUTVAXGXRCXJTZYBXJTZYFXSXGWTYJWTXAWSXEWPVBZAXJCIXPPUMUNZXGXRYAXJTZLXJTZY
      KXSXGXRBXJTZXKYNXSXGWQYPWQWRXBXEWPVCZAXJBIXPPUMUNZXQXJHIBDXPNUTVAWOYOWNXF
      XJGILXPQVDVEZXJIKYALXPOVFVAXJHICYBXPNUTVAXJIKXTYCXPOVFVAVGXJHIDFXPNUTVAXG
      DXTXHXMXGDEUEZDXTXMUCZXGEDXGELJUCXDEDUEXGEBCHUOZLKUOZLJRXGXRUUBXJTZYOUUCL
      JUCXSXGXRYPYJUUDXSYRYMXJHIBCXPNUTVAYSXJIJKUUBLXPMOVHVAVIXCXDWSXBWPVJEDLJV
      KVPVLXGWNXCYHYTUUAVMXNXOYIAXMDEHINXMULZPVNVAVQWPXFWQWTXEUFXHXTVRXGWQWTXEY
      QYLWPWSXBXEVSVTABCDEFGHIJKLMNOPQRSWAWFWBUAXJXMIDXHXPUUEWCWDXGFDDXHXGFDVRZ
      DXHVRXGUUFUBXHDDHUOZDUUFXHUUGVRXGFDDHWEWGXGUUGDVRZUUFXGWNXCUUHXNXOAHIDNPW
      HVPWIWJWKWLWM $.

    ${
      cdleme3c.z $e |- .0. = ( 0. ` K ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
         ~ cdleme3fa and ~ cdleme3 .  (Contributed by NM, 6-Jun-2012.) $)
      cdleme3c $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ P =/= Q ) /\ ( R e. A /\ -. R .<_ W ) ) )
                -> F =/= .0. ) $=
        ( chlt wcel wa wbr wn wne w3a co cbs cfv ccvr simpll clat hllat simpr3l
        ad2antrr eqid atbase syl cops hlop op0cl latjcl syl3anc simpr1l simpr2l
        simpl cdleme1b syl13anc lhpbase ad2antlr latmle2 simpr3r nbrne2 syl2anc
        eqbrtrid necomd wb lhpat2 3adant3r3 atcvr1 mpbid wceq hlol olj01 simpr3
        col cdleme1 3brtr4d cvrne syl31anc oveq2 necon3i ) IUBUCZLGUCZUDZBAUCZB
        LJUEUFZUDZCAUCZBCUGZUDZDAUCZDLJUEUFZUDZUHZUDZMFXHDMHUIZDFHUIZUGZMFUGXHW
        OXIIUJUKZUCZXJXLUCZXIXJIULUKZUEXKWOWPXGUMZXHIUNUCZDXLUCZMXLUCZXMWOXQWPX
        GIUOUQZXHXDXRXDXEWTXCWQUPZAXLDIXLURZQUSUTZXHIVAUCZXSWOYDWPXGIVBUQXLIMYB
        UAVCUTXLHIDMYBOVDVEXHXQXRFXLUCZXNXTYCXHWQWRXAXDYEWQXGVHZWRWSXCXFWQVFZXA
        XBWTXFWQVGZYAAXLBCDEFGHIJKLNOPQRSTYBVIVJXLHIDFYBOVDVEXHDDEHUIZXIXJXOXHD
        EUGZDYIXOUEZXHEDXHELJUEXEEDUGXHEBCHUIZLKUIZLJSXHXQYLXLUCZLXLUCZYMLJUEXT
        XHXQBXLUCZCXLUCZYNXTXHWRYPYGAXLBIYBQUSUTXHXAYQYHAXLCIYBQUSUTXLHIBCYBOVD
        VEWPYOWOXGXLGILYBRVKVLXLIJKYLLYBNPVMVEVQXDXEWTXCWQVNEDLJVOVPVRXHWOXDEAU
        CZYJYKVSXPYAWQWTXCYRXFABCEGHIJKLNOPQRSVTWAAXODEHIOXOURZQWBVEWCXHIWHUCZX
        RXIDWDWOYTWPXGIWEUQYCXLHIDMYBOUAWFVPXHWQWRXAXFXJYIWDYFYGYHWQWTXCXFWGABC
        DEFGHIJKLNOPQRSTWIVJWJUBXLXOIXIXJYBYSWKWLMFXIXJMFDHWMWNUTVR $.
    $}

    ${
      cdleme3.3 $e |- V = ( ( P .\/ R ) ./\ W ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
         ~ cdleme3fa and ~ cdleme3 .  (Contributed by NM, 6-Jun-2012.) $)
      cdleme3d $p |- F = ( ( R .\/ U ) ./\ ( Q .\/ V ) ) $=
        ( co oveq2i eqtr4i ) FDEHUBZCBDHUBMKUBZHUBZKUBUECLHUBZKUBTUHUGUEKLUFCHU
        AUCUCUD $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
         ~ cdleme3fa and ~ cdleme3 .  (Contributed by NM, 6-Jun-2012.) $)
      cdleme3e $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( P e. A /\ -. P .<_ W )
        /\ Q e. A /\ ( R e. A /\ -. R .<_ ( P .\/ Q ) ) ) ) -> V e. A ) $=
        ( chlt wcel wa wbr wn co w3a wne simpl simpr1 simpr3l clat cbs ad2antrr
        cfv hllat eqid atbase simpr1l simpr2 simpr3r latnlej1l syl131anc necomd
        syl lhpat syl112anc eqeltrid ) IUBUCZMGUCZUDZBAUCZBMJUEUFZUDZCAUCZDAUCZ
        DBCHUGJUEUFZUDZUHZUDZLBDHUGMKUGZAUAWAVLVOVQBDUIWBAUCVLVTUJVLVOVPVSUKVQV
        RVOVPVLULZWADBWAIUMUCZDIUNUPZUCZBWEUCZCWEUCZVRDBUIVJWDVKVTIUQUOWAVQWFWC
        AWEDIWEURZQUSVFWAVMWGVMVNVPVSVLUTAWEBIWIQUSVFWAVPWHVLVOVPVSVAAWECIWIQUS
        VFVQVRVOVPVLVBWEHIJDBCWINOVCVDVEABDGHIJKMNOPQRVGVHVI $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
         ~ cdleme3fa and ~ cdleme3 .  TODO:  Delete - duplicates ~ cdleme0e .
         (Contributed by NM, 6-Jun-2012.)  (New usage is discouraged.) $)
      cdleme3fN $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ Q e. A /\ ( R e. A /\ -. R .<_ W ) )
       /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q ) ) ) -> U =/= V ) $=
        ( cdleme0e ) ABCDEGHIJKLMNOPQRSUAUB $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
         ~ cdleme3fa and ~ cdleme3 .  (Contributed by NM, 7-Jun-2012.) $)
      cdleme3g $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) /\ ( R e. A /\ -. R .<_ W ) )
              /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q ) ) ) -> F =/= U ) $=
        ( chlt wcel wa wbr wn w3a wne co cdleme3d cbs cfv simp1l hllatd simp23l
        clat simp21 simp22l simp3l lhpat2 syl112anc eqid hlatjcl syl3anc simp3r
        simp1 jca cdleme3e syl13anc latmle2 eqbrtrid simp22r wi simp23 cdleme0e
        simp3 syl131anc hlatexch2 simp21l simp1r lhpbase syl wb atbase latjle12
        mpbi2and lattr mpan2d syld mtod nbrne2 syl2anc ) IUBUCZMGUCZUDZBAUCZBMJ
        UEUFZUDZCAUCZCMJUEZUFZUDZDAUCZDMJUEUFZUDZUGZBCUHZDBCHUIZJUEUFZUDZUGZFCL
        HUIZJUEEXLJUEZUFFEUHXKFDEHUIZXLKUIZXLJABCDEFGHIJKLMNOPQRSTUAUJXKIUPUCZX
        NIUKULZUCZXLXQUCZXOXLJUEXKIWMWNXFXJUMZUNZXKWMXCEAUCZXRXTXCXDWRXBWOXJUOZ
        XKWOWRWSXGYBWOXFXJVFZWOWRXBXEXJUQZWSXAWRXEWOXJURZWOXFXGXIUSABCEGHIJKMNO
        PQRSUTVAZAXQHIDEXQVBZOQVCVDXKWMWSLAUCZXSXTYFXKWOWRWSXCXIUDYIYDYEYFXKXCX
        IYCWOXFXGXIVEVGABCDEFGHIJKLMNOPQRSTUAVHVIZAXQHICLYHOQVCVDXQIJKXNXLYHNPV
        JVDVKXKXMWTWSXAWRXEWOXJVLXKXMCELHUIZJUEZWTXKWMYBWSYIELUHZXMYLVMXTYGYFYJ
        XKWOWRWSXEXJYMYDYEYFWOWRXBXEXJVNWOXFXJVPABCDEGHIJKLMNOPQRSUAVOVQAECLHIJ
        NOQVRVQXKYLYKMJUEZWTXKEMJUEZLMJUEZYNXKEXHMKUIZMJSXKXPXHXQUCZMXQUCZYQMJU
        EYAXKWMWPWSYRXTWPWQXBXEWOXJVSZYFAXQHIBCYHOQVCVDXKWNYSWMWNXFXJVTXQGIMYHR
        WAWBZXQIJKXHMYHNPVJVDVKXKLBDHUIZMKUIZMJUAXKXPUUBXQUCZYSUUCMJUEYAXKWMWPX
        CUUDXTYTYCAXQHIBDYHOQVCVDUUAXQIJKUUBMYHNPVJVDVKXKXPEXQUCZLXQUCZYSYOYPUD
        YNWCYAXKYBUUEYGAXQEIYHQWDWBXKYIUUFYJAXQLIYHQWDWBUUAXQHIJELMYHNOWEVIWFXK
        XPCXQUCZYKXQUCZYSYLYNUDWTVMYAXKWSUUGYFAXQCIYHQWDWBXKWMYBYIUUHXTYGYJAXQH
        IELYHOQVCVDUUAXQIJCYKMYHNWGVIWHWIWJFEXLJWKWL $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
         ~ cdleme3fa and ~ cdleme3 .  (Contributed by NM, 6-Jun-2012.) $)
      cdleme3h $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) /\ ( R e. A /\ -. R .<_ W ) )
           /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q ) ) ) -> F e. A ) $=
        ( chlt wcel wa wbr wn w3a wne cdleme3d cbs cfv cpmap clines cp0 simp23l
        simp1l simp1 simp21 simp22l simp3l lhpat2 syl112anc eqid hlatjcl simp3r
        co syl3anc jca cdleme3e syl13anc clat hllatd simp21l simp1r lhpbase syl
        latmle2 eqbrtrid simp23r syl2anc linepmap syl31anc simp22r wi hlatexch2
        nbrne2 necomd hlatlej1 syl131anc oveq2i hlatlej2 atbase latmcl latjle12
        latmle1 wb mpbi2and lattr mpan2d hlatexch1 3syld nbrne1 simp23 cdleme3c
        mtod eqnetrrid 2lnat syl322anc eqeltrid ) IUBUCZMGUCZUDZBAUCZBMJUEUFZUD
        ZCAUCZCMJUEUFZUDZDAUCZDMJUEUFZUDZUGZBCUHZDBCHVFZJUEZUFZUDZUGZFDEHVFZCLH
        VFZKVFZAABCDEFGHIJKLMNOPQRSTUAUIZYHXJYIIUJUKZUCZYJYMUCZYIIULUKZUKIUMUKZ
        UCZYJYPUKYQUCZYIYJUHZYKIUNUKZUHYKAUCXJXKYBYGUPZYHXJXSEAUCZYNUUBXSXTXOXR
        XLYGUOZYHXLXOXPYCUUCXLYBYGUQZXLXOXRYAYGURZXPXQXOYAXLYGUSZXLYBYCYFUTZABC
        EGHIJKMNOPQRSVAVBZAYMHIDEYMVCZOQVDVGYHXJXPLAUCZYOUUBUUGYHXLXOXPXSYFUDUU
        KUUEUUFUUGYHXSYFUUDXLYBYCYFVEZVHABCDEFGHIJKLMNOPQRSTUAVIVJZAYMHICLUUJOQ
        VDVGYHIVKUCZXSUUCDEUHYRYHIUUBVLZUUDUUIYHEDYHEMJUEXTEDUHYHEYDMKVFZMJSYHU
        UNYDYMUCZMYMUCZUUPMJUEUUOYHXJXMXPUUQUUBXMXNXRYAXLYGVMZUUGAYMHIBCUUJOQVD
        VGYHXKUURXJXKYBYGVNYMGIMUUJRVOVPZYMIJKYDMUUJNPVQVGVRXSXTXOXRXLYGVSZEDMJ
        WFVTWGADEHIYPYQOQYQVCZYPVCZWAWBYHUUNXPUUKCLUHYSUUOUUGUUMYHLCYHLMJUEZXQL
        CUHYHLBDHVFZMKVFZMJUAYHUUNUVEYMUCZUURUVFMJUEUUOYHXJXMXSUVGUUBUUSUUDAYMH
        IBDUUJOQVDVGZUUTYMIJKUVEMUUJNPVQVGVRZXPXQXOYAXLYGWCLCMJWFVTWGACLHIYPYQO
        QUVBUVCWAWBYHDYIJUEZDYJJUEZUFYTYHXJXSUUCUVJUUBUUDUUIADEHIJNOQWHVGYHUVKY
        EUULYHUVKCDLHVFZJUEZCUVEJUEZYEYHXJXSXPUUKDLUHUVKUVMWDUUBUUDUUGUUMYHLDYH
        UVDXTLDUHUVIUVALDMJWFVTWGADCLHIJNOQWEWIYHUVMUVLUVEJUEZUVNYHUVLDUVFHVFZU
        VEJLUVFDHUAWJYHDUVEJUEZUVFUVEJUEZUVPUVEJUEZYHXJXMXSUVQUUBUUSUUDABDHIJNO
        QWKVGYHUUNUVGUURUVRUUOUVHUUTYMIJKUVEMUUJNPWOVGYHUUNDYMUCZUVFYMUCZUVGUVQ
        UVRUDUVSWPUUOYHXSUVTUUDAYMDIUUJQWLVPYHUUNUVGUURUWAUUOUVHUUTYMIKUVEMUUJP
        WMVGUVHYMHIJDUVFUVEUUJNOWNVJWQVRYHUUNCYMUCZUVLYMUCZUVGUVMUVOUDUVNWDUUOY
        HXPUWBUUGAYMCIUUJQWLVPYHXJXSUUKUWCUUBUUDUUMAYMHIDLUUJOQVDVGUVHYMIJCUVLU
        VEUUJNWRVJWSYHXJXPXSXMCBUHUVNYEWDUUBUUGUUDUUSYHBCUUHWGACDBHIJNOQWTWIXAX
        EDYIYJJXBVTYHYKFUUAYLYHXLXOXPYCUDYAFUUAUHUUEUUFYHXPYCUUGUUHVHXLXOXRYAYG
        XCABCDEFGHIJKMUUANOPQRSTUUAVCZXDVJXFAYMYPIKYQYIYJUUAUUJPUWDQUVBUVCXGXHX
        I $.
    $}

    $( Part of proof of Lemma E in [Crawley] p. 113.  See ~ cdleme3 .
       (Contributed by NM, 6-Oct-2012.) $)
    cdleme3fa $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) /\ ( R e. A /\ -. R .<_ W ) )
           /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q ) ) ) -> F e. A ) $=
      ( co eqid cdleme3h ) ABCDEFGHIJKBDHTLKTZLMNOPQRSUCUAUB $.

    $( Part of proof of Lemma E in [Crawley] p. 113. ` F ` represents f(r).
       ` W ` is the fiducial co-atom (hyperplane) w.  Here and in ~ cdleme3fa
       above, we show that f(r) ` e. ` W (4th line from bottom on p. 113),
       meaning it is an atom and not under w, which in our notation is
       expressed as ` F e. A /\ -. F .<_ W ` .  Their proof provides no details
       of our lemmas ~ cdleme3b through ~ cdleme3 , so there may be a simpler
       proof that we have overlooked.  (Contributed by NM, 7-Jun-2012.) $)
    cdleme3 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) /\ ( R e. A /\ -. R .<_ W ) )
     /\ ( P =/= Q /\ -. R .<_ ( P .\/ Q ) ) ) -> -. F .<_ W ) $=
      ( wcel chlt wa wbr wn w3a wne co eqid cdleme3g wceq cbs cfv simp1l hllatd
      clat simp23l atbase cdleme3fa latlej2 syl3anc biantrurd wb hlatjcl simp1r
      syl lhpbase latlem12 syl13anc simp1 simp21l simp22l simp23 cdleme2 breq2d
      bitrd hlatl simp21 simp3l lhpat2 syl112anc atcmp 3bitrd necon3bbid mpbird
      cal ) IUATZLGTZUBZBATZBLJUCUDZUBZCATZCLJUCUDZUBZDATZDLJUCUDZUBZUEZBCUFZDB
      CHUGJUCUDZUBZUEZFLJUCZUDFEUFABCDEFGHIJKBDHUGLKUGZLMNOPQRSXDUHUIXBXCFEXBXC
      FDFHUGZJUCZXCUBZFEJUCZFEUJZXBXFXCXBIUOTZDIUKULZTZFXKTZXFXBIWFWGWRXAUMZUNZ
      XBWOXLWOWPWKWNWHXAUPZAXKDIXKUHZPUQVEXBFATZXMABCDEFGHIJKLMNOPQRSURZAXKFIXQ
      PUQVEZXKHIJDFXQMNUSUTVAXBXGFXELKUGZJUCZXHXBXJXMXEXKTZLXKTZXGYBVBXOXTXBWFW
      OXRYCXNXPXSAXKHIDFXQNPVCUTXBWGYDWFWGWRXAVDXKGILXQQVFVEXKIJKFXELXQMOVGVHXB
      YAEFJXBWHWIWLWQYAEUJWHWRXAVIZWIWJWNWQWHXAVJWLWMWKWQWHXAVKZWHWKWNWQXAVLABC
      DEFGHIJKLMNOPQRSVMVHVNVOXBIWETZXREATZXHXIVBXBWFYGXNIVPVEXSXBWHWKWLWSYHYEW
      HWKWNWQXAVQYFWHWRWSWTVRABCEGHIJKLMNOPQRVSVTAFEIJMPWAUTWBWCWD $.
  $}

  ${
    cdleme4.l $e |- .<_ = ( le ` K ) $.
    cdleme4.j $e |- .\/ = ( join ` K ) $.
    cdleme4.m $e |- ./\ = ( meet ` K ) $.
    cdleme4.a $e |- A = ( Atoms ` K ) $.
    cdleme4.h $e |- H = ( LHyp ` K ) $.
    cdleme4.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113. ` F ` and ` G ` represent
       f(s) and f_s(r).  Here show p ` \/ ` q = r ` \/ ` u at the top of
       p. 114.  (Contributed by NM, 7-Jun-2012.) $)
    cdleme4 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ Q e. A
   /\ ( R e. A /\ -. R .<_ W ) ) /\ R .<_ ( P .\/ Q ) )
  -> ( P .\/ Q ) = ( R .\/ U ) ) $=
      ( wcel co wceq chlt wa wbr wn w3a oveq2i cp1 cfv cbs simp1l simp21 simp22
      simp23l hlatjcl syl3anc simp1r lhpbase syl simp3 atmod3i1 syl131anc simp1
      eqid simp23 lhpjat2 syl2anc oveq2d col hlol olm11 3eqtrd eqtr2id ) HUARZK
      FRZUBZBARZCARZDARZDKIUCUDZUBZUEZDBCGSZIUCZUEZDEGSDWBKJSZGSZWBEWEDGQUFWDWF
      WBDKGSZJSZWBHUGUHZJSZWBWDVMVRWBHUIUHZRZKWKRZWCWFWHTVMVNWAWCUJZVRVSVPVQVOW
      CUMWDVMVPVQWLWNVOVPVQVTWCUKVOVPVQVTWCULAWKGHBCWKVCZMOUNUOZWDVNWMVMVNWAWCU
      PWKFHKWOPUQURVOWAWCUSAWKDGHIJWBKWOLMNOUTVAWDWGWIWBJWDVOVTWGWITVOWAWCVBVOV
      PVQVTWCVDADWIFGHIKLMWIVCZOPVEVFVGWDHVHRZWLWJWBTWDVMWRWNHVIURWPWKWIHJWBWON
      WQVJVFVKVL $.

    cdleme4.f $e |- F
      = ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) ) $.
    cdleme4.g $e |- G
      = ( ( P .\/ Q ) ./\ ( F .\/ ( ( R .\/ S ) ./\ W ) ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 114 top. ` G ` represents
       f_s(r).  Auxiliary lemma derived from ~ cdleme5 .  We show f_s(r) ` <_ `
       p ` \/ ` q.  (Contributed by NM, 10-Nov-2012.) $)
    cdleme4a $p |- ( ( ( K e. HL /\ W e. H )
     /\ ( P e. A /\ Q e. A /\ R e. A ) /\ S e. A ) -> G .<_ ( P .\/ Q ) ) $=
      ( chlt wcel w3a clat cbs cfv wbr simp1l hllatd simp21 simp22 eqid hlatjcl
      wa co syl3anc simp1r simp3 cdleme1b syl23anc simp23 lhpbase latmcl latjcl
      syl latmle1 eqbrtrid ) KUCUDZNIUDZUPZBAUDZCAUDZDAUDZUEZEAUDZUEZHBCJUQZGDE
      JUQZNMUQZJUQZMUQZVSLUBVRKUFUDZVSKUGUHZUDZWBWEUDZWCVSLUIVRKVJVKVPVQUJZUKZV
      RVJVMVNWFWHVLVMVNVOVQULZVLVMVNVOVQUMZAWEJKBCWEUNZPRUOURVRWDGWEUDZWAWEUDZW
      GWIVRVJVKVMVNVQWMWHVJVKVPVQUSZWJWKVLVPVQUTZAWEBCEFGIJKLMNOPQRSTUAWLVAVBVR
      WDVTWEUDZNWEUDZWNWIVRVJVOVQWQWHVLVMVNVOVQVCWPAWEJKDEWLPRUOURVRVKWRWOWEIKN
      WLSVDVGWEKMVTNWLQVEURWEJKGWAWLPVFURWEKLMVSWBWLOQVHURVI $.

    $( Part of proof of Lemma E in [Crawley] p. 113. ` G ` represents f_s(r).
       We show r ` \/ ` f_s(r)) = p ` \/ ` q at the top of p. 114.
       (Contributed by NM, 7-Jun-2012.) $)
    cdleme5 $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( P e. A /\ Q e. A /\ ( R e. A /\ -. R .<_ W ) )
       /\ ( ( S e. A /\ -. S .<_ W ) /\ R .<_ ( P .\/ Q ) ) )
                -> ( R .\/ G ) = ( P .\/ Q ) ) $=
      ( chlt wcel wa wbr wn w3a co oveq2i cbs wceq simp1l simp23l simp21 simp22
      eqid hlatjcl syl3anc clat hllatd simp3ll cdleme1b syl13anc simp1r lhpbase
      cfv simp1 latmcl latjcl simp3r atmod3i1 syl131anc atbase latj12 cdleme0aa
      syl latlej2 cdleme4 3adant3l oveq2d latjcom simp3l cdleme1 eqtrd hlatlej1
      3eqtr4d cp1 simp23r lhpjat2 syl12anc hlol olm11 syl2anc breqtrd latleeqm1
      col wb mpbid syl5eq ) KUCUDZNIUDZUEZBAUDZCAUDZDAUDZDNLUFUGZUEZUHZEAUDZENL
      UFUGZUEZDBCJUIZLUFZUEZUHZDHJUIDXMGDEJUIZNMUIZJUIZMUIZJUIZXMHXTDJUBUJXPYAX
      MDXSJUIZMUIZXMXPXAXFXMKUKVGZUDZXSYDUDZXNYAYCULXAXBXIXOUMZXFXGXDXEXCXOUNZX
      PXAXDXEYEYGXCXDXEXHXOUOZXCXDXEXHXOUPZAYDJKBCYDUQZPRURUSZXPKUTUDZGYDUDZXRY
      DUDZYFXPKYGVAZXPXCXDXEXJYNXCXIXOVHZYIYJXJXKXNXCXIVBZAYDBCEFGIJKLMNOPQRSTU
      AYKVCVDZXPYMXQYDUDZNYDUDZYOYPXPXAXFXJYTYGYHYRAYDJKDEYKPRURUSZXPXBUUAXAXBX
      IXOVEYDIKNYKSVFVQZYDKMXQNYKQVIUSZYDJKGXRYKPVJUSZXCXIXLXNVKAYDDJKLMXMXSYKO
      PQRVLVMXPXMYBLUFZYCXMULZXPXMEXMJUIZYBLXPYMEYDUDZYEXMUUHLUFYPXPXJUUIYRAYDE
      KYKRVNVQZYLYDJKLEXMYKOPVRUSXPUUHGDXRJUIZJUIZYBXPDGEJUIZJUIZGXQJUIZUUHUULX
      PYMDYDUDZYNUUIUUNUUOULYPXPXFUUPYHAYDDKYKRVNVQZYSUUJYDJKDGEYKPVOVDXPEDFJUI
      ZJUIZDEFJUIZJUIZUUHUUNXPYMUUIUUPFYDUDZUUSUVAULYPUUJUUQXPXCXDXEUVBYQYIYJAY
      DBCFIJKLMNOPQRSTYKVPUSYDJKEDFYKPVOVDXPXMUUREJXCXIXNXMUURULXLABCDFIJKLMNOP
      QRSTVSVTWAXPUUMUUTDJXPUUMEGJUIZUUTXPYMYNUUIUUMUVCULYPYSUUJYDJKGEYKPWBUSXP
      XCXDXEXLUVCUUTULYQYIYJXCXIXLXNWCABCEFGIJKLMNOPQRSTUAWDVDWEWAWGXPUUKXQGJXP
      UUKXQDNJUIZMUIZXQXPXAXFYTUUADXQLUFZUUKUVEULYGYHUUBUUCXPXAXFXJUVFYGYHYRADE
      JKLOPRWFUSAYDDJKLMXQNYKOPQRVLVMXPUVEXQKWHVGZMUIZXQXPUVDUVGXQMXPXCXFXGUVDU
      VGULYQYHXFXGXDXEXCXOWIADUVGIJKLNOPUVGUQZRSWJWKWAXPKWQUDZYTUVHXQULXPXAUVJY
      GKWLVQUUBYDUVGKMXQYKQUVIWMWNWEWEWAWGXPYMYNUUPYOUULYBULYPYSUUQUUDYDJKGDXRY
      KPVOVDWEWOXPYMYEYBYDUDZUUFUUGWRYPYLXPYMUUPYFUVKYPUUQUUEYDJKDXSYKPVJUSYDKL
      MXMYBYKOQWPUSWSWEWT $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  This expresses (r ` \/ `
       f_s(r)) ` /\ ` w = u at the top of p. 114.  (Contributed by NM,
       7-Jun-2012.) $)
    cdleme6 $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( P e. A /\ Q e. A /\ ( R e. A /\ -. R .<_ W ) )
       /\ ( ( S e. A /\ -. S .<_ W ) /\ R .<_ ( P .\/ Q ) ) )
                -> ( ( R .\/ G ) ./\ W ) = U ) $=
      ( chlt wcel wa wbr wn w3a co cdleme5 oveq1d eqtr4di ) KUCUDNIUDUEBAUDCAUD
      DAUDDNLUFUGUEUHEAUDENLUFUGUEDBCJUIZLUFUEUHZDHJUIZNMUIUMNMUIFUNUOUMNMABCDE
      FGHIJKLMNOPQRSTUAUBUJUKTUL $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
       ~ cdleme7ga and ~ cdleme7 .  (Contributed by NM, 7-Jun-2012.) $)
    cdleme7aa $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
           /\ Q e. A )
       /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( P =/= Q /\ R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
                -> -. R .<_ ( U .\/ S ) ) $=
      ( chlt wcel wa wbr wn w3a wne co simp33 wi simp11l simp2ll simp2rl simp11
      simp12 simp13 simp31 lhpat2 syl112anc clat cbs cfv hllatd simp12l hlatjcl
      eqid syl3anc simp11r lhpbase syl latmle2 eqbrtrid nbrne2 necomd hlatexch1
      simp2lr syl2anc syl131anc wceq simp2l simp32 cdleme4 eqtrd breq2d sylibrd
      hlatjcom mtod ) KUCUDZNIUDZUEZBAUDZBNLUFUGZUEZCAUDZUHZDAUDZDNLUFUGZUEZEAU
      DZENLUFUGZUEZUEZBCUIZDBCJUJZLUFZEXFLUFZUGZUHZUHZDFEJUJLUFZXHWQXDXEXGXIUKX
      KXLEFDJUJZLUFZXHXKWJWRXAFAUDZDFUIZXLXNULWJWKWOWPXDXJUMZWRWSXCWQXJUNZXAXBW
      TWQXJUOXKWLWOWPXEXOWLWOWPXDXJUPZWLWOWPXDXJUQWLWOWPXDXJURZWQXDXEXGXIUSABCF
      IJKLMNOPQRSTUTVAZXKFNLUFZWSXPXKFXFNMUJZNLTXKKVBUDXFKVCVDZUDZNYDUDZYCNLUFX
      KKXQVEXKWJWMWPYEXQWMWNWLWPXDXJVFZXTAYDJKBCYDVHZPRVGVIXKWKYFWJWKWOWPXDXJVJ
      YDIKNYHSVKVLYDKLMXFNYHOQVMVIVNWRWSXCWQXJVRYBWSUEFDFDNLVOVPVSADEFJKLOPRVQV
      TXKXFXMELXKXFDFJUJZXMXKWLWMWPWTXGXFYIWAXSYGXTWQWTXCXJWBWQXDXEXGXIWCABCDFI
      JKLMNOPQRSTWDVTXKWJWRXOYIXMWAXQXRYAAJKDFPRWHVIWEWFWGWI $.

    ${
      cdleme7.v $e |- V = ( ( R .\/ S ) ./\ W ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
         ~ cdleme7ga and ~ cdleme7 .  (Contributed by NM, 7-Jun-2012.) $)
      cdleme7a $p |- G = ( ( P .\/ Q ) ./\ ( F .\/ V ) ) $=
        ( co oveq2i eqtr4i ) HBCJUEZGDEJUEOMUEZJUEZMUEUHGNJUEZMUEUCUKUJUHMNUIGJ
        UDUFUFUG $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
         ~ cdleme7ga and ~ cdleme7 .  (Contributed by NM, 7-Jun-2012.) $)
      cdleme7b $p |- ( ( ( K e. HL /\ W e. H ) /\ ( R e. A /\ -. R .<_ W )
            /\ ( S e. A /\ -. S .<_ ( P .\/ Q ) /\ R .<_ ( P .\/ Q ) ) )
          -> V e. A ) $=
        ( chlt wcel wa wbr wn w3a wne simp1 simp31 simp33 simp32 nbrne2 syl2anc
        co simp2 lhpat syl112anc eqeltrid ) KUEUFOIUFUGZDAUFDOLUHUIUGZEAUFZEBCJ
        URZLUHUIZDVFLUHZUJZUJZNDEJUROMURZAUDVJVCVDVEDEUKZVKAUFVCVDVIULVCVDVIUSV
        CVDVEVGVHUMVJVHVGVLVCVDVEVGVHUNVCVDVEVGVHUODEVFLUPUQADEIJKLMOPQRSTUTVAV
        B $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
         ~ cdleme7ga and ~ cdleme7 .  (Contributed by NM, 7-Jun-2012.) $)
      cdleme7c $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
           /\ Q e. A )
       /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( P =/= Q /\ R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
    -> U =/= V ) $=
        ( chlt wcel wa wbr wn w3a wne co cp0 wceq oveq12i simp11 simp12l simp13
        cfv simp2l simp32 cdleme4 syl131anc oveq1d simp11l simp12 simp31 lhpat2
        syl112anc simp2rl simp2ll clat cbs eqid hlatjcl syl3anc simp11r lhpbase
        hllatd syl latmle2 eqbrtrid simp2rr syl2anc cdleme7aa 2llnma2 syl132anc
        nbrne2 eqtrd col hlol latmmdir syl13anc lhpmat 3eqtr3d syl5eq cal hlatl
        wb simp33 cdleme7b syl113anc atnem0 mpbird ) KUEUFZOIUFZUGZBAUFZBOLUHUI
        ZUGZCAUFZUJZDAUFZDOLUHUIZUGZEAUFZEOLUHUIZUGZUGZBCUKZDBCJULZLUHZEYALUHUI
        ZUJZUJZFNUKZFNMULZKUMUSZUNZYEYGYAOMULZDEJULZOMULZMULZYHFYJNYLMUAUDUOYEY
        AYKMULZOMULZDOMULZYMYHYEYNDOMYEYNDFJULZYKMULZDYEYAYQYKMYEXGXHXKXOYBYAYQ
        UNXGXJXKXSYDUPZXHXIXGXKXSYDUQZXGXJXKXSYDURZXLXOXRYDUTZXLXSXTYBYCVAZABCD
        FIJKLMOPQRSTUAVBVCVDYEXEFAUFZXPXMFEUKZDFEJULLUHUIYRDUNXEXFXJXKXSYDVEZYE
        XGXJXKXTUUDYSXGXJXKXSYDVFUUAXLXSXTYBYCVGABCFIJKLMOPQRSTUAVHVIZXPXQXOXLY
        DVJZXMXNXRXLYDVKZYEFOLUHXQUUEYEFYJOLUAYEKVLUFYAKVMUSZUFZOUUJUFZYJOLUHYE
        KUUFVSYEXEXHXKUUKUUFYTUUAAUUJJKBCUUJVNZQSVOVPZYEXFUULXEXFXJXKXSYDVQUUJI
        KOUUMTVRVTZUUJKLMYAOUUMPRWAVPWBXPXQXOXLYDWCFEOLWHWDABCDEFGHIJKLMOPQRSTU
        AUBUCWEAFEDJKLMPQRSWFWGWIVDYEKWJUFZUUKYKUUJUFZUULYOYMUNYEXEUUPUUFKWKVTU
        UNYEXEXMXPUUQUUFUUIUUHAUUJJKDEUUMQSVOVPUUOUUJKMYAYKOUUMRWLWMYEXGXOYPYHU
        NYSUUBADIKLMOYHPRYHVNZSTWNWDWOWPYEKWQUFZUUDNAUFZYFYIWSYEXEUUSUUFKWRVTUU
        GYEXGXOXPYCYBUUTYSUUBUUHXLXSXTYBYCWTUUCABCDEFGHIJKLMNOPQRSTUAUBUCUDXAXB
        AFNKMYHRUURSXCVPXD $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
         ~ cdleme7ga and ~ cdleme7 .  (Contributed by NM, 8-Jun-2012.) $)
      cdleme7d $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( P =/= Q /\ R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
                -> G =/= U ) $=
        ( chlt wcel wa wbr w3a wne cdleme7a clat cbs cfv simp11l hllatd simp12l
        wn co simp13l hlatjcl syl3anc simp11 simp12 simp13 simp2r simp31 simp33
        eqid cdleme3fa syl132anc simp2l simp2rl simp32 cdleme7b latmle2 cdleme3
        syl113anc eqbrtrid lhpat2 syl112anc simp2 syl311anc hlatexch2 syl131anc
        wi simp3 cdleme7c simp11r lhpbase simp2ll wb latjle12 syl13anc mpbi2and
        syl atbase lattr mpan2d syld mtod nbrne2 syl2anc ) KUEUFZOIUFZUGZBAUFZB
        OLUHURZUGZCAUFZCOLUHURZUGZUIZDAUFZDOLUHURZUGZEAUFZEOLUHURZUGZUGZBCUJZDB
        CJUSZLUHZEYBLUHURZUIZUIZHGNJUSZLUHFYGLUHZURHFUJYFHYBYGMUSZYGLABCDEFGHIJ
        KLMNOPQRSTUAUBUCUDUKYFKULUFZYBKUMUNZUFZYGYKUFZYIYGLUHYFKXDXEXIXLXTYEUOZ
        UPZYFXDXGXJYLYNXGXHXFXLXTYEUQXJXKXFXIXTYEUTZAYKJKBCYKVIZQSVAVBZYFXDGAUF
        ZNAUFZYMYNYFXFXIXLXSYAYDYSXFXIXLXTYEVCZXFXIXLXTYEVDZXFXIXLXTYEVEZXMXPXS
        YEVFZXMXTYAYCYDVGZXMXTYAYCYDVHZABCEFGIJKLMOPQRSTUAUBVJVKZYFXFXPXQYDYCYT
        UUAXMXPXSYEVLXQXRXPXMYEVMZUUFXMXTYAYCYDVNABCDEFGHIJKLMNOPQRSTUAUBUCUDVO
        VRZAYKJKGNYQQSVAVBYKKLMYBYGYQPRVPVBVSYFYHGOLUHZYFXFXIXLXSYAYDUUJURUUAUU
        BUUCUUDUUEUUFABCEFGIJKLMOPQRSTUAUBVQVKYFYHGFNJUSZLUHZUUJYFXDFAUFZYSYTFN
        UJZYHUULWFYNYFXFXIXJYAUUMUUAUUBYPUUEABCFIJKLMOPQRSTUAVTWAZUUGUUIYFXFXIX
        JXTYEUUNUUAUUBYPXMXTYEWBXMXTYEWGABCDEFGHIJKLMNOPQRSTUAUBUCUDWHWCAFGNJKL
        PQSWDWEYFUULUUKOLUHZUUJYFFOLUHZNOLUHZUUPYFFYBOMUSZOLUAYFYJYLOYKUFZUUSOL
        UHYOYRYFXEUUTXDXEXIXLXTYEWIYKIKOYQTWJWPZYKKLMYBOYQPRVPVBVSYFNDEJUSZOMUS
        ZOLUDYFYJUVBYKUFZUUTUVCOLUHYOYFXDXNXQUVDYNXNXOXSXMYEWKUUHAYKJKDEYQQSVAV
        BUVAYKKLMUVBOYQPRVPVBVSYFYJFYKUFZNYKUFZUUTUUQUURUGUUPWLYOYFUUMUVEUUOAYK
        FKYQSWQWPYFYTUVFUUIAYKNKYQSWQWPUVAYKJKLFNOYQPQWMWNWOYFYJGYKUFZUUKYKUFZU
        UTUULUUPUGUUJWFYOYFYSUVGUUGAYKGKYQSWQWPYFXDUUMYTUVHYNUUOUUIAYKJKFNYQQSV
        AVBUVAYKKLGUUKOYQPWRWNWSWTXAHFYGLXBXC $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
         ~ cdleme7ga and ~ cdleme7 .  (Contributed by NM, 8-Jun-2012.) $)
      cdleme7e $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( P =/= Q /\ R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
    -> G =/= ( 0. ` K ) ) $=
        ( chlt wcel wa wbr w3a wne cp0 cfv cbs ccvr simp11l clat hllatd simp2ll
        wn eqid atbase syl cops hlop op0cl 3syl syl3anc simp12l simp13l hlatjcl
        latjcl simp11 simp2rl cdleme1b syl13anc simp11r lhpbase latmcl eqeltrid
        co latmle2 simp2lr nbrne2 necomd syl2anc simp12 simp31 lhpat2 syl112anc
        eqbrtrid wb atcvr1 mpbid wceq hlol olj01 simp2l simp2r simp32 syl132anc
        cdleme5 cdleme4 syl131anc eqtrd 3brtr4d cvrne syl31anc oveq2 necon3i
        col ) KUEUFZOIUFZUGZBAUFZBOLUHUSZUGZCAUFZCOLUHUSZUGZUIZDAUFZDOLUHUSZUGZ
        EAUFZEOLUHUSZUGZUGZBCUJZDBCJVTZLUHZEYILUHUSZUIZUIZKUKULZHYMDYNJVTZDHJVT
        ZUJZYNHUJYMXKYOKUMULZUFZYPYRUFZYOYPKUNULZUHYQXKXLXPXSYGYLUOZYMKUPUFZDYR
        UFZYNYRUFZYSYMKUUBUQZYMYAUUDYAYBYFXTYLURZAYRDKYRUTZSVAVBZYMXKKVCUFUUEUU
        BKVDYRKYNUUHYNUTZVEVFYRJKDYNUUHQVKVGYMUUCUUDHYRUFYTUUFUUIYMHYIGDEJVTZOM
        VTZJVTZMVTZYRUCYMUUCYIYRUFZUUMYRUFZUUNYRUFUUFYMXKXNXQUUOUUBXNXOXMXSYGYL
        VHZXQXRXMXPYGYLVIZAYRJKBCUUHQSVJVGZYMUUCGYRUFZUULYRUFZUUPUUFYMXMXNXQYDU
        UTXMXPXSYGYLVLZUUQUURYDYEYCXTYLVMZAYRBCEFGIJKLMOPQRSTUAUBUUHVNVOYMUUCUU
        KYRUFZOYRUFZUVAUUFYMXKYAYDUVDUUBUUGUVCAYRJKDEUUHQSVJVGYMXLUVEXKXLXPXSYG
        YLVPYRIKOUUHTVQVBZYRKMUUKOUUHRVRVGYRJKGUULUUHQVKVGYRKMYIUUMUUHRVRVGVSYR
        JKDHUUHQVKVGYMDDFJVTZYOYPUUAYMDFUJZDUVGUUAUHZYMFOLUHZYBUVHYMFYIOMVTZOLU
        AYMUUCUUOUVEUVKOLUHUUFUUSUVFYRKLMYIOUUHPRWAVGWJYAYBYFXTYLWBUVJYBUGFDFDO
        LWCWDWEYMXKYAFAUFZUVHUVIWKUUBUUGYMXMXPXQYHUVLUVBXMXPXSYGYLWFUURXTYGYHYJ
        YKWGABCFIJKLMOPQRSTUAWHWIAUUADFJKQUUAUTZSWLVGWMYMKXJUFZUUDYODWNYMXKUVNU
        UBKWOVBUUIYRJKDYNUUHQUUJWPWEYMYPYIUVGYMXMXNXQYCYFYJYPYIWNUVBUUQUURXTYCY
        FYLWQZXTYCYFYLWRXTYGYHYJYKWSZABCDEFGHIJKLMOPQRSTUAUBUCXAWTYMXMXNXQYCYJY
        IUVGWNUVBUUQUURUVOUVPABCDFIJKLMOPQRSTUAXBXCXDXEUEYRUUAKYOYPUUHUVMXFXGYN
        HYOYPYNHDJXHXIVBWD $.
    $}

    $( Part of proof of Lemma E in [Crawley] p. 113.  See ~ cdleme7 .
       (Contributed by NM, 8-Jun-2012.) $)
    cdleme7ga $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( P =/= Q /\ R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
    -> G e. A ) $=
      ( chlt wcel wa wbr wn w3a wne co cbs cfv cpmap clines cp0 simp11l simp12l
      simp13l eqid hlatjcl syl3anc simp11 simp12 simp13 simp2r simp31 cdleme3fa
      simp33 syl132anc simp2l simp2rl simp32 cdleme7b syl113anc hllatd linepmap
      syl31anc simp2ll simp11r lhpbase syl latmle2 cdleme3 nbrne2 necomd atbase
      clat syl2anc latmcl latlej2 cdleme7c syl323anc cal hlatl lhpat2 syl112anc
      atncmp mpbird latlem12 syl13anc biimpd mpan2d breq2i mtod nbrne1 cdleme7e
      wb syl6ibr eqnetrrid 2lnat syl322anc eqeltrid ) KUCUDZNIUDZUEZBAUDZBNLUFU
      GZUEZCAUDZCNLUFUGZUEZUHZDAUDZDNLUFUGZUEZEAUDZENLUFUGZUEZUEZBCUIZDBCJUJZLU
      FZEYKLUFUGZUHZUHZHYKGDEJUJZNMUJZJUJZMUJZAUBYOXMYKKUKULZUDZYRYTUDZYKKUMULZ
      ULKUNULZUDZYRUUCULUUDUDZYKYRUIZYSKUOULZUIYSAUDXMXNXRYAYIYNUPZYOXMXPXSUUAU
      UIXPXQXOYAYIYNUQZXSXTXOXRYIYNURZAYTJKBCYTUSZPRUTVAZYOXMGAUDZYQAUDZUUBUUIY
      OXOXRYAYHYJYMUUNXOXRYAYIYNVBZXOXRYAYIYNVCZXOXRYAYIYNVDZYBYEYHYNVEZYBYIYJY
      LYMVFZYBYIYJYLYMVHZABCEFGIJKLMNOPQRSTUAVGVIZYOXOYEYFYMYLUUOUUPYBYEYHYNVJZ
      YFYGYEYBYNVKZUVAYBYIYJYLYMVLZABCDEFGHIJKLMYQNOPQRSTUAUBYQUSZVMVNZAYTJKGYQ
      UULPRUTVAYOKWGUDZXPXSYJUUEYOKUUIVOZUUJUUKUUTABCJKUUCUUDPRUUDUSZUUCUSZVPVQ
      YOUVHUUNUUOGYQUIZUUFUVIUVBUVGYOYQNLUFZGNLUFUGZUVLYOUVHYPYTUDZNYTUDZUVMUVI
      YOXMYCYFUVOUUIYCYDYHYBYNVRUVDAYTJKDEUULPRUTVAZYOXNUVPXMXNXRYAYIYNVSYTIKNU
      ULSVTWAZYTKLMYPNUULOQWBVAZYOXOXRYAYHYJYMUVNUUPUUQUURUUSUUTUVAABCEFGIJKLMN
      OPQRSTUAWCVIUVMUVNUEYQGYQGNLWDWEWHAGYQJKUUCUUDPRUVJUVKVPVQYOYQYRLUFZYQYKL
      UFZUGZUUGYOUVHGYTUDZYQYTUDZUVTUVIYOUUNUWCUVBAYTGKUULRWFWAYOUVHUVOUVPUWDUV
      IUVQUVRYTKMYPNUULQWIVAZYTJKLGYQUULOPWJVAYOUWAYQFLUFZYOUWFUGZYQFUIZYOFYQYO
      XOXRXSYEYHYJYLYMFYQUIUUPUUQUUKUVCUUSUUTUVEUVAABCDEFGHIJKLMYQNOPQRSTUAUBUV
      FWKWLWEYOKWMUDZUUOFAUDZUWGUWHXGYOXMUWIUUIKWNWAUVGYOXOXRXSYJUWJUUPUUQUUKUU
      TABCFIJKLMNOPQRSTWOWPAYQFKLORWQVAWRYOUWAYQYKNMUJZLUFZUWFYOUWAUVMUWLUVSYOU
      WAUVMUEZUWLYOUVHUWDUUAUVPUWMUWLXGUVIUWEUUMUVRYTKLMYQYKNUULOQWSWTXAXBFUWKY
      QLTXCXHXDUVTUWBUEYRYKYQYRYKLXEWEWHYOYSHUUHUBABCDEFGHIJKLMYQNOPQRSTUAUBUVF
      XFXIAYTUUCKMUUDYKYRUUHUULQUUHUSRUVJUVKXJXKXL $.

    $( Part of proof of Lemma E in [Crawley] p. 113. ` G ` and ` F ` represent
       f_s(r) and f(s) respectively. ` W ` is the fiducial co-atom (hyperplane)
       that they call w.  Here and in ~ cdleme7ga above, we show that f_s(r)
       ` e. ` W (top of p. 114), meaning it is an atom and not under w, which
       in our notation is expressed as ` G e. A /\ -. G .<_ W ` .  (Note that
       we do not have a symbol for their W.) Their proof provides no details of
       our ~ cdleme7aa through ~ cdleme7 , so there may be a simpler proof that
       we have overlooked.  (Contributed by NM, 9-Jun-2012.) $)
    cdleme7 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( P =/= Q /\ R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
     -> -. G .<_ W ) $=
      ( chlt wcel wa wbr wn w3a co eqid cdleme7d wceq simp11l simp2ll cdleme7ga
      wne hlatlej2 syl3anc biantrurd clat cbs cfv hllatd atbase hlatjcl simp11r
      syl lhpbase latlem12 syl13anc simp11 simp12l simp13l simp2l simp2r simp32
      wb cdleme6 syl132anc breq2d bitrd cal hlatl simp12 simp31 syl112anc atcmp
      lhpat2 3bitrd necon3bbid mpbird ) KUCUDZNIUDZUEZBAUDZBNLUFUGZUEZCAUDZCNLU
      FUGZUEZUHZDAUDZDNLUFUGZUEZEAUDENLUFUGUEZUEZBCUPZDBCJUIZLUFZEXHLUFUGZUHZUH
      ZHNLUFZUGHFUPABCDEFGHIJKLMDEJUINMUIZNOPQRSTUAUBXNUJUKXLXMHFXLXMHDHJUIZLUF
      ZXMUEZHFLUFZHFULZXLXPXMXLWLXBHAUDZXPWLWMWQWTXFXKUMZXBXCXEXAXKUNZABCDEFGHI
      JKLMNOPQRSTUAUBUOZADHJKLOPRUQURUSXLXQHXONMUIZLUFZXRXLKUTUDHKVAVBZUDZXOYFU
      DZNYFUDZXQYEVQXLKYAVCXLXTYGYCAYFHKYFUJZRVDVGXLWLXBXTYHYAYBYCAYFJKDHYJPRVE
      URXLWMYIWLWMWQWTXFXKVFYFIKNYJSVHVGYFKLMHXONYJOQVIVJXLYDFHLXLWNWOWRXDXEXIY
      DFULWNWQWTXFXKVKZWOWPWNWTXFXKVLWRWSWNWQXFXKVMZXAXDXEXKVNXAXDXEXKVOXAXFXGX
      IXJVPABCDEFGHIJKLMNOPQRSTUAUBVRVSVTWAXLKWBUDZXTFAUDZXRXSVQXLWLYMYAKWCVGYC
      XLWNWQWRXGYNYKWNWQWTXFXKWDYLXAXFXGXIXJWEABCFIJKLMNOPQRSTWHWFAHFKLORWGURWI
      WJWK $.
  $}

  ${
    cdleme8.l $e |- .<_ = ( le ` K ) $.
    cdleme8.j $e |- .\/ = ( join ` K ) $.
    cdleme8.m $e |- ./\ = ( meet ` K ) $.
    cdleme8.a $e |- A = ( Atoms ` K ) $.
    cdleme8.h $e |- H = ( LHyp ` K ) $.
    cdleme8.4 $e |- C = ( ( P .\/ S ) ./\ W ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113, 2nd paragraph on p. 114.
       ` C ` represents s_1.  In their notation, we prove p ` \/ ` s_1 = p
       ` \/ ` s.  (Contributed by NM, 9-Jun-2012.) $)
    cdleme8 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ S e. A ) -> ( P .\/ C ) = ( P .\/ S ) ) $=
      ( wcel co wceq syl chlt wa wbr wn w3a oveq2i cp1 cfv simp1l simp2l hllatd
      clat eqid atbase 3ad2ant3 latjcl syl3anc simp1r lhpbase latlej1 syl131anc
      cbs atmod3i1 lhpjat2 3adant3 oveq2d col hlol olm11 syl2anc 3eqtrd syl5eq
      ) GUAQZJEQZUBZCAQZCJHUCUDZUBZDAQZUEZCBFRCCDFRZJIRZFRZWABWBCFPUFVTWCWACJFR
      ZIRZWAGUGUHZIRZWAVTVMVPWAGVBUHZQZJWHQZCWAHUCZWCWESVMVNVRVSUIZVOVPVQVSUJZV
      TGULQZCWHQZDWHQZWIVTGWLUKZVTVPWOWMAWHCGWHUMZNUNTZVSVOWPVRAWHDGWRNUNUOZWHF
      GCDWRLUPUQZVTVNWJVMVNVRVSURWHEGJWROUSTVTWNWOWPWKWQWSWTWHFGHCDWRKLUTUQAWHC
      FGHIWAJWRKLMNVCVAVTWDWFWAIVOVRWDWFSVSACWFEFGHJKLWFUMZNOVDVEVFVTGVGQZWIWGW
      ASVTVMXCWLGVHTXAWHWFGIWAWRMXBVIVJVKVL $.

    $( Part of proof of Lemma E in [Crawley] p. 113. ` C ` represents s_1,
       which we prove is an atom.  (Contributed by NM, 10-Jun-2012.) $)
    cdleme9a $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( S e. A /\ P =/= S ) ) -> C e. A ) $=
      ( lhpat2 ) ACDBEFGHIJKLMNOPQ $.
  $}

  ${
    cdleme9b.b $e |- B = ( Base ` K ) $.
    cdleme9b.j $e |- .\/ = ( join ` K ) $.
    cdleme9b.m $e |- ./\ = ( meet ` K ) $.
    cdleme9b.a $e |- A = ( Atoms ` K ) $.
    cdleme9b.h $e |- H = ( LHyp ` K ) $.
    cdleme9b.c $e |- C = ( ( P .\/ S ) ./\ W ) $.
    $( Utility lemma for Lemma E in [Crawley] p. 113.  (Contributed by NM,
       9-Oct-2012.) $)
    cdleme9b $p |- ( ( K e. HL /\ ( P e. A /\ S e. A /\ W e. H ) ) ->
       C e. B ) $=
      ( chlt wcel w3a co clat hllat adantr hlatjcl 3adant3r3 simpr3 lhpbase syl
      wa latmcl syl3anc eqeltrid ) HQRZDARZEARZJFRZSZUIZCDEGTZJITZBPURHUARZUSBR
      ZJBRZUTBRUMVAUQHUBUCUMUNUOVBUPABGHDEKLNUDUEURUPVCUMUNUOUPUFBFHJKOUGUHBHIU
      SJKMUJUKUL $.
  $}

  ${
    cdleme9.l $e |- .<_ = ( le ` K ) $.
    cdleme9.j $e |- .\/ = ( join ` K ) $.
    cdleme9.m $e |- ./\ = ( meet ` K ) $.
    cdleme9.a $e |- A = ( Atoms ` K ) $.
    cdleme9.h $e |- H = ( LHyp ` K ) $.
    cdleme9.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdleme9.f $e |- F
      = ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) ) $.
    cdleme9.c $e |- C = ( ( P .\/ S ) ./\ W ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113, 2nd paragraph on p. 114.
       ` C ` and ` F ` represent s_1 and f(s) respectively.  In their notation,
       we prove f(s) ` \/ ` s_1 = q ` \/ ` s_1.  (Contributed by NM,
       10-Jun-2012.) $)
    cdleme9 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( P e. A /\ -. P .<_ W )
         /\ Q e. A /\ ( S e. A /\ -. S .<_ W ) ) /\ -. S .<_ ( P .\/ Q ) )
             -> ( F .\/ C ) = ( Q .\/ C ) ) $=
      ( chlt wcel wa wbr wn w3a co cdleme3d oveq1i cbs wceq simp1l simp1 simp21
      cfv wne simp23l clat hllatd eqid atbase syl simp22 simp3 latnlej1l necomd
      simp21l syl131anc cdleme9a syl112anc cdleme0aa syl3anc latjcl hlatjcl cp1
      hlatlej2 atmod4i1 oveq2i simp1r lhpbase atmod3i1 simp23r lhpjat2 syl12anc
      oveq2d hlol olm11 syl2anc 3eqtrrd eqtr4id oveq1d syl13anc hlatj32 latjcom
      col latj32 hlatlej1 3eqtrd syl5eq 3eqtr4d eqtrd latmle1 eqbrtrid latjlej2
      wi mpd wb latleeqm2 mpbid ) JUBUCZMHUCZUDZCAUCZCMKUEUFZUDZDAUCZEAUCZEMKUE
      UFZUDZUGZECDIUHZKUEUFZUGZGBIUHEFIUHZDBIUHZLUHZBIUHZYFGYGBIACDEFGHIJKLBMNO
      PQRSTUAUIUJYDYHYEBIUHZYFLUHZDCEIUHZIUHZYFLUHZYFYDXKBAUCZYEJUKUPZUCZYFYOUC
      ZBYFKUEZYHYJULXKXLYAYCUMZYDXMXPXRCEUQZYNXMYAYCUNZXMXPXQXTYCUOZXRXSXPXQXMY
      CURZYDJUSUCZEYOUCZCYOUCZDYOUCZYCYTYDJYSUTZYDXRUUEUUCAYOEJYOVAZQVBVCZYDXNU
      UFXNXOXQXTXMYCVHZAYOCJUUIQVBVCZYDXQUUGXMXPXQXTYCVDZAYODJUUIQVBVCZXMYAYCVE
      UUDUUEUUFUUGUGYCUGECYOIJKECDUUINOVFVGVIABCEHIJKLMNOPQRUAVJVKZYDUUDUUEFYOU
      CZYPUUHUUJYDXMXNXQUUPUUAUUKUUMAYOCDFHIJKLMNOPQRSUUIVLVMZYOIJEFUUIOVNVMYDX
      KXQYNYQYSUUMUUOAYOIJDBUUIOQVOVMZYDXKXQYNYRYSUUMUUOADBIJKNOQVQVMAYOBIJKLYE
      YFUUINOPQVRVIYDYIYLYFLYDEBIUHZFIUHZYKFIUHZYIYLYDUUSYKFIYDUUSEYKMLUHZIUHZY
      KBUVBEIUAVSYDUVCYKEMIUHZLUHZYKJVPUPZLUHZYKYDXKXRYKYOUCZMYOUCZEYKKUEZUVCUV
      EULYSUUCYDXKXNXRUVHYSUUKUUCAYOIJCEUUIOQVOVMZYDXLUVIXKXLYAYCVTYOHJMUUIRWAV
      CZYDXKXNXRUVJYSUUKUUCACEIJKNOQVQVMAYOEIJKLYKMUUINOPQWBVIYDUVDUVFYKLYDXMXR
      XSUVDUVFULUUAUUCXRXSXPXQXMYCWCAEUVFHIJKMNOUVFVAZQRWDWEWFYDJWPUCZUVHUVGYKU
      LYDXKUVNYSJWGVCZUVKYOUVFJLYKUUIPUVMWHWIWJWKWLYDUUDUUEUUPBYOUCZYIUUTULUUHU
      UJUUQYDYNUVPUUOAYOBJUUIQVBVCZYOIJEFBUUIOWQWMYDYLCFIUHZEIUHZUVAYDYKDIUHZYB
      EIUHZYLUVSYDXKXNXRXQUVTUWAULYSUUKUUCUUMACEDIJOQWNWMYDUUDUUGUVHYLUVTULUUHU
      UNUVKYOIJDYKUUIOWOVMYDUVRYBEIYDUVRCYBMLUHZIUHZYBFUWBCISVSYDUWCYBCMIUHZLUH
      ZYBUVFLUHZYBYDXKXNYBYOUCZUVICYBKUEZUWCUWEULYSUUKYDXKXNXQUWGYSUUKUUMAYOIJC
      DUUIOQVOVMZUVLYDXKXNXQUWHYSUUKUUMACDIJKNOQWRVMAYOCIJKLYBMUUINOPQWBVIYDUWD
      UVFYBLYDXMXPUWDUVFULUUAUUBACUVFHIJKMNOUVMQRWDWIWFYDUVNUWGUWFYBULUVOUWIYOU
      VFJLYBUUIPUVMWHWIWSWTWLXAYDUUDUUFUUPUUEUVSUVAULUUHUULUUQUUJYOIJCFEUUIOWQW
      MXBXAWLYDYFYLKUEZYMYFULZYDBYKKUEZUWJYDBUVBYKKUAYDUUDUVHUVIUVBYKKUEUUHUVKU
      VLYOJKLYKMUUINPXCVMXDYDUUDUVPUVHUUGUWLUWJXFUUHUVQUVKUUNYOIJKBYKDUUINOXEWM
      XGYDUUDYQYLYOUCZUWJUWKXHUUHUURYDUUDUUGUVHUWMUUHUUNUVKYOIJDYKUUIOVNVMYOJKL
      YFYLUUINPXIVMXJWSWT $.
  $}

  ${
    cdleme10.l $e |- .<_ = ( le ` K ) $.
    cdleme10.j $e |- .\/ = ( join ` K ) $.
    cdleme10.m $e |- ./\ = ( meet ` K ) $.
    cdleme10.a $e |- A = ( Atoms ` K ) $.
    cdleme10.h $e |- H = ( LHyp ` K ) $.
    cdleme10.d $e |- D = ( ( R .\/ S ) ./\ W ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113, 2nd paragraph on p. 114.
       ` D ` represents s_2.  In their notation, we prove s ` \/ ` s_2 = s
       ` \/ ` r.  (Contributed by NM, 9-Jun-2012.) $)
    cdleme10 $p |- ( ( ( K e. HL /\ W e. H ) /\ R e. A
         /\ ( S e. A /\ -. S .<_ W ) ) -> ( S .\/ D ) = ( S .\/ R ) ) $=
      ( wcel co wceq syl3anc chlt wa wbr wn w3a oveq2i cp1 cfv cbs simp1l simp2
      simp3l hlatjcl simp1r lhpbase syl hllatd atbase 3ad2ant2 latlej2 atmod3i1
      eqid clat syl131anc latjcom lhpjat2 3adant2 oveq12d col hlol latjcl olm11
      syl2anc 3eqtrd syl5eq ) GUAQZJEQZUBZCAQZDAQZDJHUCUDZUBZUEZDBFRDCDFRZJIRZF
      RZDCFRZBWEDFPUFWCWFWDDJFRZIRZWGGUGUHZIRZWGWCVPVTWDGUIUHZQZJWLQZDWDHUCZWFW
      ISVPVQVSWBUJZVRVSVTWAULZWCVPVSVTWMWPVRVSWBUKWQAWLFGCDWLVBZLNUMTWCVQWNVPVQ
      VSWBUNWLEGJWROUOUPWCGVCQZCWLQZDWLQZWOWCGWPUQZVSVRWTWBAWLCGWRNURUSZWCVTXAW
      QAWLDGWRNURUPZWLFGHCDWRKLUTTAWLDFGHIWDJWRKLMNVAVDWCWDWGWHWJIWCWSWTXAWDWGS
      XBXCXDWLFGCDWRLVETVRWBWHWJSVSADWJEFGHJKLWJVBZNOVFVGVHWCGVIQZWGWLQZWKWGSWC
      VPXFWPGVJUPWCWSXAWTXGXBXDXCWLFGDCWRLVKTWLWJGIWGWRMXEVLVMVNVO $.
  $}

  ${
    cdleme8t.l $e |- .<_ = ( le ` K ) $.
    cdleme8t.j $e |- .\/ = ( join ` K ) $.
    cdleme8t.m $e |- ./\ = ( meet ` K ) $.
    cdleme8t.a $e |- A = ( Atoms ` K ) $.
    cdleme8t.h $e |- H = ( LHyp ` K ) $.
    cdleme8t.x $e |- X = ( ( P .\/ T ) ./\ W ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113, 2nd paragraph on p. 114.
       ` X ` represents t_1.  In their notation, we prove p ` \/ ` t_1 = p
       ` \/ ` t.  (Contributed by NM, 8-Oct-2012.)
       (New usage is discouraged.) $)
    cdleme8tN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ T e. A ) -> ( P .\/ X ) = ( P .\/ T ) ) $=
      ( cdleme8 ) AJBCDEFGHIKLMNOPQ $.

    $( Part of proof of Lemma E in [Crawley] p. 113. ` X ` represents t_1,
       which we prove is an atom.  (Contributed by NM, 8-Oct-2012.)
       (New usage is discouraged.) $)
    cdleme9taN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( T e. A /\ P =/= T ) ) -> X e. A ) $=
      ( cdleme9a ) AJBCDEFGHIKLMNOPQ $.
  $}

  ${
    cdleme9t.l $e |- .<_ = ( le ` K ) $.
    cdleme9t.j $e |- .\/ = ( join ` K ) $.
    cdleme9t.m $e |- ./\ = ( meet ` K ) $.
    cdleme9t.a $e |- A = ( Atoms ` K ) $.
    cdleme9t.h $e |- H = ( LHyp ` K ) $.
    cdleme9t.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdleme9t.g $e |- F
        = ( ( T .\/ U ) ./\ ( Q .\/ ( ( P .\/ T ) ./\ W ) ) ) $.
    cdleme9t.x $e |- X = ( ( P .\/ T ) ./\ W ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113, 2nd paragraph on p. 114.
       ` X ` and ` F ` represent t_1 and f(t) respectively.  In their notation,
       we prove f(t) ` \/ ` t_1 = q ` \/ ` t_1.  (Contributed by NM,
       8-Oct-2012.)  (New usage is discouraged.) $)
    cdleme9tN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( P e. A /\ -. P .<_ W )
         /\ Q e. A /\ ( T e. A /\ -. T .<_ W ) ) /\ -. T .<_ ( P .\/ Q ) )
             -> ( F .\/ X ) = ( Q .\/ X ) ) $=
      ( cdleme9 ) AMBCDEFGHIJKLNOPQRSTUAUB $.
  $}

  ${
    cdleme10t.l $e |- .<_ = ( le ` K ) $.
    cdleme10t.j $e |- .\/ = ( join ` K ) $.
    cdleme10t.m $e |- ./\ = ( meet ` K ) $.
    cdleme10t.a $e |- A = ( Atoms ` K ) $.
    cdleme10t.h $e |- H = ( LHyp ` K ) $.
    cdleme10t.y $e |- Y = ( ( R .\/ T ) ./\ W ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113, 2nd paragraph on p. 114.
       ` Y ` represents t_2.  In their notation, we prove t ` \/ ` t_2 = t
       ` \/ ` r.  (Contributed by NM, 8-Oct-2012.)
       (New usage is discouraged.) $)
    cdleme10tN $p |- ( ( ( K e. HL /\ W e. H ) /\ R e. A
         /\ ( T e. A /\ -. T .<_ W ) ) -> ( T .\/ Y ) = ( T .\/ R ) ) $=
      ( cdleme10 ) AJBCDEFGHIKLMNOPQ $.
  $}

  ${
    cdleme11.l $e |- .<_ = ( le ` K ) $.
    cdleme11.j $e |- .\/ = ( join ` K ) $.
    cdleme11.m $e |- ./\ = ( meet ` K ) $.
    cdleme11.a $e |- A = ( Atoms ` K ) $.
    cdleme11.h $e |- H = ( LHyp ` K ) $.
    cdleme11.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph on p. 114,
       showing, in their notation, s ` \/ ` u ` =/= ` t ` \/ ` u.  (Contributed
       by NM, 9-Oct-2012.)  (New usage is discouraged.) $)
    cdleme16aN $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W ) )
    /\ ( Q e. A /\ S e. A /\ T e. A )
    /\ ( P =/= Q /\ S =/= T /\ -. U .<_ ( S .\/ T ) ) )
        -> ( S .\/ U ) =/= ( T .\/ U ) ) $=
      ( wcel co chlt wa wbr wn w3a wne clpl simp1ll simp22 simp23 simp1l simp1r
      cfv simp21 simp31 lhpat2 syl112anc simp32 simp33 eqid syl132anc syl131anc
      lplni2 lplnllnneN ) IUASZLGSZUBZBASBLJUCUDUBZUBZCASZDASZEASZUEZBCUFZDEUFZ
      FDEHTZJUCUDZUEZUEZVEVKVLFASZVPFHTZIUGUMZSZDFHTEFHTUFVEVFVHVMVRUHZVIVJVKVL
      VRUIZVIVJVKVLVRUJZVSVGVHVJVNVTVGVHVMVRUKVGVHVMVRULVIVJVKVLVRUNVIVMVNVOVQU
      OABCFGHIJKLMNOPQRUPUQZVSVEVKVLVTVOVQWCWDWEWFWGVIVMVNVOVQURVIVMVNVOVQUSAWB
      DEFHIJMNPWBUTZVCVAAWBDEFHIWANPWHWAUTVDVB $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
       ~ cdleme11 .  (Contributed by NM, 12-Jun-2012.) $)
    cdleme11a $p |- ( ( ( K e. HL /\ W e. H )
     /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ P =/= Q ) )
     /\ ( ( S e. A /\ -. S .<_ W )
   /\ ( T e. A /\ U .<_ ( S .\/ T ) ) ) ) -> ( S .\/ U ) = ( S .\/ T ) ) $=
      ( wcel wa chlt wbr wn wne co w3a wceq simp3rr simp1l simp2l simp2r lhpat2
      simp1 syl3anc simp3rl simp3ll simp2ll simp2rl simp3l syl121anc hlatexchb1
      wb cdleme0c syl131anc mpbid ) IUASZLGSZTZBASZBLJUBUCZTZCASZBCUDZTZTZDASZD
      LJUBUCZTZEASZFDEHUEZJUBZTZTZUFZWADFHUEVTUGZVSWAVRVHVOUHWDVFFASZVSVPFDUDZW
      AWEVBVFVGVOWCUIWDVHVKVNWFVHVOWCUMZVHVKVNWCUJVHVKVNWCUKABCFGHIJKLMNOPQRULU
      NVSWAVRVHVOUOVPVQWBVHVOUPWDVHVIVLVRWGWHVIVJVNVHWCUQVLVMVKVHWCURVHVOVRWBUS
      ABCDFGHIJKLMNOPQRVCUTAFEDHIJMNPVAVDVE $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
       ~ cdleme11 .  (Contributed by NM, 13-Jun-2012.) $)
    cdleme11c $p |- ( ( ( ( K e. HL /\ W e. H )
        /\ ( P e. A /\ -. P .<_ W ) /\ Q e. A )
      /\ ( ( S e. A /\ -. S .<_ W ) /\ T e. A /\ P =/= Q )
      /\ ( -. S .<_ ( P .\/ Q ) /\ U .<_ ( S .\/ T ) ) )
      -> -. P .<_ ( S .\/ T ) ) $=
      ( wcel wbr chlt wa wn w3a wne simp3l simp11l simp12l simp11 simp12 simp13
      co simp23 lhpat2 syl112anc hlatlej1 syl3anc adantr wceq jca simp21 simp22
      simp3r cdleme11a syl122anc breq2d wi simp21l cdleme0b hlatexch2 syl131anc
      necomd sylbird imp hlatlej2 cdleme0cp syl12anc breqtrrd wb cbs cfv hllatd
      clat eqid syl hlatjcl latjle12 syl13anc mpbi2and latnlej1r ps-1 syl132anc
      atbase mpbid ex syld mtod ) IUASZLGSZUBZBASZBLJTUCZUBZCASZUDZDASZDLJTUCZU
      BZEASZBCUEZUDZDBCHULZJTZUCZFDEHULZJTZUBZUDZBXOJTZXMXEXKXNXPUFZXRXSBDCHULZ
      JTZXMXRXSYBXRXSUBZBBFHULZYAJXRBYDJTZXSXRWRXAFASZYEWRWSXCXDXKXQUGZXAXBWTXD
      XKXQUHZXRWTXCXDXJYFWTXCXDXKXQUIZWTXCXDXKXQUJZWTXCXDXKXQUKZXEXHXIXJXQUMZAB
      CFGHIJKLMNOPQRUNUOZABFHIJMNPUPUQURYCYAYDJTZYAYDUSZYCDYDJTZCYDJTZYNXRXSYPX
      RXSBDFHULZJTZYPXRYRXOBJXRWTXCXDXJUBXHXIXPUBYRXOUSYIYJXRXDXJYKYLUTXEXHXIXJ
      XQVAXRXIXPXEXHXIXJXQVBXEXKXNXPVCUTABCDEFGHIJKLMNOPQRVDVEVFXRWRXAXFYFBFUEY
      SYPVGYGYHXFXGXIXJXEXQVHZYMXRFBXRWTXCXDFBUEYIYJYKABCFGHIJKLMNOPQRVIUQVLABD
      FHIJMNPVJVKVMVNXRYQXSXRCXLYDJXRWRXAXDCXLJTYGYHYKABCHIJMNPVOUQXRWTXCXDYDXL
      USYIYJYKABCFGHIJKLMNOPQRVPVQVRURXRYPYQUBYNVSZXSXRIWCSZDIVTWAZSZCUUCSZYDUU
      CSZUUAXRIYGWBZXRXFUUDYTAUUCDIUUCWDZPWMWEZXRXDUUEYKAUUCCIUUHPWMWEZXRWRXAYF
      UUFYGYHYMAUUCHIBFUUHNPWFUQUUCHIJDCYDUUHMNWGWHURWIXRYNYOVSZXSXRWRXFXDDCUEZ
      XAYFUUKYGYTYKXRUUBUUDBUUCSZUUEXNUULUUGUUIXRXAUUMYHAUUCBIUUHPWMWEUUJXTUUCH
      IJDBCUUHMNWJVKYHYMADCBFHIJMNPWKWLURWNVRWOXRWRXAXFXDXJYBXMVGYGYHYTYKYLABDC
      HIJMNPVJVKWPWQ $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
       ~ cdleme11 .  (Contributed by NM, 13-Jun-2012.)
       (New usage is discouraged.) $)
    cdleme11dN $p |- ( ( ( ( K e. HL /\ W e. H )
        /\ ( P e. A /\ -. P .<_ W ) /\ Q e. A )
      /\ ( ( S e. A /\ -. S .<_ W ) /\ T e. A /\ P =/= Q )
      /\ ( S =/= T /\ -. S .<_ ( P .\/ Q ) /\ U .<_ ( S .\/ T ) ) )
        -> ( P .\/ S ) =/= ( P .\/ T ) ) $=
      ( wcel wbr wa wn w3a wne co simp1 simp2 simp32 simp33 cdleme11c syl112anc
      chlt wceq simp11l simp12l simp21l hlatlej2 syl3anc breq2 syl5ibcom simp22
      wi simp31 hlatexch2 syl131anc syld necon3bd mpd ) IULSZLGSZUAZBASZBLJTUBZ
      UAZCASZUCZDASZDLJTUBZUAZEASZBCUDZUCZDEUDZDBCHUEJTUBZFDEHUEZJTZUCZUCZBWEJT
      ZUBZBDHUEZBEHUEZUDWHVPWBWDWFWJVPWBWGUFVPWBWGUGVPWBWCWDWFUHVPWBWCWDWFUIABC
      DEFGHIJKLMNOPQRUJUKWHWIWKWLWHWKWLUMZDWLJTZWIWHDWKJTZWMWNWHVIVLVQWOVIVJVNV
      OWBWGUNZVLVMVKVOWBWGUOZVQVRVTWAVPWGUPZABDHIJMNPUQURWKWLDJUSUTWHVIVQVLVTWC
      WNWIVBWPWRWQVPVSVTWAWGVAVPWBWCWDWFVCADBEHIJMNPVDVEVFVGVH $.

    cdleme11.c $e |- C = ( ( P .\/ S ) ./\ W ) $.
    cdleme11.d $e |- D = ( ( P .\/ T ) ./\ W ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
       ~ cdleme11 .  (Contributed by NM, 13-Jun-2012.) $)
    cdleme11e $p |- ( ( ( ( K e. HL /\ W e. H )
        /\ ( P e. A /\ -. P .<_ W ) /\ Q e. A )
      /\ ( ( S e. A /\ -. S .<_ W ) /\ T e. A /\ P =/= Q )
      /\ ( S =/= T /\ -. S .<_ ( P .\/ Q ) /\ U .<_ ( S .\/ T ) ) )
   -> C =/= D ) $=
      ( chlt wcel wa wbr wn w3a wne co simp11 simp12 simp22 simp21 clat cbs cfv
      simp11l hllatd simp12l atbase simp21l simp1 simp2 simp32 simp33 cdleme11c
      eqid syl syl112anc latnlej1r syl131anc simp31 hlatcon2 syl132anc cdleme0e
      necomd ) KUCUDZNIUDZUEZDAUDZDNLUFUGZUEZEAUDZUHZFAUDZFNLUFUGZUEZGAUDZDEUIZ
      UHZFGUIZFDEJUJLUFUGZHFGJUJZLUFZUHZUHZCBWQVTWCWIWHDGUIZFDGJUJLUFUGZCBUIVTW
      CWDWKWPUKVTWCWDWKWPULWEWHWIWJWPUMZWEWHWIWJWPUNWQKUOUDDKUPUQZUDZFXAUDZGXAU
      DZDWNLUFUGZWRWQKVRVSWCWDWKWPURZUSWQWAXBWAWBVTWDWKWPUTZAXADKXAVHZRVAVIWQWF
      XCWFWGWIWJWEWPVBZAXAFKXHRVAVIWQWIXDWTAXAGKXHRVAVIWQWEWKWMWOXEWEWKWPVCWEWK
      WPVDWEWKWLWMWOVEWEWKWLWMWOVFADEFGHIJKLMNOPQRSTVGVJZXAJKLDFGXHOPVKVLWQVRWF
      WIWAWLXEWSXFXIWTXGWEWKWLWMWOVMXJAFGDJKLOPRVNVOADGFCIJKLMBNOPQRSUBUAVPVOVQ
      $.

    cdleme11.f $e |- F
           = ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
       ~ cdleme11 .  (Contributed by NM, 14-Jun-2012.)
       (New usage is discouraged.) $)
    cdleme11fN $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
           /\ ( S e. A /\ -. S .<_ W ) )
        /\ ( P =/= Q /\ -. S .<_ ( P .\/ Q ) ) ) -> F =/= C ) $=
      ( chlt wcel wa wbr w3a wne clat cbs cfv simp1l hllatd simp21l eqid atbase
      syl simp23l latjcl syl3anc simp1r lhpbase latmle2 eqbrtrid cdleme3 nbrne2
      wn co necomd syl2anc ) LUEUFZOJUFZUGZDAUFZDOMUHVIZUGZEAUFEOMUHVIUGZFAUFZF
      OMUHVIZUGZUIZDEUJFDEKVJMUHVIUGZUIZBOMUHZIOMUHVIZIBUJWEBDFKVJZONVJZOMUBWEL
      UKUFZWHLULUMZUFZOWKUFZWIOMUHWELVMVNWCWDUNUOZWEWJDWKUFZFWKUFZWLWNWEVPWOVPV
      QVSWBVOWDUPAWKDLWKUQZSURUSWEVTWPVTWAVRVSVOWDUTAWKFLWQSURUSWKKLDFWQQVAVBWE
      VNWMVMVNWCWDVCWKJLOWQTVDUSWKLMNWHOWQPRVEVBVFADEFHIJKLMNOPQRSTUAUDVGWFWGUG
      BIBIOMVHVKVL $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
       ~ cdleme11 .  (Contributed by NM, 14-Jun-2012.) $)
    cdleme11g $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( P e. A /\ ( Q e. A /\ -. Q .<_ W ) /\ S e. A )
        /\ P =/= Q ) -> ( Q .\/ F ) = ( Q .\/ C ) ) $=
      ( chlt wcel wa wbr w3a wne oveq2i cbs cfv wceq simp1l simp22l clat hllatd
      wn co simp23 eqid atbase syl simp1 simp21 cdleme0aa syl3anc latjcl simp1r
      lhpbase latmcl atmod1i1 syl131anc syl5eq simp22 cdleme0cq syl12anc oveq2d
      latlej1 latj12 syl13anc latj13 3eqtr4d oveq1d latmle1 wi mpd wb latleeqm2
      latjlej2 mpbid eqtr4di 3eqtrd ) LUEUFZOJUFZUGZDAUFZEAUFZEOMUHUSZUGZFAUFZU
      IZDEUJZUIZEIKUTZEFHKUTZKUTZEDFKUTZONUTZKUTZNUTZEXIKUTZXKNUTZEBKUTZXEXFEXG
      XKNUTZKUTZXLIXPEKUDUKXEWOWSXGLULUMZUFZXKXRUFZEXKMUHZXQXLUNWOWPXCXDUOZWSWT
      WRXBWQXDUPZXELUQUFZFXRUFZHXRUFZXSXELYBURZXEXBYEWQWRXAXBXDVAAXRFLXRVBZSVCV
      DZXEWQWRWSYFWQXCXDVEZWQWRXAXBXDVFZYCAXRDEHJKLMNOPQRSTUAYHVGVHZXRKLFHYHQVI
      VHXEYDEXRUFZXJXRUFZXTYGXEWSYMYCAXRELYHSVCVDZXEYDXIXRUFZOXRUFZYNYGXEYDDXRU
      FZYEYPYGXEWRYRYKAXRDLYHSVCVDZYIXRKLDFYHQVIVHZXEWPYQWOWPXCXDVJXRJLOYHTVKVD
      ZXRLNXIOYHRVLVHZXRKLEXJYHQVIVHZXEYDYMYNYAYGYOUUBXRKLMEXJYHPQVTVHAXREKLMNX
      GXKYHPQRSVMVNVOXEXHXMXKNXEFEHKUTZKUTZFDEKUTZKUTZXHXMXEUUDUUFFKXEWQWRXAUUD
      UUFUNYJYKWQWRXAXBXDVPADEHJKLMNOPQRSTUAVQVRVSXEYDYMYEYFXHUUEUNYGYOYIYLXRKL
      EFHYHQWAWBXEYDYMYRYEXMUUGUNYGYOYSYIXRKLEDFYHQWCWBWDWEXEXNXKXOXEXKXMMUHZXN
      XKUNZXEXJXIMUHZUUHXEYDYPYQUUJYGYTUUAXRLMNXIOYHPRWFVHXEYDYNYPYMUUJUUHWGYGU
      UBYTYOXRKLMXJXIEYHPQWKWBWHXEYDXTXMXRUFZUUHUUIWIYGUUCXEYDYMYPUUKYGYOYTXRKL
      EXIYHQVIVHXRLMNXKXMYHPRWJVHWLBXJEKUBUKWMWN $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
       ~ cdleme11 .  (Contributed by NM, 14-Jun-2012.) $)
    cdleme11h $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ S e. A )
        /\ ( P =/= Q /\ -. S .<_ ( P .\/ Q ) ) ) -> F =/= Q ) $=
      ( chlt wa wbr wn w3a wne co simp1 simp21l simp23 simp22l simp22r cdleme0c
      wcel syl122anc necomd wb simp1l simp21 cdleme00a syl131anc cdleme9a lnnat
      simp3r syl112anc syl3anc mpbid wceq hlatjidm syl2anc eqeltrd oveq2 eleq1d
      syl5ibrcom simp22 simp3l cdleme11g sylibd necon3bd mpd ) LUEURZOJURZUFZDA
      URZDOMUGUHZUFZEAURZEOMUGUHZUFZFAURZUIZDEUJZFDEKUKMUGUHZUFZUIZEBKUKZAURZUH
      ZIEUJWSEBUJZXBWSBEWSWGWHWNWKWLBEUJWGWOWRULZWHWIWMWNWGWRUMZWGWJWMWNWRUNZWK
      WLWJWNWGWRUOZWKWLWJWNWGWRUPADFEBJKLMNOPQRSTUBUQUSUTWSWEWKBAURZXCXBVAWEWFW
      OWRVBZXGWSWGWJWNDFUJXHXDWGWJWMWNWRVCXFWSFDWSWEWHWKWNWQFDUJXIXEXGXFWGWOWPW
      QVHADEFKLMNPQRSVDVEUTABDFJKLMNOPQRSTUBVFVIAEBKLQSVGVJVKWSXAIEWSIEVLZEIKUK
      ZAURZXAWSXLXJEEKUKZAURWSXMEAWSWEWKXMEVLXIXGAKLEQSVMVNXGVOXJXKXMAIEEKVPVQV
      RWSXKWTAWSWGWHWMWNWPXKWTVLXDXEWGWJWMWNWRVSXFWGWOWPWQVTABHDEFEHIJKLMNOPQRS
      TUAUBUAUDWAVEVQWBWCWD $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
       ~ cdleme11 .  (Contributed by NM, 14-Jun-2012.) $)
    cdleme11j $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
           /\ ( S e. A /\ -. S .<_ W ) )
        /\ ( P =/= Q /\ -. S .<_ ( P .\/ Q ) ) ) -> C .<_ ( Q .\/ F ) ) $=
      ( chlt wcel wa wbr w3a wne simp1l simp22l cdleme3fa hlatlej2 syl3anc wceq
      wn simp1 simp21l simp22 simp23l simp3l cdleme11g syl131anc breqtrd simp21
      co wi simp3r cdleme00a necomd cdleme9a syl112anc cdleme11h hlatexch1 mpd
      simp3 ) LUEUFZOJUFZUGZDAUFZDOMUHUQZUGZEAUFZEOMUHUQZUGZFAUFZFOMUHUQZUGZUIZ
      DEUJZFDEKVGMUHUQZUGZUIZIEBKVGZMUHZBEIKVGZMUHZWNIWQWOMWNVRWDIAUFZIWQMUHVRV
      SWJWMUKZWDWEWCWIVTWMULZADEFHIJKLMNOPQRSTUAUDUMZAEIKLMPQSUNUOWNVTWAWFWGWKW
      QWOUPVTWJWMURZWAWBWFWIVTWMUSZVTWCWFWIWMUTZWGWHWCWFVTWMVAZVTWJWKWLVBABHDEF
      EHIJKLMNOPQRSTUAUBUAUDVCVDVEWNVRWSBAUFZWDIEUJZWPWRVHWTXBWNVTWCWGDFUJXGXCV
      TWCWFWIWMVFZXFWNFDWNVRWAWDWGWLFDUJWTXDXAXFVTWJWKWLVIADEFKLMNPQRSVJVDVKABD
      FJKLMNOPQRSTUBVLVMXAWNVTWCWFWGWMXHXCXIXEXFVTWJWMVQABHDEFEHIJKLMNOPQRSTUAU
      BUAUDVNVDAIBEKLMPQSVOVDVP $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
       ~ cdleme11 .  (Contributed by NM, 15-Jun-2012.) $)
    cdleme11k $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
           /\ ( S e. A /\ -. S .<_ W ) )
        /\ ( P =/= Q /\ -. S .<_ ( P .\/ Q ) ) )
           -> C = ( ( Q .\/ F ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne co wceq cdleme11j cbs simp1l hllatd simp21l
      clat cfv eqid atbase syl simp23l latjcl syl3anc simp1r lhpbase latmle2 wb
      eqbrtrid simp1 simp21 simp22l simp3r cdleme00a syl131anc necomd syl112anc
      cdleme9a cdleme3fa latlem12 syl13anc mpbi2and hlatl simp3 cdleme11h lhpat
      cal simp22 atcmp mpbid ) LUEUFZOJUFZUGZDAUFZDOMUHUIZUGZEAUFZEOMUHUIZUGZFA
      UFZFOMUHUIZUGZUJZDEUKZFDEKULMUHUIZUGZUJZBEIKULZONULZMUHZBXKUMZXIBXJMUHZBO
      MUHZXLABHDEFEHIJKLMNOPQRSTUAUBUAUDUNXIBDFKULZONULZOMUBXILUSUFZXPLUOUTZUFZ
      OXSUFZXQOMUHXILWMWNXEXHUPZUQZXIXRDXSUFZFXSUFZXTYCXIWPYDWPWQXAXDWOXHURZAXS
      DLXSVAZSVBVCXIXBYEXBXCWRXAWOXHVDZAXSFLYGSVBVCXSKLDFYGQVEVFXIWNYAWMWNXEXHV
      GXSJLOYGTVHVCZXSLMNXPOYGPRVIVFVKXIXRBXSUFZXJXSUFZYAXNXOUGXLVJYCXIBAUFZYJX
      IWOWRXBDFUKYLWOXEXHVLZWOWRXAXDXHVMZYHXIFDXIWMWPWSXBXGFDUKYBYFWSWTWRXDWOXH
      VNZYHWOXEXFXGVOADEFKLMNPQRSVPVQVRABDFJKLMNOPQRSTUBVTVSZAXSBLYGSVBVCXIXREX
      SUFZIXSUFZYKYCXIWSYQYOAXSELYGSVBVCXIIAUFZYRADEFHIJKLMNOPQRSTUAUDWAZAXSILY
      GSVBVCXSKLEIYGQVEVFYIXSLMNBXJOYGPRWBWCWDXILWIUFZYLXKAUFZXLXMVJXIWMUUAYBLW
      EVCYPXIWOXAYSEIUKUUBYMWOWRXAXDXHWJZYTXIIEXIWOWRXAXBXHIEUKYMYNUUCYHWOXEXHW
      FABHDEFEHIJKLMNOPQRSTUAUBUAUDWGVQVRAEIJKLMNOPQRSTWHVSABXKLMPSWKVFWL $.
  $}

  ${
    cdleme12.l $e |- .<_ = ( le ` K ) $.
    cdleme12.j $e |- .\/ = ( join ` K ) $.
    cdleme12.m $e |- ./\ = ( meet ` K ) $.
    cdleme12.a $e |- A = ( Atoms ` K ) $.
    cdleme12.h $e |- H = ( LHyp ` K ) $.
    cdleme12.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdleme12.f $e |- F
        = ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) ) $.
    cdleme12.g $e |- G
        = ( ( T .\/ U ) ./\ ( Q .\/ ( ( P .\/ T ) ./\ W ) ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Lemma leading to
       ~ cdleme11 .  (Contributed by NM, 15-Jun-2012.) $)
    cdleme11l $p |- ( ( ( ( K e. HL /\ W e. H )
    /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
 /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
    /\ ( P =/= Q /\ S =/= T ) )
 /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
  /\ U .<_ ( S .\/ T ) ) )
           -> F =/= G ) $=
      ( chlt wcel wa wbr wn w3a co simp11 simp12 simp13l simp21 simp22l simp23l
      simp23r simp31 simp33 eqid cdleme11e syl333anc oveq2 oveq1d adantl simp13
      wne wceq cdleme11k syl132anc adantr simp22 simp32 3eqtr4d ex necon3d mpd
      ) KUCUDNIUDUEZBAUDBNLUFUGUEZCAUDZCNLUFUGZUEZUHZDAUDDNLUFUGUEZEAUDZENLUFUG
      ZUEZBCVFZDEVFZUEZUHZDBCJUIZLUFUGZEWKLUFUGZFDEJUILUFZUHZUHZBDJUINMUIZBEJUI
      NMUIZVFZGHVFWPVQVRVSWCWDWGWHWLWNWSVQVRWAWJWOUJZVQVRWAWJWOUKZVSVTVQVRWJWOU
      LWBWCWFWIWOUMZWDWEWCWIWBWOUNWGWHWCWFWBWOUOZWGWHWCWFWBWOUPWBWJWLWMWNUQZWBW
      JWLWMWNURAWQWRBCDEFIJKLMNOPQRSTWQUSZWRUSZUTVAWPGHWQWRWPGHVGZWQWRVGWPXGUEC
      GJUIZNMUIZCHJUIZNMUIZWQWRXGXIXKVGWPXGXHXJNMGHCJVBVCVDWPWQXIVGZXGWPVQVRWAW
      CWGWLXLWTXAVQVRWAWJWOVEZXBXCXDAWQFBCDCFGIJKLMNOPQRSTXETUAVHVIVJWPWRXKVGZX
      GWPVQVRWAWFWGWMXNWTXAXMWBWCWFWIWOVKXCWBWJWLWMWNVLAWRFBCECFHIJKLMNOPQRSTXF
      TUBVHVIVJVMVNVOVP $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 1st sentence of 3rd
       paragraph on p. 114. ` F ` and ` G ` represent f(s) and f(t)
       respectively.  Their proof provides no details of our ~ cdleme11a
       through ~ cdleme11 , so there may be a simpler proof that we have
       overlooked.  (Contributed by NM, 15-Jun-2012.) $)
    cdleme11 $p |- ( ( ( ( K e. HL /\ W e. H )
    /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
 /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
    /\ ( P =/= Q /\ S =/= T ) )
 /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
      /\ U .<_ ( S .\/ T ) ) )
           -> ( F .\/ G ) = ( S .\/ T ) ) $=
      ( chlt wcel wa wbr wn w3a wne co wceq clat cbs cfv simp11l hllatd simp12l
      simp11 simp13l cdleme0aa syl3anc latjidm syl2anc oveq2d simp33 wb simp21l
      eqid atbase simp22l latjcl latleeqj2 mpbid eqtr2d simp21 cdleme1 syl13anc
      syl simp22 oveq12d syl122anc eqtr4d cdleme1b mpbird simp12 simp13 simp23l
      latj4 simp31 cdleme3fa syl132anc simp32 cdleme11l ps-1 ) KUCUDZNIUDZUEZBA
      UDZBNLUFUGZUEZCAUDZCNLUFUGZUEZUHZDAUDZDNLUFUGZUEZEAUDZENLUFUGZUEZBCUIZDEU
      IZUEZUHZDBCJUJZLUFUGZEXOLUFUGZFDEJUJZLUFZUHZUHZGHJUJZXRLUFZYBXRUKZYAYCXRY
      BJUJZXRUKZYAXRDGJUJZEHJUJZJUJZYEYAXRXRFFJUJZJUJZYIYAYKXRFJUJZXRYAYJFXRJYA
      KULUDZFKUMUNZUDZYJFUKYAKWOWPWTXCXNXTUOZUPZYAWQWRXAYOWQWTXCXNXTURZWRWSWQXC
      XNXTUQZXAXBWQWTXNXTUSZAYNBCFIJKLMNOPQRSTYNVHZUTVAZYNJKFUUAPVBVCVDYAXSYLXR
      UKZXDXNXPXQXSVEYAYMYOXRYNUDZXSUUCVFYQUUBYAYMDYNUDZEYNUDZUUDYQYAXEUUEXEXFX
      JXMXDXTVGZAYNDKUUARVIVRZYAXHUUFXHXIXGXMXDXTVJZAYNEKUUARVIVRZYNJKDEUUAPVKV
      AZYNJKLFXRUUAOPVLVAVMVNYAYIDFJUJZEFJUJZJUJZYKYAYGUULYHUUMJYAWQWRXAXGYGUUL
      UKYRYSYTXDXGXJXMXTVOZABCDFGIJKLMNOPQRSTUAVPVQYAWQWRXAXJYHUUMUKYRYSYTXDXGX
      JXMXTVSZABCEFHIJKLMNOPQRSTUBVPVQVTYAYMUUEUUFYOYOYKUUNUKYQUUHUUJUUBUUBYNJK
      FDEFUUAPWHWAWBWBYAYMUUEGYNUDZUUFHYNUDZYIYEUKYQUUHYAWQWRXAXEUUQYRYSYTUUGAY
      NBCDFGIJKLMNOPQRSTUAUUAWCVQZUUJYAWQWRXAXHUURYRYSYTUUIAYNBCEFHIJKLMNOPQRST
      UBUUAWCVQZYNJKHDGEUUAPWHWAVNYAYMYBYNUDZUUDYCYFVFYQYAYMUUQUURUVAYQUUSUUTYN
      JKGHUUAPVKVAUUKYNJKLYBXRUUAOPVLVAWDYAWOGAUDZHAUDZGHUIXEXHYCYDVFYPYAWQWTXC
      XGXKXPUVBYRWQWTXCXNXTWEZWQWTXCXNXTWFZUUOXKXLXGXJXDXTWGZXDXNXPXQXSWIABCDFG
      IJKLMNOPQRSTUAWJWKYAWQWTXCXJXKXQUVCYRUVDUVEUUPUVFXDXNXPXQXSWLABCEFHIJKLMN
      OPQRSTUBWJWKABCDEFGHIJKLMNOPQRSTUAUBWMUUGUUIAGHDEJKLOPRWNWKVM $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph on p. 114,
       first part of 3rd sentence. ` F ` and ` G ` represent f(s) and f(t)
       respectively.  (Contributed by NM, 16-Jun-2012.) $)
    cdleme12 $p |- ( ( ( K e. HL /\ W e. H )
    /\ ( ( P e. A /\ -. P .<_ W ) /\ Q e. A /\ P =/= Q )
    /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
       /\ ( S =/= T /\ -. U .<_ ( S .\/ T ) ) ) )
           -> ( ( S .\/ F ) ./\ ( T .\/ G ) ) = U ) $=
      ( chlt wcel wa wbr wn wne w3a co wceq simp1 simp21l simp22 simp31 cdleme1
      syl13anc simp1l simp21 syl112anc simp31l hlatjcom syl3anc simp32l oveq12d
      simp23 lhpat2 eqtr4d simp32 simp33 2llnma2 syl131anc eqtrd ) KUCUDZNIUDZU
      EZBAUDZBNLUFUGZUEZCAUDZBCUHZUIZDAUDZDNLUFUGZUEZEAUDZENLUFUGZUEZDEUHFDEJUJ
      LUFUGUEZUIZUIZDGJUJZEHJUJZMUJFDJUJZFEJUJZMUJZFWKWLWNWMWOMWKWLDFJUJZWNWKVP
      VQVTWEWLWQUKVPWBWJULZVQVRVTWAVPWJUMZVPVSVTWAWJUNZVPWBWEWHWIUOABCDFGIJKLMN
      OPQRSTUAUPUQWKVNFAUDZWCWNWQUKVNVOWBWJURZWKVPVSVTWAXAWRVPVSVTWAWJUSWTVPVSV
      TWAWJVFABCFIJKLMNOPQRSTVGUTZWCWDWHWIVPWBVAZAJKFDPRVBVCVHWKWMEFJUJZWOWKVPV
      QVTWHWMXEUKWRWSWTVPWBWEWHWIVIABCEFHIJKLMNOPQRSTUBUPUQWKVNXAWFWOXEUKXBXCWF
      WGWEWIVPWBVDZAJKFEPRVBVCVHVEWKVNWCWFXAWIWPFUKXBXDXFXCVPWBWEWHWIVJADEFJKLM
      OPQRVKVLVM $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph on p. 114,
       "<s,t,p> and <f(s),f(t),q> are centrally perspective." ` F ` and ` G `
       represent f(s) and f(t) respectively.  (Contributed by NM,
       7-Oct-2012.) $)
    cdleme13 $p |- ( ( ( K e. HL /\ W e. H )
    /\ ( ( P e. A /\ -. P .<_ W ) /\ Q e. A /\ P =/= Q )
    /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
       /\ ( S =/= T /\ -. U .<_ ( S .\/ T ) ) ) )
           -> ( ( S .\/ F ) ./\ ( T .\/ G ) ) .<_ ( P .\/ Q ) ) $=
      ( chlt wcel wa wbr wn wne w3a cdleme12 eqtrdi clat cbs cfv simp1l simp21l
      co hllatd simp22 eqid hlatjcl syl3anc simp1r lhpbase syl latmle1 eqbrtrd
      ) KUCUDZNIUDZUEZBAUDZBNLUFUGZUEZCAUDZBCUHZUIZDAUDDNLUFUGUEEAUDENLUFUGUEDE
      UHFDEJUQLUFUGUEUIZUIZDGJUQEHJUQMUQZBCJUQZNMUQZVTLVRVSFWAABCDEFGHIJKLMNOPQ
      RSTUAUBUJTUKVRKULUDVTKUMUNZUDZNWBUDZWAVTLUFVRKVHVIVPVQUOZURVRVHVKVNWCWEVK
      VLVNVOVJVQUPVJVMVNVOVQUSAWBJKBCWBUTZPRVAVBVRVIWDVHVIVPVQVCWBIKNWFSVDVEWBK
      LMVTNWFOQVFVBVG $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph on p. 114,
       "<s,t,p> and <f(s),f(t),q> ... are axially perspective."  We apply
       ~ dalaw to ~ cdleme13 . ` F ` and ` G ` represent f(s) and f(t)
       respectively.  (Contributed by NM, 8-Oct-2012.) $)
    cdleme14 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
        /\ ( P =/= Q /\ S =/= T ) )
     /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
       /\ -. U .<_ ( S .\/ T ) ) )
           -> ( ( S .\/ T ) ./\ ( F .\/ G ) )
      .<_ ( ( ( T .\/ P ) ./\ ( G .\/ Q ) )
             .\/ ( ( P .\/ S ) ./\ ( Q .\/ F ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne simp11 simp12 simp13l simp23l simp21 simp22
      co simp23r simp33 jca syl133anc wi simp11l simp21l simp22l simp12l simp13
      cdleme13 simp31 cdleme3fa syl132anc simp32 dalaw mpd ) KUCUDZNIUDZUEZBAUD
      ZBNLUFUGZUEZCAUDZCNLUFUGZUEZUHZDAUDZDNLUFUGZUEZEAUDZENLUFUGZUEZBCUIZDEUIZ
      UEZUHZDBCJUPZLUFUGZEWNLUFUGZFDEJUPZLUFUGZUHZUHZDGJUPEHJUPMUPWNLUFZWQGHJUP
      MUPEBJUPHCJUPMUPBDJUPCGJUPMUPJUPLUFZWTVPVSVTWJWFWIWKWRUEXAVPVSWBWMWSUJZVP
      VSWBWMWSUKZVTWAVPVSWMWSULZWJWKWFWIWCWSUMZWCWFWIWLWSUNZWCWFWIWLWSUOZWTWKWR
      WJWKWFWIWCWSUQWCWMWOWPWRURUSABCDEFGHIJKLMNOPQRSTUAUBVGUTWTVNWDWGVQGAUDZHA
      UDZVTXAXBVAVNVOVSWBWMWSVBWDWEWIWLWCWSVCWGWHWFWLWCWSVDVQVRVPWBWMWSVEWTVPVS
      WBWFWJWOXIXCXDVPVSWBWMWSVFZXGXFWCWMWOWPWRVHABCDFGIJKLMNOPQRSTUAVIVJWTVPVS
      WBWIWJWPXJXCXDXKXHXFWCWMWOWPWRVKABCEFHIJKLMNOPQRSTUBVIVJXEADEBGHCJKLMOPQR
      VLUTVM $.

    ${
      cdleme15.c $e |- C = ( ( P .\/ S ) ./\ W ) $.
      cdleme15.x $e |- X = ( ( P .\/ T ) ./\ W ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph on p. 114,
         showing, in their notation, ((s ` \/ ` p) ` /\ ` (f(s) ` \/ ` q))
         ` \/ ` ((t ` \/ ` p) ` /\ ` (f(t) ` \/ ` q))=((p ` \/ ` s_1) ` /\ ` (q
         ` \/ ` s_1)) ` \/ ` ((p ` \/ ` t_1) ` /\ ` (q ` \/ ` t_1)).  We
         represent f(s), f(t), s_1, and t_1 with ` F ` , ` G ` , ` C ` , and
         ` X ` respectively.  The order of our operations is slightly
         different.  (Contributed by NM, 9-Oct-2012.) $)
      cdleme15a $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
          /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
          /\ ( P =/= Q /\ S =/= T ) )
       /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
         /\ -. U .<_ ( S .\/ T ) ) )
   -> ( ( ( T .\/ P ) ./\ ( G .\/ Q ) )
        .\/ ( ( P .\/ S ) ./\ ( Q .\/ F ) ) )
              = ( ( ( P .\/ X ) ./\ ( Q .\/ X ) )
                .\/ ( ( P .\/ C ) ./\ ( Q .\/ C ) ) ) ) $=
        ( chlt wcel wa wbr w3a wne wceq simp11l simp11r simp12l simp12r simp22l
        wn cdleme8 syl221anc syl3anc eqtr2d simp11 simp12 simp13 simp22 simp23l
        hlatjcom simp32 cdleme3fa syl132anc simp13l cdleme11g syl131anc oveq12d
        co eqtrd simp21l eqcomd ) LUGUHZOJUHZUIZCAUHZCOMUJUSZUIZDAUHZDOMUJUSZUI
        ZUKZEAUHZEOMUJUSZUIZFAUHZFOMUJUSZUIZCDULZEFULZUIZUKZECDKVQZMUJUSZFXAMUJ
        USZGEFKVQMUJUSZUKZUKZFCKVQZIDKVQZNVQCPKVQZDPKVQZNVQCEKVQZDHKVQZNVQCBKVQ
        ZDBKVQZNVQKXFXGXIXHXJNXFXICFKVQZXGXFWAWBWDWEWNXIXOUMWAWBWFWIWTXEUNZWAWB
        WFWIWTXEUOZWDWEWCWIWTXEUPZWDWEWCWIWTXEUQZWNWOWMWSWJXEURZAPCFJKLMNOQRSTU
        AUFUTVAXFWAWDWNXOXGUMXPXRXTAKLCFRTVIVBVCXFXHDIKVQZXJXFWAIAUHZWGXHYAUMXP
        XFWCWFWIWPWQXCYBWCWFWIWTXEVDZWCWFWIWTXEVEWCWFWIWTXEVFZWJWMWPWSXEVGWQWRW
        MWPWJXEVHZWJWTXBXCXDVJACDFGIJKLMNOQRSTUAUBUDVKVLWGWHWCWFWTXEVMAKLIDRTVI
        VBXFWCWDWIWNWQYAXJUMYCXRYDXTYEAPGCDFDGIJKLMNOQRSTUAUBUFUBUDVNVOVRVPXFXK
        XMXLXNNXFXMXKXFWAWBWDWEWKXMXKUMXPXQXRXSWKWLWPWSWJXEVSZABCEJKLMNOQRSTUAU
        EUTVAVTXFWCWDWIWKWQXLXNUMYCXRYDYFYEABGCDEDGHJKLMNOQRSTUAUBUEUBUCVNVOVPV
        P $.

      $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph on p. 114,
         showing, in their notation, (p ` \/ ` s_1) ` /\ ` (q ` \/ ` s_1)=s_1.
         We represent s_1 with ` C ` .  (Contributed by NM, 10-Oct-2012.) $)
      cdleme15b $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
          /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
          /\ ( P =/= Q /\ S =/= T ) )
       /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
         /\ -. U .<_ ( S .\/ T ) ) )
    -> ( ( P .\/ C ) ./\ ( Q .\/ C ) ) = C ) $=
        ( chlt wcel wa wbr wn w3a wne co cp0 cfv oveq2i simp11l simp12l simp21l
        cbs wceq eqid hlatjcl syl3anc simp11r lhpbase hlatlej1 syl131anc syl5eq
        syl atmod3i1 oveq1d col hlol clat hllatd atbase latjcl simp13l syl13anc
        latmrot simp31 wi simp23l necomd hlatexch1 mtod hlatl atnle mpbid olm02
        cal wb syl2anc 3eqtrrd eqtr4d cdleme9b latlej2 atmod2i2 olj02 3eqtr3d )
        LUGUHZOJUHZUIZCAUHZCOMUJUKZUIZDAUHZDOMUJUKZUIZULZEAUHZEOMUJUKZUIZFAUHFO
        MUJUKUIZCDUMZEFUMZUIZULZECDKUNZMUJZUKZFYAMUJUKZGEFKUNMUJUKZULZULZCBKUNZ
        DNUNZBKUNZLUOUPZBKUNZYHDBKUNNUNZBYGYIYKBKYGYICEKUNZCOKUNZNUNZDNUNZYKYGY
        HYPDNYGYHCYNONUNZKUNZYPBYRCKUEUQYGXCXFYNLVAUPZUHZOYTUHZCYNMUJZYSYPVBXCX
        DXHXKXTYFURZXFXGXEXKXTYFUSZYGXCXFXMUUAUUDUUEXMXNXPXSXLYFUTZAYTKLCEYTVCZ
        RTVDVEZYGXDUUBXCXDXHXKXTYFVFZYTJLOUUGUAVGVKZYGXCXFXMUUCUUDUUEUUFACEKLMQ
        RTVHVEAYTCKLMNYNOUUGQRSTVLVIVJVMYGYQDYNNUNZYONUNZYKYONUNZYKYGLVNUHZUUAY
        OYTUHZDYTUHZYQUULVBYGXCUUNUUDLVOVKZUUHYGLVPUHZCYTUHZUUBUUOYGLUUDVQZYGXF
        UUSUUEAYTCLUUGTVRVKZUUJYTKLCOUUGRVSVEZYGXIUUPXIXJXEXHXTYFVTZAYTDLUUGTVR
        VKYTLNYNYODUUGSWBWAYGUUKYKYONYGDYNMUJZUKZUUKYKVBZYGUVDYBXLXTYCYDYEWCYGX
        CXIXMXFDCUMUVDYBWDUUDUVCUUFUUEYGCDXQXRXOXPXLYFWEWFADECKLMQRTWGVIWHYGLWM
        UHZXIUUAUVEUVFWNYGXCUVGUUDLWIVKUVCUUHAYTDLMNYNYKUUGQSYKVCZTWJVEWKVMYGUU
        NUUOUUMYKVBUUQUVBYTLNYOYKUUGSUVHWLWOWPWQVMYGXCXIYHYTUHZBYTUHZBYHMUJZYJY
        MVBUUDUVCYGUURUUSUVJUVIUUTUVAYGXCXFXMXDUVJUUDUUEUUFUUIAYTBCEJKLNOUUGRST
        UAUEWRWAZYTKLCBUUGRVSVEUVLYGUURUUSUVJUVKUUTUVAUVLYTKLMCBUUGQRWSVEAYTDKL
        MNYHBUUGQRSTWTVIYGUUNUVJYLBVBUUQUVLYTKLBYKUUGRUVHXAWOXB $.

      $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph on p. 114,
         showing, in their notation, ((p ` \/ ` s_1) ` /\ ` (q ` \/ ` s_1))
         ` \/ ` ((p ` \/ ` t_1) ` /\ ` (q ` \/ ` t_1))=s_1 ` \/ ` t_1. ` C `
         and ` X ` represent s_1 and t_1 respectively.  The order of our
         operations is slightly different.  (Contributed by NM,
         10-Oct-2012.) $)
      cdleme15c $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
          /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
          /\ ( P =/= Q /\ S =/= T ) )
       /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
         /\ -. U .<_ ( S .\/ T ) ) )
    -> ( ( ( P .\/ X ) ./\ ( Q .\/ X ) )
        .\/ ( ( P .\/ C ) ./\ ( Q .\/ C ) ) ) = ( X .\/ C ) ) $=
        ( chlt wcel wa wbr wn w3a co simp11 simp12 simp13 simp22 simp21 simp23l
        wne simp23r necomd simp32 simp31 simp33 simp11l simp21l simp22l syl3anc
        wceq jca hlatjcom breq2d mtbid cdleme15b syl333anc oveq12d ) LUGUHZOJUH
        ZUIZCAUHCOMUJUKUIZDAUHDOMUJUKUIZULZEAUHZEOMUJUKZUIZFAUHZFOMUJUKZUIZCDUT
        ZEFUTZUIZULZECDKUMZMUJUKZFWNMUJUKZGEFKUMZMUJZUKZULZULZCPKUMDPKUMNUMZPCB
        KUMDBKUMNUMBKXAVTWAWBWIWFWJFEUTZUIWPWOGFEKUMZMUJZUKXBPVJVTWAWBWMWTUNVTW
        AWBWMWTUOVTWAWBWMWTUPWCWFWIWLWTUQWCWFWIWLWTURXAWJXCWJWKWFWIWCWTUSXAEFWJ
        WKWFWIWCWTVAVBVKWCWMWOWPWSVCWCWMWOWPWSVDXAWRXEWCWMWOWPWSVEXAWQXDGMXAVRW
        DWGWQXDVJVRVSWAWBWMWTVFWDWEWIWLWCWTVGWGWHWFWLWCWTVHAKLEFRTVLVIVMVNAPCDF
        EGIHJKLMNOBQRSTUAUBUDUCUFUEVOVPABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFVOVQ $.

      $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph on p. 114,
         showing, in their notation, s_1 ` \/ ` t_1 ` <_ ` w. ` C ` and ` X `
         represent s_1 and t_1 respectively.  The order of our operations is
         slightly different.  (Contributed by NM, 10-Oct-2012.) $)
      cdleme15d $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
          /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
          /\ ( P =/= Q /\ S =/= T ) )
       /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
     /\ -. U .<_ ( S .\/ T ) ) )
         -> ( X .\/ C ) .<_ W ) $=
        ( chlt wcel wa wbr wn w3a wne co cbs cfv simp11l hllatd simp12l simp22l
        clat eqid hlatjcl syl3anc simp11r lhpbase syl latmle2 simp21l wb latmcl
        eqbrtrid eqeltrid latjle12 syl13anc mpbi2and ) LUGUHZOJUHZUIZCAUHZCOMUJ
        UKZUIZDAUHDOMUJUKUIZULZEAUHZEOMUJUKZUIZFAUHZFOMUJUKZUIZCDUMEFUMUIZULZEC
        DKUNZMUJUKFWMMUJUKGEFKUNMUJUKULZULZPOMUJZBOMUJZPBKUNOMUJZWOPCFKUNZONUNZ
        OMUFWOLVAUHZWSLUOUPZUHZOXBUHZWTOMUJWOLVQVRWBWCWLWNUQZURZWOVQVTWHXCXEVTW
        AVSWCWLWNUSZWHWIWGWKWDWNUTAXBKLCFXBVBZRTVCVDZWOVRXDVQVRWBWCWLWNVEXBJLOX
        HUAVFVGZXBLMNWSOXHQSVHVDVLWOBCEKUNZONUNZOMUEWOXAXKXBUHZXDXLOMUJXFWOVQVT
        WEXMXEXGWEWFWJWKWDWNVIAXBKLCEXHRTVCVDZXJXBLMNXKOXHQSVHVDVLWOXAPXBUHBXBU
        HXDWPWQUIWRVJXFWOPWTXBUFWOXAXCXDWTXBUHXFXIXJXBLNWSOXHSVKVDVMWOBXLXBUEWO
        XAXMXDXLXBUHXFXNXJXBLNXKOXHSVKVDVMXJXBKLMPBOXHQRVNVOVP $.
    $}

    $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph on p. 114,
       showing, in their notation, (s ` \/ ` t) ` /\ ` (f(s) ` \/ ` f(t))
       ` <_ ` w.  We use ` F ` , ` G ` for f(s), f(t) respectively.
       (Contributed by NM, 10-Oct-2012.) $)
    cdleme15 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
        /\ ( P =/= Q /\ S =/= T ) )
     /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
       /\ -. U .<_ ( S .\/ T ) ) )
        -> ( ( S .\/ T ) ./\ ( F .\/ G ) ) .<_ W ) $=
      ( chlt wcel wa wbr wn w3a wne co cbs cfv eqid simp11l hllatd clat simp21l
      simp22l hlatjcl syl3anc simp11r simp12l cdleme1b latjcl latmcl atbase syl
      simp13l syl23anc lhpbase cdleme14 cdleme15a cdleme15c cdleme15d eqbrtrd
      eqtrd lattrd ) KUCUDZNIUDZUEZBAUDZBNLUFUGZUEZCAUDZCNLUFUGZUEZUHZDAUDZDNLU
      FUGZUEZEAUDZENLUFUGZUEZBCUIDEUIUEZUHZDBCJUJZLUFUGEWPLUFUGFDEJUJZLUFUGUHZU
      HZKUKULZKLWQGHJUJZMUJZEBJUJZHCJUJZMUJZBDJUJZCGJUJZMUJZJUJZNWTUMZOWSKVRVSW
      CWFWOWRUNZUOZWSKUPUDZWQWTUDZXAWTUDZXBWTUDXLWSVRWHWKXNXKWHWIWMWNWGWRUQZWKW
      LWJWNWGWRURZAWTJKDEXJPRUSUTWSXMGWTUDZHWTUDZXOXLWSVRVSWAWDWHXRXKVRVSWCWFWO
      WRVAZWAWBVTWFWOWRVBZWDWEVTWCWOWRVHZXPAWTBCDFGIJKLMNOPQRSTUAXJVCVIZWSVRVSW
      AWDWKXSXKXTYAYBXQAWTBCEFHIJKLMNOPQRSTUBXJVCVIZWTJKGHXJPVDUTWTKMWQXAXJQVEU
      TWSXMXEWTUDZXHWTUDZXIWTUDXLWSXMXCWTUDZXDWTUDZYEXLWSVRWKWAYGXKXQYAAWTJKEBX
      JPRUSUTWSXMXSCWTUDZYHXLYDWSWDYIYBAWTCKXJRVFVGZWTJKHCXJPVDUTWTKMXCXDXJQVEU
      TWSXMXFWTUDZXGWTUDZYFXLWSVRWAWHYKXKYAXPAWTJKBDXJPRUSUTWSXMYIXRYLXLYJYCWTJ
      KCGXJPVDUTWTKMXFXGXJQVEUTWTJKXEXHXJPVDUTWSVSNWTUDXTWTIKNXJSVJVGABCDEFGHIJ
      KLMNOPQRSTUAUBVKWSXIBEJUJNMUJZXFNMUJZJUJZNLWSXIBYMJUJCYMJUJMUJBYNJUJCYNJU
      JMUJJUJYOAYNBCDEFGHIJKLMNYMOPQRSTUAUBYNUMZYMUMZVLAYNBCDEFGHIJKLMNYMOPQRST
      UAUBYPYQVMVPAYNBCDEFGHIJKLMNYMOPQRSTUAUBYPYQVNVOVQ $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph on p. 114,
       first part of 3rd sentence. ` F ` and ` G ` represent f(s) and f(t)
       respectively.  It is unclear how this follows from s ` \/ ` u ` =/= ` t
       ` \/ ` u, as the authors state, and we used a different proof.  (Note:
       the antecedent ` -. T .<_ ( P .\/ Q ) ` is not used.)  (Contributed by
       NM, 11-Oct-2012.) $)
    cdleme16b $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
        /\ ( P =/= Q /\ S =/= T ) )
     /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
       /\ -. U .<_ ( S .\/ T ) ) )
           -> F =/= G ) $=
      ( chlt wcel wa wbr wn w3a wne co simp11 simp12 simp13 simp21 simp23l eqid
      simp31 cdleme3g syl132anc wceq clat cbs simp11l simp21l cdleme3fa hlatjcl
      cfv hllatd syl3anc simp22l atbase latmcl latlej2 adantr hlatlej2 atmod2i1
      syl syl131anc oveq2 oveq2d sylan9eq simp11r simp13l simp22 simp23r simp33
      jca cdleme12 syl233anc eqtrd breqtrd ex wb hlatl simp12l lhpat2 syl222anc
      cal simp12r atcmp sylibd necon3d mpd ) KUCUDZNIUDZUEZBAUDZBNLUFUGZUEZCAUD
      ZCNLUFUGZUEZUHZDAUDZDNLUFUGZUEZEAUDZENLUFUGZUEZBCUIZDEUIZUEZUHZDBCJUJZLUF
      UGZEYDLUFUGZFDEJUJLUFUGZUHZUHZGFUIZGHUIYIXFXIXLXPXTYEYJXFXIXLYCYHUKZXFXIX
      LYCYHULZXFXIXLYCYHUMZXMXPXSYBYHUNZXTYAXPXSXMYHUOZXMYCYEYFYGUQZABCDFGIJKLM
      BDJUJNMUJZNOPQRSTUAYQUPURUSYIGHGFYIGHUTZGFLUFZGFUTZYIYRYSYIYRUEZGDGJUJZEM
      UJZGJUJZFLYIGUUDLUFZYRYIKVAUDZUUCKVBVGZUDZGUUGUDZUUEYIKXDXEXIXLYCYHVCZVHZ
      YIUUFUUBUUGUDZEUUGUDZUUHUUKYIXDXNGAUDZUULUUJXNXOXSYBXMYHVDZYIXFXIXLXPXTYE
      UUNYKYLYMYNYOYPABCDFGIJKLMNOPQRSTUAVEUSZAUUGJKDGUUGUPZPRVFVIZYIXQUUMXQXRX
      PYBXMYHVJAUUGEKUUQRVKVQZUUGKMUUBEUUQQVLVIYIUUNUUIUUPAUUGGKUUQRVKVQUUGJKLU
      UCGUUQOPVMVIVNUUAUUDUUBEHJUJZMUJZFYIYRUUDUUBEGJUJZMUJZUVAYIXDUUNUULUUMGUU
      BLUFZUUDUVCUTUUJUUPUURUUSYIXDXNUUNUVDUUJUUOUUPADGJKLOPRVOVIAUUGGJKLMUUBEU
      UQOPQRVPVRYRUVBUUTUUBMGHEJVSVTWAYIUVAFUTZYRYIXDXEXIXJXTXPXSYAYGUEUVEUUJXD
      XEXIXLYCYHWBZYLXJXKXFXIYCYHWCZYOYNXMXPXSYBYHWDYIYAYGXTYAXPXSXMYHWEXMYCYEY
      FYGWFWGABCDEFGHIJKLMNOPQRSTUAUBWHWIVNWJWKWLYIKWRUDZUUNFAUDZYSYTWMYIXDUVHU
      UJKWNVQUUPYIXDXEXGXHXJXTUVIUUJUVFXGXHXFXLYCYHWOXGXHXFXLYCYHWSUVGYOABCFIJK
      LMNOPQRSTWPWQAGFKLORWTVIXAXBXC $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph on p. 114,
       2nd part of 3rd sentence. ` F ` and ` G ` represent f(s) and f(t)
       respectively.  We show, in their notation, s ` \/ ` t ` \/ ` f(s) ` \/ `
       f(t)=s ` \/ ` t ` \/ ` u.  (Contributed by NM, 11-Oct-2012.) $)
    cdleme16c $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
        /\ ( P =/= Q /\ S =/= T ) )
     /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
       /\ -. U .<_ ( S .\/ T ) ) )
           -> ( ( S .\/ T ) .\/ ( F .\/ G ) ) = ( ( S .\/ T ) .\/ U ) ) $=
      ( chlt wcel wa wbr wn w3a wne wceq simp11l simp11r simp12l simp13l simp21
      co cdleme1 syl23anc simp22 oveq12d simp21l simp11 simp12 simp13 cdleme3fa
      simp22l simp23l simp31 syl132anc simp32 hlatj4 syl122anc lhpat2 syl222anc
      simp12r hlatjidm syl2anc oveq2d eqtr3d 3eqtr4d ) KUCUDZNIUDZUEZBAUDZBNLUF
      UGZUEZCAUDZCNLUFUGZUEZUHZDAUDZDNLUFUGZUEZEAUDZENLUFUGZUEZBCUIZDEUIZUEZUHZ
      DBCJUPZLUFUGZEXALUFUGZFDEJUPZLUFUGZUHZUHZDGJUPZEHJUPZJUPZDFJUPZEFJUPZJUPZ
      XDGHJUPJUPZXDFJUPZXGXHXKXIXLJXGWAWBWDWGWMXHXKUJWAWBWFWIWTXFUKZWAWBWFWIWTX
      FULZWDWEWCWIWTXFUMZWGWHWCWFWTXFUNZWJWMWPWSXFUOZABCDFGIJKLMNOPQRSTUAUQURXG
      WAWBWDWGWPXIXLUJXPXQXRXSWJWMWPWSXFUSZABCEFHIJKLMNOPQRSTUBUQURUTXGWAWKWNGA
      UDZHAUDZXNXJUJXPWKWLWPWSWJXFVAZWNWOWMWSWJXFVFZXGWCWFWIWMWQXBYBWCWFWIWTXFV
      BZWCWFWIWTXFVCZWCWFWIWTXFVDZXTWQWRWMWPWJXFVGZWJWTXBXCXEVHABCDFGIJKLMNOPQR
      STUAVEVIXGWCWFWIWPWQXCYCYFYGYHYAYIWJWTXBXCXEVJABCEFHIJKLMNOPQRSTUBVEVIADE
      GHJKPRVKVLXGXDFFJUPZJUPZXOXMXGYJFXDJXGWAFAUDZYJFUJXPXGWAWBWDWEWGWQYLXPXQX
      RWDWEWCWIWTXFVOXSYIABCFIJKLMNOPQRSTVMVNZAJKFPRVPVQVRXGWAWKWNYLYLYKXMUJXPY
      DYEYMYMADEFFJKPRVKVLVSVT $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph on p. 114,
       3rd part of 3rd sentence. ` F ` and ` G ` represent f(s) and f(t)
       respectively.  We show, in their notation, (s ` \/ ` t) ` /\ ` (f(s)
       ` \/ ` f(t)) is an atom.  (Contributed by NM, 11-Oct-2012.) $)
    cdleme16d $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
        /\ ( P =/= Q /\ S =/= T ) )
     /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
       /\ -. U .<_ ( S .\/ T ) ) )
           -> ( ( S .\/ T ) ./\ ( F .\/ G ) ) e. A ) $=
      ( chlt wcel wa wbr wn w3a wne co clpl cdleme16c simp23r simp33 wb simp11l
      cfv simp21l simp22l simp11r simp12l simp12r simp13l lhpat2 syl222anc eqid
      simp23l islpln2a syl13anc mpbir2and eqeltrd clln islln2a mpbird cdleme16b
      syl3anc simp11 simp12 simp13 simp21 simp31 cdleme3fa simp22 simp32 2llnmj
      syl132anc ) KUCUDZNIUDZUEZBAUDZBNLUFUGZUEZCAUDZCNLUFUGZUEZUHZDAUDZDNLUFUG
      ZUEZEAUDZENLUFUGZUEZBCUIZDEUIZUEZUHZDBCJUJZLUFUGZEXGLUFUGZFDEJUJZLUFUGZUH
      ZUHZXJGHJUJZMUJAUDZXJXNJUJZKUKUQZUDZXMXPXJFJUJZXQABCDEFGHIJKLMNOPQRSTUAUB
      ULXMXSXQUDZXDXKXCXDWSXBWPXLUMZWPXFXHXIXKUNXMWGWQWTFAUDZXTXDXKUEUOWGWHWLWO
      XFXLUPZWQWRXBXEWPXLURZWTXAWSXEWPXLUSZXMWGWHWJWKWMXCYBYCWGWHWLWOXFXLUTWJWK
      WIWOXFXLVAWJWKWIWOXFXLVBWMWNWIWLXFXLVCXCXDWSXBWPXLVGZABCFIJKLMNOPQRSTVDVE
      AXQDEFJKLOPRXQVFZVHVIVJVKXMWGXJKVLUQZUDZXNYHUDZXOXRUOYCXMYIXDYAXMWGWQWTYI
      XDUOYCYDYEADEJKYHPRYHVFZVMVPVNXMYJGHUIZABCDEFGHIJKLMNOPQRSTUAUBVOXMWGGAUD
      ZHAUDZYJYLUOYCXMWIWLWOWSXCXHYMWIWLWOXFXLVQZWIWLWOXFXLVRZWIWLWOXFXLVSZWPWS
      XBXEXLVTYFWPXFXHXIXKWAABCDFGIJKLMNOPQRSTUAWBWFXMWIWLWOXBXCXIYNYOYPYQWPWSX
      BXEXLWCYFWPXFXHXIXKWDABCEFHIJKLMNOPQRSTUBWBWFAGHJKYHPRYKVMVPVNAXQJKMYHXJX
      NPQRYKYGWEVPVN $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph on p. 114,
       3rd part of 3rd sentence. ` F ` and ` G ` represent f(s) and f(t)
       respectively.  We show, in their notation, (s ` \/ ` t) ` /\ ` (f(s)
       ` \/ ` f(t))=(s ` \/ ` t) ` /\ ` w.  (Contributed by NM,
       11-Oct-2012.) $)
    cdleme16e $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
        /\ ( P =/= Q /\ S =/= T ) )
     /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
       /\ -. U .<_ ( S .\/ T ) ) )
           -> ( ( S .\/ T ) ./\ ( F .\/ G ) ) = ( ( S .\/ T ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne co wceq clat cbs cfv simp11l hllatd simp21l
      simp22l eqid hlatjcl syl3anc simp11 simp12 simp13 simp21 simp31 cdleme3fa
      simp23l syl132anc simp22 simp32 latmle1 cdleme15 simp11r lhpbase latlem12
      wb latmcl syl syl13anc mpbi2and cal hlatl cdleme16d simp21r simp23r lhpat
      syl222anc atcmp mpbid ) KUCUDZNIUDZUEZBAUDBNLUFUGUEZCAUDCNLUFUGUEZUHZDAUD
      ZDNLUFUGZUEZEAUDZENLUFUGZUEZBCUIZDEUIZUEZUHZDBCJUJZLUFUGZEXGLUFUGZFDEJUJZ
      LUFUGZUHZUHZXJGHJUJZMUJZXJNMUJZLUFZXOXPUKZXMXOXJLUFZXONLUFZXQXMKULUDZXJKU
      MUNZUDZXNYBUDZXSXMKWKWLWNWOXFXLUOZUPZXMWKWQWTYCYEWQWRXBXEWPXLUQZWTXAWSXEW
      PXLURZAYBJKDEYBUSZPRUTVAZXMWKGAUDZHAUDZYDYEXMWMWNWOWSXCXHYKWMWNWOXFXLVBZW
      MWNWOXFXLVCZWMWNWOXFXLVDZWPWSXBXEXLVEXCXDWSXBWPXLVHZWPXFXHXIXKVFABCDFGIJK
      LMNOPQRSTUAVGVIXMWMWNWOXBXCXIYLYMYNYOWPWSXBXEXLVJYPWPXFXHXIXKVKABCEFHIJKL
      MNOPQRSTUBVGVIAYBJKGHYIPRUTVAZYBKLMXJXNYIOQVLVAABCDEFGHIJKLMNOPQRSTUAUBVM
      XMYAXOYBUDZYCNYBUDZXSXTUEXQVQYFXMYAYCYDYRYFYJYQYBKMXJXNYIQVRVAYJXMWLYSWKW
      LWNWOXFXLVNZYBIKNYISVOVSYBKLMXOXJNYIOQVPVTWAXMKWBUDZXOAUDXPAUDZXQXRVQXMWK
      UUAYEKWCVSABCDEFGHIJKLMNOPQRSTUAUBWDXMWKWLWQWRWTXDUUBYEYTYGWQWRXBXEWPXLWE
      YHXCXDWSXBWPXLWFADEIJKLMNOPQRSWGWHAXOXPKLORWIVAWJ $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph on p. 114,
       3rd part of 3rd sentence. ` F ` and ` G ` represent f(s) and f(t)
       respectively.  We show, in their notation, (s ` \/ ` t) ` /\ ` (f(s)
       ` \/ ` f(t))=(f(s) ` \/ ` f(t)) ` /\ ` w.  (Contributed by NM,
       11-Oct-2012.) $)
    cdleme16f $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
        /\ ( P =/= Q /\ S =/= T ) )
     /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
       /\ -. U .<_ ( S .\/ T ) ) )
           -> ( ( S .\/ T ) ./\ ( F .\/ G ) ) = ( ( F .\/ G ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne co wceq clat cbs cfv simp11l hllatd simp21l
      simp22l eqid hlatjcl syl3anc simp11 simp12 simp13 simp21 simp31 cdleme3fa
      simp23l syl132anc simp22 simp32 latmle2 cdleme15 simp11r lhpbase latlem12
      wb latmcl syl syl13anc mpbi2and cal cdleme16d cdleme3 cdleme16b syl122anc
      hlatl lhpat atcmp mpbid ) KUCUDZNIUDZUEZBAUDBNLUFUGUEZCAUDCNLUFUGUEZUHZDA
      UDZDNLUFUGZUEZEAUDZENLUFUGZUEZBCUIZDEUIZUEZUHZDBCJUJZLUFUGZEXGLUFUGZFDEJU
      JZLUFUGZUHZUHZXJGHJUJZMUJZXNNMUJZLUFZXOXPUKZXMXOXNLUFZXONLUFZXQXMKULUDZXJ
      KUMUNZUDZXNYBUDZXSXMKWKWLWNWOXFXLUOZUPZXMWKWQWTYCYEWQWRXBXEWPXLUQWTXAWSXE
      WPXLURAYBJKDEYBUSZPRUTVAZXMWKGAUDZHAUDZYDYEXMWMWNWOWSXCXHYIWMWNWOXFXLVBZW
      MWNWOXFXLVCZWMWNWOXFXLVDZWPWSXBXEXLVEZXCXDWSXBWPXLVHZWPXFXHXIXKVFZABCDFGI
      JKLMNOPQRSTUAVGVIZXMWMWNWOXBXCXIYJYKYLYMWPWSXBXEXLVJYOWPXFXHXIXKVKABCEFHI
      JKLMNOPQRSTUBVGVIZAYBJKGHYGPRUTVAZYBKLMXJXNYGOQVLVAABCDEFGHIJKLMNOPQRSTUA
      UBVMXMYAXOYBUDZYDNYBUDZXSXTUEXQVQYFXMYAYCYDYTYFYHYSYBKMXJXNYGQVRVAYSXMWLU
      UAWKWLWNWOXFXLVNYBIKNYGSVOVSYBKLMXOXNNYGOQVPVTWAXMKWBUDZXOAUDXPAUDZXQXRVQ
      XMWKUUBYEKWGVSABCDEFGHIJKLMNOPQRSTUAUBWCXMWMYIGNLUFUGZYJGHUIUUCYKYQXMWMWN
      WOWSXCXHUUDYKYLYMYNYOYPABCDFGIJKLMNOPQRSTUAWDVIYRABCDEFGHIJKLMNOPQRSTUAUB
      WEAGHIJKLMNOPQRSWHWFAXOXPKLORWIVAWJ $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph on p. 114,
       Eq.  (1). ` F ` and ` G ` represent f(s) and f(t) respectively.  We
       show, in their notation, (s ` \/ ` t) ` /\ ` w=(f(s) ` \/ ` f(t)) ` /\ `
       w.  (Contributed by NM, 11-Oct-2012.) $)
    cdleme16g $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
        /\ ( P =/= Q /\ S =/= T ) )
     /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
       /\ -. U .<_ ( S .\/ T ) ) )
           -> ( ( S .\/ T ) ./\ W ) = ( ( F .\/ G ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne co cdleme16e cdleme16f eqtr3d ) KUCUDNIUDUE
      BAUDBNLUFUGUECAUDCNLUFUGUEUHDAUDDNLUFUGUEEAUDENLUFUGUEBCUIDEUIUEUHDBCJUJZ
      LUFUGEUNLUFUGFDEJUJZLUFUGUHUHUOGHJUJZMUJUONMUJUPNMUJABCDEFGHIJKLMNOPQRSTU
      AUBUKABCDEFGHIJKLMNOPQRSTUAUBULUM $.

    $( Part of proof of Lemma E in [Crawley] p. 113, conclusion of 3rd
       paragraph on p. 114. ` F ` and ` G ` represent f(s) and f(t)
       respectively.  We show, in their notation, (s ` \/ ` t) ` /\ ` w=(f(s)
       ` \/ ` f(t)) ` /\ ` w, whether or not u ` <_ ` s ` \/ ` t.  (Contributed
       by NM, 11-Oct-2012.) $)
    cdleme16 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
        /\ ( P =/= Q /\ S =/= T ) )
     /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q ) ) )
           -> ( ( S .\/ T ) ./\ W ) = ( ( F .\/ G ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a co wceq simpl11 simpl12 simpl13 simpl21 simpl22
      wne simpl23 simpl3l simpl3r cdleme11 syl333anc eqcomd cdleme16g pm2.61dan
      simpr oveq1d ) KUCUDNIUDUEZBAUDBNLUFUGUEZCAUDCNLUFUGUEZUHZDAUDDNLUFUGUEZE
      AUDENLUFUGUEZBCUPDEUPUEZUHZDBCJUIZLUFUGZEVOLUFUGZUEZUHZFDEJUIZLUFZVTNMUIG
      HJUIZNMUIUJZVSWAUEZVTWBNMWDWBVTWDVGVHVIVKVLVMVPVQWAWBVTUJVGVHVIVNVRWAUKVG
      VHVIVNVRWAULVGVHVIVNVRWAUMVKVLVMVJVRWAUNVKVLVMVJVRWAUOVKVLVMVJVRWAUQVPVQV
      JVNWAURVPVQVJVNWAUSVSWAVEABCDEFGHIJKLMNOPQRSTUAUBUTVAVBVFVSWAUGZUEVGVHVIV
      KVLVMVPVQWEWCVGVHVIVNVRWEUKVGVHVIVNVRWEULVGVHVIVNVRWEUMVKVLVMVJVRWEUNVKVL
      VMVJVRWEUOVKVLVMVJVRWEUQVPVQVJVNWEURVPVQVJVNWEUSVSWEVEABCDEFGHIJKLMNOPQRS
      TUAUBVCVAVD $.
  $}

  ${
    cdleme17.l $e |- .<_ = ( le ` K ) $.
    cdleme17.j $e |- .\/ = ( join ` K ) $.
    cdleme17.m $e |- ./\ = ( meet ` K ) $.
    cdleme17.a $e |- A = ( Atoms ` K ) $.
    cdleme17.h $e |- H = ( LHyp ` K ) $.
    cdleme17.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdleme17.f $e |- F
        = ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) ) $.
    cdleme17.g $e |- G
        = ( ( P .\/ Q ) ./\ ( F .\/ ( ( P .\/ S ) ./\ W ) ) ) $.
    ${
      cdleme17.c $e |- C = ( ( P .\/ S ) ./\ W ) $.
      $( Part of proof of Lemma E in [Crawley] p. 114, first part of 4th
         paragraph. ` F ` , ` G ` , and ` C ` represent f(s), f_s(p), and s_1
         respectively.  We show, in their notation, f_s(p)=(p ` \/ ` q) ` /\ `
         (q ` \/ ` s_1).  (Contributed by NM, 11-Oct-2012.) $)
      cdleme17a $p |- ( ( ( K e. HL /\ W e. H )
    /\ ( ( P e. A /\ -. P .<_ W ) /\ Q e. A /\ ( S e. A /\ -. S .<_ W ) )
    /\ -. S .<_ ( P .\/ Q ) )
              -> G = ( ( P .\/ Q ) ./\ ( Q .\/ C ) ) ) $=
        ( chlt wcel wa wbr wn w3a co cdleme7a cdleme9 oveq2d syl5eq ) KUDUENIUE
        UFCAUECNLUGUHUFDAUEEAUEENLUGUHUFUIECDJUJZLUGUHUIZHUOGBJUJZMUJUODBJUJZMU
        JACDCEFGHIJKLMBNOPQRSTUAUBUCUKUPUQURUOMABCDEFGIJKLMNOPQRSTUAUCULUMUN $.

      $( Lemma leading to ~ cdleme17c .  (Contributed by NM, 11-Oct-2012.) $)
      cdleme17b $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
                    /\ ( Q e. A /\ S e. A /\ -. S .<_ ( P .\/ Q ) ) )
              -> -. C .<_ ( P .\/ Q ) ) $=
        ( chlt wcel wa wbr wn co w3a simp33 cbs cfv eqid simpl1l hllatd simpl32
        atbase simpl2l hlatjcl syl3anc simpl31 hlatlej2 simpl1r simpl2r cdleme8
        syl wceq syl221anc hlatlej1 clat wb cdleme9b syl13anc latjle12 mpbi2and
        simpr eqbrtrrd lattrd mtand ) KUDUEZNIUEZUFZCAUEZCNLUGUHZUFZDAUEZEAUEZE
        CDJUIZLUGZUHZUJZUJZBWILUGZWJWCWFWGWHWKUKWMWNUFZKULUMZKLECEJUIZWIWPUNZOW
        OKWAWBWFWLWNUOZUPZWOWHEWPUEWGWHWKWCWFWNUQZAWPEKWRRURVGWOWAWDWHWQWPUEWSW
        DWEWCWLWNUSZXAAWPJKCEWRPRUTVAWOWAWDWGWIWPUEZWSXBWGWHWKWCWFWNVBZAWPJKCDW
        RPRUTVAZWOWAWDWHEWQLUGWSXBXAACEJKLOPRVCVAWOCBJUIZWQWILWOWAWBWDWEWHXFWQV
        HWSWAWBWFWLWNVDZXBWDWEWCWLWNVEXAABCEIJKLMNOPQRSUCVFVIWOCWILUGZWNXFWILUG
        ZWOWAWDWGXHWSXBXDACDJKLOPRVJVAWMWNVQWOKVKUECWPUEZBWPUEZXCXHWNUFXIVLWTWO
        WDXJXBAWPCKWRRURVGWOWAWDWHWBXKWSXBXAXGAWPBCEIJKMNWRPQRSUCVMVNXEWPJKLCBW
        IWROPVOVNVPVRVSVT $.

      $( Part of proof of Lemma E in [Crawley] p. 114, first part of 4th
         paragraph. ` C ` represents s_1.  We show, in their notation, (p
         ` \/ ` q) ` /\ ` (q ` \/ ` s_1)=q.  (Contributed by NM,
         11-Oct-2012.) $)
      cdleme17c $p |- ( ( ( K e. HL /\ W e. H )
                    /\ ( P e. A /\ -. P .<_ W )
                    /\ ( Q e. A /\ S e. A /\ -. S .<_ ( P .\/ Q ) ) )
              -> ( ( P .\/ Q ) ./\ ( Q .\/ C ) ) = Q ) $=
        ( chlt wcel wa wbr wn co w3a wceq simp1l simp2l simp31 hlatjcom syl3anc
        oveq1d wne simp1r simp2r simp32 clat cbs hllatd atbase simp33 latnlej1l
        cfv eqid necomd syl131anc cdleme9a syl222anc cdleme17b 2llnma1 eqtrd
        syl ) KUDUEZNIUEZUFZCAUEZCNLUGUHZUFZDAUEZEAUEZECDJUIZLUGUHZUJZUJZWFDBJU
        IZMUIDCJUIZWJMUIZDWIWFWKWJMWIVRWAWDWFWKUKVRVSWCWHULZVTWAWBWHUMZVTWCWDWE
        WGUNZAJKCDPRUOUPUQWIVRWAWDBAUEZBWFLUGUHWLDUKWMWNWOWIVRVSWAWBWECEURZWPWM
        VRVSWCWHUSWNVTWAWBWHUTVTWCWDWEWGVAZWIKVBUEZEKVCVHZUEZCWTUEZDWTUEZWGWQWI
        KWMVDWIWEXAWRAWTEKWTVIZRVEVQWIWAXBWNAWTCKXDRVEVQWIWDXCWOAWTDKXDRVEVQVTW
        CWDWEWGVFWSXAXBXCUJWGUJECWTJKLECDXDOPVGVJVKABCEIJKLMNOPQRSUCVLVMABCDEFG
        HIJKLMNOPQRSTUAUBUCVNACDBJKLMOPQRVOVKVP $.
    $}
    $( Part of proof of Lemma E in [Crawley] p. 114, first part of 4th
       paragraph. ` F ` , ` G ` represent f(s), f_s(p) respectively.  We show,
       in their notation, f_s(p)=q.  (Contributed by NM, 11-Oct-2012.) $)
    cdleme17d1 $p |- ( ( ( K e. HL /\ W e. H )
    /\ ( ( P e. A /\ -. P .<_ W ) /\ Q e. A /\ ( S e. A /\ -. S .<_ W ) )
    /\ -. S .<_ ( P .\/ Q ) )
            -> G = Q ) $=
      ( chlt wcel wa wbr wn w3a co eqid cdleme17a simp1l simp1r simp21l simp21r
      wceq simp22 simp23l simp3 cdleme17c syl223anc eqtrd ) JUBUCZMHUCZUDZBAUCZ
      BMKUEUFZUDZCAUCZDAUCZDMKUEUFZUDZUGZDBCIUHZKUEUFZUGZGVMCBDIUHMLUHZIUHLUHZC
      AVPBCDEFGHIJKLMNOPQRSTUAVPUIZUJVOVBVCVEVFVHVIVNVQCUOVBVCVLVNUKVBVCVLVNULV
      EVFVHVKVDVNUMVEVFVHVKVDVNUNVDVGVHVKVNUPVIVJVGVHVDVNUQVDVLVNURAVPBCDEFGHIJ
      KLMNOPQRSTUAVRUSUTVA $.
  $}

  ${
    $d r A $.  $d r .\/ $.  $d r .<_ $.  $d r P $.  $d r Q $.  $d r R $.
    $d r W $.
    cdleme0nex.l $e |- .<_ = ( le ` K ) $.
    cdleme0nex.j $e |- .\/ = ( join ` K ) $.
    cdleme0nex.a $e |- A = ( Atoms ` K ) $.
    $( Part of proof of Lemma E in [Crawley] p. 114, 4th line of 4th paragraph.
       Whenever (in their terminology) p ` \/ ` q/0 (i.e. the sublattice from 0
       to p ` \/ ` q) contains precisely three atoms, any atom not under w must
       equal either p or q.  (In case of 3 atoms, one of them must be u - see
       ~ cdleme0a - which is under w, so the only 2 left not under w are p and
       q themselves.)  Note that by ~ cvlsupr2 , our
       ` ( P .\/ r ) = ( Q .\/ r ) ` is a shorter way to express
       ` r =/= P /\ r =/= Q /\ r .<_ ( P .\/ Q ) ` .  Thus, the negated
       existential condition states there are no atoms different from p or q
       that are also not under w.  (Contributed by NM, 12-Nov-2012.) $)
    cdleme0nex $p |- ( ( ( K e. HL /\ R .<_ ( P .\/ Q )
         /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) )
     /\ ( P e. A /\ Q e. A /\ P =/= Q )
     /\ ( R e. A /\ -. R .<_ W ) )
             -> ( R = P \/ R = Q ) ) $=
      ( wcel co wbr wn wceq wa w3a wne chlt cv wrex wo simp3r simp12 jca simp3l
      wi simp13 ralnex sylibr breq1 notbid oveq2 eqeq12d anbi12d rspcva syl2anc
      wral wb simp11 hlcvl simp21 simp22 simp23 cvlsupr2 syl131anc anbi2d mtbid
      clc ianor df-3an anbi2i an12 bitri notbii pm4.62 3bitr4ri neanior con2bii
      syl mt2d ) FUAMZDBCENGOZIUBZHGOZPZBWFENZCWFENZQZRZIAUCPZSZBAMZCAMZBCTZSZD
      AMZDHGOZPZRZSZDBTZDCTZRZPZDBQDCQUDZXCXFXAWERZXCXAWEWNWRWSXAUEWDWEWMWRXBUF
      UGXCXAXDXEWESZRZPZXFXIPZUIZXCXABDENZCDENZQZRZXKXCWSWLPZIAUTZXRPZWNWRWSXAU
      HZXCWMXTWDWEWMWRXBUJWLIAUKULXSYAIDAWFDQZWLXRYCWHXAWKXQYCWGWTWFDHGUMUNYCWI
      XOWJXPWFDBEUOWFDCEUOUPUQUNURUSXCXQXJXAXCFVKMZWOWPWSWQXQXJVAXCWDYDWDWEWMWR
      XBVBFVCWBWNWOWPWQXBVDWNWOWPWQXBVEYBWNWOWPWQXBVFABCDEFGLJKVGVHVIVJXFXIRZPX
      GXMUDXLXNXFXIVLXKYEXKXAXFWERZRYEXJYFXAXDXEWEVMVNXAXFWEVOVPVQXFXIVRVSULWCX
      FXHDBDCVTWAUL $.
  $}

  ${
    cdleme18.l $e |- .<_ = ( le ` K ) $.
    cdleme18.j $e |- .\/ = ( join ` K ) $.
    cdleme18.m $e |- ./\ = ( meet ` K ) $.
    cdleme18.a $e |- A = ( Atoms ` K ) $.
    cdleme18.h $e |- H = ( LHyp ` K ) $.
    cdleme18.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdleme18.f $e |- F
        = ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) ) $.
    cdleme18.g $e |- G
         = ( ( P .\/ Q ) ./\ ( F .\/ ( ( Q .\/ S ) ./\ W ) ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 114, 2nd sentence of 4th
       paragraph. ` F ` , ` G ` represent f(s), f_s(q) respectively.  We show
       ` -. ` f_s(q) ` <_ ` w.  (Contributed by NM, 12-Oct-2012.) $)
    cdleme18a $p |- ( ( ( K e. HL /\ W e. H )
    /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
      /\ ( S e. A /\ -. S .<_ W ) )
    /\ ( P =/= Q /\ -. S .<_ ( P .\/ Q ) ) )
            -> -. G .<_ W ) $=
      ( chlt wcel wa wbr wn w3a wne co simp1 simp21 simp22 simp23 simp3l simp1l
      simp21l simp22l hlatlej2 syl3anc simp3r cdleme7 syl323anc ) JUBUCZMHUCZUD
      ZBAUCZBMKUEUFZUDZCAUCZCMKUEUFZUDZDAUCDMKUEUFUDZUGZBCUHZDBCIUIZKUEUFZUDZUG
      ZVEVHVKVKVLVNCVOKUEZVPGMKUEUFVEVMVQUJVEVHVKVLVQUKVEVHVKVLVQULZVTVEVHVKVLV
      QUMVEVMVNVPUNVRVCVFVIVSVCVDVMVQUOVFVGVKVLVEVQUPVIVJVHVLVEVQUQABCIJKNOQURU
      SVEVMVNVPUTABCCDEFGHIJKLMNOPQRSTUAVAVB $.

    $( Part of proof of Lemma E in [Crawley] p. 114, 2nd sentence of 4th
       paragraph. ` F ` , ` G ` represent f(s), f_s(q) respectively.  We show
       ` -. ` f_s(q) ` =/= ` q.  (Contributed by NM, 12-Oct-2012.) $)
    cdleme18b $p |- ( ( ( K e. HL /\ W e. H )
    /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
      /\ ( S e. A /\ -. S .<_ W ) )
    /\ ( P =/= Q /\ -. S .<_ ( P .\/ Q ) ) )
            -> G =/= Q ) $=
      ( chlt wcel wa wbr wn w3a wne co wceq eqid oveq2 simp22l hlatjidm syl2anc
      simp1l sylan9eqr simp21l simp22 simp23 hlatlej2 syl3anc cdleme5 syl132anc
      simp1 adantr eqtr3d simp3l 2atneat syl13anc nelne2 necomd eqnetrd necon2d
      ex mpi ) JUBUCZMHUCZUDZBAUCZBMKUEUFZUDZCAUCZCMKUEUFZUDZDAUCDMKUEUFUDZUGZB
      CUHZDBCIUIZKUEUFZUDZUGZCCUJGCUHCUKWLGCCCWLGCUJZCCUHWLWMUDZCWICWNCGIUIZCWI
      WMWLWOCCIUIZCGCCIULWLVQWCWPCUJVQVRWGWKUPZWCWDWBWFVSWKUMZAIJCOQUNUOUQWLWOW
      IUJZWMWLVSVTWCWEWFCWIKUEZWSVSWGWKVEVTWAWEWFVSWKURZWRVSWBWEWFWKUSVSWBWEWFW
      KUTWLVQVTWCWTWQXAWRABCIJKNOQVAVBABCCDEFGHIJKLMNOPQRSTUAVCVDVFVGWLWICUHZWM
      WLWCWIAUCUFZXBWRWLVQVTWCWHXCWQXAWRVSWGWHWJVHABCIJOQVIVJWCXCUDCWICWIAVKVLU
      OVFVMVOVNVP $.

    $d r A $.  $d r G $.  $d r .\/ $.  $d r .<_ $.  $d r P $.  $d r Q $.
    $d r W $.
    $( Part of proof of Lemma E in [Crawley] p. 114, 2nd sentence of 4th
       paragraph. ` F ` , ` G ` represent f(s), f_s(q) respectively.  We show
       ` -. ` f_s(q) = p whenever p ` \/ ` q has three atoms under it (implied
       by the negated existential condition).  (Contributed by NM,
       10-Nov-2012.) $)
    cdleme18c $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
         /\ ( P =/= Q /\ -. S .<_ ( P .\/ Q )
             /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
            -> G = P ) $=
      ( chlt wcel wa wbr wn w3a wne co cv wceq wrex simp31 simp32 jca cdleme18b
      syld3an3 neneqd wo simp1l simp1r simp21l simp22l simp23l syl231anc simp33
      cdleme4a simp1 simp21 simp22 simp23 syl3anc cdleme7ga syl323anc cdleme18a
      hlatlej2 cdleme0nex syl332anc ord mt3d ) JUCUDZMHUDZUEZBAUDZBMKUFUGZUEZCA
      UDZCMKUFUGZUEZDAUDZDMKUFUGZUEZUHZBCUIZDBCIUJZKUFUGZNUKZMKUFUGBWRIUJCWRIUJ
      ULUENAUMUGZUHZUHZGBULZGCULZXAGCWDWNWTWOWQUEZGCUIXAWOWQWDWNWOWQWSUNZWDWNWO
      WQWSUOZUPZABCDEFGHIJKLMOPQRSTUAUBUQURUSXAXBXCXAWBGWPKUFZWSWEWHWOGAUDZGMKU
      FUGZXBXCUTWBWCWNWTVAZXAWBWCWEWHWHWKXHXKWBWCWNWTVBWEWFWJWMWDWTVCZWHWIWGWMW
      DWTVDZXMWKWLWGWJWDWTVEABCCDEFGHIJKLMOPQRSTUAUBVHVFWDWNWOWQWSVGXLXMXEXAWDW
      GWJWJWMWOCWPKUFZWQXIWDWNWTVIWDWGWJWMWTVJWDWGWJWMWTVKZXOWDWGWJWMWTVLXEXAWB
      WEWHXNXKXLXMABCIJKOPRVQVMXFABCCDEFGHIJKLMOPQRSTUAUBVNVOWDWNWTXDXJXGABCDEF
      GHIJKLMOPQRSTUAUBVPURABCGIJKMNOPRVRVSVTWA $.
  $}

  ${
    $d r A $.  $d r D $.  $d r F $.  $d r .\/ $.  $d r .<_ $.  $d r ./\ $.
    $d r P $.  $d r Q $.  $d r R $.  $d r S $.  $d r T $.  $d r W $.
    cdleme18d.l $e |- .<_ = ( le ` K ) $.
    cdleme18d.j $e |- .\/ = ( join ` K ) $.
    cdleme18d.m $e |- ./\ = ( meet ` K ) $.
    cdleme18d.a $e |- A = ( Atoms ` K ) $.
    cdleme18d.h $e |- H = ( LHyp ` K ) $.
    cdleme18d.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdleme18d.f $e |- F
       = ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) ) $.
    cdleme18d.g $e |- G
       = ( ( P .\/ Q ) ./\ ( F .\/ ( ( R .\/ S ) ./\ W ) ) ) $.
    ${
      cdleme22.b $e |- B = ( Base ` K ) $.
      $( Utility lemma for Lemma E in [Crawley] p. 115.  (Contributed by NM,
         5-Dec-2012.) $)
      cdleme22gb $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( P e. A /\ Q e. A ) /\ ( R e. A /\ S e. A ) ) -> G e. B ) $=
        ( chlt wcel wa w3a co simp1l hllatd simp2l simp2r hlatjcl syl3anc simp1
        clat simp3r cdleme1b syl13anc simp3l simp1r lhpbase syl latmcl eqeltrid
        latjcl ) LUEUFZOJUFZUGZCAUFZDAUFZUGZEAUFZFAUFZUGZUHZICDKUIZHEFKUIZONUIZ
        KUIZNUIZBUCVQLUQUFZVRBUFZWABUFZWBBUFVQLVHVIVMVPUJZUKZVQVHVKVLWDWFVJVKVL
        VPULZVJVKVLVPUMZABKLCDUDQSUNUOVQWCHBUFZVTBUFZWEWGVQVJVKVLVOWJVJVMVPUPWH
        WIVJVMVNVOURZABCDFGHJKLMNOPQRSTUAUBUDUSUTVQWCVSBUFZOBUFZWKWGVQVHVNVOWMW
        FVJVMVNVOVAWLABKLEFUDQSUNUOVQVIWNVHVIVMVPVBBJLOUDTVCVDBLNVSOUDRVEUOBKLH
        VTUDQVGUOBLNVRWAUDRVEUOVF $.
    $}

    cdleme18d.d $e |- D
       = ( ( T .\/ U ) ./\ ( Q .\/ ( ( P .\/ T ) ./\ W ) ) ) $.
    cdleme18d.e $e |- E
       = ( ( P .\/ Q ) ./\ ( D .\/ ( ( R .\/ T ) ./\ W ) ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 114, 4th sentence of 4th
       paragraph. ` F ` , ` G ` , ` D ` , ` E ` represent f(s), f_s(r), f(t),
       f_t(r) respectively.  We show f_s(r) = f_t(r) for all possible r (which
       must equal p or q in the case of exactly 3 atoms in p ` \/ ` q/0 , i.e.,
       when ` -. E. r e. A ... ` ).  (Contributed by NM, 12-Nov-2012.) $)
    cdleme18d $p |- ( ( ( ( K e. HL /\ W e. H )
         /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W )
         /\ ( T e. A /\ -. T .<_ W ) )
     /\ ( P =/= Q
       /\ ( R .<_ ( P .\/ Q )
           /\ -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q ) )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
            -> G = E ) $=
      ( chlt wcel wa wbr wn w3a wne co cv wceq wrex eleq1 breq1 anbi12d 3anbi1d
      notbid 3anbi2d simp11 simp21 simp13l simp22 simp322 eqid syl131anc simp23
      cdleme17d1 simp323 eqtr4d syl6bi eqeq12i oveq1 oveq1d oveq2d syl5bb com12
      eqeq12d sylibrd 3anbi23d simp11l simp12 simp31 simp33 cdleme18c syl233anc
      simp11r wo simp321 simp12l simp21l simp21r cdleme0nex syl332anc mpjaod )
      NUIUJZQLUJZUKZCAUJZCQOULZUMZUKZDAUJZDQOULZUMZUKZUNZEAUJZEQOULZUMZUKZFAUJF
      QOULUMUKZGAUJGQOULUMUKZUNZCDUOZECDMUPZOULZFYBOULUMZGYBOULUMZUNZRUQZQOULUM
      CYGMUPDYGMUPURUKRAUSUMZUNZUNZECURZKIURZEDURZYKYJYLYKYJYBJCFMUPZQPUPZMUPZP
      UPZYBBCGMUPZQPUPZMUPZPUPZURZYLYKYJXMXHXRXSUNZYIUNZUUBYKXTUUCXMYIYKXQXHXRX
      SYKXNXEXPXGECAUTYKXOXFECQOVAVDVBVCVEUUDYQDUUAUUDXDXHXIXRYDYQDURXDXHXLUUCY
      IVFZXMXHXRXSYIVGZXIXKXDXHUUCYIVHZXMXHXRXSYIVIYCYDYEYAYHXMUUCVJACDFHJYQLMN
      OPQSTUAUBUCUDUEYQVKVNVLUUDXDXHXIXSYEUUADURUUEUUFUUGXMXHXRXSYIVMYCYDYEYAYH
      XMUUCVOACDGHBUUALMNOPQSTUAUBUCUDUGUUAVKVNVLVPVQYLYBJEFMUPZQPUPZMUPZPUPZYB
      BEGMUPZQPUPZMUPZPUPZURZYKUUBKUUKIUUOUFUHVRZYKUUKYQUUOUUAYKUUJYPYBPYKUUIYO
      JMYKUUHYNQPECFMVSVTWAWAYKUUNYTYBPYKUUMYSBMYKUULYRQPECGMVSVTWAWAWDWBWEWCYM
      YJYLYMYJYBJDFMUPZQPUPZMUPZPUPZYBBDGMUPZQPUPZMUPZPUPZURZYLYMYJXMXLXRXSUNZY
      ADYBOULZYDYEUNZYHUNZUNZUVFYMXTUVGYIUVJXMYMXQXLXRXSYMXNXIXPXKEDAUTYMXOXJED
      QOVAVDVBVCYMYFUVIYAYHYMYCUVHYDYEEDYBOVAVCVEWFUVKUVACUVEUVKXBXCXHXLXRYAYDY
      HUVACURXBXCXHXLUVGUVJWGZXBXCXHXLUVGUVJWMZXDXHXLUVGUVJWHZXMXLXRXSUVJVGZXMX
      LXRXSUVJVIXMUVGYAUVIYHWIZUVHYDYEYAYHXMUVGVJXMUVGYAUVIYHWJZACDFHJUVALMNOPQ
      RSTUAUBUCUDUEUVAVKWKWLUVKXBXCXHXLXSYAYEYHUVECURUVLUVMUVNUVOXMXLXRXSUVJVMU
      VPUVHYDYEYAYHXMUVGVOUVQACDGHBUVELMNOPQRSTUAUBUCUDUGUVEVKWKWLVPVQYLUUPYMUV
      FUUQYMUUKUVAUUOUVEYMUUJUUTYBPYMUUIUUSJMYMUUHUURQPEDFMVSVTWAWAYMUUNUVDYBPY
      MUUMUVCBMYMUULUVBQPEDGMVSVTWAWAWDWBWEWCYJXBYCYHXEXIYAXNXPYKYMWNXBXCXHXLXT
      YIWGYCYDYEYAYHXMXTWOXMXTYAYFYHWJXEXGXDXLXTYIWPXIXKXDXHXTYIVHXMXTYAYFYHWIX
      NXPXRXSXMYIWQXNXPXRXSXMYIWRACDEMNOQRSTUBWSWTXA $.
  $}

  ${
    cdlemesner.l $e |- .<_ = ( le ` K ) $.
    cdlemesner.j $e |- .\/ = ( join ` K ) $.
    cdlemesner.a $e |- A = ( Atoms ` K ) $.
    cdlemesner.h $e |- H = ( LHyp ` K ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Utility lemma.
       (Contributed by NM, 13-Nov-2012.) $)
    cdlemesner $p |- ( ( K e. HL /\ ( R e. A /\ S e. A )
         /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) ) -> S =/= R ) $=
      ( chlt wcel wa co wbr wn w3a wne nbrne2 3ad2ant3 necomd ) HNOZDAOEAOPZDBC
      GQZIREUGIRSPZTDEUHUEDEUAUFDEUGIUBUCUD $.
  $}

  ${
    cdlemeda.l $e |- .<_ = ( le ` K ) $.
    cdlemeda.j $e |- .\/ = ( join ` K ) $.
    cdlemeda.m $e |- ./\ = ( meet ` K ) $.
    cdlemeda.a $e |- A = ( Atoms ` K ) $.
    cdlemeda.h $e |- H = ( LHyp ` K ) $.
    cdlemeda.d $e |- D = ( ( R .\/ S ) ./\ W ) $.
    ${
      cdlemedb.b $e |- B = ( Base ` K ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  Utility lemma. ` D `
         represents s_2.  (Contributed by NM, 20-Nov-2012.) $)
      cdlemedb $p |- ( ( ( K e. HL /\ W e. H ) /\ ( R e. A /\ S e. A ) )
           -> D e. B ) $=
        ( wcel wa chlt clat hllat ad2antrr simpll simprl simprr hlatjcl syl3anc
        co lhpbase ad2antlr latmcl eqeltrid ) HUASZKFSZTZDASZEASZTZTZCDEGUJZKJU
        JZBQVAHUBSZVBBSZKBSZVCBSUOVDUPUTHUCUDVAUOURUSVEUOUPUTUEUQURUSUFUQURUSUG
        ABGHDERMOUHUIUPVFUOUTBFHKRPUKULBHJVBKRNUMUIUN $.
    $}

    $( Part of proof of Lemma E in [Crawley] p. 113.  Utility lemma. ` D `
       represents s_2.  (Contributed by NM, 13-Nov-2012.) $)
    cdlemeda $p |- ( ( ( K e. HL /\ W e. H ) /\ ( S e. A /\ -. S .<_ W )
       /\ ( R e. A /\ R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
  -> D e. A ) $=
      ( wcel co chlt wa wbr wn w3a simp1l simp31 simp2l hlatjcom syl3anc oveq1d
      wceq wne simp1r simp2r simp32 simp33 cdlemesner syl122anc lhpat syl222anc
      eqeltrd eqeltrid ) IUASZLGSZUBZFASZFLJUCUDZUBZEASZECDHTZJUCZFVKJUCUDZUEZU
      EZBEFHTZLKTZARVOVQFEHTZLKTZAVOVPVRLKVOVDVJVGVPVRULVDVEVIVNUFZVFVIVJVLVMUG
      ZVFVGVHVNUHZAHIEFNPUIUJUKVOVDVEVGVHVJFEUMZVSASVTVDVEVIVNUNWBVFVGVHVNUOWAV
      OVDVJVGVLVMWCVTWAWBVFVIVJVLVMUPVFVIVJVLVMUQACDEFGHIJMNPQURUSAFEGHIJKLMNOP
      QUTVAVBVC $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  Utility lemma. ` D `
       represents s_2.  (Contributed by NM, 18-Nov-2012.) $)
    cdlemednpq $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( P e. A /\ Q e. A /\ ( R e. A /\ -. R .<_ W ) )
     /\ ( ( S e. A /\ -. S .<_ W ) /\ R .<_ ( P .\/ Q )
        /\ -. S .<_ ( P .\/ Q ) ) )
  -> -. D .<_ ( P .\/ Q ) ) $=
      ( wcel wbr chlt wa wn w3a co wne clat cbs cfv simp1l simp23l simp31l eqid
      hllatd hlatjcl syl3anc simp1r lhpbase syl latmle2 eqbrtrid simp23r nbrne2
      syl2anc wceq adantr latmle1 simpr simp32 simp33 cdlemeda syl223anc atbase
      wb simp31r simp21 simp22 latlem12 syl13anc mpbi2and cp0 hlatl atnle mpbid
      cal oveq2d atmod1i1 syl131anc col hlol olj01 3eqtr3d breqtrd atcmp sylibd
      ex necon3ad mpd ) IUASZLGSZUBZCASZDASZEASZELJTUCZUBZUDZFASZFLJTUCZUBZECDH
      UEZJTZFXKJTUCZUDZUDZBEUFZBXKJTZUCXOBLJTXEXPXOBEFHUEZLKUEZLJRXOIUGSZXRIUHU
      IZSZLYASZXSLJTXOIWSWTXGXNUJZUNZXOWSXDXHYBYDXDXEXBXCXAXNUKZXHXIXLXMXAXGULZ
      AYAHIEFYAUMZNPUOUPZXOWTYCWSWTXGXNUQZYAGILYHQURUSZYAIJKXRLYHMOUTUPVAXDXEXB
      XCXAXNVBBELJVCVDXOXQBEXOXQBEJTZBEVEZXOXQYLXOXQUBZBXRXKKUEZEJYNBXRJTZXQBYO
      JTZYNBXSXRJRYNXTYBYCXSXRJTXOXTXQYEVFZXOYBXQYIVFZXOYCXQYKVFYAIJKXRLYHMOVGU
      PVAXOXQVHYNXTBYASZYBXKYASZYPXQUBYQVNYRXOYTXQXOBASZYTXOWSWTXHXIXDXLXMUUBYD
      YJYGXHXIXLXMXAXGVOYFXAXGXJXLXMVIZXAXGXJXLXMVJZABCDEFGHIJKLMNOPQRVKVLZAYAB
      IYHPVMUSVFYSXOUUAXQXOWSXBXCUUAYDXAXBXCXFXNVPXAXBXCXFXNVQAYAHICDYHNPUOUPZV
      FYAIJKBXRXKYHMOVRVSVTXOYOEVEXQXOEFXKKUEZHUEZEIWAUIZHUEZYOEXOUUGUUIEHXOXMU
      UGUUIVEZUUDXOIWESZXHUUAXMUUKVNXOWSUULYDIWBUSZYGUUFAYAFIJKXKUUIYHMOUUIUMZP
      WCUPWDWFXOWSXDFYASZUUAXLUUHYOVEYDYFXOXHUUOYGAYAFIYHPVMUSUUFUUCAYAEHIJKFXK
      YHMNOPWGWHXOIWISZEYASZUUJEVEXOWSUUPYDIWJUSXOXDUUQYFAYAEIYHPVMUSYAHIEUUIYH
      NUUNWKVDWLVFWMWPXOUULUUBXDYLYMVNUUMUUEYFABEIJMPWNUPWOWQWR $.

    cdlemednu.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Utility lemma. ` D `
       represents s_2.  (Contributed by NM, 18-Nov-2012.)
       (New usage is discouraged.) $)
    cdlemednuN $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( P e. A /\ Q e. A /\ ( R e. A /\ -. R .<_ W ) )
     /\ ( ( S e. A /\ -. S .<_ W ) /\ R .<_ ( P .\/ Q )
        /\ -. S .<_ ( P .\/ Q ) ) ) -> D =/= U ) $=
      ( chlt wcel wa wbr wn w3a wne cdlemednpq wceq simp1l simp1r simp21 simp22
      co cdlemeulpq syl22anc breq1 syl5ibrcom necon3bd mpd ) JUAUBZMHUBZUCZCAUB
      ZDAUBZEAUBEMKUDUEUCZUFZFAUBFMKUDUEUCECDIUNZKUDFVHKUDUEUFZUFZBVHKUDZUEBGUG
      ABCDEFHIJKLMNOPQRSUHVJVKBGVJVKBGUIGVHKUDZVJVAVBVDVEVLVAVBVGVIUJVAVBVGVIUK
      VCVDVEVFVIULVCVDVEVFVIUMACDGHIJKLMNOPQRTUOUPBGVHKUQURUSUT $.
  $}

  ${
    cdleme20z.l $e |- .<_ = ( le ` K ) $.
    cdleme20z.j $e |- .\/ = ( join ` K ) $.
    cdleme20z.m $e |- ./\ = ( meet ` K ) $.
    cdleme20z.a $e |- A = ( Atoms ` K ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Utility lemma.
       (Contributed by NM, 17-Nov-2012.)  (New usage is discouraged.) $)
    cdleme20zN $p |- ( ( K e. HL /\ ( R e. A /\ S e. A /\ T e. A )
                /\ ( S =/= T /\ -. R .<_ ( S .\/ T ) ) )
               -> ( ( S .\/ R ) ./\ T ) = ( 0. ` K ) ) $=
      ( wcel w3a wne co wbr wn 3ad2ant1 syl3anc chlt wa cp0 cfv clat wceq hllat
      cbs simp1 simp22 simp21 eqid hlatjcl simp23 atbase syl latmcom simp3r clc
      wi hlcvl simp3l necomd cvlatexch1 syl131anc mtod cal wb hlatl atnle mpbid
      eqtrd ) FUAMZBAMZCAMZDAMZNZCDOZBCDEPGQZRZUBZNZCBEPZDHPZDWCHPZFUCUDZWBFUEM
      ZWCFUHUDZMZDWHMZWDWEUFVMVQWGWAFUGSWBVMVOVNWIVMVQWAUIVMVNVOVPWAUJZVMVNVOVP
      WAUKZAWHEFCBWHULZJLUMTZWBVPWJVMVNVOVPWAUNZAWHDFWMLUOUPWHFHWCDWMKUQTWBDWCG
      QZRZWEWFUFZWBWPVSVMVQVRVTURWBFUSMZVPVNVODCOWPVSUTVMVQWSWAFVASWOWLWKWBCDVM
      VQVRVTVBVCADBCEFGIJLVDVEVFWBFVGMZVPWIWQWRVHVMVQWTWAFVISWOWNAWHDFGHWCWFWMI
      KWFULLVJTVKVL $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  Utility lemma.
       (Contributed by NM, 17-Nov-2012.)  (Proof shortened by OpenAI,
       25-Mar-2020.) $)
    cdleme20y $p |- ( ( K e. HL /\ ( R e. A /\ S e. A /\ T e. A )
                /\ ( S =/= T /\ -. R .<_ ( S .\/ T ) ) )
               -> ( ( S .\/ R ) ./\ ( T .\/ R ) ) = R ) $=
      ( chlt wcel w3a wne co wbr wn wa wceq simp1 simp22 simp23 simp3 2llnma2rN
      simp21 syl131anc ) FMNZBANZCANZDANZOZCDPBCDEQGRSTZOUIUKULUJUNCBEQDBEQHQBU
      AUIUMUNUBUIUJUKULUNUCUIUJUKULUNUDUIUJUKULUNUGUIUMUNUEACDBEFGHIJKLUFUH $.
  $}

  ${
    cdleme19.l $e |- .<_ = ( le ` K ) $.
    cdleme19.j $e |- .\/ = ( join ` K ) $.
    cdleme19.m $e |- ./\ = ( meet ` K ) $.
    cdleme19.a $e |- A = ( Atoms ` K ) $.
    cdleme19.h $e |- H = ( LHyp ` K ) $.
    cdleme19.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdleme19.f $e |- F
        = ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) ) $.
    cdleme19.g $e |- G
        = ( ( T .\/ U ) ./\ ( Q .\/ ( ( P .\/ T ) ./\ W ) ) ) $.
    cdleme19.d $e |- D = ( ( R .\/ S ) ./\ W ) $.
    cdleme19.y $e |- Y = ( ( R .\/ T ) ./\ W ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113, 5th paragraph on p. 114,
       1st line. ` D ` represents s_2.  In their notation, we prove that if r
       ` <_ ` s ` \/ ` t, then s_2=(s ` \/ ` t) ` /\ ` w.  (Contributed by NM,
       13-Nov-2012.) $)
    cdleme19a $p |- ( ( K e. HL /\ ( R e. A /\ S e. A /\ T e. A )
        /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q )
        /\ R .<_ ( S .\/ T ) ) )
     -> D = ( ( S .\/ T ) ./\ W ) ) $=
      ( chlt wcel w3a co wbr wn cbs cfv eqid hllat 3ad2ant1 simp1 simp21 simp22
      hlatjcl syl3anc simp23 simp33 hlatlej1 wa wb atbase syl latjle12 syl13anc
      clat mpbi2and hlatlej2 clc wne wi simp31 simp32 nbrne2 syl2anc cvlatexch1
      hlcvl syl131anc mpd wceq hlatjcom breqtrrd latasymd oveq1d syl5eq ) MUHUI
      ZEAUIZFAUIZGAUIZUJZECDLUKZNULZFWRNULUMZEFGLUKZNULZUJZUJZBEFLUKZPOUKXAPOUK
      UFXDXEXAPOXDMUNUOZMNXEXAXFUPZRWMWQMVMUIZXCMUQURZXDWMWNWOXEXFUIZWMWQXCUSZW
      MWNWOWPXCUTZWMWNWOWPXCVAZAXFLMEFXGSUAVBVCZXDWMWOWPXAXFUIZXKXMWMWNWOWPXCVD
      ZAXFLMFGXGSUAVBVCZXDXBFXANULZXEXANULZWMWQWSWTXBVEZXDWMWOWPXRXKXMXPAFGLMNR
      SUAVFVCXDXHEXFUIZFXFUIZXOXBXRVGXSVHXIXDWNYAXLAXFEMXGUAVIVJXDWOYBXMAXFFMXG
      UAVIVJZXQXFLMNEFXAXGRSVKVLVNXDFXENULZGXENULZXAXENULZXDWMWNWOYDXKXLXMAEFLM
      NRSUAVOVCXDGFELUKZXENXDXBGYGNULZXTXDMVPUIZWNWPWOEFVQZXBYHVRWMWQYIXCMWDURX
      LXPXMXDWSWTYJWMWQWSWTXBVSWMWQWSWTXBVTEFWRNWAWBAEGFLMNRSUAWCWEWFXDWMWNWOXE
      YGWGXKXLXMALMEFSUAWHVCWIXDXHYBGXFUIZXJYDYEVGYFVHXIYCXDWPYKXPAXFGMXGUAVIVJ
      XNXFLMNFGXEXGRSVKVLVNWJWKWL $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 5th paragraph on p. 114,
       1st line. ` D ` , ` F ` , ` G ` represent s_2, f(s), f(t).  In their
       notation, we prove that if r ` <_ ` s ` \/ ` t, then s_2 ` <_ ` f(s)
       ` \/ ` f(t).  (Contributed by NM, 13-Nov-2012.) $)
    cdleme19b $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W ) /\ R e. A )
      /\ ( ( P =/= Q /\ S =/= T )
         /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q ) )
        /\ ( R .<_ ( P .\/ Q ) /\ R .<_ ( S .\/ T ) ) ) )
             -> D .<_ ( F .\/ G ) ) $=
      ( chlt wcel wa wbr wn w3a wne wceq simp11l simp23 simp21l simp22l simp33l
      co simp32l simp33r cdleme19a syl133anc simp11 simp12 simp13 simp21 simp22
      simp31 simp32r cdleme16 syl332anc clat cbs hllatd simp11r simp12l simp13l
      eqtrd cfv eqid cdleme1b syl23anc latjcl syl3anc lhpbase latmle1 eqbrtrd
      syl ) MUHUIZPKUIZUJZCAUIZCPNUKULZUJZDAUIZDPNUKULZUJZUMZFAUIZFPNUKULZUJZGA
      UIZGPNUKULZUJZEAUIZUMZCDUNFGUNUJZFCDLVAZNUKULZGXKNUKULZUJZEXKNUKZEFGLVAZN
      UKZUJZUMZUMZBIJLVAZPOVAZYANXTBXPPOVAZYBXTWLXHXBXEXOXLXQBYCUOWLWMWQWTXIXSU
      PZXAXDXGXHXSUQXBXCXGXHXAXSURZXEXFXDXHXAXSUSZXOXQXJXNXAXIUTXLXMXJXRXAXIVBZ
      XOXQXJXNXAXIVCABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGVDVEXTWNWQWTXDXGXJXLXMYCY
      BUOWNWQWTXIXSVFWNWQWTXIXSVGWNWQWTXIXSVHXAXDXGXHXSVIXAXDXGXHXSVJXAXIXJXNXR
      VKYGXLXMXJXRXAXIVLACDFGHIJKLMNOPRSTUAUBUCUDUEVMVNWAXTMVOUIZYAMVPWBZUIZPYI
      UIZYBYANUKXTMYDVQZXTYHIYIUIZJYIUIZYJYLXTWLWMWOWRXBYMYDWLWMWQWTXIXSVRZWOWP
      WNWTXIXSVSZWRWSWNWQXIXSVTZYEAYICDFHIKLMNOPRSTUAUBUCUDYIWCZWDWEXTWLWMWOWRX
      EYNYDYOYPYQYFAYICDGHJKLMNOPRSTUAUBUCUEYRWDWEYILMIJYRSWFWGXTWMYKYOYIKMPYRU
      BWHWKYIMNOYAPYRRTWIWGWJ $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 5th paragraph on p. 114,
       1st line. ` D ` , ` F ` represent s_2, f(s).  We prove f(s) ` =/= ` s_2.
       (Contributed by NM, 13-Nov-2012.) $)
    cdleme19c $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( P e. A /\ -. P .<_ W )
          /\ ( Q e. A /\ -. Q .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
      /\ ( R e. A /\ P =/= Q /\ -. S .<_ ( P .\/ Q ) ) )
             -> F =/= D ) $=
      ( chlt wcel wa wbr w3a wne clat cbs cfv simp1l hllatd simp31 simp23l eqid
      hlatjcl syl3anc simp1r lhpbase syl latmle2 eqbrtrid simp32 simp33 cdleme3
      wn co jca syld3an3 nbrne2 syl2anc necomd ) MUHUIZPKUIZUJZCAUICPNUKVLUJZDA
      UIDPNUKVLUJZFAUIZFPNUKVLZUJULZEAUIZCDUMZFCDLVMNUKVLZULZULZBIWKBPNUKIPNUKV
      LZBIUMWKBEFLVMZPOVMZPNUFWKMUNUIWMMUOUPZUIZPWOUIZWNPNUKWKMVSVTWFWJUQZURWKV
      SWGWDWPWRWAWFWGWHWIUSWDWEWBWCWAWJUTAWOLMEFWOVAZSUAVBVCWKVTWQVSVTWFWJVDWOK
      MPWSUBVEVFWOMNOWMPWSRTVGVCVHWAWFWJWHWIUJWLWKWHWIWAWFWGWHWIVIWAWFWGWHWIVJV
      NACDFHIKLMNOPRSTUAUBUCUDVKVOBIPNVPVQVR $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 5th paragraph on p. 114.
       ` D ` , ` F ` , ` G ` represent s_2, f(s), f(t).  We prove f(s) ` \/ `
       s_2 = f(s) ` \/ ` f(t).  (Contributed by NM, 14-Nov-2012.) $)
    cdleme19d $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W ) /\ R e. A )
      /\ ( ( P =/= Q /\ S =/= T )
         /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q ) )
        /\ ( R .<_ ( P .\/ Q ) /\ R .<_ ( S .\/ T ) ) ) )
             -> ( F .\/ D ) = ( F .\/ G ) ) $=
      ( chlt wcel wa wbr wn w3a wne co wceq cdleme19b clc simp11l hlcvl simp11r
      syl simp21l simp21r simp23 simp33l simp32l syl223anc simp11 simp12 simp13
      wb cdlemeda simp22 simp31l cdleme3fa syl132anc simp21 cdleme19c syl233anc
      simp32r necomd cvlatexchb1 syl131anc mpbid ) MUHUIZPKUIZUJZCAUICPNUKULUJZ
      DAUIDPNUKULUJZUMZFAUIZFPNUKULZUJZGAUIGPNUKULUJZEAUIZUMZCDUNZFGUNZUJZFCDLU
      OZNUKULZGXANUKULZUJZEXANUKZEFGLUONUKZUJZUMZUMZBIJLUOZNUKZIBLUOXJUPZABCDEF
      GHIJKLMNOPQRSTUAUBUCUDUEUFUGUQXIMURUIZBAUIZJAUIZIAUIZBIUNXKXLVLXIWFXMWFWG
      WIWJWQXHUSZMUTVBXIWFWGWLWMWPXEXBXNXQWFWGWIWJWQXHVAZWLWMWOWPWKXHVCWLWMWOWP
      WKXHVDWKWNWOWPXHVEZXEXFWTXDWKWQVFXBXCWTXGWKWQVGZABCDEFKLMNOPRSTUAUBUFVMVH
      XIWHWIWJWOWRXCXOWHWIWJWQXHVIZWHWIWJWQXHVJZWHWIWJWQXHVKZWKWNWOWPXHVNWRWSXD
      XGWKWQVOZXBXCWTXGWKWQWAACDGHJKLMNOPRSTUAUBUCUEVPVQXIWHWIWJWNWRXBXPYAYBYCW
      KWNWOWPXHVRZYDXTACDFHIKLMNOPRSTUAUBUCUDVPVQXIIBXIWFWGWIWJWNWPWRXBIBUNXQXR
      YBYCYEXSYDXTABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGVSVTWBABJILMNRSUAWCWDWE $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 5th paragraph on p. 114,
       line 2. ` D ` , ` F ` , ` Y ` , ` G ` represent s_2, f(s), t_2, f(t).
       We prove f(s) ` \/ ` s_2=f(t) ` \/ ` t_2.  (Contributed by NM,
       14-Nov-2012.) $)
    cdleme19e $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W ) /\ R e. A )
      /\ ( ( P =/= Q /\ S =/= T )
         /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q ) )
        /\ ( R .<_ ( P .\/ Q ) /\ R .<_ ( S .\/ T ) ) ) )
             -> ( F .\/ D ) = ( G .\/ Y ) ) $=
      ( chlt wcel wa wbr wn w3a wne co clat cbs cfv wceq simp11l hllatd simp11r
      simp12l simp13l simp21l cdleme1b simp22l latjcom syl3anc cdleme19d simp11
      eqid syl23anc simp12 simp13 simp22 simp21 simp31l simp31r simp32r simp32l
      simp23 necomd jca simp33l simp33r hlatjcom breqtrd syl333anc 3eqtr4d ) MU
      HUIZPKUIZUJZCAUIZCPNUKULZUJZDAUIZDPNUKULZUJZUMZFAUIZFPNUKULZUJZGAUIZGPNUK
      ULZUJZEAUIZUMZCDUNZFGUNZUJZFCDLUOZNUKULZGXLNUKULZUJZEXLNUKZEFGLUOZNUKZUJZ
      UMZUMZIJLUOZJILUOZIBLUOJQLUOZYAMUPUIIMUQURZUIZJYEUIZYBYCUSYAMWKWLWPWSXHXT
      UTZVAYAWKWLWNWQXAYFYHWKWLWPWSXHXTVBZWNWOWMWSXHXTVCZWQWRWMWPXHXTVDZXAXBXFX
      GWTXTVEZAYECDFHIKLMNOPRSTUAUBUCUDYEVLZVFVMYAWKWLWNWQXDYGYHYIYJYKXDXEXCXGW
      TXTVGZAYECDGHJKLMNOPRSTUAUBUCUEYMVFVMYELMIJYMSVHVIABCDEFGHIJKLMNOPQRSTUAU
      BUCUDUEUFUGVJYAWMWPWSXFXCXGXIGFUNZUJXNXMUJXPEGFLUOZNUKZUJYDYCUSWMWPWSXHXT
      VKWMWPWSXHXTVNWMWPWSXHXTVOWTXCXFXGXTVPWTXCXFXGXTVQWTXCXFXGXTWBYAXIYOXIXJX
      OXSWTXHVRYAFGXIXJXOXSWTXHVSWCWDYAXNXMXMXNXKXSWTXHVTXMXNXKXSWTXHWAWDYAXPYQ
      XPXRXKXOWTXHWEYAEXQYPNXPXRXKXOWTXHWFYAWKXAXDXQYPUSYHYLYNALMFGSUAWGVIWHWDA
      QCDEGFHJIKLMNOPBRSTUAUBUCUEUDUGUFVJWIWJ $.

    ${
      cdleme19.n $e |- N = ( ( P .\/ Q ) ./\ ( F .\/ D ) ) $.
      cdleme19.o $e |- O = ( ( P .\/ Q ) ./\ ( G .\/ Y ) ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113, 5th paragraph on p. 114,
         line 3. ` D ` , ` F ` , ` N ` , ` Y ` , ` G ` , ` O ` represent s_2,
         f(s), f_s(r), t_2, f(t), f_t(r).  We prove that if r ` <_ ` s ` \/ `
         t, then f_t(r) = f_t(r).  (Contributed by NM, 14-Nov-2012.) $)
      cdleme19f $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W ) /\ R e. A )
        /\ ( ( P =/= Q /\ S =/= T )
           /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q ) )
          /\ ( R .<_ ( P .\/ Q ) /\ R .<_ ( S .\/ T ) ) ) )
               -> N = O ) $=
        ( chlt wcel wa wbr wn w3a wne co cdleme19e oveq2d 3eqtr4g ) MULUMRKUMUN
        CAUMCRNUOUPUNDAUMDRNUOUPUNUQFAUMFRNUOUPUNGAUMGRNUOUPUNEAUMUQCDURFGURUNF
        CDLUSZNUOUPGVCNUOUPUNEVCNUOEFGLUSNUOUNUQUQZVCIBLUSZOUSVCJSLUSZOUSPQVDVE
        VFVCOABCDEFGHIJKLMNORSTUAUBUCUDUEUFUGUHUIUTVAUJUKVB $.
    $}

    cdleme20.v $e |- V = ( ( S .\/ T ) ./\ W ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113, last paragraph on p. 114.
       ` D ` , ` F ` , ` Y ` , ` G ` represent s_2, f(s), t_2, f(t).
       (Contributed by NM, 14-Nov-2012.)  (New usage is discouraged.) $)
    cdleme20aN $p |- ( ( ( K e. HL /\ W e. H )
          /\ ( R e. A /\ S e. A /\ -. S .<_ W )
          /\ ( T e. A /\ -. S .<_ ( P .\/ Q ) /\ R .<_ ( P .\/ Q ) ) )
               -> ( V .\/ D ) = ( ( ( S .\/ R ) .\/ T ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a oveq1i cbs cfv wceq simp1l simp1r simp22 simp23
      co simp21 simp33 simp32 cdlemeda syl223anc simp31 hlatjcl syl3anc lhpbase
      eqid syl clat hllatd latmle2 eqbrtrid atmod4i1 syl131anc syl212anc oveq1d
      cdleme10 hlatj32 syl13anc eqtr3d eqtr4d syl5eq ) MUJUKZQKUKZULZEAUKZFAUKZ
      FQNUMUNZUOZGAUKZFCDLVDZNUMUNZEWRNUMZUOZUOZPBLVDFGLVDZQOVDZBLVDZFELVDZGLVD
      ZQOVDZPXDBLUIUPXBXEXCBLVDZQOVDZXHXBWJBAUKZXCMUQURZUKZQXLUKZBQNUMXEXJUSWJW
      KWPXAUTZXBWJWKWNWOWMWTWSXKXOWJWKWPXAVAZWLWMWNWOXAVBZWLWMWNWOXAVCZWLWMWNWO
      XAVEZWLWPWQWSWTVFWLWPWQWSWTVGABCDEFKLMNOQSTUAUBUCUGVHVIZXBWJWNWQXMXOXQWLW
      PWQWSWTVJZAXLLMFGXLVNZTUBVKVLXBWKXNXPXLKMQYBUCVMVOZXBBEFLVDZQOVDZQNUGXBMV
      PUKYDXLUKZXNYEQNUMXBMXOVQXBWJWMWNYFXOXSXQAXLLMEFYBTUBVKVLYCXLMNOYDQYBSUAV
      RVLVSAXLBLMNOXCQYBSTUAUBVTWAXBXGXIQOXBFBLVDZGLVDZXGXIXBYGXFGLXBWJWKWMWNWO
      YGXFUSXOXPXSXQXRABEFKLMNOQSTUAUBUCUGWDWBWCXBWJWNXKWQYHXIUSXOXQXTYAAFBGLMT
      UBWEWFWGWCWHWI $.

    $( Part of proof of Lemma E in [Crawley] p. 113, last paragraph on p. 114,
       second line. ` D ` , ` F ` , ` Y ` , ` G ` represent s_2, f(s), t_2,
       f(t).  We show v ` \/ ` s_2 = v ` \/ ` t_2.  (Contributed by NM,
       15-Nov-2012.)  (New usage is discouraged.) $)
    cdleme20bN $p |- ( ( ( K e. HL /\ W e. H )
          /\ ( R e. A /\ ( S e. A /\ -. S .<_ W )
          /\ ( T e. A /\ -. T .<_ W ) )
          /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
            /\ R .<_ ( P .\/ Q ) ) )
       -> ( V .\/ D ) = ( V .\/ Y ) ) $=
      ( chlt wcel wa wbr wn w3a co clat cbs cfv wceq simp1l hllatd simp22l eqid
      atbase simp21 simp23l latj31 syl13anc oveq1d simp1r simp22r simp31 simp33
      cdleme20aN syl233anc hlatjcom syl3anc syl5eq simp23r simp32 eqtrd 3eqtr4d
      syl ) MUJUKZQKUKZULZEAUKZFAUKZFQNUMUNZULZGAUKZGQNUMUNZULZUOZFCDLUPZNUMUNZ
      GWPNUMUNZEWPNUMZUOZUOZFELUPGLUPZQOUPZGELUPFLUPZQOUPZPBLUPZPRLUPZXAXBXDQOX
      AMUQUKFMURUSZUKZEXHUKZGXHUKZXBXDUTXAMWEWFWOWTVAZVBXAWIXIWIWJWHWNWGWTVCZAX
      HFMXHVDZUBVEWDXAWHXJWGWHWKWNWTVFZAXHEMXNUBVEWDXAWLXKWLWMWHWKWGWTVGZAXHGMX
      NUBVEWDXHLMFEGXNTVHVIVJXAWEWFWHWIWJWLWQWSXFXCUTXLWEWFWOWTVKZXOXMWIWJWHWNW
      GWTVLXPWGWOWQWRWSVMWGWOWQWRWSVNZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIVOV
      PXAXGGFLUPZQOUPZRLUPZXEXAPXTRLXAPFGLUPZQOUPXTUIXAYBXSQOXAWEWIWLYBXSUTXLXM
      XPALMFGTUBVQVRVJVSVJXAWEWFWHWLWMWIWRWSYAXEUTXLXQXOXPWLWMWHWKWGWTVTXMWGWOW
      QWRWSWAXRARCDEGFHJIKLMNOXTQBSTUAUBUCUDUFUEUHUGXTVDVOVPWBWC $.

    $( Part of proof of Lemma E in [Crawley] p. 113, last paragraph on p. 114,
       second line. ` D ` , ` F ` , ` Y ` , ` G ` represent s_2, f(s), t_2,
       f(t).  (Contributed by NM, 15-Nov-2012.) $)
    cdleme20c $p |- ( ( ( K e. HL /\ W e. H )
          /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W )
                /\ T e. A )
          /\ ( -. S .<_ ( P .\/ Q ) /\ R .<_ ( P .\/ Q ) ) )
               -> ( D .\/ Y ) = ( ( ( R .\/ S ) .\/ T ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a oveq12i cp1 cfv cbs wceq simp1l simp21l simp22l
      co eqid hlatjcl syl3anc simp1r lhpbase hlatlej1 atmod2i1 syl131anc simp21
      syl lhpjat1 syl21anc oveq2d col hlol olm11 syl2anc 3eqtrrd oveq1d simp22r
      simp3r simp3l cdlemeda simp23 hlatjass syl13anc eqtrd clat hllatd latmle2
      syl223anc atmod1i1 eqtr4d eqtr4id ) MUJUKZQKUKZULZEAUKZEQNUMUNZULZFAUKZFQ
      NUMUNZULZGAUKZUOZFCDLVDZNUMUNZEXJNUMZULZUOZBRLVDEFLVDZQOVDZEGLVDZQOVDZLVD
      ZXOGLVDZQOVDZBXPRXRLUGUHUPXNYAXPXQLVDZQOVDZXSXNXTYBQOXNXTXPELVDZGLVDZYBXN
      XOYDGLXNYDXOQELVDZOVDZXOMUQURZOVDZXOXNWSXBXOMUSURZUKZQYJUKZEXONUMZYDYGUTW
      SWTXIXMVAZXBXCXGXHXAXMVBZXNWSXBXEYKYNYOXEXFXDXHXAXMVCZAYJLMEFYJVEZTUBVFVG
      ZXNWTYLWSWTXIXMVHZYJKMQYQUCVIVNZXNWSXBXEYMYNYOYPAEFLMNSTUBVJVGAYJELMNOXOQ
      YQSTUAUBVKVLXNYFYHXOOXNWSWTXDYFYHUTYNYSXAXDXGXHXMVMAEYHKLMNQSTYHVEZUBUCVO
      VPVQXNMVRUKZYKYIXOUTXNWSUUBYNMVSVNYRYJYHMOXOYQUAUUAVTWAWBWCXNWSXPAUKZXBXH
      YEYBUTYNXNWSWTXEXFXBXLXKUUCYNYSYPXEXFXDXHXAXMWDYOXAXIXKXLWEXAXIXKXLWFAXPC
      DEFKLMNOQSTUAUBUCXPVEWGWOZYOXAXDXGXHXMWHZAXPEGLMTUBWIWJWKWCXNWSUUCXQYJUKZ
      YLXPQNUMZXSYCUTYNUUDXNWSXBXHUUFYNYOUUEAYJLMEGYQTUBVFVGYTXNMWLUKYKYLUUGXNM
      YNWMYRYTYJMNOXOQYQSUAWNVGAYJXPLMNOXQQYQSTUAUBWPVLWQWR $.

    $( Part of proof of Lemma E in [Crawley] p. 113, last paragraph on p. 114,
       second line. ` D ` , ` F ` , ` Y ` , ` G ` represent s_2, f(s), t_2,
       f(t).  (Contributed by NM, 17-Nov-2012.) $)
    cdleme20d $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
         /\ ( R e. A /\ -. R .<_ W ) )
      /\ ( ( P =/= Q /\ S =/= T )
         /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q ) )
         /\ R .<_ ( P .\/ Q ) ) )
               -> ( ( F .\/ G ) ./\ ( D .\/ Y ) ) = V ) $=
      ( chlt wcel wa wbr wn w3a wne co col cbs cfv wceq simp11l hlol syl hllatd
      clat simp11r simp12l simp13l simp21l eqid cdleme1b simp22l latjcl syl3anc
      syl23anc lhpbase simp23l hlatjcl latmassOLD syl13anc hlatlej2 wi latjlej1
      atbase mpd wb latleeqm1 mpbid oveq1d eqtr4id latm32 simp21 simp22 simp32l
      simp1 simp31 simp32r cdleme16 syl132anc simp23 simp33 cdleme20c syl232anc
      eqtrd latmcom oveq2d 3eqtr4rd ) MUJUKZQKUKZULZCAUKZCQNUMUNZULZDAUKZDQNUMU
      NZULZUOZFAUKZFQNUMUNZULZGAUKZGQNUMUNZULZEAUKZEQNUMUNZULZUOZCDUPFGUPULZFCD
      LUQZNUMUNZGYJNUMUNZULZEYJNUMZUOZUOZIJLUQZQOUQZEFLUQZGLUQZOUQZYQQYTOUQZOUQ
      ZPYQBRLUQZOUQYPMURUKZYQMUSUTZUKZQUUFUKZYTUUFUKZUUAUUCVAYPXIUUEXIXJXNXQYHY
      OVBZMVCVDZYPMVFUKZIUUFUKZJUUFUKZUUGYPMUUJVEZYPXIXJXLXOXSUUMUUJXIXJXNXQYHY
      OVGZXLXMXKXQYHYOVHZXOXPXKXNYHYOVIZXSXTYDYGXRYOVJZAUUFCDFHIKLMNOQSTUAUBUCU
      DUEUUFVKZVLVPYPXIXJXLXOYBUUNUUJUUPUUQUURYBYCYAYGXRYOVMZAUUFCDGHJKLMNOQSTU
      AUBUCUDUFUUTVLVPUUFLMIJUUTTVNVOYPXJUUHUUPUUFKMQUUTUCVQVDZYPUULYSUUFUKZGUU
      FUKZUUIUUOYPXIYEXSUVCUUJYEYFYAYDXRYOVRZUUSAUUFLMEFUUTTUBVSVOZYPYBUVDUVAAU
      UFGMUUTUBWEVDZUUFLMYSGUUTTVNVOZUUFMOYQQYTUUTUAVTWAYPPFGLUQZYTOUQZQOUQZUUA
      YPPUVIQOUQZUVKUIYPUVJUVIQOYPUVIYTNUMZUVJUVIVAZYPFYSNUMZUVMYPXIYEXSUVOUUJU
      VEUUSAEFLMNSTUBWBVOYPUULFUUFUKZUVCUVDUVOUVMWCUUOYPXSUVPUUSAUUFFMUUTUBWEVD
      UVFUVGUUFLMNFYSGUUTSTWDWAWFYPUULUVIUUFUKZUUIUVMUVNWGUUOYPXIXSYBUVQUUJUUSU
      VAAUUFLMFGUUTTUBVSVOZUVHUUFMNOUVIYTUUTSUAWHVOWIWJWKYPUVKUVLYTOUQZUUAYPUUE
      UVQUUIUUHUVKUVSVAUUKUVRUVHUVBUUFMOUVIYTQUUTUAWLWAYPUVLYRYTOYPXRYAYDYIYKYL
      UVLYRVAXRYHYOWPXRYAYDYGYOWMZXRYAYDYGYOWNXRYHYIYMYNWQYKYLYIYNXRYHWOZYKYLYI
      YNXRYHWRACDFGHIJKLMNOQSTUAUBUCUDUEUFWSWTWJXEXEYPUUDUUBYQOYPUUDYTQOUQZUUBY
      PXIXJYGYAYBYKYNUUDUWBVAUUJUUPXRYAYDYGYOXAUVTUVAUWAXRYHYIYMYNXBABCDEFGHIJK
      LMNOPQRSTUAUBUCUDUEUFUGUHUIXCXDYPUULUUIUUHUWBUUBVAUUOUVHUVBUUFMOYTQUUTUAX
      FVOXEXGXH $.

    $( Part of proof of Lemma E in [Crawley] p. 113, last paragraph on p. 114,
       4th line. ` D ` , ` F ` , ` Y ` , ` G ` represent s_2, f(s), t_2, f(t).
       We show <f(s),s_2,s> and <f(t),t_2,t> are centrally perspective.
       (Contributed by NM, 17-Nov-2012.) $)
    cdleme20e $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
         /\ ( R e. A /\ -. R .<_ W ) )
      /\ ( ( P =/= Q /\ S =/= T )
         /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q ) )
         /\ R .<_ ( P .\/ Q ) ) )
               -> ( ( F .\/ G ) ./\ ( D .\/ Y ) ) .<_ ( S .\/ T ) ) $=
      ( chlt wcel wa wbr wn w3a wne co cdleme20d cbs cfv simp11l hllatd simp21l
      clat simp22l hlatjcl syl3anc simp11r lhpbase syl latmle1 eqbrtrid eqbrtrd
      eqid ) MUJUKZQKUKZULCAUKCQNUMUNULZDAUKDQNUMUNULZUOZFAUKZFQNUMUNZULZGAUKZG
      QNUMUNZULZEAUKEQNUMUNULZUOZCDUPFGUPULFCDLUQZNUMUNGWHNUMUNULEWHNUMUOZUOZIJ
      LUQBRLUQOUQPFGLUQZNABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIURWJPWKQOUQZWKNU
      IWJMVDUKWKMUSUTZUKZQWMUKZWLWKNUMWJMVOVPVQVRWGWIVAZVBWJVOVTWCWNWPVTWAWEWFV
      SWIVCWCWDWBWFVSWIVEAWMLMFGWMVNZTUBVFVGWJVPWOVOVPVQVRWGWIVHWMKMQWQUCVIVJWM
      MNOWKQWQSUAVKVGVLVM $.

    $( Part of proof of Lemma E in [Crawley] p. 113, last paragraph on p. 114,
       4th line. ` D ` , ` F ` , ` Y ` , ` G ` represent s_2, f(s), t_2, f(t).
       We show <f(s),s_2,s> and <f(t),t_2,t> are axially perspective.
       (Contributed by NM, 17-Nov-2012.) $)
    cdleme20f $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
         /\ ( R e. A /\ -. R .<_ W ) )
      /\ ( ( P =/= Q /\ S =/= T )
         /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q ) )
         /\ R .<_ ( P .\/ Q ) ) )
               -> ( ( F .\/ D ) ./\ ( G .\/ Y ) )
          .<_ ( ( ( D .\/ S ) ./\ ( Y .\/ T ) )
               .\/ ( ( S .\/ F ) ./\ ( T .\/ G ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne co cdleme20e wi simp11 simp12 simp13 simp21
      simp11l simp31l simp32l cdleme3fa simp11r simp21l simp21r simp33 cdlemeda
      syl132anc simp23l syl223anc simp22 simp32r simp22l simp22r syl133anc mpd
      dalaw ) MUJUKZQKUKZULZCAUKCQNUMUNULZDAUKDQNUMUNULZUOZFAUKZFQNUMUNZULZGAUK
      ZGQNUMUNZULZEAUKZEQNUMUNZULZUOZCDUPZFGUPZULZFCDLUQZNUMUNZGXBNUMUNZULZEXBN
      UMZUOZUOZIJLUQBRLUQOUQFGLUQNUMZIBLUQJRLUQOUQBFLUQRGLUQOUQFILUQGJLUQOUQLUQ
      NUMZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIURXHWCIAUKZBAUKZWIJAUKZRAUKZWLX
      IXJUSWCWDWFWGWRXGVDZXHWEWFWGWKWSXCXKWEWFWGWRXGUTZWEWFWGWRXGVAZWEWFWGWRXGV
      BZWHWKWNWQXGVCWSWTXEXFWHWRVEZXCXDXAXFWHWRVFZACDFHIKLMNOQSTUAUBUCUDUEVGVMX
      HWCWDWIWJWOXFXCXLXOWCWDWFWGWRXGVHZWIWJWNWQWHXGVIZWIWJWNWQWHXGVJWOWPWKWNWH
      XGVNZWHWRXAXEXFVKZXTABCDEFKLMNOQSTUAUBUCUGVLVOYBXHWEWFWGWNWSXDXMXPXQXRWHW
      KWNWQXGVPXSXCXDXAXFWHWRVQZACDGHJKLMNOQSTUAUBUCUDUFVGVMXHWCWDWLWMWOXFXDXNX
      OYAWLWMWKWQWHXGVRZWLWMWKWQWHXGVSYCYDYEARCDEGKLMNOQSTUAUBUCUHVLVOYFAIBFJRG
      LMNOSTUAUBWBVTWA $.

    $( Part of proof of Lemma E in [Crawley] p. 113, last paragraph on p. 114,
       antepenultimate line. ` D ` , ` F ` , ` Y ` , ` G ` represent s_2, f(s),
       t_2, f(t).  (Contributed by NM, 18-Nov-2012.) $)
    cdleme20g $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
         /\ ( R e. A /\ -. R .<_ W ) )
      /\ ( ( P =/= Q /\ S =/= T )
         /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q ) )
         /\ R .<_ ( P .\/ Q ) ) )
               -> ( ( ( D .\/ S ) ./\ ( Y .\/ T ) )
                  .\/ ( ( S .\/ F ) ./\ ( T .\/ G ) ) )
          = ( ( ( S .\/ R ) ./\ ( T .\/ R ) )
                  .\/ ( ( S .\/ U ) ./\ ( T .\/ U ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a co wceq simp11l simp11r simp21l simp21r simp23l
      wne simp33 simp32l cdlemeda syl223anc hlatjcom syl3anc cdleme10 syl212anc
      simp22l simp22r simp32r oveq12d simp12l simp13l simp21 cdleme1 syl23anc
      eqtrd simp22 ) MUJUKZQKUKZULZCAUKZCQNUMUNZULZDAUKZDQNUMUNZULZUOZFAUKZFQNU
      MUNZULZGAUKZGQNUMUNZULZEAUKZEQNUMUNZULZUOZCDVCFGVCULZFCDLUPZNUMUNZGXDNUMU
      NZULZEXDNUMZUOZUOZBFLUPZRGLUPZOUPFELUPZGELUPZOUPFILUPZGJLUPZOUPFHLUPZGHLU
      PZOUPLXJXKXMXLXNOXJXKFBLUPZXMXJWCBAUKZWMXKXSUQWCWDWHWKXBXIURZXJWCWDWMWNWS
      XHXEXTYAWCWDWHWKXBXIUSZWMWNWRXAWLXIUTZWMWNWRXAWLXIVAZWSWTWOWRWLXIVBZWLXBX
      CXGXHVDZXEXFXCXHWLXBVEABCDEFKLMNOQSTUAUBUCUGVFVGYCALMBFTUBVHVIXJWCWDWSWMW
      NXSXMUQYAYBYEYCYDABEFKLMNOQSTUAUBUCUGVJVKWAXJXLGRLUPZXNXJWCRAUKZWPXLYGUQY
      AXJWCWDWPWQWSXHXFYHYAYBWPWQWOXAWLXIVLZWPWQWOXAWLXIVMZYEYFXEXFXCXHWLXBVNAR
      CDEGKLMNOQSTUAUBUCUHVFVGYIALMRGTUBVHVIXJWCWDWSWPWQYGXNUQYAYBYEYIYJAREGKLM
      NOQSTUAUBUCUHVJVKWAVOXJXOXQXPXROXJWCWDWFWIWOXOXQUQYAYBWFWGWEWKXBXIVPZWIWJ
      WEWHXBXIVQZWLWOWRXAXIVRACDFHIKLMNOQSTUAUBUCUDUEVSVTXJWCWDWFWIWRXPXRUQYAYB
      YKYLWLWOWRXAXIWBACDGHJKLMNOQSTUAUBUCUDUFVSVTVOVO $.

    $( Part of proof of Lemma E in [Crawley] p. 113, last paragraph on p. 114,
       antepenultimate line. ` D ` , ` F ` , ` Y ` , ` G ` represent s_2, f(s),
       t_2, f(t).  (Contributed by NM, 18-Nov-2012.) $)
    cdleme20h $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W )
           /\ ( T e. A /\ -. T .<_ W ) )
        /\ ( ( P =/= Q /\ S =/= T )
           /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
              /\ R .<_ ( P .\/ Q ) )
           /\ ( -. R .<_ ( S .\/ T ) /\ -. U .<_ ( S .\/ T ) ) ) )
     -> ( ( ( S .\/ R ) ./\ ( T .\/ R ) )
         .\/ ( ( S .\/ U ) ./\ ( T .\/ U ) ) ) = ( R .\/ U ) ) $=
      ( chlt wcel wa wbr wn w3a co wceq simp11l simp21l simp22l simp23l simp31r
      wne simp33l cdleme20y syl132anc simp11r simp12l simp12r simp13l syl222anc
      simp31l lhpat2 simp33r oveq12d ) MUJUKZQKUKZULZCAUKZCQNUMUNZULZDAUKZDQNUM
      UNZULZUOZEAUKZEQNUMUNZULZFAUKZFQNUMUNZULZGAUKZGQNUMUNZULZUOZCDVCZFGVCZULZ
      FCDLUPZNUMUNGWSNUMUNEWSNUMUOZEFGLUPZNUMUNZHXANUMUNZULZUOZUOZFELUPGELUPOUP
      ZEFHLUPGHLUPOUPZHLXFVPWFWIWLWQXBXGEUQVPVQWAWDWOXEURZWFWGWKWNWEXEUSWIWJWHW
      NWEXEUTZWLWMWHWKWEXEVAZWPWQWTXDWEWOVBZXBXCWRWTWEWOVDAEFGLMNOSTUAUBVEVFXFV
      PHAUKZWIWLWQXCXHHUQXIXFVPVQVSVTWBWPXMXIVPVQWAWDWOXEVGVSVTVRWDWOXEVHVSVTVR
      WDWOXEVIWBWCVRWAWOXEVJWPWQWTXDWEWOVLACDHKLMNOQSTUAUBUCUDVMVKXJXKXLXBXCWRW
      TWEWOVNAHFGLMNOSTUAUBVEVFVO $.

    $( Part of proof of Lemma E in [Crawley] p. 113, last paragraph on p. 114,
       antepenultimate line. ` D ` , ` F ` , ` Y ` , ` G ` represent s_2, f(s),
       t_2, f(t).  We show (f(s) ` \/ ` s_2) ` /\ ` (f(t) ` \/ ` t_2) ` <_ ` p
       ` \/ ` q.  (Contributed by NM, 18-Nov-2012.) $)
    cdleme20i $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W )
           /\ ( T e. A /\ -. T .<_ W ) )
        /\ ( ( P =/= Q /\ S =/= T )
           /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
             /\ R .<_ ( P .\/ Q ) )
           /\ ( -. R .<_ ( S .\/ T ) /\ -. U .<_ ( S .\/ T ) ) ) )
               -> ( ( F .\/ D ) ./\ ( G .\/ Y ) ) .<_ ( P .\/ Q ) ) $=
      ( chlt wcel wa wbr wn w3a wne simp22 simp23 simp21 simp31 simp321 simp322
      co simp1 simp323 3jca cdleme20f syl131anc cdleme20h wceq cdleme20g simp11
      jca simp12l simp13l cdleme4 3eqtr4d breqtrd ) MUJUKQKUKULZCAUKZCQNUMUNZUL
      ZDAUKZDQNUMUNZULZUOZEAUKEQNUMUNULZFAUKFQNUMUNULZGAUKGQNUMUNULZUOZCDUPFGUP
      ULZFCDLVCZNUMUNZGWLNUMUNZEWLNUMZUOZEFGLVCZNUMUNHWQNUMUNULZUOZUOZIBLVCJRLV
      COVCZBFLVCRGLVCOVCFILVCGJLVCOVCLVCZWLNWTWFWHWIWGWKWMWNULZWOUOZXAXBNUMWFWJ
      WSVDZWFWGWHWIWSUQZWFWGWHWIWSURZWFWGWHWIWSUSZWTWKXCWOWFWJWKWPWRUTWTWMWNWMW
      NWOWKWRWFWJVAWMWNWOWKWRWFWJVBVMWMWNWOWKWRWFWJVEZVFZABCDEFGHIJKLMNOPQRSTUA
      UBUCUDUEUFUGUHUIVGVHWTFELVCGELVCOVCFHLVCGHLVCOVCLVCZEHLVCZXBWLABCDEFGHIJK
      LMNOPQRSTUAUBUCUDUEUFUGUHUIVIWTWFWHWIWGXDXBXKVJXEXFXGXHXJABCDEFGHIJKLMNOP
      QRSTUAUBUCUDUEUFUGUHUIVKVHWTVSVTWCWGWOWLXLVJVSWBWEWJWSVLVTWAVSWEWJWSVNWCW
      DVSWBWJWSVOXHXIACDEHKLMNOQSTUAUBUCUDVPVHVQVR $.

    $( Part of proof of Lemma E in [Crawley] p. 113, last paragraph on p. 114.
       ` D ` , ` F ` , ` Y ` , ` G ` represent s_2, f(s), t_2, f(t).  We show
       s_2 ` =/= ` t_2.  (Contributed by NM, 18-Nov-2012.) $)
    cdleme20j $p |- ( ( ( ( K e. HL /\ W e. H )
       /\ ( P e. A /\ -. P .<_ W )
       /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W )
       /\ ( T e. A /\ -. T .<_ W ) )
    /\ ( ( P =/= Q /\ S =/= T )
       /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
        /\ R .<_ ( P .\/ Q ) )
       /\ -. R .<_ ( S .\/ T ) ) )
           -> D =/= Y ) $=
      ( chlt wcel wa wbr wn w3a wne simp33 wceq cp1 cfv simp11l simp22l simp21l
      co cbs eqid hlatjcl syl3anc simp11r lhpbase syl hlatlej2 syl131anc simp22
      atmod2i1 lhpjat1 syl21anc oveq2d olm11 syl2anc 3eqtrd adantr simp1 simp23
      col hlol simp21 simp31 simp321 simp322 simp323 cdleme20d syl133anc hllatd
      clat simp12l simp13l cdleme1b syl23anc simp23l simp22r cdlemeda syl223anc
      jca latjcl simp23r latmle2 eqbrtrrd hlatjidm oveq2 sylan9req breqtrrd cal
      wb hlatl simp31r syl222anc atcmp eqtr3di eqtr3id latmle1 eqbrtrd hlatlej1
      lhpat2 latmcl atbase latjle12 syl13anc mpbi2and mpbird simpld ex necon3bd
      mpbid mpd ) MUJUKZQKUKZULZCAUKZCQNUMUNZULZDAUKZDQNUMUNZULZUOZEAUKZEQNUMUN
      ZULZFAUKZFQNUMUNZULZGAUKZGQNUMUNZULZUOZCDUPZFGUPZULZFCDLVDZNUMUNZGUUSNUMU
      NZEUUSNUMZUOZEFGLVDZNUMZUNZUOZUOZUVFBRUPUUEUUOUURUVCUVFUQUVHUVEBRUVHBRURZ
      UVEUVHUVIULZUVEFUVDNUMZUVJUVEUVKULZEFLVDZUVDNUMZUVJUVMQOVDZFLVDZUVMUVDNUV
      HUVPUVMURUVIUVHUVPUVMQFLVDZOVDZUVMMUSUTZOVDZUVMUVHYPUUIUVMMVEUTZUKZQUWAUK
      ZFUVMNUMZUVPUVRURYPYQUUAUUDUUOUVGVAZUUIUUJUUHUUNUUEUVGVBZUVHYPUUFUUIUWBUW
      EUUFUUGUUKUUNUUEUVGVCZUWFAUWALMEFUWAVFZTUBVGVHZUVHYQUWCYPYQUUAUUDUUOUVGVI
      ZUWAKMQUWHUCVJVKZUVHYPUUFUUIUWDUWEUWGUWFAEFLMNSTUBVLVHAUWAFLMNOUVMQUWHSTU
      AUBVOVMUVHUVQUVSUVMOUVHYPYQUUKUVQUVSURUWEUWJUUEUUHUUKUUNUVGVNZAFUVSKLMNQS
      TUVSVFZUBUCVPVQVRUVHMWEUKZUWBUVTUVMURUVHYPUWNUWEMWFVKUWIUWAUVSMOUVMUWHUAU
      WMVSVTWAWBUVJUVOUVDNUMZUVKUVPUVDNUMZUVJUVOUVDQOVDZUVDNUVJUVOBUWQUGUVJPBUW
      QUVJPBNUMZPBURZUVJPBRLVDZBNUVHPUWTNUMUVIUVHIJLVDZUWTOVDZPUWTNUVHUUEUUKUUN
      UUHUURUUTUVAULUVBUXBPURUUEUUOUVGWCUWLUUEUUHUUKUUNUVGWDUUEUUHUUKUUNUVGWGUU
      EUUOUURUVCUVFWHUVHUUTUVAUUTUVAUVBUURUVFUUEUUOWIZUUTUVAUVBUURUVFUUEUUOWJZX
      DUUTUVAUVBUURUVFUUEUUOWKZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIWLWMUVHMWO
      UKZUXAUWAUKZUWTUWAUKZUXBUWTNUMUVHMUWEWNZUVHUXFIUWAUKZJUWAUKZUXGUXIUVHYPYQ
      YSUUBUUIUXJUWEUWJYSYTYRUUDUUOUVGWPZUUBUUCYRUUAUUOUVGWQZUWFAUWACDFHIKLMNOQ
      STUAUBUCUDUEUWHWRWSUVHYPYQYSUUBUULUXKUWEUWJUXLUXMUULUUMUUHUUKUUEUVGWTZAUW
      ACDGHJKLMNOQSTUAUBUCUDUFUWHWRWSUWALMIJUWHTXEVHUVHYPBAUKZRAUKZUXHUWEUVHYPY
      QUUIUUJUUFUVBUUTUXOUWEUWJUWFUUIUUJUUHUUNUUEUVGXAZUWGUXEUXCABCDEFKLMNOQSTU
      AUBUCUGXBXCZUVHYPYQUULUUMUUFUVBUVAUXPUWEUWJUXNUULUUMUUHUUKUUEUVGXFUWGUXEU
      XDARCDEGKLMNOQSTUAUBUCUHXBXCAUWALMBRUWHTUBVGVHUWAMNOUXAUWTUWHSUAXGVHXHWBU
      VHUVIBBBLVDZUWTUVHYPUXOUXSBURUWEUXRALMBTUBXIVTBRBLXJXKXLUVHUWRUWSXNZUVIUV
      HMXMUKZPAUKZUXOUXTUVHYPUYAUWEMXOVKUVHYPYQUUIUUJUULUUQUYBUWEUWJUWFUXQUXNUU
      PUUQUVCUVFUUEUUOXPAFGPKLMNOQSTUAUBUCUIYDXQUXRAPBMNSUBXRVHWBYNUIXSXTUVHUWQ
      UVDNUMZUVIUVHUXFUVDUWAUKZUWCUYCUXIUVHYPUUIUULUYDUWEUWFUXNAUWALMFGUWHTUBVG
      VHZUWKUWAMNOUVDQUWHSUAYAVHWBYBUVHUVKUVIUVHYPUUIUULUVKUWEUWFUXNAFGLMNSTUBY
      CVHWBUVHUWOUVKULUWPXNZUVIUVHUXFUVOUWAUKZFUWAUKZUYDUYFUXIUVHUXFUWBUWCUYGUX
      IUWIUWKUWAMOUVMQUWHUAYEVHUVHUUIUYHUWFAUWAFMUWHUBYFVKZUYEUWALMNUVOFUVDUWHS
      TYGYHWBYIXHUVHUVLUVNXNZUVIUVHUXFEUWAUKZUYHUYDUYJUXIUVHUUFUYKUWGAUWAEMUWHU
      BYFVKUYIUYEUWALMNEFUVDUWHSTYGYHWBYJYKYLYMYO $.

    $( Part of proof of Lemma E in [Crawley] p. 113, last paragraph on p. 114,
       antepenultimate line. ` D ` , ` F ` , ` Y ` , ` G ` represent s_2, f(s),
       t_2, f(t).  (Contributed by NM, 20-Nov-2012.) $)
    cdleme20k $p |- ( ( ( ( K e. HL /\ W e. H ) /\ P e. A
         /\ Q e. A )
      /\ ( ( S e. A /\ -. S .<_ W )
         /\ ( R e. A /\ -. R .<_ W ) )
      /\ ( -. S .<_ ( P .\/ Q )
         /\ R .<_ ( P .\/ Q ) ) )
              -> ( F .\/ D ) =/= ( P .\/ Q ) ) $=
      ( chlt wcel wa w3a wn co simp11 simp12 simp13 simp2r simp2l simp3r simp3l
      wbr wne cdlemednpq syl133anc wceq clat cbs simp11l hllatd simp11r simp2ll
      cfv cdleme1b syl23anc simp2rl cdlemedb syl22anc latlej2 syl3anc syl5ibcom
      eqid breq2 necon3bd mpd ) MUJUKZQKUKZULZCAUKZDAUKZUMZFAUKZFQNVCUNZULZEAUK
      ZEQNVCUNZULZULZFCDLUOZNVCUNZEWTNVCZULZUMZBWTNVCZUNZIBLUOZWTVDXDWIWJWKWRWO
      XBXAXFWIWJWKWSXCUPWIWJWKWSXCUQZWIWJWKWSXCURZWLWOWRXCUSWLWOWRXCUTWLWSXAXBV
      AWLWSXAXBVBABCDEFKLMNOQSTUAUBUCUGVEVFXDXEXGWTXDBXGNVCZXGWTVGXEXDMVHUKIMVI
      VNZUKZBXKUKZXJXDMWGWHWJWKWSXCVJZVKXDWGWHWJWKWMXLXNWGWHWJWKWSXCVLZXHXIWMWN
      WRWLXCVMZAXKCDFHIKLMNOQSTUAUBUCUDUEXKWCZVOVPXDWGWHWPWMXMXNXOWPWQWOWLXCVQX
      PAXKBEFKLMNOQSTUAUBUCUGXQVRVSXKLMNIBXQSTVTWAXGWTBNWDWBWEWF $.

    $( Part of proof of Lemma E in [Crawley] p. 113, last paragraph on p. 114,
       penultimate line. ` D ` , ` F ` , ` Y ` , ` G ` represent s_2, f(s),
       t_2, f(t) respectively.  (Contributed by NM, 20-Nov-2012.) $)
    cdleme20l1 $p |- ( ( ( ( K e. HL /\ W e. H )
         /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( R e. A /\ S e. A /\ -. S .<_ W )
      /\ ( P =/= Q
         /\ -. S .<_ ( P .\/ Q ) /\ R .<_ ( P .\/ Q ) ) )
           -> ( F .\/ D ) e. ( LLines ` K ) ) $=
      ( chlt wcel wa wbr wn w3a wne co clln simp11l simp11 simp12 simp13 simp22
      cfv simp23 jca simp31 simp32 cdleme3fa syl132anc simp11r simp21 syl223anc
      simp33 cdlemeda cdleme19c syl233anc eqid llni2 syl31anc ) MUJUKZQKUKZULZC
      AUKCQNUMUNULZDAUKDQNUMUNULZUOZEAUKZFAUKZFQNUMUNZUOZCDUPZFCDLUQZNUMUNZEWLN
      UMZUOZUOZWAIAUKZBAUKZIBUPZIBLUQMURVDZUKWAWBWDWEWJWOUSZWPWCWDWEWHWIULZWKWM
      WQWCWDWEWJWOUTWCWDWEWJWOVAZWCWDWEWJWOVBZWPWHWIWFWGWHWIWOVCZWFWGWHWIWOVEZV
      FZWFWJWKWMWNVGZWFWJWKWMWNVHZACDFHIKLMNOQSTUAUBUCUDUEVIVJWPWAWBWHWIWGWNWMW
      RXAWAWBWDWEWJWOVKZXEXFWFWGWHWIWOVLZWFWJWKWMWNVNXIABCDEFKLMNOQSTUAUBUCUGVO
      VMWPWAWBWDWEXBWGWKWMWSXAXJXCXDXGXKXHXIABCDEFFHIIKLMNOQBSTUAUBUCUDUEUEUGUG
      VPVQAIBLMWTTUBWTVRVSVT $.

    $( Part of proof of Lemma E in [Crawley] p. 113, last paragraph on p. 114,
       penultimate line. ` D ` , ` F ` , ` Y ` , ` G ` represent s_2, f(s),
       t_2, f(t) respectively.  (Contributed by NM, 20-Nov-2012.) $)
    cdleme20l2 $p |- ( ( ( ( K e. HL /\ W e. H )
       /\ ( P e. A /\ -. P .<_ W )
       /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W )
       /\ ( T e. A /\ -. T .<_ W ) )
    /\ ( ( P =/= Q /\ S =/= T )
       /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
       /\ R .<_ ( P .\/ Q ) )
       /\ ( -. R .<_ ( S .\/ T ) /\ -. U .<_ ( S .\/ T ) ) ) )
         -> ( ( F .\/ D ) ./\ ( G .\/ Y ) ) e. A ) $=
      ( chlt wcel wa wbr wn w3a wne co clpl cfv clat cbs simp11l hllatd simp11r
      simp12l simp13l simp22l cdleme1b syl23anc simp21l cdlemedb syl22anc latj4
      wceq eqid simp23l syl122anc simp1 simp22 simp23 simp21 simp31 simp321 jca
      simp322 simp323 cdleme20d syl133anc simp22r simp31r lhpat2 syl222anc clln
      eqeltrd wb simp11 simp12 simp13 simp31l cdleme3fa syl132anc simp33r llni2
      cdleme16b syl31anc cdlemeda syl223anc simp23r simp33l cdleme20j syl333anc
      simp32 2llnmj syl3anc mpbid cdleme20l1 mpbird ) MUJUKZQKUKZULZCAUKZCQNUMU
      NZULZDAUKZDQNUMUNZULZUOZEAUKZEQNUMUNZULZFAUKZFQNUMUNZULZGAUKZGQNUMUNZULZU
      OZCDUPZFGUPZULZFCDLUQZNUMUNZGUUANUMUNZEUUANUMZUOZEFGLUQZNUMUNZHUUFNUMUNZU
      LZUOZUOZIBLUQZJRLUQZOUQAUKZUULUUMLUQZMURUSZUKZUUKUUOIJLUQZBRLUQZLUQZUUPUU
      KMUTUKIMVAUSZUKZBUVAUKZJUVAUKZRUVAUKZUUOUUTVNUUKMXRXSYCYFYQUUJVBZVCUUKXRX
      SYAYDYKUVBUVFXRXSYCYFYQUUJVDZYAYBXTYFYQUUJVEZYDYEXTYCYQUUJVFZYKYLYJYPYGUU
      JVGZAUVACDFHIKLMNOQSTUAUBUCUDUEUVAVOZVHVIUUKXRXSYHYKUVCUVFUVGYHYIYMYPYGUU
      JVJZUVJAUVABEFKLMNOQSTUAUBUCUGUVKVKVLUUKXRXSYAYDYNUVDUVFUVGUVHUVIYNYOYJYM
      YGUUJVPZAUVACDGHJKLMNOQSTUAUBUCUDUFUVKVHVIUUKXRXSYHYNUVEUVFUVGUVLUVMAUVAR
      EGKLMNOQSTUAUBUCUHUVKVKVLUVALMRIBJUVKTVMVQUUKUURUUSOUQZAUKZUUTUUPUKZUUKUV
      NPAUUKYGYMYPYJYTUUBUUCULUUDUVNPVNYGYQUUJVRZYGYJYMYPUUJVSZYGYJYMYPUUJVTZYG
      YJYMYPUUJWAZYGYQYTUUEUUIWBZUUKUUBUUCUUBUUCUUDYTUUIYGYQWCZUUBUUCUUDYTUUIYG
      YQWEZWDUUBUUCUUDYTUUIYGYQWFZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIWGWHUUK
      XRXSYKYLYNYSPAUKUVFUVGUVJYKYLYJYPYGUUJWIZUVMYRYSUUEUUIYGYQWJAFGPKLMNOQSTU
      AUBUCUIWKWLWNUUKXRUURMWMUSZUKZUUSUWFUKZUVOUVPWOUVFUUKXRIAUKZJAUKZIJUPZUWG
      UVFUUKXTYCYFYMYRUUBUWIXTYCYFYQUUJWPZXTYCYFYQUUJWQZXTYCYFYQUUJWRZUVRYRYSUU
      EUUIYGYQWSZUWBACDFHIKLMNOQSTUAUBUCUDUEWTXAUUKXTYCYFYPYRUUCUWJUWLUWMUWNUVS
      UWOUWCACDGHJKLMNOQSTUAUBUCUDUFWTXAUUKYGYMYPYTUUBUUCUUHUWKUVQUVRUVSUWAUWBU
      WCUUGUUHYTUUEYGYQXBACDFGHIJKLMNOQSTUAUBUCUDUEUFXDWHAIJLMUWFTUBUWFVOZXCXEU
      UKXRBAUKZRAUKZBRUPZUWHUVFUUKXRXSYKYLYHUUDUUBUWQUVFUVGUVJUWEUVLUWDUWBABCDE
      FKLMNOQSTUAUBUCUGXFXGUUKXRXSYNYOYHUUDUUCUWRUVFUVGUVMYNYOYJYMYGUUJXHZUVLUW
      DUWCARCDEGKLMNOQSTUAUBUCUHXFXGUUKXTYCYFYJYMYPYTUUEUUGUWSUWLUWMUWNUVTUVRUV
      SUWAYGYQYTUUEUUIXLUUGUUHYTUUEYGYQXIABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUI
      XJXKABRLMUWFTUBUWPXCXEAUUPLMOUWFUURUUSTUAUBUWPUUPVOZXMXNXOWNUUKXRUULUWFUK
      ZUUMUWFUKZUUNUUQWOUVFUUKXTYCYFYHYKYLYRUUBUUDUXBUWLUWMUWNUVLUVJUWEUWOUWBUW
      DABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIXPXKUUKXTYCYFYHYNYOYRUUCUUDUXCUWLU
      WMUWNUVLUVMUWTUWOUWCUWDARCDEGFHJIKLMNOGFLUQQOUQZQBSTUAUBUCUDUFUEUHUGUXDVO
      XPXKAUUPLMOUWFUULUUMTUAUBUWPUXAXMXNXQ $.

    $( Part of proof of Lemma E in [Crawley] p. 113, last paragraph on p. 114,
       penultimate line. ` D ` , ` F ` , ` Y ` , ` G ` represent s_2, f(s),
       t_2, f(t) respectively.  (Contributed by NM, 20-Nov-2012.) $)
    cdleme20l $p |- ( ( ( ( K e. HL /\ W e. H )
       /\ ( P e. A /\ -. P .<_ W )
       /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W )
       /\ ( T e. A /\ -. T .<_ W ) )
    /\ ( ( P =/= Q /\ S =/= T )
       /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
        /\ R .<_ ( P .\/ Q ) )
       /\ ( -. R .<_ ( S .\/ T ) /\ -. U .<_ ( S .\/ T ) ) ) )
   -> ( ( F .\/ D ) ./\ ( G .\/ Y ) )
         = ( ( P .\/ Q ) ./\ ( F .\/ D ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne co wceq cdleme20i clln cfv wb simp11 simp12
      simp11l simp13 simp21l simp22l simp22r simp31l simp321 simp323 cdleme20l1
      syl333anc simp23l simp23r simp322 simp12l simp13l llni2 cdleme20l2 simp22
      eqid syl31anc simp21 cdleme20k syl322anc llnexchb2 syl132anc mpbid hllatd
      clat cbs hlatjcl syl3anc simp11r cdleme1b syl23anc cdlemedb latjcl eqtr4d
      syl22anc latmcom ) MUJUKZQKUKZULZCAUKZCQNUMUNZULZDAUKZDQNUMUNZULZUOZEAUKZ
      EQNUMUNZULZFAUKZFQNUMUNZULZGAUKZGQNUMUNZULZUOZCDUPZFGUPZULZFCDLUQZNUMUNZG
      YGNUMUNZEYGNUMZUOZEFGLUQZNUMUNHYLNUMUNULZUOZUOZIBLUQZJRLUQZOUQZYPYGOUQZYG
      YPOUQZYOYRYGNUMZYRYSURZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUSYOXDYPMUTV
      AZUKZYQUUCUKZYGUUCUKZYRAUKYPYGUPZUUAUUBVBXDXEXIXLYCYNVEZYOXFXIXLXNXQXRYDY
      HYJUUDXFXIXLYCYNVCZXFXIXLYCYNVDZXFXIXLYCYNVFZXNXOXSYBXMYNVGZXQXRXPYBXMYNV
      HZXQXRXPYBXMYNVIYDYEYKYMXMYCVJZYHYIYJYFYMXMYCVKZYHYIYJYFYMXMYCVLZABCDEFGH
      IJKLMNOPQRSTUAUBUCUDUEUFUGUHUIVMVNYOXFXIXLXNXTYAYDYIYJUUEUUIUUJUUKUULXTYA
      XPXSXMYNVOXTYAXPXSXMYNVPUUNYHYIYJYFYMXMYCVQUUPARCDEGFHJIKLMNOGFLUQQOUQZQB
      STUAUBUCUDUFUEUHUGUUQWCVMVNYOXDXGXJYDUUFUUHXGXHXFXLYCYNVRZXJXKXFXIYCYNVSZ
      UUNACDLMUUCTUBUUCWCZVTWDABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIWAYOXFXGXJX
      SXPYHYJUUGUUIUURUUSXMXPXSYBYNWBXMXPXSYBYNWEUUOUUPABCDEFGHIJKLMNOPQRSTUAUB
      UCUDUEUFUGUHUIWFWGALMNOUUCYPYQYGSTUAUBUUTWHWIWJYOMWLUKZYGMWMVAZUKZYPUVBUK
      ZYTYSURYOMUUHWKZYOXDXGXJUVCUUHUURUUSAUVBLMCDUVBWCZTUBWNWOYOUVAIUVBUKZBUVB
      UKZUVDUVEYOXDXEXGXJXQUVGUUHXDXEXIXLYCYNWPZUURUUSUUMAUVBCDFHIKLMNOQSTUAUBU
      CUDUEUVFWQWRYOXDXEXNXQUVHUUHUVIUULUUMAUVBBEFKLMNOQSTUAUBUCUGUVFWSXBUVBLMI
      BUVFTWTWOUVBMOYGYPUVFUAXCWOXA $.

    ${
      cdleme20.n $e |- N = ( ( P .\/ Q ) ./\ ( F .\/ D ) ) $.
      cdleme20.o $e |- O = ( ( P .\/ Q ) ./\ ( G .\/ Y ) ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113, last paragraph on
         p. 114, penultimate line. ` D ` , ` F ` , ` N ` , ` Y ` , ` G ` ,
         ` O ` represent s_2, f(s), f_s(r), t_2, f(t), f_t(r) respectively.  We
         prove that if ` -. ` r ` <_ ` s ` \/ ` t and ` -. ` u ` <_ ` s ` \/ `
         t, then f_s(r) = f_t(r).  (Contributed by NM, 20-Nov-2012.) $)
      cdleme20m $p |- ( ( ( ( K e. HL /\ W e. H )
       /\ ( P e. A /\ -. P .<_ W )
       /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W )
       /\ ( T e. A /\ -. T .<_ W ) )
    /\ ( ( P =/= Q /\ S =/= T )
       /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
        /\ R .<_ ( P .\/ Q ) )
       /\ ( -. R .<_ ( S .\/ T ) /\ -. U .<_ ( S .\/ T ) ) ) )
           -> N = O ) $=
        ( chlt wcel wa wbr wn w3a wne clat cbs cfv wceq simp11l simp11r simp12l
        hllatd simp13l simp22l eqid cdleme1b syl23anc simp21l cdlemedb syl22anc
        co latjcl syl3anc simp23l latmcom cdleme20l simp11 simp12 simp13 simp21
        simp23 simp22 simp31l simp31r jca simp322 simp321 simp323 3jca hlatjcom
        necomd simp33l breq2d mtbid simp33r syl333anc 3eqtr3d 3eqtr4g ) MUNUOZS
        KUOZUPZCAUOZCSNUQURZUPZDAUOZDSNUQURZUPZUSZEAUOZESNUQURZUPZFAUOZFSNUQURZ
        UPZGAUOZGSNUQURZUPZUSZCDUTZFGUTZUPZFCDLVQZNUQURZGYHNUQURZEYHNUQZUSZEFGL
        VQZNUQZURZHYMNUQZURZUPZUSZUSZYHIBLVQZOVQZYHJTLVQZOVQZPQYTUUAUUCOVQZUUCU
        UAOVQZUUBUUDYTMVAUOZUUAMVBVCZUOZUUCUUHUOZUUEUUFVDYTMXEXFXJXMYDYSVEZVHZY
        TUUGIUUHUOZBUUHUOZUUIUULYTXEXFXHXKXRUUMUUKXEXFXJXMYDYSVFZXHXIXGXMYDYSVG
        ZXKXLXGXJYDYSVIZXRXSXQYCXNYSVJZAUUHCDFHIKLMNOSUAUBUCUDUEUFUGUUHVKZVLVMY
        TXEXFXOXRUUNUUKUUOXOXPXTYCXNYSVNZUURAUUHBEFKLMNOSUAUBUCUDUEUIUUSVOVPUUH
        LMIBUUSUBVRVSYTUUGJUUHUOZTUUHUOZUUJUULYTXEXFXHXKYAUVAUUKUUOUUPUUQYAYBXQ
        XTXNYSVTZAUUHCDGHJKLMNOSUAUBUCUDUEUFUHUUSVLVMYTXEXFXOYAUVBUUKUUOUUTUVCA
        UUHTEGKLMNOSUAUBUCUDUEUJUUSVOVPUUHLMJTUUSUBVRVSUUHMOUUAUUCUUSUCWAVSABCD
        EFGHIJKLMNORSTUAUBUCUDUEUFUGUHUIUJUKWBYTXGXJXMXQYCXTYEGFUTZUPYJYIYKUSEG
        FLVQZNUQZURZHUVENUQZURZUPUUFUUDVDXGXJXMYDYSWCXGXJXMYDYSWDXGXJXMYDYSWEXN
        XQXTYCYSWFXNXQXTYCYSWGXNXQXTYCYSWHYTYEUVDYEYFYLYRXNYDWIYTFGYEYFYLYRXNYD
        WJWQWKYTYJYIYKYIYJYKYGYRXNYDWLYIYJYKYGYRXNYDWMYIYJYKYGYRXNYDWNWOYTUVGUV
        IYTYNUVFYOYQYGYLXNYDWRYTYMUVEENYTXEXRYAYMUVEVDUUKUURUVCALMFGUBUDWPVSZWS
        WTYTYPUVHYOYQYGYLXNYDXAYTYMUVEHNUVJWSWTWKATCDEGFHJIKLMNOUVESOVQZSBUAUBU
        CUDUEUFUHUGUJUIUVKVKWBXBXCULUMXD $.

      $( Combine ~ cdleme19f and ~ cdleme20m to eliminate
         ` -. R .<_ ( S .\/ T ) ` condition.  (Contributed by NM,
         28-Nov-2012.) $)
      cdleme20 $p |- ( ( ( ( K e. HL /\ W e. H )
       /\ ( P e. A /\ -. P .<_ W )
       /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W )
       /\ ( T e. A /\ -. T .<_ W ) )
    /\ ( ( P =/= Q /\ S =/= T )
       /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
           /\ R .<_ ( P .\/ Q ) )
       /\ -. U .<_ ( S .\/ T ) ) )
           -> N = O ) $=
        ( chlt wcel wa wbr wn w3a co wceq simpl1 simpl22 simpl23 simp21l adantr
        wne simpl31 simp321 simp322 simp323 cdleme19f syl133anc simpl11 simpl12
        jca simpl13 simpl21 simpl32 simpr simpl33 cdleme20m syl333anc pm2.61dan
        anim1i ) MUNUOSKUOUPZCAUOCSNUQURUPZDAUODSNUQURUPZUSZEAUOZESNUQURZUPZFAU
        OFSNUQURUPZGAUOGSNUQURUPZUSZCDVGFGVGUPZFCDLUTZNUQURZGWQNUQURZEWQNUQZUSZ
        HFGLUTZNUQURZUSZUSZEXBNUQZPQVAZXEXFUPZWIWMWNWJWPWRWSUPWTXFUPXGWIWOXDXFV
        BWLWMWNWIXDXFVCWLWMWNWIXDXFVDXEWJXFWJWKWMWNWIXDVEVFWPXAXCWIWOXFVHXHWRWS
        XEWRXFWRWSWTWPXCWIWOVIVFXEWSXFWRWSWTWPXCWIWOVJVFVPXEWTXFWRWSWTWPXCWIWOV
        KWEABCDEFGHIJKLMNOPQSTUAUBUCUDUEUFUGUHUIUJULUMVLVMXEXFURZUPZWFWGWHWLWMW
        NWPXAXIXCUPXGWFWGWHWOXDXIVNWFWGWHWOXDXIVOWFWGWHWOXDXIVQWLWMWNWIXDXIVRWL
        WMWNWIXDXIVCWLWMWNWIXDXIVDWPXAXCWIWOXIVHWPXAXCWIWOXIVSXJXIXCXEXIVTWPXAX
        CWIWOXIWAVPABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMWBWCWD $.
    $}
  $}

  ${
    cdleme21a.l $e |- .<_ = ( le ` K ) $.
    cdleme21a.j $e |- .\/ = ( join ` K ) $.
    cdleme21a.a $e |- A = ( Atoms ` K ) $.
    $( Part of proof of Lemma E in [Crawley] p. 115.  (Contributed by NM,
       28-Nov-2012.) $)
    cdleme21a $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
    /\ ( S e. A /\ -. S .<_ ( P .\/ Q ) )
    /\ ( z e. A /\ ( P .\/ z ) = ( S .\/ z ) ) )
             -> S =/= z ) $=
      ( chlt wcel w3a co wbr wn wa wne necomd cv clc simp11 hlcvl simp12 simp2l
      wceq syl simp3l simp13 simp2r atnlej1 syl131anc simp3r cvlsupr6 syl132anc
      ) GLMZCBMZDBMZNZEBMZECDFOHPQZRZAUAZBMZCVDFOEVDFOUGZRZNZGUBMZURVAVECESZVFE
      VDSVHUQVIUQURUSVCVGUCZGUDUHUQURUSVCVGUEZUTVAVBVGUFZUTVCVEVFUIVHUQVAURUSVB
      VJVKVMVLUQURUSVCVGUJUTVAVBVGUKUQVAURUSNVBNECBECDFGHIJKULTUMUTVCVEVFUNVIUR
      VAVENVJVFRNVDEBCEVDFGKJUOTUP $.

    $( Part of proof of Lemma E in [Crawley] p. 115.  (Contributed by NM,
       28-Nov-2012.) $)
    cdleme21b $p |- ( ( ( K e. HL /\ P e. A /\ Q e. A )
    /\ ( S e. A /\ P =/= Q /\ -. S .<_ ( P .\/ Q ) )
    /\ ( z e. A /\ ( P .\/ z ) = ( S .\/ z ) ) )
             -> -. z .<_ ( P .\/ Q ) ) $=
      ( wcel w3a wne co wbr wceq wi necomd syl131anc wn cv wa simp23 clc simp11
      chlt hlcvl simp3l simp13 simp12 simp21 atnlej1 simp3r cvlsupr5 cvlatexch1
      syl syl132anc cvlsupr8 breq2d sylibrd simp22 syld mtod ) GUGLZCBLZDBLZMZE
      BLZCDNZECDFOZHPZUAZMZAUBZBLZCVOFOZEVOFOQZUCZMZVOVKHPZVLVHVIVJVMVSUDZVTWAD
      CEFOZHPZVLVTWADVQHPZWDVTGUELZVPVGVFVOCNZWAWERVTVEWFVEVFVGVNVSUFZGUHUQZVHV
      NVPVRUIZVEVFVGVNVSUJZVEVFVGVNVSUKZVTWFVFVIVPCENZVRWGWIWLVHVIVJVMVSULZWJVT
      VEVIVFVGVMWMWHWNWLWKWBVEVIVFVGMVMMECBECDFGHIJKUMSTZVHVNVPVRUNZBCEVOFGKJUO
      URBVODCFGHIJKUPTVTWCVQDHVTWFVFVIVPWMVRWCVQQWIWLWNWJWOWPBCEVOFGKJUSURUTVAV
      TWFVGVIVFDCNWDVLRWIWKWNWLVTCDVHVIVJVMVSVBSBDECFGHIJKUPTVCVD $.
  $}

  ${
    cdleme21.l $e |- .<_ = ( le ` K ) $.
    cdleme21.j $e |- .\/ = ( join ` K ) $.
    cdleme21.m $e |- ./\ = ( meet ` K ) $.
    cdleme21.a $e |- A = ( Atoms ` K ) $.
    cdleme21.h $e |- H = ( LHyp ` K ) $.
    cdleme21.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    $( Part of proof of Lemma E in [Crawley] p. 115.  (Contributed by NM,
       28-Nov-2012.) $)
    cdleme21c $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
          /\ Q e. A )
    /\ ( S e. A /\ P =/= Q /\ -. S .<_ ( P .\/ Q ) )
    /\ ( z e. A /\ ( P .\/ z ) = ( S .\/ z ) ) )
             -> -. U .<_ ( S .\/ z ) ) $=
      ( wcel wbr chlt wa wn w3a wne co cv wceq simp23 clc simp11l hlcvl simp12l
      simp21 simp3l simp13 atnlej1 necomd syl131anc cvlsupr7 syl132anc hlatjcom
      syl simp3r syl3anc eqtrd breq2d simp11r simp12r simp22 cdleme0a syl222anc
      wi clat cbs cfv hllatd hlatjcl lhpbase latmle2 eqbrtrid nbrne2 cvlatexch1
      syl2anc hlatlej1 cdlemeulpq syl22anc wb atbase latjle12 syl13anc mpbi2and
      eqid lattr mpan2d syld sylbird mtod ) IUASZLGSZUBZCBSZCLJTUCZUBZDBSZUDZEB
      SZCDUEZECDHUFZJTZUCZUDZAUGZBSZCXMHUFEXMHUFZUHZUBZUDZFXOJTZXJXFXGXHXKXQUIZ
      XRXSFCEHUFZJTZXJXRYAXOFJXRYAXMEHUFZXOXRIUJSZXBXGXNCEUEZXPYAYCUHXRWSYDWSWT
      XDXEXLXQUKZIULVCZXBXCXAXEXLXQUMZXFXGXHXKXQUNZXFXLXNXPUOZXRWSXGXBXEXKYEYFY
      IYHXAXDXEXLXQUPZXTWSXGXBXEUDXKUDECBECDHIJMNPUQURUSXFXLXNXPVDBCEXMHIPNUTVA
      XRWSXNXGYCXOUHYFYJYIBHIXMENPVBVEVFVGXRYBECFHUFZJTZXJXRYDFBSZXGXBFCUEZYBYM
      VMYGXRWSWTXBXCXEXHYNYFWSWTXDXEXLXQVHZYHXBXCXAXEXLXQVIZYKXFXGXHXKXQVJBCDFG
      HIJKLMNOPQRVKVLZYIYHXRFLJTXCYOXRFXILKUFZLJRXRIVNSZXIIVOVPZSZLUUASZYSLJTXR
      IYFVQZXRWSXBXEUUBYFYHYKBUUAHICDUUAWMZNPVRVEZXRWTUUCYPUUAGILUUEQVSVCUUAIJK
      XILUUEMOVTVEWAYQFCLJWBWDBFECHIJMNPWCUSXRYMYLXIJTZXJXRCXIJTZFXIJTZUUGXRWSX
      BXEUUHYFYHYKBCDHIJMNPWEVEXRWSWTXBXEUUIYFYPYHYKBCDFGHIJKLMNOPQRWFWGXRYTCUU
      ASZFUUASZUUBUUHUUIUBUUGWHUUDXRXBUUJYHBUUACIUUEPWIVCXRYNUUKYRBUUAFIUUEPWIV
      CUUFUUAHIJCFXIUUEMNWJWKWLXRYTEUUASZYLUUASZUUBYMUUGUBXJVMUUDXRXGUULYIBUUAE
      IUUEPWIVCXRWSXBYNUUMYFYHYRBUUAHICFUUENPVRVEUUFUUAIJEYLXIUUEMWNWKWOWPWQWR
      $.

    $( Part of proof of Lemma E in [Crawley] p. 115.  (Contributed by NM,
       29-Nov-2012.) $)
    cdleme21at $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ Q e. A )
    /\ ( ( S e. A /\ P =/= Q /\ -. S .<_ ( P .\/ Q ) )
       /\ U .<_ ( S .\/ T ) )
    /\ ( z e. A /\ ( P .\/ z ) = ( S .\/ z ) ) )
             -> T =/= z ) $=
      ( wcel chlt wa wbr wn w3a wne co cv wceq cdleme21c 3adant2r simp2r breq2d
      oveq2 syl5ibcom necon3bd mpd ) JUATMHTUBCBTCMKUCUDUBDBTUEZEBTCDUFECDIUGKU
      CUDUEZGEFIUGZKUCZUBAUHZBTCVBIUGEVBIUGZUIUBZUEZGVCKUCZUDZFVBUFURUSVDVGVAAB
      CDEGHIJKLMNOPQRSUJUKVEVFFVBVEVAFVBUIZVFURUSVAVDULVHUTVCGKFVBEIUNUMUOUPUQ
      $.

    $( Part of proof of Lemma E in [Crawley] p. 115.  (Contributed by NM,
       29-Nov-2012.) $)
    cdleme21ct $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ Q e. A )
    /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
          /\ ( P =/= Q /\ -. S .<_ ( P .\/ Q ) /\ U .<_ ( S .\/ T ) ) )
    /\ ( ( z e. A /\ -. z .<_ W ) /\ ( P .\/ z ) = ( S .\/ z ) ) )
             -> -. U .<_ ( T .\/ z ) ) $=
      ( wcel chlt wa wbr wn w3a co cv wceq simp11 simp12 simp13 simp21l simp231
      wne simp232 simp3ll simp3r cdleme21c syl332anc simp233 clc wi simp11l syl
      hlcvl simp11r simp12l simp12r cdleme0a syl222anc simp22l clat hllatd eqid
      cbs cfv hlatjcl syl3anc lhpbase latmle2 simp21r nbrne2 syl2anc cvlatexch3
      eqbrtrid simp22r syl132anc mpd adantr simp3lr imp eqtrd ex hlatlej2 breq2
      syl5ibcom cdleme21a syl322anc cvlatexch2 syl131anc 3syld mtod ) JUATZMHTZ
      UBZCBTZCMKUCUDZUBZDBTZUEZEBTZEMKUCUDZUBZFBTZFMKUCUDZUBZCDUNZECDIUFZKUCUDZ
      GEFIUFKUCZUEZUEZAUGZBTZYCMKUCUDZUBZCYCIUFEYCIUFZUHZUBZUEZGFYCIUFKUCZGYGKU
      CZYJXEXHXIXKXQXSYDYHYLUDXEXHXIYBYIUIXEXHXIYBYIUJXEXHXIYBYIUKZXKXLXPYAXJYI
      ULZXQXSXTXMXPXJYIUMZXQXSXTXMXPXJYIUOZYDYEYHXJYBUPZXJYBYFYHUQZABCDEGHIJKLM
      NOPQRSURUSYJYKGEIUFZGYCIUFZUHZEYTKUCZYLYJYKUUAYJYKUBYSGFIUFZYTYJYSUUCUHZY
      KYJXTUUDXQXSXTXMXPXJYIUTYJJVATZGBTZXKXNGEUNZGFUNZXTUUDVBYJXCUUEXCXDXHXIYB
      YIVCZJVEVDZYJXCXDXFXGXIXQUUFUUIXCXDXHXIYBYIVFZXFXGXEXIYBYIVGZXFXGXEXIYBYI
      VHYMYOBCDGHIJKLMNOPQRSVIVJZYNXNXOXMYAXJYIVKZYJGMKUCZXLUUGYJGXRMLUFZMKSYJJ
      VLTXRJVOVPZTZMUUQTZUUPMKUCYJJUUIVMYJXCXFXIUURUUIUULYMBUUQIJCDUUQVNZOQVQVR
      YJXDUUSUUKUUQHJMUUTRVSVDUUQJKLXRMUUTNPVTVRWEZXKXLXPYAXJYIWAGEMKWBWCYJUUOX
      OUUHUVAXNXOXMYAXJYIWFGFMKWBWCZBGEFIJKNOQWDWGWHWIYJYKUUCYTUHZYJUUEUUFXNYDU
      UHGYCUNZYKUVCVBUUJUUMUUNYQUVBYJUUOYEUVDUVAYDYEYHXJYBWJGYCMKWBWCBGFYCIJKNO
      QWDWGWKWLWMYJEYSKUCZUUAUUBYJXCUUFXKUVEUUIUUMYNBGEIJKNOQWNVRYSYTEKWOWPYJUU
      EXKUUFYDEYCUNZUUBYLVBUUJYNUUMYQYJXCXFXIXKXSYDYHUVFUUIUULYMYNYPYQYRABCDEIJ
      KNOQWQWRBEGYCIJKNOQWSWTXAXB $.

    cdleme21.f $e |- F
          = ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) ) $.
    ${
      cdleme21.b $e |- B
         = ( ( z .\/ U ) ./\ ( Q .\/ ( ( P .\/ z ) ./\ W ) ) ) $.
      cdleme21.d $e |- D = ( ( R .\/ S ) ./\ W ) $.
      cdleme21.e $e |- E = ( ( R .\/ z ) ./\ W ) $.
      cdleme21d.n $e |- N = ( ( P .\/ Q ) ./\ ( F .\/ D ) ) $.
      cdleme21d.z $e |- Z = ( ( P .\/ Q ) ./\ ( B .\/ E ) ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113, last paragraph on
         p. 115, 3rd line. ` D ` , ` F ` , ` N ` , ` E ` , ` B ` , ` Z `
         represent s_2, f(s), f_s(r), z_2, f(z), f_z(r) respectively.  We prove
         f_s(r) = f_z(r).  (Contributed by NM, 29-Nov-2012.) $)
      cdleme21d $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
        /\ ( P =/= Q
           /\ ( -. S .<_ ( P .\/ Q ) /\ R .<_ ( P .\/ Q ) )
           /\ ( ( z e. A /\ -. z .<_ W ) /\ ( P .\/ z ) = ( S .\/ z ) ) ) )
               -> N = Z ) $=
        ( chlt wcel wa wbr wn w3a co cv wceq simp11 simp12 simp13 simp2l simp2r
        simp33l simp31 simp11l simp12l simp13l simp2rl simp32l simpld cdleme21a
        wne simp33r syl322anc cdleme21b syl332anc 3jca cdleme21c eqid syl333anc
        jca simp32r cdleme20 ) NULUMZRLUMZUNZEBUMZEROUOUPZUNZFBUMZFROUOUPZUNZUQ
        ZGBUMGROUOUPUNZHBUMZHROUOUPZUNZUNZEFVOZHEFMURZOUOUPZGXCOUOZUNZAUSZBUMZX
        GROUOUPZUNZEXGMURHXGMURZUTZUNZUQZUQZWIWLWOWQWTXJXBHXGVOZUNXDXGXCOUOUPZX
        EUQIXKOUOUPZQSUTWIWLWOXAXNVAZWIWLWOXAXNVBZWIWLWOXAXNVCWPWQWTXNVDWPWQWTX
        NVEXJXLXBXFWPXAVFZXOXBXPWPXAXBXFXMVGZXOWGWJWMWRXDXHXLXPWGWHWLWOXAXNVHZW
        JWKWIWOXAXNVIZWMWNWIWLXAXNVJZWRWSWQWPXNVKZXDXEXBXMWPXAVLZXOXHXIYAVMZXJX
        LXBXFWPXAVPZABEFHMNOTUAUCVNVQWDXOXDXQXEYGXOWGWJWMWRXBXDXHXLXQYCYDYEYFYB
        YGYHYIABEFHMNOTUAUCVRVSXDXEXBXMWPXAWEVTXOWIWLWMWRXBXDXHXLXRXSXTYEYFYBYG
        YHYIABEFHILMNOPRTUAUBUCUDUEWAVSBDEFGHXGIKCLMNOPQSXKRPURZRJTUAUBUCUDUEUF
        UGUHUIYJWBUJUKWFWC $.

      cdleme21.g $e |- G
         = ( ( T .\/ U ) ./\ ( Q .\/ ( ( P .\/ T ) ./\ W ) ) ) $.
      cdleme21.y $e |- Y = ( ( R .\/ T ) ./\ W ) $.
      cdleme21.o $e |- O = ( ( P .\/ Q ) ./\ ( G .\/ Y ) ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113, last paragraph on
         p. 115, 3rd line. ` Y ` , ` G ` , ` O ` , ` E ` , ` B ` , ` Z `
         represent s_2, f(s), f_s(r), z_2, f(z), f_z(r) respectively.  We prove
         that if u ` <_ ` s ` \/ ` z, then f_t(r) = f_z(r).  (Contributed by
         NM, 29-Nov-2012.) $)
      cdleme21e $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
          /\ ( P =/= Q /\ -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q ) ) )
    /\ ( ( R e. A /\ -. R .<_ W ) /\ ( R .<_ ( P .\/ Q )
       /\ U .<_ ( S .\/ T ) )
          /\ ( ( z e. A /\ -. z .<_ W ) /\ ( P .\/ z ) = ( S .\/ z ) ) ) )
               -> O = Z ) $=
        ( chlt wcel wa wbr wn w3a co cv wceq simp11 simp12 simp13 simp31 simp22
        wne simp33l simp231 simp13l simp21l simp232 3jca simp32r simpld simp33r
        cdleme21at syl322anc simp233 simp11l simp12l cdleme21b syl332anc simp21
        jca simp32l cdleme21ct eqid cdleme20 syl333anc ) PUSUTZUANUTZVAZEBUTZEU
        AQVBVCZVAZFBUTZFUAQVBVCZVAZVDZHBUTZHUAQVBVCZVAZIBUTIUAQVBVCVAZEFVMZHEFO
        VEZQVBVCZIXLQVBVCZVDZVDZGBUTGUAQVBVCVAZGXLQVBZJHIOVEQVBZVAZAVFZBUTZYAUA
        QVBVCZVAZEYAOVEHYAOVEVGZVAZVDZVDZWSXBXEXQXJYDXKIYAVMZVAXNYAXLQVBVCZXRVD
        JIYAOVEZQVBVCZTUCVGWSXBXEXPYGVHZWSXBXEXPYGVIZWSXBXEXPYGVJXFXPXQXTYFVKXF
        XIXJXOYGVLZYDYEXQXTXFXPVNZYHXKYIXKXMXNXIXJXFYGVOZYHWSXBXCXGXKXMVDXSYBYE
        YIYMYNXCXDWSXBXPYGVPZYHXGXKXMXGXHXJXOXFYGVQZYQXKXMXNXIXJXFYGVRZVSXRXSXQ
        YFXFXPVTZYHYBYCYPWAZYDYEXQXTXFXPWBZABEFHIJNOPQRUAUDUEUFUGUHUIWCWDWKYHXN
        YJXRXKXMXNXIXJXFYGWEYHWQWTXCXGXKXMYBYEYJWQWRXBXEXPYGWFWTXAWSXEXPYGWGYRY
        SYQYTUUBUUCABEFHOPQUDUEUGWHWIXRXSXQYFXFXPWLVSYHWSXBXCXIXJXKXMXSVDYDYEYL
        YMYNYRXFXIXJXOYGWJYOYHXKXMXSYQYTUUAVSYPUUCABEFHIJNOPQRUAUDUEUFUGUHUIWMW
        IBUBEFGIYAJMCNOPQRTUCYKUARVEZUAKUDUEUFUGUHUIUPUKUQUMUUDWNURUOWOWP $.

      $( Part of proof of Lemma E in [Crawley] p. 115.  (Contributed by NM,
         29-Nov-2012.) $)
      cdleme21f $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
          /\ ( P =/= Q /\ -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q ) ) )
    /\ ( ( R e. A /\ -. R .<_ W ) /\ ( R .<_ ( P .\/ Q )
           /\ U .<_ ( S .\/ T ) )
          /\ ( ( z e. A /\ -. z .<_ W ) /\ ( P .\/ z ) = ( S .\/ z ) ) ) )
               -> N = O ) $=
        ( chlt wcel wa wbr wn w3a co cv wceq simp11 simp12 simp13 simp31 simp21
        wne simp231 simp232 simp32l simp33 cdleme21d syl323anc cdleme21e eqtr4d
        jca ) PUSUTUANUTVAZEBUTEUAQVBVCVAZFBUTFUAQVBVCVAZVDZHBUTHUAQVBVCVAZIBUT
        IUAQVBVCVAZEFVMZHEFOVEZQVBVCZIWJQVBVCZVDZVDZGBUTGUAQVBVCVAZGWJQVBZJHIOV
        EQVBZVAZAVFZBUTWSUAQVBVCVAEWSOVEHWSOVEVGVAZVDZVDZSUCTXBWCWDWEWOWGWIWKWP
        VAWTSUCVGWCWDWEWNXAVHWCWDWEWNXAVIWCWDWEWNXAVJWFWNWOWRWTVKWFWGWHWMXAVLWI
        WKWLWGWHWFXAVNXBWKWPWIWKWLWGWHWFXAVOWPWQWOWTWFWNVPWBWFWNWOWRWTVQABCDEFG
        HJKLNOPQRSUAUCUDUEUFUGUHUIUJUKULUMUNUOVRVSABCDEFGHIJKLMNOPQRSTUAUBUCUDU
        EUFUGUHUIUJUKULUMUNUOUPUQURVTWA $.
    $}

    cdleme21g.g $e |- G
       = ( ( T .\/ U ) ./\ ( Q .\/ ( ( P .\/ T ) ./\ W ) ) ) $.
    cdleme21g.d $e |- D = ( ( R .\/ S ) ./\ W ) $.
    cdleme21g.y $e |- Y = ( ( R .\/ T ) ./\ W ) $.
    ${
      cdleme21g.n $e |- N = ( ( P .\/ Q ) ./\ ( F .\/ D ) ) $.
      cdleme21g.o $e |- O = ( ( P .\/ Q ) ./\ ( G .\/ Y ) ) $.
      $( Part of proof of Lemma E in [Crawley] p. 115.  (Contributed by NM,
         29-Nov-2012.) $)
      cdleme21g $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
          /\ ( P =/= Q /\ -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q ) ) )
    /\ ( ( R e. A /\ -. R .<_ W ) /\ ( R .<_ ( P .\/ Q )
      /\ U .<_ ( S .\/ T ) )
          /\ ( ( z e. A /\ -. z .<_ W ) /\ ( P .\/ z ) = ( S .\/ z ) ) ) )
               -> N = O ) $=
        ( cv co eqid cdleme21f ) ABAUMZIMUNEDUQMUNSPUNMUNPUNZCDEFGHIFUQMUNSPUNZ
        JKLMNOPQRSTDEMUNURUSMUNPUNZUAUBUCUDUEUFUGURUOUIUSUOUKUTUOUHUJULUP $.

      $d r z A $.  $d r F $.  $d r G $.  $d r z H $.  $d r z .\/ $.
      $d r z K $.  $d r z .<_ $.  $d r ./\ $.  $d z N $.  $d z O $.
      $d r z P $.  $d r z Q $.  $d r z R $.  $d r z S $.  $d r z T $.
      $d z U $.  $d r z W $.
      $( Part of proof of Lemma E in [Crawley] p. 115.  (Contributed by NM,
         29-Nov-2012.) $)
      cdleme21h $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
            /\ ( P =/= Q /\ -. S .<_ ( P .\/ Q )
              /\ -. T .<_ ( P .\/ Q ) ) )
       /\ ( ( R e. A /\ -. R .<_ W )
            /\ ( R .<_ ( P .\/ Q ) /\ U .<_ ( S .\/ T ) ) ) )
  -> ( E. z e. A ( -. z .<_ W /\ ( P .\/ z ) = ( S .\/ z ) ) -> N = O ) ) $=
        ( chlt wcel wa wbr wn w3a wne co cv simp11 simp12 simp13l simp13r simp2
        wceq simp3l simp3r jca31 cdleme21g syl113anc rexlimdv3a ) NUMUNSLUNUODB
        UNDSOUPUQUOEBUNESOUPUQUOURZGBUNGSOUPUQUOHBUNHSOUPUQUODEUSGDEMUTZOUPUQHV
        OOUPUQURURZFBUNFSOUPUQUOZFVOOUPIGHMUTOUPUOZUOZURZAVAZSOUPUQZDWAMUTGWAMU
        TVGZUOZQRVGZABVTWABUNZWDURZVNVPVQVRWFWBUOWCUOWEVNVPVSWFWDVBVNVPVSWFWDVC
        VQVRVNVPWFWDVDVQVRVNVPWFWDVEWGWFWBWCVTWFWDVFVTWFWBWCVHVTWFWBWCVIVJABCDE
        FGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVKVLVM $.

      $( Part of proof of Lemma E in [Crawley] p. 115.  (Contributed by NM,
         29-Nov-2012.) $)
      cdleme21i $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
            /\ ( P =/= Q /\ -. S .<_ ( P .\/ Q )
             /\ -. T .<_ ( P .\/ Q ) ) )
       /\ ( ( R e. A /\ -. R .<_ W )
            /\ ( R .<_ ( P .\/ Q ) /\ U .<_ ( S .\/ T ) ) ) )
  -> ( E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) -> N = O ) ) $=
        ( vz chlt wcel wa wbr wn w3a wne co cv wceq wrex simpl11 simp12 simp21l
        simp13 3jca simp231 simp232 simpr 4atexlem7 syl113anc ex cdleme21h syld
        adantr ) MUNUORKUOUPZCAUOCRNUQURUPZDAUODRNUQURUPZUSZFAUOZFRNUQURZUPZGAU
        OGRNUQURUPZCDUTZFCDLVAZNUQURZGWHNUQURZUSZUSZEAUOERNUQURUPEWHNUQHFGLVANU
        QUPUPZUSZTVBZRNUQURCWOLVADWOLVAVCUPTAVDZUMVBZRNUQURCWQLVAFWQLVAVCUPUMAV
        DZPQVCWNWPWRWNWPUPVSVTWAWCUSZWGWIWPWRVSVTWAWLWMWPVEWNWSWPWNVTWAWCVSVTWA
        WLWMVFVSVTWAWLWMVHWCWDWFWKWBWMVGVIVRWNWGWPWGWIWJWEWFWBWMVJVRWNWIWPWGWIW
        JWEWFWBWMVKVRWNWPVLUMACDFKLMNRTUAUBUDUEVMVNVOUMABCDEFGHIJKLMNOPQRSUAUBU
        CUDUEUFUGUHUIUJUKULVPVQ $.

      $( Combine ~ cdleme20 and ~ cdleme21i to eliminate ` U .<_ ( S .\/ T ) `
         condition.  (Contributed by NM, 29-Nov-2012.) $)
      cdleme21j $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W )
           /\ ( T e. A /\ -. T .<_ W ) )
        /\ ( ( P =/= Q /\ S =/= T )
           /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
           /\ R .<_ ( P .\/ Q ) )
           /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
               -> N = O ) $=
        ( chlt wcel wa wbr wn w3a wne co wceq wrex simpl33 simpl1 simp22 simp23
        cv simp31l simp321 simp322 3jca adantr simpl21 simp323 anim1i cdleme21i
        syl112anc mpd simpl2 simpl31 simpl32 simpr cdleme20 syl113anc pm2.61dan
        wi eqid ) MUMUNRKUNUOCAUNCRNUPUQUODAUNDRNUPUQUOURZEAUNERNUPUQUOZFAUNFRN
        UPUQUOZGAUNGRNUPUQUOZURZCDUSZFGUSZUOZFCDLUTZNUPUQZGWPNUPUQZEWPNUPZURZTV
        GZRNUPUQCXALUTDXALUTVAUOTAVBZURZURZHFGLUTZNUPZPQVAZXDXFUOZXBXGWOWTXBWHW
        LXFVCXHWHWJWKWMWQWRURZURZWIWSXFUOXBXGWFWHWLXCXFVDXDXJXFXDWJWKXIWHWIWJWK
        XCVEWHWIWJWKXCVFXDWMWQWRWMWNWTXBWHWLVHWQWRWSWOXBWHWLVIWQWRWSWOXBWHWLVJV
        KVKVLWIWJWKWHXCXFVMXDWSXFWQWRWSWOXBWHWLVNVOABCDEFGHIJKLMNOPQRSTUAUBUCUD
        UEUFUGUHUIUJUKULVPVQVRXDXFUQZUOWHWLWOWTXKXGWHWLXCXKVDWHWLXCXKVSWOWTXBWH
        WLXKVTWOWTXBWHWLXKWAXDXKWBABCDEFGHIJKLMNOPQXEROUTZRSUAUBUCUDUEUFUGUHUIU
        JXLWGUKULWCWDWE $.

      $( Part of proof of Lemma E in [Crawley] p. 113, 3rd line on p. 115.
         ` D ` , ` F ` , ` N ` , ` Y ` , ` G ` , ` O ` represent s_2, f(s),
         f_s(r), t_2, f(t), f_t(r) respectively.  Combine ~ cdleme18d and
         ~ cdleme21j to eliminate existence condition, proving f_s(r) = f_t(r)
         with fewer conditions.  (Contributed by NM, 29-Nov-2012.) $)
      cdleme21 $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W )
           /\ ( T e. A /\ -. T .<_ W ) )
        /\ ( ( P =/= Q /\ S =/= T )
           /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
           /\ R .<_ ( P .\/ Q ) ) ) )
               -> N = O ) $=
        ( vr chlt wcel wa wbr wn w3a wne co cv wceq wrex simpl1 simpl3l simpl3r
        simpl2 simpr cdleme21j syl113anc simp3ll adantr simp3r3 simp3r1 simp3r2
        3jca oveq2i eqtri cdleme18d pm2.61dan ) MUMUNRKUNUOCAUNCRNUPUQUODAUNDRN
        UPUQUOURZEAUNERNUPUQUOFAUNFRNUPUQUOGAUNGRNUPUQUOURZCDUSZFGUSZUOZFCDLUTZ
        NUPUQZGWFNUPUQZEWFNUPZURZUOZURZULVAZRNUPUQCWMLUTDWMLUTVBUOULAVCZPQVBZWL
        WNUOWAWBWEWJWNWOWAWBWKWNVDWAWBWKWNVGWEWJWAWBWNVEWEWJWAWBWNVFWLWNVHABCDE
        FGHIJKLMNOPQRSULTUAUBUCUDUEUFUGUHUIUJUKVIVJWLWNUQZUOWAWBWCWIWGWHURZWPWO
        WAWBWKWPVDWAWBWKWPVGWLWCWPWCWDWJWAWBVKVLWLWQWPWLWIWGWHWGWHWIWEWAWBVMWGW
        HWIWEWAWBVNWGWHWIWEWAWBVOVPVLWLWPVHAJCDEFGHQIPKLMNORULTUAUBUCUDUEUFPWFI
        BLUTZOUTWFIEFLUTROUTZLUTZOUTUJWRWTWFOBWSILUHVQVQVRUGQWFJSLUTZOUTWFJEGLU
        TROUTZLUTZOUTUKXAXCWFOSXBJLUIVQVQVRVSVJVT $.

      $( Eliminate ` S =/= T ` condition in ~ cdleme21 .  (Contributed by NM,
         26-Dec-2012.) $)
      cdleme21k $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W )
           /\ ( T e. A /\ -. T .<_ W ) )
        /\ ( P =/= Q
           /\ ( -. S .<_ ( P .\/ Q ) /\ -. T .<_ ( P .\/ Q )
           /\ R .<_ ( P .\/ Q ) ) ) )
               -> N = O ) $=
        ( chlt wcel wa wbr wn w3a wne co wceq oveq1 oveq2 oveq1d oveq2d oveq12d
        3eqtr4g simpl11 simpl12 simpl13 simpl21 simpl22 simpl23 simpl3l simpl3r
        eqeq1d simpr jca cdleme21 syl332anc eqidd pm2.61ne ) MULUMRKUMUNZCAUMCR
        NUOUPUNZDAUMDRNUOUPUNZUQZEAUMERNUOUPUNZFAUMFRNUOUPUNZGAUMGRNUOUPUNZUQZC
        DURZFCDLUSZNUOUPGWKNUOUPEWKNUOUQZUNZUQZPQUTZQQUTFGFGUTZPQQWPWKIBLUSZOUS
        WKJSLUSZOUSPQWPWQWRWKOWPIJBSLWPFHLUSZDCFLUSZROUSZLUSZOUSGHLUSZDCGLUSZRO
        USZLUSZOUSIJWPWSXCXBXFOFGHLVAWPXAXEDLWPWTXDROFGCLVBVCVDVEUFUGVFWPEFLUSZ
        ROUSEGLUSZROUSBSWPXGXHROFGELVBVCUHUIVFVEVDUJUKVFVOWNFGURZUNZWBWCWDWFWGW
        HWJXIUNWLWOWBWCWDWIWMXIVGWBWCWDWIWMXIVHWBWCWDWIWMXIVIWFWGWHWEWMXIVJWFWG
        WHWEWMXIVKWFWGWHWEWMXIVLXJWJXIWJWLWEWIXIVMWNXIVPVQWJWLWEWIXIVNABCDEFGHI
        JKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKVRVSWNQVTWA $.
    $}
  $}

  ${
    cdleme22.l $e |- .<_ = ( le ` K ) $.
    cdleme22.j $e |- .\/ = ( join ` K ) $.
    cdleme22.m $e |- ./\ = ( meet ` K ) $.
    cdleme22.a $e |- A = ( Atoms ` K ) $.
    cdleme22.h $e |- H = ( LHyp ` K ) $.
    ${
      cdleme22.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph, 3rd line
         on p. 115.  Show that t ` \/ ` v = p ` \/ ` q implies v = u.
         (Contributed by NM, 2-Dec-2012.) $)
      cdleme22aa $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ Q e. A /\ P =/= Q )
           /\ ( V e. A /\ V .<_ W /\ V .<_ ( P .\/ Q ) ) ) -> V = U ) $=
        ( wcel wa wbr chlt wn wne w3a co wceq simp33 simp32 clat cbs cfv simp1l
        wb hllatd simp31 eqid atbase syl simp21l simp22 hlatjcl syl3anc lhpbase
        simp1r latlem12 syl13anc mpbi2and breqtrrdi cal simp21r simp23 cdleme0a
        hlatl syl222anc atcmp mpbid ) GUARZKERZSZBARZBKHTUBZSZCARZBCUCZUDZJARZJ
        KHTZJBCFUEZHTZUDZUDZJDHTZJDUFZWKJWHKIUEZDHWKWIWGJWNHTZVSWEWFWGWIUGVSWEW
        FWGWIUHWKGUIRJGUJUKZRZWHWPRZKWPRZWIWGSWOUMWKGVQVRWEWJULZUNWKWFWQVSWEWFW
        GWIUOZAWPJGWPUPZOUQURWKVQVTWCWRWTVTWAWCWDVSWJUSZVSWBWCWDWJUTZAWPFGBCXBM
        OVAVBWKVRWSVQVRWEWJVDZWPEGKXBPVCURWPGHIJWHKXBLNVEVFVGQVHWKGVIRZWFDARZWL
        WMUMWKVQXFWTGVMURXAWKVQVRVTWAWCWDXGWTXEXCVTWAWCWDVSWJVJXDVSWBWCWDWJVKAB
        CDEFGHIKLMNOPQVLVNAJDGHLOVOVBVP $.

      $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph, 3rd line
         on p. 115.  Show that t ` \/ ` v = p ` \/ ` q implies v = u.
         (Contributed by NM, 30-Nov-2012.) $)
      cdleme22a $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( ( P e. A /\ -. P .<_ W ) /\ Q e. A /\ T e. A )
         /\ ( ( V e. A /\ V .<_ W ) /\ P =/= Q
           /\ ( T .\/ V ) = ( P .\/ Q ) ) )
     -> V = U ) $=
        ( wcel wbr chlt wa wn w3a wne wceq simp21 simp22 simp32 simp31l simp31r
        co simp1l simp23 hlatlej2 syl3anc simp33 breqtrd cdleme22aa syl133anc
        simp1 ) HUASZLFSZUBZBASBLITUCUBZCASZDASZUDZKASZKLITZUBZBCUEZDKGULZBCGUL
        ZUFZUDZUDZVDVEVFVLVIVJKVNITKEUFVDVHVPVAVDVEVFVGVPUGVDVEVFVGVPUHVDVHVKVL
        VOUIVIVJVLVOVDVHUJZVIVJVLVOVDVHUKVQKVMVNIVQVBVGVIKVMITVBVCVHVPUMVDVEVFV
        GVPUNVRADKGHIMNPUOUPVDVHVKVLVOUQURABCEFGHIJKLMNOPQRUSUT $.
    $}

    $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph, 5th line on
       p. 115.  Show that t ` \/ ` v =/= p ` \/ ` q and s ` <_ ` p ` \/ ` q
       implies ` -. ` t ` <_ ` p ` \/ ` q.  (Contributed by NM, 2-Dec-2012.) $)
    cdleme22b $p |- ( ( ( K e. HL
           /\ ( S e. A /\ T e. A /\ S =/= T ) )
       /\ ( P e. A /\ Q e. A /\ P =/= Q )
       /\ ( V e. A
           /\ ( ( T .\/ V ) =/= ( P .\/ Q ) /\ S .<_ ( T .\/ V )
           /\ S .<_ ( P .\/ Q ) ) ) )
    -> -. T .<_ ( P .\/ Q ) ) $=
      ( wcel wa wbr adantr chlt wne w3a co cp0 cfv wceq wo clln simp1r1 simp1r2
      simp1l simp1r3 eqid llni2 syl31anc llnneat syl2anc llnn0 jca df-ne anbi2i
      pm4.56 bitri sylib simp3r2 simp3l hlatlej1 syl3anc clat cbs hllatd atbase
      wn wb syl hlatjcl latjle12 syl13anc mpbi2and simpr simp21 simp22 latlem12
      simp3r3 ex wi cops hlop simprl simprr leat3 exp32 breq2 biimpa syl5ib imp
      ople0 olcd simp3r1 2atmat0 syl33anc mpjaod syld mtod ) HUAQZDAQZEAQZDEUBZ
      UCZRZBAQZCAQZBCUBZUCZKAQZEKGUDZBCGUDZUBZDXQISZDXRISZUCZRZUCZEXRISZDEGUDZA
      QZYFHUEUFZUGZUHZYDYGVNZYFYHUBZRZYJVNZYDYKYLYDXFYFHUIUFZQZYKXFXJXOYCULZYDX
      FXGXHXIYPYQXGXHXIXFXOYCUJZXGXHXIXFXOYCUKZXGXHXIXFXOYCUMADEGHYOMOYOUNZUOUP
      ZAHYOYFOYTUQURYDXFYPYLYQUUAHYOYFYHYHUNZYTUSURUTYMYKYIVNZRYNYLUUCYKYFYHVAV
      BYGYIVCVDVEYDYEYFXQXRJUDZISZYJYDYEUUEYDYERZYFXQISZYFXRISZUUEYDUUGYEYDXTEX
      QISZUUGXSXTYAXPXKXOVFYDXFXHXPUUIYQYSXKXOXPYBVGZAEKGHILMOVHVIYDHVJQZDHVKUF
      ZQZEUULQZXQUULQZXTUUIRUUGVOYDHYQVLZYDXGUUMYRAUULDHUULUNZOVMVPZYDXHUUNYSAU
      ULEHUUQOVMVPZYDXFXHXPUUOYQYSUUJAUULGHEKUUQMOVQVIZUULGHIDEXQUUQLMVRVSVTTUU
      FYAYEUUHYDYAYEXSXTYAXPXKXOWETYDYEWAYDYAYERUUHVOZYEYDUUKUUMUUNXRUULQZUVAUU
      PUURUUSYDXFXLXMUVBYQXKXLXMXNYCWBZXKXLXMXNYCWCZAUULGHBCUUQMOVQVIZUULGHIDEX
      RUUQLMVRVSTVTYDUUGUUHRUUEVOZYEYDUUKYFUULQZUUOUVBUVFUUPYDXFXGXHUVGYQYRYSAU
      ULGHDEUUQMOVQVIZUUTUVEUULHIJYFXQXRUUQLNWDVSTVTWFYDUUDAQZUUEYJWGUUDYHUGZYD
      UVIUUEYJYDUVIUUERZRHWHQZUVGUVIUUEYJYDUVLUVKYDXFUVLYQHWIVPZTYDUVGUVKUVHTYD
      UVIUUEWJYDUVIUUEWKAUULUUDHIYFYHUUQLUUBOWLUPWMYDUVJUUEYJYDUVJUUERZRYIYGYDU
      VNYIUVNYFYHISZYDYIUVJUUEUVOUUDYHYFIWNWOYDUVLUVGUVOYIVOUVMUVHUULHIYFYHUUQL
      UUBWRURWPWQWSWMYDXFXHXPXLXMXSUVIUVJUHYQYSUUJUVCUVDXSXTYAXPXKXOWTAEKBCGHJY
      HMNUUBOXAXBXCXDXE $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph, 5th line on
       p. 115.  Show that t ` \/ ` v =/= p ` \/ ` q and s ` <_ ` p ` \/ ` q
       implies ` -. ` v ` <_ ` p ` \/ ` q.  (Contributed by NM, 3-Dec-2012.)
       (New usage is discouraged.) $)
    cdleme22cN $p |- ( ( ( ( K e. HL /\ W e. H )
        /\ ( P e. A /\ -. P .<_ W ) /\ Q e. A )
     /\ ( ( S e. A /\ -. S .<_ W ) /\ T e. A /\ ( V e. A /\ V .<_ W ) )
     /\ ( ( P =/= Q /\ S =/= T )
        /\ ( S .<_ ( T .\/ V ) /\ S .<_ ( P .\/ Q ) )
        /\ ( T .\/ V ) =/= ( P .\/ Q ) ) )
       -> -. V .<_ ( P .\/ Q ) ) $=
      ( wcel wbr adantr chlt wa wn w3a wne co cbs simp11l hllatd simp12l simp13
      clat cfv eqid hlatjcl syl3anc simp11r lhpbase syl latmle2 simp21r syl2anc
      wceq simp32l simpl12 simpl13 simp31l simp23l simp23r cdleme22aa syl233anc
      nbrne2 simpr oveq2d breqtrd simp32r simp21l atbase simp22 lhpat syl222anc
      simp12r latlem12 syl13anc mpbi2and cp0 simp31r simp33 cdleme22b syl232anc
      wb 3jca cal hlatl atnle oveq1d latmle1 atmod4i1 syl131anc col hlol latmcl
      mpbid olj02 3eqtr3d atcmp eqcomd ex necon3ad mpd ) HUARZLFRZUBZBARZBLISUC
      ZUBZCARZUDZDARZDLISUCZUBZEARZKARZKLISZUBZUDZBCUEZDEUEZUBZDEKGUFZISZDBCGUF
      ZISZUBZYJYLUEZUDZUDZYLLJUFZDUEZKYLISZUCYQYRLISZXTYSYQHULRZYLHUGUMZRZLUUCR
      ZUUAYQHXKXLXPXQYFYPUHZUIZYQXKXNXQUUDUUFXNXOXMXQYFYPUJZXMXPXQYFYPUKZAUUCGH
      BCUUCUNZNPUOUPZYQXLUUEXKXLXPXQYFYPUQZUUCFHLUUJQURUSZUUCHIJYLLUUJMOUTUPXSX
      TYBYEXRYPVAYRDLIVLVBYQYTYRDYQYTYRDVCYQYTUBZDYRUUNDYRISZDYRVCZUUNDEYRGUFZY
      LJUFZYRIUUNDUUQISZYMDUURISZUUNDYJUUQIYQYKYTYKYMYIYOXRYFVDZTUUNKYREGUUNXKX
      LXPXQYGYCYDYTKYRVCYQXKYTUUFTYQXLYTUULTXMXPXQYFYPYTVEXMXPXQYFYPYTVFYQYGYTY
      GYHYNYOXRYFVGZTYQYCYTYCYDYAYBXRYPVHZTYQYDYTYCYDYAYBXRYPVITYQYTVMABCYRFGHI
      JKLMNOPQYRUNVJVKVNVOYQYMYTYKYMYIYOXRYFVPZTYQUUSYMUBUUTWKZYTYQUUBDUUCRZUUQ
      UUCRZUUDUVEUUGYQXSUVFXSXTYBYEXRYPVQZAUUCDHUUJPVRUSYQXKYBYRARZUVGUUFXRYAYB
      YEYPVSZYQXKXLXNXOXQYGUVIUUFUULUUHXNXOXMXQYFYPWBUUIUVBABCFGHIJLMNOPQVTWAZA
      UUCGHEYRUUJNPUOUPUUKUUCHIJDUUQYLUUJMOWCWDTWEYQUURYRVCYTYQEYLJUFZYRGUFZHWF
      UMZYRGUFZUURYRYQUVLUVNYRGYQEYLISUCZUVLUVNVCZYQXKXSYBYHUDXNXQYGYCYOYKYMUDU
      VPUUFYQXSYBYHUVHUVJYGYHYNYOXRYFWGWLUUHUUIUVBUVCYQYOYKYMXRYFYIYNYOWHUVAUVD
      WLABCDEFGHIJKMNOPQWIWJYQHWMRZYBUUDUVPUVQWKYQXKUVRUUFHWNUSZUVJUUKAUUCEHIJY
      LUVNUUJMOUVNUNZPWOUPXCWPYQXKUVIEUUCRZUUDYRYLISZUVMUURVCUUFUVKYQYBUWAUVJAU
      UCEHUUJPVRUSUUKYQUUBUUDUUEUWBUUGUUKUUMUUCHIJYLLUUJMOWQUPAUUCYRGHIJEYLUUJM
      NOPWRWSYQHWTRZYRUUCRZUVOYRVCYQXKUWCUUFHXAUSYQUUBUUDUUEUWDUUGUUKUUMUUCHJYL
      LUUJOXBUPUUCGHYRUVNUUJNUVTXDVBXETVOYQUUOUUPWKZYTYQUVRXSUVIUWEUVSUVHUVKADY
      RHIMPXFUPTXCXGXHXIXJ $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph, 9th line on
       p. 115.  (Contributed by NM, 4-Dec-2012.) $)
    cdleme22d $p |- ( ( ( K e. HL /\ W e. H )
      /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
         /\ ( V e. A /\ V .<_ W ) )
    /\ ( S =/= T /\ S .<_ ( T .\/ V ) ) ) -> V = ( ( S .\/ T ) ./\ W ) ) $=
      ( wcel wa wbr co syl chlt wn w3a wne wceq simp3r simp22l simp23l hlatlej1
      simp1l syl3anc clat cbs cfv hllatd simp21l eqid hlatjcl latjle12 syl13anc
      wb atbase mpbi2and wi simp1r lhpbase latmlem1 mpd cp0 simp1 simp22 lhpmat
      syl2anc oveq1d simp23r atmod4i1 syl131anc col olj02 3eqtr3d breqtrd hlatl
      hlol cal simp21r simp3l lhpat syl222anc atcmp mpbid eqcomd ) FUAPZJDPZQZB
      APZBJGRUBZQZCAPZCJGRUBZQZIAPZIJGRZQZUCZBCUDZBCIESZGRZQZUCZBCESZJHSZIXIXKI
      GRZXKIUEZXIXKXFJHSZIGXIXJXFGRZXKXNGRZXIXGCXFGRZXOWNXDXEXGUFXIWLWRXAXQWLWM
      XDXHUJZWRWSWQXCWNXHUGZXAXBWQWTWNXHUHZACIEFGKLNUIUKXIFULPZBFUMUNZPZCYBPZXF
      YBPZXGXQQXOVAXIFXRUOZXIWOYCWOWPWTXCWNXHUPZAYBBFYBUQZNVBTXIWRYDXSAYBCFYHNV
      BTZXIWLWRXAYEXRXSXTAYBEFCIYHLNURUKZYBEFGBCXFYHKLUSUTVCXIYAXJYBPZYEJYBPZXO
      XPVDYFXIWLWOWRYKXRYGXSAYBEFBCYHLNURUKYJXIWMYLWLWMXDXHVEZYBDFJYHOVFTZYBFGH
      XJXFJYHKMVGUTVHXICJHSZIESZFVIUNZIESZXNIXIYOYQIEXIWNWTYOYQUEWNXDXHVJWNWQWT
      XCXHVKACDFGHJYQKMYQUQZNOVLVMVNXIWLXAYDYLXBYPXNUEXRXTYIYNXAXBWQWTWNXHVOAYB
      IEFGHCJYHKLMNVPVQXIFVRPZIYBPZYRIUEXIWLYTXRFWCTXIXAUUAXTAYBIFYHNVBTYBEFIYQ
      YHLYSVSVMVTWAXIFWDPZXKAPZXAXLXMVAXIWLUUBXRFWBTXIWLWMWOWPWRXEUUCXRYMYGWOWP
      WTXCWNXHWEXSWNXDXEXGWFABCDEFGHJKLMNOWGWHXTAXKIFGKNWIUKWJWK $.

    ${
      cdleme22e.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
      cdleme22e.f $e |- F
          = ( ( z .\/ U ) ./\ ( Q .\/ ( ( P .\/ z ) ./\ W ) ) ) $.
      cdleme22e.n $e |- N
          = ( ( P .\/ Q ) ./\ ( F .\/ ( ( S .\/ z ) ./\ W ) ) ) $.
      cdleme22e.o $e |- O
          = ( ( P .\/ Q ) ./\ ( F .\/ ( ( T .\/ z ) ./\ W ) ) ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph, 4th line
         on p. 115. ` F ` , ` N ` , ` O ` represent f(z), f_z(s), f_z(t)
         respectively.  When t ` \/ ` v = p ` \/ ` q, f_z(s) ` <_ ` f_z(t)
         ` \/ ` v.  (Contributed by NM, 6-Dec-2012.) $)
      cdleme22e $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
            /\ ( S e. A /\ T e. A ) )
         /\ ( ( V e. A /\ V .<_ W ) /\ ( P =/= Q
          /\ ( T .\/ V ) = ( P .\/ Q ) )
             /\ ( z e. A /\ -. z .<_ W ) ) )
          -> N .<_ ( O .\/ V ) ) $=
        ( chlt wcel wa wbr wn w3a wne co wceq cv clat cbs simp1l hllatd simp21l
        cfv simp22l hlatjcl syl3anc simp1r simp33l cdleme1b simp23l lhpbase syl
        eqid syl23anc latmcl latjcl latmle1 simp1 simp21 simp23r simp31 simp32l
        eqbrtrid simp32r cdleme22a syl133anc oveq2d simp21r cdleme0a cdlemeulpq
        oveq1i syl222anc syl22anc atmod2i1 eqtr2id eqtr4d eqtr3d atbase latlej1
        hlatj32 syl13anc latj32 cp1 hlatlej1 atmod3i1 lhpjat2 syl21anc col hlol
        syl131anc syl2anc 3eqtrd oveq1d oveq2i hlatlej2 syl5eq 3eqtr4rd latlej2
        olm11 simp22 atmod1i1 lattrd wb latleeqm1 simp33 eqtr2d breqtrd eqbrtrd
        eqtrd mpbid ) KUGUHZQIUHZUIZCBUHZCQLUJUKZUIZDBUHZDQLUJUKZUIZEBUHZFBUHZU
        IZULZPBUHPQLUJUIZCDUMZFPJUNZCDJUNZUOZUIZAUPZBUHZUUIQLUJUKZUIZULZULZNUUF
        OPJUNZLUUNNUUFHEUUIJUNZQMUNZJUNZMUNZUUFLUEUUNKUQUHZUUFKURVBZUHZUURUVAUH
        ZUUSUUFLUJUUNKYJYKUUBUUMUSZUTZUUNYJYMYPUVBUVDYMYNYRUUAYLUUMVAZYPYQYOUUA
        YLUUMVCZBUVAJKCDUVAVLZSUAVDVEZUUNUUTHUVAUHZUUQUVAUHZUVCUVEUUNYJYKYMYPUU
        JUVJUVDYJYKUUBUUMVFZUVFUVGUUJUUKUUCUUHYLUUBVGZBUVACDUUIGHIJKLMQRSTUAUBU
        CUDUVHVHVMZUUNUUTUUPUVAUHZQUVAUHZUVKUVEUUNYJYSUUJUVOUVDYSYTYOYRYLUUMVIU
        VMBUVAJKEUUIUVHSUAVDVEUUNYKUVPUVLUVAIKQUVHUBVJVKZUVAKMUUPQUVHTVNVEUVAJK
        HUUQUVHSVOVEUVAKLMUUFUURUVHRTVPVEWBUUNUUOUUFHFUUIJUNZQMUNZJUNZGJUNZMUNZ
        UUFUUNUUOOGJUNZUWBUUNPGOJUUNYLYOYPYTUUCUUDUUGPGUOYLUUBUUMVQYLYOYRUUAUUM
        VRZUVGYSYTYOYRYLUUMVSZYLUUBUUCUUHUULVTUUDUUGUUCUULYLUUBWAZUUDUUGUUCUULY
        LUUBWCZBCDFGIJKLMPQRSTUAUBUCWDWEZWFUUNUWCUUFUVTMUNZGJUNZUWBOUWIGJUFWJUU
        NYJGBUHZUVBUVTUVAUHZGUUFLUJZUWJUWBUOUVDUUNYJYKYMYNYPUUDUWKUVDUVLUVFYMYN
        YRUUAYLUUMWGUVGUWFBCDGIJKLMQRSTUAUBUCWHWKZUVIUUNUUTUVJUVSUVAUHZUWLUVEUV
        NUUNUUTUVRUVAUHZUVPUWOUVEUUNYJYTUUJUWPUVDUWEUVMBUVAJKFUUIUVHSUAVDVEZUVQ
        UVAKMUVRQUVHTVNVEZUVAJKHUVSUVHSVOVEZUUNYJYKYMYPUWMUVDUVLUVFUVGBCDGIJKLM
        QRSTUAUBUCWIWLZBUVAGJKLMUUFUVTUVHRSTUAWMXIWNWOUUNUUFUWALUJZUWBUUFUOZUUN
        UUFFGJUNZUWALUUNUUEUUFUXCUWGUUNPGFJUWHWFWPUUNUXCUXCUUIJUNZUWALUUNUUTUXC
        UVAUHZUUIUVAUHZUXCUXDLUJUVEUUNYJYTUWKUXEUVDUWEUWNBUVAJKFGUVHSUAVDVEUUNU
        UJUXFUVMBUVAUUIKUVHUAWQVKZUVAJKLUXCUUIUVHRSWRVEUUNUXDUVRGJUNZUWAUUNYJYT
        UWKUUJUXDUXHUOUVDUWEUWNUVMBFGUUIJKSUAWSWTUUNUUIGJUNZUVSJUNZUUIUVSJUNZGJ
        UNZUWAUXHUUNUUTUXFGUVAUHZUWOUXJUXLUOUVEUXGUUNUWKUXMUWNBUVAGKUVHUAWQVKZU
        WRUVAJKUUIGUVSUVHSXAWTUUNUWAHGJUNZUVSJUNZUXJUUNUUTUVJUWOUXMUWAUXPUOUVEU
        VNUWRUXNUVAJKHUVSGUVHSXAWTUUNUXOUXIUVSJUUNUXOUUIGUUFUUIJUNZMUNZJUNZUXIU
        UNUXIUXQMUNZUXIDCUUIJUNZQMUNZJUNZGJUNZMUNZUXSUXOUUNUXQUYDUXIMUUNUXQDGJU
        NZUYBJUNZUYDUUNCUYBJUNZDJUNZUYADJUNZUYGUXQUUNUYHUYADJUUNUYHUYACQJUNZMUN
        ZUYAKXBVBZMUNZUYAUUNYJYMUYAUVAUHZUVPCUYALUJZUYHUYLUOUVDUVFUUNYJYMUUJUYO
        UVDUVFUVMBUVAJKCUUIUVHSUAVDVEZUVQUUNYJYMUUJUYPUVDUVFUVMBCUUIJKLRSUAXCVE
        BUVACJKLMUYAQUVHRSTUAXDXIUUNUYKUYMUYAMUUNYJYKYOUYKUYMUOUVDUVLUWDBCUYMIJ
        KLQRSUYMVLZUAUBXEXFWFUUNKXGUHZUYOUYNUYAUOUUNYJUYSUVDKXHVKZUYQUVAUYMKMUY
        AUVHTUYRXRXJXKXLUUNUYGUUFUYBJUNZUYIUUNUYFUUFUYBJUUNUYFUUFDQJUNZMUNZUUFU
        YMMUNZUUFUUNUYFDUUFQMUNZJUNZVUCGVUEDJUCXMUUNYJYPUVBUVPDUUFLUJZVUFVUCUOU
        VDUVGUVIUVQUUNYJYMYPVUGUVDUVFUVGBCDJKLRSUAXNVEBUVADJKLMUUFQUVHRSTUAXDXI
        XOUUNVUBUYMUUFMUUNYJYKYRVUBUYMUOUVDUVLYLYOYRUUAUUMXSBDUYMIJKLQRSUYRUAUB
        XEXFWFUUNUYSUVBVUDUUFUOUYTUVIUVAUYMKMUUFUVHTUYRXRXJXKXLUUNUUTCUVAUHZUYB
        UVAUHZDUVAUHZUYIVUAUOUVEUUNYMVUHUVFBUVACKUVHUAWQVKUUNUUTUYOUVPVUIUVEUYQ
        UVQUVAKMUYAQUVHTVNVEZUUNYPVUJUVGBUVADKUVHUAWQVKZUVAJKCUYBDUVHSXAWTWOUUN
        YJYMYPUUJUXQUYJUOUVDUVFUVGUVMBCDUUIJKSUAWSWTXPUUNUUTVUJUXMVUIUYGUYDUOUV
        EVULUXNVUKUVAJKDGUYBUVHSXAWTYHWFUUNYJUUJUXMUXQUVAUHZUUIUXQLUJZUXSUXTUOU
        VDUVMUXNUUNUUTUVBUXFVUMUVEUVIUXGUVAJKUUFUUIUVHSVOVEZUUNUUTUVBUXFVUNUVEU
        VIUXGUVAJKLUUFUUIUVHRSXQVEBUVAUUIJKLMGUXQUVHRSTUAXTXIUUNUXOUXIUYCMUNZGJ
        UNZUYEHVUPGJUDWJUUNYJUWKUXIUVAUHZUYCUVAUHZGUXILUJZVUQUYEUOUVDUWNUUNYJUU
        JUWKVURUVDUVMUWNBUVAJKUUIGUVHSUAVDVEUUNUUTVUJVUIVUSUVEVULVUKUVAJKDUYBUV
        HSVOVEUUNYJUUJUWKVUTUVDUVMUWNBUUIGJKLRSUAXNVEBUVAGJKLMUXIUYCUVHRSTUAWMX
        IXOXPUUNUXRGUUIJUUNGUXQLUJZUXRGUOZUUNUVAKLGUUFUXQUVHRUVEUXNUVIVUOUWTUUN
        UUTUVBUXFUUFUXQLUJUVEUVIUXGUVAJKLUUFUUIUVHRSWRVEYAUUNUUTUXMVUMVVAVVBYBU
        VEUXNVUOUVAKLMGUXQUVHRTYCVEYIWFYHXLYHUUNUVRUXKGJUUNUXKUVRUYMMUNZUVRUUNU
        XKUVRUUIQJUNZMUNZVVCUUNYJUUJUWPUVPUUIUVRLUJZUXKVVEUOUVDUVMUWQUVQUUNYJYT
        UUJVVFUVDUWEUVMBFUUIJKLRSUAXNVEBUVAUUIJKLMUVRQUVHRSTUAXDXIUUNVVDUYMUVRM
        UUNYJYKUULVVDUYMUOUVDUVLYLUUBUUCUUHUULYDBUUIUYMIJKLQRSUYRUAUBXEXFWFYHUU
        NUYSUWPVVCUVRUOUYTUWQUVAUYMKMUVRUVHTUYRXRXJYEXLXPYHYFYGUUNUUTUVBUWAUVAU
        HZUXAUXBYBUVEUVIUUNUUTUWLUXMVVGUVEUWSUXNUVAJKUVTGUVHSVOVEUVAKLMUUFUWAUV
        HRTYCVEYIYEYF $.
    $}

    ${
      cdleme22eALT.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
      cdleme22eALT.f $e |- F
          = ( ( y .\/ U ) ./\ ( Q .\/ ( ( P .\/ y ) ./\ W ) ) ) $.
      cdleme22eALT.g $e |- G
          = ( ( z .\/ U ) ./\ ( Q .\/ ( ( P .\/ z ) ./\ W ) ) ) $.
      cdleme22eALT.n $e |- N
          = ( ( P .\/ Q ) ./\ ( F .\/ ( ( S .\/ y ) ./\ W ) ) ) $.
      cdleme22eALT.o $e |- O
          = ( ( P .\/ Q ) ./\ ( G .\/ ( ( T .\/ z ) ./\ W ) ) ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph, 4th line
         on p. 115. ` F ` , ` N ` , ` O ` represent f(z), f_z(s), f_z(t)
         respectively.  When t ` \/ ` v = p ` \/ ` q, f_z(s) ` <_ ` f_z(t)
         ` \/ ` v.  (Contributed by NM, 6-Dec-2012.)
         (New usage is discouraged.) $)
      cdleme22eALTN $p |- ( ( ( K e. HL /\ W e. H /\ T e. A )
         /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
          /\ P =/= Q ) /\ ( S e. A
             /\ ( V e. A /\ V .<_ W /\ ( T .\/ V ) = ( P .\/ Q ) )
             /\ ( ( y e. A /\ -. y .<_ W ) /\ ( z e. A /\ -. z .<_ W ) ) ) )
          -> N .<_ ( O .\/ V ) ) $=
        ( chlt wcel w3a wbr wn wa wne co wceq cv clat cbs simp11 hllatd simp21l
        simp22l eqid hlatjcl syl3anc simp3ll 3ad2ant3 cdleme1b syl23anc lhpbase
        cfv simp12 simp31 latmcl latjcl latmle1 eqbrtrid simp21 simp321 simp322
        syl simp13 jca simp23 simp323 cdleme22a syl233anc oveq2d oveq1i simp21r
        cdleme0a syl222anc simp3rl cdlemeulpq syl22anc syl131anc eqtr2id eqtr3d
        atmod2i1 atbase latlej1 hlatj32 syl13anc cp1 hlatlej1 atmod3i1 syl21anc
        latj32 lhpjat2 hlol syl2anc 3eqtrd oveq1d oveq2i hlatlej2 syl5eq simp22
        col olm11 eqtr4d 3eqtr4rd eqtrd latlej2 atmod1i1 lattrd latleeqm1 mpbid
        wb simp33r 3eqtrrd breqtrd eqbrtrd 3eqtr2rd ) MUJUKZSKUKZGCUKZULZDCUKZD
        SNUMUNZUOZECUKZESNUMUNZUOZDEUPZULZFCUKZRCUKZRSNUMZGRLUQZDELUQZURZULZAUS
        ZCUKZUUPSNUMUNZUOZBUSZCUKZUUTSNUMUNZUOZUOZULZULZPUUMQRLUQZNUVFPUUMIFUUP
        LUQZSOUQZLUQZOUQZUUMNUHUVFMUTUKZUUMMVAVNZUKZUVJUVMUKZUVKUUMNUMUVFMYQYRY
        SUUHUVEVBZVCZUVFYQUUAUUDUVNUVPUUAUUBUUFUUGYTUVEVDZUUDUUEUUCUUGYTUVEVEZC
        UVMLMDEUVMVFZUAUCVGVHZUVFUVLIUVMUKZUVIUVMUKZUVOUVQUVFYQYRUUAUUDUUQUWBUV
        PYQYRYSUUHUVEVOZUVRUVSUVEYTUUQUUHUUQUURUVCUUIUUOVIVJZCUVMDEUUPHIKLMNOST
        UAUBUCUDUEUFUVTVKVLUVFUVLUVHUVMUKZSUVMUKZUWCUVQUVFYQUUIUUQUWFUVPYTUUHUU
        IUUOUVDVPUWECUVMLMFUUPUVTUAUCVGVHUVFYRUWGUWDUVMKMSUVTUDVMWDZUVMMOUVHSUV
        TUBVQVHUVMLMIUVIUVTUAVRVHUVMMNOUUMUVJUVTTUBVSVHVTUVFUVGQHLUQZUUMJGUUTLU
        QZSOUQZLUQZHLUQZOUQZUUMUVFRHQLUVFYQYRUUCUUDYSUUJUUKUOUUGUUNRHURUVPUWDYT
        UUCUUFUUGUVEWAZUVSYQYRYSUUHUVEWEZUVFUUJUUKUUJUUKUUNUUIUVDYTUUHWBUUJUUKU
        UNUUIUVDYTUUHWCWFYTUUCUUFUUGUVEWGZUUJUUKUUNUUIUVDYTUUHWHZCDEGHKLMNORSTU
        AUBUCUDUEWIWJZWKUVFUWIUUMUWLOUQZHLUQZUWNQUWTHLUIWLUVFYQHCUKZUVNUWLUVMUK
        ZHUUMNUMZUXAUWNURUVPUVFYQYRUUAUUBUUDUUGUXBUVPUWDUVRUUAUUBUUFUUGYTUVEWMU
        VSUWQCDEHKLMNOSTUAUBUCUDUEWNWOZUWAUVFUVLJUVMUKZUWKUVMUKZUXCUVQUVFYQYRUU
        AUUDUVAUXFUVPUWDUVRUVSUVEYTUVAUUHUVAUVBUUSUUIUUOWPVJZCUVMDEUUTHJKLMNOST
        UAUBUCUDUEUGUVTVKVLZUVFUVLUWJUVMUKZUWGUXGUVQUVFYQYSUVAUXJUVPUWPUXHCUVML
        MGUUTUVTUAUCVGVHZUWHUVMMOUWJSUVTUBVQVHZUVMLMJUWKUVTUAVRVHZUVFYQYRUUAUUD
        UXDUVPUWDUVRUVSCDEHKLMNOSTUAUBUCUDUEWQWRZCUVMHLMNOUUMUWLUVTTUAUBUCXBWSW
        TUVFUUMUWMNUMZUWNUUMURZUVFUUMGHLUQZUWMNUVFUULUUMUXQUWRUVFRHGLUWSWKXAUVF
        UXQUXQUUTLUQZUWMNUVFUVLUXQUVMUKZUUTUVMUKZUXQUXRNUMUVQUVFYQYSUXBUXSUVPUW
        PUXECUVMLMGHUVTUAUCVGVHUVFUVAUXTUXHCUVMUUTMUVTUCXCWDZUVMLMNUXQUUTUVTTUA
        XDVHUVFUXRUWJHLUQZUWMUVFYQYSUXBUVAUXRUYBURUVPUWPUXEUXHCGHUUTLMUAUCXEXFU
        VFUUTHLUQZUWKLUQZUUTUWKLUQZHLUQZUWMUYBUVFUVLUXTHUVMUKZUXGUYDUYFURUVQUYA
        UVFUXBUYGUXECUVMHMUVTUCXCWDZUXLUVMLMUUTHUWKUVTUAXKXFUVFUWMJHLUQZUWKLUQZ
        UYDUVFUVLUXFUXGUYGUWMUYJURUVQUXIUXLUYHUVMLMJUWKHUVTUAXKXFUVFUYIUYCUWKLU
        VFUYIUUTHUUMUUTLUQZOUQZLUQZUYCUVFUYCUYKOUQZUYCEDUUTLUQZSOUQZLUQZHLUQZOU
        QZUYMUYIUVFUYKUYRUYCOUVFUYKEHLUQZUYPLUQZUYRUVFDUYPLUQZELUQZUYOELUQZVUAU
        YKUVFVUBUYOELUVFVUBUYODSLUQZOUQZUYOMXGVNZOUQZUYOUVFYQUUAUYOUVMUKZUWGDUY
        ONUMZVUBVUFURUVPUVRUVFYQUUAUVAVUIUVPUVRUXHCUVMLMDUUTUVTUAUCVGVHZUWHUVFY
        QUUAUVAVUJUVPUVRUXHCDUUTLMNTUAUCXHVHCUVMDLMNOUYOSUVTTUAUBUCXIWSUVFVUEVU
        GUYOOUVFYQYRUUCVUEVUGURUVPUWDUWOCDVUGKLMNSTUAVUGVFZUCUDXLXJWKUVFMYAUKZV
        UIVUHUYOURUVFYQVUMUVPMXMWDZVUKUVMVUGMOUYOUVTUBVULYBXNXOXPUVFVUAUUMUYPLU
        QZVUCUVFUYTUUMUYPLUVFUYTUUMESLUQZOUQZUUMVUGOUQZUUMUVFUYTEUUMSOUQZLUQZVU
        QHVUSELUEXQUVFYQUUDUVNUWGEUUMNUMZVUTVUQURUVPUVSUWAUWHUVFYQUUAUUDVVAUVPU
        VRUVSCDELMNTUAUCXRVHCUVMELMNOUUMSUVTTUAUBUCXIWSXSUVFVUPVUGUUMOUVFYQYRUU
        FVUPVUGURUVPUWDYTUUCUUFUUGUVEXTCEVUGKLMNSTUAVULUCUDXLXJWKUVFVUMUVNVURUU
        MURVUNUWAUVMVUGMOUUMUVTUBVULYBXNXOXPUVFUVLDUVMUKZUYPUVMUKZEUVMUKZVUCVUO
        URUVQUVFUUAVVBUVRCUVMDMUVTUCXCWDUVFUVLVUIUWGVVCUVQVUKUWHUVMMOUYOSUVTUBV
        QVHZUVFUUDVVDUVSCUVMEMUVTUCXCWDZUVMLMDUYPEUVTUAXKXFYCUVFYQUUAUUDUVAUYKV
        UDURUVPUVRUVSUXHCDEUUTLMUAUCXEXFYDUVFUVLVVDUYGVVCVUAUYRURUVQVVFUYHVVEUV
        MLMEHUYPUVTUAXKXFYEWKUVFYQUVAUYGUYKUVMUKZUUTUYKNUMZUYMUYNURUVPUXHUYHUVF
        UVLUVNUXTVVGUVQUWAUYAUVMLMUUMUUTUVTUAVRVHZUVFUVLUVNUXTVVHUVQUWAUYAUVMLM
        NUUMUUTUVTTUAYFVHCUVMUUTLMNOHUYKUVTTUAUBUCYGWSUVFUYIUYCUYQOUQZHLUQZUYSJ
        VVJHLUGWLUVFYQUXBUYCUVMUKZUYQUVMUKZHUYCNUMZVVKUYSURUVPUXEUVFYQUVAUXBVVL
        UVPUXHUXECUVMLMUUTHUVTUAUCVGVHUVFUVLVVDVVCVVMUVQVVFVVEUVMLMEUYPUVTUAVRV
        HUVFYQUVAUXBVVNUVPUXHUXECUUTHLMNTUAUCXRVHCUVMHLMNOUYCUYQUVTTUAUBUCXBWSX
        SYDUVFUYLHUUTLUVFHUYKNUMZUYLHURZUVFUVMMNHUUMUYKUVTTUVQUYHUWAVVIUXNUVFUV
        LUVNUXTUUMUYKNUMUVQUWAUYAUVMLMNUUMUUTUVTTUAXDVHYHUVFUVLUYGVVGVVOVVPYKUV
        QUYHVVIUVMMNOHUYKUVTTUBYIVHYJWKYEXPYEUVFUWJUYEHLUVFUYEUWJUUTSLUQZOUQZUW
        JVUGOUQZUWJUVFYQUVAUXJUWGUUTUWJNUMZUYEVVRURUVPUXHUXKUWHUVFYQYSUVAVVTUVP
        UWPUXHCGUUTLMNTUAUCXRVHCUVMUUTLMNOUWJSUVTTUAUBUCXIWSUVFVVQVUGUWJOUVFYQY
        RUVCVVQVUGURUVPUWDUUSUVCUUIUUOYTUUHYLCUUTVUGKLMNSTUAVULUCUDXLXJWKUVFVUM
        UXJVVSUWJURVUNUXKUVMVUGMOUWJUVTUBVULYBXNYMXPYDYEYNYOUVFUVLUVNUWMUVMUKZU
        XOUXPYKUVQUWAUVFUVLUXCUYGVWAUVQUXMUYHUVMLMUWLHUVTUAVRVHUVMMNOUUMUWMUVTT
        UBYIVHYJYPYN $.
    $}

    ${
      cdleme22f.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
      cdleme22f.f $e |- F
          = ( ( T .\/ U ) ./\ ( Q .\/ ( ( P .\/ T ) ./\ W ) ) ) $.
      cdleme22f.n $e |- N
          = ( ( P .\/ Q ) ./\ ( F .\/ ( ( S .\/ T ) ./\ W ) ) ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph, 6th and
         7th lines on p. 115. ` F ` , ` N ` represent f(t), f_t(s)
         respectively.  If s ` <_ ` t ` \/ ` v, then f_t(s) ` <_ ` f(t) ` \/ `
         v.  (Contributed by NM, 6-Dec-2012.) $)
      cdleme22f $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( ( S e. A /\ -. S .<_ W ) /\ T e. A /\ ( V e. A /\ V .<_ W ) )
        /\ ( S =/= T /\ S .<_ ( T .\/ V ) ) )
            -> N .<_ ( F .\/ V ) ) $=
        ( chlt wcel wa wbr wn w3a wne co cbs cfv simp11l hllatd simp12l simp13l
        clat eqid hlatjcl syl3anc simp11r cdleme1b syl23anc simp21l lhpbase syl
        simp22 latmcl latjcl latmle2 wceq simp21 simp3l simp23l simp3r hlatjcom
        simp23r breqtrd clc hlcvl cvlatexch2 syl131anc mpd cdleme22aa syl233anc
        wi oveq2d breqtrrd eqbrtrid ) JUDUEZOHUEZUFZBAUEZBOKUGUHZUFZCAUEZCOKUGU
        HZUFZUIZDAUEZDOKUGUHZUFZEAUEZNAUEZNOKUGZUFZUIZDEUJZDENIUKZKUGZUFZUIZMBC
        IUKZGDEIUKZOLUKZIUKZLUKZGNIUKZKUCXMXRXQXSKXMJURUEZXNJULUMZUEZXQYAUEZXRX
        QKUGXMJWKWLWPWSXHXLUNZUOZXMWKWNWQYBYDWNWOWMWSXHXLUPZWQWRWMWPXHXLUQZAYAI
        JBCYAUSZQSUTVAXMXTGYAUEZXPYAUEZYCYEXMWKWLWNWQXDYIYDWKWLWPWSXHXLVBZYFYGW
        TXCXDXGXLVHZAYABCEFGHIJKLOPQRSTUAUBYHVCVDXMXTXOYAUEZOYAUEZYJYEXMWKXAXDY
        MYDXAXBXDXGWTXLVEZYLAYAIJDEYHQSUTVAXMWLYNYKYAHJOYHTVFVGYAJLXOOYHRVIVAYA
        IJGXPYHQVJVAYAJKLXNXQYHPRVKVAXMNXPGIXMWKWLXCXDXIXEXFNXOKUGZNXPVLYDYKWTX
        CXDXGXLVMYLWTXHXIXKVNZXEXFXCXDWTXLVOZXEXFXCXDWTXLVRXMDNEIUKZKUGZYPXMDXJ
        YSKWTXHXIXKVPXMWKXDXEXJYSVLYDYLYRAIJENQSVQVAVSXMJVTUEZXAXEXDXIYTYPWGXMW
        KUUAYDJWAVGYOYRYLYQADNEIJKPQSWBWCWDADEXPHIJKLNOPQRSTXPUSWEWFWHWIWJ $.
    $}

    ${
      cdleme22f2.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
      cdleme22f2.f $e |- F
          = ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) ) $.
      cdleme22f2.n $e |- N
          = ( ( P .\/ Q ) ./\ ( F .\/ ( ( T .\/ S ) ./\ W ) ) ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113. ~ cdleme22f with s and t
         swapped (this case is not mentioned by them).  If s ` <_ ` t ` \/ ` v,
         then f(s) ` <_ ` f_s(t) ` \/ ` v.  (Contributed by NM, 7-Dec-2012.) $)
      cdleme22f2 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( T e. A /\ -. T .<_ W )
              /\ ( -. S .<_ ( P .\/ Q ) /\ T .<_ ( P .\/ Q ) /\ P =/= Q ) )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( ( S e. A /\ -. S .<_ W ) /\ ( S =/= T /\ S .<_ ( T .\/ V ) )
               /\ ( V e. A /\ V .<_ W ) ) )
            -> F .<_ ( N .\/ V ) ) $=
        ( chlt wcel wa wbr wn co wne simp11 simp2l simp2r simp12 simp31l simp33
        w3a simp32l necomd simp32r clc wi simp11l hlcvl simp12l simp33l simp33r
        syl simp31r nbrne2 syl2anc cvlatexch2 syl131anc mpd cdleme22f syl132anc
        simp31 simp133 simp132 simp131 cdleme7ga syl123anc cdleme3fa cdleme7
        3jca ) JUDUEZOHUEZUFZEAUEZEOKUGUHZUFZDBCIUIZKUGUHZEWLKUGZBCUJZUQZUQZBAU
        EBOKUGUHUFZCAUECOKUGUHUFZUFZDAUEZDOKUGUHZUFZDEUJZDENIUIKUGZUFZNAUEZNOKU
        GZUFZUQZUQZMGNIUIKUGZGMNIUIKUGZXKWHWRWSUQZWKXAXIEDUJEDNIUIKUGZXLXKWHWRW
        SWHWKWPWTXJUKZWQWRWSXJULZWQWRWSXJUMZWEZWHWKWPWTXJUNZXAXBXFXIWQWTUOZWQWT
        XCXFXIUPXKDEXDXEXCXIWQWTURUSXKXEXOXDXEXCXIWQWTUTXKJVAUEZXAWIXGDNUJZXEXO
        VBXKWFYBWFWGWKWPWTXJVCJVDVHZYAWIWJWHWPWTXJVEXGXHXCXFWQWTVFZXKXHXBYCXGXH
        XCXFWQWTVGZXAXBXFXIWQWTVIXHXBUFNDNDOKVJUSVKADENIJKPQSVLVMVNABCEDFGHIJKL
        MNOPQRSTUAUBUCVOVPXKYBMAUEZGAUEZXGMNUJZXLXMVBYDXKXNWKXCWOWNWMYGXSXTWQWT
        XCXFXIVQZWMWNWOWHWKWTXJVRZWMWNWOWHWKWTXJVSZWMWNWOWHWKWTXJVTZABCEDFGMHIJ
        KLOPQRSTUAUBUCWAWBXKWHWRWSXCWOWMYHXPXQXRYJYKYMABCDFGHIJKLOPQRSTUAUBWCVP
        YEXKXHMOKUGUHZYIYFXKXNWKXCWOWNWMYNXSXTYJYKYLYMABCEDFGMHIJKLOPQRSTUAUBUC
        WDWBXHYNUFNMNMOKVJUSVKAMGNIJKPQSVLVMVN $.
    $}

    ${
      cdleme22g.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
      cdleme22g.f $e |- F
          = ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) ) $.
      cdleme22g.g $e |- G
          = ( ( T .\/ U ) ./\ ( Q .\/ ( ( P .\/ T ) ./\ W ) ) ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph, 6th and
         7th lines on p. 115. ` F ` , ` G ` represent f(s), f(t) respectively.
         If s ` <_ ` t ` \/ ` v and ` -. ` s ` <_ ` p ` \/ ` q, then f(s)
         ` <_ ` f(t) ` \/ ` v.  (Contributed by NM, 6-Dec-2012.) $)
      cdleme22g $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( T e. A /\ -. T .<_ W )
           /\ ( -. T .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) /\ P =/= Q ) )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( ( S e. A /\ -. S .<_ W ) /\ ( S =/= T /\ S .<_ ( T .\/ V ) )
               /\ ( V e. A /\ V .<_ W ) ) )
            -> F .<_ ( G .\/ V ) ) $=
        ( chlt wcel wa wbr wn wne w3a clat cbs cfv simp11l hllatd simp11 simp2l
        co simp2r simp31 simp133 simp132 cdleme3fa simp131 eqid hlatjcl syl3anc
        syl132anc simp12 simp11r lhpbase syl latmle1 simp33 cdleme22d syl131anc
        simp32 simp32l jca cdleme16 syl332anc eqtr2d hlatjcom 3brtr3d clc hlcvl
        wceq wi simp33l simp33r cdleme3 nbrne2 syl2anc cvlatexch1 mpd ) KUDUEZO
        IUEZUFZEAUEEOLUGUHUFZEBCJURZLUGUHZDWTLUGUHZBCUIZUJZUJZBAUEBOLUGUHUFZCAU
        ECOLUGUHUFZUFZDAUEDOLUGUHUFZDEUIZDENJURLUGZUFZNAUEZNOLUGZUFZUJZUJZNHGJU
        RZLUGZGHNJURLUGZXQGHJURZOMURZYANXRLXQKUKUEYAKULUMZUEZOYCUEZYBYALUGXQKWP
        WQWSXDXHXPUNZUOXQWPGAUEZHAUEZYDYFXQWRXFXGXIXCXBYGWRWSXDXHXPUPZXEXFXGXPU
        QZXEXFXGXPUSZXEXHXIXLXOUTZXAXBXCWRWSXHXPVAZXAXBXCWRWSXHXPVBZABCDFGIJKLM
        OPQRSTUAUBVCVHZXQWRXFXGWSXCXAYHYIYJYKWRWSXDXHXPVIZYMXAXBXCWRWSXHXPVDZAB
        CEFHIJKLMOPQRSTUAUCVCVHZAYCJKGHYCVEZQSVFVGXQWQYEWPWQWSXDXHXPVJYCIKOYSTV
        KVLYCKLMYAOYSPRVMVGXQNDEJUROMURZYBXQWRXIWSXOXLNYTWGYIYLYPXEXHXIXLXOVNXE
        XHXIXLXOVQADEIJKLMNOPQRSTVOVPXQWRXFXGXIWSXCXJUFXBXAYTYBWGYIYJYKYLYPXQXC
        XJYMXJXKXIXOXEXHVRVSYNYQABCDEFGHIJKLMOPQRSTUAUBUCVTWAWBXQWPYGYHYAXRWGYF
        YOYRAJKGHQSWCVGWDXQKWEUEZXMYGYHNHUIZXSXTWHXQWPUUAYFKWFVLXMXNXIXLXEXHWIY
        OYRXQXNHOLUGUHZUUBXMXNXIXLXEXHWJXQWRXFXGWSXCXAUUCYIYJYKYPYMYQABCEFHIJKL
        MOPQRSTUAUCWKVHNHOLWLWMANGHJKLPQSWNVPWO $.
    $}
  $}

  ${
    cdleme23.b $e |- B = ( Base ` K ) $.
    cdleme23.l $e |- .<_ = ( le ` K ) $.
    cdleme23.j $e |- .\/ = ( join ` K ) $.
    cdleme23.m $e |- ./\ = ( meet ` K ) $.
    cdleme23.a $e |- A = ( Atoms ` K ) $.
    cdleme23.h $e |- H = ( LHyp ` K ) $.
    cdleme23.v $e |- V = ( ( S .\/ T ) ./\ ( X ./\ W ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       8-Dec-2012.) $)
    cdleme23a $p |- ( ( ( ( K e. HL /\ W e. H )
         /\ ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W ) )
      /\ ( X e. B /\ -. X .<_ W )
      /\ ( S =/= T /\ ( S .\/ ( X ./\ W ) ) = X
         /\ ( T .\/ ( X ./\ W ) ) = X ) )
            -> V .<_ W ) $=
      ( wcel chlt wa wbr wn w3a wne co wceq simp11l hllatd clat simp12l simp13l
      hlatjcl syl3anc simp2l simp11r lhpbase syl latmcl latmle2 lattrd eqbrtrid
      ) GUATZKETZUBZCATZCKHUCUDZUBZDATZDKHUCUDZUBZUEZLBTZLKHUCUDZUBZCDUFCLKIUGZ
      FUGLUHDVQFUGLUHUEZUEZJCDFUGZVQIUGZKHSVSBGHWAVQKMNVSGVDVEVIVLVPVRUIZUJZVSG
      UKTZVTBTZVQBTZWABTWCVSVDVGVJWEWBVGVHVFVLVPVRULVJVKVFVIVPVRUMABFGCDMOQUNUO
      ZVSWDVNKBTZWFWCVMVNVOVRUPZVSVEWHVDVEVIVLVPVRUQBEGKMRURUSZBGILKMPUTUOZBGIV
      TVQMPUTUOWKWJVSWDWEWFWAVQHUCWCWGWKBGHIVTVQMNPVAUOVSWDVNWHVQKHUCWCWIWJBGHI
      LKMNPVAUOVBVC $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 4th paragraph, 6th line on
       p. 115.  (Contributed by NM, 8-Dec-2012.) $)
    cdleme23b $p |- ( ( ( ( K e. HL /\ W e. H )
         /\ ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W ) )
      /\ ( X e. B /\ -. X .<_ W )
      /\ ( S =/= T /\ ( S .\/ ( X ./\ W ) ) = X
         /\ ( T .\/ ( X ./\ W ) ) = X ) )
            -> V e. A ) $=
      ( wcel chlt wa wbr wn w3a wne co wceq col simp11l simp12l simp13l hlatjcl
      hlol syl syl3anc hllatd simp2l simp11r lhpbase latmcl latmassOLD syl13anc
      clat latjcl latlej1 latleeqm1 mpbid oveq1d atbase latjjdir simp32 oveq12d
      wb simp33 latjidm syl2anc 3eqtrd oveq2d 3eqtr3d simp31 syl222anc eqeltrrd
      simp12r lhpat eqeltrid ) GUATZKETZUBZCATZCKHUCUDZUBZDATZDKHUCUDZUBZUEZLBT
      ZLKHUCUDZUBZCDUFZCLKIUGZFUGZLUHZDXAFUGZLUHZUEZUEZJCDFUGZXAIUGZASXGXHKIUGZ
      XIAXGXHXHXAFUGZIUGZKIUGZXHXKKIUGZIUGZXJXIXGGUITZXHBTZXKBTZKBTZXMXOUHXGWGX
      PWGWHWLWOWSXFUJZGUNUOXGWGWJWMXQXTWJWKWIWOWSXFUKZWMWNWIWLWSXFULZABFGCDMOQU
      MUPZXGGVDTZXQXABTZXRXGGXTUQZYCXGYDWQXSYEYFWPWQWRXFURZXGWHXSWGWHWLWOWSXFUS
      ZBEGKMRUTUOZBGILKMPVAUPZBFGXHXAMOVEUPZYIBGIXHXKKMPVBVCXGXLXHKIXGXHXKHUCZX
      LXHUHZXGYDXQYEYLYFYCYJBFGHXHXAMNOVFUPXGYDXQXRYLYMVNYFYCYKBGHIXHXKMNPVGUPV
      HVIXGXNXAXHIXGXKLKIXGXKXBXDFUGZLLFUGZLXGYDCBTZDBTZYEXKYNUHYFXGWJYPYAABCGM
      QVJUOXGWMYQYBABDGMQVJUOYJBFGCDXAMOVKVCXGXBLXDLFWPWSWTXCXEVLWPWSWTXCXEVOVM
      XGYDWQYOLUHYFYGBFGLMOVPVQVRVIVSVTXGWGWHWJWKWMWTXJATXTYHYAWJWKWIWOWSXFWDYB
      WPWSWTXCXEWAACDEFGHIKNOPQRWEWBWCWF $.

    $( Part of proof of Lemma E in [Crawley] p. 113, 4th paragraph, 6th line on
       p. 115.  (Contributed by NM, 8-Dec-2012.) $)
    cdleme23c $p |- ( ( ( ( K e. HL /\ W e. H )
         /\ ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W ) )
      /\ ( X e. B /\ -. X .<_ W )
      /\ ( S =/= T /\ ( S .\/ ( X ./\ W ) ) = X
         /\ ( T .\/ ( X ./\ W ) ) = X ) )
            -> S .<_ ( T .\/ V ) ) $=
      ( wcel chlt wa wbr wn w3a wne wceq clat simp11l hllatd simp12l atbase syl
      co simp13l latlej1 syl3anc simp2l simp11r lhpbase latmcl simp32 simp33 wb
      eqtr4d breqtrd hlatjcl latjcl latlem12 syl13anc mpbi2and latlej2 atmod3i1
      oveq2i syl131anc syl5eq breqtrrd ) GUATZKETZUBZCATZCKHUCUDZUBZDATZDKHUCUD
      ZUBZUEZLBTZLKHUCUDZUBZCDUFZCLKIUNZFUNZLUGZDWLFUNZLUGZUEZUEZCCDFUNZWOIUNZD
      JFUNZHWRCWSHUCZCWOHUCZCWTHUCZWRGUHTZCBTZDBTZXBWRGVRVSWCWFWJWQUIZUJZWRWAXF
      WAWBVTWFWJWQUKZABCGMQULUMZWRWDXGWDWEVTWCWJWQUOZABDGMQULUMZBFGHCDMNOUPUQWR
      CWMWOHWRXEXFWLBTZCWMHUCXIXKWRXEWHKBTZXNXIWGWHWIWQURWRVSXOVRVSWCWFWJWQUSBE
      GKMRUTUMBGILKMPVAUQZBFGHCWLMNOUPUQWRWMLWOWGWJWKWNWPVBWGWJWKWNWPVCVEVFWRXE
      XFWSBTZWOBTZXBXCUBXDVDXIXKWRVRWAWDXQXHXJXLABFGCDMOQVGUQZWRXEXGXNXRXIXMXPB
      FGDWLMOVHUQBGHICWSWOMNPVIVJVKWRXADWSWLIUNZFUNZWTJXTDFSVNWRVRWDXQXNDWSHUCZ
      YAWTUGXHXLXSXPWRXEXFXGYBXIXKXMBFGHCDMNOVLUQABDFGHIWSWLMNOPQVMVOVPVQ $.
  $}

  ${
    $d s t u A $.  $d s t u B $.  $d s t H $.  $d s t u .\/ $.  $d s t K $.
    $d s t u .<_ $.  $d s u ./\ $.  $d s t u P $.  $d s t u Q $.  $d s t u R $.
    $d s t u W $.
    cdleme24.b $e |- B = ( Base ` K ) $.
    cdleme24.l $e |- .<_ = ( le ` K ) $.
    cdleme24.j $e |- .\/ = ( join ` K ) $.
    cdleme24.m $e |- ./\ = ( meet ` K ) $.
    cdleme24.a $e |- A = ( Atoms ` K ) $.
    cdleme24.h $e |- H = ( LHyp ` K ) $.
    cdleme24.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdleme24.f $e |- F
       = ( ( s .\/ U ) ./\ ( Q .\/ ( ( P .\/ s ) ./\ W ) ) ) $.
    cdleme24.n $e |- N
        = ( ( P .\/ Q ) ./\ ( F .\/ ( ( R .\/ s ) ./\ W ) ) ) $.
    ${
      cdleme24.g $e |- G
          = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
      cdleme24.o $e |- O
          = ( ( P .\/ Q ) ./\ ( G .\/ ( ( R .\/ t ) ./\ W ) ) ) $.
      $( Quantified version of ~ cdleme21k .  (Contributed by NM,
         26-Dec-2012.) $)
      cdleme24 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( R e. A /\ -. R .<_ W )
          /\ ( P =/= Q /\ R .<_ ( P .\/ Q ) ) )
    -> A. s e. A A. t e. A ( ( ( -. s .<_ W /\ -. s .<_ ( P .\/ Q ) )
          /\ ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) ) -> N = O ) ) $=
        ( chlt wcel wa wbr wn w3a wne co cv wceq simp111 simp112 simp113 simp12
        wi simp2l simp3ll jca simp3rl simp13l simp3lr simp3rr simp13r 3jca eqid
        simp2r cdleme21k syl332anc 3exp ralrimivv ) LUJUKQJUKULZDBUKDQMUMUNULZE
        BUKEQMUMUNULZUOZFBUKFQMUMUNULZDEUPZFDEKUQZMUMZULZUOZRURZQMUMUNZWJWFMUMU
        NZULZAURZQMUMUNZWNWFMUMUNZULZULZOPUSZVDRABBWIWJBUKZWNBUKZULZWRWSWIXBWRU
        OZVTWAWBWDWTWKULXAWOULWEWLWPWGUOWSVTWAWBWDWHXBWRUTVTWAWBWDWHXBWRVAVTWAW
        BWDWHXBWRVBWCWDWHXBWRVCXCWTWKWIWTXAWRVEWKWLWQWIXBVFVGXCXAWOWIWTXAWRVOWO
        WPWMWIXBVHVGWEWGWCWDXBWRVIXCWLWPWGWKWLWQWIXBVJWOWPWMWIXBVKWEWGWCWDXBWRV
        LVMBFWJKUQQNUQZDEFWJWNGHIJKLMNOPQFWNKUQQNUQZTUAUBUCUDUEUFUHXDVNXEVNUGUI
        VPVQVRVS $.
    $}

    $( Lemma for ~ cdleme25b .  (Contributed by NM, 1-Jan-2013.) $)
    cdleme25a $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( R e. A /\ -. R .<_ W )
        /\ ( P =/= Q /\ R .<_ ( P .\/ Q ) ) )
  -> E. s e. A ( ( -. s .<_ W /\ -. s .<_ ( P .\/ Q ) ) /\ N e. B ) ) $=
      ( chlt wcel wa wbr wn w3a co cv wrex simp11l simp11r simp12 simp13 simp3l
      wne cdlemb2 syl221anc adantr simp12l simp13l simpl2l cdleme22gb syl222anc
      simpr a1d ancld reximdva mpd ) JUEUFZNHUFZUGZCAUFZCNKUHUIZUGZDAUFZDNKUHUI
      ZUGZUJZEAUFZENKUHUIZUGZCDUSZECDIUKZKUHZUGZUJZOULZNKUHUIWKWGKUHUIUGZOAUMZW
      LMBUFZUGZOAUMWJVMVNVRWAWFWMVMVNVRWAWEWIUNZVMVNVRWAWEWIUOZVOVRWAWEWIUPVOVR
      WAWEWIUQWBWEWFWHURACDHIJKNOQRTUAUTVAWJWLWOOAWJWKAUFZUGZWLWNWSWNWLWSVMVNVP
      VSWCWRWNWJVMWRWPVBWJVNWRWQVBWJVPWRVPVQVOWAWEWIVCVBWJVSWRVSVTVOVRWEWIVDVBW
      CWDWBWIWRVEWJWRVHABCDEWKFGMHIJKLNQRSTUAUBUCUDPVFVGVIVJVKVL $.

    ${
      $d t u N $.  $d s u U $.
      $( Transform ~ cdleme24 .  TODO get rid of $d's on ` U ` , ` N `
         (Contributed by NM, 1-Jan-2013.) $)
      cdleme25b $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( R e. A /\ -. R .<_ W )
        /\ ( P =/= Q /\ R .<_ ( P .\/ Q ) ) )
  -> E. u e. B A. s e. A ( ( -. s .<_ W /\ -. s .<_ ( P .\/ Q ) )
           -> u = N ) ) $=
        ( vt chlt wcel wa wbr wn w3a wne co cv wrex wceq wi wral cdleme25a eqid
        cdleme24 breq1 notbid anbi12d oveq1 oveq1d oveq2d oveq12d syl5eq reusv3
        oveq2 biimpd sylc ) KUGUHOIUHUIDBUHDOLUJUKUIEBUHEOLUJUKUIULFBUHFOLUJUKU
        IDEUMFDEJUNZLUJUIULPUOZOLUJZUKZVPVOLUJZUKZUIZNCUHUIPBUPZWAUFUOZOLUJZUKZ
        WCVOLUJZUKZUIZUINVOWCGJUNZEDWCJUNZOMUNZJUNZMUNZFWCJUNZOMUNZJUNZMUNZUQUR
        UFBUSPBUSZWAAUONUQURPBUSACUPZBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUTUFBCDEFGHWM
        IJKLMNWQOPQRSTUAUBUCUDUEWMVAWQVAVBWBWRWSWAWHAPUFCBNWQVPWCUQZVRWEVTWGWTV
        QWDVPWCOLVCVDWTVSWFVPWCVOLVCVDVEWTNVOHFVPJUNZOMUNZJUNZMUNWQUEWTXCWPVOMW
        THWMXBWOJWTHVPGJUNZEDVPJUNZOMUNZJUNZMUNWMUDWTXDWIXGWLMVPWCGJVFWTXFWKEJW
        TXEWJOMVPWCDJVLVGVHVIVJWTXAWNOMVPWCFJVLVGVIVHVJVKVMVN $.

      $( Transform ~ cdleme25b .  (Contributed by NM, 1-Jan-2013.) $)
      cdleme25c $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( R e. A /\ -. R .<_ W )
        /\ ( P =/= Q /\ R .<_ ( P .\/ Q ) ) )
  -> E! u e. B A. s e. A ( ( -. s .<_ W /\ -. s .<_ ( P .\/ Q ) )
               -> u = N ) ) $=
        ( chlt wcel wa wbr wn w3a wne co cv wceq wi wral wreu wrex cdleme25b wb
        simp11l simp11r simp12 simp13 simp3l cdlemb2 syl221anc reusv1 mpbird
        syl ) KUFUGZOIUGZUHZDBUGDOLUIUJUHZEBUGEOLUIUJUHZUKZFBUGFOLUIUJUHZDEULZF
        DEJUMZLUIZUHZUKZPUNZOLUIUJWDVTLUIUJUHZAUNNUOUPPBUQZACURZWFACUSZABCDEFGH
        IJKLMNOPQRSTUAUBUCUDUEUTWCWEPBUSZWGWHVAWCVLVMVOVPVSWIVLVMVOVPVRWBVBVLVM
        VOVPVRWBVCVNVOVPVRWBVDVNVOVPVRWBVEVQVRVSWAVFBDEIJKLOPRSUAUBVGVHWEAPCBNV
        IVKVJ $.

      $( Transform ~ cdleme25c .  (Contributed by NM, 19-Jan-2013.)
         (New usage is discouraged.) $)
      cdleme25dN $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( R e. A /\ -. R .<_ W )
        /\ ( P =/= Q /\ R .<_ ( P .\/ Q ) ) )
  -> E! u e. B E. s e. A ( ( -. s .<_ W /\ -. s .<_ ( P .\/ Q ) )
               /\ u = N ) ) $=
        ( chlt wcel wa wbr wn w3a wne co cv wceq wrex wreu wi wral cdleme25c wb
        simp11l simp11r simp12l simp13l simpl2l simpr cdleme22gb syl222anc a1dd
        adantr ex ralrimiv simp12 simp13 simp3l cdlemb2 syl221anc reusv2 mpbird
        syl2anc ) KUFUGZOIUGZUHZDBUGZDOLUIUJZUHZEBUGZEOLUIUJZUHZUKZFBUGZFOLUIUJ
        ZUHZDEULZFDEJUMZLUIZUHZUKZPUNZOLUIUJWTWPLUIUJUHZAUNNUOZUHPBUPACUQZXAXBU
        RPBUSACUQZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUTWSXANCUGZURZPBUSXAPBUPZXCXDVA
        WSXFPBWSWTBUGZXEXAWSXHXEWSXHUHWBWCWEWHWLXHXEWSWBXHWBWCWGWJWNWRVBZVKWSWC
        XHWBWCWGWJWNWRVCZVKWSWEXHWEWFWDWJWNWRVDVKWSWHXHWHWIWDWGWNWRVEVKWLWMWKWR
        XHVFWSXHVGBCDEFWTGHNIJKLMORSTUAUBUCUDUEQVHVIVLVJVMWSWBWCWGWJWOXGXIXJWDW
        GWJWNWRVNWDWGWJWNWRVOWKWNWOWQVPBDEIJKLOPRSUAUBVQVRXAAPCBNVSWAVT $.

      cdleme25cl.i $e |- I = ( iota_ u e. B A. s e. A
       ( ( -. s .<_ W /\ -. s .<_ ( P .\/ Q ) ) -> u = N ) ) $.
      $( Show closure of the unique element in ~ cdleme25c .  (Contributed by
         NM, 2-Feb-2013.) $)
      cdleme25cl $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( R e. A /\ -. R .<_ W )
        /\ ( P =/= Q /\ R .<_ ( P .\/ Q ) ) ) -> I e. B ) $=
        ( chlt wcel wa wbr wn w3a wne co cv wceq wi wral crio cdleme25c riotacl
        wreu syl eqeltrid ) LUHUIPIUIUJDBUIDPMUKULUJEBUIEPMUKULUJUMFBUIFPMUKULU
        JDEUNFDEKUOZMUKUJUMZJQUPZPMUKULVHVFMUKULUJAUPOUQURQBUSZACUTZCUGVGVIACVC
        VJCUIABCDEFGHIKLMNOPQRSTUAUBUCUDUEUFVAVIACVBVDVE $.
    $}
  $}

  ${
    $d s z A $.  $d s z .\/ $.  $d s z .<_ $.  $d s z ./\ $.  $d s z P $.
    $d s z Q $.  $d s z R $.  $d s z U $.  $d s z W $.  $d s z u $.
    cdleme25cv.f $e |- F
        = ( ( s .\/ U ) ./\ ( Q .\/ ( ( P .\/ s ) ./\ W ) ) ) $.
    cdleme25cv.n $e |- N
        = ( ( P .\/ Q ) ./\ ( F .\/ ( ( R .\/ s ) ./\ W ) ) ) $.
    cdleme25cv.g $e |- G
        = ( ( z .\/ U ) ./\ ( Q .\/ ( ( P .\/ z ) ./\ W ) ) ) $.
    cdleme25cv.o $e |- O
        = ( ( P .\/ Q ) ./\ ( G .\/ ( ( R .\/ z ) ./\ W ) ) ) $.
    cdleme25cv.i $e |- I = ( iota_ u e. B A. s e. A
       ( ( -. s .<_ W /\ -. s .<_ ( P .\/ Q ) ) -> u = N ) ) $.
    cdleme25cv.e $e |- E = ( iota_ u e. B A. z e. A
       ( ( -. z .<_ W /\ -. z .<_ ( P .\/ Q ) ) -> u = O ) ) $.
    $( Change bound variables in ~ cdleme25c .  (Contributed by NM,
       2-Feb-2013.) $)
    cdleme25cv $p |- I = E $=
      ( cv wbr wn co wa wceq wi wral crio wcel breq1 notbid anbi12d oveq1 oveq2
      oveq1d oveq2d oveq12d eqeq2d imbi12d cbvralvw oveq1i oveq2i eqeq2i imbi2i
      wb eqtri ralbii 3bitr4i a1i riotabiia 3eqtr4i ) SUFZRNUGZUHZVREFMUIZNUGZU
      HZUJZBUFZPUKZULZSCUMZBDUNAUFZRNUGZUHZWIWANUGZUHZUJZWEQUKZULZACUMZBDUNLIWH
      WQBDWHWQVKWEDUOWDWEWAVRHMUIZFEVRMUIZROUIZMUIZOUIZGVRMUIZROUIZMUIZOUIZUKZU
      LZSCUMWNWEWAWIHMUIZFEWIMUIZROUIZMUIZOUIZGWIMUIZROUIZMUIZOUIZUKZULZACUMWHW
      QXHXSSACVRWIUKZWDWNXGXRXTVTWKWCWMXTVSWJVRWIRNUPUQXTWBWLVRWIWANUPUQURXTXFX
      QWEXTXEXPWAOXTXBXMXDXOMXTWRXIXAXLOVRWIHMUSXTWTXKFMXTWSXJROVRWIEMUTVAVBVCX
      TXCXNROVRWIGMUTVAVCVBVDVEVFWGXHSCWFXGWDPXFWEPWAJXDMUIZOUIXFUAYAXEWAOJXBXD
      MTVGVHVLVIVJVMWPXSACWOXRWNQXQWEQWAKXOMUIZOUIXQUCYBXPWAOKXMXOMUBVGVHVLVIVJ
      VMVNVOVPUDUEVQ $.
  $}

  ${
    cdleme26.b $e |- B = ( Base ` K ) $.
    cdleme26.l $e |- .<_ = ( le ` K ) $.
    cdleme26.j $e |- .\/ = ( join ` K ) $.
    cdleme26.m $e |- ./\ = ( meet ` K ) $.
    cdleme26.a $e |- A = ( Atoms ` K ) $.
    cdleme26.h $e |- H = ( LHyp ` K ) $.
    ${
      cdleme26e.u $e |- U
          = ( ( P .\/ Q ) ./\ W ) $.
      cdleme26e.f $e |- F
          = ( ( z .\/ U ) ./\ ( Q .\/ ( ( P .\/ z ) ./\ W ) ) ) $.
      cdleme26e.n $e |- N
          = ( ( P .\/ Q ) ./\ ( F .\/ ( ( S .\/ z ) ./\ W ) ) ) $.
      cdleme26e.o $e |- O
          = ( ( P .\/ Q ) ./\ ( F .\/ ( ( T .\/ z ) ./\ W ) ) ) $.
      cdleme26e.i $e |- I = ( iota_ u e. B A. z e. A
       ( ( -. z .<_ W /\ -. z .<_ ( P .\/ Q ) ) -> u = N ) ) $.
      cdleme26e.e $e |- E = ( iota_ u e. B A. z e. A
       ( ( -. z .<_ W /\ -. z .<_ ( P .\/ Q ) ) -> u = O ) ) $.
      $d z u A $.  $d z u B $.  $d z H $.  $d z u .\/ $.  $d z K $.
      $d z u .<_ $.  $d z u ./\ $.  $d u N $.  $d u O $.  $d z u P $.
      $d z u Q $.  $d z u S $.  $d z u T $.  $d z u U $.  $d z u W $.
      $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph, 4th line
         on p. 115. ` F ` , ` N ` , ` O ` represent f(z), f_z(s), f_z(t)
         respectively.  When t ` \/ ` v = p ` \/ ` q, f_z(s) ` <_ ` f_z(t)
         ` \/ ` v.  TODO:  FIX COMMENT. (Contributed by NM, 2-Feb-2013.) $)
      cdleme26e $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( P e. A /\ -. P .<_ W )
              /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
              /\ ( V e. A /\ V .<_ W ) )
           /\ ( ( P =/= Q /\ S .<_ ( P .\/ Q ) /\ T .<_ ( P .\/ Q ) )
              /\ ( ( T .\/ V ) = ( P .\/ Q ) /\ -. z .<_ ( P .\/ Q ) )
              /\ ( z e. A /\ -. z .<_ W ) ) )
            -> I .<_ ( E .\/ V ) ) $=
        ( chlt wcel wa wbr wn w3a wne wceq simp11 simp12 simp13 simp21l simp22l
        co cv simp23 simp311 simp32l simp33 cdleme22e syl133anc simp21r simp312
        jca syl322anc simp33l simp33r simp32r cbs fvexi riotasv syl3anc simp22r
        cdleme25cl simp313 oveq1d 3brtr4d ) OUNUOUALUOUPZECUOEUAPUQURUPZFCUOFUA
        PUQURUPZUSZGCUOZGUAPUQURZUPZHCUOZHUAPUQURZUPZTCUOTUAPUQUPZUSZEFUTZGEFNV
        GZPUQZHXDPUQZUSZHTNVGXDVAZAVHZXDPUQURZUPZXICUOZXIUAPUQURZUPZUSZUSZRSTNV
        GZMJTNVGPXPWKWLWMWOWRUPXAXCXHUPXNRXQPUQWKWLWMXBXOVBZWKWLWMXBXOVCZWKWLWM
        XBXOVDZXPWOWRWOWPWTXAWNXOVEZWRWSWQXAWNXOVFZVQWNWQWTXAXOVIXPXCXHXCXEXFXK
        XNWNXBVJZXHXJXGXNWNXBVKVQWNXBXGXKXNVLACEFGHIKLNOPQRSTUAUCUDUEUFUGUHUIUJ
        UKVMVNXPMDUOZXLXMXJUPZMRVAXPWKWLWMWOWPXCXEYDXRXSXTYAWOWPWTXAWNXOVOYCXCX
        EXFXKXNWNXBVPBCDEFGIKLMNOPQRUAAUBUCUDUEUFUGUHUIUJULWGVRXLXMXGXKWNXBVSZX
        PXMXJXLXMXGXKWNXBVTXHXJXGXNWNXBWAVQZYEBADCRMDOWBUBWCZULWDWEXPJSTNXPJDUO
        ZXLYEJSVAXPWKWLWMWRWSXCXFYIXRXSXTYBWRWSWQXAWNXOWFYCXCXEXFXKXNWNXBWHBCDE
        FHIKLJNOPQSUAAUBUCUDUEUFUGUHUIUKUMWGVRYFYGYEBADCSJYHUMWDWEWIWJ $.

      $d z V $.
      $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph, 4th line
         on p. 115. ` F ` , ` N ` , ` O ` represent f(z), f_z(s), f_z(t)
         respectively.  When t ` \/ ` v = p ` \/ ` q, f_z(s) ` <_ ` f_z(t)
         ` \/ ` v.  TODO:  FIX COMMENT. (Contributed by NM, 2-Feb-2013.) $)
      cdleme26ee $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( P e. A /\ -. P .<_ W )
              /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( ( S e. A /\ -. S .<_ W ) /\ ( T e. A /\ -. T .<_ W )
              /\ ( V e. A /\ V .<_ W ) )
           /\ ( ( P =/= Q /\ S .<_ ( P .\/ Q ) /\ T .<_ ( P .\/ Q ) )
              /\ ( T .\/ V ) = ( P .\/ Q ) ) )
            -> I .<_ ( E .\/ V ) ) $=
        ( chlt wcel wa wbr wn w3a co wceq cv wrex simp11l simp11r simp12 simp13
        wne simp3l1 cdlemb2 syl221anc nfv wi wral crio nfcv nfriota nfcxfr nfov
        nfbr simp111 simp112 simp113 simp121 simp122 simp123 simp13l simp3r jca
        nfra1 simp13r simp2 simp3l cdleme26e syl333anc 3exp rexlimd mpd ) OUNUO
        ZUALUOZUPZECUOEUAPUQURUPZFCUOFUAPUQURUPZUSZGCUOGUAPUQURUPZHCUOHUAPUQURU
        PZTCUOTUAPUQUPZUSZEFVHZGEFNUTZPUQZHXJPUQZUSZHTNUTXJVAZUPZUSZAVBZUAPUQUR
        ZXQXJPUQURZUPZACVCZMJTNUTZPUQZXPWSWTXBXCXIYAWSWTXBXCXHXOVDWSWTXBXCXHXOV
        EXAXBXCXHXOVFXAXBXCXHXOVGXIXKXLXNXDXHVICEFLNOPUAAUCUDUFUGVJVKXPXTYCACXP
        AVLAMYBPAMXTBVBZRVAVMZACVNZBDVOULYFABDYEACWJADVPZVQVRAPVPAJTNAJXTYDSVAV
        MZACVNZBDVOUMYIABDYHACWJYGVQVRANVPATVPVSVTXPXQCUOZXTYCXPYJXTUSZXAXBXCXE
        XFXGXMXNXSUPYJXRUPYCXAXBXCXHXOYJXTWAXAXBXCXHXOYJXTWBXAXBXCXHXOYJXTWCXEX
        FXGXDXOYJXTWDXEXFXGXDXOYJXTWEXEXFXGXDXOYJXTWFXMXNXDXHYJXTWGYKXNXSXMXNXD
        XHYJXTWKXPYJXRXSWHWIYKYJXRXPYJXTWLXPYJXRXSWMWIABCDEFGHIJKLMNOPQRSTUAUBU
        CUDUEUFUGUHUIUJUKULUMWNWOWPWQWR $.
    $}

    ${
      cdleme26eALT.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
      cdleme26eALT.f $e |- F
          = ( ( y .\/ U ) ./\ ( Q .\/ ( ( P .\/ y ) ./\ W ) ) ) $.
      cdleme26eALT.g $e |- G
          = ( ( z .\/ U ) ./\ ( Q .\/ ( ( P .\/ z ) ./\ W ) ) ) $.
      cdleme26eALT.n $e |- N
          = ( ( P .\/ Q ) ./\ ( F .\/ ( ( S .\/ y ) ./\ W ) ) ) $.
      cdleme26eALT.o $e |- O
          = ( ( P .\/ Q ) ./\ ( G .\/ ( ( T .\/ z ) ./\ W ) ) ) $.
      cdleme26eALT.i $e |- I = ( iota_ u e. B A. y e. A
       ( ( -. y .<_ W /\ -. y .<_ ( P .\/ Q ) ) -> u = N ) ) $.
      cdleme26eALT.e $e |- E = ( iota_ u e. B A. z e. A
       ( ( -. z .<_ W /\ -. z .<_ ( P .\/ Q ) ) -> u = O ) ) $.
      $d y z u A $.  $d y z u B $.  $d y z H $.  $d y z u .\/ $.  $d y z K $.
      $d y z u .<_ $.  $d y z u ./\ $.  $d u N $.  $d u O $.  $d y z u P $.
      $d y z u Q $.  $d y u S $.  $d z u T $.  $d y z u U $.  $d y z u W $.
      $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph, 4th line
         on p. 115. ` F ` , ` N ` , ` O ` represent f(z), f_z(s), f_z(t)
         respectively.  When t ` \/ ` v = p ` \/ ` q, f_z(s) ` <_ ` f_z(t)
         ` \/ ` v.  TODO:  FIX COMMENT. (Contributed by NM, 1-Feb-2013.)
         (New usage is discouraged.) $)
      cdleme26eALTN $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( P e. A /\ -. P .<_ W )
              /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( P =/= Q
              /\ ( S e. A /\ -. S .<_ W /\ S .<_ ( P .\/ Q ) )
              /\ ( T e. A /\ -. T .<_ W /\ T .<_ ( P .\/ Q ) ) )
           /\ ( ( V e. A /\ V .<_ W /\ ( T .\/ V ) = ( P .\/ Q ) )
               /\ ( y e. A /\ -. y .<_ W /\ -. y .<_ ( P .\/ Q ) )
               /\ ( z e. A /\ -. z .<_ W /\ -. z .<_ ( P .\/ Q ) ) ) )
            -> I .<_ ( E .\/ V ) ) $=
        ( chlt wcel wa wbr wn w3a wne co wceq cv simp11l simp11r simp231 simp12
        simp13 simp21 simp221 simp31 3ad2ant3 simp322 simp332 jca cdleme22eALTN
        jca31 syl333anc simp11 simp222 simp223 cdleme25cl syl322anc simp323 cbs
        fvexi riotasv syl112anc simp232 simp233 simp333 oveq1d 3brtr4d ) QUQURZ
        UCNURZUSZFDURFUCRUTVAUSZGDURGUCRUTVAUSZVBZFGVCZHDURZHUCRUTVAZHFGPVDZRUT
        ZVBZIDURZIUCRUTVAZIXFRUTZVBZVBZUBDURUBUCRUTIUBPVDXFVEVBZAVFZDURZXOUCRUT
        VAZXOXFRUTVAZVBZBVFZDURZXTUCRUTVAZXTXFRUTVAZVBZVBZVBZTUAUBPVDZOKUBPVDRY
        FWQWRXIWTXAXCXDXNXPXQUSYAYBUSZUSTYGRUTWQWRWTXAXMYEVGWQWRWTXAXMYEVHXIXJX
        KXCXHXBYEVIZWSWTXAXMYEVJZWSWTXAXMYEVKZXBXCXHXLYEVLZXDXEXGXCXLXBYEVMZXBX
        MXNXSYDVNYFXPXQYHYEXBXPXMXNXPXQXRYDVLVOZXPXQXRXNYDXBXMVPZYFYAYBYEXBYAXM
        XNXSYAYBYCVNVOZYAYBYCXNXSXBXMVQZVRVTABDFGHIJLMNPQRSTUAUBUCUEUFUGUHUIUJU
        KULUMUNVSWAYFOEURZXPXQXROTVEYFWSWTXAXDXEXCXGYRWSWTXAXMYEWBZYJYKYMXDXEXG
        XCXLXBYEWCYLXDXEXGXCXLXBYEWDCDEFGHJLNOPQRSTUCAUDUEUFUGUHUIUJUKUMUOWEWFY
        NYOXPXQXRXNYDXBXMWGXQXRUSCAEDTOEQWHUDWIZUOWJWKYFKUAUBPYFKEURZYAYBYCKUAV
        EYFWSWTXAXIXJXCXKUUAYSYJYKYIXIXJXKXCXHXBYEWLYLXIXJXKXCXHXBYEWMCDEFGIJMN
        KPQRSUAUCBUDUEUFUGUHUIUJULUNUPWEWFYPYQYAYBYCXNXSXBXMWNYBYCUSCBEDUAKYTUP
        WJWKWOWP $.
    $}

    ${
      $d t u A $.  $d t u B $.  $d t H $.  $d t u .\/ $.  $d t K $.
      $d t u .<_ $.  $d t u ./\ $.  $d u N $.  $d t u P $.  $d t u Q $.
      $d t u S $.  $d t u U $.  $d t u W $.
      cdleme26f.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
      cdleme26f.f $e |- F
          = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
      cdleme26f.n $e |- N
          = ( ( P .\/ Q ) ./\ ( F .\/ ( ( S .\/ t ) ./\ W ) ) ) $.
      cdleme26f.i $e |- I = ( iota_ u e. B A. t e. A
       ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> u = N ) ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph, 6th and
         7th lines on p. 115. ` F ` , ` N ` represent f(t), f_t(s)
         respectively.  If t ` <_ ` t ` \/ ` v, then f_t(s) ` <_ ` f(t) ` \/ `
         v.  TODO:  FIX COMMENT. (Contributed by NM, 1-Feb-2013.)
         (New usage is discouraged.) $)
      cdleme26fALTN $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( P =/= Q /\ S .<_ ( P .\/ Q ) )
              /\ ( t e. A /\ -. t .<_ W ) )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
              /\ ( S e. A /\ -. S .<_ W ) )
           /\ ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) )
               /\ ( S =/= t /\ S .<_ ( t .\/ V ) )
               /\ ( V e. A /\ V .<_ W ) ) )
            -> I .<_ ( F .\/ V ) ) $=
        ( chlt wcel wa wne co wbr w3a wceq simp11 simp21 simp22 simp23l simp23r
        cv wn simp12l simp12r cdleme25cl syl322anc simp13l simp31 fvexi riotasv
        cbs syl3anc simp23 simp33 simp32 cdleme22f syl331anc eqbrtrd ) MUIUJRJU
        JUKZEFULZGEFLUMZNUNZUKZBVBZCUJZWERNUNVCZUKZUOZECUJERNUNVCUKZFCUJFRNUNVC
        UKZGCUJZGRNUNVCZUKZUOZWGWEWBNUNVCUKZGWEULGWEQLUMNUNUKZQCUJQRNUNUKZUOZUO
        ZKPIQLUMZNWTKDUJZWFWPKPUPWTVTWJWKWLWMWAWCXBVTWDWHWOWSUQZWIWJWKWNWSURZWI
        WJWKWNWSUSZWLWMWJWKWIWSUTWLWMWJWKWIWSVAWAWCVTWHWOWSVDWAWCVTWHWOWSVEACDE
        FGHIJKLMNOPRBSTUAUBUCUDUEUFUGUHVFVGWFWGVTWDWOWSVHZWIWOWPWQWRVIWPABDCPKD
        MVLSVJUHVKVMWTVTWJWKWNWFWRWQPXANUNXCXDXEWIWJWKWNWSVNXFWIWOWPWQWRVOWIWOW
        PWQWRVPCEFGWEHIJLMNOPQRTUAUBUCUDUEUFUGVQVRVS $.

      $( Part of proof of Lemma E in [Crawley] p. 113, 3rd paragraph, 6th and
         7th lines on p. 115. ` F ` , ` N ` represent f(t), f_t(s)
         respectively.  If t ` <_ ` t ` \/ ` v, then f_t(s) ` <_ ` f(t) ` \/ `
         v.  TODO:  FIX COMMENT. (Contributed by NM, 1-Feb-2013.) $)
      cdleme26f $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( P =/= Q /\ S .<_ ( P .\/ Q ) )
              /\ ( t e. A /\ -. t .<_ W ) )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
              /\ ( S e. A /\ -. S .<_ W ) )
           /\ ( -. t .<_ ( P .\/ Q )
               /\ ( S =/= t /\ S .<_ ( t .\/ V ) )
               /\ ( V e. A /\ V .<_ W ) ) )
            -> I .<_ ( F .\/ V ) ) $=
        ( chlt wcel wa wne co wbr w3a wceq simp11 simp21 simp22 simp23l simp23r
        cv wn simp12l simp12r cdleme25cl syl322anc simp13l simp13r simp31 fvexi
        cbs riotasv syl112anc simp23 simp33 simp32 cdleme22f syl331anc eqbrtrd
        ) MUIUJRJUJUKZEFULZGEFLUMZNUNZUKZBVBZCUJZWFRNUNVCZUKZUOZECUJERNUNVCUKZF
        CUJFRNUNVCUKZGCUJZGRNUNVCZUKZUOZWFWCNUNVCZGWFULGWFQLUMNUNUKZQCUJQRNUNUK
        ZUOZUOZKPIQLUMZNXAKDUJZWGWHWQKPUPXAWAWKWLWMWNWBWDXCWAWEWIWPWTUQZWJWKWLW
        OWTURZWJWKWLWOWTUSZWMWNWKWLWJWTUTWMWNWKWLWJWTVAWBWDWAWIWPWTVDWBWDWAWIWP
        WTVEACDEFGHIJKLMNOPRBSTUAUBUCUDUEUFUGUHVFVGWGWHWAWEWPWTVHZWGWHWAWEWPWTV
        IWJWPWQWRWSVJWHWQUKABDCPKDMVLSVKUHVMVNXAWAWKWLWOWGWSWRPXBNUNXDXEXFWJWKW
        LWOWTVOXGWJWPWQWRWSVPWJWPWQWRWSVQCEFGWFHIJLMNOPQRTUAUBUCUDUEUFUGVRVSVT
        $.
    $}

    ${
      $d s u A $.  $d s u B $.  $d s H $.  $d s u .\/ $.  $d s K $.
      $d s u .<_ $.  $d s u ./\ $.  $d u O $.  $d s u P $.  $d s u Q $.
      $d s u T $.  $d s u U $.  $d s u W $.
      cdleme26f2.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
      cdleme26f2.f $e |- G
          = ( ( s .\/ U ) ./\ ( Q .\/ ( ( P .\/ s ) ./\ W ) ) ) $.
      cdleme26f2.n $e |- O
          = ( ( P .\/ Q ) ./\ ( G .\/ ( ( T .\/ s ) ./\ W ) ) ) $.
      cdleme26f2.e $e |- E = ( iota_ u e. B A. s e. A
       ( ( -. s .<_ W /\ -. s .<_ ( P .\/ Q ) ) -> u = O ) ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113. ~ cdleme26fALTN with s
         and t swapped (this case is not mentioned by them).  If s ` <_ ` t
         ` \/ ` v, then f(s) ` <_ ` f_s(t) ` \/ ` v.  TODO:  FIX COMMENT.
         (Contributed by NM, 1-Feb-2013.)  (New usage is discouraged.) $)
      cdleme26f2ALTN $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( P =/= Q /\ T .<_ ( P .\/ Q ) )
              /\ ( s e. A /\ -. s .<_ W ) )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
              /\ ( T e. A /\ -. T .<_ W ) )
           /\ ( ( -. s .<_ W /\ -. s .<_ ( P .\/ Q ) )
               /\ ( s =/= T /\ s .<_ ( T .\/ V ) )
               /\ ( V e. A /\ V .<_ W ) ) )
            -> G .<_ ( E .\/ V ) ) $=
        ( chlt wcel wa wne co wbr cv wn w3a simp11 simp31r simp12r simp12l 3jca
        simp23 simp21 simp22 simp13 simp32 cdleme22f2 syl323anc simp23l simp23r
        simp33 cdleme25cl syl322anc simp13l simp31 fvexi riotasv syl3anc oveq1d
        wceq cbs breqtrrd ) LUIUJQJUJUKZDEULZFDEKUMZMUNZUKZRUOZBUJZWIQMUNUPZUKZ
        UQZDBUJDQMUNUPUKZEBUJEQMUNUPUKZFBUJZFQMUNUPZUKZUQZWKWIWFMUNUPZUKZWIFULW
        IFPKUMMUNUKZPBUJPQMUNUKZUQZUQZIOPKUMZHPKUMMXEWDWRWTWGWEUQWNWOWLXBXCIXFM
        UNWDWHWLWSXDURZWMWNWOWRXDVCXEWTWGWEWKWTXBXCWMWSUSWEWGWDWLWSXDUTZWEWGWDW
        LWSXDVAZVBWMWNWOWRXDVDZWMWNWOWRXDVEZWDWHWLWSXDVFWMWSXAXBXCVGWMWSXAXBXCV
        LBDEWIFGIJKLMNOPQTUAUBUCUDUEUFUGVHVIXEHOPKXEHCUJZWJXAHOWAXEWDWNWOWPWQWE
        WGXLXGXJXKWPWQWNWOWMXDVJWPWQWNWOWMXDVKXIXHABCDEFGIJHKLMNOQRSTUAUBUCUDUE
        UFUGUHVMVNWJWKWDWHWSXDVOWMWSXAXBXCVPXAARCBOHCLWBSVQUHVRVSVTWC $.

      $( Part of proof of Lemma E in [Crawley] p. 113. ~ cdleme26fALTN with s
         and t swapped (this case is not mentioned by them).  If s ` <_ ` t
         ` \/ ` v, then f(s) ` <_ ` f_s(t) ` \/ ` v.  TODO:  FIX COMMENT.
         (Contributed by NM, 1-Feb-2013.) $)
      cdleme26f2 $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( P =/= Q /\ T .<_ ( P .\/ Q ) )
              /\ ( s e. A /\ -. s .<_ W ) )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
              /\ ( T e. A /\ -. T .<_ W ) )
           /\ ( -. s .<_ ( P .\/ Q )
               /\ ( s =/= T /\ s .<_ ( T .\/ V ) )
               /\ ( V e. A /\ V .<_ W ) ) )
            -> G .<_ ( E .\/ V ) ) $=
        ( chlt wcel wa wne co wbr w3a simp11 simp23 simp31 simp12r simp12l 3jca
        cv simp21 simp22 simp13 simp32 simp33 cdleme22f2 syl323anc wceq simp23l
        wn simp23r cdleme25cl syl322anc simp13l simp13r fvexi riotasv syl112anc
        cbs oveq1d breqtrrd ) LUIUJQJUJUKZDEULZFDEKUMZMUNZUKZRVBZBUJZWIQMUNVLZU
        KZUOZDBUJDQMUNVLUKZEBUJEQMUNVLUKZFBUJZFQMUNVLZUKZUOZWIWFMUNVLZWIFULWIFP
        KUMMUNUKZPBUJPQMUNUKZUOZUOZIOPKUMZHPKUMMXDWDWRWTWGWEUOWNWOWLXAXBIXEMUNW
        DWHWLWSXCUPZWMWNWOWRXCUQXDWTWGWEWMWSWTXAXBURZWEWGWDWLWSXCUSZWEWGWDWLWSX
        CUTZVAWMWNWOWRXCVCZWMWNWOWRXCVDZWDWHWLWSXCVEWMWSWTXAXBVFWMWSWTXAXBVGBDE
        WIFGIJKLMNOPQTUAUBUCUDUEUFUGVHVIXDHOPKXDHCUJZWJWKWTHOVJXDWDWNWOWPWQWEWG
        XLXFXJXKWPWQWNWOWMXCVKWPWQWNWOWMXCVMXIXHABCDEFGIJHKLMNOQRSTUAUBUCUDUEUF
        UGUHVNVOWJWKWDWHWSXCVPWJWKWDWHWSXCVQXGWKWTUKARCBOHCLWASVRUHVSVTWBWC $.
    $}

    $d s t u z A $.  $d s t u z B $.  $d u F $.  $d u G $.  $d s t z H $.
    $d s t u z .\/ $.  $d s t z K $.  $d s t u z .<_ $.  $d s t u z ./\ $.
    $d t u N $.  $d s u O $.  $d s t u z P $.  $d s t u z Q $.  $d s t u z U $.
    $d z V $.  $d s t u z W $.
    cdleme27.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdleme27.f $e |- F
     = ( ( s .\/ U ) ./\ ( Q .\/ ( ( P .\/ s ) ./\ W ) ) ) $.
    cdleme27.z $e |- Z
     = ( ( z .\/ U ) ./\ ( Q .\/ ( ( P .\/ z ) ./\ W ) ) ) $.
    cdleme27.n $e |- N
     = ( ( P .\/ Q ) ./\ ( Z .\/ ( ( s .\/ z ) ./\ W ) ) ) $.
    cdleme27.d $e |- D = ( iota_ u e. B A. z e. A
       ( ( -. z .<_ W /\ -. z .<_ ( P .\/ Q ) ) -> u = N ) ) $.
    cdleme27.c $e |- C = if ( s .<_ ( P .\/ Q ) , D , F ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Closure of ` C ` .
       (Contributed by NM, 6-Feb-2013.) $)
    cdleme27cl $p |- ( ( ( K e. HL /\ W e. H )
          /\ ( ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( ( s e. A /\ -. s .<_ W ) /\ P =/= Q ) ) -> C e. B ) $=
      ( chlt wa wbr wn cv wne w3a co cif simpl1 simpl2l simpl2r simpl3l simpl3r
      simpr cdleme25cl syl312anc simp1l simp1r simp2ll simp2rl simp3ll cdleme1b
      wcel syl23anc adantr ifclda eqeltrid ) MULVOZQKVOZUMZGCVOZGQNUNUOZUMZHCVO
      ZHQNUNUOZUMZUMZSUPZCVOZWJQNUNUOZUMZGHUQZUMZURZEWJGHLUSNUNZFJUTDUKWPWQFJDW
      PWQUMWBWEWHWMWNWQFDVOWBWIWOWQVAWEWHWBWOWQVBWEWHWBWOWQVCWMWNWBWIWQVDWMWNWB
      WIWQVEWPWQVFBCDGHWJIRKFLMNOPQATUAUBUCUDUEUFUHUIUJVGVHWPJDVOZWQUOWPVTWAWCW
      FWKWRVTWAWIWOVIVTWAWIWOVJWCWDWHWBWOVKWFWGWEWBWOVLWKWLWNWBWIVMCDGHWJIJKLMN
      OQUAUBUCUDUEUFUGTVNVPVQVRVS $.

    $d s X $.

    ${
      cdleme27.g $e |- G
          = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
      cdleme27.o $e |- O
          = ( ( P .\/ Q ) ./\ ( Z .\/ ( ( t .\/ z ) ./\ W ) ) ) $.
      cdleme27.e $e |- E = ( iota_ u e. B A. z e. A
       ( ( -. z .<_ W /\ -. z .<_ ( P .\/ Q ) ) -> u = O ) ) $.
      cdleme27.y $e |- Y = if ( t .<_ ( P .\/ Q ) , E , G ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113. ~ cdleme26f with s and t
         swapped (this case is not mentioned by them).  If s ` <_ ` t ` \/ ` v,
         then f(s) ` <_ ` f_s(t) ` \/ ` v.  TODO:  FIX COMMENT. (Contributed by
         NM, 3-Feb-2013.) $)
      cdleme27a $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ P =/= Q
              /\ ( s e. A /\ -. s .<_ W ) )
           /\ ( ( P e. A /\ -. P .<_ W )
              /\ ( Q e. A /\ -. Q .<_ W )
              /\ ( t e. A /\ -. t .<_ W ) )
           /\ ( ( s =/= t /\ s .<_ ( t .\/ V ) )
               /\ ( V e. A /\ V .<_ W ) ) )
            -> C .<_ ( Y .\/ V ) ) $=
        ( cv co wbr chlt wcel wa wne wn wi wceq simp211 simp221 simp222 simp213
        simp223 simp23r simp212 simp1l simp1r simp3 cdleme26ee syl332anc 3expia
        3jca simp11l 3ad2ant2 simp13l simp23l simp3ll simp21l simp22l cdleme22b
        w3a simp3rl simp3lr syl232anc pm2.21dd pm2.61dne iftrue syl5eq ad2antrr
        cif oveq1d ad2antlr 3brtr4d simpr11 simpr12 jca simpr23 simpr21 simpr22
        ex simpll simpr13 simplr simpr3l simpr3r eqid wral cdleme25cv cdleme26f
        crio syl333anc iffalse cdleme26f2 cdleme22g syl323anc 4cases ) UEVBZHIO
        VCZQVDZCVBZYKQVDZPVEVFZUBNVFZVGZHIVHZYJDVFZYJUBQVDVIZVGZWNZHDVFZHUBQVDV
        IZVGZIDVFZIUBQVDVIZVGZYMDVFZYMUBQVDVIZVGZWNZYJYMVHZYJYMUAOVCZQVDZVGZUAD
        VFZUAUBQVDZVGZVGZWNZFUCUAOVCZQVDZVJYLYNVGZUVAUVCUVDUVAVGZGKUAOVCZFUVBQU
        VEGUVFQVDZUUNYKUVDUVAUUNYKVKZUVGUVDUVAUVHWNZYQUUEUUHUUAUUKUUSYRYLYNWNUV
        HUVGYQYRUUAUULUUTUVDUVHVLUUEUUHUUKUUBUUTUVDUVHVMUUEUUHUUKUUBUUTUVDUVHVN
        YQYRUUAUULUUTUVDUVHVOUUEUUHUUKUUBUUTUVDUVHVPUUPUUSUUBUULUVDUVHVQUVIYRYL
        YNYQYRUUAUULUUTUVDUVHVRYLYNUVAUVHVSYLYNUVAUVHVTWEUVDUVAUVHWAABDEHIYJYMJ
        KUDNGOPQRSTUAUBUFUGUHUIUJUKULUNUOUSUPUTWBWCWDUVDUVAUUNYKVHZUVGUVDUVAUVJ
        WNZYNUVGYLYNUVAUVJVTUVKYOYSUUIUUMWNUUCUUFYRUUQUVJUUOYLWNYNVIZUVAUVDYOUV
        JYOYPYRUUAUULUUTWFWGUVKYSUUIUUMUVAUVDYSUVJYSYTYQYRUULUUTWHWGUVAUVDUUIUV
        JUUIUUJUUEUUHUUBUUTWIWGUVAUVDUUMUVJUUMUUOUUSUUBUULWJWGWEUVAUVDUUCUVJUUC
        UUDUUHUUKUUBUUTWKWGUVAUVDUUFUVJUUFUUGUUEUUKUUBUUTWLWGYQYRUUAUULUUTUVDUV
        JVRUVAUVDUUQUVJUUQUURUUPUUBUULWOWGUVKUVJUUOYLUVDUVAUVJWAUVAUVDUUOUVJUUM
        UUOUUSUUBUULWPWGYLYNUVAUVJVSWEDHIYJYMNOPQRUAUGUHUIUJUKWMWQWRWDWSYLFGVKZ
        YNUVAYLFYLGLXCZGUQYLGLWTXAZXBYNUVBUVFVKZYLUVAYNUCKUAOYNUCYNKMXCZKVAYNKM
        WTXAXDZXEXFXMYLUVLVGZUVAUVCUVSUVAVGZGMUAOVCZFUVBQUVTYQYRYLVGUUKUUEUUHUU
        AUVLUUPUUSGUWAQVDYQYRUUAUULUUTUVSXGUVTYRYLYQYRUUAUULUUTUVSXHYLUVLUVAXNX
        IUUEUUHUUKUUBUUTUVSXJUUEUUHUUKUUBUUTUVSXKUUEUUHUUKUUBUUTUVSXLYQYRUUAUUL
        UUTUVSXOYLUVLUVAXPUUPUUSUUBUULUVSXQUUPUUSUUBUULUVSXRBCDEHIYJJMNGOPQRYKM
        YJYMOVCUBRVCOVCRVCZUAUBUFUGUHUIUJUKULURUWBXSZCBDEHIYJJUUJUVLVGBVBZUWBVK
        VJCDXTBEYCZUDMGOQRSUWBUBAUNUOURUWCUPUWEXSYAYBYDYLUVMUVLUVAUVOXBUVLUVBUW
        AVKZYLUVAUVLUCMUAOUVLUCUVQMVAYNKMYEXAXDZXEXFXMYLVIZYNVGZUVAUVCUWIUVAVGZ
        LUVFFUVBQUWJYQYRYNVGUUAUUEUUHUUKUWHUUPUUSLUVFQVDYQYRUUAUULUUTUWIXGUWJYR
        YNYQYRUUAUULUUTUWIXHUWHYNUVAXPXIYQYRUUAUULUUTUWIXOUUEUUHUUKUUBUUTUWIXKU
        UEUUHUUKUUBUUTUWIXLUUEUUHUUKUUBUUTUWIXJUWHYNUVAXNUUPUUSUUBUULUWIXQUUPUU
        SUUBUULUWIXRBDEHIYMJKLNOPQRYKLYMYJOVCUBRVCOVCRVCZUAUBUEUFUGUHUIUJUKULUM
        UWKXSZUEBDEHIYMJYTUWHVGUWDUWKVKVJUEDXTBEYCZUDLKOQRTUWKUBAUNUSUMUWLUTUWM
        XSYAYFYDUWHFLVKZYNUVAUWHFUVNLUQYLGLYEXAZXBYNUVPUWHUVAUVRXEXFXMUWHUVLVGZ
        UVAUVCUWPUVAVGZLUWAFUVBQUWQYQUUKUVLUWHYRWNUUEUUHUUAUUPUUSLUWAQVDYQYRUUA
        UULUUTUWPXGUUEUUHUUKUUBUUTUWPXJUWQUVLUWHYRUWHUVLUVAXPUWHUVLUVAXNYQYRUUA
        UULUUTUWPXHWEUUEUUHUUKUUBUUTUWPXKUUEUUHUUKUUBUUTUWPXLYQYRUUAUULUUTUWPXO
        UUPUUSUUBUULUWPXQUUPUUSUUBUULUWPXRDHIYJYMJLMNOPQRUAUBUGUHUIUJUKULUMURYG
        YHUWHUWNUVLUVAUWOXBUVLUWFUWHUVAUWGXEXFXMYI $.

      $( Lemma for ~ cdleme27N .  (Contributed by NM, 3-Feb-2013.) $)
      cdleme27b $p |- ( s = t -> C = Y ) $=
        ( cv wceq co wbr cif breq1 wn wa wral crio oveq1d oveq2d 3eqtr4g eqeq2d
        wi oveq1 imbi2d ralbidv riotabidv oveq2 oveq12d ifbieq12d ) UDVAZCVAZVB
        ZWCHIOVCZQVDZGLVEWDWFQVDZKMVEFUBWEWGWHGLKMWCWDWFQVFWEAVAZUAQVDVGWIWFQVD
        VGVHZBVAZSVBZVOZADVIZBEVJWJWKTVBZVOZADVIZBEVJGKWEWNWQBEWEWMWPADWEWLWOWJ
        WESTWKWEWFUCWCWIOVCZUARVCZOVCZRVCWFUCWDWIOVCZUARVCZOVCZRVCSTWEWTXCWFRWE
        WSXBUCOWEWRXAUARWCWDWIOVPVKVLVLUNURVMVNVQVRVSUOUSVMWEWCJOVCZIHWCOVCZUAR
        VCZOVCZRVCWDJOVCZIHWDOVCZUARVCZOVCZRVCLMWEXDXHXGXKRWCWDJOVPWEXFXJIOWEXE
        XIUARWCWDHOVTVKVLWAULUQVMWBUPUTVM $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  Eliminate the
         ` s =/= t ` antecedent in ~ cdleme27a .  (Contributed by NM,
         3-Feb-2013.)  (New usage is discouraged.) $)
      cdleme27N $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ P =/= Q
              /\ ( s e. A /\ -. s .<_ W ) )
           /\ ( ( P e. A /\ -. P .<_ W )
              /\ ( Q e. A /\ -. Q .<_ W )
              /\ ( t e. A /\ -. t .<_ W ) )
           /\ ( s .<_ ( t .\/ V )
               /\ ( V e. A /\ V .<_ W ) ) )
            -> C .<_ ( Y .\/ V ) ) $=
        ( chlt wcel wa wne cv wbr w3a wceq cdleme27b adantl clat simp11l hllatd
        simp11r simp21 simp22 simp23 simp12 cdleme27cl syl222anc simp3rl atbase
        latlej1 syl3anc eqbrtrd simpl11 simpl12 simpl13 simpl21 simpl22 simpl23
        wn syl adantr simpr simpl3l jca simpl3r cdleme27a syl332anc pm2.61dane
        co ) PVBVCZUBNVCZVDZHIVEZUEVFZDVCXHUBQVGWMVDZVHZHDVCHUBQVGWMVDZIDVCIUBQ
        VGWMVDZCVFZDVCXMUBQVGWMVDZVHZXHXMUAOXCQVGZUADVCZUAUBQVGZVDZVDZVHZFUCUAO
        XCZQVGZXHXMYAXHXMVIZVDFUCYBQYDFUCVIYAABCDEFGHIJKLMNOPQRSTUBUCUDUEUFUGUH
        UIUJUKULUMUNUOUPUQURUSUTVAVJVKYAUCYBQVGZYDYAPVLVCUCEVCZUAEVCZYEYAPXDXEX
        GXIXOXTVMZVNYAXDXEXKXLXNXGYFYHXDXEXGXIXOXTVOXJXKXLXNXTVPXJXKXLXNXTVQXJX
        KXLXNXTVRXFXGXIXOXTVSABDEUCKHIJMNOPQRTUBUDCUFUGUHUIUJUKULURUNUSUTVAVTWA
        YAXQYGXQXRXPXJXOWBDEUAPUFUJWCWNEOPQUCUAUFUGUHWDWEWOWFYAXHXMVEZVDZXFXGXI
        XKXLXNYIXPVDXSYCXFXGXIXOXTYIWGXFXGXIXOXTYIWHXFXGXIXOXTYIWIXKXLXNXJXTYIW
        JXKXLXNXJXTYIWKXKXLXNXJXTYIWLYJYIXPYAYIWPXPXSXJXOYIWQWRXPXSXJXOYIWSABCD
        EFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAWTXAXB $.

      ${
        cdleme28a.v $e |- V = ( ( s .\/ t ) ./\ ( X ./\ W ) ) $.
        $( Lemma for ~ cdleme25b .  TODO:  FIX COMMENT. (Contributed by NM,
           4-Feb-2013.) $)
        cdleme28a $p |- ( ( ( ( K e. HL /\ W e. H )
                /\ ( P e. A /\ -. P .<_ W )
                /\ ( Q e. A /\ -. Q .<_ W ) )
             /\ ( P =/= Q
                /\ ( s e. A /\ -. s .<_ W )
                /\ ( t e. A /\ -. t .<_ W ) )
             /\ ( s =/= t
                /\ ( ( s .\/ ( X ./\ W ) ) = X
                 /\ ( t .\/ ( X ./\ W ) ) = X )
                /\ ( X e. B /\ -. X .<_ W ) ) )
              -> ( C .\/ ( X ./\ W ) ) .<_ ( Y .\/ ( X ./\ W ) ) ) $=
          ( chlt wcel wa wbr wn w3a wne cv co wceq simp11l hllatd simp12 simp13
          simp11r simp22 simp21 syl222anc clat simp23 simp11 3jca simp33 simp31
          cdleme27cl simp32l simp32r cdleme23b syl3anc atbase syl latjcl latmcl
          simp33l lhpbase cdleme23c cdleme23a cdleme27a simp22l simp23l hlatjcl
          jca syl332anc latmle2 eqbrtrid wi latjlej2 syl13anc lattrd latlej2 wb
          mpd latjle12 mpbi2and ) PVDVEZUBNVEZVFZHDVEHUBQVGVHVFZIDVEIUBQVGVHVFZ
          VIZHIVJZUFVKZDVEZYEUBQVGVHZVFZCVKZDVEZYIUBQVGVHZVFZVIZYEYIVJZYEUCUBRV
          LZOVLUCVMZYIYOOVLUCVMZVFZUCEVEZUCUBQVGVHZVFZVIZVIZFUDYOOVLZQVGZYOUUDQ
          VGZFYOOVLUUDQVGZUUCEPQFUDUAOVLZUUDUGUHUUCPXRXSYAYBYMUUBVNZVOZUUCXRXSY
          AYBYHYDFEVEZUUIXRXSYAYBYMUUBVRZXTYAYBYMUUBVPZXTYAYBYMUUBVQZYCYDYHYLUU
          BVSZYCYDYHYLUUBVTZABDEFGHIJLNOPQRSUBUEUFUGUHUIUJUKULUMUNUOUPUQURWHWAZ
          UUCPWBVEZUDEVEZUAEVEZUUHEVEUUJUUCXRXSYAYBYLYDUUSUUIUULUUMUUNYCYDYHYLU
          UBWCZUUPABDEUDKHIJMNOPQRTUBUECUGUHUIUJUKULUMUSUOUTVAVBWHWAZUUCUADVEZU
          UTUUCXTYHYLVIZUUAYNYPYQVIZUVCUUCXTYHYLXTYAYBYMUUBWDZUUOUVAWEZYCYMYNYR
          UUAWFZUUCYNYPYQYCYMYNYRUUAWGZYPYQYNUUAYCYMWIYPYQYNUUAYCYMWJWEZDEYEYIN
          OPQRUAUBUCUGUHUIUJUKULVCWKWLZDEUAPUGUKWMWNZEOPUDUAUGUIWOWLUUCUURUUSYO
          EVEZUUDEVEZUUJUVBUUCUURYSUBEVEZUVMUUJYSYTYNYRYCYMWQUUCXSUVOUULENPUBUG
          ULWRWNEPRUCUBUGUJWPWLZEOPUDYOUGUIWOWLZUUCXTYDYHYAYBYLYNYEYIUAOVLQVGZV
          FUVCUAUBQVGZVFFUUHQVGUVFUUPUUOUUMUUNUVAUUCYNUVRUVIUUCUVDUUAUVEUVRUVGU
          VHUVJDEYEYINOPQRUAUBUCUGUHUIUJUKULVCWSWLXEUUCUVCUVSUVKUUCUVDUUAUVEUVS
          UVGUVHUVJDEYEYINOPQRUAUBUCUGUHUIUJUKULVCWTWLXEABCDEFGHIJKLMNOPQRSTUAU
          BUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBXAXFUUCUAYOQVGZUUHUUDQVGZUUCUA
          YEYIOVLZYORVLZYOQVCUUCUURUWBEVEZUVMUWCYOQVGUUJUUCXRYFYJUWDUUIYFYGYDYL
          YCUUBXBYJYKYDYHYCUUBXCDEOPYEYIUGUIUKXDWLUVPEPQRUWBYOUGUHUJXGWLXHUUCUU
          RUUTUVMUUSUVTUWAXIUUJUVLUVPUVBEOPQUAYOUDUGUHUIXJXKXOXLUUCUURUUSUVMUUF
          UUJUVBUVPEOPQUDYOUGUHUIXMWLUUCUURUUKUVMUVNUUEUUFVFUUGXNUUJUUQUVPUVQEO
          PQFYOUUDUGUHUIXPXKXQ $.
      $}

      $d X z $.  $d X t $.
      $( Lemma for ~ cdleme25b .  TODO:  FIX COMMENT. (Contributed by NM,
         6-Feb-2013.) $)
      cdleme28b $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( P e. A /\ -. P .<_ W )
              /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( P =/= Q
              /\ ( s e. A /\ -. s .<_ W )
              /\ ( t e. A /\ -. t .<_ W ) )
           /\ ( s =/= t
              /\ ( ( s .\/ ( X ./\ W ) ) = X
               /\ ( t .\/ ( X ./\ W ) ) = X )
              /\ ( X e. B /\ -. X .<_ W ) ) )
            -> ( C .\/ ( X ./\ W ) ) = ( Y .\/ ( X ./\ W ) ) ) $=
        ( chlt wcel wa wbr wn w3a cv co wceq simp11l hllatd clat simp11r simp12
        simp13 simp22 simp21 cdleme27cl syl222anc simp33l lhpbase latmcl latjcl
        wne syl simp23 eqid cdleme28a simp11 simp31 necomd simp32 ancomd simp33
        syl3anc syl333anc latasymd ) PVBVCZUANVCZVDZHDVCHUAQVEVFVDZIDVCIUAQVEVF
        VDZVGZHIWEZUEVHZDVCXFUAQVEVFVDZCVHZDVCXHUAQVEVFVDZVGZXFXHWEZXFUBUARVIZO
        VIUBVJZXHXLOVIUBVJZVDZUBEVCZUBUAQVEVFZVDZVGZVGZEPQFXLOVIZUCXLOVIZUFUGXT
        PWSWTXBXCXJXSVKZVLZXTPVMVCZFEVCZXLEVCZYAEVCYDXTWSWTXBXCXGXEYFYCWSWTXBXC
        XJXSVNZXAXBXCXJXSVOZXAXBXCXJXSVPZXDXEXGXIXSVQZXDXEXGXIXSVRZABDEFGHIJLNO
        PQRSUAUDUEUFUGUHUIUJUKULUMUNUOUPUQVSVTXTYEXPUAEVCZYGYDXPXQXKXOXDXJWAXTW
        TYMYHENPUAUFUKWBWFEPRUBUAUFUIWCWPZEOPFXLUFUHWDWPXTYEUCEVCZYGYBEVCYDXTWS
        WTXBXCXIXEYOYCYHYIYJXDXEXGXIXSWGZYLABDEUCKHIJMNOPQRTUAUDCUFUGUHUIUJUKUL
        URUNUSUTVAVSVTYNEOPUCXLUFUHWDWPABCDEFGHIJKLMNOPQRSTXFXHOVIXLRVIZUAUBUCU
        DUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAYQWHWIXTXAXBXCXEXIXGXHXFWEXNXMVDXRYB
        YAQVEXAXBXCXJXSWJYIYJYLYPYKXTXFXHXDXJXKXOXRWKWLXTXMXNXDXJXKXOXRWMWNXDXJ
        XKXOXRWOABUEDEUCKHIJGMLNOPQRTSXHXFOVIXLRVIZUAUBFUDCUFUGUHUIUJUKULURUNUS
        UTVAUMUOUPUQYRWHWIWQWR $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  Eliminate the
         ` s =/= t ` antecedent in ~ cdleme28b .  TODO:  FIX COMMENT.
         (Contributed by NM, 6-Feb-2013.) $)
      cdleme28c $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( P e. A /\ -. P .<_ W )
              /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( P =/= Q
              /\ ( s e. A /\ -. s .<_ W )
              /\ ( t e. A /\ -. t .<_ W ) )
           /\ ( ( s .\/ ( X ./\ W ) ) = X /\ ( t .\/ ( X ./\ W ) ) = X
              /\ ( X e. B /\ -. X .<_ W ) ) )
            -> ( C .\/ ( X ./\ W ) ) = ( Y .\/ ( X ./\ W ) ) ) $=
        ( chlt wcel wa wbr wn w3a cv co cdleme27b oveq1d adantl simpl11 simpl12
        wne simpl13 simpl21 simpl22 simpl23 simpr simpl31 simpl32 jca cdleme28b
        wceq simpl33 syl333anc pm2.61dane ) PVBVCUANVCVDZHDVCHUAQVEVFVDZIDVCIUA
        QVEVFVDZVGZHIVOZUEVHZDVCWNUAQVEVFVDZCVHZDVCWPUAQVEVFVDZVGZWNUBUARVIZOVI
        UBWEZWPWSOVIUBWEZUBEVCUBUAQVEVFVDZVGZVGZFWSOVIUCWSOVIWEZWNWPWNWPWEZXEXD
        XFFUCWSOABCDEFGHIJKLMNOPQRSTUAUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVJV
        KVLXDWNWPVOZVDZWIWJWKWMWOWQXGWTXAVDXBXEWIWJWKWRXCXGVMWIWJWKWRXCXGVNWIWJ
        WKWRXCXGVPWMWOWQWLXCXGVQWMWOWQWLXCXGVRWMWOWQWLXCXGVSXDXGVTXHWTXAWTXAXBW
        LWRXGWAWTXAXBWLWRXGWBWCWTXAXBWLWRXGWFABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUG
        UHUIUJUKULUMUNUOUPUQURUSUTVAWDWGWH $.

      $( Quantified version of ~ cdleme28c .  (Compare ~ cdleme24 .)
         (Contributed by NM, 7-Feb-2013.) $)
      cdleme28 $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( P e. A /\ -. P .<_ W )
              /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ P =/= Q
           /\ ( X e. B /\ -. X .<_ W ) )
    -> A. s e. A A. t e. A ( ( ( -. s .<_ W /\ ( s .\/ ( X ./\ W ) ) = X )
          /\ ( -. t .<_ W /\ ( t .\/ ( X ./\ W ) ) = X ) )
              -> ( C .\/ ( X ./\ W ) ) = ( Y .\/ ( X ./\ W ) ) ) ) $=
        ( chlt wcel wa wbr wn w3a wne cv co wi simp11 simp12 simp2l simp3ll jca
        wceq simp2r simp3rl simp3lr simp3rr cdleme28c syl133anc 3exp ralrimivv
        simp13 ) PVBVCUANVCVDHDVCHUAQVEVFVDIDVCIUAQVEVFVDVGZHIVHZUBEVCUBUAQVEVF
        VDZVGZUEVIZUAQVEVFZWKUBUARVJZOVJUBVQZVDZCVIZUAQVEVFZWPWMOVJUBVQZVDZVDZF
        WMOVJUCWMOVJVQZVKUECDDWJWKDVCZWPDVCZVDZWTXAWJXDWTVGZWGWHXBWLVDXCWQVDWNW
        RWIXAWGWHWIXDWTVLWGWHWIXDWTVMXEXBWLWJXBXCWTVNWLWNWSWJXDVOVPXEXCWQWJXBXC
        WTVRWQWRWOWJXDVSVPWLWNWSWJXDVTWQWRWOWJXDWAWGWHWIXDWTWFABCDEFGHIJKLMNOPQ
        RSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAWBWCWDWE $.
    $}

    $( Lemma for ~ cdleme29b .  (Compare ~ cdleme25a .)  TODO:  FIX COMMENT.
       (Contributed by NM, 7-Feb-2013.) $)
    cdleme29ex $p |- ( ( ( ( K e. HL /\ W e. H )
      /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
   /\ P =/= Q
   /\ ( X e. B /\ -. X .<_ W ) ) -> E. s e. A ( ( -. s .<_ W
        /\ ( s .\/ ( X ./\ W ) ) = X ) /\ ( C .\/ ( X ./\ W ) ) e. B ) ) $=
      ( chlt wcel wa wbr wn w3a wne cv co wceq wrex simp3 lhpmcvr2 syl2anc clat
      simp11 simp11l adantr hllatd simp11r simpl12 simpl13 cdleme27cl syl222anc
      simpr simpl2 simpl3l lhpbase syl latmcl syl3anc latjcl expr adantrd ancld
      reximdva mpd ) MUMUNZQKUNZUOZGCUNGQNUPUQUOZHCUNHQNUPUQUOZURZGHUSZRDUNZRQN
      UPUQZUOZURZTUTZQNUPUQZXARQOVAZLVARVBZUOZTCVCZXEEXCLVADUNZUOZTCVCWTWLWSXFW
      LWMWNWPWSVHWOWPWSVDCDKLMNOQRTUAUBUCUDUEUFVEVFWTXEXHTCWTXACUNZUOZXEXGXJXBX
      GXDWTXIXBXGWTXIXBUOZUOZMVGUNZEDUNZXCDUNZXGXLMWTWJXKWJWKWMWNWPWSVIVJZVKZXL
      WJWKWMWNXKWPXNXPWTWKXKWJWKWMWNWPWSVLVJZWLWMWNWPWSXKVMWLWMWNWPWSXKVNWTXKVQ
      WOWPWSXKVRABCDEFGHIJKLMNOPQSTUAUBUCUDUEUFUGUHUIUJUKULVOVPXLXMWQQDUNZXOXQW
      QWRWOWPXKVSXLWKXSXRDKMQUAUFVTWADMORQUAUDWBWCDLMEXCUAUCWDWCWEWFWGWHWI $.

    $d v A $.  $d v B $.  $d v .\/ $.  $d v .<_ $.  $d v ./\ $.  $d v P $.
    $d v Q $.  $d v U $.  $d v W $.  $d t v C $.  $d s u v Z $.  $d t v z X $.
    $( Transform ~ cdleme28 .  (Compare ~ cdleme25b .)  TODO:  FIX COMMENT.
       (Contributed by NM, 7-Feb-2013.) $)
    cdleme29b $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ P =/= Q
           /\ ( X e. B /\ -. X .<_ W ) )
      -> E. v e. B A. s e. A ( ( -. s .<_ W /\ ( s .\/ ( X ./\ W ) ) = X )
              -> v = ( C .\/ ( X ./\ W ) ) ) ) $=
      ( vt chlt wcel wa wbr wn w3a wne cv co wceq wrex wral crio cif cdleme29ex
      wi cdleme28 breq1 notbid oveq1 eqeq1d anbi12d oveq1i oveq1d oveq2d syl5eq
      eqid eqeq2d imbi2d ralbidv riotabidv oveq12d ifbieq12d reusv3 biimpd sylc
      oveq2 ) NUOUPRLUPUQHDUPHROURUSUQIDUPIROURUSUQUTHIVASEUPSROURUSUQUTUAVBZRO
      URZUSZWLSRPVCZMVCZSVDZUQZFWOMVCZEUPUQUADVEZWRUNVBZROURZUSZXAWOMVCZSVDZUQZ
      UQWSXAHIMVCZOURZAVBZROURUSXIXGOURUSUQZCVBZXGTXAXIMVCZRPVCZMVCZPVCZVDZVJZA
      DVFZCEVGZXAJMVCZIHXAMVCZRPVCZMVCZPVCZVHZWOMVCZVDVJUNDVFUADVFZWRBVBWSVDVJU
      ADVFBEVEZACDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVIACUNDEFGHIJXSKYDL
      MNOPQXORSYETUAUBUCUDUEUFUGUHUIUJUKULUMYDWAXOWAXSWAYEWAVKWTYGYHWRXFBUAUNED
      WSYFWLXAVDZWNXCWQXEYIWMXBWLXAROVLVMYIWPXDSWLXAWOMVNVOVPYIWSWLXGOURZGKVHZW
      OMVCYFFYKWOMUMVQYIYKYEWOMYIYJXHGKXSYDWLXAXGOVLYIGXJXKQVDZVJZADVFZCEVGXSUL
      YIYNXRCEYIYMXQADYIYLXPXJYIQXOXKYIQXGTWLXIMVCZRPVCZMVCZPVCXOUKYIYQXNXGPYIY
      PXMTMYIYOXLRPWLXAXIMVNVRVSVSVTWBWCWDWEVTYIKWLJMVCZIHWLMVCZRPVCZMVCZPVCYDU
      IYIYRXTUUAYCPWLXAJMVNYIYTYBIMYIYSYARPWLXAHMWKVRVSWFVTWGVRVTWHWIWJ $.

    $( Transform ~ cdleme28b .  (Compare ~ cdleme25c .)  TODO:  FIX COMMENT.
       (Contributed by NM, 8-Feb-2013.) $)
    cdleme29c $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ P =/= Q
           /\ ( X e. B /\ -. X .<_ W ) )
      -> E! v e. B A. s e. A ( ( -. s .<_ W /\ ( s .\/ ( X ./\ W ) ) = X )
              -> v = ( C .\/ ( X ./\ W ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne cv co wceq wi wral wreu cdleme29b wb simp11
      wrex simp3 lhpmcvr2 syl2anc reusv1 syl mpbird ) NUNUORLUOUPZHDUOHROUQURUP
      ZIDUOIROUQURUPZUSZHIUTZSEUOSROUQURUPZUSZUAVAZROUQURWDSRPVBZMVBSVCUPZBVAFW
      EMVBZVCVDUADVEZBEVFZWHBEVJZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUM
      VGWCWFUADVJZWIWJVHWCVQWBWKVQVRVSWAWBVIVTWAWBVKDELMNOPRSUAUBUCUDUEUFUGVLVM
      WFBUAEDWGVNVOVP $.

    cdleme29cl.i $e |- I = ( iota_ v e. B A. s e. A
         ( ( -. s .<_ W /\ ( s .\/ ( X ./\ W ) ) = X )
              -> v = ( C .\/ ( X ./\ W ) ) ) ) $.
    $( Show closure of the unique element in ~ cdleme28c .  (Contributed by NM,
       8-Feb-2013.) $)
    cdleme29cl $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ P =/= Q
           /\ ( X e. B /\ -. X .<_ W ) ) -> I e. B ) $=
      ( chlt wcel wa wbr wn w3a wne cv co wceq wral crio wreu cdleme29c riotacl
      wi syl eqeltrid ) OUPUQSLUQURHDUQHSPUSUTURIDUQISPUSUTURVAHIVBTEUQTSPUSUTU
      RVAZMUBVCZSPUSUTVOTSQVDZNVDTVEURBVCFVPNVDVEVKUBDVFZBEVGZEUOVNVQBEVHVREUQA
      BCDEFGHIJKLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNVIVQBEVJVLVM $.
  $}

  ${
    cdleme30.b $e |- B = ( Base ` K ) $.
    cdleme30.l $e |- .<_ = ( le ` K ) $.
    cdleme30.j $e |- .\/ = ( join ` K ) $.
    cdleme30.m $e |- ./\ = ( meet ` K ) $.
    cdleme30.a $e |- A = ( Atoms ` K ) $.
    cdleme30.h $e |- H = ( LHyp ` K ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       9-Feb-2013.) $)
    cdleme30a $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( s e. A
          /\ ( X e. B /\ -. X .<_ W )
          /\ Y e. B )
        /\ ( ( s .\/ ( X ./\ W ) ) = X
          /\ X .<_ Y ) )
       -> ( s .\/ ( Y ./\ W ) ) = Y ) $=
      ( wcel wbr co chlt wa cv wn w3a wceq clat simp1l hllatd simp21 atbase syl
      simp23 simp1r lhpbase latmcl syl3anc simp22l latjass syl13anc wi latmlem1
      simp3l simp3r latjlej2 eqbrtrrd wb latjcl latleeqj2 mpbid simp1 lhpmod2i2
      mpd syl121anc oveq2d cp1 cfv simp22 eqid lhpj1 syl2anc hlol olm11 latlej1
      col eqtrd breqtrd lattrd latleeqj1 3eqtrd 3eqtr3d ) EUARZHCRZUBZKUCZARZIB
      RZIHFSUDZUBZJBRZUEZWOIHGTZDTZIUFZIJFSZUBZUEZWOJHGTZDTZIDTZWOXHIDTZDTZXIJX
      GEUGRZWOBRZXHBRZWQXJXLUFXGEWLWMXAXFUHZUIZXGWPXNWNWPWSWTXFUJABWOELPUKULZXG
      XMWTHBRZXOXQWNWPWSWTXFUMZXGWMXSWLWMXAXFUNBCEHLQUOULZBEGJHLOUPUQZWQWRWPWTW
      NXFURZBDEWOXHILNUSUTXGIXIFSZXJXIUFZXGXCIXIFWNXAXDXEVCZXGXBXHFSZXCXIFSZXGX
      EYGWNXAXDXEVDZXGXMWQWTXSXEYGVAXQYCXTYABEFGIJHLMOVBUTVMXGXMXBBRZXOXNYGYHVA
      XQXGXMWQXSYJXQYCYABEGIHLOUPUQZYBXRBDEFXBXHWOLMNVEUTVMVFXGXMWQXIBRZYDYEVGX
      QYCXGXMXNXOYLXQXRYBBDEWOXHLNVHUQBDEFIXILMNVIUQVJXGXLWOJHIDTZGTZDTWOJDTZJX
      GXKYNWODXGWNWTWQXEXKYNUFWNXAXFVKZXTYCYIBCDEFGHJILMNOQVLVNVOXGYNJWODXGYNJE
      VPVQZGTZJXGYMYQJGXGWNWSYMYQUFYPWNWPWSWTXFVRBYQCDEFHILMNYQVSZQVTWAVOXGEWER
      ZWTYRJUFXGWLYTXPEWBULXTBYQEGJLOYSWCWAWFVOXGWOJFSZYOJUFZXGBEFWOIJLMXQXRYCX
      TXGWOXCIFXGXMXNYJWOXCFSXQXRYKBDEFWOXBLMNWDUQYFWGYIWHXGXMXNWTUUAUUBVGXQXRX
      TBDEFWOJLMNWIUQVJWJWK $.
  $}

  ${
    $d x A $.  $d x B $.  $d x .\/ $.  $d x .<_ $.  $d x ./\ $.  $d x N $.
    $d s x z X $.  $d x W $.  $d s x z X $.
    cdleme31so.o $e |- O = ( iota_ z e. B A. s e. A
       ( ( -. s .<_ W /\ ( s .\/ ( x ./\ W ) ) = x )
  -> z = ( N .\/ ( x ./\ W ) ) ) ) $.
    cdleme31so.c $e |- C = ( iota_ z e. B A. s e. A
       ( ( -. s .<_ W /\ ( s .\/ ( X ./\ W ) ) = X )
  -> z = ( N .\/ ( X ./\ W ) ) ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       25-Feb-2013.) $)
    cdleme31so $p |- ( X e. B -> [_ X / x ]_ O = C ) $=
      ( cv co wceq wa wi wcel wbr wn wral crio csb nfcvd oveq1 oveq2d id anbi2d
      eqeq12d eqeq2d imbi12d ralbidv riotabidv csbiegf csbeq2i 3eqtr4g ) LDUAZA
      LMPZKGUBUCZVAAPZKHQZFQZVCRZSZBPZIVDFQZRZTZMCUDZBDUEZUFVBVALKHQZFQZLRZSZVH
      IVNFQZRZTZMCUDZBDUEZALJUFEALVMWBDUTAWBUGVCLRZVLWABDWCVKVTMCWCVGVQVJVSWCVF
      VPVBWCVEVOVCLWCVDVNVAFVCLKHUHZUIWCUJULUKWCVIVRVHWCVDVNIFWDUIUMUNUOUPUQALJ
      VMNUROUS $.
  $}

  ${
    $d s A $.  $d s .\/ $.  $d s .<_ $.  $d s P $.  $d s Q $.  $d s R $.
    cdleme31sn.n $e |- N = if ( s .<_ ( P .\/ Q ) , I , D ) $.
    cdleme31sn.c $e |- C = if ( R .<_ ( P .\/ Q ) , [_ R / s ]_ I ,
        [_ R / s ]_ D ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       26-Feb-2013.) $)
    cdleme31sn $p |- ( R e. A -> [_ R / s ]_ N = C ) $=
      ( wcel cv wbr cif csb nfcsb1v csbeq1a co wnfc nfv nfif a1i wceq ifbieq12d
      breq1 csbiegf csbeq2i 3eqtr4g ) FANZKFKOZDEHUAZIPZGCQZRFUNIPZKFGRZKFCRZQZ
      KFJRBKFUPUTAKUTUBULUQKURUSUQKUCKFGSKFCSUDUEUMFUFUOUQGCURUSUMFUNIUHKFGTKFC
      TUGUIKFJUPLUJMUK $.
  $}

  ${
    $d s t y A $.  $d s B $.  $d s .\/ $.  $d s .<_ $.  $d s P $.  $d s Q $.
    $d s W $.
    cdleme31sn1sv.i $e |- I = ( iota_ y e. B A. t e. A
       ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> y = G ) ) $.
    cdleme31sn1sv.n $e |- N = if ( s .<_ ( P .\/ Q ) , I , D ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113. $)
$(
    cdleme31sn1sv $p |- ( ( ( R e. A /\ -. R .<_ W ) /\ R .<_ ( P .\/ Q ) )
            -> [_ R / s ]_ N = [_ R / s ]_ G ) $=
      ? $.
$)
  $}

  ${
    $d s t y A $.  $d s B $.  $d s .\/ $.  $d s .<_ $.  $d s P $.  $d s Q $.
    $d s t y R $.  $d s W $.
    cdleme31sn1.i $e |- I = ( iota_ y e. B A. t e. A
       ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> y = G ) ) $.
    cdleme31sn1.n $e |- N = if ( s .<_ ( P .\/ Q ) , I , D ) $.
    cdleme31sn1.c $e |- C = ( iota_ y e. B A. t e. A
       ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> y = [_ R / s ]_ G ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       26-Feb-2013.) $)
    cdleme31sn1 $p |- ( ( R e. A /\ R .<_ ( P .\/ Q ) )
            -> [_ R / s ]_ N = C ) $=
      ( csb wcel co wbr wa cif wceq eqid cdleme31sn adantr cv wn wi wral iftrue
      crio csbeq2i eqtrdi wnfc nfcv nfv nfcsb1v nfim nfralw nfriota a1i csbeq1a
      nfeq2 eqeq2d imbi2d ralbidv riotabidv csbiegf sylan9eqr eqtr4di eqtrd ) I
      CUAZIGHLUBZMUCZUDZPINTZVRPIKTZPIFTZUEZEVPVTWCUFVRCWCFGHIKLMNPRWCUGUHUIVSW
      CBUJZOMUCUKWDVQMUCUKUDZAUJZPIJTZUFZULZBCUMZADUOZEVRVPWCPIWEWFJUFZULZBCUMZ
      ADUOZTZWKVRWCWAWPVRWAWBUNPIKWOQUPUQPIWOWKCPWKURVPWJPADWIPBCPCUSWEWHPWEPUT
      PWFWGPIJVAVGVBVCPDUSVDVEPUJIUFZWNWJADWQWMWIBCWQWLWHWEWQJWGWFPIJVFVHVIVJVK
      VLVMSVNVO $.
  $}

  ${
    $d s A $.  $d s D $.  $d s .\/ $.  $d s ./\ $.  $d s P $.  $d s Q $.
    $d s R $.  $d s W $.  $d s T $.
    cdleme31se.e $e |- E
        = ( ( P .\/ Q ) ./\ ( D .\/ ( ( s .\/ T ) ./\ W ) ) ) $.
    cdleme31se.y $e |- Y
        = ( ( P .\/ Q ) ./\ ( D .\/ ( ( R .\/ T ) ./\ W ) ) ) $.
    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       26-Feb-2013.) $)
    cdleme31se $p |- ( R e. A
            -> [_ R / s ]_ E = Y ) $=
      ( wcel co cv csb nfcvd oveq2d wceq oveq1 oveq1d csbiegf csbeq2i 3eqtr4g )
      EAOZLECDHPZBLQZFHPZJIPZHPZIPZRUHBEFHPZJIPZHPZIPZLEGRKLEUMUQAUGLUQSUIEUAZU
      LUPUHIURUKUOBHURUJUNJIUIEFHUBUCTTUDLEGUMMUENUF $.
  $}

  ${
    $d t A $.  $d t .\/ $.  $d t ./\ $.  $d t P $.  $d t Q $.  $d t R $.
    $d t S $.  $d t W $.
    cdleme31se2.e $e |- E
        = ( ( P .\/ Q ) ./\ ( D .\/ ( ( R .\/ t ) ./\ W ) ) ) $.
    cdleme31se2.y $e |- Y
      = ( ( P .\/ Q ) ./\ ( [_ S / t ]_ D .\/ ( ( R .\/ S ) ./\ W ) ) ) $.
    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       3-Apr-2013.) $)
    cdleme31se2 $p |- ( S e. A
            -> [_ S / t ]_ E = Y ) $=
      ( wcel co cv csb nfcv nfov wnfc nfcsb1v wceq csbeq1a oveq2 oveq1d oveq12d
      a1i oveq2d csbiegf csbeq2i 3eqtr4g ) GBOZAGDEIPZCFAQZIPZKJPZIPZJPZRUNAGCR
      ZFGIPZKJPZIPZJPZAGHRLAGUSVDBAVDUAUMAUNVCJAUNSAJSAUTVBIAGCUBAISAVBSTTUHUOG
      UCZURVCUNJVECUTUQVBIAGCUDVEUPVAKJUOGFIUEUFUGUIUJAGHUSMUKNUL $.
  $}

  ${
    $d s A $.  $d s .\/ $.  $d s ./\ $.  $d s P $.  $d s Q $.  $d s R $.
    $d s U $.  $d s W $.
    cdleme31sc.c $e |- C
        = ( ( s .\/ U ) ./\ ( Q .\/ ( ( P .\/ s ) ./\ W ) ) ) $.
    cdleme31sc.x $e |- X
        = ( ( R .\/ U ) ./\ ( Q .\/ ( ( P .\/ R ) ./\ W ) ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       31-Mar-2013.) $)
    cdleme31sc $p |- ( R e. A -> [_ R / s ]_ C = X ) $=
      ( wcel cv co csb nfcvd wceq oveq1 oveq1d oveq12d csbiegf csbeq2i 3eqtr4g
      oveq2 oveq2d ) EANZKEKOZFGPZDCUIGPZIHPZGPZHPZQEFGPZDCEGPZIHPZGPZHPZKEBQJK
      EUNUSAUHKUSRUIESZUJUOUMURHUIEFGTUTULUQDGUTUKUPIHUIECGUFUAUGUBUCKEBUNLUDMU
      E $.
  $}

  ${
    $d s t A $.  $d s t .\/ $.  $d s t ./\ $.  $d s t P $.  $d s t Q $.
    $d s R $.  $d s t S $.  $d s t W $.  $d s t Y $.
    cdleme31sde.c $e |- D
        = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
    cdleme31sde.e $e |- E
        = ( ( P .\/ Q ) ./\ ( D .\/ ( ( s .\/ t ) ./\ W ) ) ) $.
    cdleme31sde.x $e |- Y
        = ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) ) $.
    cdleme31sde.z $e |- Z
        = ( ( P .\/ Q ) ./\ ( Y .\/ ( ( R .\/ S ) ./\ W ) ) ) $.
    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       31-Mar-2013.) $)
    cdleme31sde $p |- ( ( R e. A /\ S e. A )
            -> [_ R / s ]_ [_ S / t ]_ E = Z ) $=
      ( co wcel cv csbeq2i nfcvd wceq oveq1 oveq2 oveq1d oveq2d oveq12d 3eqtr4g
      csb csbiegf syl5eq csbeq2dv eqid cdleme31se sylan9eqr ) GBUAZFBUAOFAGIULZ
      ULOFDEJTZMOUBZGJTZLKTZJTZKTZULNUSOFUTVFUSUTAGVACVBAUBZJTZLKTZJTZKTZULVFAG
      IVKQUCAGVKVFBUSAVFUDVGGUEZVJVEVAKVLCMVIVDJVLVGHJTZEDVGJTZLKTZJTZKTGHJTZED
      GJTZLKTZJTZKTCMVLVMVQVPVTKVGGHJUFVLVOVSEJVLVNVRLKVGGDJUGUHUIUJPRUKVLVHVCL
      KVGGVBJUGUHUJUIUMUNUOBMDEFGVFJKLNOVFUPSUQUR $.
  $}

  ${
    $d v A $.  $d v D $.  $d t v .\/ $.  $d t v ./\ $.  $d t O $.  $d t v P $.
    $d t v Q $.  $d v S $.  $d t v U $.  $d v V $.  $d t v W $.
    cdleme31snd.d $e |- D
        = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
    cdleme31snd.n $e |- N
        = ( ( v .\/ V ) ./\ ( P .\/ ( ( Q .\/ v ) ./\ W ) ) ) $.
    cdleme31snd.e $e |- E
        = ( ( O .\/ U ) ./\ ( Q .\/ ( ( P .\/ O ) ./\ W ) ) ) $.
    cdleme31snd.o $e |- O
        = ( ( S .\/ V ) ./\ ( P .\/ ( ( Q .\/ S ) ./\ W ) ) ) $.
    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       1-Apr-2013.) $)
    cdleme31snd $p |- ( S e. A
            -> [_ S / v ]_ [_ N / t ]_ D = E ) $=
      ( csb wcel csbnestgw cdleme31sc csbeq1d cvv wceq ovexi ax-mp eqtrdi eqtrd
      co ) GCUAZAGBLDTTBAGLTZDTZIABGLDCUBULUNBMDTZIULBUMMDCLFEGNJKOMAQSUCUDMUEU
      AUOIUFMGNJUKEFGJUKOKUKJUKKSUGUEDEFMHJKOIBPRUCUHUIUJ $.
  $}

  ${
    $d t .\/ $.  $d t ./\ $.  $d t P $.  $d t Q $.  $d t U $.  $d t W $.
    $d s t $.
    cdleme31sdn.c $e |- C
        = ( ( s .\/ U ) ./\ ( Q .\/ ( ( P .\/ s ) ./\ W ) ) ) $.
    cdleme31sdn.d $e |- D
        = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
    cdleme31sdn.n $e |- N = if ( s .<_ ( P .\/ Q ) , I , C ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       31-Mar-2013.)  (New usage is discouraged.) $)
    cdleme31sdnN $p |- N = if ( s .<_ ( P .\/ Q ) , I , [_ s / t ]_ D ) $=
      ( cv co wbr cif csb biid wceq cvv cdleme31sc elv ifbieq2i eqtr4i ) KMQZDE
      HRISZGBTUJGAUICUAZTPUJUJUKBGUJUBUKBUCMUDCDEUIFHJLBAONUEUFUGUH $.
  $}

  ${
    $d s t y A $.  $d s B $.  $d s E $.  $d s t y .\/ $.  $d s t y .<_ $.
    $d s ./\ $.  $d s t y P $.  $d s t y Q $.  $d s t y R $.  $d s W $.
    cdleme31sn1c.g $e |- G
        = ( ( P .\/ Q ) ./\ ( E .\/ ( ( s .\/ t ) ./\ W ) ) ) $.
    cdleme31sn1c.i $e |- I = ( iota_ y e. B A. t e. A
       ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> y = G ) ) $.
    cdleme31sn1c.n $e |- N = if ( s .<_ ( P .\/ Q ) , I , D ) $.
    $( Local substitution instances $)
    cdleme31sn1c.y $e |- Y
        = ( ( P .\/ Q ) ./\ ( E .\/ ( ( R .\/ t ) ./\ W ) ) ) $.
    cdleme31sn1c.c $e |- C = ( iota_ y e. B A. t e. A
       ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> y = Y ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       1-Mar-2013.) $)
    cdleme31sn1c $p |- ( ( R e. A /\ R .<_ ( P .\/ Q ) )
            -> [_ R / s ]_ N = C ) $=
      ( wcel co wbr wa csb cv wceq wral crio eqid cdleme31sn1 cdleme31se adantr
      wn wi eqeq2d imbi2d ralbidv riotabidv eqtr4di eqtrd ) ICUEZIGHMUFZNUGZUHZ
      SIPUIBUJZQNUGURVJVGNUGURUHZAUJZSIKUIZUKZUSZBCULZADUMZEABCDVQFGHIKLMNPQSUA
      UBVQUNUOVIVQVKVLRUKZUSZBCULZADUMEVIVPVTADVIVOVSBCVIVNVRVKVIVMRVLVFVMRUKVH
      CJGHIVJKMOQRSTUCUPUQUTVAVBVCUDVDVE $.
  $}

  ${
    $d s A $.  $d s .\/ $.  $d s .<_ $.  $d s ./\ $.  $d s P $.  $d s Q $.
    $d s R $.  $d s U $.  $d s W $.
    cdleme32sn2.d $e |- D
        = ( ( s .\/ U ) ./\ ( Q .\/ ( ( P .\/ s ) ./\ W ) ) ) $.
    cdleme31sn2.n $e |- N = if ( s .<_ ( P .\/ Q ) , I , D ) $.
    cdleme31sn2.c $e |- C
        = ( ( R .\/ U ) ./\ ( Q .\/ ( ( P .\/ R ) ./\ W ) ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       26-Feb-2013.) $)
    cdleme31sn2 $p |- ( ( R e. A /\ -. R .<_ ( P .\/ Q ) )
            -> [_ R / s ]_ N = C ) $=
      ( co csb wceq wcel wbr wn wa cif eqid cdleme31sn adantr cv iffalse eqtrdi
      csbeq2i nfcvd oveq1 oveq2 oveq1d oveq2d oveq12d csbiegf sylan9eqr eqtr4di
      eqtrd ) FAUAZFDEIRJUBZUCZUDZNFLSZFGIRZEDFIRZMKRZIRZKRZBVFVGVDNFHSZNFCSZUE
      ZVLVCVGVOTVEAVOCDEFHIJLNPVOUFUGUHVEVCVONFNUIZGIRZEDVPIRZMKRZIRZKRZSZVLVEV
      OVNWBVDVMVNUJNFCWAOULUKNFWAVLAVCNVLUMVPFTZVQVHVTVKKVPFGIUNWCVSVJEIWCVRVIM
      KVPFDIUOUPUQURUSUTVBQVA $.
  $}

  ${
    $d x B $.  $d x C $.  $d x .<_ $.  $d x P $.  $d x Q $.  $d x W $.
    $d s x z X $.
    cdleme31.o $e |- O = ( iota_ z e. B A. s e. A
        ( ( -. s .<_ W /\ ( s .\/ ( x ./\ W ) ) = x )
         -> z = ( N .\/ ( x ./\ W ) ) ) ) $.
    cdleme31.f $e |- F = ( x e. B
                         |-> if ( ( P =/= Q /\ -. x .<_ W ) , O , x ) ) $.
    ${
      cdleme31.c $e |- C = ( iota_ z e. B A. s e. A
       ( ( -. s .<_ W /\ ( s .\/ ( X ./\ W ) ) = X )
           -> z = ( N .\/ ( X ./\ W ) ) ) ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
         10-Feb-2013.) $)
      cdleme31fv $p |- ( X e. B
          -> ( F ` X ) = if ( ( P =/= Q /\ -. X .<_ W ) , C , X ) ) $=
        ( wceq wcel wne wbr wn wa cif cvv cv co wral crio riotaex eqeltri ifexg
        cfv wi mpan breq1 notbid anbi2d oveq1 oveq2d id eqeq12d imbi12d ralbidv
        eqeq2d riotabidv 3eqtr4g ifbieq12d fvmptg mpdan ) ODUAZFGUBZONJUCZUDZUE
        ZEOUFZUGUAZOHUOVRTEUGUAVMVSEPUHZNJUCUDZVTONKUIZIUIZOTZUEZBUHZLWBIUIZTZU
        PZPCUJZBDUKZUGSWJBDULUMVQEOUGDUNUQAOVNAUHZNJUCZUDZUEZMWLUFVRDUGHWLOTZWO
        VQMWLEOWPWNVPVNWPWMVOWLONJURUSUTWPWAVTWLNKUIZIUIZWLTZUEZWFLWQIUIZTZUPZP
        CUJZBDUKWKMEWPXDWJBDWPXCWIPCWPWTWEXBWHWPWSWDWAWPWRWCWLOWPWQWBVTIWLONKVA
        ZVBWPVCZVDUTWPXAWGWFWPWQWBLIXEVBVGVEVFVHQSVIXFVJRVKVL $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
         10-Feb-2013.) $)
      cdleme31fv1 $p |- ( ( X e. B /\ ( P =/= Q /\ -. X .<_ W ) )
          -> ( F ` X ) = C ) $=
        ( wcel wne wbr wn wa cfv cif cdleme31fv iftrue sylan9eq ) ODTFGUAONJUBU
        CUDZOHUEUJEOUFEABCDEFGHIJKLMNOPQRSUGUJEOUHUI $.
    $}

    $d x A $.  $d s z B $.  $d x .\/ $.  $d x ./\ $.  $d x N $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       25-Feb-2013.) $)
    cdleme31fv1s $p |- ( ( X e. B /\ ( P =/= Q /\ -. X .<_ W ) )
          -> ( F ` X ) = [_ X / x ]_ O ) $=
      ( wa co wceq wcel wne wbr wn cfv cv wral crio eqid cdleme31fv1 cdleme31so
      wi csb adantr eqtr4d ) NDUAZEFUBNMIUCUDRZRNGUEOUFZMIUCUDURNMJSZHSNTRBUFKU
      SHSTULOCUGBDUHZANLUMZABCDUTEFGHIJKLMNOPQUTUIZUJUPVAUTTUQABCDUTHIJKLMNOPVB
      UKUNUO $.
  $}

  ${
    $d x B $.  $d x .<_ $.  $d x P $.  $d x Q $.  $d x W $.  $d x X $.
    cdleme31fv2.f $e |- F = ( x e. B
                         |-> if ( ( P =/= Q /\ -. x .<_ W ) , O , x ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       23-Feb-2013.) $)
    cdleme31fv2 $p |- ( ( X e. B /\ -. ( P =/= Q /\ -. X .<_ W ) )
        -> ( F ` X ) = X ) $=
      ( wcel wne wbr wn wa cv cif wceq breq1 notbid anbi2d biimparc simpr eqtrd
      adantll iffalsed simpl fvmptd2 ) IBKZCDLZIHFMZNZOZNZOZAIUJAPZHFMZNZOZGUPQ
      ZIBEBJUOUPIRZOZUTUPIVBUSGUPUNVAUSNZUIVAVCUNVAUSUMVAURULUJVAUQUKUPIHFSTUAT
      UBUEUFUOVAUCUDUIUNUGZVDUH $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       18-Apr-2013.) $)
    cdleme31id $p |- ( ( X e. B /\ P = Q )
        -> ( F ` X ) = X ) $=
      ( wceq wcel wne wbr wn wa cfv simpl necon2bi cdleme31fv2 sylan2 ) CDKIBLC
      DMZIHFNOZPZOIEQIKUDCDUBUCRSABCDEFGHIJTUA $.
  $}

  ${
    cdlemefrs29.b $e |- B = ( Base ` K ) $.
    cdlemefrs29.l $e |- .<_ = ( le ` K ) $.
    cdlemefrs29.j $e |- .\/ = ( join ` K ) $.
    cdlemefrs29.m $e |- ./\ = ( meet ` K ) $.
    cdlemefrs29.a $e |- A = ( Atoms ` K ) $.
    cdlemefrs29.h $e |- H = ( LHyp ` K ) $.
    cdlemefrs29.eq $e |- ( s = R -> ( ph <-> ps ) ) $.
    $( ***START OF VALUE AT ATOM STUFF TO REPLACE ONES BELOW*** FIX COMMENT.
       TODO: see if this is the optimal utility theorem using ~ lhpmat .
       (Contributed by NM, 29-Mar-2013.) $)
    cdlemefrs29pre00 $p |- ( ( ( ( K e. HL /\ W e. H )
       /\ ( R e. A /\ -. R .<_ W ) /\ ps ) /\ s e. A ) ->
     ( ( ( -. s .<_ W /\ ph ) /\ ( s .\/ ( R ./\ W ) ) = R )
        <-> ( -. s .<_ W /\ ( s .\/ ( R ./\ W ) ) = R ) ) ) $=
      ( wa chlt wcel wbr wn w3a cv co wceq anass wb simpl3 pm5.32ri syl cp0 cfv
      baibr eqid lhpmat 3adant3 adantr oveq2d col simpl1l atbase adantl syl2anc
      hlol olj01 eqtrd eqeq1d anbi2d 3bitr4d bitr4id ) HUAUBZKFUBZTZECUBEKIUCUD
      TZBUEZLUFZCUBZTZVSKIUCUDZATVSEKJUGZGUGZEUHZTWBAWETZTWBWETWBAWEUIWAWEWFWBW
      AVSEUHZAWGTZWEWFWABWGWHUJVPVQBVTUKWHBWGWGABSULUPUMWAWDVSEWAWDVSHUNUOZGUGZ
      VSWAWCWIVSGVRWCWIUHZVTVPVQWKBCEFHIJKWINPWIUQZQRURUSUTVAWAHVBUBZVSDUBZWJVS
      UHWAVNWMVNVOVQBVTVCHVGUMVTWNVRCDVSHMQVDVEDGHVSWIMOWLVHVFVIVJZWAWEWGAWOVKV
      LVKVM $.
  $}

  ${
    $d s z $.  $d s A $.  $d s H $.  $d s .\/ $.  $d s K $.  $d s .<_ $.
    $d s P $.  $d s Q $.  $d s R $.  $d s W $.  $d s ps $.
    cdlemefrs27.b $e |- B = ( Base ` K ) $.
    cdlemefrs27.l $e |- .<_ = ( le ` K ) $.
    cdlemefrs27.j $e |- .\/ = ( join ` K ) $.
    cdlemefrs27.m $e |- ./\ = ( meet ` K ) $.
    cdlemefrs27.a $e |- A = ( Atoms ` K ) $.
    cdlemefrs27.h $e |- H = ( LHyp ` K ) $.
    cdlemefrs27.eq $e |- ( s = R -> ( ph <-> ps ) ) $.
    cdlemefrs27.nb $e |- ( ( ( ( K e. HL /\ W e. H )
       /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
   /\ P =/= Q
   /\ ( s e. A /\ ( -. s .<_ W /\ ph ) ) ) -> N e. B ) $.
    $( TODO fix comment.  (Contributed by NM, 29-Mar-2013.) $)
    cdlemefrs29bpre0 $p |- ( ( ( ( K e. HL /\ W e. H ) /\
     ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
  /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
  /\ ps )
  -> ( A. s e. A ( ( ( -. s .<_ W /\ ph )
         /\ ( s .\/ ( R ./\ W ) ) = R ) -> z = ( N .\/ ( R ./\ W ) ) )
      <-> z = [_ R / s ]_ N ) ) $=
      ( chlt wcel wa wbr wn w3a wne cv co wceq wral wal csb df-ral anass imbi1i
      wi impexp 3bitr3ri cp0 cfv simpl11 simpl2r eqid lhpmat syl2anc oveq2d col
      simp11l syl adantr simprl atbase olj01 eqtrd eqeq1d simpl1 simpl2l simprr
      hlol syl112anc eqeq2d imbi12d pm5.74da simp2rl simp2rr simp3 eleq1 notbid
      breq1 anbi12d biimprcd syl12anc imbi1d eqcom imbi2i bitr3di bitr3id bitrd
      pm4.71rd syl5bb albidv wb nfcv csbiebg bitrdi ) KUEUFZOIUFZUGZFDUFFOLUHUI
      UGZGDUFGOLUHUIUGZUJZFGUKZHDUFZHOLUHZUIZUGZUGZBUJZPULZOLUHZUIZAUGZYDHOMUMZ
      JUMZHUNZUGZCULZNYHJUMZUNZVAZPDUOZYDHUNZNYLUNZVAZPUPZYLPHNUQZUNZYPYDDUFZYO
      VAZPUPYCYTYOPDURYCUUDYSPUUDUUCYGUGZYJYNVAZVAZYCYSUUEYJUGZYNVAUUCYKUGZYNVA
      UUGUUDUUHUUIYNUUCYGYJUSUTUUEYJYNVBUUCYKYNVBVCYCUUGUUEYQYLNUNZVAZVAZYSYCUU
      EUUFUUKYCUUEUGZYJYQYNUUJUUMYIYDHUUMYIYDKVDVEZJUMZYDUUMYHUUNYDJUUMXMYAYHUU
      NUNXMXNXOYBBUUEVFXQYAXPBUUEVGDHIKLMOUUNRTUUNVHZUAUBVIVJZVKUUMKVLUFZYDEUFZ
      UUOYDUNYCUURUUEYCXKUURXKXLXNXOYBBVMKWDVNVOZUUMUUCUUSYCUUCYGVPZDEYDKQUAVQV
      NEJKYDUUNQSUUPVRVJVSVTUUMYMNYLUUMYMNUUNJUMZNUUMYHUUNNJUUQVKUUMUURNEUFZUVB
      NUNUUTUUMXPXQUUCYGUVCXPYBBUUEWAXQYAXPBUUEWBUVAYCUUCYGWCUDWEEJKNUUNQSUUPVR
      VJVSWFWGWHUULUUEYQUGZUUJVAZYCYSUUEYQUUJVBYCUUKUVEYSYCYQUVDUUJYCYQUUEYCXRX
      TBYQUUEVAXRXTXQXPBWIZXRXTXQXPBWJXPYBBWKYQUUEXRXTBUGZUGYQUUCXRYGUVGYDHDWLY
      QYFXTABYQYEXSYDHOLWNWMUCWOWOWPWQXDWRUUJYRYQYLNWSWTXAXBXCXEXFXEYCYTUUAYLUN
      ZUUBYCXRYTUVHXGUVFPHNYLDPYLXHXIVNUUAYLWSXJXC $.

    cdlemefrs27.rnb $e |- ( ( ( ( K e. HL /\ W e. H )
          /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) ) /\ ps )
      -> [_ R / s ]_ N e. B ) $.
    $d z A $.  $d z B $.  $d z H $.  $d z K $.  $d z .<_ $.  $d z N $.
    $d z P $.  $d z Q $.  $d z R $.  $d z W $.  $d z ps $.
    $( TODO:  FIX COMMENT. (Contributed by NM, 29-Mar-2013.) $)
    cdlemefrs29bpre1 $p |- ( ( ( ( K e. HL /\ W e. H ) /\
     ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
  /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
  /\ ps )
 -> E. z e. B A. s e. A ( ( ( -. s .<_ W /\ ph )
         /\ ( s .\/ ( R ./\ W ) ) = R ) -> z = ( N .\/ ( R ./\ W ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne cv co wceq wi wral cdlemefrs29bpre0 rexbidv
      wrex csb risset bitr4di mpbird ) KUFUGOIUGUHFDUGFOLUIUJUHGDUGGOLUIUJUHUKF
      GULHDUGHOLUIUJUHUHBUKZPUMZOLUIUJAUHVFHOMUNZJUNHUOUHCUMZNVGJUNUOUPPDUQZCEU
      TZPHNVAZEUGZUEVEVJVHVKUOZCEUTVLVEVIVMCEABCDEFGHIJKLMNOPQRSTUAUBUCUDURUSCV
      KEVBVCVD $.

    $d B s $.  $d .\/ z $.  $d ./\ s z $.  $d ph z $.
    $( TODO:  FIX COMMENT. (Contributed by NM, 29-Mar-2013.) $)
    cdlemefrs29cpre1 $p |- ( ( ( ( K e. HL /\ W e. H ) /\
        ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
     /\ ps )
   -> E! z e. B A. s e. A ( ( ( -. s .<_ W /\ ph )
         /\ ( s .\/ ( R ./\ W ) ) = R ) -> z = ( N .\/ ( R ./\ W ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne cv co wceq wi wral wreu cdlemefrs29bpre1 wb
      simp11 simp2rl atbase syl simp2rr lhpmcvr2 syl12anc simpl3 pm5.32ri baibr
      wrex cp0 cfv simp2r eqid lhpmat syl2anc adantr oveq2d simp11l hlol syl2an
      col olj01 eqtrd eqeq1d anbi2d 3bitr4d anass bitr4di rexbidva mpbid reusv1
      mpbird ) KUFUGZOIUGZUHZFDUGFOLUIUJUHZGDUGGOLUIUJUHZUKZFGULZHDUGZHOLUIUJZU
      HZUHZBUKZPUMZOLUIUJZAUHXGHOMUNZJUNZHUOZUHZCUMNXIJUNZUOUPPDUQZCEURZXNCEVKZ
      ABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUSXFXLPDVKZXOXPUTXFXHXKUHZPDVKZXQXFWQHEUGZX
      CXSWQWRWSXEBVAZXFXBXTXBXCXAWTBVBDEHKQUAVCVDXBXCXAWTBVEDEIJKLMOHPQRSTUAUBV
      FVGXFXRXLPDXFXGDUGZUHZXRXHAXKUHZUHXLYCXKYDXHYCXGHUOZAYEUHZXKYDYCBYEYFUTWT
      XEBYBVHYFBYEYEABUCVIVJVDYCXJXGHYCXJXGKVLVMZJUNZXGYCXIYGXGJXFXIYGUOZYBXFWQ
      XDYIYAWTXAXDBVNDHIKLMOYGRTYGVOZUAUBVPVQVRVSXFKWCUGZXGEUGYHXGUOYBXFWOYKWOW
      PWRWSXEBVTKWAVDDEXGKQUAVCEJKXGYGQSYJWDWBWEWFZYCXKYEAYLWGWHWGXHAXKWIWJWKWL
      XLCPEDXMWMVDWN $.

    ${
      cdlemefrs29cl.o $e |- O = ( iota_ z e. B A. s e. A
           ( ( -. s .<_ W /\ ( s .\/ ( R ./\ W ) ) = R )
                -> z = ( N .\/ ( R ./\ W ) ) ) ) $.
      $( TODO:  NOT USED?  Show closure of the unique element in
         ~ cdlemefrs29cpre1 .  (Contributed by NM, 29-Mar-2013.)
         (New usage is discouraged.) $)
      cdlemefrs29clN $p |- ( ( ( ( K e. HL /\ W e. H ) /\
       ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
    /\ ps ) -> O e. B ) $=
        ( chlt wcel wa wbr wn w3a wne cv co wceq wi wral crio wb simpl11 simpl3
        simpl2r simpr cdlemefrs29pre00 syl31anc ralbidva riotabidv eqtr4id wreu
        imbi1d cdlemefrs29cpre1 riotacl syl eqeltrd ) KUHUIPIUIUJZFDUIFPLUKULUJ
        ZGDUIGPLUKULUJZUMZFGUNZHDUIHPLUKULUJZUJZBUMZOQUOZPLUKULZAUJWEHPMUPZJUPH
        UQZUJZCUONWGJUPUQZURZQDUSZCEUTZEWDOWFWHUJZWJURZQDUSZCEUTWMUGWDWLWPCEWDW
        KWOQDWDWEDUIZUJZWIWNWJWRVQWBBWQWIWNVAVQVRVSWCBWQVBWAWBVTBWQVDVTWCBWQVCW
        DWQVEABDEHIJKLMPQRSTUAUBUCUDVFVGVLVHVIVJWDWLCEVKWMEUIABCDEFGHIJKLMNPQRS
        TUAUBUCUDUEUFVMWLCEVNVOVP $.
    $}

    cdleme29frs.o $e |- O = ( iota_ z e. B A. s e. A
       ( ( -. s .<_ W /\ ( s .\/ ( x ./\ W ) ) = x )
         -> z = ( N .\/ ( x ./\ W ) ) ) ) $.
    $d x z A $.  $d x z B $.  $d s z H $.  $d x z .\/ $.  $d s z K $.
    $d z x .<_ $.  $d x z ./\ $.  $d x z N $.  $d z P $.  $d z Q $.
    $d s x z R $.  $d x z W $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Value of ` F ` at an atom
       not under ` W ` .  TODO:  FIX COMMENT. TODO: consolidate uses of
       ~ lhpmat here and elsewhere, and presence/absence of
       ` s .<_ ( P .\/ Q ) ` term.  Also, why can proof be shortened with
       ~ cdleme29cl ?  What is difference from ~ cdlemefs27cl ?  (Contributed
       by NM, 29-Mar-2013.) $)
    cdlemefrs32fva $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ ps )
               -> [_ R / x ]_ O = [_ R / s ]_ N ) $=
      ( chlt wcel wa wbr wn w3a wne cv co wceq wi wral crio simp2rl atbase eqid
      csb cdleme31so 3syl wss wrex wreu ssidd simpll simpr jca imim1i rgenw a1i
      ralimi cdlemefrs29bpre1 wb simpl11 simpl2r simpl3 cdlemefrs29pre00 imbi1d
      syl31anc ralbidva rexbidv mpbid cdlemefrs29cpre1 riotass2 syl22anc adantr
      cdlemefrs29bpre0 riota5 3eqtrd ) LUIUJQJUJUKZGEUJGQMULUMUKZHEUJHQMULUMUKZ
      UNZGHUOZIEUJZIQMULUMZUKZUKZBUNZCIPVEZRUPZQMULUMZXHIQNUQZKUQIURZUKZDUPZOXJ
      KUQURZUSZREUTZDFVAZXIAUKZXKUKZXNUSZREUTZDFVAZRIOVEZXFXBIFUJXGXQURXBXCXAWT
      BVBEFILSUCVCCDEFXQKMNOPQIRUHXQVDVFVGXFFFVHXPYAUSZDFUTZXPDFVIZYADFVJXQYBUR
      XFFVKYEXFYDDFXOXTREXSXLXNXSXIXKXIAXKVLXRXKVMVNVOVRVPVQXFYADFVIYFABDEFGHIJ
      KLMNOQRSTUAUBUCUDUEUFUGVSXFYAXPDFXFXTXOREXFXHEUJZUKZXSXLXNYHWQXDBYGXSXLVT
      WQWRWSXEBYGWAXAXDWTBYGWBWTXEBYGWCXFYGVMABEFIJKLMNQRSTUAUBUCUDUEWDWFWEWGWH
      WIABDEFGHIJKLMNOQRSTUAUBUCUDUEUFUGWJXPYADFFWKWLXFYADFYCUGXFYAXMYCURVTXMFU
      JABDEFGHIJKLMNOQRSTUAUBUCUDUEUFWNWMWOWP $.

    cdleme29frs.f $e |- F = ( x e. B
                         |-> if ( ( P =/= Q /\ -. x .<_ W ) , O , x ) ) $.
    $d z H $.  $d z K $.  $d x P $.  $d x Q $.  $d x z R $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT.
       (Contributed by NM, 29-Mar-2013.) $)
    cdlemefrs32fva1 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ ps )
       -> ( F ` R ) = [_ R / s ]_ N ) $=
      ( chlt wcel wa wbr w3a wne cfv csb wceq simp2rl atbase syl simp2l simp2rr
      wn cdleme31fv1s syl12anc cdlemefrs32fva eqtrd ) MUKULRKULUMGEULGRNUNVEUMH
      EULHRNUNVEUMUOZGHUPZIEULZIRNUNVEZUMZUMBUOZIJUQZCIQURZSIPURVOIFULZVKVMVPVQ
      USVOVLVRVLVMVKVJBUTEFIMTUDVAVBVJVKVNBVCVLVMVKVJBVDCDEFGHJLNOPQRISUIUJVFVG
      ABCDEFGHIKLMNOPQRSTUAUBUCUDUEUFUGUHUIVHVI $.
  $}

  ${
    cdlemefr29.b $e |- B = ( Base ` K ) $.
    cdlemefr29.l $e |- .<_ = ( le ` K ) $.
    cdlemefr29.j $e |- .\/ = ( join ` K ) $.
    cdlemefr29.m $e |- ./\ = ( meet ` K ) $.
    cdlemefr29.a $e |- A = ( Atoms ` K ) $.
    cdlemefr29.h $e |- H = ( LHyp ` K ) $.
    $d s A $.  $d s B $.  $d s H $.  $d s K $.  $d s .<_ $.  $d s ./\ $.
    $d s P $.  $d s Q $.  $d s W $.  $d s X $.
    $( Lemma for ~ cdlemefs29bpre1N .  (Compare ~ cdleme25a .)  TODO:  FIX
       COMMENT. TODO:  IS THIS NEEDED?  (Contributed by NM, 28-Mar-2013.)
       (New usage is discouraged.) $)
    cdlemefr29exN $p |- ( ( ( ( K e. HL /\ W e. H )
      /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
   /\ ( P =/= Q /\ ( X e. B /\ -. X .<_ W ) )
   /\ A. s e. A C e. B ) -> E. s e. A
       ( ( -. s .<_ W /\ ( s .\/ ( X ./\ W ) ) = X )
          /\ ( C .\/ ( X ./\ W ) ) e. B ) ) $=
      ( wcel chlt wa wbr wn w3a wne wral cv co wceq wrex simp11 simp2r lhpmcvr2
      syl2anc nfv nfra1 nf3an clat simp11l adantr hllatd simpl3 simprl rsp sylc
      wi simp2rl simp11r lhpbase syl latmcl syl3anc expr adantrd ancld reximdai
      latjcl ex mpd ) HUATZKFTZUBZDATDKIUCUDUBZEATEKIUCUDUBZUEZDEUFZLBTZLKIUCUD
      ZUBZUBZCBTZMAUGZUEZMUHZKIUCUDZWOLKJUIZGUILUJZUBZMAUKZWSCWQGUIBTZUBZMAUKWN
      WCWJWTWCWDWEWKWMULWFWGWJWMUMABFGHIJKLMNOPQRSUNUOWNWSXBMAWFWKWMMWFMUPWKMUP
      WLMAUQURWNWOATZWSXBVGWNXCUBZWSXAXDWPXAWRWNXCWPXAWNXCWPUBZUBZHUSTZWLWQBTZX
      AXFHWNWAXEWAWBWDWEWKWMUTZVAVBXFWMXCWLWFWKWMXEVCWNXCWPVDWLMAVEVFWNXHXEWNXG
      WHKBTZXHWNHXIVBWHWIWGWFWMVHWNWBXJWAWBWDWEWKWMVIBFHKNSVJVKBHJLKNQVLVMVABGH
      CWQNPVRVMVNVOVPVSVQVT $.
  $}

  ${
    cdlemefr27.b $e |- B = ( Base ` K ) $.
    cdlemefr27.l $e |- .<_ = ( le ` K ) $.
    cdlemefr27.j $e |- .\/ = ( join ` K ) $.
    cdlemefr27.m $e |- ./\ = ( meet ` K ) $.
    cdlemefr27.a $e |- A = ( Atoms ` K ) $.
    cdlemefr27.h $e |- H = ( LHyp ` K ) $.
    cdlemefr27.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdlemefr27.c $e |- C
        = ( ( s .\/ U ) ./\ ( Q .\/ ( ( P .\/ s ) ./\ W ) ) ) $.
    cdlemefr27.n $e |- N = if ( s .<_ ( P .\/ Q ) , I , C ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Closure of ` N ` .
       (Contributed by NM, 23-Mar-2013.) $)
    cdlemefr27cl $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ P e. A
            /\ Q e. A )
          /\ ( s e. A /\ -. s .<_ ( P .\/ Q )
              /\ P =/= Q ) ) -> N e. B ) $=
      ( chlt wa w3a cv co wbr wn wne cif simpr2 iffalsed syl5eq simpl1l simpl1r
      wcel simpl2 simpl3 simpr1 cdleme1b syl23anc eqeltrd ) JUEUSZNGUSZUFZDAUSZ
      EAUSZUGZOUHZAUSZVLDEIUIKUJZUKZDEULZUGZUFZMCBVRMVNHCUMCUDVRVNHCVKVMVOVPUNU
      OUPVRVFVGVIVJVMCBUSVFVGVIVJVQUQVFVGVIVJVQURVHVIVJVQUTVHVIVJVQVAVKVMVOVPVB
      ABDEVLFCGIJKLNQRSTUAUBUCPVCVDVE $.

    $d s A $.  $d s .\/ $.  $d s .<_ $.  $d s ./\ $.  $d s P $.  $d s Q $.
    $d s R $.  $d s U $.  $d s W $.
    $( Show that ` [_ R / s ]_ N ` is an atom not under ` W ` when
       ` -. R .<_ ( P .\/ Q ) ` .  (Contributed by NM, 28-Mar-2013.) $)
    cdlemefr32sn2aw $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
        /\ -. R .<_ ( P .\/ Q ) )
            -> ( [_ R / s ]_ N e. A /\ -. [_ R / s ]_ N .<_ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne co simp11 simp12 simp13 simp2r simp2l simp3
      csb eqid cdleme3fa cdleme3 jca syl132anc wceq simp2rl cdleme31sn2 syl2anc
      eleq1d breq1d notbid anbi12d mpbird ) KUFUGOHUGUHZDAUGDOLUIUJUHZEAUGEOLUI
      UJUHZUKZDEULZFAUGZFOLUIUJZUHZUHZFDEJUMLUIUJZUKZPFNUTZAUGZWFOLUIZUJZUHFGJU
      MEDFJUMOMUMJUMMUMZAUGZWJOLUIZUJZUHZWEVOVPVQWBVSWDWNVOVPVQWCWDUNVOVPVQWCWD
      UOVOVPVQWCWDUPVRVSWBWDUQVRVSWBWDURVRWCWDUSZVOVPVQWBUKVSWDUHUKWKWMADEFGWJH
      JKLMORSTUAUBUCWJVAZVBADEFGWJHJKLMORSTUAUBUCWPVCVDVEWEWGWKWIWMWEWFWJAWEVTW
      DWFWJVFVTWAVSVRWDVGWOAWJCDEFGIJLMNOPUDUEWPVHVIZVJWEWHWLWEWFWJOLWQVKVLVMVN
      $.

    $( Show closure of ` [_ R / s ]_ N ` .  (Contributed by NM,
       28-Mar-2013.) $)
    cdlemefr32snb $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ -. R .<_ ( P .\/ Q ) )
            -> [_ R / s ]_ N e. B ) $=
      ( chlt wcel wa wbr wn w3a wne co csb cdlemefr32sn2aw simpld atbase syl )
      KUFUGOHUGUHDAUGDOLUIUJUHEAUGEOLUIUJUHUKDEULFAUGFOLUIUJUHUHFDEJUMLUIUJUKZP
      FNUNZAUGZUTBUGUSVAUTOLUIUJABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUOUPABUTKQUAUQUR
      $.

    $d s z $.  $d s A $.  $d s H $.  $d s .\/ $.  $d s K $.  $d s .<_ $.
    $d s P $.  $d s Q $.  $d s R $.  $d s W $.
    $( TODO fix comment.  (Contributed by NM, 28-Mar-2013.)
       (New usage is discouraged.) $)
    cdlemefr29bpre0N $p |- ( ( ( ( K e. HL /\ W e. H ) /\
     ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
  /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
  /\ -. R .<_ ( P .\/ Q ) )
  -> ( A. s e. A ( ( ( -. s .<_ W /\ -. s .<_ ( P .\/ Q ) )
         /\ ( s .\/ ( R ./\ W ) ) = R ) -> z = ( N .\/ ( R ./\ W ) ) )
      <-> z = [_ R / s ]_ N ) ) $=
      ( cv co wbr wn wceq breq1 notbid chlt wcel w3a wne simp11 simp12l simp13l
      wa simp3l simp3rr simp2 cdlemefr27cl syl33anc cdlemefrs29bpre0 ) QUGZEFKU
      HZMUIZUJZGVIMUIZUJABCEFGIKLMNOPQRSTUAUBUCVHGUKVJVLVHGVIMULUMLUNUOPIUOVAZE
      BUOZEPMUIUJZVAZFBUOZFPMUIUJZVAZUPZEFUQZVHBUOZVHPMUIUJZVKVAZVAZUPVMVNVQWBV
      KWAOCUOVMVPVSWAWEURVNVOVMVSWAWEUSVQVRVMVPWAWEUTVTWAWBWDVBWCVKWBVTWAVCVTWA
      WEVDBCDEFHIJKLMNOPQRSTUAUBUCUDUEUFVEVFVG $.

    $d x z A $.  $d s x z B $.  $d z H $.  $d x z .\/ $.  $d z K $.
    $d x z .<_ $.  $d x z ./\ $.  $d x z N $.  $d z P $.  $d z Q $.
    $d x z R $.  $d x z W $.
    ${
      cdlemefr29cl.o $e |- O = ( iota_ z e. B A. s e. A
           ( ( -. s .<_ W /\ ( s .\/ ( R ./\ W ) ) = R )
                -> z = ( N .\/ ( R ./\ W ) ) ) ) $.
      $( Show closure of the unique element in ~ cdleme29c .  TODO fix comment.
         TODO Not needed?  (Contributed by NM, 29-Mar-2013.)
         (New usage is discouraged.) $)
      cdlemefr29clN $p |- ( ( ( ( K e. HL /\ W e. H ) /\
       ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
    /\ -. R .<_ ( P .\/ Q ) ) -> O e. B ) $=
        ( cv co wbr wn wceq breq1 notbid chlt wa w3a wne simp11 simp12l simp13l
        simp3l simp3rr simp2 cdlemefr27cl syl33anc cdlemefr32snb cdlemefrs29clN
        wcel ) RUIZEFKUJZMUKZULZGVLMUKZULABCEFGIKLMNOPQRSTUAUBUCUDVKGUMVMVOVKGV
        LMUNUOLUPVJQIVJUQZEBVJZEQMUKULZUQZFBVJZFQMUKULZUQZURZEFUSZVKBVJZVKQMUKU
        LZVNUQZUQZURVPVQVTWEVNWDOCVJVPVSWBWDWHUTVQVRVPWBWDWHVAVTWAVPVSWDWHVBWCW
        DWEWGVCWFVNWEWCWDVDWCWDWHVEBCDEFHIJKLMNOQRSTUAUBUCUDUEUFUGVFVGBCDEFGHIJ
        KLMNOQRSTUAUBUCUDUEUFUGVHUHVI $.
    $}

    ${
      cdleme43fr.x $e |- X
          = ( ( R .\/ U ) ./\ ( Q .\/ ( ( P .\/ R ) ./\ W ) ) ) $.
      $( Value of ` [_ R / s ]_ N ` when ` -. R .<_ ( P .\/ Q ) ` .
         (Contributed by NM, 30-Mar-2013.)  (New usage is discouraged.) $)
      cdleme43frv1snN $p |- ( ( R e. A /\ -. R .<_ ( P .\/ Q ) )
                -> [_ R / s ]_ N = X ) $=
        ( cdleme31sn2 ) APCDEFGIJLMNOQUEUFUGUH $.
    $}

    cdleme29fr.o $e |- O = ( iota_ z e. B A. s e. A
       ( ( -. s .<_ W /\ ( s .\/ ( x ./\ W ) ) = x )
         -> z = ( N .\/ ( x ./\ W ) ) ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Value of ` F ` at an atom
       not under ` W ` .  TODO:  FIX COMMENT. (Contributed by NM, 29-Mar-2013.)
       (New usage is discouraged.) $)
    cdlemefr32fvaN $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ -. R .<_ ( P .\/ Q ) )
               -> [_ R / x ]_ O = [_ R / s ]_ N ) $=
      ( cv co wbr wn wceq breq1 notbid chlt wcel w3a wne simp11 simp12l simp13l
      simp3l simp3rr simp2 cdlemefr27cl syl33anc cdlemefr32snb cdlemefrs32fva
      wa ) SUJZFGLUKZNULZUMZHVMNULZUMABCDFGHJLMNOPQRSTUAUBUCUDUEVLHUNVNVPVLHVMN
      UOUPMUQURRJURVKZFCURZFRNULUMZVKZGCURZGRNULUMZVKZUSZFGUTZVLCURZVLRNULUMZVO
      VKZVKZUSVQVRWAWFVOWEPDURVQVTWCWEWIVAVRVSVQWCWEWIVBWAWBVQVTWEWIVCWDWEWFWHV
      DWGVOWFWDWEVEWDWEWIVFCDEFGIJKLMNOPRSTUAUBUCUDUEUFUGUHVGVHCDEFGHIJKLMNOPRS
      TUAUBUCUDUEUFUGUHVIUIVJ $.

    cdleme29fr.f $e |- F = ( x e. B
                         |-> if ( ( P =/= Q /\ -. x .<_ W ) , O , x ) ) $.
    $d z H $.  $d z K $.  $d x P $.  $d x Q $.  $d x z R $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT.
       (Contributed by NM, 29-Mar-2013.) $)
    cdlemefr32fva1 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ -. R .<_ ( P .\/ Q ) )
       -> ( F ` R ) = [_ R / s ]_ N ) $=
      ( cv co wbr wn wceq breq1 notbid chlt wcel w3a wne simp11 simp12l simp13l
      simp3l simp3rr simp2 cdlemefr27cl syl33anc cdlemefr32snb cdlemefrs32fva1
      wa ) TULZFGMUMZOUNZUOZHVOOUNZUOABCDFGHJKMNOPQRSTUAUBUCUDUEUFVNHUPVPVRVNHV
      OOUQURNUSUTSKUTVMZFCUTZFSOUNUOZVMZGCUTZGSOUNUOZVMZVAZFGVBZVNCUTZVNSOUNUOZ
      VQVMZVMZVAVSVTWCWHVQWGQDUTVSWBWEWGWKVCVTWAVSWEWGWKVDWCWDVSWBWGWKVEWFWGWHW
      JVFWIVQWHWFWGVGWFWGWKVHCDEFGIKLMNOPQSTUAUBUCUDUEUFUGUHUIVIVJCDEFGHIKLMNOP
      QSTUAUBUCUDUEUFUGUHUIVKUJUKVL $.

    cdleme43frv.x $e |- X
        = ( ( R .\/ U ) ./\ ( Q .\/ ( ( P .\/ R ) ./\ W ) ) ) $.
    $( Value of ` ( F `` R ) ` when ` -. R .<_ ( P .\/ Q ) ` .  TODO This may
       be useful for shortening others that now use ~ riotasv 3d .  TODO:  FIX
       COMMENT. (Contributed by NM, 30-Mar-2013.) $)
    cdlemefr31fv1 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ -. R .<_ ( P .\/ Q ) )
              -> ( F ` R ) = X ) $=
      ( chlt wcel wa wbr wn w3a wne cfv cdlemefr32fva1 wceq simp2rl cdleme31sn2
      co csb simp3 syl2anc eqtrd ) NUNUOSKUOUPFCUOFSOUQURUPGCUOGSOUQURUPUSZFGUT
      ZHCUOZHSOUQURZUPUPZHFGMVFOUQURZUSZHJVAUAHQVGZTABCDEFGHIJKLMNOPQRSUAUBUCUD
      UEUFUGUHUIUJUKULVBVQVMVPVRTVCVMVNVLVKVPVDVKVOVPVHCTEFGHILMOPQSUAUIUJUMVEV
      IVJ $.
  $}

  ${
    cdlemefs29.b $e |- B = ( Base ` K ) $.
    cdlemefs29.l $e |- .<_ = ( le ` K ) $.
    cdlemefs29.j $e |- .\/ = ( join ` K ) $.
    cdlemefs29.m $e |- ./\ = ( meet ` K ) $.
    cdlemefs29.a $e |- A = ( Atoms ` K ) $.
    cdlemefs29.h $e |- H = ( LHyp ` K ) $.
    $( FIX COMMENT. TODO: see if this is the optimal utility theorem using
       ~ lhpmat .  (Contributed by NM, 27-Mar-2013.)
       (New usage is discouraged.) $)
    cdlemefs29pre00N $p |- ( ( ( ( K e. HL /\ W e. H )
       /\ ( R e. A /\ -. R .<_ W ) /\ R .<_ ( P .\/ Q ) ) /\ s e. A ) ->
    ( ( ( -. s .<_ W /\ s .<_ ( P .\/ Q ) ) /\ ( s .\/ ( R ./\ W ) ) = R )
        <-> ( -. s .<_ W /\ ( s .\/ ( R ./\ W ) ) = R ) ) ) $=
      ( cv wbr co breq1 cdlemefrs29pre00 ) LSZCDGUAZITEUEITABEFGHIJKLMNOPQRUDEU
      EIUBUC $.
  $}

  ${
    cdlemefs26.b $e |- B = ( Base ` K ) $.
    cdlemefs26.l $e |- .<_ = ( le ` K ) $.
    cdlemefs26.j $e |- .\/ = ( join ` K ) $.
    cdlemefs26.m $e |- ./\ = ( meet ` K ) $.
    cdlemefs26.a $e |- A = ( Atoms ` K ) $.
    cdlemefs26.h $e |- H = ( LHyp ` K ) $.
    cdlemefs27.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdlemefs27.d $e |- D
        = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
    cdlemefs27.e $e |- E
        = ( ( P .\/ Q ) ./\ ( D .\/ ( ( s .\/ t ) ./\ W ) ) ) $.
    cdlemefs27.i $e |- I = ( iota_ u e. B A. t e. A
       ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> u = E ) ) $.
    cdlemefs27.n $e |- N = if ( s .<_ ( P .\/ Q ) , I , C ) $.
    $d t u A $.  $d t u B $.  $d u E $.  $d t H $.  $d t u .\/ $.  $d t K $.
    $d t u .<_ $.  $d t u ./\ $.  $d t u P $.  $d t u Q $.  $d t u U $.
    $d t u W $.  $d t u s $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Closure of ` N ` .  TODO
       FIX COMMENT This is the start of a re-proof of ~ cdleme27cl etc. with
       the ` s .<_ ( P .\/ Q ) ` condition (so as to not have the ` C `
       hypothesis).  (Contributed by NM, 24-Mar-2013.) $)
    cdlemefs27cl $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( ( s e. A /\ -. s .<_ W ) /\ s .<_ ( P .\/ Q )
              /\ P =/= Q ) ) -> N e. B ) $=
      ( chlt wa wbr wn w3a cv co wne simpr2 iftrued simpl1 simpl2 simpl3 simpr1
      wcel cif simpr3 cdleme25cl syl312anc eqeltrd eqeltrid ) NUKVERKVEULZGCVEG
      ROUMUNULZHCVEHROUMUNULZUOZSUPZCVEVPROUMUNULZVPGHMUQOUMZGHURZUOZULZQVRLEVF
      ZDUJWAWBLDWAVRLEVOVQVRVSUSZUTWAVLVMVNVQVSVRLDVEVLVMVNVTVAVLVMVNVTVBVLVMVN
      VTVCVOVQVRVSVDVOVQVRVSVGWCACDGHVPIFKLMNOPJRBTUAUBUCUDUEUFUGUHUIVHVIVJVK
      $.
  $}

  ${
    $d s t x y z A $.  $d s t x y z B $.  $d y D $.  $d y E $.  $d s t y H $.
    $d s t x y z .\/ $.  $d s t y K $.  $d s t x y z .<_ $.
    $d s t x y z ./\ $.  $d x z N $.  $d s t y z P $.  $d s t y z Q $.
    $d s t y R $.  $d t y U $.  $d s t x y z W $.  $d y Y $.
    cdlemefs32.b $e |- B = ( Base ` K ) $.
    cdlemefs32.l $e |- .<_ = ( le ` K ) $.
    cdlemefs32.j $e |- .\/ = ( join ` K ) $.
    cdlemefs32.m $e |- ./\ = ( meet ` K ) $.
    cdlemefs32.a $e |- A = ( Atoms ` K ) $.
    cdlemefs32.h $e |- H = ( LHyp ` K ) $.
    cdlemefs32.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdlemefs32.d $e |- D
        = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
    cdlemefs32.e $e |- E
        = ( ( P .\/ Q ) ./\ ( D .\/ ( ( s .\/ t ) ./\ W ) ) ) $.
    cdlemefs32.i $e |- I = ( iota_ y e. B A. t e. A
       ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> y = E ) ) $.
    cdlemefs32.n $e |- N = if ( s .<_ ( P .\/ Q ) , I , C ) $.
    ${
      $d s D $.
      $( Local substitution instances.  Maybe change these to ~ equid . $)
      cdlemefs32a1.y $e |- Y
          = ( ( P .\/ Q ) ./\ ( D .\/ ( ( R .\/ t ) ./\ W ) ) ) $.
      cdlemefs32a1.z $e |- Z = ( iota_ y e. B A. t e. A
         ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> y = Y ) ) $.
      $( Show that ` [_ R / s ]_ N ` is an atom not under ` W ` when
         ` R .<_ ( P .\/ Q ) ` .  (Contributed by NM, 24-Mar-2013.) $)
      cdlemefs32sn1aw $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ R .<_ ( P .\/ Q ) )
              -> ( [_ R / s ]_ N e. A /\ -. [_ R / s ]_ N .<_ W ) ) $=
        ( chlt wcel wa wbr wn w3a wne co csb cvv cbs fvexi cv nfv wnf wceq wral
        wi crio nfra1 nfcv nfriota nfcxfr nfel1 nfbr nfn a1i eleq1 breq1 notbid
        nfan wb anbi12d adantl simpl1 simpl2r simprl simprrl jca simpl2l simpl3
        simprrr cdleme7ga cdleme7 syl123anc ex simp1 simp2rl simp2rr cdleme25cl
        simp2l simp3 syl122anc simp11 simp12 simp13 cdlemb2 syl121anc riotasv3d
        wrex mpan2 cdleme31sn1c syl2anc eleq1d breq1d mpbird ) OUPUQSLUQURZGCUQ
        GSPUSUTURZHCUQHSPUSUTURZVAZGHVBZICUQZISPUSUTZURZURZIGHNVCZPUSZVAZUBIRVD
        ZCUQZYNSPUSZUTZURUACUQZUASPUSZUTZURZYMDVEUQUUADOVFUCVGYMBVHZSPUSUTZUUBY
        KPUSUTZURZTCUQZTSPUSZUTZURZUUAABDCTUAVEYMBVIUUABVJYMYRYTBBUACBUAUUEAVHT
        VKVMZBCVLZADVNZUOUUKBADUUJBCVOBDVPVQVRZVSYSBBUASPUUMBPVPBSVPVTWAWFWBUAU
        ULVKYMUOWBTUAVKZUUIUUAWGYMUUNUUFYRUUHYTTUACWCUUNUUGYSTUASPWDWEWHWIYMUUB
        CUQZUUEURZUUIYMUUPURZYEYIUUOUUCURZYFYLUUDUUIYEYJYLUUPWJYFYIYEYLUUPWKUUQ
        UUOUUCYMUUOUUEWLYMUUOUUCUUDWMWNYFYIYEYLUUPWOYEYJYLUUPWPYMUUOUUCUUDWQYEY
        IUURURYFYLUUDVAVAUUFUUHCGHIUUBJFTLNOPQSUDUEUFUGUHUIUJUNWRCGHIUUBJFTLNOP
        QSUDUEUFUGUHUIUJUNWSWNWTXAYMYEYGYHYFYLUADUQYEYJYLXBYGYHYFYEYLXCZYGYHYFY
        EYLXDYEYFYIYLXFZYEYJYLXGZACDGHIJFLUANOPQTSBUCUDUEUFUGUHUIUJUNUOXEXHYMYB
        YCYDYFUUEBCXOYBYCYDYJYLXIYBYCYDYJYLXJYBYCYDYJYLXKUUTCGHLNOPSBUDUEUGUHXL
        XMXNXPYMYOYRYQYTYMYNUACYMYGYLYNUAVKUUSUVAABCDUAEGHIFKMNPQRSTUBUKULUMUNU
        OXQXRZXSYMYPYSYMYNUASPUVBXTWEWHYA $.
    $}

    $d s D $.
    $( Show closure of ` [_ R / s ]_ N ` .  (Contributed by NM,
       24-Mar-2013.) $)
    cdlemefs32snb $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ R .<_ ( P .\/ Q ) )
            -> [_ R / s ]_ N e. B ) $=
      ( chlt wcel wa wbr wn w3a wne co csb cv wceq wi wral crio cdlemefs32sn1aw
      eqid simpld atbase syl ) OULUMSLUMUNGCUMGSPUOUPUNHCUMHSPUOUPUNUQGHURICUMI
      SPUOUPUNUNIGHNUSZPUOUQZTIRUTZCUMZVMDUMVLVNVMSPUOUPABCDEFGHIJKLMNOPQRSVKFI
      BVAZNUSSQUSNUSQUSZVOSPUOUPVOVKPUOUPUNAVAVPVBVCBCVDADVEZTUAUBUCUDUEUFUGUHU
      IUJUKVPVGVQVGVFVHCDVMOUAUEVIVJ $.

    $d s z $.
    $( TODO:  FIX COMMENT. (Contributed by NM, 26-Mar-2013.)
       (New usage is discouraged.) $)
    cdlemefs29bpre0N $p |- ( ( ( ( K e. HL /\ W e. H ) /\
     ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
  /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
  /\ R .<_ ( P .\/ Q ) )
  -> ( A. s e. A ( ( ( -. s .<_ W /\ s .<_ ( P .\/ Q ) )
         /\ ( s .\/ ( R ./\ W ) ) = R ) -> z = ( N .\/ ( R ./\ W ) ) )
      <-> z = [_ R / s ]_ N ) ) $=
      ( cv co wbr breq1 chlt wcel wa w3a wne simp1 simp3l simp3rl simp3rr simp2
      wn jca cdlemefs27cl syl13anc cdlemefrs29bpre0 ) UAUMZHIOUNZQUOZJVMQUOBDEH
      IJMOPQRSTUAUBUCUDUEUFUGVLJVMQUPPUQURTMURUSHDURHTQUOVGUSIDURITQUOVGUSUTZHI
      VAZVLDURZVLTQUOVGZVNUSZUSZUTZVOVQVRUSVNVPSEURVOVPVTVBWAVQVRVOVPVQVSVCVRVN
      VQVOVPVDVHVRVNVQVOVPVEVOVPVTVFACDEFGHIKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULV
      IVJVK $.

    $d z H $.  $d z K $.  $d z R $.
    $( TODO:  FIX COMMENT. (Contributed by NM, 27-Mar-2013.)
       (New usage is discouraged.) $)
    cdlemefs29bpre1N $p |- ( ( ( ( K e. HL /\ W e. H ) /\
     ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
  /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
  /\ R .<_ ( P .\/ Q ) )
 -> E. z e. B A. s e. A ( ( ( -. s .<_ W /\ s .<_ ( P .\/ Q ) )
         /\ ( s .\/ ( R ./\ W ) ) = R ) -> z = ( N .\/ ( R ./\ W ) ) ) ) $=
      ( cv co wbr breq1 chlt wcel wa w3a wne simp1 simp3l simp3rl simp3rr simp2
      wn jca cdlemefs27cl syl13anc cdlemefs32snb cdlemefrs29bpre1 ) UAUMZHIOUNZ
      QUOZJVNQUOBDEHIJMOPQRSTUAUBUCUDUEUFUGVMJVNQUPPUQURTMURUSHDURHTQUOVGUSIDUR
      ITQUOVGUSUTZHIVAZVMDURZVMTQUOVGZVOUSZUSZUTZVPVRVSUSVOVQSEURVPVQWAVBWBVRVS
      VPVQVRVTVCVSVOVRVPVQVDVHVSVOVRVPVQVEVPVQWAVFACDEFGHIKLMNOPQRSTUAUBUCUDUEU
      FUGUHUIUJUKULVIVJACDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVKVL $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 26-Mar-2013.)
       (New usage is discouraged.) $)
    cdlemefs29cpre1N $p |- ( ( ( ( K e. HL /\ W e. H ) /\
        ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
     /\ R .<_ ( P .\/ Q ) )
   -> E! z e. B A. s e. A ( ( ( -. s .<_ W /\ s .<_ ( P .\/ Q ) )
         /\ ( s .\/ ( R ./\ W ) ) = R ) -> z = ( N .\/ ( R ./\ W ) ) ) ) $=
      ( cv co wbr breq1 chlt wcel wa w3a wne simp1 simp3l simp3rl simp3rr simp2
      wn jca cdlemefs27cl syl13anc cdlemefs32snb cdlemefrs29cpre1 ) UAUMZHIOUNZ
      QUOZJVNQUOBDEHIJMOPQRSTUAUBUCUDUEUFUGVMJVNQUPPUQURTMURUSHDURHTQUOVGUSIDUR
      ITQUOVGUSUTZHIVAZVMDURZVMTQUOVGZVOUSZUSZUTZVPVRVSUSVOVQSEURVPVQWAVBWBVRVS
      VPVQVRVTVCVSVOVRVPVQVDVHVSVOVRVPVQVEVPVQWAVFACDEFGHIKLMNOPQRSTUAUBUCUDUEU
      FUGUHUIUJUKULVIVJACDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVKVL $.

    ${
      cdlemefs29cl.o $e |- O = ( iota_ z e. B A. s e. A
           ( ( -. s .<_ W /\ ( s .\/ ( R ./\ W ) ) = R )
                -> z = ( N .\/ ( R ./\ W ) ) ) ) $.
      $( Show closure of the unique element in ~ cdleme29c .  (Contributed by
         NM, 27-Mar-2013.)  (New usage is discouraged.) $)
      cdlemefs29clN $p |- ( ( ( ( K e. HL /\ W e. H ) /\
       ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
    /\ R .<_ ( P .\/ Q ) ) -> O e. B ) $=
        ( cv co wbr breq1 chlt wcel wa w3a wne simp1 simp3l simp3rl jca simp3rr
        wn simp2 cdlemefs27cl syl13anc cdlemefs32snb cdlemefrs29clN ) UBUOZHIOU
        PZQUQZJVPQUQBDEHIJMOPQRSTUAUBUCUDUEUFUGUHVOJVPQURPUSUTUAMUTVAHDUTHUAQUQ
        VIVAIDUTIUAQUQVIVAVBZHIVCZVODUTZVOUAQUQVIZVQVAZVAZVBZVRVTWAVAVQVSSEUTVR
        VSWCVDWDVTWAVRVSVTWBVEWAVQVTVRVSVFVGWAVQVTVRVSVHVRVSWCVJACDEFGHIKLMNOPQ
        RSUAUBUCUDUEUFUGUHUIUJUKULUMVKVLACDEFGHIJKLMNOPQRSUAUBUCUDUEUFUGUHUIUJU
        KULUMVMUNVN $.
    $}

    $d t y S $.  $d t Z $.
    ${
      cdleme43fs.y $e |- Y
          = ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) ) $.
      cdleme43fs.z $e |- Z
          = ( ( P .\/ Q ) ./\ ( Y .\/ ( ( R .\/ S ) ./\ W ) ) ) $.
      ${
        $d y V $.
        cdleme43fsa1.v $e |- V
            = ( ( P .\/ Q ) ./\ ( D .\/ ( ( R .\/ t ) ./\ W ) ) ) $.
        cdleme43fsa1.x $e |- X = ( iota_ y e. B A. t e. A
           ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> y = V ) ) $.
        $( Value of ` [_ R / s ]_ N ` when ` R .<_ ( P .\/ Q ) ` .
           (Contributed by NM, 30-Mar-2013.) $)
        cdleme43fsv1snlem $p |- ( ( ( ( K e. HL /\ W e. H )
               /\ ( P e. A /\ -. P .<_ W )
               /\ ( Q e. A /\ -. Q .<_ W ) )
            /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W )
               /\ ( S e. A /\ -. S .<_ W ) )
            /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
                -> [_ R / s ]_ N = Z ) $=
          ( chlt wcel wa wbr wn w3a wne co csb wceq simp22l simp3l cdleme31sn1c
          syl2anc cvv cbs fvexi cv nfv wnf wi wral crio nfra1 nfcv nfcxfr nfeq1
          nfriota a1i wb eqeq1 adantl simpl1 simpl22 simprl simprrl jca simpl23
          simpl21 simprrr simpl3r simpl3l 3jca eqid cdleme21k syl132anc simp22r
          simp1 simp21 cdleme25cl syl122anc wrex simp11 simp12 simp13 syl121anc
          ex cdlemb2 riotasv3d mpan2 eqtrd ) PVAVBUAMVBVCZGCVBGUAQVDVEVCZHCVBHU
          AQVDVEVCZVFZGHVGZICVBZIUAQVDVEZVCZJCVBJUAQVDVEVCZVFZIGHOVHZQVDZJYLQVD
          VEZVCZVFZUEISVIZUBUDYPYGYMYQUBVJYGYHYFYJYEYOVKZYEYKYMYNVLZABCDUBEGHIF
          LNOQRSUATUEUNUOUPUSUTVMVNYPDVOVBUBUDVJZDPVPUFVQYPBVRZUAQVDVEZUUAYLQVD
          VEZVCZTUDVJZYTABDCTUBVOYPBVSYTBVTYPBUBUDBUBUUDAVRTVJWAZBCWBZADWCZUTUU
          GBADUUFBCWDBDWEWHWFWGWIUBUUHVJYPUTWITUBVJUUEYTWJYPTUBUDWKWLYPUUACVBZU
          UDVCZUUEYPUUJVCZYEYIUUIUUBVCYJYFUUCYNYMVFUUEYEYKYOUUJWMYFYIYJYEYOUUJW
          NUUKUUIUUBYPUUIUUDWOYPUUIUUBUUCWPWQYFYIYJYEYOUUJWRYFYIYJYEYOUUJWSUUKU
          UCYNYMYPUUIUUBUUCWTYMYNYEYKUUJXAYMYNYEYKUUJXBXCCIUUAOVHUARVHZGHIUUAJK
          FUCMOPQRTUDUAIJOVHUARVHZUGUHUIUJUKULUMUQUULXDUUMXDUSURXEXFXQYPYEYGYHY
          FYMUBDVBYEYKYOXHYRYGYHYFYJYEYOXGYEYFYIYJYOXIZYSACDGHIKFMUBOPQRTUABUFU
          GUHUIUJUKULUMUSUTXJXKYPYBYCYDYFUUDBCXLYBYCYDYKYOXMYBYCYDYKYOXNYBYCYDY
          KYOXOUUNCGHMOPQUABUGUHUJUKXRXPXSXTYA $.
      $}

      $( Value of ` [_ R / s ]_ N ` when ` R .<_ ( P .\/ Q ) ` .  (Contributed
         by NM, 30-Mar-2013.) $)
      cdleme43fsv1sn $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
        /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
            -> [_ R / s ]_ N = Z ) $=
        ( co cv wbr wn wa wceq wi wral crio eqid cdleme43fsv1snlem ) ABCDEFGHIJ
        KLMNOPQRSGHOUQZFIBURZOUQTRUQOUQRUQZTVITQUSUTVIVHQUSUTVAAURVJVBVCBCVDADV
        EZUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPVJVFVKVFVG $.
    $}

    cdleme29fs.o $e |- O = ( iota_ z e. B A. s e. A
       ( ( -. s .<_ W /\ ( s .\/ ( x ./\ W ) ) = x )
         -> z = ( N .\/ ( x ./\ W ) ) ) ) $.
    $d x R $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Value of ` F ` at an atom
       not under ` W ` .  TODO:  FIX COMMENT. TODO: consolidate uses of
       ~ lhpmat here and elsewhere, and presence/absence of
       ` s .<_ ( P .\/ Q ) ` term.  Also, why can proof be shortened with
       ~ cdleme27cl ?  What is difference from ~ cdlemefs27cl ?  (Contributed
       by NM, 29-Mar-2013.)  (New usage is discouraged.) $)
    cdlemefs32fvaN $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
         /\ R .<_ ( P .\/ Q ) )
              -> [_ R / x ]_ O = [_ R / s ]_ N ) $=
      ( cv co wbr breq1 chlt wcel wa w3a wne simp1 simp3l simp3rl simp3rr simp2
      wn jca cdlemefs27cl syl13anc cdlemefs32snb cdlemefrs32fva ) UCUPZIJPUQZRU
      RZKVQRURACEFIJKNPQRSTUAUBUCUDUEUFUGUHUIVPKVQRUSQUTVAUBNVAVBIEVAIUBRURVJVB
      JEVAJUBRURVJVBVCZIJVDZVPEVAZVPUBRURVJZVRVBZVBZVCZVSWAWBVBVRVTTFVAVSVTWDVE
      WEWAWBVSVTWAWCVFWBVRWAVSVTVGVKWBVRWAVSVTVHVSVTWDVIBDEFGHIJLMNOPQRSTUBUCUD
      UEUFUGUHUIUJUKULUMUNVLVMBDEFGHIJKLMNOPQRSTUBUCUDUEUFUGUHUIUJUKULUMUNVNUOV
      O $.

    cdleme29fs.f $e |- F = ( x e. B
                         |-> if ( ( P =/= Q /\ -. x .<_ W ) , O , x ) ) $.
    $d z H $.  $d z K $.  $d x P $.  $d x Q $.  $d x z R $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT.
       (Contributed by NM, 29-Mar-2013.) $)
    cdlemefs32fva1 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ R .<_ ( P .\/ Q ) )
       -> ( F ` R ) = [_ R / s ]_ N ) $=
      ( cv co wbr breq1 chlt wcel wa w3a wne simp1 simp3l simp3rl simp3rr simp2
      wn jca cdlemefs27cl syl13anc cdlemefs32snb cdlemefrs32fva1 ) UDURZIJQUSZS
      UTZKVSSUTACEFIJKNOQRSTUAUBUCUDUEUFUGUHUIUJVRKVSSVARVBVCUCOVCVDIEVCIUCSUTV
      LVDJEVCJUCSUTVLVDVEZIJVFZVREVCZVRUCSUTVLZVTVDZVDZVEZWAWCWDVDVTWBUAFVCWAWB
      WFVGWGWCWDWAWBWCWEVHWDVTWCWAWBVIVMWDVTWCWAWBVJWAWBWFVKBDEFGHIJLMOPQRSTUAU
      CUDUEUFUGUHUIUJUKULUMUNUOVNVOBDEFGHIJKLMOPQRSTUAUCUDUEUFUGUHUIUJUKULUMUNU
      OVPUPUQVQ $.

    cdleme43fsv.y $e |- Y
        = ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) ) $.
    cdleme43fsv.z $e |- Z
        = ( ( P .\/ Q ) ./\ ( Y .\/ ( ( R .\/ S ) ./\ W ) ) ) $.
    $( Value of ` ( F `` R ) ` when ` R .<_ ( P .\/ Q ) ` .
       TODO This may be useful for shortening others that now use ~ riotasv
       3d . TODO: FIX COMMENT.
       ***END OF VALUE AT ATOM STUFF TO REPLACE
       ONES BELOW***
       <HTML><PRE>
       "cdleme3xsn1aw" decreased using "cdlemefs32sn1aw"
       "cdleme32sn1aw" decreased from 3302 to 36 using "cdlemefs32sn1aw".
       "cdleme32sn2aw" decreased from 1687 to 26 using "cdlemefr32sn2aw".
       "cdleme32snaw" decreased from 376 to 375 using "cdlemefs32sn1aw".
       "cdleme32snaw" decreased from 375 to 368 using "cdlemefr32sn2aw".
       "cdleme35sn3a" decreased from 547 to 523 using "cdleme43frv1sn".
       </PRE></HTML>  (Contributed by NM, 27-Mar-2013.) $)
    cdlemefs31fv1 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W )
             /\ ( S e. A /\ -. S .<_ W ) )
          /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
              -> ( F ` R ) = Z ) $=
      ( chlt wcel wa wbr wn w3a wne co cfv csb wceq simp1 simp21 cdlemefs32fva1
      simp22 simp3l syl121anc cdleme43fsv1sn eqtrd ) SVCVDUDPVDVEIEVDIUDTVFVGVE
      JEVDJUDTVFVGVEVHZIJVIZKEVDKUDTVFVGVEZLEVDLUDTVFVGVEZVHZKIJRVJZTVFZLWGTVFV
      GZVEZVHZKOVKZUGKUBVLZUFWKWBWCWDWHWLWMVMWBWFWJVNWBWCWDWEWJVOWBWCWDWEWJVQWB
      WFWHWIVRABCDEFGHIJKMNOPQRSTUAUBUCUDUGUHUIUJUKULUMUNUOUPUQURUSUTVPVSBDEFGH
      IJKLMNPQRSTUAUBUDUEUFUGUHUIUJUKULUMUNUOUPUQURVAVBVTWA $.
  $}

  ${
    $d s t x y z A $.  $d s t x y z B $.  $d x y z D $.  $d y E $.
    $d s t x y z H $.  $d x z I $.  $d s t x y z .\/ $.  $d s t x y z K $.
    $d s t x y z .<_ $.  $d s t x y z ./\ $.  $d s t x y z P $.
    $d s t x y z Q $.  $d s t x y z R $.  $d s t x y z U $.  $d s t x y z W $.
    cdlemef44.b $e |- B = ( Base ` K ) $.
    cdlemef44.l $e |- .<_ = ( le ` K ) $.
    cdlemef44.j $e |- .\/ = ( join ` K ) $.
    cdlemef44.m $e |- ./\ = ( meet ` K ) $.
    cdlemef44.a $e |- A = ( Atoms ` K ) $.
    cdlemef44.h $e |- H = ( LHyp ` K ) $.
    cdlemef44.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdlemef44.d $e |- D
        = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
    cdlemef44.o $e |- O = ( iota_ z e. B A. s e. A
       ( ( -. s .<_ W /\ ( s .\/ ( x ./\ W ) ) = x )
         -> z = ( if ( s .<_ ( P .\/ Q ) , I ,
               [_ s / t ]_ D ) .\/ ( x ./\ W ) ) ) ) $.
    cdlemef44.f $e |- F = ( x e. B
                         |-> if ( ( P =/= Q /\ -. x .<_ W ) , O , x ) ) $.
    $( Value of f(r) when r is an atom not under pq, using more compact
       hypotheses.  TODO: eliminate and use cdlemefr45 instead?  TODO:  FIX
       COMMENT. (Contributed by NM, 31-Mar-2013.) $)
    cdlemefr44 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ -. R .<_ ( P .\/ Q ) )
      -> ( F ` R ) = [_ R / t ]_ D ) $=
      ( chlt wcel wa wbr wn w3a wne co cfv csb cv cif eqid biid wceq cdleme31sc
      cvv vex ax-mp ifbieq2i cdlemefr31fv1 simp2rl syl eqtr4d ) OUKULSLULUMGDUL
      GSPUNUOUMHDULHSPUNUOUMUPZGHUQZIDULZISPUNUOZUMUMIGHNURZPUNUOZUPZIKUSIJNURH
      GINURSQURNURQURZCIFUTZABDETVAZJNURHGWDNURSQURNURQURZGHIJKLMNOPQWDVSPUNZMC
      WDFUTZVBRSWBTUAUBUCUDUEUFUGWEVCZWFWFWGWEMWFVDWDVGULWGWEVETVHVGFGHWDJNQSWE
      CUHWHVFVIVJUIUJWBVCZVKWAVQWCWBVEVQVRVPVOVTVLDFGHIJNQSWBCUHWIVFVMVN $.

    $d s D $.  $d s t y S $.
    cdlemefs44.e $e |- E
        = ( ( P .\/ Q ) ./\ ( D .\/ ( ( s .\/ t ) ./\ W ) ) ) $.
    cdlemefs44.i $e |- I = ( iota_ y e. B A. t e. A
       ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) )
          -> y = E ) ) $.
    $( Value of f_s(r) when r is an atom under pq and s is any atom not under
       pq, using more compact hypotheses.  TODO: eliminate and use ~ cdlemefs45
       instead TODO:  FIX COMMENT. (Contributed by NM, 31-Mar-2013.) $)
    cdlemefs44 $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W )
          /\ ( S e. A /\ -. S .<_ W ) )
         /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
     -> ( F ` R ) = [_ R / s ]_ [_ S / t ]_ E ) $=
      ( chlt wcel wa wbr wn w3a wne cfv csb cif eqid cdlemefs31fv1 wceq simp22l
      co cv simp23l cdleme31sde syl2anc eqtr4d ) RUPUQUBOUQURHEUQHUBSUSUTURIEUQ
      IUBSUSUTURVAZHIVBZJEUQZJUBSUSUTZURZKEUQZKUBSUSUTZURZVAJHIQVJZSUSKWDSUSUTU
      RZVAZJNVCWDKLQVJIHKQVJUBTVJQVJTVJZJKQVJUBTVJQVJTVJZUCJDKMVDVDZABCDEFDUCVK
      ZGVDZGHIJKLMNOPQRSTWJWDSUSPWKVEZUAUBWGWHUCUDUEUFUGUHUIUJUKUNUOWLVFULUMWGV
      FZWHVFZVGWFVRWAWIWHVHVRVSVQWCVPWEVIWAWBVQVTVPWEVLDEGHIJKLMQTUBWGWHUCUKUNW
      MWNVMVNVO $.
  $}

  ${
    $d s t x y z A $.  $d s t x y z B $.  $d s x y z D $.  $d x y z E $.
    $d s t x y z H $.  $d s t x y z .\/ $.  $d s t x y z K $.
    $d s t x y z .<_ $.  $d s t x y z ./\ $.  $d s t x y z P $.
    $d s t x y z Q $.  $d s t x y z R $.  $d s t x y z U $.  $d s t x y z W $.
    $d s t x y z A $.  $d s t x y z B $.  $d x y z D $.  $d x y z E $.
    $d s t x y z H $.  $d s t x y z .\/ $.  $d s t x y z K $.
    $d s t x y z .<_ $.  $d s t x y z ./\ $.  $d s t x y z P $.
    $d s t x y z Q $.  $d s t x y z R $.  $d s t y S $.  $d s t x y z U $.
    $d s t x y z W $.
    cdlemef45.b $e |- B = ( Base ` K ) $.
    cdlemef45.l $e |- .<_ = ( le ` K ) $.
    cdlemef45.j $e |- .\/ = ( join ` K ) $.
    cdlemef45.m $e |- ./\ = ( meet ` K ) $.
    cdlemef45.a $e |- A = ( Atoms ` K ) $.
    cdlemef45.h $e |- H = ( LHyp ` K ) $.
    cdlemef45.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    $( f(t), ` -. ` t ` <_ ` p ` \/ ` q. $)
    cdlemef45.d $e |- D
        = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
    cdlemef45.f $e |- F = ( x e. B |->
         if ( ( P =/= Q /\ -. x .<_ W ) ,
           $( Value when p ` =/= ` q and ` -. ` x ` <_ ` w. $)
           ( iota_ z e. B A. s e. A
                ( ( -. s .<_ W /\ ( s .\/ ( x ./\ W ) ) = x ) -> z = (
                    if ( s .<_ ( P .\/ Q ) ,
                       $( Unique f_t(s) for all t, s ` <_ ` p ` \/ ` q $)
                       ( iota_ y e. B A. t e. A
                            ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> y =
                          $( f_t(s) $)
                          E )
                       ) ,
                       $( f(s), ` -. ` s ` <_ ` p ` \/ ` q. $)
                       [_ s / t ]_ D
                    )
                .\/ ( x ./\ W ) ) ) ) ,
           $( Value when p = q or x ` <_ ` w is just x. $)
           x
         ) ) $.
    $( Value of f(r) when r is an atom not under pq, using very compact
       hypotheses.  TODO:  FIX COMMENT. (Contributed by NM, 1-Apr-2013.) $)
    cdlemefr45 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ -. R .<_ ( P .\/ Q ) )
      -> ( F ` R ) = [_ R / t ]_ D ) $=
      ( cv wbr wn co wa wceq wi wral crio csb cif eqid cdlemefr44 ) ACDEFGHIJKM
      NDUJZSQUKULVCHIOUMZQUKULUNBUJLUOUPDEUQBFURZOPQRTUJZSQUKULVFAUJZSRUMZOUMVG
      UOUNCUJVFVDQUKVEDVFGUSUTVHOUMUOUPTEUQCFURZSTUAUBUCUDUEUFUGUHVIVAUIVB $.

    $( Explicit expansion of ~ cdlemefr45 .  TODO: use to shorten ~ cdlemefr45
       uses?  TODO:  FIX COMMENT. (Contributed by NM, 10-Apr-2013.) $)
    cdlemefr45e $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ -. R .<_ ( P .\/ Q ) )
   -> ( F ` R ) = ( ( R .\/ U ) ./\ ( Q .\/ ( ( P .\/ R ) ./\ W ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv cdlemefr45 wceq simp2rl eqid cdleme31sc
      co csb syl eqtrd ) PUJUKSNUKULHEUKHSQUMUNULIEUKISQUMUNULUOZHIUPZJEUKZJSQU
      MUNZULULJHIOVCQUMUNZUOZJMUQDJGVDZJKOVCIHJOVCSRVCOVCRVCZABCDEFGHIJKLMNOPQR
      STUAUBUCUDUEUFUGUHUIURVLVIVMVNUSVIVJVHVGVKUTEGHIJKORSVNDUHVNVAVBVEVF $.

    $( f_t(s), s ` <_ ` p ` \/ ` q $)
    cdlemefs45.e $e |- E
        = ( ( P .\/ Q ) ./\ ( D .\/ ( ( s .\/ t ) ./\ W ) ) ) $.
    $( Value of f_s(r) when r is an atom under pq and s is any atom not under
       pq, using very compact hypotheses.  TODO:  FIX COMMENT. (Contributed by
       NM, 1-Apr-2013.) $)
    cdlemefs45 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W )
             /\ ( S e. A /\ -. S .<_ W ) )
          /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
      -> ( F ` R ) = [_ R / s ]_ [_ S / t ]_ E ) $=
      ( cv wbr wn co wa wceq wi wral crio csb cif eqid cdlemefs44 ) ABCDEFGHIJK
      LMNODULZTRUMUNVEHIPUOZRUMUNUPBULMUQURDEUSBFUTZPQRSUAULZTRUMUNVHAULZTSUOZP
      UOVIUQUPCULVHVFRUMVGDVHGVAVBVJPUOUQURUAEUSCFUTZTUAUBUCUDUEUFUGUHUIVKVCUJU
      KVGVCVD $.

    $d x z S $.
    $( Explicit expansion of ~ cdlemefs45 .  TODO: use to shorten ~ cdlemefs45
       uses?  Should ` ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) ) ` be
       assigned to a hypothesis letter?  TODO:  FIX COMMENT. (Contributed by
       NM, 10-Apr-2013.) $)
    cdlemefs45ee $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W )
          /\ ( S e. A /\ -. S .<_ W ) )
         /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
     -> ( F ` R ) = ( ( P .\/ Q ) ./\ (
           ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) )
        .\/ ( ( R .\/ S ) ./\ W ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne co cfv cdlemefs45 wceq simp22l simp23l eqid
      csb cdleme31sde syl2anc eqtrd ) QULUMTOUMUNHEUMHTRUOUPUNIEUMITRUOUPUNUQZH
      IURZJEUMZJTRUOUPZUNZKEUMZKTRUOUPZUNZUQJHIPUSZRUOKVRRUOUPUNZUQZJNUTUAJDKMV
      FVFZVRKLPUSIHKPUSTSUSPUSSUSZJKPUSTSUSPUSSUSZABCDEFGHIJKLMNOPQRSTUAUBUCUDU
      EUFUGUHUIUJUKVAVTVLVOWAWCVBVLVMVKVQVJVSVCVOVPVKVNVJVSVDDEGHIJKLMPSTWBWCUA
      UIUKWBVEWCVEVGVHVI $.

    $( Explicit expansion of ~ cdlemefs45 .  TODO: use to shorten ~ cdlemefs45
       uses?  TODO:  FIX COMMENT. (Contributed by NM, 10-Apr-2013.)
       (New usage is discouraged.) $)
    cdlemefs45eN $p |- ( ( ( ( K e. HL /\ W e. H )
          /\ ( P e. A /\ -. P .<_ W )
          /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
   -> ( F ` R )
        = ( ( P .\/ Q ) ./\ ( ( F ` S ) .\/ ( ( R .\/ S ) ./\ W ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv cdlemefs45ee simp1 simp21 simp23 simp3r
      co wceq cdlemefr45e syl121anc oveq1d oveq2d eqtr4d ) QULUMTOUMUNHEUMHTRUO
      UPUNIEUMITRUOUPUNUQZHIURZJEUMJTRUOUPUNZKEUMKTRUOUPUNZUQZJHIPVEZRUOZKVQRUO
      UPZUNZUQZJNUSVQKLPVEIHKPVETSVEPVESVEZJKPVETSVEZPVEZSVEVQKNUSZWCPVEZSVEABC
      DEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUTWAWFWDVQSWAWEWBWCPWAVLVMVOVSWEWB
      VFVLVPVTVAVLVMVNVOVTVBVLVMVNVOVTVCVLVPVRVSVDABCDEFGHIKLMNOPQRSTUAUBUCUDUE
      UFUGUHUIUJVGVHVIVJVK $.
  $}

  ${
    $d s t x y z A $.  $d s t x y z B $.  $d y C $.  $d s y z D $.  $d y E $.
    $d s t H $.  $d s t x y z .\/ $.  $d s t K $.  $d s t x y z .<_ $.
    $d s t x y z ./\ $.  $d x z N $.  $d s t x y z P $.  $d s t x y z Q $.
    $d s t x y z U $.  $d s t x y z W $.  $d s t x z X $.
    cdleme32.b $e |- B = ( Base ` K ) $.
    cdleme32.l $e |- .<_ = ( le ` K ) $.
    cdleme32.j $e |- .\/ = ( join ` K ) $.
    cdleme32.m $e |- ./\ = ( meet ` K ) $.
    cdleme32.a $e |- A = ( Atoms ` K ) $.
    cdleme32.h $e |- H = ( LHyp ` K ) $.
    cdleme32.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdleme32.c $e |- C
      = ( ( s .\/ U ) ./\ ( Q .\/ ( ( P .\/ s ) ./\ W ) ) ) $.
    cdleme32.d $e |- D
      = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
    cdleme32.e $e |- E
      = ( ( P .\/ Q ) ./\ ( D .\/ ( ( s .\/ t ) ./\ W ) ) ) $.
    cdleme32.i $e |- I = ( iota_ y e. B A. t e. A
       ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> y = E ) ) $.
    cdleme32.n $e |- N = if ( s .<_ ( P .\/ Q ) , I , C ) $.
    $d s t y R $.  $d y H $.  $d y K $.  $d y Y $.
    ${
      $( Local substitution instances.  Maybe change these to ~ equid . $)
      cdleme32a1.y $e |- Y
          = ( ( P .\/ Q ) ./\ ( D .\/ ( ( R .\/ t ) ./\ W ) ) ) $.
      cdleme32a1.z $e |- Z = ( iota_ y e. B A. t e. A
         ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> y = Y ) ) $.
      $( Show that ` [_ R / s ]_ N ` is an atom not under ` W ` when
         ` R .<_ ( P .\/ Q ) ` .  (Contributed by NM, 6-Mar-2013.)
         (New usage is discouraged.) $)
      cdleme32sn1awN $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ R .<_ ( P .\/ Q ) )
              -> ( [_ R / s ]_ N e. A /\ -. [_ R / s ]_ N .<_ W ) ) $=
        ( cdlemefs32sn1aw ) ABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUKULUMUNUOUPU
        Q $.

      $( Show that ` [_ R / s ]_ N ` is under ` P .\/ Q ` when
         ` R .<_ ( P .\/ Q ) ` .  (Contributed by NM, 19-Mar-2013.) $)
      cdleme41sn3a $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ R .<_ ( P .\/ Q ) )
              -> [_ R / s ]_ N .<_ ( P .\/ Q ) ) $=
        ( chlt wcel wa wbr wn w3a wne co csb simp2rl simp3 cdleme31sn1c syl2anc
        wceq cvv cbs fvexi cv nfv wnf wi wral crio nfcv nfriota nfcxfr nfbr a1i
        nfra1 wb breq1 adantl simpl11 simp12l adantr simp13l cdleme4a syl131anc
        simprl ex simp2rr simp2l cdleme25cl syl122anc wrex simp11 simp12 simp13
        simp1 cdlemb2 syl121anc riotasv3d mpan2 eqbrtrd ) OUQURSLURUSZGCURZGSPU
        TVAZUSZHCURZHSPUTVAZUSZVBZGHVCZICURZISPUTVAZUSZUSZIGHNVDZPUTZVBZUBIRVEZ
        UAYDPYFXTYEYGUAVJXTYAXSXRYEVFZXRYCYEVGZABCDUAEGHIFKMNPQRSTUBULUMUNUOUPV
        HVIYFDVKURUAYDPUTZDOVLUCVMYFBVNZSPUTVAYKYDPUTVAUSZTYDPUTZYJABDCTUAVKYFB
        VOYJBVPYFBUAYDPBUAYLAVNTVJVQZBCVRZADVSZUPYOBADYNBCWEBDVTWAWBBPVTBYDVTWC
        WDUAYPVJYFUPWDTUAVJYMYJWFYFTUAYDPWGWHYFYKCURZYLUSZYMYFYRUSXKXLXOXTYQYMX
        KXNXQYCYEYRWIYFXLYRXLXMXKXQYCYEWJWKYFXOYRXOXPXKXNYCYEWLWKYFXTYRYHWKYFYQ
        YLWOCGHIYKJFTLNOPQSUDUEUFUGUHUIUKUOWMWNWPYFXRXTYAXSYEUADURXRYCYEXEYHXTY
        AXSXRYEWQXRXSYBYEWRZYIACDGHIJFLUANOPQTSBUCUDUEUFUGUHUIUKUOUPWSWTYFXKXNX
        QXSYLBCXAXKXNXQYCYEXBXKXNXQYCYEXCXKXNXQYCYEXDYSCGHLNOPSBUDUEUGUHXFXGXHX
        IXJ $.
    $}

    $( Show that ` [_ R / s ]_ N ` is an atom not under ` W ` when
       ` -. R .<_ ( P .\/ Q ) ` .  (Contributed by NM, 6-Mar-2013.)
       (New usage is discouraged.) $)
    cdleme32sn2awN $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
        /\ -. R .<_ ( P .\/ Q ) )
              -> ( [_ R / s ]_ N e. A /\ -. [_ R / s ]_ N .<_ W ) ) $=
      ( cdlemefr32sn2aw ) CDEGHIJLMNOPQRSTUAUBUCUDUEUFUGUHULUM $.

    $( Show that ` [_ R / s ]_ N ` is an atom not under ` W ` .  (Contributed
       by NM, 6-Mar-2013.) $)
    cdleme32snaw $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) ) )
              -> ( [_ R / s ]_ N e. A /\ -. [_ R / s ]_ N .<_ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne co csb cv wceq wi wral crio cdlemefs32sn1aw
      eqid 3expa cdlemefr32sn2aw pm2.61dan ) OUMUNSLUNUOGCUNGSPUPUQUOHCUNHSPUPU
      QUOURZGHUSICUNISPUPUQUOUOZUOIGHNUTZPUPZTIRVAZCUNVPSPUPUQUOZVLVMVOVQABCDEF
      GHIJKLMNOPQRSVNFIBVBZNUTSQUTNUTQUTZVRSPUPUQVRVNPUPUQUOAVBVSVCVDBCVEADVFZT
      UAUBUCUDUEUFUGUIUJUKULVSVHVTVHVGVIVLVMVOUQVQCDEGHIJLMNOPQRSTUAUBUCUDUEUFU
      GUHULVJVIVK $.

    $( Show closure of ` [_ R / s ]_ N ` .  (Contributed by NM, 1-Mar-2013.) $)
    cdleme32snb $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) ) ) -> [_ R / s ]_ N e. B ) $=
      ( chlt wcel wa wbr wn w3a wne csb cdleme32snaw simpld atbase syl ) OUMUNS
      LUNUOGCUNGSPUPUQUOHCUNHSPUPUQUOURGHUSICUNISPUPUQUOUOUOZTIRUTZCUNZVFDUNVEV
      GVFSPUPUQABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVAVBCDVFOUAUEVCVD $.

    cdleme32.o $e |- O = ( iota_ z e. B A. s e. A
       ( ( -. s .<_ W /\ ( s .\/ ( x ./\ W ) ) = x )
          -> z = ( N .\/ ( x ./\ W ) ) ) ) $.
    cdleme32.f $e |- F = ( x e. B
                         |-> if ( ( P =/= Q /\ -. x .<_ W ) , O , x ) ) $.

    $d s x z R $.  $d z H $.  $d z K $.
    $( Part of proof of Lemma D in [Crawley] p. 113.  Value of ` F ` at an atom
       not under ` W ` .  (Contributed by NM, 2-Mar-2013.) $)
    cdleme32fva $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( R e. A /\ -. R .<_ W )
         /\ P =/= Q ) -> [_ R / x ]_ O = [_ R / s ]_ N ) $=
      ( chlt wcel wa wbr wn w3a wne csb cv co wceq wral crio simp2l atbase eqid
      syl cdleme31so simp1 simp3 simp2 cdleme32snb syl12anc wnf wal nfv nfcsb1v
      wi nfeq2 nfim breq1 notbid csbeq1a eqeq2d imbi12d ax-gen ceqsralt mp3an12
      adantr 3ad2ant2 cp0 cfv simp11 lhpmat syl2anc oveq2d col simp11l ad2antrl
      wb hlol olj01 eqtrd eqeq1d simpl11 simpl12 simpl13 simpr simpl3 syl122anc
      cdleme27cl expr pm5.74d impexp bi2.04 3bitr4g simp2r biimt 3bitr4d riota5
      ralbidva ) RUSUTZUCOUTZVAZIEUTIUCSVBVCVAZJEUTJUCSVBVCVAZVDZKEUTZKUCSVBZVC
      ZVAZIJVEZVDZAKUBVFZUDVGZUCSVBZVCZUUCKUCTVHZQVHZKVIZVACVGZUAUUFQVHZVIZWFZU
      DEVJZCFVKZUDKUAVFZUUAKFUTZUUBUUNVIUUAYPUUPYOYPYRYTVLEFKRUEUIVMVOACEFUUNQS
      TUAUBUCKUDUQUUNVNVPVOUUAUUMCFUUOUUAYOYTYSUUOFUTYOYSYTVQYOYSYTVRYOYSYTVSZB
      DEFGHIJKLMOPQRSTUAUCUDUEUFUGUHUIUJUKULUMUNUOUPVTWAUUAUUMUUIUUOVIZXHUUIFUT
      UUAUUCKVIZUUEUUIUAVIZWFZWFZUDEVJZYRUURWFZUUMUURYSYOUVCUVDXHZYTYPUVEYRUVDU
      DWBUUSUVAUVDXHWFZUDWCYPUVEYRUURUDYRUDWDUDUUIUUOUDKUAWEWGWHUVFUDUUSUUEYRUU
      TUURUUSUUDYQUUCKUCSWIWJUUSUAUUOUUIUDKUAWKWLWMWNUVAUVDUDKEWOWPWQWRUUAUULUV
      BUDEUUAUUCEUTZVAZUUEUUHUUKWFZWFUUEUUSUUTWFZWFUULUVBUVHUUEUVIUVJUUAUVGUUEU
      VIUVJXHUUAUVGUUEVAZVAZUUHUUSUUKUUTUVLUUGUUCKUVLUUGUUCRWSWTZQVHZUUCUVLUUFU
      VMUUCQUUAUUFUVMVIZUVKUUAYLYSUVOYLYMYNYSYTXAUUQEKORSTUCUVMUFUHUVMVNZUIUJXB
      XCWQZXDUVLRXEUTZUUCFUTZUVNUUCVIUVLYJUVRUUAYJUVKYJYKYMYNYSYTXFWQRXIVOZUVGU
      VSUUAUUEEFUUCRUEUIVMXGFQRUUCUVMUEUGUVPXJXCXKXLUVLUUJUAUUIUVLUUJUAUVMQVHZU
      AUVLUUFUVMUAQUVQXDUVLUVRUAFUTZUWAUAVIUVTUVLYLYMYNUVKYTUWBYLYMYNYSYTUVKXMY
      LYMYNYSYTUVKXNYLYMYNYSYTUVKXOUUAUVKXPYOYSYTUVKXQDBEFUAPIJLGOQRSTMUCHUDUEU
      FUGUHUIUJUKULUMUNUOUPXSXRFQRUAUVMUEUGUVPXJXCXKWLWMXTYAUUEUUHUUKYBUUSUUEUU
      TYCYDYIUUAYRUURUVDXHYOYPYRYTYEYRUURYFVOYGWQYHXK $.

    $d z H $.  $d z K $.  $d x z R $.
    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       2-Mar-2013.) $)
    cdleme32fva1 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( R e. A /\ -. R .<_ W )
           /\ P =/= Q )
    -> ( F ` R ) = [_ R / s ]_ N ) $=
      ( chlt wcel wa wbr wn w3a wne cfv csb wceq simp2l atbase syl simp3 simp2r
      cdleme31fv1s syl12anc cdleme32fva eqtrd ) RUSUTUCOUTVAIEUTIUCSVBVCVAJEUTJ
      UCSVBVCVAVDZKEUTZKUCSVBVCZVAZIJVEZVDZKNVFZAKUBVGZUDKUAVGWCKFUTZWBVTWDWEVH
      WCVSWFVRVSVTWBVIEFKRUEUIVJVKVRWAWBVLVRVSVTWBVMACEFIJNQSTUAUBUCKUDUQURVNVO
      ABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURVPVQ $.

    $( Show that ` ( F `` R ) ` is an atom not under ` W ` when ` R ` is an
       atom not under ` W ` .  (Contributed by NM, 18-Apr-2013.) $)
    cdleme32fvaw $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( R e. A /\ -. R .<_ W ) )
              -> ( ( F ` R ) e. A /\ -. ( F ` R ) .<_ W ) ) $=
      ( chlt wcel wa wbr w3a cfv simplr atbase ad2antrl cdleme31id sylan eleq1d
      wn breq1d notbid anbi12d mpbird wne csb simp1 simp3 cdleme32snaw syl12anc
      wceq simp2 cdleme32fva1 3expa pm2.61dane ) RUSUTUCOUTVAIEUTIUCSVBVKVAJEUT
      JUCSVBVKVAVCZKEUTZKUCSVBZVKZVAZVAZKNVDZEUTZWMUCSVBZVKZVAZIJWLIJWBZVAZWQWK
      WGWKWRVEWSWNWHWPWJWSWMKEWLKFUTZWRWMKWBWHWTWGWJEFKRUEUIVFVGAFIJNSUBUCKURVH
      VIZVJWSWOWIWSWMKUCSXAVLVMVNVOWGWKIJVPZWQWGWKXBVCZWQUDKUAVQZEUTZXDUCSVBZVK
      ZVAZXCWGXBWKXHWGWKXBVRWGWKXBVSWGWKXBWCBDEFGHIJKLMOPQRSTUAUCUDUEUFUGUHUIUJ
      UKULUMUNUOUPVTWAXCWNXEWPXGXCWMXDEABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJ
      UKULUMUNUOUPUQURWDZVJXCWOXFXCWMXDUCSXIVLVMVNVOWEWF $.

    $( Part of proof of Lemma D in [Crawley] p. 113.  Closure of the function
       ` F ` .  (Contributed by NM, 10-Feb-2013.) $)
    cdleme32fvcl $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ X e. B ) -> ( F ` X ) e. B ) $=
      ( chlt wcel wa wbr wn w3a wne cv co wceq wi wral crio cdleme31fv1 adantll
      simpll1 simpll2 simpll3 simprl simplr simprr cdleme29cl syl312anc eqeltrd
      cfv eqid cdleme31fv2 simpl pm2.61dan ) QUSUTUBNUTVAZIEUTIUBRVBVCVAZJEUTJU
      BRVBVCVAZVDZUCFUTZVAZIJVEZUCUBRVBVCZVAZUCMWCZFUTZWMWPVAZWQUDVFZUBRVBVCWTU
      CUBSVGZPVGUCVHVACVFTXAPVGVHVIUDEVJCFVKZFWLWPWQXBVHWKACEFXBIJMPRSTUAUBUCUD
      UQURXBWDZVLVMWSWHWIWJWNWLWOXBFUTWHWIWJWLWPVNWHWIWJWLWPVOWHWIWJWLWPVPWMWNW
      OVQWKWLWPVRWMWNWOVSDCBEFTOIJKGNXBPQRSLUBUCHUDUEUFUGUHUIUJUKULUMUNUOUPXCVT
      WAWBWLWPVCZWRWKWLXDVAWQUCFAFIJMRUAUBUCURWEWLXDWFWBVMWG $.

    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       19-Feb-2013.) $)
    cdleme32a $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( X e. B /\ ( P =/= Q /\ -. X .<_ W ) )
           /\ ( ( s e. A /\ -. s .<_ W ) /\ ( s .\/ ( X ./\ W ) ) = X ) )
       -> ( F ` X ) = ( N .\/ ( X ./\ W ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne cv co wceq cfv cvv wi fvexi anass wral crio
      eqid cdleme31fv1 adantl cdleme32fvcl adantrr riotasvd syl5bi mpan2 3impia
      cbs ) QUSUTUBNUTVAIEUTIUBRVBVCVAJEUTJUBRVBVCVAVDZUCFUTZIJVEUCUBRVBVCVAZVA
      ZUDVFZEUTZWJUBRVBVCZVAWJUCUBSVGZPVGUCVHZVAZUCMVIZTWMPVGZVHZWFWIVAZFVJUTZW
      OWRVKFQWEUEVLWOWKWLWNVAZVAWSWTVAWRWKWLWNVMWSXACUDFEWQWPVJWIWPXACVFWQVHVKU
      DEVNCFVOZVHWFACEFXBIJMPRSTUAUBUCUDUQURXBVPVQVRWFWGWPFUTWHABCDEFGHIJKLMNOP
      QRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURVSVTWAWBWCWD $.

    $d s t x z Y $.
    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       19-Feb-2013.) $)
    cdleme32b $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( X e. B /\ Y e. B /\ ( P =/= Q /\ -. X .<_ W ) )
           /\ ( ( s e. A /\ -. s .<_ W ) /\ ( s .\/ ( X ./\ W ) ) = X
             /\ X .<_ Y ) )
       -> ( F ` Y ) = ( N .\/ ( Y ./\ W ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne cv co wceq cfv simp1 simp22 simp23l simp23r
      simp33 clat wi simp11l hllatd simp21 simp11r lhpbase lattr syl13anc mpand
      syl mtod jca simp31 simp11 simp32 cdleme30a syl132anc cdleme32a syl122anc
      simp31l ) QUTVAZUBNVAZVBZIEVAIUBRVCVDVBZJEVAJUBRVCVDVBZVEZUCFVAZUDFVAZIJV
      FZUCUBRVCZVDZVBZVEZUEVGZEVAZXJUBRVCVDZVBZXJUCUBSVHPVHUCVIZUCUDRVCZVEZVEZX
      BXDXEUDUBRVCZVDZVBXMXJUDUBSVHZPVHUDVIZUDMVJTXTPVHVIXBXIXPVKXBXCXDXHXPVLZX
      QXEXSXEXGXCXDXBXPVMXQXRXFXEXGXCXDXBXPVNZXQXOXRXFXBXIXMXNXOVOZXQQVPVAXCXDU
      BFVAZXOXRVBXFVQXQQWQWRWTXAXIXPVRVSXBXCXDXHXPVTZYBXQWRYEWQWRWTXAXIXPWAFNQU
      BUFUKWBWFFQRUCUDUBUFUGWCWDWEWGWHXBXIXMXNXOWIXQWSXKXCXGVBXDXNXOYAWSWTXAXIX
      PWJXKXLXNXOXBXIWPXQXCXGYFYCWHYBXBXIXMXNXOWKYDEFNPQRSUBUCUDUEUFUGUHUIUJUKW
      LWMABCDEFGHIJKLMNOPQRSTUAUBUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSWNWO $.

    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       19-Feb-2013.) $)
    cdleme32c $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( X e. B /\ Y e. B /\ ( P =/= Q /\ -. X .<_ W ) )
           /\ ( ( s e. A /\ -. s .<_ W ) /\ ( s .\/ ( X ./\ W ) ) = X
             /\ X .<_ Y ) )
       -> ( F ` X ) .<_ ( F ` Y ) ) $=
      ( chlt wcel wa wbr wn w3a wne cv co wceq cfv simp33 clat wi hllatd simp21
      simp11l simp22 simp11r lhpbase syl latmlem1 syl13anc latmcl simp12 simp13
      mpd syl3anc simp31 simp23l cdleme27cl syl222anc latjlej2 simp23 cdleme32a
      simp1 simp32 syl122anc cdleme32b 3brtr4d ) QUTVAZUBNVAZVBZIEVAIUBRVCVDVBZ
      JEVAJUBRVCVDVBZVEZUCFVAZUDFVAZIJVFZUCUBRVCVDZVBZVEZUEVGZEVAXLUBRVCVDVBZXL
      UCUBSVHZPVHUCVIZUCUDRVCZVEZVEZTXNPVHZTUDUBSVHZPVHZUCMVJZUDMVJRXRXNXTRVCZX
      SYARVCZXRXPYCXEXKXMXOXPVKXRQVLVAZXFXGUBFVAZXPYCVMXRQWTXAXCXDXKXQVPZVNZXEX
      FXGXJXQVOZXEXFXGXJXQVQZXRXAYFWTXAXCXDXKXQVRZFNQUBUFUKVSVTZFQRSUCUDUBUFUGU
      IWAWBWFXRYEXNFVAZXTFVAZTFVAZYCYDVMYHXRYEXFYFYMYHYIYLFQSUCUBUFUIWCWGXRYEXG
      YFYNYHYJYLFQSUDUBUFUIWCWGXRWTXAXCXDXMXHYOYGYKXBXCXDXKXQWDXBXCXDXKXQWEXEXK
      XMXOXPWHZXHXIXFXGXEXQWIDBEFTOIJKGNPQRSLUBHUEUFUGUHUIUJUKULUMUNUOUPUQWJWKF
      PQRXNXTTUFUGUHWLWBWFXRXEXFXJXMXOYBXSVIXEXKXQWOYIXEXFXGXJXQWMYPXEXKXMXOXPW
      PABCDEFGHIJKLMNOPQRSTUAUBUCUEUFUGUHUIUJUKULUMUNUOUPUQURUSWNWQABCDEFGHIJKL
      MNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSWRWS $.

    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       20-Feb-2013.) $)
    cdleme32d $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( X e. B /\ Y e. B /\ ( P =/= Q /\ -. X .<_ W ) )
           /\ X .<_ Y )
       -> ( F ` X ) .<_ ( F ` Y ) ) $=
      ( chlt wcel wa wbr wn w3a wne cv co wceq wrex cfv simp11 simp23r lhpmcvr2
      simp21 syl12anc nfv cif cmpt nfcv wi wral crio nfra1 nfriota nfcxfr nfmpt
      nfif nffv simpl1 simpl2 simprl simprrl simprrr simpl3 cdleme32c syl113anc
      nfbr jca exp32 rexlimd mpd ) QUTVAUBNVAVBZIEVAIUBRVCVDVBZJEVAJUBRVCVDVBZV
      EZUCFVAZUDFVAZIJVFZUCUBRVCVDZVBZVEZUCUDRVCZVEZUEVGZUBRVCVDZXOUCUBSVHPVHUC
      VIZVBZUEEVJZUCMVKZUDMVKZRVCZXNXCXGXJXSXCXDXEXLXMVLXFXGXHXKXMVOXIXJXGXHXFX
      MVMEFNPQRSUBUCUEUFUGUHUIUJUKVNVPXNXRYBUEEXNUEVQUEXTYARUEUCMUEMAFXIAVGZUBR
      VCVDVBZUAYCVRZVSUSUEAFYEUEFVTZYDUEUAYCYDUEVQUEUAXPXOYCUBSVHZPVHYCVIVBCVGT
      YGPVHVIWAZUEEWBZCFWCURYIUECFYHUEEWDYFWEWFUEYCVTWHWGWFZUEUCVTWIUERVTUEUDMY
      JUEUDVTWIWRXNXOEVAZXRYBXNYKXRVBZVBZXFXLYKXPVBXQXMYBXFXLXMYLWJXFXLXMYLWKYM
      YKXPXNYKXRWLXNYKXPXQWMWSXNYKXPXQWNXFXLXMYLWOABCDEFGHIJKLMNOPQRSTUAUBUCUDU
      EUFUGUHUIUJUKULUMUNUOUPUQURUSWPWQWTXAXB $.

    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       20-Feb-2013.) $)
    cdleme32e $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( ( X e. B /\ Y e. B )
             /\ -. ( P =/= Q /\ -. X .<_ W )
             /\ ( P =/= Q /\ -. Y .<_ W ) )
           /\ ( ( s e. A /\ -. s .<_ W ) /\ ( s .\/ ( Y ./\ W ) ) = Y
             /\ X .<_ Y ) )
       -> ( F ` X ) .<_ ( F ` Y ) ) $=
      ( chlt wcel wa wbr wn w3a wne cv co wceq cfv simp23l pm2.24d clat simp11l
      wb hllatd simp21l simp11r lhpbase latleeqm1 syl3anc latmcl simp21r simp11
      simp12 simp13 simp31 cdleme27cl syl122anc latjcl simp33 latmlem1 syl13anc
      syl wi latlej2 lattrd breq1 syl5ibcom sylbid wo simp22 pm4.53 cdleme31fv2
      mpd sylib mpjaod syl2anc simp1 simp23 simp32 cdleme32a 3brtr4d ) QUTVAZUB
      NVAZVBZIEVAIUBRVCVDVBZJEVAJUBRVCVDVBZVEZUCFVAZUDFVAZVBZIJVFZUCUBRVCZVDVBV
      DZYCUDUBRVCVDZVBZVEZUEVGZEVAYIUBRVCVDVBZYIUDUBSVHZPVHUDVIZUCUDRVCZVEZVEZU
      CTYKPVHZUCMVJZUDMVJZRYOYCVDZUCYPRVCZYDYOYCYTYCYFYBYEXSYNVKZVLYOYDUCUBSVHZ
      UCVIZYTYOQVMVAZXTUBFVAZYDUUCVOYOQXNXOXQXRYHYNVNVPZXTYAYEYGXSYNVQZYOXOUUEX
      NXOXQXRYHYNVRFNQUBUFUKVSWNZFQRSUCUBUFUGUIVTWAYOUUBYPRVCUUCYTYOFQRUUBYKYPU
      FUGUUFYOUUDXTUUEUUBFVAUUFUUGUUHFQSUCUBUFUIWBWAYOUUDYAUUEYKFVAZUUFXTYAYEYG
      XSYNWCZUUHFQSUDUBUFUIWBWAZYOUUDTFVAZUUIYPFVAUUFYOXPXQXRYJYCUULXPXQXRYHYNW
      DXPXQXRYHYNWEXPXQXRYHYNWFXSYHYJYLYMWGZUUADBEFTOIJKGNPQRSLUBHUEUFUGUHUIUJU
      KULUMUNUOUPUQWHWIZUUKFPQTYKUFUHWJWAYOYMUUBYKRVCZXSYHYJYLYMWKYOUUDXTYAUUEY
      MUUOWOUUFUUGUUJUUHFQRSUCUDUBUFUGUIWLWMXEYOUUDUULUUIYKYPRVCUUFUUNUUKFPQRTY
      KUFUGUHWPWAWQUUBUCYPRWRWSWTYOYEYSYDXAXSYBYEYGYNXBZYCYDXCXFXGYOXTYEYQUCVIU
      UGUUPAFIJMRUAUBUCUSXDXHYOXSYAYGYJYLYRYPVIXSYHYNXIUUJXSYBYEYGYNXJUUMXSYHYJ
      YLYMXKABCDEFGHIJKLMNOPQRSTUAUBUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSXLWIXM $.

    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       20-Feb-2013.) $)
    cdleme32f $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( ( X e. B /\ Y e. B )
             /\ -. ( P =/= Q /\ -. X .<_ W )
             /\ ( P =/= Q /\ -. Y .<_ W ) )
           /\ X .<_ Y )
       -> ( F ` X ) .<_ ( F ` Y ) ) $=
      ( chlt wcel wa wbr wn w3a wne cv co wceq wrex cfv simp11 simp21r lhpmcvr2
      simp23r syl12anc nfv cif cmpt nfcv wi wral crio nfra1 nfriota nfcxfr nfif
      nfmpt nffv nfbr simpl1 simpl2 simprl simprrl jca simprrr simpl3 cdleme32e
      syl113anc exp32 rexlimd mpd ) QUTVAUBNVAVBZIEVAIUBRVCVDVBZJEVAJUBRVCVDVBZ
      VEZUCFVAZUDFVAZVBZIJVFZUCUBRVCVDVBVDZXJUDUBRVCVDZVBZVEZUCUDRVCZVEZUEVGZUB
      RVCVDZXQUDUBSVHPVHUDVIZVBZUEEVJZUCMVKZUDMVKZRVCZXPXCXHXLYAXCXDXEXNXOVLXGX
      HXKXMXFXOVMXJXLXIXKXFXOVOEFNPQRSUBUDUEUFUGUHUIUJUKVNVPXPXTYDUEEXPUEVQUEYB
      YCRUEUCMUEMAFXJAVGZUBRVCVDVBZUAYEVRZVSUSUEAFYGUEFVTZYFUEUAYEYFUEVQUEUAXRX
      QYEUBSVHZPVHYEVIVBCVGTYIPVHVIWAZUEEWBZCFWCURYKUECFYJUEEWDYHWEWFUEYEVTWGWH
      WFZUEUCVTWIUERVTUEUDMYLUEUDVTWIWJXPXQEVAZXTYDXPYMXTVBZVBZXFXNYMXRVBXSXOYD
      XFXNXOYNWKXFXNXOYNWLYOYMXRXPYMXTWMXPYMXRXSWNWOXPYMXRXSWPXFXNXOYNWQABCDEFG
      HIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSWRWSWTXAXB $.

    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       20-Feb-2013.) $)
    cdleme32le $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( X e. B /\ Y e. B )
           /\ X .<_ Y ) -> ( F ` X ) .<_ ( F ` Y ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv simpl1 simpl2l simpl2r simpl3 cdleme32d
      simpr syl131anc wi simp11 simp12 simp3 simp13 cdleme32f 3exp wceq simp12l
      simp2 cdleme31fv2 syl2anc simp12r 3brtr4d pm2.61d imp pm2.61dan ) QUTVAUB
      NVAVBIEVAIUBRVCVDVBJEVAJUBRVCVDVBVEZUCFVAZUDFVAZVBZUCUDRVCZVEZIJVFZUCUBRV
      CVDVBZUCMVGZUDMVGZRVCZWQWSVBWLWMWNWSWPXBWLWOWPWSVHWMWNWLWPWSVIWMWNWLWPWSV
      JWQWSVMWLWOWPWSVKABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQUR
      USVLVNWQWSVDZXBWQWRUDUBRVCVDVBZXCXBVOWQXDXCXBWQXDXCVEWLWOXCXDWPXBWLWOWPXD
      XCVPWLWOWPXDXCVQWQXDXCVRWQXDXCWDWLWOWPXDXCVSABCDEFGHIJKLMNOPQRSTUAUBUCUDU
      EUFUGUHUIUJUKULUMUNUOUPUQURUSVTVNWAWQXDVDZXCXBWQXEXCVEZUCUDWTXARWLWOWPXEX
      CVSXFWMXCWTUCWBWMWNWLWPXEXCWCWQXEXCVRAFIJMRUAUBUCUSWEWFXFWNXEXAUDWBWMWNWL
      WPXEXCWGWQXEXCWDAFIJMRUAUBUDUSWEWFWHWAWIWJWK $.
  $}

  ${
    cdleme35.l $e |- .<_ = ( le ` K ) $.
    cdleme35.j $e |- .\/ = ( join ` K ) $.
    cdleme35.m $e |- ./\ = ( meet ` K ) $.
    cdleme35.a $e |- A = ( Atoms ` K ) $.
    cdleme35.h $e |- H = ( LHyp ` K ) $.
    cdleme35.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdleme35.f $e |- F
      = ( ( R .\/ U ) ./\ ( Q .\/ ( ( P .\/ R ) ./\ W ) ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT.
       (Contributed by NM, 10-Mar-2013.) $)
    cdleme35a $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
        /\ -. R .<_ ( P .\/ Q ) ) -> ( F .\/ U ) = ( R .\/ U ) ) $=
      ( wcel chlt wa wbr wn w3a wne co wceq clat cbs cfv simp11l hllatd simp2rl
      atbase syl simp11 simp12 simp13 simp2r simp2l cdleme3fa syl132anc latlej2
      simp3 syl3anc simp12l simp13l cdleme1 syl13anc breqtrd cdleme0a syl112anc
      eqid wb hlatjcl latjle12 mpbi2and cdleme3g ps-1 mpbid ) IUATZLGTZUBZBATZB
      LJUCUDZUBZCATZCLJUCUDZUBZUEZBCUFZDATZDLJUCUDZUBZUBZDBCHUGJUCUDZUEZFEHUGZD
      EHUGZJUCZWSWTUHZWRFWTJUCZEWTJUCZXAWRFDFHUGZWTJWRIUITZDIUJUKZTZFXGTZFXEJUC
      WRIWBWCWGWJWPWQULZUMZWRWMXHWMWNWLWKWQUNZAXGDIXGVNZPUOUPZWRFATZXIWRWDWGWJW
      OWLWQXOWDWGWJWPWQUQZWDWGWJWPWQURZWDWGWJWPWQUSZWKWLWOWQUTZWKWLWOWQVAZWKWPW
      QVEZABCDEFGHIJKLMNOPQRSVBVCZAXGFIXMPUOUPZXGHIJDFXMMNVDVFWRWDWEWHWOXEWTUHX
      PWEWFWDWJWPWQVGWHWIWDWGWPWQVHZXSABCDEFGHIJKLMNOPQRSVIVJVKWRXFXHEXGTZXDXKX
      NWREATZYEWRWDWGWHWLYFXPXQYDXTABCEGHIJKLMNOPQRVLVMZAXGEIXMPUOUPZXGHIJDEXMM
      NVDVFWRXFXIYEWTXGTZXCXDUBXAVOXKYCYHWRWBWMYFYIXJXLYGAXGHIDEXMNPVPVFXGHIJFE
      WTXMMNVQVJVRWRWBXOYFFEUFZWMYFXAXBVOXJYBYGWRWDWGWJWOWLWQYJXPXQXRXSXTYAABCD
      EFGHIJKBDHUGLKUGZLMNOPQRSYKVNVSVCXLYGAFEDEHIJMNPVTVCWA $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT.
       (Contributed by NM, 19-Mar-2013.) $)
    cdleme35fnpq $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
        /\ -. R .<_ ( P .\/ Q ) ) -> -. F .<_ ( P .\/ Q ) ) $=
      ( wcel chlt wa wbr wn w3a wne co simp3 simp11 simp12l cdlemeulpq syl12anc
      simp13l clat cbs wb simp11l hllatd simp2rl eqid cdleme1b syl13anc syl3anc
      cfv cdleme0aa hlatjcl latjle12 biimpd mpan2d atbase syl latlej1 cdleme35a
      breqtrrd wi latjcl lattr mpand syld mtod ) IUATZLGTZUBZBATZBLJUCUDZUBZCAT
      ZCLJUCUDZUBZUEZBCUFZDATZDLJUCUDZUBUBZDBCHUGZJUCZUDZUEZFWOJUCZWPWJWNWQUHWR
      WSFEHUGZWOJUCZWPWRWSEWOJUCZXAWRWCWDWGXBWCWFWIWNWQUIZWDWEWCWIWNWQUJZWGWHWC
      WFWNWQUMZABCEGHIJKLMNOPQRUKULWRWSXBUBZXAWRIUNTZFIUOVDZTZEXHTZWOXHTZXFXAUP
      WRIWAWBWFWIWNWQUQZURZWRWCWDWGWLXIXCXDXEWLWMWKWJWQUSZAXHBCDEFGHIJKLMNOPQRS
      XHUTZVAVBZWRWCWDWGXJXCXDXEAXHBCEGHIJKLMNOPQRXOVEVCZWRWAWDWGXKXLXDXEAXHHIB
      CXONPVFVCZXHHIJFEWOXOMNVGVBVHVIWRDWTJUCZXAWPWRDDEHUGZWTJWRXGDXHTZXJDXTJUC
      XMWRWLYAXNAXHDIXOPVJVKZXQXHHIJDEXOMNVLVCABCDEFGHIJKLMNOPQRSVMVNWRXGYAWTXH
      TZXKXSXAUBWPVOXMYBWRXGXIXJYCXMXPXQXHHIFEXONVPVCXRXHIJDWTWOXOMVQVBVRVSVT
      $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT.
       (Contributed by NM, 10-Mar-2013.) $)
    cdleme35b $p |- ( ( ( ( K e. HL /\ W e. H )
          /\ ( P e. A /\ -. P .<_ W )
          /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
       /\ -. R .<_ ( P .\/ Q ) )
     -> ( Q .\/ ( ( P .\/ R ) ./\ W ) ) .<_ ( Q .\/ ( R .\/ U ) ) ) $=
      ( wcel chlt wa wbr wn w3a wne co clat cbs cfv simp11l hllatd simp13l eqid
      atbase syl simp2rl simp11 simp12 simp2l syl112anc hlatjcl syl3anc latlej1
      cdleme0a simp12l latjcl simp11r lhpbase latmcl latmle1 lattrd oveq2i wceq
      cp1 hlatlej2 atmod3i1 syl131anc simp13 lhpjat2 syl2anc oveq2d hlol 3eqtrd
      col olm11 syl5eq hlatj12 syl13anc hlatjcom oveq1d hlatjass eqtrd 3eqtr4rd
      breqtrd wb latjle12 mpbi2and ) IUATZLGTZUBZBATZBLJUCUDZUBZCATZCLJUCUDZUBZ
      UEZBCUFZDATZDLJUCUDZUBZUBZDBCHUGZJUCUDZUEZCCDEHUGZHUGZJUCZBDHUGZLKUGZXRJU
      CZCYAHUGXRJUCZXPIUHTZCIUIUJZTZXQYETZXSXPIWSWTXDXGXMXOUKZULZXPXEYFXEXFXAXD
      XMXOUMZAYECIYEUNZPUOUPZXPWSXJEATZYGYHXJXKXIXHXOUQZXPXAXDXEXIYMXAXDXGXMXOU
      RZXAXDXGXMXOUSYJXHXIXLXOUTABCEGHIJKLMNOPQRVEVAZAYEHIDEYKNPVBVCZYEHIJCXQYK
      MNVDVCXPYAXTCHUGZXRJXPYEIJYAXTYRYKMYIXPYDXTYETZLYETZYAYETZYIXPYDBYETZDYET
      ZYSYIXPXBUUBXBXCXAXGXMXOVFZAYEBIYKPUOUPXPXJUUCYNAYEDIYKPUOUPYEHIBDYKNVGVC
      ZXPWTYTWSWTXDXGXMXOVHYEGILYKQVIUPZYEIKXTLYKOVJVCZUUEXPYDYSYFYRYETYIUUEYLY
      EHIXTCYKNVGVCXPYDYSYTYAXTJUCYIUUEUUFYEIJKXTLYKMOVKVCXPYDYSYFXTYRJUCYIUUEY
      LYEHIJXTCYKMNVDVCVLXPDCEHUGZHUGZDXNHUGZXRYRXPUUHXNDHXPUUHCXNLKUGZHUGZXNEU
      UKCHRVMXPUULXNCLHUGZKUGZXNIVOUJZKUGZXNXPWSXEXNYETZYTCXNJUCZUULUUNVNYHYJXP
      WSXBXEUUQYHUUDYJAYEHIBCYKNPVBVCZUUFXPWSXBXEUURYHUUDYJABCHIJMNPVPVCAYECHIJ
      KXNLYKMNOPVQVRXPUUMUUOXNKXPXAXGUUMUUOVNYOXAXDXGXMXOVSACUUOGHIJLMNUUOUNZPQ
      VTWAWBXPIWETZUUQUUPXNVNXPWSUVAYHIWCUPUUSYEUUOIKXNYKOUUTWFWAWDWGWBXPWSXEXJ
      YMXRUUIVNYHYJYNYPACDEHINPWHWIXPYRDBHUGZCHUGZUUJXPXTUVBCHXPWSXBXJXTUVBVNYH
      UUDYNAHIBDNPWJVCWKXPWSXJXBXEUVCUUJVNYHYNUUDYJADBCHINPWLWIWMWNWOXPYDYFUUAX
      RYETZXSYBUBYCWPYIYLUUGXPYDYFYGUVDYIYLYQYEHICXQYKNVGVCYEHIJCYAXRYKMNWQWIWR
      $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT.
       (Contributed by NM, 10-Mar-2013.) $)
    cdleme35c $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
        /\ -. R .<_ ( P .\/ Q ) )
               -> ( Q .\/ F ) = ( Q .\/ ( ( P .\/ R ) ./\ W ) ) ) $=
      ( wcel chlt wa wbr wn w3a wne oveq2i cbs cfv wceq simp11l simp13l simp2rl
      co simp11 simp12 simp2l syl112anc eqid hlatjcl syl3anc clat hllatd atbase
      cdleme0a simp12l simp11r lhpbase latmcl latjcl latlej1 atmod1i1 syl131anc
      syl cdleme35b wb latleeqm2 mpbid eqtrd syl5eq ) IUATZLGTZUBZBATZBLJUCUDZU
      BZCATZCLJUCUDZUBZUEZBCUFZDATZDLJUCUDZUBZUBZDBCHUNJUCUDZUEZCFHUNCDEHUNZCBD
      HUNZLKUNZHUNZKUNZHUNZXAFXBCHSUGWQXCCWRHUNZXAKUNZXAWQWAWGWRIUHUIZTZXAXFTZC
      XAJUCZXCXEUJWAWBWFWIWOWPUKZWGWHWCWFWOWPULZWQWAWLEATZXGXJWLWMWKWJWPUMZWQWC
      WFWGWKXLWCWFWIWOWPUOWCWFWIWOWPUPXKWJWKWNWPUQABCEGHIJKLMNOPQRVEURAXFHIDEXF
      USZNPUTVAZWQIVBTZCXFTZWTXFTZXHWQIXJVCZWQWGXQXKAXFCIXNPVDVNZWQXPWSXFTZLXFT
      ZXRXSWQWAWDWLYAXJWDWEWCWIWOWPVFXMAXFHIBDXNNPUTVAWQWBYBWAWBWFWIWOWPVGXFGIL
      XNQVHVNXFIKWSLXNOVIVAZXFHICWTXNNVJVAZWQXPXQXRXIXSXTYCXFHIJCWTXNMNVKVAAXFC
      HIJKWRXAXNMNOPVLVMWQXAXDJUCZXEXAUJZABCDEFGHIJKLMNOPQRSVOWQXPXHXDXFTZYEYFV
      PXSYDWQXPXQXGYGXSXTXOXFHICWRXNNVJVAXFIJKXAXDXNMOVQVAVRVSVT $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT.
       (Contributed by NM, 10-Mar-2013.) $)
    cdleme35d $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
        /\ -. R .<_ ( P .\/ Q ) )
               -> ( ( Q .\/ F ) ./\ W ) = ( ( P .\/ R ) ./\ W ) ) $=
      ( wcel chlt wa wbr wn w3a wne co cdleme35c oveq1d cbs cfv simp11l simp13l
      wceq clat hllatd simp12l simp2rl eqid hlatjcl syl3anc simp11r lhpbase syl
      latmcl latmle2 atmod4i2 syl131anc simp11 simp13 lhpmat syl2anc hlol olj02
      cp0 col eqtrd 3eqtr2d ) IUATZLGTZUBZBATZBLJUCUDZUBZCATZCLJUCUDZUBZUEZBCUF
      ZDATZDLJUCUDZUBUBZDBCHUGJUCUDZUEZCFHUGZLKUGCBDHUGZLKUGZHUGZLKUGZCLKUGZWQH
      UGZWQWNWOWRLKABCDEFGHIJKLMNOPQRSUHUIWNVSWEWQIUJUKZTZLXBTZWQLJUCZXAWSUNVSV
      TWDWGWLWMULZWEWFWAWDWLWMUMWNIUOTZWPXBTZXDXCWNIXFUPZWNVSWBWJXHXFWBWCWAWGWL
      WMUQWJWKWIWHWMURAXBHIBDXBUSZNPUTVAZWNVTXDVSVTWDWGWLWMVBXBGILXJQVCVDZXBIKW
      PLXJOVEVAZXLWNXGXHXDXEXIXKXLXBIJKWPLXJMOVFVAAXBCHIJKWQLXJMNOPVGVHWNXAIVOU
      KZWQHUGZWQWNWTXNWQHWNWAWGWTXNUNWAWDWGWLWMVIWAWDWGWLWMVJACGIJKLXNMOXNUSZPQ
      VKVLUIWNIVPTZXCXOWQUNWNVSXQXFIVMVDXMXBHIWQXNXJNXPVNVLVQVR $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT.
       (Contributed by NM, 10-Mar-2013.) $)
    cdleme35e $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
        /\ -. R .<_ ( P .\/ Q ) )
               -> ( P .\/ ( ( Q .\/ F ) ./\ W ) ) = ( P .\/ R ) ) $=
      ( co chlt wcel wa wbr wn w3a wne cdleme35d oveq2d cbs cfv simp11l simp12l
      wceq simp2rl eqid hlatjcl syl3anc simp11r syl hlatlej1 atmod3i1 syl131anc
      lhpbase cp1 simp11 simp12 lhpjat2 syl2anc col hlol olm11 eqtrd 3eqtrd ) I
      UAUBZLGUBZUCZBAUBZBLJUDUEZUCZCAUBCLJUDUEUCZUFZBCUGZDAUBZDLJUDUEZUCUCZDBCH
      TJUDUEZUFZBCFHTLKTZHTBBDHTZLKTZHTZWJBLHTZKTZWJWHWIWKBHABCDEFGHIJKLMNOPQRS
      UHUIWHVOVRWJIUJUKZUBZLWOUBZBWJJUDZWLWNUNVOVPVTWAWFWGULZVRVSVQWAWFWGUMZWHV
      OVRWDWPWSWTWDWEWCWBWGUOZAWOHIBDWOUPZNPUQURZWHVPWQVOVPVTWAWFWGUSWOGILXBQVD
      UTWHVOVRWDWRWSWTXAABDHIJMNPVAURAWOBHIJKWJLXBMNOPVBVCWHWNWJIVEUKZKTZWJWHWM
      XDWJKWHVQVTWMXDUNVQVTWAWFWGVFVQVTWAWFWGVGABXDGHIJLMNXDUPZPQVHVIUIWHIVJUBZ
      WPXEWJUNWHVOXGWSIVKUTXCWOXDIKWJXBOXFVLVIVMVN $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT.
       (Contributed by NM, 10-Mar-2013.) $)
    cdleme35f $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
        /\ -. R .<_ ( P .\/ Q ) )
               -> ( ( R .\/ U ) ./\ ( P .\/ R ) ) = R ) $=
      ( wcel chlt wa wbr wn w3a wne co simp11l simp12l simp2rl hlatjcom syl3anc
      wceq oveq2d simp11 simp12 simp13l cdleme0a syl112anc simp12r clat cbs cfv
      simp2l hllatd eqid hlatjcl simp11r lhpbase syl latmle2 eqbrtrid syl5ibcom
      breq1 necon3bd mpd simp3 hlatlej1 wb atbase latjle12 syl13anc mpbi2and wi
      latmle1 lattr mpan2d mtod 2llnma2 syl132anc eqtrd ) IUATZLGTZUBZBATZBLJUC
      ZUDZUBZCATZCLJUCUDZUBZUEZBCUFZDATZDLJUCUDZUBZUBZDBCHUGZJUCZUDZUEZDEHUGZBD
      HUGZKUGXLDBHUGZKUGZDXKXMXNXLKXKWLWOXDXMXNUMWLWMWRXAXGXJUHZWOWQWNXAXGXJUIZ
      XDXEXCXBXJUJZAHIBDNPUKULUNXKWLEATZWOXDEBUFZDEBHUGZJUCZUDXODUMXPXKWNWRWSXC
      XSWNWRXAXGXJUOWNWRXAXGXJUPWSWTWNWRXGXJUQZXBXCXFXJVDABCEGHIJKLMNOPQRURUSZX
      QXRXKWQXTWOWQWNXAXGXJUTXKWPEBXKELJUCEBUMWPXKEXHLKUGZLJRXKIVATZXHIVBVCZTZL
      YGTZYELJUCXKIXPVEZXKWLWOWSYHXPXQYCAYGHIBCYGVFZNPVGULZXKWMYIWLWMWRXAXGXJVH
      YGGILYKQVIVJZYGIJKXHLYKMOVKULVLEBLJVNVMVOVPXKYBXIXBXGXJVQXKYBYAXHJUCZXIXK
      EXHJUCZBXHJUCZYNXKEYEXHJRXKYFYHYIYEXHJUCYJYLYMYGIJKXHLYKMOWEULVLXKWLWOWSY
      PXPXQYCABCHIJMNPVRULXKYFEYGTZBYGTZYHYOYPUBYNVSYJXKXSYQYDAYGEIYKPVTVJXKWOY
      RXQAYGBIYKPVTVJYLYGHIJEBXHYKMNWAWBWCXKYFDYGTZYAYGTZYHYBYNUBXIWDYJXKXDYSXR
      AYGDIYKPVTVJXKWLXSWOYTXPYDXQAYGHIEBYKNPVGULYLYGIJDYAXHYKMWFWBWGWHAEBDHIJK
      MNOPWIWJWK $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT.
       (Contributed by NM, 10-Mar-2013.) $)
    cdleme35g $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
        /\ -. R .<_ ( P .\/ Q ) )
           -> ( ( F .\/ U ) ./\ ( P .\/ ( ( Q .\/ F ) ./\ W ) ) ) = R ) $=
      ( co chlt wcel wa wbr w3a wne cdleme35a cdleme35e oveq12d cdleme35f eqtrd
      wn ) IUAUBLGUBUCBAUBBLJUDULUCCAUBCLJUDULUCUEBCUFDAUBDLJUDULUCUCDBCHTJUDUL
      UEZFEHTZBCFHTLKTHTZKTDEHTZBDHTZKTDUMUNUPUOUQKABCDEFGHIJKLMNOPQRSUGABCDEFG
      HIJKLMNOPQRSUHUIABCDEFGHIJKLMNOPQRSUJUK $.

    ${
      cdleme35.g $e |- G
          = ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  Show that f(x) is
         one-to-one outside of ` P .\/ Q ` line.  TODO:  FIX COMMENT.
         (Contributed by NM, 11-Mar-2013.) $)
      cdleme35h $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W )
          /\ ( S e. A /\ -. S .<_ W ) )
         /\ ( -. R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) /\ F = G ) )
                -> R = S ) $=
        ( chlt wcel wa wbr wn w3a wne co wceq oveq1 oveq2 oveq1d oveq2d oveq12d
        3ad2ant3 simp21 simp22 simp31 cdleme35g syl121anc simp23 simp32 3eqtr3d
        simp1 ) KUCUDNIUDUEBAUDBNLUFUGUECAUDCNLUFUGUEUHZBCUIZDAUDDNLUFUGUEZEAUD
        ENLUFUGUEZUHZDBCJUJZLUFUGZEVLLUFUGZGHUKZUHZUHZGFJUJZBCGJUJZNMUJZJUJZMUJ
        ZHFJUJZBCHJUJZNMUJZJUJZMUJZDEVPVGWBWGUKZVKVOVMWHVNVOVRWCWAWFMGHFJULVOVT
        WEBJVOVSWDNMGHCJUMUNUOUPUQUQVQVGVHVIVMWBDUKVGVKVPVFZVGVHVIVJVPURZVGVHVI
        VJVPUSVGVKVMVNVOUTABCDFGIJKLMNOPQRSTUAVAVBVQVGVHVJVNWGEUKWIWJVGVHVIVJVP
        VCVGVKVMVNVOVDABCEFHIJKLMNOPQRSTUBVAVBVE $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  Show that f(x) is
         one-to-one outside of ` P .\/ Q ` line.  TODO:  FIX COMMENT.
         (Contributed by NM, 18-Mar-2013.) $)
      cdleme35h2 $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W )
            /\ ( S e. A /\ -. S .<_ W ) )
         /\ ( -. R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) /\ R =/= S ) )
                -> F =/= G ) $=
        ( chlt wcel wa wbr wn w3a wne simp33 wceq simpl1 simpl2 simpl31 simpl32
        co simpr cdleme35h syl113anc ex necon3d mpd ) KUCUDNIUDUEBAUDBNLUFUGUEC
        AUDCNLUFUGUEUHZBCUIDAUDDNLUFUGUEEAUDENLUFUGUEUHZDBCJUPZLUFUGZEVELUFUGZD
        EUIZUHZUHZVHGHUIVCVDVFVGVHUJVJGHDEVJGHUKZDEUKZVJVKUEVCVDVFVGVKVLVCVDVIV
        KULVCVDVIVKUMVFVGVHVCVDVKUNVFVGVHVCVDVKUOVJVKUQABCDEFGHIJKLMNOPQRSTUAUB
        URUSUTVAVB $.
    $}
  $}

  ${
    cdleme32s.b $e |- B = ( Base ` K ) $.
    cdleme32s.l $e |- .<_ = ( le ` K ) $.
    cdleme32s.j $e |- .\/ = ( join ` K ) $.
    cdleme32s.m $e |- ./\ = ( meet ` K ) $.
    cdleme32s.a $e |- A = ( Atoms ` K ) $.
    cdleme32s.h $e |- H = ( LHyp ` K ) $.
    cdleme32s.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdleme32s.d $e |- D
        = ( ( s .\/ U ) ./\ ( Q .\/ ( ( P .\/ s ) ./\ W ) ) ) $.
    cdleme32s.n $e |- N = if ( s .<_ ( P .\/ Q ) , I , D ) $.
    $d s A $.  $d s B $.  $d s H $.  $d s .\/ $.  $d s K $.  $d s .<_ $.
    $d s ./\ $.  $d s P $.  $d s Q $.  $d s R $.  $d s S $.  $d s U $.
    $d s W $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Show that f(x) is
       one-to-one outside of ` P .\/ Q ` line case; compare ~ cdleme32sn2awN .
       TODO:  FIX COMMENT. (Contributed by NM, 18-Mar-2013.) $)
    cdleme35sn2aw $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W )
            /\ ( S e. A /\ -. S .<_ W ) )
        /\ ( -. R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) /\ R =/= S ) )
               -> [_ R / s ]_ N =/= [_ S / s ]_ N ) $=
      ( chlt wcel wa wbr wn w3a wne co eqid cdleme35h2 wceq simp22l cdleme31sn2
      csb simp31 syl2anc simp23l simp32 3netr4d ) LUGUHPIUHUIDAUHDPMUJUKUIEAUHE
      PMUJUKUIULZDEUMZFAUHZFPMUJUKZUIZGAUHZGPMUJUKZUIZULZFDEKUNZMUJUKZGVOMUJUKZ
      FGUMZULZULZFHKUNEDFKUNPNUNKUNNUNZGHKUNEDGKUNPNUNKUNNUNZQFOUTZQGOUTZADEFGH
      WAWBIKLMNPSTUAUBUCUDWAUOZWBUOZUPVTVHVPWCWAUQVHVIVGVMVFVSURVFVNVPVQVRVAAWA
      CDEFHJKMNOPQUEUFWEUSVBVTVKVQWDWBUQVKVLVGVJVFVSVCVFVNVPVQVRVDAWBCDEGHJKMNO
      PQUEUFWFUSVBVE $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT.
       (Contributed by NM, 19-Mar-2013.) $)
    cdleme35sn3a $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
        /\ -. R .<_ ( P .\/ Q ) )
               -> -. [_ R / s ]_ N .<_ ( P .\/ Q ) ) $=
      ( chlt wcel wa wbr wn w3a wne co csb eqid cdleme35fnpq wceq simp2rl simp3
      cdleme31sn2 syl2anc breq1d mtbird ) KUFUGOHUGUHDAUGDOLUIUJUHEAUGEOLUIUJUH
      UKZDEULZFAUGZFOLUIUJZUHUHZFDEJUMZLUIUJZUKZPFNUNZVILUIFGJUMEDFJUMOMUMJUMMU
      MZVILUIADEFGVMHJKLMORSTUAUBUCVMUOZUPVKVLVMVILVKVFVJVLVMUQVFVGVEVDVJURVDVH
      VJUSAVMCDEFGIJLMNOPUDUEVNUTVAVBVC $.
  $}

  ${
    cdleme36.b $e |- B = ( Base ` K ) $.
    cdleme36.l $e |- .<_ = ( le ` K ) $.
    cdleme36.j $e |- .\/ = ( join ` K ) $.
    cdleme36.m $e |- ./\ = ( meet ` K ) $.
    cdleme36.a $e |- A = ( Atoms ` K ) $.
    cdleme36.h $e |- H = ( LHyp ` K ) $.
    cdleme36.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdleme36.e $e |- E
      = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT.
       (Contributed by NM, 11-Mar-2013.) $)
    cdleme36a $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ Q e. A )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ R .<_ ( P .\/ Q ) )
        /\ ( ( t e. A /\ -. t .<_ W ) /\ -. t .<_ ( P .\/ Q ) ) )
               -> -. R .<_ ( t .\/ E ) ) $=
      ( chlt wcel wa wbr wn w3a wne co cv simp3r simp11l simp22l simp3ll simp11
      simp12 simp13 simp21 cdleme0a syl112anc simp12l simp22 cdleme0c syl121anc
      wi necomd hlatexch2 syl131anc wceq simp3l cdleme1 syl13anc breq2d cdleme4
      simp23 3imtr4d mtod ) KUCUDZNIUDZUEZDBUDZDNLUFUGZUEZEBUDZUHZDEUIZFBUDZFNL
      UFUGZUEZFDEJUJZLUFZUHZAUKZBUDZWNNLUFUGZUEZWNWKLUFZUGZUEZUHZFWNHJUJZLUFZWR
      WFWMWQWSULXAFWNGJUJZLUFZWNFGJUJZLUFZXCWRXAVSWHWOGBUDZFGUIXEXGVFVSVTWDWEWM
      WTUMWHWIWGWLWFWTUNWOWPWSWFWMUOXAWAWDWEWGXHWAWDWEWMWTUPZWAWDWEWMWTUQWAWDWE
      WMWTURZWFWGWJWLWTUSBDEGIJKLMNPQRSTUAUTVAXAGFXAWAWBWEWJGFUIXIWBWCWAWEWMWTV
      BZXJWFWGWJWLWTVCZBDEFGIJKLMNPQRSTUAVDVEVGBFWNGJKLPQSVHVIXAXBXDFLXAWAWBWEW
      QXBXDVJXIXKXJWFWMWQWSVKBDEWNGHIJKLMNPQRSTUAUBVLVMVNXAWKXFWNLXAWAWBWEWJWLW
      KXFVJXIXKXJXLWFWGWJWLWTVPBDEFGIJKLMNPQRSTUAVOVIVNVQVR $.

    $( ` t ` , ` E ` serve as ` P ` , ` Q ` $)
    cdleme36.v $e |- V = ( ( t .\/ E ) ./\ W ) $.
    cdleme36.f $e |- F
     = ( ( R .\/ V ) ./\ ( E .\/ ( ( t .\/ R ) ./\ W ) ) ) $.
    cdleme36.c $e |- C
     = ( ( S .\/ V ) ./\ ( E .\/ ( ( t .\/ S ) ./\ W ) ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Show that f(x) is
       one-to-one on ` P .\/ Q ` line.  TODO:  FIX COMMENT. (Contributed by NM,
       11-Mar-2013.) $)
    cdleme36m $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W )
         /\ ( S e. A /\ -. S .<_ W ) )
        /\ ( ( R .<_ ( P .\/ Q ) /\ S .<_ ( P .\/ Q ) /\ F = C )
                /\ ( ( t e. A /\ -. t .<_ W ) /\ -. t .<_ ( P .\/ Q ) ) ) )
               -> R = S ) $=
      ( chlt wcel wa wbr wn w3a wne co wceq simp11 simp3rl simp12 simp13 simp21
      cv simp3rr cdleme3fa syl132anc cdleme3 jca simp13l cdleme3b necomd simp22
      syl13anc simp3l1 cdleme36a syl331anc simp3l2 simp3l3 cdleme35h syl333anc
      simp23 simp3r ) NUJUKRLUKULZEBUKEROUMUNULZFBUKZFROUMUNZULZUOZEFUPZGBUKGRO
      UMUNULZHBUKHROUMUNULZUOZGEFMUQZOUMZHWNOUMZKDURZUOZAVDZBUKWSROUMUNULZWSWNO
      UMUNZULZULZUOZWDWTJBUKZJROUMUNZULWSJUPWKWLGWSJMUQZOUMUNZHXGOUMUNZWQGHURWD
      WEWHWMXCUSZWTXAWRWIWMUTZXDXEXFXDWDWEWHWTWJXAXEXJWDWEWHWMXCVAZWDWEWHWMXCVB
      ZXKWIWJWKWLXCVCZWTXAWRWIWMVEZBEFWSIJLMNOPRTUAUBUCUDUEUFVFVGXDWDWEWHWTWJXA
      XFXJXLXMXKXNXOBEFWSIJLMNOPRTUAUBUCUDUEUFVHVGVIXDJWSXDWDWEWFWJULWTJWSUPXJX
      LXDWFWJWFWGWDWEWMXCVJZXNVIXKBEFWSIJLMNOPRTUAUBUCUDUEUFVKVNVLWIWJWKWLXCVMZ
      WIWJWKWLXCWBZXDWDWEWFWJWKWOXBXHXJXLXPXNXQWOWPWQXBWIWMVOWIWMWRXBWCZABCEFGI
      JLMNOPRSTUAUBUCUDUEUFVPVQXDWDWEWFWJWLWPXBXIXJXLXPXNXRWOWPWQXBWIWMVRXSABCE
      FHIJLMNOPRSTUAUBUCUDUEUFVPVQWOWPWQXBWIWMVSBWSJGHQKDLMNOPRTUAUBUCUDUGUHUIV
      TWA $.
  $}

  ${
    cdleme37.l $e |- .<_ = ( le ` K ) $.
    cdleme37.j $e |- .\/ = ( join ` K ) $.
    cdleme37.m $e |- ./\ = ( meet ` K ) $.
    cdleme37.a $e |- A = ( Atoms ` K ) $.
    cdleme37.h $e |- H = ( LHyp ` K ) $.
    cdleme37.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    $( ` t ` , ` E ` , ` V ` serve as ` P ` , ` Q ` , ` U ` for ` C ` . $)
    cdleme37.e $e |- E
      = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
    $( ` u ` , ` D ` , ` X ` serve as ` P ` , ` Q ` , ` U ` for ` G ` . $)
    cdleme37.d $e |- D
      = ( ( u .\/ U ) ./\ ( Q .\/ ( ( P .\/ u ) ./\ W ) ) ) $.
    cdleme37.v $e |- V = ( ( t .\/ E ) ./\ W ) $.
    cdleme37.x $e |- X = ( ( u .\/ D ) ./\ W ) $.
    cdleme37.c $e |- C
      = ( ( S .\/ V ) ./\ ( E .\/ ( ( t .\/ S ) ./\ W ) ) ) $.
    cdleme37.g $e |- G
      = ( ( S .\/ X ) ./\ ( D .\/ ( ( u .\/ S ) ./\ W ) ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Show that f(x) is
       one-to-one on ` P .\/ Q ` line.  TODO:  FIX COMMENT. (Contributed by NM,
       13-Mar-2013.) $)
    cdleme37m $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W )
         /\ ( S e. A /\ -. S .<_ W ) )
        /\ ( ( R .<_ ( P .\/ Q ) /\ S .<_ ( P .\/ Q ) )
                /\ ( ( t e. A /\ -. t .<_ W ) /\ -. t .<_ ( P .\/ Q ) )
                /\ ( ( u e. A /\ -. u .<_ W ) /\ -. u .<_ ( P .\/ Q ) ) ) )
               -> C = G ) $=
      ( chlt wcel wa wbr wn w3a wne co wceq simp1 simp23 simp32l simp33l simp21
      cv simp32r simp33r simp31r 3jca eqid cdleme21k syl132anc simp11 syl131anc
      simp12l simp13l cdleme4 cdleme2 syl13anc simp11l simp23l hlatjcom syl3anc
      syl5eq oveq2d eqtr4d simpld oveq1d oveq12d eqtr4id 3eqtr4d ) OUMUNZSMUNZU
      OZFCUNZFSPUPUQZUOZGCUNZGSPUPUQZUOZURZFGUSZHCUNHSPUPUQUOZICUNZISPUPUQZUOZU
      RZHFGNUTZPUPZIXJPUPZUOZBVGZCUNZXNSPUPUQZUOZXNXJPUPUQZUOZAVGZCUNZXTSPUPUQZ
      UOZXTXJPUPUQZUOZURZURZXJKIXNNUTZSQUTZNUTZQUTZXJEIXTNUTZSQUTZNUTZQUTZDLYGX
      CXHXQYCXDXRYDXLURYKYOVAXCXIYFVBXCXDXEXHYFVCZXQXRXMYEXCXIVDZYCYDXMXSXCXIVE
      ZXCXDXEXHYFVFYGXRYDXLXQXRXMYEXCXIVHYCYDXMXSXCXIVIXKXLXSYEXCXIVJZVKCYIFGIX
      NXTJKEMNOPQYKYOSYMUAUBUCUDUEUFUGUHYIVLYMVLYKVLYOVLVMVNYGDIRNUTZKXNINUTZSQ
      UTZNUTZQUTYKUKYGXJYTYJUUCQYGXJIJNUTZYTYGWPWQWTXHXLXJUUDVAWPWSXBXIYFVOZWQW
      RWPXBXIYFVQZWTXAWPWSXIYFVRZYPYSCFGIJMNOPQSUAUBUCUDUEUFVSVPZYGRJINYGRXNKNU
      TSQUTZJUIYGWPWQWTXQUUIJVAUUEUUFUUGYQCFGXNJKMNOPQSUAUBUCUDUEUFUGVTWAWFWGWH
      YGYIUUBKNYGYHUUASQYGWNXFXOYHUUAVAWNWOWSXBXIYFWBZXFXGXDXEXCYFWCZYGXOXPYQWI
      CNOIXNUBUDWDWEWJWGWKWLYGLITNUTZEXTINUTZSQUTZNUTZQUTYOULYGXJUULYNUUOQYGXJU
      UDUULUUHYGTJINYGTXTENUTSQUTZJUJYGWPWQWTYCUUPJVAUUEUUFUUGYRCFGXTJEMNOPQSUA
      UBUCUDUEUFUHVTWAWFWGWHYGYMUUNENYGYLUUMSQYGWNXFYAYLUUMVAUUJUUKYGYAYBYRWICN
      OIXTUBUDWDWEWJWGWKWLWM $.
  $}

  ${
    cdleme38.l $e |- .<_ = ( le ` K ) $.
    cdleme38.j $e |- .\/ = ( join ` K ) $.
    cdleme38.m $e |- ./\ = ( meet ` K ) $.
    cdleme38.a $e |- A = ( Atoms ` K ) $.
    cdleme38.h $e |- H = ( LHyp ` K ) $.
    cdleme38.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    $( ` t ` , ` E ` , ` V ` serve as ` P ` , ` Q ` , ` U ` for ` F ` . $)
    cdleme38.e $e |- E
      = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
    $( ` u ` , ` D ` , ` X ` serve as ` P ` , ` Q ` , ` U ` for ` G ` . $)
    cdleme38.d $e |- D
      = ( ( u .\/ U ) ./\ ( Q .\/ ( ( P .\/ u ) ./\ W ) ) ) $.
    cdleme38.v $e |- V = ( ( t .\/ E ) ./\ W ) $.
    cdleme38.x $e |- X = ( ( u .\/ D ) ./\ W ) $.
    cdleme38.f $e |- F
      = ( ( R .\/ V ) ./\ ( E .\/ ( ( t .\/ R ) ./\ W ) ) ) $.
    cdleme38.g $e |- G
      = ( ( S .\/ X ) ./\ ( D .\/ ( ( u .\/ S ) ./\ W ) ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Show that f(x) is
       one-to-one on ` P .\/ Q ` line.  TODO:  FIX COMMENT. (Contributed by NM,
       13-Mar-2013.) $)
    cdleme38m $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W )
           /\ ( S e. A /\ -. S .<_ W ) )
        /\ ( ( R .<_ ( P .\/ Q ) /\ S .<_ ( P .\/ Q ) /\ F = G )
                /\ ( ( t e. A /\ -. t .<_ W ) /\ -. t .<_ ( P .\/ Q ) )
                /\ ( ( u e. A /\ -. u .<_ W ) /\ -. u .<_ ( P .\/ Q ) ) ) )
               -> R = S ) $=
      ( chlt wcel wa wbr wn w3a wne co wceq simp1 simp2 simp311 simp312 simp313
      cv simp32 simp33 eqid cdleme37m syl113anc eqtr4d 3jca cdleme36m syl112anc
      jca cbs cfv ) OUMUNSMUNUOECUNESPUPUQUOFCUNFSPUPUQUOURZEFUSGCUNGSPUPUQUOHC
      UNHSPUPUQUOURZGEFNUTZPUPZHWBPUPZKLVAZURZBVGZCUNWGSPUPUQUOWGWBPUPUQUOZAVGZ
      CUNWISPUPUQUOWIWBPUPUQUOZURZURZVTWAWCWDKHRNUTJWGHNUTSQUTNUTQUTZVAZURWHGHV
      AVTWAWKVBZVTWAWKVCZWLWCWDWNWCWDWEWHWJVTWAVDZWCWDWEWHWJVTWAVEZWLKLWMWCWDWE
      WHWJVTWAVFWLVTWAWCWDUOWHWJWMLVAWOWPWLWCWDWQWRVQVTWAWFWHWJVHZVTWAWFWHWJVIA
      BCWMDEFGHIJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJWMVJZULVKVLVMVNWSBCOVRVSZWMEFGHIJ
      KMNOPQRSXAVJUAUBUCUDUEUFUGUIUKWTVOVP $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  Show that f(x) is
       one-to-one on ` P .\/ Q ` line.  TODO:  FIX COMMENT. TODO shorter if
       proved directly from ~ cdleme36m and ~ cdleme37m ?  (Contributed by NM,
       14-Mar-2013.) $)
    cdleme38n $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W )
          /\ ( S e. A /\ -. S .<_ W ) )
        /\ ( ( R .<_ ( P .\/ Q ) /\ S .<_ ( P .\/ Q ) /\ R =/= S )
                /\ ( ( t e. A /\ -. t .<_ W ) /\ -. t .<_ ( P .\/ Q ) )
                /\ ( ( u e. A /\ -. u .<_ W ) /\ -. u .<_ ( P .\/ Q ) ) ) )
               -> F =/= G ) $=
      ( chlt wcel wa wbr wn w3a wne simp313 wceq simpl1 simpl21 simpl22 simpl23
      co cv simp311 adantr simp312 simpr simpl32 simpl33 cdleme38m syl133anc ex
      3jca necon3d mpd ) OUMUNSMUNUOECUNESPUPUQUOFCUNFSPUPUQUOURZEFUSZGCUNGSPUP
      UQUOZHCUNHSPUPUQUOZURZGEFNVFZPUPZHWEPUPZGHUSZURZBVGZCUNWJSPUPUQUOWJWEPUPU
      QUOZAVGZCUNWLSPUPUQUOWLWEPUPUQUOZURZURZWHKLUSWFWGWHWKWMVTWDUTWOKLGHWOKLVA
      ZGHVAZWOWPUOZVTWAWBWCWFWGWPURWKWMWQVTWDWNWPVBWAWBWCVTWNWPVCWAWBWCVTWNWPVD
      WAWBWCVTWNWPVEWRWFWGWPWOWFWPWFWGWHWKWMVTWDVHVIWOWGWPWFWGWHWKWMVTWDVJVIWOW
      PVKVQWIWKWMVTWDWPVLWIWKWMVTWDWPVMABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJ
      UKULVNVOVPVRVS $.
  $}

  ${
    cdleme39.l $e |- .<_ = ( le ` K ) $.
    cdleme39.j $e |- .\/ = ( join ` K ) $.
    cdleme39.m $e |- ./\ = ( meet ` K ) $.
    cdleme39.a $e |- A = ( Atoms ` K ) $.
    cdleme39.h $e |- H = ( LHyp ` K ) $.
    cdleme39.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdleme39.e $e |- E
      = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
    cdleme39.g $e |- G
      = ( ( P .\/ Q ) ./\ ( E .\/ ( ( R .\/ t ) ./\ W ) ) ) $.
    ${
      cdleme39a.v $e |- V = ( ( t .\/ E ) ./\ W ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  Show that f(x) is
         one-to-one on ` P .\/ Q ` line.  TODO:  FIX COMMENT. ` E ` , ` Y ` ,
         ` G ` , ` Z ` serve as f(t), f(u), f_t( ` R ` ), f_t( ` S ` ).  Put
         hypotheses of ~ cdleme38n in convention of ~ cdleme32sn1awN .  TODO
         see if this hypothesis conversion would be better if done earlier.
         (Contributed by NM, 15-Mar-2013.) $)
      cdleme39a $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ P e. A
           /\ Q e. A )
        /\ ( R e. A /\ -. R .<_ W )
        /\ ( R .<_ ( P .\/ Q )
           /\ ( t e. A /\ -. t .<_ W ) ) )
    -> G = ( ( R .\/ V ) ./\ ( E .\/ ( ( t .\/ R ) ./\ W ) ) ) ) $=
        ( chlt wcel wa w3a wbr wn co cv wceq simp11 simp12 simp13 simp2 cdleme4
        simp3l syl131anc simp3r cdleme2 syl13anc syl5eq oveq2d simp11l hlatjcom
        eqtr4d simp2l simp3rl syl3anc oveq1d oveq12d ) KUEUFZOIUFZUGZCBUFZDBUFZ
        UHZEBUFZEOLUIUJZUGZECDJUKZLUIZAULZBUFZWEOLUIUJZUGZUGZUHZHWCGEWEJUKZOMUK
        ZJUKZMUKENJUKZGWEEJUKZOMUKZJUKZMUKUCWJWCWNWMWQMWJWCEFJUKZWNWJVPVQVRWBWD
        WCWRUMVPVQVRWBWIUNZVPVQVRWBWIUOZVPVQVRWBWIUPZVSWBWIUQVSWBWDWHUSBCDEFIJK
        LMOPQRSTUAURUTWJNFEJWJNWEGJUKOMUKZFUDWJVPVQVRWHXBFUMWSWTXAVSWBWDWHVABCD
        WEFGIJKLMOPQRSTUAUBVBVCVDVEVHWJWLWPGJWJWKWOOMWJVNVTWFWKWOUMVNVOVQVRWBWI
        VFVSVTWAWIVIWFWGWDVSWBVJBJKEWEQSVGVKVLVEVMVD $.
    $}

    cdleme39.y $e |- Y
       = ( ( u .\/ U ) ./\ ( Q .\/ ( ( P .\/ u ) ./\ W ) ) ) $.
    cdleme39.z $e |- Z
       = ( ( P .\/ Q ) ./\ ( Y .\/ ( ( S .\/ u ) ./\ W ) ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Show that f(x) is
       one-to-one on ` P .\/ Q ` line.  TODO:  FIX COMMENT. ` E ` , ` Y ` ,
       ` G ` , ` Z ` serve as f(t), f(u), f_t( ` R ` ), f_t( ` S ` ).  Put
       hypotheses of ~ cdleme38n in convention of ~ cdleme32sn1awN .  TODO see
       if this hypothesis conversion would be better if done earlier.
       (Contributed by NM, 15-Mar-2013.) $)
    cdleme39n $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W )
         /\ ( S e. A /\ -. S .<_ W ) )
        /\ ( ( R .<_ ( P .\/ Q ) /\ S .<_ ( P .\/ Q ) /\ R =/= S )
                /\ ( ( t e. A /\ -. t .<_ W ) /\ -. t .<_ ( P .\/ Q ) )
                /\ ( ( u e. A /\ -. u .<_ W ) /\ -. u .<_ ( P .\/ Q ) ) ) )
               -> G =/= Z ) $=
      ( chlt wcel wa wbr wn w3a wne co cv eqid cdleme38n simp11 simp12l simp13l
      simp22l simp22r simp311 simp32l cdleme39a simp23l simp23r simp312 simp33l
      wceq syl322anc 3netr4d ) MUIUJPKUJUKZDCUJZDPNULUMZUKZECUJZEPNULUMZUKZUNZD
      EUOZFCUJZFPNULUMZUKZGCUJZGPNULUMZUKZUNZFDELUPZNULZGWKNULZFGUOZUNZBUQZCUJW
      PPNULUMUKZWPWKNULUMZUKZAUQZCUJWTPNULUMUKZWTWKNULUMZUKZUNZUNZFWPILUPPOUPZL
      UPIWPFLUPPOUPLUPOUPZGWTQLUPPOUPZLUPQWTGLUPPOUPLUPOUPZJRABCQDEFGHIXGXIKLMN
      OXFPXHSTUAUBUCUDUEUGXFURZXHURZXGURXIURUSXEVOVPVSWDWEWLWQJXGVLVOVRWAWJXDUT
      ZVPVQVOWAWJXDVAZVSVTVOVRWJXDVBZWDWEWCWIWBXDVCWDWEWCWIWBXDVDWLWMWNWSXCWBWJ
      VEWQWRWOXCWBWJVFBCDEFHIJKLMNOXFPSTUAUBUCUDUEUFXJVGVMXEVOVPVSWGWHWMXARXIVL
      XLXMXNWGWHWCWFWBXDVHWGWHWCWFWBXDVIWLWMWNWSXCWBWJVJXAXBWOWSWBWJVKACDEGHQRK
      LMNOXHPSTUAUBUCUDUGUHXKVGVMVN $.
  $}

  ${
    $d u v z A $.  $d u v z B $.  $d z F $.  $d v z H $.  $d u v z .\/ $.
    $d v z K $.  $d u v z .<_ $.  $d u v z ./\ $.  $d u v z P $.  $d u v z Q $.
    $d v z R $.  $d u z S $.  $d u T $.  $d v z U $.  $d u v z W $.  $d v s $.
    $d s t y A $.  $d s t y B $.  $d s E $.  $d t F $.  $d t y H $.
    $d s t y .\/ $.  $d t y K $.  $d s t y .<_ $.  $d s t y ./\ $.
    $d s t y P $.  $d s t y Q $.  $d s t y R $.  $d t y U $.  $d s t y W $.
    $d y Y $.  $d t S v y $.  $d s t y T $.
    cdleme40.b $e |- B = ( Base ` K ) $.
    cdleme40.l $e |- .<_ = ( le ` K ) $.
    cdleme40.j $e |- .\/ = ( join ` K ) $.
    cdleme40.m $e |- ./\ = ( meet ` K ) $.
    cdleme40.a $e |- A = ( Atoms ` K ) $.
    cdleme40.h $e |- H = ( LHyp ` K ) $.
    cdleme40.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    $( ` R ` part $)
    cdleme40.e $e |- E
      = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
    cdleme40.g $e |- G
      = ( ( P .\/ Q ) ./\ ( E .\/ ( ( s .\/ t ) ./\ W ) ) ) $.
    cdleme40.i $e |- I = ( iota_ y e. B A. t e. A ( ( -. t .<_ W
      /\ -. t .<_ ( P .\/ Q ) ) -> y = G ) ) $.
    cdleme40.n $e |- N = if ( s .<_ ( P .\/ Q ) , I , D ) $.

    ${
      cdleme40a1.y $e |- Y
          = ( ( P .\/ Q ) ./\ ( E .\/ ( ( R .\/ t ) ./\ W ) ) ) $.
      cdleme40a1.c $e |- C
          = ( iota_ y e. B A. t e. A ( ( -. t .<_ W /\ -. t .<_ (
             P .\/ Q ) ) -> y = Y ) ) $.
      $( ` S ` part $)
      cdleme40.t $e |- T
          = ( ( v .\/ U ) ./\ ( Q .\/ ( ( P .\/ v ) ./\ W ) ) ) $.
      cdleme40.f $e |- F
          = ( ( P .\/ Q ) ./\ ( T .\/ ( ( S .\/ v ) ./\ W ) ) ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  Show that f(x) is
         one-to-one on ` P .\/ Q ` line.  TODO:  FIX COMMENT Use proof idea
         from ~ cdleme32sn1awN .  (Contributed by NM, 18-Mar-2013.) $)
      cdleme40m $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W )
          /\ ( S e. A /\ -. S .<_ W ) )
        /\ ( ( R .<_ ( P .\/ Q ) /\ S .<_ ( P .\/ Q ) /\ R =/= S )
                /\ ( v e. A /\ -. v .<_ W /\ -. v .<_ ( P .\/ Q ) ) ) )
               -> [_ R / s ]_ N =/= F ) $=
        ( chlt wa wbr wn w3a wne co cv csb simp22l simp3l1 cdleme31sn1c syl2anc
        wcel wceq cvv cbs fvexi nfv wi wral crio nfra1 nfcv nfriota nfcxfr nfne
        wnf a1i neeq1 adantl simpl1 simpl2 simpl3l simprl simprrl simprrr jca31
        wb simp3r1 simp3r2 simp3r3 adantr cdleme39n syl113anc ex simp22r simp21
        simp1 cdleme25cl syl122anc simp11 simp12 simp13 cdlemb2 syl121anc mpan2
        wrex riotasv3d eqnetrd ) TVBVOUDQVOVCZHDVOHUDUAVDVEVCZIDVOIUDUAVDVEVCZV
        FZHIVGZJDVOZJUDUAVDVEZVCZKDVOKUDUAVDVEVCZVFZJHISVHZUAVDZKYLUAVDZJKVGZVF
        ZBVIZDVOZYQUDUAVDVEZYQYLUAVDVEZVFZVCZVFZUFJUCVJZFOUUCYGYMUUDFVPYGYHYFYJ
        YEUUBVKZYMYNYOUUAYEYKVLZACDEFGHIJNPRSUAUBUCUDUEUFUOUPUQURUSVMVNUUCEVQVO
        FOVGZETVRUGVSUUCCVIZUDUAVDVEZUUHYLUAVDVEZVCZUEOVGZUUGACEDUEFVQUUCCVTUUG
        CWIUUCCFOCFUUKAVIUEVPWAZCDWBZAEWCZUSUUNCAEUUMCDWDCEWEWFWGCOWEWHWJFUUOVP
        UUCUSWJUEFVPUULUUGWTUUCUEFOWKWLUUCUUHDVOZUUKVCZUULUUCUUQVCZYEYKYPUUPUUI
        VCUUJVCYRYSVCYTVCZUULYEYKUUBUUQWMYEYKUUBUUQWNYPUUAYEYKUUQWOUURUUPUUIUUJ
        UUCUUPUUKWPUUCUUPUUIUUJWQUUCUUPUUIUUJWRWSUUCUUSUUQUUCYRYSYTYRYSYTYPYEYK
        XAYRYSYTYPYEYKXBYRYSYTYPYEYKXCWSXDBCDHIJKMNUEQSTUAUBUDLOUHUIUJUKULUMUNU
        RUTVAXEXFXGUUCYEYGYHYFYMFEVOYEYKUUBXJUUEYGYHYFYJYEUUBXHYEYFYIYJUUBXIZUU
        FADEHIJMNQFSTUAUBUEUDCUGUHUIUJUKULUMUNURUSXKXLUUCYBYCYDYFUUKCDXSYBYCYDY
        KUUBXMYBYCYDYKUUBXNYBYCYDYKUUBXOUUTDHIQSTUAUDCUHUIUKULXPXQXTXRYA $.

      cdleme40a1.x $e |- X
          = ( ( P .\/ Q ) ./\ ( T .\/ ( ( u .\/ v ) ./\ W ) ) ) $.
      cdleme40.o $e |- O
       = ( iota_ z e. B A. v e. A ( ( -. v .<_ W /\ -. v .<_ ( P .\/ Q ) )
                -> z = X ) ) $.
      cdleme40.v $e |- V = if ( u .<_ ( P .\/ Q ) , O , .< ) $.
      cdleme40a1.z $e |- Z
        = ( iota_ z e. B A. v e. A ( ( -. v .<_ W /\ -. v .<_ ( P .\/ Q ) )
           -> z = F ) ) $.
      $d v D $.  $d v I $.  $d v N $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  Show that f(x) is
         one-to-one on ` P .\/ Q ` line.  TODO:  FIX COMMENT. TODO get rid
         of '.<' class?  (Contributed by NM, 18-Mar-2013.) $)
      cdleme40n $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ S .<_ ( P .\/ Q ) /\ R =/= S ) )
               -> [_ R / s ]_ N =/= [_ S / u ]_ V ) $=
        ( chlt wcel wa wbr wn w3a wne co csb cvv cbs fvexi cv nfv wnf nfcv wceq
        wi wral crio nfra1 nfriota nfcxfr nfne a1i neeq2 adantl simpl11 simpl12
        simpl13 simpl21 simpl22 simpl23 simpl3 simprl simprrl simprrr cdleme40m
        wb 3jca syl332anc ex simp23l simp23r simp21 simp32 cdleme25cl syl122anc
        simp1 wrex simp11 simp12 cdlemb2 syl121anc riotasv3d mpan2 cdleme31sn1c
        simp13 syl2anc neeqtrrd ) UCVMVNUITVNVOZJFVNJUIUDVPVQVOZKFVNKUIUDVPVQVO
        ZVRZJKVSZLFVNLUIUDVPVQVOZMFVNZMUIUDVPVQZVOZVRZLJKUBVTZUDVPZMUUCUDVPZLMV
        SZVRZVRZUMLUFWAZULDMUHWAZUUHGWBVNUUIULVSZGUCWCUNWDUUHCWEZUIUDVPVQZUULUU
        CUDVPVQZVOZUUIRVSZUUKBCGFRULWBUUHCWFUUKCWGUUHCUUIULCUUIWHCULUUOBWERWIWJ
        ZCFWKZBGWLZVLUURCBGUUQCFWMCGWHWNWOWPWQULUUSWIUUHVLWQRULWIUUPUUKXKUUHRUL
        UUIWRWSUUHUULFVNZUUOVOZUUPUUHUVAVOZYMYNYOYQYRUUAUUGUUTUUMUUNVRUUPYMYNYO
        UUBUUGUVAWTYMYNYOUUBUUGUVAXAYMYNYOUUBUUGUVAXBYQYRUUAYPUUGUVAXCYQYRUUAYP
        UUGUVAXDYQYRUUAYPUUGUVAXEYPUUBUUGUVAXFUVBUUTUUMUUNUUHUUTUUOXGUUHUUTUUMU
        UNXHUUHUUTUUMUUNXIXLACEFGHIJKLMOPQRSTUAUBUCUDUEUFUIUKUMUNUOUPUQURUSUTVA
        VBVCVDVEVFVGVHXJXMXNUUHYPYSYTYQUUEULGVNYPUUBUUGYAYSYTYQYRYPUUGXOZYSYTYQ
        YRYPUUGXPYPYQYRUUAUUGXQZYPUUBUUDUUEUUFXRZBFGJKMPOTULUBUCUDUERUICUNUOUPU
        QURUSUTVGVHVLXSXTUUHYMYNYOYQUUOCFYBYMYNYOUUBUUGYCYMYNYOUUBUUGYDYMYNYOUU
        BUUGYJUVDFJKTUBUCUDUICUOUPURUSYEYFYGYHUUHYSUUEUUJULWIUVCUVEBCFGULNJKMOU
        JUGUBUDUEUHUIRDVIVJVKVHVLYIYKYL $.
    $}

    cdleme40.d $e |- D
      = ( ( s .\/ U ) ./\ ( Q .\/ ( ( P .\/ s ) ./\ W ) ) ) $.
    cdleme40r.y $e |- Y
        = ( ( u .\/ U ) ./\ ( Q .\/ ( ( P .\/ u ) ./\ W ) ) ) $.
    ${
      $d v z E $.  $d u v N $.  $d u R $.  $d s V $.  $d t y X $.
      $d s t u y z $.
      $( ` R ` part with different bound variables $)
      cdleme40r.t $e |- T
          = ( ( v .\/ U ) ./\ ( Q .\/ ( ( P .\/ v ) ./\ W ) ) ) $.
      cdleme40r.x $e |- X
          = ( ( P .\/ Q ) ./\ ( T .\/ ( ( u .\/ v ) ./\ W ) ) ) $.
      cdleme40r.o $e |- O
          = ( iota_ z e. B A. v e. A ( ( -. v .<_ W /\ -. v .<_ ( P
         .\/ Q ) ) -> z = X ) ) $.
      cdleme40r.v $e |- V = if ( u .<_ ( P .\/ Q ) , O , Y ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  Change bound variables
         in ` [_ S / u ]_ V ` (but we use ` [_ R / u ]_ V ` for convenience
         since we have its hypotheses available).  (Contributed by NM,
         18-Mar-2013.) $)
      cdleme40v $p |- ( R e. A -> [_ R / s ]_ N = [_ R / u ]_ V ) $=
        ( csb wceq wcel cv co wbr cif breq1 wn wa wral crio oveq1 oveq1d oveq2d
        wi syl5eq eqeq2d imbi2d ralbidv riotabidv eqeq1 anbi12d oveq12d 3eqtr4g
        notbid oveq2 eqtr4di imbi12d bitrdi cbvriotavw eqtrdi ifbieq12d cbvcsbv
        cbvralvw a1i ) UHKUBVFDKUDVFVGKFVHUHDKUBUDUHVIZDVIZVGZXBIJRVJZTVKZQHVLX
        CXETVKZUCUGVLUBUDXDXFXGQHUCUGXBXCXETVMXDEVIZUETVKZVNZXHXETVKZVNZVOZAVIZ
        OVGZWAZEFVPZAGVQZCVIZUETVKZVNZXSXETVKZVNZVOZBVIZUFVGZWAZCFVPZBGVQZQUCXD
        XRXMXNXENXCXHRVJZUEUAVJZRVJZUAVJZVGZWAZEFVPZAGVQYIXDXQYPAGXDXPYOEFXDXOY
        NXMXDOYMXNXDOXENXBXHRVJZUEUAVJZRVJZUAVJYMUQXDYSYLXEUAXDYRYKNRXDYQYJUEUA
        XBXCXHRVRVSVTVTWBWCWDWEWFYPYHABGXNYEVGZYPXMYEYMVGZWAZEFVPYHYTYOUUBEFYTY
        NUUAXMXNYEYMWGWDWEUUBYGECFXHXSVGZXMYDUUAYFUUCXJYAXLYCUUCXIXTXHXSUETVMWK
        UUCXKYBXHXSXETVMWKWHUUCYMUFYEUUCYMXELXCXSRVJZUEUAVJZRVJZUAVJUFUUCYLUUFX
        EUAUUCNLYKUUERUUCXHMRVJZJIXHRVJZUEUAVJZRVJZUAVJXSMRVJZJIXSRVJZUEUAVJZRV
        JZUAVJNLUUCUUGUUKUUJUUNUAXHXSMRVRUUCUUIUUMJRUUCUUHUULUEUAXHXSIRWLVSVTWI
        UPVBWJUUCYJUUDUEUAXHXSXCRWLVSWIVTVCWMWCWNWTWOWPWQURVDWJXDXBMRVJZJIXBRVJ
        ZUEUAVJZRVJZUAVJXCMRVJZJIXCRVJZUEUAVJZRVJZUAVJHUGXDUUOUUSUURUVBUAXBXCMR
        VRXDUUQUVAJRXDUUPUUTUEUAXBXCIRWLVSVTWIUTVAWJWRUSVEWJWSXA $.
    $}

    $d v D $.  $d v y z E $.  $d v I $.  $d u v N $.  $d s S $.  $d s u U $.
    $d s t u z y $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Apply ~ cdleme40v bound
       variable change to ` [_ S / u ]_ V ` .  TODO:  FIX COMMENT. (Contributed
       by NM, 19-Mar-2013.) $)
    cdleme40w $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ S .<_ ( P .\/ Q ) /\ R =/= S ) )
               -> [_ R / s ]_ N =/= [_ S / s ]_ N ) $=
      ( vv vz chlt wcel wa wbr wn w3a wne co csb cv wceq wi wral crio cdleme40n
      cif eqid simp23l cdleme40v syl neeqtrrd ) QUSUTUANUTVAGDUTGUARVBVCVAHDUTH
      UARVBVCVAVDZGHVEZIDUTIUARVBVCVAZJDUTZJUARVBVCZVAVDIGHPVFZRVBJWERVBIJVEVDZ
      VDZUCITVGBJBVHZWERVBUQVHZUARVBVCWIWERVBVCVAZURVHZWEWIKPVFHGWIPVFUASVFPVFS
      VFZWHWIPVFUASVFPVFSVFZVIVJUQDVKUREVLZWHKPVFHGWHPVFUASVFPVFSVFZVNZVGZUCJTV
      GZAURUQBCDECVHZUARVBVCWSWERVBVCVAAVHWELIWSPVFUASVFPVFSVFZVIVJCDVKAEVLZFGH
      IJWOWLKLWEWLJWIPVFUASVFPVFSVFZMNOPQRSTWNWPUAWMWTWJWKXBVIVJUQDVKUREVLZUCUD
      UEUFUGUHUIUJUKULUMUNWTVOXAVOWLVOZXBVOWMVOZWNVOZWPVOZXCVOVMWGWCWRWQVIWCWDW
      AWBVTWFVPAURUQBCDEFGHJWLKLMNOPQRSTWNWPUAWMWOUCUDUEUFUGUHUIUJUKULUMUNUOWOV
      OXDXEXFXGVQVRVS $.
  $}

  ${
    cdleme42.b $e |- B = ( Base ` K ) $.
    cdleme42.l $e |- .<_ = ( le ` K ) $.
    cdleme42.j $e |- .\/ = ( join ` K ) $.
    cdleme42.m $e |- ./\ = ( meet ` K ) $.
    cdleme42.a $e |- A = ( Atoms ` K ) $.
    cdleme42.h $e |- H = ( LHyp ` K ) $.
    cdleme42.v $e |- V = ( ( R .\/ S ) ./\ W ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       3-Mar-2013.) $)
    cdleme42a $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( R e. A /\ -. R .<_ W )
             /\ ( S e. A /\ -. S .<_ W ) ) -> ( R .\/ S ) = ( R .\/ V ) ) $=
      ( wcel co chlt wa wbr w3a cp1 cfv wceq eqid lhpjat2 3adant3 oveq2d oveq2i
      simp1l simp2l simp3l hlatjcl syl3anc simp1r lhpbase syl hlatlej1 atmod3i1
      wn syl131anc eqtr2id col hlol olm11 syl2anc 3eqtr3rd ) GUASZKESZUBZCASZCK
      HUCVCZUBZDASZDKHUCVCZUBZUDZCDFTZCKFTZITZWAGUEUFZITZCJFTZWAVTWBWDWAIVMVPWB
      WDUGVSACWDEFGHKMNWDUHZPQUIUJUKVTWFCWAKITZFTZWCJWHCFRULVTVKVNWABSZKBSZCWAH
      UCZWIWCUGVKVLVPVSUMZVMVNVOVSUNZVTVKVNVQWJWMWNVMVPVQVRUOZABFGCDLNPUPUQZVTV
      LWKVKVLVPVSURBEGKLQUSUTVTVKVNVQWLWMWNWOACDFGHMNPVAUQABCFGHIWAKLMNOPVBVDVE
      VTGVFSZWJWEWAUGVTVKWQWMGVGUTWPBWDGIWALOWGVHVIVJ $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  Match ` -. x .<_ W ` .
       (Contributed by NM, 6-Mar-2013.) $)
    cdleme42c $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( R e. A /\ -. R .<_ W )
             /\ ( S e. A /\ -. S .<_ W ) )
               -> -. ( R .\/ V ) .<_ W ) $=
      ( wcel wa chlt wbr wn w3a co simp2r wb simp1l hllatd simp2l atbase simp3l
      clat syl hlatjcl syl3anc simp1r lhpbase latmcl eqeltrid latjle12 syl13anc
      simpl syl6bir mtod ) GUASZKESZTZCASZCKHUBZUCZTZDASZDKHUBUCZTZUDZCJFUEKHUB
      ZVJVHVIVKVOUFVPVQVJJKHUBZTZVJVPGUMSZCBSZJBSKBSZVSVQUGVPGVFVGVLVOUHZUIZVPV
      IWAVHVIVKVOUJZABCGLPUKUNVPJCDFUEZKIUEZBRVPVTWFBSZWBWGBSWDVPVFVIVMWHWCWEVH
      VLVMVNULABFGCDLNPUOUPVPVGWBVFVGVLVOUQBEGKLQURUNZBGIWFKLOUSUPUTWIBFGHCJKLM
      NVAVBVJVRVCVDVE $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  Match
       ` ( s .\/ ( x ./\ W ) ) = x ` .  (Contributed by NM, 6-Mar-2013.) $)
    cdleme42d $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( R e. A /\ -. R .<_ W )
             /\ ( S e. A /\ -. S .<_ W ) )
               -> ( R .\/ ( ( R .\/ V ) ./\ W ) ) = ( R .\/ V ) ) $=
      ( wcel co chlt wa wbr wn w3a oveq2i cdleme42a oveq1d oveq2d eqtr2id ) GUA
      SKESUBCASCKHUCUDUBDASDKHUCUDUBUEZCJFTZCCDFTZKITZFTCULKITZFTJUNCFRUFUKUNUO
      CFUKUMULKIABCDEFGHIJKLMNOPQRUGUHUIUJ $.
  $}

  ${
    cdleme41.b $e |- B = ( Base ` K ) $.
    cdleme41.l $e |- .<_ = ( le ` K ) $.
    cdleme41.j $e |- .\/ = ( join ` K ) $.
    cdleme41.m $e |- ./\ = ( meet ` K ) $.
    cdleme41.a $e |- A = ( Atoms ` K ) $.
    cdleme41.h $e |- H = ( LHyp ` K ) $.
    cdleme41.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdleme41.d $e |- D
      = ( ( s .\/ U ) ./\ ( Q .\/ ( ( P .\/ s ) ./\ W ) ) ) $.
    cdleme41.e $e |- E
      = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
    cdleme41.g $e |- G
      = ( ( P .\/ Q ) ./\ ( E .\/ ( ( s .\/ t ) ./\ W ) ) ) $.
    cdleme41.i $e |- I
       = ( iota_ y e. B A. t e. A ( ( -. t .<_ W /\ -. t .<_ ( P
      .\/ Q ) ) -> y = G ) ) $.
    cdleme41.n $e |- N = if ( s .<_ ( P .\/ Q ) , I , D ) $.
    $( TODO consolidate $ds $)
    $d s u A $.  $d s u .\/ $.  $d s u .<_ $.  $d s u ./\ $.  $d u N $.
    $d s u P $.  $d s u Q $.  $d s R $.  $d s u S $.  $d s u U $.  $d s W $.
    $d t y A $.  $d s t y u B $.  $d y D $.  $d y G $.  $d s y E $.
    $d s t y H $.  $d t y .\/ $.  $d s t y K $.  $d t y .<_ $.  $d t y ./\ $.
    $d t y P $.  $d t y Q $.  $d t y R $.  $d t y S $.  $d t y U $.
    $d t y u W $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Show that f(r) is
       different on and off the ` P .\/ Q ` line.  TODO:  FIX COMMENT.
       (Contributed by NM, 18-Mar-2013.) $)
    cdleme41sn3aw $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) /\ R =/= S ) )
               -> [_ R / s ]_ N =/= [_ S / s ]_ N ) $=
      ( chlt wcel wa wbr wn w3a wne co csb simp1 simp21 simp22 simp31 wceq wral
      cv wi crio eqid cdleme41sn3a syl121anc simp23 simp32 cdleme35sn3a syl2anc
      nbrne2 ) PUNUOTMUOUPFCUOFTQUQURUPGCUOGTQUQURUPUSZFGUTZHCUOHTQUQURUPZICUOI
      TQUQURUPZUSZHFGOVAZQUQZIWEQUQURZHIUTZUSZUSZUAHSVBZWEQUQZUAISVBZWEQUQURZWK
      WMUTWJVTWAWBWFWLVTWDWIVCZVTWAWBWCWIVDZVTWAWBWCWIVEVTWDWFWGWHVFABCDEKFGHJL
      MNOPQRSTWEKHBVIZOVATRVAOVARVAZWQTQUQURWQWEQUQURUPAVIWRVGVJBCVHADVKZUAUBUC
      UDUEUFUGUHUIUJUKULUMWRVLWSVLVMVNWJVTWAWCWGWNWOWPVTWAWBWCWIVOVTWDWFWGWHVPC
      DEFGIJMNOPQRSTUAUBUCUDUEUFUGUHUIUMVQVNWKWMWEQVSVR $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  Show that f(r) is for on
       and off ` P .\/ Q ` line.  TODO:  FIX COMMENT. (Contributed by NM,
       19-Mar-2013.) $)
    cdleme41sn4aw $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( -. R .<_ ( P .\/ Q ) /\ S .<_ ( P .\/ Q ) /\ R =/= S ) )
               -> [_ R / s ]_ N =/= [_ S / s ]_ N ) $=
      ( chlt wcel wa wbr wn w3a wne co simp1 simp21 simp23 simp22 simp32 simp31
      csb simp33 necomd cdleme41sn3aw syl133anc ) PUNUOTMUOUPFCUOFTQUQURUPGCUOG
      TQUQURUPUSZFGUTZHCUOHTQUQURUPZICUOITQUQURUPZUSZHFGOVAZQUQURZIVRQUQZHIUTZU
      SZUSZUAISVHZUAHSVHZWCVMVNVPVOVTVSIHUTWDWEUTVMVQWBVBVMVNVOVPWBVCVMVNVOVPWB
      VDVMVNVOVPWBVEVMVQVSVTWAVFVMVQVSVTWAVGWCHIVMVQVSVTWAVIVJABCDEFGIHJKLMNOPQ
      RSTUAUBUCUDUEUFUGUHUIUJUKULUMVKVLVJ $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  Show that f(r) is for
       combined cases; compare ~ cdleme32snaw .  TODO:  FIX COMMENT.
       (Contributed by NM, 18-Mar-2013.) $)
    cdleme41snaw $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ R =/= S )
               -> [_ R / s ]_ N =/= [_ S / s ]_ N ) $=
      ( vu chlt wcel wa wbr wn w3a wne co simpl1 simpl21 simpl22 simpl23 simprl
      csb simprr simpl3 cv eqid cdleme40w syl133anc cdleme41sn3aw cdleme41sn4aw
      cdleme35sn2aw 4casesdan ) PUOUPTMUPUQFCUPFTQURUSUQGCUPGTQURUSUQUTZFGVAZHC
      UPHTQURUSUQZICUPITQURUSUQZUTZHIVAZUTZHFGOVBZQURZIWFQURZUAHSVHUAISVHVAZWEW
      GWHUQZUQVSVTWAWBWGWHWDWIVSWCWDWJVCVTWAWBVSWDWJVDVTWAWBVSWDWJVEVTWAWBVSWDW
      JVFWEWGWHVGWEWGWHVIVSWCWDWJVJAUNBCDEFGHIJKLMNOPQRSTUNVKZJOVBGFWKOVBTRVBOV
      BRVBZUAUBUCUDUEUFUGUHUJUKULUMUIWLVLVMVNWEWGWHUSZUQZUQVSVTWAWBWGWMWDWIVSWC
      WDWNVCVTWAWBVSWDWNVDVTWAWBVSWDWNVEVTWAWBVSWDWNVFWEWGWMVGWEWGWMVIVSWCWDWNV
      JABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVOVNWEWGUSZWHUQZUQVSVTWAWB
      WOWHWDWIVSWCWDWPVCVTWAWBVSWDWPVDVTWAWBVSWDWPVEVTWAWBVSWDWPVFWEWOWHVGWEWOW
      HVIVSWCWDWPVJABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVPVNWEWOWMUQZU
      QVSVTWAWBWOWMWDWIVSWCWDWQVCVTWAWBVSWDWQVDVTWAWBVSWDWQVEVTWAWBVSWDWQVFWEWO
      WMVGWEWOWMVIVSWCWDWQVJCDEFGHIJMNOPQRSTUAUBUCUDUEUFUGUHUIUMVQVNVR $.

    $d x z A $.  $d x z B $.  $d y D $.  $d z E $.  $d y G $.  $d s z H $.
    $d x z .\/ $.  $d s z K $.  $d x z .<_ $.  $d x z ./\ $.  $d x z N $.
    $d x z P $.  $d x z Q $.  $d x z R $.  $d x z S $.  $d x z U $.
    $d x z W $.  $d s t x y z $.
    cdleme41.o $e |- O = ( iota_ z e. B A. s e. A
       ( ( -. s .<_ W /\ ( s .\/ ( x ./\ W ) ) = x )
         -> z = ( N .\/ ( x ./\ W ) ) ) ) $.
    cdleme41.f $e |- F = ( x e. B
                         |-> if ( ( P =/= Q /\ -. x .<_ W ) , O , x ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  Show that f(r) is
       one-to-one for r in W (r an atom not under w).  TODO:  FIX COMMENT.
       (Contributed by NM, 19-Mar-2013.) $)
    cdleme41fva11 $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ R =/= S )
    -> ( F ` R ) =/= ( F ` S ) ) $=
      ( chlt wcel wa wbr w3a wne csb cfv cdleme41snaw simp1 simp22 cdleme32fva1
      wn wceq simp21 syl3anc simp23 3netr4d ) SUTVAUDPVAVBHEVAHUDTVCVLVBIEVAIUD
      TVCVLVBVDZHIVEZJEVAJUDTVCVLVBZKEVAKUDTVCVLVBZVDZJKVEZVDZUEJUBVFZUEKUBVFZJ
      NVGZKNVGZBDEFGHIJKLMOPQRSTUAUBUDUEUFUGUHUIUJUKULUMUNUOUPUQVHWDVRVTVSWGWEV
      MVRWBWCVIZVRVSVTWAWCVJVRVSVTWAWCVNZABCDEFGMHIJLONPQRSTUAUBUCUDUEUFUGUHUIU
      JUKULUMUNUOUPUQURUSVKVOWDVRWAVSWHWFVMWIVRVSVTWAWCVPWJABCDEFGMHIKLONPQRSTU
      AUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSVKVOVQ $.

    $d s t x z X $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
       6-Mar-2013.) $)
    cdleme42b $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( X e. B /\ ( P =/= Q /\ -. X .<_ W ) )
           /\ ( ( R e. A /\ -. R .<_ W ) /\ ( R .\/ ( X ./\ W ) ) = X ) )
       -> ( F ` X ) = ( [_ R / s ]_ N .\/ ( X ./\ W ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne wceq cvv cfv csb cbs fvexi nfv wnfc nfcsb1v
      co cv nfcv nfov a1i nfvd wi wral crio eqid cdleme31fv1 3ad2ant2 wb notbid
      breq1 eqeq1d anbi12d adantl csbeq1a oveq1d simp2l syl2anc simp3ll simp3lr
      oveq1 simp1 cdleme32fvcl simp3r jca riotasv2d mpan2 ) RUTVAUCOVAVBHEVAHUC
      SVCVDVBIEVAIUCSVCVDVBVEZUDFVAZHIVFUDUCSVCVDVBZVBZJEVAZJUCSVCZVDZVBZJUDUCT
      VPZQVPZUDVGZVBZVEZFVHVAUDMVIZUEJUAVJZXOQVPZVGFRVKUFVLXSUEVQZUCSVCZVDZYCXO
      QVPZUDVGZVBZXMXQVBZCUEFEUAXOQVPZXTJYBVHXSUEVMUEYBVNXSUEYAXOQUEJUAVOUEQVRU
      EXOVRVSVTXSYIUEWAXJXGXTYHCVQYJVGWBUEEWCCFWDZVGXRACEFYKHIMQSTUAUBUCUDUEURU
      SYKWEWFWGYCJVGZYHYIWHXSYLYEXMYGXQYLYDXLYCJUCSWJWIYLYFXPUDYCJXOQWTWKWLWMYL
      YJYBVGXSYLUAYAXOQUEJUAWNWOWMXSXGXHXTFVAXGXJXRXAXGXHXIXRWPABCDEFGLHIKNMOPQ
      RSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSXBWQXKXMXQXGXJWRXSXMXQXKXMXQXGXJ
      WSXGXJXNXQXCXDXEXF $.

    ${
      $d s V $.  $d t V $.  $d x V $.  $d z V $.
      cdleme34e.v $e |- V = ( ( R .\/ S ) ./\ W ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
         8-Mar-2013.) $)
      cdleme42e $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
           /\ P =/= Q )
            -> ( F ` ( R .\/ V ) )
                 = ( [_ R / s ]_ N .\/ ( ( R .\/ V ) ./\ W ) ) ) $=
        ( chlt wcel wa wbr wn w3a wne co wceq cfv csb simp1 clat simp11l hllatd
        simp2ll atbase syl simp11 simp2rl cdleme0aa syl3anc latjcl simp3 simp2l
        simp2r cdleme42c jca cdleme42d cdleme42b syl122anc ) SVBVCZUEPVCZVDZHEV
        CHUETVEVFVDZIEVCIUETVEVFVDZVGZJEVCZJUETVEVFZVDZKEVCZKUETVEVFZVDZVDZHIVH
        ZVGZWRJUDRVIZFVCZXFXHUETVEVFZVDXAJXHUEUAVIZRVIXHVJZXHNVKUFJUBVLXKRVIVJW
        RXEXFVMXGSVNVCJFVCZUDFVCZXIXGSWMWNWPWQXEXFVOVPXGWSXMWSWTXDWRXFVQZEFJSUG
        UKVRVSXGWOWSXBXNWOWPWQXEXFVTZXOXBXCXAWRXFWAEFJKUDPRSTUAUEUHUIUJUKULVAUG
        WBWCFRSJUDUGUIWDWCXGXFXJWRXEXFWEXGWOXAXDXJXPWRXAXDXFWFZWRXAXDXFWGZEFJKP
        RSTUAUDUEUGUHUIUJUKULVAWHWCWIXQXGWOXAXDXLXPXQXREFJKPRSTUAUDUEUGUHUIUJUK
        ULVAWJWCABCDEFGHIJLMNOPQRSTUAUBUCUEXHUFUGUHUIUJUKULUMUNUOUPUQURUSUTWKWL
        $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
         8-Mar-2013.) $)
      cdleme42f $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
           /\ P =/= Q )
              -> ( F ` ( R .\/ V ) ) = ( ( F ` R ) .\/ V ) ) $=
        ( chlt wcel wa wbr w3a wne cfv csb cdleme42e wceq cdleme32fva1 3adant2r
        wn simp11 simp2l simp2r cdleme42a syl3anc oveq1d syl5eq oveq12d eqtr4d
        co ) SVBVCUEPVCVDZHEVCHUETVEVNVDZIEVCIUETVEVNVDZVFZJEVCJUETVEVNVDZKEVCK
        UETVEVNVDZVDZHIVGZVFZJUDRWDZNVHUFJUBVIZWNUEUAWDZRWDJNVHZUDRWDABCDEFGHIJ
        KLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVJWMWQWOUDWPRWHWIWL
        WQWOVKWJABCDEFGMHIJLONPQRSTUAUBUCUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVLVMWM
        UDJKRWDZUEUAWDWPVAWMWRWNUEUAWMWEWIWJWRWNVKWEWFWGWKWLVOWHWIWJWLVPWHWIWJW
        LVQEFJKPRSTUAUDUEUGUHUIUJUKULVAVRVSVTWAWBWC $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
         8-Mar-2013.) $)
      cdleme42g $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
           /\ P =/= Q )
              -> ( F ` ( R .\/ S ) ) = ( ( F ` R ) .\/ V ) ) $=
        ( chlt wcel wa wbr wn w3a wne co simp11 simp2l simp2r cdleme42a syl3anc
        cfv wceq fveq2d cdleme42f eqtrd ) SVBVCUEPVCVDZHEVCHUETVEVFVDZIEVCIUETV
        EVFVDZVGZJEVCJUETVEVFVDZKEVCKUETVEVFVDZVDZHIVHZVGZJKRVIZNVOJUDRVIZNVOJN
        VOUDRVIWHWIWJNWHVTWDWEWIWJVPVTWAWBWFWGVJWCWDWEWGVKWCWDWEWGVLEFJKPRSTUAU
        DUEUGUHUIUJUKULVAVMVNVQABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUN
        UOUPUQURUSUTVAVRVS $.

      $d s t x y z S $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
         8-Mar-2013.) $)
      cdleme42h $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
           /\ P =/= Q )
              -> ( F ` S ) .<_ ( ( F ` R ) .\/ V ) ) $=
        ( chlt wcel wa wbr wn w3a wne cfv co clat simp11l hllatd simp2rl atbase
        syl cdleme32fvcl syl2anc simp2ll hlatjcl syl3anc simp11r lhpbase latmcl
        simp1 eqeltrid latlej1 wceq hlatjcom oveq1d syl5eq oveq2d simp2r simp2l
        simp3 eqid cdleme42g syl121anc eqtr4d fveq2d 3eqtr2d breqtrd ) SVBVCZUE
        PVCZVDHEVCHUETVEVFVDZIEVCIUETVEVFVDZVGZJEVCZJUETVEVFZVDZKEVCZKUETVEVFZV
        DZVDZHIVHZVGZKNVIZXQUDRVJZJNVIUDRVJZTXPSVKVCZXQFVCZUDFVCXQXRTVEXPSXCXDX
        EXFXNXOVLZVMZXPXGKFVCZYAXGXNXOWEZXPXKYDXKXLXJXGXOVNZEFKSUGUKVOVPABCDEFG
        MHILONPQRSTUAUBUCUEKUFUGUHUIUJUKULUMUNUOUPUQURUSUTVQVRXPUDJKRVJZUEUAVJZ
        FVAXPXTYGFVCZUEFVCZYHFVCYCXPXCXHXKYIYBXHXIXMXGXOVSZYFEFRSJKUGUIUKVTWAXP
        XDYJXCXDXEXFXNXOWBFPSUEUGULWCVPFSUAYGUEUGUJWDWAWFFRSTXQUDUGUHUIWGWAXPXR
        KJRVJZNVIZYGNVIXSXPXRXQYLUEUAVJZRVJZYMXPUDYNXQRXPUDYHYNVAXPYGYLUEUAXPXC
        XHXKYGYLWHYBYKYFERSJKUIUKWIWAZWJWKWLXPXGXMXJXOYMYOWHYEXGXJXMXOWMXGXJXMX
        OWNXGXNXOWOABCDEFGHIKJLMNOPQRSTUAUBUCYNUEUFUGUHUIUJUKULUMUNUOUPUQURUSUT
        YNWPWQWRWSXPYGYLNYPWTABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUO
        UPUQURUSUTVAWQXAXB $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  (Contributed by NM,
         8-Mar-2013.) $)
      cdleme42i $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
           /\ P =/= Q )
              -> ( ( F ` R ) .\/ ( F ` S ) ) .<_ ( ( F ` R ) .\/ V ) ) $=
        ( chlt wcel wa wbr wn w3a wne cfv co clat simp11l hllatd simp2ll atbase
        syl cdleme32fvcl syl2anc simp2rl hlatjcl syl3anc simp11r lhpbase latmcl
        simp1 eqeltrid latlej1 cdleme42h wb latjcl latjle12 syl13anc mpbi2and )
        SVBVCZUEPVCZVDHEVCHUETVEVFVDZIEVCIUETVEVFVDZVGZJEVCZJUETVEVFZVDZKEVCZKU
        ETVEVFZVDZVDZHIVHZVGZJNVIZXHUDRVJZTVEZKNVIZXITVEZXHXKRVJXITVEZXGSVKVCZX
        HFVCZUDFVCZXJXGSWNWOWPWQXEXFVLZVMZXGWRJFVCZXOWRXEXFWEZXGWSXSWSWTXDWRXFV
        NZEFJSUGUKVOVPABCDEFGMHILONPQRSTUAUBUCUEJUFUGUHUIUJUKULUMUNUOUPUQURUSUT
        VQVRZXGUDJKRVJZUEUAVJZFVAXGXNYCFVCZUEFVCZYDFVCXRXGWNWSXBYEXQYAXBXCXAWRX
        FVSZEFRSJKUGUIUKVTWAXGWOYFWNWOWPWQXEXFWBFPSUEUGULWCVPFSUAYCUEUGUJWDWAWF
        ZFRSTXHUDUGUHUIWGWAABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUP
        UQURUSUTVAWHXGXNXOXKFVCZXIFVCZXJXLVDXMWIXRYBXGWRKFVCZYIXTXGXBYKYGEFKSUG
        UKVOVPABCDEFGMHILONPQRSTUAUBUCUEKUFUGUHUIUJUKULUMUNUOUPUQURUSUTVQVRXGXN
        XOXPYJXRYBYHFRSXHUDUGUIWJWAFRSTXHXKXIUGUHUIWKWLWM $.

      $d s t x z V $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  Since F ' S =/= F'R
         when S =/= R (i.e. 1-1); then ( ( F ' R ) .\/ ( F ' S ) ) is 2-dim
         therefore = ( ( F ' R ) .\/ V ) by ~ cdleme42i and ~ ps-1 TODO:  FIX
         COMMENT. (Contributed by NM, 20-Mar-2013.) $)
      cdleme42k $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ R =/= S )
             -> ( ( F ` R ) .\/ ( F ` S ) ) = ( ( F ` R ) .\/ V ) ) $=
        ( chlt wcel wa wbr wn w3a wne cfv co wceq simp1 simp22 simp23 cdleme42i
        simp21 syl121anc wb simp11l cdleme32fvaw simpld syl2anc simp11r simp22l
        cdleme41fva11 simp22r simp23l simp3 cdleme0a syl222anc syl132anc mpbid
        ps-1 ) SVBVCZUEPVCZVDHEVCHUETVEVFVDZIEVCIUETVEVFVDZVGZHIVHZJEVCZJUETVEV
        FZVDZKEVCZKUETVEVFZVDZVGZJKVHZVGZJNVIZKNVIZRVJZXIUDRVJZTVEZXKXLVKZXHWRX
        BXEWSXMWRXFXGVLZWRWSXBXEXGVMZWRWSXBXEXGVNZWRWSXBXEXGVPABCDEFGHIJKLMNOPQ
        RSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVOVQXHWNXIEVCZXJEVCZXIXJVH
        XRUDEVCZXMXNVRWNWOWPWQXFXGVSZXHWRXBXRXOXPWRXBVDXRXIUETVEVFABCDEFGMHIJLO
        NPQRSTUAUBUCUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVTWAWBZXHWRXEXSXOXQWRXEVDXS
        XJUETVEVFABCDEFGMHIKLONPQRSTUAUBUCUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVTWAW
        BABCDEFGHIJKLMNOPQRSTUAUBUCUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTWEYBXHWNWOWT
        XAXCXGXTYAWNWOWPWQXFXGWCWTXAWSXEWRXGWDWTXAWSXEWRXGWFXCXDWSXBWRXGWGWRXFX
        GWHEJKUDPRSTUAUEUHUIUJUKULVAWIWJEXIXJXIUDRSTUHUIUKWMWKWL $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  Remove ` R =/= S `
         condition.  TODO:  FIX COMMENT. (Contributed by NM, 2-Apr-2013.) $)
      cdleme42ke $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) ) )
            -> ( ( F ` R ) .\/ ( F ` S ) ) = ( ( F ` R ) .\/ V ) ) $=
        ( chlt wcel wa wbr wn w3a wne cfv co simpl1l simpr2 cdleme32fvaw syldan
        wceq simpld hlatjidm syl2anc oveq2d sylan9req cp0 simpr2l oveq1d simpl1
        fveq2 eqid lhpmat eqtrd col atbase olj01 oveq2 eqtr4di eqtr3d cdleme42k
        hlol syl 3expa pm2.61dane ) SVBVCZUEPVCZVDZHEVCHUETVEVFVDZIEVCIUETVEVFV
        DZVGZHIVHZJEVCZJUETVEVFZVDZKEVCKUETVEVFVDZVGZVDZJNVIZKNVIZRVJZXMUDRVJZV
        OZJKXLJKVOZVDXMXOXPXLXRXMXMXMRVJZXOXLWTXMEVCZXSXMVOWTXAXCXDXKVKZXLXTXMU
        ETVEVFZXEXKXIXTYBVDXEXFXIXJVLZABCDEFGMHIJLONPQRSTUAUBUCUEUFUGUHUIUJUKUL
        UMUNUOUPUQURUSUTVMVNVPZERSXMUIUKVQVRXRXMXNXMRJKNWEVSVTXLXRXMXMJJRVJZUEU
        AVJZRVJZXPXLYGXMSWAVIZRVJZXMXLYFYHXMRXLYFJUEUAVJZYHXLYEJUEUAXLWTXGYEJVO
        YAXGXHXFXJXEWBERSJUIUKVQVRWCXLXBXIYJYHVOXBXCXDXKWDYCEJPSTUAUEYHUHUJYHWF
        ZUKULWGVRWHVSXLSWIVCZXMFVCZYIXMVOXLWTYLYASWPWQXLXTYMYDEFXMSUGUKWJWQFRSX
        MYHUGUIYKWKVRWHXRYFUDXMRXRYFJKRVJZUEUAVJUDXRYEYNUEUAJKJRWLWCVAWMVSVTWNX
        EXKJKVHXQABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVA
        WOWRWS $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  Remove ` P =/= Q `
         condition.  TODO:  FIX COMMENT. TODO:  Use instead of ~ cdleme42ke and
         even combine with it?  (Contributed by NM, 22-Apr-2013.) $)
      cdleme42keg $p |- ( ( ( ( K e. HL /\ W e. H )
               /\ ( P e. A /\ -. P .<_ W )
               /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) ) )
                -> ( ( F ` R ) .\/ ( F ` S ) ) = ( ( F ` R ) .\/ V ) ) $=
        ( chlt wcel wa wbr wn w3a cfv co wceq simpll1 simplrl simplrr cdleme42a
        syl3anc simprll atbase syl cdleme31id sylan simprrl oveq12d 3eqtr4d wne
        oveq1d simpll simpr cdleme42ke syl13anc pm2.61dane ) SVBVCUEPVCVDZHEVCH
        UETVEVFVDZIEVCIUETVEVFVDZVGZJEVCZJUETVEVFZVDZKEVCZKUETVEVFZVDZVDZVDZJNV
        HZKNVHZRVIZXCUDRVIZVJZHIXBHIVJZVDZJKRVIZJUDRVIZXEXFXIWKWQWTXJXKVJWKWLWM
        XAXHVKWNWQWTXHVLWNWQWTXHVMEFJKPRSTUAUDUEUGUHUIUJUKULVAVNVOXIXCJXDKRXBJF
        VCZXHXCJVJXBWOXLWNWOWPWTVPEFJSUGUKVQVRAFHINTUCUEJUTVSVTZXBKFVCZXHXDKVJX
        BWRXNWNWQWRWSWAEFKSUGUKVQVRAFHINTUCUEKUTVSVTWBXIXCJUDRXMWEWCXBHIWDZVDWN
        XOWQWTXGWNXAXOWFXBXOWGWNWQWTXOVLWNWQWTXOVMABCDEFGHIJKLMNOPQRSTUAUBUCUDU
        EUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAWHWIWJ $.
    $}

    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT . f
       preserves join: f(r ` \/ ` s) = f(r) ` \/ ` s, p. 115 10th line from
       bottom.  (Contributed by NM, 20-Mar-2013.)
       (New usage is discouraged.) $)
    cdleme42mN $p |- ( ( ( ( K e. HL /\ W e. H )
         /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) ) )
          -> ( F ` ( R .\/ S ) ) = ( ( F ` R ) .\/ ( F ` S ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne co cfv wceq simpl simpr2 simpr3 simpr1 eqid
      cdleme42g syl121anc cdleme42ke eqtr4d ) SUTVAUDPVAVBHEVAHUDTVCVDVBIEVAIUD
      TVCVDVBVEZHIVFZJEVAJUDTVCVDVBZKEVAKUDTVCVDVBZVEZVBZJKRVGZNVHZJNVHZWEUDUAV
      GZRVGZWGKNVHRVGWDVSWAWBVTWFWIVIVSWCVJVSVTWAWBVKVSVTWAWBVLVSVTWAWBVMABCDEF
      GHIJKLMNOPQRSTUAUBUCWHUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSWHVNZVOVPABCDEFGHIJ
      KLMNOPQRSTUAUBUCWHUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSWJVQVR $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT . f
       preserves join: f(r ` \/ ` s) = f(r) ` \/ ` s, p. 115 10th line from
       bottom.  TODO:  Use instead of ~ cdleme42mN ?  Combine with
       ~ cdleme42mN ?  (Contributed by NM, 20-Mar-2013.)
       (New usage is discouraged.) $)
    cdleme42mgN $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) ) )
              -> ( F ` ( R .\/ S ) ) = ( ( F ` R ) .\/ ( F ` S ) ) ) $=
      ( chlt wcel wa wbr wn w3a cfv wceq clat simpl1l hllatd simprll atbase syl
      co simprrl latjcl cdleme31id sylan 3ad2antl2 3ad2antl3 oveq12d eqtr4d wne
      3jca simpll simpr simplrl simplrr cdleme42mN syl13anc pm2.61dane ) SUTVAZ
      UDPVAZVBHEVAHUDTVCVDVBZIEVAIUDTVCVDVBZVEZJEVAZJUDTVCVDZVBZKEVAZKUDTVCVDZV
      BZVBZVBZJKRVNZNVFZJNVFZKNVFZRVNZVGZHIXDSVHVAZJFVAZKFVAZVEZHIVGZXJXDXKXLXM
      XDSWLWMWNWOXCVIVJXDWQXLWPWQWRXBVKEFJSUFUJVLVMXDWTXMWPWSWTXAVOEFKSUFUJVLVM
      WDXNXOVBZXFXEXIXNXEFVAXOXFXEVGFRSJKUFUHVPAFHINTUCUDXEUSVQVRXPXGJXHKRXLXKX
      OXGJVGXMAFHINTUCUDJUSVQVSXMXKXOXHKVGXLAFHINTUCUDKUSVQVTWAWBVRXDHIWCZVBWPX
      QWSXBXJWPXCXQWEXDXQWFWPWSXBXQWGWPWSXBXQWHABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUF
      UGUHUIUJUKULUMUNUOUPUQURUSWIWJWK $.
  $}

  ${
    cdleme43.b $e |- B = ( Base ` K ) $.
    cdleme43.l $e |- .<_ = ( le ` K ) $.
    cdleme43.j $e |- .\/ = ( join ` K ) $.
    cdleme43.m $e |- ./\ = ( meet ` K ) $.
    cdleme43.a $e |- A = ( Atoms ` K ) $.
    cdleme43.h $e |- H = ( LHyp ` K ) $.
    cdleme43.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    cdleme43.x $e |- X = ( ( Q .\/ P ) ./\ W ) $.
    $( ` C ` is f(s) $)
    cdleme43.c $e |- C
      = ( ( S .\/ U ) ./\ ( Q .\/ ( ( P .\/ S ) ./\ W ) ) ) $.
    $( ` Z ` is f(r)=f_s(r) $)
    cdleme43.f $e |- Z
      = ( ( P .\/ Q ) ./\ ( C .\/ ( ( R .\/ S ) ./\ W ) ) ) $.
    $( ` D ` is g(s) $)
    cdleme43.d $e |- D
      = ( ( S .\/ X ) ./\ ( P .\/ ( ( Q .\/ S ) ./\ W ) ) ) $.
    $( ` G ` is g(f(r))=g_s(f_s(r)) $)
    cdleme43.g $e |- G
      = ( ( Q .\/ P ) ./\ ( D .\/ ( ( Z .\/ S ) ./\ W ) ) ) $.
    $( ` E ` is f(g(s)) $)
    cdleme43.e $e |- E
      = ( ( D .\/ U ) ./\ ( Q .\/ ( ( P .\/ D ) ./\ W ) ) ) $.
    $( ` V ` is v_1 $)
    cdleme43.v $e |- V = ( ( Z .\/ S ) ./\ W ) $.
    $( ` Y ` is v_2 $)
    cdleme43.y $e |- Y = ( ( R .\/ D ) ./\ W ) $.
    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT p. 115
       penultimate line: g(f(r)) = (p v q) ^ (g(s) v v_1).  (Contributed by NM,
       20-Mar-2013.)  (New usage is discouraged.) $)
    cdleme43aN $p |- ( ( K e. HL /\ P e. A /\ Q e. A )
              -> G = ( ( P .\/ Q ) ./\ ( D .\/ V ) ) ) $=
      ( chlt wcel w3a co hlatjcom wceq oveq2i a1i oveq12d eqtr4id ) NUQUREAURFA
      URUSZKFEMUTZDUAHMUTRPUTZMUTZPUTEFMUTZDQMUTZPUTUMVGVKVHVLVJPAMNEFUDUFVAVLV
      JVBVGQVIDMUOVCVDVEVF $.

    $( Lemma for Lemma E in [Crawley] p. 113. g(s) is an atom not under w.
       (Contributed by NM, 20-Mar-2013.)  (New usage is discouraged.) $)
    cdleme43bN $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( P =/= Q /\ ( S e. A /\ -. S .<_ W ) )
        /\ -. S .<_ ( P .\/ Q ) )
       -> ( D e. A /\ -. D .<_ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne co simp11 simp13 simp12 simp2r simp2l simp3
      necomd simp11l simp12l simp13l hlatjcom syl3anc mtbid cdleme3fa syl132anc
      wceq breq2d cdleme3 jca ) NUQURZRLURZUSZEAURZEROUTVAZUSZFAURZFROUTVAZUSZV
      BZEFVCZHAURHROUTVAUSZUSZHEFMVDZOUTZVAZVBZDAURZDROUTVAZWTWFWLWIWOFEVCZHFEM
      VDZOUTZVAZXAWFWIWLWPWSVEZWFWIWLWPWSVFZWFWIWLWPWSVGZWMWNWOWSVHZWTEFWMWNWOW
      SVIVKZWTWRXEWMWPWSVJWTWQXDHOWTWDWGWJWQXDVTWDWEWIWLWPWSVLWGWHWFWLWPWSVMWJW
      KWFWIWPWSVNAMNEFUDUFVOVPWAVQZAFEHSDLMNOPRUCUDUEUFUGUIULVRVSWTWFWLWIWOXCXF
      XBXGXHXIXJXKXLAFEHSDLMNOPRUCUDUEUFUGUIULWBVSWC $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT p. 115
       last line: r v g(s) = r v v_2.  (Contributed by NM, 20-Mar-2013.)
       (New usage is discouraged.) $)
    cdleme43cN $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ -. S .<_ ( P .\/ Q ) )
              -> ( R .\/ D ) = ( R .\/ Y ) ) $=
      ( chlt wcel wa wbr wn w3a co wceq simp11 simp22 simp1 simp21 simp23 simp3
      wne cdleme43bN syl121anc cdleme42a syl3anc ) NUQURRLURUSZEAUREROUTVAUSZFA
      URFROUTVAUSZVBZEFVKZGAURGROUTVAUSZHAURHROUTVAUSZVBZHEFMVCOUTVAZVBZVPWADAU
      RDROUTVAUSZGDMVCGTMVCVDVPVQVRWCWDVEVSVTWAWBWDVFWEVSVTWBWDWFVSWCWDVGVSVTWA
      WBWDVHVSVTWAWBWDVIVSWCWDVJABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMU
      NUOUPVLVMABGDLMNOPTRUBUCUDUEUFUGUPVNVO $.

    $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT p. 116
       2nd line: f(r) v s = f(r) v f(g(s)).  (Contributed by NM, 20-Mar-2013.)
       (New usage is discouraged.) $)
    cdleme43dN $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
              -> ( Z .\/ S ) = ( Z .\/ E ) ) $=
      ( chlt wcel wa wbr wn w3a wne co simp11l simp12l simp13l hlatjcom syl3anc
      wceq oveq1d oveq2d simp11 simp13 simp12 simp21 necomd simp23 simp3r mtbid
      3eqtr4g breq2d cdleme35g syl321anc eqtrd syl5eq eqcomd ) NUQURZRLURZUSZEA
      URZEROUTVAZUSZFAURZFROUTVAZUSZVBZEFVCZGAURGROUTVAUSZHAURHROUTVAUSZVBZGEFM
      VDZOUTZHXBOUTZVAZUSZVBZUAJMVDUAHMVDXGJHUAMXGJDIMVDZFEDMVDRPVDMVDZPVDZHUNX
      GXJDSMVDZXIPVDZHXGXHXKXIPXGISDMXGXBRPVDFEMVDZRPVDISXGXBXMRPXGWHWKWNXBXMVJ
      WHWIWMWPXAXFVEWKWLWJWPXAXFVFWNWOWJWMXAXFVGAMNEFUDUFVHVIZVKUHUIWAVLVKXGWJW
      PWMFEVCWTHXMOUTZVAXLHVJWJWMWPXAXFVMWJWMWPXAXFVNWJWMWPXAXFVOXGEFWQWRWSWTXF
      VPVQWQWRWSWTXFVRXGXDXOWQXAXCXEVSXGXBXMHOXNWBVTAFEHSDLMNOPRUCUDUEUFUGUIULW
      CWDWEWFVLWG $.
  $}

  ${
    cdleme46fg.j $e |- .\/ = ( join ` K ) $.
    cdleme46fg.a $e |- A = ( Atoms ` K ) $.
    $( Conversion for ` G ` to reuse ` F ` theorems.  TODO FIX COMMENT. TODO
       What other conversion theorems would be reused? e.g. ~ cdlemeg46nlpq ?
       Find other ~ hlatjcom uses giving ` Q .\/ P ` .  (Contributed by NM,
       1-Apr-2013.) $)
    cdleme46f2g2 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( S e. A /\ -. S .<_ W ) )
          /\ -. S .<_ ( P .\/ Q ) )
   -> ( ( ( K e. HL /\ W e. H )
             /\ ( Q e. A /\ -. Q .<_ W )
             /\ ( P e. A /\ -. P .<_ W ) )
          /\ ( Q =/= P /\ ( S e. A /\ -. S .<_ W ) )
          /\ -. S .<_ ( Q .\/ P ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne co 3jca simp11 simp13 simp12 simp2l simpl1l
      necomd simp2r wceq simpl2l simpl3l hlatjcom syl3anc breq2d notbid biimp3a
      jca ) GLMZIEMZNZBAMZBIHOPZNZCAMZCIHOPZNZQZBCRZDAMDIHOPNZNZDBCFSZHOZPZQZUS
      VEVBQCBRZVHNDCBFSZHOZPZVMUSVEVBUSVBVEVIVLUAUSVBVEVIVLUBUSVBVEVIVLUCTVMVNV
      HVMBCVFVGVHVLUDUFVFVGVHVLUGUPVFVIVLVQVFVINZVKVPVRVJVODHVRUQUTVCVJVOUHUQUR
      VBVEVIUEUTVAUSVEVIUIVCVDUSVBVIUJAFGBCJKUKULUMUNUOT $.

    $( Conversion for ` G ` to reuse ` F ` theorems.  TODO FIX COMMENT.
       (Contributed by NM, 1-Apr-2013.) $)
    cdleme46f2g1 $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
  -> ( ( ( K e. HL /\ W e. H )
           /\ ( Q e. A /\ -. Q .<_ W )
           /\ ( P e. A /\ -. P .<_ W ) )
       /\ ( Q =/= P /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( Q .\/ P ) /\ -. S .<_ ( Q .\/ P ) ) ) ) $=
      ( wcel wa wbr wn w3a wne co 3jca chlt simp11 simp13 simp12 simp21 simpl1l
      necomd simp22 simp23 wceq simpl2l simpl3l hlatjcom syl3anc breq2d anbi12d
      notbid biimp3a ) HUAMZJFMZNZBAMZBJIOPZNZCAMZCJIOPZNZQZBCRZDAMDJIOPNZEAMEJ
      IOPNZQZDBCGSZIOZEVMIOZPZNZQZVAVGVDQCBRZVJVKQDCBGSZIOZEVTIOZPZNZVRVAVGVDVA
      VDVGVLVQUBVAVDVGVLVQUCVAVDVGVLVQUDTVRVSVJVKVRBCVHVIVJVKVQUEUGVHVIVJVKVQUH
      VHVIVJVKVQUITVHVLVQWDVHVLNZVNWAVPWCWEVMVTDIWEUSVBVEVMVTUJUSUTVDVGVLUFVBVC
      VAVGVLUKVEVFVAVDVLULAGHBCKLUMUNZUOWEVOWBWEVMVTEIWFUOUQUPURT $.
  $}

  ${
    $( TODO fix $d's $)
    $d s t x y z A $.  $d s t x y z B $.  $d s x y z D $.  $d x y z E $.
    $d s t x y z H $.  $d s t x y z .\/ $.  $d s t x y z K $.
    $d s t x y z .<_ $.  $d s t x y z ./\ $.  $d s t x y z P $.
    $d s t x y z Q $.  $d s t x y z R $.  $d s t x y z U $.  $d s t x y z W $.
    $d s t x y z A $.  $d s t x y z B $.  $d x y z D $.  $d x y z E $.
    $d s t x y z H $.  $d s t x y z .\/ $.  $d s t x y z K $.
    $d s t x y z .<_ $.  $d s t x y z ./\ $.  $d s t x y z P $.
    $d s t x y z Q $.  $d s t y R $.  $d s t x y z S $.  $d s t x y z U $.
    $d s t x y z W $.
    cdlemef46.b $e |- B = ( Base ` K ) $.
    cdlemef46.l $e |- .<_ = ( le ` K ) $.
    cdlemef46.j $e |- .\/ = ( join ` K ) $.
    cdlemef46.m $e |- ./\ = ( meet ` K ) $.
    cdlemef46.a $e |- A = ( Atoms ` K ) $.
    cdlemef46.h $e |- H = ( LHyp ` K ) $.
    cdlemef46.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    $( f(t), ` -. ` t ` <_ ` p ` \/ ` q. $)
    cdlemef46.d $e |- D
        = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
    $( f_t(s), s ` <_ ` p ` \/ ` q $)
    cdlemefs46.e $e |- E
        = ( ( P .\/ Q ) ./\ ( D .\/ ( ( s .\/ t ) ./\ W ) ) ) $.
    cdlemef46.f $e |- F = ( x e. B |->
         if ( ( P =/= Q /\ -. x .<_ W ) ,
           $( Value when p ` =/= ` q and ` -. ` x ` <_ ` w. $)
           ( iota_ z e. B A. s e. A
                ( ( -. s .<_ W /\ ( s .\/ ( x ./\ W ) ) = x ) -> z = (
                    if ( s .<_ ( P .\/ Q ) ,
                       $( Unique f_t(s) for all t, s ` <_ ` p ` \/ ` q $)
                       ( iota_ y e. B A. t e. A
                             ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> y =
                          $( f_t(s) $)
                          E )
                       ) ,
                       $( f(s), ` -. ` s ` <_ ` p ` \/ ` q. $)
                       [_ s / t ]_ D
                    )
                .\/ ( x ./\ W ) ) ) ) ,
           $( Value when p = q or x ` <_ ` w is just x. $)
           x
         ) ) $.
    $( Part of proof of Lemma E in [Crawley] p. 114, first part of 4th
       paragraph. ` F ` , ` G ` represent f(s), f_s(p) respectively.  We show,
       in their notation, f_s(p)=q.  TODO:  FIX COMMENT. (Contributed by NM,
       5-Apr-2013.) $)
    cdleme17d2 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( S e. A /\ -. S .<_ W ) )
          /\ -. S .<_ ( P .\/ Q ) )
      -> ( F ` P ) = Q ) $=
      ( chlt wcel wa wbr wn w3a wne co cfv csb wceq simp1 simp2l simp12 simp11l
      simp2r simp12l simp13l hlatlej1 syl3anc cdlemefs45 syl132anc simp2rl eqid
      simp3 cdleme31sde syl2anc simp11 cdleme17d1 syl131anc 3eqtrd ) PUKULZSNUL
      ZUMZHEULZHSQUNUOZUMZIEULZISQUNUOZUMZUPZHIUQZJEULZJSQUNUOZUMZUMZJHIOURZQUN
      UOZUPZHMUSZTHDJLUTUTZWQJKOURIHJOURSRURZOURRURZXBOURRURZIWSWKWLWGWOHWQQUNZ
      WRWTXAVAWKWPWRVBWKWLWOWRVCWDWGWJWPWRVDZWKWLWOWRVFZWSWBWEWHXEWBWCWGWJWPWRV
      EWEWFWDWJWPWRVGZWHWIWDWGWPWRVHZEHIOPQUBUCUEVIVJWKWPWRVOZABCDEFGHIHJKLMNOP
      QRSTUAUBUCUDUEUFUGUHUJUIVKVLWSWEWMXAXDVAXHWMWNWLWKWRVMDEGHIHJKLORSXCXDTUH
      UIXCVNZXDVNZVPVQWSWDWGWHWOWRXDIVAWDWGWJWPWRVRXFXIXGXJEHIJKXCXDNOPQRSUBUCU
      DUEUFUGXKXLVSVTWA $.

    $d e A $.  $d e F $.  $d e H $.  $d e .\/ $.  $d e K $.  $d e .<_ $.
    $d e P $.  $d e Q $.  $d e W $.  $d e s t x y z $.
    $( TODO:  FIX COMMENT. (Contributed by NM, 5-Apr-2013.) $)
    cdleme17d3 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ P =/= Q ) -> ( F ` P ) = Q ) $=
      ( ve chlt wcel wa wbr wn w3a wne cv co wrex cfv wceq simpl1 simpl2 simpl3
      simpr cdlemb2 syl121anc simp1 simp2 simp3l simp3rl jca simp3rr cdleme17d2
      3expia expd rexlimdv mpd ) OUKULRMULUMZHEULHRPUNUOUMZIEULIRPUNUOUMZUPZHIU
      QZUMZUJURZRPUNUOZWFHINUSPUNUOZUMZUJEUTZHLVAIVBZWEVTWAWBWDWJVTWAWBWDVCVTWA
      WBWDVDVTWAWBWDVEWCWDVFEHIMNOPRUJUAUBUDUEVGVHWEWIWKUJEWEWFEULZWIWKWCWDWLWI
      UMZWKWCWDWMUPZWCWDWLWGUMWHWKWCWDWMVIWCWDWMVJWNWLWGWCWDWLWIVKWGWHWLWCWDVLV
      MWGWHWLWCWDVNABCDEFGHIWFJKLMNOPQRSTUAUBUCUDUEUFUGUHUIVOVHVPVQVRVS $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 11-Apr-2013.) $)
    cdleme17d4 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ P = Q ) -> ( F ` P ) = Q ) $=
      ( chlt wcel wa wbr wn w3a wceq cfv simp2l atbase syl cv wral crio csb cif
      co wi cdleme31id sylan simpr eqtrd ) OUJUKRMUKULZHEUKZHRPUMUNZULIEUKIRPUM
      UNULZUOZHIUPZULHLUQZHIVPHFUKZVQVRHUPVPVMVSVLVMVNVOUREFHOTUDUSUTAFHILPSVAZ
      RPUMUNVTAVAZRQVFZNVFWAUPULCVAVTHINVFZPUMDVAZRPUMUNWDWCPUMUNULBVAKUPVGDEVB
      BFVCDVTGVDVEWBNVFUPVGSEVBCFVCRHUIVHVIVPVQVJVK $.

    $( Part of proof of Lemma E in [Crawley] p. 114, first part of 4th
       paragraph.  We show, in their notation, f_s(p)=q.  TODO FIX COMMENT.
       (Contributed by NM, 11-Apr-2013.) $)
    cdleme17d $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) ) -> ( F ` P ) = Q ) $=
      ( chlt wcel wa wbr wn w3a cfv wceq cdleme17d4 cdleme17d3 pm2.61dane ) OUJ
      UKRMUKULHEUKHRPUMUNULIEUKIRPUMUNULUOHLUPIUQHIABCDEFGHIJKLMNOPQRSTUAUBUCUD
      UEUFUGUHUIURABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUSUT $.

    $d s t x z X $.
    $( Part of proof of Lemma D in [Crawley] p. 113.  TODO:  Can this replace
       uses of ~ cdleme32a ?  TODO:  Can this be used to help prove the ` R `
       or ` S ` case where ` X ` is an atom?  (Contributed by NM,
       8-Apr-2013.) $)
    cdleme48fv $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( P =/= Q /\ ( X e. B /\ -. X .<_ W ) )
           /\ ( ( S e. A /\ -. S .<_ W ) /\ ( S .\/ ( X ./\ W ) ) = X ) )
       -> ( F ` X ) = ( ( F ` S ) .\/ ( X ./\ W ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne co wceq cfv cv wi wral crio csb cif simp2rl
      simp2l simp2rr jca32 eqid biid cvv vex cdleme31sc ax-mp ifbieq2i syld3an2
      cdleme42b simp1 simp3l cdleme32fva1 syl3anc oveq1d eqtr4d ) PULUMSNUMUNHE
      UMHSQUOUPUNIEUMISQUOUPUNUQZHIURZTFUMZTSQUOUPZUNZUNZJEUMJSQUOUPUNZJTSRUSZO
      USTUTZUNZUQZTMVAZUAJUAVBZHIOUSZQUOZDVBZSQUOUPXBWTQUOUPUNBVBLUTVCDEVDBFVEZ
      DWSGVFZVGZVFZWNOUSZJMVAZWNOUSWGWIWHWJUNUNWLWPWRXGUTWQWIWHWJWIWJWHWGWPVHWG
      WHWKWPVIZWIWJWHWGWPVJVKABCDEFWSKOUSIHWSOUSSRUSOUSRUSZHIJKGMLNXCOPQRXEWSSQ
      UOUPWSAVBZSRUSZOUSXKUTUNCVBXEXLOUSUTVCUAEVDCFVEZSTUAUBUCUDUEUFUGUHXJVLZUI
      UJXCVLZXAXAXDXJXCXAVMWSVNUMXDXJUTUAVOVNGHIWSKORSXJDUIXNVPVQZVRXMVLZUKVTVS
      WQXHXFWNOWQWGWMWHXHXFUTWGWLWPWAWGWLWMWOWBXIABCDEFXDGHIJKLMNXCOPQRXEXMSUAU
      BUCUDUEUFUGUHXPUIUJXOXEVLXQUKWCWDWEWF $.

    $( Remove ` P =/= Q ` condition in ~ cdleme48fv .  TODO:  Can this replace
       uses of ~ cdleme32a ?  TODO:  Can this be used to help prove the ` R `
       or ` S ` case where ` X ` is an atom?  TODO:  Can this be proved more
       directly by eliminating ` P =/= Q ` in earlier theorems?  Should this
       replace uses of ~ cdleme48fv ?  (Contributed by NM, 23-Apr-2013.) $)
    cdleme48fvg $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( X e. B /\ -. X .<_ W )
           /\ ( ( S e. A /\ -. S .<_ W ) /\ ( S .\/ ( X ./\ W ) ) = X ) )
       -> ( F ` X ) = ( ( F ` S ) .\/ ( X ./\ W ) ) ) $=
      ( chlt wcel wa wbr wn w3a co wceq cfv simpl3r simp3ll adantr atbase cv wi
      syl wral crio csb cdleme31id sylancom oveq1d simp2l sylan 3eqtr4rd simpl1
      cif wne simpr simpl2 simpl3 cdleme48fv syl121anc pm2.61dane ) PULUMSNUMUN
      HEUMHSQUOUPUNIEUMISQUOUPUNUQZTFUMZTSQUOUPZUNZJEUMZJSQUOUPZUNZJTSRURZOURZT
      USZUNZUQZTMUTZJMUTZWMOURZUSZHIWQHIUSZUNZWNTWTWRWLWOWFWIXBVAXCWSJWMOWQXBJF
      UMZWSJUSXCWJXDWQWJXBWJWKWOWFWIVBVCEFJPUBUFVDVGAFHIMQUAVEZSQUOUPXEAVEZSRUR
      ZOURXFUSUNCVEXEHIOURZQUODVEZSQUOUPXIXHQUOUPUNBVELUSVFDEVHBFVIDXEGVJVRXGOU
      RUSVFUAEVHCFVIZSJUKVKVLVMWQWGXBWRTUSWFWGWHWPVNAFHIMQXJSTUKVKVOVPWQHIVSZUN
      WFXKWIWPXAWFWIWPXKVQWQXKVTWFWIWPXKWAWFWIWPXKWBABCDEFGHIJKLMNOPQRSTUAUBUCU
      DUEUFUGUHUIUJUKWCWDWE $.

    $( Show that ` ( F `` R ) ` is an atom not under ` W ` when ` R ` is an
       atom not under ` W ` .  (Contributed by NM, 18-Apr-2013.) $)
    cdleme46fvaw $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( R e. A /\ -. R .<_ W ) )
              -> ( ( F ` R ) e. A /\ -. ( F ` R ) .<_ W ) ) $=
      ( cv csb wbr wn co wa wceq wi wral crio cif cvv wcel vex cdleme31sc ax-mp
      eqid cdleme32fvaw ) ABCDEFDTUKZGULZGHIJKLMNDUKZSQUMUNVKHIOUOZQUMUNUPBUKLU
      QURDEUSBFUTZOPQRVIVLQUMVMVJVAZVISQUMUNVIAUKZSRUOZOUOVOUQUPCUKVNVPOUOUQURT
      EUSCFUTZSTUAUBUCUDUEUFUGVIVBVCVJVIKOUOIHVIOUOSRUOOUORUOZUQTVDVBGHIVIKORSV
      RDUHVRVGVEVFUHUIVMVGVNVGVQVGUJVH $.

    $( TODO: fix comment.  TODO:  Remove unnecessary ` P =/= Q ` from
       ~ cdleme48bw ~ cdlemeg46c ~ cdlemeg46fvaw ~ cdlemeg46rgv
       ~ cdlemeg46gfv ? ~ cdleme48d ? and possibly others they affect.
       (Contributed by NM, 9-Apr-2013.) $)
    cdleme48bw $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( P =/= Q /\ ( X e. B /\ -. X .<_ W ) )
           /\ ( ( S e. A /\ -. S .<_ W ) /\ ( S .\/ ( X ./\ W ) ) = X ) )
       -> -. ( F ` X ) .<_ W ) $=
      ( chlt wcel wa wbr wn w3a wne wceq cfv simp3l cdleme46fvaw syl2anc simprd
      co simp1 clat simp11l hllatd simpld atbase simp2rl simp11r lhpbase latmcl
      syl syl3anc latlej1 cdleme48fv breqtrrd wi csb wral crio cif cvv vex eqid
      cv cdleme31sc ax-mp cdleme32fvcl lattr syl13anc mpand mtod ) PULUMZSNUMZU
      NHEUMHSQUOUPUNZIEUMISQUOUPUNZUQZHIURZTFUMZTSQUOUPZUNUNZJEUMJSQUOUPUNZJTSR
      VEZOVETUSZUNZUQZTMUTZSQUOZJMUTZSQUOZXJXMEUMZXNUPZXJXAXFXOXPUNXAXEXIVFZXAX
      EXFXHVAABCDEFGHIJKLMNOPQRSUAUBUCUDUEUFUGUHUIUJUKVBVCZVDXJXMXKQUOZXLXNXJXM
      XMXGOVEZXKQXJPVGUMZXMFUMZXGFUMZXMXTQUOXJPWQWRWSWTXEXIVHVIZXJXOYBXJXOXPXRV
      JEFXMPUBUFVKVPZXJYAXCSFUMZYCYDXCXDXBXAXIVLZXJWRYFWQWRWSWTXEXIVMFNPSUBUGVN
      VPZFPRTSUBUEVOVQFOPQXMXGUBUCUDVRVQABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIU
      JUKVSVTXJYAYBXKFUMZYFXSXLUNXNWAYDYEXJXAXCYIXQYGABCDEFDUAWIZGWBZGHIKLMNDWI
      ZSQUOUPYLHIOVEZQUOUPUNBWILUSWADEWCBFWDZOPQRYJYMQUOYNYKWEZYJSQUOUPYJAWIZSR
      VEZOVEYPUSUNCWIYOYQOVEUSWAUAEWCCFWDZSTUAUBUCUDUEUFUGUHYJWFUMYKYJKOVEIHYJO
      VESRVEOVERVEZUSUAWGWFGHIYJKORSYSDUIYSWHWJWKUIUJYNWHYOWHYRWHUKWLVCYHFPQXMX
      KSUBUCWMWNWOWP $.

    $( TODO: fix comment.  (Contributed by NM, 8-Apr-2013.) $)
    cdleme48b $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( P =/= Q /\ ( X e. B /\ -. X .<_ W ) )
           /\ ( ( S e. A /\ -. S .<_ W ) /\ ( S .\/ ( X ./\ W ) ) = X ) )
       -> ( ( F ` X ) ./\ W ) = ( X ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne co wceq cfv cdleme48fv oveq1d simp11 simp3l
      simp1 cdleme46fvaw syl2anc simp2rl lhpelim syl3anc eqtrd ) PULUMSNUMUNZHE
      UMHSQUOUPUNZIEUMISQUOUPUNZUQZHIURZTFUMZTSQUOUPZUNUNZJEUMJSQUOUPUNZJTSRUSZ
      OUSTUTZUNZUQZTMVAZSRUSJMVAZWBOUSZSRUSZWBWEWFWHSRABCDEFGHIJKLMNOPQRSTUAUBU
      CUDUEUFUGUHUIUJUKVBVCWEVMWGEUMWGSQUOUPUNZVRWIWBUTVMVNVOVTWDVDWEVPWAWJVPVT
      WDVFVPVTWAWCVEABCDEFGHIJKLMNOPQRSUAUBUCUDUEUFUGUHUIUJUKVGVHVRVSVQVPWDVIEF
      WGNOPQRSTUBUCUDUEUFUGVJVKVL $.

    $( Show that ` ( F `` S ) ` is not under ` P .\/ Q ` when ` S ` isn't.
       (Contributed by NM, 1-Apr-2013.) $)
    cdleme46frvlpq $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( S e. A /\ -. S .<_ W ) )
          /\ -. S .<_ ( P .\/ Q ) ) -> -. ( F ` S ) .<_ ( P .\/ Q ) ) $=
      ( chlt wcel wa wbr wn w3a wne co cfv eqid cdleme35fnpq cdlemefr45e breq1d
      mtbird ) PUKULSNULUMHEULHSQUNUOUMIEULISQUNUOUMUPHIUQJEULJSQUNUOUMUMJHIOUR
      ZQUNUOUPZJMUSZVEQUNJKOURIHJOURSRUROURRURZVEQUNEHIJKVHNOPQRSUBUCUDUEUFUGVH
      UTVAVFVGVHVEQABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUJVBVCVD $.

    $( Show that ` ( F `` R ) ` is under ` P .\/ Q ` when ` R ` is.
       (Contributed by NM, 1-Apr-2013.) $)
    cdleme46fsvlpq $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ R .<_ ( P .\/ Q ) ) -> ( F ` R ) .<_ ( P .\/ Q ) ) $=
      ( chlt wcel wa wbr wn w3a wne co cfv cv wceq wral crio csb cdlemefs32fva1
      wi cif eqid cvv vex cdleme31sc ax-mp cdleme41sn3a eqbrtrd ) PUKULSNULUMHE
      ULHSQUNUOUMIEULISQUNUOUMUPHIUQJEULJSQUNUOUMUMJHIOURZQUNUPJMUSTJTUTZVOQUND
      UTZSQUNUOVQVOQUNUOUMZBUTZLVAVFDEVBBFVCZDVPGVDZVGZVDVOQABCDEFWAGHIJKLMNVTO
      PQRWBVPSQUNUOVPAUTZSRURZOURWCVAUMCUTWBWDOURVAVFTEVBCFVCZSTUAUBUCUDUEUFUGU
      HUIVTVHZWBVHZWEVHUJVEBDEFWAGHIJKLNVTOPQRWBSVOGJVQOURSRUROURRURZVRVSWHVAVF
      DEVBBFVCZTUAUBUCUDUEUFUGVPVIULWAVPKOURIHVPOURSRUROURRURZVATVJVIGHIVPKORSW
      JDUHWJVHVKVLUHUIWFWGWHVHWIVHVMVN $.
  $}

  ${
    $d a b c u v A $.  $d a b c u v B $.  $d a b c u v H $.
    $d a b c u v .\/ $.  $d a b c u v K $.  $d a b c u v .<_ $.
    $d a b c u v ./\ $.  $d a b c u N $.  $d a b c O $.  $d a b c u v P $.
    $d a b c u v Q $.  $d a b c u v R $.  $d a b c u v S $.  $d a b c u v V $.
    $d a b c u v W $.
    cdlemef47.b $e |- B = ( Base ` K ) $.
    cdlemef47.l $e |- .<_ = ( le ` K ) $.
    cdlemef47.j $e |- .\/ = ( join ` K ) $.
    cdlemef47.m $e |- ./\ = ( meet ` K ) $.
    cdlemef47.a $e |- A = ( Atoms ` K ) $.
    cdlemef47.h $e |- H = ( LHyp ` K ) $.
    cdlemef47.v $e |- V = ( ( Q .\/ P ) ./\ W ) $.
    $( g(t), ` -. ` v ` <_ ` p ` \/ ` q. $)
    cdlemef47.n $e |- N
        = ( ( v .\/ V ) ./\ ( P .\/ ( ( Q .\/ v ) ./\ W ) ) ) $.
    $( g_t(s), u ` <_ ` p ` \/ ` q $)
    cdlemefs47.o $e |- O
        = ( ( Q .\/ P ) ./\ ( N .\/ ( ( u .\/ v ) ./\ W ) ) ) $.
    cdlemef47.g $e |- G = ( a e. B |->
         if ( ( Q =/= P /\ -. a .<_ W ) ,
           $( g(x) when p ` =/= ` q and ` -. ` a ` <_ ` w. $)
           ( iota_ c e. B A. u e. A
                ( ( -. u .<_ W /\ ( u .\/ ( a ./\ W ) ) = a ) -> c = (
                    $( g_t(s), u ` <_ ` p ` \/ ` q $)
                    if ( u .<_ ( Q .\/ P ) ,
                       ( iota_ b e. B A. v e. A
                             ( ( -. v .<_ W /\ -. v .<_ ( Q .\/ P ) )
                             -> b = O ) ) ,
                    $( g(s), ` -. ` u ` <_ ` p ` \/ ` q. $)
                       [_ u / v ]_ N )
                .\/ ( a ./\ W ) ) ) ) ,
           $( g(x) when p = q or a ` <_ ` w is just x. $)
           a ) ) $.
    $d a c u v X $.
    $( TODO: fix comment.  (Contributed by NM, 9-Apr-2013.) $)
    cdlemeg46fvcl $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) ) /\ X e. B )
      -> ( G ` X ) e. B ) $=
      ( chlt wcel wa wbr wn w3a cfv simpl1 simpl3 simpl2 simpr cv csb wceq wral
      co wi crio cif cvv vex eqid cdleme31sc ax-mp cdleme32fvcl syl31anc ) JUKU
      LPHULUMZECULEPKUNUOUMZFCULFPKUNUOUMZUPZQDULZUMVQVSVRWAQGUQDULVQVRVSWAURVQ
      VRVSWAUSVQVRVSWAUTVTWAVARSTACDABVBZMVCZMFEONGHAVBZPKUNUOWDFEIVFZKUNUOUMSV
      BNVDVGACVESDVHZIJKLWBWEKUNWFWCVIZWBPKUNUOWBRVBZPLVFZIVFWHVDUMTVBWGWIIVFVD
      VGBCVETDVHZPQBUAUBUCUDUEUFUGWBVJULWCWBOIVFEFWBIVFPLVFIVFLVFZVDBVKVJMFEWBO
      ILPWKAUHWKVLVMVNUHUIWFVLWGVLWJVLUJVOVP $.

    $( Part of proof of Lemma D in [Crawley] p. 113.  TODO:  Can this replace
       uses of ~ cdleme32a ?  TODO:  Can this be used to help prove the ` R `
       or ` S ` case where ` X ` is an atom?  TODO:  Would an antecedent
       transformer like ~ cdleme46f2g2 help?  (Contributed by NM,
       8-Apr-2013.) $)
    cdleme4gfv $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( P =/= Q /\ ( X e. B /\ -. X .<_ W ) )
           /\ ( ( S e. A /\ -. S .<_ W ) /\ ( S .\/ ( X ./\ W ) ) = X ) )
       -> ( G ` X ) = ( ( G ` S ) .\/ ( X ./\ W ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne wceq cfv simp11 simp13 simp12 simp2l necomd
      co simp2r simp3 cdleme48fv syl321anc ) KULUMQIUMUNZECUMEQLUOUPUNZFCUMFQLU
      OUPUNZUQZEFURZRDUMRQLUOUPUNZUNZGCUMGQLUOUPUNGRQMVFZJVFRUSUNZUQZVKVMVLFEUR
      VPVSRHUTGHUTVRJVFUSVKVLVMVQVSVAVKVLVMVQVSVBVKVLVMVQVSVCVTEFVNVOVPVSVDVEVN
      VOVPVSVGVNVQVSVHSTUAACDNFEGPOHIJKLMQRBUBUCUDUEUFUGUHUIUJUKVIVJ $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 1-Apr-2013.) $)
    cdlemeg47b $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( S e. A /\ -. S .<_ W ) )
          /\ -. S .<_ ( P .\/ Q ) )
      -> ( G ` S ) = [_ S / v ]_ N ) $=
      ( chlt wcel wa wbr wn w3a wne co cfv csb wceq cdleme46f2g2 cdlemefr45 syl
      ) KUKULQIULUMZECULEQLUNUOUMZFCULFQLUNUOUMZUPEFUQGCULGQLUNUOUMZUMGEFJURLUN
      UOUPVEVGVFUPFEUQVHUMGFEJURLUNUOUPGHUSAGNUTVACEFGIJKLQUCUEVBRSTACDNFEGPOHI
      JKLMQBUAUBUCUDUEUFUGUHUJVCVD $.

    $( Value of g_s(r) when r is an atom under pq and s is any atom not under
       pq, using very compact hypotheses.  TODO:  FIX COMMENT. (Contributed by
       NM, 3-Apr-2013.) $)
    cdlemeg47rv $p |- ( ( ( ( K e. HL /\ W e. H )
          /\ ( P e. A /\ -. P .<_ W )
          /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
    -> ( G ` R ) = [_ R / u ]_ [_ S / v ]_ O ) $=
      ( chlt wcel wa wbr wn w3a wne co cfv csb wceq cdleme46f2g1 cdlemefs45 syl
      ) LULUMRJUMUNZECUMERMUOUPUNZFCUMFRMUOUPUNZUQEFURGCUMGRMUOUPUNZHCUMHRMUOUP
      UNZUQGEFKUSZMUOHVKMUOUPUNUQVFVHVGUQFEURVIVJUQGFEKUSZMUOHVLMUOUPUNUQGIUTBG
      AHPVAVAVBCEFGHJKLMRUDUFVCSTUAACDOFEGHQPIJKLMNRBUBUCUDUEUFUGUHUIUKUJVDVE
      $.

    $( Value of g_s(r) when r is an atom under pq and s is any atom not under
       pq, using very compact hypotheses.  TODO:  FIX COMMENT. (Contributed by
       NM, 1-Apr-2013.) $)
    cdlemeg47rv2 $p |- ( ( ( ( K e. HL /\ W e. H )
        /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
     /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
 -> ( G ` R )
        = ( ( Q .\/ P ) ./\ ( ( G ` S ) .\/ ( ( R .\/ S ) ./\ W ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne co cfv cdlemeg47rv wceq simp22l nfcvd oveq1
      csb cv oveq1d oveq2d csbiegf syl simp23l eqid cdleme31se2 csbeq2dv simp21
      simp1 simp23 simp3r cdlemeg47b syl121anc 3eqtr4d eqtrd ) LULUMRJUMUNECUME
      RMUOUPUNFCUMFRMUOUPUNUQZEFURZGCUMZGRMUOUPZUNZHCUMZHRMUOUPZUNZUQZGEFKUSZMU
      OZHWMMUOUPZUNZUQZGIUTBGAHPVFZVFZFEKUSZHIUTZGHKUSZRNUSZKUSZNUSZABCDEFGHIJK
      LMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKVAWQBGWTAHOVFZBVGZHKUSZRNUSZKUSZNUSZVFZWTX
      FXCKUSZNUSZWSXEWQWFXLXNVBWFWGWEWKWDWPVCBGXKXNCWFBXNVDXGGVBZXJXMWTNXOXIXCX
      FKXOXHXBRNXGGHKVEVHVIVIVJVKWQBGWRXKWQWIWRXKVBWIWJWEWHWDWPVLACOFEXGHPKNRXK
      UJXKVMVNVKVOWQXDXMWTNWQXAXFXCKWQWDWEWKWOXAXFVBWDWLWPVQWDWEWHWKWPVPWDWEWHW
      KWPVRWDWLWNWOVSABCDEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKVTWAVHVIWBWC $.

    $d a b c u v Y $.
    $( Part of proof of Lemma D in [Crawley] p. 113.  (Contributed by NM,
       9-Apr-2013.) $)
    cdlemeg49le $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( X e. B /\ Y e. B )
           /\ X .<_ Y ) -> ( G ` X ) .<_ ( G ` Y ) ) $=
      ( chlt wcel wa wbr wn w3a cfv simp11 simp13 simp12 simp2 simp3 cv co wceq
      csb wi wral crio cif cvv vex eqid cdleme31sc ax-mp cdleme32le syl311anc )
      JULUMPHUMUNZECUMEPKUOUPUNZFCUMFPKUOUPUNZUQZQDUMRDUMUNZQRKUOZUQVSWAVTWCWDQ
      GURRGURKUOVSVTWAWCWDUSVSVTWAWCWDUTVSVTWAWCWDVAWBWCWDVBWBWCWDVCSTUAACDABVD
      ZMVGZMFEONGHAVDZPKUOUPWGFEIVEZKUOUPUNTVDNVFVHACVITDVJZIJKLWEWHKUOWIWFVKZW
      EPKUOUPWESVDZPLVEZIVEWKVFUNUAVDWJWLIVEVFVHBCVIUADVJZPQRBUBUCUDUEUFUGUHWEV
      LUMWFWEOIVEEFWEIVEPLVEIVELVEZVFBVMVLMFEWEOILPWNAUIWNVNVOVPUIUJWIVNWJVNWMV
      NUKVQVR $.
  $}

  ${
    $d s t x y z A $.  $d s t x y z B $.  $d s x y z D $.  $d x y z E $.
    $d s t x y z H $.  $d s t x y z .\/ $.  $d s t x y z K $.
    $d s t x y z .<_ $.  $d s t x y z ./\ $.  $d s t x y z P $.
    $d s t x y z Q $.  $d s t x y z R $.  $d s t x y z U $.  $d s t x y z W $.
    $d s t x y z A $.  $d s t x y z B $.  $d x y z D $.  $d x y z E $.
    $d s t x y z H $.  $d s t x y z .\/ $.  $d s t x y z K $.
    $d s t x y z .<_ $.  $d s t x y z ./\ $.  $d s t x y z P $.
    $d s t x y z Q $.  $d s t y R $.  $d s t x y z S $.  $d s t x y z U $.
    $d s t x y z W $.
    cdlemef46g.b $e |- B = ( Base ` K ) $.
    cdlemef46g.l $e |- .<_ = ( le ` K ) $.
    cdlemef46g.j $e |- .\/ = ( join ` K ) $.
    cdlemef46g.m $e |- ./\ = ( meet ` K ) $.
    cdlemef46g.a $e |- A = ( Atoms ` K ) $.
    cdlemef46g.h $e |- H = ( LHyp ` K ) $.
    cdlemef46g.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    $( f(t), ` -. ` t ` <_ ` p ` \/ ` q. $)
    cdlemef46g.d $e |- D
        = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
    $( f_t(s), s ` <_ ` p ` \/ ` q $)
    cdlemefs46g.e $e |- E
        = ( ( P .\/ Q ) ./\ ( D .\/ ( ( s .\/ t ) ./\ W ) ) ) $.
    cdlemef46g.f $e |- F = ( x e. B |->
         if ( ( P =/= Q /\ -. x .<_ W ) ,
           $( Value when p ` =/= ` q and ` -. ` x ` <_ ` w. $)
           ( iota_ z e. B A. s e. A
                ( ( -. s .<_ W /\ ( s .\/ ( x ./\ W ) ) = x ) -> z = (
                    if ( s .<_ ( P .\/ Q ) ,
                       $( Unique f_t(s) for all t, s ` <_ ` p ` \/ ` q $)
                       ( iota_ y e. B A. t e. A
                             ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> y =
                          $( f_t(s) $)
                          E )
                       ) ,
                       $( f(s), ` -. ` s ` <_ ` p ` \/ ` q. $)
                       [_ s / t ]_ D
                    )
                .\/ ( x ./\ W ) ) ) ) ,
           $( Value when p = q or x ` <_ ` w is just x. $)
           x
         ) ) $.
    cdlemef46.v $e |- V = ( ( Q .\/ P ) ./\ W ) $.
    $( g(t), ` -. ` v ` <_ ` p ` \/ ` q. $)
    cdlemef46.n $e |- N
        = ( ( v .\/ V ) ./\ ( P .\/ ( ( Q .\/ v ) ./\ W ) ) ) $.
    $( g_t(s), u ` <_ ` p ` \/ ` q $)
    cdlemefs46.o $e |- O
        = ( ( Q .\/ P ) ./\ ( N .\/ ( ( u .\/ v ) ./\ W ) ) ) $.
    cdlemef46.g $e |- G = ( a e. B |->
         if ( ( Q =/= P /\ -. a .<_ W ) ,
           $( g(x) when p ` =/= ` q and ` -. ` a ` <_ ` w. $)
           ( iota_ c e. B A. u e. A
                ( ( -. u .<_ W /\ ( u .\/ ( a ./\ W ) ) = a ) -> c = (
                    $( g_t(s), u ` <_ ` p ` \/ ` q $)
                    if ( u .<_ ( Q .\/ P ) ,
                       ( iota_ b e. B A. v e. A
                             ( ( -. v .<_ W /\ -. v .<_ ( Q .\/ P ) )
                             -> b = O ) ) ,
                    $( g(s), ` -. ` u ` <_ ` p ` \/ ` q. $)
                       [_ u / v ]_ N )
                .\/ ( a ./\ W ) ) ) ) ,
           $( g(x) when p = q or a ` <_ ` w is just x. $)
           a ) ) $.

    $d a b c u v A $.  $d a b c u v B $.  $d v D $.  $d s t x y z G $.
    $d a b c u v H $.  $d a b c u v .\/ $.  $d a b c u v K $.
    $d a b c u v .<_ $.  $d a b c u v ./\ $.  $d a b c N $.  $d a b c O $.
    $d a b c u v P $.  $d a b c u v Q $.  $d a b c u v R $.  $d a b c u v S $.
    $d a b c V $.  $d a b c u v W $.  $d u x y z N $.  $d x y z O $.  $d t v $.
    $d x z S $.  $d u v x y z V $.
    $( TODO FIX COMMENT. (Contributed by NM, 1-Apr-2013.)
       (New usage is discouraged.) $)
    cdlemeg46bOLDN $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( S e. A /\ -. S .<_ W ) )
          /\ -. S .<_ ( P .\/ Q ) )
      -> ( G ` S ) = [_ S / v ]_ N ) $=
      ( cdlemeg47b ) DEGHJKLPQRSTUAUBUCUDUEUGUHUIUJUKULUMUNUOUTVAVBVCVD $.

    $( TODO FIX COMMENT. (Contributed by NM, 1-Apr-2013.) $)
    cdlemeg46c $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( S e. A /\ -. S .<_ W ) )
          /\ -. S .<_ ( P .\/ Q ) )
      -> ( F ` ( G ` S ) ) = [_ S / v ]_ [_ N / t ]_ D ) $=
      ( chlt wcel wa wbr wn w3a wne co cfv cdlemeg47b csbeq1d wceq simp1 simp2l
      csb simp11 simp13 simp12 cdleme46fvaw cdleme46f2g2 cdleme46frvlpq simp11l
      simp2r syl31anc simp12l simp13l hlatjcom syl3anc breq2d mtbird cdlemefr45
      syl syl121anc simp2rl csbnestgw 3eqtr4d ) SVDVEZUEQVEZVFZJGVEZJUETVGVHZVF
      ZKGVEZKUETVGVHZVFZVIZJKVJZLGVEZLUETVGVHZVFZVFZLJKRVKZTVGVHZVIZFLPVLZIVRZF
      DLUBVRZIVRZXROVLZDLFUBIVRVRZXQFXRXTIDEGHJKLPQRSTUAUBUCUDUEUGUHUIUJUKULUMU
      NUOUTVAVBVCVMVNXQXIXJXRGVEXRUETVGVHVFZXRXOTVGZVHYBXSVOXIXNXPVPXIXJXMXPVQX
      QXBXHXEXMYDXBXEXHXNXPVSXBXEXHXNXPVTXBXEXHXNXPWAXIXJXMXPWFUGUHUIDGHUBKJLUD
      UCPQRSTUAUEEUJUKULUMUNUOUTVAVBVCWBWGXQYEXRKJRVKZTVGZXQXBXHXEVIKJVJXMVFLYF
      TVGVHVIYGVHGJKLQRSTUEULUNWCUGUHUIDGHUBKJLUDUCPQRSTUAUEEUJUKULUMUNUOUTVAVB
      VCWDWOXQXOYFXRTXQWTXCXFXOYFVOWTXAXEXHXNXPWEXCXDXBXHXNXPWHXFXGXBXEXNXPWIGR
      SJKULUNWJWKWLWMABCFGHIJKXRMNOQRSTUAUEUFUJUKULUMUNUOUPUQUSWNWPXQXKYCYAVOXK
      XLXJXIXPWQDFLUBIGWRWOWS $.

    $( Value of g_s(r) when r is an atom under pq and s is any atom not under
       pq, using very compact hypotheses.  TODO FIX COMMENT. (Contributed by
       NM, 3-Apr-2013.)  (New usage is discouraged.) $)
    cdlemeg46rvOLDN $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
    -> ( G ` R ) = [_ R / u ]_ [_ S / v ]_ O ) $=
      ( cdlemeg47rv ) DEGHJKLMQRSTUAUBUCUDUEUFUHUIUJUKULUMUNUOUPVAVBVCVDVE $.

    $( Value of g_s(r) when r is an atom under pq and s is any atom not under
       pq, using very compact hypotheses.  TODO FIX COMMENT. (Contributed by
       NM, 3-Apr-2013.)  (New usage is discouraged.) $)
    cdlemeg46rv2OLDN $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
      -> ( G ` R )
        = ( ( Q .\/ P ) ./\ ( ( G ` S ) .\/ ( ( R .\/ S ) ./\ W ) ) ) ) $=
      ( cdlemeg47rv2 ) DEGHJKLMQRSTUAUBUCUDUEUFUHUIUJUKULUMUNUOUPVAVBVCVDVE $.

    $( Show that ` ( F `` R ) ` is an atom not under ` W ` when ` R ` is an
       atom not under ` W ` .  (Contributed by NM, 1-Apr-2013.) $)
    cdlemeg46fvaw $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( R e. A /\ -. R .<_ W )
           /\ P =/= Q )
              -> ( ( G ` R ) e. A /\ -. ( G ` R ) .<_ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv simp11 simp13 simp12 simp2 cdleme46fvaw
      syl31anc ) SVDVEUEQVEVFZJGVEJUETVGVHVFZKGVEKUETVGVHVFZVIZLGVELUETVGVHVFZJ
      KVJZVIVRVTVSWBLPVKZGVEWDUETVGVHVFVRVSVTWBWCVLVRVSVTWBWCVMVRVSVTWBWCVNWAWB
      WCVOUGUHUIDGHUBKJLUDUCPQRSTUAUEEUJUKULUMUNUOUTVAVBVCVPVQ $.

    $( Show that ` ( G `` S ) ` is not under ` P .\/ Q ` when ` S ` isn't.
       (Contributed by NM, 3-Apr-2013.) $)
    cdlemeg46nlpq $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( S e. A /\ -. S .<_ W ) )
          /\ -. S .<_ ( P .\/ Q ) ) -> -. ( G ` S ) .<_ ( P .\/ Q ) ) $=
      ( chlt wa wbr wn w3a wne co cfv simp11 simp13 simp12 simp2l necomd simp2r
      wcel simp3 simp11l simp12l simp13l hlatjcom syl3anc breq2d cdleme46frvlpq
      wceq mtbid syl321anc mtbird ) SVDVRZUEQVRZVEZJGVRZJUETVFVGZVEZKGVRZKUETVF
      VGZVEZVHZJKVIZLGVRLUETVFVGVEZVEZLJKRVJZTVFZVGZVHZLPVKZXDTVFXHKJRVJZTVFZXG
      WMWSWPKJVIXBLXITVFZVGXJVGWMWPWSXCXFVLWMWPWSXCXFVMWMWPWSXCXFVNXGJKWTXAXBXF
      VOVPWTXAXBXFVQXGXEXKWTXCXFVSXGXDXILTXGWKWNWQXDXIWGWKWLWPWSXCXFVTWNWOWMWSX
      CXFWAWQWRWMWPXCXFWBGRSJKULUNWCWDZWEWHUGUHUIDGHUBKJLUDUCPQRSTUAUEEUJUKULUM
      UNUOUTVAVBVCWFWIXGXDXIXHTXLWEWJ $.

    $d a b c D $.  $d a b c E $.  $d a b c u v F $.  $d t N $.  $d a b c v U $.
    $d t V $.  $d a b c s t $.
    $( TODO FIX COMMENT g(f(s))=s p. 115 4th line from bottom.  (Contributed by
       NM, 4-Apr-2013.) $)
    cdlemeg46ngfr $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ -. R .<_ ( P .\/ Q ) )
      -> ( G ` ( F ` R ) ) = R ) $=
      ( chlt wcel wa wbr wn w3a wne co cfv csb wceq cdleme46f2g2 cdlemeg46c syl
      simp2rl cdleme31snd eqtrd simp11l simp12l simp13l hlatjcom syl3anc oveq1d
      eqid 3eqtr4g oveq2d cdleme35g 3eqtr2d ) SVDVEZUEQVEZVFZJGVEZJUETVGVHZVFZK
      GVEZKUETVGVHZVFZVIZJKVJZLGVEZLUETVGVHZVFZVFZLJKRVKZTVGVHZVIZLOVLPVLZLMRVK
      KJLRVKUEUAVKRVKUAVKZUDRVKZJKXKRVKUEUAVKRVKZUAVKZXKMRVKZXMUAVKLXIXJFLDIUBV
      MVMZXNXIWNWTWQVIKJVJXEVFLKJRVKZTVGVHVIXJXPVNGJKLQRSTUEULUNVOUGUHUIFUFDGHU
      BKJLUDUCPOQRSTUAINMUEEABCUJUKULUMUNUOUTVAVBVCUPUQURUSVPVQXIXCXPXNVNXCXDXB
      XAXHVRFDGUBKJLUDXNRUAIXKMUEVAUQXNWGXKWGZVSVQVTXIXOXLXMUAXIMUDXKRXIXGUEUAV
      KXQUEUAVKMUDXIXGXQUEUAXIWLWOWRXGXQVNWLWMWQWTXFXHWAWOWPWNWTXFXHWBWRWSWNWQX
      FXHWCGRSJKULUNWDWEWFUPUTWHWIWFGJKLMXKQRSTUAUEUKULUMUNUOUPXRWJWK $.

    $( TODO FIX COMMENT f(g(s))=s p. 115 antepenultimate line.  (Contributed by
       NM, 4-Apr-2013.) $)
    cdlemeg46nfgr $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ -. R .<_ ( P .\/ Q ) )
      -> ( F ` ( G ` R ) ) = R ) $=
      ( chlt wcel wa wbr wn w3a wne co cfv wceq cdleme46f2g2 cdlemeg46ngfr syl
      ) SVDVEUEQVEVFZJGVEJUETVGVHVFZKGVEKUETVGVHVFZVIJKVJLGVELUETVGVHVFZVFLJKRV
      KTVGVHVIVQVSVRVIKJVJVTVFLKJRVKTVGVHVILPVLOVLLVMGJKLQRSTUEULUNVNUGUHUIFUFD
      GHUBKJLUDUCPOQRSTUAINMUEEABCUJUKULUMUNUOUTVAVBVCUPUQURUSVOVP $.

    $( TODO FIX COMMENT f(r) ` \/ ` s = f(r) ` \/ ` g(s) p. 116 2nd line TODO:
       eliminate eqcomd?  (Contributed by NM, 4-Apr-2013.) $)
    cdlemeg46sfg $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
    -> ( ( F ` R ) .\/ S ) = ( ( F ` R ) .\/ ( F ` ( G ` S ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv wceq simp21 simp23 simp3r cdlemeg46nfgr
      co simp1 syl121anc oveq2d eqcomd ) TVEVFUFRVFVGJGVFJUFUAVHVIVGKGVFKUFUAVH
      VIVGVJZJKVKZLGVFLUFUAVHVIVGZMGVFMUFUAVHVIVGZVJZLJKSVRZUAVHZMWHUAVHVIZVGZV
      JZLPVLZMQVLPVLZSVRWMMSVRWLWNMWMSWLWCWDWFWJWNMVMWCWGWKVSWCWDWEWFWKVNWCWDWE
      WFWKVOWCWGWIWJVPABCDEFGHIJKMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUS
      UTVAVBVCVDVQVTWAWB $.

    $( NOT NEEDED?  TODO FIX COMMENT. TODO eliminate ~ eqcomd ? p. 116 2nd
       line.  (Contributed by NM, 2-Apr-2013.)  (New usage is discouraged.) $)
    cdlemeg46fjgN $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
    -> ( ( F ` R ) .\/ ( F ` ( G ` S ) ) ) = ( F ` ( R .\/ ( G ` S ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv wceq simp21 simp22 simp23 cdlemeg46fvaw
      co simp1 syl3anc cv csb wral crio cif cvv vex cdleme31sc ax-mp cdleme42mN
      wi eqid syl13anc eqcomd ) TVEVFUFRVFVGJGVFJUFUAVHVIVGKGVFKUFUAVHVIVGVJZJK
      VKZLGVFLUFUAVHVIVGZMGVFMUFUAVHVIVGZVJZLJKSVRZUAVHMWTUAVHVIVGZVJZLMQVLZSVR
      PVLZLPVLXCPVLSVRZXBWOWPWQXCGVFXCUFUAVHVIVGZXDXEVMWOWSXAVSZWOWPWQWRXAVNZWO
      WPWQWRXAVOXBWOWRWPXFXGWOWPWQWRXAVPXHABCDEFGHIJKMNOPQRSTUAUBUCUDUEUFUGUHUI
      UJUKULUMUNUOUPUQURUSUTVAVBVCVDVQVTABCFGHFUGWAZIWBZJKLXCNIPORFWAZUFUAVHVIX
      KWTUAVHVIVGBWAOVMWKFGWCBHWDZSTUAUBXIWTUAVHXLXJWEZXIUFUAVHVIXIAWAZUFUBVRZS
      VRXNVMVGCWAXMXOSVRVMWKUGGWCCHWDZUFUGUKULUMUNUOUPUQXIWFVFXJXINSVRKJXISVRUF
      UBVRSVRUBVRZVMUGWGWFIJKXINSUBUFXQFURXQWLWHWIURUSXLWLXMWLXPWLUTWJWMWN $.

    ${
      cdlemeg46.y $e |- Y = ( ( R .\/ ( G ` S ) ) ./\ W ) $.  $( v_2 $)
      $( NOT NEEDED?  TODO FIX COMMENT. r ` \/ ` g(s) = r ` \/ ` v_2 p. 115
         last line.  (Contributed by NM, 2-Apr-2013.)
         (New usage is discouraged.) $)
      cdlemeg46rjgN $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
    -> ( R .\/ ( G ` S ) ) = ( R .\/ Y ) ) $=
        ( chlt wcel wa wbr wn w3a wne co cfv wceq cdleme43cN 3adant3l csb simp1
        eqid simp21 simp23 simp3r cdlemeg47b syl121anc simp23l cdleme31sc eqtrd
        syl oveq2d oveq1d syl5eq 3eqtr4d ) TVGVHUFRVHVIJGVHJUFUAVJVKVIKGVHKUFUA
        VJVKVIVLZJKVMZLGVHLUFUAVJVKVIZMGVHZMUFUAVJVKZVIZVLZLJKSVNZUAVJZMXBUAVJV
        KZVIZVLZLMUESVNJKMSVNUFUBVNSVNUBVNZSVNZLXHUFUBVNZSVNZLMQVOZSVNZLUGSVNWO
        XAXDXHXJVPXCGHMNSVNKJMSVNUFUBVNSVNUBVNZXGJKLMNXGNSVNKJXGSVNUFUBVNSVNUBV
        NZKJSVNXGXBXMLMSVNUFUBVNSVNUBVNZMSVNUFUBVNZSVNUBVNZRSTUAUBXPUFUEXIXOULU
        MUNUOUPUQURVBXMWAXOWAXGWAZXQWAXNWAXPWAXIWAVQVRXFXKXGLSXFXKDMUCVSZXGXFWO
        WPWTXDXKXSVPWOXAXEVTWOWPWQWTXEWBWOWPWQWTXEWCWOXAXCXDWDDEGHJKMQRSTUAUBUC
        UDUEUFUIUJUKULUMUNUOUPUQVBVCVDVEWEWFXFWRXSXGVPWRWSWPWQWOXEWGGUCKJMUESUB
        UFXGDVCXRWHWJWIWKZXFUGXILSXFUGXLUFUBVNXIVFXFXLXHUFUBXTWLWMWKWN $.

      $d s t x z Y $.
      $( TODO FIX COMMENT f(r) ` \/ ` f(g(s)) = f(r) ` \/ ` v_2 p. 116 2nd
         line.  (Contributed by NM, 2-Apr-2013.) $)
      cdlemeg46fjv $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
    -> ( ( F ` R ) .\/ ( F ` ( G ` S ) ) ) = ( ( F ` R ) .\/ Y ) ) $=
        ( chlt wcel wa wbr wn w3a wne co wceq simp1 simp21 simp22 cdlemeg46fvaw
        cfv simp23 syl3anc csb wral crio cif cvv vex eqid cdleme31sc cdleme42ke
        cv wi ax-mp syl13anc ) TVGVHUFRVHVIJGVHJUFUAVJVKVIKGVHKUFUAVJVKVIVLZJKV
        MZLGVHLUFUAVJVKVIZMGVHMUFUAVJVKVIZVLZLJKSVNZUAVJMXAUAVJVKVIZVLZWPWQWRMQ
        VTZGVHXDUFUAVJVKVIZLPVTZXDPVTSVNXFUGSVNVOWPWTXBVPZWPWQWRWSXBVQZWPWQWRWS
        XBVRXCWPWSWQXEXGWPWQWRWSXBWAXHABCDEFGHIJKMNOPQRSTUAUBUCUDUEUFUHUIUJUKUL
        UMUNUOUPUQURUSUTVAVBVCVDVEVSWBABCFGHFUHWLZIWCZJKLXDNIPORFWLZUFUAVJVKXKX
        AUAVJVKVIBWLOVOWMFGWDBHWEZSTUAUBXIXAUAVJXLXJWFZXIUFUAVJVKXIAWLZUFUBVNZS
        VNXNVOVICWLXMXOSVNVOWMUHGWDCHWEZUGUFUHULUMUNUOUPUQURXIWGVHXJXINSVNKJXIS
        VNUFUBVNSVNUBVNZVOUHWHWGIJKXINSUBUFXQFUSXQWIWJWNUSUTXLWIXMWIXPWIVAVFWKW
        O $.

      $( TODO FIX COMMENT f(r) ` \/ ` s = f(r) ` \/ ` v_2 p. 116 2nd line.
         (Contributed by NM, 2-Apr-2013.) $)
      cdlemeg46fsfv $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
    -> ( ( F ` R ) .\/ S ) = ( ( F ` R ) .\/ Y ) ) $=
        ( chlt wcel wa wbr wn w3a wne co cfv cdlemeg46sfg cdlemeg46fjv eqtrd )
        TVGVHUFRVHVIJGVHJUFUAVJVKVIKGVHKUFUAVJVKVIVLJKVMLGVHLUFUAVJVKVIMGVHMUFU
        AVJVKVIVLLJKSVNZUAVJMVSUAVJVKVIVLLPVOZMSVNVTMQVOPVOSVNVTUGSVNABCDEFGHIJ
        KLMNOPQRSTUAUBUCUDUEUFUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVPABCDEFGHIJK
        LMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVQVR $.

      $( TODO FIX COMMENT. (f(r) ` \/ ` v_2) ` /\ ` w = v_2 p. 116 3rd line.
         (Contributed by NM, 2-Apr-2013.) $)
      cdlemeg46frv $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
    -> ( ( ( F ` R ) .\/ Y ) ./\ W ) = Y ) $=
        ( chlt wcel wa wbr wn w3a wne co cfv cp0 wceq simp11 simp1 cdleme46fvaw
        simp22 syl2anc lhpmat oveq1d simp11l simpld simp23 simp21 cdlemeg46fvaw
        eqid simp22l syl3anc cdleme0aa simp11r lhpbase syl clat hlatjcl latmle2
        hllatd eqbrtrid atmod4i2 syl131anc col hlol olj02 3eqtr3d ) TVGVHZUFRVH
        ZVIZJGVHJUFUAVJVKVIZKGVHKUFUAVJVKVIZVLZJKVMZLGVHZLUFUAVJVKZVIZMGVHMUFUA
        VJVKVIZVLZLJKSVNZUAVJMXTUAVJVKVIZVLZLPVOZUFUBVNZUGSVNZTVPVOZUGSVNZYCUGS
        VNUFUBVNZUGYBYDYFUGSYBXJYCGVHZYCUFUAVJVKZVIZYDYFVQXJXKXLXSYAVRZYBXMXQYK
        XMXSYAVSZXMXNXQXRYAWAABCFGHIJKLNOPRSTUAUBUFUHULUMUNUOUPUQURUSUTVAVTWBZG
        YCRTUAUBUFYFUMUOYFWJZUPUQWCWBWDYBXHYIUGHVHZUFHVHZUGUFUAVJYEYHVQXHXIXKXL
        XSYAWEZYBYIYJYNWFYBXJXOMQVOZGVHZYPYLXOXPXNXRXMYAWKZYBXMXRXNYTYMXMXNXQXR
        YAWGXMXNXQXRYAWHXMXRXNVLYTYSUFUAVJVKABCDEFGHIJKMNOPQRSTUAUBUCUDUEUFUHUI
        UJUKULUMUNUOUPUQURUSUTVAVBVCVDVEWIWFWLZGHLYSUGRSTUAUBUFUMUNUOUPUQVFULWM
        WLZYBXIYQXHXIXKXLXSYAWNHRTUFULUQWOWPZYBUGLYSSVNZUFUBVNZUFUAVFYBTWQVHUUE
        HVHZYQUUFUFUAVJYBTYRWTYBXHXOYTUUGYRUUAUUBGHSTLYSULUNUPWRWLUUDHTUAUBUUEU
        FULUMUOWSWLXAGHYCSTUAUBUGUFULUMUNUOUPXBXCYBTXDVHZYPYGUGVQYBXHUUHYRTXEWP
        UUCHSTUGYFULUNYOXFWBXG $.

      cdlemeg46.x $e |- X = ( ( ( F ` R ) .\/ S ) ./\ W ) $.  $( v_1 $)
      $( TODO FIX COMMENT v_1 = v_2 p. 116 3rd line.  (Contributed by NM,
         2-Apr-2013.) $)
      cdlemeg46v1v2 $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
    -> X = Y ) $=
        ( chlt wa wbr wn w3a wne co cfv cdlemeg46fsfv oveq1d cdlemeg46frv eqtrd
        wcel syl5eq ) TVIWAUFRWAVJJGWAJUFUAVKVLVJKGWAKUFUAVKVLVJVMJKVNLGWALUFUA
        VKVLVJMGWAMUFUAVKVLVJVMLJKSVOZUAVKMWCUAVKVLVJVMZUGLPVPZMSVOZUFUBVOZUHVH
        WDWGWEUHSVOZUFUBVOUHWDWFWHUFUBABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUHUIUJUKU
        LUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVQVRABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUHUI
        UJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVSVTWB $.

      $( TODO FIX COMMENT v_1 ` <_ ` r ` \/ ` g(s) p. 116 3rd line.
         (Contributed by NM, 3-Apr-2013.) $)
      cdlemeg46vrg $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
    -> X .<_ ( R .\/ ( G ` S ) ) ) $=
        ( chlt wcel wa wbr w3a wne cfv cdlemeg46v1v2 eqtrdi clat simp11l hllatd
        wn co simp22l simp1 simp23 simp21 cdlemeg46fvaw syl3anc hlatjcl simp11r
        simpld lhpbase syl latmle1 eqbrtrd ) TVIVJZUFRVJZVKJGVJJUFUAVLWAVKZKGVJ
        KUFUAVLWAVKZVMZJKVNZLGVJZLUFUAVLWAZVKZMGVJMUFUAVLWAVKZVMZLJKSWBZUAVLMXG
        UAVLWAVKZVMZUGLMQVOZSWBZUFUBWBZXKUAXIUGUHXLABCDEFGHIJKLMNOPQRSTUAUBUCUD
        UEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVPVGVQXITVRVJXKHVJZUFHV
        JZXLXKUAVLXITWPWQWRWSXFXHVSZVTXIWPXBXJGVJZXMXOXBXCXAXEWTXHWCXIWTXEXAXPW
        TXFXHWDWTXAXDXEXHWEWTXAXDXEXHWFWTXEXAVMXPXJUFUAVLWAABCDEFGHIJKMNOPQRSTU
        AUBUCUDUEUFUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFWGWKWHGHSTLXJUMUOUQWIWHX
        IWQXNWPWQWRWSXFXHWJHRTUFUMURWLWMHTUAUBXKUFUMUNUPWNWHWO $.

      $( TODO FIX COMMENT r ` <_ ` g(s) ` \/ ` v_1 p. 116 3rd line.
         (Contributed by NM, 3-Apr-2013.) $)
      cdlemeg46rgv $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
    -> R .<_ ( ( G ` S ) .\/ X ) ) $=
        ( chlt wcel wa wbr wn w3a wne co cfv cdlemeg46vrg simp11l simp11 simp22
        cdleme46fvaw syl2anc simp23l simp21 simp3l cdleme46fsvlpq simp3r nbrne2
        wi simp1 syl121anc lhpat2 syl112anc simp22l simp23 cdlemeg46fvaw simpld
        syl3anc clat hllatd hlatjcl simp11r lhpbase syl latmle2 eqbrtrid simprd
        hlatexch2 syl131anc mpd wceq hlatjcom breqtrd ) TVIVJZUFRVJZVKZJGVJJUFU
        AVLVMVKZKGVJKUFUAVLVMVKZVNZJKVOZLGVJZLUFUAVLVMZVKZMGVJZMUFUAVLVMZVKZVNZ
        LJKSVPZUAVLZMYIUAVLVMZVKZVNZLUGMQVQZSVPZYNUGSVPZUAYMUGLYNSVPUAVLZLYOUAV
        LZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDV
        EVFVGVHVRYMXOUGGVJZYBYNGVJZUGYNVOZYQYRWJXOXPXRXSYHYLVSZYMXQLPVQZGVJZUUC
        UFUAVLVMZVKZYEUUCMVOZYSXQXRXSYHYLVTYMXTYDUUFXTYHYLWKZXTYAYDYGYLWAZABCFG
        HIJKLNOPRSTUAUBUFUIUMUNUOUPUQURUSUTVAVBWBWCZYEYFYAYDXTYLWDZYMUUCYIUAVLZ
        YKUUGYMXTYAYDYJUULUUHXTYAYDYGYLWEZUUIXTYHYJYKWFABCFGHIJKLNOPRSTUAUBUFUI
        UMUNUOUPUQURUSUTVAVBWGWLXTYHYJYKWHUUCMYIUAWIWCGUUCMUGRSTUAUBUFUNUOUPUQU
        RVHWMWNZYBYCYAYGXTYLWOYMYTYNUFUAVLVMZYMXTYGYAYTUUOVKUUHXTYAYDYGYLWPUUMA
        BCDEFGHIJKMNOPQRSTUAUBUCUDUEUFUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFWQWSZ
        WRZYMUGUFUAVLUUOUUAYMUGUUCMSVPZUFUBVPZUFUAVHYMTWTVJUURHVJZUFHVJZUUSUFUA
        VLYMTUUBXAYMXOUUDYEUUTUUBYMUUDUUEUUJWRUUKGHSTUUCMUMUOUQXBWSYMXPUVAXOXPX
        RXSYHYLXCHRTUFUMURXDXEHTUAUBUURUFUMUNUPXFWSXGYMYTUUOUUPXHUGYNUFUAWIWCGU
        GLYNSTUAUNUOUQXIXJXKYMXOYSYTYOYPXLUUBUUNUUQGSTUGYNUOUQXMWSXN $.

      $( TODO FIX COMMENT r = (v_1 ` \/ ` g(s)) p. 116 3rd line.  (Contributed
         by NM, 3-Apr-2013.) $)
      cdlemeg46req $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
    -> R = ( ( P .\/ Q ) ./\ ( ( G ` S ) .\/ X ) ) ) $=
        ( chlt wcel wa wbr w3a wne clln cfv wceq simp11l simp12l simp13l simp21
        wn eqid llni2 syl31anc simp1 simp23 cdlemeg46fvaw syl3anc simpld simp11
        simp22 cdleme46fvaw syl2anc simp23l simp3l cdleme46fsvlpq simp3r nbrne2
        syl121anc lhpat2 syl112anc clat hllatd hlatjcl simp11r lhpbase eqbrtrid
        co syl latmle2 simprd necomd hlatlej1 cdlemeg46nlpq nbrne1 cdlemeg46rgv
        simp22l wb atbase latlem12 syl13anc mpbi2and 2llnmeqat syl132anc ) TVIV
        JZUFRVJZVKZJGVJZJUFUAVLWBZVKZKGVJZKUFUAVLWBZVKZVMZJKVNZLGVJZLUFUAVLWBZV
        KZMGVJZMUFUAVLWBZVKZVMZLJKSXIZUAVLZMUUDUAVLWBZVKZVMZYFUUDTVOVPZVJZMQVPZ
        UGSXIZUUIVJZYQUUDUULVNLUUDUULUBXIZUAVLZLUUNVQYFYGYKYNUUCUUGVRZUUHYFYIYL
        YPUUJUUPYIYJYHYNUUCUUGVSZYLYMYHYKUUCUUGVTZYOYPYSUUBUUGWAZGJKSTUUIUOUQUU
        IWCZWDWEUUHYFUUKGVJZUGGVJZUUKUGVNUUMUUPUUHUVAUUKUFUAVLWBZUUHYOUUBYPUVAU
        VCVKYOUUCUUGWFZYOYPYSUUBUUGWGZUUSABCDEFGHIJKMNOPQRSTUAUBUCUDUEUFUIUJUKU
        LUMUNUOUPUQURUSUTVAVBVCVDVEVFWHWIZWJZUUHYHLPVPZGVJZUVHUFUAVLWBZVKZYTUVH
        MVNZUVBYHYKYNUUCUUGWKUUHYOYSUVKUVDYOYPYSUUBUUGWLZABCFGHIJKLNOPRSTUAUBUF
        UIUMUNUOUPUQURUSUTVAVBWMWNZYTUUAYPYSYOUUGWOZUUHUVHUUDUAVLZUUFUVLUUHYOYP
        YSUUEUVPUVDUUSUVMYOUUCUUEUUFWPZABCFGHIJKLNOPRSTUAUBUFUIUMUNUOUPUQURUSUT
        VAVBWQWTYOUUCUUEUUFWRZUVHMUUDUAWSWNGUVHMUGRSTUAUBUFUNUOUPUQURVHXAXBZUUH
        UGUUKUUHUGUFUAVLUVCUGUUKVNUUHUGUVHMSXIZUFUBXIZUFUAVHUUHTXCVJZUVTHVJZUFH
        VJZUWAUFUAVLUUHTUUPXDZUUHYFUVIYTUWCUUPUUHUVIUVJUVNWJUVOGHSTUVHMUMUOUQXE
        WIUUHYGUWDYFYGYKYNUUCUUGXFHRTUFUMURXGXJHTUAUBUVTUFUMUNUPXKWIXHUUHUVAUVC
        UVFXLUGUUKUFUAWSWNXMGUUKUGSTUUIUOUQUUTWDWEYQYRYPUUBYOUUGXRZUUHUULUUDUUH
        UUKUULUAVLZUUKUUDUAVLWBZUULUUDVNUUHYFUVAUVBUWGUUPUVGUVSGUUKUGSTUAUNUOUQ
        XNWIUUHYOYPUUBUUFUWHUVDUUSUVEUVRABCDEFGHIJKMNOPQRSTUAUBUCUDUEUFUIUJUKUL
        UMUNUOUPUQURUSUTVAVBVCVDVEVFXOWTUUKUULUUDUAXPWNXMUUHUUELUULUAVLZUUOUVQA
        BCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVF
        VGVHXQUUHUWBLHVJZUUDHVJZUULHVJZUUEUWIVKUUOXSUWEUUHYQUWJUWFGHLTUMUQXTXJU
        UHYFYIYLUWKUUPUUQUURGHSTJKUMUOUQXEWIUUHYFUVAUVBUWLUUPUVGUVSGHSTUUKUGUMU
        OUQXEWIHTUAUBLUUDUULUMUNUPYAYBYCGLTUAUBUUIUUDUULUNUPUQUUTYDYE $.

      $d a b c u v F $.
      $( TODO FIX COMMENT p. 115 penultimate line: g(f(r)) = (p v q) ^ (g(s) v
         v_1).  (Contributed by NM, 4-Apr-2013.) $)
      cdlemeg46gfv $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
    -> ( G ` ( F ` R ) ) = ( ( P .\/ Q ) ./\ ( ( G ` S ) .\/ X ) ) ) $=
        ( chlt wcel wa wbr wn w3a wne cfv wceq simp1 simp21 simp22 cdleme46fvaw
        co simp23 simp3l cdleme46fsvlpq syl121anc simp3r cdlemeg47rv2 syl132anc
        syl2anc simp11l simp12l simp13l hlatjcom syl3anc oveq2i oveq12d eqtr4d
        a1i ) TVIVJZUFRVJZVKZJGVJZJUFUAVLVMZVKZKGVJZKUFUAVLVMZVKZVNZJKVOZLGVJLU
        FUAVLVMVKZMGVJMUFUAVLVMVKZVNZLJKSWBZUAVLZMXNUAVLVMZVKZVNZLPVPZQVPZKJSWB
        ZMQVPZXSMSWBUFUBWBZSWBZUBWBZXNYBUGSWBZUBWBXRXIXJXSGVJXSUFUAVLVMVKZXLXSX
        NUAVLZXPXTYEVQXIXMXQVRZXIXJXKXLXQVSZXRXIXKYGYIXIXJXKXLXQVTZABCFGHIJKLNO
        PRSTUAUBUFUIUMUNUOUPUQURUSUTVAVBWAWJXIXJXKXLXQWCXRXIXJXKXOYHYIYJYKXIXMX
        OXPWDABCFGHIJKLNOPRSTUAUBUFUIUMUNUOUPUQURUSUTVAVBWEWFXIXMXOXPWGDEGHJKXS
        MQRSTUAUBUCUDUEUFUJUKULUMUNUOUPUQURVCVDVEVFWHWIXRXNYAYFYDUBXRWTXCXFXNYA
        VQWTXAXEXHXMXQWKXCXDXBXHXMXQWLXFXGXBXEXMXQWMGSTJKUOUQWNWOYFYDVQXRUGYCYB
        SVHWPWSWQWR $.
    $}

    $d a b c u v F $.
    $( TODO FIX COMMENT p. 116 penultimate line: g(f(r)) = r.  (Contributed by
       NM, 4-Apr-2013.) $)
    cdlemeg46gfr $p |- ( ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
    -> ( G ` ( F ` R ) ) = R ) $=
      ( chlt wcel wa wbr wn w3a wne cfv eqid cdlemeg46gfv cdlemeg46req eqtr4d
      co ) TVEVFUFRVFVGJGVFJUFUAVHVIVGKGVFKUFUAVHVIVGVJJKVKLGVFLUFUAVHVIVGMGVFM
      UFUAVHVIVGVJLJKSVQZUAVHMVRUAVHVIVGVJLPVLZQVLVRMQVLZVSMSVQUFUBVQZSVQUBVQLA
      BCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFWALVTSVQUFUBVQZUGUHUIUJUKULUMUNUOUPUQURUSU
      TVAVBVCVDWBVMZWAVMZVNABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFWAWBUGUHUIUJUKULUMUN
      UOUPUQURUSUTVAVBVCVDWCWDVOVP $.

    $d e A $.  $d e F $.  $d e G $.  $d e H $.  $d e .\/ $.  $d e K $.
    $d e .<_ $.  $d e P $.  $d e Q $.  $d e R $.  $d e W $.
    $d e a b c s t u v x y z $.
    $( TODO FIX COMMENT p. 116 penultimate line: g(f(r)) = r.  (Contributed by
       NM, 4-Apr-2013.) $)
    cdlemeg46gfre $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
          /\ R .<_ ( P .\/ Q ) )
      -> ( G ` ( F ` R ) ) = R ) $=
      ( ve chlt wcel wa wbr wn w3a wne co cv wrex cfv wceq simp11 simp12 simp13
      simp2l cdlemb2 syl121anc wi simp2r simp32 simp33l jca simp31 cdlemeg46gfr
      simp1 simp33r syl132anc 3expia 3expd 3impia rexlimdv mpd ) SVEVFUEQVFVGZJ
      GVFJUETVHVIVGZKGVFKUETVHVIVGZVJZJKVKZLGVFLUETVHVIVGZVGZLJKRVLZTVHZVJZVDVM
      ZUETVHVIZXHXETVHVIZVGZVDGVNZLOVOPVOLVPZXGWRWSWTXBXLWRWSWTXDXFVQWRWSWTXDXF
      VRWRWSWTXDXFVSXAXBXCXFVTGJKQRSTUEVDUKULUNUOWAWBXGXKXMVDGXAXDXFXHGVFZXKXMW
      CWCXAXDVGXFXNXKXMXAXDXFXNXKVJZXMXAXDXOVJZXAXBXCXNXIVGXFXJXMXAXDXOWJXAXBXC
      XOVTXAXBXCXOWDXPXNXIXAXDXFXNXKWEXIXJXFXNXAXDWFWGXAXDXFXNXKWHXIXJXFXNXAXDW
      KABCDEFGHIJKLXHMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCWIWL
      WMWNWOWPWQ $.

    $( TODO FIX COMMENT Eliminate antecedent ` R .<_ ( P .\/ Q ) ` .
       (Contributed by NM, 4-Apr-2013.) $)
    cdlemeg46gf $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) ) )
      -> ( G ` ( F ` R ) ) = R ) $=
      ( chlt wcel wa wbr w3a wne cfv wceq cdlemeg46gfre cdlemeg46ngfr pm2.61dan
      wn co 3expa ) SVDVEUEQVEVFJGVEJUETVGVOVFKGVEKUETVGVOVFVHZJKVILGVELUETVGVO
      VFVFZVFLJKRVPTVGZLOVJPVJLVKZVRVSVTWAABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHU
      IUJUKULUMUNUOUPUQURUSUTVAVBVCVLVQVRVSVTVOWAABCDEFGHIJKLMNOPQRSTUAUBUCUDUE
      UFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVMVQVN $.

    $d a b c D $.  $d a b c E $.  $d t N $.  $d a b c U $.
    $( TODO FIX COMMENT p. 116 penultimate line: f(g(r)) = r.  (Contributed by
       NM, 4-Apr-2013.)  (New usage is discouraged.) $)
    cdlemeg46fgN $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) ) )
      -> ( F ` ( G ` R ) ) = R ) $=
      ( chlt wcel wa wbr wn w3a wne cfv wceq simpl1 simpl3 simpl2 simprl necomd
      simprr cdlemeg46gf syl32anc ) SVDVEUEQVEVFZJGVEJUETVGVHVFZKGVEKUETVGVHVFZ
      VIZJKVJZLGVELUETVGVHVFZVFZVFZWAWCWBKJVJWFLPVKOVKLVLWAWBWCWGVMWAWBWCWGVNWA
      WBWCWGVOWHJKWDWEWFVPVQWDWEWFVRUGUHUIFUFDGHUBKJLUDUCPOQRSTUAINMUEEABCUJUKU
      LUMUNUOUTVAVBVCUPUQURUSVSVT $.

    $d a c s t u v x z X $.
    $( TODO: fix comment.  (Contributed by NM, 8-Apr-2013.) $)
    cdleme48d $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( P =/= Q /\ ( X e. B /\ -. X .<_ W ) )
           /\ ( ( S e. A /\ -. S .<_ W ) /\ ( S .\/ ( X ./\ W ) ) = X ) )
       -> ( G ` ( F ` X ) ) = X ) $=
      ( chlt wcel wa wbr wn w3a wne co wceq cfv simp1 simp2l simp2rl cv wi wral
      csb crio cif cvv vex cdleme31sc ax-mp cdleme32fvcl syl2anc cdleme48bw jca
      eqid simp3l cdleme46fvaw cdleme48b oveq2d cdleme48fv cdleme4gfv syl122anc
      eqtr4d cdlemeg46gf syl12anc oveq12d simp3r 3eqtrd ) SVEVFUEQVFVGJGVFJUETV
      HVIVGKGVFKUETVHVIVGVJZJKVKZUFHVFZUFUETVHVIZVGZVGZLGVFLUETVHVIVGZLUFUEUAVL
      ZRVLZUFVMZVGZVJZUFOVNZPVNZLOVNZPVNZXRUEUAVLZRVLZXNUFXQXFXGXRHVFZXRUETVHVI
      ZVGXTGVFXTUETVHVIVGZXTYBRVLZXRVMXSYCVMXFXKXPVOZXFXGXJXPVPZXQYDYEXQXFXHYDY
      HXHXIXGXFXPVQABCFGHFUGVRZIWAZIJKMNOQFVRZUETVHVIYLJKRVLZTVHVIVGBVRNVMVSFGV
      TBHWBZRSTUAYJYMTVHYNYKWCZYJUETVHVIYJAVRZUEUAVLZRVLYPVMVGCVRYOYQRVLVMVSUGG
      VTCHWBZUEUFUGUKULUMUNUOUPUQYJWDVFYKYJMRVLKJYJRVLUEUAVLRVLUAVLZVMUGWEWDIJK
      YJMRUAUEYSFURYSWLWFWGURUSYNWLYOWLYRWLUTWHWIABCFGHIJKLMNOQRSTUAUEUFUGUKULU
      MUNUOUPUQURUSUTWJWKXQXFXLYFYHXFXKXLXOWMZABCFGHIJKLMNOQRSTUAUEUGUKULUMUNUO
      UPUQURUSUTWNWIXQYGXTXMRVLXRXQYBXMXTRABCFGHIJKLMNOQRSTUAUEUFUGUKULUMUNUOUP
      UQURUSUTWOZWPABCFGHIJKLMNOQRSTUAUEUFUGUKULUMUNUOUPUQURUSUTWQWTDEGHJKXTPQR
      STUAUBUCUDUEXRUHUIUJUKULUMUNUOUPVAVBVCVDWRWSXQYALYBXMRXQXFXGXLYALVMYHYIYT
      ABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDXAXBUUA
      XCXFXKXLXOXDXE $.

    $d e B $.  $d e ./\ $.  $d e X $.
    $( TODO: fix comment.  (Contributed by NM, 9-Apr-2013.) $)
    cdleme48gfv1 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( P =/= Q /\ ( X e. B /\ -. X .<_ W ) ) )
       -> ( G ` ( F ` X ) ) = X ) $=
      ( ve chlt wcel wa wbr wn w3a wne cv wceq wrex cfv simpl1 lhpmcvr2 syl2anc
      co simprr cdleme48d 3expia exp4c imp4a rexlimdv mpd ) RVEVFUDPVFVGZJGVFJU
      DSVHVIVGZKGVFKUDSVHVIVGZVJZJKVKZUEHVFUEUDSVHVIVGZVGZVGZVDVLZUDSVHVIZWOUEU
      DTVSQVSUEVMZVGZVDGVNZUENVOOVOUEVMZWNWGWLWSWGWHWIWMVPWJWKWLVTGHPQRSTUDUEVD
      UJUKULUMUNUOVQVRWNWRWTVDGWNWOGVFZWPWQWTWNXAWPWQWTWJWMXAWPVGWQVGWTABCDEFGH
      IJKWOLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCWAWBWCWDWEWF
      $.

    $( TODO: fix comment.  (Contributed by NM, 9-Apr-2013.) $)
    cdleme48gfv $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ X e. B )
       -> ( G ` ( F ` X ) ) = X ) $=
      ( chlt wcel wbr w3a wne cfv wceq simpll simprl simplr simprr cdleme48gfv1
      wa wn jca syl12anc cv co wi wral crio csb cif cdleme31fv2 adantll eqeltrd
      simpr wb necom a1i breq1d notbid anbi12d mtbird syl2anc eqtrd pm2.61dan )
      RVDVEUDPVEVPJGVEJUDSVFVQVPKGVEKUDSVFVQVPVGZUEHVEZVPZJKVHZUEUDSVFZVQZVPZUE
      NVIZOVIZUEVJZXCXGVPZXAXDXBXFVPXJXAXBXGVKXCXDXFVLXKXBXFXAXBXGVMXCXDXFVNVRA
      BCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVOVSXCXG
      VQZVPZXIXHUEXMXHHVEKJVHZXHUDSVFZVQZVPZVQXIXHVJXMXHUEHXBXLXHUEVJXAAHJKNSUF
      VTZUDSVFVQXRAVTZUDTWAZQWAXSVJVPCVTXRJKQWAZSVFFVTZUDSVFVQYBYASVFVQVPBVTMVJ
      WBFGWCBHWDFXRIWEWFXTQWAVJWBUFGWCCHWDUDUEUSWGWHZXAXBXLVMWIXMXQXGXCXLWJXMXN
      XDXPXFXNXDWKXMKJWLWMXMXOXEXMXHUEUDSYCWNWOWPWQUGHKJOSEVTZUDSVFVQYDUGVTZUDT
      WAZQWAYEVJVPUIVTYDKJQWAZSVFDVTZUDSVFVQYHYGSVFVQVPUHVTUBVJWBDGWCUHHWDDYDUA
      WEWFYFQWAVJWBEGWCUIHWDUDXHVCWGWRYCWSWT $.

    $( TODO: fix comment.  (Contributed by NM, 9-Apr-2013.) $)
    cdleme48fgv $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ X e. B )
       -> ( F ` ( G ` X ) ) = X ) $=
      ( chlt wcel wa wbr wn w3a cfv wceq simpl1 simpl3 simpl2 simpr cdleme48gfv
      syl31anc ) RVDVEUDPVEVFZJGVEJUDSVGVHVFZKGVEKUDSVGVHVFZVIZUEHVEZVFVRVTVSWB
      UEOVJNVJUEVKVRVSVTWBVLVRVSVTWBVMVRVSVTWBVNWAWBVOUGUHUIFUFDGHUAKJUCUBONPQR
      STIMLUDUEEABCUJUKULUMUNUOUTVAVBVCUPUQURUSVPVQ $.

    $d a b c s t u v x y z Y $.
    $( Part of proof of Lemma D in [Crawley] p. 113.  TODO: fix comment.
       (Contributed by NM, 9-Apr-2013.) $)
    cdlemeg49lebilem $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( X e. B /\ Y e. B ) )
         -> ( X .<_ Y <-> ( F ` X ) .<_ ( F ` Y ) ) ) $=
      ( chlt wcel wa wbr wn w3a cfv cv csb co wceq wral crio cif cvv cdleme31sc
      wi vex ax-mp cdleme32le 3expia simp1 simp2l ifbieq2i cdleme32fvcl syl2anc
      eqid biid simp3 cdlemeg49le syl121anc cdleme48gfv adantrr adantrl breq12d
      simp2r wb 3adant3 mpbid impbid ) RVEVFUDPVFVGJGVFJUDSVHVIVGKGVFKUDSVHVIVG
      VJZUEHVFZUFHVFZVGZVGZUEUFSVHZUENVKZUFNVKZSVHZXEXHXJXMABCFGHFUGVLZIVMZIJKL
      MNPFVLZUDSVHVIXPJKQVNZSVHVIVGBVLMVOWAFGVPBHVQZQRSTXNXQSVHZXRXOVRZXNUDSVHV
      IXNAVLZUDTVNZQVNYAVOVGCVLXTYBQVNVOWAUGGVPCHVQZUDUEUFUGUKULUMUNUOUPUQXNVSV
      FXOXNLQVNKJXNQVNUDTVNQVNTVNZVOUGWBVSIJKXNLQTUDYDFURYDWKZVTWCZURUSXRWKZXTW
      KYCWKZUTWDWEXEXHXMXJXEXHXMVJZXKOVKZXLOVKZSVHZXJYIXEXKHVFZXLHVFZXMYLXEXHXM
      WFZYIXEXFYMYOXEXFXGXMWGABCFGHYDIJKLMNPXRQRSTXTYCUDUEUGUKULUMUNUOUPUQYEURU
      SYGXSXSXOYDXRXSWLYFWHZYHUTWIWJYIXEXGYNYOXEXFXGXMWTABCFGHYDIJKLMNPXRQRSTXT
      YCUDUFUGUKULUMUNUOUPUQYEURUSYGYPYHUTWIWJXEXHXMWMDEGHJKOPQRSTUAUBUCUDXKXLU
      HUIUJUKULUMUNUOUPVAVBVCVDWNWOXEXHYLXJXAXMXIYJUEYKUFSXEXFYJUEVOXGABCDEFGHI
      JKLMNOPQRSTUAUBUCUDUEUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDWPWQXEXGYKUFVOXF
      ABCDEFGHIJKLMNOPQRSTUAUBUCUDUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDWPWRWSX
      BXCWEXD $.
  $}

  ${
    $d a b c s t u v x y z ./\ $.  $d a b c s t u v x y z .\/ $.
    $d a b c s t u v x y z .<_ $.  $d a b c s t u v x y z A $.
    $d a b c s t u v x y z B $.  $d a b c s v x y z D $.  $d a b c x y z E $.
    $d a b c u v F $.  $d a b c s t u v x y z H $.  $d a b c s t u v x y z K $.
    $d a b c s t u v x y z P $.  $d a b c s t u v x y z Q $.  $d s t x y z R $.
    $d s t x y z S $.  $d a b c s t v x y z U $.  $d a b c s t u v x y z W $.
    $d a c s t u v x y z X $.  $d a b c s t u v x y z Y $.
    cdlemef50.b $e |- B = ( Base ` K ) $.
    cdlemef50.l $e |- .<_ = ( le ` K ) $.
    cdlemef50.j $e |- .\/ = ( join ` K ) $.
    cdlemef50.m $e |- ./\ = ( meet ` K ) $.
    cdlemef50.a $e |- A = ( Atoms ` K ) $.
    cdlemef50.h $e |- H = ( LHyp ` K ) $.
    cdlemef50.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    $( f(t), ` -. ` t ` <_ ` p ` \/ ` q. $)
    cdlemef50.d $e |- D
        = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
    $( f_t(s), s ` <_ ` p ` \/ ` q $)
    cdlemefs50.e $e |- E
        = ( ( P .\/ Q ) ./\ ( D .\/ ( ( s .\/ t ) ./\ W ) ) ) $.
    cdlemef50.f $e |- F = ( x e. B |->
         if ( ( P =/= Q /\ -. x .<_ W ) ,
           $( Value when p ` =/= ` q and ` -. ` x ` <_ ` w. $)
           ( iota_ z e. B A. s e. A
                ( ( -. s .<_ W /\ ( s .\/ ( x ./\ W ) ) = x ) -> z = (
                    if ( s .<_ ( P .\/ Q ) ,
                       $( Unique f_t(s) for all t, s ` <_ ` p ` \/ ` q $)
                       ( iota_ y e. B A. t e. A
                             ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> y =
                          $( f_t(s) $)
                          E )
                       ) ,
                       $( f(s), ` -. ` s ` <_ ` p ` \/ ` q. $)
                       [_ s / t ]_ D
                    )
                .\/ ( x ./\ W ) ) ) ) ,
           $( Value when p = q or x ` <_ ` w is just x. $)
           x
         ) ) $.
    $( Part of proof of Lemma D in [Crawley] p. 113.  TODO: fix comment.
       (Contributed by NM, 9-Apr-2013.) $)
    cdleme50lebi $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( X e. B /\ Y e. B ) )
         -> ( X .<_ Y <-> ( F ` X ) .<_ ( F ` Y ) ) ) $=
      ( vv vu va vc vb wne cv wbr wn wa wceq wral crio csb cif cdlemeg49lebilem
      co wi cmpt eqid ) ABCULUMDEFGHIJKLUNFIHUQUNURZRPUSUTVAUMURZRPUSUTVMVLRQVH
      ZNVHVLVBVAUOURVMIHNVHZPUSULURZRPUSUTVPVOPUSUTVAUPURVOVPVORQVHZNVHHIVPNVHR
      QVHNVHQVHZVMVPNVHRQVHNVHQVHZVBVIULEVCUPFVDULVMVRVEVFVNNVHVBVIUMEVCUOFVDVL
      VFVJZMNOPQVRVSVQRSTUAUNUPUOUBUCUDUEUFUGUHUIUJUKVQVKVRVKVSVKVTVKVG $.

    $( Part of proof of Lemma D in [Crawley] p. 113.  TODO: fix comment.
       (Contributed by NM, 9-Apr-2013.) $)
    cdleme50eq $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( X e. B /\ Y e. B ) )
         -> ( ( F ` X ) = ( F ` Y ) <-> X = Y ) ) $=
      ( chlt wcel wa wbr w3a cfv wceq cdleme50lebi ancom2s anbi12d clat simpl1l
      wn wb hllatd simprl simprr latasymb syl3anc cv co wral crio csb eqid biid
      wi cif cvv vex cdleme31sc ifbieq2i cdleme32fvcl adantrr adantrl 3bitr3rd
      ax-mp ) OULUMZRMUMZUNHEUMHRPUOVDUNZIEUMIRPUOVDUNZUPZSFUMZTFUMZUNZUNZSTPUO
      ZTSPUOZUNZSLUQZTLUQZPUOZXBXAPUOZUNZSTURZXAXBURZWQWRXCWSXDABCDEFGHIJKLMNOP
      QRSTUAUBUCUDUEUFUGUHUIUJUKUSWMWOWNWSXDVEABCDEFGHIJKLMNOPQRTSUAUBUCUDUEUFU
      GUHUIUJUKUSUTVAWQOVBUMZWNWOWTXFVEWQOWIWJWKWLWPVCVFZWMWNWOVGWMWNWOVHFOPSTU
      BUCVIVJWQXHXAFUMZXBFUMZXEXGVEXIWMWNXJWOABCDEFUAVKZJNVLIHXLNVLRQVLNVLQVLZG
      HIJKLMDVKZRPUOVDXNHINVLZPUOVDUNBVKKURVRDEVMBFVNZNOPQXLXOPUOZXPDXLGVOZVSZX
      LRPUOVDXLAVKZRQVLZNVLXTURUNCVKXSYANVLURVRUAEVMCFVNZRSUAUBUCUDUEUFUGUHXMVP
      ZUIUJXPVPZXQXQXRXMXPXQVQXLVTUMXRXMURUAWAVTGHIXLJNQRXMDUIYCWBWHZWCYBVPZUKW
      DWEWMWOXKWNABCDEFXRGHIJKLMXPNOPQXSYBRTUAUBUCUDUEUFUGUHYEUIUJYDXSVPYFUKWDW
      FFOPXAXBUBUCVIVJWG $.

    $d d e A $.  $d d e B $.  $d d e F $.  $d d e H $.  $d d e K $.
    $d d e .<_ $.  $d d e P $.  $d d e Q $.  $d d e W $.  $d d e s t x y z $.
    $( Part of proof of Lemma D in [Crawley] p. 113.  TODO: fix comment.  TODO:
       can we use just ` F Fn B ` since range is computed in ~ cdleme50rn ?
       (Contributed by NM, 9-Apr-2013.) $)
    cdleme50f $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
         -> F : B --> B ) $=
      ( ve chlt wcel wa wbr wn w3a wne cv co wceq wral crio csb cif cvv riotaex
      wi vex ifex a1i cmpt eqid cdleme31sc ax-mp cdleme32fvcl fmpt2d ) OUKULRMU
      LUMHEULHRPUNUOUMIEULIRPUNUOUMUPZAUJFHIUQAURZRPUNUOUMZSURZRPUNUOVTVRRQUSZN
      USVRUTUMCURVTHINUSZPUNDURZRPUNUOWCWBPUNUOUMBURKUTVGDEVABFVBZDVTGVCZVDZWAN
      USUTVGSEVAZCFVBZVRVDZFLVEWIVEULVQVRFULUMVSWHVRWGCFVFAVHVIVJLAFWIVKUTVQUIV
      JABCDEFWEGHIJKLMWDNOPQWFWHRUJURSTUAUBUCUDUEUFVTVEULWEVTJNUSIHVTNUSRQUSNUS
      QUSZUTSVHVEGHIVTJNQRWJDUGWJVLVMVNUGUHWDVLWFVLWHVLUIVOVP $.

    $( Part of proof of Lemma D in [Crawley] p. 113.  TODO: fix comment.
       (Contributed by NM, 9-Apr-2013.) $)
    cdleme50f1 $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
         -> F : B -1-1-> B ) $=
      ( vd ve chlt wcel wa wbr wn w3a wf cfv wceq wral wf1 cdleme50f cdleme50eq
      cv wi biimpd ralrimivva dff13 sylanbrc ) OULUMRMUMUNHEUMHRPUOUPUNIEUMIRPU
      OUPUNUQZFFLURUJVEZLUSUKVEZLUSUTZVLVMUTZVFZUKFVAUJFVAFFLVBABCDEFGHIJKLMNOP
      QRSTUAUBUCUDUEUFUGUHUIVCVKVPUJUKFFVKVLFUMVMFUMUNUNVNVOABCDEFGHIJKLMNOPQRV
      LVMSTUAUBUCUDUEUFUGUHUIVDVGVHUJUKFFLVIVJ $.

    ${
      cdlemef50.v $e |- V = ( ( Q .\/ P ) ./\ W ) $.
      $( g(t), ` -. ` v ` <_ ` p ` \/ ` q. $)
      cdlemef50.n $e |- N
          = ( ( v .\/ V ) ./\ ( P .\/ ( ( Q .\/ v ) ./\ W ) ) ) $.
      $( g_t(s), u ` <_ ` p ` \/ ` q $)
      cdlemefs50.o $e |- O
          = ( ( Q .\/ P ) ./\ ( N .\/ ( ( u .\/ v ) ./\ W ) ) ) $.
      cdlemef50.g $e |- G = ( a e. B |->
         if ( ( Q =/= P /\ -. a .<_ W ) ,
           $( g(x) when p ` =/= ` q and ` -. ` a ` <_ ` w. $)
           ( iota_ c e. B A. u e. A
                ( ( -. u .<_ W /\ ( u .\/ ( a ./\ W ) ) = a ) -> c = (
                    $( g_t(s), u ` <_ ` p ` \/ ` q $)
                    if ( u .<_ ( Q .\/ P ) ,
                       ( iota_ b e. B A. v e. A
                             ( ( -. v .<_ W /\ -. v .<_ ( Q .\/ P ) )
                             -> b = O ) ) ,
                    $( g(s), ` -. ` u ` <_ ` p ` \/ ` q. $)
                       [_ u / v ]_ N )
                .\/ ( a ./\ W ) ) ) ) ,
           $( g(x) when p = q or a ` <_ ` w is just x. $)
           a ) ) $.
      $d d s t x y z G $.  $d a b c t u x y z N $.  $d a b c x y z O $.
      $d a b c t u v x y z V $.  $d e a c u v $.
      $( Part of proof of Lemma D in [Crawley] p. 113.  TODO: fix comment.
         TODO: can we get rid of ` G ` stuff if we show ` G = ``' F ` earlier?
         (Contributed by NM, 9-Apr-2013.) $)
      cdleme50rnlem $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
         -> ran F = B ) $=
        ( ve vd chlt wcel wa wbr wn w3a crn cdleme50f frnd cv cfv cdlemeg46fvcl
        wceq wrex cdleme48fgv fveqeq2 rspcev syl2anc wf wfn adantr fvelrnb 3syl
        wb ffn mpbird eqelssd ) RVEVFUDPVFVGJGVFJUDSVHVIVGKGVFKUDSVHVIVGVJZVCNV
        KZHWLHHNABCFGHIJKLMNPQRSTUDUEUIUJUKULUMUNUOUPUQURVLZVMWLVCVNZHVFZVGZWOW
        MVFZVDVNZNVOWOVQZVDHVRZWQWOOVOZHVFXBNVOWOVQZXADEGHJKOPQRSTUAUBUCUDWOUFU
        GUHUIUJUKULUMUNUSUTVAVBVPABCDEFGHIJKLMNOPQRSTUAUBUCUDWOUEUFUGUHUIUJUKUL
        UMUNUOUPUQURUSUTVAVBVSWTXCVDXBHWSXBWONVTWAWBWQHHNWCZNHWDWRXAWHWLXDWPWNW
        EHHNWIVDHWONWFWGWJWK $.
    $}

    $( Part of proof of Lemma D in [Crawley] p. 113.  TODO: fix comment.
       (Contributed by NM, 9-Apr-2013.) $)
    cdleme50rn $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
         -> ran F = B ) $=
      ( vv vu va vc vb wne cv wbr wn wa co wceq wral crio csb cif cdleme50rnlem
      wi cmpt eqid ) ABCUJUKDEFGHIJKLULFIHUOULUPZRPUQURUSUKUPZRPUQURVKVJRQUTZNU
      TVJVAUSUMUPVKIHNUTZPUQUJUPZRPUQURVNVMPUQURUSUNUPVMVNVMRQUTZNUTHIVNNUTRQUT
      NUTQUTZVKVNNUTRQUTNUTQUTZVAVGUJEVBUNFVCUJVKVPVDVEVLNUTVAVGUKEVBUMFVCVJVEV
      HZMNOPQVPVQVORSULUNUMTUAUBUCUDUEUFUGUHUIVOVIVPVIVQVIVRVIVF $.

    $( Part of proof of Lemma D in [Crawley] p. 113.  TODO: fix comment.
       (Contributed by NM, 9-Apr-2013.) $)
    cdleme50f1o $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
         -> F : B -1-1-onto-> B ) $=
      ( chlt wcel wa wbr w3a wf1 crn wceq cdleme50f1 cdleme50rn dff1o5 sylanbrc
      wn wf1o ) OUJUKRMUKULHEUKHRPUMVBULIEUKIRPUMVBULUNFFLUOLUPFUQFFLVCABCDEFGH
      IJKLMNOPQRSTUAUBUCUDUEUFUGUHUIURABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUSF
      FLUTVA $.

    ${
      cdleme50laut.i $e |- I = ( LAut ` K ) $.
      $( Part of proof of Lemma D in [Crawley] p. 113. ` F ` is a lattice
         automorphism.  TODO: fix comment.  (Contributed by NM, 9-Apr-2013.) $)
      cdleme50laut $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
         -> F e. I ) $=
        ( vd ve chlt wcel wa wbr wn w3a wf1o cv cfv wb cdleme50f1o cdleme50lebi
        wral ralrimivva simp1l islaut syl mpbir2and ) PUNUOZSMUOZUPHEUOHSQUQURU
        PZIEUOISQUQURUPZUSZLNUOZFFLUTZULVAZUMVAZQUQVSLVBVTLVBQUQVCZUMFVFULFVFZA
        BCDEFGHIJKLMOPQRSTUAUBUCUDUEUFUGUHUIUJVDVPWAULUMFFABCDEFGHIJKLMOPQRSVSV
        TTUAUBUCUDUEUFUGUHUIUJVEVGVPVLVQVRWBUPVCVLVMVNVOVHULUMUNFLNPQUAUBUKVIVJ
        VK $.
    $}

    ${
      cdleme50ldil.i $e |- C = ( ( LDil ` K ) ` W ) $.
      $( Part of proof of Lemma D in [Crawley] p. 113. ` F ` is a lattice
         dilation.  TODO: fix comment.  (Contributed by NM, 9-Apr-2013.) $)
      cdleme50ldil $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
         -> F e. C ) $=
        ( ve chlt wcel wa wbr wn w3a claut cfv cv wceq wi wral cdleme50laut wne
        eqid simpr con2i co crio csb cif cdleme31fv2 sylan2 ex rgen wb 3ad2ant1
        a1i isldil mpbir2and ) PUMUNSNUNUOZIEUNISQUPUQUOZJEUNJSQUPUQUOZURZMGUNZ
        MPUSUTZUNZULVAZSQUPZWJMUTWJVBZVCZULFVDZABCDEFHIJKLMNWHOPQRSTUAUBUCUDUEU
        FUGUHUIUJWHVGZVEWNWFWMULFWJFUNZWKWLWKWPIJVFZWKUQZUOZUQWLWSWKWQWRVHVIAFI
        JMQTVAZSQUPUQWTAVAZSRVJZOVJXAVBUOCVAWTIJOVJZQUPDVAZSQUPUQXDXCQUPUQUOBVA
        LVBVCDEVDBFVKDWTHVLVMXBOVJVBVCTEVDCFVKSWJUJVNVOVPVQVTWCWDWGWIWNUOVRWEUL
        FUMGMNWHPQSUAUBUFWOUKWAVSWB $.
    $}

    $( Part of proof that ` F ` is a translation. ` -. R .<_ ( P .\/ Q ) `
       case.  TODO: fix comment.  (Contributed by NM, 10-Apr-2013.) $)
    cdleme50trn1 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
           /\ -. R .<_ ( P .\/ Q ) )
         -> ( ( R .\/ ( F ` R ) ) ./\ W ) = U ) $=
      ( chlt wcel wa wbr wn w3a wne co cdlemefr45e oveq2d oveq1d simp11 simp12l
      cfv wceq simp13l simp2r eqid cdleme2 syl13anc eqtrd ) PUKULSNULUMZHEULZHS
      QUNUOZUMZIEULZISQUNUOZUMZUPZHIUQZJEULJSQUNUOUMZUMZJHIOURQUNUOZUPZJJMVDZOU
      RZSRURJJKOURIHJOURSRUROURRURZOURZSRURZKWDWFWHSRWDWEWGJOABCDEFGHIJKLMNOPQR
      STUAUBUCUDUEUFUGUHUJUSUTVAWDVLVMVPWAWIKVEVLVOVRWBWCVBVMVNVLVRWBWCVCVPVQVL
      VOWBWCVFVSVTWAWCVGEHIJKWGNOPQRSUBUCUDUEUFUGWGVHVIVJVK $.

    $( Part of proof that ` F ` is a translation. ` R .<_ ( P .\/ Q ) ` case.
       TODO: fix comment.  (Contributed by NM, 10-Apr-2013.) $)
    cdleme50trn2a $p |- ( ( ( ( K e. HL /\ W e. H )
          /\ ( P e. A /\ -. P .<_ W )
          /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) /\ ( S e. A /\ -. S .<_ W ) )
       /\ ( R .<_ ( P .\/ Q ) /\ -. S .<_ ( P .\/ Q ) ) )
      -> ( ( R .\/ ( F ` R ) ) ./\ W ) = U ) $=
      ( chlt wcel wa wbr wn w3a wne cfv cdlemefs45ee oveq2d oveq1d wceq simp12l
      simp11 simp13l simp22 simp23 simp3l eqid cdleme5 syl132anc eqtr4di eqtrd
      co ) QULUMTOUMUNZHEUMZHTRUOUPZUNZIEUMZITRUOUPZUNZUQZHIURZJEUMJTRUOUPUNZKE
      UMKTRUOUPUNZUQZJHIPVOZRUOZKWHRUOUPZUNZUQZJJNUSZPVOZTSVOJWHKLPVOIHKPVOTSVO
      PVOSVOZJKPVOTSVOPVOSVOZPVOZTSVOZLWLWNWQTSWLWMWPJPABCDEFGHIJKLMNOPQRSTUAUB
      UCUDUEUFUGUHUIUKUJUTVAVBWLWRWHTSVOLWLWQWHTSWLVPVQVTWEWFWIWQWHVCVPVSWBWGWK
      VEVQVRVPWBWGWKVDVTWAVPVSWGWKVFWCWDWEWFWKVGWCWDWEWFWKVHWCWGWIWJVIEHIJKLWOW
      POPQRSTUCUDUEUFUGUHWOVJWPVJVKVLVBUHVMVN $.

    $d e .\/ $.  $d e ./\ $.  $d e R $.  $d e U $.
    $( Part of proof that ` F ` is a translation.  Remove ` S ` hypotheses no
       longer needed from ~ cdleme50trn2a .  TODO: fix comment.  (Contributed
       by NM, 10-Apr-2013.) $)
    cdleme50trn2 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) )
           /\ R .<_ ( P .\/ Q ) )
         -> ( ( R .\/ ( F ` R ) ) ./\ W ) = U ) $=
      ( ve chlt wcel wa wbr wn w3a wne co cv wrex cfv wceq simp11 simp12 simp13
      simp2l cdlemb2 syl121anc simp1 simp2r simp3rl simprrl 3ad2ant3 jca simp3l
      wi simprrr cdleme50trn2a syl132anc 3exp exp4a 3imp expd rexlimdv mpd ) PU
      LUMSNUMUNZHEUMHSQUOUPUNZIEUMISQUOUPUNZUQZHIURZJEUMJSQUOUPUNZUNZJHIOUSZQUO
      ZUQZUKUTZSQUOUPZWQWNQUOUPZUNZUKEVAZJJMVBOUSSRUSKVCZWPWGWHWIWKXAWGWHWIWMWO
      VDWGWHWIWMWOVEWGWHWIWMWOVFWJWKWLWOVGEHINOPQSUKUBUCUEUFVHVIWPWTXBUKEWPWQEU
      MZWTXBWJWMWOXCWTUNZXBVQWJWMWOXDXBWJWMWOXDUNZXBWJWMXEUQZWJWKWLXCWRUNWOWSXB
      WJWMXEVJWJWKWLXEVGWJWKWLXEVKXFXCWRXCWTWOWJWMVLXEWJWRWMWOXCWRWSVMVNVOWJWMW
      OXDVPXEWJWSWMWOXCWRWSVRVNABCDEFGHIJWQKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJVSVTWA
      WBWCWDWEWF $.

    $( Part of proof that ` F ` is a translation.  Combine
       ` R .<_ ( P .\/ Q ) ` and ` -. R .<_ ( P .\/ Q ) ` cases.  TODO: fix
       comment.  (Contributed by NM, 10-Apr-2013.) $)
    cdleme50trn12 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( P =/= Q /\ ( R e. A /\ -. R .<_ W ) ) )
         -> ( ( R .\/ ( F ` R ) ) ./\ W ) = U ) $=
      ( chlt wcel wa wbr wn w3a wne co cfv wceq cdleme50trn2 3expa cdleme50trn1
      pm2.61dan ) PUKULSNULUMHEULHSQUNUOUMIEULISQUNUOUMUPZHIUQJEULJSQUNUOUMUMZU
      MJHIOURQUNZJJMUSOURSRURKUTZVEVFVGVHABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUI
      UJVAVBVEVFVGUOVHABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJVCVBVD $.

    $( Part of proof that ` F ` is a translation. ` P = Q ` case.  TODO: fix
       comment.  (Contributed by NM, 10-Apr-2013.) $)
    cdleme50trn3 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( P = Q /\ ( R e. A /\ -. R .<_ W ) ) )
         -> ( ( R .\/ ( F ` R ) ) ./\ W ) = U ) $=
      ( chlt wcel wa wbr wn w3a wceq cfv cp0 simpl1 simprr eqid syl2anc simprrl
      co lhpmat atbase syl simprl cv wi wral crio csb cdleme31id oveq2d simpl1l
      cif hlatjidm eqtrd oveq1d simpl2 3eqtr4d simpl2l eqtr3d eqtr4di ) PUKULZS
      NULZUMZHEULZHSQUNUOZUMZIEULISQUNUOUMZUPZHIUQZJEULZJSQUNUOZUMZUMZUMZJJMURZ
      OVEZSRVEZHIOVEZSRVEZKWTXCHSRVEZXEWTJSRVEZPUSURZXCXFWTWIWRXGXHUQWIWLWMWSUT
      ZWNWOWRVAEJNPQRSXHUBUDXHVBZUEUFVFVCWTXBJSRWTXBJJOVEZJWTXAJJOWTJFULZWOXAJU
      QWTWPXLWNWOWPWQVDZEFJPUAUEVGVHWNWOWRVIZAFHIMQTVJZSQUNUOXOAVJZSRVEZOVEXPUQ
      UMCVJXOXDQUNDVJZSQUNUOXRXDQUNUOUMBVJLUQVKDEVLBFVMDXOGVNVRXQOVEUQVKTEVLCFV
      MSJUJVOVCVPWTWGWPXKJUQWGWHWLWMWSVQZXMEOPJUCUEVSVCVTWAWTWIWLXFXHUQXIWIWLWM
      WSWBEHNPQRSXHUBUDXJUEUFVFVCWCWTHXDSRWTHHOVEZHXDWTWGWJXTHUQXSWJWKWIWMWSWDE
      OPHUCUEVSVCWTHIHOXNVPWEWAVTUGWF $.

    $( Part of proof that ` F ` is a translation.  Combine all cases.  TODO:
       fix comment.  (Contributed by NM, 10-Apr-2013.) $)
    cdleme50trn123 $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( R e. A /\ -. R .<_ W ) )
         -> ( ( R .\/ ( F ` R ) ) ./\ W ) = U ) $=
      ( chlt wcel wa wbr wn w3a cfv co wceq cdleme50trn3 anass1rs cdleme50trn12
      wne pm2.61dane ) PUKULSNULUMHEULHSQUNUOUMIEULISQUNUOUMUPZJEULJSQUNUOUMZUM
      JJMUQOURSRURKUSZHIVEHIUSVFVGABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUTVAV
      EHIVCVFVGABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJVBVAVD $.

    $d d e s t x y z G $.  $d a b c t u x y z N $.  $d a b c x y z O $.
    $d a b c t u v x y z V $.  $d e a b c u v $.
    ${
      cdlemef51.v $e |- V = ( ( Q .\/ P ) ./\ W ) $.
      $( g(t), ` -. ` v ` <_ ` p ` \/ ` q. $)
      cdlemef51.n $e |- N
          = ( ( v .\/ V ) ./\ ( P .\/ ( ( Q .\/ v ) ./\ W ) ) ) $.
      $( g_t(s), u ` <_ ` p ` \/ ` q $)
      cdlemefs51.o $e |- O
          = ( ( Q .\/ P ) ./\ ( N .\/ ( ( u .\/ v ) ./\ W ) ) ) $.
      cdlemef51.g $e |- G = ( a e. B |->
         if ( ( Q =/= P /\ -. a .<_ W ) ,
           $( g(x) when p ` =/= ` q and ` -. ` a ` <_ ` w. $)
           ( iota_ c e. B A. u e. A
                ( ( -. u .<_ W /\ ( u .\/ ( a ./\ W ) ) = a ) -> c = (
                    $( g_t(s), u ` <_ ` p ` \/ ` q $)
                    if ( u .<_ ( Q .\/ P ) ,
                       ( iota_ b e. B A. v e. A
                             ( ( -. v .<_ W /\ -. v .<_ ( Q .\/ P ) )
                             -> b = O ) ) ,
                    $( g(s), ` -. ` u ` <_ ` p ` \/ ` q. $)
                       [_ u / v ]_ N )
                .\/ ( a ./\ W ) ) ) ) ,
           $( g(x) when p = q or a ` <_ ` w is just x. $)
           a ) ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  TODO: fix comment.
         (Contributed by NM, 14-Apr-2013.)  (New usage is discouraged.) $)
      cdleme51finvfvN $p |- ( ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) ) /\ X e. B )
         -> ( `' F ` X ) = ( G ` X ) ) $=
        ( chlt wcel wa wbr wn w3a cfv wceq ccnv cdleme48fgv wf1o wi cdleme50f1o
        adantr cdlemeg46fvcl f1ocnvfv syl2anc mpd ) RVDVEUDPVEVFJGVEJUDSVGVHVFK
        GVEKUDSVGVHVFVIZUEHVEZVFZUEOVJZNVJUEVKZUENVLVJWEVKZABCDEFGHIJKLMNOPQRST
        UAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVMWDHHNVNZWEHVEWFWGVOWBWH
        WCABCFGHIJKLMNPQRSTUDUFUJUKULUMUNUOUPUQURUSVPVQDEGHJKOPQRSTUAUBUCUDUEUG
        UHUIUJUKULUMUNUOUTVAVBVCVRHHWEUENVSVTWA $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  TODO: fix comment.
         (Contributed by NM, 14-Apr-2013.)  (New usage is discouraged.) $)
      cdleme51finvN $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
         -> `' F = G ) $=
        ( ve chlt wcel wa wbr w3a ccnv wfn wf1o cdleme50f1o dff1o4 sylib simprd
        wn 3com23 f1ofn syl cv cdleme51finvfvN eqfnfvd ) RVDVEUDPVEVFZJGVEJUDSV
        GVPVFZKGVEKUDSVGVPVFZVHZVCHNVIZOWFNHVJZWGHVJZWFHHNVKWHWIVFABCFGHIJKLMNP
        QRSTUDUEUIUJUKULUMUNUOUPUQURVLHHNVMVNVOWFHHOVKZOHVJWCWEWDWJUFUGUHDGHUAK
        JUCUBOPQRSTUDEUIUJUKULUMUNUSUTVAVBVLVQHHOVRVSABCDEFGHIJKLMNOPQRSTUAUBUC
        UDVCVTUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBWAWB $.
    $}

    ${
      cdleme50ltrn.t $e |- T = ( ( LTrn ` K ) ` W ) $.
      $( Part of proof of Lemma E in [Crawley] p. 113. ` F ` is a lattice
         translation.  TODO: fix comment.  (Contributed by NM, 10-Apr-2013.) $)
      cdleme50ltrn $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
         -> F e. T ) $=
        ( vd ve chlt wcel wa wbr wn w3a cldil cv co wceq wral eqid cdleme50ldil
        cfv wi simp1 simp2l simp3l cdleme50trn123 syl12anc simp2r simp3r eqtr4d
        3exp ralrimivv wb isltrn 3ad2ant1 mpbir2and ) PUNUOSNUOUPZHEUOHSQUQURUP
        ZIEUOISQUQURUPZUSZMJUOZMSPUTVGVGZUOZULVAZSQUQURZUMVAZSQUQURZUPZWJWJMVGO
        VBSRVBZWLWLMVGOVBSRVBZVCZVHZUMEVDULEVDZABCDEFWHGHIKLMNOPQRSTUAUBUCUDUEU
        FUGUHUIUJWHVEZVFWFWRULUMEEWFWJEUOZWLEUOZUPZWNWQWFXCWNUSZWOKWPXDWFXAWKWO
        KVCWFXCWNVIZWFXAXBWNVJWFXCWKWMVKABCDEFGHIWJKLMNOPQRSTUAUBUCUDUEUFUGUHUI
        UJVLVMXDWFXBWMWPKVCXEWFXAXBWNVNWFXCWKWMVOABCDEFGHIWLKLMNOPQRSTUAUBUCUDU
        EUFUGUHUIUJVLVMVPVQVRWCWDWGWIWSUPVSWEEUNWHJMNOPQRSUMULUBUCUDUEUFWTUKVTW
        AWB $.

      $( Part of proof of Lemma E in [Crawley] p. 113.  TODO: fix comment.
         (Contributed by NM, 14-Apr-2013.)  (New usage is discouraged.) $)
      cdleme51finvtrN $p |- ( ( ( K e. HL /\ W e. H )
               /\ ( P e. A /\ -. P .<_ W )
               /\ ( Q e. A /\ -. Q .<_ W ) )
           -> `' F e. T ) $=
        ( va vu vc vv vb chlt wcel wa wbr wn w3a ccnv wne cv wceq wral crio csb
        co wi cif cmpt eqid cdleme51finvN cdleme50ltrn 3com23 eqeltrd ) PUQURSN
        URUSZHEURHSQUTVAUSZIEURISQUTVAUSZVBMVCULFIHVDULVEZSQUTVAUSUMVEZSQUTVAWC
        WBSRVJZOVJWBVFUSUNVEWCIHOVJZQUTUOVEZSQUTVAWFWEQUTVAUSUPVEWEWFWESRVJZOVJ
        HIWFOVJSRVJOVJRVJZWCWFOVJSRVJOVJRVJZVFVKUOEVGUPFVHUOWCWHVIVLWDOVJVFVKUM
        EVGUNFVHWBVLVMZJABCUOUMDEFGHIKLMWJNOPQRWHWIWGSTULUPUNUAUBUCUDUEUFUGUHUI
        UJWGVNZWHVNZWIVNZWJVNZVOVSWAVTWJJURULUPUNUOEFWHIHJWGWIWJNOPQRSUMUAUBUCU
        DUEUFWKWLWMWNUKVPVQVR $.
    $}
  $}

  ${
    $d f s t x y z A $.  $d s t x y z H $.  $d f s t x y z K $.
    $d f s t x y z .<_ $.  $d f s t x y z P $.  $d f s t x y z Q $.  $d f T $.
    $d f s t x y z W $.
    cdleme.l $e |- .<_ = ( le ` K ) $.
    cdleme.a $e |- A = ( Atoms ` K ) $.
    cdleme.h $e |- H = ( LHyp ` K ) $.
    cdleme.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Part of Lemma E in [Crawley] p. 113.  TODO: fix comment.  (Contributed
       by NM, 11-Apr-2013.) $)
    cdleme50ex $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
         -> E. f e. T ( f ` P ) = Q ) $=
      ( wa wbr wn cv co wceq eqid vx vs vz vt vy chlt wcel w3a cbs cfv wne cmee
      cjn wi wral crio csb cmpt wrex cdleme50ltrn cdleme17d fveq1 eqeq1d rspcev
      cif syl2anc ) GUFUGIFUGNBAUGBIHOPNCAUGCIHOPNUHUAGUIUJZBCUKUAQZIHOPNUBQZIH
      OPVIVHIGULUJZRZGUMUJZRVHSNUCQVIBCVLRZHOUDQZIHOPVNVMHOPNUEQVMVNVMIVJRZVLRC
      BVNVLRIVJRVLRVJRZVIVNVLRIVJRVLRVJRZSUNUDAUOUEVGUPUDVIVPUQVEVKVLRSUNUBAUOU
      CVGUPVHVEURZDUGBVRUJZCSZBEQZUJZCSZEDUSUAUEUCUDAVGVPBCDVOVQVRFVLGHVJIUBVGT
      ZJVLTZVJTZKLVOTZVPTZVQTZVRTZMUTUAUEUCUDAVGVPBCVOVQVRFVLGHVJIUBWDJWEWFKLWG
      WHWIWJVAWCVTEVRDWAVRSWBVSCBWAVRVBVCVDVF $.

    $d f H $.  $d z T $.
    $( Lemma E in [Crawley] p. 113.  If p,q are atoms not under hyperplane w,
       then there is a unique translation f such that f(p) = q.  (Contributed
       by NM, 11-Apr-2013.) $)
    cdleme $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
         -> E! f e. T ( f ` P ) = Q ) $=
      ( vz wcel wa wbr wn w3a wceq chlt cv cfv wrex wral wreu cdleme50ex simp11
      simp2l simp2r simp12 eqtr3 3ad2ant3 cdlemd syl311anc 3exp ralrimivv fveq1
      wi eqeq1d reu4 sylanbrc ) GUAOIFOPZBAOBIHQRPZCAOCIHQRPZSZBEUBZUCZCTZEDUDV
      IBNUBZUCZCTZPZVGVJTZUSZNDUEEDUEVIEDUFABCDEFGHIJKLMUGVFVOENDDVFVGDOZVJDOZP
      ZVMVNVFVRVMSVCVPVQVDVHVKTZVNVCVDVEVRVMUHVFVPVQVMUIVFVPVQVMUJVCVDVEVRVMUKV
      MVFVSVRVHVKCULUMABDVGVJFGHIJKLMUNUOUPUQVIVLENDVNVHVKCBVGVJURUTVAVB $.
  $}

  ${
    $d p q A $.  $d p q H $.  $d p q K $.  $d p q .<_ $.  $d q P $.
    $d p q U $.  $d p q W $.
    cdlemf1.l $e |- .<_ = ( le ` K ) $.
    cdlemf1.j $e |- .\/ = ( join ` K ) $.
    cdlemf1.a $e |- A = ( Atoms ` K ) $.
    cdlemf1.h $e |- H = ( LHyp ` K ) $.
    $( Part of Lemma F in [Crawley] p. 116.  TODO: should this or part of it
       become a stand-alone theorem?  (Contributed by NM, 12-Apr-2013.) $)
    cdlemf1 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( U e. A /\ U .<_ W )
        /\ ( P e. A /\ -. P .<_ W ) )
     -> E. q e. A ( P =/= q /\ -. q .<_ W /\ U .<_ ( P .\/ q ) ) ) $=
      ( wcel wa wbr w3a wne co syl chlt wrex simp1l simp3l simp2l simp2r simp3r
      nbrne2 necomd syl2anc hlsupr syl31anc simp31 simp13r simp12r clat cbs cfv
      wn cv wb simp11l hllatd atbase 3ad2ant2 simp12l simp11r latjle12 syl13anc
      lhpbase biimpd mpan2d simp33 clc wi hlcvl simp2 simp13l simp32 cvlatexch2
      eqid syl131anc hlatjcl syl3anc lattr mpand syld mtod cvlatexch1 3jca 3exp
      mpd reximdvai ) FUANZHDNZOZCANZCHGPZOZBANZBHGPZUSZOZQZIUTZBRZXECRZXEBCESG
      PZQZIAUBZBXERZXEHGPZUSZCBXEESGPZQZIAUBXDWNWTWQBCRZXJWNWOWSXCUCWPWSWTXBUDW
      PWQWRXCUEXDWRXBXPWPWQWRXCUFWPWSWTXBUGWRXBOCBCBHGUHUIUJABCEFGIJKLUKULXDXIX
      OIAXDXEANZXIXOXDXQXIQZXKXMXNXRXEBXDXQXFXGXHUMZUIXRXLXAWTXBWPWSXQXIUNXRXLX
      ECESZHGPZXAXRXLWRYAWQWRWPXCXQXIUOXRXLWROZYAXRFUPNZXEFUQURZNZCYDNZHYDNZYBY
      AVAXRFWNWOWSXCXQXIVBZVCZXQXDYEXIAYDXEFYDWAZLVDVEXRWQYFWQWRWPXCXQXIVFZAYDC
      FYJLVDTXRWOYGWNWOWSXCXQXIVGYDDFHYJMVJTZYDEFGXECHYJJKVHVIVKVLXRBXTGPZYAXAX
      RXHYMXDXQXFXGXHVMZXRFVNNZXQWTWQXGXHYMVOXRWNYOYHFVPTZXDXQXIVQZWTXBWPWSXQXI
      VRZYKXDXQXFXGXHVSAXEBCEFGJKLVTWBWLXRYCBYDNZXTYDNZYGYMYAOXAVOYIXRWTYSYRAYD
      BFYJLVDTXRWNXQWQYTYHYQYKAYDEFXECYJKLWCWDYLYDFGBXTHYJJWEVIWFWGWHXRXHXNYNXR
      YOXQWQWTXFXHXNVOYPYQYKYRXSAXECBEFGJKLWIWBWLWJWKWMWL $.

    cdlemf2.m $e |- ./\ = ( meet ` K ) $.
    $( Part of Lemma F in [Crawley] p. 116.  (Contributed by NM,
       12-Apr-2013.) $)
    cdlemf2 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( U e. A /\ U .<_ W ) )
     -> E. p e. A E. q e. A ( ( -. p .<_ W /\ -. q .<_ W )
            /\ U = ( ( p .\/ q ) ./\ W ) ) ) $=
      ( wcel wa wbr wrex w3a chlt cv wn co wceq lhpexnle adantr cdlemf1 simpr1r
      wne wi simpr32 simpr33 simplrr clat cbs wb hllat ad3antrrr simplrl atbase
      cfv eqid simplll simpr1l simpr2 hlatjcl syl3anc lhpbase ad3antlr latlem12
      syl syl13anc mpbi2and cal hlatl simpr31 lhpat syl122anc atcmp mpbid jca31
      simpll 3exp2 3impia reximdvai mpd 3expia expd ) EUAPZHCPZQZBAPZBHFRZQZQZJ
      UBZHFRUCZJASZWRIUBZHFRUCZQBWQWTDUDZHGUDZUEZQZIASZJASWLWSWOACEFHJKMNUFUGWP
      WRXFJAWPWQAPZWRXFWLWOXGWRQZXFWLWOXHTZWQWTUJZXABXBFRZTZIASXFAWQBCDEFHIKLMN
      UHXIXLXEIAWLWOXHWTAPZXLXEUKUKWPXHXMXLXEWPXHXMXLTZQZWRXAXDXGWRXMXLWPUIZXJX
      AXKXHXMWPULXOBXCFRZXDXOXKWNXQXJXAXKXHXMWPUMWLWMWNXNUNXOEUOPZBEUPVBZPZXBXS
      PZHXSPZXKWNQXQUQWJXRWKWOXNEURUSXOWMXTWLWMWNXNUTZAXSBEXSVCZMVAVLXOWJXGXMYA
      WJWKWOXNVDXGWRXMXLWPVEZWPXHXMXLVFZAXSDEWQWTYDLMVGVHWKYBWJWOXNXSCEHYDNVIVJ
      XSEFGBXBHYDKOVKVMVNXOEVOPZWMXCAPZXQXDUQWJYGWKWOXNEVPUSYCXOWLXGWRXMXJYHWLW
      OXNWCYEXPYFXJXAXKXHXMWPVQAWQWTCDEFGHKLOMNVRVSABXCEFKMVTVHWAWBWDWEWFWGWHWI
      WFWG $.
  $}

  ${
    $d f p q A $.  $d f p q H $.  $d f p q K $.  $d f p q .<_ $.  $d p q R $.
    $d f p q T $.  $d f p q U $.  $d f p q W $.
    cdlemf.l $e |- .<_ = ( le ` K ) $.
    cdlemf.a $e |- A = ( Atoms ` K ) $.
    cdlemf.h $e |- H = ( LHyp ` K ) $.
    cdlemf.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemf.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( Lemma F in [Crawley] p. 116.  If u is an atom under w, there exists a
       translation whose trace is u.  (Contributed by NM, 12-Apr-2013.) $)
    cdlemf $p |- ( ( ( K e. HL /\ W e. H ) /\ ( U e. A /\ U .<_ W ) )
                   -> E. f e. T ( R ` f ) = U ) $=
      ( vp vq wcel wa cfv co chlt wbr cv wn cjn cmee wceq wrex eqid cdlemf2 w3a
      simp1l simp2l simp3ll simp2r cdleme50ex syl122anc wi simp3r oveq2d oveq1d
      simp3lr simp11 simp3l simp13l simp2ll trlval2 syl112anc 3eqtr4d 3exp 3imp
      3expia expd reximdvai mpd rexlimdvv ) GUAQIFQRZDAQDIHUBRZRZOUCZIHUBUDZPUC
      ZIHUBUDZRZDVTWBGUESZTZIGUFSZTZUGZRZPAUHOAUHEUCZBSZDUGZECUHZADFWEGHWGIPOJW
      EUIZKLWGUIZUJVSWJWNOPAAVSVTAQZWBAQZRZWJWNVSWSWJUKZVTWKSZWBUGZECUHZWNWTVQW
      QWAWRWCXCVQVRWSWJULVSWQWRWJUMWAWCWIVSWSUNVSWQWRWJUOWAWCWIVSWSVBAVTWBCEFGH
      IJKLMUPUQWTXBWMECWTWKCQZXBWMVSWSWJXDXBRZWMURZVQVRWSWJXFURVQVRWSUKZWJXEWMX
      GWJXEUKZVTXAWETZIWGTZWHWLDXHXIWFIWGXHXAWBVTWEXGWJXDXBUSUTVAXHVQXDWQWAWLXJ
      UGVQVRWSWJXEVCXGWJXDXBVDWQWRVQVRWJXEVEWAWCWIXGXEVFAVTBCWKFWEGHWGIJWOWPKLM
      NVGVHXGWDWIXEUOVIVJVLVKVMVNVOVJVPVO $.
  $}

  ${
    $d f A $.  $d f H $.  $d f K $.  $d f .<_ $.  $d f T $.  $d f U $.
    $d f W $.
    cdlemfnid.b $e |- B = ( Base ` K ) $.
    cdlemfnid.l $e |- .<_ = ( le ` K ) $.
    cdlemfnid.a $e |- A = ( Atoms ` K ) $.
    cdlemfnid.h $e |- H = ( LHyp ` K ) $.
    cdlemfnid.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemfnid.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( ~ cdlemf with additional constraint of non-identity.  (Contributed by
       NM, 20-Jun-2013.) $)
    cdlemfnid $p |- ( ( ( K e. HL /\ W e. H ) /\ ( U e. A /\ U .<_ W ) )
     -> E. f e. T ( ( R ` f ) = U /\ f =/= ( _I |` B ) ) ) $=
      ( chlt wcel wa wrex wbr cv cfv wceq cid cres wne cdlemf w3a simp3 simp1rl
      eqeltrd wb simp1l simp2 trlnidatb syl2anc mpbird jca 3expia reximdva mpd
      ) HQRJGRSZEARZEJIUAZSZSZFUBZCUCZEUDZFDTVJVHUEBUFUGZSZFDTACDEFGHIJLMNOPUHV
      GVJVLFDVGVHDRZVJVLVGVMVJUIZVJVKVGVMVJUJZVNVKVIARZVNVIEAVOVDVEVCVMVJUKULVN
      VCVMVKVPUMVCVFVMVJUNVGVMVJUOABCDVHGHJKMNOPUPUQURUSUTVAVB $.
  $}

  ${
    $d u B $.  $d u f X $.  $d u f Y $.  $d u f Z $.  $d u f H $.  $d u f K $.
    $d u f R $.  $d u f T $.  $d u f W $.
    cdlemftr.b $e |- B = ( Base ` K ) $.
    cdlemftr.h $e |- H = ( LHyp ` K ) $.
    cdlemftr.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemftr.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( Special case of ~ cdlemf showing existence of non-identity translation
       with trace different from any 3 given lattice elements.  (Contributed by
       NM, 24-Jul-2013.) $)
    cdlemftr3 $p |- ( ( K e. HL /\ W e. H )
  -> E. f e. T ( f =/= ( _I |` B )
         /\ ( ( R ` f ) =/= X /\ ( R ` f ) =/= Y /\ ( R ` f ) =/= Z ) ) ) $=
      ( vu wcel wa wne wrex wex chlt cv cfv wceq cid cres w3a catm wbr lhpexle3
      cple eqid df-rex sylib cdlemfnid adantrrr eqcom anbi1i rexbii simprrr jca
      ex eximdv rexcom4 anass exbii fvex neeq1 3anbi123d anbi2d ceqsexv r19.41v
      mpd bitri 3bitr3ri ) FUAPGEPQZOUBZDUBZBUCZUDZVRUEAUFRZQZDCSZVQHRZVQIRZVQJ
      RZUGZQZOTZWAVSHRZVSIRZVSJRZUGZQZDCSZVPVQFUHUCZPZVQGFUKUCZUIZWGQZQZOTZWIVP
      WTOWPSXBWPEFWRGHIJOWRULZWPULZLUJWTOWPUMUNVPXAWHOVPXAWHVPXAQZWCWGXEVSVQUDZ
      WAQZDCSZWCVPWQWSXHWGWPABCVQDEFWRGKXCXDLMNUOUPXGWBDCXFVTWAVSVQUQURUSUNVPWQ
      WSWGUTVAVBVCVMWBWGQZOTZDCSXIDCSZOTWOWIXIDOCVDXJWNDCXJVTWAWGQZQZOTWNXIXMOV
      TWAWGVEVFXLWNOVSVRBVGVTWGWMWAVTWDWJWEWKWFWLVQVSHVHVQVSIVHVQVSJVHVIVJVKVNU
      SXKWHOWBWGDCVLVFVOUN $.

    $( Special case of ~ cdlemf showing existence of non-identity translation
       with trace different from any 2 given lattice elements.  (Contributed by
       NM, 25-Jul-2013.) $)
    cdlemftr2 $p |- ( ( K e. HL /\ W e. H )
  -> E. f e. T ( f =/= ( _I |` B ) /\ ( R ` f ) =/= X /\ ( R ` f ) =/= Y ) ) $=
      ( chlt wcel wa cv wne w3a wrex cid cres cfv cdlemftr3 simpl simpr1 simpr2
      3jca reximi syl ) FNOGEOPDQZUAAUBRZUKBUCZHRZUMIRZUOSZPZDCTULUNUOSZDCTABCD
      EFGHIIJKLMUDUQURDCUQULUNUOULUPUEULUNUOUOUFULUNUOUOUGUHUIUJ $.

    $( Part of proof of Lemma G of [Crawley] p. 116, sixth line of third
       paragraph on p. 117: there is "a translation h, different from the
       identity, such that tr h ` =/= ` tr f."  (Contributed by NM,
       25-Jul-2013.) $)
    cdlemftr1 $p |- ( ( K e. HL /\ W e. H )
        -> E. f e. T ( f =/= ( _I |` B ) /\ ( R ` f ) =/= X ) ) $=
      ( chlt wcel wa cv cid cres wne wrex cfv w3a cdlemftr2 3simpa reximi syl )
      FMNGENODPZQARSZUGBUAHSZUIUBZDCTUHUIOZDCTABCDEFGHHIJKLUCUJUKDCUHUIUIUDUEUF
      $.
  $}

  ${
    $d f H $.  $d f K $.  $d f T $.  $d f W $.
    cdlemftr0.b $e |- B = ( Base ` K ) $.
    cdlemftr0.h $e |- H = ( LHyp ` K ) $.
    cdlemftr0.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Special case of ~ cdlemf showing existence of a non-identity
       translation.  (Contributed by NM, 1-Aug-2013.) $)
    cdlemftr0 $p |- ( ( K e. HL /\ W e. H ) -> E. f e. T f =/= ( _I |` B ) ) $=
      ( chlt wcel wa cv cid cres wne ctrl cfv wrex eqid cdlemftr1 simpl reximi
      syl ) EJKFDKLCMZNAOPZUEFEQRRZRNPZLZCBSUFCBSAUGBCDEFNGHIUGTUAUIUFCBUFUHUBU
      CUD $.
  $}

  ${
    $d f g u .<_ $.  $d g u A $.  $d f g u B $.  $d f g u H $.  $d f g u K $.
    $d f g u R $.  $d f g u T $.  $d f g u W $.  $d f g u X $.  $d f g u Y $.
    trlord.b $e |- B = ( Base ` K ) $.
    trlord.l $e |- .<_ = ( le ` K ) $.
    trlord.a $e |- A = ( Atoms ` K ) $.
    trlord.h $e |- H = ( LHyp ` K ) $.
    trlord.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlord.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( The ordering of two Hilbert lattice elements (under the fiducial
       hyperplane ` W ` ) is determined by the translations whose traces are
       under them.  (Contributed by NM, 3-Mar-2014.) $)
    trlord $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( X e. B /\ X .<_ W ) /\ ( Y e. B /\ Y .<_ W ) )
    -> ( X .<_ Y <-> A. f e. T ( ( R ` f ) .<_ X -> ( R ` f ) .<_ Y ) ) ) $=
      ( wcel wa wbr vu vg chlt w3a cv cfv wi wral simpl1l hllatd simpl1 simprlr
      trlcl syl2anc simpl2l simpl3l simprr simprll lattrd exp44 ralrimdv simp2r
      simp11l atbase syl simp12l simp11r lhpbase simp3 simp12r 3expia wceq wrex
      jca simp11 cdlemf syl12anc simp2l weq fveq2 breq1d imbi12d rspccv biimpcd
      breq1 syl6 rexlimdv mpd impd syld wb simp1l simp3l hlatle syl3anc sylibrd
      exp32 impbid ) GUCRZIFRZSZJBRZJIHTZSZKBRZKIHTZSZUDZJKHTZEUEZCUFZJHTZXKKHT
      ZUGZEDUHZXHXIXNEDXHXIXJDRZXLXMXHXIXPSZXLSZSZBGHXKJKLMXSGWSWTXDXGXRUIUJXSX
      AXPXKBRXAXDXGXRUKXHXIXPXLULBCDXJFGILOPQUMUNXBXCXAXGXRUOXEXFXAXDXRUPXHXQXL
      UQXHXIXPXLURUSUTVAXHXOUAUEZJHTZXTKHTZUGZUAAUHZXIXHXOYCUAAXHXOXTARZYCXHXOY
      ESZSZYAXTIHTZYASZYBXHYFYAYIXHYFYAUDZYHYAYJBGHXTJILMYJGWSWTXDXGYFYAVCUJYJY
      EXTBRXHXOYEYAVBABXTGLNVDVEXBXCXAXGYFYAVFYJWTIBRWSWTXDXGYFYAVGBFGILOVHVEXH
      YFYAVIZXBXCXAXGYFYAVJUSYKVNVKYGYHYAYBXHYFYHYCXHYFYHUDZUBUEZCUFZXTVLZUBDVM
      ZYCYLXAYEYHYPXAXDXGYFYHVOXHXOYEYHVBXHYFYHVIACDXTUBFGHIMNOPQVPVQYLYOYCUBDY
      LYMDRZYNJHTZYNKHTZUGZYOYCUGYLXOYQYTUGXHXOYEYHVRXNYTEYMDEUBVSZXLYRXMYSUUAX
      KYNJHXJYMCVTZWAUUAXKYNKHUUBWAWBWCVEYOYTYCYOYRYAYSYBYNXTJHWEYNXTKHWEWBWDWF
      WGWHVKWIWJWQVAXHWSXBXEXIYDWKWSWTXDXGWLXAXBXCXGVRXAXDXEXFWMABGHJKUALMNWNWO
      WPWR $.
  $}

  ${
    $( TODO fix $d's $)
    $d s t x y z A $.  $d f s t x y z B $.  $d f s x y z D $.  $d f x y z E $.
    $d s t x y z H $.  $d f s t x y z .\/ $.  $d s t x y z K $.
    $d s t x y z .<_ $.  $d f s t x y z ./\ $.  $d s t x y z P $.
    $d s t x y z Q $.  $d s t x y z R $.  $d s t x y z U $.  $d s t x y z W $.
    $d s t x y z A $.  $d s t x y z B $.  $d x y z D $.  $d x y z E $.
    $d s t x y z H $.  $d s t x y z .\/ $.  $d s t x y z K $.
    $d s t x y z .<_ $.  $d s t x y z ./\ $.  $d s t x y z P $.
    $d s t x y z Q $.  $d s t y R $.  $d s t x y z U $.  $d s t x y z W $.
    $d s t x y z X $.  $d f A $.  $d f H $.  $d f K $.  $d f .<_ $.  $d f P $.
    $d f Q $.  $d f T $.  $d f W $.
    cdlemg1.b $e |- B = ( Base ` K ) $.
    cdlemg1.l $e |- .<_ = ( le ` K ) $.
    cdlemg1.j $e |- .\/ = ( join ` K ) $.
    cdlemg1.m $e |- ./\ = ( meet ` K ) $.
    cdlemg1.a $e |- A = ( Atoms ` K ) $.
    cdlemg1.h $e |- H = ( LHyp ` K ) $.
    ${
      cdlemg1.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
      $( f(t), ` -. ` t ` <_ ` p ` \/ ` q. $)
      cdlemg1.d $e |- D
          = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
      $( f_t(s), s ` <_ ` p ` \/ ` q $)
      cdlemg1.e $e |- E
          = ( ( P .\/ Q ) ./\ ( D .\/ ( ( s .\/ t ) ./\ W ) ) ) $.
      cdlemg1.g $e |- G = ( x e. B |->
         if ( ( P =/= Q /\ -. x .<_ W ) ,
           $( Value when p ` =/= ` q and ` -. ` x ` <_ ` w. $)
           ( iota_ z e. B A. s e. A
                ( ( -. s .<_ W /\ ( s .\/ ( x ./\ W ) ) = x ) -> z = (
                    if ( s .<_ ( P .\/ Q ) ,
                       $( Unique f_t(s) for all t, s ` <_ ` p ` \/ ` q $)
                       ( iota_ y e. B A. t e. A
                             ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> y =
                          $( f_t(s) $)
                          E )
                       ) ,
                       $( f(s), ` -. ` s ` <_ ` p ` \/ ` q. $)
                       [_ s / t ]_ D
                    )
                .\/ ( x ./\ W ) ) ) ) ,
           $( Value when p = q or x ` <_ ` w is just x. $)
           x
         ) ) $.

      $d f G $.
      cdlemg1.t $e |- T = ( ( LTrn ` K ) ` W ) $.
      $( Shorter expression for ` G ` .  TODO: fix comment.  TODO: shorten
         using ~ cdleme or vice-versa?  Also, if not shortened with ~ cdleme ,
         then it can be moved up to save repeating hypotheses.  (Contributed by
         NM, 15-Apr-2013.) $)
      cdlemg1a $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
         -> G = ( iota_ f e. T ( f ` P ) = Q ) ) $=
        ( chlt wcel wa wbr wn w3a cv cfv wceq crio cdleme50ltrn simplr ad2antrr
        simpll1 simpll2 simpr cdleme17d eqtr4d cdlemd syl311anc ex adantr fveq1
        eqeq1d syl5ibrcom impbid riota5 eqcomd ) QUMUNTOUNUOZHEUNHTRUPUQUOZIEUN
        ITRUPUQUOZURZHLUSZUTZIVAZLJVBNWDWGLJNABCDEFGHIJKMNOPQRSTUAUBUCUDUEUFUGU
        HUIUJUKULVCZWDWEJUNZUOZWGWENVAZWJWGWKWJWGUOZWAWINJUNZWBWFHNUTZVAWKWAWBW
        CWIWGVFWDWIWGVDWDWMWIWGWHVEWAWBWCWIWGVGWLWFIWNWJWGVHWDWNIVAZWIWGABCDEFG
        HIKMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKVIZVEVJEHJWENOQRTUCUFUGULVKVLVMWJWGWKW
        OWDWOWIWPVNWKWFWNIHWENVOVPVQVRVSVT $.

      cdlemg1.f $e |- F = ( iota_ f e. T ( f ` P ) = Q ) $.
      $( This theorem can be used to shorten ` G = ` hypothesis.  TODO:  Fix
         comment.  (Contributed by NM, 18-Apr-2013.) $)
      cdlemg1b2 $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) ) -> F = G ) $=
        ( chlt wcel wa wbr wn w3a wne cv co wceq wi wral crio csb cif cmpt eqid
        cfv cdlemg1a eqtr4id eqtr4di ) RUOUPUAPUPUQHEUPHUASURUSUQIEUPIUASURUSUQ
        UTZNAFHIVAAVBZUASURUSUQUBVBZUASURUSVRVQUATVCZQVCVQVDUQCVBVRHIQVCZSURDVB
        ZUASURUSWAVTSURUSUQBVBMVDVEDEVFBFVGDVRGVHVIVSQVCVDVEUBEVFCFVGVQVIVJZOVP
        NHLVBVLIVDLJVGWBUNABCDEFGHIJKLMWBPQRSTUAUBUCUDUEUFUGUHUIUJUKWBVKUMVMVNU
        LVO $.

      $( Lemma for ~ cdlemg1idN .  (Contributed by NM, 18-Apr-2013.)
         (New usage is discouraged.) $)
      cdlemg1idlemN $p |- ( ( ( ( ( K e. HL /\ W e. H )
         /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) ) /\ X e. B ) /\ P = Q )
           -> ( F ` X ) = X ) $=
        ( chlt wcel wa wbr wn w3a wceq cfv cdlemg1b2 fveq1d cv co wral crio csb
        wi cif cdleme31id sylan9eq anassrs ) RUPUQUAPUQURHEUQHUASUSUTURIEUQIUAS
        USUTURVAZUBFUQZHIVBZUBNVCZUBVBVPVQVRURVSUBOVCUBVPUBNOABCDEFGHIJKLMNOPQR
        STUAUCUDUEUFUGUHUIUJUKULUMUNUOVDVEAFHIOSUCVFZUASUSUTVTAVFZUATVGZQVGWAVB
        URCVFVTHIQVGZSUSDVFZUASUSUTWDWCSUSUTURBVFMVBVKDEVHBFVIDVTGVJVLWBQVGVBVK
        UCEVHCFVIUAUBUMVMVNVO $.

      $( Lemma for ~ ltrniotafvawN .  (Contributed by NM, 18-Apr-2013.)
         (New usage is discouraged.) $)
      cdlemg1fvawlemN $p |- ( ( ( ( K e. HL /\ W e. H )
      /\ ( P e. A /\ -. P .<_ W )
      /\ ( Q e. A /\ -. Q .<_ W ) ) /\ ( R e. A /\ -. R .<_ W ) )
           -> ( ( F ` R ) e. A /\ -. ( F ` R ) .<_ W ) ) $=
        ( chlt wcel wa wbr wn w3a cfv cdleme46fvaw wceq cdlemg1b2 adantr fveq1d
        eleq1d breq1d notbid anbi12d mpbird ) SUPUQUBQUQURHEUQHUBTUSUTURIEUQIUB
        TUSUTURVAZJEUQJUBTUSUTURZURZJOVBZEUQZVPUBTUSZUTZURJPVBZEUQZVTUBTUSZUTZU
        RABCDEFGHIJLNPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVCVOVQWAVSWCVOVPVTEVOJOPVMO
        PVDVNABCDEFGHIKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOVEVFVGZVHVOVRWBVO
        VPVTUBTWDVIVJVKVL $.

      $( Lemma for ~ ltrniotacl .  (Contributed by NM, 18-Apr-2013.) $)
      cdlemg1ltrnlem $p |- ( ( ( K e. HL /\ W e. H )
               /\ ( P e. A /\ -. P .<_ W )
               /\ ( Q e. A /\ -. Q .<_ W ) )
           -> F e. T ) $=
        ( chlt wcel wa wbr wn w3a cdlemg1b2 cdleme50ltrn eqeltrd ) RUOUPUAPUPUQ
        HEUPHUASURUSUQIEUPIUASURUSUQUTNOJABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUI
        UJUKULUMUNVAABCDEFGHIJKMOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVBVC $.

      $( Lemma for ~ ltrniotacnvN .  (Contributed by NM, 18-Apr-2013.)
         (New usage is discouraged.) $)
      cdlemg1finvtrlemN $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
         -> `' F e. T ) $=
        ( chlt wcel wa wbr wn w3a ccnv cdlemg1b2 cnveqd cdleme51finvtrN eqeltrd
        ) RUOUPUAPUPUQHEUPHUASURUSUQIEUPIUASURUSUQUTZNVAOVAJVFNOABCDEFGHIJKLMNO
        PQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNVBVCABCDEFGHIJKMOPQRSTUAUBUCUDUEUFUGUH
        UIUJUKULUMVDVE $.
    $}

    ${
      cdlemg1b.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
      $( f(t), ` -. ` t ` <_ ` p ` \/ ` q. $)
      cdlemg1b.d $e |- D
          = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
      $( f_t(s), s ` <_ ` p ` \/ ` q $)
      cdlemg1b.e $e |- E
          = ( ( P .\/ Q ) ./\ ( D .\/ ( ( s .\/ t ) ./\ W ) ) ) $.
      cdlemg1b.f $e |- F = ( iota_ f e. T ( f ` P ) = Q ) $.
      cdlemg1b.t $e |- T = ( ( LTrn ` K ) ` W ) $.
      $( This theorem can be used to shorten ` F = ` hypothesis that have the
         form of the conclusion.  TODO: fix comment.  (Contributed by NM,
         16-Apr-2013.)  (New usage is discouraged.) $)
      cdlemg1bOLDN $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
         -> F = ( x e. B |->
         if ( ( P =/= Q /\ -. x .<_ W ) ,
           $( Value when p ` =/= ` q and ` -. ` x ` <_ ` w. $)
           ( iota_ z e. B A. s e. A
                ( ( -. s .<_ W /\ ( s .\/ ( x ./\ W ) ) = x ) -> z = (
                    if ( s .<_ ( P .\/ Q ) ,
                       $( Unique f_t(s) for all t, s ` <_ ` p ` \/ ` q $)
                       ( iota_ y e. B A. t e. A
                             ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> y =
                          $( f_t(s) $)
                          E )
                       ) ,
                       $( f(s), ` -. ` s ` <_ ` p ` \/ ` q. $)
                       [_ s / t ]_ D
                    )
                .\/ ( x ./\ W ) ) ) ) ,
           $( Value when p = q or x ` <_ ` w is just x. $)
           x
         ) ) ) $=
        ( wne cv wbr wn wa co wceq wi wral crio csb cif cmpt eqid cdlemg1b2 ) A
        BCDEFGHIJKLMNAFHIUMAUNZTRUOUPUQUAUNZTRUOUPVIVHTSURZPURVHUSUQCUNVIHIPURZ
        RUODUNZTRUOUPVLVKRUOUPUQBUNMUSUTDEVABFVBDVIGVCVDVJPURUSUTUAEVACFVBVHVDV
        EZOPQRSTUAUBUCUDUEUFUGUHUIUJVMVFULUKVG $.
    $}
  $}

  ${
    $d f s t x y z A $.  $d f s t x y z B $.  $d f s t x y z H $.
    $d f s t x y z K $.  $d f s t x y z .<_ $.  $d f s t x y z P $.
    $d f s t x y z Q $.  $d f T $.  $d f s t x y z W $.  $d s t x y z X $.
    cdlemg1ltrn.l $e |- .<_ = ( le ` K ) $.
    cdlemg1ltrn.a $e |- A = ( Atoms ` K ) $.
    cdlemg1ltrn.h $e |- H = ( LHyp ` K ) $.
    cdlemg1ltrn.f $e |- F = ( iota_ f e. T ( f ` P ) = Q ) $.
    cdlemg1ltrn.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    ${
      cdlemg1id.b $e |- B = ( Base ` K ) $.
      $( Version of ~ cdleme31id with simpler hypotheses.  TODO:  Fix comment.
         (Contributed by NM, 18-Apr-2013.)  (New usage is discouraged.) $)
      cdlemg1idN $p |- ( ( ( ( ( K e. HL /\ W e. H )
         /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) ) /\ X e. B ) /\ P = Q )
           -> ( F ` X ) = X ) $=
        ( co eqid vx vy vz vt vs cv cjn cfv cmee wne wbr wn wa wceq wi wral csb
        crio cif cmpt cdlemg1idlemN ) UAUBUCUDABUDUFZCDIUGUHZSZKIUIUHZSZVCSDCVB
        VCSKVESVCSVESZCDEVFFVDVGUEUFZVBVCSKVESVCSVESZGUABCDUJUAUFZKJUKULUMVHKJU
        KULVHVJKVESZVCSVJUNUMUCUFVHVDJUKVBKJUKULVBVDJUKULUMUBUFVIUNUOUDAUPUBBUR
        UDVHVGUQUSVKVCSUNUOUEAUPUCBURVJUSUTZHVCIJVEKLUERMVCTVETNOVFTVGTVITVLTQP
        VA $.
    $}
  $}

  ${
    $d f s t x y z A $.  $d f s t x y z H $.  $d f s t x y z K $.
    $d f s t x y z .<_ $.  $d f s t x y z P $.  $d f s t x y z Q $.
    $d s t x y z R $.  $d f T $.  $d f s t x y z W $.
    ltrniotaval.l $e |- .<_ = ( le ` K ) $.
    ltrniotaval.a $e |- A = ( Atoms ` K ) $.
    ltrniotaval.h $e |- H = ( LHyp ` K ) $.
    ltrniotaval.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    ltrniotaval.f $e |- F = ( iota_ f e. T ( f ` P ) = Q ) $.
    $( Version of ~ cdleme46fvaw with simpler hypotheses.  TODO:  Fix comment.
       (Contributed by NM, 18-Apr-2013.)  (New usage is discouraged.) $)
    ltrniotafvawN $p |- ( ( ( ( K e. HL /\ W e. H )
    /\ ( P e. A /\ -. P .<_ W )
    /\ ( Q e. A /\ -. Q .<_ W ) ) /\ ( R e. A /\ -. R .<_ W ) )
         -> ( ( F ` R ) e. A /\ -. ( F ` R ) .<_ W ) ) $=
      ( cv co wbr eqid vx vy vz vt vs cbs cfv cjn cmee wne wn wa wceq wral crio
      wi csb cif cmpt cdlemg1fvawlemN ) UAUBUCUDAIUFUGZUDQZBCIUHUGZRZKIUIUGZRZV
      CRCBVBVCRKVERVCRVERZBCDEVFFVDVGUEQZVBVCRKVERVCRVERZGUAVABCUJUAQZKJSUKULVH
      KJSUKVHVJKVERZVCRVJUMULUCQVHVDJSVBKJSUKVBVDJSUKULUBQVIUMUPUDAUNUBVAUOUDVH
      VGUQURVKVCRUMUPUEAUNUCVAUOVJURUSZHVCIJVEKUEVATLVCTVETMNVFTVGTVITVLTOPUT
      $.

    $( Version of ~ cdleme50ltrn with simpler hypotheses.  TODO:  Fix comment.
       (Contributed by NM, 17-Apr-2013.) $)
    ltrniotacl $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( P e. A /\ -. P .<_ W )
             /\ ( Q e. A /\ -. Q .<_ W ) )
         -> F e. T ) $=
      ( vt cv co wbr eqid vx vy vz vs cbs cfv cjn cmee wne wn wa wceq wral crio
      wi csb cif cmpt cdlemg1ltrnlem ) UAUBUCPAHUEUFZPQZBCHUGUFZRZJHUHUFZRZVBRC
      BVAVBRJVDRVBRVDRZBCDVEEVCVFUDQZVAVBRJVDRVBRVDRZFUAUTBCUIUAQZJISUJUKVGJISU
      JVGVIJVDRZVBRVIULUKUCQVGVCISVAJISUJVAVCISUJUKUBQVHULUOPAUMUBUTUNPVGVFUPUQ
      VJVBRULUOUDAUMUCUTUNVIUQURZGVBHIVDJUDUTTKVBTVDTLMVETVFTVHTVKTNOUS $.

    $( Version of ~ cdleme51finvtrN with simpler hypotheses.  TODO:  Fix
       comment.  (Contributed by NM, 18-Apr-2013.)
       (New usage is discouraged.) $)
    ltrniotacnvN $p |- ( ( ( K e. HL /\ W e. H )
               /\ ( P e. A /\ -. P .<_ W )
               /\ ( Q e. A /\ -. Q .<_ W ) )
           -> `' F e. T ) $=
      ( vt cv co wbr eqid vx vy vz vs cbs cfv cjn cmee wne wn wa wceq wral crio
      wi csb cif cmpt cdlemg1finvtrlemN ) UAUBUCPAHUEUFZPQZBCHUGUFZRZJHUHUFZRZV
      BRCBVAVBRJVDRVBRVDRZBCDVEEVCVFUDQZVAVBRJVDRVBRVDRZFUAUTBCUIUAQZJISUJUKVGJ
      ISUJVGVIJVDRZVBRVIULUKUCQVGVCISVAJISUJVAVCISUJUKUBQVHULUOPAUMUBUTUNPVGVFU
      PUQVJVBRULUOUDAUMUCUTUNVIUQURZGVBHIVDJUDUTTKVBTVDTLMVETVFTVHTVKTNOUS $.

    $( Value of the unique translation specified by a value.  (Contributed by
       NM, 21-Feb-2014.) $)
    ltrniotaval $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
    /\ ( Q e. A /\ -. Q .<_ W ) ) -> ( F ` P ) = Q ) $=
      ( wcel wa wbr wn wceq chlt w3a cv cfv wreu cdleme crio nfriota1 nfcv nffv
      nfcxfr nfeq1 fveq1 eqeq1d riotaprop simprd syl ) HUAPJGPQBAPBJIRSQCAPCJIR
      SQUBBEUCZUDZCTZEDUEZBFUDZCTZABCDEGHIJKLMNUFVAFDPVCUTVCEDFEVBCEBFEFUTEDUGO
      UTEDUHUKEBUIUJULOURFTUSVBCBURFUMUNUOUPUQ $.

    $( Converse value of the unique translation specified by a value.
       (Contributed by NM, 21-Feb-2014.) $)
    ltrniotacnvval $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
    /\ ( Q e. A /\ -. Q .<_ W ) ) -> ( `' F ` Q ) = P ) $=
      ( chlt wcel wa wbr cfv wn w3a wf1o wceq ccnv simp1 ltrniotacl eqid ltrn1o
      cbs syl2anc simp2l atbase syl jca ltrniotaval f1ocnvfv sylc ) HPQJGQRZBAQ
      ZBJISUAZRZCAQCJISUARZUBZHUJTZVEFUCZBVEQZRBFTCUDCFUETBUDVDVFVGVDUSFDQVFUSV
      BVCUFABCDEFGHIJKLMNOUGVEDFGHPJVEUHZMNUIUKVDUTVGUSUTVAVCULAVEBHVHLUMUNUOAB
      CDEFGHIJKLMNOUPVEVEBCFUQUR $.
  $}

  ${
    $d f .<_ $.  $d f A $.  $d f H $.  $d f K $.  $d f P $.  $d f T $.
    $d f W $.
    ltrniotaidval.b $e |- B = ( Base ` K ) $.
    ltrniotaidval.l $e |- .<_ = ( le ` K ) $.
    ltrniotaidval.a $e |- A = ( Atoms ` K ) $.
    ltrniotaidval.h $e |- H = ( LHyp ` K ) $.
    ltrniotaidval.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    ltrniotaidval.f $e |- F = ( iota_ f e. T ( f ` P ) = P ) $.
    $( Value of the unique translation specified by identity value.
       (Contributed by NM, 25-Aug-2014.)  (New usage is discouraged.) $)
    ltrniotaidvalN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        )
          -> F = ( _I |` B ) ) $=
      ( wcel wa wceq 3anidm23 chlt wbr wn cid cres ltrniotaval simpl ltrniotacl
      cfv wb simpr ltrnideq syl3anc mpbird ) HUAQJGQRZCAQCJIUBUCRZRZFUDBUESZCFU
      ICSZUOUPUSACCDEFGHIJLMNOPUFTUQUOFDQZUPURUSUJUOUPUGUOUPUTACCDEFGHIJLMNOPUH
      TUOUPUKABCDFGHIJKLMNOULUMUN $.
  $}

  ${
    $d f .<_ $.  $d f A $.  $d f H $.  $d f K $.  $d f P $.  $d f Q $.
    $d f T $.  $d f W $.
    ltrniotavalb.l $e |- .<_ = ( le ` K ) $.
    ltrniotavalb.a $e |- A = ( Atoms ` K ) $.
    ltrniotavalb.h $e |- H = ( LHyp ` K ) $.
    ltrniotavalb.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Value of the unique translation specified by a value.  (Contributed by
       NM, 10-Mar-2014.)  (New usage is discouraged.) $)
    ltrniotavalbN $p |- ( ( ( K e. HL /\ W e. H )
    /\ ( ( P e. A /\ -. P .<_ W )
      /\ ( Q e. A /\ -. Q .<_ W ) ) /\ F e. T )
  -> ( ( F ` P ) = Q <-> F = ( iota_ f e. T ( f ` P ) = Q ) ) ) $=
      ( wcel wa wbr cfv wceq syl3anc chlt wn w3a cv crio simpl1 simpl2l simpl2r
      simpl3 eqid ltrniotacl simpr ltrniotaval eqtr4d cdlemd fveq1 simp1 simp2l
      syl311anc simp2r sylan9eqr impbida ) HUAOJGOPZBAOBJIQUBPZCAOCJIQUBPZPZFDO
      ZUCZBFRZCSZFBEUDRCSEDUEZSZVHVJPZVCVGVKDOZVDVIBVKRZSVLVCVFVGVJUFZVCVFVGVJU
      IVMVCVDVEVNVPVDVEVCVGVJUGZVDVEVCVGVJUHZABCDEVKGHIJKLMNVKUJZUKTVQVMVICVOVH
      VJULVMVCVDVEVOCSZVPVQVRABCDEVKGHIJKLMNVSUMZTUNABDFVKGHIJKLMNUOUSVLVHVIVOC
      BFVKUPVHVCVDVEVTVCVFVGUQVCVDVEVGURVCVDVEVGUTWATVAVB $.
  $}

  ${
    $d f p q A $.  $d f p q F $.  $d f p q H $.  $d f p q K $.  $d f p q .<_ $.
    $d f P $.  $d f Q $.  $d f p q T $.  $d f p q W $.
    cdlemg1c.l $e |- .<_ = ( le ` K ) $.
    cdlemg1c.a $e |- A = ( Atoms ` K ) $.
    cdlemg1c.h $e |- H = ( LHyp ` K ) $.
    cdlemg1c.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( A translation is uniquely determined by one of its values.  (Contributed
       by NM, 18-Apr-2013.) $)
    cdlemeiota $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
       /\ F e. T ) -> F = ( iota_ f e. T ( f ` P ) = ( F ` P ) ) ) $=
      ( chlt wcel wa wbr wn cfv wceq w3a cv crio eqidd wreu simp3 ltrnel 3com23
      wb cdleme syld3an3 fveq1 eqeq1d riota2 syl2anc mpbid eqcomd ) GNOIFOPZBAO
      BIHQRPZECOZUAZBDUBZSZBESZTZDCUCZEVAVDVDTZVFETZVAVDUDVAUTVEDCUEZVGVHUIURUS
      UTUFURUSUTVDAOVDIHQRPZVIURUTUSVJABCEFGHIJKLMUGUHABVDCDFGHIJKLMUJUKVEVGDCE
      VBETVCVDVDBVBEULUMUNUOUPUQ $.

    $( Any function of the form of the function constructed for ~ cdleme is a
       translation.  TODO:  Fix comment.  (Contributed by NM, 18-Apr-2013.) $)
    cdlemg1ci2 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
       /\ ( Q e. A /\ -. Q .<_ W ) )
   /\ F = ( iota_ f e. T ( f ` P ) = Q ) ) -> F e. T ) $=
      ( chlt wcel wa wbr wn wceq w3a cv cfv crio eqid ltrniotacl adantr eqeltrd
      simpr ) HOPJGPQBAPBJIRSQCAPCJIRSQUAZFBEUBUCCTEDUDZTZQFUKDUJULUIUJUKDPULAB
      CDEUKGHIJKLMNUKUEUFUGUH $.

    $( Any translation belongs to the set of functions constructed for
       ~ cdleme .  TODO:  Fix comment.  (Contributed by NM, 18-Apr-2013.)
       (New usage is discouraged.) $)
    cdlemg1cN $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
       /\ ( Q e. A /\ -. Q .<_ W ) ) /\ ( F ` P ) = Q )
       -> ( F e. T
             <-> F = ( iota_ f e. T ( f ` P ) = Q ) ) ) $=
      ( wcel wa wbr wn cfv wceq chlt cv crio simpll1 simpll2 cdlemeiota syl3anc
      w3a simpr simplr eqeq2d riotabidv eqtrd cdlemg1ci2 adantlr impbida ) HUAO
      JGOPZBAOBJIQRPZCAOCJIQRPZUHZBFSZCTZPZFDOZFBEUBSZCTZEDUCZTZVCVDPZFVEVATZED
      UCZVGVIUQURVDFVKTUQURUSVBVDUDUQURUSVBVDUEVCVDUIABDEFGHIJKLMNUFUGVIVJVFEDV
      IVACVEUTVBVDUJUKULUMUTVHVDVBABCDEFGHIJKLMNUNUOUP $.

    $( Any translation is one of our ` F ` s.  TODO: fix comment, move to its
       own block maybe?  Would this help for ~ cdlemf ?  (Contributed by NM,
       17-Apr-2013.) $)
    cdlemg1cex $p |- ( ( K e. HL /\ W e. H ) ->
          ( F e. T <-> E. p e. A E. q e. A
                ( -. p .<_ W /\ -. q .<_ W
                  /\ F = ( iota_ f e. T ( f ` p ) = q ) ) ) ) $=
      ( wcel wa cv wbr wn wceq chlt crio wrex ltrnel 3expa simpld simprr simprd
      cfv simpll simpr simplr cdlemeiota syl3anc breq1 eqeq2 riotabidv 3anbi23d
      w3a notbid eqeq2d rspcev syl13anc lhpexnle adantr simp1 simp2l simp31 jca
      reximddv simp2r simp32 simp33 cdlemg1ci2 syl31anc 3exp rexlimdvv impbid
      ex ) FUAOHEOPZDBOZJQZHGRSZIQZHGRZSZDWBCQUIZWDTZCBUBZTZUSZIAUCZJAUCZVTWAWM
      VTWAPZWCWLJAWNWBAOZWCPZPZWBDUIZAOZWCWRHGRZSZDWGWRTZCBUBZTZWLWQWSXAVTWAWPW
      SXAPAWBBDEFGHKLMNUDUEZUFWNWOWCUGWQWSXAXEUHWQVTWPWAXDVTWAWPUJWNWPUKVTWAWPU
      LAWBBCDEFGHKLMNUMUNWKWCXAXDUSIWRAWDWRTZWFXAWJXDWCXFWEWTWDWRHGUOUTXFWIXCDX
      FWHXBCBWDWRWGUPUQVAURVBVCVTWCJAUCWAAEFGHJKLMVDVEVJVSVTWKWAJIAAVTWOWDAOZPZ
      WKWAVTXHWKUSZVTWPXGWFPWJWAVTXHWKVFXIWOWCVTWOXGWKVGVTXHWCWFWJVHVIXIXGWFVTW
      OXGWKVKVTXHWCWFWJVLVIVTXHWCWFWJVMAWBWDBCDEFGHKLMNVNVOVPVQVR $.
  $}

  ${
    $( TODO fix $d's $)
    $d s t x y z A $.  $d f s t x y z B $.  $d f s x y z D $.  $d f x y z E $.
    $d s t x y z H $.  $d f s t x y z .\/ $.  $d s t x y z K $.
    $d s t x y z .<_ $.  $d f s t x y z ./\ $.  $d s t x y z P $.
    $d s t x y z Q $.  $d s t x y z U $.  $d s t x y z W $.  $d s t x y z A $.
    $d s t x y z B $.  $d x y z D $.  $d x y z E $.  $d s t x y z H $.
    $d s t x y z .\/ $.  $d s t x y z K $.  $d s t x y z .<_ $.
    $d s t x y z ./\ $.  $d s t x y z P $.  $d s t x y z Q $.
    $d s t x y z U $.  $d s t x y z W $.  $d f F $.  $d s t x y z X $.
    $d f A $.  $d f H $.  $d f K $.  $d f .<_ $.  $d f P $.  $d f Q $.
    $d f T $.  $d f W $.  $d f G $.
    cdlemg2.b $e |- B = ( Base ` K ) $.
    cdlemg2.l $e |- .<_ = ( le ` K ) $.
    cdlemg2.j $e |- .\/ = ( join ` K ) $.
    cdlemg2.m $e |- ./\ = ( meet ` K ) $.
    cdlemg2.a $e |- A = ( Atoms ` K ) $.
    cdlemg2.h $e |- H = ( LHyp ` K ) $.
    cdlemg2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    ${
      cdlemg2.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
      $( f(t), ` -. ` t ` <_ ` p ` \/ ` q. $)
      cdlemg2.d $e |- D
          = ( ( t .\/ U ) ./\ ( Q .\/ ( ( P .\/ t ) ./\ W ) ) ) $.
      $( f_t(s), s ` <_ ` p ` \/ ` q $)
      cdlemg2.e $e |- E
          = ( ( P .\/ Q ) ./\ ( D .\/ ( ( s .\/ t ) ./\ W ) ) ) $.
      cdlemg2.g $e |- G = ( x e. B |->
         if ( ( P =/= Q /\ -. x .<_ W ) ,
           $( Value when p ` =/= ` q and ` -. ` x ` <_ ` w. $)
           ( iota_ z e. B A. s e. A
                ( ( -. s .<_ W /\ ( s .\/ ( x ./\ W ) ) = x ) -> z = (
                    if ( s .<_ ( P .\/ Q ) ,
                       $( Unique f_t(s) for all t, s ` <_ ` p ` \/ ` q $)
                       ( iota_ y e. B A. t e. A
                             ( ( -. t .<_ W /\ -. t .<_ ( P .\/ Q ) ) -> y =
                          $( f_t(s) $)
                          E )
                       ) ,
                       $( f(s), ` -. ` s ` <_ ` p ` \/ ` q. $)
                       [_ s / t ]_ D
                    )
                .\/ ( x ./\ W ) ) ) ) ,
           $( Value when p = q or x ` <_ ` w is just x. $)
           x
         ) ) $.
      $( Any translation belongs to the set of functions constructed for
         ~ cdleme .  TODO:  Fix comment.  (Contributed by NM, 22-Apr-2013.)
         (New usage is discouraged.) $)
      cdlemg2cN $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) ) /\ ( F ` P ) = Q )
         -> ( F e. T
               <-> F = G ) ) $=
        ( vf chlt wcel wa wbr w3a cfv wceq crio cdlemg1cN eqid cdlemg1b2 adantr
        wn cv eqeq2d bitrd ) QUNUOTOUOUPHEUOHTRUQVFUPIEUOITRUQVFUPURZHMUSIUTZUP
        ZMJUOMHUMVGUSIUTUMJVAZUTMNUTEHIJUMMOQRTUCUFUGUHVBVLVMNMVJVMNUTVKABCDEFG
        HIJKUMLVMNOPQRSTUAUBUCUDUEUFUGUIUJUKULUHVMVCVDVEVHVI $.

      $( This theorem can be used to shorten ` G = ` hypothesis.  TODO:  Fix
         comment.  (Contributed by NM, 21-Apr-2013.)
         (New usage is discouraged.) $)
      cdlemg2dN $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ ( F e. T /\ ( F ` P ) = Q ) ) -> F = G ) $=
        ( chlt wcel wa wbr wn cfv wceq w3a simp3l wb simp1 simp2l simp2r simp3r
        cdlemg2cN syl31anc mpbid ) QUMUNTOUNUOZHEUNHTRUPUQUOZIEUNITRUPUQUOZUOZM
        JUNZHMURIUSZUOZUTZVNMNUSZVJVMVNVOVAVQVJVKVLVOVNVRVBVJVMVPVCVJVKVLVPVDVJ
        VKVLVPVEVJVMVNVOVFABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVGVHVI $.
    $}

    ${
      $d p q A $.  $d p q F $.  $d p q H $.  $d p q K $.  $d p q .<_ $.
      $d p q T $.  $d p q W $.  $d f p q s t x y z $.
      cdlemg2ex.u $e |- U = ( ( p .\/ q ) ./\ W ) $.
      $( f(t), ` -. ` t ` <_ ` p ` \/ ` q. $)
      cdlemg2ex.d $e |- D
          = ( ( t .\/ U ) ./\ ( q .\/ ( ( p .\/ t ) ./\ W ) ) ) $.
      $( f_t(s), s ` <_ ` p ` \/ ` q $)
      cdlemg2ex.e $e |- E
          = ( ( p .\/ q ) ./\ ( D .\/ ( ( s .\/ t ) ./\ W ) ) ) $.
      cdlemg2ex.g $e |- G = ( x e. B |->
         if ( ( p =/= q /\ -. x .<_ W ) ,
           $( Value when p ` =/= ` q and ` -. ` x ` <_ ` w. $)
           ( iota_ z e. B A. s e. A
                ( ( -. s .<_ W /\ ( s .\/ ( x ./\ W ) ) = x ) -> z = (
                    if ( s .<_ ( p .\/ q ) ,
                       $( Unique f_t(s) for all t, s ` <_ ` p ` \/ ` q $)
                       ( iota_ y e. B A. t e. A
                             ( ( -. t .<_ W /\ -. t .<_ ( p .\/ q ) ) -> y =
                          $( f_t(s) $)
                          E )
                       ) ,
                       $( f(s), ` -. ` s ` <_ ` p ` \/ ` q. $)
                       [_ s / t ]_ D
                    )
                .\/ ( x ./\ W ) ) ) ) ,
           $( Value when p = q or x ` <_ ` w is just x. $)
           x
         ) ) $.
      $( Any translation is one of our ` F ` s.  TODO: fix comment, move to its
         own block maybe?  Would this help for ~ cdlemf ?  (Contributed by NM,
         22-Apr-2013.) $)
      cdlemg2cex $p |- ( ( K e. HL /\ W e. H ) ->
            ( F e. T <-> E. p e. A E. q e. A
                  ( -. p .<_ W /\ -. q .<_ W /\ F = G ) ) ) $=
        ( vf chlt wcel wa wbr cfv wceq crio w3a wrex cdlemg1cex simplll simpllr
        cv wn simplrl simprl simplrr simprr cdlemg1b2 syl222anc eqeq2d pm5.32da
        eqid df-3an 3bitr4g 2rexbidva bitrd ) OUNUOZRMUOZUPZKHUOUAVFZRPUQVGZTVF
        ZRPUQVGZKWDUMVFURWFUSUMHUTZUSZVAZTEVBUAEVBWEWGKLUSZVAZTEVBUAEVBEHUMKMOP
        RTUAUCUFUGUHVCWCWJWLUATEEWCWDEUOZWFEUOZUPZUPZWEWGUPZWIUPWQWKUPWJWLWPWQW
        IWKWPWQUPZWHLKWRWAWBWMWEWNWGWHLUSWAWBWOWQVDWAWBWOWQVEWCWMWNWQVHWPWEWGVI
        WCWMWNWQVJWPWEWGVKABCDEFGWDWFHIUMJWHLMNOPQRSUBUCUDUEUFUGUIUJUKULUHWHVPV
        LVMVNVOWEWGWIVQWEWGWKVQVRVSVT $.

      ${
        $d p q ph $.  $d p q ps $.
        cdlemg2ce.p $e |- ( F = G -> ( ps <-> ch ) ) $.
        cdlemg2ce.c $e |- ( ( ( ( K e. HL /\ W e. H )
               /\ ( p e. A /\ -. p .<_ W )
               /\ ( q e. A /\ -. q .<_ W ) ) /\ ph ) -> ch ) $.
        $( Utility theorem to eliminate p,q when converting theorems with
           explicit f.  TODO: fix comment.  (Contributed by NM,
           22-Apr-2013.) $)
        cdlemg2ce $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ ph )
          -> ps ) $=
          ( chlt wcel wa w3a cv wn wceq wrex simp2 wb cdlemg2cex 3ad2ant1 mpbid
          wbr simp11 simp2l simp31 jca simp2r simp32 simp13 syl31anc simp33 syl
          mpbird 3exp rexlimdvv mpd ) RURUSUAPUSUTZNKUSZAVAZUDVBZUASVKVCZUCVBZU
          ASVKVCZNOVDZVAZUCHVEUDHVEZBWHWGWOWFWGAVFWFWGWGWOVGADEFGHIJKLMNOPQRSTU
          AUBUCUDUEUFUGUHUIUJUKULUMUNUOVHVIVJWHWNBUDUCHHWHWIHUSZWKHUSZUTZWNBWHW
          RWNVAZBCWSWFWPWJUTWQWLUTACWFWGAWRWNVLWSWPWJWHWPWQWNVMWHWRWJWLWMVNVOWS
          WQWLWHWPWQWNVPWHWRWJWLWMVQVOWFWGAWRWNVRUQVSWSWMBCVGWHWRWJWLWMVTUPWAWB
          WCWDWE $.
      $}

      $d p q .\/ $.  $d p q P $.  $d p q Q $.
      $( Part of proof of Lemma E in [Crawley] p. 113.  TODO:  FIX COMMENT. f
         preserves join: f(r ` \/ ` s) = f(r) ` \/ ` s, p. 115 10th line from
         bottom.  TODO:  Combine with ~ cdlemg2jOLDN ?  (Contributed by NM,
         22-Apr-2013.)  (New usage is discouraged.) $)
      cdlemg2jlemOLDN $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ F e. T )
              -> ( F ` ( P .\/ Q ) ) = ( ( F ` P ) .\/ ( F ` Q ) ) ) $=
        ( chlt wcel wa wbr wn co cfv wceq fveq1 oveq12d eqeq12d cv wi wral crio
        csb cif cvv vex eqid cdleme31sc ax-mp cdleme42mgN cdlemg2ce 3com23 ) QU
        OUPTOUPUQMJUPHEUPHTRURUSUQIEUPITRURUSUQUQZHIPUTZMVAZHMVAZIMVAZPUTZVBZVT
        WFWANVAZHNVAZINVAZPUTZVBABCDEFGJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNM
        NVBZWBWGWEWJWAMNVCWKWCWHWDWIPHMNVCIMNVCVDVEABCDEFDUAVFZGVJZUCVFZUBVFZHI
        KGNLODVFZTRURUSWPWNWOPUTZRURUSUQBVFLVBVGDEVHBFVIZPQRSWLWQRURWRWMVKZWLTR
        URUSWLAVFZTSUTZPUTWTVBUQCVFWSXAPUTVBVGUAEVHCFVIZTUAUDUEUFUGUHUIUKWLVLUP
        WMWLKPUTWOWNWLPUTTSUTPUTSUTZVBUAVMVLGWNWOWLKPSTXCDULXCVNVOVPULUMWRVNWSV
        NXBVNUNVQVRVS $.

      $d p q B $.  $d p q ./\ $.  $d p q X $.
      $( Lemma for ~ cdlemg2fv .  (Contributed by NM, 23-Apr-2013.) $)
      cdlemg2fvlem $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( ( P e. A /\ -. P .<_ W ) /\ ( X e. B /\ -. X .<_ W ) )
             /\ ( F e. T /\ ( P .\/ ( X ./\ W ) ) = X ) )
         -> ( F ` X ) = ( ( F ` P ) .\/ ( X ./\ W ) ) ) $=
        ( chlt wcel wa wbr wn co wceq w3a cfv simp1 simp3l simp2r simp2l simp3r
        jca fveq1 oveq1d eqeq12d cv cdleme48fvg 3expb cdlemg2ce syl112anc ) PUO
        UPSNUPUQZHEUPHSQURUSUQZTFUPTSQURUSUQZUQZLIUPZHTSRUTZOUTTVAZUQZVBZVRWBVT
        VSWDUQZTLVCZHLVCZWCOUTZVAZVRWAWEVDVRWAWBWDVEVRVSVTWEVFWFVSWDVRVSVTWEVGV
        RWAWBWDVHVIVTWGUQWKTMVCZHMVCZWCOUTZVAZABCDEFGIJKLMNOPQRSUAUBUCUDUEUFUGU
        HUIUJUKULUMUNLMVAZWHWLWJWNTLMVJWPWIWMWCOHLMVJVKVLVRUCVMZEUPWQSQURUSUQUB
        VMZEUPWRSQURUSUQVBVTWGWOABCDEFGWQWRHJKMNOPQRSTUAUDUEUFUGUHUIUKULUMUNVNV
        OVPVQ $.

      $d p q s t x z V $.
      cdlemg2klem.v $e |- V = ( ( P .\/ Q ) ./\ W ) $.
      $( ~ cdleme42keg with simpler hypotheses.  TODO:  FIX COMMENT.
         (Contributed by NM, 22-Apr-2013.) $)
      cdlemg2klem $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ F e. T ) -> ( ( F ` P ) .\/ ( F ` Q ) ) = ( ( F ` P ) .\/ V ) ) $=
        ( chlt wcel wa wbr wn cfv co wceq fveq1 oveq12d oveq1d eqeq12d csb wral
        cv crio cif cvv vex eqid cdleme31sc ax-mp cdleme42keg cdlemg2ce 3com23
        wi ) QUQURUAOURUSMJURHEURHUARUTVAUSIEURIUARUTVAUSUSZHMVBZIMVBZPVCZWDTPV
        CZVDZWCWHHNVBZINVBZPVCZWITPVCZVDABCDEFGJKLMNOPQRSUAUBUCUDUEUFUGUHUIUJUK
        ULUMUNUOMNVDZWFWKWGWLWMWDWIWEWJPHMNVEZIMNVEVFWMWDWITPWNVGVHABCDEFDUBVKZ
        GVIZUDVKZUCVKZHIKGNLODVKZUARUTVAWSWQWRPVCZRUTVAUSBVKLVDWBDEVJBFVLZPQRSW
        OWTRUTXAWPVMZWOUARUTVAWOAVKZUASVCZPVCXCVDUSCVKXBXDPVCVDWBUBEVJCFVLZTUAU
        BUEUFUGUHUIUJULWOVNURWPWOKPVCWRWQWOPVCUASVCPVCSVCZVDUBVOVNGWQWRWOKPSUAX
        FDUMXFVPVQVRUMUNXAVPXBVPXEVPUOUPVSVTWA $.
    $}
  $}

  ${
    $d s t x y z A $.  $d s t x y z B $.  $d s t x y z H $.  $d s t x y z K $.
    $d s t x y z .<_ $.  $d s t x y z P $.  $d s t x y z Q $.
    $d s t x y z W $.  $d s t x y z X $.
    cdlemg2id.l $e |- .<_ = ( le ` K ) $.
    cdlemg2id.a $e |- A = ( Atoms ` K ) $.
    cdlemg2id.h $e |- H = ( LHyp ` K ) $.
    cdlemg2id.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemg2id.b $e |- B = ( Base ` K ) $.
    $( Version of ~ cdleme31id with simpler hypotheses.  TODO:  Fix comment.
       (Contributed by NM, 21-Apr-2013.)  (New usage is discouraged.) $)
    cdlemg2idN $p |- ( ( ( ( K e. HL /\ W e. H /\ F e. T )
         /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( F ` P ) = Q /\ X e. B ) /\ P = Q ) -> ( F ` X ) = X ) $=
      ( wcel wbr wceq co vx vs vz vt vy chlt w3a wn wa cfv wne cv cmee cjn wral
      wi crio csb cif cmpt simp111 simp112 simp12 simp13 simp113 eqid cdlemg2dN
      simp2l syl222anc fveq1d simp2r simp3 cdleme31id syl2anc eqtrd ) HUFQZJGQZ
      FEQZUGZCAQCJIRUHUIZDAQDJIRUHUIZUGZCFUJDSZKBQZUIZCDSZUGZKFUJKUABCDUKUAULZJ
      IRUHUIUBULZJIRUHWIWHJHUMUJZTZHUNUJZTWHSUIUCULWICDWLTZIRUDULZJIRUHWNWMIRUH
      UIUEULWMWNWMJWJTZWLTDCWNWLTJWJTWLTWJTZWIWNWLTJWJTWLTWJTZSUPUDAUOUEBUQUDWI
      WPURUSWKWLTSUPUBAUOUCBUQZWHUSUTZUJZKWGKFWSWGVPVQVTWAVRWCFWSSVPVQVRVTWAWEW
      FVAVPVQVRVTWAWEWFVBVSVTWAWEWFVCVSVTWAWEWFVDVPVQVRVTWAWEWFVEWBWCWDWFVHUAUE
      UCUDABWPCDEWOWQFWSGWLHIWJJUBPLWLVFWJVFMNOWOVFWPVFWQVFWSVFZVGVIVJWGWDWFWTK
      SWBWCWDWFVKWBWEWFVLUABCDWSIWRJKXAVMVNVO $.
  $}

  ${
    cdlemg3.l $e |- .<_ = ( le ` K ) $.
    cdlemg3.j $e |- .\/ = ( join ` K ) $.
    cdlemg3.m $e |- ./\ = ( meet ` K ) $.
    cdlemg3.a $e |- A = ( Atoms ` K ) $.
    cdlemg3.h $e |- H = ( LHyp ` K ) $.
    cdlemg3.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    $( Part of proof of Lemma G in [Crawley] p. 116, line 19.  Show p ` \/ ` q
       = p ` \/ ` u.  TODO: reformat ~ cdleme0cp to match this, then replace
       with ~ cdleme0cp .  (Contributed by NM, 19-Apr-2013.) $)
    cdlemg3a $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( P e. A /\ -. P .<_ W )
         /\ Q e. A ) -> ( P .\/ Q ) = ( P .\/ U ) ) $=
      ( chlt wcel wa co wbr wn w3a cdleme8 eqcomd ) GQRJERSBARBJHUAUBSCARUCBDFT
      BCFTADBCEFGHIJKLMNOPUDUE $.
  $}

  ${
    $d p q s t x y z F $.  $d p q s t x y z H $.  $d p q s t x y z K $.
    $d p q s t x y z T $.  $d p q s t x y z W $.  $d p q s t x y z A $.
    $d p q s t x y z .\/ $.  $d p q s t x y z .<_ $.  $d p q s t x y z P $.
    $d p q s t x y z Q $.
    cdlemg2inv.h $e |- H = ( LHyp ` K ) $.
    cdlemg2inv.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemg2j.l $e |- .<_ = ( le ` K ) $.
    cdlemg2j.j $e |- .\/ = ( join ` K ) $.
    cdlemg2j.a $e |- A = ( Atoms ` K ) $.
    $( TODO:  Replace this with ~ ltrnj .  (Contributed by NM, 22-Apr-2013.)
       (New usage is discouraged.) $)
    cdlemg2jOLDN $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ F e. T )
              -> ( F ` ( P .\/ Q ) ) = ( ( F ` P ) .\/ ( F ` Q ) ) ) $=
      ( vt cv co wbr eqid vx vy vz vp vq vs cbs cfv cmee wne wn wa wceq wi wral
      crio csb cif cmpt cdlemg2jlemOLDN ) UAUBUCPAHUGUHZPQZUDQZUEQZGRZJHUIUHZRZ
      GRVDVCVBGRJVFRGRVFRZBCDVGVEVHUFQZVBGRJVFRGRVFRZEUAVAVCVDUJUAQZJISUKULVIJI
      SUKVIVKJVFRZGRVKUMULUCQVIVEISVBJISUKVBVEISUKULUBQVJUMUNPAUOUBVAUPPVIVHUQU
      RVLGRUMUNUFAUOUCVAUPVKURUSZFGHIVFJUFUEUDVATMNVFTOKLVGTVHTVJTVMTUT $.

    $d p q s t x y z ./\ $.  $d p q s t x y z B $.  $d p q s t x y z X $.
    cdlemg2j.m $e |- ./\ = ( meet ` K ) $.
    ${
      cdlemg2j.b $e |- B = ( Base ` K ) $.
      $( Value of a translation in terms of an associated atom. ~ cdleme48fvg
         with simpler hypotheses.  TODO:  Use ~ ltrnj to vastly simplify.
         (Contributed by NM, 23-Apr-2013.) $)
      cdlemg2fv $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( ( P e. A /\ -. P .<_ W ) /\ ( X e. B /\ -. X .<_ W ) )
             /\ ( F e. T /\ ( P .\/ ( X ./\ W ) ) = X ) )
         -> ( F ` X ) = ( ( F ` P ) .\/ ( X ./\ W ) ) ) $=
        ( co vx vy vz vt vp vq vs cv wne wbr wn wa wceq wral crio csb cmpt eqid
        wi cif cdlemg2fvlem ) UAUBUCUDABUDUHZUEUHZUFUHZGTZKJTZGTVDVCVBGTKJTGTJT
        ZCDVFVEVGUGUHZVBGTKJTGTJTZEUABVCVDUIUAUHZKIUJUKULVHKIUJUKVHVJKJTZGTVJUM
        ULUCUHVHVEIUJVBKIUJUKVBVEIUJUKULUBUHVIUMUSUDAUNUBBUOUDVHVGUPUTVKGTUMUSU
        GAUNUCBUOVJUTUQZFGHIJKLUGUFUESOPRQMNVFURVGURVIURVLURVA $.
    $}

    $d p q s t x y z U $.
    cdlemg2j.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
    $( Value of a translation in terms of an associated atom.  TODO:  FIX
       COMMENT. TODO:  Is this useful elsewhere e.g. around ~ cdlemeg46fjv that
       use more complex proofs?  TODO:  Use ~ ltrnj to vastly simplify.
       (Contributed by NM, 23-Apr-2013.) $)
    cdlemg2fv2 $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
             /\ ( R e. A /\ -. R .<_ W ) )
       /\ F e. T )
         -> ( F ` ( R .\/ U ) ) = ( ( F ` R ) .\/ U ) ) $=
      ( chlt wcel wa wbr wn w3a co cfv cbs wceq simp1 simp23 clat simp1l hllatd
      simp23l eqid atbase syl simp1r simp21l simp22l cdleme0aa syl211anc latjcl
      syl3anc simp23r latlej1 wi lhpbase lattr syl13anc mpand mtod simp3 lhpmat
      jca syl2anc oveq1d hlatjcl latmle2 eqbrtrid atmod4i2 syl131anc hlol olj02
      cp0 col 3eqtr3d oveq2d cdlemg2fv syl122anc eqtrd ) JUAUBZMHUBZUCZBAUBZBMK
      UDUEZUCZCAUBZCMKUDUEZUCZDAUBZDMKUDZUEZUCZUFZGEUBZUFZDFIUGZGUHZDGUHZXJMLUG
      ZIUGZXLFIUGXIWPXFXJJUIUHZUBZXJMKUDZUEZUCXHDXMIUGXJUJXKXNUJWPXGXHUKZWPWSXB
      XFXHULZXIXPXRXIJUMUBZDXOUBZFXOUBZXPXIJWNWOXGXHUNZUOZXIXCYBXCXEWSXBWPXHUPZ
      AXODJXOUQZRURUSZXIWNWOWQWTYCYDWNWOXGXHUTZWQWRXBXFWPXHVAZWTXAWSXFWPXHVBZAX
      OBCFHIJKLMPQSRNTYGVCVDZXOIJDFYGQVEVFZXIXQXDXCXEWSXBWPXHVGXIDXJKUDZXQXDXIY
      AYBYCYNYEYHYLXOIJKDFYGPQVHVFXIYAYBXPMXOUBZYNXQUCXDVIYEYHYMXIWOYOYIXOHJMYG
      NVJUSZXOJKDXJMYGPVKVLVMVNVQWPXGXHVOXIXMFDIXIDMLUGZFIUGZJWGUHZFIUGZXMFXIYQ
      YSFIXIWPXFYQYSUJXSXTADHJKLMYSPSYSUQZRNVPVRVSXIWNXCYCYOFMKUDYRXMUJYDYFYLYP
      XIFBCIUGZMLUGZMKTXIYAUUBXOUBZYOUUCMKUDYEXIWNWQWTUUDYDYJYKAXOIJBCYGQRVTVFY
      PXOJKLUUBMYGPSWAVFWBAXODIJKLFMYGPQSRWCWDXIJWHUBZYCYTFUJXIWNUUEYDJWEUSYLXO
      IJFYSYGQUUAWFVRWIZWJAXODEGHIJKLMXJNOPQRSYGWKWLXIXMFXLIUUFWJWM $.

    $( ~ cdleme42keg with simpler hypotheses.  TODO:  FIX COMMENT. TODO: derive
       from ~ cdlemg3a , ~ cdlemg2fv2 , ~ cdlemg2jOLDN , ~ ltrnel ?
       (Contributed by NM, 22-Apr-2013.) $)
    cdlemg2k $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ F e. T ) -> ( ( F ` P ) .\/ ( F ` Q ) ) = ( ( F ` P ) .\/ U ) ) $=
      ( co vx vy vz vt vp vq vs cbs cfv cv wne wbr wn wa wceq wral crio csb cif
      wi cmpt eqid cdlemg2klem ) UAUBUCUDAIUHUIZUDUJZUEUJZUFUJZHTZLKTZHTVGVFVEH
      TLKTHTKTZBCDVIVHVJUGUJZVEHTLKTHTKTZFUAVDVFVGUKUAUJZLJULUMUNVKLJULUMVKVMLK
      TZHTVMUOUNUCUJVKVHJULVELJULUMVEVHJULUMUNUBUJVLUOUTUDAUPUBVDUQUDVKVJURUSVN
      HTUOUTUGAUPUCVDUQVMUSVAZGHIJKELUGUFUEVDVBOPRQMNVIVBVJVBVLVBVOVBSVC $.

    $( ~ cdlemg2k with ` P ` and ` Q ` swapped.  TODO:  FIX COMMENT.
       (Contributed by NM, 15-May-2013.) $)
    cdlemg2kq $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ F e. T ) -> ( ( F ` P ) .\/ ( F ` Q ) ) = ( ( F ` Q ) .\/ U ) ) $=
      ( co chlt wcel wa wbr wn w3a wceq simp1 simp2r simp2l simp3 eqid cdlemg2k
      cfv syl121anc simp1l simp2ll ltrnat syl3anc hlatjcom oveq1d syl5eq oveq2d
      simp2rl 3eqtr4d ) IUAUBZLGUBZUCZBAUBZBLJUDUEZUCZCAUBZCLJUDUEZUCZUCZFDUBZU
      FZCFUNZBFUNZHTZVRCBHTZLKTZHTZVSVRHTZVREHTVQVHVNVKVPVTWCUGVHVOVPUHZVHVKVNV
      PUIVHVKVNVPUJVHVOVPUKZACBDWBFGHIJKLMNOPQRWBULUMUOVQVFVSAUBZVRAUBZWDVTUGVF
      VGVOVPUPZVQVHVPVIWGWEWFVIVJVNVHVPUQZABDFGIJLOQMNURUSVQVHVPVLWHWEWFVLVMVKV
      HVPVDZACDFGIJLOQMNURUSAHIVSVRPQUTUSVQEWBVRHVQEBCHTZLKTWBSVQWLWALKVQVFVIVL
      WLWAUGWIWJWKAHIBCPQUTUSVAVBVCVE $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 23-Apr-2013.) $)
    cdlemg2l $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
          /\ ( F e. T /\ G e. T ) )
                -> ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) )
                 = ( ( F ` ( G ` P ) ) .\/ U ) ) $=
      ( chlt wcel wa wbr wn w3a cfv co wceq cdlemg2k 3adant3l fveq2d cbs simp3l
      simp1 simp3r simp2l ltrnel syl3anc simpld eqid atbase syl ltrnj syl112anc
      simp2r cdlemg2fv2 syl131anc 3eqtr3d ) JUAUBMHUBUCZBAUBBMKUDUEUCZCAUBCMKUD
      UEUCZUCZFDUBZGDUBZUCZUFZBGUGZCGUGZIUHZFUGZVREIUHZFUGZVRFUGZVSFUGIUHZWDEIU
      HZVQVTWBFVJVMVOVTWBUIVNABCDEGHIJKLMNOPQRSTUJUKULVQVJVNVRJUMUGZUBZVSWGUBZW
      AWEUIVJVMVPUOZVJVMVNVOUNZVQVRAUBZWHVQWLVRMKUDUEZVQVJVOVKWLWMUCZWJVJVMVNVO
      UPZVJVKVLVPUQZABDGHJKMPRNOURUSZUTAWGVRJWGVAZRVBVCVQVSAUBZWIVQWSVSMKUDUEZV
      QVJVOVLWSWTUCWJWOVJVKVLVPVFZACDGHJKMPRNOURUSUTAWGVSJWRRVBVCWGDFHIJMVRVSWR
      QNOVDVEVQVJVKVLWNVNWCWFUIWJWPXAWQWKABCVRDEFHIJKLMNOPQRSTVGVHVI $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 25-Apr-2013.) $)
    cdlemg2m $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ F e. T ) -> ( ( ( F ` P ) .\/ ( F ` Q ) ) ./\ W ) = U ) $=
      ( wcel chlt wa wbr wn w3a cfv cdlemg2k oveq1d cp0 wceq simp1 simp3 simp2l
      co eqid ltrnmw syl3anc cbs simp1l ltrnel simpld simp2ll simp2rl cdleme0aa
      simp1r syl211anc lhpbase clat hlatjcl latmle2 eqbrtrid atmod4i2 syl131anc
      syl hllatd col hlol olj02 syl2anc 3eqtr3d eqtrd ) IUATZLGTZUBZBATZBLJUCUD
      ZUBZCATZCLJUCUDZUBZUBZFDTZUEZBFUFZCFUFHUNZLKUNWNEHUNZLKUNZEWMWOWPLKABCDEF
      GHIJKLMNOPQRSUGUHWMWNLKUNZEHUNZIUIUFZEHUNZWQEWMWRWTEHWMWDWLWGWRWTUJWDWKWL
      UKZWDWKWLULZWDWGWJWLUMZABDFGIJKLWTORWTUOZQMNUPUQUHWMWBWNATZEIURUFZTZLXGTZ
      ELJUCWSWQUJWBWCWKWLUSZWMXFWNLJUCUDZWMWDWLWGXFXKUBXBXCXDABDFGIJLOQMNUTUQVA
      WMWBWCWEWHXHXJWBWCWKWLVEZWEWFWJWDWLVBZWHWIWGWDWLVCZAXGBCEGHIJKLOPRQMSXGUO
      ZVDVFZWMWCXIXLXGGILXOMVGVNZWMEBCHUNZLKUNZLJSWMIVHTXRXGTZXIXSLJUCWMIXJVOWM
      WBWEWHXTXJXMXNAXGHIBCXOPQVIUQXQXGIJKXRLXOORVJUQVKAXGWNHIJKELXOOPRQVLVMWMI
      VPTZXHXAEUJWMWBYAXJIVQVNXPXGHIEWTXOPXEVRVSVTWA $.
  $}

  ${
    $d q r A $.  $d q r H $.  $d q r K $.  $d q r .<_ $.  $d q r P $.
    $d q r W $.
    cdlemg5.l $e |- .<_ = ( le ` K ) $.
    cdlemg5.j $e |- .\/ = ( join ` K ) $.
    cdlemg5.a $e |- A = ( Atoms ` K ) $.
    cdlemg5.h $e |- H = ( LHyp ` K ) $.
    $( TODO:  Is there a simpler more direct proof, that could be placed
       earlier e.g. near ~ lhpexle ?  TODO:  The ` .\/ ` hypothesis is unused.
       FIX COMMENT. (Contributed by NM, 26-Apr-2013.) $)
    cdlemg5 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W ) )
     -> E. q e. A ( P =/= q /\ -. q .<_ W ) ) $=
      ( vr chlt wcel wa wbr wn cv wrex wne lhpexle adantr co w3a simpll cdlemf1
      simpr simplr syl3anc 3simpa reximi syl rexlimddv ) ENOGCOPZBAOBGFQRPZPZMS
      ZGFQZBHSZUAZUTGFQRZPZHATZMAUOUSMATUPACEFGMIKLUBUCUQURAOUSPZPZVAVBURBUTDUD
      FQZUEZHATZVDVFUOVEUPVIUOUPVEUFUQVEUHUOUPVEUIABURCDEFGHIJKLUGUJVHVCHAVAVBV
      GUKULUMUN $.

    $d r .\/ $.  $d r Q $.
    $( Given two atoms not under the fiducial co-atom ` W ` , there is a third.
       Lemma B in [Crawley] p. 112.  TODO:  Is there a simpler more direct
       proof, that could be placed earlier e.g. near ~ lhpexle ?  Then replace
       ~ cdlemb2 with it.  This is a more general version of ~ cdlemb2 without
       ` P =/= Q ` condition.  (Contributed by NM, 27-Apr-2013.) $)
    cdlemb3 $p |- ( ( ( K e. HL /\ W e. H ) /\
             ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
         -> E. r e. A ( -. r .<_ W /\ -. r .<_ ( P .\/ Q ) ) ) $=
      ( wcel wa wbr wn w3a co wceq chlt cv wne simpl1 simpl2 cdlemg5 syl2anc wb
      ancom eqcom simp2 oveq2d simp11l simp12l hlatjidm eqtr3d breq2d cal hlatl
      wrex syl simp3 atcmp bitr2d syl5bb necon3abid anbi2d 3expa rexbidva mpbid
      syl3anc simpl3 simpr cdlemb2 syl121anc pm2.61dane ) FUANZHDNZOZBANZBHGPQZ
      OZCANCHGPQOZRZIUBZHGPQZWEBCESZGPZQZOZIAUTZBCWDBCTZOZBWEUCZWFOZIAUTZWKWMVS
      WBWPVSWBWCWLUDVSWBWCWLUEABDEFGHIJKLMUFUGWMWOWJIAWDWLWEANZWOWJUHWOWFWNOWDW
      LWQRZWJWNWFUIWRWNWIWFWRWHBWEBWETWEBTZWRWHBWEUJWRWHWEBGPZWSWRWGBWEGWRBBESZ
      WGBWRBCBEWDWLWQUKULWRVQVTXABTVQVRWBWCWLWQUMZVTWAVSWCWLWQUNZAEFBKLUOUGUPUQ
      WRFURNZWQVTWTWSUHWRVQXDXBFUSVAWDWLWQVBXCAWEBFGJLVCVKVDVEVFVGVEVHVIVJWDBCU
      CZOVSWBWCXEWKVSWBWCXEUDVSWBWCXEUEVSWBWCXEVLWDXEVMABCDEFGHIJKLMVNVOVP $.
  $}

  ${
    $d r A $.  $d r F $.  $d r G $.  $d r H $.  $d r .\/ $.  $d r K $.
    $d r .<_ $.  $d r P $.  $d r Q $.  $d r T $.  $d r V $.  $d r W $.
    cdlemg4.l $e |- .<_ = ( le ` K ) $.
    cdlemg4.a $e |- A = ( Atoms ` K ) $.
    cdlemg4.h $e |- H = ( LHyp ` K ) $.
    cdlemg4.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    ${
      $d r B $.  $d r X $.
      cdlemg4.b $e |- B = ( Base ` K ) $.
      $( Properties of a translation of an element not under ` W ` .  TODO:
         Fix comment.  Can this be simplified?  Perhaps derived from
         ~ cdleme48bw ?  Done with a *ltrn* theorem?  (Contributed by NM,
         28-Apr-2013.)  (New usage is discouraged.) $)
      cdlemg7fvbwN $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( X e. B /\ -. X .<_ W ) /\ F e. T )
         -> ( ( F ` X ) e. B /\ -. ( F ` X ) .<_ W ) ) $=
        ( vr wcel wa wbr wn syl3anc chlt w3a cv cmee cfv cjn wceq wrex lhpmcvr2
        co 3adant3 simp11 simp2 simp3l simp12 simp13 simp3r cdlemg2fv syl122anc
        eqid jca simp11l hllatd ltrnel simpld atbase syl simp12l simp11r latmcl
        clat lhpbase latjcl eqeltrd simprd latlej1 wi lattr syl13anc mpand mtod
        breq1d mtbird rexlimdv3a mpd ) FUAPZHEPZQZIBPZIHGRSZQZDCPZUBZOUCZHGRSZW
        NIHFUDUEZUJZFUFUEZUJIUGZQZOAUHZIDUEZBPZXBHGRZSZQZWHWKXAWLABEWRFGWPHIONJ
        WRUTZWPUTZKLUIUKWMWTXFOAWMWNAPZWTUBZXCXEXJXBWNDUEZWQWRUJZBXJWHXIWOQZWKW
        LWSXBXLUGWHWKWLXIWTULZXJXIWOWMXIWTUMWMXIWOWSUNVAZWHWKWLXIWTUOWHWKWLXIWT
        UPZWMXIWOWSUQABWNCDEWRFGWPHILMJXGKXHNURUSZXJFVKPZXKBPZWQBPZXLBPZXJFWFWG
        WKWLXIWTVBVCZXJXKAPZXSXJWHWLXMYCXNXPXOWHWLXMUBZYCXKHGRZSZAWNCDEFGHJKLMV
        DZVETABXKFNKVFVGZXJXRWIHBPZXTYBWIWJWHWLXIWTVHXJWGYIWFWGWKWLXIWTVIBEFHNL
        VLVGZBFWPIHNXHVJTZBWRFXKWQNXGVMTZVNXJXDXLHGRZXJYMYEXJWHWLXMYFXNXPXOYDYC
        YFYGVOTXJXKXLGRZYMYEXJXRXSXTYNYBYHYKBWRFGXKWQNJXGVPTXJXRXSYAYIYNYMQYEVQ
        YBYHYLYJBFGXKXLHNJVRVSVTWAXJXBXLHGXQWBWCVAWDWE $.
    $}

    cdlemg4.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( TODO:  FIX COMMENT If fg(p) = p, then tr f = tr g.  (Contributed by NM,
       23-Apr-2013.) $)
    cdlemg4a $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ F e. T /\ G e. T )
           /\ ( F ` ( G ` P ) ) = P )
         -> ( R ` F ) = ( R ` G ) ) $=
      ( wcel cfv wceq co syl3anc chlt wa wbr wn w3a cjn cmee simp3 oveq2d simp1
      simp1l simp23 simp21 ltrnel simpld simp21l hlatjcom oveq1d simp22 trlval2
      eqid eqtrd 3eqtr4d ) HUAPZJGPZUBZBAPZBJIUCUDZUBZEDPZFDPZUEZBFQZEQZBRZUEZV
      MVNHUFQZSZJHUGQZSZBVMVQSZJVSSZECQZFCQZVPVRWAJVSVPVRVMBVQSZWAVPVNBVMVQVFVL
      VOUHUIVPVDVMAPZVGWEWARVDVEVLVOUKVPVFVKVIWFVFVLVOUJZVFVIVJVKVOULZVFVIVJVKV
      OUMZVFVKVIUEWFVMJIUCUDZABDFGHIJKLMNUNZUOTVGVHVJVKVFVOUPAVQHVMBVQVAZLUQTVB
      URVPVFVJWFWJUBZWCVTRWGVFVIVJVKVOUSVPVFVKVIWMWGWHWIWKTAVMCDEGVQHIVSJKWLVSV
      AZLMNOUTTVPVFVKVIWDWBRWGWHWIABCDFGVQHIVSJKWLWNLMNOUTTVC $.

    cdlemg4.j $e |- .\/ = ( join ` K ) $.
    cdlemg4b.v $e |- V = ( R ` G ) $.
    $( TODO:  FIX COMMENT. (Contributed by NM, 24-Apr-2013.) $)
    cdlemg4b1 $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( P e. A /\ -. P .<_ W ) /\ G e. T )
     -> ( P .\/ V ) = ( P .\/ ( G ` P ) ) ) $=
      ( wcel co chlt wa wbr w3a cfv cmee wceq eqid trlval2 3com23 syl5eq oveq2d
      wn simp1 simp2 ltrnel simpld cdleme0cp syl12anc eqtrd ) HUASKFSUBZBASBKIU
      CUMUBZEDSZUDZBJGTBBBEUEZGTZKHUFUEZTZGTZVFVDJVHBGVDJECUEZVHRVAVCVBVJVHUGAB
      CDEFGHIVGKLQVGUHZMNOPUIUJUKULVDVAVBVEASZVIVFUGVAVBVCUNVAVBVCUOVAVCVBVLVAV
      CVBUDVLVEKIUCUMABDEFHIKLMNOUPUQUJABVEVHFGHIVGKLQVKMNVHUHURUSUT $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 24-Apr-2013.) $)
    cdlemg4b2 $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( P e. A /\ -. P .<_ W ) /\ G e. T )
  -> ( ( G ` P ) .\/ V ) = ( P .\/ ( G ` P ) ) ) $=
      ( wcel co chlt wa wbr w3a cfv cmee wceq eqid trlval2 3com23 syl5eq oveq2d
      wn simp1 simp2l ltrnel cdleme0cq syl12anc eqtrd ) HUASKFSUBZBASZBKIUCUMZU
      BZEDSZUDZBEUEZJGTVFBVFGTZKHUFUEZTZGTZVGVEJVIVFGVEJECUEZVIRUTVDVCVKVIUGABC
      DEFGHIVHKLQVHUHZMNOPUIUJUKULVEUTVAVFASVFKIUCUMUBZVJVGUGUTVCVDUNUTVAVBVDUO
      UTVDVCVMABDEFHIKLMNOUPUJABVFVIFGHIVHKLQVLMNVIUHUQURUS $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 24-Apr-2013.) $)
    cdlemg4b12 $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( P e. A /\ -. P .<_ W ) /\ G e. T )
     -> ( ( G ` P ) .\/ V ) = ( P .\/ V ) ) $=
      ( wcel co chlt wa wbr wn w3a cfv cdlemg4b2 cdlemg4b1 eqtr4d ) HUASKFSUBBA
      SBKIUCUDUBEDSUEBEUFZJGTBUJGTBJGTABCDEFGHIJKLMNOPQRUGABCDEFGHIJKLMNOPQRUHU
      I $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 24-Apr-2013.) $)
    cdlemg4c $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ G e. T )
    /\ -. Q .<_ ( P .\/ V ) ) -> -. ( G ` Q ) .<_ ( P .\/ V ) ) $=
      ( wcel chlt wa wbr wn w3a co cfv simpll simplr2 simplr3 cdlemg4b2 syl3anc
      wceq simpr clat cbs hllatd simpr1l eqid atbase simpl simpr3 trlcl syl2anc
      syl eqeltrid latlej2 adantr wb ltrncl latjle12 syl13anc mpbi2and eqbrtrrd
      simpr2l latjcl mpbird simpld ex con3d 3impia ) IUATZLGTZUBZBATZBLJUCUDZUB
      ZCATZCLJUCUDZUBZFETZUEZCBKHUFZJUCZUDCFUGZWMJUCZUDWDWLUBZWPWNWQWPWNWQWPUBZ
      WNWPWRWNWPUBZCWOHUFZWMJUCZWRWOKHUFZWTWMJWRWDWJWKXBWTUMWDWLWPUHZWGWJWKWDWP
      UIWGWJWKWDWPUJZACDEFGHIJKLMNOPQRSUKULWRWPKWMJUCZXBWMJUCZWQWPUNWQXEWPWQIUO
      TZBIUPUGZTZKXHTZXEWQIWBWCWLUHUQZWQWEXIWEWFWJWKWDURAXHBIXHUSZNUTVEZWQKFDUG
      ZXHSWQWDWKXNXHTZWDWLVAZWDWGWJWKVBZXHDEFGILXLOPQVCZVDVFZXHHIJBKXLMRVGULVHW
      QWPXEUBXFVIZWPWQXGWOXHTZXJWMXHTZXTXKWQWDWKCXHTZYAXPXQWQWHYCWHWIWGWKWDVOAX
      HCIXLNUTVEZXHEFGIUALCXLOPVJULZXSWQXGXIXJYBXKXMXSXHHIBKXLRVPZULXHHIJWOKWMX
      LMRVKVLVHVMVNWRXGYCYAYBWSXAVIWQXGWPXKVHZWQYCWPYDVHWQYAWPYEVHWRXGXIXJYBYGW
      QXIWPXMVHWRKXNXHSWRWDWKXOXCXDXRVDVFYFULXHHIJCWOWMXLMRVKVLVQVRVSVTWA $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 25-Apr-2013.) $)
    cdlemg4d $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
       /\ ( G e. T /\ -. Q .<_ ( P .\/ V ) /\ ( F ` ( G ` P ) ) = P ) )
    -> -. ( G ` Q ) .<_ ( ( G ` P ) .\/ ( F ` ( G ` P ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a co cfv wceq simp1 simp21 simp22 simp31 cdlemg4c
      simp32 syl131anc simp1l simp21l ltrnel simpld hlatjcom cdlemg4b1 3eqtr4rd
      syl3anc simp33 oveq2d breq2d mtbird ) JUAUBZMHUBZUCZBAUBZBMKUDUEZUCZCAUBC
      MKUDUEUCZFEUBZUFZGEUBZCBLIUGZKUDUEZBGUHZFUHZBUIZUFZUFZCGUHZWAWBIUGZKUDWFV
      SKUDZWEVKVNVOVRVTWHUEVKVQWDUJZVKVNVOVPWDUKZVKVNVOVPWDULVKVQVRVTWCUMZVKVQV
      RVTWCUOABCDEGHIJKLMNOPQRSTUNUPWEWGVSWFKWEBWAIUGZWABIUGZVSWGWEVIVLWAAUBZWL
      WMUIVIVJVQWDUQVLVMVOVPVKWDURWEVKVRVNWNWIWKWJVKVRVNUFWNWAMKUDUEABEGHJKMNOP
      QUSUTVDAIJBWASOVAVDWEVKVNVRVSWLUIWIWJWKABDEGHIJKLMNOPQRSTVBVDWEWBBWAIVKVQ
      VRVTWCVEVFVCVGVH $.

    ${
      cdlemg4.m $e |- ./\ = ( meet ` K ) $.
      $( TODO:  FIX COMMENT. (Contributed by NM, 25-Apr-2013.) $)
      cdlemg4e $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
       /\ ( G e. T /\ -. Q .<_ ( P .\/ V ) /\ ( F ` ( G ` P ) ) = P ) )
  -> ( F ` ( G ` Q ) ) = ( ( ( G ` Q ) .\/ ( R ` F ) )
    ./\ ( ( F ` ( G ` P ) )
         .\/ ( ( ( G ` P ) .\/ ( G ` Q ) ) ./\ W ) ) ) ) $=
        ( chlt wcel wa wbr wn w3a co cfv wceq simp1 simp23 simp31 simp21 ltrnel
        syl3anc simp22 cdlemg4d cdlemc syl131anc ) JUCUDNHUDUEZBAUDBNKUFUGUEZCA
        UDCNKUFUGUEZFEUDZUHZGEUDZCBMIUIKUFUGZBGUJZFUJZBUKZUHZUHZVBVEVIAUDVINKUF
        UGUEZCGUJZAUDVONKUFUGUEZVOVIVJIUIKUFUGVOFUJVOFDUJIUIVJVIVOIUINLUIIUILUI
        UKVBVFVLULZVBVCVDVEVLUMVMVBVGVCVNVQVBVFVGVHVKUNZVBVCVDVEVLUOABEGHJKNOPQ
        RUPUQVMVBVGVDVPVQVRVBVCVDVEVLURACEGHJKNOPQRUPUQABCDEFGHIJKMNOPQRSTUAUSA
        VIVODEFHIJKLNOTUBPQRSUTVA $.

      $( TODO:  FIX COMMENT. (Contributed by NM, 25-Apr-2013.) $)
      cdlemg4f $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
       /\ ( G e. T /\ -. Q .<_ ( P .\/ V ) /\ ( F ` ( G ` P ) ) = P ) )
    -> ( F ` ( G ` Q ) )
         = ( ( Q .\/ V ) ./\ ( P .\/ ( ( P .\/ Q ) ./\ W ) ) ) ) $=
        ( chlt wcel wa wbr wn w3a cfv wceq cdlemg4e simp21 simp23 simp31 simp33
        co simp1 syl131anc eqtr4id oveq2d simp22 cdlemg4b12 syl3anc eqtr3d eqid
        cdlemg4a cdlemg2m syl121anc oveq12d eqtrd ) JUCUDNHUDUEZBAUDBNKUFUGUEZC
        AUDCNKUFUGUEZFEUDZUHZGEUDZCBMIUPKUFUGZBGUIZFUIZBUJZUHZUHZCGUIZFUIWCFDUI
        ZIUPZVSVRWCIUPNLUPZIUPZLUPCMIUPZBBCIUPNLUPZIUPZLUPABCDEFGHIJKLMNOPQRSTU
        AUBUKWBWEWHWGWJLWBWCMIUPZWEWHWBMWDWCIWBMGDUIZWDUAWBVKVLVNVPVTWDWLUJVKVO
        WAUQZVKVLVMVNWAULZVKVLVMVNWAUMVKVOVPVQVTUNZVKVOVPVQVTUOZABDEFGHJKNOPQRS
        VFURUSUTWBVKVMVPWKWHUJWMVKVLVMVNWAVAZWOACDEGHIJKMNOPQRSTUAVBVCVDWBVSBWF
        WIIWPWBVKVLVMVPWFWIUJWMWNWQWOABCEWIGHIJKLNQROTPUBWIVEVGVHVIVIVJ $.

      $( TODO:  FIX COMMENT. (Contributed by NM, 25-Apr-2013.) $)
      cdlemg4g $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
       /\ ( G e. T /\ -. Q .<_ ( P .\/ V ) /\ ( F ` ( G ` P ) ) = P ) )
    -> ( F ` ( G ` Q ) ) = ( ( Q .\/ V ) ./\ ( P .\/ Q ) ) ) $=
        ( chlt wcel wa wbr wn w3a co wceq cdlemg4f simp1l simp1r simp21 simp22l
        cfv eqid cdleme0cp syl22anc oveq2d eqtrd ) JUCUDZNHUDZUEZBAUDBNKUFUGUEZ
        CAUDZCNKUFUGZUEZFEUDZUHZGEUDCBMIUIKUFUGBGUPFUPBUJUHZUHZCGUPFUPCMIUIZBBC
        IUIZNLUIZIUIZLUIVMVNLUIABCDEFGHIJKLMNOPQRSTUAUBUKVLVPVNVMLVLVBVCVEVFVPV
        NUJVBVCVJVKULVBVCVJVKUMVDVEVHVIVKUNVFVGVEVIVDVKUOABCVOHIJKLNOTUBPQVOUQU
        RUSUTVA $.
    $}
    $( TODO:  FIX COMMENT. (Contributed by NM, 25-Apr-2013.) $)
    cdlemg4 $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
       /\ ( G e. T /\ -. Q .<_ ( P .\/ V ) /\ ( F ` ( G ` P ) ) = P ) )
    -> ( F ` ( G ` Q ) ) = Q ) $=
      ( chlt wcel wa wbr w3a cfv wceq cmee eqid cdlemg4g simp1l simp21l simp22l
      wn hlatjcom syl3anc oveq2d cbs simp1 simp31 trlcl syl2anc eqeltrid simp32
      co simp21r simp21 trlval2 syl5eq clat hllatd ltrnel simpld hlatjcl simp1r
      wi lhpbase latmle2 eqbrtrd atbase lattr syl13anc mpan2d hlexch2 syl131anc
      syl mtod 2llnma1b 3eqtrd ) JUAUBZMHUBZUCZBAUBZBMKUDZUNZUCZCAUBZCMKUDUNZUC
      ZFEUBZUEZGEUBZCBLIVEKUDZUNZBGUFZFUFBUGZUEZUEZCGUFFUFCLIVEZBCIVEZJUHUFZVEX
      ICBIVEZXKVEZCABCDEFGHIJKXKLMNOPQRSTXKUIZUJXHXJXLXIXKXHWJWMWQXJXLUGWJWKXAX
      GUKZWMWOWSWTWLXGULZWQWRWPWTWLXGUMZAIJBCSOUOUPUQXHWJLJURUFZUBZWQWMBXIKUDZU
      NXMCUGXOXHLGDUFZXRTXHWLXBYAXRUBWLXAXGUSZWLXAXBXDXFUTZXRDEGHJMXRUIZPQRVAVB
      VCZXQXPXHXTXCWLXAXBXDXFVDXHWJWMWQXSBLKUDZUNXTXCVPXOXPXQYEXHYFWNWMWOWSWTWL
      XGVFXHYFLMKUDZWNXHLBXEIVEZMXKVEZMKXHLYAYITXHWLXBWPYAYIUGYBYCWLWPWSWTXGVGZ
      ABDEGHIJKXKMNSXNOPQRVHUPVIXHJVJUBZYHXRUBZMXRUBZYIMKUDXHJXOVKZXHWJWMXEAUBZ
      YLXOXPXHYOXEMKUDUNZXHWLXBWPYOYPUCYBYCYJABEGHJKMNOPQVLUPVMAXRIJBXEYDSOVNUP
      XHWKYMWJWKXAXGVOXRHJMYDPVQWFZXRJKXKYHMYDNXNVRUPVSXHYKBXRUBZXSYMYFYGUCWNVP
      YNXHWMYRXPAXRBJYDOVTWFYEYQXRJKBLMYDNWAWBWCWGAXRBCIJKLYDNSOWDWEWGAXRCBIJKX
      KLYDNSXNOWHWEWI $.

    $( TODO:  FIX COMMENT. TODO: replace with ~ cdlemg4 .  (Contributed by NM,
       27-Apr-2013.) $)
    cdlemg6a $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( r e. A /\ -. r .<_ W ) /\ F e. T )
       /\ ( G e. T /\ -. r .<_ ( P .\/ V ) /\ ( F ` ( G ` P ) ) = P ) )
    -> ( F ` ( G ` r ) ) = r ) $=
      ( cv cdlemg4 ) ABMUACDEFGHIJKLNOPQRSTUB $.

    $( TODO:  FIX COMMENT. TODO: replace with ~ cdlemg4 .  (Contributed by NM,
       27-Apr-2013.) $)
    cdlemg6b $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( r e. A /\ -. r .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
       /\ ( G e. T /\ -. Q .<_ ( r .\/ V ) /\ ( F ` ( G ` r ) ) = r ) )
    -> ( F ` ( G ` Q ) ) = Q ) $=
      ( cv cdlemg4 ) AMUABCDEFGHIJKLNOPQRSTUB $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 27-Apr-2013.) $)
    cdlemg6c $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
       /\ ( G e. T /\ Q .<_ ( P .\/ V ) /\ ( F ` ( G ` P ) ) = P ) )
    -> ( ( ( r e. A /\ -. r .<_ W ) /\ -. r .<_ ( P .\/ V ) )
        -> ( F ` ( G ` Q ) ) = Q ) ) $=
      ( chlt wcel wa wbr wn w3a co cfv cv simpl1 simprl simpl22 simpl23 simpl31
      wceq simprr wi simpl1l simp22l adantr simprll eqid trlcl syl2anc eqeltrid
      cbs simp22r trlle eqbrtrid clat simp1l hllatd atbase simp1r lhpbase lattr
      syl13anc mpan2d mtod hlexch2 syl131anc simpl32 simp21l latlej2 syl3anc wb
      latjcl latjle12 mpbi2and syld simpl21 simpl33 cdlemg6a syl133anc cdlemg6b
      syl ex ) JUBUCZMHUCZUDZBAUCZBMKUEUFZUDZCAUCZCMKUEZUFZUDZFEUCZUGZGEUCZCBLI
      UHZKUEZBGUIFUIBUPZUGZUGZNUJZAUCZXQMKUEUFZUDZXQXLKUEZUFZUDZCGUIFUICUPZXPYC
      UDZXAXTXHXIXKCXQLIUHKUEZUFXQGUIFUIXQUPZYDXAXJXOYCUKZXPXTYBULZXDXHXIXAXOYC
      UMXDXHXIXAXOYCUNZXKXMXNXAXJYCUOZYEYFYAXPXTYBUQZYEYFXQCLIUHZKUEZYAYEWSXEXR
      LJVGUIZUCZCLKUEZUFYFYNURWSWTXJXOYCUSXPXEYCXEXGXDXIXAXOUTZVAXPXRXSYBVBZYEL
      GDUIZYOUAYEXAXKYTYOUCYHYKYODEGHJMYOVCZQRSVDVEVFZYEYQXFXPXGYCXEXGXDXIXAXOV
      HVAYEYQLMKUEZXFYELYTMKUAYEXAXKYTMKUEYHYKDEGHJKMOQRSVIVEVJYEJVKUCZCYOUCZYP
      MYOUCZYQUUCUDXFURXPUUDYCXPJWSWTXJXOVLVMVAZXPUUEYCXPXEUUEYRAYOCJUUAPVNWQVA
      ZUUBXPUUFYCXPWTUUFWSWTXJXOVOYOHJMUUAQVPWQVAYOJKCLMUUAOVQVRVSVTAYOCXQIJKLU
      UAOTPWAWBYEYNYMXLKUEZYAYEXMLXLKUEZUUIXKXMXNXAXJYCWCYEUUDBYOUCZYPUUJUUGYEX
      BUUKXPXBYCXBXCXHXIXAXOWDVAAYOBJUUAPVNWQZUUBYOIJKBLUUAOTWEWFYEUUDUUEYPXLYO
      UCZXMUUJUDUUIWGUUGUUHUUBYEUUDUUKYPUUMUUGUULUUBYOIJBLUUATWHWFZYOIJKCLXLUUA
      OTWIVRWJYEUUDXQYOUCZYMYOUCZUUMYNUUIUDYAURUUGYEXRUUOYSAYOXQJUUAPVNWQYEUUDU
      UEYPUUPUUGUUHUUBYOIJCLUUATWHWFUUNYOJKXQYMXLUUAOVQVRVSWKVTYEXAXDXTXIXKYBXN
      YGYHXDXHXIXAXOYCWLYIYJYKYLXKXMXNXAXJYCWMABDEFGHIJKLMNOPQRSTUAWNWOACDEFGHI
      JKLMNOPQRSTUAWPWOWR $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 27-Apr-2013.) $)
    cdlemg6d $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
       /\ ( G e. T /\ Q .<_ ( P .\/ V ) /\ ( F ` ( G ` P ) ) = P ) )
    -> ( ( ( r e. A /\ -. r .<_ W ) /\ -. r .<_ ( P .\/ ( G ` P ) ) )
        -> ( F ` ( G ` Q ) ) = Q ) ) $=
      ( chlt wcel wa wbr wn w3a co cfv cv simp1 simp21 simp31 cdlemg4b1 syl3anc
      wceq breq2d notbid anbi2d cdlemg6c sylbird ) JUBUCMHUCUDZBAUCBMKUEUFUDZCA
      UCCMKUEUFUDZFEUCZUGZGEUCZCBLIUHZKUEZBGUIZFUIBUPZUGZUGZNUJZAUCVNMKUEUFUDZV
      NBVJIUHZKUEZUFZUDVOVNVHKUEZUFZUDCGUIFUICUPVMVTVRVOVMVSVQVMVHVPVNKVMVBVCVG
      VHVPUPVBVFVLUKVBVCVDVEVLULVBVFVGVIVKUMABDEGHIJKLMOPQRSTUAUNUOUQURUSABCDEF
      GHIJKLMNOPQRSTUAUTVA $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 27-Apr-2013.) $)
    cdlemg6e $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
       /\ ( G e. T /\ Q .<_ ( P .\/ V ) /\ ( F ` ( G ` P ) ) = P ) )
    -> ( F ` ( G ` Q ) ) = Q ) $=
      ( vr chlt wcel wa wbr wn w3a co cfv wceq wrex simp1 simp21 simp31 syl3anc
      cv ltrnel cdlemb3 cdlemg6d exp4c imp4a rexlimdv mpd ) JUBUCMHUCUDZBAUCBMK
      UEUFUDZCAUCCMKUEUFUDZFEUCZUGZGEUCZCBLIUHKUEZBGUIZFUIBUJZUGZUGZUAUPZMKUEUF
      ZVOBVKIUHKUEUFZUDZUAAUKZCGUIFUICUJZVNVDVEVKAUCVKMKUEUFUDZVSVDVHVMULZVDVEV
      FVGVMUMZVNVDVIVEWAWBVDVHVIVJVLUNWCABEGHJKMNOPQUQUOABVKHIJKMUANSOPURUOVNVR
      VTUAAVNVOAUCZVPVQVTVNWDVPVQVTABCDEFGHIJKLMUANOPQRSTUSUTVAVBVC $.
  $}

  ${
    cdlemg6.l $e |- .<_ = ( le ` K ) $.
    cdlemg6.a $e |- A = ( Atoms ` K ) $.
    cdlemg6.h $e |- H = ( LHyp ` K ) $.
    cdlemg6.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( TODO:  FIX COMMENT. (Contributed by NM, 27-Apr-2013.) $)
    cdlemg6 $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( F e. T /\ G e. T /\ ( F ` ( G ` P ) ) = P ) )
    -> ( F ` ( G ` Q ) ) = Q ) $=
      ( wcel wa wbr wn cfv eqid chlt wceq w3a co simpl1 simpl2l simpl2r simpl31
      ctrl cjn simpl32 simpr simpl33 cdlemg6e syl133anc cdlemg4 pm2.61dan ) HUA
      OJGOPZBAOBJIQRPZCAOCJIQRPZPZEDOZFDOZBFSESBUBZUCZUCZCBFJHUISSZSZHUJSZUDIQZ
      CFSESCUBZVFVJPURUSUTVBVCVJVDVKURVAVEVJUEUSUTURVEVJUFUSUTURVEVJUGVBVCVDURV
      AVJUHVBVCVDURVAVJUKVFVJULVBVCVDURVAVJUMABCVGDEFGVIHIVHJKLMNVGTZVITZVHTZUN
      UOVFVJRZPURUSUTVBVCVOVDVKURVAVEVOUEUSUTURVEVOUFUSUTURVEVOUGVBVCVDURVAVOUH
      VBVCVDURVAVOUKVFVOULVBVCVDURVAVOUMABCVGDEFGVIHIVHJKLMNVLVMVNUPUOUQ $.
  $}

  ${
    cdlemg7fv.b $e |- B = ( Base ` K ) $.
    cdlemg7fv.l $e |- .<_ = ( le ` K ) $.
    cdlemg7fv.j $e |- .\/ = ( join ` K ) $.
    cdlemg7fv.m $e |- ./\ = ( meet ` K ) $.
    cdlemg7fv.a $e |- A = ( Atoms ` K ) $.
    cdlemg7fv.h $e |- H = ( LHyp ` K ) $.
    cdlemg7fv.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Value of a translation composition in terms of an associated atom.
       (Contributed by NM, 28-Apr-2013.)  (New usage is discouraged.) $)
    cdlemg7fvN $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( X e. B /\ -. X .<_ W ) )
       /\ ( F e. T /\ G e. T /\ ( P .\/ ( X ./\ W ) ) = X ) )
       -> ( F ` ( G ` X ) ) = ( ( F ` ( G ` P ) ) .\/ ( X ./\ W ) ) ) $=
      ( chlt wcel wa wbr wn co wceq w3a cfv simp32 simp2l ltrnel syl3anc simp2r
      simp1 cdlemg7fvbwN simp31 simp33 cdlemg2fv syl122anc oveq1d simp2rl eqtrd
      lhpelim oveq2d eqtr4d ) IUAUBLGUBUCZCAUBCLJUDUEUCZMBUBZMLJUDUEZUCZUCZEDUB
      ZFDUBZCMLKUFZHUFMUGZUHZUHZMFUIZEUIZCFUIZEUIZVSLKUFZHUFZWBVOHUFVRVGWAAUBWA
      LJUDUEUCZVSBUBVSLJUDUEUCZVMWAWCHUFZVSUGVTWDUGVGVLVQUOZVRVGVNVHWEWHVGVLVMV
      NVPUJZVGVHVKVQUKZACDFGIJLORSTULUMZVRVGVKVNWFWHVGVHVKVQUNZWIABDFGIJLMORSTN
      UPUMVGVLVMVNVPUQVRWGWAVOHUFZVSVRWCVOWAHVRWCWMLKUFZVOVRVSWMLKVRVGVHVKVNVPV
      SWMUGWHWJWLWIVGVLVMVNVPURABCDFGHIJKLMSTOPRQNUSUTZVAVRVGWEVIWNVOUGWHWKVIVJ
      VHVGVQVBABWAGHIJKLMNOPQRSVDUMVCZVEWOVFABWADEGHIJKLVSSTOPRQNUSUTVRWCVOWBHW
      PVEVC $.
  $}

  ${
    $d r A $.  $d r B $.  $d r F $.  $d r G $.  $d r H $.  $d r K $.
    $d r .<_ $.  $d r P $.  $d r T $.  $d r W $.  $d r X $.
    cdlemg7.b $e |- B = ( Base ` K ) $.
    cdlemg7.l $e |- .<_ = ( le ` K ) $.
    cdlemg7.a $e |- A = ( Atoms ` K ) $.
    cdlemg7.h $e |- H = ( LHyp ` K ) $.
    cdlemg7.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( TODO:  FIX COMMENT. (Contributed by NM, 28-Apr-2013.)
       (New usage is discouraged.) $)
    cdlemg7aN $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( X e. B /\ -. X .<_ W ) )
       /\ ( F e. T /\ G e. T /\ ( F ` ( G ` P ) ) = P ) )
    -> ( F ` ( G ` X ) ) = X ) $=
      ( wcel wa cfv wceq vr chlt wbr wn w3a cv cmee co cjn simp1l simp1r simp2r
      wrex lhpmcvr2 syl21anc simp11 simp2 simp3l simp12r simp131 simp132 simp3r
      jca cdlemg7fvN syl123anc simp12l simp133 cdlemg6 oveq1d 3eqtrd rexlimdv3a
      eqid mpd ) HUBQZJGQZRZCAQCJIUCUDRZKBQKJIUCUDRZRZEDQZFDQZCFSESCTZUEZUEZUAU
      FZJIUCUDZWEKJHUGSZUHZHUISZUHZKTZRZUAAUMZKFSESZKTZWDVNVOVRWMVNVOVSWCUJVNVO
      VSWCUKVPVQVRWCULABGWIHIWGJKUALMWIVLZWGVLZNOUNUOWDWLWOUAAWDWEAQZWLUEZWNWEF
      SESZWHWIUHZWJKWSVPWRWFRZVRVTWAWKWNXATVPVSWCWRWLUPZWSWRWFWDWRWLUQWDWRWFWKU
      RVCZVQVRVPWCWRWLUSVTWAWBVPVSWRWLUTZVTWAWBVPVSWRWLVAZWDWRWFWKVBZABWEDEFGWI
      HIWGJKLMWPWQNOPVDVEWSWTWEWHWIWSVPVQXBVTWAWBWTWETXCVQVRVPWCWRWLVFXDXEXFVTW
      AWBVPVSWRWLVGACWEDEFGHIJMNOPVHVEVIXGVJVKVM $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 28-Apr-2013.)
       (New usage is discouraged.) $)
    cdlemg7N $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ X e. B )
       /\ ( F e. T /\ G e. T /\ ( F ` ( G ` P ) ) = P ) )
    -> ( F ` ( G ` X ) ) = X ) $=
      ( chlt wcel wa cfv wbr wn wceq w3a simpl1 simpl31 simpl32 simpl2r syl3anc
      ltrncl simpr ltrnval1 syl112anc eqbrtrd eqtrd simpl2l cdlemg7aN syl123anc
      jca simpl33 pm2.61dan ) HQRJGRSZCARCJIUAUBSZKBRZSZEDRZFDRZCFTETCUCZUDZUDZ
      KJIUAZKFTZETZKUCZVJVKSZVMVLKVOVBVFVLBRZVLJIUAVMVLUCVBVEVIVKUEZVFVGVHVBVEV
      KUFVOVBVGVDVPVQVFVGVHVBVEVKUGZVCVDVBVIVKUHZBDFGHQJKLOPUJUIVOVLKJIVOVBVGVD
      VKVLKUCVQVRVSVJVKUKZBDFGHIQJKLMOPULUMZVTUNBDEGHIQJVLLMOPULUMWAUOVJVKUBZSZ
      VBVCVDWBSVFVGVHVNVBVEVIWBUEVCVDVBVIWBUPWCVDWBVCVDVBVIWBUHVJWBUKUSVFVGVHVB
      VEWBUFVFVGVHVBVEWBUGVFVGVHVBVEWBUTABCDEFGHIJKLMNOPUQURVA $.
  $}

  ${
    cdlemg8.l $e |- .<_ = ( le ` K ) $.
    cdlemg8.j $e |- .\/ = ( join ` K ) $.
    cdlemg8.m $e |- ./\ = ( meet ` K ) $.
    cdlemg8.a $e |- A = ( Atoms ` K ) $.
    cdlemg8.h $e |- H = ( LHyp ` K ) $.
    cdlemg8.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( TODO:  FIX COMMENT. (Contributed by NM, 29-Apr-2013.) $)
    cdlemg8a $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( F e. T /\ G e. T /\ ( F ` ( G ` P ) ) = P ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
       = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( wcel co chlt wa wbr wn cfv wceq w3a simp1 simp2r lhpmat syl2anc cdlemg6
      eqid oveq2d simp1l simp2rl hlatjidm oveq1d simp33 simp2ll simp2l 3eqtr4rd
      cp0 eqtrd ) IUASZLGSZUBZBASZBLJUCUDZUBZCASZCLJUCUDZUBZUBZEDSZFDSZBFUEEUEZ
      BUFZUGZUGZCLKTZIVCUEZCCFUEEUEZHTZLKTBVQHTZLKTZVTVGVMWAWBUFVGVNVSUHZVGVJVM
      VSUIACGIJKLWBMOWBUMZPQUJUKVTWDCLKVTWDCCHTZCVTWCCCHABCDEFGIJLMPQRULUNVTVEV
      KWICUFVEVFVNVSUOZVKVLVJVGVSUPAHICNPUQUKVDURVTWFBLKTZWBVTWEBLKVTWEBBHTZBVT
      VQBBHVGVNVOVPVRUSUNVTVEVHWLBUFWJVHVIVMVGVSUTAHIBNPUQUKVDURVTVGVJWKWBUFWGV
      GVJVMVSVAABGIJKLWBMOWHPQUJUKVDVB $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 29-Apr-2013.) $)
    cdlemg8b $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
       /\ ( G e. T
           /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) = ( P .\/ Q )
               /\ ( F ` ( G ` P ) ) =/= P ) )
    -> ( P .\/ ( F ` ( G ` P ) ) ) = ( P .\/ Q ) ) $=
      ( wcel wbr chlt wa wn w3a cfv co wceq wne clat simp1l hllatd simp21l eqid
      cbs atbase syl simp22l latlej1 syl3anc simp23 simp31 simp21 ltrnel simpld
      ltrncl simp32 breqtrd wb hlatjcl latjle12 syl13anc mpbi2and simp33 necomd
      simp1 ps-1 syl132anc mpbid ) IUASZLGSZUBZBASZBLJTUCZUBZCASZCLJTUCZUBZEDSZ
      UDZFDSZBFUEZEUEZCFUEZEUEZHUFZBCHUFZUGZWLBUHZUDZUDZBWLHUFZWPJTZXAWPUGZWTBW
      PJTZWLWPJTZXBWTIUISZBIUNUEZSZCXGSZXDWTIVSVTWIWSUJZUKZWTWBXHWBWCWGWHWAWSUL
      ZAXGBIXGUMZPUOUPZWTWEXIWEWFWDWHWAWSUQZAXGCIXMPUOUPZXGHIJBCXMMNURUSWTWLWOW
      PJWTXFWLXGSZWNXGSZWLWOJTXKWTWLASZXQWTWAWHWKASWKLJTUCUBZXSWAWIWSVOZWAWDWGW
      HWSUTZWTWAWJWDXTYAWAWIWJWQWRVAZWAWDWGWHWSVBABDFGIJLMPQRVCUSWAWHXTUDXSWLLJ
      TUCAWKDEGIJLMPQRVCVDUSZAXGWLIXMPUOUPZWTWAWHWMXGSZXRYAYBWTWAWJXIYFYAYCXPXG
      DFGIUALCXMQRVEUSXGDEGIUALWMXMQRVEUSXGHIJWLWNXMMNURUSWAWIWJWQWRVFVGWTXFXHX
      QWPXGSZXDXEUBXBVHXKXNYEWTVSWBWEYGXJXLXOAXGHIBCXMNPVIUSXGHIJBWLWPXMMNVJVKV
      LWTVSWBXSBWLUHWBWEXBXCVHXJXLYDWTWLBWAWIWJWQWRVMVNXLXOABWLBCHIJMNPVPVQVR
      $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 29-Apr-2013.) $)
    cdlemg8c $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
       /\ ( G e. T
           /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) = ( P .\/ Q )
               /\ ( F ` ( G ` P ) ) =/= P ) )
    -> ( Q .\/ ( F ` ( G ` Q ) ) ) = ( P .\/ Q ) ) $=
      ( wcel wceq chlt wa wbr wn w3a cfv wne simp22 simp21 simp23 simp31 simp32
      simp1 simp1l ltrnel syl3anc simpld hlatjcom simp21l simp22l simp33 simpl1
      co 3eqtr3d simpl22 simpl21 simpl23 simpl31 simpr cdlemg6 syl123anc ex mpd
      necon3d cdlemg8b syl133anc eqtr4d ) IUASZLGSZUBZBASZBLJUCUDZUBZCASZCLJUCU
      DZUBZEDSZUEZFDSZBFUFZEUFZCFUFZEUFZHVCZBCHVCZTZWKBUGZUEZUEZCWMHVCZCBHVCZWO
      WSVTWFWCWGWIWMWKHVCZXATWMCUGZWTXATVTWHWRUMZVTWCWFWGWRUHZVTWCWFWGWRUIZVTWC
      WFWGWRUJZVTWHWIWPWQUKZWSWNWOXBXAVTWHWIWPWQULWSVRWKASZWMASZWNXBTVRVSWHWRUN
      ZWSVTWGWJASWJLJUCUDUBZXIXDXGWSVTWIWCXLXDXHXFABDFGIJLMPQRUOUPVTWGXLUEXIWKL
      JUCUDAWJDEGIJLMPQRUOUQUPWSVTWGWLASWLLJUCUDUBZXJXDXGWSVTWIWFXMXDXHXEACDFGI
      JLMPQRUOUPVTWGXMUEXJWMLJUCUDAWLDEGIJLMPQRUOUQUPAHIWKWMNPURUPWSVRWAWDWOXAT
      XKWAWBWFWGVTWRUSWDWEWCWGVTWRUTAHIBCNPURUPZVDWSWQXCVTWHWIWPWQVAWSWMCWKBWSW
      MCTZWKBTZWSXOUBVTWFWCWGWIXOXPVTWHWRXOVBWCWFWGVTWRXOVEWCWFWGVTWRXOVFWCWFWG
      VTWRXOVGWIWPWQVTWHXOVHWSXOVIACBDEFGIJLMPQRVJVKVLVNVMACBDEFGHIJKLMNOPQRVOV
      PXNVQ $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 29-Apr-2013.) $)
    cdlemg8d $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
       /\ ( G e. T
           /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) = ( P .\/ Q )
               /\ ( F ` ( G ` P ) ) =/= P ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
       = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( wcel cfv chlt wa wbr wn w3a co wceq wne cdlemg8b cdlemg8c eqtr4d oveq1d
      ) IUASLGSUBBASBLJUCUDUBCASCLJUCUDUBEDSUEFDSBFTETZCFTETZHUFBCHUFZUGUMBUHUE
      UEZBUMHUFZCUNHUFZLKUPUQUOURABCDEFGHIJKLMNOPQRUIABCDEFGHIJKLMNOPQRUJUKUL
      $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 29-Apr-2013.) $)
    cdlemg8 $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
       /\ ( G e. T
           /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) = ( P .\/ Q ) ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
       = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( wcel wa chlt wbr wn w3a cfv wceq simpl1 simpl21 simpl22 simpl23 simpl3l
      simpr cdlemg8a syl123anc wne simpl2 simpl3r cdlemg8d syl113anc pm2.61dane
      co ) IUASLGSTZBASBLJUBUCTZCASCLJUBUCTZEDSZUDZFDSZBFUEEUEZCFUEEUEZHVABCHVA
      UFZTZUDZBVHHVALKVACVIHVALKVAUFZVHBVLVHBUFZTVBVCVDVEVGVNVMVBVFVKVNUGVCVDVE
      VBVKVNUHVCVDVEVBVKVNUIVCVDVEVBVKVNUJVGVJVBVFVNUKVLVNULABCDEFGHIJKLMNOPQRU
      MUNVLVHBUOZTVBVFVGVJVOVMVBVFVKVOUGVBVFVKVOUPVGVJVBVFVOUKVGVJVBVFVOUQVLVOU
      LABCDEFGHIJKLMNOPQRURUSUT $.

    ${
      cdlemg9.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
      $( TODO:  FIX COMMENT. (Contributed by NM, 1-May-2013.) $)
      cdlemg9a $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
            /\ F e. T )
         /\ ( G e. T /\ P =/= Q
           /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q ) ) )
    -> ( ( P .\/ U ) ./\ ( ( F ` ( G ` P ) ) .\/ U ) )
       .<_ ( ( G ` P ) .\/ U ) ) $=
        ( chlt wcel wa wbr wn w3a wne cfv co simp1l simp21l simp1 simp23 simp31
        wceq ltrncoat syl121anc simp1r simp21 simp22l simp32 cdleme0a syl212anc
        simp33 cdlemg2l syl122anc cdlemg3a syl211anc 3netr3d 2llnma3r syl131anc
        simp22 necomd ltrnat syl3anc hlatlej2 eqbrtrd ) JUAUBZMHUBZUCZBAUBZBMKU
        DUEZUCZCAUBZCMKUDUEZUCZFDUBZUFZGDUBZBCUGZBGUHZFUHZCGUHFUHIUIZBCIUIZUGZU
        FZUFZBEIUIZWLEIUIZLUIZEWKEIUIZKWQVRWAWLAUBZEAUBZWRWSUGWTEUOVRVSWHWPUJZW
        AWBWFWGVTWPUKZWQVTWGWIWAXBVTWHWPULZVTWCWFWGWPUMZVTWHWIWJWOUNZXEABDFGHJK
        MNQRSUPUQWQVRVSWCWDWJXCXDVRVSWHWPURZVTWCWFWGWPUSZWDWEWCWGVTWPUTZVTWHWIW
        JWOVAABCEHIJKLMNOPQRTVBVCZWQWSWRWQWMWNWSWRVTWHWIWJWOVDWQVTWCWFWGWIWMWSU
        OXFXJVTWCWFWGWPVLXGXHABCDEFGHIJKLMRSNOQPTVEVFWQVRVSWCWDWNWRUOXDXIXJXKAB
        CEHIJKLMNOPQRTVGVHVIVMABWLEIJKLNOPQVJVKWQVRWKAUBZXCEXAKUDXDWQVTWIWAXMXF
        XHXEABDGHJKMNQRSVNVOXLAWKEIJKNOQVPVOVQ $.
    $}

    $( The triples ` <. P , ( F `` ( G `` P ) ) , ( F `` P ) >. ` and
       ` <. Q , ( F `` ( G `` Q ) ) , ( F `` Q ) >. ` are centrally
       perspective.  TODO:  FIX COMMENT. (Contributed by NM, 1-May-2013.) $)
    cdlemg9b $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
          /\ F e. T )
       /\ ( G e. T /\ P =/= Q
           /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q ) ) )
    -> ( ( P .\/ Q ) ./\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) )
       .<_ ( ( G ` P ) .\/ ( G ` Q ) ) ) $=
      ( wcel co chlt wa wbr w3a wne cfv eqid cdlemg9a wceq simp1l simp1r simp21
      wn simp22l cdlemg3a syl211anc simp1 simp22 simp23 simp31 cdlemg2l oveq12d
      syl122anc cdlemg2k syl121anc 3brtr4d ) IUASZLGSZUBZBASBLJUCUMUBZCASZCLJUC
      UMZUBZEDSZUDZFDSZBCUEZBFUFZEUFZCFUFZEUFHTZBCHTZUEZUDZUDZBWBLKTZHTZVSWFHTZ
      KTVRWFHTZWBWAKTVRVTHTZJABCDWFEFGHIJKLMNOPQRWFUGZUHWEWBWGWAWHKWEVGVHVJVKWB
      WGUIVGVHVOWDUJVGVHVOWDUKVIVJVMVNWDULZVKVLVJVNVIWDUNABCWFGHIJKLMNOPQWKUOUP
      WEVIVJVMVNVPWAWHUIVIVOWDUQZWLVIVJVMVNWDURZVIVJVMVNWDUSVIVOVPVQWCUTZABCDWF
      EFGHIJKLQRMNPOWKVAVCVBWEVIVJVMVPWJWIUIWMWLWNWOABCDWFFGHIJKLQRMNPOWKVDVEVF
      $.

    $( The triples ` <. P , ( F `` ( G `` P ) ) , ( F `` P ) >. ` and
       ` <. Q , ( F `` ( G `` Q ) ) , ( F `` Q ) >. ` are axially perspective
       by ~ dalaw .  Part of Lemma G of [Crawley] p. 116, last 2 lines.  TODO:
       FIX COMMENT. (Contributed by NM, 1-May-2013.) $)
    cdlemg9 $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
          /\ F e. T )
       /\ ( G e. T /\ P =/= Q
           /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q ) ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ ( Q .\/ ( F ` ( G ` Q ) ) ) )
           .<_ ( ( ( ( F ` ( G ` P ) ) .\/ ( G ` P ) )
                ./\ ( ( F ` ( G ` Q ) ) .\/ ( G ` Q ) ) )
             .\/ ( ( ( G ` P ) .\/ P ) ./\ ( ( G ` Q ) .\/ Q ) ) ) ) $=
      ( wcel co chlt wa wbr wn w3a wne cfv cdlemg9b simp1l simp21l simp1 simp23
      wi simp31 ltrncoat syl121anc ltrnat syl3anc simp22l dalaw syl133anc mpd )
      IUASZLGSZUBZBASZBLJUCUDZUBZCASZCLJUCUDZUBZEDSZUEZFDSZBCUFZBFUGZEUGZCFUGZE
      UGZHTZBCHTZUFZUEZUEZWAVTKTVPVRHTJUCZBVQHTCVSHTKTVQVPHTVSVRHTKTVPBHTVRCHTK
      THTJUCZABCDEFGHIJKLMNOPQRUHWDVCVFVQASZVPASZVIVSASZVRASZWEWFUMVCVDVMWCUIVF
      VGVKVLVEWCUJZWDVEVLVNVFWGVEVMWCUKZVEVHVKVLWCULZVEVMVNVOWBUNZWKABDEFGIJLMP
      QRUOUPWDVEVNVFWHWLWNWKABDFGIJLMPQRUQURVIVJVHVLVEWCUSZWDVEVLVNVIWIWLWMWNWO
      ACDEFGIJLMPQRUOUPWDVEVNVIWJWLWNWOACDFGIJLMPQRUQURABVQVPCVSVRHIJKMNOPUTVAV
      B $.

    $( TODO:  FIX COMMENT. TODO:  Can this be moved up as a stand-alone theorem
       in ltrn* area?  (Contributed by NM, 4-May-2013.) $)
    cdlemg10b $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
           /\ F e. T )
      -> ( ( ( F ` P ) .\/ ( F ` Q ) ) ./\ W ) = ( ( P .\/ Q ) ./\ W ) ) $=
      ( co eqid cdlemg2m ) ABCDBCGRKJRZEFGHIJKPQLMONUAST $.

    $( TODO:  FIX COMMENT. TODO:  Can this be moved up as a stand-alone theorem
       in ltrn* area?  TODO:  Compare this proof to ~ cdlemg2m and pick best,
       if moved to ltrn* area.  (Contributed by NM, 4-May-2013.)
       (New usage is discouraged.) $)
    cdlemg10bALTN $p |- ( ( ( K e. HL /\ W e. H /\ F e. T )
           /\ ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
      -> ( ( ( F ` P ) .\/ ( F ` Q ) ) ./\ W ) = ( ( P .\/ Q ) ./\ W ) ) $=
      ( wcel co syl3anc chlt w3a wbr wn wa cfv wceq simp11 simp12 3simpc simp13
      jca eqid cdlemg2k oveq1d cp0 ltrnel lhpmat syl2anc cbs simp2l ltrnat clat
      simp2 hllatd simp3l hlatjcl lhpbase syl latmcl latmle2 atmod4i2 syl131anc
      col hlol olj02 3eqtr3d eqtrd ) HUARZKFRZEDRZUBZBARZBKIUCUDZUEZCARZCKIUCUD
      ZUEZUBZBEUFZCEUFGSZKJSWJBCGSZKJSZGSZKJSZWMWIWKWNKJWIVSVTUEZWEWHUEWAWKWNUG
      WIVSVTVSVTWAWEWHUHZVSVTWAWEWHUIZULZWBWEWHUJVSVTWAWEWHUKZABCDWMEFGHIJKPQLM
      ONWMUMUNTUOWIWJKJSZWMGSZHUPUFZWMGSZWOWMWIXAXCWMGWIWPWJARZWJKIUCUDUEZXAXCU
      GWSWIWPWAWEXFWSWTWBWEWHVDABDEFHIKLOPQUQTAWJFHIJKXCLNXCUMZOPURUSUOWIVSXEWM
      HUTUFZRZKXHRZWMKIUCZXBWOUGWQWIWPWAWCXEWSWTWBWCWDWHVAZABDEFHIKLOPQVBTWIHVC
      RZWLXHRZXJXIWIHWQVEZWIVSWCWFXNWQXLWBWEWFWGVFAXHGHBCXHUMZMOVGTZWIVTXJWRXHF
      HKXPPVHVIZXHHJWLKXPNVJTZXRWIXMXNXJXKXOXQXRXHHIJWLKXPLNVKTAXHWJGHIJWMKXPLM
      NOVLVMWIHVNRZXIXDWMUGWIVSXTWQHVOVIXSXHGHWMXCXPMXGVPUSVQVR $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 4-May-2013.) $)
    cdlemg11a $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( F e. T /\ G e. T
           /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q ) ) )
      -> ( F ` ( G ` P ) ) =/= P ) $=
      ( wcel wa chlt wbr wn cfv wne w3a simp33 wceq simpr simpl1 simpl2 simpl31
      co simpl32 cdlemg6 syl113anc oveq12d ex necon3d mpd ) IUASLGSTZBASBLJUBUC
      TCASCLJUBUCTTZEDSZFDSZBFUDEUDZCFUDEUDZHUMZBCHUMZUEZUFZUFZVIVEBUEVAVBVCVDV
      IUGVKVEBVGVHVKVEBUHZVGVHUHVKVLTZVEBVFCHVKVLUIZVMVAVBVCVDVLVFCUHVAVBVJVLUJ
      VAVBVJVLUKVCVDVIVAVBVLULVCVDVIVAVBVLUNVNABCDEFGIJLMPQRUOUPUQURUSUT $.

    $( TODO:  FIX COMMENT. TODO: can proof using this be restructured to use
       ~ cdlemg11a ?  (Contributed by NM, 4-May-2013.) $)
    cdlemg11aq $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( F e. T /\ G e. T
           /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q ) ) )
      -> ( F ` ( G ` Q ) ) =/= Q ) $=
      ( wcel wa chlt wbr wn cfv co wne simp1 simp2r simp2l simp31 simp32 simp33
      wceq simp1l simp2ll ltrncoat syl121anc simp2rl hlatjcom syl3anc cdlemg11a
      w3a 3netr3d syl123anc ) IUASZLGSZTZBASZBLJUBUCZTZCASZCLJUBUCZTZTZEDSZFDSZ
      BFUDEUDZCFUDEUDZHUEZBCHUEZUFZVBZVBZVGVMVJVOVPVRVQHUEZCBHUEZUFVRCUFVGVNWBU
      GZVGVJVMWBUHVGVJVMWBUIVGVNVOVPWAUJZVGVNVOVPWAUKZWCVSVTWDWEVGVNVOVPWAULWCV
      EVQASZVRASZVSWDUMVEVFVNWBUNZWCVGVOVPVHWIWFWGWHVHVIVMVGWBUOZABDEFGIJLMPQRU
      PUQWCVGVOVPVKWJWFWGWHVKVLVJVGWBURZACDEFGIJLMPQRUPUQAHIVQVRNPUSUTWCVEVHVKV
      TWEUMWKWLWMAHIBCNPUSUTVCACBDEFGHIJKLMNOPQRVAVD $.

    cdlemg10.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( TODO:  FIX COMMENT. TODO:  Can this be moved up as a stand-alone theorem
       in trl* area?  (Contributed by NM, 4-May-2013.) $)
    cdlemg10c $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
                    /\ ( F e. T /\ G e. T ) )
      -> ( ( R ` F ) .<_ ( ( G ` P ) .\/ ( G ` Q ) )
             <-> ( R ` F ) .<_ ( P .\/ Q ) ) ) $=
      ( chlt wcel wa wbr wn w3a cfv co simp1 simp3l trlle syl2anc biantrud clat
      wb simp1l hllatd eqid trlcl simp3r simp2ll ltrnat syl3anc simp2rl hlatjcl
      cbs simp1r lhpbase syl latlem12 syl13anc wceq cdlemg10b 3adant3l 3bitr4rd
      breq2d 3bitrd ) JUAUBZMHUBZUCZBAUBZBMKUDUEZUCZCAUBZCMKUDUEZUCZUCZFEUBZGEU
      BZUCZUFZFDUGZBGUGZCGUGZIUHZKUDZWPWLMKUDZUCZWLWOMLUHZKUDZWLBCIUHZKUDZWKWQW
      PWKVTWHWQVTWGWJUIZVTWGWHWIUJZDEFHJKMNRSTUKULZUMWKJUNUBZWLJVFUGZUBZWOXGUBZ
      MXGUBZWRWTUOWKJVRVSWGWJUPZUQZWKVTWHXHXCXDXGDEFHJMXGURZRSTUSULZWKVRWMAUBZW
      NAUBZXIXKWKVTWIWAXOXCVTWGWHWIUTZWAWBWFVTWJVAZABEGHJKMNQRSVBVCWKVTWIWDXPXC
      XQWDWEWCVTWJVDZACEGHJKMNQRSVBVCAXGIJWMWNXMOQVEVCWKVSXJVRVSWGWJVGXGHJMXMRV
      HVIZXGJKLWLWOMXMNPVJVKWKXBWQUCZWLXAMLUHZKUDZXBWTWKXFXHXAXGUBZXJYAYCUOXLXN
      WKVRWAWDYDXKXRXSAXGIJBCXMOQVEVCXTXGJKLWLXAMXMNPVJVKWKWQXBXEUMWKWSYBWLKVTW
      GWIWSYBVLWHABCEGHIJKLMNOPQRSVMVNVPVOVQ $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 3-May-2013.) $)
    cdlemg10a $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( F e. T /\ G e. T /\ P =/= Q )
      /\ ( ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q )
        /\ -. ( R ` F ) .<_ ( P .\/ Q ) /\ -. ( R ` G ) .<_ ( P .\/ Q ) ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ ( Q .\/ ( F ` ( G ` Q ) ) ) )
         .<_ ( ( R ` F ) .\/ ( R ` G ) ) ) $=
      ( chlt wa wbr wn w3a wne cfv co simp11 simp12 simp13 simp21 simp22 simp23
      wcel simp31 cdlemg9 syl133anc wceq ltrnel syl3anc simp12l ltrn11at simp32
      simp13l syl113anc wb cdlemg10c syl122anc mtbird trlval4 syl132anc simp11l
      ltrnat hlatjcom oveq12d eqtrd simp33 breqtrrd ) JUAUOZMHUOZUBZBAUOZBMKUCU
      DZUBZCAUOZCMKUCUDZUBZUEZFEUOZGEUOZBCUFZUEZBGUGZFUGZCGUGZFUGZIUHBCIUHZUFZF
      DUGZWRKUCZUDZGDUGZWRKUCUDZUEZUEZBWOIUHCWQIUHLUHZWOWNIUHZWQWPIUHZLUHZWNBIU
      HZWPCIUHZLUHZIUHZWTXCIUHKXFWBWEWHWJWKWLWSXGXNKUCWBWEWHWMXEUIZWBWEWHWMXEUJ
      ZWBWEWHWMXEUKZWIWJWKWLXEULZWIWJWKWLXEUMZWIWJWKWLXEUNZWIWMWSXBXDUPABCEFGHI
      JKLMNOPQRSUQURXFWTXJXCXMIXFWTWNWOIUHZWPWQIUHZLUHZXJXFWBWJWNAUOZWNMKUCUDUB
      ZWPAUOZWPMKUCUDUBZWNWPUFZWTWNWPIUHKUCZUDWTYCUSXOXRXFWBWKWEYEXOXSXPABEGHJK
      MNQRSUTVAXFWBWKWHYGXOXSXQACEGHJKMNQRSUTVAXFWBWKWCWFWLYHXOXSWCWDWBWHWMXEVB
      ZWFWGWBWEWMXEVEZXTABCEGHJMQRSVCVFXFYIXAWIWMWSXBXDVDXFWBWEWHWJWKYIXAVGXOXP
      XQXRXSABCDEFGHIJKLMNOPQRSTVHVIVJAWNWPDEFHIJKLMNOPQRSTVKVLXFYAXHYBXILXFVTY
      DWOAUOZYAXHUSVTWAWEWHWMXEVMZXFWBWKWCYDXOXSYJABEGHJKMNQRSVNVAZXFWBWJYDYLXO
      XRYNAWNEFHJKMNQRSVNVAAIJWNWOOQVOVAXFVTYFWQAUOZYBXIUSYMXFWBWKWFYFXOXSYKACE
      GHJKMNQRSVNVAZXFWBWJYFYOXOXRYPAWPEFHJKMNQRSVNVAAIJWPWQOQVOVAVPVQXFXCBWNIU
      HZCWPIUHZLUHZXMXFWBWKWEWHWLXDXCYSUSXOXSXPXQXTWIWMWSXBXDVRABCDEGHIJKLMNOPQ
      RSTVKVLXFYQXKYRXLLXFVTWCYDYQXKUSYMYJYNAIJBWNOQVOVAXFVTWFYFYRXLUSYMYKYPAIJ
      CWPOQVOVAVPVQVPVS $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 4-May-2013.) $)
    cdlemg10 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( F e. T /\ G e. T /\ P =/= Q )
     /\ ( ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q )
        /\ -. ( R ` F ) .<_ ( P .\/ Q ) /\ -. ( R ` G ) .<_ ( P .\/ Q ) ) )
  -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ ( Q .\/ ( F ` ( G ` Q ) ) ) )
         .<_ W ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co cbs eqid simp11l hllatd clat simp12l
      simp11 simp21 simp22 ltrnat syl3anc hlatjcl simp13l latmcl syl2anc latjcl
      trlcl simp11r lhpbase syl cdlemg10a wb latjle12 syl13anc mpbi2and lattrd
      trlle ) JUAUBZMHUBZUCZBAUBZBMKUDUEZUCZCAUBZCMKUDUEZUCZUFZFEUBZGEUBZBCUGZU
      FZBGUHZFUHZCGUHZFUHZIUIBCIUIZUGFDUHZWOKUDUEGDUHZWOKUDUEUFZUFZJUJUHZJKBWLI
      UIZCWNIUIZLUIZWPWQIUIZMWTUKZNWSJVQVRWBWEWJWRULZUMZWSJUNUBZXAWTUBZXBWTUBZX
      CWTUBXGWSVQVTWLAUBZXIXFVTWAVSWEWJWRUOZWSVSWGWKAUBZXKVSWBWEWJWRUPZWFWGWHWI
      WRUQZWSVSWHVTXMXNWFWGWHWIWRURZXLABEGHJKMNQRSUSUTAWKEFHJKMNQRSUSUTAWTIJBWL
      XEOQVAUTWSVQWCWNAUBZXJXFWCWDVSWBWJWRVBZWSVSWGWMAUBZXQXNXOWSVSWHWCXSXNXPXR
      ACEGHJKMNQRSUSUTAWMEFHJKMNQRSUSUTAWTIJCWNXEOQVAUTWTJLXAXBXEPVCUTWSXHWPWTU
      BZWQWTUBZXDWTUBXGWSVSWGXTXNXOWTDEFHJMXERSTVFVDZWSVSWHYAXNXPWTDEGHJMXERSTV
      FVDZWTIJWPWQXEOVEUTWSVRMWTUBZVQVRWBWEWJWRVGWTHJMXERVHVIZABCDEFGHIJKLMNOPQ
      RSTVJWSWPMKUDZWQMKUDZXDMKUDZWSVSWGYFXNXODEFHJKMNRSTVPVDWSVSWHYGXNXPDEGHJK
      MNRSTVPVDWSXHXTYAYDYFYGUCYHVKXGYBYCYEWTIJKWPWQMXENOVLVMVNVO $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 5-May-2013.) $)
    cdlemg11b $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ Q e. A )
           /\ ( G e. T /\ P =/= Q /\ -. ( R ` G ) .<_ ( P .\/ Q ) ) )
      -> ( P .\/ Q ) =/= ( ( G ` P ) .\/ ( G ` Q ) ) ) $=
      ( wcel chlt wa wbr wne cfv w3a simp33 wceq simpl1 simpl31 simpl2l trlval2
      wn co syl3anc cbs eqid simpl1l hllatd simp2ll adantr atbase ltrncl latjcl
      clat syl simpl1r lhpbase latmcl simpl2r latmle1 latlej1 simpr breqtrrd wb
      latjle12 syl13anc mpbi2and lattrd eqbrtrd ex necon3bd mpd ) IUATZLGTZUBZB
      ATZBLJUCUMZUBZCATZUBZFETZBCUDZFDUEZBCHUNZJUCZUMZUFZUFZWQWOBFUEZCFUEZHUNZU
      DWFWKWLWMWQUGWSWPWOXBWSWOXBUHZWPWSXCUBZWNBWTHUNZLKUNZWOJXDWFWLWIWNXFUHWFW
      KWRXCUIZWLWMWQWFWKXCUJZWIWJWFWRXCUKABDEFGHIJKLMNOPQRSULUOXDIUPUEZIJXFXEWO
      XIUQZMXDIWDWEWKWRXCURUSZXDIVETZXEXITZLXITZXFXITXKXDXLBXITZWTXITZXMXKXDWGX
      OWSWGXCWGWHWJWFWRUTVAAXIBIXJPVBVFZXDWFWLXOXPXGXHXQXIEFGIUALBXJQRVCUOZXIHI
      BWTXJNVDUOZXDWEXNWDWEWKWRXCVGXIGILXJQVHVFZXIIKXELXJOVIUOXSXDXLXOCXITZWOXI
      TZXKXQXDWJYAWIWJWFWRXCVJAXICIXJPVBVFZXIHIBCXJNVDUOZXDXLXMXNXFXEJUCXKXSXTX
      IIJKXELXJMOVKUOXDBWOJUCZWTWOJUCZXEWOJUCZXDXLXOYAYEXKXQYCXIHIJBCXJMNVLUOXD
      WTXBWOJXDXLXPXAXITZWTXBJUCXKXRXDWFWLYAYHXGXHYCXIEFGIUALCXJQRVCUOXIHIJWTXA
      XJMNVLUOWSXCVMVNXDXLXOXPYBYEYFUBYGVOXKXQXRYDXIHIJBWTWOXJMNVPVQVRVSVTWAWBW
      C $.
  $}

  ${
    cdlemg12.l $e |- .<_ = ( le ` K ) $.
    cdlemg12.j $e |- .\/ = ( join ` K ) $.
    cdlemg12.m $e |- ./\ = ( meet ` K ) $.
    cdlemg12.a $e |- A = ( Atoms ` K ) $.
    cdlemg12.h $e |- H = ( LHyp ` K ) $.
    cdlemg12.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    ${
      cdlemg12.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
      $( TODO:  FIX COMMENT. (Contributed by NM, 5-May-2013.) $)
      cdlemg12a $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
       /\ ( G e. T /\ P =/= Q /\ ( P .\/ U ) =/= ( ( G ` P ) .\/ U ) ) )
    -> ( ( P .\/ U ) ./\ ( ( G ` P ) .\/ U ) )
       .<_ ( ( F ` ( G ` P ) ) .\/ U ) ) $=
        ( chlt wcel wa wbr wn w3a wne co cfv simp1l simp21l simp1 simp31 ltrnat
        syl3anc simp1r simp21 simp22l simp32 cdleme0a syl212anc simp33 2llnma3r
        wceq syl131anc simp23 ltrncoat syl121anc hlatlej2 eqbrtrd ) JUAUBZMHUBZ
        UCZBAUBZBMKUDUEZUCZCAUBZCMKUDUEZUCZFDUBZUFZGDUBZBCUGZBEIUHZBGUIZEIUHZUG
        ZUFZUFZWDWFLUHZEWEFUIZEIUHZKWIVKVNWEAUBZEAUBZWGWJEVDVKVLWAWHUJZVNVOVSVT
        VMWHUKZWIVMWBVNWMVMWAWHULZVMWAWBWCWGUMZWPABDGHJKMNQRSUNUOWIVKVLVPVQWCWN
        WOVKVLWAWHUPVMVPVSVTWHUQVQVRVPVTVMWHURVMWAWBWCWGUSABCEHIJKLMNOPQRTUTVAZ
        VMWAWBWCWGVBABWEEIJKLNOPQVCVEWIVKWKAUBZWNEWLKUDWOWIVMVTWBVNWTWQVMVPVSVT
        WHVFWRWPABDFGHJKMNQRSVGVHWSAWKEIJKNOQVIUOVJ $.
    $}

    cdlemg12b.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( The triples ` <. P , ( F `` P ) , ( F `` ( G `` P ) ) >. ` and
       ` <. Q , ( F `` Q ) , ( F `` ( G `` Q ) ) >. ` are centrally
       perspective.  TODO:  FIX COMMENT. (Contributed by NM, 5-May-2013.) $)
    cdlemg12b $p |- ( ( ( K e. HL /\ W e. H )
     /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
     /\ ( G e. T /\ P =/= Q /\ -. ( R ` G ) .<_ ( P .\/ Q ) ) )
    -> ( ( P .\/ Q ) ./\ ( ( G ` P ) .\/ ( G ` Q ) ) )
       .<_ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne co simp1 simp2 simp31 simp32 simp21 simp22l
      cfv simp33 cdlemg11b syl123anc wceq simp1l simp1r eqid cdlemg3a syl211anc
      cdlemg2k syl121anc 3netr3d cdlemg12a syl113anc oveq12d cdlemg2l syl122anc
      simp22 simp23 3brtr4d ) JUAUBZMHUBZUCZBAUBBMKUDUEUCZCAUBZCMKUDUEZUCZFEUBZ
      UFZGEUBZBCUGZGDUOBCIUHZKUDUEZUFZUFZBWGMLUHZIUHZBGUOZWKIUHZLUHZWMFUOZWKIUH
      ZWGWMCGUOZIUHZLUHWPWRFUOIUHZKWJVRWDWEWFWLWNUGWOWQKUDVRWDWIUIZVRWDWIUJVRWD
      WEWFWHUKZVRWDWEWFWHULZWJWGWSWLWNWJVRVSVTWEWFWHWGWSUGXAVRVSWBWCWIUMZVTWAVS
      WCVRWIUNZXBXCVRWDWEWFWHUPABCDEGHIJKLMNOPQRSTUQURWJVPVQVSVTWGWLUSVPVQWDWIU
      TVPVQWDWIVAXDXEABCWKHIJKLMNOPQRWKVBZVCVDZWJVRVSWBWEWSWNUSXAXDVRVSWBWCWIVM
      ZXBABCEWKGHIJKLMRSNOQPXFVEVFZVGABCEWKFGHIJKLMNOPQRSXFVHVIWJWGWLWSWNLXGXIV
      JWJVRVSWBWCWEWTWQUSXAXDXHVRVSWBWCWIVNXBABCEWKFGHIJKLMRSNOQPXFVKVLVO $.

    $( The triples ` <. P , ( F `` P ) , ( F `` ( G `` P ) ) >. ` and
       ` <. Q , ( F `` Q ) , ( F `` ( G `` Q ) ) >. ` are axially perspective
       by ~ dalaw .  TODO:  FIX COMMENT. (Contributed by NM, 5-May-2013.) $)
    cdlemg12c $p |- ( ( ( K e. HL /\ W e. H )
     /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
     /\ ( G e. T /\ P =/= Q /\ -. ( R ` G ) .<_ ( P .\/ Q ) ) )
        -> ( ( P .\/ ( G ` P ) ) ./\ ( Q .\/ ( G ` Q ) ) )
             .<_ ( ( ( ( G ` P ) .\/ ( F ` ( G ` P ) ) )
                  ./\ ( ( G ` Q ) .\/ ( F ` ( G ` Q ) ) ) )
             .\/ ( ( ( F ` ( G ` P ) ) .\/ P )
                  ./\ ( ( F ` ( G ` Q ) ) .\/ Q ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne co cdlemg12b wi simp1l simp21l simp1 simp31
      cfv ltrnat syl3anc simp23 simp22l ltrncoat syl121anc dalaw syl133anc mpd
      ) JUAUBZMHUBZUCZBAUBZBMKUDUEZUCZCAUBZCMKUDUEZUCZFEUBZUFZGEUBZBCUGZGDUOBCI
      UHZKUDUEZUFZUFZVRBGUOZCGUOZIUHLUHWBFUOZWCFUOZIUHKUDZBWBIUHCWCIUHLUHWBWDIU
      HWCWEIUHLUHWDBIUHWECIUHLUHIUHKUDZABCDEFGHIJKLMNOPQRSTUIWAVEVHWBAUBZWDAUBZ
      VKWCAUBZWEAUBZWFWGUJVEVFVOVTUKVHVIVMVNVGVTULZWAVGVPVHWHVGVOVTUMZVGVOVPVQV
      SUNZWLABEGHJKMNQRSUPUQZWAVGVNWHWIWMVGVJVMVNVTURZWOAWBEFHJKMNQRSUPUQVKVLVJ
      VNVGVTUSZWAVGVPVKWJWMWNWQACEGHJKMNQRSUPUQWAVGVNVPVKWKWMWPWNWQACEFGHJKMNQR
      SUTVAABWBWDCWCWEIJKLNOPQVBVCVD $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 5-May-2013.) $)
    cdlemg12d $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( F e. T /\ G e. T )
    /\ ( P =/= Q /\ -. ( R ` F ) .<_ ( P .\/ Q )
               /\ -. ( R ` G ) .<_ ( P .\/ Q ) ) )
        -> ( R ` G )
           .<_ ( ( R ` F ) .\/ ( ( ( F ` ( G ` P ) ) .\/ P )
                ./\ ( ( F ` ( G ` Q ) ) .\/ Q ) ) ) ) $=
      ( chlt wa wbr wn w3a wne cfv co simp11 simp12 simp13 simp2l simp2r simp31
      wcel simp33 cdlemg12c syl133anc trlval4 syl132anc syl3anc simp12l simp13l
      wceq ltrnel ltrn11at syl113anc simp32 wb simp2 cdlemg10c syl121anc mtbird
      oveq1d 3brtr4d ) JUAUOMHUOUBZBAUOZBMKUCUDZUBZCAUOZCMKUCUDZUBZUEZFEUOZGEUO
      ZUBZBCUFZFDUGZBCIUHZKUCZUDZGDUGZWIKUCUDZUEZUEZBBGUGZIUHCCGUGZIUHLUHZWPWPF
      UGZIUHWQWQFUGZIUHLUHZWSBIUHWTCIUHLUHZIUHZWLWHXBIUHKWOVPVSWBWDWEWGWMWRXCKU
      CVPVSWBWFWNUIZVPVSWBWFWNUJZVPVSWBWFWNUKZWCWDWEWNULZWCWDWEWNUMZWCWFWGWKWMU
      NZWCWFWGWKWMUPZABCDEFGHIJKLMNOPQRSTUQURWOVPWEVSWBWGWMWLWRVDXDXHXEXFXIXJAB
      CDEGHIJKLMNOPQRSTUSUTWOWHXAXBIWOVPWDWPAUOWPMKUCUDUBZWQAUOWQMKUCUDUBZWPWQU
      FZWHWPWQIUHKUCZUDWHXAVDXDXGWOVPWEVSXKXDXHXEABEGHJKMNQRSVEVAWOVPWEWBXLXDXH
      XFACEGHJKMNQRSVEVAWOVPWEVQVTWGXMXDXHVQVRVPWBWFWNVBVTWAVPVSWFWNVCXIABCEGHJ
      MQRSVFVGWOXNWJWCWFWGWKWMVHWOVPVSWBWFXNWJVIXDXEXFWCWFWNVJABCDEFGHIJKLMNOPQ
      RSTVKVLVMAWPWQDEFHIJKLMNOPQRSTUSUTVNVO $.

    ${
      cdlemg12e.z $e |- .0. = ( 0. ` K ) $.
      $( TODO:  FIX COMMENT. (Contributed by NM, 6-May-2013.) $)
      cdlemg12e $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
          /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( F e. T /\ G e. T /\ P =/= Q )
      /\ ( -. ( R ` F ) .<_ ( P .\/ Q ) /\ -. ( R ` G ) .<_ ( P .\/ Q )
         /\ ( R ` F ) =/= ( R ` G ) ) )
  -> ( ( ( F ` ( G ` P ) ) .\/ P ) ./\ ( ( F ` ( G ` Q ) ) .\/ Q ) )
         =/= .0. ) $=
        ( chlt wcel wa wbr wn w3a wne cfv co simp33 wceq simpl1 simpl21 simpl22
        simpl23 simpl31 simpl32 cdlemg12d syl123anc simpr oveq2d col cbs adantr
        simp11l hlol syl simpl11 trlcl syl2anc olj01 eqtrd breqtrd cal wb hlatl
        eqid cops hlop simp12l simp13l hlatjcl syl3anc opnlen0 syl31anc simp11r
        trlatn0 syl21anc mpbird atcmp mpbid eqcomd ex necon3d mpd ) JUCUDZMHUDZ
        UEZBAUDZBMKUFUGZUEZCAUDZCMKUFUGZUEZUHZFEUDZGEUDZBCUIZUHZFDUJZBCIUKZKUFU
        GZGDUJZXMKUFUGZXLXOUIZUHZUHZXQBGUJFUJBIUKCGUJFUJCIUKLUKZNUIXGXKXNXPXQUL
        XSXTNXLXOXSXTNUMZXLXOUMXSYAUEZXOXLYBXOXLKUFZXOXLUMZYBXOXLXTIUKZXLKYBXGX
        HXIXJXNXPXOYEKUFXGXKXRYAUNXHXIXJXGXRYAUOZXHXIXJXGXRYAUPZXHXIXJXGXRYAUQX
        NXPXQXGXKYAURZXNXPXQXGXKYAUSZABCDEFGHIJKLMOPQRSTUAUTVAYBYEXLNIUKZXLYBXT
        NXLIXSYAVBVCYBJVDUDZXLJVEUJZUDZYJXLUMYBWRYKXSWRYAWRWSXCXFXKXRVGVFZJVHVI
        YBWTXHYMWTXCXFXKXRYAVJZYFYLDEFHJMYLVSZSTUAVKVLZYLIJXLNYPPUBVMVLVNVOYBJV
        PUDZXOAUDZXLAUDZYCYDVQYBWRYRYNJVRVIYBYSXONUIZYBJVTUDZXOYLUDZXMYLUDZXPUU
        AYBWRUUBYNJWAVIZYBWTXIUUCYOYGYLDEGHJMYPSTUAVKVLYBWRXAXDUUDYNXSXAYAXAXBW
        TXFXKXRWBVFXSXDYAXDXEWTXCXKXRWCVFAYLIJBCYPPRWDWEZYIYLJKXOXMNYPOUBWFWGYB
        WRWSXIYSUUAVQYNXSWSYAWRWSXCXFXKXRWHVFZYGADEGHJMNUBRSTUAWIWJWKYBYTXLNUIZ
        YBUUBYMUUDXNUUHUUEYQUUFYHYLJKXLXMNYPOUBWFWGYBWRWSXHYTUUHVQYNUUGYFADEFHJ
        MNUBRSTUAWIWJWKAXOXLJKORWLWEWMWNWOWPWQ $.
    $}

    $( TODO:  FIX COMMENT. (Contributed by NM, 6-May-2013.) $)
    cdlemg12f $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( F e. T /\ G e. T /\ P =/= Q )
     /\ ( ( -. ( R ` F ) .<_ ( P .\/ Q ) /\ -. ( R ` G ) .<_ ( P .\/ Q ) )
        /\ ( R ` F ) =/= ( R ` G )
        /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q ) ) )
  -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ ( Q .\/ ( F ` ( G ` Q ) ) ) )
       .<_ ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co simp11l hllatd simp12l simp11 simp21
      clat simp22 ltrncoat syl121anc eqid hlatjcl syl3anc simp13l latmle1 simp1
      simp2 simp33 simp31l simp31r cdlemg10 syl113anc wb latmcl simp11r lhpbase
      cbs syl latlem12 syl13anc mpbi2and ) JUAUBZMHUBZUCZBAUBZBMKUDUEZUCZCAUBZC
      MKUDUEZUCZUFZFEUBZGEUBZBCUGZUFZFDUHZBCIUIZKUDUEZGDUHZWOKUDUEZUCZWNWQUGZBG
      UHFUHZCGUHFUHZIUIWOUGZUFZUFZBXAIUIZCXBIUIZLUIZXFKUDZXHMKUDZXHXFMLUIKUDZXE
      JUOUBZXFJVOUHZUBZXGXMUBZXIXEJVTWAWEWHWMXDUJZUKZXEVTWCXAAUBZXNXPWCWDWBWHWM
      XDULZXEWBWJWKWCXRWBWEWHWMXDUMZWIWJWKWLXDUNZWIWJWKWLXDUPZXSABEFGHJKMNQRSUQ
      URAXMIJBXAXMUSZOQUTVAZXEVTWFXBAUBZXOXPWFWGWBWEWMXDVBZXEWBWJWKWFYEXTYAYBYF
      ACEFGHJKMNQRSUQURAXMIJCXBYCOQUTVAZXMJKLXFXGYCNPVCVAXEWIWMXCWPWRXJWIWMXDVD
      WIWMXDVEWIWMWSWTXCVFWPWRWTXCWIWMVGWPWRWTXCWIWMVHABCDEFGHIJKLMNOPQRSTVIVJX
      EXLXHXMUBZXNMXMUBZXIXJUCXKVKXQXEXLXNXOYHXQYDYGXMJLXFXGYCPVLVAYDXEWAYIVTWA
      WEWHWMXDVMXMHJMYCRVNVPXMJKLXHXFMYCNPVQVRVS $.

    $( TODO:  FIX COMMENT. TODO:  Combine with ~ cdlemg12f .  (Contributed by
       NM, 6-May-2013.) $)
    cdlemg12g $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( F e. T /\ G e. T /\ P =/= Q )
     /\ ( ( -. ( R ` F ) .<_ ( P .\/ Q ) /\ -. ( R ` G ) .<_ ( P .\/ Q ) )
        /\ ( R ` F ) =/= ( R ` G )
        /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q ) ) )
  -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ ( Q .\/ ( F ` ( G ` Q ) ) ) )
       = ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv cops cbs cp0 wceq simp11l hlop syl clat
      co hllatd simp12l simp11 simp21 simp22 ltrncoat syl121anc hlatjcl syl3anc
      eqid simp13l latmcl simp12 simp13 simp33 cdlemg11a necomd syl123anc lhpat
      syl112anc hlatjcom oveq12d simp1 simp2 simp31l simp32 cdlemg12e syl113anc
      simp31r eqnetrd cdlemg12f leat2 syl32anc ) JUAUBZMHUBZUCZBAUBZBMKUDUEZUCZ
      CAUBZCMKUDUEZUCZUFZFEUBZGEUBZBCUGZUFZFDUHZBCIUQZKUDUEZGDUHZXFKUDUEZUCZXEX
      HUGZBGUHFUHZCGUHFUHZIUQXFUGZUFZUFZJUIUBZBXLIUQZCXMIUQZLUQZJUJUHZUBZXRMLUQ
      ZAUBZXTJUKUHZUGXTYCKUDXTYCULXPWKXQWKWLWPWSXDXOUMZJUNUOXPJUPUBXRYAUBZXSYAU
      BZYBXPJYFURXPWKWNXLAUBZYGYFWNWOWMWSXDXOUSZXPWMXAXBWNYIWMWPWSXDXOUTZWTXAXB
      XCXOVAZWTXAXBXCXOVBZYJABEFGHJKMNQRSVCVDZAYAIJBXLYAVGZOQVEVFXPWKWQXMAUBZYH
      YFWQWRWMWPXDXOVHZXPWMXAXBWQYPYKYLYMYQACEFGHJKMNQRSVCVDZAYAIJCXMYOOQVEVFYA
      JLXRXSYOPVIVFXPWMWPYIBXLUGZYDYKWMWPWSXDXOVJZYNXPWMWPWSXAXBXNYSYKYTWMWPWSX
      DXOVKYLYMWTXDXJXKXNVLWMWPWSUCXAXBXNUFUFXLBABCEFGHIJKLMNOPQRSVMVNVOABXLHIJ
      KLMNOPQRVPVQXPXTXLBIUQZXMCIUQZLUQZYEXPXRUUAXSUUBLXPWKWNYIXRUUAULYFYJYNAIJ
      BXLOQVRVFXPWKWQYPXSUUBULYFYQYRAIJCXMOQVRVFVSXPWTXDXGXIXKUUCYEUGWTXDXOVTWT
      XDXOWAXGXIXKXNWTXDWBXGXIXKXNWTXDWFWTXDXJXKXNWCABCDEFGHIJKLMYENOPQRSTYEVGZ
      WDWEWGABCDEFGHIJKLMNOPQRSTWHAYAYCJKXTYEYONUUDQWIWJ $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 6-May-2013.) $)
    cdlemg12 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( F e. T /\ G e. T /\ P =/= Q )
     /\ ( ( -. ( R ` F ) .<_ ( P .\/ Q ) /\ -. ( R ` G ) .<_ ( P .\/ Q ) )
        /\ ( R ` F ) =/= ( R ` G )
        /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q ) ) )
  -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
     = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co clat cbs wceq simp11l hllatd simp12l
      simp11 simp21 simp22 ltrncoat syl121anc hlatjcl syl3anc simp13l cdlemg12g
      latmcom simp13 simp12 simp23 necomd simp31l hlatjcom breq2d mtbid simp31r
      eqid jca simp32 simp33 3netr3d syl333anc 3eqtr3d ) JUAUBZMHUBZUCZBAUBZBMK
      UDUEZUCZCAUBZCMKUDUEZUCZUFZFEUBZGEUBZBCUGZUFZFDUHZBCIUIZKUDZUEZGDUHZWQKUD
      ZUEZUCZWPWTUGZBGUHFUHZCGUHFUHZIUIZWQUGZUFZUFZBXEIUIZCXFIUIZLUIZXLXKLUIZXK
      MLUIXLMLUIZXJJUJUBXKJUKUHZUBZXLXPUBZXMXNULXJJWBWCWGWJWOXIUMZUNXJWBWEXEAUB
      ZXQXSWEWFWDWJWOXIUOZXJWDWLWMWEXTWDWGWJWOXIUPZWKWLWMWNXIUQZWKWLWMWNXIURZYA
      ABEFGHJKMNQRSUSUTZAXPIJBXEXPVOZOQVAVBXJWBWHXFAUBZXRXSWHWIWDWGWOXIVCZXJWDW
      LWMWHYGYBYCYDYHACEFGHJKMNQRSUSUTZAXPIJCXFYFOQVAVBXPJLXKXLYFPVEVBABCDEFGHI
      JKLMNOPQRSTVDXJWDWJWGWLWMCBUGWPCBIUIZKUDZUEZWTYJKUDZUEZUCXDXFXEIUIZYJUGXN
      XOULYBWDWGWJWOXIVFWDWGWJWOXIVGYCYDXJBCWKWLWMWNXIVHVIXJYLYNXJWRYKWSXBXDXHW
      KWOVJXJWQYJWPKXJWBWEWHWQYJULXSYAYHAIJBCOQVKVBZVLVMXJXAYMWSXBXDXHWKWOVNXJW
      QYJWTKYPVLVMVPWKWOXCXDXHVQXJXGWQYOYJWKWOXCXDXHVRXJWBXTYGXGYOULXSYEYIAIJXE
      XFOQVKVBYPVSACBDEFGHIJKLMNOPQRSTVDVTWA $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 6-May-2013.) $)
    cdlemg13a $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( F e. T /\ G e. T )
     /\ ( ( F ` P ) =/= P /\ ( R ` F ) = ( R ` G )
        /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q ) ) )
    -> ( P .\/ ( F ` ( G ` P ) ) ) = ( ( G ` P ) .\/ ( F ` ( G ` P ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a cfv wne co simp11l simp12l simp11 simp2r ltrnat
      wceq syl3anc hlatlej1 simp32 simp2l simp12 ltrnel trlval2 oveq2d ltrncoat
      3eqtr3d syl121anc eqid cdleme0cp syl12anc cdleme0cq 3eqtr3rd breqtrd clat
      hlatlej2 cbs wb hllatd atbase syl hlatjcl latjle12 syl13anc simp13 simp33
      mpbi2and cdlemg11a syl123anc necomd ps-1 syl132anc mpbid ) JUAUBZMHUBZUCZ
      BAUBZBMKUDUEZUCZCAUBCMKUDUEUCZUFZFEUBZGEUBZUCZBFUGBUHZFDUGZGDUGZUOZBGUGZF
      UGZCGUGFUGIUIBCIUIUHZUFZUFZBXHIUIZXGXHIUIZKUDZXLXMUOZXKBXMKUDZXHXMKUDZXNX
      KBBXGIUIZXMKXKWLWOXGAUBZBXRKUDWLWMWQWRXBXJUJZWOWPWNWRXBXJUKZXKWNXAWOXSWNW
      QWRXBXJULZWSWTXAXJUMZYAABEGHJKMNQRSUNUPZABXGIJKNOQUQUPXKXGXMMLUIZIUIZXGXR
      MLUIZIUIZXMXRXKYEYGXGIXKXDXEYEYGWSXBXCXFXIURXKWNWTXSXGMKUDUEUCZXDYEUOYBWS
      WTXAXJUSZXKWNXAWQYIYBYCWNWQWRXBXJUTZABEGHJKMNQRSVAUPZAXGDEFHIJKLMNOPQRSTV
      BUPXKWNXAWQXEYGUOYBYCYKABDEGHIJKLMNOPQRSTVBUPVEVCXKWNYIXHAUBZYFXMUOYBYLXK
      WNWTXAWOYMYBYJYCYAABEFGHJKMNQRSVDVFZAXGXHYEHIJKLMNOPQRYEVGVHVIXKWNWOYIYHX
      RUOYBYAYLABXGYGHIJKLMNOPQRYGVGVJVIVKVLXKWLXSYMXQXTYDYNAXGXHIJKNOQVNUPXKJV
      MUBBJVOUGZUBZXHYOUBZXMYOUBZXPXQUCXNVPXKJXTVQXKWOYPYAAYOBJYOVGZQVRVSXKYMYQ
      YNAYOXHJYSQVRVSXKWLXSYMYRXTYDYNAYOIJXGXHYSOQVTUPYOIJKBXHXMYSNOWAWBWEXKWLW
      OYMBXHUHXSYMXNXOVPXTYAYNXKXHBXKWNWQWRWTXAXIXHBUHYBYKWNWQWRXBXJWCYJYCWSXBX
      CXFXIWDABCEFGHIJKLMNOPQRSWFWGWHYDYNABXHXGXHIJKNOQWIWJWK $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 6-May-2013.) $)
    cdlemg13 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
    /\ ( F e. T /\ G e. T )
     /\ ( ( F ` P ) =/= P /\ ( R ` F ) = ( R ` G )
        /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q ) ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
       = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a cfv wne wceq simp11 simp2l simp2r simp12 ltrnel
      syl3anc trlval2 simp13 eqtr3d cdlemg13a oveq1d simp31 ltrnatneq syl131anc
      co simp2 simp32 simp33 simp11l simp12l ltrncoat simp13l 3netr3d syl313anc
      hlatjcom 3eqtr4d ) JUAUBZMHUBZUCZBAUBZBMKUDUEZUCZCAUBZCMKUDUEZUCZUFZFEUBZ
      GEUBZUCZBFUGBUHZFDUGZGDUGUIZBGUGZFUGZCGUGZFUGZIVDZBCIVDZUHZUFZUFZWLWMIVDZ
      MLVDZWNWOIVDZMLVDZBWMIVDZMLVDCWOIVDZMLVDWTWJXBXDWTVRWFWLAUBWLMKUDUEUCZWJX
      BUIVRWAWDWHWSUJZWEWFWGWSUKZWTVRWGWAXGXHWEWFWGWSULZVRWAWDWHWSUMZABEGHJKMNQ
      RSUNUOAWLDEFHIJKLMNOPQRSTUPUOWTVRWFWNAUBWNMKUDUEUCZWJXDUIXHXIWTVRWGWDXLXH
      XJVRWAWDWHWSUQZACEGHJKMNQRSUNUOAWNDEFHIJKLMNOPQRSTUPUOURWTXEXAMLABCDEFGHI
      JKLMNOPQRSTUSUTWTXFXCMLWTVRWDWAWHCFUGCUHZWKWOWMIVDZCBIVDZUHXFXCUIXHXMXKWE
      WHWSVEZWTVRWFWAWDWIXNXHXIXKXMWEWHWIWKWRVAABCEFHJKMNQRSVBVCWEWHWIWKWRVFWTW
      PWQXOXPWEWHWIWKWRVGWTVPWMAUBZWOAUBZWPXOUIVPVQWAWDWHWSVHZWTVRWHVSXRXHXQVSV
      TVRWDWHWSVIZABEFGHJKMNQRSVJUOWTVRWHWBXSXHXQWBWCVRWAWHWSVKZACEFGHJKMNQRSVJ
      UOAIJWMWOOQVNUOWTVPVSWBWQXPUIXTYAYBAIJBCOQVNUOVLACBDEFGHIJKLMNOPQRSTUSVMU
      TVO $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 6-May-2013.) $)
    cdlemg14f $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( F e. T /\ G e. T /\ ( F ` P ) = P ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
       = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn cfv wceq w3a co simp1 simp32 simp2l ltrnu syl211anc
      simp2r simp31 ltrnel syl3anc simp33 ltrnateq syl131anc oveq2d 3eqtr4d
      oveq1d ) JUAUBMHUBUCZBAUBBMKUDUEUCZCAUBCMKUDUEUCZUCZFEUBZGEUBZBFUFBUGZUHZ
      UHZBBGUFZIUIZMLUIZCCGUFZIUIZMLUIZBVNFUFZIUIZMLUICVQFUFZIUIZMLUIVMVEVJVFVG
      VPVSUGVEVHVLUJZVEVHVIVJVKUKZVEVFVGVLULZVEVFVGVLUOZABCEGHIJKLUAMNOPQRSUMUN
      VMWAVOMLVMVTVNBIVMVEVIVFVNAUBVNMKUDUEUCZVKVTVNUGWDVEVHVIVJVKUPZWFVMVEVJVF
      WHWDWEWFABEGHJKMNQRSUQURVEVHVIVJVKUSZABVNEFHJKMNQRSUTVAVBVDVMWCVRMLVMWBVQ
      CIVMVEVIVFVQAUBVQMKUDUEUCZVKWBVQUGWDWIWFVMVEVJVGWKWDWEWGACEGHJKMNQRSUQURW
      JABVQEFHJKMNQRSUTVAVBVDVC $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 22-May-2013.) $)
    cdlemg14g $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( F e. T /\ G e. T /\ ( G ` P ) = P ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
       = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn cfv wceq w3a co simp1 simp31 simp2l ltrnu syl211anc
      simp2r simp33 fveq2d oveq2d oveq1d simp32 ltrnateq syl131anc 3eqtr4d ) JU
      AUBMHUBUCZBAUBBMKUDUEUCZCAUBCMKUDUEUCZUCZFEUBZGEUBZBGUFZBUGZUHZUHZBBFUFZI
      UIZMLUIZCCFUFZIUIZMLUIZBVJFUFZIUIZMLUICCGUFZFUFZIUIZMLUIVMVDVHVEVFVPVSUGV
      DVGVLUJZVDVGVHVIVKUKVDVEVFVLULZVDVEVFVLUOZABCEFHIJKLUAMNOPQRSUMUNVMWAVOML
      VMVTVNBIVMVJBFVDVGVHVIVKUPZUQURUSVMWDVRMLVMWCVQCIVMWBCFVMVDVIVEVFVKWBCUGW
      EVDVGVHVIVKUTWFWGWHABCEGHJKMNQRSVAVBUQURUSVC $.

    $( Eliminate the ` ( F `` P ) =/= P ` condition from ~ cdlemg13 .  TODO:
       FIX COMMENT. (Contributed by NM, 6-May-2013.) $)
    cdlemg15a $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( F e. T /\ G e. T )
     /\ ( ( R ` F ) = ( R ` G )
        /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q ) ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
       = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a cfv wceq co wne simpl11 simpl12 simpl13 simpl2l
      simpl2r simpr cdlemg14f syl123anc simpl1 simpl2 simpl3l simpl3r syl113anc
      cdlemg13 pm2.61dane ) JUAUBMHUBUCZBAUBBMKUDUEUCZCAUBCMKUDUEUCZUFZFEUBZGEU
      BZUCZFDUGGDUGUHZBGUGFUGZCGUGFUGZIUIBCIUIUJZUCZUFZBVNIUIMLUICVOIUIMLUIUHZB
      FUGZBVRVTBUHZUCVFVGVHVJVKWAVSVFVGVHVLVQWAUKVFVGVHVLVQWAULVFVGVHVLVQWAUMVJ
      VKVIVQWAUNVJVKVIVQWAUOVRWAUPABCDEFGHIJKLMNOPQRSTUQURVRVTBUJZUCVIVLWBVMVPV
      SVIVLVQWBUSVIVLVQWBUTVRWBUPVMVPVIVLWBVAVMVPVIVLWBVBABCDEFGHIJKLMNOPQRSTVD
      VCVE $.

    $( Eliminate the
       ` ( ( F `` ( G `` P ) ) .\/ ( F `` ( G `` Q ) ) ) =/= ( P .\/ Q ) `
       condition from ~ cdlemg13 .  TODO:  FIX COMMENT. (Contributed by NM,
       25-May-2013.) $)
    cdlemg15 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( F e. T /\ G e. T )
           /\ ( R ` F ) = ( R ` G ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
       = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wceq co simpl11 simpl12 simpl13 simpl2l simpl2r
      cfv simpr cdlemg8 syl132anc wne simpl1 simpl2 simpl3 cdlemg15a pm2.61dane
      syl112anc ) JUAUBMHUBUCZBAUBBMKUDUEUCZCAUBCMKUDUEUCZUFZFEUBZGEUBZUCZFDUNG
      DUNUGZUFZBBGUNFUNZIUHMLUHCCGUNFUNZIUHMLUHUGZVNVOIUHZBCIUHZVMVQVRUGZUCVEVF
      VGVIVJVSVPVEVFVGVKVLVSUIVEVFVGVKVLVSUJVEVFVGVKVLVSUKVIVJVHVLVSULVIVJVHVLV
      SUMVMVSUOABCEFGHIJKLMNOPQRSUPUQVMVQVRURZUCVHVKVLVTVPVHVKVLVTUSVHVKVLVTUTV
      HVKVLVTVAVMVTUOABCDEFGHIJKLMNOPQRSTVBVDVC $.

    $( Part of proof of Lemma G of [Crawley] p. 116; 2nd line p. 117, which
       says that (our) ~ cdlemg10 "implies (2)" (of p. 116).  No details are
       provided by the authors, so there may be a shorter proof; but ours
       requires the 14 lemmas, one using Desargues's law ~ dalaw , in order to
       make this inference.  This final step eliminates the
       ` ( R `` F ) =/= ( R `` G ) ` condition from ~ cdlemg12 .  TODO:  FIX
       COMMENT. TODO: should we also eliminate ` P =/= Q ` here (or earlier)?
       Do it if we don't need to add it in for something else later.
       (Contributed by NM, 6-May-2013.) $)
    cdlemg16 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( F e. T /\ G e. T /\ P =/= Q )
     /\ ( -. ( R ` F ) .<_ ( P .\/ Q ) /\ -. ( R ` G ) .<_ ( P .\/ Q )
        /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q ) ) )
  -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
     = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co wceq simpl1 simpl21 simpl22 cdlemg15
      simpr syl121anc simpl31 simpl32 jca simpl33 cdlemg12 syl113anc pm2.61dane
      simpl2 ) JUAUBMHUBUCBAUBBMKUDUEUCCAUBCMKUDUEUCUFZFEUBZGEUBZBCUGZUFZFDUHZB
      CIUIZKUDUEZGDUHZVKKUDUEZBGUHFUHZCGUHFUHZIUIVKUGZUFZUFZBVOIUIMLUICVPIUIMLU
      IUJZVJVMVSVJVMUJZUCVEVFVGWAVTVEVIVRWAUKVFVGVHVEVRWAULVFVGVHVEVRWAUMVSWAUO
      ABCDEFGHIJKLMNOPQRSTUNUPVSVJVMUGZUCZVEVIVLVNUCWBVQVTVEVIVRWBUKVEVIVRWBVDW
      CVLVNVLVNVQVEVIWBUQVLVNVQVEVIWBURUSVSWBUOVLVNVQVEVIWBUTABCDEFGHIJKLMNOPQR
      STVAVBVC $.

    $( This version of ~ cdlemg16 uses ~ cdlemg15a instead of ~ cdlemg15 , in
       case ~ cdlemg15 ends up not being needed.  TODO:  FIX COMMENT.
       (Contributed by NM, 6-May-2013.)  (New usage is discouraged.) $)
    cdlemg16ALTN $p |- ( ( ( K e. HL /\ W e. H
            /\ ( F e. T /\ G e. T ) )
         /\ ( ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) /\ P =/= Q )
         /\ ( ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q )
           /\ -. ( R ` F ) .<_ ( P .\/ Q )
           /\ -. ( R ` G ) .<_ ( P .\/ Q ) ) )
  -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
     = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa w3a wbr wn wne cfv co wceq simpl11 simpl12 simpl21 simpl22
      simpl13 simpr simpl31 cdlemg15a syl312anc simp13l simp13r simpl23 simpl32
      jca adantr simpl33 cdlemg12 syl333anc pm2.61dane ) JUAUBZMHUBZFEUBZGEUBZU
      CZUDZBAUBBMKUEUFUCZCAUBCMKUEUFUCZBCUGZUDZBGUHFUHZCGUHFUHZIUIBCIUIZUGZFDUH
      ZWBKUEUFZGDUHZWBKUEUFZUDZUDZBVTIUIMLUICWAIUIMLUIUJZWDWFWIWDWFUJZUCZVJVKUC
      ZVPVQVNWKWCWJWLVJVKVJVKVNVSWHWKUKVJVKVNVSWHWKULVDVPVQVRVOWHWKUMVPVQVRVOWH
      WKUNVJVKVNVSWHWKUOWIWKUPWCWEWGVOVSWKUQABCDEFGHIJKLMNOPQRSTURUSWIWDWFUGZUC
      ZWMVPVQVLVMVRWEWGUCWNWCWJWOVJVKVJVKVNVSWHWNUKVJVKVNVSWHWNULVDVPVQVRVOWHWN
      UMVPVQVRVOWHWNUNWIVLWNVLVMVJVKVSWHUTVEWIVMWNVLVMVJVKVSWHVAVEVPVQVRVOWHWNV
      BWOWEWGWCWEWGVOVSWNVCWCWEWGVOVSWNVFVDWIWNUPWCWEWGVOVSWNUQABCDEFGHIJKLMNOP
      QRSTVGVHVI $.

    $( Eliminate
       ` ( ( F `` ( G `` P ) ) .\/ ( F `` ( G `` Q ) ) ) =/= ( P .\/ Q ) `
       condition from ~ cdlemg16 .  TODO: would it help to also eliminate
       ` P =/= Q ` here or later?  (Contributed by NM, 25-May-2013.) $)
    cdlemg16z $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
        /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( F e. T /\ G e. T /\ P =/= Q )
     /\ ( -. ( R ` F ) .<_ ( P .\/ Q ) /\ -. ( R ` G ) .<_ ( P .\/ Q ) ) )
  -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
     = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co wceq simpl11 simpl12 simpl13 simpl21
      simpl22 simpr cdlemg8 syl132anc simpl1 simpl3l simpl3r cdlemg16 syl113anc
      simpl2 pm2.61dane ) JUAUBMHUBUCZBAUBBMKUDUEUCZCAUBCMKUDUEUCZUFZFEUBZGEUBZ
      BCUGZUFZFDUHBCIUIZKUDUEZGDUHVNKUDUEZUCZUFZBBGUHFUHZIUIMLUICCGUHFUHZIUIMLU
      IUJZVSVTIUIZVNVRWBVNUJZUCVFVGVHVJVKWCWAVFVGVHVMVQWCUKVFVGVHVMVQWCULVFVGVH
      VMVQWCUMVJVKVLVIVQWCUNVJVKVLVIVQWCUOVRWCUPABCEFGHIJKLMNOPQRSUQURVRWBVNUGZ
      UCVIVMVOVPWDWAVIVMVQWDUSVIVMVQWDVDVOVPVIVMWDUTVOVPVIVMWDVAVRWDUPABCDEFGHI
      JKLMNOPQRSTVBVCVE $.

    $( Eliminate ` P =/= Q ` from ~ cdlemg16z .  TODO:  Use this only if
       needed.  (Contributed by NM, 26-May-2013.) $)
    cdlemg16zz $p |- ( ( ( K e. HL /\ W e. H )
     /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
     /\ ( G e. T
        /\ -. ( R ` F ) .<_ ( P .\/ Q ) /\ -. ( R ` G ) .<_ ( P .\/ Q ) ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
       = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a cfv co wceq id 2fveq3 oveq12d oveq1d adantl wne
      simpl21 simpl22 simpl23 simpl31 simpr simpl32 simpl33 cdlemg16z syl332anc
      simpl1 pm2.61dane ) JUAUBMHUBUCZBAUBBMKUDUEUCZCAUBCMKUDUEUCZFEUBZUFZGEUBZ
      FDUGBCIUHZKUDUEZGDUGVMKUDUEZUFZUFZBBGUGFUGZIUHZMLUHCCGUGFUGZIUHZMLUHUIZBC
      BCUIZWBVQWCVSWAMLWCBCVRVTIWCUJBCFGUKULUMUNVQBCUOZUCVGVHVIVJVLWDVNVOWBVGVK
      VPWDVEVHVIVJVGVPWDUPVHVIVJVGVPWDUQVHVIVJVGVPWDURVLVNVOVGVKWDUSVQWDUTVLVNV
      OVGVKWDVAVLVNVOVGVKWDVBABCDEFGHIJKLMNOPQRSTVCVDVF $.

    $( TODO:  FIX COMMENT. (Contributed by NM, 8-May-2013.) $)
    cdlemg17a $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
     /\ ( G e. T /\ ( R ` G ) .<_ ( P .\/ Q ) ) )
    -> ( G ` P ) .<_ ( P .\/ Q ) ) $=
      ( wcel chlt wa wbr wn cfv w3a cbs eqid simp1l hllatd simp1 simp3l simp2ll
      co ltrnat syl3anc atbase hlatjcl simp2rl hlatlej2 wceq cdleme0cp syl12anc
      syl simp2l hlatlej1 trlval2 simp3r eqbrtrrd clat wb simp1r lhpbase latmcl
      latjle12 syl13anc mpbi2and lattrd ) IUATZLGTZUBZBATZBLJUCUDZUBZCATZCLJUCU
      DZUBZUBZFETZFDUEZBCHUNZJUCZUBZUFZIUGUEZIJBFUEZBWPHUNZWKWOUHZMWNIVSVTWHWMU
      IZUJZWNWPATZWPWOTWNWAWIWBXAWAWHWMUKZWAWHWIWLULZWBWCWGWAWMUMZABEFGIJLMPQRU
      OUPZAWOWPIWRPUQVDWNVSWBXAWQWOTZWSXDXEAWOHIBWPWRNPURUPZWNVSWBWEWKWOTZWSXDW
      EWFWDWAWMUSZAWOHIBCWRNPURUPZWNVSWBXAWPWQJUCWSXDXEABWPHIJMNPUTUPWNBWQLKUNZ
      HUNZWQWKJWNWAWDXAXLWQVAXBWAWDWGWMVEZXEABWPXKGHIJKLMNOPQXKUHVBVCWNBWKJUCZX
      KWKJUCZXLWKJUCZWNVSWBWEXNWSXDXIABCHIJMNPVFUPWNWJXKWKJWNWAWIWDWJXKVAXBXCXM
      ABDEFGHIJKLMNOPQRSVGUPWAWHWIWLVHVIWNIVJTZBWOTZXKWOTZXHXNXOUBXPVKWTWNWBXRX
      DAWOBIWRPUQVDWNXQXFLWOTZXSWTXGWNVTXTVSVTWHWMVLWOGILWRQVMVDWOIKWQLWROVNUPX
      JWOHIJBXKWKWRMNVOVPVQVIVR $.

    $d r A $.  $d r G $.  $d r .\/ $.  $d r .<_ $.  $d r P $.  $d r Q $.
    $d r W $.
    $( Part of proof of Lemma G in [Crawley] p. 117, 4th line.  Whenever (in
       their terminology) p ` \/ ` q/0 (i.e. the sublattice from 0 to p ` \/ `
       q) contains precisely three atoms and g is not the identity, g(p) = q.
       See also comments under ~ cdleme0nex .  (Contributed by NM,
       8-May-2013.) $)
    cdlemg17b $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( G e. T /\ P =/= Q )
         /\ ( ( G ` P ) =/= P /\ ( R ` G ) .<_ ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
  -> ( G ` P ) = Q ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co cv wceq wrex simp31 neneqd wo simp11
      simp11l simp12 simp13 simp2l simp32 simp33 simp12l simp13l simp2r syl3anc
      cdlemg17a syl122anc ltrnel cdleme0nex syl331anc ord mpd ) IUAUBZLGUBZUCZB
      AUBZBLJUDUEZUCZCAUBZCLJUDUEZUCZUFZFEUBZBCUGZUCZBFUHZBUGZFDUHBCHUIZJUDZMUJ
      ZLJUDUEBWKHUICWKHUIUKUCMAULUEZUFZUFZWGBUKZUEWGCUKZWNWGBWCWFWHWJWLUMUNWNWO
      WPWNVNWGWIJUDZWLVQVTWEWGAUBWGLJUDUEUCZWOWPUOVNVOVSWBWFWMUQWNVPVSWBWDWJWQV
      PVSWBWFWMUPZVPVSWBWFWMURZVPVSWBWFWMUSWCWDWEWMUTZWCWFWHWJWLVAABCDEFGHIJKLN
      OPQRSTVGVHWCWFWHWJWLVBVQVRVPWBWFWMVCVTWAVPVSWFWMVDWCWDWEWMVEWNVPWDVSWRWSX
      AWTABEFGIJLNQRSVIVFABCWGHIJLMNOQVJVKVLVM $.

    $( TODO: fix comment.  (Contributed by NM, 9-May-2013.)
       (New usage is discouraged.) $)
    cdlemg17dN $p |- ( ( ( K e. HL /\ W e. H
            /\ G e. T )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ P =/= Q )
       /\ ( ( R ` G ) .<_ ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) )
           /\ ( G ` P ) =/= P ) )
    -> ( R ` G ) = ( ( P .\/ Q ) ./\ W ) ) $=
      ( chlt wcel w3a wbr wn wa wne cfv co wceq wrex simp1 simp21 simpl1 simpl2
      cv simpl3 simpr trlval2 syl211anc syl2anc simp11 simp12 jca simp22 simp13
      simp23 simp33 simp31 simp32 cdlemg17b syl323anc oveq2d oveq1d eqtrd ) IUA
      UBZLGUBZFEUBZUCZBAUBBLJUDUEUFZCAUBCLJUDUEUFZBCUGZUCZFDUHZBCHUIZJUDZMUPZLJ
      UDUEBWGHUICWGHUIUJUFMAUKUEZBFUHZBUGZUCZUCZWDBWIHUIZLKUIZWELKUIWLVSVTWDWNU
      JZVSWCWKULVSVTWAWBWKUMZVSVTUFVPVQVRVTWOVPVQVRVTUNVPVQVRVTUOVPVQVRVTUQVSVT
      URABDEFGHIJKLNOPQRSTUSUTVAWLWMWELKWLWICBHWLVPVQUFVTWAVRWBWJWFWHWICUJWLVPV
      QVPVQVRWCWKVBVPVQVRWCWKVCVDWPVSVTWAWBWKVEVPVQVRWCWKVFVSVTWAWBWKVGVSWCWFWH
      WJVHVSWCWFWHWJVIVSWCWFWHWJVJABCDEFGHIJKLMNOPQRSTVKVLVMVNVO $.

    $( Same as ~ cdlemg17dN with fewer antecedents but longer proof TODO: fix
       comment.  (Contributed by NM, 9-May-2013.)
       (New usage is discouraged.) $)
    cdlemg17dALTN $p |- ( ( ( K e. HL /\ W e. H
              /\ G e. T )
           /\ ( ( P e. A /\ -. P .<_ W ) /\ Q e. A /\ P =/= Q )
           /\ ( ( R ` G ) .<_ ( P .\/ Q )
             /\ ( G ` P ) =/= P ) )
      -> ( R ` G ) = ( ( P .\/ Q ) ./\ W ) ) $=
      ( wcel chlt w3a wbr wn wa wne cfv co simp3l simp11 simp12 simp13 syl21anc
      wceq trlle clat cbs wb hllatd eqid simp21l simp22 hlatjcl syl3anc lhpbase
      trlcl syl latlem12 syl13anc mpbi2and cal hlatl simp21 simp3r trlat simp23
      syl212anc lhpat atcmp mpbid ) IUATZLGTZFETZUBZBATZBLJUCUDZUEZCATZBCUFZUBZ
      FDUGZBCHUHZJUCZBFUGBUFZUEZUBZWKWLLKUHZJUCZWKWQUNZWPWMWKLJUCZWRWDWJWMWNUIW
      PWAWBWCWTWAWBWCWJWOUJZWAWBWCWJWOUKZWAWBWCWJWOULZDEFGIJLMQRSUOUMWPIUPTWKIU
      QUGZTZWLXDTZLXDTZWMWTUEWRURWPIXAUSWPWAWBWCXEXAXBXCXDDEFGILXDUTZQRSVFUMWPW
      AWEWHXFXAWEWFWHWIWDWOVAWDWGWHWIWOVBZAXDHIBCXHNPVCVDWPWBXGXBXDGILXHQVEVGXD
      IJKWKWLLXHMOVHVIVJWPIVKTZWKATZWQATZWRWSURWPWAXJXAIVLVGWPWAWBWGWCWNXKXAXBW
      DWGWHWIWOVMZXCWDWJWMWNVNABDEFGIJLMPQRSVOVQWPWAWBWGWHWIXLXAXBXMXIWDWGWHWIW
      OVPABCGHIJKLMNOPQVRVQAWKWQIJMPVSVDVT $.

    $( TODO: fix comment.  (Contributed by NM, 8-May-2013.) $)
    cdlemg17e $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( F e. T /\ G e. T /\ P =/= Q )
         /\ ( ( G ` P ) =/= P /\ ( R ` G ) .<_ ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
    -> ( ( F ` P ) .\/ ( F ` Q ) ) = ( ( F ` P ) .\/ ( R ` G ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne co cv wceq wrex simp11 simp12 simp13 simp21
      eqid cdlemg2k syl121anc simp22 trlval2 syl3anc simp1 simp23 simp31 simp32
      cfv simp33 cdlemg17b syl123anc oveq2d oveq1d eqtrd eqtr4d ) JUBUCMHUCUDZB
      AUCBMKUEUFUDZCAUCCMKUEUFUDZUGZFEUCZGEUCZBCUHZUGZBGVGZBUHZGDVGZBCIUIZKUEZN
      UJZMKUEUFBWHIUICWHIUIUKUDNAULUFZUGZUGZBFVGZCFVGIUIZWLWFMLUIZIUIZWLWEIUIWK
      VOVPVQVSWMWOUKVOVPVQWBWJUMZVOVPVQWBWJUNZVOVPVQWBWJUOVRVSVTWAWJUPABCEWNFHI
      JKLMSTOPRQWNUQURUSWKWEWNWLIWKWEBWCIUIZMLUIZWNWKVOVTVPWEWSUKWPVRVSVTWAWJUT
      ZWQABDEGHIJKLMOPQRSTUAVAVBWKWRWFMLWKWCCBIWKVRVTWAWDWGWIWCCUKVRWBWJVCWTVRV
      SVTWAWJVDVRWBWDWGWIVEVRWBWDWGWIVFVRWBWDWGWIVHABCDEGHIJKLMNOPQRSTUAVIVJVKV
      LVMVKVN $.

    $( TODO: fix comment.  (Contributed by NM, 8-May-2013.) $)
    cdlemg17f $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( F e. T /\ G e. T /\ P =/= Q )
         /\ ( ( G ` P ) =/= P /\ ( R ` G ) .<_ ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
    -> ( ( F ` P ) .\/ ( F ` Q ) ) = ( ( F ` P ) .\/ ( G ` ( F ` P ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co cv wceq wrex cdlemg17e simp11 simp22
      simp21 simp12 ltrnel syl3anc trlval2 simp12l ltrncoat syl121anc cdleme0cp
      oveq2d eqid syl12anc 3eqtrd ) JUBUCMHUCUDZBAUCZBMKUEUFZUDZCAUCCMKUEUFUDZU
      GZFEUCZGEUCZBCUHZUGZBGUIBUHGDUIZBCIUJKUENUKZMKUEUFBWAIUJCWAIUJULUDNAUMUFU
      GZUGZBFUIZCFUIIUJWDVTIUJWDWDWDGUIZIUJZMLUJZIUJZWFABCDEFGHIJKLMNOPQRSTUAUN
      WCVTWGWDIWCVJVQWDAUCWDMKUEUFUDZVTWGULVJVMVNVSWBUOZVOVPVQVRWBUPZWCVJVPVMWI
      WJVOVPVQVRWBUQZVJVMVNVSWBURABEFHJKMORSTUSUTZAWDDEGHIJKLMOPQRSTUAVAUTVFWCV
      JWIWEAUCZWHWFULWJWMWCVJVQVPVKWNWJWKWLVKVLVJVNVSWBVBABEGFHJKMORSTVCVDAWDWE
      WGHIJKLMOPQRSWGVGVEVHVI $.

    $( TODO: fix comment.  (Contributed by NM, 9-May-2013.) $)
    cdlemg17g $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( F e. T /\ G e. T /\ P =/= Q )
         /\ ( ( G ` P ) =/= P /\ ( R ` G ) .<_ ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
    -> ( G ` ( F ` P ) ) .<_ ( ( F ` P ) .\/ ( F ` Q ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv wceq wrex simp11l simp11 simp21 simp12l
      co ltrnat syl3anc simp22 ltrncoat syl121anc hlatlej2 cdlemg17f breqtrrd
      cv ) JUBUCZMHUCZUDZBAUCZBMKUEUFZUDZCAUCCMKUEUFUDZUGZFEUCZGEUCZBCUHZUGZBGU
      IBUHGDUIBCIUPKUENVEZMKUEUFBVRIUPCVRIUPUJUDNAUKUFUGZUGZBFUIZGUIZWAWBIUPZWA
      CFUIIUPKVTVFWAAUCZWBAUCZWBWCKUEVFVGVKVLVQVSULVTVHVNVIWDVHVKVLVQVSUMZVMVNV
      OVPVSUNZVIVJVHVLVQVSUOZABEFHJKMORSTUQURVTVHVOVNVIWEWFVMVNVOVPVSUSWGWHABEG
      FHJKMORSTUTVAAWAWBIJKOPRVBURABCDEFGHIJKLMNOPQRSTUAVCVD $.

    $d r F $.  $d r S $.
    $( TODO: fix comment.  (Contributed by NM, 10-May-2013.) $)
    cdlemg17h $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( ( S e. A /\ -. S .<_ W ) /\ ( F e. T /\ G e. T )
            /\ ( P =/= Q /\ S .<_ ( ( F ` P ) .\/ ( F ` Q ) ) ) )
         /\ ( ( G ` P ) =/= P /\ ( R ` G ) .<_ ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
      -> ( S = ( F ` P ) \/ S = ( F ` Q ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co cv wceq wrex ccnv wo simp11l simp23r
      cbs simp11 simp22l simp21l ltrncnvat syl3anc eqid simp12l simp13l hlatjcl
      wb atbase syl ltrnle syl112anc wf1o ltrn1o syl2anc f1ocnvfv2 ltrnj bitr2d
      breq12d mpbid simp33 simp23l simp21 ltrncnvel syl331anc f1ocnvfvb bitr3di
      cdleme0nex eqcom orbi12d ) KUCUDZNIUDZUEZBAUDZBNLUFUGZUEZCAUDZCNLUFUGZUEZ
      UHZEAUDZENLUFUGZUEZGFUDZHFUDZUEZBCUIZEBGUJZCGUJZJUKZLUFZUEZUHZBHUJBUIZHDU
      JBCJUKZLUFZOULZNLUFUGBXRJUKCXRJUKUMUEOAUNUGZUHZUHZEGUOUJZBUMZYBCUMZUPZEXI
      UMZEXJUMZUPYAWLYBXPLUFZXSWOWRXHYBAUDZYBNLUFUGUEZYEWLWMWQWTXNXTUQZYAXLYHXH
      XLXDXGXAXTURYAYHYBGUJZXPGUJZLUFZXLYAWNXEYBKUSUJZUDZXPYOUDZYHYNVIWNWQWTXNX
      TUTZXEXFXDXMXAXTVAZYAYIYPYAWNXEXBYIYRYSXBXCXGXMXAXTVBZAEFGIKLNPSTUAVCVDAY
      OYBKYOVEZSVJVKYAWLWOWRYQYKWOWPWNWTXNXTVFZWRWSWNWQXNXTVGZAYOJKBCUUAQSVHVDY
      OFGIKLUCNYBXPUUAPTUAVLVMYAYLEYMXKLYAYOYOGVNZEYOUDZYLEUMYAWNXEUUDYRYSYOFGI
      KUCNUUATUAVOVPZYAXBUUEYTAYOEKUUASVJVKZYOYOEGVQVPYAWNXEBYOUDZCYOUDZYMXKUMY
      RYSYAWOUUHUUBAYOBKUUASVJVKZYAWRUUIUUCAYOCKUUASVJVKZYOFGIJKNBCUUAQTUAVRVMV
      TVSWAXAXNXOXQXSWBUUBUUCXHXLXDXGXAXTWCYAWNXEXDYJYRYSXAXDXGXMXTWDAEFGIKLNPS
      TUAWEVDABCYBJKLNOPQSWIWFYAYCYFYDYGYAXIEUMZYCYFYAUUDUUHUUEUULYCVIUUFUUJUUG
      YOYOBEGWGVDXIEWJWHYAXJEUMZYDYGYAUUDUUIUUEUUMYDVIUUFUUKUUGYOYOCEGWGVDXJEWJ
      WHWKWA $.

    $( TODO: fix comment.  (Contributed by NM, 10-May-2013.) $)
    cdlemg17i $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( F e. T /\ G e. T /\ P =/= Q )
         /\ ( ( G ` P ) =/= P /\ ( R ` G ) .<_ ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
    -> ( G ` ( F ` P ) ) = ( F ` Q ) ) $=
      ( chlt wcel wa wbr wn w3a wne co cv wceq wrex simp11 simp22 simp12 simp21
      cfv ltrnel syl3anc simp31 ltrnatneq syl131anc neneqd jca simp23 cdlemg17g
      wo simp1 simp3 cdlemg17h ord mpd ) JUBUCMHUCUDZBAUCBMKUEUFUDZCAUCCMKUEUFU
      DZUGZFEUCZGEUCZBCUHZUGZBGUQBUHZGDUQBCIUIKUEZNUJZMKUEUFBWCIUICWCIUIUKUDNAU
      LUFZUGZUGZBFUQZGUQZWGUKZUFWHCFUQZUKZWFWHWGWFVMVRVNWGAUCWGMKUEUFUDZWAWHWGU
      HVMVNVOVTWEUMZVPVQVRVSWEUNZVMVNVOVTWEUOZWFVMVQVNWLWMVPVQVRVSWEUPZWOABEFHJ
      KMORSTURUSZVPVTWAWBWDUTABWGEGHJKMORSTVAVBVCWFWIWKWFVPWHAUCWHMKUEUFUDZVQVR
      UDVSWHWGWJIUIKUEZUDWEWIWKVGVPVTWEVHWFVMVRWLWRWMWNWQAWGEGHJKMORSTURUSWFVQV
      RWPWNVDWFVSWSVPVQVRVSWEVEABCDEFGHIJKLMNOPQRSTUAVFVDVPVTWEVIABCDWHEFGHIJKL
      MNOPQRSTUAVJVBVKVL $.

    $( TODO: fix comment.  (Contributed by NM, 13-May-2013.) $)
    cdlemg17ir $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( F e. T /\ G e. T /\ P =/= Q )
         /\ ( ( G ` P ) =/= P /\ ( R ` G ) .<_ ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
    -> ( F ` ( G ` P ) ) = ( F ` Q ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co cv wceq wrex simp22 simp23 cdlemg17b
      simp1 simp3 syl121anc fveq2d ) JUBUCMHUCUDBAUCBMKUEUFUDCAUCCMKUEUFUDUGZFE
      UCZGEUCZBCUHZUGZBGUIZBUHGDUIBCIUJKUENUKZMKUEUFBVGIUJCVGIUJULUDNAUMUFUGZUG
      ZVFCFVIVAVCVDVHVFCULVAVEVHUQVAVBVCVDVHUNVAVBVCVDVHUOVAVEVHURABCDEGHIJKLMN
      OPQRSTUAUPUSUT $.

    $( TODO: fix comment.  (Contributed by NM, 11-May-2013.) $)
    cdlemg17j $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( F e. T /\ G e. T /\ P =/= Q )
         /\ ( ( G ` P ) =/= P /\ ( R ` G ) .<_ ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
    -> ( G ` ( F ` P ) ) = ( F ` ( G ` P ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne co cv wceq wrex cdlemg17i cdlemg17ir eqtr4d
      cfv ) JUBUCMHUCUDBAUCBMKUEUFUDCAUCCMKUEUFUDUGFEUCGEUCBCUHUGBGUPZBUHGDUPBC
      IUIKUENUJZMKUEUFBURIUICURIUIUKUDNAULUFUGUGBFUPGUPCFUPUQFUPABCDEFGHIJKLMNO
      PQRSTUAUMABCDEFGHIJKLMNOPQRSTUAUNUO $.

    $( Utility theorem for swapping ` P ` and ` Q ` .  TODO: fix comment.
       (Contributed by NM, 11-May-2013.) $)
    cdlemg17pq $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( F e. T /\ G e. T /\ P =/= Q )
         /\ ( ( G ` P ) =/= P /\ ( R ` G ) .<_ ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
        ->
     ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W )
            /\ ( P e. A /\ -. P .<_ W ) )
       /\ ( F e. T /\ G e. T /\ Q =/= P )
       /\ ( ( G ` Q ) =/= Q /\ ( R ` G ) .<_ ( Q .\/ P )
        /\ -. E. r e. A ( -. r .<_ W /\ ( Q .\/ r ) = ( P .\/ r ) ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne co cv wceq wrex simp11 simp13 simp12 simp21
      cfv 3jca simp22 simp23 necomd ltrnatneq syl131anc simp11l simp12l simp13l
      simp31 simp32 hlatjcom syl3anc breqtrd simp33 eqcom anbi2i rexbii sylnib
      ) JUBUCZMHUCZUDZBAUCZBMKUEUFZUDZCAUCZCMKUEUFZUDZUGZFEUCZGEUCZBCUHZUGZBGUQ
      BUHZGDUQZBCIUIZKUEZNUJZMKUEUFZBWOIUIZCWOIUIZUKZUDZNAULZUFZUGZUGZVSWEWBUGW
      GWHCBUHZUGCGUQCUHZWLCBIUIZKUEZWPWRWQUKZUDZNAULZUFZUGXDVSWEWBVSWBWEWJXCUMZ
      VSWBWEWJXCUNZVSWBWEWJXCUOZURXDWGWHXEWFWGWHWIXCUPWFWGWHWIXCUSZXDBCWFWGWHWI
      XCUTVAURXDXFXHXLXDVSWHWBWEWKXFXMXPXOXNWFWJWKWNXBVGABCEGHJKMORSTVBVCXDWLWM
      XGKWFWJWKWNXBVHXDVQVTWCWMXGUKVQVRWBWEWJXCVDVTWAVSWEWJXCVEWCWDVSWBWJXCVFAI
      JBCPRVIVJVKXDXAXKWFWJWKWNXBVLWTXJNAWSXIWPWQWRVMVNVOVPURUR $.

    $( ~ cdlemg17b with ` P ` and ` Q ` swapped.  Antecedent
       ` F e. ( T `` W ) ` is redundant for easier use.  TODO: should we have
       redundant antecedent for ~ cdlemg17b also?  (Contributed by NM,
       13-May-2013.) $)
    cdlemg17bq $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( F e. T /\ G e. T /\ P =/= Q )
         /\ ( ( G ` P ) =/= P /\ ( R ` G ) .<_ ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
  -> ( G ` Q ) = P ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co wceq cdlemg17pq simp11 simp12 simp13
      cv wrex simp22 simp23 simp3 cdlemg17b syl321anc syl ) JUBUCMHUCUDZBAUCBMK
      UEUFUDZCAUCCMKUEUFUDZUGFEUCZGEUCZBCUHUGBGUIBUHGDUIZBCIUJKUENUPZMKUEUFZBVJ
      IUJZCVJIUJZUKUDNAUQUFUGUGVDVFVEUGZVGVHCBUHZUGZCGUIZCUHVICBIUJKUEVKVMVLUKU
      DNAUQUFUGZUGZVQBUKZABCDEFGHIJKLMNOPQRSTUAULVSVDVFVEVHVOVRVTVDVFVEVPVRUMVD
      VFVEVPVRUNVDVFVEVPVRUOVNVGVHVOVRURVNVGVHVOVRUSVNVPVRUTACBDEGHIJKLMNOPQRST
      UAVAVBVC $.

    $( ~ cdlemg17i with ` P ` and ` Q ` swapped.  (Contributed by NM,
       13-May-2013.)  (New usage is discouraged.) $)
    cdlemg17iqN $p |- ( ( ( K e. HL /\ W e. H
          /\ ( F e. T /\ G e. T ) )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ P =/= Q )
       /\ ( ( R ` G ) .<_ ( P .\/ Q )
         /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) )
         /\ ( G ` P ) =/= P ) )
  -> ( G ` ( F ` Q ) ) = ( F ` P ) ) $=
      ( chlt wcel wa w3a wbr wn wne co cv wceq wrex simp11 simp12 simp21 simp22
      cfv jca simp13l simp13r simp23 simp33 simp31 simp32 cdlemg17pq syl333anc
      cdlemg17i syl ) JUBUCZMHUCZFEUCZGEUCZUDZUEZBAUCBMKUFUGUDZCAUCCMKUFUGUDZBC
      UHZUEZGDUQZBCIUIKUFZNUJZMKUFUGZBWAIUIZCWAIUIZUKUDNAULUGZBGUQBUHZUEZUEZVIV
      JUDZVPVOUEVKVLCBUHUECGUQCUHVSCBIUIKUFWBWDWCUKUDNAULUGUEUEZCFUQGUQBFUQUKWH
      WIVOVPVKVLVQWFVTWEWJWHVIVJVIVJVMVRWGUMVIVJVMVRWGUNURVNVOVPVQWGUOVNVOVPVQW
      GUPVKVLVIVJVRWGUSVKVLVIVJVRWGUTVNVOVPVQWGVAVNVRVTWEWFVBVNVRVTWEWFVCVNVRVT
      WEWFVDABCDEFGHIJKLMNOPQRSTUAVEVFACBDEFGHIJKLMNOPQRSTUAVGVH $.

    $( ~ cdlemg17ir with ` P ` and ` Q ` swapped.  (Contributed by NM,
       13-May-2013.) $)
    cdlemg17irq $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( F e. T /\ G e. T /\ P =/= Q )
         /\ ( ( G ` P ) =/= P /\ ( R ` G ) .<_ ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
    -> ( F ` ( G ` Q ) ) = ( F ` P ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co wceq wrex cdlemg17pq cdlemg17ir syl
      cv ) JUBUCMHUCUDZBAUCBMKUEUFUDZCAUCCMKUEUFUDZUGFEUCZGEUCZBCUHUGBGUIBUHGDU
      IZBCIUJKUENUPZMKUEUFZBVCIUJZCVCIUJZUKUDNAULUFUGUGUQUSURUGUTVACBUHUGCGUIZC
      UHVBCBIUJKUEVDVFVEUKUDNAULUFUGUGVGFUIBFUIUKABCDEFGHIJKLMNOPQRSTUAUMACBDEF
      GHIJKLMNOPQRSTUAUNUO $.

    $( ~ cdlemg17j with ` P ` and ` Q ` swapped.  (Contributed by NM,
       13-May-2013.) $)
    cdlemg17jq $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( F e. T /\ G e. T /\ P =/= Q )
         /\ ( ( G ` P ) =/= P /\ ( R ` G ) .<_ ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
    -> ( G ` ( F ` Q ) ) = ( F ` ( G ` Q ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co wceq wrex cdlemg17pq cdlemg17j syl
      cv ) JUBUCMHUCUDZBAUCBMKUEUFUDZCAUCCMKUEUFUDZUGFEUCZGEUCZBCUHUGBGUIBUHGDU
      IZBCIUJKUENUPZMKUEUFZBVCIUJZCVCIUJZUKUDNAULUFUGUGUQUSURUGUTVACBUHUGCGUIZC
      UHVBCBIUJKUEVDVFVEUKUDNAULUFUGUGCFUIGUIVGFUIUKABCDEFGHIJKLMNOPQRSTUAUMACB
      DEFGHIJKLMNOPQRSTUAUNUO $.

    $( Part of Lemma G of [Crawley] p. 117, lines 7 and 8.  We show an argument
       whose value at ` G ` equals itself.  TODO: fix comment.  (Contributed by
       NM, 12-May-2013.) $)
    cdlemg17 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( F e. T /\ G e. T /\ P =/= Q )
         /\ ( ( G ` P ) =/= P /\ ( R ` G ) .<_ ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
  -> ( G ` ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ ( Q .\/ ( F ` ( G ` Q ) ) ) ) )
      = ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ ( Q .\/ ( F ` ( G ` Q ) ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co cv wceq wrex cbs simp11 simp12l eqid
      simp22 atbase syl simp21 syl121anc ltrnj syl112anc simp1 simp23 cdlemg17b
      ltrncoat simp3 fveq2d cdlemg17jq eqtrd oveq12d simp13l cdlemg17bq simp11l
      cdlemg17j hlatjcl syl3anc ltrnm clat hllatd latmcom 3eqtr4d ) JUBUCZMHUCZ
      UDZBAUCZBMKUEUFZUDZCAUCZCMKUEUFZUDZUGZFEUCZGEUCZBCUHZUGZBGUIZBUHGDUIBCIUJ
      KUENUKZMKUEUFBWTIUJCWTIUJULUDNAUMUFUGZUGZBWSFUIZIUJZGUIZCCGUIZFUIZIUJZGUI
      ZLUJZXHXDLUJZXDXHLUJZGUIZXLXBXEXHXIXDLXBXEWSXCGUIZIUJZXHXBWGWPBJUNUIZUCZX
      CXPUCZXEXOULWGWJWMWRXAUOZWNWOWPWQXAURZXBWHXQWHWIWGWMWRXAUPZAXPBJXPUQZRUSU
      TXBXCAUCZXRXBWGWOWPWHYCXSWNWOWPWQXAVAZXTYAABEFGHJKMORSTVHVBZAXPXCJYBRUSUT
      XPEGHIJMBXCYBPSTVCVDXBWSCXNXGIXBWNWPWQXAWSCULWNWRXAVEXTWNWOWPWQXAVFWNWRXA
      VIABCDEGHIJKLMNOPQRSTUAVGVBZXBXNCFUIZGUIXGXBXCYGGXBWSCFYFVJVJABCDEFGHIJKL
      MNOPQRSTUAVKVLVMVLXBXIXFXGGUIZIUJZXDXBWGWPCXPUCZXGXPUCZXIYIULXSXTXBWKYJWK
      WLWGWJWRXAVNZAXPCJYBRUSUTXBXGAUCZYKXBWGWOWPWKYMXSYDXTYLACEFGHJKMORSTVHVBZ
      AXPXGJYBRUSUTXPEGHIJMCXGYBPSTVCVDXBXFBYHXCIABCDEFGHIJKLMNOPQRSTUAVOZXBYHB
      FUIZGUIXCXBXGYPGXBXFBFYOVJVJABCDEFGHIJKLMNOPQRSTUAVQVLVMVLVMXBWGWPXDXPUCZ
      XHXPUCZXMXJULXSXTXBWEWHYCYQWEWFWJWMWRXAVPZYAYEAXPIJBXCYBPRVRVSZXBWEWKYMYR
      YSYLYNAXPIJCXGYBPRVRVSZXPEGHJLMXDXHYBQSTVTVDXBJWAUCYQYRXLXKULXBJYSWBYTUUA
      XPJLXDXHYBQWCVSWD $.

    $( Show two lines are different.  TODO: fix comment.  (Contributed by NM,
       14-May-2013.) $)
    cdlemg18a $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( P e. A /\ Q e. A /\ F e. T )
           /\ ( P =/= Q /\ ( ( F ` Q ) .\/ ( F ` P ) ) =/= ( P .\/ Q ) ) )
      -> ( P .\/ ( F ` Q ) ) =/= ( Q .\/ ( F ` P ) ) ) $=
      ( wcel chlt wa w3a wne cfv co simp3r wceq simpl1l simpl21 simpl23 simpl22
      simpl1 ltrnat syl3anc ltrn11at syl113anc necomd simpr hlatexch4 syl323anc
      simpl3l eqcomd ex necon3d mpd ) IUATZLGTZUBZBATZCATZFETZUCZBCUDZCFUEZBFUE
      ZHUFZBCHUFZUDZUBZUCZVSBVOHUFZCVPHUFZUDVIVMVNVSUGWAWBWCVQVRWAWBWCUHZVQVRUH
      WAWDUBZVRVQWEVGVJVOATZVKVPATZVNVOVPUDWDVRVQUHVGVHVMVTWDUIVJVKVLVIVTWDUJZW
      EVIVLVKWFVIVMVTWDUMZVJVKVLVIVTWDUKZVJVKVLVIVTWDULZACEFGIJLMPQRUNUOWKWEVIV
      LVJWGWIWJWHABEFGIJLMPQRUNUOVNVSVIVMWDVBZWEVPVOWEVIVLVJVKVNVPVOUDWIWJWHWKW
      LABCEFGILPQRUPUQURWAWDUSABVOCVPHINPUTVAVCVDVEVF $.

    ${
      cdlemg18b.u $e |- U = ( ( P .\/ Q ) ./\ W ) $.
      $( Lemma for ~ cdlemg18c .  TODO: fix comment.  (Contributed by NM,
         15-May-2013.) $)
      cdlemg18b $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
        /\ ( P =/= Q /\ ( F ` P ) =/= Q /\
           ( ( F ` Q ) .\/ ( F ` P ) ) =/= ( P .\/ Q ) ) )
        -> -. P .<_ ( U .\/ ( F ` Q ) ) ) $=
        ( chlt wcel wa wbr wn w3a wne cfv co simp33 simp3r simp1l simp1r simp21
        wceq wi simp22l simp3l1 cdleme0a syl212anc simp1 simp23 ltrnat hlatlej1
        syl3anc clat cbs wb hllatd simp21l atbase syl hlatjcl latjle12 syl13anc
        mpbi2and cdleme0cp syl22anc simp22 cdlemg2kq syl121anc hlatjcom 3brtr3d
        eqid eqtr2d ps-1 syl132anc mpbid 3exp exp4a 3imp necon3ad mpd ) JUBUCZM
        HUCZUDZBAUCZBMKUEUFZUDZCAUCZCMKUEUFZUDZGEUCZUGZBCUHZBGUIZCUHZCGUIZXGIUJ
        ZBCIUJZUHZUGZUGZXLBFXIIUJZKUEZUFWQXEXFXHXLUKXNXPXJXKWQXEXMXPXJXKUPZUQWQ
        XEXMXPXQWQXEXMXPUDZXQWQXEXRUGZXKXGXIIUJZXJXSXKXTKUEZXKXTUPZXSBFIUJZXOXK
        XTKXSXPFXOKUEZYCXOKUEZWQXEXMXPULXSWOFAUCZXIAUCZYDWOWPXEXRUMZXSWOWPWTXAX
        FYFYHWOWPXEXRUNZWQWTXCXDXRUOZXAXBWTXDWQXRURZXFXHXLXPWQXEUSZABCFHIJKLMNO
        PQRUAUTVAZXSWQXDXAYGWQXEXRVBZWQWTXCXDXRVCZYKACEGHJKMNQRSVDVFZAFXIIJKNOQ
        VEVFXSJVGUCBJVHUIZUCZFYQUCZXOYQUCZXPYDUDYEVIXSJYHVJXSWRYRWRWSXCXDWQXRVK
        ZAYQBJYQWEZQVLVMXSYFYSYMAYQFJUUBQVLVMXSWOYFYGYTYHYMYPAYQIJFXIUUBOQVNVFY
        QIJKBFXOUUBNOVOVPVQXSWOWPWTXAYCXKUPYHYIYJYKABCFHIJKLMNOPQRUAVRVSXSXTXIF
        IUJZXOXSWQWTXCXDXTUUCUPYNYJWQWTXCXDXRVTYOABCEFGHIJKLMRSNOQPUAWAWBXSWOYG
        YFUUCXOUPYHYPYMAIJXIFOQWCVFWFWDXSWOWRXAXFXGAUCZYGYAYBVIYHUUAYKYLXSWQXDW
        RUUDYNYOUUAABEGHJKMNQRSVDVFZYPABCXGXIIJKNOQWGWHWIXSWOUUDYGXTXJUPYHUUEYP
        AIJXGXIOQWCVFWFWJWKWLWMWN $.

      $( Show two lines intersect at an atom.  TODO: fix comment.  (Contributed
         by NM, 15-May-2013.) $)
      cdlemg18c $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
        /\ ( P =/= Q /\ ( F ` P ) =/= Q /\
           ( ( F ` Q ) .\/ ( F ` P ) ) =/= ( P .\/ Q ) ) )
        -> ( ( P .\/ ( F ` Q ) ) ./\ ( Q .\/ ( F ` P ) ) ) e. A ) $=
        ( chlt wcel wbr w3a wne cfv simp1l simp21l simp1r simp21 simp22l simp31
        wa wn co cdleme0a syl212anc simp1 simp23 ltrnat cdlemg18b simp32 necomd
        syl3anc jca simp33 cdlemg18a syl132anc hlatlej2 wceq cdleme0cp syl22anc
        breqtrrd simp22 cdlemg2kq syl121anc hlatjcom 3eqtr3d breqtrd syl333anc
        ps-2c ) JUBUCZMHUCZUNZBAUCZBMKUDUOZUNZCAUCZCMKUDUOZUNZGEUCZUEZBCUFZBGUG
        ZCUFZCGUGZWOIUPZBCIUPZUFZUEZUEZWCWFFAUCZWQAUCZWIWOAUCZBFWQIUPZKUDUOZCWO
        UFZUNBWQIUPZCWOIUPZUFZCBFIUPZKUDZWOXFKUDZUNXIXJLUPAUCWCWDWMXAUHZWFWGWKW
        LWEXAUIZXBWCWDWHWIWNXCXOWCWDWMXAUJZWEWHWKWLXAUKZWIWJWHWLWEXAULZWEWMWNWP
        WTUMZABCFHIJKLMNOPQRUAUQURZXBWEWLWIXDWEWMXAUSZWEWHWKWLXAUTZXSACEGHJKMNQ
        RSVAVEZXSXBWEWLWFXEYBYCXPABEGHJKMNQRSVAVEZXBXGXHABCDEFGHIJKLMNOPQRSTUAV
        BXBWOCWEWMWNWPWTVCVDVFXBWEWFWIWLWNWTXKYBXPXSYCXTWEWMWNWPWTVGABCDEGHIJKL
        MNOPQRSTVHVIXBXMXNXBCWSXLKXBWCWFWICWSKUDXOXPXSABCIJKNOQVJVEXBWCWDWHWIXL
        WSVKXOXQXRXSABCFHIJKLMNOPQRUAVLVMVNXBWOWRXFKXBWCXDXEWOWRKUDXOYDYEAWQWOI
        JKNOQVJVEXBWOWQIUPZWQFIUPZWRXFXBWEWHWKWLYFYGVKYBXRWEWHWKWLXAVOYCABCEFGH
        IJKLMRSNOQPUAVPVQXBWCXEXDYFWRVKXOYEYDAIJWOWQOQVRVEXBWCXDXCYGXFVKXOYDYAA
        IJWQFOQVRVEVSVTVFABFWQCWOIJKLNOPQWBWA $.
    $}

    $( Show two lines intersect at an atom.  TODO: fix comment.  (Contributed
       by NM, 15-May-2013.) $)
    cdlemg18d $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( ( F e. T /\ G e. T ) /\ P =/= Q /\ ( G ` P ) =/= P )
        /\ ( ( R ` G ) .<_ ( P .\/ Q )
           /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
   -> ( ( P .\/ ( F ` ( G ` P ) ) )
          ./\ ( Q .\/ ( F ` ( G ` Q ) ) ) ) e. A ) $=
      ( chlt wcel wa wbr wn w3a wne co cv wceq wrex simp1 simp21r simp22 simp23
      cfv simp31 simp33 cdlemg17b syl123anc fveq2d simp21l cdlemg17bq syl133anc
      oveq2d oveq12d simp11 simp12 simp13 simp32 eqnetrrd cdlemg17irq cdlemg18c
      cdlemg11aq eqid eqeltrd ) JUBUCMHUCUDZBAUCBMKUEUFUDZCAUCCMKUEUFUDZUGZFEUC
      ZGEUCZUDZBCUHZBGUQZBUHZUGZGDUQBCIUIZKUEZWFFUQZCGUQZFUQZIUIZWIUHZNUJZMKUEU
      FBWPIUICWPIUIUKUDNAULUFZUGZUGZBWKIUIZCWMIUIZLUIBCFUQZIUIZCBFUQZIUIZLUIZAW
      SWTXCXAXELWSWKXBBIWSWFCFWSWAWCWEWGWJWQWFCUKWAWHWRUMZWBWCWEWGWAWRUNZWAWDWE
      WGWRUOZWAWDWEWGWRUPZWAWHWJWOWQURZWAWHWJWOWQUSZABCDEGHIJKLMNOPQRSTUAUTVAVB
      ZVFWSWMXDCIWSWLBFWSWAWBWCWEWGWJWQWLBUKXGWBWCWEWGWAWRVCZXHXIXJXKXLABCDEFGH
      IJKLMNOPQRSTUAVDVEVBZVFVGWSVRVSVTWBWEXDCUHXBXDIUIZWIUHXFAUCVRVSVTWHWRVHZV
      RVSVTWHWRVIZVRVSVTWHWRVJZXNXIWSWMXDCXOWSVRVSVTWBWCWOWMCUHXQXRXSXNXHWAWHWJ
      WOWQVKZABCEFGHIJKLMOPQRSTVOVAVLWSWNXPWIWSWKXBWMXDIXMWSWAWBWCWEWGWJWQWMXDU
      KXGXNXHXIXJXKXLABCDEFGHIJKLMNOPQRSTUAVMVEVGXTVLABCDEWIMLUIZFHIJKLMOPQRSTU
      AYAVPVNVEVQ $.

    $( Part of proof of Lemma G of [Crawley] p. 116.  Line 10 of p. 117, (p
       ` \/ ` fg(p)) ` /\ ` (q ` \/ ` fg(q)) ` <_ ` w.  TODO: fix comment. $)
    $( Show two lines intersect at an atom.  TODO: fix comment.  (Contributed
       by NM, 15-May-2013.) $)
    cdlemg18 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( ( F e. T /\ G e. T ) /\ P =/= Q /\ ( G ` P ) =/= P )
       /\ ( ( R ` G ) .<_ ( P .\/ Q )
           /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
  -> ( ( P .\/ ( F ` ( G ` P ) ) )
          ./\ ( Q .\/ ( F ` ( G ` Q ) ) ) ) .<_ W ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co cv wceq wrex simp11 simp12 cdlemg18d
      simp21r simp23 simp1 simp21l simp22 cdlemg17 syl133anc ltrnatlw syl132anc
      simp31 simp33 ) JUBUCMHUCUDZBAUCBMKUEUFUDZCAUCCMKUEUFUDZUGZFEUCZGEUCZUDZB
      CUHZBGUIZBUHZUGZGDUIBCIUJZKUEZVPFUIZCGUIFUIZIUJVSUHZNUKZMKUEUFBWDIUJCWDIU
      JULUDNAUMUFZUGZUGZVHVMVIBWAIUJCWBIUJLUJZAUCVQWHGUIWHULZWHMKUEVHVIVJVRWFUN
      VLVMVOVQVKWFUQZVHVIVJVRWFUOABCDEFGHIJKLMNOPQRSTUAUPVKVNVOVQWFURZWGVKVLVMV
      OVQVTWEWIVKVRWFUSVLVMVOVQVKWFUTWJVKVNVOVQWFVAWKVKVRVTWCWEVFVKVRVTWCWEVGAB
      CDEFGHIJKLMNOPQRSTUAVBVCABWHEGHJKMORSTVDVE $.

    $( Part of proof of Lemma G of [Crawley] p. 116.  Line 10 of p. 117, (p
       ` \/ ` fg(p)) ` /\ ` (q ` \/ ` fg(q)) ` <_ ` w.  TODO: fix comment. $)
    $( Show two lines intersect at an atom.  TODO: fix comment.  (Contributed
       by NM, 15-May-2013.) $)
    cdlemg19a $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( ( F e. T /\ G e. T ) /\ P =/= Q /\ ( G ` P ) =/= P )
         /\ ( ( R ` G ) .<_ ( P .\/ Q )
           /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ ( Q .\/ ( F ` ( G ` Q ) ) ) )
         = ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co cv wceq wrex clat cbs simp11l hllatd
      simp12l simp11 simp21 ltrncoat syl3anc hlatjcl simp13l cdlemg18 cdlemg18d
      eqid latmle1 wb atbase syl simp11r lhpbase latlem12 syl13anc mpbi2and cal
      simp12 simp13 simp21l simp21r simp32 cdlemg11a syl123anc necomd syl112anc
      hlatl lhpat atcmp mpbid ) JUBUCZMHUCZUDZBAUCZBMKUEUFZUDZCAUCZCMKUEUFZUDZU
      GZFEUCZGEUCZUDZBCUHZBGUIZBUHZUGZGDUIBCIUJZKUEZXEFUIZCGUIFUIZIUJXHUHZNUKZM
      KUEUFBXMIUJCXMIUJULUDNAUMUFZUGZUGZBXJIUJZCXKIUJZLUJZXQMLUJZKUEZXSXTULZXPX
      SXQKUEZXSMKUEZYAXPJUNUCZXQJUOUIZUCZXRYFUCZYCXPJWKWLWPWSXGXOUPZUQZXPWKWNXJ
      AUCZYGYIWNWOWMWSXGXOURZXPWMXCWNYKWMWPWSXGXOUSZWTXCXDXFXOUTZYLABEFGHJKMORS
      TVAVBZAYFIJBXJYFVGZPRVCVBZXPWKWQXKAUCZYHYIWQWRWMWPXGXOVDZXPWMXCWQYRYMYNYS
      ACEFGHJKMORSTVAVBAYFIJCXKYPPRVCVBYFJKLXQXRYPOQVHVBABCDEFGHIJKLMNOPQRSTUAV
      EXPYEXSYFUCZYGMYFUCZYCYDUDYAVIYJXPXSAUCZYTABCDEFGHIJKLMNOPQRSTUAVFZAYFXSJ
      YPRVJVKYQXPWLUUAWKWLWPWSXGXOVLYFHJMYPSVMVKYFJKLXSXQMYPOQVNVOVPXPJVQUCZUUB
      XTAUCZYAYBVIXPWKUUDYIJWGVKUUCXPWMWPYKBXJUHUUEYMWMWPWSXGXOVRZYOXPXJBXPWMWP
      WSXAXBXLXJBUHYMUUFWMWPWSXGXOVSXAXBXDXFWTXOVTXAXBXDXFWTXOWAWTXGXIXLXNWBABC
      EFGHIJKLMOPQRSTWCWDWEABXJHIJKLMOPQRSWHWFAXSXTJKORWIVBWJ $.

    $( Part of proof of Lemma G of [Crawley] p. 116.  Line 11 of p. 117.  TODO:
       fix comment. $)
    $( Show two lines intersect at an atom.  TODO: fix comment.  (Contributed
       by NM, 15-May-2013.) $)
    cdlemg19 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( ( F e. T /\ G e. T ) /\ P =/= Q /\ ( G ` P ) =/= P )
         /\ ( ( R ` G ) .<_ ( P .\/ Q )
           /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
         = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co cv wceq wrex clat cbs simp11l hllatd
      simp12l simp11 simp21 ltrncoat syl3anc eqid hlatjcl simp13l simp13 simp12
      latmcom cdlemg19a simp22 necomd simp21r simp23 ltrnatneq syl131anc simp31
      hlatjcom breqtrd simp32 3netr3d simp33 eqcom anbi2i rexbii sylnib 3eqtr3d
      syl333anc ) JUBUCZMHUCZUDZBAUCZBMKUEUFZUDZCAUCZCMKUEUFZUDZUGZFEUCZGEUCZUD
      ZBCUHZBGUIZBUHZUGZGDUIZBCIUJZKUEZXBFUIZCGUIZFUIZIUJZXFUHZNUKZMKUEUFZBXMIU
      JZCXMIUJZULZUDZNAUMZUFZUGZUGZBXHIUJZCXJIUJZLUJZYDYCLUJZYCMLUJYDMLUJZYBJUN
      UCYCJUOUIZUCZYDYHUCZYEYFULYBJWHWIWMWPXDYAUPZUQYBWHWKXHAUCZYIYKWKWLWJWPXDY
      AURZYBWJWTWKYLWJWMWPXDYAUSZWQWTXAXCYAUTZYMABEFGHJKMORSTVAVBZAYHIJBXHYHVCZ
      PRVDVBYBWHWNXJAUCZYJYKWNWOWJWMXDYAVEZYBWJWTWNYRYNYOYSACEFGHJKMORSTVAVBZAY
      HIJCXJYQPRVDVBYHJLYCYDYQQVHVBABCDEFGHIJKLMNOPQRSTUAVIYBWJWPWMWTCBUHXICUHZ
      XECBIUJZKUEXJXHIUJZUUBUHXNXPXOULZUDZNAUMZUFYFYGULYNWJWMWPXDYAVFZWJWMWPXDY
      AVGZYOYBBCWQWTXAXCYAVJVKYBWJWSWMWPXCUUAYNWRWSXAXCWQYAVLUUHUUGWQWTXAXCYAVM
      ABCEGHJKMORSTVNVOYBXEXFUUBKWQXDXGXLXTVPYBWHWKWNXFUUBULYKYMYSAIJBCPRVQVBZV
      RYBXKXFUUCUUBWQXDXGXLXTVSYBWHYLYRXKUUCULYKYPYTAIJXHXJPRVQVBUUIVTYBXSUUFWQ
      XDXGXLXTWAXRUUENAXQUUDXNXOXPWBWCWDWEACBDEFGHIJKLMNOPQRSTUAVIWGWF $.

    $( ~ cdlemg19 with ` ( G `` P ) =/= P ` condition removed. $)
    $( Show two lines intersect at an atom.  TODO: fix comment.  (Contributed
       by NM, 23-May-2013.) $)
    cdlemg20 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( F e. T /\ G e. T /\ P =/= Q )
         /\ ( ( R ` G ) .<_ ( P .\/ Q )
           /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
         = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co cv wceq wrex simpl11 simpl12 simpl13
      simpl21 simpl22 simpr cdlemg14g syl123anc simpl23 simpl31 simpl32 simpl33
      simpl1 jca cdlemg19 syl133anc pm2.61dane ) JUBUCMHUCUDZBAUCBMKUEUFUDZCAUC
      CMKUEUFUDZUGZFEUCZGEUCZBCUHZUGZGDUIBCIUJZKUEZBGUIZFUIZCGUIFUIZIUJVSUHZNUK
      ZMKUEUFBWEIUJCWEIUJULUDNAUMUFZUGZUGZBWBIUJMLUJCWCIUJMLUJULZWABWHWABULZUDV
      KVLVMVOVPWJWIVKVLVMVRWGWJUNVKVLVMVRWGWJUOVKVLVMVRWGWJUPVOVPVQVNWGWJUQVOVP
      VQVNWGWJURWHWJUSABCDEFGHIJKLMOPQRSTUAUTVAWHWABUHZUDZVNVOVPUDVQWKVTWDWFWIV
      NVRWGWKVFWLVOVPVOVPVQVNWGWKUQVOVPVQVNWGWKURVGVOVPVQVNWGWKVBWHWKUSVTWDWFVN
      VRWKVCVTWDWFVNVRWKVDVTWDWFVNVRWKVEABCDEFGHIJKLMNOPQRSTUAVHVIVJ $.

    $( Version of cdlemg19 with ` ( R `` F ) .<_ ( P .\/ Q ) ` instead of
       ` ( R `` G ) .<_ ( P .\/ Q ) ` as a condition.  (Contributed by NM,
       23-May-2013.) $)
    cdlemg21 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( ( F e. T /\ G e. T ) /\ P =/= Q /\ ( F ` P ) =/= P )
         /\ ( ( R ` F ) .<_ ( P .\/ Q )
           /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
         = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co cv wceq simp1 simp21r simp21l simp22
      wrex simp23 simp31 simp33 cdlemg17j syl133anc simp11 simp13 simp12 necomd
      ltrnatneq syl131anc simp11l simp12l simp13l hlatjcom syl3anc eqcom anbi2i
      jca breqtrd rexbii sylnib syl333anc oveq12d simp32 eqnetrrd oveq2d oveq1d
      cdlemg19 3eqtr4d ) JUBUCZMHUCZUDZBAUCZBMKUEUFZUDZCAUCZCMKUEUFZUDZUGZFEUCZ
      GEUCZUDZBCUHZBFUIZBUHZUGZFDUIZBCIUJZKUEZBGUIFUIZCGUIFUIZIUJZXFUHZNUKZMKUE
      UFZBXLIUJZCXLIUJZULZUDZNAUQZUFZUGZUGZBXBGUIZIUJZMLUJZCCFUIZGUIZIUJZMLUJZB
      XHIUJZMLUJCXIIUJZMLUJYAWQWSWRUDXAXCXGYBYFIUJZXFUHXSYDYHULWQXDXTUMZYAWSWRW
      RWSXAXCWQXTUNZWRWSXAXCWQXTUOZVPWQWTXAXCXTUPZWQWTXAXCXTURZWQXDXGXKXSUSZYAX
      JYKXFYAXHYBXIYFIYAWQWSWRXAXCXGXSXHYBULYLYMYNYOYPYQWQXDXGXKXSUTZABCDEGFHIJ
      KLMNOPQRSTUAVAVBZYAWJWPWMWSWRCBUHYECUHZXECBIUJZKUEXMXOXNULZUDZNAUQZUFXIYF
      ULWJWMWPXDXTVCZWJWMWPXDXTVDZWJWMWPXDXTVEZYMYNYABCYOVFYAWJWRWMWPXCYTUUEYNU
      UGUUFYPABCEFHJKMORSTVGVHYAXEXFUUAKYQYAWHWKWNXFUUAULWHWIWMWPXDXTVIWKWLWJWP
      XDXTVJWNWOWJWMXDXTVKAIJBCPRVLVMVQYAXRUUDYRXQUUCNAXPUUBXMXNXOVNVOVRVSACBDE
      GFHIJKLMNOPQRSTUAVAVTZWAWQXDXGXKXSWBWCYRABCDEGFHIJKLMNOPQRSTUAWFVBYAYIYCM
      LYAXHYBBIYSWDWEYAYJYGMLYAXIYFCIUUHWDWEWG $.

    $( ~ cdlemg21 with ` ( F `` P ) =/= P ` condition removed.  (Contributed by
       NM, 23-May-2013.) $)
    cdlemg22 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( F e. T /\ G e. T /\ P =/= Q )
         /\ ( ( R ` F ) .<_ ( P .\/ Q )
           /\ ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
         = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv co cv wceq wrex simpl11 simpl12 simpl13
      simpl21 simpl22 simpr cdlemg14f syl123anc simpl23 simpl31 simpl32 simpl33
      simpl1 jca cdlemg21 syl133anc pm2.61dane ) JUBUCMHUCUDZBAUCBMKUEUFUDZCAUC
      CMKUEUFUDZUGZFEUCZGEUCZBCUHZUGZFDUIBCIUJZKUEZBGUIFUIZCGUIFUIZIUJVSUHZNUKZ
      MKUEUFBWDIUJCWDIUJULUDNAUMUFZUGZUGZBWAIUJMLUJCWBIUJMLUJULZBFUIZBWGWIBULZU
      DVKVLVMVOVPWJWHVKVLVMVRWFWJUNVKVLVMVRWFWJUOVKVLVMVRWFWJUPVOVPVQVNWFWJUQVO
      VPVQVNWFWJURWGWJUSABCDEFGHIJKLMOPQRSTUAUTVAWGWIBUHZUDZVNVOVPUDVQWKVTWCWEW
      HVNVRWFWKVFWLVOVPVOVPVQVNWFWKUQVOVPVQVNWFWKURVGVOVPVQVNWFWKVBWGWKUSVTWCWE
      VNVRWKVCVTWCWEVNVRWKVDVTWCWEVNVRWKVEABCDEFGHIJKLMNOPQRSTUAVHVIVJ $.

    $( Combine ~ cdlemg16z and ~ cdlemg22 .  TODO:  Fix comment.  (Contributed
       by NM, 24-May-2013.) $)
    cdlemg24 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
            /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( F e. T /\ G e. T /\ P =/= Q )
         /\ ( ( ( F ` ( G ` P ) ) .\/ ( F ` ( G ` Q ) ) ) =/= ( P .\/ Q )
           /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
  -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
     = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne co cv wceq wrex simpl1 simpl2 simpr simpl3l
      cfv simpl3r cdlemg22 syl113anc cdlemg20 simprl simprr cdlemg16z syl112anc
      pm2.61ddan ) JUBUCMHUCUDBAUCBMKUEUFUDCAUCCMKUEUFUDUGZFEUCGEUCBCUHUGZBGUQF
      UQZCGUQFUQZIUIBCIUIZUHZNUJZMKUEUFBVMIUICVMIUIUKUDNAULUFZUDZUGZFDUQVKKUEZG
      DUQVKKUEZBVIIUIMLUICVJIUIMLUIUKZVPVQUDVGVHVQVLVNVSVGVHVOVQUMVGVHVOVQUNVPV
      QUOVLVNVGVHVQUPVLVNVGVHVQURABCDEFGHIJKLMNOPQRSTUAUSUTVPVRUDVGVHVRVLVNVSVG
      VHVOVRUMVGVHVOVRUNVPVRUOVLVNVGVHVRUPVLVNVGVHVRURABCDEFGHIJKLMNOPQRSTUAVAU
      TVPVQUFZVRUFZUDZUDVGVHVTWAVSVGVHVOWBUMVGVHVOWBUNVPVTWAVBVPVTWAVCABCDEFGHI
      JKLMOPQRSTUAVDVEVF $.

    $( Use ~ cdlemg8 to eliminate the ` =/= ( P .\/ Q ) ` condition of
       ~ cdlemg24 .  (Contributed by NM, 31-May-2013.) $)
    cdlemg37 $p |- ( ( ( K e. HL /\ W e. H )
      /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) /\ F e. T )
      /\ ( G e. T /\ P =/= Q
         /\ -. E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
  -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
     = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a wne cv co wceq wrex simpl1 simpl2 simpl31 simpr
      cfv cdlemg8 syl112anc simpl21 simpl22 simpl23 simpl32 cdlemg24 pm2.61dane
      simpl33 syl332anc ) JUBUCMHUCUDZBAUCBMKUEUFUDZCAUCCMKUEUFUDZFEUCZUGZGEUCZ
      BCUHZNUIZMKUEUFBVOIUJCVOIUJUKUDNAULUFZUGZUGZBBGUQFUQZIUJMLUJCCGUQFUQZIUJM
      LUJUKZVSVTIUJZBCIUJZVRWBWCUKZUDVHVLVMWDWAVHVLVQWDUMVHVLVQWDUNVMVNVPVHVLWD
      UOVRWDUPABCEFGHIJKLMOPQRSTURUSVRWBWCUHZUDVHVIVJVKVMVNWEVPWAVHVLVQWEUMVIVJ
      VKVHVQWEUTVIVJVKVHVQWEVAVIVJVKVHVQWEVBVMVNVPVHVLWEUOVMVNVPVHVLWEVCVRWEUPV
      MVNVPVHVLWEVFABCDEFGHIJKLMNOPQRSTUAVDVGVE $.

    $( ~ cdlemg16zz restated for easier studying.  TODO:  Discard this after
       everything is figured out.  (Contributed by NM, 26-May-2013.) $)
    cdlemg25zz $p |- ( ( ( K e. HL /\ W e. H )
     /\ ( ( P e. A /\ -. P .<_ W ) /\ ( z e. A /\ -. z .<_ W ) /\ F e. T )
     /\ ( G e. T
        /\ -. ( R ` F ) .<_ ( P .\/ z ) /\ -. ( R ` G ) .<_ ( P .\/ z ) ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
       = ( ( z .\/ ( F ` ( G ` z ) ) ) ./\ W ) ) $=
      ( cv cdlemg16zz ) BCAUADEFGHIJKLMNOPQRSTUB $.

    $( ~ cdlemg16zz restated for easier studying.  TODO:  Discard this after
       everything is figured out.  (Contributed by NM, 26-May-2013.) $)
    cdlemg26zz $p |- ( ( ( K e. HL /\ W e. H )
     /\ ( ( Q e. A /\ -. Q .<_ W ) /\ ( z e. A /\ -. z .<_ W ) /\ F e. T )
     /\ ( G e. T
        /\ -. ( R ` F ) .<_ ( Q .\/ z ) /\ -. ( R ` G ) .<_ ( Q .\/ z ) ) )
    -> ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W )
       = ( ( z .\/ ( F ` ( G ` z ) ) ) ./\ W ) ) $=
      ( cdlemg25zz ) ABCDEFGHIJKLMNOPQRSTUA $.

    $( For use with case when ` ( P .\/ v ) ./\ ( Q .\/ ( R `` F ) ) ` or
       ` ( P .\/ v ) ./\ ( Q .\/ ( R `` F ) ) ` is zero, letting us establish
       ` -. z .<_ W /\ z .<_ ( P .\/ v ) ` via ~ 4atex .  TODO:  Fix comment.
       (Contributed by NM, 28-May-2013.) $)
    cdlemg27a $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( v e. A /\ v .<_ W ) )
      /\ ( z e. A /\ F e. T )
      /\ ( v =/= ( R ` F ) /\ z .<_ ( P .\/ v ) /\ ( F ` P ) =/= P ) )
  -> -. ( R ` F ) .<_ ( P .\/ z ) ) $=
      ( chlt wa wbr wn cv w3a cfv wne simp11 simp12 simp31 simp13 simp2r simp33
      wcel co trlat syl112anc trlle syl2anc lhp2atnle syl312anc simp11l simp12l
      simp13l hlatlej1 syl3anc simp32 clat cbs wb hllatd eqid atbase syl simp2l
      hlatjcl latjle12 syl13anc mpbi2and wi lattr mpan2d mtod ) JUAUOZMHUOZUBZD
      CUOZDMKUCUDZUBZBUEZCUOZWKMKUCZUBZUFZAUEZCUOZGFUOZUBZWKGEUGZUHZWPDWKIUPZKU
      CZDGUGDUHZUFZUFZWTDWPIUPZKUCZWTXBKUCZXFWGWJXAWNWTCUOZWTMKUCZXIUDWGWJWNWSX
      EUIZWGWJWNWSXEUJZWOWSXAXCXDUKWGWJWNWSXEULXFWGWJWRXDXJXLXMWOWQWRXEUMZWOWSX
      AXCXDUNCDEFGHJKMNQRSTUQURZXFWGWRXKXLXNEFGHJKMNRSTUSUTCDWKHIJKWTMNOQRVAVBX
      FXHXGXBKUCZXIXFDXBKUCZXCXPXFWEWHWLXQWEWFWJWNWSXEVCZWHWIWGWNWSXEVDZWLWMWGW
      JWSXEVEZCDWKIJKNOQVFVGWOWSXAXCXDVHXFJVIUOZDJVJUGZUOZWPYBUOZXBYBUOZXQXCUBX
      PVKXFJXRVLZXFWHYCXSCYBDJYBVMZQVNVOXFWQYDWOWQWRXEVPZCYBWPJYGQVNVOXFWEWHWLY
      EXRXSXTCYBIJDWKYGOQVQVGZYBIJKDWPXBYGNOVRVSVTXFYAWTYBUOZXGYBUOZYEXHXPUBXIW
      AYFXFXJYJXOCYBWTJYGQVNVOXFWEWHWQYKXRXSYHCYBIJDWPYGOQVQVGYIYBJKWTXGXBYGNWB
      VSWCWD $.

    $( Part of proof of Lemma G of [Crawley] p. 116.  First equality of the
       equation of line 14 on p. 117.  (Contributed by NM, 29-May-2013.) $)
    cdlemg28a $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( v e. A /\ v .<_ W ) )
      /\ ( ( z e. A /\ -. z .<_ W ) /\ F e. T /\ G e. T )
      /\ ( ( v =/= ( R ` F ) /\ v =/= ( R ` G ) )
         /\ z .<_ ( P .\/ v )
         /\ ( ( F ` P ) =/= P /\ ( G ` P ) =/= P ) ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
       = ( ( z .\/ ( F ` ( G ` z ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a cfv wne wceq simp11 simp12 simp21 simp22 simp23
      cv co simp1 simp21l simp31l simp32 simp33l cdlemg27a syl123anc cdlemg25zz
      simp31r simp33r syl133anc ) KUBUCNIUCUDZDCUCDNLUEUFUDZBUPZCUCVKNLUEUDZUGZ
      AUPZCUCZVNNLUEUFZUDZGFUCZHFUCZUGZVKGEUHZUIZVKHEUHZUIZUDZVNDVKJUQLUEZDGUHD
      UIZDHUHZDUIZUDZUGZUGZVIVJVQVRVSWADVNJUQZLUEUFZWCWMLUEUFZDWHGUHJUQNMUQVNVN
      HUHGUHJUQNMUQUJVIVJVLVTWKUKVIVJVLVTWKULVMVQVRVSWKUMVMVQVRVSWKUNZVMVQVRVSW
      KUOZWLVMVOVRWBWFWGWNVMVTWKURZVOVPVRVSVMWKUSZWPWBWDWFWJVMVTUTVMVTWEWFWJVAZ
      WGWIWEWFVMVTVBABCDEFGIJKLMNOPQRSTUAVCVDWLVMVOVSWDWFWIWOWRWSWQWBWDWFWJVMVT
      VFWTWGWIWEWFVMVTVGABCDEFHIJKLMNOPQRSTUAVCVDACDEFGHIJKLMNOPQRSTUAVEVH $.

    cdlemg31.n $e |- N = ( ( P .\/ v ) ./\ ( Q .\/ ( R ` F ) ) ) $.
    $( TODO:  Fix comment.  (Contributed by NM, 30-May-2013.)
       (New usage is discouraged.) $)
    cdlemg31b0N $p |- ( ( ( K e. HL /\ W e. H /\ F e. T )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
       /\ ( ( v e. A /\ v .<_ W ) /\ v =/= ( R ` F )
          /\ ( F ` P ) =/= P ) )
   -> ( N e. A
       \/ N = ( 0. ` K ) ) ) $=
      ( chlt wcel w3a wbr wn wa cfv wne cp0 wceq simp11 simp2ll simp31l simp2rl
      cv co wo simp12 simp2l simp13 simp33 trlat syl112anc simp2r trlle syl2anc
      jca simp31 simp32 necomd lhp2atne syl321anc eqid 2atmat0 syl33anc orbi12i
      eleq1i eqeq1i sylibr ) JUCUDZNHUDZGFUDZUEZCBUDZCNKUFUGZUHZDBUDZDNKUFUGZUH
      ZUHZAUQZBUDZWMNKUFZUHZWMGEUIZUJZCGUICUJZUEZUEZCWMIURZDWQIURZLURZBUDZXDJUK
      UIZULZUSZMBUDZMXFULZUSXAWBWFWNWIWQBUDZXBXCUJXHWBWCWDWLWTUMZWFWGWKWEWTUNZW
      NWOWRWSWEWLUOWIWJWHWEWTUPXAWBWCUHZWHWDWSXKXAWBWCXLWBWCWDWLWTUTVIZWEWHWKWT
      VAWBWCWDWLWTVBZWEWLWPWRWSVCBCEFGHJKNORSTUAVDVEZXAXCXBXAXNWKWFXKWQNKUFZUHW
      PWQWMUJXCXBUJXOWEWHWKWTVFXMXAXKXRXQXAXNWDXRXOXPEFGHJKNOSTUAVGVHVIWEWLWPWR
      WSVJXAWMWQWEWLWPWRWSVKVLBDCWQHIJKWMNOPRSVMVNVLBCWMDWQIJLXFPQXFVORVPVQXIXE
      XJXGMXDBUBVSMXDXFUBVTVRWA $.

    $( TODO:  Fix comment.  (Contributed by NM, 30-May-2013.) $)
    cdlemg31b0a $p |- ( ( ( K e. HL /\ W e. H )
      /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
         /\ ( v e. A /\ v .<_ W ) )
      /\ ( F e. T /\ v =/= ( R ` F ) ) )
   -> ( N e. A \/ N = ( 0. ` K ) ) ) $=
      ( chlt wcel wa wbr wn w3a cfv wne cp0 wceq simp1l simp21l simp23l simp22l
      cv co wo simp1 simp3l eqid trlator0 simp22 trlle jca simp23 simp3r necomd
      syl2anc lhp2at0ne syl321anc 2at0mat0 syl33anc eleq1i eqeq1i orbi12i
      sylibr ) JUCUDZNHUDZUEZCBUDZCNKUFUGZUEZDBUDZDNKUFUGZUEZAUQZBUDZWHNKUFZUEZ
      UHZGFUDZWHGEUIZUJZUEZUHZCWHIURZDWNIURZLURZBUDZWTJUKUIZULZUSZMBUDZMXBULZUS
      WQVSWBWIWEWNBUDWNXBULUSZWRWSUJXDVSVTWLWPUMWBWCWGWKWAWPUNZWIWJWDWGWAWPUOWE
      WFWDWKWAWPUPWQWAWMXGWAWLWPUTZWAWLWMWOVAZBEFGHJNXBXBVBZRSTUAVCVJZWQWSWRWQW
      AWGWBXGWNNKUFZUEWKWNWHUJWSWRUJXIWAWDWGWKWPVDXHWQXGXMXLWQWAWMXMXIXJEFGHJKN
      OSTUAVEVJVFWAWDWGWKWPVGWQWHWNWAWLWMWOVHVIBDCWNHIJKWHNXBOPXKRSVKVLVIBCWHDW
      NIJLXBPQXKRVMVNXEXAXFXCMWTBUBVOMWTXBUBVPVQVR $.

    $( TODO:  Fix comment.  (Contributed by NM, 28-May-2013.) $)
    cdlemg27b $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( z e. A /\ ( v e. A /\ v .<_ W ) /\ ( F e. T /\ z =/= N ) )
      /\ ( v =/= ( R ` F ) /\ z .<_ ( P .\/ v ) /\ ( F ` P ) =/= P ) )
 -> -. ( R ` F ) .<_ ( Q .\/ z ) ) $=
      ( chlt wcel wa wbr wn w3a cv wne cfv cp0 wceq simp11 simp12 simp13 simp22
      co wo simp23l simp31 cdlemg31b0a syl132anc simp23r adantr cal simp11l syl
      wb hlatl simpl21 simpr atcmp syl3anc necon3bbid eqid atnle0 breq2d mtbird
      syl2anc 2thd jaodan mpbird mpdan simp32 clat hllatd simp21 atbase simp12l
      cbs simp22l hlatjcl simp13l simp33 trlat latlem12 syl13anc breq2i bitr4di
      syl112anc biimpd mpand mtod wi trlle simp13r nbrne2 hlatexch1 syl131anc )
      KUDUEZOIUEZUFZDCUEZDOLUGUHZUFZECUEZEOLUGUHZUFZUIZAUJZCUEZBUJZCUEZYDOLUGZU
      FZHGUEZYBNUKZUFZUIZYDHFULZUKZYBDYDJUSZLUGZDHULDUKZUIZUIZYLEYBJUSLUGZYBEYL
      JUSZLUGZYRUUAYBNLUGZYRNCUEZNKUMULZUNZUTZUUBUHZYRXNXQXTYGYHYMUUFXNXQXTYKYQ
      UOZXNXQXTYKYQUPZXNXQXTYKYQUQYAYCYGYJYQURYHYIYCYGYAYQVAZYAYKYMYOYPVBBCDEFG
      HIJKLMNOPQRSTUAUBUCVCVDYRUUFUFUUGYIYRYIUUFYHYIYCYGYAYQVEZVFYRUUCUUGYIVJUU
      EYRUUCUFZUUBYBNUULKVGUEZYCUUCUUBYBNUNVJUULXLUUMYRXLUUCXLXMXQXTYKYQVHZVFKV
      KZVIYCYGYJYAYQUUCVLYRUUCVMCYBNKLPSVNVOVPYRUUEUFZUUGYIUUPUUBYBUUDLUGZUUPUU
      MYCUUQUHUUPXLUUMYRXLUUEUUNVFUUOVIYCYGYJYAYQUUEVLCYBKLUUDPUUDVQSVRWAUUPNUU
      DYBLYRUUEVMVSVTYRYIUUEUUKVFWBWCWDWEYRYOUUAUUBYAYKYMYOYPWFYRYOUUAUFZUUBYRU
      URYBYNYTMUSZLUGZUUBYRKWGUEYBKWLULZUEZYNUVAUEZYTUVAUEZUURUUTVJYRKUUNWHYRYC
      UVBYAYCYGYJYQWIZCUVAYBKUVAVQZSWJVIYRXLXOYEUVCUUNXOXPXNXTYKYQWKYEYFYCYJYAY
      QWMCUVAJKDYDUVFQSWNVOYRXLXRYLCUEZUVDUUNXRXSXNXQYKYQWOZYRXNXQYHYPUVGUUHUUI
      UUJYAYKYMYOYPWPCDFGHIKLOPSTUAUBWQXBZCUVAJKEYLUVFQSWNVOUVAKLMYBYNYTUVFPRWR
      WSNUUSYBLUCWTXAXCXDXEYRXLUVGYCXRYLEUKZYSUUAXFUUNUVIUVEUVHYRYLOLUGZXSUVJYR
      XNYHUVKUUHUUJFGHIKLOPTUAUBXGWAXRXSXNXQYKYQXHYLEOLXIWACYLYBEJKLPQSXJXKXE
      $.

    $( TODO: fix comment.  (Contributed by NM, 29-May-2013.) $)
    cdlemg31a $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ Q e. A )
        /\ ( v e. A /\ F e. T ) )
         -> N .<_ ( P .\/ v ) ) $=
      ( chlt wcel wa cv w3a co cfv clat cbs simp1l hllatd simp2l simp3l hlatjcl
      wbr eqid syl3anc simp2r atbase simp1 simp3r trlcl syl2anc latjcl eqbrtrid
      syl latmle1 ) JUCUDZNHUDZUEZCBUDZDBUDZUEZAUFZBUDZGFUDZUEZUGZMCVPIUHZDGEUI
      ZIUHZLUHZWAKUBVTJUJUDZWAJUKUIZUDZWCWFUDZWDWAKUQVTJVJVKVOVSULZUMZVTVJVMVQW
      GWIVLVMVNVSUNVLVOVQVRUOBWFIJCVPWFURZPRUPUSVTWEDWFUDZWBWFUDZWHWJVTVNWLVLVM
      VNVSUTBWFDJWKRVAVHVTVLVRWMVLVOVSVBVLVOVQVRVCWFEFGHJNWKSTUAVDVEWFIJDWBWKPV
      FUSWFJKLWAWCWKOQVIUSVG $.

    $( TODO: fix comment.  (Contributed by NM, 29-May-2013.) $)
    cdlemg31b $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ Q e. A )
        /\ ( v e. A /\ F e. T ) )
         -> N .<_ ( Q .\/ ( R ` F ) ) ) $=
      ( chlt wcel wa cv w3a co cfv clat cbs simp1l hllatd simp2l simp3l hlatjcl
      wbr eqid syl3anc simp2r atbase simp1 simp3r trlcl syl2anc latjcl eqbrtrid
      syl latmle2 ) JUCUDZNHUDZUEZCBUDZDBUDZUEZAUFZBUDZGFUDZUEZUGZMCVPIUHZDGEUI
      ZIUHZLUHZWCKUBVTJUJUDZWAJUKUIZUDZWCWFUDZWDWCKUQVTJVJVKVOVSULZUMZVTVJVMVQW
      GWIVLVMVNVSUNVLVOVQVRUOBWFIJCVPWFURZPRUPUSVTWEDWFUDZWBWFUDZWHWJVTVNWLVLVM
      VNVSUTBWFDJWKRVAVHVTVLVRWMVLVOVSVBVLVOVQVRVCWFEFGHJNWKSTUAVDVEWFIJDWBWKPV
      FUSWFJKLWAWCWKOQVIUSVG $.

    $( Show that when ` N ` is an atom, it is not under ` W ` .  TODO:  Is
       there a shorter direct proof?  TODO: should we eliminate
       ` ( F `` P ) =/= P ` here?  (Contributed by NM, 29-May-2013.) $)
    cdlemg31c $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( v e. A /\ v .<_ W ) /\ F e. T )
      /\ ( v =/= ( R ` F ) /\ ( F ` P ) =/= P /\ N e. A ) )
         -> -. N .<_ W ) $=
      ( chlt wcel wa wbr wn w3a cv cfv wne co simp11l simp11r jca simp13 simp31
      necomd simp12 simp2r simp32 trlat syl112anc syl2anc simp2l lhp2atnle wceq
      trlle syl321anc simp12l simp13l simp2ll cdlemg31a syl222anc simp111 simp3
      adantr simp112 simp133 simp2 syl312anc 3expia necon4ad cdlemg31b eqbrtrrd
      mpd mtand ) JUCUDZNHUDZUEZCBUDZCNKUFUGZUEZDBUDZDNKUFUGZUEZUHZAUIZBUDZWRNK
      UFZUEZGFUDZUEZWRGEUJZUKZCGUJCUKZMBUDZUHZUHZMNKUFZWRDXDIULZKUFZXIWJWPXDWRU
      KXDBUDZXDNKUFZXAXLUGXIWHWIWHWIWMWPXCXHUMZWHWIWMWPXCXHUNZUOZWJWMWPXCXHUPXI
      WRXDWQXCXEXFXGUQURXIWJWMXBXFXMXQWJWMWPXCXHUSWQXAXBXHUTZWQXCXEXFXGVABCEFGH
      JKNORSTUAVBVCXIWJXBXNXQXREFGHJKNOSTUAVHVDWQXAXBXHVEBDXDHIJKWRNOPRSVFVIXIX
      JUEZMWRXKKXSMCWRIULKUFZMWRVGXIXTXJXIWHWIWKWNWSXBXTXOXPWKWLWJWPXCXHVJZWNWO
      WJWMXCXHVKZWSWTXBWQXHVLZXRABCDEFGHIJKLMNOPQRSTUAUBVMVNVQXSXTMWRXIXJMWRUKZ
      XTUGZXIXJYDUHZWJWMWRMUKXAXGXJYEWJWMWPXCXHXJYDVOWJWMWPXCXHXJYDVRYFMWRXIXJY
      DVPURXAXBWQXHXJYDVJXEXFXGWQXCXJYDVSXIXJYDVTBCWRHIJKMNOPRSVFWAWBWCWFXIMXKK
      UFZXJXIWHWIWKWNWSXBYGXOXPYAYBYCXRABCDEFGHIJKLMNOPQRSTUAUBWDVNVQWEWG $.

    $( Eliminate ` ( F `` P ) =/= P ` from ~ cdlemg31c .  TODO:  Prove
       directly.  TODO: do we need to eliminate ` ( F `` P ) =/= P ` ?  It
       might be better to do this all at once at the end.  See also ~ cdlemg29
       versus ~ cdlemg28 .  (Contributed by NM, 29-May-2013.) $)
    cdlemg31d $p |- ( ( ( K e. HL /\ W e. H )
      /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
         /\ ( v e. A /\ v .<_ W ) )
      /\ ( F e. T /\ v =/= ( R ` F ) /\ N e. A ) )
         -> -. N .<_ W ) $=
      ( chlt wcel wa wbr w3a cfv wne wceq simp22r adantr simpl1 simp21l simp22l
      wn cv co simp23l simpl31 cdlemg31b syl122anc simpl21 simpr eqid syl112anc
      cp0 trl0 oveq2d col cbs simp1l syl atbase olj01 syl2anc eqtrd breqtrd cal
      hlol wb hlatl simpl33 atcmp syl3anc breq1d mtbird simpl22 simpl23 simpl32
      mpbid cdlemg31c syl323anc pm2.61dane ) JUCUDZNHUDZUEZCBUDZCNKUFUPZUEZDBUD
      ZDNKUFZUPZUEZAUQZBUDZXENKUFZUEZUGZGFUDZXEGEUHZUIZMBUDZUGZUGZMNKUFZUPZCGUH
      ZCXOXRCUJZUEZXPXBXOXCXSXAXCWTXHWQXNUKULXTMDNKXTMDKUFZMDUJZXTMDXKIURZDKXTW
      QWRXAXFXJMYCKUFWQXIXNXSUMZXOWRXSWRWSXDXHWQXNUNULXOXAXSXAXCWTXHWQXNUOULZXO
      XFXSXFXGWTXDWQXNUSULXJXLXMWQXIXSUTZABCDEFGHIJKLMNOPQRSTUAUBVAVBXTYCDJVGUH
      ZIURZDXTXKYGDIXTWQWTXJXSXKYGUJYDWTXDXHWQXNXSVCYFXOXSVDBCEFGHJKNYGOYGVEZRS
      TUAVHVFVIXTJVJUDZDJVKUHZUDZYHDUJXOYJXSXOWOYJWOWPXIXNVLZJVTVMULXTXAYLYEBYK
      DJYKVEZRVNVMYKIJDYGYNPYIVOVPVQVRXTJVSUDZXMXAYAYBWAXOYOXSXOWOYOYMJWBVMULXJ
      XLXMWQXIXSWCYEBMDJKORWDWEWKWFWGXOXRCUIZUEWQWTXDXHXJXLYPXMXQWQXIXNYPUMWTXD
      XHWQXNYPVCWTXDXHWQXNYPWHWTXDXHWQXNYPWIXJXLXMWQXIYPUTXJXLXMWQXIYPWJXOYPVDX
      JXLXMWQXIYPWCABCDEFGHIJKLMNOPQRSTUAUBWLWMWN $.

    $d z A $.  $d z F $.  $d r z H $.  $d z .\/ $.  $d r z K $.  $d z .<_ $.
    $d r z N $.  $d z P $.  $d z Q $.  $d z R $.  $d z T $.  $d z W $.
    $d v z r $.
    $( TODO:  Fix comment.  (Contributed by NM, 30-May-2013.) $)
    cdlemg33b0 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( v e. A /\ v .<_ W ) /\ N e. A /\ F e. T )
      /\ ( P =/= Q /\ v =/= ( R ` F )
         /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
             -> E. z e. A ( -. z .<_ W
                /\ ( z =/= N
                /\ z .<_ ( P .\/ v ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a cv wne co wceq wrex simp11 simp12 simp13 simp22
      cfv simp21l simp23 simp32 cdlemg31d syl133anc simp31 nbrne2 necomd simp33
      simp21r jca syl2anc 4atex3 df-3an a1i simp12l simp13l cdlemg31a syl122anc
      wi simpl simp11l hlatlej2 syl3anc clat cbs hllatd eqid atbase syl hlatjcl
      wb latjle12 syl13anc mpbi2and adantr adantl lattr mpan2d anim12d reximdva
      syl5bi anim2d mpd ) KUEUFZOIUFZUGZDCUFZDOLUHUIZUGZECUFZEOLUHUIZUGZUJZBUKZ
      CUFZXOOLUHZUGZNCUFZHGUFZUJZDEULZXOHFUTULZPUKZOLUHUIDYDJUMEYDJUMUNUGPCUOZU
      JZUJZAUKZOLUHUIZYHNULZYHXOULZYHNXOJUMZLUHZUJZUGZACUOZYIYJYHDXOJUMZLUHZUGZ
      UGZACUOYGXGXJXMXSNOLUHUIZUGYBXPNXOULZUGYEYPXGXJXMYAYFUPZXGXJXMYAYFUQZXGXJ
      XMYAYFURZYGXSUUAXNXRXSXTYFUSZYGXGXJXMXRXTYCXSUUAUUCUUDUUEYGXPXQXPXQXSXTXN
      YFVAZXPXQXSXTXNYFVJZVKXNXRXSXTYFVBZXNYAYBYCYEVCUUFBCDEFGHIJKLMNOQRSTUAUBU
      CUDVDVEZVKXNYAYBYCYEVFYGXPUUBUUGYGXQUUAUUBUUHUUJXQUUAUGXONXONOLVGVHVLVKXN
      YAYBYCYEVIACDENXOIJKLOPQRTUAVMVEYGYOYTACYGYHCUFZUGZYNYSYIYNYJYKUGZYMUGUUL
      YSYJYKYMVNUULUUMYJYMYRUUMYJVTUULYJYKWAVOUULYMYLYQLUHZYRYGUUNUUKYGNYQLUHZX
      OYQLUHZUUNYGXGXHXKXPXTUUOUUCXHXIXGXMYAYFVPZXKXLXGXJYAYFVQUUGUUIBCDEFGHIJK
      LMNOQRSTUAUBUCUDVRVSYGXEXHXPUUPXEXFXJXMYAYFWBZUUQUUGCDXOJKLQRTWCWDYGKWEUF
      ZNKWFUTZUFZXOUUTUFZYQUUTUFZUUOUUPUGUUNWLYGKUURWGZYGXSUVAUUFCUUTNKUUTWHZTW
      IWJYGXPUVBUUGCUUTXOKUVETWIWJYGXEXHXPUVCUURUUQUUGCUUTJKDXOUVERTWKWDZUUTJKL
      NXOYQUVEQRWMWNWOWPUULUUSYHUUTUFZYLUUTUFZUVCYMUUNUGYRVTYGUUSUUKUVDWPUUKUVG
      YGCUUTYHKUVETWIWQYGUVHUUKYGXEXSXPUVHUURUUFUUGCUUTJKNXOUVERTWKWDWPYGUVCUUK
      UVFWPUUTKLYHYLYQUVEQWRWNWSWTXBXCXAXD $.

    $( TODO:  Fix comment.  (Contributed by NM, 30-May-2013.) $)
    cdlemg33c0 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( v e. A /\ v .<_ W ) /\ F e. T )
      /\ ( P =/= Q /\ v =/= ( R ` F )
         /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
             -> E. z e. A ( -. z .<_ W
                /\ z .<_ ( P .\/ v ) ) ) $=
      ( chlt wcel wa wbr wn w3a wne cfv wceq wrex simp11l simp11r simp12 simp13
      cv simp31 simp2ll simp2lr simp12r nbrne2 necomd syl2anc jca simp33 4atex3
      co syl233anc simp3 anim2i reximi syl ) KUEUFZOIUFZUGZDCUFZDOLUHUIZUGZECUF
      EOLUHUIUGZUJZBUSZCUFZWDOLUHZUGHGUFZUGZDEUKZWDHFULUKZPUSZOLUHUIDWKJVJEWKJV
      JUMUGPCUNZUJZUJZAUSZOLUHUIZWODUKZWOWDUKZWODWDJVJLUHZUJZUGZACUNZWPWSUGZACU
      NWNVPVQWAWBWAWIWEDWDUKZUGWLXBVPVQWAWBWHWMUOVPVQWAWBWHWMUPVRWAWBWHWMUQZVRW
      AWBWHWMURXEWCWHWIWJWLUTWNWEXDWEWFWGWCWMVAWNWFVTXDWEWFWGWCWMVBVSVTVRWBWHWM
      VCWFVTUGWDDWDDOLVDVEVFVGWCWHWIWJWLVHACDEDWDIJKLOPQRTUAVIVKXAXCACWTWSWPWQW
      RWSVLVMVNVO $.

    $d z G $.  $d z r O $.
    cdlemg33.o $e |- O = ( ( P .\/ v ) ./\ ( Q .\/ ( R ` G ) ) ) $.
    $( Part of proof of Lemma G of [Crawley] p. 116.  Second equality of the
       equation of line 14 on p. 117.  Note that ` -. z .<_ W ` is redundant
       here (but simplifies ~ cdlemg28 .)  (Contributed by NM, 29-May-2013.) $)
    cdlemg28b $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( v e. A /\ v .<_ W ) /\ ( z e. A /\ -. z .<_ W )
              /\ ( F e. T /\ G e. T ) )
      /\ ( ( z =/= N /\ z =/= O /\ z .<_ ( P .\/ v ) )
             /\ ( v =/= ( R ` F ) /\ v =/= ( R ` G ) )
         /\ ( ( F ` P ) =/= P /\ ( G ` P ) =/= P ) ) )
    -> ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W )
       = ( ( z .\/ ( F ` ( G ` z ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a cv wne co cfv wceq simp11 simp13 simp22 simp23l
      simp23r simp1 simp22l simp311 simp32l simp313 simp33l cdlemg27b syl133anc
      simp21 jca simp312 simp32r simp33r cdlemg26zz ) LUGUHQJUHUIZDCUHDQMUJUKUI
      ZECUHEQMUJUKUIZULZBUMZCUHWAQMUJUIZAUMZCUHZWCQMUJUKZUIZHGUHZIGUHZUIZULZWCO
      UNZWCPUNZWCDWAKUOMUJZULZWAHFUPZUNZWAIFUPZUNZUIZDHUPDUNZDIUPDUNZUIZULZULZV
      QVSWFWGWHWOEWCKUOZMUJUKZWQXEMUJUKZEEIUPHUPKUOQNUOWCWCIUPHUPKUOQNUOUQVQVRV
      SWJXCURVQVRVSWJXCUSVTWBWFWIXCUTWGWHWBWFVTXCVAZWGWHWBWFVTXCVBZXDVTWDWBWGWK
      UIWPWMWTXFVTWJXCVCZWDWEWBWIVTXCVDZVTWBWFWIXCVKZXDWGWKXHWKWLWMWSXBVTWJVEVL
      WPWRWNXBVTWJVFWKWLWMWSXBVTWJVGZWTXAWNWSVTWJVHABCDEFGHJKLMNOQRSTUAUBUCUDUE
      VIVJXDVTWDWBWHWLUIWRWMXAXGXJXKXLXDWHWLXIWKWLWMWSXBVTWJVMVLWPWRWNXBVTWJVNX
      MWTXAWNWSVTWJVOABCDEFGIJKLMNPQRSTUAUBUCUDUFVIVJACEFGHIJKLMNQRSTUAUBUCUDVP
      VJ $.

    $( Part of proof of Lemma G of [Crawley] p. 116.  Chain the equalities of
       line 14 on p. 117.  TODO: rearrange hypotheses in the order of
       ~ cdlemg29 (and maybe leading up to this too)?  (Contributed by NM,
       29-May-2013.) $)
    cdlemg28 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( v e. A /\ v .<_ W ) /\ ( z e. A /\ -. z .<_ W )
              /\ ( F e. T /\ G e. T ) )
      /\ ( ( z =/= N /\ z =/= O /\ z .<_ ( P .\/ v ) )
             /\ ( v =/= ( R ` F ) /\ v =/= ( R ` G ) )
         /\ ( ( F ` P ) =/= P /\ ( G ` P ) =/= P ) ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
       = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a cv wne co cfv wceq simp11 simp12 simp21 simp23l
      simp22 simp23r simp32 simp313 simp33 cdlemg28a syl333anc cdlemg28b eqtr4d
      ) LUGUHQJUHUIZDCUHDQMUJUKUIZECUHEQMUJUKUIZULZBUMZCUHVOQMUJUIZAUMZCUHVQQMU
      JUKUIZHGUHZIGUHZUIZULZVQOUNZVQPUNZVQDVOKUOMUJZULZVOHFUPUNVOIFUPUNUIZDHUPD
      UNDIUPZDUNUIZULZULZDWHHUPKUOQNUOZVQVQIUPHUPKUOQNUOZEEIUPHUPKUOQNUOWKVKVLV
      PVRVSVTWGWEWIWLWMUQVKVLVMWBWJURVKVLVMWBWJUSVNVPVRWAWJUTVNVPVRWAWJVBVSVTVP
      VRVNWJVAVSVTVPVRVNWJVCVNWBWFWGWIVDWCWDWEWGWIVNWBVEVNWBWFWGWIVFABCDFGHIJKL
      MNQRSTUAUBUCUDVGVHABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFVIVJ $.

    $( Eliminate ` ( F `` P ) =/= P ` and ` ( G `` P ) =/= P ` from
       ~ cdlemg28 .  TODO: would it be better to do this later?  (Contributed
       by NM, 29-May-2013.) $)
    cdlemg29 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( v e. A /\ v .<_ W ) /\ ( z e. A /\ -. z .<_ W )
              /\ ( F e. T /\ G e. T ) )
      /\ ( ( z =/= N /\ z =/= O ) /\ z .<_ ( P .\/ v )
                 /\ ( v =/= ( R ` F ) /\ v =/= ( R ` G ) ) ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
       = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a cv wne cfv wceq simpl11 simpl12 simpl13 simp23l
      adantr simp23r simpr cdlemg14f syl123anc cdlemg14g simpl1 simp31l simp31r
      co simpl2 simpl32 3jca simpl33 cdlemg28 syl113anc pm2.61da2ne ) LUGUHQJUH
      UIZDCUHDQMUJUKUIZECUHEQMUJUKUIZULZBUMZCUHWBQMUJUIZAUMZCUHWDQMUJUKUIZHGUHZ
      IGUHZUIULZWDOUNZWDPUNZUIZWDDWBKVJMUJZWBHFUOUNWBIFUOUNUIZULZULZDDIUOZHUOKV
      JQNVJEEIUOHUOKVJQNVJUPZDHUOZDWPDWOWRDUPZUIVRVSVTWFWGWSWQVRVSVTWHWNWSUQVRV
      SVTWHWNWSURVRVSVTWHWNWSUSWOWFWSWFWGWCWEWAWNUTZVAWOWGWSWFWGWCWEWAWNVBZVAWO
      WSVCCDEFGHIJKLMNQRSTUAUBUCUDVDVEWOWPDUPZUIVRVSVTWFWGXBWQVRVSVTWHWNXBUQVRV
      SVTWHWNXBURVRVSVTWHWNXBUSWOWFXBWTVAWOWGXBXAVAWOXBVCCDEFGHIJKLMNQRSTUAUBUC
      UDVFVEWOWRDUNWPDUNUIZUIZWAWHWIWJWLULWMXCWQWAWHWNXCVGWAWHWNXCVKXDWIWJWLWOW
      IXCWIWJWLWMWAWHVHVAWOWJXCWIWJWLWMWAWHVIVAWKWLWMWAWHXCVLVMWKWLWMWAWHXCVNWO
      XCVCABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFVOVPVQ $.

    $( TODO:  Fix comment.  (Contributed by NM, 29-May-2013.) $)
    cdlemg33a $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( v e. A /\ v .<_ W ) /\ ( N e. A /\ O e. A )
              /\ ( F e. T /\ G e. T ) )
      /\ ( ( P =/= Q /\ N =/= O )
           /\ v =/= ( R ` F )
         /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
             -> E. z e. A ( -. z .<_ W
                /\ ( z =/= N
                /\ z =/= O
                /\ z .<_ ( P .\/ v ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a cv wne cfv co wceq simp11 simp12 simp13 simp22l
      wrex simp21 simp23l simp32 cdlemg31d syl133anc jca simp31l simp22r simp33
      simp31r 4atex3 idd simp12l simp13l simp21l cdlemg31a syl122anc simp23r wi
      clat cbs simp11l hllatd eqid atbase syl hlatjcl syl3anc latjlej12 latjidm
      mp2and syl2anc breqtrd adantr adantl syl13anc mpan2d 3anim123d anim2d mpd
      lattr reximdva ) LUHUIZQJUIZUJZDCUIZDQMUKULZUJZECUIZEQMUKULZUJZUMZBUNZCUI
      ZXPQMUKZUJZOCUIZPCUIZUJZHGUIZIGUIZUJZUMZDEUOZOPUOZUJZXPHFUPUOZRUNZQMUKULD
      YKKUQEYKKUQURUJRCVCZUMZUMZAUNZQMUKULZYOOUOZYOPUOZYOOPKUQZMUKZUMZUJZACVCZY
      PYQYRYODXPKUQZMUKZUMZUJZACVCYNXHXKXNXTOQMUKULZUJYGYAYHUJYLUUCXHXKXNYFYMUS
      ZXHXKXNYFYMUTZXHXKXNYFYMVAZYNXTUUHXTYAXSYEXOYMVBZYNXHXKXNXSYCYJXTUUHUUIUU
      JUUKXOXSYBYEYMVDYCYDXSYBXOYMVEZXOYFYIYJYLVFUULBCDEFGHJKLMNOQSTUAUBUCUDUEU
      FVGVHVIYGYHYJYLXOYFVJYNYAYHXTYAXSYEXOYMVKZYGYHYJYLXOYFVMVIXOYFYIYJYLVLACD
      EOPJKLMQRSTUBUCVNVHYNUUBUUGACYNYOCUIZUJZUUAUUFYPUUPYQYQYRYRYTUUEUUPYQVOUU
      PYRVOUUPYTYSUUDMUKZUUEYNUUQUUOYNYSUUDUUDKUQZUUDMYNOUUDMUKZPUUDMUKZYSUURMU
      KZYNXHXIXLXQYCUUSUUIXIXJXHXNYFYMVPZXLXMXHXKYFYMVQZXQXRYBYEXOYMVRZUUMBCDEF
      GHJKLMNOQSTUAUBUCUDUEUFVSVTYNXHXIXLXQYDUUTUUIUVBUVCUVDYCYDXSYBXOYMWABCDEF
      GIJKLMNPQSTUAUBUCUDUEUGVSVTYNLWCUIZOLWDUPZUIZUUDUVFUIZPUVFUIZUVHUUSUUTUJU
      VAWBYNLXFXGXKXNYFYMWEZWFZYNXTUVGUULCUVFOLUVFWGZUBWHWIYNXFXIXQUVHUVJUVBUVD
      CUVFKLDXPUVLTUBWJWKZYNYAUVIUUNCUVFPLUVLUBWHWIUVMUVFKLMUUDOUUDPUVLSTWLVTWN
      YNUVEUVHUURUUDURUVKUVMUVFKLUUDUVLTWMWOWPWQUUPUVEYOUVFUIZYSUVFUIZUVHYTUUQU
      JUUEWBYNUVEUUOUVKWQUUOUVNYNCUVFYOLUVLUBWHWRYNUVOUUOYNXFXTYAUVOUVJUULUUNCU
      VFKLOPUVLTUBWJWKWQYNUVHUUOUVMWQUVFLMYOYSUUDUVLSXDWSWTXAXBXEXC $.

    $( TODO:  Fix comment.  (Contributed by NM, 30-May-2013.) $)
    cdlemg33b $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( v e. A /\ v .<_ W ) /\ ( N e. A /\ O e. A )
              /\ ( F e. T /\ G e. T ) )
      /\ ( P =/= Q /\ v =/= ( R ` F )
         /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
             -> E. z e. A ( -. z .<_ W
                /\ ( z =/= N
                /\ z =/= O
                /\ z .<_ ( P .\/ v ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a cv wne co wceq wrex df-3an neeq2 anbi2d bitr3di
      cfv anidm anbi1d syl5bb rexbidv simpl1 simpl2 simpl31 jca simpl32 simpl33
      simpr cdlemg33a syl113anc simp21 simp22l simp23l 3jca cdlemg33b0 syld3an2
      pm2.61ne ) LUHUIQJUIUJDCUIDQMUKULUJECUIEQMUKULUJUMZBUNZCUIWEQMUKUJZOCUIZP
      CUIZUJZHGUIZIGUIZUJZUMZDEUOZWEHFVCUOZRUNZQMUKULDWPKUPEWPKUPUQUJRCURZUMZUM
      ZAUNZQMUKULZWTOUOZWTPUOZWTDWEKUPMUKZUMZUJZACURZXAXBXDUJZUJZACURZOPOPUQZXF
      XIACXKXEXHXAXEXBXCUJZXDUJXKXHXBXCXDUSXKXLXBXDXKXBXBUJXLXBXKXBXCXBOPWTUTVA
      XBVDVBVEVFVAVGWSOPUOZUJZWDWMWNXMUJWOWQXGWDWMWRXMVHWDWMWRXMVIXNWNXMWNWOWQW
      DWMXMVJWSXMVNVKWNWOWQWDWMXMVLWNWOWQWDWMXMVMABCDEFGHIJKLMNOPQRSTUAUBUCUDUE
      UFUGVOVPWDWFWGWJUMWMWRXJWSWFWGWJWDWFWIWLWRVQWGWHWFWLWDWRVRWJWKWFWIWDWRVSV
      TABCDEFGHJKLMNOQRSTUAUBUCUDUEUFWAWBWC $.

    $( TODO:  Fix comment.  (Contributed by NM, 30-May-2013.) $)
    cdlemg33c $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( v e. A /\ v .<_ W ) /\ ( N e. A /\ O = ( 0. ` K ) )
              /\ ( F e. T /\ G e. T ) )
      /\ ( P =/= Q /\ v =/= ( R ` F )
         /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
             -> E. z e. A ( -. z .<_ W
                /\ ( z =/= N
                /\ z =/= O
                /\ z .<_ ( P .\/ v ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a cv cp0 cfv wceq wne wrex simp21 simp22l simp23l
      co simp1 simp3 cdlemg33b0 syl131anc cal simp11l adantr hlatl syl sylancom
      eqid atn0 simp22r neeqtrrd biantrud anbi1d df-3an bitr4di anbi2d rexbidva
      mpbid ) LUHUIZQJUIZUJDCUIDQMUKULUJZECUIEQMUKULUJZUMZBUNZCUIWJQMUKUJZOCUIZ
      PLUOUPZUQZUJZHGUIZIGUIZUJZUMZDEURWJHFUPURRUNZQMUKULDWTKVCEWTKVCUQUJRCUSUM
      ZUMZAUNZQMUKULZXCOURZXCDWJKVCMUKZUJZUJZACUSZXDXEXCPURZXFUMZUJZACUSXBWIWKW
      LWPXAXIWIWSXAVDWIWKWOWRXAUTWLWNWKWRWIXAVAWPWQWKWOWIXAVBWIWSXAVEABCDEFGHJK
      LMNOQRSTUAUBUCUDUEUFVFVGXBXHXLACXBXCCUIZUJZXGXKXDXNXGXEXJUJZXFUJXKXNXEXOX
      FXNXJXEXNXCWMPXBXMLVHUIZXCWMURXNWEXPXBWEXMWEWFWGWHWSXAVIVJLVKVLCXCLWMWMVN
      UBVOVMXBWNXMWLWNWKWRWIXAVPVJVQVRVSXEXJXFVTWAWBWCWD $.

    $( TODO:  Fix comment.  (Contributed by NM, 30-May-2013.) $)
    cdlemg33d $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( v e. A /\ v .<_ W ) /\ ( N = ( 0. ` K ) /\ O e. A )
              /\ ( F e. T /\ G e. T ) )
      /\ ( P =/= Q /\ v =/= ( R ` G )
         /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
             -> E. z e. A ( -. z .<_ W
                /\ ( z =/= N
                /\ z =/= O
                /\ z .<_ ( P .\/ v ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a cv cp0 cfv wceq wne wrex simp21 simp22r simp22l
      simp1 jca simp23r simp23l simp3 cdlemg33c syl131anc 3ancoma anbi2i rexbii
      co sylib ) LUHUIQJUIUJDCUIDQMUKULUJECUIEQMUKULUJUMZBUNZCUIVPQMUKUJZOLUOUP
      UQZPCUIZUJZHGUIZIGUIZUJZUMZDEURVPIFUPURRUNZQMUKULDWEKVMEWEKVMUQUJRCUSUMZU
      MZAUNZQMUKULZWHPURZWHOURZWHDVPKVMMUKZUMZUJZACUSZWIWKWJWLUMZUJZACUSWGVOVQV
      SVRUJWBWAUJWFWOVOWDWFVCVOVQVTWCWFUTWGVSVRVRVSVQWCVOWFVAVRVSVQWCVOWFVBVDWG
      WBWAWAWBVQVTVOWFVEWAWBVQVTVOWFVFVDVOWDWFVGABCDEFGIHJKLMNPOQRSTUAUBUCUDUEU
      GUFVHVIWNWQACWMWPWIWJWKWLVJVKVLVN $.

    $( TODO:  Fix comment.  (Contributed by NM, 30-May-2013.) $)
    cdlemg33e $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( v e. A /\ v .<_ W ) /\ ( N = ( 0. ` K ) /\ O = ( 0. ` K ) )
              /\ ( F e. T /\ G e. T ) )
      /\ ( P =/= Q /\ v =/= ( R ` F )
         /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
             -> E. z e. A ( -. z .<_ W
                /\ ( z =/= N
                /\ z =/= O
                /\ z .<_ ( P .\/ v ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a cv cp0 cfv wceq wne co wrex simp1 simp23l simp3
      simp21 cdlemg33c0 syl121anc cal simp11l hlatl syl eqid atn0 sylan simp22l
      adantr neeqtrrd simp22r biantrurd df-3an bitr4di anbi2d rexbidva mpbid
      jca ) LUHUIZQJUIZUJDCUIDQMUKULUJZECUIEQMUKULUJZUMZBUNZCUIWJQMUKUJZOLUOUPZ
      UQZPWLUQZUJZHGUIZIGUIZUJZUMZDEURWJHFUPURRUNZQMUKULDWTKUSEWTKUSUQUJRCUTUMZ
      UMZAUNZQMUKULZXCDWJKUSMUKZUJZACUTZXDXCOURZXCPURZXEUMZUJZACUTXBWIWKWPXAXGW
      IWSXAVAWIWKWOWRXAVDWPWQWKWOWIXAVBWIWSXAVCABCDEFGHJKLMNOQRSTUAUBUCUDUEUFVE
      VFXBXFXKACXBXCCUIZUJZXEXJXDXMXEXHXIUJZXEUJXJXMXNXEXMXHXIXMXCWLOXBLVGUIZXL
      XCWLURXBWEXOWEWFWGWHWSXAVHLVIVJCXCLWLWLVKUBVLVMZXBWMXLWMWNWKWRWIXAVNVOVPX
      MXCWLPXPXBWNXLWMWNWKWRWIXAVQVOVPWDVRXHXIXEVSVTWAWBWC $.

    $( Combine ~ cdlemg33b , ~ cdlemg33c , ~ cdlemg33d , ~ cdlemg33e .  TODO:
       Fix comment.  (Contributed by NM, 30-May-2013.) $)
    cdlemg33 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( v e. A /\ v .<_ W ) /\ ( F e. T /\ G e. T )
         /\ P =/= Q )
      /\ ( v =/= ( R ` F ) /\ v =/= ( R ` G )
         /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
             -> E. z e. A ( -. z .<_ W
                /\ ( z =/= N
                /\ z =/= O
                /\ z .<_ ( P .\/ v ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a cv wne cfv co wceq wrex wo simp11 simp12 simp13
      simp21 simp22l simp31 cdlemg31b0a syl132anc simp22r simp32 simpl1 simpl21
      cp0 simpl22 simpl23 simpl31 simpl33 cdlemg33b syl133anc simpl32 cdlemg33d
      simpr ex cdlemg33c cdlemg33e ccased mp2and ) LUHUIQJUIUJZDCUIDQMUKULUJZEC
      UIEQMUKULUJZUMZBUNZCUIWLQMUKUJZHGUIZIGUIZUJZDEUOZUMZWLHFUPUOZWLIFUPUOZRUN
      ZQMUKULDXAKUQEXAKUQURUJRCUSZUMZUMZOCUIZOLVMUPZURZUTZPCUIZPXFURZUTZAUNZQMU
      KULXLOUOXLPUOXLDWLKUQMUKUMUJACUSZXDWHWIWJWMWNWSXHWHWIWJWRXCVAZWHWIWJWRXCV
      BZWHWIWJWRXCVCZWKWMWPWQXCVDZWNWOWMWQWKXCVEWKWRWSWTXBVFBCDEFGHJKLMNOQSTUAU
      BUCUDUEUFVGVHXDWHWIWJWMWOWTXKXNXOXPXQWNWOWMWQWKXCVIWKWRWSWTXBVJBCDEFGIJKL
      MNPQSTUAUBUCUDUEUGVGVHXDXEXIXGXJXMXDXEXIUJZXMXDXRUJWKWMXRWPWQWSXBXMWKWRXC
      XRVKWMWPWQWKXCXRVLXDXRWBWMWPWQWKXCXRVNWMWPWQWKXCXRVOWSWTXBWKWRXRVPWSWTXBW
      KWRXRVQABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGVRVSWCXDXGXIUJZXMXDXSUJWKWMXSWPW
      QWTXBXMWKWRXCXSVKWMWPWQWKXCXSVLXDXSWBWMWPWQWKXCXSVNWMWPWQWKXCXSVOWSWTXBWK
      WRXSVTWSWTXBWKWRXSVQABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGWAVSWCXDXEXJUJZXMXD
      XTUJWKWMXTWPWQWSXBXMWKWRXCXTVKWMWPWQWKXCXTVLXDXTWBWMWPWQWKXCXTVNWMWPWQWKX
      CXTVOWSWTXBWKWRXTVPWSWTXBWKWRXTVQABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGWDVSWC
      XDXGXJUJZXMXDYAUJWKWMYAWPWQWSXBXMWKWRXCYAVKWMWPWQWKXCYAVLXDYAWBWMWPWQWKXC
      YAVNWMWPWQWKXCYAVOWSWTXBWKWRYAVPWSWTXBWKWRYAVQABCDEFGHIJKLMNOPQRSTUAUBUCU
      DUEUFUGWEVSWCWFWG $.

    $d ./\ z $.
    $( Use cdlemg33 to eliminate ` z ` from ~ cdlemg29 .  TODO:  Fix comment.
       (Contributed by NM, 31-May-2013.) $)
    cdlemg34 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( Q e. A /\ -. Q .<_ W ) )
      /\ ( ( v e. A /\ v .<_ W ) /\ ( F e. T /\ G e. T )
         /\ P =/= Q )
      /\ ( v =/= ( R ` F ) /\ v =/= ( R ` G )
         /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
 -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
    = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( vz chlt wcel wa wbr wn w3a cv wne cfv wceq wrex cdlemg33 simp11 simp121
      simp2 simp3l jca simp122 simp3r1 simp3r2 simp3r3 simp131 simp132 cdlemg29
      co syl133anc rexlimdv3a mpd ) KUHUIPIUIUJCBUICPLUKULUJDBUIDPLUKULUJUMZAUN
      ZBUIVQPLUKUJZGFUIHFUIUJZCDUOZUMZVQGEUPUOZVQHEUPUOZQUNZPLUKULCWDJVLDWDJVLU
      QUJQBURZUMZUMZUGUNZPLUKULZWHNUOZWHOUOZWHCVQJVLLUKZUMZUJZUGBURCCHUPGUPJVLP
      MVLDDHUPGUPJVLPMVLUQZUGABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUSWGWNWOUGBWGWHBUI
      ZWNUMZVPVRWPWIUJVSWJWKUJWLWBWCUJWOVPWAWFWPWNUTVRVSVTVPWFWPWNVAWQWPWIWGWPW
      NVBWGWPWIWMVCVDVRVSVTVPWFWPWNVEWQWJWKWJWKWLWIWGWPVFWJWKWLWIWGWPVGVDWJWKWL
      WIWGWPVHWQWBWCWBWCWEVPWAWPWNVIWBWCWEVPWAWPWNVJVDUGABCDEFGHIJKLMNOPRSTUAUB
      UCUDUEUFVKVMVNVO $.
  $}

  ${
    cdlemg35.l $e |- .<_ = ( le ` K ) $.
    cdlemg35.j $e |- .\/ = ( join ` K ) $.
    cdlemg35.m $e |- ./\ = ( meet ` K ) $.
    cdlemg35.a $e |- A = ( Atoms ` K ) $.
    cdlemg35.h $e |- H = ( LHyp ` K ) $.
    cdlemg35.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    ${
      cdlemg35.r $e |- R = ( ( trL ` K ) ` W ) $.
      $d v A $.  $d v F $.  $d v G $.  $d v H $.  $d v K $.  $d v .<_ $.
      $d v P $.  $d v R $.  $d v T $.  $d v W $.
      $( TODO:  Fix comment.  TODO: should we have a more general version of
         ~ hlsupr to avoid the ` =/= ` conditions?  (Contributed by NM,
         31-May-2013.) $)
      cdlemg35 $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( ( P e. A /\ -. P .<_ W ) /\ F e. T /\ G e. T )
        /\ ( ( F ` P ) =/= P /\ ( G ` P ) =/= P /\ ( R ` F ) =/= ( R ` G ) ) )
     -> E. v e. A ( v .<_ W
                /\ ( v =/= ( R ` F )
                /\ v =/= ( R ` G ) ) ) ) $=
        ( chlt wcel wa wbr wn w3a cfv wne cv co wrex simp1l simp1 simp21 simp22
        simp31 trlat syl112anc simp23 simp32 simp33 hlsupr syl31anc cbs simp11l
        eqid hllatd atbase 3ad2ant2 simp11 simp122 trlcl syl2anc simp123 latjcl
        clat syl3anc simp11r lhpbase trlle wb latjle12 syl13anc mpbi2and lattrd
        syl jca32 3expia reximdva mpd ) JUAUBZMHUBZUCZCBUBCMKUDUEUCZFEUBZGEUBZU
        FZCFUGCUHZCGUGCUHZFDUGZGDUGZUHZUFZUFZAUIZWTUHZXEXAUHZXEWTXAIUJZKUDZUFZA
        BUKZXEMKUDZXFXGUCUCZABUKXDWKWTBUBZXABUBZXBXKWKWLWQXCULXDWMWNWOWRXNWMWQX
        CUMZWMWNWOWPXCUNZWMWNWOWPXCUOWMWQWRWSXBUPBCDEFHJKMNQRSTUQURXDWMWNWPWSXO
        XPXQWMWNWOWPXCUSWMWQWRWSXBUTBCDEGHJKMNQRSTUQURWMWQWRWSXBVABWTXAIJKANOQV
        BVCXDXJXMABXDXEBUBZXJXMXDXRXJUFZXLXFXGXSJVDUGZJKXEXHMXTVFZNXSJWKWLWQXCX
        RXJVEVGZXRXDXEXTUBXJBXTXEJYAQVHVIXSJVPUBZWTXTUBZXAXTUBZXHXTUBYBXSWMWOYD
        WMWQXCXRXJVJZWNWOWPWMXCXRXJVKZXTDEFHJMYARSTVLVMZXSWMWPYEYFWNWOWPWMXCXRX
        JVNZXTDEGHJMYARSTVLVMZXTIJWTXAYAOVOVQXSWLMXTUBZWKWLWQXCXRXJVRXTHJMYARVS
        WFZXDXRXFXGXIVAXSWTMKUDZXAMKUDZXHMKUDZXSWMWOYMYFYGDEFHJKMNRSTVTVMXSWMWP
        YNYFYIDEGHJKMNRSTVTVMXSYCYDYEYKYMYNUCYOWAYBYHYJYLXTIJKWTXAMYANOWBWCWDWE
        XDXRXFXGXIUPXDXRXFXGXIUTWGWHWIWJ $.

      $d r A $.  $d r F $.  $d r G $.  $d r H $.  $d r v .\/ $.  $d r K $.
      $d r .<_ $.  $d r v ./\ $.  $d r P $.  $d r v Q $.  $d r R $.  $d r W $.
      $( Use cdlemg35 to eliminate ` v ` from ~ cdlemg34 .  TODO:  Fix comment.
         (Contributed by NM, 31-May-2013.) $)
      cdlemg36 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( F e. T /\ G e. T /\ P =/= Q )
        /\ ( ( ( F ` P ) =/= P /\ ( G ` P ) =/= P )
           /\ ( R ` F ) =/= ( R ` G )
           /\ E. r e. A ( -. r .<_ W /\ ( P .\/ r ) = ( Q .\/ r ) ) ) )
 -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
    = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
        ( vv chlt wcel wa wbr wn w3a wne cv co wceq simp11 simp12 simp21 simp22
        cfv wrex simp31l simp31r simp32 cdlemg35 syl133anc simp2 simp3l simp121
        jca simp122 simp123 simp3rl simp3rr simp133 eqid cdlemg34 rexlimdv3a
        mpd ) JUCUDMHUDUEZBAUDBMKUFUGUEZCAUDCMKUFUGUEZUHZFEUDZGEUDZBCUIZUHZBFUQ
        BUIZBGUQZBUIZUEZFDUQZGDUQZUIZNUJZMKUFUGBWLIUKCWLIUKULUENAURZUHZUHZUBUJZ
        MKUFZWPWIUIZWPWJUIZUEZUEZUBAURZBWFFUQIUKMLUKCCGUQFUQIUKMLUKULZWOVQVRWAW
        BWEWGWKXBVQVRVSWDWNUMVQVRVSWDWNUNVTWAWBWCWNUOVTWAWBWCWNUPWEWGWKWMVTWDUS
        WEWGWKWMVTWDUTVTWDWHWKWMVAUBABDEFGHIJKLMOPQRSTUAVBVCWOXAXCUBAWOWPAUDZXA
        UHZVTXDWQUEWAWBUEWCWRWSWMXCVTWDWNXDXAUMXEXDWQWOXDXAVDWOXDWQWTVEVGXEWAWB
        WAWBWCVTWNXDXAVFWAWBWCVTWNXDXAVHVGWAWBWCVTWNXDXAVIWRWSWQWOXDVJWRWSWQWOX
        DVKWHWKWMVTWDXDXAVLUBABCDEFGHIJKLBWPIUKZCWIIUKLUKZXFCWJIUKLUKZMNOPQRSTU
        AXGVMXHVMVNVCVOVP $.

      $( Use ~ cdlemg37 to eliminate ` E. r e. A ` from ~ cdlemg36 .  TODO:
         Fix comment.  (Contributed by NM, 31-May-2013.) $)
      cdlemg38 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
           /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( F e. T /\ G e. T /\ P =/= Q )
        /\ ( ( ( F ` P ) =/= P /\ ( G ` P ) =/= P )
           /\ ( R ` F ) =/= ( R ` G ) ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
       = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
        ( vr chlt wcel wa wbr wn w3a wne cfv cv wceq wrex simpl1 simpl2 simpl3l
        simpl3r simpr syl113anc simpl11 simpl12 simpl13 simpl21 simpl22 simpl23
        co cdlemg36 cdlemg37 syl133anc pm2.61dan ) JUBUCMHUCUDZBAUCBMKUEUFUDZCA
        UCCMKUEUFUDZUGZFEUCZGEUCZBCUHZUGZBFUIBUHBGUIZBUHUDZFDUIGDUIUHZUDZUGZUAU
        JZMKUEUFBWCIVECWCIVEUKUDUAAULZBVRFUIIVEMLVECCGUIFUIIVEMLVEUKZWBWDUDVMVQ
        VSVTWDWEVMVQWAWDUMVMVQWAWDUNVSVTVMVQWDUOVSVTVMVQWDUPWBWDUQABCDEFGHIJKLM
        UANOPQRSTVFURWBWDUFZUDVJVKVLVNVOVPWFWEVJVKVLVQWAWFUSVJVKVLVQWAWFUTVJVKV
        LVQWAWFVAVNVOVPVMWAWFVBVNVOVPVMWAWFVCVNVOVPVMWAWFVDWBWFUQABCDEFGHIJKLMU
        ANOPQRSTVGVHVI $.

      $( Eliminate ` =/= ` conditions from ~ cdlemg38 .  TODO:  Would this
         better be done at ~ cdlemg35 ?  TODO:  Fix comment.  (Contributed by
         NM, 31-May-2013.) $)
      cdlemg39 $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
        /\ ( F e. T /\ G e. T /\ P =/= Q ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
       = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
        ( chlt wcel wa wbr wn wne w3a co simpl1 simpl2l simpl2r simpl31 simpl32
        cfv simpr cdlemg15 syl321anc simpll1 simpll2 adantr cdlemg14f syl113anc
        wceq cdlemg14g simpll3 simplr cdlemg38 syl312anc pm2.61da2ne pm2.61dane
        ) JUAUBMHUBUCZBAUBBMKUDUEUCZCAUBCMKUDUEUCZUCZFEUBZGEUBZBCUFZUGZUGZBBGUN
        ZFUNIUHMLUHCCGUNFUNIUHMLUHVCZFDUNZGDUNZVSWBWCVCZUCVKVLVMVOVPWDWAVKVNVRW
        DUIVLVMVKVRWDUJVLVMVKVRWDUKVOVPVQVKVNWDULVOVPVQVKVNWDUMVSWDUOABCDEFGHIJ
        KLMNOPQRSTUPUQVSWBWCUFZUCZWABFUNZBVTBWFWGBVCZUCVKVNVOVPWHWAVKVNVRWEWHUR
        VKVNVRWEWHUSWFVOWHVOVPVQVKVNWEULZUTWFVPWHVOVPVQVKVNWEUMZUTWFWHUOABCDEFG
        HIJKLMNOPQRSTVAVBWFVTBVCZUCVKVNVOVPWKWAVKVNVRWEWKURVKVNVRWEWKUSWFVOWKWI
        UTWFVPWKWJUTWFWKUOABCDEFGHIJKLMNOPQRSTVDVBWFWGBUFVTBUFUCZUCVKVLVMVRWLWE
        WAVKVNVRWEWLURWFVLWLVLVMVKVRWEUJUTWFVMWLVLVMVKVRWEUKUTVKVNVRWEWLVEWFWLU
        OVSWEWLVFABCDEFGHIJKLMNOPQRSTVGVHVIVJ $.
    $}

    $( Eliminate ` P =/= Q ` conditions from ~ cdlemg39 .  TODO:  Fix comment.
       (Contributed by NM, 31-May-2013.) $)
    cdlemg40 $p |- ( ( ( K e. HL /\ W e. H )
      /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
              /\ ( F e. T /\ G e. T ) )
    -> ( ( P .\/ ( F ` ( G ` P ) ) ) ./\ W )
       = ( ( Q .\/ ( F ` ( G ` Q ) ) ) ./\ W ) ) $=
      ( wcel wa chlt wbr wn w3a cfv co wceq id 2fveq3 oveq12d oveq1d adantl wne
      simpl1 simpl2 simpl3l simpl3r simpr ctrl cdlemg39 syl113anc pm2.61dane
      eqid ) IUASLGSTZBASBLJUBUCTCASCLJUBUCTTZEDSZFDSZTZUDZBBFUEEUEZHUFZLKUFCCF
      UEEUEZHUFZLKUFUGZBCBCUGZVNVIVOVKVMLKVOBCVJVLHVOUHBCEFUIUJUKULVIBCUMZTVDVE
      VFVGVPVNVDVEVHVPUNVDVEVHVPUOVFVGVDVEVPUPVFVGVDVEVPUQVIVPURABCLIUSUEUEZDEF
      GHIJKLMNOPQRVQVCUTVAVB $.

    $( Convert ~ cdlemg40 to function composition.  TODO:  Fix comment.
       (Contributed by NM, 31-May-2013.) $)
    cdlemg41 $p |- ( ( ( K e. HL /\ W e. H )
      /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
              /\ ( F e. T /\ G e. T ) )
    -> ( ( P .\/ ( ( F o. G ) ` P ) ) ./\ W )
       = ( ( Q .\/ ( ( F o. G ) ` Q ) ) ./\ W ) ) $=
      ( wcel co chlt wa wbr wn w3a cfv ccom cdlemg40 wceq simp1 simp3 ltrncoval
      simp2ll syl3anc oveq2d oveq1d simp2rl 3eqtr4d ) IUASLGSUBZBASZBLJUCUDZUBZ
      CASZCLJUCUDZUBZUBZEDSFDSUBZUEZBBFUFEUFZHTZLKTCCFUFEUFZHTZLKTBBEFUGZUFZHTZ
      LKTCCVMUFZHTZLKTABCDEFGHIJKLMNOPQRUHVHVOVJLKVHVNVIBHVHUSVGUTVNVIUIUSVFVGU
      JZUSVFVGUKZUTVAVEUSVGUMABDEFGIJLMPQRULUNUOUPVHVQVLLKVHVPVKCHVHUSVGVCVPVKU
      IVRVSVCVDVBUSVGUQACDEFGIJLMPQRULUNUOUPUR $.
  $}

  ${
    ltrnco.h $e |- H = ( LHyp ` K ) $.
    ltrnco.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $d p q F $.  $d p q G $.  $d p q H $.  $d p q K $.  $d p q T $.
    $d p q W $.
    $( The composition of two translations is a translation.  Part of proof of
       Lemma G of [Crawley] p. 116, line 15 on p. 117.  (Contributed by NM,
       31-May-2013.) $)
    ltrnco $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
    -> ( F o. G ) e. T ) $=
      ( vp vq chlt wcel wa w3a cfv cv wbr wn co eqid ccom cple cjn cmee wceq wi
      cldil catm wral simp1 3adant3 3adant2 ldilco syl3anc simp11 simp2l simp3l
      ltrnldil simp2r simp3r simp12 simp13 cdlemg41 syl122anc 3exp ralrimivv wb
      jca isltrn 3ad2ant1 mpbir2and ) EKLFDLMZBALZCALZNZBCUAZALZVPFEUGOOZLZIPZF
      EUBOZQRZJPZFWAQRZMZVTVTVPOEUCOZSFEUDOZSWCWCVPOWFSFWGSUEZUFZJEUHOZUIIWJUIZ
      VOVLBVRLZCVRLZVSVLVMVNUJVLVMWLVNVRABDEKFGVRTZHURUKVLVNWMVMVRACDEKFGWNHURU
      LVRBCDEKFGWNUMUNVOWIIJWJWJVOVTWJLZWCWJLZMZWEWHVOWQWENZVLWOWBMWPWDMVMVNWHV
      LVMVNWQWEUOWRWOWBVOWOWPWEUPVOWQWBWDUQVHWRWPWDVOWOWPWEUSVOWQWBWDUTVHVLVMVN
      WQWEVAVLVMVNWQWEVBWJVTWCABCDWFEWAWGFWATZWFTZWGTZWJTZGHVCVDVEVFVLVMVQVSWKM
      VGVNWJKVRAVPDWFEWAWGFJIWSWTXAXBGWNHVIVJVK $.
  $}

  ${
    trlcocnv.h $e |- H = ( LHyp ` K ) $.
    trlcocnv.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlcocnv.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( Swap the arguments of the trace of a composition with converse.
       (Contributed by NM, 1-Jul-2013.) $)
    trlcocnv $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
    -> ( R ` ( F o. `' G ) ) = ( R ` ( G o. `' F ) ) ) $=
      ( chlt wcel wa w3a ccnv ccom cfv wceq simp1 ltrncnv 3adant2 ltrnco trlcnv
      syld3an3 syl2anc cnvco cocnvcnv1 eqtri fveq2i eqtr3di ) FKLGELMZCBLZDBLZN
      ZCDOZPZOZAQZUPAQZDCOZPZAQUNUKUPBLZURUSRUKULUMSUKULUMUOBLZVBUKUMVCULBDEFGH
      ITUABCUOEFGHIUBUDABUPEFGHIJUCUEUQVAAUQUOOUTPVACUOUFDUTUGUHUIUJ $.
  $}

  ${
    trlcoabs.l $e |- .<_ = ( le ` K ) $.
    trlcoabs.j $e |- .\/ = ( join ` K ) $.
    trlcoabs.a $e |- A = ( Atoms ` K ) $.
    trlcoabs.h $e |- H = ( LHyp ` K ) $.
    trlcoabs.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlcoabs.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( Absorption into a composition by joining with trace.  (Contributed by
       NM, 22-Jul-2013.) $)
    trlcoabs $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ G e. T )
           /\ ( P e. A /\ -. P .<_ W ) )
   -> ( ( ( F o. G ) ` P ) .\/ ( R ` F ) ) = ( ( G ` P ) .\/ ( R ` F ) ) ) $=
      ( wcel wa cfv chlt wbr wn w3a ccom ltrncoval 3adant3r oveq1d simp1 simp2l
      co wceq ltrnel 3adant2l trljat3 syl3anc eqtr4d ) IUARKGRSZEDRZFDRZSZBARZB
      KJUBUCZSZUDZBEFUETZECTZHUKBFTZETZVGHUKZVHVGHUKZVEVFVIVGHURVAVBVFVIULVCABD
      EFGIJKLNOPUFUGUHVEURUSVHARVHKJUBUCSZVKVJULURVAVDUIURUSUTVDUJURUTVDVLUSABD
      FGIJKLNOPUMUNAVHCDEGHIJKLMNOPQUOUPUQ $.

    $( Absorption of the trace of a composition.  (Contributed by NM,
       29-Jul-2013.)  (New usage is discouraged.) $)
    trlcoabs2N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ G e. T )
           /\ ( P e. A /\ -. P .<_ W ) )
  -> ( ( F ` P ) .\/ ( R ` ( G o. `' F ) ) )
    = ( ( F ` P ) .\/ ( G ` P ) ) ) $=
      ( wcel cfv co chlt wa wbr wn w3a ccnv ccom cmee wceq simp1 simp2r ltrncnv
      simp2l syl2anc ltrnco syl3anc ltrnel 3adant2r oveq2d simp1l simp3l ltrnat
      eqid trlval2 hlatjcl simp1r lhpbase hlatlej1 atmod3i1 syl131anc ltrncoval
      cbs syl cp1 syl121anc coass cid cres wf1o ltrn1o f1ococnv1 coeq2d wf f1of
      fcoi1 3syl eqtrd syl5eq fveq1d eqtr3d lhpjat2 oveq12d hlol olm11 3eqtrd
      col ) IUARZKGRZUBZEDRZFDRZUBZBARZBKJUCUDZUBZUEZBESZFEUFZUGZCSZHTXGXGXGXIS
      ZHTZKIUHSZTZHTZXLXGKHTZXMTZXGBFSZHTZXFXJXNXGHXFWSXIDRZXGARZXGKJUCUDUBZXJX
      NUIWSXBXEUJZXFWSXAXHDRZXTYCWSWTXAXEUKZXFWSWTYDYCWSWTXAXEUMZDEGIKOPULUNDFX
      HGIKOPUOUPZWSWTXEYBXAABDEGIJKLNOPUQURZAXGCDXIGHIJXMKLMXMVCZNOPQVDUPUSXFWQ
      YAXLIVLSZRZKYJRZXGXLJUCZXOXQUIWQWRXBXEUTZXFWSWTXCYAYCYFWSXBXCXDVAZABDEGIJ
      KLNOPVBUPZXFWQYAXKARZYKYNYPXFWSXTYAYQYCYGYPAXGDXIGIJKLNOPVBUPZAYJHIXGXKYJ
      VCZMNVEUPXFWRYLWQWRXBXEVFYJGIKYSOVGVMXFWQYAYQYMYNYPYRAXGXKHIJLMNVHUPAYJXG
      HIJXMXLKYSLMYINVIVJXFXQXSIVNSZXMTZXSXFXLXSXPYTXMXFXKXRXGHXFBXIEUGZSZXKXRX
      FWSXTWTXCUUCXKUIYCYGYFYOABDXIEGIJKLNOPVKVOXFBUUBFXFUUBFXHEUGZUGZFFXHEVPXF
      UUEFVQYJVRZUGZFXFUUDUUFFXFYJYJEVSZUUDUUFUIXFWSWTUUHYCYFYJDEGIUAKYSOPVTUNY
      JYJEWAVMWBXFYJYJFVSZYJYJFWCUUGFUIXFWSXAUUIYCYEYJDFGIUAKYSOPVTUNYJYJFWDYJY
      JFWEWFWGWHWIWJUSXFWSYBXPYTUIYCYHAXGYTGHIJKLMYTVCZNOWKUNWLXFIWPRZXSYJRZUUA
      XSUIXFWQUUKYNIWMVMXFWQYAXRARZUULYNYPXFWSXAXCUUMYCYEYOABDFGIJKLNOPVBUPAYJH
      IXGXRYSMNVEUPYJYTIXMXSYSYIUUJWNUNWGWO $.
  $}

  ${
    trlcoat.a $e |- A = ( Atoms ` K ) $.
    trlcoat.h $e |- H = ( LHyp ` K ) $.
    trlcoat.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlcoat.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( The trace of a composition of two translations is an atom if their
       traces are different.  (Contributed by NM, 15-Jun-2013.) $)
    trlcoat $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ G e. T )
    /\ ( R ` F ) =/= ( R ` G ) )
         -> ( R ` ( F o. G ) ) e. A ) $=
      ( chlt wcel wa cfv ccom wceq wf1o syl2anc wne cp0 cid cbs wb ltrnco 3expb
      cres eqid trlid0b syldan coass simpll simplrl ltrn1o f1ococnv1 syl coeq1d
      ccnv coeq2 adantl 3eqtr3a wf simplrr f1of fcoi2 3syl ltrncnv fcoi1 fveq2d
      3eqtr3d trlcnv eqtr2d ex sylbird necon3d trlatn0 sylibrd 3impia ) GMNHFNO
      ZDCNZECNZOZDBPZEBPZUAZDEQZBPZANZVTWCOZWFWHGUBPZUAZWIWJWHWKWDWEWJWHWKRZWGU
      CGUDPZUHZRZWDWERZVTWCWGCNZWPWMUEVTWAWBWRCDEFGHJKUFUGZWNBCWGFGHWKWNUIZWKUI
      ZJKLUJUKWJWPWQWJWPOZWEDUSZBPZWDXBEXCBXBWOEQZXCWOQZEXCXBXCDQZEQXCWGQZXEXFX
      CDEULXBXGWOEXBWNWNDSZXGWORXBVTWAXIVTWCWPUMZVTWAWBWPUNZWNCDFGMHWTJKUOTWNWN
      DUPUQURWPXHXFRWJWGWOXCUTVAVBXBWNWNESZWNWNEVCXEERXBVTWBXLXJVTWAWBWPVDWNCEF
      GMHWTJKUOTWNWNEVEWNWNEVFVGXBWNWNXCSZWNWNXCVCXFXCRXBVTXCCNZXMXJXBVTWAXNXJX
      KCDFGHJKVHTWNCXCFGMHWTJKUOTWNWNXCVEWNWNXCVIVGVKVJXBVTWAXDWDRXJXKBCDFGHJKL
      VLTVMVNVOVPVTWCWRWIWLUEWSABCWGFGHWKXAIJKLVQUKVRVS $.

    $( Commonly used special case of ~ trlcoat .  (Contributed by NM,
       1-Jul-2013.) $)
    trlcocnvat $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ G e. T )
    /\ ( R ` F ) =/= ( R ` G ) )
         -> ( R ` ( F o. `' G ) ) e. A ) $=
      ( chlt wcel wa cfv wne w3a ccnv syl2anc simp1 simp2l simp2r ltrncnv simp3
      ccom wceq trlcnv neeqtrrd trlcoat syl121anc ) GMNHFNOZDCNZECNZOZDBPZEBPZQ
      ZRZULUMESZCNZUPUTBPZQDUTUFBPANULUOURUAZULUMUNURUBUSULUNVAVCULUMUNURUCZCEF
      GHJKUDTUSUPUQVBULUOURUEUSULUNVBUQUGVCVDBCEFGHJKLUHTUIABCDUTFGHIJKLUJUK $.
  $}

  ${
    trlconid.b $e |- B = ( Base ` K ) $.
    trlconid.h $e |- H = ( LHyp ` K ) $.
    trlconid.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlconid.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( The composition of two different translations is not the identity
       translation.  (Contributed by NM, 22-Jul-2013.) $)
    trlconid $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ G e. T )
    /\ ( R ` F ) =/= ( R ` G ) )
         -> ( F o. G ) =/= ( _I |` B ) ) $=
      ( chlt wcel wa cfv wne w3a ccom cid cres catm trlcoat simp1 simp2l simp2r
      eqid wb ltrnco syl3anc trlnidatb syl2anc mpbird ) GMNHFNOZDCNZECNZOZDBPEB
      PQZRZDESZTAUAQZUTBPGUBPZNZVBBCDEFGHVBUGZJKLUCUSUNUTCNZVAVCUHUNUQURUDZUSUN
      UOUPVEVFUNUOUPURUEUNUOUPURUFCDEFGHJKUIUJVBABCUTFGHIVDJKLUKULUM $.
  $}

  ${
    trlco.l $e |- .<_ = ( le ` K ) $.
    trlco.j $e |- .\/ = ( join ` K ) $.
    trlco.h $e |- H = ( LHyp ` K ) $.
    trlco.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlco.r $e |- R = ( ( trL ` K ) ` W ) $.
    ${
      trlcolem.m $e |- ./\ = ( meet ` K ) $.
      trlcolem.a $e |- A = ( Atoms ` K ) $.
      $( Lemma for ~ trlco .  (Contributed by NM, 1-Jun-2013.) $)
      trlcolem $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ G e. T )
        /\ ( P e. A /\ -. P .<_ W ) )
  -> ( R ` ( F o. G ) )
         .<_ ( ( R ` F ) .\/ ( R ` G ) ) ) $=
        ( wcel chlt wa wbr wn w3a cfv ccom clat cbs simp1l hllatd simp3l atbase
        co eqid syl simp1 simp2r ltrnat syl3anc latlej1 hlatjcl simp2l latjlej1
        ltrncl syl13anc mpd latjcl simp1r lhpbase latmlem1 wceq ltrnco syld3an2
        wi trlval2 ltrncoval 3adant3r oveq2d oveq1d eqtrd ltrnel oveq12d latmcl
        latjcom latmle2 lhpmod6i1 syl121anc latjass cp1 latlej2 lhpjat1 syl2anc
        lhpmod2i2 col hlol olm11 3eqtrd eqtr3d 3brtr4d ) IUATZLGTZUBZEDTZFDTZUB
        ZBATZBLJUCUDZUBZUEZBBFUFZEUFZHUNZLKUNZBXKHUNZXLHUNZLKUNZEFUGZCUFZECUFZF
        CUFZHUNZJXJXMXPJUCZXNXQJUCZXJBXOJUCZYCXJIUHTZBIUIUFZTZXKYGTZYEXJIXAXBXF
        XIUJZUKZXJXGYHXCXFXGXHULZAYGBIYGUOZSUMUPZXJXKATZYIXJXCXEXGYOXCXFXIUQZXC
        XDXEXIURZYLABDFGIJLMSOPUSUTZAYGXKIYMSUMUPZYGHIJBXKYMMNVAUTXJYFYHXOYGTZX
        LYGTZYEYCVOYKYNXJXAXGYOYTYJYLYRAYGHIBXKYMNSVBUTZXJXCXDYIUUAYPXCXDXEXIVC
        ZYSYGDEGIUALXKYMOPVEUTZYGHIJBXOXLYMMNVDVFVGXJYFXMYGTZXPYGTZLYGTZYCYDVOY
        KXJYFYHUUAUUEYKYNUUDYGHIBXLYMNVHUTXJYFYTUUAUUFYKUUBUUDYGHIXOXLYMNVHUTXJ
        XBUUGXAXBXFXIVIYGGILYMOVJUPZYGIJKXMXPLYMMRVKVFVGXJXSBBXRUFZHUNZLKUNZXNX
        CXRDTZXFXIXSUUKVLXJXCXDXEUULYPUUCYQDEFGILOPVMUTABCDXRGHIJKLMNRSOPQVPVNX
        JUUJXMLKXJUUIXLBHXCXFXGUUIXLVLXHABDEFGIJLMSOPVQVRVSVTWAXJYBXKXLHUNZLKUN
        ZXOLKUNZHUNZUUOUUNHUNZXQXJXTUUNYAUUOHXJXCXDYOXKLJUCUDUBZXTUUNVLYPUUCXCX
        EXFXIUURYQABDFGIJLMSOPWBVNZAXKCDEGHIJKLMNRSOPQVPUTXCXEXFXIYAUUOVLYQABCD
        FGHIJKLMNRSOPQVPVNWCXJYFUUNYGTZUUOYGTZUUPUUQVLYKXJYFUUMYGTZUUGUUTYKXJXA
        YOXLATZUVBYJYRXJXCXDYOUVCYPUUCYRAXKDEGIJLMSOPUSUTAYGHIXKXLYMNSVBUTUUHYG
        IKUUMLYMRWDUTXJYFYTUUGUVAYKUUBUUHYGIKXOLYMRWDUTZYGHIUUNUUOYMNWEUTXJUUQU
        UOUUMHUNZLKUNZXQXJXCUVAUVBUUOLJUCZUUQUVFVLYPUVDXJYFYIUUAUVBYKYSUUDYGHIX
        KXLYMNVHUTXJYFYTUUGUVGYKUUBUUHYGIJKXOLYMMRWFUTYGGHIJKLUUOUUMYMMNROWGWHX
        JUVEXPLKXJUUOXKHUNZXLHUNZUVEXPXJYFUVAYIUUAUVIUVEVLYKUVDYSUUDYGHIUUOXKXL
        YMNWIVFXJUVHXOXLHXJUVHXOLXKHUNZKUNZXOIWJUFZKUNZXOXJXCYTYIXKXOJUCZUVHUVK
        VLYPUUBYSXJYFYHYIUVNYKYNYSYGHIJBXKYMMNWKUTYGGHIJKLXOXKYMMNROWNWHXJUVJUV
        LXOKXJXCUURUVJUVLVLYPUUSAXKUVLGHIJLMNUVLUOZSOWLWMVSXJIWOTZYTUVMXOVLXJXA
        UVPYJIWPUPUUBYGUVLIKXOYMRUVOWQWMWRVTWSVTWAWRWT $.
    $}

    $d p F $.  $d p G $.  $d p H $.  $d p .\/ $.  $d p K $.  $d p .<_ $.
    $d p R $.  $d p T $.  $d p W $.
    $( The trace of a composition of translations is less than or equal to the
       join of their traces.  Part of proof of Lemma G of [Crawley] p. 116,
       second paragraph on p. 117.  (Contributed by NM, 2-Jun-2013.) $)
    trlco $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
   -> ( R ` ( F o. G ) )
     .<_ ( ( R ` F ) .\/ ( R ` G ) ) ) $=
      ( vp wcel wa wbr cfv eqid chlt w3a cv wn ccom catm wrex lhpexnle 3ad2ant1
      co simpl1 simpl2 simpl3 simpr cmee trlcolem syl121anc rexlimddv ) GUAPIEP
      QZCBPZDBPZUBZOUCZIHRUDZCDUEASCASDASFUJHRZOGUFSZUSUTVDOVFUGVAVFEGHIOJVFTZL
      UHUIVBVCVFPVDQZQUSUTVAVHVEUSUTVAVHUKUSUTVAVHULUSUTVAVHUMVBVHUNVFVCABCDEFG
      HGUOSZIJKLMNVITVGUPUQUR $.
  $}

  ${
    trlcone.b $e |- B = ( Base ` K ) $.
    trlcone.h $e |- H = ( LHyp ` K ) $.
    trlcone.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trlcone.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( If two translations have different traces, the trace of their
       composition is also different.  (Contributed by NM, 14-Jun-2013.) $)
    trlcone $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( F e. T /\ G e. T )
         /\ ( ( R ` F ) =/= ( R ` G ) /\ G =/= ( _I |` B ) ) )
    -> ( R ` F ) =/= ( R ` ( F o. G ) ) ) $=
      ( wcel wa cfv wne ccom wceq syl2anc syl3anc chlt cid cres w3a cp0 simpl3l
      catm cple wbr ccnv cjn co simp11 simp12l ltrncnv simp12r ltrnco eqid wf1o
      trlco ltrn1o f1ococnv1 syl coeq1d wf f1of fcoi2 3syl eqtrd eqtr3di fveq2d
      coass simp11l simp2 hlatjidm trlcnv eqcomd simp3 oveq12d eqtr3d cal hlatl
      3brtr4d wb simp13r trlnidat atcmp mpbid 3expia necon3d mpd simpl3r simpl1
      simpl2r trlid0b necon3bid necomd simpr simpl2l mpbird 3netr4d wo trlator0
      simp1 simp2l mpjaodan ) GUAMZHFMZNZDCMZECMZNZDBOZEBOZPZEUBAUCZPZNZUDZXMGU
      GOZMZXMDEQZBOZPZXMGUEOZRZXSYANZXOYDXOXQXIXLYAUFYGXMYCXMXNXSYAXMYCRZXMXNRX
      SYAYHUDZXNXMYIXNXMGUHOZUIZXNXMRZYIDUJZYBQZBOZYMBOZYCGUKOZULZXNXMYJYIXIYMC
      MZYBCMZYOYRYJUIXIXLXRYAYHUMZYIXIXJYSUUAXJXKXIXRYAYHUNZCDFGHJKUOSYIXIXJXKY
      TUUAUUBXJXKXIXRYAYHUPZCDEFGHJKUQTBCYMYBFYQGYJHYJURZYQURZJKLUTTYIEYNBYIYMD
      QZEQZEYNYIUUGXPEQZEYIUUFXPEYIAADUSZUUFXPRYIXIXJUUIUUAUUBACDFGUAHIJKVASAAD
      VBVCVDYIAAEUSZAAEVEZUUHERZYIXIXKUUJUUAUUCACEFGUAHIJKVAZSAAEVFZAAEVGZVHVIY
      MDEVLVJVKYIXMXMYQULZXMYRYIXGYAUUPXMRXGXHXLXRYAYHVMZXSYAYHVNZXTYQGXMUUEXTU
      RZVOSYIXMYPXMYCYQYIYPXMYIXIXJYPXMRUUAUUBBCDFGHJKLVPSVQXSYAYHVRVSVTWCYIGWA
      MZXNXTMZYAYKYLWDYIXGUUTUUQGWBVCYIXIXKXQUVAUUAUUCXOXQXIXLYAYHWEXTABCEFGHIU
      USJKLWFTUURXTXNXMGYJUUDUUSWGTWHVQWIWJWKXSYFNZYEXNXMYCUVBXNYEUVBXQXNYEPXOX
      QXIXLYFWLUVBEXPXNYEUVBXIXKEXPRXNYERWDXIXLXRYFWMZXJXKXIXRYFWNZABCEFGHYEIYE
      URZJKLWOSWPWHWQXSYFWRZUVBYBEBUVBYBUUHEUVBDXPEUVBDXPRZYFUVFUVBXIXJUVGYFWDU
      VCXJXKXIXRYFWSABCDFGHYEIUVEJKLWOSWTVDUVBUUJUUKUULUVBXIXKUUJUVCUVDUUMSUUNU
      UOVHVIVKXAXSXIXJYAYFXBXIXLXRXDXIXJXKXRXEXTBCDFGHYEUVEUUSJKLXCSXF $.
  $}

  ${
    cdlemg42.l $e |- .<_ = ( le ` K ) $.
    cdlemg42.j $e |- .\/ = ( join ` K ) $.
    cdlemg42.a $e |- A = ( Atoms ` K ) $.
    cdlemg42.h $e |- H = ( LHyp ` K ) $.
    cdlemg42.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemg42.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( Part of proof of Lemma G of [Crawley] p. 116, first line of third
       paragraph on p. 117.  (Contributed by NM, 3-Jun-2013.) $)
    cdlemg42 $p |- ( ( ( K e. HL /\ W e. H )
          /\ ( F e. T /\ G e. T )
          /\ ( ( P e. A /\ -. P .<_ W ) /\ ( G ` P ) =/= P
              /\ ( R ` F ) =/= ( R ` G ) ) )
        -> -. ( G ` P ) .<_ ( P .\/ ( F ` P ) ) ) $=
      ( wcel cfv syl3anc chlt wa wbr wn wne co simp33 wceq cmee simpl1l simp31l
      w3a adantr simp1 simp2l ltrnat hlatlej1 simpr clat cbs hllatd eqid atbase
      wb syl simp2r hlatjcl latjle12 syl13anc mpbi2and simpl32 necomd syl132anc
      mpbid oveq1d simpl1 simpl2r simpl31 trlval2 simpl2l 3eqtr4rd necon3ad mpd
      ps-1 ex ) IUARZKGRZUBZEDRZFDRZUBZBARZBKJUCUDZUBZBFSZBUEZECSZFCSZUEZULZULZ
      WSWOBBESZHUFZJUCZUDWHWKWNWPWSUGXAXDWQWRXAXDWQWRUHXAXDUBZBWOHUFZKIUISZUFZX
      CKXGUFZWRWQXEXFXCKXGXEXFXCJUCZXFXCUHZXEBXCJUCZXDXJXEWFWLXBARZXLWFWGWKWTXD
      UJZXAWLXDWLWMWPWSWHWKUKZUMZXAXMXDXAWHWIWLXMWHWKWTUNZWHWIWJWTUOXOABDEGIJKL
      NOPUPTUMZABXBHIJLMNUQTXAXDURXEIUSRBIUTSZRZWOXSRZXCXSRZXLXDUBXJVDXEIXNVAXE
      WLXTXPAXSBIXSVBZNVCVEXEWOARZYAXAYDXDXAWHWJWLYDXQWHWIWJWTVFXOABDFGIJKLNOPU
      PTUMZAXSWOIYCNVCVEXEWFWLXMYBXNXPXRAXSHIBXBYCMNVGTXSHIJBWOXCYCLMVHVIVJXEWF
      WLYDBWOUEWLXMXJXKVDXNXPYEXEWOBWNWPWSWHWKXDVKVLXPXRABWOBXBHIJLMNWDVMVNVOXE
      WHWJWNWRXHUHWHWKWTXDVPZWIWJWHWTXDVQWNWPWSWHWKXDVRZABCDFGHIJXGKLMXGVBZNOPQ
      VSTXEWHWIWNWQXIUHYFWIWJWHWTXDVTYGABCDEGHIJXGKLMYHNOPQVSTWAWEWBWC $.

    cdlemg42.m $e |- ./\ = ( meet ` K ) $.
    $( Part of proof of Lemma G of [Crawley] p. 116, third line of third
       paragraph on p. 117.  (Contributed by NM, 3-Jun-2013.) $)
    cdlemg43 $p |- ( ( ( K e. HL /\ W e. H )
          /\ ( F e. T /\ G e. T )
          /\ ( ( P e. A /\ -. P .<_ W ) /\ ( G ` P ) =/= P
              /\ ( R ` F ) =/= ( R ` G ) ) )
        -> ( F ` ( G ` P ) ) = ( ( ( G ` P ) .\/ ( R ` F ) )
              ./\ ( ( F ` P ) .\/ ( R ` G ) ) ) ) $=
      ( co chlt wcel wa wbr cfv wne w3a wceq simp1 simp2l simp31 simp2r syl3anc
      wn ltrnel cdlemg42 cdlemc syl131anc trlval2 oveq2d eqtr4d ) IUAUBLGUBUCZE
      DUBZFDUBZUCZBAUBBLJUDUNUCZBFUEZBUFZECUEZFCUEZUFZUGZUGZVGEUEZVGVIHTZBEUEZB
      VGHTLKTZHTZKTZVOVPVJHTZKTVMVBVCVFVGAUBVGLJUDUNUCZVGBVPHTJUDUNVNVSUHVBVEVL
      UIZVBVCVDVLUJVBVEVFVHVKUKZVMVBVDVFWAWBVBVCVDVLULZWCABDFGIJLMOPQUOUMABCDEF
      GHIJLMNOPQRUPABVGCDEGHIJKLMNSOPQRUQURVMVTVRVOKVMVJVQVPHVMVBVDVFVJVQUHWBWD
      WCABCDFGHIJKLMNSOPQRUSUMUTUTVA $.
  $}

  ${
    cdlemg44.h $e |- H = ( LHyp ` K ) $.
    cdlemg44.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemg44.r $e |- R = ( ( trL ` K ) ` W ) $.
    ${
      cdlemg44.l $e |- .<_ = ( le ` K ) $.
      cdlemg44.a $e |- A = ( Atoms ` K ) $.
      $( Part of proof of Lemma G of [Crawley] p. 116, fourth line of third
         paragraph on p. 117:  "so fg(p) = gf(p)."  (Contributed by NM,
         3-Jun-2013.) $)
      cdlemg44a $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ G e. T /\ ( P e. A /\ -. P .<_ W ) )
            /\ ( ( F ` P ) =/= P /\ ( G ` P ) =/= P
                /\ ( R ` F ) =/= ( R ` G ) ) )
        -> ( F ` ( G ` P ) ) = ( G ` ( F ` P ) ) ) $=
        ( wcel cfv wne co syl3anc chlt wa wbr w3a cjn cmee clat cbs wceq simp1l
        hllatd simp1 simp22 simp23l eqid atbase syl ltrncl simp21 trlcl syl2anc
        wn latjcl latmcom simp23 simp32 simp33 cdlemg43 syl123anc simp31 necomd
        3eqtr4d ) HUAPZJGPZUBZEDPZFDPZBAPZBJIUCVBZUBZUDZBEQZBRZBFQZBRZECQZFCQZR
        ZUDZUDZWDWFHUEQZSZWBWGWKSZHUFQZSZWMWLWNSZWDEQZWBFQZWJHUGPZWLHUHQZPZWMWT
        PZWOWPUIWJHVMVNWAWIUJUKZWJWSWDWTPZWFWTPZXAXCWJVOVQBWTPZXDVOWAWIULZVOVPV
        QVTWIUMZWJVRXFVRVSVPVQVOWIUNAWTBHWTUOZOUPUQZWTDFGHUAJBXIKLURTWJVOVPXEXG
        VOVPVQVTWIUSZWTCDEGHJXIKLMUTVAWTWKHWDWFXIWKUOZVCTWJWSWBWTPZWGWTPZXBXCWJ
        VOVPXFXMXGXKXJWTDEGHUAJBXIKLURTWJVOVQXNXGXHWTCDFGHJXIKLMUTVAWTWKHWBWGXI
        XLVCTWTHWNWLWMXIWNUOZVDTWJVOVPVQVTWEWHWQWOUIXGXKXHVOVPVQVTWIVEZVOWAWCWE
        WHVFVOWAWCWEWHVGZABCDEFGWKHIWNJNXLOKLMXOVHVIWJVOVQVPVTWCWGWFRWRWPUIXGXH
        XKXPVOWAWCWEWHVJWJWFWGXQVKABCDFEGWKHIWNJNXLOKLMXOVHVIVL $.

      $( Eliminate ` ( F `` P ) =/= P ` , ` ( G `` P ) =/= P ` from
         ~ cdlemg44a .  (Contributed by NM, 3-Jun-2013.) $)
      cdlemg44b $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ G e. T /\ ( P e. A /\ -. P .<_ W ) )
            /\ ( R ` F ) =/= ( R ` G ) )
        -> ( F ` ( G ` P ) ) = ( G ` ( F ` P ) ) ) $=
        ( wcel wa wbr cfv wceq wn w3a wne simpl1 simpl21 simpl23 simpl22 ltrnel
        chlt simpr ltrnateq syl131anc fveq2d eqtr4d simpl2 simprl simprr simpl3
        syl3anc cdlemg44a syl113anc pm2.61da2ne ) HUIPJGPQZEDPZFDPZBAPBJIRUAQZU
        BZECSFCSUCZUBZBFSZESZBESZFSZTZVLBVJBVIVLBTZQZVKVJVMVPVCVDVFVJAPVJJIRUAQ
        ZVOVKVJTVCVGVHVOUDZVDVEVFVCVHVOUEVDVEVFVCVHVOUFZVPVCVEVFVQVRVDVEVFVCVHV
        OUGVSABDFGHIJNOKLUHUSVIVOUJZABVJDEGHIJNOKLUKULVPVLBFVTUMUNVIVJBTZQZVKVL
        VMWBVJBEVIWAUJZUMWBVCVEVFVLAPVLJIRUAQZWAVMVLTVCVGVHWAUDZVDVEVFVCVHWAUGV
        DVEVFVCVHWAUFZWBVCVDVFWDWEVDVEVFVCVHWAUEWFABDEGHIJNOKLUHUSWCABVLDFGHIJN
        OKLUKULUNVIVLBUCZVJBUCZQZQVCVGWGWHVHVNVCVGVHWIUDVCVGVHWIUOVIWGWHUPVIWGW
        HUQVCVGVHWIURABCDEFGHIJKLMNOUTVAVB $.
    $}

    $d p F $.  $d p G $.  $d p H $.  $d p K $.  $d p R $.  $d p T $.  $d p W $.
    $( Part of proof of Lemma G of [Crawley] p. 116, fifth line of third
       paragraph on p. 117:  "and hence fg = gf."  (Contributed by NM,
       3-Jun-2013.) $)
    cdlemg44 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ G e. T )
          /\ ( R ` F ) =/= ( R ` G ) )
        -> ( F o. G ) = ( G o. F ) ) $=
      ( vp wcel wa cfv w3a ccom wceq eqid ltrnco syl3anc chlt wne cple wbr catm
      cv wn lhpexnle 3ad2ant1 simp11 simp12l simp12r 3simpc cdlemg44b syl131anc
      wrex simp13 simp12 simp2 ltrncoval syl121anc 3eqtr4d syl311anc rexlimdv3a
      cdlemd mpd ) FUALGELMZCBLZDBLZMZCANDANUBZOZKUFZGFUCNZUDUGZKFUENZUPZCDPZDC
      PZQZVGVJVQVKVPEFVNGKVNRZVPRZHUHUIVLVOVTKVPVLVMVPLZVOOZVGVRBLZVSBLZWCVOMZV
      MVRNZVMVSNZQVTVGVJVKWCVOUJZWDVGVHVIWEWJVHVIVGVKWCVOUKZVHVIVGVKWCVOULZBCDE
      FGHISTWDVGVIVHWFWJWLWKBDCEFGHISTVLWCVOUMZWDVMDNCNZVMCNDNZWHWIWDVGVHVIWGVK
      WNWOQWJWKWLWMVGVJVKWCVOUQVPVMABCDEFVNGHIJWAWBUNUOWDVGVJWCWHWNQWJVGVJVKWCV
      OURVLWCVOUSZVPVMBCDEFVNGWAWBHIUTTWDVGVIVHWCWIWOQWJWLWKWPVPVMBDCEFVNGWAWBH
      IUTVAVBVPVMBVRVSEFVNGWAWBHIVEVCVDVF $.
  $}

  ${
    cdlemg46.b $e |- B = ( Base ` K ) $.
    cdlemg46.h $e |- H = ( LHyp ` K ) $.
    cdlemg46.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( TODO: fix comment.  TODO:  Use this above in place of ` ( F `` P ) = P `
       antecedents?  (Contributed by NM, 5-Jun-2013.) $)
    cdlemg47a $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ G e. T )
        /\ F = ( _I |` B ) )
      -> ( F o. G ) = ( G o. F ) ) $=
      ( chlt wcel wa cid cres wceq w3a ccom wf syl wf1o simp1 simp2r f1of fcoi1
      ltrn1o syl2anc simp3 coeq2d coeq1d fcoi2 eqtrd 3eqtr4rd ) FKLGELMZCBLZDBL
      ZMZCNAOZPZQZDURRZDDCRCDRZUTAADSZVADPUTAADUAZVCUTUNUPVDUNUQUSUBUNUOUPUSUCA
      BDEFKGHIJUFUGAADUDTZAADUETUTCURDUNUQUSUHZUIUTVBURDRZDUTCURDVFUJUTVCVGDPVE
      AADUKTULUM $.

    cdlemg46.r $e |- R = ( ( trL ` K ) ` W ) $.
    $d h F $.  $d h H $.  $d h K $.  $d h R $.  $d h T $.  $d h W $.
    $( Part of proof of Lemma G of [Crawley] p. 116, seventh line of third
       paragraph on p. 117:  "hf and f have different traces."  (Contributed by
       NM, 5-Jun-2013.) $)
    cdlemg46 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ h e. T )
        /\ ( F =/= ( _I |` B ) /\ h =/= ( _I |` B )
           /\ ( R ` h ) =/= ( R ` F ) ) )
        -> ( R ` ( h o. F ) ) =/= ( R ` F ) ) $=
      ( wcel wa wne cfv ccom wbr syl3anc syl2anc chlt cv cid cres w3a catm cple
      co simpl1l simp1 simp2r simp32 eqid trlnidat adantr simp2l simp31 simpl33
      cjn simpr ccnv ltrnco ltrncnv trlco wf1o wceq ltrn1o f1ococnv2 syl coeq2d
      coass wf f1of fcoi1 3syl eqtrd syl5eq fveq2d trlcnv 3brtr3d hlatlej2 clat
      oveq2d hllatd atbase hlatjcl latjle12 syl13anc mpbi2and 2atjlej syl133anc
      wb wn nelne2 necomd sylan pm2.61dan ) GUAMZHFMZNZECMZDUBZCMZNZEUCAUDZOZXB
      XEOZXBBPZEBPZOZUEZUEZXBEQZBPZGUFPZMZXNXIOZXLXPNZWRXHXOMZXIXOMZXJXPXTXHXIG
      USPZUHXNXIYAUHZGUGPZRZXQWRWSXDXKXPUIZXLXSXPXLWTXCXGXSWTXDXKUJZWTXAXCXKUKZ
      WTXDXFXGXJULXOABCXBFGHIXOUMZJKLUNSUOZXLXTXPXLWTXAXFXTYFWTXAXCXKUPZWTXDXFX
      GXJUQXOABCEFGHIYHJKLUNSZUOZXFXGXJWTXDXPURXLXPUTZYLXRXHYBYCRZXIYBYCRZYDXLY
      NXPXLXMEVAZQZBPZXNYPBPZYAUHZXHYBYCXLWTXMCMZYPCMZYRYTYCRYFXLWTXCXAUUAYFYGY
      JCXBEFGHJKVBSXLWTXAUUBYFYJCEFGHJKVCTBCXMYPFYAGYCHYCUMZYAUMZJKLVDSXLYQXBBX
      LYQXBEYPQZQZXBXBEYPVKXLUUFXBXEQZXBXLUUEXEXBXLAAEVEZUUEXEVFXLWTXAUUHYFYJAC
      EFGUAHIJKVGTAAEVHVIVJXLAAXBVEZAAXBVLUUGXBVFXLWTXCUUIYFYGACXBFGUAHIJKVGTAA
      XBVMAAXBVNVOVPVQVRXLYSXIXNYAXLWTXAYSXIVFYFYJBCEFGHJKLVSTWCVTUOXRWRXPXTYOY
      EYMYLXOXNXIYAGYCUUCUUDYHWASXRGWBMXHAMZXIAMZYBAMZYNYONYDWLXRGYEWDXRXSUUJYI
      XOAXHGIYHWEVIXRXTUUKYLXOAXIGIYHWEVIXRWRXPXTUULYEYMYLXOAYAGXNXIIUUDYHWFSAY
      AGYCXHXIYBIUUCUUDWGWHWIXOXHXIXNXIYAGYCUUCUUDYHWJWKXLXTXPWMZXQYKXTUUMNXIXN
      XIXNXOWNWOWPWQ $.

    $( Part of proof of Lemma G of [Crawley] p. 116, ninth line of third
       paragraph on p. 117:  "we conclude that gf = fg."  (Contributed by NM,
       5-Jun-2013.) $)
    cdlemg47 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
        /\ ( h e. T /\ ( R ` F ) = ( R ` G ) )
        /\ ( F =/= ( _I |` B ) /\ h =/= ( _I |` B )
                /\ ( R ` h ) =/= ( R ` F ) ) )
        -> ( F o. G ) = ( G o. F ) ) $=
      ( chlt wcel cfv wceq wne ccom coass wa w3a cv cid cres ccnv simp11 simp2l
      simp12 ltrnco syl3anc simp13 simp3 cdlemg46 simp2r neeqtrd eqtr4di simp33
      syl121anc cdlemg44 coeq1d eqtr4d 3eqtr3g coeq2d wf1o ltrn1o f1ococnv1 syl
      syl2anc eqtr3id wf f1of fcoi2 3syl eqtrd 3eqtr3d ) HNOIGOUAZECOZFCOZUBZDU
      CZCOZEBPZFBPZQZUAZEUDAUEZRZWAWGRZWABPZWCRZUBZUBZWAUFZWAEFSZSZSZWNWAFESZSZ
      SZWOWRWMWPWSWNWMWAESZFSZWAFSZESZWPWSWMXBFWASZESZXDWMXBFXASZXFWMVQXACOZVSX
      ABPZWDRXBXGQVQVRVSWFWLUGZWMVQWBVRXHXJVTWBWEWLUHZVQVRVSWFWLUIZCWAEGHIKLUJU
      KVQVRVSWFWLULZWMXIWCWDWMVQVRWBWLXIWCRXJXLXKVTWFWLUMABCDEGHIJKLMUNUSVTWBWE
      WLUOZUPBCXAFGHIKLMUTUSFWAETUQWMXCXEEWMVQWBVSWJWDRXCXEQXJXKXMWMWJWCWDVTWFW
      HWIWKURXNUPBCWAFGHIKLMUTUSVAVBWAEFTWAFETVCVDWMWQWGWOSZWOWMWQWNWASZWOSXOWN
      WAWOTWMXPWGWOWMAAWAVEZXPWGQWMVQWBXQXJXKACWAGHNIJKLVFVIAAWAVGVHZVAVJWMAAWO
      VEZAAWOVKXOWOQWMVQWOCOZXSXJWMVQVRVSXTXJXLXMCEFGHIKLUJUKACWOGHNIJKLVFVIAAW
      OVLAAWOVMVNVOWMWTWGWRSZWRWMWTXPWRSYAWNWAWRTWMXPWGWRXRVAVJWMAAWRVEZAAWRVKY
      AWRQWMVQWRCOZYBXJWMVQVSVRYCXJXMXLCFEGHIKLUJUKACWRGHNIJKLVFVIAAWRVLAAWRVMV
      NVOVP $.

    $d h B $.  $d h G $.
    $( Eliminate ` h ` from ~ cdlemg47 .  (Contributed by NM, 5-Jun-2013.) $)
    cdlemg48 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ G e. T )
        /\ ( F =/= ( _I |` B ) /\ ( R ` F ) = ( R ` G ) ) )
        -> ( F o. G ) = ( G o. F ) ) $=
      ( vh wcel wa wne cfv wceq w3a ccom chlt cid cres cv wrex cdlemftr1 simp11
      3ad2ant1 simp12l simp12r simp13r simp13l simp3l simp3r cdlemg47 syl323anc
      simp2 rexlimdv3a mpd ) GUANHFNOZDCNZECNZOZDUBAUCZPZDBQZEBQRZOZSZMUDZVDPZV
      JBQVFPZOZMCUEZDETEDTRZUTVCVNVHABCMFGHVFIJKLUFUHVIVMVOMCVIVJCNZVMSUTVAVBVP
      VGVEVKVLVOUTVCVHVPVMUGVAVBUTVHVPVMUIVAVBUTVHVPVMUJVIVPVMUQVEVGUTVCVPVMUKV
      EVGUTVCVPVMULVIVPVKVLUMVIVPVKVLUNABCMDEFGHIJKLUOUPURUS $.
  $}

  ${
    ltrncom.h $e |- H = ( LHyp ` K ) $.
    ltrncom.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Composition is commutative for translations.  Part of proof of Lemma G
       of [Crawley] p. 116.  (Contributed by NM, 5-Jun-2013.) $)
    ltrncom $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
        -> ( F o. G ) = ( G o. F ) ) $=
      ( wcel wa ccom wceq cfv simpr eqid syl121anc wne simpll1 simpll2 simpll3
      chlt w3a cid cbs cres simpl1 simpl2 simpl3 cdlemg47a ctrl simplr cdlemg48
      syl122anc cdlemg44 pm2.61dane ) EUAIFDIJZBAIZCAIZUBZBCKCBKLZBUCEUDMZUEZUS
      BVBLZJUPUQURVCUTUPUQURVCUFUPUQURVCUGUPUQURVCUHUSVCNVAABCDEFVAOZGHUIPUSBVB
      QZJZUTBFEUJMMZMZCVGMZVFVHVILZJUPUQURVEVJUTUPUQURVEVJRUPUQURVEVJSUPUQURVEV
      JTUSVEVJUKVFVJNVAVGABCDEFVDGHVGOZULUMVFVHVIQZJUPUQURVLUTUPUQURVEVLRUPUQUR
      VEVLSUPUQURVEVLTVFVLNVGABCDEFGHVKUNPUOUO $.

    $( Rearrange a composition of 4 translations, analogous to ~ an4 .
       (Contributed by NM, 10-Jun-2013.) $)
    ltrnco4 $p |- ( ( ( K e. HL /\ W e. H ) /\ E e. T /\ F e. T )
    -> ( ( D o. E ) o. ( F o. G ) ) = ( ( D o. F ) o. ( E o. G ) ) ) $=
      ( chlt wcel wa w3a ccom ltrncom coeq1d coass 3eqtr3g coeq2d 3eqtr4g ) GKL
      HFLMCBLDBLNZACDEOZOZOADCEOZOZOACOUCOADOUEOUBUDUFAUBCDOZEODCOZEOUDUFUBUGUH
      EBCDFGHIJPQCDERDCERSTACUCRADUERUA $.
  $}

  ${
    trljco.j $e |- .\/ = ( join ` K ) $.
    trljco.h $e |- H = ( LHyp ` K ) $.
    trljco.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    trljco.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( Trace joined with trace of composition.  (Contributed by NM,
       15-Jun-2013.) $)
    trljco $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
   -> ( ( R ` F ) .\/ ( R ` ( F o. G ) ) )
         = ( ( R ` F ) .\/ ( R ` G ) ) ) $=
      ( wcel wa cfv co wceq adantr syl3anc wbr chlt w3a ccom cid cbs cres coeq1
      wf1o eqid ltrn1o 3adant2 f1of fcoi2 3syl sylan9eqr fveq2d oveq2d cp0 clat
      wf simp1l hllatd trlcl 3adant3 latjidm syl2anc col syl olj01 eqtr4d coeq2
      hlol fcoi1 wb trlid0b biimpa 3eqtr4d simp1 ltrnco latjcl latlej1 latjle12
      cple trlco syl13anc mpbi2and simpr eqbrtrd eqbrtrrd latasymd catm simpl1l
      wne simpl1 simpl2 simpr1 trlnidat simpl3 simpr3 trlcoat trlcone syl112anc
      jca simpr2 ps-1 syl132anc mpbid pm2.61da3ne ) GUAMZHEMZNZCBMZDBMZUBZCAOZC
      DUCZAOZFPZXODAOZFPZQZCUDGUEOZUFZDYCXOXSXNCYCQZNZXQXSXOFYEXPDAYDXNXPYCDUCZ
      DCYCDUGXNYBYBDUHZYBYBDUTYFDQXKXMYGXLYBBDEGUAHYBUIZJKUJUKYBYBDULYBYBDUMUNU
      OUPUQXNDYCQZNZXOXOFPZXOGUROZFPZXRXTXNYKYMQYIXNYKXOYMXNGUSMZXOYBMZYKXOQXNG
      XIXJXLXMVAZVBZXKXLYOXMYBABCEGHYHJKLVCVDZYBFGXOYHIVEVFZXNGVGMZYOYMXOQXNXIY
      TYPGVLVHYRYBFGXOYLYHIYLUIZVIVFVJRYJXQXOXOFYJXPCAYIXNXPCYCUCZCDYCCVKXNYBYB
      CUHZYBYBCUTUUBCQXKXLUUCXMYBBCEGUAHYHJKUJVDYBYBCULYBYBCVMUNUOUPUQYJXSYLXOF
      XNYIXSYLQZXKXMYIUUDVNXLYBABDEGHYLYHUUAJKLVOUKVPUQVQXNXOXSQZNZYBGGWCOZXRXT
      YHUUGUIZXNYNUUEYQRXNXRYBMZUUEXNYNYOXQYBMZUUIYQYRXNXKXPBMUUJXKXLXMVRBCDEGH
      JKVSYBABXPEGHYHJKLVCVFZYBFGXOXQYHIVTSRXNXTYBMZUUEXNYNYOXSYBMZUULYQYRXKXMU
      UMXLYBABDEGHYHJKLVCUKZYBFGXOXSYHIVTSZRXNXRXTUUGTZUUEXNXOXTUUGTZXQXTUUGTZU
      UPXNYNYOUUMUUQYQYRUUNYBFGUUGXOXSYHUUHIWASABCDEFGUUGHUUHIJKLWDXNYNYOUUJUUL
      UUQUURNUUPVNYQYRUUKUUOYBFGUUGXOXQXTYHUUHIWBWEWFZRUUFYKXTXRUUGUUFXOXSXOFXN
      UUEWGUQXNYKXRUUGTUUEXNYKXOXRUUGYSXNYNYOUUJXOXRUUGTYQYRUUKYBFGUUGXOXQYHUUH
      IWASWHRWIWJXNCYCWMZDYCWMZXOXSWMZUBZNZUUPYAXNUUPUVCUUSRUVDXIXOGWKOZMZXQUVE
      MZXOXQWMZUVFXSUVEMZUUPYAVNXIXJXLXMUVCWLUVDXKXLUUTUVFXKXLXMUVCWNZXKXLXMUVC
      WOZXNUUTUVAUVBWPUVEYBABCEGHYHUVEUIZJKLWQSZUVDXKXLXMNZUVBUVGUVJUVDXLXMUVKX
      KXLXMUVCWRZXCZXNUUTUVAUVBWSZUVEABCDEGHUVLJKLWTSUVDXKUVNUVBUVAUVHUVJUVPUVQ
      XNUUTUVAUVBXDZYBABCDEGHYHJKLXAXBUVMUVDXKXMUVAUVIUVJUVOUVRUVEYBABDEGHYHUVL
      JKLWQSUVEXOXQXOXSFGUUGUUHIUVLXEXFXGXH $.

    $( Trace joined with trace of composition.  (Contributed by NM,
       16-Jun-2013.) $)
    trljco2 $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
   -> ( ( R ` F ) .\/ ( R ` ( F o. G ) ) )
         = ( ( R ` G ) .\/ ( R ` ( F o. G ) ) ) ) $=
      ( chlt wcel cfv co ccom wceq trlcl trljco w3a clat cbs simp1l hllatd eqid
      wa 3adant3 3adant2 latjcom syl3anc 3com23 eqtr4d ltrncom fveq2d 3eqtr4d
      oveq2d ) GMNZHENZUGZCBNZDBNZUAZCAOZDAOZFPZVEDCQZAOZFPZVDCDQZAOZFPVEVKFPVC
      VFVEVDFPZVIVCGUBNVDGUCOZNZVEVMNZVFVLRVCGURUSVAVBUDUEUTVAVNVBVMABCEGHVMUFZ
      JKLSUHUTVBVOVAVMABDEGHVPJKLSUIVMFGVDVEVPIUJUKUTVBVAVIVLRABDCEFGHIJKLTULUM
      ABCDEFGHIJKLTVCVKVHVEFVCVJVGABCDEGHJKUNUOUQUP $.
  $}

  $c TGrp $.
  $( Extend class notation with translation group. $)
  ctgrp $a class TGrp $.

  ${
    $d k w f g $.
    $( Define the class of all translation groups. ` k ` is normally a member
       of ` HL ` .  Each base set is the set of all lattice translations with
       respect to a hyperplane ` w ` , and the operation is function
       composition.  Similar to definition of G in [Crawley] p. 116, third
       paragraph (which defines this for geomodular lattices).  (Contributed by
       NM, 5-Jun-2013.) $)
    df-tgrp $a |- TGrp = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
       { <. ( Base ` ndx ) , ( ( LTrn ` k ) ` w ) >. ,
       <. ( +g ` ndx ) , ( f e. ( ( LTrn ` k ) ` w ) ,
             g e. ( ( LTrn ` k ) ` w ) |-> ( f o. g ) ) >. } ) ) $.
  $}

  ${
    $d x y z .+ $.  $d k w x y z H $.  $d f g k w x y z K $.  $d f g x y z T $.
    $d x y z B $.  $d x y z G $.  $d f g w x y z W $.  $d f g X $.  $d f g Y $.
    tgrpset.h $e |- H = ( LHyp ` K ) $.
    $( The translation group maps for a lattice ` K ` .  (Contributed by NM,
       5-Jun-2013.) $)
    tgrpfset $p |- ( K e. V -> ( TGrp ` K ) = ( w e. H
   |-> { <. ( Base ` ndx ) , ( ( LTrn ` K ) ` w ) >. ,
       <. ( +g ` ndx ) , ( f e. ( ( LTrn ` K ) ` w ) ,
             g e. ( ( LTrn ` K ) ` w ) |-> ( f o. g ) ) >. } ) ) $=
      ( vk wcel cvv ctgrp cfv cnx cv cltrn cop cmpo cpr cmpt clh ccom wceq elex
      cbs cplusg fveq2 eqtr4di fveq1d opeq2d eqidd mpoeq123dv preq12d mpteq12dv
      df-tgrp mptfvmpt syl ) EFIEJIEKLADMUDLZANZEOLZLZPZMUELZBCUTUTBNCNUAZQZPZR
      ZSUBEFUCAHVFTKAHNZTLZUQURVGOLZLZPZVBBCVJVJVCQZPZRZSDJEEVGEUBZAVHVNDVFVOVH
      ETLDVGETUFGUGVOVKVAVMVEVOVJUTUQVOURVIUSVGEOUFUHZUIVOVLVDVBVOBCVJVJVCUTUTV
      CVPVPVOVCUJUKUIULUMABCHUNGUOUP $.

    tgrpset.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    tgrpset.g $e |- G = ( ( TGrp ` K ) ` W ) $.
    $( The translation group for a fiducial co-atom ` W ` .  (Contributed by
       NM, 5-Jun-2013.) $)
    tgrpset $p |- ( ( K e. V /\ W e. H ) -> G
       = { <. ( Base ` ndx ) , T >. ,
       <. ( +g ` ndx ) , ( f e. T ,
             g e. T |-> ( f o. g ) ) >. } ) $=
      ( vw wcel cfv cnx cop cv cmpo cpr opeq2d ctgrp cbs cplusg ccom cltrn cmpt
      wa tgrpfset wceq fveq2 eqidd mpoeq123dv preq12d eqid prex fvmpt mpoeq123i
      fveq1d opeq2i preq12i eqtr4di sylan9eq syl5eq ) FGMZHEMZUGDHFUANZNZOUBNZA
      PZOUCNZBCAABQCQUDZRZPZSZKVDVEVGHLEVHLQZFUENZNZPZVJBCVQVQVKRZPZSZUFZNZVNVD
      HVFWBLBCEFGIUHURVEWCVHHVPNZPZVJBCWDWDVKRZPZSZVNLHWAWHEWBVOHUIZVRWEVTWGWIV
      QWDVHVOHVPUJZTWIVSWFVJWIBCVQVQVKWDWDVKWJWJWIVKUKULTUMWBUNWEWGUOUPVIWEVMWG
      AWDVHJUSVLWFVJBCAAVKWDWDVKJJVKUNUQUSUTVAVBVC $.

    ${
      tgrp.c $e |- C = ( Base ` G ) $.
      $( The base set of the translation group is the set of all translations
         (for a fiducial co-atom ` W ` ).  (Contributed by NM, 5-Jun-2013.) $)
      tgrpbase $p |- ( ( K e. V /\ W e. H ) -> C = T ) $=
        ( vf vg wcel cbs cfv cnx cop cv cvv cplusg ccom cmpo cpr tgrpset fveq2d
        wa wceq cltrn fvexi eqid grpbase ax-mp 3eqtr4g ) EFNGDNUGZCOPQOPBRQUAPL
        MBBLSMSUBUCZRUDZOPZABUOCUQOBLMCDEFGHIJUEUFKBTNBURUHBGEUIPIUJBUPUQTUQUKU
        LUMUN $.
    $}

    ${
      tgrp.o $e |- .+ = ( +g ` G ) $.
      $( The group operation of the translation group is function composition.
         (Contributed by NM, 5-Jun-2013.) $)
      tgrpopr $p |- ( ( K e. V /\ W e. H ) -> .+ = ( f e. T ,
             g e. T |-> ( f o. g ) ) ) $=
        ( wcel cplusg cfv cnx cop cv cvv cbs ccom cmpo cpr tgrpset fveq2d cltrn
        wa wceq fvexi mpoex eqid grpplusg ax-mp 3eqtr4g ) GHNIFNUHZEOPQUAPBRQOP
        CDBBCSDSUBZUCZRUDZOPZAURUPEUSOBCDEFGHIJKLUEUFMURTNURUTUICDBBUQBIGUGPKUJ
        ZVAUKBURUSTUSULUMUNUO $.

      $( The group operation value of the translation group is the composition
         of translations.  (Contributed by NM, 5-Jun-2013.) $)
      tgrpov $p |- ( ( K e. V /\ W e. H
                /\ ( X e. T /\ Y e. T ) )
              -> ( X .+ Y ) = ( X o. Y ) ) $=
        ( vf vg wcel co cv ccom wceq wa w3a tgrpopr 3adant3 oveqd simp3l simp3r
        cmpo cvv coexg 3ad2ant3 coeq1 coeq2 eqid ovmpog syl3anc eqtrd ) EFPZGDP
        ZHBPZIBPZUAZUBZHIAQHINOBBNRZORZSZUHZQZHISZVCAVGHIURUSAVGTVBABNOCDEFGJKL
        MUCUDUEVCUTVAVIUIPZVHVITURUSUTVAUFURUSUTVAUGVBURVJUSHIBBUJUKNOHIBBVFVIV
        GHVESUIVDHVEULVEIHUMVGUNUOUPUQ $.

      tgrp.b $e |- B = ( Base ` K ) $.
      $( Lemma for ~ tgrpgrp .  (Contributed by NM, 6-Jun-2013.) $)
      tgrpgrplem $p |- ( ( K e. HL /\ W e. H ) -> G e. Grp ) $=
        ( chlt wcel wa wceq co ccom tgrpov syl112anc vx vy vz ccnv cid cres cbs
        cv cfv eqid tgrpbase eqcomd cplusg a1i 3expa 3impb ltrnco eqeltrd coass
        w3a simpll simplr simpr1 simpr2 oveq1d simpl simpr3 eqtrd oveq2d idltrn
        syl3anc 3eqtr4a adantr simpr wf1o wf ltrn1o f1of 3syl ltrncnv f1ococnv1
        fcoi2 syl isgrpd ) FMNZGENZOZUAUBUCCBDUAUHZUDZUEAUFZWGDUGUIZCWKCDEFMGHI
        JWKUJUKULBDUMUIPWGKUNWGWHCNZUBUHZCNZUTWHWMBQZWHWMRZCWGWLWNWOWPPZWEWFWLW
        NOWQBCDEFMGWHWMHIJKSZUOUPCWHWMEFGHIUQZURWGWLWNUCUHZCNZUTZOZWPWTRZWHWMWT
        RZRZWOWTBQZWHWMWTBQZBQZWHWMWTUSXCXGWPWTBQZXDXCWOWPWTBXCWEWFWLWNWQWEWFXB
        VAZWEWFXBVBZWGWLWNXAVCZWGWLWNXAVDZWRTVEXCWEWFWPCNZXAXJXDPXKXLXCWGWLWNXO
        WGXBVFZXMXNWSVKWGWLWNXAVGZBCDEFMGWPWTHIJKSTVHXCXIWHXEBQZXFXCXHXEWHBXCWE
        WFWNXAXHXEPXKXLXNXQBCDEFMGWMWTHIJKSTVIXCWEWFWLXECNZXRXFPXKXLXMXCWGWNXAX
        SXPXNXQCWMWTEFGHIUQVKBCDEFMGWHXEHIJKSTVHVLACEFGLHIVJZWGWLOZWJWHBQZWJWHR
        ZWHYAWEWFWJCNZWLYBYCPWEWFWLVAZWEWFWLVBZWGYDWLXTVMWGWLVNZBCDEFMGWJWHHIJK
        STYAAAWHVOZAAWHVPYCWHPACWHEFMGLHIVQZAAWHVRAAWHWBVSVHCWHEFGHIVTZYAWIWHBQ
        ZWIWHRZWJYAWEWFWICNWLYKYLPYEYFYJYGBCDEFMGWIWHHIJKSTYAYHYLWJPYIAAWHWAWCV
        HWD $.
    $}
  $}

  ${
    tgrpgrp.h $e |- H = ( LHyp ` K ) $.
    tgrpgrp.g $e |- G = ( ( TGrp ` K ) ` W ) $.
    $( The translation group is a group.  (Contributed by NM, 6-Jun-2013.) $)
    tgrpgrp $p |- ( ( K e. HL /\ W e. H ) -> G e. Grp ) $=
      ( cbs cfv cplusg cltrn eqid tgrpgrplem ) CGHZAIHZDCJHHZABCDEOKFNKMKL $.

    $d f g G $.  $d f g H $.  $d f g K $.  $d f g W $.
    $( The translation group is an Abelian group.  Lemma G of [Crawley] p. 116.
       (Contributed by NM, 6-Jun-2013.) $)
    tgrpabl $p |- ( ( K e. HL /\ W e. H ) -> G e. Abel ) $=
      ( vf vg chlt wcel wa cfv eqid cv ccom co wceq tgrpov 3expa 3impb tgrpbase
      cltrn cplusg cbs eqcomd eqidd tgrpgrp w3a ltrncom 3com23 3eqtr4d isabld )
      CIJZDBJZKZGHDCUBLLZAUCLZAUOAUDLZUPURUPABCIDEUPMZFURMUAUEUOUQUFABCDEFUGUOG
      NZUPJZHNZUPJZUHUTVBOZVBUTOZUTVBUQPZVBUTUQPZUPUTVBBCDEUSUIUOVAVCVFVDQZUMUN
      VAVCKVHUQUPABCIDUTVBEUSFUQMZRSTUOVCVAVGVEQZUOVCVAVJUMUNVCVAKVJUQUPABCIDVB
      UTEUSFVIRSTUJUKUL $.
  $}

  $c TEndo $.
  $c EDRing $.
  $c EDRingR $.

  $( Extend class notation with translation group endomorphisms. $)
  ctendo $a class TEndo $.

  $( Extend class notation with division ring on trace-preserving
     endomorphisms. $)
  cedring $a class EDRing $.

  $( Extend class notation with division ring on trace-preserving
     endomorphisms, with multiplication reversed.  TODO: remove ` EDRingR `
     theorems if not used. $)
  cedring-rN $a class EDRingR $.

  ${
    $d k w f x y s t $.
    $( Define trace-preserving endomorphisms on the set of translations.
       (Contributed by NM, 8-Jun-2013.) $)
    df-tendo $a |- TEndo = ( k e. _V |-> ( w e. ( LHyp ` k ) |-> { f |
   ( f : ( ( LTrn ` k ) ` w ) --> ( ( LTrn ` k ) ` w )
      /\ A. x e. ( ( LTrn ` k ) ` w ) A. y e. ( ( LTrn ` k ) ` w )
       ( f ` ( x o. y ) ) = ( ( f ` x ) o. ( f ` y ) )
      /\ A. x e. ( ( LTrn ` k ) ` w ) ( ( ( trL ` k ) ` w ) ` ( f ` x ) )
         ( le ` k ) ( ( ( trL ` k ) ` w ) ` x ) ) } ) ) $.

    $( Define division ring on trace-preserving endomorphisms.  Definition of E
       of [Crawley] p. 117, 4th line from bottom.  (Contributed by NM,
       8-Jun-2013.) $)
    df-edring-rN $a |- EDRingR = ( k e. _V |-> ( w e. ( LHyp ` k ) |-> {
       <. ( Base ` ndx ) , ( ( TEndo ` k ) ` w ) >. ,
       <. ( +g ` ndx ) , ( s e. ( ( TEndo ` k ) ` w ) ,
               t e. ( ( TEndo ` k ) ` w ) |->
           ( f e. ( ( LTrn ` k ) ` w ) |-> ( ( s ` f ) o. ( t ` f ) ) ) ) >. ,
       <. ( .r ` ndx ) , ( s e. ( ( TEndo ` k ) ` w ) ,
               t e. ( ( TEndo ` k ) ` w ) |-> ( t o. s ) ) >. } ) ) $.

    $( Define division ring on trace-preserving endomorphisms.  The
       multiplication operation is reversed composition, per the definition of
       E of [Crawley] p. 117, 4th line from bottom.  (Contributed by NM,
       8-Jun-2013.) $)
    df-edring $a |- EDRing = ( k e. _V |-> ( w e. ( LHyp ` k ) |-> {
       <. ( Base ` ndx ) , ( ( TEndo ` k ) ` w ) >. ,
       <. ( +g ` ndx ) , ( s e. ( ( TEndo ` k ) ` w ) ,
               t e. ( ( TEndo ` k ) ` w ) |->
           ( f e. ( ( LTrn ` k ) ` w ) |-> ( ( s ` f ) o. ( t ` f ) ) ) ) >. ,
       <. ( .r ` ndx ) , ( s e. ( ( TEndo ` k ) ` w ) ,
               t e. ( ( TEndo ` k ) ` w ) |-> ( s o. t ) ) >. } ) ) $.
  $}

  ${
    $d k .<_ $.  $d k w H $.  $d s k w f g K $.  $d k R $.  $d k f g T $.
    tendoset.l $e |- .<_ = ( le ` K ) $.
    tendoset.h $e |- H = ( LHyp ` K ) $.
    $( The set of all trace-preserving endomorphisms on the set of translations
       for a lattice ` K ` .  (Contributed by NM, 8-Jun-2013.) $)
    tendofset $p |- ( K e. V -> ( TEndo ` K ) = ( w e. H
 |-> { s | ( s : ( ( LTrn ` K ) ` w ) --> ( ( LTrn ` K ) ` w )
      /\ A. f e. ( ( LTrn ` K ) ` w ) A. g e. ( ( LTrn ` K ) ` w )
       ( s ` ( f o. g ) ) = ( ( s ` f ) o. ( s ` g ) )
      /\ A. f e. ( ( LTrn ` K ) ` w ) ( ( ( trL ` K ) ` w ) ` ( s ` f ) )
         .<_ ( ( ( trL ` K ) ` w ) ` f ) ) } ) ) $=
      ( vk cfv cv cltrn wceq wral ctrl clh fveq2 fveq1d wcel cvv ctendo wf ccom
      wbr w3a cab cmpt elex eqtr4di feq23d raleqdv raleqbidv breq123d 3anbi123d
      cple abbidv mpteq12dv df-tendo mptfvmpt syl ) EGUAEUBUAEUCLADAMZENLZLZVEH
      MZUDZBMZCMZUEVFLVHVFLZVIVFLUEOZCVEPZBVEPZVJVCEQLZLZLZVHVOLZFUFZBVEPZUGZHU
      HZUIOEGUJAKWARUCAKMZRLZVCWBNLZLZWEVFUDZVKCWEPZBWEPZVJVCWBQLZLZLZVHWJLZWBU
      QLZUFZBWEPZUGZHUHZUIDUBEEWBEOZAWCWQDWAWRWCERLDWBERSJUKWRWPVTHWRWFVGWHVMWO
      VSWRWEWEVEVEVFWRVCWDVDWBENSTZWSULWRWGVLBWEVEWSWRVKCWEVEWSUMUNWRWNVRBWEVEW
      SWRWKVPWLVQWMFWRVJWJVOWRVCWIVNWBEQSTZTWRWMEUQLFWBEUQSIUKWRVHWJVOWTTUOUNUP
      URUSBCAHKUTJVAVB $.

    tendoset.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    tendoset.r $e |- R = ( ( trL ` K ) ` W ) $.
    tendoset.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    $d w .<_ $.  $d w R $.  $d s w T $.  $d s w f g W $.
    $( The set of trace-preserving endomorphisms on the set of translations for
       a fiducial co-atom ` W ` .  (Contributed by NM, 8-Jun-2013.) $)
    tendoset $p |- ( ( K e. V /\ W e. H ) -> E
  = { s | ( s : T --> T
      /\ A. f e. T A. g e. T
       ( s ` ( f o. g ) ) = ( ( s ` f ) o. ( s ` g ) )
      /\ A. f e. T ( R ` ( s ` f ) )
         .<_ ( R ` f ) ) } ) $=
      ( vw cfv cv wral wcel wa ctendo wf ccom wceq wbr w3a cltrn ctrl tendofset
      cab cmpt fveq1d feq23d raleqdv raleqbidv eqtr4di breq12d 3anbi123d abbidv
      fveq2 eqid cmap co cvv fvex mapval ovex eqeltrri simp1 ss2abi ssexi fvmpt
      feq23i raleqi raleqbii 3anbi123i abbii sylan9eq syl5eq ) GIUAZJFUAZUBEJGU
      CRZRZBBKSZUDZCSZDSZUEWFRWHWFRZWIWFRUEUFZDBTZCBTZWJARZWHARZHUGZCBTZUHZKULZ
      PWBWCWEJQFQSZGUIRZRZXBWFUDZWKDXBTZCXBTZWJWTGUJRZRZRZWHXGRZHUGZCXBTZUHZKUL
      ZUMZRZWSWBJWDXNQCDFGHIKLMUKUNWCXOJXARZXPWFUDZWKDXPTZCXPTZWPCXPTZUHZKULZWS
      QJXMYBFXNWTJUFZXLYAKYCXCXQXEXSXKXTYCXBXBXPXPWFWTJXAVBZYDUOYCXDXRCXBXPYDYC
      WKDXBXPYDUPUQYCXJWPCXBXPYDYCXHWNXIWOHYCWJXGAYCXGJXFRAWTJXFVBOURZUNYCWHXGA
      YEUNUSUQUTVAXNVCYBXQKULZXPXPVDVEYFVFXPXPKJXAVGZYGVHXPXPVDVIVJYAXQKXQXSXTV
      KVLVMVNWRYAKWGXQWMXSWQXTBBXPXPWFNNVOWLXRCBXPNWKDBXPNVPVQWPCBXPNVPVRVSURVT
      WA $.

    $d s R $.  $d s f g S $.  $d s .<_ $.
    $( The predicate "is a trace-preserving endomorphism".  Similar to
       definition of trace-preserving endomorphism in [Crawley] p. 117,
       penultimate line.  (Contributed by NM, 8-Jun-2013.) $)
    istendo $p |- ( ( K e. V /\ W e. H ) -> ( S e. E
 <-> ( S : T --> T
      /\ A. f e. T A. g e. T
       ( S ` ( f o. g ) ) = ( ( S ` f ) o. ( S ` g ) )
      /\ A. f e. T ( R ` ( S ` f ) )
         .<_ ( R ` f ) ) ) ) $=
      ( vs wcel cfv wral wa cv wf ccom wceq wbr w3a tendoset eleq2d cltrn fvexi
      cab cvv mpan2 3ad2ant1 feq1 fveq1 coeq12d eqeq12d 2ralbidv fveq2d ralbidv
      fex breq1d 3anbi123d elab3 bitrdi ) HJRKGRUAZBFRBCCQUBZUCZDUBZEUBZUDZVISZ
      VKVISZVLVISZUDZUEZECTDCTZVOASZVKASZIUFZDCTZUGZQULZRCCBUCZVMBSZVKBSZVLBSZU
      DZUEZECTDCTZWHASZWAIUFZDCTZUGZVHFWEBACDEFGHIJKQLMNOPUHUIWDWPQBUMWFWLBUMRZ
      WOWFCUMRWQCKHUJSNUKCCUMBVCUNUOVIBUEZVJWFVSWLWCWOCCVIBUPWRVRWKDECCWRVNWGVQ
      WJVMVIBUQWRVOWHVPWIVKVIBUQZVLVIBUQURUSUTWRWBWNDCWRVTWMWAIWRVOWHAWSVAVDVBV
      EVFVG $.

    $d f .<_ $.  $d f F $.  $d f R $.
    $( Trace-preserving property of a trace-preserving endomorphism.
       (Contributed by NM, 9-Jun-2013.) $)
    tendotp $p |- ( ( ( K e. V /\ W e. H )
             /\ S e. E /\ F e. T )
     -> ( R ` ( S ` F ) ) .<_ ( R ` F ) ) $=
      ( vf vg wcel cfv wral wa wbr wf cv ccom wceq w3a wi istendo fveq2 breq12d
      2fveq3 rspccv 3ad2ant3 syl6bi 3imp ) GIRJFRUAZBDRZECRZEBSASZEASZHUBZUQURC
      CBUCZPUDZQUDZUEBSVDBSZVEBSUEUFQCTPCTZVFASZVDASZHUBZPCTZUGUSVBUHZABCPQDFGH
      IJKLMNOUIVKVCVLVGVJVBPECVDEUFVHUTVIVAHVDEABULVDEAUJUKUMUNUOUP $.

    $d f g ph $.
    istendod.1 $e |- ( ph -> ( K e. V /\ W e. H ) ) $.
    istendod.2 $e |- ( ph -> S : T --> T ) $.
    istendod.3 $e |- ( ( ph
       /\ f e. T /\ g e. T )
     -> ( S ` ( f o. g ) ) = ( ( S ` f ) o. ( S ` g ) ) ) $.
    istendod.4 $e |- ( ( ph /\ f e. T )
     -> ( R ` ( S ` f ) ) .<_ ( R ` f ) ) $.
    $( Deduce the predicate "is a trace-preserving endomorphism".  (Contributed
       by NM, 9-Jun-2013.) $)
    istendod $p |- ( ph -> S e. E ) $=
      ( wcel wf cv ccom cfv wceq wral wbr 3expb ralrimivva ralrimiva wa istendo
      w3a wb syl mpbir3and ) ACGUBZDDCUCZEUDZFUDZUECUFVACUFZVBCUFUEUGZFDUHEDUHZ
      VCBUFVABUFJUIZEDUHZSAVDEFDDAVADUBVBDUBVDTUJUKAVFEDUAULAIKUBLHUBUMUSUTVEVG
      UOUPRBCDEFGHIJKLMNOPQUNUQUR $.
  $}

  ${
    $d f g K $.  $d f g S $.  $d f g T $.  $d f g W $.
    tendof.h $e |- H = ( LHyp ` K ) $.
    tendof.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    tendof.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    $( Functionality of a trace-preserving endomorphism.  (Contributed by NM,
       9-Jun-2013.) $)
    tendof $p |- ( ( ( K e. V /\ W e. H ) /\ S e. E )
          -> S : T --> T ) $=
      ( vf vg wcel wa wf cv ccom cfv wral eqid wceq ctrl cple wbr istendo simp1
      w3a syl6bi imp ) EFMGDMNZACMZBBAOZUJUKULKPZLPZQARUMARZUNARQUALBSKBSZUOGEU
      BRRZRUMUQREUCRZUDKBSZUGULUQABKLCDEURFGURTHIUQTJUEULUPUSUFUHUI $.

    $d f U $.  $d f V $.
    $( Condition determining equality of two trace-preserving endomorphisms.
       (Contributed by NM, 11-Jun-2013.) $)
    tendoeq1 $p |- ( ( ( K e. HL /\ W e. H )
          /\ ( U e. E /\ V e. E )
          /\ A. f e. T ( U ` f ) = ( V ` f ) ) -> U = V ) $=
      ( chlt wcel wa cfv wceq wfn wf tendof syl2anc cv wral w3a simp3 wb simp2l
      simp1 ffnd simp2r eqfnfv mpbird ) FLMHEMNZBDMZGDMZNZCUAZBOUPGOPCAUBZUCZBG
      PZUQULUOUQUDURBAQGAQUSUQUEURAABURULUMAABRULUOUQUGZULUMUNUQUFBADEFLHIJKSTU
      HURAAGURULUNAAGRUTULUMUNUQUIGADEFLHIJKSTUHCABGUJTUK $.

    $d f g F $.  $d g G $.
    $( Value of composition of translations in a trace-preserving endomorphism.
       (Contributed by NM, 9-Jun-2013.) $)
    tendovalco $p |- ( ( ( K e. V /\ W e. H /\ S e. E )
       /\ ( F e. T /\ G e. T ) )
     -> ( S ` ( F o. G ) ) = ( ( S ` F ) o. ( S ` G ) ) ) $=
      ( vf vg wcel w3a ccom cfv wceq wral wa wi wf ctrl cple eqid istendo coeq1
      wbr fveq2d fveq2 coeq1d eqeq12d coeq2 coeq2d rspc2v com12 3ad2ant2 syl6bi
      cv 3impia imp ) GHOZIFOZACOZPDBOEBOUAZDEQZARZDARZEARZQZSZVCVDVEVFVLUBZVCV
      DUAVEBBAUCZMUTZNUTZQZARZVOARZVPARZQZSZNBTMBTZVSIGUDRRZRVOWDRGUERZUIMBTZPV
      MWDABMNCFGWEHIWEUFJKWDUFLUGWCVNVMWFVFWCVLWBVLDVPQZARZVIVTQZSMNDEBBVODSZVR
      WHWAWIWJVQWGAVODVPUHUJWJVSVIVTVODAUKULUMVPESZWHVHWIVKWKWGVGAVPEDUNUJWKVTV
      JVIVPEAUKUOUMUPUQURUSVAVB $.

    $( Value of composition of endomorphisms in a trace-preserving
       endomorphism.  (Contributed by NM, 9-Jun-2013.) $)
    tendocoval $p |- ( ( ( K e. X /\ W e. H )
       /\ ( U e. E /\ V e. E )
       /\ F e. T )
     -> ( ( U o. V ) ` F ) = ( U ` ( V ` F ) ) ) $=
      ( wcel wa w3a wf ccom cfv wceq syl2anc simp1 simp2r tendof simp3 fvco3 )
      FIMHEMNZBCMZGCMZNZDAMZOZAAGPZUJDBGQRDGRBRSUKUFUHULUFUIUJUAUFUGUHUJUBGACEF
      IHJKLUCTUFUIUJUDAADBGUET $.

    $( Closure of a trace-preserving endomorphism.  (Contributed by NM,
       9-Jun-2013.) $)
    tendocl $p |- ( ( ( K e. V /\ W e. H ) /\ S e. E /\ F e. T )
     -> ( S ` F ) e. T ) $=
      ( wcel wa w3a wf tendof 3adant3 simp3 ffvelrnd ) FGLHELMZACLZDBLZNBBDATUA
      BBAOUBABCEFGHIJKPQTUAUBRS $.

    $( Distribution of compositions in preparation for endomorphism sum
       definition.  (Contributed by NM, 10-Jun-2013.) $)
    tendoco2 $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( U e. E /\ V e. E )
       /\ ( F e. T /\ G e. T ) )
     -> ( ( U ` ( F o. G ) ) o. ( V ` ( F o. G ) ) )
          = ( ( ( U ` F ) o. ( V ` F ) ) o. ( ( U ` G ) o. ( V ` G ) ) ) ) $=
      ( chlt wcel wa ccom cfv wceq tendovalco syl3anc w3a simp1l simp1r coeq12d
      simp2l simp3l simp3r syl32anc simp2r simp1 tendocl ltrnco4 eqtrd ) GMNZIF
      NZOZBCNZHCNZOZDANZEANZOZUAZDEPZBQZVDHQZPDBQZEBQZPZDHQZEHQZPZPZVGVJPVHVKPP
      ZVCVEVIVFVLVCUNUOUQUTVAVEVIRUNUOUSVBUBZUNUOUSVBUCZUPUQURVBUEZUPUSUTVAUFZU
      PUSUTVAUGZBACDEFGMIJKLSUHVCUNUOURUTVAVFVLRVOVPUPUQURVBUIZVRVSHACDEFGMIJKL
      SUHUDVCUPVHANZVJANZVMVNRUPUSVBUJZVCUPUQVAWAWCVQVSBACEFGMIJKLUKTVCUPURUTWB
      WCVTVRHACDFGMIJKLUKTVGAVHVJVKFGIJKULTUM $.

    $d f g H $.
    $( The identity is a trace-preserving endomorphism.  (Contributed by NM,
       30-Jul-2013.) $)
    tendoidcl $p |- ( ( K e. HL /\ W e. H )
   -> ( _I |` T ) e. E ) $=
      ( vf vg chlt wcel wa ctrl cfv eqid cv ccom wceq fvresi cid cres cple wf1o
      id wf f1oi f1of mp1i w3a ltrnco syl 3ad2ant2 coeq12d eqtr4d adantl fveq2d
      3ad2ant3 clat cbs hllat ad2antrr trlcl latref syl2anc eqbrtrd istendod
      wbr ) DKLZECLZMZEDNOOZUAAUBZAIJBCDDUCOZKEVNPZFGVLPZHVKUEAAVMUDAAVMUFVKAUG
      AAVMUHUIVKIQZALZJQZALZUJZVQVSRZVMOZWBVQVMOZVSVMOZRWAWBALWCWBSAVQVSCDEFGUK
      AWBTULWAWDVQWEVSVRVKWDVQSZVTAVQTZUMVTVKWEVSSVRAVSTURUNUOVKVRMZWDVLOVQVLOZ
      WIVNWHWDVQVLVRWFVKWGUPUQWHDUSLZWIDUTOZLWIWIVNVHVIWJVJVRDVAVBWKVLAVQCDEWKP
      ZFGVPVCWKDVNWIWLVOVDVEVFVG $.

    $( Multiplicative identity multiplied by a trace-preserving endomorphism.
       (Contributed by NM, 20-Nov-2013.) $)
    tendo1mul $p |- ( ( ( K e. HL /\ W e. H ) /\ U e. E )
   -> ( ( _I |` T ) o. U ) = U ) $=
      ( chlt wcel wa wf cid cres ccom wceq tendof fcoi2 syl ) EJKFDKLBCKLAABMNA
      OBPBQBACDEJFGHIRAABST $.

    $( Multiplicative identity multiplied by a trace-preserving endomorphism.
       (Contributed by NM, 20-Nov-2013.) $)
    tendo1mulr $p |- ( ( ( K e. HL /\ W e. H ) /\ U e. E )
   -> ( U o. ( _I |` T ) ) = U ) $=
      ( chlt wcel wa wf cid cres ccom wceq tendof fcoi1 syl ) EJKFDKLBCKLAABMBN
      AOPBQBACDEJFGHIRAABST $.
  $}

  ${
    $d f g E $.  $d f g H $.  $d f g K $.  $d f g S $.  $d f g T $.
    $d f g W $.
    tendoco.h $e |- H = ( LHyp ` K ) $.
    tendoco.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    $( The composition of two trace-preserving endomorphisms (multiplication in
       the endormorphism ring) is a trace-preserving endomorphism.
       (Contributed by NM, 9-Jun-2013.) $)
    tendococl $p |- ( ( ( K e. HL /\ W e. H ) /\ S e. E /\ T e. E )
     -> ( S o. T ) e. E ) $=
      ( chlt wcel cfv ccom eqid wf syl2anc tendocl syl3anc tendocoval syl221anc
      wceq vf vg wa w3a ctrl cltrn cple simp1 simp2 tendof simp3 fco cv simp11l
      simp11r simp13 tendovalco syl32anc fveq2d simp12 simp11 syl121anc coeq12d
      eqtrd ltrnco 3eqtr4d cbs simpl1l hllatd simpl1 simpl2 simpr eqeltrd trlcl
      simpl3 simpl1r wbr tendotp eqbrtrd lattrd istendod ) EIJZFDJZUCZACJZBCJZU
      DZFEUEKKZABLZFEUFKKZUAUBCDEEUGKZIFWKMZGWJMZWHMZHWDWEWFUHZWGWJWJANZWJWJBNZ
      WJWJWINWGWDWEWPWOWDWEWFUIAWJCDEIFGWMHUJOWGWDWFWQWOWDWEWFUKBWJCDEIFGWMHUJO
      WJWJWJABULOWGUAUMZWJJZUBUMZWJJZUDZWRWTLZBKZAKZWRBKZAKZWTBKZAKZLZXCWIKZWRW
      IKZWTWIKZLXBXEXFXHLZAKZXJXBXDXNAXBWBWCWFWSXAXDXNTWBWCWEWFWSXAUNZWBWCWEWFW
      SXAUOZWDWEWFWSXAUPZWGWSXAUIZWGWSXAUKZBWJCWRWTDEIFGWMHUQURUSXBWBWCWEXFWJJZ
      XHWJJZXOXJTXPXQWDWEWFWSXAUTZXBWDWFWSYAWDWEWFWSXAVAZXRXSBWJCWRDEIFGWMHPZQX
      BWDWFXAYBYDXRXTBWJCWTDEIFGWMHPQAWJCXFXHDEIFGWMHUQURVDXBWDWEWFXCWJJZXKXETY
      DYCXRXBWDWSXAYFYDXSXTWJWRWTDEFGWMVEQWJACXCDEBFIGWMHRVBXBXLXGXMXIXBWBWCWEW
      FWSXLXGTZXPXQYCXRXSWJACWRDEBFIGWMHRZSXBWBWCWEWFXAXMXITXPXQYCXRXTWJACWTDEB
      FIGWMHRSVCVFWGWSUCZEVGKZEWKXLWHKZXFWHKZWRWHKZYJMZWLYIEWBWCWEWFWSVHZVIYIWD
      XLWJJYKYJJWDWEWFWSVJZYIXLXGWJYIWDWEWFWSYGYPWDWEWFWSVKZWDWEWFWSVOZWGWSVLZY
      HVBYIWDWEYAXGWJJYPYQYIWDWFWSYAYPYRYSYEQZAWJCXFDEIFGWMHPQVMYJWHWJXLDEFYNGW
      MWNVNOYIWDYAYLYJJYPYTYJWHWJXFDEFYNGWMWNVNOYIWDWSYMYJJYPYSYJWHWJWRDEFYNGWM
      WNVNOYIYKXGWHKZYLWKYIXLXGWHYIWBWCWEWFWSYGYOWBWCWEWFWSVPYQYRYSYHSUSYIWDWEY
      AUUAYLWKVQYPYQYTWHAWJCXFDEWKIFWLGWMWNHVRQVSYIWDWFWSYLYMWKVQYPYRYSWHBWJCWR
      DEWKIFWLGWMWNHVRQVTWA $.
  $}

  ${
    tendoid.b $e |- B = ( Base ` K ) $.
    tendoid.h $e |- H = ( LHyp ` K ) $.
    tendoid.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    $( The identity value of a trace-preserving endomorphism.  (Contributed by
       NM, 21-Jun-2013.) $)
    tendoid $p |- ( ( ( K e. HL /\ W e. H ) /\ S e. E )
     -> ( S ` ( _I |` B ) ) = ( _I |` B ) ) $=
      ( chlt wcel wa cfv wceq wbr eqid adantr mpd3an3 wb syldan cres ctrl cltrn
      cid cp0 cple idltrn tendotp trlid0 breqtrd cops hlop ad2antrr trlcl ople0
      tendocl syl2anc mpbid trlid0b mpbird ) EJKZFDKZLZBCKZLZUDAUAZBMZVFNZVGFEU
      BMMZMZEUEMZNZVEVJVKEUFMZOZVLVEVJVFVIMZVKVMVCVDVFFEUCMMZKZVJVOVMOVCVQVDAVP
      DEFGHVPPZUGQZVIBVPCVFDEVMJFVMPZHVRVIPZIUHRVCVOVKNVDAVIDEFVKGVKPZHWAUIQUJV
      EEUKKZVJAKZVNVLSVAWCVBVDEULUMVCVDVGVPKZWDVCVDVQWEVSBVPCVFDEJFHVRIUPRZAVIV
      PVGDEFGHVRWAUNTAEVMVJVKGVTWBUOUQURVCVDWEVHVLSWFAVIVPVGDEFVKGWBHVRWAUSTUT
      $.
  $}

  ${
    $d f E $.  $d f H $.  $d f K $.  $d f T $.  $d f W $.  $d f U $.  $d f V $.
    tendoeq2.b $e |- B = ( Base ` K ) $.
    tendoeq2.h $e |- H = ( LHyp ` K ) $.
    tendoeq2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    tendoeq2.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    $( Condition determining equality of two trace-preserving endomorphisms,
       showing it is unnecessary to consider the identity translation.  In
       ~ tendocan , we show that we only need to consider a single non-identity
       translation.  (Contributed by NM, 21-Jun-2013.) $)
    tendoeq2 $p |- ( ( ( K e. HL /\ W e. H )
          /\ ( U e. E /\ V e. E )
          /\ A. f e. T ( f =/= ( _I |` B ) -> ( U ` f ) = ( V ` f ) ) )
     -> U = V ) $=
      ( wcel wa cfv wceq wi wral tendoid chlt cv cid wne adantrr adantrl eqtr4d
      cres fveq2 eqeq12d syl5ibrcom ralrimivw r19.26 wo wb exmidne pm5.5 bitr3i
      jaob ax-mp ralbii tendoeq1 3expia syl5bi mpand 3impia ) GUANIFNOZCENZHENZ
      OZDUBZUCAUHZUDZVKCPZVKHPZQZRZDBSZCHQZVGVJOZVKVLQZVPRZDBSZVRVSVTWBDBVTVPWA
      VLCPZVLHPZQVTWDVLWEVGVHWDVLQVIACEFGIJKMTUEVGVIWEVLQVHAHEFGIJKMTUFUGWAVNWD
      VOWEVKVLCUIVKVLHUIUJUKULWCVROZVPDBSZVTVSWFWBVQOZDBSWGWBVQDBUMWHVPDBWHWAVM
      UNZVPRZVPWAVPVMUSWIWJVPUOVKVLUPWIVPUQUTURVAURVGVJWGVSBCDEFGHIKLMVBVCVDVEV
      F $.
  $}

  ${
    $d s t u v E $.  $d f g s t u v T $.  $d f g s t u v W $.
    tendoplcbv.p $e |- P = ( s e. E ,
               t e. E |->
           ( f e. T |-> ( ( s ` f ) o. ( t ` f ) ) ) ) $.
    $( Define sum operation for trace-preserving endomorphisms.  Change bound
       variables to isolate them later.  (Contributed by NM, 11-Jun-2013.) $)
    tendoplcbv $p |- P = ( u e. E ,
               v e. E |->
           ( g e. T |-> ( ( u ` g ) o. ( v ` g ) ) ) ) $=
      ( cv cfv ccom cmpt cmpo weq fveq1 coeq1d mpteq2dv fveq2 coeq12d cbvmptv
      coeq2d eqtrdi cbvmpov eqtri ) DICHHFEFKZIKZLZUGCKZLZMZNZOBAHHGEGKZBKZLZUN
      AKZLZMZNZOJICBAHHUMUTFEUGUOLZUKMZNZIBPZFEULVBVDUIVAUKUGUHUOQRSCAPZVCFEVAU
      GUQLZMZNUTVEFEVBVGVEUKVFVAUGUJUQQUCSFGEVGUSFGPVAUPVFURUGUNUOTUGUNUQTUAUBU
      DUEUF $.

    $d g u v U $.  $d g u v V $.
    tendopl2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Value of endomorphism sum operation.  (Contributed by NM,
       10-Jun-2013.) $)
    tendopl $p |- ( ( U e. E /\ V e. E ) -> ( U P V )
          = ( g e. T |-> ( ( U ` g ) o. ( V ` g ) ) ) ) $=
      ( vu vv cv cfv ccom cmpt wceq fveq1 mpteq2dv tendoplcbv cltrn fvexi mptex
      coeq1d coeq2d ovmpo ) NODIGGFCFPZNPZQZUJOPZQZRZSFCUJDQZUJIQZRZSBFCUPUNRZS
      UKDTZFCUOUSUTULUPUNUJUKDUAUGUBUMITZFCUSURVAUNUQUPUJUMIUAUHUBONABCEFGKLUCF
      CURCJHUDQMUEUFUI $.

    $d g E $.  $d g F $.
    $( Value of result of endomorphism sum operation.  (Contributed by NM,
       10-Jun-2013.) $)
    tendopl2 $p |- ( ( U e. E /\ V e. E /\ F e. T )
     -> ( ( U P V ) ` F )
          = ( ( U ` F ) o. ( V ` F ) ) ) $=
      ( vg wcel cfv ccom cvv wceq fveq2 w3a cmpt tendopl 3adant3 coeq12d adantl
      cv co simp3 fvex coex a1i fvmptd ) DFOZIFOZGCOZUAZNGNUGZDPZURIPZQZGDPZGIP
      ZQZCDIBUHZRUNUOVENCVAUBSUPABCDENFHIJKLMUCUDURGSZVAVDSUQVFUSVBUTVCURGDTURG
      ITUEUFUNUOUPUIVDROUQVBVCGDUJGIUJUKULUM $.
  $}

  ${
    tendopl.h $e |- H = ( LHyp ` K ) $.
    tendopl.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    tendopl.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    tendopl.p $e |- P = ( s e. E , t e. E
  |-> ( f e. T |-> ( ( s ` f ) o. ( t ` f ) ) ) ) $.
    $d s t E $.  $d f s t T $.  $d f s t W $.
    $( Value of result of endomorphism sum operation.  (Contributed by NM,
       10-Jun-2013.) $)
    tendoplcl2 $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( U e. E /\ V e. E )
       /\ F e. T )
     -> ( ( U P V ) ` F ) e. T ) $=
      ( chlt wcel wa cfv w3a co ccom wceq tendopl2 3expa 3adant1 simp1 3adant2r
      tendocl 3adant2l ltrnco syl3anc eqeltrd ) IQRKHRSZDFRZJFRZSZGCRZUAZGDJBUB
      TZGDTZGJTZUCZCURUSVAVDUDZUOUPUQUSVEABCDEFGIJKLPNUEUFUGUTUOVBCRZVCCRZVDCRU
      OURUSUHUOUPUSVFUQDCFGHIQKMNOUJUIUOUQUSVGUPJCFGHIQKMNOUJUKCVBVCHIKMNULUMUN
      $.

    $d f G $.
    $( Value of result of endomorphism sum operation on a translation
       composition.  (Contributed by NM, 10-Jun-2013.) $)
    tendoplco2 $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( U e. E /\ V e. E )
       /\ ( F e. T /\ G e. T ) )
     -> ( ( U P V ) ` ( F o. G ) )
          = ( ( ( U P V ) ` F ) o. ( ( U P V ) ` G ) ) ) $=
      ( wcel ccom cfv chlt wa w3a co tendoco2 wceq simp3l simp3r ltrnco syl3anc
      simp1 simp2l simp2r simp3 tendopl2 syld3an3 coeq12d 3eqtr4d ) JUARLIRUBZD
      FRZKFRZUBZGCRZHCRZUBZUCZGHSZDTVGKTSZGDTGKTSZHDTHKTSZSVGDKBUDZTZGVKTZHVKTZ
      SCDFGHIJKLNOPUEUSVBVEVGCRZVLVHUFZVFUSVCVDVOUSVBVEUKUSVBVCVDUGZUSVBVCVDUHZ
      CGHIJLNOUIUJUSVBVOUCUTVAVOVPUSUTVAVOULUSUTVAVOUMUSVBVOUNABCDEFVGJKLMQOUOU
      JUPVFVMVIVNVJVFUTVAVCVMVIUFUSUTVAVEULZUSUTVAVEUMZVQABCDEFGJKLMQOUOUJVFUTV
      AVDVNVJUFVSVTVRABCDEFHJKLMQOUOUJUQUR $.

    ${
      tendopltp.l $e |- .<_ = ( le ` K ) $.
      tendopltp.r $e |- R = ( ( trL ` K ) ` W ) $.
      $( Trace-preserving property of endomorphism sum operation ` P ` , based
         on Theorems ~ trlco .  Part of remark in [Crawley] p. 118, 2nd line,
         "it is clear from the second part of G (our ~ trlco ) that Delta is a
         subring of E." (In our development, we will bypass their E and go
         directly to their Delta, whose base set is our
         ` ( TEndo `` K ) `` W ` .)  (Contributed by NM, 9-Jun-2013.) $)
      tendopltp $p |- ( ( ( K e. HL /\ W e. H )
               /\ ( U e. E /\ V e. E )
               /\ F e. T )
       -> ( R ` ( ( U P V ) ` F ) ) .<_ ( R ` F ) ) $=
        ( chlt wcel wa w3a cbs cfv co eqid simp1l hllatd simp1 tendoplcl2 trlcl
        syl2anc clat tendocl 3adant2r 3adant2l latjcl syl3anc simp3 ccom simp2l
        cjn wceq simp2r tendopl2 fveq2d trlco eqbrtrd tendotp latjle12 syl13anc
        wbr wb mpbi2and lattrd ) JUAUBZMIUBZUCZEGUBZLGUBZUCZHDUBZUDZJUEUFZJKHEL
        BUGUFZCUFZHEUFZCUFZHLUFZCUFZJVDUFZUGZHCUFZWFUHZSWEJVRVSWCWDUIUJZWEVTWGD
        UBWHWFUBVTWCWDUKZABDEFGHIJLMNOPQRULWFCDWGIJMWPOPTUMUNWEJUOUBZWJWFUBZWLW
        FUBZWNWFUBWQWEVTWIDUBZWTWRVTWAWDXBWBEDGHIJUAMOPQUPUQZWFCDWIIJMWPOPTUMUN
        ZWEVTWKDUBZXAWRVTWBWDXEWALDGHIJUAMOPQUPURZWFCDWKIJMWPOPTUMUNZWFWMJWJWLW
        PWMUHZUSUTWEVTWDWOWFUBZWRVTWCWDVAZWFCDHIJMWPOPTUMUNZWEWHWIWKVBZCUFZWNKW
        EWGXLCWEWAWBWDWGXLVEVTWAWBWDVCVTWAWBWDVFXJABDEFGHJLMNRPVGUTVHWEVTXBXEXM
        WNKVNWRXCXFCDWIWKIWMJKMSXHOPTVIUTVJWEWJWOKVNZWLWOKVNZWNWOKVNZVTWAWDXNWB
        CEDGHIJKUAMSOPTQVKUQVTWBWDXOWACLDGHIJKUAMSOPTQVKURWEWSWTXAXIXNXOUCXPVOW
        QXDXGXKWFWMJKWJWLWOWPSXHVLVMVPVQ $.
    $}

    $d g h i s t E $.  $d g h i H $.  $d g h i K $.  $d h i P $.  $d g h i T $.
    $d g h i U $.  $d g h i V $.  $d f g h i W $.
    $( Endomorphism sum is a trace-preserving endomorphism.  (Contributed by
       NM, 10-Jun-2013.) $)
    tendoplcl $p |- ( ( ( K e. HL /\ W e. H ) /\ U e. E /\ V e. E )
     -> ( U P V ) e. E ) $=
      ( vg chlt wcel wa cfv vh vi w3a ctrl co cple eqid simp1 wf cv ccom simpl1
      cmpt simpl2 simpr tendocl syl3anc simpl3 ltrnco fmpttd wceq tendopl feq1d
      3adant1 mpbird simp11 simp12 simp13 3simpc tendoplco2 syl121anc tendopltp
      wbr istendod ) HQRJGRSZDFRZIFRZUCZJHUDTTZDIBUEZCUAUBFGHHUFTZQJWAUGZLMVSUG
      ZNVOVPVQUHVRCCVTUICCPCPUJZDTZWDITZUKZUMZUIVRPCWGCVRWDCRZSZVOWECRZWFCRZWGC
      RVOVPVQWIULZWJVOVPWIWKWMVOVPVQWIUNVRWIUOZDCFWDGHQJLMNUPUQWJVOVQWIWLWMVOVP
      VQWIURWNICFWDGHQJLMNUPUQCWEWFGHJLMUSUQUTVRCCVTWHVPVQVTWHVAVOABCDEPFHIJKOM
      VBVDVCVEVRUAUJZCRZUBUJZCRZUCVOVPVQWPWRSWOWQUKVTTWOVTTZWQVTTUKVAVOVPVQWPWR
      VFVOVPVQWPWRVGVOVPVQWPWRVHVRWPWRVIABCDEFWOWQGHIJKLMNOVJVKVRWPSVOVPVQWPWSV
      STWOVSTWAVMVOVPVQWPULVOVPVQWPUNVOVPVQWPURVRWPUOABVSCDEFWOGHWAIJKLMNOWBWCV
      LVKVN $.

    $d g P $.
    $( The endomorphism sum operation is commutative.  (Contributed by NM,
       11-Jun-2013.) $)
    tendoplcom $p |- ( ( ( K e. HL /\ W e. H ) /\ U e. E /\ V e. E )
     -> ( U P V ) = ( V P U ) ) $=
      ( vg wcel cfv wceq syl3anc chlt wa co cv wral simp1 tendoplcl 3com23 ccom
      w3a simpl1 simpl2 simpr tendocl simpl3 ltrncom tendopl2 3eqtr4d ralrimiva
      tendoeq1 syl121anc ) HUAQJGQUBZDFQZIFQZUJZVBDIBUCZFQIDBUCZFQZPUDZVFRZVIVG
      RZSZPCUEVFVGSVBVCVDUFABCDEFGHIJKLMNOUGVBVDVCVHABCIEFGHDJKLMNOUGUHVEVLPCVE
      VICQZUBZVIDRZVIIRZUIZVPVOUIZVJVKVNVBVOCQZVPCQZVQVRSVBVCVDVMUKZVNVBVCVMVSW
      AVBVCVDVMULZVEVMUMZDCFVIGHUAJLMNUNTVNVBVDVMVTWAVBVCVDVMUOZWCICFVIGHUAJLMN
      UNTCVOVPGHJLMUPTVNVCVDVMVJVQSWBWDWCABCDEFVIHIJKOMUQTVNVDVCVMVKVRSWDWBWCAB
      CIEFVIHDJKOMUQTURUSCVFPFGHVGJLMNUTVA $.

    $d g S $.
    $( The endomorphism sum operation is associative.  (Contributed by NM,
       11-Jun-2013.) $)
    tendoplass $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( S e. E /\ U e. E /\ V e. E ) )
     -> ( ( S P U ) P V ) = ( S P ( U P V ) ) ) $=
      ( wcel cfv wceq syl3anc vg chlt wa w3a co cv wral simpr1 simpr2 tendoplcl
      simpl simpr3 coass simplr1 simplr2 tendopl2 coeq1d simplr3 coeq2d 3eqtr4a
      ccom simpr adantr 3eqtr4d ralrimiva tendoeq1 syl121anc ) IUBQKHQUCZCGQZEG
      QZJGQZUDZUCZVHCEBUEZJBUEZGQZCEJBUEZBUEZGQZUAUFZVORZVTVRRZSZUADUGVOVRSVHVL
      UKZVMVHVNGQZVKVPWDVMVHVIVJWEWDVHVIVJVKUHZVHVIVJVKUIZABDCFGHIEKLMNOPUJTZVH
      VIVJVKULZABDVNFGHIJKLMNOPUJTVMVHVIVQGQZVSWDWFVMVHVJVKWJWDWGWIABDEFGHIJKLM
      NOPUJTZABDCFGHIVQKLMNOPUJTVMWCUADVMVTDQZUCZVTVNRZVTJRZVAZVTCRZVTVQRZVAZWA
      WBWMWQVTERZVAZWOVAWQWTWOVAZVAWPWSWQWTWOUMWMWNXAWOWMVIVJWLWNXASVIVJVKVHWLU
      NZVIVJVKVHWLUOZVMWLVBZABDCFGVTIEKLPNUPTUQWMWRXBWQWMVJVKWLWRXBSXDVIVJVKVHW
      LURZXEABDEFGVTIJKLPNUPTUSUTWMWEVKWLWAWPSVMWEWLWHVCXFXEABDVNFGVTIJKLPNUPTW
      MVIWJWLWBWSSXCVMWJWLWKVCXEABDCFGVTIVQKLPNUPTVDVEDVOUAGHIVRKMNOVFVG $.

    $( Endomorphism composition distributes over sum.  (Contributed by NM,
       13-Jun-2013.) $)
    tendodi1 $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( S e. E /\ U e. E /\ V e. E ) )
     -> ( S o. ( U P V ) ) = ( ( S o. U ) P ( S o. V ) ) ) $=
      ( wcel cfv wceq syl3anc vg chlt wa w3a co ccom simpl simpr1 simpr2 simpr3
      cv wral tendoplcl tendococl simplll simpllr simplr1 simplr2 simpr tendocl
      simpll simplr3 tendovalco syl32anc tendopl2 tendocoval syl221anc 3eqtr4rd
      fveq2d coeq12d syl121anc ralrimiva tendoeq1 ) IUBQZKHQZUCZCGQZEGQZJGQZUDZ
      UCZVPCEJBUEZUFZGQZCEUFZCJUFZBUEZGQZUAUKZWCRZWIWGRZSZUADULWCWGSVPVTUGZWAVP
      VQWBGQZWDWMVPVQVRVSUHZWAVPVRVSWNWMVPVQVRVSUIZVPVQVRVSUJZABDEFGHIJKLMNOPUM
      ZTCWBGHIKMOUNTWAVPWEGQZWFGQZWHWMWAVPVQVRWSWMWOWPCEGHIKMOUNZTWAVPVQVSWTWMW
      OWQCJGHIKMOUNZTABDWEFGHIWFKLMNOPUMTWAWLUADWAWIDQZUCZWIWERZWIWFRZUFZWIWBRZ
      CRZWKWJXDWIERZWIJRZUFZCRZXJCRZXKCRZUFZXIXGXDVNVOVQXJDQZXKDQZXMXPSVNVOVTXC
      UOZVNVOVTXCUPZVQVRVSVPXCUQZXDVPVRXCXQVPVTXCVAZVQVRVSVPXCURZWAXCUSZEDGWIHI
      UBKMNOUTTXDVPVSXCXRYBVQVRVSVPXCVBZYDJDGWIHIUBKMNOUTTCDGXJXKHIUBKMNOVCVDXD
      XHXLCXDVRVSXCXHXLSYCYEYDABDEFGWIIJKLPNVETVIXDXEXNXFXOXDVNVOVQVRXCXEXNSXSX
      TYAYCYDDCGWIHIEKUBMNOVFVGXDVNVOVQVSXCXFXOSXSXTYAYEYDDCGWIHIJKUBMNOVFVGVJV
      HXDWSWTXCWKXGSXDVPVQVRWSYBYAYCXATXDVPVQVSWTYBYAYEXBTYDABDWEFGWIIWFKLPNVET
      XDVPVQWNXCWJXISYBYAXDVPVRVSWNYBYCYEWRTYDDCGWIHIWBKUBMNOVFVKVHVLDWCUAGHIWG
      KMNOVMVK $.

    $( Endomorphism composition distributes over sum.  (Contributed by NM,
       13-Jun-2013.) $)
    tendodi2 $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( S e. E /\ U e. E /\ V e. E ) )
     -> ( ( S P U ) o. V ) = ( ( S o. V ) P ( U o. V ) ) ) $=
      ( wcel cfv wceq syl3anc vg chlt wa co ccom cv wral simpl simpr1 tendoplcl
      simpr2 simpr3 tendococl simpll simplr1 simplr2 simpr tendocoval syl121anc
      simplr3 simplll simpllr syl221anc coeq12d tendopl2 tendocl 3eqtr4rd eqtrd
      w3a ralrimiva tendoeq1 ) IUBQZKHQZUCZCGQZEGQZJGQZVIZUCZVNCEBUDZJUEZGQZCJU
      EZEJUEZBUDZGQZUAUFZWARZWGWERZSZUADUGWAWESVNVRUHZVSVNVTGQZVQWBWKVSVNVOVPWL
      WKVNVOVPVQUIZVNVOVPVQUKZABDCFGHIEKLMNOPUJZTVNVOVPVQULZVTJGHIKMOUMTVSVNWCG
      QZWDGQZWFWKVSVNVOVQWQWKWMWPCJGHIKMOUMZTVSVNVPVQWRWKWNWPEJGHIKMOUMZTABDWCF
      GHIWDKLMNOPUJTVSWJUADVSWGDQZUCZWHWGJRZVTRZWIXBVNWLVQXAWHXDSVNVRXAUNZXBVNV
      OVPWLXEVOVPVQVNXAUOZVOVPVQVNXAUPZWOTVOVPVQVNXAUTZVSXAUQZDVTGWGHIJKUBMNOUR
      USXBWGWCRZWGWDRZUEZXCCRZXCERZUEZWIXDXBXJXMXKXNXBVLVMVOVQXAXJXMSVLVMVRXAVA
      ZVLVMVRXAVBZXFXHXIDCGWGHIJKUBMNOURVCXBVLVMVPVQXAXKXNSXPXQXGXHXIDEGWGHIJKU
      BMNOURVCVDXBWQWRXAWIXLSXBVNVOVQWQXEXFXHWSTXBVNVPVQWRXEXGXHWTTXIABDWCFGWGI
      WDKLPNVETXBVOVPXCDQZXDXOSXFXGXBVNVQXAXRXEXHXIJDGWGHIUBKMNOVFTABDCFGXCIEKL
      PNVETVGVHVJDWAUAGHIWEKMNOVKUS $.
  $}

  ${
    $d f B $.  $d g B $.  $d f T $.  $d g T $.  $d f g $.
    tendo0cbv.o $e |- O = ( f e. T |-> ( _I |` B ) ) $.
    $( Define additive identity for trace-preserving endomorphisms.  Change
       bound variable to isolate it later.  (Contributed by NM,
       11-Jun-2013.) $)
    tendo0cbv $p |- O = ( g e. T |-> ( _I |` B ) ) $=
      ( cid cres cmpt weq eqidd cbvmptv eqtri ) ECBGAHZIDBNIFCDBNNCDJNKLM $.

    $d g F $.
    tendo02.b $e |- B = ( Base ` K ) $.
    $( Value of additive identity endomorphism.  (Contributed by NM,
       11-Jun-2013.) $)
    tendo02 $p |- ( F e. T -> ( O ` F ) = ( _I |` B ) ) $=
      ( vg cid cres cv wceq eqidd tendo0cbv wfun cvv wcel funi cbs fvexi mp2an
      resfunexg fvmpt ) IDJAKZUEBFILDMUENABCIFGOJPAQRUEQRSAETHUAJAQUCUBUD $.
  $}

  ${
    tendo0.b $e |- B = ( Base ` K ) $.
    tendo0.h $e |- H = ( LHyp ` K ) $.
    tendo0.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    tendo0.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    tendo0.o $e |- O = ( f e. T |-> ( _I |` B ) ) $.
    $d f B $.  $d f T $.
    $( The additive identity trace-preserving endormorphism preserves
       composition of translations.  TODO: why isn't this a special case of
       ~ tendospdi1 ?  (Contributed by NM, 11-Jun-2013.) $)
    tendo0co2 $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
   -> ( O ` ( F o. G ) ) = ( ( O ` F ) o. ( O ` G ) ) ) $=
      ( wcel ccom cfv wceq tendo02 chlt wa w3a cid ltrnco syl 3ad2ant2 3ad2ant3
      cres coeq12d wf1o wf f1oi f1of fcoi1 mp2b eqtr2di eqtrd ) HUAPJGPUBZEBPZF
      BPZUCZEFQZIRZUDAUIZEIRZFIRZQZVBVCBPVDVESBEFGHJLMUEABCVCHIOKTUFVBVHVEVEQZV
      EVBVFVEVGVEUTUSVFVESVAABCEHIOKTUGVAUSVGVESUTABCFHIOKTUHUJAAVEUKAAVEULVIVE
      SAUMAAVEUNAAVEUOUPUQUR $.

    ${
      tendo0tp.l $e |- .<_ = ( le ` K ) $.
      tendo0tp.r $e |- R = ( ( trL ` K ) ` W ) $.
      $( Trace-preserving property of endomorphism additive identity.
         (Contributed by NM, 11-Jun-2013.) $)
      tendo0tp $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
       -> ( R ` ( O ` F ) ) .<_ ( R ` F ) ) $=
        ( wcel cfv chlt wa cp0 cid cres wceq tendo02 adantl fveq2d trlid0 eqtrd
        eqid adantr cops wbr hlop ad2antrr trlcl op0le syl2anc eqbrtrd ) HUASZK
        GSZUBZFCSZUBZFJTZBTZHUCTZFBTZIVFVHUDAUEZBTZVIVFVGVKBVEVGVKUFVDACDFHJPLU
        GUHUIVDVLVIUFVEABGHKVILVIULZMRUJUMUKVFHUNSZVJASVIVJIUOVBVNVCVEHUPUQABCF
        GHKLMNRURAHIVJVILQVMUSUTVA $.
    $}

    $d g B $.  $d g h H $.  $d g h K $.  $d g h O $.  $d g h T $.  $d g h W $.
    ${
      $d f g $.
      $( The additive identity is a trace-preserving endormorphism.
         (Contributed by NM, 12-Jun-2013.) $)
      tendo0cl $p |- ( ( K e. HL /\ W e. H ) -> O e. E ) $=
        ( vg vh chlt wcel cfv eqid cv wa ctrl cple id cid cres idltrn tendo0cbv
        adantr fmptd tendo0co2 tendo0tp istendod ) FPQHEQUAZHFUBRRZGBNODEFFUCRZ
        PHUPSZJKUOSZLUNUDUNNBUEAUFZBGUNUSBQNTZBQABEFHIJKUGUIABCNGMUHUJABCDUTOTE
        FGHIJKLMUKAUOBCDUTEFUPGHIJKLMUQURULUM $.
    $}

    tendo0pl.p $e |- P = ( s e. E ,
               t e. E |->
           ( f e. T |-> ( ( s ` f ) o. ( t ` f ) ) ) ) $.
    $d g s t E $.  $d g P $.  $d g S $.  $d s t T $.  $d f s t W $.
    $d f s t $.
    $( Property of the additive identity endormorphism.  (Contributed by NM,
       12-Jun-2013.) $)
    tendo0pl $p |- ( ( ( K e. HL /\ W e. H ) /\ S e. E )
      -> ( O P S ) = S ) $=
      ( wcel wceq vg chlt wa co cv cfv wral simpl tendo0cl adantr simpr syl3anc
      tendoplcl ccom cid cres simpll simplr tendopl2 tendo02 adantl coeq1d wf1o
      wf tendocl 3expa ltrn1o syl2anc f1of fcoi2 3syl 3eqtrd ralrimiva tendoeq1
      syl syl121anc ) IUBSKHSUCZDGSZUCZVQJDCUDZGSZVRUAUEZVTUFZWBDUFZTZUAEUGVTDT
      VQVRUHZVSVQJGSZVRWAWFVQWGVRBEFGHIJKMNOPQUIZUJVQVRUKZACEJFGHIDKLNOPRUMULWI
      VSWEUAEVSWBESZUCZWCWBJUFZWDUNZUOBUPZWDUNZWDWKWGVRWJWCWMTWKVQWGVQVRWJUQZWH
      VOVQVRWJURVSWJUKACEJFGWBIDKLROUSULWKWLWNWDWJWLWNTVSBEFWBIJQMUTVAVBWKBBWDV
      CZBBWDVDWOWDTWKVQWDESZWQWPVQVRWJWRDEGWBHIUBKNOPVEVFBEWDHIUBKMNOVGVHBBWDVI
      BBWDVJVKVLVMEVTUAGHIDKNOPVNVP $.

    $( Property of the additive identity endormorphism.  (Contributed by NM,
       21-Feb-2014.) $)
    tendo0plr $p |- ( ( ( K e. HL /\ W e. H ) /\ S e. E )
      -> ( S P O ) = S ) $=
      ( wcel wa chlt co wceq tendo0cl adantr tendoplcom mpd3an3 tendo0pl eqtrd
      ) IUASKHSTZDGSZTDJCUBZJDCUBZDUJUKJGSZULUMUCUJUNUKBEFGHIJKMNOPQUDUEACEDFGH
      IJKLNOPRUFUGABCDEFGHIJKLMNOPQRUHUI $.
  $}

  ${
    tendoi.i $e |- I = ( s e. E |->
           ( f e. T |-> `' ( s ` f ) ) ) $.
    $d s u E $.  $d f g s u T $.  $d f g s u W $.
    $( Define inverse function for trace-preserving endomorphisms.  Change
       bound variable to isolate it later.  (Contributed by NM,
       12-Jun-2013.) $)
    tendoicbv $p |- I = ( u e. E |->
           ( g e. T |-> `' ( u ` g ) ) ) $=
      ( cv cfv ccnv cmpt weq fveq1 cnveqd mpteq2dv fveq2 cbvmptv eqtrdi eqtri )
      FGECBCIZGIZJZKZLZLAEDBDIZAIZJZKZLZLHGAEUEUJGAMZUECBUAUGJZKZLUJUKCBUDUMUKU
      CULUAUBUGNOPCDBUMUICDMULUHUAUFUGQORSRT $.

    $d u g S $.
    tendoi.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    $( Value of inverse endomorphism.  (Contributed by NM, 12-Jun-2013.) $)
    tendoi $p |- ( S e. E
            -> ( I ` S ) = ( g e. T |-> `' ( S ` g ) ) ) $=
      ( vu cv cfv ccnv cltrn cmpt wceq fveq1 cnveqd mpteq2dv tendoicbv mptfvmpt
      ) DLDMZANZOZGPNFDBUDLMZNZOZQBEHAUGARZDBUIUFUJUHUEUDUGASTUALBCDEFIJUBKUC
      $.

    $d g E $.  $d g F $.
    $( Value of additive inverse endomorphism.  (Contributed by NM,
       12-Jun-2013.) $)
    tendoi2 $p |- ( ( S e. E /\ F e. T )
            -> ( ( I ` S ) ` F ) = `' ( S ` F ) ) $=
      ( vg wcel wa cv cfv ccnv cvv cmpt wceq tendoi adantr fveq2 simpr fvex a1i
      cnveqd adantl cnvex fvmptd ) ADMZEBMZNZLELOZAPZQZEAPZQZBAFPZRUKUSLBUPSTUL
      ABCLDFGHIJKUAUBUNETZUPURTUMUTUOUQUNEAUCUGUHUKULUDURRMUMUQEAUEUIUFUJ $.
  $}

  ${
    tendoicl.h $e |- H = ( LHyp ` K ) $.
    tendoicl.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    tendoicl.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    tendoicl.i $e |- I = ( s e. E |->
           ( f e. T |-> `' ( s ` f ) ) ) $.
    $d g h s E $.  $d g h H $.  $d g h I $.  $d g h K $.  $d g h S $.
    $d f g h s T $.  $d f g h s W $.
    $( Closure of the additive inverse endomorphism.  (Contributed by NM,
       12-Jun-2013.) $)
    tendoicl $p |- ( ( ( K e. HL /\ W e. H ) /\ S e. E )
            -> ( I ` S ) e. E ) $=
      ( vg chlt wcel cfv syl2anc wceq ccom vh wa ctrl cple eqid simpl ccnv cmpt
      wf cv simpll tendocl 3expa ltrncnv fmpttd tendoi adantl mpbird w3a simp1r
      feq1d ltrnco 3adant1r tendoi2 cnvco ltrncom fveq2d simp3 simp2 tendovalco
      simp1ll simp1lr syl32anc eqtrd cnveqd coeq12d 3eqtr4a adantll wbr tendotp
      trlcnv eqbrtrd istendod ) GOPZHEPZUBZADPZUBZHGUCQQZAFQZBNUADEGGUDQZOHWKUE
      ZJKWIUEZLWFWGUFWHBBWJUIBBNBNUJZAQZUGZUHZUIWHNBWPBWHWNBPZUBZWFWOBPZWPBPWFW
      GWRUKZWFWGWRWTABDWNEGOHJKLULUMZBWOEGHJKUNRUOWHBBWJWQWGWJWQSWFABCNDFGHIMKU
      PUQVAURWHWRUAUJZBPZUSZWNXCTZWJQZXFAQZUGZWNWJQZXCWJQZTZXEWGXFBPZXGXISWFWGW
      RXDUTZWFWRXDXMWGBWNXCEGHJKVBVCABCDXFFGHIMKVDRXEXCAQZWOTZUGWPXOUGZTXIXLXOW
      OVEXEXHXPXEXHXCWNTZAQZXPXEXFXRAWFWRXDXFXRSWGBWNXCEGHJKVFVCVGXEWDWEWGXDWRX
      SXPSWDWEWGWRXDVKWDWEWGWRXDVLXNWHWRXDVHZWHWRXDVIZABDXCWNEGOHJKLVJVMVNVOXEX
      JWPXKXQXEWGWRXJWPSZXNYAABCDWNFGHIMKVDZRXEWGXDXKXQSXNXTABCDXCFGHIMKVDRVPVQ
      VNWSXJWIQZWOWIQZWNWIQZWKWSYDWPWIQZYEWSXJWPWIWGWRYBWFYCVRVGWSWFWTYGYESXAXB
      WIBWOEGHJKWMWARVNWFWGWRYEYFWKVSWIABDWNEGWKOHWLJKWMLVTUMWBWC $.

    tendoi.b $e |- B = ( Base ` K ) $.
    tendoi.p $e |- P = ( s e. E ,
               t e. E |->
           ( f e. T |-> ( ( s ` f ) o. ( t ` f ) ) ) ) $.
    tendoi.o $e |- O = ( f e. T |-> ( _I |` B ) ) $.
    $d f B $.  $d t E $.  $d f H $.  $d f K $.  $d g O $.  $d g P $.
    $d f s t T $.  $d t W $.
    $( Property of the additive inverse endomorphism.  (Contributed by NM,
       12-Jun-2013.) $)
    tendoipl $p |- ( ( ( K e. HL /\ W e. H ) /\ S e. E )
      -> ( ( I ` S ) P S ) = O ) $=
      ( vg chlt wcel wa cfv co wceq wral simpl tendoicl simpr tendoplcl syl3anc
      cv tendo0cl adantr ccom cid cres ccnv tendoi2 adantll coeq1d wf1o tendocl
      simpll 3expa ltrn1o syl2anc f1ococnv1 syl simplr tendopl2 tendo02 3eqtr4d
      eqtrd adantl ralrimiva tendoeq1 syl121anc ) JUBUCLHUCUDZDGUCZUDZWADIUEZDC
      UFZGUCZKGUCZUAUNZWEUEZWHKUEZUGZUAEUHWEKUGWAWBUIZWCWAWDGUCZWBWFWLDEFGHIJLM
      NOPQUJZWAWBUKACEWDFGHJDLMNOPSULUMWAWGWBBEFGHJKLRNOPTUOUPWCWKUAEWCWHEUCZUD
      ZWHWDUEZWHDUEZUQZURBUSZWIWJWPWSWRUTZWRUQZWTWPWQXAWRWBWOWQXAUGWADEFGWHIJLM
      QOVAVBVCWPBBWRVDZXBWTUGWPWAWREUCZXCWAWBWOVFWAWBWOXDDEGWHHJUBLNOPVEVGBEWRH
      JUBLRNOVHVIBBWRVJVKVPWPWMWBWOWIWSUGWCWMWOWNUPWAWBWOVLWCWOUKACEWDFGWHJDLMS
      OVMUMWOWJWTUGWCBEFWHJKTRVNVQVOVREWEUAGHJKLNOPVSVT $.

    $( Property of the additive inverse endomorphism.  (Contributed by NM,
       29-Sep-2014.) $)
    tendoipl2 $p |- ( ( ( K e. HL /\ W e. H ) /\ S e. E )
      -> ( S P ( I ` S ) ) = O ) $=
      ( chlt wcel wa cfv co wceq tendoicl tendoplcom mpd3an3 tendoipl eqtrd ) J
      UAUBLHUBUCZDGUBZUCDDIUDZCUEZUNDCUEZKULUMUNGUBUOUPUFDEFGHIJLMNOPQUGACEDFGH
      JUNLMNOPSUHUIABCDEFGHIJKLMNOPQRSTUJUK $.
  $}

  ${
    $d k E $.  $d k w H $.  $d f k s t w K $.  $d k T $.
    erngset.h $e |- H = ( LHyp ` K ) $.
    $( The division rings on trace-preserving endomorphisms for a lattice
       ` K ` .  (Contributed by NM, 8-Jun-2013.) $)
    erngfset $p |- ( K e. V -> ( EDRing ` K ) = ( w e. H |-> {
       <. ( Base ` ndx ) , ( ( TEndo ` K ) ` w ) >. ,
       <. ( +g ` ndx ) , ( s e. ( ( TEndo ` K ) ` w ) ,
               t e. ( ( TEndo ` K ) ` w ) |->
           ( f e. ( ( LTrn ` K ) ` w ) |-> ( ( s ` f ) o. ( t ` f ) ) ) ) >. ,
       <. ( .r ` ndx ) , ( s e. ( ( TEndo ` K ) ` w ) ,
               t e. ( ( TEndo ` K ) ` w ) |-> ( s o. t ) ) >. } ) ) $=
      ( vk cfv cnx cv ctendo cop cltrn cmpt cmpo clh fveq2 opeq2d wcel cvv ccom
      cedring cbs cplusg cmulr ctp wceq eqtr4di fveq1d mpteq1d mpoeq123dv eqidd
      elex tpeq123d mpteq12dv df-edring mptfvmpt syl ) EFUAEUBUAEUDJADKUEJZALZE
      MJZJZNZKUFJZGBVDVDCVBEOJZJZCLZGLZJVIBLZJUCZPZQZNZKUGJZGBVDVDVJVKUCZQZNZUH
      ZPUIEFUOAIVTRUDAILZRJZVAVBWAMJZJZNZVFGBWDWDCVBWAOJZJZVLPZQZNZVPGBWDWDVQQZ
      NZUHZPDUBEEWAEUIZAWBWMDVTWNWBERJDWAERSHUJWNWEVEWJVOWLVSWNWDVDVAWNVBWCVCWA
      EMSUKZTWNWIVNVFWNGBWDWDWHVDVDVMWOWOWNCWGVHVLWNVBWFVGWAEOSUKULUMTWNWKVRVPW
      NGBWDWDVQVDVDVQWOWOWNVQUNUMTUPUQABCIGURHUSUT $.

    erngset.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    erngset.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    erngset.d $e |- D = ( ( EDRing ` K ) ` W ) $.
    $d w E $.  $d w T $.  $d f s t w W $.
    $( The division ring on trace-preserving endomorphisms for a fiducial
       co-atom ` W ` .  (Contributed by NM, 5-Jun-2013.) $)
    erngset $p |- ( ( K e. V /\ W e. H ) -> D
       = {
       <. ( Base ` ndx ) , E >. ,
       <. ( +g ` ndx ) , ( s e. E ,
               t e. E |->
           ( f e. T |-> ( ( s ` f ) o. ( t ` f ) ) ) ) >. ,
       <. ( .r ` ndx ) , ( s e. E ,
               t e. E |-> ( s o. t ) ) >. } ) $=
      ( vw cfv cv cop ctp wceq wcel cnx cbs ctendo cplusg cltrn ccom cmpt cmulr
      cmpo cedring erngfset fveq1d syl5eq fveq2 opeq2d tpeq1 opeq2i eqtr4di syl
      ax-mp eqidd mpteq12dv mpoeq123dv tpeq2d tpeq3d 3eqtrd eqid fvmpt sylan9eq
      tpex ) GHUAZIFUABIOFUBUCPZOQZGUDPZPZRZUBUEPZJAVPVPDVNGUFPZPZDQZJQZPWAAQZP
      UGZUHZUJZRZUBUIPZJAVPVPWBWCUGZUJZRZSZUHZPZVMERZVRJAEEDCWDUHZUJZRZWHJAEEWI
      UJZRZSZVLBIGUKPZPWNNVLIXBWMOADFGHJKULUMUNOIWLXAFWMVNITZWLWOWGWKSZWOWRWKSX
      AXCVQVMIVOPZRZTZWLXDTXCVPXEVMVNIVOUOZUPXGWLXFWGWKSZXDVQXFWGWKUQWOXFTXDXIT
      EXEVMMURWOXFWGWKUQVAUSUTXCWGWRWOWKXCWFWQVRXCJAVPVPWEEEWPXCVPXEEXHMUSZXJXC
      DVTWDCWDXCVTIVSPCVNIVSUOLUSXCWDVBVCVDUPVEXCWKWTWOWRXCWJWSWHXCJAVPVPWIEEWI
      XJXJXCWIVBVDUPVFVGWMVHWOWRWTVKVIVJ $.

    ${
      $d s t E $.
      erng.c $e |- C = ( Base ` D ) $.
      $( The base set of the division ring on trace-preserving endomorphisms is
         the set of all trace-preserving endomorphisms (for a fiducial co-atom
         ` W ` ).  TODO: the .t hypothesis isn't used.  (Also look at others.)
         (Contributed by NM, 9-Jun-2013.) $)
      erngbase $p |- ( ( K e. V /\ W e. H ) -> C = E ) $=
        ( vs vt vf wcel cbs cfv cnx wa cop cplusg cv ccom cmpt cmpo ctp erngset
        cmulr fveq2d cvv wceq ctendo fvexi eqid rngbase ax-mp 3eqtr4g ) FGQHEQU
        AZBRSTRSDUBTUCSNODDPCPUDZNUDZSVAOUDZSUEUFUGZUBTUJSNODDVBVCUEUGZUBUHZRSZ
        ADUTBVFROBCPDEFGHNIJKLUIUKMDULQDVGUMDHFUNSKUODVDVFVEULVFUPUQURUS $.
    $}

    $d s t E $.
    ${
      erng.p $e |- .+ = ( +g ` D ) $.
      $( Ring addition operation.  (Contributed by NM, 9-Jun-2013.) $)
      erngfplus $p |- ( ( K e. V /\ W e. H ) -> .+ = ( s e. E ,
             t e. E
               |-> ( f e. T |-> ( ( s ` f ) o. ( t ` f ) ) ) ) ) $=
        ( wcel cplusg cfv cnx wa cbs cop cv ccom cmpt cmpo cmulr erngset fveq2d
        ctp cvv wceq ctendo fvexi mpoex eqid rngplusg ax-mp 3eqtr4g ) HIQJGQUAZ
        BRSTUBSFUCTRSKAFFEDEUDZKUDZSVBAUDZSUEUFZUGZUCTUHSKAFFVCVDUEUGZUCUKZRSZC
        VFVABVHRABDEFGHIJKLMNOUIUJPVFULQVFVIUMKAFFVEFJHUNSNUOZVJUPFVFVHVGULVHUQ
        URUSUT $.

      $d g K $.  $d f g s t T $.  $d f g s t U $.  $d f g s t V $.  $d g W $.
      $( Ring addition operation.  (Contributed by NM, 10-Jun-2013.) $)
      erngplus $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( U e. E /\ V e. E ) )
   -> ( U .+ V ) = ( f e. T |-> ( ( U ` f ) o. ( V ` f ) ) ) ) $=
        ( vs vt vg wcel cv chlt wa co cfv ccom cmpt cmpo erngfplus eqid tendopl
        oveqd sylan9eq ) HUASJGSUBZDFSIFSUBDIBUCDIPQFFRCRTZPTUDUNQTUDUEUFUGZUCE
        CETZDUDUPIUDUEUFUMBUODIQABCRFGHUAJPKLMNOUHUKQUOCDREFHIJPUOUILUJUL $.

      $d f E $.  $d f F $.  $d f H $.
      $( Ring addition operation.  (Contributed by NM, 10-Jun-2013.) $)
      erngplus2 $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( U e. E /\ V e. E /\ F e. T ) )
   -> ( ( U .+ V ) ` F ) = ( ( U ` F ) o. ( V ` F ) ) ) $=
        ( vf wcel wa cfv wceq chlt w3a cv ccom cvv cmpt erngplus 3adantr3 fveq2
        co coeq12d adantl simpr3 fvex coex a1i fvmptd ) HUAQJGQRZDEQZIEQZFCQZUB
        RZPFPUCZDSZVCISZUDZFDSZFISZUDZCDIBUJZUEURUSUTVJPCVFUFTVAABCDPEGHIJKLMNO
        UGUHVCFTZVFVITVBVKVDVGVEVHVCFDUIVCFIUIUKULURUSUTVAUMVIUEQVBVGVHFDUNFIUN
        UOUPUQ $.
    $}

    ${
      erng.m $e |- .x. = ( .r ` D ) $.
      $( Ring multiplication operation.  (Contributed by NM, 9-Jun-2013.) $)
      erngfmul $p |- ( ( K e. V /\ W e. H ) -> .x. = ( s e. E ,
             t e. E |-> ( s o. t ) ) ) $=
        ( vf wcel cmulr cfv cnx wa cbs cop cplusg cv ccom cmpt cmpo ctp erngset
        fveq2d cvv wceq ctendo fvexi mpoex eqid rngmulr ax-mp 3eqtr4g ) GHQIFQU
        AZBRSTUBSEUCTUDSJAEEPCPUEZJUEZSVBAUEZSUFUGUHZUCTRSJAEEVCVDUFZUHZUCUIZRS
        ZDVGVABVHRABCPEFGHIJKLMNUJUKOVGULQVGVIUMJAEEVFEIGUNSMUOZVJUPEVEVHVGULVH
        UQURUSUT $.

      $d s t U $.  $d s t V $.
      $( Ring addition operation.  (Contributed by NM, 10-Jun-2013.) $)
      erngmul $p |- ( ( ( K e. X /\ W e. H )
            /\ ( U e. E /\ V e. E ) )
   -> ( U .x. V ) = ( U o. V ) ) $=
        ( vs vt wcel wa ccom co cmpo erngfmul oveqd wceq coexg coeq1 coeq2 eqid
        cv cvv ovmpog mpd3an3 sylan9eq ) GJRIFRSZDERZHERZSDHCUADHPQEEPUJZQUJZTZ
        UBZUAZDHTZUOCVADHQABCEFGJIPKLMNOUCUDUPUQVCUKRVBVCUEDHEEUFPQDHEEUTVCVADU
        STUKURDUSUGUSHDUHVAUIULUMUN $.
    $}
  $}

  ${
    $d k E $.  $d k w H $.  $d f k s t w K $.  $d k T $.
    erngset.h-r $e |- H = ( LHyp ` K ) $.
    $( The division rings on trace-preserving endomorphisms for a lattice
       ` K ` .  (Contributed by NM, 8-Jun-2013.)
       (New usage is discouraged.) $)
    erngfset-rN $p |- ( K e. V -> ( EDRingR ` K ) = ( w e. H |-> {
       <. ( Base ` ndx ) , ( ( TEndo ` K ) ` w ) >. ,
       <. ( +g ` ndx ) , ( s e. ( ( TEndo ` K ) ` w ) ,
               t e. ( ( TEndo ` K ) ` w ) |->
           ( f e. ( ( LTrn ` K ) ` w ) |-> ( ( s ` f ) o. ( t ` f ) ) ) ) >. ,
       <. ( .r ` ndx ) , ( s e. ( ( TEndo ` K ) ` w ) ,
               t e. ( ( TEndo ` K ) ` w ) |-> ( t o. s ) ) >. } ) ) $=
      ( vk cfv cnx cv ctendo cop cltrn cmpt cmpo clh fveq2 opeq2d wcel cvv ccom
      cedring-rN cbs cplusg cmulr ctp wceq elex eqtr4di fveq1d mpoeq123dv eqidd
      mpteq1d tpeq123d mpteq12dv df-edring-rN mptfvmpt syl ) EFUAEUBUAEUDJADKUE
      JZALZEMJZJZNZKUFJZGBVDVDCVBEOJZJZCLZGLZJVIBLZJUCZPZQZNZKUGJZGBVDVDVKVJUCZ
      QZNZUHZPUIEFUJAIVTRUDAILZRJZVAVBWAMJZJZNZVFGBWDWDCVBWAOJZJZVLPZQZNZVPGBWD
      WDVQQZNZUHZPDUBEEWAEUIZAWBWMDVTWNWBERJDWAERSHUKWNWEVEWJVOWLVSWNWDVDVAWNVB
      WCVCWAEMSULZTWNWIVNVFWNGBWDWDWHVDVDVMWOWOWNCWGVHVLWNVBWFVGWAEOSULUOUMTWNW
      KVRVPWNGBWDWDVQVDVDVQWOWOWNVQUNUMTUPUQABCIGURHUSUT $.

    erngset.t-r $e |- T = ( ( LTrn ` K ) ` W ) $.
    erngset.e-r $e |- E = ( ( TEndo ` K ) ` W ) $.
    erngset.d-r $e |- D = ( ( EDRingR ` K ) ` W ) $.
    $d w E $.  $d w T $.  $d f s t w W $.
    $( The division ring on trace-preserving endomorphisms for a fiducial
       co-atom ` W ` .  (Contributed by NM, 5-Jun-2013.)
       (New usage is discouraged.) $)
    erngset-rN $p |- ( ( K e. V /\ W e. H ) -> D
       = {
       <. ( Base ` ndx ) , E >. ,
       <. ( +g ` ndx ) , ( s e. E ,
               t e. E |->
           ( f e. T |-> ( ( s ` f ) o. ( t ` f ) ) ) ) >. ,
       <. ( .r ` ndx ) , ( s e. E ,
               t e. E |-> ( t o. s ) ) >. } ) $=
      ( vw cfv cv cop ctp wceq wcel cnx cbs ctendo cplusg cltrn ccom cmpt cmulr
      cmpo cedring-rN erngfset-rN fveq1d syl5eq fveq2 opeq2d tpeq1 opeq2i ax-mp
      eqtr4di syl eqidd mpteq12dv mpoeq123dv tpeq2d tpeq3d 3eqtrd eqid sylan9eq
      tpex fvmpt ) GHUAZIFUABIOFUBUCPZOQZGUDPZPZRZUBUEPZJAVPVPDVNGUFPZPZDQZJQZP
      WAAQZPUGZUHZUJZRZUBUIPZJAVPVPWCWBUGZUJZRZSZUHZPZVMERZVRJAEEDCWDUHZUJZRZWH
      JAEEWIUJZRZSZVLBIGUKPZPWNNVLIXBWMOADFGHJKULUMUNOIWLXAFWMVNITZWLWOWGWKSZWO
      WRWKSXAXCVQVMIVOPZRZTZWLXDTXCVPXEVMVNIVOUOZUPXGWLXFWGWKSZXDVQXFWGWKUQWOXF
      TXDXITEXEVMMURWOXFWGWKUQUSUTVAXCWGWRWOWKXCWFWQVRXCJAVPVPWEEEWPXCVPXEEXHMU
      TZXJXCDVTWDCWDXCVTIVSPCVNIVSUOLUTXCWDVBVCVDUPVEXCWKWTWOWRXCWJWSWHXCJAVPVP
      WIEEWIXJXJXCWIVBVDUPVFVGWMVHWOWRWTVJVKVI $.

    ${
      $d s t E $.
      erng.c-r $e |- C = ( Base ` D ) $.
      $( The base set of the division ring on trace-preserving endomorphisms is
         the set of all trace-preserving endomorphisms (for a fiducial co-atom
         ` W ` ).  (Contributed by NM, 9-Jun-2013.)
         (New usage is discouraged.) $)
      erngbase-rN $p |- ( ( K e. V /\ W e. H ) -> C = E ) $=
        ( vs vt vf wcel cbs cfv cnx wa cop cplusg cv ccom cmpt cmulr erngset-rN
        cmpo ctp fveq2d cvv wceq ctendo fvexi eqid rngbase ax-mp 3eqtr4g ) FGQH
        EQUAZBRSTRSDUBTUCSNODDPCPUDZNUDZSVAOUDZSUEUFUIZUBTUGSNODDVCVBUEUIZUBUJZ
        RSZADUTBVFROBCPDEFGHNIJKLUHUKMDULQDVGUMDHFUNSKUODVDVFVEULVFUPUQURUS $.
    $}

    $d s t E $.
    ${
      erng.p-r $e |- .+ = ( +g ` D ) $.
      $( Ring addition operation.  (Contributed by NM, 9-Jun-2013.)
         (New usage is discouraged.) $)
      erngfplus-rN $p |- ( ( K e. V /\ W e. H ) -> .+ = ( s e. E ,
             t e. E
               |-> ( f e. T |-> ( ( s ` f ) o. ( t ` f ) ) ) ) ) $=
        ( wcel cplusg cfv cnx wa cbs cop cv ccom cmpt cmpo cmulr ctp erngset-rN
        fveq2d cvv wceq ctendo fvexi mpoex eqid rngplusg ax-mp 3eqtr4g ) HIQJGQ
        UAZBRSTUBSFUCTRSKAFFEDEUDZKUDZSVBAUDZSUEUFZUGZUCTUHSKAFFVDVCUEUGZUCUIZR
        SZCVFVABVHRABDEFGHIJKLMNOUJUKPVFULQVFVIUMKAFFVEFJHUNSNUOZVJUPFVFVHVGULV
        HUQURUSUT $.

      $d g K $.  $d f g s t T $.  $d f g s t U $.  $d f g s t V $.  $d g W $.
      $( Ring addition operation.  (Contributed by NM, 10-Jun-2013.)
         (New usage is discouraged.) $)
      erngplus-rN $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( U e. E /\ V e. E ) )
   -> ( U .+ V ) = ( f e. T |-> ( ( U ` f ) o. ( V ` f ) ) ) ) $=
        ( vs vt vg wcel cv chlt wa co ccom cmpt cmpo erngfplus-rN oveqd tendopl
        cfv eqid sylan9eq ) HUASJGSUBZDFSIFSUBDIBUCDIPQFFRCRTZPTUJUNQTUJUDUEUFZ
        UCECETZDUJUPIUJUDUEUMBUODIQABCRFGHUAJPKLMNOUGUHQUOCDREFHIJPUOUKLUIUL $.

      $d f E $.  $d f F $.  $d f H $.
      $( Ring addition operation.  (Contributed by NM, 10-Jun-2013.)
         (New usage is discouraged.) $)
      erngplus2-rN $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( U e. E /\ V e. E /\ F e. T ) )
   -> ( ( U .+ V ) ` F ) = ( ( U ` F ) o. ( V ` F ) ) ) $=
        ( vf wcel wa cfv wceq chlt w3a cv ccom co cvv cmpt erngplus-rN 3adantr3
        fveq2 coeq12d adantl simpr3 fvex coex a1i fvmptd ) HUAQJGQRZDEQZIEQZFCQ
        ZUBRZPFPUCZDSZVCISZUDZFDSZFISZUDZCDIBUEZUFURUSUTVJPCVFUGTVAABCDPEGHIJKL
        MNOUHUIVCFTZVFVITVBVKVDVGVEVHVCFDUJVCFIUJUKULURUSUTVAUMVIUFQVBVGVHFDUNF
        IUNUOUPUQ $.
    $}

    ${
      erng.m-r $e |- .x. = ( .r ` D ) $.
      $( Ring multiplication operation.  (Contributed by NM, 9-Jun-2013.)
         (New usage is discouraged.) $)
      erngfmul-rN $p |- ( ( K e. V /\ W e. H ) -> .x. = ( s e. E ,
             t e. E |-> ( t o. s ) ) ) $=
        ( vf wcel cmulr cfv cnx wa cbs cop cplusg ccom cmpt cmpo ctp erngset-rN
        cv fveq2d cvv wceq ctendo fvexi mpoex eqid rngmulr ax-mp 3eqtr4g ) GHQI
        FQUAZBRSTUBSEUCTUDSJAEEPCPUJZJUJZSVBAUJZSUEUFUGZUCTRSJAEEVDVCUEZUGZUCUH
        ZRSZDVGVABVHRABCPEFGHIJKLMNUIUKOVGULQVGVIUMJAEEVFEIGUNSMUOZVJUPEVEVHVGU
        LVHUQURUSUT $.

      $d s t U $.  $d s t V $.
      $( Ring addition operation.  (Contributed by NM, 10-Jun-2013.)
         (New usage is discouraged.) $)
      erngmul-rN $p |- ( ( ( K e. X /\ W e. H )
            /\ ( U e. E /\ V e. E ) )
   -> ( U .x. V ) = ( V o. U ) ) $=
        ( vs vt wcel wa ccom co cv cmpo wceq erngfmul-rN adantr oveqd cvv coexg
        ancoms coeq2 coeq1 eqid ovmpog mpd3an3 adantl eqtrd ) GJRIFRSZDERZHERZS
        ZSZDHCUADHPQEEQUBZPUBZTZUCZUAZHDTZVBCVFDHURCVFUDVAQABCEFGJIPKLMNOUEUFUG
        VAVGVHUDZURUSUTVHUHRZVIUTUSVJHDEEUIUJPQDHEEVEVHVFVCDTUHVDDVCUKVCHDULVFU
        MUNUOUPUQ $.
    $}
  $}

  ${
    cdlemh.b $e |- B = ( Base ` K ) $.
    cdlemh.l $e |- .<_ = ( le ` K ) $.
    cdlemh.j $e |- .\/ = ( join ` K ) $.
    cdlemh.m $e |- ./\ = ( meet ` K ) $.
    cdlemh.a $e |- A = ( Atoms ` K ) $.
    cdlemh.h $e |- H = ( LHyp ` K ) $.
    cdlemh.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemh.r $e |- R = ( ( trL ` K ) ` W ) $.
    cdlemh.s $e |- S = ( ( P .\/ ( R ` G ) )
         ./\ ( Q .\/ ( R ` ( G o. `' F ) ) ) ) $.
    $( Part of proof of Lemma H of [Crawley] p. 118.  (Contributed by NM,
       17-Jun-2013.) $)
    cdlemh1 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
       /\ ( P e. A /\ Q e. A )
       /\ ( Q .<_ ( P .\/ ( R ` F ) ) /\ ( R ` F ) =/= ( R ` G ) ) )
  -> ( S .\/ ( R ` ( G o. `' F ) ) )
       = ( Q .\/ ( R ` ( G o. `' F ) ) ) ) $=
      ( chlt wcel wa w3a cfv co wbr ccnv ccom oveq1i wceq simp11l simp11 simp13
      simp12 simp3r necomd trlcocnvat syl121anc clat hllatd simp2l atbase trlcl
      wne syl syl2anc latjcl syl3anc simp2r hlatjcl hlatlej2 atmod4i1 syl131anc
      ltrncnv trljco2 trlcnv oveq1d eqtrd oveq2d ltrnco latjass syl13anc simp3l
      3eqtr4d wi latjlej1 mpd wb latleeqm2 mpbid 3eqtrd syl5eq ) LUEUFZOJUFZUGZ
      HGUFZIGUFZUHZCAUFZDAUFZUGZDCHEUIZKUJZMUKZXGIEUIZVIZUGZUHZFIHULZUMZEUIZKUJ
      CXJKUJZDXPKUJZNUJZXPKUJZXRFXSXPKUDUNXMXTXQXPKUJZXRNUJZXHXPKUJZXRNUJZXRXMW
      RXPAUFZXQBUFZXRBUFZXPXRMUKZXTYBUOWRWSXAXBXFXLUPZXMWTXBXAXJXGVIYEWTXAXBXFX
      LUQZWTXAXBXFXLURZWTXAXBXFXLUSZXMXGXJXCXFXIXKUTVAAEGIHJLOTUAUBUCVBVCZXMLVD
      UFZCBUFZXJBUFZYFXMLYIVEZXMXDYOXCXDXEXLVFABCLPTVGVJZXMWTXBYPYJYKBEGIJLOPUA
      UBUCVHVKZBKLCXJPRVLVMXMWRXEYEYGYIXCXDXEXLVNZYMABKLDXPPRTVOVMZXMWRXEYEYHYI
      YTYMADXPKLMQRTVPVMABXPKLMNXQXRPQRSTVQVRXMYAYCXRNXMCXJXPKUJZKUJZCXGXPKUJZK
      UJZYAYCXMUUBUUDCKXMUUBXNEUIZXPKUJZUUDXMWTXBXNGUFZUUBUUGUOYJYKXMWTXAUUHYJY
      LGHJLOUAUBVSVKZEGIXNJKLORUAUBUCVTVMXMUUFXGXPKXMWTXAUUFXGUOYJYLEGHJLOUAUBU
      CWAVKWBWCWDXMYNYOYPXPBUFZYAUUCUOYQYRYSXMWTXOGUFZUUJYJXMWTXBUUHUUKYJYKUUIG
      IXNJLOUAUBWEVMBEGXOJLOPUAUBUCVHVKZBKLCXJXPPRWFWGXMYNYOXGBUFZUUJYCUUEUOYQY
      RXMWTXAUUMYJYLBEGHJLOPUAUBUCVHVKZUULBKLCXGXPPRWFWGWIWBXMXRYCMUKZYDXRUOZXM
      XIUUOXCXFXIXKWHXMYNDBUFZXHBUFZUUJXIUUOWJYQXMXEUUQYTABDLPTVGVJXMYNYOUUMUUR
      YQYRUUNBKLCXGPRVLVMZUULBKLMDXHXPPQRWKWGWLXMYNYGYCBUFZUUOUUPWMYQUUAXMYNUUR
      UUJUUTYQUUSUULBKLXHXPPRVLVMBLMNXRYCPQSWNVMWOWPWQ $.

    ${
      cdlemh.z $e |- .0. = ( 0. ` K ) $.
      $( Part of proof of Lemma H of [Crawley] p. 118.  (Contributed by NM,
         16-Jun-2013.) $)
      cdlemh2 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
         /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W ) )
         /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B )
            /\ ( R ` F ) =/= ( R ` G ) ) )
    -> ( S ./\ W ) = .0. ) $=
        ( chlt wcel wa w3a wbr wn cid cres wne cfv co ccnv ccom oveq1i col wceq
        simp11l hlol syl hllatd simp2ll atbase simp11r jca simp13 trlcl syl2anc
        latjcl syl3anc simp2rl simp12 ltrncnv ltrnco latmassOLD syl13anc simp2r
        clat lhpbase lhpmat oveq1d trlle atmod4i2 syl131anc olj02 oveq2d simp2l
        3eqtr3rd simp33 necomd trlcnv neeqtrrd simp31 ltrncnvnid trlcone simp32
        syl112anc trlnidat trlcoat lhp2at0 syl322anc 3eqtr2rd eqtr4id ) LUGUHZO
        JUHZUIZHGUHZIGUHZUJZCAUHZCOMUKULZUIZDAUHZDOMUKULZUIZUIZHUMBUNZUOZIYBUOZ
        HEUPZIEUPZUOZUJZUJZFONUQCYFKUQZDIHURZUSZEUPZKUQZNUQZONUQZPFYOONUEUTYIYP
        YJYNONUQZNUQZYJYMNUQZPYILVAUHZYJBUHZYNBUHZOBUHZYPYRVBYIXIYTXIXJXLXMYAYH
        VCZLVDVEZYILWCUHZCBUHZYFBUHZUUAYILUUDVFZYIXOUUGXOXPXTXNYHVGABCLQUAVHVEY
        IXKXMUUHYIXIXJUUDXIXJXLXMYAYHVIZVJZXKXLXMYAYHVKZBEGIJLOQUBUCUDVLVMBKLCY
        FQSVNVOYIUUFDBUHZYMBUHZUUBUUIYIXRUUMXRXSXQXNYHVPZABDLQUAVHVEYIXKYLGUHZU
        UNUUKYIXKXMYKGUHZUUPUUKUULYIXKXLUUQUUKXKXLXMYAYHVQZGHJLOUBUCVRVMZGIYKJL
        OUBUCVSVOZBEGYLJLOQUBUCUDVLVMZBKLDYMQSVNVOYIXJUUCUUJBJLOQUBWDVEZBLNYJYN
        OQTVTWAYIYMYQYJNYIDONUQZYMKUQZPYMKUQZYQYMYIUVCPYMKYIXKXTUVCPVBUUKXNXQXT
        YHWBADJLMNOPRTUFUAUBWEVMWFYIXIXRUUNUUCYMOMUKZUVDYQVBUUDUUOUVAUVBYIXKUUP
        UVFUUKUUTEGYLJLMORUBUCUDWGVMZABDKLMNYMOQRSTUAWHWIYIYTUUNUVEYMVBUUEUVABK
        LYMPQSUFWJVMWMWKYIXKXQYFYMUOZYFAUHZYFOMUKZYMAUHZUVFYSPVBUUKXNXQXTYHWLYI
        XKXMUUQUIZYFYKEUPZUOZYKYBUOZUVHUUKYIXMUUQUULUUSVJZYIYFYEUVMYIYEYFXNYAYC
        YDYGWNWOYIXKXLUVMYEVBUUKUUREGHJLOUBUCUDWPVMWQZYIXKXLYCUVOUUKUURXNYAYCYD
        YGWRBGHJLOQUBUCWSVOBEGIYKJLOQUBUCUDWTXBYIXKXMYDUVIUUKUULXNYAYCYDYGXAABE
        GIJLOQUAUBUCUDXCVOYIXKXMUVJUUKUULEGIJLMORUBUCUDWGVMYIXKUVLUVNUVKUUKUVPU
        VQAEGIYKJLOUAUBUCUDXDVOUVGACYFJKLMNYMOPRSTUFUAUBXEXFXGXH $.
    $}

    $( Lemma H of [Crawley] p. 118.  (Contributed by NM, 17-Jun-2013.) $)
    cdlemh $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
       /\ ( ( P e. A /\ -. P .<_ W ) /\ ( Q e. A /\ -. Q .<_ W )
          /\ Q .<_ ( P .\/ ( R ` F ) ) )
       /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B )
          /\ ( R ` F ) =/= ( R ` G ) ) )
  -> ( S e. A /\ -. S .<_ W ) ) $=
      ( chlt wcel wa w3a wbr wn cfv co cid cres wne cp0 ccnv ccom simp1 simp21l
      wceq simp22l simp23 simp33 cdlemh1 syl122anc col simp11l hlol syl simp11r
      oveq1 simp13 simp12 ltrncnv syl2anc necomd trlcnv neeqtrrd trlcoat atbase
      jca syl3anc eqid olj02 sylan9eqr clln ltrnco trlle simp22r llni2 syl31anc
      nbrne2 llnneat nelne2 adantr eqnetrd necon2d mpd simp32 trlnidat hlatlej2
      ex wo simp22 simp31 ltrncnvnid trlcone lhp2atnle syl322anc nbrne1 2atmat0
      syl33anc eleq1i eqeq1i orbi12i sylibr necon1ad simp21 cdlemh2 syld3an2 wb
      ord lhpmatb syl21anc mpbird ) LUEUFZOJUFZUGZHGUFZIGUFZUHZCAUFZCOMUIUJZUGZ
      DAUFZDOMUIUJZUGZDCHEUKZKULMUIZUHZHUMBUNZUOZIUUBUOZYSIEUKZUOZUHZUHZFAUFZFO
      MUIUJZUUHFLUPUKZUOZUUIUUHFIHUQZURZEUKZKULZDUUOKULZVAZUULUUHYLYMYPYTUUFUUR
      YLUUAUUGUSYMYNYRYTYLUUGUTZYPYQYOYTYLUUGVBZYLYOYRYTUUGVCYLUUAUUCUUDUUFVDZA
      BCDEFGHIJKLMNOPQRSTUAUBUCUDVEVFUUHFUUKUUPUUQUUHFUUKVAZUUPUUQUOUUHUVBUGUUP
      UUOUUQUVBUUHUUPUUKUUOKULZUUOFUUKUUOKVLUUHLVGUFZUUOBUFZUVCUUOVAUUHYGUVDYGY
      HYJYKUUAUUGVHZLVIVJUUHUUOAUFZUVEUUHYIYKUUMGUFZUGZUUEUUMEUKZUOZUVGUUHYGYHU
      VFYGYHYJYKUUAUUGVKZWBZUUHYKUVHYIYJYKUUAUUGVMZUUHYIYJUVHUVMYIYJYKUUAUUGVNZ
      GHJLOUAUBVOVPZWBUUHUUEYSUVJUUHYSUUEUVAVQUUHYIYJUVJYSVAUVMUVOEGHJLOUAUBUCV
      RVPVSZAEGIUUMJLOTUAUBUCVTWCZABUUOLPTWAVJBKLUUOUUKPRUUKWDZWEVPWFUUHUUOUUQU
      OZUVBUUHUVGUUQAUFUJZUVTUVRUUHYGUUQLWGUKZUFZUWAUVFUUHYGYPUVGDUUOUOZUWCUVFU
      UTUVRUUHUUOOMUIZYQUWDUUHYIUUNGUFZUWEUVMUUHYIYKUVHUWFUVMUVNUVPGIUUMJLOUAUB
      WHWCEGUUNJLMOQUAUBUCWIVPZYPYQYOYTYLUUGWJUWEYQUGUUODUUODOMWMVQVPADUUOKLUWB
      RTUWBWDZWKWLALUWBUUQTUWHWNVPUUOUUQAWOVPWPWQXCWRWSUUHUUIFUUKUUHUUIUVBUUHCU
      UEKULZUUQNULZAUFZUWJUUKVAZXDZUUIUVBXDUUHYGYMUUEAUFZYPUVGUWIUUQUOZUWMUVFUU
      SUUHYIYKUUDUWNUVMUVNYLUUAUUCUUDUUFWTABEGIJLOPTUAUBUCXAWCZUUTUVRUUHUUEUWIM
      UIZUUEUUQMUIUJZUWOUUHYGYMUWNUWQUVFUUSUWPACUUEKLMQRTXBWCUUHYIYRUUOUUEUOZUV
      GUWEUWNUUEOMUIZUWRUVMYLYOYRYTUUGXEZUUHYIYKUVHUVKUUMUUBUOZUWSUVMUVNUVPUVQU
      UHYIYJUUCUXBUVMUVOYLUUAUUCUUDUUFXFBGHJLOPUAUBXGWCYIUVIUVKUXBUGUHUUEUUOBEG
      IUUMJLOPUAUBUCXHVQVFUVRUWGUWPUUHYIYKUWTUVMUVNEGIJLMOQUAUBUCWIVPADUUOJKLMU
      UEOQRTUAXIXJUUEUWIUUQMXKVPACUUEDUUOKLNUUKRSUVSTXLXMUUIUWKUVBUWLFUWJAUDXNF
      UWJUUKUDXOXPXQYCXRWSZUUHUUJFONULUUKVAZYLYOYRUGUUAUUGUXDUUHYOYRYLYOYRYTUUG
      XSUXAWBABCDEFGHIJKLMNOUUKPQRSTUAUBUCUDUVSXTYAUUHYGYHUUIUUJUXDYBUVFUVLUXCA
      FJLMNOUUKQSUVSTUAYDYEYFWB $.
  $}

  ${
    cdlemi.b $e |- B = ( Base ` K ) $.
    cdlemi.l $e |- .<_ = ( le ` K ) $.
    cdlemi.j $e |- .\/ = ( join ` K ) $.
    cdlemi.m $e |- ./\ = ( meet ` K ) $.
    cdlemi.a $e |- A = ( Atoms ` K ) $.
    cdlemi.h $e |- H = ( LHyp ` K ) $.
    cdlemi.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemi.r $e |- R = ( ( trL ` K ) ` W ) $.
    cdlemi.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    $( Part of proof of Lemma I of [Crawley] p. 118.  (Contributed by NM,
       18-Jun-2013.) $)
    cdlemi1 $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( U e. E /\ G e. T )
       /\ ( P e. A /\ -. P .<_ W ) )
 -> ( ( U ` G ) ` P ) .<_ ( P .\/ ( R ` G ) ) ) $=
      ( chlt wcel wa wbr wn w3a cfv simp1l hllatd simp2l simp2r tendocl syl3anc
      co simp1 simp3l atbase syl ltrncl clat trlcl syl2anc latlej2 wceq trlval2
      latjcl syld3an2 oveq2d simp1r lhpbase latlej1 atmod3i1 syl131anc cp1 eqid
      lhpjat2 3adant2 col olm11 eqtrd 3eqtrd breqtrrd tendotp latjlej2 syl13anc
      hlol wi mpd lattrd ) KUDUEZNIUEZUFZFGUEZHEUEZUFZCAUEZCNLUGUHZUFZUIZBKLCHF
      UJZUJZCXCDUJZJUQZCHDUJZJUQZOPXBKWMWNWRXAUKZULZXBWOXCEUEZCBUEZXDBUEZWOWRXA
      URZXBWOWPWQXKXNWOWPWQXAUMZWOWPWQXAUNZFEGHIKUDNTUAUCUOUPZXBWSXLWOWRWSWTUSZ
      ABCKOSUTVAZBEXCIKUDNCOTUAVBUPZXBKVCUEZXLXEBUEZXFBUEXJXSXBWOXKYBXNXQBDEXCI
      KNOTUAUBVDVEZBJKCXEOQVIUPXBYAXLXGBUEZXHBUEXJXSXBWOWQYDXNXPBDEHIKNOTUAUBVD
      VEZBJKCXGOQVIUPXBXDCXDJUQZXFLXBYAXLXMXDYFLUGXJXSXTBJKLCXDOPQVFUPXBXFCYFNM
      UQZJUQZYFCNJUQZMUQZYFXBXEYGCJWOXKWRXAXEYGVGXQACDEXCIJKLMNPQRSTUAUBVHVJVKX
      BWMWSYFBUEZNBUEZCYFLUGZYHYJVGXIXRXBYAXLXMYKXJXSXTBJKCXDOQVIUPZXBWNYLWMWNW
      RXAVLBIKNOTVMVAXBYAXLXMYMXJXSXTBJKLCXDOPQVNUPABCJKLMYFNOPQRSVOVPXBYJYFKVQ
      UJZMUQZYFXBYIYOYFMWOXAYIYOVGWRACYOIJKLNPQYOVRZSTVSVTVKXBKWAUEZYKYPYFVGXBW
      MYRXIKWIVAYNBYOKMYFORYQWBVEWCWDWEXBXEXGLUGZXFXHLUGZXBWOWPWQYSXNXOXPDFEGHI
      KLUDNPTUAUBUCWFUPXBYAYBYDXLYSYTWJXJYCYEXSBJKLXEXGCOPQWGWHWKWL $.

    $( Part of proof of Lemma I of [Crawley] p. 118.  (Contributed by NM,
       18-Jun-2013.) $)
    cdlemi2 $p |- ( ( ( K e. HL /\ W e. H )
       /\ ( U e. E /\ F e. T /\ G e. T )
       /\ ( P e. A /\ -. P .<_ W ) )
 -> ( ( U ` G ) ` P )
      .<_ ( ( ( U ` F ) ` P ) .\/ ( R ` ( G o. `' F ) ) ) ) $=
      ( chlt wcel wa w3a wbr wn cfv ccnv ccom simp1l simp1r simp21 simp1 simp23
      wceq simp22 ltrncnv syl2anc ltrnco syl3anc tendovalco syl32anc coass cres
      co cid wf1o ltrn1o f1ococnv1 syl coeq2d wf f1of fcoi1 eqtrd syl5eq fveq2d
      eqtr3d fveq1d tendocl simp3l ltrncoval syl121anc syld3an2 cdlemi1 eqbrtrd
      3syl ltrnel ) LUEUFZOJUFZUGZFGUFZHEUFZIEUFZUHZCAUFZCOMUIUJZUGZUHZCIFUKZUK
      ZCHFUKZUKZIHULZUMZFUKZUKZXGXIDUKKVIZMXCCXJXFUMZUKZXEXKXCCXMXDXCXIHUMZFUKZ
      XMXDXCWMWNWPXIEUFZWQXPXMUSWMWNWSXBUNWMWNWSXBUOWOWPWQWRXBUPZXCWOWRXHEUFZXQ
      WOWSXBUQZWOWPWQWRXBURZXCWOWQXSXTWOWPWQWRXBUTZEHJLOUAUBVAVBEIXHJLOUAUBVCVD
      ZYBFEGXIHJLUEOUAUBUDVEVFXCXOIFXCXOIXHHUMZUMZIIXHHVGXCYEIVJBVHZUMZIXCYDYFI
      XCBBHVKZYDYFUSXCWOWQYHXTYBBEHJLUEOPUAUBVLVBBBHVMVNVOXCBBIVKZBBIVPYGIUSXCW
      OWRYIXTYABEIJLUEOPUAUBVLVBBBIVQBBIVRWKVSVTWAWBWCXCWOXJEUFZXFEUFZWTXNXKUSX
      TXCWOWPXQYJXTXRYCFEGXIJLUEOUAUBUDWDVDXCWOWPWQYKXTXRYBFEGHJLUEOUAUBUDWDVDZ
      WOWSWTXAWEACEXJXFJLMOQTUAUBWFWGWBXCWOWPXQXGAUFXGOMUIUJUGZXKXLMUIXTXRYCWOY
      KWSXBYMYLACEXFJLMOQTUAUBWLWHABXGDEFGXIJKLMNOPQRSTUAUBUCUDWIWGWJ $.

    cdlemi.s $e |- S = ( ( P .\/ ( R ` G ) )
     ./\ ( ( ( U ` F ) ` P ) .\/ ( R ` ( G o. `' F ) ) ) ) $.
    $( Lemma I of [Crawley] p. 118.  (Contributed by NM, 19-Jun-2013.) $)
    cdlemi $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
       /\ ( U e. E /\ ( P e. A /\ -. P .<_ W ) )
       /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B )
          /\ ( R ` F ) =/= ( R ` G ) ) )
 -> ( ( U ` G ) ` P ) = S ) $=
      ( chlt wcel wa w3a wbr wn cid cres wne cfv ccnv ccom wceq simp11l simp11r
      co simp2l simp13 simp2r cdlemi1 syl221anc simp12 cdlemi2 syl231anc hllatd
      clat wb simp11 tendocl syl3anc simp2rl atbase ltrncl trlcl syl2anc latjcl
      syl ltrncnv ltrnco latlem12 syl13anc mpbi2and cal ltrnat ltrnel 3jca eqid
      hlatl cdlemh simpld syld3an2 atcmp mpbid eqtr4di ) MUGUHZPKUHZUIZIFUHZJFU
      HZUJZGHUHZCAUHZCPNUKULZUIZUIZIUMBUNZUOJXLUOIDUPZJDUPZUOUJZUJZCJGUPZUPZCXN
      LVBZCIGUPZUPZJIUQZURZDUPZLVBZOVBZEXPXRYFNUKZXRYFUSZXPXRXSNUKZXRYENUKZYGXP
      XAXBXGXEXJYIXAXBXDXEXKXOUTZXAXBXDXEXKXOVAZXFXGXJXOVCZXCXDXEXKXOVDZXFXGXJX
      OVEZABCDFGHJKLMNOPQRSTUAUBUCUDUEVFVGXPXAXBXGXDXEXJYJYKYLYMXCXDXEXKXOVHZYN
      YOABCDFGHIJKLMNOPQRSTUAUBUCUDUEVIVJXPMVLUHZXRBUHZXSBUHZYEBUHZYIYJUIYGVMXP
      MYKVKZXPXCXQFUHZCBUHZYRXCXDXEXKXOVNZXPXCXGXEUUBUUDYMYNGFHJKMUGPUBUCUEVOVP
      ZXPXHUUCXHXIXGXFXOVQZABCMQUAVRWCZBFXQKMUGPCQUBUCVSVPXPYQUUCXNBUHZYSUUAUUG
      XPXCXEUUHUUDYNBDFJKMPQUBUCUDVTWABLMCXNQSWBVPXPYQYABUHZYDBUHZYTUUAXPXCXTFU
      HZUUCUUIUUDXPXCXGXDUUKUUDYMYPGFHIKMUGPUBUCUEVOVPZUUGBFXTKMUGPCQUBUCVSVPXP
      XCYCFUHZUUJUUDXPXCXEYBFUHZUUMUUDYNXPXCXDUUNUUDYPFIKMPUBUCWDWAFJYBKMPUBUCW
      EVPBDFYCKMPQUBUCUDVTWABLMYAYDQSWBVPBMNOXRXSYEQRTWFWGWHXPMWIUHZXRAUHZYFAUH
      ZYGYHVMXPXAUUOYKMWNWCXPXCUUBXHUUPUUDUUEUUFACFXQKMNPRUAUBUCWJVPXFXJYAAUHYA
      PNUKULUIZYACXMLVBNUKZUJZXKXOUUQXPXJUURUUSYOXPXCUUKXJUURUUDUULYOACFXTKMNPR
      UAUBUCWKVPXPXAXBXGXDXJUUSYKYLYMYPYOABCDFGHIKLMNOPQRSTUAUBUCUDUEVFVGWLXFUU
      TXOUJUUQYFPNUKULABCYADYFFIJKLMNOPQRSTUAUBUCUDYFWMWOWPWQAXRYFMNRUAWRVPWSUF
      WT $.
  $}

  ${
    cdlemj.b $e |- B = ( Base ` K ) $.
    cdlemj.h $e |- H = ( LHyp ` K ) $.
    cdlemj.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemj.r $e |- R = ( ( trL ` K ) ` W ) $.
    cdlemj.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    ${
      cdlemj.l $e |- .<_ = ( le ` K ) $.
      cdlemj.a $e |- A = ( Atoms ` K ) $.
      $( Part of proof of Lemma J of [Crawley] p. 118.  (Contributed by NM,
         19-Jun-2013.) $)
      cdlemj1 $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( U e. E /\ V e. E /\ ( U ` F ) = ( V ` F ) )
            /\ ( F e. T /\ F =/= ( _I |` B ) /\ h e. T ) )
         /\ ( h =/= ( _I |` B ) /\ g e. T
            /\ g =/= ( _I |` B ) )
         /\ ( ( R ` F ) =/= ( R ` g )
            /\ ( R ` g ) =/= ( R ` h )
            /\ ( p e. A /\ -. p .<_ W ) ) )
    -> ( ( U ` h ) ` p ) = ( ( V ` h ) ` p ) ) $=
        ( chlt wcel wa cfv wceq w3a cid cres wne cv wbr wn co ccnv ccom simp123
        fveq1d oveq1d oveq2d simp11 simp131 simp22 simp121 simp33 simp23 simp31
        cjn cmee simp132 cdlemi syl323anc simp122 3eqtr4d simp133 simp21 simp32
        eqid ) KUCUDNJUDUEZEHUDZMHUDZIEUFZIMUFZUGZUHZIDUDZIUIBUJZUKZGULZDUDZUHZ
        UHZWJWHUKZFULZDUDZWOWHUKZUHZICUFWOCUFZUKZWSWJCUFZUKZOULZAUDXCNLUMUNUEZU
        HZUHZXCXAKVIUFZUOZXCWOEUFUFZWJWOUPUQCUFZXGUOZKVJUFZUOZXHXCWOMUFUFZXJXGU
        OZXLUOZXCWJEUFUFZXCWJMUFUFZXFXKXOXHXLXFXIXNXJXGXFXCWSXGUOZXCWCUFZWOIUPU
        QCUFZXGUOZXLUOZXSXCWDUFZYAXGUOZXLUOZXIXNXFYBYEXSXLXFXTYDYAXGXFXCWCWDWAW
        BWEVTWLWRXEURUSUTVAXFVTWGWPWAXDWIWQWTXIYCUGVTWFWLWRXEVBZWGWIWKVTWFWRXEV
        CZWMWNWPWQXEVDZWAWBWEVTWLWRXEVEZWMWRWTXBXDVFZWGWIWKVTWFWRXEVKZWMWNWPWQX
        EVGZWMWRWTXBXDVHZABXCCYCDEHIWOJXGKLXLNPUAXGVSZXLVSZUBQRSTYCVSVLVMXFVTWG
        WPWBXDWIWQWTXNYFUGYGYHYIWAWBWEVTWLWRXEVNZYKYLYMYNABXCCYFDMHIWOJXGKLXLNP
        UAYOYPUBQRSTYFVSVLVMVOUTVAXFVTWPWKWAXDWQWNXBXQXMUGYGYIWGWIWKVTWFWRXEVPZ
        YJYKYMWMWNWPWQXEVQZWMWRWTXBXDVRZABXCCXMDEHWOWJJXGKLXLNPUAYOYPUBQRSTXMVS
        VLVMXFVTWPWKWBXDWQWNXBXRXPUGYGYIYRYQYKYMYSYTABXCCXPDMHWOWJJXGKLXLNPUAYO
        YPUBQRSTXPVSVLVMVO $.
    $}

    $d p B $.  $d p E $.  $d p F $.  $d p H $.  $d p K $.  $d p R $.  $d p T $.
    $d p U $.  $d p V $.  $d p W $.  $d p g $.  $d p h $.
    $( Part of proof of Lemma J of [Crawley] p. 118.  Eliminate ` p ` .
       (Contributed by NM, 20-Jun-2013.) $)
    cdlemj2 $p |- ( ( ( ( K e. HL /\ W e. H )
          /\ ( U e. E /\ V e. E /\ ( U ` F ) = ( V ` F ) )
          /\ ( F e. T /\ F =/= ( _I |` B ) /\ h e. T ) )
       /\ ( h =/= ( _I |` B ) /\ g e. T
          /\ g =/= ( _I |` B ) )
       /\ ( ( R ` F ) =/= ( R ` g )
          /\ ( R ` g ) =/= ( R ` h ) ) )
  -> ( U ` h ) = ( V ` h ) ) $=
      ( vp wcel cfv chlt wa wceq w3a cid cres wne cv cple wbr wn wi catm simpl1
      wral simpl2 simpl3l simpl3r simpr cdlemj1 syl113anc exp32 ralrimiv simp11
      eqid wb simp121 simp133 tendocl syl3anc simp122 ltrneq mpbid ) JUASLISUBZ
      DGSZKGSZHDTHKTUCZUDZHCSZHUEAUFZUGZFUHZCSZUDZUDZWBVTUGEUHZCSWFVTUGUDZHBTWF
      BTZUGZWHWBBTUGZUBZUDZRUHZLJUITZUJUKZWMWBDTZTWMWBKTZTUCZULZRJUMTZUOZWPWQUC
      ZWLWSRWTWLWMWTSZWOWRWLXCWOUBZUBWEWGWIWJXDWRWEWGWKXDUNWEWGWKXDUPWIWJWEWGXD
      UQWIWJWEWGXDURWLXDUSWTABCDEFGHIJWNKLRMNOPQWNVEZWTVEZUTVAVBVCWLVNWPCSZWQCS
      ZXAXBVFVNVRWDWGWKVDZWLVNVOWCXGXIVOVPVQVNWDWGWKVGVSWAWCVNVRWGWKVHZDCGWBIJU
      ALNOQVIVJWLVNVPWCXHXIVOVPVQVNWDWGWKVKXJKCGWBIJUALNOQVIVJWTCWPWQIJWNLRXEXF
      NOVLVJVM $.

    $d g u B $.  $d g u E $.  $d g u F $.  $d g u H $.  $d g u K $.
    $d g u R $.  $d g u T $.  $d g u U $.  $d g u V $.  $d g u W $.
    $d h g u $.
    $( Part of proof of Lemma J of [Crawley] p. 118.  Eliminate ` g ` .
       (Contributed by NM, 20-Jun-2013.) $)
    cdlemj3 $p |- ( ( ( ( K e. HL /\ W e. H )
          /\ ( U e. E /\ V e. E /\ ( U ` F ) = ( V ` F ) )
          /\ ( F e. T /\ F =/= ( _I |` B ) /\ h e. T ) )
       /\ h =/= ( _I |` B ) )
  -> ( U ` h ) = ( V ` h ) ) $=
      ( wcel wa cfv wne vu vg chlt wceq w3a cid cres cv cple wbr catm wrex eqid
      simpl1 lhpexle2 syl simpl1l adantr simpl1r simprl simprr1 syl22anc simp1l
      cdlemfnid simp1r simp3rr simp2r2 simp3rl neeqtrrd simp2r3 eqnetrd cdlemj2
      simp3l necomd syl132anc 3expia expd rexlimdv mpd rexlimddv ) IUCQZKHQZRZD
      FQJFQGDSGJSUDUEZGCQGUFAUGZTEUHZCQUEZUEZWFWETZRZUAUHZKIUISZUJZWKGBSZTZWKWF
      BSZTZUEZWFDSWFJSUDZUAIUKSZWJWCWRUAWTULWCWDWGWIUNWTHIWLKWNWPUAWLUMZWTUMZMU
      OUPWJWKWTQZWRRZRZUBUHZBSZWKUDZXFWETZRZUBCULZWSXEWAWBXCWMXKWJWAXDWAWBWDWGW
      IUQURWJWBXDWAWBWDWGWIUSURWJXCWRUTWMWOWQXCWJVAWTABCWKUBHIWLKLXAXBMNOVDVBXE
      XJWSUBCXEXFCQZXJWSWJXDXLXJRZWSWJXDXMUEZWHWIXLXIWNXGTXGWPTWSWHWIXDXMVCWHWI
      XDXMVEWJXDXLXJVMXHXIXLWJXDVFXNWNWKXGXNWKWNWMWOWQXCWJXMVGVNXHXIXLWJXDVHZVI
      XNXGWKWPXOWMWOWQXCWJXMVJVKABCDUBEFGHIJKLMNOPVLVOVPVQVRVSVT $.
  $}

  ${
    $d h B $.  $d h E $.  $d h F $.  $d h H $.  $d h K $.  $d h T $.  $d h U $.
    $d h V $.  $d h W $.
    tendocan.b $e |- B = ( Base ` K ) $.
    tendocan.h $e |- H = ( LHyp ` K ) $.
    tendocan.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    tendocan.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    $( Cancellation law: if the values of two trace-preserving endormorphisms
       are equal, so are the endormorphisms.  Lemma J of [Crawley] p. 118.
       (Contributed by NM, 21-Jun-2013.) $)
    tendocan $p |- ( ( ( K e. HL /\ W e. H )
          /\ ( U e. E /\ V e. E /\ ( U ` F ) = ( V ` F ) )
          /\ ( F e. T /\ F =/= ( _I |` B ) ) )
  -> U = V ) $=
      ( vh wcel wa cfv wceq w3a wne chlt cres cv wi simp1l simp1r simp21 simp22
      cid wral simp11 simp12 simp13l simp13r simp2 3jca simp3 ctrl eqid cdlemj3
      syl31anc 3exp ralrimiv tendoeq2 syl221anc ) GUAOZIFOZPZCDOZHDOZECQEHQRZSZ
      EBOZEUIAUBZTZPZSZVFVGVIVJNUCZVNTZVRCQVRHQRZUDZNBUJCHRVFVGVLVPUEVFVGVLVPUF
      VHVIVJVKVPUGVHVIVJVKVPUHVQWANBVQVRBOZVSVTVQWBVSSZVHVLVMVOWBSVSVTVHVLVPWBV
      SUKVHVLVPWBVSULWCVMVOWBVMVOVHVLWBVSUMVMVOVHVLWBVSUNVQWBVSUOUPVQWBVSUQAIGU
      RQQZBCNDEFGHIJKLWDUSMUTVAVBVCABCNDFGHIJKLMVDVE $.
  $}

  ${
    $d f g B $.  $d g H $.  $d g K $.  $d f g T $.  $d g W $.
    tendoid0.b $e |- B = ( Base ` K ) $.
    tendoid0.h $e |- H = ( LHyp ` K ) $.
    tendoid0.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    tendoid0.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    tendoid0.o $e |- O = ( f e. T |-> ( _I |` B ) ) $.
    $( A trace-preserving endomorphism is the additive identity iff at least
       one of its values (at a non-identity translation) is the identity
       translation.  (Contributed by NM, 1-Aug-2013.) $)
    tendoid0 $p |- ( ( ( K e. HL /\ W e. H ) /\ U e. E
     /\ ( F e. T /\ F =/= ( _I |` B ) ) )
   -> ( ( U ` F ) = ( _I |` B ) <-> U = O ) ) $=
      ( wcel wa cfv wceq syl chlt cid cres wne w3a simp3l tendo02 eqeq2d simpl1
      simpl2 tendo0cl simpr simpl3l simpl3r tendocan syl132anc ex sylbird fveq1
      eqeq1d syl5ibrcom impbid ) HUAPJGPQZCEPZFBPZFUBAUCZUDZQZUEZFCRZVFSZCISZVI
      VKVJFIRZSZVLVIVMVFVJVIVEVMVFSZVCVDVEVGUFABDFHIOKUGTZUHVIVNVLVIVNQZVCVDIEP
      ZVNVEVGVLVCVDVHVNUIZVCVDVHVNUJVQVCVRVSABDEGHIJKLMNOUKTVIVNULVEVGVCVDVNUMV
      EVGVCVDVNUNABCEFGHIJKLMNUOUPUQURVIVKVLVOVPVLVJVMVFFCIUSUTVAVB $.

    $d g E $.  $d g O $.  $d g U $.  $d g V $.
    $( Additive identity multiplied by a trace-preserving endomorphism.
       (Contributed by NM, 1-Aug-2013.) $)
    tendo0mul $p |- ( ( ( K e. HL /\ W e. H ) /\ U e. E )
   -> ( O o. U ) = O ) $=
      ( vg chlt wcel wa wceq cfv cid cres wne ccom wrex cdlemftr0 adantr simpll
      tendo0cl ad2antrr simplr tendococl syl3anc tendocl tendo02 syl tendocoval
      cv simprl syl121anc ad2antrl 3eqtr4d simpr tendocan syl131anc rexlimddv )
      GPQIFQRZCEQZRZOURZUAAUBZUCZHCUDZHSZOBVGVLOBUEVHABOFGIJKLUFUGVIVJBQZVLRZRZ
      VGVMEQZHEQZVJVMTZVJHTZSVPVNVGVHVPUHZVQVGVSVHVRWBVGVSVHVPABDEFGHIJKLMNUIUJ
      ZVGVHVPUKZHCEFGIKMULUMWCVQVJCTZHTZVKVTWAVQWEBQZWFVKSVQVGVHVOWGWBWDVIVOVLU
      SZCBEVJFGPIKLMUNUMABDWEGHNJUOUPVQVGVSVHVOVTWFSWBWCWDWHBHEVJFGCIPKLMUQUTVO
      WAVKSVIVLABDVJGHNJUOVAVBVIVPVCABVMEVJFGHIJKLMVDVEVF $.

    $( Additive identity multiplied by a trace-preserving endomorphism.
       (Contributed by NM, 13-Feb-2014.) $)
    tendo0mulr $p |- ( ( ( K e. HL /\ W e. H ) /\ U e. E )
   -> ( U o. O ) = O ) $=
      ( vg chlt wcel wa wceq cfv cid cres wne ccom wrex cdlemftr0 adantr simpll
      simplr tendo0cl ad2antrr tendococl syl3anc tendo02 ad2antrl tendoid eqtrd
      cv fveq2d tendocoval syl121anc 3eqtr4d simpr tendocan syl131anc rexlimddv
      simprl ) GPQIFQRZCEQZRZOURZUAAUBZUCZCHUDZHSZOBVHVMOBUEVIABOFGIJKLUFUGVJVK
      BQZVMRZRZVHVNEQZHEQZVKVNTZVKHTZSVQVOVHVIVQUHZVRVHVIVTVSWCVHVIVQUIZVHVTVIV
      QABDEFGHIJKLMNUJUKZCHEFGIKMULUMWEVRWBCTZVLWAWBVRWFVLCTZVLVRWBVLCVPWBVLSVJ
      VMABDVKGHNJUNUOZUSVJWGVLSVQACEFGIJKMUPUGUQVRVHVIVTVPWAWFSWCWDWEVJVPVMVGBC
      EVKFGHIPKLMUTVAWHVBVJVQVCABVNEVKFGHIJKLMVDVEVF $.

    $( The identity (unity) is not equal to the zero trace-preserving
       endomorphism.  (Contributed by NM, 8-Aug-2013.) $)
    tendo1ne0 $p |- ( ( K e. HL /\ W e. H ) -> ( _I |` T ) =/= O ) $=
      ( vg wcel wa cid cres wne wceq chlt cv wrex cdlemftr0 w3a simp3 cfv fveq1
      adantl simpl2 fvresi syl tendo02 3eqtr3d ex necon3d mpd rexlimdv3a ) FUAO
      HEOPZNUBZQARZSZNBUCQBRZGSZABNEFHIJKUDUSVBVDNBUSUTBOZVBUEZVBVDUSVEVBUFVFVC
      GUTVAVFVCGTZUTVATVFVGPZUTVCUGZUTGUGZUTVAVGVIVJTVFUTVCGUHUIVHVEVIUTTUSVEVB
      VGUJZBUTUKULVHVEVJVATVKABCUTFGMIUMULUNUOUPUQURUQ $.

    $( The composition (product) of trace-preserving endormorphisms is nonzero
       when each argument is nonzero.  (Contributed by NM, 8-Aug-2013.) $)
    tendoconid $p |- ( ( ( K e. HL /\ W e. H ) /\ ( U e. E /\ U =/= O )
       /\ ( V e. E /\ V =/= O ) ) -> ( U o. V ) =/= O ) $=
      ( vg wcel wa wne wceq chlt w3a cv cid cres ccom cdlemftr0 3ad2ant1 cfv wf
      wrex simpl1 simpl3l tendof syl2anc simprl simpl2r simpl2l tendocl syl3anc
      fvco3 simpl3r simpr tendoid0 necon3bid mpbird syl112anc eqnetrd tendococl
      wb mpbid rexlimddv ) GUAQJFQRZCEQZCHSZRZIEQZIHSZRZUBZPUCZUDAUEZSZCIUFZHSZ
      PBVMVPWCPBUKVSABPFGJKLMUGUHVTWABQZWCRZRZWAWDUIZWBSWEWHWIWAIUIZCUIZWBWHBBI
      UJZWFWIWKTWHVMVQWLVMVPVSWGULZVQVRVMVPWGUMZIBEFGUAJLMNUNUOVTWFWCUPZBBWACIV
      AUOWHWKWBSVOVNVOVMVSWGUQWHWKWBCHWHVMVNWJBQZWJWBSZWKWBTCHTVJWMVNVOVMVSWGUR
      ZWHVMVQWFWPWMWNWOIBEWAFGUAJLMNUSUTWHWQVRVQVRVMVPWGVBWHWJWBIHWHVMVQWGWJWBT
      IHTVJWMWNVTWGVCZABIDEWAFGHJKLMNOVDUTVEVFABCDEWJFGHJKLMNOVDVGVEVFVHWHWIWBW
      DHWHVMWDEQZWGWIWBTWDHTVJWMWHVMVNVQWTWMWRWNCIEFGJLNVIUTWSABWDDEWAFGHJKLMNO
      VDUTVEVKVL $.
  $}

  ${
    $d f B $.  $d f T $.
    tendotr.b $e |- B = ( Base ` K ) $.
    tendotr.h $e |- H = ( LHyp ` K ) $.
    tendotr.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    tendotr.r $e |- R = ( ( trL ` K ) ` W ) $.
    tendotr.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    tendotr.o $e |- O = ( f e. T |-> ( _I |` B ) ) $.
    $( The trace of the value of a nonzero trace-preserving endomorphism equals
       the trace of the argument.  (Contributed by NM, 11-Aug-2013.) $)
    tendotr $p |- ( ( ( K e. HL /\ W e. H ) /\ ( U e. E /\ U =/= O )
        /\ F e. T ) -> ( R ` ( U ` F ) ) = ( R ` F ) ) $=
      ( wcel cfv wceq chlt wa wne w3a cres simpl1 simpl2l tendoid syl2anc simpr
      cid fveq2d 3eqtr4d cple wbr simpl3 eqid tendotp syl3anc cal catm wb hlatl
      simpl1l tendocl simpl2r tendoid0 syl112anc necon3bid trlnidat atcmp mpbid
      syl mpbird pm2.61dane ) IUARZKHRZUBZDFRZDJUCZUBZGCRZUDZGDSZBSZGBSZTZGUKAU
      EZWCGWHTZUBZWDGBWJWHDSZWHWDGWJVRVSWKWHTVRWAWBWIUFVSVTVRWBWIUGADFHIKLMPUHU
      IWJGWHDWCWIUJZULWLUMULWCGWHUCZUBZWEWFIUNSZUOZWGWNVRVSWBWPVRWAWBWMUFZVSVTV
      RWBWMUGZVRWAWBWMUPZBDCFGHIWOUAKWOUQZMNOPURUSWNIUTRZWEIVASZRZWFXBRZWPWGVBW
      NVPXAVPVQWAWBWMVDIVCVMWNVRWDCRZWDWHUCZXCWQWNVRVSWBXEWQWRWSDCFGHIUAKMNPVEU
      SWNXFVTVSVTVRWBWMVFWNWDWHDJWNVRVSWBWMWDWHTDJTVBWQWRWSWCWMUJZACDEFGHIJKLMN
      PQVGVHVIVNXBABCWDHIKLXBUQZMNOVJUSWNVRWBWMXDWQWSXGXBABCGHIKLXHMNOVJUSXBWEW
      FIWOWTXHVKUSVLVO $.
  $}

  ${
    cdlemk.b $e |- B = ( Base ` K ) $.
    cdlemk.l $e |- .<_ = ( le ` K ) $.
    cdlemk.j $e |- .\/ = ( join ` K ) $.
    cdlemk.a $e |- A = ( Atoms ` K ) $.
    cdlemk.h $e |- H = ( LHyp ` K ) $.
    cdlemk.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemk.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
       22-Jun-2013.) $)
    cdlemk1 $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( F e. T /\ N e. T )
        /\ ( ( R ` F ) = ( R ` N )
          /\ ( P e. A /\ -. P .<_ W ) ) )
  -> ( P .\/ ( N ` P ) ) = ( ( F ` P ) .\/ ( R ` F ) ) ) $=
      ( wcel chlt wa cfv wceq wbr wn w3a co simp3l oveq2d simp2l simp3r trljat3
      simp1 syl3anc simp2r trljat1 3eqtr3rd ) IUATLGTUBZFETZKETZUBZFDUCZKDUCZUD
      ZCATCLJUEUFUBZUBZUGZCVCHUHZCVDHUHZCFUCVCHUHZCCKUCHUHZVHVCVDCHUSVBVEVFUIUJ
      VHUSUTVFVIVKUDUSVBVGUNZUSUTVAVGUKUSVBVEVFULZACDEFGHIJLNOPQRSUMUOVHUSVAVFV
      JVLUDVMUSUTVAVGUPVNACDEKGHIJLNOPQRSUQUOUR $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
       22-Jun-2013.) $)
    cdlemk2 $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( F e. T /\ G e. T )
        /\ ( P e. A /\ -. P .<_ W ) )
  -> ( ( G ` P ) .\/ ( R ` ( G o. `' F ) ) )
        = ( ( F ` P ) .\/ ( R ` ( G o. `' F ) ) ) ) $=
      ( wcel chlt wa wbr wn w3a cfv ccnv ccom wceq simp1 simp2r ltrncnv syl2anc
      co simp2l ltrnco syl3anc ltrnel 3adant2r simp3l ltrncoval syl121anc coass
      trljat3 cid cres wf1o ltrn1o f1ococnv1 syl coeq2d f1of fcoi1 eqtrd syl5eq
      wf 3syl fveq1d eqtr3d oveq1d eqtr2d ) JUATLHTUBZFETZGETZUBZCATZCLKUCUDZUB
      ZUEZCFUFZGFUGZUHZDUFZIUNZWJWLUFZWMIUNZCGUFZWMIUNWIWBWLETZWJATWJLKUCUDUBZW
      NWPUIWBWEWHUJZWIWBWDWKETZWRWTWBWCWDWHUKZWIWBWCXAWTWBWCWDWHUOZEFHJLQRULUME
      GWKHJLQRUPUQZWBWCWHWSWDACEFHJKLNPQRURUSAWJDEWLHIJKLNOPQRSVDUQWIWOWQWMIWIC
      WLFUHZUFZWOWQWIWBWRWCWFXFWOUIWTXDXCWBWEWFWGUTACEWLFHJKLNPQRVAVBWICXEGWIXE
      GWKFUHZUHZGGWKFVCWIXHGVEBVFZUHZGWIXGXIGWIBBFVGZXGXIUIWIWBWCXKWTXCBEFHJUAL
      MQRVHUMBBFVIVJVKWIBBGVGZBBGVPXJGUIWIWBWDXLWTXBBEGHJUALMQRVHUMBBGVLBBGVMVQ
      VNVOVRVSVTWA $.

    cdlemk.m $e |- ./\ = ( meet ` K ) $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
       3-Jul-2013.) $)
    cdlemk3 $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( F e. T /\ G e. T )
        /\ ( ( R ` G ) =/= ( R ` F )
          /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B ) )
          /\ ( P e. A /\ -. P .<_ W ) ) )
  -> ( ( ( F ` P ) .\/ ( R ` F ) )
             ./\ ( ( F ` P ) .\/ ( R ` ( G o. `' F ) ) ) )
        = ( F ` P ) ) $=
      ( chlt wcel wa cfv wne cid cres wbr wn w3a ccnv ccom co wceq simp1l simp1
      simp2l simp32l trlnidat syl3anc simp2r simp31 trlcocnvat syl121anc ltrnat
      simp33l ltrncnv syl2anc eqnetrd simp32r trlcone syl122anc ltrncom 3netr3d
      trlcnv necomd fveq2d simp33 ltrnel simprd trlle ltrnco clat hllatd atbase
      wb simp1r lhpbase latjle12 syl13anc mpbi2and wi hlatjcl lattr mpan2d mtod
      syl 2llnma2 syl132anc ) JUBUCZMHUCZUDZFEUCZGEUCZUDZGDUEZFDUEZUFZFUGBUHZUF
      ZGXJUFZUDZCAUCZCMKUIUJZUDZUKZUKZXAXHAUCZGFULZUMZDUEZAUCZCFUEZAUCZXHYBUFYD
      XHYBIUNZKUIZUJYDXHIUNYDYBIUNLUNYDUOXAXBXFXQUPZXRXCXDXKXSXCXFXQUQZXCXDXEXQ
      URZXKXLXIXPXCXFUSABDEFHJMNQRSTUTVAZXRXCXEXDXIYCYIXCXDXEXQVBZYJXCXFXIXMXPV
      CZADEGFHJMQRSTVDVEZXRXCXDXNYEYIYJXNXOXIXMXCXFVGACEFHJKMOQRSVFVAZXRXTDUEZX
      TGUMZDUEZXHYBXRXCXTEUCZXEYPXGUFXLYPYRUFYIXRXCXDYSYIYJEFHJMRSVHVIZYLXRYPXH
      XGXRXCXDYPXHUOYIYJDEFHJMRSTVPVIZXRXGXHYMVQVJXKXLXIXPXCXFVKBDEXTGHJMNRSTVL
      VMUUAXRYQYADXRXCYSXEYQYAUOYIYTYLEXTGHJMRSVNVAVRVOXRYGYDMKUIZXRXCXDXPUUBUJ
      ZYIYJXCXFXIXMXPVSXCXDXPUKYEUUCACEFHJKMOQRSVTWAVAXRYGYFMKUIZUUBXRXHMKUIZYB
      MKUIZUUDXRXCXDUUEYIYJDEFHJKMORSTWBVIXRXCYAEUCZUUFYIXRXCXEYSUUGYIYLYTEGXTH
      JMRSWCVADEYAHJKMORSTWBVIXRJWDUCZXHBUCZYBBUCZMBUCZUUEUUFUDUUDWGXRJYHWEZXRX
      SUUIYKABXHJNQWFWRXRYCUUJYNABYBJNQWFWRXRXBUUKXAXBXFXQWHBHJMNRWIWRZBIJKXHYB
      MNOPWJWKWLXRUUHYDBUCZYFBUCZUUKYGUUDUDUUBWMUULXRYEUUNYOABYDJNQWFWRXRXAXSYC
      UUOYHYKYNABIJXHYBNPQWNVAUUMBJKYDYFMNOWOWKWPWQAXHYBYDIJKLOPUAQWSWT $.

    $( Part of proof of Lemma K of [Crawley] p. 118, last line.  We use ` X `
       for their h, since ` H ` is already used.  (Contributed by NM,
       24-Jun-2013.) $)
    cdlemk4 $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( F e. T /\ X e. T )
        /\ ( P e. A /\ -. P .<_ W ) )
  -> ( F ` P ) .<_ ( ( X ` P ) .\/ ( R ` ( X o. `' F ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a cfv ccnv ccom simp1l simp1 simp2l simp3l ltrnat
      syl3anc simp2r hlatlej1 wceq clat hllatd atbase syl latjcl simp1r lhpbase
      co hlatlej2 atmod3i1 syl131anc ltrncnv syl2anc ltrnco ltrnel syld3an2 cid
      trlval2 cres wf1o ltrn1o f1ococnv1 coeq2d wf f1of fcoi1 3syl eqtr2d coass
      eqtr4di fveq1d ltrncoval syl121anc eqtrd oveq2d eqcomd oveq1d cp1 lhpjat2
      eqid col hlol olm11 3eqtr4rd breqtrd ) IUBUCZLGUCZUDZFEUCZMEUCZUDZCAUCZCL
      JUEUFZUDZUGZCFUHZXOCMUHZHVGZXPMFUIZUJZDUHZHVGZJXNXEXOAUCZXPAUCZXOXQJUEXEX
      FXJXMUKZXNXGXHXKYBXGXJXMULZXGXHXIXMUMZXGXJXKXLUNZACEFGIJLOQRSUOUPZXNXGXIX
      KYCYEXGXHXIXMUQZYGACEMGIJLOQRSUOUPZAXOXPHIJOPQURUPXNXPXQLKVGZHVGZXQXPLHVG
      ZKVGZYAXQXNXEYCXQBUCZLBUCZXPXQJUEZYLYNUSYDYJXNIUTUCXOBUCZXPBUCZYOXNIYDVAX
      NYBYRYHABXOINQVBVCXNYCYSYJABXPINQVBVCBHIXOXPNPVDUPZXNXFYPXEXFXJXMVEBGILNR
      VFVCXNXEYBYCYQYDYHYJAXOXPHIJOPQVHUPABXPHIJKXQLNOPUAQVIVJXNXTYKXPHXNXTXOXO
      XSUHZHVGZLKVGZYKXNXGXSEUCZYBXOLJUEUFUDZXTUUCUSYEXNXGXIXREUCZUUDYEYIXNXGXH
      UUFYEYFEFGILRSVKVLEMXRGILRSVMUPZXGXHXJXMUUEYFACEFGIJLOQRSVNVOAXODEXSGHIJK
      LOPUAQRSTVQUPXNUUBXQLKXNXQUUBXNXPUUAXOHXNXPCXSFUJZUHZUUAXNCMUUHXNMMXRFUJZ
      UJZUUHXNUUKMVPBVRZUJZMXNUUJUULMXNBBFVSZUUJUULUSXNXGXHUUNYEYFBEFGIUBLNRSVT
      VLBBFWAVCWBXNBBMVSZBBMWCUUMMUSXNXGXIUUOYEYIBEMGIUBLNRSVTVLBBMWDBBMWEWFWGM
      XRFWHWIWJXNXGUUDXHXKUUIUUAUSYEUUGYFYGACEXSFGIJLOQRSWKWLWMWNWOWPWMWNXNYNXQ
      IWQUHZKVGZXQXNYMUUPXQKXNXGYCXPLJUEUFUDZYMUUPUSYEXGXIXJXMUURYIACEMGIJLOQRS
      VNVOAXPUUPGHIJLOPUUPWSZQRWRVLWNXNIWTUCZYOUUQXQUSXNXEUUTYDIXAVCYTBUUPIKXQN
      UAUUSXBVLWGXCXD $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
       3-Jul-2013.) $)
    cdlemk5a $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( F e. T /\ G e. T /\ X e. T )
        /\ ( ( R ` G ) =/= ( R ` F )
          /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B ) )
          /\ ( P e. A /\ -. P .<_ W ) ) )
  -> ( ( ( F ` P ) .\/ ( R ` F ) )
             ./\ ( ( F ` P ) .\/ ( R ` ( G o. `' F ) ) ) )
        .<_ ( ( X ` P ) .\/ ( R ` ( X o. `' F ) ) ) ) $=
      ( chlt wcel wa w3a cfv wne cid cres wbr wn ccnv ccom simp1l simp1r simp21
      co wceq simp22 cdlemk3 syl221anc simp23 simp33l simp33r cdlemk4 syl222anc
      simp3 eqbrtrd ) JUCUDZMHUDZUEZFEUDZGEUDZNEUDZUFZGDUGFDUGZUHZFUIBUJZUHGVSU
      HUEZCAUDZCMKUKULZUEUFZUFZCFUGZVQIURWEGFUMZUNDUGIURLURZWECNUGNWFUNDUGIURZK
      WDVJVKVMVNWCWGWEUSVJVKVPWCUOZVJVKVPWCUPZVLVMVNVOWCUQZVLVMVNVOWCUTVLVPWCVH
      ABCDEFGHIJKLMOPQRSTUAUBVAVBWDVJVKVMVOWAWBWEWHKUKWIWJWKVLVMVNVOWCVCWAWBVRV
      TVLVPVDWAWBVRVTVLVPVEABCDEFHIJKLMNOPQRSTUAUBVFVGVI $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
       25-Jun-2013.) $)
    cdlemk5 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
       /\ ( ( N e. T /\ X e. T )
          /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B )
          /\ ( R ` G ) =/= ( R ` F ) ) )
  -> ( ( P .\/ ( N ` P ) )
             ./\ ( ( G ` P ) .\/ ( R ` ( G o. `' F ) ) ) )
        .<_ ( ( X ` P ) .\/ ( R ` ( X o. `' F ) ) ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres wne ccnv ccom simp11l simp11r
      co simp12 simp21l simp23 simp22 cdlemk1 syl222anc cdlemk2 oveq12d simp21r
      simp13 syl221anc simp33 simp31 simp32 jca cdlemk5a syl233anc eqbrtrd ) JU
      DUEZNHUEZUFZFEUEZGEUEZUGZMEUEZOEUEZUFZCAUECNKUHUIUFZFDUJZMDUJUKZUGZFULBUM
      ZUNZGWKUNZGDUJWHUNZUGZUGZCCMUJIUSZCGUJGFUOZUPDUJZIUSZLUSCFUJZWHIUSZXAWSIU
      SZLUSZCOUJOWRUPDUJIUSZKWPWQXBWTXCLWPVRVSWAWDWIWGWQXBUKVRVSWAWBWJWOUQZVRVS
      WAWBWJWOURZVTWAWBWJWOUTZWDWEWGWIWCWOVAWCWFWGWIWOVBWCWFWGWIWOVCZABCDEFHIJK
      MNPQRSTUAUBVDVEWPVRVSWAWBWGWTXCUKXFXGXHVTWAWBWJWOVIZXIABCDEFGHIJKNPQRSTUA
      UBVFVJVGWPVRVSWAWBWEWNWLWMUFWGXDXEKUHXFXGXHXJWDWEWGWIWCWOVHWCWJWLWMWNVKWP
      WLWMWCWJWLWMWNVLWCWJWLWMWNVMVNXIABCDEFGHIJKLNOPQRSTUAUBUCVOVPVQ $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Apply ~ dalaw .
       (Contributed by NM, 25-Jun-2013.) $)
    cdlemk6 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
       /\ ( ( N e. T /\ X e. T )
          /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B )
          /\ ( ( R ` G ) =/= ( R ` F ) /\ ( R ` X ) =/= ( R ` F ) ) ) )
       -> ( ( P .\/ ( G ` P ) )
              ./\ ( ( N ` P ) .\/ ( R ` ( G o. `' F ) ) ) )
        .<_ ( ( ( ( G ` P ) .\/ ( X ` P ) )
                ./\ ( ( R ` ( G o. `' F ) )
                     .\/ ( R ` ( X o. `' F ) ) ) )
             .\/ ( ( ( X ` P ) .\/ P )
                ./\ ( ( R ` ( X o. `' F ) )
                     .\/ ( N ` P ) ) ) ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres co ccnv simp31 simp32 simp33l
      wne ccom cdlemk5 syld3an3 wi simp11l simp22l simp11 simp13 ltrnat syl3anc
      3jca simp21r simp21l simp12 trlcocnvat syl121anc simp33r dalaw syl133anc
      mpd ) JUDUEZNHUEZUFZFEUEZGEUEZUGZMEUEZOEUEZUFZCAUEZCNKUHUIZUFZFDUJZMDUJUK
      ZUGZFULBUMZUSZGWOUSZGDUJWLUSZODUJWLUSZUFZUGZUGZCCMUJZIUNCGUJZGFUOZUTDUJZI
      UNLUNCOUJZOXEUTDUJZIUNKUHZCXDIUNXCXFIUNLUNXDXGIUNXFXHIUNLUNXGCIUNXHXCIUNL
      UNIUNKUHZWEWNXAWPWQWRUGXIXBWPWQWRWEWNWPWQWTUPWEWNWPWQWTUQWRWSWPWQWEWNURZV
      JABCDEFGHIJKLMNOPQRSTUAUBUCVAVBXBVTWIXDAUEZXGAUEZXCAUEZXFAUEZXHAUEZXIXJVC
      VTWAWCWDWNXAVDWIWJWHWMWEXAVEZXBWBWDWIXLWBWCWDWNXAVFZWBWCWDWNXAVGZXQACEGHJ
      KNQSTUAVHVIXBWBWGWIXMXRWFWGWKWMWEXAVKZXQACEOHJKNQSTUAVHVIXBWBWFWIXNXRWFWG
      WKWMWEXAVLXQACEMHJKNQSTUAVHVIXBWBWDWCWRXOXRXSWBWCWDWNXAVMZXKADEGFHJNSTUAU
      BVNVOXBWBWGWCWSXPXRXTYAWRWSWPWQWEWNVPADEOFHJNSTUAUBVNVOACXDXGXCXFXHIJKLQR
      UCSVQVRVS $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
       26-Jun-2013.) $)
    cdlemk8 $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( G e. T /\ X e. T )
        /\ ( P e. A /\ -. P .<_ W ) )
       -> ( ( G ` P ) .\/ ( X ` P ) )
             = ( ( G ` P ) .\/ ( R ` ( X o. `' G ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a cfv co ccnv ccom coass cid cres wf1o wceq simp1
      simp2l ltrn1o syl2anc f1ococnv1 syl coeq2d simp2r f1of fcoi1 eqtrd syl5eq
      wf fveq1d ltrncnv ltrnco syl3anc simp3l ltrncoval syl121anc eqtr3d oveq2d
      3syl ltrnel 3adant2r trljat1 eqtr4d ) IUBUCLGUCUDZFEUCZMEUCZUDZCAUCZCLJUE
      UFZUDZUGZCFUHZCMUHZHUIWLWLMFUJZUKZUHZHUIZWLWODUHHUIZWKWMWPWLHWKCWOFUKZUHZ
      WMWPWKCWSMWKWSMWNFUKZUKZMMWNFULWKXBMUMBUNZUKZMWKXAXCMWKBBFUOZXAXCUPWKWDWE
      XEWDWGWJUQZWDWEWFWJURZBEFGIUBLNRSUSUTBBFVAVBVCWKBBMUOZBBMVIXDMUPWKWDWFXHX
      FWDWEWFWJVDZBEMGIUBLNRSUSUTBBMVEBBMVFVSVGVHVJWKWDWOEUCZWEWHWTWPUPXFWKWDWF
      WNEUCZXJXFXIWKWDWEXKXFXGEFGILRSVKUTEMWNGILRSVLVMZXGWDWGWHWIVNACEWOFGIJLOQ
      RSVOVPVQVRWKWDXJWLAUCWLLJUEUFUDZWRWQUPXFXLWDWEWJXMWFACEFGIJLOQRSVTWAAWLDE
      WOGHIJLOPQRSTWBVMWC $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
       29-Jun-2013.) $)
    cdlemk9 $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( G e. T /\ X e. T )
        /\ ( P e. A /\ -. P .<_ W ) )
       -> ( ( ( G ` P ) .\/ ( X ` P ) ) ./\ W )
             = ( R ` ( X o. `' G ) ) ) $=
      ( chlt wcel wa wbr wn w3a cfv co ccnv ccom cdlemk8 oveq1d cp0 wceq ltrnel
      simp1 3adant2r lhpmat syl2anc simp1l simp2l simp3l ltrnat syl3anc ltrncnv
      eqid simp2r ltrnco trlcl simp1r lhpbase syl trlle atmod4i2 syl131anc hlol
      col olj02 3eqtr3d eqtrd ) IUBUCZLGUCZUDZFEUCZMEUCZUDZCAUCZCLJUEUFZUDZUGZC
      FUHZCMUHHUIZLKUIWLMFUJZUKZDUHZHUIZLKUIZWPWKWMWQLKABCDEFGHIJKLMNOPQRSTUAUL
      UMWKWLLKUIZWPHUIZIUNUHZWPHUIZWRWPWKWSXAWPHWKWDWLAUCZWLLJUEUFUDZWSXAUOWDWG
      WJUQZWDWEWJXDWFACEFGIJLOQRSUPURAWLGIJKLXAOUAXAVGZQRUSUTUMWKWBXCWPBUCZLBUC
      ZWPLJUEZWTWRUOWBWCWGWJVAZWKWDWEWHXCXEWDWEWFWJVBZWDWGWHWIVCACEFGIJLOQRSVDV
      EWKWDWOEUCZXGXEWKWDWFWNEUCZXLXEWDWEWFWJVHWKWDWEXMXEXKEFGILRSVFUTEMWNGILRS
      VIVEZBDEWOGILNRSTVJUTZWKWCXHWBWCWGWJVKBGILNRVLVMWKWDXLXIXEXNDEWOGIJLORSTV
      NUTABWLHIJKWPLNOPUAQVOVPWKIVRUCZXGXBWPUOWKWBXPXJIVQVMXOBHIWPXANPXFVSUTVTW
      A $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  TODO: is this needed?  If
       so, shorten with ~ cdlemk9 if that one is also needed.  (Contributed by
       NM, 28-Jun-2013.)  (New usage is discouraged.) $)
    cdlemk9bN $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( G e. T /\ X e. T )
        /\ ( P e. A /\ -. P .<_ W ) )
       -> ( ( ( G ` P ) .\/ ( X ` P ) ) ./\ W )
             = ( R ` ( G o. `' X ) ) ) $=
      ( chlt wcel wa wbr wn w3a cfv co ccnv ccom cdlemk8 oveq1d cp0 wceq ltrnel
      simp1 3adant2r lhpmat syl2anc simp1l simp2l simp3l ltrnat syl3anc ltrncnv
      eqid simp2r ltrnco trlcl simp1r lhpbase syl trlle atmod4i2 syl131anc hlol
      col olj02 trlcocnv eqtr4d 3eqtr3d eqtrd ) IUBUCZLGUCZUDZFEUCZMEUCZUDZCAUC
      ZCLJUEUFZUDZUGZCFUHZCMUHHUIZLKUIWNMFUJZUKZDUHZHUIZLKUIZFMUJUKDUHZWMWOWSLK
      ABCDEFGHIJKLMNOPQRSTUAULUMWMWNLKUIZWRHUIZIUNUHZWRHUIZWTXAWMXBXDWRHWMWFWNA
      UCZWNLJUEUFUDZXBXDUOWFWIWLUQZWFWGWLXGWHACEFGIJLOQRSUPURAWNGIJKLXDOUAXDVGZ
      QRUSUTUMWMWDXFWRBUCZLBUCZWRLJUEZXCWTUOWDWEWIWLVAZWMWFWGWJXFXHWFWGWHWLVBZW
      FWIWJWKVCACEFGIJLOQRSVDVEWMWFWQEUCZXJXHWMWFWHWPEUCZXOXHWFWGWHWLVHZWMWFWGX
      PXHXNEFGILRSVFUTEMWPGILRSVIVEZBDEWQGILNRSTVJUTZWMWEXKWDWEWIWLVKBGILNRVLVM
      WMWFXOXLXHXRDEWQGIJLORSTVNUTABWNHIJKWRLNOPUAQVOVPWMXEWRXAWMIVRUCZXJXEWRUO
      WMWDXTXMIVQVMXSBHIWRXDNPXIVSUTWMWFWGWHXAWRUOXHXNXQDEFMGILRSTVTVEWAWBWC $.

    ${
      cdlemk.i $e |- I = ( iota_ i e. T
        ( i ` P ) = ( ( P .\/ ( R ` G ) )
              ./\ ( ( N ` P ) .\/ ( R ` ( G o. `' F ) ) ) ) ) $.

      $d i ./\ $.  $d i .<_ $.  $d i .\/ $.  $d i A $.  $d i F $.  $d i H $.
      $d i K $.  $d i N $.  $d i P $.  $d i R $.  $d i T $.  $d i W $.
      $d i G $.
      $( Part of proof of Lemma K of [Crawley] p. 118.  TODO:  Eliminate and
         put into ~ cdlemksel .  (Contributed by NM, 25-Jun-2013.) $)
      cdlemki $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
         /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
         /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B )
            /\ ( R ` G ) =/= ( R ` F ) ) )
       -> I e. T ) $=
        ( chlt wcel wa w3a wbr wn cfv wceq cid cres wne ccnv ccom simp11 simp22
        co simp21 ltrnel syl3anc simp11l simp22l simpld hlatlej2 simp23 trljat1
        oveq2d eqtr2d breqtrd simp31 simp32 simp33 necomd eqid cdlemh syl133anc
        simp1 ltrniotacl ) LUFUGZPIUGZUHZGEUGZHEUGZUIZOEUGZCAUGZCPMUJUKZUHZGDUL
        ZODULZUMZUIZGUNBUOZUPZHWQUPZHDULZWMUPZUIZUIZWEWLCWTKVACOULZHGUQURDULKVA
        NVAZAUGXEPMUJUKUHZJEUGWEWFWGWPXBUSZWHWIWLWOXBUTZXCWHWLXDAUGZXDPMUJUKZUH
        ZXDCWMKVAZMUJWRWSWMWTUPXFWHWPXBWAXHXCWEWIWLXKXGWHWIWLWOXBVBZXHACEOILMPR
        TUAUBVCZVDXCXDCXDKVAZXLMXCWCWJXIXDXOMUJWCWDWFWGWPXBVEWJWKWIWOWHXBVFXCWE
        WIWLXIXGXMXHWEWIWLUIXIXJXNVGVDACXDKLMRSTVHVDXCXLCWNKVAZXOXCWMWNCKWHWIWL
        WOXBVIVKXCWEWIWLXPXOUMXGXMXHACDEOIKLMPRSTUAUBUCVJVDVLVMWHWPWRWSXAVNWHWP
        WRWSXAVOXCWTWMWHWPWRWSXAVPVQABCXDDXEEGHIKLMNPQRSUDTUAUBUCXEVRVSVTACXEEF
        JILMPRTUAUBUEWBVD $.
    $}

    ${
      cdlemk.v1 $e |- V = ( ( ( G ` P ) .\/ ( X ` P ) )
                  ./\ ( ( R ` ( G o. `' F ) )
                       .\/ ( R ` ( X o. `' F ) ) ) ) $.
      $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
         27-Jun-2013.) $)
      cdlemkvcl $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( F e. T /\ G e. T /\ X e. T )
            /\ P e. A )
         -> V e. B ) $=
        ( chlt wcel wa w3a cfv ccnv ccom clat simp1l hllatd simp1 simp22 atbase
        ltrncl syl3anc simp23 latjcl simp21 ltrncnv syl2anc ltrnco trlcl latmcl
        co 3ad2ant3 eqeltrid ) JUEUFZNHUFZUGZFEUFZGEUFZOEUFZUHZCAUFZUHZMCGUIZCO
        UIZIVHZGFUJZUKZDUIZOWCUKZDUIZIVHZLVHZBUDVSJULUFZWBBUFZWHBUFZWIBUFVSJVKV
        LVQVRUMUNZVSWJVTBUFZWABUFZWKWMVSVMVOCBUFZWNVMVQVRUOZVMVNVOVPVRUPZVRVMWP
        VQABCJPSUQVIZBEGHJUENCPTUAURUSVSVMVPWPWOWQVMVNVOVPVRUTZWSBEOHJUENCPTUAU
        RUSBIJVTWAPRVAUSVSWJWEBUFZWGBUFZWLWMVSVMWDEUFZXAWQVSVMVOWCEUFZXCWQWRVSV
        MVNXDWQVMVNVOVPVRVBEFHJNTUAVCVDZEGWCHJNTUAVEUSBDEWDHJNPTUAUBVFVDVSVMWFE
        UFZXBWQVSVMVPXDXFWQWTXEEOWCHJNTUAVEUSBDEWFHJNPTUAUBVFVDBIJWEWGPRVAUSBJL
        WBWHPUCVGUSVJ $.

      $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
         29-Jun-2013.) $)
      cdlemk10 $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( F e. T /\ G e. T /\ X e. T )
        /\ ( P e. A /\ -. P .<_ W ) )
       -> V .<_ ( R ` ( X o. `' G ) ) ) $=
        ( chlt wcel wa w3a wbr wn cfv co ccnv ccom simp1 simp22 ltrncnv syl2anc
        simp21 ltrnco syl3anc trlle simp23 clat wb simp1l hllatd simp1r lhpbase
        syl latjle12 syl13anc mpbi2and wi latjcl simp3l ltrnat hlatjcl latmlem2
        trlcl mpd wceq simp3 cdlemk9 syl221anc breqtrd eqbrtrid ) JUEUFZNHUFZUG
        ZFEUFZGEUFZOEUFZUHZCAUFZCNKUIUJZUGZUHZMCGUKZCOUKZIULZGFUMZUNZDUKZOXBUNZ
        DUKZIULZLULZOGUMUNDUKZKUDWRXHXANLULZXIKWRXGNKUIZXHXJKUIZWRXDNKUIZXFNKUI
        ZXKWRWJXCEUFZXMWJWNWQUOZWRWJWLXBEUFZXOXPWJWKWLWMWQUPZWRWJWKXQXPWJWKWLWM
        WQUSEFHJNTUAUQURZEGXBHJNTUAUTVAZDEXCHJKNQTUAUBVBURWRWJXEEUFZXNXPWRWJWMX
        QYAXPWJWKWLWMWQVCZXSEOXBHJNTUAUTVAZDEXEHJKNQTUAUBVBURWRJVDUFZXDBUFZXFBU
        FZNBUFZXMXNUGXKVEWRJWHWIWNWQVFZVGZWRWJXOYEXPXTBDEXCHJNPTUAUBVTURZWRWJYA
        YFXPYCBDEXEHJNPTUAUBVTURZWRWIYGWHWIWNWQVHZBHJNPTVIVJZBIJKXDXFNPQRVKVLVM
        WRYDXGBUFZYGXABUFZXKXLVNYIWRYDYEYFYNYIYJYKBIJXDXFPRVOVAYMWRWHWSAUFZWTAU
        FZYOYHWRWJWLWOYPXPXRWJWNWOWPVPZACEGHJKNQSTUAVQVAWRWJWMWOYQXPYBYRACEOHJK
        NQSTUAVQVAABIJWSWTPRSVRVABJKLXGNXAPQUCVSVLWAWRWHWIWLWMWQXJXIWBYHYLXRYBW
        JWNWQWCABCDEGHIJKLNOPQRSTUAUBUCWDWEWFWG $.
    $}

    $d f ./\ $.  $d f .\/ $.  $d f F $.  $d f i G $.  $d f N $.  $d f P $.
    $d f R $.  $d f T $.  $d f W $.
    cdlemk.s $e |- S = ( f e. T |-> ( iota_ i e. T
        ( i ` P ) = ( ( P .\/ ( R ` f ) )
              ./\ ( ( N ` P ) .\/ ( R ` ( f o. `' F ) ) ) ) ) ) $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Value of the sigma(p)
       function.  (Contributed by NM, 26-Jun-2013.) $)
    cdlemksv $p |- ( G e. T -> ( S ` G ) = ( iota_ i e. T
        ( i ` P ) = ( ( P .\/ ( R ` G ) )
              ./\ ( ( N ` P ) .\/ ( R ` ( G o. `' F ) ) ) ) ) ) $=
      ( cv cfv ccnv ccom wceq crio fveq2 oveq2d fveq2d oveq12d eqeq2d riotabidv
      co coeq1 riotaex fvmpt ) GJCHUGUHZCGUGZDUHZLUSZCPUHZVDIUIZUJZDUHZLUSZOUSZ
      UKZHFULVCCJDUHZLUSZVGJVHUJZDUHZLUSZOUSZUKZHFULFEVDJUKZVMVTHFWAVLVSVCWAVFV
      OVKVROWAVEVNCLVDJDUMUNWAVJVQVGLWAVIVPDVDJVHUTUOUNUPUQURUFVTHFVAVB $.

    $d i ./\ $.  $d i .<_ $.  $d i .\/ $.  $d i A $.  $d i F $.  $d i H $.
    $d i K $.  $d i N $.  $d i P $.  $d i R $.  $d i T $.  $d i W $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Conditions for the
       sigma(p) function to be a translation.  TODO: combine ~ cdlemki ?
       (Contributed by NM, 26-Jun-2013.) $)
    cdlemksel $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
       /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B )
          /\ ( R ` G ) =/= ( R ` F ) ) )
       -> ( S ` G ) e. T ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres cv co ccnv ccom crio cdlemksv
      wne simp13 syl eqid cdlemki eqeltrd ) MUGUHQKUHUIZIFUHZJFUHZUJPFUHCAUHCQN
      UKULUIIDUMZPDUMUNUJZIUOBUPZVCJVNVCJDUMZVLVCUJZUJZJEUMZCHUQUMCVOLURCPUMJIU
      SUTDUMLUROURUNHFVAZFVQVKVRVSUNVIVJVKVMVPVDABCDEFGHIJKLMNOPQRSTUAUBUCUDUEU
      FVBVEABCDFHIJKVSLMNOPQRSTUAUBUCUDUEVSVFVGVH $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
       27-Jun-2013.) $)
    cdlemksat $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
       /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B )
          /\ ( R ` G ) =/= ( R ` F ) ) )
       -> ( ( S ` G ) ` P ) e. A ) $=
      ( chlt wcel w3a wbr cfv wceq cid cres wne simp11 cdlemksel simp22l ltrnat
      wa wn syl3anc ) MUGUHQKUHUTZIFUHZJFUHZUIZPFUHZCAUHZCQNUJVAZUTIDUKZPDUKULZ
      UIZIUMBUNZUOJVMUOJDUKVJUOUIZUIVCJEUKZFUHVHCVOUKAUHVCVDVEVLVNUPABCDEFGHIJK
      LMNOPQRSTUAUBUCUDUEUFUQVHVIVGVKVFVNURACFVOKMNQSUAUBUCUSVB $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Value of the sigma(p)
       function ` S ` at the fixed ` P ` parameter.  (Contributed by NM,
       26-Jun-2013.) $)
    cdlemksv2 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
       /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B )
          /\ ( R ` G ) =/= ( R ` F ) ) )
        -> ( ( S ` G ) ` P )
                = ( ( P .\/ ( R ` G ) )
       ./\ ( ( N ` P ) .\/ ( R ` ( G o. `' F ) ) ) ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres co ccnv ccom cv crio cdlemksv
      wne simp13 syl eqcomd wreu wb cdlemksel simp11 simp22 simp1 simp21 ltrnel
      syl3anc simp11l simp22l simpld simp23 oveq2d trljat1 eqtr2d simp31 simp32
      hlatlej2 breqtrd simp33 necomd eqid cdlemh syl133anc cdleme cmpt nfriota1
      nfcv nfmpt nfcxfr nffv nfeq1 fveq1 eqeq1d riota2f syl2anc mpbird ) MUGUHZ
      QKUHZUIZIFUHZJFUHZUJZPFUHZCAUHZCQNUKULZUIZIDUMZPDUMZUNZUJZIUOBUPZVCZJXSVC
      ZJDUMZXOVCZUJZUJZCJEUMZUMZCYBLUQCPUMZJIURZUSDUMLUQOUQZUNZCHUTZUMZYJUNZHFV
      AZYFUNZYEYFYOYEXIYFYOUNXGXHXIXRYDVDABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFVBVEVF
      YEYFFUHYNHFVGZYKYPVHABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFVIYEXGXNYJAUHYJQNUKUL
      UIZYQXGXHXIXRYDVJZXJXKXNXQYDVKZYEXJXNYHAUHZYHQNUKULZUIZYHCXOLUQZNUKXTYAXO
      YBVCYRXJXRYDVLYTYEXGXKXNUUCYSXJXKXNXQYDVMZYTACFPKMNQSUAUBUCVNVOZYEYHCYHLU
      QZUUDNYEXEXLUUAYHUUGNUKXEXFXHXIXRYDVPXLXMXKXQXJYDVQYEUUAUUBUUFVRACYHLMNST
      UAWEVOYEUUDCXPLUQZUUGYEXOXPCLXJXKXNXQYDVSVTYEXGXKXNUUHUUGUNYSUUEYTACDFPKL
      MNQSTUAUBUCUDWAVOWBWFXJXRXTYAYCWCXJXRXTYAYCWDYEYBXOXJXRXTYAYCWGWHABCYHDYJ
      FIJKLMNOQRSTUEUAUBUCUDYJWIWJWKACYJFHKMNQSUAUBUCWLVOYNYKHFYFHJEHEGFYMCGUTZ
      DUMLUQYHUUIYIUSDUMLUQOUQUNZHFVAZWMUFHGFUUKHFWOUUJHFWNWPWQHJWOWRZHYGYJHCYF
      UULHCWOWRWSYLYFUNYMYGYJCYLYFWTXAXBXCXD $.

    $d f i G $.  $d f i X $.
    ${
      cdlemk.v $e |- V = ( ( ( G ` P ) .\/ ( X ` P ) )
                  ./\ ( ( R ` ( G o. `' F ) )
                       .\/ ( R ` ( X o. `' F ) ) ) ) $.
      $( Part of proof of Lemma K of [Crawley] p. 118.  Line 5, p. 119.
         (Contributed by NM, 27-Jun-2013.) $)
      cdlemk7 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
         /\ ( ( N e. T /\ X e. T )
            /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
         /\ ( ( F =/= ( _I |` B ) /\ G =/= ( _I |` B ) /\ X =/= ( _I |` B ) )
            /\ ( R ` G ) =/= ( R ` F ) /\ ( R ` X ) =/= ( R ` F ) ) )
       -> ( ( S ` G ) ` P ) .<_ ( ( ( S ` X ) ` P ) .\/ V ) ) $=
        ( chlt wcel wa w3a wbr wn cfv wceq cid cres wne ccnv ccom simp1 simp311
        simp2 simp312 simp32 simp33 jca cdlemk6 syl113anc simp21l simp22 simp23
        3jca cdlemksv2 simp11 simp13 trljat1 syl3anc oveq1d clat simp11l hllatd
        eqtrd simp12 simp21r simp313 cdlemksat atbase simp11r simp22l cdlemkvcl
        co syl syl231anc latjcom a1i ltrnat hlatjcom trlcocnvat oveq12d 3brtr4d
        eqtr4d ) MUJUKZRKUKZULZIFUKZJFUKZUMZPFUKZSFUKZULZCAUKZCRNUNUOZULZIDUPZP
        DUPUQZUMZIURBUSZUTZJXTUTZSXTUTZUMZJDUPZXQUTZSDUPZXQUTZUMZUMZCCJUPZLWNZC
        PUPZJIVAZVBDUPZLWNZOWNZYKCSUPZLWNYOSYNVBDUPZLWNOWNZYRCLWNZYSYMLWNZOWNZL
        WNZCJEUPUPZCSEUPUPZQLWNZNYJXJXSYAYBYFYHULYQUUDNUNXJXSYIVCZXJXSYIVEYAYBY
        CYFYHXJXSVDZYAYBYCYFYHXJXSVFZYJYFYHXJXSYDYFYHVGZXJXSYDYFYHVHZVIABCDFIJK
        LMNOPRSTUAUBUCUDUEUFUGVJVKYJUUECYELWNZYPOWNZYQYJXJXKXPXRUMZYAYBYFUUEUUN
        UQUUHYJXKXPXRXKXLXPXRXJYIVLZXJXMXPXRYIVMZXJXMXPXRYIVNVOZUUIUUJUUKABCDEF
        GHIJKLMNOPRTUAUBUCUDUEUFUGUHVPVKYJUUMYLYPOYJXGXIXPUUMYLUQXGXHXIXSYIVQZX
        GXHXIXSYIVRZUUQACDFJKLMNRUAUBUCUDUEUFVSVTWAWEYJUUGQUUFLWNZUUDYJMWBUKUUF
        BUKZQBUKZUUGUVAUQYJMXEXFXHXIXSYIWCZWDYJUUFAUKZUVBYJXGXHXLUMZUUOYAYCYHUV
        EYJXGXHXLUUSXGXHXIXSYIWFZXKXLXPXRXJYIWGZVOZUURUUIYAYBYCYFYHXJXSWHZUULAB
        CDEFGHISKLMNOPRTUAUBUCUDUEUFUGUHWIVKABUUFMTUCWJWOYJXEXFXHXIXLXNUVCUVDXE
        XFXHXIXSYIWKUVGUUTUVHXNXOXMXRXJYIWLZABCDFIJKLMNOQRSTUAUBUCUDUEUFUGUIWMW
        PBLMUUFQTUBWQVTYJQYTUUFUUCLQYTUQYJUIWRYJUUFCYGLWNZYMYSLWNZOWNZUUCYJUVFU
        UOYAYCYHUUFUVNUQUVIUURUUIUVJUULABCDEFGHISKLMNOPRTUAUBUCUDUEUFUGUHVPVKYJ
        UVLUUAUVMUUBOYJUVLCYRLWNZUUAYJXGXLXPUVLUVOUQUUSUVHUUQACDFSKLMNRUAUBUCUD
        UEUFVSVTYJXEYRAUKZXNUUAUVOUQUVDYJXGXLXNUVPUUSUVHUVKACFSKMNRUAUCUDUEWSVT
        UVKALMYRCUBUCWTVTXDYJXEYMAUKZYSAUKZUVMUUBUQUVDYJXGXKXNUVQUUSUUPUVKACFPK
        MNRUAUCUDUEWSVTYJXGXLXHULYHUVRUUSYJXLXHUVHUVGVIUULADFSIKMRUCUDUEUFXAVTA
        LMYMYSUBUCWTVTXBWEXBWEXC $.

      $( Part of proof of Lemma K of [Crawley] p. 118.  Eq. 3, line 8, p. 119.
         (Contributed by NM, 29-Jun-2013.) $)
      cdlemk11 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
         /\ ( ( N e. T /\ X e. T )
            /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
         /\ ( ( F =/= ( _I |` B ) /\ G =/= ( _I |` B ) /\ X =/= ( _I |` B ) )
            /\ ( R ` G ) =/= ( R ` F ) /\ ( R ` X ) =/= ( R ` F ) ) )
       -> ( ( S ` G ) ` P )
              .<_ ( ( ( S ` X ) ` P ) .\/ ( R ` ( X o. `' G ) ) ) ) $=
        ( chlt wcel wa w3a wbr wn cfv wceq cid cres co ccnv ccom simp11l hllatd
        wne simp1 simp21l simp22 simp23 simp311 simp312 simp32 cdlemksat atbase
        syl133anc simp11 simp12 simp21r simp313 simp33 syl333anc simp11r simp13
        simp22l cdlemkvcl syl231anc latjcl syl3anc ltrncnv syl2anc ltrnco trlcl
        syl clat cdlemk7 cdlemk10 wi latjlej2 syl13anc mpd lattrd ) MUJUKZRKUKZ
        ULZIFUKZJFUKZUMZPFUKZSFUKZULZCAUKZCRNUNUOZULZIDUPZPDUPUQZUMZIURBUSZVEZJ
        XQVEZSXQVEZUMZJDUPXNVEZSDUPXNVEZUMZUMZBMNCJEUPUPZCSEUPUPZQLUTZYGSJVAZVB
        ZDUPZLUTZTUAYEMXBXCXEXFXPYDVCZVDZYEYFAUKZYFBUKYEXGXHXMXOXRXSYBYOXGXPYDV
        FXHXIXMXOXGYDVGZXGXJXMXOYDVHZXGXJXMXOYDVIZXRXSXTYBYCXGXPVJZXRXSXTYBYCXG
        XPVKXGXPYAYBYCVLABCDEFGHIJKLMNOPRTUAUBUCUDUEUFUGUHVMVOABYFMTUCVNWMYEMWN
        UKZYGBUKZQBUKZYHBUKYNYEYGAUKZUUAYEXDXEXIXHXMXOXRXTYCUUCXDXEXFXPYDVPZXDX
        EXFXPYDVQZXHXIXMXOXGYDVRZYPYQYRYSXRXSXTYBYCXGXPVSXGXPYAYBYCVTABCDEFGHIS
        KLMNOPRTUAUBUCUDUEUFUGUHVMWAABYGMTUCVNWMZYEXBXCXEXFXIXKUUBYMXBXCXEXFXPY
        DWBZUUEXDXEXFXPYDWCZUUFXKXLXJXOXGYDWDABCDFIJKLMNOQRSTUAUBUCUDUEUFUGUIWE
        WFZBLMYGQTUBWGWHYEYTUUAYKBUKZYLBUKYNUUGYEXDYJFUKZUUKUUDYEXDXIYIFUKZUULU
        UDUUFYEXDXFUUMUUDUUIFJKMRUDUEWIWJFSYIKMRUDUEWKWHBDFYJKMRTUDUEUFWLWJZBLM
        YGYKTUBWGWHABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIWOYEQYKNUNZYHYLNUNZYEX
        BXCXEXFXIXMUUOYMUUHUUEUUIUUFYQABCDFIJKLMNOQRSTUAUBUCUDUEUFUGUIWPWFYEYTU
        UBUUKUUAUUOUUPWQYNUUJUUNUUGBLMNQYKYGTUAUBWRWSWTXA $.
    $}

    $( Part of proof of Lemma K of [Crawley] p. 118.  Eq. 4, line 10, p. 119.
       (Contributed by NM, 30-Jun-2013.) $)
    cdlemk12 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ G e. T )
       /\ ( ( N e. T /\ X e. T )
          /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( ( F =/= ( _I |` B ) /\ G =/= ( _I |` B ) /\ X =/= ( _I |` B ) )
          /\ ( ( R ` G ) =/= ( R ` F ) /\ ( R ` X ) =/= ( R ` F ) )
             /\ ( R ` G ) =/= ( R ` X ) ) )
     -> ( ( S ` G ) ` P ) = ( ( P .\/ ( G ` P ) )
           ./\ ( ( ( S ` X ) ` P ) .\/ ( R ` ( X o. `' G ) ) ) ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres wne ccnv ccom simp11l simp22l
      co simp11 simp13 ltrnat syl3anc simp12 simp21r 3jca simp21l simp22 simp23
      simp311 simp313 simp32r cdlemksat syl113anc simp33 necomd syl121anc simp1
      trlcocnvat simp312 simp32l cdlemksv2 clat hllatd trlnidat hlatjcl latmle1
      eqbrtrd trljat1 breqtrd simp31 cdlemk11 hlatlej2 cdlemksel ltrnel ltrncnv
      simp2 eqid syl2anc trlcnv eqnetrd trlcone syl122anc ltrncom fveq2d ltrnco
      3netr3d trlle lhp2atnle syl322anc nbrne1 2atm syl333anc ) MUHUIZQKUIZUJZI
      FUIZJFUIZUKZPFUIZRFUIZUJZCAUIZCQNULUMZUJZIDUNZPDUNUOZUKZIUPBUQZURZJYMURZR
      YMURZUKZJDUNZYJURZRDUNZYJURZUJZYRYTURZUKZUKZXRYGCJUNZAUIZCREUNZUNZAUIZRJU
      SZUTZDUNZAUIZCJEUNUNZAUIZUUOCUUFLVCZNULUUOUUIUUMLVCZNULZUUQUURURZUUOUUQUU
      ROVCUOXRXSYAYBYLUUDVAZYGYHYFYKYCUUDVBZUUEXTYBYGUUGXTYAYBYLUUDVDZXTYAYBYLU
      UDVEZUVBACFJKMNQTUBUCUDVFVGUUEXTYAYEUKZYDYIYKUKZYNYPUUAUUJUUEXTYAYEUVCXTY
      AYBYLUUDVHZYDYEYIYKYCUUDVIZVJZUUEYDYIYKYDYEYIYKYCUUDVKZYCYFYIYKUUDVLZYCYF
      YIYKUUDVMVJZYNYOYPUUBUUCYCYLVNZYNYOYPUUBUUCYCYLVOZYSUUAYQUUCYCYLVPZABCDEF
      GHIRKLMNOPQSTUAUBUCUDUEUFUGVQVRUUEXTYEYBYTYRURUUNUVCUVHUVDUUEYRYTYCYLYQUU
      BUUCVSZVTADFRJKMQUBUCUDUEWCWAZUUEYCUVFYNYOYSUUPYCYLUUDWBZUVLUVMYNYOYPUUBU
      UCYCYLWDZYSUUAYQUUCYCYLWEZABCDEFGHIJKLMNOPQSTUAUBUCUDUEUFUGVQVRUUEUUOCYRL
      VCZUUQNUUEUUOUWACPUNZJIUSZUTDUNZLVCZOVCZUWANUUEYCUVFYNYOYSUUOUWFUOUVRUVLU
      VMUVSUVTABCDEFGHIJKLMNOPQSTUAUBUCUDUEUFUGWFVRUUEMWGUIUWABUIZUWEBUIZUWFUWA
      NULUUEMUVAWHUUEXRYGYRAUIZUWGUVAUVBUUEXTYBYOUWIUVCUVDUVSABDFJKMQSUBUCUDUEW
      IVGZABLMCYRSUAUBWJVGUUEXRUWBAUIZUWDAUIZUWHUVAUUEXTYDYGUWKUVCUVJUVBACFPKMN
      QTUBUCUDVFVGUUEXTYBYAYSUWLUVCUVDUVGUVTADFJIKMQUBUCUDUEWCWAABLMUWBUWDSUAUB
      WJVGBMNOUWAUWESTUFWKVGWLUUEXTYBYIUWAUUQUOUVCUVDUVKACDFJKLMNQTUAUBUCUDUEWM
      VGZWNUUEYCYLYQYSUUAUUSUVRYCYLUUDXAYCYLYQUUBUUCWOUVTUVOABCDEFGHIJKLMNOPUUF
      CRUNLVCUWDRUWCUTDUNLVCOVCZQRSTUAUBUCUDUEUFUGUWNXBWPVRUUEYRUUQNULYRUURNULU
      MZUUTUUEYRUWAUUQNUUEXRYGUWIYRUWANULUVAUVBUWJACYRLMNTUAUBWQVGUWMWNUUEXTUUJ
      UUIQNULUMUJZUUMYRURUUNUUMQNULZUWIYRQNULZUWOUVCUUEXTUUHFUIZYIUWPUVCUUEUVEU
      VFYNYPUUAUWSUVIUVLUVMUVNUVOABCDEFGHIRKLMNOPQSTUAUBUCUDUEUFUGWRVRUVKACFUUH
      KMNQTUBUCUDWSVGUUEUUKRUTZDUNZUUKDUNZUUMYRUUEUXBUXAUUEXTUUKFUIZYEUXBYTURYP
      UXBUXAURUVCUUEXTYBUXCUVCUVDFJKMQUCUDWTXCZUVHUUEUXBYRYTUUEXTYBUXBYRUOUVCUV
      DDFJKMQUCUDUEXDXCZUVPXEUVNBDFUUKRKMQSUCUDUEXFXGVTUUEUWTUULDUUEXTUXCYEUWTU
      ULUOUVCUXDUVHFUUKRKMQUCUDXHVGXIUXEXKUVQUUEXTUULFUIZUWQUVCUUEXTYEUXCUXFUVC
      UVHUXDFRUUKKMQUCUDXJVGDFUULKMNQTUCUDUEXLXCUWJUUEXTYBUWRUVCUVDDFJKMNQTUCUD
      UEXLXCAUUIUUMKLMNYRQTUAUBUCXMXNYRUUQUURNXOXCACUUFUUIUUMUUOLMNOTUAUFUBXPXQ
      $.
  $}

  ${
    cdlemk1.b $e |- B = ( Base ` K ) $.
    cdlemk1.l $e |- .<_ = ( le ` K ) $.
    cdlemk1.j $e |- .\/ = ( join ` K ) $.
    cdlemk1.m $e |- ./\ = ( meet ` K ) $.
    cdlemk1.a $e |- A = ( Atoms ` K ) $.
    cdlemk1.h $e |- H = ( LHyp ` K ) $.
    cdlemk1.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemk1.r $e |- R = ( ( trL ` K ) ` W ) $.
    cdlemk1.s $e |- S = ( f e. T |-> ( iota_ i e. T
        ( i ` P ) = ( ( P .\/ ( R ` f ) )
              ./\ ( ( N ` P ) .\/ ( R ` ( f o. `' F ) ) ) ) ) ) $.
    cdlemk1.o $e |- O = ( S ` D ) $.
    $d f i ./\ $.  $d i .<_ $.  $d f i .\/ $.  $d i A $.  $d f i D $.
    $d f i F $.  $d i H $.  $d i K $.  $d f i N $.  $d f i P $.  $d f i R $.
    $d f i T $.  $d f i W $.
    $( Utility lemma.  (Contributed by NM, 2-Jul-2013.) $)
    cdlemkoatnle $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
       /\ ( N e. T
          /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( F =/= ( _I |` B ) /\ D =/= ( _I |` B )
          /\ ( R ` D ) =/= ( R ` F ) ) )
        -> ( ( O ` P ) e. A /\ -. ( O ` P ) .<_ W ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres wne simp11 cdlemksel eqeltrid
      simp22 ltrnel syl3anc ) MUIUJRKUJUKZJGUJZCGUJZULZPGUJZDAUJDRNUMUNUKZJEUOZ
      PEUOUPZULZJUQBURZUSCVOUSCEUOVLUSULZULZVFQGUJVKDQUOZAUJVRRNUMUNUKVFVGVHVNV
      PUTVQQCFUOGUHABDEFGHIJCKLMNOPRSTUAUCUDUEUFUBUGVAVBVIVJVKVMVPVCADGQKMNRTUC
      UDUEVDVE $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 13 on p. 119.
       ` O ` , ` D ` are k_1, f_1.  (Contributed by NM, 1-Jul-2013.) $)
    cdlemk13 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
       /\ ( N e. T
          /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( F =/= ( _I |` B ) /\ D =/= ( _I |` B )
          /\ ( R ` D ) =/= ( R ` F ) ) )
      -> ( O ` P ) = ( ( P .\/ ( R ` D ) )
       ./\ ( ( N ` P ) .\/ ( R ` ( D o. `' F ) ) ) ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres co ccnv ccom fveq1i cdlemksv2
      wne syl5eq ) MUIUJRKUJUKJGUJCGUJULPGUJDAUJDRNUMUNUKJEUOZPEUOUPULJUQBURZVD
      CVGVDCEUOZVFVDULULDQUODCFUOZUODVHLUSDPUOCJUTVAEUOLUSOUSDQVIUHVBABDEFGHIJC
      KLMNOPRSTUAUCUDUEUFUBUGVCVE $.

    $( Utility lemma.  (Contributed by NM, 2-Jul-2013.) $)
    cdlemkole $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
       /\ ( N e. T
          /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( F =/= ( _I |` B ) /\ D =/= ( _I |` B )
          /\ ( R ` D ) =/= ( R ` F ) ) )
     -> ( O ` P ) .<_ ( P .\/ ( R ` D ) ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres co ccnv ccom cdlemk13 simp11l
      wne clat hllatd simp22l simp11 simp13 simp32 syl3anc simp21 ltrnat simp12
      trlnidat hlatjcl simp33 trlcocnvat syl121anc latmle1 eqbrtrd ) MUIUJZRKUJ
      ZUKZJGUJZCGUJZULZPGUJZDAUJZDRNUMUNZUKZJEUOZPEUOUPZULZJUQBURZVDZCWOVDZCEUO
      ZWLVDZULZULZDQUODWRLUSZDPUOZCJUTVAEUOZLUSZOUSZXBNABCDEFGHIJKLMNOPQRSTUAUB
      UCUDUEUFUGUHVBXAMVEUJXBBUJZXEBUJZXFXBNUMXAMWBWCWEWFWNWTVCZVFXAWBWIWRAUJZX
      GXIWIWJWHWMWGWTVGZXAWDWFWQXJWDWEWFWNWTVHZWDWEWFWNWTVIZWGWNWPWQWSVJABEGCKM
      RSUCUDUEUFVOVKABLMDWRSUAUCVPVKXAWBXCAUJZXDAUJZXHXIXAWDWHWIXNXLWGWHWKWMWTV
      LXKADGPKMNRTUCUDUEVMVKXAWDWFWEWSXOXLXMWDWEWFWNWTVNWGWNWPWQWSVQAEGCJKMRUCU
      DUEUFVRVSABLMXCXDSUAUCVPVKBMNOXBXESTUBVTVKWA $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 19 on p. 119.
       ` O ` , ` D ` are k_1, f_1.  (Contributed by NM, 1-Jul-2013.) $)
    cdlemk14 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
       /\ ( N e. T
          /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( F =/= ( _I |` B ) /\ D =/= ( _I |` B )
          /\ ( R ` D ) =/= ( R ` F ) ) )
      -> ( N ` P ) .<_ ( ( O ` P ) .\/ ( R ` ( F o. `' D ) ) ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres ccnv ccom co cdlemk13 simp11l
      wne clat hllatd simp22l simp11 simp13 simp32 syl3anc simp21 ltrnat simp12
      trlnidat hlatjcl simp33 trlcocnvat syl121anc latmle2 eqbrtrd wi cdlemksat
      fveq1i eqeltrid ltrncnv ltrnco trlle cdlemkoatnle simprd nbrne2 hlatexch2
      syl2anc necomd syl131anc mpd trlcocnv oveq2d breqtrd ) MUIUJZRKUJZUKZJGUJ
      ZCGUJZULZPGUJZDAUJZDRNUMUNZUKZJEUOZPEUOUPZULZJUQBURZVDZCXMVDZCEUOZXJVDZUL
      ZULZDPUOZDQUOZCJUSZUTZEUOZLVAZYAJCUSUTEUOZLVANXSYAXTYDLVAZNUMZXTYENUMZXSY
      ADXPLVAZYGOVAZYGNABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHVBXSMVEUJYJBUJZYGBUJ
      ZYKYGNUMXSMWTXAXCXDXLXRVCZVFXSWTXGXPAUJZYLYNXGXHXFXKXEXRVGZXSXBXDXOYOXBXC
      XDXLXRVHZXBXCXDXLXRVIZXEXLXNXOXQVJABEGCKMRSUCUDUEUFVOVKABLMDXPSUAUCVPVKXS
      WTXTAUJZYDAUJZYMYNXSXBXFXGYSYQXEXFXIXKXRVLYPADGPKMNRTUCUDUEVMVKZXSXBXDXCX
      QYTYQYRXBXCXDXLXRVNZXEXLXNXOXQVQAEGCJKMRUCUDUEUFVRVSZABLMXTYDSUAUCVPVKBMN
      OYJYGSTUBVTVKWAXSWTYAAUJZYSYTYAYDVDYHYIWBYNXSYADCFUOZUOADQUUEUHWDABDEFGHI
      JCKLMNOPRSTUAUCUDUEUFUBUGWCWEUUAUUCXSYDYAXSYDRNUMZYARNUMUNZYDYAVDXSXBYCGU
      JZUUFYQXSXBXDYBGUJZUUHYQYRXSXBXCUUIYQUUBGJKMRUDUEWFWMGCYBKMRUDUEWGVKEGYCK
      MNRTUDUEUFWHWMXSUUDUUGABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHWIWJYDYARNWKWMW
      NAYAXTYDLMNTUAUCWLWOWPXSYDYFYALXSXBXDXCYDYFUPYQYRUUBEGCJKMRUDUEUFWQVKWRWS
      $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 21 on p. 119.
       ` O ` , ` D ` are k_1, f_1.  (Contributed by NM, 1-Jul-2013.) $)
    cdlemk15 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
       /\ ( N e. T
          /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( F =/= ( _I |` B ) /\ D =/= ( _I |` B )
          /\ ( R ` D ) =/= ( R ` F ) ) )
      -> ( N ` P )
  .<_ ( ( P .\/ ( R ` F ) )
     ./\ ( ( O ` P ) .\/ ( R ` ( F o. `' D ) ) ) ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres wne ccnv ccom simp11l simp22l
      simp11 simp21 ltrnat syl3anc hlatlej2 simp23 oveq2d simp22 trljat1 eqtr2d
      co breqtrd cdlemk14 clat hllatd atbase syl simp12 simp31 trlnidat hlatjcl
      fveq1i cdlemksat eqeltrid simp13 simp33 necomd latlem12 syl13anc mpbi2and
      wb trlcocnvat syl121anc ) MUIUJZRKUJZUKZJGUJZCGUJZULZPGUJZDAUJZDRNUMUNZUK
      ZJEUOZPEUOZUPZULZJUQBURZUSZCXKUSZCEUOZXGUSZULZULZDPUOZDXGLVNZNUMZXRDQUOZJ
      CUTVAEUOZLVNZNUMZXRXSYCOVNNUMZXQXRDXRLVNZXSNXQWQXDXRAUJZXRYFNUMWQWRWTXAXJ
      XPVBZXDXEXCXIXBXPVCZXQWSXCXDYGWSWTXAXJXPVDZXBXCXFXIXPVEZYIADGPKMNRTUCUDUE
      VFVGZADXRLMNTUAUCVHVGXQXSDXHLVNZYFXQXGXHDLXBXCXFXIXPVIVJXQWSXCXFYMYFUPYJY
      KXBXCXFXIXPVKADEGPKLMNRTUAUCUDUEUFVLVGVMVOABCDEFGHIJKLMNOPQRSTUAUBUCUDUEU
      FUGUHVPXQMVQUJXRBUJZXSBUJZYCBUJZXTYDUKYEWNXQMYHVRXQYGYNYLABXRMSUCVSVTXQWQ
      XDXGAUJZYOYHYIXQWSWTXLYQYJWSWTXAXJXPWAZXBXJXLXMXOWBABEGJKMRSUCUDUEUFWCVGA
      BLMDXGSUAUCWDVGXQWQYAAUJYBAUJZYPYHXQYADCFUOZUOADQYTUHWEABDEFGHIJCKLMNOPRS
      TUAUCUDUEUFUBUGWFWGXQWSWTXAXGXNUSYSYJYRWSWTXAXJXPWHXQXNXGXBXJXLXMXOWIWJAE
      GJCKMRUCUDUEUFWOWPABLMYAYBSUAUCWDVGBMNOXRXSYCSTUBWKWLWM $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
       3-Jul-2013.) $)
    cdlemk16a $p |- ( ( ( ( K e. HL /\ W e. H )
                  /\ ( R ` F ) = ( R ` N )
                  /\ G e. T )
           /\ ( F e. T /\ D e. T /\ N e. T )
           /\ ( ( ( R ` D ) =/= ( R ` F )
                /\ ( R ` D ) =/= ( R ` G ) )
             /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B ) /\ D =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
      -> ( ( ( P .\/ ( R ` G ) )
          ./\ ( ( O ` P ) .\/ ( R ` ( G o. `' D ) ) ) ) e. A
      /\ -. ( ( P .\/ ( R ` G ) )
          ./\ ( ( O ` P ) .\/ ( R ` ( G o. `' D ) ) ) ) .<_ W ) ) $=
      ( chlt wcel wa cfv wceq w3a wne cid cres wbr wn ccnv simp11 simp22 simp13
      ccom simp33 simp21 simp23 simp12 simp321 cdlemkoatnle syl333anc cdlemkole
      co simp323 simp31l simp322 simp31r eqid cdlemh ) NUJUKSLUKULZJEUMZQEUMUNZ
      KGUKZUOZJGUKZCGUKZQGUKZUOZCEUMZWBUPZWJKEUMZUPZULZJUQBURZUPZKWOUPZCWOUPZUO
      ZDAUKDSOUSUTULZUOZUOZWAWGWDWTDRUMZAUKXCSOUSUTULZXCDWJMVNOUSZWRWQWMDWLMVNX
      CKCVAVEEUMMVNPVNZAUKXFSOUSUTULWAWCWDWIXAVBZWEWFWGWHXAVCZWAWCWDWIXAVDWEWIW
      NWSWTVFZXBWAWFWGWHWTWCWPWRWKXDXGWEWFWGWHXAVGZXHWEWFWGWHXAVHZXIWAWCWDWIXAV
      IZWPWQWRWNWTWEWIVJZWPWQWRWNWTWEWIVOZWKWMWSWTWEWIVPZABCDEFGHIJLMNOPQRSTUAU
      BUCUDUEUFUGUHUIVKVLXBWAWFWGWHWTWCWPWRWKXEXGXJXHXKXIXLXMXNXOABCDEFGHIJLMNO
      PQRSTUAUBUCUDUEUFUGUHUIVMVLXNWPWQWRWNWTWEWIVQWKWMWSWTWEWIVRABDXCEXFGCKLMN
      OPSTUAUBUCUDUEUFUGXFVSVTVL $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
       1-Jul-2013.) $)
    cdlemk16 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
       /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( F =/= ( _I |` B ) /\ D =/= ( _I |` B )
          /\ ( R ` D ) =/= ( R ` F ) ) )
      -> ( ( ( P .\/ ( R ` F ) )
          ./\ ( ( O ` P ) .\/ ( R ` ( F o. `' D ) ) ) ) e. A
      /\ -. ( ( P .\/ ( R ` F ) )
          ./\ ( ( O ` P ) .\/ ( R ` ( F o. `' D ) ) ) ) .<_ W ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres wne ccnv simp11 simp23 simp12
      co ccom simp13 simp21 simp33 jca simp31 simp32 simp22 cdlemk16a syl333anc
      3jca ) MUIUJRKUJUKZJGUJZCGUJZULZPGUJZDAUJDRNUMUNUKZJEUOZPEUOUPZULZJUQBURZ
      USZCWEUSZCEUOWBUSZULZULZVPWCVQVQVRVTWHWHUKWFWFWGULWADWBLVDDQUOJCUTVEEUOLV
      DOVDZAUJWKRNUMUNUKVPVQVRWDWIVAVSVTWAWCWIVBVPVQVRWDWIVCZWLVPVQVRWDWIVFVSVT
      WAWCWIVGWJWHWHVSWDWFWGWHVHZWMVIWJWFWFWGVSWDWFWGWHVJZWNVSWDWFWGWHVKVOVSVTW
      AWCWIVLABCDEFGHIJJKLMNOPQRSTUAUBUCUDUEUFUGUHVMVN $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 21 on p. 119.
       ` O ` , ` D ` are k_1, f_1.  (Contributed by NM, 1-Jul-2013.) $)
    cdlemk17 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
       /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( F =/= ( _I |` B ) /\ D =/= ( _I |` B )
          /\ ( R ` D ) =/= ( R ` F ) ) )
      -> ( N ` P ) = ( ( P .\/ ( R ` F ) )
           ./\ ( ( O ` P ) .\/ ( R ` ( F o. `' D ) ) ) ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres wne co ccnv ccom cdlemk15 cal
      wb simp11l hlatl syl simp11 simp21 simp22l ltrnat syl3anc cdlemk16 simpld
      atcmp mpbid ) MUIUJZRKUJZUKZJGUJZCGUJZULZPGUJZDAUJZDRNUMUNZUKZJEUOZPEUOUP
      ZULZJUQBURZUSCWKUSCEUOWHUSULZULZDPUOZDWHLUTDQUOJCVAVBEUOLUTOUTZNUMZWNWOUP
      ZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHVCWMMVDUJZWNAUJZWOAUJZWPWQVEWMVRWRVR
      VSWAWBWJWLVFMVGVHWMVTWDWEWSVTWAWBWJWLVIWCWDWGWIWLVJWEWFWDWIWCWLVKADGPKMNR
      TUCUDUEVLVMWMWTWORNUMUNABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHVNVOAWNWOMNTUC
      VPVMVQ $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
       3-Jul-2013.) $)
    cdlemk1u $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
       /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( F =/= ( _I |` B ) /\ D =/= ( _I |` B )
          /\ ( R ` D ) =/= ( R ` F ) ) )
  -> ( P .\/ ( O ` P ) ) .<_ ( ( D ` P ) .\/ ( R ` D ) ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres wne co simp11l simp22l simp11
      simp13 simp32 trlnidat hlatlej1 cdlemkole clat hllatd atbase cdlemkoatnle
      syl3anc wb syl simpld hlatjcl latjle12 syl13anc mpbi2and trljat3 breqtrd
      simp22 ) MUIUJZRKUJZUKZJGUJZCGUJZULZPGUJZDAUJZDRNUMUNZUKZJEUOZPEUOUPZULZJ
      UQBURZUSZCWQUSZCEUOZWNUSZULZULZDDQUOZLUTZDWTLUTZDCUOWTLUTZNXCDXFNUMZXDXFN
      UMZXEXFNUMZXCWDWKWTAUJZXHWDWEWGWHWPXBVAZWKWLWJWOWIXBVBZXCWFWHWSXKWFWGWHWP
      XBVCZWFWGWHWPXBVDZWIWPWRWSXAVEABEGCKMRSUCUDUEUFVFVMZADWTLMNTUAUCVGVMABCDE
      FGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHVHXCMVIUJDBUJZXDBUJZXFBUJZXHXIUKXJVNXCMXLV
      JXCWKXQXMABDMSUCVKVOXCXDAUJZXRXCXTXDRNUMUNABCDEFGHIJKLMNOPQRSTUAUBUCUDUEU
      FUGUHVLVPABXDMSUCVKVOXCWDWKXKXSXLXMXPABLMDWTSUAUCVQVMBLMNDXDXFSTUAVRVSVTX
      CWFWHWMXFXGUPXNXOWIWJWMWOXBWCADEGCKLMNRTUAUCUDUEUFWAVMWB $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
       3-Jul-2013.)  (New usage is discouraged.) $)
    cdlemk5auN $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( D e. T /\ G e. T /\ X e. T )
        /\ ( ( R ` G ) =/= ( R ` D )
          /\ ( D =/= ( _I |` B ) /\ G =/= ( _I |` B ) )
          /\ ( P e. A /\ -. P .<_ W ) ) )
  -> ( ( ( D ` P ) .\/ ( R ` D ) )
             ./\ ( ( D ` P ) .\/ ( R ` ( G o. `' D ) ) ) )
        .<_ ( ( X ` P ) .\/ ( R ` ( X o. `' D ) ) ) ) $=
      ( cdlemk5a ) ABDEGCKLMNOPSTUAUBUCUEUFUGUHUDUK $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
       4-Jul-2013.) $)
    cdlemk5u $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
       /\ ( ( N e. T /\ G e. T /\ X e. T )
          /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( ( F =/= ( _I |` B ) /\ D =/= ( _I |` B ) /\ G =/= ( _I |` B ) )
          /\ ( ( R ` D ) =/= ( R ` F )
             /\ ( R ` G ) =/= ( R ` D )
             /\ ( R ` X ) =/= ( R ` D ) ) ) )
  -> ( ( P .\/ ( O ` P ) )
             ./\ ( ( G ` P ) .\/ ( R ` ( G o. `' D ) ) ) )
        .<_ ( ( X ` P ) .\/ ( R ` ( X o. `' D ) ) ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres wne co ccnv ccom simp11l clat
      hllatd simp22l simp211 simp22 simp23 simp3l1 simp3l2 simp3r1 cdlemkoatnle
      simp1 3jca simpld syl3anc hlatjcl simp11 simp212 ltrnat simp13 trlcocnvat
      simp3r2 syl121anc trlnidat simp213 simp3r3 cdlemk1u latmlem1 syl13anc mpd
      latmcl wi simp11r cdlemk2 syl221anc oveq2d breqtrd jca cdlemk5a syl233anc
      simp3l3 lattrd ) NUKULZSLULZUMZJGULZCGULZUNZQGULZKGULZTGULZUNZDAULZDSOUOU
      PZUMZJEUQZQEUQURZUNZJUSBUTZVAZCYCVAZKYCVAZUNZCEUQZXTVAZKEUQYHVAZTEUQYHVAZ
      UNZUMZUNZBNODDRUQZMVBZDKUQZKCVCZVDEUQZMVBZPVBZDCUQZYHMVBZUUBYSMVBZPVBZDTU
      QZTYRVDEUQZMVBZUAUBYNNXGXHXJXKYBYMVEZVGZYNNVFULZYPBULZYTBULZUUABULUUJYNXG
      XQYOAULZUULUUIXQXRXPYAXLYMVHZYNXLXMXSYAUNZYDYEYIUNZUUNXLYBYMVPZYNXMXSYAXM
      XNXOXSYAXLYMVIXLXPXSYAYMVJZXLXPXSYAYMVKVQZYNYDYEYIYDYEYFYLXLYBVLYDYEYFYLX
      LYBVMZYIYJYKYGXLYBVNVQZXLUUPUUQUNUUNYOSOUOUPABCDEFGHIJLMNOPQRSUAUBUCUDUEU
      FUGUHUIUJVOVRVSABMNDYOUAUCUEVTVSZYNXGYQAULZYSAULZUUMUUIYNXIXNXQUVDXIXJXKY
      BYMWAZXMXNXOXSYAXLYMWBZUUOADGKLNOSUBUEUFUGWCVSYNXIXNXKYJUVEUVFUVGXIXJXKYB
      YMWDZYIYJYKYGXLYBWFZAEGKCLNSUEUFUGUHWEWGZABMNYQYSUAUCUEVTVSZBNPYPYTUAUDWO
      VSYNUUKUUCBULZUUDBULZUUEBULUUJYNXGUUBAULZYHAULZUVLUUIYNXIXKXQUVNUVFUVHUUO
      ADGCLNOSUBUEUFUGWCVSZYNXIXKYEUVOUVFUVHUVAABEGCLNSUAUEUFUGUHWHVSABMNUUBYHU
      AUCUEVTVSZYNXGUVNUVEUVMUUIUVPUVJABMNUUBYSUAUCUEVTVSBNPUUCUUDUAUDWOVSYNXGU
      UFAULZUUGAULZUUHBULUUIYNXIXOXQUVRUVFXMXNXOXSYAXLYMWIZUUOADGTLNOSUBUEUFUGW
      CVSYNXIXOXKYKUVSUVFUVTUVHYIYJYKYGXLYBWJAEGTCLNSUEUFUGUHWEWGABMNUUFUUGUAUC
      UEVTVSYNUUAUUCYTPVBZUUEOYNYPUUCOUOZUUAUWAOUOZYNXLUUPUUQUWBUURUUTUVBABCDEF
      GHIJLMNOPQRSUAUBUCUDUEUFUGUHUIUJWKVSYNUUKUULUVLUUMUWBUWCWPUUJUVCUVQUVKBNO
      PYPUUCYTUAUBUDWLWMWNYNYTUUDUUCPYNXGXHXKXNXSYTUUDURUUIXGXHXJXKYBYMWQZUVHUV
      GUUSABDEGCKLMNOSUAUBUCUEUFUGUHWRWSWTXAYNXGXHXKXNXOYJYEYFUMXSUUEUUHOUOUUIU
      WDUVHUVGUVTUVIYNYEYFUVAYDYEYFYLXLYBXEXBUUSABDEGCKLMNOPSTUAUBUCUEUFUGUHUDX
      CXDXF $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Apply ~ dalaw .
       (Contributed by NM, 4-Jul-2013.) $)
    cdlemk6u $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
       /\ ( ( N e. T /\ G e. T /\ X e. T )
          /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( ( F =/= ( _I |` B ) /\ D =/= ( _I |` B ) /\ G =/= ( _I |` B ) )
          /\ ( ( R ` D ) =/= ( R ` F )
             /\ ( R ` G ) =/= ( R ` D )
             /\ ( R ` X ) =/= ( R ` D ) ) ) )
       -> ( ( P .\/ ( G ` P ) )
              ./\ ( ( O ` P ) .\/ ( R ` ( G o. `' D ) ) ) )
        .<_ ( ( ( ( G ` P ) .\/ ( X ` P ) )
                ./\ ( ( R ` ( G o. `' D ) )
                     .\/ ( R ` ( X o. `' D ) ) ) )
             .\/ ( ( ( X ` P ) .\/ P )
                ./\ ( ( R ` ( X o. `' D ) )
                     .\/ ( O ` P ) ) ) ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres co ccnv ccom cdlemk5u simp11l
      wne wi simp22l simp11 simp212 ltrnat syl3anc simp213 simp1 simp211 simp22
      simp23 simp3l1 simp3l2 simp3r1 simpld syl133anc simp13 simp3r2 trlcocnvat
      cdlemkoatnle syl121anc simp3r3 dalaw mpd ) NUKULZSLULZUMZJGULZCGULZUNZQGU
      LZKGULZTGULZUNZDAULZDSOUOUPZUMZJEUQZQEUQURZUNZJUSBUTZVFZCXGVFZKXGVFZUNZCE
      UQZXDVFZKEUQXLVFZTEUQXLVFZUNZUMZUNZDDRUQZMVADKUQZKCVBZVCEUQZMVAPVADTUQZTY
      AVCEUQZMVAOUOZDXTMVAXSYBMVAPVAXTYCMVAYBYDMVAPVAYCDMVAYDXSMVAPVAMVAOUOZABC
      DEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJVDXRWKXAXTAULZYCAULZXSAULZYBAULZYDAU
      LZYEYFVGWKWLWNWOXFXQVEXAXBWTXEWPXQVHZXRWMWRXAYGWMWNWOXFXQVIZWQWRWSXCXEWPX
      QVJZYLADGKLNOSUBUEUFUGVKVLXRWMWSXAYHYMWQWRWSXCXEWPXQVMZYLADGTLNOSUBUEUFUG
      VKVLXRWPWQXCXEXHXIXMYIWPXFXQVNWQWRWSXCXEWPXQVOWPWTXCXEXQVPWPWTXCXEXQVQXHX
      IXJXPWPXFVRXHXIXJXPWPXFVSXMXNXOXKWPXFVTWPWQXCXEUNXHXIXMUNUNYIXSSOUOUPABCD
      EFGHIJLMNOPQRSUAUBUCUDUEUFUGUHUIUJWFWAWBXRWMWRWOXNYJYMYNWMWNWOXFXQWCZXMXN
      XOXKWPXFWDAEGKCLNSUEUFUGUHWEWGXRWMWSWOXOYKYMYOYPXMXNXOXKWPXFWHAEGTCLNSUEU
      FUGUHWEWGADXTYCXSYBYDMNOPUBUCUDUEWIWBWJ $.

    ${
      cdlemk.z $e |- Z = ( iota_ j e. T
        ( j ` P ) = ( ( P .\/ ( R ` G ) )
              ./\ ( ( O ` P ) .\/ ( R ` ( G o. `' D ) ) ) ) ) $.

      $d j ./\ $.  $d j .<_ $.  $d j .\/ $.  $d j A $.  $d j D $.  $d j F $.
      $d j H $.  $d j K $.  $d j N $.  $d j O $.  $d j P $.  $d j R $.
      $d j T $.  $d j W $.  $d j G $.
      $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
         2-Jul-2013.) $)
      cdlemkj $p |- ( ( ( ( K e. HL /\ W e. H )
                  /\ ( R ` F ) = ( R ` N )
                  /\ G e. T )
           /\ ( F e. T /\ D e. T /\ N e. T )
           /\ ( ( ( R ` D ) =/= ( R ` F )
                /\ ( R ` D ) =/= ( R ` G ) )
             /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B ) /\ D =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
       -> Z e. T ) $=
        ( chlt wcel wa cfv wceq w3a wne cid cres wbr wn co ccnv simp11l simp11r
        ccom simp33 cdlemk16a ltrniotacl syl211anc ) OUMUNZTMUNZUOKEUPZREUPUQZL
        GUNZURZKGUNCGUNRGUNURZCEUPZVOUSVTLEUPZUSUOZKUTBVAZUSLWCUSCWCUSURZDAUNDT
        PVBVCUOZURZURVMVNWEDWANVDDSUPLCVEVHEUPNVDQVDZAUNWGTPVBVCUOUAGUNVMVNVPVQ
        VSWFVFVMVNVPVQVSWFVGVRVSWBWDWEVIABCDEFGHIKLMNOPQRSTUBUCUDUEUFUGUHUIUJUK
        VJADWGGJUAMOPTUCUFUGUHULVKVL $.
    $}

    cdlemk1.u $e |- U = ( e e. T |-> ( iota_ j e. T
        ( j ` P ) = ( ( P .\/ ( R ` e ) )
              ./\ ( ( O ` P ) .\/ ( R ` ( e o. `' D ) ) ) ) ) ) $.
    $d e ./\ $.  $d e .\/ $.  $d e D $.  $d e j G $.  $d e O $.  $d e P $.
    $d e R $.  $d e T $.  $d e W $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Value of the sigma_1 (p)
       function ` U ` .  (Contributed by NM, 2-Jul-2013.)
       (New usage is discouraged.) $)
    cdlemkuvN $p |- ( G e. T -> ( U ` G ) = ( iota_ j e. T
        ( j ` P ) = ( ( P .\/ ( R ` G ) )
              ./\ ( ( O ` P ) .\/ ( R ` ( G o. `' D ) ) ) ) ) ) $=
      ( cdlemksv ) ABDEHGILCNOPQRSUAUBUCUDUEUGUHUIUJUFUMUN $.

    $d j ./\ $.  $d j .<_ $.  $d j .\/ $.  $d j A $.  $d j D $.  $d j F $.
    $d j H $.  $d j K $.  $d j N $.  $d j O $.  $d j P $.  $d j R $.  $d j T $.
    $d j W $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Conditions for the
       sigma_1 (p) function to be a translation.  TODO: combine ~ cdlemkj ?
       (Contributed by NM, 2-Jul-2013.) $)
    cdlemkuel $p |- ( ( ( ( K e. HL /\ W e. H )
                  /\ ( R ` F ) = ( R ` N )
                  /\ G e. T )
           /\ ( F e. T /\ D e. T /\ N e. T )
           /\ ( ( ( R ` D ) =/= ( R ` F )
                /\ ( R ` D ) =/= ( R ` G ) )
             /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B ) /\ D =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
       -> ( U ` G ) e. T ) $=
      ( chlt wcel wa cfv wceq w3a wne cid cres wn cv co ccnv ccom crio cdlemksv
      wbr simp13 syl eqid cdlemkj eqeltrd ) QUNUOUBOUOUPZMEUQZTEUQURZNGUOZUSMGU
      OCGUOTGUOUSZCEUQZVQUTWANEUQZUTUPMVABVBZUTNWCUTCWCUTUSDAUODUBRVJVCUPUSZUSZ
      NHUQZDLVDUQDWBPVEDUAUQNCVFVGEUQPVESVEURLGVHZGWEVSWFWGURVPVRVSVTWDVKABDEHG
      ILCNOPQRSUAUBUCUDUEUGUHUIUJUFUMVIVLABCDEFGJKLMNOPQRSTUAUBWGUCUDUEUFUGUHUI
      UJUKULWGVMVNVO $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
       4-Jul-2013.) $)
    cdlemkuat $p |- ( ( ( ( K e. HL /\ W e. H )
                  /\ ( R ` F ) = ( R ` N )
                  /\ G e. T )
           /\ ( F e. T /\ D e. T /\ N e. T )
           /\ ( ( ( R ` D ) =/= ( R ` F )
                /\ ( R ` D ) =/= ( R ` G ) )
             /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B ) /\ D =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
       -> ( ( U ` G ) ` P ) e. A ) $=
      ( chlt wcel cfv wceq w3a wne cid cres wbr simp11 cdlemkuel simp33l ltrnat
      wa wn syl3anc ) QUNUOUBOUOVGZMEUPZTEUPUQZNGUOZURZMGUOCGUOTGUOURZCEUPZVKUS
      VPNEUPUSVGZMUTBVAZUSNVRUSCVRUSURZDAUOZDUBRVBVHZVGURZURVJNHUPZGUOVTDWCUPAU
      OVJVLVMVOWBVCABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVDVTWAVQVSVNVO
      VEADGWCOQRUBUDUGUHUIVFVI $.

    $d e j $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 16 on p. 119 for i =
       1, where sigma_1 (p) is ` U ` , f_1 is ` D ` , and k_1 is ` O ` .
       (Contributed by NM, 2-Jul-2013.) $)
    cdlemkuv2 $p |- ( ( ( ( K e. HL /\ W e. H )
                  /\ ( R ` F ) = ( R ` N )
                  /\ G e. T )
           /\ ( F e. T /\ D e. T /\ N e. T )
           /\ ( ( ( R ` D ) =/= ( R ` F )
                /\ ( R ` D ) =/= ( R ` G ) )
             /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B ) /\ D =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
 -> ( ( U ` G ) ` P ) = ( ( P .\/ ( R ` G ) )
       ./\ ( ( O ` P ) .\/ ( R ` ( G o. `' D ) ) ) ) ) $=
      ( chlt wcel wa cfv wceq w3a wne cid cres wn co ccnv ccom cv crio cdlemksv
      wbr simp13 eqcomd wb cdlemkuel simp11l simp11r simp33 cdlemk16a syl211anc
      syl wreu cdleme cmpt nfcv nfriota1 nfmpt nfcxfr nffv nfeq1 eqeq1d riota2f
      fveq1 syl2anc mpbird ) QUNUOZUBOUOZUPZMEUQZTEUQURZNGUOZUSZMGUOCGUOTGUOUSZ
      CEUQZWRUTXCNEUQZUTUPZMVABVBZUTNXFUTCXFUTUSZDAUODUBRVJVCUPZUSZUSZDNHUQZUQZ
      DXDPVDDUAUQZNCVEZVFEUQPVDSVDZURZDLVGZUQZXOURZLGVHZXKURZXJXKXTXJWTXKXTURWQ
      WSWTXBXIVKABDEHGILCNOPQRSUAUBUCUDUEUGUHUIUJUFUMVIVTVLXJXKGUOXSLGWAZXPYAVM
      ABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVNXJWOWPXHXOAUOXOUBRVJVCUPY
      BWOWPWSWTXBXIVOWOWPWSWTXBXIVPXAXBXEXGXHVQABCDEFGJKMNOPQRSTUAUBUCUDUEUFUGU
      HUIUJUKULVRADXOGLOQRUBUDUGUHUIWBVSXSXPLGXKLNHLHIGXRDIVGZEUQPVDXMYCXNVFEUQ
      PVDSVDURZLGVHZWCUMLIGYELGWDYDLGWEWFWGLNWDWHZLXLXOLDXKYFLDWDWHWIXQXKURXRXL
      XODXQXKWLWJWKWMWN $.

    $d e F $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 22 on p. 119.
       ` N ` , ` U ` , ` O ` , ` D ` are k, sigma_1 (p), k_1, f_1.
       (Contributed by NM, 2-Jul-2013.) $)
    cdlemk18 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
       /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( F =/= ( _I |` B ) /\ D =/= ( _I |` B )
          /\ ( R ` D ) =/= ( R ` F ) ) )
      -> ( N ` P ) = ( ( U ` F ) ` P ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres wne ccnv ccom cdlemk17 simp11
      co simp23 simp12 simp13 simp21 simp33 simp31 simp32 3jca simp22 cdlemkuv2
      jca syl333anc eqtr4d ) PUMUNUANUNUOZMGUNZCGUNZUPZSGUNZDAUNDUAQUQURUOZMEUS
      ZSEUSUTZUPZMVABVBZVCZCWKVCZCEUSWHVCZUPZUPZDSUSDWHOVHDTUSMCVDVEEUSOVHRVHZD
      MHUSUSZABCDEFGJKMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKVFWPWBWIWCWCWDWFWNWNUOWLWLW
      MUPWGWRWQUTWBWCWDWJWOVGWEWFWGWIWOVIWBWCWDWJWOVJZWSWBWCWDWJWOVKWEWFWGWIWOV
      LWPWNWNWEWJWLWMWNVMZWTVSWPWLWLWMWEWJWLWMWNVNZXAWEWJWLWMWNVOVPWEWFWGWIWOVQ
      ABCDEFGHIJKLMMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVRVTWA $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 22 on p. 119.
       ` N ` , ` U ` , ` O ` , ` D ` are k, sigma_1 (p), k_1, f_1.
       (Contributed by NM, 2-Jul-2013.) $)
    cdlemk19 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
       /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( F =/= ( _I |` B ) /\ D =/= ( _I |` B )
          /\ ( R ` D ) =/= ( R ` F ) ) )
      -> ( U ` F ) = N ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid simp11 simp21 simp23 simp12 simp13
      cres simp33 simp31 simp32 3jca simp22 cdlemkuel syl333anc cdlemk18 cdlemd
      wne jca syl311anc eqcomd ) PUMUNUANUNUOZMGUNZCGUNZUPZSGUNZDAUNDUAQUQURUOZ
      MEUSZSEUSUTZUPZMVABVGZVQZCWJVQZCEUSWGVQZUPZUPZSMHUSZWOWAWEWPGUNZWFDSUSDWP
      USUTSWPUTWAWBWCWIWNVBZWDWEWFWHWNVCZWOWAWHWBWBWCWEWMWMUOWKWKWLUPWFWQWRWDWE
      WFWHWNVDWAWBWCWIWNVEZWTWAWBWCWIWNVFWSWOWMWMWDWIWKWLWMVHZXAVRWOWKWKWLWDWIW
      KWLWMVIZXBWDWIWKWLWMVJVKWDWEWFWHWNVLZABCDEFGHIJKLMMNOPQRSTUAUBUCUDUEUFUGU
      HUIUJUKULVMVNXCABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVOADGSWPNPQUAU
      CUFUGUHVPVSVT $.

    $d e j G $.  $d e j X $.
    ${
      cdlemk1.v $e |- V = ( ( ( G ` P ) .\/ ( X ` P ) )
                  ./\ ( ( R ` ( G o. `' D ) )
                       .\/ ( R ` ( X o. `' D ) ) ) ) $.
      $( Part of proof of Lemma K of [Crawley] p. 118.  Line 5, p. 119 for the
         sigma_1 case.  (Contributed by NM, 3-Jul-2013.) $)
      cdlemk7u $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
         /\ ( ( N e. T /\ G e. T /\ X e. T )
            /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
         /\ ( ( F =/= ( _I |` B ) /\ D =/= ( _I |` B ) /\ G =/= ( _I |` B ) )
            /\ X =/= ( _I |` B )
            /\ ( ( R ` D ) =/= ( R ` F )
               /\ ( R ` G ) =/= ( R ` D )
               /\ ( R ` X ) =/= ( R ` D ) ) ) )
       -> ( ( U ` G ) ` P ) .<_ ( ( ( U ` X ) ` P ) .\/ V ) ) $=
        ( chlt wcel wa w3a wbr wn cfv wceq cid cres wne ccnv ccom simp31 simp33
        jca cdlemk6u syld3an3 simp11l simp11r simp23 simp212 simp12 simp13 3jca
        simp211 simp331 simp332 necomd simp311 simp313 simp312 simp22 cdlemkuv2
        co syl313anc trljat1 syl3anc oveq1d eqtrd hllatd simp213 simp333 simp32
        clat cdlemkuat atbase syl simp22l cdlemkvcl latjcom a1i ltrnat hlatjcom
        syl231anc eqtr4d simp1 cdlemkoatnle simpld trlcocnvat oveq12d 3brtr4d )
        QUQURZUCOURZUSZMGURZCGURZUTZTGURZNGURZUDGURZUTZDAURZDUCRVAVBZUSZMEVCZTE
        VCVDZUTZMVEBVFZVGZCYOVGZNYOVGZUTZUDYOVGZCEVCZYLVGZNEVCZUUAVGZUDEVCZUUAV
        GZUTZUTZUTZDDNVCZPWKZDUAVCZNCVHZVIEVCZPWKZSWKZUUJDUDVCZPWKUUNUDUUMVIEVC
        ZPWKSWKZUUQDPWKZUURUULPWKZSWKZPWKZDNHVCVCZDUDHVCVCZUBPWKZRYDYNUUHYSUUGU
        SUUPUVCRVAUUIYSUUGYDYNYSYTUUGVJYDYNYSYTUUGVKVLABCDEFGJKMNOPQRSTUAUCUDUE
        UFUGUHUIUJUKULUMUNVMVNUUIUVDDUUCPWKZUUOSWKZUUPUUIYAYMYFYBYCYEUTZUUBUUAU
        UCVGZUSYPYRYQUTYKUVDUVHVDUUIXSXTXSXTYBYCYNUUHVOZXSXTYBYCYNUUHVPZVLZYDYH
        YKYMUUHVQZYEYFYGYKYMYDUUHVRZUUIYBYCYEYAYBYCYNUUHVSYAYBYCYNUUHVTZYEYFYGY
        KYMYDUUHWBZWAZUUIUUBUVJUUBUUDUUFYSYTYDYNWCZUUIUUCUUAUUBUUDUUFYSYTYDYNWD
        WEVLUUIYPYRYQYPYQYRYTUUGYDYNWFZYPYQYRYTUUGYDYNWGYPYQYRYTUUGYDYNWHZWAYDY
        HYKYMUUHWIZABCDEFGHIJKLMNOPQRSTUAUCUEUFUGUHUIUJUKULUMUNUOWJWLUUIUVGUUKU
        UOSUUIYAYFYKUVGUUKVDUVMUVOUWBADEGNOPQRUCUFUGUIUJUKULWMWNWOWPUUIUVFUBUVE
        PWKZUVCUUIQXAURUVEBURZUBBURZUVFUWCVDUUIQUVKWQUUIUVEAURZUWDUUIYAYMYGUVIU
        UBUUAUUEVGZUSZYPYTYQUTZYKUWFUVMUVNYEYFYGYKYMYDUUHWRZUVRUUIUUBUWGUVSUUIU
        UEUUAUUBUUDUUFYSYTYDYNWSZWEVLZUUIYPYTYQUVTYDYNYSYTUUGWTUWAWAZUWBABCDEFG
        HIJKLMUDOPQRSTUAUCUEUFUGUHUIUJUKULUMUNUOXBWLABUVEQUEUIXCXDUUIXSXTYCYFYG
        YIUWEUVKUVLUVPUVOUWJYIYJYHYMYDUUHXEZABDEGCNOPQRSUBUCUDUEUFUGUIUJUKULUHU
        PXFXKBPQUVEUBUEUGXGWNUUIUBUUSUVEUVBPUBUUSVDUUIUPXHUUIUVEDUUEPWKZUULUURP
        WKZSWKZUVBUUIYAYMYGUVIUWHUWIYKUVEUWQVDUVMUVNUWJUVRUWLUWMUWBABCDEFGHIJKL
        MUDOPQRSTUAUCUEUFUGUHUIUJUKULUMUNUOWJWLUUIUWOUUTUWPUVASUUIUWODUUQPWKZUU
        TUUIYAYGYKUWOUWRVDUVMUWJUWBADEGUDOPQRUCUFUGUIUJUKULWMWNUUIXSUUQAURZYIUU
        TUWRVDUVKUUIYAYGYIUWSUVMUWJUWNADGUDOQRUCUFUIUJUKXIWNUWNAPQUUQDUGUIXJWNX
        LUUIXSUULAURZUURAURZUWPUVAVDUVKUUIYDYEYKYMUTZYPYQUUBUTZUWTYDYNUUHXMUUIY
        EYKYMUVQUWBUVNWAUUIYPYQUUBUVTUWAUVSWAYDUXBUXCUTUWTUULUCRVAVBABCDEFGJKMO
        PQRSTUAUCUEUFUGUHUIUJUKULUMUNXNXOWNUUIYAYGYCUSUUFUXAUVMUUIYGYCUWJUVPVLU
        WKAEGUDCOQUCUIUJUKULXPWNAPQUULUURUGUIXJWNXQWPXQWPXR $.

      $( Part of proof of Lemma K of [Crawley] p. 118.  Line 17, p. 119,
         showing Eq. 3 (line 8, p. 119) for the sigma_1 ( ` U ` ) case.
         (Contributed by NM, 4-Jul-2013.) $)
      cdlemk11u $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
         /\ ( ( N e. T /\ G e. T /\ X e. T )
            /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
         /\ ( ( F =/= ( _I |` B ) /\ D =/= ( _I |` B ) /\ G =/= ( _I |` B ) )
            /\ X =/= ( _I |` B )
            /\ ( ( R ` D ) =/= ( R ` F )
               /\ ( R ` G ) =/= ( R ` D )
               /\ ( R ` X ) =/= ( R ` D ) ) ) )
       -> ( ( U ` G ) ` P )
              .<_ ( ( ( U ` X ) ` P ) .\/ ( R ` ( X o. `' G ) ) ) ) $=
        ( chlt wcel wa w3a wbr wn cfv wceq cid cres co ccnv ccom simp11l hllatd
        wne simp11r simp23 simp212 simp12 simp13 simp211 simp331 simp332 necomd
        jca simp311 simp313 simp312 3jca simp22 cdlemkuat syl333anc atbase clat
        syl simp213 simp333 simp22l cdlemkvcl syl231anc syl3anc ltrncnv syl2anc
        simp32 latjcl ltrnco cdlemk7u cdlemk10 wi latjlej2 syl13anc mpd lattrd
        trlcl ) QUQURZUCOURZUSZMGURZCGURZUTZTGURZNGURZUDGURZUTZDAURZDUCRVAVBZUS
        ZMEVCZTEVCVDZUTZMVEBVFZVLZCYHVLZNYHVLZUTZUDYHVLZCEVCZYEVLZNEVCZYNVLZUDE
        VCZYNVLZUTZUTZUTZBQRDNHVCVCZDUDHVCVCZUBPVGZUUDUDNVHZVIZEVCZPVGZUEUFUUBQ
        XLXMXOXPYGUUAVJZVKZUUBUUCAURZUUCBURUUBXNYFXSXOXPXRYOYNYPVLZUSYIYKYJUTYD
        UULUUBXLXMUUJXLXMXOXPYGUUAVMZWBZXQYAYDYFUUAVNZXRXSXTYDYFXQUUAVOZXNXOXPY
        GUUAVPZXNXOXPYGUUAVQZXRXSXTYDYFXQUUAVRZUUBYOUUMYOYQYSYLYMXQYGVSZUUBYPYN
        YOYQYSYLYMXQYGVTWAWBUUBYIYKYJYIYJYKYMYTXQYGWCZYIYJYKYMYTXQYGWDYIYJYKYMY
        TXQYGWEZWFXQYAYDYFUUAWGZABCDEFGHIJKLMNOPQRSTUAUCUEUFUGUHUIUJUKULUMUNUOW
        HWIABUUCQUEUIWJWLUUBQWKURZUUDBURZUBBURZUUEBURUUKUUBUUDAURZUVFUUBXNYFXTX
        OXPXRYOYNYRVLZUSYIYMYJUTYDUVHUUOUUPXRXSXTYDYFXQUUAWMZUURUUSUUTUUBYOUVIU
        VAUUBYRYNYOYQYSYLYMXQYGWNWAWBUUBYIYMYJUVBXQYGYLYMYTXAUVCWFUVDABCDEFGHIJ
        KLMUDOPQRSTUAUCUEUFUGUHUIUJUKULUMUNUOWHWIABUUDQUEUIWJWLZUUBXLXMXPXSXTYB
        UVGUUJUUNUUSUUQUVJYBYCYAYFXQUUAWOABDEGCNOPQRSUBUCUDUEUFUGUIUJUKULUHUPWP
        WQZBPQUUDUBUEUGXBWRUUBUVEUVFUUHBURZUUIBURUUKUVKUUBXNUUGGURZUVMUUOUUBXNX
        TUUFGURZUVNUUOUVJUUBXNXSUVOUUOUUQGNOQUCUJUKWSWTGUDUUFOQUCUJUKXCWRBEGUUG
        OQUCUEUJUKULXKWTZBPQUUDUUHUEUGXBWRABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHU
        IUJUKULUMUNUOUPXDUUBUBUUHRVAZUUEUUIRVAZUUBXLXMXPXSXTYDUVQUUJUUNUUSUUQUV
        JUVDABDEGCNOPQRSUBUCUDUEUFUGUIUJUKULUHUPXEWQUUBUVEUVGUVMUVFUVQUVRXFUUKU
        VLUVPUVKBPQRUBUUHUUDUEUFUGXGXHXIXJ $.
    $}

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 18, p. 119, showing
       Eq. 4 (line 10, p. 119) for the sigma_1 ( ` U ` ) case.  (Contributed by
       NM, 4-Jul-2013.) $)
    cdlemk12u $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
       /\ ( ( N e. T /\ G e. T /\ X e. T )
          /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( ( F =/= ( _I |` B ) /\ D =/= ( _I |` B ) /\ G =/= ( _I |` B ) )
          /\ ( X =/= ( _I |` B ) /\ ( R ` G ) =/= ( R ` X ) )
          /\ ( ( R ` D ) =/= ( R ` F )
             /\ ( R ` G ) =/= ( R ` D )
             /\ ( R ` X ) =/= ( R ` D ) ) ) )
     -> ( ( U ` G ) ` P ) = ( ( P .\/ ( G ` P ) )
           ./\ ( ( ( U ` X ) ` P ) .\/ ( R ` ( X o. `' G ) ) ) ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres wne ccnv ccom simp11l simp22l
      simp11 simp212 ltrnat syl3anc simp23 simp213 simp12 simp13 simp211 necomd
      co simp331 simp333 jca simp311 simp32l simp312 simp22 cdlemkuat syl333anc
      3jca simp32r trlcocnvat syl121anc simp332 simp313 cdlemkuv2 clat trlnidat
      hllatd hlatjcl simp1 cdlemkoatnle syl113anc latmle1 eqbrtrd trljat1 simp2
      simpld breqtrd simp31 simp33 cdlemk11u hlatlej2 cdlemkuel ltrncnv syl2anc
      eqid ltrnel trlcnv eqnetrd trlcone syl122anc ltrncom fveq2d 3netr3d trlle
      ltrnco lhp2atnle syl322anc nbrne1 2atm ) QUOUPZUBOUPZUQZMGUPZCGUPZURZTGUP
      ZNGUPZUCGUPZURZDAUPZDUBRUSUTZUQZMEVAZTEVAVBZURZMVCBVDZVEZCUUHVEZNUUHVEZUR
      ZUCUUHVEZNEVAZUCEVAZVEZUQZCEVAZUUEVEZUUNUURVEZUUOUURVEZURZURZURZYLUUBDNVA
      ZAUPZDUCHVAZVAZAUPZUCNVFZVGZEVAZAUPZDNHVAVAZAUPZUVNDUVEPVTZRUSUVNUVHUVLPV
      TZRUSZUVPUVQVEZUVNUVPUVQSVTVBYLYMYOYPUUGUVCVHZUUBUUCUUAUUFYQUVCVIZUVDYNYS
      UUBUVFYNYOYPUUGUVCVJZYRYSYTUUDUUFYQUVCVKZUWAADGNOQRUBUEUHUIUJVLVMUVDYNUUF
      YTYOYPYRUUSUURUUOVEZUQZUUIUUMUUJURZUUDUVIUWBYQUUAUUDUUFUVCVNZYRYSYTUUDUUF
      YQUVCVOZYNYOYPUUGUVCVPZYNYOYPUUGUVCVQZYRYSYTUUDUUFYQUVCVRZUVDUUSUWDUUSUUT
      UVAUULUUQYQUUGWAZUVDUUOUURUUSUUTUVAUULUUQYQUUGWBVSWCZUVDUUIUUMUUJUUIUUJUU
      KUUQUVBYQUUGWDZUUMUUPUULUVBYQUUGWEZUUIUUJUUKUUQUVBYQUUGWFZWJZYQUUAUUDUUFU
      VCWGZABCDEFGHIJKLMUCOPQRSTUAUBUDUEUFUGUHUIUJUKULUMUNWHWIUVDYNYTYSUUOUUNVE
      UVMUWBUWHUWCUVDUUNUUOUUMUUPUULUVBYQUUGWKZVSAEGUCNOQUBUHUIUJUKWLWMZUVDYNUU
      FYSYOYPYRUUSUURUUNVEZUQZUUIUUKUUJURZUUDUVOUWBUWGUWCUWIUWJUWKUVDUUSUXAUWLU
      VDUUNUURUUSUUTUVAUULUUQYQUUGWNZVSWCZUVDUUIUUKUUJUWNUUIUUJUUKUUQUVBYQUUGWO
      ZUWPWJZUWRABCDEFGHIJKLMNOPQRSTUAUBUDUEUFUGUHUIUJUKULUMUNWHWIUVDUVNDUUNPVT
      ZUVPRUVDUVNUXHDUAVAZNCVFZVGEVAZPVTZSVTZUXHRUVDYNUUFYSYOYPYRUXBUXCUUDUVNUX
      MVBUWBUWGUWCUWIUWJUWKUXEUXGUWRABCDEFGHIJKLMNOPQRSTUAUBUDUEUFUGUHUIUJUKULU
      MUNWPWIUVDQWQUPUXHBUPZUXLBUPZUXMUXHRUSUVDQUVTWSUVDYLUUBUUNAUPZUXNUVTUWAUV
      DYNYSUUKUXPUWBUWCUXFABEGNOQUBUDUHUIUJUKWRVMZABPQDUUNUDUFUHWTVMUVDYLUXIAUP
      ZUXKAUPZUXOUVTUVDYQYRUUDUUFURZUUIUUJUUSUXRYQUUGUVCXAZUVDYRUUDUUFUWKUWRUWG
      WJUWNUWPUWLYQUXTUUIUUJUUSURURUXRUXIUBRUSUTABCDEFGJKMOPQRSTUAUBUDUEUFUGUHU
      IUJUKULUMXBXHXCUVDYNYSYPUUTUXSUWBUWCUWJUXDAEGNCOQUBUHUIUJUKWLWMABPQUXIUXK
      UDUFUHWTVMBQRSUXHUXLUDUEUGXDVMXEUVDYNYSUUDUXHUVPVBUWBUWCUWRADEGNOPQRUBUEU
      FUHUIUJUKXFVMZXIUVDYQUUGUULUUMUVBUVRUYAYQUUGUVCXGYQUUGUULUUQUVBXJUWOYQUUG
      UULUUQUVBXKABCDEFGHIJKLMNOPQRSTUAUVEDUCVAPVTUXKUCUXJVGEVAPVTSVTZUBUCUDUEU
      FUGUHUIUJUKULUMUNUYCXQXLXCUVDUUNUVPRUSUUNUVQRUSUTZUVSUVDUUNUXHUVPRUVDYLUU
      BUXPUUNUXHRUSUVTUWAUXQADUUNPQRUEUFUHXMVMUYBXIUVDYNUVIUVHUBRUSUTUQZUVLUUNV
      EUVMUVLUBRUSZUXPUUNUBRUSZUYDUWBUVDYNUVGGUPZUUDUYEUWBUVDYNUUFYTYOYPYRUWEUW
      FUUDUYHUWBUWGUWHUWIUWJUWKUWMUWQUWRABCDEFGHIJKLMUCOPQRSTUAUBUDUEUFUGUHUIUJ
      UKULUMUNXNWIUWRADGUVGOQRUBUEUHUIUJXRVMUVDUVJUCVGZEVAZUVJEVAZUVLUUNUVDUYKU
      YJUVDYNUVJGUPZYTUYKUUOVEUUMUYKUYJVEUWBUVDYNYSUYLUWBUWCGNOQUBUIUJXOXPZUWHU
      VDUYKUUNUUOUVDYNYSUYKUUNVBUWBUWCEGNOQUBUIUJUKXSXPZUWSXTUWOBEGUVJUCOQUBUDU
      IUJUKYAYBVSUVDUYIUVKEUVDYNUYLYTUYIUVKVBUWBUYMUWHGUVJUCOQUBUIUJYCVMYDUYNYE
      UWTUVDYNUVKGUPZUYFUWBUVDYNYTUYLUYOUWBUWHUYMGUCUVJOQUBUIUJYGVMEGUVKOQRUBUE
      UIUJUKYFXPUXQUVDYNYSUYGUWBUWCEGNOQRUBUEUIUJUKYFXPAUVHUVLOPQRUUNUBUEUFUHUI
      YHYIUUNUVPUVQRYJXPADUVEUVHUVLUVNPQRSUEUFUGUHYKWI $.

    $d i f G $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Lines 26-27, p. 119 for
       i=0 and j=1.  (Contributed by NM, 5-Jul-2013.)
       (New usage is discouraged.) $)
    cdlemk21N $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
       /\ ( ( N e. T /\ G e. T )
          /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( ( F =/= ( _I |` B ) /\ D =/= ( _I |` B ) /\ G =/= ( _I |` B ) )
          /\ ( ( R ` D ) =/= ( R ` F )
             /\ ( R ` G ) =/= ( R ` D )
             /\ ( R ` G ) =/= ( R ` F ) ) ) )
     -> ( ( S ` G ) ` P ) = ( ( U ` G ) ` P ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres co ccnv simp11 simp21r simp22
      wne ccom trljat1 syl3anc fveq1i a1i simp13 trlcocnv oveq12d simp23 simp12
      simp21l simp3r1 simp3r2 necomd jca simp3l1 simp3l3 simp3l2 3jca cdlemkuv2
      syl333anc simp3r3 cdlemk12 3eqtr4rd ) QUNUOUBOUOUPZMGUOZCGUOZUQZTGUOZNGUO
      ZUPZDAUODUBRURUSUPZMEUTZTEUTVAZUQZMVBBVCZVIZCXEVIZNXEVIZUQZCEUTZXBVIZNEUT
      ZXJVIZXLXBVIZUQZUPZUQZDXLPVDZDUAUTZNCVEVJEUTZPVDZSVDZDDNUTPVDZDCFUTZUTZCN
      VEVJEUTZPVDZSVDZDNHUTUTZDNFUTUTZXQXRYCYAYGSXQWNWSXAXRYCVAWNWOWPXDXPVFZWRW
      SXAXCWQXPVGZWQWTXAXCXPVHZADEGNOPQRUBUDUEUGUHUIUJVKVLXQXSYEXTYFPXSYEVAXQDU
      AYDULVMVNXQWNWSWPXTYFVAYKYLWNWOWPXDXPVOZEGNCOQUBUHUIUJVPVLVQVQXQWNXCWSWOW
      PWRXKXJXLVIZUPXFXHXGUQZXAYIYBVAYKWQWTXAXCXPVRZYLWNWOWPXDXPVSZYNWRWSXAXCWQ
      XPVTZXQXKYOXKXMXNXIWQXDWAZXQXLXJXKXMXNXIWQXDWBZWCWDXQXFXHXGXFXGXHXOWQXDWE
      XFXGXHXOWQXDWFXFXGXHXOWQXDWGWHZYMABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJ
      UKULUMWIWJXQWNWOWSWRWPUPXAXCYPXNXKUPXMYJYHVAYKYRYLXQWRWPYSYNWDYMYQUUBXQXN
      XKXKXMXNXIWQXDWKYTWDUUAABDEFGJKMNOPQRSTUBCUCUDUEUGUHUIUJUFUKWLWJWM $.

    cdlemk2a.q $e |- Q = ( S ` C ) $.
    $d e f i j C $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 22, p. 119 for the
       i=2, j=1 case.  Note typo on line 22: f should be f_i.  Our ` D ` ,
       ` C ` , ` O ` , ` Q ` , ` U ` , ` V ` represent their f_1, f_2, k_1,
       k_2, sigma_1, sigma_2.  (Contributed by NM, 5-Jul-2013.) $)
    cdlemk20 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
       /\ ( ( N e. T /\ C e. T )
          /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( ( F =/= ( _I |` B ) /\ D =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
          /\ ( ( R ` D ) =/= ( R ` F )
             /\ ( R ` C ) =/= ( R ` F )
             /\ ( R ` C ) =/= ( R ` D ) ) ) )
     -> ( ( U ` C ) ` P ) = ( Q ` P ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres co ccnv simp11 simp23 simp21r
      wne ccom simp12 simp13 simp21l simp3r1 simp3r3 necomd jca simp3l1 simp3l3
      simp3l2 3jca simp22 cdlemkuv2 trljat1 syl3anc fveq1i a1i trlcocnv oveq12d
      syl333anc simp3r2 cdlemk12 eqtr2id 3eqtrd ) RUPUQUCPUQURZOIUQZDIUQZUSZUAI
      UQZCIUQZURZEAUQEUCSUTVAURZOGVBZUAGVBVCZUSZOVDBVEZVKZDXHVKZCXHVKZUSZDGVBZX
      EVKZCGVBZXEVKZXOXMVKZUSZURZUSZECJVBVBZEXOQVFZEUBVBZCDVGVLGVBZQVFZTVFZEECV
      BQVFZEDHVBZVBZDCVGVLGVBZQVFZTVFZEFVBZXTWQXFXBWRWSXAXNXMXOVKZURXIXKXJUSZXD
      YAYFVCWQWRWSXGXSVHZWTXCXDXFXSVIZXAXBXDXFWTXSVJZWQWRWSXGXSVMZWQWRWSXGXSVNZ
      XAXBXDXFWTXSVOZXTXNYNXNXPXQXLWTXGVPZXTXOXMXNXPXQXLWTXGVQZVRVSXTXIXKXJXIXJ
      XKXRWTXGVTXIXJXKXRWTXGWAXIXJXKXRWTXGWBWCZWTXCXDXFXSWDZABDEGHIJKLMNOCPQRST
      UAUBUCUDUEUFUGUHUIUJUKULUMUNWEWLXTYBYGYEYKTXTWQXBXDYBYGVCYPYRUUEAEGICPQRS
      UCUEUFUHUIUJUKWFWGXTYCYIYDYJQYCYIVCXTEUBYHUMWHWIXTWQXBWSYDYJVCYPYRYTGICDP
      RUCUIUJUKWJWGWKWKXTYMECHVBZVBZYLEFUUFUOWHXTWQWRXBXAWSURXDXFYOXPXNURXQUUGY
      LVCYPYSYRXTXAWSUUAYTVSUUEYQUUDXTXPXNXNXPXQXLWTXGWMUUBVSUUCABEGHILMOCPQRST
      UAUCDUDUEUFUHUIUJUKUGULWNWLWOWP $.
  $}

  ${
    cdlemk2.b $e |- B = ( Base ` K ) $.
    cdlemk2.l $e |- .<_ = ( le ` K ) $.
    cdlemk2.j $e |- .\/ = ( join ` K ) $.
    cdlemk2.m $e |- ./\ = ( meet ` K ) $.
    cdlemk2.a $e |- A = ( Atoms ` K ) $.
    cdlemk2.h $e |- H = ( LHyp ` K ) $.
    cdlemk2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemk2.r $e |- R = ( ( trL ` K ) ` W ) $.
    cdlemk2.s $e |- S = ( f e. T |-> ( iota_ i e. T
        ( i ` P ) = ( ( P .\/ ( R ` f ) )
              ./\ ( ( N ` P ) .\/ ( R ` ( f o. `' F ) ) ) ) ) ) $.
    cdlemk2.q $e |- Q = ( S ` C ) $.
    $d f i ./\ $.  $d i .<_ $.  $d f i .\/ $.  $d i A $.  $d f i C $.
    $d f i F $.  $d i H $.  $d i K $.  $d f i N $.  $d f i P $.  $d f i R $.
    $d f i T $.  $d f i W $.
    $( Utility lemma.  (Contributed by NM, 2-Jul-2013.)
       (New usage is discouraged.) $)
    cdlemkoatnle-2N $p |- ( ( ( K e. HL /\ W e. H
                  /\ ( R ` F ) = ( R ` N ) )
           /\ ( F e. T /\ C e. T /\ N e. T )
           /\ ( ( R ` C ) =/= ( R ` F )
             /\ ( F =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
        -> ( ( Q ` P ) e. A /\ -. ( Q ` P ) .<_ W ) ) $=
      ( chlt wcel cfv wceq w3a wne cid cres wbr simp11 simp12 jca simp21 simp22
      wa wn simp23 simp33 simp13 simp32l simp32r simp31 cdlemkoatnle syl333anc
      ) NUIUJZRLUJZKFUKZQFUKULZUMZKHUJZCHUJZQHUJZUMZCFUKVOUNZKUOBUPZUNZCWCUNZVC
      ZDAUJDROUQVDVCZUMZUMZVMVNVCVRVSVTWGVPWDWEWBDEUKZAUJWJROUQVDVCWIVMVNVMVNVP
      WAWHURVMVNVPWAWHUSUTVQVRVSVTWHVAVQVRVSVTWHVBVQVRVSVTWHVEVQWAWBWFWGVFVMVNV
      PWAWHVGWDWEWBWGVQWAVHWDWEWBWGVQWAVIVQWAWBWFWGVJABCDFGHIJKLMNOPQERSTUAUBUC
      UDUEUFUGUHVKVL $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 13 on p. 119.
       ` Q ` , ` C ` are k_2, f_2.  (Contributed by NM, 1-Jul-2013.)
       (New usage is discouraged.) $)
    cdlemk13-2N $p |- ( ( ( K e. HL /\ W e. H
        /\ ( R ` F ) = ( R ` N ) )
 /\ ( F e. T /\ C e. T /\ N e. T )
 /\ ( ( R ` C ) =/= ( R ` F )
   /\ ( F =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
   /\ ( P e. A /\ -. P .<_ W ) ) )
      -> ( Q ` P ) = ( ( P .\/ ( R ` C ) )
       ./\ ( ( N ` P ) .\/ ( R ` ( C o. `' F ) ) ) ) ) $=
      ( chlt wcel cfv wceq w3a wne cid cres wa wbr wn co ccnv simp11 simp12 jca
      ccom simp21 simp22 simp23 simp33 simp13 simp32l simp31 cdlemk13 syl333anc
      simp32r ) NUIUJZRLUJZKFUKZQFUKULZUMZKHUJZCHUJZQHUJZUMZCFUKZVRUNZKUOBUPZUN
      ZCWGUNZUQZDAUJDROURUSUQZUMZUMZVPVQUQWAWBWCWKVSWHWIWFDEUKDWEMUTDQUKCKVAVEF
      UKMUTPUTULWMVPVQVPVQVSWDWLVBVPVQVSWDWLVCVDVTWAWBWCWLVFVTWAWBWCWLVGVTWAWBW
      CWLVHVTWDWFWJWKVIVPVQVSWDWLVJWHWIWFWKVTWDVKWHWIWFWKVTWDVOVTWDWFWJWKVLABCD
      FGHIJKLMNOPQERSTUAUBUCUDUEUFUGUHVMVN $.

    $( Utility lemma.  (Contributed by NM, 2-Jul-2013.)
       (New usage is discouraged.) $)
    cdlemkole-2N $p |- ( ( ( K e. HL /\ W e. H
                  /\ ( R ` F ) = ( R ` N ) )
           /\ ( F e. T /\ C e. T /\ N e. T )
           /\ ( ( R ` C ) =/= ( R ` F )
             /\ ( F =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
     -> ( Q ` P ) .<_ ( P .\/ ( R ` C ) ) ) $=
      ( chlt wcel cfv wceq w3a wne cid wa wbr wn co simp11 simp12 simp21 simp22
      cres jca simp23 simp33 simp13 simp32l simp32r simp31 cdlemkole syl333anc
      ) NUIUJZRLUJZKFUKZQFUKULZUMZKHUJZCHUJZQHUJZUMZCFUKZVPUNZKUOBVDZUNZCWEUNZU
      PZDAUJDROUQURUPZUMZUMZVNVOUPVSVTWAWIVQWFWGWDDEUKDWCMUSOUQWKVNVOVNVOVQWBWJ
      UTVNVOVQWBWJVAVEVRVSVTWAWJVBVRVSVTWAWJVCVRVSVTWAWJVFVRWBWDWHWIVGVNVOVQWBW
      JVHWFWGWDWIVRWBVIWFWGWDWIVRWBVJVRWBWDWHWIVKABCDFGHIJKLMNOPQERSTUAUBUCUDUE
      UFUGUHVLVM $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 19 on p. 119.
       ` Q ` , ` C ` are k_2, f_2.  (Contributed by NM, 1-Jul-2013.)
       (New usage is discouraged.) $)
    cdlemk14-2N $p |- ( ( ( K e. HL /\ W e. H
        /\ ( R ` F ) = ( R ` N ) )
 /\ ( F e. T /\ C e. T /\ N e. T )
 /\ ( ( R ` C ) =/= ( R ` F )
   /\ ( F =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
   /\ ( P e. A /\ -. P .<_ W ) ) )
      -> ( N ` P ) .<_ ( ( Q ` P ) .\/ ( R ` ( F o. `' C ) ) ) ) $=
      ( chlt wcel cfv wceq w3a wne cid cres wa wbr wn ccnv co simp11 simp12 jca
      ccom simp21 simp22 simp23 simp33 simp13 simp32l simp31 cdlemk14 syl333anc
      simp32r ) NUIUJZRLUJZKFUKZQFUKULZUMZKHUJZCHUJZQHUJZUMZCFUKVRUNZKUOBUPZUNZ
      CWFUNZUQZDAUJDROURUSUQZUMZUMZVPVQUQWAWBWCWJVSWGWHWEDQUKDEUKKCUTVEFUKMVAOU
      RWLVPVQVPVQVSWDWKVBVPVQVSWDWKVCVDVTWAWBWCWKVFVTWAWBWCWKVGVTWAWBWCWKVHVTWD
      WEWIWJVIVPVQVSWDWKVJWGWHWEWJVTWDVKWGWHWEWJVTWDVOVTWDWEWIWJVLABCDFGHIJKLMN
      OPQERSTUAUBUCUDUEUFUGUHVMVN $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 21 on p. 119.
       ` Q ` , ` C ` are k_2, f_2.  (Contributed by NM, 1-Jul-2013.)
       (New usage is discouraged.) $)
    cdlemk15-2N $p |- ( ( ( K e. HL /\ W e. H
        /\ ( R ` F ) = ( R ` N ) )
 /\ ( F e. T /\ C e. T /\ N e. T )
 /\ ( ( R ` C ) =/= ( R ` F )
   /\ ( F =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
   /\ ( P e. A /\ -. P .<_ W ) ) )
      -> ( N ` P )
  .<_ ( ( P .\/ ( R ` F ) )
     ./\ ( ( Q ` P ) .\/ ( R ` ( F o. `' C ) ) ) ) ) $=
      ( chlt wcel cfv wceq w3a wne cid cres wa wbr wn co ccnv simp11 simp12 jca
      ccom simp21 simp22 simp23 simp33 simp13 simp32l simp31 cdlemk15 syl333anc
      simp32r ) NUIUJZRLUJZKFUKZQFUKULZUMZKHUJZCHUJZQHUJZUMZCFUKVRUNZKUOBUPZUNZ
      CWFUNZUQZDAUJDROURUSUQZUMZUMZVPVQUQWAWBWCWJVSWGWHWEDQUKDVRMUTDEUKKCVAVEFU
      KMUTPUTOURWLVPVQVPVQVSWDWKVBVPVQVSWDWKVCVDVTWAWBWCWKVFVTWAWBWCWKVGVTWAWBW
      CWKVHVTWDWEWIWJVIVPVQVSWDWKVJWGWHWEWJVTWDVKWGWHWEWJVTWDVOVTWDWEWIWJVLABCD
      FGHIJKLMNOPQERSTUAUBUCUDUEUFUGUHVMVN $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
       1-Jul-2013.)  (New usage is discouraged.) $)
    cdlemk16-2N $p |- ( ( ( K e. HL /\ W e. H
        /\ ( R ` F ) = ( R ` N ) )
 /\ ( F e. T /\ C e. T /\ N e. T )
 /\ ( ( R ` C ) =/= ( R ` F )
   /\ ( F =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
   /\ ( P e. A /\ -. P .<_ W ) ) )
      -> ( ( ( P .\/ ( R ` F ) )
          ./\ ( ( Q ` P ) .\/ ( R ` ( F o. `' C ) ) ) ) e. A
      /\ -. ( ( P .\/ ( R ` F ) )
          ./\ ( ( Q ` P ) .\/ ( R ` ( F o. `' C ) ) ) ) .<_ W ) ) $=
      ( chlt wcel cfv wceq w3a wne cid cres wa wbr wn co ccnv simp11 simp12 jca
      ccom simp21 simp22 simp23 simp33 simp13 simp32l simp31 cdlemk16 syl333anc
      simp32r ) NUIUJZRLUJZKFUKZQFUKULZUMZKHUJZCHUJZQHUJZUMZCFUKVRUNZKUOBUPZUNZ
      CWFUNZUQZDAUJDROURUSUQZUMZUMZVPVQUQWAWBWCWJVSWGWHWEDVRMUTDEUKKCVAVEFUKMUT
      PUTZAUJWMROURUSUQWLVPVQVPVQVSWDWKVBVPVQVSWDWKVCVDVTWAWBWCWKVFVTWAWBWCWKVG
      VTWAWBWCWKVHVTWDWEWIWJVIVPVQVSWDWKVJWGWHWEWJVTWDVKWGWHWEWJVTWDVOVTWDWEWIW
      JVLABCDFGHIJKLMNOPQERSTUAUBUCUDUEUFUGUHVMVN $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 21 on p. 119.
       ` Q ` , ` C ` are k_2, f_2.  (Contributed by NM, 1-Jul-2013.)
       (New usage is discouraged.) $)
    cdlemk17-2N $p |- ( ( ( K e. HL /\ W e. H
                  /\ ( R ` F ) = ( R ` N ) )
           /\ ( F e. T /\ C e. T /\ N e. T )
           /\ ( ( R ` C ) =/= ( R ` F )
             /\ ( F =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
      -> ( N ` P ) = ( ( P .\/ ( R ` F ) )
           ./\ ( ( Q ` P ) .\/ ( R ` ( F o. `' C ) ) ) ) ) $=
      ( chlt wcel cfv wceq w3a wne cid cres wa wbr wn co ccnv simp11 simp12 jca
      ccom simp21 simp22 simp23 simp33 simp13 simp32l simp31 cdlemk17 syl333anc
      simp32r ) NUIUJZRLUJZKFUKZQFUKULZUMZKHUJZCHUJZQHUJZUMZCFUKVRUNZKUOBUPZUNZ
      CWFUNZUQZDAUJDROURUSUQZUMZUMZVPVQUQWAWBWCWJVSWGWHWEDQUKDVRMUTDEUKKCVAVEFU
      KMUTPUTULWLVPVQVPVQVSWDWKVBVPVQVSWDWKVCVDVTWAWBWCWKVFVTWAWBWCWKVGVTWAWBWC
      WKVHVTWDWEWIWJVIVPVQVSWDWKVJWGWHWEWJVTWDVKWGWHWEWJVTWDVOVTWDWEWIWJVLABCDF
      GHIJKLMNOPQERSTUAUBUCUDUEUFUGUHVMVN $.

    ${
      cdlemk.y $e |- Y = ( iota_ k e. T
        ( k ` P ) = ( ( P .\/ ( R ` G ) )
              ./\ ( ( Q ` P ) .\/ ( R ` ( G o. `' C ) ) ) ) ) $.

      $d k ./\ $.  $d k .<_ $.  $d k .\/ $.  $d k A $.  $d k C $.  $d k F $.
      $d k H $.  $d k K $.  $d k N $.  $d k Q $.  $d k P $.  $d k R $.
      $d k T $.  $d k W $.  $d k G $.
      $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
         2-Jul-2013.)  (New usage is discouraged.) $)
      cdlemkj-2N $p |- ( ( ( ( K e. HL /\ W e. H )
                  /\ ( R ` F ) = ( R ` N )
                  /\ G e. T )
           /\ ( F e. T /\ C e. T /\ N e. T )
           /\ ( ( ( R ` C ) =/= ( R ` F )
                /\ ( R ` C ) =/= ( R ` G ) )
             /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
       -> Y e. T ) $=
        ( cdlemkj ) ABCDFGHIJKLMNOPQRSETUAUBUCUDUEUFUGUHUIUJUKULUM $.
    $}

    cdlemk2.v $e |- V = ( d e. T |-> ( iota_ k e. T
        ( k ` P ) = ( ( P .\/ ( R ` d ) )
              ./\ ( ( Q ` P ) .\/ ( R ` ( d o. `' C ) ) ) ) ) ) $.
    $d d ./\ $.  $d d .\/ $.  $d d C $.  $d d k G $.  $d d Q $.  $d d P $.
    $d d R $.  $d d T $.  $d d W $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Value of the sigma_2 (p)
       function, given ` V ` .  (Contributed by NM, 2-Jul-2013.)
       (New usage is discouraged.) $)
    cdlemkuv-2N $p |- ( G e. T -> ( V ` G ) = ( iota_ k e. T
        ( k ` P ) = ( ( P .\/ ( R ` G ) )
              ./\ ( ( Q ` P ) .\/ ( R ` ( G o. `' C ) ) ) ) ) ) $=
      ( cdlemksv ) ABDFTHUBKCMNOPQREUAUCUDUEUGUHUIUJUFUMUN $.

    $d k ./\ $.  $d k .<_ $.  $d k .\/ $.  $d k A $.  $d k C $.  $d k F $.
    $d k H $.  $d k K $.  $d k N $.  $d k Q $.  $d k P $.  $d k R $.  $d k T $.
    $d k W $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Conditions for the
       sigma_2 (p) function to be a translation.  TODO: combine ~ cdlemkj ?
       (Contributed by NM, 2-Jul-2013.)  (New usage is discouraged.) $)
    cdlemkuel-2N $p |- ( ( ( ( K e. HL /\ W e. H )
                  /\ ( R ` F ) = ( R ` N )
                  /\ G e. T )
           /\ ( F e. T /\ C e. T /\ N e. T )
           /\ ( ( ( R ` C ) =/= ( R ` F )
                /\ ( R ` C ) =/= ( R ` G ) )
             /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
       -> ( V ` G ) e. T ) $=
      ( cdlemkuel ) ABCDFGHTUBIJKLMNOPQRSEUAUCUDUEUFUGUHUIUJUKULUMUN $.

    $d d k $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 16 on p. 119 for i =
       2, where sigma_2 (p) is ` V ` , f_2 is ` C ` , and k_2 is ` Q ` .
       (Contributed by NM, 2-Jul-2013.) $)
    cdlemkuv2-2 $p |- ( ( ( ( K e. HL /\ W e. H )
                  /\ ( R ` F ) = ( R ` N )
                  /\ G e. T )
           /\ ( F e. T /\ C e. T /\ N e. T )
           /\ ( ( ( R ` C ) =/= ( R ` F )
                /\ ( R ` C ) =/= ( R ` G ) )
             /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
 -> ( ( V ` G ) ` P ) = ( ( P .\/ ( R ` G ) )
       ./\ ( ( Q ` P ) .\/ ( R ` ( G o. `' C ) ) ) ) ) $=
      ( cdlemkuv2 ) ABCDFGHTUBIJKLMNOPQRSEUAUCUDUEUFUGUHUIUJUKULUMUN $.

    $d d F $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 22 on p. 119.
       ` N ` , ` V ` , ` Q ` , ` C ` are k, sigma_2 (p), k_2, f_2.
       (Contributed by NM, 2-Jul-2013.)  (New usage is discouraged.) $)
    cdlemk18-2N $p |- ( ( ( K e. HL /\ W e. H
                  /\ ( R ` F ) = ( R ` N ) )
           /\ ( F e. T /\ C e. T /\ N e. T )
           /\ ( ( R ` C ) =/= ( R ` F )
             /\ ( F =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
      -> ( N ` P ) = ( ( V ` F ) ` P ) ) $=
      ( chlt wcel cfv wceq w3a wne cid cres wbr simp11 simp12 jca simp21 simp22
      wa wn simp23 simp33 simp13 simp32l simp32r simp31 cdlemk18 syl333anc ) OU
      MUNZTMUNZLFUOZRFUOUPZUQZLHUNZCHUNZRHUNZUQZCFUOVSURZLUSBUTZURZCWGURZVGZDAU
      NDTPVAVHVGZUQZUQZVQVRVGWBWCWDWKVTWHWIWFDRUODLSUOUOUPWMVQVRVQVRVTWEWLVBVQV
      RVTWEWLVCVDWAWBWCWDWLVEWAWBWCWDWLVFWAWBWCWDWLVIWAWEWFWJWKVJVQVRVTWEWLVKWH
      WIWFWKWAWEVLWHWIWFWKWAWEVMWAWEWFWJWKVNABCDFGHSUAIJKLMNOPQRETUBUCUDUEUFUGU
      HUIUJUKULVOVP $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 22 on p. 119.
       ` N ` , ` V ` , ` Q ` , ` C ` are k, sigma_2 (p), k_2, f_2.
       (Contributed by NM, 2-Jul-2013.)  (New usage is discouraged.) $)
    cdlemk19-2N $p |- ( ( ( K e. HL /\ W e. H
                  /\ ( R ` F ) = ( R ` N ) )
           /\ ( F e. T /\ C e. T /\ N e. T )
           /\ ( ( R ` C ) =/= ( R ` F )
             /\ ( F =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
      -> ( V ` F ) = N ) $=
      ( chlt wcel cfv wceq w3a wne cid cres wbr simp11 simp12 jca simp21 simp22
      wa wn simp23 simp33 simp13 simp32l simp32r simp31 cdlemk19 syl333anc ) OU
      MUNZTMUNZLFUOZRFUOUPZUQZLHUNZCHUNZRHUNZUQZCFUOVSURZLUSBUTZURZCWGURZVGZDAU
      NDTPVAVHVGZUQZUQZVQVRVGWBWCWDWKVTWHWIWFLSUORUPWMVQVRVQVRVTWEWLVBVQVRVTWEW
      LVCVDWAWBWCWDWLVEWAWBWCWDWLVFWAWBWCWDWLVIWAWEWFWJWKVJVQVRVTWEWLVKWHWIWFWK
      WAWEVLWHWIWFWKWAWEVMWAWEWFWJWKVNABCDFGHSUAIJKLMNOPQRETUBUCUDUEUFUGUHUIUJU
      KULVOVP $.

    $d d k G $.  $d d k X $.
    ${
      cdlemk2.z $e |- Z = ( ( ( G ` P ) .\/ ( X ` P ) )
                  ./\ ( ( R ` ( G o. `' C ) )
                       .\/ ( R ` ( X o. `' C ) ) ) ) $.
      $( Part of proof of Lemma K of [Crawley] p. 118.  Line 5, p. 119 for the
         sigma_2 case.  (Contributed by NM, 5-Jul-2013.)
         (New usage is discouraged.) $)
      cdlemk7u-2N $p |- ( ( ( K e. HL /\ W e. H
              /\ ( R ` F ) = ( R ` N ) )
          /\ ( ( F e. T /\ C e. T /\ N e. T )
                 /\ ( G e. T /\ G =/= ( _I |` B ) )
                 /\ ( X e. T /\ X =/= ( _I |` B ) ) )
          /\ ( ( ( R ` C ) =/= ( R ` F )
               /\ ( R ` G ) =/= ( R ` C )
               /\ ( R ` X ) =/= ( R ` C ) )
            /\ ( F =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
            /\ ( P e. A /\ -. P .<_ W ) ) )
       -> ( ( V ` G ) ` P ) .<_ ( ( ( V ` X ) ` P ) .\/ Z ) ) $=
        ( chlt wcel cfv wceq w3a cid wne wa wbr wn co simp11 simp12 jca simp211
        cres simp212 simp213 simp22l simp23l 3jca simp33 simp13 simp32l simp32r
        simp22r simp23r simp31 cdlemk7u syl333anc ) PUQURZUANURZLFUSZSFUSUTZVAZ
        LHURZCHURZSHURZVAZMHURZMVBBVLZVCZVDZUBHURZUBWQVCZVDZVAZCFUSZWIVCMFUSXDV
        CUBFUSXDVCVAZLWQVCZCWQVCZVDZDAURDUAQVEVFVDZVAZVAZWGWHVDWLWMWNWPWTVAXIWJ
        XFXGWRVAXAXEDMTUSUSDUBTUSUSUCOVGQVEXKWGWHWGWHWJXCXJVHWGWHWJXCXJVIVJWLWM
        WNWSXBWKXJVKWLWMWNWSXBWKXJVMXKWNWPWTWLWMWNWSXBWKXJVNWPWRWOXBWKXJVOWTXAW
        OWSWKXJVPVQWKXCXEXHXIVRWGWHWJXCXJVSXKXFXGWRXFXGXEXIWKXCVTXFXGXEXIWKXCWA
        WPWRWOXBWKXJWBVQWTXAWOWSWKXJWCWKXCXEXHXIWDABCDFGHTUDIJKLMNOPQRSEUCUAUBU
        EUFUGUHUIUJUKULUMUNUOUPWEWF $.

      $( Part of proof of Lemma K of [Crawley] p. 118.  Line 17, p. 119,
         showing Eq. 3 (line 8, p. 119) for the sigma_2 ( ` Z ` ) case.
         (Contributed by NM, 5-Jul-2013.)  (New usage is discouraged.) $)
      cdlemk11u-2N $p |- ( ( ( K e. HL /\ W e. H
              /\ ( R ` F ) = ( R ` N ) )
          /\ ( ( F e. T /\ C e. T /\ N e. T )
                 /\ ( G e. T /\ G =/= ( _I |` B ) )
                 /\ ( X e. T /\ X =/= ( _I |` B ) ) )
          /\ ( ( ( R ` C ) =/= ( R ` F )
               /\ ( R ` G ) =/= ( R ` C )
               /\ ( R ` X ) =/= ( R ` C ) )
            /\ ( F =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
            /\ ( P e. A /\ -. P .<_ W ) ) )
       -> ( ( V ` G ) ` P )
              .<_ ( ( ( V ` X ) ` P ) .\/ ( R ` ( X o. `' G ) ) ) ) $=
        ( chlt wcel cfv wceq w3a cid cres wne wa wbr wn ccnv ccom simp11 simp12
        jca simp211 simp212 simp213 simp22l simp23l 3jca simp33 simp32l simp32r
        co simp13 simp22r simp23r simp31 cdlemk11u syl333anc ) PUQURZUANURZLFUS
        ZSFUSUTZVAZLHURZCHURZSHURZVAZMHURZMVBBVCZVDZVEZUBHURZUBWSVDZVEZVAZCFUSZ
        WKVDMFUSXFVDUBFUSXFVDVAZLWSVDZCWSVDZVEZDAURDUAQVFVGVEZVAZVAZWIWJVEWNWOW
        PWRXBVAXKWLXHXIWTVAXCXGDMTUSUSDUBTUSUSUBMVHVIFUSOWBQVFXMWIWJWIWJWLXEXLV
        JWIWJWLXEXLVKVLWNWOWPXAXDWMXLVMWNWOWPXAXDWMXLVNXMWPWRXBWNWOWPXAXDWMXLVO
        WRWTWQXDWMXLVPXBXCWQXAWMXLVQVRWMXEXGXJXKVSWIWJWLXEXLWCXMXHXIWTXHXIXGXKW
        MXEVTXHXIXGXKWMXEWAWRWTWQXDWMXLWDVRXBXCWQXAWMXLWEWMXEXGXJXKWFABCDFGHTUD
        IJKLMNOPQRSEUCUAUBUEUFUGUHUIUJUKULUMUNUOUPWGWH $.
    $}

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 18, p. 119, showing
       Eq. 4 (line 10, p. 119) for the sigma_2 ( ` V ` ) case.  (Contributed by
       NM, 5-Jul-2013.)  (New usage is discouraged.) $)
    cdlemk12u-2N $p |- ( ( ( K e. HL /\ W e. H
            /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( F e. T /\ C e. T /\ N e. T )
               /\ ( G e. T /\ G =/= ( _I |` B ) )
               /\ ( X e. T /\ X =/= ( _I |` B ) ) )
        /\ ( ( ( R ` C ) =/= ( R ` F )
             /\ ( R ` G ) =/= ( R ` C )
             /\ ( R ` X ) =/= ( R ` C ) )
          /\ ( ( R ` G ) =/= ( R ` X )
             /\ F =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
          /\ ( P e. A /\ -. P .<_ W ) ) )
     -> ( ( V ` G ) ` P ) = ( ( P .\/ ( G ` P ) )
           ./\ ( ( ( V ` X ) ` P ) .\/ ( R ` ( X o. `' G ) ) ) ) ) $=
      ( chlt wcel cfv wceq w3a cid cres wne wa wbr wn co ccnv simp11 simp12 jca
      ccom simp211 simp212 simp213 simp22l simp23l 3jca simp322 simp323 simp22r
      simp33 simp13 simp23r simp321 simp31 cdlemk12u syl333anc ) PUOUPZUANUPZLF
      UQZSFUQURZUSZLHUPZCHUPZSHUPZUSZMHUPZMUTBVAZVBZVCZUBHUPZUBWRVBZVCZUSZCFUQZ
      WJVBMFUQZXEVBUBFUQZXEVBUSZXFXGVBZLWRVBZCWRVBZUSZDAUPDUAQVDVEVCZUSZUSZWHWI
      VCWMWNWOWQXAUSXMWKXJXKWSUSXBXIVCXHDMTUQUQDDMUQOVFDUBTUQUQUBMVGVKFUQOVFRVF
      URXOWHWIWHWIWKXDXNVHWHWIWKXDXNVIVJWMWNWOWTXCWLXNVLWMWNWOWTXCWLXNVMXOWOWQX
      AWMWNWOWTXCWLXNVNWQWSWPXCWLXNVOXAXBWPWTWLXNVPVQWLXDXHXLXMWAWHWIWKXDXNWBXO
      XJXKWSXIXJXKXHXMWLXDVRXIXJXKXHXMWLXDVSWQWSWPXCWLXNVTVQXOXBXIXAXBWPWTWLXNW
      CXIXJXKXHXMWLXDWDVJWLXDXHXLXMWEABCDFGHTUCIJKLMNOPQRSEUAUBUDUEUFUGUHUIUJUK
      ULUMUNWFWG $.

    $d i f G $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Lines 26-27, p. 119 for
       i=0 and j=2.  (Contributed by NM, 5-Jul-2013.)
       (New usage is discouraged.) $)
    cdlemk21-2N $p |- ( ( ( K e. HL /\ W e. H
            /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( F e. T /\ C e. T /\ N e. T )
               /\ ( G e. T /\ G =/= ( _I |` B ) ) )
        /\ ( ( ( R ` C ) =/= ( R ` F )
             /\ ( R ` G ) =/= ( R ` C ) )
          /\ ( ( R ` G ) =/= ( R ` F )
             /\ F =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
          /\ ( P e. A /\ -. P .<_ W ) ) )
     -> ( ( S ` G ) ` P ) = ( ( V ` G ) ` P ) ) $=
      ( chlt wcel cfv wceq w3a cid cres wne wa wbr wn simp11 simp12 jca simp2l1
      simp2l2 simp2l3 simp2rl simp322 simp323 simp2rr simp31l simp31r cdlemk21N
      simp33 simp13 3jca simp321 syl332anc ) PUNUOZUANUOZLFUPZSFUPUQZURZLHUOZCH
      UOZSHUOZURZMHUOZMUSBUTZVAZVBZVBZCFUPZWEVAZMFUPZWQVAZVBZWSWEVAZLWMVAZCWMVA
      ZURZDAUODUAQVCVDVBZURZURZWCWDVBWHWIWJWLVBXFWFXCXDWNURWRWTXBURDMGUPUPDMTUP
      UPUQXHWCWDWCWDWFWPXGVEWCWDWFWPXGVFVGWHWIWJWOWGXGVHWHWIWJWOWGXGVIXHWJWLWHW
      IWJWOWGXGVJWLWNWKWGXGVKVGWGWPXAXEXFVRWCWDWFWPXGVSXHXCXDWNXBXCXDXAXFWGWPVL
      XBXCXDXAXFWGWPVMWLWNWKWGXGVNVTXHWRWTXBWRWTXEXFWGWPVOWRWTXEXFWGWPVPXBXCXDX
      AXFWGWPWAVTABCDFGHTUBIJKLMNOPQRSEUAUCUDUEUFUGUHUIUJUKULUMVQWB $.

    cdlemk2a.o $e |- O = ( S ` D ) $.
    $d k i f d D $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 22, p. 119 for the
       i=2, j=1 case.  Note typo on line 22: f should be f_i.  Our ` D ` ,
       ` C ` , ` O ` , ` Q ` , ` U ` , ` V ` represent their f_1, f_2, k_1,
       k_2, sigma_1, sigma_2.  (Contributed by NM, 5-Jul-2013.)
       (New usage is discouraged.) $)
    cdlemk20-2N $p |- ( ( ( K e. HL /\ W e. H
            /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( F e. T /\ C e. T /\ N e. T )
               /\ ( D e. T /\ D =/= ( _I |` B ) )
               /\ ( C e. T /\ C =/= ( _I |` B ) ) )
        /\ ( ( ( R ` C ) =/= ( R ` F )
             /\ ( R ` D ) =/= ( R ` F )
             /\ ( R ` D ) =/= ( R ` C ) )
          /\ ( F =/= ( _I |` B ) /\ C =/= ( _I |` B ) )
          /\ ( P e. A /\ -. P .<_ W ) ) )
     -> ( ( V ` D ) ` P ) = ( O ` P ) ) $=
      ( chlt wcel cfv wceq w3a cid cres wne wa wbr wn simp11 simp12 jca simp211
      simp212 simp213 simp22l simp33 simp13 simp32l simp32r simp22r 3jca simp31
      cdlemk20 syl332anc ) PUPUQZUBNUQZMGURZSGURUSZUTZMIUQZCIUQZSIUQZUTZDIUQZDV
      ABVBZVCZVDZWICWMVCZVDZUTZCGURZWEVCDGURZWEVCWTWSVCUTZMWMVCZWPVDZEAUQEUBQVE
      VFVDZUTZUTZWCWDVDWHWIWJWLVDXDWFXBWPWNUTXAEDUAURURETURUSXFWCWDWCWDWFWRXEVG
      WCWDWFWRXEVHVIWHWIWJWOWQWGXEVJWHWIWJWOWQWGXEVKXFWJWLWHWIWJWOWQWGXEVLWLWNW
      KWQWGXEVMVIWGWRXAXCXDVNWCWDWFWRXEVOXFXBWPWNXBWPXAXDWGWRVPXBWPXAXDWGWRVQWL
      WNWKWQWGXEVRVSWGWRXAXCXDVTABDCETGHIUAUCJKLMNOPQRSFUBUDUEUFUGUHUIUJUKULUMU
      NUOWAWB $.

    cdlemk2.u $e |- U = ( e e. T |-> ( iota_ j e. T
        ( j ` P ) = ( ( P .\/ ( R ` e ) )
              ./\ ( ( O ` P ) .\/ ( R ` ( e o. `' D ) ) ) ) ) ) $.
    $d e j ./\ $.  $d e j .<_ $.  $d e j .\/ $.  $d j A $.  $d e j C $.
    $d e j D $.  $d e j F $.  $d e j G $.  $d j H $.  $d j K $.  $d j N $.
    $d e j O $.  $d e j P $.  $d e j R $.  $d e j T $.  $d e j W $.
    $d e f i j $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Lines 26-27, p. 119 for
       i=1 and j=2.  (Contributed by NM, 5-Jul-2013.) $)
    cdlemk22 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
       /\ ( ( N e. T /\ G e. T /\ C e. T )
          /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( ( F =/= ( _I |` B ) /\ D =/= ( _I |` B ) /\ G =/= ( _I |` B ) )
          /\ ( C =/= ( _I |` B ) /\ ( R ` G ) =/= ( R ` C )
             /\ ( R ` C ) =/= ( R ` F ) )
            /\ ( ( R ` D ) =/= ( R ` F )
              /\ ( R ` G ) =/= ( R ` D )
             /\ ( R ` C ) =/= ( R ` D ) ) ) )
     -> ( ( U ` G ) ` P ) = ( ( V ` G ) ` P ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres co ccnv simp11 simp212 simp22
      wne ccom trljat1 syl3anc simp1 simp211 simp213 jca simp23 simp311 simp312
      simp321 simp331 simp323 simp333 cdlemk20 syl132anc eqcomd trlcocnv simp12
      3jca oveq12d simp322 necomd cdlemkuv2-2 syl333anc simp31 simp33 cdlemk12u
      simp313 syld3an3 3eqtr4rd ) TVAVBUFRVBVCZPIVBZDIVBZVDZUCIVBZQIVBZCIVBZVDZ
      EAVBEUFUAVEVFVCZPGVGZUCGVGVHZVDZPVIBVJZVPZDXTVPZQXTVPZVDZCXTVPZQGVGZCGVGZ
      VPZYGXQVPZVDZDGVGZXQVPZYFYKVPZYGYKVPZVDZVDZVDZEYFSVKZEFVGZQCVLVQGVGZSVKZU
      BVKZEEQVGSVKZECJVGVGZCQVLVQGVGZSVKZUBVKZEQUEVGVGZEQJVGVGZYQYRUUCUUAUUFUBY
      QXHXMXPYRUUCVHXHXIXJXSYPVMZXLXMXNXPXRXKYPVNZXKXOXPXRYPVOZAEGIQRSTUAUFUIUJ
      ULUMUNUOVRVSYQYSUUDYTUUESYQUUDYSYQXKXLXNVCXPXRYAYBYEVDYLYIYNVDUUDYSVHXKXS
      YPVTYQXLXNXLXMXNXPXRXKYPWAZXLXMXNXPXRXKYPWBZWCUULXKXOXPXRYPWDZYQYAYBYEYAY
      BYCYJYOXKXSWEZYAYBYCYJYOXKXSWFYEYHYIYDYOXKXSWGZWPYQYLYIYNYLYMYNYDYJXKXSWH
      YEYHYIYDYOXKXSWIZYLYMYNYDYJXKXSWJWPABCDEFGHIJKLMNPRSTUAUBUCUDUFUHUIUJUKUL
      UMUNUOUPUSUTUQWKWLWMYQXHXMXNYTUUEVHUUJUUKUUNGIQCRTUFUMUNUOWNVSWQWQYQXHXRX
      MXIXNXLYIYGYFVPZVCYAYCYEVDXPUUHUUBVHUUJUUOUUKXHXIXJXSYPWOUUNUUMYQYIUUSUUR
      YQYFYGYEYHYIYDYOXKXSWRZWSWCYQYAYCYEUUPYAYBYCYJYOXKXSXEUUQWPUULABCEFGHILMO
      PQRSTUAUBUCUEUFUGUHUIUJUKULUMUNUOUPUQURWTXAXKXSYPYDYEYHVCZYOVDUUIUUGVHYQY
      DUVAYOXKXSYDYJYOXBYQYEYHUUQUUTWCXKXSYDYJYOXCWPABDEGHIJKLMNPQRSTUAUBUCUDUF
      CUHUIUJUKULUMUNUOUPUSUTXDXFXG $.
  $}

  ${
    cdlemk3.b $e |- B = ( Base ` K ) $.
    cdlemk3.l $e |- .<_ = ( le ` K ) $.
    cdlemk3.j $e |- .\/ = ( join ` K ) $.
    cdlemk3.m $e |- ./\ = ( meet ` K ) $.
    cdlemk3.a $e |- A = ( Atoms ` K ) $.
    cdlemk3.h $e |- H = ( LHyp ` K ) $.
    cdlemk3.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemk3.r $e |- R = ( ( trL ` K ) ` W ) $.
    cdlemk3.s $e |- S = ( f e. T |-> ( iota_ i e. T
        ( i ` P ) = ( ( P .\/ ( R ` f ) )
              ./\ ( ( N ` P ) .\/ ( R ` ( f o. `' F ) ) ) ) ) ) $.
    $d d e f i ./\ $.  $d i .<_ $.  $d d e f i .\/ $.  $d i A $.
    $d d e f i j D $.  $d f i F $.  $d d e j G $.  $d i H $.  $d i K $.
    $d f i N $.  $d d e f i P $.  $d d e Q $.  $d d e f i R $.  $d d e f i T $.
    $d d e f i W $.  $d d e i j f $.  $d f i b $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  TODO: fix comment.  Part
       of attempt to simplify hypotheses.  (Contributed by NM, 17-Jul-2013.) $)
    cdlemk30 $p |- ( ( ( ( K e. HL /\ W e. H )
                  /\ ( R ` F ) = ( R ` N ) )
           /\ ( F e. T /\ b e. T /\ N e. T )
           /\ ( ( R ` b ) =/= ( R ` F )
             /\ ( F =/= ( _I |` B ) /\ b =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
       -> ( ( S ` b ) ` P ) = ( ( P .\/ ( R ` b ) )
              ./\ ( ( N ` P ) .\/ ( R ` ( b o. `' F ) ) ) ) ) $=
      ( chlt wcel wa cfv wceq cv w3a wne cid cres wn co ccnv ccom simp1l simp21
      simp22 simp23 simp33 simp1r simp32l simp32r simp31 cdlemksv2 syl333anc
      wbr ) LUGUHPJUHUIZIDUJZODUJUKZUIZIFUHZQULZFUHZOFUHZUMZVRDUJZVNUNZIUOBUPZU
      NZVRWDUNZUIZCAUHCPMVLUQUIZUMZUMVMVQVSVTWHVOWEWFWCCVREUJUJCWBKURCOUJVRIUSU
      TDUJKURNURUKVMVOWAWIVAVPVQVSVTWIVBVPVQVSVTWIVCVPVQVSVTWIVDVPWAWCWGWHVEVMV
      OWAWIVFWEWFWCWHVPWAVGWEWFWCWHVPWAVHVPWAWCWGWHVIABCDEFGHIVRJKLMNOPRSTUBUCU
      DUEUAUFVJVK $.

    cdlemk3.u1 $e |- Y = ( d e. T , e e. T
          |-> ( iota_ j e. T
        ( j ` P ) = ( ( P .\/ ( R ` e ) )
              ./\ ( ( ( S ` d ) ` P )
                .\/ ( R ` ( e o. `' d ) ) ) ) ) ) $.

    ${
      cdlemk3.o2 $e |- Q = ( S ` D ) $.
      cdlemk3.u2 $e |- Z = ( e e. T |-> ( iota_ j e. T
          ( j ` P ) = ( ( P .\/ ( R ` e ) )
                ./\ ( ( Q ` P ) .\/ ( R ` ( e o. `' D ) ) ) ) ) ) $.
      $( Convert between function and operation forms of ` Y ` .  TODO:  Use
         operation form everywhere.  (Contributed by NM, 6-Jul-2013.) $)
      cdlemkuu $p |- ( ( D e. T /\ G e. T )
         -> ( D Y G ) = ( Z ` G ) ) $=
        ( wcel wa co cfv ccnv ccom wceq crio fveq2 eqtr4di fveq1d coeq2d fveq2d
        cnveq oveq12d oveq2d eqeq2d riotabidv coeq1 riotaex ovmpo adantl eqtr4d
        cv cdlemksv ) CHUQZNHUQZURCNUBUSDLVTUTZDNFUTZPUSZDEUTZNCVAZVBZFUTZPUSZS
        USZVCZLHVDZNUCUTZUDICNHHWDDIVTZFUTZPUSZDUDVTZGUTZUTZWPWSVAZVBZFUTZPUSZS
        USZVCZLHVDWNUBWDWRWGWPWHVBZFUTZPUSZSUSZVCZLHVDWSCVCZXGXLLHXMXFXKWDXMXEX
        JWRSXMXAWGXDXIPXMDWTEXMWTCGUTEWSCGVEUOVFVGXMXCXHFXMXBWHWPWSCVJVHVIVKVLV
        MVNWPNVCZXLWMLHXNXKWLWDXNWRWFXJWKSXNWQWEDPWPNFVEVLXNXIWJWGPXNXHWIFWPNWH
        VOVIVLVKVMVNUNWMLHVPVQWCWOWNVCWBABDFUCHILCNOPQRSEUAUEUFUGUIUJUKULUHUPWA
        VRVS $.
    $}

    $d j ./\ $.  $d j .<_ $.  $d j .\/ $.  $d j A $.  $d j F $.  $d j H $.
    $d j K $.  $d j N $.  $d j P $.  $d j R $.  $d d e j b S $.  $d j T $.
    $d j W $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  TODO: fix comment.  Part
       of attempt to simplify hypotheses.  (Contributed by NM, 17-Jul-2013.) $)
    cdlemk31 $p |- ( ( ( ( K e. HL /\ W e. H )
                  /\ ( R ` F ) = ( R ` N ) )
           /\ ( ( F e. T /\ b e. T /\ N e. T ) /\ G e. T )
           /\ ( ( ( R ` b ) =/= ( R ` F ) /\ ( R ` b ) =/= ( R ` G ) )
             /\ ( F =/= ( _I |` B ) /\ b =/= ( _I |` B ) /\ G =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
       -> ( ( b Y G ) ` P ) = ( ( P .\/ ( R ` G ) )
              ./\ ( ( ( S ` b ) ` P )
                .\/ ( R ` ( G o. `' b ) ) ) ) ) $=
      ( chlt wcel wa cfv wceq cv w3a wne cid cres wbr wn co ccnv ccom crio cmpt
      simp2l2 simp2r eqid cdlemkuu syl2anc fveq1d simp1l simp1r simp321 simp323
      simp2l simp31 simp322 3jca simp33 cdlemkuv2 syl313anc eqtrd ) OUMUNSMUNUO
      ZKDUPZRDUPUQZUOZKFUNZUAURZFUNZRFUNZUSZLFUNZUOZWMDUPZWIUTWSLDUPZUTUOZKVABV
      BZUTZWMXBUTZLXBUTZUSZCAUNCSPVCVDUOZUSZUSZCWMLTVEZUPCLGFCJURUPCGURZDUPNVEC
      WMEUPZUPZXKWMVFZVGDUPNVEQVEUQJFVHVIZUPZUPZCWTNVEXMLXNVGDUPNVEQVEZXICXJXPX
      IWNWQXJXPUQWLWNWOWQWKXHVJWKWPWQXHVKZABWMCXLDEFGHIJKLMNOPQRSTXOUBUCUDUEUFU
      GUHUIUJUKULXLVLZXOVLZVMVNVOXIWHWJWQWPXAXCXEXDUSXGXQXRUQWHWJWRXHVPWHWJWRXH
      VQXSWKWPWQXHVTWKWRXAXFXGWAXIXCXEXDXCXDXEXAXGWKWRVRXCXDXEXAXGWKWRVSXCXDXEX
      AXGWKWRWBWCWKWRXAXFXGWDABWMCDEFXOGHIJKLMNOPQRXLSUCUDUEUFUGUHUIUJUKXTYAWEW
      FWG $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  TODO: fix comment.  Part
       of attempt to simplify hypotheses.  (Contributed by NM, 17-Jul-2013.) $)
    cdlemk32 $p |- ( ( ( ( K e. HL /\ W e. H )
                  /\ ( R ` F ) = ( R ` N ) )
           /\ ( ( F e. T /\ b e. T /\ N e. T ) /\ G e. T )
           /\ ( ( ( R ` b ) =/= ( R ` F ) /\ ( R ` b ) =/= ( R ` G ) )
             /\ ( F =/= ( _I |` B ) /\ b =/= ( _I |` B ) /\ G =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
       -> ( ( b Y G ) ` P ) = ( ( P .\/ ( R ` G ) )
              ./\ ( ( ( P .\/ ( R ` b ) )
                     ./\ ( ( N ` P ) .\/ ( R ` ( b o. `' F ) ) ) )
                .\/ ( R ` ( G o. `' b ) ) ) ) ) $=
      ( chlt wcel wa cfv wceq cv w3a wne cid cres wbr wn co ccnv cdlemk31 simp1
      simp2l simp31l simp321 simp322 jca simp33 cdlemk30 syl113anc oveq1d eqtrd
      ccom oveq2d ) OUMUNSMUNUOKDUPZRDUPUQUOZKFUNUAURZFUNRFUNUSZLFUNZUOZWCDUPZW
      AUTZWGLDUPZUTZUOZKVABVBZUTZWCWLUTZLWLUTZUSZCAUNCSPVCVDUOZUSZUSZCWCLTVEUPC
      WINVEZCWCEUPUPZLWCVFVSDUPZNVEZQVEWTCWGNVECRUPWCKVFVSDUPNVEQVEZXBNVEZQVEAB
      CDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVGWSXCXEWTQWSXAXDXBNWSWBWDWHWMW
      NUOWQXAXDUQWBWFWRVHWBWDWEWRVIWHWJWPWQWBWFVJWSWMWNWMWNWOWKWQWBWFVKWMWNWOWK
      WQWBWFVLVMWBWFWKWPWQVNABCDEFHIKMNOPQRSUAUCUDUEUFUGUHUIUJUKVOVPVQVTVR $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Conditions for the
       sigma_2 (p) function to be a translation.  TODO: combine ~ cdlemkj ?
       (Contributed by NM, 11-Jul-2013.) $)
    cdlemkuel-3 $p |- ( ( ( ( K e. HL /\ W e. H )
                  /\ ( R ` F ) = ( R ` N )
                  /\ G e. T )
           /\ ( F e. T /\ D e. T /\ N e. T )
           /\ ( ( ( R ` D ) =/= ( R ` F )
                /\ ( R ` D ) =/= ( R ` G ) )
             /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B ) /\ D =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
       -> ( D Y G ) e. T ) $=
      ( chlt wcel wa cfv wceq w3a wne cid cres wbr wn co cv ccnv ccom crio cmpt
      simp22 simp13 eqid cdlemkuu syl2anc cdlemkuel eqeltrd ) PUMUNTNUNUOZLEUPZ
      SEUPUQZMGUNZURZLGUNZCGUNZSGUNZURZCEUPZVRUSWFMEUPUSUOLUTBVAZUSMWGUSCWGUSUR
      DAUNDTQVBVCUOURZURZCMUAVDZMHGDKVEUPDHVEZEUPOVDDCFUPZUPWKCVFVGEUPOVDRVDUQK
      GVHVIZUPZGWIWCVTWJWNUQWAWBWCWDWHVJVQVSVTWEWHVKABCDWLEFGHIJKLMNOPQRSTUAWMU
      BUCUDUEUFUGUHUIUJUKULWLVLZWMVLZVMVNABCDEFGWMHIJKLMNOPQRSWLTUCUDUEUFUGUHUI
      UJUKWOWPVOVP $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 16 on p. 119 for i =
       1, where sigma_2 (p) is ` Y ` , f_1 is ` D ` , and k_1 is ` O ` .
       (Contributed by NM, 6-Jul-2013.)  (New usage is discouraged.) $)
    cdlemkuv2-3N $p |- ( ( ( ( K e. HL /\ W e. H )
                  /\ ( R ` F ) = ( R ` N )
                  /\ G e. T )
           /\ ( F e. T /\ D e. T /\ N e. T )
           /\ ( ( ( R ` D ) =/= ( R ` F )
                /\ ( R ` D ) =/= ( R ` G ) )
             /\ ( F =/= ( _I |` B ) /\ G =/= ( _I |` B ) /\ D =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
 -> ( ( D Y G ) ` P ) = ( ( P .\/ ( R ` G ) )
       ./\ ( ( ( S ` D ) ` P ) .\/ ( R ` ( G o. `' D ) ) ) ) ) $=
      ( chlt wcel wa cfv wceq w3a wne cid cres wbr wn co cv ccnv ccom crio cmpt
      simp22 simp13 eqid cdlemkuu syl2anc fveq1d cdlemkuv2 eqtrd ) PUMUNTNUNUOZ
      LEUPZSEUPUQZMGUNZURZLGUNZCGUNZSGUNZURZCEUPZVSUSWGMEUPZUSUOLUTBVAZUSMWIUSC
      WIUSURDAUNDTQVBVCUOURZURZDCMUAVDZUPDMHGDKVEUPDHVEZEUPOVDDCFUPZUPZWMCVFZVG
      EUPOVDRVDUQKGVHVIZUPZUPDWHOVDWOMWPVGEUPOVDRVDWKDWLWRWKWDWAWLWRUQWBWCWDWEW
      JVJVRVTWAWFWJVKABCDWNEFGHIJKLMNOPQRSTUAWQUBUCUDUEUFUGUHUIUJUKULWNVLZWQVLZ
      VMVNVOABCDEFGWQHIJKLMNOPQRSWNTUCUDUEUFUGUHUIUJUKWSWTVPVQ $.

    $d d e F $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 22 on p. 119.
       ` N ` , ` Y ` , ` O ` , ` D ` are k, sigma_2 (p), k_1, f_1.
       (Contributed by NM, 7-Jul-2013.)  (New usage is discouraged.) $)
    cdlemk18-3N $p |- ( ( ( K e. HL /\ W e. H
                  /\ ( R ` F ) = ( R ` N ) )
           /\ ( F e. T /\ D e. T /\ N e. T )
           /\ ( ( R ` D ) =/= ( R ` F )
             /\ ( F =/= ( _I |` B ) /\ D =/= ( _I |` B ) )
             /\ ( P e. A /\ -. P .<_ W ) ) )
      -> ( ( D Y F ) ` P ) = ( N ` P ) ) $=
      ( chlt wcel cfv wceq w3a wne cid cres wa wbr wn co cv ccnv ccom crio cmpt
      simp22 simp21 eqid cdlemkuu syl2anc fveq1d cdlemk18-2N eqtr4d ) OULUMSMUM
      LEUNZREUNUOUPZLGUMZCGUMZRGUMZUPCEUNVQUQLURBUSZUQCWBUQUTDAUMDSPVAVBUTUPZUP
      ZDCLTVCZUNDLHGDKVDUNDHVDZEUNNVCDCFUNZUNWFCVEVFEUNNVCQVCUOKGVGVHZUNZUNDRUN
      WDDWEWIWDVTVSWEWIUOVRVSVTWAWCVIVRVSVTWAWCVJABCDWGEFGHIJKLLMNOPQRSTWHUAUBU
      CUDUEUFUGUHUIUJUKWGVKZWHVKZVLVMVNABCDWGEFGIJKLMNOPQRWHSHUBUCUDUEUFUGUHUIU
      JWJWKVOVP $.

    $d e .<_ $.  $d d e f i j C $.  $d f i G $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Lines 26-27, p. 119 for
       i=1 and j=2.  (Contributed by NM, 7-Jul-2013.) $)
    cdlemk22-3 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ D e. T )
       /\ ( ( N e. T /\ G e. T /\ C e. T )
          /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
       /\ ( ( F =/= ( _I |` B ) /\ D =/= ( _I |` B ) /\ G =/= ( _I |` B ) )
          /\ ( C =/= ( _I |` B ) /\ ( R ` G ) =/= ( R ` C )
             /\ ( R ` C ) =/= ( R ` F ) )
            /\ ( ( R ` D ) =/= ( R ` F )
              /\ ( R ` G ) =/= ( R ` D )
             /\ ( R ` C ) =/= ( R ` D ) ) ) )
     -> ( ( D Y G ) ` P ) = ( ( C Y G ) ` P ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres wne cv co ccnv ccom crio cmpt
      eqid cdlemk22 simp13 simp212 cdlemkuu syl2anc fveq1d simp213 3eqtr4d ) QU
      NUOUAOUOUPZMHUOZDHUOZUQZTHUOZNHUOZCHUOZUQEAUOEUARURUSUPZMFUTZTFUTVAZUQZMV
      BBVCZVDDWKVDNWKVDUQCWKVDNFUTZCFUTZVDWMWHVDUQDFUTZWHVDWLWNVDWMWNVDUQUQZUQZ
      ENIHELVEUTZEIVEZFUTPVFZEDGUTZUTWRDVGVHFUTPVFSVFVALHVIVJZUTZUTENIHWQWSECGU
      TZUTWRCVGVHFUTPVFSVFVALHVIVJZUTZUTEDNUBVFZUTECNUBVFZUTABCDEXCFGHXAIJKLLMN
      OPQRSTWTXDUAIUDUEUFUGUHUIUJUKULXCVKZXDVKZWTVKZXAVKZVLWPEXFXBWPWBWEXFXBVAV
      TWAWBWJWOVMWDWEWFWGWIWCWOVNZABDEWTFGHIJKLMNOPQRSTUAUBXAUCUDUEUFUGUHUIUJUK
      ULUMXJXKVOVPVQWPEXGXEWPWFWEXGXEVAWDWEWFWGWIWCWOVRXLABCEXCFGHIJKLMNOPQRSTU
      AUBXDUCUDUEUFUGUHUIUJUKULUMXHXIVOVPVQVS $.

    $d d e f i j x $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Eliminate the
       ` ( R `` C ) =/= ( R `` D ) ` requirement from ~ cdlemk22-3 .
       (Contributed by NM, 7-Jul-2013.) $)
    cdlemk23-3 $p |- ( ( ( ( K e. HL /\ W e. H )
          /\ ( F e. T /\ D e. T /\ N e. T )
          /\ ( G e. T /\ C e. T /\ x e. T ) )
       /\ ( ( P e. A /\ -. P .<_ W )
          /\ ( ( R ` F ) = ( R ` N ) /\ F =/= ( _I |` B )
             /\ D =/= ( _I |` B ) )
          /\ ( G =/= ( _I |` B ) /\ C =/= ( _I |` B )
             /\ x =/= ( _I |` B ) ) )
       /\ ( ( ( R ` G ) =/= ( R ` C ) /\ ( R ` C ) =/= ( R ` F )
             /\ ( R ` D ) =/= ( R ` F ) )
         /\ ( ( R ` G ) =/= ( R ` D ) /\ ( R ` x ) =/= ( R ` C ) )
         /\ ( ( R ` x ) =/= ( R ` D ) /\ ( R ` x ) =/= ( R ` F )
             /\ ( R ` G ) =/= ( R ` x ) ) ) )
     -> ( ( D Y G ) ` P ) = ( ( C Y G ) ` P ) ) $=
      ( chlt wcel wa w3a cv wbr wn cfv wceq cid cres wne simp11 simp121 simp122
      co simp123 simp131 simp133 simp21 simp221 simp222 simp223 simp231 simp233
      3jca simp333 simp332 simp313 simp32l simp331 cdlemk22-3 syl333anc simp132
      simp232 simp312 simp311 simp32r eqtr4d ) RUOUPUBPUPUQZNIUPZEIUPZUAIUPZURZ
      OIUPZDIUPZAUSZIUPZURZURZFBUPFUBSUTVAUQZNGVBZUAGVBVCZNVDCVEZVFZEXHVFZURZOX
      HVFZDXHVFZXAXHVFZURZURZOGVBZDGVBZVFZXRXFVFZEGVBZXFVFZURZXQYAVFZXAGVBZXRVF
      ZUQZYEYAVFZYEXFVFZXQYEVFZURZURZURZFEOUCVJVBZFXAOUCVJVBZFDOUCVJVBZYMWNWOWP
      WQWSXBURZXEXGXIXJXLURXNYJYIURZYBYDYHURYNYOVCWNWRXCXPYLVGZWOWPWQWNXCXPYLVH
      ZWOWPWQWNXCXPYLVIYMWQWSXBWOWPWQWNXCXPYLVKWSWTXBWNWRXPYLVLWSWTXBWNWRXPYLVM
      VTZXDXEXKXOYLVNZXGXIXJXEXOXDYLVOZYMXIXJXLXGXIXJXEXOXDYLVPZXGXIXJXEXOXDYLV
      QXLXMXNXEXKXDYLVRZVTYMXNYJYIXLXMXNXEXKXDYLVSYHYIYJYCYGXDXPWAYHYIYJYCYGXDX
      PWBVTZYMYBYDYHXSXTYBYGYKXDXPWCYDYFYCYKXDXPWDYHYIYJYCYGXDXPWEVTBCXAEFGHIJK
      LMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNWFWGYMWNWOWTYQXEXGXIXMXLURYRXTXSYFUR
      YPYOVCYSYTWSWTXBWNWRXPYLWHUUAUUBUUCYMXIXMXLUUDXLXMXNXEXKXDYLWIUUEVTUUFYMX
      TXSYFXSXTYBYGYKXDXPWJXSXTYBYGYKXDXPWKYDYFYCYKXDXPWLVTBCXADFGHIJKLMNOPQRST
      UAUBUCUDUEUFUGUHUIUJUKULUMUNWFWGWM $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Eliminate the
       ` ( R `` x ) =/= ( R `` C ) ` requirement from ~ cdlemk23-3 using
       ` ( R `` C ) = ( R `` D ) ` .  (Contributed by NM, 7-Jul-2013.) $)
    cdlemk24-3 $p |- ( ( ( ( K e. HL /\ W e. H )
          /\ ( F e. T /\ D e. T /\ N e. T )
          /\ ( G e. T /\ C e. T /\ x e. T ) )
       /\ ( ( P e. A /\ -. P .<_ W )
          /\ ( ( R ` F ) = ( R ` N ) /\ F =/= ( _I |` B )
             /\ D =/= ( _I |` B ) )
          /\ ( G =/= ( _I |` B ) /\ C =/= ( _I |` B )
             /\ x =/= ( _I |` B ) ) )
       /\ ( ( ( R ` G ) =/= ( R ` C ) /\ ( R ` C ) =/= ( R ` F )
             /\ ( R ` D ) =/= ( R ` F ) )
         /\ ( ( R ` G ) =/= ( R ` D ) /\ ( R ` C ) = ( R ` D ) )
         /\ ( ( R ` x ) =/= ( R ` D ) /\ ( R ` x ) =/= ( R ` F )
             /\ ( R ` G ) =/= ( R ` x ) ) ) )
     -> ( ( D Y G ) ` P ) = ( ( C Y G ) ` P ) ) $=
      ( chlt wcel wa w3a cv wbr wn cfv wceq cid cres wne simp31 simp32l simp331
      co simp32r neeqtrrd jca simp33 3jca cdlemk23-3 syld3an3 ) RUOUPUBPUPUQNIU
      PEIUPUAIUPUROIUPDIUPAUSZIUPURURZFBUPFUBSUTVAUQNGVBZUAGVBVCNVDCVEZVFEWAVFU
      ROWAVFDWAVFVRWAVFURURZOGVBZDGVBZVFWDVTVFEGVBZVTVFURZWCWEVFZWDWEVCZUQZVRGV
      BZWEVFZWJVTVFZWCWJVFZURZURZWFWGWJWDVFZUQZWNURFEOUCVJVBFDOUCVJVBVCVSWBWOUR
      ZWFWQWNVSWBWFWIWNVGWRWGWPWGWHWFWNVSWBVHWRWJWEWDWKWLWMWFWIVSWBVIWGWHWFWNVS
      WBVKVLVMVSWBWFWIWNVNVOABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNVPV
      Q $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Eliminate the
       ` ( R `` C ) = ( R `` D ) ` requirement from ~ cdlemk24-3 .
       (Contributed by NM, 7-Jul-2013.) $)
    cdlemk25-3 $p |- ( ( ( ( K e. HL /\ W e. H )
          /\ ( F e. T /\ D e. T /\ N e. T )
          /\ ( G e. T /\ C e. T /\ x e. T ) )
       /\ ( ( P e. A /\ -. P .<_ W )
          /\ ( ( R ` F ) = ( R ` N ) /\ F =/= ( _I |` B )
             /\ D =/= ( _I |` B ) )
          /\ ( G =/= ( _I |` B ) /\ C =/= ( _I |` B )
             /\ x =/= ( _I |` B ) ) )
       /\ ( ( ( R ` G ) =/= ( R ` C ) /\ ( R ` C ) =/= ( R ` F )
             /\ ( R ` D ) =/= ( R ` F ) )
              /\ ( R ` G ) =/= ( R ` D )
         /\ ( ( R ` x ) =/= ( R ` D ) /\ ( R ` x ) =/= ( R ` F )
             /\ ( R ` G ) =/= ( R ` x ) ) ) )
     -> ( ( D Y G ) ` P ) = ( ( C Y G ) ` P ) ) $=
      ( chlt wcel wa w3a cv wbr wn cfv wceq cid cres wne simpl1 simpl31 simpl32
      simpl2 simpr jca simpl33 cdlemk24-3 syl113anc simp11 simp121 simp122 3jca
      co adantr simp123 simp131 simp132 simp221 simp222 simp223 simp231 simp232
      simp21 simp311 simp312 simp313 cdlemk22-3 pm2.61dane ) RUOUPUBPUPUQZNIUPZ
      EIUPZUAIUPZURZOIUPZDIUPZAUSZIUPZURZURZFBUPFUBSUTVAUQZNGVBZUAGVBVCZNVDCVEZ
      VFZEXJVFZURZOXJVFZDXJVFZXCXJVFZURZURZOGVBZDGVBZVFZXTXHVFZEGVBZXHVFZURZXSY
      CVFZXCGVBZYCVFYGXHVFXSYGVFURZURZURZFEOUCVTVBFDOUCVTVBVCZXTYCYJXTYCVCZUQZX
      FXRYEYFYLUQYHYKXFXRYIYLVGXFXRYIYLVJYEYFYHXFXRYLVHYMYFYLYEYFYHXFXRYLVIYJYL
      VKVLYEYFYHXFXRYLVMABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNVNVOYJX
      TYCVFZUQZWPWQWRURZWSXAXBURZXGXIURZXKXLXNURZXOYAYBURZYDYFYNURYKYJYPYNYJWPW
      QWRWPWTXEXRYIVPWQWRWSWPXEXRYIVQWQWRWSWPXEXRYIVRVSWAYJYRYNYJYQXGXIYJWSXAXB
      WQWRWSWPXEXRYIWBXAXBXDWPWTXRYIWCXAXBXDWPWTXRYIWDVSXFXGXMXQYIWJXIXKXLXGXQX
      FYIWEVSWAYJYSYNYJXKXLXNXIXKXLXGXQXFYIWFXIXKXLXGXQXFYIWGXNXOXPXGXMXFYIWHVS
      WAYJYTYNYJXOYAYBXNXOXPXGXMXFYIWIYAYBYDYFYHXFXRWKYAYBYDYFYHXFXRWLVSWAYOYDY
      FYNYJYDYNYAYBYDYFYHXFXRWMWAYEYFYHXFXRYNVIYJYNVKVSBCDEFGHIJKLMNOPQRSTUAUBU
      CUDUEUFUGUHUIUJUKULUMUNWNVOWO $.

    $d x .<_ $.  $d x A $.  $d x B $.  $d x D $.  $d x F $.  $d x G $.
    $d x H $.  $d x K $.  $d x N $.  $d x P $.  $d x R $.  $d x T $.  $d x Y $.
    $d x W $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
       14-Jul-2013.) $)
    cdlemk26b-3 $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ F =/= ( _I |` B ) /\ N e. T )
            /\ ( G e. T /\ G =/= ( _I |` B )
                /\ ( R ` F ) = ( R ` N ) ) )
        /\ ( P e. A /\ -. P .<_ W ) )
   -> E. x e. T ( ( x =/= ( _I |` B )
          /\ ( R ` x ) =/= ( R ` F )
             /\ ( R ` x ) =/= ( R ` G ) )
         /\ ( x Y G ) e. T ) ) $=
      ( chlt wcel wa cid cres wne w3a cfv wceq wbr wn wrex simpl1 cdlemftr2 syl
      simp3r simp11 simp133 simp131 simp121 simp123 simp3r2 simp3r3 jca simp122
      cv co simp3l simp132 simp3r1 3jca simp2 cdlemkuel-3 syl333anc 3expia expd
      reximdvai mpd ) PUMUNTNUNUOZLGUNZLUPCUQZURZSGUNZUSZMGUNZMWMURZLEUTZSEUTVA
      ZUSZUSZDBUNDTQVBVCUOZUOZAVRZWMURZXEEUTZWSURZXGMEUTZURZUSZAGVDZXKXEMUAVSGU
      NZUOZAGVDXDWKXLWKWPXAXCVECEGANPTWSXIUCUHUIUJVFVGXDXKXNAGXDXEGUNZXKXNXBXCX
      OXKUOZXNXBXCXPUSZXKXMXBXCXOXKVHXQWKWTWQWLXOWOXHXJUOWNWRXFUSXCXMWKWPXAXCXP
      VIWQWRWTWKWPXCXPVJWQWRWTWKWPXCXPVKWLWNWOWKXAXCXPVLXBXCXOXKVTWLWNWOWKXAXCX
      PVMXQXHXJXFXHXJXOXBXCVNXFXHXJXOXBXCVOVPXQWNWRXFWLWNWOWKXAXCXPVQWQWRWTWKWP
      XCXPWAXFXHXJXOXBXCWBWCXBXCXPWDBCXEDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUK
      ULWEWFVPWGWHWIWJ $.

    $d x C $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Eliminate the ` x `
       requirements from ~ cdlemk25-3 .  (Contributed by NM, 10-Jul-2013.) $)
    cdlemk26-3 $p |- ( ( ( ( K e. HL /\ W e. H )
          /\ ( F e. T /\ D e. T /\ N e. T )
          /\ ( G e. T /\ C e. T ) )
       /\ ( ( P e. A /\ -. P .<_ W )
          /\ ( ( R ` F ) = ( R ` N ) /\ F =/= ( _I |` B )
             /\ D =/= ( _I |` B ) )
          /\ ( G =/= ( _I |` B ) /\ C =/= ( _I |` B ) ) )
       /\ ( ( ( R ` G ) =/= ( R ` C ) /\ ( R ` C ) =/= ( R ` F )
             /\ ( R ` D ) =/= ( R ` F ) )
         /\ ( R ` G ) =/= ( R ` D ) ) )
     -> ( ( D Y G ) ` P ) = ( ( C Y G ) ` P ) ) $=
      ( vx chlt wcel wa w3a wbr wn cfv wceq cid cres cv wrex co simp11l simp11r
      wne cdlemftr3 syl2anc simp111 simp112 simp13l 3ad2ant1 simp13r simp2 3jca
      simp121 simp122 simp23l simp23r simp3l simp3r3 simp3r1 simp3r2 cdlemk25-3
      necomd syl333anc rexlimdv3a mpd ) QUOUPZUAOUPZUQZMHUPDHUPTHUPURZNHUPZCHUP
      ZUQZURZEAUPEUARUSUTUQZMFVAZTFVAVBMVCBVDZVJDXCVJURZNXCVJZCXCVJZUQZURZNFVAZ
      CFVAZVJXJXBVJDFVAZXBVJURZXIXKVJZUQZURZUNVEZXCVJZXPFVAZXBVJZXRXIVJZXRXKVJZ
      URZUQZUNHVFZEDNUBVGVAECNUBVGVAVBZXOWMWNYDWMWNWPWSXHXNVHWMWNWPWSXHXNVIBFHU
      NOQUAXBXIXKUDUIUJUKVKVLXOYCYEUNHXOXPHUPZYCURZWOWPWQWRYFURXAXDXEXFXQURXLXM
      YAXSXIXRVJZURYEWOWPWSXHXNYFYCVMWOWPWSXHXNYFYCVNYGWQWRYFXOYFWQYCWQWRWOWPXH
      XNVOVPXOYFWRYCWQWRWOWPXHXNVQVPXOYFYCVRVSXAXDXGWTXNYFYCVTXAXDXGWTXNYFYCWAY
      GXEXFXQXOYFXEYCXEXFXAXDWTXNWBVPXOYFXFYCXEXFXAXDWTXNWCVPXOYFXQYBWDVSXLXMWT
      XHYFYCVOXLXMWTXHYFYCVQYGYAXSYHXSXTYAXQXOYFWEXSXTYAXQXOYFWFYGXRXIXSXTYAXQX
      OYFWGWIVSUNABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMWHWJWKWL $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Eliminate the ` P ` from
       the conclusion of ~ cdlemk25-3 .  (Contributed by NM, 10-Jul-2013.) $)
    cdlemk27-3 $p |- ( ( ( ( K e. HL /\ W e. H )
          /\ ( F e. T /\ D e. T /\ N e. T )
          /\ ( G e. T /\ C e. T ) )
       /\ ( ( P e. A /\ -. P .<_ W )
          /\ ( ( R ` F ) = ( R ` N ) /\ F =/= ( _I |` B )
             /\ D =/= ( _I |` B ) )
          /\ ( G =/= ( _I |` B ) /\ C =/= ( _I |` B ) ) )
       /\ ( ( ( R ` G ) =/= ( R ` C ) /\ ( R ` C ) =/= ( R ` F )
             /\ ( R ` D ) =/= ( R ` F ) )
         /\ ( R ` G ) =/= ( R ` D ) ) )
     -> ( D Y G ) = ( C Y G ) ) $=
      ( chlt wcel wa w3a wbr wn cfv wceq cid cres wne co simp11 simp221 simp13l
      simp12 simp3l3 simp3r necomd jca simp222 simp23l simp223 3jca cdlemkuel-3
      simp21 syl313anc simp121 simp13r simp123 simp3l2 simp3l1 syl333anc cdlemd
      simp23r cdlemk26-3 syl311anc ) QUNUOUAOUOUPZMHUOZDHUOZTHUOZUQZNHUOZCHUOZU
      PZUQZEAUOEUARURUSUPZMFUTZTFUTVAZMVBBVCZVDZDXCVDZUQZNXCVDZCXCVDZUPZUQZNFUT
      ZCFUTZVDZXLXAVDZDFUTZXAVDZUQZXKXOVDZUPZUQZWKDNUBVEZHUOZCNUBVEZHUOZWTEYAUT
      EYCUTVAYAYCVAWKWOWRXJXSVFZXTWKXBWPWOXPXOXKVDZUPXDXGXEUQWTYBYEXBXDXEWTXIWS
      XSVGZWPWQWKWOXJXSVHZWKWOWRXJXSVIXTXPYFXMXNXPXRWSXJVJXTXKXOWSXJXQXRVKVLVMX
      TXDXGXEXBXDXEWTXIWSXSVNZXGXHWTXFWSXSVOZXBXDXEWTXIWSXSVPVQWSWTXFXIXSVSZABD
      EFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVRVTXTWKXBWPWLWQWNXNXLXKVDZUPXD
      XGXHUQWTYDYEYGYHWLWMWNWKWRXJXSWAWPWQWKWOXJXSWBWLWMWNWKWRXJXSWCXTXNYLXMXNX
      PXRWSXJWDXTXKXLXMXNXPXRWSXJWEVLVMXTXDXGXHYIYJXGXHWTXFWSXSWHVQYKABCEFGHIJK
      LMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVRWFYKABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUF
      UGUHUIUJUKULUMWIAEHYAYCOQRUAUEUHUIUJWGWJ $.

    $d a b .<_ $.  $d a b A $.  $d a b z B $.  $d a b z F $.  $d a b z G $.
    $d a b H $.  $d a b K $.  $d a b N $.  $d a b P $.  $d a b z R $.
    $d a b z T $.  $d a b z W $.  $d a b z Y $.  $d a b d e f i j z $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  (Contributed by NM,
       14-Jul-2013.) $)
    cdlemk28-3 $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) /\ N e. T )
         /\ ( ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) ) )
     -> E. z e. T A. b e. T
          ( ( b =/= ( _I |` B )
            /\ ( R ` b ) =/= ( R ` F )
            /\ ( R ` b ) =/= ( R ` G ) ) ->
          z = ( b Y G ) ) ) $=
      ( va chlt wcel wa cid cres wne w3a wbr wn wceq cv co wrex wi wral simp21l
      cfv simp1 simp21r simp23 3jca simp22l simp22r simp3r cdlemk26b-3 syl31anc
      simp3l simp11 3ad2ant1 simp2l simp123 jca simp13l simp13r simp3l1 simp3r1
      simp2r simp3r3 necomd simp3r2 simp3l2 cdlemk27-3 syl332anc 3exp ralrimivv
      simp3l3 weq neeq1 fveq2 neeq1d 3anbi123d oveq1 reusv3 biimpd sylc ) PUOUP
      TNUPUQZLGUPZLURCUSZUTZUQZMGUPZMXLUTZUQZSGUPZVAZDBUPDTQVBVCUQZLEVKZSEVKVDZ
      UQZVAZUBVEZXLUTZYEEVKZYAUTZYGMEVKZUTZVAZYEMUAVFZGUPUQUBGVGZYKUNVEZXLUTZYN
      EVKZYAUTZYPYIUTZVAZUQZYLYNMUAVFZVDZVHZUNGVIUBGVIZYKAVEYLVDVHUBGVIAGVGZYDX
      JXKXMXRVAXOXPYBVAXTYMXJXSYCVLYDXKXMXRXKXMXQXRXJYCVJZXKXMXQXRXJYCVMZXJXNXQ
      XRYCVNVOYDXOXPYBXOXPXNXRXJYCVPZXOXPXNXRXJYCVQZXJXSXTYBVRVOXJXSXTYBWAUBBCD
      EFGHIJKLMNOPQRSTUAUCUDUEUFUGUHUIUJUKULUMVSVTYDUUCUBUNGGYDYEGUPZYNGUPZUQZY
      TUUBYDUULYTVAZXJXKUUJXRVAXOUUKUQXTYBXMYFVAXPYOUQYIYPUTZYQYHVAYIYGUTUUBXJX
      SYCUULYTWBUUMXKUUJXRYDUULXKYTUUFWCYDUUJUUKYTWDXNXQXRXJYCUULYTWEVOUUMXOUUK
      YDUULXOYTUUHWCYDUUJUUKYTWKWFXTYBXJXSUULYTWGUUMYBXMYFXTYBXJXSUULYTWHYDUULX
      MYTUUGWCYFYHYJYSYDUULWIVOUUMXPYOYDUULXPYTUUIWCYOYQYRYKYDUULWJWFUUMUUNYQYH
      UUMYPYIYOYQYRYKYDUULWLWMYOYQYRYKYDUULWNYFYHYJYSYDUULWOVOUUMYGYIYFYHYJYSYD
      UULWTWMBCYNYEDEFGHIJKLMNOPQRSTUAUCUDUEUFUGUHUIUJUKULUMWPWQWRWSYMUUDUUEYKY
      SAUBUNGGYLUUAUBUNXAZYFYOYHYQYJYRYEYNXLXBUUOYGYPYAYEYNEXCZXDUUOYGYPYIUUPXD
      XEYEYNMUAXFXGXHXI $.

    cdlemk3.x $e |- X = ( iota_ z e. T A. b e. T
                ( ( b =/= ( _I |` B )
            /\ ( R ` b ) =/= ( R ` F )
              /\ ( R ` b ) =/= ( R ` G )
               ) -> z = ( b Y G ) ) ) $.

    $d z .<_ $.  $d z A $.  $d z H $.  $d z K $.  $d z N $.  $d z P $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  TODO: fix comment.  Part
       of attempt to simplify hypotheses.  TODO: not needed, is embodied in
       ~ cdlemk34 .  (Contributed by NM, 18-Jul-2013.)
       (New usage is discouraged.) $)
    cdlemk33N $p |- ( ( ( K e. HL /\ W e. H
            /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( F e. T /\ F =/= ( _I |` B ) /\ N e. T )
            /\ ( G e. T /\ G =/= ( _I |` B ) )
            /\ ( P e. A /\ -. P .<_ W ) ) )
       -> X = ( iota_ z e. T A. b e. T
                ( ( b =/= ( _I |` B )
            /\ ( R ` b ) =/= ( R ` F )
              /\ ( R ` b ) =/= ( R ` G )
               ) -> ( z ` P ) = ( ( b Y G ) ` P ) ) ) ) $=
      ( chlt wcel cfv wceq w3a cid cres wne wa wn cv co wi wral crio wb simpl11
      wbr fveq1 simpl12 jca simpl31 simp11 simp12 simp13 simp22l adantr simp211
      simp32 simp213 simp332 simp333 simp212 simp22r simp331 simp23 cdlemkuel-3
      3jca syl3anc simpl23 simpr cdlemd syl311anc ex impbid2 3expia 3expd imp31
      pm5.74d ralbidva riotabidva syl5eq ) PUPUQZTNUQZLEURZSEURUSZUTZLGUQZLVACV
      BZVCZSGUQZUTZMGUQZMXNVCZVDZDBUQDTQVMVEVDZUTZVDZUAUCVFZXNVCZYDEURZXJVCZYFM
      EURVCZUTZAVFZYDMUBVGZUSZVHZUCGVIZAGVJYIDYJURDYKURUSZVHZUCGVIZAGVJUOYCYNYQ
      AGYCYJGUQZVDZYMYPUCGYSYDGUQZVDYIYLYOYCYRYTYIYLYOVKZVHYCYRYTYIUUAXLYBYRYTY
      IUTZUUAXLYBUUBUTZYLYODYJYKVNUUCYOYLUUCYOVDZXHXIVDZYRYKGUQZYAYOYLUUDXHXIXH
      XIXKYBUUBYOVLXHXIXKYBUUBYOVOVPYRYTYIXLYBYOVQUUDUUEXKXRUTZXMYTXPUTZYGYHVDZ
      XOXSYEUTZYAUTZUUFUUCUUGYOUUCUUEXKXRUUCXHXIXHXIXKYBUUBVRXHXIXKYBUUBVSVPXHX
      IXKYBUUBVTXRXSXQYAXLUUBWAWMWBUUCUUHYOUUCXMYTXPXMXOXPXTYAXLUUBWCXLYBYRYTYI
      WDXMXOXPXTYAXLUUBWEWMWBUUCUUKYOUUCUUIUUJYAUUCYGYHYEYGYHYRYTXLYBWFYEYGYHYR
      YTXLYBWGVPUUCXOXSYEXMXOXPXTYAXLUUBWHXRXSXQYAXLUUBWIYEYGYHYRYTXLYBWJWMXLXQ
      XTYAUUBWKWMWBBCYDDEFGHIJKLMNOPQRSTUBUDUEUFUGUHUIUJUKULUMUNWLWNXQXTYAXLUUB
      YOWOUUCYOWPBDGYJYKNPQTUFUIUJUKWQWRWSWTXAXBXCXDXEXFXG $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  TODO: fix comment.  Part
       of attempt to simplify hypotheses.  (Contributed by NM, 18-Jul-2013.) $)
    cdlemk34 $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) /\ N e. T )
         /\ ( ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) ) )
       -> X = ( iota_ z e. T A. b e. T
                ( ( b =/= ( _I |` B )
            /\ ( R ` b ) =/= ( R ` F )
              /\ ( R ` b ) =/= ( R ` G )
               ) -> ( z ` P ) = ( ( P .\/ ( R ` G ) )
              ./\ ( ( ( P .\/ ( R ` b ) )
                     ./\ ( ( N ` P ) .\/ ( R ` ( b o. `' F ) ) ) )
                .\/ ( R ` ( G o. `' b ) ) ) ) ) ) ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn cfv wceq cv co wral crio ccnv ccom
      wi wb fveq1 simpll1 simplr1 simpl1 simpl3r simp22l adantr simp21l simpl23
      3jca simpr2 simpr32 simpr33 jca simp21r simp22r simpr31 simpl3l syl113anc
      cdlemkuel-3 simpr cdlemd syl311anc simp1 simp3r cdlemk32 syl123anc eqeq2d
      ex impbid2 bitrd 3exp2 imp31 pm5.74d ralbidva riotabidva syl5eq ) PUPUQTN
      UQURZLGUQZLUSCUTZVAZURZMGUQZMXNVAZURZSGUQZVBZDBUQDTQVCVDURZLEVEZSEVEVFZUR
      ZVBZUAUCVGZXNVAZYGEVEZYCVAZYIMEVEZVAZVBZAVGZYGMUBVHZVFZVMZUCGVIZAGVJYMDYN
      VEZDYKOVHDYIOVHDSVEYGLVKVLEVEOVHRVHMYGVKVLEVEOVHRVHZVFZVMZUCGVIZAGVJUOYFY
      RUUCAGYFYNGUQZURZYQUUBUCGUUEYGGUQZURYMYPUUAYFUUDUUFYMYPUUAVNZVMYFUUDUUFYM
      UUGYFUUDUUFYMVBZURZYPYSDYOVEZVFZUUAUUIYPUUKDYNYOVOUUIUUKYPUUIUUKURZXLUUDY
      OGUQZYBUUKYPXLYAYEUUHUUKVPUUDUUFYMYFUUKVQUULXLYDXQVBZXMUUFXTVBZYJYLURZXOX
      RYHVBZYBUUMUUIUUNUUKUUIXLYDXQXLYAYEUUHVRYBYDXLYAUUHVSYFXQUUHXQXRXPXTXLYEV
      TWAZWDWAUUIUUOUUKUUIXMUUFXTYFXMUUHXMXOXSXTXLYEWBWAYFUUDUUFYMWEXPXSXTXLYEU
      UHWCWDZWAUUIUUPUUKUUIYJYLYHYJYLUUDUUFYFWFYHYJYLUUDUUFYFWGWHZWAUUIUUQUUKUU
      IXOXRYHYFXOUUHXMXOXSXTXLYEWIWAZYFXRUUHXQXRXPXTXLYEWJWAZYHYJYLUUDUUFYFWKZW
      DWAUUIYBUUKYBYDXLYAUUHWLZWAZBCYGDEFGHIJKLMNOPQRSTUBUDUEUFUGUHUIUJUKULUMUN
      WNWMUVEUUIUUKWOBDGYNYONPQTUFUIUJUKWPWQXCXDUUIUUJYTYSUUIXLYDURZUUOXQUUPXOY
      HXRVBYBUUJYTVFYFUVFUUHYFXLYDXLYAYEWRXLYAYBYDWSWHWAUUSUURUUTUUIXOYHXRUVAUV
      CUVBWDUVDBCDEFGHIJKLMNOPQRSTUBUCUDUEUFUGUHUIUJUKULUMUNWTXAXBXEXFXGXHXIXJX
      K $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  TODO: fix comment.
       (Contributed by NM, 14-Jul-2013.) $)
    cdlemk29-3 $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) /\ N e. T )
         /\ ( ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) ) )
     -> X e. T ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn cfv wceq cv co wral crio wreu wrex
      wi cdlemk28-3 wb simp1 cdlemftr2 reusv1 3syl mpbird riotacl syl eqeltrid
      ) PUPUQTNUQURZLGUQLUSCUTZVAURMGUQMWEVAURSGUQVBZDBUQDTQVCVDURLEVEZSEVEVFUR
      ZVBZUAUCVGZWEVAWJEVEZWGVAWKMEVEZVAVBZAVGWJMUBVHZVFVMUCGVIZAGVJZGUOWIWOAGV
      KZWPGUQWIWQWOAGVLZABCDEFGHIJKLMNOPQRSTUBUCUDUEUFUGUHUIUJUKULUMUNVNWIWDWMU
      CGVLWQWRVOWDWFWHVPCEGUCNPTWGWLUEUJUKULVQWMAUCGGWNVRVSVTWOAGWAWBWC $.
  $}

  ${
    cdlemk4.b $e |- B = ( Base ` K ) $.
    cdlemk4.l $e |- .<_ = ( le ` K ) $.
    cdlemk4.j $e |- .\/ = ( join ` K ) $.
    cdlemk4.m $e |- ./\ = ( meet ` K ) $.
    cdlemk4.a $e |- A = ( Atoms ` K ) $.
    cdlemk4.h $e |- H = ( LHyp ` K ) $.
    cdlemk4.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemk4.r $e |- R = ( ( trL ` K ) ` W ) $.
    cdlemk4.z $e |- Z = ( ( P .\/ ( R ` b ) )
              ./\ ( ( N ` P ) .\/ ( R ` ( b o. `' F ) ) ) ) $.
    cdlemk4.y $e |- Y = ( ( P .\/ ( R ` G ) )
              ./\ ( Z
                .\/ ( R ` ( G o. `' b ) ) ) ) $.
    cdlemk4.x $e |- X = ( iota_ z e. T A. b e. T
                ( ( b =/= ( _I |` B )
            /\ ( R ` b ) =/= ( R ` F )
              /\ ( R ` b ) =/= ( R ` G )
               ) -> ( z ` P ) = Y ) ) $.
    $d b d e f i j z ./\ $.  $d b e i j z .<_ $.  $d b d e f i j z .\/ $.
    $d b i j z A $.  $d b z B $.  $d b d e f i j z F $.  $d b d e f i j z G $.
    $d b i j z H $.  $d b i j z K $.  $d b d e f i j z N $.
    $d b d e f i j z P $.  $d b d e f i j z R $.  $d b d e f i j z T $.
    $d b d e f i j z W $.  $d d b e f i j z $.
    $( Part of proof of Lemma K of [Crawley] p. 118. ~ cdlemk29-3 with shorter
       hypotheses.  (Contributed by NM, 18-Jul-2013.) $)
    cdlemk35 $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) /\ N e. T )
         /\ ( ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) ) )
     -> X e. T ) $=
      ( vd ve vj vf vi chlt wcel wa cid cres wne w3a wbr wn cfv wceq cv co ccnv
      ccom crio cmpt cmpo wi wral cdlemk34 wb oveq1i oveq2i eqtri eqeq2i imbi2i
      eqid ralbii a1i riotabiia eqtr4di cdlemk29-3 eqeltrrd ) KUPUQOIUQURGFUQGU
      SCUTZVAURHFUQHWJVAURNFUQVBDBUQDOLVCVDURGEVEZNEVEVFURVBZSVGZWJVAWMEVEZWKVA
      WNHEVEZVAVBZAVGZWMHUKULFFDUMVGVEDULVGZEVEJVHDUKVGZUNFDUOVGVEDUNVGZEVEJVHD
      NVEZWTGVIZVJEVEJVHMVHVFUOFVKVLZVEVEWRWSVIVJEVEJVHMVHVFUMFVKVMZVHVFVNSFVOA
      FVKZPFWLXEWPDWQVEZDWOJVHZDWNJVHXAWMXBVJEVEJVHMVHZHWMVIVJEVEZJVHZMVHZVFZVN
      ZSFVOZAFVKZPABCDEXCFULUNUOUMGHIJKLMNOXEXDSUKTUAUBUCUDUEUFUGXCWCZXDWCZXEWC
      ZVPPWPXFQVFZVNZSFVOZAFVKXOUJYAXNAFYAXNVQWQFUQXTXMSFXSXLWPQXKXFQXGRXIJVHZM
      VHXKUIYBXJXGMRXHXIJUHVRVSVTWAWBWDWEWFVTWGABCDEXCFULUNUOUMGHIJKLMNOXEXDSUK
      TUAUBUCUDUEUFUGXPXQXRWHWI $.

    $d z Y $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  TODO: fix comment.
       (Contributed by NM, 18-Jul-2013.) $)
    cdlemk36 $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) )
         /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( b e. T /\ ( b =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` F )
            /\ ( R ` b ) =/= ( R ` G ) ) ) )
     -> ( X ` P ) = Y ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn cfv wceq cv wi wral crio eqcomi wb
      simpl1 simpl2 simpl3 simpr1 simpr2 simpr3 syl132anc eqeltrrid cltrn fvexi
      wreu cdlemk35 riotaclbBAD sylibr nfriota1 nfcxfr nfcv nfv nffv nfeq1 nfim
      nfralw nfra1 nfriota nfeq2 fveq1 eqeq1d imbi2d ralbid riota2f syl2anc rsp
      mpbiri syl impd 3impia ) KUKULOIULUMZGFULGUNCUOZUPUMZHFULHXEUPUMZUQZNFULZ
      DBULDOLURUSUMZGEUTZNEUTVAZUQZSVBZFULZXNXEUPXNEUTZXKUPXPHEUTUPUQZUMDPUTZQV
      AZXHXMUMZXOXQXSXTXQXSVCZSFVDZXOYAVCXTYBXQDAVBZUTZQVAZVCZSFVDZAFVEZPVAZPYH
      UJVFXTPFULZYGAFVRZYBYIVGXTXDXFXGXIXJXLYJXDXFXGXMVHXDXFXGXMVIXDXFXGXMVJXHX
      IXJXLVKXHXIXJXLVLXHXIXJXLVMABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJVSVNZX
      TYHFULYKXTYHPFUJYLVOYGAFFOKVPUTUFVQVTWAYGYBAFPAPYHUJYGAFWBWCZYAASFAFWDXQX
      SAXQAWEAXRQADPYMADWDWFWGWHWIYCPVAZYFYASFSYCPSPYHUJYGSAFYFSFWJSFWDWKWCWLYN
      YEXSXQYNYDXRQDYCPWMWNWOWPWQWRWTYASFWSXAXBXC $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  TODO: fix comment.
       (Contributed by NM, 18-Jul-2013.) $)
    cdlemk37 $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) )
         /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( b e. T /\ ( b =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` F )
            /\ ( R ` b ) =/= ( R ` G ) ) ) )
     -> ( X ` P ) .<_ ( P .\/ ( R ` G ) ) ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn wceq cv co cdlemk36 ccnv ccom clat
      cfv simp11l hllatd simp22l simp11 simp13l simp13r trlnidat syl3anc simp3l
      hlatjcl simp3r1 simp21 ltrnat atbase simp12l ltrncnv syl2anc ltrnco trlcl
      syl latjcl latmcl eqeltrid latmle1 eqbrtrid eqbrtrd ) KUKULZOIULZUMZGFULZ
      GUNCUOZUPZUMZHFULZHWRUPZUMZUQZNFULZDBULZDOLURUSZUMZGEVGZNEVGUTZUQZSVAZFUL
      ZXLWRUPZXLEVGZXIUPZXOHEVGZUPZUQZUMZUQZDPVGQDXQJVBZLABCDEFGHIJKLMNOPQRSTUA
      UBUCUDUEUFUGUHUIUJVCYAQYBRHXLVDZVEZEVGZJVBZMVBZYBLUIYAKVFULZYBCULZYFCULZY
      GYBLURYAKWNWOWTXCXKXTVHZVIZYAWNXFXQBULZYIYKXFXGXEXJXDXTVJZYAWPXAXBYMWPWTX
      CXKXTVKZXAXBWPWTXKXTVLZXAXBWPWTXKXTVMBCEFHIKOTUDUEUFUGVNVOBCJKDXQTUBUDVQV
      OYAYHRCULYECULZYJYLYARDXOJVBZDNVGZXLGVDZVEZEVGZJVBZMVBZCUHYAYHYRCULZUUCCU
      LZUUDCULYLYAWNXFXOBULZUUEYKYNYAWPXMXNUUGYOXDXKXMXSVPZXNXPXRXMXDXKVRBCEFXL
      IKOTUDUEUFUGVNVOBCJKDXOTUBUDVQVOYAYHYSCULZUUBCULZUUFYLYAYSBULZUUIYAWPXEXF
      UUKYOXDXEXHXJXTVSYNBDFNIKLOUAUDUEUFVTVOBCYSKTUDWAWGYAWPUUAFULZUUJYOYAWPXM
      YTFULZUULYOUUHYAWPWQUUMYOWQWSWPXCXKXTWBFGIKOUEUFWCWDFXLYTIKOUEUFWEVOCEFUU
      AIKOTUEUFUGWFWDCJKYSUUBTUBWHVOCKMYRUUCTUCWIVOWJYAWPYDFULZYQYOYAWPXAYCFULZ
      UUNYOYPYAWPXMUUOYOUUHFXLIKOUEUFWCWDFHYCIKOUEUFWEVOCEFYDIKOTUEUFUGWFWDCJKR
      YETUBWHVOCKLMYBYFTUAUCWKVOWLWM $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 31, p. 119.  TODO:
       derive more directly with ~ r19.23 ?  (Contributed by NM,
       19-Jul-2013.) $)
    cdlemk38 $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) /\ N e. T )
         /\ ( ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) ) )
     -> ( X ` P ) .<_ ( P .\/ ( R ` G ) ) ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn wceq cv wrex co cdlemftr2 3ad2ant1
      cfv nfv wi wral crio nfcv nfriota nfcxfr nffv nfbr simpl1 simpl21 simpl22
      nfra1 simpl23 simpl3l simpl3r simpr cdlemk37 syl331anc exp32 rexlimd mpd
      ) KUKULOIULUMZGFULGUNCUOZUPUMZHFULHWJUPUMZNFULZUQZDBULDOLURUSUMZGEVFZNEVF
      UTZUMZUQZSVAZWJUPWTEVFZWPUPXAHEVFZUPUQZSFVBZDPVFZDXBJVCZLURZWIWNXDWRCEFSI
      KOWPXBTUEUFUGVDVEWSXCXGSFWSSVGSXEXFLSDPSPXCDAVAVFQUTVHZSFVIZAFVJUJXISAFXH
      SFVSSFVKVLVMSDVKVNSLVKSXFVKVOWSWTFULZXCXGWSXJXCUMZUMWIWKWLWMWOWQXKXGWIWNW
      RXKVPWKWLWMWIWRXKVQWKWLWMWIWRXKVRWKWLWMWIWRXKVTWOWQWIWNXKWAWOWQWIWNXKWBWS
      XKWCABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJWDWEWFWGWH $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 31, p. 119.
       Trace-preserving property of tau, represented by ` X ` .  (Contributed
       by NM, 19-Jul-2013.) $)
    cdlemk39 $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) /\ N e. T )
         /\ ( ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) ) )
     -> ( R ` X ) .<_ ( R ` G ) ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn cfv wceq co simp1l simp3ll simp22l
      simp22r trlnidat syl3anc hlatlej1 cdlemk38 clat wb hllatd atbase cdlemk35
      simp1 syl ltrnat hlatjcl latjle12 syl13anc mpbi2and wi simp1r lhpbase mpd
      latmlem1 simp3l trlval2 trlval5 3brtr4d ) KUKULZOIULZUMZGFULGUNCUOZUPUMZH
      FULZHWOUPZUMNFULZUQZDBULZDOLURUSZUMZGEUTNEUTVAZUMZUQZDDPUTZJVBZOMVBZDHEUT
      ZJVBZOMVBZPEUTZXJLXFXHXKLURZXIXLLURZXFDXKLURZXGXKLURZXNXFWLXAXJBULZXPWLWM
      WTXEVCZXAXBXDWNWTVDZXFWNWQWRXRWNWTXEVPZWQWRWPWSWNXEVEZWQWRWPWSWNXEVFBCEFH
      IKOTUDUEUFUGVGVHZBDXJJKLUAUBUDVIVHABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIU
      JVJXFKVKULZDCULZXGCULZXKCULZXPXQUMXNVLXFKXSVMZXFXAYEXTBCDKTUDVNVQXFXGBULZ
      YFXFWNPFULZXAYIYAABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJVOZXTBDFPIKLOUAU
      DUEUFVRVHZBCXGKTUDVNVQXFWLXAXRYGXSXTYCBCJKDXJTUBUDVSVHZCJKLDXGXKTUAUBVTWA
      WBXFYDXHCULZYGOCULZXNXOWCYHXFWLXAYIYNXSXTYLBCJKDXGTUBUDVSVHYMXFWMYOWLWMWT
      XEWDCIKOTUEWEVQCKLMXHXKOTUAUCWGWAWFXFWNYJXCXMXIVAYAYKWNWTXCXDWHZBDEFPIJKL
      MOUAUBUCUDUEUFUGWIVHXFWNWQXCXJXLVAYAYBYPBDEFHIJKLMOUAUBUCUDUEUFUGWJVHWK
      $.
  $}

  ${
    $d g F $.  $d g N $.  $d g T $.
    cdlemk40.x $e |- X = ( iota_ z e. T ph ) $.
    cdlemk40.u $e |- U = ( g e. T |-> if ( F = N , g , X ) ) $.
    $( TODO: fix comment.  (Contributed by NM, 31-Jul-2013.) $)
    cdlemk40 $p |- ( G e. T
          -> ( U ` G ) = if ( F = N , G , [_ G / g ]_ X ) ) $=
      ( wcel cfv wceq cv cif csb cvv vex crio riotaex eqeltri ifex csbex fvmpts
      mpan2 wsbc csbif sbcg csbvarg ifbieq1d syl5eq eqtrd ) GCLZGDMZEGFHNZEOZIP
      ZQZUPGEGIQZPZUNUSRLUOUSNEGURUPUQIESIABCTRJABCUAUBUCUDEGURCDRKUEUFUNUSUPEG
      UGZEGUQQZUTPVAUPEGUQIUHUNVBUPVCGUTUPEGCUIEGCUJUKULUM $.

    $( TODO: fix comment.  (Contributed by NM, 31-Jul-2013.) $)
    cdlemk40t $p |- ( ( F = N /\ G e. T ) -> ( U ` G ) = G ) $=
      ( wcel wceq cfv csb cif cdlemk40 iftrue sylan9eqr ) GCLFHMZGDNTGEGIOZPGAB
      CDEFGHIJKQTGUARS $.

    $( TODO: fix comment.  (Contributed by NM, 31-Jul-2013.) $)
    cdlemk40f $p |- ( ( F =/= N /\ G e. T ) -> ( U ` G ) = [_ G / g ]_ X ) $=
      ( wcel wne cfv wceq csb cif cdlemk40 ifnefalse sylan9eqr ) GCLFHMGDNFHOGE
      GIPZQUAABCDEFGHIJKRFHGUAST $.
  $}

  ${
    $d g ./\ $.  $d g .\/ $.  $d g G $.  $d g P $.  $d g R $.  $d g T $.
    $d g Z $.  $d g b $.
    cdlemk41.y $e |- Y = ( ( P .\/ ( R ` g ) )
              ./\ ( Z
                .\/ ( R ` ( g o. `' b ) ) ) ) $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  TODO: fix comment.
       (Contributed by NM, 19-Jul-2013.) $)
    cdlemk41 $p |- ( G e. T -> [_ G / g ]_ Y = ( ( P .\/ ( R ` G ) )
              ./\ ( Z
                .\/ ( R ` ( G o. `' b ) ) ) ) ) $=
      ( cfv co cv ccnv ccom wcel nfcvd wceq oveq2d fveq2 fveq2d oveq12d csbiegf
      coeq1 syl5eq ) DEHAEBLZFMZIEJNOZPZBLZFMZGMZCECQDUMRDNZESZHAUNBLZFMZIUNUIP
      ZBLZFMZGMUMKUOUQUHUTULGUOUPUGAFUNEBUATUOUSUKIFUOURUJBUNEUIUEUBTUCUFUD $.
  $}

  ${
    cdlemk5.b $e |- B = ( Base ` K ) $.
    cdlemk5.l $e |- .<_ = ( le ` K ) $.
    cdlemk5.j $e |- .\/ = ( join ` K ) $.
    cdlemk5.m $e |- ./\ = ( meet ` K ) $.
    cdlemk5.a $e |- A = ( Atoms ` K ) $.
    cdlemk5.h $e |- H = ( LHyp ` K ) $.
    cdlemk5.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemk5.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( Lemma for ~ cdlemkfid3N .  (Contributed by NM, 29-Jul-2013.)
       (New usage is discouraged.) $)
    cdlemkfid1N $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( F e. T /\ F =/= ( _I |` B ) /\ G e. T )
        /\ ( ( R ` G ) =/= ( R ` F ) /\ ( P e. A /\ -. P .<_ W ) ) )
    -> ( ( P .\/ ( R ` G ) )
              ./\ ( ( F ` P ) .\/ ( R ` ( G o. `' F ) ) ) ) = ( G ` P ) ) $=
      ( chlt wcel wa cid cres wne w3a cfv wbr wn co ccnv ccom wceq simp1 simp23
      simp3r trljat3 syl3anc simp1l simp21 ltrnat hlatjcom trlcoabs2N syl121anc
      simp3rl trlcocnv oveq2d eqtr3d 3eqtr4d oveq12d trlcl trlcocnvat syl221anc
      syl2anc simp1r simp3l wo ltrnel ltrncnv trlcnv neeqtrrd simp22 ltrncnvnid
      cp0 trlcone syl122anc trlator0 trlle syl21anc ltrnco lhp2at0nle syl322anc
      eqid 2llnma1b syl131anc eqtrd ) JUBUCZMHUCZUDZFEUCZFUEBUFZUGZGEUCZUHZGDUI
      ZFDUIZUGZCAUCZCMKUJUKZUDZUDZUHZCXGIULZCFUIZGFUMZUNZDUIZIULZLULCGUIZXGIULZ
      YAXSIULZLULZYAXNXOYBXTYCLXNXAXEXLXOYBUOXAXFXMUPZXAXBXDXEXMUQZXAXFXIXLURZA
      CDEGHIJKMOPRSTUAUSUTXNXPYAIULZYAXPIULZXTYCXNWSXPAUCZYAAUCZYHYIUOWSWTXFXMV
      AZXNXAXBXJYJYEXAXBXDXEXMVBZXJXKXIXAXFVGZACEFHJKMORSTVCUTXNXAXEXJYKYEYFYNA
      CEGHJKMORSTVCUTZAIJXPYAPRVDUTXNXAXBXEXLXTYHUOYEYMYFYGACDEFGHIJKMOPRSTUAVE
      VFXNYAFGUMUNDUIZIULZYCYIXNYPXSYAIXNXAXBXEYPXSUOYEYMYFDEFGHJMSTUAVHUTVIXNX
      AXEXBXLYQYIUOYEYFYMYGACDEGFHIJKMOPRSTUAVEVFVJVKVLXNWSXGBUCZYKXSAUCZXSYBKU
      JUKZYDYAUOYLXNXAXEYRYEYFBDEGHJMNSTUAVMVPYOXNWSWTXEXBXIYSYLWSWTXFXMVQZYFYM
      XAXFXIXLVRZADEGFHJMRSTUAVNVOZXNXAYKYAMKUJUKUDZXGXSUGZXGAUCXGJWFUIZUOVSZXG
      MKUJZYSXSMKUJZYTYEXNXAXEXLUUDYEYFYGACEGHJKMORSTVTUTXNXAXEXQEUCZXGXQDUIZUG
      XQXCUGZUUEYEYFXNXAXBUUJYEYMEFHJMSTWAVPZXNXGXHUUKUUBXNXAXBUUKXHUOYEYMDEFHJ
      MSTUAWBVPWCXNXAXBXDUULYEYMXAXBXDXEXMWDBEFHJMNSTWEUTBDEGXQHJMNSTUAWGWHXNXA
      XEUUGYEYFADEGHJMUUFUUFWOZRSTUAWIVPXNWSWTXEUUHYLUUAYFDEGHJKMOSTUAWJWKUUCXN
      XAXREUCZUUIYEXNXAXEUUJUUOYEYFUUMEGXQHJMSTWLUTDEXRHJKMOSTUAWJVPAYAXGHIJKXS
      MUUFOPUUNRSWMWNABYAXSIJKLXGNOPQRWPWQWR $.

    cdlemk5.z $e |- Z = ( ( P .\/ ( R ` b ) )
              ./\ ( ( N ` P ) .\/ ( R ` ( b o. `' F ) ) ) ) $.
    $( Lemma for ~ cdlemkid .  (Contributed by NM, 24-Jul-2013.) $)
    cdlemkid1 $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( F e. T /\ N e. T /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( P e. A /\ -. P .<_ W )
            /\ ( b e. T /\ b =/= ( _I |` B ) ) ) )
     -> ( Z .\/ ( R ` b ) ) = ( P .\/ ( R ` b ) ) ) $=
      ( chlt wcel wa cfv wceq w3a wbr wn cv cid cres co ccnv ccom oveq1i simp1l
      simp1 simp3rl simp3rr trlnidat syl3anc simp3ll hlatjcl clat hllatd simp22
      wne atbase syl ltrncl simp21 ltrncnv syl2anc ltrnco trlcl latjcl hlatlej2
      atmod2i1 latj32 simp3l trljat3 oveq1d latjass 3eqtrd latjcom trlcnv eqtrd
      syl131anc syl13anc simp23 oveq2d eqtr4d trljco 3eqtr2d latabs2 syl5eq ) I
      UEUFZMGUFZUGZFEUFZLEUFZFDUHZLDUHZUIZUJZCAUFZCMJUKULZUGZOUMZEUFZXMUNBUOVKZ
      UGZUGZUJZNXMDUHZHUPCXSHUPZCLUHZXMFUQZURZDUHZHUPZKUPZXSHUPZXTNYFXSHUDUSXRY
      GXTYEXSHUPZKUPZXTXTXGHUPZKUPZXTXRXAXSAUFZXTBUFZYEBUFZXSXTJUKZYGYIUIXAXBXI
      XQUTZXRXCXNXOYLXCXIXQVAZXNXOXLXCXIVBZXNXOXLXCXIVCABDEXMGIMPTUAUBUCVDVEZXR
      XAXJYLYMYPXJXKXPXCXIVFZYSABHICXSPRTVGVEZXRIVHUFZYABUFZYDBUFZYNXRIYPVIZXRX
      CXECBUFZUUCYQXCXDXEXHXQVJZXRXJUUFYTABCIPTVLVMZBELGIUEMCPUAUBVNVEZXRXCYCEU
      FZUUDYQXRXCXNYBEUFZUUJYQYRXRXCXDUUKYQXCXDXEXHXQVOZEFGIMUAUBVPVQZEXMYBGIMU
      AUBVRVEBDEYCGIMPUAUBUCVSVQZBHIYAYDPRVTVEXRXAXJYLYOYPYTYSACXSHIJQRTWAVEABX
      SHIJKXTYEPQRSTWBWLXRYJYHXTKXRYJYAXGXSHUPZHUPZYHXRYJCXGHUPZXSHUPZYAXGHUPZX
      SHUPZUUPXRUUBUUFXSBUFZXGBUFZYJUURUIUUEUUHXRYLUVAYSABXSIPTVLVMZXRXCXEUVBYQ
      UUGBDELGIMPUAUBUCVSVQZBHICXSXGPRWCWMXRUUQUUSXSHXRXCXEXLUUQUUSUIYQUUGXCXIX
      LXPWDACDELGHIJMQRTUAUBUCWEVEWFXRUUBUUCUVBUVAUUTUUPUIUUEUUIUVDUVCBHIYAXGXS
      PRWGWMWHXRYHYAYDXSHUPZHUPZUUPXRUUBUUCUUDUVAYHUVFUIUUEUUIUUNUVCBHIYAYDXSPR
      WGWMXRUUOUVEYAHXRUUOXSYBDUHZHUPZXSYDHUPZUVEXRUUOXSXGHUPZUVHXRUUBUVBUVAUUO
      UVJUIUUEUVDUVCBHIXGXSPRWIVEXRUVGXGXSHXRUVGXFXGXRXCXDUVGXFUIYQUULDEFGIMUAU
      BUCWJVQXCXDXEXHXQWNWKWOWPXRXCXNUUKUVIUVHUIYQYRUUMDEXMYBGHIMRUAUBUCWQVEXRU
      UBUVAUUDUVIUVEUIUUEUVCUUNBHIXSYDPRWIVEWRWOWPWPWOXRUUBYMUVBYKXTUIUUEUUAUVD
      BHIKXTXGPRSWSVEWRWT $.

    $( Lemma for ~ cdlemkfid3N .  (Contributed by NM, 29-Jul-2013.)
       (New usage is discouraged.) $)
    cdlemkfid2N $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F = N )
        /\ ( F e. T /\ F =/= ( _I |` B ) /\ b e. T )
        /\ ( ( R ` b ) =/= ( R ` F ) /\ ( P e. A /\ -. P .<_ W ) ) )
    -> Z = ( b ` P ) ) $=
      ( chlt wcel wa wceq cid cres wne cv w3a cfv wn co ccnv ccom simp1r fveq1d
      wbr oveq1d oveq2d cdlemkfid1N 3adant1r eqtr3d syl5eq ) IUEUFMGUFUGZFLUHZU
      GFEUFFUIBUJUKOULZEUFUMZVJDUNZFDUNUKCAUFCMJVAUOUGUGZUMZNCVLHUPZCLUNZVJFUQU
      RDUNZHUPZKUPZCVJUNZUDVNVOCFUNZVQHUPZKUPZVSVTVNWBVRVOKVNWAVPVQHVNCFLVHVIVK
      VMUSUTVBVCVHVKVMWCVTUHVIABCDEFVJGHIJKMPQRSTUAUBUCVDVEVFVG $.

    cdlemk5.y $e |- Y = ( ( P .\/ ( R ` g ) )
              ./\ ( Z .\/ ( R ` ( g o. `' b ) ) ) ) $.
    $d g ./\ $.  $d g .\/ $.  $d g B $.  $d g P $.  $d g R $.  $d g T $.
    $d g Z $.  $d g b $.
    $( Lemma for ~ cdlemkid .  (Contributed by NM, 24-Jul-2013.) $)
    cdlemkid2 $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( F e. T /\ N e. T /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( P e. A /\ -. P .<_ W ) /\ G = ( _I |` B )
            /\ ( b e. T /\ b =/= ( _I |` B ) ) ) )
     -> [_ G / g ]_ Y = P ) $=
      ( chlt wcel wa cfv wceq w3a wbr wn cid cres cv wne simp32 csbeq1d co ccnv
      csb ccom idltrn 3ad2ant1 cdlemk41 syl cp0 eqid trlid0 oveq2d hlol simp31l
      col simp1l atbase olj01 syl2anc eqtrd wf1o wf simp33l ltrncnv ltrn1o f1of
      simp1 fcoi2 3syl fveq2d trlcnv simp31 jca cdlemkid1 syld3an3 oveq12d clat
      simp33 hllatd trlcl latabs2 syl3anc ) KUIUJZOIUJZUKZGEUJNEUJGDULNDULUMUNZ
      CAUJZCOLUOUPZUKZHUQBURZUMZRUSZEUJZXNXLUTZUKZUNZUNZFHPVEFXLPVEZCXSFHXLPXGX
      HXKXMXQVAVBXSXTCXLDULZJVCZQXLXNVDZVFZDULZJVCZMVCZCXSXLEUJZXTYGUMXGXHYHXRB
      EIKOSUDUEVGVHCDEFXLJMPQRUHVIVJXSYGCCXNDULZJVCZMVCZCXSYBCYFYJMXSYBCKVKULZJ
      VCZCXSYAYLCJXGXHYAYLUMXRBDIKOYLSYLVLZUDUFVMVHVNXSKVQUJZCBUJZYMCUMXSXEYOXE
      XFXHXRVRZKVOVJXSXIYPXIXJXMXQXGXHVPABCKSUCVSVJZBJKCYLSUAYNVTWAWBXSYFQYIJVC
      ZYJXSYEYIQJXSYEYCDULZYIXSYDYCDXSBBYCWCZBBYCWDYDYCUMXSXGYCEUJZUUAXGXHXRWIZ
      XSXGXOUUBUUCXOXPXKXMXGXHWEZEXNIKOUDUEWFWABEYCIKUIOSUDUEWGWABBYCWHBBYCWJWK
      WLXSXGXOYTYIUMUUCUUDDEXNIKOUDUEUFWMWAWBVNXGXHXRXKXQUKYSYJUMXSXKXQXGXHXKXM
      XQWNXGXHXKXMXQWTWOABCDEGIJKLMNOQRSTUAUBUCUDUEUFUGWPWQWBWRXSKWSUJYPYIBUJZY
      KCUMXSKYQXAYRXSXGXOUUEUUCUUDBDEXNIKOSUDUEUFXBWABJKMCYISUAUBXCXDWBWBWB $.

    $d g G $.
    $( TODO: is this useful or should it be deleted?  (Contributed by NM,
       29-Jul-2013.)  (New usage is discouraged.) $)
    cdlemkfid3N $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F = N )
        /\ ( ( F e. T /\ F =/= ( _I |` B ) ) /\ G e. T
              /\ ( b e. T /\ b =/= ( _I |` B ) ) )
        /\ ( ( R ` b ) =/= ( R ` F ) /\ ( R ` b ) =/= ( R ` G )
             /\ ( P e. A /\ -. P .<_ W ) ) )
    -> [_ G / g ]_ Y = ( G ` P ) ) $=
      ( chlt wcel wa wceq cid cres wne cv w3a cfv wbr wn csb ccnv ccom cdlemk41
      co simp22 syl simp21l simp21r simp23l simp31 simp33 cdlemkfid2N syl132anc
      simp1 oveq1d oveq2d simp1l simp23r simp32 necomd cdlemkfid1N 3eqtrd ) KUI
      UJOIUJUKZGNULZUKZGEUJZGUMBUNZUOZUKZHEUJZRUPZEUJZWLWHUOZUKZUQZWLDURZGDURUO
      ZWQHDURZUOZCAUJCOLUSUTUKZUQZUQZFHPVAZCWSJVEZQHWLVBVCDURZJVEZMVEZXECWLURZX
      FJVEZMVEZCHURZXCWKXDXHULWFWJWKWOXBVFZCDEFHJMPQRUHVDVGXCXGXJXEMXCQXIXFJXCW
      FWGWIWMWRXAQXIULWFWPXBVOWGWIWKWOWFXBVHWGWIWKWOWFXBVIWMWNWJWKWFXBVJZWFWPWR
      WTXAVKWFWPWRWTXAVLZABCDEGIJKLMNOQRSTUAUBUCUDUEUFUGVMVNVPVQXCWDWMWNWKWSWQU
      OXAXKXLULWDWEWPXBVRXNWMWNWJWKWFXBVSXMXCWQWSWFWPWRWTXAVTWAXOABCDEWLHIJKLMO
      STUAUBUCUDUEUFWBVNWC $.

    ${
      cdlemk5b.s $e |- S = ( f e. T |-> ( iota_ i e. T
          ( i ` P ) = ( ( P .\/ ( R ` f ) )
                ./\ ( ( N ` P ) .\/ ( R ` ( f o. `' F ) ) ) ) ) ) $.
      cdlemk5b.u1 $e |- V = ( d e. T , e e. T
            |-> ( iota_ j e. T
          ( j ` P ) = ( ( P .\/ ( R ` e ) )
                ./\ ( ( ( S ` d ) ` P )
                  .\/ ( R ` ( e o. `' d ) ) ) ) ) ) $.
      $d g d e f i j ./\ $.  $d i j .<_ $.  $d g d e f i j .\/ $.  $d i j A $.
      $d f i j F $.  $d g d e j G $.  $d i j H $.  $d i j K $.  $d f i j N $.
      $d g d e f i j P $.  $d g d e f i j R $.  $d b d e j S $.
      $d g d e f i j T $.  $d d e f i j W $.  $d g Z $.  $d g d e f i j b $.
      $( Part of proof of Lemma K of [Crawley] p. 118.  TODO: clean up
         ` ( b Y G ) ` stuff. ` V ` represents ` Y ` in ~ cdlemk31 .
         (Contributed by NM, 21-Jul-2013.) $)
      cdlemky $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( F e. T /\ F =/= ( _I |` B ) )
              /\ ( G e. T /\ G =/= ( _I |` B ) ) )
           /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( b e. T /\ ( b =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` F )
            /\ ( R ` b ) =/= ( R ` G ) ) ) )
     -> [_ G / g ]_ Y = ( ( b V G ) ` P ) ) $=
        ( chlt wcel wa cid cres wne w3a wbr wn cfv wceq cv ccnv ccom csb simp11
        co simp23 simp12l simp3l simp21 simp3r2 simp12r simp3r1 simp22 cdlemk30
        syl233anc eqtr4di oveq1d oveq2d 3jca simp13l simp3r3 cdlemk31 syl223anc
        jca simp13r cdlemk41 syl 3eqtr4rd ) PURUSUANUSUTZLFUSZLVABVBZVCZUTZMFUS
        ZMWTVCZUTZVDZSFUSZCAUSCUAQVEVFUTZLDVGZSDVGVHZVDZUDVIZFUSZXLWTVCZXLDVGZX
        IVCZXOMDVGZVCZVDZUTZVDZCXQOVNZCXLEVGVGZMXLVJVKDVGZOVNZRVNZYBUCYDOVNZRVN
        ZCXLMTVNVGZIMUBVLZYAYEYGYBRYAYCUCYDOYAYCCXOOVNCSVGXLLVJVKDVGOVNRVNZUCYA
        WRXJWSXMXGXPXAXNUTXHYCYKVHWRXBXEXKXTVMZXFXGXHXJXTVOZWSXAWRXEXKXTVPZXFXK
        XMXSVQZXFXGXHXJXTVRZXNXPXRXMXFXKVSZYAXAXNWSXAWRXEXKXTVTZXNXPXRXMXFXKWAZ
        WMXFXGXHXJXTWBZABCDEFHJLNOPQRSUAUDUFUGUHUIUJUKULUMUPWCWDUNWEWFWGYAWRXJW
        SXMXGVDXCXPXRUTXAXNXDVDXHYIYFVHYLYMYAWSXMXGYNYOYPWHXCXDWRXBXKXTWIZYAXPX
        RYQXNXPXRXMXFXKWJWMYAXAXNXDYRYSXCXDWRXBXKXTWNWHYTABCDEFGHJKLMNOPQRSUATU
        DUEUFUGUHUIUJUKULUMUPUQWKWLYAXCYJYHVHUUACDFIMORUBUCUDUOWOWPWQ $.

      $d d Q $.  $d e Q $.
      cdlemk5.o2 $e |- Q = ( S ` b ) $.
      cdlemk5.u2 $e |- C = ( e e. T |-> ( iota_ j e. T
          ( j ` P ) = ( ( P .\/ ( R ` e ) )
                ./\ ( ( Q ` P ) .\/ ( R ` ( e o. `' b ) ) ) ) ) ) $.
      $( Convert between function and explicit forms. ` C ` represents ` Z ` in
         ~ cdlemkuu .  TODO:  Clean all this up.  (Contributed by NM,
         21-Jul-2013.) $)
      cdlemkyu $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( F e. T /\ F =/= ( _I |` B ) )
              /\ ( G e. T /\ G =/= ( _I |` B ) ) )
           /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( b e. T /\ ( b =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` F )
            /\ ( R ` b ) =/= ( R ` G ) ) ) )
     -> [_ G / g ]_ Y = ( ( C ` G ) ` P ) ) $=
        ( chlt wcel wa cid cres wne w3a wbr cfv wceq csb cdlemky simp3l simp13l
        wn cv co cdlemkuu syl2anc fveq1d eqtrd ) RVBVCUCPVCVDZNHVCNVEBVFZVGVDZO
        HVCZOWDVGZVDVHZUAHVCDAVCDUCSVIVPVDNFVJZUAFVJVKVHZUFVQZHVCZWKWDVGWKFVJZW
        IVGWMOFVJVGVHZVDZVHZKOUDVLDWKOUBVRZVJDOCVJZVJABDFGHIJKLMNOPQRSTUAUBUCUD
        UEUFUGUHUIUJUKULUMUNUOUPUQURUSVMWPDWQWRWPWLWFWQWRVKWHWJWLWNVNWFWGWCWEWJ
        WOVOABWKDEFGHIJLMNOPQRSTUAUCUBCUGUHUIUJUKULUMUNUOURUSUTVAVSVTWAWB $.
    $}

    ${
      $d g d e f i j ./\ $.  $d i j .<_ $.  $d g d e f i j .\/ $.  $d i j A $.
      $d f i j F $.  $d g d e j G $.  $d i j H $.  $d i j K $.  $d f i j N $.
      $d g d e f i j P $.  $d g d e f i j R $.  $d b d e j S $.
      $d g d e f i j T $.  $d d e f i j W $.  $d g Z $.  $d g d e f i j b $.
      cdlemk5c.s $e |- S = ( f e. T |-> ( iota_ i e. T
          ( i ` P ) = ( ( P .\/ ( R ` f ) )
                ./\ ( ( N ` P ) .\/ ( R ` ( f o. `' F ) ) ) ) ) ) $.
      cdlemk5a.u2 $e |- C = ( e e. T |-> ( iota_ j e. T
          ( j ` P ) = ( ( P .\/ ( R ` e ) )
                ./\ ( ( ( S ` b ) ` P ) .\/ ( R ` ( e o. `' b ) ) ) ) ) ) $.
      $( ~ cdlemkyu with some hypotheses eliminated.  TODO:  Clean all this up.
         (Contributed by NM, 21-Jul-2013.) $)
      cdlemkyuu $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( F e. T /\ F =/= ( _I |` B ) )
              /\ ( G e. T /\ G =/= ( _I |` B ) ) )
           /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( b e. T /\ ( b =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` F )
            /\ ( R ` b ) =/= ( R ` G ) ) ) )
     -> [_ G / g ]_ Y = ( ( C ` G ) ` P ) ) $=
        ( vd cv cfv co ccnv ccom wceq crio cmpo eqid cdlemkyu ) ABCDUDURFUSZEFG
        HIJKLMNOPQRSTUQHGGDLURUSDHURZEUSPUTDUQURZFUSUSVIVJVAVBEUSPUTSUTVCLGVDVE
        ZUAUBUCUDUQUEUFUGUHUIUJUKULUMUNUOVKVFVHVFUPVG $.

      $d e F $.  $d e g j I $.
      $( Part of proof of Lemma K of [Crawley] p. 118.  Lemma for Eq. 5,
         p. 119. ` G ` , ` I ` stand for g, h.  TODO: fix comment.
         (Contributed by NM, 21-Jul-2013.) $)
      cdlemk11ta $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( F e. T /\ F =/= ( _I |` B ) )
              /\ ( G e. T /\ G =/= ( _I |` B ) ) )
           /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
           /\ ( b e. T /\ ( b =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` F )
                  /\ ( R ` b ) =/= ( R ` G ) )
              /\ ( I e. T /\ I =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` I ) ) ) )
         -> [_ G / g ]_ Y
                .<_ ( [_ I / g ]_ Y .\/ ( R ` ( I o. `' G ) ) ) ) $=
        ( chlt wcel wa cid cres wne w3a wbr wn cfv wceq cv ccnv ccom csb simp11
        co simp12l simp31 simp21 simp13l simp331 simp22 simp12r simp321 simp13r
        3jca simp23 simp332 simp322 simp323 necomd eqid cdlemk11u syl333anc jca
        simp333 simp32 cdlemkyuu syld3an3 simp12 simp2 syl312anc oveq1d 3brtr4d
        ) RURUSUBOUSUTZMGUSZMVABVBZVCZUTZNGUSZNXEVCZUTZVDZUAGUSZDAUSDUBSVEVFUTZ
        MEVGZUAEVGVHZVDZUEVIZGUSZXQXEVCZXQEVGZXNVCZXTNEVGZVCZVDZPGUSZPXEVCZXTPE
        VGZVCZVDZVDZVDZDNCVGVGZDPCVGVGZPNVJVKEVGZQVNZJNUCVLZJPUCVLZYNQVNSYKXCXD
        XRXLXHYEVDXMXOXFXSXIVDYFYAYBXTVCZYGXTVCZVDYLYOSVEXCXGXJXPYJVMZXDXFXCXJX
        PYJVOXKXPXRYDYIVPZYKXLXHYEXKXLXMXOYJVQXHXIXCXGXPYJVRYEYFYHXRYDXKXPVSZWD
        XKXLXMXOYJVTXKXLXMXOYJWEYKXFXSXIXDXFXCXJXPYJWAXSYAYCXRYIXKXPWBZXHXIXCXG
        XPYJWCWDYEYFYHXRYDXKXPWFZYKYAYRYSXSYAYCXRYIXKXPWGZYKXTYBXSYAYCXRYIXKXPW
        HWIYKXTYGYEYFYHXRYDXKXPWNZWIWDABXQDEFGCHIKLMNOQRSTUAXQFVGZDNVGDPVGQVNNX
        QVJZVKEVGPUUHVKEVGQVNTVNZUBPUFUGUHUIUJUKULUMUPUUGWJUQUUIWJWKWLXKXPYJXRY
        DUTYPYLVHYKXRYDUUAXKXPXRYDYIWOWMABCDEFGHIJKLMNOQRSTUAUBUCUDUEUFUGUHUIUJ
        UKULUMUNUOUPUQWPWQYKYQYMYNQYKXCXGYEYFUTXPXRXSYAYHVDYQYMVHYTXCXGXJXPYJWR
        YKYEYFUUBUUDWMXKXPYJWSUUAYKXSYAYHUUCUUEUUFWDABCDEFGHIJKLMPOQRSTUAUBUCUD
        UEUFUGUHUIUJUKULUMUNUOUPUQWPWTXAXB $.

      $d g F $.
      $( Lemma for ~ cdlemk19y .  (Contributed by NM, 30-Jul-2013.) $)
      cdlemk19ylem $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( F e. T /\ F =/= ( _I |` B ) ) )
           /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
           /\ ( b e. T /\ ( b =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` F ) ) ) )
     -> [_ F / g ]_ Y = ( N ` P ) ) $=
        ( chlt wcel wa cid cres wne wbr wn cfv wceq w3a csb simp1l simp1r simp2
        cv simp3l simp3rl simp3rr 3jca cdlemkyuu syl312anc simp1rl simp1rr eqid
        cdlemk19 syl313anc fveq1d eqtrd ) PUPUQTNUQURZMGUQZMUSBUTZVAZURZURZSGUQ
        DAUQDTQVBVCURMEVDZSEVDVEVFZUCVKZGUQZWMWGVAZWMEVDWKVAZURZURZVFZJMUAVGZDM
        CVDZVDZDSVDWSWEWIWIWLWNWOWPWPVFWTXBVEWEWIWLWRVHZWEWIWLWRVIZXDWJWLWRVJZW
        JWLWNWQVLZWSWOWPWPWOWPWNWJWLVMZWOWPWNWJWLVNZXHVOABCDEFGHIJKLMMNOPQRSTUA
        UBUCUDUEUFUGUHUIUJUKULUMUNUOVPVQWSDXASWSWEWFWNWLWHWOWPXASVEXCWFWHWEWLWR
        VRXFXEWFWHWEWLWRVSXGXHABWMDEFGCHIKLMNOPQRSWMFVDZTUDUEUFUGUHUIUJUKUNXIVT
        UOWAWBWCWD $.
    $}

    ${
      $d g e f i j ./\ $.  $d i j .<_ $.  $d g e f i j .\/ $.  $d i j A $.
      $d f i j F $.  $d g e j G $.  $d i j H $.  $d i j K $.  $d f i j N $.
      $d g e f i j P $.  $d g e f i j R $.  $d g e f i j T $.  $d e f i j W $.
      $d g Z $.  $d g e f i j b $.  $d e F $.  $d e g j I $.  $d b ./\ $.
      $d b .\/ $.  $d b F $.  $d b e N $.  $d b P $.  $d b R $.  $d b T $.
      $( Part of proof of Lemma K of [Crawley] p. 118.  Lemma for Eq. 5,
         p. 119. ` G ` , ` I ` stand for g, h. ~ cdlemk11ta with hypotheses
         removed.  TODO:  Can this be proved directly with no quantification?
         (Contributed by NM, 21-Jul-2013.) $)
      cdlemk11tb $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( F e. T /\ F =/= ( _I |` B ) )
              /\ ( G e. T /\ G =/= ( _I |` B ) ) )
           /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
           /\ ( b e. T /\ ( b =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` F )
                /\ ( R ` b ) =/= ( R ` G ) )
            /\ ( I e. T /\ I =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` I ) ) ) )
       -> [_ G / g ]_ Y
              .<_ ( [_ I / g ]_ Y .\/ ( R ` ( I o. `' G ) ) ) ) $=
        ( ve vj vf vi cv cfv co ccnv ccom wceq crio cmpt eqid cdlemk11ta ) ABUJ
        ECUKUNUOCUJUNZDUOKUPCSUNZULECUMUNUOCULUNZDUOKUPCOUOVFGUQURDUOKUPNUPUSUM
        EUTVAZUOUOVDVEUQURDUOKUPNUPUSUKEUTVAZCDVGEUJULFUMUKGHIJKLMNOPQRSTUAUBUC
        UDUEUFUGUHUIVGVBVHVBVC $.

      $d g F $.
      $( ~ cdlemk19 with simpler hypotheses.  TODO:  Clean all this up.
         (Contributed by NM, 30-Jul-2013.) $)
      cdlemk19y $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( F e. T /\ F =/= ( _I |` B ) ) )
           /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
           /\ ( b e. T /\ ( b =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` F ) ) ) )
     -> [_ F / g ]_ Y = ( N ` P ) ) $=
        ( ve vj vf vi cv cfv co ccnv ccom wceq crio cmpt eqid cdlemk19ylem ) AB
        UHECUIULUMCUHULZDUMIUNCQULZUJECUKULUMCUJULZDUMIUNCMUMVDGUOUPDUMIUNLUNUQ
        UKEURUSZUMUMVBVCUOUPDUMIUNLUNUQUIEURUSZCDVEEUHUJFUKUIGHIJKLMNOPQRSTUAUB
        UCUDUEUFUGVEUTVFUTVA $.
    $}

    cdlemk5.x $e |- X = ( iota_ z e. T A. b e. T
                ( ( b =/= ( _I |` B )
            /\ ( R ` b ) =/= ( R ` F )
              /\ ( R ` b ) =/= ( R ` g )
               ) -> ( z ` P ) = Y ) ) $.
    $d b z ./\ $.  $d b g z .<_ $.  $d b z .\/ $.  $d b g z A $.  $d b g z B $.
    $d b g z F $.  $d g z G $.  $d b g z H $.  $d b g z K $.  $d b g z N $.
    $d b g z P $.  $d b g z R $.  $d b g z T $.  $d b g z W $.  $d z Y $.
    $d b G $.  $d b I $.
    $( Lemma for ~ cdlemkid .  (Contributed by NM, 25-Jul-2013.)
       (New usage is discouraged.) $)
    cdlemkid3N $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( F e. T /\ N e. T /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( P e. A /\ -. P .<_ W ) /\ G = ( _I |` B ) ) )
     -> [_ G / g ]_ X = ( iota_ z e. T A. b e. T
                ( ( b =/= ( _I |` B )
            /\ ( R ` b ) =/= ( R ` F )
              /\ ( R ` b ) =/= ( R ` G )
               ) -> ( z ` P ) = P ) ) ) $=
      ( chlt wcel wa cfv wceq w3a wbr wn cid cres csb cv wne wral simp3r idltrn
      wi crio 3ad2ant1 eqeltrd wsbc csbeq2i csbriota syl5eq sbcralg sbcimg sbcg
      a1i sbc3an sbcne12 csbconstg csbfv neeq12d syl5bb 3anbi123d sbceq2g bitrd
      imbi12d ralbidv riotabidv eqtrd syl simp11 simp12 simp13l simp2 cdlemkid2
      simp13r simp31 jca syl113anc 3expa eqeq2d pm5.74da ralbidva ) LULUMPJUMUN
      ZHFUMOFUMHEUOZOEUOUPUQZDBUMDPMURUSUNZIUTCVAZUPZUNZUQZGIQVBZTVCZXKVDZXPEUO
      ZXHVDZXRIEUOZVDZUQZDAVCUOZGIRVBZUPZVHZTFVEZAFVIZYBYCDUPZVHZTFVEZAFVIXNIFU
      MZXOYHUPXNIXKFXGXIXJXLVFXGXIXKFUMXMCFJLPUAUFUGVGVJVKYLXOXQXSXRGVCEUOZVDZU
      QZYCRUPZVHZTFVEZGIVLZAFVIZYHYLXOGIYRAFVIZVBZYTGIQUUAUKVMUUBYTUPYLYRGAIFVN
      VSVOYLYSYGAFYLYSYQGIVLZTFVEYGYQGTIFFVPYLUUCYFTFYLUUCYOGIVLZYPGIVLZVHYFYOY
      PGIFVQYLUUDYBUUEYEUUDXQGIVLZXSGIVLZYNGIVLZUQYLYBXQXSYNGIVTYLUUFXQUUGXSUUH
      YAXQGIFVRXSGIFVRUUHGIXRVBZGIYMVBZVDYLYAGIXRYMWAYLUUIXRUUJXTGIXRFWBUUJXTUP
      YLGIEWCVSWDWEWFWEGIYCRFWGWIWHWJWHWKWLWMXNYGYKAFXNYFYJTFXNXPFUMZUNZYBYEYIU
      ULYBUNYDDYCXNUUKYBYDDUPZXNUUKYBUQZXGXIXJXLUUKXQUNUUMXGXIXMUUKYBWNXGXIXMUU
      KYBWOXJXLXGXIUUKYBWPXJXLXGXIUUKYBWSUUNUUKXQXNUUKYBWQXNUUKXQXSYAWTXABCDEFG
      HIJKLMNOPRSTUAUBUCUDUEUFUGUHUIUJWRXBXCXDXEXFWKWL $.

    $( Lemma for ~ cdlemkid .  (Contributed by NM, 25-Jul-2013.) $)
    cdlemkid4 $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( F e. T /\ N e. T /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( P e. A /\ -. P .<_ W ) /\ G = ( _I |` B ) ) )
     -> [_ G / g ]_ X = ( iota_ z e. T A. b e. T
                ( ( b =/= ( _I |` B )
            /\ ( R ` b ) =/= ( R ` F )
              /\ ( R ` b ) =/= ( R ` G )
               ) -> z = ( _I |` B ) ) ) ) $=
      ( chlt wcel wa cfv wceq w3a wbr wn cid cres csb cv wne wral simp3r idltrn
      wi crio 3ad2ant1 eqeltrd csbeq2i csbriota eqtri a1i sbcralg sbcimg sbc3an
      wsbc sbcg sbcne12 csbconstg csbfv neeq12d 3anbi123d sbceq2g imbi12d bitrd
      syl5bb ralbidv riotabidv eqtrd syl simpl1 simpl3l simpl3r simprlr simprr1
      wb simpl2 cdlemkid2 syl113anc eqeq2d simprll ltrnideq syl3anc exp44 imp41
      jca bitr4d pm5.74da ralbidva riotabidva ) LULUMPJUMUNZHFUMOFUMHEUOZOEUOUP
      UQZDBUMDPMURUSUNZIUTCVAZUPZUNZUQZGIQVBZTVCZXRVDZYCEUOZXOVDZYEIEUOZVDZUQZD
      AVCZUOZGIRVBZUPZVHZTFVEZAFVIZYIYJXRUPZVHZTFVEZAFVIYAIFUMZYBYPUPYAIXRFXNXP
      XQXSVFXNXPXRFUMXTCFJLPUAUFUGVGVJVKYTYBYDYFYEGVCEUOZVDZUQZYKRUPZVHZTFVEZGI
      VSZAFVIZYPYBUUHUPYTYBGIUUFAFVIZVBUUHGIQUUIUKVLUUFGAIFVMVNVOYTUUGYOAFYTUUG
      UUEGIVSZTFVEYOUUEGTIFFVPYTUUJYNTFYTUUJUUCGIVSZUUDGIVSZVHYNUUCUUDGIFVQYTUU
      KYIUULYMUUKYDGIVSZYFGIVSZUUBGIVSZUQYTYIYDYFUUBGIVRYTUUMYDUUNYFUUOYHYDGIFV
      TYFGIFVTUUOGIYEVBZGIUUAVBZVDYTYHGIYEUUAWAYTUUPYEUUQYGGIYEFWBUUQYGUPYTGIEW
      CVOWDWIWEWIGIYKRFWFWGWHWJWHWKWLWMYAYOYSAFYAYJFUMZUNZYNYRTFUUSYCFUMZUNYIYM
      YQYAUURUUTYIYMYQWSZYAUURUUTYIUVAYAUURUUTUNZYIUNZUNZYMYKDUPZYQUVDYLDYKUVDX
      NXPXQXSUUTYDUNYLDUPXNXPXTUVCWNZXNXPXTUVCWTXQXSXNXPUVCWOZXQXSXNXPUVCWPUVDU
      UTYDYAUURUUTYIWQYDYFYHUVBYAWRXIBCDEFGHIJKLMNOPRSTUAUBUCUDUEUFUGUHUIUJXAXB
      XCUVDXNUURXQYQUVEWSUVFYAUURUUTYIXDUVGBCDFYJJLMPUAUBUEUFUGXEXFXJXGXHXKXLXM
      WL $.

    $( Lemma for ~ cdlemkid .  (Contributed by NM, 25-Jul-2013.) $)
    cdlemkid5 $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( F e. T /\ N e. T /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( P e. A /\ -. P .<_ W ) /\ G = ( _I |` B ) ) )
     -> [_ G / g ]_ X e. T ) $=
      ( chlt wcel wa cfv wceq w3a wbr wn cid cres csb cv wi wral crio cdlemkid4
      wreu wrex idltrn 3ad2ant1 eqidd rgenw eqeq1 imbi2d ralbidv rspcev sylancl
      wne wb cdlemftr2 reusv1 syl mpbird riotacl eqeltrd ) LULUMPJUMUNZHFUMOFUM
      HEUOZOEUOUPUQZDBUMDPMURUSUNIUTCVAZUPUNZUQZGIQVBTVCZWJVSWMEUOZWHVSWNIEUOZV
      SUQZAVCZWJUPZVDZTFVEZAFVFZFABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKVGWL
      WTAFVHZXAFUMWLXBWTAFVIZWLWJFUMZWPWJWJUPZVDZTFVEZXCWGWIXDWKCFJLPUAUFUGVJVK
      XFTFWPWJVLVMWTXGAWJFWRWSXFTFWRWRXEWPWQWJWJVNVOVPVQVRWLWPTFVIZXBXCVTWGWIXH
      WKCEFTJLPWHWOUAUFUGUHWAVKWPATFFWJWBWCWDWTAFWEWCWF $.

    $( The value of the tau function (in Lemma K of [Crawley] p. 118) on the
       identity relation.  (Contributed by NM, 25-Jul-2013.) $)
    cdlemkid $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( F e. T /\ N e. T /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( P e. A /\ -. P .<_ W ) /\ G = ( _I |` B ) ) )
     -> [_ G / g ]_ X = ( _I |` B ) ) $=
      ( chlt wcel wa cfv wceq w3a wbr wn cid cvv csb cltrn fvexi cv wne nfv wnf
      cres nfcv wi wral crio nfra1 nfriota nfcxfr nfcsbw nfeq1 a1i cdlemkid4 wb
      eqeq1 adantl eqidd cdlemkid5 wrex cdlemftr2 3ad2ant1 riotasv3d mpan2 ) LU
      LUMPJUMUNZHFUMOFUMHEUOZOEUOUPUQZDBUMDPMURUSUNIUTCVIZUPUNZUQZFVAUMGIQVBZWN
      UPZFPLVCUOUGVDWPTVEZWNVFZWSEUOZWLVFZXAIEUOZVFUQZWNWNUPZWRATFFWNWQVAWPTVGW
      RTVHWPTWQWNTGIQTIVJTQWTXBXAGVEEUOVFUQDAVEUORUPVKZTFVLZAFVMUKXGTAFXFTFVNTF
      VJVOVPVQVRVSABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKVTWNWQUPXEWRWAWPWNW
      QWNWBWCWSFUMXDUNZXEVKWPXHWNWDVSABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUK
      WEWKWMXDTFWFWOCEFTJLPWLXCUAUFUGUHWGWHWIWJ $.

    $( Substitution version of ~ cdlemk35 .  (Contributed by NM,
       22-Jul-2013.) $)
    cdlemk35s $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) /\ N e. T )
         /\ ( ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) ) )
     -> [_ G / g ]_ X e. T ) $=
      ( wcel chlt wa cid cres wne w3a wbr wn cfv wceq csb simp22l wsbc cdlemk35
      cv wi sbcth sbcimg mpbid eleq1 neeq1 anbi12d 3anbi2d sbcieg sbcel1g mpcom
      3imtr3d ) IFULZLUMULPJULUNZHFULHUOCUPZUQUNZVTIWBUQZUNZOFULZURZDBULDPMUSUT
      UNHEVAOEVAVBUNZURZGIQVCFULZVTWDWCWFWAWHVDVTWAWCGVGZFULZWKWBUQZUNZWFURZWHU
      RZGIVEZQFULZGIVEZWIWJVTWPWRVHZGIVEWQWSVHWTGIFABCDEFHWKJKLMNOPQRSTUAUBUCUD
      UEUFUGUHUIUJUKVFVIWPWRGIFVJVKWPWIGIFWKIVBZWOWGWAWHXAWNWEWCWFXAWLVTWMWDWKI
      FVLWKIWBVMVNVOVOVPGIQFFVQVSVR $.

    $( Substitution version of ~ cdlemk35 .  (Contributed by NM,
       26-Jul-2013.) $)
    cdlemk35s-id $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( ( F e. T /\ F =/= ( _I |` B ) )
            /\ G e. T /\ N e. T )
         /\ ( ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) ) )
     -> [_ G / g ]_ X e. T ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn cfv wceq csb simpl1 simp21l simp23
      simp3r 3jca adantr simpl3l simpr syl112anc simpl1l simpl1r idltrn syl2anc
      eqeltrd simpl21 simpl22 jca simpl23 simpl3 cdlemk35s syl131anc pm2.61dane
      cdlemkid ) LULUMZPJUMZUNZHFUMZHUOCUPZUQZUNZIFUMZOFUMZURZDBUMDPMUSUTUNZHEV
      AOEVAVBZUNZURZGIQVCZFUMZIWKWTIWKVBZUNZXAWKFXDWIWJWOWRURZWQXCXAWKVBWIWPWSX
      CVDWTXEXCWTWJWOWRWJWLWNWOWIWSVEWIWMWNWOWSVFWIWPWQWRVGVHVIWQWRWIWPXCVJWTXC
      VKABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKWFVLXDWGWHWKFUMWGWHWPWSXCVMWG
      WHWPWSXCVNCFJLPUAUFUGVOVPVQWTIWKUQZUNZWIWMWNXFUNWOWSXBWIWPWSXFVDWMWNWOWIW
      SXFVRXGWNXFWMWNWOWIWSXFVSWTXFVKVTWMWNWOWIWSXFWAWIWPWSXFWBABCDEFGHIJKLMNOP
      QRSTUAUBUCUDUEUFUGUHUIUJUKWCWDWE $.

    $d z G $.
    $( Substitution version of ~ cdlemk39 .  TODO:  Can any commonality with
       ~ cdlemk35s be exploited?  (Contributed by NM, 23-Jul-2013.) $)
    cdlemk39s $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) /\ N e. T )
         /\ ( ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) ) )
     -> ( R ` [_ G / g ]_ X ) .<_ ( R ` G ) ) $=
      ( wcel chlt wa cid cres wne w3a wbr wn cfv wceq csb simp22l wsbc cdlemk39
      cv sbcth sbcimg mpbid eleq1 neeq1 anbi12d 3anbi2d sbcieg sbcbr12g csbfv2g
      wi csbfv a1i breq12d bitrd 3imtr3d mpcom ) IFULZLUMULPJULUNZHFULHUOCUPZUQ
      UNZWEIWGUQZUNZOFULZURZDBULDPMUSUTUNHEVAOEVAVBUNZURZGIQVCEVAZIEVAZMUSZWEWI
      WHWKWFWMVDWEWFWHGVGZFULZWRWGUQZUNZWKURZWMURZGIVEZQEVAZWREVAZMUSZGIVEZWNWQ
      WEXCXGVRZGIVEXDXHVRXIGIFABCDEFHWRJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKVFVHXCX
      GGIFVIVJXCWNGIFWRIVBZXBWLWFWMXJXAWJWHWKXJWSWEWTWIWRIFVKWRIWGVLVMVNVNVOWEX
      HGIXEVCZGIXFVCZMUSWQGIXEXFMFVPWEXKWOXLWPMGIQFEVQXLWPVBWEGIEVSVTWAWBWCWD
      $.

    $( Substitution version of ~ cdlemk39 with non-identity requirement on
       ` G ` removed.  TODO:  Can any commonality with ~ cdlemk35s be
       exploited?  (Contributed by NM, 26-Jul-2013.) $)
    cdlemk39s-id $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( ( F e. T /\ F =/= ( _I |` B ) )
            /\ G e. T /\ N e. T )
         /\ ( ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) ) )
     -> ( R ` [_ G / g ]_ X ) .<_ ( R ` G ) ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn cfv wceq csb simpl1 simp21l simp23
      cp0 simp3r adantr simpl3l simpr cdlemkid syl112anc fveq2d simpl1l simpl1r
      3jca eqid syl2anc eqtrd cops hlop syl simpl22 trlcl op0le eqbrtrd simpl21
      trlid0 jca simpl23 simpl3 cdlemk39s syl131anc pm2.61dane ) LULUMZPJUMZUNZ
      HFUMZHUOCUPZUQZUNZIFUMZOFUMZURZDBUMDPMUSUTUNZHEVAOEVAVBZUNZURZGIQVCZEVAZI
      EVAZMUSZIWTXIIWTVBZUNZXKLVGVAZXLMXOXKWTEVAZXPXOXJWTEXOWRWSXDXGURZXFXNXJWT
      VBWRXEXHXNVDZXIXRXNXIWSXDXGWSXAXCXDWRXHVEWRXBXCXDXHVFWRXEXFXGVHVQVIXFXGWR
      XEXNVJXIXNVKABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKVLVMVNXOWPWQXQXPVBW
      PWQXEXHXNVOZWPWQXEXHXNVPCEJLPXPUAXPVRZUFUHWIVSVTXOLWAUMZXLCUMZXPXLMUSXOWP
      YBXTLWBWCXOWRXCYCXSXBXCXDWRXHXNWDCEFIJLPUAUFUGUHWEVSCLMXLXPUAUBYAWFVSWGXI
      IWTUQZUNZWRXBXCYDUNXDXHXMWRXEXHYDVDXBXCXDWRXHYDWHYEXCYDXBXCXDWRXHYDWDXIYD
      VKWJXBXCXDWRXHYDWKWRXEXHYDWLABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKWMW
      NWO $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  TODO: fix comment.
       (Contributed by NM, 20-Jul-2013.) $)
    cdlemk42 $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) )
         /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( b e. T /\ ( b =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` F )
            /\ ( R ` b ) =/= ( R ` G ) ) ) )
     -> ( [_ G / g ]_ X ` P ) = [_ G / g ]_ Y ) $=
      ( wcel chlt wa cid cres wne w3a wbr wn cfv wceq csb simp13l wsbc cdlemk36
      cv wi sbcth sbcimg mpbid eleq1 neeq1 anbi12d fveq2 neeq2d anbi2d 3anbi13d
      3anbi3d sbcieg sbceqg csbfv12 csbconstg fveq2d syl5eq bitrd 3imtr3d mpcom
      eqeq1d ) IFULZLUMULPJULUNZHFULHUOCUPZUQUNZWJIWLUQZUNZURZOFULDBULDPMUSUTUN
      HEVAZOEVAVBURZTVGZFULZWSWLUQZWSEVAZWQUQZXBIEVAZUQZURZUNZURZDGIQVCZVAZGIRV
      CZVBZWJWNWKWMWRXGVDWJWKWMGVGZFULZXMWLUQZUNZURZWRWTXAXCXBXMEVAZUQZURZUNZUR
      ZGIVEZDQVAZRVBZGIVEZXHXLWJYBYEVHZGIVEYCYFVHYGGIFABCDEFHXMJKLMNOPQRSTUAUBU
      CUDUEUFUGUHUIUJUKVFVIYBYEGIFVJVKYBXHGIFXMIVBZXQWPYAXGWRYHXPWOWKWMYHXNWJXO
      WNXMIFVLXMIWLVMVNVSYHXTXFWTYHXSXEXAXCYHXRXDXBXMIEVOVPVSVQVRVTWJYFGIYDVCZX
      KVBXLGIYDRFWAWJYIXJXKWJYIGIDVCZXIVAXJGIDQWBWJYJDXIGIDFWCWDWEWIWFWGWH $.

    $( Lemma for ~ cdlemk19x .  (Contributed by NM, 30-Jul-2013.) $)
    cdlemk19xlem $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( R ` F ) = ( R ` N ) )
      /\ ( ( F e. T /\ F =/= ( _I |` B ) /\ N e. T )
           /\ ( P e. A /\ -. P .<_ W ) )
      /\ ( b e. T /\ ( b =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` F )
           ) ) )
   -> ( [_ F / g ]_ X ` P ) = ( N ` P ) ) $=
      ( chlt wcel wa cfv wceq cid cres wne w3a wbr wn cv simp1l simp2l1 simp2l2
      csb jca simp2l3 simp2r simp1r simp3l simp3rl simp3rr 3jca syl332anc simp3
      cdlemk42 cdlemk19y syl231anc eqtrd ) KUKULOIULUMZHEUNZNEUNUOZUMZHFULZHUPC
      UQZURZNFULZUSZDBULDOLUTVAUMZUMZSVBZFULZWLWFURZWLEUNWBURZUMZUMZUSZDGHPVFUN
      ZGHQVFZDNUNZWRWAWEWGUMZXBWHWJWCWMWNWOWOUSWSWTUOWAWCWKWQVCZWRWEWGWEWGWHWJW
      DWQVDWEWGWHWJWDWQVEVGZXDWEWGWHWJWDWQVHZWDWIWJWQVIZWAWCWKWQVJZWDWKWMWPVKWR
      WNWOWOWNWOWMWDWKVLWNWOWMWDWKVMZXHVNABCDEFGHHIJKLMNOPQRSTUAUBUCUDUEUFUGUHU
      IUJVQVOWRWAXBWHWJWCWQWTXAUOXCXDXEXFXGWDWKWQVPBCDEFGHIJKLMNOQRSTUAUBUCUDUE
      UFUGUHUIVRVSVT $.

    $( ~ cdlemk19 with simpler hypotheses.  TODO:  Clean all this up.
       (Contributed by NM, 30-Jul-2013.) $)
    cdlemk19x $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( R ` F ) = ( R ` N ) )
      /\ ( F e. T /\ F =/= ( _I |` B ) /\ N e. T )
      /\ ( P e. A /\ -. P .<_ W ) )
   -> ( [_ F / g ]_ X ` P ) = ( N ` P ) ) $=
      ( chlt wcel wa cfv wceq cid cres wne w3a wbr wn wrex csb simp1l cdlemftr1
      cv syl nfv nfcv wral crio nfra1 nfriota nfcxfr nfcsbw nfeq1 simpl1 simpl2
      wi nffv simpl3 simpr cdlemk19xlem syl121anc exp32 rexlimd mpd ) KUKULOIUL
      UMZHEUNZNEUNUOZUMZHFULHUPCUQZURNFULUSZDBULDOLUTVAUMZUSZSVFZWLURZWPEUNZWIU
      RZUMZSFVBZDGHPVCZUNZDNUNZUOZWOWHXAWHWJWMWNVDCEFSIKOWITUEUFUGVEVGWOWTXESFW
      OSVHSXCXDSDXBSGHPSHVISPWQWSWRGVFEUNURUSDAVFUNQUOVSZSFVJZAFVKUJXGSAFXFSFVL
      SFVIVMVNVOSDVIVTVPWOWPFULZWTXEWOXHWTUMZUMWKWMWNXIXEWKWMWNXIVQWKWMWNXIVRWK
      WMWNXIWAWOXIWBABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJWCWDWEWFWG $.

    $d g ./\ $.  $d g .\/ $.  $d g Z $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  TODO: fix comment.
       (Contributed by NM, 20-Jul-2013.)  (New usage is discouraged.) $)
    cdlemk42yN $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) )
         /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( b e. T /\ ( b =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` F )
            /\ ( R ` b ) =/= ( R ` G ) ) ) )
     -> ( [_ G / g ]_ X ` P ) = ( ( P .\/ ( R ` G ) )
              ./\ ( Z
                .\/ ( R ` ( G o. `' b ) ) ) ) ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn cfv wceq cv csb ccnv ccom cdlemk42
      co simp13l cdlemk41 syl eqtrd ) LULUMPJUMUNZHFUMHUOCUPZUQUNZIFUMZIVNUQZUN
      UROFUMDBUMDPMUSUTUNHEVAZOEVAVBURZTVCZFUMVTVNUQVTEVAZVRUQWAIEVAZUQURUNZURZ
      DGIQVDVAGIRVDZDWBKVHSIVTVEVFEVAKVHNVHZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGU
      HUIUJUKVGWDVPWEWFVBVPVQVMVOVSWCVIDEFGIKNRSTUJVJVKVL $.

    $d g z I $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Lemma for Eq. 5, p. 119.
       ` G ` , ` I ` stand for g, h.  TODO: fix comment.  (Contributed by NM,
       21-Jul-2013.) $)
    cdlemk11tc $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) )
         /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
         /\ ( b e. T /\ ( b =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` F )
                /\ ( R ` b ) =/= ( R ` G ) )
            /\ ( I e. T /\ I =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` I ) ) ) )
       -> ( [_ G / g ]_ X ` P )
              .<_ ( ( [_ I / g ]_ X ` P ) .\/ ( R ` ( I o. `' G ) ) ) ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn cfv wceq cv csb ccnv co cdlemk11tb
      simp31 simp32 jca cdlemk42 syld3an3 simp11 simp12 simp331 simp332 simp321
      ccom simp2 simp322 simp333 3jca syl312anc oveq1d 3brtr4d ) MUMUNQJUNUOZHF
      UNHUPCUQZURUOZIFUNIWHURUOZUSZPFUNDBUNDQNUTVAUOHEVBZPEVBVCUSZUAVDZFUNZWNWH
      URZWNEVBZWLURZWQIEVBURZUSZKFUNZKWHURZWQKEVBURZUSZUSZUSZGISVEZGKSVEZKIVFVS
      EVBZLVGDGIRVEVBZDGKRVEVBZXILVGNBCDEFGHIJKLMNOPQSTUAUBUCUDUEUFUGUHUIUJUKVH
      WKWMXEWOWTUOXJXGVCXFWOWTWKWMWOWTXDVIZWKWMWOWTXDVJVKABCDEFGHIJLMNOPQRSTUAU
      BUCUDUEUFUGUHUIUJUKULVLVMXFXKXHXILXFWGWIXAXBUOWMWOWPWRXCUSXKXHVCWGWIWJWMX
      EVNWGWIWJWMXEVOXFXAXBXAXBXCWOWTWKWMVPXAXBXCWOWTWKWMVQVKWKWMXEVTXLXFWPWRXC
      WPWRWSWOXDWKWMVRWPWRWSWOXDWKWMWAXAXBXCWOWTWKWMWBWCABCDEFGHKJLMNOPQRSTUAUB
      UCUDUEUFUGUHUIUJUKULVLWDWEWF $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Eq. 5, line 36, p. 119.
       ` G ` , ` I ` stand for g, h. ` X ` represents tau.  (Contributed by NM,
       21-Jul-2013.) $)
    cdlemk11t $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) )
         /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( I e. T /\ I =/= ( _I |` B ) ) )
       -> ( [_ G / g ]_ X ` P )
              .<_ ( ( [_ I / g ]_ X ` P ) .\/ ( R ` ( I o. `' G ) ) ) ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn cfv wceq cv wrex ccnv ccom simp11l
      csb co simp11r cdlemftr3 syl2anc nfv nfcv wral crio nfriota nfcxfr nfcsbw
      wi nfra1 nffv nfov nfbr simp11 simp12 simp3l simp3r1 simp3r2 3jca simp13l
      simp2 simp13r simp3r3 cdlemk11tc syl113anc 3exp rexlimd mpd ) MUMUNZQJUNZ
      UOHFUNHUPCUQZURUOZIFUNIXCURUOZUSZPFUNDBUNDQNUTVAUOHEVBZPEVBVCUSZKFUNZKXCU
      RZUOZUSZUAVDZXCURZXMEVBZXGURZXOIEVBZURZXOKEVBZURZUSZUOZUAFVEZDGIRVIZVBZDG
      KRVIZVBZKIVFVGEVBZLVJZNUTZXLXAXBYCXAXBXDXEXHXKVHXAXBXDXEXHXKVKCEFUAJMQXGX
      QXSUBUGUHUIVLVMXLYBYJUAFXLUAVNUAYEYINUADYDUAGIRUAIVOUARXNXPXOGVDEVBURUSDA
      VDVBSVCWAZUAFVPZAFVQULYLUAAFYKUAFWBUAFVOVRVSZVTUADVOZWCUANVOUAYGYHLUADYFU
      AGKRUAKVOYMVTYNWCUALVOUAYHVOWDWEXLXMFUNZYBYJXLYOYBUSZXFXHYOXNXPXRUSXIXJXT
      USYJXFXHXKYOYBWFXFXHXKYOYBWGXLYOYBWMYPXNXPXRXLYOXNYAWHXPXRXTXNXLYOWIXPXRX
      TXNXLYOWJWKYPXIXJXTXIXJXFXHYOYBWLXIXJXFXHYOYBWNXPXRXTXNXLYOWOWKABCDEFGHIJ
      KLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULWPWQWRWSWT $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 37, p. 119. ` G ` ,
       ` I ` stand for g, h. ` X ` represents tau.  They do not explicitly
       mention the requirement ` ( G o. I ) =/= ( _I |`` B ) ` .  (Contributed
       by NM, 22-Jul-2013.) $)
    cdlemk45 $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) )
         /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( I e. T /\ I =/= ( _I |` B ) /\ ( G o. I ) =/= ( _I |` B ) ) )
       -> ( [_ ( G o. I ) / g ]_ X ` P )
              .<_ ( ( [_ I / g ]_ X ` P ) .\/ ( R ` G ) ) ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn cfv wceq ccom csb co simp11 simp12
      simp13l simp31 ltrnco syl3anc simp33 jca simp2 simp32 cdlemk11t syl312anc
      ccnv cnvco coeq2i coass eqtr4i ltrn1o syl2anc f1ococnv2 syl coeq1d f1ocnv
      wf1o wf f1of fcoi2 4syl eqtrd syl5eq fveq2d trlcnv oveq2d breqtrd ) MUMUN
      QJUNUOZHFUNHUPCUQZURUOZIFUNZIXBURZUOZUSZPFUNDBUNDQNUTVAUOHEVBPEVBVCUSZKFU
      NZKXBURZIKVDZXBURZUSZUSZDGXKRVEVBZDGKRVEVBZKXKVSZVDZEVBZLVFZXPIEVBZLVFNXN
      XAXCXKFUNZXLUOXHXIXJXOXTNUTXAXCXFXHXMVGZXAXCXFXHXMVHXNYBXLXNXAXDXIYBYCXDX
      EXAXCXHXMVIZXGXHXIXJXLVJZFIKJMQUGUHVKVLXGXHXIXJXLVMVNXGXHXMVOYEXGXHXIXJXL
      VPABCDEFGHXKJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVQVRXNXSYAXPLXNXSIVSZEVBZY
      AXNXRYFEXNXRKKVSZVDZYFVDZYFXRKYHYFVDZVDYJXQYKKIKVTWAKYHYFWBWCXNYJXBYFVDZY
      FXNYIXBYFXNCCKWJZYIXBVCXNXAXIYMYCYECFKJMUMQUBUGUHWDWECCKWFWGWHXNCCIWJZCCY
      FWJCCYFWKYLYFVCXNXAXDYNYCYDCFIJMUMQUBUGUHWDWECCIWICCYFWLCCYFWMWNWOWPWQXNX
      AXDYGYAVCYCYDEFIJMQUGUHUIWRWEWOWSWT $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 38 (last line),
       p. 119. ` G ` , ` I ` stand for g, h. ` X ` represents tau.
       (Contributed by NM, 22-Jul-2013.) $)
    cdlemk46 $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) )
         /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( I e. T /\ I =/= ( _I |` B ) /\ ( G o. I ) =/= ( _I |` B ) ) )
       -> ( [_ ( G o. I ) / g ]_ X ` P )
              .<_ ( ( [_ G / g ]_ X ` P ) .\/ ( R ` I ) ) ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn cfv wceq ccom csb co simp11 simp31
      simp13l ltrncom syl3anc csbeq1d fveq1d simp12 simp32 simp2 simp13r simp33
      jca eqnetrd cdlemk45 syl313anc eqbrtrrd ) MUMUNQJUNUOZHFUNHUPCUQZURUOZIFU
      NZIWEURZUOZUSZPFUNDBUNDQNUTVAUOHEVBPEVBVCUSZKFUNZKWEURZIKVDZWEURZUSZUSZDG
      KIVDZRVEZVBZDGWNRVEZVBDGIRVEVBKEVBLVFZNWQDWSXAWQGWRWNRWQWDWLWGWRWNVCWDWFW
      IWKWPVGZWJWKWLWMWOVHZWGWHWDWFWKWPVIZFKIJMQUGUHVJVKZVLVMWQWDWFWLWMUOWKWGWH
      WRWEURWTXBNUTXCWDWFWIWKWPVNWQWLWMXDWJWKWLWMWOVOVSWJWKWPVPXEWGWHWDWFWKWPVQ
      WQWRWNWEXFWJWKWLWMWOVRVTABCDEFGHKJILMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULWAWBW
      C $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 2, p. 120. ` G ` ,
       ` I ` stand for g, h. ` X ` represents tau.  (Contributed by NM,
       22-Jul-2013.) $)
    cdlemk47 $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) )
         /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( I e. T /\ I =/= ( _I |` B ) /\ ( R ` G ) =/= ( R ` I ) ) )
       -> ( [_ ( G o. I ) / g ]_ X ` P )
              = ( ( ( [_ G / g ]_ X ` P ) .\/ ( R ` I ) )
                ./\ ( ( [_ I / g ]_ X ` P ) .\/ ( R ` G ) ) ) ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn cfv wceq csb ccom co simp11 simp12
      simp11l simp13 simp21 simp22 simp23 cdlemk35s ltrnel simpld simp31 simp32
      syl132anc syl3anc trlnidat simp22l ltrnat simp13l simp13r ltrnco trlconid
      jca simp33 3jca cdlemk46 syld3an3 cdlemk45 trlle syl2anc necomd syl321anc
      lhp2atne 2atm syl333anc ) MUMUNZQJUNZUOZHFUNHUPCUQZURUOZIFUNZIXDURZUOZUSZ
      PFUNZDBUNZDQNUTVAZUOZHEVBPEVBVCZUSZKFUNZKXDURZIEVBZKEVBZURZUSZUSZXADGIRVD
      ZVBZBUNZXSBUNZDGKRVDZVBZBUNZXRBUNZDGIKVEZRVDZVBZBUNZYMYDXSLVFZNUTZYMYHXRL
      VFZNUTZYOYQURZYMYOYQOVFVCXAXBXEXHXOYAVIYBYEYDQNUTVAZYBXCYCFUNZXMYEYTUOZXC
      XEXHXOYAVGZYBXCXEXHXJXMXNUUAUUCXCXEXHXOYAVHZXCXEXHXOYAVJXIXJXMXNYAVKZXIXJ
      XMXNYAVLZXIXJXMXNYAVMZABCDEFGHIJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVNVSUUFB
      DFYCJMNQUCUFUGUHVOVTZVPYBXCXPXQYFUUCXIXOXPXQXTVQZXIXOXPXQXTVRZBCEFKJMQUBU
      FUGUHUIWAVTZYBXCYGFUNZXKYIUUCYBXCXEXPXQUOXJXMXNUULUUCUUDYBXPXQUUIUUJWHUUE
      UUFUUGABCDEFGHKJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVNVSXKXLXJXNXIYAWBZBDFYG
      JMNQUCUFUGUHWCVTZYBXCXFXGYJUUCXFXGXCXEXOYAWDZXFXGXCXEXOYAWEBCEFIJMQUBUFUG
      UHUIWAVTZYBXCYLFUNZXKYNUUCYBXCXEYKFUNZYKXDURZUOXJXMXNUUQUUCUUDYBUURUUSYBX
      CXFXPUURUUCUUOUUIFIKJMQUGUHWFVTYBXCXFXPUOXTUUSUUCYBXFXPUUOUUIWHXIXOXPXQXT
      WIZCEFIKJMQUBUGUHUIWGVTZWHUUEUUFUUGABCDEFGHYKJLMNOPQRSTUAUBUCUDUEUFUGUHUI
      UJUKULVNVSUUMBDFYLJMNQUCUFUGUHWCVTXIXOYAXPXQUUSUSZYPYBXPXQUUSUUIUUJUVAWJZ
      ABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULWKWLXIXOYAUVBYRUVCABCDEFGHIJK
      LMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULWMWLYBXCUUBYIYFXSQNUTZUOYJXRQNUTZUOXSXRU
      RYSUUCUUHUUNYBYFUVDUUKYBXCXPUVDUUCUUIEFKJMNQUCUGUHUIWNWOWHYBYJUVEUUPYBXCX
      FUVEUUCUUOEFIJMNQUCUGUHUIWNWOWHYBXRXSUUTWPBYDYHXSJLMNXRQUCUDUFUGWRWQBYDXS
      YHXRYMLMNOUCUDUEUFWSWT $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 4, p. 120. ` G ` ,
       ` I ` stand for g, h. ` X ` represents tau.  (Contributed by NM,
       22-Jul-2013.) $)
    cdlemk48 $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) )
         /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( I e. T /\ I =/= ( _I |` B ) ) )
       -> ( ( [_ G / g ]_ X o. [_ I / g ]_ X ) ` P )
              .<_ ( ( [_ I / g ]_ X ` P ) .\/ ( R ` [_ G / g ]_ X ) ) ) $=
      ( chlt wcel wa cid cres wne w3a wbr cfv wceq csb ccom clat simp11l hllatd
      wn co simp11 simp12 simp13 simp21 simp22 simp23 cdlemk35s syl132anc simp3
      ltrnco syl3anc simp22l ltrnat atbase syl trlcl syl2anc trlcoabs syl121anc
      latlej1 breqtrd ) MUMUNZQJUNZUOZHFUNHUPCUQZURUOZIFUNIWNURUOZUSZPFUNZDBUNZ
      DQNUTVHZUOZHEVAPEVAVBZUSZKFUNKWNURUOZUSZDGIRVCZGKRVCZVDZVAZXIXFEVAZLVIZDX
      GVAXJLVIZNXEMVEUNXICUNZXJCUNZXIXKNUTXEMWKWLWOWPXCXDVFVGXEXIBUNZXMXEWMXHFU
      NZWSXOWMWOWPXCXDVJZXEWMXFFUNZXGFUNZXPXQXEWMWOWPWRXAXBXRXQWMWOWPXCXDVKZWMW
      OWPXCXDVLWQWRXAXBXDVMZWQWRXAXBXDVNZWQWRXAXBXDVOZABCDEFGHIJLMNOPQRSTUAUBUC
      UDUEUFUGUHUIUJUKULVPVQZXEWMWOXDWRXAXBXSXQXTWQXCXDVRYAYBYCABCDEFGHKJLMNOPQ
      RSTUAUBUCUDUEUFUGUHUIUJUKULVPVQZFXFXGJMQUGUHVSVTWSWTWRXBWQXDWABDFXHJMNQUC
      UFUGUHWBVTBCXIMUBUFWCWDXEWMXRXNXQYDCEFXFJMQUBUGUHUIWEWFCLMNXIXJUBUCUDWIVT
      XEWMXRXSXAXKXLVBXQYDYEYBBDEFXFXGJLMNQUCUDUFUGUHUIWGWHWJ $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 5, p. 120. ` G ` ,
       ` I ` stand for g, h. ` X ` represents tau.  (Contributed by NM,
       23-Jul-2013.) $)
    cdlemk49 $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) )
         /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( I e. T /\ I =/= ( _I |` B ) ) )
       -> ( ( [_ G / g ]_ X o. [_ I / g ]_ X ) ` P )
              .<_ ( ( [_ G / g ]_ X ` P ) .\/ ( R ` [_ I / g ]_ X ) ) ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn cfv wceq csb ccom co simp11 simp12
      simp13 simp21 simp22 simp23 cdlemk35s simp3 ltrncom fveq1d simp2 cdlemk48
      syl132anc syl3anc syl311anc eqbrtrd ) MUMUNQJUNUOZHFUNHUPCUQZURUOZIFUNIWD
      URUOZUSZPFUNZDBUNDQNUTVAUOZHEVBPEVBVCZUSZKFUNKWDURUOZUSZDGIRVDZGKRVDZVEZV
      BDWOWNVEZVBZDWNVBWOEVBLVFZNWMDWPWQWMWCWNFUNZWOFUNZWPWQVCWCWEWFWKWLVGZWMWC
      WEWFWHWIWJWTXBWCWEWFWKWLVHZWCWEWFWKWLVIZWGWHWIWJWLVJZWGWHWIWJWLVKZWGWHWIW
      JWLVLZABCDEFGHIJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVMVSWMWCWEWLWHWIWJXAXBXC
      WGWKWLVNZXEXFXGABCDEFGHKJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVMVSFWNWOJMQUGU
      HVOVTVPWMWCWEWLWKWFWRWSNUTXBXCXHWGWKWLVQXDABCDEFGHKJILMNOPQRSTUAUBUCUDUEU
      FUGUHUIUJUKULVRWAWB $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 6, p. 120. ` G ` ,
       ` I ` stand for g, h. ` X ` represents tau.  TODO:  Combine into
       ~ cdlemk52 ?  (Contributed by NM, 23-Jul-2013.) $)
    cdlemk50 $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) )
         /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( I e. T /\ I =/= ( _I |` B ) ) )
       -> ( ( [_ G / g ]_ X o. [_ I / g ]_ X ) ` P )
            .<_ ( ( ( [_ G / g ]_ X ` P ) .\/ ( R ` [_ I / g ]_ X ) )
              ./\ ( ( [_ I / g ]_ X ` P ) .\/ ( R ` [_ G / g ]_ X ) ) ) ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn cfv wceq ccom co cdlemk49 cdlemk48
      csb wb simp11l hllatd simp11 simp12 simp13 simp21 simp22 simp23 cdlemk35s
      syl132anc simp3 ltrnco syl3anc simp22l ltrnat atbase trlcl syl2anc latjcl
      clat syl latlem12 syl13anc mpbi2and ) MUMUNZQJUNZUOZHFUNHUPCUQZURUOZIFUNI
      WQURUOZUSZPFUNZDBUNZDQNUTVAZUOZHEVBPEVBVCZUSZKFUNKWQURUOZUSZDGIRVHZGKRVHZ
      VDZVBZDXIVBZXJEVBZLVEZNUTZXLDXJVBZXIEVBZLVEZNUTZXLXOXSOVENUTZABCDEFGHIJKL
      MNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVFABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIU
      JUKULVGXHMWIUNZXLCUNZXOCUNZXSCUNZXPXTUOYAVIXHMWNWOWRWSXFXGVJVKZXHXLBUNZYC
      XHWPXKFUNZXBYGWPWRWSXFXGVLZXHWPXIFUNZXJFUNZYHYIXHWPWRWSXAXDXEYJYIWPWRWSXF
      XGVMZWPWRWSXFXGVNWTXAXDXEXGVOZWTXAXDXEXGVPZWTXAXDXEXGVQZABCDEFGHIJLMNOPQR
      STUAUBUCUDUEUFUGUHUIUJUKULVRVSZXHWPWRXGXAXDXEYKYIYLWTXFXGVTYMYNYOABCDEFGH
      KJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVRVSZFXIXJJMQUGUHWAWBXBXCXAXEWTXGWCZBD
      FXKJMNQUCUFUGUHWDWBBCXLMUBUFWEWJXHYBXMCUNZXNCUNZYDYFXHXMBUNZYSXHWPYJXBUUA
      YIYPYRBDFXIJMNQUCUFUGUHWDWBBCXMMUBUFWEWJXHWPYKYTYIYQCEFXJJMQUBUGUHUIWFWGC
      LMXMXNUBUDWHWBXHYBXQCUNZXRCUNZYEYFXHXQBUNZUUBXHWPYKXBUUDYIYQYRBDFXJJMNQUC
      UFUGUHWDWBBCXQMUBUFWEWJXHWPYJUUCYIYPCEFXIJMQUBUGUHUIWFWGCLMXQXRUBUDWHWBCM
      NOXLXOXSUBUCUEWKWLWM $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 6, p. 120. ` G ` ,
       ` I ` stand for g, h. ` X ` represents tau.  TODO:  Combine into
       ~ cdlemk52 ?  (Contributed by NM, 23-Jul-2013.) $)
    cdlemk51 $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) )
         /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( I e. T /\ I =/= ( _I |` B ) ) )
       -> ( ( ( [_ G / g ]_ X ` P ) .\/ ( R ` [_ I / g ]_ X ) )
              ./\ ( ( [_ I / g ]_ X ` P ) .\/ ( R ` [_ G / g ]_ X ) ) )
            .<_ ( ( ( [_ G / g ]_ X ` P ) .\/ ( R ` I ) )
              ./\ ( ( [_ I / g ]_ X ` P ) .\/ ( R ` G ) ) ) ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn cfv csb simp11 simp12 simp3 simp21
      wceq co simp22 simp23 cdlemk39s syl132anc clat wi simp11l cdlemk35s trlcl
      hllatd syl2anc simp3l simp3r trlnidat syl3anc atbase syl simp22l latjlej2
      simp13 ltrnat syl13anc simp13l simp13r latjcl hlatjcl latmlem12 syl122anc
      mpd mp2and ) MUMUNZQJUNZUOZHFUNHUPCUQZURUOZIFUNZIXCURZUOZUSZPFUNZDBUNZDQN
      UTVAZUOZHEVBPEVBVHZUSZKFUNZKXCURZUOZUSZDGIRVCZVBZGKRVCZEVBZLVIZXTKEVBZLVI
      ZNUTZDYAVBZXSEVBZLVIZYGIEVBZLVIZNUTZYCYIOVIYEYKOVINUTZXRYBYDNUTZYFXRXBXDX
      QXIXLXMYNXBXDXGXNXQVDZXBXDXGXNXQVEZXHXNXQVFZXHXIXLXMXQVGZXHXIXLXMXQVJZXHX
      IXLXMXQVKZABCDEFGHKJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVLVMXRMVNUNZYBCUNZYD
      CUNZXTCUNZYNYFVOXRMWTXAXDXGXNXQVPZVSZXRXBYAFUNZUUBYOXRXBXDXQXIXLXMUUGYOYP
      YQYRYSYTABCDEFGHKJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVQVMZCEFYAJMQUBUGUHUIV
      RVTZXRYDBUNZUUCXRXBXOXPUUJYOXHXNXOXPWAXHXNXOXPWBBCEFKJMQUBUFUGUHUIWCWDZBC
      YDMUBUFWEWFXRXTBUNZUUDXRXBXSFUNZXJUULYOXRXBXDXGXIXLXMUUMYOYPXBXDXGXNXQWIZ
      YRYSYTABCDEFGHIJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVQVMZXJXKXIXMXHXQWGZBDFX
      SJMNQUCUFUGUHWJWDZBCXTMUBUFWEWFZCLMNYBYDXTUBUCUDWHWKWRXRYHYJNUTZYLXRXBXDX
      GXIXLXMUUSYOYPUUNYRYSYTABCDEFGHIJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVLVMXRU
      UAYHCUNZYJCUNZYGCUNZUUSYLVOUUFXRXBUUMUUTYOUUOCEFXSJMQUBUGUHUIVRVTZXRYJBUN
      ZUVAXRXBXEXFUVDYOXEXFXBXDXNXQWLXEXFXBXDXNXQWMBCEFIJMQUBUFUGUHUIWCWDZBCYJM
      UBUFWEWFXRYGBUNZUVBXRXBUUGXJUVFYOUUHUUPBDFYAJMNQUCUFUGUHWJWDZBCYGMUBUFWEW
      FZCLMNYHYJYGUBUCUDWHWKWRXRUUAYCCUNZYECUNZYICUNZYKCUNZYFYLUOYMVOUUFXRUUAUU
      DUUBUVIUUFUURUUICLMXTYBUBUDWNWDXRWTUULUUJUVJUUEUUQUUKBCLMXTYDUBUDUFWOWDXR
      UUAUVBUUTUVKUUFUVHUVCCLMYGYHUBUDWNWDXRWTUVFUVDUVLUUEUVGUVEBCLMYGYJUBUDUFW
      OWDCMNOYKYCYEYIUBUCUEWPWQWS $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 6, p. 120. ` G ` ,
       ` I ` stand for g, h. ` X ` represents tau.  (Contributed by NM,
       23-Jul-2013.) $)
    cdlemk52 $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) )
         /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( I e. T /\ I =/= ( _I |` B ) /\ ( R ` G ) =/= ( R ` I ) ) )
       -> ( ( [_ G / g ]_ X o. [_ I / g ]_ X ) ` P )
            = ( [_ ( G o. I ) / g ]_ X ` P ) ) $=
      ( chlt wcel wa cid cres wne w3a wbr wn cfv wceq csb ccom co hllatd simp11
      simp11l simp12 simp13 simp21 simp22 simp23 cdlemk35s syl132anc simp31 jca
      simp32 ltrnco syl3anc simp22l ltrnat atbase syl clat trlcl syl2anc latjcl
      latmcl simp11r trlnidat syl211anc hlatjcl simp13l simp13r cdlemk50 lattrd
      syld3an3 cdlemk51 cdlemk47 breqtrrd cal hlatl simp33 trlconid atcmp mpbid
      wb ) MUMUNZQJUNZUOZHFUNHUPCUQZURUOZIFUNZIXMURZUOZUSZPFUNZDBUNZDQNUTVAZUOZ
      HEVBPEVBVCZUSZKFUNZKXMURZIEVBZKEVBZURZUSZUSZDGIRVDZGKRVDZVEZVBZDGIKVEZRVD
      ZVBZNUTZYOYRVCZYKYODYLVBZYHLVFZDYMVBZYGLVFZOVFZYRNYKCMNYOUUAYMEVBZLVFZUUC
      YLEVBZLVFZOVFZUUEUBUCYKMXJXKXNXQYDYJVIZVGZYKYOBUNZYOCUNYKXLYNFUNZXTUUMXLX
      NXQYDYJVHZYKXLYLFUNZYMFUNZUUNUUOYKXLXNXQXSYBYCUUPUUOXLXNXQYDYJVJZXLXNXQYD
      YJVKXRXSYBYCYJVLZXRXSYBYCYJVMZXRXSYBYCYJVNZABCDEFGHIJLMNOPQRSTUAUBUCUDUEU
      FUGUHUIUJUKULVOVPZYKXLXNYEYFUOZXSYBYCUUQUUOUURYKYEYFXRYDYEYFYIVQZXRYDYEYF
      YIVSZVRZUUSUUTUVAABCDEFGHKJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVOVPZFYLYMJMQ
      UGUHVTWAXTYAXSYCXRYJWBZBDFYNJMNQUCUFUGUHWCWAZBCYOMUBUFWDWEYKMWFUNZUUGCUNZ
      UUICUNZUUJCUNUULYKUVJUUACUNZUUFCUNZUVKUULYKUUABUNZUVMYKXLUUPXTUVOUUOUVBUV
      HBDFYLJMNQUCUFUGUHWCWAZBCUUAMUBUFWDWEYKXLUUQUVNUUOUVGCEFYMJMQUBUGUHUIWGWH
      CLMUUAUUFUBUDWIWAYKUVJUUCCUNZUUHCUNZUVLUULYKUUCBUNZUVQYKXLUUQXTUVSUUOUVGU
      VHBDFYMJMNQUCUFUGUHWCWAZBCUUCMUBUFWDWEYKXLUUPUVRUUOUVBCEFYLJMQUBUGUHUIWGW
      HCLMUUCUUHUBUDWIWACMOUUGUUIUBUEWJWAYKUVJUUBCUNZUUDCUNZUUECUNUULYKXJUVOYHB
      UNZUWAUUKUVPYKXJXKYEYFUWCUUKXJXKXNXQYDYJWKZUVDUVEBCEFKJMQUBUFUGUHUIWLWMBC
      LMUUAYHUBUDUFWNWAYKXJUVSYGBUNZUWBUUKUVTYKXJXKXOXPUWEUUKUWDXOXPXLXNYDYJWOZ
      XOXPXLXNYDYJWPBCEFIJMQUBUFUGUHUIWLWMBCLMUUCYGUBUDUFWNWACMOUUBUUDUBUEWJWAX
      RYDYJUVCYOUUJNUTUVFABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULWQWSXRYDYJ
      UVCUUJUUENUTUVFABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULWTWSWRABCDEFGH
      IJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULXAXBYKMXCUNZUUMYRBUNZYSYTXIYKXJUWGUUK
      MXDWEUVIYKXLYQFUNZXTUWHUUOYKXLXNYPFUNZYPXMURZUOXSYBYCUWIUUOUURYKUWJUWKYKX
      LXOYEUWJUUOUWFUVDFIKJMQUGUHVTWAYKXLXOYEUOYIUWKUUOYKXOYEUWFUVDVRXRYDYEYFYI
      XECEFIKJMQUBUGUHUIXFWAVRUUSUUTUVAABCDEFGHYPJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJ
      UKULVOVPUVHBDFYQJMNQUCUFUGUHWCWABYOYRMNUCUFXGWAXH $.

    $( Lemma for ~ cdlemk53 .  (Contributed by NM, 26-Jul-2013.) $)
    cdlemk53a $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( F e. T /\ F =/= ( _I |` B ) )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) )
         /\ ( N e. T /\ ( P e. A /\ -. P .<_ W ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( I e. T /\ I =/= ( _I |` B ) /\ ( R ` G ) =/= ( R ` I ) ) )
       -> [_ ( G o. I ) / g ]_ X
               = ( [_ G / g ]_ X o. [_ I / g ]_ X ) ) $=
      ( chlt wcel wa cid cres wne w3a wbr cfv wceq ccom csb simp11l simp11r jca
      wn simp12 simp31 ltrnco syl211anc simp33 trlconid syl121anc simp21 simp22
      simp23 cdlemk35s syl132anc simp13 simp32 cdlemk52 eqcomd cdlemd syl311anc
      simp13l ) MUMUNZQJUNZUOZHFUNHUPCUQZURUOZIFUNZIWKURZUOZUSZPFUNZDBUNDQNUTVH
      UOZHEVAPEVAVBZUSZKFUNZKWKURZIEVAKEVAURZUSZUSZWJGIKVCZRVDZFUNZGIRVDZGKRVDZ
      VCZFUNZWRDXGVAZDXKVAZVBXGXKVBXEWHWIWHWIWLWOWTXDVEZWHWIWLWOWTXDVFZVGZXEWJW
      LXFFUNZXFWKURZUOWQWRWSXHXQWJWLWOWTXDVIZXEXRXSXEWHWIWMXAXRXOXPWMWNWJWLWTXD
      WGZWPWTXAXBXCVJZFIKJMQUGUHVKVLXEWJWMXAXCXSXQYAYBWPWTXAXBXCVMCEFIKJMQUBUGU
      HUIVNVOVGWPWQWRWSXDVPZWPWQWRWSXDVQZWPWQWRWSXDVRZABCDEFGHXFJLMNOPQRSTUAUBU
      CUDUEUFUGUHUIUJUKULVSVTXEWHWIXIFUNZXJFUNZXLXOXPXEWJWLWOWQWRWSYFXQXTWJWLWO
      WTXDWAYCYDYEABCDEFGHIJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVSVTXEWJWLXAXBUOWQ
      WRWSYGXQXTXEXAXBYBWPWTXAXBXCWBVGYCYDYEABCDEFGHKJLMNOPQRSTUAUBUCUDUEUFUGUH
      UIUJUKULVSVTFXIXJJMQUGUHVKVLYDXEXNXMABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHU
      IUJUKULWCWDBDFXGXKJMNQUCUFUGUHWEWF $.

    $( Lemma for ~ cdlemk53 .  (Contributed by NM, 26-Jul-2013.) $)
    cdlemk53b $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( F e. T /\ F =/= ( _I |` B ) /\ N e. T )
            /\ G e. T /\ ( P e. A /\ -. P .<_ W ) )
        /\ ( I e. T /\ I =/= ( _I |` B ) /\ ( R ` G ) =/= ( R ` I ) ) )
       -> [_ ( G o. I ) / g ]_ X
               = ( [_ G / g ]_ X o. [_ I / g ]_ X ) ) $=
      ( chlt wcel wa cfv wceq cid cres wne w3a wbr ccom csb wf1o simp1l simp211
      wn simp212 jca simp31 simp213 simp23 simp1r cdlemk35s-id syl132anc ltrn1o
      wf syl2anc adantr f1of fcoi2 3syl simpl1l 3jca simpl23 cdlemkid syl112anc
      simpr coeq1d simpl31 csbeq1d 3eqtr4rd simpl22 simpl1r cdlemk53a syl331anc
      eqtrd simpl3 pm2.61dane ) MUMUNQJUNUOZHEUPPEUPUQZUOZHFUNZHURCUSZUTZPFUNZV
      AZIFUNZDBUNDQNVBVHUOZVAZKFUNZKXEUTZIEUPKEUPUTZVAZVAZGIKVCZRVDZGIRVDZGKRVD
      ZVCZUQZIXEXPIXEUQZUOZXEXTVCZXTYAXRYDCCXTVEZCCXTVRYEXTUQXPYFYCXPXAXTFUNZYF
      XAXBXKXOVFZXPXAXDXFUOZXLXGXJXBYGYHXPXDXFXDXFXGXIXJXCXOVGZXDXFXGXIXJXCXOVI
      VJZXCXKXLXMXNVKXDXFXGXIXJXCXOVLZXCXHXIXJXOVMXAXBXKXOVNZABCDEFGHKJLMNOPQRS
      TUAUBUCUDUEUFUGUHUIUJUKULVOVPCFXTJMUMQUBUGUHVQVSVTCCXTWACCXTWBWCYDXSXEXTY
      DXAXDXGXBVAZXJYCXSXEUQXAXBXKXOYCWDZXPYNYCXPXDXGXBYJYLYMWEVTXHXIXJXCXOYCWF
      XPYCWIZABCDEFGHIJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULWGWHWJYDGXQKRYDXQXEKVCZ
      KYDIXEKYPWJYDCCKVEZCCKVRYQKUQYDXAXLYRYOXLXMXNXCXKYCWKCFKJMUMQUBUGUHVQVSCC
      KWACCKWBWCWRWLWMXPIXEUTZUOZXAYIXIYSUOXGXJXBXOYBXAXBXKXOYSWDXPYIYSYKVTYTXI
      YSXHXIXJXCXOYSWNXPYSWIVJXPXGYSYLVTXHXIXJXCXOYSWFXAXBXKXOYSWOXCXKXOYSWSABC
      DEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULWPWQWT $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 7, p. 120. ` G ` ,
       ` I ` stand for g, h. ` X ` represents tau.  (Contributed by NM,
       26-Jul-2013.) $)
    cdlemk53 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( F e. T /\ F =/= ( _I |` B ) /\ N e. T )
            /\ G e. T /\ ( P e. A /\ -. P .<_ W ) )
        /\ ( I e. T /\ ( R ` G ) =/= ( R ` I ) ) )
       -> [_ ( G o. I ) / g ]_ X
               = ( [_ G / g ]_ X o. [_ I / g ]_ X ) ) $=
      ( chlt wcel wa cfv wceq cid cres wne w3a wbr ccom csb wf1o simp1l simp211
      wn simp212 jca simp22 simp213 simp23 simp1r cdlemk35s-id syl132anc ltrn1o
      wf syl2anc f1of fcoi1 3syl adantr simpl1l 3jca simpl23 cdlemkid syl112anc
      coeq2d csbeq1d 3eqtr4rd simpl1 simpl2 simpl3l simpl3r cdlemk53b syl113anc
      simpr eqtrd pm2.61dane ) MUMUNQJUNUOZHEUPPEUPUQZUOZHFUNZHURCUSZUTZPFUNZVA
      ZIFUNZDBUNDQNVBVHUOZVAZKFUNZIEUPKEUPUTZUOZVAZGIKVCZRVDZGIRVDZGKRVDZVCZUQZ
      KXEXOKXEUQZUOZXRXEVCZXRXTXQXOYDXRUQZYBXOCCXRVEZCCXRVRYEXOXAXRFUNZYFXAXBXK
      XNVFZXOXAXDXFUOXIXGXJXBYGYHXOXDXFXDXFXGXIXJXCXNVGZXDXFXGXIXJXCXNVIVJXCXHX
      IXJXNVKZXDXFXGXIXJXCXNVLZXCXHXIXJXNVMXAXBXKXNVNZABCDEFGHIJLMNOPQRSTUAUBUC
      UDUEUFUGUHUIUJUKULVOVPCFXRJMUMQUBUGUHVQVSCCXRVTCCXRWAWBWCYCXSXEXRYCXAXDXG
      XBVAZXJYBXSXEUQXAXBXKXNYBWDXOYMYBXOXDXGXBYIYKYLWEWCXHXIXJXCXNYBWFXOYBWRZA
      BCDEFGHKJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULWGWHWIYCGXPIRYCXPIXEVCZIYCKXEIY
      NWIXOYOIUQZYBXOCCIVEZCCIVRYPXOXAXIYQYHYJCFIJMUMQUBUGUHVQVSCCIVTCCIWAWBWCW
      SWJWKXOKXEUTZUOXCXKXLYRXMYAXCXKXNYRWLXCXKXNYRWMXLXMXCXKYRWNXOYRWRXLXMXCXK
      YRWOABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULWPWQWT $.

    $d b g j z $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 10, p. 120. ` G ` ,
       ` I ` stand for g, h. ` X ` represents tau.  (Contributed by NM,
       26-Jul-2013.) $)
    cdlemk54 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( F e. T /\ F =/= ( _I |` B ) /\ N e. T )
            /\ G e. T /\ ( P e. A /\ -. P .<_ W ) )
        /\ ( ( I e. T /\ ( R ` G ) = ( R ` I ) ) /\ j e. T
            /\ ( j =/= ( _I |` B ) /\ ( R ` j ) =/= ( R ` G )
                /\ ( R ` j ) =/= ( R ` ( G o. I ) ) ) ) )
       -> ( [_ ( G o. I ) / g ]_ X o. [_ j / g ]_ X )
               = ( ( [_ G / g ]_ X o. [_ I / g ]_ X ) o. [_ j / g ]_ X ) ) $=
      ( chlt wcel wa cfv wceq cid cres wne w3a wbr wn cv csb coass csbeq1 ax-mp
      simp1 simp21 simp1l simp22 simp31l ltrnco syl3anc simp23 simp333 cdlemk53
      simp32 necomd syl132anc simp31r simp332 neeqtrd simp331 trlcone syl122anc
      ccom simp2 eqnetrd syl112anc coeq2d eqtr4di eqtrd 3eqtr3a ) NUNUORKUOUPZI
      EUQQEUQURZUPZIFUOIUSCUTZVAQFUOVBZJFUOZDBUODROVCVDUPZVBZLFUOZJEUQZLEUQZURZ
      UPZHVEZFUOZXJWTVAZXJEUQZXFVAZXMJLWIZEUQZVAZVBZVBZVBZGXOXJWIZSVFZGJLXJWIZW
      IZSVFZGXOSVFGXJSVFZWIZGJSVFZGLSVFZWIYFWIZYAYDURYBYEURJLXJVGGYAYDSVHVIXTWS
      XAXOFUOZXCXKXPXMVAYBYGURWSXDXSVJZWSXAXBXCXSVKZXTWQXBXEYKWQWRXDXSVLZWSXAXB
      XCXSVMXEXHXKXRWSXDVNZFJLKNRUHUIVOVPWSXAXBXCXSVQZWSXDXIXKXRVTZXTXMXPXLXNXQ
      XIXKWSXDVRWAABCDEFGIXOKXJMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVSWBXTYEYHGYCS
      VFZWIZYJXTWSXDYCFUOZXFYCEUQZVAYEYSURYLWSXDXSWJXTWQXEXKYTYNYOYQFLXJKNRUHUI
      VOVPXTXFXGUUAXEXHXKXRWSXDWCZXTWQXEXKXGXMVAZXLXGUUAVAYNYOYQXTXMXGXTXMXFXGX
      LXNXQXIXKWSXDWDUUBWEWAZXLXNXQXIXKWSXDWFCEFLXJKNRUCUHUIUJWGWHWKABCDEFGIJKY
      CMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVSWLXTYSYHYIYFWIZWIYJXTYRUUEYHXTWSXAXE
      XCXKUUCYRUUEURYLYMYOYPYQUUDABCDEFGILKXJMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUM
      VSWBWMYHYIYFVGWNWOWP $.

    $( Lemma for ~ cdlemk55 .  (Contributed by NM, 26-Jul-2013.) $)
    cdlemk55a $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( F e. T /\ F =/= ( _I |` B ) /\ N e. T )
            /\ G e. T /\ ( P e. A /\ -. P .<_ W ) )
        /\ ( ( I e. T /\ ( R ` G ) = ( R ` I ) ) /\ j e. T
            /\ ( j =/= ( _I |` B ) /\ ( R ` j ) =/= ( R ` G )
                /\ ( R ` j ) =/= ( R ` ( G o. I ) ) ) ) )
       -> [_ ( G o. I ) / g ]_ X
               = ( [_ G / g ]_ X o. [_ I / g ]_ X ) ) $=
      ( chlt wcel wa cfv wceq cid cres wne w3a wbr wn ccom csb ccnv wf1o simp1l
      cv simp211 simp212 jca simp32 simp23 simp1r cdlemk35s-id syl131anc ltrn1o
      simp213 syl2anc f1ococnv2 syl coeq2d wf simp22 simp31l syl3anc f1of fcoi1
      ltrnco 3syl eqtr2d coass eqtr4di cdlemk54 coeq1d eqtrd syl5eq ) NUNUORKUO
      UPZIEUQQEUQURZUPZIFUOZIUSCUTZVAZQFUOZVBZJFUOZDBUODROVCVDUPZVBZLFUOZJEUQZL
      EUQURZUPZHVJZFUOZXOXDVAXOEUQZXLVAXQJLVEZEUQVAVBZVBZVBZGXRSVFZYBGXOSVFZVEZ
      YCVGZVEZGJSVFZGLSVFZVEZYAYBYBYCYEVEZVEZYFYAYKYBXDVEZYBYAYJXDYBYACCYCVHZYJ
      XDURYAWTYCFUOZYMWTXAXJXTVIZYAWTXCXEUPZXPXFXIXAUPZYNYOYAXCXEXCXEXFXHXIXBXT
      VKXCXEXFXHXIXBXTVLVMZXBXJXNXPXSVNXCXEXFXHXIXBXTVTZYAXIXAXBXGXHXIXTVOWTXAX
      JXTVPVMZABCDEFGIXOKMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVQVRCFYCKNUNRUCUHUIV
      SWACCYCWBWCZWDYACCYBVHZCCYBWEYLYBURYAWTYBFUOZUUBYOYAWTYPXRFUOZXFYQUUCYOYR
      YAWTXHXKUUDYOXBXGXHXIXTWFZXKXMXPXSXBXJWGZFJLKNRUHUIWKWHYSYTABCDEFGIXRKMNO
      PQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVQVRCFYBKNUNRUCUHUIVSWACCYBWICCYBWJWLWMYBY
      CYEWNWOYAYFYIYCVEZYEVEZYIYAYDUUGYEABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIU
      JUKULUMWPWQYAUUHYIYJVEZYIYIYCYEWNYAUUIYIXDVEZYIYAYJXDYIUUAWDYACCYIVHZCCYI
      WEUUJYIURYAWTYIFUOZUUKYOYAWTYGFUOZYHFUOZUULYOYAWTYPXHXFYQUUMYOYRUUEYSYTAB
      CDEFGIJKMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVQVRYAWTYPXKXFYQUUNYOYRUUFYSYTA
      BCDEFGILKMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVQVRFYGYHKNRUHUIWKWHCFYIKNUNRU
      CUHUIVSWACCYIWICCYIWJWLWRWSWRWR $.

    $d j .<_ $.  $d j A $.  $d j B $.  $d j F $.  $d j G $.  $d j H $.
    $d j I $.  $d j K $.  $d j N $.  $d j P $.  $d j R $.  $d j T $.  $d j W $.
    $d j X $.
    $( Lemma for ~ cdlemk55 .  (Contributed by NM, 26-Jul-2013.) $)
    cdlemk55b $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( F e. T /\ F =/= ( _I |` B ) /\ N e. T )
            /\ G e. T /\ ( P e. A /\ -. P .<_ W ) )
        /\ ( I e. T /\ ( R ` G ) = ( R ` I ) ) )
       -> [_ ( G o. I ) / g ]_ X
               = ( [_ G / g ]_ X o. [_ I / g ]_ X ) ) $=
      ( vj chlt wcel wa cfv wceq cid cres wne w3a wbr ccom wrex simp1ll simp1lr
      wn cv csb cdlemftr2 syl2anc simp11 simp12 simp2 simp3 cdlemk55a syl113anc
      simp13 rexlimdv3a mpd ) MUNUOZQJUOZUPHEUQPEUQURZUPZHFUOHUSCUTZVAPFUOVBIFU
      ODBUODQNVCVHUPVBZKFUOIEUQZKEUQURUPZVBZUMVIZWFVAWKEUQZWHVAWLIKVDZEUQZVAVBZ
      UMFVEZGWMRVJGIRVJGKRVJVDURZWJWBWCWPWBWCWDWGWIVFWBWCWDWGWIVGCEFUMJMQWHWNUB
      UGUHUIVKVLWJWOWQUMFWJWKFUOZWOVBWEWGWIWRWOWQWEWGWIWRWOVMWEWGWIWRWOVNWEWGWI
      WRWOVSWJWRWOVOWJWRWOVPABCDEFGUMHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVQVRV
      TWA $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 11, p. 120. ` G ` ,
       ` I ` stand for g, h. ` X ` represents tau.  (Contributed by NM,
       26-Jul-2013.) $)
    cdlemk55 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( F e. T /\ F =/= ( _I |` B ) /\ N e. T )
            /\ G e. T /\ I e. T )
        /\ ( P e. A /\ -. P .<_ W ) )
       -> [_ ( G o. I ) / g ]_ X
               = ( [_ G / g ]_ X o. [_ I / g ]_ X ) ) $=
      ( chlt wcel cfv wceq cid cres wne w3a wbr ccom csb simpl1 simpl21 simpl22
      wa wn simpl3 simpl23 simpr cdlemk55b syl132anc cdlemk53 pm2.61dane ) MUMU
      NQJUNVGHEUOPEUOUPVGZHFUNHUQCURUSPFUNUTZIFUNZKFUNZUTZDBUNDQNVAVHVGZUTZGIKV
      BRVCGIRVCGKRVCVBUPZIEUOZKEUOZWBWDWEUPZVGVPVQVRWAVSWFWCVPVTWAWFVDVQVRVSVPW
      AWFVEVQVRVSVPWAWFVFVPVTWAWFVIVQVRVSVPWAWFVJWBWFVKABCDEFGHIJKLMNOPQRSTUAUB
      UCUDUEUFUGUHUIUJUKULVLVMWBWDWEUSZVGVPVQVRWAVSWGWCVPVTWAWGVDVQVRVSVPWAWGVE
      VQVRVSVPWAWGVFVPVTWAWGVIVQVRVSVPWAWGVJWBWGVKABCDEFGHIJKLMNOPQRSTUAUBUCUDU
      EUFUGUHUIUJUKULVNVMVO $.

    ${
      cdlemk5a.s $e |- S = ( f e. T |-> ( iota_ i e. T
          ( i ` P ) = ( ( P .\/ ( R ` f ) )
                ./\ ( ( N ` P ) .\/ ( R ` ( f o. `' F ) ) ) ) ) ) $.
      cdlemk5a.u1 $e |- V = ( d e. T , e e. T
            |-> ( iota_ j e. T
          ( j ` P ) = ( ( P .\/ ( R ` e ) )
                ./\ ( ( ( S ` d ) ` P )
                  .\/ ( R ` ( e o. `' d ) ) ) ) ) ) $.
      $d d e f i j ./\ $.  $d i j .<_ $.  $d d e f i j .\/ $.  $d i j A $.
      $d f i j F $.  $d d e j G $.  $d i j H $.  $d i j K $.  $d f i j N $.
      $d d e f i j P $.  $d d e f i j R $.  $d b d e j S $.  $d d e f i j T $.
      $d d e f i j W $.  $d d e f i j b $.
      $( Part of proof of Lemma K of [Crawley] p. 118.  TODO: clean up
         ` ( b Y G ) ` stuff.  (Contributed by NM, 21-Jul-2013.)
         (New usage is discouraged.) $)
      cdlemkyyN $p |- ( ( ( K e. HL /\ W e. H /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( F e. T /\ F =/= ( _I |` B ) /\ N e. T )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) /\ ( P e. A /\ -. P .<_ W ) )
        /\ ( b e. T /\ ( b =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` F )
            /\ ( R ` b ) =/= ( R ` G ) ) ) )
     -> ( [_ G / g ]_ X ` P ) = ( ( b V G ) ` P ) ) $=
        ( chlt wcel cfv wceq w3a cid cres wne wa wbr wn cv ccnv ccom csb simp11
        simp12 jca simp13 simp211 simp3l simp213 simp3r2 simp212 simp3r1 simp23
        cdlemk30 syl233anc eqtr4di oveq1d 3jca simp22l simp3r3 simp22r cdlemk31
        co oveq2d syl223anc simp22 simp3 cdlemk42yN syl331anc 3eqtr4rd ) QVAVBZ
        UBOVBZMEVCZTEVCVDZVEZMGVBZMVFCVGZVHZTGVBZVEZNGVBZNXJVHZVIZDBVBDUBRVJVKV
        IZVEZUFVLZGVBZXSXJVHZXSEVCZXFVHZYBNEVCZVHZVEZVIZVEZDYDPWPZDXSFVCVCZNXSV
        MVNEVCZPWPZSWPZYIUEYKPWPZSWPZDXSNUAWPVCZDJNUCVOVCZYHYLYNYISYHYJUEYKPYHY
        JDYBPWPDTVCXSMVMVNEVCPWPSWPZUEYHXDXEVIZXGXIXTXLYCXKYAVIXQYJYRVDYHXDXEXD
        XEXGXRYGVPXDXEXGXRYGVQVRZXDXEXGXRYGVSZXIXKXLXPXQXHYGVTZXHXRXTYFWAZXIXKX
        LXPXQXHYGWBZYAYCYEXTXHXRWCZYHXKYAXIXKXLXPXQXHYGWDZYAYCYEXTXHXRWEZVRXHXM
        XPXQYGWFZBCDEFGIKMOPQRSTUBUFUHUIUJUKULUMUNUOUSWGWHUPWIWJWQYHYSXGXIXTXLV
        EXNYCYEVIXKYAXOVEXQYPYMVDYTUUAYHXIXTXLUUBUUCUUDWKXNXOXMXQXHYGWLYHYCYEUU
        EYAYCYEXTXHXRWMVRYHXKYAXOUUFUUGXNXOXMXQXHYGWNWKUUHBCDEFGHIKLMNOPQRSTUBU
        AUFUGUHUIUJUKULUMUNUOUSUTWOWRYHYSXIXKVIXPXLXQXGYGYQYOVDYTYHXIXKUUBUUFVR
        XHXMXPXQYGWSUUDUUHUUAXHXRYGWTABCDEGJMNOPQRSTUBUCUDUEUFUHUIUJUKULUMUNUOU
        PUQURXAXBXC $.
    $}

    cdlemk5.u $e |- U = ( g e. T |-> if ( F = N , g , X ) ) $.
    $( Part of proof of Lemma K of [Crawley] p. 118.  TODO: fix comment.
       (Contributed by NM, 31-Jul-2013.)  (New usage is discouraged.) $)
    cdlemk43N $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( ( F e. T /\ N e. T /\ F =/= N )
            /\ ( G e. T /\ G =/= ( _I |` B ) ) /\ ( P e. A /\ -. P .<_ W ) )
        /\ ( b e. T /\ ( b =/= ( _I |` B ) /\ ( R ` b ) =/= ( R ` F )
            /\ ( R ` b ) =/= ( R ` G ) ) ) )
     -> ( ( U ` G ) ` P ) = [_ G / g ]_ Y ) $=
      ( chlt wcel wa cfv wceq wne w3a cid cres wbr wn cv csb simp213 simp22l wi
      wral cdlemk40f syl2anc fveq1d simp1l simp211 simp212 simp1r syl122anc jca
      trlnid simp22 simp23 simp3 cdlemk42 syl331anc eqtrd ) MUNUOQKUOUPZIEUQZPE
      UQURZUPZIFUOZPFUOZIPUSZUTZJFUOZJVACVBZUSZUPZDBUODQNVCVDUPZUTZUAVEZFUOXAWP
      USZXAEUQZWHUSZXCJEUQUSUTUPZUTZDJGUQZUQDHJRVFZUQZHJSVFZXFDXGXHXFWMWOXGXHUR
      WKWLWMWRWSWJXEVGZWOWQWNWSWJXEVHXBXDXCHVEEUQUSUTDAVEUQSURVIUAFVJAFGHIJPRUL
      UMVKVLVMXFWGWKIWPUSZUPWRWLWSWIXEXIXJURWGWIWTXEVNZXFWKXLWKWLWMWRWSWJXEVOZX
      FWGWKWLWMWIXLXMXNWKWLWMWRWSWJXEVPZXKWGWIWTXEVQZCEFIPKMQUBUGUHUIVTVRVSWJWN
      WRWSXEWAXOWJWNWRWSXEWBXPWJWTXEWCABCDEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUK
      ULWDWEWF $.

    $( Substitution version of ~ cdlemk35 .  (Contributed by NM,
       31-Jul-2013.) $)
    cdlemk35u $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( R ` F ) = ( R ` N ) )
        /\ ( F e. T /\ N e. T /\ G e. T )
        /\ ( P e. A /\ -. P .<_ W ) )
     -> ( U ` G ) e. T ) $=
      ( chlt wcel wa cfv wceq w3a wbr wn simpr simpl23 cv cid cres wi cdlemk40t
      wne wral syl2anc eqeltrd cdlemk40f simpl1l simpl21 simpl22 simpl1r trlnid
      csb syl122anc jca simpl3 cdlemk35s-id syl132anc pm2.61dane ) MUNUOQKUOUPZ
      IEUQZPEUQURZUPZIFUOZPFUOZJFUOZUSZDBUODQNUTVAUPZUSZJGUQZFUOIPWOIPURZUPZWPJ
      FWRWQWLWPJURWOWQVBWJWKWLWIWNWQVCZUAVDZVECVFZVIWTEUQZWGVIXBHVDEUQVIUSDAVDU
      QSURVGUAFVJZAFGHIJPRULUMVHVKWSVLWOIPVIZUPZWPHJRVSZFXEXDWLWPXFURWOXDVBZWJW
      KWLWIWNXDVCZXCAFGHIJPRULUMVMVKXEWFWJIXAVIZUPWLWKWNWHXFFUOWFWHWMWNXDVNZXEW
      JXIWJWKWLWIWNXDVOZXEWFWJWKXDWHXIXJXKWJWKWLWIWNXDVPZXGWFWHWMWNXDVQZCEFIPKM
      QUBUGUHUIVRVTWAXHXLWIWMWNXDWBXMABCDEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKU
      LWCWDVLWE $.

    $( Lemma for ~ cdlemk55u .  (Contributed by NM, 31-Jul-2013.) $)
    cdlemk55u1 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ N e. T )
        /\ ( ( ( R ` F ) = ( R ` N ) /\ F =/= N ) /\ G e. T /\ I e. T )
        /\ ( P e. A /\ -. P .<_ W ) )
       -> ( U ` ( G o. I ) ) = ( ( U ` G ) o. ( U ` I ) ) ) $=
      ( chlt wcel wa w3a cfv wceq wne wbr wn ccom csb cid simp11 simp21l simp12
      cres simp13 simp21r trlnid syl122anc 3jca simp22 simp3 cdlemk55 syl231anc
      simp23 ltrnco syl3anc cv wi wral cdlemk40f syl2anc coeq12d 3eqtr4d ) NUOU
      PRKUPUQZIFUPZQFUPZURZIEUSZQEUSUTZIQVAZUQZJFUPZLFUPZURZDBUPDROVBVCUQZURZHJ
      LVDZSVEZHJSVEZHLSVEZVDZXCGUSZJGUSZLGUSZVDXBWJWOWKIVFCVJZVAZWLURWRWSXAXDXG
      UTWJWKWLWTXAVGZWOWPWRWSWMXAVHZXBWKXLWLWJWKWLWTXAVIZXBWJWKWLWPWOXLXMXOWJWK
      WLWTXAVKZWOWPWRWSWMXAVLZXNCEFIQKNRUCUHUIUJVMVNXPVOWMWQWRWSXAVPZWMWQWRWSXA
      VTZWMWTXAVQABCDEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVRVSXBWPXCFUPZXHX
      DUTXQXBWJWRWSXTXMXRXSFJLKNRUHUIWAWBUBWCZXKVAYAEUSZWNVAYBHWCEUSVAURDAWCUST
      UTWDUBFWEZAFGHIXCQSUMUNWFWGXBXIXEXJXFXBWPWRXIXEUTXQXRYCAFGHIJQSUMUNWFWGXB
      WPWSXJXFUTXQXSYCAFGHILQSUMUNWFWGWHWI $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 11, p. 120. ` G ` ,
       ` I ` stand for g, h. ` X ` represents tau.  (Contributed by NM,
       31-Jul-2013.) $)
    cdlemk55u $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ N e. T )
        /\ ( ( R ` F ) = ( R ` N ) /\ G e. T /\ I e. T )
        /\ ( P e. A /\ -. P .<_ W ) )
       -> ( U ` ( G o. I ) ) = ( ( U ` G ) o. ( U ` I ) ) ) $=
      ( chlt wcel wa w3a cfv wceq wbr wn ccom simpr simp11 simp22 simp23 ltrnco
      syl3anc adantr cv cid cres wral cdlemk40t syl2anc simpl22 simpl23 coeq12d
      wne wi eqtr4d simpl1 simpl21 jca simpl3 cdlemk55u1 syl131anc pm2.61dane )
      NUOUPRKUPUQZIFUPZQFUPZURZIEUSZQEUSUTZJFUPZLFUPZURZDBUPDROVAVBUQZURZJLVCZG
      USZJGUSZLGUSZVCZUTZIQWTIQUTZUQZXBXAXEXHXGXAFUPZXBXAUTWTXGVDZWTXIXGWTWJWPW
      QXIWJWKWLWRWSVEWMWOWPWQWSVFWMWOWPWQWSVGFJLKNRUHUIVHVIVJUBVKZVLCVMVTXKEUSZ
      WNVTXLHVKEUSVTURDAVKUSTUTWAUBFVNZAFGHIXAQSUMUNVOVPXHXCJXDLXHXGWPXCJUTXJWO
      WPWQWMWSXGVQXMAFGHIJQSUMUNVOVPXHXGWQXDLUTXJWOWPWQWMWSXGVRXMAFGHILQSUMUNVO
      VPVSWBWTIQVTZUQZWMWOXNUQWPWQWSXFWMWRWSXNWCXOWOXNWOWPWQWMWSXNWDWTXNVDWEWOW
      PWQWMWSXNVQWOWPWQWMWSXNVRWMWRWSXNWFABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUI
      UJUKULUMUNWGWHWI $.

    $( Lemma for ~ cdlemk39u .  (Contributed by NM, 31-Jul-2013.) $)
    cdlemk39u1 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ N e. T )
        /\ ( ( R ` F ) = ( R ` N ) /\ F =/= N /\ G e. T )
        /\ ( P e. A /\ -. P .<_ W ) )
     -> ( R ` ( U ` G ) ) .<_ ( R ` G ) ) $=
      ( chlt wcel wa w3a cfv wceq wne wbr wn csb simp22 simp23 cv cid cres wral
      cdlemk40f syl2anc fveq2d simp11 simp12 simp13 simp21 trlnid syl122anc jca
      wi simp3 cdlemk39s-id syl132anc eqbrtrd ) MUNUOQKUOUPZIFUOZPFUOZUQZIEURZP
      EURUSZIPUTZJFUOZUQZDBUODQNVAVBUPZUQZJGURZEURHJRVCZEURZJEURZNWOWPWQEWOWKWL
      WPWQUSWHWJWKWLWNVDZWHWJWKWLWNVEZUAVFZVGCVHZUTXBEURZWIUTXDHVFEURUTUQDAVFUR
      SUSVTUAFVIAFGHIJPRULUMVJVKVLWOWEWFIXCUTZUPWLWGWNWJWRWSNVAWEWFWGWMWNVMZWOW
      FXEWEWFWGWMWNVNZWOWEWFWGWKWJXEXFXGWEWFWGWMWNVOZWTWHWJWKWLWNVPZCEFIPKMQUBU
      GUHUIVQVRVSXAXHWHWMWNWAXIABCDEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULWBWCW
      D $.

    $( Part of proof of Lemma K of [Crawley] p. 118.  Line 31, p. 119.
       Trace-preserving property of the value of tau, represented by
       ` ( U `` G ) ` .  (Contributed by NM, 31-Jul-2013.) $)
    cdlemk39u $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ N e. T )
        /\ ( ( R ` F ) = ( R ` N ) /\ G e. T )
        /\ ( P e. A /\ -. P .<_ W ) )
     -> ( R ` ( U ` G ) ) .<_ ( R ` G ) ) $=
      ( chlt wcel wa w3a cfv wceq wbr wn simpr simpl2r cv cid cres wi cdlemk40t
      wral syl2anc fveq2d clat simp11l hllatd simp11 simp2r trlcl latref adantr
      wne eqbrtrd simpl1 simpl2l simpl3 cdlemk39u1 syl131anc pm2.61dane ) MUNUO
      ZQKUOZUPZIFUOZPFUOZUQZIEURZPEURUSZJFUOZUPZDBUODQNUTVAUPZUQZJGURZEURZJEURZ
      NUTZIPWSIPUSZUPZXAXBXBNXEWTJEXEXDWPWTJUSWSXDVBWOWPWMWRXDVCUAVDZVECVFVTXFE
      URZWNVTXGHVDEURVTUQDAVDURSUSVGUAFVIAFGHIJPRULUMVHVJVKWSXBXBNUTZXDWSMVLUOX
      BCUOZXHWSMWHWIWKWLWQWRVMVNWSWJWPXIWJWKWLWQWRVOWMWOWPWRVPCEFJKMQUBUGUHUIVQ
      VJCMNXBUBUCVRVJVSWAWSIPVTZUPWMWOXJWPWRXCWMWQWRXJWBWOWPWMWRXJWCWSXJVBWOWPW
      MWRXJVCWMWQWRXJWDABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMWEWFWG $.

    $( ~ cdlemk19 with simpler hypotheses.  TODO:  Clean all this up.
       (Contributed by NM, 31-Jul-2013.) $)
    cdlemk19u1 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( R ` F ) = ( R ` N ) )
      /\ ( F e. T /\ F =/= N /\ N e. T )
      /\ ( P e. A /\ -. P .<_ W ) )
   -> ( ( U ` F ) ` P ) = ( N ` P ) ) $=
      ( chlt wcel wa cfv wceq wne w3a wbr wn csb simp22 simp21 cv cid cres wral
      wi cdlemk40f syl2anc fveq1d simp1l simp23 simp1r syl122anc 3jca cdlemk19x
      trlnid syld3an2 eqtrd ) LUMUNPJUNUOZIEUPZOEUPUQZUOZIFUNZIOURZOFUNZUSZDBUN
      DPMUTVAUOZUSZDIGUPZUPDHIQVBZUPZDOUPZWKDWLWMWKWGWFWLWMUQWEWFWGWHWJVCZWEWFW
      GWHWJVDZTVEZVFCVGZURWREUPZWCURWTHVEEUPURUSDAVEUPRUQVITFVHAFGHIIOQUKULVJVK
      VLWEWFIWSURZWHUSWIWJWNWOUQWKWFXAWHWQWKWBWFWHWGWDXAWBWDWIWJVMWQWEWFWGWHWJV
      NZWPWBWDWIWJVOCEFIOJLPUAUFUGUHVSVPXBVQABCDEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUH
      UIUJUKVRVTWA $.

    $( Part of Lemma K of [Crawley] p. 118.  Line 12, p. 120, "f (exponent) tau
       = k".  We represent f, k, tau with ` F ` , ` N ` , ` U ` .  (Contributed
       by NM, 31-Jul-2013.) $)
    cdlemk19u $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( R ` F ) = ( R ` N ) )
      /\ ( F e. T /\ N e. T )
      /\ ( P e. A /\ -. P .<_ W ) )
   -> ( U ` F ) = N ) $=
      ( chlt wcel wa cfv wceq wbr wn simp1l simp1 simp2l simp2r simp3 cdlemk35u
      w3a syl131anc simpr simpl2l cv cid cres wne wral cdlemk40t syl2anc fveq1d
      fveq1 adantl simpl1 simpl2r simpl3 cdlemk19u1 pm2.61dane cdlemd syl311anc
      wi eqtrd ) LUMUNPJUNUOZIEUPZOEUPUQZUOZIFUNZOFUNZUOZDBUNDPMURUSUOZVFZWIIGU
      PZFUNZWNWPDWRUPZDOUPZUQZWROUQWIWKWOWPUTWQWLWMWNWMWPWSWLWOWPVAWLWMWNWPVBZW
      LWMWNWPVCZXCWLWOWPVDZABCDEFGHIIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVEVGXDX
      EWQXBIOWQIOUQZUOZWTDIUPZXAXGDWRIXGXFWMWRIUQWQXFVHWMWNWLWPXFVITVJZVKCVLVMX
      IEUPZWJVMXJHVJEUPVMVFDAVJUPRUQWGTFVNAFGHIIOQUKULVOVPVQXFXHXAUQWQDIOVRVSWH
      WQIOVMZUOWLWMXKWNWPXBWLWOWPXKVTWMWNWLWPXKVIWQXKVHWMWNWLWPXKWAWLWOWPXKWBAB
      CDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULWCVGWDBDFWROJLMPUBUEUFUGWEWF $.

    cdlemk5.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    $d f h .<_ $.  $d f h A $.  $d f h F $.  $d f h H $.  $d f h K $.
    $d f h N $.  $d f h P $.  $d f h R $.  $d f h T $.  $d f h U $.
    $d f h W $.  $d b f h g z $.
    $( Part of Lemma K of [Crawley] p. 118.  Line 11, p. 120, "tau is in Delta"
       i.e. ` U ` is a trace-preserving endormorphism.  (Contributed by NM,
       31-Jul-2013.) $)
    cdlemk56 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ F e. T /\ N e. T )
        /\ ( R ` F ) = ( R ` N ) /\ ( P e. A /\ -. P .<_ W ) )
     -> U e. E ) $=
      ( vf vh chlt wcel wa w3a cfv wceq wbr wn simp11 wfn cv wf cif cvv vex cid
      wral cres wi crio riotaex eqeltri ifex rgenw fnmpt simpl11 simpl2 simpl12
      wne mp1i simpl13 simpr simpl3 cdlemk35u syl231anc ralrimiva sylanbrc ccom
      ffnfv simp12 simp2 simp3 cdlemk55u syl131anc cdlemk39u syl121anc istendod
      simp13 simpl1 ) MUQURQKURUSZJFURZPFURZUTZJEVAZPEVAVBZDBURDQNVCVDUSZUTZEGF
      UOUPIKMNUQQUCUGUHUIUNXFXGXHXKXLVEXMGFVFZUOVGZGVAZFURZUOFVMFFGVHJPVBZHVGZR
      VIZVJURZHFVMXNXMYAHFXRXSRHVKRUAVGZVLCVNWEYBEVAZXJWEYCXSEVAWEUTDAVGVASVBVO
      UAFVMZAFVPVJULYDAFVQVRVSVTHFXTGVJUMWAWFXMXQUOFXMXOFURZUSZXFXKXGXHYEXLXQXF
      XGXHXKXLYEWBXIXKXLYEWCZXFXGXHXKXLYEWDXFXGXHXKXLYEWGXMYEWHZXIXKXLYEWIZABCD
      EFGHJXOKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMWJWKWLUOFFGWOWMXMYEUPVGZFURZUT
      XIXKYEYKXLXOYJWNGVAXPYJGVAWNVBXIXKXLYEYKVEXIXKXLYEYKWPXMYEYKWQXMYEYKWRXIX
      KXLYEYKXDABCDEFGHJXOKYJLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMWSWTYFXIXKYEXLX
      PEVAXOEVANVCXIXKXLYEXEYGYHYIABCDEFGHJXOKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUL
      UMXAXBXC $.
  $}

  ${
    cdlemk6.b $e |- B = ( Base ` K ) $.
    cdlemk6.j $e |- .\/ = ( join ` K ) $.
    cdlemk6.m $e |- ./\ = ( meet ` K ) $.
    cdlemk6.o $e |- ._|_ = ( oc ` K ) $.
    cdlemk6.a $e |- A = ( Atoms ` K ) $.
    cdlemk6.h $e |- H = ( LHyp ` K ) $.
    cdlemk6.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemk6.r $e |- R = ( ( trL ` K ) ` W ) $.
    cdlemk6.p $e |- P = ( ._|_ ` W ) $.
    cdlemk6.z $e |- Z = ( ( P .\/ ( R ` b ) )
       ./\ ( ( N ` P ) .\/ ( R ` ( b o. `' F ) ) ) ) $.
    cdlemk6.y $e |- Y = ( ( P .\/ ( R ` g ) )
       ./\ ( Z .\/ ( R ` ( g o. `' b ) ) ) ) $.
    cdlemk6.x $e |- X = ( iota_ z e. T A. b e. T ( ( b =/= ( _I |` B )
            /\ ( R ` b ) =/= ( R ` F ) /\ ( R ` b ) =/= ( R ` g ) )
      -> ( z ` P ) = Y ) ) $.
    cdlemk6.u $e |- U = ( g e. T |-> if ( F = N , g , X ) ) $.
    $d b g z ./\ $.  $d b g z .\/ $.  $d b g z A $.  $d b g z B $.
    $d b g z F $.  $d b g z H $.  $d b g z K $.  $d b g z N $.  $d b g z P $.
    $d b g z R $.  $d b g z T $.  $d b g z W $.  $d z Y $.  $d g Z $.
    $( Use a fixed element to eliminate ` P ` in ~ cdlemk19u .  (Contributed by
       NM, 1-Aug-2013.) $)
    cdlemk19w $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ N e. T )
       /\ ( R ` F ) = ( R ` N ) ) -> ( U ` F ) = N ) $=
      ( chlt wcel wa cfv wceq w3a cple wbr wn 3simpb simp2 eqid lhpocnel eleq1i
      3ad2ant1 breq1i notbii anbi12i sylibr cdlemk19u syl3anc ) LUNUOPJUOUPZIFU
      ONFUOUPZIEUQNEUQURZUSZVOVQUPVPDBUOZDPLUTUQZVAZVBZUPZIGUQNURVOVPVQVCVOVPVQ
      VDVRPOUQZBUOZWDPVTVAZVBZUPZWCVOVPWHVQBJLVTOPVTVEZUDUEUFVFVHVSWEWBWGDWDBUI
      VGWAWFDWDPVTUIVIVJVKVLABCDEFGHIJKLVTMNPQRSTUAWIUBUCUEUFUGUHUJUKULUMVMVN
      $.

    cdlemk6.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    $( Use a fixed element to eliminate ` P ` in ~ cdlemk56 .  (Contributed by
       NM, 1-Aug-2013.) $)
    cdlemk56w $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ N e. T )
       /\ ( R ` F ) = ( R ` N ) ) -> ( U e. E /\ ( U ` F ) = N ) ) $=
      ( chlt wcel wa cfv wceq w3a cple wn simp1 simp2l simp2r simp3 eqid fveq1i
      wbr coc eqtri lhpocnel2 3ad2ant1 cdlemk56 syl311anc cdlemk19w jca ) MUPUQ
      QKUQURZJFUQZOFUQZURZJEUSOEUSUTZVAZGIUQZJGUSOUTWDVSVTWAWCDBUQDQMVBUSZVJVCU
      RZWEVSWBWCVDVSVTWAWCVEVSVTWAWCVFVSWBWCVGVSWBWGWCBDKMWFQWFVHZUFUGDQPUSQMVK
      USZUSUJQPWIUEVIVLVMVNABCDEFGHIJKLMWFNOQRSTUAUBWHUCUDUFUGUHUIUKULUMUNUOVOV
      PABCDEFGHJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNVQVR $.
  $}

  ${
    $d u E $.  $d b f u z F $.  $d b f z H $.  $d b f u z K $.  $d b f u z N $.
    $d b f u z R $.  $d b f u z T $.  $d b f u z W $.
    cdlemk7.h $e |- H = ( LHyp ` K ) $.
    cdlemk7.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemk7.r $e |- R = ( ( trL ` K ) ` W ) $.
    cdlemk7.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    $( Lemma K of [Crawley] p. 118.  Final result, lines 11 and 12 on p. 120:
       given two translations f and k with the same trace, there exists a
       trace-preserving endomorphism tau whose value at f is k.  We use ` F ` ,
       ` N ` , and ` u ` to represent f, k, and tau.  (Contributed by NM,
       1-Aug-2013.) $)
    cdlemk $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ N e. T )
       /\ ( R ` F ) = ( R ` N ) ) -> E. u e. E ( u ` F ) = N ) $=
      ( vf wcel cfv wceq cv co eqid vb vz chlt wa w3a cid cbs cres wne coc ccnv
      cjn ccom cmee wi wral crio cif cmpt wrex catm cdlemk56w eqeq1d rspcev syl
      fveq1 ) GUCOIFOUDECOHCOUDEBPZHBPQUENCEHQNRZUARZUFGUGPZUHUIVIBPZVGUIVKVHBP
      ZUIUEIGUJPZPZUBRPVNVLGULPZSVNVKVOSVNHPVIEUKUMBPVOSGUNPZSZVHVIUKUMBPVOSVPS
      ZQUOUACUPUBCUQZURUSZDOEVTPZHQZUDEARZPZHQZADUTUBGVAPZVJVNBCVTNDEFVOGVPHVMI
      VSVRVQUAVJTVOTVPTVMTWFTJKLVNTVQTVRTVSTVTTMVBWEWBAVTDWCVTQWDWAHEWCVTVFVCVD
      VE $.
  $}

  ${
    $d u E $.  $d u F $.  $d h H $.  $d h u K $.  $d u N $.  $d u R $.
    $d h u T $.  $d h u W $.
    tendoex.l $e |- .<_ = ( le ` K ) $.
    tendoex.h $e |- H = ( LHyp ` K ) $.
    tendoex.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    tendoex.r $e |- R = ( ( trL ` K ) ` W ) $.
    tendoex.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    $( Generalization of Lemma K of [Crawley] p. 118, ~ cdlemk .  TODO: can
       this be used to shorten uses of ~ cdlemk ?  (Contributed by NM,
       15-Oct-2013.) $)
    tendoex $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ N e. T )
       /\ ( R ` N ) .<_ ( R ` F ) ) -> E. u e. E ( u ` F ) = N ) $=
      ( wcel wa cfv wceq syl2anc vh chlt wbr wrex cp0 w3a catm cops cbs simpl1l
      cv wo hlop syl simpl1 simpl2r eqid trlcl simpr simpl3 leat syl31anc simp3
      breq2 syl5ibcom imp ople0 mpbid olcd simp1 simp2l trlator0 mpjaodan 3expa
      wb cdlemk sylan2b cid cres cmpt tendo0cl ad2antrr simplrl tendo02 trlid0b
      eqcom adantrl biimpar eqtr4d fveq1 eqeq1d rspcev jaodan syldan 3impa ) GU
      BPZJFPZQZECPZICPZQZIBRZEBRZHUCZEAUKZRZISZADUDZWRXAQZXDXBXCSZXBGUERZSZULZX
      HWRXAXDXMWRXAXDUFZXCGUGRZPZXMXCXKSZXNXPQZGUHPZXBGUIRZPZXPXDXMXRWPXSWPWQXA
      XDXPUJGUMZUNXRWRWTYAWRXAXDXPUOWSWTWRXDXPUPXTBCIFGJXTUQZLMNURZTXNXPUSWRXAX
      DXPUTXOXTXCGHXBXKYCKXKUQZXOUQZVAVBXNXQQZXLXJYGXBXKHUCZXLXNXQYHXNXDXQYHWRX
      AXDVCXCXKXBHVDVEVFYGXSYAYHXLVOYGWPXSWPWQXAXDXQUJYBUNYGWRWTYAWRXAXDXQUOWSW
      TWRXDXQUPYDTXTGHXBXKYCKYEVGTVHVIXNWRWSXPXQULWRXAXDVJWRWSWTXDVKXOBCEFGJXKY
      EYFLMNVLTVMVNXIXJXHXLXJXIXCXBSZXHXBXCWFWRXAYIXHABCDEFGIJLMNOVPVNVQXIXLQZU
      ACVRXTVSZVTZDPZEYLRZISZXHWRYMXAXLXTCUADFGYLJYCLMOYLUQZWAWBYJYNYKIYJWSYNYK
      SWRWSWTXLWCXTCUAEGYLYPYCWDUNXIIYKSZXLWRWTYQXLVOWSXTBCIFGJXKYCYELMNWEWGWHW
      IXGYOAYLDXEYLSXFYNIEXEYLWJWKWLTWMWNWO $.
  $}

  ${
    cdleml1.b $e |- B = ( Base ` K ) $.
    cdleml1.h $e |- H = ( LHyp ` K ) $.
    cdleml1.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdleml1.r $e |- R = ( ( trL ` K ) ` W ) $.
    cdleml1.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    $( Part of proof of Lemma L of [Crawley] p. 120.  TODO: fix comment.
       (Contributed by NM, 1-Aug-2013.)  (New usage is discouraged.) $)
    cdleml1N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( U e. E /\ V e. E /\ f e. T )
      /\ ( f =/= ( _I |` B )
            /\ ( U ` f ) =/= ( _I |` B ) /\ ( V ` f ) =/= ( _I |` B ) ) )
        -> ( R ` ( U ` f ) ) = ( R ` ( V ` f ) ) ) $=
      ( chlt wcel w3a cfv syl3anc wa cv cid cres wne cple wbr wceq simp1 simp21
      simp23 eqid tendotp cal catm wb simp1l syl tendocl simp32 trlnidat simp31
      hlatl atcmp mpbid simp22 simp33 eqtr4d ) HPQZJGQZUAZDFQZIFQZEUBZCQZRZVNUC
      AUDZUEZVNDSZVQUEZVNISZVQUEZRZRZVSBSZVNBSZWABSZWDWEWFHUFSZUGZWEWFUHZWDVKVL
      VOWIVKVPWCUIZVKVLVMVOWCUJZVKVLVMVOWCUKZBDCFVNGHWHPJWHULZLMNOUMTWDHUNQZWEH
      UOSZQZWFWPQZWIWJUPWDVIWOVIVJVPWCUQHVCURZWDVKVSCQZVTWQWKWDVKVLVOWTWKWLWMDC
      FVNGHPJLMOUSTVKVPVRVTWBUTWPABCVSGHJKWPULZLMNVATWDVKVOVRWRWKWMVKVPVRVTWBVB
      WPABCVNGHJKXALMNVATZWPWEWFHWHWNXAVDTVEWDWGWFWHUGZWGWFUHZWDVKVMVOXCWKVKVLV
      MVOWCVFZWMBICFVNGHWHPJWNLMNOUMTWDWOWGWPQZWRXCXDUPWSWDVKWACQZWBXFWKWDVKVMV
      OXGWKXEWMICFVNGHPJLMOUSTVKVPVRVTWBVGWPABCWAGHJKXALMNVATXBWPWGWFHWHWNXAVDT
      VEVH $.

    $d s E $.  $d s K $.  $d s R $.  $d s T $.  $d s U $.  $d s V $.  $d s W $.
    $d s f $.
    $( Part of proof of Lemma L of [Crawley] p. 120.  TODO: fix comment.
       (Contributed by NM, 1-Aug-2013.)  (New usage is discouraged.) $)
    cdleml2N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( U e. E /\ V e. E /\ f e. T )
      /\ ( f =/= ( _I |` B )
            /\ ( U ` f ) =/= ( _I |` B ) /\ ( V ` f ) =/= ( _I |` B ) ) )
        -> E. s e. E ( s ` ( U ` f ) ) = ( V ` f ) ) $=
      ( chlt wcel w3a cfv wa cid cres wne wceq wrex simp1 simp21 simp23 tendocl
      cv syl3anc simp22 cdleml1N cdlemk syl121anc ) HQRJGRUAZDFRZIFRZEUKZCRZSZU
      TUBAUCZUDUTDTZVCUDUTITZVCUDSZSZUQVDCRZVECRZVDBTVEBTUEVDKUKTVEUEKFUFUQVBVF
      UGZVGUQURVAVHVJUQURUSVAVFUHUQURUSVAVFUIZDCFUTGHQJMNPUJULVGUQUSVAVIVJUQURU
      SVAVFUMVKICFUTGHQJMNPUJULABCDEFGHIJLMNOPUNKBCFVDGHVEJMNOPUOUP $.

    $d g s B $.  $d f E $.  $d f g s H $.  $d f g K $.  $d f s .0. $.
    $d f g T $.  $d f U $.  $d f V $.  $d f g W $.
    cdleml3.o $e |- .0. = ( g e. T |-> ( _I |` B ) ) $.
    $( Part of proof of Lemma L of [Crawley] p. 120.  TODO: fix comment.
       (Contributed by NM, 1-Aug-2013.)  (New usage is discouraged.) $)
    cdleml3N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( U e. E /\ V e. E /\ f e. T )
      /\ ( f =/= ( _I |` B ) /\ U =/= .0. /\ V =/= .0. ) )
        -> E. s e. E ( s o. U ) = V ) $=
      ( wceq chlt wcel wa cv w3a cid cres wne cfv wrex ccom simp1 simp31 simp32
      simp2 wb simp21 simp23 syl112anc necon3bid mpbird simp33 simp22 syl113anc
      tendoid0 cdleml2N simpl1 simpr simpl21 tendocoval syl121anc eqeq1d simp11
      simpl23 simp121 tendococl syl3anc simp122 simp3 simp123 simp131 syl132anc
      tendocan 3expia sylbird reximdva mpd ) IUAUBKHUBUCZDGUBZJGUBZEUDZCUBZUEZW
      KUFAUGZUHZDLUHZJLUHZUEZUEZWKDUIZMUDZUIZWKJUIZTZMGUJZXADUKZJTZMGUJWSWHWMWO
      WTWNUHZXCWNUHZXEWHWMWRULZWHWMWRUOWHWMWOWPWQUMZWSXHWPWHWMWOWPWQUNWSWTWNDLW
      SWHWIWLWOWTWNTDLTUPXJWHWIWJWLWRUQWHWIWJWLWRURZXKACDFGWKHILKNOPRSVEUSUTVAW
      SXIWQWHWMWOWPWQVBWSXCWNJLWSWHWJWLWOXCWNTJLTUPXJWHWIWJWLWRVCXLXKACJFGWKHIL
      KNOPRSVEUSUTVAABCDEGHIJKMNOPQRVFVDWSXDXGMGWSXAGUBZUCZXDWKXFUIZXCTZXGXNXOX
      BXCXNWHXMWIWLXOXBTWHWMWRXMVGWSXMVHWIWJWLWHWRXMVIWIWJWLWHWRXMVNCXAGWKHIDKU
      AOPRVJVKVLWSXMXPXGWSXMXPUEZWHXFGUBZWJXPWLWOXGWHWMWRXMXPVMZXQWHXMWIXRXSWSX
      MXPUOWIWJWLWHWRXMXPVOXADGHIKORVPVQWIWJWLWHWRXMXPVRWSXMXPVSWIWJWLWHWRXMXPV
      TWOWPWQWHWMXMXPWAACXFGWKHIJKNOPRWCWBWDWEWFWG $.

    $( Part of proof of Lemma L of [Crawley] p. 120.  TODO: fix comment.
       (Contributed by NM, 1-Aug-2013.)  (New usage is discouraged.) $)
    cdleml4N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( U e. E /\ V e. E )
      /\ ( U =/= .0. /\ V =/= .0. ) )
        -> E. s e. E ( s o. U ) = V ) $=
      ( vf wcel chlt wa wne w3a cv cid cres wrex ccom cdlemftr0 3ad2ant1 simp11
      simp12l simp12r simp2 simp3 simp13l simp13r cdleml3N syl133anc rexlimdv3a
      wceq mpd ) HUATJGTUBZDFTZIFTZUBZDKUCZIKUCZUBZUDZSUEZUFAUGUCZSCUHZLUEDUIIV
      BLFUHZVDVGVNVJACSGHJMNOUJUKVKVMVOSCVKVLCTZVMUDVDVEVFVPVMVHVIVOVDVGVJVPVMU
      LVEVFVDVJVPVMUMVEVFVDVJVPVMUNVKVPVMUOVKVPVMUPVHVIVDVGVPVMUQVHVIVDVGVPVMUR
      ABCDSEFGHIJKLMNOPQRUSUTVAVC $.

    $( Part of proof of Lemma L of [Crawley] p. 120.  TODO: fix comment.
       (Contributed by NM, 1-Aug-2013.)  (New usage is discouraged.) $)
    cdleml5N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( U e. E /\ V e. E )
       /\ U =/= .0. ) -> E. s e. E ( s o. U ) = V ) $=
      ( wcel wceq chlt wa wne w3a cv ccom simpl1 tendo0cl syl simpl2l tendo0mul
      syl2anc simpr eqtr4d coeq1 eqeq1d rspcev simpl2 simpl3 cdleml4N syl112anc
      wrex pm2.61dane ) HUASJGSUBZDFSZIFSZUBZDKUCZUDZLUEZDUFZITZLFVBZIKVIIKTZUB
      ZKFSZKDUFZITZVMVOVDVPVDVGVHVNUGZACEFGHKJMNOQRUHUIVOVQKIVOVDVEVQKTVSVEVFVD
      VHVNUJACDEFGHKJMNOQRUKULVIVNUMUNVLVRLKFVJKTVKVQIVJKDUOUPUQULVIIKUCZUBVDVG
      VHVTVMVDVGVHVTUGVDVGVHVTURVDVGVHVTUSVIVTUMABCDEFGHIJKLMNOPQRUTVAVC $.
  $}

  ${
    $d g b z ./\ $.  $d b .\/ g z $.  $d B b f g z $.  $d h b g z $.
    $d s b g z $.  $d H b g z $.  $d K b g z $.  $d Q b g z $.  $d R b g z $.
    $d T b f g z $.  $d W b g z $.  $d z Y $.  $d g Z $.
    cdleml6.b $e |- B = ( Base ` K ) $.
    cdleml6.j $e |- .\/ = ( join ` K ) $.
    cdleml6.m $e |- ./\ = ( meet ` K ) $.
    cdleml6.h $e |- H = ( LHyp ` K ) $.
    cdleml6.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdleml6.r $e |- R = ( ( trL ` K ) ` W ) $.
    cdleml6.p $e |- Q = ( ( oc ` K ) ` W ) $.
    cdleml6.z $e |- Z = ( ( Q .\/ ( R ` b ) )
       ./\ ( ( h ` Q ) .\/ ( R ` ( b o. `' ( s ` h ) ) ) ) ) $.
    cdleml6.y $e |- Y = ( ( Q .\/ ( R ` g ) )
       ./\ ( Z .\/ ( R ` ( g o. `' b ) ) ) ) $.
    cdleml6.x $e |- X = ( iota_ z e. T A. b e. T ( ( b =/= ( _I |` B )
            /\ ( R ` b ) =/= ( R ` ( s ` h ) ) /\ ( R ` b ) =/= ( R ` g ) )
      -> ( z ` Q ) = Y ) ) $.
    cdleml6.u $e |- U = ( g e. T |-> if ( ( s ` h ) = h , g , X ) ) $.
    cdleml6.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    cdleml6.o $e |- .0. = ( f e. T |-> ( _I |` B ) ) $.
    $( Part of proof of Lemma L of [Crawley] p. 120.  TODO: fix comment.
       (Contributed by NM, 11-Aug-2013.) $)
    cdleml6 $p |- ( ( ( K e. HL /\ W e. H )
             /\ h e. T /\ ( s e. E /\ s =/= .0. ) )
        -> ( U e. E /\ ( U ` ( s ` h ) ) = h ) ) $=
      ( chlt wcel wa cv wne w3a wceq simp1 simp3l simp2 tendocl syl3anc tendotr
      cfv 3com23 catm coc eqid cdlemk56w syl121anc ) MUOUPOKUPUQZIURZEUPZTURZJU
      PZVRRUSZUQZUTZVOVPVRVHZEUPZVQWCDVHVPDVHVAZFJUPWCFVHVPVAUQVOVQWAVBZWBVOVSV
      QWDWFVOVQVSVTVCVOVQWAVDZVREJVPKMUOOUEUFUMVEVFWGVOWAVQWEBDEVRGJVPKMROUBUEU
      FUGUMUNVGVIAMVJVHZBCDEFHJWCKLMNVPMVKVHZOPQSUAUBUCUDWIVLWHVLUEUFUGUHUIUJUK
      ULUMVMVN $.

    $( Part of proof of Lemma L of [Crawley] p. 120.  TODO: fix comment.
       (Contributed by NM, 11-Aug-2013.) $)
    cdleml7 $p |- ( ( ( K e. HL /\ W e. H )
             /\ h e. T /\ ( s e. E /\ s =/= .0. ) )
        -> ( ( U o. s ) ` h ) = ( ( _I |` T ) ` h ) ) $=
      ( chlt wcel wa wne w3a cfv ccom cid cres wceq cdleml6 simprd simp1 simpld
      cv simp3l simp2 tendocoval syl121anc fvresi 3ad2ant2 3eqtr4d ) MUOUPOKUPU
      QZIVIZEUPZTVIZJUPZVTRURZUQZUSZVRVTUTFUTZVRVRFVTVAUTZVRVBEVCUTZWDFJUPZWEVR
      VDZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNVEZVFWDVQWHWAVSWFWEVDV
      QVSWCVGWDWHWIWJVHVQVSWAWBVJVQVSWCVKEFJVRKMVTOUOUEUFUMVLVMVSVQWGVRVDWCEVRV
      NVOVP $.

    $( Part of proof of Lemma L of [Crawley] p. 120.  TODO: fix comment.
       (Contributed by NM, 11-Aug-2013.) $)
    cdleml8 $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( h e. T /\ h =/= ( _I |` B ) ) /\ ( s e. E /\ s =/= .0. ) )
        -> ( U o. s ) = ( _I |` T ) ) $=
      ( chlt wcel wa cv cid cres wne w3a ccom cfv simp1 cdleml6 3adant2r simpld
      wceq simp3l tendococl syl3anc tendoidcl 3ad2ant1 simp2 tendocan syl131anc
      cdleml7 ) MUOUPOKUPUQZIURZEUPZVTUSBUTVAZUQZTURZJUPZWDRVAZUQZVBZVSFWDVCZJU
      PZUSEUTZJUPZVTWIVDVTWKVDVIZWCWIWKVIVSWCWGVEZWHVSFJUPZWEWJWNWHWOVTWDVDFVDV
      TVIZVSWAWGWOWPUQWBABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNVFVGVHV
      SWCWEWFVJFWDJKMOUEUMVKVLVSWCWLWGEJKMOUEUFUMVMVNVSWAWGWMWBABCDEFGHIJKLMNOP
      QRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNVRVGVSWCWGVOBEWIJVTKMWKOUBUEUFUMVPVQ $.

    $( Part of proof of Lemma L of [Crawley] p. 120.  TODO: fix comment.
       (Contributed by NM, 11-Aug-2013.) $)
    cdleml9 $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( h e. T /\ h =/= ( _I |` B ) ) /\ ( s e. E /\ s =/= .0. ) )
        -> U =/= .0. ) $=
      ( chlt wcel wa cv cid cres wne w3a tendo1ne0 3ad2ant1 wceq cdleml8 adantr
      ccom coeq1 simp1 simp3l tendo0mul syl2anc sylan9eqr eqtr3d ex necon3d mpd
      ) MUOUPOKUPUQZIURZEUPVTUSBUTVAUQZTURZJUPZWBRVAZUQZVBZUSEUTZRVAZFRVAVSWAWH
      WEBEGJKMROUBUEUFUMUNVCVDWFFRWGRWFFRVEZWGRVEWFWIUQFWBVHZWGRWFWJWGVEWIABCDE
      FGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNVFVGWIWFWJRWBVHZRFRWBVIWFVSWCW
      KRVEVSWAWEVJVSWAWCWDVKBEWBGJKMROUBUEUFUMUNVLVMVNVOVPVQVR $.
  $}

  ${
    $d s .<_ $.  $d s E $.  $d g s F $.  $d g s H $.  $d g s K $.  $d g s F $.
    $d s R $.  $d g s T $.  $d g s W $.
    dva1dim.l $e |- .<_ = ( le ` K ) $.
    dva1dim.h $e |- H = ( LHyp ` K ) $.
    dva1dim.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dva1dim.r $e |- R = ( ( trL ` K ) ` W ) $.
    dva1dim.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    $( Two expressions for the 1-dimensional subspaces of partial vector space
       A. Remark in [Crawley] p. 120 line 21, but using a non-identity
       translation (nonzero vector) ` F ` whose trace is ` P ` rather than
       ` P ` itself; ` F ` exists by ~ cdlemf . ` E ` is the division ring base
       by ~ erngdv , and ` s `` F ` is the scalar product by ~ dvavsca . ` F `
       must be a non-identity translation for the expression to be a
       1-dimensional subspace, although the theorem doesn't require it.
       (Contributed by NM, 14-Oct-2013.) $)
    dva1dim $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
      -> { g | E. s e. E g = ( s ` F ) }
           = { g e. T | ( R ` g ) .<_ ( R ` F ) } ) $=
      ( chlt wcel wa cv cfv wceq wrex cab wbr crab w3a tendocl tendotp anass1rs
      3expb eleq1 fveq2 breq1d syl5ibrcom rexlimdva simpll simplr simprl simprr
      jca anbi12d tendoex syl121anc eqcom rexbii sylib ex impbid abbidv eqtr4di
      df-rab ) GPQIFQRZEBQZRZCSZEJSZTZUAZJDUBZCUCVOBQZVOATZEATZHUDZRZCUCWCCBUEV
      NVSWDCVNVSWDVNVRWDJDVNVPDQZRWDVRVQBQZVQATZWBHUDZRZVLWEVMWIVLWEVMWIVLWEVMU
      FWFWHVPBDEFGPILMOUGAVPBDEFGHPIKLMNOUHUTUJUIVRVTWFWCWHVOVQBUKVRWAWGWBHVOVQ
      AULUMVAUNUOVNWDVSVNWDRZVQVOUAZJDUBZVSWJVLVMVTWCWLVLVMWDUPVLVMWDUQVNVTWCUR
      VNVTWCUSJABDEFGHVOIKLMNOVBVCWKVRJDVQVOVDVEVFVGVHVIWCCBVKVJ $.
  $}

  ${
    $d f s .<_ $.  $d f s E $.  $d f g s F $.  $d f g s H $.  $d f g s K $.
    $d f g s F $.  $d s .0. $.  $d f s R $.  $d f g h s T $.  $d f g s W $.
    dvhb1dim.l $e |- .<_ = ( le ` K ) $.
    dvhb1dim.h $e |- H = ( LHyp ` K ) $.
    dvhb1dim.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvhb1dim.r $e |- R = ( ( trL ` K ) ` W ) $.
    dvhb1dim.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvhb1dim.o $e |- .0. = ( h e. T |-> ( _I |` B ) ) $.
    $( Two expressions for the 1-dimensional subspaces of vector space H, in
       the isomorphism B case where the 2nd vector component is zero.
       (Contributed by NM, 23-Feb-2014.)  (New usage is discouraged.) $)
    dvhb1dimN $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
      -> { g e. ( T X. E ) | E. s e. E g = <. ( s ` F ) , .0. >. }
           = { g e. ( T X. E ) | ( ( R ` ( 1st ` g ) ) .<_ ( R ` F )
                 /\ ( 2nd ` g ) = .0. ) } ) $=
      ( wcel vf chlt wa cfv cop wceq wrex c1st wbr c2nd cxp eqop adantl rexbidv
      cv wb r19.41v crab cab fvex eqeq1 elab dva1dim adantr bitr3id xp1st fveq2
      eleq2d breq1d elrab3 syl bitrd anbi1d syl5bb rabbidva ) IUBTKHTUCGCTUCZDU
      OZGMUOUDZLUEUFZMFUGZVQUHUDZBUDZGBUDZJUIZVQUJUDLUFZUCZDCFUKZVPVQWGTZUCZVTW
      AVRUFZWEUCZMFUGZWFWIVSWKMFWHVSWKUPVPVQVRLCFULUMUNWLWJMFUGZWEUCWIWFWJWEMFU
      QWIWMWDWEWIWMWAUAUOZBUDZWCJUIZUACURZTZWDWMWAWNVRUFZMFUGZUAUSZTWIWRWTWMUAW
      AVQUHUTWNWAUFZWSWJMFWNWAVRVAUNVBWIXAWQWAVPXAWQUFWHBCUAFGHIJKMNOPQRVCVDVHV
      EWIWACTZWRWDUPWHXCVPVQCFVFUMWPWDUAWACXBWOWBWCJWNWABVGVIVJVKVLVMVNVLVO $.
  $}

  ${
    $d u D $.  $d u H $.  $d u K $.  $d u T $.  $d u W $.
    erng1.h $e |- H = ( LHyp ` K ) $.
    erng1.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    erng1.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    erng1.d $e |- D = ( ( EDRing ` K ) ` W ) $.
    erng1.r $e |- ( ( K e. HL /\ W e. H ) -> D e. Ring ) $.
    $( Value of the endomorphism division ring unit.  (Contributed by NM,
       12-Oct-2013.) $)
    erng1lem $p |- ( ( K e. HL /\ W e. H ) -> ( 1r ` D ) = ( _I |` T ) ) $=
      ( vu chlt wcel wa cfv co wceq eqid ccom cid cres cbs cmulr wral tendoidcl
      cv erngbase eleqtrrd eleq2d simpl adantr simpr erngmul syl12anc tendo1mul
      cur eqtrd tendo1mulr jca ex sylbid ralrimiv crg wb isringid syl mpbi2and
      ) EMNFDNOZUABUBZAUCPZNZVJLUGZAUDPZQZVMRZVMVJVNQZVMRZOZLVKUEZAUQPZVJRZVIVJ
      CVKBCDEFGHIUFZVKABCDEMFGHIJVKSZUHZUIVIVSLVKVIVMVKNVMCNZVSVIVKCVMWEUJVIWFV
      SVIWFOZVPVRWGVOVJVMTZVMWGVIVJCNZWFVOWHRVIWFUKZVIWIWFWCULZVIWFUMZABVNVJCDE
      VMFMGHIJVNSZUNUOBVMCDEFGHIUPURWGVQVMVJTZVMWGVIWFWIVQWNRWJWLWKABVNVMCDEVJF
      MGHIJWMUNUOBVMCDEFGHIUSURUTVAVBVCVIAVDNVLVTOWBVEKLVKAVNWAVJWDWMWASVFVGVH
      $.
  $}

  ${
    $d f B $.  $d s t u D $.  $d a b s t u E $.  $d t I $.  $d a b f s t u K $.
    $d f s t u H $.  $d s t u .0. $.  $d a b f s T $.  $d a b f s t u W $.
    $d s t u P $.
    ernggrp.h $e |- H = ( LHyp ` K ) $.
    ernggrp.d $e |- D = ( ( EDRing ` K ) ` W ) $.
    ${
      erngdv.b $e |- B = ( Base ` K ) $.
      erngdv.t $e |- T = ( ( LTrn ` K ) ` W ) $.
      erngdv.e $e |- E = ( ( TEndo ` K ) ` W ) $.
      erngdv.p $e |- P = ( a e. E , b e. E |-> ( f e. T
          |-> ( ( a ` f ) o. ( b ` f ) ) ) ) $.
      erngdv.o $e |- .0. = ( f e. T |-> ( _I |` B ) ) $.
      erngdv.i $e |- I = ( a e. E |-> ( f e. T |-> `' ( a ` f ) ) ) $.
      $( Lemma for ~ eringring .  (Contributed by NM, 4-Aug-2013.) $)
      erngdvlem1 $p |- ( ( K e. HL /\ W e. H ) -> D e. Grp ) $=
        ( vs vt vu chlt wcel cfv cbs eqid erngbase eqcomd ccom cmpt cmpo cplusg
        wa cv erngfplus eqtr4id tendoplcl tendoplass tendo0cl tendo0pl tendoicl
        tendoipl isgrpd ) IUEUFJGUFUPZUBUCUDFCBUBUQZHUGKVGBUHUGZFVIBDFGIUEJNQRO
        VIUIUJUKVGCLMFFEDEUQZLUQUGVJMUQUGULUMUNBUOUGZSMBVKDEFGIUEJLNQROVKUIURUS
        MCDVHEFGIUCUQZJLNQRSUTMCVHDVLEFGIUDUQJLNQRSVAADEFGIKJPNQRTVBMACVHDEFGIK
        JLPNQRTSVCVHDEFGHIJLNQRUAVDMACVHDEFGHIKJLNQRUAPSTVEVF $.

      $( Lemma for ~ eringring .  (Contributed by NM, 6-Aug-2013.)
         (New usage is discouraged.) $)
      erngdvlem2N $p |- ( ( K e. HL /\ W e. H ) -> D e. Abel ) $=
        ( vs vt chlt wcel wa cbs cfv eqid erngbase eqcomd ccom cmpt cmpo cplusg
        cv erngfplus eqtr4id erngdvlem1 tendoplcom isabld ) IUDUEJGUEUFZUBUCFCB
        VBBUGUHZFVCBDFGIUDJNQROVCUIUJUKVBCLMFFEDEUPZLUPUHVDMUPUHULUMUNBUOUHZSMB
        VEDEFGIUDJLNQROVEUIUQURABCDEFGHIJKLMNOPQRSTUAUSMCDUBUPEFGIUCUPJLNQRSUTV
        A $.

      erngrnglem.m $e |- .+ = ( a e. E , b e. E |-> ( a o. b ) ) $.
      $( Lemma for ~ eringring .  (Contributed by NM, 6-Aug-2013.) $)
      erngdvlem3 $p |- ( ( K e. HL /\ W e. H ) -> D e. Ring ) $=
        ( vs vt vu chlt wcel wa cid cres cbs cfv eqid erngbase eqcomd ccom cmpt
        cv cmpo cplusg erngfplus eqtr4id cmulr erngfmul erngdvlem1 w3a co oveqd
        wceq erngmul 3impb eqtrd tendococl eqeltrd coass adantr simpl 3adant3r3
        3ad2ant1 simpr3 syl12anc oveqdr 3adantr3 coeq1d 3eqtrd simpr1 3adant3r1
        3adantr1 3eqtr4a tendodi1 tendoplcl 3adantr2 oveq12d tendodi2 tendoidcl
        coeq2d 3eqtr4d simpr tendo1mul tendo1mulr isringd ) JUGUHKHUHUIZUDUEUFG
        CBDUJEUKZXCBULUMZGXEBEGHJUGKORSPXEUNUOUPXCCMNGGFEFUSZMUSZUMXFNUSZUMUQUR
        UTBVAUMZTNBXIEFGHJUGKMORSPXIUNVBVCXCDMNGGXGXHUQUTBVDUMZUCNBEXJGHJUGKMOR
        SPXJUNZVEVCZABCEFGHIJKLMNOPQRSTUAUBVFXCUDUSZGUHZUEUSZGUHZVGZXMXODVHZXMX
        OUQZGXQXRXMXOXJVHZXSXCXNXRXTVJXPXCDXJXMXOXLVIVTXCXNXPXTXSVJZBEXJXMGHJXO
        KUGORSPXKVKZVLVMXMXOGHJKOSVNVOZXCXNXPUFUSZGUHZVGZUIZXSYDUQZXMXOYDUQZUQZ
        XRYDDVHZXMXOYDDVHZDVHZXMXOYDVPYGYKXRYDXJVHZXRYDUQZYHXCYKYNVJYFXCDXJXRYD
        XLVIVQYGXCXRGUHZYEYNYOVJXCYFVRZXCXNXPYPYEYCVSXCXNXPYEWAZBEXJXRGHJYDKUGO
        RSPXKVKWBYGXRXSYDYGXRXTXSXCYFUDUEDXJXLWCXCXNXPYAYEYBWDVMZWEWFYGYMXMYLXJ
        VHZXMYLUQZYJXCYMYTVJYFXCDXJXMYLXLVIVQYGXCXNYLGUHYTUUAVJYQXCXNXPYEWGZYGY
        LYIGYGYLXOYDXJVHZYIXCYFUEUFDXJXLWCXCXPYEUUCYIVJXNBEXJXOGHJYDKUGORSPXKVK
        WIVMZXCXPYEYIGUHXNXOYDGHJKOSVNWHVOBEXJXMGHJYLKUGORSPXKVKWBYGYLYIXMUUDWQ
        WFWJYGXMXOYDCVHZUQZXSXMYDUQZCVHXMUUEDVHZXRXMYDDVHZCVHNCXMEXOFGHJYDKMORS
        TWKYGUUHXMUUEXJVHZUUFXCUUHUUJVJYFXCDXJXMUUEXLVIVQYGXCXNUUEGUHZUUJUUFVJY
        QUUBXCXPYEUUKXNNCEXOFGHJYDKMORSTWLWHBEXJXMGHJUUEKUGORSPXKVKWBVMYGXRXSUU
        IUUGCYSYGUUIXMYDXJVHZUUGXCYFUDUFDXJXLWCXCXNYEUULUUGVJXPBEXJXMGHJYDKUGOR
        SPXKVKWMVMZWNWRYGXMXOCVHZYDUQZUUGYICVHUUNYDDVHZUUIYLCVHNCXMEXOFGHJYDKMO
        RSTWOYGUUPUUNYDXJVHZUUOXCUUPUUQVJYFXCDXJUUNYDXLVIVQYGXCUUNGUHZYEUUQUUOV
        JYQXCXNXPUURYENCEXMFGHJXOKMORSTWLVSYRBEXJUUNGHJYDKUGORSPXKVKWBVMYGUUIUU
        GYLYICUUMUUDWNWREGHJKORSWPZXCXNUIZXDXMDVHZXDXMXJVHZXDXMUQZXMXCUVAUVBVJX
        NXCDXJXDXMXLVIVQUUTXCXDGUHZXNUVBUVCVJXCXNVRZXCUVDXNUUSVQZXCXNWSZBEXJXDG
        HJXMKUGORSPXKVKWBEXMGHJKORSWTWFUUTXMXDDVHZXMXDXJVHZXMXDUQZXMXCUVHUVIVJX
        NXCDXJXMXDXLVIVQUUTXCXNUVDUVIUVJVJUVEUVGUVFBEXJXMGHJXDKUGORSPXKVKWBEXMG
        HJKORSXAWFXB $.

      edlemk6.j $e |- .\/ = ( join ` K ) $.
      edlemk6.m $e |- ./\ = ( meet ` K ) $.
      edlemk6.r $e |- R = ( ( trL ` K ) ` W ) $.
      edlemk6.p $e |- Q = ( ( oc ` K ) ` W ) $.
      edlemk6.z $e |- Z = ( ( Q .\/ ( R ` b ) )
         ./\ ( ( h ` Q ) .\/ ( R ` ( b o. `' ( s ` h ) ) ) ) ) $.
      edlemk6.y $e |- Y = ( ( Q .\/ ( R ` g ) )
         ./\ ( Z .\/ ( R ` ( g o. `' b ) ) ) ) $.
      edlemk6.x $e |- X = ( iota_ z e. T A. b e. T ( ( b =/= ( _I |` B )
              /\ ( R ` b ) =/= ( R ` ( s ` h ) ) /\ ( R ` b ) =/= ( R ` g ) )
        -> ( z ` Q ) = Y ) ) $.
      edlemk6.u $e |- U = ( g e. T |-> if ( ( s ` h ) = h , g , X ) ) $.
      $d b g z ./\ $.  $d b g z .\/ $.  $d b g s t z B $.  $d b g z H $.
      $d b g z K $.  $d s t .+ $.  $d g z P $.  $d b g z Q $.  $d b g z R $.
      $d b g t z T $.  $d t U $.  $d b g z W $.  $d z Y $.  $d g Z $.
      $d g z f $.  $d b g s t z h $.
      $( Lemma for ~ erngdv .  (Contributed by NM, 11-Aug-2013.) $)
      erngdvlem4 $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( h e. T /\ h =/= ( _I |` B ) ) ) -> D e. DivRing ) $=
        ( vt chlt wcel wa cid cres wne cbs cfv wceq eqid erngbase eqcomd adantr
        cmulr ccom cmpo erngfmul eqtr4id c0g cplusg tendo0cl eleqtrrd erngfplus
        cv co cmpt oveqd tendo0pl mpdan eqtr3d erngdvlem1 isgrpid2 syl mpbi2and
        cgrp cur erngdvlem3 erng1lem crg w3a simp1l simp2l simp3l erngmul eqtrd
        wb syl12anc tendoconid 3adant1r eqnetrd tendo1ne0 simplrl simpr cdleml6
        simpll simpld syl3anc cdleml9 ad2antrr simprl cdleml8 3eqtrd isdrngd
        3expa ) QVEVFSNVFVGZLWHZHVFZYJVHBVIVJZVGZVGZUDVDMCEVHHVIZIUBYIMCVKVLZVM
        YMYIYPMYPCHMNQVESUGUJUKUHYPVNZVOZVPVQYIECVRVLZVMYMYIEUEUFMMUEWHZUFWHZVS
        VTYSUOUFCHYSMNQVESUEUGUJUKUHYSVNZWAWBZVQYIUBCWCVLZVMYMYIUUDUBYIUBYPVFZU
        BUBCWDVLZWIZUBVMZUUDUBVMZYIUBMYPBHJMNQUBSUIUGUJUKUMWEZYRWFYIUBUBDWIZUUG
        UBYIDUUFUBUBYIDUEUFMMJHJWHZYTVLUULUUAVLVSWJVTUUFULUFCUUFHJMNQVESUEUGUJU
        KUHUUFVNZWGWBWKYIUBMVFUUKUBVMUUJUFBDUBHJMNQUBSUEUIUGUJUKUMULWLWMWNYICWS
        VFUUEUUHVGUUIXJBCDHJMNOQSUBUEUFUGUHUIUJUKULUMUNWOYPUUFCUUDUBYQUUMUUDVNW
        PWQWRVPVQYIYOCWTVLZVMYMYIUUNYOCHMNQSUGUJUKUHBCDEHJMNOQSUBUEUFUGUHUIUJUK
        ULUMUNUOXAZXBVPVQYICXCVFYMUUOVQYNUDWHZMVFZUUPUBVJZVGZVDWHZMVFZUUTUBVJZV
        GZXDZUUPUUTEWIZUUPUUTVSZUBUVDUVEUUPUUTYSWIZUVFUVDYIUVEUVGVMYIYMUUSUVCXE
        ZYIEYSUUPUUTUUCWKWQUVDYIUUQUVAUVGUVFVMUVHYNUUQUURUVCXFYNUUSUVAUVBXGCHYS
        UUPMNQUUTSVEUGUJUKUHUUBXHXKXIYIUUSUVCUVFUBVJYMBHUUPJMNQUBUUTSUIUGUJUKUM
        XLXMXNYIYOUBVJYMBHJMNQUBSUIUGUJUKUMXOVQYNUUSVGZYIYKUUSIMVFZYIYMUUSXSZYI
        YKYLUUSXPYNUUSXQYIYKUUSXDUVJYJUUPVLIVLYJVMABFGHIJKLMNPQRSTUAUBUCUDUFUIU
        PUQUGUJURUSUTVAVBVCUKUMXRXTYAZYIYMUUSIUBVJABFGHIJKLMNPQRSTUAUBUCUDUFUIU
        PUQUGUJURUSUTVAVBVCUKUMYBYHUVIIUUPEWIZIUUPYSWIZIUUPVSZYOYIUVMUVNVMYMUUS
        YIEYSIUUPUUCWKYCUVIYIUVJUUQUVNUVOVMUVKUVLYNUUQUURYDCHYSIMNQUUPSVEUGUJUK
        UHUUBXHXKYIYMUUSUVOYOVMABFGHIJKLMNPQRSTUAUBUCUDUFUIUPUQUGUJURUSUTVAVBVC
        UKUMYEYHYFYG $.
    $}

    $( An endomorphism ring is a ring.  TODO: fix comment.  (Contributed by NM,
       4-Aug-2013.) $)
    eringring $p |- ( ( K e. HL /\ W e. H ) -> D e. Ring ) $=
      ( va vb vf cbs cfv ctendo cltrn cv ccom cmpt cmpo ccnv cid eqid cres
      erngdvlem3 ) CJKZAGHDCLKKZUDIDCMKKZINZGNZKZUFHNZKOPQZGHUDUDUGUIOQZUEIUDBG
      UDIUEUHRPPZCDIUESUCUAPZGHEFUCTUETUDTUJTUMTULTUKTUB $.

    $d f D $.  $d b g z H $.  $d g z K $.  $d g z W $.  $d a f g s z $.
    $( An endomorphism ring is a division ring.  TODO: fix comment.
       (Contributed by NM, 11-Aug-2013.) $)
    erngdv $p |- ( ( K e. HL /\ W e. H ) -> D e. DivRing ) $=
      ( vf vz va vb vg wcel cv cfv wne eqid ccom cmpt co ccnv chlt cid cbs cres
      vs wa cdr cltrn cdlemftr0 ctendo cmpo coc ctrl wceq w3a cmee wi wral crio
      cjn cif erngdvlem4 rexlimddv ) CUALDBLUFGMZUBCUCNZUDZOAUGLGDCUHNNZVEVGGBC
      DVEPZEVGPZUIHVEAIJDCUJNNZVJGVGVDIMZNZVDJMZNQRUKZIJVJVJVKVMQUKZDCULNNZDCUM
      NNZVGKVGVDUEMNZVDUNKMZVMVFOVMVQNZVRVQNOVTVSVQNZOUOVPHMNVPWACUTNZSVPVTWBSV
      PVDNVMVRTQVQNWBSCUPNZSZVSVMTQVQNWBSWCSZUNUQJVGURHVGUSZVARZGKGVJBIVJGVGVLT
      RRZWBCWCDWFWEGVGVFRZWDUEIJEFVHVIVJPVNPWIPWHPVOPWBPWCPVQPVPPWDPWEPWFPWGPVB
      VC $.
  $}

  ${
    $d f B $.  $d f H $.  $d f s t K $.  $d f s t T $.  $d f s t W $.
    erng0g.b $e |- B = ( Base ` K ) $.
    erng0g.h $e |- H = ( LHyp ` K ) $.
    erng0g.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    erng0g.d $e |- D = ( ( EDRing ` K ) ` W ) $.
    erng0g.o $e |- O = ( f e. T |-> ( _I |` B ) ) $.
    erng0g.z $e |- .0. = ( 0g ` D ) $.
    $( The division ring zero of an endomorphism ring.  (Contributed by NM,
       5-Nov-2013.)  (Revised by Mario Carneiro, 23-Jun-2014.) $)
    erng0g $p |- ( ( K e. HL /\ W e. H ) -> .0. = O ) $=
      ( vs vt wcel cfv eqid chlt wa cplusg wceq ctendo ccom cmpt cmpo erngfplus
      co oveqd tendo0cl tendo0pl mpdan eqtrd cgrp cbs crg eringring ringgrp syl
      cv wb erngbase eleqtrrd grpid syl2anc mpbid ) FUARHERUBZGGBUCSZUJZGUDZIGU
      DZVIVKGGPQHFUESSZVNDCDVBZPVBSVOQVBSUFUGUHZUJZGVIVJVPGGQBVJCDVNEFUAHPKLVNT
      ZMVJTZUIUKVIGVNRVQGUDACDVNEFGHJKLVRNULZQAVPGCDVNEFGHPJKLVRNVPTUMUNUOVIBUP
      RZGBUQSZRVLVMVCVIBURRWABEFHKMUSBUTVAVIGVNWBVTWBBCVNEFUAHKLVRMWBTZVDVEWBVJ
      BGIWCVSOVFVGVH $.
  $}

  ${
    $d f H $.  $d f K $.  $d f T $.  $d f W $.
    erng1r.h $e |- H = ( LHyp ` K ) $.
    erng1r.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    erng1r.d $e |- D = ( ( EDRing ` K ) ` W ) $.
    erng1r.r $e |- .1. = ( 1r ` D ) $.
    $( The division ring unit of an endomorphism ring.  (Contributed by NM,
       5-Nov-2013.)  (Revised by Mario Carneiro, 23-Jun-2014.) $)
    erng1r $p |- ( ( K e. HL /\ W e. H ) -> .1. = ( _I |` T ) ) $=
      ( vf chlt wcel wa cid cres cbs cfv wceq eqid c0g wne w3a ctendo tendoidcl
      cmulr co erngbase eleqtrrd cmpt tendo1ne0 erng0g neeqtrrd ccom id erngmul
      syl12anc wf1o wf f1oi f1of fcoi2 mp2b eqtrdi 3jca wb erngdv drngid2 mpbid
      cdr syl ) ELMFDMNZOBPZAQRZMZVMAUARZUBZVMVMAUFRZUGZVMSZUCZCVMSZVLVOVQVTVLV
      MFEUDRRZVNBWCDEFGHWCTZUEZVNABWCDELFGHWDIVNTZUHUIVLVMKBOEQRZPUJZVPWGBKWCDE
      WHFWGTZGHWDWHTZUKWGABKDEWHFVPWIGHIWJVPTZULUMVLVSVMVMUNZVMVLVLVMWCMZWMVSWL
      SVLUOWEWEABVRVMWCDEVMFLGHWDIVRTZUPUQBBVMURBBVMUSWLVMSBUTBBVMVABBVMVBVCVDV
      EVLAVJMWAWBVFADEFGIVGVNAVRCVMVPWFWNWKJVHVKVI $.
  $}

  ${
    $d f B $.  $d s t u D $.  $d a b s t u E $.  $d t I $.  $d a b f s t u K $.
    $d f s t u H $.  $d s t u O $.  $d a b f s T $.  $d a b f s t u W $.
    $d s t u P $.
    ernggrp.h-r $e |- H = ( LHyp ` K ) $.
    ernggrp.d-r $e |- D = ( ( EDRingR ` K ) ` W ) $.
    ${
      ernggrplem.b-r $e |- B = ( Base ` K ) $.
      ernggrplem.t-r $e |- T = ( ( LTrn ` K ) ` W ) $.
      ernggrplem.e-r $e |- E = ( ( TEndo ` K ) ` W ) $.
      ernggrplem.p-r $e |- P = ( a e. E , b e. E |-> ( f e. T
          |-> ( ( a ` f ) o. ( b ` f ) ) ) ) $.
      ernggrplem.o-r $e |- O = ( f e. T |-> ( _I |` B ) ) $.
      ernggrplem.i-r $e |- I = ( a e. E |-> ( f e. T |-> `' ( a ` f ) ) ) $.
      $( Lemma for ~ eringring .  (Contributed by NM, 4-Aug-2013.)
         (New usage is discouraged.) $)
      erngdvlem1-rN $p |- ( ( K e. HL /\ W e. H ) -> D e. Grp ) $=
        ( vs vt vu chlt wcel wa cv cfv eqid erngbase-rN eqcomd ccom cmpt cplusg
        cmpo erngfplus-rN eqtr4id tendoplcl tendo0cl tendo0pl tendoicl tendoipl
        cbs tendoplass isgrpd ) IUEUFKGUFUGZUBUCUDFCBUBUHZHUIJVGBVDUIZFVIBDFGIU
        EKNQROVIUJUKULVGCLMFFEDEUHZLUHUIVJMUHUIUMUNUPBUOUIZSMBVKDEFGIUEKLNQROVK
        UJUQURMCDVHEFGIUCUHZKLNQRSUSMCVHDVLEFGIUDUHKLNQRSVEADEFGIJKPNQRTUTMACVH
        DEFGIJKLPNQRTSVAVHDEFGHIKLNQRUAVBMACVHDEFGHIJKLNQRUAPSTVCVF $.

      $( Lemma for ~ eringring .  (Contributed by NM, 6-Aug-2013.)
         (New usage is discouraged.) $)
      erngdvlem2-rN $p |- ( ( K e. HL /\ W e. H ) -> D e. Abel ) $=
        ( vs vt chlt wcel cbs cfv eqid erngbase-rN eqcomd ccom cmpt cmpo cplusg
        wa cv erngfplus-rN eqtr4id erngdvlem1-rN tendoplcom isabld ) IUDUEKGUEU
        OZUBUCFCBVBBUFUGZFVCBDFGIUDKNQROVCUHUIUJVBCLMFFEDEUPZLUPUGVDMUPUGUKULUM
        BUNUGZSMBVEDEFGIUDKLNQROVEUHUQURABCDEFGHIJKLMNOPQRSTUAUSMCDUBUPEFGIUCUP
        KLNQRSUTVA $.

      erngrnglem.m-r $e |- M = ( a e. E , b e. E |-> ( b o. a ) ) $.
      $( Lemma for ~ eringring .  (Contributed by NM, 6-Aug-2013.)
         (New usage is discouraged.) $)
      erngdvlem3-rN $p |- ( ( K e. HL /\ W e. H ) -> D e. Ring ) $=
        ( vs vt vu chlt wcel cid cres cbs cfv eqid erngbase-rN eqcomd ccom cmpt
        wa cmpo cplusg erngfplus-rN eqtr4id cmulr erngfmul-rN erngdvlem1-rN w3a
        cv wceq oveqd 3ad2ant1 erngmul-rN 3impb tendococl 3com23 eqeltrd oveqdr
        co eqtrd 3adantr1 coeq1d adantr simpr1 simpr3 simpr2 syl12anc 3adant3r3
        simpl syl3anc 3adantr3 coeq2d 3eqtrd eqtr4di 3eqtr4rd tendodi2 syl13anc
        coass tendoplcl 3adantr2 oveq12d 3eqtr4d tendoidcl tendo1mulr tendo1mul
        tendodi1 simpr isringd ) IUGUHLGUHURZUDUEUFFCBJUIDUJZXGBUKULZFXIBDFGIUG
        LORSPXIUMUNUOXGCMNFFEDEVGZMVGZULXJNVGZULUPUQUSBUTULZTNBXMDEFGIUGLMORSPX
        MUMVAVBXGJMNFFXLXKUPUSBVCULZUCNBDXNFGIUGLMORSPXNUMZVDVBZABCDEFGHIKLMNOP
        QRSTUAUBVEXGUDVGZFUHZUEVGZFUHZVFZXQXSJVQZXSXQUPZFYAYBXQXSXNVQZYCXGXRYBY
        DVHXTXGJXNXQXSXPVIVJXGXRXTYDYCVHZBDXNXQFGIXSLUGORSPXOVKZVLVRXGXTXRYCFUH
        XSXQFGILOSVMVNVOZXGXRXTUFVGZFUHZVFZURZXSYHJVQZXQUPZYHXSUPZXQUPZXQYLJVQZ
        YBYHJVQZYKYLYNXQYKYLXSYHXNVQZYNXGYJUEUFJXNXPVPXGXTYIYRYNVHXRBDXNXSFGIYH
        LUGORSPXOVKVSVRZVTYKYPXQYLXNVQZYMXGYPYTVHYJXGJXNXQYLXPVIWAYKXGXRYLFUHYT
        YMVHXGYJWGZXGXRXTYIWBZYKYLYNFYSYKXGYIXTYNFUHUUAXGXRXTYIWCZXGXRXTYIWDZYH
        XSFGILOSVMWHVOBDXNXQFGIYLLUGORSPXOVKWEVRYKYQYHYCUPZYOYKYQYBYHXNVQZYHYBU
        PZUUEXGYQUUFVHYJXGJXNYBYHXPVIWAYKXGYBFUHZYIUUFUUGVHUUAXGXRXTUUHYIYGWFUU
        CBDXNYBFGIYHLUGORSPXOVKWEYKYBYCYHYKYBYDYCXGYJUDUEJXNXPVPXGXRXTYEYIYFWIV
        RZWJWKYHXSXQWPWLWMYKXSYHCVQZXQUPZYCYHXQUPZCVQZXQUUJJVQZYBXQYHJVQZCVQYKX
        GXTYIXRUUKUUMVHUUAUUDUUCUUBNCXSDYHEFGIXQLMORSTWNWOYKUUNXQUUJXNVQZUUKXGU
        UNUUPVHYJXGJXNXQUUJXPVIWAYKXGXRUUJFUHZUUPUUKVHUUAUUBYKXGXTYIUUQUUAUUDUU
        CNCDXSEFGIYHLMORSTWQWHBDXNXQFGIUUJLUGORSPXOVKWEVRYKYBYCUUOUULCUUIYKUUOX
        QYHXNVQZUULXGYJUDUFJXNXPVPXGXRYIUURUULVHXTBDXNXQFGIYHLUGORSPXOVKWRVRZWS
        WTYKYHXQXSCVQZUPZUULYNCVQZUUTYHJVQZUUOYLCVQYKXGYIXRXTUVAUVBVHUUAUUCUUBU
        UDNCYHDXQEFGIXSLMORSTXDWOYKUVCUUTYHXNVQZUVAYKJXNUUTYHXGJXNVHYJXPWAVIYKX
        GUUTFUHZYIUVDUVAVHUUAXGXRXTUVEYINCDXQEFGIXSLMORSTWQWFUUCBDXNUUTFGIYHLUG
        ORSPXOVKWEVRYKUUOUULYLYNCUUSYSWSWTDFGILORSXAZXGXRURZXHXQJVQZXHXQXNVQZXQ
        XHUPZXQXGUVHUVIVHXRXGJXNXHXQXPVIWAUVGXGXHFUHZXRUVIUVJVHXGXRWGZXGUVKXRUV
        FWAZXGXRXEZBDXNXHFGIXQLUGORSPXOVKWEDXQFGILORSXBWKUVGXQXHJVQZXQXHXNVQZXH
        XQUPZXQXGUVOUVPVHXRXGJXNXQXHXPVIWAUVGXGXRUVKUVPUVQVHUVLUVNUVMBDXNXQFGIX
        HLUGORSPXOVKWEDXQFGILORSXCWKXF $.

      edlemk6.j-r $e |- .\/ = ( join ` K ) $.
      edlemk6.m-r $e |- ./\ = ( meet ` K ) $.
      edlemk6.r-r $e |- R = ( ( trL ` K ) ` W ) $.
      edlemk6.p-r $e |- Q = ( ( oc ` K ) ` W ) $.
      edlemk6.z-r $e |- Z = ( ( Q .\/ ( R ` b ) )
         ./\ ( ( h ` Q ) .\/ ( R ` ( b o. `' ( s ` h ) ) ) ) ) $.
      edlemk6.y-r $e |- Y = ( ( Q .\/ ( R ` g ) )
         ./\ ( Z .\/ ( R ` ( g o. `' b ) ) ) ) $.
      edlemk6.x-r $e |- X = ( iota_ z e. T A. b e. T ( ( b =/= ( _I |` B )
              /\ ( R ` b ) =/= ( R ` ( s ` h ) ) /\ ( R ` b ) =/= ( R ` g ) )
        -> ( z ` Q ) = Y ) ) $.
      edlemk6.u-r $e |- U = ( g e. T |-> if ( ( s ` h ) = h , g , X ) ) $.
      $d b g z ./\ $.  $d b g z .\/ $.  $d b g s t z B $.  $d b g z H $.
      $d b g z K $.  $d s t M $.  $d t O $.  $d g z P $.  $d b g z Q $.
      $d b g z R $.  $d b g t u z T $.  $d t U $.  $d b g z W $.  $d z Y $.
      $d g Z $.  $d g z f $.  $d b g s t z h $.
      $( Lemma for ~ erngdv .  (Contributed by NM, 11-Aug-2013.)
         (New usage is discouraged.) $)
      erngdvlem4-rN $p |- ( ( ( K e. HL /\ W e. H )
             /\ ( h e. T /\ h =/= ( _I |` B ) ) ) -> D e. DivRing ) $=
        ( vt vu chlt wcel wa cv cid cres wne cbs wceq erngbase-rN eqcomd adantr
        cfv eqid cmulr ccom erngfmul-rN eqtr4id c0g cplusg co tendo0cl eleqtrrd
        cmpo cmpt erngfplus-rN oveqd tendo0pl mpdan cgrp erngdvlem1-rN isgrpid2
        eqtr3d wb syl mpbi2and cur wral tendoidcl eleq2d simpl simpr erngmul-rN
        syl12anc tendo1mulr eqtrd tendo1mul jca ex sylbid ralrimiv crg isringid
        erngdvlem3-rN w3a simp1l simp2l simp3l simp3 tendoconid syl3anc eqnetrd
        tendo1ne0 simpll simplrl cdleml6 simpld cdleml9 ad2antrr simprl cdleml8
        simp2 3expa isdrngrd ) PVFVGTMVGVHZKVIZGVGZUUAVJBVKVLZVHZVHZUDVDLCQVJGV
        KZHSYTLCVMVRZVNUUDYTUUGLUUGCGLMPVFTUGUJUKUHUUGVSZVOZVPVQYTQCVTVRZVNUUDY
        TQUEUFLLUFVIZUEVIZWAWIUUJUOUFCGUUJLMPVFTUEUGUJUKUHUUJVSZWBWCZVQYTSCWDVR
        ZVNUUDYTUUOSYTSUUGVGZSSCWEVRZWFZSVNZUUOSVNZYTSLUUGBGILMPSTUIUGUJUKUMWGZ
        UUIWHYTSSDWFZUURSYTDUUQSSYTDUEUFLLIGIVIZUULVRUVCUUKVRWAWJWIUUQULUFCUUQG
        ILMPVFTUEUGUJUKUHUUQVSZWKWCWLYTSLVGUVBSVNUVAUFBDSGILMPSTUEUIUGUJUKUMULW
        MWNWRYTCWOVGUUPUUSVHUUTWSBCDGILMNPSTUEUFUGUHUIUJUKULUMUNWPUUGUUQCUUOSUU
        HUVDUUOVSWQWTXAVPVQYTUUFCXBVRZVNUUDYTUVEUUFYTUUFUUGVGZUUFVEVIZUUJWFZUVG
        VNZUVGUUFUUJWFZUVGVNZVHZVEUUGXCZUVEUUFVNZYTUUFLUUGGLMPTUGUJUKXDZUUIWHYT
        UVLVEUUGYTUVGUUGVGUVGLVGZUVLYTUUGLUVGUUIXEYTUVPUVLYTUVPVHZUVIUVKUVQUVHU
        VGUUFWAZUVGUVQYTUUFLVGZUVPUVHUVRVNYTUVPXFZYTUVSUVPUVOVQZYTUVPXGZCGUUJUU
        FLMPUVGTVFUGUJUKUHUUMXHXIGUVGLMPTUGUJUKXJXKUVQUVJUUFUVGWAZUVGUVQYTUVPUV
        SUVJUWCVNUVTUWBUWACGUUJUVGLMPUUFTVFUGUJUKUHUUMXHXIGUVGLMPTUGUJUKXLXKXMX
        NXOXPYTCXQVGZUVFUVMVHUVNWSBCDGILMNPQSTUEUFUGUHUIUJUKULUMUNUOXSZVEUUGCUU
        JUVEUUFUUHUUMUVEVSXRWTXAVPVQYTUWDUUDUWEVQUUEUDVIZLVGZUWFSVLZVHZVDVIZLVG
        ZUWJSVLZVHZXTZUWFUWJQWFZUWJUWFWAZSUWNUWOUWFUWJUUJWFZUWPUWNYTUWOUWQVNYTU
        UDUWIUWMYAZYTQUUJUWFUWJUUNWLWTUWNYTUWGUWKUWQUWPVNUWRUUEUWGUWHUWMYBUUEUW
        IUWKUWLYCCGUUJUWFLMPUWJTVFUGUJUKUHUUMXHXIXKUWNYTUWMUWIUWPSVLUWRUUEUWIUW
        MYDUUEUWIUWMYQBGUWJILMPSUWFTUIUGUJUKUMYEYFYGYTUUFSVLUUDBGILMPSTUIUGUJUK
        UMYHVQUUEUWIVHZYTUUBUWIHLVGZYTUUDUWIYIZYTUUBUUCUWIYJUUEUWIXGYTUUBUWIXTU
        WTUUAUWFVRHVRUUAVNABEFGHIJKLMOPRTUAUBSUCUDUFUIUPUQUGUJURUSUTVAVBVCUKUMY
        KYLYFZYTUUDUWIHSVLABEFGHIJKLMOPRTUAUBSUCUDUFUIUPUQUGUJURUSUTVAVBVCUKUMY
        MYRUWSUWFHQWFZUWFHUUJWFZUUFYTUXCUXDVNUUDUWIYTQUUJUWFHUUNWLYNUWSUXDHUWFW
        AZUUFUWSYTUWGUWTUXDUXEVNUXAUUEUWGUWHYOUXBCGUUJUWFLMPHTVFUGUJUKUHUUMXHXI
        YTUUDUWIUXEUUFVNABEFGHIJKLMOPRTUAUBSUCUDUFUIUPUQUGUJURUSUTVAVBVCUKUMYPY
        RXKXKYS $.
    $}

    $( An endomorphism ring is a ring.  TODO: fix comment.  (Contributed by NM,
       4-Aug-2013.)  (New usage is discouraged.) $)
    erngring-rN $p |- ( ( K e. HL /\ W e. H ) -> D e. Ring ) $=
      ( va vb vf cbs cfv ctendo cltrn cv ccom cmpt cmpo ccnv cid eqid cres
      erngdvlem3-rN ) CJKZAGHDCLKKZUDIDCMKKZINZGNZKZUFHNZKOPQZUEIUDBGUDIUEUHRPP
      ZCGHUDUDUIUGOQZIUESUCUAPZDGHEFUCTUETUDTUJTUMTUKTULTUB $.

    $d f D $.  $d b g z H $.  $d g z K $.  $d g z W $.  $d a f g s z $.
    $( An endomorphism ring is a division ring.  TODO: fix comment.
       (Contributed by NM, 11-Aug-2013.)  (New usage is discouraged.) $)
    erngdv-rN $p |- ( ( K e. HL /\ W e. H ) -> D e. DivRing ) $=
      ( vf vz va vb vg wcel cv cfv wne eqid ccom cmpt co ccnv chlt cid cbs cres
      vs wa cdr cltrn cdlemftr0 ctendo cmpo coc ctrl wceq w3a cmee wi wral crio
      cjn cif erngdvlem4-rN rexlimddv ) CUALDBLUFGMZUBCUCNZUDZOAUGLGDCUHNNZVEVG
      GBCDVEPZEVGPZUIHVEAIJDCUJNNZVJGVGVDIMZNZVDJMZNQRUKZDCULNNZDCUMNNZVGKVGVDU
      EMNZVDUNKMZVMVFOVMVPNZVQVPNOVSVRVPNZOUOVOHMNVOVTCUTNZSVOVSWASVOVDNVMVQTQV
      PNWASCUPNZSZVRVMTQVPNWASWBSZUNUQJVGURHVGUSZVARZGKGVJBIVJGVGVLTRRZWACIJVJV
      JVMVKQUKZWBGVGVFRZDWEWDWCUEIJEFVHVIVJPVNPWIPWGPWHPWAPWBPVPPVOPWCPWDPWEPWF
      PVBVC $.
  $}

  $c DVecA $.

  $( Extend class notation with constructed vector space A. $)
  cdveca $a class DVecA $.

  ${
    $d k w s f g $.
    $( Define constructed partial vector space A. (Contributed by NM,
       8-Oct-2013.) $)
    df-dveca $a |- DVecA = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
      ( { <. ( Base ` ndx ) , ( ( LTrn ` k ) ` w ) >. ,
          <. ( +g ` ndx ) , ( f e. ( ( LTrn ` k ) ` w ) ,
             g e. ( ( LTrn ` k ) ` w ) |-> ( f o. g ) ) >. ,
          <. ( Scalar ` ndx ) , ( ( EDRing ` k ) ` w ) >. } u. {
          <. ( .s ` ndx ) , ( s e. ( ( TEndo ` k ) ` w ) ,
             f e. ( ( LTrn ` k ) ` w ) |-> ( s ` f ) ) >. } ) ) ) $.
  $}

  ${
    $d w D $.  $d w E $.  $d k w H $.  $d f g k s w K $.  $d w T $.
    $d f g k s w W $.
    dvaset.h $e |- H = ( LHyp ` K ) $.
    $( The constructed partial vector space A for a lattice ` K ` .
       (Contributed by NM, 8-Oct-2013.)  (Revised by Mario Carneiro,
       22-Jun-2014.) $)
    dvafset $p |- ( K e. V -> ( DVecA ` K ) = ( w e. H |->
      ( { <. ( Base ` ndx ) , ( ( LTrn ` K ) ` w ) >. ,
          <. ( +g ` ndx ) , ( f e. ( ( LTrn ` K ) ` w ) ,
             g e. ( ( LTrn ` K ) ` w ) |-> ( f o. g ) ) >. ,
          <. ( Scalar ` ndx ) , ( ( EDRing ` K ) ` w ) >. } u. {
          <. ( .s ` ndx ) , ( s e. ( ( TEndo ` K ) ` w ) ,
             f e. ( ( LTrn ` K ) ` w ) |-> ( s ` f ) ) >. } ) ) ) $=
      ( vk cfv cnx cv cltrn cop cmpo cedring ctendo clh fveq2 opeq2d cvv cdveca
      wcel cbs cplusg ccom csca ctp cvsca csn cun cmpt wceq elex eqtr4di fveq1d
      eqidd mpoeq123dv tpeq123d sneqd uneq12d mpteq12dv df-dveca mptfvmpt syl )
      EFUCEUAUCEUBJADKUDJZALZEMJZJZNZKUEJZBCVIVIBLZCLUFZOZNZKUGJZVGEPJZJZNZUHZK
      UIJZGBVGEQJZJZVIVLGLJZOZNZUJZUKZULUMEFUNAIWHRUBAILZRJZVFVGWIMJZJZNZVKBCWL
      WLVMOZNZVPVGWIPJZJZNZUHZWAGBVGWIQJZJZWLWDOZNZUJZUKZULDUAEEWIEUMZAWJXEDWHX
      FWJERJDWIERSHUOXFWSVTXDWGXFWMVJWOVOWRVSXFWLVIVFXFVGWKVHWIEMSUPZTXFWNVNVKX
      FBCWLWLVMVIVIVMXGXGXFVMUQURTXFWQVRVPXFVGWPVQWIEPSUPTUSXFXCWFXFXBWEWAXFGBX
      AWLWDWCVIWDXFVGWTWBWIEQSUPXGXFWDUQURTUTVAVBABCIGVCHVDVE $.

    dvaset.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvaset.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvaset.d $e |- D = ( ( EDRing ` K ) ` W ) $.
    dvaset.u $e |- U = ( ( DVecA ` K ) ` W ) $.
    $( The constructed partial vector space A for a lattice ` K ` .
       (Contributed by NM, 8-Oct-2013.)  (Revised by Mario Carneiro,
       22-Jun-2014.) $)
    dvaset $p |- ( ( K e. X /\ W e. H ) -> U =
      ( { <. ( Base ` ndx ) , T >. ,
          <. ( +g ` ndx ) , ( f e. T , g e. T |-> ( f o. g ) ) >. ,
          <. ( Scalar ` ndx ) , D >. } u. {
          <. ( .s ` ndx ) , ( s e. E , f e. T |-> ( s ` f ) ) >. } ) ) $=
      ( vw cfv cnx cop wcel wa cdveca cbs cplusg cv ccom cmpo ctp cvsca csn cun
      csca cltrn cedring ctendo cmpt dvafset fveq1d wceq fveq2 eqidd mpoeq123dv
      eqtr4di opeq2d tpeq123d sneqd uneq12d eqid tpex snex unex sylan9eq syl5eq
      fvmpt ) HJUAZIGUAZUBCIHUCRZRZSUDRZBTZSUERZDEBBDUFZEUFUGZUHZTZSUMRZATZUIZS
      UJRZKDFBWCKUFRZUHZTZUKZULZPVPVQVSIQGVTQUFZHUNRZRZTZWBDEWRWRWDUHZTZWGWPHUO
      RZRZTZUIZWJKDWPHUPRZRZWRWKUHZTZUKZULZUQZRWOVPIVRXLQDEGHJKLURUSQIXKWOGXLWP
      IUTZXEWIXJWNXMWSWAXAWFXDWHXMWRBVTXMWRIWQRBWPIWQVAMVDZVEXMWTWEWBXMDEWRWRWD
      BBWDXNXNXMWDVBVCVEXMXCAWGXMXCIXBRAWPIXBVAOVDVEVFXMXIWMXMXHWLWJXMKDXGWRWKF
      BWKXMXGIXFRFWPIXFVANVDXNXMWKVBVCVEVGVHXLVIWIWNWAWFWHVJWMVKVLVOVMVN $.
  $}

  ${
    $d f g s K $.  $d f g s W $.
    dvasca.h $e |- H = ( LHyp ` K ) $.
    dvasca.d $e |- D = ( ( EDRing ` K ) ` W ) $.
    dvasca.u $e |- U = ( ( DVecA ` K ) ` W ) $.
    dvasca.f $e |- F = ( Scalar ` U ) $.
    $( The ring base set of the constructed partial vector space A are all
       translation group endomorphisms (for a fiducial co-atom ` W ` ).
       (Contributed by NM, 22-Jun-2014.) $)
    dvasca $p |- ( ( K e. X /\ W e. H ) -> F = D ) $=
      ( vf vg vs wcel csca cfv cnx cop cv cbs cltrn cplusg ccom cmpo ctp ctendo
      cvsca csn cun eqid dvaset fveq2d wceq cedring fvexi lmodsca ax-mp 3eqtr4g
      wa cvv ) EGOFDOUTZBPQRUAQFEUBQQZSRUCQLMVCVCLTZMTUDUEZSRPQASUFRUHQNLFEUGQQ
      ZVCVDNTQUEZSUIUJZPQZCAVBBVHPAVCBLMVFDEFGNHVCUKVFUKIJULUMKAVAOAVIUNAFEUOQI
      UPVCVEVGAVHVAVHUKUQURUS $.
  $}

  ${
    dvabase.h $e |- H = ( LHyp ` K ) $.
    dvabase.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvabase.u $e |- U = ( ( DVecA ` K ) ` W ) $.
    dvabase.f $e |- F = ( Scalar ` U ) $.
    dvabase.c $e |- C = ( Base ` F ) $.
    $( The ring base set of the constructed partial vector space A are all
       translation group endomorphisms (for a fiducial co-atom ` W ` ).
       (Contributed by NM, 9-Oct-2013.)  (Revised by Mario Carneiro,
       22-Jun-2014.) $)
    dvabase $p |- ( ( K e. X /\ W e. H ) -> C = E ) $=
      ( wcel wa cedring cfv cbs eqid dvasca fveq2d syl5eq cltrn erngbase eqtrd
      ) FHNGENOZAGFPQQZRQZCUFADRQUHMUFDUGRUGBDEFGHIUGSZKLTUAUBUHUGGFUCQQZCEFHGI
      UJSJUIUHSUDUE $.
  $}

  ${
    $d s t E $.  $d f G $.  $d f g s t K $.  $d f g s t T $.  $d f g s t W $.
    $d f R $.  $d f S $.
    dvafplus.h $e |- H = ( LHyp ` K ) $.
    dvafplus.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvafplus.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvafplus.u $e |- U = ( ( DVecA ` K ) ` W ) $.
    dvafplus.f $e |- F = ( Scalar ` U ) $.
    dvafplus.p $e |- .+ = ( +g ` F ) $.
    $( Ring addition operation for the constructed partial vector space A.
       (Contributed by NM, 9-Oct-2013.)  (Revised by Mario Carneiro,
       22-Jun-2014.) $)
    dvafplusg $p |- ( ( K e. V /\ W e. H ) -> .+ = ( s e. E ,
           t e. E |-> ( f e. T |-> ( ( s ` f ) o. ( t ` f ) ) ) ) ) $=
      ( cfv cplusg wcel wa cedring cv ccom cmpt cmpo dvasca fveq2d syl5eq eqtrd
      eqid erngfplus ) IJUAKHUAUBZBKIUCSSZTSZLAFFECEUDZLUDSUQAUDSUEUFUGUNBGTSUP
      RUNGUOTUODGHIKJMUOULZPQUHUIUJAUOUPCEFHIJKLMNOURUPULUMUK $.

    $( Ring addition operation for the constructed partial vector space A.
       (Contributed by NM, 11-Oct-2013.) $)
    dvaplusg $p |- ( ( ( K e. V /\ W e. H ) /\ ( R e. E /\ S e. E ) )
        -> ( R .+ S ) = ( f e. T |-> ( ( R ` f ) o. ( S ` f ) ) ) ) $=
      ( vs vt vg wcel wa co cv cfv ccom cmpt cmpo dvafplusg oveqd eqid sylan9eq
      tendopl ) JKUBLIUBUCZBGUBCGUBUCBCAUDBCSTGGUADUAUEZSUEUFUPTUEUFUGUHUIZUDFD
      FUEZBUFURCUFUGUHUOAUQBCTADEUAGHIJKLSMNOPQRUJUKTUQDBUAFGJCLSUQULNUNUM $.

    $( Ring addition operation for the constructed partial vector space A.
       (Contributed by NM, 11-Oct-2013.) $)
    dvaplusgv $p |- ( ( ( K e. V /\ W e. H )
                     /\ ( R e. E /\ S e. E /\ G e. T ) )
        -> ( ( R .+ S ) ` G ) = ( ( R ` G ) o. ( S ` G ) ) ) $=
      ( wcel cfv vf wa w3a co cv ccom cmpt wceq dvaplusg fveq1d 3adantr3 simpr3
      fveq2 coeq12d eqid fvex coex fvmpt syl eqtrd ) JKSLISUBZBFSZCFSZHDSZUCUBZ
      HBCAUDZTZHUADUAUEZBTZVHCTZUFZUGZTZHBTZHCTZUFZVAVBVCVGVMUHVDVAVBVCUBUBHVFV
      LABCDEUAFGIJKLMNOPQRUIUJUKVEVDVMVPUHVAVBVCVDULUAHVKVPDVLVHHUHVIVNVJVOVHHB
      UMVHHCUMUNVLUOVNVOHBUPHCUPUQURUSUT $.
  $}

  ${
    $d s t E $.  $d s t K $.  $d s t W $.
    dvafmul.h $e |- H = ( LHyp ` K ) $.
    dvafmul.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvafmul.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvafmul.u $e |- U = ( ( DVecA ` K ) ` W ) $.
    dvafmul.f $e |- F = ( Scalar ` U ) $.
    dvafmul.p $e |- .x. = ( .r ` F ) $.
    $( Ring multiplication operation for the constructed partial vector space
       A. (Contributed by NM, 9-Oct-2013.)  (Revised by Mario Carneiro,
       22-Jun-2014.) $)
    dvafmulr $p |- ( ( K e. V /\ W e. H ) -> .x. = ( s e. E ,
           t e. E |-> ( s o. t ) ) ) $=
      ( wcel cfv cmulr wa cedring ccom cmpo dvasca fveq2d syl5eq erngfmul eqtrd
      cv eqid ) HIRJGRUAZCJHUBSSZTSZKAEEKUJAUJUCUDULCFTSUNQULFUMTUMDFGHJILUMUKZ
      OPUEUFUGAUMBUNEGHIJKLMNUOUNUKUHUI $.

    $d r E $.  $d r K $.  $d r s R $.  $d r s S $.  $d r W $.
    $( Ring multiplication operation for the constructed partial vector space
       A. (Contributed by NM, 11-Oct-2013.) $)
    dvamulr $p |- ( ( ( K e. V /\ W e. H ) /\ ( R e. E /\ S e. E ) )
        -> ( R .x. S ) = ( R o. S ) ) $=
      ( vr vs wcel wa co cv ccom cmpo dvafmulr oveqd cvv wceq coexg coeq1 coeq2
      eqid ovmpog mpd3an3 sylan9eq ) IJTKHTUAZAFTZBFTZUAABDUBABRSFFRUCZSUCZUDZU
      EZUBZABUDZUQDVCABSCDEFGHIJKRLMNOPQUFUGURUSVEUHTVDVEUIABFFUJRSABFFVBVEVCAV
      AUDUHUTAVAUKVABAULVCUMUNUOUP $.
  $}

  ${
    $d f g s K $.  $d f g s W $.
    dvavbase.h $e |- H = ( LHyp ` K ) $.
    dvavbase.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvavbase.u $e |- U = ( ( DVecA ` K ) ` W ) $.
    dvavbase.v $e |- V = ( Base ` U ) $.
    $( The vectors (vector base set) of the constructed partial vector space A
       are all translations (for a fiducial co-atom ` W ` ).  (Contributed by
       NM, 9-Oct-2013.)  (Revised by Mario Carneiro, 22-Jun-2014.) $)
    dvavbase $p |- ( ( K e. X /\ W e. H ) -> V = T ) $=
      ( vf vg vs wcel cbs cfv cnx cop cv wa cplusg ccom cmpo csca cedring cvsca
      ctp ctendo csn cun eqid dvaset fveq2d cvv wceq cltrn fvexi lmodbase ax-mp
      3eqtr4g ) DGOFCOUAZBPQRPQASRUBQLMAALTZMTUCUDZSRUEQFDUFQQZSUHRUGQNLFDUIQQZ
      AVCNTQUDZSUJUKZPQZEAVBBVHPVEABLMVFCDFGNHIVFULVEULJUMUNKAUOOAVIUPAFDUQQIUR
      AVDVGVEVHUOVHULUSUTVA $.
  $}

  ${
    $d f g s K $.  $d f g T $.  $d f g s W $.
    dvafvadd.h $e |- H = ( LHyp ` K ) $.
    dvafvadd.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvafvadd.u $e |- U = ( ( DVecA ` K ) ` W ) $.
    dvafvadd.v $e |- .+ = ( +g ` U ) $.
    $( The vector sum operation for the constructed partial vector space A.
       (Contributed by NM, 9-Oct-2013.)  (Revised by Mario Carneiro,
       22-Jun-2014.) $)
    dvafvadd $p |- ( ( K e. X /\ W e. H ) -> .+ = ( f e. T ,
           g e. T |-> ( f o. g ) ) ) $=
      ( vs wcel cplusg cfv cnx cop cv wa cbs ccom cmpo cedring ctp cvsca ctendo
      csca csn cun eqid dvaset fveq2d cltrn fvexi mpoex lmodplusg ax-mp 3eqtr4g
      cvv wceq ) GIOHFOUAZCPQRUBQBSRPQDEBBDTZETUCZUDZSRUIQHGUEQQZSUFRUGQNDHGUHQ
      QZBVDNTQUDZSUJUKZPQZAVFVCCVJPVGBCDEVHFGHINJKVHULVGULLUMUNMVFVAOVFVKVBDEBB
      VEBHGUOQKUPZVLUQBVFVIVGVJVAVJULURUSUT $.

    $d f g F $.  $d f g G $.
    $( Ring addition operation for the constructed partial vector space A.
       (Contributed by NM, 11-Oct-2013.) $)
    dvavadd $p |- ( ( ( K e. V /\ W e. H ) /\ ( F e. T /\ G e. T ) )
        -> ( F .+ G ) = ( F o. G ) ) $=
      ( vf vg wcel wa co cv ccom cmpo dvafvadd oveqd cvv wceq coexg coeq1 coeq2
      eqid ovmpog mpd3an3 sylan9eq ) GHPIFPQZDBPZEBPZQDEARDENOBBNSZOSZTZUAZRZDE
      TZUMAUSDEABCNOFGIHJKLMUBUCUNUOVAUDPUTVAUEDEBBUFNODEBBURVAUSDUQTUDUPDUQUGU
      QEDUHUSUIUJUKUL $.
  $}

  ${
    $d f s E $.  $d f g s K $.  $d f s T $.  $d f g s W $.
    dvafvsca.h $e |- H = ( LHyp ` K ) $.
    dvafvsca.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvafvsca.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvafvsca.u $e |- U = ( ( DVecA ` K ) ` W ) $.
    dvafvsca.s $e |- .x. = ( .s ` U ) $.
    $( Ring addition operation for the constructed partial vector space A.
       (Contributed by NM, 9-Oct-2013.)  (Revised by Mario Carneiro,
       22-Jun-2014.) $)
    dvafvsca $p |- ( ( K e. V /\ W e. H ) -> .x. = ( s e. E ,
           f e. T |-> ( s ` f ) ) ) $=
      ( vg cvsca cfv cnx cop wcel cbs cplusg ccom cmpo csca cedring ctp csn cun
      wa cv eqid dvaset fveq2d cvv wceq ctendo fvexi cltrn mpoex lmodvsca ax-mp
      3eqtr4g ) GHUAIFUAUKZCQRSUBRATSUCRDPAADULZPULUDUEZTSUFRIGUGRRZTUHSQRJDEAV
      FJULRZUEZTUIUJZQRZBVJVECVKQVHACDPEFGIHJKLMVHUMNUNUOOVJUPUAVJVLUQJDEAVIEIG
      URRMUSAIGUTRLUSVAAVGVJVHVKUPVKUMVBVCVD $.

    $d f s F $.  $d f s R $.
    $( Ring addition operation for the constructed partial vector space A.
       (Contributed by NM, 11-Oct-2013.) $)
    dvavsca $p |- ( ( ( K e. V /\ W e. H ) /\ ( R e. E /\ F e. T ) )
        -> ( R .x. F ) = ( R ` F ) ) $=
      ( vs vf wcel wa cfv co cv cmpo dvafvsca oveqd fveq1 fveq2 eqid fvex ovmpo
      sylan9eq ) HIRJGRSZAERFBRSAFCUAAFPQEBQUBZPUBZTZUCZUAFATZULCUPAFBCDQEGHIJP
      KLMNOUDUEPQAFEBUOUQUPUMATUMUNAUFUMFAUGUPUHFAUIUJUK $.
  $}

  ${
    tendosp.h $e |- H = ( LHyp ` K ) $.
    tendosp.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    tendosp.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    $( Closure of endomorphism scalar product operation.  (Contributed by NM,
       10-Oct-2013.) $)
    tendospcl $p |- ( ( ( K e. V /\ W e. H ) /\ U e. E /\ F e. T )
     -> ( U ` F ) e. T ) $=
      ( tendocl ) BACDEFGHIJKL $.

    $( Associative law for endomorphism scalar product operation.  (Contributed
       by NM, 10-Oct-2013.) $)
    tendospass $p |- ( ( ( K e. X /\ W e. H )
           /\ ( U e. E /\ V e. E /\ F e. T ) )
     -> ( ( U o. V ) ` F ) = ( U ` ( V ` F ) ) ) $=
      ( wcel wa w3a wf ccom cfv wceq tendof 3ad2antr2 simpr3 fvco3 syl2anc ) FI
      MHEMNZBCMZGCMZDAMZONAAGPZUHDBGQRDGRBRSUEUFUGUIUHGACEFIHJKLTUAUEUFUGUHUBAA
      DBGUCUD $.

    $( Forward distributive law for endomorphism scalar product operation.
       (Contributed by NM, 10-Oct-2013.) $)
    tendospdi1 $p |- ( ( ( K e. V /\ W e. H )
           /\ ( U e. E /\ F e. T /\ G e. T ) )
     -> ( U ` ( F o. G ) ) = ( ( U ` F ) o. ( U ` G ) ) ) $=
      ( wcel wa w3a ccom cfv wceq simpll simplr simpr1 simpr2 simpr3 tendovalco
      syl32anc ) GHMZIFMZNZBCMZDAMZEAMZOZNUFUGUIUJUKDEPBQDBQEBQPRUFUGULSUFUGULT
      UHUIUJUKUAUHUIUJUKUBUHUIUJUKUCBACDEFGHIJKLUDUE $.

    $( Converse of a trace-preserving endomorphism value.  (Contributed by NM,
       7-Apr-2014.) $)
    tendocnv $p |- ( ( ( K e. HL /\ W e. H ) /\ S e. E /\ F e. T )
       -> `' ( S ` F ) = ( S ` `' F ) ) $=
      ( chlt wcel cfv ccnv ccom wf1o wceq ltrn1o syl2anc syl w3a cid cres simp1
      wa tendocl eqid f1ococnv1 coeq1d simp2 tendoid 3adant2 f1ococnv2 3eqtr4rd
      cbs fveq2d simp3 ltrncnv tendospdi1 syl13anc eqtrd coass 3eqtr4g syld3an3
      coeq2d wf f1of fcoi2 3syl 3eqtrd 3eqtr3rd ) FKLGELUEZACLZDBLZUAZDAMZNZVPO
      ZVQOZUBFUOMZUCZVQOZDNZAMZVQVOVRWAVQVOVTVTVPPZVRWAQVOVLVPBLZWEVLVMVNUDZABC
      DEFKGHIJUFZVTBVPEFKGVTUGZHIRSZVTVTVPUHTZUIVOVSVRWDOZWAWDOZWDVOVQVPVQOZOVQ
      VPWDOZOVSWLVOWNWOVQVOWNDWCOZAMZWOVOWAAMZWAWQWNVOVLVMWRWAQWGVLVMVNUJZVTACE
      FGWIHJUKSVOWPWAAVOVTVTDPZWPWAQVLVNWTVMVTBDEFKGWIHIRULVTVTDUMTUPVOWEWNWAQW
      JVTVTVPUMTUNVOVLVMVNWCBLZWQWOQWGWSVLVMVNUQVLVNXAVMBDEFGHIURULZBACDWCEFKGH
      IJUSUTVAVEVQVPVQVBVQVPWDVBVCVOVRWAWDWKUIVOVTVTWDPZVTVTWDVFWMWDQVOVLWDBLZX
      CWGVLVMVNXAXDXBABCWCEFKGHIJUFVDVTBWDEFKGWIHIRSVTVTWDVGVTVTWDVHVIVJVOVTVTV
      QPZVTVTVQVFWBVQQVOVLVQBLZXEWGVOVLWFXFWGWHBVPEFGHIURSVTBVQEFKGWIHIRSVTVTVQ
      VGVTVTVQVHVIVK $.
  $}

  ${
    $d s t E $.  $d f s t T $.  $d f s t W $.
    tendospd.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    tendosp.p $e |- P = ( s e. E , t e. E
  |-> ( f e. T |-> ( ( s ` f ) o. ( t ` f ) ) ) ) $.
    $( Reverse distributive law for endomorphism scalar product operation.
       (Contributed by NM, 10-Oct-2013.) $)
    tendospdi2 $p |- ( ( U e. E /\ V e. E /\ F e. T )
     -> ( ( U P V ) ` F ) = ( ( U ` F ) o. ( V ` F ) ) ) $=
      ( tendopl2 ) ABCDEFGHIJKMLN $.
  $}

  ${
    $d f B $.  $d f T $.
    tendospcan.b $e |- B = ( Base ` K ) $.
    tendospcan.h $e |- H = ( LHyp ` K ) $.
    tendospcan.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    tendospcan.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    tendospcan.o $e |- O = ( f e. T |-> ( _I |` B ) ) $.
    $( Cancellation law for trace-preserving endomorphism values (used as
       scalar product).  (Contributed by NM, 7-Apr-2014.)
       (New usage is discouraged.) $)
    tendospcanN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( S e. E /\ S =/= O )
       /\ ( F e. T /\ G e. T ) )
   -> ( ( S ` F ) = ( S ` G ) <-> F = G ) ) $=
      ( wcel wa wceq syl3anc chlt wne w3a cfv wi ccnv ccom cres tendocnv coeq2d
      cid 3adant3l simp1 simp2 simp3l simp3r ltrncnv tendospdi1 syl13anc eqtr4d
      syl2anc adantr eqeq1d wb simpl1 simpl2 simpl3l tendocl ltrncoidN tendoid0
      simpl3r ltrnco simpr syl112anc 3bitr3d biimpd impancom sylibd 3exp1 com24
      necon1d imp5a 3imp fveq2 impbid1 ) IUAQKHQRZBEQZBJUBZRZFCQZGCQZRZUCFBUDZG
      BUDZSZFGSZWFWIWLWOWPUEWFWOWLWIWPWFWOWLWGWHWPWFWGWLWOWHWPUEZWFWGWLWOWQWFWG
      WLUCZWORZWHFGUFZUGZUKAUHZSZWPWSXAXBBJWRXAXBUBZWOBJSZWRXDRZWOXEXFWMWNUFZUG
      ZXBSZXABUDZXBSZWOXEXFXHXJXBWRXHXJSXDWRXHWMWTBUDZUGZXJWRXGXLWMWFWGWKXGXLSW
      JBCEGHIKMNOUIULUJWRWFWGWJWTCQZXJXMSWFWGWLUMZWFWGWLUNWFWGWJWKUOWRWFWKXNXOW
      FWGWJWKUPCGHIKMNUQZVACBEFWTHIUAKMNOURUSUTVBVCXFWFWMCQZWNCQZXIWOVDWFWGWLXD
      VEZXFWFWGWJXQXSWFWGWLXDVFZWJWKWFWGXDVGZBCEFHIUAKMNOVHTXFWFWGWKXRXSXTWJWKW
      FWGXDVKZBCEGHIUAKMNOVHTACWMWNHIKLMNVITXFWFWGXACQZXDXKXEVDXSXTXFWFWJXNYCXS
      YAXFWFWKXNXSYBXPVACFWTHIKMNVLTWRXDVMACBDEXAHIJKLMNOPVJVNVOVPVQWAWSWFWJWKX
      CWPVDWFWGWLWOVEWJWKWFWGWOVGWJWKWFWGWOVKACFGHIKLMNVITVRVSVTWBVTWCFGBWDWE
      $.
  $}

  ${
    $d f t .+^ $.  $d f B $.  $d a b f s t E $.  $d a b f g s t K $.  $d s U $.
    $d f s t .+ $.  $d a b f s t T $.  $d a b f g s t W $.  $d f s t .x. $.
    $d f s t H $.  $d f t .X. $.
    dvalvec.h $e |- H = ( LHyp ` K ) $.
    dvalvec.v $e |- U = ( ( DVecA ` K ) ` W ) $.
    $( The constructed partial vector space A for a lattice ` K ` is an abelian
       group.  (Contributed by NM, 11-Oct-2013.)  (Revised by Mario Carneiro,
       22-Jun-2014.) $)
    dvaabl $p |- ( ( K e. HL /\ W e. H ) -> U e. Abel ) $=
      ( vf vg vs chlt wcel cnx cbs cfv cop cplusg cv cabl eqid cvv wa ccom cmpo
      cltrn csca cedring ctp cvsca ctendo csn cun dvaset ctgrp tgrpset eqeltrrd
      cpr tgrpabl wceq grpbase lmodbase eqtr3d ax-mp grpplusg lmodplusg ablprop
      fvex mpoex sylib eqeltrd ) CJKDBKUAZALMNDCUDNZNZOZLPNGHVLVLGQZHQUBZUCZOZL
      UENDCUFNNZOUGLUHNIGDCUINNZVLVNIQNUCZOUJUKZRVRVLAGHVSBCDJIEVLSZVSSVRSFULVJ
      VMVQUPZRKWARKVJDCUMNNZWCRVLGHWDBCJDEWBWDSZUNWDBCDEWEUQUOWCWAVLTKZWCMNZWAM
      NZURDVKVFZWFVLWGWHVLVPWCTWCSZUSVLVPVTVRWATWASZUTVAVBVPTKZWCPNZWAPNZURGHVL
      VLVOWIWIVGWLVPWMWNVLVPWCTWJVCVLVPVTVRWATWKVDVAVBVEVHVI $.

    ${
      dvalveclem.t $e |- T = ( ( LTrn ` K ) ` W ) $.
      dvalveclem.a $e |- .+ = ( +g ` U ) $.
      dvalveclem.e $e |- E = ( ( TEndo ` K ) ` W ) $.
      dvalveclem.d $e |- D = ( Scalar ` U ) $.
      dvalveclem.b $e |- B = ( Base ` K ) $.
      dvalveclem.p $e |- .+^ = ( +g ` D ) $.
      dvalveclem.m $e |- .X. = ( .r ` D ) $.
      dvalveclem.s $e |- .x. = ( .s ` U ) $.
      $( Lemma for ~ dvalvec .  (Contributed by NM, 11-Oct-2013.)  (Proof
         shortened by Mario Carneiro, 22-Jun-2014.) $)
      dvalveclem $p |- ( ( K e. HL /\ W e. H ) -> U e. LVec ) $=
        ( vs vt vf va vb chlt wcel wa clmod cdr clvec cid cres cbs cfv dvavbase
        eqid eqcomd cplusg wceq a1i csca cvsca dvabase cmulr cur c0g wne co w3a
        tendoidcl eleqtrd tendo1ne0 cedring dvasca fveq2d erng0g eqtrd neeqtrrd
        cmpt ccom jca dvamulr mpdan wf1o wf f1oi f1of fcoi2 mp2b eqtrdi 3jca wb
        erngdv eqeltrd drngid2 syl crg drngring cabl cgrp dvaabl ablgrp dvavsca
        mpbid 3impb tendocl tendospdi1 simpr1 ltrnco 3adant3r1 syldan 3adant3r3
        cv 3adant3r2 dvavadd 3eqtr4d 3adantr1 oveq2d 3adantr3 oveq12d dvaplusgv
        3adantr2 dvafplusg 3ad2ant1 oveqd tendoplcl simpr3 tendospcl tendospass
        cmpo tendococl oveq1d anim1i fvresi adantl islmodd islvec sylanbrc ) KU
        HUILJUIUJZHUKUIBULUIZHUMUIUUBUCUDUEICDFGUNEUOZBEHUUBHUPUQZEEHJKUUELUHMO
        NUUEUSURUTCHVAUQVBUUBPVCBHVDUQVBUUBRVCFHVEUQVBUUBUBVCUUBBUPUQZIUUFHIBJK
        LUHMQNRUUFUSZVFUTZDBVAUQVBUUBTVCGBVGUQVBUUBUAVCUUBBVHUQZUUDUUBUUDUUFUIZ
        UUDBVIUQZVJZUUDUUDGVKZUUDVBZVLZUUIUUDVBZUUBUUJUULUUNUUBUUDIUUFEIJKLMOQV
        MZUUHVNUUBUUDUEEUNAUOWBZUUKAEUEIJKUURLSMOQUURUSZVOUUBUUKLKVPUQUQZVIUQZU
        URUUBBUUTVIUUTHBJKLUHMUUTUSZNRVQZVRAUUTEUEJKUURLUVASMOUVBUUSUVAUSVSVTWA
        UUBUUMUUDUUDWCZUUDUUBUUDIUIZUVEUJUUMUVDVBUUBUVEUVEUUQUUQWDUUDUUDEGHIBJK
        UHLMOQNRUAWEWFEEUUDWGEEUUDWHUVDUUDVBEWIEEUUDWJEEUUDWKWLWMWNUUBUUCUUOUUP
        WOUUBBUUTULUVCUUTJKLMUVBWPWQZUUFBGUUIUUDUUKUUGUAUUKUSUUIUSWRWSXGUTUUBUU
        CBWTUIUVFBXAWSUUBHXBUIHXCUIHJKLMNXDHXEWSUUBUCXPZIUIZUDXPZEUIZVLUVGUVIFV
        KZUVIUVGUQZEUUBUVHUVJUVKUVLVBZUVGEFHIUVIJKUHLMOQNUBXFZXHUVGEIUVIJKUHLMO
        QXIZWQUUBUVHUVJUEXPZEUIZVLZUJZUVGUVIUVPWCZFVKZUVLUVPUVGUQZCVKZUVGUVIUVP
        CVKZFVKUVKUVGUVPFVKZCVKUVSUVTUVGUQZUVLUWBWCZUWAUWCEUVGIUVIUVPJKUHLMOQXJ
        UUBUVRUVHUVTEUIZUJUWAUWFVBUVSUVHUWHUUBUVHUVJUVQXKUUBUVJUVQUWHUVHEUVIUVP
        JKLMOXLXMWDUVGEFHIUVTJKUHLMOQNUBXFXNUUBUVRUVLEUIZUWBEUIZUJUWCUWGVBUVSUW
        IUWJUUBUVHUVJUWIUVQUVOXOUUBUVHUVQUWJUVJUVGEIUVPJKUHLMOQXIZXQWDCEHUVLUWB
        JKUHLMONPXRXNXSUVSUWDUVTUVGFUUBUVJUVQUWDUVTVBUVHCEHUVIUVPJKUHLMONPXRXTY
        AUVSUVKUVLUWEUWBCUUBUVHUVJUVMUVQUVNYBUUBUVHUVQUWEUWBVBZUVJUVGEFHIUVPJKU
        HLMOQNUBXFZYEYCXSUUBUVHUVIIUIZUVQVLZUJZUVPUVGUVIDVKZUQZUWBUVPUVIUQZWCZU
        WQUVPFVKZUWEUVIUVPFVKZCVKZDUVGUVIEHIBUVPJKUHLMOQNRTYDUUBUWOUWQIUIZUVQUJ
        UXAUWRVBUWPUXDUVQUUBUVHUWNUXDUVQUUBUVHUWNVLZUWQUVGUVIUFUGIIUEEUVPUFXPUQ
        UVPUGXPUQWCWBYMZVKIUXEDUXFUVGUVIUUBUVHDUXFVBUWNUGDEHUEIBJKUHLUFMOQNRTYF
        YGYHUGUXFEUVGUEIJKUVILUFMOQUXFUSYIWQXOUUBUVHUWNUVQYJZWDUWQEFHIUVPJKUHLM
        OQNUBXFXNUWPUXCUWBUWSCVKZUWTUWPUWEUWBUXBUWSCUUBUVHUVQUWLUWNUWMYEUUBUWNU
        VQUXBUWSVBUVHUVIEFHIUVPJKUHLMOQNUBXFXTZYCUUBUWOUWJUWSEUIZUJUXHUWTVBUWPU
        WJUXJUUBUVHUVQUWJUWNUWKXQUUBUWNUVQUXJUVHEUVIIUVPJKUHLMOQYKXMZWDCEHUWBUW
        SJKUHLMONPXRXNVTXSUWPUVGUVIWCZUVPFVKZUVGUWSFVKZUVGUVIGVKZUVPFVKUVGUXBFV
        KUWPUVPUXLUQZUWSUVGUQZUXMUXNEUVGIUVPJKUVILUHMOQYLUUBUWOUXLIUIZUVQUJUXMU
        XPVBUWPUXRUVQUUBUVHUWNUXRUVQUVGUVIIJKLMQYNXOUXGWDUXLEFHIUVPJKUHLMOQNUBX
        FXNUUBUWOUVHUXJUJUXNUXQVBUWPUVHUXJUUBUVHUWNUVQXKUXKWDUVGEFHIUWSJKUHLMOQ
        NUBXFXNXSUWPUXOUXLUVPFUUBUVHUWNUXOUXLVBUVQUVGUVIEGHIBJKUHLMOQNRUAWEYBYO
        UWPUXBUWSUVGFUXIYAXSUUBUVGEUIZUJUUDUVGFVKZUVGUUDUQZUVGUUBUXSUVEUXSUJUXT
        UYAVBUUBUVEUXSUUQYPUUDEFHIUVGJKUHLMOQNUBXFXNUXSUYAUVGVBUUBEUVGYQYRVTYSU
        VFBHRYTUUA $.
    $}

    $( The constructed partial vector space A for a lattice ` K ` is a left
       vector space.  (Contributed by NM, 11-Oct-2013.)  (Revised by Mario
       Carneiro, 22-Jun-2014.) $)
    dvalvec $p |- ( ( K e. HL /\ W e. H ) -> U e. LVec ) $=
      ( cbs cfv csca cplusg cltrn cvsca cmulr ctendo eqid dvalveclem ) CGHZAIHZ
      AJHZRJHZDCKHHZALHZRMHZADCNHHZBCDEFUAOSOUDOROQOTOUCOUBOP $.
  $}

  ${
    dva0g.b $e |- B = ( Base ` K ) $.
    dva0g.h $e |- H = ( LHyp ` K ) $.
    dva0g.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dva0g.u $e |- U = ( ( DVecA ` K ) ` W ) $.
    dva0g.z $e |- .0. = ( 0g ` U ) $.
    $( The zero vector of partial vector space A. (Contributed by NM,
       9-Sep-2014.) $)
    dva0g $p |- ( ( K e. HL /\ W e. H ) -> .0. = ( _I |` B ) ) $=
      ( chlt wcel wa cid cres cfv wceq eqid cplusg ccom idltrn dvavadd syl12anc
      co id wf1o wf f1oi f1of fcoi2 mp2b eqtrdi clmod wb clvec dvalvec lveclmod
      cbs syl dvavbase eleqtrrd lmod0vid syl2anc mpbid ) EMNFDNOZPAQZVHCUARZUFZ
      VHSZGVHSZVGVJVHVHUBZVHVGVGVHBNZVNVJVMSVGUGABDEFHIJUCZVOVIBCVHVHDEMFIJKVIT
      ZUDUEAAVHUHAAVHUIVMVHSAUJAAVHUKAAVHULUMUNVGCUONZVHCUTRZNVKVLUPVGCUQNVQCDE
      FIKURCUSVAVGVHBVRVOBCDEVRFMIJKVRTZVBVCVIVRCVHGVSVPLVDVEVF $.
  $}

  $c DIsoA $.

  $( Extend class notation with partial isomorphism A. $)
  cdia $a class DIsoA $.

  ${
    $d k w x y f $.
    $( Define partial isomorphism A. (Contributed by NM, 15-Oct-2013.) $)
    df-disoa $a |- DIsoA = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
        ( x e. { y e. ( Base ` k ) | y ( le ` k ) w } |->
             { f e. ( ( LTrn ` k ) ` w ) |
                   ( ( ( trL ` k ) ` w ) ` f ) ( le ` k ) x } ) ) ) $.
  $}

  ${
    $d k w x y .<_ $.  $d k w x y B $.  $d k w H $.  $d f k w x y K $.
    $d w x R $.  $d f w x T $.  $d f w x y W $.  $d f x y X $.
    diaval.b $e |- B = ( Base ` K ) $.
    diaval.l $e |- .<_ = ( le ` K ) $.
    diaval.h $e |- H = ( LHyp ` K ) $.
    $( The partial isomorphism A for a lattice ` K ` .  (Contributed by NM,
       15-Oct-2013.) $)
    diaffval $p |- ( K e. V -> ( DIsoA ` K ) = ( w e. H |->
        ( x e. { y e. B | y .<_ w } |->
             { f e. ( ( LTrn ` K ) ` w ) |
                   ( ( ( trL ` K ) ` w ) ` f ) .<_ x } ) ) ) $=
      ( vk cfv cv wbr crab cmpt clh fveq2 wcel cvv cdia ctrl wceq elex cple cbs
      cltrn eqtr4di breqd rabeqbidv fveq1d breq123d mpteq12dv df-disoa mptfvmpt
      eqidd syl ) GIUAGUBUAGUCNCFABOZCOZHPZBDQZEOZVAGUDNZNZNZAOZHPZEVAGUINZNZQZ
      RZRUEGIUFCMVMSUCCMOZSNZAUTVAVNUGNZPZBVNUHNZQZVDVAVNUDNZNZNZVHVPPZEVAVNUIN
      ZNZQZRZRFUBGGVNGUEZCVOWGFVMWHVOGSNFVNGSTLUJWHAVSWFVCVLWHVQVBBVRDWHVRGUHND
      VNGUHTJUJWHVPHUTVAWHVPGUGNHVNGUGTKUJZUKULWHWCVIEWEVKWHVAWDVJVNGUITUMWHWBV
      GVHVHVPHWHVDWAVFWHVAVTVEVNGUDTUMUMWIWHVHURUNULUOUOABCEMUPLUQUS $.

    diaval.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    diaval.r $e |- R = ( ( trL ` K ) ` W ) $.
    diaval.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( The partial isomorphism A for a lattice ` K ` .  (Contributed by NM,
       15-Oct-2013.) $)
    diafval $p |- ( ( K e. V /\ W e. H )
                    -> I = ( x e. { y e. B | y .<_ W } |->
                                            { f e. T | ( R ` f ) .<_ x } ) ) $=
      ( vw cfv wcel cv wbr crab ctrl cltrn cmpt cdia diaffval fveq1d wceq breq2
      syl5eq rabbidv fveq2 eqtr4di breq1d rabeqbidv mpteq12dv eqid cbs mptrabex
      fvexi fvmpt sylan9eq ) IKUAZLGUAHLSGABUBZSUBZJUCZBCUDZFUBZVHIUETZTZTZAUBZ
      JUCZFVHIUFTZTZUDZUGZUGZTZAVGLJUCZBCUDZVKDTZVOJUCZFEUDZUGZVFHLIUHTZTWBRVFL
      WIWAABSCFGIJKMNOUIUJUMSLVTWHGWAVHLUKZAVJVSWDWGWJVIWCBCVHLVGJULUNWJVPWFFVR
      EWJVRLVQTEVHLVQUOPUPWJVNWEVOJWJVKVMDWJVMLVLTDVHLVLUOQUPUJUQURUSWAUTWCABCW
      GCIVAMVCVBVDVE $.

    $( The partial isomorphism A for a lattice ` K ` .  Definition of
       isomorphism map in [Crawley] p. 120 line 24.  (Contributed by NM,
       15-Oct-2013.) $)
    diaval $p |- ( ( ( K e. V /\ W e. H ) /\ ( X e. B /\ X .<_ W ) )
          -> ( I ` X ) = { f e. T | ( R ` f ) .<_ X } ) $=
      ( vx vy wcel wa wbr cfv cv crab cmpt wceq adantr fveq1d simpr breq1 elrab
      diafval sylibr breq2 rabbidv eqid cltrn fvexi rabex fvmpt syl eqtrd ) GIT
      JETUAZKATKJHUBZUAZUAZKFUCKRSUDZJHUBZSAUEZDUDBUCZRUDZHUBZDCUEZUFZUCZVKKHUB
      ZDCUEZVGKFVOVDFVOUGVFRSABCDEFGHIJLMNOPQUMUHUIVGKVJTZVPVRUGVGVFVSVDVFUJVIV
      ESKAVHKJHUKULUNRKVNVRVJVOVLKUGVMVQDCVLKVKHUOUPVOUQVQDCCJGURUCOUSUTVAVBVC
      $.

    $d f .<_ $.  $d f F $.  $d f R $.
    $( Member of the partial isomorphism A for a lattice ` K ` .  (Contributed
       by NM, 3-Dec-2013.) $)
    diaelval $p |- ( ( ( K e. V /\ W e. H ) /\ ( X e. B /\ X .<_ W ) )
          -> ( F e. ( I ` X ) <-> ( F e. T /\ ( R ` F ) .<_ X ) ) ) $=
      ( vf wcel wa wbr cfv cv crab diaval eleq2d wceq fveq2 breq1d elrab bitrdi
      ) GISJESTKASKJHUATTZDKFUBZSDRUCZBUBZKHUAZRCUDZSDCSDBUBZKHUAZTULUMUQDABCRE
      FGHIJKLMNOPQUEUFUPUSRDCUNDUGUOURKHUNDBUHUIUJUK $.
  $}

  ${
    $d x y .<_ $.  $d x y B $.  $d f x y K $.  $d f x y W $.  $d x X $.
    diafn.b $e |- B = ( Base ` K ) $.
    diafn.l $e |- .<_ = ( le ` K ) $.
    diafn.h $e |- H = ( LHyp ` K ) $.
    diafn.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( Functionality and domain of the partial isomorphism A. (Contributed by
       NM, 26-Nov-2013.) $)
    diafn $p |- ( ( K e. V /\ W e. H ) -> I Fn { x e. B | x .<_ W } ) $=
      ( vy vf wcel cv wbr crab cfv eqid wfn ctrl cltrn cmpt fvex fnmpti diafval
      wa rabex fneq1d mpbiri ) EGOHCOUHZDAPHFQABRZUAMUMNPHEUBSSZSMPFQZNHEUCSZSZ
      RZUDZUMUAMUMURUSUONUQHUPUEUIUSTUFULUMDUSMABUNUQNCDEFGHIJKUQTUNTLUGUJUK $.

    $( Domain of the partial isomorphism A. (Contributed by NM, 3-Dec-2013.) $)
    diadm $p |- ( ( K e. V /\ W e. H ) -> dom I = { x e. B | x .<_ W } ) $=
      ( wcel wa cv wbr crab diafn fndmd ) EGMHCMNAOHFPABQDABCDEFGHIJKLRS $.

    $( Member of domain of the partial isomorphism A. (Contributed by NM,
       4-Dec-2013.) $)
    diaeldm $p |- ( ( K e. V /\ W e. H )
          -> ( X e. dom I <-> ( X e. B /\ X .<_ W ) ) ) $=
      ( vx wcel wa cdm cv wbr crab diadm eleq2d breq1 elrab bitrdi ) DFNGBNOZHC
      PZNHMQZGERZMASZNHANHGERZOUEUFUIHMABCDEFGIJKLTUAUHUJMHAUGHGEUBUCUD $.
  $}

  ${
    diadmcl.b $e |- B = ( Base ` K ) $.
    diadmcl.h $e |- H = ( LHyp ` K ) $.
    diadmcl.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( A member of domain of the partial isomorphism A is a lattice element.
       (Contributed by NM, 5-Dec-2013.)  (New usage is discouraged.) $)
    diadmclN $p |- ( ( ( K e. V /\ W e. H ) /\ X e. dom I ) -> X e. B ) $=
      ( wcel wa cdm cple cfv wbr eqid diaeldm simprbda ) DEKFBKLGCMKGAKGFDNOZPA
      BCDTEFGHTQIJRS $.
  $}

  ${
    diadmle.l $e |- .<_ = ( le ` K ) $.
    diadmle.h $e |- H = ( LHyp ` K ) $.
    diadmle.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( A member of domain of the partial isomorphism A is under the fiducial
       hyperplane.  (Contributed by NM, 5-Dec-2013.)
       (New usage is discouraged.) $)
    diadmleN $p |- ( ( ( K e. V /\ W e. H ) /\ X e. dom I ) -> X .<_ W ) $=
      ( wcel wa cdm cbs cfv wbr eqid diaeldm simplbda ) CEKFAKLGBMKGCNOZKGFDPTA
      BCDEFGTQHIJRS $.
  $}

  ${
    dian0.b $e |- B = ( Base ` K ) $.
    dian0.l $e |- .<_ = ( le ` K ) $.
    dian0.h $e |- H = ( LHyp ` K ) $.
    dian0.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( The value of the partial isomorphism A is not empty.  (Contributed by
       NM, 17-Jan-2014.) $)
    dian0 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ X .<_ W ) )
            -> ( I ` X ) =/= (/) ) $=
      ( chlt wcel wa wbr cfv cid cres eqid adantr cltrn ctrl idltrn wceq trlid0
      cp0 cal hlatl simpl atl0le syl2an eqbrtrd diaelval mpbir2and ne0d ) DLMZF
      BMZNZGAMZGFEOZNZNZGCPZQARZVBVDVCMVDFDUAPPZMZVDFDUBPPZPZGEOURVFVAAVEBDFHJV
      ESZUCTVBVHDUFPZGEURVHVJUDVAAVGBDFVJHVJSZJVGSZUETURDUGMZUSVJGEOVAUPVMUQDUH
      TUSUTUIADEGVJHIVKUJUKULAVGVEVDBCDELFGHIJVIVLKUMUNUO $.
  $}

  ${
    dia0eldm.z $e |- .0. = ( 0. ` K ) $.
    dia0eldm.h $e |- H = ( LHyp ` K ) $.
    dia0eldm.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( The lattice zero belongs to the domain of partial isomorphism A.
       (Contributed by NM, 5-Dec-2013.)  (New usage is discouraged.) $)
    dia0eldmN $p |- ( ( K e. HL /\ W e. H ) -> .0. e. dom I ) $=
      ( chlt wcel wa cdm cbs cfv cple wbr cops hlop adantr eqid op0cl syl op0le
      lhpbase syl2an diaeldm mpbir2and ) CIJZDAJZKZEBLJECMNZJZEDCONZPZUJCQJZULU
      HUOUICRZSUKCEUKTZFUAUBUHUODUKJUNUIUPUKACDUQGUDUKCUMDEUQUMTZFUCUEUKABCUMID
      EUQURGHUFUG $.
  $}

  ${
    dia1eldm.h $e |- H = ( LHyp ` K ) $.
    dia1eldm.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( The fiducial hyperplane (the largest allowed lattice element) belongs to
       the domain of partial isomorphism A. (Contributed by NM, 5-Dec-2013.)
       (New usage is discouraged.) $)
    dia1eldmN $p |- ( ( K e. HL /\ W e. H ) -> W e. dom I ) $=
      ( chlt wcel wa cdm cbs cfv cple wbr eqid lhpbase adantl clat hllat latref
      syl2an diaeldm mpbir2and ) CGHZDAHZIDBJHDCKLZHZDDCMLZNZUEUGUDUFACDUFOZEPZ
      QUDCRHUGUIUECSUKUFCUHDUJUHOZTUAUFABCUHGDDUJULEFUBUC $.
  $}

  ${
    $d f K $.  $d f T $.  $d f W $.  $d f X $.
    diass.b $e |- B = ( Base ` K ) $.
    diass.l $e |- .<_ = ( le ` K ) $.
    diass.h $e |- H = ( LHyp ` K ) $.
    diass.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    diass.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( The value of the partial isomorphism A is a set of translations, i.e., a
       set of vectors.  (Contributed by NM, 26-Nov-2013.) $)
    diass $p |- ( ( ( K e. V /\ W e. H ) /\ ( X e. B /\ X .<_ W ) )
            -> ( I ` X ) C_ T ) $=
      ( vf wcel wa wbr cfv cv ctrl crab eqid diaval ssrab2 eqsstrdi ) EGPHCPQIA
      PIHFRQQIDSOTHEUASSZSIFRZOBUBBAUGBOCDEFGHIJKLMUGUCNUDUHOBUEUF $.

    $( A member of the value of the partial isomorphism A is a translation,
       i.e., a vector.  (Contributed by NM, 17-Jan-2014.) $)
    diael $p |- ( ( ( K e. V /\ W e. H ) /\ ( X e. B /\ X .<_ W )
        /\ F e. ( I ` X ) ) -> F e. T ) $=
      ( wcel wa wbr cfv diass sseld 3impia ) FHPIDPQZJAPJIGRQZCJESZPCBPUCUDQUEB
      CABDEFGHIJKLMNOTUAUB $.
  $}

  ${
    diatrl.b $e |- B = ( Base ` K ) $.
    diatrl.l $e |- .<_ = ( le ` K ) $.
    diatrl.h $e |- H = ( LHyp ` K ) $.
    diatrl.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    diatrl.r $e |- R = ( ( trL ` K ) ` W ) $.
    diatrl.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( Trace of a member of the partial isomorphism A. (Contributed by NM,
       17-Jan-2014.) $)
    diatrl $p |- ( ( ( K e. V /\ W e. H ) /\ ( X e. B /\ X .<_ W )
       /\ F e. ( I ` X ) ) -> ( R ` F ) .<_ X ) $=
      ( wcel wa wbr cfv diaelval simpr syl6bi 3impia ) GIRJERSZKARKJHTSZDKFUARZ
      DBUAKHTZUFUGSUHDCRZUISUIABCDEFGHIJKLMNOPQUBUJUIUCUDUE $.
  $}

  ${
    $d x H $.  $d x I $.  $d x y K $.  $d x S $.  $d x T $.  $d x V $.
    $d x y W $.
    diaelrn.h $e |- H = ( LHyp ` K ) $.
    diaelrn.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    diaelrn.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( Any value of the partial isomorphism A is a set of translations i.e. a
       set of vectors.  (Contributed by NM, 26-Nov-2013.)
       (New usage is discouraged.) $)
    diaelrnN $p |- ( ( ( K e. V /\ W e. H ) /\ S e. ran I )
            -> S C_ T ) $=
      ( vx vy wcel wa crn wss cv cfv wbr eqid wceq cple cbs crab wrex wfn diafn
      wb fvelrnb syl wi breq1 elrab diass ex sseq1 biimpcd syl6 syl5bi rexlimdv
      sylbid imp ) EFMGCMNZADOMZABPZVCVDKQZDRZAUAZKLQZGEUBRZSZLEUCRZUDZUEZVEVCD
      VMUFVDVNUHLVLCDEVJFGVLTZVJTZHJUGKVMADUIUJVCVHVEKVMVFVMMVFVLMVFGVJSZNZVCVH
      VEUKZVKVQLVFVLVIVFGVJULUMVCVRVGBPZVSVCVRVTVLBCDEVJFGVFVOVPHIJUNUOVHVTVEVG
      ABUPUQURUSUTVAVB $.
  $}

  ${
    $d a b x .<_ $.  $d a b x B $.  $d a b x H $.  $d a b x I $.  $d a b x K $.
    $d a b x U $.  $d a b x W $.  $d a b x X $.
    dialss.b $e |- B = ( Base ` K ) $.
    dialss.l $e |- .<_ = ( le ` K ) $.
    dialss.h $e |- H = ( LHyp ` K ) $.
    dialss.u $e |- U = ( ( DVecA ` K ) ` W ) $.
    dialss.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    dialss.s $e |- S = ( LSubSp ` U ) $.
    $( The value of partial isomorphism A is a subspace of partial vector space
       A. Part of Lemma M of [Crawley] p. 120 line 26.  (Contributed by NM,
       17-Jan-2014.)  (Revised by Mario Carneiro, 23-Jun-2014.) $)
    dialss $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ X .<_ W ) )
        -> ( I ` X ) e. S ) $=
      ( chlt wcel cfv eqid syl3anc vx va vb wbr ctendo cplusg cvsca cltrn eqidd
      wa csca cbs wceq dvabase eqcomd adantr dvavbase a1i diass dian0 cv w3a co
      clss ccom simpll simpr1 simplr simpr2 diael dvavsca oveq1d tendocl simpr3
      syl12anc dvavadd eqtrd ctrl ltrnco cjn clat hllat ad3antrrr trlcl syl2anc
      latjcl simplrl trlco diatrl lattrd wb latjle12 syl13anc mpbi2and diaelval
      tendotp mpbir2and eqeltrd islssd ) FPQZHDQZUJZIAQZIHGUDZUJZUJZUAHFUERRZCU
      FRZBCUGRZIERZCUKRZHFUHRRZCUBUCXFXKUIXBXGXKULRZUMXEXBXMXGXMCXGXKDFHPLXGSZM
      XKSXMSUNUOUPXBXLCULRZUMXEXBXOXLXLCDFXOHPLXLSZMXOSUQUOUPXFXHUIXFXIUIBCVDRU
      MXFOURAXLDEFGPHIJKLXPNUSADEFGHIJKLNUTXFUAVAZXGQZUBVAZXJQZUCVAZXJQZVBZUJZX
      QXSXIVCZYAXHVCZXSXQRZYAVEZXJYDYFYGYAXHVCZYHYDYEYGYAXHYDXBXRXSXLQZYEYGUMXB
      XEYCVFZXFXRXTYBVGZYDXBXEXTYJYKXBXEYCVHZXFXRXTYBVIZAXLXSDEFGPHIJKLXPNVJTZX
      QXLXICXGXSDFPHLXPXNMXISVKVOVLYDXBYGXLQZYAXLQZYIYHUMYKYDXBXRYJYPYKYLYOXQXL
      XGXSDFPHLXPXNVMTZYDXBXEYBYQYKYMXFXRXTYBVNZAXLYADEFGPHIJKLXPNVJTZXHXLCYGYA
      DFPHLXPMXHSVPVOVQYDYHXJQZYHXLQZYHHFVRRRZRZIGUDZYDXBYPYQUUBYKYRYTXLYGYADFH
      LXPVSTZYDAFGUUDYGUUCRZYAUUCRZFVTRZVCZIJKWTFWAQZXAXEYCFWBWCZYDXBUUBUUDAQYK
      UUFAUUCXLYHDFHJLXPUUCSZWDWEYDUUKUUGAQZUUHAQZUUJAQUULYDXBYPUUNYKYRAUUCXLYG
      DFHJLXPUUMWDWEZYDXBYQUUOYKYTAUUCXLYADFHJLXPUUMWDWEZAUUIFUUGUUHJUUISZWFTXB
      XCXDYCWGZYDXBYPYQUUDUUJGUDYKYRYTUUCXLYGYADUUIFGHKUURLXPUUMWHTYDUUGIGUDZUU
      HIGUDZUUJIGUDZYDAFGUUGXSUUCRZIJKUULUUPYDXBYJUVCAQYKYOAUUCXLXSDFHJLXPUUMWD
      WEUUSYDXBXRYJUUGUVCGUDYKYLYOUUCXQXLXGXSDFGPHKLXPUUMXNWPTYDXBXEXTUVCIGUDYK
      YMYNAUUCXLXSDEFGPHIJKLXPUUMNWITWJYDXBXEYBUVAYKYMYSAUUCXLYADEFGPHIJKLXPUUM
      NWITYDUUKUUNUUOXCUUTUVAUJUVBWKUULUUPUUQUUSAUUIFGUUGUUHIJKUURWLWMWNWJXFUUA
      UUBUUEUJWKYCAUUCXLYHDEFGPHIJKLXPUUMNWOUPWQWRWS $.
  $}

  ${
    $d f .<_ $.  $d f B $.  $d f H $.  $d f K $.  $d f W $.  $d f X $.
    $d f Y $.
    dia11.b $e |- B = ( Base ` K ) $.
    dia11.l $e |- .<_ = ( le ` K ) $.
    dia11.h $e |- H = ( LHyp ` K ) $.
    dia11.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( The partial isomorphism A for a lattice ` K ` is order-preserving in the
       region under co-atom ` W ` .  Part of Lemma M of [Crawley] p. 120 line
       28.  (Contributed by NM, 26-Nov-2013.) $)
    diaord $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ X .<_ W )
      /\ ( Y e. B /\ Y .<_ W ) )
   -> ( ( I ` X ) C_ ( I ` Y ) <-> X .<_ Y ) ) $=
      ( vf chlt wcel wa wbr cfv wss eqid cv ctrl cltrn crab wceq diaval 3adant3
      w3a 3adant2 sseq12d wi wral ss2rab catm trlord bitr4id bitrd ) DNOFBOPZGA
      OGFEQPZHAOHFEQPZUHZGCRZHCRZSMUAFDUBRRZRZGEQZMFDUCRRZUDZVEHEQZMVGUDZSZGHEQ
      ZVAVBVHVCVJURUSVBVHUEUTAVDVGMBCDENFGIJKVGTZVDTZLUFUGURUTVCVJUEUSAVDVGMBCD
      ENFHIJKVMVNLUFUIUJVAVKVFVIUKMVGULVLVFVIMVGUMDUNRZAVDVGMBDEFGHIJVOTKVMVNUO
      UPUQ $.

    $( The partial isomorphism A for a lattice ` K ` is one-to-one in the
       region under co-atom ` W ` .  Part of Lemma M of [Crawley] p. 120 line
       28.  (Contributed by NM, 25-Nov-2013.)  (New usage is discouraged.) $)
    dia11N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ X .<_ W )
        /\ ( Y e. B /\ Y .<_ W ) ) -> ( ( I ` X ) = ( I ` Y ) <-> X = Y ) ) $=
      ( cfv wceq wss wa wcel wbr diaord wb chlt eqss 3com23 anbi12d clat simp1l
      w3a hllatd simp2l simp3l latasymb syl3anc bitrd syl5bb ) GCMZHCMZNUOUPOZU
      PUOOZPZDUAQZFBQZPZGAQZGFERZPZHAQZHFERZPZUGZGHNZUOUPUBVIUSGHERZHGERZPZVJVI
      UQVKURVLABCDEFGHIJKLSVBVHVEURVLTABCDEFHGIJKLSUCUDVIDUEQVCVFVMVJTVIDUTVAVE
      VHUFUHVBVCVDVHUIVBVEVFVGUJADEGHIJUKULUMUN $.
  $}

  ${
    $d x y H $.  $d x y I $.  $d x y K $.  $d x y W $.
    dia1o.h $e |- H = ( LHyp ` K ) $.
    dia1o.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( The partial isomorphism A for a lattice ` K ` is a one-to-one function.
       Part of Lemma M of [Crawley] p. 120 line 27.  (Contributed by NM,
       4-Dec-2013.)  (New usage is discouraged.) $)
    diaf11N $p |- ( ( K e. HL /\ W e. H ) -> I : dom I -1-1-onto-> ran I ) $=
      ( vx vy chlt wcel wa cdm wfn wceq cv cfv wral wbr eqid diaeldm crn weq wi
      wf1o cple cbs crab diafn wfun fnfun funfn sylib syl anbi12d dia11N biimpd
      eqidd w3a 3expib sylbid ralrimivv dff1o6 syl3anbrc ) CIJDAJKZBBLZMZBUAZVG
      NGOZBPHOZBPNZGHUBZUCZHVEQGVEQVEVGBUDVDBVHDCUEPZRZGCUFPZUGZMZVFGVOABCVMIDV
      OSZVMSZEFUHVQBUIVFVPBUJBUKULUMVDVGUQVDVLGHVEVEVDVHVEJZVIVEJZKVHVOJVNKZVIV
      OJVIDVMRKZKVLVDVTWBWAWCVOABCVMIDVHVRVSEFTVOABCVMIDVIVRVSEFTUNVDWBWCVLVDWB
      WCURVJVKVOABCVMDVHVIVRVSEFUOUPUSUTVAGHVEVGBVBVC $.

    $( Closure of partial isomorphism A for a lattice ` K ` .  (Contributed by
       NM, 4-Dec-2013.)  (New usage is discouraged.) $)
    diaclN $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. dom I )
            -> ( I ` X ) e. ran I ) $=
      ( chlt wcel wa wfun cdm cfv crn wf1o diaf11N f1ofun syl fvelrn sylan ) CH
      IDAIJZBKZEBLZIEBMBNZIUAUCUDBOUBABCDFGPUCUDBQREBST $.

    $( Closure of partial isomorphism A converse.  (Contributed by NM,
       6-Dec-2013.)  (New usage is discouraged.) $)
    diacnvclN $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. ran I )
            -> ( `' I ` X ) e. dom I ) $=
      ( chlt wcel wa cdm crn wf1o ccnv cfv diaf11N f1ocnvdm sylan ) CHIDAIJBKZB
      LZBMETIEBNOSIABCDFGPSTEBQR $.
  $}

  ${
    $d f B $.  $d f H $.  $d f K $.  $d f W $.  $d f .0. $.
    dia0.b $e |- B = ( Base ` K ) $.
    dia0.z $e |- .0. = ( 0. ` K ) $.
    dia0.h $e |- H = ( LHyp ` K ) $.
    dia0.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( The value of the partial isomorphism A at the lattice zero is the
       singleton of the identity translation i.e. the zero subspace.
       (Contributed by NM, 26-Nov-2013.) $)
    dia0 $p |- ( ( K e. HL /\ W e. H ) -> ( I ` .0. ) = { ( _I |` B ) } ) $=
      ( vf chlt wcel wa cfv wbr crab wceq syl eqid ctrl cple cltrn cid cres csn
      cv cal hlatl atl0cl adantr lhpbase atl0le syl2an diaval syl12anc ad2antrr
      id wb trlcl atlle0 syl2anc trlid0b bitr4d rabbidva idltrn rabsn 3eqtrd )
      DLMZEBMZNZFCOZKUGZEDUAOOZOZFDUBOZPZKEDUCOOZQZVMUDAUEZRZKVRQZVTUFZVKVKFAMZ
      FEVPPZVLVSRVKURVIWDVJVIDUHMZWDDUIZADFGHUJSUKVIWFEAMWEVJWGABDEGIULADVPEFGV
      PTZHUMUNAVNVRKBCDVPLEFGWHIVRTZVNTZJUOUPVKVQWAKVRVKVMVRMZNZVQVOFRZWAWLWFVO
      AMVQWMUSVIWFVJWKWGUQAVNVRVMBDEGIWIWJUTADVPVOFGWHHVAVBAVNVRVMBDEFGHIWIWJVC
      VDVEVKVTVRMWBWCRAVRBDEGIWIVFKVRVTVGSVH $.
  $}

  ${
    $d f H $.  $d f K $.  $d f T $.  $d f W $.
    dia1.h $e |- H = ( LHyp ` K ) $.
    dia1.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dia1.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( The value of the partial isomorphism A at the fiducial co-atom is the
       set of all translations i.e. the entire vector space.  (Contributed by
       NM, 26-Nov-2013.)  (New usage is discouraged.) $)
    dia1N $p |- ( ( K e. HL /\ W e. H ) -> ( I ` W ) = T ) $=
      ( vf chlt wcel wa cfv cv ctrl cple wbr crab wceq eqid cbs id lhpbase clat
      adantl hllat latref syl2an diaval syl12anc ralrimiva rabid2 sylibr eqtr4d
      wral trlle ) DJKZEBKZLZECMZINZEDOMMZMEDPMZQZIARZAUSUSEDUAMZKZEEVCQZUTVESU
      SUBURVGUQVFBDEVFTZFUCZUEUQDUDKVGVHURDUFVJVFDVCEVIVCTZUGUHVFVBAIBCDVCJEEVI
      VKFGVBTZHUIUJUSVDIAUOAVESUSVDIAVBAVABDVCEVKFGVLUPUKVDIAULUMUN $.

    $( The largest subspace in the range of partial isomorphism A. (Contributed
       by NM, 5-Dec-2013.)  (New usage is discouraged.) $)
    dia1elN $p |- ( ( K e. HL /\ W e. H ) -> T e. ran I ) $=
      ( chlt wcel wa cfv crn dia1N wfun cdm wf1o diaf11N f1ofun syl dia1eldmN
      fvelrn syl2anc eqeltrrd ) DIJEBJKZECLZACMZABCDEFGHNUECOZECPZJUFUGJUEUIUGC
      QUHBCDEFHRUIUGCSTBCDEFHUAECUBUCUD $.
  $}

  ${
    $d f x G $.  $d f x H $.  $d f x I $.  $d f x y K $.  $d f x S $.
    $d f x y W $.
    diaglb.g $e |- G = ( glb ` K ) $.
    diaglb.h $e |- H = ( LHyp ` K ) $.
    diaglb.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( Partial isomorphism A of a lattice glb.  (Contributed by NM,
       3-Dec-2013.)  (New usage is discouraged.) $)
    diaglbN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( S C_ dom I /\ S =/= (/) ) )
       -> ( I ` ( G ` S ) ) = |^|_ x e. S ( I ` x ) ) $=
      ( vf vy chlt wcel wa wss cfv wbr wb eqid cdm c0 wne cv ciin ctrl cple cbs
      cltrn simpl ccla hlclat ad2antrr crab sseq2d biimpa adantrr ssrab2 sstrdi
      diadm clatglbcl syl2anc simprr n0 sylib clat hllat ad3antrrr adantr ssel2
      wex adantlr adantll diaeldm mpbid simpld lhpbase ad3antlr simpr clatglble
      syl3anc simprd lattrd exlimddv diaelval syl12anc r19.28zv ad2antll simpll
      wral ralbidva trlcl clatleglb pm5.32da 3bitr4rd cvv vex eliin ax-mp bitrd
      bitr4di eqrdv ) FMNZGDNZOZBEUAZPZBUBUCZOZOZKBCQZEQZABAUDZEQZUEZXJKUDZXLNZ
      XPGFUIQQZNZXPGFUFQQZQZXKFUGQZRZOZXPXONZXJXEXKFUHQZNZXKGYBRZXQYDSXEXIUJXJF
      UKNZBYFPZYGXCYIXDXIFULZUMXJBLUDGYBRZLYFUNZYFXEXGBYMPZXHXEXGYNXEXFYMBLYFDE
      FYBMGYFTZYBTZIJUTUOUPUQYLLYFURUSZYFBCFYOHVAVBZXJXMBNZYHAXJXHYSAVKXEXGXHVC
      ABVDVEXJYSOZYFFYBXKXMGYOYPXCFVFNXDXIYSFVGVHXJYGYSYRVIYTXMYFNZXMGYBRZYTXMX
      FNZUUAUUBOZXIYSUUCXEXGYSUUCXHBXFXMVJVLVMXEUUCUUDSXIYSYFDEFYBMGXMYOYPIJVNU
      MVOZVPXDGYFNXCXIYSYFDFGYOIVQVRYTYIYJYSXKXMYBRXCYIXDXIYSYKVHXJYJYSYQVIXJYS
      VSYFBCFYBXMYOYPHVTWAYTUUAUUBUUEWBWCWDYFXTXRXPDEFYBMGXKYOYPIXRTZXTTZJWEWFX
      JYDXPXNNZABWJZYEXJXSYAXMYBRZOZABWJZXSUUJABWJZOZUUIYDXHUULUUNSXEXGXSUUJABW
      GWHXJUUHUUKABYTXEUUDUUHUUKSXEXIYSWIUUEYFXTXRXPDEFYBMGXMYOYPIUUFUUGJWEVBWK
      XJXSYCUUMXJXSOYIYAYFNZYJYCUUMSXCYIXDXIXSYKVHXEXSUUOXIYFXTXRXPDFGYOIUUFUUG
      WLVLXJYJXSYQVIAYFBCFYBYAYOYPHWMWAWNWOXPWPNYEUUISKWQAXPBXNWPWRWSXAWTXB $.
  $}

  ${
    $d x H $.  $d x I $.  $d x K $.  $d x W $.  $d x X $.  $d x Y $.
    diam.m $e |- ./\ = ( meet ` K ) $.
    diam.h $e |- H = ( LHyp ` K ) $.
    diam.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( Partial isomorphism A of a lattice meet.  (Contributed by NM,
       5-Dec-2013.)  (New usage is discouraged.) $)
    diameetN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. dom I /\ Y e. dom I ) )
       -> ( I ` ( X ./\ Y ) ) = ( ( I ` X ) i^i ( I ` Y ) ) ) $=
      ( vx chlt wcel wa cfv eqid diadmclN wceq adantl fveq2 cdm co cglb cv ciin
      cpr cin cbs simpll adantrr adantrl meetval fveq2d c0 simpl prssi ad2antrl
      wss wne prnzg diaglbN syl12anc iinxprg 3eqtrd ) CLMZEAMZNZFBUAZMZGVHMZNZN
      ZFGDUBZBOFGUFZCUCOZOZBOZKVNKUDZBOZUEZFBOZGBOZUGZVLVMVPBVLVOCDLCUHOZFGWDVO
      PZHVEVFVKUIVGVIFWDMVJWDABCLEFWDPZIJQUJVGVJGWDMVIWDABCLEGWFIJQUKULUMVLVGVN
      VHURZVNUNUSZVQVTRVGVKUOVKWGVGFGVHUPSVIWHVGVJFGVHUTUQKVNVOABCEWEIJVAVBVKVT
      WCRVGKFGVSWAWBVHVHVRFBTVRGBTVCSVD $.

    $( Inverse partial isomorphism A of an intersection.  (Contributed by NM,
       6-Dec-2013.)  (New usage is discouraged.) $)
    diainN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. ran I /\ Y e. ran I ) )
       -> ( X i^i Y ) = ( I ` ( ( `' I ` X ) ./\ ( `' I ` Y ) ) ) ) $=
      ( chlt wcel wa crn cfv cin wceq diacnvclN f1ocnvfv2 syl2anc ccnv co simpl
      cdm adantrr adantrl diameetN syl12anc diaf11N adantr simprl simprr eqtr2d
      wf1o ineq12d ) CKLEALMZFBNZLZGUQLZMZMZFBUAZOZGVBOZDUBBOZVCBOZVDBOZPZFGPVA
      UPVCBUDZLZVDVILZVEVHQUPUTUCUPURVJUSABCEFIJRUEUPUSVKURABCEGIJRUFABCDEVCVDH
      IJUGUHVAVFFVGGVAVIUQBUNZURVFFQUPVLUTABCEIJUIUJZUPURUSUKVIUQFBSTVAVLUSVGGQ
      VMUPURUSULVIUQGBSTUOUM $.
  $}

  ${
    $d y x H $.  $d y x I $.  $d y x K $.  $d y x S $.  $d y x W $.
    diaintcl.h $e |- H = ( LHyp ` K ) $.
    diaintcl.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( The intersection of partial isomorphism A closed subspaces is a closed
       subspace.  (Contributed by NM, 3-Dec-2013.)
       (New usage is discouraged.) $)
    diaintclN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( S C_ ran I /\ S =/= (/) ) )
       -> |^| S e. ran I ) $=
      ( vy vx chlt wcel wa wss cfv wceq adantr syl wb wi wbr crn c0 wne ccnv cv
      cima cres ciin cint wfn cdm wf1o diaf11N cnvimass fnssres sylancl fniinfv
      f1ofn df-ima wfo f1ofo simprl foimacnv syl2anc eqtr3id inteqd eqtrd simpl
      cglb a1i simprr n0 sylib wrex sselda ad2antrr fvelrnb mpbid wfun fvimacnv
      wex f1ofun sylan ne0i syl6bi eleq1 biimprd imim1d syl9 com24 imp rexlimdv
      ex mpd exlimddv eqid diaglbN syl12anc fvres iineq2i eqtr4di cbs cple ccla
      hlclat crab diadm ssrab2 eqsstrdi sstrid clatglbcl clat ad3antrrr lhpbase
      hllat ad3antlr sstrdi simpr clatglble syl3anc sseli adantl diaeldm simprd
      sseqtrid lattrd mpbir2and diaclN syldan eqeltrrd ) DJKZEBKZLZACUAZMZAUBUC
      ZLZLZHCUDAUFZHUEZCYSUGZNZUHZAUIZYNYRUUCUUAUAZUIZUUDYRUUAYSUJZUUCUUFOYRCCU
      KZUJZYSUUHMZUUGYRUUHYNCULZUUIYMUUKYQBCDEFGUMZPUUHYNCURZQCAUNZUUHYSCUOUPHY
      SUUAUQQYRUUEAYRUUECYSUFZACYSUSYRUUHYNCUTZYOUUOAOYMUUPYQYMUUKUUPUULUUHYNCV
      AQPYMYOYPVBZUUHYNACVCVDVEVFVGYRYSDVINZNZCNZUUCYNYRUUTHYSYTCNZUHZUUCYRYMUU
      JYSUBUCZUUTUVBOYMYQVHUUJYRUUNVJYRYTAKZUVCHYRYPUVDHWAYMYOYPVKHAVLVMYRUVDLZ
      IUEZCNZYTOZIUUHVNZUVCUVEYTYNKZUVIYRAYNYTUUQVOUVEUUIUVJUVIRUVEUUKUUIYMUUKY
      QUVDUULVPUUMQIUUHYTCVQQVRUVEUVHUVCIUUHYRUVDUVFUUHKZUVHUVCSSYRUVHUVKUVDUVC
      YRUVKUVGAKZUVCSZUVHUVDUVCSYRUVKUVMYRUVKLUVLUVFYSKZUVCYRCVSZUVKUVLUVNRYMUV
      OYQYMUUKUVOUULUUHYNCWBQPUVFACVTWCYSUVFWDWEWMUVHUVDUVLUVCUVHUVLUVDUVGYTAWF
      WGWHWIWJWKWLWNWOZHYSUURBCDEUURWPZFGWQWRHYSUUBUVAYTYSCWSWTXAYMYQUUSUUHKZUU
      TYNKYRUVRUUSDXBNZKZUUSEDXCNZTZYRDXDKZYSUVSMZUVTYKUWCYLYQDXEZVPYRYSUUHUVSU
      UNYMUUHUVSMYQYMUUHUVFEUWATZIUVSXFZUVSIUVSBCDUWAJEUVSWPZUWAWPZFGXGZUWFIUVS
      XHZXIPXJZUVSYSUURDUWHUVQXKVDZYRYTYSKZUWBHYRUVCUWNHWAUVPHYSVLVMYRUWNLZUVSD
      UWAUUSYTEUWHUWIYKDXLKYLYQUWNDXOXMYRUVTUWNUWMPYRYSUVSYTUWLVOYLEUVSKYKYQUWN
      UVSBDEUWHFXNXPUWOUWCUWDUWNUUSYTUWATYKUWCYLYQUWNUWEXMYRUWDUWNYRYSUWGUVSYRU
      UHYSUWGUUNYMUUHUWGOYQUWJPYEUWKXQPYRUWNXRUVSYSUURDUWAYTUWHUWIUVQXSXTUWOYTU
      VSKZYTEUWATZUWOYTUUHKZUWPUWQLZUWNUWRYRYSUUHYTUUNYAYBYMUWRUWSRYQUWNUVSBCDU
      WAJEYTUWHUWIFGYCVPVRYDYFWOYMUVRUVTUWBLRYQUVSBCDUWAJEUUSUWHUWIFGYCPYGBCDEU
      USFGYHYIYJYJ $.
  $}

  ${
    $d x H $.  $d x I $.  $d x K $.  $d x S $.  $d x W $.
    diasslss.h $e |- H = ( LHyp ` K ) $.
    diasslss.u $e |- U = ( ( DVecA ` K ) ` W ) $.
    diasslss.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    diasslss.s $e |- S = ( LSubSp ` U ) $.
    $( The partial isomorphism A maps to subspaces of partial vector space A.
       (Contributed by NM, 17-Jan-2014.)  (New usage is discouraged.) $)
    diasslssN $p |- ( ( K e. HL /\ W e. H ) -> ran I C_ S ) $=
      ( vx chlt wcel wa crn cv ccnv cfv cdm eqid wf1o wceq f1ocnvfv2 sylan cple
      diaf11N cbs wbr diacnvclN wb adantr mpbid dialss syldan eqeltrrd ex ssrdv
      diaeldm ) ELMFCMNZKDOZAUSKPZUTMZVAAMUSVBNZVADQRZDRZVAAUSDSZUTDUAVBVEVAUBC
      DEFGIUFVFUTVADUCUDUSVBVDEUGRZMVDFEUERZUHNZVEAMVCVDVFMZVICDEFVAGIUIUSVJVIU
      JVBVGCDEVHLFVDVGTZVHTZGIURUKULVGABCDEVHFVDVKVLGHIJUMUNUOUPUQ $.
  $}

  ${
    $d f K $.  $d f W $.  $d f X $.
    diassdva.b $e |- B = ( Base ` K ) $.
    diassdva.l $e |- .<_ = ( le ` K ) $.
    diassdva.h $e |- H = ( LHyp ` K ) $.
    diassdva.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    diassdva.u $e |- U = ( ( DVecA ` K ) ` W ) $.
    diassdva.v $e |- V = ( Base ` U ) $.
    $( The partial isomorphism A maps to a set of vectors in partial vector
       space A. (Contributed by NM, 1-Jan-2014.)
       (New usage is discouraged.) $)
    diassdvaN $p |- ( ( ( K e. Y /\ W e. H ) /\ ( X e. B /\ X .<_ W ) )
          -> ( I ` X ) C_ V ) $=
      ( vf wcel wa cfv wbr cv ctrl crab eqid diaval ssrab2 wceq dvavbase adantr
      cltrn sseqtrrid eqsstrd ) EJRHCRSZIARIHFUASZSZIDTQUBHEUCTTZTIFUAZQHEUKTTZ
      UDZGAUQUSQCDEFJHIKLMUSUEZUQUENUFUPUSUTGURQUSUGUNGUSUHUOUSBCEGHJMVAOPUIUJU
      LUM $.
  $}

  ${
    $d s E $.  $d g s F $.  $d g s H $.  $d g s K $.  $d g s R $.  $d g s T $.
    $d g s W $.
    dia1dim.h $e |- H = ( LHyp ` K ) $.
    dia1dim.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dia1dim.r $e |- R = ( ( trL ` K ) ` W ) $.
    dia1dim.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dia1dim.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( Two expressions for the 1-dimensional subspaces of partial vector space
       A (when ` F ` is a nonzero vector i.e. non-identity translation).
       Remark after Lemma L in [Crawley] p. 120 line 21.  (Contributed by NM,
       15-Oct-2013.)  (Revised by Mario Carneiro, 22-Jun-2014.) $)
    dia1dim $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
      -> ( I ` ( R ` F ) ) = { g | E. s e. E g = ( s ` F ) } ) $=
      ( chlt wcel wa cfv cv cple wbr crab wceq wrex cab simpl eqid trlcl diaval
      cbs trlle syl12anc dva1dim eqtr4d ) HPQIFQRZEBQZRZEASZGSZCTZASUSHUASZUBCB
      UCZVAEJTSUDJDUECUFURUPUSHUKSZQUSIVBUBUTVCUDUPUQUGVDABEFHIVDUHZKLMUIABEFHV
      BIVBUHZKLMULVDABCFGHVBPIUSVEVFKLMOUJUMABCDEFHVBIJVFKLMNUNUO $.
  $}

  ${
    $d g s F $.  $d g s H $.  $d g s K $.  $d g s N $.  $d g s R $.
    $d g s T $.  $d g s U $.  $d g s W $.
    dia1dim2.h $e |- H = ( LHyp ` K ) $.
    dia1dim2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dia1dim2.r $e |- R = ( ( trL ` K ) ` W ) $.
    dva1dim2.u $e |- U = ( ( DVecA ` K ) ` W ) $.
    dia1dim2.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    dva1dim2.n $e |- N = ( LSpan ` U ) $.
    $( Two expressions for a 1-dimensional subspace of partial vector space A
       (when ` F ` is a nonzero vector i.e. non-identity translation).
       (Contributed by NM, 15-Jan-2014.)  (Revised by Mario Carneiro,
       22-Jun-2014.) $)
    dia1dim2 $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
      -> ( I ` ( R ` F ) ) = ( N ` { F } ) ) $=
      ( vg vs wcel cfv wceq chlt wa cv cvsca co csca cbs cab ctendo csn dvabase
      wrex eqid adantr rexeqdv dvavsca anass1rs eqeq2d bitrd abbidv clmod clvec
      rexbidva dvalvec lveclmod simpr dvavbase eleqtrrd lspsn syl2anc 3eqtr4rd
      syl dia1dim ) GUARIERUBZDBRZUBZPUCZQUCZDCUDSZUEZTZQCUFSZUGSZULZPUHZVQDVRS
      ZTZQIGUISSZULZPUHDUJHSZDASFSVPWDWIPVPWDWAQWHULWIVPWAQWCWHVNWCWHTVOWCCWHWB
      EGIUAJWHUMZMWBUMZWCUMZUKUNUOVPWAWGQWHVPVRWHRZUBVTWFVQVNWNVOVTWFTVRBVSCWHD
      EGUAIJKWKMVSUMZUPUQURVCUSUTVPCVARZDCUGSZRWJWETVPCVBRZWPVNWRVOCEGIJMVDUNCV
      EVLVPDBWQVNVOVFVNWQBTVOBCEGWQIUAJKMWQUMZVGUNVHPVSQWBWCHWQCDWLWMWSWOOVIVJA
      BPWHDEFGIQJKLWKNVMVK $.
  $}

  ${
    dia1dimid.h $e |- H = ( LHyp ` K ) $.
    dia1dimid.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dia1dimid.r $e |- R = ( ( trL ` K ) ` W ) $.
    dia1dimid.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    $( A vector (translation) belongs to the 1-dim subspace it generates.
       (Contributed by NM, 8-Sep-2014.) $)
    dia1dimid $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
      -> F e. ( I ` ( R ` F ) ) ) $=
      ( chlt wcel wa csn cdveca cfv clspn clmod eqid cbs clvec dvalvec lveclmod
      syl adantr dvavbase eleq2d biimpar lspsnid syl2anc dia1dim2 eleqtrrd ) FL
      MGDMNZCBMZNZCCOGFPQQZRQZQZCAQEQUPUQSMZCUQUAQZMZCUSMUNUTUOUNUQUBMUTUQDFGHU
      QTZUCUQUDUEUFUNVBUOUNVABCBUQDFVAGLHIVCVATZUGUHUIURVAUQCVDURTZUJUKABUQCDEF
      URGHIJVCKVEULUM $.
  $}

  ${
    dia2dimlem1.l $e |- .<_ = ( le ` K ) $.
    dia2dimlem1.j $e |- .\/ = ( join ` K ) $.
    dia2dimlem1.m $e |- ./\ = ( meet ` K ) $.
    dia2dimlem1.a $e |- A = ( Atoms ` K ) $.
    dia2dimlem1.h $e |- H = ( LHyp ` K ) $.
    dia2dimlem1.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dia2dimlem1.r $e |- R = ( ( trL ` K ) ` W ) $.
    dia2dimlem1.q $e |- Q = ( ( P .\/ U ) ./\ ( ( F ` P ) .\/ V ) ) $.
    dia2dimlem1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dia2dimlem1.u $e |- ( ph -> ( U e. A /\ U .<_ W ) ) $.
    dia2dimlem1.v $e |- ( ph -> ( V e. A /\ V .<_ W ) ) $.
    dia2dimlem1.p $e |- ( ph -> ( P e. A /\ -. P .<_ W ) ) $.
    dia2dimlem1.f $e |- ( ph -> ( F e. T /\ ( F ` P ) =/= P ) ) $.
    dia2dimlem1.rf $e |- ( ph -> ( R ` F ) .<_ ( U .\/ V ) ) $.
    dia2dimlem1.uv $e |- ( ph -> U =/= V ) $.
    dia2dimlem1.ru $e |- ( ph -> ( R ` F ) =/= U ) $.
    $( Lemma for ~ dia2dim .  Show properties of the auxiliary atom ` Q ` .
       Part of proof of Lemma M in [Crawley] p. 121 line 3.  (Contributed by
       NM, 8-Sep-2014.) $)
    dia2dimlem1 $p |- ( ph -> ( Q e. A /\ -. Q .<_ W ) ) $=
      ( wcel wbr wn co cfv chlt wne wa simpld trlat syl3anc ltrnel simprd trlle
      syl2anc clat cbs wb hllatd eqid atbase lhpbase latjle12 syl13anc mpbi2and
      syl wi hlatjcl lattr mpan2d mtod nbrne2 necomd wceq adantr hlatlej2 simpr
      jca breqtrrd hlatexch2 syl131anc mpd lattrd ex necon3bd hlatlej1 atmod3i1
      trlval2 cp1 lhpjat2 col hlol olm11 eqtrd hlatjcom breqtrd ps-2c syl333anc
      oveq2d eqeltrid eqbrtrid latlem12 biimpd mpand imp lhpmat oveq1d atmod4i1
      latmle1 cp0 olj02 3eqtr3d cal hlatl atcmp mpbid latmle2 eqtr3d necon3ad )
      ADBULZDOLUMZUNZADCGJUOZCHUPZNJUOZMUOZBUCAKUQULZCBULZHEUPZBULZGBULZYOBULZN
      BULZCYTGJUOZLUMZUNZYONURZUSYNYPURZYOCYTJUOZLUMZNUUELUMZUSYQBULAYROIULZUDU
      TZAYSCOLUMZUNZUGUTZAYRUUMUSZYSUUPUSZHFULZYOCURZUSUUAUDUGUHBCEFHIKLOPSTUAU
      BVAVBZAUUBGOLUMZUEUTZAUUCYOOLUMUNZAUURUUTUUSUUCUVEUSZUDAUUTUVAUHUTZUGBCFH
      IKLOPSTUAVCVBZUTZAUUDNOLUMZUFUTZAUUGUUHAUUFUUOAYSUUPUGVDZAUUFUUEOLUMZUUOA
      YTOLUMZUVCUVMAUURUUTUVNUDUVGEFHIKLOPTUAUBVEVFAUUBUVCUEVDZAKVGULZYTKVHUPZU
      LZGUVQULZOUVQULZUVNUVCUSUVMVIAKUUNVJZAUUAUVRUVBBUVQYTKUVQVKZSVLVQAUUBUVSU
      VDBUVQGKUWBSVLVQZAUUMUVTAYRUUMUDVDUVQIKOUWBTVMVQZUVQJKLYTGOUWBPQVNVOVPAUV
      PCUVQULZUUEUVQULZUVTUUFUVMUSUUOVRUWAAYSUWEUUQBUVQCKUWBSVLVQZAYRUUAUUBUWFU
      UNUVBUVDBUVQJKYTGUWBQSVSVBUWDUVQKLCUUEOUWBPVTVOWAWBANYOAUVJUVENYOURAUUDUV
      JUFVDZAUUCUVEUVHVDNYOOLWCVFWDWIAUUPUUIUVLAUUOYNYPAYNYPWEZUUOAUWIUSZUVQKLC
      NGJUOZOUWBPAUVPUWIUWAWFAUWEUWIUWGWFAUWKUVQULZUWIAYRUUDUUBUWLUUNUVKUVDBUVQ
      JKNGUWBQSVSVBWFAUVTUWIUWDWFUWJNYNLUMZCUWKLUMZUWJNYPYNLANYPLUMZUWIAYRUUCUU
      DUWOUUNUVIUVKBYONJKLPQSWGVBWFAUWIWHWJAUWMUWNVRZUWIAYRUUDYSUUBNGURUWPUUNUV
      KUUQUVDAGNUJWDBNCGJKLPQSWKWLWFWMAUWKOLUMZUWIAUVJUVCUWQUWHUVOAUVPNUVQULZUV
      SUVTUVJUVCUSUWQVIUWAAUUDUWRUVKBUVQNKUWBSVLVQZUWCUWDUVQJKLNGOUWBPQVNVOVPWF
      WNWOWPWMAUUKUULAYOCYOJUOZUUJLAYRYSUUCYOUWTLUMUUNUUQUVIBCYOJKLPQSWGVBAUUJC
      UWTOMUOZJUOZUWTAYTUXACJAUURUUTUUSYTUXAWEUDUVGUGBCEFHIJKLMOPQRSTUAUBWSVBXJ
      AUXBUWTCOJUOZMUOZUWTAYRYSUWTUVQULZUVTCUWTLUMZUXBUXDWEUUNUUQAYRYSUUCUXEUUN
      UUQUVIBUVQJKCYOUWBQSVSVBZUWDAYRYSUUCUXFUUNUUQUVIBCYOJKLPQSWQVBBUVQCJKLMUW
      TOUWBPQRSWRWLAUXDUWTKWTUPZMUOZUWTAUXCUXHUWTMAUURUUSUXCUXHWEUDUGBCUXHIJKLO
      PQUXHVKZSTXAVFXJAKXBULZUXEUXIUWTWEAYRUXKUUNKXCVQZUXGUVQUXHKMUWTUWBRUXJXDV
      FXEXEXEWJAYTUWKLUMZUULAYTGNJUOZUWKLUIAYRUUBUUDUXNUWKWEUUNUVDUVKBJKGNQSXFV
      BXGAYRUUAUUDUUBYTGURUXMUULVRUUNUVBUVKUVDUKBYTNGJKLPQSWKWLWMWIBCYTGYONJKLM
      PQRSXHXIXKZAGNURYMUJAYLGNAYLGNWEAYLUSZDGNUXPDGLUMZDGWEZUXPDYNOMUOZGLAYLDU
      XSLUMZADYNLUMZYLUXTADYQYNLUCAUVPYNUVQULZYPUVQULZYQYNLUMUWAAYRYSUUBUYBUUNU
      UQUVDBUVQJKCGUWBQSVSVBZAYRUUCUUDUYCUUNUVIUVKBUVQJKYONUWBQSVSVBZUVQKLMYNYP
      UWBPRXTVBXLAUYAYLUSZUXTAUVPDUVQULZUYBUVTUYFUXTVIUWAAYKUYGUXOBUVQDKUWBSVLV
      QZUYDUWDUVQKLMDYNOUWBPRXMVOXNXOXPAUXSGWEYLACOMUOZGJUOZKYAUPZGJUOZUXSGAUYI
      UYKGJAUURUUSUYIUYKWEUDUGBCIKLMOUYKPRUYKVKZSTXQVFXRAYRUUBUWEUVTUVCUYJUXSWE
      UUNUVDUWGUWDUVOBUVQGJKLMCOUWBPQRSXSWLAUXKUVSUYLGWEUXLUWCUVQJKGUYKUWBQUYMY
      BVFYCWFXGUXPKYDULZYKUUBUXQUXRVIAUYNYLAYRUYNUUNKYEVQWFZAYKYLUXOWFZAUUBYLUV
      DWFBDGKLPSYFVBYGUXPDNLUMZDNWEZUXPDYPOMUOZNLAYLDUYSLUMZADYPLUMZYLUYTADYQYP
      LUCAUVPUYBUYCYQYPLUMUWAUYDUYEUVQKLMYNYPUWBPRYHVBXLAVUAYLUSZUYTAUVPUYGUYCU
      VTVUBUYTVIUWAUYHUYEUWDUVQKLMDYPOUWBPRXMVOXNXOXPAUYSNWEYLAYOOMUOZNJUOZUYKN
      JUOZUYSNAVUCUYKNJAUURUVFVUCUYKWEUDUVHBYOIKLMOUYKPRUYMSTXQVFXRAYRUUDYOUVQU
      LZUVTUVJVUDUYSWEUUNUVKAUUCVUFUVIBUVQYOKUWBSVLVQUWDUWHBUVQNJKLMYOOUWBPQRSX
      SWLAUXKUWRVUENWEUXLUWSUVQJKNUYKUWBQUYMYBVFYCWFXGUXPUYNYKUUDUYQUYRVIUYOUYP
      AUUDYLUVKWFBDNKLPSYFVBYGYIWOYJWMWI $.
  $}

  ${
    dia2dimlem2.l $e |- .<_ = ( le ` K ) $.
    dia2dimlem2.j $e |- .\/ = ( join ` K ) $.
    dia2dimlem2.m $e |- ./\ = ( meet ` K ) $.
    dia2dimlem2.a $e |- A = ( Atoms ` K ) $.
    dia2dimlem2.h $e |- H = ( LHyp ` K ) $.
    dia2dimlem2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dia2dimlem2.r $e |- R = ( ( trL ` K ) ` W ) $.
    dia2dimlem2.q $e |- Q = ( ( P .\/ U ) ./\ ( ( F ` P ) .\/ V ) ) $.
    dia2dimlem2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dia2dimlem2.u $e |- ( ph -> ( U e. A /\ U .<_ W ) ) $.
    dia2dimlem2.v $e |- ( ph -> ( V e. A /\ V .<_ W ) ) $.
    dia2dimlem2.p $e |- ( ph -> ( P e. A /\ -. P .<_ W ) ) $.
    dia2dimlem2.f $e |- ( ph -> ( F e. T /\ ( F ` P ) =/= P ) ) $.
    dia2dimlem2.rf $e |- ( ph -> ( R ` F ) .<_ ( U .\/ V ) ) $.
    dia2dimlem2.rv $e |- ( ph -> ( R ` F ) =/= V ) $.
    dia2dimlem2.g $e |- ( ph -> G e. T ) $.
    dia2dimlem2.gv $e |- ( ph -> ( G ` P ) = Q ) $.
    $( Lemma for ~ dia2dim .  Define a translation ` G ` whose trace is atom
       ` U ` .  Part of proof of Lemma M in [Crawley] p. 121 line 4.
       (Contributed by NM, 8-Sep-2014.) $)
    dia2dimlem2 $p |- ( ph -> ( R ` G ) = U ) $=
      ( cfv wbr wceq co clat wcel cbs chlt simpld hllatd wn eqid atbase latlej2
      syl syl3anc wb hlatjcl latleeqm2 mpbid wne wi hlatexch2 syl131anc trlval2
      trlat mpd oveq1d ltrnel simprd lhpbase atmod4i1 hlatjass syl13anc breqtrd
      eqtrd latjcl latmcl latmlem2 eqbrtrrd eqtrdi oveq2d hlatlej1 atmod3i1 col
      wa hlol latmassOLD eqcomd cal hlatl cp0 cplt cops 0ltat syl2anc cpo hlpos
      hlop op0cl trlcl pltletr mp2and opltn0 neneqd trlator0 orcomd ord atcmp
      wo ) AGIEUNZAGYDMUOZGYDUPZAGCGKUQZCCHUNZOKUQZKUQZPNUQZNUQZYDMAYGGNUQZGYLM
      AGYGMUOZYMGUPZALURUSZCLUTUNZUSZGYQUSZYNALALVAUSZPJUSZUEVBZVCZACBUSZYRAUUD
      CPMUOVDZUHVBZBYQCLYQVEZTVFVHZAGBUSZYSAUUIGPMUOUFVBZBYQGLUUGTVFVHZYQKLMCGU
      UGQRVGVIAYPYSYGYQUSZYNYOVJUUCUUKAYTUUDUUIUULUUBUUFUUJBYQKLCGUUGRTVKVIZYQL
      MNGYGUUGQSVLVIVMAGYKMUOZYMYLMUOZAGHEUNZOKUQZYKMAUUPGOKUQMUOZGUUQMUOZUJAYT
      UUPBUSZUUIOBUSZUUPOVNUURUUSVOUUBAYTUUAWSZUUDUUEWSZHFUSZYHCVNZWSUUTUEUHUIB
      CEFHJLMPQTUAUBUCVSVIUUJAUVAOPMUOZUGVBZUKBUUPGOKLMQRTVPVQVTAUUQCYHKUQZPNUQ
      ZOKUQZYKAUUPUVIOKAUVBUVDUVCUUPUVIUPUEAUVDUVEUIVBZUHBCEFHJKLMNPQRSTUAUBUCV
      RVIWAAUVJUVHOKUQZPNUQZYKAYTUVAUVHYQUSZPYQUSZUVFUVJUVMUPUUBUVGAYTUUDYHBUSZ
      UVNUUBUUFAUVPYHPMUOVDZAUVBUVDUVCUVPUVQWSUEUVKUHBCFHJLMPQTUAUBWBVIVBZBYQKL
      CYHUUGRTVKVIAUUAUVOAYTUUAUEWCYQJLPUUGUAWDVHZAUVAUVFUGWCBYQOKLMNUVHPUUGQRS
      TWEVQAUVLYJPNAYTUUDUVPUVAUVLYJUPUUBUUFUVRUVGBCYHOKLRTWFWGWAWIWIWHAYPYSYKY
      QUSZUULUUNUUOVOUUCUUKAYPYJYQUSZUVOUVTUUCAYPYRYIYQUSZUWAUUCUUHAYTUVPUVAUWB
      UUBUVRUVGBYQKLYHOUUGRTVKVIZYQKLCYIUUGRWJVIZUVSYQLNYJPUUGSWKVIUUMYQLMNGYKY
      GUUGQSWLWGVTWMAYDYLAYDCCIUNZKUQZPNUQZYLAUVBIFUSZUVCYDUWGUPUEULUHBCEFIJKLM
      NPQRSTUAUBUCVRVIAUWGCYGYINUQZKUQZPNUQZYLAUWFUWJPNAUWEUWICKAUWEDUWIUMUDWNW
      OWAAUWKYGYJNUQZPNUQZYLAUWJUWLPNAYTUUDUULUWBCYGMUOZUWJUWLUPUUBUUFUUMUWCAYT
      UUDUUIUWNUUBUUFUUJBCGKLMQRTWPVIBYQCKLMNYGYIUUGQRSTWQVQWAALWRUSZUULUWAUVOU
      WMYLUPAYTUWOUUBLWTVHUUMUWDUVSYQLNYGYJPUUGSXAWGWIWIWIXBWHZALXCUSZUUIYDBUSZ
      YEYFVJAYTUWQUUBLXDVHUUJAYDLXEUNZUPZVDUWRAYDUWSAUWSYDLXFUNZUOZYDUWSVNZAUWS
      GUXAUOZYEUXBALXGUSZUUIUXDAYTUXEUUBLXLVHZUUJBGUXALUWSUWSVEZUXAVEZTXHXIUWPA
      LXJUSZUWSYQUSZYSYDYQUSZUXDYEWSUXBVOAYTUXIUUBLXKVHAUXEUXJUXFYQLUWSUUGUXGXM
      VHUUKAUVBUWHUXKUEULYQEFIJLPUUGUAUBUCXNXIZYQUXALMUWSGYDUUGQUXHXOWGXPAUXEUX
      KUXBUXCVJUXFUXLYQUXALYDUWSUUGUXHUXGXQXIVMXRAUWTUWRAUWRUWTAUVBUWHUWRUWTYCU
      EULBEFIJLPUWSUXGTUAUBUCXSXIXTYAVTBGYDLMQTYBVIVMXB $.
  $}

  ${
    dia2dimlem3.l $e |- .<_ = ( le ` K ) $.
    dia2dimlem3.j $e |- .\/ = ( join ` K ) $.
    dia2dimlem3.m $e |- ./\ = ( meet ` K ) $.
    dia2dimlem3.a $e |- A = ( Atoms ` K ) $.
    dia2dimlem3.h $e |- H = ( LHyp ` K ) $.
    dia2dimlem3.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dia2dimlem3.r $e |- R = ( ( trL ` K ) ` W ) $.
    dia2dimlem3.q $e |- Q = ( ( P .\/ U ) ./\ ( ( F ` P ) .\/ V ) ) $.
    dia2dimlem3.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dia2dimlem3.u $e |- ( ph -> ( U e. A /\ U .<_ W ) ) $.
    dia2dimlem3.v $e |- ( ph -> ( V e. A /\ V .<_ W ) ) $.
    dia2dimlem3.p $e |- ( ph -> ( P e. A /\ -. P .<_ W ) ) $.
    dia2dimlem3.f $e |- ( ph -> ( F e. T /\ ( F ` P ) =/= P ) ) $.
    dia2dimlem3.rf $e |- ( ph -> ( R ` F ) .<_ ( U .\/ V ) ) $.
    dia2dimlem3.uv $e |- ( ph -> U =/= V ) $.
    dia2dimlem3.ru $e |- ( ph -> ( R ` F ) =/= U ) $.
    dia2dimlem3.rv $e |- ( ph -> ( R ` F ) =/= V ) $.
    dia2dimlem3.d $e |- ( ph -> D e. T ) $.
    dia2dimlem3.dv $e |- ( ph -> ( D ` Q ) = ( F ` P ) ) $.
    $( Lemma for ~ dia2dim .  Define a translation ` D ` whose trace is atom
       ` V ` .  Part of proof of Lemma M in [Crawley] p. 121 line 5.
       (Contributed by NM, 8-Sep-2014.) $)
    dia2dimlem3 $p |- ( ph -> ( R ` D ) = V ) $=
      ( cfv wbr wceq co chlt wcel simpld wn wa wne ltrnel syl3anc hlatlej2 clat
      cbs wi hllatd eqid atbase syl hlatjcl trlat latmlem2 syl13anc mpd breqtrd
      hlatjcom hlatexch2 syl131anc wb latleeqm2 dia2dimlem1 trlval2 a1i oveq12d
      hlatlej1 atmod4i1 hlatj32 oveq1d 3eqtrd hlol latjcl simprd lhpbase latm32
      mpbid col eqtr2d 3brtr3d cal hlatl cp0 cplt cops hlop 0ltat syl2anc hlpos
      cpo op0cl trlcl pltletr mp2and opltn0 neneqd wo trlator0 orcomd ord atcmp
      eqcomd ) AOCFUPZAOYGMUQZOYGURZAIFUPZHKUSZONUSZYKDIUPZOKUSZNUSZOYGMAOYNMUQ
      ZYLYOMUQZALUTVAZYMBVAZOBVAZYPAYRPJVAZUEVBZAYSYMPMUQVCZAYRUUAVDZIGVAZDBVAZ
      DPMUQVCZVDZYSUUCVDUEAUUEYMDVEZUIVBZUHBDGIJLMPQTUAUBVFVGVBZAYTOPMUQUGVBZBY
      MOKLMQRTVHVGALVIVAZOLVJUPZVAZYNUUNVAZYKUUNVAZYPYQVKALUUBVLZAYTUUOUULBUUNO
      LUUNVMZTVNVOZAYRYSYTUUPUUBUUKUULBUUNKLYMOUUSRTVPVGZAYRYJBVAZHBVAZUUQUUBAU
      UDUUHUUEUUIVDUVBUEUHUIBDFGIJLMPQTUAUBUCVQVGZAUVCHPMUQZUFVBZBUUNKLYJHUUSRT
      VPVGZUUNLMNOYNYKUUSQSVRVSVTAOYKMUQZYLOURZAYJOHKUSZMUQZUVHAYJHOKUSZUVJMUJA
      YRUVCYTUVLUVJURUUBUVFUULBKLHORTWBVGWAAYRUVBYTUVCYJHVEUVKUVHVKUUBUVDUULUVF
      ULBYJOHKLMQRTWCWDVTAUUMUUOUUQUVHUVIWEUURUUTUVGUUNLMNOYKUUSQSWFVGXAAYGEECU
      PZKUSZPNUSZYOAUUDCGVAZEBVAEPMUQVCVDYGUVOURUEUNABDEFGHIJKLMNOPQRSTUAUBUCUD
      UEUFUGUHUIUJUKULWGBEFGCJKLMNPQRSTUAUBUCWHVGAUVODYMKUSZHKUSZYNNUSZPNUSZUVR
      PNUSZYNNUSZYOAUVNUVSPNAUVNDHKUSZYNNUSZYMKUSZUWCYMKUSZYNNUSZUVSAEUWDUVMYMK
      EUWDURAUDWIUOWJAYRYSUWCUUNVAZUUPYMYNMUQZUWEUWGURUUBUUKAYRUUFUVCUWHUUBAUUF
      UUGUHVBZUVFBUUNKLDHUUSRTVPVGUVAAYRYSYTUWIUUBUUKUULBYMOKLMQRTWKVGBUUNYMKLM
      NUWCYNUUSQRSTWLWDAUWFUVRYNNAYRUUFUVCYSUWFUVRURUUBUWJUVFUUKBDHYMKLRTWMVSWN
      WOWNALXBVAZUVRUUNVAZUUPPUUNVAZUVTUWBURAYRUWKUUBLWPVOAUUMUVQUUNVAZHUUNVAZU
      WLUURAYRUUFYSUWNUUBUWJUUKBUUNKLDYMUUSRTVPVGZAUVCUWOUVFBUUNHLUUSTVNVOUUNKL
      UVQHUUSRWQVGUVAAUUAUWMAYRUUAUEWRUUNJLPUUSUAWSVOZUUNLNUVRYNPUUSSWTVSAUWAYK
      YNNAYKUVQPNUSZHKUSZUWAAYJUWRHKAUUDUUEUUHYJUWRURUEUUJUHBDFGIJKLMNPQRSTUAUB
      UCWHVGWNAYRUVCUWNUWMUVEUWSUWAURUUBUVFUWPUWQAUVCUVEUFWRBUUNHKLMNUVQPUUSQRS
      TWLWDXCWNWOXCXDZALXEVAZYTYGBVAZYHYIWEAYRUXAUUBLXFVOUULAYGLXGUPZURZVCUXBAY
      GUXCAUXCYGLXHUPZUQZYGUXCVEZAUXCOUXEUQZYHUXFALXIVAZYTUXHAYRUXIUUBLXJVOZUUL
      BOUXELUXCUXCVMZUXEVMZTXKXLUWTALXNVAZUXCUUNVAZUUOYGUUNVAZUXHYHVDUXFVKAYRUX
      MUUBLXMVOAUXIUXNUXJUUNLUXCUUSUXKXOVOUUTAUUDUVPUXOUEUNUUNFGCJLPUUSUAUBUCXP
      XLZUUNUXELMUXCOYGUUSQUXLXQVSXRAUXIUXOUXFUXGWEUXJUXPUUNUXELYGUXCUUSUXLUXKX
      SXLXAXTAUXDUXBAUXBUXDAUUDUVPUXBUXDYAUEUNBFGCJLPUXCUXKTUAUBUCYBXLYCYDVTBOY
      GLMQTYEVGXAYF $.
  $}

  ${
    dia2dimlem4.l $e |- .<_ = ( le ` K ) $.
    dia2dimlem4.a $e |- A = ( Atoms ` K ) $.
    dia2dimlem4.h $e |- H = ( LHyp ` K ) $.
    dia2dimlem4.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dia2dimlem4.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dia2dimlem4.p $e |- ( ph -> ( P e. A /\ -. P .<_ W ) ) $.
    dia2dimlem4.f $e |- ( ph -> F e. T ) $.
    dia2dimlem4.g $e |- ( ph -> G e. T ) $.
    dia2dimlem4.gv $e |- ( ph -> ( G ` P ) = Q ) $.
    dia2dimlem4.d $e |- ( ph -> D e. T ) $.
    dia2dimlem4.dv $e |- ( ph -> ( D ` Q ) = ( F ` P ) ) $.
    $( Lemma for ~ dia2dim .  Show that the composition (sum) of translations
       (vectors) ` G ` and ` D ` equals ` F ` .  Part of proof of Lemma M in
       [Crawley] p. 121 line 5.  (Contributed by NM, 8-Sep-2014.) $)
    dia2dimlem4 $p |- ( ph -> ( D o. G ) = F ) $=
      ( chlt wcel wa ccom wbr wn wceq ltrnco syl3anc simpld ltrncoval syl121anc
      cfv fveq2d 3eqtrd cdlemd syl311anc ) AJUDUELIUEUFZCHUGZFUEZGFUEDBUEZDLKUH
      UIZUFDVBUPZDGUPZUJVBGUJQAVACFUEZHFUEZVCQUBTFCHIJLOPUKULSRAVFDHUPZCUPZECUP
      VGAVAVHVIVDVFVKUJQUBTAVDVERUMBDFCHIJKLMNOPUNUOAVJECUAUQUCURBDFVBGIJKLMNOP
      USUT $.
  $}

  ${
    dia2dimlem5.l $e |- .<_ = ( le ` K ) $.
    dia2dimlem5.j $e |- .\/ = ( join ` K ) $.
    dia2dimlem5.m $e |- ./\ = ( meet ` K ) $.
    dia2dimlem5.a $e |- A = ( Atoms ` K ) $.
    dia2dimlem5.h $e |- H = ( LHyp ` K ) $.
    dia2dimlem5.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dia2dimlem5.r $e |- R = ( ( trL ` K ) ` W ) $.
    dia2dimlem5.y $e |- Y = ( ( DVecA ` K ) ` W ) $.
    dia2dimlem5.s $e |- S = ( LSubSp ` Y ) $.
    dia2dimlem5.pl $e |- .(+) = ( LSSum ` Y ) $.
    dia2dimlem5.n $e |- N = ( LSpan ` Y ) $.
    dia2dimlem5.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    dia2dimlem5.q $e |- Q = ( ( P .\/ U ) ./\ ( ( F ` P ) .\/ V ) ) $.
    dia2dimlem5.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dia2dimlem5.u $e |- ( ph -> ( U e. A /\ U .<_ W ) ) $.
    dia2dimlem5.v $e |- ( ph -> ( V e. A /\ V .<_ W ) ) $.
    dia2dimlem5.p $e |- ( ph -> ( P e. A /\ -. P .<_ W ) ) $.
    dia2dimlem5.f $e |- ( ph -> ( F e. T /\ ( F ` P ) =/= P ) ) $.
    dia2dimlem5.rf $e |- ( ph -> ( R ` F ) .<_ ( U .\/ V ) ) $.
    dia2dimlem5.uv $e |- ( ph -> U =/= V ) $.
    dia2dimlem5.ru $e |- ( ph -> ( R ` F ) =/= U ) $.
    dia2dimlem5.rv $e |- ( ph -> ( R ` F ) =/= V ) $.
    dia2dimlem5.g $e |- ( ph -> G e. T ) $.
    dia2dimlem5.gv $e |- ( ph -> ( G ` P ) = Q ) $.
    dia2dimlem5.d $e |- ( ph -> D e. T ) $.
    dia2dimlem5.dv $e |- ( ph -> ( D ` Q ) = ( F ` P ) ) $.
    $( Lemma for ~ dia2dim .  The sum of vectors ` G ` and ` D ` belongs to the
       sum of the subspaces generated by them.  Thus, ` F = ( G o. D ) `
       belongs to the subspace sum.  Part of proof of Lemma M in [Crawley]
       p. 121 line 5.  (Contributed by NM, 8-Sep-2014.) $)
    dia2dimlem5 $p |- ( ph -> F e. ( ( I ` U ) .(+) ( I ` V ) ) ) $=
      ( cfv co cplusg ccom chlt wcel wceq eqid dvavadd syl12anc wne dia2dimlem4
      wa simpld eqtr2d csubg clmod wss clvec dvalvec lveclmod lsssssubg syl cbs
      3syl wbr atbase simprd dialss sseldd csn dia1dim2 dia2dimlem3 fveq2d eqss
      eqsstrrd dvavbase eleqtrrd lspsnel5 mpbird dia2dimlem2 lsmelvali syl22anc
      syl2anc sylib eqeltrd cabl lmodabl lsmcom syl3anc eleqtrd ) AKTNVIZJNVIZE
      VJZYAXTEVJZAKCLUBVKVIZVJZYBAYECLVLZKAPVMVNUAMVNWAZCIVNZLIVNZYEYFVOUPVGVEY
      DIUBCLMPVMUAUGUHUJYDVPZVQVRABCDFIKLMPQUAUCUFUGUHUPUSAKIVNDKVIDVSUTWBVEVFV
      GVHVTWCAXTUBWDVIZVNZYAYKVNZCXTVNZLYAVNZYEYBVNAHYKXTAUBWEVNZHYKWFAYGUBWGVN
      YPUPUBMPUAUGUJWHUBWIWMZHUBUKWJWKZAYGTPWLVIZVNZTUAQWNZXTHVNUPATBVNZYTAUUBU
      UAURWBBYSTPYSVPZUFWOWKAUUBUUAURWPYSHUBMNPQUATUUCUCUGUJUNUKWQVRZWRZAHYKYAY
      RAYGJYSVNZJUAQWNZYAHVNUPAJBVNZUUFAUUHUUGUQWBBYSJPUUCUFWOWKAUUHUUGUQWPYSHU
      BMNPQUAJUUCUCUGUJUNUKWQVRZWRZAYNCWSSVIZXTWFAUUKCGVIZNVIZXTAYGYHUUMUUKVOUP
      VGGIUBCMNPSUAUGUHUIUJUNUMWTXLAUUMXTWFZXTUUMWFZAUUMXTVOUUNUUOWAAUULTNABCDF
      GIJKMOPQRTUAUCUDUEUFUGUHUIUOUPUQURUSUTVAVBVCVDVGVHXAXBUUMXTXCXMWBXDAHXTSU
      BWLVIZUBCUUPVPZUKUMYQUUDACIUUPVGAYGUUPIVOUPIUBMPUUPUAVMUGUHUJUUQXEWKZXFXG
      XHAYOLWSSVIZYAWFAUUSLGVIZNVIZYAAYGYIUVAUUSVOUPVEGIUBLMNPSUAUGUHUIUJUNUMWT
      XLAUVAYAWFZYAUVAWFZAUVAYAVOUVBUVCWAAUUTJNABDFGIJKLMOPQRTUAUCUDUEUFUGUHUIU
      OUPUQURUSUTVAVDVEVFXIXBUVAYAXCXMWBXDAHYASUUPUBLUUQUKUMYQUUIALIUUPVEUURXFX
      GXHYDEXTYAUBCLYJULXJXKXNAUBXOVNZYLYMYBYCVOAYPUVDYQUBXPWKUUEUUJEXTYAUBULXQ
      XRXS $.
  $}

  ${
    $d d g .(+) $.  $d d g .<_ $.  $d d g A $.  $d d g F $.  $d d g I $.
    $d d g K $.  $d d g P $.  $d d g Q $.  $d d g T $.  $d d g U $.
    $d d g V $.  $d d g W $.  $d d g ph $.
    dia2dimlem6.l $e |- .<_ = ( le ` K ) $.
    dia2dimlem6.j $e |- .\/ = ( join ` K ) $.
    dia2dimlem6.m $e |- ./\ = ( meet ` K ) $.
    dia2dimlem6.a $e |- A = ( Atoms ` K ) $.
    dia2dimlem6.h $e |- H = ( LHyp ` K ) $.
    dia2dimlem6.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dia2dimlem6.r $e |- R = ( ( trL ` K ) ` W ) $.
    dia2dimlem6.y $e |- Y = ( ( DVecA ` K ) ` W ) $.
    dia2dimlem6.s $e |- S = ( LSubSp ` Y ) $.
    dia2dimlem6.pl $e |- .(+) = ( LSSum ` Y ) $.
    dia2dimlem6.n $e |- N = ( LSpan ` Y ) $.
    dia2dimlem6.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    dia2dimlem6.q $e |- Q = ( ( P .\/ U ) ./\ ( ( F ` P ) .\/ V ) ) $.
    dia2dimlem6.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dia2dimlem6.u $e |- ( ph -> ( U e. A /\ U .<_ W ) ) $.
    dia2dimlem6.v $e |- ( ph -> ( V e. A /\ V .<_ W ) ) $.
    dia2dimlem6.p $e |- ( ph -> ( P e. A /\ -. P .<_ W ) ) $.
    dia2dimlem6.f $e |- ( ph -> ( F e. T /\ ( F ` P ) =/= P ) ) $.
    dia2dimlem6.rf $e |- ( ph -> ( R ` F ) .<_ ( U .\/ V ) ) $.
    dia2dimlem6.uv $e |- ( ph -> U =/= V ) $.
    dia2dimlem6.ru $e |- ( ph -> ( R ` F ) =/= U ) $.
    dia2dimlem6.rv $e |- ( ph -> ( R ` F ) =/= V ) $.
    $( Lemma for ~ dia2dim .  Eliminate auxiliary translations ` G ` and
       ` D ` .  (Contributed by NM, 8-Sep-2014.) $)
    dia2dimlem6 $p |- ( ph -> F e. ( ( I ` U ) .(+) ( I ` V ) ) ) $=
      ( vd vg cv cfv wceq wrex co wcel chlt wa wbr wn dia2dimlem1 simpld ltrnel
      wne syl3anc cdleme50ex wi 3ad2ant1 simp21 simp22 simp23 simp3 dia2dimlem5
      w3a 3exp 3expd rexlimdv mpd ) AEVCVEZVFCJVFZVGZVCHVHZJILVFRLVFDVIVJZANVKV
      JSKVJVLZEBVJESOVMVNVLZWNBVJWNSOVMVNVLZWPUNABCEFHIJKMNOPRSUAUBUCUDUEUFUGUM
      UNUOUPUQURUSUTVAVOZAWRJHVJZCBVJCSOVMVNVLZWTUNAXBWNCVRZURVPUQBCHJKNOSUAUDU
      EUFVQVSBEWNHVCKNOSUAUDUEUFVTVSAWOWQVCHACVDVEZVFEVGZVDHVHZWMHVJZWOWQWAZWAZ
      AWRXCWSXGUNUQXABCEHVDKNOSUAUDUEUFVTVSAXFXJVDHAXEHVJZXFXHXIAXKXFXHWHZWOWQA
      XLWOWHBWMCDEFGHIJXEKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMAXLWRWOUNWBAXLIBVJ
      ISOVMVLWOUOWBAXLRBVJRSOVMVLWOUPWBAXLXCWOUQWBAXLXBXDVLWOURWBAXLJFVFZIRMVIO
      VMWOUSWBAXLIRVRWOUTWBAXLXMIVRWOVAWBAXLXMRVRWOVBWBAXKXFXHWOWCAXKXFXHWOWDAX
      KXFXHWOWEAXLWOWFWGWIWJWKWLWKWL $.
  $}

  ${
    dia2dimlem7.l $e |- .<_ = ( le ` K ) $.
    dia2dimlem7.j $e |- .\/ = ( join ` K ) $.
    dia2dimlem7.m $e |- ./\ = ( meet ` K ) $.
    dia2dimlem7.a $e |- A = ( Atoms ` K ) $.
    dia2dimlem7.h $e |- H = ( LHyp ` K ) $.
    dia2dimlem7.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dia2dimlem7.r $e |- R = ( ( trL ` K ) ` W ) $.
    dia2dimlem7.y $e |- Y = ( ( DVecA ` K ) ` W ) $.
    dia2dimlem7.s $e |- S = ( LSubSp ` Y ) $.
    dia2dimlem7.pl $e |- .(+) = ( LSSum ` Y ) $.
    dia2dimlem7.n $e |- N = ( LSpan ` Y ) $.
    dia2dimlem7.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    dia2dimlem7.q $e |- Q = ( ( P .\/ U ) ./\ ( ( F ` P ) .\/ V ) ) $.
    dia2dimlem7.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dia2dimlem7.u $e |- ( ph -> ( U e. A /\ U .<_ W ) ) $.
    dia2dimlem7.v $e |- ( ph -> ( V e. A /\ V .<_ W ) ) $.
    dia2dimlem7.p $e |- ( ph -> ( P e. A /\ -. P .<_ W ) ) $.
    dia2dimlem7.f $e |- ( ph -> F e. T ) $.
    dia2dimlem7.rf $e |- ( ph -> ( R ` F ) .<_ ( U .\/ V ) ) $.
    dia2dimlem7.uv $e |- ( ph -> U =/= V ) $.
    dia2dimlem7.ru $e |- ( ph -> ( R ` F ) =/= U ) $.
    dia2dimlem7.rv $e |- ( ph -> ( R ` F ) =/= V ) $.
    $( Lemma for ~ dia2dim .  Eliminate ` ( F `` P ) =/= P ` condition.
       (Contributed by NM, 8-Sep-2014.) $)
    dia2dimlem7 $p |- ( ph -> F e. ( ( I ` U ) .(+) ( I ` V ) ) ) $=
      ( cfv co wcel wceq cid cbs cres chlt wa wbr wn wb ltrnideq syl3anc wi c0g
      eqid dva0g syl clmod clvec dvalvec lveclmod simpld atbase simprd syl12anc
      dialss lsmcl lss0cl syl2anc eqeltrrd eleq1a sylbird imp wne adantr anim1i
      3syl dia2dimlem6 pm2.61dane ) AJILVCZRLVCZDVDZVEZCJVCZCAXHCVFZXGAXIJVGNVH
      VCZVIZVFZXGANVJVESKVEVKZJHVEZCBVECSOVLVMVKZXLXIVNUNURUQBXJCHJKNOSXJVSZUAU
      DUEUFVOVPAXKXFVEXLXGVQATVRVCZXKXFAXMXQXKVFUNXJHTKNSXQXPUEUFUHXQVSZVTWAATW
      BVEZXFGVEZXQXFVEAXMTWCVEXSUNTKNSUEUHWDTWEXAZAXSXDGVEZXEGVEZXTYAAXMIXJVEZI
      SOVLZYBUNAIBVEZYDAYFYEUOWFBXJINXPUDWGWAAYFYEUOWHXJGTKLNOSIXPUAUEUHULUIWJW
      IAXMRXJVEZRSOVLZYCUNARBVEZYGAYIYHUPWFBXJRNXPUDWGWAAYIYHUPWHXJGTKLNOSRXPUA
      UEUHULUIWJWIDGXDXETUIUJWKVPGXFTXQXRUIWLWMWNXKXFJWOWAWPWQAXHCWRZVKBCDEFGHI
      JKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMAXMYJUNWSAYFYEVKYJUOWSAYIYHVKYJUPWSA
      XOYJUQWSAXNYJURWTAJFVCZIRMVDOVLYJUSWSAIRWRYJUTWSAYKIWRYJVAWSAYKRWRYJVBWSX
      BXC $.
  $}

  ${
    dia2dimlem8.l $e |- .<_ = ( le ` K ) $.
    dia2dimlem8.j $e |- .\/ = ( join ` K ) $.
    dia2dimlem8.m $e |- ./\ = ( meet ` K ) $.
    dia2dimlem8.a $e |- A = ( Atoms ` K ) $.
    dia2dimlem8.h $e |- H = ( LHyp ` K ) $.
    dia2dimlem8.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dia2dimlem8.r $e |- R = ( ( trL ` K ) ` W ) $.
    dia2dimlem8.y $e |- Y = ( ( DVecA ` K ) ` W ) $.
    dia2dimlem8.s $e |- S = ( LSubSp ` Y ) $.
    dia2dimlem8.pl $e |- .(+) = ( LSSum ` Y ) $.
    dia2dimlem8.n $e |- N = ( LSpan ` Y ) $.
    dia2dimlem8.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    dia2dimlem8.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dia2dimlem8.u $e |- ( ph -> ( U e. A /\ U .<_ W ) ) $.
    dia2dimlem8.v $e |- ( ph -> ( V e. A /\ V .<_ W ) ) $.
    dia2dimlem8.f $e |- ( ph -> F e. T ) $.
    dia2dimlem8.rf $e |- ( ph -> ( R ` F ) .<_ ( U .\/ V ) ) $.
    dia2dimlem8.uv $e |- ( ph -> U =/= V ) $.
    dia2dimlem8.ru $e |- ( ph -> ( R ` F ) =/= U ) $.
    dia2dimlem8.rv $e |- ( ph -> ( R ` F ) =/= V ) $.
    $( Lemma for ~ dia2dim .  Eliminate no-longer used auxiliary atoms ` P `
       and ` Q ` .  (Contributed by NM, 8-Sep-2014.) $)
    dia2dimlem8 $p |- ( ph -> F e. ( ( I ` U ) .(+) ( I ` V ) ) ) $=
      ( coc cfv co eqid chlt wcel wa wbr wn lhpocnel syl dia2dimlem7 ) ABQLUSUT
      ZUTZCVLGKVAVLHUTPKVANVAZDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJVMVBUKULUMAL
      VCVDQIVDVEVLBVDVLQMVFVGVEUKBILMVKQSVKVBUBUCVHVIUNUOUPUQURVJ $.
  $}

  ${
    dia2dimlem9.l $e |- .<_ = ( le ` K ) $.
    dia2dimlem9.j $e |- .\/ = ( join ` K ) $.
    dia2dimlem9.m $e |- ./\ = ( meet ` K ) $.
    dia2dimlem9.a $e |- A = ( Atoms ` K ) $.
    dia2dimlem9.h $e |- H = ( LHyp ` K ) $.
    dia2dimlem9.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dia2dimlem9.r $e |- R = ( ( trL ` K ) ` W ) $.
    dia2dimlem9.y $e |- Y = ( ( DVecA ` K ) ` W ) $.
    dia2dimlem9.s $e |- S = ( LSubSp ` Y ) $.
    dia2dimlem9.pl $e |- .(+) = ( LSSum ` Y ) $.
    dia2dimlem9.n $e |- N = ( LSpan ` Y ) $.
    dia2dimlem9.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    dia2dimlem9.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dia2dimlem9.u $e |- ( ph -> ( U e. A /\ U .<_ W ) ) $.
    dia2dimlem9.v $e |- ( ph -> ( V e. A /\ V .<_ W ) ) $.
    dia2dimlem9.f $e |- ( ph -> F e. T ) $.
    dia2dimlem9.rf $e |- ( ph -> ( R ` F ) .<_ ( U .\/ V ) ) $.
    dia2dimlem9.uv $e |- ( ph -> U =/= V ) $.
    $( Lemma for ~ dia2dim .  Eliminate ` ( R `` F ) =/= U ` , ` V `
       conditions.  (Contributed by NM, 8-Sep-2014.) $)
    dia2dimlem9 $p |- ( ph -> F e. ( ( I ` U ) .(+) ( I ` V ) ) ) $=
      ( cfv co wcel wceq csubg chlt clvec clmod dvalvec lveclmod lsssssubg 4syl
      wa wss cbs wbr simpld eqid atbase syl simprd dialss sseldd lsmub1 syl2anc
      syl12anc adantr dia1dimid adantl eleqtrd lsmub2 simprl simprr dia2dimlem8
      fveq2 wne pm2.61da2ne ) AHGJUQZPJUQZCURZUSHDUQZGWQPAWQGUTZVIZWNWPHAWNWPVJ
      ZWRAWNRVAUQZUSZWOXAUSZWTAEXAWNALVBUSQIUSVIZRVCUSRVDUSEXAVJUKRILQUCUFVERVF
      ERUGVGVHZAXDGLVKUQZUSZGQMVLZWNEUSUKAGBUSZXGAXIXHULVMBXFGLXFVNZUBVOVPAXIXH
      ULVQXFERIJLMQGXJSUCUFUJUGVRWBVSZAEXAWOXEAXDPXFUSZPQMVLZWOEUSUKAPBUSZXLAXN
      XMUMVMBXFPLXJUBVOVPAXNXMUMVQXFERIJLMQPXJSUCUFUJUGVRWBVSZCWNWORUHVTWAWCWSH
      WQJUQZWNAHXPUSZWRAXDHFUSZXQUKUNDFHIJLQUCUDUEUJWDWAZWCWRXPWNUTAWQGJWKWEWFV
      SAWQPUTZVIZWOWPHYAXBXCWOWPVJAXBXTXKWCAXCXTXOWCCWNWORUHWGWAYAHXPWOAXQXTXSW
      CXTXPWOUTAWQPJWKWEWFVSAWQGWLZWQPWLZVIZVIBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUG
      UHUIUJAXDYDUKWCAXIXHVIYDULWCAXNXMVIYDUMWCAXRYDUNWCAWQGPKURMVLYDUOWCAGPWLY
      DUPWCAYBYCWHAYBYCWIWJWM $.
  $}

  ${
    dia2dimlem10.l $e |- .<_ = ( le ` K ) $.
    dia2dimlem10.j $e |- .\/ = ( join ` K ) $.
    dia2dimlem10.a $e |- A = ( Atoms ` K ) $.
    dia2dimlem10.h $e |- H = ( LHyp ` K ) $.
    dia2dimlem10.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dia2dimlem10.r $e |- R = ( ( trL ` K ) ` W ) $.
    dia2dimlem10.y $e |- Y = ( ( DVecA ` K ) ` W ) $.
    dia2dimlem10.s $e |- S = ( LSubSp ` Y ) $.
    dia2dimlem10.n $e |- N = ( LSpan ` Y ) $.
    dia2dimlem10.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    dia2dimlem10.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dia2dimlem10.u $e |- ( ph -> ( U e. A /\ U .<_ W ) ) $.
    dia2dimlem10.v $e |- ( ph -> ( V e. A /\ V .<_ W ) ) $.
    dia2dimlem10.f $e |- ( ph -> F e. T ) $.
    dia2dimlem10.fe $e |- ( ph -> F e. ( I ` ( U .\/ V ) ) ) $.
    $( Lemma for ~ dia2dim .  Convert membership in closed subspace
       ` ( I `` ( U .\/ V ) ) ` to a lattice ordering.  (Contributed by NM,
       8-Sep-2014.) $)
    dia2dimlem10 $p |- ( ph -> ( R ` F ) .<_ ( U .\/ V ) ) $=
      ( cfv co wss wbr csn chlt wcel wceq dia1dim2 syl2anc clvec clmod lveclmod
      wa dvalvec 3syl cbs simpld eqid hlatjcl syl3anc simprd clat hllatd atbase
      wb syl lhpbase latjle12 syl13anc mpbi2and dialss syl12anc lspsnel5a trlcl
      eqsstrd trlle diaord syl122anc mpbid ) AGCULZIULZFNJUMZIULZUNZWLWNLUOZAWM
      GUPMULZWOAKUQURZOHURZVEZGEURZWMWRUSUGUJCEPGHIKMOTUAUBUCUFUEUTVAADWOMPGUDU
      EAXAPVBURPVCURUGPHKOTUCVFPVDVGAXAWNKVHULZURZWNOLUOZWODURUGAWSFBURZNBURZXD
      AWSWTUGVIZAXFFOLUOZUHVIZAXGNOLUOZUIVIZBXCJKFNXCVJZRSVKVLZAXIXKXEAXFXIUHVM
      AXGXKUIVMAKVNURFXCURZNXCURZOXCURZXIXKVEXEVQAKXHVOAXFXOXJBXCFKXMSVPVRAXGXP
      XLBXCNKXMSVPVRAWTXQAWSWTUGVMXCHKOXMTVSVRXCJKLFNOXMQRVTWAWBZXCDPHIKLOWNXMQ
      TUCUFUDWCWDUKWEWGAXAWLXCURZWLOLUOZXDXEWPWQVQUGAXAXBXSUGUJXCCEGHKOXMTUAUBW
      FVAAXAXBXTUGUJCEGHKLOQTUAUBWHVAXNXRXCHIKLOWLWNXMQTUFWIWJWK $.
  $}

  ${
    dia2dimlem11.l $e |- .<_ = ( le ` K ) $.
    dia2dimlem11.j $e |- .\/ = ( join ` K ) $.
    dia2dimlem11.m $e |- ./\ = ( meet ` K ) $.
    dia2dimlem11.a $e |- A = ( Atoms ` K ) $.
    dia2dimlem11.h $e |- H = ( LHyp ` K ) $.
    dia2dimlem11.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dia2dimlem11.r $e |- R = ( ( trL ` K ) ` W ) $.
    dia2dimlem11.y $e |- Y = ( ( DVecA ` K ) ` W ) $.
    dia2dimlem11.s $e |- S = ( LSubSp ` Y ) $.
    dia2dimlem11.pl $e |- .(+) = ( LSSum ` Y ) $.
    dia2dimlem11.n $e |- N = ( LSpan ` Y ) $.
    dia2dimlem11.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    dia2dimlem11.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dia2dimlem11.u $e |- ( ph -> ( U e. A /\ U .<_ W ) ) $.
    dia2dimlem11.v $e |- ( ph -> ( V e. A /\ V .<_ W ) ) $.
    dia2dimlem11.f $e |- ( ph -> F e. T ) $.
    dia2dimlem11.uv $e |- ( ph -> U =/= V ) $.
    dia2dimlem11.fe $e |- ( ph -> F e. ( I ` ( U .\/ V ) ) ) $.
    $( Lemma for ~ dia2dim .  Convert ordering hypothesis on ` R `` F ` to
       subspace membership ` F e. ( I `` ( U .\/ V ) ) ` .  (Contributed by NM,
       8-Sep-2014.) $)
    dia2dimlem11 $p |- ( ph -> F e. ( ( I ` U ) .(+) ( I ` V ) ) ) $=
      ( dia2dimlem10 dia2dimlem9 ) ABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUL
      UMUNABDEFGHIJKLMOPQRSTUBUCUDUEUFUGUIUJUKULUMUNUPUQUOUR $.
  $}

  ${
    $d f .(+) $.  $d f .\/ $.  $d f I $.  $d f U $.  $d f V $.  $d f ph $.
    dia2dimlem12.l $e |- .<_ = ( le ` K ) $.
    dia2dimlem12.j $e |- .\/ = ( join ` K ) $.
    dia2dimlem12.m $e |- ./\ = ( meet ` K ) $.
    dia2dimlem12.a $e |- A = ( Atoms ` K ) $.
    dia2dimlem12.h $e |- H = ( LHyp ` K ) $.
    dia2dimlem12.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dia2dimlem12.r $e |- R = ( ( trL ` K ) ` W ) $.
    dia2dimlem12.y $e |- Y = ( ( DVecA ` K ) ` W ) $.
    dia2dimlem12.s $e |- S = ( LSubSp ` Y ) $.
    dia2dimlem12.pl $e |- .(+) = ( LSSum ` Y ) $.
    dia2dimlem12.n $e |- N = ( LSpan ` Y ) $.
    dia2dimlem12.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    dia2dimlem12.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dia2dimlem12.u $e |- ( ph -> ( U e. A /\ U .<_ W ) ) $.
    dia2dimlem12.v $e |- ( ph -> ( V e. A /\ V .<_ W ) ) $.
    ${
      dia2dimlem12.uv $e |- ( ph -> U =/= V ) $.
      $( Lemma for ~ dia2dim .  Obtain subset relation.  (Contributed by NM,
         8-Sep-2014.) $)
      dia2dimlem12 $p |- ( ph
              -> ( I ` ( U .\/ V ) ) C_ ( ( I ` U ) .(+) ( I ` V ) ) ) $=
        ( vf co cfv cv wcel chlt cbs wbr wss simpld eqid hlatjcl syl3anc simprd
        wa clat hllatd atbase lhpbase latjle12 syl13anc mpbi2and diass syl12anc
        wb syl sseld w3a 3ad2ant1 simp3 wne simp2 dia2dimlem11 3exp mpdd ssrdv
        ) AUNGOJUOZIUPZGIUPOIUPCUOZAUNUQZWKURZWMFURZWMWLURZAWKFWMAKUSURZPHURZVH
        ZWJKUTUPZURZWJPLVAZWKFVBUJAWQGBURZOBURZXAAWQWRUJVCZAXCGPLVAZUKVCZAXDOPL
        VAZULVCZBWTJKGOWTVDZSUAVEVFAXFXHXBAXCXFUKVGAXDXHULVGAKVIURGWTURZOWTURZP
        WTURZXFXHVHXBVRAKXEVJAXCXKXGBWTGKXJUAVKVSAXDXLXIBWTOKXJUAVKVSAWRXMAWQWR
        UJVGWTHKPXJUBVLVSWTJKLGOPXJRSVMVNVOWTFHIKLUSPWJXJRUBUCUIVPVQVTAWNWOWPAW
        NWOWABCDEFGWMHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIAWNWSWOUJWBAWNXCXFVHWOUKWBA
        WNXDXHVHWOULWBAWNWOWCAWNGOWDWOUMWBAWNWOWEWFWGWHWI $.
    $}

    $( Lemma for ~ dia2dim .  Eliminate ` U =/= V ` condition.  (Contributed by
       NM, 8-Sep-2014.) $)
    dia2dimlem13 $p |- ( ph
            -> ( I ` ( U .\/ V ) ) C_ ( ( I ` U ) .(+) ( I ` V ) ) ) $=
      ( co cfv wss wceq wa oveq2 adantl chlt simpld wbr hlatjidm syl2anc adantr
      wcel eqtr3d fveq2d ssid eqsstrdi csubg clmod clvec lveclmod 3syl cbs eqid
      dvalvec atbase syl simprd dialss syl12anc lsssubg lsmidm oveq2d sylan9req
      fveq2 sseqtrd wne simpr dia2dimlem12 pm2.61dane ) AGOJUMZIUNZGIUNZOIUNZCU
      MZUOGOAGOUPZUQZWOWPWRWTWOWPWPWTWNGIWTGGJUMZWNGWSXAWNUPAGOGJURUSAXAGUPZWSA
      KUTVFZGBVFZXBAXCPHVFZUJVAAXDGPLVBZUKVAZBJKGSUAVCVDVEVGVHWPVIVJAWSWPWPWPCU
      MZWRAWPQVKUNVFZXHWPUPAQVLVFZWPEVFZXIAXCXEUQZQVMVFXJUJQHKPUBUEVRQVNVOAXLGK
      VPUNZVFZXFXKUJAXDXNXGBXMGKXMVQZUAVSVTAXDXFUKWAXMEQHIKLPGXORUBUEUIUFWBWCEW
      PQUFWDVDCWPQUGWEVTWSWPWQWPCGOIWHWFWGWIAGOWJZUQBCDEFGHIJKLMNOPQRSTUAUBUCUD
      UEUFUGUHUIAXLXPUJVEAXDXFUQXPUKVEAOBVFOPLVBUQXPULVEAXPWKWLWM $.
  $}

  ${
    dia2dim.l $e |- .<_ = ( le ` K ) $.
    dia2dim.j $e |- .\/ = ( join ` K ) $.
    dia2dim.a $e |- A = ( Atoms ` K ) $.
    dia2dim.h $e |- H = ( LHyp ` K ) $.
    dia2dim.y $e |- Y = ( ( DVecA ` K ) ` W ) $.
    dia2dim.pl $e |- .(+) = ( LSSum ` Y ) $.
    dia2dim.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    dia2dim.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dia2dim.u $e |- ( ph -> ( U e. A /\ U .<_ W ) ) $.
    dia2dim.v $e |- ( ph -> ( V e. A /\ V .<_ W ) ) $.
    $( A two-dimensional subspace of partial vector space A is closed, or
       equivalently, the isomorphism of a join of two atoms is a subset of the
       subspace sum of the isomorphisms of each atom (and thus they are equal,
       as shown later for the full vector space H).  (Contributed by NM,
       9-Sep-2014.) $)
    dia2dim $p |- ( ph
            -> ( I ` ( U .\/ V ) ) C_ ( ( I ` U ) .(+) ( I ` V ) ) ) $=
      ( ctrl cfv clss cltrn cmee clspn eqid dia2dimlem13 ) ABCKHUCUDUDZLUEUDZKH
      UFUDUDZDEFGHIHUGUDZLUHUDZJKLMNUNUIOPUMUIUKUIQULUIRUOUISTUAUBUJ $.
  $}

  $c DVecH $.

  $( Extend class notation with constructed full vector space H. $)
  cdvh $a class DVecH $.

  ${
    $d f g h k s w $.
    $( Define constructed full vector space H. (Contributed by NM,
       17-Oct-2013.) $)
    df-dvech $a |- DVecH = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
      ( { <. ( Base ` ndx ) ,
             ( ( ( LTrn ` k ) ` w ) X. ( ( TEndo ` k ) ` w ) ) >. ,
          <. ( +g ` ndx ) ,
             ( f e. ( ( ( LTrn ` k ) ` w ) X. ( ( TEndo ` k ) ` w ) ) ,
               g e. ( ( ( LTrn ` k ) ` w ) X. ( ( TEndo ` k ) ` w ) )
           |-> <. ( ( 1st ` f ) o. ( 1st ` g ) ) ,
               ( h e. ( ( LTrn ` k ) ` w ) |->
                 ( ( ( 2nd ` f ) ` h ) o. ( ( 2nd ` g ) ` h ) ) ) >. ) >. ,
          <. ( Scalar ` ndx ) , ( ( EDRing ` k ) ` w ) >. } u. {
          <. ( .s ` ndx ) , ( s e. ( ( TEndo ` k ) ` w ) ,
               f e. ( ( ( LTrn ` k ) ` w ) X. ( ( TEndo ` k ) ` w ) )
           |-> <. ( s ` ( 1st ` f ) ) , ( s o. ( 2nd ` f ) ) >. ) >. } ) ) ) $.
  $}

  ${
    $d w D $.  $d w E $.  $d f g k w H $.  $d f g h k s w K $.  $d h w T $.
    $d f g h s w W $.  $d f g X $.
    dvhset.h $e |- H = ( LHyp ` K ) $.
    $( The constructed full vector space H for a lattice ` K ` .  (Contributed
       by NM, 17-Oct-2013.)  (Revised by Mario Carneiro, 22-Jun-2014.) $)
    dvhfset $p |- ( K e. V -> ( DVecH ` K ) = ( w e. H |->
      ( { <. ( Base ` ndx ) ,
             ( ( ( LTrn ` K ) ` w ) X. ( ( TEndo ` K ) ` w ) ) >. ,
          <. ( +g ` ndx ) ,
             ( f e. ( ( ( LTrn ` K ) ` w ) X. ( ( TEndo ` K ) ` w ) ) ,
               g e. ( ( ( LTrn ` K ) ` w ) X. ( ( TEndo ` K ) ` w ) )
           |-> <. ( ( 1st ` f ) o. ( 1st ` g ) ) ,
               ( h e. ( ( LTrn ` K ) ` w ) |->
                 ( ( ( 2nd ` f ) ` h ) o. ( ( 2nd ` g ) ` h ) ) ) >. ) >. ,
          <. ( Scalar ` ndx ) , ( ( EDRing ` K ) ` w ) >. } u. {
          <. ( .s ` ndx ) , ( s e. ( ( TEndo ` K ) ` w ) ,
               f e. ( ( ( LTrn ` K ) ` w ) X. ( ( TEndo ` K ) ` w ) )
           |-> <. ( s ` ( 1st ` f ) ) , ( s o. ( 2nd ` f ) ) >. ) >. } ) ) ) $=
      ( vk cfv cnx cv cltrn cop cmpt cmpo clh fveq2 opeq2d wcel cvv cdvh ctendo
      cbs cxp cplusg c1st ccom c2nd csca cedring ctp cvsca csn cun wceq eqtr4di
      fveq1d xpeq12d mpteq1d mpoeq123dv tpeq123d eqidd sneqd mpteq12dv df-dvech
      elex uneq12d mptfvmpt syl ) FGUAFUBUAFUCKAELUEKZAMZFNKZKZVMFUDKZKZUFZOZLU
      GKZBCVRVRBMZUHKZCMZUHKUIZDVODMZWAUJKZKWEWCUJKKUIZPZOZQZOZLUKKZVMFULKZKZOZ
      UMZLUNKZHBVQVRWBHMZKWRWFUIOZQZOZUOZUPZPUQFGVHAJXCRUCAJMZRKZVLVMXDNKZKZVMX
      DUDKZKZUFZOZVTBCXJXJWDDXGWGPZOZQZOZWLVMXDULKZKZOZUMZWQHBXIXJWSQZOZUOZUPZP
      EUBFFXDFUQZAXEYCEXCYDXEFRKEXDFRSIURYDXSWPYBXBYDXKVSXOWKXRWOYDXJVRVLYDXGVO
      XIVQYDVMXFVNXDFNSUSZYDVMXHVPXDFUDSUSZUTZTYDXNWJVTYDBCXJXJXMVRVRWIYGYGYDXL
      WHWDYDDXGVOWGYEVATVBTYDXQWNWLYDVMXPWMXDFULSUSTVCYDYAXAYDXTWTWQYDHBXIXJWSV
      QVRWSYFYGYDWSVDVBTVEVIVFABCDJHVGIVJVK $.

    dvhset.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvhset.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvhset.d $e |- D = ( ( EDRing ` K ) ` W ) $.
    dvhset.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    $( The constructed full vector space H for a lattice ` K ` .  (Contributed
       by NM, 17-Oct-2013.)  (Revised by Mario Carneiro, 22-Jun-2014.) $)
    dvhset $p |- ( ( K e. X /\ W e. H ) -> U =
      ( { <. ( Base ` ndx ) , ( T X. E ) >. ,
          <. ( +g ` ndx ) , ( f e. ( T X. E ) , g e. ( T X. E )
           |-> <. ( ( 1st ` f ) o. ( 1st ` g ) ) ,
               ( h e. T |->
                 ( ( ( 2nd ` f ) ` h ) o. ( ( 2nd ` g ) ` h ) ) ) >. ) >. ,
          <. ( Scalar ` ndx ) , D >. } u. {
          <. ( .s ` ndx ) , ( s e. E , f e. ( T X. E )
           |-> <. ( s ` ( 1st ` f ) ) , ( s o. ( 2nd ` f ) ) >. ) >. } ) ) $=
      ( cfv cv cop vw wcel cnx cbs cltrn ctendo cplusg c1st ccom c2nd cmpt cmpo
      cxp csca cedring ctp cvsca csn cun cdvh dvhfset fveq1d wceq fveq2 eqtr4di
      syl5eq xpeq12d opeq2d mpteq1d mpoeq123dv tpeq123d eqidd uneq12d eqid tpex
      sneqd snex unex fvmpt sylan9eq ) IKUBZJHUBCJUAHUCUDRZUASZIUERZRZWCIUFRZRZ
      UMZTZUCUGRZDEWHWHDSZUHRZESZUHRUIZFWEFSZWKUJRZRWOWMUJRRUIZUKZTZULZTZUCUNRZ
      WCIUORZRZTZUPZUCUQRZLDWGWHWLLSZRXHWPUITZULZTZURZUSZUKZRZWBBGUMZTZWJDEXPXP
      WNFBWQUKZTZULZTZXBATZUPZXGLDGXPXIULZTZURZUSZWACJIUTRZRXOQWAJYHXNUADEFHIKL
      MVAVBVFUAJXMYGHXNWCJVCZXFYCXLYFYIWIXQXAYAXEYBYIWHXPWBYIWEBWGGYIWEJWDRBWCJ
      WDVDNVEZYIWGJWFRGWCJWFVDOVEZVGZVHYIWTXTWJYIDEWHWHWSXPXPXSYLYLYIWRXRWNYIFW
      EBWQYJVIVHVJVHYIXDAXBYIXDJXCRAWCJXCVDPVEVHVKYIXKYEYIXJYDXGYILDWGWHXIGXPXI
      YKYLYIXIVLVJVHVPVMXNVNYCYFXQYAYBVOYEVQVRVSVT $.
  $}

  ${
    $d f g H $.  $d f g h s K $.  $d f g h s W $.  $d f g X $.
    dvhsca.h $e |- H = ( LHyp ` K ) $.
    dvhsca.d $e |- D = ( ( EDRing ` K ) ` W ) $.
    dvhsca.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dvhsca.f $e |- F = ( Scalar ` U ) $.
    $( The ring of scalars of the constructed full vector space H. (Contributed
       by NM, 22-Jun-2014.) $)
    dvhsca $p |- ( ( K e. X /\ W e. H ) -> F = D ) $=
      ( vf vg vh vs csca cfv cnx cop cv wcel wa cbs ctendo cxp cplusg c1st ccom
      cltrn c2nd cmpt cmpo ctp cvsca csn cun eqid dvhset cvv wceq cedring fvexi
      fveq2d lmodsca ax-mp 3eqtr4g ) EGUAFDUAUBZBPQRUCQFEUIQQZFEUDQQZUEZSRUFQLM
      VJVJLTZUGQZMTZUGQUHNVHNTZVKUJQZQVNVMUJQQUHUKSULZSRPQASUMRUNQOLVIVJVLOTZQV
      QVOUHSULZSUOUPZPQZCAVGBVSPAVHBLMNVIDEFGOHVHUQVIUQIJURVCKAUSUAAVTUTAFEVAQI
      VBVJVPVRAVSUSVSUQVDVEVF $.
  $}

  ${
    dvhbase.h $e |- H = ( LHyp ` K ) $.
    dvhbase.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvhbase.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dvhbase.f $e |- F = ( Scalar ` U ) $.
    dvhbase.c $e |- C = ( Base ` F ) $.
    $( The ring base set of the constructed full vector space H. (Contributed
       by NM, 29-Oct-2013.)  (Revised by Mario Carneiro, 22-Jun-2014.) $)
    dvhbase $p |- ( ( K e. X /\ W e. H ) -> C = E ) $=
      ( wcel wa cedring cfv cbs eqid dvhsca fveq2d syl5eq cltrn erngbase eqtrd
      ) FHNGENOZAGFPQQZRQZCUFADRQUHMUFDUGRUGBDEFGHIUGSZKLTUAUBUHUGGFUCQQZCEFHGI
      UJSJUIUHSUDUE $.
  $}

  ${
    $d s t E $.  $d f H $.  $d f s t K $.  $d f V $.  $d f s t W $.
    dvhfplusr.h $e |- H = ( LHyp ` K ) $.
    dvhfplusr.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvhfplusr.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvhfplusr.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dvhfplusr.f $e |- F = ( Scalar ` U ) $.
    dvhfplusr.p $e |- .+ = ( s e. E ,
           t e. E |-> ( f e. T |-> ( ( s ` f ) o. ( t ` f ) ) ) ) $.
    dvhfplusr.s $e |- .+b = ( +g ` F ) $.
    $( Ring addition operation for the constructed full vector space H.
       (Contributed by NM, 29-Oct-2013.)  (Revised by Mario Carneiro,
       22-Jun-2014.) $)
    dvhfplusr $p |- ( ( K e. V /\ W e. H ) -> .+b = .+ ) $=
      ( wcel wa cplusg cfv ccom cmpt cmpo cedring dvhsca fveq2d erngfplus eqtrd
      cv eqid 3eqtr4g ) JKUALIUAUBZHUCUDZMAGGFDFUMZMUMUDURAUMUDUEUFUGZCBUPUQLJU
      HUDUDZUCUDZUSUPHUTUCUTEHIJLKNUTUNZQRUIUJAUTVADFGIJKLMNOPVBVAUNUKULTSUO $.
  $}

  ${
    $d s t E $.  $d s t K $.  $d s t W $.
    dvhfmul.h $e |- H = ( LHyp ` K ) $.
    dvhfmul.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvhfmul.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvhfmul.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dvhfmul.f $e |- F = ( Scalar ` U ) $.
    dvhfmul.m $e |- .x. = ( .r ` F ) $.
    $( Ring multiplication operation for the constructed full vector space H.
       (Contributed by NM, 29-Oct-2013.)  (Revised by Mario Carneiro,
       22-Jun-2014.) $)
    dvhfmulr $p |- ( ( K e. V /\ W e. H ) -> .x. = ( s e. E ,
           t e. E |-> ( s o. t ) ) ) $=
      ( wcel cfv cmulr wa cedring ccom cmpo dvhsca fveq2d syl5eq erngfmul eqtrd
      cv eqid ) HIRJGRUAZCJHUBSSZTSZKAEEKUJAUJUCUDULCFTSUNQULFUMTUMDFGHJILUMUKZ
      OPUEUFUGAUMBUNEGHIJKLMNUOUNUKUHUI $.

    $d r E $.  $d r K $.  $d r s R $.  $d r s S $.  $d r W $.
    $( Ring multiplication operation for the constructed full vector space H.
       (Contributed by NM, 29-Oct-2013.)  (Revised by Mario Carneiro,
       22-Jun-2014.) $)
    dvhmulr $p |- ( ( ( K e. V /\ W e. H ) /\ ( R e. E /\ S e. E ) )
        -> ( R .x. S ) = ( R o. S ) ) $=
      ( vr vs wcel wa co cv ccom cmpo dvhfmulr oveqd cvv wceq coexg coeq1 coeq2
      eqid ovmpog mpd3an3 sylan9eq ) IJTKHTUAZAFTZBFTZUAABDUBABRSFFRUCZSUCZUDZU
      EZUBZABUDZUQDVCABSCDEFGHIJKRLMNOPQUFUGURUSVEUHTVDVEUIABFFUJRSABFFVBVEVCAV
      AUDUHUTAVAUKVABAULVCUMUNUOUP $.
  $}

  ${
    $d f g H $.  $d f g h s K $.  $d h T $.  $d f g h s W $.  $d f g X $.
    dvhvbase.h $e |- H = ( LHyp ` K ) $.
    dvhvbase.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvhvbase.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvhvbase.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dvhvbase.v $e |- V = ( Base ` U ) $.
    $( The vectors (vector base set) of the constructed full vector space H are
       all translations (for a fiducial co-atom ` W ` ).  (Contributed by NM,
       2-Nov-2013.)  (Revised by Mario Carneiro, 22-Jun-2014.) $)
    dvhvbase $p |- ( ( K e. X /\ W e. H ) -> V = ( T X. E ) ) $=
      ( vf vg cbs cfv cnx cop cv vh vs wcel cxp cplusg c1st ccom c2nd cmpt cmpo
      wa csca cedring ctp cvsca csn cun eqid dvhset fveq2d cvv wceq cltrn fvexi
      ctendo xpex lmodbase ax-mp 3eqtr4g ) EHUCGDUCUKZBPQRPQACUDZSRUEQNOVKVKNTZ
      UFQZOTZUFQUGUAAUATZVLUHQZQVOVNUHQQUGUISUJZSRULQGEUMQQZSUNRUOQUBNCVKVMUBTZ
      QVSVPUGSUJZSUPUQZPQZFVKVJBWAPVRABNOUACDEGHUBIJKVRURLUSUTMVKVAUCVKWBVBACAG
      EVCQJVDCGEVEQKVDVFVKVQVTVRWAVAWAURVGVHVI $.

    $( Vector membership in the constructed full vector space H. (Contributed
       by NM, 20-Feb-2014.) $)
    dvhelvbasei $p |- ( ( ( K e. X /\ W e. H ) /\ ( F e. T /\ S e. E ) )
      -> <. F , S >. e. V ) $=
      ( wcel wa cop cxp opelxpi adantl wceq dvhvbase adantr eleqtrrd ) GJPIFPQZ
      EBPADPQZQEARZBDSZHUGUHUIPUFEABDTUAUFHUIUBUGBCDFGHIJKLMNOUCUDUE $.
  $}

  ${
    dvhvaddval.a $e |- .+ = ( f e. ( T X. E ) , g e. ( T X. E )
           |-> <. ( ( 1st ` f ) o. ( 1st ` g ) ) ,
              ( ( 2nd ` f ) .+^ ( 2nd ` g ) ) >. ) $.
    $d f g h i E $.  $d f g h i .+^ $.  $d f g h i T $.
    $( Change bound variables to isolate them later.  (Contributed by NM,
       3-Nov-2013.) $)
    dvhvaddcbv $p |- .+ = ( h e. ( T X. E ) , i e. ( T X. E )
           |-> <. ( ( 1st ` h ) o. ( 1st ` i ) ) ,
              ( ( 2nd ` h ) .+^ ( 2nd ` i ) ) >. ) $=
      ( cv c1st cfv ccom c2nd co cop cmpo weq fveq2 opeq12d coeq1d oveq1d eqtri
      cxp coeq2d oveq2d cbvmpov ) ADECHUDZUHDJZKLZEJZKLZMZUINLZUKNLZBOZPZQFGUHU
      HFJZKLZGJZKLZMZURNLZUTNLZBOZPZQIDEFGUHUHUQVFUSULMZVCUOBOZPDFRZUMVGUPVHVIU
      JUSULUIURKSUAVIUNVCUOBUIURNSUBTEGRZVGVBVHVEVJULVAUSUKUTKSUEVJUOVDVCBUKUTN
      SUFTUGUC $.

    $d h i F $.  $d h i G $.
    $( The vector sum operation for the constructed full vector space H.
       (Contributed by NM, 26-Oct-2013.) $)
    dvhvaddval $p |- ( ( F e. ( T X. E ) /\ G e. ( T X. E ) )
        -> ( F .+ G ) = <. ( ( 1st ` F ) o. ( 1st ` G ) ) ,
               ( ( 2nd ` F ) .+^ ( 2nd ` G ) ) >. ) $=
      ( vh vi cv c1st cfv ccom c2nd co cop wceq fveq2 cxp coeq1d oveq1d opeq12d
      coeq2d oveq2d dvhvaddcbv opex ovmpo ) JKGHCFUAZUJJLZMNZKLZMNZOZUKPNZUMPNZ
      BQZRGMNZHMNZOZGPNZHPNZBQZRAUSUNOZVBUQBQZRUKGSZUOVEURVFVGULUSUNUKGMTUBVGUP
      VBUQBUKGPTUCUDUMHSZVEVAVFVDVHUNUTUSUMHMTUEVHUQVCVBBUMHPTUFUDABCDEJKFIUGVA
      VDUHUI $.
  $}

  ${
    $d f g E $.  $d f g H $.  $d f g h s K $.  $d f g h T $.  $d f g h s W $.
    dvhfvadd.h $e |- H = ( LHyp ` K ) $.
    dvhfvadd.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvhfvadd.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvhfvadd.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dvhfvadd.f $e |- D = ( Scalar ` U ) $.
    dvhfvadd.p $e |- .+^ = ( +g ` D ) $.
    dvhfvadd.a $e |- .+b = ( f e. ( T X. E ) , g e. ( T X. E )
           |-> <. ( ( 1st ` f ) o. ( 1st ` g ) ) ,
              ( ( 2nd ` f ) .+^ ( 2nd ` g ) ) >. ) $.
    dvhfvadd.s $e |- .+ = ( +g ` U ) $.
    $( The vector sum operation for the constructed full vector space H.
       (Contributed by NM, 26-Oct-2013.)  (Revised by Mario Carneiro,
       23-Jun-2014.) $)
    dvhfvadd $p |- ( ( K e. HL /\ W e. H ) -> .+ = .+b ) $=
      ( vh vs chlt wcel wa cplusg cfv cxp cv c1st ccom c2nd co cop cmpo cnx cbs
      cmpt csca cedring ctp cvsca csn cun eqid dvhset fveq2d wceq dvhsca syl5eq
      oveqd 3ad2ant1 xp2nd anim12i erngplus sylan2 3impb eqtrd opeq2d mpoeq3dva
      w3a cvv cltrn fvexi ctendo xpex mpoex lmodplusg ax-mp eqtr2di 3eqtr4g ) K
      UCUDLJUDUEZFUFUGZGHEIUHZWNGUIZUJUGZHUIZUJUGUKZWOULUGZWQULUGZCUMZUNZUOZBDW
      LWMUPUQUGWNUNUPUFUGGHWNWNWRUAEUAUIZWSUGXDWTUGUKURZUNZUOZUNUPUSUGLKUTUGUGZ
      UNVAUPVBUGUBGIWNWPUBUIZUGXIWSUKUNUOZUNVCVDZUFUGZXCWLFXKUFXHEFGHUAIJKLUCUB
      MNOXHVEZPVFVGWLXCXGXLWLGHWNWNXBXFWLWOWNUDZWQWNUDZWAZXAXEWRXPXAWSWTXHUFUGZ
      UMZXEWLXNXAXRVHXOWLCXQWSWTWLCAUFUGXQRWLAXHUFXHFAJKLUCMXMPQVIVGVJVKVLWLXNX
      OXRXEVHZXNXOUEWLWSIUDZWTIUDZUEXSXNXTXOYAWOEIVMWQEIVMVNXHXQEWSUAIJKWTLMNOX
      MXQVEVOVPVQVRVSVTXGWBUDXGXLVHGHWNWNXFEIELKWCUGNWDILKWEUGOWDWFZYBWGWNXGXJX
      HXKWBXKVEWHWIWJVRTSWK $.
  $}

  ${
    $d f g E $.  $d f g H $.  $d f g K $.  $d f g .+^ $.  $d f g T $.
    $d f g W $.
    dvhvadd.h $e |- H = ( LHyp ` K ) $.
    dvhvadd.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvhvadd.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvhvadd.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dvhvadd.f $e |- D = ( Scalar ` U ) $.
    dvhvadd.s $e |- .+ = ( +g ` U ) $.
    dvhvadd.p $e |- .+^ = ( +g ` D ) $.
    $( The vector sum operation for the constructed full vector space H.
       (Contributed by NM, 11-Feb-2014.)  (Revised by Mario Carneiro,
       23-Jun-2014.) $)
    dvhvadd $p |- ( ( ( K e. HL /\ W e. H ) /\
       ( F e. ( T X. E ) /\ G e. ( T X. E ) ) ) -> ( F .+ G ) =
    <. ( ( 1st ` F ) o. ( 1st ` G ) ) , ( ( 2nd ` F ) .+^ ( 2nd ` G ) ) >. ) $=
      ( vf cfv vg chlt wcel wa cxp co cv c1st ccom c2nd cop cmpo dvhfvadd oveqd
      eqid dvhvaddval sylan9eq ) JUBUCKIUCUDZGDFUEZUCHUSUCUDGHBUFGHSUAUSUSSUGZU
      HTUAUGZUHTUIUTUJTVAUJTCUFUKULZUFGUHTHUHTUIGUJTHUJTCUFUKURBVBGHABCVBDESUAF
      IJKLMNOPRVBUOZQUMUNVBCDSUAFGHVCUPUQ $.

    $( The vector sum operation for the constructed full vector space H.
       (Contributed by NM, 21-Feb-2014.)  (Revised by Mario Carneiro,
       6-May-2015.) $)
    dvhopvadd $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ Q e. E )
             /\ ( G e. T /\ R e. E ) )
    -> ( <. F , Q >. .+ <. G , R >. ) = <. ( F o. G ) , ( Q .+^ R ) >. ) $=
      ( chlt wcel wa w3a cop c1st cfv ccom c2nd cxp wceq simp1 opelxpi 3ad2ant2
      co 3ad2ant3 dvhvadd syl12anc op1stg coeq12d op2ndg oveq12d opeq12d eqtrd
      ) LUAUBMKUBUCZIFUBDHUBUCZJFUBEHUBUCZUDZIDUEZJEUEZBUOZVIUFUGZVJUFUGZUHZVIU
      IUGZVJUIUGZCUOZUEZIJUHZDECUOZUEVHVEVIFHUJZUBZVJWAUBZVKVRUKVEVFVGULVFVEWBV
      GIDFHUMUNVGVEWCVFJEFHUMUPABCFGHVIVJKLMNOPQRSTUQURVHVNVSVQVTVHVLIVMJVFVEVL
      IUKVGIDFHUSUNVGVEVMJUKVFJEFHUSUPUTVHVODVPECVFVEVODUKVGIDFHVAUNVGVEVPEUKVF
      JEFHVAUPVBVCVD $.
  $}

  ${
    $d s t E $.  $d f H $.  $d f s t K $.  $d f s t W $.
    dvhopvadd2.h $e |- H = ( LHyp ` K ) $.
    dvhopvadd2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvhopvadd2.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvhopvadd2.p $e |- .+ = ( s e. E , t e. E |->
        ( f e. T |-> ( ( s ` f ) o. ( t ` f ) ) ) ) $.
    dvhopvadd2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dvhopvadd2.s $e |- .+b = ( +g ` U ) $.
    $( The vector sum operation for the constructed full vector space H. TODO:
       check if this will shorten proofs that use ~ dvhopvadd and/or
       ~ dvhfplusr .  (Contributed by NM, 26-Sep-2014.) $)
    dvhopvadd2 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ Q e. E )
             /\ ( G e. T /\ R e. E ) )
    -> ( <. F , Q >. .+b <. G , R >. ) = <. ( F o. G ) , ( Q .+ R ) >. ) $=
      ( chlt wcel wa w3a cop ccom csca cfv cplusg eqid dvhopvadd wceq dvhfplusr
      co 3ad2ant1 oveqd opeq2d eqtrd ) MUBUCNLUCUDZJFUCDIUCUDZKFUCEIUCUDZUEZJDU
      FKEUFCUOJKUGZDEGUHUIZUJUIZUOZUFVDDEBUOZUFVECVFDEFGIJKLMNPQRTVEUKZUAVFUKZU
      LVCVGVHVDVCVFBDEUTVAVFBUMVBABVFFGHIVELMUBNOPQRTVISVJUNUPUQURUS $.
  $}

  ${
    $d a b E $.  $d c H $.  $d a b c K $.  $d a b c T $.  $d a b c W $.
    dvhvaddcl.h $e |- H = ( LHyp ` K ) $.
    dvhvaddcl.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvhvaddcl.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvhvaddcl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dvhvaddcl.d $e |- D = ( Scalar ` U ) $.
    dvhvaddcl.p $e |- .+^ = ( +g ` D ) $.
    dvhvaddcl.a $e |- .+ = ( +g ` U ) $.
    $( Closure of the vector sum operation for the constructed full vector
       space H. (Contributed by NM, 26-Oct-2013.)  (Revised by Mario Carneiro,
       23-Jun-2014.) $)
    dvhvaddcl $p |- ( ( ( K e. HL /\ W e. H ) /\
      ( F e. ( T X. E ) /\ G e. ( T X. E ) ) ) -> ( F .+ G ) e. ( T X. E ) ) $=
      ( wcel cfv va vb vc chlt wa cxp co c1st ccom c2nd cop dvhvadd simpl xp1st
      ad2antrl ad2antll ltrnco syl3anc cv cmpt cmpo wceq dvhfplusr adantr oveqd
      eqid xp2nd tendoplcl eqeltrd opelxpi syl2anc ) JUDSKISUEZGDFUFZSZHVMSZUEZ
      UEZGHBUGGUHTZHUHTZUIZGUJTZHUJTZCUGZUKZVMABCDEFGHIJKLMNOPRQULVQVTDSZWCFSWD
      VMSVQVLVRDSZVSDSZWEVLVPUMZVNWFVLVOGDFUNUOVOWGVLVNHDFUNUPDVRVSIJKLMUQURVQW
      CWAWBUAUBFFUCDUCUSZUAUSTWIUBUSTUIUTVAZUGZFVQCWJWAWBVLCWJVBVPUBWJCDEUCFAIJ
      UDKUALMNOPWJVFZQVCVDVEVQVLWAFSZWBFSZWKFSWHVNWMVLVOGDFVGUOVOWNVLVNHDFVGUPU
      BWJDWAUCFIJWBKUALMNWLVHURVIVTWCDFVJVKVI $.

    $( Commutativity of vector sum.  (Contributed by NM, 26-Oct-2013.)
       (Revised by Mario Carneiro, 23-Jun-2014.)
       (New usage is discouraged.) $)
    dvhvaddcomN $p |- ( ( ( K e. HL /\ W e. H ) /\
       ( F e. ( T X. E ) /\ G e. ( T X. E ) ) ) -> ( F .+ G ) = ( G .+ F ) ) $=
      ( wcel cfv va vb vc chlt wa cxp c1st ccom c2nd co cop wceq simpl ad2antrl
      xp1st ad2antll ltrncom syl3anc cv cmpt cmpo xp2nd anim12i eqid tendoplcom
      3expb sylan2 dvhfplusr adantr oveqd 3eqtr4d opeq12d dvhvadd ancom2s ) JUD
      SKISUEZGDFUFZSZHVPSZUEZUEZGUGTZHUGTZUHZGUITZHUITZCUJZUKWBWAUHZWEWDCUJZUKZ
      GHBUJHGBUJZVTWCWGWFWHVTVOWADSZWBDSZWCWGULVOVSUMVQWKVOVRGDFUOUNVRWLVOVQHDF
      UOUPDWAWBIJKLMUQURVTWDWEUAUBFFUCDUCUSZUAUSTWMUBUSTUHUTVAZUJZWEWDWNUJZWFWH
      VSVOWDFSZWEFSZUEWOWPULZVQWQVRWRGDFVBHDFVBVCVOWQWRWSUBWNDWDUCFIJWEKUALMNWN
      VDZVEVFVGVTCWNWDWEVOCWNULVSUBWNCDEUCFAIJUDKUALMNOPWTQVHVIZVJVTCWNWEWDXAVJ
      VKVLABCDEFGHIJKLMNOPRQVMVOVRVQWJWIULABCDEFHGIJKLMNOPRQVMVNVK $.

    $( Associativity of vector sum.  (Contributed by NM, 31-Oct-2013.) $)
    dvhvaddass $p |- ( ( ( K e. HL /\ W e. H ) /\
       ( F e. ( T X. E ) /\ G e. ( T X. E ) /\ I e. ( T X. E ) ) )
          -> ( ( F .+ G ) .+ I ) = ( F .+ ( G .+ I ) ) ) $=
      ( cfv chlt wcel wa cxp w3a c1st ccom c2nd cop coass wceq dvhvadd 3adantr3
      co fveq2d fvex coex op1st eqtrdi coeq1d 3adantr1 coeq2d 3eqtr4a 3anim123i
      ovex xp2nd cgrp cbs cdr cedring eqid dvhsca erngdv eqeltrd drnggrp adantr
      simpr1 dvhbase eleqtrrd simpr2 simpr3 grpass syl13anc sylan2 op2nd oveq1d
      syl oveq2d 3eqtr4d opeq12d simpl dvhvaddcl syl12anc ) KUAUBLIUBUCZGDFUDZU
      BZHWOUBZJWOUBZUEZUCZGHBUNZUFTZJUFTZUGZXAUHTZJUHTZCUNZUIZGUFTZHJBUNZUFTZUG
      ZGUHTZXJUHTZCUNZUIZXAJBUNZGXJBUNZWTXDXLXGXOWTXIHUFTZUGZXCUGXIXSXCUGZUGXDX
      LXIXSXCUJWTXBXTXCWTXBXTXMHUHTZCUNZUIZUFTXTWTXAYDUFWNWPWQXAYDUKWRABCDEFGHI
      KLMNOPQSRULUMZUOXTYCXIXSGUFUPHUFUPZUQZXMYBCVEZURUSUTWTXKYAXIWTXKYAYBXFCUN
      ZUIZUFTYAWTXJYJUFWNWQWRXJYJUKWPABCDEFHJIKLMNOPQSRULVAZUOYAYIXSXCYFJUFUPUQ
      ZYBXFCVEZURUSVBVCWTYCXFCUNZXMYICUNZXGXOWSWNXMFUBZYBFUBZXFFUBZUEZYNYOUKZWP
      YPWQYQWRYRGDFVFHDFVFJDFVFVDWNYSUCZAVGUBZXMAVHTZUBYBUUCUBXFUUCUBYTWNUUBYSW
      NAVIUBUUBWNALKVJTTZVIUUDEAIKLUAMUUDVKZPQVLUUDIKLMUUEVMVNAVOWGVPUUAXMFUUCW
      NYPYQYRVQWNUUCFUKYSUUCEFAIKLUAMOPQUUCVKZVRVPZVSUUAYBFUUCWNYPYQYRVTUUGVSUU
      AXFFUUCWNYPYQYRWAUUGVSUUCCAXMYBXFUUFRWBWCWDWTXEYCXFCWTXEYDUHTYCWTXAYDUHYE
      UOXTYCYGYHWEUSWFWTXNYIXMCWTXNYJUHTYIWTXJYJUHYKUOYAYIYLYMWEUSWHWIWJWTWNXAW
      OUBZWRXQXHUKWNWSWKZWNWPWQUUHWRABCDEFGHIKLMNOPQRSWLUMWNWPWQWRWAABCDEFXAJIK
      LMNOPQSRULWMWTWNWPXJWOUBZXRXPUKUUIWNWPWQWRVQWNWQWRUUJWPABCDEFHJIKLMNOPQRS
      WLVAABCDEFGXJIKLMNOPQSRULWMWI $.
  $}

  ${
    $d s f t g E $.  $d s f t g T $.
    dvhvscaval.s $e |- .x. = ( s e. E ,
  f e. ( T X. E ) |-> <. ( s ` ( 1st ` f ) ) , ( s o. ( 2nd ` f ) ) >. ) $.
    $( Change bound variables to isolate them later.  (Contributed by NM,
       20-Nov-2013.) $)
    dvhvscacbv $p |- .x. = ( t e. E , g e. ( T X. E )
         |-> <. ( t ` ( 1st ` g ) ) , ( t o. ( 2nd ` g ) ) >. ) $=
      ( cxp cv c1st cfv c2nd ccom cop cmpo weq fveq1 coeq1 opeq12d 2fveq3 fveq2
      coeq2d cbvmpov eqtri ) CGDFBFIZDJZKLZGJZLZUIUGMLZNZOZPAEFUFEJZKLAJZLZUOUN
      MLZNZOZPHGDAEFUFUMUSUHUOLZUOUKNZOGAQUJUTULVAUHUIUORUIUOUKSTDEQZUTUPVAURUG
      UNUOKUAVBUKUQUOUGUNMUBUCTUDUE $.

    $d t g U $.  $d t g F $.
    $( The scalar product operation for the constructed full vector space H.
       (Contributed by NM, 20-Nov-2013.) $)
    dvhvscaval $p |- ( ( U e. E /\ F e. ( T X. E ) )
        -> ( U .x. F ) = <. ( U ` ( 1st ` F ) ) , ( U o. ( 2nd ` F ) ) >. ) $=
      ( vt vg cxp cv c1st cfv c2nd ccom cop wceq fveq1 opeq12d coeq1 dvhvscacbv
      2fveq3 fveq2 coeq2d opex ovmpo ) IJCFEAEKJLZMNZILZNZUJUHONZPZQFMNCNZCFONZ
      PZQBUICNZCULPZQUJCRUKUQUMURUIUJCSUJCULUATUHFRZUQUNURUPUHFCMUCUSULUOCUHFOU
      DUETIABDJEGHUBUNUPUFUG $.
  $}

  ${
    $d f s E $.  $d f g H $.  $d f g h s K $.  $d f h s T $.  $d f g V $.
    $d f g h s W $.
    dvhfvsca.h $e |- H = ( LHyp ` K ) $.
    dvhfvsca.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvhfvsca.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvhfvsca.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dvhfvsca.s $e |- .x. = ( .s ` U ) $.
    $( Scalar product operation for the constructed full vector space H.
       (Contributed by NM, 2-Nov-2013.)  (Revised by Mario Carneiro,
       23-Jun-2014.) $)
    dvhfvsca $p |- ( ( K e. V /\ W e. H ) -> .x. = ( s e. E , f e. ( T X. E )
         |-> <. ( s ` ( 1st ` f ) ) , ( s o. ( 2nd ` f ) ) >. ) ) $=
      ( cvsca cfv cnx cop cv vg vh wcel cbs cxp cplusg c1st ccom c2nd cmpt cmpo
      wa csca cedring ctp csn cun eqid dvhset fveq2d cvv wceq ctendo fvexi xpex
      cltrn mpoex lmodvsca ax-mp 3eqtr4g ) GHUCIFUCULZCPQRUDQAEUEZSRUFQDUAVLVLD
      TZUGQZUATZUGQUHUBAUBTZVMUIQZQVPVOUIQQUHUJSUKZSRUMQIGUNQQZSUORPQJDEVLVNJTZ
      QVTVQUHSZUKZSUPUQZPQZBWBVKCWCPVSACDUAUBEFGIHJKLMVSURNUSUTOWBVAUCWBWDVBJDE
      VLWAEIGVCQMVDZAEAIGVFQLVDWEVEVGVLVRWBVSWCVAWCURVHVIVJ $.

    $d f F $.  $d f s R $.
    $( Scalar product operation for the constructed full vector space H.
       (Contributed by NM, 2-Nov-2013.) $)
    dvhvsca $p |- ( ( ( K e. V /\ W e. H )
           /\ ( R e. E /\ F e. ( T X. E ) ) )
        -> ( R .x. F ) = <. ( R ` ( 1st ` F ) ) , ( R o. ( 2nd ` F ) ) >. ) $=
      ( vs vf wcel wa cfv cxp co cv c1st c2nd ccom cop cmpo dvhfvsca oveqd eqid
      dvhvscaval sylan9eq ) HIRJGRSZAERFBEUAZRSAFCUBAFPQEUOQUCZUDTPUCZTUQUPUETU
      FUGUHZUBFUDTATAFUETUFUGUNCURAFBCDQEGHIJPKLMNOUIUJBURAQEFPURUKULUM $.

    $( Scalar product operation for the constructed full vector space H.
       (Contributed by NM, 20-Feb-2014.) $)
    dvhopvsca $p |- ( ( ( K e. V /\ W e. H )
          /\ ( R e. E /\ F e. T /\ X e. E ) )
        -> ( R .x. <. F , X >. ) = <. ( R ` F ) , ( R o. X ) >. ) $=
      ( wcel cop cfv wceq wa w3a c1st c2nd ccom cxp simpl simpr1 simpr2 opelxpi
      simpr3 syl2anc dvhvsca syl12anc op1stg fveq2d op2ndg coeq2d opeq12d eqtrd
      co ) HIQJGQUAZAEQZFBQZKEQZUBZUAZAFKRZCVAZVHUCSZASZAVHUDSZUEZRZFASZAKUEZRV
      GVBVCVHBEUFQZVIVNTVBVFUGVBVCVDVEUHVGVDVEVQVBVCVDVEUIZVBVCVDVEUKZFKBEUJULA
      BCDEVHGHIJLMNOPUMUNVGVKVOVMVPVGVJFAVGVDVEVJFTVRVSFKBEUOULUPVGVLKAVGVDVEVL
      KTVRVSFKBEUQULURUSUT $.

    $( Closure of the scalar product operation for the constructed full vector
       space H. (Contributed by NM, 12-Feb-2014.) $)
    dvhvscacl $p |- ( ( ( K e. HL /\ W e. H ) /\
       ( R e. E /\ F e. ( T X. E ) ) ) -> ( R .x. F ) e. ( T X. E ) ) $=
      ( chlt wcel wa cfv ad2antll syl3anc cxp c1st c2nd ccom cop dvhvsca simprl
      co simpl xp1st tendocl xp2nd tendococl opelxpi syl2anc eqeltrd ) HOPIGPQZ
      AEPZFBEUAZPZQZQZAFCUHFUBRZARZAFUCRZUDZUEZUSABCDEFGHOIJKLMNUFVBVDBPZVFEPZV
      GUSPVBUQURVCBPZVHUQVAUIZUQURUTUGZUTVJUQURFBEUJSABEVCGHOIJKLUKTVBUQURVEEPZ
      VIVKVLUTVMUQURFBEULSAVEEGHIJLUMTVDVFBEUNUOUP $.
  $}

  ${
    $d h B $.  $d h H $.  $d h K $.  $d h T $.  $d h W $.
    tendoinv.b $e |- B = ( Base ` K ) $.
    tendoinv.h $e |- H = ( LHyp ` K ) $.
    tendoinv.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    tendoinv.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    tendoinv.o $e |- O = ( h e. T |-> ( _I |` B ) ) $.
    tendoinv.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    tendoinv.f $e |- F = ( Scalar ` U ) $.
    tendoinv.n $e |- N = ( invr ` F ) $.
    $( Closure of multiplicative inverse for endomorphism.  We use the scalar
       inverse of the vector space since it is much simpler than the direct
       inverse of ~ cdleml8 .  (Contributed by NM, 10-Apr-2014.)  (Revised by
       Mario Carneiro, 23-Jun-2014.) $)
    tendoinvcl $p |- ( ( ( K e. HL /\ W e. H ) /\ S e. E /\ S =/= O )
      -> ( ( N ` S ) e. E /\ ( N ` S ) =/= O ) ) $=
      ( chlt wcel wa wne w3a cfv cbs cdr c0g cedring eqid dvhsca erngdv eqeltrd
      3ad2ant1 simp2 wceq dvhbase eleqtrrd simp3 fveq2d erng0g eqtrd drnginvrcl
      neeqtrrd syl3anc eleqtrd drnginvrn0 neeqtrd jca ) IUAUBLHUBUCZBFUBZBKUDZU
      EZBJUFZFUBVOKUDVNVOGUGUFZFVNGUHUBZBVPUBZBGUIUFZUDZVOVPUBVKVLVQVMVKGLIUJUF
      UFZUHWADGHILUANWAUKZRSULZWAHILNWBUMUNUOZVNBFVPVKVLVMUPVKVLVPFUQVMVPDFGHIL
      UANPRSVPUKZURUOZUSZVNBKVSVKVLVMUTVKVLVSKUQVMVKVSWAUIUFZKVKGWAUIWCVAAWACEH
      IKLWHMNOWBQWHUKVBVCUOZVEZVPGJBVSWEVSUKZTVDVFWFVGVNVOVSKVNVQVRVTVOVSUDWDWG
      WJVPGJBVSWEWKTVHVFWIVIVJ $.

    $( Left multiplicative inverse for endomorphism.  (Contributed by NM,
       10-Apr-2014.)  (Revised by Mario Carneiro, 23-Jun-2014.) $)
    tendolinv $p |- ( ( ( K e. HL /\ W e. H ) /\ S e. E /\ S =/= O )
      -> ( ( N ` S ) o. S ) = ( _I |` T ) ) $=
      ( chlt wcel wa wne w3a cfv cmulr co cur ccom cid cres cdr cbs c0g cedring
      wceq simp1 eqid dvhsca erngdv eqeltrd simp2 dvhbase eleqtrrd simp3 fveq2d
      erng0g eqtrd neeqtrrd drnginvrl syl3anc tendoinvcl simpld syl12anc erng1r
      syl dvhmulr 3eqtr3d ) IUAUBLHUBUCZBFUBZBKUDZUEZBJUFZBGUGUFZUHZGUIUFZWDBUJ
      ZUKCULZWCGUMUBBGUNUFZUBBGUOUFZUDWFWGUQWCGLIUPUFUFZUMWCVTGWLUQVTWAWBURZWLD
      GHILUANWLUSZRSUTZVQWCVTWLUMUBWMWLHILNWNVAVQVBWCBFWJVTWAWBVCZWCVTWJFUQWMWJ
      DFGHILUANPRSWJUSZVDVQVEWCBKWKVTWAWBVFWCVTWKKUQWMVTWKWLUOUFZKVTGWLUOWOVGAW
      LCEHIKLWRMNOWNQWRUSVHVIVQVJWJGWEWGJBWKWQWKUSWEUSZWGUSTVKVLWCVTWDFUBZWAWFW
      HUQWMWCWTWDKUDABCDEFGHIJKLMNOPQRSTVMVNWPWDBCWEDFGHIUALNOPRSWSVRVOWCVTWGWI
      UQWMVTWGWLUIUFZWIVTGWLUIWOVGWLCXAHILNOWNXAUSVPVIVQVS $.

    $( Right multiplicative inverse for endomorphism.  (Contributed by NM,
       10-Apr-2014.)  (Revised by Mario Carneiro, 23-Jun-2014.) $)
    tendorinv $p |- ( ( ( K e. HL /\ W e. H ) /\ S e. E /\ S =/= O )
      -> ( S o. ( N ` S ) ) = ( _I |` T ) ) $=
      ( chlt wcel wa wne w3a cfv cmulr co cur ccom cid cres cdr cbs c0g cedring
      wceq simp1 eqid dvhsca erngdv eqeltrd simp2 dvhbase eleqtrrd simp3 fveq2d
      erng0g eqtrd neeqtrrd drnginvrr syl3anc tendoinvcl simpld syl12anc erng1r
      syl dvhmulr 3eqtr3d ) IUAUBLHUBUCZBFUBZBKUDZUEZBBJUFZGUGUFZUHZGUIUFZBWDUJ
      ZUKCULZWCGUMUBBGUNUFZUBBGUOUFZUDWFWGUQWCGLIUPUFUFZUMWCVTGWLUQVTWAWBURZWLD
      GHILUANWLUSZRSUTZVQWCVTWLUMUBWMWLHILNWNVAVQVBWCBFWJVTWAWBVCZWCVTWJFUQWMWJ
      DFGHILUANPRSWJUSZVDVQVEWCBKWKVTWAWBVFWCVTWKKUQWMVTWKWLUOUFZKVTGWLUOWOVGAW
      LCEHIKLWRMNOWNQWRUSVHVIVQVJWJGWEWGJBWKWQWKUSWEUSZWGUSTVKVLWCVTWAWDFUBZWFW
      HUQWMWPWCWTWDKUDABCDEFGHIJKLMNOPQRSTVMVNBWDCWEDFGHIUALNOPRSWSVRVOWCVTWGWI
      UQWMVTWGWLUIUFZWIVTGWLUIWOVGWLCXAHILNOWNXAUSVPVIVQVS $.
  $}

  ${
    $d f t .+^ $.  $d f g h .0. $.  $d f g h B $.  $d f g h s t E $.  $d g I $.
    $d f g h s t .+ $.  $d f g h s t H $.  $d f g h s t K $.  $d f g h s t T $.
    $d f g h s U $.  $d f g h s t W $.  $d f s t .x. $.  $d f t .X. $.
    dvhgrp.b $e |- B = ( Base ` K ) $.
    dvhgrp.h $e |- H = ( LHyp ` K ) $.
    dvhgrp.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvhgrp.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvhgrp.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dvhgrp.d $e |- D = ( Scalar ` U ) $.
    dvhgrp.p $e |- .+^ = ( +g ` D ) $.
    dvhgrp.a $e |- .+ = ( +g ` U ) $.
    dvhgrp.o $e |- .0. = ( 0g ` D ) $.
    dvhgrp.i $e |- I = ( invg ` D ) $.
    $( The full vector space ` U ` constructed from a Hilbert lattice ` K `
       (given a fiducial hyperplane ` W ` ) is a group.  (Contributed by NM,
       19-Oct-2013.)  (Revised by Mario Carneiro, 24-Jun-2014.) $)
    dvhgrp $p |- ( ( K e. HL /\ W e. H ) -> U e. Grp ) $=
      ( vf vg vh chlt wcel wa cxp c1st cfv ccnv c2nd cop cid cres eqid dvhvbase
      cv cbs eqcomd cplusg wceq a1i co dvhvaddcl dvhvaddass idltrn cgrp cedring
      cdr dvhsca erngdv eqeltrd drnggrp grpidcl dvhbase eleqtrd opelxpi syl2anc
      3impb syl ccom simpl adantr xp1st adantl xp2nd dvhopvadd syl122anc ltrn1o
      wf1o syldan f1of fcoi2 3syl eleqtrrd grplid opeq12d eqtrd 1st2nd2 3eqtr4d
      wf oveq2d ltrncnv grpinvcl f1ococnv1 grplinv isgrpd ) JUFUGKHUGUHZUCUDUEE
      GUIZCFUCUSZUJUKZULZXLUMUKZIUKZUNZUOAUPZLUNZXJFUTUKZXKEFGHJXTKUFNOPQXTUQUR
      VACFVBUKVCXJTVDXJXLXKUGZUDUSZXKUGXLYBCVEXKUGBCDEFGXLYBHJKNOPQRSTVFWABCDEF
      GXLYBHUEUSJKNOPQRSTVGXJXREUGZLGUGZXSXKUGAEHJKMNOVHZXJLBUTUKZGXJBVIUGZLYFU
      GXJBVKUGYGXJBKJVJUKUKZVKYHFBHJKUFNYHUQZQRVLYHHJKNYIVMVNBVOWBZYFBLYFUQZUAV
      PWBYFFGBHJKUFNPQRYKVQZVRZXRLEGVSVTXJYAUHZXSXMXOUNZCVEZYOXSXLCVEXLYNYPXRXM
      WCZLXODVEZUNZYOYNXJYCYDXMEUGZXOGUGZYPYSVCXJYAWDZXJYCYAYEWEXJYDYAYMWEYAYTX
      JXLEGWFWGZYAUUAXJXLEGWHWGZBCDLXOEFGXRXMHJKNOPQRTSWIWJYNYQXMYRXOYNAAXMWLZA
      AXMXCYQXMVCXJYAYTUUEUUCAEXMHJUFKMNOWKWMZAAXMWNAAXMWOWPYNYGXOYFUGZYRXOVCXJ
      YGYAYJWEZYNXOGYFUUDXJYFGVCYAYLWEZWQZYFDBXOLYKSUAWRVTWSWTYNXLYOXSCYAXLYOVC
      XJXLEGXAWGZXDUUKXBYNXNEUGZXPGUGZXQXKUGXJYAYTUULUUCEXMHJKNOXEWMZYNXPYFGYNY
      GUUGXPYFUGUUHUUJYFBIXOYKUBXFVTUUIVRZXNXPEGVSVTYNXQXLCVEXQYOCVEZXSYNXLYOXQ
      CUUKXDYNUUPXNXMWCZXPXODVEZUNZXSYNXJUULUUMYTUUAUUPUUSVCUUBUUNUUOUUCUUDBCDX
      PXOEFGXNXMHJKNOPQRTSWIWJYNUUQXRUURLYNUUEUUQXRVCUUFAAXMXGWBYNYGUUGUURLVCUU
      HUUJYFDBIXOLYKSUAUBXHVTWSWTWTXI $.

    dvhlvec.m $e |- .X. = ( .r ` D ) $.
    dvhlvec.s $e |- .x. = ( .s ` U ) $.
    $( Lemma for ~ dvhlvec .  TODO: proof substituting inner part first
       shorter/longer than substituting outer part first?  TODO: break up into
       smaller lemmas?  TODO: does ` ph -> ` method shorten proof?
       (Contributed by NM, 22-Oct-2013.)  (Proof shortened by Mario Carneiro,
       24-Jun-2014.) $)
    dvhlveclem $p |- ( ( K e. HL /\ W e. H ) -> U e. LVec ) $=
      ( vs vt vf chlt wcel clmod cdr clvec cid cres cxp cbs cfv dvhvbase eqcomd
      wa eqid cplusg wceq a1i csca cvsca dvhbase cmulr cur dvhsca fveq2d erng1r
      cedring eqtr2d crg erngdv eqeltrd drngring syl dvhgrp cv co dvhvscacl w3a
      3impb c1st c2nd ccom simpl simpr1 simpr2 xp1st simpr3 tendospdi1 syl13anc
      cop dvhvadd 3adantr1 fvex coex op1st eqtrdi dvhvsca 3adantr3 vex 3adantr2
      ovex coeq12d 3eqtr4d adantr eleqtrd xp2nd ringdi ringacl syl3anc eleqtrrd
      dvhmulr syl12anc oveq12d 3eqtr3d op2nd coeq2d opeq12d dvhvaddcl erngplus2
      syl5eq oveqd fveq1d ringdir eqtr4d tendocoval syl121anc tendococl tendocl
      coass dvhopvsca oveq1d adantl oveq2d fvresi tendof sylan2 fcoi2 tendoidcl
      wf anim1i syldan 1st2nd2 islmodd islvec sylanbrc ) LUJUKMJUKVBZHULUKBUMUK
      ZHUNUKUUNUGUHUIICDFGUOEUPZBEIUQZHUUNHURUSZUUQEHIJLUURMUJPQRSUURVCUTVACHVD
      USVEUUNUBVFBHVGUSVEUUNTVFFHVHUSVEUUNUFVFUUNBURUSZIUUSHIBJLMUJPRSTUUSVCZVI
      VAZDBVDUSZVEUUNUAVFGBVJUSVEUUNUEVFUUNBVKUSMLVOUSUSZVKUSZUUPUUNBUVCVKUVCHB
      JLMUJPUVCVCZSTVLZVMUVCEUVDJLMPQUVEUVDVCVNVPUUNUUOBVQUKZUUNBUVCUMUVFUVCJLM
      PUVEVRVSZBVTWAZABCDEHIJKLMNOPQRSTUAUBUCUDWBUUNUGWCZIUKZUHWCZUUQUKZUVJUVLF
      WDZUUQUKZUVJEFHIUVLJLMPQRSUFWEZWGUUNUVKUVMUIWCZUUQUKZWFZVBZUVLUVQCWDZWHUS
      ZUVJUSZUVJUWAWIUSZWJZWRZUVNWHUSZUVJUVQFWDZWHUSZWJZUVNWIUSZUWHWIUSZDWDZWRZ
      UVJUWAFWDZUVNUWHCWDZUVTUWCUWJUWEUWMUVTUVLWHUSZUVQWHUSZWJZUVJUSZUWQUVJUSZU
      WRUVJUSZWJZUWCUWJUVTUUNUVKUWQEUKZUWREUKZUWTUXCVEUUNUVSWKZUUNUVKUVMUVRWLZU
      VTUVMUXDUUNUVKUVMUVRWMZUVLEIWNWAUVTUVRUXEUUNUVKUVMUVRWOZUVQEIWNZWAEUVJIUW
      QUWRJLUJMPQRWPWQUVTUWBUWSUVJUVTUWBUWSUVLWIUSZUVQWIUSZDWDZWRZWHUSUWSUVTUWA
      UXNWHUUNUVMUVRUWAUXNVEUVKBCDEHIUVLUVQJLMPQRSTUBUAWSWTZVMUWSUXMUWQUWRUVLWH
      XAUVQWHXAXBZUXKUXLDXIZXCXDVMUVTUWGUXAUWIUXBUVTUWGUXAUVJUXKWJZWRZWHUSUXAUV
      TUVNUXSWHUUNUVKUVMUVNUXSVEUVRUVJEFHIUVLJLUJMPQRSUFXEXFZVMUXAUXRUWQUVJXAZU
      VJUXKUGXGZUVLWIXAXBZXCXDUVTUWIUXBUVJUXLWJZWRZWHUSZUXBUVTUWHUYEWHUUNUVKUVR
      UWHUYEVEZUVMUVJEFHIUVQJLUJMPQRSUFXEZXHZVMUXBUYDUWRUVJXAZUVJUXLUYBUVQWIXAZ
      XBZXCZXDXJXKUVTUVJUXMWJZUXRUYDDWDZUWEUWMUVTUVJUXMGWDZUVJUXKGWDZUVJUXLGWDZ
      DWDZUYNUYOUVTUVGUVJUUSUKZUXKUUSUKZUXLUUSUKZUYPUYSVEUUNUVGUVSUVIXLZUVTUVJI
      UUSUXGUUNIUUSVEZUVSUVAXLZXMUVTUXKIUUSUVTUVMUXKIUKZUXHUVLEIXNWAZVUEXMZUVTU
      XLIUUSUVTUVRUXLIUKZUXIUVQEIXNZWAZVUEXMZUUSDBGUVJUXKUXLUUTUAUEXOWQUVTUUNUV
      KUXMIUKUYPUYNVEUXFUXGUVTUXMUUSIUVTUVGVUAVUBUXMUUSUKVUCVUHVULUUSDBUXKUXLUU
      TUAXPXQVUEXRUVJUXMEGHIBJLUJMPQRSTUEXSXTUVTUYQUXRUYRUYDDUVTUUNUVKVUFUYQUXR
      VEUXFUXGVUGUVJUXKEGHIBJLUJMPQRSTUEXSXTUVTUUNUVKVUIUYRUYDVEZUXFUXGVUKUVJUX
      LEGHIBJLUJMPQRSTUEXSZXTYAYBUVTUWDUXMUVJUVTUWDUXNWIUSUXMUVTUWAUXNWIUXOVMUW
      SUXMUXPUXQYCXDYDUVTUWKUXRUWLUYDDUVTUWKUXSWIUSUXRUVTUVNUXSWIUXTVMUXAUXRUYA
      UYCYCXDUVTUWLUYEWIUSZUYDUVTUWHUYEWIUYIVMUXBUYDUYJUYLYCZXDYAXKYEUVTUUNUVKU
      WAUUQUKZUWOUWFVEUXFUXGUUNUVMUVRVUQUVKBCDEHIUVLUVQJLMPQRSTUAUBYFWTUVJEFHIU
      WAJLUJMPQRSUFXEXTUVTUUNUVOUWHUUQUKZUWPUWNVEUXFUUNUVKUVMUVOUVRUVPXFUUNUVKU
      VRVURUVMUVJEFHIUVQJLMPQRSUFWEZXHBCDEHIUVNUWHJLMPQRSTUBUAWSXTXKUUNUVKUVLIU
      KZUVRWFZVBZUWRUVJUVLDWDZUSZVVCUXLWJZWRZUWIUVLUVQFWDZWHUSZWJZUWLVVGWIUSZDW
      DZWRZVVCUVQFWDZUWHVVGCWDZVVBVVDVVIVVEVVKVVBUWRUVJUVLUVCVDUSZWDZUSZUXBUWRU
      VLUSZWJZVVDVVIVVBUUNUVKVUTUXEVVQVVSVEUUNVVAWKZUUNUVKVUTUVRWLZUUNUVKVUTUVR
      WMZVVBUVRUXEUUNUVKVUTUVRWOZUXJWAZUVCVVOEUVJIUWRJLUVLMPQRUVEVVOVCYGWQUUNVV
      DVVQVEVVAUUNUWRVVCVVPUUNDVVOUVJUVLUUNDUVBVVOUAUUNBUVCVDUVFVMYHYIYJXLVVBUW
      IUXBVVHVVRVVBUWIUYFUXBVVBUWHUYEWHUUNUVKUVRUYGVUTUYHXHZVMUYMXDVVBVVHVVRUVL
      UXLWJZWRZWHUSVVRVVBVVGVWGWHUUNVUTUVRVVGVWGVEUVKUVLEFHIUVQJLUJMPQRSUFXEWTZ
      VMVVRVWFUWRUVLXAZUVLUXLUHXGUYKXBZXCXDXJXKVVBVVEUYDVWFDWDZVVKVVBVVCUXLGWDZ
      UYRUVLUXLGWDZDWDZVVEVWKVVBUVGUYTUVLUUSUKZVUBVWLVWNVEUUNUVGVVAUVIXLZVVBUVJ
      IUUSVWAUUNVUDVVAUVAXLZXMZVVBUVLIUUSVWBVWQXMZVVBUXLIUUSVVBUVRVUIVWCVUJWAZV
      WQXMUUSDBGUVJUVLUXLUUTUAUEYKWQVVBUUNVVCIUKZVUIVWLVVEVEVVTVVBVVCUUSIVVBUVG
      UYTVWOVVCUUSUKVWPVWRVWSUUSDBUVJUVLUUTUAXPXQVWQXRZVWTVVCUXLEGHIBJLUJMPQRST
      UEXSXTVVBUYRUYDVWMVWFDVVBUUNUVKVUIVUMVVTVWAVWTVUNXTVVBUUNVUTVUIVWMVWFVEVV
      TVWBVWTUVLUXLEGHIBJLUJMPQRSTUEXSXTYAYBVVBUWLUYDVVJVWFDVVBUWLVUOUYDVVBUWHU
      YEWIVWEVMVUPXDVVBVVJVWGWIUSVWFVVBVVGVWGWIVWHVMVVRVWFVWIVWJYCXDYAYLYEVVBUU
      NVXAUVRVVMVVFVEVVTVXBVWCVVCEFHIUVQJLUJMPQRSUFXEXTVVBUUNVURVVGUUQUKZVVNVVL
      VEVVTUUNUVKUVRVURVUTVUSXHUUNVUTUVRVXCUVKUVLEFHIUVQJLMPQRSUFWEWTBCDEHIUWHV
      VGJLMPQRSTUBUAWSXTXKVVBUVJUVLWJZUVQFWDZUVJVWGFWDZUVJUVLGWDZUVQFWDUVJVVGFW
      DVVBUWRVXDUSZVXDUXLWJZWRZVVRUVJUSZUVJVWFWJZWRZVXEVXFVVBVXHVXKVXIVXLVVBUUN
      UVKVUTUXEVXHVXKVEVVTVWAVWBVWDEUVJIUWRJLUVLMUJPQRYMYNVXIVXLVEVVBUVJUVLUXLY
      QVFYEVVBUUNVXDIUKZUVRVXEVXJVEVVTVVBUUNUVKVUTVXNVVTVWAVWBUVJUVLIJLMPRYOXQV
      WCVXDEFHIUVQJLUJMPQRSUFXEXTVVBUUNUVKVVREUKZVWFIUKZVXFVXMVEVVTVWAVVBUUNVUT
      UXEVXOVVTVWBVWDUVLEIUWRJLUJMPQRYPXQVVBUUNVUTVUIVXPVVTVWBVWTUVLUXLIJLMPRYO
      XQUVJEFHIVVRJLUJMVWFPQRSUFYRWQXKVVBVXGVXDUVQFUUNUVKVUTVXGVXDVEUVRUVJUVLEG
      HIBJLUJMPQRSTUEXSXFYSVVBVVGVWGUVJFVWHUUAXKUUNUVJUUQUKZVBZUVJWHUSZUUPUSZUU
      PUVJWIUSZWJZWRZVXSVYAWRZUUPUVJFWDZUVJVXRVXTVXSVYBVYAVXRVXSEUKZVXTVXSVEVXQ
      VYFUUNUVJEIWNYTEVXSUUBWAVXREEVYAUUGZVYBVYAVEVXQUUNVYAIUKVYGUVJEIXNVYAEIJL
      UJMPQRUUCUUDEEVYAUUEWAYEUUNVXQUUPIUKZVXQVBVYEVYCVEUUNVYHVXQEIJLMPQRUUFUUH
      UUPEFHIUVJJLUJMPQRSUFXEUUIVXQUVJVYDVEUUNUVJEIUUJYTXKUUKUVHBHTUULUUM $.
  $}

  ${
    dvhlvec.h $e |- H = ( LHyp ` K ) $.
    dvhlvec.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dvhlvec.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The full vector space ` U ` constructed from a Hilbert lattice ` K `
       (given a fiducial hyperplane ` W ` ) is a left module.  (Contributed by
       NM, 23-May-2015.) $)
    dvhlvec $p |- ( ph -> U e. LVec ) $=
      ( chlt wcel wa clvec cbs cfv csca cplusg cltrn cvsca cmulr eqid cminusg
      ctendo c0g dvhlveclem syl ) ADIJECJKBLJHDMNZBONZBPNZUGPNZEDQNNZBRNZUGSNZB
      EDUBNNZCUGUANZDEUGUCNZUFTFUJTUMTGUGTUITUHTUOTUNTULTUKTUDUE $.

    $( The full vector space ` U ` constructed from a Hilbert lattice ` K `
       (given a fiducial hyperplane ` W ` ) is a left module.  (Contributed by
       NM, 23-May-2015.) $)
    dvhlmod $p |- ( ph -> U e. LMod ) $=
      ( clvec wcel clmod dvhlvec lveclmod syl ) ABIJBKJABCDEFGHLBMN $.
  $}

  ${
    $d f B $.  $d f H $.  $d f s t K $.  $d f s t T $.  $d f s t W $.
    dvh0g.b $e |- B = ( Base ` K ) $.
    dvh0g.h $e |- H = ( LHyp ` K ) $.
    dvh0g.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvh0g.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dvh0g.z $e |- .0. = ( 0g ` U ) $.
    dvh0g.o $e |- O = ( f e. T |-> ( _I |` B ) ) $.
    $( The zero vector of vector space H has the zero translation as its first
       member and the zero trace-preserving endomorphism as the second.
       (Contributed by NM, 9-Mar-2014.)  (Revised by Mario Carneiro,
       24-Jun-2014.) $)
    dvh0g $p |- ( ( K e. HL /\ W e. H ) -> .0. = <. ( _I |` B ) , O >. ) $=
      ( vs wcel cfv wceq eqid vt chlt wa cid cres cplusg co ccom csca ctendo id
      cop idltrn tendo0cl dvhopvadd syl122anc wf1o wf f1oi f1of fcoi2 mp2b cmpt
      a1i cv cmpo dvhfplusr oveqd tendo0pl mpdan eqtrd opeq12d clmod wb dvhlmod
      cbs dvhelvbasei syl12anc lmod0vid syl2anc mpbid ) FUBQHEQUCZUDAUEZGULZWDC
      UFRZUGZWDSZIWDSZWBWFWCWCUHZGGCUIRZUFRZUGZULZWDWBWBWCBQZGHFUJRRZQZWNWPWFWM
      SWBUKZABEFHJKLUMZABDWOEFGHJKLWOTZOUNZWRWTWJWEWKGGBCWOWCWCEFHKLWSMWJTZWETZ
      WKTZUOUPWBWIWCWLGWIWCSZWBAAWCUQAAWCURXDAUSAAWCUTAAWCVAVBVDWBWLGGPUAWOWODB
      DVEZPVERXEUAVERUHVCVFZUGZGWBWKXFGGUAXFWKBCDWOWJEFUBHPKLWSMXAXFTZXCVGVHWBW
      PXGGSWTUAAXFGBDWOEFGHPJKLWSOXHVIVJVKVLVKWBCVMQWDCVPRZQZWGWHVNWBCEFHKMWQVO
      WBWBWNWPXJWQWRWTGBCWOWCEFXIHUBKLWSMXITZVQVRWEXICWDIXKXBNVSVTWA $.
  $}

  ${
    $d f B $.  $d f H $.  $d f K $.  $d f T $.  $d f W $.
    dvheveccl.h $e |- H = ( LHyp ` K ) $.
    dvheveccl.b $e |- B = ( Base ` K ) $.
    dvheveccl.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvheveccl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dvheveccl.v $e |- V = ( Base ` U ) $.
    dvheveccl.z $e |- .0. = ( 0g ` U ) $.
    dvheveccl.e $e |- E = <. ( _I |` B ) , ( _I |` T ) >. $.
    dvheveccl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Properties of a unit vector that we will use later as a convenient
       reference vector.  This vector is called "e" in the remark after Lemma M
       of [Crawley] p. 121. line 17.  See also ~ dvhopN and ~ dihpN .
       (Contributed by NM, 27-Mar-2015.) $)
    dvheveccl $p |- ( ph -> E e. ( V \ { .0. } ) ) $=
      ( wcel wceq vf cid cres cop csn cdif wne chlt ctendo cfv idltrn tendoidcl
      wa syl eqid dvhelvbasei syl12anc cmpt tendo1ne0 dvh0g eqtr wb opthg simpr
      syl2anc syl6bi syl5 mpan2d necon3d mpd eldifsn sylanbrc eqeltrid ) AEUBBU
      CZUBCUCZUDZHJUEUFZQAVPHSZVPJUGZVPVQSAGUHSIFSUMZVNCSZVOIGUIUJUJZSZVRRAVTWA
      RBCFGILKMUKUNZAVTWCRCWBFGIKMWBUOZULUNZVOCDWBVNFGHIUHKMWENOUPUQAVOUACVNURZ
      UGZVSAVTWHRBCUAWBFGWGILKMWEWGUOZUSUNAVPJVOWGAVPJTZJVNWGUDZTZVOWGTZAVTWLRB
      CDUAFGWGIJLKMNPWIUTUNWJWLUMVPWKTZAWMVPJWKVAAWNVNVNTZWMUMZWMAWAWCWNWPVBWDW
      FVNVOVNWGCWBVCVEWOWMVDVFVGVHVIVJVPHJVKVLVM $.
  $}

  $( Closure of a ` DVecH ` vector expressed as ordered pair.  (Contributed by
     NM, 20-Nov-2013.)  (New usage is discouraged.) $)
  dvhopclN $p |- ( ( F e. T /\ U e. E )
          -> <. F , U >. e. ( T X. E ) ) $=
    ( opelxpi ) DBACE $.

  ${
    $d f g E $.  $d f g P $.  $d f g T $.
    dvhopadd.a $e |- A = ( f e. ( T X. E ) , g e. ( T X. E )
           |-> <. ( ( 1st ` f ) o. ( 1st ` g ) ) ,
              ( ( 2nd ` f ) P ( 2nd ` g ) ) >. ) $.
    $( Sum of ` DVecH ` vectors expressed as ordered pair.  (Contributed by NM,
       20-Nov-2013.)  (New usage is discouraged.) $)
    dvhopaddN $p |- ( ( ( F e. T /\ U e. E ) /\ ( G e. T /\ V e. E ) )
  -> ( <. F , U >. A <. G , V >. ) = <. ( F o. G ) , ( U P V ) >. ) $=
      ( wcel wa cop co c1st cfv ccom c2nd wceq opelxpi dvhvaddval syl2an op1stg
      cxp adantr adantl coeq12d op2ndg oveqan12d opeq12d eqtrd ) HCLDGLMZICLJGL
      MZMZHDNZIJNZAOZUPPQZUQPQZRZUPSQZUQSQZBOZNZHIRZDJBOZNUMUPCGUEZLUQVHLURVETU
      NHDCGUAIJCGUAABCEFGUPUQKUBUCUOVAVFVDVGUOUSHUTIUMUSHTUNHDCGUDUFUNUTITUMIJC
      GUDUGUHUMUNVBDVCJBHDCGUIIJCGUIUJUKUL $.
  $}

  ${
    $d f s E $.  $d f s T $.
    dvhopsp.s $e |- S = ( s e. E ,
  f e. ( T X. E ) |-> <. ( s ` ( 1st ` f ) ) , ( s o. ( 2nd ` f ) ) >. ) $.
    $( Scalar product of ` DVecH ` vector expressed as ordered pair.
       (Contributed by NM, 20-Nov-2013.)  (New usage is discouraged.) $)
    dvhopspN $p |- ( ( R e. E /\ ( F e. T /\ U e. E ) )
  -> ( R S <. F , U >. ) = <. ( R ` F ) , ( R o. U ) >. ) $=
      ( wcel wa cop co c1st cfv c2nd ccom cxp wceq opelxpi sylan2 op1stg fveq2d
      dvhvscaval op2ndg coeq2d opeq12d adantl eqtrd ) AFJZGCJDFJKZKAGDLZBMZULNO
      ZAOZAULPOZQZLZGAOZADQZLZUKUJULCFRJUMURSGDCFTCBAEFULHIUDUAUKURVASUJUKUOUSU
      QUTUKUNGAGDCFUBUCUKUPDAGDCFUEUFUGUHUI $.
  $}

  ${
    $d c B $.  $d a b f g s E $.  $d c H $.  $d c K $.  $d f g P $.
    $d a b c f g s T $.  $d a b c W $.
    dvhop.b $e |- B = ( Base ` K ) $.
    dvhop.h $e |- H = ( LHyp ` K ) $.
    dvhop.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dvhop.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dvhop.p $e |- P = ( a e. E , b e. E |-> ( c e. T
          |-> ( ( a ` c ) o. ( b ` c ) ) ) ) $.
    dvhop.a $e |- A = ( f e. ( T X. E ) , g e. ( T X. E )
           |-> <. ( ( 1st ` f ) o. ( 1st ` g ) ) ,
              ( ( 2nd ` f ) P ( 2nd ` g ) ) >. ) $.
    dvhop.s $e |- S = ( s e. E ,
  f e. ( T X. E ) |-> <. ( s ` ( 1st ` f ) ) , ( s o. ( 2nd ` f ) ) >. ) $.
    dvhop.o $e |- O = ( c e. T |-> ( _I |` B ) ) $.
    $( Decompose a ` DVecH ` vector expressed as an ordered pair into the sum
       of two components, the first from the translation group vector base of
       ` DVecA ` and the other from the one-dimensional vector subspace ` E ` .
       Part of Lemma M of [Crawley] p. 121, line 18.  We represent their e,
       sigma, f by ` <. ( _I |`` B ) , ( _I |`` T ) >. ` , ` U ` ,
       ` <. F , O >. ` .  We swapped the order of vector sum (their
       juxtaposition i.e. composition) to show ` <. F , O >. ` first.  Note
       that ` O ` and ` ( _I |`` T ) ` are the zero and one of the division
       ring ` E ` , and ` ( _I |`` B ) ` is the zero of the translation group.
       ` S ` is the scalar product.  (Contributed by NM, 21-Nov-2013.)
       (New usage is discouraged.) $)
    dvhopN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( F e. T /\ U e. E ) )
  -> <. F , U >.
       = ( <. F , O >. A ( U S <. ( _I |` B ) , ( _I |` T ) >. ) ) ) $=
      ( chlt wcel wa cop cid cres co ccom wceq simprr idltrn tendoidcl dvhopspN
      adantr syl12anc tendoid adantrl tendo1mulr opeq12d oveq2d simprl tendo0cl
      cfv eqtrd dvhopaddN syl22anc wf1o ltrn1o adantrr f1of fcoi1 3syl tendo0pl
      wf 3eqtrrd ) LUGUHNKUHUIZJEUHZFIUHZUIZUIZJMUJZFUKBULZUKEULZUJDUMZAUMWGWHF
      UJZAUMZJWHUNZMFCUMZUJZJFUJWFWJWKWGAWFWJWHFVIZFWIUNZUJZWKWFWDWHEUHZWIIUHZW
      JWRUOWBWCWDUPZWBWSWEBEKLNSTUAUQUTZWBWTWEEIKLNTUAUBURUTFDEWIGIWHOUEUSVAWFW
      PWHWQFWBWDWPWHUOWCBFIKLNSTUBVBVCWBWDWQFUOWCEFIKLNTUAUBVDVCVEVJVFWFWCMIUHZ
      WSWDWLWOUOWBWCWDVGWBXCWEBERIKLMNSTUAUBUFVHUTXBXAACEMGHIJWHFUDVKVLWFWMJWNF
      WFBBJVMZBBJVTWMJUOWBWCXDWDBEJKLUGNSTUAVNVOBBJVPBBJVQVRWBWDWNFUOWCQBCFERIK
      LMNPSTUAUBUFUCVSVCVEWA $.
  $}

  ${
    $d u v w x y z .+ $.  $d u v w x y z F $.  $d u x y H $.  $d u x y K $.
    $d u x y S $.  $d u v w x y z T $.  $d u v U $.  $d u x y W $.
    $d u v w x y z X $.  $d u v w x y z Y $.
    dvhopellsm.h $e |- H = ( LHyp ` K ) $.
    dvhopellsm.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dvhopellsm.a $e |- .+ = ( +g ` U ) $.
    dvhopellsm.s $e |- S = ( LSubSp ` U ) $.
    dvhopellsm.p $e |- .(+) = ( LSSum ` U ) $.
    $( Ordered pair membership in a subspace sum.  (Contributed by NM,
       12-Mar-2014.) $)
    dvhopellsm $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. S /\ Y e. S )
  -> ( <. F , T >. e. ( X .(+) Y ) <-> E. x E. y E. z E. w
        ( ( <. x , y >. e. X /\ <. z , w >. e. Y )
            /\ <. F , T >. = ( <. x , y >. .+ <. z , w >. ) ) ) ) $=
      ( vu vv chlt wcel wa w3a cop co cv wceq wrex wex csubg cfv wb wss dvhlmod
      clmod id 3ad2ant1 lsssssubg syl simp2 sseldd simp3 lsmelval syl2anc cltrn
      wrel ctendo cxp cbs eqid lssss 3ad2ant3 dvhvbase relxp relss mpisyl oveq2
      sseqtrd eqeq2d exopxfr2 rexbidv oveq1 anbi2d 2exbidv 19.42vv anass 2exbii
      3ad2ant2 bicomi a1i bitr3id bitrd 3bitrd ) LUCUDMKUDUEZNGUDZOGUDZUFZJHUGZ
      NOFUHUDZXAUAUIZUBUIZEUHZUJZUBOUKZUANUKZCUIDUIUGZOUDZXAXCXIEUHZUJZUEZDULCU
      LZUANUKZAUIBUIUGZNUDZXJUEXAXPXIEUHZUJZUEZDULCULZBULAULZWTNIUMUNZUDOYCUDXB
      XHUOWTGYCNWTIURUDZGYCUPWQWRYDWSWQIKLMPQWQUSUQUTGISVAVBZWQWRWSVCVDWTGYCOYE
      WQWRWSVEVDUAUBEFNOIXARTVFVGWTXGXNUANWTOVIZXGXNUOWTOMLVHUNUNZMLVJUNUNZVKZU
      PYIVIZYFWTOIVLUNZYIWSWQOYKUPWRGOYKIYKVMZSVNVOWQWRYKYIUJWSYGIYHKLYKMUCPYGV
      MYHVMQYLVPUTZWAYGYHVQZOYIVRVSXFXLUBCDOXDXIUJXEXKXAXDXIXCEVTWBWCVBWDWTXOXQ
      XJXSUEZDULCULZUEZBULAULZYBWTNVIZXOYRUOWTNYIUPYJYSWTNYKYIWRWQNYKUPWSGNYKIY
      LSVNWKYMWAYNNYIVRVSXNYPUAABNXCXPUJZXMYOCDYTXLXSXJYTXKXRXAXCXPXIEWEWBWFWGW
      CVBWTYQYAABYQXQYOUEZDULCULZWTYAXQYOCDWHUUBYAUOWTYAUUBXTUUACDXQXJXSWIWJWLW
      MWNWGWOWP $.
  $}

  ${
    $d f g r s .<_ $.  $d r .\/ $.  $d f g r s A $.  $d q s C $.  $d g s G $.
    $d f g s H $.  $d g I $.  $d f g s K $.  $d f g q r s P $.  $d f s R $.
    $d f q s T $.  $d f g r s V $.  $d f g r s W $.
    cdlemm10.l $e |- .<_ = ( le ` K ) $.
    cdlemm10.j $e |- .\/ = ( join ` K ) $.
    cdlemm10.a $e |- A = ( Atoms ` K ) $.
    cdlemm10.h $e |- H = ( LHyp ` K ) $.
    cdlemm10.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemm10.r $e |- R = ( ( trL ` K ) ` W ) $.
    cdlemm10.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    cdlemm10.c $e |- C = { r e. A | ( r .<_ ( P .\/ V ) /\ -. r .<_ W ) } $.
    $( Can be eliminated: $)
    cdlemm10.f $e |- F = ( iota_ f e. T ( f ` P ) = s ) $.
    cdlemm10.g $e |- G = ( q e. C |-> ( iota_ f e. T ( f ` P ) = q ) ) $.
    $( The image of the map ` G ` is the entire one-dimensional subspace
       ` ( I `` V ) ` .  Remark after Lemma M of [Crawley] p. 121 line 23.
       (Contributed by NM, 24-Nov-2013.)  (New usage is discouraged.) $)
    cdlemm10N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( P e. A /\ -. P .<_ W )
         /\ ( V e. A /\ V .<_ W ) )
      -> ran G = ( I ` V ) ) $=
      ( vg chlt wcel wa wbr wn w3a crn cfv cv wceq wrex wfn crio riotaex fnmpti
      wb fvelrnb ax-mp weq eqeq2 riotabidv fvmpt eqtr4di adantl eqeq1d rexbidva
      crab co simpl1 simprl simpl2l ltrnat syl3anc simpl1l hllatd atbase ltrncl
      cbs eqid syl clat latjcl simpl3l hlatjcl latlej2 simpl2 trljat1 simprr wi
      trlcl syl2anc latjlej2 syl13anc mpd lattrd ltrnel simprd jca breq1 notbid
      eqbrtrrd anbi12d elrab2 sylanbrc cdlemeiota eqcomd syl5eq simpl2r simprrr
      rspcev ltrniotacl ltrniotaval syl122anc simp3l cmee simp11 simp12 trlval2
      ex simp3r oveq2d oveq1d eqtrd hlatlej1 simprrl ad2antrl latjle12 mpbi2and
      fveq2 breq1d bitr4d simpl1r lhpbase latmlem1 lhpat4N adantr breqtrd eleq1
      3adant3 eqbrtrd mpd3an3 sylan2b biimpcd syl6 rexlimdv impbid elrab simp1l
      bitr4di simp1r diaval syl22anc eleq2d syl5bb eqrdv ) LUJUKZOIUKZULZCAUKZC
      OMUMUNZULZNAUKZNOMUMZULZUOZUIHUPZNJUQZUIURZUVOUKZPURZHUQZUVQUSZPBUTZUVNUV
      QUVPUKZHBVAUVRUWBVERBCFURZUQZRURZUSZFEVBZHUWGFEVCUHVDPBUVQHVFVGUVNUWBUVQU
      WDDUQZNMUMZFEVPZUKZUWCUVNUWBUVQEUKZUVQDUQZNMUMZULZUWLUVNUWBGUVQUSZPBUTZUW
      PUVNUWAUWQPBUVNUVSBUKZULUVTGUVQUWSUVTGUSUVNUWSUVTUWEUVSUSZFEVBZGRUVSUWHUX
      ABHRPVHUWGUWTFEUWFUVSUWEVIVJUHUWTFEVCVKUGVLVMVNVOUVNUWPUWRUVNUWPUWRUVNUWP
      ULZCUVQUQZBUKZUWEUXCUSZFEVBZUVQUSZUWRUXBUXCAUKZUXCCNKVQZMUMZUXCOMUMZUNZUL
      ZUXDUXBUVGUWMUVHUXHUVGUVJUVMUWPVRZUVNUWMUWOVSZUVHUVIUVGUVMUWPVTZACEUVQILM
      OSUAUBUCWAWBUXBUXJUXLUXBLWGUQZLMUXCCUXCKVQZUXIUXQWHZSUXBLUVEUVFUVJUVMUWPW
      CZWDZUXBUVGUWMCUXQUKZUXCUXQUKZUXNUXOUXBUVHUYBUXPAUXQCLUXSUAWEZWIZUXQEUVQI
      LUJOCUXSUBUCWFWBZUXBLWJUKZUYBUYCUXRUXQUKUYAUYEUYFUXQKLCUXCUXSTWKWBUXBUVEU
      VHUVKUXIUXQUKZUXTUXPUVKUVLUVGUVJUWPWLZAUXQKLCNUXSTUAWMZWBUXBUYGUYBUYCUXCU
      XRMUMUYAUYEUYFUXQKLMCUXCUXSSTWNWBUXBCUWNKVQZUXRUXIMUXBUVGUWMUVJUYKUXRUSUX
      NUXOUVGUVJUVMUWPWOZACDEUVQIKLMOSTUAUBUCUDWPWBUXBUWOUYKUXIMUMZUVNUWMUWOWQU
      XBUYGUWNUXQUKZNUXQUKZUYBUWOUYMWRUYAUXBUVGUWMUYNUXNUXOUXQDEUVQILOUXSUBUCUD
      WSWTUXBUVKUYOUYIAUXQNLUXSUAWEZWIUYEUXQKLMUWNNCUXSSTXAXBXCXJXDUXBUVGUWMUVJ
      UXLUXNUXOUYLUVGUWMUVJUOUXHUXLACEUVQILMOSUAUBUCXEXFWBXGQURZUXIMUMZUYQOMUMZ
      UNZULZUXMQUXCABUYQUXCUSZUYRUXJUYTUXLUYQUXCUXIMXHVUBUYSUXKUYQUXCOMXHXIXKUF
      XLXMUXBUVQUXFUXBUVGUVJUWMUVQUXFUSUXNUYLUXOACEFUVQILMOSUAUBUCXNWBXOUWQUXGP
      UXCBUVSUXCUSZGUXFUVQVUCGUXAUXFUGVUCUWTUXEFEUVSUXCUWEVIVJXPVNXSWTYHUVNUWQU
      WPPBUVNUWSGEUKZGDUQZNMUMZULZUWQUWPWRUVNUWSVUGUWSUVNUVSAUKZUVSUXIMUMZUVSOM
      UMZUNZULZULZVUGVUAVULQUVSABQPVHZUYRVUIUYTVUKUYQUVSUXIMXHVUNUYSVUJUYQUVSOM
      XHXIXKUFXLUVNVUMVUDCGUQZUVSUSZULZVUGUVNVUMULZUVGUVHUVIVUHVUKVUQUVGUVJUVMV
      UMVRUVHUVIUVGUVMVUMVTZUVHUVIUVGUVMVUMXQUVNVUHVULVSZUVNVUHVUIVUKXRUVGUVJVU
      HVUKULUOVUDVUPACUVSEFGILMOSUAUBUCUGXTACUVSEFGILMOSUAUBUCUGYAXGYBUVNVUMVUQ
      UOZVUDVUFUVNVUMVUDVUPYCZVVAVUECUVSKVQZOLYDUQZVQZNMVVAVUECVUOKVQZOVVDVQZVV
      EVVAUVGVUDUVJVUEVVGUSUVGUVJUVMVUMVUQYEVVBUVGUVJUVMVUMVUQYFACDEGIKLMVVDOST
      VVDWHZUAUBUCUDYGWBVVAVVFVVCOVVDVVAVUOUVSCKUVNVUMVUDVUPYIYJYKYLUVNVUMVVENM
      UMVUQVURVVEUXIOVVDVQZNMVURVVCUXIMUMZVVEVVIMUMZVURCUXIMUMZVUIVVJVURUVEUVHU
      VKVVLUVEUVFUVJUVMVUMWCZVUSUVKUVLUVGUVJVUMWLZACNKLMSTUAYMWBUVNVUHVUIVUKYNV
      URUYGUYBUVSUXQUKZUYHVVLVUIULVVJVEVURLVVMWDZVURUVHUYBVUSUYDWIVUHVVOUVNVULA
      UXQUVSLUXSUAWEYOVURUVEUVHUVKUYHVVMVUSVVNUYJWBZUXQKLMCUVSUXIUXSSTYPXBYQVUR
      UYGVVCUXQUKZUYHOUXQUKZVVJVVKWRVVPVURUVEUVHVUHVVRVVMVUSVUTAUXQKLCUVSUXSTUA
      WMWBVVQVURUVFVVSUVEUVFUVJUVMVUMUUAUXQILOUXSUBUUBWIUXQLMVVDVVCUXIOUXSSVVHU
      UCXBXCUVNVVINUSVUMACNIKLMVVDOSTVVHUAUBUUDUUEUUFUUHUUIXGUUJUUKYHUWQVUGUWPU
      WQVUDUWMVUFUWOGUVQEUUGUWQVUEUWNNMGUVQDYRYSXKUULUUMUUNUUOYTUWJUWOFUVQEFUIV
      HUWIUWNNMUWDUVQDYRYSUUPUURUVNUVPUWKUVQUVNUVEUVFUYOUVLUVPUWKUSUVEUVFUVJUVM
      UUQUVEUVFUVJUVMUUSUVNUVKUYOUVGUVJUVKUVLYCUYPWIUVGUVJUVKUVLYIUXQDEFIJLMUJO
      NUXSSUBUCUDUEUUTUVAUVBYTUVCUVD $.
  $}

  $c ocA $.

  $( Extend class notation with subspace orthocomplement for ` DVecA ` partial
     vector space. $)
  cocaN $a class ocA $.

  ${
    $d k w x z $.
    $( Define subspace orthocomplement for ` DVecA ` partial vector space.
       Temporarily, we are using the range of the isomorphism instead of the
       set of closed subspaces.  Later, when inner product is introduced, we
       will show that these are the same.  (Contributed by NM, 6-Dec-2013.) $)
    df-docaN $a |- ocA = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
          ( x e. ~P ( ( LTrn ` k ) ` w ) |-> ( ( ( DIsoA ` k ) ` w ) `
              ( ( ( ( oc ` k ) ` ( `' ( ( DIsoA ` k ) ` w ) `
     |^| { z e. ran ( ( DIsoA ` k ) ` w ) | x C_ z } ) )
            ( join ` k ) ( ( oc ` k ) ` w ) )
            ( meet ` k ) w ) ) ) ) ) $.
  $}

  ${
    $d k ./\ $.  $d k .\/ $.  $d k w H $.  $d k w x z K $.  $d k ._|_ $.
    docaval.j $e |- .\/ = ( join ` K ) $.
    docaval.m $e |- ./\ = ( meet ` K ) $.
    docaval.o $e |- ._|_ = ( oc ` K ) $.
    docaval.h $e |- H = ( LHyp ` K ) $.
    $( Subspace orthocomplement for ` DVecA ` partial vector space.
       (Contributed by NM, 6-Dec-2013.)  (New usage is discouraged.) $)
    docaffvalN $p |- ( K e. V -> ( ocA ` K ) = ( w e. H |->
        ( x e. ~P ( ( LTrn ` K ) ` w ) |-> ( ( ( DIsoA ` K ) ` w ) `
 ( ( ( ._|_ ` ( `' ( ( DIsoA ` K ) ` w ) ` |^| { z e. ran ( ( DIsoA ` K ) ` w )
         | x C_ z } ) ) .\/ ( ._|_ ` w ) ) ./\ w ) ) ) ) ) $=
      ( cfv cv co cmpt clh fveq2 eqtr4di wcel cvv cocaN cltrn cpw wss cdia crab
      vk crn cint ccnv wceq elex coc cjn cmee fveq1d pweqd cnveqd rneqd rabeqdv
      inteqd fveq12d oveq123d eqidd mpteq12dv df-docaN mptfvmpt syl ) FIUAFUBUA
      FUCNCDACOZFUDNZNZUEZAOBOUFZBVKFUGNZNZUJZUHZUKZVQULZNZHNZVKHNZEPZVKGPZVQNZ
      QZQUMFIUNCUIWHRUCCUIOZRNZAVKWIUDNZNZUEZVOBVKWIUGNZNZUJZUHZUKZWOULZNZWIUON
      ZNZVKXANZWIUPNZPZVKWIUQNZPZWONZQZQDUBFFWIFUMZCWJXIDWHXJWJFRNDWIFRSMTXJAWM
      XHVNWGXJWLVMXJVKWKVLWIFUDSURUSXJXGWFWOVQXJVKWNVPWIFUGSURZXJXEWEVKVKXFGXJX
      FFUQNGWIFUQSKTXJXBWCXCWDXDEXJXDFUPNEWIFUPSJTXJWTWBXAHXJXAFUONHWIFUOSLTZXJ
      WRVTWSWAXJWOVQXKUTXJWQVSXJVOBWPVRXJWOVQXKVAVBVCVDVDXJVKXAHXLURVEXJVKVFVEV
      DVGVGABCUIVHMVIVJ $.

    $d w ./\ $.  $d w .\/ $.  $d w x z I $.  $d w ._|_ $.  $d w x T $.
    $d w x z W $.
    docaval.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    docaval.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    docaval.n $e |- N = ( ( ocA ` K ) ` W ) $.
    $( Subspace orthocomplement for ` DVecA ` partial vector space.
       (Contributed by NM, 6-Dec-2013.)  (New usage is discouraged.) $)
    docafvalN $p |- ( ( K e. V /\ W e. H ) -> N = ( x e. ~P T |->
        ( I ` ( ( ( ._|_ ` ( `' I ` |^| { z e. ran I | x C_ z } ) )
             .\/ ( ._|_ ` W ) ) ./\ W ) ) ) ) $=
      ( cfv vw wcel cv cltrn cpw wss cdia crn crab cint ccnv co cmpt docaffvalN
      cocaN fveq1d syl5eq wceq fveq2 eqtr4di pweqd cnveqd rneqd rabeqdv fveq12d
      inteqd fveq2d oveq12d id mpteq12dv eqid fvexi pwex mptex fvmpt sylan9eq )
      GKUBZLDUBILUADAUAUCZGUDTZTZUEZAUCBUCUFZBVRGUGTZTZUHZUIZUJZWDUKZTZJTZVRJTZ
      FULZVRHULZWDTZUMZUMZTZACUEZWBBEUHZUIZUJZEUKZTZJTZLJTZFULZLHULZETZUMZVQILG
      UOTZTWQSVQLXJWPABUADFGHJKMNOPUNUPUQUALWOXIDWPVRLURZAWAWNWRXHXKVTCXKVTLVST
      CVRLVSUSQUTVAXKWMXGWDEXKWDLWCTEVRLWCUSRUTZXKWLXFVRLHXKWJXDWKXEFXKWIXCJXKW
      GXAWHXBXKWDEXLVBXKWFWTXKWBBWEWSXKWDEXLVCVDVFVEVGVRLJUSVHXKVIVHVEVJWPVKAWR
      XHCCLVSQVLVMVNVOVP $.

    $d x ./\ $.  $d x .\/ $.  $d x ._|_ $.  $d z T $.  $d x z X $.
    $( Subspace orthocomplement for ` DVecA ` partial vector space.
       (Contributed by NM, 6-Dec-2013.)  (New usage is discouraged.) $)
    docavalN $p |- ( ( ( K e. HL /\ W e. H ) /\ X C_ T ) -> ( N ` X )
        = ( I ` ( ( ( ._|_ ` ( `' I ` |^| { z e. ran I | X C_ z } ) )
            .\/ ( ._|_ ` W ) ) ./\ W ) ) ) $=
      ( vx cfv chlt wcel wa wss cpw cv crn crab cint ccnv cmpt docafvalN adantr
      co wceq fveq1d cltrn fvexi elpw2 biimpri adantl fvex sseq1 rabbidv inteqd
      cvv fveq2d oveq1d fvoveq1d eqid fvmptg sylancl eqtrd ) FUAUBJCUBUCZKBUDZU
      CZKHTKSBUEZSUFZAUFZUDZADUGZUHZUIZDUJZTZITZJITZEUNZJGUNDTZUKZTZKVSUDZAWAUH
      ZUIZWDTZITZWGEUNZJGUNZDTZVPKHWJVNHWJUOVOSABCDEFGHIUAJLMNOPQRULUMUPVPKVQUB
      ZWSVFUBWKWSUOVOWTVNWTVOKBBJFUQTPURUSUTVAWRDVBSKWIWSVQVFWJVRKUOZWHWQJDGXAW
      FWPWGEXAWEWOIXAWCWNWDXAWBWMXAVTWLAWAVRKVSVCVDVEVGVGVHVIWJVJVKVLVM $.
  $}

  ${
    $d z I $.  $d z K $.  $d z T $.  $d z W $.  $d z X $.
    docacl.h $e |- H = ( LHyp ` K ) $.
    docacl.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    docacl.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    docacl.n $e |- ._|_ = ( ( ocA ` K ) ` W ) $.
    $( Closure of subspace orthocomplement for ` DVecA ` partial vector space.
       (Contributed by NM, 6-Dec-2013.)  (New usage is discouraged.) $)
    docaclN $p |- ( ( ( K e. HL /\ W e. H ) /\ X C_ T )
          -> ( ._|_ ` X ) e. ran I ) $=
      ( vz chlt wcel wa wss cfv eqid syl2anc syl3anc crn crab cint ccnv coc cjn
      cv co cmee docavalN wfun cdm wf1o diaf11N f1ofun syl adantr cbs cple clat
      wbr hllat ad2antrr cops hlop c0 wne simpl ssrab2 a1i dia1elN anim1i sseq2
      elrab sylibr diaintclN syl12anc diacnvclN syldan diadmclN opoccl ad2antlr
      ne0d lhpbase latjcl latmcl latmle2 wb diaeldm mpbir2and fvelrn eqeltrd )
      DMNZFBNZOZGAPZOZGEQGLUGZPZLCUAZUBZUCZCUDQZDUEQZQZFXDQZDUFQZUHZFDUIQZUHZCQ
      ZWTLABCXGDXIEXDFGXGRZXIRZXDRZHIJKUJWQCUKZXJCULZNZXKWTNWOXOWPWOXPWTCUMXOBC
      DFHJUNXPWTCUOUPUQWQXQXJDURQZNZXJFDUSQZVAZWQDUTNZXHXRNZFXRNZXSWMYBWNWPDVBV
      CZWQYBXEXRNZXFXRNZYCYEWQDVDNZXCXRNZYFWMYHWNWPDVEVCZWOWPXCXPNZYIWOWPXBWTNZ
      YKWQWOXAWTPZXAVFVGYLWOWPVHYMWQWSLWTVIVJWQXAAWQAWTNZWPOAXANWOYNWPABCDFHIJV
      KVLWSWPLAWTWRAGVMVNVOWCXABCDFHJVPVQBCDFXBHJVRVSXRBCDMFXCXRRZHJVTVSXRDXDXC
      YOXNWASWQYHYDYGYJWNYDWMWPXRBDFYOHWDWBZXRDXDFYOXNWASXRXGDXEXFYOXLWETZYPXRD
      XIXHFYOXMWFTWQYBYCYDYAYEYQYPXRDXTXIXHFYOXTRZXMWGTWOXQXSYAOWHWPXRBCDXTMFXJ
      YOYRHJWIUQWJXJCWKSWL $.
  $}

  ${
    $d z I $.  $d z K $.  $d z T $.  $d z W $.  $d z X $.
    diaoc.j $e |- .\/ = ( join ` K ) $.
    diaoc.m $e |- ./\ = ( meet ` K ) $.
    diaoc.o $e |- ._|_ = ( oc ` K ) $.
    diaoc.h $e |- H = ( LHyp ` K ) $.
    diaoc.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    diaoc.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    diaoc.n $e |- N = ( ( ocA ` K ) ` W ) $.
    $( Value of partial isomorphism A at lattice orthocomplement (using a
       Sasaki projection to get orthocomplement relative to the fiducial
       co-atom ` W ` ).  (Contributed by NM, 6-Dec-2013.)
       (New usage is discouraged.) $)
    diaocN $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. dom I ) ->
   ( I ` ( ( ( ._|_ ` X ) .\/ ( ._|_ ` W ) ) ./\ W ) ) = ( N ` ( I ` X ) ) ) $=
      ( vz wcel cfv chlt wa cdm cv wss crn crab cint ccnv co wceq cbs wbr simpl
      cple eqid diadmclN diadmleN syl12anc docavalN syldan diaclN intmin fveq2d
      diass syl wf1o diaf11N f1ocnvfv1 sylan eqtrd oveq1d fvoveq1d eqtr2d ) EUA
      SIBSUBZJCUCZSZUBZJCTZGTZVSRUDUERCUFZUGUHZCUIZTZHTZIHTZDUJZIFUJCTZJHTZWFDU
      JZIFUJCTVOVQVSAUEZVTWHUKVRVOJEULTZSJIEUOTZUMWKVOVQUNWLBCEUAIJWLUPZNPUQBCE
      WMUAIJWMUPZNPURWLABCEWMUAIJWNWONOPVEUSRABCDEFGHIVSKLMNOPQUTVAVRWGWJICFVRW
      EWIWFDVRWDJHVRWDVSWCTZJVRWBVSWCVRVSWASWBVSUKBCEIJNPVBRVSWAVCVFVDVOVPWACVG
      VQWPJUKBCEINPVHVPWAJCVIVJVKVDVLVMVN $.
  $}

  ${
    doca2.h $e |- H = ( LHyp ` K ) $.
    doca2.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    doca2.n $e |- ._|_ = ( ( ocA ` K ) ` W ) $.
    $( Double orthocomplement of partial isomorphism A. (Contributed by NM,
       6-Dec-2013.)  (New usage is discouraged.) $)
    doca2N $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. dom I )
     -> ( ._|_ ` ( ._|_ ` ( I ` X ) ) ) = ( I ` X ) ) $=
      ( chlt wcel wa cfv co wceq ad2antrr eqid syl3anc oveq1d fveq2d cdm oldmm1
      coc cjn cmee col hlol diadmclN lhpbase ad2antlr eqcomd clat latmcl oldmm2
      hllat eqtrd cops hlop opoccl syl2anc latjass syl13anc latjidm oveq2d coml
      cbs cple hloml latmle2 omlspjN syl121anc diadmleN latleeqm1 mpbid 3eqtrrd
      wbr wb latjcl diaeldm adantr mpbir2and cltrn diaocN syldan ) CJKZEAKZLZFB
      UAZKZLZFBMZFCUCMZMZEWLMZCUDMZNZECUEMZNZWLMZWNWONZEWQNZBMZWRBMZDMZWKDMZDMW
      JFXABWJXAFEWQNZWNWONZEWQNZXFFWJWTXGEWQWJWTXGWNWONZXGWJWSXGWNWOWJWSXFWLMZE
      WQNZWLMZXGWJWRXKWLWJXKWRWJXJWPEWQWJCUFKZFCVFMZKZEXNKZXJWPOWEXMWFWICUGPZXN
      ABCJEFXNQZGHUHZWFXPWEWIXNACEXRGUIUJZXNWOCWQWLFEXRWOQZWQQZWLQZUBRSUKTWJXMX
      FXNKZXPXLXGOXQWJCULKZXOXPYDWEYEWFWICUOPZXSXTXNCWQFEXRYBUMRZXTXNWOCWQWLXFE
      XRYAYBYCUNRUPSWJXIXFWNWNWONZWONZXGWJYEYDWNXNKZYJXIYIOYFYGWJCUQKZXPYJWEYKW
      FWICURPZXTXNCWLEXRYCUSUTZYMXNWOCXFWNWNXRYAVAVBWJYHWNXFWOWJYEYJYHWNOYFYMXN
      WOCWNXRYAVCUTVDUPUPSWJCVEKZYDXPXFECVGMZVPZXHXFOWEYNWFWICVHPYGXTWJYEXOXPYP
      YFXSXTXNCYOWQFEXRYOQZYBVIRXNWOCYOWQWLXFEXRYQYAYBYCVJVKWJFEYOVPZXFFOZABCYO
      JEFYQGHVLWJYEXOXPYRYSVQYFXSXTXNCYOWQFEXRYQYBVMRVNVOTWGWIWRWHKZXBXDOWJYTWR
      XNKZWREYOVPZWJYEWPXNKZXPUUAYFWJYEWMXNKZYJUUCYFWJYKXOUUDYLXSXNCWLFXRYCUSUT
      YMXNWOCWMWNXRYAVRRZXTXNCWQWPEXRYBUMRWJYEUUCXPUUBYFUUEXTXNCYOWQWPEXRYQYBVI
      RWGYTUUAUUBLVQWIXNABCYOJEWRXRYQGHVSVTWAECWBMMZABWOCWQDWLEWRYAYBYCGUUFQZHI
      WCWDWJXCXEDUUFABWOCWQDWLEFYAYBYCGUUGHIWCTVO $.

    $( Double orthocomplement of partial isomorphism A. (Contributed by NM,
       17-Jan-2014.)  (New usage is discouraged.) $)
    doca3N $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. ran I )
     -> ( ._|_ ` ( ._|_ ` X ) ) = X ) $=
      ( chlt wcel wa crn ccnv cfv cdm wceq diacnvclN doca2N fveq2d wf1o diaf11N
      syldan f1ocnvfv2 sylan 3eqtr3d ) CJKEAKLZFBMZKZLZFBNOZBOZDOZDOZULFDOZDOFU
      GUIUKBPZKUNULQABCEFGHRABCDEUKGHISUCUJUMUODUJULFDUGUPUHBUAUIULFQABCEGHUBUP
      UHFBUDUEZTTUQUF $.
  $}

  ${
    dvadia.h $e |- H = ( LHyp ` K ) $.
    dvadia.u $e |- U = ( ( DVecA ` K ) ` W ) $.
    dvadia.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    dvadia.n $e |- ._|_ = ( ( ocA ` K ) ` W ) $.
    dvadia.s $e |- S = ( LSubSp ` U ) $.
    $( Any closed subspace is a member of the range of partial isomorphism A,
       showing the isomorphism maps onto the set of closed subspaces of partial
       vector space A. (Contributed by NM, 17-Jan-2014.)
       (New usage is discouraged.) $)
    dvadiaN $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( X e. S /\ ( ._|_ ` ( ._|_ ` X ) ) = X ) ) -> X e. ran I ) $=
      ( chlt wcel wa cfv wceq wss syldan crn simprr cltrn cbs ad2antrl dvavbase
      eqid lssss adantr sseqtrd docaclN diaelrnN eqeltrrd ) ENOGCOPZHAOZHFQZFQZ
      HRZPZPZUQHDUAZUNUOURUBUNUSUPGEUCQQZSZUQVAOUNUSUPVAOZVCUNUSHVBSVDUTHBUDQZV
      BUOHVESUNURAHVEBVEUGZMUHUEUNVEVBRUSVBBCEVEGNIVBUGZJVFUFUIUJVBCDEFGHIVGKLU
      KTUPVBCDENGIVGKULTVBCDEFGUPIVGKLUKTUM $.

    $d x H $.  $d x I $.  $d x K $.  $d x S $.  $d x W $.
    $( Partial isomorphism A maps onto the set of all closed subspaces of
       partial vector space A. Part of Lemma M of [Crawley] p. 121 line 12,
       with closed subspaces rather than subspaces.  (Contributed by NM,
       17-Jan-2014.)  (New usage is discouraged.) $)
    diarnN $p |- ( ( K e. HL /\ W e. H ) ->
         ran I = { x e. S | ( ._|_ ` ( ._|_ ` x ) ) = x } ) $=
      ( chlt wcel wa crn cin cfv wceq cv crab diasslssN sseqin2 sylib wi doca3N
      wss ex adantr dvadiaN expr impbid rabbi2dva eqtr3d ) FNOHDOPZBEQZRZUQAUAZ
      GSGSUSTZABUBUPUQBUHURUQTBCDEFHIJKMUCUQBUDUEUPUTABUQUPUSBOZPUSUQOZUTUPVBUT
      UFVAUPVBUTDEFGHUSIKLUGUIUJUPVAUTVBBCDEFGHUSIJKLMUKULUMUNUO $.

    $( The partial isomorphism A for a lattice ` K ` is a one-to-one, onto
       function.  Part of Lemma M of [Crawley] p. 121 line 12, with closed
       subspaces rather than subspaces.  See ~ diadm for the domain.
       (Contributed by NM, 17-Jan-2014.)  (New usage is discouraged.) $)
    diaf1oN $p |- ( ( K e. HL /\ W e. H )
       -> I : dom I -1-1-onto-> { x e. S | ( ._|_ ` ( ._|_ ` x ) ) = x } ) $=
      ( chlt wcel cfv wceq wf1 wf1o syl wa cdm cv crab crn diaf11N f1of1 diarnN
      wb f1eq3 mpbid dff1o5 sylanbrc ) FNOHDOUAZEUBZAUCZGPGPUPQABUDZERZEUEZUQQZ
      UOUQESUNUOUSERZURUNUOUSESVADEFHIKUFUOUSEUGTUNUTVAURUIABCDEFGHIJKLMUHZUSUQ
      UOEUJTUKVBUOUQEULUM $.
  $}

  $c vA $.

  $( Extend class notation with subspace join for ` DVecA ` partial vector
     space. $)
  cdjaN $a class vA $.

  ${
    $d k w x y $.
    $( Define (closed) subspace join for ` DVecA ` partial vector space.
       (Contributed by NM, 6-Dec-2013.) $)
    df-djaN $a |- vA = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
          ( x e. ~P ( ( LTrn ` k ) ` w ) , y e. ~P ( ( LTrn ` k ) ` w ) |->
      ( ( ( ocA ` k ) ` w ) `
     ( ( ( ( ocA ` k ) ` w ) ` x ) i^i ( ( ( ocA ` k ) ` w ) ` y ) ) ) ) ) ) $.
  $}

  ${
    $d k w H $.  $d k w x y K $.
    djaval.h $e |- H = ( LHyp ` K ) $.
    $( Subspace join for ` DVecA ` partial vector space.  (Contributed by NM,
       6-Dec-2013.)  (New usage is discouraged.) $)
    djaffvalN $p |- ( K e. V -> ( vA ` K ) = ( w e. H |->
        ( x e. ~P ( ( LTrn ` K ) ` w ) , y e. ~P ( ( LTrn ` K ) ` w )
     |-> ( ( ( ocA ` K ) ` w ) `
     ( ( ( ( ocA ` K ) ` w ) ` x ) i^i ( ( ( ocA ` K ) ` w ) ` y ) ) ) ) ) ) $=
      ( vk wcel cvv cdjaN cfv cv cltrn cpw cocaN cin clh fveq2 fveq1d cmpo cmpt
      wceq elex eqtr4di pweqd ineq12d fveq12d mpoeq123dv mpteq12dv mptfvmpt syl
      df-djaN ) EFIEJIEKLCDABCMZENLZLZOZUQAMZUNEPLZLZLZBMZUTLZQZUTLZUAZUBUCEFUD
      CHVFRKCHMZRLZABUNVGNLZLZOZVKURUNVGPLZLZLZVBVMLZQZVMLZUAZUBDJEEVGEUCZCVHVR
      DVFVSVHERLDVGERSGUEVSABVKVKVQUQUQVEVSVJUPVSUNVIUOVGENSTUFZVTVSVPVDVMUTVSU
      NVLUSVGEPSTZVSVNVAVOVCVSURVMUTWATVSVBVMUTWATUGUHUIUJABCHUMGUKUL $.

    $d w ._|_ $.  $d w x y T $.  $d w x y W $.
    djaval.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    djaval.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    djaval.n $e |- ._|_ = ( ( ocA ` K ) ` W ) $.
    djaval.j $e |- J = ( ( vA ` K ) ` W ) $.
    $( Subspace join for ` DVecA ` partial vector space.  TODO: take out
       hypothesis .i, no longer used.  (Contributed by NM, 6-Dec-2013.)
       (New usage is discouraged.) $)
    djafvalN $p |- ( ( K e. V /\ W e. H ) -> J = ( x e. ~P T ,
        y e. ~P T |-> ( ._|_ ` ( ( ._|_ ` x ) i^i ( ._|_ ` y ) ) ) ) ) $=
      ( vw wcel cv cfv fveq1d cltrn cocaN cmpo cmpt cdjaN djaffvalN syl5eq wceq
      cpw fveq2 eqtr4di pweqd ineq12d fveq12d mpoeq123dv eqid fvexi mpoex fvmpt
      cin pwex sylan9eq ) GIQZJDQFJPDABPRZGUASZSZUIZVGARZVDGUBSZSZSZBRZVJSZUTZV
      JSZUCZUDZSZABCUIZVSVHHSZVLHSZUTZHSZUCZVCFJGUESZSVROVCJWEVQABPDGIKUFTUGPJV
      PWDDVQVDJUHZABVGVGVOVSVSWCWFVFCWFVFJVESCVDJVEUJLUKULZWGWFVNWBVJHWFVJJVISH
      VDJVIUJNUKZWFVKVTVMWAWFVHVJHWHTWFVLVJHWHTUMUNUOVQUPABVSVSWCCCJVELUQVAZWIU
      RUSVB $.

    $d x y ._|_ $.  $d x y X $.  $d x y Y $.
    $( Subspace join for ` DVecA ` partial vector space.  (Contributed by NM,
       6-Dec-2013.)  (New usage is discouraged.) $)
    djavalN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X C_ T /\ Y C_ T ) )
          -> ( X J Y ) = ( ._|_ ` ( ( ._|_ ` X ) i^i ( ._|_ ` Y ) ) ) ) $=
      ( vx vy wcel wa cfv wceq chlt wss co cpw cv cin djafvalN adantr oveqd cvv
      cmpo cltrn fvexi elpw2 ad2antrl ad2antll fvexd fveq2 ineq1d fveq2d ineq2d
      biimpri eqid ovmpog syl3anc eqtrd ) EUAQGBQRZHAUBZIAUBZRZRZHIDUCHIOPAUDZV
      LOUEZFSZPUEZFSZUFZFSZUKZUCZHFSZIFSZUFZFSZVKDVSHIVGDVSTVJOPABCDEFUAGJKLMNU
      GUHUIVKHVLQZIVLQZWDUJQVTWDTVHWEVGVIWEVHHAAGEULSKUMZUNVBUOVIWFVGVHWFVIIAWG
      UNVBUPVKWCFUQOPHIVLVLVRWDVSWAVPUFZFSUJVMHTZVQWHFWIVNWAVPVMHFURUSUTVOITZWH
      WCFWJVPWBWAVOIFURVAUTVSVCVDVEVF $.
  $}

  ${
    djacl.h $e |- H = ( LHyp ` K ) $.
    djacl.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    djacl.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    djacl.j $e |- J = ( ( vA ` K ) ` W ) $.
    $( Closure of subspace join for ` DVecA ` partial vector space.
       (Contributed by NM, 5-Dec-2013.)  (New usage is discouraged.) $)
    djaclN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X C_ T /\ Y C_ T ) )
          -> ( X J Y ) e. ran I ) $=
      ( chlt wcel wa wss co cfv docaclN syldan cocaN cin crn eqid djavalN inss1
      adantrr diaelrnN sstrid eqeltrd ) EMNFBNOZGAPZHAPZOZOZGHDQGFEUARRZRZHUPRZ
      UBZUPRZCUCZABCDEUPFGHIJKUPUDZLUEUKUNUSAPUTVANUOUSUQAUQURUFUKUNUQVANZUQAPU
      KULVCUMABCEUPFGIJKVBSUGUQABCEMFIJKUHTUIABCEUPFUSIJKVBSTUJ $.
  $}

  ${
    djaj.k $e |- .\/ = ( join ` K ) $.
    djaj.h $e |- H = ( LHyp ` K ) $.
    djaj.i $e |- I = ( ( DIsoA ` K ) ` W ) $.
    djaj.j $e |- J = ( ( vA ` K ) ` W ) $.
    $( Transfer lattice join to ` DVecA ` partial vector space closed subspace
       join.  Part of Lemma M of [Crawley] p. 120 line 29, with closed subspace
       join rather than subspace sum.  (Contributed by NM, 5-Dec-2013.)
       (New usage is discouraged.) $)
    djajN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. dom I /\ Y e. dom I ) )
          -> ( I ` ( X .\/ Y ) ) = ( ( I ` X ) J ( I ` Y ) ) ) $=
      ( chlt wcel wa cfv co wceq wbr syl3anc cdm coc cmee cocaN cple clat hllat
      cbs ad2antrr cops diadmclN adantrr opoccl syl2anc lhpbase ad2antlr latjcl
      hlop eqid latmcl adantrl latmle2 lattrd wb diaeldm adantr mpbir2and cltrn
      diaocN syldan hloml diadmleN latjle12 syl13anc mpbi2and omlspjN syl121anc
      coml latjidm oveq2d latjass col hlol oldmm2 oldmj1 latleeqm1 mpbid fveq2d
      oldmm1 eqtr3d oveq12d eqtrd oveq1d latmmdir cin wss simpl diaclN diaelrnN
      crn djavalN syl12anc diameetN ineq12d eqtr4d 3eqtr4d ) EMNZFANZOZGBUAZNZH
      XJNZOZOZGEUBPZPZFXOPZDQZFEUCPZQZHXOPZXQDQZFXSQZXSQZXOPZXQDQZFXSQZBPZYDBPZ
      FEUDPPZPZGHDQZBPGBPZHBPZCQZXIXMYDXJNZYHYKRXNYPYDEUHPZNZYDFEUEPZSZXNEUFNZX
      TYQNZYCYQNZYRXGUUAXHXMEUGUIZXNUUAXRYQNZFYQNZUUBUUDXNUUAXPYQNZXQYQNZUUEUUD
      XNEUJNZGYQNZUUGXGUUIXHXMEURUIZXIXKUUJXLYQABEMFGYQUSZJKUKULZYQEXOGUULXOUSZ
      UMUNXNUUIUUFUUHUUKXHUUFXGXMYQAEFUULJUOUPZYQEXOFUULUUNUMUNZYQDEXPXQUULIUQT
      ZUUOYQEXSXRFUULXSUSZUTTZXNUUAYBYQNZUUFUUCUUDXNUUAYAYQNZUUHUUTUUDXNUUIHYQN
      ZUVAUUKXIXLUVBXKYQABEMFHUULJKUKVAZYQEXOHUULUUNUMUNUUPYQDEYAXQUULIUQTZUUOY
      QEXSYBFUULUURUTTZYQEXSXTYCUULUURUTTZXNYQEYSYDYCFUULYSUSZUUDUVFUVEUUOXNUUA
      UUBUUCYDYCYSSUUDUUSUVEYQEYSXSXTYCUULUVGUURVBTXNUUAUUTUUFYCFYSSZUUDUVDUUOY
      QEYSXSYBFUULUVGUURVBTZVCXIYPYRYTOVDXMYQABEYSMFYDUULUVGJKVEVFVGFEVHPPZABDE
      XSYJXOFYDIUURUUNJUVJUSZKYJUSZVIVJXNYLYGBXNYLXQDQZFXSQZYLYGXNEVRNZYLYQNZUU
      FYLFYSSZUVNYLRXGUVOXHXMEVKUIXNUUAUUJUVBUVPUUDUUMUVCYQDEGHUULIUQTZUUOXNGFY
      SSZHFYSSZUVQXIXKUVSXLABEYSMFGUVGJKVLULZXIXLUVTXKABEYSMFHUVGJKVLVAZXNUUAUU
      JUVBUUFUVSUVTOUVQVDUUDUUMUVCUUOYQDEYSGHFUULUVGIVMVNVOYQDEYSXSXOYLFUULUVGI
      UURUUNVPVQXNUVMYFFXSXNYLXQXQDQZDQZUVMYFXNUWCXQYLDXNUUAUUHUWCXQRUUDUUPYQDE
      XQUULIVSUNVTXNUVMXQDQZUWDYFXNUUAUVPUUHUUHUWEUWDRUUDUVRUUPUUPYQDEYLXQXQUUL
      IWAVNXNUVMYEXQDXNYLXOPZFXSQZXOPZUVMYEXNEWBNZUVPUUFUWHUVMRXGUWIXHXMEWCUIZU
      VRUUOYQDEXSXOYLFUULIUURUUNWDTXNUWGYDXOXNUWGXRYBXSQZFXSQZYDXNUWFUWKFXSXNUW
      FXPYAXSQZUWKXNUWIUUJUVBUWFUWMRUWJUUMUVCYQDEXSXOGHUULIUURUUNWETXNXPXRYAYBX
      SXNGFXSQZXOPZXPXRXNUWNGXOXNUVSUWNGRZUWAXNUUAUUJUUFUVSUWPVDUUDUUMUUOYQEYSX
      SGFUULUVGUURWFTWGWHXNUWIUUJUUFUWOXRRUWJUUMUUOYQDEXSXOGFUULIUURUUNWITWJXNH
      FXSQZXOPZYAYBXNUWQHXOXNUVTUWQHRZUWBXNUUAUVBUUFUVTUWSVDUUDUVCUUOYQEYSXSHFU
      ULUVGUURWFTWGWHXNUWIUVBUUFUWRYBRUWJUVCUUOYQDEXSXOHFUULIUURUUNWITWJWKWLWMX
      NUWIUUEUUTUUFUWLYDRUWJUUQUVDUUOYQEXSXRYBFUULUURWNVNWLWHWJWMWJWJWMWJWHXNYO
      YMYJPZYNYJPZWOZYJPZYKXNXIYMUVJWPZYNUVJWPZYOUXCRXIXMWQZXIXMYMBWTZNZUXDXIXK
      UXHXLABEFGJKWRULYMUVJABEMFJUVKKWSVJXIXMYNUXGNZUXEXIXLUXIXKABEFHJKWRVAYNUV
      JABEMFJUVKKWSVJUVJABCEYJFYMYNJUVKKUVLLXAXBXNYIUXBYJXNYIXTBPZYCBPZWOZUXBXN
      XIXTXJNZYCXJNZYIUXLRUXFXNUXMUUBXTFYSSZUUSXNUUAUUEUUFUXOUUDUUQUUOYQEYSXSXR
      FUULUVGUURVBTXIUXMUUBUXOOVDXMYQABEYSMFXTUULUVGJKVEVFVGXNUXNUUCUVHUVEUVIXI
      UXNUUCUVHOVDXMYQABEYSMFYCUULUVGJKVEVFVGABEXSFXTYCUURJKXCXBXNUXJUWTUXKUXAX
      IXKUXJUWTRXLUVJABDEXSYJXOFGIUURUUNJUVKKUVLVIULXIXLUXKUXARXKUVJABDEXSYJXOF
      HIUURUUNJUVKKUVLVIVAXDWLWHXEXF $.
  $}

  $c DIsoB $.

  $( Extend class notation with isomorphism B. $)
  cdib $a class DIsoB $.

  ${
    $d k w x f $.
    $( Isomorphism B is isomorphism A extended with an extra dimension set to
       the zero vector component i.e. the zero endormorphism.  Its domain is
       lattice elements less than or equal to the fiducial co-atom ` w ` .
       (Contributed by NM, 8-Dec-2013.) $)
    df-dib $a |- DIsoB = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
        ( x e. dom ( ( DIsoA ` k ) ` w ) |->
         ( ( ( ( DIsoA ` k ) ` w ) ` x ) X. {
          ( f e. ( ( LTrn ` k ) ` w ) |-> ( _I |` ( Base ` k ) ) ) } ) ) ) ) $.
  $}

  ${
    $d k B $.  $d k w H $.  $d f k w x K $.
    dibval.b $e |- B = ( Base ` K ) $.
    dibval.h $e |- H = ( LHyp ` K ) $.
    $( The partial isomorphism B for a lattice ` K ` .  (Contributed by NM,
       8-Dec-2013.) $)
    dibffval $p |- ( K e. V -> ( DIsoB ` K ) = ( w e. H |->
       ( x e. dom ( ( DIsoA ` K ) ` w ) |->
         ( ( ( ( DIsoA ` K ) ` w ) ` x ) X.
            { ( f e. ( ( LTrn ` K ) ` w ) |-> ( _I |` B ) ) } ) ) ) ) $=
      ( vk cfv cv cdia cltrn cid cmpt clh cbs fveq2 fveq1d wcel cvv cdm csn cxp
      cdib cres wceq elex eqtr4di dmeqd reseq2d mpteq12dv sneqd df-dib mptfvmpt
      xpeq12d syl ) FGUAFUBUAFUFKBEABLZFMKZKZUCZALZVAKZDUSFNKZKZOCUGZPZUDZUEZPZ
      PUHFGUIBJVKQUFBJLZQKZAUSVLMKZKZUCZVCVOKZDUSVLNKZKZOVLRKZUGZPZUDZUEZPZPEUB
      FFVLFUHZBVMWEEVKWFVMFQKEVLFQSIUJWFAVPWDVBVJWFVOVAWFUSVNUTVLFMSTZUKWFVQVDW
      CVIWFVCVOVAWGTWFWBVHWFDVSWAVFVGWFUSVRVEVLFNSTWFVTCOWFVTFRKCVLFRSHUJULUMUN
      UQUMUMABDJUOIUPUR $.

    $d w x J $.  $d w .0. $.  $d f w x W $.
    dibval.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dibval.o $e |- .0. = ( f e. T |-> ( _I |` B ) ) $.
    dibval.j $e |- J = ( ( DIsoA ` K ) ` W ) $.
    dibval.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    $( The partial isomorphism B for a lattice ` K ` .  (Contributed by NM,
       8-Dec-2013.) $)
    dibfval $p |- ( ( K e. V /\ W e. H ) -> I =
        ( x e. dom J |-> ( ( J ` x ) X. { .0. } ) ) ) $=
      ( vw cfv cmpt wcel cdia cdm cltrn cid cres csn cxp dibffval fveq1d syl5eq
      cv cdib wceq fveq2 eqtr4di dmeqd eqidd mpteq12dv sneqd xpeq12d eqid fvexi
      dmex mptex fvmpt sylan9eq ) HIUAZJEUAFJREARULZHUBSZSZUCZAULZVKSZDVIHUDSZS
      ZUEBUFZTZUGZUHZTZTZSZAGUCZVMGSZKUGZUHZTZVHFJHUMSZSWCQVHJWIWBARBDEHILMUIUJ
      UKRJWAWHEWBVIJUNZAVLVTWDWGWJVKGWJVKJVJSGVIJVJUOPUPZUQWJVNWEVSWFWJVMVKGWKU
      JWJVRKWJVRDCVQTKWJDVPVQCVQWJVPJVOSCVIJVOUONUPWJVQURUSOUPUTVAUSWBVBAWDWGGG
      JVJPVCVDVEVFVG $.

    $d x .0. $.  $d x X $.
    $( The partial isomorphism B for a lattice ` K ` .  (Contributed by NM,
       8-Dec-2013.) $)
    dibval $p |- ( ( ( K e. V /\ W e. H ) /\ X e. dom J )
          -> ( I ` X ) = ( ( J ` X ) X. { .0. } ) ) $=
      ( vx wcel cfv wa cdm csn cxp cmpt wceq dibfval adantr fveq1d fveq2 xpeq1d
      cv eqid fvex snex xpex fvmpt adantl eqtrd ) GHSIDSUAZJFUBZSZUAZJETJRVARUL
      ZFTZKUCZUDZUEZTZJFTZVFUDZVCJEVHUTEVHUFVBRABCDEFGHIKLMNOPQUGUHUIVBVIVKUFUT
      RJVGVKVAVHVDJUFVEVJVFVDJFUJUKVHUMVJVFJFUNKUOUPUQURUS $.

    $d f K $.  $d f T $.  $d f W $.
    $( Member of the partial isomorphism B. (Contributed by NM, 18-Jan-2014.)
       (Revised by Mario Carneiro, 6-May-2015.)  (New usage is discouraged.) $)
    dibopelvalN $p |- ( ( ( K e. V /\ W e. H ) /\ X e. dom J )
          -> ( <. F , S >. e. ( I ` X )
          <-> ( F e. ( J ` X ) /\ S = .0. ) ) ) $=
      ( wcel wa cdm cop cfv csn cxp wceq dibval eleq2d opelxp cid cres cmpt cvv
      cltrn fvexi mptex eqeltri elsn2 anbi2i bitri bitrdi ) IJTKFTUALHUBTUAZEBU
      CZLGUDZTVDLHUDZMUEZUFZTZEVFTZBMUGZUAZVCVEVHVDACDFGHIJKLMNOPQRSUHUIVIVJBVG
      TZUAVLEBVFVGUJVMVKVJBMMDCUKAULZUMUNQDCVNCKIUOUDPUPUQURUSUTVAVB $.
  $}

  ${
    $d f K $.  $d f W $.
    dibval2.b $e |- B = ( Base ` K ) $.
    dibval2.l $e |- .<_ = ( le ` K ) $.
    dibval2.h $e |- H = ( LHyp ` K ) $.
    dibval2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dibval2.o $e |- .0. = ( f e. T |-> ( _I |` B ) ) $.
    dibval2.j $e |- J = ( ( DIsoA ` K ) ` W ) $.
    dibval2.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    $( Value of the partial isomorphism B. (Contributed by NM, 18-Jan-2014.) $)
    dibval2 $p |- ( ( ( K e. V /\ W e. H ) /\ ( X e. B /\ X .<_ W ) )
          -> ( I ` X ) = ( ( J ` X ) X. { .0. } ) ) $=
      ( wcel wa wbr cdm cfv csn cxp wceq diaeldm biimpar dibval syldan ) GITJDT
      UAZKATKJHUBUAZKFUCTZKEUDKFUDLUEUFUGULUNUMADFGHIJKMNORUHUIABCDEFGIJKLMOPQR
      SUJUK $.

    $d f T $.
    $( Member of the partial isomorphism B. (Contributed by NM, 3-Mar-2014.)
       (Revised by Mario Carneiro, 6-May-2015.) $)
    dibopelval2 $p |- ( ( ( K e. V /\ W e. H ) /\ ( X e. B /\ X .<_ W ) )
          -> ( <. F , S >. e. ( I ` X )
          <-> ( F e. ( J ` X ) /\ S = .0. ) ) ) $=
      ( wcel wbr cop cfv csn cxp wceq dibval2 eleq2d opelxp cid cres cmpt cltrn
      wa cvv fvexi mptex eqeltri elsn2 anbi2i bitri bitrdi ) IKUBLFUBUPMAUBMLJU
      CUPUPZEBUDZMGUEZUBVFMHUEZNUFZUGZUBZEVHUBZBNUHZUPZVEVGVJVFACDFGHIJKLMNOPQR
      STUAUIUJVKVLBVIUBZUPVNEBVHVIUKVOVMVLBNNDCULAUMZUNUQSDCVPCLIUOUERURUSUTVAV
      BVCVD $.
  $}

  ${
    $d f K $.  $d g K $.  $d f T $.  $d f W $.  $d g W $.  $d f X $.
    dibval3.b $e |- B = ( Base ` K ) $.
    dibval3.l $e |- .<_ = ( le ` K ) $.
    dibval3.h $e |- H = ( LHyp ` K ) $.
    dibval3.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dibval3.r $e |- R = ( ( trL ` K ) ` W ) $.
    dibval3.o $e |- .0. = ( g e. T |-> ( _I |` B ) ) $.
    dibval3.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    $( Value of the partial isomorphism B for a lattice ` K ` .  (Contributed
       by NM, 24-Feb-2014.)  (New usage is discouraged.) $)
    dibval3N $p |- ( ( ( K e. V /\ W e. H ) /\ ( X e. B /\ X .<_ W ) )
          -> ( I ` X ) = ( { f e. T | ( R ` f ) .<_ X } X. { .0. } ) ) $=
      ( wcel wa wbr cfv cdia csn cxp cv crab eqid dibval2 diaval xpeq1d eqtrd )
      HJUAKFUAUBLAUALKIUCUBUBZLGUDLKHUEUDUDZUDZMUFZUGDUHBUDLIUCDCUIZURUGACEFGUP
      HIJKLMNOPQSUPUJZTUKUOUQUSURABCDFUPHIJKLNOPQRUTULUMUN $.

    $d f .<_ $.  $d f B $.  $d f H $.  $d s K $.  $d f s .0. $.  $d g T $.
    $d f V $.  $d s W $.  $d s X $.  $d f s Y $.
    $( Member of the partial isomorphism B. (Contributed by NM,
       26-Feb-2014.) $)
    dibelval3 $p |- ( ( ( K e. V /\ W e. H ) /\ ( X e. B /\ X .<_ W ) )
      -> ( Y e. ( I ` X )
         <-> E. f e. T ( Y = <. f , .0. >. /\ ( R ` f ) .<_ X ) ) ) $=
      ( vs wcel wbr cfv cdia csn cxp cop wceq wrex eqid dibval2 eleq2d diaelval
      wa wex anbi1d an13 velsn anbi1i bitri exbii cid cres cmpt cvv cltrn fvexi
      mptex eqeltri opeq2 eqeq2d anbi2d ceqsexv an32 bitr3i 3bitr4g exbidv elxp
      cv anass df-rex bitrd ) HJUCKFUCUPLAUCLKIUDUPUPZMLGUEZUCMLKHUFUEUEZUEZNUG
      ZUHZUCZMDWAZNUIZUJZWLBUELIUDZUPZDCUKZWEWFWJMACEFGWGHIJKLNOPQRTWGULZUAUMUN
      WEMWLUBWAZUIZUJZWLWHUCZWSWIUCZUPUPZUBUQZDUQWLCUCZWPUPZDUQWKWQWEXEXGDWEXBW
      NUPZXFWOUPZWNUPZXEXGWEXBXIWNABCWLFWGHIJKLOPQRSWRUOURXEWSNUJZXBXAUPZUPZUBU
      QXHXDXMUBXDXCXLUPXMXAXBXCUSXCXKXLUBNUTVAVBVCXLXHUBNNECVDAVEZVFVGTECXNCKHV
      HUERVIVJVKXKXAWNXBXKWTWMMWSNWLVLVMVNVOVBXGXFWNUPWOUPXJXFWNWOWBXFWNWOVPVQV
      RVSDUBMWHWIVTWPDCWCVRWD $.

    $( Member of the partial isomorphism B. (Contributed by NM, 3-Mar-2014.) $)
    dibopelval3 $p |- ( ( ( K e. V /\ W e. H ) /\ ( X e. B /\ X .<_ W ) )
          -> ( <. F , S >. e. ( I ` X )
          <-> ( ( F e. T /\ ( R ` F ) .<_ X ) /\ S = .0. ) ) ) $=
      ( wcel wa wbr cop cfv cdia wceq eqid dibopelval2 diaelval anbi1d bitrd )
      IKUBLGUBUCMAUBMLJUDUCUCZFCUEMHUFUBFMLIUGUFUFZUFUBZCNUHZUCFDUBFBUFMJUDUCZU
      QUCACDEFGHUOIJKLMNOPQRTUOUIZUAUJUNUPURUQABDFGUOIJKLMOPQRSUSUKULUM $.
  $}

  ${
    $d f K $.  $d f W $.
    dibelval1.b $e |- B = ( Base ` K ) $.
    dibelval1.l $e |- .<_ = ( le ` K ) $.
    dibelval1.h $e |- H = ( LHyp ` K ) $.
    dibelval1.j $e |- J = ( ( DIsoA ` K ) ` W ) $.
    dibelval1.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    $( Membership in value of the partial isomorphism B for a lattice ` K ` .
       (Contributed by NM, 13-Feb-2014.) $)
    dibelval1st $p |- ( ( ( K e. V /\ W e. H ) /\ ( X e. B /\ X .<_ W )
       /\ Y e. ( I ` X ) ) -> ( 1st ` Y ) e. ( J ` X ) ) $=
      ( vf wcel wa cfv eqid wbr w3a cltrn cid cres cmpt csn c1st dibval2 eleq2d
      cxp biimp3a xp1st syl ) EGQHBQRZIAQIHFUARZJICSZQZUBJIDSZPHEUCSSZUDAUEUFZU
      GZUKZQZJUHSUSQUOUPURVDUOUPRUQVCJAUTPBCDEFGHIVAKLMUTTVATNOUIUJULJUSVBUMUN
      $.
  $}

  ${
    dibelval1st1.b $e |- B = ( Base ` K ) $.
    dibelval1st1.l $e |- .<_ = ( le ` K ) $.
    dibelval1st1.h $e |- H = ( LHyp ` K ) $.
    dibelval1st1.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dibelval1st1.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    $( Membership in value of the partial isomorphism B for a lattice ` K ` .
       (Contributed by NM, 13-Feb-2014.) $)
    dibelval1st1 $p |- ( ( ( K e. V /\ W e. H ) /\ ( X e. B /\ X .<_ W )
       /\ Y e. ( I ` X ) ) -> ( 1st ` Y ) e. T ) $=
      ( wcel wa wbr cfv c1st cdia eqid dibelval1st diael syld3an3 ) EGPHCPQIAPI
      HFRQJIDSPJTSZIHEUASSZSPUFBPACDUGEFGHIJKLMUGUBZOUCABUFCUGEFGHIKLMNUHUDUE
      $.
  $}

  ${
    dibelval1st2.b $e |- B = ( Base ` K ) $.
    dibelval1st2.l $e |- .<_ = ( le ` K ) $.
    dibelval1st2.h $e |- H = ( LHyp ` K ) $.
    dibelval1st2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dibelval1st2.r $e |- R = ( ( trL ` K ) ` W ) $.
    dibelval1st2.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    $( Membership in value of the partial isomorphism B for a lattice ` K ` .
       (Contributed by NM, 13-Feb-2014.)  (New usage is discouraged.) $)
    dibelval1st2N $p |- ( ( ( K e. V /\ W e. H ) /\ ( X e. B /\ X .<_ W )
       /\ Y e. ( I ` X ) ) -> ( R ` ( 1st ` Y ) ) .<_ X ) $=
      ( wcel wa cfv wbr c1st cdia eqid dibelval1st diatrl syld3an3 ) FHRIDRSJAR
      JIGUASKJETRKUBTZJIFUCTTZTRUHBTJGUAADEUIFGHIJKLMNUIUDZQUEABCUHDUIFGHIJLMNO
      PUJUFUG $.
  $}

  ${
    $d f K $.  $d f W $.
    dibelval2nd.b $e |- B = ( Base ` K ) $.
    dibelval2nd.l $e |- .<_ = ( le ` K ) $.
    dibelval2nd.h $e |- H = ( LHyp ` K ) $.
    dibelval2nd.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dibelval2nd.o $e |- .0. = ( f e. T |-> ( _I |` B ) ) $.
    dibelval2nd.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    $( Membership in value of the partial isomorphism B for a lattice ` K ` .
       (Contributed by NM, 13-Feb-2014.) $)
    dibelval2nd $p |- ( ( ( K e. V /\ W e. H ) /\ ( X e. B /\ X .<_ W )
       /\ Y e. ( I ` X ) ) -> ( 2nd ` Y ) = .0. ) $=
      ( wcel cfv wa wbr w3a cdia csn cxp c2nd wceq dibval2 eleq2d biimp3a xp2nd
      eqid elsni 3syl ) FHSIDSUAZJASJIGUBUAZKJETZSZUCKJIFUDTTZTZLUEZUFZSZKUGTZV
      BSVELUHUPUQUSVDUPUQUAURVCKABCDEUTFGHIJLMNOPQUTUMRUIUJUKKVAVBULVELUNUO $.
  $}

  ${
    $d f .<_ $.  $d f B $.  $d f K $.  $d f W $.  $d f X $.
    dibn0.b $e |- B = ( Base ` K ) $.
    dibn0.l $e |- .<_ = ( le ` K ) $.
    dibn0.h $e |- H = ( LHyp ` K ) $.
    dibn0.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    $( The value of the partial isomorphism B is not empty.  (Contributed by
       NM, 18-Jan-2014.) $)
    dibn0 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ X .<_ W ) )
            -> ( I ` X ) =/= (/) ) $=
      ( vf chlt wcel wa wbr cfv c0 eqid wne cdia cltrn cid cres csn cxp dibval2
      cmpt dian0 fvex mptex snnz jctir xpnz sylib eqnetrd ) DMNFBNOGANGFEPOOZGC
      QGFDUAQQZQZLFDUBQZQZUCAUDZUHZUEZUFZRAVALBCURDEMFGVCHIJVASVCSURSZKUGUQUSRT
      ZVDRTZOVERTUQVGVHABURDEFGHIJVFUIVCLVAVBFUTUJUKULUMUSVDUNUOUP $.
  $}

  ${
    $d y J $.  $d f y K $.  $d f y W $.
    dibfna.h $e |- H = ( LHyp ` K ) $.
    dibfna.j $e |- J = ( ( DIsoA ` K ) ` W ) $.
    dibfna.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    $( Functionality and domain of the partial isomorphism B. (Contributed by
       NM, 17-Jan-2014.) $)
    dibfna $p |- ( ( K e. V /\ W e. H ) -> I Fn dom J ) $=
      ( vy vf wcel wa cdm wfn cv cfv cltrn cmpt eqid cid cbs cres csn fvex snex
      cxp xpex fnmpti dibfval fneq1d mpbiri ) DELFALMZBCNZOJUNJPZCQZKFDRQQZUADU
      BQZUCSZUDZUGZSZUNOJUNVAVBUPUTUOCUEUSUFUHVBTUIUMUNBVBJURUQKABCDEFUSURTGUQT
      USTHIUJUKUL $.

    $( Domain of the partial isomorphism B. (Contributed by NM,
       17-Jan-2014.) $)
    dibdiadm $p |- ( ( K e. V /\ W e. H ) -> dom I = dom J ) $=
      ( wcel wa cdm dibfna fndmd ) DEJFAJKCLBABCDEFGHIMN $.
  $}

  ${
    $d x .<_ $.  $d x B $.  $d x K $.  $d x W $.
    dibfn.b $e |- B = ( Base ` K ) $.
    dibfn.l $e |- .<_ = ( le ` K ) $.
    dibfn.h $e |- H = ( LHyp ` K ) $.
    dibfn.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    $( Functionality and domain of the partial isomorphism B. (Contributed by
       NM, 17-Jan-2014.)  (New usage is discouraged.) $)
    dibfnN $p |- ( ( K e. V /\ W e. H ) -> I Fn { x e. B | x .<_ W } ) $=
      ( wcel wa cdia cfv cdm wfn cv wbr crab eqid dibfna diadm fneq2d mpbid ) E
      GMHCMNZDHEOPPZQZRDASHFTABUAZRCDUHEGHKUHUBZLUCUGUIUJDABCUHEFGHIJKUKUDUEUF
      $.

    $( Domain of the partial isomorphism A. (Contributed by NM, 8-Mar-2014.)
       (New usage is discouraged.) $)
    dibdmN $p |- ( ( K e. V /\ W e. H ) -> dom I = { x e. B | x .<_ W } ) $=
      ( wcel wa cv wbr crab dibfnN fndmd ) EGMHCMNAOHFPABQDABCDEFGHIJKLRS $.

    $( Member of domain of the partial isomorphism B. (Contributed by NM,
       17-Jan-2014.)  (New usage is discouraged.) $)
    dibeldmN $p |- ( ( K e. V /\ W e. H )
          -> ( X e. dom I <-> ( X e. B /\ X .<_ W ) ) ) $=
      ( wcel wa cdm cdia cfv wbr eqid dibdiadm eleq2d diaeldm bitrd ) DFMGBMNZH
      COZMHGDPQQZOZMHAMHGERNUDUEUGHBCUFDFGKUFSZLTUAABUFDEFGHIJKUHUBUC $.
  $}

  ${
    $d f K $.  $d f W $.
    dib11.b $e |- B = ( Base ` K ) $.
    dib11.l $e |- .<_ = ( le ` K ) $.
    dib11.h $e |- H = ( LHyp ` K ) $.
    dib11.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    $( The isomorphism B for a lattice ` K ` is order-preserving in the region
       under co-atom ` W ` .  (Contributed by NM, 24-Feb-2014.) $)
    dibord $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ X .<_ W )
      /\ ( Y e. B /\ Y .<_ W ) )
  -> ( ( I ` X ) C_ ( I ` Y ) <-> X .<_ Y ) ) $=
      ( vf chlt wcel wa wbr cfv wss eqid w3a cdia cid cres cmpt csn cxp dibval2
      cltrn wceq 3adant3 3adant2 sseq12d c0 wne wb dibn0 eqnetrrd ssxpb biantru
      syl ssid diaord bitr3id 3bitrd ) DNOFBOPZGAOGFEQPZHAOHFEQPZUAZGCRZHCRZSGF
      DUBRRZRZMFDUIRRZUCAUDUEZUFZUGZHVLRZVPUGZSZVMVRSZVPVPSZPZGHEQZVIVJVQVKVSVF
      VGVJVQUJVHAVNMBCVLDENFGVOIJKVNTZVOTZVLTZLUHUKZVFVHVKVSUJVGAVNMBCVLDENFHVO
      IJKWEWFWGLUHULUMVIVQUNUOVTWCUPVIVJVQUNWHVFVGVJUNUOVHABCDEFGIJKLUQUKURVMVP
      VRVPUSVAWCWAVIWDWBWAVPVBUTABVLDEFGHIJKWGVCVDVE $.

    $( The isomorphism B for a lattice ` K ` is one-to-one in the region under
       co-atom ` W ` .  (Contributed by NM, 24-Feb-2014.)
       (New usage is discouraged.) $)
    dib11N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ X .<_ W )
        /\ ( Y e. B /\ Y .<_ W ) ) -> ( ( I ` X ) = ( I ` Y ) <-> X = Y ) ) $=
      ( cfv wceq wss wa wcel wbr dibord wb chlt eqss 3com23 anbi12d clat simp1l
      w3a hllatd simp2l simp3l latasymb syl3anc bitrd syl5bb ) GCMZHCMZNUOUPOZU
      PUOOZPZDUAQZFBQZPZGAQZGFERZPZHAQZHFERZPZUGZGHNZUOUPUBVIUSGHERZHGERZPZVJVI
      UQVKURVLABCDEFGHIJKLSVBVHVEURVLTABCDEFHGIJKLSUCUDVIDUEQVCVFVMVJTVIDUTVAVE
      VHUFUHVBVCVDVHUIVBVEVFVGUJADEGHIJUKULUMUN $.
  $}

  ${
    $d x y H $.  $d x y I $.  $d x y K $.  $d x y W $.
    dibcl.h $e |- H = ( LHyp ` K ) $.
    dibcl.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    $( The partial isomorphism A for a lattice ` K ` is a one-to-one function.
       Part of Lemma M of [Crawley] p. 120 line 27.  (Contributed by NM,
       4-Dec-2013.)  (New usage is discouraged.) $)
    dibf11N $p |- ( ( K e. HL /\ W e. H ) -> I : dom I -1-1-onto-> ran I ) $=
      ( vx vy chlt wcel wa cdm wfn wceq cv cfv wral wbr eqid dibeldmN wf1o cple
      crn weq wi cbs crab dibfnN fnfun funfn sylib syl eqidd anbi12d w3a dib11N
      wfun biimpd 3expib sylbid ralrimivv dff1o6 syl3anbrc ) CIJDAJKZBBLZMZBUCZ
      VGNGOZBPHOZBPNZGHUDZUEZHVEQGVEQVEVGBUAVDBVHDCUBPZRZGCUFPZUGZMZVFGVOABCVMI
      DVOSZVMSZEFUHVQBUQVFVPBUIBUJUKULVDVGUMVDVLGHVEVEVDVHVEJZVIVEJZKVHVOJVNKZV
      IVOJVIDVMRKZKVLVDVTWBWAWCVOABCVMIDVHVRVSEFTVOABCVMIDVIVRVSEFTUNVDWBWCVLVD
      WBWCUOVJVKVOABCVMDVHVIVRVSEFUPURUSUTVAGHVEVGBVBVC $.

    $( Closure of partial isomorphism B for a lattice ` K ` .  (Contributed by
       NM, 8-Mar-2014.)  (New usage is discouraged.) $)
    dibclN $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. dom I )
            -> ( I ` X ) e. ran I ) $=
      ( chlt wcel wa wfun cdm cfv crn cdia wfn eqid dibfna fnfun syl fvelrn
      sylan ) CHIDAIJZBKZEBLIEBMBNIUCBDCOMMZLZPUDABUECHDFUEQGRUFBSTEBUAUB $.

    $d h K $.  $d h W $.
    $( The value of partial isomorphism B is a relation.  (Contributed by NM,
       8-Mar-2014.) $)
    dibvalrel $p |- ( ( K e. V /\ W e. H ) -> Rel ( I ` X ) ) $=
      ( vh wcel wa cdm cfv wrel cdia cltrn eqid releqd mpbiri c0 cid cres relxp
      cbs cmpt csn cxp wceq dibdiadm eleq2d biimpa dibval syldan wn rel0 adantl
      ndmfv pm2.61dan ) CDJEAJKZFBLZJZFBMZNZUSVAKZVCFECOMMZMZIECPMMZUACUDMZUBUE
      ZUFZUGZNVFVJUCVDVBVKUSVAFVELZJZVBVKUHUSVAVMUSUTVLFABVECDEGVEQZHUIUJUKVHVG
      IABVECDEFVIVHQGVGQVIQVNHULUMRSVAUNZVCUSVOVCTNUOVOVBTFBUQRSUPUR $.
  $}

  ${
    $d f H $.  $d f K $.  $d f W $.
    dib0.z $e |- .0. = ( 0. ` K ) $.
    dib0.h $e |- H = ( LHyp ` K ) $.
    dib0.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    dib0.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dib0.o $e |- O = ( 0g ` U ) $.
    $( The value of partial isomorphism B at the lattice zero is the singleton
       of the zero vector i.e. the zero subspace.  (Contributed by NM,
       27-Mar-2014.) $)
    dib0 $p |- ( ( K e. HL /\ W e. H ) -> ( I ` .0. ) = { O } ) $=
      ( vf chlt wcel cbs cfv csn cvv eqid wa cid cres cmpt cxp cop fvex resiexg
      cltrn ax-mp mptex xpsn cdia cple wbr wceq id cops hlop adantr syl lhpbase
      op0cl op0le syl2an dibval2 syl12anc dia0 xpeq1d eqtrd dvh0g sneqd 3eqtr4a
      ) DNOZFBOZUAZUBDPQZUCZRZMFDUIQZQZVRUDZRZUEZVRWBUFZRGCQZERVRWBVQSOVRSODPUG
      VQSUHUJMWAVRFVTUGUKULVPWFGFDUMQQZQZWCUEZWDVPVPGVQOZGFDUNQZUOZWFWIUPVPUQVP
      DUROZWJVNWMVODUSZUTVQDGVQTZHVCVAVNWMFVQOWLVOWNVQBDFWOIVBVQDWKFGWOWKTZHVDV
      EVQWAMBCWGDWKNFGWBWOWPIWATZWBTZWGTZJVFVGVPWHVSWCVQBWGDFGWOHIWSVHVIVJVPEWE
      VQWAAMBDWBFEWOIWQKLWRVKVLVM $.
  $}

  ${
    $d h B $.  $d f g s t E $.  $d f g s t F $.  $d f s t H $.  $d f h s t K $.
    $d f g s t O $.  $d f s t R $.  $d f g h s t T $.  $d f h s t W $.
    dib1dim.b $e |- B = ( Base ` K ) $.
    dib1dim.h $e |- H = ( LHyp ` K ) $.
    dib1dim.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dib1dim.r $e |- R = ( ( trL ` K ) ` W ) $.
    dib1dim.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dib1dim.o $e |- O = ( h e. T |-> ( _I |` B ) ) $.
    dib1dim.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    $( Two expressions for the 1-dimensional subspaces of vector space H.
       (Contributed by NM, 24-Feb-2014.)  (Revised by Mario Carneiro,
       24-Jun-2014.) $)
    dib1dim $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T ) -> ( I ` ( R ` F ) )
       = { g e. ( T X. E ) | E. s e. E g = <. ( s ` F ) , O >. } ) $=
      ( vf vt chlt wcel wa cfv cv wceq wrex w3a copab cop cxp crab cdia csn wbr
      cple simpl trlcl eqid trlle dibval2 syl12anc opelxp dia1dim abeq2d anbi1d
      relxp tendocl 3expa an32s tendo0cl ad2antrr jca eleq1 bi2anan9 syl5ibrcom
      rexlimdva pm4.71rd velsn anbi2i r19.41v bitr4i df-3an 3bitr4g bitrd eqtrd
      syl5bb opabbi2dv eqeq1 vex opth bitrdi rexbidv rabxp eqtr4di ) JUCUDLHUDU
      EZGCUDZUEZGBUFZIUFZUAUGZCUDZUBUGZFUDZXCGMUGZUFZUHZXEKUHZUEZMFUIZUJZUAUBUK
      ZDUGZXHKULZUHZMFUIZDCFUMUNWTXBXALJUOUFUFZUFZKUPZUMZXNWTWRXAAUDXALJURUFZUQ
      XBYBUHWRWSUSABCGHJLNOPQUTBCGHJYCLYCVAZOPQVBACEHIXSJYCUCLXAKNYDOPSXSVAZTVC
      VDWTXMUAUBYBXTYAVIXCXEULZYBUDXCXTUDZXEYAUDZUEZWTXMXCXEXTYAVEWTYIXIMFUIZYH
      UEZXMWTYGYJYHWTYJUAXTBCUAFGHXSJLMOPQRYEVFVGVHWTXLXDXFUEZXLUEYKXMWTXLYLWTX
      KYLMFWTXGFUDZUEZYLXKXHCUDZKFUDZUEYNYOYPWRYMWSYOWRYMWSYOXGCFGHJUCLOPRVJVKV
      LWRYPWSYMACEFHJKLNOPRSVMVNVOXIXDYOXJXFYPXCXHCVPXEKFVPVQVRVSVTYKYJXJUEXLYH
      XJYJUBKWAWBXIXJMFWCWDXDXFXLWEWFWGWIWJWHXRXLDUAUBCFXOYFUHZXQXKMFYQXQYFXPUH
      XKXOYFXPWKXCXEXHKUAWLUBWLWMWNWOWPWQ $.
  $}

  ${
    $d f s x G $.  $d f s x H $.  $d f s I $.  $d f h s x y K $.  $d f s x S $.
    $d f h s x y W $.
    dibglb.g $e |- G = ( glb ` K ) $.
    dibglb.h $e |- H = ( LHyp ` K ) $.
    dibglb.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    $( Partial isomorphism B of a lattice glb.  (Contributed by NM,
       9-Mar-2014.)  (New usage is discouraged.) $)
    dibglbN $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( S C_ dom I /\ S =/= (/) ) )
       -> ( I ` ( G ` S ) ) = |^|_ x e. S ( I ` x ) ) $=
      ( vy chlt wcel wa wss cv cfv wbr wb eqid vf vs cdm wne cple cbs crab ciin
      vh wceq simpl simprl dibdmN sseq2d adantr mpbid simprr wrel dibvalrel wex
      c0 wrex n0 biimpi ad2antll a1d ancld eximdv mpd df-rex sylibr reliin cdia
      syl id cltrn cid cres cmpt cop diadm sseqtrrd diaglbN syl12anc eleq2d cvv
      wral vex eliin ax-mp bitrdi anbi1d r19.27zv bitr4d hlclat ad2antrr ssrab2
      ccla sstrdi clatglbcl syl2anc clat hllat ad3antrrr simplrl sselda lhpbase
      ad3antlr simpr clatglble syl3anc breq1 elrab sylib simprd lattrd exlimddv
      dibopelval2 opex simpll ralbidva syl5bb 3bitr4d eqrelrdv2 syl21anc ) FLMZ
      GDMZNZBEUCZOZBVAUDZNZNZYHBKPZGFUEQZRZKFUFQZUGZOZYKBCQZEQZABAPZEQZUHZUJZYH
      YLUKYMYJYSYHYJYKULYHYJYSSYLYHYIYRBKYQDEFYOLGYQTZYOTZIJUMUNUOUPYHYJYKUQYHY
      SYKNZNZUUAURZUUDURZUUIUUEYHUUJUUHDEFLGYTIJUSUOUUIUUCURZABVBZUUKUUIUUBBMZU
      ULNZAUTZUUMUUIUUNAUTZUUPYKUUQYHYSYKUUQABVCVDVEZUUIUUNUUOAUUIUUNUULUUIUULU
      UNYHUULUUHDEFLGUUBIJUSUOVFVGVHVIUULABVJVKABUUCVLVNUUIVOUUIUAUBUUAUUDUUIUA
      PZYTGFVMQQZQZMZUBPZUIGFVPQQZVQYQVRVSZUJZNZUUSUUBUUTQZMZUVFNZABWGZUUSUVCVT
      ZUUAMZUVLUUDMZUUIUVGUVIABWGZUVFNZUVKUUIUVBUVOUVFUUIUVBUUSABUVHUHZMZUVOUUI
      UVAUVQUUSUUIYHBUUTUCZOYKUVAUVQUJYHUUHUKZUUIBYRUVSYHYSYKULZYHUVSYRUJUUHKYQ
      DUUTFYOLGUUFUUGIUUTTZWAUOWBYHYSYKUQABCDUUTFGHIUWBWCWDWEUUSWFMUVRUVOSUAWHA
      UUSBUVHWFWIWJWKWLYKUVKUVPSYHYSUVIUVFABWMVEWNUUIYHYTYQMZYTGYORZUVMUVGSUVTU
      UIFWRMZBYQOZUWCYFUWEYGUUHFWOZWPUUIBYRYQUWAYPKYQWQZWSZYQBCFUUFHWTZXAUUIUUN
      UWDAUURUUIUUNNZYQFYOYTUUBGUUFUUGYFFXBMYGUUHUUNFXCXDUWKUWEUWFUWCYFUWEYGUUH
      UUNUWGXDZUWKBYRYQYHYSYKUUNXEUWHWSZUWJXAUUIBYQUUBUWIXFYGGYQMYFUUHUUNYQDFGU
      UFIXGXHUWKUWEUWFUUNYTUUBYORUWLUWMUUIUUNXIYQBCFYOUUBUUFUUGHXJXKUWKUUBYQMZU
      UBGYORZUWKUUBYRMUWNUWONZUUIBYRUUBUWAXFYPUWOKUUBYQYNUUBGYOXLXMXNZXOXPXQYQU
      VCUVDUIUUSDEUUTFYOLGYTUVEUUFUUGIUVDTZUVETZUWBJXRWDUVNUVLUUCMZABWGZUUIUVKU
      VLWFMUVNUXASUUSUVCXSAUVLBUUCWFWIWJUUIUWTUVJABUWKYHUWPUWTUVJSYHUUHUUNXTUWQ
      YQUVCUVDUIUUSDEUUTFYOLGUUBUVEUUFUUGIUWRUWSUWBJXRXAYAYBYCYDYEWD $.
  $}

  ${
    $d y x H $.  $d y x I $.  $d y x K $.  $d y x S $.  $d y x W $.
    dibintcl.h $e |- H = ( LHyp ` K ) $.
    dibintcl.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    $( The intersection of partial isomorphism B closed subspaces is a closed
       subspace.  (Contributed by NM, 8-Mar-2014.)
       (New usage is discouraged.) $)
    dibintclN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( S C_ ran I /\ S =/= (/) ) )
       -> |^| S e. ran I ) $=
      ( vy vx chlt wcel wa wss cfv wceq adantr syl wb wi wbr crn c0 wne ccnv cv
      cima cres ciin cint wfn cdm wf1o dibf11N cnvimass fnssres sylancl fniinfv
      f1ofn df-ima wfo f1ofo simprl foimacnv syl2anc eqtr3id inteqd eqtrd simpl
      cglb a1i simprr n0 sylib wrex sselda ad2antrr fvelrnb mpbid wfun fvimacnv
      wex f1ofun sylan ne0i syl6bi eleq1 biimprd imim1d syl9 com24 imp rexlimdv
      ex mpd exlimddv eqid dibglbN syl12anc fvres iineq2i eqtr4di cbs cple ccla
      hlclat crab dibdmN ssrab2 eqsstrdi clatglbcl clat hllat ad3antrrr lhpbase
      sstrid ad3antlr sstrdi simpr clatglble syl3anc sseli adantl simprd lattrd
      sseqtrid dibeldmN mpbir2and dibclN syldan eqeltrrd ) DJKZEBKZLZACUAZMZAUB
      UCZLZLZHCUDAUFZHUEZCYSUGZNZUHZAUIZYNYRUUCUUAUAZUIZUUDYRUUAYSUJZUUCUUFOYRC
      CUKZUJZYSUUHMZUUGYRUUHYNCULZUUIYMUUKYQBCDEFGUMZPUUHYNCURZQCAUNZUUHYSCUOUP
      HYSUUAUQQYRUUEAYRUUECYSUFZACYSUSYRUUHYNCUTZYOUUOAOYMUUPYQYMUUKUUPUULUUHYN
      CVAQPYMYOYPVBZUUHYNACVCVDVEVFVGYRYSDVINZNZCNZUUCYNYRUUTHYSYTCNZUHZUUCYRYM
      UUJYSUBUCZUUTUVBOYMYQVHUUJYRUUNVJYRYTAKZUVCHYRYPUVDHWAYMYOYPVKHAVLVMYRUVD
      LZIUEZCNZYTOZIUUHVNZUVCUVEYTYNKZUVIYRAYNYTUUQVOUVEUUIUVJUVIRUVEUUKUUIYMUU
      KYQUVDUULVPUUMQIUUHYTCVQQVRUVEUVHUVCIUUHYRUVDUVFUUHKZUVHUVCSSYRUVHUVKUVDU
      VCYRUVKUVGAKZUVCSZUVHUVDUVCSYRUVKUVMYRUVKLUVLUVFYSKZUVCYRCVSZUVKUVLUVNRYM
      UVOYQYMUUKUVOUULUUHYNCWBQPUVFACVTWCYSUVFWDWEWMUVHUVDUVLUVCUVHUVLUVDUVGYTA
      WFWGWHWIWJWKWLWNWOZHYSUURBCDEUURWPZFGWQWRHYSUUBUVAYTYSCWSWTXAYMYQUUSUUHKZ
      UUTYNKYRUVRUUSDXBNZKZUUSEDXCNZTZYRDXDKZYSUVSMZUVTYKUWCYLYQDXEZVPYRYSUUHUV
      SUUNYMUUHUVSMYQYMUUHUVFEUWATZIUVSXFZUVSIUVSBCDUWAJEUVSWPZUWAWPZFGXGZUWFIU
      VSXHZXIPXOZUVSYSUURDUWHUVQXJVDZYRYTYSKZUWBHYRUVCUWNHWAUVPHYSVLVMYRUWNLZUV
      SDUWAUUSYTEUWHUWIYKDXKKYLYQUWNDXLXMYRUVTUWNUWMPYRYSUVSYTUWLVOYLEUVSKYKYQU
      WNUVSBDEUWHFXNXPUWOUWCUWDUWNUUSYTUWATYKUWCYLYQUWNUWEXMYRUWDUWNYRYSUWGUVSY
      RUUHYSUWGUUNYMUUHUWGOYQUWJPYEUWKXQPYRUWNXRUVSYSUURDUWAYTUWHUWIUVQXSXTUWOY
      TUVSKZYTEUWATZUWOYTUUHKZUWPUWQLZUWNUWRYRYSUUHYTUUNYAYBYMUWRUWSRYQUWNUVSBC
      DUWAJEYTUWHUWIFGYFVPVRYCYDWOYMUVRUVTUWBLRYQUVSBCDUWAJEUUSUWHUWIFGYFPYGBCD
      EUUSFGYHYIYJYJ $.
  $}

  ${
    $d h B $.  $d u v F $.  $d u v H $.  $d h u v K $.  $d u v N $.  $d v R $.
    $d u v O $.  $d h u v T $.  $d u v U $.  $d h u v W $.
    dib1dim2.b $e |- B = ( Base ` K ) $.
    dib1dim2.h $e |- H = ( LHyp ` K ) $.
    dib1dim2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dib1dim2.r $e |- R = ( ( trL ` K ) ` W ) $.
    dib1dim2.o $e |- O = ( h e. T |-> ( _I |` B ) ) $.
    dib1dim2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dib1dim2.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    dib1dim2.n $e |- N = ( LSpan ` U ) $.
    $( Two expressions for a 1-dimensional subspace of vector space H (when
       ` F ` is a nonzero vector i.e. non-identity translation).  (Contributed
       by NM, 24-Feb-2014.) $)
    dib1dim2 $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
      -> ( I ` ( R ` F ) ) = ( N ` { <. F , O >. } ) ) $=
      ( vu vv chlt wcel wa cfv cv cop cvsca co wceq csca cbs cab csn ctendo cxp
      wrex crab df-rab eqid dib1dim dvhbase adantr rexeqdv ccom simpll tendo0cl
      simpr simplr ad2antrr dvhopvsca syl13anc tendo0mulr adantlr opeq2d eqeq2d
      eqtrd rexbidva wi tendocl 3expa an32s opelxpi syl2anc eleq1a syl pm4.71rd
      rexlimdva 3bitrd abbidv 3eqtr4a clmod dvhlmod dvhelvbasei syl12anc eqtr4d
      simpl lspsn ) IUCUDLGUDUEZFCUDZUEZFBUFHUFZUAUGZUBUGZFKUHZDUIUFZUJZUKZUBDU
      LUFZUMUFZURZUAUNZXFUOJUFZXBXDFXEUFZKUHZUKZUBLIUPUFUFZURZUACXRUQZUSXDXTUDZ
      XSUEZUAUNXCXMXSUAXTUTABCUAEXRFGHIKLUBMNOPXRVAZQSVBXBXLYBUAXBXLXIUBXRURXSY
      BXBXIUBXKXRWTXKXRUKXAXKDXRXJGILUCNYCRXJVAZXKVAZVCVDVEXBXIXQUBXRXBXEXRUDZU
      EZXHXPXDYGXHXOXEKVFZUHZXPYGWTYFXAKXRUDZXHYIUKWTXAYFVGXBYFVIWTXAYFVJWTYJXA
      YFACEXRGIKLMNOYCQVHZVKZXECXGDXRFGIUCLKNOYCRXGVAZVLVMYGYHKXOWTYFYHKUKXAACX
      EEXRGIKLMNOYCQVNVOVPVRVQVSXBXSYAXBXQYAUBXRYGXPXTUDZXQYAVTYGXOCUDZYJYNWTYF
      XAYOWTYFXAYOXECXRFGIUCLNOYCWAWBWCYLXOKCXRWDWEXPXTXDWFWGWIWHWJWKWLXBDWMUDX
      FDUMUFZUDZXNXMUKXBDGILNRWTXAWRZWNXBWTXAYJYQYRWTXAVIWTYJXAYKVDKCDXRFGIYPLU
      CNOYCRYPVAZWOWPUAXGUBXJXKJYPDXFYDYEYSYMTWSWEWQ $.
  $}

  ${
    $d f B $.  $d f H $.  $d f K $.  $d f W $.
    dibss.b $e |- B = ( Base ` K ) $.
    dibss.l $e |- .<_ = ( le ` K ) $.
    dibss.h $e |- H = ( LHyp ` K ) $.
    dibss.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    dibss.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dibss.v $e |- V = ( Base ` U ) $.
    $( The partial isomorphism B maps to a set of vectors in full vector space
       H. (Contributed by NM, 1-Jan-2014.) $)
    dibss $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ X .<_ W ) )
          -> ( I ` X ) C_ V ) $=
      ( vf chlt wcel cfv eqid wbr cdia cltrn cid cres cmpt csn cxp ctendo diass
      wa wss tendo0cl snssd adantr xpss12 syl2anc dibval2 wceq dvhvbase 3sstr4d
      ) EQRHCRUKZIARIHFUAUKZUKZIHEUBSSZSZPHEUCSSZUDAUEUFZUGZUHZVGHEUISSZUHZIDSG
      VDVFVGULVIVKULZVJVLULAVGCVEEFQHIJKLVGTZVETZUJVBVMVCVBVHVKAVGPVKCEVHHJLVNV
      KTZVHTZUMUNUOVFVGVIVKUPUQAVGPCDVEEFQHIVHJKLVNVQVOMURVBGVLUSVCVGBVKCEGHQLV
      NVPNOUTUOVA $.
  $}

  ${
    $d a b x .<_ $.  $d a b h x B $.  $d a b h x H $.  $d a b x I $.
    $d a b h s t x K $.  $d a b x U $.  $d a b h s t x W $.  $d a b x X $.
    diblss.b $e |- B = ( Base ` K ) $.
    diblss.l $e |- .<_ = ( le ` K ) $.
    diblss.h $e |- H = ( LHyp ` K ) $.
    diblss.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    diblss.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    diblss.s $e |- S = ( LSubSp ` U ) $.
    $( The value of partial isomorphism B is a subspace of partial vector space
       H. TODO: use dib* specific theorems instead of dia* ones to shorten
       proof?  (Contributed by NM, 11-Feb-2014.) $)
    diblss $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ X .<_ W ) )
        -> ( I ` X ) e. S ) $=
      ( chlt wcel cfv eqid syl3anc vx va vb vh vs vt wa wbr ctendo cplusg cvsca
      csca cltrn cxp eqidd cbs wceq dvhbase eqcomd adantr dvhvbase a1i sseqtrrd
      clss dibss dibn0 cv w3a c1st c2nd ccom cop co cdia cid cres cmpt csn fvex
      coex op1st coeq1i simpll simpr1 simplr simpr2 dibelval1st1 tendocl simpr3
      vex ctrl ltrnco simplll hllatd trlcl syl2anc latjcl simplrl trlco tendotp
      cjn clat dibelval1st diatrl lattrd wb latjle12 syl13anc mpbi2and diaelval
      mpbir2and eqeltrid dvhfplusr ad2antrr op2nd dibelval2nd coeq2d tendo0mulr
      cmpo eqtrd syl5eq oveq123d simpllr tendo0cl tendo0pl syl21anc ovex sylibr
      elsn opelxpi wss sseldd dvhvsca syl12anc oveq1d eqeltrd tendococl dvhvadd
      dibval2 3eltr4d islssd ) FPQZHDQZUGZIAQZIHGUHZUGZUGZUAHFUIRRZCUJRZBCUKRZI
      ERZCULRZHFUMRRZUUIUNZCUBUCUUHUUMUOUUDUUIUUMUPRZUQUUGUUDUUPUUIUUPCUUIUUMDF
      HPLUUISZMUUMSZUUPSURUSUTUUDUUOCUPRZUQUUGUUDUUSUUOUUNCUUIDFUUSHPLUUNSZUUQM
      UUSSZVAUSUTZUUHUUJUOUUHUUKUOBCVDRUQUUHOVBUUHUULUUSUUOACDEFGUUSHIJKLNMUVAV
      EUVBVCZADEFGHIJKLNVFUUHUAVGZUUIQZUBVGZUULQZUCVGZUULQZVHZUGZUVFVIRZUVDRZUV
      DUVFVJRZVKZVLZVIRZUVHVIRZVKZUVPVJRZUVHVJRZUUMUJRZVMZVLZIHFVNRRZRZUDUUNVOA
      VPVQZVRZUNZUVDUVFUUKVMZUVHUUJVMZUULUVKUVSUWFQUWCUWHQZUWDUWIQUVKUVSUVMUVRV
      KZUWFUVQUVMUVRUVMUVOUVLUVDVSZUVDUVNUAWJUVFVJVSVTZWAWBUVKUWMUWFQZUWMUUNQZU
      WMHFWKRRZRZIGUHZUVKUUDUVMUUNQZUVRUUNQZUWQUUDUUGUVJWCZUVKUUDUVEUVLUUNQZUXA
      UXCUUHUVEUVGUVIWDZUVKUUDUUGUVGUXDUXCUUDUUGUVJWEZUUHUVEUVGUVIWFZAUUNDEFGPH
      IUVFJKLUUTNWGTZUVDUUNUUIUVLDFPHLUUTUUQWHTZUVKUUDUUGUVIUXBUXCUXFUUHUVEUVGU
      VIWIZAUUNDEFGPHIUVHJKLUUTNWGTZUUNUVMUVRDFHLUUTWLTZUVKAFGUWSUVMUWRRZUVRUWR
      RZFXARZVMZIJKUVKFUUBUUCUUGUVJWMZWNZUVKUUDUWQUWSAQUXCUXLAUWRUUNUWMDFHJLUUT
      UWRSZWOWPUVKFXBQZUXMAQZUXNAQZUXPAQUXRUVKUUDUXAUYAUXCUXIAUWRUUNUVMDFHJLUUT
      UXSWOWPZUVKUUDUXBUYBUXCUXKAUWRUUNUVRDFHJLUUTUXSWOWPZAUXOFUXMUXNJUXOSZWQTU
      UDUUEUUFUVJWRZUVKUUDUXAUXBUWSUXPGUHUXCUXIUXKUWRUUNUVMUVRDUXOFGHKUYELUUTUX
      SWSTUVKUXMIGUHZUXNIGUHZUXPIGUHZUVKAFGUXMUVLUWRRZIJKUXRUYCUVKUUDUXDUYJAQUX
      CUXHAUWRUUNUVLDFHJLUUTUXSWOWPUYFUVKUUDUVEUXDUXMUYJGUHUXCUXEUXHUWRUVDUUNUU
      IUVLDFGPHKLUUTUXSUUQWTTUVKUUDUUGUVLUWFQZUYJIGUHUXCUXFUVKUUDUUGUVGUYKUXCUX
      FUXGADEUWEFGPHIUVFJKLUWESZNXCTAUWRUUNUVLDUWEFGPHIJKLUUTUXSUYLXDTXEUVKUUDU
      UGUVRUWFQZUYHUXCUXFUVKUUDUUGUVIUYMUXCUXFUXJADEUWEFGPHIUVHJKLUYLNXCTAUWRUU
      NUVRDUWEFGPHIJKLUUTUXSUYLXDTUVKUXTUYAUYBUUEUYGUYHUGUYIXFUXRUYCUYDUYFAUXOF
      GUXMUXNIJKUYEXGXHXIXEUUHUWPUWQUWTUGXFUVJAUWRUUNUWMDUWEFGPHIJKLUUTUXSUYLXJ
      UTXKXLUVKUWCUWGUQUWLUVKUWCUWGUWGUEUFUUIUUIUDUUNUDVGZUEVGRUYNUFVGRVKVQXSZV
      MZUWGUVKUVTUWGUWAUWGUWBUYOUUDUWBUYOUQUUGUVJUFUYOUWBUUNCUDUUIUUMDFPHUELUUT
      UUQMUURUYOSZUWBSZXMXNUVKUVTUVOUWGUVMUVOUWNUWOXOUVKUVOUVDUWGVKZUWGUVKUVNUW
      GUVDUVKUUDUUGUVGUVNUWGUQUXCUXFUXGAUUNUDDEFGPHIUVFUWGJKLUUTUWGSZNXPTZXQUVK
      UUDUVEUYSUWGUQUXCUXEAUUNUVDUDUUIDFUWGHJLUUTUUQUYTXRWPXTYAUVKUUDUUGUVIUWAU
      WGUQUXCUXFUXJAUUNUDDEFGPHIUVHUWGJKLUUTUYTNXPTYBUVKUUBUUCUWGUUIQZUYPUWGUQU
      XQUUBUUCUUGUVJYCUUDVUBUUGUVJAUUNUDUUIDFUWGHJLUUTUUQUYTYDXNZUFAUYOUWGUUNUD
      UUIDFUWGHUEJLUUTUUQUYTUYQYEYFXTUWCUWGUVTUWAUWBYGYIYHUVSUWCUWFUWHYJWPUVKUW
      KUVPUVHUUJVMZUWDUVKUWJUVPUVHUUJUVKUUDUVEUVFUUOQUWJUVPUQUXCUXEUVKUULUUOUVF
      UUHUULUUOYKUVJUVCUTZUXGYLUVDUUNUUKCUUIUVFDFPHLUUTUUQMUUKSYMYNYOUVKUUDUVPU
      UOQZUVHUUOQVUDUWDUQUXCUVKUXAUVOUUIQZVUFUXIUVKUUDUVEUVNUUIQVUGUXCUXEUVKUVN
      UWGUUIVUAVUCYPUVDUVNUUIDFHLUUQYQTUVMUVOUUNUUIYJWPUVKUULUUOUVHVUEUXJYLUUMU
      UJUWBUUNCUUIUVPUVHDFHLUUTUUQMUURUUJSUYRYRYNXTUUHUULUWIUQUVJAUUNUDDEUWEFGP
      HIUWGJKLUUTUYTUYLNYSUTYTUUA $.
  $}

  ${
    $d f B $.  $d w x y z F $.  $d f x y H $.  $d w x y z I $.  $d w x y z J $.
    $d f s t x y K $.  $d w x y z O $.  $d w x y z S $.  $d f s t T $.
    $d w x y z U $.  $d x z V $.  $d f s t x y W $.  $d w x y z X $.
    $d w x y z Y $.  $d w x y z ph $.
    diblsmopel.b $e |- B = ( Base ` K ) $.
    diblsmopel.l $e |- .<_ = ( le ` K ) $.
    diblsmopel.h $e |- H = ( LHyp ` K ) $.
    diblsmopel.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    diblsmopel.o $e |- O = ( f e. T |-> ( _I |` B ) ) $.
    diblsmopel.v $e |- V = ( ( DVecA ` K ) ` W ) $.
    diblsmopel.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    diblsmopel.q $e |- .(+) = ( LSSum ` V ) $.
    diblsmopel.p $e |- .+b = ( LSSum ` U ) $.
    diblsmopel.j $e |- J = ( ( DIsoA ` K ) ` W ) $.
    diblsmopel.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    diblsmopel.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    diblsmopel.x $e |- ( ph -> ( X e. B /\ X .<_ W ) ) $.
    diblsmopel.y $e |- ( ph -> ( Y e. B /\ Y .<_ W ) ) $.
    $( Membership in subspace sum for partial isomorphism B. (Contributed by
       NM, 21-Sep-2014.)  (Revised by Mario Carneiro, 6-May-2015.) $)
    diblsmopel $p |- ( ph
            -> ( <. F , S >. e. ( ( I ` X ) .+b ( I ` Y ) )
              <-> ( F e. ( ( J ` X ) .(+) ( J ` Y ) ) /\ S = O ) ) ) $=
      ( vx vy vz vw vs vt cop cfv co wcel cv cplusg wceq wex chlt clss wbr eqid
      wa wb diblss syl2anc dvhopellsm syl3anc excom w3a dibopelval2 anbi12d an4
      ancom bitri bitrdi anbi1d anass df-3an bitr4i 2exbidv cid cres cmpt cltrn
      cvv fvexi mptex eqeltri opeq2 oveq1d eqeq2d anbi2d oveq2d ceqsex2v ctendo
      ccom csca adantr simprl diael tendo0cl syl simprr dvhopvadd syl122anc vex
      coex ovex opth2 dvavadd syl12anc bicomd cmpo dvhfplusr oveqd eqtrd syl5bb
      tendo0pl bitrd exbidv bicomi 2exbii 19.41vv wrex csubg clvec clmod dialss
      pm5.32da sseldd wss dvalvec lveclmod lsssssubg 4syl lsmelval r2ex 3bitrd
      ) AIEUTZRKVAZSKVAZCVBVCZUNVDZUOVDZUTZUUJVCZUPVDZUQVDZUTZUUKVCZVLZUUIUUOUU
      SGVEVAZVBZVFZVLZUQVGZUPVGUOVGZUNVGZUUMRLVAZVCZUUQSLVAZVCZVLZIUUMUUQPVEVAZ
      VBZVFZEOVFZVLZVLZUPVGZUNVGZIUVIUVKDVBVCZUVQVLZAMVHVCQJVCVLZUUJGVIVAZVCZUU
      KUWEVCZUULUVHVMUKAUWDRBVCRQNVJVLZUWFUKULBUWEGJKMNQRTUAUBUFUJUWEVKZVNVOAUW
      DSBVCSQNVJVLZUWGUKUMBUWEGJKMNQSTUAUBUFUJUWIVNVOUNUOUPUQUVBCUWEEGIJMQUUJUU
      KUBUFUVBVKZUWIUHVPVQAUVGUVTUNUVGUVFUOVGZUPVGAUVTUVFUOUPVRAUWLUVSUPAUWLUUN
      OVFZUUROVFZUVMUVDVLZVSZUQVGUOVGZUVSAUVEUWPUOUQAUVEUWMUWNVLZUVMVLZUVDVLZUW
      PAUVAUWSUVDAUVAUVJUWMVLZUVLUWNVLZVLZUWSAUUPUXAUUTUXBAUWDUWHUUPUXAVMUKULBU
      UNFHUUMJKLMNVHQROTUAUBUCUDUIUJVTVOAUWDUWJUUTUXBVMUKUMBUURFHUUQJKLMNVHQSOT
      UAUBUCUDUIUJVTVOWAUXCUVMUWRVLUWSUVJUWMUVLUWNWBUVMUWRWCWDWEWFUWTUWRUWOVLUW
      PUWRUVMUVDWGUWMUWNUWOWHWIWEWJUWQUVMUUIUUMOUTZUUQOUTZUVBVBZVFZVLZAUVSUWOUV
      MUUIUXDUUSUVBVBZVFZVLUXHUOUQOOOHFWKBWLZWMWOUDHFUXKFQMWNVAUCWPWQWRZUXLUWMU
      VDUXJUVMUWMUVCUXIUUIUWMUUOUXDUUSUVBUUNOUUMWSWTXAXBUWNUXJUXGUVMUWNUXIUXFUU
      IUWNUUSUXEUXDUVBUUROUUQWSXCXAXBXDAUVMUXGUVRAUVMVLZUXGUUIUUMUUQXFZOOGXGVAZ
      VEVAZVBZUTZVFZUVRUXMUXFUXRUUIUXMUWDUUMFVCZOQMXEVAVAZVCZUUQFVCZUYBUXFUXRVF
      AUWDUVMUKXHZUXMUWDUWHUVJUXTUYDAUWHUVMULXHAUVJUVLXIBFUUMJLMNVHQRTUAUBUCUIX
      JVQZUXMUWDUYBUYDBFHUYAJMOQTUBUCUYAVKZUDXKXLZUXMUWDUWJUVLUYCUYDAUWJUVMUMXH
      AUVJUVLXMBFUUQJLMNVHQSTUAUBUCUIXJVQZUYGUXOUVBUXPOOFGUYAUUMUUQJMQUBUCUYFUF
      UXOVKZUWKUXPVKZXNXOXAUXSIUXNVFZEUXQVFZVLUXMUVRIEUXNUXQUUMUUQUNXPUPXPXQOOU
      XPXRXSUXMUYKUVPUYLUVQUXMUVPUYKUXMUVOUXNIUXMUWDUXTUYCUVOUXNVFUYDUYEUYHUVNF
      PUUMUUQJMVHQUBUCUEUVNVKZXTYAXAYBUXMUXQOEUXMUXQOOURUSUYAUYAHFHVDZURVDVAUYN
      USVDVAXFWMYCZVBZOUXMUXPUYOOOUXMUWDUXPUYOVFUYDUSUYOUXPFGHUYAUXOJMVHQURUBUC
      UYFUFUYIUYOVKZUYJYDXLYEUXMUWDUYBUYPOVFUYDUYGUSBUYOOFHUYAJMOQURTUBUCUYFUDU
      YQYHVOYFXAWAYGYIYSYGYIYJYGYJUWAUVMUVPVLZUPVGUNVGZUVQVLZAUWCUWAUYRUVQVLZUP
      VGUNVGUYTUVSVUAUNUPVUAUVSUVMUVPUVQWGYKYLUYRUVQUNUPYMWDAUWCUYTAUWBUYSUVQAU
      WBUVPUPUVKYNUNUVIYNZUYSAUVIPYOVAZVCUVKVUCVCUWBVUBVMAPVIVAZVUCUVIAUWDPYPVC
      PYQVCVUDVUCUUAUKPJMQUBUEUUBPUUCVUDPVUDVKZUUDUUEZAUWDUWHUVIVUDVCUKULBVUDPJ
      LMNQRTUAUBUEUIVUEYRVOYTAVUDVUCUVKVUFAUWDUWJUVKVUDVCUKUMBVUDPJLMNQSTUAUBUE
      UIVUEYRVOYTUNUPUVNDUVIUVKPIUYMUGUUFVOUVPUNUPUVIUVKUUGWEWFYBYGUUH $.
  $}

  $c DIsoC $.

  $( Extend class notation with isomorphism C. $)
  cdic $a class DIsoC $.

  ${
    $d k w q r f s g $.
    $( Isomorphism C has domain of lattice atoms that are not less than or
       equal to the fiducial co-atom ` w ` .  The value is a one-dimensional
       subspace generated by the pair consisting of the ` iota_ ` vector below
       and the endomorphism ring unit.  Definition of phi(q) in [Crawley]
       p. 121.  Note that we use the fixed atom ` ( ( oc ` k ) ` w ) ` to
       represent the p in their "Choose an atom p..." on line 21.  (Contributed
       by NM, 15-Dec-2013.) $)
    df-dic $a |- DIsoC = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
        ( q e. { r e. ( Atoms ` k ) | -. r ( le ` k ) w } |->
    { <. f , s >. | ( f = ( s ` ( iota_ g e. ( ( LTrn ` k ) ` w )
           ( g ` ( ( oc ` k ) ` w ) ) = q ) )
        /\ s e. ( ( TEndo ` k ) ` w ) ) } ) ) ) $.
  $}

  ${
    $d k .<_ $.  $d k r A $.  $d k w H $.  $d f g k q r s w K $.
    dicval.l $e |- .<_ = ( le ` K ) $.
    dicval.a $e |- A = ( Atoms ` K ) $.
    dicval.h $e |- H = ( LHyp ` K ) $.
    $( The partial isomorphism C for a lattice ` K ` .  (Contributed by NM,
       15-Dec-2013.) $)
    dicffval $p |- ( K e. V -> ( DIsoC ` K ) = ( w e. H |->
        ( q e. { r e. A | -. r .<_ w } |->
    { <. f , s >. | ( f = ( s ` ( iota_ g e. ( ( LTrn ` K ) ` w )
  ( g ` ( ( oc ` K ) ` w ) ) = q ) ) /\ s e. ( ( TEndo ` K ) ` w ) ) } ) ) ) $=
      ( wcel cfv cv wceq cmpt fveq2 vk cvv cdic wbr wn crab coc cltrn ctendo wa
      crio copab elex clh cple catm eqtr4di notbid rabeqbidv fveq1d riotaeqbidv
      breqd fveqeq2d fveq2d eqeq2d eleq2d anbi12d opabbidv mpteq12dv df-dic syl
      mptfvmpt ) FHOFUBOFUCPAEKJQZAQZGUDZUEZJBUFZCQZVNFUGPZPZDQZPKQZRZDVNFUHPZP
      ZUKZIQZPZRZWGVNFUIPZPZOZUJZCIULZSZSRFHUMAUAWOUNUCAUAQZUNPZKVMVNWPUOPZUDZU
      EZJWPUPPZUFZVRVNWPUGPZPZWAPWBRZDVNWPUHPZPZUKZWGPZRZWGVNWPUIPZPZOZUJZCIULZ
      SZSEUBFFWPFRZAWQXPEWOXQWQFUNPEWPFUNTNUQXQKXBXOVQWNXQWTVPJXABXQXAFUPPBWPFU
      PTMUQXQWSVOXQWRGVMVNXQWRFUOPGWPFUOTLUQVBURUSXQXNWMCIXQXJWIXMWLXQXIWHVRXQX
      HWFWGXQXEWCDXGWEXQVNXFWDWPFUHTUTXQXDVTWBWAXQVNXCVSWPFUGTUTVCVAVDVEXQXLWKW
      GXQVNXKWJWPFUITUTVFVGVHVIVIACDUAIJKVJNVLVK $.

    $d q w .<_ $.  $d q w A $.  $d w E $.  $d w P $.  $d g w T $.
    $d f g q r s w W $.
    dicval.p $e |- P = ( ( oc ` K ) ` W ) $.
    dicval.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dicval.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dicval.i $e |- I = ( ( DIsoC ` K ) ` W ) $.
    $( The partial isomorphism C for a lattice ` K ` .  (Contributed by NM,
       15-Dec-2013.) $)
    dicfval $p |- ( ( K e. V /\ W e. H ) -> I =
        ( q e. { r e. A | -. r .<_ W } |-> { <. f , s >. | (
          f = ( s ` ( iota_ g e. T ( g ` P ) = q ) ) /\ s e. E ) } ) ) $=
      ( vw wcel cv wbr wn crab coc cfv wceq cltrn crio ctendo wa copab dicffval
      cmpt cdic fveq1d syl5eq breq2 notbid rabbidv eqtr4di fveqeq2d riotaeqbidv
      fveq2 fveq2d eqeq2d eleq2d anbi12d opabbidv mpteq12dv eqid fvexi mptrabex
      catm fvmpt sylan9eq ) IKUDZLGUDHLUCGONUEZUCUEZJUFZUGZNAUHZDUEZWCIUIUJZUJZ
      EUEZUJOUEZUKZEWCIULUJZUJZUMZMUEZUJZUKZWPWCIUNUJZUJZUDZUOZDMUPZURZURZUJZOW
      BLJUFZUGZNAUHZWGBWJUJWKUKZECUMZWPUJZUKZWPFUDZUOZDMUPZURZWAHLIUSUJZUJXFUBW
      ALXRXEUCADEGIJKMNOPQRUQUTVAUCLXDXQGXEWCLUKZOWFXCXIXPXSWEXHNAXSWDXGWCLWBJV
      BVCVDXSXBXODMXSWRXMXAXNXSWQXLWGXSWOXKWPXSWLXJEWNCXSWNLWMUJCWCLWMVHTVEXSWI
      BWKWJXSWILWHUJBWCLWHVHSVEVFVGVIVJXSWTFWPXSWTLWSUJFWCLWSVHUAVEVKVLVMVNXEVO
      XHONAXPAIVRQVPVQVSVT $.

    $d r .<_ $.  $d f q s E $.  $d f q P $.  $d f g q r s Q $.  $d f q T $.
    $( The partial isomorphism C for a lattice ` K ` .  (Contributed by NM,
       15-Dec-2013.)  (Revised by Mario Carneiro, 22-Sep-2015.) $)
    dicval $p |- ( ( ( K e. V /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W ) )
          -> ( I ` Q ) = { <. f , s >. | (
              f = ( s ` ( iota_ g e. T ( g ` P ) = Q ) ) /\ s e. E ) } ) $=
      ( vq vr wcel wa wbr wn cv crab wceq crio copab cmpt dicfval adantr fveq1d
      simpr breq1 notbid elrab sylibr eqeq2 riotabidv fveq2d eqeq2d anbi1d eqid
      cfv opabbidv cuni crn cpw cxp ctendo fvexi uniex rnex pwex xpex simpl wss
      fvssunirn elssuni adantl rnss uniss 3syl elpw2 eqeltrd jca ssopab2i df-xp
      sstrid sseqtrri ssexi fvmpt syl eqtrd ) JLUDMHUDUEZCAUDCMKUFZUGZUEZUEZCIV
      HCUBUCUHZMKUFZUGZUCAUIZEUHZBFUHVHZUBUHZUJZFDUKZNUHZVHZUJZXMGUDZUEZENULZUM
      ZVHZXHXICUJZFDUKZXMVHZUJZXPUEZENULZXCCIXSWSIXSUJXBABDEFGHIJKLMNUCUBOPQRST
      UAUNUOUPXCCXGUDZXTYFUJXCXBYGWSXBUQXFXAUCCAXDCUJXEWTXDCMKURUSUTVAUBCXRYFXG
      XSXJCUJZXQYEENYHXOYDXPYHXNYCXHYHXLYBXMYHXKYAFDXJCXIVBVCVDVEVFVIXSVGYFGVJZ
      VKZVJZVLZGVMZYLGYKYJYIGGMJVNVHTVOZVPVQVPZVRYNVSYFXHYLUDZXPUEZENULYMYEYQEN
      YEYPXPYEXHYCYLYDXPVTYEYCYKWAYCYLUDYEYCXMVKZVJZYKXMYBWBYEXMYIWAZYRYJWAYSYK
      WAXPYTYDXMGWCWDXMYIWEYRYJWFWGWMYCYKYOWHVAWIYDXPUQWJWKENYLGWLWNWOWPWQWR $.

    ${
      $d f s F $.  $d s P $.  $d f s S $.  $d s T $.
      dicelval.f $e |- F e. _V $.
      dicelval.s $e |- S e. _V $.
      $( Membership in value of the partial isomorphism C for a lattice ` K ` .
         (Contributed by NM, 15-Feb-2014.) $)
      dicopelval $p |- ( ( ( K e. V /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W ) )
            -> ( <. F , S >. e. ( I ` Q )
            <-> ( F = ( S ` ( iota_ g e. T ( g ` P ) = Q ) ) /\ S e. E ) ) ) $=
        ( vf vs wcel wa wbr wn cop cfv cv wceq copab dicval eleq2d eqeq1 anbi1d
        crio fveq1 eqeq2d eleq1 anbi12d opelopab bitrdi ) KMUFNIUFUGCAUFCNLUHUI
        UGUGZHDUJZCJUKZUFVGUDULZBFULUKCUMFEUSZUEULZUKZUMZVKGUFZUGZUDUEUNZUFHVJD
        UKZUMZDGUFZUGZVFVHVPVGABCEUDFGIJKLMNUEOPQRSTUAUOUPVOHVLUMZVNUGVTUDUEHDU
        BUCVIHUMVMWAVNVIHVLUQURVKDUMZWAVRVNVSWBVLVQHVJVKDUTVAVKDGVBVCVDVE $.
    $}

    ${
      $d s P $.  $d s T $.  $d f s Y $.
      $( Membership in value of the partial isomorphism C for a lattice ` K ` .
         (Contributed by NM, 25-Feb-2014.)  (New usage is discouraged.) $)
      dicelvalN $p |- ( ( ( K e. V /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W ) )
            -> ( Y e. ( I ` Q ) <-> ( Y e. ( _V X. _V )
           /\ ( ( 1st ` Y ) = ( ( 2nd ` Y ) ` ( iota_ g e. T ( g ` P ) = Q ) )
                /\ ( 2nd ` Y ) e. E ) ) ) ) $=
        ( vf vs wcel wa wbr wn cfv cv wceq crio cvv cxp c1st c2nd dicval eleq2d
        copab cop op1std op2ndd fveq1d eqeq12d eleq1d anbi12d elopaba bitrdi
        vex ) IKUCLGUCUDCAUCCLJUEUFUDUDZMCHUGZUCMUAUHZBEUHUGCUIEDUJZUBUHZUGZUIZ
        VLFUCZUDZUAUBUQZUCMUKUKULUCMUMUGZVKMUNUGZUGZUIZVSFUCZUDZUDVHVIVQMABCDUA
        EFGHIJKLUBNOPQRSTUOUPWCVPUAUBMMVJVLURUIZWAVNWBVOWDVRVJVTVMVJVLMUAVGZUBV
        GZUSWDVKVSVLVJVLMWEWFUTZVAVBWDVSVLFWGVCVDVEVF $.
    $}

    dicval2.g $e |- G = ( iota_ g e. T ( g ` P ) = Q ) $.
    $( The partial isomorphism C for a lattice ` K ` .  (Contributed by NM,
       20-Feb-2014.) $)
    dicval2 $p |- ( ( ( K e. V /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W ) )
          -> ( I ` Q ) = { <. f , s >. | (
              f = ( s ` G ) /\ s e. E ) } ) $=
      ( wcel wa wbr wn cfv wceq crio copab dicval fveq2i eqeq2i opabbii eqtr4di
      cv anbi1i ) KMUDNIUDUECAUDCNLUFUGUEUECJUHEUQZBFUQUHCUIFDUJZOUQZUHZUIZVAGU
      DZUEZEOUKUSHVAUHZUIZVDUEZEOUKABCDEFGIJKLMNOPQRSTUAUBULVHVEEOVGVCVDVFVBUSH
      UTVAUCUMUNURUOUP $.

    $d f G $.  $d f s Y $.
    $( Member of the partial isomorphism C. (Contributed by NM,
       26-Feb-2014.) $)
    dicelval3 $p |- ( ( ( K e. V /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W ) )
    -> ( Y e. ( I ` Q ) <-> E. s e. E Y = <. ( s ` G ) , s >. ) ) $=
      ( vf wcel wa wbr wn cfv wceq copab cop wrex dicval2 eleq2d wex excom an12
      exbii fvex opeq1 eqeq2d anbi1d ceqsexv ancom 3bitri elopab df-rex 3bitr4i
      cv bitri bitrdi ) JLUEMHUEUFCAUECMKUGUHUFUFZNCIUIZUENUDVJZGOVJZUIZUJZVPFU
      EZUFZUDOUKZUEZNVQVPULZUJZOFUMZVMVNWANABCDUDEFGHIJKLMOPQRSTUAUBUCUNUONVOVP
      ULZUJZVTUFZOUPUDUPZVSWDUFZOUPZWBWEWIWHUDUPZOUPWKWHUDOUQWLWJOWLVRWGVSUFZUF
      ZUDUPWDVSUFZWJWHWNUDWGVRVSURUSWMWOUDVQGVPUTVRWGWDVSVRWFWCNVOVQVPVAVBVCVDW
      DVSVEVFUSVKVTUDONVGWDOFVHVIVL $.

    ${
      dicelval2.f $e |- F e. _V $.
      dicelval2.s $e |- S e. _V $.
      $( Membership in value of the partial isomorphism C for a lattice ` K ` .
         (Contributed by NM, 20-Feb-2014.) $)
      dicopelval2 $p |- ( ( ( K e. V /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W ) )
            -> ( <. F , S >. e. ( I ` Q )
            <-> ( F = ( S ` G ) /\ S e. E ) ) ) $=
        ( wcel wa wbr cop cfv wceq crio dicopelval fveq2i eqeq2i anbi1i bitr4di
        wn cv ) LNUFOJUFUGCAUFCOMUHURUGUGHDUICKUJUFHBFUSUJCUKFEULZDUJZUKZDGUFZU
        GHIDUJZUKZVCUGABCDEFGHJKLMNOPQRSTUAUBUDUEUMVEVBVCVDVAHIUTDUCUNUOUPUQ $.
    $}

    $( Membership in value of the partial isomorphism C for a lattice ` K ` .
       (Contributed by NM, 25-Feb-2014.)  (New usage is discouraged.) $)
    dicelval2N $p |- ( ( ( K e. V /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W ) )
    -> ( Y e. ( I ` Q ) <-> ( Y e. ( _V X. _V )
        /\ ( ( 1st ` Y ) = ( ( 2nd ` Y ) ` G ) /\ ( 2nd ` Y ) e. E ) ) ) ) $=
      ( wcel wa wbr wn cfv cvv c1st cv wceq crio dicelvalN fveq2i eqeq2i anbi1i
      cxp c2nd anbi2i bitr4di ) JLUCMHUCUDCAUCCMKUEUFUDUDNCIUGUCNUHUHUQUCZNUIUG
      ZBEUJUGCUKEDULZNURUGZUGZUKZVDFUCZUDZUDVAVBGVDUGZUKZVGUDZUDABCDEFHIJKLMNOP
      QRSTUAUMVKVHVAVJVFVGVIVEVBGVCVDUBUNUOUPUSUT $.
  $}

  ${
    $d p q .<_ $.  $d p q A $.  $d q H $.  $d f p q s u K $.  $d f p q s u W $.
    $d q V $.
    dicfn.l $e |- .<_ = ( le ` K ) $.
    dicfn.a $e |- A = ( Atoms ` K ) $.
    dicfn.h $e |- H = ( LHyp ` K ) $.
    dicfn.i $e |- I = ( ( DIsoC ` K ) ` W ) $.
    $( Functionality and domain of the partial isomorphism C. (Contributed by
       NM, 8-Mar-2014.)  (New usage is discouraged.) $)
    dicfnN $p |- ( ( K e. V /\ W e. H ) -> I Fn { p e. A | -. p .<_ W } ) $=
      ( vq vf vu vs wcel wa cv cfv wbr wn crab wfn wceq cltrn crio ctendo copab
      coc cmpt cvv wral breq1 notbid elrab eqid dicval fvex eqeltrrdi ralrimiva
      sylan2b fnmpt syl dicfval fneq1d mpbird ) DFQGBQRZCHSZGEUAZUBZHAUCZUDMVLN
      SGDUJTTZOSTMSZUEOGDUFTTZUGPSZTUEVPGDUHTTZQRNPUIZUKZVLUDZVHVRULQZMVLUMVTVH
      WAMVLVNVLQVHVNAQVNGEUAZUBZRZWAVKWCHVNAVIVNUEVJWBVIVNGEUNUOUPVHWDRVRVNCTUL
      AVMVNVONOVQBCDEFGPIJKVMUQZVOUQZVQUQZLURVNCUSUTVBVAMVLVRVSULVSUQVCVDVHVLCV
      SAVMVONOVQBCDEFGPHMIJKWEWFWGLVEVFVG $.

    $( Domain of the partial isomorphism C. (Contributed by NM, 8-Mar-2014.)
       (New usage is discouraged.) $)
    dicdmN $p |- ( ( K e. V /\ W e. H )
  -> dom I = { p e. A | -. p .<_ W } ) $=
      ( wcel wa cv wbr wn crab dicfnN fndmd ) DFMGBMNHOGEPQHARCABCDEFGHIJKLST
      $.
  $}

  ${
    $d f g p s K $.  $d f g p s W $.  $d f g p s X $.
    dicvalrel.h $e |- H = ( LHyp ` K ) $.
    dicvalrel.i $e |- I = ( ( DIsoC ` K ) ` W ) $.
    $( The value of partial isomorphism C is a relation.  (Contributed by NM,
       8-Mar-2014.)  (New usage is discouraged.) $)
    dicvalrelN $p |- ( ( K e. V /\ W e. H ) -> Rel ( I ` X ) ) $=
      ( vf vg vs vp wcel wa cfv wrel cv wceq wn eqid cdm coc cltrn ctendo copab
      crio relopabv catm cple wbr crab dicdmN eleq2d breq1 notbid bitrdi biimpa
      elrab dicval syldan releqd mpbiri ex c0 rel0 ndmfv pm2.61d1 ) CDMEAMNZFBU
      AZMZFBOZPZVHVJVLVHVJNZVLIQECUBOOZJQOFRJECUCOOZUFKQZORVPECUDOOZMNZIKUEZPVR
      IKUGVMVKVSVHVJFCUHOZMFECUIOZUJZSZNZVKVSRVHVJWDVHVJFLQZEWAUJZSZLVTUKZMWDVH
      VIWHFVTABCWADELWATZVTTZGHULUMWGWCLFVTWEFRWFWBWEFEWAUNUOURUPUQVTVNFVOIJVQA
      BCWADEKWIWJGVNTVOTVQTHUSUTVAVBVCVJSZVLVDPVEWKVKVDFBVFVAVBVG $.
  $}

  ${
    $d f g s .<_ $.  $d f g s A $.  $d f g s H $.  $d f g s K $.  $d f g s W $.
    $d f g s Q $.
    dicssdvh.l $e |- .<_ = ( le ` K ) $.
    dicssdvh.a $e |- A = ( Atoms ` K ) $.
    dicssdvh.h $e |- H = ( LHyp ` K ) $.
    dicssdvh.i $e |- I = ( ( DIsoC ` K ) ` W ) $.
    dicssdvh.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dicssdvh.v $e |- V = ( Base ` U ) $.
    $( The partial isomorphism C maps to a set of vectors in full vector space
       H. (Contributed by NM, 19-Jan-2014.) $)
    dicssdvh $p |- ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W ) )
          -> ( I ` Q ) C_ V ) $=
      ( vf vs wcel wa cfv vg chlt wbr wn cv wceq cltrn crio ctendo copab simprl
      coc cxp simpll simprr lhpocnel ad2antrr simplr ltrniotacl syl3anc tendocl
      eqeltrd jca31 ex ssopab2dv opabssxp sstrdi dicval dvhvbase adantr 3sstr4d
      eqid ) FUBRIDRSZBARBIGUCUDSZSZPUEZIFULTZTZUAUETBUFUAIFUGTTZUHZQUEZTZUFZWA
      IFUITTZRZSZPQUJZVSWDUMZBETHVOWGVPVSRZWESWESZPQUJWHVOWFWJPQVOWFWJVOWFSZWIW
      EWEWKVPWBVSVOWCWEUKWKVMWEVTVSRZWBVSRVMVNWFUNZVOWCWEUOZWKVMVRARVRIGUCUDSZV
      NWLWMVMWOVNWFADFGVQIJVQVLKLUPUQVMVNWFURAVRBVSUAVTDFGIJKLVSVLZVTVLUSUTWAVS
      WDVTDFUBILWPWDVLZVAUTVBWNWNVCVDVEWEPQVSWDVFVGAVRBVSPUAWDDEFGUBIQJKLVRVLWP
      WQMVHVMHWHUFVNVSCWDDFHIUBLWPWQNOVIVJVK $.
  $}

  ${
    $d f g s K $.  $d f s P $.  $d f g s Q $.  $d f g s T $.  $d f g s W $.
    $d f s Y $.
    dicelval1sta.l $e |- .<_ = ( le ` K ) $.
    dicelval1sta.a $e |- A = ( Atoms ` K ) $.
    dicelval1sta.h $e |- H = ( LHyp ` K ) $.
    dicelval1sta.p $e |- P = ( ( oc ` K ) ` W ) $.
    dicelval1sta.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dicelval1sta.i $e |- I = ( ( DIsoC ` K ) ` W ) $.
    $( Membership in value of the partial isomorphism C for a lattice ` K ` .
       (Contributed by NM, 16-Feb-2014.) $)
    dicelval1sta $p |- ( ( ( K e. V /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W )
          /\ Y e. ( I ` Q ) )
       -> ( 1st ` Y ) = ( ( 2nd ` Y ) ` ( iota_ g e. T ( g ` P ) = Q ) ) ) $=
      ( wcel cfv vf vs wa wbr wn w3a c1st cv wceq crio c2nd ctendo copab dicval
      eleq2d biimp3a eqeq1 anbi1d fveq1 eqeq2d eleq1 anbi12d elopabi syl simpld
      eqid ) HJSKFSUCZCASCKIUDUEUCZLCGTZSZUFZLUGTZBEUHTCUIEDUJZLUKTZTZUIZVNKHUL
      TTZSZVKLUAUHZVMUBUHZTZUIZVTVQSZUCZUAUBUMZSZVPVRUCZVGVHVJWFVGVHUCVIWELABCD
      UAEVQFGHIJKUBMNOPQVQVFRUNUOUPWDVLWAUIZWCUCWGUAUBLVSVLUIWBWHWCVSVLWAUQURVT
      VNUIZWHVPWCVRWIWAVOVLVMVTVNUSUTVTVNVQVAVBVCVDVE $.
  $}

  ${
    dicelval1st.l $e |- .<_ = ( le ` K ) $.
    dicelval1st.a $e |- A = ( Atoms ` K ) $.
    dicelval1st.h $e |- H = ( LHyp ` K ) $.
    dicelval1st.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dicelval1st.i $e |- I = ( ( DIsoC ` K ) ` W ) $.
    $( Membership in value of the partial isomorphism C for a lattice ` K ` .
       (Contributed by NM, 16-Feb-2014.)  (New usage is discouraged.) $)
    dicelval1stN $p |- ( ( ( K e. HL /\ W e. H )
      /\ ( Q e. A /\ -. Q .<_ W ) /\ Y e. ( I ` Q ) ) -> ( 1st ` Y ) e. T ) $=
      ( chlt wcel wa wbr cfv eqid wn w3a ctendo cxp c1st cdvh cbs dicssdvh wceq
      dvhvbase adantr sseqtrd sseld 3impia xp1st syl ) FOPHDPQZBAPBHGRUAQZIBESZ
      PZUBICHFUCSSZUDZPZIUESCPUQURUTVCUQURQZUSVBIVDUSHFUFSSZUGSZVBABVEDEFGVFHJK
      LNVETZVFTZUHUQVFVBUIURCVEVADFVFHOLMVATVGVHUJUKULUMUNICVAUOUP $.
  $}

  ${
    dicelval2nd.l $e |- .<_ = ( le ` K ) $.
    dicelval2nd.a $e |- A = ( Atoms ` K ) $.
    dicelval2nd.h $e |- H = ( LHyp ` K ) $.
    dicelval2nd.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dicelval2nd.i $e |- I = ( ( DIsoC ` K ) ` W ) $.
    $( Membership in value of the partial isomorphism C for a lattice ` K ` .
       (Contributed by NM, 16-Feb-2014.) $)
    dicelval2nd $p |- ( ( ( K e. HL /\ W e. H )
     /\ ( Q e. A /\ -. Q .<_ W ) /\ Y e. ( I ` Q ) ) -> ( 2nd ` Y ) e. E ) $=
      ( chlt wcel wa wbr cfv eqid w3a cltrn cxp c2nd cdvh cbs dicssdvh dvhvbase
      wn wceq adantr sseqtrd sseld 3impia xp2nd syl ) FOPHDPQZBAPBHGRUIQZIBESZP
      ZUAIHFUBSSZCUCZPZIUDSCPUQURUTVCUQURQZUSVBIVDUSHFUESSZUFSZVBABVEDEFGVFHJKL
      NVETZVFTZUGUQVFVBUJURVAVECDFVFHOLVATMVGVHUHUKULUMUNIVACUOUP $.
  $}

  ${
    $d g .<_ $.  $d g A $.  $d g h H $.  $d g h s t K $.  $d g h s t W $.
    $d g Q $.
    dicvaddcl.l $e |- .<_ = ( le ` K ) $.
    dicvaddcl.a $e |- A = ( Atoms ` K ) $.
    dicvaddcl.h $e |- H = ( LHyp ` K ) $.
    dicvaddcl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dicvaddcl.i $e |- I = ( ( DIsoC ` K ) ` W ) $.
    dicvaddcl.p $e |- .+ = ( +g ` U ) $.
    $( Membership in value of the partial isomorphism C is closed under vector
       sum.  (Contributed by NM, 16-Feb-2014.) $)
    dicvaddcl $p |- ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W )
        /\ ( X e. ( I ` Q ) /\ Y e. ( I ` Q ) ) )
      -> ( X .+ Y ) e. ( I ` Q ) ) $=
      ( wcel cfv eqid vg vs vt vh chlt wa wbr wn w3a c1st ccom c2nd csca cplusg
      cop cltrn ctendo cxp wceq simp1 wss cbs dicssdvh dvhvbase eqcomd sseqtrrd
      co adantr 3adant3 simp3l sseldd simp3r dvhvadd syl12anc cv crio cmpt cmpo
      coc dicelval2nd 3adant3r 3adant3l lhpocnel 3ad2ant1 ltrniotacl tendospdi2
      simp2 syl3anc dvhfplusr fveq1d dicelval1sta coeq12d 3eqtr4rd tendoplcl wb
      oveqd eqeltrd fvex coex ovex dicopelval mpbir2and ) GUERIERUFZCARCIHUGUHU
      FZJCFSZRZKXERZUFZUIZJKBVGZJUJSZKUJSZUKZJULSZKULSZDUMSZUNSZVGZUOZXEXIXCJIG
      UPSSZIGUQSSZURZRKYBRXJXSUSXCXDXHUTZXIXEYBJXCXDXEYBVAXHXCXDUFXEDVBSZYBACDE
      FGHYDILMNPOYDTZVCXCYBYDUSXDXCYDYBXTDYAEGYDIUENXTTZYATZOYEVDVEVHVFVIZXCXDX
      FXGVJVKXIXEYBKYHXCXDXFXGVLVKXPBXQXTDYAJKEGINYFYGOXPTZQXQTZVMVNXIXSXERZXMI
      GVSSZSZUAVOSCUSUAXTVPZXRSZUSZXRYARZXIYNXNXOUBUCYAYAUDXTUDVOZUBVOSYRUCVOSU
      KVQVRZVGZSZYNXNSZYNXOSZUKZYOXMXIXNYARZXOYARZYNXTRZUUAUUDUSXCXDXFUUEXGACYA
      EFGHIJLMNYGPVTWAZXCXDXGUUFXFACYAEFGHIKLMNYGPVTWBZXIXCYMARYMIHUGUHUFZXDUUG
      YCXCXDUUJXHAEGHYLILYLTMNWCWDXCXDXHWGAYMCXTUAYNEGHILMNYFYNTWEWHUCYSXTXNUDY
      AYNGXOIUBYFYSTZWFWHXIYNXRYTXIXQYSXNXOXCXDXQYSUSXHUCYSXQXTDUDYAXPEGUEIUBNY
      FYGOYIUUKYJWIWDWPZWJXIXKUUBXLUUCXCXDXFXKUUBUSXGAYMCXTUAEFGHUEIJLMNYMTZYFP
      WKWAXCXDXGXLUUCUSXFAYMCXTUAEFGHUEIKLMNUUMYFPWKWBWLWMXIXRYTYAUULXIXCUUEUUF
      YTYARYCUUHUUIUCYSXTXNUDYAEGXOIUBNYFYGUUKWNWHWQXCXDYKYPYQUFWOXHAYMCXRXTUAY
      AXMEFGHUEILMNUUMYFYGPXKXLJUJWRKUJWRWSXNXOXQWTXAVIXBWQ $.
  $}

  ${
    $d g .<_ $.  $d g A $.  $d g H $.  $d g K $.  $d g Q $.  $d g W $.
    dicvscacl.l $e |- .<_ = ( le ` K ) $.
    dicvscacl.a $e |- A = ( Atoms ` K ) $.
    dicvscacl.h $e |- H = ( LHyp ` K ) $.
    dicvscacl.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dicvscacl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dicvscacl.i $e |- I = ( ( DIsoC ` K ) ` W ) $.
    dicvscacl.s $e |- .x. = ( .s ` U ) $.
    $( Membership in value of the partial isomorphism C is closed under scalar
       product.  (Contributed by NM, 16-Feb-2014.)  (Revised by Mario Carneiro,
       24-Jun-2014.) $)
    dicvscacl $p |- ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W )
        /\ ( X e. E /\ Y e. ( I ` Q ) ) )
      -> ( X .x. Y ) e. ( I ` Q ) ) $=
      ( cfv vg chlt wcel wa wbr wn w3a co c1st cid c2nd ccom cop cltrn cxp wceq
      simp1 simp3l wss cbs eqid dicssdvh dvhvbase eqcomd adantr sseqtrrd simp3r
      3adant3 sseldd dvhvsca syl12anc fvi syl coeq1d opeq2d eqtr4d dicelval1sta
      coc cv crio 3adant3l fveq2d wf dicelval2nd tendof lhpocnel 3ad2ant1 simp2
      syl2anc ltrniotacl syl3anc fvco3 fveq1d tendococl eqeltrd fvex dicopelval
      wb coex mpbir2and ) HUBUCJFUCUDZBAUCBJIUEUFUDZKEUCZLBGTZUCZUDZUGZKLCUHZLU
      ITZKTZKUJTZLUKTZULZUMZXDXGXHXJKXLULZUMZXNXGXAXCLJHUNTTZEUOZUCXHXPUPXAXBXF
      UQZXAXBXCXEURZXGXDXRLXAXBXDXRUSXFXAXBUDXDDUTTZXRABDFGHIYAJMNORQYAVAZVBXAX
      RYAUPXBXAYAXRXQDEFHYAJUBOXQVAZPQYBVCVDVEVFVHXAXBXCXEVGVIKXQCDELFHUBJOYCPQ
      SVJVKXGXMXOXJXGXKKXLXGXCXKKUPXTKEVLVMVNZVOVPXGXNXDUCZXJJHVRTZTZUAVSTBUPUA
      XQVTZXMTZUPZXMEUCZXGXJYHXOTZYIXGXJYHXLTZKTZYLXGXIYMKXAXBXEXIYMUPXCAYGBXQU
      AFGHIUBJLMNOYGVAZYCRVQWAWBXGXQXQXLWCZYHXQUCZYLYNUPXGXAXLEUCZYPXSXAXBXEYRX
      CABEFGHIJLMNOPRWDWAZXLXQEFHUBJOYCPWEWIXGXAYGAUCYGJIUEUFUDZXBYQXSXAXBYTXFA
      FHIYFJMYFVANOWFWGXAXBXFWHAYGBXQUAYHFHIJMNOYCYHVAWJWKXQXQYHKXLWLWIVPXGYHXM
      XOYDWMVPXGXMXOEYDXGXAXCYRXOEUCXSXTYSKXLEFHJOPWNWKWOXAXBYEYJYKUDWRXFAYGBXM
      XQUAEXJFGHIUBJMNOYOYCPRXIKWPXKXLKUJWPLUKWPWSWQVHWTWO $.
  $}

  ${
    $d g .<_ $.  $d g A $.  $d g H $.  $d f g K $.  $d g Q $.  $d f g W $.
    dicn0.l $e |- .<_ = ( le ` K ) $.
    dicn0.a $e |- A = ( Atoms ` K ) $.
    dicn0.h $e |- H = ( LHyp ` K ) $.
    dicn0.i $e |- I = ( ( DIsoC ` K ) ` W ) $.
    $( The value of the partial isomorphism C is not empty.  (Contributed by
       NM, 15-Feb-2014.) $)
    dicn0 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W ) )
            -> ( I ` Q ) =/= (/) ) $=
      ( vf vg chlt wcel wa cfv wceq eqid cvv wbr wn cid cbs cres cltrn cmpt cop
      coc cv crio ctendo simpl lhpocnel adantr simpr ltrniotacl syl3anc tendo02
      syl eqcomd tendo0cl fvex resiexg ax-mp mptex dicopelval mpbir2and ne0d )
      ENOGCOPZBAOBGFUAUBPZPZBDQZUCEUDQZUEZLGEUFQZQZVOUGZUHZVLVSVMOVOGEUIQZQZMUJ
      QBRMVQUKZVRQZRVRGEULQQZOZVLWCVOVLWBVQOZWCVORVLVJWAAOWAGFUAUBPZVKWFVJVKUMV
      JWGVKACEFVTGHVTSIJUNUOVJVKUPAWABVQMWBCEFGHIJVQSZWBSUQURVNVQLWBEVRVRSZVNSZ
      USUTVAVJWEVKVNVQLWDCEVRGWJJWHWDSZWIVBUOAWABVRVQMWDVOCDEFNGHIJWASWHWKKVNTO
      VOTOEUDVCVNTVDVELVQVOGVPVCVFVGVHVI $.
  $}

  ${
    $d a b x .<_ $.  $d a b x A $.  $d a b x H $.  $d a b x I $.  $d a b x K $.
    $d a b x Q $.  $d a b x U $.  $d a b x W $.
    diclss.l $e |- .<_ = ( le ` K ) $.
    diclss.a $e |- A = ( Atoms ` K ) $.
    diclss.h $e |- H = ( LHyp ` K ) $.
    diclss.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    diclss.i $e |- I = ( ( DIsoC ` K ) ` W ) $.
    diclss.s $e |- S = ( LSubSp ` U ) $.
    $( The value of partial isomorphism C is a subspace of partial vector space
       H. (Contributed by NM, 16-Feb-2014.) $)
    diclss $p |- ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W ) )
          -> ( I ` Q ) e. S ) $=
      ( chlt wcel wa cfv eqid vx va vb wbr ctendo cplusg cvsca csca cltrn eqidd
      wn cxp cbs wceq dvhbase eqcomd adantr dvhvbase clss a1i dicssdvh sseqtrrd
      dicn0 cv w3a co simpll simplr simpr1 simpr2 dicvscacl syl112anc dicvaddcl
      simpr3 islssd ) GPQIEQRZBAQBIHUDUKRZRZUAIGUESSZDUFSZCDUGSZBFSZDUHSZIGUISS
      ZVSULZDUBUCVRWCUJVPVSWCUMSZUNVQVPWFVSWFDVSWCEGIPLVSTZMWCTWFTUOUPUQVPWEDUM
      SZUNVQVPWHWEWDDVSEGWHIPLWDTWGMWHTZURUPUQZVRVTUJVRWAUJCDUSSUNVROUTVRWBWHWE
      ABDEFGHWHIJKLNMWIVAWJVBABEFGHIJKLNVCVRUAVDZVSQZUBVDZWBQZUCVDZWBQZVEZRZVPV
      QWKWMWAVFZWBQZWPWSWOVTVFWBQVPVQWQVGZVPVQWQVHZWRVPVQWLWNWTXAXBVRWLWNWPVIVR
      WLWNWPVJABWADVSEFGHIWKWMJKLWGMNWATVKVLVRWLWNWPVNAVTBDEFGHIWSWOJKLMNVTTVMV
      LVO $.
  $}

  ${
    $d f g s v x .<_ $.  $d g s v x F $.  $d g s I $.  $d v x N $.  $d f y P $.
    $d f g s v x A $.  $d f g s v x H $.  $d f g s v x y T $.  $d g s v x U $.
    $d f g s v x y z K $.  $d f g s v x y z Q $.  $d f g s v x y z W $.
    diclspsn.l $e |- .<_ = ( le ` K ) $.
    diclspsn.a $e |- A = ( Atoms ` K ) $.
    diclspsn.h $e |- H = ( LHyp ` K ) $.
    diclspsn.p $e |- P = ( ( oc ` K ) ` W ) $.
    diclspsn.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    diclspsn.i $e |- I = ( ( DIsoC ` K ) ` W ) $.
    diclspsn.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    diclspsn.n $e |- N = ( LSpan ` U ) $.
    diclspsn.f $e |- F = ( iota_ f e. T ( f ` P ) = Q ) $.
    $( The value of isomorphism C is spanned by vector ` F ` .  Part of proof
       of Lemma N of [Crawley] p. 121 line 29.  (Contributed by NM,
       21-Feb-2014.)  (Revised by Mario Carneiro, 24-Jun-2014.) $)
    diclspsn $p |- ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W ) )
         -> ( I ` Q ) = ( N ` { <. F , ( _I |` T ) >. } ) ) $=
      ( vv vx vy vz vg vs chlt wcel wa wbr wn cfv cv cid cres cop cvsca co wceq
      csca cbs wrex cab csn ctendo crab df-rab wrel copab relopabv eqid dicval2
      cxp releqd mpbiri wss ssrab2 relxp relss mp2 id dicopelval2 simprl simpll
      a1i vex w3a simprr simpl lhpocnel2 adantr ltrniotacl syl3anc tendocl 3jca
      eqeltrd simpr3 simpr2 jca impbida dvhbase rexeqdv ccom tendoidcl ad2antrr
      simpr dvhopvsca eqeq2d opth bitrdi tendo1mulr adantlr equcom anbi2d bitrd
      syl13anc ancom rexbidva 3anbi3d fveq1 pm5.32i anbi2i 3anass 3bitr4i eqeq1
      ceqsrexv bitr2di rexbidv rabxp eleq2i bitr2i eqrelrdv2 syl21anc wi eleq2d
      opabidw syl2anc syl12anc biimpa opelxpi dvhvscacl eleq1a rexlimdva abbidv
      syl pm4.71rd 3eqtr4a clmod dvhlmod dvhelvbasei lspsn eqtr4d ) JUIUJMHUJUK
      ZCAUJCMKULUMUKZUKZCIUNZUCUOZUDUOZGUPDUQZURZEUSUNZUTZVAZUDEVBUNZVCUNZVDZUC
      VEZUVBVFLUNZUUQUVHUCDMJVGUNUNZVOZVHZUUSUVLUJZUVHUKZUCVEUURUVIUVHUCUVLVIUU
      QUURVJZUVMVJZUUQUURUVMVAUUQUVPUEUOGUFUOZUNVAUVRUVKUJUKZUEUFVKZVJUVSUEUFVL
      UUQUURUVTABCDUEFUVKGHIJKUIMUFNOPQRUVKVMZSUBVNVPVQUVQUUQUVMUVLVRUVLVJUVQUV
      HUCUVLVSDUVKVTUVMUVLWAWBWGUUQWCUUQUGUHUURUVMUUQUGUOZUHUOZURZUURUJUWBGUWCU
      NZVAZUWCUVKUJZUKZUWDUVMUJZABCUWCDFUVKUWBGHIJKUIMNOPQRUWASUBUGWHZUHWHZWDUU
      QUWHUWBDUJZUWGUWDUVDVAZUDUVGVDZWIZUWIUUQUWHUWLUWGUWFWIZUWOUUQUWHUWPUUQUWH
      UKZUWLUWGUWFUWQUWBUWEDUUQUWFUWGWEZUWQUUOUWGGDUJZUWEDUJUUOUUPUWHWFUUQUWFUW
      GWJZUUQUWSUWHUUQUUOBAUJBMKULUMUKZUUPUWSUUOUUPWKZUUOUXAUUPABHJKMNOPQWLWMUU
      OUUPXHABCDFGHJKMNOPRUBWNWOZWMUWCDUVKGHJUIMPRUWAWPWOWRUWTUWRWQUUQUWPUKUWFU
      WGUUQUWLUWGUWFWSUUQUWLUWGUWFWTXAXBUUQUWOUWLUWGUUTUWCVAZUWBGUUTUNZVAZUKZUD
      UVKVDZWIZUWPUUQUWNUXHUWLUWGUUQUWNUWMUDUVKVDUXHUUQUWMUDUVGUVKUUOUVGUVKVAUU
      PUVGEUVKUVFHJMUIPUWATUVFVMZUVGVMZXCWMZXDUUQUWMUXGUDUVKUUQUUTUVKUJZUKZUWMU
      XFUXDUKZUXGUXNUWMUXFUWCUUTUVAXEZVAZUKZUXOUXNUWMUWDUXEUXPURZVAUXRUXNUVDUXS
      UWDUXNUUOUXMUWSUVAUVKUJZUVDUXSVAUUOUUPUXMWFUUQUXMXHUUQUWSUXMUXCWMUUOUXTUU
      PUXMDUVKHJMPRUWAXFZXGUUTDUVCEUVKGHJUIMUVAPRUWATUVCVMZXIXRXJUWBUWCUXEUXPUW
      JUWKXKXLUXNUXQUXDUXFUXNUXQUWCUUTVAUXDUXNUXPUUTUWCUUOUXMUXPUUTVAUUPDUUTUVK
      HJMPRUWAXMXNXJUHUDXOXLXPXQUXFUXDXSXLXTXQYAUWLUWGUXHUKZUKUWLUWGUWFUKZUKUXI
      UWPUYCUYDUWLUWGUXHUWFUXFUWFUDUWCUVKUXDUXEUWEUWBGUUTUWCYBXJYHYCYDUWLUWGUXH
      YEUWLUWGUWFYEYFYIXQUWIUWDUWOUGUHVKZUJUWOUVMUYEUWDUVHUWNUCUGUHDUVKUUSUWDVA
      UVEUWMUDUVGUUSUWDUVDYGYJYKYLUWOUGUHYRYMXLXQYNYOUUQUVHUVOUCUUQUVHUVNUUQUVE
      UVNUDUVGUUQUUTUVGUJZUKZUVDUVLUJZUVEUVNYPUYGUUOUXMUVBUVLUJZUYHUUOUUPUYFWFU
      UQUYFUXMUUQUVGUVKUUTUXLYQUUAUUQUYIUYFUUQUWSUXTUYIUXCUUOUXTUUPUYAWMZGUVADU
      VKUUBYSWMUUTDUVCEUVKUVBHJMPRUWATUYBUUCYTUVDUVLUUSUUDUUGUUEUUHUUFUUIUUQEUU
      JUJUVBEVCUNZUJZUVJUVIVAUUQEHJMPTUXBUUKUUQUUOUWSUXTUYLUXBUXCUYJUVADEUVKGHJ
      UYKMUIPRUWATUYKVMZUULYTUCUVCUDUVFUVGLUYKEUVBUXJUXKUYMUYBUAUUMYSUUN $.
  $}

  ${
    $d h .<_ $.  $d h A $.  $d h H $.  $d h K $.  $d h Q $.  $d h S $.
    $d h T $.  $d h W $.
    cdlemn2.b $e |- B = ( Base ` K ) $.
    cdlemn2.l $e |- .<_ = ( le ` K ) $.
    cdlemn2.j $e |- .\/ = ( join ` K ) $.
    cdlemn2.a $e |- A = ( Atoms ` K ) $.
    cdlemn2.h $e |- H = ( LHyp ` K ) $.
    cdlemn2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemn2.r $e |- R = ( ( trL ` K ) ` W ) $.
    cdlemn2.f $e |- F = ( iota_ h e. T ( h ` Q ) = S ) $.
    $( Part of proof of Lemma N of [Crawley] p. 121 line 30.  (Contributed by
       NM, 21-Feb-2014.) $)
    cdlemn2 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( S e. A /\ -. S .<_ W ) /\ ( X e. B /\ X .<_ W ) )
    /\ S .<_ ( Q .\/ X ) ) -> ( R ` F ) .<_ X ) $=
      ( chlt wcel wa wbr wn w3a co cfv cmee wceq simp1 simp21 simp22 ltrniotacl
      syl3anc eqid trlval2 ltrniotaval oveq2d oveq1d clat simp1l hllatd simp21l
      eqtrd atbase syl simp23l latlej1 simp3 simp22l latjle12 syl13anc mpbi2and
      wb latjcl wi hlatjcl simp1r lhpbase latmlem1 eqbrtrd simp23 lhple breqtrd
      mpd ) KUCUDZMIUDZUEZCAUDZCMLUFUGZUEZEAUDZEMLUFUGZUEZNBUDZNMLUFZUEZUHZECNJ
      UIZLUFZUHZHDUJZXBMKUKUJZUIZNLXDXECEJUIZMXFUIZXGLXDXECCHUJZJUIZMXFUIZXIXDW
      KHFUDZWNXEXLULWKXAXCUMZXDWKWNWQXMXNWKWNWQWTXCUNZWKWNWQWTXCUOZACEFGHIKLMPR
      STUBUPUQXOACDFHIJKLXFMPQXFURZRSTUAUSUQXDXKXHMXFXDXJECJXDWKWNWQXJEULXNXOXP
      ACEFGHIKLMPRSTUBUTUQVAVBVGXDXHXBLUFZXIXGLUFZXDCXBLUFZXCXRXDKVCUDZCBUDZWRX
      TXDKWIWJXAXCVDZVEZXDWLYBWLWMWQWTWKXCVFZABCKORVHVIZWRWSWNWQWKXCVJZBJKLCNOP
      QVKUQWKXAXCVLXDYAYBEBUDZXBBUDZXTXCUEXRVQYDYFXDWOYHWOWPWNWTWKXCVMZABEKORVH
      VIXDYAYBWRYIYDYFYGBJKCNOQVRUQZBJKLCEXBOPQVNVOVPXDYAXHBUDZYIMBUDZXRXSVSYDX
      DWIWLWOYLYCYEYJABJKCEOQRVTUQYKXDWJYMWIWJXAXCWABIKMOSWBVIBKLXFXHXBMOPXQWCV
      OWHWDXDWKWNWTXGNULXNXOWKWNWQWTXCWEABCIJKLXFMNOPQXQRSWFUQWG $.
  $}

  ${
    $d h .<_ $.  $d h A $.  $d f B $.  $d h H $.  $d f K $.  $d h K $.
    $d h Q $.  $d h S $.  $d f T $.  $d h T $.  $d f W $.  $d h W $.
    cdlemn2a.b $e |- B = ( Base ` K ) $.
    cdlemn2a.l $e |- .<_ = ( le ` K ) $.
    cdlemn2a.j $e |- .\/ = ( join ` K ) $.
    cdlemn2a.a $e |- A = ( Atoms ` K ) $.
    cdlemn2a.h $e |- H = ( LHyp ` K ) $.
    cdlemn2a.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemn2a.r $e |- R = ( ( trL ` K ) ` W ) $.
    cdlemn2a.o $e |- O = ( f e. T |-> ( _I |` B ) ) $.
    cdlemn2a.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    cdlemn2a.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    cdlemn2a.n $e |- N = ( LSpan ` U ) $.
    cdlemn2a.f $e |- F = ( iota_ h e. T ( h ` Q ) = S ) $.
    $( Part of proof of Lemma N of [Crawley] p. 121.  (Contributed by NM,
       24-Feb-2014.) $)
    cdlemn2a $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( S e. A /\ -. S .<_ W ) /\ ( X e. B /\ X .<_ W ) )
    /\ S .<_ ( Q .\/ X ) ) -> ( N ` { <. F , O >. } ) C_ ( I ` X ) ) $=
      ( chlt wcel wa wbr wn w3a cop csn cfv wceq simp1 simp21 simp22 ltrniotacl
      co syl3anc dib1dim2 syl2anc wss cdlemn2 wb simp23 dibord syl121anc mpbird
      trlcl trlle eqsstrrd ) NULUMRKUMUNZCAUMCROUOUPUNZEAUMEROUOUPUNZSBUMSROUOU
      NZUQZECSMVFOUOZUQZJQURUSPUTZJDUTZLUTZSLUTZWFVTJFUMZWIWGVAVTWDWEVBZWFVTWAW
      BWKWLVTWAWBWCWEVCVTWAWBWCWEVDACEFIJKNORUAUCUDUEUKVEVGZBDFGHJKLNPQRTUDUEUF
      UGUIUHUJVHVIWFWIWJVJZWHSOUOZABCDEFIJKMNORSTUAUBUCUDUEUFUKVKWFVTWHBUMZWHRO
      UOZWCWNWOVLWLWFVTWKWPWLWMBDFJKNRTUDUEUFVQVIWFVTWKWQWLWMDFJKNORUAUDUEUFVRV
      IVTWAWBWCWEVMBKLNORWHSTUAUDUHVNVOVPVS $.
  $}

  ${
    $d h .<_ $.  $d h A $.  $d h H $.  $d h K $.  $d h P $.  $d h Q $.
    $d h R $.  $d h T $.  $d h W $.
    cdlemn3.l $e |- .<_ = ( le ` K ) $.
    cdlemn3.a $e |- A = ( Atoms ` K ) $.
    cdlemn3.p $e |- P = ( ( oc ` K ) ` W ) $.
    cdlemn3.h $e |- H = ( LHyp ` K ) $.
    cdlemn3.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemn3.f $e |- F = ( iota_ h e. T ( h ` P ) = Q ) $.
    cdlemn3.g $e |- G = ( iota_ h e. T ( h ` P ) = R ) $.
    cdlemn3.j $e |- J = ( iota_ h e. T ( h ` Q ) = R ) $.
    $( Part of proof of Lemma N of [Crawley] p. 121 line 31.  (Contributed by
       NM, 21-Feb-2014.) $)
    cdlemn3 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W )
        /\ ( R e. A /\ -. R .<_ W ) ) -> ( J o. F ) = G ) $=
      ( chlt wcel wa wbr wn w3a ccom cfv wceq cbs wf1o simp1 lhpocnel2 3ad2ant1
      simp2 ltrniotacl syl3anc eqid ltrn1o syl2anc f1of syl simpld atbase fvco3
      wf ltrniotaval fveq2d 3eqtrd syld3an2 eqtr4d wb ltrnco ltrneq3 syl121anc
      mpbid ) KUBUCMIUCUDZCAUCCMLUEUFUDZDAUCDMLUEUFUDZUGZBJGUHZUIZBHUIZUJZWBHUJ
      ZWAWCDWDWAWCBGUIZJUIZCJUIDWAKUKUIZWIGVGZBWIUCZWCWHUJWAWIWIGULZWJWAVRGEUCZ
      WLVRVSVTUMZWAVRBAUCZBMLUEUFZUDZVSWMWNVRVSWQVTABIKLMNOQPUNUOZVRVSVTUPZABCE
      FGIKLMNOQRSUQURZWIEGIKUBMWIUSZQRUTVAWIWIGVBVCWAWOWKWAWOWPWRVDAWIBKXAOVEVC
      WIWIBJGVFVAWAWGCJWAVRWQVSWGCUJWNWRWSABCEFGIKLMNOQRSVHURVIACDEFJIKLMNOQRUA
      VHVJVRWQVSVTWDDUJWRABDEFHIKLMNOQRTVHVKVLWAVRWBEUCZHEUCZWQWEWFVMWNWAVRJEUC
      WMXBWNACDEFJIKLMNOQRUAUQWTEJGIKMQRVNURVRWQVSVTXCWRABDEFHIKLMNOQRTUQVKWRAB
      EWBHIKLMNOQRVOVPVQ $.
  $}

  ${
    $d h .<_ $.  $d h A $.  $d h B $.  $d h H $.  $d h K $.  $d h P $.
    $d h Q $.  $d h R $.  $d h T $.  $d h W $.
    cdlemn4.b $e |- B = ( Base ` K ) $.
    cdlemn4.l $e |- .<_ = ( le ` K ) $.
    cdlemn4.a $e |- A = ( Atoms ` K ) $.
    cdlemn4.p $e |- P = ( ( oc ` K ) ` W ) $.
    cdlemn4.h $e |- H = ( LHyp ` K ) $.
    cdlemn4.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemn4.o $e |- O = ( h e. T |-> ( _I |` B ) ) $.
    cdlemn4.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    cdlemn4.f $e |- F = ( iota_ h e. T ( h ` P ) = Q ) $.
    cdlemn4.g $e |- G = ( iota_ h e. T ( h ` P ) = R ) $.
    cdlemn4.j $e |- J = ( iota_ h e. T ( h ` Q ) = R ) $.
    ${
      cdlemn4.s $e |- .+ = ( +g ` U ) $.
      $( Part of proof of Lemma N of [Crawley] p. 121 line 31.  (Contributed by
         NM, 21-Feb-2014.)  (Revised by Mario Carneiro, 24-Jun-2014.) $)
      cdlemn4 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W )
          /\ ( R e. A /\ -. R .<_ W ) ) -> <. G , ( _I |` T ) >.
              = ( <. F , ( _I |` T ) >. .+ <. J , O >. ) ) $=
        ( chlt wcel wa wbr wn w3a cid cres cop ccom csca cfv cplusg ctendo wceq
        co simp1 lhpocnel2 syl simp2 ltrniotacl syl3anc eqid tendoidcl tendo0cl
        dvhopvadd syl122anc ltrncom cdlemn3 cedring dvhsca fveq2d erng0g oveq2d
        c0g cgrp cbs cdr erngdv drnggrp eqeltrd dvhbase eleqtrrd grprid syl2anc
        eqtrd eqtr3d opeq12d eqtr2d ) NUJUKQLUKULZEAUKEQOUMUNULZFAUKFQOUMUNULZU
        OZJUPGUQZURMPURDVEZJMUSZXCPHUTVAZVBVAZVEZURZKXCURXBWSJGUKZXCQNVCVAVAZUK
        ZMGUKZPXKUKZXDXIVDWSWTXAVFZXBWSCAUKCQOUMUNULZWTXJXOXBWSXPXOACLNOQSTUBUA
        VGVHWSWTXAVIACEGIJLNOQSTUBUCUFVJVKZXBWSXLXOGXKLNQUBUCXKVLZVMVHZAEFGIMLN
        OQSTUBUCUHVJZXBWSXNXOBGIXKLNPQRUBUCXRUDVNVHXFDXGXCPGHXKJMLNQUBUCXRUEXFV
        LZUIXGVLZVOVPXBXEKXHXCXBXEMJUSZKXBWSXJXMXEYCVDXOXQXTGJMLNQUBUCVQVKACEFG
        IJKLMNOQSTUAUBUCUFUGUHVRWOXBXCXFWDVAZXGVEZXHXCXBYDPXCXGXBWSYDPVDXOWSYDQ
        NVSVAVAZWDVAZPWSXFYFWDYFHXFLNQUJUBYFVLZUEYAVTZWABYFGILNPQYGRUBUCYHUDYGV
        LWBWOVHWCXBXFWEUKZXCXFWFVAZUKYEXCVDXBWSYJXOWSXFYFWEYIWSYFWGUKYFWEUKYFLN
        QUBYHWHYFWIVHWJVHXBXCXKYKXSXBWSYKXKVDXOYKHXKXFLNQUJUBXRUEYAYKVLZWKVHWLY
        KXGXFXCYDYLYBYDVLWMWNWPWQWR $.
    $}

    ${
      cdlemn4a.n $e |- N = ( LSpan ` U ) $.
      cdlemn4a.s $e |- .(+) = ( LSSum ` U ) $.
      $( Part of proof of Lemma N of [Crawley] p. 121 line 32.  (Contributed by
         NM, 24-Feb-2014.) $)
      cdlemn4a $p |- ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W )
          /\ ( R e. A /\ -. R .<_ W ) ) -> ( N ` { <. G , ( _I |` T ) >. } )
     C_ ( ( N ` { <. F , ( _I |` T ) >. } ) .(+) ( N ` { <. J , O >. } ) ) ) $=
        ( chlt wcel wa wbr wn w3a cid cres cop csn cplusg co eqid cdlemn4 sneqd
        cfv fveq2d clmod cbs simp1 dvhlmod ctendo lhpocnel2 3ad2ant1 ltrniotacl
        simp2 syl3anc tendoidcl dvhelvbasei syl12anc tendo0cl lspsntri eqsstrd
        wss ) NULUMRLUMUNZEAUMEROUOUPUNZFAUMFROUOUPUNZUQZKURGUSZUTZVAZPVGJWJUTZ
        MQUTZHVBVGZVCZVAZPVGZWMVAPVGWNVAPVGDVCZWIWLWQPWIWKWPABCWOEFGHIJKLMNOQRS
        TUAUBUCUDUEUFUGUHUIWOVDZVEVFVHWIHVIUMWMHVJVGZUMZWNXAUMZWRWSWEWIHLNRUCUF
        WFWGWHVKZVLWIWFJGUMZWJRNVMVGVGZUMZXBXDWIWFCAUMCROUOUPUNZWGXEXDWFWGXHWHA
        CLNORTUAUCUBVNVOWFWGWHVQACEGIJLNORTUAUCUDUGVPVRWFWGXGWHGXFLNRUCUDXFVDZV
        SVOWJGHXFJLNXARULUCUDXIUFXAVDZVTWAWIWFMGUMQXFUMZXCXDAEFGIMLNORTUAUCUDUI
        VPWFWGXKWHBGIXFLNQRSUCUDXIUEWBVOQGHXFMLNXARULUCUDXIUFXJVTWAWODPXAHWMWNX
        JWTUJUKWCVRWD $.
    $}
  $}

  ${
    $d h .<_ $.  $d h A $.  $d h B $.  $d h H $.  $d h K $.  $d h P $.
    $d h Q $.  $d h R $.  $d h T $.  $d h W $.
    cdlemn5.b $e |- B = ( Base ` K ) $.
    cdlemn5.l $e |- .<_ = ( le ` K ) $.
    cdlemn5.j $e |- .\/ = ( join ` K ) $.
    cdlemn5.a $e |- A = ( Atoms ` K ) $.
    cdlemn5.h $e |- H = ( LHyp ` K ) $.
    cdlemn5.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    cdlemn5.s $e |- .(+) = ( LSSum ` U ) $.
    cdlemn5.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    cdlemn5.J $e |- J = ( ( DIsoC ` K ) ` W ) $.

    ${
      cdlemn5.p $e |- P = ( ( oc ` K ) ` W ) $.
      cdlemn5.o $e |- O = ( h e. T |-> ( _I |` B ) ) $.
      cdlemn5.t $e |- T = ( ( LTrn ` K ) ` W ) $.
      cdlemn5.e $e |- E = ( ( TEndo ` K ) ` W ) $.
      cdlemn5.n $e |- N = ( LSpan ` U ) $.
      cdlemn5.f $e |- F = ( iota_ h e. T ( h ` P ) = Q ) $.
      cdlemn5.g $e |- G = ( iota_ h e. T ( h ` P ) = R ) $.
      cdlemn5.m $e |- M = ( iota_ h e. T ( h ` Q ) = R ) $.
      $( Part of proof of Lemma N of [Crawley] p. 121 line 32.  (Contributed by
         NM, 25-Feb-2014.) $)
      cdlemn5pre $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( R e. A /\ -. R .<_ W ) /\ ( X e. B /\ X .<_ W ) )
    /\ R .<_ ( Q .\/ X ) ) -> ( J ` R ) C_ ( ( J ` Q ) .(+) ( I ` X ) ) ) $=
        ( chlt wcel wa wbr wn w3a co cfv cid cres cop csn simp1 simp22 diclspsn
        wceq syl2anc simp21 cdlemn4a syl3anc oveq1d sseqtrrd csubg clss dvhlmod
        clmod eqid lsssssubg diclss sseldd simp23 diblss ctrl cdlemn2a lsmless2
        wss syl sstrd eqsstrd ) QVAVBUBMVBVCZEAVBEUBRVDVEVCZFAVBFUBRVDVEVCZUCBV
        BUCUBRVDVCZVFZFEUCPVGRVDZVFZFOVHZLVIGVJZVKVLTVHZEOVHZUCNVHZDVGZXFWTXBXG
        XIVPWTXDXEVMZWTXAXBXCXEVNZACFGHILMOQRTUBUEUGUHUMUOULUIUQUSVOVQXFXIXJSUA
        VKVLTVHZDVGZXLXFXIKXHVKVLTVHZXODVGZXPXFWTXAXBXIXRWPXMWTXAXBXCXEVRZXNABC
        DEFGHIKLMSQRTUAUBUDUEUGUMUHUOUNUIURUSUTUQUJVSVTXFXJXQXODXFWTXAXJXQVPXMX
        SACEGHIKMOQRTUBUEUGUHUMUOULUIUQURVOVQWAWBXFXJHWCVHZVBXKXTVBXOXKWPXPXLWP
        XFHWDVHZXTXJXFHWFVBYAXTWPXFHMQUBUHUIXMWEYAHYAWGZWHWQZXFWTXAXJYAVBXMXSAE
        YAHMOQRUBUEUGUHUIULYBWIVQWJXFYAXTXKYCXFWTXCXKYAVBXMWTXAXBXCXEWKBYAHMNQR
        UBUCUDUEUHUIUKYBWLVQWJABEUBQWMVHVHZFGHIISMNPQRTUAUBUCUDUEUFUGUHUOYDWGUN
        UKUIUQUTWNDXJXOXKHUJWOVTWRWS $.
    $}

    $( Part of proof of Lemma N of [Crawley] p. 121 line 32.  (Contributed by
       NM, 25-Feb-2014.) $)
    cdlemn5 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( R e. A /\ -. R .<_ W ) /\ ( X e. B /\ X .<_ W ) )
    /\ R .<_ ( Q .\/ X ) ) -> ( J ` R ) C_ ( ( J ` Q ) .(+) ( I ` X ) ) ) $=
      ( vh coc cfv cltrn ctendo wceq crio clspn cid cres cmpt eqid cdlemn5pre
      cv ) ABMKUEUFUFZCDEMKUGUFUFZFUDMKUHUFUFZURUDUQZUFZDUIUDUSUJZVBEUIUDUSUJZG
      HIJKLDVAUFEUIUDUSUJZFUKUFZUDUSULBUMUNZMNOPQRSTUAUBUCURUOVGUOUSUOUTUOVFUOV
      CUOVDUOVEUOUP $.
  $}

  ${
    $d h .<_ $.  $d h A $.  $d h B $.  $d h H $.  $d h t u K $.  $d h t u T $.
    $d t u E $.  $d h P $.  $d h Q $.  $d h t u W $.
    cdlemn8.b $e |- B = ( Base ` K ) $.
    cdlemn8.l $e |- .<_ = ( le ` K ) $.
    cdlemn8.a $e |- A = ( Atoms ` K ) $.
    cdlemn8.h $e |- H = ( LHyp ` K ) $.
    cdlemn8.p $e |- P = ( ( oc ` K ) ` W ) $.
    cdlemn8.o $e |- O = ( h e. T |-> ( _I |` B ) ) $.
    cdlemn8.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemn8.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    cdlemn8.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    cdlemn8.s $e |- .+ = ( +g ` U ) $.
    cdlemn8.f $e |- F = ( iota_ h e. T ( h ` P ) = Q ) $.
    $( Part of proof of Lemma N of [Crawley] p. 121 line 35.  (Contributed by
       NM, 26-Feb-2014.) $)
    cdlemn6 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( R e. A /\ -. R .<_ W ) ) /\ ( s e. E /\ g e. T ) ) ->
     ( <. ( s ` F ) , s >. .+ <. g , O >. ) = <. ( ( s ` F ) o. g ) , s >. ) $=
      ( vt vu chlt wcel wa wbr wn cv w3a cfv cop co ccom csca cplusg wceq simp1
      simp3l lhpocnel2 syl simp2l ltrniotacl syl3anc tendocl tendo0cl dvhopvadd
      simp3r eqid syl122anc cmpt dvhfplusr oveqd tendo0plr syl2anc eqtrd opeq2d
      cmpo ) NULUMQMUMUNZEAUMEQOUOUPUNZFAUMFQOUOUPUNZUNZRUQZKUMZIUQZGUMZUNZURZL
      WKUSZWKUTWMPUTDVAZWQWMVBZWKPHVCUSZVDUSZVAZUTZWSWKUTWPWGWQGUMZWLWNPKUMZWRX
      CVEWGWJWOVFZWPWGWLLGUMZXDXFWGWJWLWNVGZWPWGCAUMCQOUOUPUNZWHXGXFWPWGXIXFACM
      NOQTUAUBUCVHVIWGWHWIWOVJACEGJLMNOQTUAUBUEUIVKVLWKGKLMNULQUBUEUFVMVLXHWGWJ
      WLWNVPWPWGXEXFBGJKMNPQSUBUEUFUDVNVIWTDXAWKPGHKWQWMMNQUBUEUFUGWTVQZUHXAVQZ
      VOVRWPXBWKWSWPXBWKPUJUKKKJGJUQZUJUQUSXLUKUQUSVBVSWFZVAZWKWPXAXMWKPWPWGXAX
      MVEXFUKXMXAGHJKWTMNULQUJUBUEUFUGXJXMVQZXKVTVIWAWPWGWLXNWKVEXFXHUKBXMWKGJK
      MNPQUJSUBUEUFUDXOWBWCWDWEWD $.

    cdlemn8.g $e |- G = ( iota_ h e. T ( h ` P ) = R ) $.
    $( Part of proof of Lemma N of [Crawley] p. 121 line 36.  (Contributed by
       NM, 26-Feb-2014.) $)
    cdlemn7 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( R e. A /\ -. R .<_ W ) ) /\ ( s e. E /\ g e. T
          /\ <. G , ( _I |` T ) >. = ( <. ( s ` F ) , s >. .+ <. g , O >. ) ) )
       -> ( G = ( ( s ` F ) o. g ) /\ ( _I |` T ) = s ) ) $=
      ( chlt wcel wa wbr wn cv cid cres cop cfv co wceq w3a simp33 simp1 simp2l
      ccom simp2r simp31 simp32 cdlemn6 syl122anc eqtrd fvex coex opth2 sylib
      vex ) OULUMRNUMUNZEAUMERPUOUPUNZFAUMFRPUOUPUNZUNZSUQZKUMZIUQZGUMZMURGUSZU
      TZLWDVAZWDUTWFQUTDVBZVCZVDZVDZWIWJWFVHZWDUTZVCMWOVCWHWDVCUNWNWIWKWPVTWCWE
      WGWLVEWNVTWAWBWEWGWKWPVCVTWCWMVFVTWAWBWMVGVTWAWBWMVIVTWCWEWGWLVJVTWCWEWGW
      LVKABCDEFGHIJKLNOPQRSTUAUBUCUDUEUFUGUHUIUJVLVMVNMWHWOWDWJWFLWDVOIVSVPSVSV
      QVR $.

    $d h R $.
    $( Part of proof of Lemma N of [Crawley] p. 121 line 36.  (Contributed by
       NM, 26-Feb-2014.) $)
    cdlemn8 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( R e. A /\ -. R .<_ W ) ) /\ ( s e. E /\ g e. T
          /\ <. G , ( _I |` T ) >. = ( <. ( s ` F ) , s >. .+ <. g , O >. ) ) )
       -> g = ( G o. `' F ) ) $=
      ( chlt wcel wa wbr wn cv cid cres cop cfv wceq ccnv ccom coass wf1o simp1
      w3a lhpocnel2 3ad2ant1 simp2l ltrniotacl syl3anc ltrn1o syl2anc f1ococnv1
      co coeq1d wf simp32 f1of fcoi2 eqtr2d cdlemn7 simpld simprd fveq1d fvresi
      syl 3syl eqtr3d eqtrd coeq2d 3eqtr4a ltrncnv simp2r ltrncom ) OULUMRNUMUN
      ZEAUMERPUOUPUNZFAUMFRPUOUPUNZUNZSUQZKUMZIUQZGUMZMURGUSZUTLXBVAZXBUTXDQUTD
      VQVBZVHZVHZXDLVCZMVDZMXKVDZXJXKLVDZXDVDZXKLXDVDZVDXDXLXKLXDVEXJXOURBUSZXD
      VDZXDXJXNXQXDXJBBLVFZXNXQVBXJWRLGUMZXSWRXAXIVGZXJWRCAUMCRPUOUPUNZWSXTYAWR
      XAYBXIACNOPRUAUBUCUDVIVJZWRWSWTXIVKACEGJLNOPRUAUBUCUFUJVLVMZBGLNOULRTUCUF
      VNVOBBLVPWIVRXJBBXDVFZBBXDVSXRXDVBXJWRXEYEYAWRXAXCXEXHVTBGXDNOULRTUCUFVNV
      OBBXDWABBXDWBWJWCXJMXPXKXJMXGXDVDZXPXJMYFVBZXFXBVBZABCDEFGHIJKLMNOPQRSTUA
      UBUCUDUEUFUGUHUIUJUKWDZWEXJXGLXDXJLXFVAZXGLXJLXFXBXJYGYHYIWFWGXJXTYJLVBYD
      GLWHWIWKVRWLWMWNXJWRXKGUMZMGUMZXLXMVBYAXJWRXTYKYAYDGLNORUCUFWOVOXJWRYBWTY
      LYAYCWRWSWTXIWPACFGJMNOPRUAUBUCUFUKVLVMGXKMNORUCUFWQVMWL $.

    $( Part of proof of Lemma N of [Crawley] p. 121 line 36.  (Contributed by
       NM, 27-Feb-2014.) $)
    cdlemn9 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( R e. A /\ -. R .<_ W ) ) /\ ( s e. E /\ g e. T
          /\ <. G , ( _I |` T ) >. = ( <. ( s ` F ) , s >. .+ <. g , O >. ) ) )
       -> ( g ` Q ) = R ) $=
      ( chlt wcel wa wbr wn cv cid cres cop cfv co wceq w3a ccnv cdlemn8 fveq1d
      ccom wf simp1 lhpocnel2 3ad2ant1 simp2l ltrniotacl syl3anc ltrn1o syl2anc
      wf1o f1ocnv f1of 3syl simp2ll atbase syl fvco3 ltrniotacnvval ltrniotaval
      fveq2d simp2r eqtrd 3eqtrd ) OULUMRNUMUNZEAUMZERPUOUPZUNZFAUMFRPUOUPUNZUN
      ZSUQZKUMIUQZGUMMURGUSUTLWRVAWRUTWSQUTDVBVCVDZVDZEWSVAEMLVEZVHZVAZEXBVAZMV
      AZFXAEWSXCABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKVFVGXABBXBVIZEBUMZXDX
      FVCXABBLVRZBBXBVRXGXAWLLGUMZXIWLWQWTVJZXAWLCAUMCRPUOUPUNZWOXJXKWLWQXLWTAC
      NOPRUAUBUCUDVKVLZWLWOWPWTVMZACEGJLNOPRUAUBUCUFUJVNVOBGLNOULRTUCUFVPVQBBLV
      SBBXBVTWAXAWMXHWMWNWPWLWTWBABEOTUBWCWDBBEMXBWEVQXAXFCMVAZFXAXECMXAWLXLWOX
      ECVCXKXMXNACEGJLNOPRUAUBUCUFUJWFVOWHXAWLXLWPXOFVCXKXMWLWOWPWTWIACFGJMNOPR
      UAUBUCUFUKWGVOWJWK $.
  $}

  ${
    cdlemn10.b $e |- B = ( Base ` K ) $.
    cdlemn10.l $e |- .<_ = ( le ` K ) $.
    cdlemn10.j $e |- .\/ = ( join ` K ) $.
    cdlemn10.a $e |- A = ( Atoms ` K ) $.
    cdlemn10.h $e |- H = ( LHyp ` K ) $.
    cdlemn10.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemn10.r $e |- R = ( ( trL ` K ) ` W ) $.
    $( Part of proof of Lemma N of [Crawley] p. 121 line 36.  (Contributed by
       NM, 27-Feb-2014.) $)
    cdlemn10 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( S e. A /\ -. S .<_ W ) /\ ( X e. B /\ X .<_ W ) )
           /\ ( g e. T /\ ( g ` Q ) = S /\ ( R ` g ) .<_ X ) )
       -> S .<_ ( Q .\/ X ) ) $=
      ( chlt wcel wa wbr wn w3a cv cfv wceq co simp1l hllatd simp22l atbase syl
      simp21l hlatjcl syl3anc clat simp23l latjcl hlatlej2 cmee simp1r hlatlej1
      cp1 lhpbase eqid atmod3i1 syl131anc simp1 simp21 lhpjat2 syl2anc col hlol
      oveq2d olm11 3eqtrrd simp31 simp32 oveq1d eqtrd simp33 eqbrtrrd wi latmcl
      trlval2 latjlej2 syl13anc mpd eqbrtrd lattrd ) JUAUBZLHUBZUCZCAUBZCLKUDUE
      ZUCZEAUBZELKUDUEZUCZMBUBZMLKUDZUCZUFZGUGZFUBZCXGUHZEUIZXGDUHZMKUDZUFZUFZB
      JKECEIUJZCMIUJZNOXNJWNWOXFXMUKZULZXNWTEBUBWTXAWSXEWPXMUMZABEJNQUNUOXNWNWQ
      WTXOBUBZXQWQWRXBXEWPXMUPZXSABIJCENPQUQURZXNJUSUBZCBUBZXCXPBUBXRXNWQYDYAAB
      CJNQUNUOZXCXDWSXBWPXMUTZBIJCMNPVAURXNWNWQWTEXOKUDXQYAXSACEIJKOPQVBURXNXOC
      XOLJVCUHZUJZIUJZXPKXNYIXOCLIUJZYGUJZXOJVFUHZYGUJZXOXNWNWQXTLBUBZCXOKUDZYI
      YKUIXQYAYBXNWOYNWNWOXFXMVDBHJLNRVGUOZXNWNWQWTYOXQYAXSACEIJKOPQVEURABCIJKY
      GXOLNOPYGVHZQVIVJXNYJYLXOYGXNWPWSYJYLUIWPXFXMVKZWPWSXBXEXMVLZACYLHIJKLOPY
      LVHZQRVMVNVQXNJVOUBZXTYMXOUIXNWNUUAXQJVPUOYBBYLJYGXONYQYTVRVNVSXNYHMKUDZY
      IXPKUDZXNXKYHMKXNXKCXIIUJZLYGUJZYHXNWPXHWSXKUUEUIYRWPXFXHXJXLVTYSACDFXGHI
      JKYGLOPYQQRSTWHURXNUUDXOLYGXNXIECIWPXFXHXJXLWAVQWBWCWPXFXHXJXLWDWEXNYCYHB
      UBZXCYDUUBUUCWFXRXNYCXTYNUUFXRYBYPBJYGXOLNYQWGURYFYEBIJKYHMCNOPWIWJWKWLWM
      $.
  $}

  ${
    $d g s y z .+ $.  $d g s y z .\/ $.  $d g h s y z .<_ $.  $d g h s y z A $.
    $d g h s y z B $.  $d g s E $.  $d g F $.  $d g s y z G $.  $d g s y z I $.
    $d g s y z .(+) $.  $d g h s y z H $.  $d g h s y z K $.  $d g h s y z N $.
    $d g s y z J $.  $d h P $.  $d g h s y z Q $.  $d s R $.  $d g h s y z T $.
    $d g s O $.  $d y z U $.  $d g h s y z W $.  $d g s y z X $.
    cdlemn11a.b $e |- B = ( Base ` K ) $.
    cdlemn11a.l $e |- .<_ = ( le ` K ) $.
    cdlemn11a.j $e |- .\/ = ( join ` K ) $.
    cdlemn11a.a $e |- A = ( Atoms ` K ) $.
    cdlemn11a.h $e |- H = ( LHyp ` K ) $.
    cdlemn11a.p $e |- P = ( ( oc ` K ) ` W ) $.
    cdlemn11a.o $e |- O = ( h e. T |-> ( _I |` B ) ) $.
    cdlemn11a.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    cdlemn11a.r $e |- R = ( ( trL ` K ) ` W ) $.
    cdlemn11a.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    cdlemn11a.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    cdlemn11a.J $e |- J = ( ( DIsoC ` K ) ` W ) $.
    cdlemn11a.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    cdlemn11a.d $e |- .+ = ( +g ` U ) $.
    cdlemn11a.s $e |- .(+) = ( LSSum ` U ) $.
    cdlemn11a.f $e |- F = ( iota_ h e. T ( h ` P ) = Q ) $.
    cdlemn11a.g $e |- G = ( iota_ h e. T ( h ` P ) = N ) $.
    $( Part of proof of Lemma N of [Crawley] p. 121 line 37.  (Contributed by
       NM, 27-Feb-2014.) $)
    cdlemn11a $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( N e. A /\ -. N .<_ W ) /\ ( X e. B /\ X .<_ W ) )
    /\ ( J ` N ) C_ ( ( J ` Q ) .(+) ( I ` X ) ) )
       -> <. G , ( _I |` T ) >. e. ( J ` N ) ) $=
      ( chlt wcel wa wbr wn w3a cfv co wss cid cres cop wceq lhpocnel2 3ad2ant1
      simp1 simp22 ltrniotacl syl3anc fvresi syl eqcomd tendoidcl wb cv riotaex
      crio cvv eqeltri cltrn fvexi resiexg ax-mp dicopelval2 syl2anc mpbir2and
      ) RVAVBUBNVBVCZFAVBFUBSVDVEVCZTAVBTUBSVDVEVCZUCBVBUCUBSVDVCZVFZTPVGZFPVGU
      COVGEVHVIZVFZMVJHVKZVLXBVBZMMXEVGZVMZXEKVBZXDXGMXDMHVBZXGMVMXDWQCAVBCUBSV
      DVEVCZWSXJWQXAXCVPZWQXAXKXCACNRSUBUEUGUHUIVNVOWQWRWSWTXCVQZACTHJMNRSUBUEU
      GUHUKUTVRVSHMVTWAWBWQXAXIXCHKNRUBUHUKUMWCVOXDWQWSXFXHXIVCWDXLXMACTXEHJKMM
      NPRSVAUBUEUGUHUIUKUMUOUTMCJWEVGTVMZJHWGWHUTXNJHWFWIHWHVBXEWHVBHUBRWJVGUKW
      KHWHWLWMWNWOWP $.

    $( Part of proof of Lemma N of [Crawley] p. 121 line 37.  (Contributed by
       NM, 27-Feb-2014.) $)
    cdlemn11b $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( N e. A /\ -. N .<_ W ) /\ ( X e. B /\ X .<_ W ) )
    /\ ( J ` N ) C_ ( ( J ` Q ) .(+) ( I ` X ) ) )
       -> <. G , ( _I |` T ) >. e. ( ( J ` Q ) .(+) ( I ` X ) ) ) $=
      ( chlt wcel wa wbr wn w3a cfv co wss cid cres cop simp3 cdlemn11a sseldd
      ) RVAVBUBNVBVCZFAVBFUBSVDVEVCTAVBTUBSVDVEVCUCBVBUCUBSVDVCVFZTPVGZFPVGUCOV
      GEVHZVIZVFVRVSMVJHVKVLVPVQVTVMABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKU
      LUMUNUOUPUQURUSUTVNVO $.

    $( Part of proof of Lemma N of [Crawley] p. 121 line 37.  (Contributed by
       NM, 27-Feb-2014.) $)
    cdlemn11c $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( N e. A /\ -. N .<_ W ) /\ ( X e. B /\ X .<_ W ) )
    /\ ( J ` N ) C_ ( ( J ` Q ) .(+) ( I ` X ) ) )
 -> E. y e. ( J ` Q ) E. z e. ( I ` X ) <. G , ( _I |` T ) >. = ( y .+ z ) ) $=
      ( chlt wcel wa wbr wn w3a cfv co wss cid cres cop cv wceq cdlemn11b csubg
      wrex wb clss clmod simp1 dvhlmod eqid lsssssubg syl simp21 diclss syl2anc
      sseldd simp23l simp23r diblss syl12anc lsmelval mpbid ) TVCVDUDPVDVEZHCVD
      HUDUAVFVGVEZUBCVDUBUDUAVFVGVEZUEDVDZUEUDUAVFZVEZVHZUBRVIHRVIZUEQVIZGVJZVK
      ZVHZOVLJVMVNZXGVDZXJAVOBVOFVJVPBXFVSAXEVSZCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFU
      GUHUIUJUKULUMUNUOUPUQURUSUTVAVBVQXIXEKVRVIZVDXFXMVDXKXLVTXIKWAVIZXMXEXIKW
      BVDXNXMVKXIKPTUDUJURWRXDXHWCZWDXNKXNWEZWFWGZXIWRWSXEXNVDXOWRWSWTXCXHWHCHX
      NKPRTUAUDUGUIUJURUQXPWIWJWKXIXNXMXFXQXIWRXAXBXFXNVDXOXAXBWSWTWRXHWLXAXBWS
      WTWRXHWMDXNKPQTUAUDUEUFUGUJURUPXPWNWOWKABFGXEXFKXJUSUTWPWJWQ $.

    $( Part of proof of Lemma N of [Crawley] p. 121 line 37.  TODO: combine
       ~ cdlemn11a , ~ cdlemn11b , ~ cdlemn11c , cdlemn11pre into one?
       (Contributed by NM, 27-Feb-2014.) $)
    cdlemn11pre $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( ( Q e. A /\ -. Q .<_ W )
          /\ ( N e. A /\ -. N .<_ W ) /\ ( X e. B /\ X .<_ W ) )
    /\ ( J ` N ) C_ ( ( J ` Q ) .(+) ( I ` X ) ) ) -> N .<_ ( Q .\/ X ) ) $=
      ( vy vz vs vg chlt wcel wa wbr wn w3a cfv wss cid cres cop wceq cdlemn11c
      co cv wrex wi wb simp21 dicelval3 syl2anc simp23 dibelval3 anbi12d reeanv
      simpl1 simpl21 simpl22 simpl23 simpr1r simpr1l cdlemn9 syl123anc cdlemn10
      simp1 simpr3 simpr2 3exp2 oveq12 eqeq2d imbi1d imbi2d biimprd com23 com12
      syl133anc impr syl6 rexlimdvv syl5bir sylbid mpd ) RVEVFUBNVFVGZFAVFFUBSV
      HVIVGZTAVFTUBSVHVIVGZUCBVFUCUBSVHVGZVJZTPVKFPVKZUCOVKZEVRVLZVJZMVMHVNVOZV
      AVSZVBVSZDVRZVPZVBYCVTVAYBVTTFUCQVRSVHZVAVBABCDEFGHIJKLMNOPQRSTUAUBUCUDUE
      UFUGUHUIUJUKULUMUNUOUPUQURUSUTVQYEYJYKVAVBYBYCYEYGYBVFZYHYCVFZVGYGLVCVSZV
      KYNVOZVPZVCKVTZYHVDVSZUAVOZVPZYRGVKUCSVHZVGZVDHVTZVGZYJYKWAZYEYLYQYMUUCYE
      XQXRYLYQWBXQYAYDWSZXQXRXSXTYDWCACFHJKLNPRSVEUBYGVCUEUGUHUIUKUMUOUSWDWEYEX
      QXTYMUUCWBUUFXQXRXSXTYDWFBGHVDJNORSVEUBUCYHUAUDUEUHUKULUJUNWGWEWHUUDYPUUB
      VGZVDHVTVCKVTYEUUEYPUUBVCVDKHWIYEUUGUUEVCVDKHYEYNKVFZYRHVFZVGZUUAYFYOYSDV
      RZVPZYKWAZWAZUUGUUEWAYEUUJUUAUULYKYEUUJUUAUULVJZVGZXQXRXSXTUUIFYRVKTVPZUU
      AYKXQYAYDUUOWJZXRXSXTXQYDUUOWKZXRXSXTXQYDUUOWLZXRXSXTXQYDUUOWMUUHUUIUUAUU
      LYEWNZUUPXQXRXSUUHUUIUULUUQUURUUSUUTUUHUUIUUAUULYEWOUVAYEUUJUUAUULWTABCDF
      THIVDJKLMNRSUAUBVCUDUEUGUHUIUJUKUMUPUQUSUTWPWQYEUUJUUAUULXAABFGTHVDNQRSUB
      UCUDUEUFUGUHUKULWRXJXBUUGUUNUUEYPYTUUAUUNUUEWAYPYTVGZUUNUUAUUEUVBUUAUUEWA
      UUNUVBUUEUUMUUAUVBYJUULYKUVBYIUUKYFYGYOYHYSDXCXDXEXFXGXHXKXIXLXMXNXOXMXP
      $.
  $}

  ${
    $d h B $.  $d h .<_ $.  $d h A $.  $d h H $.  $d h K $.  $d h Q $.
    $d h R $.  $d h W $.
    cdlemn11.b $e |- B = ( Base ` K ) $.
    cdlemn11.l $e |- .<_ = ( le ` K ) $.
    cdlemn11.j $e |- .\/ = ( join ` K ) $.
    cdlemn11.a $e |- A = ( Atoms ` K ) $.
    cdlemn11.h $e |- H = ( LHyp ` K ) $.
    cdlemn11.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    cdlemn11.J $e |- J = ( ( DIsoC ` K ) ` W ) $.
    cdlemn11.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    cdlemn11.s $e |- .(+) = ( LSSum ` U ) $.
    $( Part of proof of Lemma N of [Crawley] p. 121 line 37.  (Contributed by
       NM, 27-Feb-2014.) $)
    cdlemn11 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( R e. A /\ -. R .<_ W ) /\ ( X e. B /\ X .<_ W ) )
    /\ ( J ` R ) C_ ( ( J ` Q ) .(+) ( I ` X ) ) ) -> R .<_ ( Q .\/ X ) ) $=
      ( vh coc cfv cplusg ctrl cltrn ctendo wceq crio cid cres cmpt cdlemn11pre
      cv eqid ) ABMKUEUFUFZFUGUFZCDMKUHUFUFZMKUIUFUFZFUDMKUJUFUFZUSUDUQUFZDUKUD
      VBULZVDEUKUDVBULZGHIJKLEUDVBUMBUNUOZMNOPQRSUSURVGURVBURVAURVCURTUAUBUTURU
      CVEURVFURUP $.

    $( Lemma N of [Crawley] p. 121 line 27.  (Contributed by NM,
       27-Feb-2014.) $)
    cdlemn $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( R e. A /\ -. R .<_ W ) /\ ( X e. B /\ X .<_ W ) ) )
 -> ( R .<_ ( Q .\/ X ) <-> ( J ` R ) C_ ( ( J ` Q ) .(+) ( I ` X ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a co cfv wss cdlemn5 3expia cdlemn11 impbid ) KUD
      UEMGUEUFZDAUEDMLUGUHUFEAUEEMLUGUHUFNBUENMLUGUFUIZUFEDNJUJLUGZEIUKDIUKNHUK
      CUJULZUQURUSUTABCDEFGHIJKLMNOPQRSUBUCTUAUMUNUQURUTUSABCDEFGHIJKLMNOPQRSTU
      AUBUCUOUNUP $.
  $}

  ${
    $d h .<_ $.  $d h A $.  $d h B $.  $d h H $.  $d h K $.  $d h P $.
    $d h R $.  $d h T $.  $d h W $.
    dihordlem8.b $e |- B = ( Base ` K ) $.
    dihordlem8.l $e |- .<_ = ( le ` K ) $.
    dihordlem8.a $e |- A = ( Atoms ` K ) $.
    dihordlem8.h $e |- H = ( LHyp ` K ) $.
    dihordlem8.p $e |- P = ( ( oc ` K ) ` W ) $.
    dihordlem8.o $e |- O = ( h e. T |-> ( _I |` B ) ) $.
    dihordlem8.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dihordlem8.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dihordlem8.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihordlem8.s $e |- .+ = ( +g ` U ) $.
    dihordlem8.g $e |- G = ( iota_ h e. T ( h ` P ) = R ) $.
    $( Part of proof of Lemma N of [Crawley] p. 122 line 35.  (Contributed by
       NM, 3-Mar-2014.) $)
    dihordlem6 $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( R e. A /\ -. R .<_ W ) ) /\ ( s e. E /\ g e. T ) )
  -> ( <. ( s ` G ) , s >. .+ <. g , O >. ) = <. ( ( s ` G ) o. g ) , s >. ) $=
      ( chlt wcel wa wbr wn cv w3a cfv co ccom wceq simp1 simp2r simp2l cdlemn6
      cop simp3 syl121anc ) NUJUKQMUKULZEAUKEQOUMUNULZFAUKFQOUMUNULZULZRUOZKUKI
      UOZGUKULZUPVHVJVIVNLVLUQZVLVEVMPVEDURVOVMUSVLVEUTVHVKVNVAVHVIVJVNVBVHVIVJ
      VNVCVHVKVNVFABCDFEGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIVDVG $.

    $( Part of proof of Lemma N of [Crawley] p. 122.  Reverse ordering
       property.  (Contributed by NM, 3-Mar-2014.) $)
    dihordlem7 $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( R e. A /\ -. R .<_ W ) ) /\ ( s e. E /\ g e. T
           /\ <. f , O >. = ( <. ( s ` G ) , s >. .+ <. g , O >. ) ) )
       -> ( f = ( ( s ` G ) o. g ) /\ O = s ) ) $=
      ( chlt wcel wa wbr wn cv cop cfv wceq w3a ccom simp33 simp1 simp2l simp2r
      co simp31 simp32 dihordlem6 syl122anc eqtrd fvex vex coex opth2 sylib ) O
      UKULRNULUMZEAULERPUNUOUMZFAULFRPUNUOUMZUMZSUPZLULZJUPZGULZIUPZQUQZMWAURZW
      AUQWCQUQDVFZUSZUTZUTZWFWGWCVAZWAUQZUSWEWLUSQWAUSUMWKWFWHWMVQVTWBWDWIVBWKV
      QVRVSWBWDWHWMUSVQVTWJVCVQVRVSWJVDVQVRVSWJVEVQVTWBWDWIVGVQVTWBWDWIVHABCDEF
      GHJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJVIVJVKWEQWLWAWGWCMWAVLJVMVNSVMVOVP $.

    $( Part of proof of Lemma N of [Crawley] p. 122.  Reverse ordering
       property.  (Contributed by NM, 3-Mar-2014.) $)
    dihordlem7b $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( R e. A /\ -. R .<_ W ) ) /\ ( s e. E /\ g e. T
           /\ <. f , O >. = ( <. ( s ` G ) , s >. .+ <. g , O >. ) ) )
       -> ( f = g /\ O = s ) ) $=
      ( chlt wcel wa wbr wn cv cop cfv co wceq w3a weq ccom cid cres dihordlem7
      simpld simprd fveq1d lhpocnel2 3ad2ant1 simp2r ltrniotacl syl3anc tendo02
      simp1 syl eqtr3d coeq1d wf1o simp32 ltrn1o syl2anc f1of fcoi2 3syl 3eqtrd
      wf jca ) OUKULRNULUMZEAULERPUNUOUMZFAULFRPUNUOUMZUMZSUPZLULZJUPZGULZIUPZQ
      UQMWNURZWNUQWPQUQDUSUTZVAZVAZIJVBQWNUTZXBWRWSWPVCZVDBVEZWPVCZWPXBWRXDUTZX
      CABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJVFZVGXBWSXEWPXBMQURZWSXEXBMQWNXB
      XGXCXHVHZVIXBMGULZXIXEUTXBWJCAULCRPUNUOUMZWLXKWJWMXAVPZWJWMXLXAACNOPRUAUB
      UCUDVJVKWJWKWLXAVLACFGKMNOPRUAUBUCUFUJVMVNBGKMOQUETVOVQVRVSXBBBWPVTZBBWPW
      HXFWPUTXBWJWQXNXMWJWMWOWQWTWABGWPNOUKRTUCUFWBWCBBWPWDBBWPWEWFWGXJWI $.
  $}

  ${
    dihjust.b $e |- B = ( Base ` K ) $.
    dihjust.l $e |- .<_ = ( le ` K ) $.
    dihjust.j $e |- .\/ = ( join ` K ) $.
    dihjust.m $e |- ./\ = ( meet ` K ) $.
    dihjust.a $e |- A = ( Atoms ` K ) $.
    dihjust.h $e |- H = ( LHyp ` K ) $.
    dihjust.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    dihjust.J $e |- J = ( ( DIsoC ` K ) ` W ) $.
    dihjust.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihjust.s $e |- .(+) = ( LSSum ` U ) $.
    $( Part of proof after Lemma N of [Crawley] p. 122 line 4, "the definition
       of phi(x) is independent of the atom q."  (Contributed by NM,
       2-Mar-2014.) $)
    dihjustlem $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( R e. A /\ -. R .<_ W ) /\ X e. B )
    /\ ( Q .\/ ( X ./\ W ) ) = ( R .\/ ( X ./\ W ) ) )
    -> ( ( J ` Q ) .(+) ( I ` ( X ./\ W ) ) )
             C_ ( ( J ` R ) .(+) ( I ` ( X ./\ W ) ) ) ) $=
      ( chlt wcel wa wbr w3a wceq cfv wss clat simp1l hllatd simp21l atbase syl
      wn co simp23 simp1r lhpbase latmcl syl3anc latlej1 simp3 breqtrd wb simp1
      simp22 simp21 latmle2 cdlemn syl13anc mpbid csubg clss clmod dvhlmod eqid
      jca lsssssubg diclss syl2anc sseldd diblss syl12anc lsmub2 lsmcl mpbi2and
      lsmlub ) KUFUGZNGUGZUHZDAUGZDNLUIUTZUHZEAUGENLUIUTUHZOBUGZUJZDONMVAZJVAZE
      XCJVAZUKZUJZDIULZEIULZXCHULZCVAZUMZXJXKUMZXHXJCVAXKUMZXGDXELUIZXLXGDXDXEL
      XGKUNUGZDBUGZXCBUGZDXDLUIXGKWNWOXBXFUOUPZXGWQXQWQWRWTXAWPXFUQABDKPTURUSXG
      XPXANBUGZXRXSWPWSWTXAXFVBZXGWOXTWNWOXBXFVCBGKNPUAVDUSZBKMONPSVEVFZBJKLDXC
      PQRVGVFWPXBXFVHVIXGWPWTWSXRXCNLUIZUHXOXLVJWPXBXFVKZWPWSWTXAXFVLZWPWSWTXAX
      FVMZXGXRYDYCXGXPXAXTYDXSYAYBBKLMONPQSVNVFZWCABCEDFGHIJKLNXCPQRTUAUBUCUDUE
      VOVPVQXGXIFVRULZUGXJYIUGZXMXGFVSULZYIXIXGFVTUGZYKYIUMXGFGKNUAUDYEWAZYKFYK
      WBZWDUSZXGWPWTXIYKUGZYEYFAEYKFGIKLNQTUAUDUCYNWEWFZWGXGYKYIXJYOXGWPXRYDXJY
      KUGZYEYCYHBYKFGHKLNXCPQUAUDUBYNWHWIZWGZCXIXJFUEWJWFXGXHYIUGYJXKYIUGXLXMUH
      XNVJXGYKYIXHYOXGWPWSXHYKUGYEYGADYKFGIKLNQTUAUDUCYNWEWFWGYTXGYKYIXKYOXGYLY
      PYRXKYKUGYMYQYSCYKXIXJFYNUEWKVFWGCXHXJXKFUEWMVFWL $.

    $( Part of proof after Lemma N of [Crawley] p. 122 line 4, "the definition
       of phi(x) is independent of the atom q."  (Contributed by NM,
       2-Mar-2014.) $)
    dihjust $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( Q e. A /\ -. Q .<_ W )
        /\ ( R e. A /\ -. R .<_ W ) /\ X e. B )
    /\ ( Q .\/ ( X ./\ W ) ) = ( R .\/ ( X ./\ W ) ) )
  -> ( ( J ` Q ) .(+) ( I ` ( X ./\ W ) ) )
        = ( ( J ` R ) .(+) ( I ` ( X ./\ W ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a co wceq cfv dihjustlem wss simp22 simp21 simp23
      simp1 simp3 eqcomd syl131anc eqssd ) KUFUGNGUGUHZDAUGDNLUIUJUHZEAUGENLUIU
      JUHZOBUGZUKZDONMULZJULZEVJJULZUMZUKZDIUNVJHUNZCULZEIUNVOCULZABCDEFGHIJKLM
      NOPQRSTUAUBUCUDUEUOVNVEVGVFVHVLVKUMVQVPUPVEVIVMUTVEVFVGVHVMUQVEVFVGVHVMUR
      VEVFVGVHVMUSVNVKVLVEVIVMVAVBABCEDFGHIJKLMNOPQRSTUAUBUCUDUEUOVCVD $.

    $( Part of proof after Lemma N of [Crawley] p. 122.  Forward ordering
       property.  TODO: change ` ( Q .\/ ( X ./\ W ) ) = X ` to ` Q .<_ X `
       using ~ lhpmcvr3 , here and all theorems below.  (Contributed by NM,
       2-Mar-2014.) $)
    dihord1 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W )
        /\ ( R e. A /\ -. R .<_ W ) ) /\ ( X e. B /\ Y e. B )
    /\ ( ( Q .\/ ( X ./\ W ) ) = X
      /\ ( R .\/ ( Y ./\ W ) ) = Y /\ X .<_ Y ) )
  -> ( ( J ` Q ) .(+) ( I ` ( X ./\ W ) ) )
        C_ ( ( J ` R ) .(+) ( I ` ( Y ./\ W ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a co wceq cfv simp11 simp13 simp12 simp11l hllatd
      wss clat simp2r simp11r lhpbase syl latmcl syl3anc latmle2 simp12l atbase
      jca simp2l latjcl latlej1 simp31 simp33 eqbrtrd lattrd breqtrrd syl131anc
      simp32 cdlemn5 wi latmlem1 syl13anc wb dibord syl122anc mpbird csubg clss
      clmod dvhlmod eqid lsssssubg diclss syl2anc sseldd diblss syl12anc lsmub2
      mpd sstrd lsmcl lsmlub mpbi2and ) KUGUHZNGUHZUIZDAUHZDNLUJUKZUIZEAUHENLUJ
      UKUIZULZOBUHZPBUHZUIZDONMUMZJUMZOUNZEPNMUMZJUMZPUNZOPLUJZULZULZDIUOZEIUOZ
      YBHUOZCUMZVAZXSHUOZYKVAZYHYMCUMYKVAZYGXJXNXMYBBUHZYBNLUJZUIDYCLUJYLXJXMXN
      XRYFUPZXJXMXNXRYFUQZXJXMXNXRYFURZYGYPYQYGKVBUHZXQNBUHZYPYGKXHXIXMXNXRYFUS
      UTZXOXPXQYFVCZYGXIUUBXHXIXMXNXRYFVDBGKNQUBVEVFZBKMPNQTVGVHZYGUUAXQUUBYQUU
      CUUDUUEBKLMPNQRTVIVHZVLYGDPYCLYGBKLDXTPQRUUCYGXKDBUHZXKXLXJXNXRYFVJABDKQU
      AVKVFZYGUUAUUHXSBUHZXTBUHUUCUUIYGUUAXPUUBUUJUUCXOXPXQYFVMZUUEBKMONQTVGVHZ
      BJKDXSQSVNVHUUDYGUUAUUHUUJDXTLUJUUCUUIUULBJKLDXSQRSVOVHYGXTOPLXOXRYAYDYEV
      PXOXRYAYDYEVQZVRVSXOXRYAYDYEWBVTABCEDFGHIJKLNYBQRSUAUBUEUFUCUDWCWAYGYMYJY
      KYGYMYJVAZXSYBLUJZYGYEUUOUUMYGUUAXPXQUUBYEUUOWDUUCUUKUUDUUEBKLMOPNQRTWEWF
      XCYGXJUUJXSNLUJZYPYQUUNUUOWGYRUULYGUUAXPUUBUUPUUCUUKUUEBKLMONQRTVIVHZUUFU
      UGBGHKLNXSYBQRUBUCWHWIWJYGYIFWKUOZUHYJUURUHYJYKVAYGFWLUOZUURYIYGFWMUHZUUS
      UURVAYGFGKNUBUEYRWNZUUSFUUSWOZWPVFZYGXJXNYIUUSUHZYRYSAEUUSFGIKLNRUAUBUEUD
      UVBWQWRZWSYGUUSUURYJUVCYGXJYPYQYJUUSUHZYRUUFUUGBUUSFGHKLNYBQRUBUEUCUVBWTX
      AZWSCYIYJFUFXBWRXDYGYHUURUHYMUURUHYKUURUHYLYNUIYOWGYGUUSUURYHUVCYGXJXMYHU
      USUHYRYTADUUSFGIKLNRUAUBUEUDUVBWQWRWSYGUUSUURYMUVCYGXJUUJUUPYMUUSUHYRUULU
      UQBUUSFGHKLNXSQRUBUEUCUVBWTXAWSYGUUSUURYKUVCYGUUTUVDUVFYKUUSUHUVAUVEUVGCU
      USYIYJFUVBUFXEVHWSCYHYMYKFUFXFVHXG $.

    $( Part of proof after Lemma N of [Crawley] p. 122.  Reverse ordering
       property.  (Contributed by NM, 3-Mar-2014.) $)
    dihord2a $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W )
        /\ ( R e. A /\ -. R .<_ W ) ) /\ ( X e. B /\ Y e. B )
    /\ ( ( Q .\/ ( X ./\ W ) ) = X /\ ( R .\/ ( Y ./\ W ) ) = Y /\
          ( ( J ` Q ) .(+) ( I ` ( X ./\ W ) ) )
        C_ ( ( J ` R ) .(+) ( I ` ( Y ./\ W ) ) ) ) )
       -> Q .<_ ( R .\/ ( Y ./\ W ) ) ) $=
      ( chlt wcel wa wbr wn w3a co wceq cfv wss csubg clss clmod simp11 dvhlmod
      eqid lsssssubg simp12 diclss syl2anc sseldd simp11l hllatd simp2l simp11r
      syl lhpbase latmcl syl3anc latmle2 diblss syl12anc lsmub1 simp33 sstrd wb
      clat simp13 simp2r jca cdlemn syl13anc mpbird ) KUGUHZNGUHZUIZDAUHDNLUJUK
      UIZEAUHENLUJUKUIZULZOBUHZPBUHZUIZDONMUMZJUMOUNZEPNMUMZJUMZPUNZDIUOZWSHUOZ
      CUMZEIUOXAHUOCUMZUPZULZULZDXBLUJZXDXGUPZXJXDXFXGXJXDFUQUOZUHXEXMUHXDXFUPX
      JFURUOZXMXDXJFUSUHXNXMUPXJFGKNUBUEWLWMWNWRXIUTZVAXNFXNVBZVCVLZXJWLWMXDXNU
      HXOWLWMWNWRXIVDZADXNFGIKLNRUAUBUEUDXPVEVFVGXJXNXMXEXQXJWLWSBUHZWSNLUJZXEX
      NUHXOXJKWCUHZWPNBUHZXSXJKWJWKWMWNWRXIVHVIZWOWPWQXIVJZXJWKYBWJWKWMWNWRXIVK
      BGKNQUBVMVLZBKMONQTVNVOXJYAWPYBXTYCYDYEBKLMONQRTVPVOBXNFGHKLNWSQRUBUEUCXP
      VQVRVGCXDXEFUFVSVFWOWRWTXCXHVTWAXJWLWNWMXABUHZXANLUJZUIXKXLWBXOWLWMWNWRXI
      WDXRXJYFYGXJYAWQYBYFYCWOWPWQXIWEZYEBKMPNQTVNVOXJYAWQYBYGYCYHYEBKLMPNQRTVP
      VOWFABCEDFGHIJKLNXAQRSUAUBUCUDUEUFWGWHWI $.

    $( Part of proof after Lemma N of [Crawley] p. 122.  Reverse ordering
       property.  (Contributed by NM, 3-Mar-2014.) $)
    dihord2b $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W )
        /\ ( R e. A /\ -. R .<_ W ) ) /\ ( X e. B /\ Y e. B )
    /\ ( ( J ` Q ) .(+) ( I ` ( X ./\ W ) ) )
        C_ ( ( J ` R ) .(+) ( I ` ( Y ./\ W ) ) ) )
       -> ( I ` ( X ./\ W ) ) C_ ( ( J ` R ) .(+) ( I ` ( Y ./\ W ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a cfv co wss csubg clss clmod simp11 dvhlmod eqid
      lsssssubg simp12 diclss syl2anc sseldd clat simp11l hllatd simp2l simp11r
      syl lhpbase latmcl syl3anc latmle2 diblss syl12anc lsmub2 simp3 sstrd ) K
      UGUHZNGUHZUIZDAUHDNLUJUKUIZEAUHENLUJUKUIZULZOBUHZPBUHZUIZDIUMZONMUNZHUMZC
      UNZEIUMPNMUNHUMCUNZUOZULZWMWNWOWQWKFUPUMZUHWMWRUHWMWNUOWQFUQUMZWRWKWQFURU
      HWSWRUOWQFGKNUBUEWDWEWFWJWPUSZUTWSFWSVAZVBVLZWQWDWEWKWSUHWTWDWEWFWJWPVCAD
      WSFGIKLNRUAUBUEUDXAVDVEVFWQWSWRWMXBWQWDWLBUHZWLNLUJZWMWSUHWTWQKVGUHZWHNBU
      HZXCWQKWBWCWEWFWJWPVHVIZWGWHWIWPVJZWQWCXFWBWCWEWFWJWPVKBGKNQUBVMVLZBKMONQ
      TVNVOWQXEWHXFXDXGXHXIBKLMONQRTVPVOBWSFGHKLNWLQRUBUEUCXAVQVRVFCWKWMFUFVSVE
      WGWJWPVTWA $.

    $d f g s y z .\/ $.  $d f g s y z ./\ $.  $d f g s y z .(+) $.  $d g s E $.
    $d g s y z .+ $.  $d f g h s y z A $.  $d f g s y z I $.  $d f g s y z J $.
    $d g G $.  $d g s y z O $.  $d h P $.  $d f g s y z Q $.  $d f g s y z R $.
    $d f g h s y z B $.  $d f g h s y z H $.  $d f g h s y z K $.  $d y z U $.
    $d f g h s y z .<_ $.  $d f g h s y z N $.  $d f g h s y z T $.
    $d f g h s y z W $.  $d f g s y z X $.  $d f g s y z Y $.
    dihord2c.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dihord2c.r $e |- R = ( ( trL ` K ) ` W ) $.
    dihord2c.o $e |- O = ( h e. T |-> ( _I |` B ) ) $.
    $( Part of proof after Lemma N of [Crawley] p. 122.  Reverse ordering
       property.  TODO: needed? shorten other proof with it?  (Contributed by
       NM, 3-Mar-2014.)  (New usage is discouraged.) $)
    dihord2cN $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. B
    /\ ( f e. T /\ ( R ` f ) .<_ ( X ./\ W ) ) )
       -> <. f , O >. e. ( I ` ( X ./\ W ) ) ) $=
      ( chlt wcel wa cv cfv co wbr w3a cop wceq simp3 eqidd simp1 simp1l hllatd
      clat simp2 simp1r lhpbase syl latmcl syl3anc latmle2 dibopelval3 syl12anc
      wb mpbir2and ) MULUMZQIUMZUNZRBUMZGUOZEUMWCDUPRQOUQZNURUNZUSZWCPUTWDJUPUM
      ZWEPPVAZWAWBWEVBWFPVCWFWAWDBUMZWDQNURZWGWEWHUNVQWAWBWEVDWFMVGUMZWBQBUMZWI
      WFMVSVTWBWEVEVFZWAWBWEVHZWFVTWLVSVTWBWEVIBIMQSUDVJVKZBMORQSUBVLVMWFWKWBWL
      WJWMWNWOBMNORQSTUBVNVMBDPEHWCIJMNULQWDPSTUDUIUJUKUEVOVPVR $.

    $( Part of proof after Lemma N of [Crawley] p. 122.  Reverse ordering
       property. TODO: needed? shorten other proof with it? $)
$(
    dihord2d $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ Y e. B
      /\ ( I ` ( X ./\ W ) ) C_ ( ( J ` R ) .(+) ( I ` ( Y ./\ W ) ) ) )
    /\ ( f e. T /\ ( R ` f ) .<_ ( X ./\ W ) ) )
       -> <. f , O >. e. ( I ` ( Y ./\ W ) ) ) $=
      ( chlt wcel wa co cfv wss w3a cv wbr cop wceq wb simp1 cid cres cvv cltrn
      cmpt fvex eqeltri mptex dibopelval3 syl12anc mpbird ) MUMUNQIUNUOZRBUNSBU
      NRQOUPZJUQCKUQSQOUPZJUQZDUPURUSZGUTZEUNZWBCUQZVRNVAUOZUSZWBPVBVTUNZWCWDVS
      NVAUOPPVCUOZ?WFVQVSBUNVSQNVAWGWHVDVQWAWEVE??BCPEHWBIJMNPUMQVSTUAUEUJUKULU
      FPHEVFBVGZVJVHULHEWIEQMVIUQZUQVHUJQWJVKVLVMVLVNVOVP $.
      @( [3-Mar-2014] @)
$)

    dihord2.p $e |- P = ( ( oc ` K ) ` W ) $.
    dihord2.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dihord2.d $e |- .+ = ( +g ` U ) $.
    dihord2.g $e |- G = ( iota_ h e. T ( h ` P ) = N ) $.
    $( Part of proof after Lemma N of [Crawley] p. 122.  Reverse ordering
       property.  (Contributed by NM, 3-Mar-2014.) $)
    dihord11b $p |- ( ( ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\
-. Q .<_ W ) /\ ( N e. A /\ -. N .<_ W ) ) /\ ( X e. B /\ Y
 e. B ) /\
 ( ( J ` Q ) .(+) ( I ` ( X ./\ W ) ) ) C_ ( ( J ` N ) .(+) ( I ` ( Y ./\ W ) )
 ) ) /\ ( f e. T /\ ( R ` f ) .<_ ( X ./\ W ) ) ) -> <. f , O >. e. ( ( J ` N
                                  ) .(+) ( I ` ( Y ./\ W ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a cfv co wss cop dihord2b adantr wceq simpr eqidd
      cv simpl11 clat simp11l hllatd simpl2l simp11r lhpbase syl latmcl syl3anc
      wb latmle2 dibopelval3 syl12anc mpbir2and sseldd ) RVCVDZUCNVDZVEZFAVDFUC
      SVFVGVEZUAAVDUAUCSVFVGVEZVHZUDBVDZUEBVDZVEZFPVIUDUCTVJZOVIZEVJUAPVIUEUCTV
      JOVIEVJZVKZVHZJVRZHVDXIGVIXDSVFVEZVEZXEXFXIUBVLZXHXEXFVKXJABEFUAINOPQRSTU
      CUDUEUFUGUHUIUJUKULUMUNUOVMVNXKXLXEVDZXJUBUBVOZXHXJVPXKUBVQXKWQXDBVDZXDUC
      SVFZXMXJXNVEWIWQWRWSXCXGXJVSXKRVTVDZXAUCBVDZXOXKRXHWOXJWOWPWRWSXCXGWAVNWB
      ZXAXBWTXGXJWCZXKWPXRXHWPXJWOWPWRWSXCXGWDVNBNRUCUFUKWEWFZBRTUDUCUFUIWGWHXK
      XQXAXRXPXSXTYABRSTUDUCUFUGUIWJWHBGUBHKXINORSVCUCXDUBUFUGUKUPUQURULWKWLWMW
      N $.

    $( Part of proof after Lemma N of [Crawley] p. 122.  Reverse ordering
       property.  (Contributed by NM, 3-Mar-2014.) $)
    dihord10 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W )
        /\ ( N e. A /\ -. N .<_ W ) )
     /\ ( f e. T /\ ( R ` f ) .<_ ( X ./\ W ) )
     /\ ( ( s e. E /\ g e. T ) /\ ( R ` g ) .<_ ( Y ./\ W ) /\ <. f , O >.
       = ( <. ( s ` G ) , s >. .+ <. g , O >. ) ) )
  -> ( R ` f ) .<_ ( Y ./\ W ) ) $=
      ( chlt wcel wa wbr wn w3a cv cfv co cop wceq simp11 simp12 simp13 simp31l
      weq simp31r simp33 dihordlem7b simpld syl123anc fveq2d simp32 eqbrtrd ) S
      VEVFUDOVFVGZFAVFFUDTVHVIVGZUBAVFUBUDTVHVIVGZVJZJVKZHVFWMGVLZUEUDUAVMTVHVG
      ZUGVKZMVFZKVKZHVFZVGZWRGVLZUFUDUAVMZTVHZWMUCVNNWPVLWPVNWRUCVNDVMVOZVJZVJZ
      WNXAXBTXFWMWRGXFWIWJWKWQWSXDJKVTZWIWJWKWOXEVPWIWJWKWOXEVQWIWJWKWOXEVRWQWS
      XCXDWLWOVSWQWSXCXDWLWOWAWLWOWTXCXDWBWIWJWKVGWQWSXDVJVJXGUCWPVOABCDFUBHIJK
      LMNOSTUCUDUGUHUIULUMVAUTURVBUPVCVDWCWDWEWFWLWOWTXCXDWGWH $.

    $( Part of proof after Lemma N of [Crawley] p. 122.  Reverse ordering
       property.  (Contributed by NM, 3-Mar-2014.) $)
    dihord11c $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W )
    /\ ( N e. A /\ -. N .<_ W ) ) /\ ( X e. B /\ Y e. B )
    /\ ( ( ( J ` Q ) .(+) ( I ` ( X ./\ W ) ) )
  C_ ( ( J ` N ) .(+) ( I ` ( Y ./\ W ) ) ) /\ f e. T
    /\ ( R ` f ) .<_ ( X ./\ W ) ) ) -> E. y e. ( J ` N )
                E. z e. ( I ` ( Y ./\ W ) ) <. f , O >. = ( y .+ z ) ) $=
      ( chlt wcel wa wbr wn w3a cfv co wss cv cop wceq wrex simp1 simp31 simp32
      simp2 simp33 dihord11b syl32anc csubg clss clmod simp11 dvhlmod lsssssubg
      eqid syl simp13 diclss syl2anc sseldd clat simp11l hllatd simp11r lhpbase
      wb simp2r latmcl syl3anc latmle2 diblss syl12anc lsmelval mpbid ) TVEVFZU
      EPVFZVGZHCVFHUEUAVHVIVGZUCCVFUCUEUAVHVIVGZVJZUFDVFZUGDVFZVGZHRVKUFUEUBVLZ
      QVKGVLUCRVKZUGUEUBVLZQVKZGVLZVMZLVNZJVFZYFIVKXTUAVHZVJZVJZYFUDVOZYDVFZYKA
      VNBVNFVLVPBYCVQAYAVQZYJXPXSYEYGYHYLXPXSYIVRXPXSYIWAXPXSYEYGYHVSXPXSYEYGYH
      VTXPXSYEYGYHWBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTV
      AVBVCVDWCWDYJYAKWEVKZVFYCYNVFYLYMXBYJKWFVKZYNYAYJKWGVFYOYNVMYJKPTUEUMUPXM
      XNXOXSYIWHZWIYOKYOWKZWJWLZYJXMXOYAYOVFYPXMXNXOXSYIWMCUCYOKPRTUAUEUIULUMUP
      UOYQWNWOWPYJYOYNYCYRYJXMYBDVFZYBUEUAVHZYCYOVFYPYJTWQVFZXRUEDVFZYSYJTXKXLX
      NXOXSYIWRWSZXPXQXRYIXCZYJXLUUBXKXLXNXOXSYIWTDPTUEUHUMXAWLZDTUBUGUEUHUKXDX
      EYJUUAXRUUBYTUUCUUDUUEDTUAUBUGUEUHUIUKXFXEDYOKPQTUAUEYBUHUIUMUPUNYQXGXHWP
      ABFGYAYCKYKVCUQXIWOXJ $.

    $( Part of proof after Lemma N of [Crawley] p. 122.  Reverse ordering
       property.  (Contributed by NM, 3-Mar-2014.) $)
    dihord2pre $p |- ( ( ( ( K e. HL /\ W e. H )
        /\ ( Q e. A /\ -. Q .<_ W )
        /\ ( N e. A /\ -. N .<_ W ) ) /\ ( X e. B /\ Y e. B )
    /\ ( ( J ` Q ) .(+) ( I ` ( X ./\ W ) ) )
        C_ ( ( J ` N ) .(+) ( I ` ( Y ./\ W ) ) ) )
       -> ( X ./\ W ) .<_ ( Y ./\ W ) ) $=
      ( vf vy vz vs vg chlt wcel wa wbr wn w3a cfv co wss cv wral cop wceq wrex
      simpl1 simpl2l simpl2r simpl3 simprl simprr dihord11c syl123anc dicelval3
      wi simpl11 simpl13 syl2anc clat simp11l adantr hllatd simp11r lhpbase syl
      wb latmcl syl3anc latmle2 dibelval3 syl12anc anbi12d reeanv simpll1 simpr
      simplr dihord10 3exp2 oveq12 eqeq2d imbi1d imbi2d biimprd com23 impr syl6
      com12 rexlimdvv syl5bir sylbid exp32 ralrimiv simp11 simp2l simp2r trlord
      mpd syl122anc mpbird ) QVGVHZUBMVHZVIZFAVHFUBRVJVKVIZTAVHTUBRVJVKVIZVLZUC
      BVHZUDBVHZVIZFOVMUCUBSVNZNVMEVNTOVMZUDUBSVNZNVMZEVNVOZVLZUUDUUFRVJZVBVPZG
      VMZUUDRVJZUULUUFRVJZWJZVBHVQZUUIUUOVBHUUIUUKHVHZUUMUUNUUIUUQUUMVIZVIZUUKU
      AVRZVCVPZVDVPZDVNZVSZVDUUGVTVCUUEVTZUUNUUSYTUUAUUBUUHUUQUUMUVEYTUUCUUHUUR
      WAUUAUUBYTUUHUURWBUUAUUBYTUUHUURWCZYTUUCUUHUURWDUUIUUQUUMWEUUIUUQUUMWFVCV
      DABCDEFGHIVBJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAWGWHUUSU
      VDUUNVCVDUUEUUGUUSUVAUUEVHZUVBUUGVHZVIUVALVEVPZVMUVIVRZVSZVEKVTZUVBVFVPZU
      AVRZVSZUVMGVMUUFRVJZVIZVFHVTZVIZUVDUUNWJZUUSUVGUVLUVHUVRUUSYQYSUVGUVLXAYQ
      YRYSUUCUUHUURWKZYQYRYSUUCUUHUURWLACTHJKLMOQRVGUBUVAVEUFUIUJURUOUSULVAWIWM
      UUSYQUUFBVHZUUFUBRVJZUVHUVRXAUWAUUSQWNVHZUUBUBBVHZUWBUUSQUUIYOUURYOYPYRYS
      UUCUUHWOZWPWQZUVFUUSYPUWEUUIYPUURYOYPYRYSUUCUUHWRZWPBMQUBUEUJWSZWTZBQSUDU
      BUEUHXBZXCUUSUWDUUBUWEUWCUWGUVFUWJBQRSUDUBUEUFUHXDZXCBGHVFJMNQRVGUBUUFUVB
      UAUEUFUJUOUPUQUKXEXFXGUVSUVKUVQVIZVFHVTVEKVTUUSUVTUVKUVQVEVFKHXHUUSUWMUVT
      VEVFKHUUSUVIKVHUVMHVHVIZUVPUUTUVJUVNDVNZVSZUUNWJZWJZUWMUVTWJUUSUWNUVPUWPU
      UNUUSUWNUVPUWPVLZVIYTUURUWSUUNYTUUCUUHUURUWSXIUUIUURUWSXKUUSUWSXJABCDEFGH
      IVBVFJKLMNOPQRSTUAUBUCUDVEUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAXLXCXMUWMUWRU
      VTUVKUVOUVPUWRUVTWJUVKUVOVIZUWRUVPUVTUWTUVPUVTWJUWRUWTUVTUWQUVPUWTUVDUWPU
      UNUWTUVCUWOUUTUVAUVJUVBUVNDXNXOXPXQXRXSXTYBYAYCYDYEYCYLYFYGUUIYQUUDBVHZUU
      DUBRVJZUWBUWCUUJUUPXAYQYRYSUUCUUHYHUUIUWDUUAUWEUXAUUIQUWFWQZYTUUAUUBUUHYI
      ZUUIYPUWEUWHUWIWTZBQSUCUBUEUHXBXCUUIUWDUUAUWEUXBUXCUXDUXEBQRSUCUBUEUFUHXD
      XCUUIUWDUUBUWEUWBUXCYTUUAUUBUUHYJZUXEUWKXCUUIUWDUUBUWEUWCUXCUXFUXEUWLXCAB
      GHVBMQRUBUUDUUFUEUFUIUJUOUPYKYMYN $.

    $( Part of proof after Lemma N of [Crawley] p. 122.  Reverse ordering
       property.  (Contributed by NM, 4-Mar-2014.) $)
    dihord2pre2 $p |- ( ( ( ( K e. HL /\ W e. H )
        /\ ( Q e. A /\ -. Q .<_ W )
        /\ ( N e. A /\ -. N .<_ W ) ) /\ ( X e. B /\ Y e. B )
    /\ ( ( Q .\/ ( X ./\ W ) ) = X /\ ( N .\/ ( Y ./\ W ) ) = Y /\
          ( ( J ` Q ) .(+) ( I ` ( X ./\ W ) ) )
        C_ ( ( J ` N ) .(+) ( I ` ( Y ./\ W ) ) ) ) )
       -> ( Q .\/ ( X ./\ W ) ) .<_ ( N .\/ ( Y ./\ W ) ) ) $=
      ( chlt wcel wa wbr wn w3a co wceq cfv dihord2a simp11l hllatd clat simp2l
      wss simp11r lhpbase latmcl syl3anc simp2r atbase latjcl simp33 dihord2pre
      syl simp13l syld3an3 latlej2 lattrd wb simp12l latjle12 syl13anc mpbi2and
      ) QVBVCZUBMVCZVDZFAVCZFUBRVEVFZVDZTAVCZTUBRVEVFZVDZVGZUCBVCZUDBVCZVDZFUCU
      BSVHZPVHZUCVIZTUDUBSVHZPVHZUDVIZFOVJXINVJEVHTOVJXLNVJEVHVPZVGZVGZFXMRVEZX
      IXMRVEZXJXMRVEZABEFTIMNOPQRSUBUCUDUEUFUGUHUIUJUKULUMUNVKXQBQRXIXLXMUEUFXQ
      QWPWQXAXDXHXPVLVMZXQQVNVCZXFUBBVCZXIBVCZYAXEXFXGXPVOXQWQYCWPWQXAXDXHXPVQB
      MQUBUEUJVRWFZBQSUCUBUEUHVSVTZXQYBXGYCXLBVCZYAXEXFXGXPWAYEBQSUDUBUEUHVSVTZ
      XQYBTBVCZYGXMBVCZYAXQXBYIXBXCWRXAXHXPWGABTQUEUIWBWFZYHBPQTXLUEUGWCVTZXEXH
      XPXOXIXLRVEXEXHXKXNXOWDABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUO
      UPUQURUSUTVAWEWHXQYBYIYGXLXMRVEYAYKYHBPQRTXLUEUFUGWIVTWJXQYBFBVCZYDYJXRXS
      VDXTWKYAXQWSYMWSWTWRXDXHXPWLABFQUEUIWBWFYFYLBPQRFXIXMUEUFUGWMWNWO $.
  $}

  ${
    $d h .<_ $.  $d h A $.  $d h B $.  $d h H $.  $d h K $.  $d h N $.
    $d h W $.
    dihord2.b $e |- B = ( Base ` K ) $.
    dihord2.l $e |- .<_ = ( le ` K ) $.
    dihord2.j $e |- .\/ = ( join ` K ) $.
    dihord2.m $e |- ./\ = ( meet ` K ) $.
    dihord2.a $e |- A = ( Atoms ` K ) $.
    dihord2.h $e |- H = ( LHyp ` K ) $.
    dihord2.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    dihord2.J $e |- J = ( ( DIsoC ` K ) ` W ) $.
    dihord2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihord2.s $e |- .(+) = ( LSSum ` U ) $.
    $( Part of proof after Lemma N of [Crawley] p. 122.  Reverse ordering
       property.  TODO: do we need ` -. X .<_ W ` and ` -. Y .<_ W ` ?
       (Contributed by NM, 4-Mar-2014.) $)
    dihord2 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W )
        /\ ( N e. A /\ -. N .<_ W ) ) /\ ( X e. B /\ Y e. B )
    /\ ( ( Q .\/ ( X ./\ W ) ) = X /\ ( N .\/ ( Y ./\ W ) ) = Y /\
          ( ( J ` Q ) .(+) ( I ` ( X ./\ W ) ) )
        C_ ( ( J ` N ) .(+) ( I ` ( Y ./\ W ) ) ) ) )
       -> X .<_ Y ) $=
      ( vh chlt wcel wa wbr wn w3a co wceq cfv wss coc cplusg ctrl cltrn ctendo
      cv crio cid cres cmpt eqid dihord2pre2 simp31 simp32 3brtr3d ) JUHUINFUIU
      JDAUIDNKUKULUJMAUIMNKUKULUJUMZOBUIPBUIUJZDONLUNZIUNZOUOZMPNLUNZIUNZPUOZDH
      UPVOGUPCUNMHUPVRGUPCUNUQZUMUMVPVSOPKABNJURUPUPZEUSUPZCDNJUTUPUPZNJVAUPUPZ
      EUGNJVBUPUPZWBUGVCUPMUOUGWEVDZFGHIJKLMUGWEVEBVFVGZNOPQRSTUAUBUCUDUEUFWEVH
      WDVHWHVHWBVHWFVHWCVHWGVHVIVMVNVQVTWAVJVMVNVQVTWAVKVL $.
  $}

  $c DIsoH $.

  $( Extend class notation with isomorphism H. $)
  cdih $a class DIsoH $.

  ${
    $d k q w u x $.
    $( Define isomorphism H. (Contributed by NM, 28-Jan-2014.) $)
    df-dih $a |- DIsoH = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
  ( x e. ( Base ` k ) |-> if ( x ( le ` k ) w , ( ( ( DIsoB ` k ) ` w ) ` x ) ,
    ( iota_ u e. ( LSubSp ` ( ( DVecH ` k ) ` w ) )
       A. q e. ( Atoms ` k ) ( ( -. q ( le ` k ) w /\
             ( q ( join ` k ) ( x ( meet ` k ) w ) ) = x )
         -> u = ( ( ( ( DIsoC ` k ) ` w ) ` q )
             ( LSSum ` ( ( DVecH ` k ) ` w ) )
        ( ( ( DIsoB ` k ) ` w ) ` ( x ( meet ` k ) w ) ) ) ) ) ) ) ) ) $.
  $}

  ${
    $d k ./\ $.  $d k .<_ $.  $d k .\/ $.  $d k q A $.  $d k B $.  $d k q A $.
    $d k w H $.  $d k q u w x K $.
    dihval.b $e |- B = ( Base ` K ) $.
    dihval.l $e |- .<_ = ( le ` K ) $.
    dihval.j $e |- .\/ = ( join ` K ) $.
    dihval.m $e |- ./\ = ( meet ` K ) $.
    dihval.a $e |- A = ( Atoms ` K ) $.
    dihval.h $e |- H = ( LHyp ` K ) $.
    $( The isomorphism H for a lattice ` K ` .  Definition of isomorphism map
       in [Crawley] p. 122 line 3.  (Contributed by NM, 28-Jan-2014.) $)
    dihffval $p |- ( K e. V -> ( DIsoH ` K ) = ( w e. H |->
  ( x e. B |-> if ( x .<_ w , ( ( ( DIsoB ` K ) ` w ) ` x ) ,
    ( iota_ u e. ( LSubSp ` ( ( DVecH ` K ) ` w ) )
       A. q e. A ( ( -. q .<_ w /\
             ( q .\/ ( x ./\ w ) ) = x )
         -> u = ( ( ( ( DIsoC ` K ) ` w ) ` q )
             ( LSSum ` ( ( DVecH ` K ) ` w ) )
        ( ( ( DIsoB ` K ) ` w ) ` ( x ./\ w ) ) ) ) ) ) ) ) ) $=
      ( cfv fveq2 vk wcel cvv cdih cv cdib wn co wceq wa cdic cdvh clsm wi wral
      wbr clss crio cif cmpt elex clh cbs cple cmee eqtr4di breqd fveq1d fveq2d
      catm notbid eqidd oveqd oveq123d eqeq1d anbi12d fveq12d imbi12d raleqbidv
      cjn eqeq2d riotaeqbidv ifbieq12d mpteq12dv df-dih mptfvmpt syl ) HKUBHUCU
      BHUDSBFAEAUEZBUEZIUPZWHWIHUFSZSZSZLUEZWIIUPZUGZWNWHWIJUHZGUHZWHUIZUJZCUEZ
      WNWIHUKSZSZSZWQWLSZWIHULSZSZUMSZUHZUIZUNZLDUOZCXGUQSZURZUSZUTZUTUIHKVABUA
      XPVBUDBUAUEZVBSZAXQVCSZWHWIXQVDSZUPZWHWIXQUFSZSZSZWNWIXTUPZUGZWNWHWIXQVES
      ZUHZXQVTSZUHZWHUIZUJZXAWNWIXQUKSZSZSZYHYCSZWIXQULSZSZUMSZUHZUIZUNZLXQVJSZ
      UOZCYRUQSZURZUSZUTZUTFUCHHXQHUIZBXRUUHFXPUUIXRHVBSFXQHVBTRVFUUIAXSUUGEXOU
      UIXSHVCSEXQHVCTMVFUUIYAWJYDUUFWMXNUUIXTIWHWIUUIXTHVDSIXQHVDTNVFZVGUUIWHYC
      WLUUIWIYBWKXQHUFTVHZVHUUIUUDXLCUUEXMUUIYRXGUQUUIWIYQXFXQHULTVHZVIUUIUUBXK
      LUUCDUUIUUCHVJSDXQHVJTQVFUUIYLWTUUAXJUUIYFWPYKWSUUIYEWOUUIXTIWNWIUUJVGVKU
      UIYJWRWHUUIWNWNYHWQYIGUUIYIHVTSGXQHVTTOVFUUIWNVLUUIYGJWHWIUUIYGHVESJXQHVE
      TPVFVMZVNVOVPUUIYTXIXAUUIYOXDYPXEYSXHUUIYRXGUMUULVIUUIWNYNXCUUIWIYMXBXQHU
      KTVHVHUUIYHWQYCWLUUKUUMVQVNWAVRVSWBWCWDWDABCUALWERWFWG $.

    $d w ./\ $.  $d w .<_ $.  $d w .\/ $.  $d w A $.  $d w x B $.  $d w C $.
    $d w D $.  $d w .(+) $.  $d u w S $.  $d q u w x W $.
    dihval.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihval.d $e |- D = ( ( DIsoB ` K ) ` W ) $.
    dihval.c $e |- C = ( ( DIsoC ` K ) ` W ) $.
    dihval.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihval.s $e |- S = ( LSubSp ` U ) $.
    dihval.p $e |- .(+) = ( LSSum ` U ) $.
    $( Isomorphism H for a lattice ` K ` .  Definition of isomorphism map in
       [Crawley] p. 122 line 3.  (Contributed by NM, 28-Jan-2014.) $)
    dihfval $p |- ( ( K e. V /\ W e. H )
  -> I = ( x e. B |-> if ( x .<_ W , ( D ` x ) ,
    ( iota_ u e. S A. q e. A ( ( -. q .<_ W /\ ( q .\/ ( x ./\ W ) ) = x )
         -> u = ( ( C ` q ) .(+) ( D ` ( x ./\ W ) ) ) ) ) ) ) ) $=
      ( vw wcel cv wbr cdib cfv wn co wceq wa cdic cdvh clsm wral clss crio cif
      wi cmpt cdih dihffval fveq1d syl5eq cbs breq2 fveq2 eqtr4di fveq2d notbid
      oveq2d eqeq1d anbi12d fveq12d oveq123d eqeq2d imbi12d ralbidv riotaeqbidv
      oveq2 ifbieq12d mpteq2dv eqid mptfvmpt sylan9eq ) MPULZQJULKQUKJADAUMZUKU
      MZNUNZWPWQMUOUPZUPZUPZRUMZWQNUNZUQZXBWPWQOURZLURZWPUSZUTZBUMZXBWQMVAUPZUP
      ZUPZXEWTUPZWQMVBUPZUPZVCUPZURZUSZVHZRCVDZBXOVEUPZVFZVGZVIZVIZUPZADWPQNUNZ
      WPFUPZXBQNUNZUQZXBWPQOURZLURZWPUSZUTZXIXBEUPZYKFUPZGURZUSZVHZRCVDZBHVFZVG
      ZVIWOKQMVJUPZUPYFUEWOQUUCYEAUKBCDJLMNOPRSTUAUBUCUDVKVLVMAUKUUBVNYEYDDJMQW
      QQUSZADYCUUBUUDWRYGXAYBYHUUAWQQWPNVOUUDWPWTFUUDWTQWSUPFWQQWSVPUFVQZVLUUDX
      TYTBYAHUUDYAIVEUPHUUDXOIVEUUDXOQXNUPIWQQXNVPUHVQZVRUIVQUUDXSYSRCUUDXHYNXR
      YRUUDXDYJXGYMUUDXCYIWQQXBNVOVSUUDXFYLWPUUDXEYKXBLWQQWPOWIZVTWAWBUUDXQYQXI
      UUDXLYOXMYPXPGUUDXPIVCUPGUUDXOIVCUUFVRUJVQUUDXBXKEUUDXKQXJUPEWQQXJVPUGVQV
      LUUDXEYKWTFUUEUUGWCWDWEWFWGWHWJWKYEWLSWMWN $.

    $d x ./\ $.  $d x .<_ $.  $d x .\/ $.  $d x A $.  $d x C $.  $d x D $.
    $d x .(+) $.  $d x S $.  $d q u x X $.
    $( Value of isomorphism H for a lattice ` K ` .  Definition of isomorphism
       map in [Crawley] p. 122 line 3.  (Contributed by NM, 3-Feb-2014.) $)
    dihval $p |- ( ( ( K e. V /\ W e. H ) /\ X e. B )
        -> ( I ` X ) = if ( X .<_ W , ( D ` X ) ,
    ( iota_ u e. S A. q e. A ( ( -. q .<_ W /\ ( q .\/ ( X ./\ W ) ) = X )
         -> u = ( ( C ` q ) .(+) ( D ` ( X ./\ W ) ) ) ) ) ) ) $=
      ( vx wcel wa cfv cv wbr wn co wceq wi wral crio cmpt dihfval fveq1d breq1
      cif fveq2 oveq1 oveq2d id eqeq12d anbi2d fvoveq1 eqeq2d imbi12d riotabidv
      ralbidv ifbieq12d eqid fvex riotaex ifex fvmpt sylan9eq ) LOULPIULUMZQCUL
      QJUNQUKCUKUOZPMUPZWGEUNZRUOZPMUPUQZWJWGPNURZKURZWGUSZUMZAUOZWJDUNZWLEUNZF
      URZUSZUTZRBVAZAGVBZVGZVCZUNQPMUPZQEUNZWKWJQPNURZKURZQUSZUMZWPWQXHEUNZFURZ
      USZUTZRBVAZAGVBZVGZWFQJXEUKABCDEFGHIJKLMNOPRSTUAUBUCUDUEUFUGUHUIUJVDVEUKQ
      XDXRCXEWGQUSZWHXFWIXCXGXQWGQPMVFWGQEVHXSXBXPAGXSXAXORBXSWOXKWTXNXSWNXJWKX
      SWMXIWGQXSWLXHWJKWGQPNVIVJXSVKVLVMXSWSXMWPXSWRXLWQFWGQPENVNVJVOVPVRVQVSXE
      VTXFXGXQQEWAXPAGWBWCWDWE $.

    $( Value of isomorphism H for a lattice ` K ` when ` -. X .<_ W ` .
       (Contributed by NM, 4-Mar-2014.) $)
    dihvalc $p |- ( ( ( K e. V /\ W e. H ) /\ ( X e. B /\ -. X .<_ W ) )
        -> ( I ` X ) =
    ( iota_ u e. S A. q e. A ( ( -. q .<_ W /\ ( q .\/ ( X ./\ W ) ) = X )
         -> u = ( ( C ` q ) .(+) ( D ` ( X ./\ W ) ) ) ) ) ) $=
      ( wcel wa wbr wn cfv cv wceq wral crio cif dihval iffalse sylan9eq anasss
      co wi ) LOUKPIUKULZQCUKZQPMUMZUNZQJUOZRUPZPMUMUNVLQPNVEZKVEQUQULAUPVLDUOV
      MEUOFVEUQVFRBURAGUSZUQVGVHULVJVKVIQEUOZVNUTVNABCDEFGHIJKLMNOPQRSTUAUBUCUD
      UEUFUGUHUIUJVAVIVOVNVBVCVD $.

    $d q r u .\/ $.  $d q r u .<_ $.  $d r u A $.  $d q r u B $.  $d q r u C $.
    $d q r u .(+) $.  $d q r u D $.  $d q I $.  $d r K $.  $d r W $.  $d r X $.
    $d q r u ./\ $.  $d q r u H $.  $d q r u Q $.  $d q r S $.
    $( Closure of isomorphism H for a lattice ` K ` when ` -. X .<_ W ` .
       (Contributed by NM, 6-Mar-2014.) $)
    dihlsscpre $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( X e. B /\ -. X .<_ W ) ) -> ( I ` X ) e. S ) $=
      ( vq vu vr chlt wcel wa wbr wn cfv cv co wceq wral crio dihvalc wreu wrex
      wi w3a simp1l simp2l simp3ll jca simp2r simp3rl simp1rl simp3lr syl131anc
      simp3rr eqtr4d dihjust ralrimivv wb lhpmcvr2 clmod simpll dvhlmod adantlr
      3exp diclss clat hllat ad3antrrr simplrl lhpbase ad3antlr syl3anc latmle2
      latmcl diblss syl12anc lsmcl a1d expr ancld reximdva mpd weq breq1 notbid
      impd oveq1 eqeq1d anbi12d fveq2 oveq1d reusv3 mpbid reusv1 mpbird riotacl
      syl eqeltrd ) KUKULZNHULZUMZOBULZONLUNUOZUMZUMZOIUPUHUQZNLUNZUOZYHONMURZJ
      URZOUSZUMZUIUQYHCUPZYKDUPZEURZUSVEUHAUTZUIFVAZFUIABCDEFGHIJKLMUKNOUHPQRST
      UAUBUCUDUEUFUGVBYGYRUIFVCZYSFULYGYTYRUIFVDZYGYNUJUQZNLUNZUOZUUBYKJURZOUSZ
      UMZUMZYQUUBCUPZYPEURZUSZVEZUJAUTUHAUTZUUAYGUULUHUJAAYGYHAULZUUBAULZUMZUUH
      UUKYGUUPUUHVFZYCUUNYJUMZUUOUUDUMYDYLUUEUSUUKYCYFUUPUUHVGUUQUUNYJYGUUNUUOU
      UHVHYJYMUUGYGUUPVIVJUUQUUOUUDYGUUNUUOUUHVKUUDUUFYNYGUUPVLVJYDYEYCUUPUUHVM
      UUQYLOUUEYJYMUUGYGUUPVNUUDUUFYNYGUUPVPVQABEYHUUBGHDCJKLMNOPQRSTUAUCUDUEUG
      VRVOWFVSYGYNYQFULZUMZUHAVDZUUMUUAVTYGYNUHAVDZUVAABHJKLMNOUHPQRSTUAWAZYGYN
      UUTUHAYGUUNUMZYNUUSUVDYJYMUUSYGUUNYJYMUUSVEYGUURUMZUUSYMUVEGWBULYOFULZYPF
      ULZUUSUVEGHKNUAUEYCYFUURWCZWDYCUURUVFYFAYHFGHCKLNQTUAUEUDUFWGWEUVEYCYKBUL
      ZYKNLUNZUVGUVHUVEKWHULZYDNBULZUVIYAUVKYBYFUURKWIWJZYCYDYEUURWKZYBUVLYAYFU
      URBHKNPUAWLWMZBKMONPSWPWNUVEUVKYDUVLUVJUVMUVNUVOBKLMONPQSWOWNBFGHDKLNYKPQ
      UAUEUCUFWQWREFYOYPGUFUGWSWNWTXAXHXBXCXDYNUUGUIUHUJFAYQUUJUHUJXEZYJUUDYMUU
      FUVPYIUUCYHUUBNLXFXGUVPYLUUEOYHUUBYKJXIXJXKUVPYOUUIYPEYHUUBCXLXMXNXSXOYGU
      VBYTUUAVTUVCYNUIUHFAYQXPXSXQYRUIFXRXSXT $.

    $( Value of isomorphism H for a lattice ` K ` when ` -. X .<_ W ` , given
       auxiliary atom ` Q ` .  (Contributed by NM, 6-Mar-2014.) $)
    dihvalcqpre $p |- ( ( ( K e. HL /\ W e. H )
          /\ ( X e. B /\ -. X .<_ W )
          /\ ( ( Q e. A /\ -. Q .<_ W ) /\ ( Q .\/ ( X ./\ W ) ) = X ) )
        -> ( I ` X ) = ( ( C ` Q ) .(+) ( D ` ( X ./\ W ) ) ) ) $=
      ( vq vu chlt wcel wa wbr wn co wceq w3a cvv cfv clss fvexi cv nfv nfvd wi
      wral crio dihvalc 3adant3 wb adantl simpl1 simprl simprrl simpl3l simpl2l
      eqeq1 jca simprrr simpl3r eqtr4d dihjust syl131anc ex dihlsscpre lhpmcvr2
      wrex riotasv3d mpan2 ) LUKULOIULUMZPBULZPOMUNUOZUMZFAULFOMUNUOUMZFPONUPZK
      UPZPUQZUMZURZGUSULPJUTZFCUTWPDUTZEUPZUQZGHVAUGVBWTUIVCZOMUNUOZXEWPKUPZPUQ
      ZUMZXECUTXBEUPZXCUQZXDUJUIGAXJXAUSWTUIVDWTXDUIVEWKWNXAXIUJVCXJUQVFUIAVGUJ
      GVHUQWSUJABCDEGHIJKLMNUKOPUIQRSTUAUBUCUDUEUFUGUHVIVJXJXAUQXKXDVKWTXJXAXCV
      RVLWTXEAULZXIUMZXKWTXMUMZWKXLXFUMWOWLXGWQUQXKWKWNWSXMVMXNXLXFWTXLXIVNWTXL
      XFXHVOVSWOWRWKWNXMVPWLWMWKWSXMVQXNXGPWQWTXLXFXHVTWOWRWKWNXMWAWBABEXEFHIDC
      KLMNOPQRSTUAUBUDUEUFUHWCWDWEWKWNXAGULWSABCDEGHIJKLMNOPQRSTUAUBUCUDUEUFUGU
      HWFVJWKWNXIUIAWHWSABIKLMNOPUIQRSTUAUBWGVJWIWJ $.
  $}

  ${
    dihvalcq.b $e |- B = ( Base ` K ) $.
    dihvalcq.l $e |- .<_ = ( le ` K ) $.
    dihvalcq.j $e |- .\/ = ( join ` K ) $.
    dihvalcq.m $e |- ./\ = ( meet ` K ) $.
    dihvalcq.a $e |- A = ( Atoms ` K ) $.
    dihvalcq.h $e |- H = ( LHyp ` K ) $.
    dihvalcq.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihvalcq.d $e |- D = ( ( DIsoB ` K ) ` W ) $.
    dihvalcq.c $e |- C = ( ( DIsoC ` K ) ` W ) $.
    dihvalcq.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihvalcq.p $e |- .(+) = ( LSSum ` U ) $.
    $( Value of isomorphism H for a lattice ` K ` when ` -. X .<_ W ` , given
       auxiliary atom ` Q ` .  TODO:  Use ~ dihvalcq2 (with ~ lhpmcvr3 for
       ` ( Q .\/ ( X ./\ W ) ) = X ` simplification) that changes ` C ` and
       ` D ` to ` I ` and make this obsolete.  Do to other theorems as well.
       (Contributed by NM, 6-Mar-2014.) $)
    dihvalcq $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ -. X .<_ W )
      /\ ( ( Q e. A /\ -. Q .<_ W ) /\ ( Q .\/ ( X ./\ W ) ) = X ) )
        -> ( I ` X ) = ( ( C ` Q ) .(+) ( D ` ( X ./\ W ) ) ) ) $=
      ( clss cfv eqid dihvalcqpre ) ABCDEFGUGUHZGHIJKLMNOPQRSTUAUBUCUDUEUKUIUFU
      J $.
  $}

  ${
    $d q u K $.  $d q u W $.  $d q u X $.
    dihvalb.b $e |- B = ( Base ` K ) $.
    dihvalb.l $e |- .<_ = ( le ` K ) $.
    dihvalb.h $e |- H = ( LHyp ` K ) $.
    dihvalb.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihvalb.d $e |- D = ( ( DIsoB ` K ) ` W ) $.
    $( Value of isomorphism H for a lattice ` K ` when ` X .<_ W ` .
       (Contributed by NM, 4-Mar-2014.) $)
    dihvalb $p |- ( ( ( K e. V /\ W e. H ) /\ ( X e. B /\ X .<_ W ) )
        -> ( I ` X ) = ( D ` X ) ) $=
      ( vq vu wcel wa cfv eqid wbr wceq cv wn cmee cjn cdic cdvh clsm catm wral
      co wi clss crio cif dihval iftrue sylan9eq anasss ) EGQHCQRZIAQZIHFUAZIDS
      ZIBSZUBVAVBRVCVDVCVEOUCZHFUAUDVFIHEUESZULZEUFSZULIUBRPUCVFHEUGSSZSVHBSHEU
      HSSZUISZULUBUMOEUJSZUKPVKUNSZUOZUPVEPVMAVJBVLVNVKCDVIEFVGGHIOJKVITVGTVMTL
      MNVJTVKTVNTVLTUQVCVEVOURUSUT $.
  $}

  ${
    $d g K $.  $d g T $.  $d g W $.
    dihval3.b $e |- B = ( Base ` K ) $.
    dihval3.l $e |- .<_ = ( le ` K ) $.
    dihval3.h $e |- H = ( LHyp ` K ) $.
    dihval3.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dihval3.r $e |- R = ( ( trL ` K ) ` W ) $.
    dihval3.o $e |- O = ( g e. T |-> ( _I |` B ) ) $.
    dihval3.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( Ordered pair member of the partial isomorphism H for argument under
       ` W ` .  (Contributed by NM, 21-Mar-2014.)
       (New usage is discouraged.) $)
    dihopelvalbN $p |- ( ( ( K e. V /\ W e. H ) /\ ( X e. B /\ X .<_ W ) )
          -> ( <. F , S >. e. ( I ` X )
          <-> ( ( F e. T /\ ( R ` F ) .<_ X ) /\ S = O ) ) ) $=
      ( wcel wa wbr cop cfv cdib wceq eqid dihvalb eleq2d dibopelval3 bitrd ) I
      LUBMGUBUCNAUBNMJUDUCUCZFCUEZNHUFZUBUONMIUGUFUFZUFZUBFDUBFBUFNJUDUCCKUHUCU
      NUPURUOAUQGHIJLMNOPQUAUQUIZUJUKABCDEFGUQIJLMNKOPQRSTUSULUM $.
  $}

  ${
    dihvalcqat.l $e |- .<_ = ( le ` K ) $.
    dihvalcqat.a $e |- A = ( Atoms ` K ) $.
    dihvalcqat.h $e |- H = ( LHyp ` K ) $.
    dihvalcqat.j $e |- J = ( ( DIsoC ` K ) ` W ) $.
    dihvalcqat.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( Value of isomorphism H for a lattice ` K ` at an atom not under ` W ` .
       (Contributed by NM, 27-Mar-2014.) $)
    dihvalcqat $p |- ( ( ( K e. HL /\ W e. H )
      /\ ( Q e. A /\ -. Q .<_ W ) ) -> ( I ` Q ) = ( J ` Q ) ) $=
      ( wcel wa cfv co wceq eqid eqtrd chlt wbr wn cmee cdib cdvh cbs cjn simpl
      clsm atbase ad2antrl simprr simpr cp0 lhpmat oveq2d hlol ad2antrr syl2anc
      col olj01 dihvalcq syl122anc c0g csn fveq2d dib0 csubg clmod clss dvhlmod
      adantr diclss lsssubg lsm01 syl ) FUANZHCNZOZBANZBHGUBUCZOZOZBDPZBEPZBHFU
      DPZQZHFUEPPZPZHFUFPPZUJPZQZWFWDVTBFUGPZNZWBWCBWHFUHPZQZBRWEWMRVTWCUIZWAWO
      VTWBAWNBFWNSZJUKULZVTWAWBUMVTWCUNWDWQBFUOPZWPQZBWDWHXABWPABCFGWGHXAIWGSZX
      ASZJKUPZUQWDFVANZWOXBBRVRXFVSWCFURUSWTWNWPFBXAWSWPSZXDVBUTTAWNEWIWLBWKCDW
      PFGWGHBWSIXGXCJKMWISZLWKSZWLSZVCVDWDWMWFWKVEPZVFZWLQZWFWDWJXLWFWLWDWJXAWI
      PZXLWDWHXAWIXEVGVTXNXLRWCWKCWIFXKHXAXDKXHXIXKSZVHVMTUQWDWFWKVIPNZXMWFRWDW
      KVJNWFWKVKPZNXPWDWKCFHKXIWRVLABXQWKCEFGHIJKXILXQSZVNXQWFWKXRVOUTWLWKWFXKX
      OXJVPVQTT $.
  $}

  ${
    $d h B $.  $d h K $.  $d h T $.  $d h W $.
    dih1dimb.b $e |- B = ( Base ` K ) $.
    dih1dimb.h $e |- H = ( LHyp ` K ) $.
    dih1dimb.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dih1dimb.r $e |- R = ( ( trL ` K ) ` W ) $.
    dih1dimb.o $e |- O = ( h e. T |-> ( _I |` B ) ) $.
    dih1dimb.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dih1dimb.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dih1dimb.n $e |- N = ( LSpan ` U ) $.
    $( Two expressions for a 1-dimensional subspace of vector space H (when
       ` F ` is a nonzero vector i.e. non-identity translation).  (Contributed
       by NM, 27-Apr-2014.) $)
    dih1dimb $p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
      -> ( I ` ( R ` F ) ) = ( N ` { <. F , O >. } ) ) $=
      ( chlt wcel cfv cdib cop csn cple wbr wceq simpl trlcl eqid trlle dihvalb
      wa syl12anc dib1dim2 eqtrd ) IUAUBLGUBUOZFCUBZUOZFBUCZHUCZVBLIUDUCUCZUCZF
      KUEUFJUCVAUSVBAUBVBLIUGUCZUHVCVEUIUSUTUJABCFGILMNOPUKBCFGIVFLVFULZNOPUMAV
      DGHIVFUALVBMVGNSVDULZUNUPABCDEFGVDIJKLMNOPQRVHTUQUR $.
  $}

  ${
    $d f .<_ $.  $d f A $.  $d h B $.  $d f H $.  $d f h K $.  $d f Q $.
    $d f h T $.  $d f h W $.
    dih1dimb2.b $e |- B = ( Base ` K ) $.
    dih1dimb2.l $e |- .<_ = ( le ` K ) $.
    dih1dimb2.a $e |- A = ( Atoms ` K ) $.
    dih1dimb2.h $e |- H = ( LHyp ` K ) $.
    dih1dimb2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dih1dimb2.o $e |- O = ( h e. T |-> ( _I |` B ) ) $.
    dih1dimb2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dih1dimb2.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dih1dimb2.n $e |- N = ( LSpan ` U ) $.
    $( Isomorphism H at an atom under ` W ` .  (Contributed by NM,
       27-Apr-2014.) $)
    dih1dimb2 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ Q .<_ W ) )
 -> E. f e. T ( f =/= ( _I |` B ) /\ ( I ` Q ) = ( N ` { <. f , O >. } ) ) ) $=
      ( chlt wcel wa wbr cv ctrl cfv wceq wrex cid cres wne cop csn eqid cdlemf
      w3a simp3 simp1rl eqeltrd wb simp1l simp2 trlnidatb syl2anc mpbird fveq2d
      dih1dimb eqtr3d jca 3expia reximdva mpd ) JUDUENHUEUFZCAUEZCNKUGZUFZUFZFU
      HZNJUIUJUJZUJZCUKZFDULWBUMBUNUOZCIUJZWBMUPUQLUJZUKZUFZFDULAWCDCFHJKNPQRSW
      CURZUSWAWEWJFDWAWBDUEZWEWJWAWLWEUTZWFWIWMWFWDAUEZWMWDCAWAWLWEVAZVRVSVQWLW
      EVBVCWMVQWLWFWNVDVQVTWLWEVEZWAWLWEVFZABWCDWBHJNOQRSWKVGVHVIWMWDIUJZWGWHWM
      WDCIWOVJWMVQWLWRWHUKWPWQBWCDEGWBHIJLMNORSWKTUAUBUCVKVHVLVMVNVOVP $.
  $}

  ${
    $d f .<_ $.  $d f A $.  $d f H $.  $d f K $.  $d f P $.  $d f Q $.
    $d f T $.  $d f W $.
    dih1dimc.l $e |- .<_ = ( le ` K ) $.
    dih1dimc.a $e |- A = ( Atoms ` K ) $.
    dih1dimc.h $e |- H = ( LHyp ` K ) $.
    dih1dimc.p $e |- P = ( ( oc ` K ) ` W ) $.
    dih1dimc.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dih1dimc.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dih1dimc.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dih1dimc.n $e |- N = ( LSpan ` U ) $.
    dih1dimc.f $e |- F = ( iota_ f e. T ( f ` P ) = Q ) $.
    $( Isomorphism H at an atom not under ` W ` .  (Contributed by NM,
       27-Apr-2014.) $)
    dih1dimc $p |- ( ( ( K e. HL /\ W e. H ) /\ ( Q e. A /\ -. Q .<_ W ) )
         -> ( I ` Q ) = ( N ` { <. F , ( _I |` T ) >. } ) ) $=
      ( chlt wcel wa wbr wn cfv cdic cid cres cop csn dihvalcqat diclspsn eqtrd
      eqid ) JUCUDMHUDUECAUDCMKUFUGUEUECIUHCMJUIUHUHZUHGUJDUKULUMLUHACHIURJKMNO
      PURUQZSUNABCDEFGHURJKLMNOPQRUSTUAUBUOUP $.
  $}

  ${
    $d f s .\/ $.  $d f H $.  $d f s I $.  $d f K $.  $d f s P $.  $d f s ph $.
    $d f s .(+) $.  $d f s Q $.  $d f W $.
    dib2dim.l $e |- .<_ = ( le ` K ) $.
    dib2dim.j $e |- .\/ = ( join ` K ) $.
    dib2dim.a $e |- A = ( Atoms ` K ) $.
    dib2dim.h $e |- H = ( LHyp ` K ) $.
    dib2dim.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dib2dim.s $e |- .(+) = ( LSSum ` U ) $.
    dib2dim.i $e |- I = ( ( DIsoB ` K ) ` W ) $.
    dib2dim.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dib2dim.p $e |- ( ph -> ( P e. A /\ P .<_ W ) ) $.
    dib2dim.q $e |- ( ph -> ( Q e. A /\ Q .<_ W ) ) $.
    $( Extend ~ dia2dim to partial isomorphism B. (Contributed by NM,
       22-Sep-2014.) $)
    dib2dim $p |- ( ph
            -> ( I ` ( P .\/ Q ) ) C_ ( ( I ` P ) .(+) ( I ` Q ) ) ) $=
      ( vf vs co cfv chlt wcel wa wrel dibvalrel syl cv cdia cltrn cid cbs cres
      cmpt wceq cdveca clsm cop eqid dia2dim sseld anim1d wbr wb simpld hlatjcl
      syl3anc simprd clat hllatd lhpbase latjle12 syl13anc mpbi2and dibopelval2
      atbase syl12anc jca diblsmopel 3imtr4d relssdv ) AUCUDCEIUEZHUFZCHUFEHUFD
      UEZAJUGUHZLGUHZUIZWHUJTGHJUGLWGPSUKULAUCUMZWGLJUNUFUFZUFZUHZUDUMZUCLJUOUF
      UFZUPJUQUFZURUSZUTZUIZWMCWNUFEWNUFLJVAUFUFZVBUFZUEZUHZXAUIWMWQVCZWHUHZXGW
      IUHAWPXFXAAWOXEWMABXDCGWNIJKELXCMNOPXCVDZXDVDZWNVDZTUAUBVEVFVGAWLWGWSUHZW
      GLKVHZXHXBVITAWJCBUHZEBUHZXLAWJWKTVJZAXNCLKVHZUAVJZAXOELKVHZUBVJZBWSIJCEW
      SVDZNOVKVLAXQXSXMAXNXQUAVMZAXOXSUBVMZAJVNUHCWSUHZEWSUHZLWSUHZXQXSUIXMVIAJ
      XPVOAXNYDXRBWSCJYAOWAULZAXOYEXTBWSEJYAOWAULZAWKYFAWJWKTVMWSGJLYAPVPULWSIJ
      KCELYAMNVQVRVSWSWQWRUCWMGHWNJKUGLWGWTYAMPWRVDZWTVDZXKSVTWBAWSDXDWQWRFUCWM
      GHWNJKWTXCLCEYAMPYIYJXIQXJRXKSTAYDXQYGYBWCAYEXSYHYCWCWDWEWF $.
  $}

  ${
    dih2dimb.l $e |- .<_ = ( le ` K ) $.
    dih2dimb.j $e |- .\/ = ( join ` K ) $.
    dih2dimb.a $e |- A = ( Atoms ` K ) $.
    dih2dimb.h $e |- H = ( LHyp ` K ) $.
    dih2dimb.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dih2dimb.s $e |- .(+) = ( LSSum ` U ) $.
    dih2dimb.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dih2dimb.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dih2dimb.p $e |- ( ph -> ( P e. A /\ P .<_ W ) ) $.
    dih2dimb.q $e |- ( ph -> ( Q e. A /\ Q .<_ W ) ) $.
    $( Extend ~ dib2dim to isomorphism H. (Contributed by NM, 22-Sep-2014.) $)
    dih2dimb $p |- ( ph
            -> ( I ` ( P .\/ Q ) ) C_ ( ( I ` P ) .(+) ( I ` Q ) ) ) $=
      ( co cdib cfv eqid dib2dim chlt wcel wa cbs simpld hlatjcl syl3anc simprd
      wbr wceq clat wb hllatd atbase lhpbase latjle12 syl13anc mpbi2and dihvalb
      syl syl12anc oveq12d 3sstr4d ) ACEIUCZLJUDUEUEZUEZCVLUEZEVLUEZDUCVKHUEZCH
      UEZEHUEZDUCABCDEFGVLIJKLMNOPQRVLUFZTUAUBUGAJUHUIZLGUIZUJZVKJUKUEZUIZVKLKU
      PZVPVMUQTAVTCBUIZEBUIZWDAVTWATULZAWFCLKUPZUAULZAWGELKUPZUBULZBWCIJCEWCUFZ
      NOUMUNAWIWKWEAWFWIUAUOZAWGWKUBUOZAJURUICWCUIZEWCUIZLWCUIZWIWKUJWEUSAJWHUT
      AWFWPWJBWCCJWMOVAVGZAWGWQWLBWCEJWMOVAVGZAWAWRAVTWATUOWCGJLWMPVBVGWCIJKCEL
      WMMNVCVDVEWCVLGHJKUHLVKWMMPSVSVFVHAVQVNVRVODAWBWPWIVQVNUQTWSWNWCVLGHJKUHL
      CWMMPSVSVFVHAWBWQWKVRVOUQTWTWOWCVLGHJKUHLEWMMPSVSVFVHVIVJ $.

    $d f s .(+) $.  $d f s .\/ $.  $d f H $.  $d f s K $.  $d f s P $.
    $d f s Q $.  $d f s W $.  $d f s ph $.
    $( Extend ~ dia2dim to isomorphism H. (This version combines ~ dib2dim and
       ~ dih2dimb for shorter overall proof, but may be less easy to
       understand.  TODO: decide which to use.)  (Contributed by NM,
       22-Sep-2014.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    dih2dimbALTN $p |- ( ph
            -> ( I ` ( P .\/ Q ) ) C_ ( ( I ` P ) .(+) ( I ` Q ) ) ) $=
      ( vf vs co cdib cfv chlt wcel wa wrel eqid dibvalrel syl cv cltrn cid cbs
      cdia cres cmpt wceq cdveca cop dia2dim sseld anim1d wbr wb simpld hlatjcl
      clsm syl3anc simprd atbase lhpbase latjle12 syl13anc mpbi2and dibopelval2
      clat hllat syl12anc diblsmopel 3imtr4d relssdv dihvalb oveq12d 3sstr4d
      jca ) ACEIUEZLJUFUGUGZUGZCWLUGZEWLUGZDUEZWKHUGZCHUGZEHUGZDUEAUCUDWMWPAJUH
      UIZLGUIZUJZWMUKTGWLJUHLWKPWLULZUMUNAUCUOZWKLJUSUGUGZUGZUIZUDUOZUCLJUPUGUG
      ZUQJURUGZUTVAZVBZUJZXDCXEUGEXEUGLJVCUGUGZVLUGZUEZUIZXLUJXDXHVDZWMUIZXRWPU
      IAXGXQXLAXFXPXDABXOCGXEIJKELXNMNOPXNULZXOULZXEULZTUAUBVEVFVGAXBWKXJUIZWKL
      KVHZXSXMVITAWTCBUIZEBUIZYCAWTXATVJZAYECLKVHZUAVJZAYFELKVHZUBVJZBXJIJCEXJU
      LZNOVKVMZAYHYJYDAYEYHUAVNZAYFYJUBVNZAJWAUIZCXJUIZEXJUIZLXJUIZYHYJUJYDVIAW
      TYPYGJWBUNAYEYQYIBXJCJYLOVOUNZAYFYRYKBXJEJYLOVOUNZAXAYSAWTXATVNXJGJLYLPVP
      UNXJIJKCELYLMNVQVRVSZXJXHXIUCXDGWLXEJKUHLWKXKYLMPXIULZXKULZYBXCVTWCAXJDXO
      XHXIFUCXDGWLXEJKXKXNLCEYLMPUUCUUDXTQYARYBXCTAYQYHYTYNWJAYRYJUUAYOWJWDWEWF
      AXBYCYDWQWMVBTYMUUBXJWLGHJKUHLWKYLMPSXCWGWCAWRWNWSWODAXBYQYHWRWNVBTYTYNXJ
      WLGHJKUHLCYLMPSXCWGWCAXBYRYJWSWOVBTUUAYOXJWLGHJKUHLEYLMPSXCWGWCWHWI $.
  $}

  ${
    $d g K $.  $d g Q $.  $d g T $.  $d g W $.
    dihelval2.l $e |- .<_ = ( le ` K ) $.
    dihelval2.a $e |- A = ( Atoms ` K ) $.
    dihelval2.h $e |- H = ( LHyp ` K ) $.
    dihelval2.p $e |- P = ( ( oc ` K ) ` W ) $.
    dihelval2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dihelval2.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dihelval2.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihelval2.g $e |- G = ( iota_ g e. T ( g ` P ) = Q ) $.
    dihelval2.f $e |- F e. _V $.
    dihelval2.s $e |- S e. _V $.
    $( Ordered pair member of the partial isomorphism H for atom argument not
       under ` W ` .  TODO: remove .t hypothesis.  (Contributed by NM,
       30-Mar-2014.) $)
    dihopelvalcqat $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( Q e. A /\ -. Q .<_ W ) )
    -> ( <. F , S >. e. ( I ` Q ) <-> ( F = ( S ` G ) /\ S e. E ) ) ) $=
      ( chlt wcel wa wbr wn cop cfv cdic wceq eqid dihvalcqat dicopelval2 bitrd
      eleq2d ) LUEUFNJUFUGCAUFCNMUHUIUGUGZHDUJZCKUKZUFUTCNLULUKUKZUKZUFHIDUKUMD
      GUFUGUSVAVCUTACJKVBLMNOPQVBUNZUAUOURABCDEFGHIJVBLMUENOPQRSTVDUBUCUDUPUQ
      $.
  $}

  ${
    dihvalcq2.b $e |- B = ( Base ` K ) $.
    dihvalcq2.l $e |- .<_ = ( le ` K ) $.
    dihvalcq2.j $e |- .\/ = ( join ` K ) $.
    dihvalcq2.m $e |- ./\ = ( meet ` K ) $.
    dihvalcq2.a $e |- A = ( Atoms ` K ) $.
    dihvalcq2.h $e |- H = ( LHyp ` K ) $.
    dihvalcq2.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihvalcq2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihvalcq2.p $e |- .(+) = ( LSSum ` U ) $.
    $( Value of isomorphism H for a lattice ` K ` when ` -. X .<_ W ` , given
       auxiliary atom ` Q ` .  (Contributed by NM, 26-Sep-2014.) $)
    dihvalcq2 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ -. X .<_ W )
      /\ ( ( Q e. A /\ -. Q .<_ W ) /\ Q .<_ X ) )
        -> ( I ` X ) = ( ( I ` Q ) .(+) ( I ` ( X ./\ W ) ) ) ) $=
      ( chlt wcel wa wbr wn w3a cfv cdic co cdib wceq simp1 simp2 simp3l simp3r
      wb lhpmcvr3 syl3anc mpbid eqid dihvalcq syl112anc dihvalcqat syl2anc clat
      simp1l hllatd simp2l simp1r lhpbase latmcl latmle2 dihvalb oveq12d eqtr4d
      syl syl12anc ) IUCUDZLFUDZUEZMBUDZMLJUFUGZUEZDAUDDLJUFUGUEZDMJUFZUEZUHZMG
      UIZDLIUJUIUIZUIZMLKUKZLIULUIUIZUIZCUKZDGUIZWMGUIZCUKWIWBWEWFDWMHUKMUMZWJW
      PUMWBWEWHUNZWBWEWHUOZWBWEWFWGUPZWIWGWSWBWEWFWGUQWIWBWEWFWGWSURWTXAXBABDFH
      IJKLMNOPQRSUSUTVAABWKWNCDEFGHIJKLMNOPQRSTWNVBZWKVBZUAUBVCVDWIWQWLWRWOCWIW
      BWFWQWLUMWTXBADFGWKIJLORSXDTVEVFWIWBWMBUDZWMLJUFZWRWOUMWTWIIVGUDZWCLBUDZX
      EWIIVTWAWEWHVHVIZWBWCWDWHVJZWIWAXHVTWAWEWHVKBFILNSVLVRZBIKMLNQVMUTWIXGWCX
      HXFXIXJXKBIJKMLNOQVNUTBWNFGIJUCLWMNOSTXCVOVSVPVQ $.
  $}

  ${
    $d w x y z .+ $.  $d w x y z .\/ $.  $d g w x y z .<_ $.  $d w x y z ./\ $.
    $d g w x y z A $.  $d w x y z C $.  $d w x y z F $.  $d g P $.  $d x y V $.
    $d a b w x y z E $.  $d w x y z G $.  $d g h w x y z H $.  $d w x y z N $.
    $d a b g h w x y z K $.  $d w x y z R $.  $d w x y z S $.  $d w x y z X $.
    $d h w x y z B $.  $d a b g h w x y z T $.  $d a b g h w x y z W $.
    $d g w x y z Q $.  $d w x y z Z $.
    dihopelvalcp.b $e |- B = ( Base ` K ) $.
    dihopelvalcp.l $e |- .<_ = ( le ` K ) $.
    dihopelvalcp.j $e |- .\/ = ( join ` K ) $.
    dihopelvalcp.m $e |- ./\ = ( meet ` K ) $.
    dihopelvalcp.a $e |- A = ( Atoms ` K ) $.
    dihopelvalcp.h $e |- H = ( LHyp ` K ) $.
    dihopelvalcp.p $e |- P = ( ( oc ` K ) ` W ) $.
    dihopelvalcp.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dihopelvalcp.r $e |- R = ( ( trL ` K ) ` W ) $.
    dihopelvalcp.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dihopelvalcp.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihopelvalcp.g $e |- G = ( iota_ g e. T ( g ` P ) = Q ) $.
    dihopelvalcp.f $e |- F e. _V $.
    dihopelvalcp.s $e |- S e. _V $.

    ${
      dihopelvalcp.z $e |- Z = ( h e. T |-> ( _I |` B ) ) $.
      dihopelvalcp.n $e |- N = ( ( DIsoB ` K ) ` W ) $.
      dihopelvalcp.c $e |- C = ( ( DIsoC ` K ) ` W ) $.
      dihopelvalcp.u $e |- U = ( ( DVecH ` K ) ` W ) $.
      dihopelvalcp.d $e |- .+ = ( +g ` U ) $.
      dihopelvalcp.v $e |- V = ( LSubSp ` U ) $.
      dihopelvalcp.y $e |- .(+) = ( LSSum ` U ) $.
      dihopelvalcp.o $e |- O = ( a e. E , b e. E |-> ( h e. T
        |-> ( ( a ` h ) o. ( b ` h ) ) ) ) $.
      $( Member of value of isomorphism H for a lattice ` K ` when
         ` -. X .<_ W ` , given auxiliary atom ` Q ` .  TODO: refactor to be
         shorter and more understandable; add lemmas?  (Contributed by NM,
         13-Mar-2014.) $)
      dihopelvalcpre $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( X e. B /\ -. X .<_ W )
         /\ ( ( Q e. A /\ -. Q .<_ W ) /\ ( Q .\/ ( X ./\ W ) ) = X ) )
  -> ( <. F , S >. e. ( I ` X )
    <-> ( ( F e. T /\ S e. E ) /\ ( R ` ( F o. `' ( S ` G ) ) ) .<_ X ) ) ) $=
        ( vx vy vz vw chlt wcel wa wbr wn co wceq w3a cop cfv wex ccnv dihvalcq
        cv ccom eleq2d wb simp1 simp3l diclss syl2anc simp1l hllatd syl syl3anc
        clat syl12anc vex anbi1d simpl1 simprll simprlr simpl3l tendocl eqeltrd
        adantl simprrr eqid eqtrd eqeq2d anbi2d bitrd fveq1d eqtr4d eqcomd wf1o
        pm5.32da coass ltrn1o coeq1d wf f1of 3syl eqtr2d simprrl ltrnco ltrncom
        ad2antrl jca jca31 simpll1 adantr 3bitrd biidd simp2l simp1r dvhopellsm
        lhpbase latmcl latmle2 diblss dicopelval2 dibopelval3 anbi12d lhpocnel2
        csca cplusg ltrniotacl tendo0cl dvhopvadd syl122anc oveqd opeq2d oveq2d
        dvhfplusr opth tendo0plr syl5bb simplll simpllr adantrr f1ococnv1 fcoi2
        cid cres ltrncnv 3eqtr4a simplrr pm4.71rd simpl1l trlcl simpl2l simpl1r
        ex lattrd eqeltrrd simprr trlle latlem12 syl13anc mpbi2and coeq2d fcoi1
        latmle1 eqtr4di coeq12d impbida df-3an bitr4di fvex cnvex coex cmpt cvv
        4exbidv cltrn fvexi mptex eqeltri eleq1 fveq2 breq1d ceqsex4v bitrdi )
        TVQVRZUFQVRZVSZUGBVRZUGUFUAVTWAZVSZGAVRGUFUAVTWAVSZGUGUFUBWBZSWBUGWCZVS
        ZWDZOIWEZUGRWFZVRUYBGCWFZUXRUCWFZFWBZVRZVMWJZVNWJZWEZUYDVRZVOWJZVPWJZWE
        ZUYEVRZVSZUYBUYJUYNEWBZWCZVSZVPWGVOWGVNWGVMWGZOJVRZINVRZVSZOPIWFZWHZWKZ
        HWFZUGUAVTZVSZUYAUYCUYFUYBABCUCFGKQRSTUAUBUFUGUKULUMUNUOUPVAVFVGVHVKWIW
        LUYAUXMUYDUEVRZUYEUEVRZUYGUYTWMUXMUXPUXTWNZUYAUXMUXQVUJVULUXMUXPUXQUXSW
        OZAGUEKQCTUAUFULUOUPVHVGVJWPWQUYAUXMUXRBVRZUXRUFUAVTZVUKVULUYATXBVRZUXN
        UFBVRZVUNUYATUXKUXLUXPUXTWRWSZUXMUXNUXOUXTUUAZUYAUXLVUQUXKUXLUXPUXTUUBB
        QTUFUKUPUUDZWTZBTUBUGUFUKUNUUEZXAZUYAVUPUXNVUQVUOVURVUSVVABTUAUBUGUFUKU
        LUNUUFXAZBUEKQUCTUAUFUXRUKULUPVHVFVJUUGXCVMVNVOVPEFUEIKOQTUFUYDUYEUPVHV
        IVJVKUUCXAUYAUYTUYHVUDWCZUYIIWCZVSZUYLVUFWCZUYMUHWCZVSZVUAUYINVRZVSZUYL
        HWFZUGUAVTZVSZWDZVPWGVOWGVNWGVMWGVUIUYAUYSVVPVMVNVOVPUYAUYSUYHPUYIWFZWC
        ZVVKVSZUYLJVRZVVMUXRUAVTZVSZVVIVSZVSZUYRVSZVVGVVJVSZVWDOUYHUYLWKZWCZIUY
        IWCZVSZVSZVSZVVPUYAUYPVWDUYRUYAUYKVVSUYOVWCUYAUXMUXQUYKVVSWMVULVUMADGUY
        IJLNUYHPQCTUAVQUFULUOUPUQURUTVGVBVMXDVNXDUUHWQUYAUXMVUNVUOUYOVWCWMVULVV
        CVVDBHUYMJMUYLQUCTUAVQUFUXRUHUKULUPURUSVEVFUUIXCUUJXEUYAVWEVWKVWLUYAVWD
        UYRVWJUYAVWDVSZUYRUYBVWGUYIUYMUDWBZWEZWCZVWJVWMUYQVWOUYBVWMUYQVWGUYIUYM
        KUULWFZUUMWFZWBZWEZVWOVWMUXMUYHJVRZVVKVVTUYMNVRUYQVWTWCUXMUXPUXTVWDXFZV
        WMUYHVVQJUYAVVRVVKVWCXGVWMUXMVVKPJVRZVVQJVRZVXBUYAVVRVVKVWCXHZVWMUXMDAV
        RDUFUAVTWAVSZUXQVXCVXBVWMUXMVXFVXBADQTUAUFULUOUPUQUUKZWTUXQUXSUXMUXPVWD
        XIADGJLPQTUAUFULUOUPURVBUUNZXAZUYIJNPQTVQUFUPURUTXJZXAXKVXEVWDVVTUYAVVS
        VVTVWAVVIXGZXLVWMUYMUHNUYAVVSVWBVVIXMZVWMUXMUHNVRVXBBJMNQTUHUFUKUPURUTV
        EUUOWTXKVWQEVWRUYIUYMJKNUYHUYLQTUFUPURUTVHVWQXNZVIVWRXNZUUPUUQVWMVWSVWN
        VWGVWMVWRUDUYIUYMVWMUXMVWRUDWCVXBUJUDVWRJKMNVWQQTVQUFUIUPURUTVHVXMVLVXN
        UVAWTUURUUSXOXPVWPVWHIVWNWCZVSVWMVWJOIVWGVWNVCVDUVBVWMVXOVWIVWHVWMVWNUY
        IIVWMVWNUYIUHUDWBZUYIVWMUYMUHUYIUDVXLUUTVWMUXMVVKVXPUYIWCVXBVXEUJBUDUYI
        JMNQTUHUFUIUKUPURUTVEVLUVCWQXOXPXQUVDXRYCUYAVWKVWFUYAVWKVWFUYAVWKVSZVVE
        VVFVVJVXQUYHVVQVUDVWKVVRUYAVVRVVKVWCVWJUVEZXLVXQPIUYIUYAVWDVWHVWIXMZXSX
        TZVXQIUYIVXSYAVXQVVHVVIVXQVUEVUDWKZUYLWKZVUEVUDUYLWKZWKZUYLVUFVUEVUDUYL
        YDVXQVYBUVJBUVKZUYLWKZUYLVXQVYAVYEUYLVXQBBVUDYBZVYAVYEWCZVXQUXMVUDJVRZV
        YGUXMUXPUXTVWKXFZVXQUXMVUBVXCVYIVYJVXQIUYINVXSVWKVVKUYAVVRVVKVWCVWJUVFZ
        XLXKUYAVWDVXCVWJVXIUVGIJNPQTVQUFUPURUTXJZXAZBJVUDQTVQUFUKUPURYEZWQBBVUD
        UVHZWTYFVXQBBUYLYBZBBUYLYGVYFUYLWCVXQUXMVVTVYPVYJVWDVVTUYAVWJVXKYNZBJUY
        LQTVQUFUKUPURYEWQBBUYLYHBBUYLUVIYIYJVXQVUFVYCVUEWKZVYDVXQOVYCVUEVXQOVWG
        VYCUYAVWDVWHVWIYKVXQUYHVUDUYLVXTYFXOYFVXQUXMVUEJVRZVYCJVRZVYDVYRWCVYJVX
        QUXMVYIVYSVYJVYMJVUDQTUFUPURUVLZWQVXQUXMVYIVVTVYTVYJVYMVYQJVUDUYLQTUFUP
        URYLXAJVUEVYCQTUFUPURYMXAXTUVMVWKVVIUYAVVSVWBVVIVWJUVNXLYOYPUVTUVOXRUYA
        VWLVWFVVOVSVVPUYAVWFVWKVVOUYAVWFVSZVWKVVOWUBVWKVSZVUAVVKVVNWUCOVWGJWUBV
        WDVWHVWIYKWUCUXMVXAVVTVWGJVRUXMUXPUXTVWFVWKYQZWUCUYHVVQJVWKVVRWUBVXRXLW
        UCUXMVVKVXCVXDWUDVWKVVKWUBVYKXLZWUCUXMVXFUXQVXCWUDWUCUXMVXFWUDVXGWTWUBU
        XQVWKUXQUXSUXMUXPVWFXIZYRVXHXAVXJXAXKVWDVVTWUBVWJVXKYNZJUYHUYLQTUFUPURY
        LXAXKWUEWUCBTUAVVMUXRUGUKULWUCTWUBUXKVWKUXKUXLUXPUXTVWFUVPZYRWSZWUCUXMV
        VTVVMBVRZWUDWUGBHJUYLQTUFUKUPURUSUVQZWQWUCVUPUXNVUQVUNWUIWUBUXNVWKUXNUX
        OUXMUXTVWFUVRZYRZWUCUXLVUQWUBUXLVWKUXKUXLUXPUXTVWFUVSZYRVUTWTZVVBXAWUMV
        WDVWAWUBVWJVVSVVTVWAVVIXHYNWUCVUPUXNVUQUXRUGUAVTWUIWUMWUOBTUAUBUGUFUKUL
        UNUWJXAUWAYPWUBVVOVSZVVSVWCVWJWUPVVRVVKWUPUYHVUDVVQWUBVVEVVOUYAVVEVVFVV
        JXGYRZWUPPUYIIWUBVVFVVOUYAVVEVVFVVJXHYRZXSXTWUBVUAVVKVVNXHZYOWUPVVTVWAV
        VIWUPUYLVUFJWUBVVHVVOUYAVVGVVHVVIYKYRZWUPUXMVUAVYSVUFJVRZUXMUXPUXTVWFVV
        OYQZWUBVUAVVKVVNXGZWUPUXMVYIVYSWVBWUPUXMVUBVXCVYIWVBWUPUYIINWURWUSUWBWU
        PUXMVXFUXQVXCWVBWUPUXMVXFWVBVXGWTWUBUXQVVOWUFYRVXHXAVYLXAZWUAWQJOVUEQTU
        FUPURYLXAZXKZWUPVVNVVMUFUAVTZVWAWUBVVLVVNUWCWUPUXMVVTWVGWVBWVFHJUYLQTUA
        UFULUPURUSUWDWQWUPVUPWUJUXNVUQVVNWVGVSVWAWMWUPTWUBUXKVVOWUHYRWSWUPUXMVV
        TWUJWVBWVFWUKWQWUBUXNVVOWULYRWUPUXLVUQWUBUXLVVOWUNYRVUTWTBTUAUBVVMUGUFU
        KULUNUWEUWFUWGWUBVVIVVOUYAVVGVVHVVIXMYRYPWUPVWHVWIWUPOVUDVUFWKZVWGWUPOV
        UFVUDWKZWVHWUPOOVYAWKZWVIWUPWVJOVYEWKZOWUPVYAVYEOWUPVYGVYHWUPUXMVYIVYGW
        VBWVDVYNWQVYOWTUWHWUPBBOYBZBBOYGWVKOWCWUPUXMVUAWVLWVBWVCBJOQTVQUFUKUPUR
        YEWQBBOYHBBOUWIYIYJOVUEVUDYDUWKWUPUXMVYIWVAWVHWVIWCWVBWVDWVEJVUDVUFQTUF
        UPURYMXAXTWUPUYHVUDUYLVUFWUQWUTUWLXTWUPUYIIWURYAYOYPUWMYCVVGVVJVVOUWNUW
        OYSUXAVVOVVOVUCVVNVSVUIVUIVMVNVOVPVUDIVUFUHPIUWPZVDOVUEVCVUDWVMUWQUWRUH
        MJVYEUWSUWTVEMJVYEJUFTUXBWFURUXCUXDUXEVVEVVOYTVVFVVLVUCVVNVVFVVKVUBVUAU
        YIINUXFXQXEVVHVVNVUHVUCVVHVVMVUGUGUAUYLVUFHUXGUXHXQVVIVUIYTUXIUXJYS $.
    $}

    $( Member of value of isomorphism H for a lattice ` K ` when
       ` -. X .<_ W ` , given auxiliary atom ` Q ` .  (Contributed by NM,
       13-Mar-2014.) $)
    dihopelvalc $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( X e. B /\ -. X .<_ W )
        /\ ( ( Q e. A /\ -. Q .<_ W ) /\ ( Q .\/ ( X ./\ W ) ) = X ) )
  -> ( <. F , S >. e. ( I ` X )
    <-> ( ( F e. T /\ S e. E ) /\ ( R ` ( F o. `' ( S ` G ) ) ) .<_ X ) ) ) $=
      ( vh va vb cdic cfv cdvh cplusg clsm cdib cv ccom cmpt cmpo clss cid cres
      eqid dihopelvalcpre ) ABROUQURURZCROUSURURZUTURZVMVAURZDEFGVMHUNIJKLMNOPQ
      ROVBURURZUOUPIIUNGUNVCZUOVCURVQUPVCURVDVEVFZVMVGURZRSUNGVHBVIVEZUOUPTUAUB
      UCUDUEUFUGUHUIUJUKULUMVTVJVPVJVLVJVMVJVNVJVSVJVOVJVRVJVK $.
  $}

  ${
    dihlss.b $e |- B = ( Base ` K ) $.
    dihlss.h $e |- H = ( LHyp ` K ) $.
    dihlss.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihlss.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihlss.s $e |- S = ( LSubSp ` U ) $.
    $( The value of isomorphism H is a subspace.  (Contributed by NM,
       6-Mar-2014.) $)
    dihlss $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. B )
      -> ( I ` X ) e. S ) $=
      ( chlt wcel wa cple cfv eqid anassrs wbr cdib dihvalb diblss eqeltrd catm
      wn cdic clsm cjn cmee dihlsscpre pm2.61dan ) FNOGDOPZHAOZPHGFQRZUAZHERZBO
      ZUNUOUQUSUNUOUQPPURHGFUBRRZRBAUTDEFUPNGHIUPSZJKUTSZUCABCDUTFUPGHIVAJLVBMU
      DUETUNUOUQUGUSFUFRZAGFUHRRZUTCUIRZBCDEFUJRZFUPFUKRZGHIVAVFSVGSVCSJKVBVDSL
      MVESULTUM $.
  $}

  ${
    dihss.b $e |- B = ( Base ` K ) $.
    dihss.h $e |- H = ( LHyp ` K ) $.
    dihss.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihss.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihss.v $e |- V = ( Base ` U ) $.
    $( The value of isomorphism H is a set of vectors.  (Contributed by NM,
       14-Mar-2014.) $)
    dihss $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. B )
         -> ( I ` X ) C_ V ) $=
      ( chlt wcel wa cfv clss wss eqid dihlss lssss syl ) ENOGCOPHAOPHDQZBRQZOU
      DFSAUEBCDEGHIJKLUETZUAUEUDFBMUFUBUC $.
  $}

  ${
    dihssxp.b $e |- B = ( Base ` K ) $.
    dihssxp.h $e |- H = ( LHyp ` K ) $.
    dihssxp.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dihssxp.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dihssxp.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihssxp.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihssxp.x $e |- ( ph -> X e. B ) $.
    $( An isomorphism H value is included in the vector space (expressed as
       ` T X. E ` ).  (Contributed by NM, 26-Sep-2014.) $)
    dihssxp $p |- ( ph -> ( I ` X ) C_ ( T X. E ) ) $=
      ( cfv chlt wcel eqid cdvh cbs cxp wss dihss syl2anc wceq dvhvbase sseqtrd
      wa syl ) AIFQZHGUAQQZUBQZCDUCZAGRSHESUJZIBSULUNUDOPBUMEFGUNHIJKNUMTZUNTZU
      EUFAUPUNUOUGOCUMDEGUNHRKLMUQURUHUKUI $.
  $}

  ${
    dihopcl.b $e |- B = ( Base ` K ) $.
    dihopcl.h $e |- H = ( LHyp ` K ) $.
    dihopcl.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dihopcl.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dihopcl.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihopcl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihopcl.x $e |- ( ph -> X e. B ) $.
    dihopcl.y $e |- ( ph -> <. F , S >. e. ( I ` X ) ) $.
    $( Closure of an ordered pair (vector) member of a value of isomorphism H.
       (Contributed by NM, 26-Sep-2014.) $)
    dihopcl $p |- ( ph -> ( F e. T /\ S e. E ) ) $=
      ( wcel cop cxp wa cfv dihssxp sseldd opelxp sylib ) AFCUAZDEUBZTFDTCETUCA
      KHUDUJUIABDEGHIJKLMNOPQRUESUFFCDEUGUH $.
  $}

  ${
    $d s t E $.  $d g h t u F $.  $d f g t H $.  $d g h t u I $.
    $d f g s t K $.  $d g h t u S $.  $d g h t u U $.  $d f g s t W $.
    $d g h t u X $.  $d g h t u Y $.  $d g h t u ph $.
    xihopellsm.b $e |- B = ( Base ` K ) $.
    xihopellsm.h $e |- H = ( LHyp ` K ) $.
    xihopellsm.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    xihopellsm.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    xihopellsm.a $e |- A = ( s e. E , t e. E |-> ( f e. T |-> ( ( s ` f ) o.
         ( t ` f ) ) ) ) $.
    xihopellsm.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    xihopellsm.l $e |- L = ( LSubSp ` U ) $.
    xihopellsm.p $e |- .(+) = ( LSSum ` U ) $.
    xihopellsm.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    xihopellsm.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    xihopellsm.x $e |- ( ph -> X e. B ) $.
    xihopellsm.y $e |- ( ph -> Y e. B ) $.
    $( Ordered pair membership in a subspace sum of isomorphism H values.
       (Contributed by NM, 26-Sep-2014.)  (New usage is discouraged.) $)
    xihopellsmN $p |- ( ph
  -> ( <. F , S >. e. ( ( I ` X ) .(+) ( I ` Y ) ) <-> E. g E. t E. h E. u
        ( ( <. g , t >. e. ( I ` X ) /\ <. h , u >. e. ( I ` Y ) )
           /\ ( F = ( g o. h ) /\ S = ( t A u ) ) ) ) ) $=
      ( cop cfv co wcel cv wa cplusg wceq ccom chlt clss wb eqid dihlss syl2anc
      dvhopellsm syl3anc adantr simpr anim12dan simprl simprr dvhopvadd2 eqeq2d
      wex dihopcl vex coex ovex opth2 bitrdi syldan pm5.32da 4exbidv bitrd ) AN
      GUOZTPUPZUAPUPZFUQURZKUSZCUSZUOZWKURZLUSZBUSZUOZWLURZUTZWJWPWTIVAUPZUQZVB
      ZUTZBVSLVSCVSKVSZXBNWNWRVCZVBGWOWSDUQZVBUTZUTZBVSLVSCVSKVSAQVDURSOURUTZWK
      IVEUPZURZWLXMURZWMXGVFULAXLTEURZXNULUMEXMIOPQSTUCUDUKUHXMVGZVHVIAXLUAEURZ
      XOULUNEXMIOPQSUAUCUDUKUHXQVHVIKCLBXCFXMGINOQSWKWLUDUHXCVGZXQUJVJVKAXFXKKC
      LBAXBXEXJAXBWNHURWOMURUTZWRHURWSMURUTZUTZXEXJVFAWQXTXAYAAWQUTEWOHMWNOPQST
      UCUDUEUFUKAXLWQULVLAXPWQUMVLAWQVMVTAXAUTEWSHMWROPQSUAUCUDUEUFUKAXLXAULVLA
      XRXAUNVLAXAVMVTVNAYBUTZXEWJXHXIUOZVBXJYCXDYDWJYCXLXTYAXDYDVBAXLYBULVLAXTY
      AVOAXTYAVPCDXCWOWSHIJMWNWROQSUBUDUEUFUGUHXSVQVKVRNGXHXIWNWRKWALWAWBWOWSDW
      CWDWEWFWGWHWI $.
  $}

  ${
    $d v w E $.  $d g h t u F $.  $d g i t H $.  $d g h t u I $.
    $d g i t v w K $.  $d g h t u S $.  $d g h t u U $.  $d g i t v w W $.
    $d g h t u X $.  $d g h t u Y $.  $d g h t u ph $.
    dihopellsm.b $e |- B = ( Base ` K ) $.
    dihopellsm.h $e |- H = ( LHyp ` K ) $.
    dihopellsm.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dihopellsm.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dihopellsm.a $e |- A = ( v e. E , w e. E |-> ( i e. T |-> ( ( v ` i ) o.
         ( w ` i ) ) ) ) $.
    dihopellsm.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihopellsm.l $e |- L = ( LSubSp ` U ) $.
    dihopellsm.p $e |- .(+) = ( LSSum ` U ) $.
    dihopellsm.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihopellsm.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihopellsm.x $e |- ( ph -> X e. B ) $.
    dihopellsm.y $e |- ( ph -> Y e. B ) $.
    $( Ordered pair membership in a subspace sum of isomorphism H values.
       (Contributed by NM, 26-Sep-2014.) $)
    dihopellsm $p |- ( ph
  -> ( <. F , S >. e. ( ( I ` X ) .(+) ( I ` Y ) ) <-> E. g E. t E. h E. u
        ( ( <. g , t >. e. ( I ` X ) /\ <. h , u >. e. ( I ` Y ) )
           /\ ( F = ( g o. h ) /\ S = ( t A u ) ) ) ) ) $=
      ( cop cfv co wcel cv wa cplusg wceq ccom chlt clss wb eqid dihlss syl2anc
      dvhopellsm syl3anc adantr simpr anim12dan simprl simprr dvhopvadd2 eqeq2d
      wex dihopcl vex coex ovex opth2 bitrdi syldan pm5.32da 4exbidv bitrd ) AP
      IUPZUBRUQZUCRUQZHURUSZLUTZEUTZUPZWLUSZMUTZDUTZUPZWMUSZVAZWKWQXAKVBUQZURZV
      CZVAZDVTMVTEVTLVTZXCPWOWSVDZVCIWPWTFURZVCVAZVAZDVTMVTEVTLVTASVEUSUAQUSVAZ
      WLKVFUQZUSZWMXNUSZWNXHVGUMAXMUBGUSZXOUMUNGXNKQRSUAUBUDUEULUIXNVHZVIVJAXMU
      CGUSZXPUMUOGXNKQRSUAUCUDUEULUIXRVIVJLEMDXDHXNIKPQSUAWLWMUEUIXDVHZXRUKVKVL
      AXGXLLEMDAXCXFXKAXCWOJUSWPOUSVAZWSJUSWTOUSVAZVAZXFXKVGAWRYAXBYBAWRVAGWPJO
      WOQRSUAUBUDUEUFUGULAXMWRUMVMAXQWRUNVMAWRVNWAAXBVAGWTJOWSQRSUAUCUDUEUFUGUL
      AXMXBUMVMAXSXBUOVMAXBVNWAVOAYCVAZXFWKXIXJUPZVCXKYDXEYEWKYDXMYAYBXEYEVCAXM
      YCUMVMAYAYBVPAYAYBVQBFXDWPWTJKNOWOWSQSUACUEUFUGUHUIXTVRVLVSPIXIXJWOWSLWBM
      WBWCWPWTFWDWEWFWGWHWIWJ $.
  $}

  ${
    $d q .<_ $.  $d q A $.  $d h q B $.  $d q H $.  $d q I $.  $d h q K $.
    $d q O $.  $d h q T $.  $d h q W $.  $d q X $.  $d q Y $.
    dihord6apre.b $e |- B = ( Base ` K ) $.
    dihord6apre.l $e |- .<_ = ( le ` K ) $.
    dihord6apre.a $e |- A = ( Atoms ` K ) $.
    dihord6apre.h $e |- H = ( LHyp ` K ) $.
    dihord6apre.p $e |- P = ( ( oc ` K ) ` W ) $.
    dihord6apre.o $e |- O = ( h e. T |-> ( _I |` B ) ) $.
    dihord6apre.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dihord6apre.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dihord6apre.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihord6apre.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihord6apre.s $e |- .(+) = ( LSSum ` U ) $.
    dihord6apre.g $e |- G = ( iota_ h e. T ( h ` P ) = q ) $.
    $( Part of proof that isomorphism H is order-preserving .  (Contributed by
       NM, 7-Mar-2014.) $)
    dihord6apre $p |- ( ( ( ( K e. HL /\ W e. H )
        /\ ( X e. B /\ -. X .<_ W )
   /\ ( Y e. B /\ Y .<_ W ) ) /\ ( I ` X ) C_ ( I ` Y ) ) -> X .<_ Y ) $=
      ( chlt wcel wa wbr wn w3a cfv wss cid cres wceq tendo1ne0 3ad2ant1 neneqd
      wne cv cmee co cjn wrex wi eqid lhpmcvr2 3adant3 cdic simpl1 simpl2 simpr
      cdib dihvalcq syl3anc simpl3 dihvalb syl2anc sseq12d csubg clss lsssssubg
      clmod dvhlmod simprl diclss sseldd simpl1l hllatd simpl2l simpl1r lhpbase
      syl clat latmcl latmle2 diblss syl12anc lsmub1 sstr cop tendoidcl wb fvex
      eqidd cvv cltrn fvexi ax-mp dicopelval2 mpbir2and cdia dibopelval2 syl6bi
      resiexg ssel2 syl5 mpan2d mpand exp44 imp4a rexlimdv mpd mtod pm2.21d imp
      sylbid ) LUKULZOJULZUMZPBULZPOMUNUOZUMZQBULQOMUNUMZUPZPKUQZQKUQZURZPQMUNZ
      UUAUUDUUEUUAUUDUSEUTZNVAZUUAUUFNYPYSUUFNVEYTBEGHJLNOSUBUEUFUDVBVCVDUUARVF
      ZOMUNUOZUUHPOLVGUQZVHZLVIUQZVHPVAZUMZRAVJZUUDUUGVKZYPYSUUOYTABJUULLMUUJOP
      RSTUULVLZUUJVLZUAUBVMVNUUAUUNUUPRAUUAUUHAULZUUIUUMUUPUUAUUSUUIUUMUUPUUAUU
      SUUIUMZUUMUMZUMZUUDUUHOLVOUQUQZUQZUUKOLVSUQUQZUQZDVHZQUVEUQZURZUUGUVBUUBU
      VGUUCUVHUVBYPYSUVAUUBUVGVAYPYSYTUVAVPZYPYSYTUVAVQUUAUVAVRABUVCUVEDUUHFJKU
      ULLMUUJOPSTUUQUURUAUBUGUVEVLZUVCVLZUHUIVTWAUVBYPYTUUCUVHVAUVJYPYSYTUVAWBZ
      BUVEJKLMUKOQSTUBUGUVKWCWDWEUVBUVDUVGURZUVIUUGUVBUVDFWFUQZULUVFUVOULUVNUVB
      FWGUQZUVOUVDUVBFWIULUVPUVOURUVBFJLOUBUHUVJWJUVPFUVPVLZWHWSZUVBYPUUTUVDUVP
      ULUVJUUAUUTUUMWKZAUUHUVPFJUVCLMOTUAUBUHUVLUVQWLWDWMUVBUVPUVOUVFUVRUVBYPUU
      KBULZUUKOMUNZUVFUVPULUVJUVBLWTULZYQOBULZUVTUVBLYNYOYSYTUVAWNWOZYQYRYPYTUV
      AWPZUVBYOUWCYNYOYSYTUVAWQBJLOSUBWRWSZBLUUJPOSUURXAWAUVBUWBYQUWCUWAUWDUWEU
      WFBLMUUJPOSTUURXBWABUVPFJUVELMOUUKSTUBUHUVKUVQXCXDWMDUVDUVFFUIXEWDUVNUVIU
      MUVDUVHURZUVBUUGUVDUVGUVHXFUVBUWGIUUFUQZUUFXGZUVDULZUUGUVBUWJUWHUWHVAZUUF
      HULZUVBUWHXKUVBYPUWLUVJEHJLOUBUEUFXHWSUVBYPUUTUWJUWKUWLUMXIUVJUVSACUUHUUF
      EGHUWHIJUVCLMUKOTUAUBUCUEUFUVLUJIUUFXJEXLULUUFXLULEOLXMUQUEXNEXLYAXOXPWDX
      QUWGUWJUMUWIUVHULZUVBUUGUVDUVHUWIYBUVBUWMUWHQOLXRUQUQZUQULZUUGUMZUUGUVBYP
      YTUWMUWPXIUVJUVMBUUFEGUWHJUVEUWNLMUKOQNSTUBUEUDUWNVLUVKXSWDUWOUUGVRXTYCYD
      YCYEYMYFYGYHYIYJYKYL $.
  $}

  ${
    dihord3.b $e |- B = ( Base ` K ) $.
    dihord3.l $e |- .<_ = ( le ` K ) $.
    dihord3.h $e |- H = ( LHyp ` K ) $.
    dihord3.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( The isomorphism H for a lattice ` K ` is order-preserving in the region
       under co-atom ` W ` .  (Contributed by NM, 6-Mar-2014.) $)
    dihord3 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ X .<_ W )
   /\ ( Y e. B /\ Y .<_ W ) ) -> ( ( I ` X ) C_ ( I ` Y ) <-> X .<_ Y ) ) $=
      ( chlt wcel wa wbr cfv wss wceq dihvalb cdib eqid 3adant3 3adant2 sseq12d
      w3a dibord bitrd ) DMNFBNOZGANGFEPOZHANHFEPOZUFZGCQZHCQZRGFDUAQQZQZHUOQZR
      GHEPULUMUPUNUQUIUJUMUPSUKAUOBCDEMFGIJKLUOUBZTUCUIUKUNUQSUJAUOBCDEMFHIJKLU
      RTUDUEABUODEFGHIJKURUGUH $.

    $d q r .<_ $.  $d q r B $.  $d q r H $.  $d q r I $.  $d q r K $.
    $d q r W $.  $d q r X $.  $d q r Y $.
    $( The isomorphism H for a lattice ` K ` is order-preserving in the region
       not under co-atom ` W ` .  TODO: reformat ` ( q e. A /\ -. q .<_ W ) `
       to eliminate adant*.  (Contributed by NM, 6-Mar-2014.) $)
    dihord4 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ -. X .<_ W )
     /\ ( Y e. B /\ -. Y .<_ W ) )
   -> ( ( I ` X ) C_ ( I ` Y ) <-> X .<_ Y ) ) $=
      ( vq vr wcel wa cfv co eqid adantr chlt wbr wn w3a cv cmee wceq catm wrex
      cjn wss wb lhpmcvr2 3adant3 3adant2 reeanv sylanbrc cdic cdib cdvh simp11
      clsm simp12 simp2l simp3ll jca simp3lr dihvalcq syl112anc simp3rl simp3rr
      sseq12d simpl11 simpl2l simpl2r simp12l simp13l dihord2 syl323anc dihord1
      simp13 simp2r simpr impbida bitrd 3exp rexlimdvv mpd ) DUAOFBOPZGAOZGFEUB
      UCZPZHAOZHFEUBUCZPZUDZMUEZFEUBUCZWQGFDUFQZRZDUJQZRGUGZPZNUEZFEUBUCZXDHFWS
      RZXARHUGZPZPZNDUHQZUIMXJUIZGCQZHCQZUKZGHEUBZULZWPXCMXJUIZXHNXJUIZXKWIWLXQ
      WOXJABXADEWSFGMIJXASZWSSZXJSZKUMUNWIWOXRWLXJABXADEWSFHNIJXSXTYAKUMUOXCXHM
      NXJXJUPUQWPXIXPMNXJXJWPWQXJOZXDXJOZPZXIXPWPYDXIUDZXNWQFDURQQZQWTFDUSQQZQF
      DUTQQZVBQZRZXDYFQXFYGQYIRZUKZXOYEXLYJXMYKYEWIWLYBWRPZXBXLYJUGWIWLWOYDXIVA
      ZWIWLWOYDXIVCYEYBWRWPYBYCXIVDWRXBXHWPYDVEZVFWRXBXHWPYDVGZXJAYFYGYIWQYHBCX
      ADEWSFGIJXSXTYAKLYGSZYFSZYHSZYISZVHVIYEWIWOYCXEPZXGXMYKUGYNWIWLWOYDXIWAYE
      YCXEWPYBYCXIWBXEXGXCWPYDVJZVFXEXGXCWPYDVKZXJAYFYGYIXDYHBCXADEWSFHIJXSXTYA
      KLYQYRYSYTVHVIVLYEYLXOYEYLPZWIYMUUAWJWMXBXGYLXOWIWLWOYDXIYLVMUUDYBWRYBYCW
      PXIYLVNYEWRYLYOTVFUUDYCXEYBYCWPXIYLVOYEXEYLUUBTVFYEWJYLWJWKWIWOYDXIVPZTYE
      WMYLWMWNWIWLYDXIVQZTYEXBYLYPTYEXGYLUUCTYEYLWCXJAYIWQYHBYGYFXADEWSXDFGHIJX
      SXTYAKYQYRYSYTVRVSYEXOPZWIYMUUAWJWMXBXGXOYLWIWLWOYDXIXOVMUUGYBWRYBYCWPXIX
      OVNYEWRXOYOTVFUUGYCXEYBYCWPXIXOVOYEXEXOUUBTVFYEWJXOUUETYEWMXOUUFTYEXBXOYP
      TYEXGXOUUCTYEXOWCXJAYIWQXDYHBYGYFXADEWSFGHIJXSXTYAKYQYRYSYTVTVSWDWEWFWGWH
      $.

    $( Part of proof that isomorphism H is order-preserving.  TODO: eliminate
       3ad2ant1; combine with other way to have one lhpmcvr2 .  (Contributed by
       NM, 7-Mar-2014.) $)
    dihord5b $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ X .<_ W )
   /\ ( Y e. B /\ -. Y .<_ W ) ) /\ X .<_ Y ) -> ( I ` X ) C_ ( I ` Y ) ) $=
      ( vr wcel wa wbr cfv wss eqid 3ad2ant1 chlt wn w3a cv cmee wceq catm wrex
      co cjn simpl1 simpl3 lhpmcvr2 syl2anc wi cdib cdic cdvh clsm simpl2r clat
      simp1r simpl1l simpl2l simpl3l simpl1r lhpbase latlem12 syl13anc mpbi2and
      hllatd syl simp1l1 simp1l2 latmcl syl3anc latmle2 dibord syl112anc mpbird
      wb csubg clss clmod dvhlmod lsssssubg simp2 diclss sseldd diblss syl12anc
      sstrd dihvalb simp1l3 simp3 dihvalcq 3sstr4d 3exp expd imp4a rexlimdv mpd
      lsmub2 ) DUANZFBNZOZGANZGFEPZOZHANZHFEPUBZOZUCZGHEPZOZMUDZFEPUBZXPHFDUEQZ
      UIZDUJQZUIHUFZOZMDUGQZUHZGCQZHCQZRZXOXFXLYDXFXIXLXNUKXFXIXLXNULYCABXTDEXR
      FHMIJXTSZXRSZYCSZKUMUNXOYBYGMYCXOXPYCNZXQYAYGXOYKXQYAYGUOXOYKXQOZYAYGXOYL
      YAUCZGFDUPQQZQZXPFDUQQQZQZXSYNQZFDURQQZUSQZUIZYEYFYMYOYRUUAYMYOYRRZGXSEPZ
      YMXNXHUUCXMXNYLYAVBXOYLXHYAXGXHXFXLXNUTTYMDVANZXGXJFANZXNXHOUUCWAYMDXOYLX
      DYAXDXEXIXLXNVCTVKZXOYLXGYAXGXHXFXLXNVDTXOYLXJYAXJXKXFXIXNVETZYMXEUUEXOYL
      XEYAXDXEXIXLXNVFTABDFIKVGVLZADEXRGHFIJYIVHVIVJYMXFXIXSANZXSFEPZUUBUUCWAXF
      XIXLXNYLYAVMZXFXIXLXNYLYAVNZYMUUDXJUUEUUIUUFUUGUUHADXRHFIYIVOVPZYMUUDXJUU
      EUUJUUFUUGUUHADEXRHFIJYIVQVPZABYNDEFGXSIJKYNSZVRVSVTYMYQYSWBQZNYRUUPNYRUU
      ARYMYSWCQZUUPYQYMYSWDNUUQUUPRYMYSBDFKYSSZUUKWEUUQYSUUQSZWFVLZYMXFYLYQUUQN
      UUKXOYLYAWGZYCXPUUQYSBYPDEFJYJKUURYPSZUUSWHUNWIYMUUQUUPYRUUTYMXFUUIUUJYRU
      UQNUUKUUMUUNAUUQYSBYNDEFXSIJKUURUUOUUSWJWKWIYTYQYRYSYTSZXCUNWLYMXFXIYEYOU
      FUUKUULAYNBCDEUAFGIJKLUUOWMUNYMXFXLYLYAYFUUAUFUUKXFXIXLXNYLYAWNUVAXOYLYAW
      OYCAYPYNYTXPYSBCXTDEXRFHIJYHYIYJKLUUOUVBUURUVCWPVSWQWRWSWTXAXB $.

    $( Part of proof that isomorphism H is order-preserving .  (Contributed by
       NM, 7-Mar-2014.) $)
    dihord6b $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ -. X .<_ W )
   /\ ( Y e. B /\ Y .<_ W ) ) /\ X .<_ Y ) -> ( I ` X ) C_ ( I ` Y ) ) $=
      ( chlt wcel wa wbr wn w3a cfv wss simp2r simp3r clat simp1l hllatd simp2l
      wi simp3l simp1r lhpbase syl lattr syl13anc mpan2d mtod pm2.21d imp ) DMN
      ZFBNZOZGANZGFEPZQZOZHANZHFEPZOZRZGHEPZGCSHCSTZVHVIVJVHVIVBUTVAVCVGUAVHVIV
      FVBUTVDVEVFUBVHDUCNVAVEFANZVIVFOVBUGVHDURUSVDVGUDUEUTVAVCVGUFUTVDVEVFUHVH
      USVKURUSVDVGUIABDFIKUJUKADEGHFIJULUMUNUOUPUQ $.

    $d h B $.  $d h q K $.  $d h W $.
    $( Part of proof that isomorphism H is order-preserving .  (Contributed by
       NM, 7-Mar-2014.) $)
    dihord6a $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ -. X .<_ W )
   /\ ( Y e. B /\ Y .<_ W ) ) /\ ( I ` X ) C_ ( I ` Y ) ) -> X .<_ Y ) $=
      ( vh vq catm cfv coc cdvh cv eqid clsm cltrn ctendo wceq crio dihord6apre
      cid cres cmpt ) DOPZAFDQPPZFDRPPZUAPZFDUBPPZULMFDUCPPZUKMSPNSUDMUNUEZBCDE
      MUNUGAUHUIZFGHNIJUJTKUKTUQTUNTUOTLULTUMTUPTUF $.
  $}

  ${
    $d r ./\ $.  $d r .<_ $.  $d r A $.  $d r B $.  $d r H $.  $d r I $.
    $d r K $.  $d r W $.  $d r X $.  $d r Y $.
    dihord5apre.b $e |- B = ( Base ` K ) $.
    dihord5apre.l $e |- .<_ = ( le ` K ) $.
    dihord5apre.h $e |- H = ( LHyp ` K ) $.
    dihord5apre.j $e |- .\/ = ( join ` K ) $.
    dihord5apre.m $e |- ./\ = ( meet ` K ) $.
    dihord5apre.a $e |- A = ( Atoms ` K ) $.
    dihord5apre.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihord5apre.s $e |- .(+) = ( LSSum ` U ) $.
    dihord5apre.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( Part of proof that isomorphism H is order-preserving .  (Contributed by
       NM, 7-Mar-2014.) $)
    dihord5apre $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ X .<_ W )
   /\ ( Y e. B /\ -. Y .<_ W ) ) /\ ( I ` X ) C_ ( I ` Y ) ) -> X .<_ Y ) $=
      ( vr chlt wcel wa wbr wn w3a cfv wss cv wceq wrex simpl1 lhpmcvr2 syl2anc
      simpl3 simp11l hllatd simp12l clat simp3ll atbase syl3anc simp13l latlej2
      co latjcl cdic cdib simp11 simp3lr latlej1 simp11r lhpbase lattr syl13anc
      syl wi mpand mtod simp3l simp12 lhple oveq2d eqid dihvalcq syl122anc clss
      csubg clmod dvhlmod lsssssubg diclss sseldd latmcl diblss syl12anc lsmub1
      latmle2 simp13 simp3r syl112anc sseqtrrd fveq2d dihvalb eqtr4d eqsstrd wb
      simp2 dihlss lsmlub mpbi2and syl121anc mpbid lattrd 3expia exp4c rexlimdv
      dihord4 imp4a mpd ) HUDUEZKEUEZUFZLBUEZLKIUGZUFZMBUEZMKIUGUHZUFZUIZLFUJZM
      FUJZUKZUFZUCULZKIUGZUHZYRMKJVHZGVHMUMZUFZUCAUNZLMIUGZYQYFYLUUDYFYIYLYPUOY
      FYIYLYPURABEGHIJKMUCNOQRSPUPUQYQUUCUUEUCAYQYRAUEZYTUUBUUEYQUUFYTUUBUUEYMY
      PUUFYTUFZUUBUFZUUEYMYPUUHUIZBHILYRLGVHZMNOUUIHYDYEYIYLYPUUHUSUTZYGYHYFYLY
      PUUHVAZUUIHVBUEZYRBUEZYGUUJBUEZUUKUUIUUFUUNUUFYTUUBYMYPVCABYRHNSVDVSZUULB
      GHYRLNQVIVEZYJYKYFYIYPUUHVFZUUIUUMUUNYGLUUJIUGUUKUUPUULBGHIYRLNOQVGVEUUIU
      UJFUJZYOUKZUUJMIUGZUUIUUSYRKHVJUJUJZUJZUUJKJVHZKHVKUJUJZUJZCVHZYOUUIYFUUO
      UUJKIUGZUHZUUGYRUVDGVHUUJUMUUSUVGUMYFYIYLYPUUHVLZUUQUUIUVHYSUUFYTUUBYMYPV
      MUUIYRUUJIUGZUVHYSUUIUUMUUNYGUVKUUKUUPUULBGHIYRLNOQVNVEUUIUUMUUNUUOKBUEZU
      VKUVHUFYSVTUUKUUPUUQUUIYEUVLYDYEYIYLYPUUHVOBEHKNPVPVSZBHIYRUUJKNOVQVRWAWB
      ZYMYPUUGUUBWCZUUIUVDLYRGUUIYFUUGYIUVDLUMUVJUVOYFYIYLYPUUHWDZABYREGHIJKLNO
      QRSPWEVEZWFABUVBUVECYRDEFGHIJKUUJNOQRSPUBUVEWGZUVBWGZTUAWHWIUUIUVCYOUKZUV
      FYOUKZUVGYOUKZUUIUVCUVCUUAUVEUJZCVHZYOUUIUVCDWKUJZUEZUWCUWEUEUVCUWDUKUUID
      WJUJZUWEUVCUUIDWLUEUWGUWEUKUUIDEHKPTUVJWMUWGDUWGWGZWNVSZUUIYFUUGUVCUWGUEU
      VJUVOAYRUWGDEUVBHIKOSPTUVSUWHWOUQWPZUUIUWGUWEUWCUWIUUIYFUUABUEZUUAKIUGZUW
      CUWGUEUVJUUIUUMYJUVLUWKUUKUURUVMBHJMKNRWQVEUUIUUMYJUVLUWLUUKUURUVMBHIJMKN
      ORXAVEBUWGDEUVEHIKUUANOPTUVRUWHWRWSWPCUVCUWCDUAWTUQUUIYFYLUUGUUBYOUWDUMUV
      JYFYIYLYPUUHXBZUVOYMYPUUGUUBXCABUVBUVECYRDEFGHIJKMNOQRSPUBUVRUVSTUAWHXDXE
      UUIUVFYNYOUUIUVFLUVEUJZYNUUIUVDLUVEUVQXFUUIYFYIYNUWNUMUVJUVPBUVEEFHIUDKLN
      OPUBUVRXGUQXHYMYPUUHXKXIUUIUWFUVFUWEUEYOUWEUEUVTUWAUFUWBXJUWJUUIUWGUWEUVF
      UWIUUIYFUVDBUEZUVDKIUGZUVFUWGUEUVJUUIUUMUUOUVLUWOUUKUUQUVMBHJUUJKNRWQVEUU
      IUUMUUOUVLUWPUUKUUQUVMBHIJUUJKNORXAVEBUWGDEUVEHIKUVDNOPTUVRUWHWRWSWPUUIUW
      GUWEYOUWIUUIYFYJYOUWGUEUVJUURBUWGDEFHKMNPUBTUWHXLUQWPCUVCUVFYODUAXMVEXNXI
      UUIYFUUOUVIYLUUTUVAXJUVJUUQUVNUWMBEFHIKUUJMNOPUBYAXOXPXQXRXSYBXTYC $.
  $}

  ${
    dihord.b $e |- B = ( Base ` K ) $.
    dihord.l $e |- .<_ = ( le ` K ) $.
    dihord.h $e |- H = ( LHyp ` K ) $.
    dihord.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( Part of proof that isomorphism H is order-preserving .  (Contributed by
       NM, 7-Mar-2014.) $)
    dihord5a $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ X .<_ W )
   /\ ( Y e. B /\ -. Y .<_ W ) ) /\ ( I ` X ) C_ ( I ` Y ) ) -> X .<_ Y ) $=
      ( catm cfv cdvh clsm cjn cmee eqid dihord5apre ) DMNZAFDONNZPNZUBBCDQNZDE
      DRNZFGHIJKUDSUESUASUBSUCSLT $.

    $( The isomorphism H is order-preserving.  Part of proof after Lemma N of
       [Crawley] p. 122 line 6.  (Contributed by NM, 7-Mar-2014.) $)
    dihord $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. B /\ Y e. B )
            -> ( ( I ` X ) C_ ( I ` Y ) <-> X .<_ Y ) ) $=
      ( wcel wa simpl1 simpl2 simprl simpl3 simprr syl122anc w3a wbr cfv wss wb
      dihord3 wn dihord5a dihord5b impbida dihord6a dihord6b dihord4 4casesdan
      chlt ) DUOMFBMNZGAMZHAMZUAZGFEUBZHFEUBZGCUCHCUCUDZGHEUBZUEZUSUTVANZNUPUQU
      TURVAVDUPUQURVEOUPUQURVEPUSUTVAQUPUQURVERUSUTVASABCDEFGHIJKLUFTUSUTVAUGZN
      ZNUPUQUTURVFVDUPUQURVGOUPUQURVGPUSUTVFQUPUQURVGRUSUTVFSUPUQUTNURVFNUAVBVC
      ABCDEFGHIJKLUHABCDEFGHIJKLUIUJTUSUTUGZVANZNUPUQVHURVAVDUPUQURVIOUPUQURVIP
      USVHVAQUPUQURVIRUSVHVASUPUQVHNURVANUAVBVCABCDEFGHIJKLUKABCDEFGHIJKLULUJTU
      SVHVFNZNUPUQVHURVFVDUPUQURVJOUPUQURVJPUSVHVFQUPUQURVJRUSVHVFSABCDEFGHIJKL
      UMTUN $.
  $}

  ${
    dih11.b $e |- B = ( Base ` K ) $.
    dih11.h $e |- H = ( LHyp ` K ) $.
    dih11.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( The isomorphism H is one-to-one.  Part of proof after Lemma N of
       [Crawley] p. 122 line 6.  (Contributed by NM, 7-Mar-2014.) $)
    dih11 $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. B /\ Y e. B )
              -> ( ( I ` X ) = ( I ` Y ) <-> X = Y ) ) $=
      ( cfv wceq wss wa chlt wcel w3a wbr dihord wb eqss cple eqid anbi12d clat
      3com23 simp1l hllatd latasymb syld3an1 bitrd syl5bb ) FCKZGCKZLUMUNMZUNUM
      MZNZDOPZEBPZNZFAPZGAPZQZFGLZUMUNUAVCUQFGDUBKZRZGFVERZNZVDVCUOVFUPVGABCDVE
      EFGHVEUCZIJSUTVBVAUPVGTABCDVEEGFHVIIJSUFUDDUEPVAUTVBVHVDTVCDURUSVAVBUGUHA
      DVEFGHVIUIUJUKUL $.
  $}

  ${
    $d x y B $.  $d x y H $.  $d x y I $.  $d q u x y K $.  $d u y S $.
    $d q u x y W $.
    dihf11.b $e |- B = ( Base ` K ) $.
    dihf11.h $e |- H = ( LHyp ` K ) $.
    dihf11.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihf11.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihf11.s $e |- S = ( LSubSp ` U ) $.
    $( Functionality of the isomorphism H. (Contributed by NM, 6-Mar-2014.) $)
    dihf11lem $p |- ( ( K e. HL /\ W e. H ) -> I : B --> S ) $=
      ( vx vq vu vy wcel cv cfv eqid chlt wa wfn crn wss wf cple wbr cdib wn co
      cmee cjn wceq cdic clsm wi catm wral crio cif cmpt cvv fvex riotaex rgenw
      ifex mptfng sylib dihfval fneq1d mpbird dihlss ralrimiva fnfvrnss syl2anc
      a1i df-f sylanbrc ) FUAQGDQUBZEAUCZEUDBUEZABEUFVTWAMAMRZGFUGSZUHZWCGFUISS
      ZSZNRZGWDUHUJWHWCGFULSZUKZFUMSZUKWCUNUBORWHGFUOSSZSWJWFSCUPSZUKUNUQNFURSZ
      USZOBUTZVAZVBZAUCZVTWQVCQZMAUSZWSXAVTWTMAWEWGWPWCWFVDWOOBVEVGVFVQMAWQWRWR
      TVHVIVTAEWRMOWNAWLWFWMBCDEWKFWDWIUAGNHWDTWKTWITWNTIJWFTWLTKLWMTVJVKVLZVTW
      APRZESBQZPAUSWBXBVTXDPAABCDEFGXCHIJKLVMVNPABEVOVPABEVRVS $.

    $( The isomorphism H for a lattice ` K ` is a one-to-one function.  Part of
       proof after Lemma N of [Crawley] p. 122 line 6.  (Contributed by NM,
       7-Mar-2014.) $)
    dihf11 $p |- ( ( K e. HL /\ W e. H ) -> I : B -1-1-> S ) $=
      ( vx vy chlt wcel wa cv cfv wral wf weq wi wf1 dihf11lem w3a dih11 biimpd
      wceq 3expb ralrimivva dff13 sylanbrc ) FOPGDPQZABEUAMRZESNRZESUIZMNUBZUCZ
      NATMATABEUDABCDEFGHIJKLUEUNUSMNAAUNUOAPZUPAPZUSUNUTVAUFUQURADEFGUOUPHIJUG
      UHUJUKMNABEULUM $.
  $}

  ${
    dihfn.b $e |- B = ( Base ` K ) $.
    dihfn.h $e |- H = ( LHyp ` K ) $.
    dihfn.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( Functionality and domain of isomorphism H. (Contributed by NM,
       9-Mar-2014.) $)
    dihfn $p |- ( ( K e. HL /\ W e. H ) -> I Fn B ) $=
      ( chlt wcel wa cdvh cfv clss wf1 wfn eqid dihf11 f1fn syl ) DIJEBJKAEDLMM
      ZNMZCOCAPAUBUABCDEFGHUAQUBQRAUBCST $.

    $( Domain of isomorphism H. (Contributed by NM, 9-Mar-2014.) $)
    dihdm $p |- ( ( K e. HL /\ W e. H ) -> dom I = B ) $=
      ( chlt wcel wa dihfn fndmd ) DIJEBJKACABCDEFGHLM $.

    $( Closure of isomorphism H. (Contributed by NM, 8-Mar-2014.) $)
    dihcl $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. B )
            -> ( I ` X ) e. ran I ) $=
      ( chlt wcel wa wfn cfv crn cdvh clss wf1 eqid dihf11 adantr f1fn fnfvelrn
      syl sylancom ) DJKEBKLZFAKZCAMZFCNCOKUFUGLAEDPNNZQNZCRZUHUFUKUGAUJUIBCDEG
      HIUISUJSTUAAUJCUBUDAFCUCUE $.

    $( Closure of isomorphism H converse.  (Contributed by NM, 8-Mar-2014.) $)
    dihcnvcl $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. ran I )
            -> ( `' I ` X ) e. B ) $=
      ( chlt wcel wa crn wf1o ccnv cfv cdvh clss wf1 eqid dihf11 f1ocnvdm sylan
      f1f1orn syl ) DJKEBKLZACMZCNZFUGKFCOPAKUFAEDQPPZRPZCSUHAUJUIBCDEGHIUITUJT
      UAAUJCUDUEAUGFCUBUC $.
  $}

  ${
    dihcnvid1.b $e |- B = ( Base ` K ) $.
    dihcnvid1.h $e |- H = ( LHyp ` K ) $.
    dihcnvid1.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( The converse isomorphism of an isomorphism.  (Contributed by NM,
       5-Aug-2014.) $)
    dihcnvid1 $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. B )
            -> ( `' I ` ( I ` X ) ) = X ) $=
      ( chlt wcel wa crn wf1o cfv ccnv wceq cdvh clss eqid wf1 dihf11 f1ocnvfv1
      f1f1orn syl sylan ) DJKEBKLZACMZCNZFAKFCOCPOFQUGAEDROOZSOZCUAUIAUKUJBCDEG
      HIUJTUKTUBAUKCUDUEAUHFCUCUF $.
  $}

  ${
    dihcnvid2.h $e |- H = ( LHyp ` K ) $.
    dihcnvid2.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( The isomorphism of a converse isomorphism.  (Contributed by NM,
       5-Aug-2014.) $)
    dihcnvid2 $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. ran I )
            -> ( I ` ( `' I ` X ) ) = X ) $=
      ( chlt wcel wa cbs cfv crn wf1o ccnv wceq cdvh clss wf1 eqid dihf11 sylan
      f1f1orn syl f1ocnvfv2 ) CHIDAIJZCKLZBMZBNZEUHIEBOLBLEPUFUGDCQLLZRLZBSUIUG
      UKUJABCDUGTFGUJTUKTUAUGUKBUCUDUGUHEBUEUB $.
  $}

  ${
    dihcnvord.l $e |- .<_ = ( le ` K ) $.
    dihcnvord.h $e |- H = ( LHyp ` K ) $.
    dihcnvord.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihcnvord.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihcnvord.x $e |- ( ph -> X e. ran I ) $.
    dihcnvord.y $e |- ( ph -> Y e. ran I ) $.
    $( Ordering property for converse of isomorphism H. (Contributed by NM,
       17-Aug-2014.) $)
    dihcnvord $p |- ( ph -> ( ( `' I ` X ) .<_ ( `' I ` Y ) <-> X C_ Y ) ) $=
      ( cfv wss wcel dihcnvcl syl2anc wceq ccnv wbr chlt wa cbs crn eqid dihord
      wb syl3anc dihcnvid2 sseq12d bitr3d ) AGCUAZOZCOZHUNOZCOZPZUOUQEUBZGHPADU
      CQFBQUDZUODUEOZQZUQVBQZUSUTUILAVAGCUFZQZVCLMVBBCDFGVBUGZJKRSAVAHVEQZVDLNV
      BBCDFHVGJKRSVBBCDEFUOUQVGIJKUHUJAUPGURHAVAVFUPGTLMBCDFGJKUKSAVAVHURHTLNBC
      DFHJKUKSULUM $.
  $}

  ${
    dihcnv11.h $e |- H = ( LHyp ` K ) $.
    dihcnv11.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihcnv11.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihcnv11.x $e |- ( ph -> X e. ran I ) $.
    dihcnv11.y $e |- ( ph -> Y e. ran I ) $.
    $( The converse of isomorphism H is one-to-one.  (Contributed by NM,
       17-Aug-2014.) $)
    dihcnv11 $p |- ( ph -> ( ( `' I ` X ) = ( `' I ` Y ) <-> X = Y ) ) $=
      ( ccnv cfv wceq chlt wcel dihcnvcl syl2anc dihcnvid2 wa cbs wb eqid dih11
      crn syl3anc eqeq12d bitr3d ) AFCMZNZCNZGUJNZCNZOZUKUMOZFGOADPQEBQUAZUKDUB
      NZQZUMURQZUOUPUCJAUQFCUFZQZUSJKURBCDEFURUDZHIRSAUQGVAQZUTJLURBCDEGVCHIRSU
      RBCDEUKUMVCHIUEUGAULFUNGAUQVBULFOJKBCDEFHITSAUQVDUNGOJLBCDEGHITSUHUI $.
  $}

  ${
    $d x H $.  $d x I $.  $d x K $.  $d x S $.  $d x W $.
    dihsslss.h $e |- H = ( LHyp ` K ) $.
    dihsslss.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihsslss.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihsslss.s $e |- S = ( LSubSp ` U ) $.
    $( The isomorphism H maps to subspaces.  (Contributed by NM,
       14-Mar-2014.) $)
    dihsslss $p |- ( ( K e. HL /\ W e. H ) -> ran I C_ S ) $=
      ( vx chlt wcel wa crn cv ccnv cfv dihcnvid2 cbs dihcnvcl dihlss syldan ex
      eqid eqeltrrd ssrdv ) ELMFCMNZKDOZAUHKPZUIMZUJAMUHUKNUJDQRZDRZUJACDEFUJGI
      SUHUKULETRZMUMAMUNCDEFUJUNUEZGIUAUNABCDEFULUOGIHJUBUCUFUDUG $.

    $( The isomorphism H maps to subspaces.  (Contributed by NM,
       14-Mar-2014.) $)
    dihrnlss $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. ran I )
           -> X e. S ) $=
      ( chlt wcel wa crn dihsslss sselda ) ELMFCMNDOAGABCDEFHIJKPQ $.
  $}

  ${
    dihrnss.h $e |- H = ( LHyp ` K ) $.
    dihrnss.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihrnss.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihrnss.v $e |- V = ( Base ` U ) $.
    $( The isomorphism H maps to a set of vectors.  (Contributed by NM,
       14-Mar-2014.) $)
    dihrnss $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. ran I ) -> X C_ V ) $=
      ( chlt wcel wa crn clss cfv wss eqid dihrnlss lssss syl ) DLMFBMNGCOMNGAP
      QZMGERUCABCDFGHIJUCSZTUCGEAKUDUAUB $.
  $}

  ${
    dihvalrel.h $e |- H = ( LHyp ` K ) $.
    dihvalrel.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( The value of isomorphism H is a relation.  (Contributed by NM,
       9-Mar-2014.) $)
    dihvalrel $p |- ( ( K e. HL /\ W e. H ) -> Rel ( I ` X ) ) $=
      ( chlt wcel wa cdm cfv wrel cbs eqid dihdm eleq2d cvv cxp c0 cltrn ctendo
      wss cdvh wceq dvhvbase adantr sseqtrd xpss sstrdi df-rel sylibr ex sylbid
      dihss wn rel0 ndmfv releqd mpbiri pm2.61d1 ) CHIDAIJZEBKZIZEBLZMZVBVDECNL
      ZIZVFVBVCVGEVGABCDVGOZFGPQVBVHVFVBVHJZVERRSZUCVFVJVEDCUALLZDCUBLLZSZVKVJV
      EDCUDLLZNLZVNVGVOABCVPDEVIFGVOOZVPOZUOVBVPVNUEVHVLVOVMACVPDHFVLOVMOVQVRUF
      UGUHVLVMUIUJVEUKULUMUNVDUPZVFTMUQVSVETEBURUSUTVA $.
  $}

  ${
    dih0.z $e |- .0. = ( 0. ` K ) $.
    dih0.h $e |- H = ( LHyp ` K ) $.
    dih0.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dih0.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dih0.o $e |- O = ( 0g ` U ) $.
    $( The value of isomorphism H at the lattice zero is the singleton of the
       zero vector i.e. the zero subspace.  (Contributed by NM, 9-Mar-2014.) $)
    dih0 $p |- ( ( K e. HL /\ W e. H ) -> ( I ` .0. ) = { O } ) $=
      ( chlt wcel wa cfv cdib csn cbs eqid cple wbr wceq cops hlop adantr op0cl
      id syl lhpbase op0le syl2an dihvalb syl12anc dib0 eqtrd ) DMNZFBNZOZGCPZG
      FDQPPZPZERUSUSGDSPZNZGFDUAPZUBZUTVBUCUSUHUSDUDNZVDUQVGURDUEZUFVCDGVCTZHUG
      UIUQVGFVCNVFURVHVCBDFVIIUJVCDVEFGVIVETZHUKULVCVABCDVEMFGVIVJIJVATZUMUNABV
      ADEFGHIVKKLUOUP $.
  $}

  ${
    dih0b.b $e |- B = ( Base ` K ) $.
    dih0b.h $e |- H = ( LHyp ` K ) $.
    dih0b.o $e |- .0. = ( 0. ` K ) $.
    dih0b.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dih0b.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dih0b.z $e |- Z = ( 0g ` U ) $.
    dih0b.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dih0b.x $e |- ( ph -> X e. B ) $.
    $( A lattice element is zero iff its isomorphism is the zero subspace.
       (Contributed by NM, 16-Aug-2014.)  (New usage is discouraged.) $)
    dih0bN $p |- ( ph -> ( X = .0. <-> ( I ` X ) = { Z } ) ) $=
      ( wceq wcel cfv chlt wa wb cops simpld hlop op0cl 3syl dih11 syl3anc dih0
      csn syl eqeq2d bitr3d ) AHEUAZIEUAZSZHISZUQJUMZSAFUBTZGDTZUCZHBTIBTZUSUTU
      DQRAVBFUETVEAVBVCQUFFUGBFIKMUHUIBDEFGHIKLNUJUKAURVAUQAVDURVASQCDEFJGIMLNO
      PULUNUOUP $.
  $}

  ${
    dih0vb.h $e |- H = ( LHyp ` K ) $.
    dih0vb.o $e |- .0. = ( 0. ` K ) $.
    dih0vb.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dih0vb.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dih0vb.v $e |- V = ( Base ` U ) $.
    dih0vb.z $e |- Z = ( 0g ` U ) $.
    dih0vb.n $e |- N = ( LSpan ` U ) $.
    dih0vb.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dih0vb.x $e |- ( ph -> X e. V ) $.
    $( A vector is zero iff its span is the isomorphism of lattice zero.
       (Contributed by NM, 16-Aug-2014.)  (New usage is discouraged.) $)
    dih0vbN $p |- ( ph -> ( X = Z <-> ( N ` { X } ) = ( I ` .0. ) ) ) $=
      ( csn cfv wceq chlt wcel wa dih0 eqeq2d clmod wb dvhlmod lspsneq0 syl2anc
      syl bitr2d ) AIUAFUBZJDUBZUCUPKUAZUCZIKUCZAUQURUPAEUDUEHCUEUFUQURUCSBCDEK
      HJMLNOQUGUNUHABUIUEIGUEUSUTUJABCEHLOSUKTFGBIKPQRULUMUO $.
  $}

  ${
    dih0cnv.h $e |- H = ( LHyp ` K ) $.
    dih0cnv.o $e |- .0. = ( 0. ` K ) $.
    dih0cnv.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dih0cnv.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dih0cnv.z $e |- Z = ( 0g ` U ) $.
    $( The isomorphism H converse value of the zero subspace is the lattice
       zero.  (Contributed by NM, 19-Jun-2014.) $)
    dih0cnv $p |- ( ( K e. HL /\ W e. H ) -> ( `' I ` { Z } ) = .0. ) $=
      ( chlt wcel wa cfv ccnv csn dih0 fveq2d cbs wceq hlatl adantr eqid atl0cl
      cal syl dihcnvid1 mpdan eqtr3d ) DMNZEBNZOZFCPZCQZPZGRZUPPFUNUOURUPABCDGE
      FIHJKLSTUNFDUAPZNZUQFUBUNDUGNZUTULVAUMDUCUDUSDFUSUEZIUFUHUSBCDEFVBHJUIUJU
      K $.
  $}

  ${
    dih0rn.h $e |- H = ( LHyp ` K ) $.
    dih0rn.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dih0rn.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dih0rn.o $e |- .0. = ( 0g ` U ) $.
    $( The zero subspace belongs to the range of isomorphism H. (Contributed by
       NM, 27-Apr-2014.) $)
    dih0rn $p |- ( ( K e. HL /\ W e. H ) -> { .0. } e. ran I ) $=
      ( chlt wcel wa cp0 cfv csn crn eqid dih0 cbs dihfn cops hlop adantr op0cl
      wfn syl fnfvelrn syl2anc eqeltrrd ) DKLZEBLZMZDNOZCOZFPCQZABCDFEUNUNRZGHI
      JSUMCDTOZUFUNURLZUOUPLURBCDEURRZGHUAUMDUBLZUSUKVAULDUCUDURDUNUTUQUEUGURUN
      CUHUIUJ $.
  $}

  ${
    dih0sb.h $e |- H = ( LHyp ` K ) $.
    dih0sb.o $e |- .0. = ( 0. ` K ) $.
    dih0sb.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dih0sb.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dih0sb.v $e |- V = ( Base ` U ) $.
    dih0sb.z $e |- Z = ( 0g ` U ) $.
    dih0sb.n $e |- N = ( LSpan ` U ) $.
    dih0sb.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dih0sb.x $e |- ( ph -> X e. ran I ) $.
    $( A subspace is zero iff the converse of its isomorphism is lattice zero.
       (Contributed by NM, 17-Aug-2014.) $)
    dih0sb $p |- ( ph -> ( X = { Z } <-> ( `' I ` X ) = .0. ) ) $=
      ( ccnv cfv csn wceq chlt wa crn dih0rn syl dihcnv11 dih0cnv eqeq2d bitr3d
      wcel ) AIDUAZUBZKUCZUOUBZUDIUQUDUPJUDACDEHIUQLNSTAEUEUNHCUNUFZUQDUGUNSBCD
      EHKLNOQUHUIUJAURJUPAUSURJUDSBCDEHJKLMNOQUKUIULUM $.
  $}

  ${
    $d f g s H $.  $d f s I $.  $d f g s K $.  $d f s .1. $.  $d f s V $.
    $d f g s W $.
    dih1.m $e |- .1. = ( 1. ` K ) $.
    dih1.h $e |- H = ( LHyp ` K ) $.
    dih1.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dih1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dih1.v $e |- V = ( Base ` U ) $.
    $( The value of isomorphism H at the lattice unit is the set of all
       vectors.  (Contributed by NM, 13-Mar-2014.) $)
    dih1 $p |- ( ( K e. HL /\ W e. H ) -> ( I ` .1. ) = V ) $=
      ( vg chlt wcel wa cfv wceq eqid wbr vf vs wrel dihvalrel cltrn ctendo cxp
      relxp dvhvbase releqd mpbiri id coc crio ccnv ccom ctrl cple cop cops cbs
      hlop ad2antrr simpl simprl simprr catm lhpocnel adantr ltrniotacl syl3anc
      cv wn tendocl ltrncnv syldan ltrnco trlcl ople1 syl2anc ex pm4.71d eleq2d
      opelxp bitrdi cmee co cjn op1cl syl cpo ccvr hlpos lhpbase adantl lhp1cvr
      wb cvrnle syl31anc col hlol olm12 syl2an oveq2d clat hllat opoccl latjcom
      opexmid 3eqtrd vex dihopelvalc syl122anc 3bitr4rd eqrelrdv2 syl21anc ) EN
      OZGCOZPZBDQZUCFUCZXSXTFRCDEGBIJUDXSYAGEUEQQZGEUFQQZUGZUCYBYCUHXSFYDYBAYCC
      EFGNIYBSZYCSZKLUIZUJUKXSULZXSUAUBXTFXSUAVLZYBOZUBVLZYCOZPZYMYIGEUMQZQZMVL
      QYORMYBUNZYKQZUOZUPZGEUQQQZQZBEURQZTZPZYIYKUSZFOZUUEXTOZXSYMUUCXSYMUUCXSY
      MPZEUTOZUUAEVAQZOZUUCXQUUIXRYMEVBZVCXSYMYSYBOZUUKUUHXSYJYRYBOZUUMXSYMVDZX
      SYJYLVEXSYMYQYBOZUUNUUHXSYLYPYBOZUUPUUOXSYJYLVFUUHXSYOEVGQZOYOGUUBTVMPZUU
      SUUQUUOXSUUSYMUURCEUUBYNGUUBSZYNSZUURSZIVHZVIZUVDUURYOYOYBMYPCEUUBGUUTUVB
      IYEYPSZVJVKYKYBYCYPCENGIYEYFVNVKYBYQCEGIYEVOVPYBYIYRCEGIYEVQVKUUJYTYBYSCE
      GUUJSZIYEYTSZVRVPUUJBEUUBUUAUVFUUTHVSVTWAWBXSUUFUUEYDOYMXSFYDUUEYGWCYIYKY
      BYCWDWEXSXSBUUJOZBGUUBTVMZUUSYOBGEWFQZWGZEWHQZWGZBRUUGUUDWQYHXSUUIUVHXQUU
      IXRUULVIUUJBEUVFHWIWJZXSEWKOZGUUJOZUVHGBEWLQZTUVIXQUVOXREWMVIXRUVPXQUUJCE
      GUVFIWNZWOZUVNNUVQBCEGHUVQSZIWPUUJUVQEUUBGBUVFUUTUVTWRWSUVCXSUVMYOGUVLWGZ
      GYOUVLWGZBXSUVKGYOUVLXQEWTOUVPUVKGRXREXAUVRUUJBEUVJGUVFUVJSZHXBXCXDXSEXEO
      ZYOUUJOZUVPUWAUWBRXQUWDXREXFVIXQUUIUVPUWEXRUULUVRUUJEYNGUVFUVAXGXCUVSUUJU
      VLEYOGUVFUVLSZXHVKXQUUIUVPUWBBRXRUULUVRUUJBUVLEYNGUVFUVAUWFHXIXCXJUURUUJY
      OYOYTYKYBMYCYIYPCDUVLEUUBUVJGBUVFUUTUWFUWCUVBIYOSYEUVGYFJUVEUAXKUBXKXLXMX
      NXOXP $.
  $}

  ${
    dih1rn.h $e |- H = ( LHyp ` K ) $.
    dih1rn.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dih1rn.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dih1rn.v $e |- V = ( Base ` U ) $.
    $( The full vector space belongs to the range of isomorphism H.
       (Contributed by NM, 19-Jun-2014.) $)
    dih1rn $p |- ( ( K e. HL /\ W e. H ) -> V e. ran I ) $=
      ( chlt wcel wa cp1 cfv crn eqid dih1 cbs cops hlop adantr op1cl syl dihcl
      mpdan eqeltrrd ) DKLZFBLZMZDNOZCOZECPZAUKBCDEFUKQZGHIJRUJUKDSOZLZULUMLUJD
      TLZUPUHUQUIDUAUBUOUKDUOQZUNUCUDUOBCDFUKURGHUEUFUG $.
  $}

  ${
    dih1cnv.h $e |- H = ( LHyp ` K ) $.
    dih1cnv.m $e |- .1. = ( 1. ` K ) $.
    dih1cnv.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dih1cnv.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dih1cnv.v $e |- V = ( Base ` U ) $.
    $( The isomorphism H converse value of the full vector space is the lattice
       one.  (Contributed by NM, 19-Jun-2014.) $)
    dih1cnv $p |- ( ( K e. HL /\ W e. H ) -> ( `' I ` V ) = .1. ) $=
      ( chlt wcel wa cfv ccnv dih1 fveq2d cbs wceq cops hlop eqid syl dihcnvid1
      adantr op1cl mpdan eqtr3d ) EMNZGCNZOZBDPZDQZPZFUOPBUMUNFUOABCDEFGIHJKLRS
      UMBETPZNZUPBUAUMEUBNZURUKUSULEUCUGUQBEUQUDZIUHUEUQCDEGBUTHJUFUIUJ $.
  $}

  ${
    $d f g K $.  $d g T $.  $d f g W $.  $d g ph $.
    dihw.b $e |- B = ( Base ` K ) $.
    dihw.h $e |- H = ( LHyp ` K ) $.
    dihw.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dihw.o $e |- .0. = ( f e. T |-> ( _I |` B ) ) $.
    dihw.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihw.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Value of isomorphism H at the fiducial hyperplane ` W ` .  (Contributed
       by NM, 25-Aug-2014.)  (New usage is discouraged.) $)
    dihwN $p |- ( ph -> ( I ` W ) = ( T X. { .0. } ) ) $=
      ( vg cfv chlt wcel wceq cdib cdia csn cxp wa cple wbr simprd lhpbase clat
      syl simpld hllatd eqid latref syl2anc dihvalb dibval2 cv ctrl crab diaval
      jca wral trlle sylan ralrimiva rabid2 sylibr eqtr4d xpeq1d 3eqtrd ) AHFQZ
      HHGUAQQZQZHHGUBQQZQZIUCZUDZCVRUDAGRSZHESZUEZHBSZHHGUFQZUGZUEZVMVOTOAWCWEA
      WAWCAVTWAOUHBEGHJKUIUKZAGUJSWCWEAGAVTWAOULUMWGBGWDHJWDUNZUOUPVCZBVNEFGWDR
      HHJWHKNVNUNZUQUPAWBWFVOVSTOWIBCDEVNVPGWDRHHIJWHKLMVPUNZWJURUPAVQCVRAVQPUS
      ZHGUTQQZQHWDUGZPCVAZCAWBWFVQWOTOWIBWMCPEVPGWDRHHJWHKLWMUNZWKVBUPAWNPCVDCW
      OTAWNPCAWBWLCSWNOWMCWLEGWDHWHKLWPVEVFVGWNPCVHVIVJVKVL $.
  $}

$(
  @{
    @d s .<_ @.  @d s E @.  @d g s F @.  @d g s H @.  @d g s K @.  @d g s R @.
    @d g s T @.  @d g s W @.
    dih1dim.l @e |- .<_ = ( le ` K ) @.
    dih1dim.h @e |- H = ( LHyp ` K ) @.
    dih1dim.t @e |- T = ( ( LTrn ` K ) ` W ) @.
    dih1dim.r @e |- R = ( ( trL ` K ) ` W ) @.
    dih1dim.e @e |- E = ( ( TEndo ` K ) ` W ) @.
    dih1dim.i @e |- I = ( ( DIsoH ` K ) ` W ) @.
    @( Two expressions for the 1-dimensional subspaces of  vector space
       A (when ` F ` is a nonzero vector i.e. non-identity translation).
       Remark after Lemma L in [Crawley] p. 120 line 21. @)
    dih1dim @p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
      -> ( I ` ( R ` F ) ) = { g e. T | E. s e. E g = ( s ` F ) } ) @=
      ? @.
      @( [15-Oct-2013] @)
  @}

$)

$(
  @{
    @d s .<_ @.  @d s E @.  @d g s F @.  @d g s H @.  @d g s K @.  @d g s R @.
    @d g s T @.  @d g s W @.
    dia1dimx.l @e |- .<_ = ( le ` K ) @.
    dia1dimx.h @e |- H = ( LHyp ` K ) @.
    dia1dimx.t @e |- T = ( ( LTrn ` K ) ` W ) @.
    dia1dimx.r @e |- R = ( ( trL ` K ) ` W ) @.
    dia1dimx.e @e |- E = ( ( TEndo ` K ) ` W ) @.
    dia1dimx.i @e |- I = ( ( DIsoA ` K ) ` W ) @.
    @( Two expressions for the 1-dimensional subspaces of partial vector space
       A (when ` F ` is a nonzero vector i.e. non-identity translation).
       Remark after Lemma L in [Crawley] p. 120 line 21. @)
    dia1dimx @p |- ( ( ( K e. HL /\ W e. H ) /\ F e. T )
      -> ( I ` ( R ` F ) ) = { g e. T | E. s e. E g = ( s ` F ) } ) @=
?      @.
  @}
$)

  ${
    $d f q s ./\ $.  $d f h q s .<_ $.  $d h q A $.  $d f h q s B $.
    $d f h q s H $.  $d f q s I $.  $d f h q s K $.  $d h P $.  $d h T $.
    $d f h q s W $.  $d f q s X $.  $d f q s Y $.
    dihglblem5a.b $e |- B = ( Base ` K ) $.
    dihglblem5a.m $e |- ./\ = ( meet ` K ) $.
    dihglblem5a.h $e |- H = ( LHyp ` K ) $.
    dihglblem5a.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    ${
      dihglblem5a.l $e |- .<_ = ( le ` K ) $.
      dihglblem5a.j $e |- .\/ = ( join ` K ) $.
      dihglblem5a.a $e |- A = ( Atoms ` K ) $.
      dihglblem5a.p $e |- P = ( ( oc ` K ) ` W ) $.
      dihglblem5a.t $e |- T = ( ( LTrn ` K ) ` W ) $.
      dihglblem5a.r $e |- R = ( ( trL ` K ) ` W ) $.
      dihglblem5a.e $e |- E = ( ( TEndo ` K ) ` W ) $.
      dihglblem5a.g $e |- G = ( iota_ h e. T ( h ` P ) = q ) $.
      dihglblem5a.o $e |- .0. = ( h e. T |-> ( _I |` B ) ) $.
      $( Isomorphism H of a conjunction.  (Contributed by NM, 21-Mar-2014.)
         (New usage is discouraged.) $)
      dihmeetlem1N $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( X e. B /\ -. X .<_ W ) /\ ( Y e. B /\ Y .<_ W ) )
         -> ( I ` ( X ./\ Y ) ) = ( ( I ` X ) i^i ( I ` Y ) ) ) $=
        ( vf vs chlt wcel wa wbr wn w3a cfv cin wss simp1l hllatd simp2l simp3l
        co clat latmle1 syl3anc wb simp1 latmcl dihord mpbird latmle2 dihvalrel
        ssind wrel relin1 syl 3ad2ant1 cop elin wceq wrex lhpmcvr2 3adant3 ccnv
        ccom simpl1 simpl2 simprl simprrl jca simprrr vex dihopelvalc syl112anc
        cv simpr syl6bi simpl3 dihopelvalbN syl2anc biimpd simprll 3ad2ant3 cid
        wi cres simp3rr fveq1d simp11 lhpocnel2 simp2rl ltrniotacl eqtrd cnveqd
        tendo02 cnvresid eqtrdi coeq2d wf1o wf ltrn1o f1of 3syl fveq2d eqbrtrrd
        fcoi1 simprlr simp11l trlcl simp12l simp13l latlem12 syl13anc mpbi2and
        simp11r lhpbase simp13r lattrd syl12anc mpbir2and 3expia syl2and syl5bi
        rexlimddv relssdv eqssd ) LUOUPZOIUPZUQZPBUPZPOMURUSZUQZQBUPZQOMURZUQZU
        TZPQNVHZJVAZPJVAZQJVAZVBZUVBUVDUVEUVFUVBUVDUVEVCZUVCPMURZUVBLVIUPZUUPUU
        SUVIUVBLUUMUUNUURUVAVDVEZUUOUUPUUQUVAVFZUUOUURUUSUUTVGZBLMNPQTUDUAVJVKU
        VBUUOUVCBUPZUUPUVHUVIVLUUOUURUVAVMZUVBUVJUUPUUSUVNUVKUVLUVMBLNPQTUAVNZV
        KZUVLBIJLMOUVCPTUDUBUCVOVKVPUVBUVDUVFVCZUVCQMURZUVBUVJUUPUUSUVSUVKUVLUV
        MBLMNPQTUDUAVQZVKUVBUUOUVNUUSUVRUVSVLUVOUVQUVMBIJLMOUVCQTUDUBUCVOVKVPVS
        UVBUMUNUVGUVDUUOUURUVGVTZUVAUUOUVEVTUWAIJLOPUBUCVRUVEUVFWAWBWCUMXAZUNXA
        ZWDZUVGUPUWDUVEUPZUWDUVFUPZUQZUVBUWDUVDUPZUWDUVEUVFWEUVBSXAZOMURUSZUWIP
        ONVHKVHPWFZUQZUWGUWHXKSAUUOUURUWLSAWGUVAABIKLMNOPSTUDUEUAUFUBWHWIUVBUWI
        AUPZUWLUQZUQZUWEUWBHUWCVAZWJZWKZDVAZPMURZUWFUWBEUPZUWBDVAZQMURZUQZUWCRW
        FZUQZUWHUWOUWEUXAUWCGUPUQZUWTUQZUWTUWOUUOUURUWMUWJUQUWKUWEUXHVLUUOUURUV
        AUWNWLZUUOUURUVAUWNWMUWOUWMUWJUVBUWMUWLWNUVBUWMUWJUWKWOWPUVBUWMUWJUWKWQ
        ABCUWIDUWCEFGUWBHIJKLMNOPTUDUEUAUFUBUGUHUIUJUCUKUMWRUNWRWSWTUXGUWTXBXCU
        WOUWFUXFUWOUUOUVAUWFUXFVLUXIUUOUURUVAUWNXDBDUWCEFUWBIJLMRUOOQTUDUBUHUIU
        LUCXEXFXGUVBUWNUWTUXFUQZUWHUVBUWNUXJUTZUWHUXAUXBUVCMURZUQZUXEUXKUXAUXLU
        XJUVBUXAUWNUWTUXAUXCUXEXHXIZUXKUXBPMURZUXCUXLUXKUWSUXBPMUXKUWRUWBDUXKUW
        RUWBXJBXLZWKZUWBUXKUWQUXPUWBUXKUWQUXPWJUXPUXKUWPUXPUXKUWPHRVAZUXPUXKHUW
        CRUXDUXEUWTUVBUWNXMZXNUXKHEUPZUXRUXPWFUXKUUOCAUPCOMURUSUQZUWMUWJUXTUUOU
        URUVAUWNUXJXOZUXKUUOUYAUYBACILMOUDUFUBUGXPWBUVBUWMUWLUXJVFUWJUWKUWMUVBU
        XJXQACUWIEFHILMOUDUFUBUHUKXRWTBEFHLRULTYAWBXSXTBYBYCYDUXKBBUWBYEZBBUWBY
        FUXQUWBWFUXKUUOUXAUYCUYBUXNBEUWBILUOOTUBUHYGXFBBUWBYHBBUWBYLYIXSYJUVBUW
        NUWTUXFVGYKUXJUVBUXCUWNUWTUXAUXCUXEYMXIUXKUVJUXBBUPZUUPUUSUXOUXCUQUXLVL
        UXKLUUMUUNUURUVAUWNUXJYNVEZUXKUUOUXAUYDUYBUXNBDEUWBILOTUBUHUIYOXFUUPUUQ
        UUOUVAUWNUXJYPZUUSUUTUUOUURUWNUXJYQZBLMNUXBPQTUDUAYRYSYTWPUXSUXKUUOUVNU
        VCOMURUWHUXMUXEUQVLUYBUXKUVJUUPUUSUVNUYEUYFUYGUVPVKZUXKBLMUVCQOTUDUYEUY
        HUYGUXKUUNOBUPUUMUUNUURUVAUWNUXJUUABILOTUBUUBWBUXKUVJUUPUUSUVSUYEUYFUYG
        UVTVKUUSUUTUUOUURUWNUXJUUCUUDBDUWCEFUWBIJLMRUOOUVCTUDUBUHUIULUCXEUUEUUF
        UUGUUHUUJUUIUUKUUL $.

      $( A conjunction property of isomorphism H. TODO: reduce antecedent size;
         general review for shorter proof.  (Contributed by NM, 21-Mar-2014.)
         (New usage is discouraged.) $)
      dihglblem5apreN $p |- ( ( ( K e. HL /\ W e. H )
           /\ ( X e. B /\ -. X .<_ W ) )
         -> ( I ` ( X ./\ W ) ) = ( ( I ` X ) i^i ( I ` W ) ) ) $=
        ( vf vs chlt wcel wa wbr wn co cfv cin wss clat ad2antrr simprl lhpbase
        hllat ad2antlr latmle1 syl3anc simpl latmcl dihord mpbird latmle2 ssind
        wb wrel dihvalrel relin1 syl adantr cv cop elin wceq wrex lhpmcvr2 ccnv
        wi w3a ccom dihopelvalc id adantl latref dihopelvalbN syl12anc 3ad2ant1
        vex syl2an anbi12d simprll cres simprrr fveq1d simpl1 lhpocnel2 simpl3l
        cid ltrniotacl tendo02 eqtrd cnveqd cnvresid eqtrdi coeq2d wf1o syl2anc
        wf ltrn1o f1of fcoi1 fveq2d simprlr eqbrtrrd trlle simpl1l hllatd trlcl
        3syl simpl2l simpl1r latlem12 syl13anc mpbi2and jca mpbir2and ex sylbid
        3expia exp4c imp4a rexlimdv mpd syl5bi relssdv eqssd ) LUNUOZOIUOZUPZPB
        UOZPOMUQURZUPZUPZPONUSZJUTZPJUTZOJUTZVAZUUOUUQUURUUSUUOUUQUURVBZUUPPMUQ
        ZUUOLVCUOZUULOBUOZUVBUUIUVCUUJUUNLVGZVDZUUKUULUUMVEZUUJUVDUUIUUNBILOSUA
        VFZVHZBLMNPOSUCTVIVJUUOUUKUUPBUOZUULUVAUVBVQUUKUUNVKZUUOUVCUULUVDUVJUVF
        UVGUVIBLNPOSTVLZVJZUVGBIJLMOUUPPSUCUAUBVMVJVNUUOUUQUUSVBZUUPOMUQZUUOUVC
        UULUVDUVOUVFUVGUVIBLMNPOSUCTVOZVJUUOUUKUVJUVDUVNUVOVQUVKUVMUVIBIJLMOUUP
        OSUCUAUBVMVJVNVPUUOULUMUUTUUQUUKUUTVRZUUNUUKUURVRUVQIJLOPUAUBVSUURUUSVT
        WAWBULWCZUMWCZWDZUUTUOUVTUURUOZUVTUUSUOZUPZUUOUVTUUQUOZUVTUURUUSWEUUORW
        CZOMUQURZUWEUUPKUSPWFZUPZRAWGUWCUWDWJZABIKLMNOPRSUCUDTUEUAWHUUOUWHUWIRA
        UUOUWEAUOZUWFUWGUWIUUOUWJUWFUWGUWIUUKUUNUWJUWFUPZUWGUPZUWIUUKUUNUWLWKZU
        WCUVREUOZUVSGUOUPZUVRHUVSUTZWIZWLZDUTZPMUQZUPZUWNUVRDUTZOMUQZUPZUVSQWFZ
        UPZUPZUWDUWMUWAUXAUWBUXFABCUWEDUVSEFGUVRHIJKLMNOPSUCUDTUEUAUFUGUHUIUBUJ
        ULWTUMWTWMUUKUUNUWBUXFVQZUWLUUKUUKUVDOOMUQZUXHUUKWNUUJUVDUUIUVHWOUUIUVC
        UVDUXIUUJUVEUVHBLMOSUCWPXABDUVSEFUVRIJLMQUNOOSUCUAUGUHUKUBWQWRWSXBUWMUX
        GUWDUWMUXGUPZUWDUWNUXBUUPMUQZUPZUXEUXJUWNUXKUXGUWNUWMUXAUWNUXCUXEXCWOZU
        XJUXBPMUQZUXCUXKUXJUWSUXBPMUXJUWRUVRDUXJUWRUVRXJBXDZWLZUVRUXJUWQUXOUVRU
        XJUWQUXOWIUXOUXJUWPUXOUXJUWPHQUTZUXOUXJHUVSQUWMUXAUXDUXEXEZXFUXJHEUOZUX
        QUXOWFUXJUUKCAUOCOMUQURUPZUWKUXSUUKUUNUWLUXGXGZUXJUUKUXTUYAACILMOUCUEUA
        UFXHWAUWKUWGUUKUUNUXGXIACUWEEFHILMOUCUEUAUGUJXKVJBEFHLQUKSXLWAXMXNBXOXP
        XQUXJBBUVRXRZBBUVRXTUXPUVRWFUXJUUKUWNUYBUYAUXMBEUVRILUNOSUAUGYAXSBBUVRY
        BBBUVRYCYKXMYDUWMUWOUWTUXFYEYFUXJUUKUWNUXCUYAUXMDEUVRILMOUCUAUGUHYGXSUX
        JUVCUXBBUOZUULUVDUXNUXCUPUXKVQUXJLUUIUUJUUNUWLUXGYHYIZUXJUUKUWNUYCUYAUX
        MBDEUVRILOSUAUGUHYJXSUULUUMUUKUWLUXGYLZUXJUUJUVDUUIUUJUUNUWLUXGYMUVHWAZ
        BLMNUXBPOSUCTYNYOYPYQUXRUXJUUKUVJUVOUWDUXLUXEUPVQUYAUXJUVCUULUVDUVJUYDU
        YEUYFUVLVJUXJUVCUULUVDUVOUYDUYEUYFUVPVJBDUVSEFUVRIJLMQUNOUUPSUCUAUGUHUK
        UBWQWRYRYSYTUUAUUBUUCUUDUUEUUFUUGUUH $.
    $}

    $( A conjunction property of isomorphism H. (Contributed by NM,
       21-Mar-2014.)  (New usage is discouraged.) $)
    dihglblem5aN $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. B )
       -> ( I ` ( X ./\ W ) ) = ( ( I ` X ) i^i ( I ` W ) ) ) $=
      ( vh vq wcel wa cfv wceq wb eqid syl3anc chlt cple wbr co cin simpr hllat
      clat ad3antrrr simplr lhpbase ad3antlr latleeqm1 fveq2d wss simpll dihord
      mpbid mpbird df-ss sylib eqtr4d wn catm coc ctrl cltrn ctendo cv crio cjn
      cid cres cmpt dihglblem5apreN anassrs pm2.61dan ) DUANZFBNZOZGANZOZGFDUBP
      ZUCZGFEUDZCPZGCPZFCPZUEZQZWBWDOZWFWGWIWKWEGCWKWDWEGQZWBWDUFZWKDUHNZWAFANZ
      WDWLRVRWNVSWAWDDUGUIVTWAWDUJZVSWOVRWAWDABDFHJUKULZADWCEGFHWCSZIUMTURUNWKW
      GWHUOZWIWGQWKWSWDWMWKVTWAWOWSWDRVTWAWDUPWPWQABCDWCFGFHWRJKUQTUSWGWHUTVAVB
      VTWAWDVCWJDVDPZAFDVEPPZFDVFPPZFDVGPPZLFDVHPPZXALVIPMVIQLXCVJZBCDVKPZDWCEF
      GLXCVLAVMVNZMHIJKWRXFSWTSXASXCSXBSXDSXESXGSVOVPVQ $.
  $}

  ${
    $d x y w u v z ./\ $.  $d x y w z .<_ $.  $d x y w u z B $.
    $d x y w z G $.  $d x y w z H $.  $d x y w z K $.  $d x y w u v z S $.
    $d x y w z T $.  $d x y w u v z W $.
    dihglblem.b $e |- B = ( Base ` K ) $.
    dihglblem.l $e |- .<_ = ( le ` K ) $.
    dihglblem.m $e |- ./\ = ( meet ` K ) $.
    dihglblem.g $e |- G = ( glb ` K ) $.
    dihglblem.h $e |- H = ( LHyp ` K ) $.
    dihglblem.t $e |- T = { u e. B | E. v e. S u = ( v ./\ W ) } $.
    $( Lemma for isomorphism H of a GLB. (Contributed by NM, 19-Mar-2014.)
       (New usage is discouraged.) $)
    dihglblem2aN $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( S C_ B /\ S =/= (/) ) ) -> T =/= (/) ) $=
      ( wcel wa wceq vz vw chlt wss c0 wne cv co wrex crab a1i wex simprr sylib
      clat hllat ad3antrrr simplrl simpr sseldd lhpbase ad3antlr latmcl syl3anc
      eqidd oveq1 rspceeqv syl2anc ovex eleq1 eqeq1 rexbidv elrab bitrdi sylibr
      n0 spcev exlimddv eqnetrd ) HUCRZKGRZSZDCUDZDUEUFZSZSZEBUGZAUGZKJUHZTZADU
      IZBCUJZUEEWLTWFQUKWFUAUGZDRZWLUEUFZUAWFWDWNUAULWBWCWDUMUADVPUNWFWNSZUBUGZ
      WLRZUBULZWOWPWMKJUHZCRZWTWITZADUIZWSWPHUORZWMCRKCRZXAVTXDWAWEWNHUPUQWPDCW
      MWBWCWDWNURWFWNUSZUTWAXEVTWEWNCGHKLPVAVBCHJWMKLNVCVDWPWNWTWTTXCXFWPWTVEAW
      MDWIWTWTWHWMKJVFVGVHWRXAXCSZUBWTWMKJVIWQWTTWRWTWLRXGWQWTWLVJWKXCBWTCWGWTT
      WJXBADWGWTWIVKVLVMVNVQVHUBWLVPVOVRVS $.

    $( The GLB of a set of lattice elements ` S ` is the same as that of the
       set ` T ` with elements of ` S ` cut down to be under ` W ` .
       (Contributed by NM, 19-Mar-2014.)  (New usage is discouraged.) $)
    dihglblem2N $p |- ( ( ( K e. HL /\ W e. H ) /\ S C_ B
        /\ ( G ` S ) .<_ W ) -> ( G ` S ) = ( G ` T ) ) $=
      ( wcel wbr cv vz vx vw vy chlt wa wss cfv co simpl1l hllatd simp1l hlclat
      w3a ccla syl wceq wrex crab ssrab2 eqsstri clatglbcl sylancl adantr simpr
      simpl2 sseldd simpl1r lhpbase latmcl syl3anc eqidd oveq1 rspceeqv syl2anc
      clat eqeq1 rexbidv elrab sylanbrc eleqtrrdi clatglble mp3an2 latmle1 wral
      lattrd eqeq2d cbvrexvw bitrdi elrab2 wi simp3 simp13 breq2 rspcva simp11l
      weq 3ad2ant1 simp12 simp112 simp11r wb clatleglb mpbird latlem12 syl13anc
      simp113 mpbi2and 3expia biimprcd syl6 rexlimdv syl5bi simp2 mp3an3 isglbd
      expimpd ralrimiv ) HUERZKGRZUFZDCUGZDFUHZKISZUNZUAUBCDFEFUHZHILMOYEUBTZDR
      ZUFZCHIYFYGKJUIZYGLMYIHXSXTYBYDYHUJZUKZYEYFCRZYHYEHUORZECUGZYMYEXSYNXSXTY
      BYDULHUMZUPZEBTZATZKJUIZUQZADURZBCUSZCQUUBBCUTVAZCEFHLOVBVCZVDYIHVPRZYGCR
      ZKCRZYJCRZYLYIDCYGYAYBYDYHVFYEYHVEZVGZYIXTUUHXSXTYBYDYHVHCGHKLPVIZUPZCHJY
      GKLNVJVKZUUKYIYNYJERZYFYJISZYIXSYNYKYPUPYIYJUUCEYIUUIYJYTUQZADURZYJUUCRUU
      NYIYHYJYJUQUURUUJYIYJVLAYGDYTYJYJYSYGKJVMVNVOUUBUURBYJCYRYJUQUUAUUQADYRYJ
      YTVQVRVSVTQWAYNYOUUOUUPUUDCEFHIYJLMOWBWCVOYIUUFUUGUUHYJYGISYLUUKUUMCHIJYG
      KLMNWDVKWFYEUATZCRZUUSYGISZUBDWEZUNZUUSYFISZUUSUCTZISZUCEWEZUVCUVFUCEUVEE
      RUVECRZUVEUDTZKJUIZUQZUDDURZUFUVCUVFUUBUVLBUVECEBUCWQZUUBUVEYTUQZADURUVLU
      VMUUAUVNADYRUVEYTVQVRUVNUVKAUDDAUDWQYTUVJUVEYSUVIKJVMWGWHWIQWJUVCUVHUVLUV
      FUVCUVHUFZUVKUVFUDDUVOUVIDRZUUSUVJISZUVKUVFWKUVCUVHUVPUVQUVCUVHUVPUNZUUSU
      VIISZUUSKISZUVQUVRUVPUVBUVSUVCUVHUVPWLZYEUUTUVBUVHUVPWMZUVAUVSUBUVIDYGUVI
      UUSIWNWOVOUVRCHIUUSYCKLMUVRHUVCUVHXSUVPXSXTYBYDUUTUVBWPZWRZUKZYEUUTUVBUVH
      UVPWSZUVRYNYBYCCRUVRXSYNUWDYPUPZYAYBYDUUTUVBUVHUVPWTZCDFHLOVBVOUVRXTUUHUV
      CUVHXTUVPXSXTYBYDUUTUVBXAWRUULUPZUVRUUSYCISZUVBUWBUVRYNUUTYBUWJUVBXBUWGUW
      FUWHUBCDFHIUUSLMOXCVKXDYAYBYDUUTUVBUVHUVPXGWFUVRUUFUUTUVICRUUHUVSUVTUFUVQ
      XBUWEUWFUVRDCUVIUWHUWAVGUWICHIJUUSUVIKLMNXEXFXHXIUVKUVFUVQUVEUVJUUSIWNXJX
      KXLXQXMXRUVCYNUUTUVDUVGXBZUVCXSYNUWCYPUPYEUUTUVBXNYNUUTYOUWKUUDUCCEFHIUUS
      LMOXCXOVOXDYQYAYBYDXNUUEXP $.

    $d u v .<_ $.  $d v B $.  $d u v G $.  $d u v H $.  $d u v K $.
    dihglblem.i $e |- J = ( ( DIsoB ` K ) ` W ) $.
    dihglblem.ih $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( Isomorphism H of a lattice glb.  (Contributed by NM, 20-Mar-2014.)
       (New usage is discouraged.) $)
    dihglblem3N $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( S C_ B /\ S =/= (/) ) /\ ( G ` S ) .<_ W )
       -> ( I ` ( G ` T ) ) = |^|_ x e. T ( I ` x ) ) $=
      ( chlt wcel wa wss c0 wne cfv wbr w3a cv ciin cdm wceq simp1 crab co wrex
      wi clat simp11l hllatd simp12l sseldd simp11r lhpbase syl latmle2 syl3anc
      simp3 3expia biimprcd rexlimdv ss2rabdv eqsstrid dibdmN 3ad2ant1 sseqtrrd
      breq1 syl6 dihglblem2aN 3adant3 syl12anc dihglblem2N fveq2d simpl1 sselda
      dibglbN 3adant2r elrab sylib dihvalb iineq2dv 3eqtr4rd ccla simp1l hlclat
      syl2anc simp2l clatglbcl 3eqtr2rd ) KUCUDZNHUDZUEZEDUFZEUGUHZUEZEGUIZNLUJ
      ZUKZAFAULZIUIZUMZXIJUIZXIIUIZFGUIZIUIXKXQJUIZAFXLJUIZUMZXOXNXKXEFJUNZUFFU
      GUHZXRXTUOXEXHXJUPZXKFCULZNLUJZCDUQZYAXKFYDBULZNMURZUOZBEUSZCDUQYFTXKYJYE
      CDXKYDDUDZUEZYIYEBEYLYGEUDZYHNLUJZYIYEUTXKYKYMYNXKYKYMUKZKVAUDYGDUDNDUDZY
      NYOKXCXDXHXJYKYMVBVCYOEDYGXFXGXEXJYKYMVDXKYKYMVKVEYOXDYPXCXDXHXJYKYMVFDHK
      NOSVGVHDKLMYGNOPQVIVJVLYIYEYNYDYHNLVTVMWAVNVOVPZXEXHYAYFUOXJCDHJKLUCNOPSU
      AVQVRVSXEXHYBXJBCDEFGHKLMNOPQRSTWBWCAFGHJKNRSUAWIWDXKXIXQJXEXFXJXIXQUOXGB
      CDEFGHKLMNOPQRSTWEWJZWFXKAFXMXSXKXLFUDZUEZXEXLDUDXLNLUJZUEZXMXSUOXEXHXJYS
      WGYTXLYFUDUUBXKFYFXLYQWHYEUUACXLDYDXLNLVTWKWLDJHIKLUCNXLOPSUBUAWMWSWNWOXK
      XEXIDUDZXJXPXOUOYCXKKWPUDZXFUUCXKXCUUDXCXDXHXJWQKWRVHXEXFXGXJWTDEGKORXAWS
      XEXHXJVKDJHIKLUCNXIOPSUBUAWMWDXKXIXQIYRWFXB $.

    $( Isomorphism H of a lattice glb.  (Contributed by NM, 7-Apr-2014.)
       (New usage is discouraged.) $)
    dihglblem3aN $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( S C_ B /\ S =/= (/) ) /\ ( G ` S ) .<_ W )
       -> ( I ` ( G ` S ) ) = |^|_ x e. T ( I ` x ) ) $=
      ( chlt wcel wa wss c0 wne cfv wbr w3a cv ciin dihglblem2N 3adant2r fveq2d
      wceq dihglblem3N eqtrd ) KUCUDNHUDUEZEDUFZEUGUHZUEEGUIZNLUJZUKZVCIUIFGUIZ
      IUIAFAULIUIUMVEVCVFIUTVAVDVCVFUQVBBCDEFGHKLMNOPQRSTUNUOUPABCDEFGHIJKLMNOP
      QRSTUAUBURUS $.

    $d x I $.
    $( Isomorphism H of a lattice glb.  (Contributed by NM, 21-Mar-2014.) $)
    dihglblem4 $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( S C_ B /\ S =/= (/) ) )
       -> ( I ` ( G ` S ) ) C_ |^|_ x e. S ( I ` x ) ) $=
      ( chlt wcel wa wss c0 wne cfv wral ciin wbr ccla hlclat ad3antrrr simplrl
      clatglble syl3anc simpll clatglbcl syl2anc sseldd dihord mpbird ralrimiva
      cv simpr wb ssiin sylibr ) KUCUDZNHUDZUEZEDUFZEUGUHZUEZUEZEGUIZIUIZAVFZIU
      IZUFZAEUJVSAEWAUKUFVQWBAEVQVTEUDZUEZWBVRVTLULZWDKUMUDZVNWCWEVKWFVLVPWCKUN
      UOZVMVNVOWCUPZVQWCVGZDEGKLVTOPRUQURWDVMVRDUDZVTDUDWBWEVHVMVPWCUSWDWFVNWJW
      GWHDEGKORUTVAWDEDVTWHWIVBDHIKLNVRVTOPSUBVCURVDVEAEWAVSVIVJ $.
  $}

  ${
    $d x B $.  $d x H $.  $d y I $.  $d x K $.  $d x S $.  $d x y T $.
    $d x W $.
    dihglblem5.b $e |- B = ( Base ` K ) $.
    dihglblem5.g $e |- G = ( glb ` K ) $.
    dihglblem5.h $e |- H = ( LHyp ` K ) $.
    dihglblem5.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihglblem5.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihglblem5.s $e |- S = ( LSubSp ` U ) $.
    $( Isomorphism H of a lattice glb.  (Contributed by NM, 9-Apr-2014.) $)
    dihglblem5 $p |- ( ( ( K e. HL /\ W e. H )
     /\ ( T C_ B /\ T =/= (/) ) ) -> |^|_ x e. T ( I ` x ) e. S ) $=
      ( vy wcel wa c0 chlt wss wne cv cfv ciin wceq wrex cint fvex dfiin2 clmod
      cab simpl dvhlmod simpll simplrl simpr sseldd dihlss syl2anc ralrimiva wb
      wral uniiunlem syl mpbid wex simprr n0 sylib nfre1 nfab nfcv nfne elabrex
      ne0d exlimi lssintcl syl3anc eqeltrid ) IUARJGRSZDBUBZDTUCZSZSZADAUDZHUEZ
      UFQUDWHUGZADUHZQUMZUIZCAQDWHWGHUJZUKWFEULRWKCUBZWKTUCZWLCRWFEGIJMNWBWEUNU
      OWFWHCRZADVDZWNWFWPADWFWGDRZSZWBWGBRWPWBWEWRUPWSDBWGWBWCWDWRUQWFWRURUSBCE
      GHIJWGKMONPUTVAVBZWFWQWQWNVCWTAQDWHCCVEVFVGWFWRAVHZWOWFWDXAWBWCWDVIADVJVK
      WRWOAAWKTWJAQWIADVLVMATVNVOWRWKWHAQDWHWMVPVQVRVFWKCEPVSVTWA $.
  $}

  ${
    $d x .<_ $.  $d x B $.  $d x H $.  $d x I $.  $d x K $.  $d x W $.
    $d x X $.  $d x Y $.
    dihmeetlem2.b $e |- B = ( Base ` K ) $.
    dihmeetlem2.m $e |- ./\ = ( meet ` K ) $.
    dihmeetlem2.h $e |- H = ( LHyp ` K ) $.
    dihmeetlem2.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihmeetlem2.l $e |- .<_ = ( le ` K ) $.
    dihmeetlem2.j $e |- .\/ = ( join ` K ) $.
    dihmeetlem2.a $e |- A = ( Atoms ` K ) $.
    dihmeetlem2.p $e |- P = ( ( oc ` K ) ` W ) $.
    dihmeetlem2.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dihmeetlem2.r $e |- R = ( ( trL ` K ) ` W ) $.
    dihmeetlem2.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dihmeetlem2.g $e |- G = ( iota_ h e. T ( h ` P ) = q ) $.
    dihmeetlem2.o $e |- .0. = ( h e. T |-> ( _I |` B ) ) $.
    $( Isomorphism H of a conjunction.  (Contributed by NM, 22-Mar-2014.)
       (New usage is discouraged.) $)
    dihmeetlem2N $p |- ( ( ( K e. HL /\ W e. H )
         /\ ( X e. B /\ X .<_ W ) /\ ( Y e. B /\ Y .<_ W ) )
       -> ( I ` ( X ./\ Y ) ) = ( ( I ` X ) i^i ( I ` Y ) ) ) $=
      ( vx chlt wcel wa wbr w3a co cfv cpr cv ciin cdib cglb eqid simp1l simp2l
      cin simp3l meetval fveq2d cdm wss wne wceq simp1 dibeldmN biimpar 3adant3
      c0 3adant2 prssg syl2anc mpbi2and prnzg syl dibglbN syl12anc eqtrd hllatd
      wb latmcl syl3anc simp1r lhpbase latmle1 simp2r lattrd dihvalb simpl1 vex
      clat elpr simpl2 eleq1 breq1 anbi12d adantl mpbird simpl3 jaodan iineq2dv
      wo sylan2b 3eqtr4d fveq2 iinxprg ) LUNUOZOIUOZUPZPBUOZPOMUQZUPZQBUOZQOMUQ
      ZUPZURZPQNUSZJUTZUMPQVAZUMVBZJUTZVCZPJUTZQJUTZVIZYHYIOLVDUTUTZUTZUMYKYLYR
      UTZVCZYJYNYHYSYKLVEUTZUTZYRUTZUUAYHYIUUCYRYHUUBLNUNBPQBUUBVFZUAXSXTYDYGVG
      ZYAYBYCYGVHZYAYDYEYFVJZVKVLYHYAYKYRVMZVNZYKWAVOZUUDUUAVPYAYDYGVQZYHPUUIUO
      ZQUUIUOZUUJYAYDUUMYGYAUUMYDBIYRLMUNOPTUDUBYRVFZVRVSVTYAYGUUNYDYAUUNYGBIYR
      LMUNOQTUDUBUUOVRVSWBYHYBYEUUMUUNUPUUJWLUUGUUHPQUUIBBWCWDWEYHYBUUKUUGPQBWF
      WGUMYKUUBIYRLOUUEUBUUOWHWIWJYHYAYIBUOZYIOMUQYJYSVPUULYHLXCUOZYBYEUUPYHLUU
      FWKZUUGUUHBLNPQTUAWMWNZYHBLMYIPOTUDUURUUSUUGYHXTOBUOXSXTYDYGWOBILOTUBWPWG
      YHUUQYBYEYIPMUQUURUUGUUHBLMNPQTUDUAWQWNYAYBYCYGWRWSBYRIJLMUNOYITUDUBUCUUO
      WTWIYHUMYKYMYTYHYLYKUOZUPYAYLBUOZYLOMUQZUPZYMYTVPYAYDYGUUTXAUUTYHYLPVPZYL
      QVPZXNUVCYLPQUMXBXDYHUVDUVCUVEYHUVDUPUVCYDYAYDYGUVDXEUVDUVCYDWLYHUVDUVAYB
      UVBYCYLPBXFYLPOMXGXHXIXJYHUVEUPUVCYGYAYDYGUVEXKUVEUVCYGWLYHUVEUVAYEUVBYFY
      LQBXFYLQOMXGXHXIXJXLXOBYRIJLMUNOYLTUDUBUCUUOWTWDXMXPYHYBYEYNYQVPUUGUUHUMP
      QYMYOYPBBYLPJXQYLQJXQXRWDWJ $.
  $}

  ${
    $d q x ./\ $.  $d f g q s x .<_ $.  $d x .\/ $.  $d g q x A $.
    $d f q s x B $.  $d x E $.  $d x F $.  $d f q s x G $.  $d f g q s x H $.
    $d f q s I $.  $d f g q s x K $.  $d g P $.  $d x R $.  $d f q s x S $.
    $d g x T $.  $d f g q s x W $.
    dihglbc.b $e |- B = ( Base ` K ) $.
    dihglbc.g $e |- G = ( glb ` K ) $.
    dihglbc.h $e |- H = ( LHyp ` K ) $.
    dihglbc.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihglbc.l $e |- .<_ = ( le ` K ) $.
    ${
      dihglbcpre.j $e |- .\/ = ( join ` K ) $.
      dihglbcpre.m $e |- ./\ = ( meet ` K ) $.
      dihglbcpre.a $e |- A = ( Atoms ` K ) $.
      dihglbcpre.p $e |- P = ( ( oc ` K ) ` W ) $.
      dihglbcpre.t $e |- T = ( ( LTrn ` K ) ` W ) $.
      dihglbcpre.r $e |- R = ( ( trL ` K ) ` W ) $.
      dihglbcpre.e $e |- E = ( ( TEndo ` K ) ` W ) $.
      dihglbcpre.f $e |- F = ( iota_ g e. T ( g ` P ) = q ) $.
      $( Isomorphism H of a lattice glb when the glb is not under the fiducial
         hyperplane ` W ` .  (Contributed by NM, 20-Mar-2014.)
         (New usage is discouraged.) $)
      dihglbcpreN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( S C_ B /\ S =/= (/)
          )
          /\ -. ( G ` S ) .<_ W )
       -> ( I ` ( G ` S ) ) = |^|_ x e. S ( I ` x ) ) $=
        ( vf vs chlt wcel wa wss c0 wne cfv wbr wn w3a wrel ciin wceq dihvalrel
        cv 3ad2ant1 wrex wex simp2r n0 sylib simpr simpl1 syl jca ex eximdv mpd
        df-rex sylibr reliin id co wb simp1 ccla simp1l hlclat simp2l clatglbcl
        cop syl2anc simp3 lhpmcvr2 syl12anc ccnv ccom adantr simpl3 dihopelvalc
        syl121anc wral simpl2r r19.28zv simp11 simp12l sseldd simp11l clatglble
        simp13 syl3anc clat wi hllatd simp11r lhpbase lattr syl13anc mpand mtod
        vex cp1 simp2ll atbase latmcl latlej1 breqtrd lattrd atmod3i1 syl131anc
        eqid lhpjat2 oveq2d col 3expa cvv hlol 3eqtrd syl122anc ralbidva simp3l
        olm11 simp3r lhpocnel2 ltrniotacl tendocl ltrncnv ltrnco trlcl pm5.32da
        clatleglb 3bitr4rd opex eliin ax-mp bitr4di bitrd exp44 imp4a eqrelrdv2
        rexlimdv syl21anc ) OUOUPZRLUPZUQZFCURZFUSUTZUQZFKVAZRPVBZVCZVDZUVMMVAZ
        VEZAFAVIZMVAZVFZVEZUVPUVQUWAVGUVIUVLUVRUVOLMORUVMUBUCVHVJUVPUVTVEZAFVKZ
        UWBUVPUVSFUPZUWCUQZAVLZUWDUVPUWEAVLZUWGUVPUVKUWHUVIUVJUVKUVOVMAFVNVOUVP
        UWEUWFAUVPUWEUWFUVPUWEUQZUWEUWCUVPUWEVPUWIUVIUWCUVIUVLUVOUWEVQLMORUVSUB
        UCVHVRVSVTWAWBUWCAFWCWDAFUVTWEVRUVPWFUVPUMUNUVQUWAUVPSVIZRPVBVCZUWJUVMR
        QWGZNWGZUVMVGZUQZSBVKZUMVIZUNVIZWOZUVQUPZUWSUWAUPZWHZUVPUVIUVMCUPZUVOUW
        PUVIUVLUVOWIUVPOWJUPZUVJUXCUVPUVGUXDUVGUVHUVLUVOWKOWLZVRUVIUVJUVKUVOWMC
        FKOTUAWNWPZUVIUVLUVOWQBCLNOPQRUVMSTUDUEUFUGUBWRWSUVPUWOUXBSBUVPUWJBUPZU
        WKUWNUXBUVPUXGUWKUWNUXBUVPUXGUWKUQZUWNUQZUQZUWTUWQGUPZUWRIUPZUQZUWQJUWR
        VAZWTZXAZEVAZUVMPVBZUQZUXAUXJUVIUXCUVOUXIUWTUXSWHUVIUVLUVOUXIVQUVPUXCUX
        IUXFXBUVIUVLUVOUXIXCUVPUXIVPBCDUWJEUWRGHIUWQJLMNOPQRUVMTUDUEUFUGUBUHUIU
        JUKUCULUMYEZUNYEZXDXEUXJUXSUWSUVTUPZAFXFZUXAUXJUXMUXQUVSPVBZUQZAFXFZUXM
        UYDAFXFZUQZUYCUXSUXJUVKUYFUYHWHUVJUVKUVIUVOUXIXGUXMUYDAFXHVRUXJUYBUYEAF
        UVPUXIUWEUYBUYEWHZUVPUXIUWEVDZUVIUVSCUPZUVSRPVBZVCUXHUWJUVSRQWGNWGZUVSV
        GUYIUVIUVLUVOUXIUWEXIZUYJFCUVSUVJUVKUVIUVOUXIUWEXJZUVPUXIUWEWQZXKZUYJUY
        LUVNUVIUVLUVOUXIUWEXNUYJUVMUVSPVBZUYLUVNUYJUXDUVJUWEUYRUYJUVGUXDUVGUVHU
        VLUVOUXIUWEXLZUXEVRUYOUYPCFKOPUVSTUDUAXMXOZUYJOXPUPZUXCUYKRCUPZUYRUYLUQ
        UVNXQUYJOUYSXRZUVPUXIUXCUWEUXFVJZUYQUYJUVHVUBUVGUVHUVLUVOUXIUWEXSCLORTU
        BXTVRZCOPUVMUVSRTUDYAYBYCYDUVPUXHUWNUWEWMZUYJUYMUVSUWJRNWGZQWGZUVSOYFVA
        ZQWGZUVSUYJUVGUXGUYKVUBUWJUVSPVBUYMVUHVGUYSUXGUWKUWNUVPUWEYGZUYQVUEUYJC
        OPUWJUVMUVSTUDVUCUYJUXGUWJCUPZVUKBCUWJOTUGYHVRZVUDUYQUYJUWJUWMUVMPUYJVU
        AVULUWLCUPZUWJUWMPVBVUCVUMUYJVUAUXCVUBVUNVUCVUDVUECOQUVMRTUFYIXOCNOPUWJ
        UWLTUDUEYJXOUVPUXHUWNUWEVMYKUYTYLBCUWJNOPQUVSRTUDUEUFUGYMYNUYJVUGVUIUVS
        QUYJUVIUXHVUGVUIVGUYNVUFBUWJVUILNOPRUDUEVUIYOZUGUBYPWPYQUYJOYRUPZUYKVUJ
        UVSVGUYJUVGVUPUYSOUUAVRUYQCVUIOQUVSTUFVUOUUFWPUUBBCDUWJEUWRGHIUWQJLMNOP
        QRUVSTUDUEUFUGUBUHUIUJUKUCULUXTUYAXDUUCYSUUDUXJUXMUXRUYGUVPUXIUXMUXRUYG
        WHZUVPUXIUXMVDZUXDUXQCUPZUVJVUQVURUVGUXDUVGUVHUVLUVOUXIUXMXLUXEVRVURUVI
        UXPGUPZVUSUVIUVLUVOUXIUXMXIZVURUVIUXKUXOGUPZVUTVVAUVPUXIUXKUXLUUEVURUVI
        UXNGUPZVVBVVAVURUVIUXLJGUPZVVCVVAUVPUXIUXKUXLUUGVURUVIDBUPDRPVBVCUQZUXH
        VVDVVAVURUVIVVEVVABDLOPRUDUGUBUHUUHVRUVPUXHUWNUXMWMBDUWJGHJLOPRUDUGUBUI
        ULUUIXOUWRGIJLOUORUBUIUKUUJXOGUXNLORUBUIUUKWPGUWQUXOLORUBUIUULXOCEGUXPL
        ORTUBUIUJUUMWPUVJUVKUVIUVOUXIUXMXJACFKOPUXQTUDUAUUOXOYSUUNUUPUWSYTUPUXA
        UYCWHUWQUWRUUQAUWSFUVTYTUURUUSUUTUVAUVBUVCUVEWBUVDUVF $.

      $d h K $.  $d h T $.  $d h W $.
      dihglbb.o $e |- O = ( h e. T |-> ( _I |` B ) ) $.
      $( Isomorphism H of a lattice glb when the glb is  under the
         fiduial hyperplane ` W ` . $)
$(
      dihglbb $p |- ( ( ( K e. HL /\ W e. H ) /\ ( S C_ B /\ S =/= (/) )
          /\ ( G ` S ) .<_ W )
       -> ( I ` ( G ` S ) ) = |^|_ x e. S ( I ` x ) ) $=
        ( vf vs chlt wcel wa wss c0 wne cfv wbr w3a wrel cv ciin wceq
        dihvalrel
        3ad2ant1 wrex wex simp2r n0 sylib simpr simpl1 syl jca ex eximdv df-rex
        mpd sylibr reliin id cop wb simp1 ccla simp1l hlclat clatglbcl syl2anc
        simp2l simp3 vex dihopelvalbN syl12anc an32 wral simpl1l simprl
        trlcl
        simpl2l clatleglb syl3anc bitrd pm5.32da syl5bb cvv opex eliin bicomi
        ax-mp bitrdi eqrelrdv2 syl21anc ) PURUSZTMUSZUTZFCVAZFVBVCZUTZFLVDZTQVE
        ZVFZYGNVDZVGZAFAVHZNVDZVIZVGZYIYJYNVJYCYFYKYHMNPTYGUDUEVKVLYIYMVGZAFVMZ
        YOYIYLFUSZYPUTZAVNZYQYIYRAVNZYTYIYEUUAYCYDYEYHVOAFVPVQYIYRYSAYIYRYSYIYR
        UTZYRYPYIYRVRUUBYCYPYCYFYHYRVSMNPTYLUDUEVKVTWAWBWCWEYPAFWDWFAFYMWGVTYIW
        HYIUPUQYJYNYIUPVHZUQVHZWIZYJUSZUUCGUSZUUCEVDZYGQVEZUTUUDSVJZUTZUUEYNUSZ
        YIYCYGCUSZYHUUFUUKWJYCYFYHWKYIPWLUSZYDUUMYIYAUUNYAYBYFYHWMPWNZVTYCYDYEY
        HWQCFLPUBUCWOWPYCYFYHWRCEUUDGIUUCMNPQSURTYGUBUFUDUKULUOUEUQWSWTXAYIUUK?
        UULUUKUUGUUJUTZUUIUTYI?UUGUUIUUJXBYIUUPUUI?YIUUPUTZUUIUUHYLQVEAFXCZ?UUQ
        UUNUUHCUSZYDUUIUURWJUUQYAUUNYAYBYFYHUUPXDUUOVTUUQYCUUGUUSYCYFYHUUPVSYIU
        UGUUJXECEGUUCMPTUBUDUKULXFWPYDYEYCYHUUPXGACFLPQUUHUBUFUCXHXI?XJXKXLYI?U
        UEYMUSAFXCZUUL?UULUUTUUEXMUSUULUUTWJUUCUUDXNAUUEFYMXMXOXQXPXRXJXJXSXT
        $.
$)
    $}

    $( Isomorphism H of a lattice glb when the glb is not under the fiducial
       hyperplane ` W ` .  (Contributed by NM, 26-Mar-2014.)
       (New usage is discouraged.) $)
    dihglbcN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( S C_ B /\ S =/= (/) )
        /\ -. ( G ` S ) .<_ W )
     -> ( I ` ( G ` S ) ) = |^|_ x e. S ( I ` x ) ) $=
      ( vg vq catm cfv cv eqid coc ctrl cltrn ctendo wceq crio cmee dihglbcpreN
      cjn ) AGQRZBIGUARRZIGUBRRZCIGUCRRZOIGUDRRZUKOSRPSUEOUMUFZDEFGUIRZGHGUGRZI
      PJKLMNUPTUQTUJTUKTUMTULTUNTUOTUH $.
  $}

  ${
    $d g q x .<_ $.  $d q ./\ $.  $d g q x B $.  $d g q x H $.  $d q x I $.
    $d g q x K $.  $d g q x W $.  $d q x X $.  $d q x Y $.
    dihmeetc.b $e |- B = ( Base ` K ) $.
    dihmeetc.l $e |- .<_ = ( le ` K ) $.
    dihmeetc.m $e |- ./\ = ( meet ` K ) $.
    dihmeetc.h $e |- H = ( LHyp ` K ) $.
    dihmeetc.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( Isomorphism H of a lattice meet when the meet is not under the fiducial
       hyperplane ` W ` .  (Contributed by NM, 26-Mar-2014.)
       (New usage is discouraged.) $)
    dihmeetcN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ Y e. B )
        /\ -. ( X ./\ Y ) .<_ W )
     -> ( I ` ( X ./\ Y ) ) = ( ( I ` X ) i^i ( I ` Y ) ) ) $=
      ( vx chlt wcel wa wbr cfv co wn w3a cpr cglb cv ciin simp1l simp2l simp2r
      cin eqid meetval fveq2d wss wne wceq simp1 prssi 3ad2ant2 prnzg syl simp3
      c0 breq1d mtbid dihglbcN syl121anc fveq2 iinxprg 3eqtrd ) DPQZGBQZRZHAQZI
      AQZRZHIFUAZGESZUBZUCZVRCTHIUDZDUETZTZCTZOWBOUFZCTZUGZHCTZICTZUKZWAVRWDCWA
      WCDFPAHIAWCULZLVLVMVQVTUHVNVOVPVTUIZVNVOVPVTUJUMZUNWAVNWBAUOZWBVDUPZWDGES
      ZUBWEWHUQVNVQVTURVQVNWOVTHIAUSUTWAVOWPWMHIAVAVBWAVSWQVNVQVTVCWAVRWDGEWNVE
      VFOAWBWCBCDEGJWLMNKVGVHVQVNWHWKUQVTOHIWGWIWJAAWFHCVIWFICVIVJUTVK $.

    $( Isomorphism H of a lattice meet when one element is under the fiducial
       hyperplane ` W ` .  (Contributed by NM, 26-Mar-2014.)
       (New usage is discouraged.) $)
    dihmeetbN $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. B
              /\ ( Y e. B /\ Y .<_ W ) )
     -> ( I ` ( X ./\ Y ) ) = ( ( I ` X ) i^i ( I ` Y ) ) ) $=
      ( vg vq wcel wa cfv eqid chlt wbr w3a cin wceq simpl1 simpl2 simpr simpl3
      co catm coc ctrl cltrn ctendo cv crio cjn cid cres dihmeetlem2N syl121anc
      cmpt wn dihmeetlem1N pm2.61dan ) DUAQGBQRZHAQZIAQIGEUBRZUCZHGEUBZHIFUJCSH
      CSICSUDUEZVJVKRVGVHVKVIVLVGVHVIVKUFVGVHVIVKUGVJVKUHVGVHVIVKUIDUKSZAGDULSS
      ZGDUMSSZGDUNSSZOGDUOSSZVNOUPSPUPUEOVPUQZBCDURSZDEFGHIOVPUSAUTVCZPJLMNKVST
      ZVMTZVNTZVPTZVOTZVQTZVRTZVTTZVAVBVJVKVDZRVGVHWIVIVLVGVHVIWIUFVGVHVIWIUGVJ
      WIUHVGVHVIWIUIVMAVNVOVPOVQVRBCVSDEFGHIVTPJLMNKWAWBWCWDWEWFWGWHVEVBVF $.

    $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
       30-Mar-2014.)  (New usage is discouraged.) $)
    dihmeetbclemN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ Y e. B )
        /\ ( X ./\ Y ) .<_ W )
   -> ( I ` ( X ./\ Y ) ) = ( ( ( I ` X ) i^i ( I ` Y ) ) i^i ( I ` W ) ) ) $=
      ( wcel co cfv cin wceq syl3anc chlt wa wbr w3a simp3 simp1l hllatd simp2l
      clat simp2r latmcl simp1r lhpbase syl latleeqm1 mpbid col hlol latmassOLD
      wb syl13anc eqtr3d fveq2d simp1 latmle2 dihmeetbN syl112anc latref ineq2d
      syl2anc 3eqtrd inass eqtr4di ) DUAOZGBOZUBZHAOZIAOZUBZHIFPZGEUCZUDZVTCQZH
      CQZICQZGCQZRZRZWDWERWFRWBWCHIGFPZFPZCQZWDWICQZRZWHWBVTWJCWBVTGFPZVTWJWBWA
      WNVTSZVPVSWAUEWBDUIOZVTAOZGAOZWAWOUTWBDVNVOVSWAUFZUGZWBWPVQVRWQWTVPVQVRWA
      UHZVPVQVRWAUJZADFHIJLUKTWBVOWRVNVOVSWAULABDGJMUMUNZADEFVTGJKLUOTUPWBDUQOZ
      VQVRWRWNWJSWBVNXDWSDURUNXAXBXCADFHIGJLUSVAVBVCWBVPVQWIAOZWIGEUCZWKWMSVPVS
      WAVDZXAWBWPVRWRXEWTXBXCADFIGJLUKTWBWPVRWRXFWTXBXCADEFIGJKLVETABCDEFGHWIJK
      LMNVFVGWBWLWGWDWBVPVRWRGGEUCZWLWGSXGXBXCWBWPWRXHWTXCADEGJKVHVJABCDEFGIGJK
      LMNVFVGVIVKWDWEWFVLVM $.
  $}

  ${
    dihmeetlem3.b $e |- B = ( Base ` K ) $.
    dihmeetlem3.l $e |- .<_ = ( le ` K ) $.
    dihmeetlem3.j $e |- .\/ = ( join ` K ) $.
    dihmeetlem3.m $e |- ./\ = ( meet ` K ) $.
    dihmeetlem3.a $e |- A = ( Atoms ` K ) $.
    dihmeetlem3.h $e |- H = ( LHyp ` K ) $.
    $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
       30-Mar-2014.)  (New usage is discouraged.) $)
    dihmeetlem3N $p |- ( ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ Y e. B )
            /\ ( X ./\ Y ) .<_ W )
    /\ ( ( Q e. A /\ -. Q .<_ W ) /\ ( Q .\/ ( X ./\ W ) ) = X )
    /\ ( ( R e. A /\ -. R .<_ W ) /\ ( R .\/ ( Y ./\ W ) ) = Y ) )
        -> Q =/= R ) $=
      ( wcel wa chlt co wbr w3a wn wne simp2lr wi oveq1 simpr sylan9eqr simp11l
      wceq hllatd simp2ll atbase simp12l simp12r latmcl syl3anc simp11r lhpbase
      syl latlej1 simp2r breqtrd simp3 latlem12 syl13anc mpbi2and simp13 lattrd
      clat wb 3exp syl7 exp4a 3imp necon3bd mpd ) GUASZJESZTZKBSZLBSZTZKLIUBZJH
      UCZUDZCASZCJHUCZUEZTZCKJIUBZFUBZKUMZTZDASDJHUCUETZDLJIUBZFUBZLUMZTZUDZWLC
      DUFWJWLWPWIXBUGXCWKCDWIWQXBCDUMZWKUHWIWQXBXDWKXBXDTCWSFUBZLUMZWIWQWKXDXBX
      EWTLCDWSFUIWRXAUJUKWIWQXFWKWIWQXFUDZBGHCWGJMNXGGWAWBWFWHWQXFULUNZXGWJCBSZ
      WJWLWPWIXFUOABCGMQUPVCZXGGVMSZWDWEWGBSXHWDWEWCWHWQXFUQZWDWEWCWHWQXFURZBGI
      KLMPUSUTXGWBJBSZWAWBWFWHWQXFVABEGJMRVBVCZXGCKHUCZCLHUCZCWGHUCZXGCWOKHXGXK
      XIWNBSZCWOHUCXHXJXGXKWDXNXSXHXLXOBGIKJMPUSUTBFGHCWNMNOVDUTWIWMWPXFVEVFXGC
      XELHXGXKXIWSBSZCXEHUCXHXJXGXKWEXNXTXHXMXOBGILJMPUSUTBFGHCWSMNOVDUTWIWQXFV
      GVFXGXKXIWDWEXPXQTXRVNXHXJXLXMBGHICKLMNPVHVIVJWCWFWHWQXFVKVLVOVPVQVRVSVT
      $.
  $}

  ${
    $d f g s .<_ $.  $d f s ./\ $.  $d f g s A $.  $d f g h s H $.  $d f s I $.
    $d f h s B $.  $d f g h s K $.  $d f g s Q $.  $d g h T $.  $d f g h s W $.
    $d g P $.  $d f s X $.  $d f s .0. $.
    dihmeetlem4.b $e |- B = ( Base ` K ) $.
    dihmeetlem4.l $e |- .<_ = ( le ` K ) $.
    dihmeetlem4.m $e |- ./\ = ( meet ` K ) $.
    dihmeetlem4.a $e |- A = ( Atoms ` K ) $.
    dihmeetlem4.h $e |- H = ( LHyp ` K ) $.
    dihmeetlem4.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihmeetlem4.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihmeetlem4.z $e |- .0. = ( 0g ` U ) $.
    ${
      dihmeetlem4.g $e |- G = ( iota_ g e. T ( g ` P ) = Q ) $.
      dihmeetlem4.p $e |- P = ( ( oc ` K ) ` W ) $.
      dihmeetlem4.t $e |- T = ( ( LTrn ` K ) ` W ) $.
      dihmeetlem4.r $e |- R = ( ( trL ` K ) ` W ) $.
      dihmeetlem4.e $e |- E = ( ( TEndo ` K ) ` W ) $.
      dihmeetlem4.o $e |- O = ( h e. T |-> ( _I |` B ) ) $.
      $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
         30-Mar-2014.)  (New usage is discouraged.) $)
      dihmeetlem4preN $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ -. X
          .<_ W
          )
        /\ ( Q e. A /\ -. Q .<_ W ) )
          -> ( ( I ` Q ) i^i ( I ` ( X ./\ W ) ) ) = { .0. } ) $=
        ( vf vs chlt wcel wa wbr w3a cfv cin wrel csn wceq dihvalrel relin1 syl
        wn co 3ad2ant1 cp0 eqid dih0 releqd mpbid id cv cop elin dihopelvalcqat
        cid cres wb vex 3adant2 clat simp1l hllatd simp2l simp1r lhpbase latmcl
        syl3anc latmle2 dihopelvalbN syl12anc anbi12d simprll simprrr lhpocnel2
        simp1 fveq1d simpl1 simpl3 ltrniotacl 3eqtrd jca simprr simprl 3eqtr4rd
        tendo02 tendo0cl eqeltrd idltrn fveq2d trlid0 cal simpl1l adantr atl0le
        eqtrd hlatl syl2anc eqbrtrd jca31 impbida bitrd opex elsn bitr2i bitrdi
        opth dvh0g sneqd eleq2d bitr4d syl5bb eqrelrdv2 syl21anc ) NUQURZRLURZU
        SZSBURZSROUTVJZUSZDAURDROUTVJUSZVAZDMVBZSRPVKZMVBZVCZVDZTVEZVDZUUIUUMUU
        OVFUUDUUGUUNUUHUUDUUJVDUUNLMNRDUEUFVGUUJUULVHVIVLUUDUUGUUPUUHUUDNVMVBZM
        VBZVDUUPLMNRUUQUEUFVGUUDUURUUOGLMNTRUUQUUQVNZUEUFUGUHVOVPVQVLUUIVRUUIUO
        UPUUMUUOUOVSZUPVSZVTZUUMURUVBUUJURZUVBUULURZUSZUUIUVBUUOURZUVBUUJUULWAU
        UIUVEUVBWCBWDZQVTZVEZURZUVFUUIUVEUUTUVGVFZUVAQVFZUSZUVJUUIUVEUUTKUVAVBZ
        VFZUVAJURZUSZUUTFURZUUTEVBZUUKOUTZUSZUVLUSZUSZUVMUUIUVCUVQUVDUWBUUDUUHU
        VCUVQWEUUGACDUVAFHJUUTKLMNORUBUDUEUJUKUMUFUIUOWFZUPWFZWBWGUUIUUDUUKBURZ
        UUKROUTZUVDUWBWEUUDUUGUUHXCUUINWHURZUUERBURZUWFUUINUUBUUCUUGUUHWIWJZUUD
        UUEUUFUUHWKZUUIUUCUWIUUBUUCUUGUUHWLBLNRUAUEWMVIZBNPSRUAUCWNWOZUUIUWHUUE
        UWIUWGUWJUWKUWLBNOPSRUAUBUCWPWOBEUVAFIUUTLMNOQUQRUUKUAUBUEUKULUNUFWQWRW
        SUUIUWCUVMUUIUWCUSZUVKUVLUWNUUTUVNKQVBZUVGUUIUVOUVPUWBWTUWNKUVAQUUIUVQU
        WAUVLXAZXDUWNKFURZUWOUVGVFZUWNUUDCAURCROUTVJUSZUUHUWQUUDUUGUUHUWCXEZUWN
        UUDUWSUWTACLNORUBUDUEUJXBZVIUUDUUGUUHUWCXFACDFHKLNORUBUDUEUKUIXGZWOBFIK
        NQUNUAXMZVIXHUWPXIUUIUVMUSZUVOUVPUWBUXDUWOUVGUVNUUTUXDUWQUWRUXDUUDUWSUU
        HUWQUUDUUGUUHUVMXEZUXDUUDUWSUXEUXAVIUUDUUGUUHUVMXFUXBWOUXCVIUXDKUVAQUUI
        UVKUVLXJZXDUUIUVKUVLXKZXLUXDUVAQJUXFUXDUUDQJURUXEBFIJLNQRUAUEUKUMUNXNVI
        XOUXDUVRUVTUVLUXDUUTUVGFUXGUXDUUDUVGFURUXEBFLNRUAUEUKXPVIXOUXDUVSUUQUUK
        OUXDUVSUVGEVBZUUQUXDUUTUVGEUXGXQUXDUUDUXHUUQVFUXEBELNRUUQUAUUSUEULXRVIY
        CUXDNXSURZUWFUUQUUKOUTUXDUUBUXIUUBUUCUUGUUHUVMXTNYDVIUUIUWFUVMUWMYABNOU
        UKUUQUAUBUUSYBYEYFUXFYGYGYHYIUVJUVBUVHVFUVMUVBUVHUUTUVAYJYKUUTUVAUVGQUW
        DUWEYNYLYMUUIUUOUVIUVBUUITUVHUUDUUGTUVHVFUUHBFGILNQRTUAUEUKUGUHUNYOVLYP
        YQYRYSYTUUA $.
    $}

    $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
       30-Mar-2014.)  (New usage is discouraged.) $)
    dihmeetlem4N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ -. X .<_ W
        )
        /\ ( Q e. A /\ -. Q .<_ W ) )
          -> ( ( I ` Q ) i^i ( I ` ( X ./\ W ) ) ) = { .0. } ) $=
      ( vg vh coc cfv ctrl cltrn ctendo wceq crio cid cres cmpt dihmeetlem4preN
      cv eqid ) ABJGUCUDUDZCJGUEUDUDZJGUFUDUDZDUAUBJGUGUDUDZUPUAUNUDCUHUAURUIZE
      FGHIUBURUJBUKULZJKLMNOPQRSTUTUOUPUOURUOUQUOUSUOVAUOUM $.
  $}

  ${
    dihmeetlem5.b $e |- B = ( Base ` K ) $.
    dihmeetlem5.l $e |- .<_ = ( le ` K ) $.
    dihmeetlem5.j $e |- .\/ = ( join ` K ) $.
    dihmeetlem5.m $e |- ./\ = ( meet ` K ) $.
    dihmeetlem5.a $e |- A = ( Atoms ` K ) $.
    $( Part of proof that isomorphism H is order-preserving .  (Contributed by
       NM, 6-Apr-2014.) $)
    dihmeetlem5 $p |- ( ( ( K e. HL /\ X e. B /\ Y e. B )
         /\ ( Q e. A /\ Q .<_ X ) )
  -> ( X ./\ ( Y .\/ Q ) ) = ( ( X ./\ Y ) .\/ Q ) ) $=
      ( chlt wcel w3a wbr wa co simpl1 simprl simpl2 simpl3 atmod2i1 syl131anc
      wceq simprr eqcomd ) EOPZHBPZIBPZQZCAPZCHFRZSZSZHIGTCDTZHICDTGTZUQUJUNUKU
      LUOURUSUGUJUKULUPUAUMUNUOUBUJUKULUPUCUJUKULUPUDUMUNUOUHABCDEFGHIJKLMNUEUF
      UI $.
  $}

  ${
    dihmeetlem6.b $e |- B = ( Base ` K ) $.
    dihmeetlem6.l $e |- .<_ = ( le ` K ) $.
    dihmeetlem6.h $e |- H = ( LHyp ` K ) $.
    dihmeetlem6.j $e |- .\/ = ( join ` K ) $.
    dihmeetlem6.m $e |- ./\ = ( meet ` K ) $.
    dihmeetlem6.a $e |- A = ( Atoms ` K ) $.
    $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
       6-Apr-2014.) $)
    dihmeetlem6 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ X e. B /\ Y e. B )
       /\ ( ( Q e. A /\ -. Q .<_ W ) /\ Q .<_ X ) )
  -> -. ( X ./\ ( Y .\/ Q ) ) .<_ W ) $=
      ( wcel wa wbr chlt w3a wn co simprlr clat wb simpl1l hllatd simpl2 simpl3
      latmcl syl3anc simprll atbase syl simpl1r lhpbase latjle12 syl13anc simpr
      syl6bir mtod wceq simprr dihmeetlem5 syl32anc breq1d mtbird ) FUARZIDRZSZ
      JBRZKBRZUBZCARZCIGTZUCZSZCJGTZSZSZJKCEUDHUDZIGTJKHUDZCEUDZIGTZWBWFVQVOVPV
      RVTUEWBWFWDIGTZVQSZVQWBFUFRZWDBRZCBRZIBRZWHWFUGWBFVJVKVMVNWAUHZUIZWBWIVMV
      NWJWNVLVMVNWAUJZVLVMVNWAUKZBFHJKLPULUMWBVPWKVOVPVRVTUNZABCFLQUOUPWBVKWLVJ
      VKVMVNWAUQBDFILNURUPBEFGWDCILMOUSUTWGVQVAVBVCWBWCWEIGWBVJVMVNVPVTWCWEVDWM
      WOWPWQVOVSVTVEABCEFGHJKLMOPQVFVGVHVI $.
  $}

  ${
    dihmeetlem7.b $e |- B = ( Base ` K ) $.
    dihmeetlem7.l $e |- .<_ = ( le ` K ) $.
    dihmeetlem7.j $e |- .\/ = ( join ` K ) $.
    dihmeetlem7.m $e |- ./\ = ( meet ` K ) $.
    dihmeetlem7.a $e |- A = ( Atoms ` K ) $.
    $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
       6-Apr-2014.)  (New usage is discouraged.) $)
    dihmeetlem7N $p |- ( ( ( K e. HL /\ X e. B
    /\ Y e. B ) /\ ( p e. A /\ -. p .<_ Y ) )
  -> ( ( ( X ./\ Y ) .\/ p ) ./\ Y ) = ( X ./\ Y ) ) $=
      ( wcel wbr wa co wceq syl3anc chlt w3a cv wn cp0 cfv simprr cal wb simpl1
      hlatl syl simprl simpl3 eqid atnle mpbid oveq2d clat hllatd simpl2 latmcl
      latmle2 atmod1i2 syl131anc col hlol olj01 syl2anc 3eqtr3d ) DUAOZGBOZHBOZ
      UBZIUCZAOZVOHEPUDZQZQZGHFRZVOHFRZCRZVTDUEUFZCRZVTVOCRHFRZVTVSWAWCVTCVSVQW
      AWCSZVNVPVQUGVSDUHOZVPVMVQWFUIVSVKWGVKVLVMVRUJZDUKULVNVPVQUMZVKVLVMVRUNZA
      BVODEFHWCJKMWCUOZNUPTUQURVSVKVPVTBOZVMVTHEPZWBWESWHWIVSDUSOZVLVMWLVSDWHUT
      ZVKVLVMVRVAZWJBDFGHJMVBTZWJVSWNVLVMWMWOWPWJBDEFGHJKMVCTABVOCDEFVTHJKLMNVD
      VEVSDVFOZWLWDVTSVSVKWRWHDVGULWQBCDVTWCJLWKVHVIVJ $.
  $}

  ${
    dihjatc1.b $e |- B = ( Base ` K ) $.
    dihjatc1.l $e |- .<_ = ( le ` K ) $.
    dihjatc1.h $e |- H = ( LHyp ` K ) $.
    dihjatc1.j $e |- .\/ = ( join ` K ) $.
    dihjatc1.m $e |- ./\ = ( meet ` K ) $.
    dihjatc1.a $e |- A = ( Atoms ` K ) $.
    dihjatc1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihjatc1.s $e |- .(+) = ( LSSum ` U ) $.
    dihjatc1.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( Lemma for isomorphism H of a lattice meet.  TODO: shorter proof if we
       change ` .\/ ` order of ` ( X ./\ Y ) .\/ Q ` here and down?
       (Contributed by NM, 6-Apr-2014.) $)
    dihjatc1 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ X e. B
    /\ Y e. B ) /\ ( Q e. A /\ -. Q .<_ W )
            /\ ( Q .<_ X /\ ( X ./\ Y ) .<_ W ) )
 -> ( I ` ( ( X ./\ Y ) .\/ Q ) ) = ( ( I ` Q ) .(+) ( I ` ( X ./\ Y ) ) ) ) $=
      ( chlt wcel wa w3a wbr wn co cfv wceq simp11 simp11l hllatd simp12 simp13
      latmcl syl3anc simp2l atbase syl latjcl simp2 simp3l dihmeetlem6 syl32anc
      clat dihmeetlem5 breq1d mtbid latlej2 dihvalcq2 syl122anc cp0 eqid lhpmat
      syl2anc oveq2d simp11r lhpbase simp3r atmod1i2 syl131anc col hlol 3eqtr3d
      olj01 fveq2d eqtrd ) IUDUEZLFUEZUFZMBUEZNBUEZUGZDAUEZDLJUHUIZUFZDMJUHZMNK
      UJZLJUHZUFZUGZXADHUJZGUKZDGUKZXELKUJZGUKZCUJZXGXAGUKZCUJXDWMXEBUEZXELJUHZ
      UIWSDXEJUHZXFXJULWMWNWOWSXCUMZXDIVHUEZXABUEZDBUEZXLXDIWKWLWNWOWSXCUNZUOZX
      DXPWNWOXQXTWMWNWOWSXCUPZWMWNWOWSXCUQZBIKMNOSURUSZXDWQXRWPWQWRXCUTZABDIOTV
      AVBZBHIXADORVCUSXDMNDHUJKUJZLJUHZXMXDWMWNWOWSWTYGUIXOYAYBWPWSXCVDZWPWSWTX
      BVEZABDFHIJKLMNOPQRSTVFVGXDYFXELJXDWKWNWOWQWTYFXEULXSYAYBYDYIABDHIJKMNOPR
      STVIVGVJVKYHXDXPXQXRXNXTYCYEBHIJXADOPRVLUSABCDEFGHIJKLXEOPRSTQUCUAUBVMVNX
      DXIXKXGCXDXHXAGXDXADLKUJZHUJZXAIVOUKZHUJZXHXAXDYJYLXAHXDWMWSYJYLULXOYHADF
      IJKLYLPSYLVPZTQVQVRVSXDWKWQXQLBUEZXBYKXHULXSYDYCXDWLYOWKWLWNWOWSXCVTBFILO
      QWAVBWPWSWTXBWBABDHIJKXALOPRSTWCWDXDIWEUEZXQYMXAULXDWKYPXSIWFVBYCBHIXAYLO
      RYNWHVRWGWIVSWJ $.

    $( Isomorphism H of join with an atom.  (Contributed by NM, 26-Aug-2014.)
       (New usage is discouraged.) $)
    dihjatc2N $p |- ( ( ( ( K e. HL /\ W e. H ) /\ X e. B
    /\ Y e. B ) /\ ( Q e. A /\ -. Q .<_ W )
            /\ ( Q .<_ X /\ ( X ./\ Y ) .<_ W ) )
 -> ( I ` ( Q .\/ ( X ./\ Y ) ) ) = ( ( I ` Q ) .(+) ( I ` ( X ./\ Y ) ) ) ) $=
      ( chlt wcel wa w3a wbr wn co cfv clat simp11l hllatd simp2l atbase simp12
      wceq syl simp13 latmcl syl3anc latjcom fveq2d dihjatc1 eqtrd ) IUDUEZLFUE
      ZUFZMBUEZNBUEZUGZDAUEZDLJUHUIZUFZDMJUHMNKUJZLJUHUFZUGZDVPHUJZGUKVPDHUJZGU
      KDGUKVPGUKCUJVRVSVTGVRIULUEZDBUEZVPBUEZVSVTURVRIVGVHVJVKVOVQUMUNZVRVMWBVL
      VMVNVQUOABDIOTUPUSVRWAVJVKWCWDVIVJVKVOVQUQVIVJVKVOVQUTBIKMNOSVAVBBHIDVPOR
      VCVBVDABCDEFGHIJKLMNOPQRSTUAUBUCVEVF $.

    $( Isomorphism H of join with an atom.  (Contributed by NM,
       26-Aug-2014.) $)
    dihjatc3 $p |- ( ( ( ( K e. HL /\ W e. H ) /\ X e. B
    /\ Y e. B ) /\ ( Q e. A /\ -. Q .<_ W )
            /\ ( Q .<_ X /\ ( X ./\ Y ) .<_ W ) )
 -> ( I ` ( ( X ./\ Y ) .\/ Q ) ) = ( ( I ` ( X ./\ Y ) ) .(+) ( I ` Q ) ) ) $=
      ( chlt wcel wa w3a wbr wn co cfv dihjatc1 cabl csubg clmod simp11 dvhlmod
      wceq lmodabl syl clss wss eqid lsssssubg clat hllatd simp12 simp13 latmcl
      simp11l syl3anc dihlss syl2anc sseldd simp2l atbase lsmcom eqtr4d ) IUDUE
      ZLFUEZUFZMBUEZNBUEZUGZDAUEZDLJUHUIZUFZDMJUHMNKUJZLJUHUFZUGZWHDHUJGUKDGUKZ
      WHGUKZCUJZWLWKCUJZABCDEFGHIJKLMNOPQRSTUAUBUCULWJEUMUEZWLEUNUKZUEWKWPUEWNW
      MURWJEUOUEZWOWJEFILQUAWAWBWCWGWIUPZUQZEUSUTWJEVAUKZWPWLWJWQWTWPVBWSWTEWTV
      CZVDUTZWJWAWHBUEZWLWTUEWRWJIVEUEWBWCXCWJIVSVTWBWCWGWIVJVFWAWBWCWGWIVGWAWB
      WCWGWIVHBIKMNOSVIVKBWTEFGILWHOQUCUAXAVLVMVNWJWTWPWKXBWJWADBUEZWKWTUEWRWJW
      EXDWDWEWFWIVOABDIOTVPUTBWTEFGILDOQUCUAXAVLVMVNCWLWKEUBVQVKVR $.
  $}

  ${
    dihmeetlem8.b $e |- B = ( Base ` K ) $.
    dihmeetlem8.l $e |- .<_ = ( le ` K ) $.
    dihmeetlem8.h $e |- H = ( LHyp ` K ) $.
    dihmeetlem8.j $e |- .\/ = ( join ` K ) $.
    dihmeetlem8.m $e |- ./\ = ( meet ` K ) $.
    dihmeetlem8.a $e |- A = ( Atoms ` K ) $.
    dihmeetlem8.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihmeetlem8.s $e |- .(+) = ( LSSum ` U ) $.
    dihmeetlem8.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( Lemma for isomorphism H of a lattice meet.  TODO: shorter proof if we
       change ` .\/ ` order of ` ( X ./\ Y ) .\/ p ` here and down?
       (Contributed by NM, 6-Apr-2014.)  (New usage is discouraged.) $)
    dihmeetlem8N $p |- ( ( ( ( K e. HL /\ W e. H ) /\ X e. B
    /\ Y e. B ) /\ ( p e. A /\ -. p .<_ W )
            /\ ( p .<_ X /\ ( X ./\ Y ) .<_ W ) )
  -> ( I ` ( ( X ./\ Y ) .\/ p ) )
        = ( ( I ` p ) .(+) ( I ` ( X ./\ Y ) ) ) ) $=
      ( cv dihjatc1 ) ABCNUDDEFGHIJKLMOPQRSTUAUBUCUE $.
  $}

  ${
    dihmeetlem9.b $e |- B = ( Base ` K ) $.
    dihmeetlem9.l $e |- .<_ = ( le ` K ) $.
    dihmeetlem9.h $e |- H = ( LHyp ` K ) $.
    dihmeetlem9.j $e |- .\/ = ( join ` K ) $.
    dihmeetlem9.m $e |- ./\ = ( meet ` K ) $.
    dihmeetlem9.a $e |- A = ( Atoms ` K ) $.
    dihmeetlem9.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihmeetlem9.s $e |- .(+) = ( LSSum ` U ) $.
    dihmeetlem9.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
       6-Apr-2014.)  (New usage is discouraged.) $)
    dihmeetlem9N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ Y e. B )
       /\ p e. A )
  -> ( ( ( I ` p ) .(+) ( I ` ( X ./\ Y ) ) ) i^i ( I ` Y ) )
            = ( ( I ` ( X ./\ Y ) ) .(+) ( ( I ` p ) i^i ( I ` Y ) ) ) ) $=
      ( chlt wcel wa cv w3a co cfv cin csubg wceq clss clmod simp1 dvhlmod eqid
      wss lsssssubg syl clat simp1l hllatd simp2l simp2r latmcl syl3anc syl2anc
      dihlss sseldd atbase 3ad2ant3 wbr latmle2 wb dihord mpbird lsmmod lmodabl
      syl31anc cabl lsmcom ineq1d eqtr2d ) HUDUEZKEUEZUFZLBUEZMBUEZUFZNUGZAUEZU
      HZLMJUIZFUJZWLFUJZMFUJZUKCUIZWPWQCUIZWRUKZWQWPCUIZWRUKWNWPDULUJZUEZWQXCUE
      ZWRXCUEWPWRUSZWSXAUMWNDUNUJZXCWPWNDUOUEZXGXCUSWNDEHKQUAWHWKWMUPZUQZXGDXGU
      RZUTVAZWNWHWOBUEZWPXGUEXIWNHVBUEZWIWJXMWNHWFWGWKWMVCVDZWHWIWJWMVEZWHWIWJW
      MVFZBHJLMOSVGVHZBXGDEFHKWOOQUCUAXKVJVIVKZWNXGXCWQXLWNWHWLBUEZWQXGUEXIWMWH
      XTWKABWLHOTVLVMBXGDEFHKWLOQUCUAXKVJVIVKZWNXGXCWRXLWNWHWJWRXGUEXIXQBXGDEFH
      KMOQUCUAXKVJVIVKWNXFWOMIVNZWNXNWIWJYBXOXPXQBHIJLMOPSVOVHWNWHXMWJXFYBVPXIX
      RXQBEFHIKWOMOPQUCVQVHVRCWPWQWRDUBVSWAWNWTXBWRWNDWBUEZXDXEWTXBUMWNXHYCXJDV
      TVAXSYACWPWQDUBWCVHWDWE $.

    $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
       6-Apr-2014.)  (New usage is discouraged.) $)
    dihmeetlem10N $p |- ( ( ( ( K e. HL /\ W e. H ) /\ X e. B /\ Y e. B )
     /\ ( ( p e. A /\ -. p .<_ W ) /\ p .<_ X ) )
  -> ( I ` ( ( X ./\ Y ) .\/ p ) )
        = ( ( I ` X ) i^i ( I ` ( Y .\/ p ) ) ) ) $=
      ( chlt wcel wa w3a cv wbr wn co cfv cin wceq simpl1l simpl2 simpl3 simprr
      simprll dihmeetlem5 syl32anc fveq2d simpl1 clat hllatd atbase syl syl3anc
      latjcl dihmeetlem6 dihmeetcN syl121anc eqtr3d ) HUDUEZKEUEZUFZLBUEZMBUEZU
      GZNUHZAUEZVTKIUIUJZUFZVTLIUIZUFZUFZLMVTGUKZJUKZFULZLMJUKVTGUKZFULLFULWGFU
      LUMZWFWHWJFWFVNVQVRWAWDWHWJUNVNVOVQVRWEUOZVPVQVRWEUPZVPVQVRWEUQZVSWAWBWDU
      SZVSWCWDURABVTGHIJLMOPRSTUTVAVBWFVPVQWGBUEZWHKIUIUJWIWKUNVPVQVRWEVCWMWFHV
      DUEVRVTBUEZWPWFHWLVEWNWFWAWQWOABVTHOTVFVGBGHMVTORVIVHABVTEGHIJKLMOPQRSTVJ
      BEFHIJKLWGOPSQUCVKVLVM $.

    $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
       6-Apr-2014.)  (New usage is discouraged.) $)
    dihmeetlem11N $p |- ( ( ( ( K e. HL /\ W e. H ) /\ X e. B /\ Y e. B )
     /\ ( ( p e. A /\ -. p .<_ W ) /\ p .<_ X ) )
  -> ( ( I ` ( ( X ./\ Y ) .\/ p ) ) i^i ( I ` Y ) )
                 = ( ( I ` X ) i^i ( I ` Y ) ) ) $=
      ( chlt wcel wa w3a cv wbr wn cfv cin dihmeetlem10N ineq1d inass wceq clat
      co wss simpl1l hllatd simpl3 simprll atbase syl latlej1 syl3anc wb simpl1
      latjcl dihord mpbird sseqin2 sylib ineq2d syl5eq eqtrd ) HUDUEZKEUEZUFZLB
      UEZMBUEZUGZNUHZAUEZWDKIUIUJZUFWDLIUIZUFZUFZLMJURWDGURFUKZMFUKZULLFUKZMWDG
      URZFUKZULZWKULZWLWKULZWIWJWOWKABCDEFGHIJKLMNOPQRSTUAUBUCUMUNWIWPWLWNWKULZ
      ULWQWLWNWKUOWIWRWKWLWIWKWNUSZWRWKUPWIWSMWMIUIZWIHUQUEZWBWDBUEZWTWIHVRVSWA
      WBWHUTVAZVTWAWBWHVBZWIWEXBWCWEWFWGVCABWDHOTVDVEZBGHIMWDOPRVFVGWIVTWBWMBUE
      ZWSWTVHVTWAWBWHVIXDWIXAWBXBXFXCXDXEBGHMWDORVJVGBEFHIKMWMOPQUCVKVGVLWKWNVM
      VNVOVPVQ $.

    $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
       6-Apr-2014.)  (New usage is discouraged.) $)
    dihmeetlem12N $p |- ( ( ( ( K e. HL /\ W e. H ) /\ X e. B /\ Y e. B )
     /\ ( ( p e. A /\ -. p .<_ W ) /\ p .<_ X /\ ( X ./\ Y ) .<_ W ) )
    -> ( ( I ` ( X ./\ Y ) ) .(+) ( ( I ` p ) i^i ( I ` Y ) ) )
        = ( ( I ` X ) i^i ( I ` Y ) ) ) $=
      ( chlt wcel wa w3a cv wbr cfv cin wceq simpl1 simpl2 simpl3 simpr1 simpr2
      wn co simpr3 dihmeetlem8N syl312anc ineq1d dihmeetlem11N 3adantr3 simpr1l
      dihmeetlem9N syl121anc 3eqtr3rd ) HUDUEKEUEUFZLBUEZMBUEZUGZNUHZAUEZVNKIUI
      URZUFZVNLIUIZLMJUSZKIUIZUGZUFZVSVNGUSFUJZMFUJZUKZVNFUJZVSFUJZCUSZWDUKZLFU
      JWDUKZWGWFWDUKCUSZWBWCWHWDWBVJVKVLVQVRVTWCWHULVJVKVLWAUMZVJVKVLWAUNZVJVKV
      LWAUOZVMVQVRVTUPVMVQVRVTUQVMVQVRVTUTABCDEFGHIJKLMNOPQRSTUAUBUCVAVBVCVMVQV
      RWEWJULVTABCDEFGHIJKLMNOPQRSTUAUBUCVDVEWBVJVKVLVOWIWKULWLWMWNVOVPVRVTVMVF
      ABCDEFGHIJKLMNOPQRSTUAUBUCVGVHVI $.
  $}

  ${
    $d f h s .<_ $.  $d f h s A $.  $d h B $.  $d f h s H $.  $d f s I $.
    $d f h s K $.  $d h P $.  $d f h s Q $.  $d f h s R $.  $d h T $.
    $d f h s W $.  $d f s .0. $.
    dihmeetlem13.b $e |- B = ( Base ` K ) $.
    dihmeetlem13.l $e |- .<_ = ( le ` K ) $.
    dihmeetlem13.j $e |- .\/ = ( join ` K ) $.
    dihmeetlem13.a $e |- A = ( Atoms ` K ) $.
    dihmeetlem13.h $e |- H = ( LHyp ` K ) $.
    dihmeetlem13.p $e |- P = ( ( oc ` K ) ` W ) $.
    dihmeetlem13.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dihmeetlem13.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dihmeetlem13.o $e |- O = ( h e. T |-> ( _I |` B ) ) $.
    dihmeetlem13.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihmeetlem13.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihmeetlem13.z $e |- .0. = ( 0g ` U ) $.
    dihmeetlem13.f $e |- F = ( iota_ h e. T ( h ` P ) = Q ) $.
    dihmeetlem13.g $e |- G = ( iota_ h e. T ( h ` P ) = R ) $.
    $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
       7-Apr-2014.)  (New usage is discouraged.) $)
    dihmeetlem13N $p |- ( ( ( K e. HL /\ W e. H ) /\ ( ( Q e. A /\ -. Q .<_
        W )
        /\ ( R e. A /\ -. R .<_ W ) ) /\ Q =/= R )
       -> ( ( I ` Q ) i^i ( I ` R ) ) = { .0. } ) $=
      ( vf vs chlt wcel wa wbr wn wne w3a cfv cin csn dihvalrel 3ad2ant1 relin1
      wrel syl cv cop cid cres wceq elin wb simp1 simp2l dihopelvalcqat syl2anc
      vex simp2r anbi12d syl5bb simprll simpl3 fveq1 simpl1 simpl2l ltrniotaval
      syl3anc simpl2r eqeq12d syl5ib necon3d mpd simp2ll simp2rl eqtr3d simp2rr
      lhpocnel2 simp11 simp3 simp12l simp12r tendospcanN syl122anc mpbid 3expia
      ltrniotacl necon1d fveq1d tendo02 3eqtrd jca sylbid opex elsn opth bitr2i
      ex dvh0g sneqd eleq2d bitr4id sylibd relssdv clss wss dvhlmod atbase eqid
      clmod dihlss lssincl lss0ss eqssd ) OUPUQRLUQURZDAUQZDRPUSUTZURZEAUQZERPU
      SUTZURZURZDEVAZVBZDMVCZEMVCZVDZSVEZUUHUNUOUUKUULUUHUUIVIZUUKVIYSUUFUUMUUG
      LMORDUDUIVFVGUUIUUJVHVJUUHUNVKZUOVKZVLZUUKUQZUUNVMBVNZVOZUUOQVOZURZUUPUUL
      UQZUUHUUQUUNJUUOVCZVOZUUOIUQZURZUUNKUUOVCZVOZUVEURZURZUVAUUQUUPUUIUQZUUPU
      UJUQZURUUHUVJUUPUUIUUJVPUUHUVKUVFUVLUVIUUHYSUUBUVKUVFVQYSUUFUUGVRZYSUUBUU
      EUUGVSACDUUOFHIUUNJLMOPRUAUCUDUEUFUGUIULUNWBZUOWBZVTWAUUHYSUUEUVLUVIVQUVM
      YSUUBUUEUUGWCACEUUOFHIUUNKLMOPRUAUCUDUEUFUGUIUMUVNUVOVTWAWDWEUUHUVJUVAUUH
      UVJURZUUSUUTUVPUUNUVCJQVCZUURUUHUVDUVEUVIWFUVPJUUOQUVPJKVAZUUTUVPUUGUVRYS
      UUFUUGUVJWGUVPJKDEJKVOZCJVCZCKVCZVOUVPDEVOCJKWHUVPUVTDUWAEUVPYSCAUQCRPUSU
      TURZUUBUVTDVOYSUUFUUGUVJWIZUVPYSUWBUWCACLOPRUAUCUDUEXBZVJZUUBUUEYSUUGUVJW
      JZACDFHJLOPRUAUCUDUFULWKWLUVPYSUWBUUEUWAEVOUWCUWEUUBUUEYSUUGUVJWMACEFHKLO
      PRUAUCUDUFUMWKWLWNWOWPWQUVPUUOQJKUUHUVJUUOQVAZUVSUUHUVJUWGVBZUVCUVGVOZUVS
      UWHUUNUVCUVGUVDUVEUVIUUHUWGWRUVHUVEUVFUUHUWGWSWTUWHYSUVEUWGJFUQZKFUQZUWIU
      VSVQYSUUFUUGUVJUWGXCZUVHUVEUVFUUHUWGXAUUHUVJUWGXDUWHYSUWBUUBUWJUWLUWHYSUW
      BUWLUWDVJZUUBUUEYSUUGUVJUWGXEACDFHJLOPRUAUCUDUFULXKZWLUWHYSUWBUUEUWKUWLUW
      MUUBUUEYSUUGUVJUWGXFACEFHKLOPRUAUCUDUFUMXKWLBUUOFHIJKLOQRTUDUFUGUHXGXHXIX
      JXLWQZXMUVPUWJUVQUURVOUVPYSUWBUUBUWJUWCUWEUWFUWNWLBFHJOQUHTXNVJXOUWOXPYBX
      QUUHUVAUUPUURQVLZVEZUQZUVBUWRUUPUWPVOUVAUUPUWPUUNUUOXRXSUUNUUOUURQUVNUVOX
      TYAUUHUULUWQUUPUUHSUWPYSUUFSUWPVOUUGBFGHLOQRSTUDUFUJUKUHYCVGYDYEYFYGYHUUH
      GYNUQZUUKGYIVCZUQZUULUUKYJUUHGLORUDUJUVMYKZUUHUWSUUIUWTUQZUUJUWTUQZUXAUXB
      UUHYSDBUQZUXCUVMUUHYTUXEYTUUAUUEYSUUGWRABDOTUCYLVJBUWTGLMORDTUDUIUJUWTYMZ
      YOWAUUHYSEBUQZUXDUVMUUHUUCUXGUUCUUDUUBYSUUGWSABEOTUCYLVJBUWTGLMORETUDUIUJ
      UXFYOWAUWTUUIUUJGUXFYPWLUWTGUUKSUKUXFYQWAYR $.
  $}

  ${
    $d h .<_ $.  $d h A $.  $d h B $.  $d h H $.  $d h K $.  $d h W $.
    $d h p $.  $d h r $.
    dihmeetlem14.b $e |- B = ( Base ` K ) $.
    dihmeetlem14.l $e |- .<_ = ( le ` K ) $.
    dihmeetlem14.h $e |- H = ( LHyp ` K ) $.
    dihmeetlem14.j $e |- .\/ = ( join ` K ) $.
    dihmeetlem14.m $e |- ./\ = ( meet ` K ) $.
    dihmeetlem14.a $e |- A = ( Atoms ` K ) $.
    dihmeetlem14.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihmeetlem14.s $e |- .(+) = ( LSSum ` U ) $.
    dihmeetlem14.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
       7-Apr-2014.)  (New usage is discouraged.) $)
    dihmeetlem14N $p |- ( ( ( ( K e. HL /\ W e. H ) /\ Y e. B /\ p e. B )
     /\ ( ( r e. A /\ -. r .<_ W ) /\ r .<_ Y /\ ( Y ./\ p ) .<_ W ) )
    -> ( ( I ` ( Y ./\ p ) ) .(+) ( ( I ` r ) i^i ( I ` p ) ) )
        = ( ( I ` Y ) i^i ( I ` p ) ) ) $=
      ( cv dihmeetlem12N ) ABCDEFGHIJKLNUDMOPQRSTUAUBUCUE $.

    ${
      dihmeetlem15.z $e |- .0. = ( 0g ` U ) $.
      $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
         7-Apr-2014.)  (New usage is discouraged.) $)
      dihmeetlem15N $p |- ( ( ( ( K e. HL /\ W e. H ) /\ Y e. B
         /\ ( p e. A /\ -. p .<_ W ) )
     /\ ( ( r e. A /\ -. r .<_ W ) /\ r .<_ Y /\ ( Y ./\ p ) .<_ W ) )
    -> ( ( I ` r ) i^i ( I ` p ) ) = { .0. } ) $=
        ( vh chlt wcel wa cv wbr wn w3a co wne cfv cin csn simpl1 simpr1 simpl3
        wceq simpl3r weq simp3 simp22 eqbrtrrd wb simp11l hllatd simp13l atbase
        syl simp12 latleeqm2 syl3anc mpbid simp23 3expia necon3bd mpd coc cltrn
        clat ctendo crio cid cres cmpt eqid dihmeetlem13N syl121anc ) HUGUHZKEU
        HZUIZLBUHZOUJZAUHZWQKIUKZULZUIZUMZNUJZAUHXCKIUKULUIZXCLIUKZLWQJUNZKIUKZ
        UMZUIZWOXDXAXCWQUOZXCFUPWQFUPUQMURVBWOWPXAXHUSXBXDXEXGUTWOWPXAXHVAXIWTX
        JWRWTWOWPXHVCXIWSXCWQXBXHNOVDZWSXBXHXKUMZXFWQKIXLWQLIUKZXFWQVBZXLXCWQLI
        XBXHXKVEXBXDXEXGXKVFVGXLHWDUHWQBUHZWPXMXNVHXLHWMWNWPXAXHXKVIVJXLWRXOWRW
        TWOWPXHXKVKABWQHPUAVLVMWOWPXAXHXKVNBHIJWQLPQTVOVPVQXBXDXEXGXKVRVGVSVTWA
        ABKHWBUPUPZXCWQKHWCUPUPZDUFKHWEUPUPZXPUFUJUPZXCVBUFXQWFZXSWQVBUFXQWFZEF
        GHIUFXQWGBWHWIZKMPQSUARXPWJXQWJXRWJYBWJUDUBUEXTWJYAWJWKWL $.
    $}

    $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
       7-Apr-2014.)  (New usage is discouraged.) $)
    dihmeetlem16N $p |- ( ( ( ( K e. HL /\ W e. H ) /\ Y e. B
            /\ ( p e. A /\ -. p .<_ W ) )
     /\ ( ( r e. A /\ -. r .<_ W ) /\ r .<_ Y /\ ( Y ./\ p ) .<_ W ) )
    -> ( I ` ( Y ./\ p ) ) = ( ( I ` Y ) i^i ( I ` p ) ) ) $=
      ( chlt wcel wa cv wbr wn w3a co cfv cin c0g csn eqid dihmeetlem15N oveq2d
      wceq simpl1 simpl2 atbase syl simpr1 simpr2 simpr3 dihmeetlem14N syl33anc
      simpl3l csubg clmod dvhlmod simpl1l hllatd latmcl syl3anc syl2anc lsssubg
      clss clat dihlss lsm01 3eqtr3rd ) HUDUEZKEUEZUFZLBUEZNUGZAUEZWHKIUHUIZUFZ
      UJZMUGZAUEWMKIUHUIUFZWMLIUHZLWHJUKZKIUHZUJZUFZWPFULZWMFULWHFULZUMZCUKZWTD
      UNULZUOZCUKZLFULXAUMZWTWSXBXEWTCABCDEFGHIJKLXDMNOPQRSTUAUBUCXDUPZUQURWSWF
      WGWHBUEZWNWOWQXCXGUSWFWGWKWRUTZWFWGWKWRVAZWSWIXIWIWJWFWGWRVIABWHHOTVBVCZW
      LWNWOWQVDWLWNWOWQVEWLWNWOWQVFABCDEFGHIJKLMNOPQRSTUAUBUCVGVHWSWTDVJULUEZXF
      WTUSWSDVKUEWTDVSULZUEZXMWSDEHKQUAXJVLWSWFWPBUEZXOXJWSHVTUEWGXIXPWSHWDWEWG
      WKWRVMVNXKXLBHJLWHOSVOVPBXNDEFHKWPOQUCUAXNUPZWAVQXNWTDXQVRVQCDWTXDXHUBWBV
      CWC $.

    ${
      dihmeetlem17.o $e |- .0. = ( 0. ` K ) $.
      $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
         7-Apr-2014.)  (New usage is discouraged.) $)
      dihmeetlem17N $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( X e. B /\ -. X .<_ W ) /\ ( p e. A /\ -. p .<_ W ) )
       /\ ( Y e. B /\ ( X ./\ Y ) .<_ W /\ p .<_ X ) )
    -> ( Y ./\ p ) = .0. ) $=
        ( chlt wcel wa wbr wn cv w3a co clat wceq simpl1l hllatd simpl3l atbase
        syl simpr1 latmcom syl3anc simpl1 simpl2 simpl3 simpr2 simpr3 lhpmcvr4N
        syl123anc cal wb hlatl atnle mpbid eqtr3d ) HUFUGZKEUGZUHZLBUGLKIUIUJUH
        ZOUKZAUGZWAKIUIUJZUHZULZMBUGZLMJUMKIUIZWALIUIZULZUHZWAMJUMZMWAJUMZNWJHU
        NUGWABUGZWFWKWLUOWJHVQVRVTWDWIUPZUQWJWBWMWBWCVSVTWIURZABWAHPUAUSUTWEWFW
        GWHVAZBHJWAMPTVBVCWJWAMIUIUJZWKNUOZWJVSVTWDWFWGWHWQVSVTWDWIVDVSVTWDWIVE
        VSVTWDWIVFWPWEWFWGWHVGWEWFWGWHVHABWAEGHIJKLMPQSTUARVIVJWJHVKUGZWBWFWQWR
        VLWJVQWSWNHVMUTWOWPABWAHIJMNPQTUEUAVNVCVOVP $.
    $}

    ${
      dihmeetlem18.z $e |- .0. = ( 0g ` U ) $.
      $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
         7-Apr-2014.)  (New usage is discouraged.) $)
      dihmeetlem18N $p |- ( ( ( ( K e. HL /\ W e. H )
              /\ ( X e. B /\ -. X .<_ W ) /\ Y e. B )
          /\ ( ( p e. A /\ -. p .<_ W ) /\ ( r e. A /\ -. r .<_ W )
              /\ ( p .<_ X /\ r .<_ Y /\ ( X ./\ Y ) .<_ W ) ) )
      -> ( ( I ` Y ) i^i ( I ` p ) ) = { .0. } ) $=
        ( chlt wcel wa wbr wn w3a cv co cfv cp0 cin simpl1 simpl2 simpr1 simpl3
        csn wceq simpr33 simpr31 eqid dihmeetlem17N syl33anc fveq2d simpr2 cops
        simpr32 simpl1l syl simpl1r lhpbase op0le syl2anc eqbrtrd dihmeetlem16N
        hlop dih0 3eqtr3d ) HUGUHZKEUHZUIZLBUHLKIUJUKUIZMBUHZULZPUMZAUHWJKIUJUK
        UIZOUMZAUHWLKIUJUKUIZWJLIUJZWLMIUJZLMJUNKIUJZULZULZUIZMWJJUNZFUOZHUPUOZ
        FUOZMFUOWJFUOUQZNVBZWSWTXBFWSWFWGWKWHWPWNWTXBVCWFWGWHWRURZWFWGWHWRUSWIW
        KWMWQUTZWFWGWHWRVAZWNWOWPWKWMWIVDWNWOWPWKWMWIVEABCDEFGHIJKLMXBPQRSTUAUB
        UCUDUEXBVFZVGVHZVIWSWFWHWKWMWOWTKIUJXAXDVCXFXHXGWIWKWMWQVJWNWOWPWKWMWIV
        LWSWTXBKIXJWSHVKUHZKBUHZXBKIUJWSWDXKWDWEWGWHWRVMHWAVNWSWEXLWDWEWGWHWRVO
        BEHKQSVPVNBHIKXBQRXIVQVRVSABCDEFGHIJKMOPQRSTUAUBUCUDUEVTVHWSWFXCXEVCXFD
        EFHNKXBXISUEUCUFWBVNWC $.
    $}

    $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
       7-Apr-2014.)  (New usage is discouraged.) $)
    dihmeetlem19N $p |- ( ( ( ( K e. HL /\ W e. H )
            /\ ( X e. B /\ -. X .<_ W ) /\ Y e. B )
        /\ ( ( p e. A /\ -. p .<_ W ) /\ ( r e. A /\ -. r .<_ W )
            /\ ( p .<_ X /\ r .<_ Y /\ ( X ./\ Y ) .<_ W ) ) )
    -> ( I ` ( X ./\ Y ) ) = ( ( I ` X ) i^i ( I ` Y ) ) ) $=
      ( chlt wcel wa wbr wn w3a cv co cfv cin c0g csn eqid dihmeetlem18N syl5eq
      incom oveq2d simpl1 simpl2l simpl3 simpr31 simpr33 dihmeetlem12N syl33anc
      wceq simpr1 csubg clmod clss dvhlmod simpl1l hllatd latmcl syl3anc dihlss
      clat syl2anc lsssubg lsm01 syl 3eqtr3rd ) HUEUFZKEUFZUGZLBUFZLKIUHUIZUGZM
      BUFZUJZOUKZAUFWNKIUHUIUGZNUKZAUFWPKIUHUIUGZWNLIUHZWPMIUHZLMJULZKIUHZUJZUJ
      ZUGZWTFUMZWNFUMZMFUMZUNZCULZXEDUOUMZUPZCULZLFUMXGUNZXEXDXHXKXECXDXHXGXFUN
      XKXFXGUTABCDEFGHIJKLMXJNOPQRSTUAUBUCUDXJUQZURUSVAXDWHWIWLWOWRXAXIXMVIWHWK
      WLXCVBZWIWJWHWLXCVCZWHWKWLXCVDZWMWOWQXBVJWRWSXAWOWQWMVEWRWSXAWOWQWMVFABCD
      EFGHIJKLMOPQRSTUAUBUCUDVGVHXDXEDVKUMUFZXLXEVIXDDVLUFXEDVMUMZUFZXRXDDEHKRU
      BXOVNXDWHWTBUFZXTXOXDHVTUFWIWLYAXDHWFWGWKWLXCVOVPXPXQBHJLMPTVQVRBXSDEFHKW
      TPRUDUBXSUQZVSWAXSXEDYBWBWACDXEXJXNUCWCWDWE $.

    $d q r ./\ $.  $d q r .<_ $.  $d q r A $.  $d q r B $.  $d q r H $.
    $d q r I $.  $d q r K $.  $d q r W $.  $d q r X $.  $d q r Y $.
    $( Lemma for isomorphism H of a lattice meet.  (Contributed by NM,
       7-Apr-2014.)  (New usage is discouraged.) $)
    dihmeetlem20N $p |- ( ( ( K e. HL /\ W e. H )
            /\ ( X e. B /\ -. X .<_ W ) /\ ( ( Y e. B /\ -. Y .<_ W )
          /\ ( X ./\ Y ) .<_ W ) )
    -> ( I ` ( X ./\ Y ) ) = ( ( I ` X ) i^i ( I ` Y ) ) ) $=
      ( vq vr chlt wcel wa wbr wn co w3a wrex cfv cin wceq simp1 simp3ll simp3r
      cv simp2 lhpmcvr6N syl112anc simp3l simp2l simp1l latmcom syl3anc eqbrtrd
      clat hllatd reeanv simp11 simp12 3ad2ant1 simp3l1 simp3r1 simp3l3 simp3r3
      simp2r simp13r 3jca dihmeetlem19N syl33anc 3exp rexlimdvv syl5bir mp2and
      jca ) HUEUFZKEUFZUGZLBUFZLKIUHUIZUGZMBUFZMKIUHUIZUGZLMJUJZKIUHZUGZUKZUCUS
      ZKIUHUIZXBMIUHUIZXBLIUHZUKZUCAULZUDUSZKIUHUIZXHLIUHUIZXHMIUHZUKZUDAULZWRF
      UMLFUMMFUMUNUOZXAWKWNWOWSXGWKWNWTUPZWKWNWTUTWOWPWSWKWNUQZWKWNWQWSURZABEGH
      IJKLMUCNOQRSPVAVBXAWKWQWLMLJUJZKIUHXMXOWKWNWQWSVCWKWLWMWTVDZXAXRWRKIXAHVI
      UFWOWLXRWRUOXAHWIWJWNWTVEVJXPXSBHJMLNRVFVGXQVHABEGHIJKMLUDNOQRSPVAVBXGXMU
      GXFXLUGZUDAULUCAULXAXNXFXLUCUDAAVKXAXTXNUCUDAAXAXBAUFZXHAUFZUGZXTXNXAYCXT
      UKZWKWNWOYAXCUGYBXIUGXEXKWSUKXNWKWNWTYCXTVLWKWNWTYCXTVMXAYCWOXTXPVNYDYAXC
      XAYAYBXTVDXCXDXEXLXAYCVOWHYDYBXIXAYAYBXTVSXIXJXKXFXAYCVPWHYDXEXKWSXCXDXEX
      LXAYCVQXIXJXKXFXAYCVRWQWSWKWNYCXTVTWAABCDEFGHIJKLMUDUCNOPQRSTUAUBWBWCWDWE
      WFWG $.
  $}

  ${
    dihmeetALT.b $e |- B = ( Base ` K ) $.
    dihmeetALT.m $e |- ./\ = ( meet ` K ) $.
    dihmeetALT.h $e |- H = ( LHyp ` K ) $.
    dihmeetALT.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( Isomorphism H of a lattice meet.  This version does not depend on the
       atomisticity of the constructed vector space.  TODO:  Delete?
       (Contributed by NM, 7-Apr-2014.)  (New usage is discouraged.) $)
    dihmeetALTN $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. B /\ Y e. B )
     -> ( I ` ( X ./\ Y ) ) = ( ( I ` X ) i^i ( I ` Y ) ) ) $=
      ( wcel wa cfv wbr wceq simpr eqid wn chlt w3a cple co clat simpl1l hllatd
      cin simpl2 simpl3 latmcom syl3anc fveq2d simpl1 dihmeetbN syl112anc incom
      eqtrdi eqtrd simpll1 simpll2 simpll3 adantlr simp1l1 simp1l2 simp1r simp3
      simp1l3 simp2 catm cdvh dihmeetlem20N syl122anc 3expa pm2.61dan dihmeetcN
      jca clsm cjn syl121anc ) DUAMZFBMZNZGAMZHAMZUBZGFDUCOZPZGHEUDZCOZGCOZHCOZ
      UHZQZWFWHNZWJHGEUDZCOZWMWOWIWPCWODUEMWDWEWIWPQWODWAWBWDWEWHUFUGWCWDWEWHUI
      ZWCWDWEWHUJZADEGHIJUKULUMWOWQWLWKUHZWMWOWCWEWDWHWQWTQWCWDWEWHUNWSWRWFWHRA
      BCDWGEFHGIWGSZJKLUOUPWLWKUQURUSWFWHTZNZWIFWGPZWNXCXDNHFWGPZWNXCXEWNXDXCXE
      NWCWDWEXEWNWCWDWEXBXEUTWCWDWEXBXEVAWCWDWEXBXEVBXCXERABCDWGEFGHIXAJKLUOUPV
      CXCXDXETZWNXCXDXFUBZWCWDXBWEXFNXDWNWCWDWEXBXDXFVDWCWDWEXBXDXFVEWFXBXDXFVF
      XGWEXFWCWDWEXBXDXFVHXCXDXFVGVQXCXDXFVIDVJOZAFDVKOOZVROZXIBCDVSOZDWGEFGHIX
      AKXKSJXHSXISXJSLVLVMVNVOXCXDTZNWCWDWEXLWNWCWDWEXBXLUTWCWDWEXBXLVAWCWDWEXB
      XLVBXCXLRABCDWGEFGHIXAJKLVPVTVOVO $.
  $}

  ${
    $d h .<_ $.  $d v .0. $.  $d h B $.  $d f g i p r s t u v E $.  $d t u F $.
    $d h C $.  $d v D $.  $d g i p r t G $.  $d g h r t J $.  $d f s t u v N $.
    $d f g h i p r s t u v K $.  $d f g h i p s t u v T $.  $d f h s t u v U $.
    $d f h i p s t u v H $.  $d f i p s t u v V $.  $d f g h i p r s t u v W $.
    $d f s v I $.  $d i p t u O $.  $d g h r P $.  $d t u .x. $.
    dih1dimat.h $e |- H = ( LHyp ` K ) $.
    dih1dimat.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dih1dimat.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dih1dimat.a $e |- A = ( LSAtoms ` U ) $.
    ${
      dih1dimat.b $e |- B = ( Base ` K ) $.
      dih1dimat.l $e |- .<_ = ( le ` K ) $.
      dih1dimat.c $e |- C = ( Atoms ` K ) $.
      dih1dimat.p $e |- P = ( ( oc ` K ) ` W ) $.
      dih1dimat.t $e |- T = ( ( LTrn ` K ) ` W ) $.
      dih1dimat.r $e |- R = ( ( trL ` K ) ` W ) $.
      dih1dimat.e $e |- E = ( ( TEndo ` K ) ` W ) $.
      dih1dimat.o $e |- O = ( h e. T |-> ( _I |` B ) ) $.
      dih1dimat.d $e |- F = ( Scalar ` U ) $.
      dih1dimat.j $e |- J = ( invr ` F ) $.
      dih1dimat.v $e |- V = ( Base ` U ) $.
      dih1dimat.m $e |- .x. = ( .s ` U ) $.
      dih1dimat.s $e |- S = ( LSubSp ` U ) $.
      dih1dimat.n $e |- N = ( LSpan ` U ) $.
      dih1dimat.z $e |- .0. = ( 0g ` U ) $.
      dih1dimat.g $e |- G
          = ( iota_ h e. T ( h ` P ) = ( ( ( J ` s ) ` f ) ` P ) ) $.
      $( Lemma for ~ dih1dimat .  (Contributed by NM, 11-Apr-2014.) $)
      dih1dimatlem0 $p |- ( ( ( K e. HL /\ W e. H ) /\ ( f e. T /\ s e. E
          )
         /\ s =/= O ) -> ( ( i = ( p ` G ) /\ p e. E )
   <-> ( ( i e. T /\ p e. E )
            /\ E. t e. E ( i = ( t ` f ) /\ p = ( t o. s ) ) ) ) ) $=
        ( chlt wcel wa cv wne w3a wceq ccom wrex simprl simpl1 simprr lhpocnel2
        cfv wbr wn syl simpl2r simpl3 tendoinvcl simpld syl3anc simpl2l tendocl
        ltrnel ltrniotacl eqeltrd tendococl simp1 3ad2ant1 3adant2l ltrniotaval
        simp2l cdlemd syl311anc adantr fveq2d tendocoval syl121anc 3eqtr4d cres
        coass cid tendolinv coeq2d tendo1mulr syl2anc eqtrd eqtr2id fveq1 coeq1
        eqeq2d anbi12d rspcev syl12anc jca31 simp3r fveq1d simp1l1 simp2 syl5eq
        simp1l3 tendorinv 3eqtr2rd simp3l rexlimdv3a impr simprlr jca impbida )
        TVIVJUEQVJVKZKVLZHVJZUGVLZNVJZVKZUUBUCVMZVNZMVLZPUHVLZWBZVOZUUHNVJZVKZU
        UGHVJZUUKVKZUUGYTAVLZWBZVOZUUHUUOUUBVPZVOZVKZANVQZVKZUUFUULVKZUUMUUKUVA
        UVCUUGUUIHUUFUUJUUKVRZUVCYSUUKPHVJZUUIHVJYSUUDUUEUULVSZUUFUUJUUKVTZUVCY
        SEDVJEUEUAWCWDVKZEYTUUBSWBZWBZWBZDVJUVKUEUAWCWDVKZUVEUVFUVCYSUVHUVFDEQT
        UAUEUNUOUIUPWAZWEZUVCYSUVJHVJZUVHUVLUVFUVCYSUVINVJZUUAUVOUVFUVCYSUUCUUE
        UVPUVFUUAUUCYSUUEUULWFZYSUUDUUEUULWGZYSUUCUUEVNUVPUVIUCVMCUUBHJLNOQTSUC
        UEUMUIUQUSUTUJVAVBWHWIZWJZUUAUUCYSUUEUULWKZUVIHNYTQTVIUEUIUQUSWLZWJUVND
        EHUVJQTUAUEUNUOUIUQWMZWJDEUVKHLPQTUAUEUNUOUIUQVHWNZWJUUHHNPQTVIUEUIUQUS
        WLWJWOUVGUVCUUHUVIVPZNVJZUUGYTUWEWBZVOZUUHUWEUUBVPZVOZUVAUVCYSUUKUVPUWF
        UVFUVGUVTUUHUVINQTUEUIUSWPWJUVCUUIUVJUUHWBZUUGUWGUVCPUVJUUHUUFPUVJVOZUU
        LUUFYSUVEUVOUVHEPWBUVKVOZUWLYSUUDUUEWQZUUFYSUVHUVLUVEUWNYSUUDUVHUUEUVMW
        RZUUFYSUVOUVHUVLUWNUUFYSUVPUUAUVOUWNYSUUCUUEUVPUUAUVSWSYSUUAUUCUUEXAUWB
        WJZUWOUWCWJZUWDWJUWPUWOUUFYSUVHUVLUWMUWNUWOUWQDEUVKHLPQTUAUEUNUOUIUQVHW
        TWJDEHPUVJQTUAUEUNUOUIUQXBXCZXDXEUVDUVCYSUUKUVPUUAUWGUWKVOUVFUVGUVTUWAH
        UUHNYTQTUVIUEVIUIUQUSXFXGXHUVCUWIUUHUVIUUBVPZVPZUUHUUHUVIUUBXJUVCUWTUUH
        XKHXIZVPZUUHUVCUWSUXAUUHUVCYSUUCUUEUWSUXAVOUVFUVQUVRCUUBHJLNOQTSUCUEUMU
        IUQUSUTUJVAVBXLWJXMUVCYSUUKUXBUUHVOUVFUVGHUUHNQTUEUIUQUSXNXOXPXQUUTUWHU
        WJVKAUWENUUOUWEVOZUUQUWHUUSUWJUXCUUPUWGUUGYTUUOUWEXRXTUXCUURUWIUUHUUOUW
        EUUBXSXTYAYBYCYDUUFUVBVKUUJUUKUUFUUNUVAUUJUUFUUNVKZUUTUUJANUXDUUONVJZUU
        TVNZUUPUWKUUGUUIUXFUWKUVJUURWBZYTUURUVIVPZWBZUUPUXFUVJUUHUURUXDUXEUUQUU
        SYEYFUXFYSUURNVJZUVPUUAUXIUXGVOYSUUDUUEUUNUXEUUTYGZUXFYSUXEUUCUXJUXKUXD
        UXEUUTYHZUXDUXEUUCUUTUUAUUCYSUUEUUNWFWRZUUOUUBNQTUEUIUSWPWJUXFYSUUCUUEU
        VPUXKUXMYSUUDUUEUUNUXEUUTYJZUVSWJUXDUXEUUAUUTUUAUUCYSUUEUUNWKWRHUURNYTQ
        TUVIUEVIUIUQUSXFXGUXFYTUXHUUOUXFUXHUUOUUBUVIVPZVPZUUOUUOUUBUVIXJUXFUXPU
        UOUXAVPZUUOUXFUXOUXAUUOUXFYSUUCUUEUXOUXAVOUXKUXMUXNCUUBHJLNOQTSUCUEUMUI
        UQUSUTUJVAVBYKWJXMUXFYSUXEUXQUUOVOUXKUXLHUUONQTUEUIUQUSXNXOXPYIYFYLUXDU
        XEUUQUUSYMUXFPUVJUUHUXDUXEUWLUUTUUFUWLUUNUWRXDWRXEXHYNYOUUFUUMUUKUVAYPY
        QYR $.

      $( Lemma for ~ dih1dimat .  (Contributed by NM, 10-Apr-2014.) $)
      dih1dimatlem $p |- ( ( ( K e. HL /\ W e. H ) /\ D e. A )
           -> D e. ran I ) $=
        ( vv vu vt vg vr vi vp chlt wcel wa cv csn cfv wceq cdif wrex crn clvec
        wb dvhlvec islsat syl biimpa cxp eldifi dvhvbase eleq2d syl5ib imp wral
        id wi cop simpr opeq2d sneqd fveq2d cdib simpl trlcl trlle eqid dihvalb
        wbr syl12anc dib1dim2 eqtr2d wfn wf1 dihf11 adantr f1fn syl2anc eqeltrd
        fnfvelrn adantrr wne co cbs cab copab simplll ad3antlr eleq1a rexlimdva
        ccom eqeq2d wrel vex eqeq1 bitr4di eqtrd wn syl3anc crab simpll dvhbase
        rexeqdv opelxpi dvhvscacl pm4.71rd simplrl simplrr anbi2d 3bitrd abbidv
        dvhopvsca syl13anc rexbidva df-rab eqtr4di wss relxp relss mp2 relopabv
        ssrab2 anbi1d fveq1 eleq1w anbi12d opelopab dih1dimatlem0 opelxp rexbii
        3expa opth anbi12i rexbidv elrab bitr2id clmod dvhlmod dvhelvbasei cdic
        lspsn w3a tendoinvcl simpld tendocl lhpocnel2 ltrnel dihvalcqat dicval2
        eqrelrdv 3eqtr4d dihfn coc cops hlop lhpbase opoccl eqeltrid pm2.61dane
        ltrncl ralrimivva sneq eleq1d ralxp sylibr r19.21bi syldan mpd ) SVNVOZ
        UDPVOZVPZDAVOZVPDVGVQZVRZUAVSZVTZVGUCUEVRZWAZWBZDQWCZVOZUXLUXMUXTUXLJWD
        VOUXMUXTWEUXLJPSUDUGUHUXLWQWFVGADUAUCJWDUEVAVDVEUJWGWHWIUXLUXTUYBWRUXMU
        XLUXQUYBVGUXSUXLUXNUXSVOZVPUXPUYAVOZUXQUYBWRUXLUYCUXNHMWJZVOZUYDUXLUYCU
        YFUYCUXNUCVOUXLUYFUXNUCUXRWKUXLUCUYEUXNHJMPSUCUDVNUGUOUQUHVAWLWMWNWOUXL
        UYDVGUYEUXLKVQZUFVQZWSZVRZUAVSZUYAVOZUFMWPKHWPUYDVGUYEWPUXLUYLKUFHMUXLU
        YGHVOZUYHMVOZVPZVPZUYLUYHUBUYPUYHUBVTZVPZUYKUYGUBWSZVRZUAVSZUYAUYRUYJUY
        TUAUYRUYIUYSUYRUYHUBUYGUYPUYQWTXAXBXCUYPVUAUYAVOZUYQUXLUYMVUBUYNUXLUYMV
        PZVUAUYGFVSZQVSZUYAVUCVUEVUDUDSXDVSVSZVSZVUAVUCUXLVUDBVOZVUDUDTXJVUEVUG
        VTUXLUYMXEBFHUYGPSUDUKUGUOUPXFZFHUYGPSTUDULUGUOUPXGBVUFPQSTVNUDVUDUKULU
        GUIVUFXHZXIXKBFHJLUYGPVUFSUAUBUDUKUGUOUPURUHVUJVDXLXMVUCQBXNZVUHVUEUYAV
        OVUCBGQXOZVUKUXLVULUYMBGJPQSUDUKUGUIUHVCXPXQBGQXRWHVUIBVUDQYAXSXTYBXQXT
        UYPUYHUBYCZVPZUYKEUYGUYHRVSZVSZVSZQVSZUYAVUNVHVQZVIVQZUYIIYDZVTZVINYEVS
        ZWBZVHYFZVJVQZOVKVQZVSZVTZVVGMVOZVPZVJVKYGZUYKVURVUNVVEVUSUYGVUTVSZVUTU
        YHYLZWSZVTZVIMWBZVHUYEUUAZVVLVUNVVEVUSUYEVOZVVQVPZVHYFVVRVUNVVDVVTVHVUN
        VVDVVBVIMWBZVVSVWAVPVVTVUNVVBVIVVCMVUNUXLVVCMVTUXLUYOVUMUUBZVVCJMNPSUDV
        NUGUQUHUSVVCXHZUUCWHUUDVUNVWAVVSVUNVVBVVSVIMVUNVUTMVOZVPZVVAUYEVOZVVBVV
        SWRVWEUXLVWDUYIUYEVOZVWFUXLUYOVUMVWDYHZVUNVWDWTZUYOVWGUXLVUMVWDUYGUYHHM
        UUEYIVUTHIJMUYIPSUDUGUOUQUHVBUUFXKVVAUYEVUSYJWHYKUUGVUNVWAVVQVVSVUNVVBV
        VPVIMVWEVVAVVOVUSVWEUXLVWDUYMUYNVVAVVOVTVWHVWIVUNUYMVWDUXLUYMUYNVUMUUHZ
        XQVUNUYNVWDUXLUYMUYNVUMUUIZXQVUTHIJMUYGPSVNUDUYHUGUOUQUHVBUUMUUNYMUUOUU
        JUUKUULVVQVHUYEUUPUUQVUNVLVMVVRVVLVVRUYEUURUYEYNVVRYNVVQVHUYEUVCHMUUSVV
        RUYEUUTUVAVVKVJVKUVBVLVQZVMVQZWSZVVLVOVWLOVWMVSZVTZVWMMVOZVPZVUNVWNVVRV
        OZVVKVWLVVHVTZVVJVPVWRVJVKVWLVWMVLYOZVMYOZVVFVWLVTVVIVWTVVJVVFVWLVVHYPU
        VDVVGVWMVTZVWTVWPVVJVWQVXCVVHVWOVWLOVVGVWMUVEYMVKVMMUVFUVGUVHVUNVWRVWNU
        YEVOZVWNVVOVTZVIMWBZVPZVWSVUNVWRVWLHVOVWQVPZVWLVVMVTVWMVVNVTVPZVIMWBZVP
        ZVXGUXLUYOVUMVWRVXKWEVIABCEFGHIJKLVLMNOPQRSTUAUBUCUDUEUFVMUGUHUIUJUKULU
        MUNUOUPUQURUSUTVAVBVCVDVEVFUVIUVLVXDVXHVXFVXJVWLVWMHMUVJVXEVXIVIMVWLVWM
        VVMVVNVXAVXBUVMUVKUVNYQVVQVXFVHVWNUYEVUSVWNVTVVPVXEVIMVUSVWNVVOYPUVOUVP
        YQUVQUWKYRVUNJUVRVOUYIUCVOZUYKVVEVTVUNJPSUDUGUHVWBUVSUYPVXLVUMUYHHJMUYG
        PSUCUDVNUGUOUQUHVAUVTXQVHIVINVVCUAUCJUYIUSVWCVAVBVDUWBXSVUNVURVUQUDSUWA
        VSVSZVSZVVLVUNUXLVUQCVOVUQUDTXJYSVPZVURVXNVTVWBVUNUXLVUPHVOZECVOEUDTXJY
        SVPZVXOVWBVUNUXLVUOMVOZUYMVXPVWBVUNUXLUYNVUMVXRVWBVWKUYPVUMWTUXLUYNVUMU
        WCVXRVUOUBYCBUYHHJLMNPSRUBUDUKUGUOUQURUHUSUTUWDUWEYTVWJVUOHMUYGPSVNUDUG
        UOUQUWFYTZVUNUXLVXQVWBCEPSTUDULUMUGUNUWGWHCEHVUPPSTUDULUMUGUOUWHYTZCVUQ
        PQVXMSTUDULUMUGVXMXHZUIUWIXSVUNUXLVXOVXNVVLVTVWBVXTCEVUQHVJLMOPVXMSTVNU
        DVKULUMUGUNUOUQVYAVFUWJXSYRUWLVUNVUKVUQBVOZVURUYAVOUYPVUKVUMUXLVUKUYOBP
        QSUDUKUGUIUWMXQXQVUNUXLVXPEBVOVYBVWBVXSVUNEUDSUWNVSZVSZBUNVUNSUWOVOZUDB
        VOZVYDBVOVUNUXJVYEUXJUXKUYOVUMYHSUWPWHUXKVYFUXJUYOVUMBPSUDUKUGUWQYIBSVY
        CUDUKVYCXHUWRXSUWSBHVUPPSVNUDEUKUGUOUXAYTBVUQQYAXSXTUWTUXBUYDUYLVGKUFHM
        UXNUYIVTZUXPUYKUYAVYGUXOUYJUAUXNUYIUXCXCUXDUXEUXFUXGUXHUXPUYADYJWHYKXQU
        XI $.
    $}

    $( Any 1-dimensional subspace is a value of isomorphism H. (Contributed by
       NM, 11-Apr-2014.) $)
    dih1dimat $p |- ( ( ( K e. HL /\ W e. H ) /\ P e. A )
         -> P e. ran I ) $=
      ( vf vh vs cbs cfv catm coc cv eqid ctrl clss cltrn cvsca csca cinvr wceq
      ctendo crio cple clspn cid cres cmpt c0g dih1dimatlem ) AFOPZFQPZBGFRPPZG
      FUAPPZCUBPZGFUCPPZCUDPZCLMGFUHPPZCUEPZUSMSPUSLSNSVEUFPZPPPUGMVBUIZDEVFFFU
      JPZCUKPZMVBULUQUMUNZCOPZGCUOPZNHIJKUQTVHTURTUSTVBTUTTVDTVJTVETVFTVKTVCTVA
      TVITVLTVGTUP $.
  $}

  ${
    dihlsprn.h $e |- H = ( LHyp ` K ) $.
    dihlsprn.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihlsprn.v $e |- V = ( Base ` U ) $.
    dihlsprn.n $e |- N = ( LSpan ` U ) $.
    dihlsprn.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( The span of a vector belongs to the range of isomorphism H. (Contributed
       by NM, 27-Apr-2014.) $)
    dihlsprn $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. V )
       -> ( N ` { X } ) e. ran I ) $=
      ( wcel wa csn cfv wceq simpr simpll chlt crn c0g sneqd clmod dvhlmod eqid
      fveq2d lspsn0 syl eqtrd dih0rn ad2antrr eqeltrd simplr lsatlspsn2 syl3anc
      wne clsa dih1dimat syl2anc pm2.61dane ) DUANGBNOZHFNZOZHPZEQZCUBZNZHAUCQZ
      VEHVJRZOZVGVJPZVHVLVGVMEQZVMVLVFVMEVLHVJVEVKSUDUHVLAUENZVNVMRVLABDGIJVCVD
      VKTUFEAVJVJUGZLUIUJUKVCVMVHNVDVKABCDGVJIMJVPULUMUNVEHVJURZOZVCVGAUSQZNZVI
      VCVDVQTZVRVOVDVQVTVRABDGIJWAUFVCVDVQUOVEVQSVSEFAHVJKLVPVSUGZUPUQVSVGABCDG
      IJMWBUTVAVB $.
  $}

  ${
    dih1dor0.h $e |- H = ( LHyp ` K ) $.
    dih1dor0.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihldor0.v $e |- V = ( Base ` U ) $.
    dih1dor0.s $e |- S = ( LSubSp ` U ) $.
    dih1dor0.n $e |- N = ( LSpan ` U ) $.
    dih1dor0.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( A subspace included in a 1-dim subspace belongs to the range of
       isomorphism H. (Contributed by NM, 26-Apr-2014.)
       (New usage is discouraged.) $)
    dihlspsnssN $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. V
         /\ T C_ ( N ` { X } ) ) -> ( T e. S <-> T e. ran I ) ) $=
      ( wcel wa cfv wceq chlt csn wss w3a crn dihlsprn 3adant3 ad2antrr eqeltrd
      c0g simpr cp0 simpll1 eqid dih0 syl eqtr4d cbs wfn dihfn cops simp1l hlop
      op0cl 3syl fnfvelrn syl2anc clvec wo simpl1 dvhlvec simpl2 simpl3 lspsnat
      syl31anc mpjaodan ex dihsslss 3ad2ant1 sseld impbid ) FUAQZIDQZRZJHQZBJUB
      GSZUCZUDZBAQZBEUEZQZWHWIWKWHWIRZBWFTZWKBCUJSZUBZTZWLWMRBWFWJWLWMUKWHWFWJQ
      ZWIWMWDWEWQWGCDEFGHIJKLMOPUFUGUHUIWLWPRZBFULSZESZWJWRBWOWTWLWPUKWRWDWTWOT
      WDWEWGWIWPUMZCDEFWNIWSWSUNZKPLWNUNZUOUPUQWREFURSZUSZWSXDQZWTWJQWRWDXEXAXD
      DEFIXDUNZKPUTUPWRWBFVAQXFWHWBWIWPWBWCWEWGVBUHFVCXDFWSXGXBVDVEXDWSEVFVGUIW
      LCVHQWIWEWGWMWPVIWLCDFIKLWDWEWGWIVJVKWHWIUKWDWEWGWIVLWDWEWGWIVMABGHCJWNMX
      CNOVNVOVPVQWHWJABWDWEWJAUCWGACDEFIKLPNVRVSVTWA $.
  $}

  ${
    $d x H $.  $d x I $.  $d x K $.  $d x N $.  $d x V $.  $d x W $.  $d x X $.
    $d x .0. $.
    dihlspsnat.a $e |- A = ( Atoms ` K ) $.
    dihlspsnat.h $e |- H = ( LHyp ` K ) $.
    dihlspsnat.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihlspsnat.v $e |- V = ( Base ` U ) $.
    dihlspsnat.o $e |- .0. = ( 0g ` U ) $.
    dihlspsnat.n $e |- N = ( LSpan ` U ) $.
    dihlspsnat.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( The inverse isomorphism H of the span of a singleton is a Hilbert
       lattice atom.  (Contributed by NM, 27-Apr-2014.) $)
    dihlspsnat $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. V /\ X =/= .0. )
       -> ( `' I ` ( N ` { X } ) ) e. A ) $=
      ( wcel cfv wceq vx chlt wa wne w3a csn ccnv cbs cp0 cv cple wbr wo wi crn
      wral wf1o clss wf1 eqid dihf11 3ad2ant1 f1f1orn dihlsprn 3adant3 f1ocnvdm
      syl2anc fveq2 dihcnvid2 syldan dih0 adantr eqeq12d clmod dvhlmod lspsneq0
      syl wb sylan bitrd syl5ib necon3d 3impia wss clvec simpll1 dvhlvec simplr
      dihlss simpll2 simpr lspsnat syl31anc sseq2d simpl1 dihord syl3anc bitr3d
      id ex simp1 eqeq2d dih11 cops simpl1l hlop 3syl orbi12d 3imtr3d ralrimiva
      op0cl cal simp1l hlatl isat3 mpbir3and ) EUBRZHCRZUCZIGRZIJUDZUEZIUFFSZDU
      GSZARZYDEUHSZRZYDEUISZUDZUAUJZYDEUKSZULZYJYDTZYJYHTZUMZUNZUAYFUPZYBYFDUOZ
      DUQZYCYRRZYGYBYFBURSZDUSZYSXSXTUUBYAYFUUABCDEHYFUTZLQMUUAUTZVAVBYFUUADVCV
      QXSXTYTYABCDEFGHILMNPQVDZVEZYFYRYCDVFVGZXSXTYAYIXSXTUCZYDYHIJYDYHTYDDSZYH
      DSZTZUUHIJTZYDYHDVHUUHUUKYCJUFZTZUULUUHUUIYCUUJUUMXSXTYTUUIYCTZUUECDEHYCL
      QVIZVJXSUUJUUMTZXTBCDEJHYHYHUTZLQMOVKZVLVMXSBVNRXTUUNUULVRXSBCEHLMXSWSVOF
      GBIJNOPVPVSVTWAWBWCYBYPUAYFYBYJYFRZUCZYJDSZYCWDZUVBYCTZUVBUUMTZUMZYLYOUVA
      UVCUVFUVAUVCUCZBWERUVBUUARZXTUVCUVFUVGBCEHLMXSXTYAUUTUVCWFZWGUVGXSUUTUVHU
      VIYBUUTUVCWHYFUUABCDEHYJUUCLQMUUDWIVGXSXTYAUUTUVCWJUVAUVCWKUUAUVBFGBIJNOU
      UDPWLWMWTUVAUVBUUIWDZUVCYLUVAUUIYCUVBYBUUOUUTYBXSYTUUOXSXTYAXAUUFUUPVGVLZ
      WNUVAXSUUTYGUVJYLVRXSXTYAUUTWOZYBUUTWKZYBYGUUTUUGVLZYFCDEYKHYJYDUUCYKUTZL
      QWPWQWRUVAUVDYMUVEYNUVAUVBUUITZUVDYMUVAUUIYCUVBUVKXBUVAXSUUTYGUVPYMVRUVLU
      VMUVNYFCDEHYJYDUUCLQXCWQWRUVAUVBUUJTZUVEYNUVAUUJUUMUVBUVAXSUUQUVLUUSVQXBU
      VAXSUUTYHYFRZUVQYNVRUVLUVMUVAXQEXDRUVRXQXRXTYAUUTXEEXFYFEYHUUCUURXKXGYFCD
      EHYJYHUUCLQXCWQWRXHXIXJYBXQEXLRYEYGYIYQUEVRXQXRXTYAXMEXNUAAYFYDEYKYHUUCUV
      OUURKXOXGXP $.
  $}

  ${
    $d f g A $.  $d f g H $.  $d g I $.  $d f g K $.  $d g L $.  $d f g Q $.
    $d f g W $.
    dihatlat.a $e |- A = ( Atoms ` K ) $.
    dihatlat.h $e |- H = ( LHyp ` K ) $.
    dihatlat.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihatlat.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihatlat.l $e |- L = ( LSAtoms ` U ) $.
    $( The isomorphism H of an atom is a 1-dim subspace.  (Contributed by NM,
       28-Apr-2014.) $)
    dihatlat $p |- ( ( ( K e. HL /\ W e. H ) /\ Q e. A )
       -> ( I ` Q ) e. L ) $=
      ( vf wcel wa cfv wne wceq eqid vg chlt cple wbr cv cid cbs cres cltrn cop
      cmpt csn clspn wrex dih1dimb2 anassrs w3a simp3rr clmod c0g simp1l ctendo
      dvhlmod simp3l tendo0cl syl dvhelvbasei syl12anc wn simp3rl intnanrd fvex
      neneqd vex mptex opth necon3abii sylibr dvh0g neeqtrrd lsatlspsn2 syl3anc
      eqeltrd 3expa rexlimddv coc crio dih1dimc simpll lhpocnel ad2antrr simplr
      simpr syl112anc tendoidcl tendo1ne0 intnand riotaex cvv resiexg pm2.61dan
      ltrniotacl ax-mp ) FUBOHDOPZBAOZPZBHFUCQZUDZBEQZGOZXFXHPUAUEZUFFUGQZUHZRZ
      XIXKNHFUIQZQZXMUKZUJZULCUMQZQZSZPZXJUAXPXDXEXHYBUAXPUNAXLBXPCUANDEFXGXSXQ
      HXLTZXGTZIJXPTZXQTZKLXSTZUOUPXFXHXKXPOZYBPZXJXFXHYIUQZXIXTGXNYAYHXFXHURYJ
      CUSOZXRCUGQZOZXRCUTQZRXTGOYJCDFHJKXDXEXHYIVAZVCYJXDYHXQHFVBQQZOZYMYOXFXHY
      HYBVDYJXDYQYOXLXPNYPDFXQHYCJYEYPTZYFVEVFXQXPCYPXKDFYLHUBJYEYRKYLTZVGVHYJX
      RXMXQUJZYNYJXKXMSZXQXQSZPZVIXRYTRYJUUAUUBYJXKXMXNYAYHXFXHVJVMVKUUCXRYTXKX
      QXMXQUAVNNXPXMHXOVLZVOVPVQVRYJXDYNYTSZYOXLXPCNDFXQHYNYCJYEKYNTZYFVSZVFVTG
      XSYLCXRYNYSYGUUFMWAWBWCWDWEXFXHVIZPZXIHFWFQZQZNUEQBSZNXPWGZUFXPUHZUJZULXS
      QZGXDXEUUHXIUUPSAUUKBXPCNUUMDEFXGXSHYDIJUUKTYELKYGUUMTZWHUPUUIYKUUOYLOZUU
      OYNRUUPGOUUICDFHJKXDXEUUHWIZVCUUIXDUUMXPOZUUNYPOZUURUUSUUIXDUUKAOUUKHXGUD
      VIPZXEUUHUUTUUSXDUVBXEUUHADFXGUUJHYDUUJTIJWJWKXDXEUUHWLXFUUHWMAUUKBXPNUUM
      DFXGHYDIJYEUUQXBWNXDUVAXEUUHXPYPDFHJYEYRWOWKUUNXPCYPUUMDFYLHUBJYEYRKYSVGV
      HUUIUUOYTYNUUIUUMXMSZUUNXQSZPZVIUUOYTRUUIUVDUVCUUIUUNXQXDUUNXQRXEUUHXLXPN
      YPDFXQHYCJYEYRYFWPWKVMWQUVEUUOYTUUMUUNXMXQUULNXPWRXPWSOUUNWSOUUDXPWSWTXCV
      PVQVRXDUUEXEUUHUUGWKVTGXSYLCUUOYNYSYGUUFMWAWBWCXA $.
  $}

  ${
    dihat.h $e |- H = ( LHyp ` K ) $.
    dihat.p $e |- P = ( ( oc ` K ) ` W ) $.
    dihat.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihat.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihat.a $e |- A = ( LSAtoms ` U ) $.
    dihat.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( There exists at least one atom in the subspaces of vector space H.
       (Contributed by NM, 12-Aug-2014.) $)
    dihat $p |- ( ph -> ( I ` P ) e. A ) $=
      ( chlt wcel wa catm cfv eqid coc lhpocat syl eqeltrid dihatlat syl2anc )
      AGOPHEPQZCGRSZPCFSBPNACHGUASZSZUHJAUGUJUHPNUHEGUIHUITUHTZIUBUCUDUHCDEFGBH
      UKILKMUEUF $.
  $}

  ${
    $d f g s B $.  $d g s E $.  $d f H $.  $d f g s K $.  $d f g s P $.
    $d g s S $.  $d f g s T $.  $d f g s W $.
    dihp.b $e |- B = ( Base ` K ) $.
    dihp.h $e |- H = ( LHyp ` K ) $.
    dihp.p $e |- P = ( ( oc ` K ) ` W ) $.
    dihp.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dihp.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dihp.o $e |- O = ( f e. T |-> ( _I |` B ) ) $.
    dihp.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihp.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihp.n $e |- N = ( LSpan ` U ) $.
    dihp.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihp.s $e |- ( ph -> ( S e. E /\ S =/= O ) ) $.
    $( The value of isomorphism H at the fiducial atom ` P ` is determined by
       the vector ` <. 0 , S >. ` (the zero translation ~ ltrnid and a nonzero
       member of the endomorphism ring).  In particular, ` S ` can be replaced
       with the ring unit ` ( _I |`` T ) ` .  (Contributed by NM, 26-Aug-2014.)
       (New usage is discouraged.) $)
    dihpN $p |- ( ph
     -> ( I ` P ) = ( N ` { <. ( _I |` B ) , S >. } ) ) $=
      ( vg vs clsa cfv cid cres cop c0g eqid dvhlvec dihat cv wceq crio wcel wa
      chlt catm cple wbr wn lhpocnel2 ltrniotaidvalN syl2anc2 fveq2d wne simpld
      copab tendoid syl2anc eqtr2d cvv wb fvexi resiexg mp1i eqeq1 anbi1d fveq1
      eqeq2d eleq1 anbi12d opelopabg mpbir2and dihvalcqat dicval eleqtrd simprd
      cbs cdic dvh0g syl ax-mp cltrn mptex eqeltri opth2 simprbi syl6bi necon3d
      cmpt mpd lsatel ) AFUHUIZCJUIZLFUJBUKZDULZFUMUIZXMUNZUCXIUNZAFIKNPUBUDUOA
      XICFIJKNPQUAUBXOUDUPAXLUFUQZCGUQUICURGEUSZUGUQZUIZURZXRHUTZVAZUFUGVMZXJAX
      LYCUTZXKXQDUIZURZDHUTZAYEXKDUIZXKAXQXKDAKVBUTNIUTVAZCKVCUIZUTCNKVDUIZVEVF
      VAZXQXKURUDYJCIKYKNYKUNZYJUNZPQVGZYJBCEGXQIKYKNOYMYNPRXQUNVHVIVJAYIYGYHXK
      URUDAYGDMVKZUEVLZBDHIKNOPSVNVOVPYQAXKVQUTZYGYDYFYGVAZVRBVQUTZYRABKWNOVSZB
      VQVTZWAYQYBXKXSURZYAVAYSUFUGXKDVQHXPXKURXTUUCYAXPXKXSWBWCXRDURZUUCYFYAYGU
      UDXSYEXKXQXRDWDWEXRDHWFWGWHVOWIAXJCNKWOUIUIZUIZYCAYIYLXJUUFURUDYOYJCIJUUE
      KYKNYMYNPUUEUNZUAWJVIAYIYLUUFYCURUDYOYJCCEUFGHIUUEKYKVBNUGYMYNPQRSUUGWKVI
      VPWLAYPXLXMVKAYGYPUEWMAXLXMDMAXLXMURXLXKMULZURZDMURZAXMUUHXLAYIXMUUHURUDB
      EFGIKMNXMOPRUBXNTWPWQWEUUIXKXKURUUJXKDXKMYTYRUUAUUBWRMGEXKXFVQTGEXKENKWSU
      IRVSWTXAXBXCXDXEXGXH $.
  $}

  ${
    $d v A $.  $d v H $.  $d v I $.  $d v K $.  $d v L $.  $d v Q $.  $d v U $.
    $d v W $.
    dihlatat.a $e |- A = ( Atoms ` K ) $.
    dihlatat.h $e |- H = ( LHyp ` K ) $.
    dihlatat.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihlatat.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihlatat.l $e |- L = ( LSAtoms ` U ) $.
    $( The reverse isomorphism H of a 1-dim subspace is an atom.  (Contributed
       by NM, 28-Apr-2014.) $)
    dihlatat $p |- ( ( ( K e. HL /\ W e. H ) /\ Q e. L )
       -> ( `' I ` Q ) e. A ) $=
      ( vv wcel wa csn cfv clvec eqid chlt cv clspn wceq cbs c0g cdif wrex ccnv
      wb id dvhlvec islsat syl biimpa wi eldifsn dihlspsnat 3expb sylan2b fveq2
      wne eleq1d syl5ibrcom rexlimdva adantr mpd ) FUAOHDOPZBGOZPBNUBZQCUCRZRZU
      DZNCUERZCUFRZQUGZUHZBEUIZRZAOZVHVIVQVHCSOVIVQUJVHCDFHJKVHUKULNGBVKVNCSVOV
      NTZVKTZVOTZMUMUNUOVHVQVTUPVIVHVMVTNVPVHVJVPOZPVTVMVLVRRZAOZWDVHVJVNOZVJVO
      VBZPWFVJVNVOUQVHWGWHWFACDEFVKVNHVJVOIJKWAWCWBLURUSUTVMVSWEABVLVRVAVCVDVEV
      FVG $.
  $}

  ${
    $d x f g A $.  $d f x B $.  $d f g H $.  $d g x I $.  $d f g x K $.
    $d g x N $.  $d f g x Q $.  $d g x V $.  $d f g x W $.  $d g x ph $.
    dihatexv.b $e |- B = ( Base ` K ) $.
    dihatexv.a $e |- A = ( Atoms ` K ) $.
    dihatexv.h $e |- H = ( LHyp ` K ) $.
    dihatexv.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihatexv.v $e |- V = ( Base ` U ) $.
    dihatexv.o $e |- .0. = ( 0g ` U ) $.
    dihatexv.n $e |- N = ( LSpan ` U ) $.
    dihatexv.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihatexv.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihatexv.q $e |- ( ph -> Q e. B ) $.
    $( There is a nonzero vector that maps to every lattice atom.  (Contributed
       by NM, 16-Aug-2014.) $)
    dihatexv $p |- ( ph
       -> ( Q e. A <-> E. x e. ( V \ { .0. } ) ( I ` Q ) = ( N ` { x } ) ) ) $=
      ( vg vf wcel cv wne cfv csn wceq wa wrex cdif cple wbr cid cres cltrn cop
      cmpt chlt ad2antrr simplr simpr dih1dimb2 syl12anc ad3antrrr tendo0cl syl
      eqid ctendo dvhelvbasei fveq2d rspceeqv sylan ex adantld rexlimdva mpd wn
      sneq coc crio lhpocnel2 ltrniotacl syl112anc tendoidcl dih1dimc pm2.61dan
      syl2anc cp0 cal simpld hlatl simpllr atn0 3ad2ant3 simp1ll dvhlmod lspsn0
      w3a clmod 3syl eqtrd simp2 dih0 3eqtr4d wb cops op0cl dih11 syl3anc mpbid
      hlop 3expia necon3d ancrd reximdva dihcnvid1 fveq2 ad2antll eqtr3d simprl
      ccnv clsa lsatlspsn2 dihlatat eqeltrd impbid rexdifsn bitr4di ) AECUFZBUG
      ZMUHZEHUIZYNUJZJUIZUKZULZBKUMZYSBKMUJZUNUMAYMUUAAYMUUAAYMULZYSBKUMZUUAUUC
      ELIUOUIZUPZUUDUUCUUFULZUDUGZUQDURZUHZYPUUHUELIUSUIUIZUUIVAZUTZUJZJUIZUKZU
      LZUDUUKUMZUUDUUGIVBUFZLGUFZULZYMUUFUURAUVAYMUUFUBVCAYMUUFVDUUCUUFVECDEUUK
      FUDUEGHIUUEJUULLNUUEVKZOPUUKVKZUULVKZQUATVFVGUUGUUQUUDUDUUKUUGUUHUUKUFZUL
      ZUUPUUDUUJUVFUUPUUDUVFUUMKUFZUUPUUDUVFUVAUVEUULLIVLUIUIZUFZUVGAUVAYMUUFUV
      EUBVHZUUGUVEVEUVFUVAUVIUVJDUUKUEUVHGIUULLNPUVCUVHVKZUVDVIVJUULUUKFUVHUUHG
      IKLVBPUVCUVKQRVMVGBUUMKYRUUOYPYNUUMUKYQUUNJYNUUMWBVNVOVPVQVRVSVTUUCUUFWAZ
      ULZLIWCUIUIZUEUGUIEUKUEUUKWDZUQUUKURZUTZKUFZYPUVQUJZJUIZUKZUUDUVMUVAUVOUU
      KUFZUVPUVHUFZUVRAUVAYMUVLUBVCZUVMUVAUVNCUFUVNLUUEUPWAULZYMUVLUWBUWDUVMUVA
      UWEUWDCUVNGIUUELUVBOPUVNVKZWEVJAYMUVLVDZUUCUVLVEZCUVNEUUKUEUVOGIUUELUVBOP
      UVCUVOVKZWFWGUVMUVAUWCUWDUUKUVHGILPUVCUVKWHVJUVPUUKFUVHUVOGIKLVBPUVCUVKQR
      VMVGUVMUVAYMUVLUWAUWDUWGUWHCUVNEUUKFUEUVOGHIUUEJLUVBOPUWFUVCUAQTUWIWIVGBU
      VQKYRUVTYPYNUVQUKYQUVSJYNUVQWBVNVOWKWJUUCYSYTBKUUCYNKUFZULZYSYOUWKYSYOUWK
      YSULZEIWLUIZUHZYOUWLIWMUFZYMUWNUWLUUSUWOAUUSYMUWJYSAUUSUUTUBWNZVHIWOVJAYM
      UWJYSWPCEIUWMUWMVKZOWQWKUWLYNMEUWMUWKYSYNMUKZEUWMUKZUWKYSUWRXBZYPUWMHUIZU
      KZUWSUWTYRUUBYPUXAUWTYRUUBJUIZUUBUWRUWKYRUXCUKYSUWRYQUUBJYNMWBVNWRUWTAFXC
      UFZUXCUUBUKAYMUWJYSUWRWSZAFGILPQUBWTZJFMSTXAXDXEUWKYSUWRXFUWTAUVAUXAUUBUK
      UXEUBFGHIMLUWMUWQPUAQSXGXDXHUWTUVAEDUFZUWMDUFZUXBUWSXIUWTAUVAUXEUBVJUWTAU
      XGUXEUCVJUWTUUSIXJUFUXHUWTAUUSUXEUWPVJIXODIUWMNUWQXKXDDGHILEUWMNPUAXLXMXN
      XPXQVTVQXRXSVTVQAYTYMBKAUWJULZYTYMUXIYTULZEYRHYEZUIZCUXJYPUXKUIZEUXLUXJUV
      AUXGUXMEUKAUVAUWJYTUBVCZAUXGUWJYTUCVCDGHILENPUAXTWKYSUXMUXLUKUXIYOYPYRUXK
      YAYBYCUXJUVAYRFYFUIZUFZUXLCUFUXNUXJUXDUWJYOUXPAUXDUWJYTUXFVCAUWJYTVDUXIYO
      YSYDUXOJKFYNMRTSUXOVKZYGXMCYRFGHIUXOLOPQUAUXQYHWKYIVQVSYJYSBKMYKYL $.
  $}

  ${
    $d x A $.  $d x I $.  $d x K $.  $d x N $.  $d x Q $.  $d x V $.  $d x W $.
    $d x ph $.
    dihatexv2.a $e |- A = ( Atoms ` K ) $.
    dihatexv2.h $e |- H = ( LHyp ` K ) $.
    dihatexv2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihatexv2.v $e |- V = ( Base ` U ) $.
    dihatexv2.o $e |- .0. = ( 0g ` U ) $.
    dihatexv2.n $e |- N = ( LSpan ` U ) $.
    dihatexv2.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihatexv2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( There is a nonzero vector that maps to every lattice atom.  (Contributed
       by NM, 17-Aug-2014.) $)
    dihatexv2 $p |- ( ph ->
      ( Q e. A <-> E. x e. ( V \ { .0. } ) Q = ( `' I ` ( N ` { x } ) ) ) ) $=
      ( wcel cv csn cfv ccnv wceq cdif wrex cbs wa eqid atbase anim2i wi adantr
      chlt crn eldifi dihlsprn syl2an dihcnvcl eleq1a rexlimdva imdistani simpr
      syl2anc dihatexv dihcnvid2 eqeq2d wb simplr dih11 syl3anc bitr3d rexbidva
      syl bitrd pm5.21nd ) ADCUAZDBUBZUCIUDZGUEUDZUFZBJLUCZUGZUHZADHUIUDZUAZUJZ
      VSWHACWGDHWGUKZMULUMAWFWHAWCWHBWEAVTWEUAZUJZWBWGUAZWCWHUNWLHUPUAKFUAUJZWA
      GUQUAZWMAWNWKTUOAWNVTJUAZWOWKTVTJWDURZEFGHIJKVTNOPRSUSZUTWGFGHKWAWJNSVAZV
      FWBWGDVBVPVCVDWIVSDGUDZWAUFZBWEUHWFWIBCWGDEFGHIJKLWJMNOPQRSAWNWHTUOZAWHVE
      VGWIXAWCBWEWIWKUJZWTWBGUDZUFZXAWCXCXDWAWTXCWNWOXDWAUFWIWNWKXBUOZWIWNWPWOW
      KXBWQWRUTZFGHKWANSVHVFVIXCWNWHWMXEWCVJXFAWHWKVKXCWNWOWMXFXGWSVFWGFGHKDWBW
      JNSVLVMVNVOVQVR $.
  $}

  ${
    $d u v x ./\ $.  $d p u v x .<_ $.  $d p u v x B $.  $d p x D $.
    $d p u v x G $.  $d p u v x H $.  $d p x I $.  $d p u v x K $.  $d p x P $.
    $d p u v x S $.  $d p U $.  $d p u v x W $.
    dihglblem6.b $e |- B = ( Base ` K ) $.
    dihglblem6.l $e |- .<_ = ( le ` K ) $.
    dihglblem6.m $e |- ./\ = ( meet ` K ) $.
    dihglblem6.a $e |- A = ( Atoms ` K ) $.
    dihglblem6.g $e |- G = ( glb ` K ) $.
    dihglblem6.h $e |- H = ( LHyp ` K ) $.
    dihglblem6.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihglblem6.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihglblem6.s $e |- P = ( LSubSp ` U ) $.
    dihglblem6.d $e |- D = ( LSAtoms ` U ) $.
    $( Isomorphism H of a lattice glb.  (Contributed by NM, 9-Apr-2014.) $)
    dihglblem6 $p |- ( ( ( K e. HL /\ W e. H )
          /\ ( S C_ B /\ S =/= (/) ) )
        -> ( I ` ( G ` S ) ) = |^|_ x e. S ( I ` x ) ) $=
      ( vv vu vp chlt wcel wa wss c0 wne cfv ciin wceq cmee wrex crab cdib eqid
      cv co dihglblem4 wpss wfal fal simpll dvhlmod ccla simplll hlclat simplrl
      wn wi syl clatglbcl syl2anc dihlss dihglblem5 adantr simpr lpssat ex ccnv
      w3a crn simp1l dih1dimat adantlr 3adant3 dihcnvid2 wbr simp3l ssiin sylib
      wral wb wf1o wf1 dihf11 f1f1orn 3syl f1ocnvdm sselda dihord sseq1d bitr3d
      syl3anc ralbidva mpbird simp1ll simp1rl clatleglb eqsstrrd pm2.21fal syld
      simp3r rexlimdv3a mtoi dfpss3 notbii iman anclb 3bitr2i mpd eqss sylibr )
      KUHUIZNIUIZUJZFCUKZFULUMZUJZUJZFHUNZJUNZAFAVBZJUNZUOZUKZYTYQUKZUJZYQYTUPY
      OUUAUUCAUEUFCFUFVBUEVBNKUQUNZVCUPUEFURUFCUSZHIJNKUTUNUNZKLUUDNOPUUDVASTUU
      EVAUUFVAUAVDYOYQYTVEZVNZUUAUUCVOZYOUUGVFVGYOUUGUGVBZYTUKZUUJYQUKZVNZUJZUG
      DURZVFYOUUGUUOYOUUGUJZDEYQYTGUGUCUDUUPGIKNTUBYKYNUUGVHZVIUUPYKYPCUIZYQEUI
      UUQUUPKVJUIZYLUURUUPYIUUSYIYJYNUUGVKKVLZVPYKYLYMUUGVMCFHKOSVQZVRCEGIJKNYP
      OTUAUBUCVSVRYOYTEUIUUGACEFGHIJKNOSTUBUAUCVTWAYOUUGWBWCWDYOUUNVFUGDYOUUJDU
      IZUUNWFZUULUVCUUJUUJJWEUNZJUNZYQUVCYKUUJJWGZUIZUVEUUJUPZYKYNUVBUUNWHZYOUV
      BUVGUUNYKUVBUVGYNDUUJGIJKNTUBUAUDWIWJZWKIJKNUUJTUAWLZVRUVCUVEYQUKZUVDYPLW
      MZUVCUVMUVDYRLWMZAFWQZUVCUVOUUJYSUKZAFWQZUVCUUKUVQYOUVBUUKUUMWNAFYSUUJWOW
      PYOUVBUVOUVQWRUUNYOUVBUJZUVNUVPAFUVRYRFUIZUJZUVEYSUKZUVNUVPUVTYKUVDCUIZYR
      CUIUWAUVNWRYKYNUVBUVSVKUVRUWBUVSUVRCUVFJWSZUVGUWBUVRYKCEJWTUWCYKYNUVBVHZC
      EGIJKNOTUAUBUCXACEJXBXCUVJCUVFUUJJXDVRZWAUVRFCYRYKYLYMUVBVMXECIJKLNUVDYRO
      PTUAXFXIUVTUVEUUJYSUVRUVHUVSUVRYKUVGUVHUWDUVJUVKVRWAXGXHXJWKXKUVCUUSUWBYL
      UVMUVOWRUVCYIUUSYIYJYNUVBUUNXLUUTVPZYOUVBUWBUUNUWEWKZYLYMYKUVBUUNXMZACFHK
      LUVDOPSXNXIXKUVCYKUWBUURUVLUVMWRUVIUWGUVCUUSYLUURUWFUWHUVAVRCIJKLNUVDYPOP
      TUAXFXIXKXOYOUVBUUKUUMXRXPXSXQXTUUHUUAUUBVNUJZVNUUAUUBVOUUIUUGUWIYQYTYAYB
      UUAUUBYCUUAUUBYDYEWPYFYQYTYGYH $.
  $}

  ${
    $d x B $.  $d x I $.  $d x K $.  $d x S $.
    dihglb.b $e |- B = ( Base ` K ) $.
    dihglb.g $e |- G = ( glb ` K ) $.
    dihglb.h $e |- H = ( LHyp ` K ) $.
    dihglb.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    ${
      $d x G $.  $d x H $.  $d x W $.
      $( Isomorphism H of a lattice glb.  (Contributed by NM, 11-Apr-2014.) $)
      dihglb $p |- ( ( ( K e. HL /\ W e. H ) /\ ( S C_ B /\ S =/= (/) ) )
            -> ( I ` ( G ` S ) ) = |^|_ x e. S ( I ` x ) ) $=
        ( catm cfv cdvh clsa clss cple cmee eqid dihglblem6 ) AGMNZBHGONNZPNZUC
        QNZCUCDEFGGRNZGSNZHIUFTUGTUBTJKLUCTUETUDTUA $.
    $}

    $d x y z B $.  $d z G $.  $d y z H $.  $d y z I $.  $d y z K $.
    $d y z S $.  $d y V $.  $d y z W $.
    dihglb2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihglb2.v $e |- V = ( Base ` U ) $.
    $( Isomorphism H of a lattice glb.  (Contributed by NM, 11-Apr-2014.) $)
    dihglb2 $p |- ( ( ( K e. HL /\ W e. H ) /\ S C_ V )
      -> ( I ` ( G ` { x e. B | S C_ ( I ` x ) } ) )
            = |^| { y e. ran I | S C_ y } ) $=
      ( vz wcel wa chlt wss cv cfv crab ciin crn cint wne wceq simpl ssrab2 a1i
      c0 cp1 cops hlop ad2antrr eqid op1cl syl simpr dih1 adantr sseqtrrd fveq2
      sseq2d elrab sylanbrc ne0d dihglb syl12anc wrex cab fvex dfiin2 wex dihfn
      wb wfn fvelrnb eqcom rexbii df-rex bitri bitrdi pm5.32rd weq anbi1i sseq2
      anbi2d pm5.32ri an32 3bitr2i 19.41v 3bitrri bitr2di abbidv df-rab eqtr4di
      ex exbii inteqd syl5eq eqtrd ) IUASZKGSZTZDJUBZTZDAUCZHUDZUBZACUEZFUDHUDZ
      RXNRUCZHUDZUFZDBUCZUBZBHUGZUEZUHZXJXHXNCUBZXNUNUIXOXRUJXHXIUKYDXJXMACULUM
      XJXNIUOUDZXJYECSZDYEHUDZUBZYEXNSXJIUPSZYFXFYIXGXIIUQURCYEILYEUSZUTVAXJDJY
      GXHXIVBXHYGJUJXIEYEGHIJKYJNOPQVCVDVEXMYHAYECXKYEUJXLYGDXKYEHVFVGVHVIVJRCX
      NFGHIKLMNOVKVLXJXRXSXQUJZRXNVMZBVNZUHYCRBXNXQXPHVOVPXJYMYBXJYMXSYASZXTTZB
      VNYBXJYLYOBXJYOXPCSZYKTZRVQZXTTZYLXJXTYNYRXJXTYNYRVSXJXTTZYNXQXSUJZRCVMZY
      RYTHCVTZYNUUBVSXHUUCXIXTCGHIKLNOVRURRCXSHWAVAUUBYKRCVMYRUUAYKRCXQXSWBWCYK
      RCWDWEWFXAWGYLXPXNSZYKTZRVQYQXTTZRVQYSYKRXNWDUUEUUFRUUEYPDXQUBZTZYKTYPXTT
      ZYKTUUFUUDUUHYKXMUUGAXPCARWHXLXQDXKXPHVFVGVHWIYKUUIUUHYKXTUUGYPXSXQDWJWKW
      LYPXTYKWMWNXBYQXTRWOWPWQWRXTBYAWSWTXCXDXE $.
  $}

  ${
    $d x B $.  $d x H $.  $d x I $.  $d x K $.  $d x W $.  $d x X $.  $d x Y $.
    dihmeet.b $e |- B = ( Base ` K ) $.
    dihmeet.m $e |- ./\ = ( meet ` K ) $.
    dihmeet.h $e |- H = ( LHyp ` K ) $.
    dihmeet.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( Isomorphism H of a lattice meet.  (Contributed by NM, 13-Apr-2014.) $)
    dihmeet $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. B /\ Y e. B )
     -> ( I ` ( X ./\ Y ) ) = ( ( I ` X ) i^i ( I ` Y ) ) ) $=
      ( vx chlt wcel wa cfv wceq 3adant1 fveq2 w3a co cpr cglb cv ciin cin eqid
      simp1l simp2 simp3 meetval fveq2d wss simp1 prssi prnzg 3ad2ant2 syl12anc
      c0 wne dihglb iinxprg 3eqtrd ) DNOZFBOZPZGAOZHAOZUAZGHEUBZCQGHUCZDUDQZQZC
      QZMVLMUEZCQZUFZGCQZHCQZUGZVJVKVNCVJVMDENAGHAVMUHZJVEVFVHVIUIVGVHVIUJVGVHV
      IUKULUMVJVGVLAUNZVLUTVAZVOVRRVGVHVIUOVHVIWCVGGHAUPSVHVGWDVIGHAUQURMAVLVMB
      CDFIWBKLVBUSVHVIVRWARVGMGHVQVSVTAAVPGCTVPHCTVCSVD $.
  $}

  ${
    $d y x H $.  $d y x I $.  $d y x K $.  $d y x S $.  $d y x W $.
    dihintcl.h $e |- H = ( LHyp ` K ) $.
    dihintcl.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( The intersection of closed subspaces (the range of isomorphism H) is a
       closed subspace.  (Contributed by NM, 14-Apr-2014.) $)
    dihintcl $p |- ( ( ( K e. HL /\ W e. H )
        /\ ( S C_ ran I /\ S =/= (/) ) ) -> |^| S e. ran I ) $=
      ( vy vx wcel wa crn wss c0 cfv wfn wceq adantr syl wi chlt ccnv cima cres
      wne cv ciin cint cdm cbs eqid dihfn dihdm fneq2d cnvimass fnssres sylancl
      mpbird fniinfv df-ima wfo dffn4 sylib simprl syl2anc eqtr3id inteqd eqtrd
      foimacnv cglb simpl sseqtrid wex simprr n0 wrex sselda fvelrnb mpbid wfun
      wb fnfun fvimacnv sylan ne0i syl6bi ex eleq1 biimprd imim1d syl9 rexlimdv
      com24 imp mpd exlimddv dihglb syl12anc fvres iineq2i ccla hlclat ad2antrr
      eqtr4di clatglbcl dihcl syldan eqeltrrd ) DUAJZEBJZKZACLZMZANUEZKZKZHCUBA
      UCZHUFZCXQUDZOZUGZAUHZXLXPYAXSLZUHZYBXPXSXQPZYAYDQXPCCUIZPZXQYFMYEXKYGXOX
      KYGCDUJOZPZYHBCDEYHUKZFGULZXKYFYHCYHBCDEYJFGUMZUNURRCAUOZYFXQCUPUQHXQXSUS
      SXPYCAXPYCCXQUCZACXQUTXPYHXLCVAZXMYNAQXPYIYOXKYIXOYKRZYHCVBVCXKXMXNVDZYHX
      LACVIVEVFVGVHXPXQDVJOZOZCOZYAXLXPYTHXQXRCOZUGZYAXPXKXQYHMZXQNUEZYTUUBQXKX
      OVKXPYFXQYHYMXKYFYHQXOYLRZVLZXPXRAJZUUDHXPXNUUGHVMXKXMXNVNHAVOVCXPUUGKZIU
      FZCOZXRQZIYFVPZUUDUUHXRXLJZUULXPAXLXRYQVQUUHYGUUMUULWAXPYGUUGXPYGYIYPXPYF
      YHCUUEUNURRIYFXRCVRSVSUUHUUKUUDIYFXPUUGUUIYFJZUUKUUDTTXPUUKUUNUUGUUDXPUUN
      UUJAJZUUDTZUUKUUGUUDTXPUUNUUPXPUUNKUUOUUIXQJZUUDXPCVTZUUNUUOUUQWAXPYIUURY
      PYHCWBSUUIACWCWDXQUUIWEWFWGUUKUUGUUOUUDUUKUUOUUGUUJXRAWHWIWJWKWMWNWLWOWPH
      YHXQYRBCDEYJYRUKZFGWQWRHXQXTUUAXRXQCWSWTXDXKXOYSYHJZYTXLJXPDXAJZUUCUUTXIU
      VAXJXODXBXCUUFYHXQYRDYJUUSXEVEYHBCDEYSYJFGXFXGXHXH $.
  $}

  ${
    dihmeetcl.h $e |- H = ( LHyp ` K ) $.
    dihmeetcl.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    $( Closure of closed subspace meet for ` DVecH ` vector space.
       (Contributed by NM, 5-Aug-2014.) $)
    dihmeetcl $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. ran I /\ Y e. ran I ) )
          -> ( X i^i Y ) e. ran I ) $=
      ( wcel cfv wceq dihcnvid2 adantrr adantrl eqid dihcnvcl syl3anc eqeltrrd
      wa cin chlt crn ccnv ineq12d cmee cbs simpl dihmeet hllat ad2antrr latmcl
      co clat dihcl syldan ) CUAIZDAIZSZEBUBZIZFUSIZSZSZEBUCZJZBJZFVDJZBJZTZEFT
      USVCVFEVHFURUTVFEKVAABCDEGHLMURVAVHFKUTABCDFGHLNUDVCVEVGCUEJZULZBJZVIUSVC
      URVECUFJZIZVGVMIZVLVIKURVBUGURUTVNVAVMABCDEVMOZGHPMZURVAVOUTVMABCDFVPGHPN
      ZVMABCVJDVEVGVPVJOZGHUHQURVBVKVMIZVLUSIVCCUMIZVNVOVTUPWAUQVBCUIUJVQVRVMCV
      JVEVGVPVSUKQVMABCDVKVPGHUNUORR $.
  $}

  ${
    dihmeet2.m $e |- ./\ = ( meet ` K ) $.
    dihmeet2.h $e |- H = ( LHyp ` K ) $.
    dihmeet2.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihmeet2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihmeet2.x $e |- ( ph -> X e. ran I ) $.
    dihmeet2.y $e |- ( ph -> Y e. ran I ) $.
    $( Reverse isomorphism H of a closed subspace intersection.  (Contributed
       by NM, 15-Jan-2015.) $)
    dihmeet2 $p |- ( ph
     -> ( `' I ` ( X i^i Y ) ) = ( ( `' I ` X ) ./\ ( `' I ` Y ) ) ) $=
      ( cfv wceq wcel dihcnvid2 syl2anc dihcnvcl cin ccnv co wa crn ineq12d cbs
      chlt eqid dihmeet syl3anc dihmeetcl syl12anc wb clat simpld hllatd latmcl
      3eqtr4rd dih11 mpbid ) AGHUAZCUBZOZCOZGVCOZHVCOZEUCZCOZPZVDVHPZAVFCOZVGCO
      ZUAZVBVIVEAVLGVMHADUHQZFBQZUDZGCUEZQZVLGPLMBCDFGJKRSAVQHVRQZVMHPLNBCDFHJK
      RSUFAVQVFDUGOZQZVGWAQZVIVNPLAVQVSWBLMWABCDFGWAUIZJKTSZAVQVTWCLNWABCDFHWDJ
      KTSZWABCDEFVFVGWDIJKUJUKAVQVBVRQZVEVBPLAVQVSVTWGLMNBCDFGHJKULUMZBCDFVBJKR
      SUSAVQVDWAQZVHWAQZVJVKUNLAVQWGWILWHWABCDFVBWDJKTSADUOQWBWCWJADAVOVPLUPUQW
      EWFWADEVFVGWDIURUKWABCDFVDVHWDJKUTUKVA $.
  $}

  $c ocH $.

  $( Extend class notation with subspace orthocomplement for ` DVecH ` vector
     space. $)
  coch $a class ocH $.

  ${
    $d k w x y $.
    $( Define subspace orthocomplement for ` DVecH ` vector space.
       Temporarily, we are using the range of the isomorphism instead of the
       set of closed subspaces.  Later, when inner product is introduced, we
       will show that these are the same.  (Contributed by NM, 14-Mar-2014.) $)
    df-doch $a |- ocH = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
          ( x e. ~P ( Base ` ( ( DVecH ` k ) ` w ) ) |->
 ( ( ( DIsoH ` k ) ` w ) ` ( ( oc ` k ) ` ( ( glb ` k ) `
   { y e. ( Base ` k ) | x C_ ( ( ( DIsoH ` k ) ` w ) ` y ) } ) ) ) ) ) ) $.
  $}

  ${
    $d k y B $.  $d k G $.  $d k w H $.  $d k w x y K $.  $d k ._|_ $.
    dochval.b $e |- B = ( Base ` K ) $.
    dochval.g $e |- G = ( glb ` K ) $.
    dochval.o $e |- ._|_ = ( oc ` K ) $.
    dochval.h $e |- H = ( LHyp ` K ) $.
    $( Subspace orthocomplement for ` DVecH ` vector space.  (Contributed by
       NM, 14-Mar-2014.) $)
    dochffval $p |- ( K e. V -> ( ocH ` K ) = ( w e. H |->
          ( x e. ~P ( Base ` ( ( DVecH ` K ) ` w ) ) |->
       ( ( ( DIsoH ` K ) ` w ) ` ( ._|_ ` ( G ` { y e. B |
             x C_ ( ( ( DIsoH ` K ) ` w ) ` y ) } ) ) ) ) ) ) $=
      ( cfv cv cbs cmpt clh fveq2 eqtr4di wcel cvv coch cdvh cpw cdih crab wceq
      vk wss elex cglb coc fveq1d fveq2d pweqd sseq2d rabeqbidv fveq12d df-doch
      mpteq12dv mptfvmpt syl ) GIUAGUBUAGUCNCFACOZGUDNZNZPNZUEZAOZBOZVDGUFNZNZN
      ZUJZBDUGZENZHNZVLNZQZQUHGIUKCUIVSRUCCUIOZRNZAVDVTUDNZNZPNZUEZVIVJVDVTUFNZ
      NZNZUJZBVTPNZUGZVTULNZNZVTUMNZNZWGNZQZQFUBGGVTGUHZCWAWQFVSWRWAGRNFVTGRSMT
      WRAWEWPVHVRWRWDVGWRWCVFPWRVDWBVEVTGUDSUNUOUPWRWOVQWGVLWRVDWFVKVTGUFSUNZWR
      WMVPWNHWRWNGUMNHVTGUMSLTWRWKVOWLEWRWLGULNEVTGULSKTWRWIVNBWJDWRWJGPNDVTGPS
      JTWRWHVMVIWRVJWGVLWSUNUQURUSUSUSVAVAABCUIUTMVBVC $.

    $d w B $.  $d w G $.  $d w I $.  $d w ._|_ $.  $d w x V $.  $d w x y W $.
    dochval.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dochval.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochval.v $e |- V = ( Base ` U ) $.
    dochval.n $e |- N = ( ( ocH ` K ) ` W ) $.
    $( Subspace orthocomplement for ` DVecH ` vector space.  (Contributed by
       NM, 14-Mar-2014.) $)
    dochfval $p |- ( ( K e. X /\ W e. H ) -> N = ( x e. ~P V |->
       ( I ` ( ._|_ ` ( G ` { y e. B | x C_ ( I ` y ) } ) ) ) ) ) $=
      ( vw wcel cv cdvh cfv cbs cpw cdih crab cmpt coch dochffval fveq1d syl5eq
      wss wceq fveq2 eqtr4di fveq2d pweqd sseq2d rabbidv fveq12d mpteq12dv eqid
      fvexi pwex mptex fvmpt sylan9eq ) HMUCZLFUCILUBFAUBUDZHUEUFZUFZUGUFZUHZAU
      DZBUDZVMHUIUFZUFZUFZUPZBCUJZEUFZJUFZWAUFZUKZUKZUFZAKUHZVRVSGUFZUPZBCUJZEU
      FZJUFZGUFZUKZVLILHULUFZUFWJUAVLLWSWIABUBCEFHJMNOPQUMUNUOUBLWHWRFWIVMLUQZA
      VQWGWKWQWTVPKWTVPDUGUFKWTVODUGWTVOLVNUFDVMLVNURSUSUTTUSVAWTWFWPWAGWTWALVT
      UFGVMLVTURRUSZWTWEWOJWTWDWNEWTWCWMBCWTWBWLVRWTVSWAGXAUNVBVCUTUTVDVEWIVFAW
      KWQKKDUGTVGVHVIVJVK $.

    $d x B $.  $d x G $.  $d x I $.  $d x ._|_ $.  $d x y X $.
    $( Subspace orthocomplement for ` DVecH ` vector space.  (Contributed by
       NM, 14-Mar-2014.) $)
    dochval $p |- ( ( ( K e. Y /\ W e. H ) /\ X C_ V ) -> ( N ` X )
        = ( I ` ( ._|_ ` ( G ` { y e. B | X C_ ( I ` y ) } ) ) ) ) $=
      ( vx wcel wa wss cfv cpw cv crab cmpt wceq dochfval adantr fveq1d cvv cbs
      fvexi elpw2 biimpri adantl fvex sseq1 rabbidv fveq2d fvmptg sylancl eqtrd
      eqid ) GMUCKEUCUDZLJUEZUDZLHUFLUBJUGZUBUHZAUHFUFZUEZABUIZDUFZIUFZFUFZUJZU
      FZLVNUEZABUIZDUFZIUFZFUFZVKLHVTVIHVTUKVJUBABCDEFGHIJKMNOPQRSTUAULUMUNVKLV
      LUCZWFUOUCWAWFUKVJWGVIWGVJLJJCUPTUQURUSUTWEFVAUBLVSWFVLUOVTVMLUKZVRWEFWHV
      QWDIWHVPWCDWHVOWBABVMLVNVBVCVDVDVDVTVHVEVFVG $.
  $}

  ${
    $d z H $.  $d x z I $.  $d x z K $.  $d z V $.  $d x z W $.  $d x z X $.
    dochval2.o $e |- ._|_ = ( oc ` K ) $.
    dochval2.h $e |- H = ( LHyp ` K ) $.
    dochval2.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dochval2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochval2.v $e |- V = ( Base ` U ) $.
    dochval2.n $e |- N = ( ( ocH ` K ) ` W ) $.
    $( Subspace orthocomplement for ` DVecH ` vector space.  (Contributed by
       NM, 14-Apr-2014.) $)
    dochval2 $p |- ( ( ( K e. HL /\ W e. H ) /\ X C_ V ) -> ( N ` X )
        = ( I ` ( ._|_ ` ( `' I ` |^| { z e. ran I | X C_ z } ) ) ) ) $=
      ( vx wcel wss cfv chlt cbs crab cglb crn cint ccnv eqid dochval wceq ccla
      wa hlclat ssrab2 clatglbcl sylancl dihcnvid1 syldan dihglb2 fveq2d eqtr3d
      cv ad2antrr eqtrd ) EUARZICRZULZJHSZULZJFTJQVBDTSZQEUBTZUCZEUDTZTZGTZDTJA
      VBSADUEUCUFZDUGZTZGTZDTQVKBVMCDEFGHIJUAVKUHZVMUHZKLMNOPUIVIVOVSDVIVNVRGVI
      VNDTZVQTZVNVRVGVHVNVKRZWCVNUJVIEUKRZVLVKSWDVEWEVFVHEUMVCVJQVKUNVKVLVMEVTW
      AUOUPVKCDEIVNVTLMUQURVIWBVPVQQAVKJBVMCDEHIVTWALMNOUSUTVAUTUTVD $.
  $}

  ${
    $d y K $.  $d y W $.  $d y X $.
    dochcl.h $e |- H = ( LHyp ` K ) $.
    dochcl.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dochcl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochcl.v $e |- V = ( Base ` U ) $.
    dochcl.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    $( Closure of subspace orthocomplement for ` DVecH ` vector space.
       (Contributed by NM, 9-Mar-2014.) $)
    dochcl $p |- ( ( ( K e. HL /\ W e. H ) /\ X C_ V )
          -> ( ._|_ ` X ) e. ran I ) $=
      ( vy chlt wcel wa wss cfv eqid cv cbs crab cglb coc crn dochval cops hlop
      ad2antrr ccla hlclat ssrab2 clatglbcl sylancl opoccl syl2anc dihcl syldan
      eqeltrd ) DOPZGBPZQZHFRZQZHESHNUACSRZNDUBSZUCZDUDSZSZDUESZSZCSZCUFZNVGAVI
      BCDEVKFGHOVGTZVITZVKTZIJKLMUGVCVDVLVGPZVMVNPVEDUHPZVJVGPZVRVAVSVBVDDUIUJV
      EDUKPZVHVGRVTVAWAVBVDDULUJVFNVGUMVGVHVIDVOVPUNUOVGDVKVJVOVQUPUQVGBCDGVLVO
      IJURUSUT $.
  $}

  ${
    dochlss.h $e |- H = ( LHyp ` K ) $.
    dochlss.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochlss.v $e |- V = ( Base ` U ) $.
    dochlss.s $e |- S = ( LSubSp ` U ) $.
    dochlss.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    $( A subspace orthocomplement is a subspace of the ` DVecH ` vector space.
       (Contributed by NM, 22-Jul-2014.) $)
    dochlss $p |- ( ( ( K e. HL /\ W e. H ) /\ X C_ V ) ->
      ( ._|_ ` X ) e. S ) $=
      ( chlt wcel wa wss cfv cdih crn eqid dochcl dihrnlss syldan ) DNOGCOPHFQH
      ERZGDSRRZTOUEAOBCUFDEFGHIUFUAZJKMUBABCUFDGUEIJUGLUCUD $.
  $}

  ${
    dochssv.h $e |- H = ( LHyp ` K ) $.
    dochssv.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochssv.v $e |- V = ( Base ` U ) $.
    dochssv.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    $( A subspace orthocomplement belongs to the ` DVecH ` vector space.
       (Contributed by NM, 22-Jul-2014.) $)
    dochssv $p |- ( ( ( K e. HL /\ W e. H ) /\ X C_ V ) ->
      ( ._|_ ` X ) C_ V ) $=
      ( chlt wcel wa wss cfv cdih crn eqid dochcl dihrnss syldan ) CLMFBMNGEOGD
      PZFCQPPZRMUCEOABUDCDEFGHUDSZIJKTABUDCEFUCHIUEJUAUB $.
  $}

  ${
    $d y ._|_ $.  $d x y K $.  $d x y ph $.  $d x y V $.  $d x y W $.
    $d y I $.
    dochf.h $e |- H = ( LHyp ` K ) $.
    dochf.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dochf.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochf.v $e |- V = ( Base ` U ) $.
    dochf.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochf.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Domain and codomain of the subspace orthocomplement for the ` DVecH `
       vector space.  (Contributed by NM, 27-Dec-2014.)
       (New usage is discouraged.) $)
    dochfN $p |- ( ph -> ._|_ : ~P V --> ran I ) $=
      ( vx vy cv cfv wcel eqid cpw wss cbs crab cglb coc crn wa fvexd chlt cmpt
      cvv wceq dochfval syl elpwi dochcl syl2an fmpt2d ) AOPGUAZOQZPQZDRUBPEUCR
      ZUDEUERZREUFRZRZDRZDUGZFULAVAUTSUHVFDUIAEUJSHCSUHZFOUTVGUKUMNOPVCBVDCDEFV
      EGHUJVCTVDTVETIJKLMUNUOAVIVBGUBVBFRVHSVBUTSNVBGUPBCDEFGHVBIJKLMUQURUS $.
  $}

  ${
    $d z H $.  $d y z I $.  $d y z K $.  $d y z W $.  $d y z X $.
    dochvalr.o $e |- ._|_ = ( oc ` K ) $.
    dochvalr.h $e |- H = ( LHyp ` K ) $.
    dochvalr.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dochvalr.n $e |- N = ( ( ocH ` K ) ` W ) $.
    $( Orthocomplement of a closed subspace.  (Contributed by NM,
       14-Mar-2014.) $)
    dochvalr $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. ran I )
        -> ( N ` X ) = ( I ` ( ._|_ ` ( `' I ` X ) ) ) ) $=
      ( vy vz wcel wa cfv wss wceq eqid wbr chlt crn cv cbs crab cglb ccnv cdvh
      dihrnss dochval syldan cple clat ad2antrr hlclat ssrab2 clatglbcl sylancl
      hllat ccla dihcnvcl ssid dihcnvid2 sseqtrrid fveq2 sseq2d elrab clatglble
      a1i sylanbrc syl3anc wral adantr sseq1d simpll simpr dihord bitr3d biimpd
      wb expimpd syl5bi ralrimiv clatleglb mpbird latasymd fveq2d eqtrd ) CUANZ
      FANZOZGBUBNZOZGDPZGLUCZBPZQZLCUDPZUEZCUFPZPZEPZBPZGBUGPZEPZBPWKWLGFCUHPPZ
      UDPZQWNXCRXFABCXGFGIXFSZJXGSZUILWRXFWTABCDEXGFGUAWRSZWTSZHIJXHXIKUJUKWMXB
      XEBWMXAXDEWMWRCCULPZXAXDXJXLSZWICUMNWJWLCUSUNWMCUTNZWSWRQZXAWRNWIXNWJWLCU
      OUNZWQLWRUPZWRWSWTCXJXKUQURWRABCFGXJIJVAZWMXNXOXDWSNZXAXDXLTXPXOWMXQVIZWM
      XDWRNZGXDBPZQZXSXRWMGGYBGVBABCFGIJVCZVDWQYCLXDWRWOXDRWPYBGWOXDBVEVFVGVJWR
      WSWTCXLXDXJXMXKVHVKWMXDXAXLTZXDMUCZXLTZMWSVLZWMYGMWSYFWSNYFWRNZGYFBPZQZOW
      MYGWQYKLYFWRWOYFRWPYJGWOYFBVEVFVGWMYIYKYGWMYIOZYKYGYLYBYJQZYKYGYLYBGYJWMY
      BGRYIYDVMVNYLWKYAYIYMYGVTWKWLYIVOWMYAYIXRVMWMYIVPWRABCXLFXDYFXJXMIJVQVKVR
      VSWAWBWCWMXNYAXOYEYHVTXPXRXTMWRWSWTCXLXDXJXMXKWDVKWEWFWGWGWH $.
  $}

  ${
    doch0.h $e |- H = ( LHyp ` K ) $.
    doch0.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    doch0.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    doch0.v $e |- V = ( Base ` U ) $.
    doch0.z $e |- .0. = ( 0g ` U ) $.
    $( Orthocomplement of the zero subspace.  (Contributed by NM,
       19-Jun-2014.) $)
    doch0 $p |- ( ( K e. HL /\ W e. H ) -> ( ._|_ ` { .0. } ) = V ) $=
      ( chlt wcel wa cfv wceq eqid fveq2d eqtrd csn cdih coc crn dochvalr mpdan
      ccnv dih0rn cp1 cp0 dih0cnv cops hlop adantr opoc0 syl dih1 ) CMNZFBNZOZG
      UAZDPZVAFCUBPPZUGPZCUCPZPZVCPZEUTVAVCUDNVBVGQABVCCFGHVCRZILUHBVCCDVEFVAVE
      RZHVHJUEUFUTVGCUIPZVCPEUTVFVJVCUTVFCUJPZVEPZVJUTVDVKVEABVCCFVKGHVKRZVHILU
      KSUTCULNZVLVJQURVNUSCUMUNVJCVEVKVMVJRZVIUOUPTSAVJBVCCEFVOHVHIKUQTT $.
  $}

  ${
    doch1.h $e |- H = ( LHyp ` K ) $.
    doch1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    doch1.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    doch1.v $e |- V = ( Base ` U ) $.
    doch1.z $e |- .0. = ( 0g ` U ) $.
    $( Orthocomplement of the unit subspace (all vectors).  (Contributed by NM,
       19-Jun-2014.) $)
    doch1 $p |- ( ( K e. HL /\ W e. H ) -> ( ._|_ ` V ) = { .0. } ) $=
      ( chlt wcel wa cfv cdih wceq eqid fveq2d ccnv coc cp0 csn dih1rn dochvalr
      crn mpdan cp1 dih1cnv cops hlop adantr opoc1 syl eqtrd dih0 3eqtrd ) CMNZ
      FBNZOZEDPZEFCQPPZUAPZCUBPZPZVCPZCUCPZVCPGUDVAEVCUGNVBVGRABVCCEFHVCSZIKUEB
      VCCDVEFEVESZHVIJUFUHVAVFVHVCVAVFCUIPZVEPZVHVAVDVKVEAVKBVCCEFHVKSZVIIKUJTV
      ACUKNZVLVHRUSVNUTCULUMVKCVEVHVHSZVMVJUNUOUPTABVCCGFVHVOHVIILUQUR $.
  $}

  ${
    dochoc0.h $e |- H = ( LHyp ` K ) $.
    dochoc0.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochoc0.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochoc0.z $e |- .0. = ( 0g ` U ) $.
    dochoc0.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The zero subspace is closed.  (Contributed by NM, 16-Feb-2015.) $)
    dochoc0 $p |- ( ph -> ( ._|_ ` ( ._|_ ` { .0. } ) ) = { .0. } ) $=
      ( chlt wcel wa csn cfv wceq cbs eqid doch0 fveq2d doch1 eqtrd syl ) ADMNF
      CNOZGPZEQZEQZUGRLUFUIBSQZEQUGUFUHUJEBCDEUJFGHIJUJTZKUAUBBCDEUJFGHIJUKKUCU
      DUE $.
  $}

  ${
    dochoc1.h $e |- H = ( LHyp ` K ) $.
    dochoc1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochoc1.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochoc1.v $e |- V = ( Base ` U ) $.
    dochoc1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The unit subspace (all vectors) is closed.  (Contributed by NM,
       16-Feb-2015.) $)
    dochoc1 $p |- ( ph -> ( ._|_ ` ( ._|_ ` V ) ) = V ) $=
      ( chlt wcel wa cfv wceq c0g csn eqid doch1 fveq2d doch0 eqtrd syl ) ADMNG
      CNOZFEPZEPZFQLUFUHBRPZSZEPFUFUGUJEBCDEFGUIHIJKUITZUAUBBCDEFGUIHIJKUKUCUDU
      E $.
  $}

  ${
    dochvalr2.b $e |- B = ( Base ` K ) $.
    dochvalr2.o $e |- ._|_ = ( oc ` K ) $.
    dochvalr2.h $e |- H = ( LHyp ` K ) $.
    dochvalr2.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dochvalr2.n $e |- N = ( ( ocH ` K ) ` W ) $.
    $( Orthocomplement of a closed subspace.  (Contributed by NM,
       21-Jul-2014.) $)
    dochvalr2 $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. B )
        -> ( N ` ( I ` X ) ) = ( I ` ( ._|_ ` X ) ) ) $=
      ( chlt wcel wa cfv ccnv crn fveq2d dihcl dochvalr syldan dihcnvid1 eqtrd
      wceq ) DNOGBOPZHAOZPZHCQZEQZUJCRQZFQZCQZHFQZCQUGUHUJCSOUKUNUFABCDGHIKLUAB
      CDEFGUJJKLMUBUCUIUMUOCUIULHFABCDGHIKLUDTTUE $.
  $}

  ${
    dochvalr3.o $e |- ._|_ = ( oc ` K ) $.
    dochvalr3.h $e |- H = ( LHyp ` K ) $.
    dochvalr3.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dochvalr3.n $e |- N = ( ( ocH ` K ) ` W ) $.
    dochvalr3.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochvalr3.x $e |- ( ph -> X e. ran I ) $.
    $( Orthocomplement of a closed subspace.  (Contributed by NM,
       15-Jan-2015.) $)
    dochvalr3 $p |- ( ph -> ( ._|_ ` ( `' I ` X ) ) = ( `' I ` ( N ` X ) ) ) $=
      ( cfv wceq wcel cbs eqid syl2anc ccnv chlt wa crn cdvh wss dihrnss dochcl
      dihcnvid2 dochvalr eqtr2d wb cops simpld hlop syl dihcnvcl opoccl syl3anc
      dih11 mpbid ) AHCUAZOZFOZCOZHEOZVBOZCOZPZVDVGPZAVHVFVEADUBQZGBQZUCZVFCUDZ
      QZVHVFPMAVMHGDUEOOZROZUFZVOMAVMHVNQZVRMNVPBCDVQGHJVPSZKVQSZUGTVPBCDEVQGHJ
      KVTWALUHTZBCDGVFJKUITAVMVSVFVEPMNBCDEFGHIJKLUJTUKAVMVDDROZQZVGWCQZVIVJULM
      ADUMQZVCWCQZWDAVKWFAVKVLMUNDUOUPAVMVSWGMNWCBCDGHWCSZJKUQTWCDFVCWHIURTAVMV
      OWEMWBWCBCDGVFWHJKUQTWCBCDGVDVGWHJKUTUSVA $.
  $}

  ${
    $d z H $.  $d z I $.  $d z K $.  $d z V $.  $d z W $.  $d z X $.
    doch2val2.h $e |- H = ( LHyp ` K ) $.
    doch2val2.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    doch2val2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    doch2val2.v $e |- V = ( Base ` U ) $.
    doch2val2.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    doch2val2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    doch2val2.x $e |- ( ph -> X C_ V ) $.
    $( Double orthocomplement for ` DVecH ` vector space.  (Contributed by NM,
       26-Jul-2014.) $)
    doch2val2 $p |- ( ph -> ( ._|_ ` ( ._|_ ` X ) )
        = |^| { z e. ran I | X C_ z } ) $=
      ( cfv wcel syl2anc cv wss crn crab cint ccnv coc chlt wa wceq eqid fveq2d
      dochval2 cbs cops simpld hlop syl c0 wne ssrab2 a1i dih1rn sseq2 sylanbrc
      elrab dihintcl syl12anc dihcnvcl opoccl dochvalr2 opococ dihcnvid2 3eqtrd
      ne0d eqtrd ) AJGRZGRJBUAZUBZBEUCZUDZUEZEUFRZFUGRZRZERZGRZWEWDRZERZWBAVQWF
      GAFUHSZIDSZUIZJHUBZVQWFUJPQBCDEFGWDHIJWDUKZKLMNOUMTULAWLWEFUNRZSZWGWIUJPA
      FUOSZWCWOSZWPAWJWQAWJWKPUPFUQURZAWLWBVTSZWRPAWLWAVTUBZWAUSUTWTPXAAVSBVTVA
      VBAWAHAHVTSZWMHWASAWLXBPCDEFHIKLMNVCURQVSWMBHVTVRHJVDVFVEVOWADEFIKLVGVHZW
      ODEFIWBWOUKZKLVITZWOFWDWCXDWNVJTWODEFGWDIWEXDWNKLOVKTAWIWCERZWBAWHWCEAWQW
      RWHWCUJWSXEWOFWDWCXDWNVLTULAWLWTXFWBUJPXCDEFIWBKLVMTVPVN $.
  $}

  ${
    $d z H $.  $d z K $.  $d z V $.  $d z W $.  $d z X $.  $d z Y $.
    dochss.h $e |- H = ( LHyp ` K ) $.
    dochss.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochss.v $e |- V = ( Base ` U ) $.
    dochss.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    $( Subset law for orthocomplement.  (Contributed by NM, 16-Apr-2014.) $)
    dochss $p |- ( ( ( K e. HL /\ W e. H ) /\ Y C_ V /\ X C_ Y )
        -> ( ._|_ ` Y ) C_ ( ._|_ ` X ) ) $=
      ( vz chlt wcel wa wss cfv eqid syl3anc w3a cv cdih cbs crab cglb coc cple
      wbr ccla simp1l hlclat syl ssrab2 a1i simpll3 simpr ex ss2rabdv clatglbss
      sstrd cops wb hlop clatglbcl sylancl oplecon3b mpbid simp1 opoccl syl2anc
      dihord mpbird wceq dochval 3adant3 simp3 simp2 3sstr4d ) CNOZFBOZPZHEQZGH
      QZUAZHMUBZFCUCRRZRZQZMCUDRZUEZCUFRZRZCUGRZRZWGRZGWHQZMWJUEZWLRZWNRZWGRZHD
      RZGDRZWEWPXAQZWOWTCUHRZUIZWEWSWMXEUIZXFWECUJOZWRWJQZWKWRQXGWEVTXHVTWAWCWD
      UKZCULUMZXIWEWQMWJUNZUOWEWIWQMWJWEWFWJOZPZWIWQXNWIPGHWHWBWCWDXMWIUPXNWIUQ
      VAURUSWJWKWRWLCXEWJSZXESZWLSZUTTWECVBOZWSWJOZWMWJOZXGXFVCWEVTXRXJCVDUMZWE
      XHXIXSXKXLWJWRWLCXOXQVEVFZWEXHWKWJQXTXKWIMWJUNWJWKWLCXOXQVEVFZWJCXEWNWSWM
      XOXPWNSZVGTVHWEWBWOWJOZWTWJOZXDXFVCWBWCWDVIZWEXRXTYEYAYCWJCWNWMXOYDVJVKWE
      XRXSYFYAYBWJCWNWSXOYDVJVKWJBWGCXEFWOWTXOXPIWGSZVLTVMWBWCXBWPVNWDMWJAWLBWG
      CDWNEFHNXOXQYDIYHJKLVOVPWEWBGEQXCXAVNYGWEGHEWBWCWDVQWBWCWDVRVAMWJAWLBWGCD
      WNEFGNXOXQYDIYHJKLVOVKVS $.

    $( Double negative law for orthocomplement of an arbitrary set of vectors.
       (Contributed by NM, 16-Apr-2014.) $)
    dochocss $p |- ( ( ( K e. HL /\ W e. H ) /\ X C_ V )
        -> X C_ ( ._|_ ` ( ._|_ ` X ) ) ) $=
      ( vz wcel wss cfv wceq eqid fveq2d syl syl2anc chlt wa cdih crn crab cint
      ssintub ccnv coc dochcl dochvalr syldan dochval2 cbs wf1o clss wf1 dihf11
      cv adantr f1f1orn cops hlop ad2antrr c0 wne simpl ssrab2 a1i cp1 dih1 wfn
      f1fn op1cl fnfvelrn eqeltrrd simpr sseq2 elrab sylanbrc dihintcl syl12anc
      ne0d f1ocnvdm opoccl f1ocnvfv1 eqtrd opococ f1ocnvfv2 3eqtrrd sseqtrid )
      CUAMZFBMZUBZGENZUBZGLUSZNZLFCUCOOZUDZUEZUFZGGDOZDOZLGWTUGWPXDXCWSUHZOZCUI
      OZOZWSOZXBXEOZWSOZXBWNWOXCWTMXDXIPABWSCDEFGHWSQZIJKUJBWSCDXGFXCXGQZHXLKUK
      ULWPXHXJWSWPXHXJXGOZXGOZXJWPXFXNXGWPXFXNWSOZXEOZXNWPXCXPXELABWSCDXGEFGXMH
      XLIJKUMRWPCUNOZWTWSUOZXNXRMZXQXNPWPXRAUPOZWSUQZXSWNYBWOXRYAABWSCFXRQZHXLI
      YAQURUTZXRYAWSVASZWPCVBMZXJXRMZXTWLYFWMWOCVCVDZWPXSXBWTMZYGYEWPWNXAWTNZXA
      VEVFYIWNWOVGYJWPWRLWTVHVIWPXAEWPEWTMWOEXAMWPCVJOZWSOZEWTWNYLEPWOAYKBWSCEF
      YKQZHXLIJVKUTWPWSXRVLZYKXRMZYLWTMWPYBYNYDXRYAWSVMSWPYFYOYHXRYKCYCYMVNSXRY
      KWSVOTVPWNWOVQWRWOLEWTWQEGVRVSVTWCXABWSCFHXLWAWBZXRWTXBWSWDTZXRCXGXJYCXMW
      ETXRWTXNWSWFTWGRWPYFYGXOXJPYHYQXRCXGXJYCXMWHTWGRWPXSYIXKXBPYEYPXRWTXBWSWI
      TWJWK $.
  $}

  ${
    dochoc.h $e |- H = ( LHyp ` K ) $.
    dochoc.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dochoc.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    $( Double negative law for orthocomplement of a closed subspace.
       (Contributed by NM, 14-Mar-2014.) $)
    dochoc $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. ran I )
        -> ( ._|_ ` ( ._|_ ` X ) ) = X ) $=
      ( chlt wcel wa cfv eqid dochvalr fveq2d wceq syl2anc syldan eqtrd crn coc
      ccnv cops hlop ad2antrr dihcnvcl opoccl dihcl dihcnvid1 opococ dihcnvid2
      cbs ) CJKZEAKZLZFBUAZKZLZFDMZDMFBUCZMZCUBMZMZBMZDMZFUSUTVEDABCDVCEFVCNZGH
      IOPUSVFVEVAMZVCMZBMZFUPURVEUQKZVFVJQUPURVDCUMMZKZVKUSCUDKZVBVLKZVMUNVNUOU
      RCUEUFZVLABCEFVLNZGHUGZVLCVCVBVQVGUHRZVLABCEVDVQGHUISABCDVCEVEVGGHIOSUSVJ
      VBBMFUSVIVBBUSVIVDVCMZVBUSVHVDVCUPURVMVHVDQVSVLABCEVDVQGHUJSPUSVNVOVTVBQV
      PVRVLCVCVBVQVGUKRTPABCEFGHULTTT $.
  $}

  ${
    dochsscl.h $e |- H = ( LHyp ` K ) $.
    dochsscl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochsscl.v $e |- V = ( Base ` U ) $.
    dochsscl.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dochsscl.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochsscl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochsscl.x $e |- ( ph -> X C_ V ) $.
    dochsscl.y $e |- ( ph -> Y e. ran I ) $.
    $( If a set of vectors is included in a closed set, so is its closure.
       (Contributed by NM, 17-Jun-2015.) $)
    dochsscl $p |- ( ph -> ( X C_ Y <-> ( ._|_ ` ( ._|_ ` X ) ) C_ Y ) ) $=
      ( wss cfv wa chlt adantr dochssv syl2anc crn dihrnss simpr dochss syl3anc
      wcel wceq dochoc sseqtrd dochocss sstr sylan impbida ) AIJSZIFTZFTZJSZAUS
      UAZVAJFTZFTZJVCEUBUKHCUKUAZUTGSZVDUTSZVAVESAVFUSPUCZVCVFIGSZVGVIAVJUSQUCB
      CEFGHIKLMOUDUEVCVFJGSZUSVHVIAVKUSAVFJDUFUKZVKPRBCDEGHJKLNMUGUEUCAUSUHBCEF
      GHIJKLMOUIUJBCEFGHVDUTKLMOUIUJVCVFVLVEJULVIAVLUSRUCCDEFHJKNOUMUEUNAIVASZV
      BUSAVFVJVMPQBCEFGHIKLMOUOUEIVAJUPUQUR $.
  $}

  ${
    dochoccl.h $e |- H = ( LHyp ` K ) $.
    dochoccl.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dochoccl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochoccl.v $e |- V = ( Base ` U ) $.
    dochoccl.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochoccl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochoccl.g $e |- ( ph -> X C_ V ) $.
    $( A set of vectors is closed iff it equals its double orthocomplent.
       (Contributed by NM, 1-Jan-2015.) $)
    dochoccl $p |- ( ph -> ( X e. ran I <-> ( ._|_ ` ( ._|_ ` X ) ) = X ) ) $=
      ( wcel cfv wa wss crn wceq chlt dochoc sylan simpr dochssv syl2anc dochcl
      adantr eqeltrrd impbida ) AIDUAZQZIFRZFRZIUBZAEUCQHCQSZUNUQOCDEFHIJKNUDUE
      AUQSUPIUMAUQUFAUPUMQZUQAURUOGTZUSOAURIGTUTOPBCEFGHIJLMNUGUHBCDEFGHUOJKLMN
      UIUHUJUKUL $.
  $}

  ${
    doch11.h $e |- H = ( LHyp ` K ) $.
    doch11.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    doch11.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    doch11.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    doch11.x $e |- ( ph -> X e. ran I ) $.
    doch11.y $e |- ( ph -> Y e. ran I ) $.
    $( Ordering law for orthocomplement.  (Contributed by NM, 12-Aug-2014.) $)
    dochord $p |- ( ph -> ( X C_ Y <-> ( ._|_ ` Y ) C_ ( ._|_ ` X ) ) ) $=
      ( wss cfv wa wcel adantr syl2anc chlt cdvh cbs eqid dihrnss simpr syl3anc
      crn dochss dochcl wceq dochoc 3sstr3d impbida ) AGHOZHEPZGEPZOZAUOQDUARFB
      RQZHFDUBPPZUCPZOZUOURAUSUOLSAVBUOAUSHCUHZRZVBLNUTBCDVAFHIUTUDZJVAUDZUETSA
      UOUFUTBDEVAFGHIVEVFKUIUGAURQZUQEPZUPEPZGHVGUSUQVAOZURVHVIOAUSURLSAVJURAUS
      UQVCRZVJLAUSGVAOZVKLAUSGVCRZVLLMUTBCDVAFGIVEJVFUETUTBCDEVAFGIJVEVFKUJTUTB
      CDVAFUQIVEJVFUETSAURUFUTBDEVAFUPUQIVEVFKUIUGAVHGUKZURAUSVMVNLMBCDEFGIJKUL
      TSAVIHUKZURAUSVDVOLNBCDEFHIJKULTSUMUN $.

    $( Ordering law for orthocomplement.  (Contributed by NM, 29-Oct-2014.)
       (New usage is discouraged.) $)
    dochord2N $p |- ( ph -> ( ( ._|_ ` X ) C_ Y <-> ( ._|_ ` Y ) C_ X ) ) $=
      ( cfv wss chlt wcel eqid syl2anc wa cdvh cbs crn clss dihrnlss syl dochcl
      lssss dochord wceq dochoc sseq2d bitrd ) AGEOZHPHEOZUOEOZPUPGPABCDEFUOHIJ
      KLADQRFBRUAZGFDUBOOZUCOZPZUOCUDZRLAGUSUEOZRZVAAURGVBRZVDLMVCUSBCDFGIUSSZJ
      VCSZUFTVCGUTUSUTSZVGUIUGUSBCDEUTFGIJVFVHKUHTNUJAUQGUPAURVEUQGUKLMBCDEFGIJ
      KULTUMUN $.

    $( Ordering law for orthocomplement.  (Contributed by NM, 9-Mar-2015.) $)
    dochord3 $p |- ( ph -> ( X C_ ( ._|_ ` Y ) <-> Y C_ ( ._|_ ` X ) ) ) $=
      ( cfv wss chlt wcel eqid syl2anc wa cdvh cbs crn clss dihrnlss syl dochcl
      lssss dochord wceq dochoc sseq1d bitrd ) AGHEOZPUOEOZGEOZPHUQPABCDEFGUOIJ
      KLMADQRFBRUAZHFDUBOOZUCOZPZUOCUDZRLAHUSUEOZRZVAAURHVBRZVDLNVCUSBCDFHIUSSZ
      JVCSZUFTVCHUTUSUTSZVGUIUGUSBCDEUTFHIJVFVHKUHTUJAUPHUQAURVEUPHUKLNBCDEFHIJ
      KULTUMUN $.

    $( Orthocomplement is one-to-one.  (Contributed by NM, 12-Aug-2014.) $)
    doch11 $p |- ( ph -> ( ( ._|_ ` X ) = ( ._|_ ` Y ) <-> X = Y ) ) $=
      ( wceq cfv wss wa dochord eqss anbi12d eqcom bitri 3bitr4g bicomd ) AGHOZ
      GEPZHEPZOZAHGQZGHQZRZUGUHQZUHUGQZRUFUIAUJUMUKUNABCDEFHGIJKLNMSABCDEFGHIJK
      LMNSUAUFHGOULGHUBHGTUCUGUHTUDUE $.

    $( Strict ordering law for orthocomplement.  (Contributed by NM,
       12-Aug-2014.)  (New usage is discouraged.) $)
    dochsordN $p |- ( ph -> ( X C. Y <-> ( ._|_ ` Y ) C. ( ._|_ ` X ) ) ) $=
      ( wss wne wa cfv wpss wceq dochord doch11 eqcom bitr2di necon3bid anbi12d
      df-pss 3bitr4g ) AGHOZGHPZQHERZGERZOZUKULPZQGHSUKULSAUIUMUJUNABCDEFGHIJKL
      MNUAAGHUKULAUKULTHGTGHTABCDEFHGIJKLNMUBHGUCUDUEUFGHUGUKULUGUH $.
  $}

  ${
    dochn0nv.h $e |- H = ( LHyp ` K ) $.
    dochn0nv.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochn0nv.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochn0nv.v $e |- V = ( Base ` U ) $.
    dochn0nv.z $e |- .0. = ( 0g ` U ) $.
    dochn0nv.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochn0nv.x $e |- ( ph -> X C_ V ) $.
    $( An orthocomplement is nonzero iff the double orthocomplement is not the
       whole vector space.  (Contributed by NM, 1-Jan-2015.) $)
    dochn0nv $p |- ( ph
        -> ( ( ._|_ ` X ) =/= { .0. } <-> ( ._|_ ` ( ._|_ ` X ) ) =/= V ) ) $=
      ( cfv wceq wcel syl2anc csn chlt wa cdih crn wss eqid dochcl dochoc doch1
      syl eqeq12d dochssv dih1rn doch11 bitr3d necon3bid ) AHEQZIUAZUREQZFAUTEQ
      ZFEQZRURUSRUTFRAVAURVBUSADUBSGCSUCZURGDUDQQZUEZSZVAURROAVCHFUFZVFOPBCVDDE
      FGHJVDUGZLMKUHTCVDDEGURJVHKUITAVCVBUSROBCDEFGIJLKMNUJUKULACVDDEGUTFJVHKOA
      VCURFUFZUTVESOAVCVGVIOPBCDEFGHJLMKUMTBCVDDEFGURJVHLMKUHTAVCFVESOBCVDDFGJV
      HLMUNUKUOUPUQ $.
  $}

  ${
    dihoml4c.h $e |- H = ( LHyp ` K ) $.
    dihoml4c.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihoml4c.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dihoml4c.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihoml4c.x $e |- ( ph -> X e. ran I ) $.
    dihoml4c.y $e |- ( ph -> Y e. ran I ) $.
    dihoml4c.l $e |- ( ph -> X C_ Y ) $.
    $( Version of ~ dihoml4 with closed subspaces.  (Contributed by NM,
       15-Jan-2015.) $)
    dihoml4c $p |- ( ph
           -> ( ( ._|_ ` ( ( ._|_ ` X ) i^i Y ) ) i^i Y ) = X ) $=
      ( cfv co eqid wcel syl2anc cin ccnv wceq cmee coc chlt cdvh cbs wss inss1
      wa crn dihrnss sstrid dochcl dihmeet2 dihmeetcl syl12anc dochvalr3 oveq1d
      dochssv eqtr4d fveq2d eqtr3d cple wbr dihcnvord mpbird coml wi simpld syl
      hloml dihcnvcl omllaw4 syl3anc mpd 3eqtrd dihcnv11 mpbid ) AGEPZHUAZEPZHU
      AZCUBZPZGWEPZUCWDGUCAWFWCWEPZHWEPZDUDPZQWGDUEPZPZWIWJQZWKPZWIWJQZWGABCDWJ
      FWCHWJRZIJLADUFSZFBSZUKZWBFDUGPPZUHPZUIWCCULZSZLAWBWAXAWAHUJAWSGXAUIZWAXA
      UILAWSGXBSZXDLMWTBCDXAFGIWTRZJXARZUMTZWTBDEXAFGIXFXGKVATUNWTBCDEXAFWBIJXF
      XGKUOTZNUPAWHWNWIWJAWBWEPZWKPWHWNABCDEWKFWBWKRZIJKLAWSWAXBSZHXBSZWBXBSLAW
      SXDXLLXHWTBCDEXAFGIJXFXGKUOTZNBCDFWAHIJUQURUSAXJWMWKAXJWAWEPZWIWJQWMABCDW
      JFWAHWPIJLXNNUPAWLXOWIWJABCDEWKFGXKIJKLMUSUTVBVCVDUTAWGWIDVEPZVFZWOWGUCZA
      XQGHUIOABCDXPFGHXPRZIJLMNVGVHADVISZWGDUHPZSZWIYASZXQXRVJAWQXTAWQWRLVKDVMV
      LAWSXEYBLMYABCDFGYARZIJVNTAWSXMYCLNYABCDFHYDIJVNTYADXPWJWKWGWIYDXSWPXKVOV
      PVQVRABCDFWDGIJLAWSXCXMWDXBSLXINBCDFWCHIJUQURMVSVT $.
  $}

  ${
    dihoml4.h $e |- H = ( LHyp ` K ) $.
    dihoml4.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihoml4.s $e |- S = ( LSubSp ` U ) $.
    dihoml4.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dihoml4.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihoml4.x $e |- ( ph -> X e. S ) $.
    dihoml4.y $e |- ( ph -> Y e. S ) $.
    dihoml4.c $e |- ( ph -> ( ._|_ ` ( ._|_ ` Y ) ) = Y ) $.
    dihoml4.l $e |- ( ph -> X C_ Y ) $.
    $( Orthomodular law for constructed vector space H. Lemma 3.3(1) in
       [Holland95] p. 215.  ( ~ poml4N analog.)  (Contributed by NM,
       15-Jan-2015.) $)
    dihoml4 $p |- ( ph ->
     ( ( ._|_ ` ( ( ._|_ ` X ) i^i Y ) ) i^i Y ) = ( ._|_ ` ( ._|_ ` X ) ) ) $=
      ( cfv wcel cin chlt wa cdih crn wceq cbs wss eqid lssss syl dochcl dochoc
      syl2anc ineq1d fveq2d dochssv dochoccl mpbird syl3anc sseqtrd dihoml4c
      dochss eqtr3d ) AHFSZFSZFSZIUAZFSZIUAVEIUAZFSZIUAVFAVIVKIAVHVJFAVGVEIAEUB
      TGDTUCZVEGEUDSSZUEZTZVGVEUFNAVLHCUGSZUHZVONAHBTVQOBHVPCVPUIZLUJUKZCDVMEFV
      PGHJVMUIZKVRMULUNDVMEFGVEJVTMUMUNUOUPUOADVMEFGVFIJVTMNAVLVEVPUHZVFVNTNAVL
      VQWANVSCDEFVPGHJKVRMUQUNZCDVMEFVPGVEJVTKVRMULUNAIVNTIFSZFSZIUFQACDVMEFVPG
      IJVTKVRMNAIBTIVPUHZPBIVPCVRLUJUKZURUSAVFWDIAVLWAWCVEUHZVFWDUHNWBAVLWEHIUH
      WGNWFRCDEFVPGHIJKVRMVCUTCDEFVPGWCVEJKVRMVCUTQVAVBVD $.
  $}

  ${
    $d z H $.  $d z K $.  $d z U $.  $d z V $.  $d z W $.  $d z X $.
    dochsp.h $e |- H = ( LHyp ` K ) $.
    dochsp.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochsp.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochsp.v $e |- V = ( Base ` U ) $.
    dochsp.n $e |- N = ( LSpan ` U ) $.
    dochsp.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochsp.x $e |- ( ph -> X C_ V ) $.
    $( The span of a set of vectors is included in their double
       orthocomplement.  (Contributed by NM, 26-Jul-2014.) $)
    dochspss $p |- ( ph -> ( N ` X ) C_ ( ._|_ ` ( ._|_ ` X ) ) ) $=
      ( vz wss cfv wcel cv clss crab cint cdih crn chlt wa eqid dihsslss rabss2
      intss 4syl clmod wceq dvhlmod lspval syl2anc doch2val2 3sstr4d ) AIQUARZQ
      BUBSZUCZUDZVAQHDUESSZUFZUCZUDZIESZIFSFSADUGTHCTUHVFVBRVGVCRVDVHROVBBCVEDH
      JKVEUIZVBUIZUJVAQVFVBUKVGVCULUMABUNTIGRVIVDUOABCDHJKOUPPQVBIEGBMVKNUQURAQ
      BCVEDFGHIJVJKMLOPUSUT $.

    $( The span of an orthocomplement equals the orthocomplement of the span.
       (Contributed by NM, 7-Aug-2014.) $)
    dochocsp $p |- ( ph -> ( ._|_ ` ( N ` X ) ) = ( ._|_ ` X ) ) $=
      ( cfv wcel wss syl2anc chlt wa dvhlmod lspssv lspssid dochss syl3anc cdih
      clmod crn wceq eqid dochcl dochoc dochssv dochspss eqsstrrd eqssd ) AIEQZ
      FQZIFQZADUARHCRUBZUSGSZIUSSZUTVASOABUIRZIGSZVCABCDHJKOUCZPIEGBMNUDTAVEVFV
      DVGPIEGBMNUETBCDFGHIUSJKMLUFUGAVAVAFQZFQZUTAVBVAHDUHQQZUJRZVIVAUKOAVBVFVK
      OPBCVJDFGHIJVJULZKMLUMTCVJDFHVAJVLLUNTAVBVHGSZUSVHSVIUTSOAVBVAGSZVMOAVBVF
      VNOPBCDFGHIJKMLUOTBCDFGHVAJKMLUOTABCDEFGHIJKLMNOPUPBCDFGHUSVHJKMLUFUGUQUR
      $.

    $( The span of an orthocomplement equals the orthocomplement of the span.
       (Contributed by NM, 7-Aug-2014.)  (New usage is discouraged.) $)
    dochspocN $p |- ( ph -> ( N ` ( ._|_ ` X ) ) = ( ._|_ ` ( N ` X ) ) ) $=
      ( cfv clmod wcel syl2anc clss wceq dvhlmod chlt wa wss eqid dochlss lspid
      dochocsp eqtr4d ) AIFQZEQZULIEQFQABRSULBUAQZSZUMULUBABCDHJKOUCADUDSHCSUEI
      GUFUOOPUNBCDFGHIJKMUNUGZLUHTUNULEBUPNUITABCDEFGHIJKLMNOPUJUK $.
  $}

  ${
    dochocsn.h $e |- H = ( LHyp ` K ) $.
    dochocsn.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochocsn.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochocsn.v $e |- V = ( Base ` U ) $.
    dochocsn.n $e |- N = ( LSpan ` U ) $.
    dochocsn.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochocsn.x $e |- ( ph -> X e. V ) $.
    $( The double orthocomplement of a singleton is its span.  (Contributed by
       NM, 13-Jan-2015.) $)
    dochocsn $p |- ( ph -> ( ._|_ ` ( ._|_ ` { X } ) ) = ( N ` { X } ) ) $=
      ( csn cfv wcel syl2anc snssd dochocsp fveq2d chlt cdih wceq eqid dihlsprn
      wa crn dochoc eqtr3d ) AIQZERZFRZFRZUMFRZFRUNAUOUQFABCDEFGHUMJKLMNOAIGPUA
      UBUCADUDSHCSUIZUNHDUERRZUJSZUPUNUFOAURIGSUTOPBCUSDEGHIJKMNUSUGZUHTCUSDFHU
      NJVALUKTUL $.
  $}

  ${
    dochsncom.h $e |- H = ( LHyp ` K ) $.
    dochsncom.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochsncom.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochsncom.v $e |- V = ( Base ` U ) $.
    dochsncom.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochsncom.x $e |- ( ph -> X e. V ) $.
    dochsncom.y $e |- ( ph -> Y e. V ) $.
    $( Swap vectors in an orthocomplement of a singleton.  (Contributed by NM,
       17-Jun-2015.) $)
    dochsncom $p |- ( ph ->
      ( X e. ( ._|_ ` { Y } ) <-> Y e. ( ._|_ ` { X } ) ) ) $=
      ( cfv wss wcel syl2anc csn clspn cdih eqid wa crn dihlsprn dochord3 snssd
      chlt dochocsp sseq2d 3bitr3d clss dvhlmod dochlss lspsnel5 3bitr4d ) AHUA
      ZBUBQZQZIUAZEQZRZVBUTQZUSEQZRZHVCSIVFSAVAVEEQZRVEVAEQZRVDVGACGDUCQQZDEGVA
      VEJVJUDZKNADUJSGCSUEZHFSVAVJUFZSNOBCVJDUTFGHJLMUTUDZVKUGTAVLIFSVEVMSNPBCV
      JDUTFGIJLMVNVKUGTUHAVHVCVAABCDUTEFGVBJLKMVNNAIFPUIZUKULAVIVFVEABCDUTEFGUS
      JLKMVNNAHFOUIZUKULUMABUNQZVCUTFBHMVQUDZVNABCDGJLNUOZAVLVBFRVCVQSNVOVQBCDE
      FGVBJLMVRKUPTOUQAVQVFUTFBIMVRVNVSAVLUSFRVFVQSNVPVQBCDEFGUSJLMVRKUPTPUQUR
      $.
  $}

  ${
    dochsat.h $e |- H = ( LHyp ` K ) $.
    dochsat.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochsat.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochsat.s $e |- S = ( LSubSp ` U ) $.
    dochsat.a $e |- A = ( LSAtoms ` U ) $.
    dochsat.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochsat.q $e |- ( ph -> Q e. S ) $.
    $( The double orthocomplement of an atom is an atom.  (Contributed by NM,
       29-Oct-2014.) $)
    dochsat $p |- ( ph -> ( ( ._|_ ` ( ._|_ ` Q ) ) e. A <-> Q e. A ) ) $=
      ( cfv wcel wceq adantr wa c0g csn clsm co wpss wss wne clmod dvhlmod eqid
      lss0ss syl2anc simpr lsatn0 fveq2d dochoc0 eqtrd ex necon3d necomd df-pss
      mpd sylanbrc chlt cbs lssss syl dochocss csubg lsatlssel lsssubg sseqtrrd
      lsm02 dvhlvec lsssn0 lsmsatcv mpd3an23 eqtr2d eqeltrrd cdih crn dih1dimat
      clvec sylan dochoc eqeltrd impbida ) ACHQZHQZBRZCBRZAWKUAZWJCBWMCEUBQZUCZ
      WJEUDQZUEZWJWMWOCUFZCWQUGCWQSWMWOCUGZWOCUHWRWMEUIRZCDRZWSAWTWKAEFGIJLOUJT
      ZAXAWKPTZDECWNWNUKZMULUMWMCWOWMWJWOUHCWOUHWMBWJEWNXDNXBAWKUNZUOWMCWOWJWOW
      MCWOSZWJWOSWMXFUAZWJWOHQZHQZWOXGWIXHHXGCWOHWMXFUNUPUPWMXIWOSZXFAXJWKAEFGH
      IWNJLKXDOUQTTURUSUTVCVAWOCVBVDWMCWJWQWMGVERIFRUAZCEVFQZUGZCWJUGAXKWKOTAXM
      WKAXAXMPDCXLEXLUKZMVGVHTEFGHXLICJLXNKVIUMWMWJEVJQRZWQWJSWMWTWJDRXOXBWMBDW
      JEMNXBXEVKDWJEMVLUMWPEWJWNXDWPUKZVNVHZVMWMBWPWJDWOCEMXPNAEWDRWKAEFGIJLOVO
      TWMWTWODRXBDEWNXDMVPVHXCXEVQVRXQVSXEVTAWLUAZWJCBXRXKCIGWAQQZWBRZWJCSAXKWL
      OTAXKWLXTOBCEFXSGIJLXSUKZNWCWEFXSGHICJYAKWFUMAWLUNWGWH $.
  $}

  ${
    $d v ._|_ $.  $d v U $.  $d v V $.  $d v X $.  $d v ph $.
    dochshpncl.h $e |- H = ( LHyp ` K ) $.
    dochshpncl.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochshpncl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochshpncl.v $e |- V = ( Base ` U ) $.
    dochshpncl.y $e |- Y = ( LSHyp ` U ) $.
    dochshpncl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochshpncl.x $e |- ( ph -> X e. Y ) $.
    $( If a hyperplane is not closed, its closure equals the vector space.
       (Contributed by NM, 29-Oct-2014.) $)
    dochshpncl $p |- ( ph ->
      ( ( ._|_ ` ( ._|_ ` X ) ) =/= X <-> ( ._|_ ` ( ._|_ ` X ) ) = V ) ) $=
      ( cfv wcel adantr wss vv wne wceq wa cv csn clspn clsm wrex clss w3a eqid
      co dvhlmod islshpsm mpbid simp3d wpss id adantlr 3adant3 chlt lshplss syl
      dochocss syl2anc 3ad2ant1 simp1r necomd sylanbrc dochssv sseqtrrd dvhlvec
      lssss df-pss simp3 dochlss simpr lsmcv syl3anc rexlimdv3a eqnetrd impbida
      eqtrd mpd lshpne ) AHEQZEQZHUBZWHFUCZAWIUDZHUAUEZUFBUGQZQBUHQZUMZFUCZUAFU
      IZWJAWQWIAHBUJQZRZHFUBZWQAHIRWSWTWQUKPAUAWNWRHIWMFBMWMULZWRULZWNULZNABCDG
      JLOUNZUOUPUQSWKWPWJUAFWKWLFRZWPUKZWHWOFXFAXEUDZHWHURZWHWOTWHWOUCWKXEXGWPA
      XEXGWIXGUSUTVAXFHWHTZHWHUBXHWKXEXIWPAXIWIADVBRGCRUDZHFTZXIOAWSXKAWRHIBXBN
      XDPVCZWRHFBMXBVNVDZBCDEFGHJLMKVEVFSVGXFWHHAWIXEWPVHVIHWHVOVJXFWHFWOWKXEWH
      FTZWPAXNWIAXJWGFTZXNOAXJXKXOOXMBCDEFGHJLMKVKVFZBCDEFGWGJLMKVKVFSVGWKXEWPV
      PZVLXGWNWRHWHWMFBWLMXBXAXCXGBCDGJLAXJXEOSVMAWSXEXLSAWHWRRZXEAXJXOXROXPWRB
      CDEFGWGJLMXBKVQVFSAXEVRVSVTXQWDWAWEAWJUDZWHFHAWJVRXSHFAWTWJAHIFBMNXDPWFSV
      IWBWC $.
  $}

  ${
    dochlkr.h $e |- H = ( LHyp ` K ) $.
    dochlkr.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochlkr.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochlkr.f $e |- F = ( LFnl ` U ) $.
    dochlkr.y $e |- Y = ( LSHyp ` U ) $.
    dochlkr.l $e |- L = ( LKer ` U ) $.
    dochlkr.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochlkr.g $e |- ( ph -> G e. F ) $.
    $( Equivalent conditions for the closure of a kernel to be a hyperplane.
       (Contributed by NM, 29-Oct-2014.) $)
    dochlkr $p |- ( ph
     -> ( ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) e. Y
       <-> ( ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) = ( L ` G )
                /\ ( L ` G ) e. Y ) ) ) $=
      ( cfv wcel wceq wa wss chlt cbs eqid dvhlmod lkrssv dochocss adantr clvec
      syl2anc dvhlvec wne clmod simpr lshpne lkrshpor ord 2fveq3 adantl dochoc1
      ex eqtrd syld necon1ad imp lshpcmp mpbid eqcomd jca eleq1 biimpar impbid1
      wn ) ADGSZHSHSZJTZVQVPUAZVPJTZUBZAVRWAAVRUBZVSVTWBVPVQWBVPVQUCZVPVQUAAWCV
      RAFUDTIETUBZVPBUESZUCWCQACDGWEBWEUFZNPABEFIKMQUGZRUHBEFHWEIVPKMWFLUIULUJW
      BVPVQJBOABUKTVRABEFIKMQUMZUJAVRVTAVRVQWEUNZVTAVRWIWBVQJWEBWFOABUOTVRWGUJA
      VRUPZUQVCAVTVQWEAVTVOVPWEUAZVQWEUAZAVTWKACDJGWEBWFONPWHRURUSAWKWLAWKUBZVQ
      WEHSHSZWEWKVQWNUAAVPWEHHUTVAWMBEFHWEIKMLWFAWDWKQUJVBVDVCVEVFVEVGZWJVHVIVJ
      WOVKVCVSVRVTVQVPJVLVMVN $.
  $}

  ${
    dochkrshp.h $e |- H = ( LHyp ` K ) $.
    dochkrshp.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochkrshp.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochkrshp.v $e |- V = ( Base ` U ) $.
    dochkrshp.y $e |- Y = ( LSHyp ` U ) $.
    dochkrshp.f $e |- F = ( LFnl ` U ) $.
    dochkrshp.l $e |- L = ( LKer ` U ) $.
    dochkrshp.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochkrshp.g $e |- ( ph -> G e. F ) $.
    $( The closure of a kernel is a hyperplane iff it doesn't contain all
       vectors.  (Contributed by NM, 1-Nov-2014.) $)
    dochkrshp $p |- ( ph -> ( ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) =/= V
              <-> ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) e. Y ) ) $=
      ( cfv wne wcel wceq wa simpr chlt adantr 2fveq3 dochoc1 sylan9eqr necon3d
      eqtr4d ex wn df-ne dvhlvec lkrshpor orcomd ord syl5bi syld imp dochshpncl
      mpbid necon1d necon3ad jcad dochlkr sylibrd clmod dvhlmod lshpne impbid )
      ADGUAZHUAHUAZIUBZVPKUCZAVQVPVOUDZVOKUCZUEVRAVQVSVTAVPVOVPIAVPVOUBZVPIUDZA
      WAUEZWAWBAWAUFWCBEFHIJVOKLMNOPAFUGUCJEUCUEWASUHAWAVTAWAVOIUBZVTAVOIVPVOAV
      OIUDZVSAWEUEVPIVOWEAVPIHUAHUAIVOIHHUIABEFHIJLNMOSUJUKZAWEUFUMUNULWDWEUOZA
      VTVOIUPAWEVTAVTWEACDKGIBOPQRABEFJLNSUQTURUSUTZVAVBVCVDVEUNVFAVQWGVTAWEVPI
      AWEWBWFUNVGWHVBVHABCDEFGHJKLMNQPRSTVIVJAVRVQAVRUEVPKIBOPABVKUCVRABEFJLNSV
      LUHAVRUFVMUNVN $.
  $}

  ${
    dochkrshp2.h $e |- H = ( LHyp ` K ) $.
    dochkrshp2.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochkrshp2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochkrshp2.v $e |- V = ( Base ` U ) $.
    dochkrshp2.y $e |- Y = ( LSHyp ` U ) $.
    dochkrshp2.f $e |- F = ( LFnl ` U ) $.
    dochkrshp2.l $e |- L = ( LKer ` U ) $.
    dochkrshp2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochkrshp2.g $e |- ( ph -> G e. F ) $.
    $( Properties of the closure of the kernel of a functional.  (Contributed
       by NM, 1-Jan-2015.) $)
    dochkrshp2 $p |- ( ph -> ( ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) =/= V <->
      ( ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) = ( L ` G ) /\ ( L ` G ) e. Y ) ) ) $=
      ( cfv wne wcel wceq wa dochkrshp dochlkr bitrd ) ADGUAZHUAHUAZIUBUJKUCUJU
      IUDUIKUCUEABCDEFGHIJKLMNOPQRSTUFABCDEFGHJKLMNQPRSTUGUH $.
  $}

  ${
    dochkrshp3.h $e |- H = ( LHyp ` K ) $.
    dochkrshp3.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochkrshp3.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochkrshp3.v $e |- V = ( Base ` U ) $.
    dochkrshp3.f $e |- F = ( LFnl ` U ) $.
    dochkrshp3.l $e |- L = ( LKer ` U ) $.
    dochkrshp3.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochkrshp3.g $e |- ( ph -> G e. F ) $.
    $( Properties of the closure of the kernel of a functional.  (Contributed
       by NM, 1-Jan-2015.) $)
    dochkrshp3 $p |- ( ph -> ( ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) =/= V <->
      ( ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) = ( L ` G ) /\ ( L ` G ) =/= V ) ) ) $=
      ( cfv wne wceq clsh wcel wa eqid dochkrshp2 dvhlvec lkrshp4 anbi2d bitr4d
      ) ADGSZHSHSZITULUKUAZUKBUBSZUCZUDUMUKITZUDABCDEFGHIJUNKLMNUNUEZOPQRUFAUPU
      OUMACDUNGIBNUQOPABEFJKMQUGRUHUIUJ $.

    $( Properties of the closure of the kernel of a functional.  (Contributed
       by NM, 1-Jan-2015.) $)
    dochkrshp4 $p |- ( ph -> ( ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) = ( L ` G ) <->
      ( ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) =/= V \/ ( L ` G ) = V ) ) ) $=
      ( cfv wceq wne wo wa df-ne dochkrshp3 biimprd expdimp syl5bir orrd orcomd
      wn ex simpl syl6bi dochoc1 2fveq3 id eqeq12d syl5ibrcom jaod impbid ) ADG
      SZHSHSZVBTZVCIUAZVBITZUBZAVDVGAVDUCZVFVEVHVFVEVFUKVBIUAZVHVEVBIUDAVDVIVEA
      VEVDVIUCZABCDEFGHIJKLMNOPQRUEZUFUGUHUIUJULAVEVDVFAVEVJVDVKVDVIUMUNAVDVFIH
      SHSZITABEFHIJKMLNQUOVFVCVLVBIVBIHHUPVFUQURUSUTVA $.
  $}

  ${
    dochdmj1.h $e |- H = ( LHyp ` K ) $.
    dochdmj1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochdmj1.v $e |- V = ( Base ` U ) $.
    dochdmj1.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    $( De Morgan-like law for subspace orthocomplement.  (Contributed by NM,
       5-Aug-2014.) $)
    dochdmj1 $p |- ( ( ( K e. HL /\ W e. H ) /\ X C_ V /\ Y C_ V )
        -> ( ._|_ ` ( X u. Y ) ) = ( ( ._|_ ` X ) i^i ( ._|_ ` Y ) ) ) $=
      ( wcel wss cfv a1i dochss syl3anc 3adant3 3adant2 chlt wa w3a simp1 simp2
      cun cin simp3 unssd ssun1 ssun2 ssind cdih crn wceq eqid dochcl dihmeetcl
      syl12anc dochoc syl2anc dochssv ssinss1 dochocss unss12 inss1 inss2 sstrd
      syl eqsstrrd eqssd ) CUAMFBMUBZGENZHENZUCZGHUFZDOZGDOZHDOZUGZVOVQVRVSVOVL
      VPENZGVPNZVQVRNVLVMVNUDZVOGHEVLVMVNUEVLVMVNUHUIZWBVOGHUJPABCDEFGVPIJKLQRV
      OVLWAHVPNZVQVSNWCWDWEVOHGUKPABCDEFHVPIJKLQRULVOVTVTDOZDOZVQVOVLVTFCUMOOZU
      NZMZWGVTUOWCVOVLVRWIMZVSWIMZWJWCVLVMWKVNABWHCDEFGIWHUPZJKLUQSVLVNWLVMABWH
      CDEFHIWMJKLUQTBWHCFVRVSIWMURUSBWHCDFVTIWMLUTVAVOVLWFENZVPWFNWGVQNWCVOVLVT
      ENZWNWCVOVRENZWOVLVMWPVNABCDEFGIJKLVBSZVRVSEVCVIABCDEFVTIJKLVBVAVOVPVRDOZ
      VSDOZUFZWFVOGWRNZHWSNZVPWTNVLVMXAVNABCDEFGIJKLVDSVLVNXBVMABCDEFHIJKLVDTGW
      RHWSVEVAVOWRWSWFVOVLWPVTVRNZWRWFNWCWQXCVOVRVSVFPABCDEFVTVRIJKLQRVOVLVSENZ
      VTVSNZWSWFNWCVLVNXDVMABCDEFHIJKLVBTXEVOVRVSVGPABCDEFVTVSIJKLQRUIVHABCDEFV
      PWFIJKLQRVJVK $.
  $}

  ${
    dochnoncon.h $e |- H = ( LHyp ` K ) $.
    dochnoncon.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochnoncon.s $e |- S = ( LSubSp ` U ) $.
    dochnoncon.z $e |- .0. = ( 0g ` U ) $.
    dochnoncon.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    $( Law of noncontradiction.  The intersection of a subspace and its
       orthocomplement is the zero subspace.  (Contributed by NM,
       16-Apr-2014.) $)
    dochnoncon $p |- ( ( ( K e. HL /\ W e. H ) /\ X e. S )
        -> ( X i^i ( ._|_ ` X ) ) = { .0. } ) $=
      ( wcel cfv wss eqid wceq syldan syl2anc chlt wa cin lssss dochocss sylan2
      csn cbs ssrind cdih ccnv coc cp0 cmee co simpl crn wf1o wf1 dihf11 adantr
      clss f1f1orn syl dochcl dihrnlss f1ocnvdm ad2antrr opoccl dihmeet syl3anc
      cops hlop opnoncon fveq2d eqtr3d dihcnvid2 dochoc ineq12d 3eqtr3d sseqtrd
      dochvalr dih0 clmod dvhlmod simpr lssincl lss0ss eqssd ) DUANZFCNZUBZGANZ
      UBZGGEOZUCZHUGZWNWPWOEOZWOUCZWQWNGWRWOWMWLGBUHOZPZGWRPAGWTBWTQZKUDZBCDEWT
      FGIJXBMUEUFUIWNWRFDUJOOZUKOZXDOZXEDULOZOZXDOZUCZDUMOZXDOZWSWQWNXEXHDUNOZU
      OZXDOZXJXLWNWLXEDUHOZNZXHXPNZXOXJRWLWMUPZWNXPXDUQZXDURZWRXTNZXQWNXPBVBOZX
      DUSZYAWLYDWMXPYCBCXDDFXPQZIXDQZJYCQZUTVAXPYCXDVCVDWLWMWOWTPZYBWNWOYCNZYHW
      LWMWOXTNZYIWMWLXAYJXCBCXDDEWTFGIYFJXBMVEUFZYCBCXDDFWOIJYFYGVFSYCWOWTBXBYG
      UDVDBCXDDEWTFWOIYFJXBMVESZXPXTWRXDVGTZWNDVLNZXQXRWJYNWKWMDVMVHZYMXPDXGXEY
      EXGQZVITXPCXDDXMFXEXHYEXMQZIYFVJVKWNXNXKXDWNYNXQXNXKRYOYMXPDXMXGXEXKYEYPY
      QXKQZVNTVOVPWNXFWRXIWOWLWMYBXFWRRYLCXDDFWRIYFVQSWNWREOZXIWOWLWMYBYSXIRYLC
      XDDEXGFWRYPIYFMWBSWLWMYJYSWORYKCXDDEFWOIYFMVRSVPVSWLXLWQRWMBCXDDHFXKYRIYF
      JLWCVAVTWAWNBWDNZWPANZWQWPPWNBCDFIJXSWEZWNYTWMWOANZUUAUUBWLWMWFWLWMYJUUCY
      KABCXDDFWOIJYFKVFSAGWOBKWGVKABWPHLKWHTWI $.

    dochnel2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochnel2.t $e |- ( ph -> T e. S ) $.
    dochnel2.x $e |- ( ph -> X e. ( T \ { .0. } ) ) $.
    $( A nonzero member of a subspace doesn't belong to the orthocomplement of
       the subspace.  (Contributed by NM, 28-Feb-2015.) $)
    dochnel2 $p |- ( ph -> -. X e. ( ._|_ ` T ) ) $=
      ( wcel wa cfv csn eldifbd eldifad cin elin chlt dochnoncon syl2anc eleq2d
      wceq bitr3id biimpd mpand mtod ) AICGUAZSZIJUBZSZAICURRUCAICSZUQUSAICURRU
      DAUTUQTZUSVAICUPUEZSAUSICUPUFAVBURIAFUGSHESTCBSVBURUKPQBDEFGHCJKLMNOUHUIU
      JULUMUNUO $.
  $}

  ${
    dochnel.h $e |- H = ( LHyp ` K ) $.
    dochnel.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochnel.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochnel.v $e |- V = ( Base ` U ) $.
    dochnel.z $e |- .0. = ( 0g ` U ) $.
    dochnel.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochnel.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    $( A nonzero vector doesn't belong to the orthocomplement of its singleton.
       (Contributed by NM, 27-Oct-2014.) $)
    dochnel $p |- ( ph -> -. X e. ( ._|_ ` { X } ) ) $=
      ( csn cfv eqid wcel clspn clss clmod dvhlmod eldifad lspsncl syl2anc cdif
      wne lspsnid eldifsni eldifsn sylanbrc dochnel2 snssd dochocsp neleqtrd
      syl ) AHQZBUARZRZERUSERHABUBRZVABCDEGHIJLVBSZNKOABUCTZHFTZVAVBTABCDGJLOUD
      ZAHFIQZPUEZVBUTFBHMVCUTSZUFUGAHVATZHIUIZHVAVGUHTAVDVEVJVFVHUTFBHMVIUJUGAH
      FVGUHTVKPHFIUKURHVAIULUMUNABCDUTEFGUSJLKMVIOAHFVHUOUPUQ $.
  $}

  $c joinH $.

  $( Extend class notation with subspace join for ` DVecH ` vector space. $)
  cdjh $a class joinH $.

  ${
    $d k w x y $.
    $( Define (closed) subspace join for ` DVecH ` vector space.  (Contributed
       by NM, 19-Jul-2014.) $)
    df-djh $a |- joinH = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
        ( x e. ~P ( Base ` ( ( DVecH ` k ) ` w ) ) ,
          y e. ~P ( Base ` ( ( DVecH ` k ) ` w ) ) |-> ( ( ( ocH ` k ) ` w ) `
     ( ( ( ( ocH ` k ) ` w ) ` x ) i^i ( ( ( ocH ` k ) ` w ) ` y ) ) ) ) ) ) $.
  $}

  ${
    $d k w H $.  $d k w x y K $.
    djhval.h $e |- H = ( LHyp ` K ) $.
    $( Subspace join for ` DVecH ` vector space.  (Contributed by NM,
       19-Jul-2014.) $)
    djhffval $p |- ( K e. X -> ( joinH ` K ) = ( w e. H |->
        ( x e. ~P ( Base ` ( ( DVecH ` K ) ` w ) ) ,
          y e. ~P ( Base ` ( ( DVecH ` K ) ` w ) ) |-> ( ( ( ocH ` K ) ` w ) `
     ( ( ( ( ocH ` K ) ` w ) ` x ) i^i ( ( ( ocH ` K ) ` w ) ` y ) ) ) ) ) ) $=
      ( vk wcel cvv cdjh cfv cv cdvh cbs cpw coch clh fveq2 fveq1d cmpo eqtr4di
      cmpt wceq elex fveq2d pweqd ineq12d fveq12d mpoeq123dv mpteq12dv mptfvmpt
      cin df-djh syl ) EFIEJIEKLCDABCMZENLZLZOLZPZUTAMZUPEQLZLZLZBMZVCLZUMZVCLZ
      UAZUCUDEFUECHVIRKCHMZRLZABUPVJNLZLZOLZPZVOVAUPVJQLZLZLZVEVQLZUMZVQLZUAZUC
      DJEEVJEUDZCVKWBDVIWCVKERLDVJERSGUBWCABVOVOWAUTUTVHWCVNUSWCVMUROWCUPVLUQVJ
      ENSTUFUGZWDWCVTVGVQVCWCUPVPVBVJEQSTZWCVRVDVSVFWCVAVQVCWETWCVEVQVCWETUHUIU
      JUKABCHUNGULUO $.

    $d w ._|_ $.  $d w x y V $.  $d w x y W $.
    djhval.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    djhval.v $e |- V = ( Base ` U ) $.
    djhval.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    djhval.j $e |- .\/ = ( ( joinH ` K ) ` W ) $.
    $( Subspace join for ` DVecH ` vector space.  (Contributed by NM,
       19-Jul-2014.) $)
    djhfval $p |- ( ( K e. X /\ W e. H ) -> .\/ = ( x e. ~P V ,
        y e. ~P V |-> ( ._|_ ` ( ( ._|_ ` x ) i^i ( ._|_ ` y ) ) ) ) ) $=
      ( vw cv cfv cbs fveq1d wcel cdvh coch cmpo cmpt cdjh djhffval syl5eq wceq
      cpw cin 2fveq3 fveq2i eqtri eqtr4di pweqd ineq12d fveq12d mpoeq123dv eqid
      fveq2 fvexi pwex mpoex fvmpt sylan9eq ) FJUAZIDUAEIPDABPQZFUBRZRSRZUJZVKA
      QZVHFUCRZRZRZBQZVNRZUKZVNRZUDZUEZRZABHUJZWCVLGRZVPGRZUKZGRZUDZVGEIFUFRZRW
      BOVGIWIWAABPDFJKUGTUHPIVTWHDWAVHIUIZABVKVKVSWCWCWGWJVJHWJVJIVIRZSRZHVHISV
      IULHCSRWLMCWKSLUMUNUOUPZWMWJVRWFVNGWJVNIVMRGVHIVMVANUOZWJVOWDVQWEWJVLVNGW
      NTWJVPVNGWNTUQURUSWAUTABWCWCWGHHCSMVBVCZWOVDVEVF $.

    $d x y ._|_ $.  $d x y X $.  $d x y Y $.
    $( Subspace join for ` DVecH ` vector space.  (Contributed by NM,
       19-Jul-2014.) $)
    djhval $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X C_ V /\ Y C_ V ) )
          -> ( X .\/ Y ) = ( ._|_ ` ( ( ._|_ ` X ) i^i ( ._|_ ` Y ) ) ) ) $=
      ( vx vy wcel wa cfv wceq chlt wss co cpw cv cin cmpo djhfval adantr oveqd
      cvv fvexi elpw2 biimpri ad2antrl ad2antll fvexd ineq1d fveq2d ineq2d eqid
      cbs fveq2 ovmpog syl3anc eqtrd ) DUAQGBQRZHFUBZIFUBZRZRZHICUCHIOPFUDZVLOU
      EZESZPUEZESZUFZESZUGZUCZHESZIESZUFZESZVKCVSHIVGCVSTVJOPABCDEFGUAJKLMNUHUI
      UJVKHVLQZIVLQZWDUKQVTWDTVHWEVGVIWEVHHFFAVBLULZUMUNUOVIWFVGVHWFVIIFWGUMUNU
      PVKWCEUQOPHIVLVLVRWDVSWAVPUFZESUKVMHTZVQWHEWIVNWAVPVMHEVCURUSVOITZWHWCEWJ
      VPWBWAVOIEVCUTUSVSVAVDVEVF $.

    $( Value of subspace join for ` DVecH ` vector space.  (Contributed by NM,
       6-Aug-2014.) $)
    djhval2 $p |- ( ( ( K e. HL /\ W e. H ) /\ X C_ V /\ Y C_ V )
          -> ( X .\/ Y ) = ( ._|_ ` ( ._|_ ` ( X u. Y ) ) ) ) $=
      ( chlt wcel wa wss w3a cfv co cin cun djhval 3impb dochdmj1 fveq2d eqtr4d
      wceq ) DOPGBPQZHFRZIFRZSZHICUAZHETIETUBZETZHIUCETZETUJUKULUNUPUIABCDEFGHI
      JKLMNUDUEUMUQUOEABDEFGHIJKLMUFUGUH $.
  $}

  ${
    djhcl.h $e |- H = ( LHyp ` K ) $.
    djhcl.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    djhcl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    djhcl.v $e |- V = ( Base ` U ) $.
    djhcl.j $e |- .\/ = ( ( joinH ` K ) ` W ) $.
    $( Closure of subspace join for ` DVecH ` vector space.  (Contributed by
       NM, 19-Jul-2014.) $)
    djhcl $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X C_ V /\ Y C_ V ) )
          -> ( X .\/ Y ) e. ran I ) $=
      ( wcel wa wss cfv dochcl syldan chlt co coch cin crn djhval inss1 adantrr
      eqid dihrnss sstrid eqeltrd ) EUAOGBOPZHFQZIFQZPZPZHIDUBHGEUCRRZRZIURRZUD
      ZURRZCUEZABDEURFGHIJLMURUIZNUFUMUPVAFQVBVCOUQVAUSFUSUTUGUMUPUSVCOZUSFQUMU
      NVEUOABCEURFGHJKLMVDSUHABCEFGUSJLKMUJTUKABCEURFGVAJKLMVDSTUL $.
  $}

  ${
    djhlj.b $e |- B = ( Base ` K ) $.
    djhlj.k $e |- .\/ = ( join ` K ) $.
    djhlj.h $e |- H = ( LHyp ` K ) $.
    djhlj.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    djhlj.j $e |- J = ( ( joinH ` K ) ` W ) $.
    $( Transfer lattice join to ` DVecH ` vector space closed subspace join.
       (Contributed by NM, 19-Jul-2014.) $)
    djhlj $p |- ( ( ( K e. HL /\ W e. H ) /\ ( X e. B /\ Y e. B ) )
          -> ( I ` ( X .\/ Y ) ) = ( ( I ` X ) J ( I ` Y ) ) ) $=
      ( wcel wa cfv wceq eqid syldan chlt coch cin coc cmee cdvh cbs wss simprl
      co simpl simprr djhval syl12anc cops hlop ad2antrr opoccl syl2anc dihmeet
      dihss syl3anc dochvalr2 ineq12d eqtr4d fveq2d clat latmcl eqtr3d col hlol
      hllat oldmm4 3eqtrrd ) FUAOZGBOZPZHAOZIAOZPZPZHCQZICQZDUJZWBGFUBQQZQZWCWE
      QZUCZWEQZHFUDQZQZIWJQZFUEQZUJZWJQZCQZHIEUJZCQWAVQWBGFUFQQZUGQZUHZWCWSUHZW
      DWIRVQVTUKZVQVTVRWTVQVRVSUIZAWRBCFWSGHJLMWRSZWSSZVATVQVTVSXAVQVRVSULZAWRB
      CFWSGIJLMXDXEVATWRBDFWEWSGWBWCLXDXEWESZNUMUNWAWNCQZWEQZWIWPWAXHWHWEWAXHWK
      CQZWLCQZUCZWHWAVQWKAOZWLAOZXHXLRXBWAFUOOZVRXMVOXOVPVTFUPUQZXCAFWJHJWJSZUR
      USZWAXOVSXNXPXFAFWJIJXQURUSZABCFWMGWKWLJWMSZLMUTVBWAWFXJWGXKVQVTVRWFXJRXC
      ABCFWEWJGHJXQLMXGVCTVQVTVSWGXKRXFABCFWEWJGIJXQLMXGVCTVDVEVFVQVTWNAOZXIWPR
      WAFVGOZXMXNYAVOYBVPVTFVLUQXRXSAFWMWKWLJXTVHVBABCFWEWJGWNJXQLMXGVCTVIWAWOW
      QCWAFVJOZVRVSWOWQRVOYCVPVTFVKUQXCXFAEFWMWJHIJKXTXQVMVBVFVN $.

    djhljj.w $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    djhljj.x $e |- ( ph -> X e. B ) $.
    djhljj.y $e |- ( ph -> Y e. B ) $.
    $( Lattice join in terms of ` DVecH ` vector space closed subspace join.
       (Contributed by NM, 17-Aug-2014.)  (New usage is discouraged.) $)
    djhljjN $p |- ( ph
          -> ( X .\/ Y ) = ( `' I ` ( ( I ` X ) J ( I ` Y ) ) ) ) $=
      ( cfv wcel co ccnv wceq chlt wa djhlj syl12anc crn cdvh cbs dihcl syl2anc
      wss eqid dihrnss djhcl dihcnvid2 eqtr4d clat simpld hllatd latjcl syl3anc
      wb dihcnvcl dih11 mpbid ) AIJFUAZDSZIDSZJDSZEUAZDUBSZDSZUCZVHVMUCZAVIVLVN
      AGUDTZHCTZUEZIBTZJBTZVIVLUCPQRBCDEFGHIJKLMNOUFUGAVSVLDUHZTZVNVLUCPAVSVJHG
      UISSZUJSZUMZVKWEUMZWCPAVSVJWBTZWFPAVSVTWHPQBCDGHIKMNUKULWDCDGWEHVJMWDUNZN
      WEUNZUOULAVSVKWBTZWGPAVSWAWKPRBCDGHJKMNUKULWDCDGWEHVKMWINWJUOULWDCDEGWEHV
      JVKMNWIWJOUPUGZCDGHVLMNUQULURAVSVHBTZVMBTZVOVPVDPAGUSTVTWAWMAGAVQVRPUTVAQ
      RBFGIJKLVBVCAVSWCWNPWLBCDGHVLKMNVEULBCDGHVHVMKMNVFVCVG $.
  $}

  ${
    djhj.k $e |- .\/ = ( join ` K ) $.
    djhj.h $e |- H = ( LHyp ` K ) $.
    djhj.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    djhj.j $e |- J = ( ( joinH ` K ) ` W ) $.
    djhj.w $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    djhj.x $e |- ( ph -> X e. ran I ) $.
    djhj.y $e |- ( ph -> Y e. ran I ) $.
    $( ` DVecH ` vector space closed subspace join in terms of lattice join.
       (Contributed by NM, 9-Aug-2014.) $)
    djhjlj $p |- ( ph
          -> ( X J Y ) = ( I ` ( ( `' I ` X ) .\/ ( `' I ` Y ) ) ) ) $=
      ( cfv co wcel syl2anc ccnv chlt cbs wceq crn eqid dihcnvcl djhlj syl12anc
      wa dihcnvid2 oveq12d eqtr2d ) AHCUAZQZIUNQZERCQZUOCQZUPCQZDRZHIDRAFUBSGBS
      UJZUOFUCQZSZUPVBSZUQUTUDNAVAHCUEZSZVCNOVBBCFGHVBUFZKLUGTAVAIVESZVDNPVBBCF
      GIVGKLUGTVBBCDEFGUOUPVGJKLMUHUIAURHUSIDAVAVFURHUDNOBCFGHKLUKTAVAVHUSIUDNP
      BCFGIKLUKTULUM $.

    $( ` DVecH ` vector space closed subspace join in terms of lattice join.
       (Contributed by NM, 17-Aug-2014.) $)
    djhj $p |- ( ph
          -> ( `' I ` ( X J Y ) ) = ( ( `' I ` X ) .\/ ( `' I ` Y ) ) ) $=
      ( co cfv wcel syl2anc ccnv djhjlj fveq2d chlt cbs wceq clat simpld hllatd
      wa crn eqid dihcnvcl latjcl syl3anc dihcnvid1 eqtrd ) AHIDQZCUAZRHUSRZIUS
      RZEQZCRZUSRZVBAURVCUSABCDEFGHIJKLMNOPUBUCAFUDSZGBSZUJZVBFUERZSZVDVBUFNAFU
      GSUTVHSZVAVHSZVIAFAVEVFNUHUIAVGHCUKZSVJNOVHBCFGHVHULZKLUMTAVGIVLSVKNPVHBC
      FGIVMKLUMTVHEFUTVAVMJUNUOVHBCFGVBVMKLUPTUQ $.
  $}

  ${
    djhcom.h $e |- H = ( LHyp ` K ) $.
    djhcom.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    djhcom.v $e |- V = ( Base ` U ) $.
    djhcom.j $e |- .\/ = ( ( joinH ` K ) ` W ) $.
    djhcom.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    djhcom.x $e |- ( ph -> X C_ V ) $.
    djhcom.y $e |- ( ph -> Y C_ V ) $.
    $( Subspace join commutes.  (Contributed by NM, 8-Aug-2014.) $)
    djhcom $p |- ( ph -> ( X .\/ Y ) = ( Y .\/ X ) ) $=
      ( cun cfv co fveq2i coch uncom chlt wcel wa wss wceq eqid djhval2 syl3anc
      3eqtr4a ) AHIQZGEUARRZRZUMRZIHQZUMRZUMRZHIDSZIHDSZUNUQUMULUPUMHIUBTTAEUCU
      DGCUDUEZHFUFZIFUFZUSUOUGNOPBCDEUMFGHIJKLUMUHZMUIUJAVAVCVBUTURUGNPOBCDEUMF
      GIHJKLVDMUIUJUK $.
  $}

  ${
    djhspss.h $e |- H = ( LHyp ` K ) $.
    djhspss.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    djhspss.v $e |- V = ( Base ` U ) $.
    djhspss.n $e |- N = ( LSpan ` U ) $.
    djhspss.j $e |- .\/ = ( ( joinH ` K ) ` W ) $.
    djhspss.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    djhspss.x $e |- ( ph -> X C_ V ) $.
    djhspss.y $e |- ( ph -> Y C_ V ) $.
    $( Subspace span of union is a subset of subspace join.  (Contributed by
       NM, 6-Aug-2014.) $)
    djhspss $p |- ( ph -> ( N ` ( X u. Y ) ) C_ ( X .\/ Y ) ) $=
      ( cfv wcel cun coch co eqid unssd dochspss chlt wss wceq djhval2 sseqtrrd
      wa syl3anc ) AIJUAZFSUNHEUBSSZSUOSZIJDUCZABCEFUOGHUNKLUOUDZMNPAIJGQRUEUFA
      EUGTHCTULIGUHJGUHUQUPUIPQRBCDEUOGHIJKLMUROUJUMUK $.
  $}

  ${
    djhsumss.h $e |- H = ( LHyp ` K ) $.
    djhsumss.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    djhsumss.v $e |- V = ( Base ` U ) $.
    djhsumss.p $e |- .(+) = ( LSSum ` U ) $.
    djhsumss.j $e |- .\/ = ( ( joinH ` K ) ` W ) $.
    djhsumss.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    djhsumss.x $e |- ( ph -> X C_ V ) $.
    djhsumss.y $e |- ( ph -> Y C_ V ) $.
    $( Subspace sum is a subset of subspace join.  (Contributed by NM,
       6-Aug-2014.) $)
    djhsumss $p |- ( ph -> ( X .(+) Y ) C_ ( X .\/ Y ) ) $=
      ( co cfv cun clspn eqid dvhlmod lsmssspx djhspss sstrd ) AIJBSIJUACUBTZTI
      JESABIJUHGCMUHUCZNQRACDFHKLPUDUEACDEFUHGHIJKLMUIOPQRUFUG $.
  $}

  ${
    dihsumssj.b $e |- B = ( Base ` K ) $.
    dihsumssj.h $e |- H = ( LHyp ` K ) $.
    dihsumssj.j $e |- .\/ = ( join ` K ) $.
    dihsumssj.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihsumssj.p $e |- .(+) = ( LSSum ` U ) $.
    dihsumssj.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihsumssj.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihsumssj.x $e |- ( ph -> X e. B ) $.
    dihsumssj.y $e |- ( ph -> Y e. B ) $.
    $( The subspace sum of two isomorphisms of lattice elements is less than
       the isomorphism of their lattice join.  (Contributed by NM,
       23-Sep-2014.) $)
    dihsumssj $p |- ( ph
     -> ( ( I ` X ) .(+) ( I ` Y ) ) C_ ( I ` ( X .\/ Y ) ) ) $=
      ( cfv co cdjh cbs eqid chlt wcel wa wss dihss syl2anc djhsumss wceq djhlj
      syl12anc sseqtrrd ) AJFUAZKFUAZCUBUQURIHUCUAUAZUBZJKGUBFUAZACDEUSHDUDUAZI
      UQURMOVBUEZPUSUEZRAHUFUGIEUGUHZJBUGZUQVBUIRSBDEFHVBIJLMQOVCUJUKAVEKBUGZUR
      VBUIRTBDEFHVBIKLMQOVCUJUKULAVEVFVGVAUTUMRSTBEFUSGHIJKLNMQVDUNUOUP $.
  $}

  ${
    djhunss.h $e |- H = ( LHyp ` K ) $.
    djhunss.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    djhunss.v $e |- V = ( Base ` U ) $.
    djhunss.j $e |- .\/ = ( ( joinH ` K ) ` W ) $.
    djhunss.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    djhunss.x $e |- ( ph -> X C_ V ) $.
    djhunss.y $e |- ( ph -> Y C_ V ) $.
    $( Subspace union is a subset of subspace join.  (Contributed by NM,
       6-Aug-2014.)  (New usage is discouraged.) $)
    djhunssN $p |- ( ph -> ( X u. Y ) C_ ( X .\/ Y ) ) $=
      ( cun clspn cfv wss clmod wcel dvhlmod unssd eqid lspssid syl2anc djhspss
      co sstrd ) AHIQZUKBRSZSZHIDUIABUAUBUKFTUKUMTABCEGJKNUCAHIFOPUDUKULFBLULUE
      ZUFUGABCDEULFGHIJKLUNMNOPUHUJ $.
  $}

  ${
    dochdmm1.h $e |- H = ( LHyp ` K ) $.
    dochdmm1.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dochdmm1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochdmm1.v $e |- V = ( Base ` U ) $.
    dochdmm1.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochdmm1.j $e |- .\/ = ( ( joinH ` K ) ` W ) $.
    dochdmm1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochdmm1.x $e |- ( ph -> X e. ran I ) $.
    dochdmm1.y $e |- ( ph -> Y e. ran I ) $.
    $( De Morgan-like law for closed subspace orthocomplement.  (Contributed by
       NM, 13-Jan-2015.) $)
    dochdmm1 $p |- ( ph
           -> ( ._|_ ` ( X i^i Y ) ) = ( ( ._|_ ` X ) .\/ ( ._|_ ` Y ) ) ) $=
      ( cin cfv cun chlt wcel wss wceq dihrnss syl2anc dochssv dochdmj1 syl3anc
      co wa crn dochoc ineq12d eqtr2d fveq2d djhval2 eqtr4d ) AJKUAZGUBJGUBZKGU
      BZUCGUBZGUBZVCVDEUMZAVBVEGAVEVCGUBZVDGUBZUAZVBAFUDUEICUEUNZVCHUFZVDHUFZVE
      VJUGRAVKJHUFZVLRAVKJDUOZUEZVNRSBCDFHIJLNMOUHUIBCFGHIJLNOPUJUIZAVKKHUFZVMR
      AVKKVOUEZVRRTBCDFHIKLNMOUHUIBCFGHIKLNOPUJUIZBCFGHIVCVDLNOPUKULAVHJVIKAVKV
      PVHJUGRSCDFGIJLMPUPUIAVKVSVIKUGRTCDFGIKLMPUPUIUQURUSAVKVLVMVGVFUGRVQVTBCE
      FGHIVCVDLNOPQUTULVA $.
  $}

  ${
    djhexmid.h $e |- H = ( LHyp ` K ) $.
    djhexmid.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    djhexmid.v $e |- V = ( Base ` U ) $.
    djhexmid.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    djhexmid.j $e |- .\/ = ( ( joinH ` K ) ` W ) $.
    $( Excluded middle property of ` DVecH ` vector space closed subspace join.
       (Contributed by NM, 22-Jul-2014.) $)
    djhexmid $p |- ( ( ( K e. HL /\ W e. H ) /\ X C_ V )
          -> ( X .\/ ( ._|_ ` X ) ) = V ) $=
      ( wcel wa wss cfv wceq eqid syldan chlt co cin simpl simpr dochssv djhval
      syl12anc c0g csn clss dochlss dochnoncon adantr eqtr4d fveq2d cdih dih1rn
      doch1 crn dochoc 3eqtrd ) DUANGBNOZHFPZOZHHEQZCUBZVFVFEQUCZEQZFEQZEQZFVEV
      CVDVFFPVGVIRVCVDUDVCVDUEABDEFGHIJKLUFABCDEFGHVFIJKLMUGUHVEVHVJEVEVHAUIQZU
      JZVJVCVDVFAUKQZNVHVMRVNABDEFGHIJKVNSZLULVNABDEGVFVLIJVOVLSZLUMTVCVJVMRVDA
      BDEFGVLIJLKVPUSUNUOUPVCVDFGDUQQQZUTNZVKFRVCVRVDABVQDFGIVQSZJKURUNBVQDEGFI
      VSLVATVB $.
  $}

  ${
    djh01.h $e |- H = ( LHyp ` K ) $.
    djh01.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    djh01.o $e |- .0. = ( 0g ` U ) $.
    djh01.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    djh01.j $e |- .\/ = ( ( joinH ` K ) ` W ) $.
    djh01.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    djh01.x $e |- ( ph -> X e. ran I ) $.
    $( Closed subspace join with zero.  (Contributed by NM, 9-Aug-2014.) $)
    djh01 $p |- ( ph -> ( X .\/ { .0. } ) = X ) $=
      ( co cfv eqid wcel csn ccnv cjn chlt wa crn dih0rn syl djhjlj cp0 dih0cnv
      wceq oveq2d col simpld hlol dihcnvcl syl2anc olj01 eqtrd fveq2d dihcnvid2
      cbs 3eqtrd ) AHIUAZEQHDUBZRZVEVFRZFUCRZQZDRVGDRZHACDEVIFGHVEVISZJMNOPAFUD
      TZGCTZUEZVEDUFZTOBCDFGIJMKLUGUHUIAVJVGDAVJVGFUJRZVIQZVGAVHVQVGVIAVOVHVQUL
      OBCDFGVQIJVQSZMKLUKUHUMAFUNTZVGFVCRZTZVRVGULAVMVTAVMVNOUOFUPUHAVOHVPTZWBO
      PWACDFGHWASZJMUQURWAVIFVGVQWDVLVSUSURUTVAAVOWCVKHULOPCDFGHJMVBURVD $.

    $( Closed subspace join with zero.  (Contributed by NM, 9-Aug-2014.) $)
    djh02 $p |- ( ph -> ( { .0. } .\/ X ) = X ) $=
      ( co wcel wss dihrnss csn cbs cfv eqid chlt wa crn dih0rn syl2anc2 djhcom
      syl2anc djh01 eqtrd ) AIUAZHEQHUNEQHABCEFBUBUCZGUNHJKUOUDZNOAFUERGCRUFZUN
      DUGZRUNUOSOBCDFGIJMKLUHBCDFUOGUNJKMUPTUIAUQHURRHUOSOPBCDFUOGHJKMUPTUKUJAB
      CDEFGHIJKLMNOPULUM $.
  $}

  ${
    djhlsmcl.h $e |- H = ( LHyp ` K ) $.
    djhlsmcl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    djhlsmcl.v $e |- V = ( Base ` U ) $.
    djhlsmcl.s $e |- S = ( LSubSp ` U ) $.
    djhlsmcl.p $e |- .(+) = ( LSSum ` U ) $.
    djhlsmcl.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    djhlsmcl.j $e |- .\/ = ( ( joinH ` K ) ` W ) $.
    djhlsmcl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    djhlsmcl.x $e |- ( ph -> X e. S ) $.
    djhlsmcl.y $e |- ( ph -> Y e. S ) $.
    $( A closed subspace sum equals subspace join.  ( ~ shjshseli analog.)
       (Contributed by NM, 13-Aug-2014.) $)
    djhlsmcl $p |- ( ph
       -> ( ( X .(+) Y ) e. ran I <-> ( X .(+) Y ) = ( X .\/ Y ) ) ) $=
      ( co crn wcel wceq wa cun coch cfv chlt wss adantr lssss syl eqid djhval2
      syl3anc clspn clmod dvhlmod lsmsp fveq2d unssd dochocsp eqtrd 3eqtr2rd ex
      dochoc sylan wi djhcl syl12anc eleq1a impbid ) AKLBUCZFUDZUEZVPKLGUCZUFZA
      VRVTAVRUGZVSKLUHZJHUIUJUJZUJZWCUJZVPWCUJZWCUJZVPWAHUKUEJEUEUGZKIULZLIULZV
      SWEUFAWHVRTUMZAWIVRAKCUEZWIUACKIDOPUNUOZUMAWJVRALCUEZWJUBCLIDOPUNUOZUMDEG
      HWCIJKLMNOWCUPZSUQURWAWFWDWCWAWFWBDUSUJZUJZWCUJWDWAVPWRWCWADUTUEZWLWNVPWR
      UFAWSVRADEHJMNTVAUMAWLVRUAUMAWNVRUBUMBCKLWQDPWQUPZQVBURVCWADEHWQWCIJWBMNW
      POWTWKAWBIULVRAKLIWMWOVDUMVEVFVCAWHVRWGVPUFTEFHWCJVPMRWPVIVJVGVHAVSVQUEZV
      TVRVKAWHWIWJXATWMWODEFGHIJKLMRNOSVLVMVSVQVPVNUOVO $.
  $}

  ${
    $d r .0. $.  $d r z I $.  $d r z K $.  $d r z N $.  $d r z ph $.  $d z W $.
    $d r z S $.  $d r z V $.  $d r z X $.  $d r z Y $.
    djhcvat42.h $e |- H = ( LHyp ` K ) $.
    djhcvat42.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    djhcvat42.v $e |- V = ( Base ` U ) $.
    djhcvat42.o $e |- .0. = ( 0g ` U ) $.
    djhcvat42.n $e |- N = ( LSpan ` U ) $.
    djhcvat42.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    djhcvat42.j $e |- .\/ = ( ( joinH ` K ) ` W ) $.
    djhcvat42.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    djhcvat42.s $e |- ( ph -> S e. ran I ) $.
    djhcvat42.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    djhcvat42.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
    $( A covering property.  ( ~ cvrat42 analog.)  (Contributed by NM,
       17-Aug-2014.) $)
    djhcvat42 $p |- ( ph
      -> ( ( S =/= { .0. } /\ ( N ` { X } ) C_ ( S .\/ ( N ` { Y } ) ) )
        -> E. z e. ( V \ { .0. } ) ( ( N ` { z } ) C_ S
           /\ ( N ` { X } ) C_ ( ( N ` { z } ) .\/ ( N ` { Y } ) ) ) ) ) $=
      ( vr ccnv cfv cp0 wne csn cjn co cple wbr wa catm wrex wss cdif chlt wcel
      cv cbs wi simpld crn dihcnvcl syl2anc eldifad eldifsni dihlspsnat syl3anc
      syl cvrat42 syl13anc dih0sb necon3bid dihlsprn dihrnss syl12anc dihcnvord
      eqid djhcl djhj breq2d bitr3d anbi12d adantr eldifi adantl dihatexv2 wceq
      wb breq1 oveq1 rexxfr2d rexbidva bitr2d 3imtr4d ) ACFUGZUHZHUIUHZUJZLUKIU
      HZXAUHZXBMUKIUHZXAUHZHULUHZUMZHUNUHZUOZUPZUFVCZXBXKUOZXFXNXHXIUMZXKUOZUPZ
      UFHUQUHZURZCNUKZUJZXECXGGUMZUSZUPBVCZUKIUHZCUSZXEYFXGGUMZUSZUPZBJYAUTZURZ
      AHVAVBZXBHVDUHZVBZXFXSVBZXHXSVBZXMXTVEAYMKEVBZUBVFAYMYRUPZCFVGZVBZYOUBUCY
      NEFHKCYNWCZOTVHVIAYSLJVBZLNUJZYPUBALJYAUDVJZALYKVBUUDUDLJNVKVNXSDEFHIJKLN
      XSWCZOPQRSTVLVMAYSMJVBZMNUJZYQUBAMJYAUEVJZAMYKVBUUHUEMJNVKVNXSDEFHIJKMNUU
      FOPQRSTVLVMXSYNXFXHXIHXKXBXCUFUUBXKWCZXIWCZXCWCZUUFVOVPAYBXDYDXLACYAXBXCA
      DEFHIJKCXCNOUULTPQRSUBUCVQVRAXFYCXAUHZXKUOYDXLAEFHXKKXEYCUUJOTUBAYSUUCXEY
      TVBZUBUUEDEFHIJKLOPQSTVSZVIAYSCJUSZXGJUSZYCYTVBUBAYSUUAUUPUBUCDEFHJKCOPTQ
      VTVIAYSXGYTVBZUUQUBAYSUUGUURUBUUIDEFHIJKMOPQSTVSVIZDEFHJKXGOPTQVTVIZDEFGH
      JKCXGOTPQUAWDWAWBAUUMXJXFXKAEFGXIHKCXGUUKOTUAUBUCUUSWEWFWGWHAXTYFXAUHZXBX
      KUOZXFUVAXHXIUMZXKUOZUPZBYKURYLAXRUVEUFBUVAXSYKXSAYEYKVBZUPZYSYEJVBZYENUJ
      ZUVAXSVBAYSUVFUBWIZUVFUVHAYEJYAWJWKZUVFUVIAYEJNVKWKXSDEFHIJKYENUUFOPQRSTV
      LVMABXSXNDEFHIJKNUUFOPQRSTUBWLXNUVAWMZXRUVEWNAUVLXOUVBXQUVDXNUVAXBXKWOUVL
      XPUVCXFXKXNUVAXHXIWPWFWHWKWQAUVEYJBYKUVGUVBYGUVDYIUVGEFHXKKYFCUUJOTUVJUVG
      YSUVHYFYTVBZUVJUVKDEFHIJKYEOPQSTVSVIZAUUAUVFUCWIWBUVGXFYHXAUHZXKUOUVDYIUV
      GUVOUVCXFXKUVGEFGXIHKYFXGUUKOTUAUVJUVNAUURUVFUUSWIWEWFUVGEFHXKKXEYHUUJOTU
      VJUVGYSUUCUUNUVJAUUCUVFUUEWIUUOVIUVGYSYFJUSZUUQYHYTVBUVJUVGYSUVMUVPUVJUVN
      DEFHJKYFOPTQVTVIAUUQUVFUUTWIDEFGHJKYFXGOTPQUAWDWAWBWGWHWRWSWT $.
  $}

  ${
    dihjatb.l $e |- .<_ = ( le ` K ) $.
    dihjatb.h $e |- H = ( LHyp ` K ) $.
    dihjatb.j $e |- .\/ = ( join ` K ) $.
    dihjatb.a $e |- A = ( Atoms ` K ) $.
    dihjatb.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihjatb.s $e |- .(+) = ( LSSum ` U ) $.
    dihjatb.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihjatb.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihjatb.p $e |- ( ph -> ( P e. A /\ P .<_ W ) ) $.
    dihjatb.q $e |- ( ph -> ( Q e. A /\ Q .<_ W ) ) $.
    $( Isomorphism H of lattice join of two atoms under the fiducial
       hyperplane.  (Contributed by NM, 23-Sep-2014.) $)
    dihjatb $p |- ( ph ->
      ( I ` ( P .\/ Q ) ) = ( ( I ` P ) .(+) ( I ` Q ) ) ) $=
      ( co cfv dih2dimb cbs eqid wcel wbr simpld atbase syl dihsumssj eqssd ) A
      CEIUCHUDCHUDEHUDDUCABCDEFGHIJKLMOPNQRSTUAUBUEAJUFUDZDFGHIJLCEUOUGZNOQRSTA
      CBUHZCUOUHAUQCLKUIUAUJBUOCJUPPUKULAEBUHZEUOUHAURELKUIUBUJBUOEJUPPUKULUMUN
      $.
  $}

  ${
    dihjatc.b $e |- B = ( Base ` K ) $.
    dihjatc.l $e |- .<_ = ( le ` K ) $.
    dihjatc.h $e |- H = ( LHyp ` K ) $.
    dihjatc.j $e |- .\/ = ( join ` K ) $.
    dihjatc.a $e |- A = ( Atoms ` K ) $.
    dihjatc.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihjatc.s $e |- .(+) = ( LSSum ` U ) $.
    dihjatc.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihjatc.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihjatc.x $e |- ( ph -> ( X e. B /\ X .<_ W ) ) $.
    dihjatc.p $e |- ( ph -> ( P e. A /\ -. P .<_ W ) ) $.
    $( Isomorphism H of lattice join of an element under the fiducial
       hyperplane with atom not under it.  (Contributed by NM, 26-Aug-2014.) $)
    dihjatc $p |- ( ph ->
      ( I ` ( X .\/ P ) ) = ( ( I ` X ) .(+) ( I ` P ) ) ) $=
      ( cp1 cfv cmee co chlt wcel wa wbr wceq cops simpld hlop syl op1cl atbase
      wn eqid ople1 syl2anc col hlol simprd eqbrtrd dihjatc3 syl312anc fvoveq1d
      olm12 fveq2d oveq1d 3eqtr3d ) AJUEUFZMJUGUFZUHZDIUHHUFZVQHUFZDHUFZEUHZMDI
      UHHUFMHUFZVTEUHAJUIUJZLGUJZUKVOCUJZMCUJZDBUJZDLKULUTZUKDVOKULZVQLKULVRWAU
      MUBAJUNUJZWEAWCWJAWCWDUBUOZJUPUQZCVOJNVOVAZURUQAWFMLKULZUCUOZUDAWJDCUJZWI
      WLAWGWPAWGWHUDUOBCDJNRUSUQCVOJKDNOWMVBVCAVQMLKAJVDUJZWFVQMUMAWCWQWKJVEUQW
      OCVOJVPMNVPVAZWMVKVCZAWFWNUCVFVGBCEDFGHIJKVPLVOMNOPQWRRSTUAVHVIAVQMDHIWSV
      JAVSWBVTEAVQMHWSVLVMVN $.
  $}

  ${
    dihjatcclem.b $e |- B = ( Base ` K ) $.
    dihjatcclem.l $e |- .<_ = ( le ` K ) $.
    dihjatcclem.h $e |- H = ( LHyp ` K ) $.
    dihjatcclem.j $e |- .\/ = ( join ` K ) $.
    dihjatcclem.m $e |- ./\ = ( meet ` K ) $.
    dihjatcclem.a $e |- A = ( Atoms ` K ) $.
    dihjatcclem.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihjatcclem.s $e |- .(+) = ( LSSum ` U ) $.
    dihjatcclem.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihjatcclem.v $e |- V = ( ( P .\/ Q ) ./\ W ) $.
    dihjatcclem.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihjatcclem.p $e |- ( ph -> ( P e. A /\ -. P .<_ W ) ) $.
    dihjatcclem.q $e |- ( ph -> ( Q e. A /\ -. Q .<_ W ) ) $.
    $( Lemma for isomorphism H of lattice join of two atoms not under the
       fiducial hyperplane.  (Contributed by NM, 26-Sep-2014.) $)
    dihjatcclem1 $p |- ( ph -> ( I ` ( P .\/ Q ) )
 = ( ( ( I ` P ) .(+) ( I ` Q ) ) .(+) ( I ` V ) ) ) $=
      ( cfv co cabl wcel csubg wceq dvhlmod lmodabl syl clss wss eqid lsssssubg
      clmod chlt wa wbr simpld atbase dihlss syl2anc sseldd clat hllatd hlatjcl
      wn syl3anc simprd lhpbase latmcl eqeltrid lsm4 syl122anc intnand latjle12
      wb syl13anc mtbid hlatlej1 dihvalcq2 fveq2i oveq2i eqtr4di oveq12d lsmidm
      hlatlej2 eqtr3d oveq2d 3eqtr3d ) ADIUIZNIUIZEUJZFIUIZWSEUJZEUJZWRXAEUJZWS
      WSEUJZEUJZDFJUJZIUIZXDWSEUJAGUKULZWRGUMUIZULWSXJULZXAXJULXKXCXFUNAGVBULZX
      IAGHKORUBUFUOZGUPUQAGURUIZXJWRAXLXNXJUSXMXNGXNUTZVAUQZAKVCULZOHULZVDZDCUL
      ZWRXNULUFADBULZXTAYADOLVEZVNZUGVFZBCDKPUAVGUQZCXNGHIKODPRUDUBXOVHVIVJAXNX
      JWSXPAXSNCULWSXNULUFANXGOMUJZCUEAKVKULZXGCULZOCULZYFCULAKAXQXRUFVFZVLZAXQ
      YAFBULZYHYJYDAYLFOLVEZVNZUHVFZBCJKDFPSUAVMVOZAXRYIAXQXRUFVPCHKOPRVQUQZCKM
      XGOPTVRVOVSCXNGHIKONPRUDUBXOVHVIVJZAXNXJXAXPAXSFCULZXAXNULUFAYLYSYOBCFKPU
      AVGUQZCXNGHIKOFPRUDUBXOVHVIVJYREWRWSXAWSGUCVTWAAXHXHEUJZXCXHAXHWTXHXBEAXH
      WRYFIUIZEUJZWTAXSYHXGOLVEZVNZYAYCVDDXGLVEZXHUUCUNUFYPAYBYMVDZUUDAYMYBAYLY
      NUHVPWBAYGXTYSYIUUGUUDWDYKYEYTYQCJKLDFOPQSWCWEWFZUGAXQYAYLUUFYJYDYOBDFJKL
      QSUAWGVOBCEDGHIJKLMOXGPQSTUARUDUBUCWHWAWSUUBWRENYFIUEWIZWJWKAXHXAUUBEUJZX
      BAXSYHUUEYLYNVDFXGLVEZXHUUJUNUFYPUUHUHAXQYAYLUUKYJYDYOBDFJKLQSUAWNVOBCEFG
      HIJKLMOXGPQSTUARUDUBUCWHWAWSUUBXAEUUIWJWKWLAXHXJULUUAXHUNAXNXJXHXPAXSYHXH
      XNULUFYPCXNGHIKOXGPRUDUBXOVHVIVJEXHGUCWMUQWOAXEWSXDEAXKXEWSUNYREWSGUCWMUQ
      WPWQ $.

    ${
      dihjatcclem2.c $e |- ( ph ->
        ( I ` V ) C_ ( ( I ` P ) .(+) ( I ` Q ) ) ) $.
      $( Lemma for isomorphism H of lattice join of two atoms not under the
         fiducial hyperplane.  (Contributed by NM, 26-Sep-2014.) $)
      dihjatcclem2 $p |- ( ph ->
        ( I ` ( P .\/ Q ) ) = ( ( I ` P ) .(+) ( I ` Q ) ) ) $=
        ( co cfv dihjatcclem1 csubg wcel wceq clss clmod dvhlmod eqid lsssssubg
        wss syl chlt wa wbr wn simpld atbase dihlss syl2anc lsmcl sseldd fveq2i
        syl3anc clat hllatd hlatjcl simprd lhpbase latmcl eqeltrid lsmss2 eqtrd
        ) ADFJUJZIUKDIUKZFIUKZEUJZNIUKZEUJZWGABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUG
        UHULAWGGUMUKZUNWHWJUNWHWGVAWIWGUOAGUPUKZWJWGAGUQUNZWKWJVAAGHKORUBUFURZW
        KGWKUSZUTVBZAWLWEWKUNZWFWKUNZWGWKUNWMAKVCUNZOHUNZVDZDCUNZWPUFADBUNZXAAX
        BDOLVEVFUGVGZBCDKPUAVHVBCWKGHIKODPRUDUBWNVIVJAWTFCUNZWQUFAFBUNZXDAXEFOL
        VEVFUHVGZBCFKPUAVHVBCWKGHIKOFPRUDUBWNVIVJEWKWEWFGWNUCVKVNVLAWKWJWHWOAWH
        WDOMUJZIUKZWKNXGIUEVMAWTXGCUNZXHWKUNUFAKVOUNWDCUNZOCUNZXIAKAWRWSUFVGZVP
        AWRXBXEXJXLXCXFBCJKDFPSUAVQVNAWSXKAWRWSUFVRCHKOPRVSVBCKMWDOPTVTVNCWKGHI
        KOXGPRUDUBWNVIVJWAVLUIEWGWHGUCWBVNWC $.
    $}

    $d d t .<_ $.  $d f s .(+) $.  $d t .0. $.  $d d A $.  $d d B $.  $d d C $.
    $d g h t u D $.  $d a b t E $.  $d d g t H $.  $d g h u J $.  $d g h u N $.
    $d f g h s t u I $.  $d d f g h s t u P $.  $d f g h s t u ph $.  $d t R $.
    $d g h t u G $.  $d a b d g t K $.  $d d f g h s t u Q $.  $d a b d t T $.
    $d g h t u U $.  $d f s t V $.  $d a b d g t W $.
    dihjatcc.w $e |- C = ( ( oc ` K ) ` W ) $.
    dihjatcc.t $e |- T = ( ( LTrn ` K ) ` W ) $.
    dihjatcc.r $e |- R = ( ( trL ` K ) ` W ) $.
    dihjatcc.e $e |- E = ( ( TEndo ` K ) ` W ) $.
    dihjatcc.g $e |- G = ( iota_ d e. T ( d ` C ) = P ) $.
    dihjatcc.dd $e |- D = ( iota_ d e. T ( d ` C ) = Q ) $.
    $( Lemma for ~ dihjatcc .  (Contributed by NM, 28-Sep-2014.) $)
    dihjatcclem3 $p |- ( ph -> ( R ` ( G o. `' D ) ) = V ) $=
      ( ccnv ccom cfv co chlt wcel wa wbr wceq lhpocnel2 syl ltrniotacl syl3anc
      wn ltrncnv syl2anc trlval2 ltrncoval syl121anc ltrniotacnvval ltrniotaval
      ltrnco simpld fveq2d eqtrd oveq2d hlatjcom eqtr4d oveq1d eqtr4di ) AMEVBZ
      VCZIVDZHHWMVDZPVEZUASVEZTAQVFVGZUANVGZVHZWMJVGZHBVGZHUARVIVOZVHZWNWQVJUMA
      WTMJVGZWLJVGZXAUMAWTDBVGDUARVIVOVHZFBVGZFUARVIVOZVHZXEUMAWTXGUMBDNQRUAUDU
      HUEUPVKVLZUNBDFJUBMNQRUAUDUHUEUQUTVMVNZAWTEJVGZXFUMAWTXGXDXMUMXKUOBDHJUBE
      NQRUAUDUHUEUQVAVMVNJENQUAUEUQVPVQZJMWLNQUAUEUQWCVNUOBHIJWMNPQRSUAUDUFUGUH
      UEUQURVRVNAWQFHPVEZUASVETAWPXOUASAWPHFPVEZXOAWOFHPAWOHWLVDZMVDZFAWTXEXFXB
      WOXRVJUMXLXNAXBXCUOWDZBHJMWLNQRUAUDUHUEUQVSVTAXRDMVDZFAXQDMAWTXGXDXQDVJUM
      XKUOBDHJUBENQRUAUDUHUEUQVAWAVNWEAWTXGXJXTFVJUMXKUNBDFJUBMNQRUAUDUHUEUQUTW
      BVNWFWFWGAWRXHXBXOXPVJAWRWSUMWDAXHXIUNWDXSBPQFHUFUHWHVNWIWJULWKWF $.

    dihjatcc.n $e |- N = ( a e. E |-> ( d e. T |-> `' ( a ` d ) ) ) $.
    dihjatcc.o $e |- .0. = ( d e. T |-> ( _I |` B ) ) $.
    dihjatcc.d $e |- J = ( a e. E , b e. E |-> ( d e. T
          |-> ( ( a ` d ) o. ( b ` d ) ) ) ) $.
    $( Lemma for isomorphism H of lattice join of two atoms not under the
       fiducial hyperplane.  (Contributed by NM, 29-Sep-2014.) $)
    dihjatcclem4 $p |- ( ph -> ( I ` V ) C_ ( ( I ` P ) .(+) ( I ` Q ) ) ) $=
      ( vf vs vg vt vh vu cfv co chlt wcel wrel dihvalrel syl wbr wceq cop ccom
      wa cv wex ccnv wrex adantr wn lhpocnel2 ltrniotacl syl3anc ltrncnv ltrnco
      syl2anc simprll simprlr dihjatcclem3 tendoex syl121anc df-rex sylib eqidd
      breqtrrd simprl ad2antrr vex dihopelvalcqat mpbir2and tendoicl tendospdi1
      wb fvex syl13anc simprr tendoi2 tendocnv eqtr2d 3eqtr3d simplrr tendoipl2
      coeq2d eqtr4d wi opeq1 eleq1d anbi1d eqeq2d anbi12d anbi2d ex simpld eqid
      cvv syl12anc atbase coeq1 coeq2 opeq2 oveq2 syl3an9b spc3egv mp3an eximdv
      syl22anc excom syl6ib mpd cdib clat hllatd hlatjcl simprd latmcl eqeltrid
      lhpbase latmle2 eqbrtrid dihvalb eleq2d dibopelval3 bitrd clss dihopellsm
      3imtr4d relssdv ) AVJVKUBOVPZFOVPZHOVPZGVQZARVRVSZUCNVSZWGZUVKVTURNORUCUB
      UJUPWAWBAVJWHZJVSZUVRIVPZUBSWCZWGZVKWHZUDWDZWGZVLWHZVMWHZWEZUVLVSZVNWHZVO
      WHZWEZUVMVSZWGZUVRUWFUWJWFZWDZUWCUWGUWKPVQZWDZWGZWGZVOWIVNWIZVMWIVLWIZUVR
      UWCWEZUVKVSZUXCUVNVSAUWEUXBAUWEWGZUWGLVSZMEWJZWFZUWGVPZUVRWDZWGZVMWIZUXBU
      XEUXJVMLWKZUXLUXEUVQUXHJVSZUVSUVTUXHIVPZSWCUXMAUVQUWEURWLAUXNUWEAUVQMJVSZ
      UXGJVSZUXNURAUVQDBVSDUCSWCWMWGZFBVSZFUCSWCWMZWGZUXPURAUVQUXRURBDNRSUCUIUM
      UJVAWNWBZUSBDFJUGMNRSUCUIUMUJVBVEWOWPZAUVQEJVSZUXQURAUVQUXRHBVSZHUCSWCWMZ
      WGZUYDURUYBUTBDHJUGENRSUCUIUMUJVBVFWOWPZJENRUCUJVBWQWSZJMUXGNRUCUJVBWRWPW
      LAUVSUWAUWDWTUXEUVTUBUXOSAUVSUWAUWDXAAUXOUBWDUWEABCDEFGHIJKLMNOQRSTUBUCUG
      UHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFXBWLXHVMIJLUXHNRSUVRUCUIUJVBVCVDXCX
      DUXJVMLXEXFUXEUXLUXAVLWIZVMWIUXBUXEUXKUYJVMUXEUXKUYJUXEUXKWGZMUWGVPZUWGWE
      ZUVLVSZEUWGUAVPZVPZUYOWEZUVMVSZUVRUYLUYPWFZWDZUWCUWGUYOPVQZWDZUYJUYKUYNUY
      LUYLWDZUXFUYKUYLXGUXEUXFUXJXIZUYKUVQUYAUYNVUCUXFWGXPAUVQUWEUXKURXJZAUYAUW
      EUXKUSXJBDFUWGJUGLUYLMNORSUCUIUMUJVAVBVDUPVEMUWGXQZVMXKXLWSXMUYKUYRUYPUYP
      WDZUYOLVSZUYKUYPXGUYKUVQUXFVUHVUEVUDUWGJUGLNUARUCUEUJVBVDVGXNWSUYKUVQUYGU
      YRVUGVUHWGXPVUEAUYGUWEUXKUTXJBDHUYOJUGLUYPENORSUCUIUMUJVAVBVDUPVFEUYOXQZU
      WGUAXQZXLWSXMUYKUXIUYLUXGUWGVPZWFZUVRUYSUYKUVQUXFUXPUXQUXIVULWDVUEVUDAUXP
      UWEUXKUYCXJAUXQUWEUXKUYIXJJUWGLMUXGNRVRUCUJVBVDXOXRUXEUXFUXJXSUYKVUKUYPUY
      LUYKUYPEUWGVPWJZVUKUYKUXFUYDUYPVUMWDVUDAUYDUWEUXKUYHXJZUWGJUGLEUARUCUEVGV
      BXTWSUYKUVQUXFUYDVUMVUKWDVUEVUDVUNUWGJLENRUCUJVBVDYAWPYBYFYCUYKUWCUDVUAAU
      WBUWDUXKYDUYKUVQUXFVUAUDWDVUEVUDUFCPUWGJUGLNUARUDUCUEUJVBVDVGUHVIVHYEWSYG
      UYLYRVSUYPYRVSUYOYRVSUYNUYRWGZUYTVUBWGZWGZUYJYHVUFVUIVUJUWTVUQVLVNVOUYLUY
      PUYOYRYRYRUWFUYLWDZUWTUYNUWMWGZUVRUYLUWJWFZWDZUWRWGZWGUWJUYPWDZUYNUYPUWKW
      EZUVMVSZWGZUYTUWRWGZWGUWKUYOWDZVUQVURUWNVUSUWSVVBVURUWIUYNUWMVURUWHUYMUVL
      UWFUYLUWGYIYJYKVURUWPVVAUWRVURUWOVUTUVRUWFUYLUWJUUAYLYKYMVVCVUSVVFVVBVVGV
      VCUWMVVEUYNVVCUWLVVDUVMUWJUYPUWKYIYJYNVVCVVAUYTUWRVVCVUTUYSUVRUWJUYPUYLUU
      BYLYKYMVVHVVFVUOVVGVUPVVHVVEUYRUYNVVHVVDUYQUVMUWKUYOUYPUUCYJYNVVHUWRVUBUY
      TVVHUWQVUAUWCUWKUYOUWGPUUDYLYNYMUUEUUFUUGUUIYOUUHUXAVMVLUUJUUKUULYOAUXDUX
      CUBUCRUUMVPVPZVPZVSZUWEAUVKVVJUXCAUVQUBCVSZUBUCSWCZUVKVVJWDURAUBFHQVQZUCT
      VQZCUQARUUNVSZVVNCVSZUCCVSZVVOCVSARAUVOUVPURYPZUUOZAUVOUXSUYEVVQVVSAUXSUX
      TUSYPZAUYEUYFUTYPZBCQRFHUHUKUMUUPWPZAUVPVVRAUVOUVPURUUQCNRUCUHUJUUTWBZCRT
      VVNUCUHULUURWPUUSZAUBVVOUCSUQAVVPVVQVVRVVOUCSWCVVTVWCVWDCRSTVVNUCUHUIULUV
      AWPUVBZCVVINORSVRUCUBUHUIUJUPVVIYQZUVCYSUVDAUVQVVLVVMVVKUWEXPURVWEVWFCIUW
      CJUGUVRNVVIRSVRUCUBUDUHUIUJVBVCVHVWGUVEYSUVFAUFUEVOVMPCGUWCJKVLVNUGLUVRNO
      RKUVGVPZUCFHUHUJVBVDVIUNVWHYQUOUPURAUXSFCVSVWABCFRUHUMYTWBAUYEHCVSVWBBCHR
      UHUMYTWBUVHUVIUVJ $.
  $}

  ${
    $d d .<_ $.  $d d A $.  $d d H $.  $d a b d K $.  $d d P $.  $d d Q $.
    $d a b d W $.
    dihjatcc.l $e |- .<_ = ( le ` K ) $.
    dihjatcc.h $e |- H = ( LHyp ` K ) $.
    dihjatcc.j $e |- .\/ = ( join ` K ) $.
    dihjatcc.a $e |- A = ( Atoms ` K ) $.
    dihjatcc.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihjatcc.s $e |- .(+) = ( LSSum ` U ) $.
    dihjatcc.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihjatcc.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihjatcc.p $e |- ( ph -> ( P e. A /\ -. P .<_ W ) ) $.
    dihjatcc.q $e |- ( ph -> ( Q e. A /\ -. Q .<_ W ) ) $.
    $( Isomorphism H of lattice join of two atoms not under the fiducial
       hyperplane.  (Contributed by NM, 29-Sep-2014.) $)
    dihjatcc $p |- ( ph ->
        ( I ` ( P .\/ Q ) ) = ( ( I ` P ) .(+) ( I ` Q ) ) ) $=
      ( vd va vb cbs cfv cmee co eqid coc wceq cltrn crio ctrl ctendo ccom cmpt
      cv cmpo ccnv cid cres dihjatcclem4 dihjatcclem2 ) ABJUFUGZCDEFGHIJKJUHUGZ
      CEIUILVGUIZLVFUJZMNOVGUJZPQRSVHUJZTUAUBABVFLJUKUGUGZVLUCUSZUGZEULUCLJUMUG
      UGZUNZCDELJUOUGUGZVOFLJUPUGUGZVNCULUCVOUNZGHUDUEVRVRUCVOVMUDUSUGZVMUEUSUG
      UQURUTZIJKVGUDVRUCVOVTVAURURZVHLUCVOVBVFVCURZUDUEUCVIMNOVJPQRSVKTUAUBVLUJ
      VOUJVQUJVRUJVSUJVPUJWBUJWCUJWAUJVDVE $.
  $}

  ${
    dihjat.h $e |- H = ( LHyp ` K ) $.
    dihjat.j $e |- .\/ = ( join ` K ) $.
    dihjat.a $e |- A = ( Atoms ` K ) $.
    dihjat.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihjat.s $e |- .(+) = ( LSSum ` U ) $.
    dihjat.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihjat.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihjat.p $e |- ( ph -> P e. A ) $.
    dihjat.q $e |- ( ph -> Q e. A ) $.
    $( Isomorphism H of lattice join of two atoms.  (Contributed by NM,
       29-Sep-2014.) $)
    dihjat $p |- ( ph ->
        ( I ` ( P .\/ Q ) ) = ( ( I ` P ) .(+) ( I ` Q ) ) ) $=
      ( cple cfv wbr co wceq wa eqid chlt wcel adantr simprl jca simprr dihjatb
      wn cbs atbase syl dihjatc simpld hlatjcom syl3anc fveq2d cabl csubg clmod
      dvhlmod lmodabl clss wss lsssssubg dihlss syl2anc sseldd 3eqtr4d dihjatcc
      lsmcom 4casesdan ) ACKJUAUBZUCZEKVSUCZCEIUDZHUBZCHUBZEHUBZDUDZUEAVTWAUFZU
      FZBCDEFGHIJVSKVSUGZLMNOPQAJUHUIZKGUIZUFZWGRUJWHCBUIZVTAWMWGSUJAVTWAUKULWH
      EBUIZWAAWNWGTUJAVTWAUMULUNAVTWAUOZUFZUFZBJUPUBZEDFGHIJVSKCWRUGZWILMNOPQAW
      LWPRUJWQCWRUIZVTAWTWPAWMWTSBWRCJWSNUQURZUJAVTWOUKULWQWNWOAWNWPTUJAVTWOUMU
      LUSAVTUOZWAUFZUFZECIUDZHUBZWEWDDUDZWCWFXDBWRCDFGHIJVSKEWSWILMNOPQAWLXCRUJ
      XDEWRUIZWAAXHXCAWNXHTBWREJWSNUQURZUJAXBWAUMULXDWMXBAWMXCSUJAXBWAUKULUSAWC
      XFUEXCAWBXEHAWJWMWNWBXEUEAWJWKRUTSTBIJCEMNVAVBVCUJAWFXGUEZXCAFVDUIZWDFVEU
      BZUIWEXLUIXJAFVFUIZXKAFGJKLORVGZFVHURAFVIUBZXLWDAXMXOXLVJXNXOFXOUGZVKURZA
      WLWTWDXOUIRXAWRXOFGHJKCWSLQOXPVLVMVNAXOXLWEXQAWLXHWEXOUIRXIWRXOFGHJKEWSLQ
      OXPVLVMVNDWDWEFPVQVBUJVOAXBWOUFZUFZBCDEFGHIJVSKWILMNOPQAWLXRRUJXSWMXBAWMX
      RSUJAXBWOUKULXSWNWOAWNXRTUJAXBWOUMULVPVR $.
  $}

  ${
    dihprrn.h $e |- H = ( LHyp ` K ) $.
    dihprrn.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihprrn.v $e |- V = ( Base ` U ) $.
    dihprrn.n $e |- N = ( LSpan ` U ) $.
    dihprrn.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihprrn.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihprrn.x $e |- ( ph -> X e. V ) $.
    dihprrn.y $e |- ( ph -> Y e. V ) $.
    ${
      dihprrnlem1.l $e |- .<_ = ( le ` K ) $.
      dihprrnlem1.o $e |- .0. = ( 0g ` U ) $.
      dihprrnlem1.nz $e |- ( ph -> Y =/= .0. ) $.
      dihprrnlem1.x $e |- ( ph -> ( `' I ` ( N ` { X } ) ) .<_ W ) $.
      dihprrnlem1.y $e |- ( ph -> -. ( `' I ` ( N ` { Y } ) ) .<_ W ) $.
      $( Lemma for ~ dihprrn , showing one of 4 cases.  (Contributed by NM,
         30-Aug-2014.)  (New usage is discouraged.) $)
      dihprrnlem1N $p |- ( ph -> ( N ` { X , Y } ) e. ran I ) $=
        ( cpr cfv csn ccnv cjn crn cun df-pr fveq2i clsm catm cbs eqid wcel wbr
        co chlt wa dihlsprn syl2anc dihcnvcl jca wne dihlspsnat syl3anc dihjatc
        wn wceq dihcnvid2 oveq12d clmod wss dvhlmod snssd lsmsp2 3eqtrrd syl5eq
        clat simpld hllatd latjcl dihcl eqeltrd ) AJKUFZGUGZJUHZGUGZDUIZUGZKUHZ
        GUGZWMUGZEUJUGZVAZDUGZDUKZAWJWKWOULZGUGZWTWIXBGJKUMUNAWTWNDUGZWQDUGZBUO
        UGZVAWLWPXFVAZXCAEUPUGZEUQUGZWQXFBCDWREFIWNXIURZUAMWRURZXHURZNXFURZQRAW
        NXIUSZWNIFUTAEVBUSZICUSZVCZWLXAUSZXNRAXQJHUSXRRSBCDEGHIJMNOPQVDVEZXICDE
        IWLXJMQVFVEZUDVGAWQXHUSZWQIFUTVLAXQKHUSZKLVHYARTUCXHBCDEGHIKLXLMNOUBPQV
        IVJUEVGVKAXDWLXEWPXFAXQXRXDWLVMRXSCDEIWLMQVNVEAXQWPXAUSZXEWPVMRAXQYBYCR
        TBCDEGHIKMNOPQVDVEZCDEIWPMQVNVEVOABVPUSWKHVQWOHVQXGXCVMABCEIMNRVRAJHSVS
        AKHTVSXFWKWOGHBOPXMVTVJWAWBAXQWSXIUSZWTXAUSRAEWCUSXNWQXIUSZYEAEAXOXPRWD
        WEXTAXQYCYFRYDXICDEIWPXJMQVFVEXIWREWNWQXJXKWFVJXICDEIWSXJMQWGVEWH $.
    $}

    ${
      dihprrnlem2.o $e |- .0. = ( 0g ` U ) $.
      dihprrnlem2.xz $e |- ( ph -> X =/= .0. ) $.
      dihprrnlem2.yz $e |- ( ph -> Y =/= .0. ) $.
      $( Lemma for ~ dihprrn .  (Contributed by NM, 29-Sep-2014.) $)
      dihprrnlem2 $p |- ( ph -> ( N ` { X , Y } ) e. ran I ) $=
        ( cpr cfv csn ccnv cjn co crn cun df-pr fveq2i clsm catm eqid chlt wcel
        wa wne dihlspsnat syl3anc wceq dihlsprn syl2anc dihcnvid2 oveq12d clmod
        dihjat wss dvhlmod snssd lsmsp2 3eqtrrd syl5eq cbs clat simpld dihcnvcl
        hllatd latjcl dihcl eqeltrd ) AIJUCZFUDZIUEZFUDZDUFZUDZJUEZFUDZWGUDZEUG
        UDZUHZDUDZDUIZAWDWEWIUJZFUDZWNWCWPFIJUKULAWNWHDUDZWKDUDZBUMUDZUHWFWJWTU
        HZWQAEUNUDZWHWTWKBCDWLEHLWLUOZXBUOZMWTUOZPQAEUPUQZHCUQZURZIGUQZIKUSWHXB
        UQQRUAXBBCDEFGHIKXDLMNTOPUTVAAXHJGUQZJKUSWKXBUQQSUBXBBCDEFGHJKXDLMNTOPU
        TVAVHAWRWFWSWJWTAXHWFWOUQZWRWFVBQAXHXIXKQRBCDEFGHILMNOPVCVDZCDEHWFLPVEV
        DAXHWJWOUQZWSWJVBQAXHXJXMQSBCDEFGHJLMNOPVCVDZCDEHWJLPVEVDVFABVGUQWEGVIW
        IGVIXAWQVBABCEHLMQVJAIGRVKAJGSVKWTWEWIFGBNOXEVLVAVMVNAXHWMEVOUDZUQZWNWO
        UQQAEVPUQWHXOUQZWKXOUQZXPAEAXFXGQVQVSAXHXKXQQXLXOCDEHWFXOUOZLPVRVDAXHXM
        XRQXNXOCDEHWJXSLPVRVDXOWLEWHWKXSXCVTVAXOCDEHWMXSLPWAVDWB $.
    $}

    $( The span of a vector pair belongs to the range of isomorphism H i.e. is
       a closed subspace.  (Contributed by NM, 29-Sep-2014.) $)
    dihprrn $p |- ( ph -> ( N ` { X , Y } ) e. ran I ) $=
      ( cfv wcel cpr crn c0g wceq wa csn prcom preq2 syl5eq fveq2d eqid dvhlmod
      lsppr0 chlt dihlsprn syl2anc adantr eqeltrd wne simprl simprr dihprrnlem2
      sylan9eqr pm2.61da2ne ) AIJUAZFSZDUBZTIBUCSZJVHAIVHUDZUEVFJUFFSZVGVIAVFJV
      HUAZFSVJVIVEVKFVIVEJIUAVKIJUGIVHJUHUIUJAFGBJVHMVHUKZNABCEHKLPULZRUMVCAVJV
      GTZVIAEUNTHCTUEZJGTZVNPRBCDEFGHJKLMNOUOUPUQURAJVHUDZUEVFIUFFSZVGVQAVFIVHU
      AZFSVRVQVEVSFJVHIUHUJAFGBIVHMVLNVMQUMVCAVRVGTZVQAVOIGTZVTPQBCDEFGHIKLMNOU
      OUPUQURAIVHUSZJVHUSZUEZUEBCDEFGHIJVHKLMNOAVOWDPUQAWAWDQUQAVPWDRUQVLAWBWCU
      TAWBWCVAVBVD $.
  $}

  ${
    djhlsmat.h $e |- H = ( LHyp ` K ) $.
    djhlsmat.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    djhlsmat.v $e |- V = ( Base ` U ) $.
    djhlsmat.p $e |- .(+) = ( LSSum ` U ) $.
    djhlsmat.n $e |- N = ( LSpan ` U ) $.
    djhlsmat.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    djhlsmat.j $e |- .\/ = ( ( joinH ` K ) ` W ) $.
    djhlsmat.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    djhlsmat.x $e |- ( ph -> X e. V ) $.
    djhlsmat.y $e |- ( ph -> Y e. V ) $.
    $( The sum of two subspace atoms equals their join.  TODO: seems convoluted
       to go via ~ dihprrn ; should we directly use ~ dihjat ?  (Contributed by
       NM, 13-Aug-2014.) $)
    djhlsmat $p |- ( ph -> ( ( N ` { X } ) .(+) ( N ` { Y } ) ) =
      ( ( N ` { X } ) .\/ ( N ` { Y } ) ) ) $=
      ( csn cfv co crn wcel wceq cpr cun clmod wss dvhlmod snssd lsmsp2 syl3anc
      df-pr fveq2i eqtr4di dihprrn eqeltrd clss lspsncl syl2anc djhlsmcl mpbid
      eqid ) AKUCZHUDZLUCZHUDZBUEZEUFZUGVLVIVKFUEUHAVLKLUIZHUDZVMAVLVHVJUJZHUDZ
      VOACUKUGZVHIULVJIULVLVQUHACDGJMNTUMZAKIUAUNALIUBUNBVHVJHICOQPUOUPVNVPHKLU
      QURUSACDEGHIJKLMNOQRTUAUBUTVAABCVBUDZCDEFGIJVIVKMNOVTVGZPRSTAVRKIUGVIVTUG
      VSUAVTHICKOWAQVCVDAVRLIUGVKVTUGVSUBVTHICLOWAQVCVDVEVF $.
  $}

  ${
    $d y I $.  $d x z .\/ $.  $d y K $.  $d x y z N $.  $d x y .0. $.
    $d x y z .(+) $.  $d x y z T $.  $d x y z U $.  $d y z V $.  $d y W $.
    $d x y z X $.  $d x y z ph $.
    dihjat1.h $e |- H = ( LHyp ` K ) $.
    dihjat1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihjat1.v $e |- V = ( Base ` U ) $.
    dihjat1.p $e |- .(+) = ( LSSum ` U ) $.
    dihjat1.n $e |- N = ( LSpan ` U ) $.
    dihjat1.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihjat1.j $e |- .\/ = ( ( joinH ` K ) ` W ) $.
    dihjat1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihjat1.x $e |- ( ph -> X e. ran I ) $.
    ${
      dihjat1.o $e |- .0. = ( 0g ` U ) $.
      dihjat1lem.q $e |- ( ph -> T e. ( V \ { .0. } ) ) $.
      $( Subspace sum of a closed subspace and an atom.  ( ~ pmapjat1 analog.)
         TODO: merge into ~ dihjat1 ?  (Contributed by NM, 18-Aug-2014.) $)
      dihjat1lem $p |- ( ph
          -> ( X .\/ ( N ` { T } ) ) = ( X .(+) ( N ` { T } ) ) ) $=
        ( vx vy vz csn cfv co wceq wa oveq1d chlt wcel crn cdif eldifi dihlsprn
        simpr syl2anc djh02 csubg clmod clss dvhlmod eqid lspsncl lsssubg lsm02
        syl eqtr4d adantr wne wss dihrnss lssss djhcl syl12anc dihrnlss syl3anc
        lsmcl cv wrex simplr ad2antrr djhcvat42 mpand simprrl ad2antrl lspsnel5
        ad3antrrr mpbird lspsnid simprrr sneq fveq2d oveq2d sseq2d jca reximdv2
        rspcev ex syld anim2d lspsnel6 lsmelval2 lssel djhlsmat rexbidva anbi2d
        wb bitrd 3imtr4d lssssr djhsumss eqssd pm2.61dane ) ALCUHZIUIZGUJZLXTBU
        JZUKLMUHZALYCUKZULZYAYCXTGUJZYBYELYCXTGAYDUTZUMYEYBYCXTBUJZYFYELYCXTBYG
        UMAYFYHUKYDAYFXTYHADEFGHKXTMNOUCSTUAAHUNUOKEUOULZCJUOZXTFUPZUOUAACJYCUQ
        ZUOZYJUDCJYCURVKZDEFHIJKCNOPRSUSVAVBAXTDVCUIUOZYHXTUKADVDUOZXTDVEUIZUOZ
        YOADEHKNOUAVFZAYPYJYRYSYNYQIJDCPYQVGZRVHVAZYQXTDYTVIVABDXTMUCQVJVKVLVMV
        LVLALYCVNZULZYAYBUUCUEYQYAYBJDMUCYTAYPUUBYSVMAYAJVOZUUBAYIYAYKUOZUUDUAA
        YILJVOZXTJVOZUUEUAAYILYKUOZUUFUAUBDEFHJKLNOSPVPVAZAYRUUGUUAYQXTJDPYTVQV
        KZDEFGHJKLXTNSOPTVRVSZDEFHJKYANOSPVPVAVMAYBYQUOZUUBAYPLYQUOZYRUULYSAYIU
        UHUUMUAUBYQDEFHKLNOSYTVTVAZUUABYQLXTDYTQWBWAVMUUCUEWCZYLUOZULZUUOJUOZUU
        OUHIUIZYAVOZULZUURUUSUFWCZUHIUIZUGWCZUHZIUIZGUJZVOZUGXTWDZUFLWDZULZUUOY
        AUOZUUOYBUOZUUQUUTUVJUURUUQUUTUVCLVOZUUSUVCXTGUJZVOZULZUFYLWDZUVJUUQUUB
        UUTUVRAUUBUUPWEUUQUFLDEFGHIJKUUOCMNOPUCRSTAYIUUBUUPUAWFAUUHUUBUUPUBWFUU
        CUUPUTAYMUUBUUPUDWFWGWHUUQUVQUVIUFYLLUUQUVBYLUOZUVQULZUVBLUOZUVIULUUQUV
        TULZUWAUVIUWBUWAUVNUUQUVSUVNUVPWIUWBYQLIJDUVBPYTRAYPUUBUUPUVTYSWLZAUUMU
        UBUUPUVTUUNWLUVSUVBJUOZUUQUVQUVBJYCURWJWKWMUWBCXTUOZUVPUVIUWBYPYJUWEUWC
        AYJUUBUUPUVTYNWLIJDCPRWNVAUUQUVSUVNUVPWOUVHUVPUGCXTUVDCUKZUVGUVOUUSUWFU
        VFXTUVCGUWFUVEXSIUVDCWPWQWRWSXBVAWTXCXAXDXEAUVLUVAXLUUBUUPAYQYAIJDUUOPY
        TRYSAYIUUEYAYQUOUAUUKYQDEFHKYANOSYTVTVAXFWFAUVMUVKXLUUBUUPAUVMUURUUSUVC
        UVFBUJZVOZUGXTWDZUFLWDZULUVKAUFUGBYQLXTIJDUUOPYTQRYSUUNUUAXGAUWJUVJUURA
        UWIUVIUFLAUWAULZUWHUVHUGXTUWKUVDXTUOZULZUWGUVGUUSUWMBDEFGHIJKUVBUVDNOPQ
        RSTAYIUWAUWLUAWFUWMUUMUWAUWDAUUMUWAUWLUUNWFAUWAUWLWEYQLJDUVBPYTXHVAUWMY
        RUWLUVDJUOAYRUWAUWLUUAWFUWKUWLUTYQXTJDUVDPYTXHVAXIWSXJXJXKXMWFXNXOAYBYA
        VOUUBABDEGHJKLXTNOPQTUAUUIUUJXPVMXQXR $.
    $}

    dihjat1.q $e |- ( ph -> T e. V ) $.
    $( Subspace sum of a closed subspace and an atom.  ( ~ pmapjat1 analog.)
       (Contributed by NM, 1-Oct-2014.) $)
    dihjat1 $p |- ( ph ->
      ( X .\/ ( N ` { T } ) ) = ( X .(+) ( N ` { T } ) ) ) $=
      ( csn cfv co wceq wa sneq fveq2d clmod wcel dvhlmod eqid lspsn0 sylan9eqr
      c0g syl oveq2d djh01 adantr csubg clss crn dihrnlss syl2anc lsssubg lsm01
      chlt eqtr2d 3eqtrd wne cdif anim1i eldifsn sylibr dihjat1lem pm2.61dane )
      ALCUCZIUDZGUEZLVSBUEZUFCDUPUDZACWBUFZUGZVTLWBUCZGUEZLWAWDVSWELGWCAVSWEIUD
      ZWEWCVRWEICWBUHUIADUJUKZWGWEUFADEHKMNTULZIDWBWBUMZQUNUQUOZURAWFLUFWCADEFG
      HKLWBMNWJRSTUAUSUTWDWALWEBUEZLWDVSWELBWKURAWLLUFZWCALDVAUDUKZWMAWHLDVBUDZ
      UKZWNWIAHVHUKKEUKUGZLFVCUKZWPTUAWODEFHKLMNRWOUMZVDVEWOLDWSVFVEBDLWBWJPVGU
      QUTVIVJACWBVKZUGZBCDEFGHIJKLWBMNOPQRSAWQWTTUTAWRWTUAUTWJXACJUKZWTUGCJWEVL
      UKAXBWTUBVMCJWBVNVOVPVQ $.
  $}

  ${
    dihsmsprn.h $e |- H = ( LHyp ` K ) $.
    dihsmsprn.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihsmsprn.v $e |- V = ( Base ` U ) $.
    dihsmsprn.p $e |- .(+) = ( LSSum ` U ) $.
    dihsmsprn.n $e |- N = ( LSpan ` U ) $.
    dihsmsprn.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihsmsprn.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihsmsprn.x $e |- ( ph -> X e. ran I ) $.
    dihsmsprn.t $e |- ( ph -> T e. V ) $.
    $( Subspace sum of a closed subspace and the span of a singleton.
       (Contributed by NM, 17-Jan-2015.) $)
    dihsmsprn $p |- ( ph -> ( X .(+) ( N ` { T } ) ) e. ran I ) $=
      ( csn cfv cdjh co crn eqid dihjat1 chlt wcel wa wss dihrnss syl2anc clmod
      dvhlmod snssd lspssv djhcl syl12anc eqeltrrd ) AKCUAZHUBZJGUCUBUBZUDZKVBB
      UDFUEZABCDEFVCGHIJKLMNOPQVCUFZRSTUGAGUHUIJEUIUJZKIUKZVBIUKZVDVEUIRAVGKVEU
      IVHRSDEFGIJKLMQNULUMADUNUIVAIUKVIADEGJLMRUOACITUPVAHIDNPUQUMDEFVCGIJKVBLQ
      MNVFURUSUT $.
  $}

  ${
    $d v .\/ $.  $d v .(+) $.  $d v Q $.  $d v U $.  $d v X $.  $d v ph $.
    dihjat2.h $e |- H = ( LHyp ` K ) $.
    dihjat2.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihjat2.j $e |- .\/ = ( ( joinH ` K ) ` W ) $.
    dihjat2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihjat2.p $e |- .(+) = ( LSSum ` U ) $.
    dihjat2.a $e |- A = ( LSAtoms ` U ) $.
    dihjat2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihjat2.x $e |- ( ph -> X e. ran I ) $.
    dihjat2.q $e |- ( ph -> Q e. A ) $.
    $( The subspace sum of a closed subspace and an atom is the same as their
       subspace join.  (Contributed by NM, 1-Oct-2014.) $)
    dihjat2 $p |- ( ph -> ( X .\/ Q ) = ( X .(+) Q ) ) $=
      ( vv cv csn clspn cfv wceq co cbs wcel eqid chlt adantr crn simpr dihjat1
      wa oveq2 adantl 3eqtr4d clmod wrex dvhlmod islsati syl2anc r19.29a ) ADUA
      UBZUCEUDUEZUEZUFZKDHUGZKDCUGZUFUAEUHUEZAVFVLUIZUPZVIUPKVHHUGZKVHCUGZVJVKV
      NVOVPUFVIVNCVFEFGHIVGVLJKLOVLUJZPVGUJZMNAIUKUIJFUIUPVMRULAKGUMUIVMSULAVMU
      NUOULVIVJVOUFVNDVHKHUQURVIVKVPUFVNDVHKCUQURUSAEUTUIDBUIVIUAVLVAAEFIJLORVB
      TUABDVGVLEUTVQVRQVCVDVE $.
  $}

  ${
    dihjat3.b $e |- B = ( Base ` K ) $.
    dihjat3.h $e |- H = ( LHyp ` K ) $.
    dihjat3.j $e |- .\/ = ( join ` K ) $.
    dihjat3.a $e |- A = ( Atoms ` K ) $.
    dihjat3.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihjat3.s $e |- .(+) = ( LSSum ` U ) $.
    dihjat3.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihjat3.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihjat3.x $e |- ( ph -> X e. B ) $.
    dihjat3.p $e |- ( ph -> P e. A ) $.
    $( Isomorphism H of lattice join with an atom.  (Contributed by NM,
       25-Apr-2015.) $)
    dihjat3 $p |- ( ph ->
      ( I ` ( X .\/ P ) ) = ( ( I ` X ) .(+) ( I ` P ) ) ) $=
      ( co cfv cdjh chlt wcel wa wceq atbase syl eqid djhlj syl12anc clsa dihcl
      crn syl2anc dihatlat dihjat2 eqtrd ) ALDIUCHUDZLHUDZDHUDZKJUEUDUDZUCZVCVD
      EUCAJUFUGKGUGUHZLCUGZDCUGZVBVFUITUAADBUGZVIUBBCDJMPUJUKCGHVEIJKLDMONSVEUL
      ZUMUNAFUOUDZEVDFGHVEJKVCNSVKQRVLULZTAVGVHVCHUQUGTUACGHJKLMNSUPURAVGVJVDVL
      UGTUBBDFGHJVLKPNQSVMUSURUTVA $.
  $}

  ${
    dihjat4.j $e |- .\/ = ( join ` K ) $.
    dihjat4.h $e |- H = ( LHyp ` K ) $.
    dihjat4.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihjat4.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihjat4.s $e |- .(+) = ( LSSum ` U ) $.
    dihjat4.a $e |- A = ( LSAtoms ` U ) $.
    dihjat4.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihjat4.x $e |- ( ph -> X e. ran I ) $.
    dihjat4.q $e |- ( ph -> Q e. A ) $.
    $( Transfer the subspace sum of a closed subspace and an atom back to
       lattice join.  (Contributed by NM, 25-Apr-2015.) $)
    dihjat4 $p |- ( ph
     -> ( X .(+) Q ) = ( I ` ( ( `' I ` X ) .\/ ( `' I ` Q ) ) ) ) $=
      ( ccnv cfv co catm cbs eqid chlt wa crn dihcnvcl syl2anc dihlatat dihjat3
      wcel wceq dihcnvid2 dih1dimat oveq12d eqtr2d ) AKGUAZUBZDUTUBZHUCGUBVAGUB
      ZVBGUBZCUCKDCUCAIUDUBZIUEUBZVBCEFGHIJVAVFUFZMLVEUFZOPNRAIUGUNJFUNUHZKGUIZ
      UNZVAVFUNRSVFFGIJKVGMNUJUKAVIDBUNZVBVEUNRTVEDEFGIBJVHMONQULUKUMAVCKVDDCAV
      IVKVCKUORSFGIJKMNUPUKAVIDVJUNZVDDUORAVIVLVMRTBDEFGIJMONQUQUKFGIJDMNUPUKUR
      US $.
  $}

  ${
    dihjat6.j $e |- .\/ = ( join ` K ) $.
    dihjat6.h $e |- H = ( LHyp ` K ) $.
    dihjat6.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihjat6.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihjat6.s $e |- .(+) = ( LSSum ` U ) $.
    dihjat6.a $e |- A = ( LSAtoms ` U ) $.
    dihjat6.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihjat6.x $e |- ( ph -> X e. ran I ) $.
    dihjat6.q $e |- ( ph -> Q e. A ) $.
    $( Transfer the subspace sum of a closed subspace and an atom back to
       lattice join.  (Contributed by NM, 25-Apr-2015.) $)
    dihjat6 $p |- ( ph
     -> ( `' I ` ( X .(+) Q ) ) = ( ( `' I ` X ) .\/ ( `' I ` Q ) ) ) $=
      ( co ccnv cfv dihjat4 fveq2d chlt wcel wa cbs wceq clat simpld hllatd crn
      eqid dihcnvcl syl2anc dih1dimat latjcl syl3anc dihcnvid1 eqtrd ) AKDCUAZG
      UBZUCKVDUCZDVDUCZHUAZGUCZVDUCZVGAVCVHVDABCDEFGHIJKLMNOPQRSTUDUEAIUFUGZJFU
      GZUHZVGIUIUCZUGZVIVGUJRAIUKUGVEVMUGZVFVMUGZVNAIAVJVKRULUMAVLKGUNZUGVORSVM
      FGIJKVMUOZMNUPUQAVLDVQUGZVPRAVLDBUGVSRTBDEFGIJMONQURUQVMFGIJDVRMNUPUQVMHI
      VEVFVRLUSUTVMFGIJVGVRMNVAUQVB $.
  $}

  ${
    dihsmsnrn.h $e |- H = ( LHyp ` K ) $.
    dihsmsnrn.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihsmsnrn.v $e |- V = ( Base ` U ) $.
    dihsmsnrn.p $e |- .(+) = ( LSSum ` U ) $.
    dihsmsnrn.n $e |- N = ( LSpan ` U ) $.
    dihsmsnrn.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihsmsnrn.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihsmsnrn.x $e |- ( ph -> X e. V ) $.
    dihsmsnrn.y $e |- ( ph -> Y e. V ) $.
    $( The subspace sum of two singleton spans is closed.  (Contributed by NM,
       27-Feb-2015.) $)
    dihsmsnrn $p |- ( ph -> ( ( N ` { X } ) .(+) ( N ` { Y } ) ) e. ran I ) $=
      ( csn cfv chlt wcel wa crn dihlsprn syl2anc dihsmsprn ) ABKCDEFGHIJUAGUBZ
      LMNOPQRAFUCUDIDUDUEJHUDUJEUFUDRSCDEFGHIJLMNPQUGUHTUI $.
  $}

  ${
    dihsmatrn.h $e |- H = ( LHyp ` K ) $.
    dihsmatrn.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihsmatrn.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihsmatrn.p $e |- .(+) = ( LSSum ` U ) $.
    dihsmatrn.a $e |- A = ( LSAtoms ` U ) $.
    dihsmatrn.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihsmatrn.x $e |- ( ph -> X e. ran I ) $.
    dihsmatrn.q $e |- ( ph -> Q e. A ) $.
    $( The subspace sum of a closed subspace and an atom is closed.  TODO: see
       if proof at http://math.stackexchange.com/a/1233211/50776 and Mon, 13
       Apr 2015 20:44:07 -0400 email could be used instead of this and
       ~ dihjat2 .  (Contributed by NM, 15-Jan-2015.) $)
    dihsmatrn $p |- ( ph -> ( X .(+) Q ) e. ran I ) $=
      ( wcel cfv co crn cdjh wceq eqid dihjat2 eqcomd clss cbs chlt wa dihrnlss
      syl2anc dvhlmod lsatlssel djhlsmcl mpbird ) AJDCUAZGUBZSURJDIHUCTTZUAZUDA
      VAURABCDEFGUTHIJKLUTUEZMNOPQRUFUGACEUHTZEFGUTHEUITZIJDKMVDUEVCUEZNLVBPAHU
      JSIFSUKJUSSJVCSPQVCEFGHIJKMLVEULUMABVCDEVEOAEFHIKMPUNRUOUPUQ $.
  $}

  ${
    dihjat5.b $e |- B = ( Base ` K ) $.
    dihjat5.h $e |- H = ( LHyp ` K ) $.
    dihjat5.j $e |- .\/ = ( join ` K ) $.
    dihjat5.a $e |- A = ( Atoms ` K ) $.
    dihjat5.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dihjat5.s $e |- .(+) = ( LSSum ` U ) $.
    dihjat5.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dihjat5.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dihjat5.x $e |- ( ph -> X e. B ) $.
    dihjat5.p $e |- ( ph -> P e. A ) $.
    $( Transfer lattice join with atom to subspace sum.  (Contributed by NM,
       25-Apr-2015.)  (New usage is discouraged.) $)
    dihjat5N $p |- ( ph
         -> ( X .\/ P ) = ( `' I ` ( ( I ` X ) .(+) ( I ` P ) ) ) ) $=
      ( co cfv ccnv wceq dihjat3 chlt wcel crn clsa eqid dihcl syl2anc dihatlat
      wa dihsmatrn dihcnvid2 eqtr4d wb clat simpld hllatd atbase latjcl syl3anc
      syl dihcnvcl dih11 mpbid ) ALDIUCZHUDZLHUDZDHUDZEUCZHUEUDZHUDZUFZVKVPUFZA
      VLVOVQABCDEFGHIJKLMNOPQRSTUAUBUGAJUHUIZKGUIZUPZVOHUJZUIZVQVOUFTAFUKUDZEVN
      FGHJKVMNSQRWEULZTAWBLCUIZVMWCUITUACGHJKLMNSUMUNAWBDBUIZVNWEUITUBBDFGHJWEK
      PNQSWFUOUNUQZGHJKVONSURUNUSAWBVKCUIZVPCUIZVRVSUTTAJVAUIWGDCUIZWJAJAVTWATV
      BVCUAAWHWLUBBCDJMPVDVGCIJLDMOVEVFAWBWDWKTWICGHJKVOMNSVHUNCGHJKVKVPMNSVIVF
      VJ $.
  $}

  ${
    $d r s A $.  $d r s K $.  $d r s P $.  $d r s Q $.  $d r s R $.
    $d r s .(+) $.  $d r s W $.  $d r s ph $.
    dvh4dimat.h $e |- H = ( LHyp ` K ) $.
    dvh4dimat.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    ${
      dvh4dimat.s $e |- .(+) = ( LSSum ` U ) $.
      dvh4dimat.a $e |- A = ( LSAtoms ` U ) $.
      dvh4dimat.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
      dvh4dimat.p $e |- ( ph -> P e. A ) $.
      dvh4dimat.q $e |- ( ph -> Q e. A ) $.
      dvh4dimat.r $e |- ( ph -> R e. A ) $.
      $( There is an atom that is outside the subspace sum of 3 others.
         (Contributed by NM, 25-Apr-2015.) $)
      dvh4dimat $p |- ( ph -> E. s e. A -. s C_ ( ( P .(+) Q ) .(+) R ) ) $=
        ( wcel vr cv co wss wn wrex cdih cfv catm ccnv cjn cple wbr chlt simpld
        eqid dihlatat syl2anc 3dim3 syl13anc adantr dih1dimat dihsmatrn dihjat4
        crn dihjat6 fvoveq1d eqtrd sseq2d cbs atbase adantl clat hllatd hlatjcl
        wa wb syl3anc latjcl dihord bitr2d notbid rexbidva mpbid dihatlat sylan
        syl wceq dihcnvid2 eqcomd fveq2 rspceeqv sseq1 rexxfrd mpbird ) AKUBZCE
        DUCZFDUCZUDZUEZKBUFUAUBZJIUGUHUHZUHZWRUDZUEZUAIUIUHZUFZAXACXBUJZUHZEXHU
        HZIUKUHZUCZFXHUHZXKUCZIULUHZUMZUEZUAXFUFZXGAIUNTZXIXFTZXJXFTZXMXFTZXRAX
        SJHTZPUOZAXSYCVPZCBTZXTPQXFCGHXBIBJXFUPZLMXBUPZOUQURZAYEEBTZYAPRXFEGHXB
        IBJYGLMYHOUQURZAYEFBTZYBPSXFFGHXBIBJYGLMYHOUQURZXFXIXJXMXKIXOUAXKUPZXOU
        PZYGUSUTAXQXEUAXFAXAXFTZVPZXPXDYQXDXCXNXBUHZUDZXPYQWRYRXCYQWRWQXHUHZXMX
        KUCXBUHYRYQBDFGHXBXKIJWQYNLYHMNOAYEYPPVAZAWQXBVEZTYPABDEGHXBIJCLYHMNOPA
        YEYFCUUBTZPQBCGHXBIJLMYHOVBURZRVCVAAYLYPSVAVDYQYTXLXMXBXKYQBDEGHXBXKIJC
        YNLYHMNOUUAAUUCYPUUDVAAYJYPRVAVFVGVHVIYQYEXAIVJUHZTZXNUUETZYSXPVQUUAYPU
        UFAXFUUEXAIUUEUPZYGVKVLAUUGYPAIVMTXLUUETZXMUUETZUUGAIYDVNAXSXTYAUUIYDYI
        YKXFUUEXKIXIXJUUHYNYGVOVRAYBUUJYMXFUUEXMIUUHYGVKWGUUEXKIXLXMUUHYNVSVRVA
        UUEHXBIXOJXAXNUUHYOLYHVTVRWAWBWCWDAWTXEKUAXCBXFAYEYPXCBTPXFXAGHXBIBJYGL
        MYHOWEWFAWPBTZVPZWPXHUHZXFTZWPUUMXBUHZWHWPXCWHZUAXFUFAYEUUKUUNPXFWPGHXB
        IBJYGLMYHOUQWFUULUUOWPUULYEWPUUBTZUUOWPWHAYEUUKPVAAYEUUKUUQPBWPGHXBIJLM
        YHOVBWFHXBIJWPLYHWIURWJUAUUMXFXCUUOWPXAUUMXBWKWLURUUPWTXEVQAUUPWSXDWPXC
        WRWMWBVLWNWO $.
    $}

    ${
      dvh3dimat.s $e |- .(+) = ( LSSum ` U ) $.
      dvh3dimat.a $e |- A = ( LSAtoms ` U ) $.
      dvh3dimat.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
      dvh3dimat.p $e |- ( ph -> P e. A ) $.
      dvh3dimat.q $e |- ( ph -> Q e. A ) $.
      $( There is an atom that is outside the subspace sum of 2 others.
         (Contributed by NM, 25-Apr-2015.)  (New usage is discouraged.) $)
      dvh3dimatN $p |- ( ph -> E. s e. A -. s C_ ( P .(+) Q ) ) $=
        ( co wss wcel cv wrex dvh4dimat csubg wceq clmod clss dvhlmod lsatlssel
        cfv eqid lsssubg syl2anc lsmidm syl oveq1d sseq2d notbid rexbidv mpbid
        wn ) AJUAZCCDRZEDRZSZVAZJBUBVBCEDRZSZVAZJBUBABCDCEFGHIJKLMNOPPQUCAVFVIJ
        BAVEVHAVDVGVBAVCCEDACFUDUJTZVCCUEAFUFTCFUGUJZTVJAFGHIKLOUHZABVKCFVKUKZN
        VLPUIVKCFVMULUMDCFMUNUOUPUQURUSUT $.
    $}

    ${
      $d s U $.
      dvh2dimat.a $e |- A = ( LSAtoms ` U ) $.
      dvh2dimat.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
      dvh2dimat.p $e |- ( ph -> P e. A ) $.
      $( Given an atom, there exists another.  (Contributed by NM,
         25-Apr-2015.)  (New usage is discouraged.) $)
      dvh2dimatN $p |- ( ph -> E. s e. A s =/= P ) $=
        ( cfv wss wrex eqid wcel wceq adantr cv clsm co wn wne dvh3dimatN wa wb
        csubg clmod dvhlmod lsatlssel lsssubg syl2anc lsmidm syl sseq2d dvhlvec
        clss clvec simpr lsatcmp bitrd necon3bbid rexbidva mpbid ) AHUAZCCDUBNZ
        UCZOZUDZHBPVGCUEZHBPABCVHCDEFGHIJVHQZKLMMUFAVKVLHBAVGBRZUGZVJVGCVOVJVGC
        OZVGCSAVJVPUHVNAVICVGACDUINRZVICSADUJRCDUSNZRVQADEFGIJLUKZABVRCDVRQZKVS
        MULVRCDVTUMUNVHCDVMUOUPUQTVOBVGCDKADUTRVNADEFGIJLURTAVNVAACBRVNMTVBVCVD
        VEVF $.
    $}

    ${
      dvh1dimat.a $e |- A = ( LSAtoms ` U ) $.
      dvh1dimat.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
      $( There exists an atom.  (Contributed by NM, 25-Apr-2015.) $)
      dvh1dimat $p |- ( ph -> E. s s e. A ) $=
        ( coc cfv cdih wcel cv wex eqid dihat elex2 syl ) AFELMMZFENMMZMZBOGPBO
        GQABUBCDUCEFHUBRUCRIJKSGUDBTUA $.
    $}
  $}

  ${
    $d p K $.  $d p z N $.  $d p z .0. $.  $d p z U $.  $d p z V $.  $d p W $.
    $d p z X $.  $d p z Y $.  $d p z Z $.  $d p z ph $.
    dvh3dim.h $e |- H = ( LHyp ` K ) $.
    dvh3dim.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dvh3dim.v $e |- V = ( Base ` U ) $.
    ${
      dvh1dim.o $e |- .0. = ( 0g ` U ) $.
      dvh1dim.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
      $( There exists a nonzero vector.  (Contributed by NM, 26-Apr-2015.) $)
      dvh1dim $p |- ( ph -> E. z e. V z =/= .0. ) $=
        ( vp cv clsa cfv wcel wne wrex eqid dvh1dimat wa clmod dvhlmod lsateln0
        adantr simpr wel lsatssv sseld anim1d reximdv2 mpd exlimddv ) ANOZCPQZR
        ZBOZHSZBFTZNAUQCDEGNIJUQUAZMUBAURUCZUTBUPTVAVCBUQUPCHLVBACUDRURACDEGIJM
        UEUGZAURUHZUFVCUTUTBUPFVCBNUIUSFRUTVCUPFUSVCUQUPFCKVBVDVEUJUKULUMUNUO
        $.
    $}

    dvh3dim.n $e |- N = ( LSpan ` U ) $.
    dvh3dim.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dvh3dim.x $e |- ( ph -> X e. V ) $.
    ${
      dvh4dim.y $e |- ( ph -> Y e. V ) $.
      dvhdim.z $e |- ( ph -> Z e. V ) $.
      dvh4dim.o $e |- .0. = ( 0g ` U ) $.
      dvh4dim.x $e |- ( ph -> X =/= .0. ) $.
      dvh4dimlem.y $e |- ( ph -> Y =/= .0. ) $.
      dvh4dimlem.z $e |- ( ph -> Z =/= .0. ) $.
      $( Lemma for ~ dvh4dimN .  (Contributed by NM, 22-May-2015.) $)
      dvh4dimlem $p |- ( ph -> E. z e. V -. z e. ( N ` { X , Y , Z } ) ) $=
        ( vp cv csn cfv clsm co wss wn clsa wrex ctp wcel eqid dvhlmod wne cdif
        eldifsn sylanbrc lsatlspsn dvh4dimat w3a clmod 3ad2ant1 islsati syl2anc
        simp2 wi cpr cun lsmpr oveq1d prssi snssd lsmsp2 syl3anc eqtr3d sseq12d
        wceq clss unssd lspcl simp3 lspsnel5 bitr4d df-tp fveq2i eleq2i bitr4di
        notbid biimpd 3exp com24 a1d 3imp reximdvai mpd rexlimdv3a ) AUEUFZIUGF
        UHZJUGFUHZCUIUHZUJZLUGZFUHZXEUJZUKZULZUECUMUHZUNBUFZIJLUOZFUHZUPZULZBGU
        NZAXLXCXEXDXHCDEHUEMNXEUQZXLUQZQAXLFGCIKOPUAXTACDEHMNQURZAIGUPZIKUSIGKU
        GUTZUPRUBIGKVAVBVCAXLFGCJKOPUAXTYAAJGUPZJKUSJYCUPSUCJGKVAVBVCAXLFGCLKOP
        UAXTYAALGUPLKUSLYCUPTUDLGKVAVBVCVDAXKXRUEXLAXBXLUPZXKVEZXBXMUGFUHZWBZBG
        UNZXRYFCVFUPZYEYIAYEYJXKYAVGAYEXKVJBXLXBFGCVFOPXTVHVIYFYHXQBGAYEXKXMGUP
        ZYHXQVKVKZAXKYLVKYEAYHYKXKXQAYHYKXKXQVKAYHYKVEZXKXQYMXJXPYMXJXMIJVLZXGV
        MZFUHZUPZXPYMXJYGYPUKYQYMXBYGXIYPAYHYKVJYMYNFUHZXHXEUJZXIYPYMYRXFXHXEYM
        XEFGCIJOPXSAYHYJYKYAVGZAYHYBYKRVGAYHYDYKSVGVNVOYMYJYNGUKZXGGUKZYSYPWBYT
        AYHUUAYKAYBYDUUARSIJGVPVIZVGAYHUUBYKALGTVQZVGXEYNXGFGCOPXSVRVSVTWAYMCWC
        UHZYPFGCXMOUUEUQZPYTAYHYPUUEUPZYKAYJYOGUKUUGYAAYNXGGUUCUUDWDUUEYOFGCOUU
        FPWEVIVGAYHYKWFWGWHXOYPXMXNYOFIJLWIWJWKWLWMWNWOWPWQWRWSWTXAWT $.
    $}

    ${
      dvhdim.y $e |- ( ph -> Y e. V ) $.
      dvhdim.o $e |- .0. = ( 0g ` U ) $.
      dvhdim.x $e |- ( ph -> X =/= .0. ) $.
      dvhdimlem.y $e |- ( ph -> Y =/= .0. ) $.
      $( Lemma for ~ dvh2dim and ~ dvh3dim .  TODO: make this obsolete and use
         ~ dvh4dimlem directly?  (Contributed by NM, 24-Apr-2015.) $)
      dvhdimlem $p |- ( ph -> E. z e. V -. z e. ( N ` { X , Y } ) ) $=
        ( cv ctp cfv wcel wrex cpr dvh4dimlem clmod wss dvhlmod csn df-tp prssi
        wn cun syl2anc snssd unssd eqsstrid ssun1 sseqtrri lspss syl3anc ssneld
        a1i reximdv mpd ) ABUBZIJJUCZFUDZUEUOZBGUFVIIJUGZFUDZUEUOZBGUFABCDEFGHI
        JKJLMNOPQRRSTUAUAUHAVLVOBGAVNVKVIACUIUEVJGUJVMVJUJZVNVKUJACDEHLMPUKAVJV
        MJULZUPZGIJJUMZAVMVQGAIGUEJGUEVMGUJQRIJGUNUQAJGRURUSUTVPAVMVRVJVMVQVAVS
        VBVFVMVJFGCNOVCVDVEVGVH $.
    $}

    $( There is a vector that is outside the span of another.  (Contributed by
       NM, 25-Apr-2015.) $)
    dvh2dim $p |- ( ph -> E. z e. V -. z e. ( N ` { X } ) ) $=
      ( cfv wcel wrex wceq adantr cv csn wn c0g wa wne eqid dvh1dim simpr sneqd
      fveq2d clmod dvhlmod lspsn0 eqtrd eleq2d bitrdi necon3bbid rexbidv mpbird
      syl velsn cpr chlt dvhdimlem dfsn2 fveq2i eleq2i notbii rexbii pm2.61dane
      sylibr ) ABUAZIUBZFPZQZUCZBGRZICUDPZAIVSSZUEZVRVMVSUFZBGRZAWCVTABCDEGHVSJ
      KLVSUGZNUHTWAVQWBBGWAVPVMVSWAVPVMVSUBZQVMVSSWAVOWEVMWAVOWEFPZWEWAVNWEFWAI
      VSAVTUIUJUKAWFWESZVTACULQWGACDEHJKNUMFCVSWDMUNVATUOUPBVSVBUQURUSUTAIVSUFZ
      UEZVMIIVCZFPZQZUCZBGRVRWIBCDEFGHIIVSJKLMAEVDQHDQUEWHNTAIGQWHOTZWNWDAWHUIZ
      WOVEVQWMBGVPWLVOWKVMVNWJFIVFVGVHVIVJVLVK $.

    dvh3dim.y $e |- ( ph -> Y e. V ) $.
    $( There is a vector that is outside the span of 2 others.  (Contributed by
       NM, 24-Apr-2015.) $)
    dvh3dim $p |- ( ph -> E. z e. V -. z e. ( N ` { X , Y } ) ) $=
      ( cfv wcel wa cv cpr wrex c0g wceq csn dvh2dim adantr prcom syl5eq fveq2d
      preq2 eqid dvhlmod lsppr0 sylan9eqr eleq2d notbid rexbidv mpbird wne chlt
      wn simprl simprr dvhdimlem pm2.61da2ne ) ABUAZIJUBZFRZSZVCZBGUCZICUDRZJVN
      AIVNUEZTZVMVHJUFFRZSZVCZBGUCZAVTVOABCDEFGHJKLMNOQUGUHVPVLVSBGVPVKVRVPVJVQ
      VHVOAVJJVNUBZFRVQVOVIWAFVOVIJIUBWAIJUIIVNJULUJUKAFGCJVNMVNUMZNACDEHKLOUNZ
      QUOUPUQURUSUTAJVNUEZTZVMVHIUFFRZSZVCZBGUCZAWIWDABCDEFGHIKLMNOPUGUHWEVLWHB
      GWEVKWGWEVJWFVHWDAVJIVNUBZFRWFWDVIWJFJVNIULUKAFGCIVNMWBNWCPUOUPUQURUSUTAI
      VNVAZJVNVAZTZTBCDEFGHIJVNKLMNAEVBSHDSTWMOUHAIGSWMPUHAJGSWMQUHWBAWKWLVDAWK
      WLVEVFVG $.

    dvh3dim2.z $e |- ( ph -> Z e. V ) $.
    $( There is a vector that is outside the span of 3 others.  (Contributed by
       NM, 22-May-2015.)  (New usage is discouraged.) $)
    dvh4dimN $p |- ( ph -> E. z e. V -. z e. ( N ` { X , Y , Z } ) ) $=
      ( wcel cv ctp cfv wn wrex c0g wceq wa cpr dvh3dim adantr csn eqid dvhlmod
      cun prssi syl2anc lspun0 tprot df-tp eqtr2i tpeq1 fveq2d sylan9req eleq2d
      wss eqtr4id notbid rexbidv mpbid tpcomb eqtr3i tpeq2 eqtr2di wne w3a chlt
      tpeq3 simpr1 simpr2 simpr3 dvh4dimlem pm2.61da3ne ) ABUAZIJKUBZFUCZTZUDZB
      GUEZICUFUCZJWJKWJAIWJUGZUHZWDJKUIZFUCZTZUDZBGUEZWIAWQWKABCDEFGHJKLMNOPRSU
      JUKWLWPWHBGWLWOWGWLWNWFWDAWKWNWMWJULZUOZFUCWFAFGCWMWJNWJUMZOACDEHLMPUNZAJ
      GTZKGTZWMGVFRSJKGUPUQURWKWSWEFWKWSWJJKUBZWEXDJKWJUBWSWJJKUSJKWJUTVAIWJJKV
      BVGVCVDVEVHVIVJAJWJUGZUHZWDIKUIZFUCZTZUDZBGUEZWIAXKXEABCDEFGHIKLMNOPQSUJU
      KXFXJWHBGXFXIWGXFXHWFWDAXEXHXGWRUOZFUCWFAFGCXGWJNWTOXAAIGTZXCXGGVFQSIKGUP
      UQURXEXLWEFXEXLIWJKUBZWEIKWJUBXLXNIKWJUTIKWJVKVLJWJIKVMVGVCVDVEVHVIVJAKWJ
      UGZUHZWDIJUIZFUCZTZUDZBGUEZWIAYAXOABCDEFGHIJLMNOPQRUJUKXPXTWHBGXPXSWGXPXR
      WFWDAXOXRXQWRUOZFUCWFAFGCXQWJNWTOXAAXMXBXQGVFQRIJGUPUQURXOYBWEFXOWEIJWJUB
      YBKWJIJVRIJWJUTVNVCVDVEVHVIVJAIWJVOZJWJVOZKWJVOZVPZUHBCDEFGHIJWJKLMNOAEVQ
      THDTUHYFPUKAXMYFQUKAXBYFRUKAXCYFSUKWTAYCYDYEVSAYCYDYEVTAYCYDYEWAWBWC $.

    $d w N $.  $d w U $.  $d w V $.  $d w X $.  $d w Y $.  $d w Z $.  $d z Z $.
    $d w ph $.  $d z w $.
    $( There is a vector that is outside of 2 spans with a common vector.
       (Contributed by NM, 13-May-2015.) $)
    dvh3dim2 $p |- ( ph -> E. z e. V ( -. z e. ( N ` { X , Y } )
        /\ -. z e. ( N ` { X , Z } ) ) ) $=
      ( wcel vw cpr cfv cv wn wa wrex dvh3dim adantr clss eqid dvhlmod ad2antrr
      clmod lspprcl lspprid1 simplr lspprss ssneld ancrd reximdva mpd cplusg co
      w3a simpl1l syl simpl2 lmodvacl syl3anc lspprid2 simpl3 lssvancl2 simpl1r
      simpr lssvancl1 eleq1 notbid anbi12d rspcev syl12anc pm2.61dan rexlimdv3a
      wceq weq ) AJIKUBFUCZTZBUDZIJUBFUCZTZUEZWHWFTZUEZUFZBGUGZAWGUFZWMBGUGZWOA
      WQWGABCDEFGHIKLMNOPQSUHUIWPWMWNBGWPWHGTZUFZWMWKWSWIWFWHWSCUJUCZWFFCIJWTUK
      ZOACUNTZWGWRACDEHLMPULZUMAWFWTTZWGWRAWTFGCIKNXAOXCQSUOZUMAIWFTWGWRAFGCIKN
      OXCQSUPUMAWGWRUQURUSUTVAVBAWGUEZUFZUAUDZWITZUEZUAGUGZWOAXKXFAUACDEFGHIJLM
      NOPQRUHUIXGXJWOUAGXGXHGTZXJVEZXHWFTZWOXMXNUFZXHJCVCUCZVDZGTZXQWITZUEZXQWF
      TZUEZWOXOXBXLJGTZXRXOAXBAXFXLXJXNVFZXCVGZXGXLXJXNVHZXOAYCYDRVGZXPGCXHJNXP
      UKZVIVJXOXPWTWIGCJXHNYHXAYEXOAWIWTTYDAWTFGCIJNXAOXCQRUOVGXOAJWITYDAFGCIJN
      OXCQRVKVGYFXGXLXJXNVLVMXOXPWTWFGCXHJNYHXAYEXOAXDYDXEVGXMXNVOYGAXFXLXJXNVN
      VPWNXTYBUFBXQGWHXQWDZWKXTWMYBYIWJXSWHXQWIVQVRYIWLYAWHXQWFVQVRVSVTWAXMXNUE
      ZUFXLXJYJWOXGXLXJYJVHXGXLXJYJVLXMYJVOWNXJYJUFBXHGBUAWEZWKXJWMYJYKWJXIWHXH
      WIVQVRYKWLXNWHXHWFVQVRVSVTWAWBWCVBWB $.

    $d w T $.  $d z T $.
    dvh3dim3.t $e |- ( ph -> T e. V ) $.
    $( There is a vector that is outside of 2 spans.  TODO: decide to use
       either this or ~ dvh3dim2 everywhere.  If this one is needed, make
       ~ dvh3dim2 into a lemma.  (Contributed by NM, 21-May-2015.)
       (New usage is discouraged.) $)
    dvh3dim3N $p |- ( ph -> E. z e. V ( -. z e. ( N ` { X , Y } )
        /\ -. z e. ( N ` { Z , T } ) ) ) $=
      ( vw cpr cfv wcel cv wn wa wrex wpss wceq wo wss clss eqid dvhlmod adantr
      clmod lspprcl simpr lspprid2 lspprss sspss sylib clvec dvhlvec lspprat wi
      csn w3a chlt 3ad2ant1 simp2 dvh3dim2 clsm csubg lsssssubg lspsncl syl2anc
      syl sseldd prssi snsspr1 lspss syl3anc simp3 sseqtrd lsmless2 lsmpr prcom
      co a1i fveq2i syl5eq 3sstr4d ssneld snsspr2 anim12d reximdv rexlimdv3a wb
      mpd eleq2i notbii eleq2 notbid anbi12d rexbidv mpbid jaodan syldan cplusg
      simpl1l simpl2 lmodvacl simpl3l sylnib lssvancl2 simpl1r lssvancl1 rspcev
      eleq1 syl12anc pm2.61dan ) AKLCUCGUDZUEZBUFZJKUCZGUDZUEZUGZYGYEUEZUGZUHZB
      HUIZAYFKCUCZGUDZYEUJZYQYEUKZULZYOAYFUHZYQYEUMYTUUADUNUDZYEGDKCUUBUOZPADUR
      UEZYFADEFIMNQUPZUQAYEUUBUEZYFAUUBGHDLCOUUCPUUETUAUSZUQAYFUTACYEUEYFAGHDLC
      OPUUETUAVAUQVBYQYEVCVDAYRYOYSAYRUHZYQUBUFZVIGUDZUKZUBHUIZYOUUHUBUUBYQGHDL
      COUUCPADVEUEYRADEFIMNQVFUQAYQUUBUEYRAUUBGHDKCOUUCPUUESUAUSUQALHUEZYRTUQAC
      HUEZYRUAUQAYRUTVGAUULYOVHYRAUUKYOUBHAUUIHUEZUUKVJZYGUUIJUCZGUDZUEUGZYGUUI
      LUCZGUDZUEUGZUHZBHUIYOUUPBDEFGHIUUIJLMNOPAUUOFVKUEIEUEUHUUKQVLAUUOUUKVMZA
      UUOJHUEZUUKRVLZAUUOUUMUUKTVLZVNUUPUVCYNBHUUPUUSYKUVBYMUUPYIUURYGUUPJVIGUD
      ZKVIZGUDZDVOUDZWKZUVHUUJUVKWKZYIUURUUPUVHDVPUDZUEUUJUVNUEZUVJUUJUMUVLUVMU
      MUUPUUBUVNUVHUUPUUDUUBUVNUMAUUOUUDUUKUUEVLZUUBDUUCVQVTZAUUOUVHUUBUEZUUKAU
      UDUVEUVRUUERUUBGHDJOUUCPVRVSVLWAUUPUUBUVNUUJUVQUUPUUDUUOUUJUUBUEUVPUVDUUB
      GHDUUIOUUCPVRVSWAZUUPUVJYQUUJAUUOUVJYQUMZUUKAUUDYPHUMZUVIYPUMZUVTUUEAKHUE
      ZUUNUWASUAKCHWBVSZUWBAKCWCWLUVIYPGHDOPWDWEVLAUUOUUKWFZWGUVKUVHUVJUUJDUVKU
      OZWHWEAUUOYIUVLUKUUKAUVKGHDJKOPUWFUUERSWIVLUUPUURJUUIUCZGUDUVMUUQUWGGUUIJ
      WJWMUUPUVKGHDJUUIOPUWFUVPUVFUVDWIWNWOWPUUPYEUVAYGUUPLVIGUDZCVIZGUDZUVKWKZ
      UWHUUJUVKWKZYEUVAUUPUWHUVNUEUVOUWJUUJUMUWKUWLUMUUPUUBUVNUWHUVQAUUOUWHUUBU
      EZUUKAUUDUUMUWMUUETUUBGHDLOUUCPVRVSVLWAUVSUUPUWJYQUUJAUUOUWJYQUMZUUKAUUDU
      WAUWIYPUMZUWNUUEUWDUWOAKCWQWLUWIYPGHDOPWDWEVLUWEWGUVKUWHUWJUUJDUWFWHWEAUU
      OYEUWKUKUUKAUVKGHDLCOPUWFUUETUAWIVLUUPUVALUUIUCZGUDUWLUUTUWPGUUILWJWMUUPU
      VKGHDLUUIOPUWFUVPUVGUVDWIWNWOWPWRWSXBWTUQXBAYSUHZYGKJUCZGUDZUEZUGZYGYQUEZ
      UGZUHZBHUIZYOAUXEYSABDEFGHIKJCMNOPQSRUAVNUQUWQUXDYNBHUWQYSUXDYNXAAYSUTYSU
      XAYKUXCYMUXAYKXAYSUWTYJUWSYIYGUWRYHGKJWJWMZXCXDWLYSUXBYLYQYEYGXEXFXGVTXHX
      IXJXKAYFUGZUHZUUIUWSUEZUGZUUIYQUEUGZUHZUBHUIZYOAUXMUXGAUBDEFGHIKJCMNOPQSR
      UAVNUQUXHUXLYOUBHUXHUUOUXLVJZUUIYEUEZYOUXNUXOUHZUUIKDXLUDZWKZHUEZUXRYIUEZ
      UGZUXRYEUEZUGZYOUXPUUDUUOUWCUXSUXPAUUDAUXGUUOUXLUXOXMZUUEVTZUXHUUOUXLUXOX
      NZUXPAUWCUYDSVTZUXQHDUUIKOUXQUOZXOWEUXPUXQUUBYIHDKUUIOUYHUUCUYEUXPAYIUUBU
      EUYDAUUBGHDJKOUUCPUUERSUSVTUXPAKYIUEUYDAGHDJKOPUUERSVAVTUYFUXPUXIUUIYIUEZ
      UXJUXKUXHUUOUXOXPUWSYIUUIUXFXCZXQXRUXPUXQUUBYEHDUUIKOUYHUUCUYEUXPAUUFUYDU
      UGVTUXNUXOUTUYGAUXGUUOUXLUXOXSXTYNUYAUYCUHBUXRHYGUXRUKZYKUYAYMUYCUYKYJUXT
      YGUXRYIYBXFUYKYLUYBYGUXRYEYBXFXGYAYCUXNUXOUGZUHZUUOUYIUGZUYLYOUXHUUOUXLUY
      LXNUYMUXIUYIUXJUXKUXHUUOUYLXPUYJXQUXNUYLUTYNUYNUYLUHBUUIHYGUUIUKZYKUYNYMU
      YLUYOYJUYIYGUUIYIYBXFUYOYLUXOYGUUIYEYBXFXGYAYCYDWTXBYD $.
  $}

  ${
    $d y U $.  $d y V $.  $d y X $.  $d y ph $.
    dochsnnz.h $e |- H = ( LHyp ` K ) $.
    dochsnnz.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochsnnz.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochsnnz.v $e |- V = ( Base ` U ) $.
    dochsnnz.z $e |- .0. = ( 0g ` U ) $.
    dochsnnz.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochsnnz.x $e |- ( ph -> X e. V ) $.
    $( The orthocomplement of a singleton is nonzero.  (Contributed by NM,
       13-Jun-2015.) $)
    dochsnnz $p |- ( ph -> ( ._|_ ` { X } ) =/= { .0. } ) $=
      ( vy csn cfv wne clspn eqid dochocsn cv wcel wn dvh2dim biimprcd necon3bd
      wrex wceq eleq2 rexlimiv syl eqnetrd snssd dochn0nv mpbird ) AHRZESZIRTUT
      ESZFTAVAUSBUASZSZFABCDVBEFGHJLKMVBUBZOPUCAQUDZVCUEZUFZQFUJVCFTZAQBCDVBFGH
      JLMVDOPUGVGVHQFVEFUEZVFVCFVCFUKVFVIVCFVEULUHUIUMUNUOABCDEFGUSIJKLMNOAHFPU
      PUQUR $.
  $}

  ${
    $d v ._|_ $.  $d v Q $.  $d v U $.  $d v ph $.
    dochsatshp.h $e |- H = ( LHyp ` K ) $.
    dochsatshp.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochsatshp.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochsatshp.a $e |- A = ( LSAtoms ` U ) $.
    dochsatshp.y $e |- Y = ( LSHyp ` U ) $.
    dochsatshp.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochsatshp.q $e |- ( ph -> Q e. A ) $.
    $( The orthocomplement of a subspace atom is a hyperplane.  (Contributed by
       NM, 27-Jul-2014.)  (Revised by Mario Carneiro, 1-Oct-2014.) $)
    dochsatshp $p |- ( ph -> ( ._|_ ` Q ) e. Y ) $=
      ( cfv wcel wceq eqid vv clss cbs wne cv csn cun clspn wrex wa wss dvhlmod
      chlt lsatssv dochlss syl2anc c0g lsatn0 doch0 syl eqeq2d dih1dimat dih0rn
      cdih crn doch11 bitr3d necon3bid mpbird cdif clmod wb islsat mpbid eldifi
      wi adantr a1i lspid uneq1d fveq2d lssss snssd lspun syl3anc uneq2 3eqtr4d
      adantl cdjh co clsm dochcl djhcom lsatlssel lsmsp 3eqtr3rd djhexmid eqtrd
      dihjat2 ex jcad reximdv2 mpd clvec w3a dvhlvec islshp mpbir3and ) ACGQZIR
      ZXIDUBQZRZXIDUCQZUDZXIUAUEZUFZUGDUHQZQZXMSZUAXMUIZAFUMRHERUJZCXMUKZXLOABC
      XMDXMTZMADEFHJKOULZPUNZXKDEFGXMHCJKYCXKTZLUOUPZAXNCDUQQZUFZUDABCDYHYHTZMY
      DPURAXIXMCYIAXIYIGQZSXIXMSCYISAYKXMXIAYAYKXMSODEFGXMHYHJKLYCYJUSUTVAAEHFV
      DQQZFGHCYIJYLTZLOAYACBRZCYLVEZROPBCDEYLFHJKYMMVBUPAYAYIYORODEYLFHYHJYMKYJ
      VCUTVFVGVHVIACXPXQQZSZUAXMYIVJZUIZXTAYNYSPADVKRZYNYSVLYDUABCXQXMDVKYHYCXQ
      TZYJMVMUTVNAYQXSUAYRXMAXOYRRZYQUJZXOXMRZXSUUCUUDVPAUUBUUDYQXOXMYIVOZVQVRA
      UUCXSAUUCUJZXRXICUGZXQQZXMUUFXIXQQZYPUGZXQQZXIYPUGZXQQZXRUUHAUUKUUMSUUCAU
      UJUULXQAUUIXIYPAYTXLUUIXISYDYGXKXIXQDYFUUAVSUPVTWAVQUUFYTXIXMUKZXPXMUKZXR
      UUKSAYTUUCYDVQAUUNUUCAXLUUNYGXKXIXMDYCYFWBUTZVQUUCUUOAUUBUUOYQUUBXOXMUUEW
      CVQWHXIXPXQXMDYCUUAWDWEUUCUUHUUMSZAYQUUQUUBYQUUGUULXQCYPXIWFWAWHWHWGAUUHX
      MSUUCAUUHCXIHFWIQQZWJZXMAXICUURWJXICDWKQZWJZUUSUUHABUUTCDEYLUURFHXIJYMUUR
      TZKUUTTZMOAYAYBXIYOROYEDEYLFGXMHCJYMKYCLWLUPPWSADEUURFXMHXICJKYCUVBOUUPYE
      WMAYTXLCXKRUVAUUHSYDYGABXKCDYFMYDPWNUUTXKXICXQDYFUUAUVCWOWEWPAYAYBUUSXMSO
      YEDEUURFGXMHCJKYCLUVBWQUPWRVQWRWTXAXBXCADXDRXJXLXNXTXEVLADEFHJKOXFUAXKXII
      XQXMDXDYCUUAYFNXGUTXH $.
  $}

  ${
    $d v A $.  $d v ._|_ $.  $d v Q $.  $d v U $.  $d v Y $.  $d v ph $.
    dochsatshpb.h $e |- H = ( LHyp ` K ) $.
    dochsatshpb.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochsatshpb.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochsatshpb.s $e |- S = ( LSubSp ` U ) $.
    dochsatshpb.a $e |- A = ( LSAtoms ` U ) $.
    dochsatshpb.y $e |- Y = ( LSHyp ` U ) $.
    dochsatshpb.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochsatshpb.q $e |- ( ph -> Q e. S ) $.
    $( The orthocomplement of a subspace atom is a hyperplane.  (Contributed by
       NM, 29-Oct-2014.) $)
    dochsatshpb $p |- ( ph -> ( Q e. A <-> ( ._|_ ` Q ) e. Y ) ) $=
      ( wcel cfv vv chlt adantr simpr dochsatshp c0g wne wrex csn cbs wceq cdih
      wa cv crn wss eqid lssss syl dochcl syl2anc dochoc dvhlmod lshpne eqnetrd
      clmod wb dochssv dochn0nv mpbird dochlss lssne0 mpbid w3a clspn lspsnel5a
      3ad2ant1 simp2 lssel dihlsprn dochord eqsstrrd clvec dvhlvec simp1r simp3
      lsatlspsn2 syl3anc lshpcmp fveq2d eqeltrd rexlimdv3a mpd dochsat impbida
      eqtrd ) ACBSZCHTZJSZAWQUMBCEFGHIJKMLOPAGUBSIFSUMZWQQUCAWQUDUEAWSUMZWRHTZB
      SZWQXAUAUNZEUFTZUGZUAXBUHZXCXAXBXEUIUGZXGXAXHXBHTZEUJTZUGZXAXIWRXJAXIWRUK
      ZWSAWTWRIGULTTZUOZSZXLQAWTCXJUPZXOQACDSZXPRDCXJEXJUQZNURUSZEFXMGHXJICKXMU
      QZMXRLUTVAZFXMGHIWRKXTLVBZVAUCXAWRJXJEXRPAEVFSZWSAEFGIKMQVCUCZAWSUDVDVEAX
      HXKVGWSAEFGHXJIWRXEKLMXRXEUQZQAWTXPWRXJUPZQXSEFGHXJICKMXRLVHVAVIUCVJXAXBD
      SZXHXGVGAYGWSAWTYFYGQAWRDSZYFAWTXPYHQXSDEFGHXJICKMXRNLVKVADWRXJEXRNURUSZD
      EFGHXJIWRKMXRNLVKVAUCZUADEXBXEYENVLUSVMXAXFXCUAXBXAXDXBSZXFVNZXBXDUIEVOTZ
      TZBYLXBYNHTZHTZYNYLWRYOHYLWRYOUPWRYOUKYLWRXIYOYLWTXOXLXAYKWTXFAWTWSQUCZVQ
      ZXAYKXOXFAXOWSYAUCVQYBVAYLYNXBUPXIYOUPYLDXBYMEXDNYMUQZXAYKYCXFYDVQZXAYKYG
      XFYJVQZXAYKXFVRZVPYLFXMGHIYNXBKXTLYRYLWTXDXJSZYNXNSZYRYLYGYKUUCUUAUUBDXBX
      JEXDXRNVSVAZEFXMGYMXJIXDKMXRYSXTVTVAZXAYKXBXNSZXFAUUGWSAWTYFUUGQYIEFXMGHX
      JIWRKXTMXRLUTVAUCVQWAVMWBYLWRYOJEPXAYKEWCSZXFAUUHWSAEFGIKMQWDUCVQAWSYKXFW
      EYLBYNEFGHIJKMLOPYRYLYCUUCXFYNBSYTUUEXAYKXFWFBYMXJEXDXEXRYSYEOWGWHZUEWIVM
      WJYLWTUUDYPYNUKYRUUFFXMGHIYNKXTLVBVAWPUUIWKWLWMXABCDEFGHIKLMNOYQAXQWSRUCW
      NVMWO $.
  $}

  ${
    dochsnshp.h $e |- H = ( LHyp ` K ) $.
    dochsnshp.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochsnshp.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochsnshp.v $e |- V = ( Base ` U ) $.
    dochsnshp.z $e |- .0. = ( 0g ` U ) $.
    dochsnshp.y $e |- Y = ( LSHyp ` U ) $.
    dochsnshp.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochsnshp.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    $( The orthocomplement of a nonzero singleton is a hyperplane.
       (Contributed by NM, 3-Jan-2015.) $)
    dochsnshp $p |- ( ph -> ( ._|_ ` { X } ) e. Y ) $=
      ( csn cfv clspn eqid eldifad snssd dochocsp lsatlspsn dochsatshp eqeltrrd
      clsa dvhlmod ) AHSZBUATZTZETUKETIABCDULEFGUKKMLNULUBZQAHFAHFJSRUCUDUEABUI
      TZUMBCDEGIKMLUOUBZPQAUOULFBHJNUNOUPABCDGKMQUJRUFUGUH $.
  $}

  ${
    dochshpsat.h $e |- H = ( LHyp ` K ) $.
    dochshpsat.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochshpsat.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochshpsat.a $e |- A = ( LSAtoms ` U ) $.
    dochshpsat.y $e |- Y = ( LSHyp ` U ) $.
    dochshpsat.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochshpsat.x $e |- ( ph -> X e. Y ) $.
    $( A hyperplane is closed iff its orthocomplement is an atom.  (Contributed
       by NM, 29-Oct-2014.) $)
    dochshpsat $p |- ( ph
         -> ( ( ._|_ ` ( ._|_ ` X ) ) = X <-> ( ._|_ ` X ) e. A ) ) $=
      ( cfv wceq wcel adantr wa simpr eqeltrd wb clss eqid chlt cbs wss dvhlmod
      lshplss lssss syl dochlss syl2anc dochsatshpb mpbird c0g csn clmod lsatn0
      wn neneqd doch0 eqeq2d cdih dochcl dih0rn doch11 bitr3d mtbird dochshpncl
      crn necon1bbid mpbid impbida ) AHFQZFQZHRZVQBSZAVSUAZVTVRISZWAVRHIAVSUBAH
      ISVSPTUCAVTWBUDVSABVQCUEQZCDEFGIJKLWCUFZMNOAEUGSGDSUAZHCUHQZUIZVQWCSOAHWC
      SWGAWCHICWDNACDEGJLOUJZPUKWCHWFCWFUFZWDULUMZWCCDEFWFGHJLWIWDKUNUOUPTUQAVT
      UAZVRWFRZVBZVSWKWLVQCURQZUSZRZWKVQWOWKBVQCWNWNUFZMACUTSVTWHTAVTUBVAVCWKVR
      WOFQZRZWLWPWKWRWFVRWKWEWRWFRAWEVTOTCDEFWFGWNJLKWIWQVDUMVEAWSWPUDVTADGEVFQ
      QZEFGVQWOJWTUFZKOAWEWGVQWTVMZSOWJCDWTEFWFGHJXALWIKVGUOAWEWOXBSOCDWTEGWNJX
      ALWQVHUMVITVJVKAWMVSUDVTAWLVRHACDEFWFGHIJKLWINOPVLVNTVOVP $.
  $}

  ${
    dochkrsat.h $e |- H = ( LHyp ` K ) $.
    dochkrsat.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochkrsat.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochkrsat.a $e |- A = ( LSAtoms ` U ) $.
    dochkrsat.f $e |- F = ( LFnl ` U ) $.
    dochkrsat.l $e |- L = ( LKer ` U ) $.
    dochkrsat.z $e |- .0. = ( 0g ` U ) $.
    dochkrsat.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochkrsat.g $e |- ( ph -> G e. F ) $.
    $( The orthocomplement of a kernel is an atom iff it is nonzero.
       (Contributed by NM, 1-Nov-2014.) $)
    dochkrsat $p |- ( ph
     -> ( ( ._|_ ` ( L ` G ) ) =/= { .0. } <-> ( ._|_ ` ( L ` G ) ) e. A ) ) $=
      ( cfv cbs wne clsh wcel csn eqid dochkrshp dvhlmod dochn0nv clss chlt wss
      lkrssv wa dochlss syl2anc dochsatshpb 3bitr4d ) AEHUAZIUAZIUAZCUBUAZUCVBC
      UDUAZUEVAKUFUCVABUEACDEFGHIVCJVDLMNVCUGZVDUGZPQSTUHACFGIVCJUTKLMNVERSADEH
      VCCVEPQACFGJLNSUITUNZUJABVACUKUAZCFGIJVDLMNVHUGZOVFSAGULUEJFUEUOUTVCUMVAV
      HUESVGVHCFGIVCJUTLNVEVIMUPUQURUS $.
  $}

  ${
    dochkrsat2.h $e |- H = ( LHyp ` K ) $.
    dochkrsat2.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochkrsat2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochkrsat2.v $e |- V = ( Base ` U ) $.
    dochkrsat2.a $e |- A = ( LSAtoms ` U ) $.
    dochkrsat2.f $e |- F = ( LFnl ` U ) $.
    dochkrsat2.l $e |- L = ( LKer ` U ) $.
    dochkrsat2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochkrsat2.g $e |- ( ph -> G e. F ) $.
    $( The orthocomplement of a kernel is an atom iff the double
       orthocomplement is not the vector space.  (Contributed by NM,
       1-Jan-2015.) $)
    dochkrsat2 $p |- ( ph -> ( ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) =/= V <->
      ( ._|_ ` ( L ` G ) ) e. A ) ) $=
      ( cfv c0g csn wne wcel eqid dvhlmod lkrssv dochn0nv dochkrsat bitr3d ) AE
      HUAZIUAZCUBUAZUCUDUMIUAJUDUMBUEACFGIJKULUNLMNOUNUFZSADEHJCOQRACFGKLNSUGTU
      HUIABCDEFGHIKUNLMNPQRUOSTUJUK $.
  $}

  ${
    dochsat0.h $e |- H = ( LHyp ` K ) $.
    dochsat0.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochsat0.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochsat0.z $e |- .0. = ( 0g ` U ) $.
    dochsat0.a $e |- A = ( LSAtoms ` U ) $.
    dochsat0.f $e |- F = ( LFnl ` U ) $.
    dochsat0.l $e |- L = ( LKer ` U ) $.
    dochsat0.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochsat0.g $e |- ( ph -> G e. F ) $.
    $( The orthocomplement of a kernel is either an atom or zero.  (Contributed
       by NM, 29-Jan-2015.) $)
    dochsat0 $p |- ( ph
        -> ( ( ._|_ ` ( L ` G ) ) e. A \/ ( ._|_ ` ( L ` G ) ) = { .0. } ) ) $=
      ( cfv wcel csn wceq wne dochkrsat biimpd necon1bd orrd ) AEHUAIUAZBUBZUJK
      UCZUDAUKUJULAUJULUEUKABCDEFGHIJKLMNPQROSTUFUGUHUI $.
  $}

  ${
    dochkrsm.h $e |- H = ( LHyp ` K ) $.
    dochkrsm.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    dochkrsm.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochkrsm.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochkrsm.p $e |- .(+) = ( LSSum ` U ) $.
    dochkrsm.f $e |- F = ( LFnl ` U ) $.
    dochkrsm.l $e |- L = ( LKer ` U ) $.
    dochkrsm.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochkrsm.x $e |- ( ph -> X e. ran I ) $.
    dochkrsm.g $e |- ( ph -> G e. F ) $.
    $( The subspace sum of a closed subspace and a kernel orthocomplement is
       closed.  ( ~ djhlsmcl can be used to convert sum to join.)  (Contributed
       by NM, 29-Jan-2015.) $)
    dochkrsm $p |- ( ph -> ( X .(+) ( ._|_ ` ( L ` G ) ) ) e. ran I ) $=
      ( cfv clsa wcel co crn c0g wceq wa eqid chlt adantr simpr dihsmatrn oveq2
      csn csubg clmod clss dvhlmod dihrnlss syl2anc lsssubg lsm01 syl sylan9eqr
      eqeltrd dochsat0 mpjaodan ) AEIUCJUCZCUDUCZUEZLVKBUFZGUGZUEVKCUHUCZUQZUIZ
      AVMUJVLBVKCFGHKLMNPQVLUKZAHULUEKFUEUJZVMTUMALVOUEZVMUAUMAVMUNUOAVRUJVNLVO
      VRAVNLVQBUFZLVKVQLBUPALCURUCUEZWBLUIACUSUELCUTUCZUEZWCACFHKMPTVAAVTWAWETU
      AWDCFGHKLMPNWDUKZVBVCWDLCWFVDVCBCLVPVPUKZQVEVFVGAWAVRUAUMVHAVLCDEFHIJKVPM
      OPWGVSRSTUBVIVJ $.
  $}

  ${
    dochexmidat.h $e |- H = ( LHyp ` K ) $.
    dochexmidat.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochexmidat.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochexmidat.v $e |- V = ( Base ` U ) $.
    dochexmidat.z $e |- .0. = ( 0g ` U ) $.
    dochexmidat.r $e |- N = ( LSpan ` U ) $.
    dochexmidat.p $e |- .(+) = ( LSSum ` U ) $.
    dochexmidat.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochexmidat.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    $( Special case of excluded middle for the singleton of a vector.
       (Contributed by NM, 27-Oct-2014.) $)
    dochexmidat $p |- ( ph -> ( ( ._|_ ` { X } ) .(+) ( N ` { X } ) ) = V ) $=
      ( csn cfv wcel wn co wceq dochnel clsh dvhlvec dochsnshp eldifad lshpnelb
      eqid mpbid ) AJJUAZGUBZUCUDUPUOFUBBUEHUFACDEGHIJKLMNOPSTUGABUPCUHUBZFHCJO
      QRUQUMZACDEILNSUIACDEGHIJUQKLMNOPURSTUJAJHKUATUKULUN $.
  $}

  ${
    dochexmidlem1.h $e |- H = ( LHyp ` K ) $.
    dochexmidlem1.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochexmidlem1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochexmidlem1.v $e |- V = ( Base ` U ) $.
    dochexmidlem1.s $e |- S = ( LSubSp ` U ) $.
    dochexmidlem1.n $e |- N = ( LSpan ` U ) $.
    dochexmidlem1.p $e |- .(+) = ( LSSum ` U ) $.
    dochexmidlem1.a $e |- A = ( LSAtoms ` U ) $.
    dochexmidlem1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochexmidlem1.x $e |- ( ph -> X e. S ) $.
    ${
      dochexmidlem1.pp $e |- ( ph -> p e. A ) $.
      dochexmidlem1.qq $e |- ( ph -> q e. A ) $.
      dochexmidlem1.rr $e |- ( ph -> r e. A ) $.
      dochexmidlem1.ql $e |- ( ph -> q C_ ( ._|_ ` X ) ) $.
      dochexmidlem1.rl $e |- ( ph -> r C_ X ) $.
      $( Lemma for ~ dochexmid .  Holland's proof implicitly requires
         ` q =/= r ` , which we prove here.  (Contributed by NM,
         14-Jan-2015.) $)
      dochexmidlem1 $p |- ( ph -> q =/= r ) $=
        ( cv cfv cin wss wn wne c0g csn eqid dvhlmod lsatn0 wcel wceq lsatlssel
        clmod wb lssle0 syl2anc necon3bbid mpbird chlt dochnoncon sseq2d mtbird
        wa weq sseq1 syl5ibcom jctild ssin syl6ib necon3bd mpd ) AMUKZLLIULZUMZ
        UNZUONUKZWDUPAWGWDEUQULZURZUNZAWKUOWDWJUPABWDEWIWIUSZUCAEFGKPRUDUTZUHVA
        AWKWDWJAEVEVBWDDVBWKWDWJVCVFWMABDWDETUCWMUHVDDEWDWIWLTVGVHVIVJAWFWJWDAG
        VKVBKFVBVOLDVBWFWJVCUDUEDEFGIKLWIPRTWLQVLVHVMVNAWGWHWDANMVPZWDLUNZWDWEU
        NZVOWGAWNWPWOAWHWEUNWNWPUIWHWDWEVQVRUJVSWDLWEVTWAWBWC $.
    $}

    ${
      dochexmidlem2.pp $e |- ( ph -> p e. A ) $.
      dochexmidlem2.qq $e |- ( ph -> q e. A ) $.
      dochexmidlem2.rr $e |- ( ph -> r e. A ) $.
      dochexmidlem2.ql $e |- ( ph -> q C_ ( ._|_ ` X ) ) $.
      dochexmidlem2.rl $e |- ( ph -> r C_ X ) $.
      dochexmidlem2.pl $e |- ( ph -> p C_ ( r .(+) q ) ) $.
      $( Lemma for ~ dochexmid .  (Contributed by NM, 14-Jan-2015.) $)
      dochexmidlem2 $p |- ( ph -> p C_ ( X .(+) ( ._|_ ` X ) ) ) $=
        ( cv co cfv csubg wcel wss clmod dvhlmod lsssssubg sseldd chlt wa lssss
        syl dochlss syl2anc lsmless12 syl22anc sstrd ) AOULMULZNULZCUMZLLIUNZCU
        MZUKALEUOUNZUPVNVPUPVKLUQVLVNUQVMVOUQADVPLAEURUPDVPUQAEFGKPRUDUSDETUTVE
        ZUEVAADVPVNVQAGVBUPKFUPVCLJUQZVNDUPUDALDUPVRUEDLJESTVDVEDEFGIJKLPRSTQVF
        VGVAUJUICVKLVLVNEUBVHVIVJ $.
    $}

    ${
      dochexmidlem3.pp $e |- ( ph -> p e. A ) $.
      dochexmidlem3.qq $e |- ( ph -> q e. A ) $.
      dochexmidlem3.rr $e |- ( ph -> r e. A ) $.
      dochexmidlem3.ql $e |- ( ph -> q C_ ( ._|_ ` X ) ) $.
      dochexmidlem3.rl $e |- ( ph -> r C_ X ) $.
      dochexmidlem3.pl $e |- ( ph -> q C_ ( r .(+) p ) ) $.
      $( Lemma for ~ dochexmid .  Use atom exchange ~ lsatexch1 to swap ` p `
         and ` q ` .  (Contributed by NM, 14-Jan-2015.) $)
      dochexmidlem3 $p |- ( ph -> p C_ ( X .(+) ( ._|_ ` X ) ) ) $=
        ( cv dvhlvec dochexmidlem1 lsatexch1 dochexmidlem2 ) ABCDEFGHIJKLMNOPQR
        STUAUBUCUDUEUFUGUHUIUJABCNULOULMULEUBUCAEFGKPRUDUMUGUFUHUKABCDEFGHIJKLM
        NOPQRSTUAUBUCUDUEUFUGUHUIUJUNUOUP $.
    $}

    ${
      $d r A $.  $d r ._|_ $.  $d r .(+) $.  $d r U $.  $d r X $.  $d r p $.
      $d r q $.  $d r ph $.
      dochexmidlem4.pp $e |- ( ph -> p e. A ) $.
      dochexmidlem4.qq $e |- ( ph -> q e. A ) $.
      dochexmidlem4.z $e |- .0. = ( 0g ` U ) $.
      dochexmidlem4.m $e |- M = ( X .(+) p ) $.
      dochexmidlem4.xn $e |- ( ph -> X =/= { .0. } ) $.
      dochexmidlem4.pl $e |- ( ph -> q C_ ( ( ._|_ ` X ) i^i M ) ) $.
      $( Lemma for ~ dochexmid .  (Contributed by NM, 15-Jan-2015.) $)
      dochexmidlem4 $p |- ( ph -> p C_ ( X .(+) ( ._|_ ` X ) ) ) $=
        ( vr cv wss co wa wrex cfv dvhlmod lsatlssel cin sstrdi sseqtrdi lsmsat
        inss2 wcel w3a 3ad2ant1 simp2 inss1 simp3l dochexmidlem3 rexlimdv3a mpd
        chlt simp3r ) AUMUNZMUOZOUNZVRPUNZCUPUOZUQZUMBURWAMMJUSZCUPUOZABCVTDMWA
        ENUMUIUAUCUDAEFGLQSUEUTZUFABDWAEUAUDWFUGVAUHUKAVTHMWACUPAVTWDHVBZHULWDH
        VFVCUJVDVEAWCWEUMBAVRBVGZWCVHBCDEFGIJKLMUMOPQRSTUAUBUCUDAWHGVPVGLFVGUQW
        CUEVIAWHMDVGWCUFVIAWHWABVGWCUGVIAWHVTBVGWCUHVIAWHWCVJAWHVTWDUOWCAVTWGWD
        ULWDHVKVCVIAWHVSWBVLAWHVSWBVQVMVNVO $.
    $}

    ${
      $d q A $.  $d q M $.  $d q ._|_ $.  $d q .(+) $.  $d q U $.  $d q X $.
      $d q p $.  $d q ph $.
      dochexmidlem5.pp $e |- ( ph -> p e. A ) $.
      dochexmidlem5.z $e |- .0. = ( 0g ` U ) $.
      dochexmidlem5.m $e |- M = ( X .(+) p ) $.
      dochexmidlem5.xn $e |- ( ph -> X =/= { .0. } ) $.
      dochexmidlem5.pl $e |- ( ph -> -. p C_ ( X .(+) ( ._|_ ` X ) ) ) $.
      $( Lemma for ~ dochexmid .  (Contributed by NM, 15-Jan-2015.) $)
      dochexmidlem5 $p |- ( ph -> ( ( ._|_ ` X ) i^i M ) = { .0. } ) $=
        ( vq cv cfv co wss wn cin csn wceq wne wrex wa wcel dvhlmod adantr chlt
        clmod lssss syl dochlss syl2anc lsatlssel lsmcl syl3anc simpr lssatomic
        eqeltrid lssincl w3a 3ad2ant1 simp2 simp3 dochexmidlem4 rexlimdv3a syld
        ex necon1bd mpd ) AOULZMMJUMZCUNUOZUPWJHUQZNURZUSUJAWKWLWMAWLWMUTZUKULZ
        WLUOZUKBVAZWKAWNWQAWNVBBDWLENUKTUGUCAEVGVCZWNAEFGLPRUDVDZVEAWLDVCZWNAWR
        WJDVCZHDVCWTWSAGVFVCLFVCVBZMKUOZXAUDAMDVCZXCUEDMKESTVHVIDEFGJKLMPRSTQVJ
        VKAHMWICUNZDUHAWRXDWIDVCXEDVCWSUEABDWIETUCWSUFVLCDMWIETUBVMVNVQDWJHETVR
        VNVEAWNVOVPWFAWPWKUKBAWOBVCZWPVSBCDEFGHIJKLMNUKOPQRSTUAUBUCAXFXBWPUDVTA
        XFXDWPUEVTAXFWIBVCWPUFVTAXFWPWAUGUHAXFMWMUTWPUIVTAXFWPWBWCWDWEWGWH $.
    $}

    ${
      dochexmidlem6.pp $e |- ( ph -> p e. A ) $.
      dochexmidlem6.z $e |- .0. = ( 0g ` U ) $.
      dochexmidlem6.m $e |- M = ( X .(+) p ) $.
      dochexmidlem6.xn $e |- ( ph -> X =/= { .0. } ) $.
      dochexmidlem6.c $e |- ( ph -> ( ._|_ ` ( ._|_ ` X ) ) = X ) $.
      dochexmidlem6.pl $e |- ( ph -> -. p C_ ( X .(+) ( ._|_ ` X ) ) ) $.
      $( Lemma for ~ dochexmid .  (Contributed by NM, 15-Jan-2015.) $)
      dochexmidlem6 $p |- ( ph -> M = X ) $=
        ( cfv cin csn dochexmidlem5 fveq2d chlt wcel wa wceq doch0 eqtrd ineq1d
        syl cdih crn cv co eqid lssss dochssv syl2anc dochcl eqeltrrd dihsmatrn
        wss eqeltrid dihrnlss clmod dvhlmod lsatlssel syl3anc eqsstrid dochoccl
        lsmcl mpbid lsssssubg sseldd lsmub1 sseqtrrdi dihoml4 sseqin2 3eqtr3rd
        csubg sylib ) AHMJULZJULZMAWPHUMZJULZHUMKHUMZWQHAWSKHAWSNUNZJULZKAWRXAJ
        ABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUKUOUPAGUQURLFURUSZXBKUTUDEFGJKLN
        PRQSUGVAVDVBVCADEFGJLMHPRTQUDUEAXCHLGVEULULZVFZURZHDURUDAHMOVGZCVHZXEUH
        ABCXGEFXDGLMPXDVIZRUBUCUDAWQMXEUJAXCWPKVPZWQXEURUDAXCMKVPZXJUDAMDURZXKU
        EDMKESTVJVDEFGJKLMPRSQVKVLEFXDGJKLWPPXIRSQVMVLVNUFVOVQZDEFXDGLHPRXITVRV
        LAXFHJULJULHUTXMAEFXDGJKLHPXIRSQUDAHXHKUHAXHDURZXHKVPAEVSURZXLXGDURXNAE
        FGLPRUDVTZUEABDXGETUCXPUFWAZCDMXGETUBWEWBDXHKESTVJVDWCZWDWFAMXHHAMEWNUL
        ZURXGXSURMXHVPADXSMAXODXSVPXPDETWGVDZUEWHADXSXGXTXQWHCMXGEUBWIVLUHWJWKA
        HKVPWTHUTXRHKWLWOWMUJVB $.

      $( Lemma for ~ dochexmid .  Contradict ~ dochexmidlem6 .  (Contributed by
         NM, 15-Jan-2015.) $)
      dochexmidlem7 $p |- ( ph -> M =/= X ) $=
        ( cv wss wn wne co csubg cfv wcel clmod dvhlmod lsssssubg syl lsatlssel
        sseldd lsmub2 syl2anc sseqtrrdi chlt lssss dochlss lsmub1 sstr2 syl5com
        wa mtod wceq sseq2 biimpcd necon3bd sylc ) AOULZHUMZWBMUMZUNHMUOAWBMWBC
        UPZHAMEUQURZUSZWBWFUSWBWEUMADWFMAEUTUSDWFUMAEFGLPRUDVAZDETVBVCZUEVEZADW
        FWBWIABDWBETUCWHUFVDVECMWBEUBVFVGUHVHAWDWBMMJURZCUPZUMZUKAMWLUMZWDWMAWG
        WKWFUSWNWJADWFWKWIAGVIUSLFUSVOMKUMZWKDUSUDAMDUSWOUEDMKESTVJVCDEFGJKLMPR
        STQVKVGVECMWKEUBVLVGWBMWLVMVNVPWCWDHMHMVQWCWDHMWBVRVSVTWA $.
    $}

    $d p .(+) $.  $d p ._|_ $.  $d p A $.  $d p ph $.  $d p S $.  $d p U $.
    $d p V $.  $d p X $.
    dochexmidlem8.z $e |- .0. = ( 0g ` U ) $.
    dochexmidlem8.xn $e |- ( ph -> X =/= { .0. } ) $.
    dochexmidlem8.c $e |- ( ph -> ( ._|_ ` ( ._|_ ` X ) ) = X ) $.
    $( Lemma for ~ dochexmid .  The contradiction of ~ dochexmidlem6 and
       ~ dochexmidlem7 shows that there can be no atom ` p ` that is not in
       ` X + ( ._|_ `` X ) ` , which is therefore the whole atom space.
       (Contributed by NM, 15-Jan-2015.) $)
    dochexmidlem8 $p |- ( ph -> ( X .(+) ( ._|_ ` X ) ) = V ) $=
      ( vp wceq wne wa wn cfv co nonconne wss wcel clmod dvhlmod chlt lssss syl
      dochlss syl2anc lsmcl syl3anc wrex adantr lss1 wpss df-pss biimpri adantl
      cv lpssat ex w3a 3ad2ant1 eqid csn dochexmidlem6 dochexmidlem7 pm2.21ddne
      simp2 simp3 3adant3l rexlimdv3a syld mpand necon1bd mpi ) ALLUHLLUIUJZUKL
      LIULZCUMZJUHLLUNAWKWMJAWMJUOZWMJUIZWKAWMDUPZWNAEUQUPZLDUPZWLDUPZWPAEFGKNP
      UBURZUCAGUSUPKFUPUJZLJUOZWSUBAWRXBUCDLJEQRUTVADEFGIJKLNPQROVBVCCDLWLERTVD
      VEZDWMJEQRUTVAAWNWOUJZUGVMZJUOZXEWMUOUKZUJZUGBVFZWKAXDXIAXDUJBDWMJEUGRUAA
      WQXDWTVGAWPXDXCVGAJDUPZXDAWQXJWTDJEQRVHVAVGXDWMJVIZAXKXDWMJVJVKVLVNVOAXHW
      KUGBAXEBUPZXGWKXFAXLXGVPZWKLXECUMZLXMBCDEFGXNHIJKLMUGNOPQRSTUAAXLXAXGUBVQ
      ZAXLWRXGUCVQZAXLXGWCZUDXNVRZAXLLMVSUIXGUEVQZAXLWLIULLUHXGUFVQZAXLXGWDZVTX
      MBCDEFGXNHIJKLMUGNOPQRSTUAXOXPXQUDXRXSXTYAWAWBWEWFWGWHWIWJ $.
  $}

  ${
    dochexmid.h $e |- H = ( LHyp ` K ) $.
    dochexmid.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochexmid.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochexmid.v $e |- V = ( Base ` U ) $.
    dochexmid.s $e |- S = ( LSubSp ` U ) $.
    dochexmid.p $e |- .(+) = ( LSSum ` U ) $.
    dochexmid.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochexmid.x $e |- ( ph -> X e. S ) $.
    dochexmid.c $e |- ( ph -> ( ._|_ ` ( ._|_ ` X ) ) = X ) $.
    $( Excluded middle law for closed subspaces, which is equivalent to (and
       derived from) the orthomodular law ~ dihoml4 .  Lemma 3.3(2) in
       [Holland95] p. 215.  In our proof, we use the variables ` X ` , ` M ` ,
       ` p ` , ` q ` , ` r ` in place of Hollands' l, m, P, Q, L respectively.
       ( ~ pexmidALTN analog.)  (Contributed by NM, 15-Jan-2015.) $)
    dochexmid $p |- ( ph -> ( X .(+) ( ._|_ ` X ) ) = V ) $=
      ( cfv co wceq c0g csn id fveq2 oveq12d csubg wcel clmod dvhlmod chlt eqid
      wa wss lmod0vcl snssd dochlss syl2anc lsssubg lsm02 doch0 eqtrd sylan9eqr
      syl wne clsa clspn adantr simpr dochexmidlem8 pm2.61dane ) AJJGTZBUAZHUBJ
      DUCTZUDZJVPUBZAVNVPVPGTZBUAZHVQJVPVMVRBVQUEJVPGUFUGAVSVRHAVRDUHTUIZVSVRUB
      ADUJUIZVRCUIZVTADEFIKMQUKZAFULUIIEUIUNZVPHUOWBQAVOHAWAVOHUIWCHDVONVOUMZUP
      VEUQCDEFGHIVPKMNOLURUSCVRDOUTUSBDVRVOWEPVAVEAWDVRHUBQDEFGHIVOKMLNWEVBVEVC
      VDAJVPVFZUNDVGTZBCDEFDVHTZGHIJVOKLMNOWHUMPWGUMAWDWFQVIAJCUIWFRVIWEAWFVJAV
      MGTJUBWFSVIVKVL $.
  $}

  ${
    dochsnkr.h $e |- H = ( LHyp ` K ) $.
    dochsnkr.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochsnkr.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochsnkr.v $e |- V = ( Base ` U ) $.
    dochsnkr.z $e |- .0. = ( 0g ` U ) $.
    dochsnkr.f $e |- F = ( LFnl ` U ) $.
    dochsnkr.l $e |- L = ( LKer ` U ) $.
    dochsnkr.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochsnkr.g $e |- ( ph -> G e. F ) $.
    dochsnkr.x $e |- ( ph -> X e. ( ( ._|_ ` ( L ` G ) ) \ { .0. } ) ) $.
    $( Lemma for ~ dochsnkr .  (Contributed by NM, 1-Jan-2015.) $)
    dochsnkrlem1 $p |- ( ph -> ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) =/= V ) $=
      ( cfv csn wne cdif wcel wn eldif nelne1 sylbi syl dvhlmod lkrssv dochn0nv
      wa mpbid ) ADGUCZHUCZLUDZUEZUSHUCIUEAKUSUTUFUGZVAUBVBKUSUGKUTUGUHUPVAKUSU
      TUIKUSUTUJUKULABEFHIJURLMNOPQTACDGIBPRSABEFJMOTUMUAUNUOUQ $.

    ${
      dochsnkr.a $e |- A = ( LSAtoms ` U ) $.
      $( Lemma for ~ dochsnkr .  (Contributed by NM, 1-Jan-2015.) $)
      dochsnkrlem2 $p |- ( ph -> ( ._|_ ` ( L ` G ) ) e. A ) $=
        ( cfv wne wcel dochsnkrlem1 dochkrsat2 mpbid ) AEHUEIUEZIUEJUFUKBUGACDE
        FGHIJKLMNOPQRSTUAUBUCUHABCDEFGHIJKNOPQUDSTUAUBUIUJ $.
    $}

    $( Lemma for ~ dochsnkr .  (Contributed by NM, 2-Jan-2015.) $)
    dochsnkrlem3 $p |- ( ph -> ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) = ( L ` G ) ) $=
      ( cfv wceq wne wo dochsnkrlem1 orcd dochkrshp4 mpbird ) ADGUCZHUCHUCZUKUD
      ULIUEZUKIUDZUFAUMUNABCDEFGHIJKLMNOPQRSTUAUBUGUHABCDEFGHIJMNOPRSTUAUIUJ $.

    $( A (closed) kernel expressed in terms of a nonzero vector in its
       orthocomplement.  TODO: consolidate lemmas unless they're needed for
       something else (in which case break out as theorems).  (Contributed by
       NM, 2-Jan-2015.) $)
    dochsnkr $p |- ( ph -> ( L ` G ) = ( ._|_ ` { X } ) ) $=
      ( cfv csn clspn clsa eqid dvhlvec dochsnkrlem2 eldifad cdif wcel eldifsni
      wne syl lsatel fveq2d dochsnkrlem3 chlt wa dvhlmod lkrssv dochssv syl2anc
      wss ssdifssd sseldd snssd dochocsp 3eqtr3d ) ADGUCZHUCZHUCKUDZBUEUCZUCZHU
      CVKVMHUCAVLVOHABUFUCZVLVNBKLQVNUGZVPUGZABEFJMOTUHAVPBCDEFGHIJKLMNOPQRSTUA
      UBVRUIAKVLLUDZUBUJAKVLVSUKZULKLUNUBKVLLUMUOUPUQABCDEFGHIJKLMNOPQRSTUAUBUR
      ABEFVNHIJVMMONPVQTAKIAVTIKAVLIVSAFUSULJEULUTVKIVEVLIVETACDGIBPRSABEFJMOTV
      AUAVBBEFHIJVKMOPNVCVDVFUBVGVHVIVJ $.
  $}

  ${
    $d k v w .+ $.  $d k D $.  $d k v w ._|_ $.  $d k v R $.  $d k v w .x. $.
    $d v V $.  $d k v w X $.
    dochsnkr2.h $e |- H = ( LHyp ` K ) $.
    dochsnkr2.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochsnkr2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochsnkr2.v $e |- V = ( Base ` U ) $.
    dochsnkr2.z $e |- .0. = ( 0g ` U ) $.
    dochsnkr2.a $e |- .+ = ( +g ` U ) $.
    dochsnkr2.t $e |- .x. = ( .s ` U ) $.
    dochsnkr2.l $e |- L = ( LKer ` U ) $.
    dochsnkr2.d $e |- D = ( Scalar ` U ) $.
    dochsnkr2.r $e |- R = ( Base ` D ) $.
    dochsnkr2.g $e |- G = ( v e. V |->
        ( iota_ k e. R E. w e. ( ._|_ ` { X } ) v = ( w .+ ( k .x. X ) ) ) ) $.
    dochsnkr2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochsnkr2.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    $( Kernel of the explicit functional ` G ` determined by a nonzero vector
       ` X ` .  Compare the more general ~ lshpkr .  (Contributed by NM,
       27-Oct-2014.) $)
    dochsnkr2 $p |- ( ph -> ( L ` G ) = ( ._|_ ` { X } ) ) $=
      ( clsm cfv clsh clspn eqid dvhlvec dochsnshp eldifad dochexmidat lshpkr
      csn ) ACBDEHULUMZGQVBNUMIJHUNUMZFMHUOUMZOHQUBUDVEUPZVCUPZVDUPZAHKLPSUAUJU
      QAHKLNOPQVDRSTUAUBUCVHUJUKURAQORVBUKUSAVCHKLVENOPQRSTUAUBUCVFVGUJUKUTUGUH
      UEUIUFVA $.

    $( The ` X ` determining functional ` G ` belongs to the atom formed by the
       orthocomplement of the kernel.  (Contributed by NM, 4-Jan-2015.) $)
    dochsnkr2cl $p |- ( ph -> X e. ( ( ._|_ ` ( L ` G ) ) \ { .0. } ) ) $=
      ( cfv wcel wne cdif clspn clmod dvhlmod eldifad lspsnid syl2anc dochsnkr2
      csn eqid snssd dochocsp eqtr4d fveq2d chlt wa cdih crn wceq dochoc eqtr2d
      dihlsprn eleqtrd eldifsni syl eldifsn sylanbrc ) AQJMULZNULZUMQRUNZQWCRVC
      ZUOUMAQQVCZHUPULZULZWCAHUQUMQOUMZQWHUMAHKLPSUAUJURAQOWEUKUSZWGOHQUBWGVDZU
      TVAAWCWHNULZNULZWHAWBWLNAWBWFNULWLABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIU
      JUKVBAHKLWGNOPWFSUATUBWKUJAQOWJVEVFVGVHALVIUMPKUMVJZWHPLVKULULZVLUMZWMWHV
      MUJAWNWIWPUJWJHKWOLWGOPQSUAUBWKWOVDZVPVAKWOLNPWHSWQTVNVAVOVQAQOWEUOUMWDUK
      QORVRVSQWCRVTWA $.
  $}

  ${
    $d k v w .+ $.  $d k D $.  $d k v w ._|_ $.  $d k v R $.  $d k v w .x. $.
    $d v V $.  $d k v w X $.
    dochflcl.h $e |- H = ( LHyp ` K ) $.
    dochflcl.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochflcl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochflcl.v $e |- V = ( Base ` U ) $.
    dochflcl.z $e |- .0. = ( 0g ` U ) $.
    dochflcl.a $e |- .+ = ( +g ` U ) $.
    dochflcl.t $e |- .x. = ( .s ` U ) $.
    dochflcl.f $e |- F = ( LFnl ` U ) $.
    dochflcl.d $e |- D = ( Scalar ` U ) $.
    dochflcl.r $e |- R = ( Base ` D ) $.
    dochflcl.g $e |- G = ( v e. V |->
        ( iota_ k e. R E. w e. ( ._|_ ` { X } ) v = ( w .+ ( k .x. X ) ) ) ) $.
    dochflcl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochflcl.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    $( Closure of the explicit functional ` G ` determined by a nonzero vector
       ` X ` .  Compare the more general ~ lshpkrcl .  (Contributed by NM,
       27-Oct-2014.) $)
    dochflcl $p |- ( ph -> G e. F ) $=
      ( clsm cfv clsh clspn eqid dvhlvec dochsnshp eldifad dochexmidat lshpkrcl
      csn ) ACBDEHULUMZGQVBNUMIJKHUNUMZFHUOUMZOHQUBUDVEUPZVCUPZVDUPZAHLMPSUAUJU
      QAHLMNOPQVDRSTUAUBUCVHUJUKURAQORVBUKUSAVCHLMVENOPQRSTUAUBUCVFVGUJUKUTUGUH
      UEUIUFVA $.
  $}

  ${
    $d k v w .+ $.  $d k w .1. $.  $d k v w ._|_ $.  $d k v R $.
    $d k v w .x. $.  $d v V $.  $d k v w X $.  $d w .0. $.
    dochfl1.h $e |- H = ( LHyp ` K ) $.
    dochfl1.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochfl1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochfl1.v $e |- V = ( Base ` U ) $.
    dochfl1.a $e |- .+ = ( +g ` U ) $.
    dochfl1.t $e |- .x. = ( .s ` U ) $.
    dochfl1.z $e |- .0. = ( 0g ` U ) $.
    dochfl1.d $e |- D = ( Scalar ` U ) $.
    dochfl1.r $e |- R = ( Base ` D ) $.
    dochfl1.i $e |- .1. = ( 1r ` D ) $.
    dochfl1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochfl1.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    dochfl1.g $e |- G = ( v e. V |->
        ( iota_ k e. R E. w e. ( ._|_ ` { X } ) v = ( w .+ ( k .x. X ) ) ) ) $.
    $( The value of the explicit functional ` G ` is 1 at the ` X ` that
       determines it.  (Contributed by NM, 27-Oct-2014.) $)
    dochfl1 $p |- ( ph -> ( G ` X ) = .1. ) $=
      ( cfv cv co wceq csn wrex crio wcel eldifad eqeq1 rexbidv riotabidv fvmpt
      riotaex syl clmod clss dvhlmod chlt wss snssd eqid dochlss syl2anc lss0cl
      lmodvs1 oveq2d lmod0vlid eqtr2d oveq1 rspceeqv wreu crg lmodring ringidcl
      wa wb 3syl clsm clsh clspn dvhlvec dochsnshp dochexmidat lshpsmreu eqeq2d
      riota2 mpbid eqtrd ) AQKULZQBUMZJUMZQGUNZEUNZUOZBQUPZNULZUQZJFURZIAQOUSZX
      AXJUOAQORUPUJUTZCQCUMZXEUOZBXHUQZJFURXJOKXMQUOZXOXIJFXPXNXFBXHXMQXEVAVBVC
      UKXIJFVEVDVFAQXBIQGUNZEUNZUOZBXHUQZXJIUOZARXHUSZQRXQEUNZUOXTAHVGUSZXHHVHU
      LZUSZYBAHLMPSUAUIVIZAMVJUSPLUSWGXGOVKYFUIAQOXLVLYEHLMNOPXGSUAUBYEVMZTVNVO
      YEXHHRUEYHVPVOAYCRQEUNZQAXQQREAYDXKXQQUOYGXLGIDOHQUBUFUDUHVQVOVRAYDXKYIQU
      OYGXLEOHQRUBUCUEVSVOVTBRXHXRYCQXBRXQEWAWBVOAIFUSZXIJFWCXTYAWHAYDDWDUSYJYG
      DHUFWEFDIUGUHWFWIABDEHWJULZGXHJHWKULZFHWLULZOHQQUBUCYMVMZYKVMZYLVMZAHLMPS
      UAUIWMAHLMNOPQYLRSTUAUBUEYPUIUJWNXLXLAYKHLMYMNOPQRSTUAUBUEYNYOUIUJWOUFUGU
      DWPXIXTJFIXCIUOZXFXSBXHYQXEXRQYQXDXQXBEXCIQGWAVRWQVBWRVOWSWT $.
  $}

  ${
    dochfln0.h $e |- H = ( LHyp ` K ) $.
    dochfln0.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochfln0.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochfln0.v $e |- V = ( Base ` U ) $.
    dochfln0.r $e |- R = ( Scalar ` U ) $.
    dochfln0.n $e |- N = ( 0g ` R ) $.
    dochfln0.z $e |- .0. = ( 0g ` U ) $.
    dochfln0.f $e |- F = ( LFnl ` U ) $.
    dochfln0.l $e |- L = ( LKer ` U ) $.
    dochfln0.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochfln0.g $e |- ( ph -> G e. F ) $.
    dochfln0.x $e |- ( ph -> X e. ( ( ._|_ ` ( L ` G ) ) \ { .0. } ) ) $.
    $( The value of a functional is nonzero at a nonzero vector in the
       orthocomplement of its kernel.  (Contributed by NM, 2-Jan-2015.) $)
    dochfln0 $p |- ( ph -> ( G ` X ) =/= N ) $=
      ( csn cfv wcel wn wne cdif chlt wss dvhlmod lkrssv dochssv syl2anc ssdifd
      wa sseldd dochnel wceq eldifad biantrurd clmod wb ellkr dochsnkr 3bitr2rd
      eleq2d necon3bbid mpbid ) AMMUGJUHZUIZUJMEUHZIUKACFGJKLMNOPQRUAUDAEHUHZJU
      HZNUGZULKVSULMAVRKVSAGUMUILFUIUTVQKUNVRKUNUDADEHKCRUBUCACFGLOQUDUOZUEUPCF
      GJKLVQOQRPUQURZUSUFVAVBAVOVPIAVPIVCZMKUIZWBUTZMVQUIZVOAWCWBAVRKMWAAMVRVSU
      FVDVAVEACVFUIEDUIWEWDVGVTUEBDEHKCMVFIRSTUBUCVHURAVQVNMACDEFGHJKLMNOPQRUAU
      BUCUDUEUFVIVKVJVLVM $.
  $}

  ${
    $d x z .0. $.  $d x z G $.  $d x z L $.  $d z ph $.  $d x R $.  $d x z U $.
    $d x z ._|_ $.  $d x z .1. $.
    dochkr1.h $e |- H = ( LHyp ` K ) $.
    dochkr1.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochkr1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochkr1.v $e |- V = ( Base ` U ) $.
    dochkr1.r $e |- R = ( Scalar ` U ) $.
    dochkr1.z $e |- .0. = ( 0g ` U ) $.
    dochkr1.i $e |- .1. = ( 1r ` R ) $.
    dochkr1.f $e |- F = ( LFnl ` U ) $.
    dochkr1.l $e |- L = ( LKer ` U ) $.
    dochkr1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochkr1.g $e |- ( ph -> G e. F ) $.
    dochkr1.n $e |- ( ph -> ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) =/= V ) $.
    $( A nonzero functional has a value of 1 at some argument belonging to the
       orthocomplement of its kernel (when its kernel is a closed hyperplane).
       Tighter version of ~ lfl1 .  (Contributed by NM, 2-Jan-2015.) $)
    dochkr1 $p |- ( ph
           -> E. x e. ( ( ._|_ ` ( L ` G ) ) \ { .0. } ) ( G ` x ) = .1. ) $=
      ( vz cv cfv c0g wne wrex wceq csn cdif clsa eqid dvhlmod dochkrsat2 mpbid
      wcel lsateln0 chlt ad2antrr eldifsn biimpri adantll dochfln0 reximdva mpd
      wa ex w3a cinvr cvsca co clss cbs wss lkrssv dochlss syl2anc jca 3ad2ant1
      clmod cdr clvec dvhlvec lvecdrng syl dochssv sselda 3adant3 lflcl syl3anc
      simp3 drnginvrcl simp2 lssvscl drnginvrn0 lfl0 fveqeq2 syl5ibrcom necon3d
      adantr 3impia lvecvsn0 mpbir2and sylanbrc cmulr syl112anc drnginvrl eqtrd
      lflmul rspcev rexlimdv3a ) AUGUHZGUIZCUJUIZUKZUGGJUIZKUIZULZBUHZGUIEUMZBY
      BNUNUOZULZAXQDUJUIZUKZUGYBULYCAUGDUPUIZYBDYHYHUQZYJUQZADHIMOQUDURZAYBKUIL
      UKYBYJVAUFAYJDFGHIJKLMOPQRYLUBUCUDUEUSUTVBAYIXTUGYBAXQYBVAZVKZYIXTYOYIVKC
      DFGHIJXSKLMXQYHOPQRSXSUQZYKUBUCAIVCVAMHVAVKZYNYIUDVDAGFVAZYNYIUEVDYNYIXQY
      BYHUNUOVAZAYSYNYIVKXQYBYHVEVFVGVHVLVIVJAXTYGUGYBAYNXTVMZXRCVNUIZUIZXQDVOU
      IZVPZYFVAZUUDGUIZEUMZYGYTUUDYBVAZUUDNUKZUUEYTDWEVAZYBDVQUIZVAZVKZUUBCVRUI
      ZVAZYNVKUUHAYNUUMXTAUUJUULYMAYQYALVSZUULUDAFGJLDRUBUCYMUEVTZUUKDHIKLMYAOQ
      RUUKUQZPWAWBWCWDYTUUOYNYTCWFVAZXRUUNVAZXTUUOYTDWGVAZUUSAYNUVAXTADHIMOQUDW
      HWDZCDSWIWJZYTUUJYRXQLVAZUUTAYNUUJXTYMWDZAYNYRXTUEWDZAYNUVDXTAYBLXQAYQUUP
      YBLVSUDUUQDHIKLMYAOQRPWKWBWLWMZCFGUUNLDXQWESUUNUQZRUBWNWOZAYNXTWPZUUNCUUA
      XRXSUVHYPUUAUQZWQWOZAYNXTWRWCUUNUUKUUCYBCDUUBXQSUUCUQZUVHUURWSWBYTUUIUUBX
      SUKZXQNUKZYTUUSUUTXTUVNUVCUVIUVJUUNCUUAXRXSUVHYPUVKWTWOAYNXTUVOYOXQNXRXSY
      OXRXSUMXQNUMNGUIXSUMZYOUUJYRUVPAUUJYNYMXEAYRYNUEXECFGDXSNSYPTUBXAWBXQNXSG
      XBXCXDXFYTUUBUUCCUUNXSLDXQNRUVMSUVHYPTUVBUVLUVGXGXHUUDYBNVEXIYTUUFUUBXRCX
      JUIZVPZEYTUUJYRUUOUVDUUFUVRUMUVEUVFUVLUVGCUUBUUCUVQFGUUNLDXQSUVHUVQUQZRUV
      MUBXNXKYTUUSUUTXTUVREUMUVCUVIUVJUUNCUVQEUUAXRXSUVHYPUVSUAUVKXLWOXMYEUUGBU
      UDYFYDUUDEGXBXOWBXPVJ $.
  $}

  ${
    $d x z .1. $.  $d x z G $.  $d x z L $.  $d z ph $.  $d x R $.  $d x z U $.
    $d x z ._|_ $.
    dochkr1OLD.h $e |- H = ( LHyp ` K ) $.
    dochkr1OLD.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochkr1OLD.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochkr1OLD.v $e |- V = ( Base ` U ) $.
    dochkr1OLD.r $e |- R = ( Scalar ` U ) $.
    dochkr1OLD.z $e |- .0. = ( 0g ` R ) $.
    dochkr1OLD.i $e |- .1. = ( 1r ` R ) $.
    dochkr1OLD.f $e |- F = ( LFnl ` U ) $.
    dochkr1OLD.l $e |- L = ( LKer ` U ) $.
    dochkr1OLD.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    dochkr1OLD.g $e |- ( ph -> G e. F ) $.
    dochkr1OLD.n $e |- ( ph -> ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) =/= V ) $.
    $( A nonzero functional has a value of 1 at some argument belonging to the
       orthocomplement of its kernel (when its kernel is a closed hyperplane).
       Tighter version of ~ lfl1 .  (Contributed by NM, 2-Jan-2015.)
       (New usage is discouraged.) $)
    dochkr1OLDN $p |- ( ph -> E. x e. ( ._|_ ` ( L ` G ) ) ( G ` x ) = .1. ) $=
      ( vz cv cfv wne wrex wceq c0g clsa eqid dvhlmod dochkrsat2 mpbid lsateln0
      wcel chlt ad2antrr csn cdif eldifsn biimpri adantll dochfln0 reximdva mpd
      wa ex w3a cinvr cvsca co clss cbs wss lkrssv dochlss syl2anc jca 3ad2ant1
      clmod cdr clvec dvhlvec lvecdrng syl dochssv sselda 3adant3 lflcl syl3anc
      simp3 drnginvrcl simp2 lssvscl syl12anc cmulr syl112anc drnginvrl fveqeq2
      lflmul eqtrd rspcev rexlimdv3a ) AUGUHZGUIZNUJZUGGJUIZKUIZUKZBUHZGUIEULZB
      XMUKZAXIDUMUIZUJZUGXMUKXNAUGDUNUIZXMDXRXRUOZXTUOZADHIMOQUDUPZAXMKUILUJXMX
      TUTUFAXTDFGHIJKLMOPQRYBUBUCUDUEUQURUSAXSXKUGXMAXIXMUTZVKZXSXKYEXSVKCDFGHI
      JNKLMXIXROPQRSTYAUBUCAIVAUTMHUTVKZYDXSUDVBAGFUTZYDXSUEVBYDXSXIXMXRVCVDUTZ
      AYHYDXSVKXIXMXRVEVFVGVHVLVIVJAXKXQUGXMAYDXKVMZXJCVNUIZUIZXIDVOUIZVPZXMUTZ
      YMGUIZEULZXQYIDWEUTZXMDVQUIZUTZVKZYKCVRUIZUTZYDYNAYDYTXKAYQYSYCAYFXLLVSZY
      SUDAFGJLDRUBUCYCUEVTZYRDHIKLMXLOQRYRUOZPWAWBWCWDYICWFUTZXJUUAUTZXKUUBYIDW
      GUTZUUFAYDUUHXKADHIMOQUDWHWDCDSWIWJZYIYQYGXILUTZUUGAYDYQXKYCWDZAYDYGXKUEW
      DZAYDUUJXKAXMLXIAYFUUCXMLVSUDUUDDHIKLMXLOQRPWKWBWLWMZCFGUUALDXIWESUUAUOZR
      UBWNWOZAYDXKWPZUUACYJXJNUUNTYJUOZWQWOZAYDXKWRUUAYRYLXMCDYKXISYLUOZUUNUUEW
      SWTYIYOYKXJCXAUIZVPZEYIYQYGUUBUUJYOUVAULUUKUULUURUUMCYKYLUUTFGUUALDXISUUN
      UUTUOZRUUSUBXEXBYIUUFUUGXKUVAEULUUIUUOUUPUUACUUTEYJXJNUUNTUVBUAUUQXCWOXFX
      PYPBYMXMXOYMEGXDXGWBXHVJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Construction of involution and inner product from a Hilbert lattice
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c LPol $.

  $( Extend class notation with all polarities of a left module or left vector
     space. $)
  clpoN $a class LPol $.

  ${
    $d o w x y $.
    $( Define the set of all polarities of a left module or left vector space.
       A polarity is a kind of complementation operation on a subspace.  The
       double polarity of a subspace is a closure operation.  Based on
       Definition 3.2 of [Holland95] p. 214 for projective geometry polarities.
       For convenience, we open up the domain to include all vector subsets and
       not just subspaces, but any more restricted polarity can be converted to
       this one by taking the span of its argument.  (Contributed by NM,
       24-Nov-2014.) $)
    df-lpolN $a |- LPol = ( w e. _V |->
       { o e. ( ( LSubSp ` w ) ^m ~P ( Base ` w ) ) |
         ( ( o ` ( Base ` w ) ) = { ( 0g ` w ) }
           /\ A. x A. y ( ( x C_ ( Base ` w ) /\ y C_ ( Base ` w ) /\ x C_ y )
                   -> ( o ` y ) C_ ( o ` x ) )
           /\ A. x e. ( LSAtoms ` w )
               ( ( o ` x ) e. ( LSHyp ` w ) /\ ( o ` ( o ` x ) ) = x ) ) } ) $.
  $}

  ${
    $d w x A $.  $d w H $.  $d o w S $.  $d o w V $.  $d o w x y W $.
    $d w .0. $.
    lpolset.v $e |- V = ( Base ` W ) $.
    lpolset.s $e |- S = ( LSubSp ` W ) $.
    lpolset.z $e |- .0. = ( 0g ` W ) $.
    lpolset.a $e |- A = ( LSAtoms ` W ) $.
    lpolset.h $e |- H = ( LSHyp ` W ) $.
    lpolset.p $e |- P = ( LPol ` W ) $.
    $( The set of polarities of a left module or left vector space.
       (Contributed by NM, 24-Nov-2014.)  (New usage is discouraged.) $)
    lpolsetN $p |- ( W e. X -> P = { o e. ( S ^m ~P V ) | ( ( o ` V ) = { .0. }
           /\ A. x A. y ( ( x C_ V /\ y C_ V /\ x C_ y )
                   -> ( o ` y ) C_ ( o ` x ) )
           /\ A. x e. A ( ( o ` x ) e. H /\ ( o ` ( o ` x ) ) = x ) ) } ) $=
      ( cfv wceq wss vw wcel cvv cv csn w3a wi wal wa wral cmap crab elex clpoN
      cpw co cbs c0g clsh clsa fveq2 eqtr4di pweqd oveq12d fveq2d sneqd eqeq12d
      sseq2d 3anbi12d imbi1d 2albidv eleq2d anbi1d raleqbidv 3anbi123d df-lpolN
      clss rabeqbidv ovex rabex fvmpt syl5eq syl ) IJUBIUCUBZDHFUDZRZKUEZSZAUDZ
      HTZBUDZHTZWIWKTZUFZWKWERWIWERZTZUGZBUHAUHZWOGUBZWOWERWISZUIZACUJZUFZFEHUO
      ZUKUPZULZSIJUMWDDIUNRXFQUAIUAUDZUQRZWERZXGURRZUEZSZWIXHTZWKXHTZWMUFZWPUGZ
      BUHAUHZWOXGUSRZUBZWTUIZAXGUTRZUJZUFZFXGVQRZXHUOZUKUPZULXFUCUNXGISZYCXCFYF
      XEYGYDEYEXDUKYGYDIVQREXGIVQVAMVBYGXHHYGXHIUQRHXGIUQVALVBZVCVDYGXLWHXQWRYB
      XBYGXIWFXKWGYGXHHWEYHVEYGXJKYGXJIURRKXGIURVANVBVFVGYGXPWQABYGXOWNWPYGXMWJ
      XNWLWMYGXHHWIYHVHYGXHHWKYHVHVIVJVKYGXTXAAYACYGYAIUTRCXGIUTVAOVBYGXSWSWTYG
      XRGWOYGXRIUSRGXGIUSVAPVBVLVMVNVOVRABUAFVPXCFXEEXDUKVSVTWAWBWC $.

    $d o A $.  $d o H $.  $d o x y ._|_ $.  $d o .0. $.
    $( The predicate "is a polarity".  (Contributed by NM, 24-Nov-2014.)
       (New usage is discouraged.) $)
    islpolN $p |- ( W e. X -> ( ._|_ e. P <-> ( ._|_ : ~P V --> S
      /\ ( ( ._|_ ` V ) = { .0. }
           /\ A. x A. y ( ( x C_ V /\ y C_ V /\ x C_ y )
                   -> ( ._|_ ` y ) C_ ( ._|_ ` x ) )
           /\ A. x e. A
               ( ( ._|_ ` x ) e. H /\ ( ._|_ ` ( ._|_ ` x ) ) = x ) ) ) ) ) $=
      ( wcel cfv wceq vo cv csn wss w3a wi wal wa wral cmap co crab wf lpolsetN
      eleq2d fveq1 eqeq1d sseq12d imbi2d 2albidv eleq1d fveq12d anbi12d ralbidv
      cpw id 3anbi123d elrab clss fvexi cbs pwex elmap anbi1i bitri bitrdi ) IJ
      RZGDRGHUAUBZSZKUCZTZAUBZHUDBUBZHUDWBWCUDUEZWCVRSZWBVRSZUDZUFZBUGAUGZWFFRZ
      WFVRSZWBTZUHZACUIZUEZUAEHVEZUJUKZULZRZWPEGUMZHGSZVTTZWDWCGSZWBGSZUDZUFZBU
      GAUGZXDFRZXDGSZWBTZUHZACUIZUEZUHZVQDWRGABCDEUAFHIJKLMNOPQUNUOWSGWQRZXMUHX
      NWOXMUAGWQVRGTZWAXBWIXGWNXLXPVSXAVTHVRGUPUQXPWHXFABXPWGXEWDXPWEXCWFXDWCVR
      GUPWBVRGUPZURUSUTXPWMXKACXPWJXHWLXJXPWFXDFXQVAXPWKXIWBXPWFXDVRGXPVFXQVBUQ
      VCVDVGVHXOWTXMEWPGEIVIMVJHHIVKLVJVLVMVNVOVP $.

    $d x y ph $.
    islpold.w $e |- ( ph -> W e. X ) $.
    islpold.1 $e |- ( ph -> ._|_ : ~P V --> S ) $.
    islpold.2 $e |- ( ph -> ( ._|_ ` V ) = { .0. } ) $.
    islpold.3 $e |- ( ( ph /\ ( x C_ V /\ y C_ V /\ x C_ y ) )
                   -> ( ._|_ ` y ) C_ ( ._|_ ` x ) ) $.
    islpold.4 $e |- ( ( ph /\ x e. A ) -> ( ._|_ ` x ) e. H ) $.
    islpold.5 $e |- ( ( ph /\ x e. A ) -> ( ._|_ ` ( ._|_ ` x ) ) = x ) $.
    $( Properties that determine a polarity.  (Contributed by NM, 26-Nov-2014.)
       (New usage is discouraged.) $)
    islpoldN $p |- ( ph -> ._|_ e. P ) $=
      ( wcel cpw wf cfv csn wceq cv wss w3a wi wal wa ex alrimivv jca ralrimiva
      wral 3jca wb islpolN syl mpbir2and ) AHEUEZIUFFHUGZIHUHLUIUJZBUKZIULCUKZI
      ULVJVKULUMZVKHUHVJHUHZULZUNZCUOBUOZVMGUEZVMHUHVJUJZUPZBDVAZUMZTAVIVPVTUAA
      VOBCAVLVNUBUQURAVSBDAVJDUEUPVQVRUCUDUSUTVBAJKUEVGVHWAUPVCSBCDEFGHIJKLMNOP
      QRVDVEVF $.
  $}

  ${
    $d x y ._|_ $.  $d x y W $.
    lpolf.v $e |- V = ( Base ` W ) $.
    lpolf.s $e |- S = ( LSubSp ` W ) $.
    lpolf.p $e |- P = ( LPol ` W ) $.
    lpolf.w $e |- ( ph -> W e. X ) $.
    lpolf.o $e |- ( ph -> ._|_ e. P ) $.
    $( Functionality of a polarity.  (Contributed by NM, 26-Nov-2014.)
       (New usage is discouraged.) $)
    lpolfN $p |- ( ph -> ._|_ : ~P V --> S ) $=
      ( vx vy cfv wceq cv wss wcel eqid cpw wf c0g csn w3a wi clsh wa clsa wral
      wal wb islpolN syl mpbid simpld ) AEUACDUBZEDOFUCOZUDPMQZERNQZERUSUTRUEUT
      DOUSDOZRUFNUKMUKVAFUGOZSVADOUSPUHMFUIOZUJUEZADBSZUQVDUHZLAFGSVEVFULKMNVCB
      CVBDEFGURHIURTVCTVBTJUMUNUOUP $.
  $}

  ${
    $d x y ._|_ $.  $d x y W $.
    lpolv.v $e |- V = ( Base ` W ) $.
    lpolv.z $e |- .0. = ( 0g ` W ) $.
    lpolv.p $e |- P = ( LPol ` W ) $.
    lpolv.w $e |- ( ph -> W e. X ) $.
    lpolv.o $e |- ( ph -> ._|_ e. P ) $.
    $( The polarity of the whole space is the zero subspace.  (Contributed by
       NM, 26-Nov-2014.)  (New usage is discouraged.) $)
    lpolvN $p |- ( ph -> ( ._|_ ` V ) = { .0. } ) $=
      ( vx vy cfv wceq cv wss wcel eqid cpw clss wf csn w3a wi wal clsh wa clsa
      wral wb islpolN syl mpbid simpr1 ) ADUAEUBOZCUCZDCOGUDPZMQZDRNQZDRUTVARUE
      VACOUTCOZRUFNUGMUGZVBEUHOZSVBCOUTPUIMEUJOZUKZUEUIZUSACBSZVGLAEFSVHVGULKMN
      VEBUQVDCDEFGHUQTIVETVDTJUMUNUOURUSVCVFUPUN $.
  $}

  ${
    $d x y ._|_ $.  $d x y V $.  $d x y W $.  $d x y X $.  $d x y Y $.
    lpolcon.v $e |- V = ( Base ` W ) $.
    lpolcon.p $e |- P = ( LPol ` W ) $.
    lpolcon.w $e |- ( ph -> W e. X ) $.
    lpolcon.o $e |- ( ph -> ._|_ e. P ) $.
    lpolcon.x $e |- ( ph -> X C_ V ) $.
    lpolcon.y $e |- ( ph -> Y C_ V ) $.
    lpolcon.c $e |- ( ph -> X C_ Y ) $.
    $( Contraposition property of a polarity.  (Contributed by NM,
       26-Nov-2014.)  (New usage is discouraged.) $)
    lpolconN $p |- ( ph -> ( ._|_ ` Y ) C_ ( ._|_ ` X ) ) $=
      ( vx vy cfv wceq wss wcel cpw clss wf c0g csn cv w3a wi clsh wa clsa wral
      wal eqid islpolN syl mpbid simpr2 3jca cbs fvexi elpw2 sylibr sseq1 biidd
      wb 3anbi123d fveq2 sseq2d imbi12d sseq2 sseq1d sylan9bb syl2anc mpid syl5
      spc2gv mpd ) ADUAZEUBQZCUCZDCQEUDQZUERZOUFZDSZPUFZDSZWDWFSZUGZWFCQZWDCQZS
      ZUHZPUMOUMZWKEUIQZTWKCQWDRUJOEUKQZULZUGUJZGCQZFCQZSZACBTZWRKAEFTXBWRVFJOP
      WPBVTWOCDEFWBHVTUNWBUNWPUNWOUNIUOUPUQWRWNAXAWAWCWNWQURAWNFDSZGDSZFGSZUGZX
      AAXCXDXELMNUSAFVSTZGVSTZWNXFXAUHZUHAXCXGLFDDEUTHVAZVBVCAXDXHMGDXJVBVCWMXI
      OPFGVSVSWDFRZWMXCWGFWFSZUGZWJWTSZUHWFGRZXIXKWIXMWLXNXKWEXCWGWGWHXLWDFDVDX
      KWGVEWDFWFVDVGXKWKWTWJWDFCVHVIVJXOXMXFXNXAXOXCXCWGXDXLXEXOXCVEWFGDVDWFGFV
      KVGXOWJWSWTWFGCVHVLVJVMVQVNVOVPVR $.
  $}

  ${
    $d x A $.  $d x H $.  $d x y ._|_ $.  $d x Q $.  $d x y W $.
    lpolsat.a $e |- A = ( LSAtoms ` W ) $.
    lpolsat.h $e |- H = ( LSHyp ` W ) $.
    lpolsat.p $e |- P = ( LPol ` W ) $.
    lpolsat.w $e |- ( ph -> W e. X ) $.
    lpolsat.o $e |- ( ph -> ._|_ e. P ) $.
    lpolsat.q $e |- ( ph -> Q e. A ) $.
    $( The polarity of an atomic subspace is a hyperplane.  (Contributed by NM,
       26-Nov-2014.)  (New usage is discouraged.) $)
    lpolsatN $p |- ( ph -> ( ._|_ ` Q ) e. H ) $=
      ( vx vy cfv wceq wss wcel cbs cpw clss wf c0g csn cv w3a wi wal wral eqid
      wa wb islpolN syl mpbid simpr3 fveq2 eleq1d 2fveq3 id eqeq12d rspcv simpl
      anbi12d syl56 mpd ) AGUAQZUBGUCQZFUDZVIFQGUEQZUFRZOUGZVISPUGZVISVNVOSUHVO
      FQVNFQZSUIPUJOUJZVPETZVPFQZVNRZUMZOBUKZUHUMZDFQZETZAFCTZWCMAGHTWFWCUNLOPB
      CVJEFVIGHVLVIULVJULVLULIJKUOUPUQWCWBAWEWDFQZDRZUMZWEVKVMVQWBURADBTWBWIUIN
      WAWIODBVNDRZVRWEVTWHWJVPWDEVNDFUSUTWJVSWGVNDVNDFFVAWJVBVCVFVDUPWEWHVEVGVH
      $.
  $}

  ${
    $d x A $.  $d x y ._|_ $.  $d x Q $.  $d x y W $.
    lpolpolsat.a $e |- A = ( LSAtoms ` W ) $.
    lpolpolsat.p $e |- P = ( LPol ` W ) $.
    lpolpolsat.w $e |- ( ph -> W e. X ) $.
    lpolpolsat.o $e |- ( ph -> ._|_ e. P ) $.
    lpolpolsat.q $e |- ( ph -> Q e. A ) $.
    $( Property of a polarity.  (Contributed by NM, 26-Nov-2014.)
       (New usage is discouraged.) $)
    lpolpolsatN $p |- ( ph -> ( ._|_ ` ( ._|_ ` Q ) ) = Q ) $=
      ( vx vy cfv wceq wss wcel wa eqid cbs cpw clss wf c0g csn cv w3a wal clsh
      wi wral wb islpolN mpbid simpr3 fveq2 eleq1d 2fveq3 eqeq12d anbi12d rspcv
      syl id simpr syl56 mpd ) AFUAOZUBFUCOZEUDZVHEOFUEOZUFPZMUGZVHQNUGZVHQVMVN
      QUHVNEOVMEOZQUKNUIMUIZVOFUJOZRZVOEOZVMPZSZMBULZUHSZDEOZEOZDPZAECRZWCKAFGR
      WGWCUMJMNBCVIVQEVHFGVKVHTVITVKTHVQTIUNVCUOWCWBAWDVQRZWFSZWFVJVLVPWBUPADBR
      WBWIUKLWAWIMDBVMDPZVRWHVTWFWJVOWDVQVMDEUQURWJVSWEVMDVMDEEUSWJVDUTVAVBVCWH
      WFVEVFVG $.
  $}

  ${
    $d x y ._|_ $.  $d x y U $.  $d x y ph $.
    dochpol.h $e |- H = ( LHyp ` K ) $.
    dochpol.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    dochpol.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    dochpol.p $e |- P = ( LPol ` U ) $.
    dochpol.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The subspace orthocomplement for the ` DVecH ` vector space is a
       polarity.  (Contributed by NM, 27-Dec-2014.)
       (New usage is discouraged.) $)
    dochpolN $p |- ( ph -> ._|_ e. P ) $=
      ( vx vy cfv cvv eqid wcel wa wss clsa clss clsh cbs c0g cdvh a1i cpw cdih
      fvexi crn dochfN chlt dihsslss syl fssd csn doch1 cv adantr simpr2 simpr3
      wceq dochss syl3anc simpr dochsatshp dih1dimat syl2anc dochoc islpoldN
      w3a ) AMNCUAOZBCUBOZCUCOZFCUDOZCPCUEOZVPQZVNQZVQQZVMQZVOQZKCPRACGEUFOJUJU
      GAVPUHGEUIOOZUKZVNFACDWCEFVPGHWCQZJVRILULAEUMRGDRSZWDVNTLVNCDWCEGHJWEVSUN
      UOUPAWFVPFOVQUQVCLCDEFVPGVQHJIVRVTURUOAMUSZVPTZNUSZVPTZWGWITZVLZSWFWJWKWI
      FOWGFOZTAWFWLLUTAWHWJWKVAAWHWJWKVBCDEFVPGWGWIHJVRIVDVEAWGVMRZSZVMWGCDEFGV
      OHJIWAWBAWFWNLUTZAWNVFZVGWOWFWGWDRZWMFOWGVCWPWOWFWNWRWPWQVMWGCDWCEGHJWEWA
      VHVIDWCEFGWGHWEIVJVIVK $.
  $}

  ${
    $d f F $.  $d f G $.  $d f L $.  $d f ._|_ $.
    lcfl1.c $e |- C =
      { f e. F | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f ) } $.
    $( Property of a functional with a closed kernel.  (Contributed by NM,
       28-Dec-2014.) $)
    lcfl1lem $p |- ( G e. C
           <-> ( G e. F /\ ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) = ( L ` G ) ) ) $=
      ( cv cfv wceq fveq2 fveq2d eqeq12d elrab2 ) BHZEIZFIZFIZPJDEIZFIZFIZSJBDC
      AODJZRUAPSUBQTFUBPSFODEKZLLUCMGN $.

    lcfl1.g $e |- ( ph -> G e. F ) $.
    $( Property of a functional with a closed kernel.  (Contributed by NM,
       31-Dec-2014.) $)
    lcfl1 $p |- ( ph
        -> ( G e. C <-> ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) = ( L ` G ) ) ) $=
      ( wcel cfv wceq wa lcfl1lem biantrurd bitr4id ) AEBJEDJZEFKZGKGKRLZMSBCDE
      FGHNAQSIOP $.
  $}

  ${
    $d f F $.  $d f G $.  $d f L $.  $d f ._|_ $.
    lcfl2.h $e |- H = ( LHyp ` K ) $.
    lcfl2.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfl2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfl2.v $e |- V = ( Base ` U ) $.
    lcfl2.f $e |- F = ( LFnl ` U ) $.
    lcfl2.l $e |- L = ( LKer ` U ) $.
    lcfl2.c $e |- C =
      { f e. F | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f ) } $.
    lcfl2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfl2.g $e |- ( ph -> G e. F ) $.
    $( Property of a functional with a closed kernel.  (Contributed by NM,
       1-Jan-2015.) $)
    lcfl2 $p |- ( ph -> ( G e. C
         <-> ( ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) =/= V \/ ( L ` G ) = V ) ) ) $=
      ( wcel cfv wceq wne wo lcfl1 dochkrshp4 bitrd ) AFBUBFIUCZJUCJUCZUJUDUKKU
      EUJKUDUFABDEFIJSUAUGACEFGHIJKLMNOPQRTUAUHUI $.
  $}

  ${
    $d f F $.  $d f G $.  $d f L $.  $d f ._|_ $.
    lcfl3.h $e |- H = ( LHyp ` K ) $.
    lcfl3.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfl3.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfl3.v $e |- V = ( Base ` U ) $.
    lcfl3.a $e |- A = ( LSAtoms ` U ) $.
    lcfl3.f $e |- F = ( LFnl ` U ) $.
    lcfl3.l $e |- L = ( LKer ` U ) $.
    lcfl3.c $e |- C =
      { f e. F | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f ) } $.
    lcfl3.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfl3.g $e |- ( ph -> G e. F ) $.
    $( Property of a functional with a closed kernel.  (Contributed by NM,
       1-Jan-2015.) $)
    lcfl3 $p |- ( ph -> ( G e. C
         <-> ( ( ._|_ ` ( L ` G ) ) e. A \/ ( L ` G ) = V ) ) ) $=
      ( wcel cfv wne wceq wo lcfl2 dochkrsat2 orbi1d bitrd ) AGCUDGJUEZKUEZKUEL
      UFZUMLUGZUHUNBUDZUPUHACDEFGHIJKLMNOPQSTUAUBUCUIAUOUQUPABDFGHIJKLMNOPQRSTU
      BUCUJUKUL $.
  $}

  ${
    $d f F $.  $d f G $.  $d f L $.  $d f ._|_ $.
    lcfl4.h $e |- H = ( LHyp ` K ) $.
    lcfl4.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfl4.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfl4.v $e |- V = ( Base ` U ) $.
    lcfl4.y $e |- Y = ( LSHyp ` U ) $.
    lcfl4.f $e |- F = ( LFnl ` U ) $.
    lcfl4.l $e |- L = ( LKer ` U ) $.
    lcfl4.c $e |- C =
      { f e. F | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f ) } $.
    lcfl4.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfl4.g $e |- ( ph -> G e. F ) $.
    $( Property of a functional with a closed kernel.  (Contributed by NM,
       1-Jan-2015.)  (New usage is discouraged.) $)
    lcfl4N $p |- ( ph -> ( G e. C
         <-> ( ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) e. Y \/ ( L ` G ) = V ) ) ) $=
      ( wcel cfv clsa wceq wo eqid lcfl3 clss wa dvhlmod lkrssv dochlss syl2anc
      chlt wss dochsatshpb orbi1d bitrd ) AFBUDFIUEZJUEZCUFUEZUDZVBKUGZUHVCJUEM
      UDZVFUHAVDBCDEFGHIJKLNOPQVDUIZSTUAUBUCUJAVEVGVFAVDVCCUKUEZCGHJLMNOPVIUIZV
      HRUBAHUQUDLGUDULVBKURVCVIUDUBAEFIKCQSTACGHLNPUBUMUCUNVICGHJKLVBNPQVJOUOUP
      USUTVA $.
  $}

  ${
    $d f F $.  $d f G $.  $d f L $.  $d f ._|_ $.
    lcfl5.h $e |- H = ( LHyp ` K ) $.
    lcfl5.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    lcfl5.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfl5.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfl5.f $e |- F = ( LFnl ` U ) $.
    lcfl5.l $e |- L = ( LKer ` U ) $.
    lcfl5.c $e |- C =
      { f e. F | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f ) } $.
    lcfl5.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfl5.g $e |- ( ph -> G e. F ) $.
    $( Property of a functional with a closed kernel.  (Contributed by NM,
       1-Jan-2015.) $)
    lcfl5 $p |- ( ph -> ( G e. C <-> ( L ` G ) e. ran I ) ) $=
      ( wcel cfv wceq crn lcfl1 cbs eqid dvhlmod lkrssv dochoccl bitr4d ) AFBUB
      FJUCZKUCKUCUMUDUMHUEUBABDEFJKSUAUFACGHIKCUGUCZLUMMNPUNUHZOTAEFJUNCUOQRACG
      ILMPTUIUAUJUKUL $.
  $}

  ${
    $d f F $.  $d f G $.  $d f L $.  $d f ._|_ $.
    lcfl5a.h $e |- H = ( LHyp ` K ) $.
    lcfl5a.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    lcfl5a.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfl5a.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfl5a.f $e |- F = ( LFnl ` U ) $.
    lcfl5a.l $e |- L = ( LKer ` U ) $.
    lcfl5a.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfl5a.g $e |- ( ph -> G e. F ) $.
    $( Property of a functional with a closed kernel.  TODO:  Make ~ lcfl5 etc.
       obsolete and rewrite without ` C ` hypothesis?  (Contributed by NM,
       29-Jan-2015.) $)
    lcfl5a $p |- ( ph ->
    ( ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) = ( L ` G ) <-> ( L ` G ) e. ran I ) ) $=
      ( vf cfv cv wceq crab wcel crn eqid lcfl1 lcfl5 bitr3d ) ADSUAHTZITITUJUB
      SCUCZUDDHTZITITULUBULFUEUDAUKSCDHIUKUFZRUGAUKBSCDEFGHIJKLMNOPUMQRUHUI $.
  $}

  ${
    $d k v w .+ $.  $d k w .1. $.  $d k v w ._|_ $.  $d k v R $.  $d k S $.
    $d k v w .x. $.  $d v V $.  $d k v w X $.  $d w .0. $.
    lcfl6lem.h $e |- H = ( LHyp ` K ) $.
    lcfl6lem.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfl6lem.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfl6lem.v $e |- V = ( Base ` U ) $.
    lcfl6lem.a $e |- .+ = ( +g ` U ) $.
    lcfl6lem.t $e |- .x. = ( .s ` U ) $.
    lcfl6lem.s $e |- S = ( Scalar ` U ) $.
    lcfl6lem.i $e |- .1. = ( 1r ` S ) $.
    lcfl6lem.r $e |- R = ( Base ` S ) $.
    lcfl6lem.z $e |- .0. = ( 0g ` U ) $.
    lcfl6lem.f $e |- F = ( LFnl ` U ) $.
    lcfl6lem.l $e |- L = ( LKer ` U ) $.
    lcfl6lem.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfl6lem.g $e |- ( ph -> G e. F ) $.
    lcfl6lem.x $e |- ( ph -> X e. ( ( ._|_ ` ( L ` G ) ) \ { .0. } ) ) $.
    lcfl6lem.y $e |- ( ph -> ( G ` X ) = .1. ) $.
    $( Lemma for ~ lcfl6 .  A functional ` G ` (whose kernel is closed by
       ~ dochsnkr ) is comletely determined by a vector ` X ` in the
       orthocomplement in its kernel at which the functional value is 1.  Note
       that the ` \ { .0. } ` in the ` X ` hypothesis is redundant by the last
       hypothesis but allows easier use of other theorems.  (Contributed by NM,
       3-Jan-2015.) $)
    lcfl6lem $p |- ( ph -> G = ( v e. V |->
      ( iota_ k e. R E. w e. ( ._|_ ` { X } ) v = ( w .+ ( k .x. X ) ) ) ) ) $=
      ( cv co wceq csn cfv wrex crio cmpt c0g eqid dvhlvec chlt wcel wa dvhlmod
      wss lkrssv dochssv syl2anc eldifad wne cdif eldifsni syl eldifsn sylanbrc
      sseldd dochflcl dochsnkr dochsnkr2 eqtr4d dochfl1 dochfln0 eqlkr3 ) AEFKL
      CQCUQBUQJUQSGURDURUSBSUTPVAZVBJEVCVDZOQHSFVEVAZUDUGUIWMVFZUKULAHMNRUAUCUM
      VGALOVAZPVAZQSANVHVIRMVIVJWOQVLWPQVLUMAKLOQHUDUKULAHMNRUAUCUMVKUNVMHMNPQR
      WOUAUCUDUBVNVOASWPTUTZUOVPWCZUNABCFDEGHJKWLMNPQRSTUAUBUCUDUJUEUFUKUGUIWLV
      FZUMASQVISTVQZSQWQVRVIWRASWPWQVRVIWTUOSWPTVSVTSQTWAWBZWDAWOWKWLOVAAHKLMNO
      PQRSTUAUBUCUDUJUKULUMUNUOWEABCFDEGHJWLMNOPQRSTUAUBUCUDUJUEUFULUGUIWSUMXAW
      FWGASLVAISWLVAUPABCFDEGHIJWLMNPQRSTUAUBUCUDUEUFUJUGUIUHUMXAWSWHWGAFHKLMNO
      WMPQRSTUAUBUCUDUGWNUJUKULUMUNUOWIWJ $.
  $}

  ${
    $d k v w .+ $.  $d k v w ._|_ $.  $d w .0. $.  $d k s v R $.  $d k s w S $.
    $d s U $.  $d s v V $.  $d k s v w .x. $.  $d k s v w X $.  $d k s v w Y $.
    $d s ph $.
    lcfl7lem.h $e |- H = ( LHyp ` K ) $.
    lcfl7lem.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfl7lem.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfl7lem.v $e |- V = ( Base ` U ) $.
    lcfl7lem.a $e |- .+ = ( +g ` U ) $.
    lcfl7lem.t $e |- .x. = ( .s ` U ) $.
    lcfl7lem.s $e |- S = ( Scalar ` U ) $.
    lcfl7lem.r $e |- R = ( Base ` S ) $.
    lcfl7lem.z $e |- .0. = ( 0g ` U ) $.
    lcfl7lem.f $e |- F = ( LFnl ` U ) $.
    lcfl7lem.l $e |- L = ( LKer ` U ) $.
    lcfl7lem.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfl7lem.g $e |- G = ( v e. V |->
        ( iota_ k e. R E. w e. ( ._|_ ` { X } ) v = ( w .+ ( k .x. X ) ) ) ) $.
    lcfl7lem.j $e |- J = ( v e. V |->
        ( iota_ k e. R E. w e. ( ._|_ ` { Y } ) v = ( w .+ ( k .x. Y ) ) ) ) $.
    lcfl7lem.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    lcfl7lem.x2 $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
    lcfl7lem.gj $e |- ( ph -> G = J ) $.
    $( Lemma for ~ lcfl7N .  If two functionals ` G ` and ` J ` are equal, they
       are determined by the same vector.  (Contributed by NM, 4-Jan-2015.) $)
    lcfl7lem $p |- ( ph -> X = Y ) $=
      ( vs cv wceq wrex csn clspn cfv wcel dochsnkr2cl eldifad fveq2d dochsnkr2
      co eqtrd eqid snssd dochocsp chlt wa cdih dihlsprn syl2anc dochoc 3eqtr2d
      crn eleqtrd clmod wb dvhlmod lspsnel mpbid w3a simp3 cmulr cinvr 3ad2ant3
      cur fveq2 dochfl1 fveq1d 3eqtr4rd 3ad2ant1 simp2 lflmul syl112anc 3eqtr3d
      dochflcl oveq1d crg lmodring syl lflcl syl3anc cdr c0g wne clvec lvecdrng
      dvhlvec drngunz eqnetrd drnginvrcl ringass drnginvrr oveq2d 3eqtrrd oveq1
      syl13anc ringridm lmodvs1 sylan9eqr mpdan rexlimdv3a mpd ) ASUSUTZTGVKZVA
      ZUSEVBZSTVAZASTVCZHVDVEZVEZVFZYPASKOVEZPVEZYTASUUCUAVCZABCFDEGHIKLNOPQRSU
      AUBUCUDUEUJUFUGULUHUIUNUMUPVGVHAUUCYRPVEZPVEYTPVEZPVEZYTAUUBUUEPAUUBMOVEU
      UEAKMOURVIABCFDEGHIMLNOPQRTUAUBUCUDUEUJUFUGULUHUIUOUMUQVJVLVIAUUFUUEPAHLN
      YSPQRYRUBUDUCUEYSVMZUMATQATQUUDUQVHZVNVOVIANVPVFRLVFVQZYTRNVRVEVEZWCVFZUU
      GYTVAUMAUUJTQVFZUULUMUUIHLUUKNYSQRTUBUDUEUUHUUKVMZVSVTLUUKNPRYTUBUUNUCWAV
      TWBWDAHWEVFZUUMUUAYPWFAHLNRUBUDUMWGZUUIGSUSFEYSQHTUHUIUEUGUUHWHVTWIAYOYQU
      SEAYMEVFZYOWJZSYNTAUUQYOWKUURYMFWOVEZVAZYNTVAUURYMUUSFWLVEZVKZTKVEZUVCFWM
      VEZVEZUVAVKZYMUUSUURUVFYMUVCUVAVKZUVEUVAVKZYMUVFUVAVKZUVBUURUVCUVGUVEUVAU
      URSKVEZYNKVEZUVCUVGYOAUVJUVKVAUUQSYNKWPWNAUUQUVJUVCVAYOATMVEZUUSUVCUVJABC
      FDEGHUUSIMLNPQRTUAUBUCUDUEUFUGUJUHUIUUSVMZUMUQUOWQZATKMURWRZABCFDEGHUUSIK
      LNPQRSUAUBUCUDUEUFUGUJUHUIUVMUMUPUNWQWSWTUURUUOKJVFZUUQUUMUVKUVGVAAUUQUUO
      YOUUPWTAUUQUVPYOABCFDEGHIJKLNPQRSUAUBUCUDUEUJUFUGUKUHUIUNUMUPXEZWTAUUQYOX
      AZAUUQUUMYOUUIWTFYMGUVAJKEQHTUHUIUVAVMZUEUGUKXBXCXDXFUURFXGVFZUUQUVCEVFZU
      VEEVFZUVHUVIVAAUUQUVTYOAUUOUVTUUPFHUHXHXIWTZUVRAUUQUWAYOAUUOUVPUUMUWAUUPU
      VQUUIFJKEQHTWEUHUIUEUKXJXKZWTAUUQUWBYOAFXLVFZUWAUVCFXMVEZXNZUWBAHXOVFUWEA
      HLNRUBUDUMXQFHUHXPXIZUWDAUVCUUSUWFAUVCUVLUUSUVOUVNVLAUWEUUSUWFXNUWHFUUSUW
      FUWFVMZUVMXRXIXSZEFUVDUVCUWFUIUWIUVDVMZXTXKWTEFUVAYMUVCUVEUIUVSYAYFUURUVF
      UUSYMUVAAUUQUVFUUSVAZYOAUWEUWAUWGUWLUWHUWDUWJEFUVAUUSUVDUVCUWFUIUWIUVSUVM
      UWKYBXKWTZYCYDUURUVTUUQUVBYMVAUWCUVREFUVAUUSYMUIUVSUVMYGVTUWMXDUUTUURYNUU
      STGVKZTYMUUSTGYEAUUQUWNTVAZYOAUUOUUMUWOUUPUUIGUUSFQHTUEUHUGUVMYHVTWTYIYJV
      LYKYL $.
  $}

  ${
    $d k v w .+ $.  $d f k v w x ._|_ $.  $d w x .0. $.  $d x C $.  $d f x G $.
    $d f F $.  $d f x L $.  $d x ph $.  $d k v R $.  $d k w x S $.  $d v x V $.
    $d x U $.  $d k v w .x. $.
    lcfl6.h $e |- H = ( LHyp ` K ) $.
    lcfl6.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfl6.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfl6.v $e |- V = ( Base ` U ) $.
    lcfl6.a $e |- .+ = ( +g ` U ) $.
    lcfl6.t $e |- .x. = ( .s ` U ) $.
    lcfl6.s $e |- S = ( Scalar ` U ) $.
    lcfl6.r $e |- R = ( Base ` S ) $.
    lcfl6.z $e |- .0. = ( 0g ` U ) $.
    lcfl6.f $e |- F = ( LFnl ` U ) $.
    lcfl6.l $e |- L = ( LKer ` U ) $.
    lcfl6.c $e |- C =
      { f e. F | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f ) } $.
    lcfl6.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfl6.g $e |- ( ph -> G e. F ) $.
    $( Property of a functional with a closed kernel.  Note that
       ` ( L `` G ) = V ` means the functional is zero by ~ lkr0f .
       (Contributed by NM, 3-Jan-2015.) $)
    lcfl6 $p |- ( ph -> ( G e. C <-> ( ( L ` G ) = V
   \/ E. x e. ( V \ { .0. } ) G = ( v e. V |->
  ( iota_ k e. R E. w e. ( ._|_ ` { x } ) v = ( w .+ ( k .x. x ) ) ) ) ) ) ) $=
      ( wcel cfv wceq cv co csn wrex crio cmpt cdif wo wa wn wne df-ne cur eqid
      chlt ad2antrr biimpa orcomd ord syl5bi imp dochkr1 dvhlmod lkrssv dochssv
      lcfl2 syl2anc ssdifd ad3antrrr simprl sseldd simprr lcfl6lem reximssdv ex
      wss syl5bir orrd olc syl5ibr w3a adantr eldifi adantl snssd dochcl dochoc
      cdih crn 3adant3 simp3 fveq2d simpr dochsnkr2 eqtrd 3ad2ant1 lcfl1 mpbird
      3eqtr4d rexlimdv3a jaod impbid ) ANEUPZNQUQZSURZNDSDUSCUSLUSBUSZIUTFUTURC
      YDVAZRUQZVBLGVCVDZURZBSUAVAZVEZVBZVFZAYAYLAYAVGZYCYKYCVHZYBSVIZYMYKYBSVJZ
      YMYOYKYMYOVGZYDNUQHVKUQZURZYHBYJYBRUQZYIVEZYQBHJYRMNOPQRSTUAUBUCUDUEUHUJY
      RVLZUKULAPVMUPTOUPVGZYAYOUNVNANMUPZYAYOUOVNYMYOYTRUQZSVIZYOYNYMUUFYPYMYCU
      UFYMUUFYCAYAUUFYCVFZAEJKMNOPQRSTUBUCUDUEUKULUMUNUOWDZVOVPVQVRVSVTYQYDUUAU
      PZYSVGZVGZUUAYJYDAUUAYJWNYAYOUUJAYTSYIAUUCYBSWNYTSWNUNAMNQSJUEUKULAJOPTUB
      UDUNWAUOWBJOPRSTYBUBUDUEUCWCWEWFWGYQUUIYSWHZWIUUKCDFGHIJYRLMNOPQRSTYDUAUB
      UCUDUEUFUGUHUUBUIUJUKULAUUCYAYOUUJUNWGAUUDYAYOUUJUOWGUULYQUUIYSWJWKWLWMWO
      WPWMAYCYAYKYCYAAUUGYCUUFWQUUHWRAYHYABYJAYDYJUPZYHWSZYAUUEYBURUUNYFRUQZRUQ
      ZYFUUEYBAUUMUUPYFURZYHAUUMVGZUUCYFTPXFUQUQZXGUPZUUQAUUCUUMUNWTZUURUUCYESW
      NUUTUVAUURYDSUUMYDSUPAYDSYIXAXBXCJOUUSPRSTYEUBUUSVLZUDUEUCXDWEOUUSPRTYFUB
      UVBUCXEWEXHUUNYTUUORUUNYBYFRUUNYBYGQUQZYFUUNNYGQAUUMYHXIXJAUUMUVCYFURYHUU
      RCDHFGIJLYGOPQRSTYDUAUBUCUDUEUJUFUGULUHUIYGVLUVAAUUMXKXLXHXMZXJXJUVDXQUUN
      EKMNQRUMAUUMUUDYHUOXNXOXPXRXSXT $.

    $d k l u v w y z $.  $d l u x y z .+ $.  $d y G $.  $d y ph $.  $d l z S $.
    $d l u y z ._|_ $.  $d y z .0. $.  $d l u x y R $.  $d l u x y z .x. $.
    $d l z U $.  $d u y V $.
    $( Property of a functional with a closed kernel.  Every nonzero functional
       is determined by a unique nonzero vector.  Note that ` ( L `` G ) = V `
       means the functional is zero by ~ lkr0f .  (Contributed by NM,
       4-Jan-2015.)  (New usage is discouraged.) $)
    lcfl7N $p |- ( ph -> ( G e. C <-> ( ( L ` G ) = V
   \/ E! x e. ( V \ { .0. } ) G = ( v e. V |->
  ( iota_ k e. R E. w e. ( ._|_ ` { x } ) v = ( w .+ ( k .x. x ) ) ) ) ) ) ) $=
      ( vy vz vu vl wcel cfv wceq cv co csn wrex crio cmpt cdif wo lcfl6 wa weq
      wreu wi wral chlt ad2antrr simplrl simplrr simprl eqeq1 rexbidv riotabidv
      eqid oveq1 oveq2d eqeq2d cbvrexvw bitrdi cbvriotavw eqtrdi cbvmptv simprr
      eqtr3d lcfl7lem ralrimivva a1d ancld sneq fveq2d oveq2 rexeqbidv mpteq2dv
      ex reu4 syl6ibr reurex impbid1 orbi2d bitrd ) ANEUTNQVASVBZNDSDVCZCVCZLVC
      ZBVCZIVDZFVDZVBZCXPVEZRVAZVFZLGVGZVHZVBZBSUAVEVIZVFZVJXLYEBYFVNZVJABCDEFG
      HIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOVKAYGYHXLAYGYHAYGYGYENDSXMXNXO
      UPVCZIVDZFVDZVBZCYIVEZRVAZVFZLGVGZVHZVBZVLZBUPVMZVOZUPYFVPBYFVPZVLYHAYGUU
      BAUUBYGAUUABUPYFYFAXPYFUTZYIYFUTZVLZVLZYSYTUUFYSVLZUQURFGHIJUSMURSURVCZUQ
      VCZUSVCZXPIVDZFVDZVBZUQYAVFZUSGVGZVHZOURSUUHUUIUUJYIIVDZFVDZVBZUQYNVFZUSG
      VGZVHZPQRSTXPYIUAUBUCUDUEUFUGUHUIUJUKULAPVQUTTOUTVLUUEYSUNVRUUPWEUVBWEAUU
      CUUDYSVSAUUCUUDYSVTUUGNUUPUVBUUGNYDUUPUUFYEYRWADURSYCUUODURVMZYCUUHXRVBZC
      YAVFZLGVGUUOUVCYBUVELGUVCXSUVDCYAXMUUHXRWBWCWDUVEUUNLUSGLUSVMZUVEUUHXNUUK
      FVDZVBZCYAVFUUNUVFUVDUVHCYAUVFXRUVGUUHUVFXQUUKXNFXOUUJXPIWFWGWHWCUVHUUMCU
      QYACUQVMZUVGUULUUHXNUUIUUKFWFWHWIWJWKWLWMWLUUGNYQUVBUUFYEYRWNDURSYPUVAUVC
      YPUUHYKVBZCYNVFZLGVGUVAUVCYOUVKLGUVCYLUVJCYNXMUUHYKWBWCWDUVKUUTLUSGUVFUVK
      UUHXNUUQFVDZVBZCYNVFUUTUVFUVJUVMCYNUVFYKUVLUUHUVFYJUUQXNFXOUUJYIIWFWGWHWC
      UVMUUSCUQYNUVIUVLUURUUHXNUUIUUQFWFWHWIWJWKWLWMWLWOWPXEWQWRWSYEYRBUPYFYTYD
      YQNYTDSYCYPYTYBYOLGYTXSYLCYAYNYTXTYMRXPYIWTXAYTXRYKXMYTXQYJXNFXPYIXOIXBWG
      WHXCWDXDWHXFXGYEBYFXHXIXJXK $.
  $}

  ${
    $d x C $.  $d f F $.  $d f x G $.  $d f x L $.  $d f x ._|_ $.  $d x U $.
    $d x V $.  $d x ph $.
    lcfl8.h $e |- H = ( LHyp ` K ) $.
    lcfl8.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfl8.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfl8.v $e |- V = ( Base ` U ) $.
    lcfl8.f $e |- F = ( LFnl ` U ) $.
    lcfl8.l $e |- L = ( LKer ` U ) $.
    lcfl8.c $e |- C =
      { f e. F | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f ) } $.
    lcfl8.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfl8.g $e |- ( ph -> G e. F ) $.
    $( Property of a functional with a closed kernel.  (Contributed by NM,
       17-Jan-2015.) $)
    lcfl8 $p |- ( ph ->
      ( G e. C <-> E. x e. V ( L ` G ) = ( ._|_ ` { x } ) ) ) $=
      ( wcel cfv cv csn wceq wrex wa clsa clspn clmod dvhlmod adantr eqid sylan
      islsati simpr fveq2d simp-4r ad4antr lcfl1 mpbid simplr snssd dochocsp ex
      chlt 3eqtr3d reximdva mpd c0g lmod0vcl doch0 eqtr4d sneq rspceeqv syl2anc
      syl wo lcfl3 biimpa mpjaodan w3a cdih crn 3ad2ant1 wss simp2 dochcl simp3
      dochoc 3eqtr4d rexlimdv3a sylibrd impbid ) AGCUCZGJUDZBUEZUFZKUDZUGZBLUHZ
      AWQXCAWQUIZWRKUDZDUJUDZUCZXCWRLUGZXDXGUIZXEWTDUKUDZUDZUGZBLUHZXCXDDULUCZX
      GXMAXNWQADHIMNPUAUMUNZBXFXEXJLDULQXJUOZXFUOZUQUPXIXLXBBLXIWSLUCZUIZXLXBXS
      XLUIZXEKUDZXKKUDWRXAXTXEXKKXSXLURUSXTWQYAWRUGZAWQXGXRXLUTXTCEFGJKTAGFUCWQ
      XGXRXLUBVAVBVCXTDHIXJKLMWTNPOQXPAIVHUCMHUCUIZWQXGXRXLUAVAXTWSLXIXRXLVDVEV
      FVIVGVJVKXDXHUIZDVLUDZLUCZWRYEUFZKUDZUGXCYDXNYFXDXNXHXOUNLDYEQYEUOZVMVSYD
      WRLYHXDXHURYDYCYHLUGXDYCXHAYCWQUAUNUNDHIKLMYENPOQYIVNVSVOBYELXAYHWRWSYEUG
      WTYGKWSYEVPUSVQVRAWQXGXHVTAXFCDEFGHIJKLMNOPQXQRSTUAUBWAWBWCVGAXCYBWQAXBYB
      BLAXRXBWDZXAKUDZKUDZXAYAWRYJYCXAMIWEUDUDZWFUCZYLXAUGAXRYCXBUAWGZYJYCWTLWH
      YNYOYJWSLAXRXBWIVEDHYMIKLMWTNYMUOZPQOWJVRHYMIKMXANYPOWLVRYJXEYKKYJWRXAKAX
      RXBWKZUSUSYQWMWNACEFGJKTUBVBWOWP $.
  $}

  ${
    $d f x F $.  $d f x G $.  $d f x L $.  $d f x ._|_ $.  $d x U $.  $d x V $.
    $d x ph $.
    lcfl8a.h $e |- H = ( LHyp ` K ) $.
    lcfl8a.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfl8a.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfl8a.v $e |- V = ( Base ` U ) $.
    lcfl8a.f $e |- F = ( LFnl ` U ) $.
    lcfl8a.l $e |- L = ( LKer ` U ) $.
    lcfl8a.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfl8a.g $e |- ( ph -> G e. F ) $.
    $( Property of a functional with a closed kernel.  (Contributed by NM,
       17-Jan-2015.) $)
    lcfl8a $p |- ( ph -> ( ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) = ( L ` G )
                  <-> E. x e. V ( L ` G ) = ( ._|_ ` { x } ) ) ) $=
      ( cfv vf cv wceq crab wcel csn wrex eqid lcfl1 lcfl8 bitr3d ) AEUAUBHTZIT
      ITULUCUADUDZUEEHTZITITUNUCUNBUBUFITUCBJUGAUMUADEHIUMUHZSUIABUMCUADEFGHIJK
      LMNOPQUORSUJUK $.
  $}

  ${
    $d x C $.  $d f F $.  $d f x G $.  $d f x L $.  $d f x ._|_ $.  $d x U $.
    $d x V $.  $d x ph $.
    lcfl8b.h $e |- H = ( LHyp ` K ) $.
    lcfl8b.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfl8b.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfl8b.v $e |- V = ( Base ` U ) $.
    lcfl8b.n $e |- N = ( LSpan ` U ) $.
    lcfl8b.z $e |- .0. = ( 0g ` U ) $.
    lcfl8b.f $e |- F = ( LFnl ` U ) $.
    lcfl8b.l $e |- L = ( LKer ` U ) $.
    lcfl8b.d $e |- D = ( LDual ` U ) $.
    lcfl8b.y $e |- Y = ( 0g ` D ) $.
    lcfl8b.c $e |- C =
      { f e. F | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f ) } $.
    lcfl8b.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfl8b.g $e |- ( ph -> G e. ( C \ { Y } ) ) $.
    $( Property of a nonzero functional with a closed kernel.  (Contributed by
       NM, 4-Feb-2015.) $)
    lcfl8b $p |- ( ph
     -> E. x e. ( V \ { .0. } ) ( ._|_ ` ( L ` G ) ) = ( N ` { x } ) ) $=
      ( cv wne cfv csn wceq wrex cdif wcel eldifad lcfl1lem simplbi lcfl8 mpbid
      wa syl clsa fveq2 adantl chlt ad2antrr simplr dochocsn eqtrd sylib simprd
      eldifsni dvhlmod lkr0f2 necon3bid mpbird eqnetrd eqid dochkrsat2 eqeltrrd
      clmod lsatspn0 jca ex reximdva mpd rexdifsn sylibr ) ABUKZQULZHKUMZMUMZWM
      UNZLUMZUOZVDZBNUPZWSBNQUNUQUPAWOWQMUMZUOZBNUPZXAAHCURZXDAHCPUNZUJUSZABCEF
      GHIJKMNORSTUAUDUEUHUIAXEHGURZXGXEXHWPMUMZWOUOZCFGHKMUHUTZVAVEZVBVCAXCWTBN
      AWMNURZVDZXCWTXNXCVDZWNWSXOWREVFUMZURWNXOWPWRXPXOWPXBMUMZWRXCWPXQUOXNWOXB
      MVGVHXOEIJLMNOWMRTSUAUBAJVIUROIURVDXMXCUIVJZAXMXCVKZVLVMZXOXINULZWPXPURAY
      AXMXCAXIWONAXHXJAXEXHXJVDXGXKVNVOAWONULHPULZAHCXFUQURYBUJHCPVPVEAWONHPADG
      HKNEPUAUDUEUFUGAEIJORTUIVQZXLVRVSVTWAVJXOXPEGHIJKMNORSTUAXPWBZUDUEXRAXHXM
      XCXLVJWCVCWDXOXPLNEWMQUAUBUCYDAEWEURXMXCYCVJXSWFVCXTWGWHWIWJWSBNQWKWL $.
  $}

  ${
    lcfl9a.h $e |- H = ( LHyp ` K ) $.
    lcfl9a.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfl9a.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfl9a.v $e |- V = ( Base ` U ) $.
    lcfl9a.f $e |- F = ( LFnl ` U ) $.
    lcfl9a.l $e |- L = ( LKer ` U ) $.
    lcfl9a.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfl9a.g $e |- ( ph -> G e. F ) $.
    lcfl9a.x $e |- ( ph -> X e. V ) $.
    lcfl9a.s $e |- ( ph -> ( ._|_ ` { X } ) C_ ( L ` G ) ) $.
    $( Property implying that a functional has a closed kernel.  (Contributed
       by NM, 16-Feb-2015.) $)
    lcfl9a $p |- ( ph -> ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) = ( L ` G ) ) $=
      ( cfv wceq c0g wa dochoc1 adantr wss dvhlmod lkrssv sneq fveq2d chlt wcel
      csn eqid doch0 syl sylan9eqr eqsstrrd eqssd 3eqtr4d simpr wne cdih dochcl
      crn snssd syl2anc dochoc clsh clvec dvhlvec cdif simprl eldifsn dochsnshp
      sylanbrc simprr wb lkrshp4 mpbid lshpcmp 3eqtr3d pm2.61da2ne ) ADGUBZHUBZ
      HUBZWFUCKBUDUBZWFIAKWIUCZUEZIHUBZHUBZIWHWFAWMIUCZWJABEFHIJLNMORUFZUGWKWGW
      LHWKWFIHWKWFIAWFIUHWJACDGIBOPQABEFJLNRUISUJUGWKIKUOZHUBZWFWJAWQWIUOZHUBZI
      WJWPWRHKWIUKULAFUMUNJEUNUEZWSIUCRBEFHIJWILNMOWIUPZUQURUSAWQWFUHZWJUAUGUTV
      AZULULXCVBAWFIUCZUEZWMIWHWFAWNXDWOUGXEWGWLHXEWFIHAXDVCZULULXFVBAKWIVDZWFI
      VDZUEZUEZWQHUBZHUBZWQWHWFAXLWQUCZXIAWTWQJFVEUBUBZVGUNZXMRAWTWPIUHXORAKITV
      HBEXNFHIJWPLXNUPZNOMVFVIEXNFHJWQLXPMVJVIUGXJXKWGHXJWQWFHXJXBWQWFUCAXBXIUA
      UGXJWQWFBVKUBZBXQUPZABVLUNXIABEFJLNRVMZUGXJBEFHIJKXQWILMNOXAXRAWTXIRUGXJK
      IUNZXGKIWRVNUNAXTXITUGAXGXHVOKIWIVPVRVQXJXHWFXQUNZAXGXHVSAXHYAVTXIACDXQGI
      BOXRPQXSSWAUGWBWCWBZULULYBWDWE $.
  $}

  ${
    $d f F $.  $d f L $.  $d f ._|_ $.  $d f .x. $.  $d f G $.  $d f X $.
    lclkrlem1.h $e |- H = ( LHyp ` K ) $.
    lclkrlem1.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lclkrlem1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lclkrlem1.f $e |- F = ( LFnl ` U ) $.
    lclkrlem1.l $e |- L = ( LKer ` U ) $.
    lclkrlem1.d $e |- D = ( LDual ` U ) $.
    lclkrlem1.r $e |- R = ( Scalar ` U ) $.
    lclkrlem1.b $e |- B = ( Base ` R ) $.
    lclkrlem1.t $e |- .x. = ( .s ` D ) $.
    lclkrlem1.c $e |- C =
      { f e. F | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f ) } $.
    lclkrlem1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lclkrlem1.x $e |- ( ph -> X e. B ) $.
    lclkrlem1.g $e |- ( ph -> G e. C ) $.
    $( The set of functionals having closed kernels is closed under scalar
       product.  (Contributed by NM, 28-Dec-2014.) $)
    lclkrlem1 $p |- ( ph -> ( X .x. G ) e. C ) $=
      ( co wcel cfv wceq dvhlmod wa lcfl1lem sylib simpld ldualvscl c0g dochoc1
      cbs eqid adantr fvoveq1 csn cxp csca clmod lduallmod ldualelvbase lmod0vs
      syl2anc ldual0 oveq1d ldual0v fveq2d wb lfl0f lkr0f syl2anc2 mpbiri eqtrd
      3eqtr3d sylan9eqr 3eqtr4d simprd clvec dvhlvec simpr ldualkrsc pm2.61dane
      wne sylanbrc ) APJFUJZIUKWOMULZNULZNULZWPUMZWOCUKADEFIJBGPTUCUDUBUEAGKLOQ
      SUGUNZUHAJIUKZJMULZNULZNULZXBUMZAJCUKXAXEUOUICHIJMNUFUPUQZURZUSAWSPEUTULZ
      APXHUMZUOZGVBULZNULZNULZXKWRWPAXMXKUMXIAGKLNXKOQSRXKVCZUGVAVDXJWQXLNXJWPX
      KNXIAWPXHJFUJZMULZXKPXHJMFVEAXPXKXHVFVGZMULZXKAXOXQMADVHULZUTULZJFUJZDUTU
      LZXOXQADVIUKJDVBULZUKYAYBUMADGUBWTVJADIJYCGVITUBYCVCZWTXGVKFXSXTYCDJYBYDX
      SVCZUEXTVCZYBVCZVLVMAXTXHJFADEXSXTGXHUCXHVCZUBYEYFWTVNVOADEYBXKGXHXNUCYHU
      BYGWTVPWDVQAXRXKUMZXQXQUMZXQVCAGVIUKXQIUKYIYJVRWTEIXKGXHUCYHXNTVSEIXQMXKG
      XHUCYHXNTUAVTWAWBWCWEZVQVQYKWFAPXHWMZUOZXDXBWRWPAXEYLAXAXEXFWGVDYMWQXCNYM
      WPXBNYMDEFIJBMGPXHUCUDYHTUAUBUEAGWHUKYLAGKLOQSUGWIVDAXAYLXGVDAPBUKYLUHVDA
      YLWJWKZVQVQYNWFWLCHIWOMNUFUPWN $.
  $}

  ${
    lclkrlem2a.h $e |- H = ( LHyp ` K ) $.
    lclkrlem2a.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lclkrlem2a.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lclkrlem2a.v $e |- V = ( Base ` U ) $.
    lclkrlem2a.z $e |- .0. = ( 0g ` U ) $.
    lclkrlem2a.p $e |- .(+) = ( LSSum ` U ) $.
    lclkrlem2a.n $e |- N = ( LSpan ` U ) $.
    lclkrlem2a.a $e |- A = ( LSAtoms ` U ) $.
    lclkrlem2a.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lclkrlem2a.b $e |- ( ph -> B e. ( V \ { .0. } ) ) $.
    lclkrlem2a.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    lclkrlem2a.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
    lclkrlem2a.e $e |- ( ph -> ( ._|_ ` { X } ) =/= ( ._|_ ` { Y } ) ) $.
    ${
      lclkrlem2a.d $e |- ( ph -> -. X e. ( ._|_ ` { B } ) ) $.
      $( Lemma for ~ lclkr .  Use ~ lshpat to show that the intersection of a
         hyperplane with a noncomparable sum of atoms is an atom.  (Contributed
         by NM, 16-Jan-2015.) $)
      lclkrlem2a $p |- ( ph
     -> ( ( ( N ` { X } ) .(+) ( N ` { Y } ) ) i^i ( ._|_ ` { B } ) ) e. A ) $=
        ( csn cfv clss clsh eqid dvhlvec dochsnshp dvhlmod lsatlspsn wceq snssd
        wne eldifad dochocsp eqeq12d cdih chlt wcel crn dihlsprn syl2anc doch11
        wa bitr3d necon3bid mpbid wss dochlss lspsnel5 mtbid lshpat ) ABDLUIZHU
        JZMUIZHUJZEUKUJZCUIZIUJZEULUJZEWDUMZTWGUMZUBAEFGKOQUCUNAEFGIJKCWGNOPQRS
        WIUCUDUOABHJELNRUASUBAEFGKOQUCUPZUEUQABHJEMNRUASUBWJUFUQAVTIUJZWBIUJZUT
        WAWCUTUGAWKWLWAWCAWAIUJZWCIUJZURWKWLURWAWCURAWMWKWNWLAEFGHIJKVTOQPRUAUC
        ALJALJNUIZUEVAZUSVBAEFGHIJKWBOQPRUAUCAMJAMJWOUFVAZUSVBVCAFKGVDUJUJZGIKW
        AWCOWRUMZPUCAGVEVFKFVFVKZLJVFWAWRVGZVFUCWPEFWRGHJKLOQRUAWSVHVIAWTMJVFWC
        XAVFUCWQEFWRGHJKMOQRUAWSVHVIVJVLVMVNALWFVFWAWFVOUHAWDWFHJELRWHUAWJAWTWE
        JVOWFWDVFUCACJACJWOUDVAUSWDEFGIJKWEOQRWHPVPVIWPVQVRVS $.
    $}

    lclkrlem2b.da $e |- ( ph
               -> ( -. X e. ( ._|_ ` { B } ) \/ -. Y e. ( ._|_ ` { B } ) ) ) $.
    $( Lemma for ~ lclkr .  (Contributed by NM, 17-Jan-2015.) $)
    lclkrlem2b $p |- ( ph
     -> ( ( ( N ` { X } ) .(+) ( N ` { Y } ) ) i^i ( ._|_ ` { B } ) ) e. A ) $=
      ( csn cfv wcel wn co cin chlt adantr cdif wne simpr lclkrlem2a wceq csubg
      wa cabl clmod dvhlmod lmodabl syl clss wss eqid lsssssubg eldifad lspsncl
      syl2anc sseldd lsmcom syl3anc ineq1d necomd eqeltrd mpjaodan ) ALCUIIUJZU
      KULZLUIZHUJZMUIZHUJZDUMZWCUNZBUKMWCUKULZAWDVCBCDEFGHIJKLMNOPQRSTUAUBAGUOU
      KKFUKVCZWDUCUPACJNUIZUQZUKZWDUDUPALWNUKZWDUEUPAMWNUKZWDUFUPAWEIUJZWGIUJZU
      RWDUGUPAWDUSUTAWKVCZWJWHWFDUMZWCUNZBAWJXBVAWKAWIXAWCAEVDUKZWFEVBUJZUKWHXD
      UKWIXAVAAEVEUKZXCAEFGKOQUCVFZEVGVHAEVIUJZXDWFAXEXGXDVJXFXGEXGVKZVLVHZAXEL
      JUKWFXGUKXFALJWMUEVMXGHJELRXHUAVNVOVPAXGXDWHXIAXEMJUKWHXGUKXFAMJWMUFVMXGH
      JEMRXHUAVNVOVPDWFWHETVQVRVSUPWTBCDEFGHIJKMLNOPQRSTUAUBAWLWKUCUPAWOWKUDUPA
      WQWKUFUPAWPWKUEUPAWSWRURWKAWRWSUGVTUPAWKUSUTWAUHWB $.

    ${
      lclkrlem2c.j $e |- J = ( LSHyp ` U ) $.
      $( Lemma for ~ lclkr .  (Contributed by NM, 16-Jan-2015.) $)
      lclkrlem2c $p |- ( ph ->
     ( ( ( ._|_ ` { X } ) i^i ( ._|_ ` { Y } ) ) .(+) ( N ` { B } ) ) e. J ) $=
        ( csn cfv cin cdjh cdih eqid chlt wcel eldifad dihlsprn syl2anc dvhlmod
        co wa crn lsatlspsn dihsmatrn wss snssd dochcl dochdmm1 cun lsmpr df-pr
        cpr fveq2i eqtr3di fveq2d unssd dochocsp wceq dochdmj1 syl3anc dochocsn
        3eqtrd oveq12d dihmeetcl syl12anc dihjat1 3eqtrrd lclkrlem2b dochsatshp
        eqeltrd ) AMUKZJULZNUKZJULZUMZCUKZIULZDVCZWNIULZWPIULZDVCZWSJULZUMZJULZ
        GAXGXDJULZXEJULZLHUNULULZVCWRWTXJVCXAAEFLHUOULULZXJHJKLXDXEPXKUPZRSQXJU
        PZUDABDXCEFXKHLXBPXLRUAUCUDAHUQURLFURVDZMKURXBXKVEZURUDAMKOUKZUFUSZEFXK
        HIKLMPRSUBXLUTVAABIKENOSUBTUCAEFHLPRUDVBZUGVFVGAXNWSKVHXEXOURUDACKACKXP
        UEUSZVIEFXKHJKLWSPXLRSQVJVAVKAXHWRXIWTXJAXHWNWPVLZIULZJULXTJULZWRAXDYAJ
        AMNVOZIULXDYAADIKEMNSUBUAXRXQANKXPUGUSZVMYCXTIMNVNVPVQVRAEFHIJKLXTPRQSU
        BUDAWNWPKAMKXQVIZANKYDVIZVSVTAXNWNKVHZWPKVHZYBWRWAUDYEYFEFHJKLWNWPPRSQW
        BWCWEAEFHIJKLCPRQSUBUDXSWDWFADCEFXKXJHIKLWRPRSUAUBXLXMUDAXNWOXOURZWQXOU
        RZWRXOURUDAXNYGYIUDYEEFXKHJKLWNPXLRSQVJVAAXNYHYJUDYFEFXKHJKLWPPXLRSQVJV
        AFXKHLWOWQPXLWGWHXSWIWJABXFEFHJLGPRQUCUJUDABCDEFHIJKLMNOPQRSTUAUBUCUDUE
        UFUGUHUIWKWLWM $.
    $}

    ${
      lclkrlem2d.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
      $( Lemma for ~ lclkr .  (Contributed by NM, 16-Jan-2015.) $)
      lclkrlem2d $p |- ( ph ->
 ( ( ( ._|_ ` { X } ) i^i ( ._|_ ` { Y } ) ) .(+) ( N ` { B } ) ) e. ran I ) $=
        ( csn cfv cin chlt wcel crn wss eldifad snssd dochcl dihmeetcl syl12anc
        wa syl2anc dihsmsprn ) ADCEFGHIKLMUKZJULZNUKZJULZUMZPRSUAUBUJUDAHUNUOLF
        UOVCZVGGUPZUOZVIVLUOZVJVLUOUDAVKVFKUQVMUDAMKAMKOUKZUFURUSEFGHJKLVFPUJRS
        QUTVDAVKVHKUQVNUDANKANKVOUGURUSEFGHJKLVHPUJRSQUTVDFGHLVGVIPUJVAVBACKVOU
        EURVE $.
    $}
  $}

  ${
    lclkrlem2e.h $e |- H = ( LHyp ` K ) $.
    lclkrlem2e.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lclkrlem2e.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lclkrlem2e.v $e |- V = ( Base ` U ) $.
    lclkrlem2e.z $e |- .0. = ( 0g ` U ) $.
    lclkrlem2e.f $e |- F = ( LFnl ` U ) $.
    lclkrlem2e.l $e |- L = ( LKer ` U ) $.
    lclkrlem2e.d $e |- D = ( LDual ` U ) $.
    lclkrlem2e.p $e |- .+ = ( +g ` D ) $.
    lclkrlem2e.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lclkrlem2e.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    lclkrlem2e.e $e |- ( ph -> E e. F ) $.
    lclkrlem2e.g $e |- ( ph -> G e. F ) $.
    lclkrlem2e.le $e |- ( ph -> ( L ` E ) = ( ._|_ ` { X } ) ) $.
    lclkrlem2e.ne $e |- ( ph -> ( L ` E ) = ( L ` G ) ) $.
    $( Lemma for ~ lclkr .  The kernel of the sum is closed when the kernels of
       the summands are equal and closed.  (Contributed by NM, 17-Jan-2015.) $)
    lclkrlem2e $p |- ( ph
     -> ( ._|_ ` ( ._|_ ` ( L ` ( E .+ G ) ) ) ) = ( L ` ( E .+ G ) ) ) $=
      ( co cfv clsh wcel wceq csn chlt cdih crn adantr wss eldifad snssd dochcl
      wa eqid syl2anc dochoc inidm ineq2d eqtr3id dvhlmod lkrin eqsstrd dvhlvec
      cin clvec clspn dochocsp eqtr4d clsa lsatlspsn dochsatshp eqeltrd lshpcmp
      simpr mpbid eqtr3d fveq2d 3eqtr3d ex dochoc1 2fveq3 id eqeq12d syl5ibrcom
      ldualvaddcl lkrshpor mpjaod ) AEGCUKZJULZDUMULZUNZXAKULZKULZXAUOZXALUOZAX
      CXFAXCVEZNUPZKULZKULZKULZXJXEXAXHIUQUNMHUNVEZXJMIURULULZUSUNZXLXJUOAXMXCU
      EUTZXHXMXILVAZXOXPAXQXCANLANLOUPUFVBVCZUTDHXNIKLMXIPXNVFZRSQVDVGHXNIKMXJP
      XSQVHVGXHXKXDKXHXJXAKXHEJULZXJXAAXTXJUOXCUIUTZXHXTXAVAZXTXAUOAYBXCAXTXTGJ
      ULZVPZXAAXTXTXTVPYDXTVIAXTYCXTUJVJVKABCFEGJDUAUBUCUDADHIMPRUEVLZUGUHVMVNU
      TXHXTXAXBDXBVFZADVQUNXCADHIMPRUEVOZUTXHXTXIDVRULZULZKULZXBXHXTXJYJYAAYJXJ
      UOXCADHIYHKLMXIPRQSYHVFZUEXRVSUTVTXHDWAULZYIDHIKMXBPRQYLVFZYFXPAYIYLUNXCA
      YLYHLDNOSYKTYMYEUFWBUTWCWDAXCWFWEWGWHZWIWIYNWJWKAXFXGLKULKULZLUOADHIKLMPR
      QSUEWLXGXEYOXALXALKKWMXGWNWOWPAFWTXBJLDSYFUAUBYGABCFEGDUAUCUDYEUGUHWQWRWS
      $.
  $}

  ${
    lclkrlem2f.h $e |- H = ( LHyp ` K ) $.
    lclkrlem2f.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lclkrlem2f.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lclkrlem2f.v $e |- V = ( Base ` U ) $.
    lclkrlem2f.s $e |- S = ( Scalar ` U ) $.
    lclkrlem2f.q $e |- Q = ( 0g ` S ) $.
    lclkrlem2f.z $e |- .0. = ( 0g ` U ) $.
    lclkrlem2f.a $e |- .(+) = ( LSSum ` U ) $.
    lclkrlem2f.n $e |- N = ( LSpan ` U ) $.
    lclkrlem2f.f $e |- F = ( LFnl ` U ) $.
    lclkrlem2f.j $e |- J = ( LSHyp ` U ) $.
    lclkrlem2f.l $e |- L = ( LKer ` U ) $.
    lclkrlem2f.d $e |- D = ( LDual ` U ) $.
    lclkrlem2f.p $e |- .+ = ( +g ` D ) $.
    lclkrlem2f.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lclkrlem2f.b $e |- ( ph -> B e. ( V \ { .0. } ) ) $.
    lclkrlem2f.e $e |- ( ph -> E e. F ) $.
    lclkrlem2f.g $e |- ( ph -> G e. F ) $.
    lclkrlem2f.le $e |- ( ph -> ( L ` E ) = ( ._|_ ` { X } ) ) $.
    lclkrlem2f.lg $e |- ( ph -> ( L ` G ) = ( ._|_ ` { Y } ) ) $.
    lclkrlem2f.kb $e |- ( ph -> ( ( E .+ G ) ` B ) = Q ) $.
    lclkrlem2f.nx $e |- ( ph
               -> ( -. X e. ( ._|_ ` { B } ) \/ -. Y e. ( ._|_ ` { B } ) ) ) $.
    ${
      lclkrlem2f.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      lclkrlem2f.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      lclkrlem2f.ne $e |- ( ph -> ( L ` E ) =/= ( L ` G ) ) $.
      lclkrlem2f.lp $e |- ( ph -> ( L ` ( E .+ G ) ) e. J ) $.
      $( Lemma for ~ lclkr .  Construct a closed hyperplane under the kernel of
         the sum.  (Contributed by NM, 16-Jan-2015.) $)
      lclkrlem2f $p |- ( ph ->
  ( ( ( L ` E ) i^i ( L ` G ) ) .(+) ( N ` { B } ) ) C_ ( L ` ( E .+ G ) ) ) $=
        ( cfv cin wss csn dvhlmod lkrin clss eqid lshplss wcel wceq ldualvaddcl
        co clmod eldifad ellkr2 mpbird lspsnel5a csubg wa lsssssubg syl syl2anc
        wb lkrlss lssincl syl3anc sseldd lspsncl lsmlub mpbi2and ) AIOVIZKOVIZV
        JZIKDWAZOVIZVKZBVLPVIZXDVKZXBXFEWAXDVKZACDJIKOHULUNUOUPAHLNSUCUEUQVMZUS
        UTVNAHVOVIZXDPHBXJVPZUKXIAXJXDMHXKUMXIVHVQZABXDVRBXCVIFVSVCAGJXCORHBWBF
        UFUGUHULUNXIACDJIKHULUOUPXIUSUTVTABRUBVLURWCZWDWEWFAXBHWGVIZVRXFXNVRXDX
        NVRXEXGWHXHWLAXJXNXBAHWBVRZXJXNVKXIXJHXKWIWJZAXOWTXJVRZXAXJVRZXBXJVRXIA
        XOIJVRXQXIUSXJJIOHULUNXKWMWKAXOKJVRXRXIUTXJJKOHULUNXKWMWKXJWTXAHXKWNWOW
        PAXJXNXFXPAXOBRVRXFXJVRXIXMXJPRHBUFXKUKWQWKWPAXJXNXDXPXLWPEXBXFXDHUJWRW
        OWS $.

      $( Lemma for ~ lclkr .  Comparable hyperplanes are equal, so the kernel
         of the sum is closed.  (Contributed by NM, 16-Jan-2015.) $)
      lclkrlem2g $p |- ( ph
          -> ( ._|_ ` ( ._|_ ` ( L ` ( E .+ G ) ) ) ) = ( L ` ( E .+ G ) ) ) $=
        ( co cfv cdih crn wcel wceq cin csn wss lclkrlem2f dvhlvec ineq12d clsa
        oveq1d eqid 3netr3d lclkrlem2c eqeltrd lshpcmp lclkrlem2d eqeltrrd chlt
        mpbid wa dihrnss syl2anc dochoccl ) AIKDVIOVJZSNVKVJVJZVLZVMZWPQVJQVJWP
        VNAIOVJZKOVJZVOZBVPPVJZEVIZWPWRAXDWPVQXDWPVNABCDEFGHIJKLMNOPQRSTUAUBUCU
        DUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVRAXDWPMHUMAHLNSUCUEUQ
        VSAXDTVPQVJZUAVPQVJZVOZXCEVIZMAXBXGXCEAWTXEXAXFVAVBVTWBZAHWAVJZBEHLMNPQ
        RSTUAUBUCUDUEUFUIUJUKXJWCZUQURVEVFAWTXAXEXFVGVAVBWDZVDUMWEWFVHWGWKAXDXH
        WRXIAXJBEHLWQNPQRSTUAUBUCUDUEUFUIUJUKXKUQURVEVFXLVDWQWCZWHWFWIZAHLWQNQR
        SWPUCXMUEUFUDUQANWJVMSLVMWLWSWPRVQUQXNHLWQNRSWPUCUEXMUFWMWNWOWK $.
    $}

    ${
      lclkrlem2h.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      lclkrlem2h.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      lclkrlem2h.ne $e |- ( ph -> ( L ` E ) =/= ( L ` G ) ) $.
      $( Lemma for ~ lclkr .  Eliminate the ` ( L `` ( E .+ G ) ) e. J `
         hypothesis.  (Contributed by NM, 16-Jan-2015.) $)
      lclkrlem2h $p |- ( ph
          -> ( ._|_ ` ( ._|_ ` ( L ` ( E .+ G ) ) ) ) = ( L ` ( E .+ G ) ) ) $=
        ( co cfv wcel wceq wa chlt adantr csn cdif wn wo wne lclkrlem2g dochoc1
        dvhlvec dvhlmod ldualvaddcl lkrshpor orcanai fveq2d 3eqtr4d pm2.61dan
        simpr ) AIKDVHZOVIZMVJZWLQVIZQVIZWLVKAWMVLBCDEFGHIJKLMNOPQRSTUAUBUCUDUE
        UFUGUHUIUJUKULUMUNUOUPANVMVJSLVJVLWMUQVNABRUBVOVPZVJWMURVNAIJVJWMUSVNAK
        JVJWMUTVNAIOVIZTVOQVIVKWMVAVNAKOVIZUAVOQVIVKWMVBVNABWKVIFVKWMVCVNATBVOQ
        VIZVJVQUAWSVJVQVRWMVDVNATWPVJWMVEVNAUAWPVJWMVFVNAWQWRVSWMVGVNAWMWJVTAWM
        VQZVLZRQVIZQVIZRWOWLAXCRVKWTAHLNQRSUCUEUDUFUQWAVNXAWNXBQXAWLRQAWMWLRVKA
        JWKMORHUFUMULUNAHLNSUCUEUQWBACDJIKHULUOUPAHLNSUCUEUQWCUSUTWDWEWFZWGWGXD
        WHWI $.
    $}

    ${
      lclkrlem2i.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      lclkrlem2i.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      $( Lemma for ~ lclkr .  Eliminate the ` ( L `` E ) =/= ( L `` G ) `
         hypothesis.  (Contributed by NM, 17-Jan-2015.) $)
      lclkrlem2i $p |- ( ph
          -> ( ._|_ ` ( ._|_ ` ( L ` ( E .+ G ) ) ) ) = ( L ` ( E .+ G ) ) ) $=
        ( co cfv wceq chlt wcel adantr csn cdif simpr lclkrlem2e wne lclkrlem2h
        wa wn wo pm2.61dane ) AIKDVGZOVHZQVHQVHWDVIIOVHZKOVHZAWEWFVIZVSCDHIJKLN
        OQRSTUBUCUDUEUFUIULUNUOUPANVJVKSLVKVSZWGUQVLATRUBVMVNZVKZWGVEVLAIJVKZWG
        USVLAKJVKZWGUTVLAWETVMQVHVIZWGVAVLAWGVOVPAWEWFVQZVSBCDEFGHIJKLMNOPQRSTU
        AUBUCUDUEUFUGUHUIUJUKULUMUNUOUPAWHWNUQVLABWIVKWNURVLAWKWNUSVLAWLWNUTVLA
        WMWNVAVLAWFUAVMQVHVIWNVBVLABWCVHFVIWNVCVLATBVMQVHZVKVTUAWOVKVTWAWNVDVLA
        WJWNVEVLAUAWIVKWNVFVLAWNVOVRWB $.
    $}

    ${
      lclkrlem2j.x $e |- ( ph -> X e. V ) $.
      lclkrlem2j.y $e |- ( ph -> Y = .0. ) $.
      $( Lemma for ~ lclkr .  Kernel closure when ` Y ` is zero.  (Contributed
         by NM, 18-Jan-2015.) $)
      lclkrlem2j $p |- ( ph
          -> ( ._|_ ` ( ._|_ ` ( L ` ( E .+ G ) ) ) ) = ( L ` ( E .+ G ) ) ) $=
        ( csn cfv co chlt wcel wa cdih crn wceq wss snssd dochcl syl2anc dochoc
        eqid c0g cbs cxp sneqd fveq2d doch0 3eqtrd clmod wb dvhlmod lkr0f mpbid
        syl ldual0v eqtr4d oveq2d lduallmod ldualelvbase lmod0vrid eqtrd eqtr2d
        3eqtr3d ) ATVGZQVHZQVHZQVHZXEIKDVIZOVHZQVHZQVHXIANVJVKSLVKVLZXESNVMVHVH
        ZVNVKZXGXEVOUQAXKXDRVPXMUQATRVEVQHLXLNQRSXDUCXLWAZUEUFUDVRVSLXLNQSXEUCX
        NUDVTVSAXFXJQAXEXIQAXIIOVHXEAXHIOAXHICWBVHZDVIZIAKXOIDAKHWCVHZFVGWDZXOA
        KOVHZXQVOZKXRVOZAXSUAVGZQVHUBVGZQVHZXQVBAYBYCQAUAUBVFWEWFAXKYDXQVOUQHLN
        QXQSUBUCUEUDXQWAZUIWGWNWHAHWIVKKJVKXTYAWJAHLNSUCUEUQWKZUTGJKOXQHFUGUHYE
        ULUNWLVSWMACGXOXQHFYEUGUHUOXOWAZYFWOWPWQACWIVKICWCVHZVKXPIVOACHUOYFWRAC
        JIYHHWIULUOYHWAZYFUSWSDYHCIXOYIUPYGWTVSXAWFVAXBZWFWFYJXC $.
    $}

    ${
      lclkrlem2k.x $e |- ( ph -> X = .0. ) $.
      lclkrlem2k.y $e |- ( ph -> Y e. V ) $.
      $( Lemma for ~ lclkr .  Kernel closure when ` X ` is zero.  (Contributed
         by NM, 18-Jan-2015.) $)
      lclkrlem2k $p |- ( ph
          -> ( ._|_ ` ( ._|_ ` ( L ` ( E .+ G ) ) ) ) = ( L ` ( E .+ G ) ) ) $=
        ( co cfv dvhlmod ldualvaddcom fveq1d eqtr3d wn orcomd lclkrlem2j fveq2d
        csn wcel 3eqtr4d ) AKIDVGZOVHZQVHZQVHWAIKDVGZOVHZQVHZQVHWDABCDEFGHKJILM
        NOPQRSUATUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUTUSVBVAABWCVHBVTVHFABWCVTAC
        DJHIKULUOUPAHLNSUCUEUQVIUSUTVJZVKVCVLATBVQQVHZVRVMUAWGVRVMVDVNVFVEVOAWE
        WBQAWDWAQAWCVTOWFVPZVPVPWHVS $.
    $}

    lclkrlem2l.x $e |- ( ph -> X e. V ) $.
    lclkrlem2l.y $e |- ( ph -> Y e. V ) $.
    $( Lemma for ~ lclkr .  Eliminate the ` X =/= .0. ` , ` Y =/= .0. `
       hypotheses.  (Contributed by NM, 18-Jan-2015.) $)
    lclkrlem2l $p |- ( ph
         -> ( ._|_ ` ( ._|_ ` ( L ` ( E .+ G ) ) ) ) = ( L ` ( E .+ G ) ) ) $=
      ( co cfv wceq wa chlt wcel adantr csn cdif wn simpr lclkrlem2k lclkrlem2j
      wo wne simprl eldifsn sylanbrc simprr lclkrlem2i pm2.61da2ne ) AIKDVGZOVH
      ZQVHQVHWIVITUBUAUBATUBVIZVJBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMU
      NUOUPANVKVLSLVLVJZWJUQVMABRUBVNVOZVLZWJURVMAIJVLZWJUSVMAKJVLZWJUTVMAIOVHT
      VNQVHVIZWJVAVMAKOVHUAVNQVHVIZWJVBVMABWHVHFVIZWJVCVMATBVNQVHZVLVPUAWSVLVPV
      TZWJVDVMAWJVQAUARVLZWJVFVMVRAUAUBVIZVJBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUH
      UIUJUKULUMUNUOUPAWKXBUQVMAWMXBURVMAWNXBUSVMAWOXBUTVMAWPXBVAVMAWQXBVBVMAWR
      XBVCVMAWTXBVDVMATRVLZXBVEVMAXBVQVSATUBWAZUAUBWAZVJZVJZBCDEFGHIJKLMNOPQRST
      UAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPAWKXFUQVMAWMXFURVMAWNXFUSVMAWOXFUTVMAWPXF
      VAVMAWQXFVBVMAWRXFVCVMAWTXFVDVMXGXCXDTWLVLAXCXFVEVMAXDXEWBTRUBWCWDXGXAXEU
      AWLVLAXAXFVFVMAXDXEWEUARUBWCWDWFWG $.
  $}

  ${
    lclkrlem2m.v $e |- V = ( Base ` U ) $.
    lclkrlem2m.t $e |- .x. = ( .s ` U ) $.
    lclkrlem2m.s $e |- S = ( Scalar ` U ) $.
    lclkrlem2m.q $e |- .X. = ( .r ` S ) $.
    lclkrlem2m.z $e |- .0. = ( 0g ` S ) $.
    lclkrlem2m.i $e |- I = ( invr ` S ) $.
    lclkrlem2m.m $e |- .- = ( -g ` U ) $.
    lclkrlem2m.f $e |- F = ( LFnl ` U ) $.
    lclkrlem2m.d $e |- D = ( LDual ` U ) $.
    lclkrlem2m.p $e |- .+ = ( +g ` D ) $.
    lclkrlem2m.x $e |- ( ph -> X e. V ) $.
    lclkrlem2m.y $e |- ( ph -> Y e. V ) $.
    lclkrlem2m.e $e |- ( ph -> E e. F ) $.
    lclkrlem2m.g $e |- ( ph -> G e. F ) $.
    ${
      lclkrlem2m.w $e |- ( ph -> U e. LVec ) $.
      lclkrlem2m.b $e |- B = ( X .-
        ( ( ( ( E .+ G ) ` X ) .X. ( I ` ( ( E .+ G ) ` Y ) ) ) .x. Y ) ) $.
      lclkrlem2m.n $e |- ( ph -> ( ( E .+ G ) ` Y ) =/= .0. ) $.
      $( Lemma for ~ lclkr .  Construct a vector ` B ` that makes the sum of
         functionals zero.  Combine with ` B e. V ` to shorten overall proof.
         (Contributed by NM, 17-Jan-2015.) $)
      lclkrlem2m $p |- ( ph -> ( B e. V /\ ( ( E .+ G ) ` B ) = .0. ) ) $=
        ( wcel co cfv wceq clmod clvec lveclmod syl lmodgrp cbs crg ldualvaddcl
        cgrp lmodring lflcl syl3anc cdr wne lvecdrng drnginvrcl ringcl lmodvscl
        eqid grpsubcl eqeltrid fveq2i csg lflsub syl112anc cur ringass syl13anc
        lflmul drnginvrl oveq2d ringridm syl2anc 3eqtrd ringgrp grpsubid syl5eq
        eqtrd jca ) ABNUOBIKDUPZUQZQURABOOWRUQZPWRUQZLUQZGUPZPFUPZMUPZNUMAHVGUO
        ZONUOZXDNUOZXENUOAHUSUOZXFAHUTUOZXIULHVAVBZHVCVBUHAXIXCEVDUQZUOZPNUOZXH
        XKAEVEUOZWTXLUOZXBXLUOZXMAXIXOXKEHTVHVBZAXJWRJUOZXGXPULACDJIKHUEUFUGXKU
        JUKVFZUHEJWRXLNHOUTTXLVQZRUEVIVJZAEVKUOZXAXLUOZXAQVLZXQAXJYCULEHTVMVBZA
        XJXSXNYDULXTUIEJWRXLNHPUTTYARUEVIVJZUNXLELXAQYAUBUCVNVJZXLEGWTXBYAUAVOV
        JZUIXCFEXLNHPRTSYAVPVJZNHMOXDRUDVRVJVSAWSXEWRUQZQBXEWRUMVTAYKWTXDWRUQZE
        WAUQZUPZWTWTYMUPZQAXIXSXGXHYKYNURXKXTUHYJEJWRYMMNHOXDTYMVQZRUDUEWBWCAYL
        WTWTYMAYLXCXAGUPZWTEWDUQZGUPZWTAXIXSXMXNYLYQURXKXTYIUIEXCFGJWRXLNHPTYAU
        ARSUEWGWCAYQWTXBXAGUPZGUPZYSAXOXPXQYDYQUUAURXRYBYHYGXLEGWTXBXAYAUAWEWFA
        YTYRWTGAYCYDYEYTYRURYFYGUNXLEGYRLXAQYAUBUAYRVQZUCWHVJWIWPAXOXPYSWTURXRY
        BXLEGYRWTYAUAUUBWJWKWLWIAEVGUOZXPYOQURAXOUUCXREWMVBYBXLEYMWTQYAUBYPWNWK
        WLWOWQ $.
    $}

    lclkrlem2n.n $e |- N = ( LSpan ` U ) $.
    lclkrlem2n.l $e |- L = ( LKer ` U ) $.
    ${
      lclkrlem2n.w $e |- ( ph -> U e. LVec ) $.
      lclkrlem2n.j $e |- ( ph -> ( ( E .+ G ) ` X ) = .0. ) $.
      lclkrlem2n.k $e |- ( ph -> ( ( E .+ G ) ` Y ) = .0. ) $.
      $( Lemma for ~ lclkr .  (Contributed by NM, 12-Jan-2015.) $)
      lclkrlem2n $p |- ( ph -> ( N ` { X , Y } ) C_ ( L ` ( E .+ G ) ) ) $=
        ( clss cfv co eqid clvec wcel clmod lveclmod ldualvaddcl lkrlss syl2anc
        syl wceq ellkr2 mpbird lspprss ) AGURUSZHJCUTZLUSZNGPQVNVAZUMAGVBVCGVDV
        CZUOGVEVIZAVRVOIVCVPVNVCVSABCIHJGUFUGUHVSUKULVFZVNIVOLGUFUNVQVGVHAPVPVC
        PVOUSRVJUPADIVOLOGPVBRSUAUCUFUNUOVTUIVKVLAQVPVCQVOUSRVJUQADIVOLOGQVBRSU
        AUCUFUNUOVTUJVKVLVM $.
    $}

    lclkrlem2o.h $e |- H = ( LHyp ` K ) $.
    lclkrlem2o.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lclkrlem2o.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lclkrlem2o.a $e |- .(+) = ( LSSum ` U ) $.
    lclkrlem2o.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    ${
      lclkrlem2o.b $e |- B = ( X .-
        ( ( ( ( E .+ G ) ` X ) .X. ( I ` ( ( E .+ G ) ` Y ) ) ) .x. Y ) ) $.
      lclkrlem2o.n $e |- ( ph -> ( ( E .+ G ) ` Y ) =/= .0. ) $.
      ${
        lclkrlem2o.bn $e |- ( ph -> B =/= ( 0g ` U ) ) $.
        $( Lemma for ~ lclkr .  When ` B ` is nonzero, the vectors ` X ` and
           ` Y ` can't both belong to the hyperplane generated by ` B ` .
           (Contributed by NM, 17-Jan-2015.) $)
        lclkrlem2o $p |- ( ph
               -> ( -. X e. ( ._|_ ` { B } ) \/ -. Y e. ( ._|_ ` { B } ) ) ) $=
          ( csn cfv wcel wa wn c0g eqid wne cdif wceq dvhlvec lclkrlem2m simpld
          wo co eldifsn sylanbrc dochnel clmod clss dvhlmod adantr chlt dochlss
          wss snssd syl2anc simprl cbs crg lmodring syl ldualvaddcl syl3anc cdr
          lvecdrng drnginvrcl ringcl simprr lssvscl syl22anc lssvsubcl eqeltrid
          lflcl clvec mtand ianor sylib ) AUBBVIZSVJZVKZUCXRVKZVLZVMXSVMXTVMWBA
          YABXRVKAIMOSTUABIVNVJZVAVBVCUEYBVOVEABTVKZBYBVPBTYBVIVQVKAYCBJLDWCZVJ
          UDVRABCDFGHIJKLNQTUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURAIMOUAVAVCVEVSZVF
          VGVTWAZVHBTYBWDWEWFAYAVLZBUBUBYDVJZUCYDVJZNVJZHWCZUCGWCZQWCZXRVFYGIWG
          VKZXRIWHVJZVKZXSYLXRVKZYMXRVKAYNYAAIMOUAVAVCVEWIZWJZAYPYAAOWKVKUAMVKV
          LXQTWMYPVEABTYFWNYOIMOSTUAXQVAVCUEYOVOZVBWLWOWJZAXSXTWPYGYNYPYKFWQVJZ
          VKZXTYQYSUUAAUUCYAAFWRVKZYHUUBVKZYJUUBVKZUUCAYNUUDYRFIUGWSWTAYNYDKVKZ
          UBTVKUUEYRACDKJLIULUMUNYRUQURXAZUOFKYDUUBTIUBWGUGUUBVOZUEULXLXBAFXCVK
          ZYIUUBVKZYIUDVPUUFAIXMVKUUJYEFIUGXDWTAYNUUGUCTVKUUKYRUUHUPFKYDUUBTIUC
          WGUGUUIUEULXLXBVGUUBFNYIUDUUIUIUJXEXBUUBFHYHYJUUIUHXFXBWJAXSXTXGUUBYO
          GXRFIYKUCUGUFUUIYTXHXIYOXRQIUBYLUKYTXJXIXKXNXSXTXOXP $.
      $}

      ${
        lclkrlem2p.bn $e |- ( ph -> B = ( 0g ` U ) ) $.
        $( Lemma for ~ lclkr .  When ` B ` is zero, ` X ` and ` Y ` must
           colinear, so their orthocomplements must be comparable.
           (Contributed by NM, 17-Jan-2015.) $)
        lclkrlem2p $p |- ( ph -> ( ._|_ ` { Y } ) C_ ( ._|_ ` { X } ) ) $=
          ( csn cfv chlt wcel wss clss clmod dvhlmod eqid lspsncl syl2anc lssss
          wa syl co c0g wceq eqtr3id cbs crg lmodring ldualvaddcl lflcl syl3anc
          wb cdr wne clvec lvecdrng drnginvrcl ringcl lmodvscl lmodsubeq0 mpbid
          dvhlvec sneqd fveq2d lspsnvsi eqsstrd dochss snssd dochocsp 3sstr3d )
          AUCVIZRVJZSVJZUBVIZRVJZSVJZXLSVJXOSVJAOVKVLUAMVLWAXMTVMZXPXMVMXNXQVMV
          EAXMIVNVJZVLZXRAIVOVLZUCTVLZXTAIMOUAVAVCVEVPZUPXSRTIUCUEXSVQZUSVRVSXS
          XMTIUEYDVTWBAXPUBJLDWCZVJZUCYEVJZNVJZHWCZUCGWCZVIZRVJZXMAXOYKRAUBYJAU
          BYJQWCZIWDVJZWEZUBYJWEZAYMBYNVFVHWFAYAUBTVLZYJTVLZYOYPWMYCUOAYAYIFWGV
          JZVLZYBYRYCAFWHVLZYFYSVLZYHYSVLZYTAYAUUAYCFIUGWIWBAYAYEKVLZYQUUBYCACD
          KJLIULUMUNYCUQURWJZUOFKYEYSTIUBVOUGYSVQZUEULWKWLAFWNVLZYGYSVLZYGUDWOU
          UCAIWPVLUUGAIMOUAVAVCVEXCFIUGWQWBAYAUUDYBUUHYCUUEUPFKYEYSTIUCVOUGUUFU
          EULWKWLVGYSFNYGUDUUFUIUJWRWLYSFHYFYHUUFUHWSWLZUPYIGFYSTIUCUEUGUFUUFWT
          WLUBYJQTIYNUEYNVQUKXAWLXBXDXEAYAYTYBYLXMVMYCUUIUPYIGFYSRTIUCUGUUFUEUF
          USXFWLXGIMOSTUAXPXMVAVCUEVBXHWLAIMORSTUAXLVAVCVBUEUSVEAUCTUPXIXJAIMOR
          STUAXOVAVCVBUEUSVEAUBTUOXIXJXK $.
      $}
    $}

    lclkrlem2q.le $e |- ( ph -> ( L ` E ) = ( ._|_ ` { X } ) ) $.
    lclkrlem2q.lg $e |- ( ph -> ( L ` G ) = ( ._|_ ` { Y } ) ) $.
    ${
      lclkrlem2q.b $e |- B = ( X .-
        ( ( ( ( E .+ G ) ` X ) .X. ( I ` ( ( E .+ G ) ` Y ) ) ) .x. Y ) ) $.
      lclkrlem2q.n $e |- ( ph -> ( ( E .+ G ) ` Y ) =/= .0. ) $.
      ${
        lclkrlem2q.bn $e |- ( ph -> B =/= ( 0g ` U ) ) $.
        $( Lemma for ~ lclkr .  The sum has a closed kernel when ` B ` is
           nonzero.  (Contributed by NM, 18-Jan-2015.) $)
        lclkrlem2q $p |- ( ph
          -> ( ._|_ ` ( ._|_ ` ( L ` ( E .+ G ) ) ) ) = ( L ` ( E .+ G ) ) ) $=
          ( clsh cfv c0g eqid wcel wne csn cdif wceq dvhlvec lclkrlem2m eldifsn
          co simpld sylanbrc simprd lclkrlem2o lclkrlem2l ) ABCDEUDFIJKLMIVKVLZ
          OPRSTUAUBUCIVMVLZVAVBVCUEUGUIWJVNVDUSULWIVNUTUMUNVEABTVOZBWJVPBTWJVQV
          RVOAWKBJLDWCVLUDVSZABCDFGHIJKLNQTUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURAI
          MOUAVAVCVEVTVHVIWAZWDVJBTWJWBWEUQURVFVGAWKWLWMWFABCDEFGHIJKLMNOPQRSTU
          AUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVHVIVJWGUOUPWH $.
      $}

      lclkrlem2r.bn $e |- ( ph -> B = ( 0g ` U ) ) $.
      $( Lemma for ~ lclkr .  When ` B ` is zero, i.e. when ` X ` and ` Y ` are
         colinear, the intersection of the kernels of ` E ` and ` G ` equal the
         kernel of ` G ` , so the kernels of ` G ` and the sum are comparable.
         (Contributed by NM, 18-Jan-2015.) $)
      lclkrlem2r $p |- ( ph -> ( L ` G ) C_ ( L ` ( E .+ G ) ) ) $=
        ( cfv cin co wss wceq lclkrlem2p 3sstr4d sseqin2 sylib dvhlmod eqsstrrd
        csn lkrin ) ALPVKZJPVKZWDVLZJLDVMPVKAWDWEVNWFWDVOAUCWBSVKUBWBSVKWDWEABC
        DEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVHVI
        VJVPVGVFVQWDWEVRVSACDKJLPIULUTUMUNAIMOUAVAVCVEVTUQURWCWA $.

      $( Lemma for ~ lclkr .  Thus, the sum has a closed kernel when ` B ` is
         zero.  (Contributed by NM, 18-Jan-2015.) $)
      lclkrlem2s $p |- ( ph
         -> ( ._|_ ` ( ._|_ ` ( L ` ( E .+ G ) ) ) ) = ( L ` ( E .+ G ) ) ) $=
        ( cfv clsh wcel co wceq csn chlt cdih crn wss snssd eqid dochcl syl2anc
        wa dochoc ad2antrr lclkrlem2r clvec dvhlvec simplr simpr lshpcmp eqtr3d
        mpbid fveq2d 3eqtr4d dochoc1 dvhlmod ldualvaddcl lkrshpor adantr lkrssv
        wo mpjaodan eqsstrrd eqssd ) ALPVKZIVLVKZVMZJLDVNZPVKZSVKZSVKZXLVOZXHTV
        OZAXJWEZXLXIVMZXOXLTVOZXQXRWEZUCVPZSVKZSVKZSVKZYBXNXLAYDYBVOZXJXRAOVQVM
        UAMVMWEZYBUAOVRVKVKZVSVMZYEVEAYFYATVTYHVEAUCTUPWAIMYGOSTUAYAVAYGWBZVCUE
        VBWCWDMYGOSUAYBVAYIVBWFWDWGXTXMYCSXTXLYBSXTXHXLYBXTXHXLVTZXHXLVOAYJXJXR
        ABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEV
        FVGVHVIVJWHZWGXTXHXLXIIXIWBZAIWIVMXJXRAIMOUAVAVCVEWJZWGAXJXRWKXQXRWLWMW
        OAXHYBVOXJXRVGWGWNZWPWPYNWQXQXSWEZTSVKZSVKZTXNXLAYQTVOZXJXSAIMOSTUAVAVC
        VBUEVEWRZWGYOXMYPSYOXLTSXQXSWLZWPWPYTWQAXRXSXDXJAKXKXIPTIUEYLULUTYMACDK
        JLIULUMUNAIMOUAVAVCVEWSZUQURWTZXAXBXEAXPWEZYQTXNXLAYRXPYSXBUUCXMYPSUUCX
        LTSUUCXLTAXLTVTXPAKXKPTIUEULUTUUAUUBXCXBUUCTXHXLAXPWLAYJXPYKXBXFXGZWPWP
        UUDWQAKLXIPTIUEYLULUTYMURXAXE $.
    $}

    ${
      lclkrlem2t.n $e |- ( ph -> ( ( E .+ G ) ` Y ) =/= .0. ) $.
      $( Lemma for ~ lclkr .  We eliminate all hypotheses with ` B ` here.
         (Contributed by NM, 18-Jan-2015.) $)
      lclkrlem2t $p |- ( ph
         -> ( ._|_ ` ( ._|_ ` ( L ` ( E .+ G ) ) ) ) = ( L ` ( E .+ G ) ) ) $=
        ( co cfv wceq c0g wcel adantr chlt csn eqid simpr lclkrlem2s lclkrlem2q
        wa wne pm2.61dane ) AIKCVHZOVIZRVIRVIWDVJUAUAWCVIUBWCVIZMVIGVHUBFVHPVHZ
        HVKVIZAWFWGVJZVTWFBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMAUASVLZW
        HUNVMAUBSVLZWHUOVMAIJVLZWHUPVMAKJVLZWHUQVMURUSUTVAVBVCANVNVLTLVLVTZWHVD
        VMAIOVIUAVORVIVJZWHVEVMAKOVIUBVORVIVJZWHVFVMWFVPZAWEUCWAZWHVGVMAWHVQVRA
        WFWGWAZVTWFBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMAWIWRUNVMAWJWRU
        OVMAWKWRUPVMAWLWRUQVMURUSUTVAVBVCAWMWRVDVMAWNWRVEVMAWOWRVFVMWPAWQWRVGVM
        AWRVQVSWB $.
    $}

    ${
      lclkrlem2u.n $e |- ( ph -> ( ( E .+ G ) ` X ) =/= .0. ) $.
      $( Lemma for ~ lclkr . ~ lclkrlem2t with ` X ` and ` Y ` swapped.
         (Contributed by NM, 18-Jan-2015.) $)
      lclkrlem2u $p |- ( ph
         -> ( ._|_ ` ( ._|_ ` ( L ` ( E .+ G ) ) ) ) = ( L ` ( E .+ G ) ) ) $=
        ( co cfv dvhlmod ldualvaddcom fveq1d eqnetrrd lclkrlem2t fveq2d 3eqtr4d
        ) AKICVHZOVIZRVIZRVIVRIKCVHZOVIZRVIZRVIWAABCDEFGHKJILMNOPQRSTUBUAUCUDUE
        UFUGUHUIUJUKULUMUOUNUQUPURUSUTVAVBVCVDVFVEAUAVTVIUAVQVIUCAUAVTVQABCJHIK
        UKULUMAHLNTUTVBVDVJUPUQVKZVLVGVMVNAWBVSRAWAVRRAVTVQOWCVOZVOVOWDVP $.
    $}

    ${
      lclkrlem2v.j $e |- ( ph -> ( ( E .+ G ) ` X ) = .0. ) $.
      lclkrlem2v.k $e |- ( ph -> ( ( E .+ G ) ` Y ) = .0. ) $.
      $( Lemma for ~ lclkr .  When the hypotheses of ~ lclkrlem2u and
         ~ lclkrlem2u are negated, the functional sum must be zero, so the
         kernel is the vector space.  We make use of the law of excluded
         middle, ~ dochexmid , which requires the orthomodular law ~ dihoml4
         (Lemma 3.3 of [Holland95] p. 214).  (Contributed by NM,
         16-Jan-2015.) $)
      lclkrlem2v $p |- ( ph -> ( L ` ( E .+ G ) ) = V ) $=
        ( co cfv dvhlmod ldualvaddcl lkrssv cpr clss eqid lspprcl cdih crn wcel
        wceq dihprrn wss lssss syl dochoccl mpbid dochexmid dvhlvec cin csn cun
        lclkrlem2n wa snssd dochdmj1 syl3anc df-pr fveq2i unssd dochocsp syl5eq
        chlt ineq12d 3eqtr4d lkrin eqsstrd csubg clmod lsssssubg sseldd dochlss
        wb syl2anc lkrlss lsmlub mpbi2and eqsstrrd eqssd ) AIKCVIZOVJZSAJXTOSHU
        DUKUSAHLNTUTVBVDVKZABCJIKHUKULUMYBUPUQVLZVMASUAUBVNZQVJZYERVJZDVIZYAADH
        VOVJZHLNRSTYEUTVAVBUDYHVPZVCVDAYHQSHUAUBUDYIURYBUNUOVQZAYETNVRVJVJZVSVT
        YFRVJYEWAAHLYKNQSTUAUBUTVBUDURYKVPZVDUNUOWBAHLYKNRSTYEUTYLVBUDVAVDAYEYH
        VTYESWCZYJYHYESHUDYIWDWEZWFWGWHAYEYAWCZYFYAWCZYGYAWCZABCEFGHIJKMOPQSUAU
        BUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSAHLNTUTVBVDWIVGVHWMAYFIOVJZKOVJZWJZY
        AAUAWKZUBWKZWLZRVJZUUARVJZUUBRVJZWJZYFYTANXCVTTLVTWNZUUASWCUUBSWCUUDUUG
        WAVDAUASUNWOZAUBSUOWOZHLNRSTUUAUUBUTVBUDVAWPWQAYFUUCQVJZRVJUUDYEUUKRYDU
        UCQUAUBWRWSWSAHLNQRSTUUCUTVBVAUDURVDAUUAUUBSUUIUUJWTXAXBAYRUUEYSUUFVEVF
        XDXEABCJIKOHUKUSULUMYBUPUQXFXGAYEHXHVJZVTYFUULVTYAUULVTYOYPWNYQXMAYHUUL
        YEAHXIVTZYHUULWCYBYHHYIXJWEZYJXKAYHUULYFUUNAUUHYMYFYHVTVDYNYHHLNRSTYEUT
        VBUDYIVAXLXNXKAYHUULYAUUNAUUMXTJVTYAYHVTYBYCYHJXTOHUKUSYIXOXNXKDYEYFYAH
        VCXPWQXQXRXS $.

      $( Lemma for ~ lclkr .  This is the same as ~ lclkrlem2u and ~ lclkrlem2u
         with the inequality hypotheses negated.  When the sum of two
         functionals is zero at each generating vector, the kernel is the
         vector space and therefore closed.  (Contributed by NM,
         16-Jan-2015.) $)
      lclkrlem2w $p |- ( ph -> ( ._|_ ` ( ._|_ ` ( L ` ( E .+ G ) ) ) )
                 = ( L ` ( E .+ G ) ) ) $=
        ( cfv co dochoc1 lclkrlem2v fveq2d 3eqtr4d ) ASRVIZRVISIKCVJOVIZRVIZRVI
        VPAHLNRSTUTVBVAUDVDVKAVQVORAVPSRABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIU
        JUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVLZVMVMVRVN $.
    $}
  $}

  ${
    lclkrlem2x.l $e |- L = ( LKer ` U ) $.
    lclkrlem2x.h $e |- H = ( LHyp ` K ) $.
    lclkrlem2x.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lclkrlem2x.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lclkrlem2x.v $e |- V = ( Base ` U ) $.
    lclkrlem2x.f $e |- F = ( LFnl ` U ) $.
    lclkrlem2x.d $e |- D = ( LDual ` U ) $.
    lclkrlem2x.p $e |- .+ = ( +g ` D ) $.
    lclkrlem2x.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lclkrlem2x.x $e |- ( ph -> X e. V ) $.
    lclkrlem2x.y $e |- ( ph -> Y e. V ) $.
    lclkrlem2x.e $e |- ( ph -> E e. F ) $.
    lclkrlem2x.g $e |- ( ph -> G e. F ) $.
    lclkrlem2x.le $e |- ( ph -> ( L ` E ) = ( ._|_ ` { X } ) ) $.
    lclkrlem2x.lg $e |- ( ph -> ( L ` G ) = ( ._|_ ` { Y } ) ) $.
    $( Lemma for ~ lclkr .  Eliminate by cases the hypotheses of ~ lclkrlem2u ,
       ~ lclkrlem2u and ~ lclkrlem2w .  (Contributed by NM, 18-Jan-2015.) $)
    lclkrlem2x $p |- ( ph ->
       ( ._|_ ` ( ._|_ ` ( L ` ( E .+ G ) ) ) ) = ( L ` ( E .+ G ) ) ) $=
      ( co cfv csca c0g wceq wn wne df-ne clsm cvsca cmulr cinvr csg clspn eqid
      wa wcel adantr csn simpr lclkrlem2u sylan2br lclkrlem2t simprl lclkrlem2w
      chlt simprr pm2.61dda ) ANEGCUKZULZDUMULZUNULZUOZOVSULZWBUOZVSJULZKULKULW
      FUOZWCUPAVTWBUQZWGVTWBURAWHVFBCDUSULZWADUTULZWAVAULZDEFGHWAVBULZIJDVCULZD
      VDULZKLMNOWBTWJVEZWAVEZWKVEZWBVEZWLVEZWMVEZUAUBUCANLVGZWHUEVHAOLVGZWHUFVH
      AEFVGZWHUGVHAGFVGZWHUHVHWNVEZPQRSWIVEZAIVPVGMHVGVFZWHUDVHAEJULNVIKULUOZWH
      UIVHAGJULOVIKULUOZWHUJVHAWHVJVKVLWEUPAWDWBUQZWGWDWBURAXJVFBCWIWAWJWKDEFGH
      WLIJWMWNKLMNOWBTWOWPWQWRWSWTUAUBUCAXAXJUEVHAXBXJUFVHAXCXJUGVHAXDXJUHVHXEP
      QRSXFAXGXJUDVHAXHXJUIVHAXIXJUJVHAXJVJVMVLAWCWEVFZVFBCWIWAWJWKDEFGHWLIJWMW
      NKLMNOWBTWOWPWQWRWSWTUAUBUCAXAXKUEVHAXBXKUFVHAXCXKUGVHAXDXKUHVHXEPQRSXFAX
      GXKUDVHAXHXKUIVHAXIXKUJVHAWCWEVNAWCWEVQVOVR $.
  $}

  ${
    $d x y E $.  $d x y F $.  $d x y G $.  $d x y L $.  $d x y ._|_ $.
    $d x y .+ $.  $d x y U $.  $d x y ph $.
    lclkrlem2y.l $e |- L = ( LKer ` U ) $.
    lclkrlem2y.h $e |- H = ( LHyp ` K ) $.
    lclkrlem2y.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lclkrlem2y.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lclkrlem2y.f $e |- F = ( LFnl ` U ) $.
    lclkrlem2y.d $e |- D = ( LDual ` U ) $.
    lclkrlem2y.p $e |- .+ = ( +g ` D ) $.
    lclkrlem2y.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lclkrlem2y.e $e |- ( ph -> E e. F ) $.
    lclkrlem2y.g $e |- ( ph -> G e. F ) $.
    lclkrlem2y.le $e |- ( ph ->
      ( ._|_ ` ( ._|_ ` ( L ` E ) ) ) = ( L ` E ) ) $.
    lclkrlem2y.lg $e |- ( ph ->
      ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) = ( L ` G ) ) $.
    $( Lemma for ~ lclkr .  Restate the hypotheses for ` E ` and ` G ` to say
       their kernels are closed, in order to eliminate the generating vectors
       ` X ` and ` Y ` .  (Contributed by NM, 18-Jan-2015.) $)
    lclkrlem2y $p |- ( ph ->
       ( ._|_ ` ( ._|_ ` ( L ` ( E .+ G ) ) ) ) = ( L ` ( E .+ G ) ) ) $=
      ( vy vx cfv cv csn wceq cbs wrex co eqid lcfl8a mpbid wcel wi w3a chlt wa
      3ad2ant1 simp21 simp23 simp22 simp3 lclkrlem2x 3exp 3expd rexlimdv mpd )
      AGJUGZUEUHZUIKUGUJZUEDUKUGZULZEGCUMJUGZKUGKUGVQUJZAVLKUGKUGVLUJVPUDAUEDFG
      HIJKVOLNOPVOUNZQMTUBUOUPAVNVRUEVOAEJUGZUFUHZUIKUGUJZUFVOULZVMVOUQZVNVRURZ
      URZAVTKUGKUGVTUJWCUCAUFDFEHIJKVOLNOPVSQMTUAUOUPAWBWFUFVOAWAVOUQZWBWDWEAWG
      WBWDUSZVNVRAWHVNUSBCDEFGHIJKVOLWAVMMNOPVSQRSAWHIUTUQLHUQVAVNTVBAWGWBWDVNV
      CAWGWBWDVNVDAWHEFUQVNUAVBAWHGFUQVNUBVBAWGWBWDVNVEAWHVNVFVGVHVIVJVKVJVK $.
  $}

  ${
    $d f E $.  $d f F $.  $d f G $.  $d f L $.  $d f ._|_ $.  $d f .+ $.
    lclkrlem2.h $e |- H = ( LHyp ` K ) $.
    lclkrlem2.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lclkrlem2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lclkrlem2.f $e |- F = ( LFnl ` U ) $.
    lclkrlem2.l $e |- L = ( LKer ` U ) $.
    lclkrlem2.d $e |- D = ( LDual ` U ) $.
    lclkrlem2.p $e |- .+ = ( +g ` D ) $.
    lclkrlem2.c $e |- C =
      { f e. F | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f ) } $.
    lclkrlem2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lclkrlem2.e $e |- ( ph -> E e. C ) $.
    lclkrlem2.g $e |- ( ph -> G e. C ) $.
    $( The set of functionals having closed kernels is closed under vector
       (functional) addition.  Lemmas ~ lclkrlem2a through ~ lclkrlem2y are
       used for the proof.  Here we express ~ lclkrlem2y in terms of membership
       in the set ` C ` of functionals with closed kernels.  (Contributed by
       NM, 18-Jan-2015.) $)
    lclkrlem2 $p |- ( ph -> ( E .+ G ) e. C ) $=
      ( wcel cfv wceq lcfl1lem simplbi syl lcfl1 lclkrlem2y dvhlmod ldualvaddcl
      co mpbid mpbird ) AGIDUPZBUFUSLUGZMUGMUGUTUHACDEGHIJKLMNSOPQRTUAUCAGBUFZG
      HUFZUDVAVBGLUGZMUGMUGVCUHZBFHGLMUBUIUJUKZAIBUFZIHUFZUEVFVGILUGZMUGMUGVHUH
      ZBFHILMUBUIUJUKZAVAVDUDABFHGLMUBVEULUQAVFVIUEABFHILMUBVJULUQUMABFHUSLMUBA
      CDHGIERTUAAEJKNOQUCUNVEVJUOULUR $.
  $}

  ${
    $d f ._|_ $.  $d a b x C $.  $d a b f x D $.  $d f F $.  $d a b x ph $.
    $d f L $.  $d f U $.
    lclkr.h $e |- H = ( LHyp ` K ) $.
    lclkr.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lclkr.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lclkr.f $e |- F = ( LFnl ` U ) $.
    lclkr.l $e |- L = ( LKer ` U ) $.
    lclkr.d $e |- D = ( LDual ` U ) $.
    lclkr.s $e |- S = ( LSubSp ` D ) $.
    lclkr.c $e |- C =
      { f e. F | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f ) } $.
    lclkr.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The set of functionals with closed kernels is a subspace.  Part of proof
       of Theorem 3.6 of [Holland95] p. 218, line 20, stating "The f_M that
       arise this way generate a subspace F of E'".  Our proof was suggested by
       Mario Carneiro, 5-Jan-2015.  (Contributed by NM, 18-Jan-2015.) $)
    lclkr $p |- ( ph -> C e. S ) $=
      ( vx va vb cbs cfv wss c0 wne cv cvsca co cplusg wcel wral csca wceq crab
      ssrab2 a1i clmod dvhlmod ldualvbase 3sstr4d c0g csn cxp lfl0f syl dochoc1
      eqid lkr0f syl2anc2 mpbiri fveq2d 3eqtr4d lcfl1lem sylanbrc ne0d w3a chlt
      wb adantr simpr1 ldualsbase simpr2 lclkrlem1 simpr3 lclkrlem2 ralrimivvva
      wa eleqtrd islss syl3anbrc ) ABCUEUFZUGBUHUIUBUJZUCUJZCUKUFZULZUDUJZCUMUF
      ZULBUNZUDBUOUCBUOUBCUPUFZUEUFZUOBDUNAFUJJUFZKUFKUFXEUQZFGURZGBWOXGGUGAXFF
      GUSUTBXGUQATUTACGWOEVAPRWOVKZAEHILMNUAVBZVCVDABEUEUFZEUPUFZVEUFZVFVGZAXMG
      UNZXMJUFZKUFZKUFZXOUQXMBUNAEVAUNZXNXIXKGXJEXLXKVKZXLVKZXJVKZPVHZVIAXJKUFZ
      KUFXJXQXOAEHIKXJLMNOYAUAVJAXPYCKAXOXJKAXOXJUQZXMXMUQZXMVKAXRXNYDYEWBXIYBX
      KGXMJXJEXLXSXTYAPQVLVMVNZVOVOYFVPBFGXMJKTVQVRVSAXBUBUCUDXDBBAWPXDUNZWQBUN
      ZWTBUNZVTZWKZBCXAEFWSGWTHIJKLMONPQRXAVKZTAIWAUNLHUNWKYJUAWCZYKXKUEUFZBCXK
      WREFGWQHIJKLWPMONPQRXSYNVKZWRVKZTYMYKWPXDYNAYGYHYIWDAXDYNUQYJACXCXKXDYNVA
      EXSYORXCVKZXDVKZXIWEWCWLAYGYHYIWFWGAYGYHYIWHWIWJUBXDXADWRBXCWOCUCUDYQYRXH
      YLYPSWMWN $.
  $}

  ${
    $d f F $.  $d f G $.  $d f L $.  $d f ._|_ $.  $d f Q $.
    lcfls1.c $e |- C = { f e. F | ( ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f )
        /\ ( ._|_ ` ( L ` f ) ) C_ Q ) } $.
    $( Property of a functional with a closed kernel.  (Contributed by NM,
       27-Jan-2015.) $)
    lcfls1lem $p |- ( G e. C
           <-> ( G e. F /\ ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) = ( L ` G )
                  /\ ( ._|_ ` ( L ` G ) ) C_ Q ) ) $=
      ( wcel cfv wceq wss wa w3a cv fveq2 fveq2d eqeq12d sseq1d anbi12d elrab2
      3anass bitr4i ) EAIEDIZEFJZGJZGJZUEKZUFBLZMZMUDUHUINCOZFJZGJZGJZULKZUMBLZ
      MUJCEDAUKEKZUOUHUPUIUQUNUGULUEUQUMUFGUQULUEGUKEFPZQZQURRUQUMUFBUSSTHUAUDU
      HUIUBUC $.

    ${
      lcfls1.g $e |- ( ph -> G e. F ) $.
      $( Property of a functional with a closed kernel.  (Contributed by NM,
         27-Jan-2015.)  (New usage is discouraged.) $)
      lcfls1N $p |- ( ph
          -> ( G e. C <-> ( ( ._|_ ` ( ._|_ ` ( L ` G ) ) ) = ( L ` G )
                /\ ( ._|_ ` ( L ` G ) ) C_ Q ) ) ) $=
        ( wcel cfv wceq wss wa w3a lcfls1lem 3anass bitri biantrurd bitr4id ) A
        FBKZFEKZFGLZHLZHLUDMZUECNZOZOZUHUBUCUFUGPUIBCDEFGHIQUCUFUGRSAUCUHJTUA
        $.
    $}

    lcfls1c.c $e |- D = { f e. F | ( ._|_ ` ( ._|_ ` ( L ` f ) ) )
           = ( L ` f ) } $.
    $( Property of a functional with a closed kernel.  (Contributed by NM,
       28-Jan-2015.) $)
    lcfls1c $p |- ( G e. C
           <-> ( G e. D /\ ( ._|_ ` ( L ` G ) ) C_ Q ) ) $=
      ( wcel cfv wceq wss w3a wa df-3an lcfls1lem lcfl1lem anbi1i 3bitr4i ) FEK
      ZFGLZHLZHLUCMZUDCNZOUBUEPZUFPFAKFBKZUFPUBUEUFQACDEFGHIRUHUGUFBDEFGHJSTUA
      $.
  $}

  ${
    $d f ._|_ $.  $d f F $.  $d f G $.  $d f L $.  $d f Q $.  $d f .x. $.
    $d f X $.
    lclkrslem1.h $e |- H = ( LHyp ` K ) $.
    lclkrslem1.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lclkrslem1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lclkrslem1.s $e |- S = ( LSubSp ` U ) $.
    lclkrslem1.f $e |- F = ( LFnl ` U ) $.
    lclkrslem1.l $e |- L = ( LKer ` U ) $.
    lclkrslem1.d $e |- D = ( LDual ` U ) $.
    lclkrslem1.r $e |- R = ( Scalar ` U ) $.
    lclkrslem1.b $e |- B = ( Base ` R ) $.
    lclkrslem1.t $e |- .x. = ( .s ` D ) $.
    lclkrslem1.c $e |- C = { f e. F | ( ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) =
      ( L ` f ) /\ ( ._|_ ` ( L ` f ) ) C_ Q ) } $.
    lclkrslem1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lclkrslem1.q $e |- ( ph -> Q e. S ) $.
    lclkrslem1.g $e |- ( ph -> G e. C ) $.
    ${
      lclkrslem1.x $e |- ( ph -> X e. B ) $.
      $( The set of functionals having closed kernels and majorizing the
         orthocomplement of a given subspace ` Q ` is closed under scalar
         product.  (Contributed by NM, 27-Jan-2015.) $)
      lclkrslem1 $p |- ( ph -> ( X .x. G ) e. C ) $=
        ( co cfv wceq crab wcel wss eqid lcfls1c simplbi syl lclkrlem1 chlt cbs
        cv wa dvhlmod w3a lcfls1lem sylib simp1d ldualvscl lkrssv dvhlvec lkrss
        dochss syl3anc simp3d sstrd sylanbrc ) ARLHUNZJVGOUOZPUOPUOWDUPJKUQZURW
        COUOZPUOZEUSWCCURABWEDFHIJKLMNOPQRSTUAUCUDUEUFUGUHWEUTZUJUMALCURZLWEURZ
        ULWIWJLOUOZPUOZEUSZCWEEJKLOPUIWHVAVBVCVDAWGWLEANVEURQMURVHWFIVFUOZUSWKW
        FUSWGWLUSUJAKWCOWNIWNUTZUCUDAIMNQSUAUJVIZADFHKLBIRUCUFUGUEUHWPUMALKURZW
        LPUOWKUPZWMAWIWQWRWMVJULCEJKLOPUIVKVLZVMZVNVOADFHKLBOIRUFUGUCUDUEUHAIMN
        QSUAUJVPWTUMVQIMNPWNQWKWFSUAWOTVRVSAWQWRWMWSVTWACWEEJKWCOPUIWHVAWB $.
    $}

    $d f E $.  $d f .+ $.
    lclkrslem2.p $e |- .+ = ( +g ` D ) $.
    lclkrslem2.e $e |- ( ph -> E e. C ) $.
    $( The set of functionals having closed kernels and majorizing the
       orthocomplement of a given subspace ` Q ` is closed under scalar
       product.  (Contributed by NM, 28-Jan-2015.) $)
    lclkrslem2 $p |- ( ph -> ( E .+ G ) e. C ) $=
      ( co cv cfv wceq crab wcel wss eqid lcfls1c simplbi syl lclkrlem2 chlt wa
      cin cbs dvhlmod w3a lcfls1lem sylib simp1d ldualvaddcl lkrssv dochss clsm
      lkrin syl3anc cdjh cdih crn simp2d lcfl5a mpbid dochdmm1 syl2anc dochkrsm
      dochcl dochlss djhlsmcl eqtr4d simp3d csubg clmod lsssssubg sseldd lsmlub
      wb mpbi2and eqsstrd sstrd sylanbrc ) ALNEUPZKUQQURZRURRURXHUSKMUTZVAXGQUR
      ZRURZFVBXGCVAAXIDEJKLMNOPQRSTUAUBUDUEUFUNXIVCZUKALCVAZLXIVAZUOXMXNLQURZRU
      RZFVBZCXIFKMLQRUJXLVDVEVFANCVAZNXIVAZUMXRXSNQURZRURZFVBZCXIFKMNQRUJXLVDVE
      VFVGAXKXOXTVJZRURZFAPVHVASOVAVIZXJJVKURZVBYCXJVBXKYDVBUKAMXGQYFJYFVCZUDUE
      AJOPSTUBUKVLZADEMLNJUDUFUNYHALMVAZXPRURXOUSZXQAXMYIYJXQVMUOCFKMLQRUJVNVOZ
      VPZANMVAZYARURXTUSZYBAXRYMYNYBVMUMCFKMNQRUJVNVOZVPZVQVRADEMLNQJUDUEUFUNYH
      YLYPWAJOPRYFSYCXJTUBYGUAVSWBAYDXPYAJVTURZUPZFAYDXPYASPWCURURZUPZYRAJOSPWD
      URURZYSPRYFSXOXTTUUAVCZUBYGUAYSVCZUKAYJXOUUAWEZVAAYIYJXQYKWFAJMLOUUAPQRST
      UUBUAUBUDUEUKYLWGWHAYNXTUUDVAAYMYNYBYOWFAJMNOUUAPQRSTUUBUAUBUDUEUKYPWGWHW
      IAYRUUDVAYRYTUSAYQJMNOUUAPQRSXPTUUBUAUBYQVCZUDUEUKAYEXOYFVBZXPUUDVAUKAMLQ
      YFJYGUDUEYHYLVRZJOUUAPRYFSXOTUUBUBYGUAWLWJYPWKAYQHJOUUAYSPYFSXPYATUBYGUCU
      UEUUBUUCUKAYEUUFXPHVAUKUUGHJOPRYFSXOTUBYGUCUAWMWJZAYEXTYFVBYAHVAUKAMNQYFJ
      YGUDUEYHYPVRHJOPRYFSXTTUBYGUCUAWMWJZWNWHWOAXQYBYRFVBZAYIYJXQYKWPAYMYNYBYO
      WPAXPJWQURZVAYAUUKVAFUUKVAXQYBVIUUJXBAHUUKXPAJWRVAHUUKVBYHHJUCWSVFZUUHWTA
      HUUKYAUULUUIWTAHUUKFUULULWTYQXPYAFJUUEXAWBXCXDXECXIFKMXGQRUJXLVDXF $.
  $}

  ${
    $d a b f x D $.  $d f F $.  $d f L $.  $d a b x ph $.  $d f R $.  $d f U $.
    $d f ._|_ $.  $d a b x C $.
    lclkrs.h $e |- H = ( LHyp ` K ) $.
    lclkrs.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lclkrs.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lclkrs.s $e |- S = ( LSubSp ` U ) $.
    lclkrs.f $e |- F = ( LFnl ` U ) $.
    lclkrs.l $e |- L = ( LKer ` U ) $.
    lclkrs.d $e |- D = ( LDual ` U ) $.
    lclkrs.t $e |- T = ( LSubSp ` D ) $.
    lclkrs.c $e |- C = { f e. F | ( ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f )
        /\ ( ._|_ ` ( L ` f ) ) C_ R ) } $.
    lclkrs.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lclkrs.r $e |- ( ph -> R e. S ) $.
    $( The set of functionals having closed kernels and majorizing the
       orthocomplement of a given subspace ` R ` is a subspace of the dual
       space.  TODO:  This proof repeats large parts of the ~ lclkr proof.  Do
       we achieve overall shortening by breaking them out as subtheorems?  Or
       make ~ lclkr a special case of this?  (Contributed by NM,
       29-Jan-2015.) $)
    lclkrs $p |- ( ph -> C e. T ) $=
      ( vx va vb cbs cfv wss c0 wne cv cvsca co cplusg wcel wral csca wceq crab
      wa ssrab2 a1i clmod eqid dvhlmod ldualvbase 3sstr4d c0g csn cxp lfl0f syl
      dochoc1 eqidd lkr0f syl2anc mpbird fveq2d 3eqtr4d chlt doch1 eqtrd lss0ss
      wb eqsstrd lcfls1lem syl3anbrc w3a adantr simpr3 simpr2 simpr1 ldualsbase
      ne0d eleqtrd lclkrslem1 lclkrslem2 ralrimivvva islss ) ABCUIUJZUKBULUMUFU
      NZUGUNZCUOUJZUPZUHUNZCUQUJZUPBURZUHBUSUGBUSUFCUTUJZUIUJZUSBFURAHUNLUJZMUJ
      ZMUJXMVAXNDUKVCZHIVBZIBXCXPIUKAXOHIVDVEBXPVAAUCVEACIXCGVFSUAXCVGZAGJKNOQU
      DVHZVIVJABGUIUJZGUTUJZVKUJZVLVMZAYBIURZYBLUJZMUJZMUJZYDVAYEDUKYBBURAGVFUR
      ZYCXRXTIXSGYAXTVGZYAVGZXSVGZSVNVOZAXSMUJZMUJXSYFYDAGJKMXSNOQPYJUDVPAYEYLM
      AYDXSMAYDXSVAZYBYBVAZAYBVQAYGYCYMYNWGXRYKXTIYBLXSGYAYHYIYJSTVRVSVTZWAZWAY
      OWBAYEGVKUJZVLZDAYEYLYRYPAKWCURNJURVCZYLYRVAUDGJKMXSNYQOQPYJYQVGZWDVOWEAY
      GDEURZYRDUKXRUEEGDYQYTRWFVSWHBDHIYBLMUCWIWJWQAXJUFUGUHXLBBAXDXLURZXEBURZX
      HBURZWKZVCZXTUIUJZBCXIDXTEXFGHXGIXHJKLMNOPQRSTUAYHUUGVGZXFVGZUCAYSUUEUDWL
      ZAUUAUUEUEWLZAUUBUUCUUDWMXIVGZUUFUUGBCDXTEXFGHIXEJKLMNXDOPQRSTUAYHUUHUUIU
      CUUJUUKAUUBUUCUUDWNUUFXDXLUUGAUUBUUCUUDWOAXLUUGVAUUEACXKXTXLUUGVFGYHUUHUA
      XKVGZXLVGZXRWPWLWRWSWTXAUFXLXIFXFBXKXCCUGUHUUMUUNXQUULUUIUBXBWJ $.
  $}

  ${
    $d g D $.  $d f g F $.  $d f g L $.  $d f g ._|_ $.  $d g Q $.  $d g U $.
    lclkrs2.h $e |- H = ( LHyp ` K ) $.
    lclkrs2.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lclkrs2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lclkrs2.s $e |- S = ( LSubSp ` U ) $.
    lclkrs2.f $e |- F = ( LFnl ` U ) $.
    lclkrs2.l $e |- L = ( LKer ` U ) $.
    lclkrs2.d $e |- D = ( LDual ` U ) $.
    lclkrs2.t $e |- T = ( LSubSp ` D ) $.
    lclkrs2.c $e |- C =
      { f e. F | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f ) } $.
    lclkrs2.r $e |- R = { g e. F | ( ( ._|_ ` ( ._|_ ` ( L ` g ) ) ) =
      ( L ` g ) /\ ( ._|_ ` ( L ` g ) ) C_ Q ) } $.
    lclkrs2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lclkrs2.q $e |- ( ph -> Q e. S ) $.
    $( The set of functionals with closed kernels and majorizing the
       orthocomplement of a given subspace ` Q ` is a subspace of the dual
       space containing functionals with closed kernels.  Note that ` R ` is
       the value given by ~ mapdval .  (Contributed by NM, 12-Mar-2015.) $)
    lclkrs2 $p |- ( ph -> ( R e. T /\ R C_ C ) ) $=
      ( wcel wss lclkrs cv cfv wceq wa crab simpl a1i ss2rabi weq fveq2 eqeq12d
      wi fveq2d cbvrabv eqtri 3sstr4i jctir ) AEGUIEBUJAECDFGHJKLMNOPQRSTUAUBUC
      UDUFUGUHUKJULZNUMZOUMZOUMZVJUNZVKDUJZUOZJKUPVMJKUPZEBVOVMJKVOVMVCVIKUIVMV
      NUQURUSUFBIULZNUMZOUMZOUMZVRUNZIKUPVPUEWAVMIJKIJUTZVTVLVRVJWBVSVKOWBVRVJO
      VQVINVAZVDVDWCVBVEVFVGVH $.
  $}

  ${
    $d f x ._|_ $.  $d k D $.  $d k F $.  $d f k x G $.  $d k N $.  $d f x R $.
    $d f k x L $.  $d f k x ph $.  $d k U $.
    lcfrvalsn.h $e |- H = ( LHyp ` K ) $.
    lcfrvalsn.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfrvalsn.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfrvalsn.f $e |- F = ( LFnl ` U ) $.
    lcfrvalsn.l $e |- L = ( LKer ` U ) $.
    lcfrvalsn.d $e |- D = ( LDual ` U ) $.
    lcfrvalsn.n $e |- N = ( LSpan ` D ) $.
    lcfrvalsn.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfrvalsn.g $e |- ( ph -> G e. F ) $.
    lcfrvalsn.q $e |- Q = U_ f e. R ( ._|_ ` ( L ` f ) ) $.
    lcfrvalsn.r $e |- R = ( N ` { G } ) $.
    $( Reconstruction from the dual space span of a singleton.  (Contributed by
       NM, 19-Feb-2015.)  (New usage is discouraged.) $)
    lcfrvalsnN $p |- ( ph -> Q = ( ._|_ ` ( L ` G ) ) ) $=
      ( vx vk cv cfv ciun wcel wrex eliun csn wi eleq2i wa chlt cbs adantr eqid
      wss clmod dvhlmod clss lduallmod ldualelvbase lspsncl syl2anc lssel sylan
      wceq ldualvbase eleqtrd cvsca co csca wb lspsnel ldualsbase rexeqdv bitrd
      lkrssv biimpa clvec dvhlvec lkrss2N mpbird dochss syl3anc sseld ex syl5bi
      rexlimdv lspsnid eleqtrrdi 2fveq3 eleq2d rspcev impbid syl5bb syl5eq
      eqrdv ) ACFDFUHZKUIZMUIZUJZHKUIZMUIZUDAUFXGXIUFUHZXGUKXJXFUKZFDULZAXJXIUK
      ZFXJDXFUMAXLXMAXKXMFDXDDUKXDHUNLUIZUKZAXKXMUOZDXNXDUEUPAXOXPAXOUQZXFXIXJX
      QJURUKNIUKUQZXEEUSUIZVBXHXEVBZXFXIVBAXRXOUBUTXQGXDKXSEXSVAZRSAEVCUKXOAEIJ
      NOQUBVDZUTXQXDBUSUIZGAXNBVEUIZUKZXOXDYCUKABVCUKZHYCUKZYEABETYBVFZABGHYCEV
      CRTYCVAZYBUCVGZYDLYCBHYIYDVAZUAVHVIYDXNYCBXDYIYKVJVKAYCGVLXOABGYCEVCRTYIY
      BVMUTVNZWCXQXTXDUGUHHBVOUIZVPVLZUGEVQUIZUSUIZULZAXOYQAXOYNUGBVQUIZUSUIZUL
      ZYQAYFYGXOYTVRYHYJYMXDUGYRYSLYCBHYRVAZYSVAZYIYMVAZUAVSVIAYNUGYSYPABYRYOYS
      YPVCEYOVAZYPVAZTUUAUUBYBVTWAWBWDXQBYPYOYMGHXDKEUGUUDUUERSTUUCAEWEUKXOAEIJ
      NOQUBWFUTAHGUKXOUCUTYLWGWHEIJMXSNXHXEOQYAPWIWJWKWLWMWNAXMXLAHDUKXMXLAHXND
      AYFYGHXNUKYHYJLYCBHYIUAWOVIUEWPXKXMFHDXDHVLXFXIXJXDHMKWQWRWSVKWLWTXAXCXB
      $.
  $}

  ${
    lcfrlem1.v $e |- V = ( Base ` U ) $.
    lcfrlem1.s $e |- S = ( Scalar ` U ) $.
    lcfrlem1.q $e |- .X. = ( .r ` S ) $.
    lcfrlem1.z $e |- .0. = ( 0g ` S ) $.
    lcfrlem1.i $e |- I = ( invr ` S ) $.
    lcfrlem1.f $e |- F = ( LFnl ` U ) $.
    lcfrlem1.d $e |- D = ( LDual ` U ) $.
    lcfrlem1.t $e |- .x. = ( .s ` D ) $.
    lcfrlem1.m $e |- .- = ( -g ` D ) $.
    lcfrlem1.u $e |- ( ph -> U e. LVec ) $.
    lcfrlem1.e $e |- ( ph -> E e. F ) $.
    lcfrlem1.g $e |- ( ph -> G e. F ) $.
    lcfrlem1.x $e |- ( ph -> X e. V ) $.
    lcfrlem1.n $e |- ( ph -> ( G ` X ) =/= .0. ) $.
    lcfrlem1.h $e |- H = ( E .-
      ( ( ( I ` ( G ` X ) ) .X. ( E ` X ) ) .x. G ) ) $.
    $( Lemma for ~ lcfr .  Note that ` X ` is z in Mario's notes.  (Contributed
       by NM, 27-Feb-2015.) $)
    lcfrlem1 $p |- ( ph -> ( H ` X ) = .0. ) $=
      ( cfv co fveq1i csg eqid clvec wcel clmod lveclmod syl cbs lvecdrng lflcl
      cdr wne syl3anc drnginvrcl lmodmcl ldualvscl ldualvsubval ldualvsval wceq
      cur drnginvrr oveq1d crg lmodring ringass syl13anc ringlidm syl2anc eqtrd
      3eqtr3d oveq2d cgrp lmodfgrp grpsubid 3eqtrd syl5eq ) ANJUKNGNIUKZKUKZNGU
      KZEULZIDULZLULZUKZONJWOUJUMAWPWLNWNUKZCUNUKZULWLWLWRULZOABCWRHGWNLMFNPQWR
      UOZUAUBUDAFUPUQZFURUQZUEFUSUTZUFABCDHICVAUKZFWMUAQXDUOZUBUCXCAXBWKXDUQZWL
      XDUQZWMXDUQXCACVDUQZWJXDUQZWJOVEZXFAXAXHUECFQVBUTZAXAIHUQNMUQZXIUEUGUHCHI
      XDMFNUPQXEPUAVCVFZUIXDCKWJOXESTVGVFZAXAGHUQXLXGUEUFUHCHGXDMFNUPQXEPUAVCVF
      ZECXDFWKWLQXERVHVFZUGVIUHVJAWQWLWLWRAWQWJWMEULZWLANBCDEHIXDMFWMUPUAPQXERU
      BUCUEXPUGUHVKAWJWKEULZWLEULZCVMUKZWLEULZXQWLAXRXTWLEAXHXIXJXRXTVLXKXMUIXD
      CEXTKWJOXESRXTUOZTVNVFVOACVPUQZXIXFXGXSXQVLAXBYCXCCFQVQUTZXMXNXOXDCEWJWKW
      LXERVRVSAYCXGYAWLVLYDXOXDCEXTWLXERYBVTWAWCWBWDACWEUQZXGWSOVLAXBYEXCCFQWFU
      TXOXDCWRWLOXESWTWGWAWHWI $.

    lcfrlem2.l $e |- L = ( LKer ` U ) $.
    $( Lemma for ~ lcfr .  (Contributed by NM, 27-Feb-2015.) $)
    lcfrlem2 $p |- ( ph -> ( ( L ` E ) i^i ( L ` G ) ) C_ ( L ` H ) ) $=
      ( cfv cin cur cminusg co cplusg wss cbs eqid crg clmod clvec lveclmod syl
      lmodring cdr wne lvecdrng lflcl syl3anc drnginvrcl ringcl lkrss ldualvscl
      wcel ringgrp ringidcl grpinvcl syl2anc sstrd sslin lkrin fveq2i ldualvsub
      cgrp fveq2d eqtr2id sseqtrd ) AGLUMZILUMZUNZGCUOUMZCUPUMZUMZOIUMZKUMZOGUM
      ZEUQZIDUQZDUQZBURUMZUQZLUMZJLUMZAWMWKXBLUMZUNZXEAWLXGUSWMXHUSAWLXALUMXGAB
      CDHICUTUMZLFWTRXIVAZUBULUCUDUFUHACVBVQZWRXIVQZWSXIVQZWTXIVQAFVCVQZXKAFVDV
      QZXNUFFVEVFZCFRVGVFZACVHVQZWQXIVQZWQPVIXLAXOXRUFCFRVJVFAXOIHVQONVQZXSUFUH
      UICHIXINFOVDRXJQUBVKVLUJXICKWQPXJTUAVMVLAXOGHVQXTXMUFUGUICHGXINFOVDRXJQUB
      VKVLXICEWRWSXJSVNVLZVOABCDHXAXILFWPRXJUBULUCUDUFABCDHIXIFWTUBRXJUCUDXPYAU
      HVPZACWGVQZWNXIVQZWPXIVQAXKYCXQCVRVFAXKYDXQXICWNXJWNVAZVSVFXICWOWNXJWOVAZ
      VTWAZVOWBWLXGWKWCVFABXCHGXBLFUBULUCXCVAZXPUGABCDHXAXIFWPUBRXJUCUDXPYGYBVP
      WDWBAXFGXAMUQZLUMXEJYILUKWEAYIXDLABXCCDWNHGXAMWOFRYFYEUBUCYHUDUEXPUGYBWFW
      HWIWJ $.

    $( Lemma for ~ lcfr .  (Contributed by NM, 27-Feb-2015.) $)
    lcfrlem3 $p |- ( ph -> X e. ( L ` H ) ) $=
      ( cfv wcel wceq lcfrlem1 clvec co clmod lveclmod syl cbs crg lmodring cdr
      eqid wne lvecdrng lflcl syl3anc drnginvrcl ldualvscl ldualvsubcl eqeltrid
      ringcl ellkr2 mpbird ) AOJLUMUNOJUMPUOABCDEFGHIJKMNOPQRSTUAUBUCUDUEUFUGUH
      UIUJUKUPACHJLNFOUQPQRTUBULUFAJGOIUMZKUMZOGUMZEURZIDURZMURHUKABHGWBMFUBUCU
      EAFUQUNZFUSUNZUFFUTVAZUGABCDHICVBUMZFWAUBRWFVFZUCUDWEACVCUNZVSWFUNZVTWFUN
      ZWAWFUNAWDWHWECFRVDVAACVEUNZVRWFUNZVRPVGWIAWCWKUFCFRVHVAAWCIHUNONUNZWLUFU
      HUICHIWFNFOUQRWGQUBVIVJUJWFCKVRPWGTUAVKVJAWCGHUNWMWJUFUGUICHGWFNFOUQRWGQU
      BVIVJWFCEVSVTWGSVOVJUHVLVMVNUIVPVQ $.
  $}

  ${
    $d g V $.  $d g ph $.
    lcfrlem4.h $e |- H = ( LHyp ` K ) $.
    lcfrlem4.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfrlem4.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfrlem4.v $e |- V = ( Base ` U ) $.
    lcfrlem4.l $e |- L = ( LKer ` U ) $.
    lcfrlem4.d $e |- D = ( LDual ` U ) $.
    lcfrlem4.q $e |- Q = ( LSubSp ` D ) $.
    lcfrlem4.e $e |- E = U_ g e. G ( ._|_ ` ( L ` g ) ) $.
    lcfrlem4.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfrlem4.g $e |- ( ph -> G e. Q ) $.
    lcfrlem4.x $e |- ( ph -> X e. E ) $.
    $( Lemma for ~ lcfr .  (Contributed by NM, 10-Mar-2015.) $)
    lcfrlem4 $p |- ( ph -> X e. V ) $=
      ( cv cfv ciun wss wral wcel chlt adantr clfn eqid clmod dvhlmod cbs lssel
      wa sylan ldualvbase eleqtrd lkrssv dochssv syl2anc ralrimiva iunss sylibr
      wceq eleqtrdi sseldd ) AEGEUFZJUGZKUGZUHZLNAVOLUIZEGUJVPLUIAVQEGAVMGUKZUT
      ZIULUKMHUKUTZVNLUIVQAVTVRUCUMVSDUNUGZVMJLDRWAUOZSADUPUKVRADHIMOQUCUQZUMVS
      VMBURUGZWAAGCUKVRVMWDUKUDCGWDBVMWDUOZUAUSVAAWDWAVJVRABWAWDDUPWBTWEWCVBUMV
      CVDDHIKLMVNOQRPVEVFVGEGVOLVHVIANFVPUEUBVKVL $.
  $}

  ${
    $d f A $.  $d f .x. $.  $d f X $.  $d f ph $.
    lcfrlem5.h $e |- H = ( LHyp ` K ) $.
    lcfrlem5.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfrlem5.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfrlem5.v $e |- V = ( Base ` U ) $.
    lcfrlem5.f $e |- F = ( LFnl ` U ) $.
    lcfrlem5.l $e |- L = ( LKer ` U ) $.
    lcfrlem5.d $e |- D = ( LDual ` U ) $.
    lcfrlem5.s $e |- S = ( LSubSp ` D ) $.
    lcfrlem5.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfrlem5.r $e |- ( ph -> R e. S ) $.
    lcfrlem5.q $e |- Q = U_ f e. R ( ._|_ ` ( L ` f ) ) $.
    lcfrlem5.x $e |- ( ph -> X e. Q ) $.
    lcfrlem5.c $e |- C = ( Scalar ` U ) $.
    lcfrlem5.b $e |- B = ( Base ` C ) $.
    lcfrlem5.t $e |- .x. = ( .s ` U ) $.
    lcfrlem5.a $e |- ( ph -> A e. B ) $.
    $( Lemma for ~ lcfr .  The set of functionals having closed kernels and
       majorizing the orthocomplement of a given subspace ` Q ` is closed under
       scalar product.  TODO: share hypotheses with others.  Use more
       consistent variable names here or elsewhere when possible.  (Contributed
       by NM, 5-Mar-2015.) $)
    lcfrlem5 $p |- ( ph -> ( A .x. X ) e. Q ) $=
      ( co cv cfv ciun wcel wrex eleqtrdi eliun sylib wa clmod dvhlmod ad2antrr
      clss chlt wss cbs eqid lssss syl ldualvbase sseqtrd sselda adantr dochlss
      lkrssv syl2anc simpr lssvscl syl22anc ex reximdva mpd sylibr eleqtrrdi )
      ABSIUPZKGKUQZOURZPURZUSZFAWKWNUTZKGVAZWKWOUTASWNUTZKGVAZWQASWOUTWSASFWOUK
      UJVBKSGWNVCVDAWRWPKGAWLGUTZVEZWRWPXAWRVEZJVFUTZWNJVIURZUTZBCUTZWRWPAXCWTW
      RAJMNRTUBUHVGZVHZXBNVJUTRMUTVEZWMQVKXEAXIWTWRUHVHXBLWLOQJUCUDUEXHXAWLLUTW
      RAGLWLAGEVLURZLAGHUTGXJVKUIHGXJEXJVMZUGVNVOAELXJJVFUDUFXKXGVPVQVRVSWAXDJM
      NPQRWMTUBUCXDVMZUAVTWBAXFWTWRUOVHXAWRWCCXDIWNDJBSULUNUMXLWDWEWFWGWHKWKGWN
      VCWIUJWJ $.
  $}

  ${
    $d g .+ $.  $d g U $.  $d g X $.  $d g Y $.  $d g ph $.
    lcfrlem6.h $e |- H = ( LHyp ` K ) $.
    lcfrlem6.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfrlem6.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfrlem6.p $e |- .+ = ( +g ` U ) $.
    lcfrlem6.n $e |- N = ( LSpan ` U ) $.
    lcfrlem6.l $e |- L = ( LKer ` U ) $.
    lcfrlem6.d $e |- D = ( LDual ` U ) $.
    lcfrlem6.q $e |- Q = ( LSubSp ` D ) $.
    lcfrlem6.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfrlem6.g $e |- ( ph -> G e. Q ) $.
    lcfrlem6.e $e |- E = U_ g e. G ( ._|_ ` ( L ` g ) ) $.
    lcfrlem6.x $e |- ( ph -> X e. E ) $.
    lcfrlem6.y $e |- ( ph -> Y e. E ) $.
    lcfrlem6.en $e |- ( ph -> ( N ` { X } ) = ( N ` { Y } ) ) $.
    $( Lemma for ~ lcfr .  Closure of vector sum with colinear vectors.  TODO:
       Move down ` N ` definition so top hypotheses can be shared.
       (Contributed by NM, 10-Mar-2015.) $)
    lcfrlem6 $p |- ( ph -> ( X .+ Y ) e. E ) $=
      ( co cv cfv ciun wcel wrex eleqtrdi eliun sylib clmod clss dvhlmod adantr
      chlt cbs wss clfn eqid lssel sylan wceq ldualvbase eleqtrd lkrssv dochlss
      syl2anc simpr csn eqsstrrd lcfrlem4 lspsnel5 3imtr4d imp lssvacl syl22anc
      wa ex reximdva mpd sylibr eleqtrrdi ) AOPCUKZFHFULZKUMZMUMZUNZGAWLWOUOZFH
      UPZWLWPUOAOWOUOZFHUPZWRAOWPUOWTAOGWPUHUGUQFOHWOURUSAWSWQFHAWMHUOZWFZWSWQX
      BWSWFEUTUOZWOEVAUMZUOZWSPWOUOZWQXBXCWSAXCXAAEIJNQSUEVBZVCZVCXBXEWSXBJVDUO
      NIUOWFZWNEVEUMZVFXEAXIXAUEVCXBEVGUMZWMKXJEXJVHZXKVHZUBXHXBWMBVEUMZXKAHDUO
      XAWMXNUOUFDHXNBWMXNVHZUDVIVJAXNXKVKXAABXKXNEUTXMUCXOXGVLVCVMVNXDEIJMXJNWN
      QSXLXDVHZRVOVPZVCXBWSVQXBWSXFXBOVRLUMZWOVFZPVRLUMZWOVFZWSXFXBXSYAXBXSWFXT
      XRWOXBXRXTVKZXSAYBXAUJVCVCXBXSVQVSWGXBXDWOLXJEOXLXPUAXHXQAOXJUOXAABDEFGHI
      JKMXJNOQRSXLUBUCUDUGUEUFUHVTVCWAXBXDWOLXJEPXLXPUAXHXQAPXJUOXAABDEFGHIJKMX
      JNPQRSXLUBUCUDUGUEUFUIVTVCWAWBWCCXDWOEOPTXPWDWEWGWHWIFWLHWOURWJUGWK $.
  $}

  ${
    $d g U $.  $d g ph $.
    lcfrlem7.h $e |- H = ( LHyp ` K ) $.
    lcfrlem7.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfrlem7.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfrlem7.p $e |- .+ = ( +g ` U ) $.
    lcfrlem7.l $e |- L = ( LKer ` U ) $.
    lcfrlem7.d $e |- D = ( LDual ` U ) $.
    lcfrlem7.q $e |- Q = ( LSubSp ` D ) $.
    lcfrlem7.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfrlem7.g $e |- ( ph -> G e. Q ) $.
    lcfrlem7.e $e |- E = U_ g e. G ( ._|_ ` ( L ` g ) ) $.
    lcfrlem7.x $e |- ( ph -> X e. E ) $.
    lcfrlem7.z $e |- .0. = ( 0g ` U ) $.
    lcfrlem7.y $e |- ( ph -> Y = .0. ) $.
    $( Lemma for ~ lcfr .  Closure of vector sum when one vector is zero.
       TODO: share hypotheses with others.  (Contributed by NM,
       11-Mar-2015.) $)
    lcfrlem7 $p |- ( ph -> ( X .+ Y ) e. E ) $=
      ( co oveq2d clmod wcel cbs cfv wceq dvhlmod eqid lcfrlem4 lmod0vrid eqtrd
      syl2anc eqeltrd ) ANOCUJZNGAVDNPCUJZNAOPNCUIUKAEULUMNEUNUOZUMVENUPAEIJMQS
      UDUQABDEFGHIJKLVFMNQRSVFURZUAUBUCUFUDUEUGUSCVFENPVGTUHUTVBVAUGVC $.
  $}

  ${
    $d w x ._|_ $.  $d x .0. $.  $d v x V $.  $d x .x. $.  $d k v w x X $.
    $d x .+ $.  $d x R $.
    lcf1o.h $e |- H = ( LHyp ` K ) $.
    lcf1o.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcf1o.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcf1o.v $e |- V = ( Base ` U ) $.
    lcf1o.a $e |- .+ = ( +g ` U ) $.
    lcf1o.t $e |- .x. = ( .s ` U ) $.
    lcf1o.s $e |- S = ( Scalar ` U ) $.
    lcf1o.r $e |- R = ( Base ` S ) $.
    lcf1o.z $e |- .0. = ( 0g ` U ) $.
    lcf1o.f $e |- F = ( LFnl ` U ) $.
    lcf1o.l $e |- L = ( LKer ` U ) $.
    lcf1o.d $e |- D = ( LDual ` U ) $.
    lcf1o.q $e |- Q = ( 0g ` D ) $.
    lcf1o.c $e |- C =
      { f e. F | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f ) } $.
    lcf1o.j $e |- J = ( x e. ( V \ { .0. } ) |-> ( v e. V |->
      ( iota_ k e. R E. w e. ( ._|_ ` { x } ) v = ( w .+ ( k .x. x ) ) ) ) ) $.
    lcflo.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    ${
      lcfrlem8.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      $( Lemma for ~ lcf1o and ~ lcfr .  (Contributed by NM, 21-Feb-2015.) $)
      lcfrlem8 $p |- ( ph -> ( J ` X ) = ( v e. V |->
      ( iota_ k e. R E. w e. ( ._|_ ` { X } ) v = ( w .+ ( k .x. X ) ) ) ) ) $=
        ( csn cdif wcel cfv cv wceq wrex crio cmpt cbs sneq fveq2d oveq2 oveq2d
        co eqeq2d rexeqbidv riotabidv mpteq2dv mptfvmpt syl ) AUCUAUDVBVCZVDUCQ
        VEDUADVFZCVFZNVFZUCKVPZGVPZVGZCUCVBZTVEZVHZNIVIZVJVGVADBWMVKQDUAWDWEWFB
        VFZKVPZGVPZVGZCWNVBZTVEZVHZNIVIZVJUAWCLUCWNUCVGZDUAXAWMXBWTWLNIXBWQWICW
        SWKXBWRWJTWNUCVLVMXBWPWHWDXBWOWGWEGWNUCWFKVNVOVQVRVSVTUSUHWAWB $.
    $}

    ${
      $d f k v w x y .+ $.  $d g k t u v w x z J $.  $d g k v w x y z C $.
      $d f F $.  $d f k v w x y z L $.  $d f k v w x y z ._|_ $.
      $d g k v w x z Q $.  $d f k v w x y R $.  $d k v w x y z S $.
      $d f k v w x y .x. $.  $d k w x y z U $.  $d f k t u v w x y z V $.
      $d k t u v w x y z .0. $.  $d g k t u v w x y z ph $.  $d f g $.
      $( Lemma for ~ lcf1o .  (This part has undesirable $d's on ` J ` and
         ` ph ` that we remove in ~ lcf1o .)  TODO: ugly proof; maybe have
         better subtheorems or abbreviate some ` iota_ k ` expansions with
         ` J `` z ` ?  TODO:  Some redundant $d's?  (Contributed by NM,
         22-Feb-2015.) $)
      lcfrlem9 $p |- ( ph -> J : ( V \ { .0. } ) -1-1-onto-> ( C \ { Q } ) ) $=
        ( vt vu vg vz vy csn cdif wfn crn wceq cv cfv wi wral wf1o co wrex crio
        weq cmpt cbs fvexi mptex fnmpti a1i wcel wb fvelrnb syl wa adantr simpr
        chlt lcfrlem8 wne wo eqid sneq fveq2d oveq2d eqeq2d rexeqbidv riotabidv
        oveq2 mpteq2dv rspceeqv sylancl olcd dochflcl lcfl6 mpbird dochsnkrlem3
        dochsnkr2cl dochsnkrlem1 eqnetrrd clmod dvhlmod necon3bid mpbid eldifsn
        lkr0f2 sylanbrc eqeltrd eleq1 syl5ibcom rexlimdva simprl simplbi adantl
        wn lcfl1lem biimprd impr neneqd biimpa 3impia mpd3an23 sylan2b ad2antrr
        ord ex eqcom syl5bb rexbidva impbid bitrd eqrdv simplrl simplrr 3eqtr3d
        lcfl7lem ralrimivva dff1o6 syl3anbrc ) AQUAUCVEVFZVGZQVHZEHVEVFZVIUTVJZ
        QVKZVAVJZQVKZVIZUTVAVRZVLZVAUUNVMUTUUNVMUUNUUQQVNUUOABUUNDUADVJZCVJZNVJ
        ZBVJZKVOGVOVICUVHVETVKVPNIVQZVSQDUAUVIUALVTUGWAWBURWCWDZAVBUUPUUQAVBVJZ
        UUPWEZVCVJZQVKZUVKVIZVCUUNVPZUVKUUQWEZAUUOUVLUVPWFUVJVCUUNUVKQWGWHAUVPU
        VQAUVOUVQVCUUNAUVMUUNWEZWIZUVNUUQWEUVOUVQUVSUVNDUAUVEUVFUVGUVMKVOZGVOZV
        IZCUVMVEZTVKZVPZNIVQZVSZUUQUVSBCDEFGHIJKLMNOPQRSTUAUBUVMUCUDUEUFUGUHUIU
        JUKULUMUNUOUPUQURARWLWEUBPWEWIZUVRUSWJZAUVRWKZWMUVSUWGEWEZUWGHWNZUWGUUQ
        WEUVSUWKUWGSVKZUAVIZUWGDUAUVEUVFUVGVDVJZKVOZGVOZVIZCUWOVEZTVKZVPZNIVQZV
        SZVIVDUUNVPZWOUVSUXDUWNUVSUVRUWGUWGVIUXDUWJUWGWPZVDUVMUUNUXCUWGUWGVDVCV
        RZDUAUXBUWFUXFUXAUWENIUXFUWRUWBCUWTUWDUXFUWSUWCTUWOUVMWQWRUXFUWQUWAUVEU
        XFUWPUVTUVFGUWOUVMUVGKXCWSWTXAXBXDXEXFXGUVSVDCDEGIJKLMNOUWGPRSTUAUBUCUD
        UEUFUGUHUIUJUKULUMUNUQUWIUVSCDJGIKLNOUWGPRTUAUBUVMUCUDUEUFUGULUHUIUMUJU
        KUXEUWIUWJXHZXIXJUVSUWMUAWNUWLUVSUWMTVKTVKUWMUAUVSLOUWGPRSTUAUBUVMUCUDU
        EUFUGULUMUNUWIUXGUVSCDJGIKLNUWGPRSTUAUBUVMUCUDUEUFUGULUHUIUNUJUKUXEUWIU
        WJXLZXKUVSLOUWGPRSTUAUBUVMUCUDUEUFUGULUMUNUWIUXGUXHXMXNUVSUWMUAUWGHUVSF
        OUWGSUALHUGUMUNUOUPALXOWEZUVRALPRUBUDUFUSXPZWJUXGXTXQXRUWGEHXSYAYBUVNUV
        KUUQYCYDYEAUVQUVPAUVQWIZUVPUVKUWGVIZVCUUNVPZUVQAUVKEWEZUVKHWNZWIZUXMUVK
        EHXSAUXPWIZUXNUVKSVKZUAVIZYIZUXMAUXNUXOYFUXQUXRUAAUXNUXOUXRUAWNZAUXNWIZ
        UYAUXOUYBUXRUAUVKHUYBFOUVKSUALHUGUMUNUOUPAUXIUXNUXJWJUXNUVKOWEZAUXNUYCU
        XRTVKTVKUXRVIEMOUVKSTUQYJYGZYHXTXQYKYLYMUXQUXNUXTUXMUXQUXNWIUXSUXMUXQUX
        NUXSUXMWOUXQVCCDEGIJKLMNOUVKPRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUQAUWHUXPUS
        WJUXPUYCAUXNUYCUXOUYDWJYHXIYNYSYOYPYQUXKUVOUXLVCUUNUVOUVKUVNVIUXKUVRWIZ
        UXLUVNUVKUUAUYEUVNUWGUVKUYEBCDEFGHIJKLMNOPQRSTUAUBUVMUCUDUEUFUGUHUIUJUK
        ULUMUNUOUPUQURAUWHUVQUVRUSYRUXKUVRWKWMWTUUBUUCXJYTUUDUUEUUFAUVDUTVAUUNU
        UNAUURUUNWEZUUTUUNWEZWIZWIZUVBUVCUYIUVBWIZCDGIJKLNODUAUVEUVFUVGUURKVOGV
        OVICUURVETVKVPNIVQVSZPDUAUVEUVFUVGUUTKVOGVOVICUUTVETVKVPNIVQVSZRSTUAUBU
        URUUTUCUDUEUFUGUHUIUJUKULUMUNAUWHUYHUVBUSYRZUYKWPUYLWPAUYFUYGUVBUUGZAUY
        FUYGUVBUUHZUYJUUSUVAUYKUYLUYIUVBWKUYJBCDEFGHIJKLMNOPQRSTUAUBUURUCUDUEUF
        UGUHUIUJUKULUMUNUOUPUQURUYMUYNWMUYJBCDEFGHIJKLMNOPQRSTUAUBUUTUCUDUEUFUG
        UHUIUJUKULUMUNUOUPUQURUYMUYOWMUUIUUJYTUUKUTVAUUNUUQQUULUUM $.
    $}

    ${
      $d f k l u v w x y z .+ $.  $d f k l u v w x y z ._|_ $.  $d l u y z C $.
      $d l u x y z .0. $.  $d l u y z J $.  $d f l u y z L $.  $d l u y z ph $.
      $d l u y z Q $.  $d f k l u v x y z R $.  $d l u y z S $.  $d l y z U $.
      $d f F $.  $d f l u v x y z V $.  $d f k l u v w x y z .x. $.
      $( Define a function ` J ` that provides a bijection from nonzero vectors
         ` V ` to nonzero functionals with closed kernels ` C ` .  (Contributed
         by NM, 22-Feb-2015.) $)
      lcf1o $p |- ( ph -> J : ( V \ { .0. } ) -1-1-onto-> ( C \ { Q } ) ) $=
        ( vy vz vu vl csn cdif cv co wceq cfv wrex crio cmpt weq oveq1 cbvrexvw
        eqeq2d oveq2d rexbidv syl5bb cbvriotavw riotabidv syl5eq cbvmptv fveq2d
        eqeq1 sneq oveq2 rexeqbidv mpteq2dv eqtri lcfrlem9 ) AUTVAVBEFGHIJKLMVC
        OPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQQBUAUCVDVEZDUADVFZCVFZNVFZBVFZK
        VGZGVGZVHZCWPVDZTVIZVJZNIVKZVLZVLUTWLVBUAVBVFZVAVFZVCVFZUTVFZKVGZGVGZVH
        ZVAXHVDZTVIZVJZVCIVKZVLZVLURBUTWLXDXPBUTVMZXDVBUAXEXFXGWPKVGZGVGZVHZVAX
        AVJZVCIVKZVLXPDVBUAXCYBDVBVMZXCWMXSVHZVAXAVJZVCIVKYBXBYENVCIXBWMXFWQGVG
        ZVHZVAXAVJNVCVMZYEWSYGCVAXACVAVMWRYFWMWNXFWQGVNVPVOYHYGYDVAXAYHYFXSWMYH
        WQXRXFGWOXGWPKVNVQVPVRVSVTYCYEYAVCIYCYDXTVAXAWMXEXSWEVRWAWBWCXQVBUAYBXO
        XQYAXNVCIXQXTXKVAXAXMXQWTXLTWPXHWFWDXQXSXJXEXQXRXIXFGWPXHXGKWGVQVPWHWAW
        IWBWCWJUSWK $.
    $}

    ${
      $d k v w .+ $.  $d k v ._|_ $.  $d k v R $.  $d k S $.  $d k v w .x. $.
      lcfrlem10.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      $( Lemma for ~ lcfr .  (Contributed by NM, 23-Feb-2015.) $)
      lcfrlem10 $p |- ( ph -> ( J ` X ) e. F ) $=
        ( cfv cv co wceq csn wrex crio cmpt lcfrlem8 eqid dochflcl eqeltrd ) AU
        CQVBDUADVCCVCNVCUCKVDGVDVECUCVFTVBVGNIVHVIZOABCDEFGHIJKLMNOPQRSTUAUBUCU
        DUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVJACDJGIKLNOVNPRTUAUBUCUDUEUFUGUHUMU
        IUJUNUKULVNVKUTVAVLVM $.

      $( Lemma for ~ lcfr .  (Contributed by NM, 23-Feb-2015.) $)
      lcfrlem11 $p |- ( ph -> ( L ` ( J ` X ) ) = ( ._|_ ` { X } ) ) $=
        ( cfv cv wceq csn wrex crio cmpt lcfrlem8 fveq2d eqid dochsnkr2 eqtrd
        co ) AUCQVBZSVBDUADVCCVCNVCUCKVNGVNVDCUCVETVBZVFNIVGVHZSVBVPAVOVQSABCDE
        FGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVIVJACDJGIKLNV
        QPRSTUAUBUCUDUEUFUGUHUMUIUJUOUKULVQVKUTVAVLVM $.

      ${
        lcfrlem12.b $e |- B = ( 0g ` S ) $.
        lcfrlem12.y $e |- ( ph -> Y e. ( ._|_ ` { X } ) ) $.
        $( Lemma for ~ lcfr .  (Contributed by NM, 23-Feb-2015.)
           (New usage is discouraged.) $)
        lcfrlem12N $p |- ( ph -> ( ( J ` X ) ` Y ) = B ) $=
          ( clmod wcel cfv wceq dvhlmod lcfrlem10 csn lcfrlem11 eleqtrrd lkrf0
          syl3anc ) AMVFVGUDRVHZPVGUEVQTVHZVGUEVQVHEVIAMQSUCUGUIVBVJABCDFGHIJKL
          MNOPQRSTUAUBUCUDUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVKAUEUDVLUAVHVRVE
          ABCDFGHIJKLMNOPQRSTUAUBUCUDUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVMVNKP
          VQTMUEVFEUMVDUPUQVOVP $.
      $}

      $d f k v w .+ $.  $d f F $.  $d f L $.  $d f k v ._|_ $.  $d f k v R $.
      $d f k v w .x. $.  $d f V $.  $d f k x $.
      $( Lemma for ~ lcfr .  (Contributed by NM, 8-Mar-2015.) $)
      lcfrlem13 $p |- ( ph -> ( J ` X ) e. ( C \ { Q } ) ) $=
        ( csn cdif wf1o wf lcf1o f1of syl ffvelrnd ) AUAUDVBVCZEHVBVCZUCQAVJVKQ
        VDVJVKQVEABCDEFGHIJKLMNOPQRSTUAUBUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVFVJ
        VKQVGVHVAVI $.

      $d f J $.  $d k S $.  $d f k v w x X $.
      ${
        lcfrlem14.n $e |- N = ( LSpan ` U ) $.
        $( Lemma for ~ lcfr .  (Contributed by NM, 10-Mar-2015.) $)
        lcfrlem14 $p |- ( ph ->
          ( ._|_ ` ( L ` ( J ` X ) ) ) = ( N ` { X } ) ) $=
          ( cfv csn lcfrlem11 eldifad snssd dochocsp eqtr4d fveq2d chlt wcel wa
          cdih crn wceq eqid dihlsprn syl2anc dochoc eqtrd ) AUDQVDSVDZUAVDUDVE
          ZTVDZUAVDZUAVDZWEAWCWFUAAWCWDUAVDWFABCDEFGHIJKLMNOPQRSUAUBUCUDUEUFUGU
          HUIUJUKULUMUNUOUPUQURUSUTVAVBVFALPRTUAUBUCWDUFUHUGUIVCVAAUDUBAUDUBUEV
          EVBVGZVHVIVJVKARVLVMUCPVMVNZWEUCRVOVDVDZVPVMZWGWEVQVAAWIUDUBVMWKVAWHL
          PWJRTUBUCUDUFUHUIVCWJVRZVSVTPWJRUAUCWEUFWLUGWAVTWB $.
      $}

      $( Lemma for ~ lcfr .  (Contributed by NM, 9-Mar-2015.) $)
      lcfrlem15 $p |- ( ph -> X e. ( ._|_ ` ( L ` ( J ` X ) ) ) ) $=
        ( csn clspn cfv wcel dvhlmod eldifad lspsnid syl2anc lcfrlem14 eleqtrrd
        clmod eqid ) AUCUCVBLVCVDZVDZUCQVDSVDTVDALVLVEUCUAVEUCVOVEALPRUBUEUGUTV
        FAUCUAUDVBVAVGVNUALUCUHVNVMZVHVIABCDEFGHIJKLMNOPQRSVNTUAUBUCUDUEUFUGUHU
        IUJUKULUMUNUOUPUQURUSUTVAVPVJVK $.
    $}

    $d f k v w .+ $.  $d f k F $.  $d g k G $.  $d f g k J $.  $d f k L $.
    $d f k v ._|_ $.  $d f k v R $.  $d k S $.  $d f k v w .x. $.  $d k U $.
    $d f g V $.  $d f g k v w x X $.  $d g ph $.  $d k ph $.
    lcfrlem16.p $e |- P = ( LSubSp ` D ) $.
    lcfrlem16.g $e |- ( ph -> G e. P ) $.
    lcfrlem16.gs $e |- ( ph -> G C_ C ) $.
    lcfrlem16.m $e |- E = U_ g e. G ( ._|_ ` ( L ` g ) ) $.
    lcfrlem16.x $e |- ( ph -> X e. ( E \ { .0. } ) ) $.
    $( Lemma for ~ lcfr .  (Contributed by NM, 8-Mar-2015.) $)
    lcfrlem16 $p |- ( ph -> ( J ` X ) e. G ) $=
      ( cfv wcel wrex ciun csn eldifad eleqtrdi eliun sylib w3a cvsca wceq eqid
      cv co clvec dvhlvec 3ad2ant1 wa cbs lssel sylan dvhlmod ldualvbase adantr
      clmod eleqtrd 3adant3 cdif wss wral chlt lkrssv dochssv syl2anc ralrimiva
      iunss sylibr eqsstrid ssdifd sseldd lcfrlem10 clsa wne simp3 eldifsni syl
      eldifsn sylanbrc dochsnkrlem2 lcfrlem15 lsat2el crn simp2 lcfl5 lcfrlem13
      cdih mpbid doch11 eqlkr4 simpr ldualssvscl eleq1 syl5ibrcom rexlimdva mpd
      simpl2 rexlimdv3a ) AUGOWCZUCVJZUDVJZVKZOSVLZUGUAVJZSVKZAUGOSYTVMZVKUUBAU
      GQUUEAUGQUHVNZVIVOVHVPOUGSYTVQVRAUUAUUDOSAYRSVKZUUAVSZUUCPWCZYRFVTVJZWDZW
      AZPJVLUUDUUHFJKUUJRYRUUCUCMPUOUPURUSUTUUJWBZAUUGMWEVKUUAAMTUBUFUIUKVDWFWG
      ZAUUGYRRVKUUAAUUGWHZYRFWIVJZRASGVKZUUGYRUUPVKVFGSUUPFYRUUPWBZVEWJWKAUUPRW
      AUUGAFRUUPMWOURUTUURAMTUBUFUIUKVDWLZWMWNWPZWQZAUUGUUCRVKUUAABCDEFHIJKLMNP
      RTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDAQUUFWRZUEUUFWRUGAQUEUU
      FAQUUEUEVHAYTUEWSZOSWTUUEUEWSAUVCOSUUOUBXAVKUFTVKWHZYSUEWSUVCAUVDUUGVDWNU
      UORYRUCUEMULURUSAMWOVKZUUGUUSWNUUTXBMTUBUDUEUFYSUIUKULUJXCXDXEOSYTUEXFXGX
      HXIVIXJZXKZWGUUHYTUUCUCVJZUDVJZWAYSUVHWAUUHMXLVJZYTUVIMUGUHUQUVJWBZUUNUUH
      UVJMRYRTUBUCUDUEUFUGUHUIUJUKULUQURUSAUUGUVDUUAVDWGZUVAUUHUUAUGUHXMZUGYTUU
      FWRVKAUUGUUAXNZAUUGUVMUUAAUGUVBVKUVMVIUGQUHXOXPZWGZUGYTUHXQXRUVKXSAUUGUVI
      UVJVKUUAAUVJMRUUCTUBUCUDUEUFUGUHUIUJUKULUQURUSVDUVGAUGUVIVKZUVMUGUVIUUFWR
      VKABCDEFHIJKLMNPRTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDUVFXTZU
      VOUGUVIUHXQXRUVKXSWGUVPUVNAUUGUVQUUAUVRWGYAUUHTUFUBYFVJVJZUBUDUFYSUVHUIUV
      SWBZUJUVLUUHYREVKYSUVSYBZVKUUHSEYRAUUGSEWSUUAVGWGAUUGUUAYCXJUUHEMNRYRTUVS
      UBUCUDUFUIUVTUJUKURUSVBUVLUVAYDYGAUUGUVHUWAVKZUUAAUUCEVKUWBAUUCEIVNABCDEF
      HIJKLMNPRTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDUVFYEVOAEMNRUUC
      TUVSUBUCUDUFUIUVTUJUKURUSVBVDUVGYDYGWGYHYGYIUUHUULUUDPJUUHUUIJVKZWHZUUDUU
      LUUKSVKUWDFKGUUJSJMUUIYRUOUPUTUUMVEUUHUVEUWCAUUGUVEUUAUUSWGWNUUHUUQUWCAUU
      GUUQUUAVFWGWNUUHUWCYJAUUGUUAUWCYPYKUUCUUKSYLYMYNYOYQYO $.
  $}

  ${
    lcfrlem17.h $e |- H = ( LHyp ` K ) $.
    lcfrlem17.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfrlem17.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfrlem17.v $e |- V = ( Base ` U ) $.
    lcfrlem17.p $e |- .+ = ( +g ` U ) $.
    lcfrlem17.z $e |- .0. = ( 0g ` U ) $.
    lcfrlem17.n $e |- N = ( LSpan ` U ) $.
    lcfrlem17.a $e |- A = ( LSAtoms ` U ) $.
    lcfrlem17.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfrlem17.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    lcfrlem17.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
    lcfrlem17.ne $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
    $( Lemma for ~ lcfr .  Condition needed more than once.  (Contributed by
       NM, 11-Mar-2015.) $)
    lcfrlem17 $p |- ( ph -> ( X .+ Y ) e. ( V \ { .0. } ) ) $=
      ( co wcel wne csn cdif dvhlmod eldifad lmodvacl syl3anc lmodindp1 eldifsn
      clmod sylanbrc ) AKLCUFZIUGZUSMUHUSIMUIZUJUGADUQUGKIUGLIUGUTADEFJNPUBUKZA
      KIVAUCULZALIVAUDULZCIDKLQRUMUNACGIDKLMQRSTVBVCVDUEUOUSIMUPUR $.

    $( Lemma for ~ lcfr .  (Contributed by NM, 24-Feb-2015.) $)
    lcfrlem18 $p |- ( ph
  -> ( ._|_ ` { X , Y } ) = ( ( ._|_ ` { X } ) i^i ( ._|_ ` { Y } ) ) ) $=
      ( cpr cfv csn cun cin df-pr fveq2i chlt wcel wa wss wceq eldifad dochdmj1
      snssd syl3anc syl5eq ) AKLUFZHUGKUHZLUHZUIZHUGZVDHUGVEHUGUJZVCVFHKLUKULAF
      UMUNJEUNUOVDIUPVEIUPVGVHUQUBAKIAKIMUHZUCURUTALIALIVIUDURUTDEFHIJVDVENPQOU
      SVAVB $.

    $( Lemma for ~ lcfr .  (Contributed by NM, 11-Mar-2015.) $)
    lcfrlem19 $p |- ( ph -> ( -. X e. ( ._|_ ` { ( X .+ Y ) } ) \/
                              -. Y e. ( ._|_ ` { ( X .+ Y ) } ) ) ) $=
      ( co csn cfv wcel wa wn wo lcfrlem17 dochnel clss dvhlmod adantr chlt wss
      clmod eldifad lmodvacl syl3anc snssd dochlss syl2anc simpr syl21anc mtand
      eqid lssvacl ianor sylib ) AKKLCUFZUGZHUHZUIZLVPUIZUJZUKVQUKVRUKULAVSVNVP
      UIZADEFHIJVNMNOPQSUBABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUMUNAVSUJDUTUIZVPDUOUHZ
      UIZVSVTAWAVSADEFJNPUBUPZUQAWCVSAFURUIJEUIUJVOIUSWCUBAVNIAWAKIUILIUIVNIUIW
      DAKIMUGZUCVAALIWEUDVACIDKLQRVBVCVDWBDEFHIJVONPQWBVJZOVEVFUQAVSVGCWBVPDKLR
      WFVKVHVIVQVRVLVM $.

    ${
      lcfrlem20.e $e |- ( ph -> -. X e. ( ._|_ ` { ( X .+ Y ) } ) ) $.
      $( Lemma for ~ lcfr .  (Contributed by NM, 11-Mar-2015.) $)
      lcfrlem20 $p |- ( ph
  -> ( ( N ` { X , Y } ) i^i ( ._|_ ` { ( X .+ Y ) } ) ) e. A ) $=
        ( cpr cfv co csn cin clsm eqid dvhlmod eldifad ineq1d clss clsh dvhlvec
        lsmpr lcfrlem17 dochsnshp lsatlspsn wcel chlt wa clmod lmodvacl syl3anc
        wss snssd dochlss syl2anc lspsnel5 mtbid lshpat eqeltrd ) AKLUGGUHZKLCU
        IZUJZHUHZUKKUJGUHZLUJGUHZDULUHZUIZWAUKBAVRWEWAAWDGIDKLQTWDUMZADEFJNPUBU
        NZAKIMUJZUCUOZALIWHUDUOZUTUPABWDWBWCDUQUHZWADURUHZDWKUMZWFWLUMZUAADEFJN
        PUBUSADEFHIJVSWLMNOPQSWNUBABCDEFGHIJKLMNOPQRSTUAUBUCUDUEVAVBABGIDKMQTSU
        AWGUCVCABGIDLMQTSUAWGUDVCUEAKWAVDWBWAVJUFAWKWAGIDKQWMTWGAFVEVDJEVDVFVTI
        VJWAWKVDUBAVSIADVGVDKIVDLIVDVSIVDWGWIWJCIDKLQRVHVIVKWKDEFHIJVTNPQWMOVLV
        MWIVNVOVPVQ $.
    $}

    $( Lemma for ~ lcfr .  (Contributed by NM, 11-Mar-2015.) $)
    lcfrlem21 $p |- ( ph
  -> ( ( N ` { X , Y } ) i^i ( ._|_ ` { ( X .+ Y ) } ) ) e. A ) $=
      ( co csn cfv wcel wn cpr cin wa chlt adantr cdif wne simpr lcfrlem20 wceq
      clmod dvhlmod eldifad lmodcom syl3anc sneqd fveq2d biimprd con3dimp prcom
      eleq2d fveq2i a1i ineq12d necomd eqeltrd syldan lcfrlem19 mpjaodan ) AKKL
      CUFZUGZHUHZUIUJZKLUKZGUHZWBULZBUIZLWBUIZUJZAWCUMBCDEFGHIJKLMNOPQRSTUAAFUN
      UIJEUIUMZWCUBUOAKIMUGZUPZUIZWCUCUOALWLUIZWCUDUOAKUGGUHZLUGGUHZUQWCUEUOAWC
      URUSAWILLKCUFZUGZHUHZUIZUJZWGAWTWHAWHWTAWBWSLAWAWRHAVTWQADVAUIKIUILIUIVTW
      QUTADEFJNPUBVBAKIWKUCVCALIWKUDVCCIDKLQRVDVEVFVGZVKVHVIAXAUMZWFLKUKZGUHZWS
      ULZBAWFXFUTXAAWEXEWBWSWEXEUTAWDXDGKLVJVLVMXBVNUOXCBCDEFGHIJLKMNOPQRSTUAAW
      JXAUBUOAWNXAUDUOAWMXAUCUOAWPWOUQXAAWOWPUEVOUOAXAURUSVPVQABCDEFGHIJKLMNOPQ
      RSTUAUBUCUDUEVRVS $.

    lcfrlem22.b $e |- B = ( ( N ` { X , Y } ) i^i ( ._|_ ` { ( X .+ Y ) } ) )
        $.
    $( Lemma for ~ lcfr .  (Contributed by NM, 24-Feb-2015.) $)
    lcfrlem22 $p |- ( ph -> B e. A ) $=
      ( cpr cfv co csn cin lcfrlem21 eqeltrid ) ACLMUHHUILMDUJUKIUIULBUGABDEFGH
      IJKLMNOPQRSTUAUBUCUDUEUFUMUN $.

    ${
      lcfrlem23.s $e |- .(+) = ( LSSum ` U ) $.
      $( Lemma for ~ lcfr .  TODO: this proof was built from other proof pieces
         that may change ` N `` { X , Y } ` into subspace sum and back
         unnecessarily, or similar things.  (Contributed by NM, 1-Mar-2015.) $)
      lcfrlem23 $p |- ( ph
         -> ( ( ._|_ ` { X , Y } ) .(+) B ) = ( ._|_ ` { ( X .+ Y ) } ) ) $=
        ( csn cfv co cin cpr fveq2i cdjh cdih eqid eldifad dihprrn chlt wcel wa
        wss crn clmod dvhlmod lmodvacl syl3anc dochcl syl2anc dochdmm1 dochocsn
        snssd oveq2d prssi lspssv 3eqtrd syl5eq ineq2d csubg wceq lsssssubg syl
        dihjat1 clss lspsncl lsmcl sseldd dochlss lspsntri lsmmod2 lsmpr ineq1d
        lspprcl dochnoncon eqtr3d oveq1d lsm02 eqtrd fveq2d dihsmsnrn lcfrlem22
        syl31anc lsatssv dochocsp dih1dimat dochoc oveq12d dihjat2 3eqtr3d ) AM
        UJIUKZNUJIUKZEULZCJUKZUMZJUKZMNDULZUJZIUKZJUKMNUNZJUKZCEULZXSJUKZAXPXTJ
        AXPXNYAIUKZJUKZXTEULZUMZXNYFUMZXTEULZXTAXOYGXNAXOYEYDUMZJUKZYGCYKJUHUOA
        YLYFYDJUKZLHUPUKUKZULYFXTYNULYGAFGLHUQUKUKZYNHJKLYEYDPYOURZRSQYNURZUDAF
        GYOHIKLMNPRSUBYPUDAMKOUJZUEUSZANKYRUFUSZUTAHVAVBLGVBVCZXSKVDYDYOVEZVBUD
        AXRKAFVFVBZMKVBZNKVBZXRKVBZAFGHLPRUDVGZYSYTDKFMNSTVHVIZVNZFGYOHJKLXSPYP
        RSQVJVKVLAYMXTYFYNAFGHIJKLXRPRQSUBUDUUHVMVOAEXRFGYOYNHIKLYFPRSUIUBYPYQU
        DAUUAYEKVDZYFUUBVBUDAUUCYAKVDZUUJUUGAUUDUUEUUKYSYTMNKVPVKZYAIKFSUBVQVKZ
        FGYOHJKLYEPYPRSQVJVKUUHWEVRVSVTAXNFWAUKZVBYFUUNVBXTUUNVBZXTXNVDZYHYJWBA
        FWFUKZUUNXNAUUCUUQUUNVDUUGUUQFUUQURZWCWDZAUUCXLUUQVBZXMUUQVBZXNUUQVBUUG
        AUUCUUDUUTUUGYSUUQIKFMSUURUBWGVKAUUCUUEUVAUUGYTUUQIKFNSUURUBWGVKEUUQXLX
        MFUURUIWHVIWIAUUQUUNYFUUSAUUAUUJYFUUQVBUDUUMUUQFGHJKLYEPRSUURQWJVKWIAUU
        QUUNXTUUSAUUCUUFXTUUQVBUUGUUHUUQIKFXRSUURUBWGVKWIZAUUCUUDUUEUUPUUGYSYTD
        EIKFMNSTUBUIWKVIEXNYFXTFUIWLXDAYJYRXTEULZXTAYIYRXTEAYEYFUMZYIYRAYEXNYFA
        EIKFMNSUBUIUUGYSYTWMZWNAUUAYEUUQVBUVDYRWBUDAUUQIKFMNSUURUBUUGYSYTWOUUQF
        GHJLYEOPRUURUAQWPVKWQWRAUUOUVCXTWBUVBEFXTOUAUIWSWDWTVRXAAXQXNJUKZXOJUKZ
        YNULYBCYNULYCAFGYOYNHJKLXNXOPYPRSQYQUDAEFGYOHIKLMNPRSUIUBYPUDYSYTXBAUUA
        CKVDXOUUBVBUDABCKFSUCUUGABCDFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHXCZXEFGYOHJK
        LCPYPRSQVJVKVLAUVFYBUVGCYNAYFUVFYBAYEXNJUVEXAAFGHIJKLYAPRQSUBUDUULXFWQA
        UUACUUBVBZUVGCWBUDAUUACBVBUVIUDUVHBCFGYOHLPRYPUCXGVKGYOHJLCPYPQXHVKXIAB
        ECFGYOYNHLYBPYPYQRUIUCUDAUUAUUKYBUUBVBUDUULFGYOHJKLYAPYPRSQVJVKUVHXJVRA
        FGHIJKLXSPRQSUBUDUUIXFXK $.
    $}

    $d k v w x ._|_ $.  $d k v w x .+ $.  $d k v x R $.  $d k S $.
    $d k v w x .x. $.  $d v x V $.  $d k v w x X $.  $d k v w x Y $.
    $d x .0. $.
    lcfrlem24.t $e |- .x. = ( .s ` U ) $.
    lcfrlem24.s $e |- S = ( Scalar ` U ) $.
    lcfrlem24.q $e |- Q = ( 0g ` S ) $.
    lcfrlem24.r $e |- R = ( Base ` S ) $.
    lcfrlem24.j $e |- J = ( x e. ( V \ { .0. } ) |-> ( v e. V |->
        ( iota_ k e. R E. w e. ( ._|_ ` { x } ) v = ( w .+ ( k .x. x ) ) ) ) )
        $.
    lcfrlem24.ib $e |- ( ph -> I e. B ) $.
    lcfrlem24.l $e |- L = ( LKer ` U ) $.
    $( Lemma for ~ lcfr .  (Contributed by NM, 24-Feb-2015.) $)
    lcfrlem24 $p |- ( ph
        -> ( ._|_ ` { X , Y } ) = ( ( L ` ( J ` X ) ) i^i ( L ` ( J ` Y ) ) ) )
        $=
      ( cpr cfv csn cin lcfrlem18 wceq clfn crab cld c0g eqid lcfrlem11 ineq12d
      vf cv eqtr4d ) AUCUDVFTVGUCVHTVGZUDVHTVGZVIUCPVGRVGZUDPVGRVGZVIAEGLNQSTUA
      UBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQVJAWDWBWEWCABCDVSVTRVGZTVGTVGWFVKVSLVLVGZ
      VMZLVNVGZGWIVOVGZIJKLVSMWGNPQRTUAUBUCUEUFUGUHUIUJUSUTVBUKWGVPZVEWIVPZWJVP
      ZWHVPZVCUNUOVQABCDWHWIGWJIJKLVSMWGNPQRTUAUBUDUEUFUGUHUIUJUSUTVBUKWKVEWLWM
      WNVCUNUPVQVRWA $.

    lcfrlem25.d $e |- D = ( LDual ` U ) $.
    ${
      $d f L $.  $d f ._|_ $.  $d f .+ $.  $d f R $.  $d f .x. $.  $d f U $.
      $d f V $.  $d f k v w x $.
      lcfrlem25.jz $e |- ( ph -> ( ( J ` Y ) ` I ) = Q ) $.
      lcfrlem25.in $e |- ( ph -> I =/= .0. ) $.
      $( Lemma for ~ lcfr .  Special case of ~ lcfrlem35 when
         ` ( ( J `` Y ) `` I ) ` is zero.  (Contributed by NM, 11-Mar-2015.) $)
      lcfrlem25 $p |- ( ph
         -> ( ._|_ ` { ( X .+ Y ) } ) = ( L ` ( J ` Y ) ) ) $=
        ( vf co csn cfv wss wceq cpr clsm eqid lcfrlem23 cin lcfrlem24 eqsstrdi
        inss2 dvhlvec lcfrlem22 lsatel clss dvhlmod clmod wcel clfn cv crab c0g
        lcfrlem10 lkrlss syl2anc lsatssv sseldd ellkr2 mpbird lspsnel5a eqsstrd
        csubg wa wb lsssssubg syl eldifad prssi dochlss lspprcl lcfrlem17 snssd
        chlt lssincl syl3anc eqeltrid mpbi2and eqsstrrd clsh dochsnshp wne cdif
        lsmlub lcfrlem13 eldifsni lduallkr3 lshpcmp mpbid ) AUDUEHVKZVLZUAVMZUE
        QVMZSVMZVNYMYOVOAYMUDUEVPZUAVMZFMVQVMZVKZYOAEFHYRMORTUAUBUCUDUEUFUGUHUI
        UJUKULUMUNUOUPUQURUSYRVRZVSAYQYOVNZFYOVNZYSYOVNZAYQUDQVMSVMZYOVTYOABCDE
        FHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFWAUUD
        YOWCWBAFPVLTVMYOAEFTMPUFULUMUNAMORUCUGUIUOWDZAEFHMORTUAUBUCUDUEUFUGUHUI
        UJUKULUMUNUOUPUQURUSWEZVEVIWFAMWGVMZYOTMPUUGVRZUMAMORUCUGUIUOWHZAMWIWJZ
        YNMWKVMZWJYOUUGWJUUIABCDVJWLSVMZUAVMUAVMUULVOVJUUKWMZGHGWNVMZJKLMVJNUUK
        OQRSUAUBUCUEUFUGUHUIUJUKUTVAVCULUUKVRZVFVGUUNVRZUUMVRZVDUOUQWOZUUGUUKYN
        SMUUOVFUUHWPWQZAPYOWJPYNVMIVOVHAKUUKYNSUBMPWIIUJVAVBUUOVFUUIUURAFUBPAEF
        UBMUJUNUUIUUFWRVEWSWTXAXBXCAYQMXDVMZWJFUUTWJYOUUTWJUUAUUBXEUUCXFAUUGUUT
        YQAUUJUUGUUTVNUUIUUGMUUHXGXHZARXOWJUCOWJXEZYPUBVNZYQUUGWJUOAUDUBWJUEUBW
        JUVCAUDUBUFVLZUPXIZAUEUBUVDUQXIZUDUEUBXJWQUUGMORUAUBUCYPUGUIUJUUHUHXKWQ
        WSAUUGUUTFUVAAFYPTVMZYMVTZUUGUSAUUJUVGUUGWJYMUUGWJZUVHUUGWJUUIAUUGTUBMU
        DUEUJUUHUMUUIUVEUVFXLAUVBYLUBVNUVIUOAYKUBAYKUBUVDAEHMORTUAUBUCUDUEUFUGU
        HUIUJUKULUMUNUOUPUQURXMZXIXNUUGMORUAUBUCYLUGUIUJUUHUHXKWQUUGUVGYMMUUHXP
        XQXRWSAUUGUUTYOUVAUUSWSYRYQFYOMYTYEXQXSXTAYMYOMYAVMZMUVKVRZUUEAMORUAUBU
        CYKUVKUFUGUHUIUJULUVLUOUVJYBAYOUVKWJYNUUNYCZAYNUUMUUNVLYDWJUVMABCDUUMGH
        UUNJKLMVJNUUKOQRSUAUBUCUEUFUGUHUIUJUKUTVAVCULUUOVFVGUUPUUQVDUOUQYFYNUUM
        UUNYGXHAGUUKYNUVKSMUUNUVLUUOVFVGUUPUUEUURYHXAYIYJ $.

      $( Lemma for ~ lcfr .  Special case of ~ lcfrlem36 when
         ` ( ( J `` Y ) `` I ) ` is zero.  (Contributed by NM, 11-Mar-2015.) $)
      lcfrlem26 $p |- ( ph
           -> ( X .+ Y ) e. ( ._|_ ` ( L ` ( J ` Y ) ) ) ) $=
        ( vf co cfv wcel csn wss wceq lcfrlem17 eldifad lcfrlem25 fveq2d eqtr3d
        dochocsn eqimss clss eqid dvhlmod chlt wa clfn cv crab lcfrlem10 lkrssv
        syl c0g dochlss syl2anc lspsnel5 mpbird ) AUDUEHVKZUEQVLZSVLZUAVLZVMWTV
        NZTVLZXCVOZAXEXCVPXFAXDUAVLZUAVLXEXCAMORTUAUBUCWTUGUIUHUJUMUOAWTUBUFVNA
        EHMORTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURVQVRZWBAXGXBUAABCDEFGHIJKLMNO
        PQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVSVTWAXE
        XCWCWNAMWDVLZXCTUBMWTUJXIWEZUMAMORUCUGUIUOWFZARWGVMUCOVMWHXBUBVOXCXIVMU
        OAMWIVLZXASUBMUJXLWEZVFXKABCDVJWJSVLZUAVLUAVLXNVPVJXLWKZGHGWOVLZJKLMVJN
        XLOQRSUAUBUCUEUFUGUHUIUJUKUTVAVCULXMVFVGXPWEXOWEVDUOUQWLWMXIMORUAUBUCXB
        UGUIUJXJUHWPWQXHWRWS $.

      $d g k G $.  $d f g k J $.  $d g k L $.  $d g ._|_ $.  $d g .+ $.
      $d k U $.  $d g V $.  $d g X $.  $d f g Y $.  $d g k ph $.  $d g v w x $.
      lcfrlem27.g $e |- ( ph -> G e. ( LSubSp ` D ) ) $.
      lcfrlem27.gs $e |- ( ph
       -> G C_ { f e. ( LFnl ` U ) | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f
          ) } ) $.
      lcfrlem27.e $e |- E = U_ g e. G ( ._|_ ` ( L ` g ) ) $.
      lcfrlem27.xe $e |- ( ph -> X e. E ) $.
      lcfrlem27.ye $e |- ( ph -> Y e. E ) $.
      $( Lemma for ~ lcfr .  Special case of ~ lcfrlem37 when
         ` ( ( J `` Y ) `` I ) ` is zero.  (Contributed by NM, 11-Mar-2015.) $)
      lcfrlem27 $p |- ( ph -> ( X .+ Y ) e. E ) $=
        ( cfv ciun wcel wrex wceq clfn crab clss c0g eqid wne csn cdif eldifsni
        co cv eldifsn sylanbrc lcfrlem16 lcfrlem26 2fveq3 eleq2d rspcev syl2anc
        syl eliun sylibr eleqtrrdi ) AUHUIHWMZOROWNZUCVSUEVSZVTZQAXGXIWAZORWBZX
        GXJWAAUIUAVSZRWAXGXMUCVSUEVSZWAZXLABCDNWNUCVSZUEVSUEVSXPWCNMWDVSZWEZGGW
        FVSZHGWGVSZJKLMNOPQXQRSUAUBUCUEUFUGUIUJUKULUMUNUOVDVEVGUPXQWHVJVKXTWHXR
        WHVHUSXSWHVNVOVPAUIQWAUIUJWIZUIQUJWJZWKWAVRAUIUFYBWKWAYAVAUIUFUJWLXCUIQ
        UJWOWPWQABCDEFGHIJKLMPSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCV
        DVEVFVGVHVIVJVKVLVMWRXKXOOXMRXHXMWCXIXNXGXHXMUEUCWSWTXAXBOXGRXIXDXEVPXF
        $.
    $}

    lcfrlem28.jn $e |- ( ph -> ( ( J ` Y ) ` I ) =/= Q ) $.
    $( Lemma for ~ lcfr .  TODO:  This can be a hypothesis since the zero
       version of ` ( J `` Y ) `` I ` needs it.  (Contributed by NM,
       9-Mar-2015.) $)
    lcfrlem28 $p |- ( ph -> I =/= .0. ) $=
      ( vf cfv wne wceq clmod wcel clfn dvhlmod cv crab c0g eqid lcfrlem10 lfl0
      syl2anc fveqeq2 syl5ibrcom necon3d mpd ) APUEQVJZVJZIVKPUFVKVHAPUFWIIAWII
      VLPUFVLUFWHVJIVLZAMVMVNWHMVOVJZVNWJAMORUCUGUIUOVPABCDVIVQSVJZUAVJUAVJWLVL
      VIWKVRZGHGVSVJZJKLMVINWKOQRSUAUBUCUEUFUGUHUIUJUKUTVAVCULWKVTZVFVGWNVTWMVT
      VDUOUQWAKWKWHMIUFVAVBULWOWBWCPUFIWHWDWEWFWG $.

    lcfrlem29.i $e |- F = ( invr ` S ) $.
    $( Lemma for ~ lcfr .  (Contributed by NM, 9-Mar-2015.) $)
    lcfrlem29 $p |- ( ph
        -> ( ( F ` ( ( J ` Y ) ` I ) ) ( .r ` S ) ( ( J ` X ) ` I ) ) e. R ) $=
      ( vf crg wcel cfv cmulr clmod dvhlmod lmodring syl cdr wne clvec lvecdrng
      co dvhlvec clfn cv wceq crab c0g eqid lcfrlem10 lcfrlem22 lsatlssel lssel
      clss syl2anc lflcl syl3anc drnginvrcl ringcl ) AKVLVMZQUFRVNZVNZOVNZJVMZQ
      UERVNZVNZJVMZXEXHKVOVNZWDJVMAMVPVMZXBAMPSUDUHUJUPVQZKMVBVRVSAKVTVMZXDJVMZ
      XDIWAXFAMWBVMXMAMPSUDUHUJUPWEKMVBWCVSAXKXCMWFVNZVMQUCVMZXNXLABCDVKWGTVNZU
      BVNUBVNXQWHVKXOWIZGHGWJVNZJKLMVKNXOPRSTUBUCUDUFUGUHUIUJUKULVAVBVDUMXOWKZV
      GVHXSWKZXRWKZVEUPURWLAFMWPVNZVMQFVMXPAEYCFMYCWKZUOXLAEFHMPSUAUBUCUDUEUFUG
      UHUIUJUKULUMUNUOUPUQURUSUTWMWNVFYCFUCMQUKYDWOWQZKXOXCJUCMQVPVBVDUKXTWRWSV
      IJKOXDIVDVCVJWTWSAXKXGXOVMXPXIXLABCDXRGHXSJKLMVKNXOPRSTUBUCUDUEUGUHUIUJUK
      ULVAVBVDUMXTVGVHYAYBVEUPUQWLYEKXOXGJUCMQVPVBVDUKXTWRWSJKXJXEXHVDXJWKXAWS
      $.

    lcfrlem30.m $e |- .- = ( -g ` D ) $.
    lcfrlem30.c $e |- C = ( ( J ` X ) .- ( ( ( F ` ( ( J ` Y ) ` I ) )
            ( .r ` S ) ( ( J ` X ) ` I ) ) ( .s ` D ) ( J ` Y ) ) ) $.
    $( Lemma for ~ lcfr .  (Contributed by NM, 6-Mar-2015.) $)
    lcfrlem30 $p |- ( ph -> C e. ( LFnl ` U ) ) $=
      ( vf cfv cmulr co cvsca clfn eqid dvhlmod cv wceq c0g lcfrlem10 lcfrlem29
      crab ldualvscl ldualvsubcl eqeltrid ) AGUGSVPZRUHSVPZVPPVPRWLVPLVQVPVRZWM
      HVSVPZVRZUBVRNVTVPZVNAHWQWLWPUBNWQWAZVJVMANQTUFUJULURWBZABCDVOWCUAVPZUDVP
      UDVPWTWDVOWQWHZHIHWEVPZKLMNVOOWQQSTUAUDUEUFUGUIUJUKULUMUNVCVDVFUOWRVIVJXB
      WAZXAWAZVGURUSWFAHLWOWQWMKNWNWRVDVFVJWOWAWSABCDEFHIJKLMNOPQRSTUAUCUDUEUFU
      GUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLWGABCDXAHIXBKLMNVOOWQQ
      STUAUDUEUFUHUIUJUKULUMUNVCVDVFUOWRVIVJXCXDVGURUTWFWIWJWK $.

    $d f J $.  $d f L $.  $d f ._|_ $.  $d f .+ $.  $d f R $.  $d f .x. $.
    $d f U $.  $d f V $.  $d f X $.  $d f Y $.  $d k v w x f $.
    ${
      lcfrlem31.xi $e |- ( ph -> ( ( J ` X ) ` I ) =/= Q ) $.
      ${
        lcfrlem31.cn $e |- ( ph -> C = ( 0g ` D ) ) $.
        $( Lemma for ~ lcfr .  (Contributed by NM, 10-Mar-2015.) $)
        lcfrlem31 $p |- ( ph -> ( N ` { X } ) = ( N ` { Y } ) ) $=
          ( vf cfv csn cmulr co cvsca c0g wceq eqtr3id clmod wcel cbs lduallmod
          wb dvhlmod clfn eqid crab lcfrlem10 ldualelvbase lcfrlem29 lmodsubeq0
          cv ldualvscl syl3anc mpbid fveq2d dvhlvec wne cdr clvec syl lcfrlem22
          lvecdrng lsatssv drnginvrn0 drnginvrcl drngmulne0 mpbir2and ldualkrsc
          sseldd lflcl eqtrd lcfrlem14 3eqtr3d ) AUGSVRZUAVRZUDVRUHSVRZUAVRZUDV
          RUGVSUCVRUHVSUCVRAYCYEUDAYCRYDVRZPVRZRYBVRZLVTVRZWAZYDHWBVRZWAZUAVRYE
          AYBYLUAAYBYLUBWAZHWCVRZWDZYBYLWDZAYMGYNVNVPWEAHWFWGYBHWHVRZWGYLYQWGYO
          YPWJAHNVJANQTUFUJULURWKZWIAHNWLVRZYBYQNWFYSWMZVJYQWMZYRABCDVQWSUAVRZU
          DVRUDVRUUBWDVQYSWNZHIYNKLMNVQOYSQSTUAUDUEUFUGUIUJUKULUMUNVCVDVFUOYTVI
          VJYNWMZUUCWMZVGURUSWOZWPAHYSYLYQNWFYTVJUUAYRAHLYKYSYDKNYJYTVDVFVJYKWM
          ZYRABCDEFHIJKLMNOPQRSTUAUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDV
          EVFVGVHVIVJVKVLWQZABCDUUCHIYNKLMNVQOYSQSTUAUDUEUFUHUIUJUKULUMUNVCVDVF
          UOYTVIVJUUDUUEVGURUTWOZWTWPYBYLUBYQHYNUUAUUDVMWRXAXBXCAHLYKYSYDKUANYJ
          JVDVFVEYTVIVJUUGANQTUFUJULURXDZUUIUUHAYJJXEYGJXEZYHJXEALXFWGZYFKWGZYF
          JXEZUUKANXGWGUULUUJLNVDXJXHZANWFWGZYDYSWGRUEWGZUUMYRUUIAFUERAEFUENUMU
          QYRAEFINQTUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBXIXKVHXQZLYSYDKUENR
          WFVDVFUMYTXRXAZVKKLPYFJVFVEVLXLXAVOAKLYIYGYHJVFVEYIWMUUOAUULUUMUUNYGK
          WGUUOUUSVKKLPYFJVFVEVLXMXAAUUPYBYSWGUUQYHKWGYRUUFUURLYSYBKUENRWFVDVFU
          MYTXRXAXNXOXPXSXCABCDUUCHIYNKLMNVQOYSQSTUAUCUDUEUFUGUIUJUKULUMUNVCVDV
          FUOYTVIVJUUDUUEVGURUSUPXTABCDUUCHIYNKLMNVQOYSQSTUAUCUDUEUFUHUIUJUKULU
          MUNVCVDVFUOYTVIVJUUDUUEVGURUTUPXTYA $.
      $}

      $( Lemma for ~ lcfr .  (Contributed by NM, 10-Mar-2015.) $)
      lcfrlem32 $p |- ( ph -> C =/= ( 0g ` D ) ) $=
        ( csn cfv wne c0g wceq wa chlt wcel adantr cdif simpr lcfrlem31 necon3d
        ex mpd ) AUGVPUCVQZUHVPUCVQZVRZGHVSVQZVRVAAGWNWKWLAGWNVTZWKWLVTAWOWABCD
        EFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQATWBWCUFQWCWAWOURWDAU
        GUEUIVPWEZWCWOUSWDAUHWPWCWOUTWDAWMWOVAWDVBVCVDVEVFVGARFWCWOVHWDVIVJARUH
        SVQVQJVRWOVKWDVLVMVNARUGSVQVQJVRWOVOWDAWOWFWGWIWHWJ $.
    $}

    ${
      lcfrlem33.xi $e |- ( ph -> ( ( J ` X ) ` I ) = Q ) $.
      $( Lemma for ~ lcfr .  (Contributed by NM, 10-Mar-2015.) $)
      lcfrlem33 $p |- ( ph -> C =/= ( 0g ` D ) ) $=
        ( vf cfv c0g cmulr co cvsca oveq2d crg wcel wceq clmod dvhlmod lmodring
        syl cdr clvec dvhlvec lvecdrng clfn cv crab lcfrlem10 lcfrlem22 lsatssv
        wne eqid sseldd lflcl syl3anc drnginvrcl ringrz syl2anc oveq1d ldual0vs
        eqtrd cgrp cbs ldualgrp ldualelvbase grpsubid1 syl5eq csn cdif eldifsni
        lcfrlem13 eqnetrd ) AGUGSVQZHVRVQZAGYBRUHSVQZVQZPVQZRYBVQZLVSVQZVTZYDHW
        AVQZVTZUBVTZYBVNAYLYBYCUBVTZYBAYKYCYBUBAYKJYDYJVTYCAYIJYDYJAYIYFJYHVTZJ
        AYGJYFYHVOWBALWCWDZYFKWDZYNJWEANWFWDZYOANQTUFUJULURWGZLNVDWHWIALWJWDZYE
        KWDZYEJWTYPANWKWDYSANQTUFUJULURWLLNVDWMWIAYQYDNWNVQZWDRUEWDYTYRABCDVPWO
        UAVQZUDVQUDVQUUBWEVPUUAWPZHIYCKLMNVPOUUAQSTUAUDUEUFUHUIUJUKULUMUNVCVDVF
        UOUUAXAZVIVJYCXAZUUCXAZVGURUTWQZAFUERAEFUENUMUQYRAEFINQTUCUDUEUFUGUHUIU
        JUKULUMUNUOUPUQURUSUTVAVBWRWSVHXBLUUAYDKUENRWFVDVFUMUUDXCXDVKKLPYEJVFVE
        VLXEXDKLYHYFJVFYHXAVEXFXGXJXHAHLYJUUAYDYCNJUUDVDVEVJYJXAUUEYRUUGXIXJWBA
        HXKWDYBHXLVQZWDYMYBWEAHNVJYRXMAHUUAYBUUHNWFUUDVJUUHXAZYRABCDUUCHIYCKLMN
        VPOUUAQSTUAUDUEUFUGUIUJUKULUMUNVCVDVFUOUUDVIVJUUEUUFVGURUSWQXNUUHHUBYBY
        CUUIUUEVMXOXGXJXPAYBUUCYCXQXRWDYBYCWTABCDUUCHIYCKLMNVPOUUAQSTUAUDUEUFUG
        UIUJUKULUMUNVCVDVFUOUUDVIVJUUEUUFVGURUSXTYBUUCYCXSWIYA $.
    $}

    $( Lemma for ~ lcfr .  (Contributed by NM, 10-Mar-2015.) $)
    lcfrlem34 $p |- ( ph -> C =/= ( 0g ` D ) ) $=
      ( c0g cfv wne wceq wa chlt wcel adantr csn cdif simpr lcfrlem33 lcfrlem32
      pm2.61dane ) AGHVOVPVQRUGSVPVPZJAWIJVRZVSBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFU
      GUHUIUJUKULUMUNUOUPUQATVTWAUFQWAVSZWJURWBAUGUEUIWCWDZWAZWJUSWBAUHWLWAZWJU
      TWBAUGWCUCVPUHWCUCVPVQZWJVAWBVBVCVDVEVFVGARFWAZWJVHWBVIVJARUHSVPVPJVQZWJV
      KWBVLVMVNAWJWEWFAWIJVQZVSBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNU
      OUPUQAWKWRURWBAWMWRUSWBAWNWRUTWBAWOWRVAWBVBVCVDVEVFVGAWPWRVHWBVIVJAWQWRVK
      WBVLVMVNAWRWEWGWH $.

    $( Lemma for ~ lcfr .  (Contributed by NM, 2-Mar-2015.) $)
    lcfrlem35 $p |- ( ph
         -> ( ._|_ ` { ( X .+ Y ) } ) = ( L ` C ) ) $=
      ( vf co csn cfv wss wceq cpr clsm eqid lcfrlem23 cin lcfrlem24 cvsca clfn
      cmulr dvhlvec cv crab c0g lcfrlem10 clss wcel dvhlmod lcfrlem22 lsatlssel
      lssel syl2anc lcfrlem2 eqsstrd lcfrlem28 lsatel lcfrlem30 lkrlss lcfrlem3
      clmod lspsnel5a csubg wa lsssssubg syl chlt eldifad dochlss sseldd lsmlub
      wb prssi syl3anc mpbi2and eqsstrrd clsh lcfrlem17 dochsnshp wne lcfrlem34
      lduallkr3 mpbird lshpcmp mpbid ) AUGUHIVPZVQUDVRZGUAVRZVSYOYPVTAYOUGUHWAZ
      UDVRZFNWBVRZVPZYPAEFIYSNQTUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBYSWCZWD
      AYRYPVSZFYPVSZYTYPVSZAYRUGSVRZUAVRUHSVRZUAVRWEYPABCDEFIJKLMNOQRSTUAUCUDUE
      UFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIWFAHLHWGVRZLWIVRZNUUENWHV
      RZUUFGPUAUBUERJUMVDUUHWCZVEVLUUIWCZVJUUGWCZVMANQTUFUJULURWJZABCDVOWKUAVRZ
      UDVRUDVRUUNVTVOUUIWLZHIHWMVRZKLMNVOOUUIQSTUAUDUEUFUGUIUJUKULUMUNVCVDVFUOU
      UKVIVJUUPWCZUUOWCZVGURUSWNZABCDUUOHIUUPKLMNVOOUUIQSTUAUDUEUFUHUIUJUKULUMU
      NVCVDVFUOUUKVIVJUUQUURVGURUTWNZAFNWOVRZWPRFWPRUEWPAEUVAFNUVAWCZUQANQTUFUJ
      ULURWQZAEFINQTUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBWRZWSZVHUVAFUENRUMU
      VBWTXAZVKVNVIXBXCAFRVQUCVRYPAEFUCNRUIUOUPUQUUMUVDVHABCDEFHIJKLMNOQRSTUAUC
      UDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKXDXEAUVAYPUCNRUVB
      UPUVCANXIWPZGUUIWPYPUVAWPUVCABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULU
      MUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLVMVNXFZUVAUUIGUANUUKVIUVBXGXAZAHLU
      UGUUHNUUEUUIUUFGPUAUBUERJUMVDUUJVEVLUUKVJUULVMUUMUUSUUTUVFVKVNVIXHXJXCAYR
      NXKVRZWPFUVJWPYPUVJWPUUBUUCXLUUDXTAUVAUVJYRAUVGUVAUVJVSUVCUVANUVBXMXNZATX
      OWPUFQWPXLYQUEVSZYRUVAWPURAUGUEWPUHUEWPUVLAUGUEUIVQZUSXPAUHUEUVMUTXPUGUHU
      EYAXAUVANQTUDUEUFYQUJULUMUVBUKXQXAXRAUVAUVJFUVKUVEXRAUVAUVJYPUVKUVIXRYSYR
      FYPNUUAXSYBYCYDAYOYPNYEVRZNUVNWCZUUMANQTUDUEUFYNUVNUIUJUKULUMUOUVOURAEINQ
      TUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAYFYGAYPUVNWPGUUPYHABCDEFGHIJKLMNOP
      QRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLVMVNY
      IAHUUIGUVNUANUUPUVOUUKVIVJUUQUUMUVHYJYKYLYM $.

    $( Lemma for ~ lcfr .  (Contributed by NM, 6-Mar-2015.) $)
    lcfrlem36 $p |- ( ph
           -> ( X .+ Y ) e. ( ._|_ ` ( L ` C ) ) ) $=
      ( co cfv wcel csn wceq lcfrlem17 eldifad dochocsn lcfrlem35 fveq2d eqtr3d
      wss eqimss syl clss eqid dvhlmod chlt wa lcfrlem30 lkrssv dochlss syl2anc
      clfn lspsnel5 mpbird ) AUGUHIVOZGUAVPZUDVPZVQXAVRZUCVPZXCWFZAXEXCVSXFAXDU
      DVPZUDVPXEXCANQTUCUDUEUFXAUJULUKUMUPURAXAUEUIVRAEINQTUCUDUEUFUGUHUIUJUKUL
      UMUNUOUPUQURUSUTVAVTWAZWBAXGXBUDABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJU
      KULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLVMVNWCWDWEXEXCWGWHANWIVPZXCUCU
      ENXAUMXIWJZUPANQTUFUJULURWKZATWLVQUFQVQWMXBUEWFXCXIVQURANWRVPZGUAUENUMXLW
      JVIXKABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVD
      VEVFVGVHVIVJVKVLVMVNWNWOXINQTUDUEUFXBUJULUMXJUKWPWQXHWSWT $.

    $d g k C $.  $d g k D $.  $d g k G $.  $d g k I $.  $d f g k J $.
    $d f g k L $.  $d f g ._|_ $.  $d f g .+ $.  $d g k Q $.  $d f R $.
    $d f .x. $.  $d f k U $.  $d f g V $.  $d f g X $.  $d f g Y $.  $d g ph $.
    $d k ph $.  $d f g v w x $.
    lcfrlem37.g $e |- ( ph -> G e. ( LSubSp ` D ) ) $.
    lcfrlem37.gs $e |- ( ph
     -> G C_ { f e. ( LFnl ` U ) | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f )
        } ) $.
    lcfrlem37.e $e |- E = U_ g e. G ( ._|_ ` ( L ` g ) ) $.
    lcfrlem37.xe $e |- ( ph -> X e. E ) $.
    lcfrlem37.ye $e |- ( ph -> Y e. E ) $.
    $( Lemma for ~ lcfr .  (Contributed by NM, 8-Mar-2015.) $)
    lcfrlem37 $p |- ( ph -> ( X .+ Y ) e. E ) $=
      ( co cv cfv ciun wcel wrex cmulr clss eqid dvhlmod wceq clfn crab c0g wne
      cvsca csn eldifsni syl eldifsn sylanbrc lcfrlem16 lcfrlem29 ldualssvsubcl
      cdif ldualssvscl eqeltrid lcfrlem36 2fveq3 eleq2d syl2anc eliun eleqtrrdi
      rspcev sylibr ) AUKULIWDZPTPWEZUEWFUHWFZWGZRAXSYAWHZPTWIZXSYBWHAGTWHXSGUE
      WFUHWFZWHZYDAGUKUCWFZUBULUCWFZWFSWFUBYGWFLWJWFWDZYHHWSWFZWDZUFWDTVRAHHWKW
      FZTUFNYGYKVNVQYLWLZANUAUDUJUNUPVBWMZVSABCDOWEUEWFZUHWFUHWFYOWNONWOWFZWPZH
      YLIHWQWFZKLMNOPQRYPTUAUCUDUEUHUIUJUKUMUNUOUPUQURVGVHVJUSYPWLZVMVNYRWLZYQW
      LZVKVBYMVSVTWAAUKRWHUKUMWRZUKRUMWTZXHZWHWBAUKUIUUCXHZWHUUBVCUKUIUMXAXBUKR
      UMXCXDXEAHLYLYJTKNYIYHVHVJVNYJWLYMYNVSABCDEFHIJKLMNQSUAUBUCUDUEUGUHUIUJUK
      ULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLVMVNVOVPXFABCDYQHYLIYRKLMNOPQRY
      PTUAUCUDUEUHUIUJULUMUNUOUPUQURVGVHVJUSYSVMVNYTUUAVKVBYMVSVTWAAULRWHULUMWR
      ZULUUDWHWCAULUUEWHUUFVDULUIUMXAXBULRUMXCXDXEXIXGXJABCDEFGHIJKLMNQSUAUBUCU
      DUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLVMVNVOVPVQVRXKYC
      YFPGTXTGWNYAYEXSXTGUHUEXLXMXQXNPXSTYAXOXRWAXP $.
  $}

  ${
    $d g k D $.  $d g k G $.  $d g k I $.  $d f g k J $.  $d f g k L $.
    $d f g j k v w x ._|_ $.  $d f g j k v w x .+ $.  $d f k v x R $.
    $d g k S $.  $d f k v w x .x. $.  $d f g j k v w x U $.  $d f g v x V $.
    $d f g k v w x X $.  $d f g k v w x Y $.  $d f g k x .0. $.  $d g k ph $.
    lcfrlem38.h $e |- H = ( LHyp ` K ) $.
    lcfrlem38.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfrlem38.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfrlem38.p $e |- .+ = ( +g ` U ) $.
    lcfrlem38.f $e |- F = ( LFnl ` U ) $.
    lcfrlem38.l $e |- L = ( LKer ` U ) $.
    lcfrlem38.d $e |- D = ( LDual ` U ) $.
    lcfrlem38.q $e |- Q = ( LSubSp ` D ) $.
    lcfrlem38.c $e |- C = { f e. ( LFnl ` U ) | ( ._|_ ` ( ._|_ ` ( L `
             f ) ) ) = ( L ` f ) } $.
    lcfrlem38.e $e |- E = U_ g e. G ( ._|_ ` ( L ` g ) ) $.
    lcfrlem38.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfrlem38.g $e |- ( ph -> G e. Q ) $.
    lcfrlem38.gs $e |- ( ph -> G C_ C ) $.
    lcfrlem38.xe $e |- ( ph -> X e. E ) $.
    lcfrlem38.ye $e |- ( ph -> Y e. E ) $.
    ${
      lcfrlem38.z $e |- .0. = ( 0g ` U ) $.
      lcfrlem38.x $e |- ( ph -> X =/= .0. ) $.
      lcfrlem38.y $e |- ( ph -> Y =/= .0. ) $.
      ${
        lcfrlem38.sp $e |- N = ( LSpan ` U ) $.
        lcfrlem38.ne $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
        ${
          lcfrlem38.b $e |- B
                   = ( ( N ` { X , Y } ) i^i ( ._|_ ` { ( X .+ Y ) } ) ) $.
          lcfrlem38.i $e |- ( ph -> I e. B ) $.
          lcfrlem38.n $e |- ( ph -> I =/= .0. ) $.
          ${
            lcfrlem38.v $e |- V = ( Base ` U ) $.
            lcfrlem38.t $e |- .x. = ( .s ` U ) $.
            lcfrlem38.s $e |- S = ( Scalar ` U ) $.
            lcfrlem38.r $e |- R = ( Base ` S ) $.
            lcfrlem38.j $e |- J = ( x e. ( V \ { .0. } ) |-> ( v e. V |->
       ( iota_ k e. R E. w e. ( ._|_ ` { x } ) v = ( w .+ ( k .x. x ) ) ) ) )
                $.
            $( Lemma for ~ lcfr .  Combine ~ lcfrlem27 and ~ lcfrlem37 .
               (Contributed by NM, 11-Mar-2015.) $)
            lcfrlem38 $p |- ( ph -> ( X .+ Y ) e. E ) $=
              ( co wcel cfv c0g wceq wa clsa eqid chlt adantr csn cdif lcfrlem4
              eldifsn sylanbrc simpr clss eleqtrdi clfn crab sseqtrdi lcfrlem27
              wne cv wss cinvr cmulr cvsca csg lcfrlem37 pm2.61dane ) AUIUJHVTQ
              WAUAUJUBWBZWBZKWCWBZAXLXMWDZWEBCDMWFWBZEGHXMJKLMNOPQSTUAUBUCUDUEU
              FUGUHUIUJUKULUMUNVOUOVGVJXOWGZAUCWHWAUHTWAWEZXNVBWIAUIUGUKWJWKZWA
              ZXNAUIUGWAUIUKXBXSAGIMOQSTUCUDUFUGUHUIULUMUNVOUQURUSVAVBVCVEWLVHU
              IUGUKWMWNZWIAUJXRWAZXNAUJUGWAUJUKXBYAAGIMOQSTUCUDUFUGUHUJULUMUNVO
              UQURUSVAVBVCVFWLVIUJUGUKWMWNZWIAUIWJUEWBUJWJUEWBXBZXNVKWIVLVPVQXM
              WGZVRVSAUAEWAZXNVMWIUQURAXNWOAUAUKXBXNVNWIASGWPWBZWAZXNASIYFVCUSW
              QZWIASNXCUDWBZUFWBUFWBYIWDNMWRWBWSZXDZXNASFYJVDUTWTZWIVAAUIQWAZXN
              VEWIAUJQWAZXNVFWIXAAXLXMXBZWEBCDXOEUIUBWBZXLKXEWBZWBUAYPWBKXFWBVT
              XKGXGWBVTGXHWBZVTZGHXMJKLMNOPQYQSTUAUBUCUDYRUEUFUGUHUIUJUKULUMUNV
              OUOVGVJXPAXQYOVBWIAXSYOXTWIAYAYOYBWIAYCYOVKWIVLVPVQYDVRVSAYEYOVMW
              IUQURAYOWOYQWGYRWGYSWGAYGYOYHWIAYKYOYLWIVAAYMYOVEWIAYNYOVFWIXIXJ
              $.
          $}

          $( Lemma for ~ lcfr .  Eliminate ` J ` .  (Contributed by NM,
             11-Mar-2015.) $)
          lcfrlem39 $p |- ( ph -> ( X .+ Y ) e. E ) $=
            ( vx vw vv vk vj csca cfv cbs cvsca csn cdif cv wceq wrex crio cmpt
            eqid weq oveq1 oveq2d eqeq2d rexbidv cbvriotavw mpteq2i lcfrlem38
            co ) AVFVGVHBCDEFGVKVLZVMVLZWLGVNVLZGHIVIJKLMNVFGVMVLZUBVOVPZVHWOVH
            VQZVGVQZVJVQZVFVQZWNWKZEWKZVRZVGWTVORVLZVSZVJWMVTZWAZWAOPQRWOSTUAUB
            UCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEWOWBWNWBWLWBWMWBVFWPX
            GVHWOWQWRVIVQZWTWNWKZEWKZVRZVGXDVSZVIWMVTZWAVHWOXFXMXEXLVJVIWMVJVIW
            CZXCXKVGXDXNXBXJWQXNXAXIWREWSXHWTWNWDWEWFWGWHWIWIWJ $.
        $}

        $d i E $.  $d g i N $.  $d i ._|_ $.  $d i .+ $.  $d i U $.  $d i X $.
        $d i Y $.  $d i .0. $.  $d i ph $.
        $( Lemma for ~ lcfr .  Eliminate ` B ` and ` I ` .  (Contributed by NM,
           11-Mar-2015.) $)
        lcfrlem40 $p |- ( ph -> ( X .+ Y ) e. E ) $=
          ( vi cv wne cpr cfv csn cin wrex wcel clsa eqid dvhlmod cdif lcfrlem4
          co cbs eldifsn sylanbrc lcfrlem21 lsateln0 w3a chlt wa 3ad2ant1 simp2
          wss simp3 lcfrlem39 rexlimdv3a mpd ) AVAVBZTVCZVARSVDOVERSDVOZVFPVEVG
          ZVHWMIVIZAVAFVJVEZWNFTUPWPVKZAFLMQUAUCUKVLAWPDFLMOPFVPVEZQRSTUAUBUCWR
          VKZUDUPUSWQUKARWRVIRTVCZRWRTVFVMZVIACEFHIKLMNPWRQRUAUBUCWSUFUGUHUJUKU
          LUNVNUQRWRTVQVRASWRVISTVCZSXAVIACEFHIKLMNPWRQSUAUBUCWSUFUGUHUJUKULUOV
          NURSWRTVQVRUTVSVTAWLWOVAWNAWKWNVIZWLWAWNBCDEFGHIJKLWKMNOPQRSTUAUBUCUD
          UEUFUGUHUIUJAXCMWBVIQLVIWCWLUKWDAXCKEVIWLULWDAXCKBWFWLUMWDAXCRIVIWLUN
          WDAXCSIVIWLUOWDUPAXCWTWLUQWDAXCXBWLURWDUSAXCRVFOVESVFOVEVCWLUTWDWNVKA
          XCWLWEAXCWLWGWHWIWJ $.
      $}

      $( Lemma for ~ lcfr .  Eliminate span condition.  (Contributed by NM,
         11-Mar-2015.) $)
      lcfrlem41 $p |- ( ph -> ( X .+ Y ) e. E ) $=
        ( co wcel csn clspn cfv wceq wa eqid chlt adantr simpr lcfrlem6 wne wss
        lcfrlem40 pm2.61dane ) AQRDURIUSQUTFVAVBZVBZRUTVNVBZAVOVPVCZVDCDEFHIKLM
        NVNOPQRTUAUBUCVNVEZUEUFUGAMVFUSPLUSVDZVQUJVGAKEUSZVQUKVGUIAQIUSZVQUMVGA
        RIUSZVQUNVGAVQVHVIAVOVPVJZVDBCDEFGHIJKLMNVNOPQRSTUAUBUCUDUEUFUGUHUIAVSW
        CUJVGAVTWCUKVGAKBVKWCULVGAWAWCUMVGAWBWCUNVGUOAQSVJWCUPVGARSVJWCUQVGVRAW
        CVHVLVM $.
    $}

    $( Lemma for ~ lcfr .  Eliminate nonzero condition.  (Contributed by NM,
       11-Mar-2015.) $)
    lcfrlem42 $p |- ( ph -> ( X .+ Y ) e. E ) $=
      ( co wcel c0g cfv wceq wa clmod cbs dvhlmod eqid lcfrlem4 lmodcom syl3anc
      adantr simpr lcfrlem7 eqeltrd wne wss simprl simprr lcfrlem41 pm2.61da2ne
      chlt ) AQRDUNZIUOQFUPUQZRVSAQVSURZUSZVRRQDUNZIAVRWBURZVTAFUTUOQFVAUQZUORW
      DUOWCAFLMPSUAUIVBACEFHIKLMNOWDPQSTUAWDVCZUDUEUFUHUIUJULVDACEFHIKLMNOWDPRS
      TUAWEUDUEUFUHUIUJUMVDDWDFQRWEUBVEVFVGWACDEFHIKLMNOPRQVSSTUAUBUDUEUFAMVQUO
      PLUOUSZVTUIVGAKEUOZVTUJVGUHARIUOZVTUMVGVSVCZAVTVHVIVJARVSURZUSCDEFHIKLMNO
      PQRVSSTUAUBUDUEUFAWFWJUIVGAWGWJUJVGUHAQIUOZWJULVGWIAWJVHVIAQVSVKZRVSVKZUS
      ZUSBCDEFGHIJKLMNOPQRVSSTUAUBUCUDUEUFUGUHAWFWNUIVGAWGWNUJVGAKBVLWNUKVGAWKW
      NULVGAWHWNUMVGWIAWLWMVMAWLWMVNVOVP $.
  $}

  ${
    $d h D $.  $d f F $.  $d f g h L $.  $d f g h ._|_ $.  $d a b h x Q $.
    $d g h R $.  $d a b f h x U $.  $d a b h x ph $.
    lcfr.h $e |- H = ( LHyp ` K ) $.
    lcfr.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcfr.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcfr.s $e |- S = ( LSubSp ` U ) $.
    lcfr.f $e |- F = ( LFnl ` U ) $.
    lcfr.l $e |- L = ( LKer ` U ) $.
    lcfr.d $e |- D = ( LDual ` U ) $.
    lcfr.t $e |- T = ( LSubSp ` D ) $.
    lcfr.c $e |- C =
      { f e. F | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f ) } $.
    lcfr.q $e |- Q = U_ g e. R ( ._|_ ` ( L ` g ) ) $.
    lcfr.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcfr.r $e |- ( ph -> R e. T ) $.
    lcfr.rs $e |- ( ph -> R C_ C ) $.
    $( Reconstruction of a subspace from a dual subspace of functionals with
       closed kernels.  Our proof was suggested by Mario Carneiro, 20-Feb-2015.
       (Contributed by NM, 5-Mar-2015.) $)
    lcfr $p |- ( ph -> Q e. S ) $=
      ( vx va vb vh cbs cfv wss c0 wne cv cvsca co cplusg wcel wral csca 2fveq3
      ciun cbviunv eqtri wa chlt adantr eqid clmod dvhlmod lssss syl ldualvbase
      sseqtrd sselda lkrssv dochssv syl2anc ralrimiva iunss sylibr eqsstrid a1i
      wceq c0g wrex lduallmod lss0cl ldual0vcl dochlss eleq2d rspcev eliun ne0d
      eqnetrd w3a crab clfn rabeq ax-mp simpr2 simpr1 lcfrlem5 simpr3 lcfrlem42
      ralrimivvva islss syl3anbrc ) ADHUNUOZUPDUQURUJUSZUKUSZHUTUOZVAZULUSZHVBU
      OZVADVCZULDVDUKDVDUJHVEUOZUNUOZVDDFVCADUMEUMUSZNUOZOUOZVGZXNDJEJUSZNUOOUO
      ZVGYGUFJUMEYIYFYHYDONVFVHVIZAYFXNUPZUMEVDYGXNUPAYKUMEAYDEVCZVJZMVKVCPLVCV
      JZYEXNUPYKAYNYLUGVLYMKYDNXNHXNVMZUAUBAHVNVCZYLAHLMPQSUGVOZVLAEKYDAECUNUOZ
      KAEGVCZEYRUPUHGEYRCYRVMZUDVPVQACKYRHVNUAUCYTYQVRVSVTWAHLMOXNPYEQSYORWBWCW
      DUMEYFXNWEWFWGADYGUQDYGWIAYJWHAYGHWJUOZAUUAYFVCZUMEWKZUUAYGVCACWJUOZEVCZU
      UAUUDNUOZOUOZVCZUUCACVNVCYSUUEACHUCYQWLUHGECUUDUUDVMZUDWMWCAYPUUGFVCZUUHY
      QAYNUUFXNUPUUJUGAKUUDNXNHYOUAUBYQACKHUUDUAUCUUIYQWNWAFHLMOXNPUUFQSYOTRWOW
      CFUUGHUUAUUAVMTWMWCUUBUUHUMUUDEYDUUDWIYFUUGUUAYDUUDONVFWPWQWCUMUUAEYFWRWF
      WSWTAYAUJUKULYCDDAXOYCVCZXPDVCZXSDVCZXAZVJZBCXTGHIUMDKELMNOPXRXSQRSXTVMZU
      AUBUCUDBIUSNUOZOUOOUOUUQWIZIKXBZUURIHXCUOZXBZUEKUUTWIUUSUVAWIUAUURIKUUTXD
      XEVIYJAYNUUNUGVLZAYSUUNUHVLZAEBUPUUNUIVLUUOXOYCYBCDEGXQHUMKLMNOXNPXPQRSYO
      UAUBUCUDUVBUVCYJAUUKUULUUMXFYBVMZYCVMZXQVMZAUUKUULUUMXGXHAUUKUULUUMXIXJXK
      UJYCXTFXQDYBXNHUKULUVDUVEYOUUPUVFTXLXM $.
  $}

  $c LCDual $.

  $( Extend class notation with vector space of functionals with closed
     kernels. $)
  clcd $a class LCDual $.

  $( Dual vector space of functionals with closed  kernels.  Note: we could
     also define this directly without ` mapd ` by using ~ mapdrn . TODO: see
     if it makes sense to go back and replace  the ` LDual ` stuff with this.
  $)

  ${
    $d f k w $.
$(
    df-lcdual $a |- LCDual = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
   ( ( LDual ` ( ( DVecH ` k ) ` w ) ) |`s U. ran ( ( mapd ` k ) ` w ) ) ) ) $.
$)
    $( Dual vector space of functionals with closed kernels.  Note: we could
       also define this directly without ` mapd ` by using ~ mapdrn .  TODO:
       see if it makes sense to go back and replace some of the ` LDual ` stuff
       with this.  TODO:  We could simplify ~ df-mapd using
       ` ( Base `` ( ( LCDual `` K ) `` W ) ) ` .  (Contributed by NM,
       13-Mar-2015.) $)
    df-lcdual $a |- LCDual = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
    ( ( LDual ` ( ( DVecH ` k ) ` w ) )
       |`s { f e. ( LFnl ` ( ( DVecH ` k ) ` w ) )
            | ( ( ( ocH ` k ) ` w ) ` ( ( ( ocH ` k ) ` w )
                   ` ( ( LKer ` ( ( DVecH ` k ) ` w ) ) ` f ) ) )
                = ( ( LKer ` ( ( DVecH ` k ) ` w ) ) ` f ) } ) ) ) $.
  $}

  ${
    $d k w H $.  $d f k w K $.
    lcdval.h $e |- H = ( LHyp ` K ) $.
    $( Dual vector space of functionals with closed kernels.  (Contributed by
       NM, 13-Mar-2015.) $)
    lcdfval $p |- ( K e. X -> ( LCDual ` K ) = ( w e. H |->
   ( ( LDual ` ( ( DVecH ` K ) ` w ) )
      |`s { f e. ( LFnl ` ( ( DVecH ` K ) ` w ) )
            | ( ( ( ocH ` K ) ` w ) ` ( ( ( ocH ` K ) ` w )
                   ` ( ( LKer ` ( ( DVecH ` K ) ` w ) ) ` f ) ) )
                = ( ( LKer ` ( ( DVecH ` K ) ` w ) ) ` f ) } ) ) ) $=
      ( vk cfv cv cdvh cld clk coch wceq clfn cress clh fveq2 fveq1d fveq2d cvv
      wcel clcd crab co cmpt elex eqtr4di fveq12d rabeqbidv mpteq12dv df-lcdual
      eqeq12d oveq12d mptfvmpt syl ) DEUBDUAUBDUCHACAIZDJHZHZKHZBIZUSLHZHZUQDMH
      ZHZHZVEHZVCNZBUSOHZUDZPUEZUFNDEUGAGVKQUCAGIZQHZUQVLJHZHZKHZVAVOLHZHZUQVLM
      HZHZHZVTHZVRNZBVOOHZUDZPUEZUFCUADDVLDNZAVMWFCVKWGVMDQHCVLDQRFUHWGVPUTWEVJ
      PWGVOUSKWGUQVNURVLDJRSZTWGWCVHBWDVIWGVOUSOWHTWGWBVGVRVCWGWAVFVTVEWGUQVSVD
      VLDMRSZWGVRVCVTVEWIWGVAVQVBWGVOUSLWHTSZUIUIWJUMUJUNUKABGULFUOUP $.

    $d w D $.  $d f w F $.  $d w L $.  $d w ._|_ $.  $d f w W $.
    lcdval.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcdval.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdval.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdval.f $e |- F = ( LFnl ` U ) $.
    lcdval.l $e |- L = ( LKer ` U ) $.
    lcdval.d $e |- D = ( LDual ` U ) $.
    lcdval.k $e |- ( ph -> ( K e. X /\ W e. H ) ) $.
    $( Dual vector space of functionals with closed kernels.  (Contributed by
       NM, 13-Mar-2015.) $)
    lcdval $p |- ( ph -> C = ( D |`s { f e. F
            | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f ) } ) ) $=
      ( vw wcel wa cfv wceq crab cress cdvh cld clk coch clfn cmpt clcd lcdfval
      cv co fveq1d syl5eq eqtr4di fveq2d fveq12d eqeq12d rabeqbidv oveq12d eqid
      fveq2 ovex fvmpt sylan9eq syl ) AHLUBZKGUBZUCBCEUPZIUDZJUDZJUDZVOUEZEFUFZ
      UGUQZUETVLVMBKUAGUAUPZHUHUDZUDZUIUDZVNWCUJUDZUDZWAHUKUDZUDZUDZWHUDZWFUEZE
      WCULUDZUFZUGUQZUMZUDZVTVLBKHUNUDZUDWPOVLKWQWOUAEGHLMUOURUSUAKWNVTGWOWAKUE
      ZWDCWMVSUGWRWDDUIUDCWRWCDUIWRWCKWBUDDWAKWBVGPUTZVASUTWRWKVREWLFWRWLDULUDF
      WRWCDULWSVAQUTWRWJVQWFVOWRWIVPWHJWRWHKWGUDJWAKWGVGNUTZWRWFVOWHJWTWRVNWEIW
      RWEDUJUDIWRWCDUJWSVARUTURZVBVBXAVCVDVEWOVFCVSUGVHVIVJVK $.

    lcdval2.b $e |- B =
      { f e. F | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f ) } $.
    $( Dual vector space of functionals with closed kernels.  (Contributed by
       NM, 13-Mar-2015.) $)
    lcdval2 $p |- ( ph -> C = ( D |`s B ) ) $=
      ( cv cfv wceq crab cress co lcdval oveq2i eqtr4di ) ACDFUCJUDZKUDKUDULUEF
      GUFZUGUHDBUGUHACDEFGHIJKLMNOPQRSTUAUIBUMDUGUBUJUK $.
  $}

  ${
    $d f K $.  $d f W $.
    lcdlmod.h $e |- H = ( LHyp ` K ) $.
    lcdlmod.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdlmod.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The dual vector space of functionals with closed kernels is a left
       vector space.  (Contributed by NM, 14-Mar-2015.) $)
    lcdlvec $p |- ( ph -> C e. LVec ) $=
      ( vf cdvh cfv cld cv clk coch wceq clfn clvec eqid wcel crab cress lcdval
      co chlt clss dvhlvec lduallvec lclkr lsslvec syl2anc eqeltrd ) ABEDJKKZLK
      ZIMUMNKZKZEDOKKZKUQKUPPIUMQKZUAZUBUDZRABUNUMIURCDUOUQEUEFUQSZGUMSZURSZUOS
      ZUNSZHUCAUNRTUSUNUFKZTUTRTAUNUMVEAUMCDEFVBHUGUHAUSUNVFUMIURCDUOUQEFVBVAVC
      VDVEVFSZUSSHUIVFUSUNUTUTSVGUJUKUL $.

    $( The dual vector space of functionals with closed kernels is a left
       module.  (Contributed by NM, 13-Mar-2015.) $)
    lcdlmod $p |- ( ph -> C e. LMod ) $=
      ( clvec wcel clmod lcdlvec lveclmod syl ) ABIJBKJABCDEFGHLBMN $.
  $}

  ${
    $d f F $.  $d f K $.  $d f W $.
    lcdvbase.h $e |- H = ( LHyp ` K ) $.
    lcdvbase.o $e |- ._|_ = ( ( ocH ` K ) ` W ) $.
    lcdvbase.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdvbase.v $e |- V = ( Base ` C ) $.
    lcdvbase.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdvbase.f $e |- F = ( LFnl ` U ) $.
    lcdvbase.l $e |- L = ( LKer ` U ) $.
    lcdvbase.b $e |- B =
      { f e. F | ( ._|_ ` ( ._|_ ` ( L ` f ) ) ) = ( L ` f ) } $.
    lcdvbase.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Vector base set of a dual vector space of functionals with closed
       kernels.  (Contributed by NM, 13-Mar-2015.) $)
    lcdvbase $p |- ( ph -> V = B ) $=
      ( cld cfv cress co cbs chlt eqid lcdval2 fveq2d syl5eq wss wceq cv ssrab2
      crab eqsstri clmod dvhlmod ldualvbase sseqtrrid ressbas2 syl eqtr4d ) AKD
      UBUCZBUDUEZUFUCZBAKCUFUCVGPACVFUFABCVEDEFGHIJLUGMNOQRSVEUHZUATUIUJUKABVEU
      FUCZULBVGUMAFBVIBEUNIUCZJUCJUCVJUMZEFUPFTVKEFUOUQAVEFVIDURRVHVIUHZADGHLMQ
      UAUSUTVABVIVFVEVFUHVLVBVCVD $.
  $}

  ${
    $d f F $.  $d f K $.  $d f W $.
    lcdvbasess.h $e |- H = ( LHyp ` K ) $.
    lcdvbasess.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdvbasess.v $e |- V = ( Base ` C ) $.
    lcdvbasess.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdvbasess.f $e |- F = ( LFnl ` U ) $.
    lcdvbasess.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The vector base set of the closed kernel dual space is a set of
       functionals.  (Contributed by NM, 15-Mar-2015.) $)
    lcdvbasess $p |- ( ph -> V C_ F ) $=
      ( vf cv clk cfv coch eqid wceq crab lcdvbase ssrab2 eqsstrdi ) AGOPCQRZRZ
      HFSRRZRUHRUGUAZODUBZDAUJBCODEFUFUHGHIUHTJKLMUFTUJTNUCUIODUDUE $.

    lcdvbaselfl.x $e |- ( ph -> X e. V ) $.
    $( A vector in the base set of the closed kernel dual space is a
       functional.  (Contributed by NM, 28-Mar-2015.) $)
    lcdvbaselfl $p |- ( ph -> X e. F ) $=
      ( lcdvbasess sseldd ) AGDIABCDEFGHJKLMNOQPR $.
  $}

  ${
    lcdvbasecl.h $e |- H = ( LHyp ` K ) $.
    lcdvbasecl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdvbasecl.v $e |- V = ( Base ` U ) $.
    lcdvbasecl.s $e |- S = ( Scalar ` U ) $.
    lcdvbasecl.r $e |- R = ( Base ` S ) $.
    lcdvbasecl.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdvbasecl.e $e |- E = ( Base ` C ) $.
    lcdvbasecl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcdvbasecl.f $e |- ( ph -> F e. E ) $.
    lcdvbasecl.x $e |- ( ph -> X e. V ) $.
    $( Closure of the value of a vector (functional) in the closed kernel dual
       space.  (Contributed by NM, 28-Mar-2015.) $)
    lcdvbasecl $p |- ( ph -> ( F ` X ) e. R ) $=
      ( clmod wcel clfn cfv dvhlmod eqid lcdvbaselfl lflcl syl3anc ) AEUCUDGEUE
      UFZUDLJUDLGUFCUDAEHIKMNTUGABEULHIFKGMRSNULUHZTUAUIUBDULGCJELUCPQOUMUJUK
      $.
  $}

  ${
    $d f K $.  $d f U $.  $d f W $.
    lcdvadd.h $e |- H = ( LHyp ` K ) $.
    lcdvadd.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdvadd.d $e |- D = ( LDual ` U ) $.
    lcdvadd.a $e |- .+ = ( +g ` D ) $.
    lcdvadd.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdvadd.p $e |- .+b = ( +g ` C ) $.
    lcdvadd.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Vector addition for the closed kernel vector space dual.  (Contributed
       by NM, 10-Jun-2015.) $)
    lcdvadd $p |- ( ph -> .+b = .+ ) $=
      ( vf cplusg cfv eqid clk coch wceq clfn crab cress chlt lcdval fveq2d cvv
      cv co wcel fvex rabex ressplusg ax-mp 3eqtr4g ) ABRSCQUKFUASZSZIHUBSSZSVA
      SUTUCZQFUDSZUEZUFULZRSZEDABVERABCFQVCGHUSVAIUGJVATNKVCTUSTLPUHUIOVDUJUMDV
      FUCVBQVCFUDUNUOVDDCVEUJVETMUPUQUR $.
  $}

  ${
    lcdvaddval.h $e |- H = ( LHyp ` K ) $.
    lcdvaddval.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdvaddval.v $e |- V = ( Base ` U ) $.
    lcdvaddval.r $e |- R = ( Scalar ` U ) $.
    lcdvaddval.a $e |- .+ = ( +g ` R ) $.
    lcdvaddval.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdvaddval.d $e |- D = ( Base ` C ) $.
    lcdvaddval.p $e |- .+b = ( +g ` C ) $.
    lcdvaddval.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcdvaddval.f $e |- ( ph -> F e. D ) $.
    lcdvaddval.g $e |- ( ph -> G e. D ) $.
    lcdvaddval.x $e |- ( ph -> X e. V ) $.
    $( The value of the value of vector addition in the closed kernel vector
       space dual.  (Contributed by NM, 10-Jun-2015.) $)
    lcdvaddval $p |- ( ph
             -> ( ( F .+b G ) ` X ) = ( ( F ` X ) .+ ( G ` X ) ) ) $=
      ( co cfv cld cplusg lcdvadd oveqd fveq1d dvhlmod lcdvbaselfl ldualvaddval
      eqid clfn eqtrd ) ANHIEUGZUHNHIGUIUHZUJUHZUGZUHNHUHNIUHDUGANUTVCAEVBHIABV
      AVBEGJKMOPVAUQZVBUQZTUBUCUKULUMAVADVBFGURUHZHILGNQRSVFUQZVDVEAGJKMOPUCUNA
      BGVFJKCMHOTUAPVGUCUDUOABGVFJKCMIOTUAPVGUCUEUOUFUPUS $.
  $}

  ${
    $d f K $.  $d f U $.  $d f W $.
    lcdsca.h $e |- H = ( LHyp ` K ) $.
    lcdsca.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdsca.f $e |- F = ( Scalar ` U ) $.
    lcdsca.o $e |- O = ( oppR ` F ) $.
    lcdsca.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdsca.r $e |- R = ( Scalar ` C ) $.
    lcdsca.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The ring of scalars of the closed kernel dual space.  (Contributed by
       NM, 16-Mar-2015.)  (Revised by Mario Carneiro, 6-May-2015.) $)
    lcdsca $p |- ( ph -> R = O ) $=
      ( vf csca cfv eqid cld cv coch wceq clfn crab cress co chlt lcdval fveq2d
      clk cvv wcel fvex rabex resssca ax-mp eqtr4di clmod ldualsca eqtrd syl5eq
      dvhlmod ) ACBRSZHOAVEDUASZRSZHAVEVFQUBDULSZSZIGUCSSZSVJSVIUDZQDUESZUFZUGU
      HZRSZVGABVNRABVFDQVLFGVHVJIUIJVJTNKVLTVHTVFTZPUJUKVMUMUNVGVOUDVKQVLDUEUOU
      PVMVGVFVNUMVNTVGTZUQURUSAVFVGEHDUTLMVPVQADFGIJKPVDVAVBVC $.
  $}

  ${
    lcdsbase.h $e |- H = ( LHyp ` K ) $.
    lcdsbase.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdsbase.f $e |- F = ( Scalar ` U ) $.
    lcdsbase.l $e |- L = ( Base ` F ) $.
    lcdsbase.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdsbase.s $e |- S = ( Scalar ` C ) $.
    lcdsbase.r $e |- R = ( Base ` S ) $.
    lcdsbase.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Base set of scalar ring for the closed kernel dual of a vector space.
       (Contributed by NM, 18-Mar-2015.) $)
    lcdsbase $p |- ( ph -> R = L ) $=
      ( cbs cfv coppr eqid lcdsca fveq2d opprbas 3eqtr4g ) ADSTFUATZSTCIADUGSAB
      DEFGHUGJKLMUGUBZOPRUCUDQIFUGUHNUEUF $.
  $}

  ${
    lcdsadd.h $e |- H = ( LHyp ` K ) $.
    lcdsadd.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdsadd.f $e |- F = ( Scalar ` U ) $.
    lcdsadd.p $e |- .+ = ( +g ` F ) $.
    lcdsadd.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdsadd.s $e |- S = ( Scalar ` C ) $.
    lcdsadd.a $e |- .+b = ( +g ` S ) $.
    lcdsadd.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Scalar addition for the closed kernel vector space dual.  (Contributed
       by NM, 6-Jun-2015.) $)
    lcdsadd $p |- ( ph -> .+b = .+ ) $=
      ( cplusg cfv coppr eqid lcdsca fveq2d oppradd 3eqtr4g ) AESTGUATZSTDCAEUG
      SABEFGHIUGJKLMUGUBZOPRUCUDQCGUGUHNUEUF $.
  $}

  ${
    lcdsmul.h $e |- H = ( LHyp ` K ) $.
    lcdsmul.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdsmul.f $e |- F = ( Scalar ` U ) $.
    lcdsmul.l $e |- L = ( Base ` F ) $.
    lcdsmul.t $e |- .x. = ( .r ` F ) $.
    lcdsmul.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdsmul.s $e |- S = ( Scalar ` C ) $.
    lcdsmul.m $e |- .xb = ( .r ` S ) $.
    lcdsmul.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcdsmul.x $e |- ( ph -> X e. L ) $.
    lcdsmul.y $e |- ( ph -> Y e. L ) $.
    $( Scalar multiplication for the closed kernel vector space dual.
       (Contributed by NM, 20-Mar-2015.) $)
    lcdsmul $p |- ( ph -> ( X .xb Y ) = ( Y .x. X ) ) $=
      ( co coppr cfv cmulr eqid lcdsca fveq2d syl5eq oveqd opprmul eqtrdi ) ALM
      DUELMGUFUGZUHUGZUEMLEUEADUQLMADCUHUGUQUAACUPUHABCFGHIUPKNOPUPUIZSTUBUJUKU
      LUMJGUQEUPLMQRURUQUIUNUO $.
  $}

  ${
    $d f K $.  $d f U $.  $d f W $.
    lcdvs.h $e |- H = ( LHyp ` K ) $.
    lcdvs.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdvs.d $e |- D = ( LDual ` U ) $.
    lcdvs.t $e |- .x. = ( .s ` D ) $.
    lcdvs.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdvs.m $e |- .xb = ( .s ` C ) $.
    lcdvs.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Scalar product for the closed kernel vector space dual.  (Contributed by
       NM, 28-Mar-2015.) $)
    lcdvs $p |- ( ph -> .xb = .x. ) $=
      ( vf cvsca cfv eqid cv clk coch wceq clfn crab cress co lcdval fveq2d cvv
      chlt wcel fvex rabex ressvsca ax-mp 3eqtr4g ) ABRSCQUAFUBSZSZIHUCSSZSVASU
      TUDZQFUESZUFZUGUHZRSZDEABVERABCFQVCGHUSVAIULJVATNKVCTUSTLPUIUJOVDUKUMEVFU
      DVBQVCFUEUNUOVDECVEUKVETMUPUQUR $.
  $}

  ${
    lcdvsval.h $e |- H = ( LHyp ` K ) $.
    lcdvsval.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdvsval.v $e |- V = ( Base ` U ) $.
    lcdvsval.s $e |- S = ( Scalar ` U ) $.
    lcdvsval.r $e |- R = ( Base ` S ) $.
    lcdvsval.t $e |- .x. = ( .r ` S ) $.
    lcdvsval.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdvsval.f $e |- F = ( Base ` C ) $.
    lcdvsval.m $e |- .xb = ( .s ` C ) $.
    lcdvsval.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcdvsval.x $e |- ( ph -> X e. R ) $.
    lcdvsval.g $e |- ( ph -> G e. F ) $.
    lcdvsval.a $e |- ( ph -> A e. V ) $.
    $( Value of scalar product operation value for the closed kernel vector
       space dual.  (Contributed by NM, 28-Mar-2015.) $)
    lcdvsval $p |- ( ph -> ( ( X .xb G ) ` A ) = ( ( G ` A ) .x. X ) ) $=
      ( co cfv cld cvsca eqid lcdvs oveqd fveq1d clfn clmod dvhlmod lcdvbaselfl
      ldualvsval eqtrd ) ABOJFUIZUJBOJHUKUJZULUJZUIZUJBJUJOGUIABVCVFAFVEOJACVDF
      VEHKLNPQVDUMZVEUMZUBUDUEUNUOUPABVDEVEGHUQUJZJDMHOURVIUMZRSTUAVGVHAHKLNPQU
      EUSUFACHVIKLINJPUBUCQVJUEUGUTUHVAVB $.
  $}

  ${
    lcdvscl.h $e |- H = ( LHyp ` K ) $.
    lcdvscl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdvscl.s $e |- S = ( Scalar ` U ) $.
    lcdvscl.r $e |- R = ( Base ` S ) $.
    lcdvscl.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdvscl.v $e |- V = ( Base ` C ) $.
    lcdvscl.t $e |- .x. = ( .s ` C ) $.
    lcdvscl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcdvscl.x $e |- ( ph -> X e. R ) $.
    lcdvscl.g $e |- ( ph -> G e. V ) $.
    $( The scalar product operation value is a functional.  (Contributed by NM,
       20-Mar-2015.) $)
    lcdvscl $p |- ( ph -> ( X .x. G ) e. V ) $=
      ( clmod wcel csca cfv cbs lcdlmod eqid lcdsbase eleqtrrd lmodvscl syl3anc
      co ) ABUCUDLBUEUFZUGUFZUDGJUDLGEUNJUDABHIKMQTUHALCUPUAABUPUOFDHICKMNOPQUO
      UIZUPUIZTUJUKUBLEUOUPJBGRUQSURULUM $.
  $}

  ${
    lcdlssvscl.h $e |- H = ( LHyp ` K ) $.
    lcdlssvscl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdlssvscl.f $e |- F = ( Scalar ` U ) $.
    lcdlssvscl.r $e |- R = ( Base ` F ) $.
    lcdlssvscl.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdlssvscl.v $e |- V = ( Base ` C ) $.
    lcdlssvscl.t $e |- .x. = ( .s ` C ) $.
    lcdlssvscl.s $e |- S = ( LSubSp ` C ) $.
    lcdlssvscl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcdlssvscl.l $e |- ( ph -> L e. S ) $.
    lcdlssvscl.x $e |- ( ph -> X e. R ) $.
    lcdlssvscl.y $e |- ( ph -> Y e. L ) $.
    $( Closure of scalar product in a closed kernel dual vector space.
       (Contributed by NM, 20-Mar-2015.) $)
    lcdlssvscl $p |- ( ph -> ( X .x. Y ) e. L ) $=
      ( clmod wcel csca cfv cbs lcdlmod eqid lcdsbase eleqtrrd lssvscl syl22anc
      co ) ABUGUHJDUHMBUIUJZUKUJZUHNJUHMNEURJUHABHILOSUCULUDAMCUTUEABUTUSFGHICL
      OPQRSUSUMZUTUMZUCUNUOUFUTDEJUSBMNVAUAVBUBUPUQ $.
  $}

  ${
    lcdvsass.h $e |- H = ( LHyp ` K ) $.
    lcdvsass.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdvsass.r $e |- R = ( Scalar ` U ) $.
    lcdvsass.l $e |- L = ( Base ` R ) $.
    lcdvsass.t $e |- .x. = ( .r ` R ) $.
    lcdvsass.d $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdvsass.f $e |- F = ( Base ` C ) $.
    lcdvsass.s $e |- .xb = ( .s ` C ) $.
    lcdvsass.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcdvsass.x $e |- ( ph -> X e. L ) $.
    lcdvsass.y $e |- ( ph -> Y e. L ) $.
    lcdvsass.g $e |- ( ph -> G e. F ) $.
    $( Associative law for scalar product in a closed kernel dual vector space.
       (Contributed by NM, 20-Mar-2015.) $)
    lcdvsass $p |- ( ph -> ( ( Y .x. X ) .xb G ) = ( X .xb ( Y .xb G ) ) ) $=
      ( csca cfv cmulr eqid lcdsmul oveq1d clmod wcel cbs wceq lcdlmod lcdsbase
      co eleqtrrd lmodvsass syl13anc eqtr3d ) AMNBUGUHZUIUHZUSZHDUSZNMEUSZHDUSM
      NHDUSDUSZAVFVHHDABVDVEEFCIJKLMNOPQRSTVDUJZVEUJZUCUDUEUKULABUMUNMVDUOUHZUN
      NVLUNHGUNVGVIUPABIJLOTUCUQAMKVLUDABVLVDFCIJKLOPQRTVJVLUJZUCURZUTANKVLUEVN
      UTUFMNDVEVDVLGBHUAVJUBVMVKVAVBVC $.
  $}

  ${
    lcd0.h $e |- H = ( LHyp ` K ) $.
    lcd0.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcd0.f $e |- F = ( Scalar ` U ) $.
    lcd0.z $e |- .0. = ( 0g ` F ) $.
    lcd0.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcd0.s $e |- S = ( Scalar ` C ) $.
    lcd0.o $e |- O = ( 0g ` S ) $.
    lcd0.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The zero scalar of the closed kernel dual of a vector space.
       (Contributed by NM, 20-Mar-2015.) $)
    lcd0 $p |- ( ph -> O = .0. ) $=
      ( c0g cfv coppr eqid lcdsca fveq2d oppr0 3eqtr4g ) ACSTEUATZSTHJACUGSABCD
      EFGUGIKLMUGUBZOPRUCUDQEUGJUHNUEUF $.
  $}

  ${
    lcd1.h $e |- H = ( LHyp ` K ) $.
    lcd1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcd1.f $e |- F = ( Scalar ` U ) $.
    lcd1.j $e |- .1. = ( 1r ` F ) $.
    lcd1.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcd1.s $e |- S = ( Scalar ` C ) $.
    lcd1.i $e |- I = ( 1r ` S ) $.
    lcd1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The unit scalar of the closed kernel dual of a vector space.
       (Contributed by NM, 20-Mar-2015.) $)
    lcd1 $p |- ( ph -> I = .1. ) $=
      ( cur cfv coppr eqid lcdsca fveq2d oppr1 3eqtr4g ) ACSTFUATZSTHEACUGSABCD
      FGIUGJKLMUGUBZOPRUCUDQFEUGUHNUEUF $.
  $}

  ${
    lcdneg.h $e |- H = ( LHyp ` K ) $.
    lcdneg.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdneg.r $e |- R = ( Scalar ` U ) $.
    lcdneg.m $e |- M = ( invg ` R ) $.
    lcdneg.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdneg.s $e |- S = ( Scalar ` C ) $.
    lcdneg.n $e |- N = ( invg ` S ) $.
    lcdneg.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The unit scalar of the closed kernel dual of a vector space.
       (Contributed by NM, 11-Jun-2015.) $)
    lcdneg $p |- ( ph -> N = M ) $=
      ( cminusg cfv coppr eqid lcdsca fveq2d opprneg 3eqtr4g ) ADSTCUATZSTIHADU
      GSABDECFGUGJKLMUGUBZOPRUCUDQCHUGUHNUEUF $.
  $}

  ${
    $d f K $.  $d f U $.  $d f W $.
    lcd0v.h $e |- H = ( LHyp ` K ) $.
    lcd0v.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcd0v.v $e |- V = ( Base ` U ) $.
    lcd0v.r $e |- R = ( Scalar ` U ) $.
    lcd0v.z $e |- .0. = ( 0g ` R ) $.
    lcd0v.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcd0v.o $e |- O = ( 0g ` C ) $.
    lcd0v.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The zero functional in the set of functionals with closed kernels.
       (Contributed by NM, 20-Mar-2015.) $)
    lcd0v $p |- ( ph -> O = ( V X. { .0. } ) ) $=
      ( cfv eqid vf cld cv clk coch wceq clfn crab cress co c0g csn chlt lcdval
      cxp fveq2d syl5eq clmod wcel clss dvhlmod lduallmod lclkr syl2anc ldual0v
      lss0v 3eqtrd ) AGDUBSZUAUCDUDSZSZIFUESSZSVKSVJUFUADUGSZUHZUIUJZUKSZVHUKSZ
      HJULUOAGBUKSVOQABVNUKABVHDUAVLEFVIVKIUMKVKTZPLVLTZVITZVHTZRUNUPUQAVHURUSV
      MVHUTSZUSVOVPUFAVHDVTADEFIKLRVAZVBAVMVHWADUAVLEFVIVKIKLVQVRVSVTWATZVMTRVC
      VMWAVHVNVPVOVNTVPTZVOTWCVFVDAVHCVPHDJMNOVTWDWBVEVG $.
  $}

  ${
    lcd0v2.h $e |- H = ( LHyp ` K ) $.
    lcd0v2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcd0v2.d $e |- D = ( LDual ` U ) $.
    lcd0v2.z $e |- .0. = ( 0g ` D ) $.
    lcd0v2.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcd0v2.o $e |- O = ( 0g ` C ) $.
    lcd0v2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The zero functional in the set of functionals with closed kernels.
       (Contributed by NM, 27-Mar-2015.) $)
    lcd0v2 $p |- ( ph -> O = .0. ) $=
      ( cbs cfv csca eqid c0g csn cxp lcd0v dvhlmod ldual0v eqtr4d ) AGDQRZDSRZ
      UARZUBUCIABUIDEFGUHHUJJKUHTZUITZUJTZNOPUDACUIIUHDUJUKULUMLMADEFHJKPUEUFUG
      $.
  $}

  ${
    lcd0vval.h $e |- H = ( LHyp ` K ) $.
    lcd0vval.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcd0vval.v $e |- V = ( Base ` U ) $.
    lcd0vval.s $e |- S = ( Scalar ` U ) $.
    lcd0vval.z $e |- .0. = ( 0g ` S ) $.
    lcd0vval.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcd0vval.o $e |- O = ( 0g ` C ) $.
    lcd0vval.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcd0vval.x $e |- ( ph -> X e. V ) $.
    $( Value of the zero functional at any vector.  (Contributed by NM,
       28-Mar-2015.)  (New usage is discouraged.) $)
    lcd0vvalN $p |- ( ph -> ( O ` X ) = .0. ) $=
      ( cfv csn cxp lcd0v fveq1d wcel wceq c0g fvexi fvconst2 syl eqtrd ) AJGUA
      JHKUBUCZUAZKAJGUMABCDEFGHIKLMNOPQRSUDUEAJHUFUNKUGTHKJKCUHPUIUJUKUL $.
  $}

  ${
    lcdv0cl.h $e |- H = ( LHyp ` K ) $.
    lcdv0cl.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdv0cl.v $e |- V = ( Base ` C ) $.
    lcdv0cl.o $e |- O = ( 0g ` C ) $.
    lcdv0cl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Closure of the zero functional in the set of functionals with closed
       kernels.  (Contributed by NM, 15-Mar-2015.) $)
    lcd0vcl $p |- ( ph -> O e. V ) $=
      ( clmod wcel lcdlmod lmod0vcl syl ) ABMNEFNABCDGHILOFBEJKPQ $.
  $}

  ${
    lcd0vs.h $e |- H = ( LHyp ` K ) $.
    lcd0vs.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcd0vs.r $e |- R = ( Scalar ` U ) $.
    lcd0vs.z $e |- .0. = ( 0g ` R ) $.
    lcd0vs.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcd0vs.v $e |- V = ( Base ` C ) $.
    lcd0vs.t $e |- .x. = ( .s ` C ) $.
    lcd0vs.o $e |- O = ( 0g ` C ) $.
    lcd0vs.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcd0vs.g $e |- ( ph -> G e. V ) $.
    $( A scalar zero times a functional is the zero functional.  (Contributed
       by NM, 20-Mar-2015.) $)
    lcd0vs $p |- ( ph -> ( .0. .x. G ) = O ) $=
      ( csca cfv c0g co eqid lcd0 oveq1d clmod wcel wceq lcdlmod lmod0vs eqtr3d
      syl2anc ) ABUCUDZUEUDZFDUFZLFDUFIAURLFDABUQECGHURKLMNOPQUQUGZURUGZUAUHUIA
      BUJUKFJUKUSIULABGHKMQUAUMUBDUQURJBFIRUTSVATUNUPUO $.
  $}

  ${
    lcdvs0.h $e |- H = ( LHyp ` K ) $.
    lcdvs0.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdvs0.s $e |- S = ( Scalar ` U ) $.
    lcdvs0.r $e |- R = ( Base ` S ) $.
    lcdvs0.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdvs0.t $e |- .x. = ( .s ` C ) $.
    lcdvs0.o $e |- .0. = ( 0g ` C ) $.
    lcdvs0.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcdvs0.x $e |- ( ph -> X e. R ) $.
    $( A scalar times the zero functional is the zero functional.  (Contributed
       by NM, 20-Mar-2015.)  (New usage is discouraged.) $)
    lcdvs0N $p |- ( ph -> ( X .x. .0. ) = .0. ) $=
      ( clmod wcel csca cfv wceq lcdlmod eqid lcdsbase eleqtrrd lmodvs0 syl2anc
      cbs co ) ABUAUBJBUCUDZULUDZUBJKEUMKUEABGHILPSUFAJCUOTABUOUNFDGHCILMNOPUNU
      GZUOUGZSUHUIEUNUOBJKUPQUQRUJUK $.
  $}

  ${
    lcdvsub.h $e |- H = ( LHyp ` K ) $.
    lcdvsub.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdvsub.s $e |- S = ( Scalar ` U ) $.
    lcdvsub.n $e |- N = ( invg ` S ) $.
    lcdvsub.e $e |- .1. = ( 1r ` S ) $.
    lcdvsub.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdvsub.v $e |- V = ( Base ` C ) $.
    lcdvsub.p $e |- .+ = ( +g ` C ) $.
    lcdvsub.t $e |- .x. = ( .s ` C ) $.
    lcdvsub.m $e |- .- = ( -g ` C ) $.
    lcdvsub.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcdvsub.f $e |- ( ph -> F e. V ) $.
    lcdvsub.g $e |- ( ph -> G e. V ) $.
    $( The value of vector subtraction in the closed kernel dual space.
       (Contributed by NM, 22-Mar-2015.) $)
    lcdvsub $p |- ( ph -> ( F .- G ) = ( F .+ ( ( N ` .1. ) .x. G ) ) ) $=
      ( co csca cfv cur cminusg clmod wcel wceq lcdlmod eqid lmodvsubval2 coppr
      syl3anc opprneg lcdsca fveq2d eqtr4id oppr1 fveq12d oveq1d oveq2d eqtr4d
      ) AHILUIZHBUJUKZULUKZVLUMUKZUKZIEUIZCUIZHGMUKZIEUIZCUIABUNUOHNUOINUOVKVQU
      PABJKOPUAUFUQUGUHHICEVMVLLVNNBUBUCUEVLURZUDVNURVMURUSVAAVSVPHCAVRVOIEAGVM
      MVNAMDUTUKZUMUKVNDMWAWAURZSVBAVLWAUMABVLFDJKWAOPQRWBUAVTUFVCZVDVEAGWAULUK
      VMDGWAWBTVFAVLWAULWCVDVEVGVHVIVJ $.
  $}

  ${
    lcdvsubval.h $e |- H = ( LHyp ` K ) $.
    lcdvsubval.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdvsubval.v $e |- V = ( Base ` U ) $.
    lcdvsubval.r $e |- R = ( Scalar ` U ) $.
    lcdvsubval.s $e |- S = ( -g ` R ) $.
    lcdvsubval.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdvsubval.d $e |- D = ( Base ` C ) $.
    lcdvsubval.m $e |- .- = ( -g ` C ) $.
    lcdvsubval.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcdvsubval.f $e |- ( ph -> F e. D ) $.
    lcdvsubval.g $e |- ( ph -> G e. D ) $.
    lcdvsubval.x $e |- ( ph -> X e. V ) $.
    $( The value of the value of vector addition in the closed kernel vector
       space dual.  (Contributed by NM, 11-Jun-2015.) $)
    lcdvsubval $p |- ( ph
             -> ( ( F .- G ) ` X ) = ( ( F ` X ) S ( G ` X ) ) ) $=
      ( co cfv csca cur cminusg cvsca clmod wcel wceq lcdlmod eqid lmodvsubval2
      cplusg syl3anc fveq1d cbs cgrp lmodfgrp syl crg lmodring ringidcl syl2anc
      grpinvcl lcdsbase eleqtrd lcdvscl lcdvaddval cmulr lcdneg fveq12d dvhlmod
      oveq1d ringgrp lmod1cl lcdvsval lcdvbasecl 3eqtrd oveq2d grpsubval eqtr4d
      lcd1 rngnegr ) ANGHKUGZUHNGBUIUHZUJUHZWKUKUHZUHZHBULUHZUGZBUSUHZUGZUHNGUH
      ZNWPUHZDUSUHZUGZWSNHUHZEUGZANWJWRABUMUNZGCUNHCUNWJWRUOABIJMOTUCUPZUDUEGHW
      QWOWLWKKWMCBUAWQUQZUBWKUQZWOUQZWMUQZWLUQZURUTVAABCXAWQDFGWPIJLMNOPQRXAUQZ
      TUAXGUCUDABDVBUHZDWOFHIJCMWNOPRXMUQZTUAXIUCAWNWKVBUHZXMAWKVCUNZWLXOUNZWNX
      OUNAXEXPXFWKBXHVDVEAWKVFUNZXQAXEXRXFWKBXHVGVEXOWKWLXOUQZXKVHVEXOWKWMWLXSX
      JVJVIABXOWKFDIJXMMOPRXNTXHXSUCVKVLUEVMUFVNAXBWSXCDUKUHZUHZXAUGZXDAWTYAWSX
      AAWTNDUJUHZXTUHZHWOUGZUHXCYDDVOUHZUGYAANWPYEAWNYDHWOAWLYCWMXTABDWKFIJXTWM
      MOPRXTUQZTXHXJUCVPABWKFYCDIWLJMOPRYCUQZTXHXKUCWHVQVSVAANBXMDWOYFFCHIJLMYD
      OPQRXNYFUQZTUAXIUCADVCUNZYCXMUNZYDXMUNADVFUNZYJAFUMUNZYLAFIJMOPUCVRZDFRVG
      VEZDVTVEAYMYKYNYCDXMFRXNYHWAVEXMDXTYCXNYGVJVIUEUFWBAXMDYFYCXTXCXNYIYHYGYO
      ABXMDFCHIJLMNOPQRXNTUAUCUEUFWCZWIWDWEAWSXMUNXCXMUNXDYBUOABXMDFCGIJLMNOPQR
      XNTUAUCUDUFWCYPXMXADXTEWSXCXNXLYGSWFVIWGWD $.
  $}

  ${
    $d u B $.  $d f D $.  $d f F $.  $d f K $.  $d f L $.  $d f O $.  $d u S $.
    $d u T $.  $d f U $.  $d f W $.  $d u ph $.
    lcdlss.h $e |- H = ( LHyp ` K ) $.
    lcdlss.o $e |- O = ( ( ocH ` K ) ` W ) $.
    lcdlss.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdlss.s $e |- S = ( LSubSp ` C ) $.
    lcdlss.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdlss.f $e |- F = ( LFnl ` U ) $.
    lcdlss.l $e |- L = ( LKer ` U ) $.
    lcdlss.d $e |- D = ( LDual ` U ) $.
    lcdlss.t $e |- T = ( LSubSp ` D ) $.
    lcdlss.b $e |- B = { f e. F | ( O ` ( O ` ( L ` f ) ) ) = ( L ` f ) } $.
    lcdlss.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Subspaces of a dual vector space of functionals with closed kernels.
       (Contributed by NM, 13-Mar-2015.) $)
    lcdlss $p |- ( ph -> S = ( T i^i ~P B ) ) $=
      ( vu cpw cin cv wcel wss cress clss cfv chlt lcdval2 fveq2d syl5eq eleq2d
      wa co clmod dvhlmod lduallmod lclkr eqid lsslss syl2anc bitrd elin anbi2i
      wb velpw bitr2i bitrdi eqrdv ) AUFEFBUGZUHZAUFUIZEUJZVSFUJZVSBUKZUTZVSVRU
      JZAVTVSDBULVAZUMUNZUJZWCAEWFVSAECUMUNWFRACWEUMABCDGHIJKLMNUOOPQSTUAUBUEUD
      UPUQURUSADVBUJBFUJWGWCVLADGUBAGJKNOSUEVCVDABDFGHIJKLMNOSPTUAUBUCUDUEVEFWF
      BVSDWEWEVFUCWFVFVGVHVIWDWAVSVQUJZUTWCVSFVQVJWHWBWAUFBVMVKVNVOVP $.
  $}

  ${
    $d f D $.  $d f K $.  $d f U $.  $d f W $.
    lcdlss2.h $e |- H = ( LHyp ` K ) $.
    lcdlss2.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdlss2.s $e |- S = ( LSubSp ` C ) $.
    lcdlss2.v $e |- V = ( Base ` C ) $.
    lcdlss2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdlss2.d $e |- D = ( LDual ` U ) $.
    lcdlss2.t $e |- T = ( LSubSp ` D ) $.
    lcdlss2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Subspaces of a dual vector space of functionals with closed kernels.
       (Contributed by NM, 13-Mar-2015.)  (New usage is discouraged.) $)
    lcdlss2N $p |- ( ph -> S = ( T i^i ~P V ) ) $=
      ( vf cfv cv clk coch wceq clfn crab cpw eqid lcdlss lcdvbase pweqd ineq2d
      cin eqtr4d ) ADESUAFUBTZTZJHUCTTZTUQTUPUDSFUETZUFZUGZUMEIUGZUMAUSBCDEFSUR
      GHUOUQJKUQUHZLMOURUHZUOUHZPQUSUHZRUIAVAUTEAIUSAUSBFSURGHUOUQIJKVBLNOVCVDV
      ERUJUKULUN $.
  $}

  ${
    $d f D $.  $d f K $.  $d f U $.  $d f W $.
    lcdlsp.h $e |- H = ( LHyp ` K ) $.
    lcdlsp.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdlsp.d $e |- D = ( LDual ` U ) $.
    lcdlsp.m $e |- M = ( LSpan ` D ) $.
    lcdlsp.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdlsp.f $e |- F = ( Base ` C ) $.
    lcdlsp.n $e |- N = ( LSpan ` C ) $.
    lcdlsp.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcdlsp.g $e |- ( ph -> G C_ F ) $.
    $( Span in the set of functionals with closed kernels.  (Contributed by NM,
       28-Mar-2015.) $)
    lcdlsp $p |- ( ph -> ( N ` G ) = ( M ` G ) ) $=
      ( vf cfv cv clk coch wceq clfn crab cress clspn chlt lcdval fveq2d syl5eq
      co eqid fveq1d clmod wcel clss wss dvhlmod lduallmod lclkr sseqtrd lsslsp
      lcdvbase syl3anc eqtr4d ) AFJUBFCUAUCDUDUBZUBZKHUEUBUBZUBVLUBVKUFUADUGUBZ
      UHZUIUOZUJUBZUBZFIUBZAFJVPAJBUJUBVPRABVOUJABCDUAVMGHVJVLKUKLVLUPZPMVMUPZV
      JUPZNSULUMUNUQACURUSVNCUTUBZUSFVNVAVRVQUFACDNADGHKLMSVBVCAVNCWBDUAVMGHVJV
      LKLMVSVTWANWBUPZVNUPZSVDAFEVNTAVNBDUAVMGHVJVLEKLVSPQMVTWAWDSVGVEVNFWBIVPC
      VOVOUPOVPUPWCVFVHVI $.
  $}

  ${
    lcdlkreq.h $e |- H = ( LHyp ` K ) $.
    lcdlkreq.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdlkreq.l $e |- L = ( LKer ` U ) $.
    lcdlkreq.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdlkreq.o $e |- .0. = ( 0g ` C ) $.
    lcdlkreq.n $e |- N = ( LSpan ` C ) $.
    lcdlkreq.v $e |- V = ( Base ` C ) $.
    lcdlkreq.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcdlkreq.i $e |- ( ph -> I e. V ) $.
    lcdlkreq.g $e |- ( ph -> G e. ( N ` { I } ) ) $.
    lcdlkreq.z $e |- ( ph -> G =/= .0. ) $.
    $( Colinear functionals have equal kernels.  (Contributed by NM,
       28-Mar-2015.)  (New usage is discouraged.) $)
    lcdlkreqN $p |- ( ph -> ( L ` G ) = ( L ` I ) ) $=
      ( cld cfv clfn clspn c0g eqid dvhlvec lcdvbaselfl csn wcel wne cdif snssd
      lcdlsp eleqtrd lcd0v2 neeqtrd eldifsn sylanbrc lkrlspeqN ) ACUDUEZCUFUEZD
      FHVDUGUEZCVDUHUEZVEUIZOVDUIZVGUIZVFUIZACEGKMNTUJABCVEEGJKFMPSNVHTUAUKADFU
      LZVFUEZUMDVGUNDVMVGULUOUMADVLIUEVMUBABVDCJVLEGVFIKMNVIVKPSRTAFJUAUPUQURAD
      LVGUCABVDCEGLKVGMNVIVJPQTUSUTDVMVGVAVBVC $.
  $}

  ${
    lcdlkreq2.h $e |- H = ( LHyp ` K ) $.
    lcdlkreq2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    lcdlkreq2.s $e |- S = ( Scalar ` U ) $.
    lcdlkreq2.r $e |- R = ( Base ` S ) $.
    lcdlkreq2.o $e |- .0. = ( 0g ` S ) $.
    lcdlkreq2.l $e |- L = ( LKer ` U ) $.
    lcdlkreq2.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    lcdlkreq2.v $e |- V = ( Base ` C ) $.
    lcdlkreq2.t $e |- .x. = ( .s ` C ) $.
    lcdlkreq2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    lcdlkreq2.a $e |- ( ph -> A e. ( R \ { .0. } ) ) $.
    lcdlkreq2.i $e |- ( ph -> I e. V ) $.
    lcdlkreq2.g $e |- ( ph -> G = ( A .x. I ) ) $.
    $( Colinear functionals have equal kernels.  (Contributed by NM,
       28-Mar-2015.)  (New usage is discouraged.) $)
    lcdlkreq2N $p |- ( ph -> ( L ` G ) = ( L ` I ) ) $=
      ( cld cfv cvsca clfn eqid dvhlvec lcdvbaselfl co lcdvs oveqd eqtrd lkreqN
      ) ABGUIUJZDEVAUKUJZGULUJZHJLGORSTVCUMZUAVAUMZVBUMZAGIKNPQUEUNUFACGVCIKMNJ
      PUBUCQVDUEUGUOAHBJFUPBJVBUPUHAFVBBJACVAFVBGIKNPQVEVFUBUDUEUQURUSUT $.
  $}

  $c mapd $.

  $( Extend class notation with projectivity from subspaces of vector space H
     to subspaces of functionals with closed kernels. $)
  cmpd $a class mapd $.

  ${
    $d s k w f $.
    $( Extend class notation with a one-to-one onto ( ~ mapd1o ),
       order-preserving ( ~ mapdord ) map, called a projectivity (definition of
       projectivity in [Baer] p. 40), from subspaces of vector space H to those
       subspaces of the dual space having functionals with closed kernels.
       (Contributed by NM, 25-Jan-2015.) $)
    df-mapd $a |- mapd = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
          ( s e. ( LSubSp ` ( ( DVecH ` k ) ` w ) ) |->
  { f e. ( LFnl ` ( ( DVecH ` k ) ` w ) ) |
 ( ( ( ( ocH ` k ) ` w ) ` ( ( ( ocH ` k ) ` w )
     ` ( ( LKer ` ( ( DVecH ` k ) ` w ) ) ` f ) ) )
   = ( ( LKer ` ( ( DVecH ` k ) ` w ) ) ` f ) /\
 ( ( ( ocH ` k ) ` w ) ` ( ( LKer ` ( ( DVecH ` k ) ` w ) ) ` f ) )
        C_ s ) } ) ) ) $.
  $}

  ${
    $d k w H $.  $d f k s w K $.
    mapdval.h $e |- H = ( LHyp ` K ) $.
    $( Projectivity from vector space H to dual space.  (Contributed by NM,
       25-Jan-2015.) $)
    mapdffval $p |- ( K e. X -> ( mapd ` K ) = ( w e. H
  |-> ( s e. ( LSubSp ` ( ( DVecH ` K ) ` w ) ) |->
  { f e. ( LFnl ` ( ( DVecH ` K ) ` w ) ) |
 ( ( ( ( ocH ` K ) ` w ) ` ( ( ( ocH ` K ) ` w )
     ` ( ( LKer ` ( ( DVecH ` K ) ` w ) ) ` f ) ) )
   = ( ( LKer ` ( ( DVecH ` K ) ` w ) ) ` f ) /\
 ( ( ( ocH ` K ) ` w ) ` ( ( LKer ` ( ( DVecH ` K ) ` w ) ) ` f ) )
        C_ s ) } ) ) ) $=
      ( vk cfv cv cdvh clss clk coch wceq clfn cmpt clh fveq2 fveq1d cvv wss wa
      wcel cmpd crab eqtr4di fveq2d fveq12d eqeq12d anbi12d rabeqbidv mpteq12dv
      elex sseq1d df-mapd mptfvmpt syl ) DEUDDUAUDDUEIACFAJZDKIZIZLIZBJZVAMIZIZ
      USDNIZIZIZVGIZVEOZVHFJZUBZUCZBVAPIZUFZQZQODEUNAHVPRUEAHJZRIZFUSVQKIZIZLIZ
      VCVTMIZIZUSVQNIZIZIZWEIZWCOZWFVKUBZUCZBVTPIZUFZQZQCUADDVQDOZAVRWMCVPWNVRD
      RICVQDRSGUGWNFWAWLVBVOWNVTVALWNUSVSUTVQDKSTZUHWNWJVMBWKVNWNVTVAPWOUHWNWHV
      JWIVLWNWGVIWCVEWNWFVHWEVGWNUSWDVFVQDNSTZWNWCVEWEVGWPWNVCWBVDWNVTVAMWOUHTZ
      UIZUIWQUJWNWFVHVKWRUOUKULUMUMABHFUPGUQUR $.

    $d f w F $.  $d w L $.  $d w O $.  $d s w S $.  $d f s w W $.
    mapdval.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdval.s $e |- S = ( LSubSp ` U ) $.
    mapdval.f $e |- F = ( LFnl ` U ) $.
    mapdval.l $e |- L = ( LKer ` U ) $.
    mapdval.o $e |- O = ( ( ocH ` K ) ` W ) $.
    mapdval.m $e |- M = ( ( mapd ` K ) ` W ) $.
    $( Projectivity from vector space H to dual space.  (Contributed by NM,
       25-Jan-2015.) $)
    mapdfval $p |- ( ( K e. X /\ W e. H )
     -> M = ( s e. S |-> { f e. F |
   ( ( O ` ( O ` ( L ` f ) ) ) = ( L ` f ) /\ ( O ` ( L ` f ) ) C_ s ) } ) ) $=
      ( cfv vw wcel cv cdvh clss clk coch wceq wa clfn crab cmpt cmpd mapdffval
      wss fveq1d syl5eq eqtr4di fveq2d fveq12d eqeq12d sseq1d anbi12d rabeqbidv
      fveq2 mpteq12dv eqid mptfvmpt sylan9eq ) FKUBZJEUBHJUAELUAUCZFUDTZTZUETZC
      UCZVMUFTZTZVKFUGTZTZTZVSTZVQUHZVTLUCZUOZUIZCVMUJTZUKZULZULZTZLAVOGTZITZIT
      ZWKUHZWLWCUOZUIZCDUKZULVJHJFUMTZTWJSVJJWRWIUACEFKLMUNUPUQLUAWQUEWIWHAEBJV
      KJUHZLVNWGAWQWSVNBUETAWSVMBUEWSVMJVLTBVKJVLVENURZUSOURWSWEWPCWFDWSWFBUJTD
      WSVMBUJWTUSPURWSWBWNWDWOWSWAWMVQWKWSVTWLVSIWSVSJVRTIVKJVRVERURZWSVQWKVSIX
      AWSVOVPGWSVPBUFTGWSVMBUFWTUSQURUPZUTZUTXBVAWSVTWLWCXCVBVCVDVFWIVGOVHVI $.

    $d f g s F $.  $d g s L $.  $d g s O $.  $d f s T $.
    mapdval.k $e |- ( ph -> ( K e. X /\ W e. H ) ) $.
    mapdval.t $e |- ( ph -> T e. S ) $.
    $( Value of projectivity from vector space H to dual space.  (Contributed
       by NM, 27-Jan-2015.) $)
    mapdval $p |- ( ph -> ( M ` T )
            = { f e. F |
     ( ( O ` ( O ` ( L ` f ) ) ) = ( L ` f ) /\ ( O ` ( L ` f ) ) C_ T ) } ) $=
      ( vs cfv cv wceq wss wa crab cmpt wcel mapdfval syl fveq1d cvv clfn fvexi
      rabex sseq2 anbi2d rabbidv eqid fvmptg sylancl eqtrd ) ACJUDCUCBEUEIUDZKU
      DZKUDVFUFZVGUCUEZUGZUHZEFUIZUJZUDZVHVGCUGZUHZEFUIZACJVMAHMUKLGUKUHJVMUFUA
      BDEFGHIJKLMUCNOPQRSTULUMUNACBUKVQUOUKVNVQUFUBVPEFFDUPQUQURUCCVLVQBUOVMVIC
      UFZVKVPEFVRVJVOVHVICVGUSUTVAVMVBVCVDVE $.

    $d f ph $.
    mapdvalc.c $e |- C = { g e. F | ( O ` ( O ` ( L ` g ) ) ) = ( L ` g ) } $.
    $( Value of projectivity from vector space H to dual space.  (Contributed
       by NM, 27-Jan-2015.) $)
    mapdvalc $p |- ( ph -> ( M ` T )
          = { f e. C | ( O ` ( L ` f ) ) C_ T } ) $=
      ( cfv cv wceq wss wa crab mapdval anass wb lcfl1lem anbi1i bicomi bitr3id
      wcel a1i rabbidva2 eqtrd ) ADLUFFUGZKUFZMUFZMUFVDUHZVEDUIZUJZFHUKVGFBUKAC
      DEFHIJKLMNOPQRSTUAUBUCUDULAVHVGFHBVCHUSZVHUJVIVFUJZVGUJZAVCBUSZVGUJZVIVFV
      GUMVKVMUNAVMVKVLVJVGBGHVCKMUEUOUPUQUTURVAVB $.
  $}

  ${
    $d v C $.  $d f g F $.  $d f K $.  $d g v L $.  $d v N $.  $d g v O $.
    $d f v T $.  $d v U $.  $d f W $.  $d f v ph $.
    mapdval2.h $e |- H = ( LHyp ` K ) $.
    mapdval2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdval2.s $e |- S = ( LSubSp ` U ) $.
    mapdval2.n $e |- N = ( LSpan ` U ) $.
    mapdval2.f $e |- F = ( LFnl ` U ) $.
    mapdval2.l $e |- L = ( LKer ` U ) $.
    mapdval2.o $e |- O = ( ( ocH ` K ) ` W ) $.
    mapdval2.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdval2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdval2.t $e |- ( ph -> T e. S ) $.
    mapdval2.c $e |- C = { g e. F | ( O ` ( O ` ( L ` g ) ) ) = ( L ` g ) } $.
    $( Value of projectivity from vector space H to dual space.  (Contributed
       by NM, 31-Jan-2015.)  (New usage is discouraged.) $)
    mapdval2N $p |- ( ph
   -> ( M ` T ) = { f e. C | E. v e. T ( O ` ( L ` f ) ) = ( N ` { v } ) } ) $=
      ( cfv cv wss crab csn wceq wrex chlt mapdvalc wcel wa clsa wi c0g dvhlmod
      clmod ad3antrrr simplr eqid islsati syl2anc simprr eqsstrrd adantr simprl
      cbs lspsnel5 mpbird reximssdv ex lss0cl simpr lspsn0 eqtr4d sneq rspceeqv
      syl fveq2d adantlr a1d lcfl1lem simplbi adantl dochsat0 mpjaodan 3ad2ant1
      w3a simp3 simp2 lspsnel5a eqsstrd rexlimdv3a impbid rabbidva eqtrd ) AEMU
      HGUIZLUHZOUHZEUJZGCUKXEBUIZULZNUHZUMZBEUNZGCUKACDEFGHIJKLMOPUOQRSUAUBUCUD
      UEUFUGUPAXFXKGCAXCCUQZURZXFXKXMXEFUSUHZUQZXFXKUTXEFVAUHZULZUMZXMXOURZXFXK
      XSXFURZXJXJBEFVMUHZXTFVCUQZXOXJBYAUNAYBXLXOXFAFJKPQRUEVBZVDXMXOXFVEBXNXEN
      YAFVCYAVFZTXNVFZVGVHXTXGYAUQZXJURZURZXGEUQZXIEUJYHXIXEEXTYFXJVIZXSXFYGVEV
      JYHDENYAFXGYDSTXMYBXOXFYGAYBXLYCVKZVDXMEDUQZXOXFYGAYLXLUFVKZVDXTYFXJVLVNV
      OYJVPVQXMXRURXKXFAXRXKXLAXRURZXPEUQZXEXQNUHZUMXKAYOXRAYBYLYOYCUFDEFXPXPVF
      ZSVRVHVKYNXEXQYPAXRVSYNYBYPXQUMAYBXRYCVKNFXPYQTVTWDWABXPEXIYPXEXGXPUMXHXQ
      NXGXPWBWEWCVHWFWGXMXNFIXCJKLOPXPQUCRYQYEUAUBAKUOUQPJUQURXLUEVKXLXCIUQZAXL
      YRXEOUHXDUMCHIXCLOUGWHWIWJWKWLXMXJXFBEXMYIXJWNZXEXIEXMYIXJWOYSDENFXGSTXMY
      IYBXJYKWMXMYIYLXJYMWMXMYIXJWPWQWRWSWTXAXB $.

    $d f C $.
    $( Value of projectivity from vector space H to dual space.  (Contributed
       by NM, 31-Jan-2015.)  (New usage is discouraged.) $)
    mapdval3N $p |- ( ph
   -> ( M ` T ) = U_ v e. T { f e. C | ( O ` ( L ` f ) ) = ( N ` { v } ) } ) $=
      ( cfv cv csn wceq wrex crab ciun mapdval2N iunrab eqtr4di ) AEMUHGUILUHOU
      HBUIUJNUHUKZBEULGCUMBEURGCUMUNABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUOURBGECU
      PUQ $.
  $}

  ${
    $d f g v w F $.  $d f K $.  $d g v w L $.  $d g v w O $.  $d f v w T $.
    $d v w U $.  $d f W $.  $d f v w ph $.
    mapdval4.h $e |- H = ( LHyp ` K ) $.
    mapdval4.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdval4.s $e |- S = ( LSubSp ` U ) $.
    mapdval4.f $e |- F = ( LFnl ` U ) $.
    mapdval4.l $e |- L = ( LKer ` U ) $.
    mapdval4.o $e |- O = ( ( ocH ` K ) ` W ) $.
    mapdval4.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdval4.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdval4.t $e |- ( ph -> T e. S ) $.
    $( Value of projectivity from vector space H to dual space.  TODO: 1.  This
       is shorter than others - make it the official def?  (but is not as
       obvious that it is ` C_ C ` ) 2.  The unneeded direction of ~ lcfl8a has
       awkward ` E. ` - add another thm with only one direction of it? 3.  Swap
       ` O `` { v } ` and ` L `` f ` ?  (Contributed by NM, 31-Jan-2015.)
       (New usage is discouraged.) $)
    mapdval4N $p |- ( ph
           -> ( M ` T ) = { f e. F | E. v e. T ( O ` { v } ) = ( L ` f ) } ) $=
      ( vg vw cfv cv csn clspn wceq wrex crab eqid mapdval2N wa lcfl1lem anbi1i
      wcel anass bitri r19.42v simprr fveq2d simprl cbs chlt adantr lssel sylan
      wss snssd dochocsp 3eqtr3rd simpr eqcomd weq sneq rspceeqv syl2anc lcfl8a
      simpllr mpbird dochocsn fveq2 sylan9req impbida rexbidva bitr3id pm5.32da
      jca syl5bb rabbidva2 eqtrd ) ADKUEFUFZJUEZLUEZBUFZUGZEUHUEZUEZUIZBDUJZFUC
      UFJUEZLUELUEXBUIUCGUKZUKWQLUEZWNUIZBDUJZFGUKABXCCDEFUCGHIJKWRLMNOPWRULZQR
      STUAUBXCULZUMAXAXFFXCGWMXCUQZXAUNZWMGUQZWOLUEZWNUIZXAUNZUNZAXKXFUNXJXKXMU
      NZXAUNXOXIXPXAXCUCGWMJLXHUOUPXKXMXAURUSAXKXNXFXNXMWTUNZBDUJAXKUNZXFXMWTBD
      UTXRXQXEBDXRWPDUQZUNZXQXEXTXQUNZXLWSLUEWNXDYAWOWSLXTXMWTVAVBXTXMWTVCYAEHI
      WRLEVDUEZMWQNOSYBULZXGXTIVEUQMHUQUNZXQXRYDXSAYDXKUAVFVFZVFXTWQYBVIXQXTWPY
      BXRDCUQZXSWPYBUQZAYFXKUBVFCDYBEWPYCPVGVHZVJVFVKVLXTXEUNZXMWTYIXMWNUDUFZUG
      ZLUEZUIUDYBUJZYIYGWNXDUIYMXTYGXEYHVFYIXDWNXTXEVMVNUDWPYBYLXDWNUDBVOYKWQLY
      JWPVPVBVQVRYIUDEGWMHIJLYBMNSOYCQRXTYDXEYEVFAXKXSXEVTVSWAYIWSWOXTXEWSXDLUE
      WOXTEHIWRLYBMWPNOSYCXGYEYHWBXDWNLWCWDVNWIWEWFWGWHWJWKWL $.

    $( Value of projectivity from vector space H to dual space.  (Contributed
       by NM, 31-Jan-2015.)  (New usage is discouraged.) $)
    mapdval5N $p |- ( ph
           -> ( M ` T ) = U_ v e. T { f e. F | ( O ` { v } ) = ( L ` f ) } ) $=
      ( cfv cv csn wceq wrex crab ciun mapdval4N iunrab eqtr4di ) ADKUCBUDUELUC
      FUDJUCUFZBDUGFGUHBDUMFGUHUIABCDEFGHIJKLMNOPQRSTUAUBUJUMBFDGUKUL $.
  $}

  ${
    $d g F $.  $d g J $.  $d g L $.  $d g O $.  $d g Y $.
    mapdordlem1a.h $e |- H = ( LHyp ` K ) $.
    mapdordlem1a.o $e |- O = ( ( ocH ` K ) ` W ) $.
    mapdordlem1a.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdordlem1a.v $e |- V = ( Base ` U ) $.
    mapdordlem1a.y $e |- Y = ( LSHyp ` U ) $.
    mapdordlem1a.f $e |- F = ( LFnl ` U ) $.
    mapdordlem1a.l $e |- L = ( LKer ` U ) $.
    mapdordlem1a.t $e |- T = { g e. F | ( O ` ( O ` ( L ` g ) ) ) e. Y } $.
    mapdordlem1a.c $e |- C = { g e. F | ( O ` ( O ` ( L ` g ) ) )
           = ( L ` g ) } $.
    mapdordlem1a.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Lemma for ~ mapdord .  (Contributed by NM, 27-Jan-2015.) $)
    mapdordlem1a $p |- ( ph -> ( J e. T
          <-> ( J e. C /\ ( O ` ( O ` ( L ` J ) ) ) e. Y ) ) ) $=
      ( wcel wa wceq simprr chlt adantr simprl dochlkr mpbid simpld ex pm4.71rd
      cfv 2fveq3 fveq2d eleq1d elrab2 lcfl1lem anbi1i anass an12 3bitri 3bitr4g
      cv ) AHFUEZHJUQZKUQZKUQZNUEZUFZVLVJUGZVNUFZHCUEHBUEZVMUFZAVNVOAVNVOAVNUFZ
      VOVJNUEZVSVMVOVTUFAVIVMUHVSDFHGIJKMNOPQTSUAAIUIUEMGUEUFVNUDUJAVIVMUKULUMU
      NUOUPEVHZJUQKUQZKUQZNUEVMEHFCWAHUGZWCVLNWDWBVKKWAHKJURUSUTUBVAVRVIVOUFZVM
      UFVIVOVMUFUFVPVQWEVMBEFHJKUCVBVCVIVOVMVDVIVOVMVEVFVG $.
  $}

  ${
    $d g F $.  $d g J $.  $d g L $.  $d g O $.
    mapdordlem1b.c $e |- C = { g e. F | ( O ` ( O ` ( L ` g ) ) )
           = ( L ` g ) } $.
    $( Lemma for ~ mapdord .  (Contributed by NM, 27-Jan-2015.)
       (New usage is discouraged.) $)
    mapdordlem1bN $p |- ( J e. C
          <-> ( J e. F /\ ( O ` ( O ` ( L ` J ) ) ) = ( L ` J ) ) ) $=
      ( lcfl1lem ) ABCDEFGH $.
  $}

  ${
    $d g F $.  $d g J $.  $d g L $.  $d g O $.  $d g Y $.
    mapdordlem1.t $e |- T = { g e. F | ( O ` ( O ` ( L ` g ) ) ) e. Y } $.
    $( Lemma for ~ mapdord .  (Contributed by NM, 27-Jan-2015.) $)
    mapdordlem1 $p |- ( J e. T
          <-> ( J e. F /\ ( O ` ( O ` ( L ` J ) ) ) e. Y ) ) $=
      ( cv cfv wcel wceq 2fveq3 fveq2d eleq1d elrab2 ) BIZEJFJZFJZGKDEJFJZFJZGK
      BDCAQDLZSUAGUBRTFQDFEMNOHP $.
  $}

  ${
    $d f g K $.  $d p S $.  $d f g p U $.  $d f g W $.
    mapdord.h $e |- H = ( LHyp ` K ) $.
    mapdord.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdord.s $e |- S = ( LSubSp ` U ) $.
    mapdord.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdord.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdord.x $e |- ( ph -> X e. S ) $.
    mapdord.y $e |- ( ph -> Y e. S ) $.
    ${
      $d f p A $.  $d f g F $.  $d g J $.  $d f g p L $.  $d f g p O $.
      $d p T $.  $d f p X $.  $d f p Y $.  $d f p ph $.
      mapdord.o $e |- O = ( ( ocH ` K ) ` W ) $.
      mapdord.a $e |- A = ( LSAtoms ` U ) $.
      mapdord.f $e |- F = ( LFnl ` U ) $.
      mapdord.c $e |- J = ( LSHyp ` U ) $.
      mapdord.l $e |- L = ( LKer ` U ) $.
      mapdord.t $e |- T = { g e. F | ( O ` ( O ` ( L ` g ) ) ) e. J } $.
      mapdord.q $e |- C = { g e. F | ( O ` ( O ` ( L ` g ) ) ) = ( L ` g ) } $.
      $( Lemma for ~ mapdord .  Ordering property of projectivity ` M ` .
         TODO:  This was proved using some hacked-up older proofs.  Maybe
         simplify; get rid of the ` T ` hypothesis.  (Contributed by NM,
         27-Jan-2015.) $)
      mapdordlem2 $p |- ( ph -> ( ( M ` X ) C_ ( M ` Y ) <-> X C_ Y ) ) $=
        ( vf vp cfv wss cv crab chlt mapdvalc sseq12d wral ss2rab wcel cbs eqid
        wi wa mapdordlem1a simprl idd embantd ex sylbid ralimdv2 syl5bi dvhlmod
        lssatle mapdordlem1 simprbi adantl adantr simplbi dochlkr simpld simprd
        com23 wceq mpbid dochshpsat wex clvec dvhlvec simpr dochsatshp lshpkrex
        wrex syl2anc df-rex sylib simprr fveq2d crn clmod lsatssv dochcl dochoc
        cdih eqtrd eqeltrd sylanbrc dih1dimat eqtr2d jca eximdv sylibr wb sseq1
        mpd imbi12d ralxfrd bitr2d sylibd simplr sstr ancoms a1i mpand ss2rabdv
        impbid bitrd ) APMUNZQMUNZUOULUPZLUNZNUNZPUOZULCUQZYOQUOZULCUQZUOZPQUOZ
        AYKYQYLYSACDPFULGHIKLMNOURRSTUGUIUEUAUBUCUKUSACDQFULGHIKLMNOURRSTUGUIUE
        UAUBUDUKUSUTAYTUUAAYTYPYRVFZULEVAZUUAYTUUBULCVAAUUCYPYRULCVBAUUBUUBULCE
        AYMEVCZYMCVCZUUBVFZUUBAUUDUUEYONUNZJVCZVGZUUFUUBVFZACEFGHIYMKLNFVDUNZOJ
        RUESUUKVEZUHUGUIUJUKUBVHAUUIUUJAUUIVGZUUEUUBUUBAUUEUUHVIUUMUUBVJVKVLVMW
        FVNVOAUUAUMUPZPUOZUUNQUOZVFZUMBVAUUCABDPQFUMTUFAFIKORSUBVPZUCUDVQAUUQUU
        BUMULYOBEAUUDVGZUUGYNWGZYOBVCUUSUUTYNJVCZUUSUUHUUTUVAVGUUDUUHAUUDYMHVCZ
        UUHEGHYMLNJUJVRZVSVTUUSFHYMIKLNOJRUESUGUHUIAKURVCOIVCVGZUUDUBWAZUUDUVBA
        UUDUVBUUHUVCWBVTWCWHZWDUUSBFIKNOYNJRUESUFUHUVEUUSUUTUVAUVFWEWIWHAUUNBVC
        ZVGZUUDUUNYOWGZVGZULWJZUVIULEWPUVHUVBYNUUNNUNZWGZVGZULWJZUVKUVHUVMULHWP
        ZUVOUVHFWKVCZUVLJVCZUVPAUVQUVGAFIKORSUBWLWAUVHBUUNFIKNOJRSUEUFUHAUVDUVG
        UBWAZAUVGWMZWNZUVLULHJLFUHUGUIWOWQUVMULHWRWSUVHUVNUVJULUVHUVNUVJUVHUVNV
        GZUUDUVIUWBUVBUUHUUDUVHUVBUVMVIUWBUUGUVLJUWBUUGUVLNUNZNUNZUVLUWBYOUWCNU
        WBYNUVLNUVHUVBUVMWTXAZXAUVHUWDUVLWGZUVNUVHUVDUVLOKXGUNUNZXBZVCZUWFUVSUV
        HUVDUUNUUKUOUWIUVSUVHBUUNUUKFUULUFAFXCVCUVGUURWAUVTXDFIUWGKNUUKOUUNRUWG
        VEZSUULUEXEWQIUWGKNOUVLRUWJUEXFWQWAXHUVHUVRUVNUWAWAXIUVCXJUWBYOUWCUUNUW
        EUVHUWCUUNWGZUVNUVHUVDUUNUWHVCZUWKUVSUVHUVDUVGUWLUVSUVTBUUNFIUWGKORSUWJ
        UFXKWQIUWGKNOUUNRUWJUEXFWQWAXLXMVLXNXRUVIULEWRXOUVIUUQUUBXPAUVIUUOYPUUP
        YRUUNYOPXQUUNYOQXQXSVTXTYAYBAUUAYTAUUAVGZYPYRULCUWMUUEVGZUUAYPYRAUUAUUE
        YCUUAYPVGYRVFUWNYPUUAYRYOPQYDYEYFYGYHVLYIYJ $.
    $}

    $( Ordering property of the map defined by ~ df-mapd .  Property (b) of
       [Baer] p. 40.  (Contributed by NM, 27-Jan-2015.) $)
    mapdord $p |- ( ph -> ( ( M ` X ) C_ ( M ` Y ) <-> X C_ Y ) ) $=
      ( vg cfv crab eqid clsa cv clk coch wceq clfn clsh wcel mapdordlem2 ) ACU
      ARZQUBCUCRZRZGEUDRRZRUMRZULUEQCUFRZSZBUNCUGRZUHQUOSZCQUODUQEUKFUMGHIJKLMN
      OPUMTUJTUOTUQTUKTURTUPTUI $.

    $( The map defined by ~ df-mapd is one-to-one.  Property (c) of [Baer]
       p. 40.  (Contributed by NM, 12-Mar-2015.) $)
    mapd11 $p |- ( ph -> ( ( M ` X ) = ( M ` Y ) <-> X = Y ) ) $=
      ( cfv wss wa wceq mapdord anbi12d eqss 3bitr4g ) AHFQZIFQZRZUFUERZSHIRZIH
      RZSUEUFTHITAUGUIUHUJABCDEFGHIJKLMNOPUAABCDEFGIHJKLMNPOUAUBUEUFUCHIUCUD $.
  $}

  ${
    $d f D $.  $d f K $.  $d f R $.  $d f U $.  $d f W $.
    mapddlss.h $e |- H = ( LHyp ` K ) $.
    mapddlss.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapddlss.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapddlss.s $e |- S = ( LSubSp ` U ) $.
    mapddlss.d $e |- D = ( LDual ` U ) $.
    mapddlss.t $e |- T = ( LSubSp ` D ) $.
    mapddlss.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapddlss.r $e |- ( ph -> R e. S ) $.
    $( The mapping of a subspace of vector space H to the dual space is a
       subspace of the dual space.  TODO:  Make this obsolete, use ~ mapdcl2
       instead.  (Contributed by NM, 31-Jan-2015.)
       (New usage is discouraged.) $)
    mapddlssN $p |- ( ph -> ( M ` R ) e. T ) $=
      ( vf cfv cv clk coch wceq wss clfn crab chlt eqid mapdval lclkrs eqeltrd
      wa ) ACITSUAFUBTZTZJHUCTTZTZUPTUOUDUQCUEUMSFUFTZUGZEADCFSURGHUNIUPJUHKMNU
      RUIZUNUIZUPUIZLQRUJAUSBCDEFSURGHUNUPJKVBMNUTVAOPUSUIQRUKUL $.
  $}

  ${
    $d f F $.  $d f K $.  $d f N $.  $d f W $.  $d f X $.  $d f ph $.
    mapdsn.h $e |- H = ( LHyp ` K ) $.
    mapdsn.o $e |- O = ( ( ocH ` K ) ` W ) $.
    mapdsn.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdsn.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdsn.v $e |- V = ( Base ` U ) $.
    mapdsn.n $e |- N = ( LSpan ` U ) $.
    mapdsn.f $e |- F = ( LFnl ` U ) $.
    mapdsn.l $e |- L = ( LKer ` U ) $.
    mapdsn.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdsn.x $e |- ( ph -> X e. V ) $.
    $( Value of the map defined by ~ df-mapd at the span of a singleton.
       (Contributed by NM, 16-Feb-2015.) $)
    mapdsn $p |- ( ph
     -> ( M ` ( N ` { X } ) ) = { f e. F | ( O ` { X } ) C_ ( L ` f ) } ) $=
      ( csn cfv cv wceq wss wa crab clss chlt eqid wcel dvhlmod lspsncl syl2anc
      clmod mapdval ad2antrr snssd lspssv simprr dochss syl3anc dochocsp simprl
      3sstr3d simplr simpr lcfl9a lkrssv dochocsn sseqtrd jca impbida rabbidva
      eqtrd ) AMUDZIUEZHUECUFZGUEZJUEZJUEZWBUGZWCVTUHZUIZCDUJVSJUEZWBUHZCDUJABU
      KUEZVTBCDEFGHJLULNQWJUMZTUAOPUBABURUNZMKUNZVTWJUNABEFLNQUBUOZUCWJIKBMRWKS
      UPUQUSAWGWICDAWADUNZUIZWGWIWPWGUIZVTJUEZWDWHWBWQFULUNLEUNUIZVTKUHZWFWRWDU
      HAWSWOWGUBUTAWTWOWGAWLVSKUHWTWNAMKUCVAZVSIKBRSVBUQUTWPWEWFVCBEFJKLWCVTNQR
      OVDVEAWRWHUGWOWGABEFIJKLVSNQORSUBXAVFUTWPWEWFVGVHWPWIUIZWEWFXBBDWAEFGJKLM
      NOQRTUAAWSWOWIUBUTZAWOWIVIZAWMWOWIUCUTWPWIVJZVKXBWCWHJUEZVTXBWSWBKUHWIWCX
      FUHXCXBDWAGKBRTUAAWLWOWIWNUTXDVLXEBEFJKLWHWBNQROVDVEAXFVTUGWOWIABEFIJKLMN
      QORSUBUCVMUTVNVOVPVQVR $.

    mapdsn2.e $e |- ( ph -> ( L ` G ) = ( O ` { X } ) ) $.
    $( Value of the map defined by ~ df-mapd at the span of a singleton.
       (Contributed by NM, 16-Feb-2015.) $)
    mapdsn2 $p |- ( ph
     -> ( M ` ( N ` { X } ) ) = { f e. F | ( L ` G ) C_ ( L ` f ) } ) $=
      ( csn cfv cv wss crab mapdsn sseq1d rabbidv eqtr4d ) ANUFZJUGIUGUOKUGZCUH
      HUGZUIZCDUJEHUGZUQUIZCDUJABCDFGHIJKLMNOPQRSTUAUBUCUDUKAUTURCDAUSUPUQUEULU
      MUN $.
  $}

  ${
    $d f D $.  $d f F $.  $d f G $.  $d f K $.  $d f N $.  $d f P $.  $d f W $.
    $d f X $.  $d f ph $.
    mapdsn3.h $e |- H = ( LHyp ` K ) $.
    mapdsn3.o $e |- O = ( ( ocH ` K ) ` W ) $.
    mapdsn3.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdsn3.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdsn3.v $e |- V = ( Base ` U ) $.
    mapdsn3.n $e |- N = ( LSpan ` U ) $.
    mapdsn3.f $e |- F = ( LFnl ` U ) $.
    mapdsn3.l $e |- L = ( LKer ` U ) $.
    mapdsn3.d $e |- D = ( LDual ` U ) $.
    mapdsn3.p $e |- P = ( LSpan ` D ) $.
    mapdsn3.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdsn3.x $e |- ( ph -> X e. V ) $.
    mapdsn3.g $e |- ( ph -> G e. F ) $.
    mapdsn3.e $e |- ( ph -> ( L ` G ) = ( O ` { X } ) ) $.
    $( Value of the map defined by ~ df-mapd at the span of a singleton.
       (Contributed by NM, 17-Feb-2015.) $)
    mapdsn3 $p |- ( ph -> ( M ` ( N ` { X } ) ) = ( P ` { G } ) ) $=
      ( vf csn cfv cv wss crab mapdsn2 dvhlvec ldual1dim eqtr4d ) AOUKKULJULFIU
      LUJUMIULUNUJEUOFUKCULADUJEFGHIJKLMNOPQRSTUAUBUCUFUGUIUPABUJEFICDUBUCUDUEA
      DGHNPSUFUQUHURUS $.
  $}

  ${
    $d f v F $.  $d f K $.  $d v L $.  $d v O $.  $d f v Q $.  $d v U $.
    $d f W $.  $d f v ph $.
    mapd1dim2.h $e |- H = ( LHyp ` K ) $.
    mapd1dim2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapd1dim2.a $e |- A = ( LSAtoms ` U ) $.
    mapd1dim2.f $e |- F = ( LFnl ` U ) $.
    mapd1dim2.l $e |- L = ( LKer ` U ) $.
    mapd1dim2.o $e |- O = ( ( ocH ` K ) ` W ) $.
    mapd1dim2.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapd1dim2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapd1dim2.t $e |- ( ph -> Q e. A ) $.
    $( Value of the map defined by ~ df-mapd at an atom.  (Contributed by NM,
       10-Feb-2015.)  (New usage is discouraged.) $)
    mapd1dim2lem1N $p |- ( ph
           -> ( M ` Q ) = { f e. F | E. v e. Q ( O ` { v } ) = ( L ` f ) } ) $=
      ( clss cfv eqid dvhlmod lsatlssel mapdval4N ) ABEUCUDZDEFGHIJKLMNOUIUEZQR
      STUAACUIDEUJPAEHIMNOUAUFUBUGUH $.

    mapd1dim2.d $e |- D = ( LDual ` U ) $.
    mapd1dim2.b $e |- B = ( LSAtoms ` D ) $.
    $( Value of the map defined by ~ df-mapd at an atom. $)
$(
     mapd1dim2 $p |- ( ph -> ( M ` Q ) e. B ) $=
      ( dvhlmod lduallmod eqid islsat syl mpbird ) ??????????UCAFHIMNOUAUEUF?
      ????????UGZUKUKUDUHUIUJ $.
  $)
  $}

  ${
    mapd1dim3.h $e |- H = ( LHyp ` K ) $.
    mapd1dim3.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapd1dim3.o $e |- O = ( ( ocH ` K ) ` W ) $.
    mapd1dim3.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapd1dim3.v $e |- V = ( Base ` U ) $.
    mapd1dim3.n $e |- N = ( LSpan ` U ) $.
    mapd1dim3.f $e |- F = ( LFnl ` U ) $.
    mapd1dim3.l $e |- L = ( LKer ` U ) $.
    mapd1dim3.d $e |- D = ( LDual ` U ) $.
    mapd1dim3.j $e |- J = ( LSpan ` D ) $.
    mapd1dim3.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapd1dim3.t $e |- ( ph -> X e. V ) $.
    mapd1dim3.g $e |- ( ph -> G e. F ) $.
    mapd1dim3.e $e |- ( ph -> ( L ` G ) = ( O ` { X } ) ) $.
    $( Value of the map defined by ~ df-mapd at the span of a singleton. $)
$(
     mapd1dim3 $p |- ( ph -> ( M ` ( N ` { X } ) ) = ( J ` { G } ) ) $=
      ( vf csn cfv cv wss crab eqtrd sseq1d rabbidv eqcomd dvhlvec ldual1dim
      ) AOUKKULJULEIULUJUMIULUNUJDUOZEUKGULZ??????????UP????????????UIUQURUSUP
      AVCVBABUJDEIGCUBUCUDUEACFHNPQUFUTUHVAUSUP $.
  $)
  $}

  ${
    mapdrval.h $e |- H = ( LHyp ` K ) $.
    mapdrval.o $e |- O = ( ( ocH ` K ) ` W ) $.
    mapdrval.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdrval.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdrval.s $e |- S = ( LSubSp ` U ) $.
    mapdrval.f $e |- F = ( LFnl ` U ) $.
    mapdrval.l $e |- L = ( LKer ` U ) $.
    mapdrval.d $e |- D = ( LDual ` U ) $.
    mapdrval.t $e |- T = ( LSubSp ` D ) $.
    mapdrval.c $e |- C = { g e. F | ( O ` ( O ` ( L ` g ) ) ) = ( L ` g ) } $.
    mapdrval.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdrval.r $e |- ( ph -> R e. T ) $.
    mapdrval.e $e |- ( ph -> R C_ C ) $.
    ${
      $d f i C $.  $d i D $.  $d f g F $.  $d f K $.  $d g h i L $.
      $d g h i O $.  $d f i Q $.  $d f h i R $.  $d g i U $.  $d i V $.
      $d f W $.  $d f i ph $.
      mapdrval.q $e |- Q = U_ h e. R ( O ` ( L ` h ) ) $.
      ${
        $d h r x C $.  $d r F $.  $d r x L $.  $d h r N $.  $d r x O $.
        $d h r x Q $.  $d r x R $.  $d h r x U $.  $d h r x V $.  $d h r x Y $.
        $d h r .0. $.  $d h r x ph $.  $d f g r x $.
        mapdrval.v $e |- V = ( Base ` U ) $.
        mapdrvallem2.a $e |- A = ( LSAtoms ` U ) $.
        mapdrvallem2.n $e |- N = ( LSpan ` U ) $.
        mapdrvallem2.z $e |- .0. = ( 0g ` U ) $.
        mapdrvallem2.y $e |- Y = ( 0g ` D ) $.
        $( Lemma for ~ mapdrval .  TODO: very long antecedents are dragged
           through proof in some places - see if it shortens proof to remove
           unused conjuncts.  (Contributed by NM, 2-Feb-2015.) $)
        mapdrvallem2 $p |- ( ph
                 -> { f e. C | ( O ` ( L ` f ) ) C_ Q } C_ R ) $=
          ( vx vr cv cfv wss wcel w3a eleq1 wne wa wceq cdif wrex chlt 3ad2ant1
          csn adantr simpl2 simpr eldifsn sylanbrc lcfl8b cvsca co wex csca cbs
          ciun simp1l3 eqimss2 3ad2ant3 clmod dvhlmod lcfl1lem simplbi 3ad2ant2
          wb lkrssv dochlss syl2anc eldifi lspsnel5 mpbird eleqtrdi eliun sylib
          sseldd eqid clvec dvhlvec ad2antrr simp1l1 syl sseld syl6 mpd simpll3
          lspsnel5a simpll2 lsatlspsn dochsat0 lsatcmp2 mpbid eqtr2d crn sselda
          cdih lcfl5 simp1l2 doch11 eqlkr4 reximdva reximi rexcom df-rex rexbii
          ex wi simplr simprl ldualssvscl ad2antll exlimdv rexlimdva rexlimdv3a
          bitri biimpr lduallmod lss0cl pm2.61ne rabssdv ) AJVEZPVFZSVFZEVGZJCF
          AUUNCVHZUUQVIZUUNFVHZUBFVHZUUNUBUUNUBFVJUUSUUNUBVKZVLZUUPVCVEZVRRVFZV
          MZVCTUCVRZVNZVOUUTUVCVCCDIKMUUNNOPRSTUAUBUCUDUEUGURUTVAUIUJUKVBUMUUSO
          VPVHUANVHVLZUVBAUURUVIUUQUNVQVSZUVCUURUVBUUNCUBVRVNVHAUURUUQUVBVTUUSU
          VBWAUUNCUBWBWCWDUVCUVFUUTVCUVHUVCUVDUVHVHZUVFVIZLVEZFVHZUUTVDVEZUVMDW
          EVFZWFZFVHZWSZVLZLWGZVDIWHVFZWIVFZVOZUUTUVLUUNUVQVMZVDUWCVOZLFVOZUWDU
          VLUVDUVMPVFZSVFZVHZLFVOZUWGUVLUVDLFUWIWJZVHUWKUVLUVDEUWLUVLUUPEUVDAUU
          RUUQUVBUVKUVFWKUVLUVDUUPVHUVEUUPVGZUVFUVCUWMUVKUVEUUPWLWMUVLGUUPRTIUV
          DURUHUTUVCUVKIWNVHZUVFUUSUWNUVBAUURUWNUUQAINOUAUDUGUNWOZVQVSZVQZUVLUV
          IUUOTVGUUPGVHUVCUVKUVIUVFUVJVQZUVLMUUNPTIURUIUJUWQUVCUVKUUNMVHZUVFUUS
          UWSUVBUURAUWSUUQUURUWSUUPSVFUUOVMCKMUUNPSUMWPWQWRVSVQZWTGINOSTUAUUOUD
          UGURUHUEXAXBUVKUVCUVDTVHUVFUVDTUVGXCWRXDXEXIUQXFLUVDFUWIXGXHUVLUWJUWF
          LFUVLUVNVLZUWJUWFUXAUWJVLZDUWCUWBUVPMUVMUUNPIVDUWBXJZUWCXJZUIUJUKUVPX
          JZUVLIXKVHZUVNUWJUVCUVKUXFUVFUUSUXFUVBAUURUXFUUQAINOUAUDUGUNXLVQVSVQX
          MZUXAUVMMVHZUWJUXAUVNUXHUVLUVNWAUXAUVNUVMCVHZUXHUXAFCUVMUXAAFCVGZUVLA
          UVNAUURUUQUVBUVKUVFXNZVSUPXOXPUXIUXHUWISVFUWHVMCKMUVMPSUMWPWQXQXRVSZU
          VLUWSUVNUWJUWTXMZUXBUWIUUPVMUWHUUOVMUXBUUPUVEUWIUVCUVKUVFUVNUWJXSUXBU
          VEUWIVGUVEUWIVMUXBGUWIRIUVDUHUTUVLUWNUVNUWJUWQXMZUXBUVIUWHTVGUWIGVHUV
          LUVIUVNUWJUWRXMZUXBMUVMPTIURUIUJUXNUXLWTGINOSTUAUWHUDUGURUHUEXAXBUXAU
          WJWAXTUXBBUVEUWIIUCVAUSUXGUXBBRTIUVDUCURUTVAUSUXNUVCUVKUVFUVNUWJYAYBU
          XBBIMUVMNOPSUAUCUDUEUGVAUSUIUJUXOUXLYCYDYEYFUXBNUAOYIVFVFZOSUAUWHUUOU
          DUXPXJZUEUXOUXBUXIUWHUXPYGZVHUXAUXIUWJUVLFCUVMUVLAUXJUXKUPXOYHVSUXBCI
          KMUVMNUXPOPSUAUDUXQUEUGUIUJUMUXOUXLYJYEUXBUURUUOUXRVHUVLUURUVNUWJAUUR
          UUQUVBUVKUVFYKXMUXBCIKMUUNNUXPOPSUAUDUXQUEUGUIUJUMUXOUXMYJYEYLYEYMYSY
          NXRUWGUVSVDUWCVOZLFVOZUWDUWFUXSLFUWEUVSVDUWCUUNUVQFVJYOYOUXTUVSLFVOZV
          DUWCVOUWDUVSLVDFUWCYPUYAUWAVDUWCUVSLFYQYRUUHXHXOUVCUVKUWDUUTYTUVFUVCU
          WAUUTVDUWCUVCUVOUWCVHZVLZUVTUUTLUYCUVTUUTUYCUVTVLZUVRUUTUYDDUWBHUVPFU
          WCIUVOUVMUXCUXDUKUXEULUVCUWNUYBUVTUWPXMUVCFHVHZUYBUVTUUSUYEUVBAUURUYE
          UUQUOVQZVSXMUVCUYBUVTUUAUYCUVNUVSUUBUUCUVSUVRUUTYTUYCUVNUUTUVRUUIUUDX
          RYSUUEUUFVQXRUUGXRUUSDWNVHZUYEUVAAUURUYGUUQADIUKUWOUUJVQUYFHFDUBVBULU
          UKXBUULUUM $.

        $( Lemma for ~ mapdrval .  (Contributed by NM, 2-Feb-2015.) $)
        mapdrvallem3 $p |- ( ph -> { f e. C | ( O ` ( L ` f ) ) C_ Q } = R ) $=
          ( cfv wss crab mapdrvallem2 wcel ciun 2fveq3 ssiun2s adantl sseqtrrdi
          cv wa ssrabdv eqssd ) AJVMZPVCSVCZEVDZJCVEFABCDEFGHIJKLMNOPQRSTUAUBUC
          UDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVFAVSJCFUPAVQFVGZVNVRLFLVMZPVCS
          VCZVHZEVTVRWCVDALFWBVQVRWAVQSPVIVJVKUQVLVOVP $.
      $}

      $( Given a dual subspace ` R ` (of functionals with closed kernels),
         reconstruct the subspace ` Q ` that maps to it.  (Contributed by NM,
         12-Mar-2015.) $)
      mapdrval $p |- ( ph -> ( M ` Q ) = R ) $=
        ( vf vi cfv wss crab chlt lcfr mapdvalc clsa clspn cbs c0g ciun cbviunv
        cv 2fveq3 eqtri eqid mapdrvallem3 eqtrd ) ADOUNULVFNUNPUNDUOULBUPEABFDH
        ULIKLMNOPQUQRUAUBUCUDSTUHABCDEFGHIJKLMNPQRSUAUBUCUDUEUFUGUKUHUIUJURUGUS
        AHUTUNZBCDEFGHULIUMKLMNOHVAUNZPHVBUNZQCVCUNZHVCUNZRSTUAUBUCUDUEUFUGUHUI
        UJDJEJVFZNUNPUNZVDUMEUMVFZNUNPUNZVDUKJUMEVRVTVQVSPNVGVEVHVNVIVLVIVMVIVP
        VIVOVIVJVK $.
    $}

    mapdrval2.v $e |- V = ( Base ` U ) $.
    mapdrval2.q $e |- Q = { v e. V | E. f e. R ( L ` f ) = ( O ` { v } ) } $.
    $( Given a dual subspace ` R ` (of functionals with closed
       kernels), construct a subspace ` Q ` that maps to it. $)
$(
     mapdrval2 $p |- ( ph -> ( M ` Q ) = R ) $=
      ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ?  mapdrval.h  mapdrval.u ? eqid
      mapdrval.f
       mapdrval.l  mapdrval.o  mapdrval.m  mapdrval.k ?  mapdval4N ? eqtrd $.
$)
  $}

  ${
    $d c f t C $.  $d f D $.  $d f g F $.  $d f g t K $.  $d c f g L $.
    $d c t u M $.  $d c f g O $.  $d c t u S $.  $d c f t T $.  $d f g U $.
    $d f g t W $.  $d c f t u ph $.
    mapd1o.h $e |- H = ( LHyp ` K ) $.
    mapd1o.o $e |- O = ( ( ocH ` K ) ` W ) $.
    mapd1o.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapd1o.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapd1o.s $e |- S = ( LSubSp ` U ) $.
    mapd1o.f $e |- F = ( LFnl ` U ) $.
    mapd1o.l $e |- L = ( LKer ` U ) $.
    mapd1o.d $e |- D = ( LDual ` U ) $.
    mapd1o.t $e |- T = ( LSubSp ` D ) $.
    mapd1o.c $e |- C = { g e. F | ( O ` ( O ` ( L ` g ) ) ) = ( L ` g ) } $.
    mapd1o.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The map defined by ~ df-mapd is one-to-one and onto the set of dual
       subspaces of functionals with closed kernels.  This shows ` M `
       satisfies part of the definition of projectivity of [Baer] p. 40.  TODO:
       change theorems leading to this ( ~ lcfr , ~ mapdrval , ~ lclkrs ,
       ~ lclkr ,...) to use ` T i^i ~P C ` ?  TODO: maybe get rid of $d's for
       ` g ` versus ` K U W ` ; propagate to ~ mapdrn and any others.
       (Contributed by NM, 12-Mar-2015.) $)
    mapd1o $p |- ( ph -> M : S -1-1-onto-> ( T i^i ~P C ) ) $=
      ( vt vu vf vc wfn crn cpw cin wceq cv cfv weq wi wral wf1o crab cmpt clfn
      wss wa fvexi rabex eqid fnmpti chlt wcel mapdfval syl fneq1d wrex fvelrnb
      mpbiri adantr simpr mapdval lclkrs2 elin elpw anbi2i bitr2i sylib eqeltrd
      wb eleq1 syl5ibcom rexlimdva ciun inss1 sseli adantl elpwid lcfr mapdrval
      inss2 fveqeq2 rspcev syl2anc impbid bitrd simprl simprr mapd11 ralrimivva
      ex eqrdv biimpd dff1o6 syl3anbrc ) ALDUJZLUKZEBULZUMZUNUFUOZLUPUGUOZLUPUN
      ZUFUGUQZURZUGDUSUFDUSDXQLUTAXNUFDUHUOKUPZMUPZMUPYCUNZYDXRVDVEZUHHVAZVBZDU
      JUFDYGYHYFUHHHFVCTVFZVGYHVHVIADLYHAJVJVKNIVKVEZLYHUNUEDFUHHIJKLMNVJUFORST
      UAPQVLVMVNVQAUFXOXQAXRXOVKZUIUOZLUPZXRUNZUIDVOZXRXQVKZAXNYKYOWHAXNUFDGUOK
      UPZMUPZMUPYQUNYRXRVDVEZGHVAZVBZDUJUFDYTUUAYSGHYIVGUUAVHVIADLUUAAYJLUUAUNU
      EDFGHIJKLMNVJUFORSTUAPQVLVMVNVQUIDXRLVPVMAYOYPAYNYPUIDAYLDVKZVEZYMXQVKYNY
      PUUCYMYEYDYLVDVEZUHHVAZXQUUCDYLFUHHIJKLMNVJORSTUAPQAYJUUBUEVRZAUUBVSZVTUU
      CUUEEVKZUUEBVDZVEZUUEXQVKZUUCBCYLUUEDEFGUHHIJKMNOPRSTUAUBUCUDUUEVHUUFUUGW
      AUUKUUHUUEXPVKZVEUUJUUEEXPWBUULUUIUUHUUEBUUDUHHYIVGWCWDWEWFWGYMXRXQWIWJWK
      AYPYOAYPVEZUHXRYDWLZDVKUUNLUPXRUNZYOUUMBCUUNXRDEFGUHHIJKMNOPRSTUAUBUCUDUU
      NVHZAYJYPUEVRZYPXREVKAXQEXREXPWMWNWOZYPXRBVDAYPXRBXQXPXREXPWSWNWPWOZWQUUM
      BCUUNXRDEFGUHHIJKLMNOPQRSTUAUBUCUDUUQUURUUSUUPWRYNUUOUIUUNDYLUUNXRLWTXAXB
      XIXCXDXJAYBUFUGDDAXRDVKZXSDVKZVEZVEZXTYAUVCDFIJLNXRXSORSQAYJUVBUEVRAUUTUV
      AXEAUUTUVAXFXGXKXHUFUGDXQLXLXM $.
  $}

  ${
    $d g F $.  $d g K $.  $d g L $.  $d g O $.  $d g U $.  $d g W $.
    mapdrn.h $e |- H = ( LHyp ` K ) $.
    mapdrn.o $e |- O = ( ( ocH ` K ) ` W ) $.
    mapdrn.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdrn.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdrn.f $e |- F = ( LFnl ` U ) $.
    mapdrn.l $e |- L = ( LKer ` U ) $.
    ${
      mapdrn.d $e |- D = ( LDual ` U ) $.
      mapdrn.t $e |- T = ( LSubSp ` D ) $.
      mapdrn.c $e |- C = { g e. F | ( O ` ( O ` ( L ` g ) ) ) = ( L ` g ) } $.
      mapdrn.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
      $( Range of the map defined by ~ df-mapd .  (Contributed by NM,
         12-Mar-2015.) $)
      mapdrn $p |- ( ph -> ran M = ( T i^i ~P C ) ) $=
        ( clss cfv cpw cin wf1o wfo crn wceq eqid mapd1o f1ofo forn 3syl ) AEUD
        UEZDBUFUGZKUHUQURKUIKUJURUKABCUQDEFGHIJKLMNOPQUQULRSTUAUBUCUMUQURKUNUQU
        RKUOUP $.
    $}

    mapdunirn.c $e |- C = { g e. F | ( O ` ( O ` ( L ` g ) ) ) = ( L ` g ) } $.
    mapdunirn.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Union of the range of the map defined by ~ df-mapd .  (Contributed by
       NM, 13-Mar-2015.)  (New usage is discouraged.) $)
    mapdunirnN $p |- ( ph -> U. ran M = C ) $=
      ( cfv crn cuni cld clss cpw cin mapdrn unieqd uniin cbs dvhlmod lduallmod
      eqid lssuni clmod ldualvbase eqtrd wceq unipw a1i ineq12d wss crab ssrab2
      cv eqsstri sseqin2 mpbi sseqtrid wcel lclkr clfn fvexi pwid elind elssuni
      rabex2 syl eqssd ) AIUAZUBCUCTZUDTZBUEZUFZUBZBAVTWDABWAWBCDEFGHIJKLMNOPQW
      AUMZWBUMZRSUGUHAWEBAWBUBZWCUBZUFZWEBWBWCUIAWJEBUFZBAWHEWIBAWHWAUJTZEAWBWL
      WAWLUMZWGAWACWFACFGKLOSUKZULUNAWAEWLCUOPWFWMWNUPUQWIBURABUSUTVAWKBURZABEV
      BWOBDVEHTZJTJTWPURZDEVCERWQDEVDVFBEVGVHUTUQVIABWDVJBWEVBAWBWCBABWAWBCDEFG
      HJKLOMPQWFWGRSVKBWCVJABWQDEBRECVLPVMVQVNUTVOBWDVPVRVSUQ $.
  $}

  ${
    $d f K $.  $d f W $.
    mapdrn2.h $e |- H = ( LHyp ` K ) $.
    mapdrn2.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdrn2.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    mapdrn2.t $e |- T = ( LSubSp ` C ) $.
    mapdrn2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Range of the map defined by ~ df-mapd .  TODO: this seems to be needed a
       lot in ~ hdmaprnlem3eN etc.  Would it be better to change ~ df-mapd
       theorems to use ` LSubSp `` C ` instead of ` ran M ` ?  (Contributed by
       NM, 13-Mar-2015.) $)
    mapdrn2 $p |- ( ph -> ran M = T ) $=
      ( vf crn cdvh cfv cld clss cv eqid clk coch wceq clfn crab cpw cin mapdrn
      lcdlss eqtr4d ) AFNGEOPPZQPZRPZMSUKUAPZPZGEUBPPZPUPPUOUCMUKUDPZUEZUFUGCAU
      RULUMUKMUQDEUNFUPGHUPTZIUKTZUQTZUNTZULTZUMTZURTZLUHAURBULCUMUKMUQDEUNUPGH
      USJKUTVAVBVCVDVELUIUJ $.
  $}

  ${
    $d g K $.  $d g U $.  $d g W $.
    mapdcnvcl.h $e |- H = ( LHyp ` K ) $.
    mapdcnvcl.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdcnvcl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdcnvcl.s $e |- S = ( LSubSp ` U ) $.
    mapdcnvcl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    ${
      mapdcnvcl.x $e |- ( ph -> X e. ran M ) $.
      $( Closure of the converse of the map defined by ~ df-mapd .
         (Contributed by NM, 13-Mar-2015.) $)
      mapdcnvcl $p |- ( ph -> ( `' M ` X ) e. S ) $=
        ( vg crn wf1o wcel cfv eqid ccnv cld clss cv clk coch wceq clfn cpw cin
        crab wf1 mapd1o f1of1 f1f1orn 3syl f1ocnvdm syl2anc ) ABFPZFQZHUSRHFUAS
        BRABCUBSZUCSZOUDCUESZSZGEUFSSZSVESVDUGOCUHSZUKZUIUJZFQBVHFULUTAVGVABVBC
        OVFDEVCFVEGIVETJKLVFTVCTVATVBTVGTMUMBVHFUNBVHFUOUPNBUSHFUQUR $.
    $}

    mapdcl.x $e |- ( ph -> X e. S ) $.
    $( Closure the value of the map defined by ~ df-mapd .  (Contributed by NM,
       13-Mar-2015.) $)
    mapdcl $p |- ( ph -> ( M ` X ) e. ran M ) $=
      ( vg crn wfn wf cfv eqid cld clss cv clk coch wceq clfn crab cpw cin wf1o
      mapd1o f1ofn syl dffn3 sylib ffvelrnd ) ABFPZHFAFBQZBURFRABCUASZUBSZOUCCU
      DSZSZGEUESSZSVDSVCUFOCUGSZUHZUIUJZFUKUSAVFUTBVACOVEDEVBFVDGIVDTJKLVETVBTU
      TTVATVFTMULBVGFUMUNBFUOUPNUQ $.

    $( Converse of the value of the map defined by ~ df-mapd .  (Contributed by
       NM, 13-Mar-2015.)  (New usage is discouraged.) $)
    mapdcnvid1N $p |- ( ph -> ( `' M ` ( M ` X ) ) = X ) $=
      ( vg cld cfv clss wceq eqid cv clk coch clfn crab cpw wf1o wcel f1ocnvfv1
      cin ccnv mapd1o syl2anc ) ABCPQZRQZOUACUBQZQZGEUCQQZQURQUQSOCUDQZUEZUFUJZ
      FUGHBUHHFQFUKQHSAUTUNBUOCOUSDEUPFURGIURTJKLUSTUPTUNTUOTUTTMULNBVAHFUIUM
      $.

    mapdsord.x $e |- ( ph -> Y e. S ) $.
    $( Strong ordering property of themap defined by ~ df-mapd .  (Contributed
       by NM, 13-Mar-2015.) $)
    mapdsord $p |- ( ph -> ( ( M ` X ) C. ( M ` Y ) <-> X C. Y ) ) $=
      ( cfv wss wne wa wpss mapdord mapd11 necon3bid anbi12d df-pss 3bitr4g ) A
      HFQZIFQZRZUHUISZTHIRZHISZTUHUIUAHIUAAUJULUKUMABCDEFGHIJLMKNOPUBAUHUIHIABC
      DEFGHIJLMKNOPUCUDUEUHUIUFHIUFUG $.
  $}

  ${
    mapdlss.h $e |- H = ( LHyp ` K ) $.
    mapdlss.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdlss.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdlss.s $e |- S = ( LSubSp ` U ) $.
    mapdlss.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    mapdlss.t $e |- T = ( LSubSp ` C ) $.
    mapdlss.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdlss.r $e |- ( ph -> R e. S ) $.
    $( The mapping of a subspace of vector space H is a subspace in the dual
       space of functionals with closed kernels.  (Contributed by NM,
       31-Jan-2015.) $)
    mapdcl2 $p |- ( ph -> ( M ` R ) e. T ) $=
      ( cfv crn mapdcl mapdrn2 eleqtrd ) ACISITEADFGHIJCKLMNQRUAABEGHIJKLOPQUBU
      C $.
  $}

  ${
    $d g K $.  $d g W $.
    mapdcnvid2.h $e |- H = ( LHyp ` K ) $.
    mapdcnvid2.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdcnvid2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdcnvid2.x $e |- ( ph -> X e. ran M ) $.
    $( Value of the converse of the map defined by ~ df-mapd .  (Contributed by
       NM, 13-Mar-2015.) $)
    mapdcnvid2 $p |- ( ph -> ( M ` ( `' M ` X ) ) = X ) $=
      ( vg cdvh cfv clss crn wf1o wcel ccnv wceq eqid cld cv clk coch clfn crab
      cpw cin wf1 mapd1o f1of1 f1f1orn 3syl f1ocnvfv2 syl2anc ) AECLMMZNMZDOZDP
      ZFURQFDRMDMFSAUQUPUAMZNMZKUBUPUCMZMZECUDMMZMVDMVCSKUPUEMZUFZUGUHZDPUQVGDU
      IUSAVFUTUQVAUPKVEBCVBDVDEGVDTHUPTUQTVETVBTUTTVATVFTIUJUQVGDUKUQVGDULUMJUQ
      URFDUNUO $.
  $}

  ${
    mapdcnvord.h $e |- H = ( LHyp ` K ) $.
    mapdcnvord.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdcnvord.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdcnvord.x $e |- ( ph -> X e. ran M ) $.
    mapdcnvord.y $e |- ( ph -> Y e. ran M ) $.
    $( Ordering property of the converse of the map defined by ~ df-mapd .
       (Contributed by NM, 13-Mar-2015.)  (New usage is discouraged.) $)
    mapdcnvordN $p |- ( ph -> ( ( `' M ` X ) C_ ( `' M ` Y ) <-> X C_ Y ) ) $=
      ( ccnv cfv wss cdvh clss eqid mapdcnvcl mapdcnvid2 mapdord sseq12d bitr3d
      ) AFDMZNZDNZGUDNZDNZOUEUGOFGOAECPNNZQNZUIBCDEUEUGHUIRZUJRZIJAUJUIBCDEFHIU
      KULJKSAUJUIBCDEGHIUKULJLSUAAUFFUHGABCDEFHIJKTABCDEGHIJLTUBUC $.

    $( The converse of the map defined by ~ df-mapd is one-to-one.
       (Contributed by NM, 13-Mar-2015.)  (New usage is discouraged.) $)
    mapdcnv11N $p |- ( ph -> ( ( `' M ` X ) = ( `' M ` Y ) <-> X = Y ) ) $=
      ( ccnv cfv wss wa wceq mapdcnvordN anbi12d eqss 3bitr4g ) AFDMZNZGUBNZOZU
      DUCOZPFGOZGFOZPUCUDQFGQAUEUGUFUHABCDEFGHIJKLRABCDEGFHIJLKRSUCUDTFGTUA $.
  $}

  ${
    $d f v D $.  $d f v M $.  $d f v S $.  $d v U $.  $d f v X $.  $d f v Y $.
    $d f v ph $.
    mapdcv.h $e |- H = ( LHyp ` K ) $.
    mapdcv.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdcv.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdcv.s $e |- S = ( LSubSp ` U ) $.
    mapdcv.c $e |- C = ( <oL ` U ) $.
    mapdcv.d $e |- D = ( ( LCDual ` K ) ` W ) $.
    mapdcv.e $e |- E = ( <oL ` D ) $.
    mapdcv.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdcv.x $e |- ( ph -> X e. S ) $.
    mapdcv.y $e |- ( ph -> Y e. S ) $.
    $( Covering property of the converse of the map defined by ~ df-mapd .
       (Contributed by NM, 14-Mar-2015.) $)
    mapdcv $p |- ( ph -> ( X C Y <-> ( M ` X ) E ( M ` Y ) ) ) $=
      ( vf vv cfv wpss cv wa clss wrex wbr mapdsord wcel eqid chlt adantr simpr
      wn mapdcl2 ccnv wceq crn mapdrn2 eleq2d mapdcnvcl mapdcnvid2 eqcomd fveq2
      biimpar rspceeqv syl2anc wb psseq2 psseq1 anbi12d adantl rexxfrd rexbidva
      bitrd notbid clmod lcdlmod lcvbr dvhlmod 3bitr4rd ) AKIUEZLIUEZUFZWFUCUGZ
      UFZWIWGUFZUHZUCCUIUEZUJZURZUHKLUFZKUDUGZUFZWQLUFZUHZUDDUJZURZUHWFWGFUKKLB
      UKAWHWPWOXBADEGHIJKLMNOPTUAUBULAWNXAAWNWFWQIUEZUFZXCWGUFZUHZUDDUJXAAWLXFU
      CUDXCWMDAWQDUMZUHZCWQDWMEGHIJMNOPRWMUNZAHUOUMJGUMUHZXGTUPZAXGUQZUSAWIWMUM
      ZUHZWIIUTUEZDUMWIXOIUEZVAWIXCVAZUDDUJXNDEGHIJWIMNOPAXJXMTUPZAWIIVBZUMXMAX
      SWMWIACWMGHIJMNRXITVCVDVIZVEXNXPWIXNGHIJWIMNXRXTVFVGUDXODXCXPWIWQXOIVHVJV
      KXQWLXFVLAXQWJXDWKXEWIXCWFVMWIXCWGVNVOVPVQAXFWTUDDXHXDWRXEWSXHDEGHIJKWQMN
      OPXKAKDUMXGUAUPXLULXHDEGHIJWQLMNOPXKXLALDUMXGUBUPULVOVRVSVTVOAFWMWFWGCWAU
      CXISACGHJMRTWBACKDWMEGHIJMNOPRXITUAUSACLDWMEGHIJMNOPRXITUBUSWCABDKLEWAUDP
      QAEGHJMOTWDUAUBWCWE $.
  $}

  ${
    mapdincl.h $e |- H = ( LHyp ` K ) $.
    mapdincl.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdincl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdincl.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    mapdincl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdincl.x $e |- ( ph -> X e. ran M ) $.
    mapdincl.y $e |- ( ph -> Y e. ran M ) $.
    $( Closure of dual subspace intersection for the map defined by ~ df-mapd .
       (Contributed by NM, 12-Apr-2015.) $)
    mapdincl $p |- ( ph -> ( X i^i Y ) e. ran M ) $=
      ( cfv wcel eqid eleqtrd cin clcd clss crn lcdlmod mapdrn2 lssincl syl3anc
      clmod eleqtrrd ) AHIUAZGEUBQQZUCQZFUDZAULUIRHUMRIUMRUKUMRAULDEGJULSZNUEAH
      UNUMOAULUMDEFGJKUOUMSZNUFZTAIUNUMPUQTUMHIULUPUGUHUQUJ $.
  $}

  ${
    mapdin.h $e |- H = ( LHyp ` K ) $.
    mapdin.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdin.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdin.s $e |- S = ( LSubSp ` U ) $.
    mapdin.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdin.x $e |- ( ph -> X e. S ) $.
    mapdin.y $e |- ( ph -> Y e. S ) $.
    $( Subspace intersection is preserved by the map defined by ~ df-mapd .
       Part of property (e) in [Baer] p. 40.  (Contributed by NM,
       12-Apr-2015.) $)
    mapdin $p |- ( ph -> ( M ` ( X i^i Y ) ) = ( ( M ` X ) i^i ( M ` Y ) ) ) $=
      ( cfv wss wcel mapdord cin inss1 clmod dvhlmod lssincl mpbiri inss2 ssind
      syl3anc ccnv clcd eqid clss mapdcl2 eleqtrrd mapdincl mapdcnvid2 eqsstrdi
      crn mapdrn2 lcdlmod mapdcnvcl mpbid mpbird eqsstrrd eqssd ) AHIUAZFQZHFQZ
      IFQZUAZAVHVIVJAVHVIRVGHRHIUBABCDEFGVGHJLMKNACUCSHBSIBSVGBSACDEGJLNUDOPBHI
      CMUEUIZOTUFAVHVJRVGIRHIUGABCDEFGVGIJLMKNVLPTUFUHAVKVKFUJQZFQZVHADEFGVKJKN
      AGEUKQQZCDEFGVIVJJKLVOULZNAVIVOUMQZFUSZAVOHBVQCDEFGJKLMVPVQULZNOUNZAVOVQD
      EFGJKVPVSNUTZUOAVJVQVRAVOIBVQCDEFGJKLMVPVSNPUNZWAUOUPUQZAVNVHRVMVGRAVMHIA
      VNVIRVMHRAVNVKVIWCVIVJUBURABCDEFGVMHJLMKNABCDEFGVKJKLMNAVKVQVRAVOUCSVIVQS
      VJVQSVKVQSAVODEGJVPNVAVTWBVQVIVJVOVSUEUIWAUOZVBZOTVCAVNVJRVMIRAVNVKVJADEF
      GVKJKNWDUQVIVJUGURABCDEFGVMIJLMKNWEPTVCUHABCDEFGVMVGJLMKNWEVLTVDVEVF $.
  $}

  ${
    mapdlsmcl.h $e |- H = ( LHyp ` K ) $.
    mapdlsmcl.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdlsmcl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdlsmcl.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    mapdlsmcl.p $e |- .(+) = ( LSSum ` C ) $.
    mapdlsmcl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdlsmcl.x $e |- ( ph -> X e. ran M ) $.
    mapdlsmcl.y $e |- ( ph -> Y e. ran M ) $.
    $( Closure of dual subspace sum for the map defined by ~ df-mapd .
       (Contributed by NM, 13-Mar-2015.) $)
    mapdlsmcl $p |- ( ph -> ( X .(+) Y ) e. ran M ) $=
      ( wcel eleqtrd clss cfv clmod lcdlmod eqid mapdrn2 lsmcl syl3anc eleqtrrd
      co crn ) AIJCUJZBUAUBZGUKZABUCSIUMSJUMSULUMSABEFHKNPUDAIUNUMQABUMEFGHKLNU
      MUEZPUFZTAJUNUMRUPTCUMIJBUOOUGUHUPUI $.
  $}

  ${
    mapdlsm.h $e |- H = ( LHyp ` K ) $.
    mapdlsm.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdlsm.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdlsm.s $e |- S = ( LSubSp ` U ) $.
    mapdlsm.p $e |- .(+) = ( LSSum ` U ) $.
    mapdlsm.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    mapdlsm.q $e |- .+b = ( LSSum ` C ) $.
    mapdlsm.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdlsm.x $e |- ( ph -> X e. S ) $.
    mapdlsm.y $e |- ( ph -> Y e. S ) $.
    $( Subspace sum is preserved by the map defined by ~ df-mapd .  Part of
       property (e) in [Baer] p. 40.  (Contributed by NM, 13-Mar-2015.) $)
    mapdlsm $p |- ( ph ->
      ( M ` ( X .(+) Y ) ) = ( ( M ` X ) .+b ( M ` Y ) ) ) $=
      ( co cfv ccnv wss csubg wcel clss clmod lcdlmod eqid lsssssubg syl sseldd
      mapdcl2 lsmub1 syl2anc mapdcl mapdlsmcl mapdcnvid2 sseqtrrd mapdord mpbid
      mapdcnvcl lsmub2 wa wb dvhlmod lsmlub syl3anc mpbi2and lsmcl mpbird eqssd
      sseqtrd ) AKLDUCZIUDZKIUDZLIUDZCUCZAVRWAIUEUDZIUDZWAAVRWCUFVQWBUFZAKWBUFZ
      LWBUFZWDAVSWCUFWEAVSWAWCAVSBUGUDZUHZVTWGUHZVSWAUFABUIUDZWGVSABUJUHWJWGUFA
      BGHJMRTUKWJBWJULZUMUNZABKEWJFGHIJMNOPRWKTUAUPUOZAWJWGVTWLABLEWJFGHIJMNOPR
      WKTUBUPUOZCVSVTBSUQURAGHIJWAMNTABCFGHIJVSVTMNORSTAEFGHIJKMNOPTUAUSAEFGHIJ
      LMNOPTUBUSUTZVAZVBAEFGHIJKWBMOPNTUAAEFGHIJWAMNOPTWOVEZVCVDAVTWCUFWFAVTWAW
      CAWHWIVTWAUFWMWNCVSVTBSVFURWPVBAEFGHIJLWBMOPNTUBWQVCVDAKFUGUDZUHZLWRUHZWB
      WRUHWEWFVGWDVHAEWRKAFUJUHZEWRUFAFGHJMOTVIZEFPUMUNZUAUOZAEWRLXCUBUOZAEWRWB
      XCWQUODKLWBFQVJVKVLAEFGHIJVQWBMOPNTAXAKEUHLEUHVQEUHXBUAUBDEKLFPQVMVKZWQVC
      VNWPVPAVSVRUFZVTVRUFZWAVRUFZAXGKVQUFZAWSWTXJXDXEDKLFQUQURAEFGHIJKVQMOPNTU
      AXFVCVNAXHLVQUFZAWSWTXKXDXEDKLFQVFURAEFGHIJLVQMOPNTUBXFVCVNAWHWIVRWGUHXGX
      HVGXIVHWMWNAWJWGVRWLABVQEWJFGHIJMNOPRWKTXFUPUOCVSVTVRBSVJVKVLVO $.
  $}

  ${
    $d f K $.  $d g K $.  $d f O $.  $d g O $.  $d f U $.  $d g U $.  $d f W $.
    $d g W $.  $d g .0. $.  $d g f $.  $d g ph $.
    mapd0.h $e |- H = ( LHyp ` K ) $.
    mapd0.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapd0.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapd0.o $e |- O = ( 0g ` U ) $.
    mapd0.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    mapd0.z $e |- .0. = ( 0g ` C ) $.
    mapd0.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Projectivity map of the zero subspace.  Part of property (f) in [Baer]
       p. 40.  TODO: does proof need to be this long for this simple fact?
       (Contributed by NM, 15-Mar-2015.) $)
    mapd0 $p |- ( ph -> ( M ` { O } ) = { .0. } ) $=
      ( cfv wceq eqid wcel vf vg csn cv clk coch wa clfn crab clss chlt dvhlmod
      wss clmod lsssn0 syl mapdval cbs csca c0g simprrr wb adantr simprl lkrssv
      cxp dochlss syl2anc lssle0 mpbid fveq2d simprrl doch0 3eqtr3d lkr0f lcd0v
      eqtr4d lcd0vcl lcdvbaselfl mpbird dochoc1 eqtrd doch1 eqimss jca32 2fveq3
      ex eleq1 fveq2 eqeq12d sseq1d anbi12d syl5ibrcom impbid weq elrab 3bitr4g
      velsn eqrdv ) AGUCZFQUAUDZCUEQZQZHEUFQQZQZXDQZXCRZXEWTUMZUGZUACUHQZUIZIUC
      ZACUJQZWTCUAXJDEXBFXDHUKJLXMSZXJSZXBSZXDSZKPACUNTZWTXMTACDEHJLPULZXMCGMXN
      UOUPUQAUBXKXLAUBUDZXJTZXTXBQZXDQZXDQZYBRZYCWTUMZUGZUGZXTIRZXTXKTXTXLTAYHY
      IAYHYIAYHUGZXTCURQZCUSQZUTQZUCVFZIYJYBYKRZXTYNRZYJYDWTXDQZYBYKYJYCWTXDYJY
      FYCWTRZAYAYEYFVAYJXRYCXMTZYFYRVBAXRYHXSVCZYJEUKTHDTUGZYBYKUMYSAUUAYHPVCYJ
      XJXTXBYKCYKSZXOXPYTAYAYGVDZVEXMCDEXDYKHYBJLUUBXNXQVGVHXMCYCGMXNVIVHVJVKAY
      AYEYFVLAYQYKRZYHAUUAUUDPCDEXDYKHGJLXQUUBMVMUPVCVNYJXRYAYOYPVBYTUUCYLXJXTX
      BYKCYMYLSZYMSZUUBXOXPVOVHVJAIYNRZYHABYLCDEIYKHYMJLUUBUUEUUFNOPVPZVCVQWGAY
      HYIIXJTZIXBQZXDQZXDQZUUJRZUUKWTUMZUGZUGAUUIUUMUUNABCXJDEBURQZHIJNUUPSZLXO
      PABDEIUUPHJNUUQOPVRVSZAUULYKUUJAUULYKXDQZXDQYKAUUKUUSXDAUUJYKXDAUUJYKRZUU
      GUUHAXRUUIUUTUUGVBXSUURYLXJIXBYKCYMUUEUUFUUBXOXPVOVHVTZVKZVKACDEXDYKHJLXQ
      UUBPWAWBUVAVQAUUKWTRUUNAUUKUUSWTUVBAUUAUUSWTRPCDEXDYKHGJLXQUUBMWCUPWBUUKW
      TWDUPWEYIYAUUIYGUUOXTIXJWHYIYEUUMYFUUNYIYDUULYBUUJYIYCUUKXDXTIXDXBWFZVKXT
      IXBWIWJYIYCUUKWTUVCWKWLWLWMWNXIYGUAXTXJUAUBWOZXGYEXHYFUVDXFYDXCYBUVDXEYCX
      DXAXTXDXBWFZVKXAXTXBWIWJUVDXEYCWTUVEWKWLWPUBIWRWQWSWB $.
  $}

  ${
    mapdat.h $e |- H = ( LHyp ` K ) $.
    mapdat.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdat.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdat.a $e |- A = ( LSAtoms ` U ) $.
    mapdat.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    mapdat.b $e |- B = ( LSAtoms ` C ) $.
    mapdat.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    ${
      mapdcnvat.q $e |- ( ph -> Q e. B ) $.
      $( Atoms are preserved by the map defined by ~ df-mapd .  (Contributed by
         NM, 29-May-2015.)  (New usage is discouraged.) $)
      mapdcnvatN $p |- ( ph -> ( `' M ` Q ) e. A ) $=
        ( cfv eqid ccnv wcel c0g csn clcv clss clmod dvhlmod lsssn0 mapdcnvid1N
        wbr syl mapd0 fveq2d eqtr3d lcdlvec lsatcv0 lcdlmod eleqtrrd mapdcnvid2
        crn mapdrn2 lsatlssel 3brtr4d mapdcnvcl mapdcv eqbrtrd dvhlvec lsat0cv
        mpbird ) AEIUAZSZBUBFUCSZUDZVLFUESZUKAVNDUCSZUDZVKSZVLVOAVNISZVKSVNVRAF
        UFSZFGHIJVNKLMVTTZQAFUGUBVNVTUBAFGHJKMQUHVTFVMVMTZWAUIULUJAVSVQVKADFGHI
        VMJVPKLMWBOVPTZQUMUNUOAVRVLVOUKVRISZVLISZDUESZUKAVQEWDWEWFACWFEDVPWCPWF
        TZADGHJKOQUPRUQAGHIJVQKLQAVQDUFSZIVAZADUGUBVQWHUBADGHJKOQURZWHDVPWCWHTZ
        UIULADWHGHIJKLOWKQVBZUSZUTAGHIJEKLQAEWHWIACWHEDWKPWJRVCWLUSZUTVDAVODVTF
        WFGHIJVRVLKLMWAVOTZOWGQAVTFGHIJVQKLMWAQWMVEAVTFGHIJEKLMWAQWNVEZVFVJVGAB
        VOVTVLFVMWBWANWOAFGHJKMQVHWPVIVJ $.
    $}
    mapdat.q $e |- ( ph -> Q e. A ) $.
    $( Atoms are preserved by the map defined by ~ df-mapd .  Property (g) in
       [Baer] p. 41.  (Contributed by NM, 14-Mar-2015.) $)
    mapdat $p |- ( ph -> ( M ` Q ) e. B ) $=
      ( cfv eqid wcel c0g csn clcv wbr mapd0 dvhlvec lsatcv0 clss clmod dvhlmod
      lsssn0 syl lsatlssel mapdcv mpbid eqbrtrrd lcdlvec mapdcl2 lsat0cv mpbird
      ) AEISZCUADUBSZUCZVBDUDSZUEAFUBSZUCZISZVDVBVEADFGHIVFJVCKLMVFTZOVCTZQUFAV
      GEFUDSZUEVHVBVEUEABVKEFVFVINVKTZAFGHJKMQUGRUHAVKDFUISZFVEGHIJVGEKLMVMTZVL
      OVETZQAFUJUAVGVMUAAFGHJKMQUKZVMFVFVIVNULUMABVMEFVNNVPRUNZUOUPUQACVEDUISZV
      BDVCVJVRTZPVOADGHJKOQURADEVMVRFGHIJKLMVNOVSQVQUSUTVA $.
  $}

  ${
    $d g B $.  $d g C $.  $d g J $.  $d g M $.  $d g N $.  $d g X $.
    mapdspex.h $e |- H = ( LHyp ` K ) $.
    mapdspex.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdspex.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdspex.v $e |- V = ( Base ` U ) $.
    mapdspex.n $e |- N = ( LSpan ` U ) $.
    mapdspex.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    mapdspex.b $e |- B = ( Base ` C ) $.
    mapdspex.j $e |- J = ( LSpan ` C ) $.
    mapdspex.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdspex.x $e |- ( ph -> X e. V ) $.
    $( The map of a span equals the dual span of some vector (functional).
       (Contributed by NM, 15-Mar-2015.) $)
    mapdspex $p |- ( ph
       -> E. g e. B ( M ` ( N ` { X } ) ) = ( J ` { g } ) ) $=
      ( csn cfv clsa wcel cv wceq wrex c0g clmod lcdlmod adantr eqid chlt simpr
      wa mapdat islsati syl2anc lcd0vcl fveq2 mapd0 lspsn0 syl eqtr4d sylan9eqr
      sneq fveq2d rspceeqv dvhlmod lsator0sp mpjaodan ) AMUDJUEZDUFUEZUGZVOIUEZ
      EUHZUDZGUEZUIEBUJZVODUKUEZUDZUIZAVQURZCULUGZVRCUFUEZUGWBAWGVQACFHLNSUBUMZ
      UNWFVPWHCVODFHILNOPVPUOZSWHUOZAHUPUGLFUGURVQUBUNAVQUQUSEWHVRGBCULTUAWKUTV
      AAWEURCUKUEZBUGZVRWLUDZGUEZUIWBAWMWEACFHWLBLNSTWLUOZUBVBUNWEAVRWDIUEZWOVO
      WDIVCAWQWNWOACDFHIWCLWLNOPWCUOZSWPUBVDAWGWOWNUIWIGCWLWPUAVEVFVGVHEWLBWAWO
      VRVSWLUIVTWNGVSWLVIVJVKVAAVPJKDMWCQRWRWJADFHLNPUBVLUCVMVN $.
  $}

  ${
    mapdindp.h $e |- H = ( LHyp ` K ) $.
    mapdindp.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdindp.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdindp.v $e |- V = ( Base ` U ) $.
    mapdindp.n $e |- N = ( LSpan ` U ) $.
    mapdindp.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    mapdindp.d $e |- D = ( Base ` C ) $.
    mapdindp.j $e |- J = ( LSpan ` C ) $.
    mapdindp.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdindp.f $e |- ( ph -> F e. D ) $.
    mapdindp.mx $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( J ` { F } ) ) $.
    ${
      mapdn0.o $e |- .0. = ( 0g ` U ) $.
      mapdn0.z $e |- Z = ( 0g ` C ) $.
      mapdn0.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      $( Transfer nonzero property from domain to range of projectivity
         ` mapd ` .  (Contributed by NM, 12-Apr-2015.) $)
      mapdn0 $p |- ( ph -> F e. ( D \ { Z } ) ) $=
        ( wcel wne csn cdif eldifsni syl wceq cfv wa sneq fveq2d sylan9eq mapd0
        clmod lcdlmod lspsn0 eqtr4d adantr ex clss eqid dvhlmod eldifad lspsncl
        syl2anc lsssn0 mapd11 wb lspsneq0 bitrd sylibd necon3d eldifsn sylanbrc
        mpd ) AECUJEOUKZECOULZUMUJUEAMNUKZWEAMKNULZUMUJWGUIMKNUNUOAEOMNAEOUPZMU
        LJUQZIUQZWHIUQZUPZMNUPZAWIWMAWIURWKWFGUQZWLAWIWKEULZGUQWOUFWIWPWFGEOUSU
        TVAAWLWOUPWIAWLWFWOABDFHINLOPQRUGUAUHUDVBABVCUJWOWFUPABFHLPUAUDVDGBOUHU
        CVEUOVFVGVFVHAWMWJWHUPZWNADVIUQZDFHILWJWHPRWRVJZQUDADVCUJZMKUJZWJWRUJAD
        FHLPRUDVKZAMKWHUIVLZWRJKDMSWSTVMVNAWTWHWRUJXBWRDNUGWSVOUOVPAWTXAWQWNVQX
        BXCJKDMNSUGTVRVNVSVTWAWDECOWBWC $.
    $}

    mapdindp.x $e |- ( ph -> X e. V ) $.
    mapdindp.y $e |- ( ph -> Y e. V ) $.
    mapdindp.g $e |- ( ph -> G e. D ) $.
    mapdindp.my $e |- ( ph -> ( M ` ( N ` { Y } ) ) = ( J ` { G } ) ) $.
    ${
      mapdncol.q $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
      $( Transfer non-colinearity from domain to range of projectivity
         ` mapd ` .  (Contributed by NM, 11-Apr-2015.) $)
      mapdncol $p |- ( ph -> ( J ` { F } ) =/= ( J ` { G } ) ) $=
        ( csn cfv clss eqid clmod wcel dvhlmod lspsncl syl2anc mapd11 necon3bid
        wne mpbird 3netr3d ) ANULKUMZJUMZOULKUMZJUMZEULHUMFULHUMAVGVIVCVFVHVCUK
        AVGVIVFVHADUNUMZDGIJMVFVHPRVJUOZQUDADUPUQZNLUQVFVJUQADGIMPRUDURZUGVJKLD
        NSVKTUSUTAVLOLUQVHVJUQVMUHVJKLDOSVKTUSUTVAVBVDUFUJVE $.
    $}

    mapdindp.z $e |- ( ph -> Z e. V ) $.
    mapdindp.e $e |- ( ph -> E e. D ) $.
    mapdindp.mg $e |- ( ph -> ( M ` ( N ` { Z } ) ) = ( J ` { E } ) ) $.
    mapdindp.xn $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
    $( Transfer (part of) vector independence condition from domain to range of
       projectivity ` mapd ` .  (Contributed by NM, 11-Apr-2015.) $)
    mapdindp $p |- ( ph -> -. F e. ( J ` { G , E } ) ) $=
      ( cpr cfv wcel csn wss clss eqid lcdlmod lspprcl lspsnel5 dvhlmod lspsncl
      clmod syl2anc mapdord clsm co lsmpr fveq2d mapdlsm oveq12d 3eqtrd sseq12d
      eqtr4d 3bitr2rd bitrd mtbird ) AFGEUQIURZUSZOPQUQLURZUSZUPAWEFUTIURZWDVAZ
      WGABVBURZWDICBFUDWJVCZUEABHJNRUCUFVDZAWJICBGEUDWKUEWLUKUNVEUGVFAWGOUTLURZ
      WFVAWMKURZWFKURZVAWIADVBURZWFLMDOUAWPVCZUBADHJNRTUFVGZAWPLMDPQUAWQUBWRUJU
      MVEZUIVFAWPDHJKNWMWFRTWQSUFADVIUSZOMUSWMWPUSWRUIWPLMDOUAWQUBVHVJWSVKAWNWH
      WOWDUHAWOGUTIURZEUTIURZBVLURZVMZWDAWOPUTLURZQUTLURZDVLURZVMZKURXEKURZXFKU
      RZXCVMXDAWFXHKAXGLMDPQUAUBXGVCZWRUJUMVNVOABXCXGWPDHJKNXEXFRSTWQXKUCXCVCZU
      FAWTPMUSXEWPUSWRUJWPLMDPUAWQUBVHVJAWTQMUSXFWPUSWRUMWPLMDQUAWQUBVHVJVPAXIX
      AXJXBXCULUOVQVRAXCICBGEUDUEXLWLUKUNVNVTVSWAWBWC $.
  $}

  ${
    mapdpglem.h $e |- H = ( LHyp ` K ) $.
    mapdpglem.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdpglem.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdpglem.v $e |- V = ( Base ` U ) $.
    mapdpglem.s $e |- .- = ( -g ` U ) $.
    mapdpglem.n $e |- N = ( LSpan ` U ) $.
    mapdpglem.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    mapdpglem.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdpglem.x $e |- ( ph -> X e. V ) $.
    mapdpglem.y $e |- ( ph -> Y e. V ) $.
    mapdpglem1.p $e |- .(+) = ( LSSum ` C ) $.
    $( Lemma for ~ mapdpg .  Baer p. 44, last line:  "(F(x-y))* <=
       (Fx)*+(Fy)*."  (Contributed by NM, 15-Mar-2015.) $)
    mapdpglem1 $p |- ( ph ->
      ( M ` ( N ` { ( X .- Y ) } ) ) C_
            ( ( M ` ( N ` { X } ) ) .(+) ( M ` ( N ` { Y } ) ) ) ) $=
      ( co csn cfv clsm wss wcel dvhlmod eqid lspsntrim syl3anc clss lmodvsubcl
      clmod lspsncl syl2anc lsmcl mapdord mpbird mapdlsm sseqtrd ) ALMHUEZUFIUG
      ZGUGZLUFIUGZMUFIUGZDUHUGZUEZGUGZVHGUGVIGUGCUEAVGVLUIVFVKUIZADUQUJZLJUJZMJ
      UJZVMADEFKNPUAUKZUBUCVJHIJDLMQRVJULZSUMUNADUOUGZDEFGKVFVKNPVSULZOUAAVNVEJ
      UJZVFVSUJVQAVNVOVPWAVQUBUCHJDLMQRUPUNVSIJDVEQVTSURUSAVNVHVSUJZVIVSUJZVKVS
      UJVQAVNVOWBVQUBVSIJDLQVTSURUSZAVNVPWCVQUCVSIJDMQVTSURUSZVJVSVHVIDVTVRUTUN
      VAVBABCVJVSDEFGKVHVINOPVTVRTUDUAWDWEVCVD $.

    $d t .- $.  $d t C $.  $d t J $.  $d t M $.  $d t N $.  $d t X $.
    $d t Y $.
    mapdpglem2.j $e |- J = ( LSpan ` C ) $.
    ${
      $d t ph $.
      $( Lemma for ~ mapdpg .  Baer p. 45, lines 1 and 2:  "we have (F(x-y))* =
         Gt where t necessarily belongs to (Fx)*+(Fy)*."  (We scope $d ` t ph `
         locally to avoid clashes with later substitutions into ` ph ` .)
         (Contributed by NM, 15-Mar-2015.) $)
      mapdpglem2 $p |- ( ph ->
               E. t e. ( ( M ` ( N ` { X } ) ) .(+) ( M ` ( N ` { Y } ) ) )
             ( M ` ( N ` { ( X .- Y ) } ) ) = ( J ` { t } ) ) $=
        ( co csn cfv cv wceq wrex cbs clmod dvhlmod lmodvsubcl syl3anc mapdspex
        eqid wcel wa lcdlmod lspsnid sylan simprr eleqtrrd reximssdv mapdpglem1
        adantrr sseld anim1d reximdv2 mpd ) ANOJUHZUIKUJIUJZBUKZUIGUJZULZBVPUMV
        SBNUIKUJIUJOUIKUJIUJDUHZUMAVSVSBVPCUNUJZAWACEBFGHIKLMVOPQRSUAUBWAUTZUGU
        CAEUOVANLVAOLVAVOLVAAEFHMPRUCUPUDUEJLENOSTUQURUSAVQWAVAZVSVBVBVQVRVPAWC
        VQVRVAZVSACUOVAWCWDACFHMPUBUCVCGWACVQWBUGVDVEVJAWCVSVFZVGWEVHAVSVSBVPVT
        AVQVPVAVQVTVAVSAVPVTVQACDEFHIJKLMNOPQRSTUAUBUCUDUEUFVIVKVLVMVN $.
    $}

    mapdpglem3.f $e |- F = ( Base ` C ) $.
    mapdpglem3.te $e |- ( ph
        -> t e. ( ( M ` ( N ` { X } ) ) .(+) ( M ` ( N ` { Y } ) ) ) ) $.
    $( Lemma for ~ mapdpg .  (Contributed by NM, 20-Mar-2015.) $)
    mapdpglem2a $p |- ( ph -> t e. F ) $=
      ( csn cfv co clss wcel clmod lcdlmod eqid dvhlmod lspsncl syl2anc mapdcl2
      cv lsmcl syl3anc lssel ) AOUKLULZJULZPUKLULZJULZDUMZCUNULZUOZBVCZVKUOVNFU
      OACUPUOVHVLUOVJVLUOVMACGINQUCUDUQACVGEUNULZVLEGIJNQRSVOURZUCVLURZUDAEUPUO
      ZOMUOVGVOUOAEGINQSUDUSZUEVOLMEOTVPUBUTVAVBACVIVOVLEGIJNQRSVPUCVQUDAVRPMUO
      VIVOUOVSUFVOLMEPTVPUBUTVAVBDVLVHVJCVQUGVDVEUJVLVKFCVNUIVQVFVA $.

    $d g w B $.  $d g w z C $.  $d g F $.  $d g w z G $.  $d g w z J $.
    $d g w z M $.  $d g w z N $.  $d g w z R $.  $d g w z .x. $.  $d g w z Y $.
    $d g t w z $.
    mapdpglem3.a $e |- A = ( Scalar ` U ) $.
    mapdpglem3.b $e |- B = ( Base ` A ) $.
    mapdpglem3.t $e |- .x. = ( .s ` C ) $.
    mapdpglem3.r $e |- R = ( -g ` C ) $.
    mapdpglem3.g $e |- ( ph -> G e. F ) $.
    mapdpglem3.e $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( J ` { G } ) ) $.
    ${
      $d g w z ph $.
      $( Lemma for ~ mapdpg .  Baer p. 45, line 3:  "infer ... the existence of
         a number g in G and of an element z in (Fy)* such that t = gx'-z."
         (We scope $d ` g w z ph ` locally to avoid clashes with later
         substitutions into ` ph ` .)  (Contributed by NM, 18-Mar-2015.) $)
      mapdpglem3 $p |- ( ph ->
              E. g e. B E. z e. ( M ` ( N ` { Y } ) )
                  t = ( ( g .x. G ) R z ) ) $=
        ( vw cv co wceq csn cfv wrex wex wcel oveq1d eleqtrd r19.41v csca clmod
        wa cbs wb lcdlmod lspsnel syl2anc lcdsbase rexeqdv bitrd anbi1d bitr4id
        eqid exbidv df-rex bitr4di clss csubg wss lsssssubg syl lspsncl dvhlmod
        sseldd mapdcl2 lsmelvalm bitr4d mpbird ovex oveq1 eqeq2d rexbidv rexbii
        ceqsexv rexcom4 bitr3i sylibr ) AVDVEZKVEZMIVFZVGZCVEZXNBVEZHVFZVGZBUCV
        HSVIZQVIZVJZVRZKEVJZVDVKZXRXPXSHVFZVGZBYCVJZKEVJZAYGXRMVHOVIZYCGVFZVLZA
        XRUBVHSVIQVIZYCGVFYMUQAYOYLYCGVCVMVNAYGYDVDYLVJZYNAYGXNYLVLZYDVRZVDVKYP
        AYFYRVDAYFXQKEVJZYDVRYRXQYDKEVOAYQYSYDAYQXQKFVPVIZVSVIZVJZYSAFVQVLZMLVL
        ZYQUUBVTAFNPUAUDUJUKWAZVBIXNKYTUUAOLFMYTWIZUUAWIZUPUTUOWBWCAXQKUUAEAFUU
        AYTJDNPEUAUDUFURUSUJUUFUUGUKWDWEWFWGWHWJYDVDYLWKWLAVDBGYLYCFHXRVAUNAFWM
        VIZFWNVIZYLAUUCUUHUUIWOUUEUUHFUUHWIZWPWQZAUUCUUDYLUUHVLUUEVBUUHOLFMUPUU
        JUOWRWCWTAUUHUUIYCUUKAFYBJWMVIZUUHJNPQUAUDUEUFUULWIZUJUUJUKAJVQVLUCTVLY
        BUULVLAJNPUAUDUFUKWSUMUULSTJUCUGUUMUIWRWCXAWTXBXCXDYKYEVDVKZKEVJYGUUNYJ
        KEYDYJVDXPXOMIXEXQYAYIBYCXQXTYHXRXNXPXSHXFXGXHXJXIYEKVDEXKXLXM $.
    $}

    mapdpglem4.q $e |- Q = ( 0g ` U ) $.
    mapdpglem.ne $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
    $( Lemma for ~ mapdpg .  (Contributed by NM, 20-Mar-2015.)
       (New usage is discouraged.) $)
    mapdpglem4N $p |- ( ph -> ( X .- Y ) =/= Q ) $=
      ( dvhlmod lspsnsubn0 ) AQRSJUAUBGUFVCUGAJMOTUCUEUJVEUKULVDVF $.

    mapdpglem4.jt $e |- ( ph
           -> ( M ` ( N ` { ( X .- Y ) } ) ) = ( J ` { t } ) ) $.
    $( Lemma for ~ mapdpg .  (Contributed by NM, 20-Mar-2015.)
       (New usage is discouraged.) $)
    mapdpglem5N $p |- ( ph -> t =/= ( 0g ` C ) ) $=
      ( cv csn cfv clsa wcel c0g co eqid mapdpglem4N dvhlmod lmodvsubcl syl3anc
      wne clmod lsatspn0 mpbird mapdat eqeltrrd lcdlmod mapdpglem2a mpbid ) ABV
      FZVGNVHZEVIVHZVJWGEVKVHZVRAUAUBQVLZVGRVHZPVHWHWIVEAJVIVHZWIEWLJMOPTUCUDUE
      WMVMZUIWIVMZUJAWLWMVJWKGVRABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMU
      NUOUPUQURUSUTVAVBVCVDVNAWMRSJWKGUFUHVCWNAJMOTUCUEUJVOZAJVSVJUASVJUBSVJWKS
      VJWPUKULQSJUAUBUFUGVPVQVTWAWBWCAWINKEWGWJUOUNWJVMWOAEMOTUCUIUJWDABEFJKMNO
      PQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPWEVTWF $.

    mapdpglem4.z $e |- .0. = ( 0g ` A ) $.
    mapdpglem4.g4 $e |- ( ph -> g e. B ) $.
    mapdpglem4.z4 $e |- ( ph -> z e. ( M ` ( N ` { Y } ) ) ) $.
    mapdpglem4.t4 $e |- ( ph -> t = ( ( g .x. G ) R z ) ) $.
    mapdpglem4.xn $e |- ( ph -> X =/= Q ) $.
    ${
      mapdpglem4.g0 $e |- ( ph -> g = .0. ) $.
      $( Lemma for ~ mapdpg .  Baer p. 45, line 4:  "If g were 0, then t would
         be in (Fy)*..."  (Contributed by NM, 18-Mar-2015.) $)
      mapdpglem6 $p |- ( ph -> t e. ( M ` ( N ` { Y } ) ) ) $=
        ( cv co csn cfv clmod wcel clss lcdlmod dvhlmod lspsncl syl2anc mapdcl2
        eqid c0g oveq1d lcd0vs eqtrd lss0cl eqeltrd lssvsubcl syl22anc ) ACVOLV
        OZNJVPZBVOZIVPZUDVQTVRZRVRZVLAFVSVTZXAFWAVRZVTZWQXAVTWRXAVTWSXAVTAFOQUB
        UFULUMWBZAFWTKWAVRZXCKOQRUBUFUGUHXFWGZULXCWGZUMAKVSVTUDUAVTWTXFVTAKOQUB
        UFUHUMWCUOXFTUAKUDUIXGUKWDWEWFZAWQFWHVRZXAAWQUENJVPXJAWPUENJVNWIAFDJKNO
        QXJMUBUEUFUHUTVIULURVBXJWGZUMVDWJWKAXBXDXJXAVTXEXIXCXAFXJXKXHWLWEWMVKXC
        XAIFWQWRVCXHWNWOWM $.

      $( Lemma for ~ mapdpg .  Baer p. 45, line 4:  "...so that (F(x-y))* <=
         (Fy)*.  This would imply that F(x-y) <= F(y)..."  (Contributed by NM,
         20-Mar-2015.) $)
      mapdpglem8 $p |- ( ph -> ( N ` { ( X .- Y ) } )
        C_ ( N ` { Y } ) ) $=
        ( co csn cfv cv clss eqid lcdlmod clmod dvhlmod lspsncl syl2anc mapdcl2
        wss wcel mapdpglem6 lspsnel5a eqsstrd lmodvsubcl syl3anc mapdord mpbid
        ) AUCUDSVOZVPTVQZRVQZUDVPTVQZRVQZWGWQWSWGAWRCVRZVPPVQWTVHAFVSVQZWTPFXAX
        BVTZUQAFOQUBUFULUMWAAFWSKVSVQZXBKOQRUBUFUGUHXDVTZULXCUMAKWBWHZUDUAWHZWS
        XDWHAKOQUBUFUHUMWCZUOXDTUAKUDUIXEUKWDWEZWFABCDEFGHIJKLMNOPQRSTUAUBUCUDU
        EUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLVMVNWIWJWKAXDKOQ
        RUBWQWSUFUHXEUGUMAXFWPUAWHZWQXDWHXHAXFUCUAWHXGXJXHUNUOSUAKUCUDUIUJWLWMX
        DTUAKWPUIXEUKWDWEXIWNWO $.

      $( Lemma for ~ mapdpg .  Baer p. 45, line 4:  "...so that x would
         consequently belong to Fy."  (Contributed by NM, 20-Mar-2015.) $)
      mapdpglem9 $p |- ( ph -> X e. ( N ` { Y } ) ) $=
        ( co cplusg cfv clmod wcel wceq dvhlmod eqid lmodvnpcan syl3anc lspsncl
        csn clss syl2anc mapdpglem8 lmodvsubcl lspsnid sseldd syl22anc eqeltrrd
        lssvacl ) AUCUDSVOZUDKVPVQZVOZUCUDWFTVQZAKVRVSZUCUAVSZUDUAVSZWRUCVTAKOQ
        UBUFUHUMWAZUNUOUCUDWQSUAKUIWQWBZUJWCWDAWTWSKWGVQZVSZWPWSVSUDWSVSZWRWSVS
        XCAWTXBXFXCUOXETUAKUDUIXEWBZUKWEWHAWPWFTVQZWSWPABCDEFGHIJKLMNOPQRSTUAUB
        UCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLVMVNWIAWTWP
        UAVSZWPXIVSXCAWTXAXBXJXCUNUOSUAKUCUDUIUJWJWDTUAKWPUIUKWKWHWLAWTXBXGXCUO
        TUAKUDUIUKWKWHWQXEWSKWPUDXDXHWOWMWN $.

      $( Lemma for ~ mapdpg .  Baer p. 45, line 6:  "Hence Fx=Fy, an
         impossibility."  (Contributed by NM, 20-Mar-2015.) $)
      mapdpglem10 $p |- ( ph -> ( N ` { X } ) = ( N ` { Y } ) ) $=
        ( dvhlvec mapdpglem9 lspsneleq ) ATUAKUDUCHUIVFUKAKOQUBUFUHUMVOUOABCDEF
        GHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHV
        IVJVKVLVMVNVPVMVQ $.
    $}

    $( Lemma for ~ mapdpg .  (Contributed by NM, 20-Mar-2015.) $)
    mapdpglem11 $p |- ( ph -> g =/= .0. ) $=
      ( csn cfv wne cv wceq wa chlt wcel adantr co simpr mapdpglem10 ex necon3d
      mpd ) AUCVNTVOZUDVNTVOZVPZLVQZUEVPVGAWLUEWIWJAWLUEVRZWIWJVRAWMVSBCDEFGHIJ
      KLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULAQVTWAUBOWAVSWMUMWBAUCUAWAWMUNWBAUDUAWA
      WMUOWBUPUQURACVQZWIRVOZWJRVOZGWCWAWMUSWBUTVAVBVCANMWAWMVDWBAWONVNPVOVRWMV
      EWBVFAWKWMVGWBAUCUDSWCVNTVORVOWNVNPVOVRWMVHWBVIAWLEWAWMVJWBABVQZWPWAWMVKW
      BAWNWLNJWCWQIWCVRWMVLWBAUCHVPWMVMWBAWMWDWEWFWGWH $.

    mapdpglem12.yn $e |- ( ph -> Y =/= Q ) $.
    ${
      mapdpglem12.g0 $e |- ( ph -> z = ( 0g ` C ) ) $.
      $( Lemma for ~ mapdpg .  TODO:  Can some commonality with ~ mapdpglem6
         through ~ mapdpglem11 be exploited?  Also, some consolidation of small
         lemmas here could be done.  (Contributed by NM, 18-Mar-2015.) $)
      mapdpglem12 $p |- ( ph -> t e. ( M ` ( N ` { X } ) ) ) $=
        ( cv co csn cfv clmod wcel clss lcdlmod dvhlmod lspsncl syl2anc mapdcl2
        eqid lspsnid eleqtrrd lcdlssvscl c0g lss0cl eqeltrd lssvsubcl syl22anc
        ) ACVPLVPZNJVQZBVPZIVQZUCVRTVSZRVSZVLAFVTWAZXBFWBVSZWAZWRXBWAWSXBWAWTXB
        WAAFOQUBUFULUMWCZAFXAKWBVSZXDKOQRUBUFUGUHXGWHZULXDWHZUMAKVTWAUCUAWAXAXG
        WAAKOQUBUFUHUMWDUNXGTUAKUCUIXHUKWEWFWGZAFEXDJKDOQXBMUBWQNUFUHUTVAULURVB
        XIUMXJVJANNVRPVSZXBAXCNMWANXKWAXFVDPMFNURUQWIWFVEWJWKAWSFWLVSZXBVOAXCXE
        XLXBWAXFXJXDXBFXLXLWHXIWMWFWNXDXBIFWRWSVCXIWOWPWN $.

      $( Lemma for ~ mapdpg .  (Contributed by NM, 20-Mar-2015.) $)
      mapdpglem13 $p |- ( ph -> ( N ` { ( X .- Y ) } )
        C_ ( N ` { X } ) ) $=
        ( co csn cfv cv clss eqid lcdlmod clmod dvhlmod lspsncl syl2anc mapdcl2
        wss wcel mapdpglem12 lspsnel5a eqsstrd lmodvsubcl syl3anc mapdord mpbid
        ) AUCUDSVPZVQTVRZRVRZUCVQTVRZRVRZWHWRWTWHAWSCVSZVQPVRXAVHAFVTVRZXAPFXBX
        CWAZUQAFOQUBUFULUMWBAFWTKVTVRZXCKOQRUBUFUGUHXEWAZULXDUMAKWCWIZUCUAWIZWT
        XEWIAKOQUBUFUHUMWDZUNXETUAKUCUIXFUKWEWFZWGABCDEFGHIJKLMNOPQRSTUAUBUCUDU
        EUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLVMVNVOWJWKWLAXEK
        OQRUBWRWTUFUHXFUGUMAXGWQUAWIZWRXEWIXIAXGXHUDUAWIXKXIUNUOSUAKUCUDUIUJWMW
        NXETUAKWQUIXFUKWEWFXJWOWP $.

      $( Lemma for ~ mapdpg .  (Contributed by NM, 20-Mar-2015.) $)
      mapdpglem14 $p |- ( ph -> Y e. ( N ` { X } ) ) $=
        ( co cplusg cfv clmod wcel wceq dvhlmod eqid lmodvnpcan syl3anc lspsncl
        csn clss syl2anc cminusg cgrp lmodgrp syl grpinvsub mapdpglem13 lspsnid
        lmodvsubcl sseldd lssvnegcl eqeltrrd lssvacl syl22anc ) AUDUCSVPZUCKVQV
        RZVPZUDUCWGTVRZAKVSVTZUDUAVTZUCUAVTZXEUDWAAKOQUBUFUHUMWBZUOUNUDUCXDSUAK
        UIXDWCZUJWDWEAXGXFKWHVRZVTZXCXFVTUCXFVTZXEXFVTXJAXGXIXMXJUNXLTUAKUCUIXL
        WCZUKWFWIZAUCUDSVPZKWJVRZVRZXCXFAKWKVTZXIXHXSXCWAAXGXTXJKWLWMUNUOUAKSXR
        UCUDUIUJXRWCZWNWEAXGXMXQXFVTXSXFVTXJXPAXQWGTVRZXFXQABCDEFGHIJKLMNOPQRST
        UAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLVMVNVOW
        OAXGXQUAVTZXQYBVTXJAXGXIXHYCXJUNUOSUAKUCUDUIUJWQWETUAKXQUIUKWPWIWRXLXFX
        RKXQXOYAWSWEWTAXGXIXNXJUNTUAKUCUIUKWPWIXDXLXFKXCUCXKXOXAXBWT $.

      $( Lemma for ~ mapdpg .  (Contributed by NM, 20-Mar-2015.) $)
      mapdpglem15 $p |- ( ph -> ( N ` { X } ) = ( N ` { Y } ) ) $=
        ( csn cfv dvhlvec mapdpglem14 lspsneleq eqcomd ) AUDVPTVQUCVPTVQATUAKUC
        UDHUIVFUKAKOQUBUFUHUMVRUNABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUM
        UNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLVMVNVOVSVNVTWA $.
    $}

    $( Lemma for ~ mapdpg .  Baer p. 45, line 7:  "Likewise we see that z =/=
       0."  (Contributed by NM, 20-Mar-2015.) $)
    mapdpglem16 $p |- ( ph -> z =/= ( 0g ` C ) ) $=
      ( csn cfv wne cv wceq wa chlt wcel adantr co simpr mapdpglem15 ex necon3d
      c0g mpd ) AUCVOTVPZUDVOTVPZVQZBVRZFWIVPZVQVGAWNWOWKWLAWNWOVSZWKWLVSAWPVTB
      CDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULAQWAWBUBOWBVTWPUMWCAUCUAWBWPUNW
      CAUDUAWBWPUOWCUPUQURACVRZWKRVPZWLRVPZGWDWBWPUSWCUTVAVBVCANMWBWPVDWCAWRNVO
      PVPVSWPVEWCVFAWMWPVGWCAUCUDSWDVOTVPRVPWQVOPVPVSWPVHWCVIALVRZEWBWPVJWCAWNW
      SWBWPVKWCAWQWTNJWDWNIWDVSWPVLWCAUCHVQWPVMWCAUDHVQWPVNWCAWPWEWFWGWHWJ $.

    mapdpglem17.ep $e |- E = ( ( ( invr ` A ) ` g ) .x. z ) $.
    $( Lemma for ~ mapdpg .  Baer p. 45, line 7:  "Hence we may form y' = g^-1
       z."  (Contributed by NM, 20-Mar-2015.)  (New usage is discouraged.) $)
    mapdpglem17N $p |- ( ph -> E e. F ) $=
      ( cv cinvr cfv cdr wcel wne clvec dvhlvec lvecdrng mapdpglem11 drnginvrcl
      syl eqid syl3anc csn clss wss clmod dvhlmod lspsncl syl2anc mapdcl2 lssss
      co sseldd lcdvscl eqeltrid ) AMLVQZDVRVSZVSZBVQZJWTNVPAFEDJKXGPRNUCXFUGUI
      VAVBUMUSVCUNADVTWAZXDEWAXDUFWBXFEWAAKWCWAXHAKPRUCUGUIUNWDDKVAWEWHVKABCDEF
      GHIJKLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJ
      VKVLVMVNWFEDXEXDUFVBVJXEWIWGWJAUEWKUAVSZSVSZNXGAXJFWLVSZWAXJNWMAFXIKWLVSZ
      XKKPRSUCUGUHUIXLWIZUMXKWIZUNAKWNWAUEUBWAXIXLWAAKPRUCUGUIUNWOUPXLUAUBKUEUJ
      XMULWPWQWRXKXJNFUSXNWSWHVLXAXBXC $.

    $( Lemma for ~ mapdpg .  Baer p. 45, line 7:  "Then y =/= 0..."
       (Contributed by NM, 20-Mar-2015.) $)
    mapdpglem18 $p |- ( ph -> E =/= ( 0g ` C ) ) $=
      ( cv cinvr cfv co c0g wne csca cdr clvec dvhlvec lvecdrng syl mapdpglem11
      wcel eqid drnginvrn0 syl3anc lcd0 neeqtrrd mapdpglem16 lcdlvec drnginvrcl
      cbs lcdsbase eleqtrrd csn wss clmod dvhlmod lspsncl syl2anc mapdcl2 lssss
      clss sseldd lvecvsn0 mpbir2and 3netr4g ) ALVQZDVRVSZVSZBVQZJVTZFWAVSZMXTA
      XSXTWBXQFWCVSZWAVSZWBXRXTWBAXQUFYBADWDWJZXOEWJZXOUFWBZXQUFWBAKWEWJYCAKPRU
      CUGUIUNWFDKVAWGWHZVKABCDEFGHIJKLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQ
      URUSUTVAVBVCVDVEVFVGVHVIVJVKVLVMVNWIZEDXPXOUFVBVJXPWKZWLWMAFYAKDPRYBUCUFU
      GUIVAVJUMYAWKZYBWKZUNWNWOABCDEFGHIJKLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNU
      OUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLVMVNVOWPAXQJYAYAWSVSZYBNFXRXTUSVCYIYKW
      KZYJXTWKZAFPRUCUGUMUNWQAXQEYKAYCYDYEXQEWJYFVKYGEDXPXOUFVBVJYHWRWMAFYKYAKD
      PREUCUGUIVAVBUMYIYLUNWTXAAUEXBUAVSZSVSZNXRAYOFXJVSZWJYONXCAFYNKXJVSZYPKPR
      SUCUGUHUIYQWKZUMYPWKZUNAKXDWJUEUBWJYNYQWJAKPRUCUGUIUNXEUPYQUAUBKUEUJYRULX
      FXGXHYPYONFUSYSXIWHVLXKXLXMVPYMXN $.

    $( Lemma for ~ mapdpg .  Baer p. 45, line 8:  "...is in (Fy)*..."
       (Contributed by NM, 20-Mar-2015.) $)
    mapdpglem19 $p |- ( ph -> E e. ( M ` ( N ` { Y } ) ) ) $=
      ( cv cinvr cfv co csn clss eqid clmod dvhlmod lspsncl syl2anc mapdcl2 cdr
      wcel wne clvec dvhlvec lvecdrng mapdpglem11 drnginvrcl syl3anc lcdlssvscl
      syl eqeltrid ) AMLVQZDVRVSZVSZBVQZJVTUEWAUAVSZSVSZVPAFEFWBVSZJKDPRXFNUCXC
      XDUGUIVAVBUMUSVCXGWCZUNAFXEKWBVSZXGKPRSUCUGUHUIXIWCZUMXHUNAKWDWJUEUBWJXEX
      IWJAKPRUCUGUIUNWEUPXIUAUBKUEUJXJULWFWGWHADWIWJZXAEWJXAUFWKXCEWJAKWLWJXKAK
      PRUCUGUIUNWMDKVAWNWSVKABCDEFGHIJKLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUP
      UQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLVMVNWOEDXBXAUFVBVJXBWCWPWQVLWRWT $.

    $( Lemma for ~ mapdpg .  Baer p. 45, line 8:  "...so that (Fy)*=Gy'."
       (Contributed by NM, 20-Mar-2015.) $)
    mapdpglem20 $p |- ( ph -> ( M ` ( N ` { Y } ) ) = ( J ` { E } ) ) $=
      ( clsa cfv csn c0g eqid lcdlvec dvhlmod wcel cdif eldifsn sylanbrc mapdat
      wne lsatlspsn mapdpglem19 mapdpglem18 lsatel ) AFVQVRZUEVSUAVRZSVRQFMFVTV
      RZWPWAURWNWAZAFPRUCUGUMUNWBAKVQVRZWNFWOKPRSUCUGUHUIWRWAZUMWQUNAWRUAUBKUEH
      UJULVGWSAKPRUCUGUIUNWCAUEUBWDUEHWIUEUBHVSWEWDUPVOUEUBHWFWGWJWHABCDEFGHIJK
      LMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVL
      VMVNVOVPWKABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAV
      BVCVDVEVFVGVHVIVJVKVLVMVNVOVPWLWM $.

    $( Lemma for ~ mapdpg .  (Contributed by NM, 20-Mar-2015.) $)
    mapdpglem21 $p |- ( ph -> ( ( ( invr ` A ) ` g ) .x. t ) = ( G R E ) ) $=
      ( cv cinvr cfv co oveq2d csca cbs eqid lcdlmod cdr wcel wne clvec dvhlvec
      lvecdrng syl mapdpglem11 drnginvrcl syl3anc lcdsbase eleqtrrd lcdvscl csn
      clss wss clmod dvhlmod lspsncl syl2anc mapdcl2 lssss sseldd lmodsubdi cur
      wceq drnginvrr lcd1 eqtr4d oveq1d lcdvsass lmodvs1 3eqtr3d oveq2i eqtr4di
      cmulr 3eqtrd ) ALVQZDVRVSZVSZCVQZJVTYEYCOJVTZBVQZIVTZJVTYEYGJVTZYEYHJVTZI
      VTZOMIVTZAYFYIYEJVMWAAYEJFWBVSZYNWCVSZINFYGYHUSVCYNWDZYOWDZVDAFPRUCUGUMUN
      WEZAYEEYOADWFWGZYCEWGZYCUFWHZYEEWGAKWIWGYSAKPRUCUGUIUNWJDKVAWKWLZVKABCDEF
      GHIJKLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJ
      VKVLVMVNWMZEDYDYCUFVBVJYDWDZWNWOZAFYOYNKDPREUCUGUIVAVBUMYPYQUNWPWQAFEDJKO
      PRNUCYCUGUIVAVBUMUSVCUNVKVEWRAUEWSUAVSZSVSZNYHAUUGFWTVSZWGUUGNXAAFUUFKWTV
      SZUUHKPRSUCUGUHUIUUIWDZUMUUHWDZUNAKXBWGUEUBWGUUFUUIWGAKPRUCUGUIUNXCUPUUIU
      AUBKUEUJUUJULXDXEXFUUHUUGNFUSUUKXGWLVLXHXIAYLOYKIVTYMAYJOYKIAYCYEDYAVSZVT
      ZOJVTYNXJVSZOJVTZYJOAUUMUUNOJAUUMDXJVSZUUNAYSYTUUAUUMUUPXKUUBVKUUCEDUULUU
      PYDYCUFVBVJUULWDZUUPWDZUUDXLWOAFYNKUUPDPUUNRUCUGUIVAUURUMYPUUNWDZUNXMXNXO
      AFDJUULKNOPREUCYEYCUGUIVAVBUUQUMUSVCUNUUEVKVEXPAFXBWGONWGUUOOXKYRVEJUUNYN
      NFOUSYPVCUUSXQXEXRXOMYKOIVPXSXTYB $.

    $( Lemma for ~ mapdpg .  Baer p. 45, line 9:  "(F(x-y))* = ... = G(x'-y')."
       (Contributed by NM, 20-Mar-2015.) $)
    mapdpglem22 $p |- ( ph
           -> ( M ` ( N ` { ( X .- Y ) } ) ) = ( J ` { ( G R E ) } ) ) $=
      ( co csn cfv cv cinvr wcel csca cbs c0g wne wceq lcdlvec dvhlvec lvecdrng
      clvec cdr syl mapdpglem11 drnginvrcl syl3anc lcdsbase eleqtrrd drnginvrn0
      eqid lcd0 neeqtrrd mapdpglem2a lspsnvs syl121anc mapdpglem21 sneqd fveq2d
      3eqtr2d ) AUDUETVQVRUAVSSVSCVTZVRQVSZLVTZDWAVSZVSZXJJVQZVRZQVSZOMIVQZVRZQ
      VSVIAFWKWBXNFWCVSZWDVSZWBXNXTWEVSZWFXJNWBXQXKWGAFPRUCUGUMUNWHAXNEYAADWLWB
      ZXLEWBZXLUFWFZXNEWBAKWKWBYCAKPRUCUGUIUNWIDKVAWJWMZVKABCDEFGHIJKLNOPQRSTUA
      UBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLVMVNWNZEDXM
      XLUFVBVJXMWTZWOWPAFYAXTKDPREUCUGUIVAVBUMXTWTZYAWTZUNWQWRAXNUFYBAYCYDYEXNU
      FWFYFVKYGEDXMXLUFVBVJYHWSWPAFXTKDPRYBUCUFUGUIVAVJUMYIYBWTZUNXAXBACFGKNPQR
      STUAUBUCUDUEUGUHUIUJUKULUMUNUOUPUQURUSUTXCXNJXTYAQNFXJYBUSYIVCYJYKURXDXEA
      XPXSQAXOXRABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAV
      BVCVDVEVFVGVHVIVJVKVLVMVNVOVPXFXGXHXI $.

    $d h E $.  $d h F $.  $d h G $.  $d h J $.  $d h M $.  $d h N $.  $d h R $.
    $d h .- $.  $d h X $.  $d h Y $.
    $( Lemma for ~ mapdpg .  Baer p. 45, line 10:  "and so y' meets all our
       requirements."  Our ` h ` is Baer's y'.  (Contributed by NM,
       20-Mar-2015.) $)
    mapdpglem23 $p |- ( ph ->
            E. h e. F ( ( M ` ( N ` { Y } ) ) = ( J ` { h } )
         /\ ( M ` ( N ` { ( X .- Y ) } ) ) = ( J ` { ( G R h ) } ) ) ) $=
      ( wcel csn cfv wceq co cv wa wrex clss eqid clmod dvhlmod lspsncl syl2anc
      mapdcl2 mapdpglem19 lssel mapdpglem20 mapdpglem22 sneq fveq2d oveq2 sneqd
      eqeq2d anbi12d rspcev syl12anc ) ANOVRZUFVSUBVTZTVTZNVSZRVTZWAZUEUFUAWBVS
      UBVTTVTZPNIWBZVSZRVTZWAZXGMWCZVSZRVTZWAZXKPXPIWBZVSZRVTZWAZWDZMOWEAXGFWFV
      TZVRNXGVRXEAFXFKWFVTZYEKQSTUDUHUIUJYFWGZUNYEWGZUOAKWHVRUFUCVRXFYFVRAKQSUD
      UHUJUOWIUQYFUBUCKUFUKYGUMWJWKWLABCDEFGHIJKLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKU
      LUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLVMVNVOVPVQWMYEXGOFNUTYHWNWKABCDE
      FGHIJKLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIV
      JVKVLVMVNVOVPVQWOABCDEFGHIJKLNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURU
      SUTVAVBVCVDVEVFVGVHVIVJVKVLVMVNVOVPVQWPYDXJXOWDMNOXPNWAZXSXJYCXOYIXRXIXGY
      IXQXHRXPNWQWRXAYIYBXNXKYIYAXMRYIXTXLXPNPIWSWTWRXAXBXCXD $.
  $}

  ${
    mapdpg.h $e |- H = ( LHyp ` K ) $.
    mapdpg.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdpg.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdpg.v $e |- V = ( Base ` U ) $.
    mapdpg.s $e |- .- = ( -g ` U ) $.
    mapdpg.z $e |- .0. = ( 0g ` U ) $.
    mapdpg.n $e |- N = ( LSpan ` U ) $.
    mapdpg.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    mapdpg.f $e |- F = ( Base ` C ) $.
    mapdpg.r $e |- R = ( -g ` C ) $.
    mapdpg.j $e |- J = ( LSpan ` C ) $.
    mapdpg.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdpg.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    mapdpg.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
    mapdpg.g $e |- ( ph -> G e. F ) $.
    mapdpg.ne $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
    mapdpg.e $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( J ` { G } ) ) $.
    $( Lemma for ~ mapdpg .  (Contributed by NM, 22-Mar-2015.) $)
    mapdpglem30a $p |- ( ph -> G =/= ( 0g ` C ) ) $=
      ( csn cfv clsa wcel c0g wne eqid dvhlmod mapdat eqeltrrd lcdlmod lsatspn0
      lsatlspsn mpbid ) AFUOHUPZBUQUPZURFBUSUPZUTAOUOLUPZJUPVIVJUNADUQUPZVJBVLD
      GIJNRSTVMVAZUEVJVAZUIAVMLMDOQUAUDUCVNADGINRTUIVBUJVGVCVDAVJHEBFVKUFUHVKVA
      VOABGINRUEUIVEULVFVH $.

    ${
      mapdpgem25.h1 $e |- ( ph ->
              ( h e. F /\ ( ( M ` ( N ` { Y } ) ) = ( J ` { h } )
           /\ ( M ` ( N ` { ( X .- Y ) } ) ) = ( J ` { ( G R h ) } ) ) ) ) $.
      mapdpgem25.i1 $e |- ( ph ->
              ( i e. F /\ ( ( M ` ( N ` { Y } ) ) = ( J ` { i } )
           /\ ( M ` ( N ` { ( X .- Y ) } ) ) = ( J ` { ( G R i ) } ) ) ) ) $.
      $( Lemma for ~ mapdpg .  (Contributed by NM, 22-Mar-2015.) $)
      mapdpglem30b $p |- ( ph -> i =/= ( 0g ` C ) ) $=
        ( cv csn cfv clsa wcel c0g wne wceq co wa simprd eqid dvhlmod lsatlspsn
        simpld mapdat eqeltrrd lcdlmod lsatspn0 mpbid ) AFUSZUTJVAZBVBVAZVCVSBV
        DVAZVEARUTNVAZLVAZVTWAAWDVTVFZQRMVGUTNVALVAHVSCVGUTJVAVFZAVSGVCZWEWFVHZ
        URVIVMADVBVAZWABWCDIKLPTUAUBWIVJZUGWAVJZUKAWINODRSUCUFUEWJADIKPTUBUKVKU
        MVLVNVOAWAJGBVSWBUHUJWBVJWKABIKPTUGUKVPAWGWHURVMVQVR $.

      $( Lemma for ~ mapdpg .  Baer p. 45 line 12:  "Then we have Gy' =
         Gy'' and G(x'-y') = G(x'-y'')."  (Contributed by NM, 21-Mar-2015.) $)
      mapdpglem25 $p |- ( ph -> ( ( J ` { h } ) = ( J ` { i } )
         /\ ( J ` { ( G R h ) } ) = ( J ` { ( G R i ) } ) ) ) $=
        ( cv csn cfv wceq co wcel wa simprd simpld eqtr3d jca ) AEUSZUTJVAZFUSZ
        UTJVAZVBHVJCVCUTJVAZHVLCVCUTJVAZVBARUTNVALVAZVKVMAVPVKVBZQRMVCUTNVALVAZ
        VNVBZAVJGVDVQVSVEUQVFZVGAVPVMVBZVRVOVBZAVLGVDWAWBVEURVFZVGVHAVRVNVOAVQV
        SVTVFAWAWBWCVFVHVI $.

      $d h i u v $.  $d u v B $.  $d u v C $.  $d u v O $.  $d u v .x. $.
      $d v G $.  $d v R $.
      mapdpglem26.a $e |- A = ( Scalar ` U ) $.
      mapdpglem26.b $e |- B = ( Base ` A ) $.
      mapdpglem26.t $e |- .x. = ( .s ` C ) $.
      mapdpglem26.o $e |- O = ( 0g ` A ) $.
      ${
        $d u v ph $.
        $( Lemma for ~ mapdpg .  Baer p. 45 line 14:  "Consequently there exist
           numbers u,v in G neither of which is 0 such that y = uy'' and..."
           (We scope $d ` u ph ` locally to avoid clashes with later
           substitutions into ` ph ` .)  (Contributed by NM, 22-Mar-2015.) $)
        mapdpglem26 $p |- ( ph -> E. u e. ( B \ { O } ) h = ( u .x. i ) ) $=
          ( csn cfv wceq cdif wrex mapdpglem25 simpld csca cbs c0g eqid lcdlvec
          cv co wcel lspsneq lcdsbase lcd0 sneqd difeq12d rexeqdv bitrd mpbid
          wa ) AIVTZVHNVIZJVTZVHNVIZVJZWLBVTWNGWAVJZBDSVHZVKZVLZAWPLWLFWAVHNVIZ
          LWNFWAVHNVIZVJAEFHIJKLMNOPQRTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUT
          VAVBVCVMVNAWPWQBEVOVIZVPVIZXCVQVIZVHZVKZVLWTAXCGBXDNKEWLWNXEUMXCVRZXD
          VRZXEVRZVFUOAEMOUAUEULUPVSAWLKWBUCVHRVIPVIZWMVJUBUCQWAVHRVIPVIZXAVJWK
          VBVNAWNKWBXKWOVJXLXBVJWKVCVNWCAWQBXGWSAXDDXFWRAEXDXCHCMODUAUEUGVDVEUL
          XHXIUPWDAXESAEXCHCMOXEUASUEUGVDVGULXHXJUPWEWFWGWHWIWJ $.

        $( Lemma for ~ mapdpg .  Baer p. 45 line 16:  "v(x'-y'') = x'-y'" (with
           equality swapped).  (Contributed by NM, 22-Mar-2015.) $)
        mapdpglem27 $p |- ( ph
            -> E. v e. ( B \ { O } ) ( G R h ) = ( v .x. ( G R i ) ) ) $=
          ( csn cfv wceq cdif wrex mapdpglem25 simprd csca cbs c0g eqid lcdlvec
          cv clmod wcel lcdlmod simpld lmodvsubcl syl3anc lspsneq lcdsbase lcd0
          co wa sneqd difeq12d rexeqdv bitrd mpbid ) ALIVTZFWJZVHNVIZLJVTZFWJZV
          HNVIZVJZWRBVTXAGWJVJZBDSVHZVKZVLZAWQVHNVIZWTVHNVIZVJXCAEFHIJKLMNOPQRT
          UAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVMVNAXCXDBEVOVIZVPVIZXJ
          VQVIZVHZVKZVLXGAXJGBXKNKEWRXAXLUMXJVRZXKVRZXLVRZVFUOAEMOUAUEULUPVSAEW
          AWBZLKWBZWQKWBZWRKWBAEMOUAUEULUPWCZUSAXTUCVHRVIPVIZXHVJUBUCQWJVHRVIPV
          IZWSVJWKVBWDFKELWQUMUNWEWFAXRXSWTKWBZXAKWBYAUSAYDYBXIVJYCXBVJWKVCWDFK
          ELWTUMUNWEWFWGAXDBXNXFAXKDXMXEAEXKXJHCMODUAUEUGVDVEULXOXPUPWHAXLSAEXJ
          HCMOXLUASUEUGVDVGULXOXQUPWIWLWMWNWOWP $.
      $}

      mapdpglem28.ve $e |- ( ph -> v e. B ) $.
      mapdpglem28.u1 $e |- ( ph -> h = ( u .x. i ) ) $.
      mapdpglem28.u2 $e |- ( ph -> ( G R h ) = ( v .x. ( G R i ) ) ) $.
      $( Lemma for ~ mapdpg .  Baer p. 45 line 16:  "But Gx' and Gy'' are
         distinct points and so x' and y'' are independent elements in B.
         (Contributed by NM, 22-Mar-2015.) $)
      mapdpglem29 $p |- ( ph -> ( J ` { G } ) =/= ( J ` { i } ) ) $=
        ( csn cfv cv wne clss eqid clmod dvhlmod eldifad lspsncl syl2anc mapd11
        wcel necon3bid mpbird wceq co wa simprd simpld 3netr3d ) AUCVLSVMZQVMZU
        DVLSVMZQVMZMVLOVMKVNZVLOVMZAWNWPVOWMWOVOVAAWNWPWMWOAIVPVMZINPQUBWMWOUFU
        HWSVQZUGUQAIVRWDZUCUAWDWMWSWDAINPUBUFUHUQVSZAUCUAUEVLZURVTWSSUAIUCUIWTU
        LWAWBAXAUDUAWDWOWSWDXBAUDUAXCUSVTWSSUAIUDUIWTULWAWBWCWEWFVBAWPWRWGZUCUD
        RWHVLSVMQVMMWQGWHVLOVMWGZAWQLWDXDXEWIVDWJWKWL $.

      $( Lemma for ~ mapdpg .  Baer p. 45 line 18:  "vx'-vy'' = x'-uy''".
         (Contributed by NM, 22-Mar-2015.) $)
      mapdpglem28 $p |- ( ph
        -> ( ( v .x. G ) R ( v .x. i ) ) = ( G R ( u .x. i ) ) ) $=
        ( cv co oveq2d csca cfv cbs eqid lcdlmod lcdsbase eleqtrrd wcel wceq wa
        csn simpld lmodsubdi 3eqtr3rd ) AMJVLZGVMBVLZMKVLZGVMZHVMMCVLWKHVMZGVMW
        JMHVMWJWKHVMGVMVKAWIWMMGVJVNAWJHFVOVPZWNVQVPZGLFMWKUNVGWNVRZWOVRZUOAFNP
        UBUFUMUQVSAWJEWOVIAFWOWNIDNPEUBUFUHVEVFUMWPWQUQVTWAUTAWKLWBUDWESVPQVPWK
        WEOVPWCUCUDRVMWESVPQVPWLWEOVPWCWDVDWFWGWH $.

      mapdpglem28.ue $e |- ( ph -> u e. B ) $.
      $( Lemma for ~ mapdpg .  Baer p. 45 line 18:  "Hence we deduce (from
         ~ mapdpglem28 , using ~ lvecindp2 ) that v = 1 and v = u...".  TODO:
         would it be shorter to have only the ` v = ( 1r `` A ) ` part and use
         mapdpglem28.u2 in ~ mapdpglem31 ?  (Contributed by NM,
         22-Mar-2015.) $)
      mapdpglem30 $p |- ( ph -> ( v = ( 1r ` A ) /\ v = u ) ) $=
        ( cv cur cfv wceq cminusg cmulr co weq cplusg csca cbs c0g eqid lcdlvec
        wa wcel wne csn cdif mapdpglem30a sylanbrc simpld mapdpglem30b lcdsbase
        eldifsn eleqtrrd crg dvhlmod lmodring syl cgrp ringgrp ringidcl syl2anc
        grpinvcl ringcl syl3anc mapdpglem29 lcdvsass oveq2d lcdvscl mapdpglem28
        lcdvsub oveq1d lcdlmod lmodvs1 eqtr3d eqtr4d 3eqtr2rd lvecindp2 rngnegr
        clmod lcd1 eqeq12d grpinv11 bitrd anbi2d mpbid ) ABVMZDVNVOZVPZYKYLDVQV
        OZVOZDVRVOZVSZCVMZYOYPVSZVPZWGYMBCVTZWGAYKYQYLYSFWAVOZHFWBVOZUUCWCVOZOL
        FMKVMZFWDVOZUNUUBWEZUUCWEZUUDWEZVGUUFWEUPAFNPUBUFUMUQWFAMLWHZMUUFWIMLUU
        FWJWKZWHUTAFGILMNOPQRSUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBWLMLU
        UFWQWMAUUELWHZUUEUUFWIUUEUUKWHAUULUDWJSVOQVOUUEWJOVOVPUCUDRVSWJSVOQVOMU
        UEGVSWJOVOVPWGVDWNZAFGIJKLMNOPQRSUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUS
        UTVAVBVCVDWOUUELUUFWQWMAYKEUUDVIAFUUDUUCIDNPEUBUFUHVEVFUMUUHUUIUQWPZWRA
        YQEUUDADWSWHZYKEWHYOEWHZYQEWHAIYDWHUUOAINPUBUFUHUQWTDIVEXAXBZVIADXCWHZY
        LEWHZUUPAUUOUURUUQDXDXBZAUUOUUSUUQEDYLVFYLWEZXEXBZEDYNYLVFYNWEZXGXFZEDY
        PYKYOVFYPWEZXHXIUUNWRAYLEUUDUVBUUNWRAYSEUUDAUUOYREWHUUPYSEWHUUQVLUVDEDY
        PYRYOVFUVEXHXIUUNWRABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUP
        UQURUSUTVAVBVCVDVEVFVGVHVIVJVKXJAYLMHVSZYSUUEHVSZUUBVSUVFYOYRUUEHVSZHVS
        ZUUBVSUVFUVHGVSZYKMHVSZYQUUEHVSZUUBVSZAUVGUVIUVFUUBAFDHYPILUUENPEUBYOYR
        UFUHVEVFUVEUMUNVGUQUVDVLUUMXKXLAFUUBDHIYLUVFUVHNPGYNLUBUFUHVEUVCUVAUMUN
        UUGVGUOUQAFEDHIMNPLUBYLUFUHVEVFUMUNVGUQUVBUTXMAFEDHIUUENPLUBYRUFUHVEVFU
        MUNVGUQVLUUMXMXOAUVMUVKYOYKUUEHVSZHVSZUUBVSUVKUVNGVSZUVJAUVLUVOUVKUUBAF
        DHYPILUUENPEUBYOYKUFUHVEVFUVEUMUNVGUQUVDVIUUMXKXLAFUUBDHIYLUVKUVNNPGYNL
        UBUFUHVEUVCUVAUMUNUUGVGUOUQAFEDHIMNPLUBYKUFUHVEVFUMUNVGUQVIUTXMAFEDHIUU
        ENPLUBYKUFUHVEVFUMUNVGUQVIUUMXMXOAUVPMUVHGVSUVJABCDEFGHIJKLMNOPQRSTUAUB
        UCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKXNAUVFMUVHGAU
        UCVNVOZMHVSZUVFMAUVQYLMHAFUUCIYLDNUVQPUBUFUHVEUVAUMUUHUVQWEZUQYEXPAFYDW
        HUUJUVRMVPAFNPUBUFUMUQXQUTHUVQUUCLFMUNUUHVGUVSXRXFXSXPXTYAYAYBAYTUUAYMA
        YTYKYNVOZYRYNVOZVPUUAAYQUVTYSUWAAEDYPYLYNYKVFUVEUVAUVCUUQVIYCAEDYPYLYNY
        RVFUVEUVAUVCUUQVLYCYFAEDYNYKYRVFUVCUUTVIVLYGYHYIYJ $.

      $( Lemma for ~ mapdpg .  Baer p. 45 line 19:  "...and we have
         consequently that y' = y'', as we claimed."  (Contributed by NM,
         23-Mar-2015.) $)
      mapdpglem31 $p |- ( ph -> h = i ) $=
        ( cv co csca cfv cur eqid lcd1 oveq1d clmod wcel wceq lcdlmod wa simpld
        csn lmodvs1 syl2anc weq mapdpglem30 eqtr2 syl 3eqtr3rd eqtrd ) AJVMCVMZ
        KVMZHVNZWQVJAFVOVPZVQVPZWQHVNZDVQVPZWQHVNWQWRAWTXBWQHAFWSIXBDNWTPUBUFUH
        VEXBVRUMWSVRZWTVRZUQVSVTAFWAWBWQLWBZXAWQWCAFNPUBUFUMUQWDAXEUDWGSVPQVPWQ
        WGOVPWCUCUDRVNWGSVPQVPMWQGVNWGOVPWCWEVDWFHWTWSLFWQUNXCVGXDWHWIAXBWPWQHA
        BVMZXBWCBCWJWEXBWPWCABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOU
        PUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLWKXFXBWPWLWMVTWNWO $.
    $}

    $d g h t z C $.  $d g h t z F $.  $d g h t z G $.  $d g h t z J $.
    $d g h t z M $.  $d g h t z N $.  $d g h t z R $.  $d g h t z .- $.
    $d g h z U $.  $d g h t z X $.  $d g h t z Y $.  $d g t z ph $.
    $( Lemma for ~ mapdpg .  Existence part - consolidate hypotheses in
       ~ mapdpglem23 .  (Contributed by NM, 21-Mar-2015.) $)
    mapdpglem24 $p |- ( ph ->
              E. h e. F ( ( M ` ( N ` { Y } ) ) = ( J ` { h } )
           /\ ( M ` ( N ` { ( X .- Y ) } ) ) = ( J ` { ( G R h ) } ) ) ) $=
      ( vt vg vz co csn cv wceq clsm wrex wa eldifad eqid mapdpglem2 wcel cvsca
      cfv w3a csca cbs 3ad2ant1 simp2 mapdpglem3 cinvr c0g simp12 simp13 simp2l
      chlt wne simp2r simp3 cdif eldifsni mapdpglem23 3exp rexlimdvv rexlimdv3a
      syl mpd ) APQLUSUTMVKKVKZUPVAZUTIVKVBZUPPUTMVKZKVKZQUTMVKZKVKZBVCVKZUSZVD
      XAEVAZUTIVKVBWOGXDCUSUTIVKVBVEEFVDZAUPBXBDHIJKLMNOPQSTUAUBUCUEUFUJAPNRUTZ
      UKVFZAQNXFULVFZXBVGZUIVHAWQXEUPXCAWPXCVIZWQVLZWPUQVAZGBVJVKZUSURVAZCUSVBZ
      URXAVDUQDVMVKZVNVKZVDXEXKURUPXPXQBXBCXMDUQFGHIJKLMNOPQSTUAUBUCUEUFAXJJWCV
      IOHVIVEZWQUJVOZAXJPNVIZWQXGVOZAXJQNVIZWQXHVOZXIUIUGAXJWQVPXPVGZXQVGZXMVGZ
      UHAXJGFVIZWQUMVOZAXJWSGUTIVKVBZWQUOVOZVQXKXOXEUQURXQXAXKXLXQVIZXNXAVIZVEZ
      XOXEXKYMXOVLURUPXPXQBXBRCXMDUQEXLXPVRVKVKXNXMUSZFGHIJKLMNOPQXPVSVKZSTUAUB
      UCUEUFXKYMXRXOXSVOXKYMXTXOYAVOXKYMYBXOYCVOXIUIUGAXJWQYMXOVTYDYEYFUHXKYMYG
      XOYHVOXKYMYIXOYJVOUDXKYMWRWTWDZXOAXJYPWQUNVOVOAXJWQYMXOWAYOVGXKYKYLXOWBXK
      YKYLXOWEXKYMXOWFXKYMPRWDZXOAXJYQWQAPNXFWGZVIYQUKPNRWHWMVOVOXKYMQRWDZXOAXJ
      YSWQAQYRVIYSULQNRWHWMVOVOYNVGWIWJWKWNWLWN $.

    $d u v C $.  $d u v F $.  $d u v G $.  $d u v J $.  $d u v M $.
    $d u v N $.  $d u v R $.  $d u v .- $.  $d u v U $.  $d u v X $.
    $d u v Y $.  $d u v h i $.  $d u v ph $.
    $( Lemma for ~ mapdpg .  Uniqueness part - consolidate hypotheses in
       ~ mapdpglem31 .  (Contributed by NM, 23-Mar-2015.) $)
    mapdpglem32 $p |- ( ( ph /\ ( h e. F /\ i e. F )
  /\ ( ( ( M ` ( N ` { Y } ) ) = ( J ` { h } )
   /\ ( M ` ( N ` { ( X .- Y ) } ) ) = ( J ` { ( G R h ) } ) )
  /\ ( ( M ` ( N ` { Y } ) ) = ( J ` { i } )
  /\ ( M ` ( N ` { ( X .- Y ) } ) ) = ( J ` { ( G R i ) } ) ) ) ) -> h = i ) $=
      ( vu vv cv wcel wa csn cfv wceq w3a cvsca csca cbs c0g cdif wrex weq chlt
      3ad2ant1 wne simp2l simp3l jca simp2r simp3r eqid mapdpglem26 mapdpglem27
      co reeanv sylanbrc simp12l simp13l simp12r simp13r eldifi adantl 3ad2ant2
      adantr mapdpglem31 3exp rexlimdvv mpd ) AEUSZGUTZFUSZGUTZVAZRVBNVCZLVCZWS
      VBJVCVDQRMWDVBNVCLVCZHWSCWDZVBJVCVDVAZXEXAVBJVCVDXFHXACWDZVBJVCVDVAZVAZVE
      ZWSUQUSZXABVFVCZWDVDZXGURUSZXIXNWDVDZVAZURDVGVCZVHVCZXSVIVCZVBZVJZVKUQYCV
      KZEFVLZXLXOUQYCVKXQURYCVKYDXLUQXSXTBCXNDEFGHIJKLMNYAOPQRSTUAUBUCUDUEUFUGU
      HUIUJAXCKVMUTPIUTVAZXKUKVNZAXCQOSVBVJZUTZXKULVNZAXCRYHUTZXKUMVNZAXCHGUTZX
      KUNVNZAXCQVBNVCZXDVOZXKUOVNZAXCYOLVCHVBJVCVDZXKUPVNZXLWTXHAWTXBXKVPAXCXHX
      JVQVRZXLXBXJAWTXBXKVSAXCXHXJVTVRZXSWAZXTWAZXNWAZYAWAZWBXLURXSXTBCXNDEFGHI
      JKLMNYAOPQRSTUAUBUCUDUEUFUGUHUIUJYGYJYLYNYQYSYTUUAUUBUUCUUDUUEWCXOXQUQURY
      CYCWEWFXLXRYEUQURYCYCXLXMYCUTZXPYCUTZVAZXRYEXLUUHXRVEZURUQXSXTBCXNDEFGHIJ
      KLMNYAOPQRSTUAUBUCUDUEUFUGUHUIUJXLUUHYFXRYGVNXLUUHYIXRYJVNXLUUHYKXRYLVNXL
      UUHYMXRYNVNXLUUHYPXRYQVNXLUUHYRXRYSVNUUIWTXHWTXBAXKUUHXRWGXHXJAXCUUHXRWHV
      RUUIXBXJWTXBAXKUUHXRWIXHXJAXCUUHXRWJVRUUBUUCUUDUUEUUHXLXPXTUTZXRUUGUUJUUF
      XPXTYBWKWLWMXLUUHXOXQVQXLUUHXOXQVTUUHXLXMXTUTZXRUUFUUKUUGXMXTYBWKWNWMWOWP
      WQWR $.

    $d i F $.  $d i G $.  $d i J $.  $d i M $.  $d i N $.  $d i R $.  $d i X $.
    $d i .- $.  $d h i ph $.  $d i Y $.
    $( Part 1 of proof of the first fundamental theorem of projective geometry.
       Part (1) in [Baer] p. 44.  Our notation corresponds to Baer's as
       follows: ` M ` for *, ` N `` { } ` for F(), ` J `` { } ` for G(), ` X `
       for x, ` G ` for x', ` Y ` for y, ` h ` for y'.  TODO:  Rename variables
       per ~ mapdhval .  (Contributed by NM, 22-Mar-2015.) $)
    mapdpg $p |- ( ph ->
              E! h e. F ( ( M ` ( N ` { Y } ) ) = ( J ` { h } )
           /\ ( M ` ( N ` { ( X .- Y ) } ) ) = ( J ` { ( G R h ) } ) ) ) $=
      ( vi csn cfv cv wceq co wa wrex wi wral wreu mapdpglem24 wcel mapdpglem32
      weq 3exp ralrimivv sneq fveq2d eqeq2d oveq2 sneqd anbi12d reu4 sylanbrc )
      AQUQMURKURZEUSZUQZIURZUTZPQLVAUQMURKURZGWBCVAZUQZIURZUTZVBZEFVCWKWAUPUSZU
      QZIURZUTZWFGWLCVAZUQZIURZUTZVBZVBZEUPVJZVDZUPFVEEFVEWKEFVFABCDEFGHIJKLMNO
      PQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOVGAXCEUPFFAWBFVHWLFVHVBXAXBABCDEUPFGHI
      JKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOVIVKVLWKWTEUPFXBWEWOWJWSXBWDWNWA
      XBWCWMIWBWLVMVNVOXBWIWRWFXBWHWQIXBWGWPWBWLGCVPVQVNVOVRVSVT $.
  $}

  ${
    baerlem3.v $e |- V = ( Base ` W ) $.
    baerlem3.m $e |- .- = ( -g ` W ) $.
    baerlem3.o $e |- .0. = ( 0g ` W ) $.
    baerlem3.s $e |- .(+) = ( LSSum ` W ) $.
    baerlem3.n $e |- N = ( LSpan ` W ) $.
    baerlem3.w $e |- ( ph -> W e. LVec ) $.
    baerlem3.x $e |- ( ph -> X e. V ) $.
    baerlem3.c $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
    baerlem3.d $e |- ( ph -> ( N ` { Y } ) =/= ( N ` { Z } ) ) $.
    baerlem3.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
    baerlem3.z $e |- ( ph -> Z e. ( V \ { .0. } ) ) $.
    ${
      baerlem3.p $e |- .+ = ( +g ` W ) $.
      baerlem3.t $e |- .x. = ( .s ` W ) $.
      baerlem3.r $e |- R = ( Scalar ` W ) $.
      baerlem3.b $e |- B = ( Base ` R ) $.
      baerlem3.a $e |- .+^ = ( +g ` R ) $.
      baerlem3.l $e |- L = ( -g ` R ) $.
      baerlem3.q $e |- Q = ( 0g ` R ) $.
      baerlem3.i $e |- I = ( invg ` R ) $.
      ${
        baerlem3.a1 $e |- ( ph -> a e. B ) $.
        baerlem3.b1 $e |- ( ph -> b e. B ) $.
        baerlem3.d1 $e |- ( ph -> d e. B ) $.
        baerlem3.e1 $e |- ( ph -> e e. B ) $.
        baerlem3.j1 $e |- ( ph -> j = ( ( a .x. Y ) .+ ( b .x. Z ) ) ) $.
        baerlem3.j2 $e |- ( ph
            -> j = ( ( d .x. ( X .- Y ) ) .+ ( e .x. ( X .- Z ) ) ) ) $.
        $( Lemma for ~ baerlem3 .  (Contributed by NM, 9-Apr-2015.) $)
        baerlem3lem1 $p |- ( ph -> j = ( a .x. ( Y .- Z ) ) ) $=
          ( cv co cur cfv clmod wcel wceq lveclmod syl eldifad lmodvscl syl3anc
          clvec csn eqid lmodvsubval2 lmodsubdi cmulr cgrp crg lmodring ringgrp
          lmod1cl grpinvcl syl2anc lmodvsass syl13anc ringabl ablinvadd cminusg
          ringnegl cabl clss lspprcl lsppreli lssvnegcl ring0cl ringacl lmod0vs
          cpr oveq1d lmodgrp grplid lmodabl ablsub4 syl122anc lmodvsdir oveq12d
          lmodvacl eqtrd 3eqtr4rd grpsubval 3eqtr3d 3eqtrd simpld fveq2d simprd
          lvecindp lmodnegadd lvecindp2 oveq12 grpinvid grpinvid1 mpbird eqtr3d
          wa wb oveq2d eqtr4d ) AUAVIZRHVJZYRTHVJZMVJZYSGVKVLZKVLZYTHVJZCVJZYRR
          TMVJHVJJVIZAPVMVNZYSOVNZYTOVNZUUAUUEVOAPWAVNUUGUIPVPVQZAUUGYRBVNZROVN
          ZUUHUUJVCAROSWBZUMVRZYRHGBOPRUDUQUPURVSVTZAUUGUUKTOVNZUUIUUJVCATOUUMU
          NVRZYRHGBOPTUDUQUPURVSVTYSYTCHUUBGMKOPUDUOUEUQUPVBUUBWCZWDVTAYRHGBMOP
          RTUDUPUQURUEUUJVCUUNUUQWEAUUFYSUBVIZTHVJZCVJZUUEVGAUUDUUTYSCAUUCYRGWF
          VLZVJZTHVJZUUDUUTAUUGUUCBVNZUUKUUPUVDUUDVOUUJAGWGVNZUUBBVNZUVEAGWHVNZ
          UVFAUUGUVHUUJGPUQWIVQZGWJVQZAUUGUVGUUJUUBGBPUQURUURWKVQBGKUUBURVBWLWM
          VCUUQUUCYRHUVBGBOPTUDUQUPURUVBWCZWNWOAUVCUUSTHAUVCYRKVLZUUSABGUVBUUBK
          YRURUVKUURVBUVIVCWSAUVLUUSVOZYRUUSDVJZFVOZAUVNFKVLZFAUCVIZIVIZDVJZKVL
          ZUVQKVLZUVRKVLZDVJZUVPUVNAGWTVNZUVQBVNZUVRBVNZUVTUWCVOAUVHUWDUVIGWPVQ
          VEVFBDGKUVQUVRURUSVBWQVTAFUVSKAFUVSVOZUVAUVQRHVJZUVRTHVJZCVJZPWRVLZVL
          ZVOZAFUVSCPXAVLZHRTXHNVLZGBOPQUVAUWLUDUOUQURUPUWNWCZUIAUWNNOPRTUDUWPU
          HUUJUUNUUQXBZUJUKAYRUUSCHGBNOPRTUDUOUPUQURUHUUJVCVDUUNUUQXCAUUGUWOUWN
          VNUWJUWOVNUWLUWOVNUUJUWQAUVQUVRCHGBNOPRTUDUOUPUQURUHUUJVEVFUUNUUQXCUW
          NUWOUWKPUWJUWPUWKWCZXDVTAUVHFBVNUVIBGFURVAXEVQAUVHUWEUWFUVSBVNZUVIVEV
          FBDGUVQUVRURUSXFVTZAFQHVJZUVACVJSUVACVJZUVAUVSQHVJZUWLCVJZAUXASUVACAU
          UGQOVNZUXASVOUUJUJHGFOPQSUDUQUPVAUFXGWMXIAPWGVNZUVAOVNZUXBUVAVOAUUGUX
          FUUJPXJVQAUUGUUHUUTOVNZUXGUUJUUOAUUGUUSBVNZUUPUXHUUJVDUUQUUSHGBOPTUDU
          QUPURVSVTCOPYSUUTUDUOXQVTOCPUVASUDUOUFXKWMAUUFUXCUWJMVJZUVAUXDAUVQQHV
          JZUVRQHVJZCVJZUWJMVJZUXKUWHMVJZUXLUWIMVJZCVJZUXJUUFAPWTVNZUXKOVNZUXLO
          VNZUWHOVNZUWIOVNZUXNUXQVOAUUGUXRUUJPXLVQAUUGUWEUXEUXSUUJVEUJUVQHGBOPQ
          UDUQUPURVSVTAUUGUWFUXEUXTUUJVFUJUVRHGBOPQUDUQUPURVSVTAUUGUWEUULUYAUUJ
          VEUUNUVQHGBOPRUDUQUPURVSVTZAUUGUWFUUPUYBUUJVFUUQUVRHGBOPTUDUQUPURVSVT
          ZOCPMUWIUXKUXLUWHUDUOUEXMXNAUXCUXMUWJMAUUGUWEUWFUXEUXCUXMVOUUJVEVFUJC
          DUVQUVRHGBOPQUDUOUQUPURUSXOWOXIAUUFUVQQRMVJHVJZUVRQTMVJHVJZCVJUXQVHAU
          YEUXOUYFUXPCAUVQHGBMOPQRUDUPUQURUEUUJVEUJUUNWEAUVRHGBMOPQTUDUPUQURUEU
          UJVFUJUUQWEXPXRXSVGAUXCOVNZUWJOVNZUXJUXDVOAUUGUWSUXEUYGUUJUWTUJUVSHGB
          OPQUDUQUPURVSVTAUUGUYAUYBUYHUUJUYCUYDCOPUWHUWIUDUOXQVTOCPUWKMUXCUWJUD
          UOUWRUEXTWMYAYBYFZYCYDAYRUWAVOUUSUWBVOYNUVNUWCVOAYRUUSUWAUWBCHGBNOPRT
          SUDUOUQURUPUFUHUIUMUNVCVDAUVFUWEUWABVNUVJVEBGKUVQURVBWLWMAUVFUWFUWBBV
          NUVJVFBGKUVRURVBWLWMULAUVAUWLUWARHVJUWBTHVJCVJAUWGUWMUYIYEAUVQUVRCGHK
          BUWKOPRTUDUOUPUWRUQURVBUUJVEVFUUNUUQYGXRYHYRUWAUUSUWBDYIVQXSAUVFUVPFV
          OUVJGKFVAVBYJVQXRAUVFUUKUXIUVMUVOYOUVJVCVDBDGKYRUUSFURUSVAVBYKVTYLXRX
          IYMYPYQXS $.
      $}

      ${
        baerlem5a.a1 $e |- ( ph -> a e. B ) $.
        baerlem5a.b1 $e |- ( ph -> b e. B ) $.
        baerlem5a.d1 $e |- ( ph -> d e. B ) $.
        baerlem5a.e1 $e |- ( ph -> e e. B ) $.
        baerlem5a.j1 $e |- ( ph ->
          j = ( ( a .x. ( X .- Y ) ) .+ ( b .x. Z ) ) ) $.
        baerlem5a.j2 $e |- ( ph
            -> j = ( ( d .x. ( X .- Z ) ) .+ ( e .x. Y ) ) ) $.
        $( Lemma for ~ baerlem5a .  (Contributed by NM, 13-Apr-2015.) $)
        baerlem5alem1 $p |- ( ph -> j = ( a .x. ( X .- ( Y .+ Z ) ) ) ) $=
          ( cv cfv clvec wcel clmod lveclmod syl csn eldifad lmodsubdi lmodvscl
          co syl3anc lmodsubvs eqtrd oveq1d wceq cgrp crg lmodring ringgrp 3syl
          grpinvcl syl2anc lmodass syl13anc cminusg lmodvacl grpsubval lmodvsdi
          3eqtrd eqid lmodvsneg clss cpr lspprcl lsppreli lmodabl abl32 3eqtr3d
          cabl lvecindp simprd lvecindp2 simpld fveq2d eqtr4d oveq2d 3eqtr4rd )
          AJVIZUAVIZQHVTZXSKVJZRHVTZUBVIZTHVTZCVTZCVTZXSQRTCVTZMVTHVTZAXRXSQRMV
          THVTZYDCVTXTYBCVTZYDCVTZYFVGAYIYJYDCAYIXTXSRHVTMVTYJAXSHGBMOPQRUDUPUQ
          URUEAPVKVLZPVMVLZUIPVNZVOZVCUJAROSVPZUMVQZVRAXSCHGBMKOPXTRUDUOUEUPUQU
          RVBYOVCAYMXSBVLZQOVLZXTOVLZYOVCUJXSHGBOPQUDUQUPURVSWAZYQWBWCWDAYMYTYB
          OVLZYDOVLZYKYFWEYOUUAAYMYABVLZROVLZUUBYOAGWFVLZYRUUDAYMGWGVLUUFYOGPUQ
          WHGWIWJZVCBGKXSURVBWKWLZYQYAHGBOPRUDUQUPURVSWAAYMYCBVLTOVLZUUCYOVDATO
          YPUNVQZYCHGBOPTUDUQUPURVSWACOPXTYBYDUDUOWMWNWSZAXTXSYGHVTZMVTZXTUULPW
          OVJZVJZCVTZYHYFAYTUULOVLZUUMUUPWEUUAAYMYRYGOVLZUUQYOVCAYMUUEUUIUURYOY
          QUUJCOPRTUDUOWPWAZXSHGBOPYGUDUQUPURVSWAOCPUUNMXTUULUDUOUUNWTZUEWQWLAX
          SHGBMOPQYGUDUPUQURUEYOVCUJUUSVRAYEUUOXTCAYAYGHVTZYBYATHVTZCVTZUUOYEAY
          MUUDUUEUUIUVAUVCWEYOUUHYQUUJCYAHGBOPRTUDUOUQUPURWRWNAOXSHGBKUUNPYGUDU
          QUPUUTURVBYOUUSVCXAAYDUVBYBCAYCYATHAYCUCVIZKVJZYAAYAIVIZWEYCUVEWEAYAY
          CUVFUVECHGBNOPRTSUDUOUQURUPUFUHUIUMUNUUHVDVFAUUFUVDBVLZUVEBVLZUUGVEBG
          KUVDURVBWKWLZULAXSUVDWEZYEUVFRHVTZUVETHVTZCVTZWEZAXSUVDCPXBVJZHRTXCNV
          JGBOPQYEUVMUDUOUQURUPUVOWTZUIAUVONOPRTUDUVPUHYOYQUUJXDUJUKAYAYCCHGBNO
          PRTUDUOUPUQURUHYOUUHVDYQUUJXEAUVFUVECHGBNOPRTUDUOUPUQURUHYOVFUVIYQUUJ
          XEVCVEAXRUVDQTMVTHVTZUVKCVTZYFUVDQHVTZUVMCVTZVHUUKAUVRUVSUVLCVTZUVKCV
          TUVSUVKCVTUVLCVTZUVTAUVQUWAUVKCAUVQUVSUVDTHVTMVTUWAAUVDHGBMOPQTUDUPUQ
          URUEYOVEUJUUJVRAUVDCHGBMKOPUVSTUDUOUEUPUQURVBYOVEAYMUVGYSUVSOVLZYOVEU
          JUVDHGBOPQUDUQUPURVSWAZUUJWBWCWDAOCPUVSUVLUVKUDUOAYLYMPXIVLUIYNPXFWJU
          WDAYMUVHUUIUVLOVLZYOUVIUUJUVEHGBOPTUDUQUPURVSWAZAYMUVFBVLUUEUVKOVLZYO
          VFYQUVFHGBOPRUDUQUPURVSWAZXGAYMUWCUWGUWEUWBUVTWEYOUWDUWHUWFCOPUVSUVKU
          VLUDUOWMWNWSXHXJZXKXLXKAXSUVDKAUVJUVNUWIXMXNXOWDXPXQXPXQWC $.
      $}

      ${
        baerlem5b.a1 $e |- ( ph -> a e. B ) $.
        baerlem5b.b1 $e |- ( ph -> b e. B ) $.
        baerlem5b.d1 $e |- ( ph -> d e. B ) $.
        baerlem5b.e1 $e |- ( ph -> e e. B ) $.
        baerlem5b.j1 $e |- ( ph -> j = ( ( a .x. Y ) .+ ( b .x. Z ) ) ) $.
        baerlem5b.j2 $e |- ( ph
            -> j = ( ( d .x. ( X .- ( Y .+ Z ) ) ) .+ ( e .x. X ) ) ) $.
        $( Lemma for ~ baerlem5b .  (Contributed by NM, 9-Apr-2015.) $)
        baerlem5blem1 $p |- ( ph -> j = ( ( I ` d ) .x. ( Y .+ Z ) ) ) $=
          ( cv cfv wceq clss cpr eqid clvec wcel clmod lveclmod syl csn eldifad
          co lspprcl lsppreli cgrp crg lmodring ringgrp syl2anc lmod0cl lmodacl
          grpinvcl syl3anc lmodvscl lmodvacl lmod0vlid lmod0vs oveq1d lmodsubdi
          3eqtr4d lmodsubvs lmodvsdi oveq2d 3eqtrd lmodvsdir cabl lmodabl abl32
          syl13anc eqtrd lvecindp simpld eqtr3d ) AUCVIZIVIZDWBZQHWBZXNKVJZRHWB
          ZXRTHWBZCWBZCWBZYAJVIZXRRTCWBZHWBZAYBSYACWBZYAAXQSYACAFQHWBZXQSAFXPQH
          AFXPVKUAVIZRHWBZUBVIZTHWBZCWBZYAVKAFXPCPVLVJZHRTVMNVJGBOPQYLYAUDUOUQU
          RUPYMVNZUIAYMNOPRTUDYNUHAPVOVPPVQVPZUIPVRVSZAROSVTZUMWAZATOYQUNWAZWCU
          JUKAYHYJCHGBNOPRTUDUOUPUQURUHYPVCVDYRYSWDAXRXRCHGBNOPRTUDUOUPUQURUHYP
          AGWEVPZXNBVPZXRBVPZAGWFVPZYTAYOUUCYPGPUQWGVSGWHVSVEBGKXNURVBWLWIZUUDY
          RYSWDAYOFBVPYPGBPFUQURVAWJVSAYOUUAXOBVPZXPBVPYPVEVFDGBPXNXOUQURUSWKWM
          AYGYLCWBZYCYBASYLCWBZYLUUFYCAYOYLOVPZUUGYLVKYPAYOYIOVPZYKOVPZUUHYPAYO
          YHBVPROVPZUUIYPVCYRYHHGBOPRUDUQUPURWNWMAYOYJBVPTOVPZUUJYPVDYSYJHGBOPT
          UDUQUPURWNWMCOPYIYKUDUOWOWMCOPYLSUDUOUFWPWIAYGSYLCAYOQOVPZYGSVKYPUJHG
          FOPQSUDUQUPVAUFWQWIZWRVGWTAXNQYDMWBHWBZXOQHWBZCWBXNQHWBZYACWBZUUPCWBZ
          YCYBAUUOUURUUPCAUUOUUQXNYDHWBMWBUUQYECWBUURAXNHGBMOPQYDUDUPUQURUEYPVE
          UJAYOUUKUULYDOVPYPYRYSCOPRTUDUOWOWMZWSAXNCHGBMKOPUUQYDUDUOUEUPUQURVBY
          PVEAYOUUAUUMUUQOVPYPVEUJXNHGBOPQUDUQUPURWNWMZUUTXAAYEYAUUQCAYOUUBUUKU
          ULYEYAVKYPUUDYRYSCXRHGBOPRTUDUOUQUPURXBXIZXCXDWRVHAYBUUQUUPCWBZYACWBU
          USAXQUVCYACAYOUUAUUEUUMXQUVCVKYPVEVFUJCDXNXOHGBOPQUDUOUQUPURUSXEXIWRA
          OCPUUQUUPYAUDUOAYOPXFVPYPPXGVSUVAAYOUUEUUMUUPOVPYPVFUJXOHGBOPQUDUQUPU
          RWNWMAYOXSOVPZXTOVPZYAOVPZYPAYOUUBUUKUVDYPUUDYRXRHGBOPRUDUQUPURWNWMAY
          OUUBUULUVEYPUUDYSXRHGBOPTUDUQUPURWNWMCOPXSXTUDUOWOWMZXHXJWTZXJXKXLWRU
          UNXMWRAYOUVFYFYAVKYPUVGCOPYASUDUOUFWPWIXJUVHUVBWT $.
      $}

      $d a b d e j .- $.  $d a b d e B $.  $d a b d e j N $.  $d a b d e .x. $.
      $d a b d e j .+ $.  $d a b d e R $.  $d a b d e j X $.  $d a b d e j Y $.
      $d a b d e j ph $.  $d a b d e V $.  $d a b d e W $.  $d a b d e j Z $.
      $d j .(+) $.
      $( Lemma for ~ baerlem3 .  (Contributed by NM, 9-Apr-2015.) $)
      baerlem3lem2 $p |- ( ph -> ( N ` { ( Y .- Z ) } )
         = ( ( ( N ` { Y } ) .(+) ( N ` { Z } ) )
              i^i ( ( N ` { ( X .- Y ) } ) .(+) ( N ` { ( X .- Z ) } ) ) ) ) $=
        ( vj va vb vd ve co csn cfv cin clmod wcel wss clvec lveclmod lspsntrim
        syl eldifad syl3anc lspsnsub lmodabl ablnnncan1 sneqd fveq2d lmodvsubcl
        cabl eqtr4d eqsstrd ssind cv wceq wrex wa lsmspsn anbi12d syl5bb wi w3a
        elin simp11 cpr wn wne simp12l simp12r simp2l simp2r simp3 baerlem3lem1
        cdif simp13 lspsneli eqeltrd 3exp rexlimdvv impd sylbid ssrdv eqssd ) A
        PRKVCZVDLVEZPVDLVEZRVDLVEZEVCZOPKVCZVDLVEORKVCZVDLVEEVCZVFZAXQXTYCANVGV
        HZPMVHZRMVHZXQXTVIANVJVHZYEUDNVKVMZAPMQVDZUHVNZARMYJUIVNZEKLMNPRSTUBUCV
        LVOAXQYAYBKVCZVDZLVEZYCAXQRPKVCZVDZLVEYOAKLMNPRSTUCYIYKYLVPAYNYQLAYMYPA
        MNKOPRSTAYENWBVHYINVQVMUEYKYLVRVSVTWCAYEYAMVHZYBMVHZYOYCVIYIAYEOMVHZYFY
        RYIUEYKKMNOPSTWAVOZAYEYTYGYSYIUEYLKMNORSTWAVOZEKLMNYAYBSTUBUCVLVOWDWEAU
        RYDXQAURWFZYDVHZUUCUSWFZPHVCUTWFZRHVCCVCWGZUTBWHUSBWHZUUCVAWFZYAHVCVBWF
        ZYBHVCCVCWGZVBBWHVABWHZWIZUUCXQVHZUUDUUCXTVHZUUCYCVHZWIAUUMUUCXTYCWOAUU
        OUUHUUPUULACEHUUCUSUTGBLMNPRSUJULUMUKUBUCYIYKYLWJACEHUUCVAVBGBLMNYAYBSU
        JULUMUKUBUCYIUUAUUBWJWKWLAUUHUULUUNAUUGUULUUNWMZUSUTBBAUUEBVHZUUFBVHZWI
        ZUUGUUQAUUTUUGWNZUUKUUNVAVBBBUVAUUIBVHZUUJBVHZWIZUUKUUNUVAUVDUUKWNZUUCU
        UEXPHVCXQUVEBCDEFGHVBURIJKLMNOPQRUSUTVASTUAUBUCUVEAYHAUUTUUGUVDUUKWPZUD
        VMUVEAYTUVFUEVMUVEAOPRWQLVEVHWRUVFUFVMUVEAXRXSWSUVFUGVMUVEAPMYJXFZVHUVF
        UHVMUVEARUVGVHUVFUIVMUJUKULUMUNUOUPUQUURUUSAUUGUVDUUKWTZUURUUSAUUGUVDUU
        KXAUVAUVBUVCUUKXBUVAUVBUVCUUKXCAUUTUUGUVDUUKXGUVAUVDUUKXDXEUVEUUEHGBLMN
        XPSUKULUMUCUVEAYEUVFYIVMUVHUVEAXPMVHZUVFAYEYFYGUVIYIYKYLKMNPRSTWAVOVMXH
        XIXJXKXJXKXLXMXNXO $.

      $( Lemma for ~ baerlem5a .  (Contributed by NM, 9-Apr-2015.) $)
      baerlem5alem2 $p |- ( ph -> ( N ` { ( X .- ( Y .+ Z ) ) } )
         = ( ( ( N ` { ( X .- Y ) } ) .(+) ( N ` { Z } ) )
               i^i ( ( N ` { ( X .- Z ) } ) .(+) ( N ` { Y } ) ) ) ) $=
        ( vj va vb vd ve csn cfv cin clmod wcel cabl clvec lveclmod syl lmodabl
        co eldifad ablsubsub4 sneqd fveq2d lmodvsubcl syl3anc eqsstrrd ablsub32
        wss lspsntrim eqtrd ssind cv wceq wrex wa lsmspsn anbi12d syl5bb wi w3a
        elin simp11 cpr wn wne cdif simp12l simp12r simp2l simp2r baerlem5alem1
        simp13 simp3 lmodvacl lspsneli eqeltrd 3exp rexlimdvv impd sylbid ssrdv
        eqssd ) AOPRCVMZKVMZVCZLVDZOPKVMZVCLVDRVCLVDZEVMZORKVMZVCLVDPVCLVDZEVMZ
        VEZAXTYCYFAXTYARKVMZVCZLVDZYCAYIXSLAYHXRAMCNKOPRSUJTANVFVGZNVHVGANVIVGZ
        YKUDNVJVKZNVLVKZUEAPMQVCZUHVNZARMYOUIVNZVOZVPVQAYKYAMVGZRMVGZYJYCWBYMAY
        KOMVGZPMVGZYSYMUEYPKMNOPSTVRVSZYQEKLMNYARSTUBUCWCVSVTAXTYDPKVMZVCZLVDZY
        FAUUEXSLAUUDXRAUUDYHXRAMNKORPSTYNUEYQYPWAYRWDVPVQAYKYDMVGZUUBUUFYFWBYMA
        YKUUAYTUUGYMUEYQKMNORSTVRVSZYPEKLMNYDPSTUBUCWCVSVTWEAURYGXTAURWFZYGVGZU
        UIUSWFZYAHVMUTWFZRHVMCVMWGZUTBWHUSBWHZUUIVAWFZYDHVMVBWFZPHVMCVMWGZVBBWH
        VABWHZWIZUUIXTVGZUUJUUIYCVGZUUIYFVGZWIAUUSUUIYCYFWOAUVAUUNUVBUURACEHUUI
        USUTGBLMNYARSUJULUMUKUBUCYMUUCYQWJACEHUUIVAVBGBLMNYDPSUJULUMUKUBUCYMUUH
        YPWJWKWLAUUNUURUUTAUUMUURUUTWMZUSUTBBAUUKBVGZUULBVGZWIZUUMUVCAUVFUUMWNZ
        UUQUUTVAVBBBUVGUUOBVGZUUPBVGZWIZUUQUUTUVGUVJUUQWNZUUIUUKXRHVMXTUVKBCDEF
        GHVBURIJKLMNOPQRUSUTVASTUAUBUCUVKAYLAUVFUUMUVJUUQWPZUDVKUVKAUUAUVLUEVKU
        VKAOPRWQLVDVGWRUVLUFVKUVKAYEYBWSUVLUGVKUVKAPMYOWTZVGUVLUHVKUVKARUVMVGUV
        LUIVKUJUKULUMUNUOUPUQUVDUVEAUUMUVJUUQXAZUVDUVEAUUMUVJUUQXBUVGUVHUVIUUQX
        CUVGUVHUVIUUQXDAUVFUUMUVJUUQXFUVGUVJUUQXGXEUVKUUKHGBLMNXRSUKULUMUCUVKAY
        KUVLYMVKUVNUVKAXRMVGZUVLAYKUUAXQMVGZUVOYMUEAYKUUBYTUVPYMYPYQCMNPRSUJXHV
        SKMNOXQSTVRVSVKXIXJXKXLXKXLXMXNXOXP $.

      $( Lemma for ~ baerlem5b .  (Contributed by NM, 13-Apr-2015.) $)
      baerlem5blem2 $p |- ( ph -> ( N ` { ( Y .+ Z ) } )
         = ( ( ( N ` { Y } ) .(+) ( N ` { Z } ) )
              i^i ( ( N ` { ( X .- ( Y .+ Z ) ) } ) .(+) ( N ` { X } ) ) ) ) $=
        ( vj va vb vd ve csn cfv cin clmod wcel wss clvec lveclmod syl lspsntri
        co eldifad syl3anc lmodvacl lmodvsubcl lspsnsub lmodabl ablnncan fveq2d
        cabl sneqd eqtrd lspsntrim eqsstrrd ssind wceq wrex elin lsmspsn syl5bb
        cv wa anbi12d wi w3a simp11 cpr wn simp12l simp12r simp2l simp2r simp13
        wne cdif simp3 baerlem5blem1 cgrp crg lmodring ringgrp grpinvcl syl2anc
        4syl lspsneli eqeltrd 3exp rexlimdvv impd sylbid ssrdv eqssd ) APRCVMZV
        CZLVDZPVCLVDZRVCLVDZEVMZOYEKVMZVCLVDOVCLVDEVMZVEZAYGYJYLANVFVGZPMVGZRMV
        GZYGYJVHANVIVGZYNUDNVJVKZAPMQVCZUHVNZARMYSUIVNZCELMNPRSUJUCUBVLVOAYGYKO
        KVMVCLVDZYLAUUBOYKKVMZVCZLVDYGAKLMNYKOSTUCYRAYNOMVGZYEMVGZYKMVGZYRUEAYN
        YOYPUUFYRYTUUACMNPRSUJVPVOZKMNOYESTVQVOZUEVRAUUDYFLAUUCYEAMNKOYESTAYNNW
        BVGYRNVSVKUEUUHVTWCWAWDAYNUUGUUEUUBYLVHYRUUIUEEKLMNYKOSTUBUCWEVOWFWGAUR
        YMYGAURWMZYMVGZUUJUSWMZPHVMUTWMZRHVMCVMWHZUTBWIUSBWIZUUJVAWMZYKHVMVBWMZ
        OHVMCVMWHZVBBWIVABWIZWNZUUJYGVGZUUKUUJYJVGZUUJYLVGZWNAUUTUUJYJYLWJAUVBU
        UOUVCUUSACEHUUJUSUTGBLMNPRSUJULUMUKUBUCYRYTUUAWKACEHUUJVAVBGBLMNYKOSUJU
        LUMUKUBUCYRUUIUEWKWOWLAUUOUUSUVAAUUNUUSUVAWPZUSUTBBAUULBVGZUUMBVGZWNZUU
        NUVDAUVGUUNWQZUURUVAVAVBBBUVHUUPBVGZUUQBVGZWNZUURUVAUVHUVKUURWQZUUJUUPI
        VDZYEHVMYGUVLBCDEFGHVBURIJKLMNOPQRUSUTVASTUAUBUCUVLAYQAUVGUUNUVKUURWRZU
        DVKUVLAUUEUVNUEVKUVLAOPRWSLVDVGWTUVNUFVKUVLAYHYIXFUVNUGVKUVLAPMYSXGZVGU
        VNUHVKUVLARUVOVGUVNUIVKUJUKULUMUNUOUPUQUVEUVFAUUNUVKUURXAUVEUVFAUUNUVKU
        URXBUVHUVIUVJUURXCZUVHUVIUVJUURXDAUVGUUNUVKUURXEUVHUVKUURXHXIUVLUVMHGBL
        MNYESUKULUMUCUVLAYNUVNYRVKUVLGXJVGZUVIUVMBVGUVLAYNGXKVGUVQUVNYRGNULXLGX
        MXPUVPBGIUUPUMUQXNXOUVLAUUFUVNUUHVKXQXRXSXTXSXTYAYBYCYD $.
    $}

    $( An equality that holds when ` X ` , ` Y ` , ` Z ` are independent
       (non-colinear) vectors.  Part (3) in [Baer] p. 45.  TODO fix ref.
       (Contributed by NM, 9-Apr-2015.) $)
    baerlem3 $p |- ( ph -> ( N ` { ( Y .- Z ) } )
       = ( ( ( N ` { Y } ) .(+) ( N ` { Z } ) )
             i^i ( ( N ` { ( X .- Y ) } ) .(+) ( N ` { ( X .- Z ) } ) ) ) ) $=
      ( csca cfv cbs cplusg c0g cvsca cminusg csg eqid baerlem3lem2 ) AFUBUCZUD
      UCZFUEUCZULUEUCZBULUFUCZULFUGUCZULUHUCZULUIUCZCDEFGHIJKLMNOPQRSTUAUNUJUQU
      JULUJUMUJUOUJUSUJUPUJURUJUK $.

    baerlem5a.p $e |- .+ = ( +g ` W ) $.
    $( An equality that holds when ` X ` , ` Y ` , ` Z ` are independent
       (non-colinear) vectors.  First equation of part (5) in [Baer] p. 46.
       (Contributed by NM, 10-Apr-2015.) $)
    baerlem5a $p |- ( ph -> ( N ` { ( X .- ( Y .+ Z ) ) } )
       = ( ( ( N ` { ( X .- Y ) } ) .(+) ( N ` { Z } ) )
             i^i ( ( N ` { ( X .- Z ) } ) .(+) ( N ` { Y } ) ) ) ) $=
      ( csca cfv cbs cplusg c0g cvsca cminusg csg eqid baerlem5alem2 ) AGUDUEZU
      FUEZBUNUGUEZCUNUHUEZUNGUIUEZUNUJUEZUNUKUEZDEFGHIJKLMNOPQRSTUAUBUCURULUNUL
      UOULUPULUTULUQULUSULUM $.

    $( An equality that holds when ` X ` , ` Y ` , ` Z ` are independent
       (non-colinear) vectors.  Second equation of part (5) in [Baer] p. 46.
       (Contributed by NM, 13-Apr-2015.) $)
    baerlem5b $p |- ( ph -> ( N ` { ( Y .+ Z ) } )
       = ( ( ( N ` { Y } ) .(+) ( N ` { Z } ) )
             i^i ( ( N ` { ( X .- ( Y .+ Z ) ) } ) .(+) ( N ` { X } ) ) ) ) $=
      ( csca cfv cbs cplusg c0g cvsca cminusg csg eqid baerlem5blem2 ) AGUDUEZU
      FUEZBUNUGUEZCUNUHUEZUNGUIUEZUNUJUEZUNUKUEZDEFGHIJKLMNOPQRSTUAUBUCURULUNUL
      UOULUPULUTULUQULUSULUM $.

    $( An equality that holds when ` X ` , ` Y ` , ` Z ` are independent
       (non-colinear) vectors.  Subtraction version of first equation of part
       (5) in [Baer] p. 46.  TODO:  This is the subtraction version, may not be
       needed.  TODO: delete if ~ baerlem5abmN is used.  (Contributed by NM,
       24-May-2015.)  (New usage is discouraged.) $)
    baerlem5amN $p |- ( ph -> ( N ` { ( X .- ( Y .- Z ) ) } )
       = ( ( ( N ` { ( X .- Y ) } ) .(+) ( N ` { Z } ) )
             i^i ( ( N ` { ( X .+ Z ) } ) .(+) ( N ` { Y } ) ) ) ) $=
      ( co csn cfv cminusg cin wcel wceq eldifad grpsubval syl2anc oveq2d sneqd
      eqid fveq2d clmod clvec lveclmod syl lmodvnegcl clss cpr lspprcl lssneln0
      wne lspindpi simpld lspsnne1 necomd lspexchn2 wa cgrp lmodgrp 3syl adantr
      grpinvinv simpr lssvnegcl syl3anc eqeltrrd mtand lspsnneg cdif grpinvnzcl
      neeqtrrd baerlem5a grpsubinv oveq1d ineq12d 3eqtrd ) AHIKDUDZDUDZUEZEUFHI
      KGUGUFZUFZBUDZDUDZUEZEUFHIDUDUEEUFZWQUEEUFZCUDZHWQDUDZUEZEUFZIUEEUFZCUDZU
      HXAKUEEUFZCUDZHKBUDZUEZEUFZXGCUDZUHAWOWTEAWNWSAWMWRHDAIFUIKFUIZWMWRUJAIFJ
      UEZUAUKZAKFXPUBUKZFBGWPDIKLUCWPUPZMULUMUNUOUQABCDEFGHIJWQLMNOPQRAEFGWQHIL
      PQAGURUIZXOWQFUIAGUSUIZXTQGUTZVAZXRWPFGKLXSVBUMRXQAEFGHIJLNPQAGVCUFZIKVDE
      UFFGHJNYDUPZYCAYDEFGIKLYEPYCXQXRVERSVFXQAHUEEUFZXGVGYFXIVGAEFGHIKLPQRXQXR
      SVHVIVJAWQIHVDEUFZUIZKYGUIAEFGHKILPQRXRXQAEFGKIJLNPQUBXQAXGXITVKVJSVLAYHV
      MZWQWPUFZKYGYIGVNUIZXOYJKUJAYKYHAYAXTYKQYBGVOVPZVQAXOYHXRVQFGWPKLXSVRUMYI
      XTYGYDUIZYHYJYGUIAXTYHYCVQAYMYHAYDEFGIHLYEPYCXQRVEVQAYHVSYDYGWPGWQYEXSVTW
      AWBWCVLAXGXIXBTAXTXOXBXIUJYCXRWPEFGKLXSPWDUMZWGUAAYKKFXPWEZUIWQYOUIYLUBFG
      WPKJLNXSWFUMUCWHAXCXJXHXNAXBXIXACYNUNAXFXMXGCAXEXLEAXDXKAFBGDWPHKLUCMXSYL
      RXRWIUOUQWJWKWL $.

    $( An equality that holds when ` X ` , ` Y ` , ` Z ` are independent
       (non-colinear) vectors.  Subtraction version of second equation of part
       (5) in [Baer] p. 46.  TODO:  This is the subtraction version, may not be
       needed.  TODO: delete if ~ baerlem5abmN is used.  (Contributed by NM,
       24-May-2015.)  (New usage is discouraged.) $)
    baerlem5bmN $p |- ( ph -> ( N ` { ( Y .- Z ) } )
       = ( ( ( N ` { Y } ) .(+) ( N ` { Z } ) )
             i^i ( ( N ` { ( X .- ( Y .- Z ) ) } ) .(+) ( N ` { X } ) ) ) ) $=
      ( co csn cfv cminusg cin wcel wceq eldifad grpsubval syl2anc sneqd fveq2d
      eqid clmod lveclmod syl lmodvnegcl clss cpr lspprcl lssneln0 wne lspindpi
      clvec simpld lspsnne1 necomd lspexchn2 wa cgrp adantr grpinvinv lssvnegcl
      lmodgrp simpr syl3anc eqeltrrd mtand lspsnneg grpinvnzcl baerlem5b oveq2d
      neeqtrrd cdif eqcomd oveq1d ineq12d 3eqtrd ) AIKDUDZUEZEUFIKGUGUFZUFZBUDZ
      UEZEUFIUEEUFZWOUEEUFZCUDZHWPDUDZUEZEUFZHUEEUFZCUDZUHWRKUEEUFZCUDZHWLDUDZU
      EZEUFZXDCUDZUHAWMWQEAWLWPAIFUIKFUIZWLWPUJAIFJUEZUAUKZAKFXMUBUKZFBGWNDIKLU
      CWNUPZMULUMZUNUOABCDEFGHIJWOLMNOPQRAEFGWOHILPQAGUQUIZXLWOFUIAGVGUIXRQGURU
      SZXOWNFGKLXPUTUMRXNAEFGHIJLNPQAGVAUFZIKVBEUFFGHJNXTUPZXSAXTEFGIKLYAPXSXNX
      OVCRSVDXNAXDWRVEXDXFVEAEFGHIKLPQRXNXOSVFVHVIAWOIHVBEUFZUIZKYBUIAEFGHKILPQ
      RXOXNAEFGKIJLNPQUBXNAWRXFTVJVISVKAYCVLZWOWNUFZKYBYDGVMUIZXLYEKUJAYFYCAXRY
      FXSGVQUSZVNAXLYCXOVNFGWNKLXPVOUMYDXRYBXTUIZYCYEYBUIAXRYCXSVNAYHYCAXTEFGIH
      LYAPXSXNRVCVNAYCVRXTYBWNGWOYAXPVPVSVTWAVKAWRXFWSTAXRXLWSXFUJXSXOWNEFGKLXP
      PWBUMZWFUAAYFKFXMWGZUIWOYJUIYGUBFGWNKJLNXPWCUMUCWDAWTXGXEXKAWSXFWRCYIWEAX
      CXJXDCAXBXIEAXAXHAWPWLHDAWLWPXQWHWEUNUOWIWJWK $.

    $( An equality that holds when ` X ` , ` Y ` , ` Z ` are independent
       (non-colinear) vectors.  Subtraction versions of first and second
       equations of part (5) in [Baer] p. 46, conjoined to share commonality in
       their proofs.  TODO:  Delete if not needed.  (Contributed by NM,
       24-May-2015.)  (New usage is discouraged.) $)
    baerlem5abmN $p |- ( ph -> ( ( N ` { ( X .- ( Y .- Z ) ) } )
       = ( ( ( N ` { ( X .- Y ) } ) .(+) ( N ` { Z } ) )
             i^i ( ( N ` { ( X .+ Z ) } ) .(+) ( N ` { Y } ) ) )
   /\ ( N ` { ( Y .- Z ) } )
       = ( ( ( N ` { Y } ) .(+) ( N ` { Z } ) )
            i^i ( ( N ` { ( X .- ( Y .- Z ) ) } ) .(+) ( N ` { X } ) ) ) ) ) $=
      ( co csn cfv cin wceq cminusg wcel eldifad grpsubval syl2anc oveq2d sneqd
      eqid fveq2d clmod clvec lveclmod syl lmodvnegcl clss cpr lspprcl lssneln0
      wne lspindpi simpld lspsnne1 necomd lspexchn2 wa cgrp lmodgrp 3syl adantr
      grpinvinv simpr lssvnegcl syl3anc eqeltrrd mtand lspsnneg cdif grpinvnzcl
      neeqtrrd baerlem5a grpsubinv oveq1d ineq12d 3eqtrd baerlem5b eqcomd jca )
      AHIKDUDZDUDZUEZEUFZHIDUDUEEUFZKUEEUFZCUDZHKBUDZUEZEUFZIUEEUFZCUDZUGZUHWPU
      EZEUFZXFXACUDZWSHUEEUFZCUDZUGZUHAWSHIKGUIUFZUFZBUDZDUDZUEZEUFZWTXPUEEUFZC
      UDZHXPDUDZUEZEUFZXFCUDZUGXHAWRXSEAWQXRAWPXQHDAIFUJKFUJZWPXQUHAIFJUEZUAUKZ
      AKFYHUBUKZFBGXODIKLUCXOUPZMULUMZUNUOUQABCDEFGHIJXPLMNOPQRAEFGXPHILPQAGURU
      JZYGXPFUJAGUSUJZYMQGUTZVAZYJXOFGKLYKVBUMRYIAEFGHIJLNPQAGVCUFZIKVDEUFFGHJN
      YQUPZYPAYQEFGIKLYRPYPYIYJVERSVFYIAXLXFVGXLXAVGAEFGHIKLPQRYIYJSVHVIVJAXPIH
      VDEUFZUJZKYSUJAEFGHKILPQRYJYIAEFGKIJLNPQUBYIAXFXATVKVJSVLAYTVMZXPXOUFZKYS
      UUAGVNUJZYGUUBKUHAUUCYTAYNYMUUCQYOGVOVPZVQAYGYTYJVQFGXOKLYKVRUMUUAYMYSYQU
      JZYTUUBYSUJAYMYTYPVQAUUEYTAYQEFGIHLYRPYPYIRVEVQAYTVSYQYSXOGXPYRYKVTWAWBWC
      VLZAXFXAYATAYMYGYAXAUHYPYJXOEFGKLYKPWDUMZWGZUAAUUCKFYHWEZUJXPUUIUJUUDUBFG
      XOKJLNYKWFUMZUCWHAYBXBYFXGAYAXAWTCUUGUNAYEXEXFCAYDXDEAYCXCAFBGDXOHKLUCMYK
      UUDRYJWIUOUQWJWKWLAXJXQUEZEUFXFYACUDZXTXLCUDZUGXNAXIUUKEAWPXQYLUOUQABCDEF
      GHIJXPLMNOPQRUUFUUHUAUUJUCWMAUULXKUUMXMAYAXAXFCUUGUNAXTWSXLCAXSWREAXRWQAX
      QWPHDAWPXQYLWNUNUOUQWJWKWLWO $.
  $}

  ${
    mapdindp1.v $e |- V = ( Base ` W ) $.
    mapdindp1.p $e |- .+ = ( +g ` W ) $.
    mapdindp1.o $e |- .0. = ( 0g ` W ) $.
    mapdindp1.n $e |- N = ( LSpan ` W ) $.
    mapdindp1.w $e |- ( ph -> W e. LVec ) $.
    mapdindp1.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    mapdindp1.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
    mapdindp1.z $e |- ( ph -> Z e. ( V \ { .0. } ) ) $.
    mapdindp1.W $e |- ( ph -> w e. ( V \ { .0. } ) ) $.
    mapdindp1.e $e |- ( ph -> ( N ` { Y } ) = ( N ` { Z } ) ) $.
    mapdindp1.ne $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
    mapdindp1.f $e |- ( ph -> -. w e. ( N ` { X , Y } ) ) $.
    ${
      mapdindp1.yz $e |- ( ph -> ( Y .+ Z ) =/= .0. ) $.
      $( Vector independence lemma.  (Contributed by NM, 29-Apr-2015.) $)
      mapdindp0 $p |- ( ph -> ( N ` { ( Y .+ Z ) } ) = ( N ` { Y } ) ) $=
        ( csn cfv wss wceq clsm clss eqid clvec wcel clmod lveclmod syl eldifad
        lspsncl syl2anc eqeltrrd lsmcl syl3anc csubg lsssssubg sseldd lsmelvali
        co lspsnid syl22anc lspsnel5a oveq2d lsmidm eqtr3d sseqtrd wne lmodvacl
        cdif eldifsn sylanbrc lspsncmp mpbid ) AHJCVFZUDDUEZHUDDUEZUFWBWCUGAWBW
        CJUDDUEZFUHUEZVFZWCAFUIUEZWFDFWAWGUJZNAFUKULFUMULZOFUNUOZAWIWCWGULZWDWG
        ULWFWGULWJAWIHEULZWKWJAHEIUDZQUPZWGDEFHKWHNUQURZAWCWDWGTWOUSWEWGWCWDFWH
        WEUJZUTVAAWCFVBUEZULZWDWQULHWCULZJWDULZWAWFULAWGWQWCAWIWGWQUFWJWGFWHVCU
        OWOVDZAWCWDWQTXAUSAWIWLWSWJWNDEFHKNVGURAWIJEULZWTWJAJEWMRUPZDEFJKNVGURC
        WEWCWDFHJLWPVEVHVIAWCWCWEVFZWFWCAWCWDWCWETVJAWRXDWCUGXAWEWCFWPVKUOVLVMA
        DEFWAHIKMNOAWAEULZWAIVNWAEWMVPULAWIWLXBXEWJWNXCCEFHJKLVOVAUCWAEIVQVRWNV
        SVT $.
    $}

    $( Vector independence lemma.  (Contributed by NM, 1-May-2015.) $)
    mapdindp1 $p |- ( ph -> ( N ` { X } ) =/= ( N ` { ( Y .+ Z ) } ) ) $=
      ( csn cfv co wne wceq wa cdif wcel eldifsni syl clmod clvec lspsn0 eqeq2d
      lveclmod wb eldifad lspsneq0 syl2anc bitrd necon3bid mpbird adantr fveq2d
      sneq adantl neeqtrrd cv cpr wn simpr mapdindp0 pm2.61dane ) AGUCDUDZHJCUE
      ZUCZDUDZUFVQIAVQIUGZUHVPIUCZDUDZVSAVPWBUFZVTAWCGIUFZAGEWAUIZUJZWDPGEIUKUL
      AVPWBGIAVPWBUGVPWAUGZGIUGZAWBWAVPAFUMUJZWBWAUGAFUNUJZWIOFUQULZDFIMNUOULUP
      AWIGEUJWGWHURWKAGEWAPUSDEFGIKMNUTVAVBVCVDVEVTVSWBUGAVTVRWADVQIVGVFVHVIAVQ
      IUFZUHZVPHUCDUDZVSAVPWNUFWLUAVEZWMBCDEFGHIJKLMNAWJWLOVEAWFWLPVEAHWEUJWLQV
      EAJWEUJWLRVEABVJZWEUJWLSVEAWNJUCDUDUGWLTVEWOAWPGHVKDUDUJVLWLUBVEAWLVMVNVI
      VO $.

    $( Vector independence lemma.  (Contributed by NM, 1-May-2015.) $)
    mapdindp2 $p |- ( ph -> -. w e. ( N ` { X , ( Y .+ Z ) } ) ) $=
      ( cv co cpr cfv wcel wn wceq wa csn preq2 fveq2d clvec clmod lveclmod syl
      eldifad lsppr0 sylan9eqr wss prssi syl2anc snsspr1 syl3anc adantr eqsstrd
      a1i lspss ssneldd wne clsm cdif simpr mapdindp0 oveq2d eqid lsmpr 3eqtr4d
      lmodvacl neleqtrrd pm2.61dane ) ABUCZGHJCUDZUEZDUFZUGUHWDIAWDIUIZUJZWFGHU
      EZDUFZWCWHWFGUKZDUFZWJWGAWFGIUEZDUFWLWGWEWMDWDIGULUMADEFGIKMNAFUNUGZFUOUG
      ZOFUPUQZAGEIUKZPURZUSUTAWLWJVAZWGAWOWIEVAZWKWIVAZWSWPAGEUGHEUGZWTWRAHEWQQ
      URZGHEVBVCXAAGHVDVHWKWIDEFKNVIVEVFVGAWCWJUGUHZWGUBVFVJAWDIVKZUJZWFWJWCAXD
      XEUBVFZXFWLWDUKDUFZFVLUFZUDZWLHUKDUFZXIUDZWFWJXFXHXKWLXIXFBCDEFGHIJKLMNAW
      NXEOVFAGEWQVMZUGXEPVFAHXMUGXEQVFAJXMUGXERVFAWCXMUGXESVFAXKJUKDUFUIXETVFAW
      LXKVKXEUAVFXGAXEVNVOVPAWFXJUIXEAXIDEFGWDKNXIVQZWPWRAWOXBJEUGWDEUGWPXCAJEW
      QRURCEFHJKLVTVEVRVFAWJXLUIXEAXIDEFGHKNXNWPWRXCVRVFVSWAWB $.

    $( Vector independence lemma.  (Contributed by NM, 29-Apr-2015.) $)
    mapdindp3 $p |- ( ph -> ( N ` { X } ) =/= ( N ` { ( w .+ Y ) } ) ) $=
      ( cv co csn cfv wcel wne cpr clmod wss clvec lveclmod syl eldifad lspvadd
      wn syl3anc lspindp1 ssneldd wceq lspsnid syl2anc eleq2 syl5ibcom necon3bd
      simprd mpd ) AGBUCZHCUDUEDUFZUGZUQGUEDUFZVJUHAVJVIHUIDUFZGAFUJUGZVIEUGHEU
      GVJVMUKAFULUGVNOFUMUNZAVIEIUEZSUOZAHEVPQUOZCDEFVIHKLNUPURAVIUEDUFHUEDUFUH
      GVMUGUQADEFGHIVIKMNOPVRVQUAUBUSVGUTAVKVLVJAGVLUGZVLVJVAVKAVNGEUGVSVOAGEVP
      PUODEFGKNVBVCVLVJGVDVEVFVH $.

    $( Vector independence lemma.  (Contributed by NM, 29-Apr-2015.) $)
    mapdindp4 $p |- ( ph -> -. Z e. ( N ` { X , ( w .+ Y ) } ) ) $=
      ( csn cfv cv co wne cpr wcel wn clmod clvec lveclmod syl eldifad lmodvacl
      syl3anc lspindpi simprd lspindp3 lmodcom sneqd neeqtrrd eqnetrrd lspindp1
      necomd wceq fveq2d clsm eqid lsmpr preq2d lspprabs 3eqtr3rd oveq1d fveq2i
      prcom a1i 3eqtr3d eqtrd neleqtrrd ) AGUCDUDZBUEZHCUFZUCZDUDZUGJGWDUHDUDUI
      UJADEFJWDIGKMNORAFUKUIZWCEUIZHEUIZWDEUIAFULUIWGOFUMUNZAWCEIUCZSUOZAHEWKQU
      OZCEFWCHKLUPUQZAGEWKPUOZAHUCDUDZJUCDUDZWFTAWPHWCCUFZUCZDUDWFACDEFHWCIKLMN
      OWMSAWCUCDUDZWPAWTWBUGWTWPUGZADEFWCGHKNOWLWOWMUBURUSVFUTAWEWSDAWDWRAWGWHW
      IWDWRVGWJWLWMCEFWCHKLVAUQVBVHVCVDAJWDUHDUDZWCHUHZDUDZGAXAGXDUIUJADEFGHIWC
      KMNOPWMWLUAUBVEUSAXBWQWFFVIUDZUFZXDAXEDEFJWDKNXEVJZWJAJEWKRUOWNVKAWPWFXEU
      FZHWCUHZDUDZXFXDAHWRUHZDUDHWDUHZDUDXJXHAXKXLDAWRWDHAWGWIWHWRWDVGWJWMWLCEF
      HWCKLVAUQVLVHACDEFHWCKLNWJWMWLVMAXEDEFHWDKNXGWJWMWNVKVNAWPWQWFXETVOXJXDVG
      AXIXCDHWCVQVPVRVSVTWAVEUS $.
  $}

  ${
    $d x D $.  $d h x F $.  $d x J $.  $d x M $.  $d x N $.  $d x .0. $.
    $d x Q $.  $d x R $.  $d x .- $.  $d h x X $.  $d h x Y $.  $d h ph $.
    mapdh.q $e |- Q = ( 0g ` C ) $.
    mapdh.i $e |- I = ( x e. _V |->
     if ( ( 2nd ` x ) = .0. , Q ,
        ( iota_ h e. D ( ( M ` ( N ` { ( 2nd ` x ) } ) ) = ( J ` { h } )
           /\ ( M ` ( N ` { ( ( 1st ` ( 1st ` x ) ) .- ( 2nd ` x ) ) } ) )
                 = ( J ` { ( ( 2nd ` ( 1st ` x ) ) R h ) } ) ) ) ) ) $.
    ${
      mapdh.x $e |- ( ph -> X e. A ) $.
      mapdh.f $e |- ( ph -> F e. B ) $.
      mapdh.y $e |- ( ph -> Y e. E ) $.
      $( Lemmma for ~~? mapdh .  (Contributed by NM, 3-Apr-2015.)  (Revised by
         Mario Carneiro, 6-May-2015.) $)
      mapdhval $p |- ( ph -> ( I ` <. X , F , Y >. )
    = if ( Y = .0. , Q , ( iota_ h e. D ( ( M ` ( N ` { Y } ) ) = ( J ` { h } )
           /\ ( M ` ( N ` { ( X .- Y ) } ) ) = ( J ` { ( F R h ) } ) ) ) ) ) $=
        ( cotp cfv c2nd wceq csn cv c1st co crio cif cvv wcel otex fveq2 eqeq1d
        sneqd fveq2d fveqeq2d oveq12d oveq1d eqeq12d anbi12d riotabidv ifbieq2d
        wa c0g fvexi riotaex ifex fvmpt mp1i ot3rdg ot1stg syl3anc ot2ndg eqtrd
        syl ) AQKRUEZLUFZWBUGUFZSUHZGWDUIZPUFZNUFIUJZUIMUFZUHZWBUKUFZUKUFZWDOUL
        ZUIZPUFZNUFZWKUGUFZWHHULZUIZMUFZUHZVIZIFUMZUNZRSUHZGRUIZPUFZNUFWIUHZQRO
        ULZUIZPUFZNUFZKWHHULZUIZMUFZUHZVIZIFUMZUNWBUOUPWCXDUHAQKRUQBWBBUJZUGUFZ
        SUHZGXTUIZPUFZNUFWIUHZXSUKUFZUKUFZXTOULZUIZPUFZNUFZYEUGUFZWHHULZUIZMUFZ
        UHZVIZIFUMZUNXDUOLXSWBUHZYAWEYQXCGYRXTWDSXSWBUGURZUSYRYPXBIFYRYDWJYOXAY
        RYCWGWINYRYBWFPYRXTWDYSUTVAVBYRYJWPYNWTYRYIWONYRYHWNPYRYGWMYRYFWLXTWDOY
        RYEWKUKXSWBUKURZVAYSVCUTVAVAYRYMWSMYRYLWRYRYKWQWHHYRYEWKUGYTVAVDUTVAVEV
        FVGVHUAWEGXCGEVJTVKXBIFVLVMVNVOAWEXEXCXRGAWDRSARJUPZWDRUHUDQKRJVPWAZUSA
        XBXQIFAWJXHXAXPAWGXGWINAWFXFPAWDRUUBUTVAVBAWPXLWTXOAWOXKNAWNXJPAWMXIAWL
        QWDROAQCUPZKDUPZUUAWLQUHUBUCUDQKRCDJVQVRUUBVCUTVAVAAWSXNMAWRXMAWQKWHHAU
        UCUUDUUAWQKUHUBUCUDQKRCDJVSVRVDUTVAVEVFVGVHVT $.
    $}

    $d h .0. $.
    ${
      mapdh0.o $e |- .0. = ( 0g ` U ) $.
      mapdh0.x $e |- ( ph -> X e. A ) $.
      mapdh0.f $e |- ( ph -> F e. B ) $.
      $( Lemmma for ~~? mapdh .  (Contributed by NM, 3-Apr-2015.) $)
      mapdhval0 $p |- ( ph -> ( I ` <. X , F , .0. >. ) = Q ) $=
        ( cotp cfv wceq csn cv co crio cif cvv wcel c0g fvexi a1i mapdhval eqid
        wa iftruei eqtrdi ) AQKRUDLUERRUFZGRUGPUENUEJUHZUGMUEUFQROUIUGPUENUEKVC
        HUIUGMUEUFUSJFUJZUKGABCDEFGHJULKLMNOPQRRSTUBUCRULUMARIUNUAUOUPUQVBGVDRU
        RUTVA $.
    $}

    ${
      mapdh2.x $e |- ( ph -> X e. A ) $.
      mapdh2.f $e |- ( ph -> F e. B ) $.
      mapdh2.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      $( Lemmma for ~~? mapdh .  (Contributed by NM, 3-Apr-2015.) $)
      mapdhval2 $p |- ( ph -> ( I ` <. X , F , Y >. )
    = ( iota_ h e. D ( ( M ` ( N ` { Y } ) ) = ( J ` { h } )
             /\ ( M ` ( N ` { ( X .- Y ) } ) )
                   = ( J ` { ( F R h ) } ) ) ) ) $=
        ( cotp cfv wceq csn cv co wa crio cdif mapdhval wcel wn eldifsni neneqd
        cif iffalse 3syl eqtrd ) AQJRUEKUFRSUGZGRUHOUFMUFIUIZUHLUFUGQRNUJUHOUFM
        UFJVDHUJUHLUFUGUKIFULZUSZVEABCDEFGHIPSUHUMZJKLMNOQRSTUAUBUCUDUNARVGUOZV
        CUPVFVEUGUDVHRSRPSUQURVCGVEUTVAVB $.
    $}

    $d h C $.  $d h D $.  $d h J $.  $d h M $.  $d h N $.  $d h R $.  $d h U $.
    $d h .- $.
    mapdh.h $e |- H = ( LHyp ` K ) $.
    mapdh.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdh.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdh.v $e |- V = ( Base ` U ) $.
    mapdh.s $e |- .- = ( -g ` U ) $.
    mapdhc.o $e |- .0. = ( 0g ` U ) $.
    mapdh.n $e |- N = ( LSpan ` U ) $.
    mapdh.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    mapdh.d $e |- D = ( Base ` C ) $.
    mapdh.r $e |- R = ( -g ` C ) $.
    mapdh.j $e |- J = ( LSpan ` C ) $.
    mapdh.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdhc.f $e |- ( ph -> F e. D ) $.
    mapdh.mn $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( J ` { F } ) ) $.
    mapdhcl.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    ${
      mapdhc.y $e |- ( ph -> Y e. V ) $.
      mapdh.ne $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
      $( Lemmma for ~~? mapdh .  (Contributed by NM, 3-Apr-2015.) $)
      mapdhcl $p |- ( ph -> ( I ` <. X , F , Y >. ) e. D ) $=
        ( cotp cfv wcel wceq oteq3 fveq2d eleq1d wne wa csn cv crio cdif adantr
        co anim1i eldifsn sylibr mapdhval2 wreu chlt mapdpg riotacl syl eqeltrd
        mapdhval0 lcd0vcl pm2.61ne ) ASITVAZKVBZDVCSIUAVAZKVBZDVCTUATUAVDZWJWLD
        WMWIWKKTUASIVEVFVGATUAVHZVIZWJTVJPVBZNVBHVKZVJLVBVDSTOVOVJPVBNVBIWQFVOV
        JLVBVDVIZHDVLZDWOBQUAVJVMZDCDEFHIKLNOPQSTUAUBUCASWTVCWNURVNZAIDVCWNUPVN
        ZWOTQVCZWNVITWTVCAXCWNUSVPTQUAVQVRZVSWOWRHDVTWSDVCWOCFGHDIJLMNOPQRSTUAU
        DUEUFUGUHUIUJUKULUMUNAMWAVCRJVCVIWNUOVNXAXDXBASVJPVBZWPVHWNUTVNAXENVBIV
        JLVBVDWNUQVNWBWRHDWCWDWEAWLEDABWTDCDEFGHIKLNOPSUAUBUCUIURUPWFACJMEDRUDU
        KULUBUOWGWEWH $.
    $}

    $d h G $.  $d w h $.
    ${
      mapdhe.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      mapdhe.g $e |- ( ph -> G e. D ) $.
      mapdh.ne2 $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
      $( Lemmma for ~~? mapdh .  The defining equation for h(x,x',y)=y' in part
         (2) in [Baer] p. 45 line 24.  (Contributed by NM, 4-Apr-2015.) $)
      mapdheq $p |- ( ph -> ( ( I ` <. X , F , Y >. ) = G
         <-> ( ( M ` ( N ` { Y } ) ) = ( J ` { G } )
             /\ ( M ` ( N ` { ( X .- Y ) } ) )
                   = ( J ` { ( F R G ) } ) ) ) ) $=
        ( cotp cfv wceq csn cv co wa crio cdif mapdhval2 eqeq1d wreu mapdpg nfv
        nfcvd nfvd sneq fveq2d eqeq2d oveq2 sneqd anbi12d adantl riota2df mpdan
        wb bitr4d ) ATIUAVCLVDZJVEUAVFQVDOVDZHVGZVFZMVDZVEZTUAPVHVFQVDOVDZIWLFV
        HZVFZMVDZVEZVIZHDVJZJVEZWKJVFZMVDZVEZWPIJFVHZVFZMVDZVEZVIZAWJXBJABRUBVF
        VKDCDEFHILMOPQRTUAUBUCUDUSUQUTVLVMAXAHDVNXKXCWHACFGHDIKMNOPQRSTUAUBUEUF
        UGUHUIUJUKULUMUNUOUPUSUTUQVBURVOAXAXKHDJAHVPAHJVQAXKHVRVAWLJVEZXAXKWHAX
        LWOXFWTXJXLWNXEWKXLWMXDMWLJVSVTWAXLWSXIWPXLWRXHMXLWQXGWLJIFWBWCVTWAWDWE
        WFWGWI $.

      $d x G $.
      $( Lemmma for ~~? mapdh .  One direction of part (2) in [Baer] p. 45.
         (Contributed by NM, 4-Apr-2015.) $)
      mapdheq2 $p |- ( ph -> ( ( I ` <. X , F , Y >. ) = G
          -> ( I ` <. Y , G , X >. ) = F ) ) $=
        ( cotp cfv wceq csn co wa mapdheq adantr dvhlmod eldifad fveq2d lcdlmod
        lspsnsub eqeq12d biimpa adantrl chlt wcel simprl cdif wne necomd sylbid
        mpbir2and ex ) ATIUAVCLVDJVEUAVFQVDZOVDJVFMVDVEZTUAPVGVFQVDZOVDZIJFVGVF
        MVDZVEZVHZUAJTVCLVDIVEZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUN
        UOUPUQURUSUTVAVBVIAWNWOAWNVHZWOTVFQVDZOVDIVFMVDVEZUATPVGVFQVDZOVDZJIFVG
        VFMVDZVEZAWRWNURVJAWMXBWIAWMXBAWKWTWLXAAWJWSOAPQRGTUAUHUIUKAGKNSUEUGUPV
        KATRUBVFZUSVLAUARXCUTVLVOVMAFMDCIJUMUNUOACKNSUEULUPVNUQVAVOVPVQVRWPBCDE
        FGHJIKLMNOPQRSUATUBUCUDUEUFUGUHUIUJUKULUMUNUOANVSVTSKVTVHWNUPVJAJDVTWNV
        AVJAWIWMWAAUARXCWBZVTWNUTVJATXDVTWNUSVJAIDVTWNUQVJAWHWQWCWNAWQWHVBWDVJV
        IWFWGWE $.
    $}

    $d x G $.
    ${
      mapdhe2.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      mapdhe2.g $e |- ( ph -> G e. D ) $.
      mapdh.ne3 $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
      mapdh.my $e |- ( ph -> ( M ` ( N ` { Y } ) ) = ( J ` { G } ) ) $.
      $( Lemmma for ~~? mapdh .  Part (2) in [Baer] p. 45.  The bidirectional
         version of ~ mapdheq2 seems to require an additional hypothesis not
         mentioned in Baer.  TODO fix ref.  TODO:  We probably don't need this;
         delete if never used.  (Contributed by NM, 4-Apr-2015.)
         (New usage is discouraged.) $)
      mapdheq2biN $p |- ( ph -> ( ( I ` <. X , F , Y >. ) = G
           <-> ( I ` <. Y , G , X >. ) = F ) ) $=
        ( cotp cfv wceq mapdheq2 csn necomd impbid ) ATIUAVDLVEJVFUAJTVDLVEIVFA
        BCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVGABCDEF
        GHJIKLMNOPQRSUATUBUCUDUEUFUGUHUIUJUKULUMUNUOUPVAVCUTUSUQATVHQVEUAVHQVEV
        BVIVGVJ $.
    $}

    $d h E $.  $d h x Z $.
    ${
      mapdhe4.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      mapdhe.z $e |- ( ph -> Z e. ( V \ { .0. } ) ) $.
      mapdh.xn $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
      mapdh.yz $e |- ( ph -> ( N ` { Y } ) =/= ( N ` { Z } ) ) $.
      mapdh.eg $e |- ( ph -> ( I ` <. X , F , Y >. ) = G ) $.
      mapdh.ee $e |- ( ph -> ( I ` <. X , F , Z >. ) = E ) $.
      $( Lemma for ~ mapdheq4 .  Part (4) in [Baer] p. 46.  (Contributed by NM,
         12-Apr-2015.) $)
      mapdheq4lem $p |- ( ph
          -> ( M ` ( N ` { ( Y .- Z ) } ) ) = ( J ` { ( G R E ) } ) ) $=
        ( csn cfv clsm cin clss eqid clmod wcel dvhlmod eldifad lspsncl syl2anc
        co lsmcl syl3anc lmodvsubcl mapdin mapdlsm wceq cotp wa wne cpr dvhlvec
        wn lspindp2 simpld mapdhcl eqeltrrd mapdheq mpbid lspindp1 eqtrd simprd
        oveq12d ineq12d baerlem3 fveq2d c0g lcdlvec mapdindp mapdncol 3eqtr4d
        mapdn0 ) AUBVHRVIZUDVHRVIZGVJVIZVTZUAUBQVTZVHRVIZUAUDQVTZVHRVIZXNVTZVKZ
        PVIZKVHNVIZIVHNVIZCVJVIZVTZJKFVTVHNVIZJIFVTVHNVIZYEVTZVKZUBUDQVTVHRVIZP
        VIKIFVTVHNVIAYBXOPVIZXTPVIZVKYJAGVLVIZGLOPTXOXTUGUHUIYNVMZURAGVNVOZXLYN
        VOZXMYNVOZXOYNVOAGLOTUGUIURVPZAYPUBSVOZYQYSAUBSUCVHZVBVQZYNRSGUBUJYOUMV
        RVSZAYPUDSVOZYRYSAUDSUUAVCVQZYNRSGUDUJYOUMVRVSZXNYNXLXMGYOXNVMZWAWBAYPX
        QYNVOZXSYNVOZXTYNVOYSAYPXPSVOZUUHYSAYPUASVOZYTUUJYSAUASUUAVAVQZUUBQSGUA
        UBUJUKWCWBYNRSGXPUJYOUMVRVSZAYPXRSVOZUUIYSAYPUUKUUDUUNYSUULUUEQSGUAUDUJ
        UKWCWBYNRSGXRUJYOUMVRVSZXNYNXQXSGYOUUGWAWBWDAYLYFYMYIAYLXLPVIZXMPVIZYEV
        TYFACYEXNYNGLOPTXLXMUGUHUIYOUUGUNYEVMZURUUCUUFWEAUUPYCUUQYDYEAUUPYCWFZX
        QPVIZYGWFZAUAJUBWGMVIZKWFUUSUVAWHVFABCDEFGHJKLMNOPQRSTUAUBUCUEUFUGUHUIU
        JUKULUMUNUOUPUQURUSUTVAVBAUVBKDVFABCDEFGHJLMNOPQRSTUAUBUCUEUFUGUHUIUJUK
        ULUMUNUOUPUQURUSUTVAUUBAUAVHRVIZXLWIUDUAUBWJRVIVOWLARSGUBUDUCUAUJULUMAG
        LOTUGUIURWKZUUBVCUULVEVDWMWNZWOWPZUVEWQWRZWNZAUUQYDWFZXSPVIZYHWFZAUAJUD
        WGMVIZIWFUVIUVKWHVGABCDEFGHJILMNOPQRSTUAUDUCUEUFUGUHUIUJUKULUMUNUOUPUQU
        RUSUTVAVCAUVLIDVGABCDEFGHJLMNOPQRSTUAUDUCUEUFUGUHUIUJUKULUMUNUOUPUQURUS
        UTVAUUEAUVCXMWIUBUAUDWJRVIVOWLARSGUBUDUCUAUJULUMUVDVBUUEUULVEVDWSWNZWOW
        PZUVMWQWRZWNZXBWTAYMUUTUVJYEVTYIACYEXNYNGLOPTXQXSUGUHUIYOUUGUNUURURUUMU
        UOWEAUUTYGUVJYHYEAUUSUVAUVGXAAUVIUVKUVOXAXBWTXCWTAYKYAPAXNQRSGUAUBUCUDU
        JUKULUUGUMUVDUULVDVEVBVCXDXEAYEFNDCJKCXFVIZIUOUPUVQVMZUURUQACLOTUGUNURX
        GUSACDGIJKLNOPRSTUAUBUDUGUHUIUJUMUNUOUQURUSUTUULUUBUVFUVHUUEUVNUVPVDXHA
        CDGKILNOPRSTUBUDUGUHUIUJUMUNUOUQURUVFUVHUUBUUEUVNUVPVEXIACDGKLNOPRSTUBU
        CUVQUGUHUIUJUMUNUOUQURUVFUVHULUVRVBXKACDGILNOPRSTUDUCUVQUGUHUIUJUMUNUOU
        QURUVNUVPULUVRVCXKXDXJ $.

      $( Lemma for ~~? mapdh .  Part (4) in [Baer] p. 46.  (Contributed by NM,
         12-Apr-2015.) $)
      mapdheq4 $p |- ( ph -> ( I ` <. Y , G , Z >. ) = E ) $=
        ( cotp cfv wceq csn co wa eldifad wne cpr wcel dvhlvec lspindp1 mapdhcl
        wn simpld eqeltrrd mapdheq mpbid mapdheq4lem lspindp2 mpbir2and ) AUBKU
        DVHMVIIVJUDVKRVIZPVIIVKNVIVJZUBUDQVLVKRVIPVIKIFVLVKNVIVJAWJUAUDQVLVKRVI
        PVIJIFVLVKNVIVJZAUAJUDVHMVIZIVJWJWKVMVGABCDEFGHJILMNOPQRSTUAUDUCUEUFUGU
        HUIUJUKULUMUNUOUPUQURUSUTVAVCAWLIDVGABCDEFGHJLMNOPQRSTUAUDUCUEUFUGUHUIU
        JUKULUMUNUOUPUQURUSUTVAAUDSUCVKZVCVNZAUAVKRVIZWIVOUBUAUDVPRVIVQWAARSGUB
        UDUCUAUJULUMAGLOTUGUIURVRZVBWNAUASWMVAVNZVEVDVSWBZVTWCZWRWDWEWBABCDEFGH
        IJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGWFABC
        DEFGHKILMNOPQRSTUBUDUCUEUFUGUHUIUJUKULUMUNUOUPUQURAUAJUBVHMVIZKDVFABCDE
        FGHJLMNOPQRSTUAUBUCUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAAUBSWMVBVNZAWOUBVK
        RVIZVOUDUAUBVPRVIVQWAARSGUBUDUCUAUJULUMWPXAVCWQVEVDWGWBZVTWCZAXBPVIKVKN
        VIVJZUAUBQVLVKRVIPVIJKFVLVKNVIVJZAWTKVJXEXFVMVFABCDEFGHJKLMNOPQRSTUAUBU
        CUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBXDXCWDWEWBVBVCWSVEWDWH $.
    $}

    mapdh.p $e |- .+ = ( +g ` U ) $.
    mapdh.a $e |- .+b = ( +g ` C ) $.
    ${
      $d h E $.  $d h x Z $.  $d h .+b $.  $d h I $.  $d h x .+ $.
      mapdhe6.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      mapdhe6.z $e |- ( ph -> Z e. ( V \ { .0. } ) ) $.
      mapdhe6.xn $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
      mapdh6.yz $e |- ( ph -> ( N ` { Y } ) =/= ( N ` { Z } ) ) $.
      mapdh6.fg $e |- ( ph -> ( I ` <. X , F , Y >. ) = G ) $.
      mapdh6.fe $e |- ( ph -> ( I ` <. X , F , Z >. ) = E ) $.
      $( Lemma for ~ mapdh6N .  Part (6) in [Baer] p. 47, lines 16-18.
         (Contributed by NM, 13-Apr-2015.)  (New usage is discouraged.) $)
      mapdh6lem1N $p |- ( ph
          -> ( M ` ( N ` { ( X .- ( Y .+ Z ) ) } ) )
                 = ( J ` { ( F R ( G .+b E ) ) } ) ) $=
        ( co csn cfv clsm cin clss eqid wcel dvhlmod eldifad lmodvsubcl syl3anc
        clmod lspsncl syl2anc lsmcl mapdin mapdlsm ineq12d wceq cotp wa wne cpr
        dvhlvec lspindp2 simpld mapdhcl eqeltrrd mapdheq mpbid lspindp1 oveq12d
        simprd eqtrd baerlem5a fveq2d lcdlvec mapdindp mapdncol mapdn0 3eqtr4d
        wn ) AUCUDSVLZVMTVNZUFVMTVNZIVOVNZVLZUCUFSVLZVMTVNZUDVMTVNZXRVLZVPZRVNZ
        LMHVLVMPVNZKVMPVNZCVOVNZVLZLKHVLVMPVNZMVMPVNZYHVLZVPZUCUDUFEVLSVLVMTVNZ
        RVNLMKFVLHVLVMPVNAYEXSRVNZYCRVNZVPZYMAIVQVNZINQRUBXSYCUIUJUKYRVRZUTAIWD
        VSZXPYRVSZXQYRVSZXSYRVSAINQUBUIUKUTVTZAYTXOUAVSZUUAUUCAYTUCUAVSZUDUAVSZ
        UUDUUCAUCUAUEVMZVCWAZAUDUAUUGVFWAZSUAIUCUDULUMWBWCYRTUAIXOULYSUOWEWFZAY
        TUFUAVSZUUBUUCAUFUAUUGVGWAZYRTUAIUFULYSUOWEWFZXRYRXPXQIYSXRVRZWGWCAYTYA
        YRVSZYBYRVSZYCYRVSUUCAYTXTUAVSZUUOUUCAYTUUEUUKUUQUUCUUHUULSUAIUCUFULUMW
        BWCYRTUAIXTULYSUOWEWFZAYTUUFUUPUUCUUIYRTUAIUDULYSUOWEWFZXRYRYAYBIYSUUNW
        GWCWHAYQXPRVNZXQRVNZYHVLZYARVNZYBRVNZYHVLZVPYMAYOUVBYPUVEACYHXRYRINQRUB
        XPXQUIUJUKYSUUNUPYHVRZUTUUJUUMWIACYHXRYRINQRUBYAYBUIUJUKYSUUNUPUVFUTUUR
        UUSWIWJAUVBYIUVEYLAUUTYFUVAYGYHAUVDYKWKZUUTYFWKZAUCLUDWLOVNZMWKUVGUVHWM
        VJABCDGHIJLMNOPQRSTUAUBUCUDUEUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVFAUVIMD
        VJABCDGHIJLNOPQRSTUAUBUCUDUEUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCUUIAUCVMT
        VNZYBWNUFUCUDWOTVNVSXNATUAIUDUFUEUCULUNUOAINQUBUIUKUTWPZUUIVGUUHVIVHWQW
        RZWSWTZUVLXAXBZXEAUVAYGWKZUVCYJWKZAUCLUFWLOVNZKWKUVOUVPWMVKABCDGHIJLKNO
        PQRSTUAUBUCUFUEUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVGAUVQKDVKABCDGHIJLNOP
        QRSTUAUBUCUFUEUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCUULAUVJXQWNUDUCUFWOTVNV
        SXNATUAIUDUFUEUCULUNUOUVKVFUULUUHVIVHXCWRZWSWTZUVRXAXBZWRZXDAUVCYJUVDYK
        YHAUVOUVPUVTXEAUVGUVHUVNWRZXDWJXFXFAYNYDRAEXRSTUAIUCUDUEUFULUMUNUUNUOUV
        KUUHVHVIVFVGVDXGXHAFYHHPDCLMGKUQURUGUVFUSACNQUBUIUPUTXIVAACDIKLMNPQRTUA
        UBUCUDUFUIUJUKULUOUPUQUSUTVAVBUUHUUIUVMUWBUULUVSUWAVHXJACDIMKNPQRTUAUBU
        DUFUIUJUKULUOUPUQUSUTUVMUWBUUIUULUVSUWAVIXKACDIMNPQRTUAUBUDUEGUIUJUKULU
        OUPUQUSUTUVMUWBUNUGVFXLACDIKNPQRTUAUBUFUEGUIUJUKULUOUPUQUSUTUVSUWAUNUGV
        GXLVEXGXM $.

      $( Lemma for ~ mapdh6N .  Part (6) in [Baer] p. 47, lines 20-22.
         (Contributed by NM, 13-Apr-2015.)  (New usage is discouraged.) $)
      mapdh6lem2N $p |- ( ph
          -> ( M ` ( N ` { ( Y .+ Z ) } ) ) = ( J ` { ( G .+b E ) } ) ) $=
        ( csn cfv clsm cin clss eqid clmod wcel dvhlmod eldifad lspsncl syl2anc
        co lsmcl syl3anc lmodvacl lmodvsubcl mapdin mapdlsm wceq cotp wa wne wn
        dvhlvec lspindp2 simpld mapdhcl eqeltrrd mapdheq mpbid lspindp1 oveq12d
        cpr eqtrd mapdh6lem1N ineq12d baerlem5b fveq2d mapdindp mapdncol mapdn0
        lcdlvec 3eqtr4d ) AUDVLTVMZUFVLTVMZIVNVMZWDZUCUDUFEWDZSWDZVLTVMZUCVLTVM
        ZXRWDZVOZRVMZMVLPVMZKVLPVMZCVNVMZWDZLMKFWDZHWDVLPVMZLVLPVMZYIWDZVOZXTVL
        TVMZRVMYKVLPVMAYFXSRVMZYDRVMZVOYOAIVPVMZINQRUBXSYDUIUJUKYSVQZUTAIVRVSZX
        PYSVSZXQYSVSZXSYSVSAINQUBUIUKUTVTZAUUAUDUAVSZUUBUUDAUDUAUEVLZVFWAZYSTUA
        IUDULYTUOWBWCZAUUAUFUAVSZUUCUUDAUFUAUUFVGWAZYSTUAIUFULYTUOWBWCZXRYSXPXQ
        IYTXRVQZWEWFAUUAYBYSVSZYCYSVSZYDYSVSUUDAUUAYAUAVSZUUMUUDAUUAUCUAVSZXTUA
        VSZUUOUUDAUCUAUUFVCWAZAUUAUUEUUIUUQUUDUUGUUJEUAIUDUFULVDWGWFSUAIUCXTULU
        MWHWFYSTUAIYAULYTUOWBWCZAUUAUUPUUNUUDUURYSTUAIUCULYTUOWBWCZXRYSYBYCIYTU
        ULWEWFWIAYQYJYRYNAYQXPRVMZXQRVMZYIWDYJACYIXRYSINQRUBXPXQUIUJUKYTUULUPYI
        VQZUTUUHUUKWJAUVAYGUVBYHYIAUVAYGWKZUCUDSWDVLTVMRVMLMHWDVLPVMWKZAUCLUDWL
        OVMZMWKUVDUVEWMVJABCDGHIJLMNOPQRSTUAUBUCUDUEUGUHUIUJUKULUMUNUOUPUQURUSU
        TVAVBVCVFAUVFMDVJABCDGHIJLNOPQRSTUAUBUCUDUEUGUHUIUJUKULUMUNUOUPUQURUSUT
        VAVBVCUUGAYCXPWNUFUCUDXETVMVSWOATUAIUDUFUEUCULUNUOAINQUBUIUKUTWPZUUGVGU
        URVIVHWQWRZWSWTZUVHXAXBWRZAUVBYHWKZUCUFSWDVLTVMRVMLKHWDVLPVMWKZAUCLUFWL
        OVMZKWKUVKUVLWMVKABCDGHIJLKNOPQRSTUAUBUCUFUEUGUHUIUJUKULUMUNUOUPUQURUSU
        TVAVBVCVGAUVMKDVKABCDGHIJLNOPQRSTUAUBUCUFUEUGUHUIUJUKULUMUNUOUPUQURUSUT
        VAVBVCUUJAYCXQWNUDUCUFXETVMVSWOATUAIUDUFUEUCULUNUOUVGVFUUJUURVIVHXCWRZW
        SWTZUVNXAXBWRZXDXFAYRYBRVMZYCRVMZYIWDYNACYIXRYSINQRUBYBYCUIUJUKYTUULUPU
        VCUTUUSUUTWJAUVQYLUVRYMYIABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUM
        UNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKXGVBXDXFXHXFAYPYERAEXRSTUAIUCUDUEUF
        ULUMUNUULUOUVGUURVHVIVFVGVDXIXJAFYIHPDCLMGKUQURUGUVCUSACNQUBUIUPUTXNVAA
        CDIKLMNPQRTUAUBUCUDUFUIUJUKULUOUPUQUSUTVAVBUURUUGUVIUVJUUJUVOUVPVHXKACD
        IMKNPQRTUAUBUDUFUIUJUKULUOUPUQUSUTUVIUVJUUGUUJUVOUVPVIXLACDIMNPQRTUAUBU
        DUEGUIUJUKULUOUPUQUSUTUVIUVJUNUGVFXMACDIKNPQRTUAUBUFUEGUIUJUKULUOUPUQUS
        UTUVOUVPUNUGVGXMVEXIXO $.

      $( Lemma for ~ mapdh6N .  Part (6) in [Baer] p. 47, case 1.  (Contributed
         by NM, 23-Apr-2015.)  (New usage is discouraged.) $)
      mapdh6aN $p |- ( ph -> ( I ` <. X , F , ( Y .+ Z ) >. ) =
            ( ( I ` <. X , F , Y >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
        ( cotp cfv wceq csn mapdh6lem2N oveq12d sneqd fveq2d eqtr4d mapdh6lem1N
        co oveq2d wcel wne cdif clmod dvhlmod eldifad syl3anc lmodindp1 eldifsn
        lmodvacl sylanbrc lcdlmod cpr wn dvhlvec lspindp2 mapdhcl lspindp1 clss
        simpld wss eqid lspprcl lspprvacl lspsnel5a mtbid nssne2 syl2anc necomd
        lspsnel5 mapdheq mpbir2and ) AUCLUDUFEWBZVLOVMUCLUDVLOVMZUCLUFVLOVMZFWB
        ZVNXPVOTVMZRVMZXSVOZPVMZVNUCXPSWBVOTVMRVMZLXSHWBZVOZPVMZVNAYAMKFWBZVOZP
        VMYCABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCV
        DVEVFVGVHVIVJVKVPAYBYIPAXSYHAXQMXRKFVJVKVQZVRVSVTAYDLYHHWBZVOZPVMYGABCD
        EFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGV
        HVIVJVKWAAYFYLPAYEYKAXSYHLHYJWCVRVSVTABCDGHIJLXSNOPQRSTUAUBUCXPUEUGUHUI
        UJUKULUMUNUOUPUQURUSUTVAVBVCAXPUAWDZXPUEWEXPUAUEVOZWFWDAIWGWDUDUAWDUFUA
        WDYMAINQUBUIUKUTWHZAUDUAYNVFWIZAUFUAYNVGWIZEUAIUDUFULVDWMWJAETUAIUDUFUE
        ULVDUNUOYOYPYQVIWKXPUAUEWLWNACWGWDXQDWDXRDWDXSDWDACNQUBUIUPUTWOABCDGHIJ
        LNOPQRSTUAUBUCUDUEUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCYPAUCVOTVMZUDVOTVMW
        EUFUCUDWPTVMWDWQATUAIUDUFUEUCULUNUOAINQUBUIUKUTWRZYPVGAUCUAYNVCWIZVIVHW
        SXCWTABCDGHIJLNOPQRSTUAUBUCUFUEUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCYQAYRU
        FVOTVMWEUDUCUFWPTVMWDWQATUAIUDUFUEUCULUNUOYSVFYQYTVIVHXAXCWTFDCXQXRUQVE
        WMWJAXTYRAXTUDUFWPTVMZXDYRUUAXDZWQXTYRWEAIXBVMZUUATIXPUUCXEZUOYOAUUCTUA
        IUDUFULUUDUOYOYPYQXFZAETUAIUDUFULVDUOYOYPYQXGXHAUCUUAWDUUBVHAUUCUUATUAI
        UCULUUDUOYOUUEYTXMXIXTYRUUAXJXKXLXNXO $.
    $}

    ${
      mapdh6b0.y $e |- ( ph -> Y e. V ) $.
      mapdh6b0.z $e |- ( ph -> Z e. V ) $.
      mapdh6b0.ne $e |- ( ph
            -> ( ( N ` { X } ) i^i ( N ` { Y , Z } ) ) = { .0. } ) $.
      $( Lemmma for ~ mapdh6N .  (Contributed by NM, 23-Apr-2015.)
         (New usage is discouraged.) $)
      mapdh6b0N $p |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $=
        ( cpr cfv wcel wn csn cin wceq clss eqid dvhlvec dvhlmod lspprcl mpbird
        lspdisjb ) AUAUBUDVGRVHZVIVJUAVKRVHWAVLUCVKVMVFAIVNVHZWARSIUAUCUJULUMWB
        VOZAILOTUGUIURVPAWBRSIUBUDUJWCUMAILOTUGUIURVQVDVEVRVAVTVS $.
    $}

    ${
      mapdh6b.y $e |- ( ph -> Y = .0. ) $.
      mapdh6b.z $e |- ( ph -> Z e. V ) $.
      mapdh6b.ne $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
      $( Lemmma for ~ mapdh6N .  (Contributed by NM, 24-Apr-2015.)
         (New usage is discouraged.) $)
      mapdh6bN $p |- ( ph -> ( I ` <. X , F , ( Y .+ Z ) >. )
           = ( ( I ` <. X , F , Y >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
        ( cotp cfv cgrp wcel wceq clmod lcdlmod lmodgrp syl csn dvhlvec eldifad
        co dvhlmod lmod0vcl eqeltrd simprd mapdhcl grplid syl2anc oteq3d fveq2d
        wne lspindpi cdif mapdhval0 eqtrd oveq1d 3eqtr4rd ) AGUAKUDVGZMVHZFVSZW
        QUAKUBVGZMVHZWQFVSUAKUBUDEVSZVGZMVHACVIVJZWQDVJWRWQVKACVLVJXCACLOTUGUNU
        RVMCVNVOABCDGHIJKLMNOPQRSTUAUDUCUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVEAUA
        VPRVHZUBVPRVHWIXDUDVPRVHWIARSIUAUBUDUJUMAILOTUGUIURVQAUASUCVPZVAVRAUBUC
        SVDAIVLVJZUCSVJAILOTUGUIURVTZSIUCUJULWAVOWBVEVFWJWCWDDFCWQGUOVCUEWEWFAW
        TGWQFAWTUAKUCVGZMVHGAWSXHMAUBUCUAKVDWGWHABSXEWKDCDGHIJKMNPQRUAUCUEUFULV
        AUSWLWMWNAXBWPMAXAUDUAKAXAUCUDEVSZUDAUBUCUDEVDWNAIVIVJZUDSVJXIUDVKAXFXJ
        XGIVNVOVESEIUDUCUJVBULWEWFWMWGWHWO $.
    $}

    ${
      mapdh6c.y $e |- ( ph -> Y e. V ) $.
      mapdh6c.z $e |- ( ph -> Z = .0. ) $.
      mapdh6c.ne $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
      $( Lemmma for ~ mapdh6N .  (Contributed by NM, 24-Apr-2015.)
         (New usage is discouraged.) $)
      mapdh6cN $p |- ( ph -> ( I ` <. X , F , ( Y .+ Z ) >. )
           = ( ( I ` <. X , F , Y >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
        ( cotp cfv cgrp wcel wceq clmod lcdlmod lmodgrp syl csn dvhlvec eldifad
        co dvhlmod lmod0vcl eqeltrd simpld mapdhcl grprid syl2anc oteq3d fveq2d
        wne lspindpi cdif mapdhval0 eqtrd oveq2d 3eqtr4rd ) AUAKUBVGZMVHZGFVSZW
        QWQUAKUDVGZMVHZFVSUAKUBUDEVSZVGZMVHACVIVJZWQDVJWRWQVKACVLVJXCACLOTUGUNU
        RVMCVNVOABCDGHIJKLMNOPQRSTUAUBUCUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVDAUA
        VPRVHZUBVPRVHWIXDUDVPRVHWIARSIUAUBUDUJUMAILOTUGUIURVQAUASUCVPZVAVRVDAUD
        UCSVEAIVLVJZUCSVJAILOTUGUIURVTZSIUCUJULWAVOWBVFWJWCWDDFCWQGUOVCUEWEWFAW
        TGWQFAWTUAKUCVGZMVHGAWSXHMAUDUCUAKVEWGWHABSXEWKDCDGHIJKMNPQRUAUCUEUFULV
        AUSWLWMWNAXBWPMAXAUBUAKAXAUBUCEVSZUBAUDUCUBEVEWNAIVIVJZUBSVJXIUBVKAXFXJ
        XGIVNVOVDSEIUBUCUJVBULWEWFWMWGWHWO $.
    $}

    $d h .+b $.  $d h x I $.  $d h x .+ $.  $d x w $.
    ${
      mapdh6d.xn $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
      mapdh6d.yz $e |- ( ph -> ( N ` { Y } ) = ( N ` { Z } ) ) $.
      $(
      mapdh6d.fg $e |- ( ph -> ( I ` <. X , F , Y >. ) = G ) $.
      mapdh6d.fe $e |- ( ph -> ( I ` <. X , F , Z >. ) = E ) $.
      mapdh6d.fb $e |- ( ph -> ( I ` <. X , F , w >. ) = B ) $.
      $)
      mapdh6d.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      mapdh6d.z $e |- ( ph -> Z e. ( V \ { .0. } ) ) $.
      mapdh6d.w $e |- ( ph -> w e. ( V \ { .0. } ) ) $.
      mapdh6d.wn $e |- ( ph -> -. w e. ( N ` { X , Y } ) ) $.
      $( Lemmma for ~ mapdh6N .  (Contributed by NM, 1-May-2015.)
         (New usage is discouraged.) $)
      mapdh6dN $p |- ( ph -> ( I ` <. X , F , ( w .+ ( Y .+ Z ) ) >. )
        = ( ( I ` <. X , F , w >. ) .+b ( I ` <. X , F , ( Y .+ Z ) >. ) ) ) $=
        ( cv co cotp cfv wceq wa clmod lcdlmod csn eldifad wne dvhlvec lspindpi
        wcel simpld necomd mapdhcl lmod0vrid adantr oteq3 fveq2d cdif mapdhval0
        syl2anc sylan9eqr oveq2d oveq2 dvhlmod oteq3d 3eqtr4rd lmodvacl syl3anc
        chlt anim1i eldifsn sylibr cpr wn mapdindp1 mapdindp2 lspindp1 lspsnne1
        simprd clsm eqid lsmpr csubg clss lspsncl lsssubg syl 3eqtr2d neleqtrrd
        lsmidm lspindp4 eqidd mapdh6aN pm2.61dane ) AUBLCVKZUCUEFVLZFVLZVMZNVNZ
        UBLYIVMZNVNZUBLYJVMZNVNZGVLZVOYJUDAYJUDVOZVPZYOHGVLZYOYRYMAUUAYOVOZYSAD
        VQWDYOEWDUUBADMPUAUHUOUSVRABDEHIJKLMNOPQRSTUAUBYIUDUFUGUHUIUJUKULUMUNUO
        UPUQURUSUTVAVBAYITUDVSZVIVTZAYIVSSVNZUBVSSVNZAUUEUUFWAZUUEUCVSSVNZWAZAS
        TJYIUBUCUKUNAJMPUAUHUJUSWBZUUDAUBTUUCVBVTZAUCTUUCVGVTZVJWCZWEWFWGGEDYOH
        UPVDUFWHWNWIYTYQHYOGYSAYQUBLUDVMZNVNHYSYPUUNNYJUDUBLWJWKABTUUCWLZEDEHIJ
        KLNOQRSUBUDUFUGUMVBUTWMWOWPYTYLYNNYTYKYIUBLYSAYKYIUDFVLZYIYJUDYIFWQAJVQ
        WDZYITWDUUPYIVOAJMPUAUHUJUSWRZUUDFTJYIUDUKVCUMWHWNWOWSWKWTAYJUDWAZVPZBD
        EFGHIJKYQLYOMNOPQRSTUAUBYIUDYJUFUGUHUIUJUKULUMUNUOUPUQURAPXCWDUAMWDVPUU
        SUSWIALEWDUUSUTWIAUUFQVNLVSOVNVOUUSVAWIAUBUUOWDUUSVBWIVCVDAYIUUOWDUUSVI
        WIUUTYJTWDZUUSVPYJUUOWDAUVAUUSAUUQUCTWDZUETWDUVAUURUULAUETUUCVHVTZFTJUC
        UEUKVCXAXBZXDYJTUDXEXFAUBYIYJXGSVNWDXHZUUSAUUEYJVSSVNWAZUVEASTJUBYJUDYI
        UKUMUNUUJVBUVDUUDACFSTJUBUCUDUEUKVCUMUNUUJVBVGVHVIVFAUUFUUHWAUUFUEVSSVN
        ZWAASTJUBUCUEUKUNUUJUUKUULUVCVEWCWEZVJXIACFSTJUBUCUDUEUKVCUMUNUUJVBVGVH
        VIVFUVHVJXJXKXMWIAUVFUUSAUUIUVFASTJYIUCYJUKUNUUJUUDUULUVDAFSTJUCUEYIUKV
        CUNUURUULUVCUUDAUCUEXGSVNZUUHYIASTJYIUCUDUKUMUNUUJVIUULAUUGUUIUUMXMXLAU
        VIUUHUVGJXNVNZVLUUHUUHUVJVLZUUHAUVJSTJUCUEUKUNUVJXOZUURUULUVCXPAUUHUVGU
        UHUVJVFWPAUUHJXQVNWDZUVKUUHVOAUUQUUHJXRVNZWDZUVMUURAUUQUVBUVOUURUULUVNS
        TJUCUKUVNXOZUNXSWNUVNUUHJUVPXTWNUVJUUHJUVLYDYAYBYCYEWCXMWIUUTYOYFUUTYQY
        FYGYH $.

      $( Lemmma for ~ mapdh6N .  Part (6) in [Baer] p. 47 line 38.
         (Contributed by NM, 1-May-2015.)  (New usage is discouraged.) $)
      mapdh6eN $p |- ( ph -> ( I ` <. X , F , ( ( w .+ Y ) .+ Z ) >. )
        = ( ( I ` <. X , F , ( w .+ Y ) >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
        ( cotp cfv cv co wcel wne cdif dvhlmod eldifad lmodvacl syl3anc dvhlvec
        clmod lspindpi simprd lmodindp1 eldifsn sylanbrc wn mapdindp3 mapdindp4
        csn simpld lspindp1 prcom fveq2i eleq2i sylnibr necomd eqidd mapdh6aN
        cpr ) ABDEFGHIJKUBLUEVKNVLZLUBLCVMZUCFVNZVKNVLZMNOPQRSTUAUBXEUDUEUFUGUH
        UIUJUKULUMUNUOUPUQURUSUTVAVBVCVDAXETVOZXEUDVPXETUDWLZVQVOAJWCVOXDTVOUCT
        VOXGAJMPUAUHUJUSVRZAXDTXHVIVSZAUCTXHVGVSZFTJXDUCUKVCVTWAZAFSTJXDUCUDUKV
        CUMUNXIXJXKAXDWLSVLZUBWLSVLZVPXMUCWLSVLZVPASTJXDUBUCUKUNAJMPUAUHUJUSWBZ
        XJAUBTXHVBVSZXKVJWDWEWFXETUDWGWHVHAUBUEXEXBZSVLZVOZUBXEUEXBZSVLZVOAUEWL
        SVLZXEWLSVLZVPZXTWIASTJUBXEUDUEUKUMUNXPVBXLAUETXHVHVSZACFSTJUBUCUDUEUKV
        CUMUNXPVBVGVHVIVFAXNXOVPXNYCVPASTJUBUCUEUKUNXPXQXKYFVEWDWMZVJWJACFSTJUB
        UCUDUEUKVCUMUNXPVBVGVHVIVFYGVJWKZWNWEYBXSUBYAXRSXEUEWOWPWQWRAYCYDAYCXNV
        PYEASTJUEUBXEUKUNXPYFXQXLYHWDWEWSAXFWTAXCWTXA $.

      $( Lemmma for ~ mapdh6N .  Part (6) in [Baer] p. 47 line 38.
         (Contributed by NM, 1-May-2015.)  (New usage is discouraged.) $)
      mapdh6fN $p |- ( ph -> ( I ` <. X , F , ( w .+ Y ) >. )
           = ( ( I ` <. X , F , w >. ) .+b ( I ` <. X , F , Y >. ) ) ) $=
        ( cotp cfv cv csn wne cpr wcel dvhlvec eldifad lspindpi simpld lspindp1
        wn simprd eqidd mapdh6aN ) ABDEFGHIJKUBLUCVKNVLZLUBLCVMZVKNVLZMNOPQRSTU
        AUBWHUDUCUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVIVGAWHVNSVLZUCVNSVLZVOZ
        UBWHUCVPSVLVQWCASTJUBUCUDWHUKUMUNAJMPUAUHUJUSVRZVBAUCTUDVNZVGVSZAWHTWNV
        IVSZAUBVNSVLZWKVOWQUEVNSVLVOASTJUBUCUEUKUNWMAUBTWNVBVSZWOAUETWNVHVSVEVT
        WAVJWBWDAWJWQVOWLASTJWHUBUCUKUNWMWPWRWOVJVTWDAWIWEAWGWEWF $.

      $( Lemmma for ~ mapdh6N .  Part (6) of [Baer] p. 47 line 39.
         (Contributed by NM, 1-May-2015.)  (New usage is discouraged.) $)
      mapdh6gN $p |- ( ph
  -> ( ( I ` <. X , F , w >. ) .+b ( I ` <. X , F , ( Y .+ Z ) >. ) )
           = ( ( ( I ` <. X , F , w >. ) .+b ( I ` <. X , F , Y >. ) )
               .+b ( I ` <. X , F , Z >. ) ) ) $=
        ( cv cotp cfv mapdh6dN mapdh6eN clmod wcel wceq dvhlmod eldifad lmodass
        co csn syl13anc oteq3d fveq2d mapdh6fN oveq1d 3eqtr3d eqtr3d ) AUBLCVKZ
        UCUEFWBZFWBZVLZNVMZUBLWKVLNVMZUBLWLVLNVMGWBWPUBLUCVLNVMGWBZUBLUEVLNVMZG
        WBZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVD
        VEVFVGVHVIVJVNAUBLWKUCFWBZUEFWBZVLZNVMUBLWTVLNVMZWRGWBWOWSABCDEFGHIJKLM
        NOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVOAX
        BWNNAXAWMUBLAJVPVQWKTVQUCTVQUETVQXAWMVRAJMPUAUHUJUSVSAWKTUDWCZVIVTAUCTX
        DVGVTAUETXDVHVTFTJWKUCUEUKVCWAWDWEWFAXCWQWRGABCDEFGHIJKLMNOPQRSTUAUBUCU
        DUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJWGWHWIWJ $.

      $( Lemmma for ~ mapdh6N .  Part (6) of [Baer] p. 48 line 2.  (Contributed
         by NM, 1-May-2015.)  (New usage is discouraged.) $)
      mapdh6hN $p |- ( ph -> ( I ` <. X , F , ( Y .+ Z ) >. )
           = ( ( I ` <. X , F , Y >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
        ( cv cotp cfv wceq mapdh6gN clmod wcel lcdlmod csn eldifad wne lspindpi
        co dvhlvec simpld necomd mapdhcl simprd lmodass syl13anc eqtrd lmodvacl
        wb dvhlmod syl3anc mapdindp1 lmodlcan mpbid ) AUBLCVKZVLNVMZUBLUCUEFWCZ
        VLNVMZGWCZWTUBLUCVLNVMZUBLUEVLNVMZGWCZGWCZVNZXBXFVNZAXCWTXDGWCXEGWCZXGA
        BCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVF
        VGVHVIVJVOADVPVQZWTEVQZXDEVQZXEEVQZXJXGVNADMPUAUHUOUSVRZABDEHIJKLMNOPQR
        STUAUBWSUDUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBAWSTUDVSZVIVTZAWSVSSVMZUBVS
        SVMZAXRXSWAXRUCVSSVMZWAASTJWSUBUCUKUNAJMPUAUHUJUSWDZXQAUBTXPVBVTZAUCTXP
        VGVTZVJWBWEWFWGZABDEHIJKLMNOPQRSTUAUBUCUDUFUGUHUIUJUKULUMUNUOUPUQURUSUT
        VAVBYCAXSXTWAZXSUEVSSVMWAZASTJUBUCUEUKUNYAYBYCAUETXPVHVTZVEWBZWEZWGZABD
        EHIJKLMNOPQRSTUAUBUEUDUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBYGAYEYFYHWHWGZG
        EDWTXDXEUPVDWIWJWKAXKXBEVQXFEVQZXLXHXIWMXOABDEHIJKLMNOPQRSTUAUBXAUDUFUG
        UHUIUJUKULUMUNUOUPUQURUSUTVAVBAJVPVQUCTVQUETVQXATVQAJMPUAUHUJUSWNYCYGFT
        JUCUEUKVCWLWOACFSTJUBUCUDUEUKVCUMUNYAVBVGVHVIVFYIVJWPWGAXKXMXNYLXOYJYKG
        EDXDXEUPVDWLWOYDGEDXBXFWTUPVDWQWJWR $.
    $}

    ${
      $d w .+b $.  $d w F $.  $d w I $.  $d w N $.  $d w .+ $.  $d w U $.
      $d h w V $.  $d w X $.  $d w Y $.  $d w Z $.  $d w ph $.
      mapdh6i.xn $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
      mapdh6i.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      mapdh6i.z $e |- ( ph -> Z e. ( V \ { .0. } ) ) $.
      ${
        mapdh6i.yz $e |- ( ph -> ( N ` { Y } ) = ( N ` { Z } ) ) $.
        $( Lemmma for ~ mapdh6N .  Eliminate auxiliary vector ` w ` .
           (Contributed by NM, 1-May-2015.)  (New usage is discouraged.) $)
        mapdh6iN $p |- ( ph -> ( I ` <. X , F , ( Y .+ Z ) >. )
             = ( ( I ` <. X , F , Y >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
          ( vw cv cpr cfv wcel wn wrex co cotp wceq csn eldifad dvh3dim chlt wa
          3ad2ant1 cdif clss eqid clmod dvhlmod lspprcl simp2 lssneln0 mapdh6hN
          w3a simp3 rexlimdv3a mpd ) AVHVIZUAUBVJRVKZVLVMZVHSVNUAKUBUDEVOVPMVKU
          AKUBVPMVKUAKUDVPMVKFVOVQZAVHILORSTUAUBUGUIUJUMURAUASUCVRZVAVSZAUBSXAV
          EVSZVTAWSWTVHSAWQSVLZWSWMZBVHCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUK
          ULUMUNUOUPUQAXDOWAVLTLVLWBWSURWCAXDKDVLWSUSWCAXDUAVRRVKPVKKVRNVKVQWSU
          TWCAXDUASXAWDZVLWSVAWCVBVCAXDUAUBUDVJRVKVLVMWSVDWCAXDUBVRRVKUDVRRVKVQ
          WSVGWCAXDUBXFVLWSVEWCAXDUDXFVLWSVFWCXEIWEVKZWRSIWQUCULXGWFZAXDIWGVLWS
          AILOTUGUIURWHZWCAXDWRXGVLWSAXGRSIUAUBUJXHUMXIXBXCWIWCAXDWSWJAXDWSWNZW
          KXJWLWOWP $.
      $}

      $( Lemmma for ~ mapdh6N .  Eliminate ` ( N `` { Y } ) = ( N `` { Z } ) `
         hypothesis.  (Contributed by NM, 1-May-2015.)
         (New usage is discouraged.) $)
      mapdh6jN $p |- ( ph -> ( I ` <. X , F , ( Y .+ Z ) >. )
             = ( ( I ` <. X , F , Y >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
        ( co cotp cfv wceq csn wa chlt wcel adantr cdif wn simpr mapdh6iN eqidd
        cpr wne mapdh6aN pm2.61dane ) AUAKUBUDEVGVHMVIUAKUBVHMVIZUAKUDVHMVIZFVG
        VJUBVKRVIZUDVKRVIZAWGWHVJZVLBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUL
        UMUNUOUPUQAOVMVNTLVNVLZWIURVOAKDVNZWIUSVOAUAVKRVIPVIKVKNVIVJZWIUTVOAUAS
        UCVKVPZVNZWIVAVOVBVCAUAUBUDWARVIVNVQZWIVDVOAUBWMVNZWIVEVOAUDWMVNZWIVFVO
        AWIVRVSAWGWHWBZVLZBCDEFGHIJWFKWELMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUO
        UPUQAWJWRURVOAWKWRUSVOAWLWRUTVOAWNWRVAVOVBVCAWPWRVEVOAWQWRVFVOAWOWRVDVO
        AWRVRWSWEVTWSWFVTWCWD $.
    $}

    ${
      $d h V $.
      mapdh6k.y $e |- ( ph -> Y e. V ) $.
      mapdh6k.z $e |- ( ph -> Z e. V ) $.
      mapdh6k.xn $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
      $( Lemmma for ~ mapdh6N .  Eliminate nonzero vector requirement.
         (Contributed by NM, 1-May-2015.)  (New usage is discouraged.) $)
      mapdh6kN $p |- ( ph -> ( I ` <. X , F , ( Y .+ Z ) >. )
             = ( ( I ` <. X , F , Y >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
        ( co cotp cfv wceq wa chlt wcel adantr csn cdif simpr mapdh6bN mapdh6cN
        cpr wn wne simprl eldifsn sylanbrc simprr mapdh6jN pm2.61da2ne ) AUAKUB
        UDEVGVHMVIUAKUBVHMVIUAKUDVHMVIFVGVJUBUCUDUCAUBUCVJZVKBCDEFGHIJKLMNOPQRS
        TUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQAOVLVMTLVMVKZWIURVNAKDVMZWIUSVNAUAVO
        RVIPVIKVONVIVJZWIUTVNAUASUCVOVPZVMZWIVAVNVBVCAWIVQAUDSVMZWIVEVNAUAUBUDV
        TRVIVMWAZWIVFVNVRAUDUCVJZVKBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULU
        MUNUOUPUQAWJWQURVNAWKWQUSVNAWLWQUTVNAWNWQVAVNVBVCAUBSVMZWQVDVNAWQVQAWPW
        QVFVNVSAUBUCWBZUDUCWBZVKZVKZBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUL
        UMUNUOUPUQAWJXAURVNAWKXAUSVNAWLXAUTVNAWNXAVAVNVBVCAWPXAVFVNXBWRWSUBWMVM
        AWRXAVDVNAWSWTWCUBSUCWDWEXBWOWTUDWMVMAWOXAVEVNAWSWTWFUDSUCWDWEWGWH $.
    $}
  $}

  ${
    $d h x .- $.  $d h .+b $.  $d h C $.  $d h x D $.  $d h x F $.  $d h x I $.
    $d h x .0. $.  $d h x J $.  $d h x M $.  $d h x N $.  $d h ph $.  $d x Q $.
    $d h x .+ $.  $d h x R $.  $d h U $.  $d h x X $.  $d h x Y $.  $d h x Z $.
    $d h V $.
    mapdh6.h $e |- H = ( LHyp ` K ) $.
    mapdh6.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdh6.v $e |- V = ( Base ` U ) $.
    mapdh6.p $e |- .+ = ( +g ` U ) $.
    mapdh6.s $e |- .- = ( -g ` U ) $.
    mapdh6.o $e |- .0. = ( 0g ` U ) $.
    mapdh6.n $e |- N = ( LSpan ` U ) $.
    mapdh6.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    mapdh6.d $e |- D = ( Base ` C ) $.
    mapdh6.a $e |- .+b = ( +g ` C ) $.
    mapdh6.r $e |- R = ( -g ` C ) $.
    mapdh6.q $e |- Q = ( 0g ` C ) $.
    mapdh6.j $e |- J = ( LSpan ` C ) $.
    mapdh6.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdh6.i $e |- I = ( x e. _V |->
     if ( ( 2nd ` x ) = .0. , Q ,
        ( iota_ h e. D ( ( M ` ( N ` { ( 2nd ` x ) } ) ) = ( J ` { h } )
           /\ ( M ` ( N ` { ( ( 1st ` ( 1st ` x ) ) .- ( 2nd ` x ) ) } ) )
                 = ( J ` { ( ( 2nd ` ( 1st ` x ) ) R h ) } ) ) ) ) ) $.
    mapdh6.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdh6.f $e |- ( ph -> F e. D ) $.
    mapdh6.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    mapdh6.y $e |- ( ph -> Y e. V ) $.
    mapdh6.z $e |- ( ph -> Z e. V ) $.
    mapdh6.xn $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
    mapdh6.mn $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( J ` { F } ) ) $.
    $( Part (6) of [Baer] p. 47 line 6.  Note that we use
       ` -. X e. ( N `` { Y , Z } ) ` which is equivalent to Baer's "Fx ` i^i `
       (Fy + Fz)" by ~ lspdisjb .  TODO:  If disjoint variable conditions with
       ` I ` and ` ph ` become a problem later, use cbv* theorems on ` I `
       variables here to get rid of them.  Maybe reorder hypotheses in lemmas
       to the more consistent order of this theorem, so they can be shared with
       this theorem.  TODO: may be deleted (with its lemmas), if not needed, in
       view of ~ hdmap1l6 .  (Contributed by NM, 1-May-2015.)
       (New usage is discouraged.) $)
    mapdh6N $p |- ( ph -> ( I ` <. X , F , ( Y .+ Z ) >. ) = ( ( I ` <. X , F
   , Y >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
      ( mapdh6kN ) ABCDEFGHIJKLMNOPQRSTUAUBUCUDUPUSUEURUFUGUIUJUKULUMUOUQUTVAVF
      VBUHUNVCVDVEVG $.
  $}

  ${
    $d h x .- $.  $d h C $.  $d h x D $.  $d h x E $.  $d h x F $.  $d h x G $.
    $d h x .0. $.  $d h x J $.  $d h x M $.  $d h x N $.  $d h ph $.  $d x Q $.
    $d h u v w x $.  $d h x R $.  $d h U $.
    mapdh7.h $e |- H = ( LHyp ` K ) $.
    mapdh7.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdh7.v $e |- V = ( Base ` U ) $.
    mapdh7.s $e |- .- = ( -g ` U ) $.
    mapdh7.o $e |- .0. = ( 0g ` U ) $.
    mapdh7.n $e |- N = ( LSpan ` U ) $.
    mapdh7.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    mapdh7.d $e |- D = ( Base ` C ) $.
    mapdh7.r $e |- R = ( -g ` C ) $.
    mapdh7.q $e |- Q = ( 0g ` C ) $.
    mapdh7.j $e |- J = ( LSpan ` C ) $.
    mapdh7.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdh7.i $e |- I = ( x e. _V |->
     if ( ( 2nd ` x ) = .0. , Q ,
        ( iota_ h e. D ( ( M ` ( N ` { ( 2nd ` x ) } ) ) = ( J ` { h } )
           /\ ( M ` ( N ` { ( ( 1st ` ( 1st ` x ) ) .- ( 2nd ` x ) ) } ) )
                 = ( J ` { ( ( 2nd ` ( 1st ` x ) ) R h ) } ) ) ) ) ) $.
    mapdh7.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdh7.f $e |- ( ph -> F e. D ) $.
    mapdh7.mn $e |- ( ph -> ( M ` ( N ` { u } ) ) = ( J ` { F } ) ) $.
    mapdh7.x $e |- ( ph -> u e. ( V \ { .0. } ) ) $.
    mapdh7.y $e |- ( ph -> v e. ( V \ { .0. } ) ) $.
    mapdh7.z $e |- ( ph -> w e. ( V \ { .0. } ) ) $.
    mapdh7.ne $e |- ( ph -> ( N ` { u } ) =/= ( N ` { v } ) ) $.
    mapdh7.wn $e |- ( ph -> -. w e. ( N ` { u , v } ) ) $.
    ${
      mapdh7b $e |- ( ph -> ( I ` <. u , F , w >. ) = E ) $.
      $( Part (7) of [Baer] p. 48 line 10 (5 of 6 cases).  (Note: 1 of 6 and 2
         of 6 are hypotheses a and b.)  (Contributed by NM, 2-May-2015.)
         (New usage is discouraged.) $)
      mapdh7eN $p |- ( ph -> ( I ` <. w , E , u >. ) = F ) $=
        ( cotp cfv wceq csn eldifad wne dvhlvec lspindpi simpld necomd eqeltrrd
        cv mapdhcl mapdheq2 mpd ) AEVQZMCVQZVFOVGZLVHWBLWAVFOVGMVHVEABFGHIJKMLN
        OPQRSTUAUBWAWBUCUMUPUDUOUEUFUGUHUIUJUKULUNUQURUSUTVBAWCLGVEABFGHIJKMNOP
        QRSTUAUBWAWBUCUMUPUDUOUEUFUGUHUIUJUKULUNUQURUSUTAWBUAUCVIZVBVJZAWBVITVG
        ZWAVITVGZAWFWGVKWFDVQZVITVGVKATUAJWBWAWHUFUIAJNQUBUDUEUQVLWEAWAUAWDUTVJ
        AWHUAWDVAVJVDVMVNVOZVRVPWIVSVT $.
    $}

    mapdh7a $e |- ( ph -> ( I ` <. u , F , v >. ) = G ) $.
    $( Part (7) of [Baer] p. 48 line 10 (3 of 6 cases).  (Contributed by NM,
       2-May-2015.)  (New usage is discouraged.) $)
    mapdh7cN $p |- ( ph -> ( I ` <. v , G , u >. ) = F ) $=
      ( cv cotp cfv wceq csn eldifad mapdhcl eqeltrrd mapdheq2 mpd ) AEVFZLDVFZ
      VGOVHZMVIVQMVPVGOVHLVIVEABFGHIJKLMNOPQRSTUAUBVPVQUCUMUPUDUOUEUFUGUHUIUJUK
      ULUNUQURUSUTVAAVRMGVEABFGHIJKLNOPQRSTUAUBVPVQUCUMUPUDUOUEUFUGUHUIUJUKULUN
      UQURUSUTAVQUAUCVJVAVKVCVLVMVCVNVO $.

    mapdh7.b $e |- ( ph -> ( I ` <. u , F , w >. ) = E ) $.
    $( Part (7) of [Baer] p. 48 line 10 (4 of 6 cases).  (Contributed by NM,
       2-May-2015.)  (New usage is discouraged.) $)
    mapdh7dN $p |- ( ph -> ( I ` <. v , G , w >. ) = E ) $=
      ( cv cpr cfv wcel csn wne wn dvhlvec eldifad lspindp1 simprd prcom fveq2i
      eleq2i sylnibr lspindpi necomd mapdheq4 ) ABFGHIJKLMNOPQRSTUAUBUCEVHZDVHZ
      UDCVHZUNUQUEUPUFUGUHUIUJUKULUMUOURUSUTVAVBVCAWFWHWGVIZUAVJZVKZWFWGWHVIZUA
      VJZVKAWHVLUAVJZWGVLUAVJZVMZWKVNAUAUBJWFWGUDWHUGUIUJAJORUCUEUFURVOZVAAWGUB
      UDVLZVBVPZAWHUBWRVCVPZVDVEVQVRWMWJWFWLWIUAWGWHVSVTWAWBAWNWOAWNWFVLUAVJVMW
      PAUAUBJWHWFWGUGUJWQWTAWFUBWRVAVPWSVEWCVRWDVFVGWE $.

    $( Part (7) of [Baer] p. 48 line 10 (6 of 6 cases).  (Contributed by NM,
       2-May-2015.)  (New usage is discouraged.) $)
    mapdh7fN $p |- ( ph -> ( I ` <. w , E , v >. ) = G ) $=
      ( cv cotp cfv wceq mapdh7dN csn eldifad mapdhcl eqeltrrd co mapdheq mpbid
      wa simpld wne dvhlvec lspindpi necomd simprd mapdheq2 mpd ) ADVHZNCVHZVIP
      VJLVKWJLWIVIPVJNVKABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQU
      RUSUTVAVBVCVDVEVFVGVLABFGHIJKNLOPQRSTUAUBUCWIWJUDUNUQUEUPUFUGUHUIUJUKULUM
      UOURAEVHZMWIVIPVJZNGVFABFGHIJKMOPQRSTUAUBUCWKWIUDUNUQUEUPUFUGUHUIUJUKULUM
      UOURUSUTVAAWIUBUDVMZVBVNZVDVOVPZAWIVMUAVJZSVJNVMQVJVKZWKWITVQVMUAVJSVJMNI
      VQVMQVJVKZAWLNVKWQWRVTVFABFGHIJKMNOPQRSTUAUBUCWKWIUDUNUQUEUPUFUGUHUIUJUKU
      LUMUOURUSUTVAVBWOVDVRVSWAVBVCAWKMWJVIPVJLGVGABFGHIJKMOPQRSTUAUBUCWKWJUDUN
      UQUEUPUFUGUHUIUJUKULUMUOURUSUTVAAWJUBWMVCVNZAWJVMUAVJZWKVMUAVJZAWTXAWBZWT
      WPWBZAUAUBJWJWKWIUGUJAJORUCUEUFURWCWSAWKUBWMVAVNWNVEWDZWAWEVOVPAWTWPAXBXC
      XDWFWEWGWH $.
  $}

  ${
    $d h x .- $.  $d h C $.  $d h x D $.  $d h x E $.  $d h x F $.  $d h x G $.
    $d h x .0. $.  $d h x J $.  $d h x M $.  $d h x N $.  $d h ph $.  $d x Q $.
    $d h x R $.  $d h U $.  $d h x X $.  $d h x Y $.  $d h x Z $.
    mapdh75.h $e |- H = ( LHyp ` K ) $.
    mapdh75.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdh75.v $e |- V = ( Base ` U ) $.
    mapdh75.s $e |- .- = ( -g ` U ) $.
    mapdh75.o $e |- .0. = ( 0g ` U ) $.
    mapdh75.n $e |- N = ( LSpan ` U ) $.
    mapdh75.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    mapdh75.d $e |- D = ( Base ` C ) $.
    mapdh75.r $e |- R = ( -g ` C ) $.
    mapdh75.q $e |- Q = ( 0g ` C ) $.
    mapdh75.j $e |- J = ( LSpan ` C ) $.
    mapdh75.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdh75.i $e |- I = ( x e. _V |->
     if ( ( 2nd ` x ) = .0. , Q ,
        ( iota_ h e. D ( ( M ` ( N ` { ( 2nd ` x ) } ) ) = ( J ` { h } )
           /\ ( M ` ( N ` { ( ( 1st ` ( 1st ` x ) ) .- ( 2nd ` x ) ) } ) )
                 = ( J ` { ( ( 2nd ` ( 1st ` x ) ) R h ) } ) ) ) ) ) $.
    mapdh75.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdh75.f $e |- ( ph -> F e. D ) $.
    mapdh75.mn $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( J ` { F } ) ) $.
    ${
      mapdh75b $e |- ( ph -> ( I ` <. X , F , Z >. ) = E ) $.
      mapdh75e.ne $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Z } ) ) $.
      mapdh75e.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      mapdh75e.z $e |- ( ph -> Z e. ( V \ { .0. } ) ) $.
      $( Part (7) of [Baer] p. 48 line 10 (5 of 6 cases). ` X ` , ` Y ` , ` Z `
         are Baer's u, v, w.  (Note:  Cases 1 of 6 and 2 of 6 are hypotheses
         mapdh75b here and mapdh75a in ~ mapdh75cN .)  (Contributed by NM,
         2-May-2015.) $)
      mapdh75e $p |- ( ph -> ( I ` <. Z , E , X >. ) = F ) $=
        ( cotp cfv wceq csn eldifad mapdhcl eqeltrrd mapdheq2 mpd ) ATJUBVCLVDZ
        IVEUBITVCLVDJVEUSABCDEFGHJIKLMNOPQRSTUBUAULUOUCUNUDUEUFUGUHUIUJUKUMUPUQ
        URVAVBAVLIDUSABCDEFGHJKLMNOPQRSTUBUAULUOUCUNUDUEUFUGUHUIUJUKUMUPUQURVAA
        UBRUAVFVBVGUTVHVIUTVJVK $.
    $}

    mapdh75a $e |- ( ph -> ( I ` <. X , F , Y >. ) = G ) $.
    ${
      mapdh75c.ne $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
      mapdh75c.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      mapdh75c.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      $( Part (7) of [Baer] p. 48 line 10 (3 of 6 cases).  (Contributed by NM,
         2-May-2015.)  (New usage is discouraged.) $)
      mapdh75cN $p |- ( ph -> ( I ` <. Y , G , X >. ) = F ) $=
        ( mapdh75e ) ABCDEFGHJIKLMNOPQRSTUBUAUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUS
        UTVAVBVC $.
    $}

    mapdh75d.b $e |- ( ph -> ( I ` <. X , F , Z >. ) = E ) $.
    mapdh75d.vw $e |- ( ph -> ( N ` { Y } ) =/= ( N ` { Z } ) ) $.
    mapdh75d.un $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
    mapdh75d.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    mapdh75d.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
    mapdh75d.z $e |- ( ph -> Z e. ( V \ { .0. } ) ) $.
    $( Part (7) of [Baer] p. 48 line 10 (4 of 6 cases).  (Contributed by NM,
       2-May-2015.) $)
    mapdh75d $p |- ( ph -> ( I ` <. Y , G , Z >. ) = E ) $=
      ( mapdheq4 ) ABCDEFGHIJKLMNOPQRSTUAUBUCUDUNUQUEUPUFUGUHUIUJUKULUMUOURUSUT
      VEVFVGVDVCVAVBVH $.

    $( Part (7) of [Baer] p. 48 line 10 (6 of 6 cases).  (Contributed by NM,
       2-May-2015.)  (New usage is discouraged.) $)
    mapdh75fN $p |- ( ph -> ( I ` <. Z , E , Y >. ) = G ) $=
      ( cotp cfv csn eldifad wne dvhlvec lspindpi simpld mapdhcl eqeltrrd co wa
      wceq mapdheq mpbid mapdh75d mapdh75e ) ABCDEFGHIKLMNOPQRSTUBUCUDUEUFUGUHU
      IUJUKULUMUNUOUPUQURAUAJUBVHMVIZKDVAABCDEFGHJLMNOPQRSTUAUBUCUNUQUEUPUFUGUH
      UIUJUKULUMUOURUSUTVEAUBSUCVJZVFVKZAUAVJRVIZUBVJRVIZVLWHUDVJRVIVLARSGUAUBU
      DUGUJAGLOTUEUFURVMAUASWFVEVKWGAUDSWFVGVKVDVNVOZVPVQZAWIPVIKVJNVIVTZUAUBQV
      RVJRVIPVIJKFVRVJNVIVTZAWEKVTWLWMVSVAABCDEFGHJKLMNOPQRSTUAUBUCUNUQUEUPUFUG
      UHUIUJUKULUMUOURUSUTVEVFWKWJWAWBVOABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIU
      JUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGWCVCVFVGWD $.
  $}

  $c HVMap $.

  $( Extend class notation with vector to dual map. $)
  chvm $a class HVMap $.

  ${
    $d k w x v j t $.
    $( Extend class notation with a map from each nonzero vector ` x ` to a
       unique nonzero functional in the closed kernel dual space.  (We could
       extend it to include the zero vector, but that is unnecessary for our
       purposes.)  TODO:  This pattern is used several times earlier, e.g.,
       ~ lcf1o , ~ dochfl1 - should we update those to use this definition?
       (Contributed by NM, 23-Mar-2015.) $)
    df-hvmap $a |- HVMap = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
          ( x e. ( ( Base ` ( ( DVecH ` k ) ` w ) )
               \ { ( 0g ` ( ( DVecH ` k ) ` w ) ) } ) |->
  ( v e. ( Base ` ( ( DVecH ` k ) ` w ) ) |->
          ( iota_ j e. ( Base ` ( Scalar ` ( ( DVecH ` k ) ` w ) ) )
      E. t e. ( ( ( ocH ` k ) ` w ) ` { x } )
          v = ( t ( +g ` ( ( DVecH ` k ) ` w ) ) ( j
           ( .s ` ( ( DVecH ` k ) ` w ) ) x ) ) ) ) ) ) ) $.
  $}

  ${
    $d k w H $.  $d j k t v x w K $.  $d t W $.  $d x k t $.
    hvmapval.h $e |- H = ( LHyp ` K ) $.
    $( Map from nonzero vectors to nonzero functionals in the closed kernel
       dual space.  (Contributed by NM, 23-Mar-2015.) $)
    hvmapffval $p |- ( K e. X -> ( HVMap ` K ) = ( w e. H |->
          ( x e. ( ( Base ` ( ( DVecH ` K ) ` w ) )
               \ { ( 0g ` ( ( DVecH ` K ) ` w ) ) } ) |->
  ( v e. ( Base ` ( ( DVecH ` K ) ` w ) ) |->
          ( iota_ j e. ( Base ` ( Scalar ` ( ( DVecH ` K ) ` w ) ) )
      E. t e. ( ( ( ocH ` K ) ` w ) ` { x } )
          v = ( t ( +g ` ( ( DVecH ` K ) ` w ) ) ( j
           ( .s ` ( ( DVecH ` K ) ` w ) ) x ) ) ) ) ) ) ) $=
      ( vk cfv cv cdvh cbs c0g co wceq cmpt clh fveq2d wcel cvv chvm cdif cvsca
      cplusg coch wrex csca crio elex fveq2 eqtr4di fveq1d sneqd difeq12d eqidd
      csn oveq123d eqeq2d rexeqbidv riotaeqbidv mpteq12dv df-hvmap mptfvmpt syl
      oveqd ) GHUAGUBUAGUCKBFABLZGMKZKZNKZVJOKZURZUDZCVKCLZDLZELZALZVJUEKZPZVJU
      FKZPZQZDVRURZVHGUGKZKZKZUHZEVJUIKZNKZUJZRZRZRQGHUKBJWMSUCBJLZSKZAVHWNMKZK
      ZNKZWQOKZURZUDZCWRVOVPVQVRWQUEKZPZWQUFKZPZQZDWDVHWNUGKZKZKZUHZEWQUIKZNKZU
      JZRZRZRFUBGGWNGQZBWOXOFWMXPWOGSKFWNGSULIUMXPAXAXNVNWLXPWRVKWTVMXPWQVJNXPV
      HWPVIWNGMULUNZTZXPWSVLXPWQVJOXQTUOUPXPCWRXMVKWKXRXPXJWHEXLWJXPXKWINXPWQVJ
      UIXQTTXPXFWCDXIWGXPWDXHWFXPVHXGWEWNGUGULUNUNXPXEWBVOXPVPVPXCVTXDWAXPWQVJU
      FXQTXPVPUQXPXBVSVQVRXPWQVJUEXQTVGUSUTVAVBVCVCVCABCDEJVDIVEVF $.

    $d t w O $.  $d w .+ $.  $d j w R $.  $d w .x. $.  $d w x V $.
    $d j v w x W $.  $d w x .0. $.
    hvmapval.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hvmapval.o $e |- O = ( ( ocH ` K ) ` W ) $.
    hvmapval.v $e |- V = ( Base ` U ) $.
    hvmapval.p $e |- .+ = ( +g ` U ) $.
    hvmapval.t $e |- .x. = ( .s ` U ) $.
    hvmapval.z $e |- .0. = ( 0g ` U ) $.
    hvmapval.s $e |- S = ( Scalar ` U ) $.
    hvmapval.r $e |- R = ( Base ` S ) $.
    hvmapval.m $e |- M = ( ( HVMap ` K ) ` W ) $.
    hvmapval.k $e |- ( ph -> ( K e. A /\ W e. H ) ) $.
    $( Map from nonzero vectors to nonzero functionals in the closed kernel
       dual space.  (Contributed by NM, 23-Mar-2015.) $)
    hvmapfval $p |- ( ph -> M = ( x e. ( V \ { .0. } ) |-> ( v e. V |->
     ( iota_ j e. R E. t e. ( O ` { x } ) v = ( t .+ ( j .x. x ) ) ) ) ) ) $=
      ( vw wcel wa csn cdif cv co wceq cfv wrex crio cmpt cdvh cbs cvsca cplusg
      c0g coch csca chvm hvmapffval fveq1d syl5eq fveq2 eqtr4di fveq2d difeq12d
      sneqd eqidd oveqd oveq123d eqeq2d rexeqbidv riotaeqbidv eqid fvexi difexi
      mpteq12dv mptex fvmpt sylan9eq syl ) AMEUKZQLUKZULNBPRUMZUNZCPCUOZDUOZKUO
      ZBUOZIUPZFUPZUQZDWSUMZOURZUSZKGUTZVAZVAZUQUIWLWMNQUJLBUJUOZMVBURZURZVCURZ
      XKVFURZUMZUNZCXLWPWQWRWSXKVDURZUPZXKVEURZUPZUQZDXCXIMVGURZURZURZUSZKXKVHU
      RZVCURZUTZVAZVAZVAZURZXHWLNQMVIURZURYKUHWLQYLYJBUJCDKLMESVJVKVLUJQYIXHLYJ
      XIQUQZBXOYHWOXGYMXLPXNWNYMXLJVCURPYMXKJVCYMXKQXJURJXIQXJVMTVNZVOUBVNZYMXM
      RYMXMJVFURRYMXKJVFYNVOUEVNVQVPYMCXLYGPXFYOYMYDXEKYFGYMYFHVCURGYMYEHVCYMYE
      JVHURHYMXKJVHYNVOUFVNVOUGVNYMXTXBDYCXDYMXCYBOYMYBQYAUROXIQYAVMUAVNVKYMXSX
      AWPYMWQWQXQWTXRFYMXRJVEURFYMXKJVEYNVOUCVNYMWQVRYMXPIWRWSYMXPJVDURIYMXKJVD
      YNVOUDVNVSVTWAWBWCWGWGYJWDBWOXGPWNPJVCUBWEWFWHWIWJWK $.

    $d x O $.  $d x .+ $.  $d x R $.  $d x .x. $.  $d v V $.  $d j t v x X $.
    hvmapval.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    $( Value of map from nonzero vectors to nonzero functionals in the closed
       kernel dual space.  (Contributed by NM, 23-Mar-2015.) $)
    hvmapval $p |- ( ph -> ( M ` X ) = ( v e. V |->
     ( iota_ j e. R E. t e. ( O ` { X } ) v = ( t .+ ( j .x. X ) ) ) ) ) $=
      ( vx cfv csn cdif cv co wceq wrex crio cmpt hvmapfval fveq1d wcel cvv cbs
      fvexi mptex sneq fveq2d oveq2d eqeq2d rexeqbidv riotabidv mpteq2dv fvmptg
      oveq2 eqid sylancl eqtrd ) AQMULQUKORUMUNZBOBUOZCUOZJUOZUKUOZHUPZEUPZUQZC
      WDUMZNULZURZJFUSZUTZUTZULZBOWAWBWCQHUPZEUPZUQZCQUMZNULZURZJFUSZUTZAQMWMAU
      KBCDEFGHIJKLMNOPRSTUAUBUCUDUEUFUGUHUIVAVBAQVTVCXBVDVCWNXBUQUJBOXAOIVEUBVF
      VGUKQWLXBVTVDWMWDQUQZBOWKXAXCWJWTJFXCWGWQCWIWSXCWHWRNWDQVHVIXCWFWPWAXCWEW
      OWBEWDQWCHVPVJVKVLVMVNWMVQVOVRVS $.

    $d y .+ $.  $d y K $.  $d y O $.  $d y R $.  $d y .x. $.  $d j t y Y $.
    $d y V $.  $d y W $.  $d y X $.
    hvmapval.y $e |- ( ph -> Y e. V ) $.
    $( Value of value of map (i.e. functional value) from nonzero vectors to
       nonzero functionals in the closed kernel dual space.  (Contributed by
       NM, 23-Mar-2015.)  (New usage is discouraged.) $)
    hvmapvalvalN $p |- ( ph -> ( ( M ` X ) ` Y )
      = ( iota_ j e. R E. t e. ( O ` { X } ) Y = ( t .+ ( j .x. X ) ) ) ) $=
      ( vy cfv cv co wceq csn wrex crio cmpt hvmapval fveq1d wcel riotaex eqeq1
      cvv rexbidv riotabidv eqid fvmptg sylancl eqtrd ) AQPLUMZUMQULNULUNZBUNIU
      NPGUODUOZUPZBPUQMUMZURZIEUSZUTZUMZQVOUPZBVQURZIEUSZAQVMVTAULBCDEFGHIJKLMN
      OPRSTUAUBUCUDUEUFUGUHUIUJVAVBAQNVCWDVFVCWAWDUPUKWCIEVDULQVSWDNVFVTVNQUPZV
      RWCIEWEVPWBBVQVNQVOVEVGVHVTVIVJVKVL $.
  $}

  ${
    $d j t .1. $.  $d j t v K $.  $d j v S $.  $d j t v U $.  $d v V $.
    $d j t v W $.  $d j t v X $.  $d t .0. $.
    hvmapid.h $e |- H = ( LHyp ` K ) $.
    hvmapid.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hvmapid.v $e |- V = ( Base ` U ) $.
    hvmapid.z $e |- .0. = ( 0g ` U ) $.
    hvmapid.s $e |- S = ( Scalar ` U ) $.
    hvmapid.i $e |- .1. = ( 1r ` S ) $.
    hvmapid.m $e |- M = ( ( HVMap ` K ) ` W ) $.
    hvmapid.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hvmapid.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    $( The value of the vector to functional map, at the vector, is one.
       (Contributed by NM, 23-Mar-2015.)  (New usage is discouraged.) $)
    hvmapidN $p |- ( ph -> ( ( M ` X ) ` X ) = .1. ) $=
      ( vv vt vj cfv cv cvsca cplusg wceq csn coch wrex cbs crio cmpt chlt eqid
      co hvmapval fveq1d dochfl1 eqtrd ) AJJGUDZUDJUAHUAUEUBUEUCUEJCUFUDZUQCUGU
      DZUQUHUBJUIIFUJUDUDZUDUKUCBULUDZUMUNZUDDAJVBVGAUAUBUOVDVFBVCCUCEFGVEHIJKL
      MVEUPZNVDUPZVCUPZOPVFUPZRSTURUSAUBUABVDVFVCCDUCVGEFVEHIJKLVHMNVIVJOPVKQST
      VGUPUTVA $.
  $}

  ${
    $d f F $.  $d k v w x K $.  $d f L $.  $d f k v w x O $.  $d f k v w x U $.
    $d f v x V $.  $d k v w x W $.  $d x .0. $.
    hvmap1o.h $e |- H = ( LHyp ` K ) $.
    hvmap1o.o $e |- O = ( ( ocH ` K ) ` W ) $.
    hvmap1o.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hvmap1o.v $e |- V = ( Base ` U ) $.
    hvmap1o.z $e |- .0. = ( 0g ` U ) $.
    hvmap1o.f $e |- F = ( LFnl ` U ) $.
    hvmap1o.l $e |- L = ( LKer ` U ) $.
    hvmap1o.d $e |- D = ( LDual ` U ) $.
    hvmap1o.q $e |- Q = ( 0g ` D ) $.
    hvmap1o.c $e |- C = { f e. F | ( O ` ( O ` ( L ` f ) ) ) = ( L ` f ) } $.
    hvmap1o.m $e |- M = ( ( HVMap ` K ) ` W ) $.
    hvmap1o.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The vector to functional map provides a bijection from nonzero vectors
       ` V ` to nonzero functionals with closed kernels ` C ` .  (Contributed
       by NM, 27-Mar-2015.) $)
    hvmap1o $p |- ( ph -> M : ( V \ { .0. } ) -1-1-onto-> ( C \ { Q } ) ) $=
      ( vx vv vw vk csn cdif wf1o cvsca cfv cplusg wceq wrex csca cbs crio cmpt
      cv co eqid lcf1o chlt hvmapfval f1oeq1d mpbird ) AMOULUMZBDULUMZKUNVLVMUH
      VLUIMUIVDUJVDUKVDUHVDZEUOUPZVEEUQUPZVEURUJVNULLUPUSUKEUTUPZVAUPZVBVCVCZUN
      AUHUJUIBCVPDVRVQVOEFUKGHVSIJLMNOPQRSVPVFZVOVFZVQVFZVRVFZTUAUBUCUDUEVSVFUG
      VGAVLVMKVSAUHUIUJVHVPVRVQVOEUKHIKLMNOPRQSVTWATWBWCUFUGVIVJVK $.

    hvmapcl.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    $( Closure of the vector to functional map.  (Contributed by NM,
       27-Mar-2015.)  (New usage is discouraged.) $)
    hvmapclN $p |- ( ph -> ( M ` X ) e. ( C \ { Q } ) ) $=
      ( csn cdif wf1o wf hvmap1o f1of syl ffvelrnd ) AMPUJUKZBDUJUKZOKAURUSKULU
      RUSKUMABCDEFGHIJKLMNPQRSTUAUBUCUDUEUFUGUHUNURUSKUOUPUIUQ $.
  $}

  ${
    $d f K $.  $d f U $.  $d f V $.  $d f W $.
    hvmap1o2.h $e |- H = ( LHyp ` K ) $.
    hvmap1o2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hvmap1o2.v $e |- V = ( Base ` U ) $.
    hvmap1o2.z $e |- .0. = ( 0g ` U ) $.
    hvmap1o2.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hvmap1o2.f $e |- F = ( Base ` C ) $.
    hvmap1o2.o $e |- O = ( 0g ` C ) $.
    hvmap1o2.m $e |- M = ( ( HVMap ` K ) ` W ) $.
    hvmap1o2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The vector to functional map provides a bijection from nonzero vectors
       ` V ` to nonzero functionals with closed kernels ` C ` .  (Contributed
       by NM, 27-Mar-2015.) $)
    hvmap1o2 $p |- ( ph -> M : ( V \ { .0. } ) -1-1-onto-> ( F \ { O } ) ) $=
      ( vf csn cdif wf1o cv clk cfv coch wceq clfn crab cld c0g eqid hvmap1o wb
      lcdvbase lcd0v2 sneqd difeq12d f1oeq3 syl mpbird ) AIKUBUCZDHUBZUCZGUDZVD
      UAUECUFUGZUGZJFUHUGUGZUGVJUGVIUIUACUJUGZUKZCULUGZUMUGZUBZUCZGUDZAVLVMVNCU
      AVKEFVHGVJIJKLVJUNZMNOVKUNZVHUNZVMUNZVNUNZVLUNZSTUOAVFVPUIVGVQUPADVLVEVOA
      VLBCUAVKEFVHVJDJLVRPQMVSVTWCTUQAHVNABVMCEFHJVNLMWAWBPRTURUSUTVFVPVDGVAVBV
      C $.

    hvmapcl2.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    $( Closure of the vector to functional map.  (Contributed by NM,
       27-Mar-2015.) $)
    hvmapcl2 $p |- ( ph -> ( M ` X ) e. ( F \ { O } ) ) $=
      ( csn cdif wf1o wf hvmap1o2 f1of syl ffvelrnd ) AILUCUDZDHUCUDZKGAUKULGUE
      UKULGUFABCDEFGHIJLMNOPQRSTUAUGUKULGUHUIUBUJ $.
  $}

  ${
    hvmaplfl.h $e |- H = ( LHyp ` K ) $.
    hvmaplfl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hvmaplfl.v $e |- V = ( Base ` U ) $.
    hvmaplfl.z $e |- .0. = ( 0g ` U ) $.
    hvmaplfl.f $e |- F = ( LFnl ` U ) $.
    hvmaplfl.m $e |- M = ( ( HVMap ` K ) ` W ) $.
    hvmaplfl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hvmaplfl.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    $( The vector to functional map value is a functional.  (Contributed by NM,
       28-Mar-2015.) $)
    hvmaplfl $p |- ( ph -> ( M ` X ) e. F ) $=
      ( cfv eqid clcd cbs c0g csn hvmapcl2 eldifad lcdvbaselfl ) AHEUASSZBCDEUH
      UBSZHIFSZKUHTZUITZLOQAUJUIUHUCSZUDAUHBUIDEFUMGHIJKLMNUKULUMTPQRUEUFUG $.
  $}

  ${
    $d j t v x K $.  $d j t v x O $.  $d j t v x U $.  $d v x V $.
    $d j t v x W $.  $d j t v x X $.  $d x .0. $.  $d x v $.
    hvmaplkr.h $e |- H = ( LHyp ` K ) $.
    hvmaplkr.o $e |- O = ( ( ocH ` K ) ` W ) $.
    hvmaplkr.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hvmaplkr.v $e |- V = ( Base ` U ) $.
    hvmaplkr.z $e |- .0. = ( 0g ` U ) $.
    hvmaplkr.l $e |- L = ( LKer ` U ) $.
    hvmaplkr.m $e |- M = ( ( HVMap ` K ) ` W ) $.
    hvmaplkr.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hvmaplkr.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    $( Kernel of the vector to functional map.  TODO: make this become
       ~ lcfrlem11 .  (Contributed by NM, 29-Mar-2015.) $)
    hvmaplkr $p |- ( ph -> ( L ` ( M ` X ) ) = ( O ` { X } ) ) $=
      ( vx vv vt vj vf cfv csn cdif cv cvsca co cplusg wceq wrex csca crio cmpt
      cbs chlt eqid hvmapfval fveq1d fveq2d clfn crab cld c0g lcfrlem11 eqtrd )
      AJFUFZEUFJUAHKUGUHUBHUBUIUCUIUDUIUAUIZBUJUFZUKBULUFZUKUMUCVKUGGUFUNUDBUOU
      FZURUFZUPUQUQZUFZEUFJUGGUFAVJVQEAJFVPAUAUBUCUSVMVOVNVLBUDCDFGHIKLNMOVMUTZ
      VLUTZPVNUTZVOUTZRSVAVBVCAUAUCUBUEUIEUFZGUFGUFWBUMUEBVDUFZVEZBVFUFZVMWEVGU
      FZVOVNVLBUEUDWCCVPDEGHIJKLMNOVRVSVTWAPWCUTQWEUTWFUTWDUTVPUTSTVHVI $.
  $}

  ${
    mapdhvmap.h $e |- H = ( LHyp ` K ) $.
    mapdhvmap.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdhvmap.v $e |- V = ( Base ` U ) $.
    mapdhvmap.z $e |- .0. = ( 0g ` U ) $.
    mapdhvmap.n $e |- N = ( LSpan ` U ) $.
    mapdhvmap.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    mapdhvmap.j $e |- J = ( LSpan ` C ) $.
    mapdhvmap.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdhvmap.p $e |- P = ( ( HVMap ` K ) ` W ) $.
    mapdhvmap.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    mapdhvmap.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    $( Relationship between ` mapd ` and ` HVMap ` , which can be used to
       satisfy the last hypothesis of ~ mapdpg .  Equation 10 of [Baer] p. 48.
       (Contributed by NM, 29-Mar-2015.) $)
    mapdhvmap $p |- ( ph
           -> ( M ` ( N ` { X } ) ) = ( J ` { ( P ` X ) } ) ) $=
      ( csn cfv cld clspn clfn clk coch eqid eldifad hvmaplfl hvmaplkr hvmapcl2
      mapdsn3 cbs c0g snssd lcdlsp eqtr4d ) ALUEIUFHUFLCUFZUEZDUGUFZUHUFZUFVDFU
      FAVEVFDDUIUFZVCEGDUJUFZHIKGUKUFUFZJKLNVIULZUAOPRVGULZVHULZVEULZVFULZUCALJ
      MUEUDUMADVGEGCJKLMNOPQVKUBUCUDUNADEGVHCVIJKLMNVJOPQVLUBUCUDUOUQABVEDBURUF
      ZVDEGVFFKNOVMVNSVOULZTUCAVCVOAVCVOBUSUFZUEABDVOEGCVQJKLMNOPQSVPVQULUBUCUD
      UPUMUTVAVB $.
  $}

$(
  @c eVec @.

  @( Extend class notation with e vector. @)
  cev @a class eVec @.

  @{
    @d k w @.
    @( Define the "e" (unit) vectore.  This is the fixed unit vector
       ` <. 0 , 1 >. ` whose span is the lattice isomorphism map of the
       fiducial atom ` P = ( ( oc ` K ) ` W ) ` (see ~ dihpN ).  Its purpose is
       to provide a fixed reference vector (any other fixed vector would also
       do). @)
    df-evec @a |- eVec = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
         <. ( _I |` ( Base ` k ) ) ,
                 ( _I |` ( ( LTrn ` k ) ` w ) ) >. ) ) @.
  @}

  @c eImage @.

  @( Extend class notation with e vector image. @)
  ceim @a class eImage @.

  @{
    @d k w @.
    @( Define the "e" (unit) vector image.  This is the fixed functional mapped
       from the unit vector ` <. 0 , 1 >. ` whose span is the lattice
       isomorphism map of the fiducial atom ` P = ( ( oc ` K ) ` W ) ` (see
       ~ dihpN ).  Its purpose is to provide a fixed reference functional (any
       other fixed functional would also do). @)
    df-eimage @a |- eImage = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
         ( ( ( HVMap ` k ) ` w )
            ` <. ( _I |` ( Base ` k ) ) ,
                 ( _I |` ( ( LTrn ` k ) ` w ) ) >. ) ) ) @.
  @}

  @{
    @d k B @.  @d k w H @.  @d k w K @.
    eimval.b @e |- B = ( Base ` K ) @.
    eimval.h @e |- H = ( LHyp ` K ) @.
    @( The "e" (unit) vector image.  This is the fixed functional mapped from
       the unit vector ` <. 0 , 1 >. ` whose span is the lattice isomorphism
       map of the fiducial atom ` P = ( ( oc ` K ) ` W ) ` (see ~ dihpN ). @)
    eimfval @p |- ( K e. X -> ( eImage ` K ) = ( w e. H |->
         ( ( ( HVMap ` K ) ` w )
            ` <. ( _I |` B ) ,
                 ( _I |` ( ( LTrn ` K ) ` w ) ) >. ) ) ) @=
      ( vk wcel cvv ceim cfv cid cres cv cltrn chvm clh cbs fveq2 cop cmpt wceq
      elex eqtr4di reseq2d opeq12d fveq12d mpteq12dv df-eimage fvex mptex fvmpt
      fveq1d eqeltri syl ) DEIDJIDKLACMBNZMAOZDPLZLZNZUAZURDQLZLZLZUBZUCDEUDHDA
      HOZRLZMVGSLZNZMURVGPLZLZNZUAZURVGQLZLZLZUBVFJKVGDUCZAVHVQCVEVRVHDRLZCVGDR
      TGUEVRVNVBVPVDVRURVOVCVGDQTUNVRVJUQVMVAVRVIBMVRVIDSLBVGDSTFUEUFVRVLUTMVRU
      RVKUSVGDPTUNUFUGUHUIAHUJACVECVSJGDRUKUOULUMUP @.
      @( [23-Mar-2015] @)

    @d w B @.  @d w T @.  @d w M @.  @d w W @.
    eimval.t @e |- T = ( ( LTrn ` K ) ` W ) @.
    eimval.m @e |- M = ( ( HVMap ` K ) ` W ) @.
    eimval.i @e |- I = ( ( eImage ` K ) ` W ) @.
    eimval.k @e |- ( ph -> ( K e. A /\ W e. H ) ) @.
    @( The "e" (unit) vector image.  This is the fixed functional mapped from
       the unit vector ` <. 0 , 1 >. ` whose span is the lattice isomorphism
       map of the fiducial atom ` P = ( ( oc ` K ) ` W ) ` (see ~ dihpN ). @)
    eimval @p |- ( ph -> I = ( M ` <. ( _I |` B ) , ( _I |` T ) >. ) ) @=
      ( vw wcel cid cres cfv wa cop wceq cv cltrn chvm cmpt ceim eimfval fveq1d
      syl5eq fveq2 eqtr4di eqidd reseq2d opeq12d fveq12d eqid fvex sylan9eq syl
      fvmpt ) AGBQZIEQZUAFRCSZRDSZUBZHTZUCOVCVDFIPEVERPUDZGUETZTZSZUBZVIGUFTZTZ
      TZUGZTZVHVCFIGUHTZTVRNVCIVSVQPCEGBJKUIUJUKPIVPVHEVQVIIUCZVMVGVOHVTVOIVNTH
      VIIVNULMUMVTVEVEVLVFVTVEUNVTVKDRVTVKIVJTDVIIVJULLUMUOUPUQVQURVGHUSVBUTVA
      @.
      @( [23-Mar-2015] @)
  @}
  @{
    @d f B @.  @d f H @.  @d f K @.  @d f T @.  @d f W @.
    hmaplem.h @e |- H = ( LHyp ` K ) @.
    hmaplem.b @e |- B = ( Base ` K ) @.
    hmaplem.t @e |- T = ( ( LTrn ` K ) ` W ) @.
    hmaplem.e @e |- E = <. ( _I |` B ) , ( _I |` T ) >. @.
    hmaplem.d @e |- F = ( ( ( HVMap ` K ) ` W ) ` E ) @.
    hmaplem.u @e |- U = ( ( DVecH ` K ) ` W ) @.
    hmaplem.o @e |- .0. = ( 0g ` U ) @.
    hmaplem.n @e |- N = ( LSpan ` U ) @.
    hmaplem.c @e |- C = ( ( LCDual ` K ) ` W ) @.
    hmaplem.q @e |- .x. = ( .s ` C ) @.
    hmaplem.j @e |- J = ( LSpan ` C ) @.
    hmaplem.k @e |- ( ph -> ( K e. HL /\ W e. H ) ) @.
    hmaplem.x @e |- ( ph -> X e. ( N ` { E } ) ) @.
    hmaplem.xn @e |- ( ph -> X =/= .0. ) @.
    @( Lemma for vector to functional map, when ` X ` and the reference vector
       ` E ` are colinear. @)
    hmaplem1 @p |- ( ph -> ( ( F ` X ) .x. F ) e. ( J ` { F } ) ) @=
      ( csca cfv cbs clss csn eqid clmod wcel lcdlmod chvm c0g dvheveccl eldifi
      cdif hvmapcl2 eqeltrid lspsncl syl2anc clfn dvhlmod lcdvbaselfl cres chlt
      syl cid cop wa ctendo idltrn tendoidcl dvhelvbasei syl12anc lssel syl3anc
      lflcl lspsnid lcdlssvscl ) ACFUJUKZULUKZCUMUKZDFWGIKHUNJUKZCULUKZNOHUKZHP
      UAWGUOZWHUOZUDWKUOZUEWIUOZUGACUPUQZHWKUQZWJWIUQACIKNPUDUGURZAHGNKUSUKUKZU
      KZWKTAXAWKCUTUKZUNZVCUQXAWKUQACFWKIKWTXBFULUKZNGMPUAXDUOZUBUDWOXBUOWTUOUG
      ABEFGIKXDNMPQRUAXEUBSUGVAVDXAWKXCVBVMVEZWIJWKCHWOWPUFVFVGAFUPUQZHFVHUKZUQ
      OXDUQZWLWHUQAFIKNPUAUGVIZACFXHIKWKNHPUDWOUAXHUOZUGXFVJAGUNLUKZFUMUKZUQZOX
      LUQXIAXGGXDUQXNXJAGVNBVKZVNEVKZVOZXDSAKVLUQNIUQVPZXOEUQZXPNKVQUKUKZUQZXQX
      DUQUGAXRXSUGBEIKNQPRVRVMAXRYAUGEXTIKNPRXTUOZVSVMXPEFXTXOIKXDNVLPRYBUAXEVT
      WAVEXMLXDFGXEXMUOZUCVFVGUHXMXLXDFOXEYCWBVGWGXHHWHXDFOUPWMWNXEXKWDWCAWQWRH
      WJUQWSXFJWKCHWOUFWEVGWF @.
      @( [27-Mar-2015] @)

    @d k E @.  @d k F @.  @d k N @.  @d k U @.  @d k X @.  @d k ph @.
    hmaplem.g @e |- ( ph -> G e. ( J ` { F } ) ) @.
    @( Lemma for vector to functional map, when ` X ` and the reference vector
       ` E ` are colinear.  This and ~ hmaplem1 show that we can replace
       ` ( iota_ h e. ( J `` { F } ) ( h `` E ) = ( F `` X ) ) ` with simply
       ` ( ( F `` X ) Q F ) ` in an older version os ~ hmapval (and an older
       version of ~ df-hmap ). @)
    hmaplem2 @p |- ( ph
        -> ( ( G ` E ) = ( F ` X ) <-> G = ( ( F ` X ) .x. F ) ) ) @=
      ( vk cfv wceq co csca cbs clfn clk c0g eqid clvec wcel dvhlvec adantr csn
      wa cdif dvheveccl eldifi syl clss clmod lcdlmod hvmapcl2 eqeltrid lspsncl
     chvm syl2anc lssel lcdvbaselfl dvhlmod lflcl syl3anc lcdvscl wne lcd0vvalN
      chlt fveq1 adantl simpr cv cvsca wrex wb lspsnel ad2antrr eqnetrrd simplr
      mpbid lvecvsn0 simpld jca ex reximdva mpd w3a cmulr simp3r 3ad2ant1 simp2
     fveq2d lflmul cur fveq1i hvmapidN syl5eq oveq2d crg lmodring ringridm
     3eqtrd
     syl112anc eqtrd simp3l eqnetrd rexlimdv3a necon2d lcdlkreqN sylanbrc eqidd
      eldifsn lcdlkreq2N eqtr4d lcdvsval oveq1d ringlidm 3eqtrrd eqlkr3 eqeq1d
      syl5ibrcom impbid ) AGIUMZPHUMZUNZIUUDHDUOZUNZAUUEUUGAUUEVGZFUPUMZUQUMZUU
      IFURUMZIUUFFUSUMZUUIUTUMZFUQUMZFGUUNVAZUUIVAZUUJVAZUUMVAZUUKVAZUULVAZAFVB
      VCZUUEAFJLOQUBUHVDZVEAGUUNVCZUUEAGUUNNVFZVHVCUVCABEFGJLUUNONQRSUBUUOUCTUH
      VIZGUUNUVDVJVKZVEAIUUKVCUUEACFUUKJLCUQUMZOIQUEUVGVAZUBUUSUHAHVFKUMZCVLUMZ
      VCZIUVIVCZIUVGVCACVMVCHUVGVCZUVKACJLOQUEUHVNAHGOLVRUMUMZUMZUVGUAAUVOUVGCU
      TUMZVFZVHVCUVOUVGVCACFUVGJLUVNUVPUUNOGNQUBUUOUCUEUVHUVPVAZUVNVAZUHUVEVOUV
      OUVGUVQVJVKVPZUVJKUVGCHUVHUVJVAZUGVQVSUKUVJUVIUVGCIUVHUWAVTVSWAVEAUUFUUKV
      CUUEACFUUKJLUVGOUUFQUEUVHUBUUSUHACUUJUUIDFHJLUVGOUUDQUBUUPUUQUEUVHUFUHAFV
      MVCZHUUKVCZPUUNVCZUUDUUJVCZAFJLOQUBUHWBZACFUUKJLUVGOHQUEUVHUBUUSUHUVTWAZA
      GVFMUMZFVLUMZVCZPUWHVCZUWDAUWBUVCUWJUWFUVFUWIMUUNFGUUOUWIVAZUDVQVSUIUWIUW
      HUUNFPUUOUWLVTVSUUIUUKHUUJUUNFPVMUUPUUQUUOUUSWCWDZUVTWEWAVEUUHIUULUMHUULU
      MUUFUULUMUUHCFIJHLUULKUVPUVGOQUBUUTUEUVRUGUVHALWHVCOJVCVGUUEUHVEZAUVMUUEU
      VTVEZAUVLUUEUKVEUUHGUVPUMZUUMUNZIUVPWFAUWQUUEACUUIFJLUVPUUNOGUUMQUBUUOUUP
      UURUEUVRUHUVFWGVEUUHIUVPUWPUUMUUHIUVPUNZUWPUUMWFUUHUWRVGUUCUWPUUMUWRUUCUW
      PUNUUHGIUVPWIWJUUHUUCUUMWFUWRUUHUUCUUDUUMAUUEWKZAUUDUUMWFZUUEAULWLZUUMWFZ
      PUXAGFWMUMZUOZUNZVGZULUUJWNZUWTAUXEULUUJWNZUXGAUWKUXHUIAUWBUVCUWKUXHWOUWF
      UVFUXCPULUUIUUJMUUNFGUUPUUQUUOUXCVAZUDWPVSWTAUXEUXFULUUJAUXAUUJVCZVGZUXEU
      XFUXKUXEVGZUXBUXEUXLUXBGNWFZUXLUXDNWFUXBUXMVGUXLPUXDNUXKUXEWKZAPNWFUXJUXE
      UJWQWRUXLUXAUXCUUIUUJUUMUUNFGNUUOUXIUUPUUQUURUCAUVAUXJUXEUVBWQAUXJUXEWSAU
      VCUXJUXEUVFWQXAWTXBUXNXCXDXEXFAUXFUWTULUUJAUXJUXFXGZUUDUXAUUMUXOUUDUXDHUM
      ZUXAGHUMZUUIXHUMZUOZUXAUXOPUXDHAUXJUXBUXEXIXLUXOUWBUWCUXJUVCUXPUXSUNAUXJU
      WBUXFUWFXJAUXJUWCUXFUWGXJAUXJUXFXKZAUXJUVCUXFUVFXJUUIUXAUXCUXRUUKHUUJUUNF
      GUUPUUQUXRVAZUUOUXIUUSXMYCUXOUXSUXAUUIXNUMZUXRUOZUXAAUXJUXSUYCUNUXFAUXQUY
      BUXAUXRAUXQGUVOUMUYBGHUVOUAXOAUUIFJUYBLUVNUUNOGNQUBUUOUCUUPUYBVAZUVSUHUVE
      XPXQZXRXJUXOUUIXSVCZUXJUYCUXAUNAUXJUYFUXFAUWBUYFUWFUUIFUUPXTVKZXJUXTUUJUU
      IUXRUYBUXAUUQUYAUYDYAVSYDYBAUXJUXBUXEYEYFYGXFZVEYFZVEWRXDYHXFYIUUHUUDCUUJ
      UUIDFUUFJHLUULUUMUVGOQUBUUPUUQUURUUTUEUVHUFUWNAUUDUUJUUMVFVHVCZUUEAUWEUWT
      UYJUWMUYHUUDUUJUUMYLYJVEUWOUUHUUFYKYMYNUUHUUCUUDGUUFUMZUWSAUUDUYKUNUUEAUY
      KUXQUUDUXRUOZUYBUUDUXRUOZUUDAGCUUJUUIUXRFUVGHJLDUUNOUUDQUBUUOUUPUUQUYAUEU
      VHUFUHUWMUVTUVFYOZAUXQUYBUUDUXRUYEYPZAUYFUWEUYMUUDUNUYGUWMUUJUUIUXRUYBUUD
      UUQUYAUYDYQVSZYRVEYDUYIYSXDAUUEUUGUYKUUDUNAUYKUYLUYMUUDUYNUYOUYPYBUUGUUCU
      YKUUDGIUUFWIYTUUAUUB @.
      @( [27-Mar-2015] @)
  @}

  @c hmap @.

  @( Extend class notation with h-map. @)
  chma @a class hmap @.

  @{
    @d a c e f h j k m n u w y @.
    @( Define map from vectors to functionals in the closed kernel dual space.
       See ~ hmapfval description for more details. @)
    df-hmap @a |- hmap = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
      { a | [ <. ( _I |` ( Base ` k ) ) ,
                 ( _I |` ( ( LTrn ` k ) ` w ) ) >. / e ]
            [ ( ( ( HVMap ` k ) ` w ) ` e ) / f ]
            [ ( ( DVecH ` k ) ` w ) / u ]
            [ ( LSpan ` u ) / n ]
            [ ( ( LCDual ` k ) ` w ) / c ]
            [ ( LSpan ` c ) / j ]
            [ ( ( mapd ` k ) ` w ) / m ]
        a e. ( y e. ( Base ` u ) |->
           if ( y e. ( n ` { e } ) , ( ( f ` y ) ( .s ` c ) f ) ,
             ( iota_ h e. ( Base ` c )
                 ( ( m ` ( n ` { y } ) ) = ( j ` { h } )
                 /\ ( m ` ( n ` { ( e ( -g ` u ) y ) } ) )
                     = ( j ` { ( f ( -g ` c ) h ) } ) ) ) ) ) } ) ) @.
  @}

  @{
    @d k B @.  @d k w H @.  @d a c e f j k m n u w K @.
    @d a c e f h j k m n u w y @.
    hmapval.h @e |- H = ( LHyp ` K ) @.
    hmapfval.b @e |- B = ( Base ` K ) @.
    @( Map from vectors to functionals in the closed kernel dual space. @)
    hmapffval @p |- ( K e. X -> ( hmap ` K ) = ( w e. H |->
      { a | [ <. ( _I |` B ) ,
                 ( _I |` ( ( LTrn ` K ) ` w ) ) >. / e ]
            [ ( ( ( HVMap ` K ) ` w ) ` e ) / f ]
            [ ( ( DVecH ` K ) ` w ) / u ]
            [ ( LSpan ` u ) / n ]
            [ ( ( LCDual ` K ) ` w ) / c ]
            [ ( LSpan ` c ) / j ]
            [ ( ( mapd ` K ) ` w ) / m ]
        a e. ( y e. ( Base ` u ) |->
          if ( y e. ( n ` { e } ) , ( ( f ` y ) ( .s ` c ) f ) ,
             ( iota_ h e. ( Base ` c )
                 ( ( m ` ( n ` { y } ) ) = ( j ` { h } )
                 /\ ( m ` ( n ` { ( e ( -g ` u ) y ) } ) )
                     = ( j ` { ( f ( -g ` c ) h ) } ) ) ) ) ) } ) ) @=
      ( cfv cv wsbcSBC vk wcel cvv chma cbs csn cvsca co wceq csg wa crio cif
      cmpt
      cmpd clspn clcd cdvh chvm cid cres cltrn cop cab elex clh eqtr4di reseq2d
      fveq2 wb fveq1d opeq12d dfsbcqSBC syl sbcbidvSBC bitrd abbidv
      mpteq12dv df-hmap
      fvex eqeltri mptex fvmpt ) LMUBLUCUBLUDRBKNSACSZUERASZESZUFJSZRUBWEFSZRWH
      OSZUGRUHWEUFWGRISZRGSZUFHSZRUIWFWEWDUJRUHUFWGRWJRWHWKWIUJRUHUFWLRUIUKGWIU
      ERULUMUNUBZIBSZLUORZRZTZHWIUPRZTZOWNLUQRZRZTZJWDUPRZTZCWNLURRZRZTZFWFWNLU
      SRZRZRZTZEUTDVAZUTWNLVBRZRZVAZVCZTZNVDZUNZUILMVEUALBUASZVFRZWMIWNXTUORZRZ
      TZHWRTZOWNXTUQRZRZTZJXCTZCWNXTURRZRZTZFWFWNXTUSRZRZRZTZEUTXTUERZVAZUTWNXT
      VBRZRZVAZVCZTZNVDZUNXSUCUDXTLUIZBYAUUDKXRUUEYALVFRZKXTLVFVIPVGUUEUUCXQNUU
      EUUCYPEXPTZXQUUEUUBXPUIUUCUUGVJUUEYRXLUUAXOUUEYQDUTUUEYQLUERDXTLUEVIQVGVH
      UUEYTXNUTUUEWNYSXMXTLVBVIVKVHVLYPEUUBXPVMVNUUEYPXKEXPUUEYPYLFXJTZXKUUEYOX
      JUIYPUUHVJUUEWFYNXIUUEWNYMXHXTLUSVIVKVKYLFYOXJVMVNUUEYLXGFXJUUEYLYICXFTZX
      GUUEYKXFUIYLUUIVJUUEWNYJXEXTLURVIVKYICYKXFVMVNUUEYIXDCXFUUEYHXBJXCUUEYHYE
      OXATZXBUUEYGXAUIYHUUJVJUUEWNYFWTXTLUQVIVKYEOYGXAVMVNUUEYEWSOXAUUEYDWQHWRU
      UEYCWPUIYDWQVJUUEWNYBWOXTLUOVIVKWMIYCWPVMVNVOVOVPVOVOVPVOVPVOVPVQVRABCEFG
      HUAIJNOVSBKXRKUUFUCPLVFVTWAWBWCVN @.
      @( [24-Mar-2015] @)

    @d c h j y C @.  @d a e f h u w y E @.  @d a e f h u w y F @.
    @d a c e f h j n u w G @.  @d a c e f h j n u w y J @.
    @d a c e f h j n u w y N @.  @d a e f u w .0. @.
    @d a c e f h j m n u w y P @.  @d a c e f j n u w Q @.
    @d a c e f j n u w R @.  @d a e f u w S @.  @d h u y U @.
    @d a e f u w y V @.  @d a c e f j n u w W @.  @d a c e f j n u w .0. @.
    hmapfval.t @e |- T = ( ( LTrn ` K ) ` W ) @.
    hmapfval.e @e |- E = <. ( _I |` B ) , ( _I |` T ) >. @.
    hmapfval.f @e |- F = ( ( ( HVMap ` K ) ` W ) ` E ) @.
    hmapfval.u @e |- U = ( ( DVecH ` K ) ` W ) @.
    hmapfval.v @e |- V = ( Base ` U ) @.
    hmapfval.s @e |- .- = ( -g ` U ) @.
    hmapfval.n @e |- N = ( LSpan ` U ) @.
    hmapfval.c @e |- C = ( ( LCDual ` K ) ` W ) @.
    hmapfval.g @e |- G = ( Base ` C ) @.
    hmapfval.q @e |- .x. = ( .s ` C ) @.
    hmapfval.r @e |- R = ( -g ` C ) @.
    hmapfval.j @e |- J = ( LSpan ` C ) @.
    hmapfval.p @e |- P = ( ( mapd ` K ) ` W ) @.
    hmapfval.m @e |- M = ( ( hmap ` K ) ` W ) @.
    hmapfval.k @e |- ( ph -> ( K e. A /\ W e. H ) ) @.
    @( Map from vectors to functionals in the closed kernel dual space. ` E `
       is the convenient fixed reference vector ` <. 0 , 1 >. ` whose span is
       the lattice isomorphism map of the fiducial atom ` P = ( ( oc ` K )
       ` W ) ` (see ~ dvheveccl ). ` F ` is the fixed reference functional
       determined by this vector.  When the argument ` y ` is not in the span
       of the reference vector, we map it to the unique functional given by the
       first fundamental theorem of projective geometry (see ~ mapdpg ). @)
    hmapfval @p |- ( ph
    -> M = ( y e. V |-> if ( y e. ( N ` { E } ) , ( ( F ` y ) .x. F ) ,
             ( iota_ h e. G ( ( P ` ( N ` { y } ) ) = ( J ` { h } )
                 /\ ( P ` ( N ` { ( E .- y ) } ) )
                     = ( J ` { ( F R h ) } ) ) ) ) ) ) @=
      ( vw va vu ve vn vf vc vm vj wcel wa cv csn cfv co wceq crio cif cmpt cbs
      cvsca csg cmpd wsbcSBC clspn clcd cdvh chvm cid cres cltrn cop cab
      hmapffval
      fveq1d syl5eq wb fveq2 syl6reqr reseq2d opeq2d eqtr2id dfsbcqSBC syl
      eqtr4di
      chma sbcbidvSBC bitrd cvv opex eqeltri w3a simp3 fveq2d fveq1 eqeq1d
      anbi12d
      fvex riotabidv ifeq2d mpteq2dv eleq2d sbcieSBC simp2 eqtrd simp1 oveqd
      sneqd
      eqeq12d fveq12d riotaeqbidv syld3an3 syl5bb sbc3ieSBC oveq12d eqidd
      oveq123d
      ifbieq12d oveq1d anbi2d mpteq12dv syld3an2 bitrdi abbi1dv mptex sylan9eq
      eqid fvmpt ) ARCVIZUBPVIZVJSBUABVKZMVLZTVMZVIZUUJNVMZNGVNZUUJVLZTVMZFVMZL
      VKZVLZQVMZVOZMUUJIVNZVLZTVMZFVMZNUUSHVNZVLZQVMZVOZVJZLOVPZVQZVRZVOUSUUHUU
      ISUBUTPVAVKZBVBVKZVSVMZUUJVCVKZVLZVDVKZVMZVIZUUJVEVKZVMZUWCVFVKZVTVMZVNZU
      UPUVTVMZVGVKZVMZUUTVHVKZVMZVOZUVRUUJUVPWAVMZVNZVLZUVTVMZUWIVMZUWCUUSUWEWA
      VMZVNZVLZUWKVMZVOZVJZLUWEVSVMZVPZVQZVRZVIZVGUTVKZRWBVMZVMZWCZVHUWEWDVMZWC
      ZVFUXJRWEVMZVMZWCZVDUVPWDVMZWCZVBUXJRWFVMZVMZWCZVEUVRUXJRWGVMZVMZVMZWCZVC
      WHDWIZWHUXJRWJVMZVMZWIZWKZWCZVAWLZVRZVMZUVNUUHSUBRXEVMZVMUYPURUUHUBUYQUYO
      BUTVBDVCVELVHVGVDPRCVAVFUCUDWMWNWOUTUBUYNUVNPUYOUXJUBVOZUYMVAUVNUYRUYMUXI
      VGFWCZVHUXNWCZVFEWCZVDUXSWCZVBKWCZVEUVRUBUYDVMZVMZWCZVCMWCZUVOUVNVIZUYRUY
      MUYGVCMWCZVUGUYRUYLMVOUYMVUIWPUYRMUYHWHJWIZWKZUYLUFUYRVUJUYKUYHUYRJUYJWHU
      YRUYJUBUYIVMJUXJUBUYIWQUEWRWSWTXAUYGVCUYLMXBXCUYRUYGVUFVCMUYRUYGUYCVEVUEW
      CZVUFUYRUYFVUEVOUYGVULWPUYRUVRUYEVUDUXJUBUYDWQWNUYCVEUYFVUEXBXCUYRUYCVUCV
      EVUEUYRUYCUXTVBKWCZVUCUYRUYBKVOUYCVUMWPUYRUYBUBUYAVMZKUXJUBUYAWQUHXDUXTVB
      UYBKXBXCUYRUXTVUBVBKUYRUXRVUAVDUXSUYRUXRUXOVFEWCZVUAUYRUXQEVOUXRVUOWPUYRU
      XQUBUXPVMZEUXJUBUXPWQULXDUXOVFUXQEXBXCUYRUXOUYTVFEUYRUXMUYSVHUXNUYRUXLFVO
      UXMUYSWPUYRUXLUBUXKVMZFUXJUBUXKWQUQXDUXIVGUXLFXBXCXFXFXGXFXFXGXFXGXFXGVUB
      VUHVCVEVBMVUEKMVUKXHUFUYHVUJXIXJUVRVUDXQKVUNXHUHUBUYAXQXJUVRMVOZUWCVUEVOZ
      UVPKVOZXKZVUBVUAVDTWCZVUHVVAUXSTVOVUBVVBWPVVAUXSKWDVMZTVVAUVPKWDVURVUSVUT
      XLXMUKXDVUAVDUXSTXBXCVVBUVOBUVQUUJUVSTVMZVIZUWDUWCGVNZUVBUWPTVMZFVMZUWCUU
      SHVNZVLZQVMZVOZVJZLOVPZVQZVRZVIZVVAVUHUYSVVQVDVFVHTEUXNTVVCXHUKKWDXQXJEVU
      PXHULUBUXPXQXJUWEWDXQUYSUVOBUVQUWBUWGUWHFVMZUWLVOZUWQFVMZUXBVOZVJZLUXEVPZ
      VQZVRZVIZUVTTVOZUWEEVOZUWKUXNVOZXKZVVQUXIVWFVGFFVUQXHUQUBUXKXQXJUWIFVOZUX
      HVWEUVOVWKBUVQUXGVWDVWKUWBUXFVWCUWGVWKUXDVWBLUXEVWKUWMVVSUXCVWAVWKUWJVVRU
      WLUWHUWIFXNXOVWKUWRVVTUXBUWQUWIFXNXOXPXRXSXTYAYBVWGVWHVWIUWKQVOZVWFVVQWPV
      WJUWKUXNQVWGVWHVWIXLVWJUXNEWDVMQVWJUWEEWDVWGVWHVWIYCXMUPXDYDVWGVWHVWLXKZV
      WEVVPUVOVWMBUVQVWDVVOVWMUWBVVEUWGVWCVVFVVNVWMUWAVVDUUJVWMUVSUVTTVWGVWHVWL
      YEZWNYAVWMUWFGUWDUWCVWMUWFEVTVMGVWMUWEEVTVWGVWHVWLYCZXMUNXDYFVWMVWBVVMLUX
      EOVWMUXEEVSVMOVWMUWEEVSVWOXMUMXDVWMVVSUVBVWAVVLVWMVVRUURUWLUVAVWMUWHUUQFV
      WMUUPUVTTVWNWNXMVWMUUTUWKQVWGVWHVWLXLZWNYHVWMVVTVVHUXBVVKVWMUWQVVGFVWMUWP
      UVTTVWNWNXMVWMUXAVVJUWKQVWPVWMUWTVVIVWMUWSHUWCUUSVWMUWSEWAVMHVWMUWEEWAVWO
      XMUOXDYFYGYIYHXPYJYQXTYAYKYLYMVURUWCNVOZVUSVUTVVQVUHWPVVAUWCVUENVURVUSVUT
      YCVVAVUEMVUDVMNVVAUVRMVUDVURVUSVUTYEXMUGXDYDVURVWQVUTXKZVVPUVNUVOVWRBUVQV
      VOUAUVMVWRUVQKVSVMZUAVWRUVPKVSVURVWQVUTXLZXMUIXDVWRVVEUUMVVFVVNUUOUVLVWRV
      VDUULUUJVWRUVSUUKTVWRUVRMVURVWQVUTYEZYGXMYAVWRUWDUUNUWCNGVWRUUJUWCNVURVWQ
      VUTYCZWNVXBYNVWRVVMUVKLOVWRVVLUVJUVBVWRVVHUVFVVKUVIVWRVVGUVEFVWRUWPUVDTVW
      RUWOUVCVWRUVRMUUJUUJUWNIVWRUWNKWAVMIVWRUVPKWAVWTXMUJXDVXAVWRUUJYOYPYGXMXM
      VWRVVJUVHQVWRVVIUVGVWRUWCNUUSHVXBYRYGXMYHYSXRYQYTYAUUAYLXGYMUUBUUCUYOUUFB
      UAUVMUAVWSXHUIKVSXQXJUUDUUGUUEXC @.
      @( [24-Mar-2015] @)

    @d y G @.  @d y .0. @.  @d y Q @.  @d y R @.  @d y .- @.  @d h y X @.
    @d y .0. @.
    hmapval.x @e |- ( ph -> X e. V ) @.
    @( Value of map from vectors to functionals in the closed kernel dual
       space. @)
    hmapval @p |- ( ph -> ( M ` X )
          = if ( X e. ( N ` { E } ) , ( ( F ` X ) Q F ) ,
               ( iota_ h e. G ( ( P ` ( N ` { X } ) ) = ( J ` { h } )
                   /\ ( P ` ( N ` { ( E .- X ) } ) )
                       = ( J ` { ( F R h ) } ) ) ) ) ) @=
      ( vy cfv cv csn wcel co wceq wa crio cif cmpt hmapfval fveq1d cvv riotaex
      ovex ifex eleq1 fveq2 oveq1d sneq fveq2d eqeq1d oveq2 riotabidv ifbieq12d
      sneqd anbi12d eqid fvmptg sylancl eqtrd ) AUBRVBUBVATVAVCZLVDSVBZVEZWMMVB
      ZMFVFZWMVDZSVBZEVBZKVCZVDPVBZVGZLWMHVFZVDZSVBZEVBZMXAGVFVDPVBZVGZVHZKNVIZ
      VJZVKZVBZUBWNVEZUBMVBZMFVFZUBVDZSVBZEVBZXBVGZLUBHVFZVDZSVBZEVBZXHVGZVHZKN
      VIZVJZAUBRXMAVABCDEFGHIJKLMNOPQRSTUAUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSVLV
      MAUBTVEYIVNVEXNYIVGUTXOXQYHXPMFVPYGKNVOVQVAUBXLYITVNXMWMUBVGZWOXOWQXKXQYH
      WMUBWNVRYJWPXPMFWMUBMVSVTYJXJYGKNYJXCYAXIYFYJWTXTXBYJWSXSEYJWRXRSWMUBWAWB
      WBWCYJXGYEXHYJXFYDEYJXEYCSYJXDYBWMUBLHWDWGWBWBWCWHWEWFXMWIWJWKWL @.
      @( [25-Mar-2015] @)

    hmapval2.xn @e |- ( ph -> -. X e. ( N ` { E } ) ) @.
    @( Value from ~ hmapval when ` X ` is outside the span of the reference
       vector ` E ` .  Note: the hypotheses for ` Q ` is unused. @)
    hmapval2 @p |- ( ph -> ( M ` X ) = ( iota_ h e. G
           ( ( P ` ( N ` { X } ) ) = ( J ` { h } )
             /\ ( P ` ( N ` { ( E .- X ) } ) ) = ( J ` { ( F R h ) } ) ) ) ) @=
      ( cfv csn wcel cvsca co cv wceq wa crio cif eqid hmapval wn iffalse eqtrd
      syl ) AUBRVBUBLVCSVBVDZUBMVBMDVEVBZVFZUBVCSVBEVBKVGZVCPVBVHLUBHVFVCSVBEVB
      MWAGVFVCPVBVHVIKNVJZVKZWBABCDEVSGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMV
      SVLUOUPUQURUSUTVMAVRVNWCWBVHVAVRVTWBVOVQVP @.
      @( [28-Mar-2015] @)
  @}

  @{
    @d h C @.  @d h E @.  @d h F @.  @d h K @.  @d h N @.  @d h U @.  @d h W @.
    @d h X @.
    hmapval1.h @e |- H = ( LHyp ` K ) @.
    hmapval1.b @e |- B = ( Base ` K ) @.
    hmapval1.t @e |- T = ( ( LTrn ` K ) ` W ) @.
    hmapval1.e @e |- E = <. ( _I |` B ) , ( _I |` T ) >. @.
    hmapval1.f @e |- F = ( ( ( HVMap ` K ) ` W ) ` E ) @.
    hmapval1.u @e |- U = ( ( DVecH ` K ) ` W ) @.
    hmapval1.n @e |- N = ( LSpan ` U ) @.
    hmapval1.c @e |- C = ( ( LCDual ` K ) ` W ) @.
    hmapval1.q @e |- .x. = ( .s ` C ) @.
    hmapval1.m @e |- M = ( ( hmap ` K ) ` W ) @.
    hmapval1.k @e |- ( ph -> ( K e. HL /\ W e. H ) ) @.
    hmapval1.x @e |- ( ph -> X e. ( N ` { E } ) ) @.
    @( Value from ~ hmapval when ` X ` is in the span of the reference vector
       ` E ` . @)
    hmapval1 @p |- ( ph -> ( M ` X ) = ( ( F ` X ) .x. F ) ) @=
      ( vh cfv csn wcel co cmpd cv clspn wceq csg cbs crio chlt eqid clss clmod
      wa cif dvhlmod c0g cdif dvheveccl eldifi syl lspsncl syl2anc lssel iftrue
      hmapval eqtrd ) ANKUHNGUILUHZUJZNHUHHDUKZNUILUHMJULUHUHZUHUGUMZUICUNUHZUH
      UOGNFUPUHZUKUILUHVTUHHWACUPUHZUKUIWBUHUOVCUGCUQUHZURZVDZVSAUSBCVTDWDWCEFU
      GGHWEIWBJKLFUQUHZMNOPQRSTWHUTZWCUTUAUBWEUTUCWDUTWBUTVTUTUDUEAVQFVAUHZUJZV
      RNWHUJAFVBUJGWHUJZWKAFIJMOTUEVEAGWHFVFUHZUIZVGUJWLABEFGIJWHMWMOPQTWIWMUTR
      UEVHGWHWNVIVJWJLWHFGWIWJUTZUAVKVLUFWJVQWHFNWIWOVMVLVOAVRWGVSUOUFVRVSWFVNV
      JVP @.
      @( [28-Mar-2015] @)
  @}

  @{
    hmap0.h @e |- H = ( LHyp ` K ) @.
    hmap0.u @e |- U = ( ( DVecH ` K ) ` W ) @.
    hmap0.z @e |- .0. = ( 0g ` U ) @.
    hmap0.c @e |- C = ( ( LCDual ` K ) ` W ) @.
    hmap0.o @e |- O = ( 0g ` C ) @.
    hmap0.m @e |- M = ( ( hmap ` K ) ` W ) @.
    hmap0.k @e |- ( ph -> ( K e. HL /\ W e. H ) ) @.
    @( The zero value of map from vectors to functionals in the closed kernel
       dual space. @)
    hmap0 @p |- ( ph -> ( M ` .0. ) = O ) @=
      ( cfv cbs eqid wcel cid cres cltrn cop chvm cvsca co csca c0g clspn clmod
      csn clss dvhlmod cdif dvheveccl eldifi lspsncl syl2anc hmapval1 clfn wceq
      syl lss0cl hvmaplfl lfl0 oveq1d hvmapcl2 lcd0vs 3eqtrd ) AIFQIUAERQZUBUAH
      EUCQQZUBUDZHEUEQQZQZQZVOBUFQZUGCUHQZUIQZVOVQUGGAVKBVQVLCVMVODEFCUJQZHIJVK
      SZVLSZVMSZVOSKVTSZMVQSZOPACUKTZVMULVTQZCUMQZTZIWGTACDEHJKPUNZAWFVMCRQZTZW
      IWJAVMWKIULZUOTWLAVKVLCVMDEWKHIJWAWBKWKSZLWCPUPZVMWKWMUQVCWHVTWKCVMWNWHSZ
      WDURUSWHWGCILWPVDUSUTAVPVSVOVQAWFVOCVAQZTVPVSVBWJACWQDEVNWKHVMIJKWNLWQSZV
      NSZPWOVEVRWQVOVSCIVRSZVSSZLWRVFUSVGABVRVQCVODEGBRQZHVSJKWTXAMXBSZWENPAVOX
      BGULZUOTVOXBTABCXBDEVNGWKHVMIJKWNLMXCNWSPWOVHVOXBXDUQVCVIVJ @.
      @( [28-Mar-2015] @)
  @}

  @{
    @d h C @.  @d h E @.  @d h K @.  @d h U @.  @d h W @.  @d h X @.
    @d h ph @.
    hmapcl.h @e |- H = ( LHyp ` K ) @.
    hmapcl.u @e |- U = ( ( DVecH ` K ) ` W ) @.
    hmapcl.v @e |- V = ( Base ` U ) @.
    hmapcl.c @e |- C = ( ( LCDual ` K ) ` W ) @.
    hmapcl.e @e |- E = ( Base ` C ) @.
    hmapcl.m @e |- M = ( ( hmap ` K ) ` W ) @.
    hmapcl.k @e |- ( ph -> ( K e. HL /\ W e. H ) ) @.
    hmapcl.x @e |- ( ph -> X e. V ) @.
    @( Closure of map from vectors to functionals in the closed kernel dual
       space. @)
    hmapcl @p |- ( ph -> ( M ` X ) e. E ) @=
      ( cfv eqid vh cid cbs cres cltrn cop csn clspn wcel wa chvm cvsca co chlt
      adantr simpr hmapval1 csca c0g cdif dvheveccl hvmapcl2 eldifi syl lcdvscl
      lcdvbasecl eqeltrd wn cmpd wceq csg crio hmapval2 wreu clss clmod dvhlmod
      cv lspsncl syl2anc lssneln0OLD wne wss eqimss2 lspsnel5 syl5ibr necon3bd
      imp
      mapdhvmap mapdpg riotacl pm2.61dan ) AJUBFUCSZUDUBIFUESSZUDUFZUGCUHSZSZUI
      ZJGSZDUIAWRUJZWSJWOIFUKSSZSZSZXBBULSZUMZDWTWMBXDWNCWOXBEFGWPIJKWMTZWNTZWO
      TZXBTZLWPTZNXDTZPAFUNUIIEUIUJZWRQUOAWRUPUQAXEDUIWRABCURSZUCSZXMXDCXBEFDIX
      CKLXMTZXNTZNOXKQABXNXMCDXBEFHIJKLMXOXPNOQAXBDBUSSZUGZUTUIXBDUIZABCDEFXAXQ
      HIWOCUSSZKLMXTTZNOXQTXATZQAWMWNCWOEFHIXTKXFXGLMYAXHQVAZVBXBDXRVCVDZRVFYDV
      EUOVGAWRVHZUJZWSJUGWPSZIFVISSZSUAVRZUGBUHSZSVJWOJCVKSZUMUGWPSYHSXBYIBVKSZ
      UMUGYJSVJUJZUADVLZDYFUNWMBYHXDYLYKWNCUAWOXBDEYJFGWPHIJKXFXGXHXILMYKTZXJNO
      XKYLTZYJTZYHTZPAXLYEQUOZAJHUIYERUOZAYEUPZVMYFYMUADVNYNDUIYFBYLYKCUADXBEYJ
      FYHWPHIWOJXTKYRLMYOYAXJNOYPYQYSAWOHXTUGZUTUIZYEYCUOYFCVOSZWQXTHCJMYAUUDTZ
      ACVPUIZYEACEFIKLQVQZUOAWQUUDUIZYEAUUFWOHUIZUUHUUGAUUCUUIYCWOHUUBVCVDUUDWP
      HCWOMUUEXJVSVTZUOYTUUAWAAXSYEYDUOAYEWQYGWBAWRWQYGWQYGVJWRAYGWQWCYGWQWDAUU
      DWQWPHCJMUUEXJUUGUUJRWEWFWGWHAWQYHSXBUGYJSVJYEABXACEYJFYHWPHIWOXTKLMYAXJN
      YQYRYBQYCWIUOWJYMUADWKVDVGWL @.
      @( [29-Mar-2015] @)
  @}

  @c gmap @.

  @( Extend class notation with g-map. @)
  cgma @a class gmap @.

  @{
    @d a b k m u v w x y @.
    @( Define map from the scalar division ring of the vector space to the
       scalar division ring of its closed kernel dual. @)
    df-gmap @a |- gmap = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
      { a | [ ( ( DVecH ` k ) ` w ) / u ]
            [ ( Base ` ( Scalar ` u ) ) / b ]
            [ ( ( hmap ` k ) ` w ) / m ]
        a e. ( x e. b |-> ( iota_ y e. b
            A. v e. ( Base ` u ) ( m ` ( x ( .s ` u ) v ) )
              = ( y ( .s ` ( ( LCDual ` k ) ` w ) ) ( m ` v ) ) ) ) } ) ) @.
  @}

  @{
    @d k w H @.  @d a b k m u v w x y K @.
    gmapval.h @e |- H = ( LHyp ` K ) @.
    @( Map from the scalar division ring of the vector space to the scalar
       division ring of its closed kernel dual. @)
    gmapffval @p |- ( K e. X -> ( gmap ` K ) = ( w e. H |->
      { a | [ ( ( DVecH ` K ) ` w ) / u ]
            [ ( Base ` ( Scalar ` u ) ) / b ]
            [ ( ( hmap ` K ) ` w ) / m ]
        a e. ( x e. b |-> ( iota_ y e. b
            A. v e. ( Base ` u ) ( m ` ( x ( .s ` u ) v ) )
              = ( y ( .s ` ( ( LCDual ` K ) ` w ) ) ( m ` v ) ) ) ) } ) ) @=
      ( wcel cfv cv cvsca wceq cmpt wsbcSBC clh vk cvv cgma co clcd wral crio
      chma
      cbs csca cdvh cab elex fveq2 eqtr4di wb fveq1d dfsbcqSBC fveq2d oveqd
      eqeq2d
      syl ralbidv riotabidv mpteq2dv eleq2d sbcbidvSBC bitrd abbidv mpteq12dv
      fvex
      df-gmap eqeltri mptex fvmpt ) HIMHUBMHUCNCGJOZAKOZAODOZEOZPNUDFOZNZBOZVRV
      TNZCOZHUENZNZPNZUDZQZDVSUINZUFZBVQUGZRZMZFWDHUHNZNZSZKVSUJNUINZSZEWDHUKNZ
      NZSZJULZRZQHIUMUAHCUAOZTNZVPAVQWAWBWCWDXEUENZNZPNZUDZQZDWJUFZBVQUGZRZMZFW
      DXEUHNZNZSZKWRSZEWDXEUKNZNZSZJULZRXDUBUCXEHQZCXFYCGXCYDXFHTNZGXEHTUNLUOYD
      YBXBJYDYBXSEXASZXBYDYAXAQYBYFUPYDWDXTWTXEHUKUNUQXSEYAXAURVBYDXSWSEXAYDXRW
      QKWRYDXRXOFWPSZWQYDXQWPQXRYGUPYDWDXPWOXEHUHUNUQXOFXQWPURVBYDXOWNFWPYDXNWM
      VPYDAVQXMWLYDXLWKBVQYDXKWIDWJYDXJWHWAYDXIWGWBWCYDXHWFPYDWDXGWEXEHUEUNUQUS
      UTVAVCVDVEVFVGVHVGVGVHVIVJABCDEUAFJKVLCGXCGYEUBLHTVKVMVNVOVB @.
      @( [25-Mar-2015] @)

    @d a b m u v w x y B @.  @d a b m u v w x y M @.  @d a b m u w .- @.
    @d a b m u w T @.  @d b m u v x y U @.  @d a b m u v w V @.
    @d a b m u v w x y W @.
    gmapfval.u @e |- U = ( ( DVecH ` K ) ` W ) @.
    gmapfval.v @e |- V = ( Base ` U ) @.
    gmapfval.t @e |- .x. = ( .s ` U ) @.
    gmapfval.r @e |- R = ( Scalar ` U ) @.
    gmapfval.b @e |- B = ( Base ` R ) @.
    gmapfval.c @e |- C = ( ( LCDual ` K ) ` W ) @.
    gmapfval.s @e |- .xb = ( .s ` C ) @.
    gmapfval.m @e |- M = ( ( hmap ` K ) ` W ) @.
    gmapfval.i @e |- I = ( ( gmap ` K ) ` W ) @.
    gmapfval.k @e |- ( ph -> ( K e. Y /\ W e. H ) ) @.
    @( Map from the scalar division ring of the vector space to the scalar
       division ring of its closed kernel dual. @)
    gmapfval @p |- ( ph -> I = ( x e. B |-> ( iota_ y e. B
            A. v e. V ( M ` ( x .x. v ) ) = ( y .xb ( M ` v ) ) ) ) ) @=
      ( vw va vb vu vm wcel wa cv co cfv wceq wral crio cmpt clcd cbs chma
      wsbcSBC
      cvsca csca cdvh cab cgma gmapffval fveq1d syl5eq fveq2 eqtr4di dfsbcqSBC
      syl
      wb fveq2d oveqd eqeq2d ralbidv riotabidv mpteq2dv eleq2d sbcbidvSBC cvv
      fvex
      bitrd eqeltri w3a simp2 simp1 eqtrd simp3 fveq12d eqidd eqeq12d raleqbidv
      oveq123d riotaeqbidv mpteq12dv syld3an2 sbc3ieSBC bitrdi abbi1dv mptex
      fvmpt
      eqid sylan9eq ) AMQUNZPKUNZUOLBEBUPZDUPZIUQZNURZCUPZXONURZHUQZUSZDOUTZCEV
      AZVBZUSUHXLXMLPUIKUJUPZBUKUPZXNXOULUPZVGURZUQZUMUPZURZXRXOYJURZUIUPZMVCUR
      ZURZVGURZUQZUSZDYGVDURZUTZCYFVAZVBZUNZUMYMMVEURZURZVFZUKYGVHURZVDURZVFZUL
      YMMVIURZURZVFZUJVJZVBZURZYDXLLPMVKURZURUUOUGXLPUUPUUNBCUIDULUMKMQUJUKRVLV
      MVNUIPUUMYDKUUNYMPUSZUULUJYDUUQUULYEBYFYKXRYLPYNURZVGURZUQZUSZDYSUTZCYFVA
      ZVBZUNZUMNVFZUKUUHVFZULJVFZYEYDUNZUUQUULUUIULJVFZUVHUUQUUKJUSUULUVJVSUUQU
      UKPUUJURZJYMPUUJVOSVPUUIULUUKJVQVRUUQUUIUVGULJUUQUUFUVFUKUUHUUQUUFUUCUMNV
      FZUVFUUQUUENUSUUFUVLVSUUQUUEPUUDURZNYMPUUDVOUFVPUUCUMUUENVQVRUUQUUCUVEUMN
      UUQUUBUVDYEUUQBYFUUAUVCUUQYTUVBCYFUUQYRUVADYSUUQYQUUTYKUUQYPUUSXRYLUUQYOU
      URVGYMPYNVOVTWAWBWCWDWEWFWGWJWGWGWJUVEUVIULUKUMJUUHNJUVKWHSPUUJWIWKUUGVDW
      INUVMWHUFPUUDWIWKYGJUSZYFEUSZYFUUHUSZYJNUSZUVEUVIVSUVNUVPUVQWLZYFGVDURZEU
      VRYFUUHUVSUVNUVPUVQWMUVRUUGGVDUVRUUGJVHURGUVRYGJVHUVNUVPUVQWNVTUBVPVTWOUC
      VPUVNUVOUVQWLZUVDYDYEUVTBYFUVCEYCUVNUVOUVQWMZUVTUVBYBCYFEUWAUVTUVAYADYSOU
      VTYSJVDUROUVTYGJVDUVNUVOUVQWNZVTTVPUVTYKXQUUTXTUVTYIXPYJNUVNUVOUVQWPZUVTY
      HIXNXOUVTYHJVGURIUVTYGJVGUWBVTUAVPWAWQUVTXRXRYLXSUUSHUVTUUSFVGURHUVTUURFV
      GUVTUURUURFUVTUURWRUDVPVTUEVPUVTXRWRUVTXOYJNUWCVMXAWSWTXBXCWFXDXEXFXGUUNX
      JBEYCEUVSWHUCGVDWIWKXHXIXKVR @.
      @( [25-Mar-2015] @)

    @d x .- @.  @d x T @.  @d x V @.  @d v x y X @.
    gmapval.x @e |- ( ph -> X e. B ) @.
    @( Value of map from the scalar division ring of the vector space to the
       scalar division ring of its closed kernel dual. @)
    gmapval @p |- ( ph -> ( I ` X ) = ( iota_ y e. B
            A. v e. V ( M ` ( X T v ) ) = ( y .- ( M ` v ) ) ) ) @=
      ( vx cfv cv co wceq wral crio cmpt gmapfval fveq1d wcel cvv riotaex oveq1
      fveq2d eqeq1d ralbidv riotabidv eqid fvmptg sylancl eqtrd ) APKUKPUJDUJUL
      ZCULZHUMZMUKZBULVMMUKGUMZUNZCNUOZBDUPZUQZUKZPVMHUMZMUKZVPUNZCNUOZBDUPZAPK
      VTAUJBCDEFGHIJKLMNOQRSTUAUBUCUDUEUFUGUHURUSAPDUTWFVAUTWAWFUNUIWEBDVBUJPVS
      WFDVAVTVLPUNZVRWEBDWGVQWDCNWGVOWCVPWGVNWBMVLPVMHVCVDVEVFVGVTVHVIVJVK @.
      @( [25-Mar-2015] @)
  @}
$)

  ${
    lspindp5.v $e |- V = ( Base ` W ) $.
    lspindp5.n $e |- N = ( LSpan ` W ) $.
    lspindp5.w $e |- ( ph -> W e. LVec ) $.
    lspindp5.y $e |- ( ph -> X e. V ) $.
    lspindp5.x $e |- ( ph -> Y e. V ) $.
    lspindp5.u $e |- ( ph -> U e. V ) $.
    lspindp5.e $e |- ( ph -> Z e. ( N ` { X , U } ) ) $.
    lspindp5.m $e |- ( ph -> -. Z e. ( N ` { X , Y } ) ) $.
    $( Obtain an independent vector set ` U , X , Y ` from a vector ` U `
       dependent on ` X ` and ` Z ` and another independent set ` Z , X , Y ` .
       (Here we don't show the ` ( N `` { X } ) =/= ( N `` { Y } ) ` part of
       the independence, which passes straight through.  We also don't show
       nonzero vector requirements that are redundant for this theorem.
       Different orderings can be obtained using ~ lspexch and ~ prcom .)
       (Contributed by NM, 4-May-2015.) $)
    lspindp5 $p |- ( ph -> -. U e. ( N ` { X , Y } ) ) $=
      ( cfv wcel wss syl2anc cpr ssel syl5com mtod clsm co clmod clvec lveclmod
      csn wa syl prssi snsspr1 a1i lspss syl3anc biantrurd csubg clss lsssssubg
      wb eqid lspsncl sseldd lspprcl lsmlub bitrd lspsnel5 lsmpr sseq1d 3bitr4d
      mtbird ) ABFGUAZCQZRZFBUACQZVOSZAVRHVORZPAHVQRVRVSOVQVOHUBUCUDABUJCQZVOSZ
      FUJZCQZVTEUEQZUFZVOSZVPVRAWAWCVOSZWAUKZWFAWGWAAEUGRZVNDSZWBVNSZWGAEUHRWIK
      EUIULZAFDRZGDRWJLMFGDUMTWKAFGUNUOWBVNCDEIJUPUQURAWCEUSQZRVTWNRVOWNRWHWFVB
      AEUTQZWNWCAWIWOWNSWLWOEWOVCZVAULZAWIWMWCWORWLLWOCDEFIWPJVDTVEAWOWNVTWQAWI
      BDRVTWORWLNWOCDEBIWPJVDTVEAWOWNVOWQAWOCDEFGIWPJWLLMVFZVEWDWCVTVOEWDVCZVGU
      QVHAWOVOCDEBIWPJWLWRNVIAVQWEVOAWDCDEFBIJWSWLLNVJVKVLVM $.
  $}

  ${
    hdmaplem1.v $e |- V = ( Base ` W ) $.
    hdmaplem1.n $e |- N = ( LSpan ` W ) $.
    ${
      hdmaplem1.w $e |- ( ph -> W e. LMod ) $.
      hdmaplem1.z $e |- ( ph -> Z e. V ) $.
      hdmaplem1.j $e |- ( ph -> -. Z e. ( ( N ` { X } ) u. ( N ` { Y } ) ) ) $.
      ${
        hdmaplem1.x $e |- ( ph -> X e. V ) $.
        $( Lemma to convert a frequently-used union condition.  TODO: see if
           this can be applied to other hdmap* theorems.  (Contributed by NM,
           17-May-2015.) $)
        hdmaplem1 $p |- ( ph -> ( N ` { Z } ) =/= ( N ` { X } ) ) $=
          ( csn cfv cun wcel elun1 nsyl lspsnne2 ) ABCDGEHIJKMAGENBOZFNBOZPQGUA
          QLGUAUBRST $.
      $}

      hdmaplem1.y $e |- ( ph -> Y e. V ) $.
      $( Lemma to convert a frequently-used union condition.  TODO: see if this
         can be applied to other hdmap* theorems.  (Contributed by NM,
         17-May-2015.)  (New usage is discouraged.) $)
      hdmaplem2N $p |- ( ph -> ( N ` { Z } ) =/= ( N ` { Y } ) ) $=
        ( csn cfv cun wcel elun2 nsyl lspsnne2 ) ABCDGFHIJKMAGENBOZFNBOZPQGUBQL
        GUBUARST $.

      hdmaplem3.o $e |- .0. = ( 0g ` W ) $.
      $( Lemma to convert a frequently-used union condition.  TODO: see if this
         can be applied to other hdmap* theorems.  (Contributed by NM,
         17-May-2015.) $)
      hdmaplem3 $p |- ( ph -> Z e. ( V \ { .0. } ) ) $=
        ( clss cfv csn eqid wcel clmod lspsncl syl2anc cun elun2 nsyl lssneln0
        ) ADPQZFRBQZCDHGOUHSZKADUATFCTUIUHTKNUHBCDFIUJJUBUCLAHERBQZUIUDTHUITMHU
        IUKUEUFUG $.
    $}

    hdmaplem4.o $e |- .0. = ( 0g ` W ) $.
    hdmaplem4.w $e |- ( ph -> W e. LVec ) $.
    hdmaplem4.x $e |- ( ph -> X e. V ) $.
    hdmaplem4.y $e |- ( ph -> Y e. V ) $.
    hdmaplem4.z $e |- ( ph -> Z e. ( V \ { .0. } ) ) $.
    hdmaplem4.e $e |- ( ph -> ( N ` { Z } ) =/= ( N ` { X } ) ) $.
    hdmaplem4.f $e |- ( ph -> ( N ` { Z } ) =/= ( N ` { Y } ) ) $.
    $( Lemma to convert a frequently-used union condition.  TODO: see if this
       can be applied to other hdmap* theorems.  (Contributed by NM,
       17-May-2015.) $)
    hdmaplem4 $p |- ( ph -> -. Z e. ( ( N ` { X } ) u. ( N ` { Y } ) ) ) $=
      ( csn wcel wn cfv cun lspsnne1 wo wa ioran elun xchnxbir sylanbrc ) AHERB
      UAZSZTZHFRBUAZSZTZHUJUMUBSZTABCDHEGIKJLOMPUCABCDHFGIKJLONQUCUKUNUDULUOUEU
      PUKUNUFHUJUMUGUHUI $.
  $}

  ${
    $d h x .- $.  $d h x .0. $.  $d h C $.  $d h x D $.  $d h x F $.  $d h I $.
    $d h x G $.  $d h x J $.  $d h x M $.  $d h x N $.  $d h ph $.  $d h x R $.
    $d x Q $.  $d h x T $.  $d h U $.  $d h x X $.  $d h x Y $.
    mapdh8a.h $e |- H = ( LHyp ` K ) $.
    mapdh8a.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    mapdh8a.v $e |- V = ( Base ` U ) $.
    mapdh8a.s $e |- .- = ( -g ` U ) $.
    mapdh8a.o $e |- .0. = ( 0g ` U ) $.
    mapdh8a.n $e |- N = ( LSpan ` U ) $.
    mapdh8a.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    mapdh8a.d $e |- D = ( Base ` C ) $.
    mapdh8a.r $e |- R = ( -g ` C ) $.
    mapdh8a.q $e |- Q = ( 0g ` C ) $.
    mapdh8a.j $e |- J = ( LSpan ` C ) $.
    mapdh8a.m $e |- M = ( ( mapd ` K ) ` W ) $.
    mapdh8a.i $e |- I = ( x e. _V |->
     if ( ( 2nd ` x ) = .0. , Q ,
        ( iota_ h e. D ( ( M ` ( N ` { ( 2nd ` x ) } ) ) = ( J ` { h } )
           /\ ( M ` ( N ` { ( ( 1st ` ( 1st ` x ) ) .- ( 2nd ` x ) ) } ) )
                 = ( J ` { ( ( 2nd ` ( 1st ` x ) ) R h ) } ) ) ) ) ) $.
    mapdh8a.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.

    ${
      mapdh8a.f $e |- ( ph -> F e. D ) $.
      mapdh8a.mn $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( J ` { F } ) ) $.
      mapdh8a.a $e |- ( ph -> ( I ` <. X , F , Y >. ) = G ) $.
      mapdh8a.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      mapdh8a.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      mapdh8a.yz $e |- ( ph -> ( N ` { Y } ) =/= ( N ` { T } ) ) $.
      mapdh8a.xt $e |- ( ph -> T e. ( V \ { .0. } ) ) $.
      mapdh8a.xn $e |- ( ph -> -. X e. ( N ` { Y , T } ) ) $.
      $( Part of Part (8) in [Baer] p. 48.  (Contributed by NM, 5-May-2015.) $)
      mapdh8a $p |- ( ph
           -> ( I ` <. Y , G , T >. ) = ( I ` <. X , F , T >. ) ) $=
        ( cotp cfv eqidd mapdheq4 ) ABCDEFHIUAJGVFMVGZJKLMNOPQRSTUAUBUCGUMUPUDU
        OUEUFUGUHUIUJUKULUNUQURUSVAVBVDVEVCUTAVJVHVI $.
    $}

    $d h x E $.  $d h x Z $.
    ${
      mapdh8aa.f $e |- ( ph -> F e. D ) $.
      mapdh8aa.mn $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( J ` { F } ) ) $.
      mapdh8aa.eg $e |- ( ph -> ( I ` <. X , F , Y >. ) = G ) $.
      mapdh8aa.ee $e |- ( ph -> ( I ` <. X , F , Z >. ) = E ) $.
      mapdh8aa.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      mapdh8aa.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      mapdh8aa.z $e |- ( ph -> Z e. ( V \ { .0. } ) ) $.
      mapdh8aa.zt $e |- ( ph -> ( N ` { Z } ) =/= ( N ` { T } ) ) $.
      mapdh8aa.t $e |- ( ph -> T e. ( V \ { .0. } ) ) $.
      mapdh8aa.yn $e |- ( ph -> -. Y e. ( N ` { Z , T } ) ) $.
      mapdh8aa.xn $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
      $( Part of Part (8) in [Baer] p. 48.  (Contributed by NM,
         12-May-2015.) $)
      mapdh8aa $p |- ( ph
           -> ( I ` <. Y , G , T >. ) = ( I ` <. Z , E , T >. ) ) $=
        ( cotp cfv csn eldifad dvhlvec lspindpi simpld mapdhcl eqeltrrd wceq co
        wne wa mapdheq mpbid mapdh75d mapdh8a eqcomd ) AUEJGVKNVLUCLGVKNVLABCDE
        FGHILJMNOPQRSTUAUCUEUDUFUGUHUIUJUKULUMUNUOUPUQURUSAUBKUCVKNVLZLDVBABCDE
        FHIKMNOPQRSTUAUBUCUDUOURUFUQUGUHUIUJUKULUMUNUPUSUTVAVDAUCTUDVMZVEVNZAUB
        VMSVLZUCVMSVLZWBWLUEVMSVLZWBASTHUBUCUEUHUKAHMPUAUFUGUSVOZAUBTWJVDVNWKAU
        ETWJVFVNZVJVPVQZVRVSZAWMQVLLVMOVLVTZUBUCRWAVMSVLQVLKLFWAVMOVLVTZAWILVTW
        SWTWCVBABCDEFHIKLMNOPQRSTUAUBUCUDUOURUFUQUGUHUIUJUKULUMUNUPUSUTVAVDVEWR
        WQWDWEVQABCDEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVB
        VCAWMWNWBWMGVMSVLWBASTHUCUEGUHUKWOWKWPAGTWJVHVNVIVPVQVJVDVEVFWFVEVFVGVH
        VIWGWH $.
    $}

    ${
      mapdh8ab.f $e |- ( ph -> F e. D ) $.
      mapdh8ab.mn $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( J ` { F } ) ) $.
      mapdh8ab.eg $e |- ( ph -> ( I ` <. X , F , Y >. ) = G ) $.
      mapdh8ab.ee $e |- ( ph -> ( I ` <. X , F , Z >. ) = E ) $.
      mapdh8ab.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      mapdh8ab.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      mapdh8ab.z $e |- ( ph -> Z e. ( V \ { .0. } ) ) $.
      mapdh8ab.t $e |- ( ph -> T e. ( V \ { .0. } ) ) $.
      mapdh8ab.yz $e |- ( ph -> ( N ` { Y } ) =/= ( N ` { Z } ) ) $.
      mapdh8ab.xn $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
      mapdh8ab.yn $e |- ( ph -> ( N ` { X } ) = ( N ` { T } ) ) $.
      $( Part of Part (8) in [Baer] p. 48.  (Contributed by NM,
         13-May-2015.) $)
      mapdh8ab $p |- ( ph
           -> ( I ` <. Y , G , T >. ) = ( I ` <. Z , E , T >. ) ) $=
        ( csn cfv wne dvhlvec eldifad lspindpi simprd necomd neeqtrd cpr sseq1d
        wcel wss clss eqid dvhlmod lspprcl lspsnel5 3bitr4d mtbid wa clvec cdif
        adantr simpr prcom fveq2i eleqtrdi lspexch mtand mapdh8aa ) ABCDEFGHIJK
        LMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFAUEVKSVLZU
        BVKSVLZGVKSVLZAXCXBAXCUCVKSVLZVMXCXBVMASTHUBUCUEUHUKAHMPUAUFUGUSVNZAUBT
        UDVKZVDVOZAUCTXGVEVOZAUETXGVFVOZVIVPVQVRVJVSVGAUCUEGVTZSVLZWBZGUCUEVTSV
        LZWBZAUBXNWBZXOVIAXCXNWCXDXNWCXPXOAXCXDXNVJWAAHWDVLZXNSTHUBUHXQWEZUKAHM
        PUAUFUGUSWFZAXQSTHUCUEUHXRUKXSXIXJWGZXHWHAXQXNSTHGUHXRUKXSXTAGTXGVGVOZW
        HWIWJAXMWKZSTHUCGUDUEUHUJUKAHWLWBXMXFWNAUCTXGWMWBXMVEWNAGTWBXMYAWNAUETW
        BXMXJWNAXEXBVMXMVHWNYBUCXLGUEVTZSVLAXMWOXKYCSUEGWPWQWRWSWTVIXA $.
    $}

    ${
      $d h x B $.  $d h x w $.
      mapdh8ac.f $e |- ( ph -> F e. D ) $.
      mapdh8ac.mn $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( J ` { F } ) ) $.
      mapdh8ac.eg $e |- ( ph -> ( I ` <. X , F , Y >. ) = G ) $.
      mapdh8ac.ee $e |- ( ph -> ( I ` <. X , F , Z >. ) = E ) $.
      mapdh8ac.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      mapdh8ac.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      mapdh8ac.z $e |- ( ph -> Z e. ( V \ { .0. } ) ) $.
      mapdh8ac.t $e |- ( ph -> T e. ( V \ { .0. } ) ) $.
      mapdh8ac.yn $e |- ( ph -> ( N ` { X } ) = ( N ` { T } ) ) $.
      ${
        mapdh8ac.ew $e |- ( ph -> ( I ` <. X , F , w >. ) = B ) $.
        mapdh8ac.w $e |- ( ph -> w e. ( V \ { .0. } ) ) $.
        mapdh8ac.yw $e |- ( ph -> ( N ` { Y } ) =/= ( N ` { w } ) ) $.
        mapdh8ac.xy $e |- ( ph -> -. X e. ( N ` { Y , w } ) ) $.
        mapdh8ac.wz $e |- ( ph -> ( N ` { w } ) =/= ( N ` { Z } ) ) $.
        mapdh8ac.xz $e |- ( ph -> -. X e. ( N ` { w , Z } ) ) $.
        $( Part of Part (8) in [Baer] p. 48.  (Contributed by NM,
           13-May-2015.) $)
        mapdh8ac $p |- ( ph
             -> ( I ` <. Y , G , T >. ) = ( I ` <. Z , E , T >. ) ) $=
          ( cotp cfv cv mapdh8ab eqtrd ) AUENIVQPVRCVSZDIVQPVRUGLIVQPVRABEFGHIJ
          KDMNOPQRSTUAUBUCUDUEUFWBUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVKVFVGVLVIV
          MVNVJVTABEFGHIJKLMDOPQRSTUAUBUCUDWBUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVB
          VCVKVEVFVLVHVIVOVPVJVTWA $.
      $}

      $d w E $.  $d w G $.  $d w x I $.  $d w N $.  $d w T $.  $d w U $.
      $d h w V $.  $d w X $.  $d w Y $.  $d w Z $.  $d w ph $.
      mapdh8ad.xy $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
      mapdh8ad.xz $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Z } ) ) $.
      $( Part of Part (8) in [Baer] p. 48.  (Contributed by NM,
         13-May-2015.) $)
      mapdh8ad $p |- ( ph
           -> ( I ` <. Y , G , T >. ) = ( I ` <. Z , E , T >. ) ) $=
        ( vw cv cpr cfv wcel wn wa wrex cotp wceq csn eldifad dvh3dim2 w3a chlt
        3ad2ant1 cdif eqidd clss eqid clmod dvhlmod lspprcl simp3l lssneln0 wne
        simp2 clvec lspindpi simprd necomd simpl1 syl simpl2 simpr prcom fveq2i
        dvhlvec eleqtrdi lspexch mtand simp3r mapdh8ac rexlimdv3a mpd ) AVKVLZU
        BUCVMSVNZVOZVPZXPUBUEVMSVNVOZVPZVQZVKTVRUCLGVSNVNUEJGVSNVNVTZAVKHMPSTUA
        UBUCUEUFUGUHUKUSAUBTUDWAZVDWBZAUCTYDVEWBZAUETYDVFWBZWCAYBYCVKTAXPTVOZYB
        WDZBVKUBKXPVSNVNZCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQUR
        AYHPWEVOUAMVOVQYBUSWFAYHKDVOYBUTWFAYHUBWASVNZQVNKWAOVNVTYBVAWFAYHUBKUCV
        SNVNLVTYBVBWFAYHUBKUEVSNVNJVTYBVCWFAYHUBTYDWGZVOZYBVDWFAYHUCYLVOYBVEWFA
        YHUEYLVOYBVFWFAYHGYLVOYBVGWFAYHYKGWASVNVTYBVHWFYIYJWHYIHWIVNZXQTHXPUDUJ
        YNWJZAYHHWKVOYBAHMPUAUFUGUSWLZWFAYHXQYNVOYBAYNSTHUBUCUHYOUKYPYEYFWMWFAY
        HYBWQZAYHXSYAWNZWOYIXPWASVNZUCWASVNZYIYSYKWPZYSYTWPYISTHXPUBUCUHUKAYHHW
        RVOZYBAHMPUAUFUGUSXHZWFZYQAYHUBTVOYBYEWFZAYHUCTVOZYBYFWFYRWSWTXAYIUBUCX
        PVMZSVNZVOZXRYRYIUUIVQZSTHUBXPUDUCUHUJUKUUJAUUBAYHYBUUIXBZUUCXCUUJAYMUU
        KVDXCAYHYBUUIXDUUJAUUFUUKYFXCUUJAYKYTWPUUKVIXCUUJUBUUHXPUCVMZSVNYIUUIXE
        UUGUULSUCXPXFXGXIXJXKYIUUAYSUEWASVNZWPYISTHXPUBUEUHUKUUDYQUUEAYHUETVOZY
        BYGWFAYHXSYAXLZWSWTYIUBXPUEVMSVNVOZXTUUOYIUUPVQZSTHUBXPUDUEUHUJUKUUQAUU
        BAYHYBUUPXBZUUCXCUUQAYMUURVDXCAYHYBUUPXDUUQAUUNUURYGXCUUQAYKUUMWPUURVJX
        CYIUUPXEXJXKXMXNXO $.
    $}

    $d h x w $.
    ${
      mapdh8b.f $e |- ( ph -> G e. D ) $.
      mapdh8b.mn $e |- ( ph -> ( M ` ( N ` { Y } ) ) = ( J ` { G } ) ) $.
      mapdh8b.a $e |- ( ph -> ( I ` <. Y , G , w >. ) = E ) $.
      mapdh8b.x $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      mapdh8b.y $e |- ( ph -> w e. ( V \ { .0. } ) ) $.
      mapdh8b.yz $e |- ( ph -> ( N ` { w } ) =/= ( N ` { T } ) ) $.
      mapdh8b.xt $e |- ( ph -> T e. ( V \ { .0. } ) ) $.
      mapdh8b.vw $e |- ( ph -> ( N ` { Y } ) =/= ( N ` { w } ) ) $.
      mapdh8b.e $e |- ( ph -> X e. ( N ` { Y , T } ) ) $.
      mapdh8b.xn $e |- ( ph -> -. X e. ( N ` { Y , w } ) ) $.
      $( Part of Part (8) in [Baer] p. 48.  (Contributed by NM, 6-May-2015.) $)
      mapdh8b $p |- ( ph
           -> ( I ` <. w , E , T >. ) = ( I ` <. Y , G , T >. ) ) $=
        ( cv cpr cfv wcel dvhlvec eldifad lspindp5 prcom fveq2i eleq2i wa clvec
        csn adantr cdif wne simpr lspexch ex syl5bi mtod mapdh8a ) ABDEFGHIJLKM
        NOPQRSTUAUCCVIZUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEAUCWKHVJZSVK
        ZVLZHUCWKVJSVKVLZAHSTIUCWKUBUGUJAIMPUAUEUFURVMZAUCTUDWAZVBVNAWKTWQVCVNZ
        AHTWQVEVNZVGVHVOWNUCHWKVJZSVKZVLZAWOWMXAUCWLWTSWKHVPVQVRAXBWOAXBVSSTIUC
        HUDWKUGUIUJAIVTVLXBWPWBAUCTWQWCVLXBVBWBAHTVLXBWSWBAWKTVLXBWRWBAUCWASVKW
        KWASVKWDXBVFWBAXBWEWFWGWHWIWJ $.
    $}

    ${
      mapdh8c.f $e |- ( ph -> F e. D ) $.
      mapdh8c.mn $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( J ` { F } ) ) $.
      mapdh8c.a $e |- ( ph -> ( I ` <. X , F , w >. ) = E ) $.
      mapdh8c.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      mapdh8c.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      mapdh8c.xt $e |- ( ph -> T e. ( V \ { .0. } ) ) $.
      mapdh8c.yz $e |- ( ph -> ( N ` { Y } ) =/= ( N ` { T } ) ) $.
      mapdh8c.w $e |- ( ph -> w e. ( V \ { .0. } ) ) $.
      mapdh8c.wt $e |- ( ph -> ( N ` { w } ) =/= ( N ` { T } ) ) $.
      mapdh8c.ut $e |- ( ph -> ( N ` { X } ) =/= ( N ` { T } ) ) $.
      mapdh8c.vw $e |- ( ph -> ( N ` { Y } ) =/= ( N ` { w } ) ) $.
      mapdh8c.e $e |- ( ph -> X e. ( N ` { Y , T } ) ) $.
      mapdh8c.xn $e |- ( ph -> -. X e. ( N ` { Y , w } ) ) $.
      $( Part of Part (8) in [Baer] p. 48.  (Contributed by NM, 6-May-2015.) $)
      mapdh8c $p |- ( ph
           -> ( I ` <. w , E , T >. ) = ( I ` <. X , F , T >. ) ) $=
        ( csn cfv wne cv dvhlvec eldifad lspindpi simprd lspexch cpr wcel clvec
        wa adantr cdif simpr mtand mapdh8b ) ABCDEFGHIJKLMNOPQRSTUAUCUBUDUEUFUG
        UHUIUJUKULUMUNUOUPUQURUSUTVAVBVFVGVDAUBVLSVMZUCVLSVMZVNWJCVOZVLSVMZVNAS
        TIUBUCWLUGUJAIMPUAUEUFURVPZAUBTUDVLZVBVQZAUCTWOVCVQZAWLTWOVFVQZVKVRVSAS
        TIUBUCUDHUGUIUJWNVBWQAHTWOVDVQVHVJVTAUCUBWLWASVMWBZUBUCWLWASVMWBVKAWSWD
        STIUCUBUDWLUGUIUJAIWCWBWSWNWEAUCTWOWFWBWSVCWEAUBTWBWSWPWEAWLTWBWSWRWEAW
        KWMVNWSVIWEAWSWGVTWHWI $.
    $}

    $d x I $.
    ${
      mapdh8d.f $e |- ( ph -> F e. D ) $.
      mapdh8d.mn $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( J ` { F } ) ) $.
      mapdh8b.eg $e |- ( ph -> ( I ` <. X , F , Y >. ) = G ) $.
      mapdh8d.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      mapdh8d.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      mapdh8d.xt $e |- ( ph -> T e. ( V \ { .0. } ) ) $.
      mapdh8d.yz $e |- ( ph -> ( N ` { Y } ) =/= ( N ` { T } ) ) $.
      mapdh8d.w $e |- ( ph -> w e. ( V \ { .0. } ) ) $.
      mapdh8d.wt $e |- ( ph -> ( N ` { w } ) =/= ( N ` { T } ) ) $.
      mapdh8d.ut $e |- ( ph -> ( N ` { X } ) =/= ( N ` { T } ) ) $.
      mapdh8d.vw $e |- ( ph -> ( N ` { Y } ) =/= ( N ` { w } ) ) $.
      mapdh8d.xn $e |- ( ph -> -. X e. ( N ` { Y , w } ) ) $.
      ${
        mapdh8d0.e $e |- ( ph -> X e. ( N ` { Y , T } ) ) $.
        $( Part of Part (8) in [Baer] p. 48.  (Contributed by NM, 10-May-2015.)
           (New usage is discouraged.) $)
        mapdh8d0N $p |- ( ph
           -> ( I ` <. Y , G , T >. ) = ( I ` <. X , F , T >. ) ) $=
          ( cv cotp cfv csn eldifad dvhlvec lspindpi simpld mapdhcl eqeltrrd co
          wne wceq wa mapdheq mpbid mapdh8a mapdh8b eqidd mapdh8c eqtr3d ) ACVL
          ZUBKWMVMNVNZHVMNVNUCLHVMNVNUBKHVMNVNABCDEFGHIJWNLMNOPQRSTUAUBUCUDUEUF
          UGUHUIUJUKULUMUNUOUPUQURAUBKUCVMNVNZLEVAABDEFGIJKMNOPQRSTUAUBUCUDUNUQ
          UEUPUFUGUHUIUJUKULUMUOURUSUTVBAUCTUDVOZVCVPZAUBVOSVNZUCVOSVNZWCWRWMVO
          SVNWCASTIUBUCWMUGUJAIMPUAUEUFURVQAUBTWPVBVPWQAWMTWPVFVPVJVRVSZVTWAZAW
          SQVNLVOOVNWDZUBUCRWBVOSVNQVNKLGWBVOOVNWDZAWOLWDXBXCWEVAABDEFGIJKLMNOP
          QRSTUAUBUCUDUNUQUEUPUFUGUHUIUJUKULUMUOURUSUTVBVCXAWTWFWGVSABDEFGWMIJK
          LMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVIVFVJWHVCVFVG
          VDVIVKVJWIABCDEFGHIJWNKMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUS
          UTAWNWJVBVCVDVEVFVGVHVIVKVJWKWL $.
      $}
      $( Part of Part (8) in [Baer] p. 48.  (Contributed by NM, 6-May-2015.) $)
      mapdh8d $p |- ( ph
           -> ( I ` <. Y , G , T >. ) = ( I ` <. X , F , T >. ) ) $=
        ( cpr cfv wcel cotp wceq wa cv chlt adantr csn eldifad dvhlvec lspindpi
        wne simpld mapdhcl eqeltrrd co mapdheq mpbid mapdh8a cdif simpr mapdh8b
        wn eqidd mapdh8c eqtr3d pm2.61dan ) AUBUCHVKSVLVMZUCLHVNNVLZUBKHVNNVLZV
        OAWTVPZCVQZUBKXDVNNVLZHVNNVLXAXBXCBCDEFGHIJXELMNOPQRSTUAUBUCUDUEUFUGUHU
        IUJUKULUMUNUOUPUQAPVRVMUAMVMVPZWTURVSZALEVMWTAUBKUCVNNVLZLEVAABDEFGIJKM
        NOPQRSTUAUBUCUDUNUQUEUPUFUGUHUIUJUKULUMUOURUSUTVBAUCTUDVTZVCWAZAUBVTSVL
        ZUCVTSVLZWDXKXDVTSVLZWDASTIUBUCXDUGUJAIMPUAUEUFURWBAUBTXIVBWAXJAXDTXIVF
        WAVJWCWEZWFWGZVSAXLQVLLVTOVLVOZWTAXPUBUCRWHVTSVLQVLKLGWHVTOVLVOZAXHLVOZ
        XPXQVPVAABDEFGIJKLMNOPQRSTUAUBUCUDUNUQUEUPUFUGUHUIUJUKULUMUOURUSUTVBVCX
        OXNWIWJWEVSAUCLXDVNNVLXEVOWTABDEFGXDIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKU
        LUMUNUOUPUQURUSUTVAVBVCVIVFVJWKVSAUCTXIWLZVMZWTVCVSZAXDXSVMWTVFVSZAXMHV
        TSVLZWDWTVGVSZAHXSVMZWTVDVSZAXLXMWDWTVIVSZAWTWMZAUBUCXDVKSVLVMWOWTVJVSZ
        WNXCBCDEFGHIJXEKMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQXGAKEVMZWTUSV
        SAXKQVLKVTOVLVOZWTUTVSXCXEWPAUBXSVMZWTVBVSYAYFAXLYCWDZWTVEVSYBYDAXKYCWD
        WTVHVSYGYHYIWQWRAWTWOZVPBDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNU
        OUPUQAXFYNURVSAYJYNUSVSAYKYNUTVSAXRYNVAVSAYLYNVBVSAXTYNVCVSAYMYNVEVSAYE
        YNVDVSAYNWMWKWS $.
    $}

    ${
      $d w F $.  $d w G $.  $d w I $.  $d w N $.  $d w T $.  $d w U $.
      $d h V $.  $d w V $.  $d w X $.  $d w Y $.  $d w ph $.
      mapdh8e.f $e |- ( ph -> F e. D ) $.
      mapdh8e.mn $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( J ` { F } ) ) $.
      mapdh8e.eg $e |- ( ph -> ( I ` <. X , F , Y >. ) = G ) $.
      mapdh8e.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      mapdh8e.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      mapdh8e.t $e |- ( ph -> T e. ( V \ { .0. } ) ) $.
      mapdh8e.xy $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
      mapdh8e.xt $e |- ( ph -> ( N ` { X } ) =/= ( N ` { T } ) ) $.
      mapdh8e.yt $e |- ( ph -> ( N ` { Y } ) =/= ( N ` { T } ) ) $.
      ${
        mapdh8e.e $e |- ( ph -> X e. ( N ` { Y , T } ) ) $.
        $( Part of Part (8) in [Baer] p. 48.  Eliminate ` w ` .  (Contributed
           by NM, 10-May-2015.) $)
        mapdh8e $p |- ( ph
             -> ( I ` <. Y , G , T >. ) = ( I ` <. X , F , T >. ) ) $=
          ( vw cv cpr cfv wcel wrex cotp wceq csn eldifad dvh3dim chlt 3ad2ant1
          wn w3a wa cdif wne clss eqid clmod dvhlmod lspprcl simp2 lssneln0 wss
          simp3 dvhlvec prcom fveq2i eleqtrdi lspexch lspsnel5a adantr lspsnel5
          simpr biimprd con3d 3impia nssne2 syl2anc necomd clvec simprd mapdh8d
          lspindpi lspindp2l rexlimdv3a mpd ) AVHVIZUAUBVJRVKZVLZWAZVHSVMUBKGVN
          MVKUAJGVNMVKVOZAVHHLORSTUAUBUDUEUFUIUQAUASUCVPZVAVQZAUBSYBVBVQZVRAXTY
          AVHSAXQSVLZXTWBZBVHCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUP
          AYEOVSVLTLVLWCXTUQVTAYEJDVLXTURVTAYEUAVPRVKZPVKJVPNVKVOXTUSVTAYEUAJUB
          VNMVKKVOXTUTVTAYEUASYBWDZVLXTVAVTZAYEUBYHVLXTVBVTAYEGYHVLXTVCVTAYEUBV
          PRVKZGVPRVKZWEXTVFVTYFHWFVKZXRSHXQUCUHYLWGZAYEHWHVLZXTAHLOTUDUEUQWIZV
          TAYEXRYLVLZXTAYLRSHUAUBUFYMUIYOYCYDWJZVTAYEXTWKZAYEXTWNZWLYFYKXQVPRVK
          ZYFYKXRWMZYTXRWMZWAZYKYTWEAYEUUAXTAYLXRRHGYMUIYOYQARSHUAGUCUBUFUHUIAH
          LOTUDUEUQWOZVAAGSYBVCVQYDVDAUAUBGVJZRVKGUBVJZRVKVGUUEUUFRUBGWPWQWRWSW
          TVTAYEXTUUCAYEWCZUUBXSUUGXSUUBUUGYLXRRSHXQUFYMUIAYNYEYOXAAYPYEYQXAAYE
          XCXBXDXEXFYKYTXRXGXHXIAYEYGYKWEXTVEVTYFYTYJYFYTYGWEYTYJWEYFRSHXQUAUBU
          FUIAYEHXJVLXTUUDVTZYRAYEUASVLXTYCVTAYEUBSVLXTYDVTZYSXMXKXIYFYJYTWEUAU
          BXQVJRVKVLWAYFRSHUAUBUCXQUFUHUIUUHYIUUIYRAYEYGYJWEXTVDVTYSXNXKXLXOXP
          $.
      $}

      $( Part of Part (8) in [Baer] p. 48.  Eliminate
         ` X e. ( N `` { Y , T } ) ` .  TODO: break out ` T =/= .0. ` in
         ~ mapdh8e so we can share hypotheses.  Also, look at hypothesis
         sharing for earlier mapdh8* and mapdh75* stuff.  (Contributed by NM,
         10-May-2015.) $)
      mapdh8g $p |- ( ph
           -> ( I ` <. Y , G , T >. ) = ( I ` <. X , F , T >. ) ) $=
        ( cpr cfv wcel cotp wceq chlt adantr csn cdif wne simpr mapdh8e mapdh8a
        wa wn pm2.61dan ) AUAUBGVGRVHVIZUBKGVJMVHUAJGVJMVHVKAWCVTBCDEFGHIJKLMNO
        PQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPAOVLVITLVIVTZWCUQVMAJDVIZWCURVMAUA
        VNRVHZPVHJVNNVHVKZWCUSVMAUAJUBVJMVHKVKZWCUTVMAUASUCVNVOZVIZWCVAVMAUBWIV
        IZWCVBVMAGWIVIZWCVCVMAWFUBVNRVHZVPWCVDVMAWFGVNRVHZVPWCVEVMAWMWNVPZWCVFV
        MAWCVQVRAWCWAZVTBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPAWDW
        PUQVMAWEWPURVMAWGWPUSVMAWHWPUTVMAWJWPVAVMAWKWPVBVMAWOWPVFVMAWLWPVCVMAWP
        VQVSWB $.
    $}

    $d h V $.
    mapdh8h.f $e |- ( ph -> F e. D ) $.
    mapdh8h.mn $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( J ` { F } ) ) $.
    ${
      mapdh8i.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      mapdh8i.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      mapdh8i.z $e |- ( ph -> Z e. ( V \ { .0. } ) ) $.
      mapdh8i.xy $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
      mapdh8i.xz $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Z } ) ) $.
      mapdh8i.yt $e |- ( ph -> ( N ` { Y } ) =/= ( N ` { T } ) ) $.
      mapdh8i.zt $e |- ( ph -> ( N ` { Z } ) =/= ( N ` { T } ) ) $.
      ${
        mapdh8i.t $e |- ( ph -> T e. ( V \ { .0. } ) ) $.
        mapdh8i.xt $e |- ( ph -> ( N ` { X } ) =/= ( N ` { T } ) ) $.
        $( Part of Part (8) in [Baer] p. 48.  (Contributed by NM,
           11-May-2015.) $)
        mapdh8i $p |- ( ph
             -> ( I ` <. Y , ( I ` <. X , F , Y >. ) , T >. )
                 = ( I ` <. Z , ( I ` <. X , F , Z >. ) , T >. ) ) $=
          ( cotp cfv eqidd mapdh8g eqtr4d ) AUATJUAVILVJZGVILVJTJGVILVJUCTJUCVI
          LVJZGVILVJABCDEFGHIJVNKLMNOPQRSTUAUBUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSA
          VNVKUTVAVGVCVHVEVLABCDEFGHIJVOKLMNOPQRSTUCUBUDUEUFUGUHUIUJUKULUMUNUOU
          PUQURUSAVOVKUTVBVGVDVHVFVLVM $.
      $}

      ${
        mapdh8j.t $e |- ( ph -> T e. ( V \ { .0. } ) ) $.
        $( Part of Part (8) in [Baer] p. 48.  (Contributed by NM,
           13-May-2015.) $)
        mapdh8j $p |- ( ph
             -> ( I ` <. Y , ( I ` <. X , F , Y >. ) , T >. )
                 = ( I ` <. Z , ( I ` <. X , F , Z >. ) , T >. ) ) $=
          ( cotp cfv wceq csn wa chlt wcel adantr eqidd cdif simpr wne mapdh8ad
          mapdh8i pm2.61dane ) AUATJUAVHLVIZGVHLVIUCTJUCVHLVIZGVHLVIVJTVKQVIZGV
          KQVIZAWEWFVJZVLZBCDEFGHIWDJWCKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUO
          UPANVMVNSKVNVLZWGUQVOAJDVNZWGURVOAWEOVIJVKMVIVJZWGUSVOWHWCVPWHWDVPATR
          UBVKVQZVNZWGUTVOAUAWLVNZWGVAVOAUCWLVNZWGVBVOAGWLVNZWGVGVOAWGVRAWEUAVK
          QVIZVSZWGVCVOAWEUCVKQVIZVSZWGVDVOVTAWEWFVSZVLBCDEFGHIJKLMNOPQRSTUAUBU
          CUDUEUFUGUHUIUJUKULUMUNUOUPAWIXAUQVOAWJXAURVOAWKXAUSVOAWMXAUTVOAWNXAV
          AVOAWOXAVBVOAWRXAVCVOAWTXAVDVOAWQWFVSXAVEVOAWSWFVSXAVFVOAWPXAVGVOAXAV
          RWAWB $.
      $}

      mapdh8.t $e |- ( ph -> T e. V ) $.
      $( Part (8) in [Baer] p. 48.  Given a reference vector ` X ` , the value
         of function ` I ` at a vector ` T ` is independent of the choice of
         auxiliary vectors ` Y ` and ` Z ` .  Unlike Baer's, our version does
         not require ` X ` , ` Y ` , and ` Z ` to be independent, and also is
         defined for all ` Y ` and ` Z ` that are not colinear with ` X ` or
         ` T ` .  We do this to make the definition of Baer's sigma function
         more straightforward.  (This part eliminates ` T =/= .0. ` .)
         (Contributed by NM, 13-May-2015.) $)
      mapdh8 $p |- ( ph
           -> ( I ` <. Y , ( I ` <. X , F , Y >. ) , T >. )
               = ( I ` <. Z , ( I ` <. X , F , Z >. ) , T >. ) ) $=
        ( cotp cfv wceq csn cdif cvv fvexd mapdhval0 eqtr4d adantr oteq3 fveq2d
        adantl 3eqtr4d wne chlt wcel anim1i eldifsn sylibr mapdh8j pm2.61dane
        wa ) AUATJUAVHZLVIZGVHZLVIZUCTJUCVHZLVIZGVHZLVIZVJGUBAGUBVJZWJUAWLUBVHZ
        LVIZUCWPUBVHZLVIZWNWRAXAXCVJWSAXAEXCABRUBVKVLZVMCDEFHIWLLMOPQUAUBUMUPUH
        VAAWKLVNVOABXDVMCDEFHIWPLMOPQUCUBUMUPUHVBAWOLVNVOVPVQWSWNXAVJAWSWMWTLGU
        BUAWLVRVSVTWSWRXCVJAWSWQXBLGUBUCWPVRVSVTWAAGUBWBZWJZBCDEFGHIJKLMNOPQRST
        UAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPANWCWDSKWDWJXEUQVQAJDWDXEURVQATVKQVIZOV
        IJVKMVIVJXEUSVQATXDWDXEUTVQAUAXDWDXEVAVQAUCXDWDXEVBVQAXGUAVKQVIZWBXEVCV
        QAXGUCVKQVIZWBXEVDVQAXHGVKQVIZWBXEVEVQAXIXJWBXEVFVQXFGRWDZXEWJGXDWDAXKX
        EVGWEGRUBWFWGWHWI $.
    $}

    $d w y z D $.  $d w y z F $.  $d w y z I $.  $d w y z N $.  $d w y z .0. $.
    $d w y z T $.  $d z U $.  $d w y z V $.  $d w y z X $.  $d w y z ph $.
    $d h x z $.
    mapdh9a.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    mapdh9a.t $e |- ( ph -> T e. V ) $.
    $( Lemma for part (9) in [Baer] p. 48.  TODO: why is this 50% larger than
       ~ mapdh9aOLDN ?  (Contributed by NM, 14-May-2015.) $)
    mapdh9a $p |- ( ph -> E! y e. D A. z e. V (
       -. z e. ( ( N ` { X } ) u. ( N ` { T } ) )
         -> y = ( I ` <. z , ( I ` <. X , F , z >. ) , T >. ) ) ) $=
      ( vw cv csn cfv cun wcel wn cotp wceq wi wral wreu wrex cdif wne w3a chlt
      wa 3ad2ant1 simp3ll simp3rl simplrl necomd simprrl simplrr simprrr mapdh8
      3ad2ant3 3exp ralrimivv wb cpr eldifad dvh3dim clss eqid dvhlmod ad2antrr
      clmod lspprcl simplr simpr lssneln0 clvec dvhlvec lspindpi jca ex mapdhcl
      reximdva mpd co eqidd simprl mapdheq mpbid simpld ancld weq eleq1w fveq2d
      sneq neeq1d anbi12d oteq1 oteq3 oteq2d eqtrd reusv3 syl wo ioran xchnxbir
      elun lspsncl syl2anc lspsnne2 reximdv lspsnel5a anim12d ralimdva lspprid1
      jcad syl5bi imim1d lspprid2 unssd ssneld reusv1 mpbird ) ADVCZUBVDSVEZIVD
      SVEZVFZVGZVHZCVCUULUBLUULVIZNVEZIVIZNVEZVJZVKZDTVLZCFVMZUVDCFVNZAUULTUCVD
      ZVOZVGZUULVDZSVEZUUMVPZUVKUUNVPZVSZVSZUVBVKZDTVLZCFVNZUVFAUVOVBVCZUVHVGZU
      VSVDZSVEZUUMVPZUWBUUNVPZVSZVSZVSZUVAUVSUBLUVSVIZNVEZIVIZNVEZVJZVKZVBTVLDT
      VLZUVRAUWMDVBTTAUULTVGZUVSTVGVSZUWGUWLAUWPUWGVQZBEFGHIJKLMNOPQRSTUAUBUULU
      CUVSUDUEUFUGUHUIUJUKULUMUNUOUPAUWPPVRVGUAMVGVSZUWGUQVTAUWPLFVGZUWGURVTAUW
      PUUMQVELVDOVEVJZUWGUSVTAUWPUBUVHVGZUWGUTVTUVIUVNUWFAUWPWAUVTUWEUVOAUWPWBU
      WQUVKUUMUWGAUVLUWPUVIUVLUVMUWFWCWIWDUWQUWBUUMUWGAUWCUWPUVOUVTUWCUWDWEWIWD
      UWGAUVMUWPUVIUVLUVMUWFWFWIUWGAUWDUWPUVOUVTUWCUWDWGWIAUWPITVGZUWGVAVTWHWJW
      KAUVOUVAFVGZVSZDTVNZUWNUVRWLAUVODTVNZUXEAUULUBIWMSVEZVGVHZDTVNZUXFADJMPST
      UAUBIUDUEUFUIUQAUBTUVGUTWNZVAWOZAUXHUVODTAUWOVSZUXHUVOUXLUXHVSZUVIUVNUXMJ
      WPVEZUXGTJUULUCUHUXNWQZAJWTVGZUWOUXHAJMPUAUDUEUQWRZWSAUXGUXNVGUWOUXHAUXNS
      TJUBIUFUXOUIUXQUXJVAXAZWSAUWOUXHXBZUXLUXHXCZXDUXMSTJUULUBIUFUIAJXEVGUWOUX
      HAJMPUAUDUEUQXFWSUXSAUBTVGZUWOUXHUXJWSAUXBUWOUXHVAWSUXTXGXHXIXKXLAUVOUXDD
      TUXLUVOUXCUXLUVOUXCUXLUVOVSZBEFGHJKUUSMNOPQRSTUAUULIUCUMUPUDUOUEUFUGUHUIU
      JUKULUNAUWRUWOUVOUQWSZUYBBEFGHJKLMNOPQRSTUAUBUULUCUMUPUDUOUEUFUGUHUIUJUKU
      LUNUYCAUWSUWOUVOURWSZAUWTUWOUVOUSWSZAUXAUWOUVOUTWSZAUWOUVOXBUYBUVKUUMUXLU
      VIUVLUVMWEWDZXJZUYBUVKQVEUUSVDOVEVJZUBUULRXMVDSVEQVELUUSHXMVDOVEVJZUYBUUS
      UUSVJUYIUYJVSUYBUUSXNUYBBEFGHJKLUUSMNOPQRSTUAUBUULUCUMUPUDUOUEUFUGUHUIUJU
      KULUNUYCUYDUYEUYFUXLUVIUVNXOZUYHUYGXPXQXRUYKAUXBUWOUVOVAWSUXLUVIUVLUVMWGX
      JXIXSXKXLUVOUWFCDVBFTUVAUWKDVBXTZUVIUVTUVNUWEDVBUVHYAUYLUVLUWCUVMUWDUYLUV
      KUWBUUMUYLUVJUWASUULUVSYCYBZYDUYLUVKUWBUUNUYMYDYEYEUYLUUTUWJNUYLUUTUVSUUS
      IVIUWJUULUVSUUSIYFUYLUUSUWIUVSIUYLUURUWHNUULUVSUBLYGYBYHYIYBYJYKXQAUVQUVD
      CFAUVPUVCDTUXLUUQUVOUVBUUQUULUUMVGZVHZUULUUNVGZVHZVSZUXLUVOUYNUYPYLUYRUUP
      UYNUYPYMUULUUMUUNYOYNUXLUYRUVIUVNUXLUYRUVIUXLUYRVSUXNUUMTJUULUCUHUXOAUXPU
      WOUYRUXQWSAUUMUXNVGZUWOUYRAUXPUYAUYSUXQUXJUXNSTJUBUFUXOUIYPYQWSAUWOUYRXBU
      XLUYOUYQXOXDXIUXLUYOUVLUYQUVMUXLUYOUVLUXLUYOVSSTJUULUBUFUIAUXPUWOUYOUXQWS
      AUWOUYOXBAUYAUWOUYOUXJWSUXLUYOXCYRXIUXLUYQUVMUXLUYQVSSTJUULIUFUIAUXPUWOUY
      QUXQWSAUWOUYQXBAUXBUWOUYQVAWSUXLUYQXCYRXIUUAUUDUUEUUFUUBYSXLAUUQDTVNZUVEU
      VFWLAUXIUYTUXKAUXHUUQDTAUUOUXGUULAUUMUUNUXGAUXNUXGSJUBUXOUIUXQUXRASTJUBIU
      FUIUXQUXJVAUUCYTAUXNUXGSJIUXOUIUXQUXRASTJUBIUFUIUXQUXJVAUUGYTUUHUUIYSXLUU
      QCDFTUVAUUJYKUUK $.

    $( Lemma for part (9) in [Baer] p. 48.  (Contributed by NM, 14-May-2015.)
       (New usage is discouraged.) $)
    mapdh9aOLDN $p |- ( ph -> E! y e. D A. z e. V ( -. z e. ( N ` { X , T } )
         -> y = ( I ` <. z , ( I ` <. X , F , z >. ) , T >. ) ) ) $=
      ( vw cv cpr cfv wcel wn cotp wceq wi wral wreu wrex w3a chlt 3ad2ant1 csn
      cdif clss eqid clmod dvhlmod eldifad simp2l simp3l lssneln0 simp2r simp3r
      wa lspprcl wne clvec dvhlvec lspindpi simpld necomd simprd 3exp ralrimivv
      mapdh8 wb dvh3dim ad2antrr simplr simpr mapdhcl co eqidd mapdheq mpbid ex
      ancld reximdva mpd weq eleq1w notbid oteq1 oteq3 fveq2d oteq2d reusv3 syl
      eqtrd reusv1 mpbird ) ADVCZUBIVDSVEZVFZVGZCVCYGUBLYGVHZNVEZIVHZNVEZVIVJDT
      VKZCFVLZYOCFVMZAYJVBVCZYHVFZVGZWIZYNYRUBLYRVHZNVEZIVHZNVEZVIZVJZVBTVKDTVK
      ZYQAUUGDVBTTAYGTVFZYRTVFZWIZUUAUUFAUUKUUAVNZBEFGHIJKLMNOPQRSTUAUBYGUCYRUD
      UEUFUGUHUIUJUKULUMUNUOUPAUUKPVOVFUAMVFWIZUUAUQVPAUUKLFVFZUUAURVPAUUKUBVQS
      VEZQVELVQOVEVIZUUAUSVPAUUKUBTUCVQZVRVFZUUAUTVPUULJVSVEZYHTJYGUCUHUUSVTZAU
      UKJWAVFZUUAAJMPUAUDUEUQWBZVPZAUUKYHUUSVFZUUAAUUSSTJUBIUFUUTUIUVBAUBTUUQUT
      WCZVAWJZVPZAUUIUUJUUAWDZAUUKYJYTWEZWFUULUUSYHTJYRUCUHUUTUVCUVGAUUIUUJUUAW
      GZAUUKYJYTWHZWFUULYGVQSVEZUUOUULUVLUUOWKZUVLIVQSVEZWKZUULSTJYGUBIUFUIAUUK
      JWLVFZUUAAJMPUAUDUEUQWMZVPZUVHAUUKUBTVFZUUAUVEVPZAUUKITVFZUUAVAVPZUVIWNZW
      OWPUULYRVQSVEZUUOUULUWDUUOWKZUWDUVNWKZUULSTJYRUBIUFUIUVRUVJUVTUWBUVKWNZWO
      WPUULUVMUVOUWCWQUULUWEUWFUWGWQUWBWTWRWSAYJYNFVFZWIZDTVMZUUHYQXAAYJDTVMZUW
      JADJMPSTUAUBIUDUEUFUIUQUVEVAXBZAYJUWIDTAUUIWIZYJUWHUWMYJUWHUWMYJWIZBEFGHJ
      KYLMNOPQRSTUAYGIUCUMUPUDUOUEUFUGUHUIUJUKULUNAUUMUUIYJUQXCZUWNBEFGHJKLMNOP
      QRSTUAUBYGUCUMUPUDUOUEUFUGUHUIUJUKULUNUWOAUUNUUIYJURXCZAUUPUUIYJUSXCZAUUR
      UUIYJUTXCZAUUIYJXDZUWNUVLUUOUWNUVMUVOUWNSTJYGUBIUFUIAUVPUUIYJUVQXCUWSAUVS
      UUIYJUVEXCAUWAUUIYJVAXCZUWMYJXEZWNZWOWPZXFZUWNUVLQVEYLVQOVEVIZUBYGRXGVQSV
      EQVELYLHXGVQOVEVIZUWNYLYLVIUXEUXFWIUWNYLXHUWNBEFGHJKLYLMNOPQRSTUAUBYGUCUM
      UPUDUOUEUFUGUHUIUJUKULUNUWOUWPUWQUWRUWNUUSYHTJYGUCUHUUTAUVAUUIYJUVBXCAUVD
      UUIYJUVFXCUWSUXAWFZUXDUXCXIXJWOUXGUWTUWNUVMUVOUXBWQXFXKXLXMXNYJYTCDVBFTYN
      UUEDVBXOZYIYSDVBYHXPXQUXHYMUUDNUXHYMYRYLIVHUUDYGYRYLIXRUXHYLUUCYRIUXHYKUU
      BNYGYRUBLXSXTYAYDXTYBYCXJAUWKYPYQXAUWLYJCDFTYNYEYCYF $.
  $}

  $c HDMap1 $.

  $( Extend class notation with preliminary map from vectors to functionals in
     the closed kernel dual space. $)
  chdma1 $a class HDMap1 $.

  $c HDMap $.

  $( Extend class notation with map from vectors to functionals in the closed
     kernel dual space. $)
  chdma $a class HDMap $.

  ${
    $d a c d e h i j k m n t u v w x y z $.
    $( Define preliminary map from vectors to functionals in the closed kernel
       dual space.  See ~ hdmap1fval description for more details.
       (Contributed by NM, 14-May-2015.) $)
    df-hdmap1 $a |- HDMap1 = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
      { a | [. ( ( DVecH ` k ) ` w ) / u ].
            [. ( Base ` u ) / v ].
            [. ( LSpan ` u ) / n ].
            [. ( ( LCDual ` k ) ` w ) / c ].
            [. ( Base ` c ) / d ].
            [. ( LSpan ` c ) / j ].
            [. ( ( mapd ` k ) ` w ) / m ].
  a e. ( x e. ( ( v X. d ) X. v ) |->
    if ( ( 2nd ` x ) = ( 0g ` u ) , ( 0g ` c ) ,
      ( iota_ h e. d
      ( ( m ` ( n ` { ( 2nd ` x ) } ) ) = ( j ` { h } )
        /\ ( m ` ( n ` { ( ( 1st ` ( 1st ` x ) ) ( -g ` u ) ( 2nd ` x ) ) } ) )
          = ( j ` { ( ( 2nd ` ( 1st ` x ) ) ( -g ` c ) h ) } ) ) ) ) ) } ) ) $.

    $( Define map from vectors to functionals in the closed kernel dual space.
       See ~ hdmapfval description for more details.  (Contributed by NM,
       15-May-2015.) $)
    df-hdmap $a |- HDMap = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
      { a | [. <. ( _I |` ( Base ` k ) ) ,
                 ( _I |` ( ( LTrn ` k ) ` w ) ) >. / e ].
            [. ( ( DVecH ` k ) ` w ) / u ].
            [. ( Base ` u ) / v ].
            [. ( ( HDMap1 ` k ) ` w ) / i ].
  a e. ( t e. v |->
      ( iota_ y e. ( Base ` ( ( LCDual ` k ) ` w ) )
         A. z e. v ( -. z e. ( ( ( LSpan ` u ) ` { e } )
              u. ( ( LSpan ` u ) ` { t } ) ) ->
$(
         A. z e. v ( ( -. z e. ( ( LSpan ` u ) ` { e } )
              /\ -. z e. ( ( LSpan ` u ) ` { t } ) ) ->
$)
      y = ( i ` <. z ,
                  ( i ` <. e , ( ( ( HVMap ` k ) ` w ) ` e ) , z >. ) ,
                  t >. ) ) ) ) } ) ) $.
  $}

  ${
    $d k w H $.  $d a c d j k m n u v w K $.  $d a c d h j k m n u v w x $.
    hdmap1val.h $e |- H = ( LHyp ` K ) $.
    $( Preliminary map from vectors to functionals in the closed kernel dual
       space.  (Contributed by NM, 14-May-2015.) $)
    hdmap1ffval $p |- ( K e. X -> ( HDMap1 ` K ) = ( w e. H |->
      { a | [. ( ( DVecH ` K ) ` w ) / u ].
            [. ( Base ` u ) / v ].
            [. ( LSpan ` u ) / n ].
            [. ( ( LCDual ` K ) ` w ) / c ].
            [. ( Base ` c ) / d ].
            [. ( LSpan ` c ) / j ].
            [. ( ( mapd ` K ) ` w ) / m ].
  a e. ( x e. ( ( v X. d ) X. v ) |->
    if ( ( 2nd ` x ) = ( 0g ` u ) , ( 0g ` c ) ,
      ( iota_ h e. d
      ( ( m ` ( n ` { ( 2nd ` x ) } ) ) = ( j ` { h } )
        /\ ( m ` ( n ` { ( ( 1st ` ( 1st ` x ) ) ( -g ` u ) ( 2nd ` x ) ) } ) )
          = ( j ` { ( ( 2nd ` ( 1st ` x ) ) ( -g ` c ) h ) } ) ) ) ) ) } ) ) $=
      ( cfv cv wceq csn wsbc vk wcel cvv chdma1 cxp c2nd c0g c1st csg co wa cif
      crio cmpt cmpd clspn cbs clcd cdvh cab elex fveq2 eqtr4di sbceq1d sbcbidv
      clh fveq1d sbceqbid abbidv mpteq12dv df-hdmap1 mptfvmpt syl ) JKUBJUCUBJU
      DPBILQACQZNQZUEVNUEAQZUFPZDQZUGPRMQZUGPVQSHQZPGQZPEQZSFQZPRVPUHPZUHPVQVRU
      IPUJSVTPWAPWDUFPWBVSUIPUJSWCPRUKEVOUMULUNUBZGBQZJUOPZPZTZFVSUPPZTZNVSUQPZ
      TZMWFJURPZPZTZHVRUPPZTZCVRUQPZTZDWFJUSPZPZTZLUTZUNRJKVABUAXDVFUDBUAQZVFPZ
      WEGWFXEUOPZPZTZFWJTZNWLTZMWFXEURPZPZTZHWQTZCWSTZDWFXEUSPZPZTZLUTZUNIUCJJX
      EJRZBXFXTIXDYAXFJVFPIXEJVFVBOVCYAXSXCLYAXPWTDXRXBYAWFXQXAXEJUSVBVGYAXOWRC
      WSYAXNWPHWQYAXKWMMXMWOYAWFXLWNXEJURVBVGYAXJWKNWLYAXIWIFWJYAWEGXHWHYAWFXGW
      GXEJUOVBVGVDVEVEVHVEVEVHVIVJABCDEFUAGHLMNVKOVLVM $.

    $d h x C $.  $d a c d h j n u v w x D $.  $d a c d h j n u v w x J $.
    $d a c d h j m n u v w x M $.  $d a h n u v w x N $.  $d a n u v w .0. $.
    $d a Q $.  $d c d j n u v w Q $.  $d a c d j n u v w R $.
    $d a n u v w .- $.  $d h x U $.  $d a h n u v w x V $.
    $d a c d j m n u v w W $.
    hdmap1fval.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap1fval.v $e |- V = ( Base ` U ) $.
    hdmap1fval.s $e |- .- = ( -g ` U ) $.
    hdmap1fval.o $e |- .0. = ( 0g ` U ) $.
    hdmap1fval.n $e |- N = ( LSpan ` U ) $.
    hdmap1fval.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap1fval.d $e |- D = ( Base ` C ) $.
    hdmap1fval.r $e |- R = ( -g ` C ) $.
    hdmap1fval.q $e |- Q = ( 0g ` C ) $.
    hdmap1fval.j $e |- J = ( LSpan ` C ) $.
    hdmap1fval.m $e |- M = ( ( mapd ` K ) ` W ) $.
    hdmap1fval.i $e |- I = ( ( HDMap1 ` K ) ` W ) $.
    hdmap1fval.k $e |- ( ph -> ( K e. A /\ W e. H ) ) $.
    $( Preliminary map from vectors to functionals in the closed kernel dual
       space.  TODO: change span ` J ` to the convention ` L ` for this
       section.  (Contributed by NM, 15-May-2015.) $)
    hdmap1fval $p |- ( ph
    -> I = ( x e. ( ( V X. D ) X. V ) |->
    if ( ( 2nd ` x ) = .0. , Q ,
      ( iota_ h e. D
      ( ( M ` ( N ` { ( 2nd ` x ) } ) ) = ( J ` { h } )
        /\ ( M ` ( N ` { ( ( 1st ` ( 1st ` x ) ) .- ( 2nd ` x ) ) } ) )
          = ( J ` { ( ( 2nd ` ( 1st ` x ) ) R h ) } ) ) ) ) ) ) $=
      ( vw va vv vd vu vc vn vm vj wcel wa cxp cv c2nd cfv wceq csn c1st co cif
      crio cmpt c0g csg cmpd wsbc clspn cbs clcd cdvh chdma1 hdmap1ffval fveq1d
      cab syl5eq fveq2 sbceq1d sbcbidv sbceqbid fvex wb eqeq2i biimpri 3ad2ant1
      simp2 fveq2d eqtrd eqtr4di simp3 id fveq1 eqeq1d anbi12d riotabidv ifeq2d
      w3a mpteq2dv eleq2d syl sbcie xpeq2 xpeq1d simp1 eqeq2d oveqd riotaeqbidv
      fveq12d ifeq12d mpteq12dv syl5bb syl3anc sbc3ie xpeq12d fveqeq2d ifbieq2d
      sneqd bitrdi abbi1dv eqid fvexi xpex mptex fvmpt sylan9eq ) AMCVCZRJVCZVD
      KBQEVEZQVEZBVFZVGVHZSVIZFUUCVJZPVHZNVHIVFZVJZLVHZVIZUUBVKVHZVKVHZUUCOVLZV
      JZPVHZNVHUUKVGVHZUUGGVLZVJZLVHZVIZVDZIEVNZVMZVOZVIUMYRYSKRUNJUOVFZBUPVFZU
      QVFZVEZUVFVEZUUCURVFZVPVHZVIZUSVFZVPVHZUUEUTVFZVHZVAVFZVHZUUHVBVFZVHZVIZU
      ULUUCUVJVQVHZVLZVJZUVOVHZUVQVHZUUPUUGUVMVQVHZVLZVJZUVSVHZVIZVDZIUVGVNZVMZ
      VOZVCZVAUNVFZMVRVHZVHZVSZVBUVMVTVHZVSZUQUVMWAVHZVSZUSUWQMWBVHZVHZVSZUTUVJ
      VTVHZVSZUPUVJWAVHZVSZURUWQMWCVHZVHZVSZUOWGZVOZVHZUVDYRKRMWDVHZVHUXQULYRRU
      XRUXPBUNUPURIVBVAUTJMCUOUSUQTWEWFWHUNRUXOUVDJUXPUWQRVIZUXNUOUVDUXSUXNUWPV
      ARUWRVHZVSZVBUXAVSZUQUXCVSZUSRUXEVHZVSZUTUXHVSZUPUXJVSZURRUXLVHZVSUVEUVDV
      CZUXSUXKUYGURUXMUYHUWQRUXLWIUXSUXIUYFUPUXJUXSUXGUYEUTUXHUXSUXDUYCUSUXFUYD
      UWQRUXEWIUXSUXBUYBUQUXCUXSUWTUYAVBUXAUXSUWPVAUWSUXTUWQRUWRWIWJWKWKWLWKWKW
      LUYEUYIURUPUTUYHUXJUXHRUXLWMUVJWAWMUVJVTWMUVJUYHVIZUVFUXJVIZUVOUXHVIZXIZU
      VJHVIZUVFQVIZUVOPVIZUYEUYIWNUYJUYKUYNUYLUYNUYJHUYHUVJUAWOWPZWQZUYMUVFHWAV
      HZQUYMUVFUXJUYSUYJUYKUYLWRUYJUYKUXJUYSVIUYLUYJUVJHWAUYQWSWQWTUBXAUYMUVOHV
      TVHZPUYMUVOUXHUYTUYJUYKUYLXBUYMUVJHVTUYRWSWTUEXAUYEUVEBUVFEVEZUVFVEZUVLFU
      VPNVHZUUIVIZUWENVHZUUSVIZVDZIEVNZVMZVOZVCZUYNUYOUYPXIZUYIUYAVUKUSUQVBUYDU
      XCUXARUXEWMUVMWAWMUVMVTWMUVMUYDVIZUVGUXCVIZUVSUXAVIZXIZUVMDVIZUVGEVIZUVSL
      VIZUYAVUKWNVUMVUNVUQVUOVUMUVMUYDDVUMXCUFXAWQZVUPUVGUXCEVUMVUNVUOWRVUPUXCD
      WAVHEVUPUVMDWAVUTWSUGXAWTVUPUVSUXALVUMVUNVUOXBVUPUXADVTVHLVUPUVMDVTVUTWSU
      JXAWTUYAUVEBUVIUVLUVNVUCUVTVIZVUEUWJVIZVDZIUVGVNZVMZVOZVCZVUQVURVUSXIZVUK
      UWPVVGVAUXTRUWRWMUVQUXTVIZUVQNVIZUWPVVGWNVVIUVQUXTNVVIXCUKXAVVJUWOVVFUVEV
      VJBUVIUWNVVEVVJUVLUWMVVDUVNVVJUWLVVCIUVGVVJUWAVVAUWKVVBVVJUVRVUCUVTUVPUVQ
      NXDXEVVJUWFVUEUWJUWEUVQNXDXEXFXGXHXJXKXLXMVVHVVFVUJUVEVVHBUVIVVEVUBVUIVVH
      VURUVIVUBVIVUQVURVUSWRZVURUVHVUAUVFUVGEUVFXNXOXLVVHUVLUVNFVVDVUHVVHUVNDVP
      VHFVVHUVMDVPVUQVURVUSXPZWSUIXAVVHVVCVUGIUVGEVVKVVHVVAVUDVVBVUFVVHUVTUUIVU
      CVVHUUHUVSLVUQVURVUSXBZWFXQVVHUWJUUSVUEVVHUWIUURUVSLVVMVVHUWHUUQVVHUWGGUU
      PUUGVVHUWGDVQVHGVVHUVMDVQVVLWSUHXAXRYIXTXQXFXSYAYBXKYCYDYEVULVUJUVDUVEVUL
      BVUBVUIUUAUVCVULVUAYTUVFQVULUVFQEUYNUYOUYPWRZXOVVNYFVULUVLUUDVUHUVBFVULUV
      KSUUCVULUVKHVPVHSVULUVJHVPUYNUYOUYPXPZWSUDXAXQVULVUGUVAIEVULVUDUUJVUFUUTV
      ULUVPUUFUUINVULUUEUVOPUYNUYOUYPXBZWFYGVULUWEUUOUUSNVULUWDUUNUVOPVVPVULUWC
      UUMVULUWBOUULUUCVULUWBHVQVHOVULUVJHVQVVOWSUCXAXRYIXTYGXFXGYHYBXKYCYDYEYJY
      KUXPYLBUUAUVCYTQQEQHWAUBYMZEDWAUGYMYNVVQYNYOYPYQXL $.

    $d x .0. $.  $d x Q $.  $d x R $.  $d x .- $.  $d h x T $.
    ${
      hdmap1val.t $e |- ( ph -> T e. ( ( V X. D ) X. V ) ) $.
      $( Value of preliminary map from vectors to functionals in the closed
         kernel dual space.  (Contributed by NM, 15-May-2015.) $)
      hdmap1vallem $p |- ( ph -> ( I ` T )
            = if ( ( 2nd ` T ) = .0. , Q ,
        ( iota_ h e. D
        ( ( M ` ( N ` { ( 2nd ` T ) } ) ) = ( J ` { h } )
          /\ ( M ` ( N ` { ( ( 1st ` ( 1st ` T ) ) .- ( 2nd ` T ) ) } ) )
            = ( J ` { ( ( 2nd ` ( 1st ` T ) ) R h ) } ) ) ) ) ) $=
        ( vx cfv cxp cv c2nd wceq csn c1st crio cif cmpt hdmap1fval fveq1d wcel
        co wa cvv fvexi riotaex ifex fveqeq2 fveq2 sneqd fveq2d fveqeq2d 2fveq3
        c0g oveq12d oveq1d eqeq12d anbi12d riotabidv ifbieq2d eqid fvmptg eqtrd
        sylancl ) AGKUPGUOQDUQQUQZUOURZUSUPZSUTZEWNVAZPUPZNUPIURZVALUPZUTZWMVBU
        PZVBUPZWNOVIZVAZPUPZNUPZXAUSUPZWRFVIZVAZLUPZUTZVJZIDVCZVDZVEZUPZGUSUPZS
        UTZEXQVAZPUPZNUPWSUTZGVBUPZVBUPZXQOVIZVAZPUPZNUPZYBUSUPZWRFVIZVAZLUPZUT
        ZVJZIDVCZVDZAGKXOAUOBCDEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMVFVGAGW
        LVHYOVKVHXPYOUTUNXREYNECWAUIVLYMIDVMVNUOGXNYOWLVKXOWMGUTZWOXRXMYNEWMGSU
        SVOYPXLYMIDYPWTYAXKYLYPWQXTWSNYPWPXSPYPWNXQWMGUSVPZVQVRVSYPXFYGXJYKYPXE
        YFNYPXDYEPYPXCYDYPXBYCWNXQOWMGVBVBVTYQWBVQVRVRYPXIYJLYPXHYIYPXGYHWRFWMG
        USVBVTWCVQVRWDWEWFWGXOWHWIWKWJ $.
    $}

    $d h F $.  $d h X $.  $d h Y $.  $d h ph $.
    ${
      hdmap1val.x $e |- ( ph -> X e. V ) $.
      hdmap1val.f $e |- ( ph -> F e. D ) $.
      hdmap1val.y $e |- ( ph -> Y e. V ) $.
      $( Value of preliminary map from vectors to functionals in the closed
         kernel dual space.  (Restatement of ~ mapdhval .)  TODO: change
         ` I = ( x e. _V |-> ` ... to ` ( ph -> ( I `` <. X , F , Y > ) = ` ...
         in e.g. ~ mapdh8 to shorten proofs with no $d on ` x ` .  (Contributed
         by NM, 15-May-2015.) $)
      hdmap1val $p |- ( ph -> ( I ` <. X , F , Y >. )
            = if ( Y = .0. , Q ,
        ( iota_ h e. D
        ( ( M ` ( N ` { Y } ) ) = ( J ` { h } )
          /\ ( M ` ( N ` { ( X .- Y ) } ) )
            = ( J ` { ( F R h ) } ) ) ) ) ) $=
        ( cotp cfv c2nd wceq csn cv c1st co wa crio cif cop df-ot wcel sylanbrc
        opelxp eqeltrid hdmap1vallem ot3rdg eqeq1d sneqd fveq2d fveqeq2d ot1stg
        cxp syl syl3anc oveq12d ot2ndg eqeq12d anbi12d riotabidv ifbieq2d eqtrd
        oveq1d ) ASITUSZKUTWNVAUTZUAVBZEWOVCZPUTZNUTHVDZVCLUTZVBZWNVEUTZVEUTZWO
        OVFZVCZPUTZNUTZXBVAUTZWSFVFZVCZLUTZVBZVGZHDVHZVITUAVBZETVCZPUTZNUTWTVBZ
        STOVFZVCZPUTZNUTZIWSFVFZVCZLUTZVBZVGZHDVHZVIABCDEFWNGHJKLMNOPQRUAUBUCUD
        UEUFUGUHUIUJUKULUMUNUOAWNSIVJZTVJZQDWCZQWCZSITVKAYIYKVLZTQVLZYJYLVLASQV
        LZIDVLZYMUPUQSIQDVNVMURYITYKQVNVMVOVPAWPXOXNYHEAWOTUAAYNWOTVBURSITQVQWD
        ZVRAXMYGHDAXAXRXLYFAWRXQWTNAWQXPPAWOTYQVSVTWAAXGYBXKYEAXFYANAXEXTPAXDXS
        AXCSWOTOAYOYPYNXCSVBUPUQURSITQDQWBWEYQWFVSVTVTAXJYDLAXIYCAXHIWSFAYOYPYN
        XHIVBUPUQURSITQDQWGWEWMVSVTWHWIWJWKWL $.
    $}
  $}

  ${
    $d h C $.  $d h D $.  $d h F $.  $d h K $.  $d h U $.  $d h V $.  $d h W $.
    $d h .0. $.  $d h ph $.  $d h X $.
    hdmap1val0.h $e |- H = ( LHyp ` K ) $.
    hdmap1val0.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap1val0.v $e |- V = ( Base ` U ) $.
    hdmap1val0.o $e |- .0. = ( 0g ` U ) $.
    hdmap1val0.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap1val0.d $e |- D = ( Base ` C ) $.
    hdmap1val0.q $e |- Q = ( 0g ` C ) $.
    hdmap1val0.s $e |- I = ( ( HDMap1 ` K ) ` W ) $.
    hdmap1val0.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmap1val0.f $e |- ( ph -> F e. D ) $.
    hdmap1val0.x $e |- ( ph -> X e. V ) $.
    $( Value of preliminary map from vectors to functionals at zero.  (Restated
       ~ mapdhval0 .)  (Contributed by NM, 17-May-2015.) $)
    hdmap1val0 $p |- ( ph -> ( I ` <. X , F , .0. >. ) = Q ) $=
      ( vh cotp cfv wceq csn clspn cmpd cv csg co crio cif chlt eqid clmod wcel
      wa dvhlmod lmod0vcl syl hdmap1val iftruei eqtrdi ) ALFMUFHUGMMUHZDMUIEUJU
      GZUGKIUKUGUGZUGUEULZUIBUJUGZUGUHLMEUMUGZUNUIVIUGVJUGFVKBUMUGZUNUIVLUGUHVA
      UECUOZUPDAUQBCDVNEUEFGHVLIVJVMVIJKLMMNOPVMURQVIURRSVNURTVLURVJURUAUBUDUCA
      EUSUTMJUTAEGIKNOUBVBJEMPQVCVDVEVHDVOMURVFVG $.
  $}

  ${
    $d h C $.  $d h D $.  $d h F $.  $d h L $.  $d h M $.  $d h N $.  $d h U $.
    $d h V $.  $d h X $.  $d h Y $.  $d h ph $.
    hdmap1val2.h $e |- H = ( LHyp ` K ) $.
    hdmap1val2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap1val2.v $e |- V = ( Base ` U ) $.
    hdmap1val2.s $e |- .- = ( -g ` U ) $.
    hdmap1val2.o $e |- .0. = ( 0g ` U ) $.
    hdmap1val2.n $e |- N = ( LSpan ` U ) $.
    hdmap1val2.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap1val2.d $e |- D = ( Base ` C ) $.
    hdmap1val2.r $e |- R = ( -g ` C ) $.
    hdmap1val2.l $e |- L = ( LSpan ` C ) $.
    hdmap1val2.m $e |- M = ( ( mapd ` K ) ` W ) $.
    hdmap1val2.i $e |- I = ( ( HDMap1 ` K ) ` W ) $.
    hdmap1val2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    ${
      hdmap1val2.x $e |- ( ph -> X e. V ) $.
      hdmap1val2.f $e |- ( ph -> F e. D ) $.
      hdmap1val2.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      $( Value of preliminary map from vectors to functionals in the closed
         kernel dual space, for nonzero ` Y ` .  (Contributed by NM,
         16-May-2015.) $)
      hdmap1val2 $p |- ( ph -> ( I ` <. X , F , Y >. )
            = ( iota_ h e. D ( ( M ` ( N ` { Y } ) ) = ( L ` { h } )
             /\ ( M ` ( N ` { ( X .- Y ) } ) ) = ( L ` { ( F R h ) } ) ) ) ) $=
        ( cotp cfv wceq c0g csn cv co crio cif chlt eqid eldifad hdmap1val cdif
        wa wcel wn eldifsni neneqd iffalse 3syl eqtrd ) AQGRUPIUQRSURZBUSUQZRUT
        NUQLUQFVAZUTKUQURQRMVBUTNUQLUQGVTDVBUTKUQURVJFCVCZVDZWAAVEBCVSDEFGHIKJL
        MNOPQRSTUAUBUCUDUEUFUGUHVSVFUIUJUKULUMUNAROSUTZUOVGVHAROWCVIVKZVRVLWBWA
        URUOWDRSROSVMVNVRVSWAVOVPVQ $.
    $}

    ${
      $d h G $.  $d h R $.  $d h .- $.
      hdmap1eq.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      hdmap1eq.f $e |- ( ph -> F e. D ) $.
      hdmap1eq.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      hdmap1eq.g $e |- ( ph -> G e. D ) $.
      hdmap1eq.e $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
      hdmap1eq.mn $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( L ` { F } ) ) $.
      $( The defining equation for h(x,x',y)=y' in part (2) in [Baer] p. 45
         line 24.  (Contributed by NM, 16-May-2015.) $)
      hdmap1eq $p |- ( ph -> ( ( I ` <. X , F , Y >. ) = G
         <-> ( ( M ` ( N ` { Y } ) ) = ( L ` { G } )
             /\ ( M ` ( N ` { ( X .- Y ) } ) ) = ( L ` { ( F R G ) } ) ) ) ) $=
        ( vh cotp cfv wceq csn cv co crio eldifad hdmap1val2 eqeq1d wreu mapdpg
        wa wb nfcvd nfvd sneq fveq2d eqeq2d oveq2 sneqd anbi12d adantl riota2df
        nfv mpdan bitr4d ) AQFRUTIVAZGVBRVCNVALVAZUSVDZVCZKVAZVBZQRMVEVCNVALVAZ
        FWIDVEZVCZKVAZVBZVLZUSCVFZGVBZWHGVCZKVAZVBZWMFGDVEZVCZKVAZVBZVLZAWGWSGA
        BCDEUSFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULAQOSVCUMVGUNUOVHVIAWRUSCVJX
        HWTVMABDEUSCFHKJLMNOPQRSTUJUAUBUCUDUEUFUGUHUIULUMUOUNUQURVKAWRXHUSCGAUS
        WDAUSGVNAXHUSVOUPWIGVBZWRXHVMAXIWLXCWQXGXIWKXBWHXIWJXAKWIGVPVQVRXIWPXFW
        MXIWOXEKXIWNXDWIGFDVSVTVQVRWAWBWCWEWF $.
    $}
  $}

  ${
    $d h i x y D $.  $d h i x y J $.  $d h i x y M $.  $d h i x y N $.
    $d x y .0. $.  $d x y Q $.  $d h i x y R $.  $d h i x y .- $.
    hdmap1cbv.l $e |- L = ( x e. _V |->
     if ( ( 2nd ` x ) = .0. , Q ,
        ( iota_ h e. D ( ( M ` ( N ` { ( 2nd ` x ) } ) ) = ( J ` { h } )
           /\ ( M ` ( N ` { ( ( 1st ` ( 1st ` x ) ) .- ( 2nd ` x ) ) } ) )
                 = ( J ` { ( ( 2nd ` ( 1st ` x ) ) R h ) } ) ) ) ) ) $.
    $( Frequently used lemma to change bound variables in ` L ` hypothesis.
       (Contributed by NM, 15-May-2015.) $)
    hdmap1cbv $p |- L = ( y e. _V |->
     if ( ( 2nd ` y ) = .0. , Q ,
        ( iota_ i e. D ( ( M ` ( N ` { ( 2nd ` y ) } ) ) = ( J ` { i } )
           /\ ( M ` ( N ` { ( ( 1st ` ( 1st ` y ) ) .- ( 2nd ` y ) ) } ) )
                 = ( J ` { ( ( 2nd ` ( 1st ` y ) ) R i ) } ) ) ) ) ) $=
      ( c2nd cfv wceq csn c1st fveq2d cvv cv co wa crio cmpt fveq2 eqeq1d sneqd
      cif 2fveq3 oveq12d oveq1d eqeq12d anbi12d riotabidv ifbieq2d cbvmptv sneq
      weq eqeq2d oveq2 cbvriotavw ifeq2 ax-mp mpteq2i 3eqtri ) IAUAAUBZOPZMQZDV
      IRZLPZJPZFUBZRZHPZQZVHSPZSPZVIKUCZRZLPZJPZVROPZVNEUCZRZHPZQZUDZFCUEZUJZUF
      BUABUBZOPZMQZDWMRZLPZJPZVPQZWLSPZSPZWMKUCZRZLPZJPZWSOPZVNEUCZRZHPZQZUDZFC
      UEZUJZUFBUAWNDWQGUBZRZHPZQZXDXEXMEUCZRZHPZQZUDZGCUEZUJZUFNABUAWKXLABUTZVJ
      WNWJXKDYDVIWMMVHWLOUGZUHYDWIXJFCYDVQWRWHXIYDVMWQVPYDVLWPJYDVKWOLYDVIWMYEU
      ITTUHYDWCXDWGXHYDWBXCJYDWAXBLYDVTXAYDVSWTVIWMKVHWLSSUKYEULUITTYDWFXGHYDWE
      XFYDWDXEVNEVHWLOSUKUMUITUNUOUPUQURBUAXLYCXKYBQXLYCQXJYAFGCFGUTZWRXPXIXTYF
      VPXOWQYFVOXNHVNXMUSTVAYFXHXSXDYFXGXRHYFXFXQVNXMXEEVBUITVAUOVCWNXKYBDVDVEV
      FVG $.
  $}

  ${
    $d w x .0. $.  $d g C $.  $d g h w x D $.  $d g h w x J $.  $d g h w x M $.
    $d g h w x .- $.  $d g w F $.  $d g h w x N $.  $d g ph $.  $d g h w x R $.
    $d w x Q $.  $d g U $.  $d g V $.  $d g w X $.  $d g w Y $.
    hdmap1valc.h $e |- H = ( LHyp ` K ) $.
    hdmap1valc.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap1valc.v $e |- V = ( Base ` U ) $.
    hdmap1valc.s $e |- .- = ( -g ` U ) $.
    hdmap1valc.o $e |- .0. = ( 0g ` U ) $.
    hdmap1valc.n $e |- N = ( LSpan ` U ) $.
    hdmap1valc.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap1valc.d $e |- D = ( Base ` C ) $.
    hdmap1valc.r $e |- R = ( -g ` C ) $.
    hdmap1valc.q $e |- Q = ( 0g ` C ) $.
    hdmap1valc.j $e |- J = ( LSpan ` C ) $.
    hdmap1valc.m $e |- M = ( ( mapd ` K ) ` W ) $.
    hdmap1valc.i $e |- I = ( ( HDMap1 ` K ) ` W ) $.
    hdmap1valc.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmap1valc.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    hdmap1valc.f $e |- ( ph -> F e. D ) $.
    hdmap1valc.y $e |- ( ph -> Y e. V ) $.
    ${
      hdmap1valc.l $e |- L = ( x e. _V |->
       if ( ( 2nd ` x ) = .0. , Q ,
          ( iota_ h e. D ( ( M ` ( N ` { ( 2nd ` x ) } ) ) = ( J ` { h } )
             /\ ( M ` ( N ` { ( ( 1st ` ( 1st ` x ) ) .- ( 2nd ` x ) ) } ) )
                   = ( J ` { ( ( 2nd ` ( 1st ` x ) ) R h ) } ) ) ) ) ) $.
      $( Connect the value of the preliminary map from vectors to functionals
         ` I ` to the hypothesis ` L ` used by earlier theorems.  Note: the
         ` X e. ( V \ { .0. } ) ` hypothesis could be the more general
         ` X e. V ` but the former will be easier to use.  TODO: use the ` I `
         function directly in those theorems, so this theorem becomes
         unnecessary?  TODO:  The ~ hdmap1cbv is probably unnecessary, but it
         would mean different $d's later on.  (Contributed by NM,
         15-May-2015.) $)
      hdmap1valc $p |- ( ph
         -> ( I ` <. X , F , Y >. ) = ( L ` <. X , F , Y >. ) ) $=
        ( vg vw cotp cfv wceq csn cv co wa crio cif eldifad hdmap1val hdmap1cbv
        chlt mapdhval eqtr4d ) ATIUAVCZKVDUAUBVEEUAVFQVDOVDVAVGZVFLVDVETUAPVHVF
        QVDOVDIVSFVHVFLVDVEVIVADVJVKVRNVDAVOCDEFGVAIJKLMOPQRSTUAUBUCUDUEUFUGUHU
        IUJUKULUMUNUOUPATRUBVFUQVLZURUSVMAVBRDCDEFVARINLOPQTUAUBULBVBDEFHVALNOP
        QUBUTVNVTURUSVPVQ $.
    $}
  $}

  ${
    $d h x C $.  $d h x D $.  $d h x F $.  $d h x G $.  $d h x L $.
    $d h x M $.  $d h x N $.  $d h x .0. $.  $d h x U $.  $d h x X $.
    $d h x Y $.  $d h ph $.
    hdmap1eq2.h $e |- H = ( LHyp ` K ) $.
    hdmap1eq2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap1eq2.v $e |- V = ( Base ` U ) $.
    hdmap1eq2.o $e |- .0. = ( 0g ` U ) $.
    hdmap1eq2.n $e |- N = ( LSpan ` U ) $.
    hdmap1eq2.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap1eq2.d $e |- D = ( Base ` C ) $.
    hdmap1eq2.l $e |- L = ( LSpan ` C ) $.
    hdmap1eq2.m $e |- M = ( ( mapd ` K ) ` W ) $.
    hdmap1eq2.i $e |- I = ( ( HDMap1 ` K ) ` W ) $.
    hdmap1eq2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmap1eq2.f $e |- ( ph -> F e. D ) $.
    hdmap1eq2.mn $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( L ` { F } ) ) $.
    ${
      hdmap1cl.ne $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
      hdmap1cl.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      hdmap1cl.y $e |- ( ph -> Y e. V ) $.
      $( Convert closure theorem ~ mapdhcl to use ` HDMap1 ` function.
         (Contributed by NM, 15-May-2015.) $)
      hdmap1cl $p |- ( ph -> ( I ` <. X , F , Y >. ) e. D ) $=
        ( vx vh cotp cfv cvv cv c2nd wceq c0g csn c1st csg co wa crio cmpt eqid
        cif hdmap1valc mapdhcl eqeltrd ) ANEOUOZGUPVNUMUQUMURZUSUPZPUTBVAUPZVPV
        BKUPJUPUNURZVBIUPUTVOVCUPZVCUPVPDVDUPZVEVBKUPJUPVSUSUPVRBVDUPZVEVBIUPUT
        VFUNCVGVJVHZUPCAUMBCVQWADUNEFGIHWBJVTKLMNOPQRSVTVIZTUAUBUCWAVIZVQVIZUDU
        EUFUGUKUHULWBVIZVKAUMBCVQWADUNEFWBIHJVTKLMNOPWEWFQUERSWCTUAUBUCWDUDUGUH
        UIUKULUJVLVM $.
    $}

    ${
      hdmap1eq2.ne $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
      hdmap1eq2.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
      hdmap1eq2.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      hdmap1eq2.e $e |- ( ph -> ( I ` <. X , F , Y >. ) = G ) $.
      $( Convert ~ mapdheq2 to use ` HDMap1 ` function.  (Contributed by NM,
         16-May-2015.) $)
      hdmap1eq2 $p |- ( ph -> ( I ` <. Y , G , X >. ) = F ) $=
        ( vx vh cotp cfv cvv cv c2nd wceq c0g csn c1st csg co wa crio cmpt eqid
        cif eldifad hdmap1cl eqeltrrd hdmap1valc eqtr3d mapdh75e eqtrd ) APFOUQ
        ZHURVTUOUSUOUTZVAURZQVBBVCURZWBVDLURKURUPUTZVDJURVBWAVEURZVEURWBDVFURZV
        GVDLURKURWEVAURWDBVFURZVGVDJURVBVHUPCVIVLVJZUREAUOBCWCWGDUPFGHJIWHKWFLM
        NPOQRSTWFVKZUAUBUCUDWGVKZWCVKZUEUFUGUHUMAOEPUQZHURZFCUNABCDEGHIJKLMNOPQ
        RSTUAUBUCUDUEUFUGUHUIUJUKULAPMQVDZUMVMZVNVOAOMWNULVMWHVKZVPAUOBCWCWGDUP
        FEGWHJIKWFLMNOQPRSTWIUAUBUCUDWJWKUEUFWPUHUIUJAWMWLWHURFAUOBCWCWGDUPEGHJ
        IWHKWFLMNOPQRSTWIUAUBUCUDWJWKUEUFUGUHULUIWOWPVPUNVQUKULUMVRVS $.
    $}

    $d h B $.  $d h x Z $.
    hdmap1eq4.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    hdmap1eq4.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
    hdmap1eq4.z $e |- ( ph -> Z e. ( V \ { .0. } ) ) $.
    hdmap1eq4.ne $e |- ( ph -> ( N ` { Y } ) =/= ( N ` { Z } ) ) $.
    hdmap1eq4.xn $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
    hdmap1eq4.eg $e |- ( ph -> ( I ` <. X , F , Y >. ) = G ) $.
    hdmap1eq4.ee $e |- ( ph -> ( I ` <. X , F , Z >. ) = B ) $.
    $( Convert ~ mapdheq4 to use ` HDMap1 ` function.  (Contributed by NM,
       17-May-2015.)  (New usage is discouraged.) $)
    hdmap1eq4N $p |- ( ph -> ( I ` <. Y , G , Z >. ) = B ) $=
      ( vx vh cotp cfv cvv cv c2nd wceq c0g csn c1st csg crio cif cmpt eqid wne
      co wa dvhlvec eldifad lspindpi simpld hdmap1cl eqeltrrd hdmap1valc eqtr3d
      mapdheq4 eqtrd ) AQGSVBZIVCWIUTVDUTVEZVFVCZRVGCVHVCZWKVIMVCLVCVAVEZVIKVCV
      GWJVJVCZVJVCWKEVKVCZVQVIMVCLVCWNVFVCWMCVKVCZVQVIKVCVGVRVADVLVMVNZVCBAUTCD
      WLWPEVAGHIKJWQLWOMNOQSRTUAUBWOVOZUCUDUEUFWPVOZWLVOZUGUHUIUJUNAPFQVBZIVCZG
      DURACDEFHIJKLMNOPQRTUAUBUCUDUEUFUGUHUIUJUKULAPVIMVCZQVIMVCVPXCSVIMVCVPAMN
      EPQSUBUDAEHJOTUAUJVSAPNRVIZUMVTAQNXDUNVTZASNXDUOVTZUQWAWBUMXEWCWDXFWQVOZW
      EAUTCDWLWPEVABFGHWQKJLWOMNOPQRSWTXGTUHUAUBWRUCUDUEUFWSUGUJUKULUMUNUOUQUPA
      XBXAWQVCGAUTCDWLWPEVAFHIKJWQLWOMNOPQRTUAUBWRUCUDUEUFWSWTUGUHUIUJUMUKXEXGW
      EURWFAPFSVBZIVCXHWQVCBAUTCDWLWPEVAFHIKJWQLWOMNOPSRTUAUBWRUCUDUEUFWSWTUGUH
      UIUJUMUKXFXGWEUSWFWGWH $.
  $}

  ${
    hdmap1l6.h $e |- H = ( LHyp ` K ) $.
    hdmap1l6.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap1l6.v $e |- V = ( Base ` U ) $.
    hdmap1l6.p $e |- .+ = ( +g ` U ) $.
    hdmap1l6.s $e |- .- = ( -g ` U ) $.
    hdmap1l6c.o $e |- .0. = ( 0g ` U ) $.
    hdmap1l6.n $e |- N = ( LSpan ` U ) $.
    hdmap1l6.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap1l6.d $e |- D = ( Base ` C ) $.
    hdmap1l6.a $e |- .+b = ( +g ` C ) $.
    hdmap1l6.r $e |- R = ( -g ` C ) $.
    hdmap1l6.q $e |- Q = ( 0g ` C ) $.
    hdmap1l6.l $e |- L = ( LSpan ` C ) $.
    hdmap1l6.m $e |- M = ( ( mapd ` K ) ` W ) $.
    hdmap1l6.i $e |- I = ( ( HDMap1 ` K ) ` W ) $.
    hdmap1l6.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmap1l6.f $e |- ( ph -> F e. D ) $.
    hdmap1l6cl.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    hdmap1l6.mn $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( L ` { F } ) ) $.
    ${
      hdmap1l6e.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      hdmap1l6e.z $e |- ( ph -> Z e. ( V \ { .0. } ) ) $.
      hdmap1l6e.xn $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
      hdmap1l6.yz $e |- ( ph -> ( N ` { Y } ) =/= ( N ` { Z } ) ) $.
      hdmap1l6.fg $e |- ( ph -> ( I ` <. X , F , Y >. ) = G ) $.
      hdmap1l6.fe $e |- ( ph -> ( I ` <. X , F , Z >. ) = E ) $.
      $( Lemma for ~ hdmap1l6 .  Part (6) in [Baer] p. 47, lines 16-18.
         (Contributed by NM, 13-Apr-2015.) $)
      hdmap1l6lem1 $p |- ( ph
          -> ( M ` ( N ` { ( X .- ( Y .+ Z ) ) } ) )
                 = ( L ` { ( F R ( G .+b E ) ) } ) ) $=
        ( co csn cfv clsm cin clss eqid wcel dvhlmod eldifad lmodvsubcl syl3anc
        clmod lspsncl syl2anc lsmcl mapdin mapdlsm ineq12d wceq cotp wa wne cpr
        dvhlvec lspindp2 simpld hdmap1cl eqeltrrd hdmap1eq mpbid simprd oveq12d
        wn lspindp1 baerlem5a fveq2d lcdlvec mapdindp mapdncol mapdn0 3eqtr4d
        eqtrd ) AUAUBQVJZVKRVLZUDVKRVLZHVMVLZVJZUAUDQVJZVKRVLZUBVKRVLZXPVJZVNZP
        VLZJKGVJVKOVLZIVKOVLZBVMVLZVJZJIGVJVKOVLZKVKOVLZYFVJZVNZUAUBUDDVJQVJVKR
        VLZPVLJKIEVJGVJVKOVLAYCXQPVLZYAPVLZVNZYKAHVOVLZHLNPTXQYAUEURUFYPVPZUTAH
        WBVQZXNYPVQZXOYPVQZXQYPVQAHLNTUEUFUTVRZAYRXMSVQZYSUUAAYRUASVQZUBSVQZUUB
        UUAAUASUCVKZVBVSZAUBSUUEVDVSZQSHUAUBUGUIVTWAYPRSHXMUGYQUKWCWDZAYRUDSVQZ
        YTUUAAUDSUUEVEVSZYPRSHUDUGYQUKWCWDZXPYPXNXOHYQXPVPZWEWAAYRXSYPVQZXTYPVQ
        ZYAYPVQUUAAYRXRSVQZUUMUUAAYRUUCUUIUUOUUAUUFUUJQSHUAUDUGUIVTWAYPRSHXRUGY
        QUKWCWDZAYRUUDUUNUUAUUGYPRSHUBUGYQUKWCWDZXPYPXSXTHYQUULWEWAWFAYOXNPVLZX
        OPVLZYFVJZXSPVLZXTPVLZYFVJZVNYKAYMUUTYNUVCABYFXPYPHLNPTXNXOUEURUFYQUULU
        LYFVPZUTUUHUUKWGABYFXPYPHLNPTXSXTUEURUFYQUULULUVDUTUUPUUQWGWHAUUTYGUVCY
        JAUURYDUUSYEYFAUVBYIWIZUURYDWIZAUAJUBWJMVLZKWIUVEUVFWKVHABCGHJKLMNOPQRS
        TUAUBUCUEUFUGUIUJUKULUMUOUQURUSUTVBVAVDAUVGKCVHABCHJLMNOPRSTUAUBUCUEUFU
        GUJUKULUMUQURUSUTVAVCAUAVKRVLZXTWLUDUAUBWMRVLVQXCARSHUBUDUCUAUGUJUKAHLN
        TUEUFUTWNZUUGVEUUFVGVFWOWPZVBUUGWQWRZUVJVCWSWTZXAAUUSYEWIZUVAYHWIZAUAJU
        DWJMVLZIWIUVMUVNWKVIABCGHJILMNOPQRSTUAUDUCUEUFUGUIUJUKULUMUOUQURUSUTVBV
        AVEAUVOICVIABCHJLMNOPRSTUAUDUCUEUFUGUJUKULUMUQURUSUTVAVCAUVHXOWLUBUAUDW
        MRVLVQXCARSHUBUDUCUAUGUJUKUVIVDUUJUUFVGVFXDWPZVBUUJWQWRZUVPVCWSWTZWPZXB
        AUVAYHUVBYIYFAUVMUVNUVRXAAUVEUVFUVLWPZXBWHXLXLAYLYBPADXPQRSHUAUBUCUDUGU
        IUJUULUKUVIUUFVFVGVDVEUHXEXFAEYFGOCBJKFIUMUOUPUVDUQABLNTUEULUTXGVAABCHI
        JKLONPRSTUAUBUDUEURUFUGUKULUMUQUTVAVCUUFUUGUVKUVTUUJUVQUVSVFXHABCHKILON
        PRSTUBUDUEURUFUGUKULUMUQUTUVKUVTUUGUUJUVQUVSVGXIABCHKLONPRSTUBUCFUEURUF
        UGUKULUMUQUTUVKUVTUJUPVDXJABCHILONPRSTUDUCFUEURUFUGUKULUMUQUTUVQUVSUJUP
        VEXJUNXEXK $.

      $( Lemma for ~ hdmap1l6 .  Part (6) in [Baer] p. 47, lines 20-22.
         (Contributed by NM, 13-Apr-2015.) $)
      hdmap1l6lem2 $p |- ( ph
          -> ( M ` ( N ` { ( Y .+ Z ) } ) ) = ( L ` { ( G .+b E ) } ) ) $=
        ( csn cfv clsm cin clss eqid clmod wcel dvhlmod eldifad lspsncl syl2anc
        co lsmcl syl3anc lmodvacl lmodvsubcl mapdin mapdlsm wceq cotp wa wne wn
        cpr dvhlvec lspindp2 simpld hdmap1cl eqeltrrd hdmap1eq lspindp1 oveq12d
        hdmap1l6lem1 ineq12d baerlem5b fveq2d lcdlvec mapdindp mapdncol 3eqtr4d
        mpbid eqtrd mapdn0 ) AUBVJRVKZUDVJRVKZHVLVKZWBZUAUBUDDWBZQWBZVJRVKZUAVJ
        RVKZXPWBZVMZPVKZKVJOVKZIVJOVKZBVLVKZWBZJKIEWBZGWBVJOVKZJVJOVKZYGWBZVMZX
        RVJRVKZPVKYIVJOVKAYDXQPVKZYBPVKZVMYMAHVNVKZHLNPTXQYBUEURUFYQVOZUTAHVPVQ
        ZXNYQVQZXOYQVQZXQYQVQAHLNTUEUFUTVRZAYSUBSVQZYTUUBAUBSUCVJZVDVSZYQRSHUBU
        GYRUKVTWAZAYSUDSVQZUUAUUBAUDSUUDVEVSZYQRSHUDUGYRUKVTWAZXPYQXNXOHYRXPVOZ
        WCWDAYSXTYQVQZYAYQVQZYBYQVQUUBAYSXSSVQZUUKUUBAYSUASVQZXRSVQZUUMUUBAUASU
        UDVBVSZAYSUUCUUGUUOUUBUUEUUHDSHUBUDUGUHWEWDQSHUAXRUGUIWFWDYQRSHXSUGYRUK
        VTWAZAYSUUNUULUUBUUPYQRSHUAUGYRUKVTWAZXPYQXTYAHYRUUJWCWDWGAYOYHYPYLAYOX
        NPVKZXOPVKZYGWBYHABYGXPYQHLNPTXNXOUEURUFYRUUJULYGVOZUTUUFUUIWHAUUSYEUUT
        YFYGAUUSYEWIZUAUBQWBVJRVKPVKJKGWBVJOVKWIZAUAJUBWJMVKZKWIUVBUVCWKVHABCGH
        JKLMNOPQRSTUAUBUCUEUFUGUIUJUKULUMUOUQURUSUTVBVAVDAUVDKCVHABCHJLMNOPRSTU
        AUBUCUEUFUGUJUKULUMUQURUSUTVAVCAYAXNWLUDUAUBWNRVKVQWMARSHUBUDUCUAUGUJUK
        AHLNTUEUFUTWOZUUEVEUUPVGVFWPWQZVBUUEWRWSZUVFVCWTXKWQZAUUTYFWIZUAUDQWBVJ
        RVKPVKJIGWBVJOVKWIZAUAJUDWJMVKZIWIUVIUVJWKVIABCGHJILMNOPQRSTUAUDUCUEUFU
        GUIUJUKULUMUOUQURUSUTVBVAVEAUVKICVIABCHJLMNOPRSTUAUDUCUEUFUGUJUKULUMUQU
        RUSUTVAVCAYAXOWLUBUAUDWNRVKVQWMARSHUBUDUCUAUGUJUKUVEVDUUHUUPVGVFXAWQZVB
        UUHWRWSZUVLVCWTXKWQZXBXLAYPXTPVKZYAPVKZYGWBYLABYGXPYQHLNPTXTYAUEURUFYRU
        UJULUVAUTUUQUURWHAUVOYJUVPYKYGABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJU
        KULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIXCVCXBXLXDXLAYNYCPADXPQRSHUAUBUCUD
        UGUIUJUUJUKUVEUUPVFVGVDVEUHXEXFAEYGGOCBJKFIUMUOUPUVAUQABLNTUEULUTXGVAAB
        CHIJKLONPRSTUAUBUDUEURUFUGUKULUMUQUTVAVCUUPUUEUVGUVHUUHUVMUVNVFXHABCHKI
        LONPRSTUBUDUEURUFUGUKULUMUQUTUVGUVHUUEUUHUVMUVNVGXIABCHKLONPRSTUBUCFUEU
        RUFUGUKULUMUQUTUVGUVHUJUPVDXMABCHILONPRSTUDUCFUEURUFUGUKULUMUQUTUVMUVNU
        JUPVEXMUNXEXJ $.

      $( Lemma for ~ hdmap1l6 .  Part (6) in [Baer] p. 47, case 1.
         (Contributed by NM, 23-Apr-2015.) $)
      hdmap1l6a $p |- ( ph -> ( I ` <. X , F , ( Y .+ Z ) >. ) =
            ( ( I ` <. X , F , Y >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
        ( co cotp cfv csn hdmap1l6lem2 oveq12d sneqd fveq2d eqtr4d hdmap1l6lem1
        wceq oveq2d wcel wne dvhlmod eldifad lmodvacl syl3anc lmodindp1 eldifsn
        clmod sylanbrc lcdlmod cpr wn dvhlvec lspindp2 simpld hdmap1cl lspindp1
        cdif wss clss lspprcl lspprvacl lspsnel5a lspsnel5 mtbid nssne2 syl2anc
        eqid necomd hdmap1eq mpbir2and ) AUAJUBUDDVJZVKMVLUAJUBVKMVLZUAJUDVKMVL
        ZEVJZVTXNVMRVLZPVLZXQVMZOVLZVTUAXNQVJVMRVLPVLZJXQGVJZVMZOVLZVTAXSKIEVJZ
        VMZOVLYAABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAV
        BVCVDVEVFVGVHVIVNAXTYGOAXQYFAXOKXPIEVHVIVOZVPVQVRAYBJYFGVJZVMZOVLYEABCD
        EFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGV
        HVIVSAYDYJOAYCYIAXQYFJGYHWAVPVQVRABCGHJXQLMNOPQRSTUAXNUCUEUFUGUIUJUKULU
        MUOUQURUSUTVBVAAXNSWBZXNUCWCXNSUCVMZWTWBAHWJWBUBSWBUDSWBYKAHLNTUEUFUTWD
        ZAUBSYLVDWEZAUDSYLVEWEZDSHUBUDUGUHWFWGADRSHUBUDUCUGUHUJUKYMYNYOVGWHXNSU
        CWIWKABWJWBXOCWBXPCWBXQCWBABLNTUEULUTWLABCHJLMNOPRSTUAUBUCUEUFUGUJUKULU
        MUQURUSUTVAVCAUAVMRVLZUBVMRVLWCUDUAUBWMRVLWBWNARSHUBUDUCUAUGUJUKAHLNTUE
        UFUTWOZYNVEAUASYLVBWEZVGVFWPWQVBYNWRABCHJLMNOPRSTUAUDUCUEUFUGUJUKULUMUQ
        URUSUTVAVCAYPUDVMRVLWCUBUAUDWMRVLWBWNARSHUBUDUCUAUGUJUKYQVDYOYRVGVFWSWQ
        VBYOWRECBXOXPUMUNWFWGAXRYPAXRUBUDWMRVLZXAYPYSXAZWNXRYPWCAHXBVLZYSRHXNUU
        AXJZUKYMAUUARSHUBUDUGUUBUKYMYNYOXCZADRSHUBUDUGUHUKYMYNYOXDXEAUAYSWBYTVF
        AUUAYSRSHUAUGUUBUKYMUUCYRXFXGXRYPYSXHXIXKVCXLXM $.
    $}

    ${
      hdmap1l6b0.y $e |- ( ph -> Y e. V ) $.
      hdmap1l6b0.z $e |- ( ph -> Z e. V ) $.
      hdmap1l6b0.ne $e |- ( ph
            -> ( ( N ` { X } ) i^i ( N ` { Y , Z } ) ) = { .0. } ) $.
      $( Lemmma for ~ hdmap1l6 .  (Contributed by NM, 23-Apr-2015.)
         (New usage is discouraged.) $)
      hdmap1l6b0N $p |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $=
        ( cpr cfv wcel wn csn cin wceq clss eqid dvhlvec dvhlmod lspprcl mpbird
        lspdisjb ) ASTUBVEPVFZVGVHSVIPVFVSVJUAVIVKVDAHVLVFZVSPQHSUAUEUHUIVTVMZA
        HJLRUCUDURVNAVTPQHTUBUEWAUIAHJLRUCUDURVOVBVCVPUTVRVQ $.
    $}

    ${
      hdmap1l6b.y $e |- ( ph -> Y = .0. ) $.
      hdmap1l6b.z $e |- ( ph -> Z e. V ) $.
      hdmap1l6b.ne $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
      $( Lemmma for ~ hdmap1l6 .  (Contributed by NM, 24-Apr-2015.) $)
      hdmap1l6b $p |- ( ph -> ( I ` <. X , F , ( Y .+ Z ) >. )
           = ( ( I ` <. X , F , Y >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
        ( cotp cfv cgrp wcel wceq clmod lcdlmod lmodgrp syl csn dvhlvec eldifad
        co wne dvhlmod lmod0vcl eqeltrd lspindpi simprd hdmap1cl grplid syl2anc
        oteq3d fveq2d hdmap1val0 eqtrd oveq1d 3eqtr4rd ) AFSIUBVEZKVFZEVQZWNSIT
        VEZKVFZWNEVQSITUBDVQZVEZKVFABVGVHZWNCVHWOWNVIABVJVHWTABJLRUCUJURVKBVLVM
        ABCHIJKLMNPQRSUBUAUCUDUEUHUIUJUKUOUPUQURUSVAASVNPVFZTVNPVFVRXAUBVNPVFVR
        APQHSTUBUEUIAHJLRUCUDURVOASQUAVNUTVPZATUAQVBAHVJVHZUAQVHAHJLRUCUDURVSZQ
        HUAUEUHVTVMWAVCVDWBWCUTVCWDCEBWNFUKULUNWEWFAWQFWNEAWQSIUAVEZKVFFAWPXEKA
        TUASIVBWGWHABCFHIJKLQRSUAUCUDUEUHUJUKUNUQURUSXBWIWJWKAWSWMKAWRUBSIAWRUA
        UBDVQZUBATUAUBDVBWKAHVGVHZUBQVHXFUBVIAXCXGXDHVLVMVCQDHUBUAUEUFUHWEWFWJW
        GWHWL $.
    $}

    ${
      hdmap1l6c.y $e |- ( ph -> Y e. V ) $.
      hdmap1l6c.z $e |- ( ph -> Z = .0. ) $.
      hdmap1l6c.ne $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
      $( Lemmma for ~ hdmap1l6 .  (Contributed by NM, 24-Apr-2015.) $)
      hdmap1l6c $p |- ( ph -> ( I ` <. X , F , ( Y .+ Z ) >. )
           = ( ( I ` <. X , F , Y >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
        ( cotp cfv cgrp wcel wceq clmod lcdlmod lmodgrp syl csn dvhlvec eldifad
        co wne dvhlmod lmod0vcl eqeltrd lspindpi simpld hdmap1cl grprid syl2anc
        oteq3d fveq2d hdmap1val0 eqtrd oveq2d 3eqtr4rd ) ASITVEZKVFZFEVQZWNWNSI
        UBVEZKVFZEVQSITUBDVQZVEZKVFABVGVHZWNCVHWOWNVIABVJVHWTABJLRUCUJURVKBVLVM
        ABCHIJKLMNPQRSTUAUCUDUEUHUIUJUKUOUPUQURUSVAASVNPVFZTVNPVFVRXAUBVNPVFVRA
        PQHSTUBUEUIAHJLRUCUDURVOASQUAVNUTVPZVBAUBUAQVCAHVJVHZUAQVHAHJLRUCUDURVS
        ZQHUAUEUHVTVMWAVDWBWCUTVBWDCEBWNFUKULUNWEWFAWQFWNEAWQSIUAVEZKVFFAWPXEKA
        UBUASIVCWGWHABCFHIJKLQRSUAUCUDUEUHUJUKUNUQURUSXBWIWJWKAWSWMKAWRTSIAWRTU
        ADVQZTAUBUATDVCWKAHVGVHZTQVHXFTVIAXCXGXDHVLVMVBQDHTUAUEUFUHWEWFWJWGWHWL
        $.
    $}

    ${
      hdmap1l6d.xn $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
      hdmap1l6d.yz $e |- ( ph -> ( N ` { Y } ) = ( N ` { Z } ) ) $.
      $(
      hdmap1l6d.fg $e |- ( ph -> ( I ` <. X , F , Y >. ) = G ) $.
      hdmap1l6d.fe $e |- ( ph -> ( I ` <. X , F , Z >. ) = E ) $.
      hdmap1l6d.fb $e |- ( ph -> ( I ` <. X , F , w >. ) = B ) $.
      $)
      hdmap1l6d.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      hdmap1l6d.z $e |- ( ph -> Z e. ( V \ { .0. } ) ) $.
      hdmap1l6d.w $e |- ( ph -> w e. ( V \ { .0. } ) ) $.
      hdmap1l6d.wn $e |- ( ph -> -. w e. ( N ` { X , Y } ) ) $.
      $( Lemmma for ~ hdmap1l6 .  (Contributed by NM, 1-May-2015.) $)
      hdmap1l6d $p |- ( ph -> ( I ` <. X , F , ( w .+ ( Y .+ Z ) ) >. )
        = ( ( I ` <. X , F , w >. ) .+b ( I ` <. X , F , ( Y .+ Z ) >. ) ) ) $=
        ( cv co cotp cfv wceq wa clmod lcdlmod csn wne dvhlvec eldifad lspindpi
        simpld necomd hdmap1cl lmod0vrid syl2anc adantr oteq3 fveq2d hdmap1val0
        wcel sylan9eqr oveq2d oveq2 dvhlmod 3eqtr4rd chlt cdif lmodvacl syl3anc
        oteq3d anim1i eldifsn sylibr cpr wn mapdindp1 mapdindp2 lspindp1 simprd
        lspsnne1 clsm eqid lsmpr csubg lspsncl lsssubg lsmidm 3eqtr2d neleqtrrd
        clss syl lspindp4 eqidd hdmap1l6a pm2.61dane ) ATJBVIZUAUCEVJZEVJZVKZLV
        LZTJYGVKZLVLZTJYHVKZLVLZFVJZVMYHUBAYHUBVMZVNZYMGFVJZYMYPYKAYSYMVMZYQACV
        OWKYMDWKYTACKMSUDUKUSVPACDIJKLMNOQRSTYGUBUDUEUFUIUJUKULUPUQURUSUTVBAYGV
        QQVLZTVQQVLZAUUAUUBVRZUUAUAVQQVLZVRZAQRIYGTUAUFUJAIKMSUDUEUSVSZAYGRUBVQ
        ZVGVTZATRUUGVAVTZAUARUUGVEVTZVHWAZWBWCVAUUHWDFDCYMGULUMUOWEWFWGYRYOGYMF
        YQAYOTJUBVKZLVLGYQYNUULLYHUBTJWHWIACDGIJKLMRSTUBUDUEUFUIUKULUOURUSUTUUI
        WJWLWMYRYJYLLYRYIYGTJYQAYIYGUBEVJZYGYHUBYGEWNAIVOWKZYGRWKUUMYGVMAIKMSUD
        UEUSWOZUUHERIYGUBUFUGUIWEWFWLXAWIWPAYHUBVRZVNZCDEFGHIYOJYMKLMNOPQRSTYGU
        BYHUDUEUFUGUHUIUJUKULUMUNUOUPUQURAMWQWKSKWKVNUUPUSWGAJDWKUUPUTWGATRUUGW
        RZWKUUPVAWGAUUBOVLJVQNVLVMUUPVBWGAYGUURWKUUPVGWGUUQYHRWKZUUPVNYHUURWKAU
        USUUPAUUNUARWKZUCRWKUUSUUOUUJAUCRUUGVFVTZERIUAUCUFUGWSWTZXBYHRUBXCXDATY
        GYHXEQVLWKXFZUUPAUUAYHVQQVLVRZUVCAQRITYHUBYGUFUIUJUUFVAUVBUUHABEQRITUAU
        BUCUFUGUIUJUUFVAVEVFVGVDAUUBUUDVRUUBUCVQQVLZVRAQRITUAUCUFUJUUFUUIUUJUVA
        VCWAWBZVHXGABEQRITUAUBUCUFUGUIUJUUFVAVEVFVGVDUVFVHXHXIXJWGAUVDUUPAUUEUV
        DAQRIYGUAYHUFUJUUFUUHUUJUVBAEQRIUAUCYGUFUGUJUUOUUJUVAUUHAUAUCXEQVLZUUDY
        GAQRIYGUAUBUFUIUJUUFVGUUJAUUCUUEUUKXJXKAUVGUUDUVEIXLVLZVJUUDUUDUVHVJZUU
        DAUVHQRIUAUCUFUJUVHXMZUUOUUJUVAXNAUUDUVEUUDUVHVDWMAUUDIXOVLWKZUVIUUDVMA
        UUNUUDIYAVLZWKZUVKUUOAUUNUUTUVMUUOUUJUVLQRIUAUFUVLXMZUJXPWFUVLUUDIUVNXQ
        WFUVHUUDIUVJXRYBXSXTYCWAXJWGUUQYMYDUUQYOYDYEYF $.

      $( Lemmma for ~ hdmap1l6 .  Part (6) in [Baer] p. 47 line 38.
         (Contributed by NM, 1-May-2015.) $)
      hdmap1l6e $p |- ( ph -> ( I ` <. X , F , ( ( w .+ Y ) .+ Z ) >. )
        = ( ( I ` <. X , F , ( w .+ Y ) >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
        ( cotp cfv cv co wcel wne cdif dvhlmod eldifad lmodvacl syl3anc dvhlvec
        clmod lspindpi simprd lmodindp1 eldifsn sylanbrc wn mapdindp3 mapdindp4
        csn simpld lspindp1 prcom fveq2i eleq2i sylnibr necomd eqidd hdmap1l6a
        cpr ) ACDEFGHITJUCVILVJZJTJBVKZUAEVLZVILVJZKLMNOPQRSTXCUBUCUDUEUFUGUHUI
        UJUKULUMUNUOUPUQURUSUTVAVBAXCRVMZXCUBVNXCRUBWJZVOVMAIWAVMXBRVMUARVMXEAI
        KMSUDUEUSVPZAXBRXFVGVQZAUARXFVEVQZERIXBUAUFUGVRVSZAEQRIXBUAUBUFUGUIUJXG
        XHXIAXBWJQVJZTWJQVJZVNXKUAWJQVJZVNAQRIXBTUAUFUJAIKMSUDUEUSVTZXHATRXFVAV
        QZXIVHWBWCWDXCRUBWEWFVFATUCXCWTZQVJZVMZTXCUCWTZQVJZVMAUCWJQVJZXCWJQVJZV
        NZXRWGAQRITXCUBUCUFUIUJXNVAXJAUCRXFVFVQZABEQRITUAUBUCUFUGUIUJXNVAVEVFVG
        VDAXLXMVNXLYAVNAQRITUAUCUFUJXNXOXIYDVCWBWKZVHWHABEQRITUAUBUCUFUGUIUJXNV
        AVEVFVGVDYEVHWIZWLWCXTXQTXSXPQXCUCWMWNWOWPAYAYBAYAXLVNYCAQRIUCTXCUFUJXN
        YDXOXJYFWBWCWQAXDWRAXAWRWS $.

      $( Lemmma for ~ hdmap1l6 .  Part (6) in [Baer] p. 47 line 38.
         (Contributed by NM, 1-May-2015.) $)
      hdmap1l6f $p |- ( ph -> ( I ` <. X , F , ( w .+ Y ) >. )
           = ( ( I ` <. X , F , w >. ) .+b ( I ` <. X , F , Y >. ) ) ) $=
        ( cotp cfv cv csn wne cpr wcel dvhlvec eldifad lspindpi simpld lspindp1
        wn simprd eqidd hdmap1l6a ) ACDEFGHITJUAVILVJZJTJBVKZVILVJZKLMNOPQRSTWF
        UBUAUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVGVEAWFVLQVJZUAVLQVJZVMZTWFUA
        VNQVJVOWAAQRITUAUBWFUFUIUJAIKMSUDUEUSVPZVAAUARUBVLZVEVQZAWFRWLVGVQZATVL
        QVJZWIVMWOUCVLQVJVMAQRITUAUCUFUJWKATRWLVAVQZWMAUCRWLVFVQVCVRVSVHVTWBAWH
        WOVMWJAQRIWFTUAUFUJWKWNWPWMVHVRWBAWGWCAWEWCWD $.

      $( Lemmma for ~ hdmap1l6 .  Part (6) of [Baer] p. 47 line 39.
         (Contributed by NM, 1-May-2015.) $)
      hdmap1l6g $p |- ( ph
  -> ( ( I ` <. X , F , w >. ) .+b ( I ` <. X , F , ( Y .+ Z ) >. ) )
           = ( ( ( I ` <. X , F , w >. ) .+b ( I ` <. X , F , Y >. ) )
               .+b ( I ` <. X , F , Z >. ) ) ) $=
        ( cv co cotp cfv hdmap1l6d hdmap1l6e clmod wcel dvhlmod eldifad lmodass
        wceq csn syl13anc oteq3d fveq2d hdmap1l6f oveq1d 3eqtr3d eqtr3d ) ATJBV
        IZUAUCEVJZEVJZVKZLVLZTJWIVKLVLZTJWJVKLVLFVJWNTJUAVKLVLFVJZTJUCVKLVLZFVJ
        ZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVE
        VFVGVHVMATJWIUAEVJZUCEVJZVKZLVLTJWRVKLVLZWPFVJWMWQABCDEFGHIJKLMNOPQRSTU
        AUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVNAWTWLLAWSWKTJA
        IVOVPWIRVPUARVPUCRVPWSWKVTAIKMSUDUEUSVQAWIRUBWAZVGVRAUARXBVEVRAUCRXBVFV
        RERIWIUAUCUFUGVSWBWCWDAXAWOWPFABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJU
        KULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHWEWFWGWH $.

      $( Lemmma for ~ hdmap1l6 .  Part (6) of [Baer] p. 48 line 2.
         (Contributed by NM, 1-May-2015.) $)
      hdmap1l6h $p |- ( ph -> ( I ` <. X , F , ( Y .+ Z ) >. )
           = ( ( I ` <. X , F , Y >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
        ( cv cotp cfv wceq hdmap1l6g clmod wcel lcdlmod csn wne dvhlvec eldifad
        lspindpi simpld necomd hdmap1cl simprd lmodass syl13anc eqtrd mapdindp1
        co wb dvhlmod lmodvacl syl3anc lmodlcan mpbid ) ATJBVIZVJLVKZTJUAUCEWJZ
        VJLVKZFWJZWRTJUAVJLVKZTJUCVJLVKZFWJZFWJZVLZWTXDVLZAXAWRXBFWJXCFWJZXEABC
        DEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVG
        VHVMACVNVOZWRDVOZXBDVOZXCDVOZXHXEVLACKMSUDUKUSVPZACDIJKLMNOQRSTWQUBUDUE
        UFUIUJUKULUPUQURUSUTVBAWQVQQVKZTVQQVKZAXNXOVRXNUAVQQVKZVRAQRIWQTUAUFUJA
        IKMSUDUEUSVSZAWQRUBVQZVGVTZATRXRVAVTZAUARXRVEVTZVHWAWBWCVAXSWDZACDIJKLM
        NOQRSTUAUBUDUEUFUIUJUKULUPUQURUSUTVBAXOXPVRZXOUCVQQVKVRZAQRITUAUCUFUJXQ
        XTYAAUCRXRVFVTZVCWAZWBZVAYAWDZACDIJKLMNOQRSTUCUBUDUEUFUIUJUKULUPUQURUSU
        TVBAYCYDYFWEVAYEWDZFDCWRXBXCULUMWFWGWHAXIWTDVOXDDVOZXJXFXGWKXMACDIJKLMN
        OQRSTWSUBUDUEUFUIUJUKULUPUQURUSUTVBABEQRITUAUBUCUFUGUIUJXQVAVEVFVGVDYGV
        HWIVAAIVNVOUARVOUCRVOWSRVOAIKMSUDUEUSWLYAYEERIUAUCUFUGWMWNWDAXIXKXLYJXM
        YHYIFDCXBXCULUMWMWNYBFDCWTXDWRULUMWOWGWP $.
    $}

    ${
      hdmap1l6i.xn $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
      hdmap1l6i.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
      hdmap1l6i.z $e |- ( ph -> Z e. ( V \ { .0. } ) ) $.
      ${
        $d w .+b $.  $d w F $.  $d w I $.  $d w N $.  $d w .+ $.  $d w U $.
        $d w V $.  $d w X $.  $d w Y $.  $d w Z $.  $d w ph $.
        hdmap1l6i.yz $e |- ( ph -> ( N ` { Y } ) = ( N ` { Z } ) ) $.
        $( Lemmma for ~ hdmap1l6 .  Eliminate auxiliary vector ` w ` .
           (Contributed by NM, 1-May-2015.) $)
        hdmap1l6i $p |- ( ph -> ( I ` <. X , F , ( Y .+ Z ) >. )
             = ( ( I ` <. X , F , Y >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
          ( vw cv cpr cfv wcel wn wrex co cotp wceq csn eldifad dvh3dim chlt wa
          w3a 3ad2ant1 cdif clss clmod dvhlmod lspprcl simp2 lssneln0 hdmap1l6h
          eqid simp3 rexlimdv3a mpd ) AVFVGZSTVHPVIZVJVKZVFQVLSITUBDVMVNKVISITV
          NKVISIUBVNKVIEVMVOZAVFHJLPQRSTUCUDUEUIURASQUAVPZUTVQZATQWSVCVQZVRAWQW
          RVFQAWOQVJZWQWAZVFBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUP
          UQAXBLVSVJRJVJVTWQURWBAXBICVJWQUSWBAXBSQWSWCZVJWQUTWBAXBSVPPVINVIIVPM
          VIVOWQVAWBAXBSTUBVHPVIVJVKWQVBWBAXBTVPPVIUBVPPVIVOWQVEWBAXBTXDVJWQVCW
          BAXBUBXDVJWQVDWBXCHWDVIZWPQHWOUAUHXEWKZAXBHWEVJWQAHJLRUCUDURWFZWBAXBW
          PXEVJWQAXEPQHSTUEXFUIXGWTXAWGWBAXBWQWHAXBWQWLZWIXHWJWMWN $.
      $}

      $( Lemmma for ~ hdmap1l6 .  Eliminate ` ( N ` { Y } ) = ( N ` { Z } ) `
         hypothesis.  (Contributed by NM, 1-May-2015.) $)
      hdmap1l6j $p |- ( ph -> ( I ` <. X , F , ( Y .+ Z ) >. )
             = ( ( I ` <. X , F , Y >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
        ( co cotp cfv wceq csn wa chlt wcel adantr cdif cpr simpr hdmap1l6i wne
        wn eqidd hdmap1l6a pm2.61dane ) ASITUBDVEVFKVGSITVFKVGZSIUBVFKVGZEVEVHT
        VIPVGZUBVIPVGZAWEWFVHZVJBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUN
        UOUPUQALVKVLRJVLVJZWGURVMAICVLZWGUSVMASQUAVIVNZVLZWGUTVMASVIPVGNVGIVIMV
        GVHZWGVAVMASTUBVOPVGVLVSZWGVBVMATWJVLZWGVCVMAUBWJVLZWGVDVMAWGVPVQAWEWFV
        RZVJZBCDEFGHWDIWCJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQAWHWPURVM
        AWIWPUSVMAWKWPUTVMAWLWPVAVMAWNWPVCVMAWOWPVDVMAWMWPVBVMAWPVPWQWCVTWQWDVT
        WAWB $.
    $}

    ${
      hdmap1l6k.y $e |- ( ph -> Y e. V ) $.
      hdmap1l6k.z $e |- ( ph -> Z e. V ) $.
      hdmap1l6k.xn $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
      $( Lemmma for ~ hdmap1l6 .  Eliminate nonzero vector requirement.
         (Contributed by NM, 1-May-2015.) $)
      hdmap1l6k $p |- ( ph -> ( I ` <. X , F , ( Y .+ Z ) >. )
             = ( ( I ` <. X , F , Y >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
        ( co cotp cfv wceq wa chlt wcel adantr csn cdif cpr hdmap1l6b hdmap1l6c
        simpr wn wne simprl eldifsn sylanbrc simprr hdmap1l6j pm2.61da2ne ) ASI
        TUBDVEVFKVGSITVFKVGSIUBVFKVGEVEVHTUAUBUAATUAVHZVIBCDEFGHIJKLMNOPQRSTUAU
        BUCUDUEUFUGUHUIUJUKULUMUNUOUPUQALVJVKRJVKVIZWGURVLAICVKZWGUSVLASQUAVMVN
        ZVKZWGUTVLASVMPVGNVGIVMMVGVHZWGVAVLAWGVRAUBQVKZWGVCVLASTUBVOPVGVKVSZWGV
        DVLVPAUBUAVHZVIBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQAWH
        WOURVLAWIWOUSVLAWKWOUTVLAWLWOVAVLATQVKZWOVBVLAWOVRAWNWOVDVLVQATUAVTZUBU
        AVTZVIZVIZBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQAWHWSURV
        LAWIWSUSVLAWKWSUTVLAWLWSVAVLAWNWSVDVLWTWPWQTWJVKAWPWSVBVLAWQWRWATQUAWBW
        CWTWMWRUBWJVKAWMWSVCVLAWQWRWDUBQUAWBWCWEWF $.
    $}
  $}

  ${
    hdmap1-6.h $e |- H = ( LHyp ` K ) $.
    hdmap1-6.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap1-6.v $e |- V = ( Base ` U ) $.
    hdmap1-6.p $e |- .+ = ( +g ` U ) $.
    hdmap1-6.o $e |- .0. = ( 0g ` U ) $.
    hdmap1-6.n $e |- N = ( LSpan ` U ) $.
    hdmap1-6.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap1-6.d $e |- D = ( Base ` C ) $.
    hdmap1-6.a $e |- .+b = ( +g ` C ) $.
    hdmap1-6.l $e |- L = ( LSpan ` C ) $.
    hdmap1-6.m $e |- M = ( ( mapd ` K ) ` W ) $.
    hdmap1-6.i $e |- I = ( ( HDMap1 ` K ) ` W ) $.
    hdmap1-6.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmap1-6.f $e |- ( ph -> F e. D ) $.
    hdmap1-6.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    hdmap1-6.y $e |- ( ph -> Y e. V ) $.
    hdmap1-6.z $e |- ( ph -> Z e. V ) $.
    hdmap1-6.xn $e |- ( ph -> -. X e. ( N ` { Y , Z } ) ) $.
    hdmap1-6.mn $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( L ` { F } ) ) $.
    $( Part (6) of [Baer] p. 47 line 6.  Note that we use
       ` -. X e. ( N `` { Y , Z } ) ` which is equivalent to Baer's "Fx ` i^i `
       (Fy + Fz)" by ~ lspdisjb .  (Convert ~ mapdh6N to use the function
       ` HDMap1 ` .)  (Contributed by NM, 17-May-2015.) $)
    hdmap1l6 $p |- ( ph -> ( I ` <. X , F , ( Y .+ Z ) >. )
         = ( ( I ` <. X , F , Y >. ) .+b ( I ` <. X , F , Z >. ) ) ) $=
      ( c0g cfv csg eqid hdmap1l6k ) ABCDEBUSUTZBVAUTZFGHIJKLFVAUTZMNOPQRSTUAUB
      UCVFVBUDUEUFUGUHVEVBVDVBUIUJUKULUMUNURUOUPUQVC $.
  $}

  ${
    $d h C $.  $d h x y z D $.  $d h x y z F $.  $d h x J $.  $d h x y z L $.
    $d h x M $.  $d h x y z N $.  $d h x y z .0. $.  $d x Q $.  $d h x R $.
    $d h x .- $.  $d h x y z T $.  $d h z U $.  $d h y z V $.  $d h x y z X $.
    $d h y z ph $.
    hdmap1eulem.h $e |- H = ( LHyp ` K ) $.
    hdmap1eulem.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap1eulem.v $e |- V = ( Base ` U ) $.
    hdmap1eulem.s $e |- .- = ( -g ` U ) $.
    hdmap1eulem.o $e |- .0. = ( 0g ` U ) $.
    hdmap1eulem.n $e |- N = ( LSpan ` U ) $.
    hdmap1eulem.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap1eulem.d $e |- D = ( Base ` C ) $.
    hdmap1eulem.r $e |- R = ( -g ` C ) $.
    hdmap1eulem.q $e |- Q = ( 0g ` C ) $.
    hdmap1eulem.j $e |- J = ( LSpan ` C ) $.
    hdmap1eulem.m $e |- M = ( ( mapd ` K ) ` W ) $.
    hdmap1eulem.i $e |- I = ( ( HDMap1 ` K ) ` W ) $.
    hdmap1eulem.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmap1eulem.mn $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( J ` { F } ) ) $.
    hdmap1eulem.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    hdmap1eulem.f $e |- ( ph -> F e. D ) $.
    hdmap1eulem.y $e |- ( ph -> T e. V ) $.
    hdmap1eulem.l $e |- L = ( x e. _V |->
   if ( ( 2nd ` x ) = .0. , Q ,
      ( iota_ h e. D ( ( M ` ( N ` { ( 2nd ` x ) } ) ) = ( J ` { h } )
         /\ ( M ` ( N ` { ( ( 1st ` ( 1st ` x ) ) .- ( 2nd ` x ) ) } ) )
               = ( J ` { ( ( 2nd ` ( 1st ` x ) ) R h ) } ) ) ) ) ) $.
    $( Lemma for ~ hdmap1eu .  TODO: combine with ~ hdmap1eu or at least share
       some hypotheses.  (Contributed by NM, 15-May-2015.) $)
    hdmap1eulem $p |- ( ph -> E! y e. D A. z e. V (
     -. z e. ( ( N ` { X } ) u. ( N ` { T } ) )
       -> y = ( I ` <. z , ( I ` <. X , F , z >. ) , T >. ) ) ) $=
      ( cv csn cfv wcel wn cotp wceq wi wral wreu mapdh9a wa chlt ad2antrr cdif
      cun simplr hdmap1valc oteq2d fveq2d elun1 con3i clss eqid dvhlmod eldifad
      clmod lspsncl syl2anc simpr lssneln0 lspsnne2 necomd mapdhcl sylan2 eqtrd
      eqeq2d pm5.74da ralbidva reubidv mpbird ) ADVDZUCVETVFZIVETVFZVSVGZVHZCVD
      ZXEUCLXEVIZNVFZIVIZNVFZVJZVKZDUAVLZCFVMXIXJXEXKQVFZIVIZQVFZVJZVKZDUAVLZCF
      VMABCDEFGHIJKLMQOPRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPVCURVAUSUTVBVNAXQYCC
      FAXPYBDUAAXEUAVGZVOZXIXOYAYEXIVOZXNXTXJYFXNXSNVFZXTYFXMXSNYFXLXRXEIYFBEFG
      HJKLMNOPQRSTUAUBUCXEUDUEUFUGUHUIUJUKULUMUNUOUPUQAPVPVGUBMVGVOZYDXIURVQAUC
      UAUDVEZVRVGZYDXIUTVQALFVGZYDXIVAVQAYDXIVTVCWAWBWCXIYEXEXFVGZVHZYGXTVJYLXH
      XEXFXGWDWEYEYMVOZBEFGHJKXRMNOPQRSTUAUBXEIUDUEUFUGUHUIUJUKULUMUNUOUPUQAYHY
      DYMURVQZYNJWFVFZXFUAJXEUDUIYPWGZAJWJVGZYDYMAJMPUBUEUFURWHVQZYNYRUCUAVGZXF
      YPVGYSAYTYDYMAUCUAYIUTWIVQZYPTUAJUCUGYQUJWKWLAYDYMVTZYEYMWMZWNYNBEFGHJKLM
      QOPRSTUAUBUCXEUDUNVCUEUPUFUGUHUIUJUKULUMUOYOAYKYDYMVAVQAXFRVFLVEOVFVJYDYM
      USVQAYJYDYMUTVQUUBYNXEVETVFXFYNTUAJXEUCUGUJYSUUBUUAUUCWOWPWQAIUAVGYDYMVBV
      QVCWAWRWSWTXAXBXCXD $.

    $( Lemma for ~ hdmap1euOLDN .  TODO: combine with ~ hdmap1euOLDN or at
       least share some hypotheses.  (Contributed by NM, 15-May-2015.)
       (New usage is discouraged.) $)
    hdmap1eulemOLDN $p |- ( ph -> E! y e. D A. z e. V (
     -. z e. ( N ` { X , T } )
       -> y = ( I ` <. z , ( I ` <. X , F , z >. ) , T >. ) ) ) $=
      ( cv cpr cfv wcel wn cotp wceq wi wral wreu mapdh9aOLDN chlt ad2antrr csn
      wa cdif simplr hdmap1valc oteq2d fveq2d clss eqid dvhlmod eldifad lspprcl
      clmod simpr lssneln0 wne clvec dvhlvec simpld necomd mapdhcl eqtrd eqeq2d
      lspindpi pm5.74da ralbidva reubidv mpbird ) ADVDZUCIVETVFZVGVHZCVDZXEUCLX
      EVIZNVFZIVIZNVFZVJZVKZDUAVLZCFVMXGXHXEXIQVFZIVIZQVFZVJZVKZDUAVLZCFVMABCDE
      FGHIJKLMQOPRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPVCURVAUSUTVBVNAXOYACFAXNXTD
      UAAXEUAVGZVRZXGXMXSYCXGVRZXLXRXHYDXLXQNVFXRYDXKXQNYDXJXPXEIYDBEFGHJKLMNOP
      QRSTUAUBUCXEUDUEUFUGUHUIUJUKULUMUNUOUPUQAPVOVGUBMVGVRYBXGURVPZAUCUAUDVQZV
      SVGYBXGUTVPZALFVGYBXGVAVPZAYBXGVTZVCWAWBWCYDBEFGHJKXPMNOPQRSTUAUBXEIUDUEU
      FUGUHUIUJUKULUMUNUOUPUQYEYDJWDVFZXFUAJXEUDUIYJWEZAJWIVGYBXGAJMPUBUEUFURWF
      ZVPAXFYJVGYBXGAYJTUAJUCIUGYKUJYLAUCUAYFUTWGZVBWHVPYIYCXGWJZWKYDBEFGHJKLMQ
      OPRSTUAUBUCXEUDUNVCUEUPUFUGUHUIUJUKULUMUOYEYHAUCVQTVFZRVFLVQOVFVJYBXGUSVP
      YGYIYDXEVQTVFZYOYDYPYOWLYPIVQTVFWLYDTUAJXEUCIUGUJAJWMVGYBXGAJMPUBUEUFURWN
      VPYIAUCUAVGYBXGYMVPAIUAVGYBXGVBVPZYNWTWOWPWQYQVCWAWRWSXAXBXCXD $.
  $}

  ${
    $d g h w x y z C $.  $d g h w x y z D $.  $d g w y z F $.
    $d g h w x y z L $.  $d g h w x y z M $.  $d g h w x y z N $.
    $d g w x y z .0. $.  $d g w y z T $.  $d g h w x y z U $.  $d g y z V $.
    $d g w y z X $.  $d g y z ph $.
    hdmap1eu.h $e |- H = ( LHyp ` K ) $.
    hdmap1eu.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap1eu.v $e |- V = ( Base ` U ) $.
    hdmap1eu.o $e |- .0. = ( 0g ` U ) $.
    hdmap1eu.n $e |- N = ( LSpan ` U ) $.
    hdmap1eu.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap1eu.d $e |- D = ( Base ` C ) $.
    hdmap1eu.l $e |- L = ( LSpan ` C ) $.
    hdmap1eu.m $e |- M = ( ( mapd ` K ) ` W ) $.
    hdmap1eu.i $e |- I = ( ( HDMap1 ` K ) ` W ) $.
    hdmap1eu.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmap1eu.mn $e |- ( ph -> ( M ` ( N ` { X } ) ) = ( L ` { F } ) ) $.
    hdmap1eu.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    hdmap1eu.f $e |- ( ph -> F e. D ) $.
    hdmap1eu.t $e |- ( ph -> T e. V ) $.
    $( Convert ~ mapdh9a to use the ` HDMap1 ` notation.  (Contributed by NM,
       15-May-2015.) $)
    hdmap1eu $p |- ( ph -> E! y e. D A. z e. V (
       -. z e. ( ( N ` { X } ) u. ( N ` { T } ) )
         -> y = ( I ` <. z , ( I ` <. X , F , z >. ) , T >. ) ) ) $=
      ( vw vg vx vh c0g cfv csg cvv cv c2nd wceq csn c1st co crio cif cmpt eqid
      wa hdmap1cbv hdmap1eulem ) AUNBCDEDURUSZDUTUSZFGUOHIJLKUPVAUPVBZVCUSZRVDV
      OVRVENUSMUSUQVBZVELUSVDVQVFUSZVFUSVRGUTUSZVGVENUSMUSVTVCUSVSVPVGVELUSVDVL
      UQEVHVIVJZMWANOPQRSTUAWAVKUBUCUDUEVPVKVOVKUFUGUHUIUJUKULUMUPUNEVOVPUQUOLW
      BMWANRWBVKVMVN $.

    $( Convert ~ mapdh9aOLDN to use the ` HDMap1 ` notation.  (Contributed by
       NM, 15-May-2015.)  (New usage is discouraged.) $)
    hdmap1euOLDN $p |- ( ph -> E! y e. D A. z e. V ( -. z e. ( N ` { X , T } )
       -> y = ( I ` <. z , ( I ` <. X , F , z >. ) , T >. ) ) ) $=
      ( vw vg vx vh c0g cfv csg cvv cv c2nd wceq csn c1st co crio cif cmpt eqid
      wa hdmap1cbv hdmap1eulemOLDN ) AUNBCDEDURUSZDUTUSZFGUOHIJLKUPVAUPVBZVCUSZ
      RVDVOVRVENUSMUSUQVBZVELUSVDVQVFUSZVFUSVRGUTUSZVGVENUSMUSVTVCUSVSVPVGVELUS
      VDVLUQEVHVIVJZMWANOPQRSTUAWAVKUBUCUDUEVPVKVOVKUFUGUHUIUJUKULUMUPUNEVOVPUQ
      UOLWBMWANRWBVKVMVN $.
  $}

  ${
    $d k w H $.  $d a e i k t u v w y z K $.
    hdmapval.h $e |- H = ( LHyp ` K ) $.
    $( Map from vectors to functionals in the closed kernel dual space.
       (Contributed by NM, 15-May-2015.) $)
    hdmapffval $p |- ( K e. X -> ( HDMap ` K ) = ( w e. H |->
      { a | [. <. ( _I |` ( Base ` K ) ) ,
                 ( _I |` ( ( LTrn ` K ) ` w ) ) >. / e ].
            [. ( ( DVecH ` K ) ` w ) / u ].
            [. ( Base ` u ) / v ].
            [. ( ( HDMap1 ` K ) ` w ) / i ].
  a e. ( t e. v |->
      ( iota_ y e. ( Base ` ( ( LCDual ` K ) ` w ) )
         A. z e. v ( -. z e. ( ( ( LSpan ` u ) ` { e } )
                 u. ( ( LSpan ` u ) ` { t } ) )
           -> y = ( i ` <. z ,
                  ( i ` <. e , ( ( ( HVMap ` K ) ` w ) ` e ) , z >. ) ,
                  t >. ) ) ) ) } ) ) $=
      ( cfv cv cbs wsbc cid fveq2 fveq1d wcel cvv chdma csn clspn cun chvm cotp
      vk wn wceq wi wral clcd crio cmpt chdma1 cdvh cres cltrn cop cab elex clh
      eqtr4di reseq2d opeq12d fveq2d oteq2d eqeq2d ralbidv riotaeqbidv mpteq2dv
      imbi2d eleq2d sbceqbid sbcbidv abbidv mpteq12dv df-hdmap mptfvmpt syl ) J
      KUAJUBUAJUCNCILOZFDOZBOZGOZUDEOZUENZNFOZUDWHNUFUAUJZAOZWEWFWFCOZJUGNZNZNZ
      WEUHZHOZNZWIUHZWQNZUKZULZBWDUMZAWLJUNNZNZPNZUOZUPZUAZHWLJUQNZNZQZDWGPNZQZ
      EWLJURNZNZQZGRJPNZUSZRWLJUTNZNZUSZVAZQZLVBZUPUKJKVCCUIYEVDUCCUIOZVDNZWCFW
      DWJWKWEWFWFWLYFUGNZNZNZWEUHZWQNZWIUHZWQNZUKZULZBWDUMZAWLYFUNNZNZPNZUOZUPZ
      UAZHWLYFUQNZNZQZDXMQZEWLYFURNZNZQZGRYFPNZUSZRWLYFUTNZNZUSZVAZQZLVBZUPIUBJ
      JYFJUKZCYGUURIYEUUSYGJVDNIYFJVDSMVEUUSUUQYDLUUSUUJXQGUUPYCUUSUULXSUUOYBUU
      SUUKXRRYFJPSVFUUSUUNYARUUSWLUUMXTYFJUTSTVFVGUUSUUGXNEUUIXPUUSWLUUHXOYFJUR
      STUUSUUFXLDXMUUSUUCXIHUUEXKUUSWLUUDXJYFJUQSTUUSUUBXHWCUUSFWDUUAXGUUSYQXCA
      YTXFUUSYSXEPUUSWLYRXDYFJUNSTVHUUSYPXBBWDUUSYOXAWJUUSYNWTWKUUSYMWSWQUUSYLW
      RWEWIUUSYKWPWQUUSYJWOWFWEUUSWFYIWNUUSWLYHWMYFJUGSTTVIVHVIVHVJVNVKVLVMVOVP
      VQVPVPVRVSABCDEFGHUILVTMWAWB $.

    $d a e u v w y D $.  $d a e t u v w y z E $.  $d a e i t u v w y z I $.
    $d a e u v w J $.  $d a e u v w N $.  $d t y z U $.
    $d a e t u v w y z V $.  $d a e i t u v w y z W $.
    hdmapfval.e $e |- E = <. ( _I |` ( Base ` K ) ) ,
                 ( _I |` ( ( LTrn ` K ) ` W ) ) >. $.
    hdmapfval.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapfval.v $e |- V = ( Base ` U ) $.
    hdmapfval.n $e |- N = ( LSpan ` U ) $.
    hdmapfval.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmapfval.d $e |- D = ( Base ` C ) $.
    hdmapfval.j $e |- J = ( ( HVMap ` K ) ` W ) $.
    hdmapfval.i $e |- I = ( ( HDMap1 ` K ) ` W ) $.
    hdmapfval.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapfval.k $e |- ( ph -> ( K e. A /\ W e. H ) ) $.
    $( Map from vectors to functionals in the closed kernel dual space.
       (Contributed by NM, 15-May-2015.) $)
    hdmapfval $p |- ( ph -> S = ( t e. V |->
      ( iota_ y e. D A. z e. V ( -. z e. ( ( N ` { E } ) u. ( N ` { t } ) ) ->
          y = ( I ` <. z , ( I ` <. E , ( J ` E ) , z >. ) , t >. ) ) ) ) ) $=
      ( vw va vv ve vu vi wcel wa cv csn cfv cun wn cotp wceq wi wral crio cmpt
      clspn chvm clcd cbs chdma1 wsbc cdvh cid cres cltrn cop hdmapffval fveq1d
      cab chdma syl5eq fveq2 reseq2d opeq2d 2fveq3 oteq2d fveq2d eqeq2d ralbidv
      imbi2d riotaeqbidv mpteq2dv eleq2d sbceqbid sbcbidv opex fvex w3a eqtr4di
      wb simp1 simp2 simp3 eqtrd id fveq1 riotabidv syl sbcie fveq2i eqtr2i a1i
      sneqd fveq12d uneq12d notbid oteq1d fveq1i raleqbidv syl5bb sbc3ie bitrdi
      imbi12d mpteq12dv syl3anc abbi1dv eqid mptfvmpt sylan9eq ) ANEUOZQKUOZUPH
      DPCUQZJURZOUSZDUQZURZOUSZUTZUOZVAZBUQZYNJJMUSZYNVBZLUSZYQVBZLUSZVCZVDZCPV
      EZBGVFZVGZVCUHYLYMHQUIKUJUQZDUKUQZYNULUQZURZUMUQZVHUSZUSZYRUUSUSZUTZUOZVA
      ZUUCYNUUPUUPUIUQZNVIUSZUSZUSZYNVBZUNUQZUSZYQVBZUVJUSZVCZVDZCUUOVEZBUVENVJ
      USZUSVKUSZVFZVGZUOZUNUVENVLUSZUSZVMZUKUURVKUSZVMZUMUVENVNUSZUSZVMZULVONVK
      USVPZVOUVENVQUSZUSZVPZVRZVMZUJWAZVGZUSZUUMYLHQNWBUSZUSUWRUGYLQUWSUWQBCUIU
      KUMDULUNKNEUJRVSVTWCDUIUULVKUWQUWPPKIQUVEQVCZUWOUJUUMUWTUWOUUNDUUOUVDUUCY
      NUUPUUPQUVFUSZUSZYNVBZUVJUSZYQVBZUVJUSZVCZVDZCUUOVEZBQUVQUSZVKUSZVFZVGZUO
      ZUNQUWBUSZVMZUKUWEVMZUMQUWGUSZVMZULUWJVOQUWKUSZVPZVRZVMUUNUUMUOZUWTUWIUXS
      ULUWNUYBUWTUWMUYAUWJUWTUWLUXTVOUVEQUWKWDWEWFUWTUWFUXQUMUWHUXRUVEQUWGWDUWT
      UWDUXPUKUWEUWTUWAUXNUNUWCUXOUVEQUWBWDUWTUVTUXMUUNUWTDUUOUVSUXLUWTUVPUXIBU
      VRUXKUVEQVKUVQWGUWTUVOUXHCUUOUWTUVNUXGUVDUWTUVMUXFUUCUWTUVLUXEUVJUWTUVKUX
      DYNYQUWTUVIUXCUVJUWTUVHUXBUUPYNUWTUUPUVGUXAUVEQUVFWDVTWHWIWHWIWJWLWKWMWNW
      OWPWQWPWPUXPUYCULUMUKUYBUXRUWEUWJUYAWRQUWGWSUURVKWSUUPUYBVCZUURUXRVCZUUOU
      WEVCZWTZUUPJVCZUURIVCZUUOPVCZUXPUYCXBUYGUUPUYBJUYDUYEUYFXCSXAUYGUURUXRIUY
      DUYEUYFXDTXAZUYGUUOIVKUSZPUYGUUOUWEUYLUYDUYEUYFXEUYGUURIVKUYKWIXFUAXAUXPU
      UNDUUOUVDUUCYNUXCLUSZYQVBZLUSZVCZVDZCUUOVEZBUXKVFZVGZUOZUYHUYIUYJWTZUYCUX
      NVUAUNUXOQUWBWSUVJUXOVCZUVJLVCZUXNVUAXBVUCUVJUXOLVUCXGUFXAVUDUXMUYTUUNVUD
      DUUOUXLUYSVUDUXIUYRBUXKVUDUXHUYQCUUOVUDUXGUYPUVDVUDUXFUYOUUCVUDUXFUXELUSU
      YOUXEUVJLXHVUDUXEUYNLVUDUXDUYMYNYQUXCUVJLXHWHWIXFWJWLWKXIWNWOXJXKVUBUYTUU
      MUUNVUBDUUOUYSPUULUYHUYIUYJXEZVUBUYRUUKBUXKGUXKGVCVUBGFVKUSUXKUDFUXJVKUCX
      LXMXNVUBUYQUUJCUUOPVUEVUBUVDUUBUYPUUIVUBUVCUUAVUBUVBYTYNVUBUUTYPUVAYSVUBU
      UQYOUUSOVUBUUSIVHUSOVUBUURIVHUYHUYIUYJXDWIUBXAZVUBUUPJUYHUYIUYJXCZXOXPVUB
      YRUUSOVUFVTXQWOXRVUBUYOUUHUUCVUBUYNUUGLVUBUYMUUFYNYQVUBUXCUUELVUBUXCJUXBY
      NVBUUEVUBUUPJUXBYNVUGXSVUBUXBUUDJYNVUBUXBJUXAUSUUDVUBUUPJUXAVUGWIJMUXAUEX
      TXAWHXFWIWHWIWJYEYAWMYFWOYBYGYCYDYHUWQYIUAYJYKXJ $.

    $d t D $.  $d t J $.  $d t N $.  $d t y z T $.
    hdmapval.t $e |- ( ph -> T e. V ) $.
    $( Value of map from vectors to functionals in the closed kernel dual
       space.  This is the function sigma on line 27 above part 9 in [Baer]
       p. 48.  We select a convenient fixed reference vector ` E ` to be
       ` <. 0 , 1 >. ` (corresponding to vector u on p. 48 line 7) whose span
       is the lattice isomorphism map of the fiducial atom
       ` P = ( ( oc `` K ) `` W ) ` (see ~ dvheveccl ). ` ( J `` E ) ` is a
       fixed reference functional determined by this vector (corresponding to
       u' on line 8; ~ mapdhvmap shows in Baer's notation (Fu)* = Gu').  Baer's
       independent vectors v and w on line 7 correspond to our ` z ` that the
       ` A. z e. V ` ranges over.  The middle term
       ` ( I `` <. E , ( J `` E ) , z >. ) ` provides isolation to allow ` E `
       and ` T ` to assume the same value without conflict.  Closure is shown
       by ~ hdmapcl .  If a separate auxiliary vector is known, ~ hdmapval2
       provides a version without quantification.  (Contributed by NM,
       15-May-2015.) $)
    hdmapval $p |- ( ph -> ( S ` T )
     = ( iota_ y e. D A. z e. V ( -. z e. ( ( N ` { E } ) u. ( N ` { T } ) ) ->
          y = ( I ` <. z , ( I ` <. E , ( J ` E ) , z >. ) , T >. ) ) ) ) $=
      ( vt cfv cv csn cun wcel wn cotp wceq wral crio cmpt hdmapfval fveq1d cvv
      riotaex sneq fveq2d uneq2d eleq2d notbid eqeq2d imbi12d ralbidv riotabidv
      wi oteq3 eqid fvmptg sylancl eqtrd ) AHGUKHUJPCULZJUMOUKZUJULZUMZOUKZUNZU
      OZUPZBULZWAJJMUKWAUQLUKZWCUQZLUKZURZVOZCPUSZBFUTZVAZUKZWAWBHUMZOUKZUNZUOZ
      UPZWIWAWJHUQZLUKZURZVOZCPUSZBFUTZAHGWQABCUJDEFGIJKLMNOPQRSTUAUBUCUDUEUFUG
      UHVBVCAHPUOXIVDUOWRXIURUIXHBFVEUJHWPXIPVDWQWCHURZWOXHBFXJWNXGCPXJWHXCWMXF
      XJWGXBXJWFXAWAXJWEWTWBXJWDWSOWCHVFVGVHVIVJXJWLXEWIXJWKXDLWCHWAWJVPVGVKVLV
      MVNWQVQVRVSVT $.
  $}

  ${
    $d t y z K $.  $d t y z U $.  $d t y z V $.  $d t y z W $.
    hdmapfn.h $e |- H = ( LHyp ` K ) $.
    hdmapfn.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapfn.v $e |- V = ( Base ` U ) $.
    hdmapfn.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapfn.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Functionality of map from vectors to functionals with closed kernels.
       (Contributed by NM, 30-May-2015.)  (New usage is discouraged.) $)
    hdmapfnN $p |- ( ph -> S Fn V ) $=
      ( vt vz vy wfn cv cid cfv eqid cbs cres cltrn cop csn clspn cun wcel chvm
      cotp chdma1 wceq wral clcd crio cmpt riotaex fnmpti chlt hdmapfval fneq1d
      wn wi mpbiri ) ABFPMFNQZREUASUBRGEUCSSUBUDZUECUFSZSMQZUEVGSUGUHVBOQVEVFVF
      GEUISSZSVEUJGEUKSSZSVHUJVJSULVCNFUMZOGEUNSSZUASZUOZUPZFPMFVNVOVKOVMUQVOTU
      RAFBVOAONMUSVLVMBCVFDVJVIEVGFGHVFTIJVGTVLTVMTVITVJTKLUTVAVD $.
  $}

  ${
    $d h y C $.  $d h y D $.  $d h y K $.  $d h y T $.  $d h y U $.
    $d h y V $.  $d h y W $.  $d h y ph $.
    hdmapcl.h $e |- H = ( LHyp ` K ) $.
    hdmapcl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapcl.v $e |- V = ( Base ` U ) $.
    hdmapcl.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmapcl.d $e |- D = ( Base ` C ) $.
    hdmapcl.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapcl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapcl.t $e |- ( ph -> T e. V ) $.
    $( Closure of map from vectors to functionals with closed kernels.
       (Contributed by NM, 15-May-2015.) $)
    hdmapcl $p |- ( ph -> ( S ` T ) e. D ) $=
      ( cfv eqid vy vh cv cid cbs cres cltrn cop csn clspn cun wcel chvm chdma1
      wn cotp wceq wi wral crio chlt hdmapval wreu cmpd c0g dvheveccl mapdhvmap
      hvmapcl2 eldifad hdmap1eu riotacl syl eqeltrd ) AEDSUAUCZUDHUESZUFUDJHUGS
      SZUFUHZUIFUJSZSEUIVRSUKULUOUBUCVNVQVQJHUMSSZSZVNUPJHUNSSZSEUPWASUQURUAIUS
      ZUBCUTZCAUBUAVABCDEFVQGWAVSHVRIJKVQTZLMVRTZNOVSTZWATZPQRVBAWBUBCVCWCCULAU
      BUABCEFVTGWAHBUJSZJHVDSSZVRIJVQFVESZKLMWJTZWENOWHTZWITZWGQABVSFGWHHWIVRIJ
      VQWJKLMWKWENWLWMWFQAVOVPFVQGHIJWJKVOTVPTLMWKWDQVFZVGWNAVTCBVESZUIABFCGHVS
      WOIJVQWJKLMWKNOWOTWFQWNVHVIRVJWBUBCVKVLVM $.
  $}

  ${
    $d h z C $.  $d h z D $.  $d h z E $.  $d h z F $.  $d h z I $.
    $d h z J $.  $d h z K $.  $d h z N $.  $d h z T $.  $d h z U $.
    $d h z V $.  $d h z W $.  $d h z ph $.
    hdmapval2.h $e |- H = ( LHyp ` K ) $.
    hdmapval2.e $e |- E
          = <. ( _I |` ( Base ` K ) ) , ( _I |` ( ( LTrn ` K ) ` W ) ) >. $.
    hdmapval2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapval2.v $e |- V = ( Base ` U ) $.
    hdmapval2.n $e |- N = ( LSpan ` U ) $.
    hdmapval2.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmapval2.d $e |- D = ( Base ` C ) $.
    hdmapval2.j $e |- J = ( ( HVMap ` K ) ` W ) $.
    hdmapval2.i $e |- I = ( ( HDMap1 ` K ) ` W ) $.
    hdmapval2.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapval2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapval2.t $e |- ( ph -> T e. V ) $.
    ${
      hdmapval2.f $e |- ( ph -> F e. D ) $.
      $( Lemma for ~ hdmapval2 .  (Contributed by NM, 15-May-2015.) $)
      hdmapval2lem $p |- ( ph -> ( ( S ` T ) = F <->
         A. z e. V ( -. z e. ( ( N ` { E } ) u. ( N ` { T } ) ) ->
            F = ( I ` <. z , ( I ` <. E , ( J ` E ) , z >. ) , T >. ) ) ) ) $=
        ( vh cfv wceq cv csn cun wcel wn cotp wi wral crio chlt hdmapval eqeq1d
        wreu clspn cmpd c0g eqid cbs cltrn dvheveccl mapdhvmap hvmapcl2 eldifad
        wb hdmap1eu nfv nfcvd eqeq1 imbi2d ralbidv adantl riota2df mpdan bitr4d
        nfvd ) AFEUKZIULBUMZHUNNUKFUNNUKUOUPUQZUJUMZWIHHLUKZWIURKUKFURKUKZULZUS
        ZBOUTZUJDVAZIULZWJIWMULZUSZBOUTZAWHWQIAUJBVBCDEFGHJKLMNOPQRSTUAUBUCUDUE
        UFUGUHVCVDAWPUJDVEXAWRVPAUJBCDFGWLJKMCVFUKZPMVGUKUKZNOPHGVHUKZQSTXDVIZU
        AUBUCXBVIZXCVIZUEUGACLGJXBMXCNOPHXDQSTXEUAUBXFXGUDUGAMVJUKZPMVKUKUKZGHJ
        MOPXDQXHVIXIVISTXERUGVLZVMXJAWLDCVHUKZUNACGDJMLXKOPHXDQSTXEUBUCXKVIUDUG
        XJVNVOUHVQAWPXAUJDIAUJVRAUJIVSAXAUJWGUIWKIULZWPXAVPAXLWOWTBOXLWNWSWJWKI
        WMVTWAWBWCWDWEWF $.
    $}

    $d z S $.  $d z X $.
    hdmapval2.x $e |- ( ph -> X e. V ) $.
    hdmapval2.ne $e |- ( ph -> -. X e. ( ( N ` { E } ) u. ( N ` { T } ) ) ) $.
    $( Value of map from vectors to functionals with a specific auxiliary
       vector.  TODO:  Would shorter proofs result if the .ne hypothesis were
       changed to two ` =/= ` hypothesis?  Consider ~ hdmaplem1 through
       ~ hdmaplem4 , which would become obsolete.  (Contributed by NM,
       15-May-2015.) $)
    hdmapval2 $p |- ( ph
   -> ( S ` T ) = ( I ` <. X , ( I ` <. E , ( J ` E ) , X >. ) , T >. ) ) $=
      ( vz cv csn cfv cun wcel wn cotp wceq wi eqidd hdmapcl hdmapval2lem mpbid
      eleq1 notbid oteq1 oteq3 fveq2d oteq2d eqtrd eqeq2d imbi12d rspccv syl3c
      wral ) AUJUKZGULLUMEULLUMUNZUOZUPZEDUMZVPGGJUMZVPUQZIUMZEUQZIUMZURZUSZUJM
      VOZOMUOOVQUOZUPZVTOGWAOUQZIUMZEUQZIUMZURZAVTVTURWHAVTUTAUJBCDEFGVTHIJKLMN
      PQRSTUAUBUCUDUEUFUGABCDEFHKMNPRSUAUBUEUFUGVAVBVCUHUIWGWJWOUSUJOMVPOURZVSW
      JWFWOWPVRWIVPOVQVDVEWPWEWNVTWPWDWMIWPWDOWCEUQWMVPOWCEVFWPWCWLOEWPWBWKIVPO
      GWAVGVHVIVJVHVKVLVMVN $.
  $}

  ${
    $d x K $.  $d x .0. $.  $d x Q $.  $d x S $.  $d x U $.  $d x W $.
    $d x ph $.
    hdmapval0.h $e |- H = ( LHyp ` K ) $.
    hdmapval0.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapval0.o $e |- .0. = ( 0g ` U ) $.
    hdmapval0.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmapval0.q $e |- Q = ( 0g ` C ) $.
    hdmapval0.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapval0.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Value of map from vectors to functionals at zero.  Note: we use
       ~ dvh3dim for convenience, even though 3 dimensions aren't necessary at
       this point.  TODO:  I think either this or ~ hdmapeq0 could be derived
       from the other to shorten proof.  (Contributed by NM, 17-May-2015.) $)
    hdmapval0 $p |- ( ph -> ( S ` .0. ) = Q ) $=
      ( cfv wcel eqid 3ad2ant1 vx cv cid cbs cres cltrn cop cpr clspn wrex wceq
      wn csn dvheveccl eldifad clmod dvhlmod lmod0vcl syl dvh3dim w3a chvm cotp
      chdma1 chlt wa simp2 cun wi clss lspprid1 lspsnel5a lspprid2 unssd ssneld
      lspprcl adantr 3impia hdmapval2 cmpd hvmapcl2 mapdhvmap wne clvec dvhlvec
      simp3 lspindpi simpld necomd cdif hdmap1cl hdmap1val0 eqtrd rexlimdv3a
      mpd ) AUAUBZUCGUDQZUEUCHGUFQQZUEUGZIUHEUIQZQZRULZUAEUDQZUJIDQZCUKZAUAEFGW
      TXCHWSIJKXCSZWTSZPAWSXCIUMZAWQWREWSFGXCHIJWQSWRSKXFLWSSZPUNZUOZAEUPRIXCRZ
      AEFGHJKPUQZXCEIXFLURUSZUTAXBXEUAXCAWPXCRZXBVAZXDWPWSWSHGVBQQZQZWPVCHGVDQQ
      ZQZIVCXSQCXPBBUDQZDIEWSFXSXQGWTXCHWPJXIKXFXGMYASZXQSZXSSZOAXOGVERHFRVFXBP
      TZAXOXLXBXNTZAXOXBVGZAXOXBWPWSUMWTQZXHWTQZVHZRULZAXBYKVIXOAYJXAWPAYHYIXAA
      EVJQZXAWTEWSYLSZXGXMAYLWTXCEWSIXFYMXGXMXKXNVPZAWTXCEWSIXFXGXMXKXNVKVLAYLX
      AWTEIYMXGXMYNAWTXCEWSIXFXGXMXKXNVMVLVNVOVQVRVSXPBYACEXTFXSGXCHWPIJKXFLMYB
      NYDYEXPBYAEXRFXSGBUIQZHGVTQQZWTXCHWSWPIJKXFLXGMYBYOSZYPSZYDYEAXOXRYARXBAX
      RYACUMABEYAFGXQCXCHWSIJKXFLMYBNYCPXJWAUOTAXOYHYPQXRUMYOQUKXBABXQEFYOGYPWT
      XCHWSIJKXFLXGMYQYRYCPXJWBTXPWPUMWTQZYHXPYSYHWCYSYIWCXPWTXCEWPWSIXFXGAXOEW
      DRXBAEFGHJKPWETYGAXOWSXCRXBXKTYFAXOXBWFWGWHWIAXOWSXCXHWJRXBXJTYGWKYGWLWMW
      NWO $.
  $}

  ${
    hdmapevec.h $e |- H = ( LHyp ` K ) $.
    hdmapevec.e $e |- E
          = <. ( _I |` ( Base ` K ) ) , ( _I |` ( ( LTrn ` K ) ` W ) ) >. $.
    hdmapevec.j $e |- J = ( ( HVMap ` K ) ` W ) $.
    hdmapevec.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapevec.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    ${
      hdmapevec.u $e |- U = ( ( DVecH ` K ) ` W ) $.
      hdmapevec.v $e |- V = ( Base ` U ) $.
      hdmapevec.n $e |- N = ( LSpan ` U ) $.
      hdmapevec.c $e |- C = ( ( LCDual ` K ) ` W ) $.
      hdmapevec.d $e |- D = ( Base ` C ) $.
      hdmapevec.i $e |- I = ( ( HDMap1 ` K ) ` W ) $.
      hdmapevec.x $e |- ( ph -> X e. V ) $.
      hdmapevec.ne $e |- ( ph
         -> -. X e. ( ( N ` { E } ) u. ( N ` { E } ) ) ) $.
      $( Lemma for ~ hdmapevec .  TODO: combine with ~ hdmapevec if it shortens
         overall.  (Contributed by NM, 16-May-2015.) $)
      hdmapeveclem $p |- ( ph -> ( S ` E ) = ( J ` E ) ) $=
        ( cfv cotp c0g csn cbs cltrn dvheveccl eldifad hdmapval2 clspn hvmapcl2
        eqid mapdhvmap dvhlmod hdmaplem1 necomd hdmaplem3 eqidd hdmap1eq2 eqtrd
        cmpd ) AFDUHNFFIUHZNUIHUHZFUIHUHVIABCDFEFGHIJKLMNOPTUAUBUCUDQUERSAFLEUJ
        UHZUKAJULUHZMJUMUHUHZEFGJLMVKOVLUSVMUSTUAVKUSZPSUNZUOZUFUGUPABCEVIVJGHJ
        BUQUHZMJVHUHUHZKLMFNVKOTUAVNUBUCUDVQUSZVRUSZUESAVICBUJUHZUKABECGJIWALMF
        VKOTUAVNUCUDWAUSQSVOURUOABIEGVQJVRKLMFVKOTUAVNUBUCVSVTQSVOUTANUKKUHFUKK
        UHAKLEFFNUAUBAEGJMOTSVAZUFUGVPVBVCVOAKLEFFVKNUAUBWBUFUGVPVNVDAVJVEVFVG
        $.
    $}

    $d z E $.  $d z J $.  $d z K $.  $d z S $.  $d z W $.  $d z ph $.
    $( Value of map from vectors to functionals at the reference vector ` E ` .
       (Contributed by NM, 16-May-2015.) $)
    hdmapevec $p |- ( ph -> ( S ` E ) = ( J ` E ) ) $=
      ( vz cv csn cfv wcel wn cbs eqid cdvh clspn wrex wceq c0g cltrn dvheveccl
      eldifad dvh2dim w3a clcd chdma1 chlt 3ad2ant1 simp2 cun unssi sseli con3i
      wa ssid 3ad2ant3 hdmapeveclem rexlimdv3a mpd ) AMNZCOGFUAPPZUBPZPZQZRZMVG
      SPZUCCBPCEPUDZAMVGDFVHVLGCHVGTZVLTZVHTZLACVLVGUEPZOAFSPZGFUFPPZVGCDFVLGVQ
      HVRTVSTVNVOVQTILUGUHUIAVKVMMVLAVFVLQZVKUJGFUKPPZWASPZBVGCDGFULPPZEFVHVLGV
      FHIJKAVTFUMQGDQUTVKLUNVNVOVPWATWBTWCTAVTVKUOVKAVFVIVIUPZQZRVTWEVJWDVIVFVI
      VIVIVIVAZWFUQURUSVBVCVDVE $.

    $d k v w E $.  $d k w .1. $.  $d k v w K $.  $d k v R $.  $d k v w U $.
    $d k v w W $.
    hdmapevec2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapevec2.r $e |- R = ( Scalar ` U ) $.
    hdmapevec2.i $e |- .1. = ( 1r ` R ) $.
    $( The inner product of the reference vector ` E ` with itself is nonzero.
       This shows the inner product condition in the proof of Theorem 3.6 of
       [Holland95] p. 14 line 32, ` [ ` e , e ` ] =/= 0 ` is satisfied.  TODO:
       remove redundant hypothesis hdmapevec.j.  (Contributed by NM,
       1-Jun-2015.) $)
    hdmapevec2 $p |- ( ph -> ( ( S ` E ) ` E ) = .1. ) $=
      ( cfv eqid vv vw vk cbs cv cvsca cplusg wceq csn coch wrex crio hdmapevec
      co cmpt chlt c0g cltrn dvheveccl hvmapval eqtrd fveq1d dochfl1 ) AFFCSZSF
      UADUDSZUAUEUBUEUCUEFDUFSZUNDUGSZUNUHUBFUIJIUJSSZSUKUCBUDSZULUOZSEAFVDVJAV
      DFHSVJACFGHIJKLMNOUMAUAUBUPVGVIBVFDUCGIHVHVEJFDUQSZKPVHTZVETZVGTZVFTZVKTZ
      QVITZMOAIUDSZJIURSSZDFGIVEJVKKVRTVSTPVMVPLOUSZUTVAVBAUBUABVGVIVFDEUCVJGIV
      HVEJFVKKVLPVMVNVOVPQVQROVTVJTVCVA $.
  $}

  ${
    hdmapval3.h $e |- H = ( LHyp ` K ) $.
    hdmapval3.e $e |- E
          = <. ( _I |` ( Base ` K ) ) , ( _I |` ( ( LTrn ` K ) ` W ) ) >. $.
    hdmapval3.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapval3.v $e |- V = ( Base ` U ) $.
    hdmapval3.n $e |- N = ( LSpan ` U ) $.
    hdmapval3.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmapval3.d $e |- D = ( Base ` C ) $.
    hdmapval3.j $e |- J = ( ( HVMap ` K ) ` W ) $.
    hdmapval3.i $e |- I = ( ( HDMap1 ` K ) ` W ) $.
    hdmapval3.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapval3.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapval3.te $e |- ( ph -> ( N ` { T } ) =/= ( N ` { E } ) ) $.
    ${
      hdmapval3lem.t $e |- ( ph -> T e. ( V \ { ( 0g ` U ) } ) ) $.
      hdmapval3lem.x $e |- ( ph -> x e. V ) $.
      hdmapval3lem.xn $e |- ( ph -> -. x e. ( N ` { E , T } ) ) $.
      $( Value of map from vectors to functionals at arguments not colinear
         with the reference vector ` E ` .  (Contributed by NM, 17-May-2015.)
         (New usage is discouraged.) $)
      hdmapval3lemN $p |- ( ph
              -> ( S ` T ) = ( I ` <. E , ( J ` E ) , T >. ) ) $=
        ( cfv cotp clspn cmpd c0g eqid csn cbs cltrn dvheveccl hvmapcl2 eldifad
        cv mapdhvmap wne dvhlvec lspindpi simpld necomd hdmap1cl wceq csg co wa
        eqidd clss cpr dvhlmod lspprcl lssneln0 hdmap1eq cun lspprid1 lspsnel5a
        mpbid ssneldd hdmapval2 hdmapevec eqtr3d lspprid2 eqcomd hdmap1eq4N
        unssd ) AHHKUKZFULJUKFEUKZAWOCDGHWNBVCZULJUKZWNIJLCUMUKZOLUNUKUKZMNOWPH
        GUOUKZFPRSWTUPZTUAUBWRUPZWSUPZUDUFACDGWNIJLWRWSMNOHWPWTPRSXATUAUBXBXCUD
        UFAWNDCUOUKZUQACGDILKXDNOHWTPRSXAUAUBXDUPUCUFALURUKZOLUSUKUKZGHILNOWTPX
        EUPXFUPRSXAQUFUTZVAVBZACKGIWRLWSMNOHWTPRSXATUAXBXCUCUFXGVDZAWPUQMUKZHUQ
        MUKZAXJXKVEXJFUQMUKZVEAMNGWPHFSTAGILOPRUFVFUIAHNWTUQZXGVBZAFNXMUHVBZUJV
        GVHVIZXGUIVJZAXJWSUKWQUQWRUKVKZHWPGVLUKZVMUQMUKWSUKWNWQCVLUKZVMUQWRUKVK
        ZAWQWQVKXRYAVNAWQVOACDXTGWNWQIJLWRWSXSMNOHWPWTPRSXSUPXATUAUBXTUPXBXCUDU
        FXGXHAGVPUKZHFVQMUKZNGWPWTXAYBUPZAGILOPRUFVRZAYBMNGHFSYDTYEXNXOVSZUIUJV
        TZXQXPXIWAWEVHYGXGUHAXLXKUGVIUJAHEUKWPWQHULJUKWNACDEHGHIJKLMNOWPPQRSTUA
        UBUCUDUEUFXNUIAXKXKWBYCWPAXKXKYCAYBYCMGHYDTYEYFAMNGHFSTYEXNXOWCWDZYHWMU
        JWFWGAEHIKLOPQUCUEUFWHWIAWOWPWQFULJUKACDEFGHIJKLMNOWPPQRSTUAUBUCUDUEUFX
        OUIAXKXLWBYCWPAXKXLYCYHAYBYCMGFYDTYEYFAMNGHFSTYEXNXOWJWDWMUJWFWGWKWLWK
        $.
    $}

    $d x E $.  $d x I $.  $d x J $.  $d x N $.  $d x S $.  $d x T $.  $d x U $.
    $d x V $.  $d x ph $.
    hdmapval3.t $e |- ( ph -> T e. V ) $.
    $( Value of map from vectors to functionals at arguments not colinear with
       the reference vector ` E ` .  (Contributed by NM, 17-May-2015.)
       (New usage is discouraged.) $)
    hdmapval3N $p |- ( ph -> ( S ` T ) = ( I ` <. E , ( J ` E ) , T >. ) ) $=
      ( vx cfv cotp wceq c0g fveq2 oteq3 fveq2d eqeq12d wne wa cv cpr wcel wrex
      wn csn cbs eqid dvheveccl eldifad dvh3dim adantr w3a chlt simp1l syl cdif
      cltrn eldifsn sylanbrc simp2 simp3 hdmapval3lemN rexlimdv3a mpd hdmapval0
      simp1r hvmapcl2 hdmap1val0 eqtr4d pm2.61ne ) AEDUIZGGJUIZEUJZIUIZUKZFULUI
      ZDUIZGWKWOUJZIUIZUKEWOEWOUKZWJWPWMWREWODUMWSWLWQIEWOGWKUNUOUPAEWOUQZURZUH
      USZGEUTLUIVAVCZUHMVBZWNAXDWTAUHFHKLMNGEOQRSUEAGMWOVDZAKVEUIZNKVPUIUIZFGHK
      MNWOOXFVFXGVFQRWOVFZPUEVGZVHZUGVIVJXAXCWNUHMXAXBMVAZXCVKZUHBCDEFGHIJKLMNO
      PQRSTUAUBUCUDXLAKVLVANHVAURAWTXKXCVMZUEVNXLAEVDLUIGVDLUIUQXMUFVNXLEMVAZWT
      EMXEVOVAXLAXNXMUGVNAWTXKXCWEEMWOVQVRXAXKXCVSXAXKXCVTWAWBWCAWPBULUIZWRABXO
      DFHKNWOOQXHTXOVFZUDUEWDABCXOFWKHIKMNGWOOQRXHTUAXPUCUEAWKCXOVDABFCHKJXOMNG
      WOOQRXHTUAXPUBUEXIWFVHXJWGWHWI $.
  $}

  ${
    hdmap10.h $e |- H = ( LHyp ` K ) $.
    hdmap10.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap10.v $e |- V = ( Base ` U ) $.
    hdmap10.n $e |- N = ( LSpan ` U ) $.
    hdmap10.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap10.l $e |- L = ( LSpan ` C ) $.
    hdmap10.m $e |- M = ( ( mapd ` K ) ` W ) $.
    hdmap10.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmap10.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    ${
      $d x E $.  $d x L $.  $d x M $.  $d x N $.  $d x S $.  $d x T $.
      $d x U $.  $d x V $.  $d x ph $.
      hdmap10.e $e |- E
            = <. ( _I |` ( Base ` K ) ) , ( _I |` ( ( LTrn ` K ) ` W ) ) >. $.
      hdmap10.o $e |- .0. = ( 0g ` U ) $.
      hdmap10.d $e |- D = ( Base ` C ) $.
      hdmap10.j $e |- J = ( ( HVMap ` K ) ` W ) $.
      hdmap10.i $e |- I = ( ( HDMap1 ` K ) ` W ) $.
      hdmap10lem.t $e |- ( ph -> T e. ( V \ { .0. } ) ) $.
      $( Lemma for ~ hdmap10 .  (Contributed by NM, 17-May-2015.) $)
      hdmap10lem $p |- ( ph
         -> ( M ` ( N ` { T } ) ) = ( L ` { ( S ` T ) } ) ) $=
        ( vx cv cpr cfv wcel wrex csn wceq cltrn eqid dvheveccl eldifad dvh3dim
        wn cbs w3a csg co cotp wa chlt 3ad2ant1 simp2 cun clss dvhlmod lspprid1
        lspprcl lspsnel5a lspprid2 unssd sseld con3dimp 3adant2 hdmapval2 clmod
        eqcomd simp3 lssneln0 c0g hvmapcl2 mapdhvmap wne clvec dvhlvec lspindpi
        simpld necomd cdif hdmap1cl hdmapcl hdmap1eq mpbii mpbid rexlimdv3a mpd
        simprd ) AUMUNZGEUONUPZUQZVFZUMOUREUSNUPZMUPEDUPZUSLUPUTZAUMFHKNOPGERST
        UAUFAGOQUSZAKVGUPZPKVAUPUPZFGHKOPQRXRVBXSVBSTUHUGUFVCZVDZAEOXQULVDZVEAX
        MXPUMOAXJOUQZXMVHZXPXJEFVIUPZVJUSNUPMUPGGJUPZXJVKIUPZXOBVIUPZVJUSLUPUTZ
        YDXJYGEVKIUPZXOUTXPYIVLYDXOYJYDBCDEFGHIJKNOPXJRUGSTUAUBUIUJUKUEAYCKVMUQ
        PHUQVLXMUFVNZAYCEOUQXMYBVNZAYCXMVOZAXMXJGUSNUPZXNVPZUQZVFYCAYPXLAYOXKXJ
        AYNXNXKAFVQUPZXKNFGYQVBZUAAFHKPRSUFVRZAYQNOFGETYRUAYSYAYBVTZANOFGETUAYS
        YAYBVSWAAYQXKNFEYRUAYSYTANOFGETUAYSYAYBWBWAWCWDWEWFWGWIYDBCYHFYGXOHIKLM
        YENOPXJEQRSTYEVBZUHUAUBUIYHVBZUCUDUKYKYDYQXKOFXJQUHYRAYCFWHUQXMYSVNAYCX
        KYQUQXMYTVNYMAYCXMWJZWKZYDBCFYFHIKLMNOPGXJQRSTUHUAUBUIUCUDUKYKAYCYFCUQX
        MAYFCBWLUPZUSABFCHKJUUEOPGQRSTUHUBUIUUEVBUJUFXTWMVDVNZAYCYNMUPYFUSLUPUT
        XMABJFHLKMNOPGQRSTUHUAUBUCUDUJUFXTWNVNZYDXJUSNUPZYNYDUUHYNWOZUUHXNWOZYD
        NOFXJGETUAAYCFWPUQXMAFHKPRSUFWQVNYMAYCGOUQXMYAVNYLUUCWRZWSWTZAYCGOXQXAZ
        UQXMXTVNZYMXBZAYCEUUMUQXMULVNAYCXOCUQXMABCDEFHKOPRSTUBUIUEUFYBXCVNYDUUI
        UUJUUKXIYDUUHMUPYGUSLUPUTZGXJYEVJUSNUPMUPYFYGYHVJUSLUPUTZYDYGYGUTUUPUUQ
        VLYGVBYDBCYHFYFYGHIKLMYENOPGXJQRSTUUAUHUAUBUIUUBUCUDUKYKUUNUUFUUDUUOUUL
        UUGXDXEWSXDXFWSXGXH $.
    $}

    hdmap10.t $e |- ( ph -> T e. V ) $.
    $( Part 10 in [Baer] p. 48 line 33, (Ft)* = G(tS) in their notation (S =
       sigma).  (Contributed by NM, 17-May-2015.) $)
    hdmap10 $p |- ( ph -> ( M ` ( N ` { T } ) ) = ( L ` { ( S ` T ) } ) ) $=
      ( csn cfv wceq c0g sneq fveq2d fveq2 sneqd eqeq12d wne cbs cid cres cltrn
      wa cop chdma1 chvm chlt wcel adantr eqid anim1i eldifsn sylibr hdmap10lem
      cdif clmod dvhlmod lspsn0 mapd0 hdmapval0 lcdlmod eqtr2d 3eqtrd pm2.61ne
      syl ) ADUCZJUDZIUDZDCUDZUCZHUDZUEEUFUDZUCZJUDZIUDZWFCUDZUCZHUDZUEDWFDWFUE
      ZWBWIWEWLWMWAWHIWMVTWGJDWFUGUHUHWMWDWKHWMWCWJDWFCUIUJUHUKADWFULZUQZBBUMUD
      ZCDEUNGUMUDUOUNLGUPUDUDUOURZFLGUSUDUDZLGUTUDUDZGHIJKLWFMNOPQRSTAGVAVBLFVB
      UQWNUAVCWQVDWFVDZWPVDWSVDWRVDWODKVBZWNUQDKWGVIVBAXAWNUBVEDKWFVFVGVHAWIWGI
      UDBUFUDZUCZWLAWHWGIAEVJVBWHWGUEAEFGLMNUAVKJEWFWTPVLVSUHABEFGIWFLXBMSNWTQX
      BVDZUAVMAWLXCHUDZXCAWKXCHAWJXBABXBCEFGLWFMNWTQXDTUAVNUJUHABVJVBXEXCUEABFG
      LMQUAVOHBXBXDRVLVSVPVQVR $.
  $}

  ${
    hdmap11.h $e |- H = ( LHyp ` K ) $.
    hdmap11.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap11.v $e |- V = ( Base ` U ) $.
    hdmap11.p $e |- .+ = ( +g ` U ) $.
    hdmap11.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap11.a $e |- .+b = ( +g ` C ) $.
    hdmap11.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmap11.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmap11.x $e |- ( ph -> X e. V ) $.
    hdmap11.y $e |- ( ph -> Y e. V ) $.
    ${
      hdmap11.e $e |- E
            = <. ( _I |` ( Base ` K ) ) , ( _I |` ( ( LTrn ` K ) ` W ) ) >. $.
      hdmap11.o $e |- .0. = ( 0g ` U ) $.
      hdmap11.n $e |- N = ( LSpan ` U ) $.
      hdmap11.d $e |- D = ( Base ` C ) $.
      hdmap11.l $e |- L = ( LSpan ` C ) $.
      hdmap11.m $e |- M = ( ( mapd ` K ) ` W ) $.
      hdmap11.j $e |- J = ( ( HVMap ` K ) ` W ) $.
      hdmap11.i $e |- I = ( ( HDMap1 ` K ) ` W ) $.
      ${
        hdmap11lem0.1a $e |- ( ph -> z e. V ) $.
        hdmap11lem0.6 $e |- ( ph -> -. z e. ( N ` { X , Y } ) ) $.
        hdmap11lem0.2a $e |- ( ph -> ( N ` { z } ) =/= ( N ` { E } ) ) $.
        $( Lemma for ~ hdmapadd .  (Contributed by NM, 26-May-2015.) $)
        hdmap11lem1 $p |- ( ph
             -> ( S ` ( X .+ Y ) ) = ( ( S ` X ) .+b ( S ` Y ) ) ) $=
          ( cv cfv cotp c0g csn eqid cltrn dvheveccl hvmapcl2 eldifad mapdhvmap
          co cbs necomd hdmap1cl clss cpr dvhlmod lspprcl lssneln0 csg wa eqidd
          wceq hdmap1eq mpbid hdmap1l6 clmod lmodvacl syl3anc dvhlvec lspprvacl
          simpld wcel lspsnel5a ssneldd lspsnne2 hdmaplem4 hdmapval2 wne simprd
          lspindpi oveq12d 3eqtr4d ) ABVCZIILVDZXGVEKVDZSTEVNZVEKVDXGXISVEKVDZX
          GXITVEKVDZFVNXJGVDSGVDZTGVDZFVNACDEFHXIJKMNOPQRXGSUATUBUCUDUEUMUNUFUO
          UGUPUQUSUIACDHXHJKMNOPQRIXGUAUBUCUDUMUNUFUOUPUQUSUIAXHDCVFVDZVGACHDJM
          LXOQRIUAUBUCUDUMUFUOXOVHURUIAMVOVDZRMVIVDVDZHIJMQRUAUBXPVHXQVHUCUDUMU
          LUIVJZVKVLZACLHJNMOPQRIUAUBUCUDUMUNUFUPUQURUIXRVMZAXGVGPVDZIVGPVDVBVP
          ZXRUTVQZAHVRVDZSTVSPVDZQHXGUAUMYDVHZAHJMRUBUCUIVTZAYDPQHSTUDYFUNYGUJU
          KWAZUTVAWBZUJUKVAAYAOVDXIVGNVDWFZIXGHWCVDZVNVGPVDOVDXHXICWCVDZVNVGNVD
          WFZAXIXIWFYJYMWDAXIWEACDYLHXHXIJKMNOYKPQRIXGUAUBUCUDYKVHUMUNUFUOYLVHU
          PUQUSUIXRXSYIYCYBXTWGWHWOWIACDGXJHIJKLMPQRXGUBULUCUDUNUFUOURUSUHUIAHW
          JWPSQWPTQWPXJQWPYGUJUKEQHSTUDUEWKWLZUTAPQHIXJUAXGUDUNUMAHJMRUBUCUIWMZ
          AIQUAVGXRVLZYNYIVBAPQHXGXJUDUNYGUTYNAXJVGPVDYEXGAYDYEPHXJYFUNYGYHAEPQ
          HSTUDUEUNYGUJUKWNWQVAWRWSWTXAAXMXKXNXLFACDGSHIJKLMPQRXGUBULUCUDUNUFUO
          URUSUHUIUJUTAPQHISUAXGUDUNUMYOYPUJYIVBAYASVGPVDXBZYATVGPVDXBZAPQHXGST
          UDUNYOUTUJUKVAXDZWOWTXAACDGTHIJKLMPQRXGUBULUCUDUNUFUOURUSUHUIUKUTAPQH
          ITUAXGUDUNUMYOYPUKYIVBAYQYRYSXCWTXAXEXF $.
      $}

      $d z .+b $.  $d z E $.  $d z N $.  $d z .0. $.  $d z .+ $.  $d z S $.
      $d z U $.  $d z V $.  $d z X $.  $d z Y $.  $d z ph $.
      $( Lemma for ~ hdmapadd .  (Contributed by NM, 26-May-2015.) $)
      hdmap11lem2 $p |- ( ph
             -> ( S ` ( X .+ Y ) ) = ( ( S ` X ) .+b ( S ` Y ) ) ) $=
        ( vz cv cpr cfv wcel wn csn wa wrex wceq dvh3dim adantr clss eqid clmod
        co dvhlmod lspprcl simpr lspsnel5a ssneld ancld reximdv cltrn dvheveccl
        mpd cbs eldifad preq1 prcom eqtrdi fveq2d lsppr0 sylan9eqr wss lspprid2
        eqsstrd lspprid1 adantlr wne lmodvacl syl3anc ad2antrr simplr lssvancl2
        jcad lspsncl syl2anc lspsnid clvec dvhlvec cdif sylanbrc sseld con3dimp
        eldifsn lspsnnecom lssvancl1 notbid anbi12d rspcev pm2.61dane pm2.61dan
        eleq1 syl12anc chlt 3ad2ant1 simp2 simp3l simp3r hdmap11lem1 rexlimdv3a
        w3a lspsnne2 ) AUSUTZRSVAZOVBZVCZVDZYMHVEOVBZVCZVDZVFZUSPVGZRSDVNFVBRFV
        BSFVBEVNVHZAHYOVCZUUBAUUDVFZYQUSPVGZUUBAUUFUUDAUSGILOPQRSUAUBUCUMUHUIUJ
        VIVJUUEYQUUAUSPUUEYQYTUUEYRYOYMUUEGVKVBZYOOGHUUGVLZUMAGVMVCZUUDAGILQUAU
        BUHVOZVJAYOUUGVCZUUDAUUGOPGRSUCUUHUMUUJUIUJVPZVJAUUDVQVRVSVTWAWDAUUDVDZ
        VFZUUBRTARTVHZUUBUUMAUUOVFZYMHSVAOVBZVCVDZUSPVGZUUBAUUSUUOAUSGILOPQHSUA
        UBUCUMUHAHPTVEZALWEVBZQLWBVBVBZGHILPQTUAUVAVLUVBVLUBUCULUKUHWCWFZUJVIVJ
        UUPUURUUAUSPUUPUURYQYTUUPYOUUQYMUUPYOSVEOVBZUUQUUOAYOSTVAZOVBUVDUUOYNUV
        EOUUOYNTSVAUVERTSWGTSWHWIWJAOPGSTUCULUMUUJUJWKWLAUVDUUQWMUUOAUUGUUQOGSU
        UHUMUUJAUUGOPGHSUCUUHUMUUJUVCUJVPZAOPGHSUCUMUUJUVCUJWNVRVJWOVSUUPYRUUQY
        MAYRUUQWMUUOAUUGUUQOGHUUHUMUUJUVFAOPGHSUCUMUUJUVCUJWPVRVJVSXDWAWDWQUUNR
        TWRZVFZHRDVNZPVCZUVIYOVCZVDZUVIYRVCZVDZUUBAUVJUUMUVGAUUIHPVCZRPVCZUVJUU
        JUVCUIDPGHRUCUDWSWTXAUVHDUUGYOPGRHUCUDUUHAUUIUUMUVGUUJXAZAUUKUUMUVGUULX
        AARYOVCUUMUVGAOPGRSUCUMUUJUIUJWPZXAAUVOUUMUVGUVCXAZAUUMUVGXBXCUVHDUUGYR
        PGHRUCUDUUHUVQAYRUUGVCZUUMUVGAUUIUVOUVTUUJUVCUUGOPGHUCUUHUMXEXFXAAHYRVC
        ZUUMUVGAUUIUVOUWAUUJUVCOPGHUCUMXGXFXAAUVPUUMUVGUIXAZUVHOPGHRTUCULUMAGXH
        VCUUMUVGAGILQUAUBUHXIXAUVSUVHUVPUVGRPUUTXJVCUWBUUNUVGVQRPTXNXKUUNHRVEOV
        BZVCZVDUVGAUWDUUDAUWCYOHAUUGYOOGRUUHUMUUJUULUVRVRXLXMVJXOXPUUAUVLUVNVFU
        SUVIPYMUVIVHZYQUVLYTUVNUWEYPUVKYMUVIYOYBXQUWEYSUVMYMUVIYRYBXQXRXSYCXTYA
        AUUAUUCUSPAYMPVCZUUAYKZUSBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGAUWFLYDVCQIVC
        VFUUAUHYEAUWFUVPUUAUIYEAUWFSPVCUUAUJYEUKULUMUNUOUPUQURAUWFUUAYFZAUWFYQY
        TYGUWGOPGYMHUCUMAUWFUUIUUAUUJYEUWHAUWFUVOUUAUVCYEAUWFYQYTYHYLYIYJWD $.
    $}

    $( Part 11 in [Baer] p. 48 line 35, (a+b)S = aS+bS in their notation (S =
       sigma).  (Contributed by NM, 22-May-2015.) $)
    hdmapadd $p |- ( ph ->
      ( S ` ( X .+ Y ) ) = ( ( S ` X ) .+b ( S ` Y ) ) ) $=
      ( cbs cfv cid cres cltrn cop chdma1 chvm clspn cmpd c0g eqid hdmap11lem2
      ) ABBUCUDZCDEFUEHUCUDUFUEJHUGUDUDUFUHZGJHUIUDUDZJHUJUDUDZHBUKUDZJHULUDUDZ
      FUKUDZIJKLFUMUDZMNOPQRSTUAUBUQUNVCUNVBUNUPUNUTUNVAUNUSUNURUNUO $.
  $}

  ${
    hdmap12a.h $e |- H = ( LHyp ` K ) $.
    hdmap12a.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap12a.v $e |- V = ( Base ` U ) $.
    hdmap12a.o $e |- .0. = ( 0g ` U ) $.
    hdmap12a.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap12a.q $e |- Q = ( 0g ` C ) $.
    hdmap12a.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmap12a.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmap12a.x $e |- ( ph -> T e. V ) $.
    $( Part of proof of part 12 in [Baer] p. 49 line 3.  (Contributed by NM,
       22-May-2015.) $)
    hdmapeq0 $p |- ( ph -> ( ( S ` T ) = Q <-> T = .0. ) ) $=
      ( cfv wceq csn clspn cmpd eqid hdmap10 mapd0 eqeq12d clss dvhlmod lspsncl
      clmod wcel syl2anc lsssn0 syl mapd11 wb lcdlmod hdmapcl lspsneq0 3bitr3rd
      cbs bitrd ) AEDUAZCUBZEUCFUDUAZUAZKUCZUBZEKUBZAVIJHUEUAUAZUAZVJVMUAZUBVFU
      CBUDUAZUAZCUCZUBZVKVGAVNVQVOVRABDEFGHVPVMVHIJLMNVHUFZPVPUFZVMUFZRSTUGABFG
      HVMKJCLWBMOPQSUHUIAFUJUAZFGHVMJVIVJLMWCUFZWBSAFUMUNZEIUNZVIWCUNAFGHJLMSUK
      ZTWCVHIFENWDVTULUOAWEVJWCUNWGWCFKOWDUPUQURABUMUNVFBVDUAZUNVSVGUSABGHJLPSU
      TABWHDEFGHIJLMNPWHUFZRSTVAVPWHBVFCWIQWAVBUOVCAWEWFVKVLUSWGTVHIFEKNOVTVBUO
      VE $.
  $}

  ${
    hdmapnzcl.h $e |- H = ( LHyp ` K ) $.
    hdmapnzcl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapnzcl.v $e |- V = ( Base ` U ) $.
    hdmapnzcl.o $e |- .0. = ( 0g ` U ) $.
    hdmapnzcl.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmapnzcl.q $e |- Q = ( 0g ` C ) $.
    hdmapnzcl.d $e |- D = ( Base ` C ) $.
    hdmapnzcl.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapnzcl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapnzcl.t $e |- ( ph -> T e. ( V \ { .0. } ) ) $.
    $( Nonzero vector closure of map from vectors to functionals with closed
       kernels.  (Contributed by NM, 27-May-2015.) $)
    hdmapnzcl $p |- ( ph -> ( S ` T ) e. ( D \ { Q } ) ) $=
      ( cfv wcel wne csn eldifad hdmapcl eldifsni syl hdmapeq0 necon3bid mpbird
      cdif eldifsn sylanbrc ) AFEUCZCUDUQDUEZUQCDUFUNUDABCEFGHIJKMNOQSTUAAFJLUF
      ZUBUGZUHAURFLUEZAFJUSUNUDVAUBFJLUIUJAUQDFLABDEFGHIJKLMNOPQRTUAUTUKULUMUQC
      DUOUP $.
  $}

  ${
    hdmap12b.h $e |- H = ( LHyp ` K ) $.
    hdmap12b.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap12b.v $e |- V = ( Base ` U ) $.
    hdmap12b.m $e |- M = ( invg ` U ) $.
    hdmap12b.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap12b.i $e |- I = ( invg ` C ) $.
    hdmap12b.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmap12b.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmap12b.x $e |- ( ph -> T e. V ) $.
    $( Part of proof of part 12 in [Baer] p. 49 line 4.  The sigma map of a
       negative is the negative of the sigma map.  (Contributed by NM,
       24-May-2015.) $)
    hdmapneg $p |- ( ph -> ( S ` ( M ` T ) ) = ( I ` ( S ` T ) ) ) $=
      ( cfv cplusg co wceq c0g wcel cbs lcdlmod eqid hdmapcl lmodvnegid syl2anc
      clmod dvhlmod lmodvacl syl3anc hdmapeq0 mpbird hdmapadd 3eqtr2rd lmodlcan
      lmodvnegcl wb syl13anc mpbid ) ADCUAZDIUAZCUAZBUBUAZUCZVFVFGUAZVIUCZUDZVH
      VKUDZAVLBUEUAZDVGEUBUAZUCZCUAZVJABUMUFZVFBUGUAZUFZVLVOUDABFHKLPSUHZABVTCD
      EFHJKLMNPVTUIZRSTUJZVIGVTBVFVOWCVIUIZVOUIZQUKULAVRVOUDVQEUEUAZUDZAEUMUFZD
      JUFZWHAEFHKLMSUNZTVPIJEDWGNVPUIZWGUIZOUKULABVOCVQEFHJKWGLMNWMPWFRSAWIWJVG
      JUFZVQJUFWKTAWIWJWNWKTIJEDNOVBULZVPJEDVGNWLUOUPUQURABVPVICEFHJKDVGLMNWLPW
      ERSTWOUSUTAVSVHVTUFVKVTUFZWAVMVNVCWBABVTCVGEFHJKLMNPWCRSWOUJAVSWAWPWBWDGV
      TBVFWCQVBULWDVIVTBVHVKVFWCWEVAVDVE $.
  $}

  ${
    hdmap12c.h $e |- H = ( LHyp ` K ) $.
    hdmap12c.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap12c.v $e |- V = ( Base ` U ) $.
    hdmap12c.m $e |- .- = ( -g ` U ) $.
    hdmap12c.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap12c.n $e |- N = ( -g ` C ) $.
    hdmap12c.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmap12c.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmap12c.x $e |- ( ph -> X e. V ) $.
    hdmap12c.y $e |- ( ph -> Y e. V ) $.
    $( Part of proof of part 12 in [Baer] p. 49 line 5, (a-b)S = aS-bS in their
       notation (S = sigma).  (Contributed by NM, 26-May-2015.) $)
    hdmapsub $p |- ( ph -> ( S ` ( X .- Y ) ) = ( ( S ` X ) N ( S ` Y ) ) ) $=
      ( co cminusg cplusg wcel wceq eqid grpsubval syl2anc fveq2d clmod dvhlmod
      cfv lmodvnegcl hdmapadd hdmapneg oveq2d 3eqtrd cbs hdmapcl eqtr4d ) AKLGU
      CZCUNZKCUNZLCUNZBUDUNZUNZBUEUNZUCZVEVFHUCZAVDKLDUDUNZUNZDUEUNZUCZCUNVEVMC
      UNZVIUCVJAVCVOCAKIUFLIUFZVCVOUGUAUBIVNDVLGKLOVNUHZVLUHZPUIUJUKABVNVICDEFI
      JKVMMNOVRQVIUHZSTUAADULUFVQVMIUFADEFJMNTUMUBVLIDLOVSUOUJUPAVPVHVEVIABCLDE
      VGFVLIJMNOVSQVGUHZSTUBUQURUSAVEBUTUNZUFVFWBUFVKVJUGABWBCKDEFIJMNOQWBUHZST
      UAVAABWBCLDEFIJMNOQWCSTUBVAWBVIBVGHVEVFWCVTWARUIUJVB $.
  $}

  ${
    hdmap12d.h $e |- H = ( LHyp ` K ) $.
    hdmap12d.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap12d.v $e |- V = ( Base ` U ) $.
    hdmap12d.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmap12d.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmap12d.x $e |- ( ph -> X e. V ) $.
    hdmap12d.y $e |- ( ph -> Y e. V ) $.
    $( Part of proof of part 12 in [Baer] p. 49 line 4, aS=bS iff a=b in their
       notation (S = sigma).  The sigma map is one-to-one.  (Contributed by NM,
       26-May-2015.) $)
    hdmap11 $p |- ( ph -> ( ( S ` X ) = ( S ` Y ) <-> X = Y ) ) $=
      ( cfv wceq eqid wcel csg co clcd hdmapsub eqeq1d clmod dvhlmod lmodvsubcl
      c0g syl3anc hdmapeq0 cgrp cbs lcdlmod lmodgrp syl hdmapcl grpsubeq0 bitrd
      wb 3bitr3rd ) AHBQZIBQZRZHICUAQZUBZCUIQZRZHIRZAVFBQZGEUCQQZUIQZRVBVCVKUAQ
      ZUBZVLRZVHVDAVJVNVLAVKBCDEVEVMFGHIJKLVESZVKSZVMSZMNOPUDUEAVKVLBVFCDEFGVGJ
      KLVGSZVQVLSZMNACUFTZHFTZIFTZVFFTACDEGJKNUGZOPVEFCHILVPUHUJUKAVKULTZVBVKUM
      QZTVCWFTVOVDUTAVKUFTWEAVKDEGJVQNUNVKUOUPAVKWFBHCDEFGJKLVQWFSZMNOUQAVKWFBI
      CDEFGJKLVQWGMNPUQWFVKVMVBVCVLWGVTVRURUJVAACULTZWBWCVHVIUTAWAWHWDCUOUPOPFC
      VEHIVGLVSVPURUJUS $.
  $}

  ${
    hdmaprnlem1.h $e |- H = ( LHyp ` K ) $.
    hdmaprnlem1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmaprnlem1.v $e |- V = ( Base ` U ) $.
    hdmaprnlem1.n $e |- N = ( LSpan ` U ) $.
    hdmaprnlem1.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmaprnlem1.l $e |- L = ( LSpan ` C ) $.
    hdmaprnlem1.m $e |- M = ( ( mapd ` K ) ` W ) $.
    hdmaprnlem1.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmaprnlem1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmaprnlem1.se $e |- ( ph -> s e. ( D \ { Q } ) ) $.
    hdmaprnlem1.ve $e |- ( ph -> v e. V ) $.
    hdmaprnlem1.e $e |- ( ph -> ( M ` ( N ` { v } ) ) = ( L ` { s } ) ) $.
    hdmaprnlem1.ue $e |- ( ph -> u e. V ) $.
    hdmaprnlem1.un $e |- ( ph -> -. u e. ( N ` { v } ) ) $.
    $( Part of proof of part 12 in [Baer] p. 49 line 10, Gu' ` =/= ` Gs.  Our
       ` ( N `` { v } ) ` is Baer's T. (Contributed by NM, 26-May-2015.)
       (New usage is discouraged.) $)
    hdmaprnlem1N $p |- ( ph -> ( L ` { ( S ` u ) } ) =/= ( L ` { s } ) ) $=
      ( cv csn cfv dvhlmod lspsnne2 clss eqid clmod wcel lspsncl syl2anc mapd11
      wne necon3bid mpbird hdmap10 3netr3d ) ACUKZULMUMZLUMZBUKZULMUMZLUMZVHGUM
      ULKUMPUKULKUMAVJVMVCVIVLVCAMNHVHVKSTAHIJOQRUEUNZUIUGUJUOAVJVMVIVLAHUPUMZH
      IJLOVIVLQRVOUQZUCUEAHURUSZVHNUSVIVOUSVNUIVOMNHVHSVPTUTVAAVQVKNUSVLVOUSVNU
      GVOMNHVKSVPTUTVAVBVDVEADGVHHIJKLMNOQRSTUAUBUCUDUEUIVFUHVG $.

    hdmaprnlem1.d $e |- D = ( Base ` C ) $.
    hdmaprnlem1.q $e |- Q = ( 0g ` C ) $.
    hdmaprnlem1.o $e |- .0. = ( 0g ` U ) $.
    hdmaprnlem1.a $e |- .+b = ( +g ` C ) $.
    $( Part of proof of part 12 in [Baer] p. 49 line 15, T ` =/= ` P. Our
       ` ( ``' M `` ( L `` { ( ( S `` u ) .+b s ) } ) ) ` is Baer's P, where P*
       = G(u'+s).  (Contributed by NM, 27-May-2015.)
       (New usage is discouraged.) $)
    hdmaprnlem3N $p |- ( ph
      -> ( N ` { v } ) =/= ( `' M ` ( L ` { ( ( S ` u ) .+b s ) } ) ) ) $=
      ( cv csn cfv ccnv wne lcdlmod clmod wcel hdmapcl eldifad lmodvacl syl3anc
      clss eqid lspsncl syl2anc lspsnid lcdlvec lssneln0 hdmapnzcl hdmaprnlem1N
      co dvhlmod lspsnne1 lssvancl2 lspsnne2 necomd mapdrn2 eleqtrrd mapdcnvid2
      crn 3netr4d mapdcnvcl mapd11 necon3bid mpbid ) ABUQZURNUSZMUSZCUQZHUSZRUQ
      ZFVRZURLUSZMUTUSZMUSZVAWNXAVAAWRURLUSZWTWOXBAWTXCALEDWSWRUMUDADJKPSUCUGVB
      ZADVCVDZWQEVDWREVDZWSEVDZXDADEHWPIJKOPSTUAUCUMUFUGUKVEZAWREGURUHVFZFEDWQW
      RUMUPVGVHZXIAFDVIUSZXCEDWRWQUMUPXKVJZXDAXEXFXCXKVDXDXIXKLEDWRUMXLUDVKVLAX
      EXFWRXCVDXDXILEDWRUMUDVMVLXHALEDWQWRGUMUNUDADJKPSUCUGVNADEGHWPIJKOPQSTUAU
      OUCUNUMUFUGAIVIUSZWNOIWPQUOXMVJZAIJKPSTUGVSZAIVCVDWMOVDWNXMVDXOUIXMNOIWMU
      AXNUBVKVLZUKULVOVPXIABCDEGHIJKLMNOPRSTUAUBUCUDUEUFUGUHUIUJUKULVQVTWAWBWCU
      JAJKMPWTSUEUGAWTXKMWGAXEXGWTXKVDXDXJXKLEDWSUMXLUDVKVLADXKJKMPSUEUCXLUGWDW
      EZWFWHAWOXBWNXAAXMIJKMPWNXASTXNUEUGXPAXMIJKMPWTSUETXNUGXQWIWJWKWL $.

    $( Part of proof of part 12 in [Baer] p. 49.  (Contributed by NM,
       29-May-2015.)  (New usage is discouraged.) $)
    hdmaprnlem3uN $p |- ( ph
      -> ( N ` { u } ) =/= ( `' M ` ( L ` { ( ( S ` u ) .+b s ) } ) ) ) $=
      ( cv csn ccnv co clss eqid clmod wcel dvhlmod lspsncl syl2anc mapdcnvid1N
      cfv wne hdmap10 lcdlvec hdmapcl hdmaprnlem1N lspindp3 eqnetrd crn lcdlmod
      eldifad lmodvacl syl3anc mapdrn2 eleqtrrd mapdcnv11N necon3bid eqnetrrd
      mapdcl mpbird ) ACUQZURNVIZMVIZMUSZVIZWJWIHVIZRUQZFUTZURLVIZWLVIZAIVAVIZI
      JKMPWJSUETWSVBZUGAIVCVDWIOVDWJWSVDAIJKPSTUGVEUKWSNOIWIUAWTUBVFVGZVHAWMWRV
      JWKWQVJAWKWNURLVIWQADHWIIJKLMNOPSTUAUBUCUDUEUFUGUKVKAFLEDWNWOGUMUPUNUDADJ
      KPSUCUGVLADEHWIIJKOPSTUAUCUMUFUGUKVMZUHABCDEGHIJKLMNOPRSTUAUBUCUDUEUFUGUH
      UIUJUKULVNVOVPAWMWRWKWQAJKMPWKWQSUEUGAWSIJKMPWJSUETWTUGXAWGAWQDVAVIZMVQAD
      VCVDZWPEVDZWQXCVDADJKPSUCUGVRZAXDWNEVDWOEVDXEXFXBAWOEGURUHVSFEDWNWOUMUPVT
      WAXCLEDWPUMXCVBZUDVFVGADXCJKMPSUEUCXGUGWBWCWDWEWHWF $.

    ${
      hdmaprnlem1.t2 $e |- ( ph -> t e. ( ( N ` { v } ) \ { .0. } ) ) $.
      $( Lemma for ~ hdmaprnN .  TODO:  This lemma doesn't quite pay for itself
         even though used six times.  Maybe prove this directly instead.
         (Contributed by NM, 27-May-2015.)  (New usage is discouraged.) $)
      hdmaprnlem4tN $p |- ( ph -> t e. V ) $=
        ( cv csn cfv cdif clmod wcel wss dvhlmod lspssv syl2anc ssdifssd sseldd
        snssd ) ABUSZUTZOVAZRUTZVBPDUSAVNPVOAJVCVDVMPVEVNPVEAJKLQTUAUHVFAVLPUJV
        KVMOPJUBUCVGVHVIURVJ $.

      $( Part of proof of part 12 in [Baer] p. 49 line 19.  (T* =) (Ft)* = Gs.
         (Contributed by NM, 27-May-2015.)  (New usage is discouraged.) $)
      hdmaprnlem4N $p |- ( ph -> ( M ` ( N ` { t } ) ) = ( L ` { s } ) ) $=
        ( csn cfv wss wceq clss eqid dvhlmod clmod wcel lspsncl syl2anc eldifad
        cv lspsnel5a dvhlvec cdif syl ssdifd sseldd lspsncmp mpbid fveq2d eqtrd
        lss1 ) ADVKZUSOUTZNUTBVKZUSOUTZNUTSVKUSMUTAWDWFNAWDWFVAWDWFVBAJVCUTZWFO
        JWCWGVDZUCAJKLQTUAUHVEZAJVFVGZWEPVGWFWGVGWIUJWGOPJWEUBWHUCVHVIAWCWFRUSZ
        URVJVLAOPJWCWERUBUPUCAJKLQTUAUHVMAWFWKVNPWKVNWCAWFPWKAWGPOJWEWHUCWIAWJP
        WGVGWIWGPJUBWHWBVOUJVLVPURVQUJVRVSVTUKWA $.

      hdmaprnlem1.p $e |- .+ = ( +g ` U ) $.
      hdmaprnlem1.pt $e |- ( ph -> ( L ` { ( ( S ` u ) .+b s ) } )
            = ( M ` ( N ` { ( u .+ t ) } ) ) ) $.
      $( Part of proof of part 12 in [Baer] p. 49 line 18, G(u'+s) = G(u'+t).
         (Contributed by NM, 27-May-2015.)  (New usage is discouraged.) $)
      hdmaprnlem6N $p |- ( ph ->
 ( L ` { ( ( S ` u ) .+b s ) } ) = ( L ` { ( ( S ` u ) .+b ( S ` t ) ) } ) ) $=
        ( cv cfv csn clmod wcel dvhlmod hdmaprnlem4tN lmodvacl syl3anc hdmapadd
        co hdmap10 sneqd fveq2d 3eqtrd ) ACVBZJVCZTVBHVLVDNVCVQDVBZGVLZVDPVCOVC
        VTJVCZVDZNVCVRVSJVCHVLZVDZNVCVAAEJVTKLMNOPQRUAUBUCUDUEUFUGUHUIAKVEVFVQQ
        VFVSQVFVTQVFAKLMRUAUBUIVGUMABCDEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULU
        MUNUOUPUQURUSVHZGQKVQVSUCUTVIVJVMAWBWDNAWAWCAEGHJKLMQRVQVSUAUBUCUTUEURU
        HUIUMWEVKVNVOVP $.

      $( Part of proof of part 12 in [Baer] p. 49 line 19, s-St ` e. ` G(u'+s)
         = P*.  (Contributed by NM, 27-May-2015.)
         (New usage is discouraged.) $)
      hdmaprnlem7N $p |- ( ph -> ( s ( -g ` C ) ( S ` t ) )
         e. ( L ` { ( ( S ` u ) .+b s ) } ) ) $=
        ( cv cfv co csg csn eqid clmod wcel lcdlmod lmodabl syl hdmapcl eldifad
        cabl hdmaprnlem4tN ablpnpcan clss lmodvacl syl3anc lspsncl hdmaprnlem6N
        syl2anc lspsnid eleqtrrd lssvsubcl syl22anc eqeltrrd ) ACVBZJVCZTVBZHVD
        ZWJDVBZJVCZHVDZEVEVCZVDZWKWNWPVDWLVFNVCZAFHEWPWJWKWNUOURWPVGZAEVHVIZEVO
        VIAELMRUAUEUIVJZEVKVLZAEFJWIKLMQRUAUBUCUEUOUHUIUMVMZAWKFIVFUJVNZAEFJWMK
        LMQRUAUBUCUEUOUHUIABCDEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQ
        URUSVPVMZXBXCXDXEVQAWTWREVRVCZVIZWLWRVIZWOWRVIWQWRVIXAAWTWLFVIZXGXAAWTW
        JFVIZWKFVIXIXAXCXDHFEWJWKUOURVSVTZXFNFEWLUOXFVGZUFWAWCAWTXIXHXAXKNFEWLU
        OUFWDWCAWOWOVFNVCZWRAWTWOFVIZWOXMVIXAAWTXJWNFVIXNXAXCXEHFEWJWNUOURVSVTN
        FEWOUOUFWDWCABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSU
        TVAWBWEXFWRWPEWLWOWSXLWFWGWH $.

      $( Part of proof of part 12 in [Baer] p. 49 line 19, s-St ` e. ` (Ft)* =
         T*.  (Contributed by NM, 27-May-2015.)  (New usage is discouraged.) $)
      hdmaprnlem8N $p |- ( ph -> ( s ( -g ` C ) ( S ` t ) )
         e. ( M ` ( N ` { t } ) ) ) $=
        ( clmod wcel cv csn cfv clss lcdlmod eqid dvhlmod hdmaprnlem4tN lspsncl
        syl2anc mapdcl2 eldifad lspsnid hdmaprnlem4N eleqtrrd hdmapcl lssvsubcl
        csg co hdmap10 syl22anc ) AEVBVCZDVDZVEPVFZOVFZEVGVFZVCTVDZWHVCWFJVFZWH
        VCWJWKEWAVFZWBWHVCAELMRUAUEUIVHZAEWGKVGVFZWIKLMORUAUGUBWNVIZUEWIVIZUIAK
        VBVCWFQVCWGWNVCAKLMRUAUBUIVJABCDEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKUL
        UMUNUOUPUQURUSVKZWNPQKWFUCWOUDVLVMVNAWJWJVENVFZWHAWEWJFVCWJWRVCWMAWJFIV
        EUJVONFEWJUOUFVPVMABCDEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQ
        URUSVQVRAWKWKVENVFZWHAWEWKFVCWKWSVCWMAEFJWFKLMQRUAUBUCUEUOUHUIWQVSNFEWK
        UOUFVPVMAEJWFKLMNOPQRUAUBUCUDUEUFUGUHUIWQWCVRWIWHWLEWJWKWLVIWPVTWD $.

      $( Part of proof of part 12 in [Baer] p. 49 line 21, s=S(t).  TODO: we
         seem to be going back and forth with ~ mapd11 and ~ mapdcnv11N .  Use
         better hypotheses and/or theorems?  (Contributed by NM, 27-May-2015.)
         (New usage is discouraged.) $)
      hdmaprnlem9N $p |- ( ph -> s = ( S ` t ) ) $=
        ( cv cfv csg co wceq csn hdmaprnlem7N hdmaprnlem8N hdmaprnlem4N eleqtrd
        wcel cin elind lcdlvec clmod lcdlmod hdmapcl eldifad lmodvacl ccnv clss
        syl3anc wne crn eqid lspsncl syl2anc mapdrn2 eleqtrrd mapdcnvid2 eqtr4d
        dvhlmod mapdcnvcl mapd11 mpbid hdmaprnlem3N mapdcnv11N necon3bid necomd
        eqnetrrd lspdisj2 elsni syl wb hdmaprnlem4tN lmodsubeq0 ) ATVBZDVBZJVCZ
        EVDVCZVEZIVFZXHXJVFZAXLIVGZVLXMAXLCVBZJVCZXHHVEZVGNVCZXHVGNVCZVMXOAXSXT
        XLABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVHAXLXI
        VGPVCOVCXTABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTV
        AVIABCDEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSVJVKVNANFEX
        RXHIUOUPUFAELMRUAUEUIVOAEVPVLZXQFVLXHFVLZXRFVLZAELMRUAUEUIVQZAEFJXPKLMQ
        RUAUBUCUEUOUHUIUMVRAXHFXOUJVSZHFEXQXHUOURVTWCZYEAXTXSAXTOWAZVCZXSYGVCZW
        DXTXSWDABVBZVGPVCZYHYIAYKOVCZYHOVCZVFYKYHVFAYLXTYMULALMORXTUAUGUIAXTEWB
        VCZOWEZAYAYBXTYNVLYDYEYNNFEXHUOYNWFZUFWGWHAEYNLMORUAUGUEYPUIWIZWJZWKWLA
        KWBVCZKLMORYKYHUAUBYSWFZUGUIAKVPVLYJQVLYKYSVLAKLMRUAUBUIWMUKYSPQKYJUCYT
        UDWGWHAYSKLMORXTUAUGUBYTUIYRWNWOWPABCEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIU
        JUKULUMUNUOUPUQURWQXAAYHYIXTXSALMORXTXSUAUGUIYRAXSYNYOAYAYCXSYNVLYDYFYN
        NFEXRUOYPUFWGWHYQWJWRWSWPWTXBVKXLIXCXDAYAYBXJFVLXMXNXEYDYEAEFJXIKLMQRUA
        UBUCUEUOUHUIABCDEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSXF
        VRXHXJXKFEIUOUPXKWFXGWCWP $.
    $}

    ${
      $d t .+b $.  $d t L $.  $d t M $.  $d t N $.  $d t .0. $.  $d t .+ $.
      $d t S $.  $d t U $.  $d t V $.  $d t ph $.  $d t s u v $.
      hdmaprnlem3e.p $e |- .+ = ( +g ` U ) $.
      $( Lemma for ~ hdmaprnN .  (Contributed by NM, 29-May-2015.)
         (New usage is discouraged.) $)
      hdmaprnlem3eN $p |- ( ph -> E. t e. ( ( N ` { v } ) \ { .0. } )
          ( L ` { ( ( S ` u ) .+b s ) } ) = ( M ` ( N ` { ( u .+ t ) } ) ) ) $=
        ( cv cfv co csn ccnv wceq cdif wrex clsa eqid dvhlvec lcdlmod wne clmod
        wcel hdmapcl eldifad lmodvacl hdmaprnlem1N lmodindp1 sylanbrc lsatlspsn
        syl3anc eldifsn mapdcnvatN hdmaprnlem3uN hdmaprnlem3N clsm cpr wss clss
        necomd dvhlmod lspsncl syl2anc mapdcl2 lsmcl csubg lsssssubg syl sseldd
        lspsnid hdmap10 eleqtrrd lspsnel5 lsmelvali syl22anc lspsnel5a sseqtrrd
        eqimss2 mpbird mapdlsm crn mapdrn2 mapdcl mapdcnvordN lsmpr mapdcnvid1N
        eqtr4d lsatfixedN wa simpr chlt ad2antrr hdmaprnlem4tN mapdcnv11N mpbid
        wn simplr ex reximdva mpd ) ACUTZJVAZTUTZHVBZVCNVAZOVDZVAZYLDUTZGVBZVCP
        VAZVEZDBUTZVCPVAZSVCVFZVGYPUUAOVAZVEZDUUEVGADKVHVAZGYRPQKYLUUCSUCUSUQUD
        UUHVIZAKLMRUAUBUIVJAUUHEVHVAZEYPKLMORUAUGUBUUIUEUUJVIZUIAUUJNFEYOIUOUFU
        PUUKAELMRUAUEUIVKZAYOFVNZYOIVLYOFIVCZVFZVNAEVMVNZYMFVNZYNFVNUUMUULAEFJY
        LKLMQRUAUBUCUEUOUHUIUMVOZAYNFUUNUJVPZHFEYMYNUOURVQWBZAHNFEYMYNIUOURUPUF
        UULUURUUSABCEFIJKLMNOPQRTUAUBUCUDUEUFUGUHUIUJUKULUMUNVRVSYOFIWCVTWAWDUM
        UKAYLVCPVAZYRABCEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURWEWK
        AUUDYRABCEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURWFWKAYRUVAU
        UDKWGVAZVBZOVAZYQVAZYLUUCWHPVAZAYRUVEWIYPUVDWIAYPUVAOVAZUUDOVAZEWGVAZVB
        ZUVDAEWJVAZUVJNEYOUVKVIZUFUULAUUPUVGUVKVNUVHUVKVNUVJUVKVNUULAEUVAKWJVAZ
        UVKKLMORUAUGUBUVMVIZUEUVLUIAKVMVNZYLQVNZUVAUVMVNZAKLMRUAUBUIWLZUMUVMPQK
        YLUCUVNUDWMWNZWOZAEUUDUVMUVKKLMORUAUGUBUVNUEUVLUIAUVOUUCQVNZUUDUVMVNZUV
        RUKUVMPQKUUCUCUVNUDWMWNZWOZUVIUVKUVGUVHEUVLUVIVIZWPWBAUVGEWQVAZVNUVHUWF
        VNYMUVGVNYNUVHVNZYOUVJVNAUVKUWFUVGAUUPUVKUWFWIUULUVKEUVLWRWSZUVTWTAUVKU
        WFUVHUWHUWDWTAYMYMVCNVAZUVGAUUPUUQYMUWIVNUULUURNFEYMUOUFXAWNAEJYLKLMNOP
        QRUAUBUCUDUEUFUGUHUIUMXBXCAUWGYNVCNVAZUVHWIZAUVHUWJVEZUWKULUWJUVHXIWSAU
        VKUVHNFEYNUOUVLUFUULUWDUUSXDXJHUVIUVGUVHEYMYNURUWEXEXFXGAEUVIUVBUVMKLMO
        RUVAUUDUAUGUBUVNUVBVIZUEUWEUIUVSUWCXKXHALMORYPUVDUAUGUIAYPUVKOXLZAUUPUU
        MYPUVKVNUULUUTUVKNFEYOUOUVLUFWMWNAEUVKLMORUAUGUEUVLUIXMXCZAUVMKLMORUVCU
        AUGUBUVNUIAUVOUVQUWBUVCUVMVNUVRUVSUWCUVBUVMUVAUUDKUVNUWMWPWBZXNXOXJAUVF
        UVCUVEAUVBPQKYLUUCUCUDUWMUVRUMUKXPAUVMKLMORUVCUAUGUBUVNUIUWPXQXRXHXSAUU
        BUUGDUUEAYSUUEVNZXTZUUBUUGUWRUUBXTZYRUUFYQVAZVEUUGUWSYRUUAUWTUWRUUBYAUW
        SUVMKLMORUUAUAUGUBUVNAMYBVNRLVNXTUWQUUBUIYCZUWSUVOYTQVNZUUAUVMVNAUVOUWQ
        UUBUVRYCZUWSUVOUVPYSQVNUXBUXCAUVPUWQUUBUMYCZUWSBCDEFHIJKLMNOPQRSTUAUBUC
        UDUEUFUGUHUXAAYNUUOVNUWQUUBUJYCAUWAUWQUUBUKYCAUWLUWQUUBULYCUXDAYLUUDVNY
        GUWQUUBUNYCUOUPUQURAUWQUUBYHYDGQKYLYSUCUSVQWBUVMPQKYTUCUVNUDWMWNZXQXRUW
        SLMORYPUUFUAUGUXAAYPUWNVNUWQUUBUWOYCUWSUVMKLMORUUAUAUGUBUVNUXAUXEXNYEYF
        YIYJYK $.

      $( Lemma for ~ hdmaprnN .  Show ` s ` is in the range of ` S ` .
         (Contributed by NM, 29-May-2015.)  (New usage is discouraged.) $)
      hdmaprnlem10N $p |- ( ph
          -> E. t e. V ( S ` t ) = s ) $=
        ( cv cfv co csn wceq cdif hdmaprnlem3eN wcel wa adantr wn hdmaprnlem4tN
        chlt simprl simprr hdmaprnlem9N eqcomd reximssdv ) ACUTZJVATUTZHVBVCNVA
        VRDUTZGVBVCPVAOVAVDZVTJVAZVSVDDQBUTZVCPVAZSVCVEZABCDEFGHIJKLMNOPQRSTUAU
        BUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSVFAVTWEVGZWAVHZVHZBCDEFHIJKLMNOPQRST
        UAUBUCUDUEUFUGUHAMVLVGRLVGVHWGUIVIZAVSFIVCVEVGWGUJVIZAWCQVGWGUKVIZAWDOV
        AVSVCNVAVDWGULVIZAVRQVGWGUMVIZAVRWDVGVJWGUNVIZUOUPUQURAWFWAVMZVKWHVSWBW
        HBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHWIWJWKWLWMWNUOUPUQURWOUSAWFWAVNVOVP
        VQ $.

      $( Lemma for ~ hdmaprnN .  Show ` s ` is in the range of ` S ` .
         (Contributed by NM, 29-May-2015.)  (New usage is discouraged.) $)
      hdmaprnlem11N $p |- ( ph -> s e. ran S ) $=
        ( vt cv crn wcel cfv wceq wrex hdmaprnlem10N wb hdmapfnN fvelrnb mpbird
        wfn syl ) ASUTZIVAVBZUSUTIVCVMVDUSPVEZABCUSDEFGHIJKLMNOPQRSTUAUBUCUDUEU
        FUGUHUIUJUKULUMUNUOUPUQURVFAIPVKVNVOVGAIJKLPQTUAUBUGUHVHUSPVMIVIVLVJ $.
    $}
  $}

  ${
    hdmaprnlem15.h $e |- H = ( LHyp ` K ) $.
    hdmaprnlem15.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmaprnlem15.v $e |- V = ( Base ` U ) $.
    hdmaprnlem15.n $e |- N = ( LSpan ` U ) $.
    hdmaprnlem15.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmaprnlem15.d $e |- D = ( Base ` C ) $.
    hdmaprnlem15.q $e |- .0. = ( 0g ` C ) $.
    hdmaprnlem15.l $e |- L = ( LSpan ` C ) $.
    hdmaprnlem15.m $e |- M = ( ( mapd ` K ) ` W ) $.
    hdmaprnlem15.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmaprnlem15.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    ${
      $d t N $.  $d t S $.  $d t U $.  $d t V $.  $d t ph $.  $d t s v $.
      hdmaprnlem15.se $e |- ( ph -> s e. ( D \ { .0. } ) ) $.
      hdmaprnlem15.ve $e |- ( ph -> v e. V ) $.
      hdmaprnlem15.e $e |- ( ph -> ( M ` ( N ` { v } ) ) = ( L ` { s } ) ) $.
      $( Lemma for ~ hdmaprnN .  Eliminate ` u ` .  (Contributed by NM,
         30-May-2015.)  (New usage is discouraged.) $)
      hdmaprnlem15N $p |- ( ph -> s e. ran S ) $=
        ( vt cv csn cfv wcel wrex crn dvh2dim w3a cplusg c0g chlt 3ad2ant1 cdif
        wn wa wceq simp2 simp3 eqid hdmaprnlem11N rexlimdv3a mpd ) AUJUKZBUKZUL
        KUMZUNVDZUJLUOOUKZEUPUNZAUJFGHKLMVNPQRSUFUHUQAVPVRUJLAVMLUNZVPURBUJCDFU
        SUMZCUSUMZNEFGHIJKLMFUTUMZOPQRSTUCUDUEAVSHVAUNMGUNVEVPUFVBAVSVQDNULVCUN
        VPUGVBAVSVNLUNVPUHVBAVSVOJUMVQULIUMVFVPUIVBAVSVPVGAVSVPVHUAUBWBVIWAVIVT
        VIVJVKVL $.
    $}

    ${
      $d v L $.  $d v M $.  $d v N $.  $d v S $.  $d v U $.  $d v V $.
      $d v ph $.  $d v s $.
      hdmaprnlem16.se $e |- ( ph -> s e. ( D \ { .0. } ) ) $.
      $( Lemma for ~ hdmaprnN .  Eliminate ` v ` .  (Contributed by NM,
         30-May-2015.)  (New usage is discouraged.) $)
      hdmaprnlem16N $p |- ( ph -> s e. ran S ) $=
        ( vv cv csn cfv wceq wrex crn wcel ccnv clmod clsa dvhlmod eqid lcdlmod
        lsatlspsn mapdcnvatN islsati syl2anc wa simpr fveq2d chlt ad2antrr clss
        eldifad lspsncl mapdrn2 eleqtrrd mapdcnvid2 eqtr3d ex reximdva 3ad2ant1
        mpd w3a cdif simp2 simp3 hdmaprnlem15N rexlimdv3a ) AUGUHZUIJUJZIUJZNUH
        ZUIHUJZUKZUGKULZWJDUMUNZAWKIUOUJZWHUKZUGKULZWMAEUPUNWOEUQUJZUNWQAEFGLOP
        UEURAWRBUQUJZBWKEFGILOUCPWRUSZSWSUSZUEAWSHCBWJMTUBUAXAABFGLOSUEUTZUFVAV
        BUGWRWOJKEUPQRWTVCVDAWPWLUGKAWGKUNZVEZWPWLXDWPVEZWOIUJWIWKXEWOWHIXDWPVF
        VGXEFGILWKOUCAGVHUNLFUNVEZXCWPUEVIAWKIUMZUNXCWPAWKBVJUJZXGABUPUNWJCUNWK
        XHUNXBAWJCMUIZUFVKXHHCBWJTXHUSZUBVLVDABXHFGILOUCSXJUEVMVNVIVOVPVQVRVTAW
        LWNUGKAXCWLWAUGBCDEFGHIJKLMNOPQRSTUAUBUCUDAXCXFWLUEVSAXCWJCXIWBUNWLUFVS
        AXCWLWCAXCWLWDWEWFVT $.
    $}

    ${
      hdmaprnlem17.se $e |- ( ph -> s e. D ) $.
      $( Lemma for ~ hdmaprnN .  Include zero.  (Contributed by NM,
         30-May-2015.)  (New usage is discouraged.) $)
      hdmaprnlem17N $p |- ( ph -> s e. ran S ) $=
        ( cv crn wcel eleq1 wne wa chlt adantr csn anim1i eldifsn hdmaprnlem16N
        cdif sylibr c0g cfv eqid hdmapval0 wfn hdmapfnN clmod lmod0vcl fnfvelrn
        dvhlmod syl syl2anc eqeltrrd pm2.61ne ) ANUGZDUHZUIMVPUIVOMVOMVPUJAVOMU
        KZULZBCDEFGHIJKLMNOPQRSTUAUBUCUDAGUMUILFUIULVQUEUNVRVOCUIZVQULVOCMUOUSU
        IAVSVQUFUPVOCMUQUTURAEVAVBZDVBZMVPABMDEFGLVTOPVTVCZSUAUDUEVDADKVEVTKUIZ
        WAVPUIADEFGKLOPQUDUEVFAEVGUIWCAEFGLOPUEVJKEVTQWBVHVKKVTDVIVLVMVN $.
    $}
  $}

  ${
    $d s D $.  $d s K $.  $d s S $.  $d s W $.  $d s ph $.
    hdmaprn.h $e |- H = ( LHyp ` K ) $.
    hdmaprn.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmaprn.d $e |- D = ( Base ` C ) $.
    hdmaprn.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmaprn.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Part of proof of part 12 in [Baer] p. 49 line 21, As=B. (Contributed by
       NM, 30-May-2015.)  (New usage is discouraged.) $)
    hdmaprnN $p |- ( ph -> ran S = D ) $=
      ( vs cfv wcel eqid wa adantr simpr clspn crn cdvh cbs wfn cv wss hdmapfnN
      wral chlt hdmapcl ralrimiva fnfvrnss syl2anc cmpd hdmaprnlem17N eqelssd
      c0g ) AMDUAZCADGFUBNNZUCNZUDMUEZDNCOZMUTUHURCUFADUSEFUTGHUSPZUTPZKLUGAVBM
      UTAVAUTOZQBCDVAUSEFUTGHVCVDIJKAFUIOGEOQZVELRAVESUJUKMUTCDULUMAVACOZQBCDUS
      EFBTNZGFUNNNZUSTNZUTGBUQNZMHVCVDVJPIJVKPVHPVIPKAVFVGLRAVGSUOUP $.
  $}

  ${
    $d x y S $.  $d x y V $.  $d x y ph $.
    hdmapf1o.h $e |- H = ( LHyp ` K ) $.
    hdmapf1o.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapf1o.v $e |- V = ( Base ` U ) $.
    hdmapf1o.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmapf1o.d $e |- D = ( Base ` C ) $.
    hdmapf1o.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapf1o.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Part 12 in [Baer] p. 49.  The map from vectors to functionals with
       closed kernels maps one-to-one onto.  Combined with ~ hdmapadd , this
       shows the map is an automorphism from the additive group of vectors to
       the additive group of functionals with closed kernels.  (Contributed by
       NM, 30-May-2015.)  (New usage is discouraged.) $)
    hdmapf1oN $p |- ( ph -> S : V -1-1-onto-> D ) $=
      ( vx vy wcel wa wfn crn wceq cv cfv wi wral wf1o hdmapfnN hdmaprnN adantr
      weq chlt simprl simprr hdmap11 biimpd ralrimivva dff1o6 syl3anbrc ) ADHUA
      DUBCUCQUDZDUERUDZDUEUCZQRULZUFZRHUGQHUGHCDUHADEFGHIJKLOPUIABCDFGIJMNOPUJA
      VEQRHHAVAHSZVBHSZTZTZVCVDVIDEFGHIVAVBJKLOAGUMSIFSTVHPUKAVFVGUNAVFVGUOUPUQ
      URQRHCDUSUT $.
  $}

  ${
    hdmap14lem1a.h $e |- H = ( LHyp ` K ) $.
    hdmap14lem1a.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap14lem1a.v $e |- V = ( Base ` U ) $.
    hdmap14lem1a.t $e |- .x. = ( .s ` U ) $.
    hdmap14lem1a.r $e |- R = ( Scalar ` U ) $.
    hdmap14lem1a.b $e |- B = ( Base ` R ) $.
    hdmap14lem1a.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap14lem2a.e $e |- .xb = ( .s ` C ) $.
    hdmap14lem1a.l $e |- L = ( LSpan ` C ) $.
    hdmap14lem2a.p $e |- P = ( Scalar ` C ) $.
    hdmap14lem2a.a $e |- A = ( Base ` P ) $.
    hdmap14lem1a.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmap14lem1a.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmap14lem3a.x $e |- ( ph -> X e. V ) $.
    hdmap14lem1a.f $e |- ( ph -> F e. B ) $.
    ${
      hdmap14lem1a.z $e |- .0. = ( 0g ` R ) $.
      hdmap14lem1a.fn $e |- ( ph -> F =/= .0. ) $.
      $( Prior to part 14 in [Baer] p. 49, line 25.  (Contributed by NM,
         31-May-2015.) $)
      hdmap14lem1a $p |- ( ph
           -> ( L ` { ( S ` X ) } ) = ( L ` { ( S ` ( F .x. X ) ) } ) ) $=
        ( csn clspn cfv cmpd clvec wcel wne wceq dvhlvec eqid lspsnvs syl121anc
        co fveq2d clmod dvhlmod lmodvscl syl3anc hdmap10 3eqtr3rd ) AKQIVHZUPJU
        QURZURZPMUSURURZURQUPVQURZVSURVPGURUPNURQGURUPNURAVRVTVSAJUTVAKCVAZKRVB
        QOVAZVRVTVCAJLMPSTUKVDUMUOULKIFCVQOJQRUAUCUBUDUNVQVEZVFVGVIADGVPJLMNVSV
        QOPSTUAWCUEUGVSVEZUJUKAJVJVAWAWBVPOVAAJLMPSTUKVKUMULKIFCOJQUAUCUBUDVLVM
        VNADGQJLMNVSVQOPSTUAWCUEUGWDUJUKULVNVO $.
    $}

    $d g A $.  $d g F $.  $d g P $.  $d g R $.  $d g .x. $.  $d g .xb $.
    $d g S $.  $d g X $.
    $( Prior to part 14 in [Baer] p. 49, line 25.  TODO: fix to include
       ` F = .0. ` so it can be used in ~ hdmap14lem10 .  (Contributed by NM,
       31-May-2015.) $)
    hdmap14lem2a $p |- ( ph
         -> E. g e. A ( S ` ( F .x. X ) ) = ( g .xb ( S ` X ) ) ) $=
      ( co cfv cv wceq wrex c0g fvoveq1 eqeq1d rexbidv csn cdif wss wne wa chlt
      difss wcel adantr eqid simpr hdmap14lem1a eqcomd wb lcdlvec clmod dvhlmod
      cbs lmodvscl syl3anc hdmapcl lspsneq mpbid ssrexv mpsyl lcdlmod hdmapval0
      lmod0cl syl lmod0vs syl2anc fveq2d 3eqtr4d oveq1 rspceeqv pm2.61ne ) ALRI
      UNZGUOZKUPZRGUOZHUNZUQZKBURZFUSUOZRIUNZGUOZXCUQZKBURZLXFLXFUQZXDXIKBXKWTX
      HXCLXFRGIUTVAVBBEUSUOZVCZVDZBVEALXFVFZVGZXDKXNURZXEBXMVIXPWTVCOUOZXBVCOUO
      ZUQZXQXPXSXRXPBCDEFGHIJLMNOPQRXFSTUAUBUCUDUEUFUGUHUIUJANVHVJQMVJVGXOUKVKA
      RPVJZXOULVKALCVJZXOUMVKXFVLZAXOVMVNVOAXTXQVPXOAEHKBODVTUOZDWTXBXLYDVLZUHU
      IXLVLZUFUGADMNQSUEUKVQADYDGWSJMNPQSTUAUEYEUJUKAJVRVJZYBYAWSPVJAJMNQSTUKVS
      ZUMULLIFCPJRUAUCUBUDWAWBWCADYDGRJMNPQSTUAUEYEUJUKULWCZWDVKWEXDKXNBWFWGAXL
      BVJZXHXLXBHUNZUQXJADVRVJZYJADMNQSUEUKWHZEBDXLUHUIYFWJWKAJUSUOZGUODUSUOZXH
      YKADYOGJMNQYNSTYNVLZUEYOVLZUJUKWIAXGYNGAYGYAXGYNUQYHULIFXFPJRYNUAUCUBYCYP
      WLWMWNAYLXBYDVJYKYOUQYMYIHEXLYDDXBYOYEUHUFYFYQWLWMWOKXLBXCYKXHXAXLXBHWPWQ
      WMWR $.
  $}

  ${
    hdmap14lem1.h $e |- H = ( LHyp ` K ) $.
    hdmap14lem1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap14lem1.v $e |- V = ( Base ` U ) $.
    hdmap14lem1.t $e |- .x. = ( .s ` U ) $.
    hdmap14lem3.o $e |- .0. = ( 0g ` U ) $.
    hdmap14lem1.r $e |- R = ( Scalar ` U ) $.
    hdmap14lem1.b $e |- B = ( Base ` R ) $.
    hdmap14lem1.z $e |- Z = ( 0g ` R ) $.
    hdmap14lem1.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap14lem2.e $e |- .xb = ( .s ` C ) $.
    hdmap14lem1.l $e |- L = ( LSpan ` C ) $.
    hdmap14lem2.p $e |- P = ( Scalar ` C ) $.
    hdmap14lem2.a $e |- A = ( Base ` P ) $.
    hdmap14lem2.q $e |- Q = ( 0g ` P ) $.
    hdmap14lem1.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmap14lem1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmap14lem3.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    ${
      hdmap14lem1.f $e |- ( ph -> F e. ( B \ { Z } ) ) $.
      $( Prior to part 14 in [Baer] p. 49, line 25.  (Contributed by NM,
         31-May-2015.) $)
      hdmap14lem1 $p |- ( ph
           -> ( L ` { ( S ` X ) } ) = ( L ` { ( S ` ( F .x. X ) ) } ) ) $=
        ( csn eldifad cdif wcel wne eldifsni syl hdmap14lem1a ) ABCDEGHIJKLMNOP
        QRTUAUBUCUDUFUGUIUJUKULUMUOUPARPSUSUQUTALCTUSZURUTUHALCVGVAVBLTVCURLCTV
        DVEVF $.

      $d g A $.  $d g .xb $.  $d g F $.  $d g Q $.  $d g S $.  $d g .x. $.
      $d g X $.
      $( Prior to part 14 in [Baer] p. 49, line 25.  TODO: fix to include
         ` F = Z ` so it can be used in ~ hdmap14lem10 .  (Contributed by NM,
         31-May-2015.)  (New usage is discouraged.) $)
      hdmap14lem2N $p |- ( ph
        -> E. g e. ( A \ { Q } ) ( S ` ( F .x. X ) ) = ( g .xb ( S ` X ) ) ) $=
        ( co cfv csn wceq cv cdif wrex hdmap14lem1 eqcomd cbs eqid lcdlvec wcel
        clmod dvhlmod eldifad lmodvscl syl3anc hdmapcl lspsneq mpbid ) AMSJUTZH
        VAZVBPVAZSHVAZVBPVAZVCWBLVDWDIUTVCLBFVBVEVFAWEWCABCDEFGHIJKMNOPQRSTUAUB
        UCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSVGVHAEILBPDVIVAZDWBWDFWFVJZUMUNUOUKUL
        ADNORUBUJUQVKADWFHWAKNOQRUBUCUDUJWGUPUQAKVMVLMCVLSQVLWAQVLAKNORUBUCUQVN
        AMCUAVBUSVOASQTVBURVOZMJGCQKSUDUGUEUHVPVQVRADWFHSKNOQRUBUCUDUJWGUPUQWHV
        RVSVT $.

      $( Prior to part 14 in [Baer] p. 49, line 26.  (Contributed by NM,
         31-May-2015.) $)
      hdmap14lem3 $p |- ( ph
        -> E! g e. ( A \ { Q } ) ( S ` ( F .x. X ) ) = ( g .xb ( S ` X ) ) ) $=
        ( co cfv csn wceq cv cdif wreu hdmap14lem1 eqcomd cbs c0g lcdlvec clmod
        eqid dvhlmod eldifad lmodvscl syl3anc hdmapcl hdmapnzcl lspsneu mpbid
        wcel ) AMSJUTZHVAZVBPVAZSHVAZVBPVAZVCWDLVDWFIUTVCLBFVBVEVFAWGWEABCDEFGH
        IJKMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSVGVHAEILBPFDVIVAZDWDWF
        DVJVAZWHVMZUMUNUOUKWIVMZULADNORUBUJUQVKADWHHWCKNOQRUBUCUDUJWJUPUQAKVLWB
        MCWBSQWBWCQWBAKNORUBUCUQVNAMCUAVBUSVOASQTVBURVOMJGCQKSUDUGUEUHVPVQVRADW
        HWIHSKNOQRTUBUCUDUFUJWKWJUPUQURVSVTWA $.

      $d g ph $.
      $( Simplify ` ( A \ { Q } ) ` in ~ hdmap14lem3 to provide a slightly
         simpler definition later.  (Contributed by NM, 31-May-2015.) $)
      hdmap14lem4a $p |- ( ph
       -> ( E! g e. ( A \ { Q } ) ( S ` ( F .x. X ) ) = ( g .xb ( S ` X ) )
         <-> E! g e. A ( S ` ( F .x. X ) ) = ( g .xb ( S ` X ) ) ) ) $=
        ( co cfv cv wceq csn cdif cun wreu wrex wn wb wcel wa c0g wne cbs clmod
        eqid dvhlmod eldifad lmodvscl syl3anc eldifsni dvhlvec lvecvsn0 eldifsn
        syl mpbir2and sylanbrc hdmapnzcl adantr lcdlmod hdmapcl lmod0vs syl2anc
        elsni oveq1d sylan9eqr neneqd nrexdv reuun2 lmod0cl difsnid reueq1 4syl
        neeqtrrd bitr3d ) AMSJUTZHVAZLVBZSHVAZIUTZVCZLBFVDZVEZXMVFZVGZXLLXNVGZX
        LLBVGZAXLLXMVHVIXPXQVJAXLLXMAXIXMVKZVLZXHXKXTXHDVMVAZXKAXHYAVNZXSAXHDVO
        VAZYAVDVEVKYBADYCYAHXGKNOQRTUBUCUDUFUJYAVQZYCVQZUPUQAXGQVKZXGTVNZXGQTVD
        ZVEZVKAKVPVKMCVKSQVKYFAKNORUBUCUQVRAMCUAVDZUSVSZASQYHURVSZMJGCQKSUDUGUE
        UHVTWAAYGMUAVNZSTVNZAMCYJVEVKYMUSMCUAWBWFASYIVKYNURSQTWBWFAMJGCUAQKSTUD
        UEUGUHUIUFAKNORUBUCUQWCYKYLWDWGXGQTWEWHWIXHYCYAWBWFWJXSAXKFXJIUTZYAXSXI
        FXJIXIFWOWPADVPVKZXJYCVKYOYAVCADNORUBUJUQWKZADYCHSKNOQRUBUCUDUJYEUPUQYL
        WLIEFYCDXJYAYEUMUKUOYDWMWNWQXEWRWSXLLXNXMWTWFAYPFBVKXOBVCXPXRVJYQEBDFUM
        UNUOXABFXBXLLXOBXCXDXF $.

      $( Simplify ` ( A \ { Q } ) ` in ~ hdmap14lem3 to provide a slightly
         simpler definition later.  TODO:  Use ~ hdmap14lem4a if that one is
         also used directly elsewhere.  Otherwise, merge ~ hdmap14lem4a into
         this one.  (Contributed by NM, 31-May-2015.) $)
      hdmap14lem4 $p |- ( ph
           -> E! g e. A ( S ` ( F .x. X ) ) = ( g .xb ( S ` X ) ) ) $=
        ( co cfv cv wceq csn cdif wreu hdmap14lem3 hdmap14lem4a mpbid ) AMSJUTH
        VALVBSHVAIUTVCZLBFVDVEVFVJLBVFABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJU
        KULUMUNUOUPUQURUSVGABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUP
        UQURUSVHVI $.
    $}

    ${
      $d g h A $.  $d g h C $.  $d g h .xb $.  $d g Q $.  $d g h S $.
      $d g h X $.  $d g h ph $.
      hdmap14lem6.f $e |- ( ph -> F = Z ) $.
      $( Case where ` F ` is zero.  (Contributed by NM, 1-Jun-2015.) $)
      hdmap14lem6 $p |- ( ph
           -> E! g e. A ( S ` ( F .x. X ) ) = ( g .xb ( S ` X ) ) ) $=
        ( vh co cfv cv wceq wreu c0g wrex wa wi wral wcel clmod lcdlmod lmod0cl
        weq syl cbs eqid csn eldifad hdmapcl lmod0vs syl2anc oveq1 rspceeqv w3a
        eqcomd wn cdif wne hdmapnzcl eldifsni neneqd 3ad2ant1 wo simp3l lcdlvec
        clvec simp2l lvecvs0or mpbid orcomd simp3r simp2r eqtr4d 3exp ralrimivv
        ord mpd eqeq2d reu4 sylanbrc oveq1d dvhlmod eqtrd fveq2d eqeq1d reubidv
        hdmapval0 mpbird ) AMSJVAZHVBZLVCZSHVBZIVAZVDZLBVEDVFVBZYEVDZLBVEZAYHLB
        VGZYHYGUTVCZYDIVAZVDZVHZLUTVOZVIZUTBVJLBVJYIAFBVKZYGFYDIVAZVDYJADVLVKZY
        QADNORUBUJUQVMZEBDFUMUNUOVNVPAYRYGAYSYDDVQVBZVKZYRYGVDYTADUUAHSKNOQRUBU
        CUDUJUUAVRZUPUQASQTVSURVTZWAZIEFUUADYDYGUUCUMUKUOYGVRZWBWCWGLFBYEYRYGYC
        FYDIWDWEWCAYPLUTBBAYCBVKZYKBVKZVHZYNYOAUUIYNWFZYCFYKUUJYDYGVDZWHZYCFVDZ
        AUUIUULYNAYDYGAYDUUAYGVSWIVKYDYGWJADUUAYGHSKNOQRTUBUCUDUFUJUUFUUCUPUQUR
        WKYDUUAYGWLVPWMWNZUUJUUKUUMUUJUUMUUKUUJYEYGVDUUMUUKWOUUJYGYEAUUIYHYMWPW
        GUUJYCIEBFUUADYDYGUUCUKUMUNUOUUFAUUIDWRVKYNADNORUBUJUQWQWNZAUUGUUHYNWSA
        UUIUUBYNUUEWNZWTXAXBXHXIUUJUULYKFVDZUUNUUJUUKUUQUUJUUQUUKUUJYLYGVDUUQUU
        KWOUUJYGYLAUUIYHYMXCWGUUJYKIEBFUUADYDYGUUCUKUMUNUOUUFUUOAUUGUUHYNXDUUPW
        TXAXBXHXIXEXFXGYHYMLUTBYOYEYLYGYCYKYDIWDXJXKXLAYFYHLBAYBYGYEAYBTHVBYGAY
        ATHAYAUASJVAZTAMUASJUSXMAKVLVKSQVKUURTVDAKNORUBUCUQXNUUDJGUAQKSTUDUGUEU
        IUFWBWCXOXPADYGHKNORTUBUCUFUJUUFUPUQXSXOXQXRXT $.
    $}
  $}

  ${
    $d g A $.  $d g C $.  $d g F $.  $d g P $.  $d g R $.  $d g S $.  $d g X $.
    $d g ph $.  $d g .x. $.  $d g .xb $.
    hdmap14lem7.h $e |- H = ( LHyp ` K ) $.
    hdmap14lem7.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap14lem7.v $e |- V = ( Base ` U ) $.
    hdmap14lem7.t $e |- .x. = ( .s ` U ) $.
    hdmap14lem7.o $e |- .0. = ( 0g ` U ) $.
    hdmap14lem7.r $e |- R = ( Scalar ` U ) $.
    hdmap14lem7.b $e |- B = ( Base ` R ) $.
    hdmap14lem7.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap14lem7.e $e |- .xb = ( .s ` C ) $.
    hdmap14lem7.p $e |- P = ( Scalar ` C ) $.
    hdmap14lem7.a $e |- A = ( Base ` P ) $.
    hdmap14lem7.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmap14lem7.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmap14lem7.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    hdmap14lem7.f $e |- ( ph -> F e. B ) $.
    $( Combine cases of ` F ` .  TODO:  Can this be done at once in
       ~ hdmap14lem3 , in order to get rid of ~ hdmap14lem6 ?  Perhaps modify
       ~ lspsneu to become ` E! k e. K ` instead of
       ` E! k e. ( K \ { .0. } ) ` ?  (Contributed by NM, 1-Jun-2015.) $)
    hdmap14lem7 $p |- ( ph
         -> E! g e. A ( S ` ( F .x. X ) ) = ( g .xb ( S ` X ) ) ) $=
      ( co cfv cv wceq wreu c0g wa clspn eqid chlt wcel adantr cdif hdmap14lem6
      csn simpr wne eldifsn sylanbrc hdmap14lem4 pm2.61dane ) ALQIUNGUOKUPQGUOH
      UNUQKBURLFUSUOZALVOUQZUTBCDEEUSUOZFGHIJKLMNDVAUOZOPQRVOSTUAUBUCUDUEVOVBZU
      FUGVRVBZUHUIVQVBZUJANVCVDPMVDUTZVPUKVEAQORVHVFVDZVPULVEAVPVIVGALVOVJZUTZB
      CDEVQFGHIJKLMNVROPQRVOSTUAUBUCUDUEVSUFUGVTUHUIWAUJAWBWDUKVEAWCWDULVEWELCV
      DZWDLCVOVHVFVDAWFWDUMVEAWDVILCVOVKVLVMVN $.
  $}

  ${
    hdmap14lem8.h $e |- H = ( LHyp ` K ) $.
    hdmap14lem8.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap14lem8.v $e |- V = ( Base ` U ) $.
    hdmap14lem8.q $e |- .+ = ( +g ` U ) $.
    hdmap14lem8.t $e |- .x. = ( .s ` U ) $.
    hdmap14lem8.o $e |- .0. = ( 0g ` U ) $.
    hdmap14lem8.n $e |- N = ( LSpan ` U ) $.
    hdmap14lem8.r $e |- R = ( Scalar ` U ) $.
    hdmap14lem8.b $e |- B = ( Base ` R ) $.
    hdmap14lem8.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap14lem8.d $e |- .+b = ( +g ` C ) $.
    hdmap14lem8.e $e |- .xb = ( .s ` C ) $.
    hdmap14lem8.p $e |- P = ( Scalar ` C ) $.
    hdmap14lem8.a $e |- A = ( Base ` P ) $.
    hdmap14lem8.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmap14lem8.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmap14lem8.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    hdmap14lem8.y $e |- ( ph -> Y e. ( V \ { .0. } ) ) $.
    hdmap14lem8.f $e |- ( ph -> F e. B ) $.
    hdmap14lem8.g $e |- ( ph -> G e. A ) $.
    hdmap14lem8.i $e |- ( ph -> I e. A ) $.
    hdmap14lem8.xx $e |- ( ph -> ( S ` ( F .x. X ) ) = ( G .xb ( S ` X ) ) ) $.
    hdmap14lem8.yy $e |- ( ph -> ( S ` ( F .x. Y ) ) = ( I .xb ( S ` Y ) ) ) $.
    ${
      hdmap14lem8.ne $e |- ( ph -> ( N ` { X } ) =/= ( N ` { Y } ) ) $.
      ${
        hdmap14lem8.j $e |- ( ph -> J e. A ) $.
        hdmap14lem8.xy $e |- ( ph
            -> ( S ` ( F .x. ( X .+ Y ) ) ) = ( J .xb ( S ` ( X .+ Y ) ) ) ) $.
        $( Part of proof of part 14 in [Baer] p. 49 lines 33-35.  (Contributed
           by NM, 1-Jun-2015.) $)
        hdmap14lem8 $p |- ( ph
           -> ( ( J .xb ( S ` X ) ) .+b ( J .xb ( S ` Y ) ) )
            = ( ( G .xb ( S ` X ) ) .+b ( I .xb ( S ` Y ) ) ) ) $=
          ( cfv co wcel cbs wceq lcdlmod eqid eldifad hdmapcl lmodvsdi syl13anc
          hdmapadd oveq2d dvhlmod fveq2d lmodvscl syl3anc oveq12d 3eqtrd eqtr3d
          clmod csn ) AQUBIVKZUCIVKZGVLZJVLZQWMJVLQWNJVLGVLZNWMJVLZPWNJVLZGVLZA
          DWKVMQBVMWMDVNVKZVMWNXAVMWPWQVOADORUAUEUNUTVPVIADXAIUBLORTUAUEUFUGUNX
          AVQZUSUTAUBTUDWLZVAVRZVSADXAIUCLORTUAUEUFUGUNXBUSUTAUCTXCVBVRZVSGQJEB
          XADWMWNXBUOUQUPURVTWAAQUBUCFVLZIVKZJVLZWPWTAXGWOQJADFGILORTUAUBUCUEUF
          UGUHUNUOUSUTXDXEWBWCAMXFKVLZIVKZXHWTVJAXJMUBKVLZMUCKVLZFVLZIVKXKIVKZX
          LIVKZGVLWTAXIXMIALWKVMZMCVMZUBTVMZUCTVMZXIXMVOALORUAUEUFUTWDZVCXDXEFM
          KHCTLUBUCUGUHULUIUMVTWAWEADFGILORTUAXKXLUEUFUGUHUNUOUSUTAXPXQXRXKTVMX
          TVCXDMKHCTLUBUGULUIUMWFWGAXPXQXSXLTVMXTVCXEMKHCTLUCUGULUIUMWFWGWBAXNW
          RXOWSGVFVGWHWIWJWJWJ $.

        $( Part of proof of part 14 in [Baer] p. 49 line 38.  (Contributed by
           NM, 1-Jun-2015.) $)
        hdmap14lem9 $p |- ( ph -> G = I ) $=
          ( wceq clspn cfv cbs c0g eqid lcdlvec hdmapnzcl csn cmpd clss dvhlmod
          clmod eldifad lspsncl syl2anc mapd11 necon3bid mpbird hdmap10 3netr3d
          wne wcel hdmap14lem8 lvecindp2 simpld simprd eqtr3d ) AQNPAQNVKZQPVKZ
          AQQNPGJEBDVLVMZDVNVMZDUBIVMZUCIVMZDVOVMZXBVPZUOUQURUPXEVPZXAVPZADORUA
          UEUNUTVQADXBXEIUBLORTUAUDUEUFUGUJUNXGXFUSUTVAVRADXBXEIUCLORTUAUDUEUFU
          GUJUNXGXFUSUTVBVRVIVIVDVEAUBVSSVMZUARVTVMVMZVMZUCVSSVMZXJVMZXCVSXAVMX
          DVSXAVMAXKXMWLXIXLWLVHAXKXMXIXLALWAVMZLORXJUAXIXLUEUFXNVPZXJVPZUTALWC
          WMZUBTWMXIXNWMALORUAUEUFUTWBZAUBTUDVSZVAWDZXNSTLUBUGXOUKWEWFAXQUCTWMX
          LXNWMXRAUCTXSVBWDZXNSTLUCUGXOUKWEWFWGWHWIADIUBLORXAXJSTUAUEUFUGUKUNXH
          XPUSUTXTWJADIUCLORXAXJSTUAUEUFUGUKUNXHXPUSUTYAWJWKABCDEFGHIJKLMNOPQRS
          TUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJWNWOZWPA
          WSWTYBWQWR $.
      $}

      $d g A $.  $d g C $.  $d g .xb $.  $d g F $.  $d g G $.  $d g I $.
      $d g P $.  $d g .+ $.  $d g R $.  $d g S $.  $d g .x. $.  $d g X $.
      $d g Y $.  $d g ph $.
      $( Part of proof of part 14 in [Baer] p. 49 line 38.  (Contributed by NM,
         3-Jun-2015.) $)
      hdmap14lem10 $p |- ( ph -> G = I ) $=
        ( vg co cfv cv wceq wrex clspn eqid clmod wcel dvhlmod eldifad lmodvacl
        csn syl3anc hdmap14lem2a w3a chlt 3ad2ant1 cdif simp2 simp3 hdmap14lem9
        wa wne rexlimdv3a mpd ) AMUAUBFVIZKVIIVJVHVKZWOIVJJVIVLZVHBVMNPVLZABCDE
        HIJKLVHMOQDVNVJZSTWOUDUEUFUHUKULUMUOWSVOUPUQURUSALVPVQUASVQUBSVQWOSVQAL
        OQTUDUEUSVRAUASUCWAZUTVSAUBSWTVAVSFSLUAUBUFUGVTWBVBWCAWQWRVHBAWPBVQZWQW
        DBCDEFGHIJKLMNOPWPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURAXAQWEVQTOVQW
        KWQUSWFAXAUASWTWGZVQWQUTWFAXAUBXBVQWQVAWFAXAMCVQWQVBWFAXANBVQWQVCWFAXAP
        BVQWQVDWFAXAMUAKVIIVJNUAIVJJVIVLWQVEWFAXAMUBKVIIVJPUBIVJJVIVLWQVFWFAXAU
        AWARVJUBWARVJWLWQVGWFAXAWQWHAXAWQWIWJWMWN $.
    $}

    $d g A $.  $d g .xb $.  $d g F $.  $d g z G $.  $d g z I $.  $d g z N $.
    $d g P $.  $d g R $.  $d g S $.  $d g .x. $.  $d z U $.  $d g z V $.
    $d g z X $.  $d g z Y $.  $d g z ph $.
    $( Part of proof of part 14 in [Baer] p. 50 line 3.  (Contributed by NM,
       3-Jun-2015.) $)
    hdmap14lem11 $p |- ( ph -> G = I ) $=
      ( vz vg cv cpr cfv wcel wn wrex wceq csn eldifad dvh3dim w3a co eqid chlt
      clspn wa 3ad2ant1 simp2 hdmap14lem2a simp11 syl clss clmod dvhlmod simp12
      lspprcl simp13 lssneln0 cdif simp3 wne clvec lspindpi simpld hdmap14lem10
      dvhlvec simprd eqtr3d rexlimdv3a mpd ) AVGVIZUAUBVJRVKZVLVMZVGSVNNPVOZAVG
      LOQRSTUAUBUDUEUFUJUSAUASUCVPZUTVQZAUBSXMVAVQZVRAXKXLVGSAXISVLZXKVSZMXIKVT
      IVKVHVIZXIIVKJVTVOZVHBVNXLXQBCDEHIJKLVHMOQDWCVKZSTXIUDUEUFUHUKULUMUOXTWAU
      PUQURAXPQWBVLTOVLWDZXKUSWEAXPXKWFAXPMCVLZXKVBWEWGXQXSXLVHBXQXRBVLZXSVSZXR
      NPYDBCDEFGHIJKLMXRONQRSTXIUAUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURYDAYAAXPXKYCX
      SWHZUSWIZYDLWJVKZXJSLXIUCUIYGWAZYDALWKVLYEALOQTUDUEUSWLZWIYDAXJYGVLYEAYGR
      SLUAUBUFYHUJYIXNXOWNWIAXPXKYCXSWMZAXPXKYCXSWOZWPZYDAUASXMWQZVLYEUTWIYDAYB
      YEVBWIZXQYCXSWFZYDANBVLYEVCWIXQYCXSWRZYDAMUAKVTIVKNUAIVKJVTVOYEVEWIYDXIVP
      RVKZUAVPRVKWSZYQUBVPRVKWSZYDRSLXIUAUBUFUJYDALWTVLYEALOQTUDUEUSXDWIYJYDAUA
      SVLYEXNWIYDAUBSVLYEXOWIYKXAZXBXCYDBCDEFGHIJKLMXROPQRSTXIUBUCUDUEUFUGUHUIU
      JUKULUMUNUOUPUQURYFYLYDAUBYMVLYEVAWIYNYOYDAPBVLYEVDWIYPYDAMUBKVTIVKPUBIVK
      JVTVOYEVFWIYDYRYSYTXEXCXFXGXHXGXH $.
  $}

  ${
    $d g x y A $.  $d g B $.  $d g x C $.  $d g x y .xb $.  $d g x y F $.
    $d g y G $.  $d g y .0. $.  $d g P $.  $d g R $.  $d g x y S $.
    $d g x y .x. $.  $d g x y U $.  $d g x y V $.  $d g y X $.  $d g x y ph $.
    hdmap14lem12.h $e |- H = ( LHyp ` K ) $.
    hdmap14lem12.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmap14lem12.v $e |- V = ( Base ` U ) $.
    hdmap14lem12.t $e |- .x. = ( .s ` U ) $.
    hdmap14lem12.r $e |- R = ( Scalar ` U ) $.
    hdmap14lem12.b $e |- B = ( Base ` R ) $.
    hdmap14lem12.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hdmap14lem12.e $e |- .xb = ( .s ` C ) $.
    hdmap14lem12.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmap14lem12.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmap14lem12.f $e |- ( ph -> F e. B ) $.
    ${
      hdmap14lem12.p $e |- P = ( Scalar ` C ) $.
      hdmap14lem12.a $e |- A = ( Base ` P ) $.
      ${
        hdmap14lem12.o $e |- .0. = ( 0g ` U ) $.
        hdmap14lem12.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
        hdmap14lem12.g $e |- ( ph -> G e. A ) $.
        $( Lemma for proof of part 14 in [Baer] p. 50.  (Contributed by NM,
           6-Jun-2015.) $)
        hdmap14lem12 $p |- ( ph -> ( ( S ` ( F .x. X ) ) = ( G .xb ( S ` X ) )
   <-> A. y e. ( V \ { .0. } ) ( S ` ( F .x. y ) ) = ( G .xb ( S ` y ) ) ) ) $=
          ( vg co cfv wceq cv csn cdif wral wa wcel w3a wrex eqid chlt 3ad2ant1
          clspn simp3 eldifad hdmap14lem2a cplusg simp11 syl simp2 hdmap14lem11
          simp13 simp12 oveq1d eqtr4d rexlimdv3a 3expia ralrimiv wi oveq2 fveq2
          mpd fveq2d oveq2d eqeq12d rspcv imp impbida ) ALRJUQZHURZMRHURZIUQZUS
          ZLBUTZJUQZHURZMXBHURZIUQZUSZBPSVAZVBZVCZAXAVDXGBXIAXAXBXIVEZXGAXAXKVF
          ZXDUPUTZXEIUQZUSZUPCVGXGXLCDEFGHIJKUPLNOEVKURZPQXBTUAUBUCUDUEUFUGXPVH
          UKULUHAXAOVIVEQNVEVDZXKUIVJXLXBPXHAXAXKVLVMAXALDVEZXKUJVJVNXLXOXGUPCX
          LXMCVEZXOVFZXDXNXFXLXSXOVLZXTMXMXEIXTCDEFKVOURZEVOURZGHIJKLMNXMOKVKUR
          ZPQRXBSTUAUBYBVHUCUMYDVHUDUEUFYCVHUGUKULUHXTAXQAXAXKXSXOVPZUIVQXTARXI
          VEZYEUNVQAXAXKXSXOVTXTAXRYEUJVQXTAMCVEYEUOVQXLXSXOVRAXAXKXSXOWAYAVSWB
          WCWDWJWEWFAXJXAAYFXJXAWGUNXGXABRXIXBRUSZXDWRXFWTYGXCWQHXBRLJWHWKYGXEW
          SMIXBRHWIWLWMWNVQWOWP $.

        $( Lemma for proof of part 14 in [Baer] p. 50.  (Contributed by NM,
           6-Jun-2015.) $)
        hdmap14lem13 $p |- ( ph -> ( ( S ` ( F .x. X ) ) = ( G .xb ( S ` X ) )
       <-> A. y e. V ( S ` ( F .x. y ) ) = ( G .xb ( S ` y ) ) ) ) $=
          ( co cfv wceq cv csn cdif wral cun hdmap14lem12 wa wcel velsn lcdlmod
          c0g clmod eqid lmodvs0 syl2anc hdmapval0 oveq2d fveq2d eqtrd 3eqtr4rd
          dvhlmod oveq2 fveq2 eqeq12d syl5ibrcom syl5bi ralrimiv ralunb bitr4di
          biantrud lmod0vcl difsnid 3syl raleqdv 3bitrd ) ALRJUPHUQMRHUQIUPURLB
          USZJUPZHUQZMWNHUQZIUPZURZBPSUTZVAZVBZWSBXAWTVCZVBZWSBPVBABCDEFGHIJKLM
          NOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOVDAXBXBWSBWTVBZVEXDAXEXBAWSBWTWN
          WTVFWNSURZAWSBSVGAWSXFLSJUPZHUQZMSHUQZIUPZURAMEVIUQZIUPZXKXJXHAEVJVFM
          CVFXLXKURAENOQTUFUIVHUOIFCEMXKUKUGULXKVKZVLVMAXIXKMIAEXKHKNOQSTUAUMUF
          XMUHUIVNZVOAXHXIXKAXGSHAKVJVFZLDVFXGSURAKNOQTUAUIVSZUJJGDKLSUDUCUEUMV
          LVMVPXNVQVRXFWPXHWRXJXFWOXGHWNSLJVTVPXFWQXIMIWNSHWAVOWBWCWDWEWHWSBXAW
          TWFWGAWSBXCPAXOSPVFXCPURXPPKSUBUMWIPSWJWKWLWM $.
      $}

      $( Part of proof of part 14 in [Baer] p. 50 line 3.  (Contributed by NM,
         6-Jun-2015.) $)
      hdmap14lem14 $p |- ( ph ->
        E! g e. A A. x e. V ( S ` ( F .x. x ) ) = ( g .xb ( S ` x ) ) ) $=
        ( vy cv c0g cfv wne wrex wceq wral wreu eqid dvh1dim wcel chlt 3ad2ant1
        co w3a wa csn 3simpc eldifsn sylibr hdmap14lem7 simpl1 syl adantr simpr
        cdif hdmap14lem13 reubidva mpbid rexlimdv3a mpd ) AUKULZKUMUNZUOZUKPUPM
        BULZJVEHUNLULZWFHUNIVEUQBPURZLCUSZAUKKNOPQWDRSTWDUTZUGVAAWEWIUKPAWCPVBZ
        WEVFZMWCJVEHUNWGWCHUNIVEUQZLCUSWIWLCDEFGHIJKLMNOPQWCWDRSTUAWJUBUCUDUEUI
        UJUFAWKOVCVBQNVBVGZWEUGVDWLWKWEVGWCPWDVHVQVBZAWKWEVIWCPWDVJVKZAWKMDVBZW
        EUHVDVLWLWMWHLCWLWGCVBZVGZBCDEFGHIJKMWGNOPQWCWDRSTUAUBUCUDUEUFWSAWNAWKW
        EWRVMZUGVNWSAWQWTUHVNUIUJWJWLWOWRWPVOWLWRVPVRVSVTWAWB $.
    $}

    $( Part of proof of part 14 in [Baer] p. 50 line 3.  Convert scalar base of
       dual to scalar base of vector space.  (Contributed by NM,
       6-Jun-2015.) $)
    hdmap14lem15 $p |- ( ph ->
      E! g e. B A. x e. V ( S ` ( F .x. x ) ) = ( g .xb ( S ` x ) ) ) $=
      ( cv co cfv wceq wral csca cbs wreu eqid hdmap14lem14 lcdsbase reueq1 syl
      wb mpbid ) AKBUGZHUHFUIJUGVBFUIGUHUJBNUKZJDULUIZUMUIZUNZVCJCUNZABVECDVDEF
      GHIJKLMNOPQRSTUAUBUCUDUEUFVDUOZVEUOZUPAVECUJVFVGUTADVEVDIELMCOPQTUAUBVHVI
      UEUQVCJVECURUSVA $.
  $}

  $c HGMap $.

  $( Extend class notation with g-map. $)
  chg $a class HGMap $.

  ${
    $d a b k m u v w x y $.
    $( Define map from the scalar division ring of the vector space to the
       scalar division ring of its closed kernel dual.  (Contributed by NM,
       25-Mar-2015.) $)
    df-hgmap $a |- HGMap = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
      { a | [. ( ( DVecH ` k ) ` w ) / u ].
            [. ( Base ` ( Scalar ` u ) ) / b ].
            [. ( ( HDMap ` k ) ` w ) / m ].
        a e. ( x e. b |-> ( iota_ y e. b
            A. v e. ( Base ` u ) ( m ` ( x ( .s ` u ) v ) )
              = ( y ( .s ` ( ( LCDual ` k ) ` w ) ) ( m ` v ) ) ) ) } ) ) $.
  $}

  ${
    $d k w H $.  $d a b k m u v w x y K $.
    hgmapval.h $e |- H = ( LHyp ` K ) $.
    $( Map from the scalar division ring of the vector space to the scalar
       division ring of its closed kernel dual.  (Contributed by NM,
       25-Mar-2015.) $)
    hgmapffval $p |- ( K e. X -> ( HGMap ` K ) = ( w e. H |->
      { a | [. ( ( DVecH ` K ) ` w ) / u ].
            [. ( Base ` ( Scalar ` u ) ) / b ].
            [. ( ( HDMap ` K ) ` w ) / m ].
        a e. ( x e. b |-> ( iota_ y e. b
            A. v e. ( Base ` u ) ( m ` ( x ( .s ` u ) v ) )
              = ( y ( .s ` ( ( LCDual ` K ) ` w ) ) ( m ` v ) ) ) ) } ) ) $=
      ( wcel cfv cv cvsca wceq cmpt wsbc clh vk cvv chg co clcd wral crio chdma
      cbs csca cdvh cab elex fveq2 eqtr4di fveq1d fveq2d oveqd eqeq2d riotabidv
      ralbidv mpteq2dv eleq2d sbceqbid sbcbidv mpteq12dv df-hgmap mptfvmpt syl
      abbidv ) HIMHUBMHUCNCGJOZAKOZAODOZEOZPNUDFOZNZBOZVMVONZCOZHUENZNZPNZUDZQZ
      DVNUINZUFZBVLUGZRZMZFVSHUHNZNZSZKVNUJNUINZSZEVSHUKNZNZSZJULZRQHIUMCUAWRTU
      CCUAOZTNZVKAVLVPVQVRVSWSUENZNZPNZUDZQZDWEUFZBVLUGZRZMZFVSWSUHNZNZSZKWMSZE
      VSWSUKNZNZSZJULZRGUBHHWSHQZCWTXQGWRXRWTHTNGWSHTUNLUOXRXPWQJXRXMWNEXOWPXRV
      SXNWOWSHUKUNUPXRXLWLKWMXRXIWIFXKWKXRVSXJWJWSHUHUNUPXRXHWHVKXRAVLXGWGXRXFW
      FBVLXRXEWDDWEXRXDWCVPXRXCWBVQVRXRXBWAPXRVSXAVTWSHUEUNUPUQURUSVAUTVBVCVDVE
      VDVJVFABCDEUAFJKVGLVHVI $.

    $d a b m u v w x y B $.  $d a b m u v w x y M $.  $d a b m u w .xb $.
    $d a b m u w .x. $.  $d b m u v x y U $.  $d a b m u v w V $.
    $d a b m u v w x y W $.
    hgmapfval.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hgmapfval.v $e |- V = ( Base ` U ) $.
    hgmapfval.t $e |- .x. = ( .s ` U ) $.
    hgmapfval.r $e |- R = ( Scalar ` U ) $.
    hgmapfval.b $e |- B = ( Base ` R ) $.
    hgmapfval.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hgmapfval.s $e |- .xb = ( .s ` C ) $.
    hgmapfval.m $e |- M = ( ( HDMap ` K ) ` W ) $.
    hgmapfval.i $e |- I = ( ( HGMap ` K ) ` W ) $.
    hgmapfval.k $e |- ( ph -> ( K e. Y /\ W e. H ) ) $.
    $( Map from the scalar division ring of the vector space to the scalar
       division ring of its closed kernel dual.  (Contributed by NM,
       25-Mar-2015.) $)
    hgmapfval $p |- ( ph -> I = ( x e. B |-> ( iota_ y e. B
            A. v e. V ( M ` ( x .x. v ) ) = ( y .xb ( M ` v ) ) ) ) ) $=
      ( vw va vb vu vm wcel wa cv cfv wceq wral crio cmpt cvsca clcd chdma wsbc
      cbs csca cdvh cab chg hgmapffval fveq1d syl5eq fveq2 eqtr4di 2fveq3 oveqd
      co eqeq2d ralbidv riotabidv mpteq2dv eleq2d sbceqbid sbcbidv fvexi wb w3a
      simp2 simp1 fveq2d eqtrd simp3 fveq12d eqidd oveq123d eqeq12d riotaeqbidv
      fvex raleqbidv mpteq12dv syld3an2 sbc3ie bitrdi abbi1dv mptfvmpt sylan9eq
      eqid syl ) AMQUNZPKUNZUOLBEBUPZDUPZIVRZNUQZCUPZXMNUQZHVRZURZDOUSZCEUTZVAZ
      URUHXJXKLPUIKUJUPZBUKUPZXLXMULUPZVBUQZVRZUMUPZUQZXPXMYHUQZUIUPZMVCUQZUQVB
      UQZVRZURZDYEVFUQZUSZCYDUTZVAZUNZUMYKMVDUQZUQZVEZUKYEVGUQZVFUQZVEZULYKMVHU
      QZUQZVEZUJVIZVAZUQZYBXJLPMVJUQZUQUULUGXJPUUMUUKBCUIDULUMKMQUJUKRVKVLVMBUI
      YAVFUUKUUJEKGPYKPURZUUIUJYBUUNUUIYCBYDYIXPYJPYLUQZVBUQZVRZURZDYPUSZCYDUTZ
      VAZUNZUMNVEZUKUUEVEZULJVEYCYBUNZUUNUUFUVDULUUHJUUNUUHPUUGUQJYKPUUGVNSVOUU
      NUUCUVCUKUUEUUNYTUVBUMUUBNUUNUUBPUUAUQNYKPUUAVNUFVOUUNYSUVAYCUUNBYDYRUUTU
      UNYQUUSCYDUUNYOUURDYPUUNYNUUQYIUUNYMUUPXPYJYKPVBYLVPVQVSVTWAWBWCWDWEWDUVB
      UVEULUKUMJUUENJPUUGSWFUUDVFWSNPUUAUFWFYEJURZYDEURZYDUUEURZYHNURZUVBUVEWGU
      VFUVHUVIWHZYDGVFUQZEUVJYDUUEUVKUVFUVHUVIWIUVJUUDGVFUVJUUDJVGUQGUVJYEJVGUV
      FUVHUVIWJWKUBVOWKWLUCVOUVFUVGUVIWHZUVAYBYCUVLBYDUUTEYAUVFUVGUVIWIZUVLUUSX
      TCYDEUVMUVLUURXSDYPOUVLYPJVFUQOUVLYEJVFUVFUVGUVIWJZWKTVOUVLYIXOUUQXRUVLYG
      XNYHNUVFUVGUVIWMZUVLYFIXLXMUVLYFJVBUQIUVLYEJVBUVNWKUAVOVQWNUVLXPXPYJXQUUP
      HUVLUUPFVBUQHUVLUUOFVBUVLUUOUUOFUVLUUOWOUDVOWKUEVOUVLXPWOUVLXMYHNUVOVLWPW
      QWTWRXAWCXBXCXDXEUUKXHUCXFXGXI $.

    $d x .xb $.  $d x .x. $.  $d x V $.  $d v x y X $.
    hgmapval.x $e |- ( ph -> X e. B ) $.
    $( Value of map from the scalar division ring of the vector space to the
       scalar division ring of its closed kernel dual.  Function sigma of
       scalar f in part 14 of [Baer] p. 50 line 4.  TODO: variable names are
       inherited from older version.  Maybe make more consistent with
       ~ hdmap14lem15 .  (Contributed by NM, 25-Mar-2015.) $)
    hgmapval $p |- ( ph -> ( I ` X ) = ( iota_ y e. B
            A. v e. V ( M ` ( X .x. v ) ) = ( y .xb ( M ` v ) ) ) ) $=
      ( vx cfv cv wceq wral crio cmpt hgmapfval fveq1d wcel cvv riotaex fvoveq1
      co eqeq1d ralbidv riotabidv eqid fvmptg sylancl eqtrd ) APKUKPUJDUJULZCUL
      ZHVCMUKZBULVLMUKGVCZUMZCNUNZBDUOZUPZUKZPVLHVCMUKZVNUMZCNUNZBDUOZAPKVRAUJB
      CDEFGHIJKLMNOQRSTUAUBUCUDUEUFUGUHUQURAPDUSWCUTUSVSWCUMUIWBBDVAUJPVQWCDUTV
      RVKPUMZVPWBBDWDVOWACNWDVMVTVNVKPVLMHVBVDVEVFVRVGVHVIVJ $.
  $}

  ${
    $d j k x B $.  $d j k x K $.  $d j k x U $.  $d j k x W $.
    hgmapfn.h $e |- H = ( LHyp ` K ) $.
    hgmapfn.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hgmapfn.r $e |- R = ( Scalar ` U ) $.
    hgmapfn.b $e |- B = ( Base ` R ) $.
    hgmapfn.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hgmapfn.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Functionality of scalar sigma map.  (Contributed by NM, 7-Jun-2015.)
       (New usage is discouraged.) $)
    hgmapfnN $p |- ( ph -> G Fn B ) $=
      ( vk vx vj cv cfv eqid wfn cvsca co chdma clcd wceq cbs wral crio riotaex
      cmpt fnmpti chlt hgmapfval fneq1d mpbiri ) AEBUAOBORPRZDUBSZUCHGUDSSZSQRU
      QUSSHGUESSZUBSZUCUFPDUGSZUHZQBUIZUKZBUAOBVDVEVCQBUJVETULABEVEAOQPBUTCVAUR
      DFEGUSVBHUMIJVBTURTKLUTTVATUSTMNUNUOUP $.
  $}

  ${
    $d g x B $.  $d g x F $.  $d g x K $.  $d g R $.  $d g x U $.  $d g x W $.
    $d g x ph $.
    hgmapcl.h $e |- H = ( LHyp ` K ) $.
    hgmapcl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hgmapcl.r $e |- R = ( Scalar ` U ) $.
    hgmapcl.b $e |- B = ( Base ` R ) $.
    hgmapcl.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hgmapcl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hgmapcl.f $e |- ( ph -> F e. B ) $.
    $( Closure of scalar sigma map i.e. the map from the vector space scalar
       base to the dual space scalar base.  (Contributed by NM, 6-Jun-2015.) $)
    hgmapcl $p |- ( ph -> ( G ` F ) e. B ) $=
      ( vx vg cfv eqid cv cvsca co chdma clcd wceq wral crio chlt hgmapval wreu
      cbs wcel hdmap14lem15 riotacl syl eqeltrd ) AEFSEQUAZDUBSZUCIHUDSSZSRUAUR
      UTSIHUESSZUBSZUCUFQDULSZUGZRBUHZBARQBVACVBUSDGFHUTVCIEUIJKVCTZUSTZLMVATZV
      BTZUTTZNOPUJAVDRBUKVEBUMAQBVACUTVBUSDREGHVCIJKVFVGLMVHVIVJOPUNVDRBUOUPUQ
      $.
  $}

  ${
    hgmapdcl.h $e |- H = ( LHyp ` K ) $.
    hgmapdcl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hgmapdcl.r $e |- R = ( Scalar ` U ) $.
    hgmapdcl.b $e |- B = ( Base ` R ) $.
    hgmapdcl.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hgmapdcl.q $e |- Q = ( Scalar ` C ) $.
    hgmapdcl.a $e |- A = ( Base ` Q ) $.
    hgmapdcl.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hgmapdcl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hgmapdcl.f $e |- ( ph -> F e. B ) $.
    $( Closure of the vector space to dual space scalar map, in the scalar
       sigma map.  (Contributed by NM, 6-Jun-2015.) $)
    hgmapdcl $p |- ( ph -> ( G ` F ) e. A ) $=
      ( cfv hgmapcl lcdsbase eleqtrrd ) AHIUCCBACFGHIJKLMNOPTUAUBUDADBEGFJKCLMN
      OPQRSUAUEUF $.
  $}

  ${
    $d g x B $.  $d g x C $.  $d g x .xb $.  $d g x F $.  $d g x G $.
    $d g x K $.  $d g R $.  $d g x S $.  $d g x .x. $.  $d g x U $.
    $d g x V $.  $d g x W $.  $d x X $.  $d g x ph $.
    hgmapvs.h $e |- H = ( LHyp ` K ) $.
    hgmapvs.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hgmapvs.v $e |- V = ( Base ` U ) $.
    hgmapvs.t $e |- .x. = ( .s ` U ) $.
    hgmapvs.r $e |- R = ( Scalar ` U ) $.
    hgmapvs.b $e |- B = ( Base ` R ) $.
    hgmapvs.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hgmapvs.e $e |- .xb = ( .s ` C ) $.
    hgmapvs.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hgmapvs.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hgmapvs.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hgmapvs.x $e |- ( ph -> X e. V ) $.
    hgmapvs.f $e |- ( ph -> F e. B ) $.
    $( Part 15 of [Baer] p. 50 line 6.  Also line 15 in [Holland95] p. 14.
       (Contributed by NM, 6-Jun-2015.) $)
    hgmapvs $p |- ( ph ->
      ( S ` ( F .x. X ) ) = ( ( G ` F ) .xb ( S ` X ) ) ) $=
      ( vx vg wcel cv cfv wceq wral crio chlt hgmapval eqcomd wreu hdmap14lem15
      co hgmapcl oveq1 eqeq2d ralbidv riota2 syl2anc mpbird oveq2 fveq2d oveq2d
      wb fveq2 eqeq12d rspcva ) AOMUKIUIULZGVBZEUMZIJUMZVQEUMZFVBZUNZUIMUOZIOGV
      BZEUMZVTOEUMZFVBZUNZUGAWDVSUJULZWAFVBZUNZUIMUOZUJBUPZVTUNZAVTWNAUJUIBCDFG
      HKJLEMNIUQPQRSTUAUBUCUDUEUFUHURUSAVTBUKWMUJBUTWDWOVMABDHIJKLNPQTUAUEUFUHV
      CAUIBCDEFGHUJIKLMNPQRSTUAUBUCUDUFUHVAWMWDUJBVTWJVTUNZWLWCUIMWPWKWBVSWJVTW
      AFVDVEVFVGVHVIWCWIUIOMVQOUNZVSWFWBWHWQVRWEEVQOIGVJVKWQWAWGVTFVQOEVNVLVOVP
      VH $.
  $}

  ${
    $d x G $.  $d x K $.  $d x .0. $.  $d x U $.  $d x W $.  $d x ph $.
    hgmapval0.h $e |- H = ( LHyp ` K ) $.
    hgmapval0.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hgmapval0.r $e |- R = ( Scalar ` U ) $.
    hgmapval0.o $e |- .0. = ( 0g ` R ) $.
    hgmapval0.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hgmapval0.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Value of the scalar sigma map at zero.  (Contributed by NM,
       12-Jun-2015.) $)
    hgmapval0 $p |- ( ph -> ( G ` .0. ) = .0. ) $=
      ( vx cfv cbs wceq eqid wcel clcd csca c0g cv wne wrex dvh1dim chdma wn wa
      w3a chlt adantr simpr hdmapeq0 biimpd necon3ad 3impia wi cvsca co dvhlmod
      wo clmod lmod0vs sylan fveq2d lmod0cl syl hgmapvs hdmapval0 3eqtr3d clvec
      lcdlvec hgmapdcl hdmapcl lvecvs0or orcomd ord 3adant3 mpd rexlimdv3a lcd0
      mpbid eqtrd ) AHDPZGFUAPPZUBPZUCPZHAOUDZCUCPZUEZOCQPZUFWFWIRZAOCEFWMGWKIJ
      WMSZWKSZNUGAWLWNOWMAWJWMTZWLUKWJGFUHPPZPZWGUCPZRZUIZWNAWQWLXBAWQUJZXAWJWK
      XCXAWJWKRXCWGWTWRWJCEFWMGWKIJWOWPWGSZWTSZWRSZAFULTGETUJWQNUMZAWQUNZUOUPUQ
      URAWQXBWNUSWLXCXAWNXCWNXAXCWFWSWGUTPZVAZWTRWNXAVCXCHWJCUTPZVAZWRPWKWRPZXJ
      WTXCXLWKWRACVDTZWQXLWKRACEFGIJNVBZXKBHWMCWJWKWOKXKSZLWPVEVFVGXCBQPZWGBWRX
      IXKCHDEFWMGWJIJWOXPKXQSZXDXISZXFMXGXHAHXQTZWQAXNXTXOBXQCHKXRLVHZVIUMVJAXM
      WTRWQAWGWTWRCEFGWKIJWPXDXEXFNVKUMVLXCWFXIWHWHQPZWIWGQPZWGWSWTYCSZXSWHSZYB
      SZWISZXEAWGVMTWQAWGEFGIXDNVNUMXCYBXQWGWHBCHDEFGIJKXRXDYEYFMXGXCXNXTXCCEFG
      IJXGVBYAVIVOXCWGYCWRWJCEFWMGIJWOXDYDXFXGXHVPVQWDVRVSVTWAWBWAAWGWHCBEFWIGH
      IJKLXDYEYGNWCWE $.
  $}

  ${
    $d x G $.  $d x .1. $.  $d x U $.  $d x ph $.
    hgmapval1.h $e |- H = ( LHyp ` K ) $.
    hgmapval1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hgmapval1.r $e |- R = ( Scalar ` U ) $.
    hgmapval1.i $e |- .1. = ( 1r ` R ) $.
    hgmapval1.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hgmapval1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Value of the scalar sigma map at one.  (Contributed by NM,
       12-Jun-2015.) $)
    hgmapval1 $p |- ( ph -> ( G ` .1. ) = .1. ) $=
      ( vx cfv wceq eqid wcel 3ad2ant1 c0g wne cbs wrex dvh1dim w3a chdma cvsca
      cv clcd co csca lcd1 oveq1d clmod lcdlmod chlt wa hdmapcl lmodvs1 syl2anc
      cur simp2 eqtr3d dvhlmod fveq2d crg lmodring ringidcl 3syl 3eqtr2rd clvec
      hgmapvs lcdlvec hgmapcl lcdsbase eleqtrrd simp3 hdmapeq0 necon3bid mpbird
      lvecvscan2 mpbid rexlimdv3a mpd ) AOUIZCUAPZUBZOCUCPZUDDEPZDQZAOCFGWIHWGI
      JWIRZWGRZNUEAWHWKOWIAWFWISZWHUFZWJWFHGUGPPZPZHGUJPPZUHPZUKZDWQWSUKZQWKWOX
      AWQDWFCUHPZUKZWPPWTWOWRULPZVBPZWQWSUKZXAWQAWNXFXAQWHAXEDWQWSAWRXDCDBFXEGH
      IJKLWRRZXDRZXERZNUMUNTWOWRUOSZWQWRUCPZSXFWQQAWNXJWHAWRFGHIXGNUPTWOWRXKWPW
      FCFGWIHIJWLXGXKRZWPRZAWNGUQSHFSURWHNTZAWNWHVCZUSZWSXEXDXKWRWQXLXHWSRZXIUT
      VAVDWOXCWFWPWOCUOSZWNXCWFQAWNXRWHACFGHIJNVEZTXOXBDBWICWFWLKXBRZLUTVAVFWOB
      UCPZWRBWPWSXBCDEFGWIHWFIJWLXTKYARZXGXQXMMXNXOAWNDYASZWHAXRBVGSYCXSBCKVHYA
      BDYBLVIVJZTVMVKWOWJDWSXDXDUCPZXKWRWQWRUAPZXLXQXHYERZYFRZAWNWRVLSWHAWRFGHI
      XGNVNTAWNWJYESWHAWJYAYEAYABCDEFGHIJKYBMNYDVOAWRYEXDCBFGYAHIJKYBXGXHYGNVPZ
      VQTAWNDYESWHADYAYEYDYIVQTXPWOWQYFUBWHAWNWHVRWOWQYFWFWGWOWRYFWPWFCFGWIHWGI
      JWLWMXGYHXMXNXOVSVTWAWBWCWDWE $.
  $}

  ${
    $d t .+ $.  $d t G $.  $d t K $.  $d t ph $.  $d t U $.  $d t W $.
    $d t X $.  $d t Y $.
    hgmapadd.h $e |- H = ( LHyp ` K ) $.
    hgmapadd.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hgmapadd.r $e |- R = ( Scalar ` U ) $.
    hgmapadd.b $e |- B = ( Base ` R ) $.
    hgmapadd.p $e |- .+ = ( +g ` R ) $.
    hgmapadd.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hgmapadd.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hgmapadd.x $e |- ( ph -> X e. B ) $.
    hgmapadd.y $e |- ( ph -> Y e. B ) $.
    $( Part 15 of [Baer] p. 50 line 13.  (Contributed by NM, 6-Jun-2015.) $)
    hgmapadd $p |- ( ph -> ( G ` ( X .+ Y ) ) = ( ( G ` X ) .+ ( G ` Y ) ) ) $=
      ( vt co cfv clcd csca cplusg cv c0g wne wrex wceq eqid dvh1dim wcel chdma
      cbs cvsca clmod lcdlmod 3ad2ant1 chlt wa hgmapdcl simp2 hdmapcl lmodvsdir
      syl13anc dvhlmod fveq2d lmodvscl syl3anc hdmapadd hgmapvs oveq12d 3eqtrrd
      w3a lmodacl clvec lcdlvec hdmapeq0 necon3bid mpbird lvecvscan2 rexlimdv3a
      simp3 mpbid mpd lcdsadd oveqd eqtrd ) AJKCUBZFUCZJFUCZKFUCZIHUDUCUCZUEUCZ
      UFUCZUBZWMWNCUBAUAUGZEUHUCZUIZUAEUPUCZUJWLWRUKZAUAEGHXBIWTLMXBULZWTULZRUM
      AXAXCUAXBAWSXBUNZXAVPZWLWSIHUOUCUCZUCZWOUQUCZUBZWRXIXJUBZUKXCXGXLWMXIXJUB
      ZWNXIXJUBZWOUFUCZUBZWKWSEUQUCZUBZXHUCZXKXGWOURUNZWMWPUPUCZUNZWNYAUNZXIWOU
      PUCZUNXLXPUKAXFXTXAAWOGHILWOULZRUSZUTXGYABWOWPDEJFGHILMNOYEWPULZYAULZQAXF
      HVAUNIGUNVBXARUTZAXFJBUNZXASUTZVCAXFYCXAAYABWOWPDEKFGHILMNOYEYGYHQRTVCZUT
      XGWOYDXHWSEGHXBILMXDYEYDULZXHULZYIAXFXAVDZVEZXOWQWMWNXJWPYAYDWOXIYMXOULZY
      GXJULZYHWQULZVFVGXGXSJWSXQUBZKWSXQUBZEUFUCZUBZXHUCYTXHUCZUUAXHUCZXOUBXPXG
      XRUUCXHXGEURUNZYJKBUNZXFXRUUCUKAXFUUFXAAEGHILMRVHZUTZYKAXFUUGXATUTZYOUUBC
      JKXQDBXBEWSXDUUBULZNXQULZOPVFVGVIXGWOUUBXOXHEGHXBIYTUUALMXDUUKYEYQYNYIXGU
      UFYJXFYTXBUNUUIYKYOJXQDBXBEWSXDNUULOVJVKXGUUFUUGXFUUAXBUNUUIUUJYOKXQDBXBE
      WSXDNUULOVJVKVLXGUUDXMUUEXNXOXGBWODXHXJXQEJFGHXBIWSLMXDUULNOYEYRYNQYIYOYK
      VMXGBWODXHXJXQEKFGHXBIWSLMXDUULNOYEYRYNQYIYOUUJVMVNVOXGBWODXHXJXQEWKFGHXB
      IWSLMXDUULNOYEYRYNQYIYOAXFWKBUNZXAAUUFYJUUGUUMUUHSTCDBEJKNOPVQVKZUTVMVOXG
      WLWRXJWPYAYDWOXIWOUHUCZYMYRYGYHUUOULZAXFWOVRUNXAAWOGHILYERVSUTAXFWLYAUNXA
      AYABWOWPDEWKFGHILMNOYEYGYHQRUUNVCUTAXFWRYAUNZXAAXTYBYCUUQYFAYABWOWPDEJFGH
      ILMNOYEYGYHQRSVCYLWQWPYAWOWMWNYGYHYSVQVKUTYPXGXIUUOUIXAAXFXAWEXGXIUUOWSWT
      XGWOUUOXHWSEGHXBIWTLMXDXEYEUUPYNYIYOVTWAWBWCWFWDWGAWQCWMWNAWOCWQWPEDGHILM
      NPYEYGYSRWHWIWJ $.
  $}

  ${
    $d t G $.  $d t K $.  $d t ph $.  $d t U $.  $d t W $.  $d t .x. $.
    $d t X $.  $d t Y $.
    hgmapmul.h $e |- H = ( LHyp ` K ) $.
    hgmapmul.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hgmapmul.r $e |- R = ( Scalar ` U ) $.
    hgmapmul.b $e |- B = ( Base ` R ) $.
    hgmapmul.t $e |- .x. = ( .r ` R ) $.
    hgmapmul.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hgmapmul.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hgmapmul.x $e |- ( ph -> X e. B ) $.
    hgmapmul.y $e |- ( ph -> Y e. B ) $.
    $( Part 15 of [Baer] p. 50 line 16.  The multiplication is reversed after
       converting to the dual space scalar to the vector space scalar.
       (Contributed by NM, 7-Jun-2015.) $)
    hgmapmul $p |- ( ph ->
      ( G ` ( X .x. Y ) ) = ( ( G ` Y ) .x. ( G ` X ) ) ) $=
      ( vt co cfv clcd csca cmulr c0g wne cbs wrex wceq eqid dvh1dim wcel chdma
      cv w3a cvsca clmod lcdlmod 3ad2ant1 hgmapdcl chlt simp2 hdmapcl lmodvsass
      wa syl13anc dvhlmod fveq2d lmodvscl syl3anc hgmapvs oveq2d 3eqtrd lmodmcl
      3eqtr2rd clvec lcdlvec simp3 necon3bid mpbird lvecvscan2 mpbid rexlimdv3a
      hdmapeq0 mpd hgmapcl lcdsmul eqtrd ) AJKDUBZFUCZJFUCZKFUCZIHUDUCUCZUEUCZU
      FUCZUBZWNWMDUBAUAUPZEUGUCZUHZUAEUIUCZUJWLWRUKZAUAEGHXBIWTLMXBULZWTULZRUMA
      XAXCUAXBAWSXBUNZXAUQZWLWSIHUOUCUCZUCZWOURUCZUBZWRXIXJUBZUKXCXGXLWMWNXIXJU
      BZXJUBZWKWSEURUCZUBZXHUCZXKXGWOUSUNZWMWPUIUCZUNZWNXSUNZXIWOUIUCZUNXLXNUKA
      XFXRXAAWOGHILWOULZRUTZVAAXFXTXAAXSBWOWPCEJFGHILMNOYCWPULZXSULZQRSVBZVAAXF
      YAXAAXSBWOWPCEKFGHILMNOYCYEYFQRTVBZVAXGWOYBXHWSEGHXBILMXDYCYBULZXHULZAXFH
      VCUNIGUNVGXARVAZAXFXAVDZVEZWMWNXJWQWPXSYBWOXIYIYEXJULZYFWQULZVFVHXGXQJKWS
      XOUBZXOUBZXHUCWMYPXHUCZXJUBXNXGXPYQXHXGEUSUNZJBUNZKBUNZXFXPYQUKAXFYSXAAEG
      HILMRVIZVAZAXFYTXASVAZAXFUUAXATVAZYLJKXODCBXBEWSXDNXOULZOPVFVHVJXGBWOCXHX
      JXOEJFGHXBIYPLMXDUUFNOYCYNYJQYKXGYSUUAXFYPXBUNUUCUUEYLKXOCBXBEWSXDNUUFOVK
      VLUUDVMXGYRXMWMXJXGBWOCXHXJXOEKFGHXBIWSLMXDUUFNOYCYNYJQYKYLUUEVMVNVOXGBWO
      CXHXJXOEWKFGHXBIWSLMXDUUFNOYCYNYJQYKYLAXFWKBUNZXAAYSYTUUAUUGUUBSTDCBEJKNO
      PVPVLZVAVMVQXGWLWRXJWPXSYBWOXIWOUGUCZYIYNYEYFUUIULZAXFWOVRUNXAAWOGHILYCRV
      SVAAXFWLXSUNXAAXSBWOWPCEWKFGHILMNOYCYEYFQRUUHVBVAAXFWRXSUNZXAAXRXTYAUUKYD
      YGYHWQWPXSWOWMWNYEYFYOVPVLVAYMXGXIUUIUHXAAXFXAVTXGXIUUIWSWTXGWOUUIXHWSEGH
      XBIWTLMXDXEYCUUJYJYKYLWFWAWBWCWDWEWGAWOWPWQDECGHBIWMWNLMNOPYCYEYORABCEJFG
      HILMNOQRSWHABCEKFGHILMNOQRTWHWIWJ $.
  $}

  ${
    hgmaprnlem1.h $e |- H = ( LHyp ` K ) $.
    hgmaprnlem1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hgmaprnlem1.v $e |- V = ( Base ` U ) $.
    hgmaprnlem1.r $e |- R = ( Scalar ` U ) $.
    hgmaprnlem1.b $e |- B = ( Base ` R ) $.
    hgmaprnlem1.t $e |- .x. = ( .s ` U ) $.
    hgmaprnlem1.o $e |- .0. = ( 0g ` U ) $.
    hgmaprnlem1.c $e |- C = ( ( LCDual ` K ) ` W ) $.
    hgmaprnlem1.d $e |- D = ( Base ` C ) $.
    hgmaprnlem1.p $e |- P = ( Scalar ` C ) $.
    hgmaprnlem1.a $e |- A = ( Base ` P ) $.
    hgmaprnlem1.e $e |- .xb = ( .s ` C ) $.
    hgmaprnlem1.q $e |- Q = ( 0g ` C ) $.
    hgmaprnlem1.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hgmaprnlem1.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hgmaprnlem1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hgmaprnlem1.z $e |- ( ph -> z e. A ) $.
    ${
      hgmaprnlem1.t2 $e |- ( ph -> t e. ( V \ { .0. } ) ) $.
      ${
        hgmaprnlem1.s2 $e |- ( ph -> s e. V ) $.
        hgmaprnlem1.sz $e |- ( ph -> ( S ` s ) = ( z .xb ( S ` t ) ) ) $.
        ${
          hgmaprnlem1.k2 $e |- ( ph -> k e. B ) $.
          hgmaprnlem1.sk $e |- ( ph -> s = ( k .x. t ) ) $.
          $( Lemma for ~ hgmaprnN .  (Contributed by NM, 7-Jun-2015.)
             (New usage is discouraged.) $)
          hgmaprnlem1N $p |- ( ph -> z e. ran G ) $=
            ( cv cfv crn co fveq2d csn eldifad hgmapvs 3eqtr3d lcdlvec hgmapdcl
            wceq hdmapcl wne cdif wcel eldifsni syl necon3bid mpbird lvecvscan2
            hdmapeq0 mpbid wfn hgmapfnN fnfvelrn syl2anc eqeltrd ) ABVEZOVEZPVF
            ZPVGZAWMCVEZKVFZLVHZWOWRLVHZVPWMWOVPAUBVEZKVFWNWQMVHZKVFWSWTAXAXBKV
            DVIVBAEFJKLMNWNPQRSTWQUCUDUEUHUFUGUJUNUPUQURAWQSUAVJZUTVKZVCVLVMAWM
            WOLHDGFWRIUKUNULUMUOAFQRTUCUJURVNUSADEFHJNWNPQRTUCUDUFUGUJULUMUQURV
            CVOAFGKWQNQRSTUCUDUEUJUKUPURXDVQAWRIVRWQUAVRZAWQSXCVSVTXEUTWQSUAWAW
            BAWRIWQUAAFIKWQNQRSTUAUCUDUEUIUJUOUPURXDWFWCWDWEWGAPEWHWNEVTWOWPVTA
            EJNPQRTUCUDUFUGUQURWIVCEWNPWJWKWL $.
        $}

        hgmaprnlem1.m $e |- M = ( ( mapd ` K ) ` W ) $.
        hgmaprnlem1.n $e |- N = ( LSpan ` U ) $.
        hgmaprnlem1.l $e |- L = ( LSpan ` C ) $.
        $( Lemma for ~ hgmaprnN .  Part 15 of [Baer] p. 50 line 20.  We only
           require a subset relation, rather than equality, so that the case of
           zero ` z ` is taken care of automatically.  (Contributed by NM,
           7-Jun-2015.)  (New usage is discouraged.) $)
        hgmaprnlem2N $p |- ( ph -> ( N ` { s } ) C_ ( N ` { t } ) ) $=
          ( cv csn cfv co wcel lcdlmod eldifad hdmapcl lspsnvsi syl3anc hdmap10
          clmod sneqd fveq2d eqtrd 3sstr4d clss dvhlmod lspsncl syl2anc mapdord
          wss eqid mpbid ) AUDVHZVITVJZSVJZCVHZVITVJZSVJZWIWMWPWIABVHZWOKVJZLVK
          ZVIZRVJZWSVIRVJZWNWQAFVSVLWRDVLWSGVLXBXCWIAFPQUBUEULUTVMVAAFGKWONPQUA
          UBUEUFUGULUMURUTAWOUAUCVIVBVNZVOWRLHDRGFWSUNUOUMUPVGVPVQAWNWLKVJZVIZR
          VJXBAFKWLNPQRSTUAUBUEUFUGVFULVGVEURUTVCVRAXFXARAXEWTVDVTWAWBAFKWONPQR
          STUAUBUEUFUGVFULVGVEURUTXDVRWCANWDVJZNPQSUBWMWPUEUFXGWJZVEUTANVSVLZWL
          UAVLWMXGVLANPQUBUEUFUTWEZVCXGTUANWLUGXHVFWFWGAXIWOUAVLWPXGVLXJXDXGTUA
          NWOUGXHVFWFWGWHWK $.

        $d k B $.  $d k G $.  $d k N $.  $d k R $.  $d k .x. $.  $d k U $.
        $d k V $.  $d k ph $.  $d s t z k $.
        $( Lemma for ~ hgmaprnN .  Eliminate ` k ` .  (Contributed by NM,
           7-Jun-2015.)  (New usage is discouraged.) $)
        hgmaprnlem3N $p |- ( ph -> z e. ran G ) $=
          ( vk wceq wrex crn wcel csn cfv hgmaprnlem2N dvhlmod eldifad lspsnss2
          cv co wss mpbid w3a chlt 3ad2ant1 simp2 simp3 hgmaprnlem1N rexlimdv3a
          wa cdif mpd ) AUDVSZVHVSZCVSZMVTVIZVHEVJZBVSZOVKVLZAWMVMTVNWOVMTVNWAW
          QABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAVBVCVD
          VEVFVGVOAJMVHETUANWMWOUGUHUIUJVFANPQUBUEUFUTVPVCAWOUAUCVMZVBVQVRWBAWP
          WSVHEAWNEVLZWPWCBCDEFGHIJKLMNVHOPQUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQU
          RUSAXAQWDVLUBPVLWJWPUTWEAXAWRDVLWPVAWEAXAWOUAWTWKVLWPVBWEAXAWMUAVLWPV
          CWEAXAWMKVNWRWOKVNLVTVIWPVDWEAXAWPWFAXAWPWGWHWIWL $.
      $}

      $d s .xb $.  $d s G $.  $d s S $.  $d s V $.  $d s ph $.  $d t z s $.
      $( Lemma for ~ hgmaprnN .  Eliminate ` s ` .  (Contributed by NM,
         7-Jun-2015.)  (New usage is discouraged.) $)
      hgmaprnlem4N $p |- ( ph -> z e. ran G ) $=
        ( vs cv cfv co wceq wrex crn clmod lcdlmod csn eldifad hdmapcl lmodvscl
        wcel syl3anc hdmaprnN eleqtrrd wfn hdmapfnN fvelrnb syl mpbid w3a clspn
        wb cmpd chlt 3ad2ant1 cdif simp2 simp3 eqid hgmaprnlem3N rexlimdv3a mpd
        wa ) AUSUTZKVABUTZCUTZKVAZLVBZVCZUSRVDZWPOVEVLZAWSKVEZVLZXAAWSGXCAFVFVL
        WPDVLZWRGVLWSGVLAFPQSUAUHUPVGUQAFGKWQNPQRSUAUBUCUHUIUNUPAWQRTVHZURVIVJW
        PLHDGFWRUIUJULUKVKVMAFGKPQSUAUHUIUNUPVNVOAKRVPXDXAWCAKNPQRSUAUBUCUNUPVQ
        USRWSKVRVSVTAWTXBUSRAWORVLZWTWABCDEFGHIJKLMNOPQFWBVAZSQWDVAVAZNWBVAZRST
        USUAUBUCUDUEUFUGUHUIUJUKULUMUNUOAXGQWEVLSPVLWNWTUPWFAXGXEWTUQWFAXGWQRXF
        WGVLWTURWFAXGWTWHAXGWTWIXIWJXJWJXHWJWKWLWM $.
    $}

    $d t G $.  $d t .0. $.  $d t U $.  $d t V $.  $d t ph $.  $d z t $.
    $( Lemma for ~ hgmaprnN .  Eliminate ` t ` .  (Contributed by NM,
       7-Jun-2015.)  (New usage is discouraged.) $)
    hgmaprnlem5N $p |- ( ph -> z e. ran G ) $=
      ( vt cv wne crn wcel dvh1dim wa csn cdif eldifsn chlt adantr hgmaprnlem4N
      simpr sylan2br rexlimddv ) AUQURZSUSZBURZNUTVAZUQQAUQMOPQRSTUAUBUFUOVBVMQ
      VAVNVCAVMQSVDVEVAZVPVMQSVFAVQVCBUQCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJU
      KULUMUNAPVGVAROVAVCVQUOVHAVOCVAVQUPVHAVQVJVIVKVL $.
  $}

  ${
    $d z B $.  $d z G $.  $d z K $.  $d z W $.  $d z ph $.
    hgmaprn.h $e |- H = ( LHyp ` K ) $.
    hgmaprn.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hgmaprn.r $e |- R = ( Scalar ` U ) $.
    hgmaprn.b $e |- B = ( Base ` R ) $.
    hgmaprn.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hgmaprn.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( Part of proof of part 16 in [Baer] p. 50 line 23, Fs=G, except that we
       use the original vector space scalars for the range.  (Contributed by
       NM, 7-Jun-2015.)  (New usage is discouraged.) $)
    hgmaprnN $p |- ( ph -> ran G = B ) $=
      ( vz cfv cbs wcel wa eqid crn clcd csca wfn wral wss hgmapfnN chlt adantr
      cv simpr hgmapdcl ralrimiva fnfvrnss syl2anc c0g chdma cvsca hgmaprnlem5N
      eqelssd lcdsbase eqtrd ) AEUAZHGUBPPZUCPZQPZBAOVCVFAEBUDOUJZEPVFRZOBUEVCV
      FUFABCDEFGHIJKLMNUGAVHOBAVGBRZSVFBVDVECDVGEFGHIJKLVDTZVETZVFTZMAGUHRHFRSZ
      VINUIAVIUKULUMOBVFEUNUOAVGVFRZSOVFBVDVDQPZVEVDUPPZCHGUQPPZVDURPZDURPZDEFG
      DQPZHDUPPZIJVTTKLVSTWATVJVOTVKVLVRTVPTVQTMAVMVNNUIAVNUKUSUTAVDVFVEDCFGBHI
      JKLVJVKVLNVAVB $.
  $}

  ${
    $d t G $.  $d t U $.  $d t X $.  $d t Y $.  $d t ph $.
    hgmap11.h $e |- H = ( LHyp ` K ) $.
    hgmap11.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hgmap11.r $e |- R = ( Scalar ` U ) $.
    hgmap11.b $e |- B = ( Base ` R ) $.
    hgmap11.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hgmap11.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hgmap11.x $e |- ( ph -> X e. B ) $.
    hgmap11.y $e |- ( ph -> Y e. B ) $.
    $( The scalar sigma map is one-to-one.  (Contributed by NM, 7-Jun-2015.) $)
    hgmap11 $p |- ( ph -> ( ( G ` X ) = ( G ` Y ) <-> X = Y ) ) $=
      ( cfv wcel vt wceq wa cv c0g wne cbs wrex eqid dvh1dim adantr cvsca chdma
      w3a co clcd simp1r oveq1d chlt simp1l simp2 hgmapvs 3eqtr4d clmod dvhlmod
      syl lmodvscl syl3anc hdmap11 mpbid clvec dvhlvec lvecvscan2 rexlimdv3a ex
      simp3 mpd fveq2 impbid1 ) AIESZJESZUBZIJUBZAWBWCAWBUCZUAUDZDUESZUFZUADUGS
      ZUHZWCAWIWBAUADFGWHHWFKLWHUIZWFUIZPUJUKWDWGWCUAWHWDWEWHTZWGUNZIWEDULSZUOZ
      JWEWNUOZUBZWCWMWOHGUMSSZSZWPWRSZUBWQWMVTWEWRSZHGUPSSZULSZUOWAXAXCUOWSWTWM
      VTWAXAXCAWBWLWGUQURWMBXBCWRXCWNDIEFGWHHWEKLWJWNUIZMNXBUIZXCUIZWRUIZOWMAGU
      STHFTUCAWBWLWGUTZPVFZWDWLWGVAZWMAIBTZXHQVFZVBWMBXBCWRXCWNDJEFGWHHWEKLWJXD
      MNXEXFXGOXIXJWMAJBTZXHRVFZVBVCWMWRDFGWHHWOWPKLWJXGXIWMDVDTZXKWLWOWHTWMAXO
      XHADFGHKLPVEVFZXLXJIWNCBWHDWEWJMXDNVGVHWMXOXMWLWPWHTXPXNXJJWNCBWHDWEWJMXD
      NVGVHVIVJWMIJWNCBWHDWEWFWJXDMNWKWMADVKTXHADFGHKLPVLVFXLXNXJWDWLWGVPVMVJVN
      VQVOIJEVRVS $.
  $}

  ${
    $d x y G $.  $d x y B $.  $d x y ph $.
    hgmapf1o.h $e |- H = ( LHyp ` K ) $.
    hgmapf1o.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hgmapf1o.r $e |- R = ( Scalar ` U ) $.
    hgmapf1o.b $e |- B = ( Base ` R ) $.
    hgmapf1o.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hgmapf1o.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The scalar sigma map is a one-to-one onto function.  (Contributed by NM,
       7-Jun-2015.)  (New usage is discouraged.) $)
    hgmapf1oN $p |- ( ph -> G : B -1-1-onto-> B ) $=
      ( vx vy wceq cv wcel wa wfn crn cfv wi wral wf1o hgmapfnN hgmaprnN adantr
      weq chlt simprl simprr hgmap11 biimpd ralrimivva dff1o6 syl3anbrc ) AEBUA
      EUBBQORZEUCPRZEUCQZOPUJZUDZPBUEOBUEBBEUFABCDEFGHIJKLMNUGABCDEFGHIJKLMNUHA
      VCOPBBAUSBSZUTBSZTZTZVAVBVGBCDEFGHUSUTIJKLMAGUKSHFSTVFNUIAVDVEULAVDVEUMUN
      UOUPOPBBEUQUR $.
  $}

  ${
    hgmapeq0.h $e |- H = ( LHyp ` K ) $.
    hgmapeq0.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hgmapeq0.r $e |- R = ( Scalar ` U ) $.
    hgmapeq0.b $e |- B = ( Base ` R ) $.
    hgmapeq0.o $e |- .0. = ( 0g ` R ) $.
    hgmapeq0.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hgmapeq0.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hgmapeq0.x $e |- ( ph -> X e. B ) $.
    $( The scalar sigma map is zero iff its argument is zero.  (Contributed by
       NM, 12-Jun-2015.) $)
    hgmapeq0 $p |- ( ph -> ( ( G ` X ) = .0. <-> X = .0. ) ) $=
      ( cfv wceq hgmapval0 eqeq2d clmod wcel dvhlmod lmod0cl syl hgmap11 bitr3d
      ) AIESZJESZTUJJTIJTAUKJUJACDEFGHJKLMOPQUAUBABCDEFGHIJKLMNPQRADUCUDJBUDADF
      GHKLQUECBDJMNOUFUGUHUI $.
  $}

  ${
    hdmapipcl.h $e |- H = ( LHyp ` K ) $.
    hdmapipcl.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapipcl.v $e |- V = ( Base ` U ) $.
    hdmapipcl.r $e |- R = ( Scalar ` U ) $.
    hdmapipcl.b $e |- B = ( Base ` R ) $.
    hdmapipcl.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapipcl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapipcl.x $e |- ( ph -> X e. V ) $.
    hdmapipcl.y $e |- ( ph -> Y e. V ) $.
    $( The inner product (Hermitian form) ` ( X , Y ) ` will be defined as
       ` ( ( S `` Y ) `` X ) ` .  Show closure.  (Contributed by NM,
       7-Jun-2015.) $)
    hdmapipcl $p |- ( ph -> ( ( S ` Y ) ` X ) e. B ) $=
      ( clcd cfv cbs eqid hdmapcl lcdvbasecl ) AIGUAUBUBZBCEUGUCUBZKDUBFGHIJLMN
      OPUGUDZUHUDZRAUGUHDKEFGHILMNUIUJQRTUESUF $.
  $}

  ${
    hdmapln1.h $e |- H = ( LHyp ` K ) $.
    hdmapln1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapln1.v $e |- V = ( Base ` U ) $.
    hdmapln1.p $e |- .+ = ( +g ` U ) $.
    hdmapln1.t $e |- .x. = ( .s ` U ) $.
    hdmapln1.r $e |- R = ( Scalar ` U ) $.
    hdmapln1.b $e |- B = ( Base ` R ) $.
    hdmapln1.q $e |- .+^ = ( +g ` R ) $.
    hdmapln1.m $e |- .X. = ( .r ` R ) $.
    hdmapln1.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapln1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapln1.x $e |- ( ph -> X e. V ) $.
    hdmapln1.y $e |- ( ph -> Y e. V ) $.
    hdmapln1.z $e |- ( ph -> Z e. V ) $.
    hdmapln1.a $e |- ( ph -> A e. B ) $.
    $( Linearity property that will be used for inner product.  TODO: try to
       combine hypotheses in hdmap*ln* series.  (Contributed by NM,
       7-Jun-2015.) $)
    hdmapln1 $p |- ( ph -> ( ( S ` Z ) ` ( ( A .x. X ) .+ Y ) )
          = ( ( A .X. ( ( S ` Z ) ` X ) ) .+^ ( ( S ` Z ) ` Y ) ) ) $=
      ( clmod wcel cfv clfn wceq dvhlmod clcd cbs eqid hdmapcl lcdvbaselfl lfli
      co syl113anc ) AJUMUNQGUOZJUPUOZUNBCUNOMUNPMUNBOHVEPDVEVGUOBOVGUOIVEPVGUO
      EVEUQAJKLNRSUHURANLUSUOUOZJVHKLVIUTUOZNVGRVIVAZVJVAZSVHVAZUHAVIVJGQJKLMNR
      STVKVLUGUHUKVBVCULUIUJFDEBHIVHVGCMJOPUMTUAUCUBUDUEUFVMVDVF $.
  $}

  ${
    hdmaplna1.h $e |- H = ( LHyp ` K ) $.
    hdmaplna1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmaplna1.v $e |- V = ( Base ` U ) $.
    hdmaplna1.p $e |- .+ = ( +g ` U ) $.
    hdmaplna1.r $e |- R = ( Scalar ` U ) $.
    hdmaplna1.q $e |- .+^ = ( +g ` R ) $.
    hdmaplna1.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmaplna1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmaplna1.x $e |- ( ph -> X e. V ) $.
    hdmaplna1.y $e |- ( ph -> Y e. V ) $.
    hdmaplna1.z $e |- ( ph -> Z e. V ) $.
    $( Additive property of first (inner product) argument.  (Contributed by
       NM, 11-Jun-2015.) $)
    hdmaplna1 $p |- ( ph -> ( ( S ` Z ) ` ( X .+ Y ) )
          = ( ( ( S ` Z ) ` X ) .+^ ( ( S ` Z ) ` Y ) ) ) $=
      ( clmod wcel cfv clfn co wceq dvhlmod clcd cbs hdmapcl lcdvbaselfl lfladd
      eqid syl112anc ) AFUEUFMEUGZFUHUGZUFKIUFLIUFKLBUIUSUGKUSUGLUSUGCUIUJAFGHJ
      NOUAUKAJHULUGUGZFUTGHVAUMUGZJUSNVAUQZVBUQZOUTUQZUAAVAVBEMFGHIJNOPVCVDTUAU
      DUNUOUBUCDBCUTUSIFKLRSPQVEUPUR $.
  $}

  ${
    hdmaplns1.h $e |- H = ( LHyp ` K ) $.
    hdmaplns1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmaplns1.v $e |- V = ( Base ` U ) $.
    hdmaplns1.m $e |- .- = ( -g ` U ) $.
    hdmaplns1.r $e |- R = ( Scalar ` U ) $.
    hdmaplns1.n $e |- N = ( -g ` R ) $.
    hdmaplns1.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmaplns1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmaplns1.x $e |- ( ph -> X e. V ) $.
    hdmaplns1.y $e |- ( ph -> Y e. V ) $.
    hdmaplns1.z $e |- ( ph -> Z e. V ) $.
    $( Subtraction property of first (inner product) argument.  (Contributed by
       NM, 12-Jun-2015.) $)
    hdmaplns1 $p |- ( ph -> ( ( S ` Z ) ` ( X .- Y ) )
          = ( ( ( S ` Z ) ` X ) N ( ( S ` Z ) ` Y ) ) ) $=
      ( clmod wcel cfv clfn co wceq dvhlmod clcd cbs hdmapcl lcdvbaselfl lflsub
      eqid syl112anc ) ADUEUFMCUGZDUHUGZUFKIUFLIUFKLGUIUSUGKUSUGLUSUGHUIUJADEFJ
      NOUAUKAJFULUGUGZDUTEFVAUMUGZJUSNVAUQZVBUQZOUTUQZUAAVAVBCMDEFIJNOPVCVDTUAU
      DUNUOUBUCBUTUSHGIDKLRSPQVEUPUR $.
  $}

  ${
    hdmaplnm1.h $e |- H = ( LHyp ` K ) $.
    hdmaplnm1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmaplnm1.v $e |- V = ( Base ` U ) $.
    hdmaplnm1.t $e |- .x. = ( .s ` U ) $.
    hdmaplnm1.r $e |- R = ( Scalar ` U ) $.
    hdmaplnm1.b $e |- B = ( Base ` R ) $.
    hdmaplnm1.m $e |- .X. = ( .r ` R ) $.
    hdmaplnm1.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmaplnm1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmaplnm1.x $e |- ( ph -> X e. V ) $.
    hdmaplnm1.y $e |- ( ph -> Y e. V ) $.
    hdmaplnm1.a $e |- ( ph -> A e. B ) $.
    $( Multiplicative property of first (inner product) argument.  (Contributed
       by NM, 11-Jun-2015.) $)
    hdmaplnm1 $p |- ( ph -> ( ( S ` Y ) ` ( A .x. X ) )
          = ( A .X. ( ( S ` Y ) ` X ) ) ) $=
      ( clmod wcel cfv clfn co wceq dvhlmod clcd cbs hdmapcl lcdvbaselfl lflmul
      eqid syl112anc ) AHUGUHNEUIZHUJUIZUHBCUHMKUHBMFUKVAUIBMVAUIGUKULAHIJLOPUC
      UMALJUNUIUIZHVBIJVCUOUIZLVAOVCUSZVDUSZPVBUSZUCAVCVDENHIJKLOPQVEVFUBUCUEUP
      UQUFUDDBFGVBVACKHMSTUAQRVGURUT $.
  $}

  ${
    hdmaplna2.h $e |- H = ( LHyp ` K ) $.
    hdmaplna2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmaplna2.v $e |- V = ( Base ` U ) $.
    hdmaplna2.p $e |- .+ = ( +g ` U ) $.
    hdmaplna2.r $e |- R = ( Scalar ` U ) $.
    hdmaplna2.q $e |- .+^ = ( +g ` R ) $.
    hdmaplna2.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmaplna2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmaplna2.x $e |- ( ph -> X e. V ) $.
    hdmaplna2.y $e |- ( ph -> Y e. V ) $.
    hdmaplna2.z $e |- ( ph -> Z e. V ) $.
    $( Additive property of second (inner product) argument.  (Contributed by
       NM, 10-Jun-2015.) $)
    hdmaplna2 $p |- ( ph -> ( ( S ` ( Y .+ Z ) ) ` X )
          = ( ( ( S ` Y ) ` X ) .+^ ( ( S ` Z ) ` X ) ) ) $=
      ( co cfv clcd cplusg eqid hdmapadd fveq1d cbs hdmapcl lcdvaddval eqtrd )
      AKLMBUEEUFZUFKLEUFZMEUFZJHUGUFUFZUHUFZUEZUFKUQUFKURUFCUEAKUPVAAUSBUTEFGHI
      JLMNOPQUSUIZUTUIZTUAUCUDUJUKAUSUSULUFZCUTDFUQURGHIJKNOPRSVBVDUIZVCUAAUSVD
      ELFGHIJNOPVBVETUAUCUMAUSVDEMFGHIJNOPVBVETUAUDUMUBUNUO $.
  $}

  ${
    hdmapglnm2.h $e |- H = ( LHyp ` K ) $.
    hdmapglnm2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapglnm2.v $e |- V = ( Base ` U ) $.
    hdmapglnm2.t $e |- .x. = ( .s ` U ) $.
    hdmapglnm2.r $e |- R = ( Scalar ` U ) $.
    hdmapglnm2.b $e |- B = ( Base ` R ) $.
    hdmapglnm2.m $e |- .X. = ( .r ` R ) $.
    hdmapglnm2.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapglnm2.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hdmapglnm2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapglnm2.x $e |- ( ph -> X e. V ) $.
    hdmapglnm2.y $e |- ( ph -> Y e. V ) $.
    hdmapglnm2.z $e |- ( ph -> A e. B ) $.
    $( g-linear property of second (inner product) argument.  Line 19 in
       [Holland95] p. 14.  (Contributed by NM, 10-Jun-2015.) $)
    hdmapglnm2 $p |- ( ph -> ( ( S ` ( A .x. Y ) ) ` X )
          = ( ( ( S ` Y ) ` X ) .X. ( G ` A ) ) ) $=
      ( cfv clcd cvsca eqid hgmapvs fveq1d cbs hgmapcl hdmapcl lcdvsval eqtrd
      co ) ANBOFUTEUIZUINBIUIZOEUIZMKUJUIUIZUKUIZUTZUINVCUIVBGUTANVAVFACVDDEVEF
      HBIJKLMOPQRSTUAVDULZVEULZUCUDUEUGUHUMUNANVDCDVEGHVDUOUIZVCJKLMVBPQRTUAUBV
      GVIULZVHUEACDHBIJKMPQTUAUDUEUHUPAVDVIEOHJKLMPQRVGVJUCUEUGUQUFURUS $.
  $}

  ${
    hdmapgln2.h $e |- H = ( LHyp ` K ) $.
    hdmapgln2.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapgln2.v $e |- V = ( Base ` U ) $.
    hdmapgln2.p $e |- .+ = ( +g ` U ) $.
    hdmapgln2.t $e |- .x. = ( .s ` U ) $.
    hdmapgln2.r $e |- R = ( Scalar ` U ) $.
    hdmapgln2.b $e |- B = ( Base ` R ) $.
    hdmapgln2.q $e |- .+^ = ( +g ` R ) $.
    hdmapgln2.m $e |- .X. = ( .r ` R ) $.
    hdmapgln2.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapgln2.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hdmapgln2.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapgln2.x $e |- ( ph -> X e. V ) $.
    hdmapgln2.y $e |- ( ph -> Y e. V ) $.
    hdmapgln2.z $e |- ( ph -> Z e. V ) $.
    hdmapgln2.a $e |- ( ph -> A e. B ) $.
    $( g-linear property that will be used for inner product.  (Contributed by
       NM, 14-Jun-2015.) $)
    hdmapgln2 $p |- ( ph -> ( ( S ` ( ( A .x. Y ) .+ Z ) ) ` X )
          = ( ( ( ( S ` Y ) ` X ) .X. ( G ` A ) ) .+^ ( ( S ` Z ) ` X ) ) ) $=
      ( co cfv clmod dvhlmod lmodvscl syl3anc hdmaplna2 hdmapglnm2 oveq1d eqtrd
      wcel ) APBQHUOZRDUOGUPUPPVFGUPUPZPRGUPUPZEUOPQGUPUPBKUPIUOZVHEUOADEFGJLMN
      OPVFRSTUAUBUDUFUHUJUKAJUQVEBCVEQNVEVFNVEAJLMOSTUJURUNULBHFCNJQUAUDUCUEUSU
      TUMVAAVGVIVHEABCFGHIJKLMNOPQSTUAUCUDUEUGUHUIUJUKULUNVBVCVD $.
  $}

  ${
    $d f K $.  $d f O $.  $d f S $.  $d f U $.  $d f W $.  $d f X $.  $d f Y $.
    $d f ph $.
    hdmaplkr.h $e |- H = ( LHyp ` K ) $.
    hdmaplkr.o $e |- O = ( ( ocH ` K ) ` W ) $.
    hdmaplkr.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmaplkr.v $e |- V = ( Base ` U ) $.
    hdmaplkr.f $e |- F = ( LFnl ` U ) $.
    hdmaplkr.y $e |- Y = ( LKer ` U ) $.
    hdmaplkr.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmaplkr.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmaplkr.x $e |- ( ph -> X e. V ) $.
    $( Kernel of the vector to dual map.  Line 16 in [Holland95] p. 14.  TODO:
       eliminate ` F ` hypothesis.  (Contributed by NM, 9-Jun-2015.) $)
    hdmaplkr $p |- ( ph -> ( Y ` ( S ` X ) ) = ( O ` { X } ) ) $=
      ( vf cfv csn wss c0g wceq fveq2 fveq2d sneq sseq12d wne wa clfn crab wcel
      cv clcd clspn clmod cbs eqid lcdlmod hdmapcl lspsnid syl2anc cmpd hdmap10
      mapdsn eqtr3d eleqtrd wb lcdvbaselfl sseq2d elrab3 syl mpbid adantr clvec
      clsh dvhlvec chlt cdif anim1i eldifsn sylibr dochsnshp cxp lcd0v hdmapeq0
      csca eqeq2d bitr3d biimpar lkrshp syl3anc lshpcmp eqimss2 lmod0vcl lkrssv
      necon3bid dvhlmod doch0 sseqtrrd pm2.61ne eqssd ) AJBUBZKUBZJUCZGUBZAXGXI
      UDZCUEUBZBUBZKUBZXKUCZGUBZUDJXKJXKUFZXGXMXIXOXPXFXLKJXKBUGUHXPXHXNGJXKUIU
      HUJAJXKUKZULZXIXGUFZXJXRXIXGUDZXSAXTXQAXFXIUAUPZKUBZUDZUACUMUBZUNZUOZXTAX
      FXFUCIFUQUBUBZURUBZUBZYEAYGUSUOXFYGUTUBZUOXFYIUOAYGEFILYGVAZSVBAYGYJBJCEF
      HILNOYKYJVAZRSTVCZYHYJYGXFYLYHVAZVDVEAXHCURUBZUBIFVFUBUBZUBYIYEAYGBJCEFYH
      YPYOHILNOYOVAZYKYNYPVAZRSTVGACUAYDEFKYPYOGHIJLMYRNOYQYDVAZQSTVHVIVJAXFYDU
      OZYFXTVKAYGCYDEFYJIXFLYKYLNYSSYMVLZYCXTUAXFYDYAXFUFYBXGXIYAXFKUGVMVNVOVPZ
      VQXRXIXGCVSUBZCUUCVAZACVRUOZXQACEFILNSVTVQZXRCEFGHIJUUCXKLMNOXKVAZUUDAFWA
      UOIEUOULZXQSVQXRJHUOZXQULJHXNWBUOAUUIXQTWCJHXKWDWEWFXRUUEYTXFHCWJUBZUEUBZ
      UCWGZUKZXGUUCUOUUFAYTXQUUAVQAUUMXQAXFUULJXKAXFYGUEUBZUFXFUULUFXPAUUNUULXF
      AYGUUJCEFUUNHIUUKLNOUUJVAZUUKVAZYKUUNVAZSWHWKAYGUUNBJCEFHIXKLNOUUGYKUUQRS
      TWIWLWTWMUUJYDXFUUCKHCUUKOUUOUUPUUDYSQWNWOWPVPXGXIWQVOAXMHXOAYDXLKHCOYSQA
      CEFILNSXAZAYGCYDEFYJIXLLYKYLNYSSAYGYJBXKCEFHILNOYKYLRSACUSUOXKHUOUURHCXKO
      UUGWRVOVCVLWSAUUHXOHUFSCEFGHIXKLNMOUUGXBVOXCXDUUBXE $.
  $}

  ${
    hdmapellkr.h $e |- H = ( LHyp ` K ) $.
    hdmapellkr.o $e |- O = ( ( ocH ` K ) ` W ) $.
    hdmapellkr.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapellkr.v $e |- V = ( Base ` U ) $.
    hdmapellkr.r $e |- R = ( Scalar ` U ) $.
    hdmapellkr.z $e |- .0. = ( 0g ` R ) $.
    hdmapellkr.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapellkr.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapellkr.x $e |- ( ph -> X e. V ) $.
    hdmapellkr.y $e |- ( ph -> Y e. V ) $.
    $( Membership in the kernel (as shown by ~ hdmaplkr ) of the vector to dual
       map.  Line 17 in [Holland95] p. 14.  (Contributed by NM,
       16-Jun-2015.) $)
    hdmapellkr $p |- ( ph
       -> ( ( ( S ` X ) ` Y ) = .0. <-> Y e. ( O ` { X } ) ) ) $=
      ( cfv clk wcel wceq csn clfn eqid dvhlmod clcd hdmapcl lcdvbaselfl ellkr2
      clmod cbs hdmaplkr eleq2d bitr3d ) AKJCUCZDUDUCZUCZUEKUTUCLUFKJUGGUCZUEAB
      DUHUCZUTVAHDKUOLPQRVDUIZVAUIZADEFIMOTUJAIFUKUCUCZDVDEFVGUPUCZIUTMVGUIZVHU
      IZOVETAVGVHCJDEFHIMOPVIVJSTUAULUMUBUNAVBVCKACDVDEFGHIJVAMNOPVEVFSTUAUQURU
      S $.
  $}

  ${
    hdmapip0.h $e |- H = ( LHyp ` K ) $.
    hdmapip0.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapip0.v $e |- V = ( Base ` U ) $.
    hdmapip0.o $e |- .0. = ( 0g ` U ) $.
    hdmapip0.r $e |- R = ( Scalar ` U ) $.
    hdmapip0.z $e |- Z = ( 0g ` R ) $.
    hdmapip0.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapip0.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapip0.x $e |- ( ph -> X e. V ) $.
    $( Zero property that will be used for inner product.  (Contributed by NM,
       9-Jun-2015.) $)
    hdmapip0 $p |- ( ph -> ( ( ( S ` X ) ` X ) = Z <-> X = .0. ) ) $=
      ( cfv wceq wne csn coch wcel eqid chlt adantr cdif anim1i eldifsn dochnel
      wa sylibr wi clk clfn dvhlmod clcd cbs hdmapcl lcdvbaselfl ellkr2 biimpar
      clmod hdmaplkr eleqtrd ex mtod neqned necon4d imp fveq2 syl2anc sylan9eqr
      lfl0 impbida ) AIICUAZUAZKUBZIJUBZAWAWBAIJVTKAIJUCZVTKUCAWCUNZVTKWDWAIIUD
      HFUEUAUAZUAZUFZWDDEFWEGHIJLWEUGZMNOAFUHUFHEUFUNWCSUIWDIGUFZWCUNIGJUDUJUFA
      WIWCTUKIGJULUOUMAWAWGUPWCAWAWGAWAUNIVSDUQUAZUAZWFAIWKUFWAABDURUAZVSWJGDIV
      FKNPQWLUGZWJUGZADEFHLMSUSZAHFUTUAUAZDWLEFWPVAUAZHVSLWPUGZWQUGZMWMSAWPWQCI
      DEFGHLMNWRWSRSTVBVCZTVDVEAWKWFUBWAACDWLEFWEGHIWJLWHMNWMWNRSTVGUIVHVIUIVJV
      KVIVLVMWBAVTJVSUAZKIJVSVNADVFUFVSWLUFXAKUBWOWTBWLVSDKJPQOWMVQVOVPVR $.
  $}

  ${
    hdmapip1.h $e |- H = ( LHyp ` K ) $.
    hdmapip1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapip1.v $e |- V = ( Base ` U ) $.
    hdmapip1.t $e |- .x. = ( .s ` U ) $.
    hdmapip1.o $e |- .0. = ( 0g ` U ) $.
    hdmapip1.r $e |- R = ( Scalar ` U ) $.
    hdmapip1.i $e |- .1. = ( 1r ` R ) $.
    hdmapip1.n $e |- N = ( invr ` R ) $.
    hdmapip1.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapip1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapip1.x $e |- ( ph -> X e. ( V \ { .0. } ) ) $.
    hdmapip1.y $e |- Y = ( ( N ` ( ( S ` X ) ` X ) ) .x. X ) $.
    $( Construct a proportional vector ` Y ` whose inner product with the
       original ` X ` equals one.  (Contributed by NM, 13-Jun-2015.) $)
    hdmapip1 $p |- ( ph -> ( ( S ` X ) ` Y ) = .1. ) $=
      ( cfv co fveq2i cmulr cbs eqid csn eldifad cdr wcel c0g wne clvec dvhlvec
      lvecdrng syl hdmapipcl cdif eldifsni hdmapip0 necon3bid mpbird drnginvrcl
      syl3anc hdmaplnm1 wceq drnginvrl eqtrd syl5eq ) AMLCUGZUGLVPUGZIUGZLDUHZV
      PUGZFMVSVPUFUIAVTVRVQBUJUGZUHZFAVRBUKUGZBCDWAEGHJKLLOPQRTWCULZWAULZUCUDAL
      JNUMZUEUNZWGABUOUPZVQWCUPZVQBUQUGZURZVRWCUPAEUSUPWHAEGHKOPUDUTBETVAVBZAWC
      BCEGHJKLLOPQTWDUCUDWGWGVCZAWKLNURZALJWFVDUPWNUELJNVEVBAVQWJLNABCEGHJKLNWJ
      OPQSTWJULZUCUDWGVFVGVHZWCBIVQWJWDWOUBVIVJVKAWHWIWKWBFVLWLWMWPWCBWAFIVQWJW
      DWOWEUAUBVMVJVNVO $.
  $}

  ${
    hdmapip0com.h $e |- H = ( LHyp ` K ) $.
    hdmapip0com.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapip0com.v $e |- V = ( Base ` U ) $.
    hdmapip0com.r $e |- R = ( Scalar ` U ) $.
    hdmapip0com.z $e |- .0. = ( 0g ` R ) $.
    hdmapip0com.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapip0com.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapip0com.x $e |- ( ph -> X e. V ) $.
    hdmapip0com.y $e |- ( ph -> Y e. V ) $.
    $( Commutation property of Baer's sigma map (Holland's A map).  Line 20 of
       [Holland95] p. 14.  Also part of Lemma 1 of [Baer] p. 110 line 7.
       (Contributed by NM, 9-Jun-2015.) $)
    hdmapip0com $p |- ( ph
      -> ( ( ( S ` X ) ` Y ) = .0. <-> ( ( S ` Y ) ` X ) = .0. ) ) $=
      ( csn coch cfv wcel wceq eqid dochsncom hdmapellkr 3bitr4d ) AJIUAHFUBUCU
      CZUCUDIJUAUJUCUDJICUCUCKUEIJCUCUCKUEADEFUJGHJILUJUFZMNRTSUGABCDEFUJGHIJKL
      UKMNOPQRSTUHABCDEFUJGHJIKLUKMNOPQRTSUHUI $.
  $}

  ${
    hdmapinvlem0.h $e |- H = ( LHyp ` K ) $.
    hdmapinvlem0.e $e |- E
            = <. ( _I |` ( Base ` K ) ) , ( _I |` ( ( LTrn ` K ) ` W ) ) >. $.
    hdmapinvlem0.o $e |- O = ( ( ocH ` K ) ` W ) $.
    hdmapinvlem0.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapinvlem0.v $e |- V = ( Base ` U ) $.
    hdmapinvlem0.r $e |- R = ( Scalar ` U ) $.
    hdmapinvlem0.b $e |- B = ( Base ` R ) $.
    hdmapinvlem0.t $e |- .x. = ( .r ` R ) $.
    hdmapinvlem0.z $e |- .0. = ( 0g ` R ) $.
    hdmapinvlem0.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapinvlem0.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapinvlem0.c $e |- ( ph -> C e. V ) $.
    hdmapinvlem0.d $e |- ( ph -> D e. V ) $.
    $( There exists a vector ` w ` satisfying the properties of Proposition
        1 of [Baer] p. 110.  Rather than fix ` w ` as Baer does, we select
        w based on the u, v ( ` C ` , ` D ` ) chosen.  This lets us work
        with the final x and y directly and bypass the conversion of u, v
        to x, y in the last part of Baer's proof by sacrificing one
        dimension (for the existence of ` w ` ) that we already have
        available anyway.  (Alternately, we could
        have used the ` E ` of ~ hdmapevec2 for ` w ` and followed Baer's proof
        directly, which would require one less dimension.)
        TODO: not clear this is possible; it seems we need existence of
        a square-root type factor. $)
$(
    hdmapinvlem0 $p |- ( ph -> E. w e. ( V \ { O } )
      ( ( ( S ` w ) ` w ) = I /\
      C e. ( O ` { w } ) /\ D e. ( O ` { w } ) ) ) $=
? $.
$)
  $}

  ${
    hdmapinvlem1.h $e |- H = ( LHyp ` K ) $.
    hdmapinvlem1.e $e |- E
            = <. ( _I |` ( Base ` K ) ) , ( _I |` ( ( LTrn ` K ) ` W ) ) >. $.
    hdmapinvlem1.o $e |- O = ( ( ocH ` K ) ` W ) $.
    hdmapinvlem1.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapinvlem1.v $e |- V = ( Base ` U ) $.
    hdmapinvlem1.r $e |- R = ( Scalar ` U ) $.
    hdmapinvlem1.b $e |- B = ( Base ` R ) $.
    hdmapinvlem1.t $e |- .x. = ( .r ` R ) $.
    hdmapinvlem1.z $e |- .0. = ( 0g ` R ) $.
    hdmapinvlem1.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapinvlem1.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapinvlem1.c $e |- ( ph -> C e. ( O ` { E } ) ) $.
    $( Line 27 in [Baer] p. 110.  We use ` C ` for Baer's u.  Our unit vector
       ` E ` has the required properties for his w by ~ hdmapevec2 .  Our
       ` ( ( S `` E ) `` C ) ` means the inner product ` <. C , E >. ` i.e. his
       f(u,w) (note argument reversal).  (Contributed by NM, 11-Jun-2015.) $)
    hdmapinvlem1 $p |- ( ph -> ( ( S ` E ) ` C ) = .0. ) $=
      ( cfv clk wcel wceq csn clfn eqid c0g cbs cltrn eldifad hdmaplkr eleqtrrd
      dvheveccl clmod dvhlmod clcd hdmapcl lcdvbaselfl chlt wss dochssv syl2anc
      wa snssd sseldd ellkr2 mpbid ) ACHEUGZGUHUGZUGZUICVOUGNUJACHUKZKUGZVQUFAE
      GGULUGZIJKLMHVPOQRSVTUMZVPUMZUDUEAHLGUNUGZUKAJUOUGZMJUPUGUGZGHIJLMWCOWDUM
      WEUMRSWCUMPUEUTUQZURUSADVTVOVPLGCVANSTUCWAWBAGIJMORUEVBAMJVCUGUGZGVTIJWGU
      OUGZMVOOWGUMZWHUMZRWAUEAWGWHEHGIJLMORSWIWJUDUEWFVDVEAVSLCAJVFUIMIUIVJVRLV
      GVSLVGUEAHLWFVKGIJKLMVRORSQVHVIUFVLVMVN $.

    $( Line 28 in [Baer] p. 110, 0 = f(w,u).  (Contributed by NM,
       11-Jun-2015.) $)
    hdmapinvlem2 $p |- ( ph -> ( ( S ` C ) ` E ) = .0. ) $=
      ( cfv wceq hdmapinvlem1 c0g csn cltrn eqid dvheveccl eldifad chlt wcel wa
      cbs wss snssd dochssv syl2anc sseldd hdmapip0com mpbid ) ACHEUGUGNUHHCEUG
      UGNUHABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUIADEGIJLMHCNORSTUCUDUEAHLGUJUGZUKAJ
      USUGZMJULUGUGZGHIJLMVGOVHUMVIUMRSVGUMPUEUNUOZAHUKZKUGZLCAJUPUQMIUQURVKLUT
      VLLUTUEAHLVJVAGIJKLMVKORSQVBVCUFVDVEVF $.
  $}

  ${
    hdmapinvlem3.h $e |- H = ( LHyp ` K ) $.
    hdmapinvlem3.e $e |- E
            = <. ( _I |` ( Base ` K ) ) , ( _I |` ( ( LTrn ` K ) ` W ) ) >. $.
    hdmapinvlem3.o $e |- O = ( ( ocH ` K ) ` W ) $.
    hdmapinvlem3.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapinvlem3.v $e |- V = ( Base ` U ) $.
    hdmapinvlem3.p $e |- .+ = ( +g ` U ) $.
    hdmapinvlem3.m $e |- .- = ( -g ` U ) $.
    hdmapinvlem3.q $e |- .x. = ( .s ` U ) $.
    hdmapinvlem3.r $e |- R = ( Scalar ` U ) $.
    hdmapinvlem3.b $e |- B = ( Base ` R ) $.
    hdmapinvlem3.t $e |- .X. = ( .r ` R ) $.
    hdmapinvlem3.z $e |- .0. = ( 0g ` R ) $.
    hdmapinvlem3.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapinvlem3.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hdmapinvlem3.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapinvlem3.c $e |- ( ph -> C e. ( O ` { E } ) ) $.
    hdmapinvlem3.d $e |- ( ph -> D e. ( O ` { E } ) ) $.
    hdmapinvlem3.i $e |- ( ph -> I e. B ) $.
    hdmapinvlem3.j $e |- ( ph -> J e. B ) $.
    hdmapinvlem3.ij $e |- ( ph -> ( I .X. ( G ` J ) ) = ( ( S ` D ) ` C ) ) $.
    $( Line 30 in [Baer] p. 110, f(sw + u, tw - v) = 0.  (Contributed by NM,
       12-Jun-2015.) $)
    hdmapinvlem3 $p |- ( ph
          -> ( ( S ` ( ( J .x. E ) .- D ) ) ` ( ( I .x. E ) .+ C ) ) = .0. ) $=
      ( co cfv clcd csg eqid clmod wcel dvhlmod c0g csn cltrn dvheveccl eldifad
      cbs lmodvscl syl3anc chlt wa snssd dochssv syl2anc sseldd hdmapsub fveq1d
      wss hdmapcl lmodvacl lcdvsubval cplusg hdmaplna1 hdmapglnm2 cur hdmaplnm1
      chvm hdmapevec2 oveq2d crg wceq lmodring syl ringridm 3eqtrd oveq1d eqtrd
      hdmapinvlem1 hgmapcl ringlz oveq12d ringgrp lmodmcl grprid ringrz 3eqtrrd
      cgrp hdmapinvlem2 grplid 3eqtr2d grpsubid ) ANKHVBZCEVBZOKHVBZDQVBGVCZVCY
      AYBGVCZDGVCZTPVDVCVCZVEVCZVBZVCZNOLVCZIVBZYKFVEVCZVBZUAAYAYCYHAYFGJMPQYGS
      TYBDUBUEUFUHYFVFZYGVFZUNUPAJVGVHZOBVHKSVHZYBSVHAJMPTUBUEUPVIZUTAKSJVJVCZV
      KAPVOVCZTPVLVCVCZJKMPSTYSUBYTVFUUAVFUEUFYSVFUCUPVMVNZOHFBSJKUFUJUIUKVPVQZ
      AKVKZRVCZSDAPVRVHTMVHVSUUDSWFUUESWFUPAKSUUBVTJMPRSTUUDUBUEUFUDWAWBZURWCZW
      DWEAYIYAYDVCZYAYEVCZYLVBYMAYFYFVOVCZFYLJYDYEMPYGSTYAUBUEUFUJYLVFZYNUUJVFZ
      YOUPAYFUUJGYBJMPSTUBUEUFYNUULUNUPUUCWGAYFUUJGDJMPSTUBUEUFYNUULUNUPUUGWGAY
      PXTSVHZCSVHYASVHYRAYPNBVHZYQUUMYRUSUUBNHFBSJKUFUJUIUKVPVQZAUUESCUUFUQWCZE
      SJXTCUFUGWHVQWIAUUHYKUUIYKYLAUUHXTYDVCZCYDVCZFWJVCZVBYKUAUUSVBZYKAEUUSFGJ
      MPSTXTCYBUBUEUFUGUJUUSVFZUNUPUUOUUPUUCWKAUUQYKUURUAUUSAUUQXTKGVCZVCZYJIVB
      YKAOBFGHIJLMPSTXTKUBUEUFUIUJUKULUNUOUPUUOUUBUTWLAUVCNYJIAUVCNKUVBVCZIVBNF
      WMVCZIVBZNANBFGHIJMPSTKKUBUEUFUIUJUKULUNUPUUBUUBUSWNAUVDUVENIAFGJUVEKMTPW
      OVCVCZPTUBUCUVGVFUNUPUEUJUVEVFZWPWQAFWRVHZUUNUVFNWSAYPUVIYRFJUJWTXAZUSBFI
      UVENUKULUVHXBWBXCXDXEAUURCUVBVCZYJIVBUAYJIVBZUAAOBFGHIJLMPSTCKUBUEUFUIUJU
      KULUNUOUPUUPUUBUTWLAUVKUAYJIABCFGIJKMPRSTUAUBUCUDUEUFUJUKULUMUNUPUQXFXDAU
      VIYJBVHZUVLUAWSUVJABFJOLMPTUBUEUJUKUOUPUTXGZBFIYJUAUKULUMXHWBXCXIAFXOVHZY
      KBVHZUUTYKWSAUVIUVOUVJFXJXAZAYPUUNUVMUVPYRUSUVNIFBJNYJUJUKULXKVQZBUUSFYKU
      AUKUVAUMXLWBXCAUUIXTYEVCZCYEVCZUUSVBUAYKUUSVBZYKAEUUSFGJMPSTXTCDUBUEUFUGU
      JUVAUNUPUUOUUPUUGWKAUAUVSYKUVTUUSAUVSNKYEVCZIVBNUAIVBZUAANBFGHIJMPSTKDUBU
      EUFUIUJUKULUNUPUUBUUGUSWNAUWBUANIABDFGIJKMPRSTUAUBUCUDUEUFUJUKULUMUNUPURX
      PWQAUVIUUNUWCUAWSUVJUSBFINUAUKULUMXMWBXNVAXIAUVOUVPUWAYKWSUVQUVRBUUSFYKUA
      UKUVAUMXQWBXRXIXEAUVOUVPYMUAWSUVQUVRBFYLYKUAUKUMUUKXSWBXC $.

    $( Part 1.1 of Proposition 1 of [Baer] p. 110.  We use ` C ` , ` D ` ,
       ` I ` , and ` J ` for Baer's u, v, s, and t.  Our unit vector ` E ` has
       the required properties for his w by ~ hdmapevec2 .  Our
       ` ( ( S `` D ) `` C ) ` means his f(u,v) (note argument reversal).
       (Contributed by NM, 12-Jun-2015.) $)
    hdmapinvlem4 $p |- ( ph
           -> ( J .X. ( G ` I ) ) = ( ( S ` C ) ` D ) ) $=
      ( cfv co csg wceq eqid clmod wcel dvhlmod c0g csn cltrn dvheveccl eldifad
      cbs lmodvscl syl3anc chlt wa wss snssd dochssv syl2anc lmodvacl hdmaplns1
      sseldd hdmapinvlem3 lmodvsubcl mpbid hdmaplnm1 cplusg hdmapinvlem2 oveq2d
      hdmapip0com hdmaplna2 cgrp crg lmodring syl ringgrp grprid hdmapglnm2 cur
      hdmapipcl chvm hdmapevec2 oveq1d hgmapcl eqtrd 3eqtrd hdmapinvlem1 ringlz
      ringlidm grplid oveq12d 3eqtr3rd wb lmodmcl grpsubeq0 ) AONLVBZIVCZDCGVBZ
      VBZFVDVBZVCZUAVEZYAYCVEZAOKHVCZDQVCZNKHVCZCEVCZGVBZVBZYHYLVBZDYLVBZYDVCUA
      YEAFGJMPQYDSTYHDYKUBUEUFUHUJYDVFZUNUPAJVGVHZOBVHZKSVHZYHSVHZAJMPTUBUEUPVI
      ZUTAKSJVJVBZVKAPVOVBZTPVLVBVBZJKMPSTUUBUBUUCVFUUDVFUEUFUUBVFUCUPVMVNZOHFB
      SJKUFUJUIUKVPVQZAKVKZRVBZSDAPVRVHTMVHVSUUGSVTUUHSVTUPAKSUUEWAJMPRSTUUGUBU
      EUFUDWBWCZURWFZAYQYJSVHZCSVHYKSVHUUAAYQNBVHYSUUKUUAUSUUENHFBSJKUFUJUIUKVP
      VQZAUUHSCUUIUQWFZESJYJCUFUGWDVQZWEAYKYIGVBVBUAVEYMUAVEABCDEFGHIJKLMNOPQRS
      TUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSUTVAWGAFGJMPSTYIYKUAUBUEUFUJUMUNUP
      AYQYTDSVHYISVHUUAUUFUUJQSJYHDUFUHWHVQUUNWNWIAYNYAYOYCYDAYNOKYLVBZIVCYAAOB
      FGHIJMPSTKYKUBUEUFUIUJUKULUNUPUUEUUNUTWJAUUOXTOIAUUOKYJGVBZVBZKYBVBZFWKVB
      ZVCUUQUAUUSVCZXTAEUUSFGJMPSTKYJCUBUEUFUGUJUUSVFZUNUPUUEUULUUMWOAUURUAUUQU
      USABCFGIJKMPRSTUAUBUCUDUEUFUJUKULUMUNUPUQWLWMAUUTUUQKKGVBZVBZXTIVCZXTAFWP
      VHZUUQBVHUUTUUQVEAFWQVHZUVEAYQUVFUUAFJUJWRWSZFWTWSZABFGJMPSTKYJUBUEUFUJUK
      UNUPUUEUULXDBUUSFUUQUAUKUVAUMXAWCANBFGHIJLMPSTKKUBUEUFUIUJUKULUNUOUPUUEUU
      EUSXBAUVDFXCVBZXTIVCZXTAUVCUVIXTIAFGJUVIKMTPXEVBVBZPTUBUCUVKVFUNUPUEUJUVI
      VFZXFXGAUVFXTBVHZUVJXTVEUVGABFJNLMPTUBUEUJUKUOUPUSXHZBFIUVIXTUKULUVLXMWCX
      IXJXJWMXIAYODUUPVBZYCUUSVCUAYCUUSVCZYCAEUUSFGJMPSTDYJCUBUEUFUGUJUVAUNUPUU
      JUULUUMWOAUVOUAYCUUSAUVODUVBVBZXTIVCUAXTIVCZUAANBFGHIJLMPSTDKUBUEUFUIUJUK
      ULUNUOUPUUJUUEUSXBAUVQUAXTIABDFGIJKMPRSTUAUBUCUDUEUFUJUKULUMUNUPURXKXGAUV
      FUVMUVRUAVEUVGUVNBFIXTUAUKULUMXLWCXJXGAUVEYCBVHZUVPYCVEUVHABFGJMPSTDCUBUE
      UFUJUKUNUPUUJUUMXDZBUUSFYCUAUKUVAUMXNWCXJXOXPAUVEYABVHZUVSYFYGXQUVHAYQYRU
      VMUWAUUAUTUVNIFBJOXTUJUKULXRVQUVTBFYDYAYCUAUKUMYPXSVQWI $.
  $}

  ${
    hdmapglem5.h $e |- H = ( LHyp ` K ) $.
    hdmapglem5.e $e |- E
            = <. ( _I |` ( Base ` K ) ) , ( _I |` ( ( LTrn ` K ) ` W ) ) >. $.
    hdmapglem5.o $e |- O = ( ( ocH ` K ) ` W ) $.
    hdmapglem5.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapglem5.v $e |- V = ( Base ` U ) $.
    hdmapglem5.p $e |- .+ = ( +g ` U ) $.
    hdmapglem5.m $e |- .- = ( -g ` U ) $.
    hdmapglem5.q $e |- .x. = ( .s ` U ) $.
    hdmapglem5.r $e |- R = ( Scalar ` U ) $.
    hdmapglem5.b $e |- B = ( Base ` R ) $.
    hdmapglem5.t $e |- .X. = ( .r ` R ) $.
    hdmapglem5.z $e |- .0. = ( 0g ` R ) $.
    hdmapglem5.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapglem5.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hdmapglem5.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapglem5.c $e |- ( ph -> C e. ( O ` { E } ) ) $.
    hdmapglem5.d $e |- ( ph -> D e. ( O ` { E } ) ) $.
    hdmapglem5.i $e |- ( ph -> I e. B ) $.
    hdmapglem5.j $e |- ( ph -> J e. B ) $.
    $( Part 1.2 in [Baer] p. 110 line 34, f(u,v) alpha = f(v,u).  (Contributed
       by NM, 12-Jun-2015.) $)
    hdmapglem5 $p |- ( ph
           -> ( G ` ( ( S ` D ) ` C ) ) = ( ( S ` C ) ` D ) ) $=
      ( cur cfv co crg wcel wceq clmod dvhlmod lmodring syl csn chlt wa wss c0g
      cbs cltrn eqid dvheveccl eldifad dochssv syl2anc sseldd hdmapipcl hgmapcl
      snssd ringlidm ringidcl hgmapval1 oveq2d ringridm hdmapinvlem4 eqtr3d
      eqtrd ) AFVAVBZCDGVBVBZLVBZIVCZWQDCGVBVBAFVDVEZWQBVEWRWQVFAJVGVEWSAJMPTUB
      UEUPVHFJUJVIVJZABFJWPLMPTUBUEUJUKUOUPABFGJMPSTCDUBUEUFUJUKUNUPAKVKZRVBZSC
      APVLVETMVEVMXASVNXBSVNUPAKSAKSJVOVBZVKAPVPVBZTPVQVBVBZJKMPSTXCUBXDVRXEVRU
      EUFXCVRUCUPVSVTWFJMPRSTXAUBUEUFUDWAWBZUQWCAXBSDXFURWCWDZWEBFIWOWQUKULWOVR
      ZWGWBABCDEFGHIJKLMWPWOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURXGAWSWOBVE
      WTBFWOUKXHWHVJAWPWOLVBZIVCWPWOIVCZWPAXIWOWPIAFJWOLMPTUBUEUJXHUOUPWIWJAWSW
      PBVEXJWPVFWTXGBFIWOWPUKULXHWKWBWNWLWM $.
  $}

  ${
    hdmapglem6.h $e |- H = ( LHyp ` K ) $.
    hdmapglem6.e $e |- E
            = <. ( _I |` ( Base ` K ) ) , ( _I |` ( ( LTrn ` K ) ` W ) ) >. $.
    hdmapglem6.o $e |- O = ( ( ocH ` K ) ` W ) $.
    hdmapglem6.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapglem6.v $e |- V = ( Base ` U ) $.
    hdmapglem6.q $e |- .x. = ( .s ` U ) $.
    hdmapglem6.r $e |- R = ( Scalar ` U ) $.
    hdmapglem6.b $e |- B = ( Base ` R ) $.
    hdmapglem6.t $e |- .X. = ( .r ` R ) $.
    hdmapglem6.z $e |- .0. = ( 0g ` R ) $.
    hdmapglem6.i $e |- .1. = ( 1r ` R ) $.
    hdmapglem6.n $e |- N = ( invr ` R ) $.
    hdmapglem6.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapglem6.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hdmapglem6.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapglem6.x $e |- ( ph -> X e. ( B \ { .0. } ) ) $.
    ${
      hdmapglem6.c $e |- ( ph -> C e. ( O ` { E } ) ) $.
      hdmapglem6.d $e |- ( ph -> D e. ( O ` { E } ) ) $.
      hdmapglem6.cd $e |- ( ph -> ( ( S ` D ) ` C ) = .1. ) $.
      ${
        hdmapglem6.y $e |- ( ph -> Y e. ( B \ { .0. } ) ) $.
        hdmapglem6.yx $e |- ( ph -> ( Y .X. ( G ` X ) ) = .1. ) $.
        $( Involution property of scalar sigma map.  Line 10 in [Baer] p. 111,
           t sigma squared = t.  Our ` E ` , ` C ` , ` D ` , ` Y ` , ` X `
           correspond to Baer's w, h, k, s, t.  (Contributed by NM,
           13-Jun-2015.) $)
        hgmapvvlem1 $p |- ( ph -> ( G ` ( G ` X ) ) = X ) $=
          ( cfv co crg wcel wceq clmod dvhlmod lmodring syl csn eldifad hgmapcl
          cdr wne clvec dvhlvec lvecdrng eldifsni hgmapeq0 necon3bid drnginvrcl
          cdif mpbird syl3anc ringass syl13anc drnginvrr oveq2d syl2anc 3eqtrrd
          ringridm fveq2d hgmapmul eqtr3d cplusg hdmapglem5 eqtr4d hdmapinvlem4
          csg eqid oveq1d 3eqtrd ) ASLVCZLVCZXFTLVCZHVDZXGOVCZHVDZSXGHVDZXIHVDZ
          SAXJXFXGXIHVDZHVDZXFJHVDZXFAEVEVFZXFBVFZXGBVFZXIBVFZXJXNVGAIVHVFXPAIM
          NRUBUEUPVIEIUHVJVKZABEIXELMNRUBUEUHUIUOUPABEISLMNRUBUEUHUIUOUPASBUAVL
          ZUQVMZVNZVNZABEITLMNRUBUEUHUIUOUPATBYAVAVMZVNZAEVOVFZXRXGUAVPZXSAIVQV
          FYGAIMNRUBUEUPVREIUHVSVKZYFAYHTUAVPZATBYAWDVFYJVATBUAVTVKAXGUATUAABEI
          LMNRTUAUBUEUHUIUKUOUPYEWAWBWEZBEOXGUAUIUKUMWCWFZBEHXFXGXIUIUJWGWHAXMJ
          XFHAYGXRYHXMJVGYIYFYKBEHJOXGUAUIUKUJULUMWIWFZWJAXPXQXOXFVGXTYDBEHJXFU
          IUJULWMWKWLAXHXKXIHAXHDCFVCVCZXKAJLVCZXHYNATXEHVDZLVCYOXHAYPJLVBWNABE
          HILMNRTXEUBUEUHUIUJUOUPYEYCWOWPACDFVCVCZLVCYOYNAYQJLUTWNABCDIWQVCZEFG
          HIKLMTSNIXAVCZPQRUAUBUCUDUEUFYRXBZYSXBZUGUHUIUJUKUNUOUPURUSYEYBWRWPWP
          ABCDYREFGHIKLMTSNYSPQRUAUBUCUDUEUFYTUUAUGUHUIUJUKUNUOUPURUSYEYBAYPJYQ
          VBUTWSWTWSXCAXLSXMHVDZSJHVDZSAXPSBVFZXRXSXLUUBVGXTYBYFYLBEHSXGXIUIUJW
          GWHAXMJSHYMWJAXPUUDUUCSVGXTYBBEHJSUIUJULWMWKXDXD $.
      $}

      $( Lemma for ~ hgmapvv .  Eliminate ` Y ` (Baer's s).  (Contributed by
         NM, 13-Jun-2015.) $)
      hgmapvvlem2 $p |- ( ph -> ( G ` ( G ` X ) ) = X ) $=
        ( cfv wcel wne csn cdif cdr clvec dvhlvec lvecdrng syl eldifad eldifsni
        hgmapcl hgmapeq0 necon3bid mpbird drnginvrcl syl3anc drnginvrn0 eldifsn
        sylanbrc co wceq drnginvrl hgmapvvlem1 ) ABCDEFGHIJKLMNOPQRSSLUTZOUTZTU
        AUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUSAWFBVAZWFTVBZWFBTVCZVDZVAAEVEVAZWE
        BVAZWETVBZWGAIVFVAWKAIMNRUAUDUOVGEIUGVHVIZABEISLMNRUAUDUGUHUNUOASBWIUPV
        JZVLZAWMSTVBZASWJVAWQUPSBTVKVIAWETSTABEILMNRSTUAUDUGUHUJUNUOWOVMVNVOZBE
        OWETUHUJULVPVQAWKWLWMWHWNWPWRBEOWETUHUJULVRVQWFBTVSVTAWKWLWMWFWEHWAJWBW
        NWPWRBEHJOWETUHUJUIUKULWCVQWD $.
    $}

    $d k E $.  $d k G $.  $d k O $.  $d k U $.  $d k X $.  $d k ph $.
    $( Lemma for ~ hgmapvv .  Eliminate ` ( ( S `` D ) `` C ) = .1. ` (Baer's
       f(h,k)=1).  (Contributed by NM, 13-Jun-2015.) $)
    hgmapvvlem3 $p |- ( ph -> ( G ` ( G ` X ) ) = X ) $=
      ( vk c0g cfv wne csn wrex wceq eqid cltrn dvheveccl eldifad dochsnnz clss
      cv cbs wcel wb wa wss snssd dochlss syl2anc lssne0 syl mpbid w3a cvsca co
      chlt 3ad2ant1 cdif dochssv sselda 3adant3 simp3 eldifsn sylanbrc hdmapip1
      simpl1 clmod dvhlmod cdr clvec dvhlvec lvecdrng adantr hdmapipcl hdmapip0
      necon3bid biimp3ar drnginvrcl syl3anc simpl2 lssvscl syl22anc hgmapvvlem2
      simpr mpdan rexlimdv3a mpd ) AUOVHZGUPUQZURZUOIUSZNUQZUTZQJUQJUQQVAZAXSXP
      USZURZXTAGKLNOPIXPSUAUBUCXPVBZUMAIOYBALVIUQZPLVCUQUQZGIKLOPXPSYEVBYFVBUBU
      CYDTUMVDVEZVFAXSGVGUQZVJZYCXTVKALWCVJPKVJVLZXROVMZYIUMAIOYGVNZYHGKLNOPXRS
      UBUCYHVBZUAVOVPZUOYHGXSXPYDYMVQVRVSAXQYAUOXSAXOXSVJZXQVTZXOXODUQZUQZMUQZX
      OGWAUQZWBZYQUQHVAZYAYPCDYTGHKLMOPXOUUAXPSUBUCYTVBZYDUEUIUJUKAYOYJXQUMWDYP
      XOOVJZXQXOOYBWEVJAYOUUDXQAXSOXOAYJYKXSOVMUMYLGKLNOPXRSUBUCUAWFVPWGZWHZAYO
      XQWIXOOXPWJWKUUAVBWLYPUUBVLZBUUAXOCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJU
      KULUUGAYJAYOXQUUBWMZUMVRZUUGAQBRUSWEVJUUHUNVRUUGGWNVJZYIYSBVJZYOUUAXSVJUU
      GAUUJUUHAGKLPSUBUMWOVRUUGAYIUUHYNVRUUGCWPVJZYRBVJYRRURZUUKUUGAUULUUHAGWQV
      JUULAGKLPSUBUMWRCGUEWSVRVRUUGBCDGKLOPXOXOSUBUCUEUFUKUUIYPUUDUUBUUFWTZUUNX
      AYPUUMUUBAYOUUMXQAYOVLZYRRXOXPUUOCDGKLOPXOXPRSUBUCYDUEUHUKAYJYOUMWTUUEXBX
      CXDWTBCMYRRUFUHUJXEXFAYOXQUUBXGZBYHYTXSCGYSXOUEUUCUFYMXHXIUUPYPUUBXKXJXLX
      MXN $.
  $}

  ${
    hgmapvv.h $e |- H = ( LHyp ` K ) $.
    hgmapvv.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hgmapvv.r $e |- R = ( Scalar ` U ) $.
    hgmapvv.b $e |- B = ( Base ` R ) $.
    hgmapvv.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hgmapvv.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hgmapvv.j $e |- ( ph -> X e. B ) $.
    $( Value of a double involution.  Part 1.2 of [Baer] p. 110 line 37.
       (Contributed by NM, 13-Jun-2015.) $)
    hgmapvv $p |- ( ph -> ( G ` ( G ` X ) ) = X ) $=
      ( cfv wceq eqid wcel c0g 2fveq3 id eqeq12d wne wa chdma cvsca cur cid cbs
      cmulr cres cltrn cop coch chlt adantr csn cdif anim1i eldifsn hgmapvvlem3
      cinvr sylibr hgmapval0 fveq2d eqtrd pm2.61ne ) AIEQEQZIRCUAQZEQZEQZVKRIVK
      IVKRZVJVMIVKIVKEEUBVNUCUDAIVKUEZUFZBCHGUGQQZDUHQZCULQZDCUIQZUJGUKQUMUJHGU
      NQQUMUOZEFGCVDQZHGUPQQZDUKQZHIVKJWASWCSKWDSVRSLMVSSVKSZVTSWBSVQSNAGUQTHFT
      UFVOOURVPIBTZVOUFIBVKUSUTTAWFVOPVAIBVKVBVEVCAVMVLVKAVLVKEACDEFGHVKJKLWENO
      VFZVGWGVHVI $.
  $}

  ${
    $d a k l u v .+ $.  $d a k l u v B $.  $d a k l u v E $.  $d k l u v G $.
    $d a k l u v N $.  $d a k l u v O $.  $d a k l u v .x. $.  $d k l R $.
    $d k l u v S $.  $d a k l u v U $.  $d k l V $.  $d a k l u v X $.
    $d k l u v Y $.  $d a k l u v ph $.
    hdmapglem7.h $e |- H = ( LHyp ` K ) $.
    hdmapglem7.e $e |- E
            = <. ( _I |` ( Base ` K ) ) , ( _I |` ( ( LTrn ` K ) ` W ) ) >. $.
    hdmapglem7.o $e |- O = ( ( ocH ` K ) ` W ) $.
    hdmapglem7.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapglem7.v $e |- V = ( Base ` U ) $.
    hdmapglem7.p $e |- .+ = ( +g ` U ) $.
    hdmapglem7.q $e |- .x. = ( .s ` U ) $.
    hdmapglem7.r $e |- R = ( Scalar ` U ) $.
    hdmapglem7.b $e |- B = ( Base ` R ) $.
    hdmapglem7.a $e |- .(+) = ( LSSum ` U ) $.
    hdmapglem7.n $e |- N = ( LSpan ` U ) $.
    hdmapglem7.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapglem7.x $e |- ( ph -> X e. V ) $.
    $( Lemma for ~ hdmapg .  (Contributed by NM, 14-Jun-2015.) $)
    hdmapglem7a $p |- ( ph
       -> E. u e. ( O ` { E } ) E. k e. B X = ( ( k .x. E ) .+ u ) ) $=
      ( va cv co wceq csn cfv wrex wcel clss eqid clmod dvhlmod cltrn dvheveccl
      c0g cbs eldifad lspsncl syl2anc dochocsp fveq2d dochocsn dochexmid oveq2d
      snssd eqtrd eqtr3d eleqtrd csubg wb wss lsssssubg syl sseldd chlt dochlss
      wa lsmelval mpbid rexcom wex df-rex lspsnel anbi1d r19.41v bitr4di exbidv
      rexcom4 ovex oveq1 eqeq2d ceqsexv rexbii bitr3i bitrdi syl5bb rexbidv ) A
      QUKULZBULZDUMZUNZBJUOZNUPZUQUKXLMUPZUQZQIULZJGUMZXIDUMZUNZICUQZBXMUQZAQXN
      XMEUMZURZXOAQOYBUJAXNXNNUPZEUMOYBAEHUSUPZHKLNOPXNRTUAUBYEUTZUGUIAHVAURZJO
      URZXNYEURAHKLPRUAUIVBZAJOHVEUPZUOALVFUPZPLVCUPUPZHJKLOPYJRYKUTYLUTUAUBYJU
      TSUIVDVGZYEMOHJUBYFUHVHVIZAYDNUPXMNUPXNAYDXMNAHKLMNOPXLRUATUBUHUIAJOYMVOZ
      VJZVKAHKLMNOPJRUATUBUHUIYMVLVPVMAYDXMXNEYPVNVQVRAXNHVSUPZURXMYQURYCXOVTAY
      EYQXNAYGYEYQWAYIYEHYFWBWCZYNWDAYEYQXMYRALWEURPKURWGXLOWAXMYEURUIYOYEHKLNO
      PXLRUAUBYFTWFVIWDUKBDEXNXMHQUCUGWHVIWIXOXKUKXNUQZBXMUQAYAXKUKBXNXMWJAYSXT
      BXMYSXHXNURZXKWGZUKWKZAXTXKUKXNWLAUUBXHXQUNZXKWGZICUQZUKWKZXTAUUAUUEUKAUU
      AUUCICUQZXKWGUUEAYTUUGXKAYGYHYTUUGVTYIYMGXHIFCMOHJUEUFUBUDUHWMVIWNUUCXKIC
      WOWPWQUUFUUDUKWKZICUQXTUUDIUKCWRUUHXSICXKXSUKXQXPJGWSUUCXJXRQXHXQXIDWTXAX
      BXCXDXEXFXGXFWI $.

    hdmapglem7.t $e |- .X. = ( .r ` R ) $.
    hdmapglem7.z $e |- .0. = ( 0g ` R ) $.
    hdmapglem7.c $e |- .+b = ( +g ` R ) $.
    hdmapglem7.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapglem7.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    ${
      hdmapglem7b.u $e |- ( ph -> x e. ( O ` { E } ) ) $.
      hdmapglem7b.v $e |- ( ph -> y e. ( O ` { E } ) ) $.
      hdmapglem7b.k $e |- ( ph -> m e. B ) $.
      hdmapglem7b.l $e |- ( ph -> n e. B ) $.
      $( Lemma for ~ hdmapg .  (Contributed by NM, 14-Jun-2015.) $)
      hdmapglem7b $p |- ( ph
   -> ( ( S ` ( ( m .x. E ) .+ x ) ) ` ( ( n .x. E ) .+ y ) )
         = ( ( n .X. ( G ` m ) ) .+b ( ( S ` x ) ` y ) ) ) $=
        ( cv co cfv clmod wcel dvhlmod c0g csn cbs cltrn eqid dvheveccl eldifad
        lmodvscl syl3anc wa wss snssd dochssv syl2anc sseldd lmodvacl hdmapgln2
        chlt hdmapln1 cur chvm hdmapevec2 oveq2d crg wceq lmodring syl ringridm
        eqtrd hdmapinvlem1 oveq12d ringgrp grprid 3eqtrd hdmapinvlem2 hdmapipcl
        cgrp oveq1d ringrz grplid ) ANVGZOJVHZCVGZEVHZMVGZOJVHBVGZEVHIVIVIXPOIV
        IZVIZXQPVIZKVHZXPXRIVIZVIZFVHXMYAKVHZXOYCVIZFVHAXQDEFHIJKLPQRUAUBXPOXRU
        EUHUIUJUKULUMUTURVAVBUPALVJVKZXNUAVKZXOUAVKXPUAVKALQRUBUEUHUPVLZAYGXMDV
        KZOUAVKYHYIVFAOUALVMVIZVNARVOVIZUBRVPVIVIZLOQRUAUBYKUEYLVQYMVQUHUIYKVQU
        FUPVRVSZXMJHDUALOUIULUKUMVTWAAOVNZTVIZUAXOARWJVKUBQVKWBYOUAWCYPUAWCUPAO
        UAYNWDLQRTUAUBYOUEUHUIUGWEWFZVDWGZEUALXNXOUIUJWHWAYNAYPUAXRYQVCWGZVEWIA
        YBYEYDYFFAXTXMYAKAXTXMOXSVIZKVHZXOXSVIZFVHXMUDFVHZXMAXMDEFHIJKLQRUAUBOX
        OOUEUHUIUJUKULUMUTURVAUPYNYRYNVFWKAUUAXMUUBUDFAUUAXMHWLVIZKVHZXMAYTUUDX
        MKAHILUUDOQUBRWMVIVIZRUBUEUFUUFVQVAUPUHULUUDVQZWNWOAHWPVKZYJUUEXMWQAYGU
        UHYIHLULWRWSZVFDHKUUDXMUMURUUGWTWFXAADXOHIKLOQRTUAUBUDUEUFUGUHUIULUMURU
        SVAUPVDXBXCAHXIVKZYJUUCXMWQAUUHUUJUUIHXDWSZVFDFHXMUDUMUTUSXEWFXFXJAYDXM
        OYCVIZKVHZYFFVHUDYFFVHZYFAXMDEFHIJKLQRUAUBOXOXRUEUHUIUJUKULUMUTURVAUPYN
        YRYSVFWKAUUMUDYFFAUUMXMUDKVHZUDAUULUDXMKADXRHIKLOQRTUAUBUDUEUFUGUHUIULU
        MURUSVAUPVCXGWOAUUHYJUUOUDWQUUIVFDHKXMUDUMURUSXKWFXAXJAUUJYFDVKUUNYFWQU
        UKADHILQRUAUBXOXRUEUHUIULUMVAUPYRYSXHDFHYFUDUMUTUSXLWFXFXCXA $.
    $}

    hdmapglem7.y $e |- ( ph -> Y e. V ) $.
    $( Lemma for ~ hdmapg .  Line 15 in [Baer] p. 111, f(x,y) alpha = f(y,x).
       In the proof, our ` E ` , ` ( O `` { E } ) ` , ` X ` , ` Y ` , ` k ` ,
       ` u ` , ` l ` , and ` v ` correspond respectively to Baer's w, H, x, y,
       x', x'', y', and y'', and our ` ( ( S `` Y ) `` X ) ` corresponds to
       Baer's f(x,y).  (Contributed by NM, 14-Jun-2015.) $)
    hdmapglem7 $p |- ( ph
           -> ( G ` ( ( S ` Y ) ` X ) ) = ( ( S ` X ) ` Y ) ) $=
      ( vk vu vl vv cv co wceq wrex csn cfv hdmapglem7a wi wcel wa w3a ad2antrr
      chlt crg clmod dvhlmod lmodring syl simplrr simprr hgmapcl ringcl syl3anc
      wss c0g cltrn eqid dvheveccl eldifad snssd dochssv syl2anc simplrl sseldd
      cbs simprl hdmapipcl hgmapadd hgmapvv oveq1d eqtrd csg hdmapglem5 oveq12d
      hgmapmul hdmapglem7b fveq2d 3eqtr4d 3adantl3 3adant3 simp3 simp13 fveq12d
      3exp rexlimdvv mp2d ) ASVAVEZKHVFVBVEZCVFZVGZVABVHVBKVIZPVJZVHTVCVEZKHVFV
      DVEZCVFZVGZVCBVHVDYFVHZSTGVJZVJZLVJZTSGVJZVJZVGZAVBBCEFHJVAKMNOPQRSUBUCUD
      UEUFUGUHUIUJUKULUMUNVKAVDBCEFHJVCKMNOPQRTUBUCUDUEUFUGUHUIUJUKULUMUTVKAYDY
      KYQVLZVBVAYFBAYBYFVMZYABVMZVNZYDYRAUUAYDVOZYJYQVDVCYFBUUBYHYFVMZYGBVMZVNZ
      YJYQUUBUUEYJVOZYCYIGVJZVJZLVJZYIYCGVJZVJZYNYPUUBUUEUUIUUKVGZYJAUUAUUEUULY
      DAUUAVNZUUEVNZYAYGLVJZIVFZYBYHGVJVJZDVFZLVJZYGYALVJZIVFZYHYBGVJVJZDVFZUUI
      UUKUUNUUSUUPLVJZUUQLVJZDVFUVCUUNBDFJLMNRUUPUUQUBUEUIUJUQUSANVQVMRMVMVNZUU
      AUUEUMVPZUUNFVRVMZYTUUOBVMUUPBVMAUVHUUAUUEAJVSVMUVHAJMNRUBUEUMVTFJUIWAWBV
      PAYSYTUUEWCZUUNBFJYGLMNRUBUEUIUJUSUVGUUMUUCUUDWDZWEZBFIYAUUOUJUOWFWGUUNBF
      GJMNQRYBYHUBUEUFUIUJURUVGUUNYFQYBAYFQWHZUUAUUEAUVFYEQWHUVLUMAKQAKQJWIVJZV
      IANWSVJZRNWJVJVJZJKMNQRUVMUBUVNWKUVOWKUEUFUVMWKUCUMWLWMWNJMNPQRYEUBUEUFUD
      WOWPVPZAYSYTUUEWQZWRUUNYFQYHUVPUUMUUCUUDWTZWRXAXBUUNUVDUVAUVEUVBDUUNUVDUU
      OLVJZUUTIVFUVAUUNBFIJLMNRYAUUOUBUEUIUJUOUSUVGUVIUVKXIUUNUVSYGUUTIUUNBFJLM
      NRYGUBUEUIUJUSUVGUVJXCXDXEUUNBYBYHCFGHIJKLMYAYANJXFVJZPQRUAUBUCUDUEUFUGUV
      TWKUHUIUJUOUPURUSUVGUVQUVRUVIUVIXGXHXEUUNUUHUURLUUNVDVBBCDEFGHIJVCVAKLMNO
      PQRSUAUBUCUDUEUFUGUHUIUJUKULUVGASQVMUUAUUEUNVPZUOUPUQURUSUVRUVQUVJUVIXJXK
      UUNVBVDBCDEFGHIJVAVCKLMNOPQRSUAUBUCUDUEUFUGUHUIUJUKULUVGUWAUOUPUQURUSUVQU
      VRUVIUVJXJXLXMXNUUFYMUUHLUUFSYCYLUUGUUFTYIGUUBUUEYJXOZXKAUUAYDUUEYJXPZXQX
      KUUFTYIYOUUJUUFSYCGUWCXKUWBXQXLXRXSXRXSXT $.
  $}

  ${
    hdmapg.h $e |- H = ( LHyp ` K ) $.
    hdmapg.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapg.v $e |- V = ( Base ` U ) $.
    hdmapg.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapg.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hdmapg.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapg.x $e |- ( ph -> X e. V ) $.
    hdmapg.y $e |- ( ph -> Y e. V ) $.
    $( Apply the scalar sigma function (involution) ` G ` to an inner product
       reverses the arguments.  The inner product of ` X ` and ` Y ` is
       represented by ` ( ( S `` Y ) `` X ) ` .  Line 15 in [Baer] p. 111,
       f(x,y) alpha = f(y,x).  (Contributed by NM, 14-Jun-2015.) $)
    hdmapg $p |- ( ph
           -> ( G ` ( ( S ` Y ) ` X ) ) = ( ( S ` X ) ` Y ) ) $=
      ( cfv eqid csca cbs cplusg clsm cvsca cmulr cid cres cltrn cop clspn coch
      c0g hdmapglem7 ) ACUASZUBSZCUCSZUOUCSZCUDSZUOBCUESZUOUFSZCUGFUBSUHUGHFUIS
      SUHUJZDEFCUKSZHFULSSZGHIJUOUMSZKVBTVDTLMUQTUTTUOTUPTUSTVCTPQVATVETURTNORU
      N $.
  $}

  ${
    $d y z O $.  $d z V $.  $d y z X $.  $d y z ph $.
    hdmapoc.h $e |- H = ( LHyp ` K ) $.
    hdmapoc.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hdmapoc.v $e |- V = ( Base ` U ) $.
    hdmapoc.r $e |- R = ( Scalar ` U ) $.
    hdmapoc.z $e |- .0. = ( 0g ` R ) $.
    hdmapoc.o $e |- O = ( ( ocH ` K ) ` W ) $.
    hdmapoc.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hdmapoc.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    hdmapoc.x $e |- ( ph -> X C_ V ) $.
    $( Express our constructed orthocomplement (polarity) in terms of the
       Hilbert space definition of orthocomplement.  Lines 24 and 25 in
       [Holland95] p. 14.  (Contributed by NM, 17-Jun-2015.) $)
    hdmapoc $p |- ( ph
           -> ( O ` X ) = { y e. V | A. z e. X ( ( S ` z ) ` y ) = .0. } ) $=
      ( cfv cv wcel wceq wral wa cab crab chlt wss dochssv syl2anc pm4.71rd csn
      sseld clspn clss eqid clmod dvhlmod adantr dochlss lspsnel5 cdih dihlsprn
      simpr crn dochcl dochord snssd dochocsp sseq2d bitr4d 3bitrd dfss3 bitrdi
      dochsscl ad2antrr sselda simplr dochsncom bitrd ralbidva pm5.32da abbi2dv
      hdmapellkr df-rab eqtr4di ) ALIUCZBUDZJUEZWLCUDZEUCUCMUFZCLUGZUHZBUIWPBJU
      JAWQBWKAWLWKUEZWMWRUHWQAWRWMAWKJWLAHUKUEKGUEUHZLJULZWKJULUAUBFGHIJKLNOPSU
      MUNUQUOAWMWRWPAWMUHZWRWNWLUPZIUCZUEZCLUGZWPXAWRLXCULZXEXAWRXBFURUCZUCZWKU
      LWKIUCZXHIUCZULZXFXAFUSUCZWKXGJFWLPXLUTZXGUTZAFVAUEWMAFGHKNOUAVBVCAWKXLUE
      ZWMAWSWTXOUAUBXLFGHIJKLNOPXMSVDUNVCAWMVHZVEXAGKHVFUCUCZHIKXHWKNXQUTZSAWSW
      MUAVCZXAWSWMXHXQVIZUEXSXPFGXQHXGJKWLNOPXNXRVGUNAWKXTUEZWMAWSWTYAUAUBFGXQH
      IJKLNXROPSVJUNVCVKXAXKXIXCULXFXAXJXCXIXAFGHXGIJKXBNOSPXNXSXAWLJXPVLZVMVNX
      AFGXQHIJKLXCNOPXRSXSAWTWMUBVCZXAWSXBJULXCXTUEXSYBFGXQHIJKXBNXROPSVJUNVSVO
      VPCLXCVQVRXAWOXDCLXAWNLUEZUHZWOWLWNUPIUCUEXDYEDEFGHIJKWNWLMNSOPQRTAWSWMYD
      UAVTZXALJWNYCWAZAWMYDWBZWHYEFGHIJKWLWNNSOPYFYHYGWCWDWEVOWFWDWGWPBJWIWJ $.
  $}

  $c HLHil $.

  $( Extend class notation with the final constructed Hilbert space. $)
  chlh $a class HLHil $.

  ${
    $d k w u v x y $.

    $( Define our final Hilbert space constructed from a Hilbert lattice.
       (Contributed by NM, 21-Jun-2015.)  (Revised by Mario Carneiro,
       28-Jun-2015.) $)
    df-hlhil $a |- HLHil = ( k e. _V |-> ( w e. ( LHyp ` k ) |->
      [_ ( ( DVecH ` k ) ` w ) / u ]_ [_ ( Base ` u ) / v ]_
      ( { <. ( Base ` ndx ) , v >. ,
          <. ( +g ` ndx ) , ( +g ` u ) >. ,
          <. ( Scalar ` ndx ) , ( ( ( EDRing ` k ) ` w ) sSet
             <. ( *r ` ndx ) , ( ( HGMap ` k ) ` w ) >. ) >. } u. {
          <. ( .s ` ndx ) , ( .s ` u ) >. ,
          <. ( .i ` ndx ) , ( x e. v , y e. v |->
           ( ( ( ( HDMap ` k ) ` w ) ` y ) ` x ) ) >. } ) ) ) $.
  $}

  ${
    $d k w H $.  $d k u v w x y K $.  $d k u v w x y ph $.  $d k u v w R $.
    $d k u v w .+ $.  $d k u v w ., $.  $d k u v w x y W $.  $d k u v w .x. $.
    $d k u v w V $.
    hlhilset.h $e |- H = ( LHyp ` K ) $.
    hlhilset.l $e |- L = ( ( HLHil ` K ) ` W ) $.
    hlhilset.u $e |- U = ( ( DVecH ` K ) ` W ) $.
    hlhilset.v $e |- V = ( Base ` U ) $.
    hlhilset.p $e |- .+ = ( +g ` U ) $.
    hlhilset.e $e |- E = ( ( EDRing ` K ) ` W ) $.
    hlhilset.g $e |- G = ( ( HGMap ` K ) ` W ) $.
    hlhilset.r $e |- R = ( E sSet <. ( *r ` ndx ) , G >. ) $.
    hlhilset.t $e |- .x. = ( .s ` U ) $.
    hlhilset.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hlhilset.i $e |- ., = ( x e. V , y e. V |-> ( ( S ` y ) ` x ) ) $.
    hlhilset.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The final Hilbert space constructed from a Hilbert lattice ` K ` and an
       arbitrary hyperplane ` W ` in ` K ` .  (Contributed by NM, 21-Jun-2015.)
       (Revised by Mario Carneiro, 28-Jun-2015.) $)
    hlhilset $p |- ( ph -> L = ( { <. ( Base ` ndx ) , V >. ,
          <. ( +g ` ndx ) , .+ >. ,
          <. ( Scalar ` ndx ) , R >. } u. {
          <. ( .s ` ndx ) , .x. >. ,
          <. ( .i ` ndx ) , ., >. } ) ) $=
      ( vw vk vu vv chlh cfv cnx cbs cop cplusg csca ctp cvsca cip cpr cun cdvh
      cv cedring cstv chg csts co chdma cmpo csb cvv wcel cmpt wceq chlt adantr
      wa elex syl clh fvexi mptex nfcsb1v nfmpt fveq2 eqtr4di csbeq1a mpteq12dv
      nfcv df-hlhil fvmptf sylancl fvexd fveq2d simplr fveq12d sylan9eqr opeq2d
      id simpr oveq12d ad2antrr fveq1d mpoeq123dv preq12d uneq12d csbied simprd
      tpeq123d tpex prex unex a1i fvmptd syl5eq ) ANPMUMUNZUNUOUPUNZOUQZUOURUNZ
      DUQZUOUSUNZEUQZUTZUOVAUNZGUQZUOVBUNZLUQZVCZVDZRAUIPUJMUKUIVFZUJVFZVEUNZUN
      ZULUKVFZUPUNZYAULVFZUQZYCYRURUNZUQZYEYNYOVGUNZUNZUOVHUNZYNYOVIUNZUNZUQZVJ
      VKZUQZUTZYHYRVAUNZUQZYJBCYTYTBVFZCVFZYNYOVLUNZUNZUNZUNZVMZUQZVCZVDZVNZVNZ
      VNZYMKXTVOAMVOVPZUIKUVGVQZVOVPXTUVIVRAMVSVPZPKVPZWAUVHUHUVJUVHUVKMVSWBVTW
      CZUIKUVGKMWDQWEWFUJMUIYOWDUNZUVFVQUVIVOUMVOUJMWMUJUIKUVGUJKWMUJMUVFWGWHYO
      MVRZUIUVMUVFKUVGUVNUVMMWDUNKYOMWDWIQWJUJMUVFWKWLBCUIULUKUJWNWOWPAYNPVRZWA
      ZUJMUVFYMVOAUVHUVOUVLVTUVPUVNWAZUKYQUVEYMVOUVQYNYPWQUVQYRYQVRZWAZULYSUVDY
      MVOUVSYRUPWQUVSYTYSVRZWAZUULYGUVCYLUWAUUAYBUUCYDUUKYFUWAYTOYAUVTUVSYTYSOU
      VTXCUVSYSHUPUNOUVSYRHUPUVRUVQYRYQHUVRXCUVQYQPMVEUNZUNHUVQYNPYPUWBUVQYOMVE
      UVPUVNXDZWRAUVOUVNWSZWTSWJXAZWRTWJXAZXBUWAUUBDYCUWAUUBHURUNDUWAYRHURUVSYR
      HVRUVTUWEVTZWRUAWJXBUVQUUKYFVRUVRUVTUVQUUJEYEUVQUUJIUUFJUQZVJVKEUVQUUEIUU
      IUWHVJUVQUUEPMVGUNZUNIUVQYNPUUDUWIUVQYOMVGUWCWRUWDWTUBWJUVQUUHJUUFUVQUUHP
      MVIUNZUNJUVQYNPUUGUWJUVQYOMVIUWCWRUWDWTUCWJXBXEUDWJXBXFXMUWAUUNYIUVBYKUWA
      UUMGYHUWAUUMHVAUNGUWAYRHVAUWGWRUEWJXBUWAUVALYJUWAUVABCOOUUOUUPFUNZUNZVMLU
      WABCYTYTUUTOOUWLUWFUWFUWAUUOUUSUWKUWAUUPUURFUVQUURFVRUVRUVTUVQUURPMVLUNZU
      NFUVQYNPUUQUWMUVQYOMVLUWCWRUWDWTUFWJXFXGXGXHUGWJXBXIXJXKXKXKAUVJUVKUHXLYM
      VOVPAYGYLYBYDYFXNYIYKXOXPXQXRXS $.
  $}

  ${
    $d x y K $.  $d x y ph $.  $d x y W $.
    hlhilbase.h $e |- H = ( LHyp ` K ) $.
    hlhilbase.u $e |- U = ( ( HLHil ` K ) ` W ) $.
    hlhilbase.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    ${
      hlhilsca.e $e |- E = ( ( EDRing ` K ) ` W ) $.
      hlhilsca.g $e |- G = ( ( HGMap ` K ) ` W ) $.
      hlhilsca.r $e |- R = ( E sSet <. ( *r ` ndx ) , G >. ) $.
      $( The scalar of the final constructed Hilbert space.  (Contributed by
         NM, 22-Jun-2015.)  (Revised by Mario Carneiro, 28-Jun-2015.) $)
      hlhilsca $p |- ( ph -> R = ( Scalar ` U ) ) $=
        ( vx cnx cfv cop csca eqid vy cbs cdvh cplusg ctp cvsca cip cv cmpo cpr
        chdma cun cvv wcel wceq cstv csts co ovex eqeltri phlsca ax-mp hlhilset
        fveq2d eqtr4id ) ABPUBQHGUCQQZUBQZRPUDQVFUDQZRPSQBRUEPUFQVFUFQZRPUGQOUA
        VGVGOUHUAUHHGUKQQZQQUIZRUJULZSQZCSQBUMUNBVMUOBDPUPQERZUQURUMNDVNUQUSUTV
        GVHBVIVLVKUMVLTVAVBACVLSAOUAVHBVJVIVFDEFVKGCVGHIJVFTVGTVHTLMNVITVJTVKTK
        VCVDVE $.
    $}

    hlhilbase.l $e |- L = ( ( DVecH ` K ) ` W ) $.
    ${
      hlhilbase.m $e |- M = ( Base ` L ) $.
      $( The base set of the final constructed Hilbert space.  (Contributed by
         NM, 21-Jun-2015.)  (Revised by Mario Carneiro, 28-Jun-2015.) $)
      hlhilbase $p |- ( ph -> M = ( Base ` U ) ) $=
        ( vx vy cnx cbs cfv cop cplusg eqid csca cedring cstv chg csts co cvsca
        ctp cip cv chdma cmpo cpr cun cvv wcel wceq fvexi ax-mp hlhilset fveq2d
        phlbase eqtr4id ) AFOPQFROSQESQZROUAQGDUBQQZOUCQGDUDQQZRUEUFZRUHOUGQEUG
        QZROUIQMNFFMUJNUJGDUKQQZQQULZRUMUNZPQZBPQFUOUPFVLUQFEPLURFVDVGVHVKVJUOV
        KTVBUSABVKPAMNVDVGVIVHEVEVFCVJDBFGHIKLVDTVETVFTVGTVHTVITVJTJUTVAVC $.
    $}

    ${
      hlhilplus.a $e |- .+ = ( +g ` L ) $.
      $( The vector addition for the final constructed Hilbert space.
         (Contributed by NM, 21-Jun-2015.) $)
      hlhilplus $p |- ( ph -> .+ = ( +g ` U ) ) $=
        ( vx vy cnx cbs cfv cop cplusg eqid csca cedring cstv chg csts co cvsca
        ctp cip cv chdma cmpo cpr cun cvv wcel wceq fvexi phlplusg ax-mp fveq2d
        hlhilset eqtr4id ) ABOPQFPQZROSQBROUAQGEUBQQZOUCQGEUDQQZRUEUFZRUHOUGQFU
        GQZROUIQMNVDVDMUJNUJGEUKQQZQQULZRUMUNZSQZCSQBUOUPBVLUQBFSLURVDBVGVHVKVJ
        UOVKTUSUTACVKSAMNBVGVIVHFVEVFDVJECVDGHIKVDTLVETVFTVGTVHTVITVJTJVBVAVC
        $.
    $}
  $}

  ${
    hlhilslem.h $e |- H = ( LHyp ` K ) $.
    hlhilslem.e $e |- E = ( ( EDRing ` K ) ` W ) $.
    hlhilslem.u $e |- U = ( ( HLHil ` K ) ` W ) $.
    hlhilslem.r $e |- R = ( Scalar ` U ) $.
    hlhilslem.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    ${
      hlhilslem.f $e |- F = Slot ( F ` ndx ) $.
      hlhilslem.n $e |- ( F ` ndx ) =/= ( *r ` ndx ) $.
      hlhilslem.c $e |- C = ( F ` E ) $.
      $( Lemma for ~ hlhilsbase etc.  (Contributed by Mario Carneiro,
         28-Jun-2015.)  (Revised by AV, 6-Nov-2024.) $)
      hlhilslem $p |- ( ph -> C = ( F ` R ) ) $=
        ( cnx cfv eqid cstv chg cop csts co setsnid eqtri csca hlhilsca eqtr4di
        fveq2d syl5eq ) ABERUASZIHUBSSZUCUDUEZFSZCFSBEFSUPQUNUMFEOPUFUGAUOCFAUO
        DUHSCAUODEUNGHIJLNKUNTUOTUIMUJUKUL $.
    $}

    ${
      hlhilslemOLD.f $e |- F = Slot N $.
      hlhilslemOLD.1 $e |- N e. NN $.
      hlhilslemOLD.2 $e |- N < 4 $.
      hlhilslemOLD.c $e |- C = ( F ` E ) $.
      $( Obsolete version of ~ hlhilslem as of 6-Nov-2024.  Lemma for
         ~ hlhilsbase .  (Contributed by Mario Carneiro, 28-Jun-2015.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      hlhilslemOLD $p |- ( ph -> C = ( F ` R ) ) $=
        ( cfv cnx cstv chg cop csts co ndxid wne c4 nnrei ltneii ndxarg neeq12i
        starvndx mpbir setsnid eqtri csca eqid hlhilsca eqtr4di fveq2d syl5eq )
        ABEUAUBTZJHUCTTZUDUEUFZFTZCFTBEFTVGSVEVDFEFIPQUGUAFTZVDUHIUIUHIUIIQUJRU
        KVHIVDUIFIPQULUNUMUOUPUQAVFCFAVFDURTCAVFDEVEGHJKMOLVEUSVFUSUTNVAVBVC $.
    $}

    ${
      hlhilsbase.c $e |- C = ( Base ` E ) $.
      $( The scalar base set of the final constructed Hilbert space.
         (Contributed by NM, 22-Jun-2015.)  (Revised by Mario Carneiro,
         28-Jun-2015.)  (Revised by AV, 6-Nov-2024.) $)
      hlhilsbase $p |- ( ph -> C = ( Base ` R ) ) $=
        ( cbs baseid cnx cstv cfv starvndxnbasendx necomi hlhilslem ) ABCDEOFGH
        IJKLMPQRSQOSTUANUB $.

      $( Obsolete version of ~ hlhilsbase as of 6-Nov-2024.  The scalar base
         set of the final constructed Hilbert space.  (Contributed by NM,
         22-Jun-2015.)  (Revised by Mario Carneiro, 28-Jun-2015.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      hlhilsbaseOLD $p |- ( ph -> C = ( Base ` R ) ) $=
        ( cbs c1 df-base 1nn 1lt4 hlhilslemOLD ) ABCDEOFGPHIJKLMQRSNT $.
    $}

    ${
      hlhilsplus.a $e |- .+ = ( +g ` E ) $.
      $( Scalar addition for the final constructed Hilbert space.  (Contributed
         by NM, 22-Jun-2015.)  (Revised by Mario Carneiro, 28-Jun-2015.)
         (Revised by AV, 6-Nov-2024.) $)
      hlhilsplus $p |- ( ph -> .+ = ( +g ` R ) ) $=
        ( cplusg plusgid cnx cstv cfv starvndxnplusgndx necomi hlhilslem ) ABCD
        EOFGHIJKLMPQRSQOSTUANUB $.

      $( Obsolete version of ~ hlhilsplus as of 6-Nov-2024.  The scalar
         addition for the final constructed Hilbert space.  (Contributed by NM,
         22-Jun-2015.)  (Revised by Mario Carneiro, 28-Jun-2015.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      hlhilsplusOLD $p |- ( ph -> .+ = ( +g ` R ) ) $=
        ( cplusg c2 df-plusg 2nn 2lt4 hlhilslemOLD ) ABCDEOFGPHIJKLMQRSNT $.
    $}

    ${
      hlhilsmul.m $e |- .x. = ( .r ` E ) $.
      $( Scalar multiplication for the final constructed Hilbert space.
         (Contributed by NM, 22-Jun-2015.)  (Revised by Mario Carneiro,
         28-Jun-2015.)  (Revised by AV, 6-Nov-2024.) $)
      hlhilsmul $p |- ( ph -> .x. = ( .r ` R ) ) $=
        ( cmulr mulrid cnx cstv cfv starvndxnmulrndx necomi hlhilslem ) ACBDEOF
        GHIJKLMPQRSQOSTUANUB $.

      $( Obsolete version of ~ hlhilsmul as of 6-Nov-2024.  The scalar
         multiplication for the final constructed Hilbert space.  (Contributed
         by NM, 22-Jun-2015.)  (Revised by Mario Carneiro, 28-Jun-2015.)
         (New usage is discouraged.)  (Proof modification is discouraged.) $)
      hlhilsmulOLD $p |- ( ph -> .x. = ( .r ` R ) ) $=
        ( cmulr c3 df-mulr 3nn 3lt4 hlhilslemOLD ) ACBDEOFGPHIJKLMQRSNT $.
    $}
  $}

  ${
    $d x y ph $.  $d x y R $.  $d x y S $.
    hlhilsbase.h $e |- H = ( LHyp ` K ) $.
    hlhilsbase.l $e |- L = ( ( DVecH ` K ) ` W ) $.
    hlhilsbase.s $e |- S = ( Scalar ` L ) $.
    hlhilsbase.u $e |- U = ( ( HLHil ` K ) ` W ) $.
    hlhilsbase.r $e |- R = ( Scalar ` U ) $.
    hlhilsbase.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    ${
      hlhilsbase2.c $e |- C = ( Base ` S ) $.
      $( The scalar base set of the final constructed Hilbert space.
         (Contributed by NM, 22-Jun-2015.)  (Revised by Mario Carneiro,
         28-Jun-2015.) $)
      hlhilsbase2 $p |- ( ph -> C = ( Base ` R ) ) $=
        ( cfv cbs chlt wcel cedring wa wceq dvhsca syl fveq2d syl5eq hlhilsbase
        eqid eqtrd ) ABIGUAQQZRQZCRQABDRQULPADUKRAGSTIFTUBDUKUCOUKHDFGISJUKUIZK
        LUDUEUFUGAULCEUKFGIJUMMNOULUIUHUJ $.
    $}

    ${
      hlhilsplus2.a $e |- .+ = ( +g ` S ) $.
      $( Scalar addition for the final constructed Hilbert space.  (Contributed
         by NM, 22-Jun-2015.)  (Revised by Mario Carneiro, 28-Jun-2015.) $)
      hlhilsplus2 $p |- ( ph -> .+ = ( +g ` R ) ) $=
        ( cfv cplusg chlt wcel cedring wceq dvhsca syl fveq2d syl5eq hlhilsplus
        wa eqid eqtrd ) ABIGUAQQZRQZCRQABDRQULPADUKRAGSTIFTUHDUKUBOUKHDFGISJUKU
        IZKLUCUDUEUFAULCEUKFGIJUMMNOULUIUGUJ $.
    $}

    ${
      hlhilsmul2.m $e |- .x. = ( .r ` S ) $.
      $( Scalar multiplication for the final constructed Hilbert space.
         (Contributed by NM, 22-Jun-2015.)  (Revised by Mario Carneiro,
         28-Jun-2015.) $)
      hlhilsmul2 $p |- ( ph -> .x. = ( .r ` R ) ) $=
        ( cfv cmulr chlt wcel cedring wa wceq dvhsca syl fveq2d hlhilsmul eqtrd
        eqid syl5eq ) ADIGUAQQZRQZBRQADCRQULPACUKRAGSTIFTUBCUKUCOUKHCFGISJUKUIZ
        KLUDUEUFUJABULEUKFGIJUMMNOULUIUGUH $.
    $}

    ${
      hlhils0.z $e |- .0. = ( 0g ` S ) $.
      $( The scalar ring zero for the final constructed Hilbert space.
         (Contributed by NM, 22-Jun-2015.)  (Revised by Mario Carneiro,
         29-Jun-2015.) $)
      hlhils0 $p |- ( ph -> .0. = ( 0g ` R ) ) $=
        ( vx vy c0g cfv cbs eqidd eqid hlhilsbase2 cv cplusg hlhilsplus2 oveqdr
        wcel wa grpidpropd syl5eq ) AICSTBSTPAQRCUATZCBAUMUBAUMBCDEFGHJKLMNOUMU
        CUDAQUEUMUIRUEUMUIUJQRCUFTZBUFTAUNBCDEFGHJKLMNOUNUCUGUHUKUL $.
    $}

    ${
      hlhils1.t $e |- .1. = ( 1r ` S ) $.
      $( The scalar ring unity for the final constructed Hilbert space.
         (Contributed by NM, 22-Jun-2015.)  (Revised by Mario Carneiro,
         29-Jun-2015.)  (New usage is discouraged.) $)
      hlhils1N $p |- ( ph -> .1. = ( 1r ` R ) ) $=
        ( vx vy cur cfv cbs eqidd eqid hlhilsbase2 cv wcel wa hlhilsmul2 oveqdr
        cmulr rngidpropd syl5eq ) AECSTBSTPAQRCUATZCBAUMUBAUMBCDFGHIJKLMNOUMUCU
        DAQUEUMUFRUEUMUFUGQRCUJTZBUJTABCUNDFGHIJKLMNOUNUCUHUIUKUL $.
    $}
  $}

  ${
    $d x y K $.  $d x y ph $.  $d x y W $.
    hlhilvsca.h $e |- H = ( LHyp ` K ) $.
    hlhilvsca.l $e |- L = ( ( DVecH ` K ) ` W ) $.
    hlhilvsca.t $e |- .x. = ( .s ` L ) $.
    hlhilvsca.u $e |- U = ( ( HLHil ` K ) ` W ) $.
    hlhilvsca.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The scalar product for the final constructed Hilbert space.
       (Contributed by NM, 21-Jun-2015.)  (Revised by Mario Carneiro,
       28-Jun-2015.) $)
    hlhilvsca $p |- ( ph -> .x. = ( .s ` U ) ) $=
      ( vx vy cnx cbs cfv cop cvsca eqid cplusg csca cedring cstv chg co ctp cv
      csts cip chdma cmpo cpr cun wcel wceq fvexi phlvsca ax-mp hlhilset fveq2d
      cvv eqtr4id ) ABOPQFPQZROUAQFUAQZROUBQGEUCQQZOUDQGEUEQQZRUIUFZRUGOSQBROUJ
      QMNVDVDMUHNUHGEUKQQZQQULZRUMUNZSQZCSQBVBUOBVLUPBFSJUQVDVEVHBVKVJVBVKTURUS
      ACVKSAMNVEVHVIBFVFVGDVJECVDGHKIVDTVETVFTVGTVHTJVITVJTLUTVAVC $.
  $}

  ${
    $d x y K $.  $d x y ph $.  $d x y S $.  $d x y V $.  $d x y W $.
    $d x y X $.  $d x y Y $.
    hlhilip.h $e |- H = ( LHyp ` K ) $.
    hlhilip.l $e |- L = ( ( DVecH ` K ) ` W ) $.
    hlhilip.v $e |- V = ( Base ` L ) $.
    hlhilip.s $e |- S = ( ( HDMap ` K ) ` W ) $.
    hlhilip.u $e |- U = ( ( HLHil ` K ) ` W ) $.
    hlhilip.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    ${
      hlhilip.p $e |- ., = ( x e. V , y e. V |-> ( ( S ` y ) ` x ) ) $.
      $( Inner product operation for the final constructed Hilbert space.
         (Contributed by NM, 22-Jun-2015.)  (Revised by Mario Carneiro,
         28-Jun-2015.) $)
      hlhilip $p |- ( ph -> ., = ( .i ` U ) ) $=
        ( cnx cfv cbs cop cplusg csca cedring cstv chg co ctp cvsca cip cpr cun
        csts cvv wcel wceq cmpo fvexi mpoex eqeltri phlip ax-mp hlhilset fveq2d
        cv eqid eqtr4id ) AGSUATJUBSUCTIUCTZUBSUDTKHUETTZSUFTKHUGTTZUBUNUHZUBUI
        SUJTIUJTZUBSUKTGUBULUMZUKTZEUKTGUOUPGVOUQGBCJJBVFCVFDTTZURUORBCJJVPJIUA
        NUSZVQUTVAJVIVLVMVNGUOVNVGVBVCAEVNUKABCVIVLDVMIVJVKFGHEJKLPMNVIVGVJVGVK
        VGVLVGVMVGORQVDVEVH $.
    $}

    hlhilip.i $e |- ., = ( .i ` U ) $.
    hlhilip.x $e |- ( ph -> X e. V ) $.
    hlhilip.y $e |- ( ph -> Y e. V ) $.
    $( Value of inner product operation for the final constructed Hilbert
       space.  (Contributed by NM, 22-Jun-2015.)  (Revised by Mario Carneiro,
       28-Jun-2015.) $)
    hlhilipval $p |- ( ph -> ( X ., Y ) = ( ( S ` Y ) ` X ) ) $=
      ( vx vy co cfv cmpo cip eqid hlhilip eqtr4id oveqd wcel wceq fveq2 fveq1d
      cv fvex ovmpo syl2anc eqtrd ) AJKEUCJKUAUBHHUAUOZUBUOZBUDZUDZUEZUCZJKBUDZ
      UDZAEVDJKAECUFUDVDRAUAUBBCDVDFGHILMNOPQVDUGZUHUIUJAJHUKKHUKVEVGULSTUAUBJK
      HHVCVGVDJVBUDUTJVBUMVAKULJVBVFVAKBUMUNVHJVFUPUQURUS $.
  $}

  ${
    hlhilnvl.h $e |- H = ( LHyp ` K ) $.
    hlhilnvl.u $e |- U = ( ( HLHil ` K ) ` W ) $.
    hlhilnvl.r $e |- R = ( Scalar ` U ) $.
    hlhilnvl.i $e |- .* = ( ( HGMap ` K ) ` W ) $.
    hlhilnvl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The involution operation of the star division ring for the final
       constructed Hilbert space.  (Contributed by NM, 20-Jun-2015.)  (Revised
       by Mario Carneiro, 28-Jun-2015.) $)
    hlhilnvl $p |- ( ph -> .* = ( *r ` R ) ) $=
      ( cedring cfv cnx cstv cop cvv wcel eqid csts wceq fvex chg fvexi starvid
      co setsid mp2an csca hlhilsca eqtr4di fveq2d syl5eq ) AEGFMNZNZOPNEQUAUGZ
      PNZBPNUPRSERSEURUBGUOUCEGFUDNKUEREPRUPUFUHUIAUQBPAUQCUJNBAUQCUPEDFGHILUPT
      KUQTUKJULUMUN $.
  $}

  ${
    $d x y B $.  $d x y K $.  $d x y ph $.  $d x y R $.  $d x y U $.
    $d x y W $.
    hlhillvec.h $e |- H = ( LHyp ` K ) $.
    hlhillvec.u $e |- U = ( ( HLHil ` K ) ` W ) $.
    hlhillvec.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The final constructed Hilbert space is a vector space.  (Contributed by
       NM, 22-Jun-2015.)  (Revised by Mario Carneiro, 29-Jun-2015.) $)
    hlhillvec $p |- ( ph -> U e. LVec ) $=
      ( vx vy cfv clvec wcel eqid cbs csca eqidd wa cplusg oveqdr dvhlvec cmulr
      hlhilbase hlhilsbase2 cv hlhilplus hlhilsplus2 hlhilsmul2 cvsca hlhilvsca
      cdvh lvecprop2d mpbid ) AEDUKKKZLMBLMAUNCDEFUNNZHUAAIJUNOKZUNPKZOKZUQBPKZ
      UNBAUPQABCDUNUPEFGHUOUPNUCUQNZUSNZAURQAURUSUQBCDUNEFUOUTGVAHURNUDAIUEZUPM
      JUEZUPMZRIJUNSKZBSKAVEBCDUNEFGHUOVENUFTAVBURMZVCURMRZIJUQSKZUSSKAVHUSUQBC
      DUNEFUOUTGVAHVHNUGTAVGIJUQUBKZUSUBKAUSUQVIBCDUNEFUOUTGVAHVINUHTAVFVDRIJUN
      UIKZBUIKAVJBCDUNEFUOVJNGHUJTULUM $.

    hlhildrng.r $e |- R = ( Scalar ` U ) $.
    $( The star division ring for the final constructed Hilbert space is a
       division ring.  (Contributed by NM, 20-Jun-2015.)  (Revised by Mario
       Carneiro, 28-Jun-2015.) $)
    hlhildrng $p |- ( ph -> R e. DivRing ) $=
      ( vx vy cfv cdr wcel wa eqid cv cplusg oveqdr cedring chlt erngdv syl cbs
      eqidd hlhilsbase hlhilsplus cmulr hlhilsmul drngpropd mpbid ) AFEUAMMZNOZ
      BNOAEUBOFDOPUNIUMDEFGUMQZUCUDAKLUMUEMZUMBAUPUFAUPBCUMDEFGUOHJIUPQUGAKRUPO
      LRUPOPZKLUMSMZBSMAURBCUMDEFGUOHJIURQUHTAUQKLUMUIMZBUIMABUSCUMDEFGUOHJIUSQ
      UJTUKUL $.

    ${
      hlhilsrng.l $e |- L = ( ( DVecH ` K ) ` W ) $.
      hlhilsrng.s $e |- S = ( Scalar ` L ) $.
      hlhilsrng.b $e |- B = ( Base ` S ) $.
      hlhilsrng.p $e |- .+ = ( +g ` S ) $.
      hlhilsrng.t $e |- .x. = ( .r ` S ) $.
      hlhilsrng.g $e |- G = ( ( HGMap ` K ) ` W ) $.
      $( Lemma for ~ hlhilsrng .  (Contributed by NM, 21-Jun-2015.)  (Revised
         by Mario Carneiro, 28-Jun-2015.) $)
      hlhilsrnglem $p |- ( ph -> R e. *Ring ) $=
        ( vx hlhilsbase2 hlhilsplus2 hlhilsmul2 hlhilnvl cdr wcel crg hlhildrng
        vy drngring syl cv wa chlt adantr simpr hgmapcl 3ad2ant1 simp2 hgmapadd
        w3a simp3 hgmapmul hgmapvv issrngd ) AUCULCDFHBABDEGIJKLMQRNPOSUDACDEGI
        JKLMQRNPOTUEADEFGIJKLMQRNPOUAUFADGIHJLMNPUBOUGADUHUIDUJUIADGIJLMNOPUKDU
        MUNAUCUOZBUIZUPZBEKVIHIJLMQRSUBAJUQUILIUIUPZVJOURZAVJUSZUTAVJULUOZBUIZV
        DZBCEKHIJLVIVOMQRSTUBAVJVLVPOVAZAVJVPVBZAVJVPVEZVCVQBEFKHIJLVIVOMQRSUAU
        BVRVSVTVFVKBEKHIJLVIMQRSUBVMVNVGVH $.
    $}

    $( The star division ring for the final constructed Hilbert space is a
       division ring.  (Contributed by NM, 21-Jun-2015.) $)
    hlhilsrng $p |- ( ph -> R e. *Ring ) $=
      ( cdvh cfv csca cbs cplusg cmulr chg eqid hlhilsrnglem ) AFEKLLZMLZNLZUAO
      LZBUAUAPLZCFEQLLZDETFGHIJTRUARUBRUCRUDRUERS $.
  $}

  ${
    $d x y L $.  $d y z N $.  $d x y z ph $.  $d x y z U $.  $d y z V $.
    $d y z X $.
    hlhil0.h $e |- H = ( LHyp ` K ) $.
    hlhil0.l $e |- L = ( ( DVecH ` K ) ` W ) $.
    hlhil0.u $e |- U = ( ( HLHil ` K ) ` W ) $.
    hlhil0.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    ${
      hlhil0.z $e |- .0. = ( 0g ` L ) $.
      $( The zero vector for the final constructed Hilbert space.  (Contributed
         by NM, 22-Jun-2015.)  (Revised by Mario Carneiro, 29-Jun-2015.) $)
      hlhil0 $p |- ( ph -> .0. = ( 0g ` U ) ) $=
        ( vx vy c0g cfv eqid cv wcel cplusg eqidd hlhilbase wa hlhilplus oveqdr
        cbs grpidpropd syl5eq ) AGEOPBOPLAMNEUFPZEBAUIUAABCDEUIFHJKIUIQUBAMRUIS
        NRUISUCMNETPZBTPAUJBCDEFHJKIUJQUDUEUGUH $.
    $}

    ${
      hlhillsm.a $e |- .(+) = ( LSSum ` L ) $.
      $( The vector sum operation for the final constructed Hilbert space.
         (Contributed by NM, 23-Jun-2015.)  (Revised by Mario Carneiro,
         29-Jun-2015.) $)
      hlhillsm $p |- ( ph -> .(+) = ( LSSum ` U ) ) $=
        ( vx vy clsm cfv cvv eqid cv wcel cbs hlhilbase cplusg hlhilplus oveqdr
        eqidd wa cdvh fvexi a1i chlh lsmpropd syl5eq ) ABFOPCOPLAMNFUAPZFCQQAUN
        UFACDEFUNGHJKIUNRUBAMSUNTNSUNTUGMNFUCPZCUCPAUOCDEFGHJKIUORUDUEFQTAFGEUH
        PIUIUJCQTACGEUKPJUIUJULUM $.
    $}

    hlhilocv.v $e |- V = ( Base ` L ) $.
    hlhilocv.n $e |- N = ( ( ocH ` K ) ` W ) $.
    hlhilocv.o $e |- O = ( ocv ` U ) $.
    hlhilocv.x $e |- ( ph -> X C_ V ) $.
    $( The orthocomplement for the final constructed Hilbert space.
       (Contributed by NM, 23-Jun-2015.)  (Revised by Mario Carneiro,
       29-Jun-2015.) $)
    hlhilocv $p |- ( ph -> ( O ` X ) = ( N ` X ) ) $=
      ( vy cfv vz cv cip csca c0g wceq wral cbs crab chdma hlhilbase rabeq wcel
      syl eqid chlt ad2antrr simplr wss adantr sselda hlhilipval hlhils0 eqcomd
      co wa eqeq12d ralbidva rabbidva eqtr3d sseqtrd ocvval hdmapoc 3eqtr4d ) A
      SUBZUAUBZBUCTZVEZBUDTZUETZUFZUAJUGZSBUHTZUIZVOVPIDUJTTZTTZEUDTZUETZUFZUAJ
      UGZSHUIZJGTZJFTAWBSHUIZWDWKAHWCUFWMWDUFABCDEHIKMNLOUKZWBSHWCULUNAWBWJSHAV
      OHUMZVFZWAWIUAJWPVPJUMZVFZVRWFVTWHWRWEBCVQDEHIVOVPKLOWEUOZMADUPUMICUMVFWO
      WQNUQVQUOZAWOWQURWPJHVPAJHUSWORUTVAVBAVTWHUFWOWQAWHVTAVSWGBCDEIWHKLWGUOZM
      VSUOZNWHUOZVCVDUQVGVHVIVJAJWCUSWLWDUFAJHWCRWNVKSUAJVSVQGWCBVTWCUOWTXBVTUO
      QVLUNASUAWGWEECDFHIJWHKLOXAXCPWSNRVMVN $.
  $}

  ${
    $d x C $.  $d x I $.  $d x ph $.
    hlhillcs.h $e |- H = ( LHyp ` K ) $.
    hlhillcs.i $e |- I = ( ( DIsoH ` K ) ` W ) $.
    hlhillcs.u $e |- U = ( ( HLHil ` K ) ` W ) $.
    hlhillcs.c $e |- C = ( ClSubSp ` U ) $.
    hlhillcs.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    $( The closed subspaces of the final constructed Hilbert space.  TODO:
       ~ hlhilbase is applied over and over to conclusion rather than applied
       once to antecedent - would compressed proof be shorter if applied once
       to antecedent?  (Contributed by NM, 23-Jun-2015.) $)
    hlhillcs $p |- ( ph -> C = ran I ) $=
      ( vx wcel wa cfv wceq eqid wss hlhilocv crn cv cocv chlh fvexi iscss mp1i
      cvv wb biimpa cbs coch cdvh chlt adantr hlhilbase sseq2d biimpar dochoccl
      cssss eqcom fveq2d dochssv eqtrd eqeq1d syl5bb bitr4d sylan2 mpbird simpr
      syl2anc dihrnss sylan eqcomd ex 3imtr4d mpd impbida eqrdv ) AMBEUAZAMUBZB
      NZWAVTNZAWBOWCWAWACUCPZPZWDPZQZAWBWGCUHNZWBWGUIZACGFUDPJUEZBWAWDCUHWDRZKU
      FZUGUJWBAWACUKPZSZWCWGUIBWAWMCWMRKUTAWNOZWCWAGFULPPZPZWPPZWAQZWGWOGFUMPPZ
      DEFWPWTUKPZGWAHIWTRZXARZWPRZAFUNNGDNOZWNLUOZAWAXASZWNAXAWMWAACDFWTXAGHJLX
      BXCUPUQURZUSWGWFWAQZWOWSWAWFVAWOWFWRWAWOWFWQWDPZWRWOWEWQWDWOCDFWTWPWDXAGW
      AHXBJXFXCXDWKXHTVBWOCDFWTWPWDXAGWQHXBJXFXCXDWKWOXEXGWQXASZXFXHWTDFWPXAGWA
      HXBXCXDVCZVKTVDVEVFVGVHVIAWCOZWCWBAWCVJXMWSWGWCWBXMWSWGXMWSOWFWAXMXIWSXMW
      FWRWAXMWFXJWRXMWEWQWDXMCDFWTWPWDXAGWAHXBJAXEWCLUOZXCXDWKAXEWCXGLWTDEFXAGW
      AHXBIXCVLVMZTVBXMCDFWTWPWDXAGWQHXBJXNXCXDWKXMXEXGXKXNXOXLVKTVDVEURVNVOXMW
      TDEFWPXAGWAHIXBXCXDXNXOUSWHWIXMWJWLUGVPVQVRVS $.
  $}

  ${
    $d x y K $.  $d x U $.  $d x y W $.  $d x ph $.
    hlhilphl.h $e |- H = ( LHyp ` K ) $.
    hlhilphllem.u $e |- U = ( ( HLHil ` K ) ` W ) $.
    hlhilphl.k $e |- ( ph -> ( K e. HL /\ W e. H ) ) $.
    ${
      $d a b c d B $.  $d x y J $.  $d a b c d U $.  $d a b c d x y V $.
      $d a b c d ph $.
      hlhilphllem.f $e |- F = ( Scalar ` U ) $.
      hlhilphllem.l $e |- L = ( ( DVecH ` K ) ` W ) $.
      hlhilphllem.v $e |- V = ( Base ` L ) $.
      hlhilphllem.a $e |- .+ = ( +g ` L ) $.
      hlhilphllem.s $e |- .x. = ( .s ` L ) $.
      hlhilphllem.r $e |- R = ( Scalar ` L ) $.
      hlhilphllem.b $e |- B = ( Base ` R ) $.
      hlhilphllem.p $e |- .+^ = ( +g ` R ) $.
      hlhilphllem.t $e |- .X. = ( .r ` R ) $.
      hlhilphllem.q $e |- Q = ( 0g ` R ) $.
      hlhilphllem.z $e |- .0. = ( 0g ` L ) $.
      hlhilphllem.i $e |- ., = ( .i ` U ) $.
      hlhilphllem.j $e |- J = ( ( HDMap ` K ) ` W ) $.
      hlhilphllem.g $e |- G = ( ( HGMap ` K ) ` W ) $.
      hlhilphllem.e $e |- E = ( x e. V , y e. V |-> ( ( J ` y ) ` x ) ) $.
      $( Lemma for ~ hlhil .  (Contributed by NM, 23-Jun-2015.) $)
      hlhilphllem $p |- ( ph -> U e. PreHil ) $=
        ( va vb vc vd hlhilbase hlhilplus hlhilvsca cip wceq hlhil0 hlhilsbase2
        cfv csca hlhilsplus2 hlhilsmul2 hlhilnvl hlhils0 hlhillvec hlhilsrng cv
        a1i wcel w3a co chlt 3ad2ant1 simp2 hlhilipval hdmapipcl eqeltrd simp31
        wa simp3 simp32 simp33 hdmapln1 clmod dvhlmod lmodvscl syl3anc lmodvacl
        oveq2d oveq12d 3eqtr4d adantr simpr eqeq1d hdmapip0 bitrd hdmapg fveq2d
        biimp3a isphld ) AVAVBVCEFIJMPNDGTKUBVDAKORSTUAUCUDUEUGUHVEAEKORSUAUCUD
        UEUGUIVFAIKORSUAUCUGUJUDUEVGPKVHVLVIAUQWAAKORSUAUBUCUGUDUEUPVJMKVMVLVIA
        UFWAADMHKORSUAUCUGUKUDUFUEULVKAFMHKORSUAUCUGUKUDUFUEUMVNAMHJKORSUAUCUGU
        KUDUFUEUNVOAMKONRUAUCUDUFUSUEVPAMHKORSUAGUCUGUKUDUFUEUOVQAKORUAUCUDUEVR
        AMKORUAUCUDUEUFVSAVAVTZTWBZVBVTZTWBZWCZXNXPPWDZXNXPQVLVLZDXRQKOPRSTUAXN
        XPUCUGUHURUDAXORWEWBUAOWBWLZXQUEWFZUQAXOXQWGZAXOXQWMZWHZXRDHQSORTUAXNXP
        UCUGUHUKULURYBYCYDWIWJAVDVTZDWBZXOXQVCVTZTWBZWCZWCZYFXNIWDZXPEWDZYHQVLZ
        VLYFXNYNVLZJWDZXPYNVLZFWDYMYHPWDYFXNYHPWDZJWDZXPYHPWDZFWDYKYFDEFHQIJSOR
        TUAXNXPYHUCUGUHUIUJUKULUMUNURAYGYAYJUEWFZAYGXOXQYIWKZAYGXOXQYIWNZAYGXOX
        QYIWOZAYGYJWGZWPYKQKOPRSTUAYMYHUCUGUHURUDUUAUQYKSWQWBZYLTWBZXQYMTWBAYGU
        UFYJASORUAUCUGUEWRWFZYKUUFYGXOUUGUUHUUEUUBYFIHDTSXNUHUKUJULWSWTUUCETSYL
        XPUHUIXAWTUUDWHYKYSYPYTYQFYKYRYOYFJYKQKOPRSTUAXNYHUCUGUHURUDUUAUQUUBUUD
        WHXBYKQKOPRSTUAXPYHUCUGUHURUDUUAUQUUCUUDWHXCXDAXOXNXNPWDZGVIZXNUBVIZAXO
        WLZUUJXNXNQVLZVLZGVIUUKUULUUIUUNGUULQKOPRSTUAXNXNUCUGUHURUDAYAXOUEXEZUQ
        AXOXFZUUPWHXGUULHQSORTUAXNUBGUCUGUHUPUKUOURUUOUUPXHXIXLXRXTNVLXPUUMVLXS
        NVLXPXNPWDXRQSNORTUAXNXPUCUGUHURUSYBYCYDXJXRXSXTNYEXKXRQKOPRSTUAXPXNUCU
        GUHURUDYBUQYDYCWHXDXM $.

      $d x C $.
      hlhilphllem.o $e |- O = ( ocv ` U ) $.
      hlhilphllem.c $e |- C = ( ClSubSp ` U ) $.
      $( Lemma for ~ hlhil .  (Contributed by NM, 23-Jun-2015.) $)
      hlhilhillem $p |- ( ph -> U e. Hil ) $=
        ( cphl wcel cv cfv clsm cbs wceq wral chil hlhilphllem coch chlt adantr
        co wa eqid crn wss hlhillcs eleq2d biimpa dihrnss sylan syldan hlhilocv
        cdih oveq2d hlhillsm oveqd clss dihrnlss wi dochoccl biimpd pm2.43d imp
        ex dochexmid 3eqtr3d hlhilbase eqtrd ralrimiva ishil2 sylanbrc ) ALVEVF
        BVGZXIUAVHZLVIVHZVRZLVJVHZVKZBEVLLVMVFABCDFGHIJKLMNOPQRSTUBUCUDUEUFUGUH
        UIUJUKULUMUNUOUPUQURUSUTVAVBVNAXNBEAXIEVFZVSZXLUBXMXPXIXJTVIVHZVRXIXIUC
        SVOVHVHZVHZXQVRZXLUBXPXJXSXIXQXPLPSTXRUAUBUCXIUEUIUFASVPVFUCPVFVSZXOUGV
        QUJXRVTZVCAXOXIUCSWJVHVHZWAZVFZXIUBWBZAXOYEAEYDXIAELPYCSUCUEYCVTZUFVDUG
        WCWDWEZAYAYEYFUGTPYCSUBUCXIUEUIYGUJWFWGZWHWIWKXPXQXKXIXJAXQXKVKXOAXQLPS
        TUCUEUIUFUGXQVTZWLVQWMAXOYEXTUBVKYHAYEVSZXQTWNVHZTPSXRUBUCXIUEYBUIUJYLV
        TZYJAYAYEUGVQZAYAYEXIYLVFUGYLTPYCSUCXIUEUIYGYMWOWGAYEXSXRVHXIVKZAYEYOAY
        EYEYOWPYKYEYOYKTPYCSXRUBUCXIUEYGUIUJYBYNYIWQWRXAWSWTXBWHXCAUBXMVKXOALPS
        TUBUCUEUFUGUIUJXDVQXEXFEXKLUAXMBXMVTXKVTVCVDXGXH $.
    $}

    $( Construction of a Hilbert space ( ~ df-hil ) ` U ` from a Hilbert
       lattice ( ~ df-hlat ) ` K ` , where ` W ` is a fixed but arbitrary
       hyperplane (co-atom) in ` K ` .

       The Hilbert space ` U ` is identical to the vector space
       ` ( ( DVecH `` K ) `` W ) ` (see ~ dvhlvec ) except that it is extended
       with involution and inner product components.  The construction of these
       two components is provided by Theorem 3.6 in [Holland95] p. 13, whose
       proof we follow loosely.

       An example of involution is the complex conjugate when the division ring
       is the field of complex numbers.  The nature of the division ring we
       constructed is indeterminate, however, until we specialize the initial
       Hilbert lattice with additional conditions found by Maria Sol&egrave;r
       in 1995 and refined by Ren&eacute; Mayet in 1998 that result in a
       division ring isomorphic to ` CC ` .  See additional discussion at
       ~ https://us.metamath.org/qlegif/mmql.html#what .

       ` W ` corresponds to the w in the proof of Theorem 13.4 of [Crawley]
       p. 111.  Such a ` W ` always exists since ` HL ` has lattice rank of at
       least 4 by ~ df-hil .  It can be eliminated if we just want to show the
       existence of a Hilbert space, as is done in the literature.
       (Contributed by NM, 23-Jun-2015.) $)
    hlathil $p |- ( ph -> U e. Hil ) $=
      ( vx vy cdvh cfv csca cbs ccss cplusg c0g cvsca cv eqid cmpo chg cip cocv
      cmulr chdma hlhilhillem ) AIJEDKLLZMLZNLZBOLZUHPLZUIPLZUIQLZUIUHRLZUIUELZ
      BIJUHNLZUQISJSEDUFLLZLLUAZBMLZEDUBLLZCBUCLZURDUHBUDLZUQEUHQLZFGHUTTUHTUQT
      ULTUOTUITUJTUMTUPTUNTVDTVBTURTVATUSTVCTUKTUG $.
  $}

$( (End of Norm Megill's mathbox.) $)
$( End $[ set-mbox-nm.mm $] $)


$( Begin $[ set-mbox-mku.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for metakunt
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  General helpful statements
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    leexp1ad.1 $e |- ( ph -> A e. RR ) $.
    leexp1ad.2 $e |- ( ph -> B e. RR ) $.
    leexp1ad.3 $e |- ( ph -> N e. NN0 ) $.
    leexp1ad.4 $e |- ( ph -> 0 <_ A ) $.
    leexp1ad.5 $e |- ( ph -> A <_ B ) $.
    $( Weak base ordering relationship for exponentiation, a deduction version.
       (Contributed by metakunt, 22-May-2024.) $)
    leexp1ad $p |- ( ph -> ( A ^ N ) <_ ( B ^ N ) ) $=
      ( cr wcel cn0 w3a cc0 cle wbr wa cexp co 3jca jca32 leexp1a syl ) ABJKZCJ
      KZDLKZMZNBOPZBCOPZQQBDRSCDRSOPAUGUHUIAUDUEUFEFGTHIUABCDUBUC $.
  $}

  ${
    relogbcld.1 $e |- ( ph -> B e. RR ) $.
    relogbcld.2 $e |- ( ph -> 0 < B ) $.
    relogbcld.3 $e |- ( ph -> X e. RR ) $.
    relogbcld.4 $e |- ( ph -> 0 < X ) $.
    relogbcld.5 $e |- ( ph -> B =/= 1 ) $.
    $( Closure of the general logarithm with a positive real base on positive
       reals, a deduction version.  (Contributed by metakunt, 22-May-2024.) $)
    relogbcld $p |- ( ph -> ( B logb X ) e. RR ) $=
      ( crp wcel c1 wne w3a clogb co cr elrpd 3jca relogbcl syl ) ABIJZCIJZBKLZ
      MBCNOPJAUAUBUCABDEQACFGQHRBCST $.
  $}

  ${
    relogbexpd.1 $e |- ( ph -> B e. RR+ ) $.
    relogbexpd.2 $e |- ( ph -> B =/= 1 ) $.
    relogbexpd.3 $e |- ( ph -> M e. ZZ ) $.
    $( Identity law for general logarithm: the logarithm of a power to the base
       is the exponent, a deduction version.  (Contributed by metakunt,
       22-May-2024.) $)
    relogbexpd $p |- ( ph -> ( B logb ( B ^ M ) ) = M ) $=
      ( crp wcel c1 wne cz w3a cexp co clogb wceq 3jca relogbexp syl ) ABGHZBIJ
      ZCKHZLBBCMNONCPATUAUBDEFQBCRS $.
  $}

  ${
    relogbzexpd.1 $e |- ( ph -> B e. RR+ ) $.
    relogbzexpd.2 $e |- ( ph -> B =/= 1 ) $.
    relogbzexpd.3 $e |- ( ph -> C e. RR+ ) $.
    relogbzexpd.4 $e |- ( ph -> N e. ZZ ) $.
    $( Power law for the general logarithm for integer powers:  The logarithm
       of a positive real number to the power of an integer is equal to the
       product of the exponent and the logarithm of the base of the power, a
       deduction version.  (Contributed by metakunt, 22-May-2024.) $)
    relogbzexpd $p |- ( ph -> ( B logb ( C ^ N ) ) = ( N x. ( B logb C ) ) ) $=
      ( cc cc0 c1 cpr cdif wcel crp cz w3a cexp co clogb cmul wceq rpcnd rpne0d
      nelprd eldifd 3jca relogbzexp syl ) ABIJKLZMNZCONZDPNZQBCDRSTSDBCTSUASUBA
      UKULUMABIUJABEUCABJKABEUDFUEUFGHUGBCDUHUI $.
  $}

  ${
    logblebd.1 $e |- ( ph -> B e. ZZ ) $.
    logblebd.2 $e |- ( ph -> 2 <_ B ) $.
    logblebd.3 $e |- ( ph -> X e. RR ) $.
    logblebd.4 $e |- ( ph -> 0 < X ) $.
    logblebd.5 $e |- ( ph -> Y e. RR ) $.
    logblebd.6 $e |- ( ph -> 0 < Y ) $.
    logblebd.7 $e |- ( ph -> X <_ Y ) $.
    $( The general logarithm is monotone/increasing, a deduction version.
       (Contributed by metakunt, 22-May-2024.) $)
    logblebd $p |- ( ph -> ( B logb X ) <_ ( B logb Y ) ) $=
      ( cle wbr clogb co c2 wcel crp wb cz cuz cfv w3a wa 2z eluz1 ax-mp sylibr
      jca elrpd 3jca logbleb syl mpbid ) ACDLMZBCNOBDNOLMZKABPUAUBQZCRQZDRQZUCU
      OUPSAUQURUSABTQZPBLMZUDZUQAUTVAEFUIPTQUQVBSUEPBUFUGUHACGHUJADIJUJUKBCDULU
      MUN $.
  $}

  ${
    $d A x $.  $d M x y $.  $d N x y $.  $d ch x $.  $d et x $.  $d ph x y $.
    $d ps y $.  $d ta x $.  $d th x $.
    fzindd.1 $e |- ( x = M -> ( ps <-> ch ) ) $.
    fzindd.2 $e |- ( x = y -> ( ps <-> th ) ) $.
    fzindd.3 $e |- ( x = ( y + 1 ) -> ( ps <-> ta ) ) $.
    fzindd.4 $e |- ( x = A -> ( ps <-> et ) ) $.
    fzindd.5 $e |- ( ph -> ch ) $.
    fzindd.6 $e |- ( ( ph /\ ( y e. ZZ /\ M <_ y /\ y < N ) /\ th ) -> ta ) $.
    fzindd.7 $e |- ( ph -> M e. ZZ ) $.
    fzindd.8 $e |- ( ph -> N e. ZZ ) $.
    fzindd.9 $e |- ( ph -> M <_ N ) $.
    $( Induction on the integers from M to N inclusive, a deduction version.
       (Contributed by metakunt, 12-May-2024.) $)
    fzindd $p |- ( ( ph /\ ( A e. ZZ /\ M <_ A /\ A <_ N ) ) -> et ) $=
      ( cz wcel cle wbr w3a wa wi jca cv wceq imbi2d c1 caddc co a1i clt expcom
      3expa ex a2d adantl fzind sylan imp anabss1 ) AIUAUBJIUCUDIKUCUDUEZFAVFUF
      AFAJUAUBZKUAUBZUFZVFAFUGZAVGVHRSUHABUGACUGZADUGZAEUGZVJGHIJKGUIZJUJBCALUK
      VNHUIZUJBDAMUKVNVOULUMUNUJBEANUKVNIUJBFAOUKVKVGVHJKUCUDUEPUOVOUAUBJVOUCUD
      VOKUPUDUEZVLVMUGVIVPADEAVPDEUGAVPUFDEAVPDEQURUSUQUTVAVBVCVDVE $.
  $}

  ${
    $d M j k $.  $d N j $.  $d ch j $.  $d et j $.  $d j k ph $.  $d j ta $.
    $d j th $.  $d k ps $.
    uzindd.1 $e |- ( j = M -> ( ps <-> ch ) ) $.
    uzindd.2 $e |- ( j = k -> ( ps <-> th ) ) $.
    uzindd.3 $e |- ( j = ( k + 1 ) -> ( ps <-> ta ) ) $.
    uzindd.4 $e |- ( j = N -> ( ps <-> et ) ) $.
    uzindd.5 $e |- ( ph -> ch ) $.
    uzindd.6 $e |- ( ( ph /\ th /\ ( k e. ZZ /\ M <_ k ) ) -> ta ) $.
    uzindd.7 $e |- ( ph -> M e. ZZ ) $.
    uzindd.8 $e |- ( ph -> N e. ZZ ) $.
    uzindd.9 $e |- ( ph -> M <_ N ) $.
    $( Induction on the upper integers that start at ` M ` .  The first four
       hypotheses give us the substitution instances we need; the following two
       are the basis and the induction step, a deduction version.  (Contributed
       by metakunt, 8-Jun-2024.) $)
    uzindd $p |- ( ph -> et ) $=
      ( wi cz wcel cle wbr w3a 3jca cv wceq imbi2d c1 caddc co adantr expcom wa
      3anass ancom bitri ad4ant123 anasss sylan2b 3impa 3com23 3expia a2d uzind
      mpcom ) IUAUBZJUAUBZIJUCUDZUEAFAVHVIVJQRSUFABTACTADTAETAFTGHIJGUGZIUHBCAK
      UIVKHUGZUHBDALUIVKVLUJUKULUHBEAMUIVKJUHBFANUIAVHCACVHOUMUNVHVLUAUBZIVLUCU
      DZUEZADEAVODETAVODEADVOEADVOEVOADUOZVMVNUOZVHUOZEVOVHVQUOVRVHVMVNUPVHVQUQ
      URVPVQVHEADVQEVHPUSUTVAVBVCVDUNVEVFVG $.
  $}

  ${
    fzadd2d.1 $e |- ( ph -> M e. ZZ ) $.
    fzadd2d.2 $e |- ( ph -> N e. ZZ ) $.
    fzadd2d.3 $e |- ( ph -> O e. ZZ ) $.
    fzadd2d.4 $e |- ( ph -> P e. ZZ ) $.
    fzadd2d.5 $e |- ( ph -> J e. ( M ... N ) ) $.
    fzadd2d.6 $e |- ( ph -> K e. ( O ... P ) ) $.
    fzadd2d.7 $e |- ( ph -> Q = ( M + O ) ) $.
    fzadd2d.8 $e |- ( ph -> R = ( N + P ) ) $.
    $( Membership of a sum in a finite interval of integers, a deduction
       version.  (Contributed by metakunt, 10-May-2024.) $)
    fzadd2d $p |- ( ph -> ( J + K ) e. ( Q ... R ) ) $=
      ( co cfz wcel caddc wa jca cz wi fzadd2 syl mpd oveq12d eleqtrrd ) AEFUAR
      ZGIUARZHBUARZSRZCDSRAEGHSRTZFIBSRTZUBZUKUNTZAUOUPNOUCAGUDTZHUDTZUBZIUDTZB
      UDTZUBZUBUQURUEAVAVDAUSUTJKUCAVBVCLMUCUCBEFGHIUFUGUHACULDUMSPQUIUJ $.
  $}

  ${
    zltlem1d.1 $e |- ( ph -> M e. ZZ ) $.
    zltlem1d.2 $e |- ( ph -> N e. ZZ ) $.
    $( Integer ordering relation, a deduction version.  (Contributed by
       metakunt, 23-May-2024.) $)
    zltlem1d $p |- ( ph -> ( M < N <-> M <_ ( N - 1 ) ) ) $=
      ( cz wcel clt wbr c1 cmin co cle wb zltlem1 syl2anc ) ABFGCFGBCHIBCJKLMIN
      DEBCOP $.
  $}

  ${
    zltp1led.1 $e |- ( ph -> M e. ZZ ) $.
    zltp1led.2 $e |- ( ph -> N e. ZZ ) $.
    $( Integer ordering relation, a deduction version.  (Contributed by
       metakunt, 23-May-2024.) $)
    zltp1led $p |- ( ph -> ( M < N <-> ( M + 1 ) <_ N ) ) $=
      ( cz wcel clt wbr c1 caddc co cle wb zltp1le syl2anc ) ABFGCFGBCHIBJKLCMI
      NDEBCOP $.
  $}

  ${
    fzne2d.1 $e |- ( ph -> K e. ( M ... N ) ) $.
    fzne2d.2 $e |- ( ph -> K =/= N ) $.
    $( Elementhood in a finite set of sequential integers, except its upper
       bound.  (Contributed by metakunt, 23-May-2024.) $)
    fzne2d $p |- ( ph -> K < N ) $=
      ( clt wbr wne necomd cz wcel w3a cle wa cfz co elfz2 sylib zred simprrd
      simpld simp3d simp2d leltned mpbird ) ABDGHDBIABDFJABDABACKLZDKLZBKLZAUGU
      HUIMZCBNHZBDNHZOZABCDPQLUJUMOEBCDRSZUBZUCTADAUGUHUIUOUDTAUJUKULUNUAUEUF
      $.
  $}

  ${
    $d A x $.  $d F x $.  $d G x $.  $d ph x $.
    eqfnfv2d2.1 $e |- ( ph -> F Fn A ) $.
    eqfnfv2d2.2 $e |- ( ph -> G Fn B ) $.
    eqfnfv2d2.3 $e |- ( ph -> A = B ) $.
    eqfnfv2d2.4 $e |- ( ( ph /\ x e. A ) -> ( F ` x ) = ( G ` x ) ) $.
    $( Equality of functions is determined by their values, a deduction
       version.  (Contributed by metakunt, 28-May-2024.) $)
    eqfnfv2d2 $p |- ( ph -> F = G ) $=
      ( wceq cv cfv wral wa ralrimiva jca wfn wb eqfnfv2 syl mpbird ) AEFKZCDKZ
      BLZEMUEFMKZBCNZOZAUDUGIAUFBCJPQAECRZFDRZOUCUHSAUIUJGHQBCDEFTUAUB $.
  $}

  ${
    fzsplitnd.1 $e |- ( ph -> K e. ( M ... N ) ) $.
    $( Split a finite interval of integers into two parts.  (Contributed by
       metakunt, 28-May-2024.) $)
    fzsplitnd $p |- ( ph -> ( M ... N ) =
     ( ( M ... ( K - 1 ) ) u. ( K ... N ) ) ) $=
      ( cfz co c1 cmin cun cuz cfv wcel wceq elfzuz syl elfzelzd mpbird syl2anc
      caddc zcnd 1cnd npcand eleq1d 1zzd zsubcld elfzuz3 fveq2d eleq2d fzsplit2
      cz peano2uzr oveq1d uneq2d eqtrd ) ACDFGZCBHIGZFGZUQHTGZDFGZJZURBDFGZJAUS
      CKLZMZDUQKLMZUPVANAVDBVCMZABUPMZVFEBCDOPAUSBVCABHABABCDEQZUAAUBUCZUDRAUQU
      KMDUSKLZMZVEABHVHAUEUFAVKDBKLZMZAVGVMEBCDUGPAVJVLDAUSBKVIUHUIRUQDULSUQCDU
      JSAUTVBURAUSBDFVIUMUNUO $.
  $}

  ${
    fzsplitnr.1 $e |- ( ph -> M e. ZZ ) $.
    fzsplitnr.2 $e |- ( ph -> N e. ZZ ) $.
    fzsplitnr.3 $e |- ( ph -> K e. ZZ ) $.
    fzsplitnr.4 $e |- ( ph -> M <_ K ) $.
    fzsplitnr.5 $e |- ( ph -> K <_ N ) $.
    $( Split a finite interval of integers into two parts.  (Contributed by
       metakunt, 28-May-2024.) $)
    fzsplitnr $p |- ( ph -> ( M ... N ) =
     ( ( M ... ( K - 1 ) ) u. ( K ... N ) ) ) $=
      ( elfzd fzsplitnd ) ABCDABCDEFGHIJK $.
  $}

  ${
    addassnni.1 $e |- A e. NN $.
    addassnni.2 $e |- B e. NN $.
    addassnni.3 $e |- C e. NN $.
    $( Associative law for addition.  (Contributed by metakunt,
       25-Apr-2024.) $)
    addassnni $p |- ( ( A + B ) + C ) = ( A + ( B + C ) ) $=
      ( nncni addassi ) ABCADGBEGCFGH $.
  $}

  ${
    addcomnni.1 $e |- A e. NN $.
    addcomnni.2 $e |- B e. NN $.
    $( Commutative law for addition.  (Contributed by metakunt,
       25-Apr-2024.) $)
    addcomnni $p |- ( A + B ) = ( B + A ) $=
      ( nncni addcomi ) ABACEBDEF $.
  $}

  ${
    mulassnni.1 $e |- A e. NN $.
    mulassnni.2 $e |- B e. NN $.
    mulassnni.3 $e |- C e. NN $.
    $( Associative law for multiplication.  (Contributed by metakunt,
       25-Apr-2024.) $)
    mulassnni $p |- ( ( A x. B ) x. C ) = ( A x. ( B x. C ) ) $=
      ( nncni mulassi ) ABCADGBEGCFGH $.
  $}

  ${
    mulcomnni.1 $e |- A e. NN $.
    mulcomnni.2 $e |- B e. NN $.
    $( Commutative law for multiplication.  (Contributed by metakunt,
       25-Apr-2024.) $)
    mulcomnni $p |- ( A x. B ) = ( B x. A ) $=
      ( nncni mulcomi ) ABACEBDEF $.
  $}

  ${
    gcdcomnni.1 $e |- M e. NN $.
    gcdcomnni.2 $e |- N e. NN $.
    $( Commutative law for gcd.  (Contributed by metakunt, 25-Apr-2024.) $)
    gcdcomnni $p |- ( M gcd N ) = ( N gcd M ) $=
      ( cz wcel wa cgcd co wceq nnzi pm3.2i gcdcom ax-mp ) AEFZBEFZGABHIBAHIJOP
      ACKBDKLABMN $.
  $}

  ${
    gcdnegnni.1 $e |- M e. NN $.
    gcdnegnni.2 $e |- N e. NN $.
    $( Negation invariance for gcd.  (Contributed by metakunt, 25-Apr-2024.) $)
    gcdnegnni $p |- ( M gcd -u N ) = ( M gcd N ) $=
      ( cz wcel wa cneg cgcd co wceq nnzi pm3.2i gcdneg ax-mp ) AEFZBEFZGABHIJA
      BIJKPQACLBDLMABNO $.
  $}

  ${
    neggcdnni.1 $e |- M e. NN $.
    neggcdnni.2 $e |- N e. NN $.
    $( Negation invariance for gcd.  (Contributed by metakunt, 25-Apr-2024.) $)
    neggcdnni $p |- ( -u M gcd N ) = ( M gcd N ) $=
      ( cz wcel wa cneg cgcd co wceq nnzi pm3.2i neggcd ax-mp ) AEFZBEFZGAHBIJA
      BIJKPQACLBDLMABNO $.
  $}

  ${
    bccl2d.1 $e |- ( ph -> N e. NN ) $.
    bccl2d.2 $e |- ( ph -> K e. NN0 ) $.
    bccl2d.3 $e |- ( ph -> K <_ N ) $.
    $( Closure of the binomial coefficient, a deduction version.  (Contributed
       by metakunt, 12-May-2024.) $)
    bccl2d $p |- ( ph -> ( N _C K ) e. NN ) $=
      ( cc0 cfz co wcel cbc cn cz cle wbr w3a nn0zd nn0ge0d 3jca syl wb nnzd 0z
      elfz1 mpan mpbird bccl2 ) ABGCHIJZCBKILJAUHBMJZGBNOZBCNOZPZAUIUJUKABEQABE
      RFSACMJZUHULUAZACDUBGMJUMUNUCBGCUDUETUFBCUGT $.
  $}

  ${
    recbothd.1 $e |- ( ph -> A e. CC ) $.
    recbothd.2 $e |- ( ph -> A =/= 0 ) $.
    recbothd.3 $e |- ( ph -> B e. CC ) $.
    recbothd.4 $e |- ( ph -> B =/= 0 ) $.
    recbothd.5 $e |- ( ph -> C e. CC ) $.
    recbothd.6 $e |- ( ph -> C =/= 0 ) $.
    recbothd.7 $e |- ( ph -> D e. CC ) $.
    recbothd.8 $e |- ( ph -> D =/= 0 ) $.
    $( Take reciprocal on both sides.  (Contributed by metakunt,
       12-May-2024.) $)
    recbothd $p |- ( ph -> ( ( A / B ) = ( C / D )
     <-> ( B / A ) = ( D / C ) ) ) $=
      ( cdiv co wceq c1 cc wa jca wcel cc0 wne divcld divne0d rec11 syl recdivd
      wb bicomd eqeq12d bitrd ) ABCNOZDENOZPZQUMNOZQUNNOZPZCBNOZEDNOZPAURUOAUMR
      UAZUMUBUCZSZUNRUAZUNUBUCZSZSURUOUIAVCVFAVAVBABCFHIUDABCFHGIUETAVDVEADEJLM
      UDADEJLKMUETTUMUNUFUGUJAUPUSUQUTABCFHGIUHADEJLKMUHUKUL $.
  $}

  ${
    gcdmultiplei.1 $e |- M e. NN $.
    gcdmultiplei.2 $e |- N e. NN $.
    $( The GCD of a multiple of a positive integer is the positive integer
       itself.  (Contributed by metakunt, 25-Apr-2024.) $)
    gcdmultiplei $p |- ( M gcd ( M x. N ) ) = M $=
      ( cn wcel cmul co cgcd wceq gcdmultiple mp2an ) AEFBEFAABGHIHAJCDABKL $.
  $}

  ${
    gcdaddmzz2nni.1 $e |- M e. NN $.
    gcdaddmzz2nni.2 $e |- N e. NN $.
    gcdaddmzz2nni.3 $e |- K e. ZZ $.
    $( Adding a multiple of one operand of the gcd operator to the other does
       not alter the result.  (Contributed by metakunt, 25-Apr-2024.) $)
    gcdaddmzz2nni $p |- ( M gcd N ) = ( M gcd ( N + ( K x. M ) ) ) $=
      ( cz wcel w3a cgcd co cmul caddc wceq nnzi 3pm3.2i gcdaddm ax-mp ) AGHZBG
      HZCGHZIBCJKBCABLKMKJKNSTUAFBDOCEOPABCQR $.
  $}

  ${
    gcdaddmzz2nncomi.1 $e |- M e. NN $.
    gcdaddmzz2nncomi.2 $e |- N e. NN $.
    gcdaddmzz2nncomi.3 $e |- K e. ZZ $.
    $( Adding a multiple of one operand of the gcd operator to the other does
       not alter the result.  (Contributed by metakunt, 25-Apr-2024.) $)
    gcdaddmzz2nncomi $p |- ( M gcd N ) = ( M gcd ( ( K x. M ) + N ) ) $=
      ( cgcd co cmul caddc gcdaddmzz2nni nncni cz wcel zcn ax-mp mulcli addcomi
      cc oveq2i eqtri ) BCGHBCABIHZJHZGHBUBCJHZGHABCDEFKUCUDBGCUBCELABAMNASNFAO
      PBDLQRTUA $.
  $}

  ${
    gcdnncli.1 $e |- M e. NN $.
    gcdnncli.2 $e |- N e. NN $.
    $( Closure of the gcd operator.  (Contributed by metakunt, 25-Apr-2024.) $)
    gcdnncli $p |- ( M gcd N ) e. NN $=
      ( cn wcel cgcd co gcdnncl mp2an ) AEFBEFABGHEFCDABIJ $.
  $}

  ${
    muldvds1d.1 $e |- ( ph -> K e. ZZ ) $.
    muldvds1d.2 $e |- ( ph -> M e. ZZ ) $.
    muldvds1d.3 $e |- ( ph -> N e. ZZ ) $.
    muldvds1d.4 $e |- ( ph -> ( K x. M ) || N ) $.
    $( If a product divides an integer, so does one of its factors, a deduction
       version.  (Contributed by metakunt, 12-May-2024.) $)
    muldvds1d $p |- ( ph -> K || N ) $=
      ( cmul co cdvds wbr cz wcel w3a wi 3jca muldvds1 syl mpd ) ABCIJDKLZBDKLZ
      HABMNZCMNZDMNZOUAUBPAUCUDUEEFGQBCDRST $.
  $}

  ${
    muldvds2d.1 $e |- ( ph -> K e. ZZ ) $.
    muldvds2d.2 $e |- ( ph -> M e. ZZ ) $.
    muldvds2d.3 $e |- ( ph -> N e. ZZ ) $.
    muldvds2d.4 $e |- ( ph -> ( K x. M ) || N ) $.
    $( If a product divides an integer, so does one of its factors, a deduction
       version.  (Contributed by metakunt, 12-May-2024.) $)
    muldvds2d $p |- ( ph -> M || N ) $=
      ( cz wcel w3a cmul co cdvds wbr 3jca muldvds2 sylc ) ABIJZCIJZDIJZKBCLMDN
      OCDNOASTUAEFGPHBCDQR $.
  $}

  ${
    nndivdvdsd.1 $e |- ( ph -> M e. NN ) $.
    nndivdvdsd.2 $e |- ( ph -> N e. NN ) $.
    $( A positive integer divides a natural number if and only if the quotient
       is a positive integer, a deduction version of ~ nndivdvds .
       (Contributed by metakunt, 12-May-2024.) $)
    nndivdvdsd $p |- ( ph -> ( M || N <-> ( N / M ) e. NN ) ) $=
      ( cn wcel cdvds wbr cdiv co wb nndivdvds syl2anc ) ACFGBFGBCHICBJKFGLEDCB
      MN $.
  $}

  ${
    nnproddivdvdsd.1 $e |- ( ph -> K e. NN ) $.
    nnproddivdvdsd.2 $e |- ( ph -> M e. NN ) $.
    nnproddivdvdsd.3 $e |- ( ph -> N e. NN ) $.
    $( A product of natural numbers divides a natural number if and only if a
       factor divides the quotient, a deduction version.  (Contributed by
       metakunt, 12-May-2024.) $)
    nnproddivdvdsd $p |- ( ph -> ( ( K x. M ) || N <->
       K || ( N / M ) ) ) $=
      ( cmul co cdvds wbr cdiv cn wcel cc nncnd adantr nndivdvdsd cz nnzd nnne0
      wa cc0 wne syl nnne0d divdiv1d eqcomd divdiv32d eqtrd nnmulcld biimpd imp
      eqeltrrd wi 3jca muldvds2 mpbid mpbird ex dvdszrcl simprd adantl dvdsmulc
      w3a syl3an1 syl3an3 3anidm13 impancom mpd wceq divcan1d breqtrd impbid )
      ABCHIZDJKZBDCLIZJKZAVPVRAVPUBZVRVQBLIZMNVSDVOLIZVTMVSWADBLICLIZVTVSWBWAVS
      DBCADONVPADGPZQZABONVPABEPQZACONVPACFPZQZVSBMNZBUCUDAWHVPEQZBUAUEZVSCACMN
      VPFQZUFZUGUHVSDBCWDWEWGWJWLUIUJAVPWAMNZAVPWMAVODABCEFUKGRULUMUNVSBVQWIVSC
      DJKZVQMNAVPWNABSNZCSNZDSNZVEVPWNUOAWOWPWQABETZACFTZADGTUPBCDUQUEUMVSCDWKA
      DMNVPGQRURRUSUTAVRVPAVRUBZVOVQCHIZDJWTVQSNZVOXAJKZVRXBAVRWOXBBVQVAVBVCAXB
      VRXCAXBVRXCUOZAAXBWPXDWSAWOXBWPXDWRCBVQVDVFVGVHVIVJAXADVKVRADCWCWFACFUFVL
      QVMUTVN $.
  $}

  ${
    coprmdvds2d.1 $e |- ( ph -> K e. ZZ ) $.
    coprmdvds2d.2 $e |- ( ph -> M e. ZZ ) $.
    coprmdvds2d.3 $e |- ( ph -> N e. ZZ ) $.
    coprmdvds2d.4 $e |- ( ph -> ( K gcd M ) = 1 ) $.
    coprmdvds2d.5 $e |- ( ph -> K || N ) $.
    coprmdvds2d.6 $e |- ( ph -> M || N ) $.
    $( If an integer is divisible by two coprime integers, then it is divisible
       by their product, a deduction version.  (Contributed by metakunt,
       12-May-2024.) $)
    coprmdvds2d $p |- ( ph -> ( K x. M ) || N ) $=
      ( cdvds wbr cmul co cz wcel w3a cgcd c1 wa wceq wi 3jca coprmdvds2 mp2and
      jca syl ) ABDKLZCDKLZBCMNDKLZIJABOPZCOPZDOPZQZBCRNSUAZTUHUITUJUBAUNUOAUKU
      LUMEFGUCHUFDBCUDUGUE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Some gcd and lcm results
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $( The gcd of 12 and 5 is 1.  (Contributed by metakunt, 25-Apr-2024.) $)
    12gcd5e1 $p |- ( ; 1 2 gcd 5 ) = 1 $=
      ( c1 c5 c2 cdc cgcd co clt wbr cr wcel wb mp2an mpbir cprime cmul 5nn 2nn
      caddc cc0 eqtr3i wceq wne wo 2lt5 olci 5re 2re 5prm 2prm gcdaddmzz2nncomi
      lttri2 prmrp nnzi mulcomnni 5t2e10 oveq1i 1nn0 0nn0 nnnn0i eqid dec0h 2cn
      1p0e1 addid2i decadd eqtri oveq2i decnncl gcdcomnni eqtr2i ) ABACDZEFZVKB
      EFBCEFZAVLVMAUAZBCUBZVOBCGHZCBGHZUCZVQVPUDUEBIJCIJVOVRKUFUGBCUKLMBNJCNJVN
      VOKUHUIBCULLMVMBCBOFZCRFZEFVLCBCPQCQUMUJVTVKBEVTASDZCRFVKVSWACRBCOFVSWABC
      PQUNUOTUPASSCACWACUQURURCQUSZWAUTCWBVAVCCVBVDVEVFVGVFTBVKPACUQQVHVIVJ $.
  $}

  ${
    $( The gcd of 60 and 6 is 6.  (Contributed by metakunt, 25-Apr-2024.) $)
    60gcd6e6 $p |- ( ; 6 0 gcd 6 ) = 6 $=
      ( c6 cc0 cdc cgcd co 6nn decnncl2 gcdcomnni c1 cmul nnnn0i 1nn0 0nn0 eqid
      6cn mulid2i mul02i decmul1 10nn eqtr3i mulcomnni oveq2i gcdmultiplei
      eqtri ) AABCZDEZUEADEAAUEFAFGHUFAAIBCZJEZDEAUEUHADUGAJEUEUHIBABAUGAFKLMUG
      NAOPAOQRUGASFUATUBAUGFSUCUDT $.
  $}

  ${
    $( The gcd of 60 and 7 is 1.  (Contributed by metakunt, 25-Apr-2024.) $)
    60gcd7e1 $p |- ( ; 6 0 gcd 7 ) = 1 $=
      ( c7 c6 cc0 cdc cgcd co c1 7nn caddc 1nn0 c4 c9 oveq2i eqid c5 eqtri wcel
      ax-1cn clt wbr 6nn decnncl2 gcdcomnni cmul 1nn decnncl nnzi gcdaddmzz2nni
      7t7e49 4nn0 9nn0 4cn 4p1e5 addcomli oveq1i 5p1e6 9cn 9p1e10 decaddc2 wceq
      wne cr 7re nnnn0i dec0h 0nn0 cle 7lt9 wa wi pm3.2i ltle ax-mp 0lt1 declth
      9re eqbrtri ltne mp2an necom mpbir cprime wb 7prm 11prm prmrp eqtr3i ) AB
      CDZEFZWHAEFGAWHHBUAUBUCAGGDZEFZWIGWKAWJAAUDFZIFZEFWIAAWJHGGJUEUFAHUGUHWMW
      HAEWMWJKLDZIFWHWLWNWJIUIMGGKLBWJWNJJUJUKWJNWNNGKIFZGIFOGIFBWOOGIKGOULRUMU
      NUOUPPLGGCDUQRURUNUSPMPWKGUTZAWJVAZWQWJAVAZAVBQZAWJSTWRVCACADWJSAAHVDZVEC
      GAGVFJWTJALSTZALVGTZVHWSLVBQZVIXAXBVJWSXCVCVPVKALVLVMVMVNVOVQAWJVRVSAWJVT
      WAAWBQWJWBQWPWQWCWDWEAWJWFVSWAWGWG $.
  $}

  ${
    $( The gcd of 420 and 8 is 4.  (Contributed by metakunt, 25-Apr-2024.) $)
    420gcd8e4 $p |- ( ; ; 4 2 0 gcd 8 ) = 4 $=
      ( c8 c4 cgcd co c2 cdc cc0 c5 cmul caddc 8nn 4nn 5nn0 2nn decnncl c1 4nn0
      c6 1nn0 eqtr3i nnzi gcdaddmzz2nncomi deccl 6nn0 0nn0 dec0h nn0cni addid1i
      eqid 1p1e2 decsuc 6p4e10 decaddc2 8nn0 2nn0 0p1e1 8t5e40 8t2e16 mulcomnni
      decmul2c oveq1i oveq2i eqtr4i gcdcomnni 4t2e8 gcdmultiplei eqtri decnncl2
      3eqtr3ri ) ABCDZABEFZGFZCDZBVLACDVJAHEFZAIDZBJDZCDVMVNABKLVNHEMNOZUAUBVLV
      PACBPFZRFZBJDVLVPVRRGBVKVSBBPQSUCZUDUEQVSUIBQUFBPEVRGJDQSUJVRVRVTUGUHUKUL
      UMVSVOBJAVNIDVSVOHEVRRAPVNUNMUOVNUIUDSBGPAHIDQUEUPUQUKURUTAVNKVQUSTVATVBV
      CVJBACDZBABKLVDBBEIDZCDWABWBABCVEVBBELNVFTVGAVLKVKBEQNOVHVDVI $.
  $}

  ${
    lcmeprodgcdi.1 $e |- M e. NN $.
    lcmeprodgcdi.2 $e |- N e. NN $.
    lcmeprodgcdi.3 $e |- G e. NN $.
    lcmeprodgcdi.4 $e |- H e. NN $.
    lcmeprodgcdi.5 $e |- ( M gcd N ) = G $.
    lcmeprodgcdi.6 $e |- ( G x. H ) = A $.
    lcmeprodgcdi.7 $e |- ( M x. N ) = A $.
    $( Calculate the least common multiple of two natural numbers.
       (Contributed by metakunt, 25-Apr-2024.) $)
    lcmeprodgcdi $p |- ( M lcm N ) = H $=
      ( co cmul wceq cn wcel eqtr4i cc wa clcm cgcd oveq2i lcmgcdnn mp2an eqtri
      mulcomnni eqtr3i cc0 wne w3a wb cn0 nnzi pm3.2i lcmcl ax-mp nn0cni nnne0i
      cz nncni 3pm3.2i mulcan2 mpbi ) DEUAMZBNMZCBNMZOZVECOZVEDEUBMZNMZVFVGVJBV
      ENJUCVKBCNMZVGVKDENMZVLDPQEPQVKVMOFGDEUDUEVLAVMKLRRBCHIUGUFUHVESQZCSQZBSQ
      ZBUIUJZTZUKVHVIULVNVOVRVEDUTQZEUTQZTVEUMQVSVTDFUNEGUNUODEUPUQURCIVAVPVQBH
      VABHUSUOVBVECBVCUQVD $.
  $}

  ${
    $( The lcm of 12 and 5 is 60.  (Contributed by metakunt, 25-Apr-2024.) $)
    12lcm5e60 $p |- ( ; 1 2 lcm 5 ) = ; 6 0 $=
      ( c6 cc0 cdc c1 c2 c5 1nn0 2nn decnncl 5nn 1nn 6nn decnncl2 12gcd5e1 6nn0
      0nn0 mulid2i co caddc 5cn deccl nn0cni 5nn0 2nn0 eqid oveq1i 5p1e6 5t2e10
      cmul eqtri 2cn mulcomli decmul1c lcmeprodgcdi ) ABCZDUODECZFDEGHIJKALMNUO
      UOABOPUAUBQDEABFDUPUCGUDUPUEPGDFUIRZDSRFDSRAUQFDSFTQUFUGUJFEDBCTUKUHULUMU
      N $.
  $}

  ${
    $( The lcm of 60 and 6 is 60.  (Contributed by metakunt, 25-Apr-2024.) $)
    60lcm6e60 $p |- ( ; 6 0 lcm 6 ) = ; 6 0 $=
      ( c6 cc0 cdc cmul co 6nn decnncl2 60gcd6e6 eqid mulcomnni lcmeprodgcdi )
      AABCZDEZALLAAFGZFFNHMILANFJK $.
  $}

  ${
    $( The lcm of 60 and 7 is 420.  (Contributed by metakunt, 25-Apr-2024.) $)
    60lcm7e420 $p |- ( ; 6 0 lcm 7 ) = ; ; 4 2 0 $=
      ( c4 c2 cdc cc0 c1 c6 c7 6nn decnncl2 7nn 1nn 4nn0 2nn 2nn0 deccl 0nn0 co
      cmul 7cn mulcomli decnncl 60gcd7e1 nn0cni mulid2i 7nn0 6cn 7t6e42 addid1i
      6nn0 eqid 2cn decaddi mul01i dec0h eqcomi eqtr4i decmul1c lcmeprodgcdi
      0cn ) ABCZDCZEVAFDCZGFHIJKUTABLMUAIUBVAVAUTDABLNOPOUCUDFDUTDGDVBUEUIPVBUJ
      PPABBFGRQDLNPGFUTSUFUGTBUKUHULGDDDCZSUSGDRQDVCGSUMDVCDPUNUOUPTUQUR $.
  $}

  ${
    $( The lcm of 420 and 8 is 840.  (Contributed by metakunt, 25-Apr-2024.) $)
    420lcm8e840 $p |- ( ; ; 4 2 0 lcm 8 ) = ; ; 8 4 0 $=
      ( c4 c8 cdc cc0 cmul co 4nn0 2nn decnncl decnncl2 8nn 4nn 8nn0 eqid 4t2e8
      c2 eqtr4i eqtri 0nn0 caddc 420gcd8e4 mulcomnni oveq1i nnnn0i 4cn mulcomli
      mulassnni 2cn 8cn addid1i 2t2e4 dec0h decmul2c decaddi 2t0e0 lcmeprodgcdi
      eqcomi oveq2i ) ABACZDCZEFZAUTAPCZDCZBVBAPGHIZJZKLUSBAMLIJUAVANVCBEFZAPVC
      EFZEFZVAVFAPEFZVCEFZVHVFBVCEFVJVCBVEKUBVIBVCEOUCQAPVCLHVEUGRVGUTAEVBDUSDP
      DVCPHUDZVBVDUDSVCNSSBAAPVBEFDMGSAPBAPDVBVKGVKVBNGSPAEFZDTFBDTFBVLBDTAPBUE
      UHOUFUCBUIUJRPPEFADACZUKAVMAGULUQQUMAUEUJUNPDEFDDDCZUODVNDSULUQQUMURRUP
      $.
  $}

  ${
    lcmfunnnd.1 $e |- ( ph -> N e. NN ) $.
    $( Useful equation to calculate the least common multiple of 1 to n.
       (Contributed by metakunt, 29-Apr-2024.) $)
    lcmfunnnd $p |- ( ph -> ( _lcm ` ( 1 ... N ) ) =
      ( ( _lcm ` ( 1 ... ( N - 1 ) ) ) lcm N ) ) $=
      ( c1 cfz co clcmf cfv cmin csn cun cuz wcel wceq cc0 cn0 syl eleq2i a1i
      cz clcm caddc nncnd npcand oveq2d cn nnm1nn0 nn0uz sylib wb fveq2i mpbird
      1cnd 1m1e0 fzsuc2 mpan eqtr3d sneqd uneq2d eqtrd fveq2d wss cfn w3a fzssz
      1z fzfi nnz 3jca lcmfunsn ) ADBEFZGHDBDIFZEFZBJZKZGHZVMGHBUAFZAVKVOGAVKVM
      VLDUBFZJZKZVOADVREFZVKVTAVRBDEABDABCUCAUMUDZUEAVLDDIFZLHZMZWAVTNZAWEVLOLH
      ZMZAVLPMZWHABUFMZWICBUGQPWGVLUHRUIWEWHUJAWDWGVLWCOLUNUKRSULDTMWEWFVFDVLUO
      UPQUQAVSVNVMAVRBWBURUSUTVAAVMTVBZVMVCMZBTMZVDVPVQNAWKWLWMWKADVLVESWLADVLV
      GSAWJWMCBVHQVIBVMVJQUT $.
  $}

  ${
    $( Least common multiple of natural numbers up to 1 equals 1.  (Contributed
       by metakunt, 25-Apr-2024.) $)
    lcm1un $p |- ( _lcm ` ( 1 ... 1 ) ) = 1 $=
      ( c1 cfz co clcmf cfv cmin clcm cn wcel wceq 1nn id lcmfunnnd ax-mp 1m1e0
      c0 cc0 oveq2i fz10 eqtri fveq2i lcmf0 oveq1i cabs cz 1z lcmid abs1 ) AABC
      DEZAAAFCZBCZDEZAGCZAAHIZUIUMJKUNAUNLMNUMAAGCZAULAAGULPDEAUKPDUKAQBCPUJQAB
      ORSTUAUBTUCUOAUDEZAAUEIUOUPJUFAUGNUHTTT $.
  $}

  ${
    $( Least common multiple of natural numbers up to 2 equals 2.  (Contributed
       by metakunt, 25-Apr-2024.) $)
    lcm2un $p |- ( _lcm ` ( 1 ... 2 ) ) = 2 $=
      ( c1 c2 cfz co clcmf cfv clcm cmin cn wcel wceq 2nn lcmfunnnd ax-mp 2m1e1
      id oveq1i eqtri cz 2z oveq2i fveq2i lcm1un lcmcom mp2an cabs lcm1 cc0 cle
      1z cr wbr wa 2re 0le2 pm3.2i absid ) ABCDEFZAACDZEFZBGDZBURABAHDZCDZEFZBG
      DZVABIJZURVEKLVFBVFPMNVDUTBGVCUSEVBAACOUAUBQRVAABGDZBUTABGUCQVGBAGDZBASJB
      SJZVGVHKUJTABUDUEVHBUFFZBVIVHVJKTBUGNBUKJZUHBUIULZUMVJBKVKVLUNUOUPBUQNRRR
      R $.
  $}

  ${
    $( Least common multiple of natural numbers up to 3 equals 6.  (Contributed
       by metakunt, 25-Apr-2024.) $)
    lcm3un $p |- ( _lcm ` ( 1 ... 3 ) ) = 6 $=
      ( c1 c3 cfz co clcmf cfv cmin clcm c6 cn wcel wceq 3nn id lcmfunnnd ax-mp
      c2 3m1e2 eqtri cz oveq2i fveq2i lcm2un oveq1i wa 2z pm3.2i lcmcom 3lcm2e6
      3z ) ABCDEFZABAGDZCDZEFZBHDZIBJKZUKUOLMUPBUPNOPUOQBHDZIUNQBHUNAQCDZEFQUMU
      REULQACRUAUBUCSUDUQBQHDZIQTKZBTKZUEUQUSLUTVAUFUJUGQBUHPUISSS $.
  $}

  ${
    $( Least common multiple of natural numbers up to 4 equals 12.
       (Contributed by metakunt, 25-Apr-2024.) $)
    lcm4un $p |- ( _lcm ` ( 1 ... 4 ) ) = ; 1 2 $=
      ( c1 c4 cfz co clcmf cfv cmin clcm c6 c2 cdc cn wcel wceq lcmfunnnd ax-mp
      4nn id c3 4m1e3 oveq2i fveq2i lcm3un eqtri oveq1i 6lcm4e12 3eqtri ) ABCDE
      FZABAGDZCDZEFZBHDZIBHDAJKBLMZUHULNQUMBUMROPUKIBHUKASCDZEFIUJUNEUISACTUAUB
      UCUDUEUFUG $.
  $}

  ${
    $( Least common multiple of natural numbers up to 5 equals 60.
       (Contributed by metakunt, 25-Apr-2024.) $)
    lcm5un $p |- ( _lcm ` ( 1 ... 5 ) ) = ; 6 0 $=
      ( c1 c5 cfz co clcmf cfv cmin clcm c2 cdc cc0 wcel wceq 5nn a1i lcmfunnnd
      c6 cn c4 oveq1i ax-mp 5m1e4 oveq2i fveq2i lcm4un eqtri 12lcm5e60 3eqtri )
      ABCDEFZABAGDZCDZEFZBHDZAIJZBHDZQKJBRLZUIUMMNUPBUPUPNOPUAUMASCDZEFZBHDUOUL
      URBHUKUQEUJSACUBUCUDTURUNBHUETUFUGUH $.
  $}

  ${
    $( Least common multiple of natural numbers up to 6 equals 60.
       (Contributed by metakunt, 25-Apr-2024.) $)
    lcm6un $p |- ( _lcm ` ( 1 ... 6 ) ) = ; 6 0 $=
      ( c1 c6 cfz co clcmf cfv cmin clcm cc0 cdc cn wcel wceq 6nn a1i lcmfunnnd
      ax-mp c5 6m1e5 oveq1i oveq2i fveq2i lcm5un eqtri 60lcm6e60 3eqtri ) ABCDE
      FZABAGDZCDZEFZBHDZBIJZBHDZULBKLZUGUKMNUNBUNUNNOPQUKARCDZEFZBHDUMUJUPBHUIU
      OEUHRACSUAUBTUPULBHUCTUDUEUF $.
  $}

  ${
    $( Least common multiple of natural numbers up to 7 equals 420.
       (Contributed by metakunt, 25-Apr-2024.) $)
    lcm7un $p |- ( _lcm ` ( 1 ... 7 ) ) = ; ; 4 2 0 $=
      ( c1 c7 cfz co clcmf cfv cmin clcm c6 cc0 cdc c4 c2 cn wcel 7nn lcmfunnnd
      wceq id oveq1i ax-mp 7m1e6 oveq2i fveq2i lcm6un eqtri 60lcm7e420 3eqtri )
      ABCDEFZABAGDZCDZEFZBHDZIJKZBHDZLMKJKBNOZUIUMRPUPBUPSQUAUMAICDZEFZBHDUOULU
      RBHUKUQEUJIACUBUCUDTURUNBHUETUFUGUH $.
  $}

  ${
    $( Least common multiple of natural numbers up to 8 equals 840.
       (Contributed by metakunt, 25-Apr-2024.) $)
    lcm8un $p |- ( _lcm ` ( 1 ... 8 ) ) = ; ; 8 4 0 $=
      ( c1 c8 cfz co clcmf cfv cmin clcm c4 c2 cdc cc0 cn wcel 8nn id lcmfunnnd
      wceq c7 oveq1i ax-mp 8m1e7 oveq2i fveq2i lcm7un eqtri 420lcm8e840 3eqtri
      ) ABCDEFZABAGDZCDZEFZBHDZIJKLKZBHDZBIKLKBMNZUIUMROUPBUPPQUAUMASCDZEFZBHDU
      OULURBHUKUQEUJSACUBUCUDTURUNBHUETUFUGUH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Least common multiple inequality theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A k x $.  $d A q r x $.  $d B k x $.  $d F q r $.  $d G q r x $.
    $d H q r $.  $d L q r $.  $d U q r $.  $d k ph x $.  $d ph q x $.
    3factsumint1.1 $e |- A = ( L [,] U ) $.
    3factsumint1.2 $e |- ( ph -> B e. Fin ) $.
    3factsumint1.3 $e |- ( ph -> L e. RR ) $.
    3factsumint1.4 $e |- ( ph -> U e. RR ) $.
    3factsumint1.5 $e |- ( ( ph /\ x e. A ) -> F e. CC ) $.
    3factsumint1.6 $e |- ( ph -> ( x e. A |-> F ) e. ( A -cn-> CC ) ) $.
    3factsumint1.7 $e |- ( ( ph /\ k e. B ) -> G e. CC ) $.
    3factsumint1.8 $e |- ( ( ph /\ ( x e. A /\ k e. B ) ) -> H e. CC ) $.
    3factsumint1.9 $e |- ( ( ph /\ k e. B ) -> ( x e. A |-> H ) e.
     ( A -cn-> CC ) ) $.
    $( Move constants out of integrals or sums and/or commute sum and integral.
       (Contributed by metakunt, 26-Apr-2024.) $)
    3factsumint1 $p  |- ( ph -> S. A sum_ k e. B ( F x. ( G x. H ) ) _d x =
       sum_ k e. B S. A ( F x. ( G x. H ) ) _d x ) $=
      ( wcel vr vq cmul co csu cmpt cibl citg wceq cicc cvol cdm iccmbl syl2anc
      cc cr eqeltrid cv wa adantrr adantrl mulcld cof cvv ovex eqeltri anass1rs
      a1i eqidd offval2 cmbf cfv cabs cle wral ccncf cnmbf adantr oveq1i eleq2i
      wbr sylib cnicciblnc syl3anc iblmulc2 cniccbdd wb ralrimiva dmmptg eqtrdi
      wrex syl raleqdv rexbidv mpbird bddmulibl eqeltrrd itgfsum simprd ) ABCDG
      HIUCUDZUCUDZFUEZUFUGTBCXBUHDBCXAUHFUEUIABCDXAFUOACJEUJUDZUKULZKAJUPTZEUPT
      ZXCXDTMNJEUMUNUQZLABURCTZFURDTZUSUSZGWTAXHGUOTZXIOUTZXJHIAXIHUOTXHQVARVBZ
      VBAXIUSZBCGUFZBCWTUFZUCVCUDZBCXAUFUGXNBCGWTUCXOXPVDUOUOCVDTXNCXCVDKJEUJVE
      VFVHAXHXIXKXLVGAXHXIWTUOTXMVGXNXOVIXNXPVIVJXNXOVKTZXPUGTUAURXOVLVMVLUBURV
      NWAZUAXOULZVOZUBUPWKZXQUGTAXRXIACXDTXOCUOVPUDZTZXRXGPCXOVQUNVRXNBCIHUOQAX
      HXIIUOTRVGXNXEXFBCIUFZXCUOVPUDZTZYEUGTAXEXIMVRAXFXINVRXNYEYCTYGSYCYFYECXC
      UOVPKVSZVTWBJEYEWCWDWEXNYBXSUAXCVOZUBUPWKZAYJXIAXEXFXOYFTZYJMNAYDYKPYCYFX
      OYHVTWBUBUAJEXOWFWDVRAYBYJWGXIAYAYIUBUPAXSUAXTXCAXTCXCAXKBCVOXTCUIAXKBCOW
      HBCGUOWIWLKWJWMWNVRWOUBUAXOXPWPWDWQWRWS $.
  $}

  ${
    $d B k x $.  $d k ph x $.
    3factsumint2.1 $e |- ( ( ph /\ x e. A ) -> F e. CC ) $.
    3factsumint2.2 $e |- ( ( ph /\ k e. B ) -> G e. CC ) $.
    3factsumint2.3 $e |- ( ( ph /\ ( x e. A /\ k e. B ) ) -> H e. CC ) $.
    $( Move constants out of integrals or sums and/or commute sum and integral.
       (Contributed by metakunt, 26-Apr-2024.) $)
    3factsumint2 $p  |- ( ph -> sum_ k e. B S. A ( F x. ( G x. H ) ) _d x =
       sum_ k e. B S. A ( G x. ( F x. H ) ) _d x ) $=
      ( cmul co citg cv wcel wa cc adantlr wi adantr ancom anbi2i bicomi imbi1i
      anass bitri mpbi mul12d itgeq2dv sumeq2dv ) ADBCFGHLMLMZNBCGFHLMLMZNEAEOD
      PZQZBCULUMUOBOCPZQZFGHAUPFRPUNISUOGRPUPJUAAUPUNQZQZHRPZTUQUTTKUSUQUTUSAUN
      UPQZQZUQURVAAUPUNUBUCUQVBAUNUPUFUDUGUEUHUIUJUK $.
  $}

  ${
    $d A x $.  $d B k x $.  $d G x $.  $d k ph x $.
    3factsumint3.1 $e |- A = ( L [,] U ) $.
    3factsumint3.2 $e |- ( ph -> L e. RR ) $.
    3factsumint3.3 $e |- ( ph -> U e. RR ) $.
    3factsumint3.4 $e |- ( ( ph /\ x e. A ) -> F e. CC ) $.
    3factsumint3.5 $e |- ( ph -> ( x e. A |-> F ) e. ( A -cn-> CC ) ) $.
    3factsumint3.6 $e |- ( ( ph /\ k e. B ) -> G e. CC ) $.
    3factsumint3.7 $e |- ( ( ph /\ ( x e. A /\ k e. B ) ) -> H e. CC ) $.
    3factsumint3.8 $e |- ( ( ph /\ k e. B ) -> ( x e. A |-> H ) e.
     ( A -cn-> CC ) ) $.
    $( Move constants out of integrals or sums and/or commute sum and integral.
       (Contributed by metakunt, 26-Apr-2024.) $)
    3factsumint3 $p  |- ( ph -> sum_ k e. B S. A ( G x. ( F x. H ) ) _d x
    = sum_ k e. B ( G x. S. A ( F x. H ) _d x ) ) $=
      ( co wcel cmul cv wa cc adantlr wi ancom anbi2i anass bicomi bitri imbi1i
      citg mpbi mulcld cr cmpt cicc ccncf cibl adantr mulcncf oveq1i cnicciblnc
      eleqtrdi syl3anc itgmulc2 eqcomd sumeq2dv ) ADBCHGIUASZUASUMZHBCVJUMUASZF
      AFUBDTZUCZVLVKVNBCVJHUDPVNBUBCTZUCZGIAVOGUDTVMNUEAVOVMUCZUCZIUDTZUFVPVSUF
      QVRVPVSVRAVMVOUCZUCZVPVQVTAVOVMUGUHVPWAAVMVOUIUJUKULUNUOVNJUPTZEUPTZBCVJU
      QZJEURSZUDUSSZTWDUTTAWBVMLVAAWCVMMVAVNWDCUDUSSZWFVNBGICABCGUQWGTVMOVARVBC
      WEUDUSKVCVEJEWDVDVFVGVHVI $.
  $}

  ${
    $d A k $.  $d B k $.  $d F k $.  $d k ph x $.
    3factsumint4.1 $e |- ( ph -> B e. Fin ) $.
    3factsumint4.2 $e |- ( ( ph /\ x e. A ) -> F e. CC ) $.
    3factsumint4.3 $e |- ( ( ph /\ k e. B ) -> G e. CC ) $.
    3factsumint4.4 $e |- ( ( ph /\ ( x e. A /\ k e. B ) ) -> H e. CC ) $.
    $( Move constants out of integrals or sums and/or commute sum and integral.
       (Contributed by metakunt, 26-Apr-2024.) $)
    3factsumint4 $p |- ( ph -> S. A sum_ k e. B ( F x. ( G x. H ) ) _d x =
       S. A ( F x. sum_ k e. B ( G x. H ) ) _d x ) $=
      ( cmul co csu cv wcel wa cc wi cfn adantr anass bicomi imbi1i mpbi mulcld
      adantlr fsummulc2 eqcomd itgeq2dv ) ABCDFGHMNZMNEOZFDULEOMNZABPCQZRZUNUMU
      PDULFEADUAQUOIUBJUPEPDQZRZGHAUQGSQUOKUHAUOUQRRZHSQZTURUTTLUSURUTURUSAUOUQ
      UCUDUEUFUGUIUJUK $.
  $}

  ${
    $d A k x $.  $d B k x $.  $d F k $.  $d G x $.  $d k ph x $.
    3factsumint.1 $e |- A = ( L [,] U ) $.
    3factsumint.2 $e |- ( ph -> B e. Fin ) $.
    3factsumint.3 $e |- ( ph -> L e. RR ) $.
    3factsumint.4 $e |- ( ph -> U e. RR ) $.
    3factsumint.5 $e |- ( ph -> ( x e. A |-> F ) e. ( A -cn-> CC ) ) $.
    3factsumint.6 $e |- ( ( ph /\ k e. B ) -> G e. CC ) $.
    3factsumint.7 $e |- ( ( ph /\ k e. B ) -> ( x e. A |-> H ) e.
     ( A -cn-> CC ) ) $.
    $( Helpful equation for lcm inequality proof.  (Contributed by metakunt,
       26-Apr-2024.) $)
    3factsumint $p  |- ( ph -> S. A ( F x. sum_ k e. B ( G x. H ) ) _d x =
       sum_ k e. B ( G x. S. A ( F x. H ) _d x ) ) $=
      ( cmul co cc csu citg wcel cmpt wral ccncf cncff syl eqid sylibr r19.21bi
      wf fmpt cv wa wi anass ancom anbi2i imbi1i mpbi 3factsumint4 3factsumint1
      bitri eqtr3d 3factsumint2 3factsumint3 3eqtrd ) ABCGDHIRSZFUARSUBZDBCGVIR
      SZUBFUAZDBCHGIRSZRSUBFUADHBCVMUBRSFUAABCDVKFUAUBVJVLABCDFGHILAGTUCZBCACTB
      CGUDZULZVNBCUEAVOCTUFSZUCVPOCTVOUGUHBCTGVOVOUIUMUJUKZPAFUNDUCZUOZBUNCUCZU
      OZITUCZUPAWAVSUOZUOZWCUPVTWCBCVTCTBCIUDZULZWCBCUEVTWFVQUCWGQCTWFUGUHBCTIW
      FWFUIUMUJUKWBWEWCWBAVSWAUOZUOWEAVSWAUQWHWDAVSWAURUSVDUTVAZVBABCDEFGHIJKLM
      NVROPWIQVCVEABCDFGHIVRPWIVFABCDEFGHIJKMNVROPWIQVGVH $.
  $}

  ${
    resopunitintvd.1 $e |- ( ph -> ( x e. CC |-> A ) e. ( CC -cn-> CC ) ) $.
    $( Restrict continuous function on open unit interval.  (Contributed by
       metakunt, 12-May-2024.) $)
    resopunitintvd $p |- ( ph -> ( x e. ( 0 (,) 1 ) |-> A )
     e. ( ( 0 (,) 1 ) -cn-> CC ) ) $=
      ( cc0 c1 cioo co cmpt cc cres ccncf wss wceq ioosscn resmpt ax-mp wcel wi
      rescncf syl eqeltrrid ) ABEFGHZCIZBJCIZUCKZUCJLHZUCJMZUFUDNEFOZBJUCCPQAUE
      JJLHRZUFUGRZDUHUJUKSUIJJUCUETQUAUB $.
  $}

  ${
    resclunitintvd.1 $e |- ( ph -> ( x e. CC |-> A ) e. ( CC -cn-> CC ) ) $.
    $( Restrict continuous function on closed unit interval.  (Contributed by
       metakunt, 12-May-2024.) $)
    resclunitintvd $p |- ( ph -> ( x e. ( 0 [,] 1 ) |-> A )
     e. ( ( 0 [,] 1 ) -cn-> CC ) ) $=
      ( cc0 c1 cicc co cmpt cc cres ccncf wss wceq unitsscn resmpt wcel rescncf
      ax-mp wi syl eqeltrrid ) ABEFGHZCIZBJCIZUCKZUCJLHZUCJMZUFUDNOBJUCCPSAUEJJ
      LHQZUFUGQZDUHUIUJTOJJUCUERSUAUB $.
  $}

  ${
    $d ph x $.
    resdvopclptsd.1 $e |- ( ph -> ( CC _D ( x e. CC |-> A ) ) =
    ( x e. CC |-> B ) ) $.
    resdvopclptsd.2 $e |- ( ( ph /\ x e. CC ) -> A e. CC ) $.
    resdvopclptsd.3 $e |- ( ( ph /\ x e. CC ) -> B e. CC ) $.
    $( Restrict derivative on unit interval.  (Contributed by metakunt,
       12-May-2024.) $)
    resdvopclptsd $p |- ( ph -> ( RR _D ( x e. ( 0 [,] 1 ) |-> A ) ) =
    ( x e. ( 0 (,) 1 ) |-> B ) ) $=
      ( cc0 c1 cc cmpt eqid 0red 1red dvmptresicc ) ABCDHIBJCKZPLFEGAMANO $.
  $}

  ${
    $d M k $.  $d N k $.  $d k ph x $.
    lcmineqlem1.1 $e |- F = S. ( 0 [,] 1 ) ( ( x ^ ( M - 1 ) ) x.
     ( ( 1 - x ) ^ ( N - M ) ) ) _d x $.
    lcmineqlem1.2 $e |- ( ph -> N e. NN ) $.
    lcmineqlem1.3 $e |- ( ph -> M e. NN ) $.
    lcmineqlem1.4 $e |- ( ph -> M <_ N ) $.
    $( Part of lcm inequality lemma, this part eventually shows that F times
       the least common multiple of 1 to n is an integer.  (Contributed by
       metakunt, 29-Apr-2024.) $)
    lcmineqlem1 $p |- ( ph -> F = S. ( 0 [,] 1 ) ( ( x ^ ( M - 1 ) ) x.
     sum_ k e. ( 0 ... ( N - M ) ) ( ( ( -u 1 ^ k ) x.
       ( ( N - M ) _C k ) ) x. ( x ^ k ) ) ) _d x ) $=
      ( c1 co cmin cexp cmul wcel cc wceq cn0 cz cc0 cicc citg cfz cneg cbc csu
      cv wa elunitcn caddc ax-1cn negsub mpan oveq1d adantl negcl wi cle wbr wb
      1cnd nnnn0d nn0sub syl2anc mpbid binom 3com23 3expia syl5 imp w3a elfzelz
      eqtr3d nnzd zsubcl sylan 1exp syl 3adant2 3ad2ant2 elfznn0 3ad2ant3 expcl
      sylan2 mulid2d eqtrd mulm1 eqtr4d neg1cn mulexp mp3an1 oveq2d bccl syl2an
      3adant1 nn0cnd sylancr mulassd mulcomd 3expa sumeq2dv itgeq2dv syl5eq ) A
      DBUAKUBLZBUHZEKMLNLZKXFMLZFEMLZNLZOLZUCBXEXGUAXIUDLZKUEZCUHZNLZXIXNUFLZOL
      ZXFXNNLZOLZCUGZOLZUCGABXEXKYAAXFXEPZUIXJXTXGOYBAXFQPZXJXTRXFUJAYCUIZXJXLX
      PKXIXNMLZNLZXFUEZXNNLZOLZOLZCUGZXTYDKYGUKLZXINLZXJYKYCYMXJRAYCYLXHXINKQPZ
      YCYLXHRULKXFUMUNUOUPAYCYMYKRZYCYGQPZAYOXFUQZAYNXISPZYPYOURAVBAEFUSUTZYRJA
      ESPFSPYSYRVAAEIVCAFHVCEFVDVEVFZYNYRYPYOYNYPYRYOKYGCXIVGVHVIVEVJVKVNYDXLYJ
      XSCAYCXNXLPZYJXSRAYCUUAVLZYJXPXOOLZXROLZXSUUBYJXPXOXROLZOLUUDUUBYIUUEXPOU
      UBYIXMXFOLZXNNLZUUEUUBYIYHUUGUUBYIKYHOLYHUUBYFKYHOAUUAYFKRZYCAUUAUIYETPZU
      UHUUAAXNTPZUUIXNUAXIVMZAXITPZUUJUUIAFTPETPUULAFHVOAEIVOFEVPVEXIXNVPVQWEYE
      VRVSVTUOUUBYHUUBYPXNSPZYHQPYCAYPUUAYQWAUUAAUUMYCXNXIWBZWCZYGXNWDVEWFWGYCA
      UUGYHRUUAYCUUFYGXNNXFWHUOWAWIYCUUAUUGUUERZAUUAYCUUMUUPUUNXMQPZYCUUMUUPWJX
      MXFXNWKWLWEWPWGWMUUBXPXOXRUUBXPAUUAXPSPZYCAYRUUJUURUUAYTUUKXNXIWNWOVTWQZU
      UBUUQUUMXOQPWJUUOXMXNWDWRZYCUUAXRQPZAUUAYCUUMUVAUUNXFXNWDWEWPWSWIUUBUUCXQ
      XROUUBXPXOUUSUUTWTUOWGXAXBWGWEWMXCXD $.
  $}

  ${
    $d M k x $.  $d N k x $.  $d k ph x $.
    lcmineqlem2.1 $e |- F = S. ( 0 [,] 1 ) ( ( x ^ ( M - 1 ) ) x.
     ( ( 1 - x ) ^ ( N - M ) ) ) _d x $.
    lcmineqlem2.2 $e |- ( ph -> N e. NN ) $.
    lcmineqlem2.3 $e |- ( ph -> M e. NN ) $.
    lcmineqlem2.4 $e |- ( ph -> M <_ N ) $.
    $( Part of lcm inequality lemma, this part eventually shows that F times
       the least common multiple of 1 to n is an integer.  (Contributed by
       metakunt, 29-Apr-2024.) $)
    lcmineqlem2 $p |- ( ph -> F = sum_ k
                           e. ( 0 ... ( N - M ) )
                                ( ( ( -u 1 ^ k ) x. ( ( N - M ) _C k ) )
                                  x.
                                  S. ( 0 [,] 1 )
                                     ( ( x ^ ( M - 1 ) ) x. ( x ^ k ) )
                                  _d x ) ) $=
      ( cc0 c1 co cmul cmpt cc unitsscn wcel cn0 syl cicc cv cmin cexp cfz cneg
      cbc csu citg lcmineqlem1 eqid fzfid 0red 1red cres ccncf wss resmpt ax-mp
      wceq cn nnm1nn0 expcncf 3syl wi rescncf eqeltrrid wa elfznn0 neg1cn expcl
      mpan adantl cle wbr wb nnnn0d nn0sub syl2anc mpbid nn0z bccl sylan2 sylan
      cz nn0cnd mulcld 3factsumint eqtrd ) ADBKLUAMZBUBZELUCMZUDMZKFEUCMZUEMZLU
      FZCUBZUDMZWNWQUGMZNMZWKWQUDMZNMCUHNMUIWOWTBWJWMXANMUINMCUHABCDEFGHIJUJABW
      JWOLCWMWTXAKWJUKAKWNULAUMAUNABWJWMOZBPWMOZWJUOZWJPUPMZWJPUQZXDXBUTQBPWJWM
      URUSAXCPPUPMZRZXDXERZAEVARWLSRXHIEVBBWLVCVDXFXHXIVEQPPWJXCVFUSTVGAWQWORZV
      HZWRWSXJWRPRZAXJWQSRZXLWQWNVIZWPPRXMXLVJWPWQVKVLTVMXKWSAWNSRZXJWSSRZAEFVN
      VOZXOJAESRFSRXQXOVPAEIVQAFHVQEFVRVSVTXJXOWQWERZXPXJXMXRXNWQWATWQWNWBWCWDW
      FWGXJBWJXAOZXERAXJXSBPXAOZWJUOZXEXFYAXSUTQBPWJXAURUSXJXTXGRZYAXERZXJXMYBX
      NBWQVCTXFYBYCVEQPPWJXTVFUSTVGVMWHWI $.
  $}

  ${
    $d M k x $.  $d N k x $.  $d k ph x $.
    lcmineqlem3.1 $e |- F = S. ( 0 [,] 1 ) ( ( x ^ ( M - 1 ) ) x.
     ( ( 1 - x ) ^ ( N - M ) ) ) _d x $.
    lcmineqlem3.2 $e |- ( ph -> N e. NN ) $.
    lcmineqlem3.3 $e |- ( ph -> M e. NN ) $.
    lcmineqlem3.4 $e |- ( ph -> M <_ N ) $.
    $( Part of lcm inequality lemma, this part eventually shows that F times
       the least common multiple of 1 to n is an integer.  (Contributed by
       metakunt, 30-Apr-2024.) $)
    lcmineqlem3 $p |- ( ph -> F = sum_ k
                           e. ( 0 ... ( N - M ) )
                                ( ( ( -u 1 ^ k ) x. ( ( N - M ) _C k ) )
                                  x.
                                  ( 1 / ( M + k ) ) ) ) $=
      ( cc0 cmin co c1 cexp cmul csu wcel syl oveq2d cfz cneg cv cbc cicc caddc
      citg cdiv lcmineqlem2 wa w3a cc elunitcn 3ad2ant3 cn0 elfznn0 3ad2ant2 cn
      wceq nnm1nn0 3ad2ant1 expaddd 3expa itgeq2dv sumeq2dv 0red cle wbr adantr
      1red 0le1 adantl nn0addcld itgpowd nncnd nn0cn nppcand oveq12d nnnn0addcl
      a1i 1cnd cz syl2anc nnzd 1exp 0exp eqtrd 1m0e1 eqtrdi 3eqtr2d ) ADKFELMZU
      AMZNUBCUCZOMWKWMUDMPMZBKNUEMZBUCZENLMZOMWPWMOMPMZUGZPMZCQWLWNBWOWPWQWMUFM
      ZOMZUGZPMZCQWLWNNEWMUFMZUHMZPMZCQABCDEFGHIJUIAWLXDWTCAWMWLRZUJZXCWSWNPXIB
      WOXBWRAXHWPWORZXBWRUSAXHXJUKWPWQWMXJAWPULRXHWPUMUNXHAWMUORZXJWMWKUPZUQAXH
      WQUORZXJAEURRZXMIEUTSZVAVBVCVDTVEAWLXDXGCXIXCXFWNPXIXCNXANUFMZOMZKXPOMZLM
      ZXPUHMXFXIBKNXAXIVFXIVJKNVGVHXIVKVTXIWQWMAXMXHXOVIXHXKAXLVLZVMVNXIXSNXPXE
      UHXIXSNKLMZNXIXSNXEOMZKXEOMZLMYAXIXQYBXRYCLXIXPXENOXIENWMAEULRXHAEIVOVIXI
      WAXHWMULRZAXHXKYDXLWMVPSVLVQZTXIXPXEKOYETVRXIYBNYCKLXIXEWBRYBNUSXIXEXIXNX
      KXEURRZAXNXHIVIXTEWMVSWCZWDXEWESXIYFYCKUSYGXEWFSVRWGWHWIYEVRWGTVEWJ $.
  $}

  ${
    $d K k $.  $d M k $.  $d N k $.
    lcmineqlem4.1 $e |- ( ph -> N e. NN ) $.
    lcmineqlem4.2 $e |- ( ph -> M e. NN ) $.
    lcmineqlem4.3 $e |- ( ph -> M <_ N ) $.
    lcmineqlem4.4 $e |- ( ph -> K e. ( 0 ... ( N - M ) ) ) $.
    $( Part of lcm inequality lemma, this part eventually shows that F times
       the least common multiple of 1 to n is an integer.  F is found in
       ~ lcmineqlem6 .  (Contributed by metakunt, 10-May-2024.) $)
    lcmineqlem4 $p |- ( ph -> ( ( _lcm ` ( 1 ... N ) ) / ( M + K ) ) e. ZZ ) $=
      ( vk c1 cfz co caddc cdvds cn wcel wa syl wb wceq clcmf cfv cdiv cv breq1
      wbr cz wss cfn wral fzssz fzfi pm3.2i a1i dvdslcmf cmin cc0 1zzd nnzd 0zd
      zsubcld cle nnred leidd fznn mpbir2and 1cnd addid1d eqcomd wi nncnd eqcom
      npcand jca subcl addcom eqeq2 bitrd pm5.74i mpbi fzadd2d rspcdva lcmfnncl
      cc fz1ssnn ax-mp cn0 elfznn0 nnnn0addcl syl2anc nndivdvds mpbid ) AJDKLZU
      AUBZCBMLZUCLZAWOWNNUFZWPOPZAIUDZWNNUFZWQIWMWOWSWOWNNUEAWMUGUHZWMUIPZQZWTI
      WMUJXCAXAXBJDUKJDULZUMUNIWMUORADCUPLZJDCBJCUQAURACFUSZAUTADCADEUSXFVAACJC
      KLPZCOPZCCVBUFZFACACFVCVDACUGPXGXHXIQSXFCCVERVFHAJUQMLJAJAVGVHVIAXECMLZDT
      ZVJADCXEMLZTZVJADCADEVKZACFVKZVMAXKXMAXKDXJTZXMXKXPSAXJDVLUNAXJXLTZXPXMSA
      XEWDPZCWDPZQXQAXRXSADWDPZXSQXRAXTXSXNXOVNDCVORXOVNXECVPRXJXLDVQRVRVSVTWAW
      BAWNOPZWOOPZWQWRSYAAWMOUHZXBQYAYCXBDWEXDUMWMWCWFUNAXHBWGPZYBFABUQXEKLPYDH
      BXEWHRCBWIWJWNWOWKWJWLUS $.
  $}

  ${
    lcmineqlem5.1 $e |- ( ph -> A e. CC ) $.
    lcmineqlem5.2 $e |- ( ph -> B e. CC ) $.
    lcmineqlem5.3 $e |- ( ph -> C e. CC ) $.
    lcmineqlem5.4 $e |- ( ph -> C =/= 0 ) $.
    $( Technical lemma for reciprocal multiplication in deduction form.
       (Contributed by metakunt, 10-May-2024.) $)
    lcmineqlem5 $p |- ( ph -> ( A x. ( B x. ( 1 / C ) ) ) =
        ( B x. ( A / C ) ) ) $=
      ( c1 cdiv cmul reccld mulassd mulcomd oveq1d eqtr3d eqtrd divrecd oveq2d
      co eqtr4d ) ABCIDJTZKTKTZCBUBKTZKTZCBDJTZKTAUCCBKTZUBKTZUEABCKTZUBKTUCUHA
      BCUBEFADGHLZMAUIUGUBKABCEFNOPACBUBFEUJMQAUFUDCKABDEGHRSUA $.
  $}

  ${
    $d M k x $.  $d N k x $.  $d k ph x $.
    lcmineqlem6.1 $e |- F = S. ( 0 [,] 1 ) ( ( x ^ ( M - 1 ) ) x.
     ( ( 1 - x ) ^ ( N - M ) ) ) _d x $.
    lcmineqlem6.2 $e |- ( ph -> N e. NN ) $.
    lcmineqlem6.3 $e |- ( ph -> M e. NN ) $.
    lcmineqlem6.4 $e |- ( ph -> M <_ N ) $.
    $( Part of lcm inequality lemma, this part eventually shows that F times
       the least common multiple of 1 to n is an integer.  (Contributed by
       metakunt, 10-May-2024.) $)
    lcmineqlem6 $p |- ( ph -> ( ( _lcm ` ( 1 ... N ) ) x. F ) e. ZZ ) $=
      ( vk c1 co cmul cc0 cz cc wcel cn adantl adantr cfz cfv cmin cneg cv cexp
      clcmf cbc caddc cdiv csu lcmineqlem3 oveq2d fzfid wss cfn wa fz1ssnn fzfi
      pm3.2i lcmfnncl ax-mp nncni a1i elfzelz m1expcl bccl2 nncnd mulcld addcld
      syl zcnd cn0 elfznn0 nnnn0addcl sylan2 sylan nnne0d fsummulc2 lcmineqlem5
      reccld eqtrd sumeq2dv nnzd zmulcld cle simpr lcmineqlem4 fsumzcl eqeltrd
      wbr ) AKEUALZUGUBZCMLZNEDUCLZUALZKUDJUEZUFLZWOWQUHLZMLZWMDWQUILZUJLZMLZJU
      KZOAWNWPWMWTKXAUJLZMLZMLZJUKZXDAWNWMWPXFJUKZMLXHACXIWMMABJCDEFGHIULUMAWPX
      FWMJANWOUNZWMPQZAWMWLRUOZWLUPQZUQWMRQXLXMEURKEUSUTWLVAVBVCZVDAWQWPQZUQZWT
      XEXPWRWSXOWRPQAXOWRXOWQOQWROQZWQNWOVEZWQVFVKZVLSXOWSPQAXOWSWQWOVGZVHSVIZX
      PXAXPDWQADPQXOADHVHTXOWQPQAXOWQXRVLSVJZXPXAADRQZXOXARQZHXOYCWQVMQYDWQWOVN
      DWQVOVPVQVRZWAVIVSWBAWPXGXCJXPWMWTXAXKXPXNVDYAYBYEVTWCWBAWPXCJXJXPWTXBXPW
      RWSXOXQAXSSXOWSOQAXOWSXTWDSWEXPWQDEAERQXOGTAYCXOHTADEWFWKXOITAXOWGWHWEWIW
      J $.
  $}

  ${
    $( Derivative of 1-x for chain rule application.  (Contributed by metakunt,
       12-May-2024.) $)
    lcmineqlem7 $p |- ( CC _D ( x e. CC |-> ( 1 - x ) ) )
                         = ( x e. CC |-> -u 1 ) $=
      ( cc c1 cv cmin co cmpt cdv cneg wceq wtru cc0 cr cpr wcel cnelprrecn a1i
      wa 1cnd 0cnd dvmptc simpr dvmptid dvmptsub df-neg eqcomd mpteq2dv eqtrd
      mptru ) BABCADZEFGHFZABCIZGZJKUKABLCEFZGUMKACLUJCBBBBBMBNOKPQZKUJBOZRZSZU
      QTKACBUOKSUAKUPUBURKABUOUCUDKABUNULKULUNULUNJKCUEQUFUGUHUI $.
  $}

  ${
    $d M x y $.  $d N x y $.  $d ph x y $.
    lcmineqlem8.1 $e |- ( ph -> M e. NN ) $.
    lcmineqlem8.2 $e |- ( ph -> N e. NN ) $.
    lcmineqlem8.3 $e |- ( ph -> M < N ) $.
    $( Derivative of (1-x)^(N-M).  (Contributed by metakunt, 12-May-2024.) $)
    lcmineqlem8 $p |- ( ph ->
    ( CC _D ( x e. CC |-> ( ( 1 - x ) ^ ( N - M ) ) ) )
        = ( x e. CC |-> ( -u ( N - M ) x.
                           ( ( 1 - x ) ^ ( ( N - M ) - 1 ) ) ) ) ) $=
      ( vy cc c1 cmin co cexp cmpt cmul wcel a1i subcld adantr wceq cv cdv cneg
      cr cpr cnelprrecn wa 1cnd simpr neg1cn cn0 clt wbr cn nnzd znnsub syl2anc
      cz wb mpbid nnnn0d expcld nncnd nnm1nn0 syl expcl lcmineqlem7 dvexp oveq1
      mulcld oveq2d dvmptco ax-1cn mpan syl2anr mul32d mulcomd oveq1d mpteq2dva
      subcl eqtrd mulm1d ) AIBIJBUAZKLZDCKLZMLZNUBLBIWEWDWEJKLZMLZOLZJUCZOLZNBI
      WEUCZWHOLZNABHWDWJHUAZWEMLZWEWNWGMLZOLZIIWFWIIIIIIUDIUEPAUFQZWRAWCIPZUGZJ
      WCWTUHAWSUIRWJIPZWTUJQZAWNIPZUGZWNWEAXCUIZAWEUKPXCAWEACDULUMZWEUNPZGACURP
      DURPXFXGUSACEUOADFUOCDUPUQUTZVASVBXDWEWPXDDCADIPZXCADFVCZSACIPZXCACEVCZSR
      XDXCWGUKPZWPIPXEAXMXCAXGXMXHWEVDVEZSWNWGVFUQVJIBIWDNUBLBIWJNTABVGQAXGIHIW
      ONUBLHIWQNTXHHWEVHVEWNWDWEMVIWNWDTWPWHWEOWNWDWGMVIVKVLABIWKWMWTWKWJWEOLZW
      HOLZWMWTWKWEWJOLZWHOLZXPWTWEWHWJWTDCAXIWSXJSAXKWSXLSRWSWDIPZXMWHIPAJIPWSX
      SVMJWCVTVNXNWDWGVFVOXBVPAXRXPTWSAXQXOWHOAWEWJADCXJXLRZXAAUJQVQVRSWAWTXOWL
      WHOAXOWLTWSAWEXTWBSVRWAVSWA $.
  $}

  ${
    $d ph x $.  $d N x y $.  $d M x y $.
    lcmineqlem9.1 $e |- ( ph -> M e. NN ) $.
    lcmineqlem9.2 $e |- ( ph -> N e. NN ) $.
    lcmineqlem9.3 $e |- ( ph -> M <_ N ) $.
    $( (1-x)^(N-M) is continuous.  (Contributed by metakunt, 12-May-2024.) $)
    lcmineqlem9 $p  |- ( ph
                      -> ( x e. CC |-> ( ( 1 - x ) ^ ( N - M ) ) )
                         e. ( CC -cn-> CC ) ) $=
      ( vy cc c1 cv cmin co cexp nfv wcel cmpt ccncf cz nnzd eqid sub2cncf mp1i
      ax-1cn cn0 cle wbr wb znn0sub syl2anc mpbid expcncf syl ssidd cncfcompt2
      oveq1 ) ABHIIIJBKLMZHKZDCLMZNMZUQUSNMIABOJIPBIUQQZIIRMZPAUDBJVAVAUAUBUCAU
      SUEPZHIUTQVBPACDUFUGZVCGACSPDSPVDVCUHACETADFTCDUIUJUKHUSULUMAIUNURUQUSNUP
      UO $.
  $}

  ${
    $d ph x $.  $d N x $.  $d M x $.
    lcmineqlem10.1 $e |- ( ph -> M e. NN ) $.
    lcmineqlem10.2 $e |- ( ph -> N e. NN ) $.
    lcmineqlem10.3 $e |- ( ph -> M < N ) $.
    $( Induction step of ~ lcmineqlem13 (deduction form).  (Contributed by
       metakunt, 12-May-2024.) $)
    lcmineqlem10 $p  |- ( ph
                      -> S. ( 0 [,] 1 )
                              ( ( x ^ ( ( M + 1 ) - 1 ) )
                                x.
                                ( ( 1 - x ) ^ ( N - ( M + 1 ) ) ) )
                           _d x
                         = ( ( M / ( N - M ) )
                             x.
                             S. ( 0 [,] 1 )
                                ( ( x ^ ( M - 1 ) )
                                  x.
                                  ( ( 1 - x ) ^ ( N - M ) ) )
                             _d x ) ) $=
      ( cc0 c1 co cmin cexp cmul citg wceq cc wcel sylan2 adantr mulcld cicc cv
      caddc cdiv cneg nncnd subcld wa elunitcn cn0 nnnn0d expcl ancoms simpr cn
      1cnd clt wbr cz wb nnzd znnsub syl2anc mpbid nnm1nn0 expcld cr cmpt ccncf
      syl cibl expcncf 1nn nnge1d lcmineqlem9 mulcncf resclunitintvd cnicciblnc
      0red 1red a1i syl3anc itgcl mulneg1d negcld itgmulc2 mul12d itgeq2dv cioo
      itgioo cle 0le1 wi ltle mpd wss ssid cncfmptc mp3an23 resopunitintvd 3syl
      nnred ioossicc cdm ioombl iblss cdv dvexp resdvopclptsd lcmineqlem8 oveq1
      cvol adantl 0expd eqtrd oveq1d 0cn eleq1 mpbiri mul02d oveq2 1m1e0 eqtrdi
      oveq2d ax-1cn mul01d itgparts eqtr3d oveq1i mulassd eqtr4d df-neg eqtr4di
      0m0e0 neg11ad nnne0d divmuld mpbird pncand eqcomd subsub4d oveq12d div23d
      ) ABHIUAJZBUBZCIUCJZIKJZLJZIUUEKJZDUUFKJZLJZMJZNZCBUUDUUECIKJZLJZUUIDCKJZ
      LJZMJZNZMJZUUPUDJZCUUPUDJUUSMJAUVAUUMAUVABUUDUUECLJZUUIUUPIKJZLJZMJZNZUUM
      AUVAUVFOUUPUVFMJZUUTOZAUVGUEZUUTUEZOUVHAUUPUEZUVFMJZUVIUVJAUUPUVFADCADFUF
      ZACEUFZUGZABUUDUVEPAUUEUUDQZUHZUVBUVDUVPAUUEPQZUVBPQZUUEUIZUVRAUVSAUVRCUJ
      QZUVSACEUKZUUECULRUMZRZUVPAUVRUVDPQUVTAUVRUHZUUIUVCUWEIUUEUWEUPAUVRUNUGZA
      UVCUJQZUVRAUUPUOQZUWGACDUQURZUWHGACUSQDUSQUWIUWHUTACEVAADFVACDVBVCVDZUUPV
      EVJSVFZRZTZAHVGQZIVGQZBUUDUVEVHZUUDPVIJZQUWPVKQAVSZAVTZABUVEABUVBUVDPAUWA
      BPUVBVHZPPVIJZQUWBBCVLVJZABIUUPIUOQAVMWAUWJAUUPUWJVNVOZVPVQHIUWPVRWBZWCZW
      DAUVLHUUTKJZUVJAUVLHBUUDCUURMJZNZKJZUXFAUVLHBUUDCUUOMJZUUQMJZNZKJZUXIAUVL
      BUUDUVKUVEMJZNZUXMABUUDUVEUVKPAUUPUVOWEZUWMUXDWFABUUDUVBUVKUVDMJZMJZNZUXO
      UXMABUUDUXRUXNUVPAUVRUXRUXNOUVTUWEUVBUVKUVDUWCUWEUUPUWEDCADPQZUVRUVMSACPQ
      ZUVRUVNSZUGWEZUWKWGRWHAUXSHHKJZUXLKJZUXMAUXSUYDBHIWIJZUXKNZKJZUYEABUYFUXR
      NUXSUYHABHIUXRUWRUWSUVQUVBUXQUWDUVQUVKUVDUVQUUPUVQDCAUXTUVPUVMSAUYAUVPUVN
      SZUGWEUWLTTZWJABUVBUXJUUQUXQHHHIUWRUWSHIWKURAWLWAABUVBUXBVQABUUQABCDEFAUW
      ICDWKURZGACVGQDVGQUWIUYKWMACEXBADFXBCDWNVCWOVOZVQABCUUOUYFABCAUYABPCVHUXA
      QZUVNUYAPPWPZUYNUYMPWQZUYOBCPPWRWSVJZWTABUUOACUOQZUUNUJQZBPUUOVHUXAQECVEZ
      BUUNVLXAZWTVPABUVKUVDUYFABUVKAUVKPQZBPUVKVHUXAQZUXPVUAUYNUYNVUBUYOUYOBUVK
      PPWRWSVJZWTABUVDUXCWTVPABUYFUUDUXRPUYFUUDWPAHIXCWAZUYFXLXDQAHIXEWAZUYJAUW
      NUWOBUUDUXRVHZUWQQVUFVKQUWRUWSABUXRABUVBUXQPUXBABUVKUVDPVUCUXCVPVPVQHIVUF
      VRWBXFABUYFUUDUXKPVUDVUEUVQUXJUUQUVQCUUOUYIUVPAUVRUUOPQZUVTUVRAVUGAUVRUYR
      VUGAUYQUYREUYSVJUUEUUNULRUMZRZTUVPAUVRUUQPQUVTUWEUUIUUPUWFAUUPUJQUVRAUUPU
      WJUKSVFZRZTZAUWNUWOBUUDUXKVHZUWQQVUMVKQUWRUWSABUXKABUXJUUQPABCUUOPUYPUYTV
      PUYLVPVQHIVUMVRWBXFABUVBUXJAUYQPUWTXGJBPUXJVHOEBCXHVJUWCUWECUUOUYBVUHTXIA
      BUUQUXQABCDEFGXJVUJUWEUVKUVDUYCUWKTXIAUUEHOZUHZUVBUUQMJZHUUQMJZHVUOUVBHUU
      QMVUOUVBHCLJZHVUNUVBVUROAUUEHCLXKXMAVURHOVUNACEXNSXOXPVUNAUVRVUQHOVUNUVRH
      PQXQUUEHPXRXSUWEUUQVUJXTRXOAUUEIOZUHZVUPUVBHMJZHVUTUUQHUVBMVUTUUQHUUPLJZH
      VUSUUQVVBOAVUSUUIHUUPLVUSUUIIIKJHUUEIIKYAYBYCXPXMAVVBHOVUSAUUPUWJXNSXOYDV
      USAUVRVVAHOVUSUVRIPQZYEUUEIPXRXSUWEUVBUWCYFRXOYGYHAUYGUXLUYDKABHIUXKUWRUW
      SVULWJYDXOUYDHUXLKYNYIYCYHXOAUXLUXHHKABUUDUXKUXGUVPAUVRUXKUXGOUVTUWECUUOU
      UQUYBVUHVUJYJRWHYDXOAUUTUXHHKABUUDUURCPUVNUVQUUOUUQVUIVUKTZAUWNUWOBUUDUUR
      VHZUWQQVVEVKQUWRUWSABUURABUUOUUQPUYTUYLVPVQHIVVEVRWBZWFYDYKUUTYLYMYHAUVGU
      UTAUUPUVFUVOUXETACUUSUVNABUUDUURPVVDVVFWCZTZYOVDAUUTUUPUVFVVHUVOUXEAUUPUW
      JYPZYQYRABUUDUVEUULAUVEUULOUVPAUVBUUHUVDUUKMACUUGUUELAUUGCACIUVNVVCAYEWAZ
      YSYTYDAUVCUUJUUILADCIUVMUVNVVJUUAYDUUBSWHXOYTACUUSUUPUVNVVGUVOVVIUUCXO $.
  $}

  ${
    lcmineqlem11.1 $e |- ( ph -> M e. NN ) $.
    lcmineqlem11.2 $e |- ( ph -> N e. NN ) $.
    lcmineqlem11.3 $e |- ( ph -> M < N ) $.
    $( Induction step, continuation for binomial coefficients.  (Contributed by
       metakunt, 12-May-2024.) $)
    lcmineqlem11 $p |- ( ph -> ( 1 / ( ( M + 1 ) x. ( N _C ( M + 1 ) ) ) ) =
     ( ( M / ( N - M ) ) x. ( 1 / ( M x. ( N _C M ) ) ) ) ) $=
      ( c1 co cbc cmul cdiv cmin wceq nncnd wcel cz mulcld eqtrd nnne0d eqtr4d
      caddc 1cnd addcld nnnn0d cn0 a1i nn0addcld clt wbr cle wb zltp1le syl2anc
      1nn0 nnzd mpbid bccl2d div1d cfz w3a peano2zd peano2nnd nnge1d 3jca elfz1
      1z mpan syl mpbird bcm1k pncand oveq2d oveq1d oveq12d nnred ltled divassd
      subcld eqcomd divmul2d mulcomd divcan3d mul12d cc0 wne 0ne1 mulne0d gtned
      necomd subne0d recbothd mulid1d divmuldivd ) AGBGUAHZCWNIHZJHZKHZBGJHZCBL
      HZBCBIHZJHZJHZKHZBWSKHGXAKHJHAWQBXBKHZXCAWQXDMWPGKHZXBBKHZMAXEBWSWTJHZJHZ
      BKHZXFAXEXGXIAXEWPXGAWPAWNWOABGABDNZAUBZUCZAWOAWNCEABGABDUDZGUEOAUNUFUGAB
      CUHUIZWNCUJUIZFABPOCPOZXNXOUKABDUOZACEUOZBCULUMUPZUQZNZQZURAWPWTWSJHZXGAY
      CWPAYCWNKHZWOMYCWPMAWOYDAWOWTWSWNKHZJHZYDAWOCWNGLHZIHZCYGLHZWNKHZJHZYFAWN
      GCUSHOZWOYKMAYLWNPOZGWNUJUIZXOUTZAYMYNXOABXQVAAWNABDVBZVCXSVDAXPYLYOUKZXR
      GPOXPYQVFWNGCVEVGVHVIWNCVJVHAYHWTYJYEJAYGBCIABGXJXKVKZVLAYIWSWNKAYGBCLYRV
      LVMVNRAWTWSWNAWTABCEXMABCABDVOZACEVOFVPUQZNZACBACENZXJVRZXLAWNYPSZVQTVSAY
      CWOWNAWTWSUUAUUCQYAXLUUDVTUPVSAWTWSUUAUUCWARRAXGBAWSWTUUCUUAQXJABDSZWBTAX
      HXBBKABWSWTXJUUCUUAWCVMRAGWPBXBXKAWDGWDGWEAWFUFWIYBAWNWOXLYAUUDAWOXTSWGXJ
      UUEAWSXAUUCABWTXJUUAQZQAWSXAUUCUUFACBUUBXJABCYSFWHWJZABWTXJUUAUUEAWTYTSWG
      ZWGWKVIAWRBXBKABXJWLVMTABWSGXAXJUUCXKUUFUUGUUHWMT $.
  $}

  ${
    $d N t x $.  $d N x y $.  $d ph t x $.  $d ph x y $.
    lcmineqlem12.1 $e |- ( ph -> N e. NN ) $.
    $( Base case for induction.  (Contributed by metakunt, 12-May-2024.) $)
    lcmineqlem12 $p |- ( ph
                      -> S. ( 0 [,] 1 )
                              ( ( t ^ ( 1 - 1 ) )
                                x.
                                ( ( 1 - t ) ^ ( N - 1 ) ) )
                           _d t
                         = ( 1 / ( 1 x. ( N _C 1 ) ) ) ) $=
      ( vx vy cc0 c1 co cmin cexp cmul wcel cc wceq syl adantr eqtrd cmpt a1i
      cicc cv citg cdiv elunitcn wa 1m1e0 oveq2i simpr exp0d syl5eq oveq1d 1cnd
      cbc subcld cn0 cn nnm1nn0 expcld mulid2d sylan2 itgeq2dv cioo 0red itgioo
      1red cfv eqidd oveq2 adantl adantlr cr elioore recn 3syl fvmptd cneg wral
      cdv cpr cnelprrecn nnnn0 nn0cnd mulcld negcld 0cnd dvmptc dvmptsub df-neg
      dvmptid mpteq2dv eqtr4d dvexp oveq1 oveq2d dvmptco nncnd nnne0d dvmptcmul
      divcld mulassd eqcomd wne divcan1d mul32d mul2negd 1t1e1 eqtrdi mpteq2dva
      resdvopclptsd fveq1d ralrimivw itgeq2 cle wbr 0le1 ccncf nfv wss cncfmptc
      ax-1cn ssid mp3an cncfmptid mp2an subcncf ssidd cncfcompt2 resopunitintvd
      expcncf eleq1d mpbird cibl ioossicc cvol cdm ioombl resclunitintvd eqtr3d
      w3a 3jca cnicciblnc iblss eqeltrd mp3an23 mulcncf ftc2 0exp 1elunit 1m0e1
      mul01d cz 1exp mulid1d 0elunit oveq12d divnegd eqtr2d reccld negnegd bcn1
      nn0zd ) ABGHUAIZBUBZHHJIZKIZHUVDJIZCHJIZKIZLIZUCBUVCUVIUCZHHCHUNIZLIZUDIZ
      ABUVCUVJUVIUVDUVCMZAUVDNMZUVJUVIOUVDUEZAUVPUFZUVJHUVILIUVIUVRUVFHUVILUVRU
      VFUVDGKIHUVEGUVDKUGUHUVRUVDAUVPUIZUJUKULUVRUVIUVRUVGUVHUVRHUVDUVRUMUVSUOA
      UVHUPMZUVPACUQMZUVTDCURPZQUSZUTRVAVBAUVKHCUDIZUVNABGHVCIZUVIUCZUVKUWDABGH
      UVIAVDZAVFZUVOAUVPUVINMUVQUWCVAVEABUWEUVDEUWEHEUBZJIZUVHKIZSZVGZUCZUWFUWD
      ABUWEUWMUVIAUVDUWEMZUFZEUVDUWKUVIUWEUWLNUWPUWLVHAUWIUVDOZUWKUVIOZUWOUWQUW
      RAUWQUWJUVGUVHKUWIUVDHJVIULVJVKAUWOUIZUWPUVGUVHUWPHUVDUWPUMUWPUWOUVDVLMUV
      PUWSUVDGHVMUVDVNVOUOAUVTUWOUWBQUSVPVBABUWEUVDVLEUVCHVQZCUDIZUWJCKIZLIZSZV
      SIZVGZUCZUWNUWDAUXFUWMOZBUWEVRUXGUWNOAUXHBUWEAUVDUXEUWLAEUXCUWKANENUXCSVS
      IENUXACUWKLIZUWTLIZLIZSENUWKSAEUXBUXJUXANNNNVLNVTMAWATZAUWINMZUFZUWJCUXNH
      UWIUXNUMZAUXMUIZUOZACUPMZUXMAUWAUXRDCWBPZQZUSZUXNUXIUWTUXNCUWKUXNCUXTWCZU
      XNUWJUVHUXQAUVTUXMUWBQUSZWDZUXNHUXOWEZWDAEFUWJUWTFUBZCKIZCUYFUVHKIZLIZNNU
      XBUXINNNNUXLUXLUXQUYEAUYFNMZUFZUYFCAUYJUIZAUXRUYJUXSQZUSUYKCUYHUYKCUYMWCU
      YKUYFUVHUYLAUVTUYJUWBQUSWDANENUWJSVSIENGHJIZSENUWTSAEHGUWIHNNNNUXLUXOUXNW
      FAEHNUXLAUMZWGUXPUXOAENUXLWJWHAENUWTUYNUWTUYNOAHWITWKWLAUWANFNUYGSZVSIFNU
      YISODFCWMPUYFUWJCKWNZUYFUWJOUYHUWKCLUYFUWJUVHKWNZWOWPAUWTCAHUYOWEACDWQZAC
      DWRZWTZWSAENUXKUWKUXNUXKUWTUWTLIZUWKLIZUWKUXNUXKUWTUWKLIZUWTLIZVUCUXNUXKU
      XACLIZUWKLIZUWTLIZVUEUXNUXKUXAUXILIZUWTLIZVUHUXNVUJUXKUXNUXAUXIUWTAUXANMZ
      UXMVUAQZUYDUYEXAXBUXNVUHVUJUXNVUGVUIUWTLUXNUXACUWKVULUYBUYCXAULXBRUXNVUGV
      UDUWTLUXNVUFUWTUWKLUXNUWTCUYEUYBACGXCUXMUYTQXDULULRUXNVUCVUEUXNUWTUWTUWKU
      YEUYEUYCXEXBRUXNVUCHUWKLIUWKUXNVUBHUWKLUXNVUBHHLIHUXNHHUXOUXOXFXGXHULUXNU
      WKUYCUTRRXIRUXNUXAUXBVULUYAWDUYCXJZXKXLBUWEUXFUWMXMPAUXGGUXAJIZUWDAUXGHUX
      DVGZGUXDVGZJIVUNABGHUXDUWGUWHGHXNXOAXPTAUXEUWENXQIZMUWLVUQMAEUWKAEFNNNUWJ
      UYHUWKNAEXRZAEHUWINENHSNNXQIZMZAHNMNNXSZVVAVUTYANYBZVVBEHNNXTYCTENUWISVUS
      MZAVVAVVAVVCVVBVVBENNYDYETYFZAUVTFNUYHSVUSMUWBFUVHYJPZANYGZUYRYHYIAUXEUWL
      VUQVUMYKYLAUXEUWLYMVUMAEUWEUVCUWKNUWEUVCXSAGHYNTUWEYOYPMAGHYQTUWIUVCMAUXM
      UWKNMUWIUEUYCVAAGVLMZHVLMZEUVCUWKSZUVCNXQIMZYTVVIYMMAVVGVVHVVJUWGUWHAEUWK
      AEFNNNUWJUYHUWKNVURVVDVVEVVAAVVBTUYRYHYRUUAGHVVIUUBPUUCUUDAEUXAUXBUVCAEUX
      AAVUKENUXASVUSMZVUAVUKVVAVVAVVKVVBVVBEUXANNXTUUEPYRAEUXBAEFNNNUWJUYGUXBNV
      URVVDAUXRUYPVUSMUXSFCYJPVVFUYQYHYRUUFUUGAVUOGVUPUXAJAEHUXCGUVCUXDNAUXDVHZ
      AUWIHOZUFZUXCUXAGLIZGVVNUXBGUXALVVNUXBGCKIZGVVNUWJGCKVVNUWJUVEGVVNUWIHHJA
      VVMUIWOUGXHULAVVPGOZVVMAUWAVVQDCUUHPQRWOAVVOGOVVMAUXAVUAUUKQRHUVCMAUUITAW
      FVPAEGUXCUXAUVCUXDNVVLAUWIGOZUFZUXCUXAHLIUXAVVSUXBHUXALVVSUXBHCKIZHVVSUWJ
      HCKVVSUWJHGJIHVVSUWIGHJAVVRUIWOUUJXHULAVVTHOZVVRACUULMVWAACUXSUVBCUUMPQRW
      OVVSUXAAVUKVVRVUAQUUNRGUVCMAUUOTVUAVPUUPRAVUNUWDVQZVQZUWDAVWCGVWBJIZVUNVW
      CVWDOAVWBWITAVWBUXAGJAHCUYOUYSUYTUUQWOUURAUWDACUYSUYTUUSUUTRRYSYSYSAUVMCH
      UDAUVMHCLICAUVLCHLAUXRUVLCOUXSCUVAPWOACUYSUTRWOWLR $.
  $}

  ${
    $d M i x $.  $d N i m x $.  $d i m ph x $.
    lcmineqlem13.1 $e |- F = S. ( 0 [,] 1 ) ( ( x ^ ( M - 1 ) ) x.
     ( ( 1 - x ) ^ ( N - M ) ) ) _d x $.
    lcmineqlem13.2 $e |- ( ph -> M e. NN ) $.
    lcmineqlem13.3 $e |- ( ph -> N e. NN ) $.
    lcmineqlem13.4 $e |- ( ph -> M <_ N ) $.
    $( Induction proof for lcm integral.  (Contributed by metakunt,
       12-May-2024.) $)
    lcmineqlem13 $p |- ( ph -> F = ( 1 / ( M x. ( N _C M ) ) ) ) $=
      ( c1 co cmin cexp cmul cbc cdiv wceq oveq2d oveq2 oveq12d vi vm cicc citg
      cc0 cv cz wcel cle wbr w3a nnzd cn nnge1 3jca caddc oveq1 adantr itgeq2dv
      syl id eqeq12d lcmineqlem12 wa elnnz1 biimpri 3adant3 adantl lcmineqlem10
      simpr3 3ad2ant3 eqtrd lcmineqlem11 eqtr4d 1zzd nnge1d fzindd mpdan syl5eq
      clt ) ACBUEJUCKZBUFZDJLKZMKZJWBLKZEDLKZMKZNKZUDZJDEDOKZNKZPKZFADUGUHZJDUI
      UJZDEUIUJZUKWIWLQZAWMWNWOADGULADUMUHWNGDUNUTIUOABWAWBUAUFZJLKZMKZWEEWQLKZ
      MKZNKZUDZJWQEWQOKZNKZPKZQBWAWBJJLKZMKZWEEJLKZMKZNKZUDZJJEJOKZNKZPKZQBWAWB
      UBUFZJLKZMKZWEEXPLKZMKZNKZUDZJXPEXPOKZNKZPKZQZBWAWBXPJUPKZJLKZMKZWEEYGLKZ
      MKZNKZUDZJYGEYGOKZNKZPKZQWPUAUBDJEWQJQZXCXLXFXOYQBWAXBXKYQXBXKQWBWAUHZYQW
      SXHXAXJNYQWRXGWBMWQJJLUQRYQWTXIWEMWQJELSRTURUSYQXEXNJPYQWQJXDXMNYQVAWQJEO
      STRVBWQXPQZXCYBXFYEYSBWAXBYAYSXBYAQYRYSWSXRXAXTNYSWRXQWBMWQXPJLUQRYSWTXSW
      EMWQXPELSRTURUSYSXEYDJPYSWQXPXDYCNYSVAWQXPEOSTRVBWQYGQZXCYMXFYPYTBWAXBYLY
      TXBYLQYRYTWSYIXAYKNYTWRYHWBMWQYGJLUQRYTWTYJWEMWQYGELSRTURUSYTXEYOJPYTWQYG
      XDYNNYTVAWQYGEOSTRVBWQDQZXCWIXFWLUUABWAXBWHUUAXBWHQYRUUAWSWDXAWGNUUAWRWCW
      BMWQDJLUQRUUAWTWFWEMWQDELSRTURUSUUAXEWKJPUUAWQDXDWJNUUAVAWQDEOSTRVBABEHVC
      AXPUGUHZJXPUIUJZXPEVTUJZUKZYFUKZYMXPXSPKZYENKZYPUUFYMUUGYBNKZUUHAUUEYMUUI
      QYFAUUEVDZBXPEUUEXPUMUHZAUUBUUCUUKUUDUUKUUBUUCVDXPVEVFVGVHZAEUMUHUUEHURZA
      UUBUUCUUDVJZVIVGYFAUUIUUHQUUEYBYEUUGNSVKVLAUUEYPUUHQYFUUJXPEUULUUMUUNVMVG
      VNAVOAEHULAEHVPVQVRVS $.
  $}

  ${
    lcmineqlem14.1 $e |- ( ph -> A e. NN ) $.
    lcmineqlem14.2 $e |- ( ph -> B e. NN ) $.
    lcmineqlem14.3 $e |- ( ph -> C e. NN ) $.
    lcmineqlem14.4 $e |- ( ph -> D e. NN ) $.
    lcmineqlem14.5 $e |- ( ph -> E e. NN ) $.
    lcmineqlem14.6 $e |- ( ph -> ( A x. C ) || D ) $.
    lcmineqlem14.7 $e |- ( ph -> ( B x. C ) || E ) $.
    lcmineqlem14.8 $e |- ( ph -> D || E ) $.
    lcmineqlem14.9 $e |- ( ph -> ( A gcd B ) = 1 ) $.
    $( Technical lemma for inequality estimate.  (Contributed by metakunt,
       12-May-2024.) $)
    lcmineqlem14 $p |- ( ph -> ( ( A x. B ) x. C ) || E ) $=
      ( cmul co cdvds wbr nnzd cdiv cz nnproddivdvdsd mpbid dvdszrcl syl simprd
      wcel wa zmulcld dvdstrd coprmdvds2d nnmulcld mpbird ) ABCPQZDPQFRSUOFDUAQ
      ZRSABCUPABGTZACHTACUBUHZUPUBUHZACUPRSZURUSUIACDPQFRSUTMACDFHIKUCUDZCUPUEU
      FUGOABDPQZFRSBUPRSAVBEFABDUQADITUJAEJTAFKTLNUKABDFGIKUCUDVAULAUODFABCGHUM
      IKUCUN $.

  $}

  ${
    $d M x $.  $d N x $.  $d ph x $.
    lcmineqlem15.1 $e |- F = S. ( 0 [,] 1 ) ( ( x ^ ( M - 1 ) ) x.
     ( ( 1 - x ) ^ ( N - M ) ) ) _d x $.
    lcmineqlem15.2 $e |- ( ph -> N e. NN ) $.
    lcmineqlem15.3 $e |- ( ph -> M e. NN ) $.
    lcmineqlem15.4 $e |- ( ph -> M <_ N ) $.
    $( F times the least common multiple of 1 to n is a natural number.
       (Contributed by metakunt, 10-May-2024.) $)
    lcmineqlem15 $p |- ( ph -> ( ( _lcm ` ( 1 ... N ) ) x. F ) e. NN ) $=
      ( c1 cfz co clcmf cmul wcel cc0 clt wbr cn nnred cfv lcmineqlem6 wss fzfi
      cz cfn fz1ssnn lcmfnncl mp2an a1i cdiv cr lcmineqlem13 1red nnnn0d bccl2d
      cbc nnmulcld nnne0d redivcld eqeltrd nngt0d nnrecgt0 syl breqtrrd mulgt0d
      elnnz sylanbrc ) AJEKLZMUAZCNLZUEOPVKQRVKSOABCDEFGHIUBAVJCAVJVJSOZAVISUCV
      IUFOVLEUGJEUDVIUHUIUJZTACJDEDUQLZNLZUKLZULABCDEFHGIUMZAJVOAUNAVOADVNHADEG
      ADHUOIUPURZTAVOVRUSUTVAAVJVMVBAPVPCQAVOSOPVPQRVRVOVCVDVQVEVFVKVGVH $.
  $}

  ${
    $d M x $.  $d N x $.  $d ph x $.
    lcmineqlem16.1 $e |- ( ph -> M e. NN ) $.
    lcmineqlem16.2 $e |- ( ph -> N e. NN ) $.
    lcmineqlem16.3 $e |- ( ph -> M <_ N ) $.
    $( Technical divisibility lemma.  (Contributed by metakunt,
       12-May-2024.) $)
    lcmineqlem16 $p |- ( ph -> ( M x. ( N _C M ) ) ||
     ( _lcm ` ( 1 ... N ) ) ) $=
      ( vx cbc co cmul c1 cfz clcmf cdiv cn wcel nncnd nnne0d cmin cexp cfv wbr
      cdvds wss cfn fz1ssnn lcmfnncl mp2an nnnn0d bccl2d mulcld mulne0d divrecd
      fzfi a1i cc0 cicc cv citg eqid lcmineqlem13 lcmineqlem15 eqeltrrd eqeltrd
      oveq2d nnmulcld nndivdvdsd mpbird ) ABCBHIZJIZKCLIZMUAZUCUBVLVJNIZOPAVMVL
      KVJNIZJIZOAVLVJAVLVLOPZAVKOUDVKUEPVPCUFKCUNVKUGUHUOZQABVIABDQZAVIABCEABDU
      IFUJZQZUKABVIVRVTABDRAVIVSRULUMAVLGUPKUQIGURZBKSITIKWASICBSITIJIUSZJIVOOA
      WBVNVLJAGWBBCWBUTZDEFVAVEAGWBBCWCEDFVBVCVDAVJVLABVIDVSVFVQVGVH $.
  $}

  ${
    $d N k $.  $d k ph $.
    lcmineqlem17.1 $e |- ( ph -> N e. NN0 ) $.
    $( Inequality of 2^{2n}.  (Contributed by metakunt, 29-Apr-2024.) $)
    lcmineqlem17 $p |- ( ph -> ( 2 ^ ( 2 x. N ) ) <_
     ( ( ( 2 x. N ) + 1 ) x. ( ( 2 x. N ) _C N ) ) ) $=
      ( vk c2 cmul co cc0 cbc csu cle cn0 wcel wceq syl wa adantr bccl nn0red
      cz cexp cfz c1 caddc cv a1i nn0mulcld binom11 fzfid elfzelz adantl jca cr
      2nn0 nn0zd syl2anc wbr bcmax syl2an fsumle eqbrtrd chash cfv cc fsumconst
      cfn nn0cnd hashfz0 oveq1d eqtrd breqtrd ) AEEBFGZUAGZHVLUBGZVLBIGZDJZVLUC
      UDGZVOFGZKAVMVNVLDUEZIGZDJZVPKAVLLMZVMWANAEBELMAUNUFCUGZDVLUHOAVNVTVODAHV
      LUIZAVSVNMZPZVTWFWBVSTMZPVTLMWFWBWGAWBWEWCQWEWGAVSHVLUJZUKULVSVLROSAVOUMM
      WEAVOAWBBTMVOLMWCABCUOBVLRUPZSQABLMWGVTVOKUQWECWHVSBURUSUTVAAVPVNVBVCZVOF
      GZVRAVNVFMVOVDMVPWKNWDAVOWIVGVNVODVEUPAWJVQVOFAWBWJVQNWCVLVHOVIVJVK $.
  $}

  ${
    lcmineqlem18.1 $e |- ( ph -> N e. NN ) $.
    $( Technical lemma to shift factors in binomial coefficient.  (Contributed
       by metakunt, 12-May-2024.) $)
    lcmineqlem18 $p |- ( ph ->
     ( ( N + 1 ) x. ( ( ( 2 x. N ) + 1 ) _C ( N + 1 ) ) )
    = ( ( ( 2 x. N ) + 1 ) x. ( ( 2 x. N ) _C N ) ) ) $=
      ( c1 caddc co c2 cmul cfa cfv cdiv cmin cc0 wcel a1i cle oveq1d eqtrd syl
      wceq cbc cfz 0zd cz 2z nnzd zmulcld peano2zd 1red nnnn0d nn0ge0d wbr 0le1
      nnred addge0d readdcld addge01d mpbid recnd add32d 2timesd eqcomd breqtrd
      1cnd elfzd bcval2 addsub4d pncand 1m1e0 oveq12d addid1d fveq2d oveq2d cn0
      zcnd cn faccl nncnd 1nn0 nn0addcld mulcomd facp1 addcld mulassd nn0mulcld
      2nn0 mulcld peano2nnd nnne0d mulne0d divassd dividd divcld mulid2d breq2d
      divmuldivd bitr4d ) ABDEFZGBHFZDEFZWRUAFZHFZWTWSIJZBIJZXDHFZKFZHFZWTWSBUA
      FZHFZAXBWTXCHFZXEKFZXGAXBWRWRKFZXKHFZXKAXBWRXJHFWRXEHFZKFZXMAXBWRXJXNKFZH
      FZXOAXAXPWRHAXAWTIJZXNKFZXPAXAXRXDWRIJZHFZKFZXSAXAXRWTWRLFZIJZXTHFZKFZYBA
      WRMWTUBFNXAYFTAWRMWTAUCZAWSAGBGUDNAUEOABCUFZUGZUHABYHUHABDABCUNZAUIZABABC
      UJZUKZMDPULAUMOUOAWRWRBEFZWTPAMBPULZWRYNPULYMAWRBABDYJYKUPYJUQURAYNBBEFZD
      EFZWTABDBABYJUSZAVDZYRUTAWTYQAWSYPDEABYRVAZQVBRVCVEWRWTVFSAYEYAXRKAYDXDXT
      HAYCBIAYCWSBLFZDDLFZEFZBAWSDBDAWSYIVOZYSYRYSVGAUUCBMEFBAUUABUUBMEAUUAYPBL
      FBAWSYPBLYTQABBYRYRVHRZUUBMTAVIOVJABYRVKRRVLQVMRAYAXNXRKAYAXTXDHFZXNAXDXT
      AXDABVNNZXDVPNYLBVQSZVRZAXTAWRVNNXTVPNABDYLDVNNAVSOVTWRVQSVRWAAUUFWRXDHFZ
      XDHFXNAXTUUJXDHAXTXDWRHFZUUJAUUGXTUUKTYLBWBSAXDWRUUIABDYRYSWCZWARQAWRXDXD
      UULUUIUUIWDRRVMRAXRXJXNKAXRXCWTHFZXJAWSVNNZXRUUMTAGBGVNNAWFOYLWEZWSWBSAXC
      WTAXCAUUNXCVPNUUOWSVQSVRZAWSDUUDYSWCZWARQRVMAXOXQAWRXJXNUULAWTXCUUQUUPWGZ
      AWRXEUULAXDXDUUIUUIWGZWGAWRXEUULUUSAWRABCWHWIZAXDXDUUIUUIAXDUUHWIZUVAWJZW
      JWKVBRAXMXOAWRWRXJXEUULUULUURUUSUUTUVBWPVBRAXMDXKHFXKAXLDXKHAWRUULUUTWLQA
      XKAXJXEUURUUSUVBWMWNRRAWTXCXEUUQUUPUUSUVBWKRAXIXGAXHXFWTHAXHXCUUAIJZXDHFZ
      KFZXFABMWSUBFNXHUVETABMWSYGYIYHYMAYOBWSPULZYMAYOBYPPULUVFABBYJYJUQAWSYPBP
      YTWOWQURVEBWSVFSAUVDXEXCKAUVCXDXDHAUUABIUUEVLQVMRVMVBR $.
  $}

  ${
    lcmineqlem19.1 $e |- ( ph -> N e. NN ) $.
    $( Dividing implies inequality for lcm inequality lemma.  (Contributed by
       metakunt, 12-May-2024.) $)
    lcmineqlem19 $p |- ( ph -> ( ( N x. ( ( 2 x. N ) + 1 ) ) x.
    ( ( 2 x. N ) _C N ) )
    || ( _lcm ` ( 1 ... ( ( 2 x. N ) + 1 ) ) ) ) $=
      ( c2 cmul co c1 caddc cfz clcmf cfv cn wcel a1i cdvds clcm nnzd syl cgcd
      cz cbc 2nn nnmulcld peano2nnd nnnn0d 2re nn0ge0d nnge1d lemulge12d bccl2d
      nnred cr wss cfn fz1ssnn fzfi lcmfnncl lcmineqlem16 lcmineqlem18 remulcld
      mp2an 1red leadd1dd eqbrtrrd wbr wa jca dvdslcm cmin lcmfunnnd recnd 1cnd
      simpld pncand oveq2d fveq2d oveq1d eqtrd breqtrrd wceq 2z gcdaddm mp3an13
      1z addcomd gcd1 eqtr3d lcmineqlem14 ) ABDBEFZGHFZWIBUAFZGWIIFZJKZGWJIFZJK
      ZCAWIADBDLMAUBNZCUCZUDZABWIWQABCUEZABDABCUKZDULMAUFNZABWSUGADWPUHUIZUJWML
      MZAWLLUMWLUNMXCWIUOGWIUPWLUQVANZWOLMZAWNLUMWNUNMXEWJUOGWJUPWNUQVANABWICWQ
      XBURABGHFZWJXFUAFEFWJWKEFWOOABCUSAXFWJABCUDWRABWIGWTADBXAWTUTZAVBXBVCURVD
      AWMWMWJPFZWOOAWMXHOVEZWJXHOVEZAWMTMZWJTMZVFXIXJVFAXKXLAWMXDQAWJWRQVGWMWJV
      HRVMAWOGWJGVIFZIFZJKZWJPFXHAWJWRVJAXOWMWJPAXNWLJAXMWIGIAWIGAWIXGVKZAVLZVN
      VOVPVQVRVSABGSFZBWJSFZGAXRBGWIHFZSFZXSABTMZXRYAVTZABCQZDTMYBGTMYCWAWDDBGW
      BWCRAXTWJBSAGWIXQXPWEVOVRAYBXRGVTYDBWFRWGWH $.
  $}

  ${
    lcmineqlem20.1 $e |- ( ph -> N e. NN ) $.
    $( Inequality for lcm lemma.  (Contributed by metakunt, 12-May-2024.) $)
    lcmineqlem20 $p |- ( ph -> ( N x. ( 2 ^ ( 2 x. N ) ) ) <_
    ( _lcm ` ( 1 ... ( ( 2 x. N ) + 1 ) ) ) ) $=
      ( c2 cmul co cexp c1 nnred cn0 wcel cr a1i 2re remulcld cn nnmulcld recnd
      cle wbr caddc cbc cfz cfv 2nn0 nnnn0d nn0mulcld reexpcl mpan syl readdcld
      clcmf 1red 2nn nn0ge0d nnge1d lemulge12d bccl2d wss fz1ssnn fzfi lcmfnncl
      cfn mp2an lcmineqlem17 nnrpd lemul2d mpbid mulassd lcmineqlem19 peano2nnd
      cdvds cz wi nnzd dvdsle syl2anc mpd eqbrtrrd letrd ) ABDDBEFZGFZEFZBWAHUA
      FZWABUBFZEFZEFZHWDUCFZULUDZABWBABCIZAWAJKZWBLKZADBDJKAUEMABCUFZUGDLKZWKWL
      NDWAUHUIUJZOABWFWJAWDWEAWAHADBWNANMZWJOAUMUKZAWEABWAADBDPKAUNMZCQZWMABDWJ
      WPABWMUOADWRUPUQURZIZOZOAWIWIPKZAWHPUSWHVCKXCWDUTHWDVAWHVBVDMZIAWBWFSTWCW
      GSTABWMVEAWBWFBWOXBABCVFVGVHABWDEFZWEEFZWGWISABWDWEABWJRAWDWQRAWEXARVIAXF
      WIVLTZXFWISTZABCVJAXFVMKXCXGXHVNAXFAXEWEABWDCAWAWSVKQWTQVOXDXFWIVPVQVRVSV
      T $.
  $}

  ${
    lcmineqlem21.1 $e |- ( ph -> N e. NN ) $.
    lcmineqlem21.2 $e |- ( ph -> 4 <_ N ) $.
    $( The lcm inequality lemma without base cases 7 and 8.  (Contributed by
       metakunt, 12-May-2024.) $)
    lcmineqlem21 $p |- ( ph -> ( 2 ^ ( ( 2 x. N ) + 2 ) ) <_
                     ( _lcm ` ( 1 ... ( ( 2 x. N ) + 1 ) ) ) ) $=
      ( c2 cmul co caddc cexp c1 cfz clcmf cfv wcel a1i nnred cn cle wbr c4 cn0
      nn0red nnnn0d nn0mulcld nn0addcld reexpcld crp 2rp cz 2z zmulcld rpexpcld
      2nn0 nnzd rpred remulcld wss cfn fz1ssnn fzfi lcmfnncl mp2an cr 4re mpbid
      lemul1d expaddd sq2 oveq2i eqtrdi rpcnd recnd mulcomd eqtrd breq1d mpbird
      2cnd lcmineqlem20 letrd ) AEEBFGZEHGZIGZBEVTIGZFGZJVTJHGZKGZLMZAEWAAEEUAN
      AUMOZUBAVTEAEBWHABCUCUDZWHUEUFABWCABCPZAWCAEVTEUGNAUHOAEBEUINAUJOABCUNUKU
      LZUOUPAWGWGQNZAWFQUQWFURNWLWEUSJWEUTWFVAVBOPAWBWDRSTWCFGZWDRSZATBRSWNDATB
      WCTVCNAVDOZWJWKVFVEAWBWMWDRAWBWCTFGZWMAWBWCEEIGZFGWPAEVTEAVQWHWIVGWQTWCFV
      HVIVJAWCTAWCWKVKATWOVLVMVNVOVPABCVRVS $.
  $}

  ${
    lcmineqlem22.1 $e |- ( ph -> N e. NN ) $.
    lcmineqlem22.2 $e |- ( ph -> 4 <_ N ) $.
    $( The lcm inequality lemma without base cases 7 and 8.  (Contributed by
       metakunt, 12-May-2024.) $)
    lcmineqlem22 $p |- ( ph -> ( ( 2 ^ ( ( 2 x. N ) + 1 ) ) <_
                     ( _lcm ` ( 1 ... ( ( 2 x. N ) + 1 ) ) )
      /\ ( 2 ^ ( ( 2 x. N ) + 2 ) ) <_
                   ( _lcm ` ( 1 ... ( ( 2 x. N ) + 2 ) ) ) ) ) $=
      ( c2 co c1 caddc cfz clcmf cfv cle wbr wcel a1i cn nnred cz cdvds clcm cr
      cmul cexp 2re cn0 2nn0 nn0mulcld 1nn0 nn0addcld reexpcld wss fz1ssnn fzfi
      nnnn0d cfn lcmfnncl mp2an 1red remulcld clt 1lt2 leadd2dd 2z nnzd zmulcld
      ltled peano2zd zaddcld leexp2d mpbid lcmineqlem21 letrd wa dvdslcm simpld
      jca syl cmin 2nn nnmulcld nnaddcld lcmfunnnd recnd 1cnd addsubassd oveq2i
      2m1e1 eqtrdi oveq2d fveq2d oveq1d eqtrd breqtrrd wi dvdsle mpd ) AEEBUBFZ
      GHFZUCFZGWRIFZJKZLMEWQEHFZUCFZGXBIFZJKZLMAWSXCXAAEWREUANAUDOZAWQGAEBEUENA
      UFOZABCUNUGZGUENAUHOUIUJAEXBXFAWQEXHXGUIUJZAXAXAPNZAWTPUKWTUONXJWRULGWRUM
      WTUPUQOZQZAWRXBLMWSXCLMAGEWQAURZXFAEBXFABCQUSZAGEXMXFGEUTMAVAOZVFVBAEWRXB
      XFAWQAEBERNAVCOZABCVDVEZVGAWQEXQXPVHZXOVIVJABCDVKZVLAXCXAXEXIXLAXEXEPNZAX
      DPUKXDUONXTXBULGXBUMXDUPUQOZQXSAXAXESMZXAXELMZAXAXAXBTFZXESAXAYDSMZXBYDSM
      ZAXARNZXBRNZVMYEYFVMAYGYHAXAXKVDZXRVPXAXBVNVQVOAXEGXBGVRFZIFZJKZXBTFYDAXB
      AWQEAEBEPNAVSOZCVTYMWAWBAYLXAXBTAYKWTJAYJWRGIAYJWQEGVRFZHFWRAWQEGAWQXNWCA
      EXFWCAWDWEYNGWQHWGWFWHWIWJWKWLWMAYGXTVMYBYCWNAYGXTYIYAVPXAXEWOVQWPVLVP $.
  $}

  ${
    lcmineqlem23.1 $e |- ( ph -> N e. NN ) $.
    lcmineqlem23.2 $e |- ( ph -> 9 <_ N ) $.
    $( Penultimate step to the lcm inequality lemma.  (Contributed by metakunt,
       12-May-2024.) $)
    lcmineqlem23 $p |- ( ph -> ( 2 ^ N ) <_
                     ( _lcm ` ( 1 ... N ) ) ) $=
      ( c2 cdvds wbr cexp co c1 cfz cle caddc wcel cn a1i c4 c5 c9 c8 clcmf cfv
      wa cdiv cmin cmul cz cc0 clt wb 2nn jca nndivdvds syl biimpa nnzd zsubcld
      1zzd 0red cr 4re nnred 1red resubcld 4pos 5m1e4 5re cdc nncni 5cn mulcomi
      wceq 5t2e10 eqtri recni nnne0i divmuli mpbir adantr crp 2rp 9p1e10 wo 9re
      10re leloed mpbid 4cn 4t2e8 8re 4nn eqeltri 8nn mp2an 9m1e8 breqtrri nnzi
      9nn oddm1even ax-mp breq2 mtbii con2i adantl olcnd zltp1le mpan eqbrtrrid
      lediv1dd lesub1dd ltletrd elnnz sylibr lcmineqlem22 simprd halfcld muls1d
      wn nncnd oveq1d mulcld npcand eqtrd nnne0d divcan2d oveq2d fveq2d breq12d
      8pos nndivdvdsd eqtr3i nnrpd simpld 1cnd subcld pm2.61dan ) AEBFGZEBHIZJB
      KIZUAUBZLGZAYQUCZEEBEUDIZJUEIZUFIZEMIZHIZJUUFKIZUAUBZLGZUUAUUBEUUEJMIZHIJ
      UUKKIUAUBLGUUJUUBUUDUUBUUDUGNZUHUUDUIGZUCUUDONUUBUULUUMUUBUUCJUUBUUCAYQUU
      CONZABONZEONZUCYQUUNUJAUUOUUPCUUPAUKPZULBEUMUNUOZUPUUBURUQUUBUHQUUDUUBUSQ
      UTNUUBVAPUUBUUCJUUBUUCUURVBZUUBVCZVDUHQUIGUUBVEPUUBQRJUEIUUDLVFUUBRUUCJRU
      TNUUBVGPUUSUUTUUBRJUHVHZEUDIZUUCLUVBRVLERUFIZUVAVLUVCREUFIUVAEREUKVIZVJVK
      VMVNUVAERUVAWEVOUVDVJEUKVPZVQVRUUBUVABEUVAUTNUUBWEPABUTNYQABCVBZVSEVTNUUB
      WAPUUBUVASJMIZBLWBUUBSBUIGZUVGBLGZUUBUVHSBVLZAUVHUVJWCZYQASBLGUVKDASBSUTN
      AWDPZUVFWFWGVSYQUVJXRAUVJYQUVJESFGZYQUVMXRZESJUEIZFGZETUVOFETFGZTEUDIZONZ
      UVRQOUVRQVLZEQUFIZTVLZUWAQEUFIZTEQUVDWHVKWIVNTEQTWJVOUVDWHUVEVQZVRWKWLTON
      UUPUVQUVSUJWMUKTEUMWNVRWOWPSUGNZUVNUVPUJSWRWQZSWSWTVRSBEFXAXBXCXDXEAUVHUV
      IUJZYQABUGNZUWGABCUPZUWEUWHUWGUWFSBXFXGUNVSWGXHXIXHXJXHZXKULUUDXLXMUWJXNX
      OAUUJUUAUJYQAUUGYRUUIYTLAUUFBEHAUUFEUUCUFIZBAUUFUWKEUEIZEMIUWKAUUEUWLEMAE
      UUCAEUUQXSZABABCXSZXPZXQXTAUWKEAEUUCUWMUWOYAUWMYBYCABEUWNUWMAEUUQYDZYEYCZ
      YFAUUHYSUAAUUFBJKUWQYFYGYHVSWGAYQXRZUCZEEBJUEIZEUDIZUFIZJMIZHIZJUXCKIZUAU
      BZLGZUUAUWSUXGEUXBEMIZHIJUXHKIUAUBLGUWSUXAUWSEUWTFGZUXAONAUWRUXIAUWHUWRUX
      IUJUWIBWSUNUOUWSEUWTUUPUWSUKPAUWTONZUWRAUWTUGNZUHUWTUIGZUCUXJAUXKUXLABJUW
      IAURUQAUHTUWTAUSTUTNAWJPZABJUVFAVCZVDZUHTUIGAYIPATUVOUWTLWOASBJUVLUVFUXND
      XJXHZXKULUWTXLXMVSYJWGAQUXALGUWRAQUVRUXALUVTUWBUWCUWATQEWHUVDVKWIYKUWDVRA
      TUWTEUXMUXOAEUUQYLUXPXIXHVSXNYMAUXGUUAUJUWRAUXDYRUXFYTLAUXCBEHAUXCUWTJMIB
      AUXBUWTJMAUWTEABJUWNAYNZYOUWMUWPYEXTABJUWNUXQYBYCZYFAUXEYSUAAUXCBJKUXRYFY
      GYHVSWGYP $.
  $}

  ${
    lcmineqlem.1 $e |- ( ph -> N e. NN ) $.
    lcmineqlem.2 $e |- ( ph -> 7 <_ N ) $.
    $( The least common multiple inequality lemma, a central result for future
       use.  Theorem 3.1 from ~ https://www3.nd.edu/%7eandyp/notes/AKS.pdf
       (Contributed by metakunt, 16-May-2024.) $)
    lcmineqlem $p |- ( ph -> ( 2 ^ N ) <_ ( _lcm ` ( 1 ... N ) ) ) $=
      ( c7 cle wbr c2 cexp co c1 cfz clcmf clt wcel c8 cdc c4 cc0 decnncl wo cr
      cfv wceq 7re a1i nnred leloed caddc cz wb nnzd 7nn nnzi zltp1le syl 7p1e8
      breq1i bitrdi 8re wa cn adantr c9 8p1e9 8nn biimpd eqbrtrrid lcmineqlem23
      mpan imp ex c5 2nn0 8nn0 5nn0 4nn0 6nn0 0nn0 2lt8 5lt10 6lt10 3decltc 5nn
      c6 nnnn0i 6nn nnrei 4nn decnncl2 ltlei ax-mp 2exp8 eqtr3id lcm8un breq12d
      oveq2 fveq2d mpbii adantl jaod sylbid wi 1nn0 1lt4 2lt10 8lt10 2nn lcm7un
      2exp7 mpd ) AEBFGZHBIJZKBLJZMUCZFGZDAXLEBNGZEBUDZUAXPAEBEUBOAUEUFABCUGZUH
      AXQXPXRAXQPBFGZXPAXQEKUIJZBFGZXTABUJOZXQYBUKZABCULZEUJOYCYDEUMUNEBUOVJUPY
      APBFUQURUSAXTPBNGZPBUDZUAXPAPBPUBOAUTUFXSUHAYFXPYGAYFXPAYFVAZBABVBOYFCVCY
      HVDPKUIJZBFVEAYFYIBFGZAYFYJAYCYFYJUKZYEPUJOYCYKPVFUNPBUOVJUPVGVKVHVIVLAYG
      XPYGXPAYGHVMQZWEQZPRQZSQZFGZXPYMYONGYPHPVMRWESVNVOVPVQVRVSVTWAWBWCYMYOYMY
      LWEYLHVMVNWDTWFWGTWHYOYNPRVOWITWJWHWKWLYGYMXMYOXOFYGYMHPIJXMWMPBHIWQWNYGY
      OKPLJZMUCXOWOYGYQXNMPBKLWQWRWNWPWSWTVLXAXBXBXRXPXCAXRKHQZPQZRHQZSQZFGZXPY
      SUUANGUUBKRHHPSXDVQVNVNVOVSXEXFXGWCYSUUAYSYRPYRKHXDXHTWFVFTWHUUAYTRHVQXHT
      WJWHWKWLXRYSXMUUAXOFXRYSHEIJXMXJEBHIWQWNXRUUAKELJZMUCXOXIXRUUCXNMEBKLWQWR
      WNWPWSUFXAXBXK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Logarithm inequalities
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $( 3 to the power of 7 equals 2187.  (Contributed by metakunt,
       21-Aug-2024.) $)
    3exp7 $p |- ( 3 ^ 7 ) = ; ; ; 2 1 8 7 $=
      ( c3 c2 c1 cdc c8 c7 c6 3nn0 c9 co 7nn0 2nn0 1nn0 8nn0 0nn0 cmul caddc c4
      cc0 4nn0 6nn0 6p1e7 cexp deccl 9nn0 3cn 3t2e6 mulcomli 3exp3 dec0h nn0cni
      2cn eqid mul02i 6cn ax-1cn addcomli oveq12i 7cn addid2i eqtri 2t2e4 4p2e6
      7t2e14 1p1e2 8cn 4cn 8p4e12 decaddci decma2c decmac 4p4e8 7t7e49 decmul2c
      decaddi decmul1c numexp2x 7t3e21 1p0e1 oveq1i 6p2e8 decma 9t3e27 numexpp1
      ) ABCDZEDZFDGFHUAUBFBDZIWFFABAGUCJHFBKLUDUEAWGIDBFDZAGHHABGUFULUGUHZUIBFW
      GIWHCEDZWHBFLKUDZLKWHUMZUECEMNUDSBCEWHFBGBWJOLMNBLUJZWJUMWKLUASWHPJZCGQJZ
      QJSFQJFWNSWOFQWHWHWKUKUNGCFUOUPUBUQURFUSUTVABFSEBGBBWHELKONWLENUJLLLBBPJZ
      SBQJZQJRBQJGWPRWQBQVBBULUTURVCVACRBBBFPJEMTNFBCRDUSULVDUHVELERCBDVFVGVHUQ
      VIVJVKBFWJIFRWHKLKWLUETCREFBPJRMTTVDVLVOVMVNVPVQKLFBSBAWEEWGBKLOLWGUMWMHB
      CCFAPJSLMOVRVSVOBAPJZBQJGBQJEWRGBQWIVTWAVAWBWCVPWD $.
  $}

  $( First inequality in inequality chain, proposed by Mario Carneiro
     (Contributed by metakunt, 22-May-2024.) $)
  3lexlogpow5ineq1 $p |- 9 < ( ( ; 1 1 / 7 ) ^ 5 ) $=
    ( c9 c1 cdc c5 co c7 cmul c6 c8 c2 c4 caddc eqid eqtri 2nn0 4nn0 deccl 1nn0
    cc0 0nn0 cexp cdiv clt wbr 2p2e4 oveq1i 4p1e5 eqtr4i oveq2i cc wcel wa wceq
    cn0 7cn nn0addcli pm3.2i expp1 ax-mp w3a 3pm3.2i expadd sqvali oveq12i 9nn0
    7t7e49 6nn0 4t4e16 1p1e2 4p4e8 8cn 6cn 8p6e14 addcomli decaddci 3nn0 9t4e36
    c3 3p1e4 6p4e10 decaddci2 decmac 8nn0 9cn mulcomli 9t9e81 decmul1c decmul2c
    4cn 3eqtri 7nn0 2cn 7t2e14 4p2e6 decaddi 7t4e28 addid1i mul01i dec0h eqcomi
    00id ax-1cn mulid1i nn0cni mulcomi 5nn0 mulid2i addid2i 9p6e15 9t6e54 5p1e6
    7p4e11 9t8e72 mul02i decma 9t7e63 3lt10 6lt10 2lt10 1lt10 5lt6 declt decltc
    0cn 6nn eqbrtri decsuc decadd 5cn 2t1e2 2t2e4 decma2c 0p1e1 breqtri cr 7pos
    7re reexpcl wtru a1i 6p1e7 wb cz 5nn expgt0 9re 1nn decnncl nnrei ltmuldivi
    nnzi mpbi 0red ltned necomd expdivd eqcomd mptru ) ABBCZDUAEZFDUAEZUBEZUUSF
    UBEDUAEZUCAUVAGEZUUTUCUDZAUVBUCUDZUVDBHCZBCZSCZDCZBCZUUTUCUVDAUVGICZSCZFCZG
    EZUVKUCUVAUVNAGUVAJKCZSCZBCZFGEZUVNUVAFJJLEZBLEZUAEZFUVTUAEZFGEZUVSDUWAFUAD
    DUWADMUWAKBLEZDUVTKBLUEUFUGNUHUIFUJUKZUVTUNUKZULUWBUWDUMUWFUWGUOJJOOUPUQFUV
    TURUSUWCUVRFGUWCFJUAEZUWHGEZUVRUWFJUNUKZUWJUTUWCUWIUMUWFUWJUWJUOOOVAFJJVBUS
    UWIKACZUWKGEUVRUWHUWKUWHUWKGUWHFFGEUWKFUOVCVFNZUWLVDKAUVQBUWKKKCZUWKKAPVEQP
    VEUWKMZRKKPPQKAKKKUVPSKUWKUWMPVEPPUWNUWMMPTPBHKJKKGEKKLEZRVGKKPPUPVHVIPHUWO
    LEHILEBKCZUWOIHLVJUIIHUWPVKVLVMVNZNVOVRHKAKGEKVPVGPVQVSVTWAWBKAUWMBAIUWKVEP
    VEUWNRWCVRHKKKAGEIVPVGWCAKVRHCWDWIVQWEVSPUWQVOWFWGWHNNUFWJUVQBUVMFFSUVRWKUV
    PSJKOPQZTQRUVRMWKTUVLSSUVQFGESUVGIBHRVGQZWCQZTTUVPSUVLSFSUVQWKUWRTUVQMTTUVG
    IIUVPFGESUWSWCTJKUVGIFJUVPWKOPUVPMZWCOBKHJFGEJRPOFJUWPUOWLWMWEWNWOFKJICUOWI
    WPWEWGIVKWQWOFSSSCZUOYDFSGESUXBFUOWRSUXBSTWSWTUHWEWGXAWOFBSFCZUOXBFBGEFUXCF
    UOXCFUXCFWKWSZWTZUHWEWGNUIUVOUVNAGEZUVKUCAUVNWDUVNUVMFUVLSUWTTQZWKQXDXEUXFB
    DCZBCZJCZHCZVRCUVKUCUVMFUXKVRAHUVNVEUXGWKUVNMVPVGUVLSSHAUXJHUVMHUWTTTVGUVMM
    HVGWSVEUXIJJUVLAGESUXHBBDRXFQZRQZOTUVGIUXIJAFUVLVEUWSWCUVLMOWKBHSFAUXHBHUVG
    FRVGTWKUVGMUXDVERVGBAGEZSHLEZLEAHLEUXHUXNAUXOHLAWDXGHVLXHZVDXINDKBHHAGEFXFP
    WKAHDKCWDVLXJWEXKRFKUUSUOWIXLVNZVOWBAIFJCWDVKXMWEWGJWLWQZWOSAGEZHLEUXOHUXSS
    HLAWDXNUFUXPNXOAFHVRCWDUOXPWEWGUXKUVJVRBUXJHUXIJUXMOQZVGQUVIDUVHSUVGBUWSRQZ
    TQZXFQVPRXQUXJUVIHDUXTUYBVGXFXRUXIUVHJSUXMUYAOTXSUXHUVGBBUXLUWSRRXTBDHRXFYE
    YAYBYCYCYCYCYFYFYFUUTUVKUUTUWPHCZKCZBCZUUSGEZUVKUUTUUSUWEUAEZUYFDUWEUUSUAUW
    EDUGWTUIUYGUUSKUAEZUUSGEZUYFUUSUJUKZKUNUKZULUYGUYIUMUYJUYKUUSBBRRQZXDZPUQUU
    SKURUSUYHUYEUUSGUYHUUSUVTUAEZUYEKUVTUUSUAUVTKUEWTUIUYNUUSJUAEZUYOGEZUYEUYJU
    WJUWJUTUYNUYPUMUYJUWJUWJUYMOOVAUUSJJVBUSUYPBJCZBCZUYRGEUYEUYOUYRUYOUYRGUYOU
    USUUSGEUYRUUSUYMVCBBUYQBUUSBUUSUYLRRUUSMZRRBBJBUUSGEZRRVIUUSUYMXGZYGVUAWGNZ
    VUBVDUYQBUYDBUYRUYQUYRUYQBBJROQZRQZVUCRUYRMZRVUCBJBJUYRUYCKUVPUYQUYQROROUYQ
    MZVUFVUDPUWRUYQBJDUWPHBUYRGEBUVPLEVUCROXFUYRUYRVUDXDXGZSBJKJDBUVPTROPBRWSZU
    XAJWLXHKBDWIXBUGVNYHBJKUYQJROOVUFUEWODBHYIXBXKVNZYHUYQBSJJUVPKSUYRJVUCRTOVU
    EJOWSOPTJKKJUYQGESSLEZOPSSTTUPBJJKJSUYQOROVUFPTJBGEZSLEJSLEJVUKJSLYJUFUXRNJ
    JGEKSKCZYKKVULKPWSZWTZUHWHKVUJLEKSLEZKVUJSKLXAUIKWIWQZNWOVUKJLEZKVULVUQUVTK
    VUKJJLYJUFUENVUNUHYLWBVUGWGNNNUFNNUYDBUVJBUUSBUYEUYLUYCKUWPHBKRPQZVGQZPQRUY
    EMRRUYCKSBUUSUVIDKUYDBVUSPTRUYDMVUHUYLXFPUWPHSKUUSUVHSFUYCSKLEVURVGTPUYCMKS
    VULWIYDVUOKVULVUPVUNUHVNUYLTWKBKSFUUSUVGBDUWPSFLERPTWKUWPMFSUXCUOYDFSLEFUXC
    FUOWQUXEUHVNUYLRXFBBHUYTSDLEZRRSDTXFUPVUABVUTLEBDLEHVUTDBLDYIXHUIVUINWOBBSF
    KDBBUUSFRRTWKUYSUXDPRRKBGEZSBLEZLEUWEDVVAKVVBBLKWIXCZYMVDUGNVVAFLEKFLEUUSVV
    AKFLVVCUFUXQNYLWBBBSKHFSBUUSKRRTPUYSVUMVGTRHBGEZVVBLEHBLEFVVDHVVBBLHVLXCZBX
    BXHVDUUANVVDKLEHKLEBSCVVDHKKLVVEKMVDVTNYLWBBBSBKKDSUUSBRRTRUYSVUHPXFTVVAVUJ
    LEVUOKVVAKVUJSLVVCXAVDVUPNVVABLEZDSDCZVVFUWEDVVAKBLVVCUFUGNDVVGDXFWSWTUHYLW
    BVUAWGNWTYNSUVAUCUDZUVEUVFUUBFYOUKZDUUCUKZSFUCUDZUTVVHVVIVVJVVKYQDUUDUUKYPV
    AFDUUEUSAUUTUVAUUFUUSYOUKZDUNUKZULUUTYOUKVVLVVMUUSBBRUUGUUHUUIXFUQUUSDYRUSV
    VIVVMULUVAYOUKVVIVVMYQXFUQFDYRUSUUJUSUULUVBUVCUMYSUVCUVBYSUUSFDUYJYSUYMYTUW
    FYSUOYTYSSFYSSFYSUUMVVKYSYPYTUUNUUOVVMYSXFYTUUPUUQUURYN $.

  ${
    3lexlogpow5ineq2.1 $e |- ( ph -> X e. RR ) $.
    3lexlogpow5ineq2.2 $e |- ( ph -> 3 <_ X ) $.
    $( Second inequality in inequality chain, proposed by Mario Carneiro.
       (Contributed by metakunt, 22-May-2024.) $)
    3lexlogpow5ineq2 $p |- ( ph ->
    ( ( ; 1 1 / 7 ) ^ 5 ) <_ ( ( 2 logb X ) ^ 5 ) ) $=
      ( c1 cdc c7 co c2 clogb wcel decnncl a1i cc0 clt wbr c3 cle 0nn0 c8 c5 cn
      cdiv 1nn0 1nn nnred 7re 0red 7pos ltned necomd redivcld 2re 2pos 3re 3pos
      cr ltletrd 1red 1lt2 relogbcld cn0 5nn0 7nn nnrpd wtru tru 9re 9pos ltled
      c9 ax-mp declei divge0d cmul c4 cexp wceq 2exp11 eqcomi oveq2d elrpd nnzd
      relogbexpd eqtrd eqcomd cz 2z leidd 2nn0 deccl 4nn0 8nn 8nn0 decltdi 7nn0
      4nn caddc 8re nn0addge1i 8p1e9 breqtri 4lt10 declt decltc decleh logblebd
      0lt1 eqbrtrd recnd 3exp7 relogbzexpd mulcomd 3brtr3d lemul1d mpbird letrd
      divcan1d leexp1ad ) AEEFZGUCHZIBJHZUAAXTGAXTXTUBKAEEUDUELMZUFZGUQKAUGMZAN
      GANGAUHZNGOPAUIMUJUKZULZAIBIUQKAUMMZNIOPAUNMZCANQBYFQUQKAUOMZCNQOPAUPMZDU
      RZAEIAEIAUSEIOPAUTMUJUKZVAZUAVBKAVCMAXTGYDAGGUBKAVDMZVEZNXTRPAEENUEUDSVFN
      VKRPVGVFNVKVFUHVKUQKVFVHMNVKOPVFVIMVJVLZVMMVNAYAIQJHZYBYHAIQYIYJYKYLYNVAZ
      YOAYAYSRPYAGVOHZYSGVOHZRPAXTIIEFZTFZGFZJHZUUAUUBRAXTIINFZVPFZTFZJHZUUFRAU
      UJXTAUUJIIXTVQHZJHXTAUUIUUKIJUUIUUKVRAUUKUUIVSVTMWAAIXTAIYIYJWBZYNAXTYCWC
      WDWEWFAIUUIUUEIWGKAWHMZAIYIWIZAUUIUUIUBKAUUHTUUGVPINWJSWKZWLWKZWMLMUFNUUI
      OPAUUHTNUUGVPUUOWQLWNSYRWOMAUUEUUEUBKAUUDGUUCTIEWJUDWKZWNWKZVDLMUFNUUEOPA
      UUDGNUUCTUUQWMLWPSYRWOMUUIUUERPAUUHUUDTGUUPUURWNWPTTEWRHVKRTEWSUDWTXAXBUU
      GUUCVPTUUOUUQWLWNXCINEWJSUEXHXDXEXFMXGXIAUUAXTAXTGAXTYDXJAGYEXJZYGXRWFAUU
      FGYSVOHZUUBAUUFIQGVQHZJHUUTAUUEUVAIJUUEUVAVRAUVAUUEXKVTMWAAIQGUULYNAQYKYL
      WBAGYPWCXLWEAGYSUUSAYSYTXJXMWEXNAYAYSGYHYTYQXOXPAIQBUUMUUNYKYLCYMDXGXQXS
      $.
  $}

  ${
    3lexlogpow5ineq4.1 $e |- ( ph -> X e. RR ) $.
    3lexlogpow5ineq4.2 $e |- ( ph -> 3 <_ X ) $.
    $( Sharper logarithm inequality chain.  (Contributed by metakunt,
       21-Aug-2024.) $)
    3lexlogpow5ineq4 $p |- ( ph -> 9 < ( ( 2 logb X ) ^ 5 ) ) $=
      ( c9 c1 c7 co c5 cexp c2 cr wcel a1i cc0 clt wbr ltned necomd c3 cdc cdiv
      clogb 9re 1nn0 1nn decnncl nnred 7re 0red 7pos redivcld cn0 5nn0 reexpcld
      cn 2re 2pos 3pos ltletrd 1red relogbcld 3lexlogpow5ineq1 3lexlogpow5ineq2
      3re 1lt2 ) AEFFUAZGUBHZIJHZKBUCHZIJHELMAUDNAVHIAVGGAVGVGUPMAFFUEUFUGNUHGL
      MAUINAOGAOGAUJZOGPQAUKNRSULIUMMAUNNZUOAVJIAKBKLMAUQNOKPQAURNCAOTBVKTLMAVE
      NCOTPQAUSNDUTAFKAFKAVAFKPQAVFNRSVBVLUOEVIPQAVCNABCDVDUT $.
  $}

  ${
    3lexlogpow5ineq3.1 $e |- ( ph -> X e. RR ) $.
    3lexlogpow5ineq3.2 $e |- ( ph -> 3 <_ X ) $.
    $( Combined inequality chain for a specific power of the binary logarithm,
       proposed by Mario Carneiro.  (Contributed by metakunt, 22-May-2024.) $)
    3lexlogpow5ineq3 $p |- ( ph -> 7 < ( ( 2 logb X ) ^ 5 ) ) $=
      ( c7 c9 c2 clogb co c5 cexp cr wcel 7re a1i cc0 clt wbr c3 c1 9re 2re 3re
      2pos 0red 3pos ltletrd 1red 1lt2 ltned necomd relogbcld cn0 5nn0 reexpcld
      7lt9 3lexlogpow5ineq4 lttrd ) AEFGBHIZJKIELMANOFLMAUAOAUSJAGBGLMAUBOPGQRA
      UDOCAPSBAUESLMAUCOCPSQRAUFODUGATGATGAUHTGQRAUIOUJUKULJUMMAUNOUOEFQRAUPOAB
      CDUQUR $.
  $}

  ${
    $( Result for bound in AKS inequality lemma.  (Contributed by metakunt,
       21-Aug-2024.) $)
    3lexlogpow2ineq1 $p |- ( ( 3 / 2 ) < ( 2 logb 3 ) /\
     ( 2 logb 3 ) < ( 5 / 3 ) ) $=
      ( wtru c3 c2 co clogb clt wbr c5 cmul cexp c8 c9 wcel crp ax-mp nnrp wceq
      cn a1i eqtrd cdiv wa tru 8lt9 cuz cfv w3a wb cz 2z 8nn 9nn 3pm3.2i logblt
      uzid mpbi eqid cu2 eqtr4i oveq2d 2rp c1 1red 1lt2 ltned necomd relogbexpd
      3z sq3 3brtr3d 3re recnd 2re cc0 2pos gt0ne0d divcan1d eqcomd relogbzexpd
      cr 3pos elrpd relogbcld mulcomd rehalfcld ltmul1d mpbird c7 cdc 2nn0 3nn0
      7nn0 7lt10 2lt3 7nn decnncl 2nn 2exp5 breqtrd 3exp3 5re 5nn nnzd redivcld
      decltc jca ) ABCUADZCBEDZFGZXHHBUADZFGZUBUCAXIXKAXIXGCIDZXHCIDZFGABCBCJDZ
      EDZXLXMFACKEDZCLEDZBXOFXPXQFGZAKLFGZXRUDCCUEUFMZKNMZLNMZUGXSXRUHXTYAYBCUI
      MZXTUJCUOOZKRMYAUKKPOLRMYBULLPOUMCKLUNOUPSAXPCCBJDZEDBAKYECEKYEQAKKYEKUQU
      RUSSUTACBCNMAVASZAVBCAVBCAVCVBCFGAVDSVEVFZBUIMAVHSZVGTALXNCELXNQALLXNLUQV
      IUSSUTVJAXLBABCABBVTMAVKSZVLZACCVTMAVMSZVLZACVNCFGAVOSZVPVQVRAXOCXHIDXMAC
      BCYFYGABYIVNBFGAWASZWBZYCAUJSVSACXHYLAXHACBYKYMYIYNYGWCZVLZWDTVJAXGXHCABY
      IWEYPYFWFWGAXKXHBIDZXJBIDZFGACCWHWIZEDZCCHJDZEDZYRYSFAUUACBCWIZEDZUUCFUUA
      UUEFGZAYTUUDFGZUUFCBWHCWJWKWLWJWMWNXEXTYTNMZUUDNMZUGUUGUUFUHXTUUHUUIYDYTR
      MUUHCWHWJWOWPYTPOUUDRMUUIBCWKWQWPUUDPOUMCYTUUDUNOUPSAUUDUUBCEUUDUUBQAUUDU
      UDUUBUUDUQWRUSSUTWSAUUABXHIDZYRAUUACBBJDZEDUUJAYTUUKCEYTUUKQAYTYTUUKYTUQW
      TUSSUTACBBYFYGYOYHVSTABXHYJYQWDTAYSUUCAYSHUUCAHBAHHVTMAXASZVLYJABYNVPZVQA
      UUCHACHYFYGAHHRMAXBSXCVGVRTVRVJAXHXJBYPAHBUULYIUUMXDYOWFWGXFO $.
  $}

  ${
    $( Result for bound in AKS inequality lemma.  (Contributed by metakunt,
       21-Aug-2024.) $)
    3lexlogpow2ineq2 $p |- ( 2 < ( ( 2 logb 3 ) ^ 2 ) /\
     ( ( 2 logb 3 ) ^ 2 ) < 3 ) $=
      ( wtru c2 c3 co clt wbr cdiv cr wcel a1i c9 c4 cmul c8 wceq eqbrtrd recnd
      cc0 c5 cn clogb cexp wa tru 2re 3re rehalfcld resqcld 2pos 3pos 1red 1lt2
      c1 ltned necomd relogbcld 2cnd 4cn 0red 4pos divcan4d eqcomd 4re remulcld
      cc 9re elrpd 4t2e8 mulcomli 8lt9 ltdiv1dd eqid 3t3e9 eqtr4i 2t2e4 oveq12d
      2cn gt0ne0d divmuldivd eqtrd sqval syl breqtrd 3lexlogpow2ineq1 simpld wb
      crp 2nn 3rp rphalfcld divgt0d lttrd rpexpmord syl3anc 5re redivcld nnnn0d
      mpbid gtned reexpcld simprd 5nn nnrpd rpdivcld sqvald 5t5e25 c7 2nn0 5nn0
      cdc 7nn declt 9cn 3cn 9t3e27 breqtrri decnncl nnred 9nn ltdivmul2d mpbird
      5lt7 jca ax-mp ) ABBCUADZBUBDZEFZYFCEFZUCUDAYGYHABCBGDZBUBDZYFBHIAUEJZAYI
      ACCHIAUFJZUGZUHAYEABCYKRBEFAUIJZYLRCEFAUJJZAUMBAUMBAUKUMBEFAULJUNUOUPZUHZ
      ABKLGDZYJEABBLMDZLGDZYREAYTBABLAUQLVEIAURJARLARLAUSZRLEFAUTJZUNUOVAVBAYSK
      LABLYKLHIAVCJZVDKHIAVFJALUUCUUBVGAYSNKEYSNOALBNURVQVHVIJNKEFAVJJPVKPAYRYI
      YIMDZYJAYRCCMDZBBMDZGDZUUDAKUUELUUFGKUUEOAKKUUEKVLVMVNJLUUFOALLUUFLVLVOVN
      JVPAUUDUUGACBCBACYLQZABYKQZUUHUUIABYNVRZUUJVSVBVTAYIVEIZUUDYJOAYIYMQUUKYJ
      UUDYIWAVBWBVTWCAYIYEEFZYJYFEFZAUULYESCGDZEFZUULUUOUCAWDJZWEZABTIZYIWGIYEW
      GIZUULUUMWFUURAWHJZACCWGIAWIJZWJAYEYPARYIYEUUAYMYPACBYLYKYOYNWKUUQWLVGZYI
      YEBWMWNWRWLAYFUUNBUBDZCYQAUUNBASCSHIAWOJZYLARCUUAYOWSZWPZABUUTWQWTYLAUUOY
      FUVCEFZAUULUUOUUPXAAUURUUSUUNWGIUUOUVGWFUUTUVBASCASSTIAXBJXCUVAXDYEUUNBWM
      WNWRAUVCUUNUUNMDZCEAUUNAUUNUVFQXEAUVHSSMDZUUEGDZCEASCSCASUVDQZUUHUVKUUHUV
      EUVEVSAUVJBSXJZKGDZCEAUVIUVLUUEKGUVIUVLOAXFJUUEKOAVMJVPAUVMCEFUVLCKMDZEFZ
      UVOAUVLBXGXJZUVNEBSXGXHXIXKYBXLKCUVPXMXNXOVIXPJAUVLCKAUVLUVLTIABSXHXBXQJX
      RYLAKKTIAXSJXCXTYAPPPWLYCYD $.
  $}

  ${
    $( Result for bound in AKS inequality lemma.  (Contributed by metakunt,
       21-Aug-2024.) $)
    3lexlogpow5ineq5 $p |- ( ( 2 logb 3 ) ^ 5 ) <_ ; 1 5 $=
      ( c2 c3 co c5 cexp c1 cdc cle wbr wtru wcel a1i cc0 5nn0 c4 cmul caddc c9
      wceq 2nn0 clogb cdiv cr 2re clt 2pos 3re 3pos 1red ltned necomd relogbcld
      1lt2 cn0 reexpcld nn0red gt0ne0d redivcld cn 1nn0 decnncl nnred rehalfcld
      5nn 0red divgt0d 3lexlogpow2ineq1 simpli lttrd ltled simpri leexp1ad df-5
      oveq2d recnd 4nn0 expp1d eqtrd c6 c8 6nn0 deccl 7nn0 9nn0 9re mptru 2lt10
      c7 5lt9 6lt7 decltc decleh 8nn0 eqid 0nn0 9cn 8cn 9t8e72 mulcomli addid1i
      2cn decaddi ax-1cn mulid1i dec0h eqcomi eqtr4i decmul1c eqcomd breqtrd cc
      2p2e4 expaddd sqvali 5t5e25 oveq12d 3eqtrd nn0cni mul02i addcomli oveq12i
      nncni eqtri 5p1e6 addid2i 2t2e4 0p1e1 4p1e5 5t2e10 decmac decmul2c eqtr2d
      6cn decma2c 3cn 3t3e9 9t9e81 oveq1d 3brtr3d mpbird crp 3rp cz 4z rpexpcld
      ledivmuld expdivd nngt0i divdiv2d 9t5e45 3nn0 mulid2i oveq1i 3p1e4 5t3e15
      5cn mulcld divmuld elrpd rpdivcld lemuldivd eqbrtrd letrd ) ABUACZDECZFDG
      ZHIJUVEDBUBCZDECZUVFJUVDDJABAUCKJUDLZMAUEIJUFLZBUCKJUGLZMBUEIJUHLZJFAJFAJ
      UIFAUEIJUMLUJUKULZDUNKJNLZUOJUVGDJDBJDUVNUPZUVKJBUVLUQZURZUVNUOJUVFUVFUSK
      JFDUTVDVALVBZJUVDUVGDUVMUVQUVNJMUVDJVEZUVMJMBAUBCZUVDUVSJBUVKVCUVMJBAUVKU
      VIUVLUVJVFUVTUVDUEIZJUWAUVDUVGUEIZVGVHLVIVJJUVDUVGUVMUVQUWBJUWAUWBVGVKLVJ
      VLJUVHUVGOECZUVGPCZUVFHJUVHUVGOFQCZECUWDJDUWEUVGEDUWESJVMLVNJUVGOJUVGUVQV
      OOUNKJVPLZVQVRJUWDUVFHIUWCUVFUVGUBCZHIJDOECZBOECZUBCZRUWCUWGHJUWJRHIUWHUW
      IRPCZHIJVSAGZDGZVTFGZRPCZUWHUWKHJUWMWHAGZRGZUWOHUWMUWQHIJUWLUWPDRVSAWATWB
      WHAWCTWBNWDDRHIJDRUVORUCKJWELZDRUEIJWILVJWFVSWHAAWAWCTTWGWJWKWLLJUWOUWQUW
      OUWQSJVTFUWPRRMUWNWDWMUTUWNWNWDWOWHAAVTRPCMWCTWORVTUWPWPWQWRWSAXAWTXBRFMR
      GZWPXCRFPCRUWSRWPXDRUWSRWDXEXFXGWSXHLXIXJJUWHADGZUWTPCZUWMJUWHDAAQCZECDAE
      CZUXCPCUXAJOUXBDEOUXBSJOOUXBOWNXLXGLZVNJDAADXKKJDVDYBZLAUNKJTLZUXFXMJUXCU
      WTUXCUWTPUXCUWTSJUXCDDPCUWTDUXEXNXOYCLZUXGXPXQUXAUWMSJADUWLDUWTFAGZUWTADT
      NWBZTNUWTWNZNFAUTTWBMAFAUWTVSADAUXHWOTUTTATXEZUXHWNUXITNMUWTPCZFDQCZQCMVS
      QCVSUXLMUXMVSQUWTUWTUXIXRXSDFVSUXEXCYDXTYAVSYMYEYCADMAADAFUWTATNWOTUXJUXK
      TTUTAAPCZMFQCZQCUWEDUXNOUXOFQYFYGYAYHYCFMAADPCAUTWOTDAFMGUXEXAYIWSAXAYEZX
      BYNYJADUXHDDAUWTNTNUXJNTFMADAPCAUTWOTYIUXPXBXOYKXHLYLJUWNUWIRPJUWIUWNJUWI
      BUXBECBAECZUXQPCZUWNJOUXBBEUXDVNJBAABXKKJYOLZUXFUXFXMJUXRRRPCZUWNJUXQRUXQ
      RPUXQRSJUXQBBPCRBYOXNYPYCLZUYAXPUXTUWNSJYQLVRXQXIYRYSJUWHRUWIJDOUVOUWFUOU
      WRJBOBUUAKJUUBLZOUUCKJUUDLUUEUUFYTJUWCUWJJDBOJDUVOVOZUXSUVPUWFUUGXIJUWGUV
      FBPCZDUBCZRJUVFDBJUVFUVRVOZUYCUXSJMDJMDUVSMDUEIJDVDUUHLZUJUKZUVPUUIJUYERS
      DRPCZUYDSJUYIODGZUYDUYIUYJSJRDUYJWPUUPUUJWSLJUYDUYJUYDUYJSJFDODBFUVFUUKUT
      NUVFWNNUTFBPCZFQCBFQCOUYKBFQBYOUULUUMUUNYCUUOXHLXIVRJUYDDRJUVFBUYFUXSUUQU
      YCRXKKJWPLUYHUURYTYLYSJUWCUVFUVGJUVGOUVQUWFUOUVRJDBJDUVOUYGUUSUYBUUTUVAYT
      UVBUVCWF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellaneous results for AKS formalisation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A t x $.  $d B t x $.  $d F t $.  $d G t $.  $d P t $.  $d Q t $.
    $d ph t x $.
    intlewftc.1 $e |- ( ph -> A e. RR ) $.
    intlewftc.2 $e |- ( ph -> B e. RR ) $.
    intlewftc.3 $e |- ( ph -> A <_ B ) $.
    intlewftc.4 $e |- ( ph -> F e. ( ( A [,] B ) -cn-> RR ) ) $.
    intlewftc.5 $e |- ( ph -> G e. ( ( A [,] B ) -cn-> RR ) ) $.
    intlewftc.6 $e |- ( ph -> D = ( RR _D F ) ) $.
    intlewftc.7 $e |- ( ph -> E = ( RR _D G ) ) $.
    intlewftc.8 $e |- ( ph -> D e. ( ( A (,) B ) -cn-> RR ) ) $.
    intlewftc.9 $e |- ( ph -> E e. ( ( A (,) B ) -cn-> RR ) ) $.
    intlewftc.10 $e |- ( ph -> D e. L^1 ) $.
    intlewftc.11 $e |- ( ph -> E e. L^1 ) $.
    intlewftc.12 $e |- ( ph -> D = ( x e. ( A (,) B ) |-> P ) ) $.
    intlewftc.13 $e |- ( ph -> E = ( x e. ( A (,) B ) |-> Q ) ) $.
    intlewftc.14 $e |- ( ( ph /\ x e. ( A (,) B ) ) -> P <_ Q ) $.
    intlewftc.15 $e |- ( ph -> ( F ` A ) <_ ( G ` A ) ) $.
    $( Inequality inference by invoking fundamental theorem of calculus.
       (Contributed by metakunt, 22-Jul-2024.) $)
    intlewftc $p |- ( ph -> ( F ` B ) <_ ( G ` B ) ) $=
      ( vt cfv cmin co caddc cle wbr cicc cr ccncf wcel wf cncff syl leidd 3jca
      w3a wb elicc2 syl2anc mpbird ffvelrnd resubcld cioo citg cibl cmpt eleq1d
      mpbid feq1d fvmptelrn itgle itgmpt wceq fveq1d adantr eqcomd itgeq2dv cdv
      cv wa cc wss ax-resscn a1i fss ssidd cncffvrn eqeltrrd ftc2 eqtrd breq12d
      le2addd sselid npcand ) ADIUGZCIUGZUHUIZXBUJUIZDJUGZCJUGZUHUIZXFUJUIZUKUL
      XAXEUKULAXCXBXGXFAXAXBACDUMUIZUNDIAIXIUNUOUIZUPZXIUNIUQZNXIUNIURUSZADXIUP
      ZDUNUPZCDUKULZDDUKULZVBZAXOXPXQLMADLUTVAACUNUPZXOXNXRVCKLCDDVDVEVFZVGZAXI
      UNCIXMACXIUPZXSCCUKULZXPVBZAXSYCXPKACKUTMVAAXSXOYBYDVCKLCDCVDVEVFZVGZVHYF
      AXEXFAXIUNDJAJXJUPZXIUNJUQZOXIUNJURUSZXTVGZAXIUNCJYIYEVGZVHYKABCDVIUIZFVJ
      ZBYLGVJZUKULXCXGUKULABYLFGAEVKUPBYLFVLZVKUPTAEYOVKUBVMVNAHVKUPBYLGVLZVKUP
      UAAHYPVKUCVMVNABYLFUNAYLUNEUQZYLUNYOUQAEYLUNUOUIZUPZYQRYLUNEURUSZAYLUNEYO
      UBVOVNVPZABYLGUNAYLUNHUQZYLUNYPUQAHYRUPZUUBSYLUNHURUSZAYLUNHYPUCVOVNVPZUD
      VQAYMXCYNXGUKAYMUFYLUFWEZYOUGZVJZXCABUFYLFUNUUAVRAUUHUFYLUUFEUGZVJZXCAUFY
      LUUGUUIAUUFYLUPZWFZUUIUUGAUUIUUGVSUUKAUUFEYOUBVTWAWBWCAUUJUFYLUUFUNIWDUIZ
      UGZVJXCAUFYLUUIUUNUULUUFEUUMAEUUMVSUUKPWAVTWCAUFCDIKLMAEYLWGUOUIZUPZUUMUU
      OUPAUUPYLWGEUQZAYQUNWGWHZUUQYTUURAWIWJZYLUNWGEWKVEAWGWGWHZYSUUPUUQVCAWGWL
      ZRYLUNWGEWMVEVFAEUUMUUOPVMVNAEUUMVKPTWNAIXIWGUOUIZUPZXIWGIUQZAXLUURUVDXMU
      USXIUNWGIWKVEAUUTXKUVCUVDVCUVANXIUNWGIWMVEVFWOWPWPWPAYNUFYLUUFHUGZVJZXGAY
      NUFYLUUFYPUGZVJUVFABUFYLGUNUUEVRAUFYLUVGUVEUULUUFYPHUULHYPAHYPVSUUKUCWAWB
      VTWCWPAUVFUFYLUUFUNJWDUIZUGZVJXGAUFYLUVEUVIUULUUFHUVHAHUVHVSUUKQWAVTWCAUF
      CDJKLMAHUUOUPZUVHUUOUPZAUVJUVKAUVJUVKAUVJYLWGHUQZAUUBUURUVLUUDUUSYLUNWGHW
      KVEAUUTUUCUVJUVLVCUVASYLUNWGHWMVEVFAHUVHUUOQVMZVNUVMVFUVMVNAHUVHVKQUAWNAJ
      UVBUPZXIWGJUQZAYHUURUVOYIUUSXIUNWGJWKVEAUUTYGUVNUVOVCUVAOXIUNWGJWMVEVFWOW
      PWPWQVNUEWRAXDXAXHXEUKAXAXBAUNWGXAWIYAWSAUNWGXBWIYFWSWTAXEXFAUNWGXEWIYJWS
      AUNWGXFWIYKWSWTWQVN $.
  $}

  ${
    $d A k $.  $d N k $.  $d k ph $.
    aks4d1p1p1.1 $e |- ( ph -> A e. RR+ ) $.
    aks4d1p1p1.2 $e |- ( ph -> N e. NN ) $.
    $( Exponential law for finite products, special case.  (Contributed by
       metakunt, 22-Jul-2024.) $)
    aks4d1p1p1 $p |- ( ph -> prod_ k e. ( 1 ... N ) ( A ^c k ) =
     ( A ^c sum_ k e. ( 1 ... N ) k ) ) $=
      ( c1 co ccxp cprod cfv cmul ce csu wcel wa cc adantr adantl eqtrd cv clog
      cfz cc0 wne w3a wceq rpcnd elfzelz zcnd 3jca cxpef syl prodeq2dv cuz eqid
      rpne0d cn nnuz eleqtrdi eluzelcn logcld mulcld fprodefsum fzfid fsummulc1
      eqcomd fveq2d fsumcl cxpefd ) AGDUCHZBCUAZIHZCJVKVLBUBKZLHZMKZCJZBVKVLCNZ
      IHZAVKVMVPCAVLVKOZPZBQOZBUDUEZVLQOZUFVMVPUGWAWBWCWDAWBVTABEUHZRAWCVTABEUQ
      ZRVTWDAVTVLVLGDUIUJSZUKBVLULUMUNAVQVKVOCNZMKZVSAVOCGDGUOKZWJUPADURWJFUSUT
      AVLWJOZPZVLVNWKWDAGVLVASWLBAWBWKWERAWCWKWFRVBVCVDAWIVRVNLHZMKZVSAWHWMMAWM
      WHAVKVLVNCAGDVEZABWEWFVBWGVFVGVHAVSWNABVRWEWFAVKVLCWOWGVIVJVGTTT $.
  $}

  ${
    $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d ph x $.  $d ph y $.
    dvrelog2.1 $e |- ( ph -> A e. RR ) $.
    dvrelog2.2 $e |- ( ph -> B e. RR ) $.
    dvrelog2.3 $e |- ( ph -> 0 < A ) $.
    dvrelog2.4 $e |- ( ph -> A <_ B ) $.
    dvrelog2.5 $e |- F = ( x e. ( A [,] B ) |-> ( log ` x ) ) $.
    dvrelog2.6 $e |- G = ( x e. ( A (,) B ) |-> ( 1 / x ) ) $.
    $( The derivative of the logarithm, ~ ftc2 version.  (Contributed by
       metakunt, 11-Aug-2024.) $)
    dvrelog2 $p |- ( ph -> ( RR _D F ) = G ) $=
      ( cr cdv co clog crp cc wcel cc0 vy cioo c1 cv cdiv cmpt cicc wceq oveq2d
      cfv a1i crn ctg ccnfld ctopn cpr reelprrecn rpssre ax-resscn sstri adantl
      wa sseli wne rpne0 logcld 1red redivcld cres csn cdif wf wf1o logf1o f1of
      ax-mp wss cin c0 wn disjsn mpbir disjdif2 ssdif eqsstrri feqresmpt eqcomd
      0nrp dvrelog eqtrd clt wbr cle w3a wb elicc2 syl2anc biimpa simp1d adantr
      0red simp2d ltletrd jca elrp sylibr ex ssrdv eqid tgioo2 iccntr dvmptres2
      cnt ) AMENOZBCDUBOZUCBUDZUEOZUFZFAXNMBCDUGOZXPPUJZUFZNOXRAEYAMNEYAUHAKUKU
      IABXTXQMUBULUMUJZUNUOUJZMQXOXSMMRUPSAUQUKAXPQSZVBXPYDXPRSAQRXPQMRURUSUTZV
      CVAYDXPTVDAXPVEZVAVFYDXQMSAYDUCXPYDVGQMXPURVCYFVHVAAMBQXTUFZNOMPQVIZNOZBQ
      XQUFZAYGYHMNAYHYGABRTVJZVKZPULZQPYLYMPVLZAYLYMPVMYNVNYLYMPVOVPUKQYLVQAQQY
      KVKZYLQYKVRVSUHZYOQUHYPTQSVTWHQTWAWBQYKWCVPQRVQYOYLVQYEQRYKWDVPWEUKWFWGUI
      YIYJUHABWIUKWJAUAXSQAUAUDZXSSZYQQSZAYRVBZYQMSZTYQWKWLZVBYSYTUUAUUBYTUUACY
      QWMWLZYQDWMWLZAYRUUAUUCUUDWNZACMSZDMSZYRUUEWOGHCDYQWPWQWRZWSZYTTCYQYTXAAU
      UFYRGWTUUIATCWKWLYRIWTYTUUAUUCUUDUUHXBXCXDYQXEXFXGXHYCYCXIZXJUUJAUUFUUGXS
      YBXMUJUJXOUHGHCDXKWQXLWJAFXRFXRUHALUKWGWJ $.
  $}

  ${
    $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d ph x $.  $d ph y $.
    dvrelog3.1 $e |- ( ph -> A e. RR* ) $.
    dvrelog3.2 $e |- ( ph -> B e. RR* ) $.
    dvrelog3.3 $e |- ( ph -> 0 <_ A ) $.
    dvrelog3.4 $e |- ( ph -> A <_ B ) $.
    dvrelog3.5 $e |- F = ( x e. ( A (,) B ) |-> ( log ` x ) ) $.
    dvrelog3.6 $e |- G = ( x e. ( A (,) B ) |-> ( 1 / x ) ) $.
    $( The derivative of the logarithm on an open interval.  (Contributed by
       metakunt, 11-Aug-2024.) $)
    dvrelog3 $p |- ( ph -> ( RR _D F ) = G ) $=
      ( cr cdv co clog a1i crp wcel cc0 vy cioo c1 cv cdiv cmpt cfv wceq oveq2d
      crn ctg ccnfld ctopn cc cpr reelprrecn wa rpcn adantl wne rpne0 1red rpre
      logcld redivcld cres csn cdif wf wf1o logf1o f1of ax-mp wss cin c0 disjsn
      wn mpbir disjdif2 rpssre ax-resscn sstri ssdif eqsstrri feqresmpt dvrelog
      0nrp eqcomd eqtrd clt wbr w3a cxr elioo2 syl2anc biimpa simp1d 0red rexrd
      wb adantr cle simp2d xrlelttrd jca elrp sylibr ssrdv eqid tgioo2 ctop cnt
      ex retop iooretop isopn3i dvmptres2 ) AMENOZBCDUBOZUCBUDZUEOZUFZFAXSMBXTY
      APUGZUFZNOYCAEYEMNEYEUHAKQUIABYDYBMUBUJUKUGZULUMUGZMRXTXTMMUNUOSAUPQAYARS
      ZUQZYAYHYAUNSAYAURUSYHYATUTAYAVAUSZVDYIUCYAYIVBYHYAMSAYAVCUSYJVEAMBRYDUFZ
      NOMPRVFZNOZBRYBUFZAYKYLMNAYLYKABUNTVGZVHZPUJZRPYPYQPVIZAYPYQPVJYRVKYPYQPV
      LVMQRYPVNARRYOVHZYPRYOVOVPUHZYSRUHYTTRSVRWHRTVQVSRYOVTVMRUNVNYSYPVNRMUNWA
      WBWCRUNYOWDVMWEQWFWIUIYMYNUHABWGQWJAUAXTRAUAUDZXTSZUUARSZAUUBUQZUUAMSZTUU
      AWKWLZUQUUCUUDUUEUUFUUDUUECUUAWKWLZUUADWKWLZAUUBUUEUUGUUHWMZACWNSZDWNSUUB
      UUIXAGHCDUUAWOWPWQZWRZUUDTCUUAUUDTUUDWSWTAUUJUUBGXBUUDUUAUULWTATCXCWLUUBI
      XBUUDUUEUUGUUHUUKXDXEXFUUAXGXHXNXIYGYGXJZXKUUMAYFXLSZXTYFSZXTYFXMUGUGXTUH
      UUNAXOQUUOACDXPQXTYFXQWPXRWJAFYCFYCUHALQWIWJ $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.
    dvrelog2b.1 $e |- ( ph -> A e. RR* ) $.
    dvrelog2b.2 $e |- ( ph -> B e. RR* ) $.
    dvrelog2b.3 $e |- ( ph -> 0 <_ A ) $.
    dvrelog2b.4 $e |- ( ph -> A <_ B ) $.
    dvrelog2b.5 $e |- F = ( x e. ( A (,) B ) |-> ( 2 logb x ) ) $.
    dvrelog2b.6 $e |- G = ( x e. ( A (,) B ) |->
     ( 1 / ( x x. ( log ` 2 ) ) ) ) $.
    $( Derivative of the binary logarithm.  (Contributed by metakunt,
       11-Aug-2024.) $)
    dvrelog2b $p |- ( ph -> ( RR _D F ) = G ) $=
      ( cr co c2 a1i wcel cc0 c1 wn cdv cioo cv clog cdiv cmpt clogb wceq wa cc
      cfv cpr cdif csn 2cnd wne 2ne0 1red clt 1lt2 necomd nelprd eldifd elioore
      wbr ltned recn syl adantl elsni wo cle cxr 0xr xrlenlt syl2anc mpbid orcd
      wb ianor sylibr elioo5 syl3anc notbid mpbird pm2.01da adantr eleq1 mtbird
      a1d imp sylan2 con2d logbval mpteq2dva eqtrd oveq2d reelprrecn necon3bbid
      ex biidd pm5.74i sylib logcld redivcld eqid dvrelog3 0red crp 2rp loggt0b
      wi ax-mp mpbir dvmptdivc cmul recdiv2d eqcomd ) AMEUANMBCDUBNZBUCZUDUKZOU
      DUKZUENZUFZUANZFAEYDMUAAEBXSOXTUGNZUFZYDEYGUHAKPABXSYFYCAXTXSQZUIZOUJRSUL
      ZUMQXTUJRUNZUMQYFYCUHYIOUJYJYIUOZYIORSORUPZYIUQPZYISOYISOYIURZSOUSVEZYIUT
      PVFVAVBVCYIXTUJYKYHXTUJQZAYHXTMQZYQXTCDVDZXTVGVHVIZAYHXTYKQZTAUUAYHAUUAYH
      TZUUAAXTRUHZUUBXTRVJAUUCUIYHRXSQZAUUDTZUUCAUUDAUUDUUEAUUEUUDAUUECRUSVEZRD
      USVEZUIZTZAUUFTZUUGTZVKUUIAUUJUUKARCVLVEZUUJIARVMQZCVMQZUULUUJVSUUMAVNPZG
      RCVOVPVQVRUUFUUGVTWAAUUDUUHAUUNDVMQUUMUUDUUHVSGHUUOCDRWBWCWDWEWJWKWFWGUUC
      YHUUDVSAXTRXSWHVIWIZWLWTWMWKVCOXTWNVPWOWPWQAYEBXSSXTUENZYBUENZUFZFABYAUUQ
      YBMMXSMMUJULQAWRPYIXTYTAYHXTRUPZAYHUUCTZXLYHUUTXLAUUCYHAUUCUUBUUPWTWMYHUV
      AUUTYHUUCXTRYHUUCXAWSXBXCWKZXDYISXTYOYHYRAYSVIUVBXEABCDBXSYAUFZBXSUUQUFZG
      HIJUVCXFUVDXFXGAOAUOYMAUQPXDARYBARYBAXHRYBUSVEZAUVEYPUTOXIQUVEYPVSXJOXKXM
      XNPVFVAZXOAUUSBXSSXTYBXPNUENZUFZFABXSUURUVGYIXTYBYTYIOYLYNXDUVBAYBRUPYHUV
      FWGXQWOAFUVHFUVHUHALPXRWPWPWP $.
  $}

  ${
    0nonelaleb.1 $e |- ( ph -> A e. RR ) $.
    0nonelaleb.2 $e |- ( ph -> B e. RR ) $.
    0nonelaleb.3 $e |- ( ph -> 0 < A ) $.
    0nonelaleb.4 $e |- ( ph -> A <_ B ) $.
    0nonelalab.5 $e |- ( ph -> C e. ( A (,) B ) ) $.
    $( Technical lemma for open interval.  (Contributed by metakunt,
       12-Aug-2024.) $)
    0nonelalab $p |- ( ph -> 0 =/= C ) $=
      ( cc0 0red cioo co wcel cr elioore clt wbr cxr rexrd syl w3a elioo2 mpbid
      wb syl2anc simp2d lttrd ltned ) AJDAKZAJBDUJEADBCLMNZDONZIDBCPUAGAULBDQRZ
      DCQRZAUKULUMUNUBZIABSNCSNUKUOUEABETACFTBCDUCUFUDUGUHUI $.
  $}

  ${
    $d A x $.  $d B x $.  $d N x y $.  $d ph x y $.
    dvrelogpow2b.1 $e |- ( ph -> A e. RR ) $.
    dvrelogpow2b.2 $e |- ( ph -> B e. RR ) $.
    dvrelogpow2b.3 $e |- ( ph -> 0 < A ) $.
    dvrelogpow2b.4 $e |- ( ph -> A <_ B ) $.
    dvrelogpow2b.5 $e |- F = ( x e. ( A (,) B ) |-> ( ( 2 logb x ) ^ N ) ) $.
    dvrelogpow2b.6 $e |- G = ( x e. ( A (,) B ) |->
     ( C x. ( ( ( log ` x ) ^ ( N - 1 ) ) / x ) ) ) $.
    dvrelogpow2b.7 $e |- C = ( N / ( ( log ` 2 ) ^ N ) ) $.
    dvrelogpow2b.8 $e |- ( ph -> N e. NN ) $.
    $( Derivative of the power of the binary logarithm.  (Contributed by
       metakunt, 12-Aug-2024.) $)
    dvrelogpow2b $p |- ( ph -> ( RR _D F ) = G ) $=
      ( co c2 cmul wcel vy cr cdv cioo cv clogb cexp cmpt wceq oveq2d cmin clog
      a1i c1 cfv cdiv cc cpr reelprrecn cnelprrecn wa elioore adantl cc0 adantr
      recnd clt wbr cle 0nonelalab necomd logcld 2cnd wne 0ne2 0red 1lt2 crp wb
      simpr 2rp loggt0b ax-mp sylibr ltned divcld cdif 1red nelprd eldifd necom
      csn wi imbi2i neneqd velsn sylnibr logbval syl2anc eleq1d mpbird relogcld
      mpbi remulcld rpne0d mulne0d redivcld cn0 nnnn0d expcld nncnd nnm1nn0 syl
      cn mulcld rexrd ltled eqid dvrelog2b dvexp oveq1 dvmptco cz nn0zd expclzd
      oveq1d expne0d divmuldivd mulcomd caddc 1cnd pncan3d eqcomd expaddd eqtrd
      1nn0 exp1d mulassd 1zzd zsubcld divdiv1d divassd expdivd mpteq2dva
      divrecd ) AUBFUCQUBBCDUDQZRBUEZUFQZHUGQZUHZUCQZGAFUUJUBUCFUUJUIAMUMUJAUUK
      BUUFHUUHHUNUKQZUGQZSQZUNUUGRULUOZSQZUPQZSQZUHZGABUAUUHUUQUAUEZHUGQZHUUTUU
      LUGQZSQZUBUQUUIUUNUBUQUUFUQUBUBUQURZTAUSUMUQUVDTAUTUMAUUGUUFTZVAZUUHUQTUU
      GULUOZUUOUPQZUQTUVFUVGUUOUVFUUGUVFUUGUVEUUGUBTAUUGCDVBVCZVFZUVFVDUUGUVFCD
      UUGACUBTUVEIVEADUBTUVEJVEAVDCVGVHUVEKVEACDVIVHUVELVEAUVEVTVJZVKZVLZUVFRUV
      FVMZUVFVDRVDRVNUVFVOUMVKZVLZUVFVDUUOUVFVDUUOUVFVPUVFUNRVGVHZVDUUOVGVHZUVQ
      UVFVQUMZRVRTZUVRUVQVSWARWBWCWDWEVKZWFUVFUUHUVHUQUVFRUQVDUNURZWGTUUGUQVDWL
      ZWGTUUHUVHUIUVFRUQUWBUVNUVFRVDUNUVOUVFUNRUVFUNRUVFWHZUVSWEVKWIWJUVFUUGUQU
      WCUVJUVFUUGVDUIUUGUWCTUVFUUGVDUVFVDUUGVNZWMUVFUUGVDVNZWMUVKUWEUWFUVFVDUUG
      WKWNXCWOBVDWPWQWJRUUGWRWSZWTXAZUVFUNUUPUWDUVFUUGUUOUVIUVFRUVTUVFWAUMZXBXD
      UVFUUGUUOUVJUVFRUVNUVFRUWIXEVLUVLUWAXFZXGAUUTUQTZVAZUUTHAUWKVTZAHXHTUWKAH
      PXIZVEXJUWLHUVBAHUQTZUWKAHPXKZVEUWLUUTUULUWMAUULXHTZUWKAHXNTZUWQPHXLXMZVE
      XJXOABCDBUUFUUHUHZBUUFUUQUHZACIXPADJXPAVDCAVPIKXQLUWTXRUXAXRXSAUWRUQUAUQU
      VAUHUCQUAUQUVCUHUIPUAHXTXMUUTUUHHUGYAUUTUUHUIUVBUUMHSUUTUUHUULUGYAUJYBAGU
      USAGBUUFEUVGUULUGQZUUGUPQZSQZUHZUUSGUXEUIANUMABUUFUXDUURUVFUXDUUNUUPUPQZU
      URUVFUXDHUVHUULUGQZSQZUUPUPQZUXFUVFUXDHUXBUUOUULUGQZUPQZSQZUUPUPQZUXIUVFU
      XDHUXBSQZUXJUPQZUUPUPQZUXMUVFUXDUXNUXJUUPSQZUPQZUXPUVFUXDHUUOHUGQZUPQZUXC
      SQZUXRUVFEUXTUXCSEUXTUIUVFOUMYFUVFUYAUXNUXSUUGSQZUPQUXRUVFHUXSUXBUUGAUWOU
      VEUWPVEZUVFUUOHUVPUWAAHYCTUVEAHUWNYDVEZYEZUVFUVGUULUVMAUWQUVEUWSVEZXJZUVJ
      UVFUUOHUVPUWAUYDYGUVLYHUVFUYBUXQUXNUPUVFUYBUUPUXJSQZUXQUVFUYBUUGUUOUXJSQZ
      SQZUYHUVFUYBUUGUXSSQUYJUVFUXSUUGUYEUVJYIUVFUXSUYIUUGSUVFUXSUUOUNUGQZUXJSQ
      ZUYIUVFUXSUUOUNUULYJQZUGQUYLUVFHUYMUUOUGAHUYMUIUVEAUYMHAUNHAYKUWPYLYMVEUJ
      UVFUUOUNUULUVPUYFUNXHTUVFYPUMYNYOUVFUYKUUOUXJSUVFUUOUVPYQYFYOUJYOUVFUYHUY
      JUVFUUGUUOUXJUVJUVPUVFUUOUULUVPUYFXJZYRYMYOUVFUUPUXJUVFUUGUUOUVJUVPXOZUYN
      YIYOUJYOYOUVFUXPUXRUVFUXNUXJUUPUVFHUXBUYCUYGXOUYNUYOUVFUUOUULUVPUWAUVFHUN
      UYDUVFYSYTYGZUWJUUAYMYOUVFUXOUXLUUPUPUVFHUXBUXJUYCUYGUYNUYPUUBYFYOUVFUXLU
      XHUUPUPUVFUXKUXGHSUVFUXGUXKUVFUVGUUOUULUVMUVPUWAUYFUUCYMUJYFYOUVFUXFUXIUV
      FUUNUXHUUPUPUVFUUMUXGHSUVFUUHUVHUULUGUWGYFUJYFYMYOUVFUUNUUPUVFHUUMUYCUVFU
      UHUULUWHUYFXJXOUYOUWJUUEYOUUDYOYMYOYO $.
  $}

  ${
    aks4d1p1p3.1 $e |- ( ph -> N e. NN ) $.
    aks4d1p1p3.2 $e |- B = ( |^ ` ( ( 2 logb N ) ^ 5 ) ) $.
    aks4d1p1p3.3 $e |- ( ph -> 3 <_ N ) $.
    $( Bound of a ceiling of the binary logarithm to the fifth power.
       (Contributed by metakunt, 19-Aug-2024.) $)
    aks4d1p1p3 $p |- ( ph -> ( N ^c ( |_ ` ( 2 logb B ) ) ) <
    ( N ^c ( 2 logb ( ( ( 2 logb N ) ^ 5 ) + 1 ) ) ) ) $=
      ( c2 clogb co cfv c5 c1 clt wbr cr wcel a1i cc0 syl c7 cfl cexp caddc 2re
      ccxp 2pos cceil cz nnred nngt0d 1red 1lt2 ltned necomd relogbcld cn0 5nn0
      reexpcld ceilcl zred wceq eleq1d mpbird 0red 7pos 3lexlogpow5ineq3 ceilge
      7re ltletrd eqcomd breqtrd lttrd flcld readdcld ltp1d flle cmin ltsubaddd
      cle ceilm1lt mpbid eqbrtrd cuz crp wb 2z uzidd logblt syl3anc lelttrd 3re
      elrpd c3 1lt3 cxpltd ) AGBHIZUAJZGGCHIZKUBIZLUCIZHIZMNCWQUEICXAUEIMNAWQWP
      XAAWQAWPAGBGOPAUDQZRGMNAUFQZABOPWSUGJZOPAXDAWSOPZXDUHPAWRKAGCXBXCACDUIZAC
      DUJALGALGAUKZLGMNAULQUMUNZUOKUPPAUQQURZWSUSSUTZABXDOBXDVAAEQZVBVCZARTBAVD
      ZTOPAVHQZXLRTMNAVEQZATXDBMATWSXDXNXIXJACXFFVFZAXEWSXDVSNXIWSVGSVIABXDXKVJ
      VKVLZXHUOZVMUTZXRAGWTXBXCAWSLXIXGVNZARTWTXMXNXTXOATWSWTXNXIXTXPAWSXIVOVLV
      LZXHUOZAWPOPWQWPVSNXRWPVPSABWTMNZWPXAMNZABXDWTMXKAXDLVQIWSMNZXDWTMNAXEYEX
      IWSVTSAXDLWSXJXGXIVRWAWBAGGWCJPBWDPWTWDPYCYDWEAGGUHPAWFQWGABXLXQWLAWTXTYA
      WLGBWTWHWIWAWJACWQXAXFALWMCXGWMOPAWKQXFLWMMNAWNQFVIXSYBWOWA $.
  $}

  ${
    $d N k $.  $d k ph $.
    aks4d1p1p2.1 $e |- ( ph -> N e. NN ) $.
    aks4d1p1p2.2 $e |- A = ( ( N ^ ( |_ ` ( 2 logb B ) ) ) x. prod_ k e.
     ( 1 ... ( |_ ` ( ( 2 logb N ) ^ 2 ) ) ) ( ( N ^ k ) - 1 ) ) $.
    aks4d1p1p2.3 $e |- B = ( |^ ` ( ( 2 logb N ) ^ 5 ) ) $.
    aks4d1p1p2.4 $e |- ( ph -> 3 <_ N ) $.
    $( Rewrite ` A ` in more suitable form.  (Contributed by metakunt,
       19-Aug-2024.) $)
    aks4d1p1p2 $p |- ( ph -> A < ( N ^c ( ( ( 2 logb
           ( ( ( 2 logb N ) ^ 5 ) + 1 ) )
         +
         ( ( ( 2 logb N ) ^ 2 ) / 2 ) )
       +
       ( ( ( 2 logb N ) ^ 4 ) / 2 ) ) ) ) $=
      ( c2 co c1 caddc clt cr wcel cc0 cle wbr a1i clogb cexp cdiv ccxp cfl cfv
      c5 c4 cfz cv cmin cprod cmul nnred cz cn0 2re 2pos cceil nngt0d 1red 1lt2
      wa necomd relogbcld 5nn0 reexpcld ceilcl syl zred wceq eleq1d mpbird 0red
      ltned nn0zd c3 3re 1lt3 ltletrd crp wb 2rp pm3.2i logbgt0b syl2anc expgt0
      elrpd syl3anc ceilge breq2d flcld c7 7re 3lexlogpow5ineq3 lttrd ltled 0zd
      1lt7 mpbid jca elnn0z sylibr fzfid adantr cn elfznn adantl nnnn0 resubcld
      flge fprodrecl remulcld nnnn0d nn0ge0d readdcld ltp1d csu 0lt1 2nn0 leidd
      resqcld cc wne recnd gtned logbid1 eqcomd breqtrd expge1d 1exp eqtrd 1nn0
      oveq1d letrd recxpcld reflcl cxpexp oveq2d divcld 2p1e3 logblebd 1z zsqcl
      nn0addge1i breqtri eqbrtrd ax-mp elnnz bicomi fsumrecl eqeltrrd rehalfcld
      arisum 4nn0 rpcxpcld aks4d1p1p1 rpregt0d simpld expge0d nfv nnge1d lesubd
      subid1d fprodle lemul2ad breq1d prodeq2dv 3jca aks4d1p1p3 ltmul1a lelttrd
      lem1d w3a nncnd sqcld addcld halfcld cxpaddd flle leexp1ad expmuld oveq2i
      id 2t2e4 eqled le2addd lediv1dd leadd2dd cxpled divdird addcomd addassd )
      ABEJJEUAKZUGUBKZLMKZUAKZUWNUHUBKZJUCKZUWNJUBKZJUCKZMKZMKZUDKZEUWQUXAMKUWS
      MKZUDKNABEUWQUWRUWTMKZJUCKZMKZUDKZUXDNABEUWQUWTUEUFZJUBKZUXJMKZJUCKZMKZUD
      KZUXIABOPEJCUAKZUEUFZUBKZLUXJUIKZEDUJZUBKZLUKKZDULZUMKZOPAUXRUYCAEUXQAEFU
      NZAUXQUOPZQUXQRSZVCUXQUPPZAUYFUYGAUXPAJCJOPAUQTZQJNSAURTZACOPUWOUSUFZOPAU
      YKAUWOOPZUYKUOPAUWNUGAJEUYIUYJUYEAEFUTZALJALJAVAZLJNSZAVBTVOVDZVEZUGUPPAV
      FTZVGZUWOVHVIVJZACUYKOCUYKVKAHTZVLVMZAQCNSQUYKNSAQUWOUYKAVNZUYSUYTAUWNOPU
      GUOPQUWNNSZQUWONSUYQAUGUYRVPAVUDLENSZALVQEUYNVQOPAVRTZUYELVQNSAVSTIVTZAEW
      APJWAPZUYOVCZVUDVUEWBAEUYEUYMWHZVUIAVUHUYOWCVBWDTZEJWEWFVMUWNUGWGWIZAUYLU
      WOUYKRSUYSUWOWJVIZVTACUYKQNVUAWKVMZUYPVEZWLAQUXPRSZUYGAQUXPVUCVUOAQUXPNSZ
      LCNSZAVURLUYKNSALUWOUYKUYNUYSUYTALWMUWOUYNWMOPAWNTUYSLWMNSAWSTAEUYEIWOWPV
      UMVTACUYKLNVUAWKVMACWAPVUIVUQVURWBACVUBVUNWHVUKCJWEWFVMWQAUXPOPZQUOPVUPUY
      GWBVUOAWRUXPQXKWFWTXAUXQXBXCZVGZAUXSUYBDALUXJXDZAUXTUXSPZVCZUYALVVDEUXTAE
      OPVVCUYEXEZVVDUXTXFPZUXTUPPZVVCVVFAUXTUXJXGXHZUXTXIVIZVGZVVDVAZXJZXLZXMAB
      UYDOBUYDVKAGTZVLVMZAEUXNUYEAEAEFXNXOZAUWQUXMAJUWPUYIUYJAUWOLUYSUYNXPZAQUW
      OUWPVUCUYSVVQVULAUWOUYSXQWPUYPVEZAUXSUXTDXRZUXMOAUXJUPPVVSUXMVKAUXJAUXJUO
      PZQUXJNSZVCZUXJXFPZAVVTVWAAUWTAUWNUYQYBZWLZAQLUXJVUCUYNAUXJVWEVJZQLNSAXST
      ALJJUAKZJUBKZUXJUYNAVWGAJJUYIUYJUYIUYJUYPVEZYBVWFAVWGJVWIJUPPAXTTZALLVWGR
      ALUYNYAAVWGLAJYCPJQYDJLYDVWGLVKAJUYIYEZAQJVUCUYJYFZUYPJYGWIYHZYIZYJAVWHUW
      TRSZVWHUXJRSZAVWHLUWTRAVWHLJUBKZLAVWGLJUBALVWGVWMYHYNZAJUOPVWQLVKAJVWJVPZ
      JYKVIYLAUWNJUYQVWJALVWGUWNUYNVWIUYQVWNAJJEVWSAJUYIYAUYIUYJUYEUYMAJVQEUYIV
      UFUYEJVQRSAJJLMKVQRJLUQYMUUEUUAUUFTIYOUUBYOYJUUGAUWTOPZVWHUOPZVCVWOVWPWBA
      VWTVXAVWDAVXAVWQUOPZVXBALUOPVXBUUCLUUDUUHTAVWHVWQUOVWRVLVMXAUWTVWHXKVIWTY
      OVTXAVWBVWCWBAVWCVWBUXJUUIUUJTWTZXNZDUXJUUNVIZAUXSUXTDVVBVVDUXTVVHUNUUKZU
      ULZXPZYPAEUXHUYEVVPAUWQUXGVVRAUXFAUWRUWTAUWNUHUYQUHUPPAUUOTVGZVWDXPZUUMZX
      PZYPABEUWQUDKZEUXMUDKZUMKZUXONABVXMEVVSUDKZUMKZVXONABVXMUXSEUXTUDKZDULZUM
      KZVXQNABEUXQUDKZVXSUMKZVXTVVOAVYAVXSAEUXQUYEVVPAVUSUXQOPVUOUXPYQVIYPZAVXS
      OPZQVXSNSZAVXSAVXSWAPVXPWAPAEVVSVUJVXFUUPAVXSVXPWAAEDUXJVUJVXCUUQZVLVMUUR
      ZUUSZXMAVXMVXSAEUWQUYEVVPVVRYPZVYHXMABUXRVXSUMKZVYBRABUXRUXSUYADULZUMKZVY
      JRABVYLRSUYDVYLRSAUYCVYKUXRVVMAUXSUYADVVBVVJXLVVAAEUXQUYEVUTVVPUUTAUXSUYB
      UYADADUVAVVBVVLVVDLUYAQVVKVVJVVDVNVVDLUYAQUKKZRSLUYARSVVDEUXTVVEVVIALERSV
      VCAEFUVBXEYJVVDVYMUYALRVVDUYAVVDUYAVVJYEUVDWKVMUVCVVJVVDUYAVVJUVMUVEUVFAB
      UYDVYLRVVNUVGVMAVYKVXSUXRUMAUXSUYAVXRDVVDVXRUYAVVDEYCPZVVGVXRUYAVKVVDEVVE
      YEVVIEUXTYRWFYHUVHYSYIAVYBVYJAVYAUXRVXSUMAVYNUYHVYAUXRVKAEUYEYEZVUTEUXQYR
      WFYNYHYIAVYAOPZVXMOPZVYDVYEVCZUVNVYAVXMNSVYBVXTNSAVYPVYQVYRVYCVYIVYGUVIAC
      EFHIUVJVYAVXMVXSUVKWFUVLAVXSVXPVXMUMVYFYSYIAVXPVXNVXMUMAVVSUXMEUDVXEYSYSY
      IAUXOVXOAEUWQUXMVYOAQEVUCUYMYFAUWQVVRYEZAUXLAUXKUXJAUXJAUXJVXCUVOZUVPVYTU
      VQUVRUVSYHYIAUXNUXHRSUXOUXIRSAUXMUXGUWQVXGVXKVVRAUXLUXFJAUXKUXJAUXJAVWTUX
      JOPVWDUWTYQVIZYBZWUAXPVXJVUHAWCTAUXKUXJUWRUWTWUBWUAVXIVWDAUXKUWTJUBKZUWRW
      UBAUWTJVWDVWJVGZVXIAAUXKWUCRSAUWDAUXJUWTJWUAVWDVWJAUXJVXDXOAVWTUXJUWTRSVW
      DUWTUVTVIZUWAVIAWUCUWRWUDAWUCUWNJJUMKZUBKZUWRAWUGWUCAUWNJJAUWNUYQYEVWJVWJ
      UWBYHWUGUWRVKAWUFUHUWNUBUWEUWCTYLUWFYOWUEUWGUWHUWIAEUXNUXHUYEVUGVXHVXLUWJ
      WTVTAUXHUXCEUDAUXGUXBUWQMAUWRUWTJAUWRVXIYEZAUWTVWDYEZVWKVWLUWKYSYSYIAUXCU
      XEEUDAUXCUWQUXAUWSMKZMKZUXEAUXBWUJUWQMAUWSUXAAUWRJWUHVWKVWLYTZAUWTJWUIVWK
      VWLYTZUWLYSAUXEWUKAUWQUXAUWSVYSWUMWULUWMYHYLYSYI $.
  $}

  ${
    $d N k $.  $d k ph $.
    aks4d1p1p4.1 $e |- ( ph -> N e. NN ) $.
    aks4d1p1p4.2 $e |- A = ( ( N ^ ( |_ ` ( 2 logb B ) ) ) x. prod_ k e.
     ( 1 ... ( |_ ` ( ( 2 logb N ) ^ 2 ) ) ) ( ( N ^ k ) - 1 ) ) $.
    aks4d1p1p4.3 $e |- B = ( |^ ` ( ( 2 logb N ) ^ 5 ) ) $.
    aks4d1p1p4.4 $e |- ( ph -> 3 <_ N ) $.
    aks4d1p1p4.5 $e |- C = ( 2 logb ( ( ( 2 logb N ) ^ 5 ) + 1 ) ) $.
    aks4d1p1p4.6 $e |- D = ( ( 2 logb N ) ^ 2 ) $.
    aks4d1p1p4.7 $e |- E = ( ( 2 logb N ) ^ 4 ) $.
    aks4d1p1p4.8 $e |- ( ph -> ( ( 2 x. C ) + D ) <_ E ) $.
    $( Technical step for inequality.  The hard work is in to prove the final
       hypothesis.  (Contributed by metakunt, 19-Aug-2024.) $)
    aks4d1p1p4 $p |- ( ph -> A < ( 2 ^ B ) ) $=
      ( c2 co wcel c1 clogb c5 cexp ccxp cr cfl cfv cv cmin cprod cmul nnred cz
      cfz cc0 cle wbr wa cn0 2re a1i clt 2pos cceil nngt0d 1red ltned relogbcld
      1lt2 necomd 5nn0 reexpcld ceilcl syl zred wceq eleq1d mpbird c7 0red 7pos
      3lexlogpow5ineq3 ltled ceilge breqtrrd letrd ltletrd flcld caddc readdcld
      7re leidd 1cnd addid2d wne recnd gtned logbid1 syl3anc eqcomd breq12d 5re
      cc nn0addge1i recni 5cn addcomi 5p2e7 eqtri eqbrtrd cuz wb 2z uzidd elrpd
      crp 2rp logbleb mpbid fllep1 leadd1d jca elnn0z sylibr adantr cn remulcld
      fzfid c4 oveq2d cdif eldifd wi syl2anc oveq1d eqtrd eqeltrd cdiv breqtrd
      c3 elfznn adantl nnnn0d resubcld fprodrecl cpr rpne0d nelprd necom imbi2i
      2cnd mpbi neneqd c0ex elsn2 sylnibr cxplogb eqidd 4nn0 cxpmuld exp1d 1nn0
      csn expaddd 4cn ax-1cn 4p1e5 addcomli 3re 0le1 1lt3 recxpcld eqeltrrd w3a
      nn0zd logb1 1rp logblt lelttrd 3jca ltp1 lttrd resqcld rehalfcld redivcld
      expgt0 rpcxpcld rpred aks4d1p1p2 divcan3d divdird lediv1d leadd1dd cxpled
      2halvesd 1le2 nn0red cxplead cxpexp ) ABQQHUARZUBUCRZUDRZQCUCRZABUESHQCUA
      RZUFUGZUCRZTUWTQUCRZUFUGZUNRZHFUHZUCRZTUIRZFUJZUKRZUESAUXFUXMAHUXEAHIULZA
      UXEUMSZUOUXEUPUQZURUXEUSSAUXPUXQAUXDAQCQUESAUTVAZUOQVBUQAVCVAZACUESUXAVDU
      GZUESAUXTAUXAUESZUXTUMSZAUWTUBAQHUXRUXSUXOAHIVEZATQATQAVFZTQVBUQAVIVAVGVJ
      ZVHZUBUSSAVKVAZVLZUXAVMVNZVOACUXTUECUXTVPAKVAZVQVRZAUOVSCAVTZVSUESAWKVAZU
      YKUOVSVBUQAWAVAAVSUXACUYMUYHUYKAVSUXAUYMUYHAHUXOLWBWCAUXAUXTCUPAUYAUXAUXT
      UPUQUYHUXAWDVNZUYJWEWFZWGZUYEVHZWHZAUXQUOTWIRZUXETWIRZUPUQAUYSUXDUYTAUOTU
      YLUYDWJZUYQAUXETAUXEUYRVOZUYDWJAUYSQQUARZUXDVUAAQQUXRUXSUXRUXSUYEVHUYQAUY
      SVUCUPUQTTUPUQATUYDWLAUYSTVUCTUPATAWMWNATVUCAVUCTAQXCSZQUOWOZQTWOZVUCTVPA
      QUXRWPZAUOQUYLUXSWQZUYEQWRWSWTWTXAVRAQCUPUQZVUCUXDUPUQZAQVSCUXRUYMUYKAQQU
      BWIRZVSUXRAQUBUXRUBUESAXBVAWJUYMQVUKUPUQAQUBUTVKXDVAAVUKVSVSUPVUKVSVPAVUK
      UBQWIRVSQUBQUTXEXFXGXHXIVAAVSUYMWLXJWFUYOWFAQQXKUGSZQXPSZCXPSVUIVUJXLAQQU
      MSAXMVAXNZVUMAXQVAZACUYKUYPXOQQCXRWSXSWFAUXDUESUXDUYTUPUQUYQUXDXTVNWFAUOU
      XETUYLVUBUYDYAVRYBUXEYCYDVLAUXIUXLFATUXHYHAUXJUXISZURZUXKTVUQHUXJAHUESVUP
      UXOYEVUQUXJVUPUXJYFSAUXJUXHUUAUUBUUCVLVUQVFUUDUUEYGABUXNUEBUXNVPAJVAVQVRZ
      AHGUDRZUXBUEAVUSQUWTTYIWIRZUCRZUDRZUXBAVUSQUWTUWTYIUCRZUKRZUDRZVVBAVUSQUW
      TUDRZVVCUDRZVVEAVUSHVVCUDRZVVGAGVVCHUDGVVCVPAOVAZYJAVVHVVGVVGAHVVFVVCUDAV
      VFHAQXCUOTUUFZYKSHXCUOUVCZYKSVVFHVPAQXCVVJAUUKZAQUOTAQVUOUUGZUYEUUHYLAHXC
      VVKAHUXOWPAHUOVPHVVKSAHUOAUOHWOZYMAHUOWOZYMAUOHUYLUYCVGVVNVVOAUOHUUIUUJUU
      LUUMHUOUUNUUOUUPYLQHUUQYNWTYOAVVGUURYPYPAVVEVVGAQUWTVVCVUOUYFAVVCGXCAGVVC
      VVIWTZAGAGUESVVCUESAUWTYIUYFYIUSSAUUSVAZVLAGVVCUEVVIVQVRZWPZYQUUTWTYPAVVD
      VVAQUDAVVDUWTTUCRZVVCUKRZVVAAUWTVVTVVCUKAVVTUWTAUWTAUWTUYFWPZUVAWTYOAVVAV
      WAAUWTTYIVWBVVQTUSSAUVBVAUVDWTYPYJYPAVVAUXAQUDAVUTUBUWTUCVUTUBVPAYITUBUVE
      UVFUVGUVHVAYJYJYPZAHGUXOAUOYTHUYLYTUESAUVIVAZUXOAUOTYTUYLUYDVWDUOTUPUQAUV
      JVAATYTUYDVWDTYTVBUQAUVKVAZWCWFLWFVVRUVLZUVMAQCUXRACUMSZUOCUPUQZURCUSSZAV
      WGVWHAVWGUYBUYIACUXTUMUYJVQVRAUOCUYLUYKUYPWCYBCYCYDZVLABVUSUXBVBABHDEQYRR
      ZWIRZGQYRRZWIRZUDRZVUSVURAVWOAHVWNAHUXOUYCXOZAVWLVWMADVWKADUESQUXATWIRZUA
      RZUESAQVWQUXRUXSAUXATUYHUYDWJZAUOUXAVWQUYLUYHVWSAUWTUESZUBUMSZUOUWTVBUQZU
      VNUOUXAVBUQAVWTVXAVXBUYFAUBUYGUVOAUOQTUARZUWTUYLAVXCUOUEAVUDVUEVUFVXCUOVP
      VUGVUHUYEQUVPWSZUYLYQUYFAUOUOVXCUPAUOUYLWLAVXCUOVXDWTYSATHVBUQZVXCUWTVBUQ
      ZATYTHUYDVWDUXOVWELWGZAVULTXPSZHXPSVXEVXFXLVUNVXHAUVQVAVWPQTHUVRWSXSUVSUV
      TUWTUBUWFVNAUYAUXAVWQVBUQUYHUXAUWAVNUWBUYEVHADVWRUEDVWRVPAMVAZVQVRZAEAEUE
      SUXGUESAUWTUYFUWCAEUXGUEEUXGVPANVAZVQVRZUWDWJZAGQVVRUXRVVMUWEZWJZUWGUWHVW
      FABHVWRUXGQYRRZWIRZVVCQYRRZWIRZUDRVWOVBABCFHIJKLUWIAVXSVWNHUDAVXSVXQVWMWI
      RVWNAVXRVWMVXQWIAVVCGQYRVVPYOYJAVXQVWLVWMWIAVXQDVXPWIRVWLAVWRDVXPWIADVWRV
      XIWTYOAVXPVWKDWIAUXGEQYRAEUXGVXKWTYOYJYPYOYPYJYSAVWNGUPUQVWOVUSUPUQAVWNVW
      MVWMWIRGUPAVWLVWMVWMVXMVXNVXNAVWLQDUKRZEWIRZQYRRZVWMUPAVWLVXTQYRRZVWKWIRZ
      VYBADVYCVWKWIAVYCDADQADVXJWPVVLVVMUWJWTYOAVYBVYDAVXTEQAVXTAQDUXRVXJYGZWPA
      EVXLWPVUGVVMUWKWTYPAVYAGUPUQVYBVWMUPUQPAVYAGQAVXTEVYEVXLWJVVRVUOUWLXSXJUW
      MAGVVSUWOYSAHVWNGUXOVXGVXOVVRUWNXSWGVWCYSAUXBQCUDRZUXCUPAQUXACUXRTQUPUQAU
      WPVAUYHACVWJUWQAUXAUXTCUPUYNACUXTUYJWTYSUWRAVUDVWIVYFUXCVPVVLVWJQCUWSYNYS
      WG $.
  $}

  ${
    $d A x $.  $d B x $.  $d P x $.  $d Q x $.  $d R x $.  $d S x $.
    $d ph x $.
    dvle2.1 $e |- ( ph -> A e. RR ) $.
    dvle2.2 $e |- ( ph -> B e. RR ) $.
    dvle2.3 $e |- ( ph -> ( x e. ( A [,] B ) |-> E ) e. ( ( A [,] B )
    -cn-> RR ) ) $.
    dvle2.4 $e |- ( ph -> ( x e. ( A [,] B ) |-> G ) e. ( ( A [,] B )
    -cn-> RR ) ) $.
    dvle2.5 $e |- ( ph -> ( RR _D ( x e. ( A (,) B ) |-> E ) ) =
     ( x e. ( A (,) B ) |-> F ) ) $.
    dvle2.6 $e |- ( ph -> ( RR _D ( x e. ( A (,) B ) |-> G ) ) =
     ( x e. ( A (,) B ) |-> H ) ) $.
    dvle2.7 $e |- ( ( ph /\ x e. ( A (,) B ) ) -> F <_ H ) $.
    dvle2.8 $e |- ( x = A -> E = P ) $.
    dvle2.9 $e |- ( x = A -> G = Q ) $.
    dvle2.10 $e |- ( x = B -> E = R ) $.
    dvle2.11 $e |- ( x = B -> G = S ) $.
    dvle2.12 $e |- ( ph -> P <_ Q ) $.
    dvle2.13 $e |- ( ph -> A <_ B ) $.
    $( Collapsed ~ dvle .  (Contributed by metakunt, 19-Aug-2024.) $)
    dvle2 $p |- ( ph -> R <_ S ) $=
      ( cmin co caddc cle wbr cr wcel cicc cv wceq eleq1d cmpt wral ccncf cncff
      wf syl eqid fmpt sylibr cxr w3a rexrd leidd 3jca wb elicc1 syl2anc mpbird
      rspcdva resubcld dvle le2addd recnd npcand breq12d mpbid ) AGEUFUGZEUHUGZ
      HFUFUGZFUHUGZUIUJGHUIUJAWCEWEFAGEAIUKULZGUKULBCDUMUGZDBUNZDUOZIGUKUBUPAWH
      UKBWHIUQZVAZWGBWHURAWKWHUKUSUGZULWLOWHUKWKUTVBBWHUKIWKWKVCVDVEZADWHULZDVF
      ULZCDUIUJZDDUIUJZVGZAWPWQWRADNVHZUEADNVIVJACVFULZWPWOWSVKACMVHZWTCDDVLVMV
      NZVOZAWGEUKULBWHCWICUOZIEUKTUPWNACWHULZXACCUIUJZWQVGZAXAXGWQXBACMVIUEVJAX
      AWPXFXHVKXBWTCDCVLVMVNZVOZVPXJAHFAKUKULZHUKULBWHDWJKHUKUCUPAWHUKBWHKUQZVA
      ZXKBWHURAXLWMULXMPWHUKXLUTVBBWHUKKXLXLVCVDVEZXCVOZAXKFUKULBWHCXEKFUKUAUPX
      NXIVOZVPXPABIJKLEFGHCDCDMNOQPRSXIXCUETUAUBUCVQUDVRAWDGWFHUIAGEAGXDVSAEXJV
      SVTAHFAHXOVSAFXPVSVTWAWB $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x y $.  $d ph x z $.
    aks4d1p1p6.1 $e |- ( ph -> A e. RR ) $.
    aks4d1p1p6.2 $e |- ( ph -> B e. RR ) $.
    aks4d1p1p6.3 $e |- ( ph -> 3 <_ A ) $.
    aks4d1p1p6.4 $e |- ( ph -> A <_ B ) $.
    $( Inequality lift to differentiable functions for a term in AKS inequality
       lemma.  (Contributed by metakunt, 19-Aug-2024.) $)
    aks4d1p1p6 $p  |- ( ph
     -> ( RR
            _D
            ( x
            e. ( A (,) B )
            |-> ( ( 2
                    x.
                    ( 2
                      logb
                      ( ( ( 2 logb x ) ^ 5 ) + 1 ) ) )
                  +
                  ( ( 2 logb x ) ^ 2 ) ) ) )
        = ( x
          e. ( A (,) B )
          |-> ( ( 2
                  x.
                  ( ( 1
                      /
                      ( ( ( ( 2 logb x ) ^ 5 ) + 1 )
                        x.
                        ( log ` 2 ) ) )
                    x.
                    ( ( ( 5 x. ( ( 2 logb x ) ^ 4 ) )
                        x.
                        ( 1 / ( x x. ( log ` 2 ) ) ) )
                      +
                      0 ) ) )
                +
                ( ( 2 / ( ( log ` 2 ) ^ 2 ) )
                  x.
                  ( ( ( log ` x ) ^ ( 2 - 1 ) ) / x ) ) ) ) ) $=
      ( c2 co c5 c1 cmul cc0 cr cc wcel a1i clt wbr vy vz clogb cexp caddc clog
      cv cfv cdiv c4 cmin cioo cpr reelprrecn 2cnd 2re 2pos elioore adantl 0red
      wa adantr c3 3re 3pos cle ltletrd simpr cxr wb rexrd elioo5 syl3anc mpbid
      simpld lttrd 1red 1lt2 ltned necomd relogbcld cn0 reexpcld readdcld ltp1d
      5nn0 cz nn0zd wceq wtru wne logb1 mptru cuz crp 2z uzidd 1rp elrpd logblt
      2lt3 eqbrtrrid expgt0 ltadd1dd recn syl mulcld 2rp relogcld remulcld 1cnd
      recnd addcld gt0ne0d logcld loggt0b ax-mp mpbir mulne0d redivcld 5re 4nn0
      gtned rpre rpgt0 rpne0d rpne0 expcld cmpt eqid dvrelog2b cdv oveq2d oveq1
      cn dvmptco dvmptadd cpnf mpteq1d eqtrd cnelprrecn 5cn ltled 5nn mpteq2dva
      dvexp 5m1e4 syl5eq crn ctg ccnfld dvmptc ioossre tgioo2 iooretop dvmptres
      ctopn wss dfrp2 pnfxr leidd 0lepnf eqcomd oveq2 dvmptcmul resqcld expne0d
      sqcld 2m1e1 1nn0 eqeltri 2nn dvrelogpow2b ) ABIIIBUGZUCJZKUDJZLUEJZUCJZMJ
      ILUVQIUFUHZMJZUIJZKUVOUJUDJZMJZLUVNUVSMJZUIJZMJZNUEJZMJZMJUVOIUDJZIUVSIUD
      JZUIJZUVNUFUHZILUKJZUDJZUVNUIJZMJZOOOCDULJZOOPUMZQAUNRZAUVNUWQQZVAZIUVRUX
      AUOZUXAUVROQUVRPQUXAIUVQIOQZUXAUPRZNISTZUXAUQRZUXAUVPLUXAUVOKUXAIUVNUXDUX
      FUWTUVNOQZAUVNCDURUSZUXANCUVNUXAUTZACOQUWTEVBZUXHUXANVCCUXIVCOQZUXAVDRZUX
      JNVCSTZUXAVERAVCCVFTUWTGVBZVGUXACUVNSTZUVNDSTZUXAUWTUXOUXPVAZAUWTVHUXACVI
      QZDVIQZUVNVIQUWTUXQVJAUXRUWTACEVKZVBAUXSUWTADFVKZVBUXAUVNUXHVKCDUVNVLVMVN
      VOZVPZUXALIUXALIUXAVQZLISTZUXAVRRZVSVTZWAZKWBQZUXAWFRZWCZUYDWDZUXANNLUEJU
      VQUXIUXANLUXIUYDWDUYLUXANUXIWEUXANUVPLUXIUYKUYDUXAUVOOQKWGQNUVOSTNUVPSTUY
      HUXAKUYJWHUXANILUCJZUVOSUYMNWIZWJIPQINWKILWKUYNWJUOWJNIWJNIWJUTUXEWJUQRVS
      VTWJLIWJLIWJVQUYEWJVRRVSVTIWLVMWMUXALUVNSTZUYMUVOSTZUXALCUVNUYDUXJUXHUXAL
      VCCUYDUXLUXJUXALIVCUYDUXDUXLUYFIVCSTUXAXARVPUXNVGUYBVPUXAIIWNUHQLWOQZUVNW
      OQUYOUYPVJUXAIIWGQUXAWPRZWQUYQUXAWRRUXAUVNUXHUYCWSZILUVNWTVMVNXBUVOKXCVMX
      DVPZUYGWAUVRXEXFZXGUXAIUWHUXDUXAUWAUWGUXALUVTUYDUXAUVQUVSUYLUXAIIWOQZUXAX
      HRZXIZXJUXAUVQUVSUXAUVPLUXAUVPUYKXLZUXAXKZXMUXAIUXBUXAIUXFXNXOZUXAUVQUYTX
      NAUVSNWKUWTANUVSANUVSAUTZNUVSSTZAVUIUYEVRVUBVUIUYEVJXHIXPXQXRRVSVTZVBZXSX
      TUXAUWFNUXAUWCUWEUXAKUWBKOQUXAYARUXAUVOUJUYHUJWBQZUXAYBRWCXJUXALUWDUYDUXA
      UVNUVSUXHVUDXJUXAUVNUVSUXAUVNUXHXLVUGUXANUVNUXIUYCYCVUKXSXTZXJZUXIWDZXJZX
      JABUVRUWHIOOUWQUWSVUAVUPABUAUVQUWGIUAUGZUCJZLVUQUVSMJZUIJZOOUVRUWAOOUWQWO
      UWSUWSUXAUVQUYLUYTWSVUOAVUQWOQZVAZVURVVBIVUQUXCVVBUPRUXEVVBUQRVVAVUQOQAVU
      QYDUSZVVANVUQSTAVUQYEUSVVBLIVVBLIVVBVQZUYEVVBVRRVSVTWAXLVVBLVUSVVDVVBVUQU
      VSVVCVVBIVUBVVBXHRZXIXJVVBVUQUVSVVBVUQVVCXLVVBIVVBUOVVBIVVEYFXOVVAVUQNWKA
      VUQYGUSVVBNUVSANUVSWKVVAAUVSNVUJVTVBVTXSXTABUVPUWFLNOOOUWQUWSVUEVUNABUBUV
      OUWEUBUGZKUDJZKVVFUJUDJZMJZOPUVPUWCOPUWQPUWSPUWRQAUUARUXAUVOUYHXLZVUMAVVF
      PQZVAZVVFKAVVKVHZUYIVVLWFRYHVVLKVVHKPQVVLUUBRVVLVVFUJVVMVULVVLYBRYHXGABCD
      BUWQUVOYIZBUWQUWEYIZUXTUYAANCVUHEANVCCVUHUXKAVDREUXMAVERGVGZUUCHVVNYJVVOY
      JYKAPUBPVVGYIYLJZUBPKVVFKLUKJZUDJZMJZYIZUBPVVIYIKYOQVVQVWAWIUUDUBKUUFXQAU
      BPVVTVVIVVLVVSVVHKMVVLVVRUJVVFUDVVRUJWIVVLUUGRYMYMUUEUUHVVFUVOKUDYNVVFUVO
      WIVVHUWBKMVVFUVOUJUDYNYMYPVUFUXIABLNOULUUIUUJUHZUUKUUQUHZOOUWQUWSALPQUXGA
      XKZVBAUXGVAUTABLOUWSVWDUULUWQOUURACDUUMRVWCVWCYJZUUNVWEUWQVWBQACDUUORUUPY
      QAOUAWOVURYIZYLJOUANYRULJZVURYIZYLJZUAWOVUTYIZAVWFVWHOYLAUAWOVWGVURWOVWGW
      IAUUSRZYSYMAVWIUAVWGVUTYIZVWJAUANYRVWHVWLANVUHVKYRVIQAUUTRANVUHUVANYRVFTA
      UVBRVWHYJVWLYJYKAUAVWGWOVUTAWOVWGVWKUVCYSYTYTVUQUVQIUCUVDVUQUVQWIVUSUVTLU
      IVUQUVQUVSMYNYMYPAIUXCAUPRXLUVEUXAUVOVVJUVHUXAUWKUWOUXAIUWJUXDUXAUVSVUDUV
      FUXAUVSIUXAIUXBUXAIVUCYFXOVUKUYRUVGXTUXAUWNUVNUXAUWLUWMUXAUVNUYSXIUWMWBQU
      XAUWMLWBUVIUVJUVKRWCUXHUXAUVNUYSYFXTXJABCDUWKBUWQUWIYIZBUWQUWPYIZIEFVVPHV
      WMYJVWNYJUWKYJIYOQAUVLRUVMYQ $.
  $}

  ${
    aks4d1p1p7.1 $e |- ( ph -> A e. RR ) $.
    aks4d1p1p7.2 $e |- ( ph -> 4 <_ A ) $.
    $( Bound of intermediary of inequality step.  (Contributed by metakunt,
       19-Aug-2024.) $)
    aks4d1p1p7 $p |- ( ph
        -> ( ( 2
               x.
               ( ( 1
                   /
                   ( ( ( ( 2 logb A ) ^ 5 ) + 1 )
                     x.
                     ( log ` 2 ) ) )
                 x.
                 ( ( ( 5 x. ( ( 2 logb A ) ^ 4 ) )
                     x.
                     ( 1 / ( A x. ( log ` 2 ) ) ) )
                   +
                   0 ) ) )
             +
             ( ( 2 / ( ( log ` 2 ) ^ 2 ) )
               x.
               ( ( ( log ` A ) ^ ( 2 - 1 ) ) / A ) ) )
           <_
           ( ( 4 / ( ( log ` 2 ) ^ 4 ) )
             x.
             ( ( ( log ` A ) ^ 3 ) / A ) ) ) $=
      ( c2 c1 cdiv co c5 cexp caddc cmul cc0 cle a1i oveq1d oveq2d eqcomd eqtrd
      c4 clog cfv c3 clogb cmin recnd 0red wcel 4re clt wbr 4pos ltletrd necomd
      cr ltned logcld 2cnd 2pos 1lt2 crp wb 2rp loggt0b ax-mp mpbir cn0 expdivd
      5nn0 2re elrpd relogcld reexpcld nn0zd expne0d redivcld readdcld remulcld
      1red expcld divcld 1cnd rplogcld rpexpcld 3nn0 df-4 letrd expge0d divge0d
      mulne0d 5re resqcld syl mpbird rpmulcld lemul1ad lediv2ad lemul2ad div23d
      cz divmuldivd oveq12d mulcld mulassd divassd mulid1d mulcomd expsubd wceq
      leadd1dd recni cc jca syl2anc mpbid divdiv1d dividd eqeltrd cdc 10nn0 ceu
      wa wn ltled lenltd gtned rpne0d exp1d eqeltrrd eqbrtrd c6 2nn0 c7 3brtr3d
      c9 expaddd adddird lemul1d eqidd div32d addcld nn0addge2i breqtrrdi ltp1d
      1re logge0d lelttrd 4nn0 2z 1nn0 1lt4 divne0d 4z nn0ge0d mulge0d rpdivcld
      0le2 sylib ge0p1rpd 0le1 rpred rpge0d lep1d sqcld divdiv2d ax-1cn subaddi
      cneg 4p1e5 subid1d eqtr4d jctir 0cnd subeqrev df-neg eqtr4di 1zzd expnegd
      5t2e10 nn0cni mulid2d 10re 3z ere nn0red egt2lt3 simpri 3lt4 lttrd mtbird
      loglt1b cn 10nn nnledivrp relogbcld logbgt0b rehalfcld nn0ge0i relogbexpd
      sq2 leidd logblebd 1nn 6nn0 nn0addcli 5p2e7 7re nn0addge1i breqtri declei
      7p2e9 eqbrtri 4t4e16 eqcomi leexp1ad divdird 2p1e3 subadd2d lediv1d uzidd
      ldiv cuz relogbval df-2 eqnetrd div12d 5cn df-5 reccld addid1d 1e2m1 4cn
      ) AEFBUAUBZEUAUBZGHZIJHZFKHZUYNLHZGHZIUYMTJHZLHZUYNIJHZBLHZGHZLHZLHZEUYNE
      JHZGHZUYMFJHZBGHZLHZKHZTUYMUCJHZLHZUYNTJHZBLHZGHZEFEBUDHZIJHZFKHZUYNLHZGH
      ZIVURTJHZLHZFBUYNLHZGHZLHZMKHZLHZLHZVUHUYMEFUEHZJHZBGHZLHZKHTVUOGHVUMBGHL
      HZNAVULEFUYMIJHZVUBGHZFKHZUYNLHZGHZVUDLHZLHZVUKKHZVUQNAVUFVWBVUKKAVUEVWAE
      LAUYSVVTVUDLAUYRVVSFGAUYQVVRUYNLAUYPVVQFKAUYMUYNIABABCUFZAMBAMBAUGZAMTBVW
      ETUOUHAUIOZCMTUJUKAULOZDUMZUPUNZUQZAEAURZAMEAMEVWEMEUJUKAUSOZUPUNZUQZAMUY
      NAMUYNVWEMUYNUJUKZAVWOFEUJUKZUTEVAUHZVWOVWPVBVCEVDVEZVFOZUPUNZIVGUHAVIOZV
      HPPQPQPAVWCEFVVQUYNLHZGHZVUDLHZLHZVUKKHZVUQAVWBVUKAEVWAEUOUHAVJOZAVVTVUDA
      FVVSAVSZAVVRUYNAVVQFAVVPVUBAUYMIABABCVWHVKZVLZVXAVMZAUYNIAEVWQAVCOZVLZVXA
      VMZAUYNIVWNVWTAIVXAVNZVOZVPZVXHVQZVXMVRAVVRUYNAVVQFAVVPVUBAUYMIVWJVXAVTZA
      UYNIVWNVXAVTZVXPWAZAWBZUUAVWNAMVVRAMVVRVWEAMVVQVVRVWEVXQVXRAVVPVUBVXKAUYN
      IAEVXGVWPAUTOZWCZVXOWDZAUYMIVXJVXAABCAFTBVXHVWFCAFUCFKHZTNFVYFNUKAFUCUUEW
      EUUBOWFUUCDWGUUFZWHZWIAVVQVXQUUDUUGUPUNVWTWJVPZAVUAVUCAIUYTIUOUHAWKOZAUYM
      TVXJTVGUHAUUHOZVMZVRZAVUBBVXNCVRAVUBBVXTVWDVXPVWIWJZVPZVRZVRZAVUHVUJAEVUG
      VXGAUYNVXMWLZAUYNEVWNVWTEWTUHAUUIOZVOZVPAVUIBAUYMFVXJFVGUHAUUJOZVMZCVWIVP
      VRZVQAVXEVUKAEVXDVXGAVXCVUDAFVXBVXHAVVQUYNVXQVXMVRAVVQUYNVYAVWNAVVPVUBVXS
      VXTAUYMIVWJAMUYMAMUYMVWEAMUYMUJUKZFBUJUKZAFTBVXHVWFCFTUJUKAUUKODUMZABVAUH
      ZWUDWUEVBVXIBVDWMWNUPUNZVXOVOZVXPUULVWTWJVPZVYOVRZVRZWUCVQAVUNVUPATVUMVWF
      AUYMUCVXJUCVGUHAWEOZVMZVRZAVUOBAUYNTVXMVYKVMZCVRAVUOBAUYNTVWNVYKVTZVWDAUY
      NTVWNVWTTWTUHAUUMOVOZVWIWJVPZAVWBVXEVUKVYQWULWUCAVWAVXDEVYPWUKVXGMENUKAUU
      QOZAVVTVXCVUDVYIWUJVYOAVUAVUCVYMAVUBBVYEVXIWOAIUYTVYJVYLAIVXAUUNAUYMTVXJV
      YKVYGWHUUOWIAVXBVVSFAVVQUYNAVVPVUBAUYMIABCWUFWCZVXOWDVYEUUPVYDWOAVVRUYNAV
      VQVXQAVVPVUBVXKAUYNIAEVXGAVWOVWPVWSVWRUURWCZVXOWDVYHWIUUSWVBWOVXHMFNUKAUU
      TOAVVQVVRUYNVXQVXRAUYNWVBUVAAUYNWVBUVBAVVQVXQUVCWPWQWPWRXJAVXFEFVVPUYNLHZ
      VUBGHZGHZVUDLHZLHZEVUILHZVUGBLHZGHZKHZVUQNAVXEWVGVUKWVJKAVXDWVFELAVXCWVEV
      UDLAVXBWVDFGAWVDVXBAVVPUYNVUBVXSVWNVXTVXPWSRQPQAEVUGVUIBVWKAUYNVWNUVDZAUY
      MFVWJWUAVTZVWDVYTVWIXAZXBAWVKEFVUBLHZWVCGHZLHZVUDLHZWVJKHZVUQNAWVGWVRWVJK
      AWVGEWVPVUDLHZLHZWVRAWVFWVTELAWVEWVPVUDLAFWVCVUBVYBAVVPUYNVXSVWNXCZVXTAVV
      PUYNVXSVWNWUIVWTWJZVXPUVEPQAWVRWWAAEWVPVUDVWKAWVOWVCAFVUBVYBVXTXCZWWBWWCW
      AAVUDVYOUFXDRSPAWVSEWVOLHZWVCGHZVUDLHZWVJKHZVUQNAWVRWWGWVJKAWVQWWFVUDLAWW
      FWVQAEWVOWVCVWKWWDWWBWWCXERPPAWWHEFLHZVUBLHZWVCGHZVUDLHZWVJKHZVUQNAWWGWWL
      WVJKAWWFWWKVUDLAWWEWWJWVCGAWWJWWEAEFVUBVWKVYBVXTXDRPPPAWWMEVUBLHZWVCGHZVU
      DLHZWVJKHZVUQNAWWLWWPWVJKAWWKWWOVUDLAWWJWWNWVCGAWWIEVUBLAEVWKXFZPPPPAWWQW
      WNVUALHZWVCVUCLHZGHZWVJKHZVUQNAWWPWXAWVJKAWWNWVCVUAVUCAEVUBVWKVXTXCZWWBAV
      UAVYMUFZAVUBBVXTVWDXCZWWCVYNXAPAWXBWWSVVPUYNVUCLHZLHZGHZWVJKHZVUQNAWXAWXH
      WVJKAWWTWXGWWSGAVVPUYNVUCVXSVWNWXEXDQPAWXIVUAWWNLHZVVPUYNVUBLHZBLHZLHZGHZ
      WVJKHZVUQNAWXHWXNWVJKAWWSWXJWXGWXMGAWWNVUAWXCWXDXGAWXFWXLVVPLAWXLWXFAUYNV
      UBBVWNVXTVWDXDZRQXBPAWXOVUAVVPGHZWWNWXLGHZLHZWVJKHZVUQNAWXNWXSWVJKAWXSWXN
      AVUAVVPWWNWXLWXDVXSWXCAWXKBAUYNVUBVWNVXTXCZVWDXCWUIAWXKBWYAVWDAUYNVUBVWNV
      XTVWTVXPWJVWIWJXARPAWXTIUYTVVPGHZLHZWWNWXFGHZLHZWVJKHZVUQNAWXSWYEWVJKAWXQ
      WYCWXRWYDLAIUYTVVPAIVYJUFZAUYTVYLUFZVXSWUIXEAWXLWXFWWNGWXPQXBPAWYFIUYMFUV
      HZJHZLHZEUYNGHZVUBVUCGHZLHZLHZWVJKHZVUQNAWYEWYOWVJKAWYCWYKWYDWYNLAWYBWYJI
      LAWYBUYMTIUEHZJHZWYJAWYRWYBAUYMTIVWJWUHVXOATVYKVNZXHRAWYQWYIUYMJAWYQMFUEH
      ZWYIAITUEHZFMUEHZXIZWYQWYTXIZAXUAFXUBXUAFXIZAXUETFKHZIXIUVIITFIWKXKTUIXKZ
      UVFUVGVFOAFVYBUVJUVKAIXLUHZTXLUHZYBFXLUHZMXLUHZYBXUCXUDVBAXUHXUIWYGXUGUVL
      AXUJXUKVYBAUVMXMITFMUVNXNXOFUVOUVPQSQAWYNWYDAEUYNVUBVUCVWKVWNVXTWXEVWTVYN
      XARXBPAWYPIFVUIGHZLHZWYLVUBVUBGHZBGHZLHZLHZWVJKHZVUQNAWYOXUQWVJKAWYKXUMWY
      NXUPLAWYJXULILAUYMFVWJWUHAUVQZUVRQAWYMXUOWYLLAXUOWYMAVUBVUBBVXTVXTVWDVXPV
      WIXPRQXBPAXURIFLHZVUIGHZWYLFBGHZLHZLHZWVJKHZVUQNAXUQXVDWVJKAXUMXVAXUPXVCL
      AXVAXUMAIFVUIWYGVYBWVMAUYMFVWJWUHXUSVOZXERAXUOXVBWYLLAXUNFBGAVUBVXTVXPXQP
      QXBPAXVEIVUIGHZWWIUYNBLHZGHZLHZWVJKHZVUQNAXVDXVJWVJKAXVAXVGXVCXVILAXUTIVU
      IGAIWYGXFPAEUYNFBVWKVWNVYBVWDVWTVWIXAXBPAXVKIELHZVUIXVHLHZGHZWVJKHZVUQNAX
      VJXVNWVJKAXVJIWWILHZXVMGHXVNAIVUIWWIXVHWYGWVMAWWIEXLWWRVWKXRAUYNBVWNVWDXC
      ZXVFAUYNBVWNVWDVWTVWIWJZXAAXVPXVLXVMGAWWIEILWWRQPSPAXVOFMXSZXVMGHZWVJKHZV
      UQNAXVNXVTWVJKAXVLXVSXVMGXVLXVSXIZAUVSOZPPAXWAVUQNUKXWABLHZVUQBLHZNUKAXVT
      BLHZWVJBLHZKHZVUNBVUPGHZLHZXWDXWENAXVSBXVMGHZLHZWVHBWVIGHZLHZKHZVUNBBGHZV
      UOGHZLHZXWHXWJNAXVSBBVUIUYNLHZLHZGHZLHZWVHXWPVUGGHZLHZKHZVUNFVUOGHZLHZXWO
      XWRNAXVSFXWSGHZLHZWVHFVUGGHZLHZKHZVUNFLHZVUOGHZXXEXXGNAXVSFLHZXWSGHZFWVHV
      UGGHZLHZKHZVUNVUOGHZXXLXXNNAXXSXVSXWSGHZXXQKHZXXTNAXXPXYAXXRXXQKAXXOXVSXW
      SGAXVSXVSXLUHAXVSXTUVTOZXFPAXXQAWVHVUGAEVUIVWKWVMXCZWVLVYTWAZUWAXBAXYBXXT
      NUKXYBUYNLHZXXTUYNLHZNUKAXYAUYNLHZXXQUYNLHZKHZVUNUYNLHZVUOGHZXYFXYGNAXVSU
      YNLHXWSGHZWVHUYNLHZVUGGHZKHZXYKUYNUCJHZUYNFJHZLHZGHZXYJXYLNAXVSVUIGHZWVHX
      YRLHZXYRXYRLHZGHZKHZVUNXYQGHZFLHZXYPXYTNAYUAWVHXYRGHZFLHZKHZYUFYUEYUGNAYU
      JYUAYUHKHZYUFNAYUIYUHYUAKAYUHAWVHXYRXYDAUYNFVWNWUAVTZAUYNFVWNVWTXUSVOZWAX
      FQAXVSUYMGHZEUYOFJHZLHZKHZTVUMXYQGHZLHZYUKYUFNAYUQXVSYUPKHZYUSAYUNYUPAXVS
      UYMXVSUOUHAUWBOZVXJWUHVPZAEYUOVXGAUYOFAUYMUYNVXJVXMVWTVPWUAVMVRZVQAXVSYUP
      YVAYVCVQATYURVWFAVUMXYQWUNAUYNUCVXMWUMVMAUYNUCVWNVWTUCWTUHAUWCOZVOZVPVRAY
      UNXVSYUPYVBYVAYVCAFUYMNUKZYUNXVSNUKZAYVFUYMFUJUKZYCAYVHBYAUJUKZAYABNUKYVI
      YCAYABYAUOUHAUWDOZCAYAUCBYVJAUCWUMUWEZCYAUCUJUKZAEYAUJUKYVLUWFUWGOAUCTBYV
      KVWFCUCTUJUKAUWHODUMUWIYDAYABYVJCYEXOAWUGYVHYVIVBVXIBUWKWMUWJAFUYMVXHVXJY
      EWNAXVSUWLUHZUYMVAUHYVFYVGVBYVMAUWMOWVAXVSUYMUWNXNXOXJAXVSEVURFJHZLHZKHZT
      VURUCJHZLHZYUTYUSNAYVPYVRNUKYVPYVNGHZYVRYVNGHZNUKAXVSYVNGHZEKHZTVUREJHZLH
      ZYVSYVTNAYWBTEEJHZLHZYWDAYWAEAXVSYVNYVAAVURFAEBVXGVWLCVWHAFEVXHVYCYFZUWOZ
      WUAVMZAYVNAVURFAVURYWHAMVURUJUKZWUEWUFAWUGVWQVWPYBYWJWUEVBVXIAVWQVWPVXLVY
      CXMBEUWPXNWNZVKZXUSWDZYGZVPZVXGVQZATYWEVWFAYWETUOYWETXIAUWTOZVWFXRZVRZATY
      WCVWFAVURYWHWLZVRAYWBXVSVURGHZEKHZYWFNAYWAYXAEKAYVNVURXVSGAVURAVURYWHUFZY
      HQZPZAYXBXVSEGHZEKHZYWFAYWBYXBUOYXEYWPYIAYXFEAXVSYVAUWQVXGVQYWSAYXAYXFEAY
      WAYXAUOYXDYWOYIAXVSEYVAVXGVWMVPVXGAEVURXVSVXLYWLYVAMXVSNUKAXVSXTUWROAEETU
      DHZVURNAEEYWEUDHZYXHAYXIEAEEVXLYWGVYSUWSRAYWETEUDYWQQSAETBVYSAEVXGUXAVWFV
      WGCVWHDUXBYJZWQXJAIEKHZFYKXSZYXGYWFNYXKYXLNUKAFYKYXKUXCUXDIEVIYLUXEYXKYMY
      ONUXFYMYMEKHYONYMEUXGYLUXHUXKUXIUXLUXJOAIYXFEKAXWBIYXFXIXWCAIEXVSWYGVWKXY
      CVWMUYAXOPAYXLTTLHZYWFYXLYXMXIAYXMYXLUXMUXNOATYWETLAYWETYWQRQSYNWGYJAYWEY
      WCTYWRYWTVWFAMTVWEVWFVWGYDAEVUREVXGYWHEVGUHAYLOWUTYXJUXOWRWGAYVSYWBAYVSYW
      AYVOYVNGHZKHZYWBAXVSYVOYVNXYCAYVOAEYVNVXGYWIVRZUFAYVNYWIUFZYWNUXPAYXOYWAE
      YVNYVNGHZLHZKHYWBAYXNYXSYWAKAEYVNYVNVWKYXQYXQYWNXEQAYXSEYWAKAYXSWWIEAYXRF
      ELAYVNYXQYWNXQQWWRSQSSRAYWDTYVQYVNGHZLHZYVTAYWDTVURUCFUEHZJHZLHYYAAYWCYYC
      TLAEYYBVURJAYYBEAYYBEXIEFKHUCXIZYYDAUXQOAUCFEAUCYVKUFVYBVWKUXRWNRQQAYYCYX
      TTLAVURUCFYXCAMVURVWEYWKYFXUSYVDXHQSAYVTYYAATYVQYVNXUIAXUGOZAYVQAVURUCYWH
      WUMVMZUFYXQYWNXERSYNAYVPYVRYVNAXVSYVOYVAYXPVQATYVQVWFYYFVRYWMUXSWNAYVOYUP
      XVSKAYVNYUOELAVURUYOFJAEEUYBUBUHZWUGYBVURUYOXIZAYYGWUGAEVYSUXTZVXIXMEBUYC
      ZWMZPQQAYVQYURTLAYVQUYOUCJHYURAVURUYOUCJYYKPAUYMUYNUCVWJVWNVWTWUMVHSQYNWG
      AYUNYUAYUPYUHKAUYMVUIXVSGAVUIUYMAUYMVWJYHRQAYUHYUPAYUHEVUIXYRGHZLHYUPAEVU
      IXYRVWKWVMYULYUMXEAYYLYUOELAYUOYYLAUYMUYNFVWJVWNVWTWUAVHRQSRXBAYUFYUSATVU
      MXYQYYEAVUMWUNUFZAUYNUCVWNWUMVTZYVEXERYNYJAYUIYUDYUAKAYUIYUHXYRXYRGHZLHYU
      DAFYYOYUHLAYYOFAXYRYULYUMXQRQAWVHXYRXYRXYRXYDYULYULYULYUMYUMXASQAYUGYUFAY
      UFAVUNXYQATVUMYYEYYMXCZYYNYVEWAXFRYNAYUAXYMYUDXYOKAYUAYUAUYNUYNGHZLHZXYMA
      YUAYUAFLHZYYRAYYSYUAAYUAAXVSVUIXYCWVMXVFWAXFRAFYYQYUALAYYQFAUYNVWNVWTXQRZ
      QSAXVSVUIUYNUYNXYCWVMVWNVWNXVFVWTXASAYUBXYNYUCVUGGAXYRUYNWVHLAUYNVWNYHZQA
      VUGYUCAVUGUYNFFKHZJHYUCAEUUUBUYNJEUUUBXIAUYDOQAUYNFFVWNWUAWUAYPSRXBXBAYUG
      YUFUYNXYRGHZLHXYTAFUUUCYUFLAFYYQUUUCYYTAUYNXYRUYNGAXYRUYNUUUARQSQAVUNXYQU
      YNXYRYYPYYNVWNAXYRUYNXLUUUAVWNXRYVEAXYRUYNMUUUAVWTUYEXASYNAXYMXYHXYOXYIKA
      XVSUYNXWSXYCVWNAVUIUYNWVMVWNXCZAVUIUYNWVMVWNXVFVWTWJZWSAWVHUYNVUGXYDVWNWV
      LVYTWSXBAXYSVUOXYKGAVUOXYSAVUOUYNVYFJHXYSATVYFUYNJTVYFXIAWFOQAUYNUCFVWNWU
      AWUMYPSRQYNAXYFXYJAXYAXXQUYNAXYAAXVSXWSYVAAVUIUYNWUBVXMVRUUUEVPZUFXYEVWNY
      QRAVUNUYNVUOYYPVWNWUQAUYNTVWNVWTWYSVOZWSYNAXYBXXTUYNAXYAXXQUUUFAWVHVUGAEV
      UIVXGWUBVRVYRVYTVPVQAVUNVUOWUOWUPWURVPWVBYRWNYJAXXPXXIXXRXXKKAXVSFXWSXYCV
      YBUUUDUUUEXEAFWVHVUGVYBXYDWVLVYTUYFXBAVUNXXMVUOGAXXMVUNAVUNYYPXFRPYNAXXIX
      XBXXKXXDKAXXHXXAXVSLAXXHXWPXWSGHXXAAFXWPXWSGAXWPFABVWDVWIXQRZPABBXWSVWDVW
      DUUUDVWIUUUEXPSQAXXKXXKXXDAXXKYSAXXJXXCWVHLAFXWPVUGGUUUHPQSXBAVUNFVUOYYPV
      YBWUQUUUGXEYNAXXBXWLXXDXWNKAXXAXWKXVSLAXWTXVMBGAXWTXWSBLHXVMABXWSVWDUUUDX
      GAVUIUYNBWVMVWNVWDXDSQQAXXCXWMWVHLAXXCBBVUGLHZGHXWMABBVUGVWDVWDWVLVWIVYTX
      PAUUUIWVIBGABVUGVWDWVLXGQSQXBAXXFXWQVUNLAXXFXXFXWQAXXFYSAFXWPVUOGUUUHPSQY
      NAXWLXWFXWNXWGKAXWFXWLAXVSXVMBXYCAVUIXVHWVMXVQXCVWDAVUIXVHWVMXVQXVFXVRWJZ
      YTRAXWGXWNAWVHWVIBXYDAVUGBWVLVWDXCVWDAVUGBWVLVWDVYTVWIWJYTRXBAXWQXWIVUNLA
      XWQBBVUOLHZGHXWIABBVUOVWDVWDWUQVWIUUUGXPAUUUKVUPBGABVUOVWDWUQXGQSQYNAXWDX
      WHAXVTWVJBAXVTAXVSXVMYVAAVUIXVHWUBAUYNBVXMCVRVRUUUJVPZUFAWVJAVUKWVJUOWVNW
      UCYIZUFVWDYQRAXWEXWJAVUNVUPBATVUMYYEAUYMUCVWJWUMVTZXCAVUOBWUQVWDXCVWDAVUO
      BWUQVWDUUUGVWIWJYTRYNAXWAVUQBAXVTWVJUUULUUUMVQWUSVXIYRWNYJYJYJYJYJYJYJYJY
      JYJYJYJYJYJYJYJWGYJAVUFVVJVUKVVNKAVUEVVIELAUYSVVBVUDVVHLAUYRVVAFGAUYQVUTU
      YNLAUYPVUSFKAUYOVURIJAVURUYOAYYGWUGYYHYYIVXIYYJXNRZPPPQAVUDVVGVVHAVUDIUYO
      TJHZLHZVVFLHZVVGAVUDIUYTVUOGHZLHZVVFLHZUUURAVUDVUAVUOGHZVVFLHZUUVAAVUDVUA
      FLHZVUOVVELHZGHZUUVCAVUAUUVDVUCUUVEGAUUVDVUAAVUAAIUYTXUHAUYGOZWYHXCXFRAVU
      CVUOXVHLHZUUVEAVUCVUOUYNLHZBLHZUUVHAVUCVUCUUVJAVUCYSAVUBUUVIBLAVUBVUOXYRL
      HZUUVIAVUBUYNXUFJHUUVKAIXUFUYNJIXUFXIAUYHOQAUYNTFVWNWUAVYKYPSAXYRUYNVUOLU
      UUAQSPSAVUOUYNBWUQVWNVWDXDSAXVHVVEVUOLAUYNBVWNVWDXGQSXBAUUVCUUVFAVUAVUOFV
      VEWXDWUQVYBABUYNVWDVWNXCZWURABUYNVWDVWNVWIVWTWJXARSAUUVBUUUTVVFLAIUYTVUOW
      YGWYHWUQWURXEPSAUUUTUUUQVVFLAUUUSUUUPILAUUUPUUUSAUYMUYNTVWJVWNVWTVYKVHRQP
      SAUUUQVVDVVFLAUUUPVVCILAUYOVURTJUUUOPQPSAVVHVVGAVVGAVVDVVFAIVVCUUVGAVURTY
      XCVYKVTXCAVVEUUVLABUYNVWDVWNABVXIYGZVWTWJUYIXCUYJRSXBQAVUJVVMVUHLAVUIVVLB
      GAFVVKUYMJFVVKXIAUYKOQPQXBAVVOVUQATVUOVUMBXUIAUYLOWUQUUUNVWDWURUUVMXARYN
      $.
  $}

  ${
    $d C x $.  $d D x $.  $d E x $.  $d N k $.  $d N x $.  $d k ph $.
    $d ph x $.
    aks4d1p1p5.1 $e |- ( ph -> N e. NN ) $.
    aks4d1p1p5.2 $e |- A = ( ( N ^ ( |_ ` ( 2 logb B ) ) ) x. prod_ k e.
     ( 1 ... ( |_ ` ( ( 2 logb N ) ^ 2 ) ) ) ( ( N ^ k ) - 1 ) ) $.
    aks4d1p1p5.3 $e |- B = ( |^ ` ( ( 2 logb N ) ^ 5 ) ) $.
    aks4d1p1p5.4 $e |- ( ph -> 4 <_ N ) $.
    aks4d1p1p5.5 $e |- C = ( 2 logb ( ( ( 2 logb N ) ^ 5 ) + 1 ) ) $.
    aks4d1p1p5.6 $e |- D = ( ( 2 logb N ) ^ 2 ) $.
    aks4d1p1p5.7 $e |- E = ( ( 2 logb N ) ^ 4 ) $.
    $( Show inequality for existence of a non-divisor.  (Contributed by
       metakunt, 19-Aug-2024.) $)
    aks4d1p1p5 $p |- ( ph -> A < ( 2 ^ B ) ) $=
      ( c4 a1i c1 co c2 vx c3 cr wcel 3re 4re nnred caddc cle lep1d letrd clogb
      c5 cexp cmul clog cfv cdiv cc0 cmin cmpt ccncf wf wa 2re clt wbr 2pos w3a
      wb syl2anc 0red adantr 4pos simp2d ltletrd wne 1red 1lt2 necomd relogbcld
      ltned cn0 5nn0 reexpcld readdcld ltp1d cz nn0zd cc ax-resscn sselid gtned
      syl3anc crp 2z elrpd mpbid expgt0 ltadd1dd lttrd remulcld jca syl resqcld
      wceq fmpttd wss cioo cres cxr rexrd elioo5 mpbird resmptd cdv cdm elioore
      adantl 3pos eliooord 2rp addcld 3jca wfn wral redivcld 4nn0 1nn0 eqeltrrd
      recnd leidd eqid cn oveq2d oveq1d eqtrd eqcomd c6 breqtrd breqtrdi elicc2
      3p1e4 cv cicc biimpd imp simp1d logb1 cuz uzidd 1rp logblt eqbrtrrd simpr
      1lt4 3lt4 lelttrd iccssioo2 2cnd simpl 2lt3 jca32 logbgt0b mulcld ioossre
      sqcld relogcld 1cnd logcld loggt0b ax-mp sylibr mulne0d 5re expne0d 2m1e1
      eqeltri ralrimiva nfcv fnmptf aks4d1p1p6 fneq1d fndmd dvcn wi rescncf mpd
      cncffvrn 4z 4m1e3 3nn0 4nn dvrelogpow2b mpteq2dva simpld ltled aks4d1p1p7
      oveq2 oveq12d cdc oveq2i relogbexp eqeltrd breqtrrd 6nn0 expge1d leadd2dd
      sq2 df-6 2cn expaddd exp1d times2d logblebd relogbexpd eqbrtrd 6t2e12 6cn
      2nn decnncl ldiv mpbii lemuldiv2d 2nn0 4cn 4p2e6 addcomli decaddi addlsub
      eqtrdi 6nn eqtr4d leaddsub 2exp4 dvle2 aks4d1p1p4 ) ABCDEFGHIJKAUBPHUBUCU
      DZAUEQZPUCUDZAUFQZAHIUGZAUBUBRUHSPUIAUBUYSUJUUCUUAZLUKZMNOAUAPHTTTPULSZUM
      UNSZRUHSZULSZUOSZVUETUNSZUHSZVUEPUNSZTDUOSZEUHSGTTTUAUUDZULSZUMUNSZRUHSZU
      LSZUOSZVUOTUNSZUHSZTRVUQTUPUQZUOSZURSZUMVUOPUNSZUOSZRVUNVVBUOSZURSZUOSZUS
      UHSZUOSZUOSZTVVBTUNSZURSZVUNUPUQZTRUTSZUNSZVUNURSZUOSZUHSZVVEPVVBPUNSZURS
      ZVVOUBUNSZVUNURSZUOSZVUAVUBAUAPHUUESZVVAVAZVWFUCVBSZUDZVWFUCVWGVCZAUAVWFV
      VAUCAVUNVWFUDZVDZVUSVUTVWLTVURTUCUDZVWLVEQZVWLTVUQVWNUSTVFVGZVWLVHQZVWLVU
      PRVWLVUOUMVWLTVUNVWNVWPVWLVUNUCUDZPVUNUIVGZVUNHUIVGZAVWKVWQVWRVWSVIZAVWKV
      WTAUYTHUCUDZVWKVWTVJZVUAVUBPHVUNUUBZVKUUFUUGZUUHZVWLUSPVUNAUSUCUDVWKAVLZV
      MZUYTVWLUFQZVXEUSPVFVGZVWLVNQZVWLVWQVWRVWSVXDVOZVPZATRVQZVWKARTARTAVRZRTV
      FVGZAVSQZWBVTZVMZWAZUMWCUDZVWLWDQZWEZVWLVRZWFZVWLUSUSRUHSZVUQVXGVWLUSRVXG
      VYCWFVYDVWLUSVXGWGVWLUSVUPRVXGVYBVYCVWLVUOUCUDZUMWHUDZUSVUOVFVGZUSVUPVFVG
      ZVXSVWLUMVYAWIVWLTRULSZUSVUOVFVWLTWJUDZTUSVQVXMVYJUSXFVWLUCWJTWKVWNWLVWLU
      STVXGVWPWMVXRTUUIWNVWLRVUNVFVGZVYJVUOVFVGZVWLRPVUNVYCVXHVXERPVFVGVWLUUPQV
      XKVPVWLTTUUJUQUDRWOUDZVUNWOUDZVYLVYMVJVWLTTWHUDZVWLWPQUUKVYNVWLUULQVWLVUN
      VXEVXLWQTRVUNUUMWNWRUUNVUOUMWSZWNWTXAVXRWAXBVWLVUOVWLTVUNVWNVWPVXEVWLUSPV
      UNVWLVLVXHVXEVXJVWLVWQVWRVWSVWLVWKVWTAVWKUUOVWLUYTVXAVDZVXBAVYRVWKAUYTVXA
      VUAVUBXCVMVXCXDWRVOVPVXRWAXEWFXGAUCWJXHZVWGVWFWJVBSZUDVWIVWJVJVYSAWKQZAUA
      UBHRUHSZXISZVVAVAZVWFXJZVWGVYTAUAWUCVWFVVAAPWUCUDZHWUCUDZVWFWUCXHZAWUFUBP
      VFVGZPWUBVFVGZVDZAWUIWUJWUIAUUQQZAPHWUBVUAVUBAHRVUBVXNWFZLAHVUBWGZUURXCAU
      BXKUDZWUBXKUDZPXKUDWUFWUKVJAUBUYSXLZAWUBWUMXLZAPVUAXLUBWUBPXMWNXNAWUGUBHV
      FVGZHWUBVFVGZVDZAWUSWUTAUBPHUYSVUAVUBWULLVPWUNXCAWUOWUPHXKUDWUGWVAVJWUQWU
      RAHVUBXLUBWUBHXMWNXNUBWUBPHUUSVKZXOAWUDWUCWJVBSZUDZWUEVYTUDZAVYSWUCWJWUDV
      CZWUCUCXHZVIUCWUDXPSZXQWUCXFWVDAVYSWVFWVGWUAAUAWUCVVAWJAVUNWUCUDZVDZVUSVU
      TWVJTVURWVJUUTZWVJVURWVJTVUQVWMWVJVEQZVWOWVJVHQZWVJVUPRWVJVUOUMWVJTVUNWVL
      WVMWVIVWQAVUNUBWUBXRXSZWVJUSUBVUNWVJVLZUYRWVJUEQZWVNUSUBVFVGZWVJXTQWVIUBV
      UNVFVGZAWVIWVRVUNWUBVFVGZVDWVRVUNUBWUBYAWVRWVSUVAXDXSZXAZAVXMWVIVXQVMWAZV
      XTWVJWDQZWEZWVJVRZWFZWVJUSVYEVUQWVOWVJUSRWVOWWEWFWWFWVJUSWVOWGWVJUSVUPRWV
      OWWDWWEWVJVYFVYGVYHVYIWWBWVJUMWWCWIWVJVYHVYLWVJRUBVUNWWEWVPWVNWVJRTUBWWEW
      VLWVPVXOWVJVSQZTUBVFVGWVJUVBQXAWVTXAWVJVYOTWOUDZVXOVDVDVYHVYLVJWVJVYOWWHV
      XOWVJVUNWVNWWAWQZWWHWVJYBQZWWGUVCVUNTUVDXDXNVYQWNWTXAZWVJRTWVJRTWWEWWGWBV
      TWAYKUVEWVJVUOWVJUCWJVUOWKWWBWLUVGYCXGWVGAUBWUBUVFQZYDAWUCWVHAWVHWUCYEUAW
      UCVVTVAZWUCYEZAVVTUCUDZUAWUCYFWWNAWWOUAWUCWVJVVLVVSWVJTVVKWVLWVJVVDVVJWVJ
      RVVCWWEWVJVUQVVBWWFWVJTWWJUVHZXBWVJVUQVVBWVJVUPRWVJUCWJVUPWKWWDWLWVJUVIYC
      WVJTWVKWVJUSTWVOWVMWMUVJZWVJUSVUQWVOWWKWMAVVBUSVQWVIAUSVVBAUSVVBVXFAVXOUS
      VVBVFVGZVXPWWHWWRVXOVJYBTUVKUVLUVMWBVTVMZUVNYGWVJVVIUSWVJVVFVVHWVJUMVVEUM
      UCUDWVJUVOQWVJVUOPWWBPWCUDZWVJYHQZWEZXBWVJRVVGWWEWVJVUNVVBWVNWWPXBWVJVUNV
      VBWVJUCWJVUNWKWVNWLWWQWVJUSVUNWVOWWAWMZWWSUVNYGXBWVOWFXBXBWVJVVNVVRWVJTVV
      MWVLWVJVVBWWPXEWVJVVBTWWQWWSVYPWVJWPQUVPYGWVJVVQVUNWVJVVOVVPWVJVUNWWIUVHZ
      VVPWCUDWVJVVPRWCUVQYIUVRQWEWVNWXCYGXBWFUVSUAWUCVVTUCUAWUCUVTZUWAXDAWUCWVH
      WWMAUAUBWUBUYSWUMAUBUYSYLAUBHWUBUYSVUBWUMVUDAHVUBUJUKZUWBUWCXNUWDWUCUCWUD
      UWEVKAWUHWVDWVEUWFWVBWUCWJVWFWUDUWGXDUWHYJVWFWJUCVWGUWIVKXNAUAVWFVVEVAZVW
      HUDZVWFUCWXGVCZAUAVWFVVEUCVWLVUOPVXSWWTVWLYHQWEXGAVYSWXGVYTUDWXHWXIVJWUAA
      UAWUCVVEVAZVWFXJZWXGVYTAUAWUCVWFVVEWVBXOAWXJWVCUDZWXKVYTUDZAVYSWUCWJWXJVC
      ZWVGVIUCWXJXPSZXQWUCXFWXLAVYSWXNWVGWUAAUAWUCVVEWJWVJUCWJVVEWKWXBWLXGWWLYD
      AWUCWXOAWXOWUCYEUAWUCVWBVVOPRUTSZUNSZVUNURSZUOSZVAZWUCYEZAWXSUCUDZUAWUCYF
      WYAAWYBUAWUCWVJVWBWXRWVJPVWAUYTWVJUFQWVJVVBPWWPWXAWEWVJVVBPWWQWWSPWHUDWVJ
      UWJQUVPYGWVJWXQVUNWVJVVOWXPWXDWXPWCUDWVJWXPUBWCUWKUWLUVRQWEWVNWXCYGXBUVSU
      AWUCWXSUCWXEUWAXDAWUCWXOWXTAUAUBWUBVWBWXJWXTPUYSWUMWVQAXTQWXFWXJYMWXTYMVW
      BYMZPYNUDAUWMQZUWNUWCXNUWDWUCUCWXJUWEVKAWUHWXLWXMUWFWVBWUCWJVWFWXJUWGXDUW
      HYJVWFWJUCWXGUWIVKXNAUAPHVUAVUBVUCLUWBAUCUAPHXISZVVEVAZXPSUAWYEWXSVAZUAWY
      EVWEVAAUAPHVWBWYFWYGPVUAVUBVXIAVNQLWYFYMWYGYMWYCWYDUWNAUAWYEWXSVWEAVUNWYE
      UDZVDZWXRVWDVWBUOWYIWXQVWCVUNURWYIWXPUBVVOUNWXPUBXFWYIUWKQYOYPYOUWOYQWYIV
      UNWYHVWQAVUNPHXRXSZWYIPVUNUYTWYIUFQWYJWYHPVUNVFVGZAWYHWYKVUNHVFVGVUNPHYAU
      WPXSUWQUWRVUNPXFZVUSVUIVUTVUJUHWYLVURVUHTUOWYLVUQVUGTULWYLVUPVUFRUHWYLVUO
      VUEUMUNVUNPTULUWSZYPYPYOYOWYLVUOVUETUNWYMYPUWTWYLVUOVUEPUNWYMYPVUNHXFZVUS
      VUMVUTEUHWYNVUSTTTHULSZUMUNSZRUHSZULSZUOSZVUMWYNVURWYRTUOWYNVUQWYQTULWYNV
      UPWYPRUHWYNVUOWYOUMUNVUNHTULUWSZYPYPYOYOWYNVUMWYSWYNDWYRTUODWYRXFWYNMQYOY
      RYQWYNVUTWYOTUNSZEWYNVUOWYOTUNWYTYPWYNEXUAEXUAXFWYNNQYRYQUWTWYNVVEWYOPUNS
      ZGWYNVUOWYOPUNWYTYPWYNGXUBGXUBXFWYNOQYRYQAVUKRYSUXAZVULUIAVUKXUCUIVGZVUIX
      UCVUJUTSZUIVGZAVUIRTUXAZXUEUIAVUIXUGUIVGVUHXUGTURSZUIVGAVUHYSXUHUIAVUHTTU
      MUNSZRUHSZULSZYSUIAVUGXUJTULAVUFXUIRUHAVUETUMUNAVUETTTUNSZULSZTAXUMVUEXUM
      VUEXFAXULPTULUXIUXBQYRAWWHVXMVYPXUMTXFWWHAYBQZVXQVYPAWPQZTTUXCWNYQZYPZYPY
      OAXUKTTYSUNSZULSYSUIATXUJXURXUOATVWMAVEQZYLAXUIRAVUFXUIUCXUQAVUEUMAVUETUC
      XUPXUSUXDZVXTAWDQZWEZYJZVXNWFZAUSXUIXUJVXFXVCXVDAUSVUFXUIVFAVUEUCUDZVYGUS
      VUEVFVGZVIUSVUFVFVGAXVEVYGXVFXUTAUMXVAWIAUSTVUEVFVWOAVHQZXUPUXEYDVUEUMWSX
      DZXUQYTAXUIXVCWGXAATYSXUSYSWCUDAUXFQZWEZAVWMYSWHUDVWOUSXURVFVGXUSAYSXVIWI
      ZXVGTYSWSWNAXUJXUIXUIUHSZXURXVDAXUIXUIXVCXVCWFZXVJARXUIXUIVXNXVCXVCATUMXU
      SXVAARTVXNXUSVXPUWQUXGUXHAXVLXVLXURUIAXVLXVMYLAXURXVLAXURXUITUOSZXVLAXURX
      UITRUNSZUOSZXVNAXURTUMRUHSZUNSXVPAYSXVQTUNYSXVQXFAUXJQYOATUMRVYKAUXKQZRWC
      UDAYIQXVAUXLYQAXVOTXUIUOATXVRUXMYOYQAXUIAUCWJXUIWKXVCWLUXNYQYRYTUKUXOATYS
      XUNVXQXVKUXPYTUXQAYSTUOSXUGXFYSXUHXFUXRAYSTXUGYSWJUDAUXSQXVRAXUGAXUGXUGYN
      UDARTYIUXTUYAQUGZYKZAUSTVXFXVGWMUYBUYCYTAVUHXUGTATVUGXUSXVGAVUFRXVBVXNWFZ
      AUSVYEVUGVXFAUSRVXFVXNWFXWAAUSVXFWGAUSVUFRVXFXVBVXNXVHWTXAVXQWAZXVSXUNUYD
      XNAXUEXUGAXUEXUCPUTSZXUGAVUJPXUCUTAVUJXULPAVUETTUNXUPYPUXIUYKYOAXUGPUHSXU
      CXFXUGXWCXFRTYSXUGPYIUYEYHXUGYMPTYSUYFUXKUYGUYHUYIAXUGPXUCXVTPWJUDAUYFQAU
      CWJXUCWKAXUCXUCYNUDARYSYIUYLUYAQUGZWLUYJUYCUYMYRYTAVUIUCUDVUJUCUDXUCUCUDX
      UDXUFVJATVUHXUSXWBXBAVUEXUTXEXWDVUIVUJXUCUYNWNXNAVULXUCAVULTPUNSXUCAVUETP
      UNXUPYPUYOUYKYRYTLUYPUYQ $.
  $}

  ${
    $d N k $.  $d k ph $.
    aks4d1p1.1 $e |- ( ph -> N e. ( ZZ>= ` 3 ) ) $.
    aks4d1p1.2 $e |- A = ( ( N ^ ( |_ ` ( 2 logb B ) ) ) x. prod_ k e.
     ( 1 ... ( |_ ` ( ( 2 logb N ) ^ 2 ) ) ) ( ( N ^ k ) - 1 ) ) $.
    aks4d1p1.3 $e |- B = ( |^ ` ( ( 2 logb N ) ^ 5 ) ) $.
    $( Show inequality for existence of a non-divisor.  (Contributed by
       metakunt, 21-Aug-2024.) $)
    aks4d1p1 $p |- ( ph -> A < ( 2 ^ B ) ) $=
      ( c3 clt wbr c2 cexp co wceq c1 wcel a1i cmul 1nn0 wa clogb caddc cuz cfv
      c5 c4 cn 3nn adantr eluznn syl2anc cle 3p1e4 simpr cz 3z eluzelz zltp1led
      syl mpbid eqbrtrrid eqid aks4d1p1p5 ex cfl cfz cv cmin cprod cceil eqcomd
      oveq1d oveq2d c8 crp relogbexpd eqtrd leidd cr cc0 relogbcld cn0 reexpcld
      zred 5nn0 c9 breqtrd ltled letrd ltletrd eqbrtrd cdc decnncl decsuc recnd
      c6 1cnd mpbird syl3anc jca flbi resqcld prodeq1d 3cn adantl expcld subcld
      wb cc oveq2 oveq12d 3nn0 resubcld remulcld wo c7 mulcomli 6nn0 deccl 2nn0
      2cn 7nn0 0nn0 dec0h nn0cni ax-1cn oveq12i eqtri 0p1e1 2p1e3 6t2e12 decmac
      4nn0 decmul1c decltc exp1d eqtr2d 3brtr3d fveq2d w3a simp2 prodeq2dv 1red
      3expa 2rp 1lt2 ltned necomd cu2 2z 8re 8pos rpgt0d 3re nngt0i ceilcl 0red
      9re lep1d 8p1e9 2pos 3pos 3lexlogpow5ineq4 ceilge logblebd readdcld nnred
      2re 6nn ceilm1lt ltsubaddd 3lexlogpow5ineq5 5p1e6 nncnd subadd2d leaddsub
      5nn 2exp4 eqtr4i uzidd elrpd rpexpcld logblt eqcomi 9pos 3lexlogpow2ineq2
      simpld simprd df-3 1zzd 1le2 eluz elfznn nnnn0d fprodm1 2m1e1 fprod1 9nn0
      4z elnnz sylanbrc orcd elnn0 8cn 8t2e16 mul02i addcomli 4cn addid2i 2t1e2
      6cn decma2c mulid1i oveq1i 7p4e11 7t6e42 decmul2c 2lt10 3lt10 3exp3 3m1e2
      7cn 4lt5 sq3 9m1e8 df-9 eqeltrd expaddd 2exp8 2t2e4 4p1e5 5t2e10 subadd2i
      8nn0 1p1e2 mpbir ltm1d nn0zd leexp2d lttrd oveq2i eluzle leloed mpjaod )
      AIEJKZBLCMNZJKZIEOZAVUFVUHAVUFUAZBCLLEUBNZUFMNZPUCNUBNZVUKLMNZDVUKUGMNZEV
      UJIUHQZEIUDUEQZEUHQVUPVUJUIRAVUQVUFFUJEIUKULGHVUJUGIPUCNZEUMUNVUJVUFVUREU
      MKAVUFUOVUJIEIUPQZVUJUQRAEUPQZVUFAVUQVUTFIEURUTZUJUSVAVBVUMVCVUNVCVUOVCVD
      VEAVUIVUHAVUIUAZELCUBNZVFUEZMNZPVUNVFUEZVGNZEDVHZMNZPVINZDVJZSNZLVULVKUEZ
      MNZBVUGJVVBILLIUBNZUFMNZVKUEZUBNZVFUEZMNZPVVOLMNZVFUEZVGNZVVJDVJZSNZLVVQM
      NZVVLVVNJVVBVWEVVTVWCIVVHMNZPVINZDVJZSNZVWFJVVBVWDVWIVVTSVVBVWCVVJVWHDAVU
      IVVHVWCQZVVJVWHOAVUIVWKUUAZVVIVWGPVIVWLEIVVHMVWLIEAVUIVWKUUBVLVMVMUUEUUCV
      NAVWJVWFJKVUIAVWJIIMNZIPMNZPVINZILMNZPVINZSNZSNZVWFJAVVTVWMVWIVWRSAVVSIIM
      AVVSIOZIVVRUMKZVVRVURJKZUAZAVXAVXBAILVOUBNZVVRUMAILLIMNZUBNZVXDAVXFIALILV
      PQAUUFRZAPLAPLAUUDZPLJKAUUGRZUUHUUIZVUSAUQRZVQVLAVXEVOLUBVXEVOOAUUJRVNVRA
      LVOVVQLUPQZAUUKRZALALVXMWEZVSVOVTQAUULRZWAVOJKAUUMRZAVVQAVVPVTQZVVQUPQZAV
      VOUFALIVXNALVXGUUNIVTQAUUORZWAIJKZAIUIUUPRZVXJWBUFWCQAWFRZWDVVPUUQZUTWEZA
      WAVOVVQAUURZVXOVYDVXPAVOWGVVQVXOWGVTQAUUSRZVYDAVOVOPUCNZWGUMAVOVXOUUTVYGW
      GOAUVARWHAWGVVPVVQVYFAVVOUFALILVTQAUVIRZWALJKAUVBRZVXSVXTAUVCRVXJWBZVYBWD
      ZAVVQAVXQVXRVYKVYCUTWEZAWGVVPVYFVYKAIVXSAIVXSVSUVDWIAVXQVVPVVQUMKVYKVVPUV
      EUTWJZWJZWKZVYNUVFWLAVVRLLUGMNZUBNZVURJAVVQVYPJKZVVRVYQJKZAVVQPWQWMZVYPJA
      VVQVVPPUCNZVYTVYLAVVPPVYKVXHUVGAVYTVYTUHQAPWQTUVJWNRUVHZAVVQPVINVVPJKZVVQ
      WUAJKAVXQWUCVYKVVPUVKUTAVVQPVVPVYLVXHVYKUVLVAAWUAVYTUMKZVVPVYTPVINZUMKZAV
      VPPUFWMZWUEUMVVPWUGUMKAUVMRAWUEWUGAWUEWUGOWUGPUCNVYTOZWUHAPUFWQWUGTWFUVNW
      UGVCWORAVYTPWUGAVYTWUBWPAWRZAWUGWUGUHQAPUFTUVRWNRUVOUVPWSVLWHAVXQPVTQVYTV
      TQWUDWUFXIVYKVXHWUBVVPPVYTUVQWTWSWKVYTVYPOAVYTVYTVYPVYTVCZUVSUVTRWHALLUDU
      EQVVQVPQVYPVPQVYRVYSXIALVXMUWAAVVQVYDVYOUWBALUGVXGUGUPQAUWTRZUWCLVVQVYPUW
      DWTVAAVYQUGVURALUGVXGVXJWUKVQUGVUROAVURUGUNUWERVRWHXAAVVRVTQVUSVWTVXCXIAL
      VVQVYHVYIAVVQAVXQVXRAVVOUFALIVYHVYIVXSVYAVXJWBZVYBWDVYCUTZWEZAWAWGVVQVYEV
      YFWUNWAWGJKAUWFRVYMWKZVXJWBVXKVVRIXBULWSVNAVWIPLVGNZVWHDVJZVWRAVWCWUPVWHD
      AVWBLPVGAVWBLOZLVWAUMKZVWALPUCNZJKZUAZAWUSWVAALVWAVYHAVVOVYJXCALVWAJKZVWA
      IJKZWVCWVDUAAUWGRZUWHWIAVWAIWUTJAWVCWVDWVEUWIIWUTOAUWJRWHXAAVWAVTQVXLWURW
      VBXIAVVOWULXCVXMVWALXBULWSVNXDAWUQPLPVINZVGNZVWHDVJZVWQSNVWRAVWHVWQDPLAPU
      PQZVXLUAZLPUDUEQZAWVIVXLAUWKZVXMXAWVJWVKPLUMKZWVMWVJUWLRPLUWMWSUTAVVHWUPQ
      ZUAZVWGPWVOIVVHIXJQWVOXERWVOVVHWVNVVHUHQAVVHLUWNXFUWOXGWVOWRXHVVHLOVWGVWP
      PVIVVHLIMXKVMUWPAWVHVWOVWQSAWVHPPVGNZVWHDVJZVWOAWVGWVPVWHDAWVFPPVGWVFPOAU
      WQRVNXDAWVIVWOXJQZUAWVQVWOOAWVIWVRWVLAVWNPAIPAIVXSWPZPWCQATRZXGWUIXHZXAVW
      HVWODPVVHPOVWGVWNPVIVVHPIMXKVMUWRUTVRVMVRVRXLAVWSLWGMNZPVINZVWFAVWMVWRAII
      VXSIWCQAXMRWDAVWOVWQAVWNPAIPVXSWVTWDVXHXNAVWPPAIVXSXCVXHXNXOXOAWWBPALWGVY
      HWGWCQAUWSRZWDZVXHXNZALVVQVYHAVVQWCQZVVQUHQZVVQWAOZXPZAWWHWWIAVXRWAVVQJKW
      WHWUMWUOVVQUXAUXBUXCWWGWWJXIAVVQUXDRWSWDZALXQWMZLVOSNZSNZUFPWMZPWMZVWSWWC
      JAWWNUGIWMZLWMZWWPJAWWNWWLVYTSNZWWRAWWMVYTWWLSWWMVYTOAVOLVYTUXEYBUXFXRRVN
      WWSWWROALXQWWQLVYTPPWMZWWLPWQTXSXTZYAYCWWLVCYAPPTTXTWALPPVYTUGIILWWTYDYAT
      TLYAYEWWTVCWXAXMXMWAVYTSNZPIUCNZUCNWAUGUCNUGWXBWAWXCUGUCVYTVYTWXAYFUXGIPU
      GXEYGUNUXHYHUGUXIUXJYIPWQWAPLIIPVYTPTXSYDTWUJPTYEZYAXMTLPSNZWAPUCNZUCNWUT
      IWXELWXFPUCUXKYJYHYKYIPLILWQSNTYAYKWQLPLWMUXLYBYLXRWOUXMYMPWQWWTLXQUGVYTY
      CTXSWUJYAYNXQPSNZUGUCNXQUGUCNWWTWXGXQUGUCXQUYCUXNUXOUXPYIUXQUXRYORVRWWRWW
      PJKAWWQWWOLPUGIYNXMXTUFPWFTXTZYATUXSUGUFIPYNWFXMTUXTUYDYPYPRWLAWWLVWMWWMV
      WRSAVWMWWLVWMWWLOAUYARVLALVWOVOVWQSAVWOIPVINZLAVWNIPVIAIWVSYQVMWXILOAUYBR
      YRZAVWQWGPVINZVOAVWPWGPVIVWPWGOAUYERVMWXKVOOAUYFRYRXLXLAWWCWWOLWMZPVINZWW
      PAWWBWXLPVIAWWBLVOMNZLPMNZSNZWXLAWWBLVYGMNWXPAWGVYGLMWGVYGOAUYGRVNALVOPAL
      VWOXJWXJWWAUYHZWVTVOWCQAUYORUYIVRAWXPLUFWMZWQWMZLSNZWXLAWXPWXSWXOSNWXTAWX
      NWXSWXOSWXNWXSOAUYJRVMAWXOLWXSSALWXQYQVNVRWXTWXLOAWXRWQWWOLLPWXSYALUFYAWF
      XTXSWXSVCYATLUFWAPLUFPPWXRPYAWFYDTWXRVCWXDYATTLLSNZWXFUCNUGPUCNUFWYAUGWXF
      PUCUYKYJYHUYLYIPWAPUFLSNTYDYJUYMWOYMYLYORVRVRVMWXMWWPOZAWYBWWPPUCNWXLOWWO
      PLWWPWXHTUYPWWPVCWOWXLPWWPWXLWWOLWXHYAXTYFYGWWPWWOPWXHTXTYFUYNUYQRYRYSAWW
      CWWBVWFWWFWWEWWKAWWBWWEUYRAWGVVQUMKWWBVWFUMKVYMALWGVVQVYHAWGWWDUYSWUMVXIU
      YTVAWKVUAWLUJWLVVBVVTVVEVWDVVKSVVBIEVVSVVDMAVUIUOZVVBVVRVVCVFVVBVVQCLUBVV
      BVVQVVMCVVBVVPVULVKVVBVVOVUKUFMVUIVVOVUKOAIELUBXKXFVMYTZVVBCVVMCVVMOVVBHR
      VLVRVNYTXLVVBVWCVVGVVJDVVBVWBVVFPVGVVBVWAVUNVFVVBVVOVUKLMVVBIELUBWYCVNVMY
      TVNXDXLVVBVVQVVMLMWYDVNYSVVBBVVLBVVLOVVBGRVLVVBVUGVVNVUGVVNOVVBCVVMLMHVUB
      RVLYSVEAIEUMKZVUFVUIXPAVUQWYEFIEVUCUTAIEVXSAEVVAWEVUDVAVUE $.
  $}

  ${
    aks4d1p2.1 $e |- ( ph -> N e. ( ZZ>= ` 3 ) ) $.
    aks4d1p2.2 $e |- A = ( ( N ^ ( |_ ` ( 2 logb B ) ) ) x. prod_ k e.
     ( 1 ... ( |_ ` ( ( 2 logb N ) ^ 2 ) ) ) ( ( N ^ k ) - 1 ) ) $.
    aks4d1p2.3 $e |- B = ( |^ ` ( ( 2 logb N ) ^ 5 ) ) $.
    $( Technical lemma for existence of non-divisor.  (Contributed by metakunt,
       27-Oct-2024.) $)
    aks4d1p2 $p |- ( ph -> ( 2 ^ B ) <_ ( _lcm ` ( 1 ... B ) ) ) $=
      ( cz wcel cc0 clt wbr c2 c5 a1i cr c3 syl c7 wa cn clogb co cexp cfv wceq
      cceil 2re 2pos cuz eluzelz zred 0red 3re 3pos eluzle ltletrd c1 1red 1lt2
      cle ltned necomd relogbcld cn0 5nn0 reexpcld eqeltrd 7re 3lexlogpow5ineq3
      ceilcl 7pos lttrd ceilge breqtrrd jca elnnz sylibr ltled letrd lcmineqlem
      ) ACACIJZKCLMZUACUBJAWCWDACNEUCUDZOUEUDZUHUFZICWGUGAHPZAWFQJZWGIJAWEOANEN
      QJAUIPKNLMAUJPAEAERUKUFJZEIJFREULSUMZAKREAUNZRQJAUOPWKKRLMAUPPAWJREVBMFRE
      UQSZURAUSNAUSNAUTUSNLMAVAPVCVDVEOVFJAVGPVHZWFVLSZVIAKWGCLAKWFWGWLWNAWGWOU
      MZAKTWFWLTQJAVJPZWNKTLMAVMPAEWKWMVKZVNAWIWFWGVBMWNWFVOSZURWHVPVQCVRVSATWG
      CVBATWFWGWQWNWPATWFWQWNWRVTWSWAWHVPWB $.
  $}

  ${
    $d A r $.  $d B q $.  $d B r $.  $d N k $.  $d k ph $.  $d ph q $.
    aks4d1p3.1 $e |- ( ph -> N e. ( ZZ>= ` 3 ) ) $.
    aks4d1p3.2 $e |- A = ( ( N ^ ( |_ ` ( 2 logb B ) ) ) x. prod_ k e.
     ( 1 ... ( |_ ` ( ( 2 logb N ) ^ 2 ) ) ) ( ( N ^ k ) - 1 ) ) $.
    aks4d1p3.3 $e |- B = ( |^ ` ( ( 2 logb N ) ^ 5 ) ) $.
    $( There exists a small enough number such that it does not divide ` A ` .
       (Contributed by metakunt, 27-Oct-2024.) $)
    aks4d1p3 $p |- ( ph -> E. r e. ( 1 ... B ) -. r || A ) $=
      ( wbr c1 co c2 clt adantr cr wcel a1i cz cc0 vq cv cdvds cfz wral wn wrex
      wa cexp aks4d1p1 cle clcmf cfv 2re cn0 clogb c5 cceil wceq c3 cuz eluzelz
      2pos syl zred 0red 3re 3pos eluzle ltletrd 1red 1lt2 ltned relogbcld 5nn0
      necomd reexpcld ceilcl eqeltrd 7re 3lexlogpow5ineq3 lttrd ceilge breqtrrd
      c7 7pos ltled jca elnn0z sylibr wss cfn cn elfznn adantl nnzd ssrdv fzfid
      ex lcmfcl syl2anc nn0red cfl cmin cprod cmul elnnz sylanbrc flcld 0le1 cc
      wne recnd gtned logbid1 syl3anc eqcomd breqtrd 2z leidd letrd logblebd wb
      2lt7 0zd flge mpbid nnexpcld nnnn0d zexpcl 1zzd zsubcld 1cnd addid1d 1nn0
      caddc 1lt3 exp1d nnge1d elfzuz leexp2ad eqbrtrd ltaddsub2d nnmulcld nnred
      fprodnncl aks4d1p2 lcmfdvdsb biimpd syldbl2 wi dvdsle mpd lenltd pm2.21dd
      nn0zd simpr pm2.61dan rexnal ) AFUBBUCJZFKCUDLZUEZUFZUUTUFFUVAUGAUVBUVCAU
      VBUHZBMCUILZNJZUVCAUVFUVBABCDEGHIUJOUVDUVEBUKJUVFUFUVDUVEUVAULUMZBAUVEPQU
      VBAMCMPQAUNRZACSQZTCUKJZUHCUOQAUVIUVJACMEUPLZUQUILZURUMZSCUVMUSAIRZAUVLPQ
      ZUVMSQAUVKUQAMEUVHTMNJAVCRZAEAEUTVAUMQZESQZGUTEVBVDZVEZATUTEAVFZUTPQAVGRZ
      UVTTUTNJAVHRAUVQUTEUKJGUTEVIVDZVJZAKMAKMAVKZKMNJAVLRVMVPZVNUQUOQAVORVQZUV
      LVRVDZVSATCUWAACUVMPUVNAUVMUWHVEZVSZATUVMCNATUVLUVMUWAUWGUWIATWEUVLUWAWEP
      QAVTRZUWGTWENJAWFRAEUVTUWCWAZWBAUVOUVLUVMUKJUWGUVLWCVDZVJUVNWDZWGWHCWIWJV
      QOZAUVGPQUVBAUVGAUVASWKZUVAWLQZUVGUOQAUAUVASAUAUBZUVAQZUWRSQAUWSUHUWRUWSU
      WRWMQAUWRCWNWOWPWSWQZAKCWRUVAWTXAZXBOABPQUVBABABEMCUPLZXCUMZUILZKUVKMUILX
      CUMZUDLZEDUBZUILZKXDLZDXEZXFLZWMBUXKUSAHRAUXDUXJAEUXCAUVRTENJEWMQUVSUWDEX
      GXHZAUXCSQZTUXCUKJZUHUXCUOQAUXMUXNAUXBAMCUVHUVPUWJUWNUWFVNZXIATUXBUKJZUXN
      ATMMUPLZUXBUWAAMMUVHUVPUVHUVPUWFVNUXOATKUXQUKTKUKJAXJRAUXQKAMXKQMTXLMKXLU
      XQKUSAMUVHXMATMUWAUVPXNUWFMXOXPXQXRAMMCMSQAXSRAMUVHXTUVHUVPUWJUWNAMWECUVH
      UWKUWJAMWEUVHUWKMWENJAYDRWGAWECUWKUWJAWEUVMCNAWEUVLUVMUWKUWGUWIUWLUWMVJUV
      NWDWGYAYBYAAUXBPQTSQUXPUXNYCUXOAYEUXBTYFXAYGWHUXCWIWJYHAUXFUXIDAKUXEWRAUX
      GUXFQZUHZUXISQZTUXINJZUHUXIWMQUXSUXTUYAUXSUXHKUXSUVRUXGUOQUXHSQAUVRUXRUVS
      OUXSUXGUXRUXGWMQAUXGUXEWNWOYIEUXGYJXAZUXSYKYLUXSKTYPLZUXHNJUYAUXSUYCKUXHN
      UXSKUXSYMYNUXSKEKUILZUXHAKPQUXRUWEOZAUYDPQUXRAEKUVTKUOQAYORVQOUXSUXHUYBVE
      ZAKUYDNJUXRAKEUYDNAKUTEUWEUWBUVTKUTNJAYQRUWCVJAUYDEAEAEUVTXMYRXQXROUXSEKU
      XGAEPQUXRUVTOAKEUKJUXRAEUXLYSOUXRUXGKVAUMQAUXGKUXEYTWOUUAVJUUBUXSKTUXHUYE
      ATPQUXRUWAOUYFUUCYGWHUXIXGWJUUFUUDVSZUUEOZAUVEUVGUKJUVBABCDEGHIUUGOUVDUVG
      BUCJZUVGBUKJZAUVBUYIUVDUVBUYIUVDBSQZUWPUWQUVBUYIYCAUYKUVBABUYGWPOAUWPUVBU
      WTOUVDKCWRFBUVAUUHXPUUIUUJUVDUVGSQZBWMQZUYIUYJUUKAUYLUVBAUVGUXAUUPOAUYMUV
      BUYGOUVGBUULXAUUMYAUVDUVEBUWOUYHUUNYGUUOAUVCUUQUURUUTFUVAUUSWJ $.
  $}

  ${
    $d A r $.  $d B o $.  $d B r $.  $d N k $.  $d R r $.  $d k ph $.
    $d o ph $.
    aks4d1p4.1 $e |- ( ph -> N e. ( ZZ>= ` 3 ) ) $.
    aks4d1p4.2 $e |- A = ( ( N ^ ( |_ ` ( 2 logb B ) ) ) x. prod_ k e.
     ( 1 ... ( |_ ` ( ( 2 logb N ) ^ 2 ) ) ) ( ( N ^ k ) - 1 ) ) $.
    aks4d1p4.3 $e |- B = ( |^ ` ( ( 2 logb N ) ^ 5 ) ) $.
    aks4d1p4.4 $e |- R = inf ( { r e. ( 1 ... B ) | -. r || A } , RR , < ) $.
    $( There exists a small enough number such that it does not divide ` A ` .
       (Contributed by metakunt, 28-Oct-2024.) $)
    aks4d1p4 $p |- ( ph -> ( R e. ( 1 ... B ) /\ -. R || A ) ) $=
      ( vo cv cdvds wbr wn wcel cr clt a1i c1 cfz co crab cinf wceq wor cfn wne
      wa c0 wss w3a ltso fzfid ssrab2 ssfid aks4d1p3 rabn0 sylibr elfznn adantl
      wrex cn nnred ssrdv sstrd 3jca fiinfcl syl2anc eqeltrd breq1 notbid elrab
      ex sylib ) ADGMZBNOZPZGUACUBUCZUDZQDVTQDBNOZPZUJADWARSUEZWADWDUFAKTARSUGZ
      WAUHQZWAUKUIZWARULZUMWDWAQWEAUNTAWFWGWHAVTWAAUACUOWAVTULAVSGVTUPTZUQAVSGV
      TVCWGABCEFGHIJURVSGVTUSUTAWAVTRWIALVTRALMZVTQZWJRQAWKUJWJWKWJVDQAWJCVAVBV
      EVOVFVGVHRWASVIVJVKVSWCGDVTVQDUFVRWBVQDBNVLVMVNVP $.
  $}

  ${
    $d A r x y $.  $d B o $.  $d B r x y $.  $d N k $.  $d N r y $.
    $d R r y $.  $d k ph $.  $d o ph $.
    aks4d1p5.1 $e |- ( ph -> N e. ( ZZ>= ` 3 ) ) $.
    aks4d1p5.2 $e |- A = ( ( N ^ ( |_ ` ( 2 logb B ) ) ) x. prod_ k e.
     ( 1 ... ( |_ ` ( ( 2 logb N ) ^ 2 ) ) ) ( ( N ^ k ) - 1 ) ) $.
    aks4d1p5.3 $e |- B = ( |^ ` ( ( 2 logb N ) ^ 5 ) ) $.
    aks4d1p5.4 $e |- R = inf ( { r e. ( 1 ... B ) | -. r || A } , RR , < ) $.
    aks4d1p5.5 $e |- ( ( ( ph /\ 1 < ( N gcd R ) )
                         /\ ( R / ( N gcd R ) ) || A )
                      -> -. ( R / ( N gcd R ) ) || A ) $.
    $( Show that ` N ` and ` R ` are coprime for AKS existence theorem.
       Precondition will be eliminated in further theorem.  (Contributed by
       metakunt, 30-Oct-2024.) $)
    aks4d1p5 $p |- ( ph -> ( N gcd R ) = 1 ) $=
      ( c1 clt wbr cr wcel a1i adantr c2 vx vy vo cgcd co wceq wa cdiv simpr wn
      cle cfz cn cdvds aks4d1p4 simpld elfznn syl nnred cz cc0 cuz eluzelz 0red
      c3 cfv 3re zred 3pos eluzle ltletrd elnnz sylibr gcdnncl syl2anc redivcld
      jca nnne0d ltnled biimprd imp cv crab cinf wss wral wrex ssrab2 adantl ex
      ssrdv sstrd cfn wne fzfid ssfid aks4d1p3 rabn0 fiminre syl3anc breq1 1zzd
      c0 notbid clogb cexp cceil 2re 2pos 1red 1lt2 ltned necomd relogbcld 5nn0
      cn0 reexpcld ceilcl eqeltrd nnzd divgcdnnr nnge1d crp nnrpd rpne0d dividd
      c5 recnd eqbrtrd ltdiv23d ltled elfzle2 letrd elfzd exmidd mpjaodan mpbid
      lenltd pm2.21dd pm2.61dan elrabd lbinfle rpred wb ltnrd wo elnn1uz2 sylib
      lelttrd ) AMFDUDUEZNOZUUJMUFZAUUKUGZDDUUJUHUEZUKOZUULUUMUUOUUOUUMUUOUIUUM
      UUOUJZUGUUNDNOZUUOUUMUUPUUQUUMUUQUUPUUMUUNDAUUNPQUUKADUUJADADMCULUEZQZDUM
      QZAUUSDBUNOUJABCDEFGHIJKUOUPZDCUQURZUSZAUUJAFUMQZUUTUUJUMQZAFUTQZVAFNOZUG
      UVDAUVFUVGAFVEVBVFQZUVFHVEFVCURZAVAVEFAVDVEPQAVGRAFUVIVHZVAVENOAVIRAUVHVE
      FUKOHVEFVJURVKZVQFVLVMZUVBFDVNVOZUSZAUUJUVMVRVPSZADPQZUUKUVCSZVSVTWAUUMUU
      QUJZUUPUUMUUOUVRUUMDGWBZBUNOZUJZGUURWCZPNWDZUUNUKDUWCUFUUMKRUUMUWBPWEZUAW
      BUBWBUKOUBUWBWFUAUWBWGZUUNUWBQUWCUUNUKOAUWDUUKAUWBUURPUWBUURWEAUWAGUURWHR
      ZAUCUURPAUCWBZUURQZUWGPQAUWHUGUWGUWHUWGUMQAUWGCUQWIUSWJWKWLSZUUMUWDUWBWMQ
      ZUWBXCWNZUWEUWIAUWJUUKAUURUWBAMCWOUWFWPSAUWKUUKAUWAGUURWGUWKABCEFGHIJWQUW
      AGUURWRVMSUAUBUWBWSWTUUMUWAUUNBUNOZUJZGUUNUURUVSUUNUFUVTUWLUVSUUNBUNXAXDU
      UMUUNMCUUMXBACUTQUUKACTFXEUEZYGXFUEZXGVFZUTCUWPUFAJRAUWOPQUWPUTQAUWNYGATF
      TPQZAXHRVATNOAXIRUVJUVKAMTAMTAXJZMTNOZAXKRXLXMXNYGXPQAXORXQUWOXRURXSSZUUM
      UUNAUUNUMQZUUKAUUTUVFUXAUVBAFUVLXTDFYAVOZSZXTUUMUUNUXCYBUUMUUNDCUVOUVQUUM
      CUWTVHUUMUUNDUVOUVQUUMDDUUJUVQADYCQUUKADUVBYDZSZAUUJYCQUUKAUUJUVMYDSUUMDD
      UHUEZMUUJNUUMDUUMDUVQYHUUMDUXEYEZYFAUUKUIZYIYJZYKADCUKOZUUKAUUSUXJUVADMCY
      LURSYMYNUUMUWLUWMUWMLUUMUWMUIUUMUWLYOYPUUAUAUBUUNUWBUUBWTYIUUMDUUNUVQUVOY
      RYQZSYSYTUUMUUQUUPUUMDDUUJAUVPUUKADUXDUUCZSZUXEUUMUUJUUMUUQUVEUXIUXKYSYDU
      UMUXFMUUJNUUMDUUMDUXMYHUXGYFUXHYIYJAUUQUUPUUDUUKAUUNDAUUNUXBUSUXLVSSYQYSA
      UUKUJZUGZUULUULUUJTVBVFQZUXOUULUIUXOUXPUGZUUJUUJNOUULUXQUUJTUUJUXOUUJPQUX
      PUXOUUJAUVEUXNUVMSZUSSZUWQUXQXHRZUXSUXQUUJMTUXSUXQXJUXTUXOUUJMUKOZUXPAUXN
      UYAAUYAUXNAUUJMUVNUWRYRVTWASUWSUXQXKRUUIUXPTUUJUKOUXOTUUJVJWIVKUXQUUJUXSU
      UEYSUXOUVEUULUXPUUFUXRUUJUUGUUHYPYT $.
  $}

  ${
    $d A r $.  $d B r $.  $d N k $.  $d k ph $.  $d R r $.
    aks4d1p6.1 $e |- ( ph -> N e. ( ZZ>= ` 3 ) ) $.
    aks4d1p6.2 $e |- A = ( ( N ^ ( |_ ` ( 2 logb B ) ) ) x. prod_ k e.
     ( 1 ... ( |_ ` ( ( 2 logb N ) ^ 2 ) ) ) ( ( N ^ k ) - 1 ) ) $.
    aks4d1p6.3 $e |- B = ( |^ ` ( ( 2 logb N ) ^ 5 ) ) $.
    aks4d1p6.4 $e |- R = inf ( { r e. ( 1 ... B ) | -. r || A } , RR , < ) $.
    aks4d1p6.5 $e |- ( ph -> P e. Prime ) $.
    aks4d1p6.6 $e |- ( ph -> P || R ) $.
    aks4d1p6.7 $e |- K = ( P pCnt R ) $.
    $( The maximal prime power exponent is smaller than the binary logarithm
       floor of ` B ` .  (Contributed by metakunt, 30-Oct-2024.) $)
    aks4d1p6 $p |- ( ph -> K <_ ( |_ ` ( 2 logb B ) ) ) $=
      ( c2 cle wbr wcel clogb co cfl cfv cpc cn0 wceq a1i c1 cfz cdvds aks4d1p4
      cn wn simpld elfznn pccld eqeltrd nn0zd zred cprime prmnn nnred nngt0d cz
      syl cc0 clt wa c5 cexp cceil cr 2re 2pos cuz eluzelz 0red 3re 3pos eluzle
      c3 ltletrd 1red 1lt2 ltned necomd relogbcld 5nn0 reexpcld ceilcl 9re 9pos
      c9 3lexlogpow5ineq4 lttrd ceilge breqtrrd jca elnnz sylibr 2z prmuz2 ccxp
      nnrpd rpne0d cxpexpzd oveq2d pcdvds syl2anc wi nnzd zexpcl dvdsle eqbrtrd
      rpcnd mpd elfzle2 letrd cc cpr cdif csn nelprd eldifd recnd neneqd mtbird
      elsng cxplogb rpred cxpled clog cdiv rplogcld crp mpbid relogbval eqcomd
      wb mpbird relogcld nnge1d logge0d 2rp logled lediv2ad uzidd 3brtr3d flge
      ) AGQCUAUBZRSZGUUKUCUDRSZAGDCUAUBZUUKAGAGAGDEUEUBZUFGUUOUGAPUHZADENAEUICU
      JUBTZEUMTZAUUQEBUKSUNABCEFHIJKLMULUOZECUPVFZUQZURZUSZUTZADCADADVATZDUMTND
      VBVFZVCZADUVFVDACACVETZVGCVHSZVICUMTZAUVHUVIACQHUAUBZVJVKUBZVLUDZVECUVMUG
      ALUHZAUVLVMTZUVMVETAUVKVJAQHQVMTAVNUHZVGQVHSAVOUHZAHAHWBVPUDTZHVETJWBHVQV
      FUTZAVGWBHAVRZWBVMTAVSUHUVSVGWBVHSAVTUHAUVRWBHRSJWBHWAVFZWCAUIQAUIQAWDZUI
      QVHSAWEUHZWFWGZWHVJUFTAWIUHWJZUVLWKVFURZAVGUVLCUVTUWEACUWFUTAVGWNUVLUVTWN
      VMTAWLUHUWEVGWNVHSAWMUHAHUVSUWAWOWPAUVLUVMCRAUVOUVLUVMRSUWEUVLWQVFUVNWRWC
      WSCWTXAZVCZACUWGVDZAUIDAUIDUWBAUIQDUWBAQQVETAXBUHZUTZUVGUWCADQVPUDZTZQDRS
      ZAUVEUWMNDXCVFZQDWAVFZWCWFWGZWHZAQCUWKUVQUWHUWIUWDWHZAGUUNRSDGXDUBZDUUNXD
      UBZRSAUWTDGVKUBZUXARADGADADUVFXEZXPZADUXCXFZUVCXGAUXBCUXARAUXBECADGUVGUVB
      WJAEUUTVCUWHAUXBDUUOVKUBZERAGUUODVKUUPXHAUXFEUKSZUXFERSZAUVEUURUXGNUUTDEX
      IXJAUXFVETZUURUXGUXHXKADVETUUOUFTUXIADUVFXLUVADUUOXMXJUUTUXFEXNXJXQXOAUUQ
      ECRSUUSEUICXRVFXSADXTVGUIYAZYBTCXTVGYCZYBTUXACUGADXTUXJUXDADVGUIUXEUWQYDY
      EACXTUXKACUWHYFACUXKTZCVGUGZACVGAVGCAVGCUVTUWIWFWGYGAUVJUXLUXMYTUWGCVGUMY
      IVFYHYEDCYJXJWRXOADGUUNADUXCYKZAUIQDUWBUWKUXNUWCUWPWCZUVDUWRYLUUAACYMUDZD
      YMUDZYNUBZUXPQYMUDZYNUBZUUNUUKRAUXSUXQUXPAQUVPUWCYOADUXNUXOYOACACUWGXEZUU
      BACUWHACUWGUUCUUDAUWNUXSUXQRSUWPAQDQYPTAUUEUHUXCUUFYQUUGAUUNUXRAUWMCYPTZU
      UNUXRUGUWOUYADCYRXJYSAUUKUXTAQUWLTUYBUUKUXTUGAQUWJUUHUYAQCYRXJYSUUIXSAUUK
      VMTGVETUULUUMYTUWSUVCUUKGUUJXJYQ $.
  $}

  ${
    $d A r $.  $d B p $.  $d B r $.  $d N k p $.  $d R k p $.  $d R r $.
    $d k p ph $.
    aks4d1p7d1.1 $e |- ( ph -> N e. ( ZZ>= ` 3 ) ) $.
    aks4d1p7d1.2 $e |- A = ( ( N ^ ( |_ ` ( 2 logb B ) ) ) x. prod_ k e.
     ( 1 ... ( |_ ` ( ( 2 logb N ) ^ 2 ) ) ) ( ( N ^ k ) - 1 ) ) $.
    aks4d1p7d1.3 $e |- B = ( |^ ` ( ( 2 logb N ) ^ 5 ) ) $.
    aks4d1p7d1.4 $e |- R = inf ( { r e. ( 1 ... B ) | -. r || A } , RR , < ) $.
    aks4d1p7d1.5 $e |- ( ph -> A. p e. Prime ( p || R -> p || N ) ) $.
    $( Technical step in AKS lemma 4.1 (Contributed by metakunt,
       31-Oct-2024.) $)
    aks4d1p7d1 $p |- ( ph -> R || ( N ^ ( |_ ` ( 2 logb B ) ) ) ) $=
      ( c2 co wbr wcel c1 cc0 adantr clogb cfl cfv cexp cdvds cv cpc cle cprime
      wral wa cn0 w3a simp2 cn cfz wn aks4d1p4 simpld elfznn syl 3ad2ant1 pccld
      3expa nn0red cr 2re a1i clt 2pos c5 cceil wceq cz c3 cuz eluzelz zred 3re
      0red 3pos eluzle ltletrd 1red 1lt2 ltned necomd relogbcld reexpcld ceilcl
      5nn0 eqeltrd c9 9re 3lexlogpow5ineq4 lttrd ceilge breqtrrd flcld ad2antrr
      9pos simplr jca elnnz sylibr caddc 1cnd addid2d wne recnd logbid1 syl3anc
      cc gtned eqcomd eqtrd 2z leidd 2lt9 ltled letrd logblebd eqbrtrd peano2zd
      wb flge syl2anc mpbid zltp1led mpbird nnnn0d nnexpcld simp3 eqid aks4d1p6
      0zd cmul wi rsp imp pcelnn nnge1 lemulge11d cq nnne0d pcexp simpr nn0ge0d
      zq pceq0 pm2.61dan ralrimiva elfzelzd zexpcld pc2dvds ) ADFNCUAOZUBUCZUDO
      ZUEPZHUFZDUGOZUUTUURUGOZUHPZHUIUJZAUVCHUIAUUTUIQZUKZUUTDUEPZUVCUVFUVGUKZU
      VAUUQUVBUVHUVAAUVEUVGUVAULQAUVEUVGUMZUUTDAUVEUVGUNZAUVEDUOQZUVGADRCUPOQZU
      VKAUVLDBUEPUQABCDEFGIJKLURUSZDCUTVAZVBVCVDVEAUUQVFQUVEUVGAUUQAUUPANCNVFQA
      VGVHZSNVIPAVJVHZACNFUAOZVKUDOZVLUCZVFCUVSVMAKVHZAUVSAUVRVFQZUVSVNQAUVQVKA
      NFUVOUVPAFAFVOVPUCQZFVNQZIVOFVQVAZVRZASVOFAVTZVOVFQAVSVHUWESVOVIPAWAVHAUW
      BVOFUHPIVOFWBVAZWCZARNARNAWDRNVIPAWEVHWFWGZWHVKULQAWKVHWIZUVRWJVAVRZWLZAS
      UVSCVIASUVRUVSUWFUWJUWKASWMUVRUWFWMVFQAWNVHZUWJSWMVIPAXAVHAFUWEUWGWOZWPAU
      WAUVRUVSUHPUWJUVRWQVAZWCUVTWRZUWIWHZWSZVRZWTZUVHUVBUVHUUTUURAUVEUVGXBZUVH
      FUUQAFUOQZUVEUVGAUWCSFVIPZUKUXBAUWCUXCUWDUWHXCFXDXEZWTZAUUQULQZUVEUVGAUUQ
      AUUQVNQZSUUQVIPZUKUUQUOQAUXGUXHUWRAUXHSRXFOZUUQUHPZAUXIUUPUHPZUXJAUXINNUA
      OZUUPUHAUXIRUXLARAXGXHAUXLRANXMQNSXINRXIUXLRVMANUVOXJASNUWFUVPXNUWINXKXLX
      OXPANNCNVNQAXQVHANUVOXRUVOUVPUWLUWPANWMCUVOUWMUWLANWMUVOUWMNWMVIPAXSVHXTA
      WMCUWMUWLAWMUVSCVIAWMUVRUVSUWMUWJUWKUWNUWOWCUVTWRXTYAYBYCAUUPVFQUXIVNQUXK
      UXJYEUWQASAYPZYDUUPUXIYFYGYHASUUQUXMUWRYIYJZXCUUQXDXEYKZWTYLVCVEAUVEUVGUV
      AUUQUHPUVIBCUUTDEUVAFGAUVEUWBUVGIVBJKLUVJAUVEUVGYMUVAYNYOVDUVHUUQUUQUUTFU
      GOZYQOZUVBUHUVHUUQUXPUWTUVHUXPUVHUUTFUXAUXEVCVEUVFSUUQUHPZUVGAUXRUVEASUUQ
      UWFUWSUXNXTTTUVHUXPUOQZRUXPUHPUVHUXSUUTFUEPZUVFUVGUXTAUVEUVGUXTYRZAUYAHUI
      UJUVEUYAYRMUYAHUIYSVAYTYTUVHUVEUXBUXSUXTYEUXAUVFUXBUVGAUXBUVEUXDTZTUUTFUU
      AYGYJUXPUUBVAUUCUVHUVEFUUDQZFSXIZUKZUXGUVBUXQVMUXAUVFUYEUVGAUYEUVEAUYCUYD
      AUWCUYCUWDFUUIVAAFUXDUUEXCTTUVFUXGUVGAUXGUVEUWRTTFUUTUUQUUFXLWRYAUVFUVGUQ
      ZUKZUVASUVBUHUYGUVASVMZUYFUVFUYFUUGUYGUVEUVKUYHUYFYEAUVEUYFXBZUVFUVKUYFAU
      VKUVEUVNTTUUTDUUJYGYJUYGUVBUYGUUTUURUYIUYGFUUQUVFUXBUYFUYBTUVFUXFUYFAUXFU
      VEUXOTTYLVCUUHYCUUKUULADVNQUURVNQUUSUVDYEADRCUVMUUMAFUUQUWDUXOUUNDUURHUUO
      YGYJ $.
  $}

  ${
    $d A r $.  $d B o $.  $d B q $.  $d B r $.  $d N k p q $.  $d R k p q $.
    $d R r $.  $d k ph q $.  $d o ph $.
    aks4d1p7.1 $e |- ( ph -> N e. ( ZZ>= ` 3 ) ) $.
    aks4d1p7.2 $e |- A = ( ( N ^ ( |_ ` ( 2 logb B ) ) ) x. prod_ k e.
     ( 1 ... ( |_ ` ( ( 2 logb N ) ^ 2 ) ) ) ( ( N ^ k ) - 1 ) ) $.
    aks4d1p7.3 $e |- B = ( |^ ` ( ( 2 logb N ) ^ 5 ) ) $.
    aks4d1p7.4 $e |- R = inf ( { r e. ( 1 ... B ) | -. r || A } , RR , < ) $.
    $( Technical step in AKS lemma 4.1 (Contributed by metakunt,
       31-Oct-2024.) $)
    aks4d1p7 $p |- ( ph -> E. p e. Prime ( p || R /\ -. p || N ) ) $=
      ( cdvds wbr c2 wcel c1 cr a1i cc0 vq vo cv wn wa cprime wral wi clogb cfl
      wrex co cfv cexp cuz adantr wceq breq1 imbi12d cbvralvw biimpi aks4d1p7d1
      c3 adantl cfz crab clt cinf wor cfn c0 wne wss ltso fzfid ssrab2 aks4d1p3
      ssfid rabn0 sylibr cn elfznn nnred ex ssrdv sstrd fiinfcl syl2anc eqeltrd
      w3a 3jca notbid elrab sylib simprd cmin cprod cz aks4d1p4 simpld elfzelzd
      cmul eluzelz syl cle cn0 2re 2pos cceil zred 0red 3re 3pos eluzle ltletrd
      c5 1red 1lt2 ltned necomd relogbcld reexpcld ceilcld 9re 3lexlogpow5ineq4
      5nn0 c9 9pos ceilged breqtrrd lttrd flcld syl3anc ltled wb zexpcld bicomi
      wo notnotb bitri cc recnd gtned logb1 eqcomd 2z leidd 0lt1 letrd logblebd
      1lt9 eqbrtrd 0zd flge mpbid jca elnn0z nnnn0d zsubcld fprodzcl dvdsmultr1
      1zzd breq2d mpbird con3d pm2.65da ianor orbi2i df-or imbi1i ralbii notbii
      imp mpd ralnex con2bii ) AHUCZDMNZUVQFMNZUDZUEZUDZHUFUGZUDZUWAHUFUKZAUVRU
      VSUHZHUFUGZUDUWDAUWGDFOCUIULZUJUMZUNULZMNZAUWGUEBCDEFGUAAFVCUOUMPZUWGIUPJ
      KLUWGUAUCZDMNZUWMFMNZUHZUAUFUGZAUWGUWQUWFUWPHUAUFUVQUWMUQUVRUWNUVSUWOUVQU
      WMDMURUVQUWMFMURUSUTVAVDVBAUWKUDZUWGADBMNZUDZUWRADQCVEULZPZUWTADGUCZBMNZU
      DZGUXAVFZPUXBUWTUEADUXFRVGVHZUXFDUXGUQALSARVGVIZUXFVJPZUXFVKVLZUXFRVMZWJU
      XGUXFPUXHAVNSAUXIUXJUXKAUXAUXFAQCVOUXFUXAVMAUXEGUXAVPSZVRAUXEGUXAUKUXJABC
      EFGIJKVQUXEGUXAVSVTAUXFUXARUXLAUBUXARAUBUCZUXAPZUXMRPAUXNUEUXMUXNUXMWAPAU
      XMCWBVDWCWDWEWFWKRUXFVGWGWHWIUXEUWTGDUXAUXCDUQUXDUWSUXCDBMURWLWMWNWOAUWKU
      WSAUWKUWSAUWKUEUWSDUWJQOFUIULZOUNULUJUMZVEULZFEUCZUNULZQWPULZEWQZXBULZMNZ
      AUWKUYCADWRPUWJWRPUYAWRPUWKUYCUHADQCAUXBUWTABCDEFGIJKLWSWTXAAFUWIAUWLFWRP
      ZIVCFXCXDZAUWIWRPZTUWIXENZUEUWIXFPAUYFUYGAUWHAOCORPAXGSZTOVGNAXHSZACUXOXP
      UNULZXIUMZRCUYKUQAKSZAUYKAUYJAUXOXPAOFUYHUYIAFUYEXJZATVCFAXKZVCRPAXLSUYMT
      VCVGNAXMSAUWLVCFXENIVCFXNXDZXOAQOAQOAXQZQOVGNAXRSXSXTZYAXPXFPAYFSYBZYCXJZ
      WIZATYGCUYNYGRPAYDSZUYTTYGVGNAYHSAYGUYKCVGAYGUYJUYKVUAUYRUYSAFUYMUYOYEAUY
      JUYRYIXOUYLYJZYKZUYQYAZYLATUWHXENZUYGATOQUIULZUWHXEAVUFTAOUUAPOTVLOQVLVUF
      TUQAOUYHUUBATOUYNUYIUUCUYQOUUDYMUUEAOQCOWRPAUUFSAOUYHUUGUYPTQVGNAUUHSUYTV
      UCAQYGCUYPVUAUYTAQYGUYPVUAQYGVGNAUUKSYNAYGCVUAUYTVUBYNUUIUUJUULAUWHRPTWRP
      VUEUYGYOVUDAUUMUWHTUUNWHUUOUUPUWIUUQVTYPAUXQUXTEAQUXPVOAUXRUXQPZUEZUXSQVU
      HFUXRAUYDVUGUYEUPVUHUXRVUGUXRWAPAUXRUXPWBVDUURYPVUHUVBUUSUUTDUWJUYAUVAYMU
      VMAUWSUYCYOUWKABUYBDMBUYBUQAJSUVCUPUVDWDUVEUVNUPUVFUWCUWGUWBUWFHUFUWBUVRU
      DZUDZUVSUHZUWFUWBVUIUVSYRZVUKUWBVUIUVTUDZYRZVULUVRUVTUVGVULVUNUVSVUMVUIUV
      SYSUVHYQYTVUIUVSUVIYTUWFVUKUVRVUJUVSUVRYSUVJYQYTUVKUVLVTUWEUWDUWCUWEUWAHU
      FUVOUVPYQWN $.
  $}

  ${
    $( The value of 5 choose 2.  (Contributed by metakunt, 8-Jun-2024.) $)
    5bc2eq10 $p |- ( 5 _C 2 ) = ; 1 0 $=
      ( c5 c2 cbc co c4 c1 cmin caddc c6 cc0 cdc cn0 wcel cz wceq 4nn0 2z eqtri
      bcpasc oveq2i mp2an 4p1e5 oveq1i eqcomi 2m1e1 4bc2eq6 bcn1 oveq12i 6p4e10
      ax-mp 3eqtri ) ABCDZEBCDZEBFGDZCDZHDZIEHDZFJKUPULUPEFHDZBCDZULELMZBNMUPUS
      OPQBESUAURABCUBUCRUDUPUMEFCDZHDUQUOVAUMHUNFECUETTUMIVAEHUFUTVAEOPEUGUJUHR
      UIUK $.
  $}

  $( The factorial of a successor's successor.  (Contributed by metakunt,
     19-Apr-2024.) $)
  facp2 $p |- ( N e. NN0 -> ( ! ` ( N + 2 ) )
                         = ( ( ! ` N ) x. ( ( N + 1 ) x. ( N + 2 ) ) ) ) $=
    ( cn0 wcel c2 caddc co cfa cfv c1 cmul wceq nn0cn ax-1cn addass mp3an23 syl
    cc df-2 eqtrd facp1 oveq2i eqcomi a1i fveq2d peano2nn0 eqtr3d oveq2d oveq1d
    cn faccl nncn 2cn addcl mpan2 mulass syl3anc ) ABCZADEFZGHZAGHZAIEFZJFZURJF
    ZUTVAURJFJFZUQUSVAGHZURJFZVCUQUSVEVAIEFZJFZVFUQVGGHZUSVHUQVGURGUQVGAIIEFZEF
    ZURUQAQCZVGVKKZALZVLIQCZVOVMMMAIINOPVKURKUQURVKDVJAERUAUBUCSZUDUQVABCZVIVHK
    AUEZVATPUFUQVGURVEJVPUGSUQVEVBURJATUHSUQUTQCZVAQCZURQCZVCVDKUQUTUICVSAUJUTU
    KPUQVQVTVRVALPUQVLWAVNVLDQCWAULADUMUNPUTVAURUOUPS $.

  ${
    2np3bcnp1.1 $e |- ( ph -> N e. NN0 ) $.
    $( Part of induction step for ~ 2ap1caineq .  (Contributed by metakunt,
       8-Jun-2024.) $)
    2np3bcnp1 $p |- ( ph ->
     ( ( ( 2 x. ( N + 1 ) ) + 1 ) _C ( N + 1 ) ) =
     ( ( ( ( 2 x. N ) + 1 ) _C N ) x.
      ( 2 x. ( ( ( 2 x. N ) + 3 ) / ( N + 2 ) ) ) ) ) $=
      ( c2 c1 caddc co cmul c3 cdiv oveq1d eqtrd wceq a1i oveq2d cfa cfv eqcomd
      cc0 wcel 2cnd nn0cnd 1cnd adddid 2t1e2 oveq2i eqtrdi mulcld addassd 2p1e3
      cbc cmin cfz 0zd cz 2z nn0zd zmulcld zaddcld peano2zd nn0red 1red nn0ge0d
      3z cle wbr 0le1 addge0d cr 2re remulcld 3re 1le2 lemulge12d le2addd elfzd
      1le3 bcval2 syl recnd addsub4d cc 2txmxeqx 3m1e2 oveq12d fveq2d nn0addcld
      2nn0 faccld nncnd 1nn0 mulcomd 1p2e3 nn0mulcld facp2 1p1e2 addcld mulassd
      cn0 nnne0d mulne0d readdcld ltp1d lelttrd ltned necomd crp 2rp divmuldivd
      0red ltaddrpd lep1d letrd addsubd divcan4d eqidd ) ADBEFGZHGZEFGZXQUKGDBH
      GZIFGZXQUKGZXTEFGZBUKGZDYABDFGZJGZHGZHGZAXSYAXQUKAXSXTDEFGZFGZYAAXSXTDFGZ
      EFGYJAXRYKEFAXRXTDEHGZFGYKADBEAUAZABCUBZAUCZUDYLDXTFUEUFUGZKAXTDEADBYMYNU
      HZYMYOUILAYIIXTFYIIMAUJNOLKAYBYAPQZYAXQULGZPQZXQPQZHGZJGZYHAXQSYAUMGTYBUU
      CMAXQSYAAUNZAXTIADBDUOTAUPNABCUQZURZIUOTAVDNUSABUUEUTABEABCVAZAVBZABCVCZS
      EVEVFAVGNVHABEXTIUUGUUHADBDVITAVJNZUUGVKZIVITAVLNZABDUUGUUJUUIEDVEVFAVMNV
      NZEIVEVFAVQNVOVPXQYAVRVSAUUCYRYEPQZUUAHGZJGZYHAUUBUUOYRJAYTUUNUUAHAYSYEPA
      YSXTBULGZIEULGZFGYEAXTIBEYQAIUULVTZYNYOWAAUUQBUURDFABWBTUUQBMYNBWCVSZUURD
      MAWDNWELWFKOAUUPYRUUAUUNHGZJGZYHAUUOUVAYRJAUUNUUAAUUNAYEABDCDWSTAWHNZWGWI
      WJAUUAAXQABECEWSTAWKNZWGWIZWJZWLOAUVBYCPQZYKYAHGZHGZUVAJGZYHAYRUVIUVAJAYR
      UVGYCEFGZYCDFGZHGZHGZUVIAYRUVLPQZUVNAUVOYRAUVLYAPAUVLXTEDFGZFGZYAAXTEDYQY
      OYMUIZUVPIXTFWMUFUGWFRAYCWSTUVOUVNMAXTEADBUVCCWNUVDWGZYCWOVSLAUVMUVHUVGHA
      UVKYKUVLYAHAUVKXTEEFGZFGYKAXTEEYQYOYOUIAUVTDXTFUVTDMAWPNOLAUVLUVQYAUVRAUV
      PIXTFUVPIMAWMNOLWEOLKAUVJUVIUUABPQZXQYEHGZHGZHGZJGZYHAUVAUWDUVIJAUUNUWCUU
      AHABWSTUUNUWCMCBWOVSOOAUWEUVIUUAUWAHGZUWBHGZJGZYHAUWDUWGUVIJAUWGUWDAUUAUW
      AUWBUVFAUWAABCWIZWJZAXQYEABEYNYOWQZABDYNYMWQZUHZWRROAUWHUVGUWFJGZUVHUWBJG
      ZHGZYHAUWPUWHAUVGUWFUVHUWBAUVGAYCUVSWIWJAUUAUWAUVFUWJUHAYKYAAXTDYQYMWQZAX
      TIYQUUSWQZUHUWMAUUAUWAUVFUWJAUUAUVEWTAUWAUWIWTXAAXQYEUWKUWLASXQASXQAXJZAS
      BXQUWSUUGABEUUGUUHXBUUIABUUGXCXDXEXFZASYEASYEUWSASBYEUWSUUGABDUUGUUJXBUUI
      ABDUUGDXGTAXHNXKXDXEXFZXAXIRAUWNYDUWOYGHAYDUWNAYDUVGYCBULGZPQZUWAHGZJGZUW
      NABSYCUMGTYDUXEMABSYCUUDAXTUUFUTUUEUUIABXTYCUUGUUKAXTEUUKUUHXBUUMAXTUUKXL
      XMVPBYCVRVSAUXDUWFUVGJAUXCUUAUWAHAUXBXQPAUXBUUQEFGXQAXTEBYQYOYNXNAUUQBEFU
      UTKLWFKOLRAUWOYKXQJGZYFHGZYGAUXGUWOAYKXQYAYEUWQUWKUWRUWLUWTUXAXIRAUXFDYFY
      FHAUXFXRXQJGDAYKXRXQJAXRYKYPRKADXQYMUWKUWTXOLAYFXPWELWELLLLLLLL $.
  $}

  ${
    $d N j $.  $d j k ph $.
    2ap1caineq.1 $e |- ( ph -> N e. ZZ ) $.
    2ap1caineq.2 $e |- ( ph -> 2 <_ N ) $.
    $( Inequality for Theorem 6.6 for AKS. (Contributed by metakunt,
       8-Jun-2024.) $)
    2ap1caineq $p |- ( ph -> ( 2 ^ ( N + 1 ) ) <
     ( ( ( 2 x. N ) + 1 ) _C N ) ) $=
      ( c2 c1 caddc co cexp cmul cbc clt wbr wceq c3 c5 cc0 a1i wcel 3ad2ant3
      vj vk cv oveq1 oveq2d oveq2 oveq1d id oveq12d breq12d c8 cdc 8lt10 eqtr4i
      eqid 5bc2eq10 eqcomi breq12i mpbi df-3 oveq2i c4 2t2e4 oveq1i 4p1e5 eqtri
      cu2 cz cle wa w3a cdiv cr 2re cn simpl 0red zred 2pos simpr ltletrd elnnz
      cn0 jca sylibr nnnn0 syl nn0red remulcld 3re readdcld wne nngt0d ltaddrpd
      nnred crp 2rp lttrd ltned redivcld 1nn0 nn0addcld reexpcld 2nn0 nn0mulcld
      necomd bccl syl2anc 0le2 2t1e2 1red nnrp rpaddcld rpcnd mulid1d nnre 1le2
      rpge0d lemulge12d 2lt3 leltaddd eqbrtrd ltmuldiv2d mpbid ltmul2dd expge0d
      simp2 ltmul12ad expaddd expcld mulcomd exp1d eqidd 3eqtrd eqtrd 2np3bcnp1
      2cnd eqcomd mulcld addcld nn0cnd nncnd cc 3cn divcld 2z uzindd ) AEUAUCZF
      GHZIHZEUUHJHZFGHZUUHKHZLMEEFGHZIHZEEJHZFGHZEKHZLMZEUBUCZFGHZIHZEUUTJHZFGH
      ZUUTKHZLMZEUVAFGHZIHZEUVAJHZFGHZUVAKHZLMZEBFGHZIHZEBJHZFGHZBKHZLMUAUBEBUU
      HENZUUJUUOUUMUURLUVRUUIUUNEIUUHEFGUDUEUVRUULUUQUUHEKUVRUUKUUPFGUUHEEJUFUG
      UVRUHUIUJUUHUUTNZUUJUVBUUMUVELUVSUUIUVAEIUUHUUTFGUDUEUVSUULUVDUUHUUTKUVSU
      UKUVCFGUUHUUTEJUFUGUVSUHUIUJUUHUVANZUUJUVHUUMUVKLUVTUUIUVGEIUUHUVAFGUDUEU
      VTUULUVJUUHUVAKUVTUUKUVIFGUUHUVAEJUFUGUVTUHUIUJUUHBNZUUJUVNUUMUVQLUWAUUIU
      VMEIUUHBFGUDUEUWAUULUVPUUHBKUWAUUKUVOFGUUHBEJUFUGUWAUHUIUJUUSAEOIHZPEKHZL
      MZUUSUKFQULZLMUWDUMUKUWBUWEUWCLUKUKUWBUKUOVGUNUWCUWEUPUQURUSUWBUUOUWCUURL
      OUUNEIUTVAPUUQEKPPUUQPUOUUQVBFGHPUUPVBFGVCVDVEVFUNVDURUSRAUVFUUTVHSZEUUTV
      IMZVJZVKZEUVBJHZEUVCOGHZUUTEGHZVLHZJHZUVEJHZLMUVLUWIEUWNUVBUVEEVMSZUWIVNR
      ZUWIEUWMUWQUWIUWKUWLUWIUVCOUWIEUUTUWQUWHAUUTVMSUVFUWHUUTUWHUWFQUUTLMZVJZU
      UTVOSZUWHUWFUWRUWFUWGVPZUWHQEUUTUWHVQZUWPUWHVNRZUWHUUTUWHUWTUUTWCSUWHUWSU
      WTUWHUWFUWRUXAUWHQEUUTUXBUXCUWHUUTUXAVRQELMUWHVSRZUWFUWGVTZWAWDUUTWBZWEUU
      TWFWGZWHUXDUXEWAWDUXFWEZWOZTZWIOVMSZUWIWJRWKUWIUUTEUXJUWQWKUWHAUWLQWLUVFU
      WHQUWLUWHQUWLUXBUWHQUUTUWLUXBUXIUWHUUTEUXIUXCWKZUWHUUTUXHWMUWHUUTEUXIEWPS
      ZUWHWQRZWNWRWSXFZTWTWIUWHAUVBVMSUVFUWHEUVAUXCUWHUUTFUXGFWCSUWHXARZXBZXCTU
      WHAUVEVMSUVFUWHUVEUWHUVDWCSUWFUVEWCSUWHUVCFUWHEUUTEWCSUWHXDRUXGXEUXPXBUXA
      UUTUVDXGXHZWHTQEVIMZUWIXIRUWHAEUWNLMUVFUWHEEFJHZUWNLEUXTNUWHEEUXTEUOXJUNR
      UWHFUWMEUWHXKUWHUWKUWLUWHUVCOUWHEUUTUXCUXIWIUXKUWHWJRWKUXLUXOWTUXNUWHUWTF
      UWMLMZUXHUWTUWLFJHZUWKLMUYAUWTUYBUWLUWKLUWTUWLUWTUWLUWTUUTEUUTXLZUXMUWTWQ
      RXMZXNXOUWTUUTEUVCOUUTXPZUWPUWTVNRZUWTEUUTUYFUYEWIZUXKUWTWJRZUWTUUTEUYEUY
      FUWTUUTUYCXRFEVIMUWTXQRXSEOLMUWTXTRYAYBUWTFUWKUWLUWTXKUWTUVCOUYGUYHWKUYDY
      CYDWGYEYBTUWHAQUVBVIMUVFUWHEUVAUXCUXQUXSUWHXIRYFTAUVFUWHYGYHUWIUWJUVHUWOU
      VKLUWHAUWJUVHNUVFUWHUVHUWJUWHUVHUVBEFIHZJHZUWJUWHEUVAFUWHYQZUXPUXQYIUWHUY
      JUYIUVBJHUWJUWJUWHUVBUYIUWHEUVAUYKUXQYJUWHEFUYKUXPYJYKUWHUYIEUVBJUWHEUYKY
      LUGUWHUWJYMYNYOYRTUWHAUWOUVKNUVFUWHUVKUWOUWHUVKUVEUWNJHUWOUWHUUTUXGYPUWHU
      VEUWNUWHUVEUXRUUAUWHEUWMUYKUWHUWKUWLUWHUVCOUWHEUUTUYKUWHUUTUXHUUBZYSOUUCS
      UWHUUDRYTUWHUUTEUYLUYKYTUXOUUEYSYKYOYRTUJYDEVHSAUUFRCDUUG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Sticks and stones
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A f $.  $d I j x y $.  $d I j z $.  $d K f x y $.  $d K j x y $.
    $d K j z $.  $d N a $.  $d N f $.  $d X f x y $.  $d X j x y $.
    $d X j z $.  $d Y f x y $.  $d Y j x y $.  $d Y j z $.  $d a ph $.
    $d f ph $.  $d j ph $.
    sticksstones1.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones1.2 $e |- ( ph -> K e. NN0 ) $.
    sticksstones1.3 $e |- A = { f | ( f : ( 1 ... K ) --> ( 1 ... N ) /\ A. x
    e. ( 1 ... K ) A. y e. ( 1 ... K )
    ( x < y -> ( f ` x ) < ( f ` y ) ) ) } $.
    sticksstones1.4 $e |- ( ph -> X e. A ) $.
    sticksstones1.5 $e |- ( ph -> Y e. A ) $.
    sticksstones1.6 $e |- ( ph -> X =/= Y ) $.
    sticksstones1.7 $e |- I = inf ( { z e. ( 1 ... K ) |
     ( X ` z ) =/= ( Y ` z ) } , RR , < ) $.
    $( Different strictly monotone functions have different ranges.
       (Contributed by metakunt, 27-Sep-2024.) $)
    sticksstones1 $p  |- ( ph -> ran X =/= ran Y ) $=
      ( clt wcel va vj cfv wbr wo crn wne cv c1 cfz co crab cr cinf wceq a1i c0
      cfn wss w3a syl2anc wral wn nne bitri wa wfn wb wf wi feq1 breq12d imbi2d
      fveq1 2ralbidv anbi12d adantl ralrimiva rspcdva simpld ffnd mpdan syldbl2
      adantr ex imp cn fz1ssnn sstrd sseldd mpbird fveq2 neeq12d syl mpbid nfcv
      nfv elfznn nnre ffvelrnd wnel wfun cdm ffund fdmd eleqtrrd 3ad2ant3 nnred
      fvelrn lttri4d simp3 sseli simprd simpl3 breq1 breq1d breq2 breq2d rspc2v
      3ad2ant1 imbi12d mpd cle sylib 3expa 3adantl2 ltned necomd neeq1d 3jaodan
      simpl2 lttrd neneqd wrex ralnex nnel fvelrnb bitrd con1bid elnelne1 fzfid
      wor ltso ssrab2 ssfi rabeq0 ralbii cab wal abeq2 spi biimpi eqfnfv bicomd
      mpbi biimpd sylan2b necon3d nnssre 3jca fiinfcl eleq1d elrab3 ssrd lttri2
      w3o simp2 3ad2ant2 ltnled infrefilb 3expia con3d elrabf notbii ianor imor
      eqeltrd sylibr eqcomd jaodan ) AGJUCZGKUCZSUDZUWBUWASUDZUEZJUFZKUFZUGZAUW
      AUWBUGZUWEAGDUHZJUCZUWJKUCZUGZDUIHUJUKZULZTZUWIAGUWOUMSUNZUWOGUWQUOZARUPZ
      AUMSUUBZUWOURTZUWOUQUGZUWOUMUSZUTUWQUWOTUWTAUUCUPAUXAUXBUXCAUWNURTUWOUWNU
      SZUXAAUIHUUAUXDAUWMDUWNUUDUPZUWNUWOUUEVAZAJKUGZUXBQAUXGUXBAUWOUQJKAUWOUQU
      OZJKUOZUXHAUWKUWLUOZDUWNVBZUXIUXHUWMVCZDUWNVBUXKUWMDUWNUUFUXLUXJDUWNUWKUW
      LVDUUGVEAUXKUXIAUXKVFZUXKUXIUXMUXIUXKUXMJUWNVGZKUWNVGZUXIUXKVHAUXNUXKAUWN
      UIIUJUKZJAUWNUXPJVIZBUHZCUHZSUDZUXRJUCZUXSJUCZSUDZVJZCUWNVBBUWNVBZAUWNUXP
      FUHZVIZUXTUXRUYFUCZUXSUYFUCZSUDZVJZCUWNVBBUWNVBZVFZUXQUYEVFFEJUYFJUOZUYGU
      XQUYLUYEUWNUXPUYFJVKUYNUYKUYDBCUWNUWNUYNUYJUYCUXTUYNUYHUYAUYIUYBSUXRUYFJV
      NUXSUYFJVNVLVMVOVPAUYMFEUYFETZUYMAUYOUYMUYOUYMVHZFEUYMFUUHUOUYPFUUINUYMFE
      UUJUUOUUKUULVQVRZOVSZVTZWAZWDAUXOUXKAUWNUXPKAUWNUXPKVIZUXTUXRKUCZUXSKUCZS
      UDZVJZCUWNVBBUWNVBZAKETZVUAVUFVFZPAVUHVUGAUYMVUHFEKUYFKUOZUYGVUAUYLVUFUWN
      UXPUYFKVKVUIUYKVUEBCUWNUWNVUIUYJVUDUXTVUIUYHVUBUYIVUCSUXRUYFKVNUXSUYFKVNV
      LVMVOVPUYQPVSZWDWBVTZWAZWDDUWNJKUUMVAUUNUUPWCUUQWEUURWFWBAUWOUWNUMUXEAUWN
      WGUMUWNWGUSAHWHUPWGUMUSAUUSUPWIZWIZUUTUMUWOSUVAVAZUVQAGUWNTZUWPUWIVHAVUPU
      WQUWNTAUWOUWNUWQUXEVUOWJAGUWQUWNUWSUVBWKZUWMUWIDGUWNUWJGUOUWKUWAUWLUWBUWJ
      GJWLUWJGKWLWMUVCWNWOZAUWAUMTZUWBUMTZUWIUWEVHAUXPUMUWAAUAUXPUMAUAWQUAUXPWP
      UAUMWPAUAUHZUXPTZVVAUMTZAVVBVFVVAWGTZVVCVVBVVDAVVAIWRVQVVAWSWNWEUVDZAUWNU
      XPGJUYSVUQWTWJZAUXPUMUWBVVEAUWNUXPGKVUKVUQWTWJZUWAUWBUVEVAWOAUWCUWHUWDAUW
      CVFZUWAUWFTZUWAUWGXAZUWHVVHJXBZGJXCZTZVVIAVVKUWCAUWNUXPJUYSXDWDAVVMUWCAGU
      WNVVLVUQAUWNUXPJUYSXEXFWDGJXIVAVVHUBUHZKUCZUWAUOZVCZUBUWNVBZVVJVVHVVQUBUW
      NVVHVVNUWNTZVFVVOUWAAUWCVVSVVOUWAUGZAUWCVVSUTZVVNGSUDZVVNGUOZGVVNSUDZUVFZ
      VVTVWAVVNGVWAVVNVVSAVVNWGTZUWCVVNHWRZXGXHAUWCGUMTZVVSAUWNUMGVUMVUQWJZXTXJ
      VWAVWBVVTVWCVWDVWAVWBVFZVVOUWAVWAVVOUMTZVWBVWAVVOUXPTZVWKVWAUWNUXPVVNKAUW
      CVUAVVSVUKXTAUWCVVSXKZWTVWLVVOWGTVWKUXPWGVVOIWHZXLVVOWSWNWNZWDVWJVVOUWASU
      DVVNJUCZUWASUDZVWAVWBVWQVWJUYEVWBVWQVJZVWAUYEVWBAUWCUYEVVSAUXQUYEUYRXMZXT
      WDVWJVVSVUPUYEVWRVJAUWCVVSVWBXNVWAVUPVWBAUWCVUPVVSVUQXTZWDUYDVWRVVNUXSSUD
      ZVWPUYBSUDZVJBCVVNGUWNUWNUXRVVNUOZUXTVXAUYCVXBUXRVVNUXSSXOZVXCUYAVWPUYBSU
      XRVVNJWLXPYAUXSGUOZVXAVWBVXBVWQUXSGVVNSXQZVXEUYBUWAVWPSUXSGJWLXRYAXSVAYBW
      CVWJVVOVWPUWASVWJVWPVVOAVVSVWBVWPVVOUOZUWCAVVSVWBVXGAVVSVWBUTZVVSVXGAVVSV
      WBUVGVXHVVSVFVWPVVOUGZVCZVXGVXHVVSVXJVXHVVSVCVXJUEZVVSVXJVJVXHVVNUWOTZVCZ
      VXKVXHGVVNYCUDZVCZVXMVXHVWBVXOAVVSVWBXKVXHVVNGVXHVVNVVSAVWFVWBVWGUVHXHAVV
      SVWHVWBVWIXTUVIWOVXHVXLVXNVXHVXLVXNVXHVXLVFZVXNUWQVVNYCUDZVXHVXLVXQVXHUXC
      UXAVXLVXQVJAVVSUXCVWBVUNXTAVVSUXAVWBUXFXTUXCUXAVXLVXQVVNUWOUVJUVKVAWFVXPG
      UWQVVNYCUWRVXPRUPXPWKWEUVLYBVXMVVSVXIVFZVCVXKVXLVXRUWMVXIDVVNUWNDVVNWPDUW
      NWPVXIDWQUWJVVNUOUWKVWPUWLVVOUWJVVNJWLUWJVVNKWLWMUVMUVNVVSVXIUVOVEYDVVSVX
      JUVPUVRWFVWPVVOVDYDWBYEZYFUVSXPWKYGVWAVWCVFZVVTUWBUWAUGZVXTUWAUWBVWAUWIVW
      CAUWCUWIVVSVURXTWDYHVWCVVTVYAVHVWAVWCVVOUWBUWAVVNGKWLYIVQWKVWAVWDVFZUWAVV
      OVYBUWAVVOVWAVUSVWDAUWCVUSVVSVVFXTWDZVYBUWAUWBVVOVYCVWAVUTVWDAUWCVUTVVSVV
      GXTWDVWAVWKVWDVWOWDAUWCVVSVWDYKVWAVWDUWBVVOSUDZVYBVUFVWDVYDVJZVWAVUFVWDAU
      WCVUFVVSAVUAVUFVUJXMZXTWDVYBVUPVVSVUFVYEVJVWAVUPVWDVWTWDVWAVVSVWDVWMWDVUE
      VYEGUXSSUDZUWBVUCSUDZVJBCGVVNUWNUWNUXRGUOZUXTVYGVUDVYHUXRGUXSSXOZVYIVUBUW
      BVUCSUXRGKWLXPYAUXSVVNUOZVYGVWDVYHVYDUXSVVNGSXQZVYKVUCVVOUWBSUXSVVNKWLXRY
      AXSVAYBWCYLYGYHYJWBYEYMVRAVVRVVJVHUWCAVVRVVPUBUWNYNZVCZVVJVVRVYNVHAVVPUBU
      WNYOUPAVVJVYMAVVJVCZUWAUWGTZVYMVYOVYPVHAUWAUWGYPUPAUXOVYPVYMVHVULUBUWNUWA
      KYQWNYRYSYRWDWOUWAUWFUWGYTVAAUWDVFZUWBUWGTZUWBUWFXAZUWHVYQKXBZGKXCZTZVYRA
      VYTUWDAUWNUXPKVUKXDWDAWUBUWDAGUWNWUAVUQAUWNUXPKVUKXEXFWDGKXIVAVYQVWPUWBUO
      ZVCZUBUWNVBZVYSVYQWUDUBUWNVYQVVSVFVWPUWBAUWDVVSVWPUWBUGZAUWDVVSUTZVWEWUFW
      UGVVNGWUGVVNVVSAVWFUWDVWGXGXHAUWDVWHVVSVWIXTXJWUGVWBWUFVWCVWDWUGVWBVFZVWP
      UWBWUGVWPUMTZVWBWUGVWPWUGVWPUXPTVWPWGTWUGUWNUXPVVNJAUWDUXQVVSUYSXTAUWDVVS
      XKZWTUXPWGVWPVWNXLWNXHZWDWUHVWPUWBSUDVVOUWBSUDZWUGVWBWULWUHVUFVWBWULVJZWU
      GVUFVWBAUWDVUFVVSVYFXTWDWUHVVSVUPVUFWUMVJAUWDVVSVWBXNWUGVUPVWBAUWDVUPVVSV
      UQXTZWDVUEWUMVXAVVOVUCSUDZVJBCVVNGUWNUWNVXCUXTVXAVUDWUOVXDVXCVUBVVOVUCSUX
      RVVNKWLXPYAVXEVXAVWBWUOWULVXFVXEVUCUWBVVOSUXSGKWLXRYAXSVAYBWCWUHVWPVVOUWB
      SAVVSVWBVXGUWDVXSYFXPWKYGWUGVWCVFZWUFUWIWUPUWBUWAWUPUWBUWAWUGVUTVWCAUWDVU
      TVVSVVGXTZWDAUWDVVSVWCYKYGYHVWCWUFUWIVHWUGVWCVWPUWAUWBVVNGJWLYIVQWKWUGVWD
      VFZUWBVWPWURUWBVWPWUGVUTVWDWUQWDZWURUWBUWAVWPWUSWUGVUSVWDAUWDVUSVVSVVFXTW
      DWUGWUIVWDWUKWDAUWDVVSVWDYKWUGVWDUWAVWPSUDZWURUYEVWDWUTVJZWUGUYEVWDAUWDUY
      EVVSVWSXTWDWURVUPVVSUYEWVAVJWUGVUPVWDWUNWDWUGVVSVWDWUJWDUYDWVAVYGUWAUYBSU
      DZVJBCGVVNUWNUWNVYIUXTVYGUYCWVBVYJVYIUYAUWAUYBSUXRGJWLXPYAVYKVYGVWDWVBWUT
      VYLVYKUYBVWPUWASUXSVVNJWLXRYAXSVAYBWCYLYGYHYJWBYEYMVRAWUEVYSVHUWDAWUEWUCU
      BUWNYNZVCZVYSWUEWVDVHAWUCUBUWNYOUPAVYSWVCAVYSVCZUWBUWFTZWVCWVEWVFVHAUWBUW
      FYPUPAUXNWVFWVCVHUYTUBUWNUWBJYQWNYRYSYRWDWOVYRVYSVFUWGUWFUWBUWGUWFYTYHVAU
      VTWB $.
  $}

  ${
    $d A a b z $.  $d A f i j z $.  $d B z $.  $d F i j $.  $d K a b x y $.
    $d K f x y $.  $d K r s $.  $d N a $.  $d N f $.  $d a b ph z $.
    $d f i j ph z $.  $d i j r s $.  $d i j r x y $.  $d x y z $.
    sticksstones2.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones2.2 $e |- ( ph -> K e. NN0 ) $.
    sticksstones2.3 $e |- B = { a e. ~P ( 1 ... N ) | ( # ` a ) = K } $.
    sticksstones2.4 $e |- A = { f | ( f : ( 1 ... K ) --> ( 1 ... N ) /\ A. x
    e. ( 1 ... K ) A. y e. ( 1 ... K )
    ( x < y -> ( f ` x ) < ( f ` y ) ) ) } $.
    sticksstones2.5 $e |- F = ( z e. A |-> ran z ) $.
    $( The range function on strictly monotone functions with finite domain and
       codomain is an injective mapping onto ` K ` -elemental sets.
       (Contributed by metakunt, 27-Sep-2024.) $)
    sticksstones2 $p  |- ( ph -> F : A -1-1-> B ) $=
      ( cfv wceq wcel clt vi vj vb vs vr wf cv wi wral wa wf1 crn chash cfz cpw
      c1 co crab fveqeq2 cfn fzfid wbr eleq1w feq1 fveq1 breq12d imbi2d ralbidv
      wb anbi12d bibi12d cab wal abeq2 spi chvarvv biimpi adantl simpld sselpwd
      mpbi frnd wfn hashfn syl cn0 adantr hashfz1 eqtrd eqcomd w3a wne wo cr cn
      ffnd elfznn 3ad2ant3 nnred lttri2 syl2anc 3adant3 simp3 simpr breq1 fveq2
      ffvelrnd simprd breq1d imbi12d breq2 breq2d rspc2v ltned ffvelrnda necomd
      mpd jaodan ex sylbid necon4d ralrimiva 3expa dff13 sylibr hashf1rn elrabd
      imp eleq2i mpbird fmptd cinf 3ad2ant1 simpl2 simpl3 rneqd 2ralbidv fvmptd
      jca a1i neeq12d cbvrabv infeq1i sticksstones1 cmpt 3adant2 3netr4d ) AEFH
      UFZUAUGZHQZUBUGZHQZRUUIUUKRUHZUBEUIZUAEUIZUJEFHUKAUUHUUOADEDUGZULZFHAUUPE
      SZUJZUUQFSZUUQKUGZUMQIRZKUPJUNUQZUOZURZSZUUSUVBUUQUMQZIRKUUQUVDUVAUUQIUMU
      SUUSUUQUVCUTUUSUPJVAUUSUPIUNUQZUVCUUPUUSUVHUVCUUPUFZBUGZCUGZTVBZUVJUUPQZU
      VKUUPQZTVBZUHZCUVHUIZBUVHUIZUURUVIUVRUJZAUURUVSGUGZESZUVHUVCUVTUFZUVLUVJU
      VTQZUVKUVTQZTVBZUHZCUVHUIZBUVHUIZUJZVIZUURUVSVIGDUVTUUPRZUWAUURUWIUVSGDEV
      CUWKUWBUVIUWHUVRUVHUVCUVTUUPVDUWKUWGUVQBUVHUWKUWFUVPCUVHUWKUWEUVOUVLUWKUW
      CUVMUWDUVNTUVJUVTUUPVEUVKUVTUUPVEVFVGVHVHVJVKUWJGEUWIGVLRUWJGVMOUWIGEVNWA
      VOZVPVQVRZVSZWBVTUUSIUVGUUSIUUPUMQZUVGUUSUWOIUUSUWOUVHUMQZIUUSUUPUVHWCUWO
      UWPRUUSUVHUVCUUPUWNWPUVHUUPWDWEUUSIWFSZUWPIRAUWQUURMWGIWHWEWIWJUUSUVHUTSU
      VHUVCUUPUKZUWOUVGRUUSUPIVAUUSUVIUVAUUPQZUCUGZUUPQZRUVAUWTRUHZUCUVHUIZKUVH
      UIZUJUWRUUSUVIUXDUWNUUSUXCKUVHAUURUVAUVHSZUXCAUURUXEWKZUXBUCUVHUXFUWTUVHS
      ZUJZUVAUWTUWSUXAUXHUVAUWTWLZUVAUWTTVBZUWTUVATVBZWMZUWSUXAWLZUXHUVAWNSZUWT
      WNSZUXIUXLVIUXFUXNUXGUXFUVAUXEAUVAWOSUURUVAIWQWRWSWGUXGUXOUXFUXGUWTUWTIWQ
      WSVRUVAUWTWTXAUXHUXLUXMUXHUXJUXMUXKUXHUXJUJZUWSUXAUXPUWSUXPUWSUVCSZUWSWOS
      UXHUXQUXJUXFUXQUXGUXFUVHUVCUVAUUPAUURUVIUXEUWNXBZAUURUXEXCZXGWGWGUWSJWQWE
      WSUXHUXJUWSUXATVBZUXHUVRUXJUXTUHZUXFUVRUXGAUURUVRUXEUUSUVIUVRUWMXHXBWGZUX
      HUXEUXGUVRUYAUHUXFUXEUXGUXSWGZUXFUXGXDZUVPUYAUVAUVKTVBZUWSUVNTVBZUHBCUVAU
      WTUVHUVHUVJUVARZUVLUYEUVOUYFUVJUVAUVKTXEUYGUVMUWSUVNTUVJUVAUUPXFXIXJUVKUW
      TRZUYEUXJUYFUXTUVKUWTUVATXKUYHUVNUXAUWSTUVKUWTUUPXFXLXJXMXAXQYHXNUXHUXKUJ
      ZUXAUWSUYIUXAUWSUXHUXAWNSUXKUXHUXAUXHUXAUVCSUXAWOSUXFUVHUVCUWTUUPUXRXOUXA
      JWQWEWSWGUXHUXKUXAUWSTVBZUXHUVRUXKUYJUHZUYBUXHUXGUXEUVRUYKUHUYDUYCUVPUYKU
      WTUVKTVBZUXAUVNTVBZUHBCUWTUVAUVHUVHUVJUWTRZUVLUYLUVOUYMUVJUWTUVKTXEUYNUVM
      UXAUVNTUVJUWTUUPXFXIXJUVKUVARZUYLUXKUYMUYJUVKUVAUWTTXKUYOUVNUWSUXATUVKUVA
      UUPXFXLXJXMXAXQYHXNXPXRXSXTYAYBYCYBYSKUCUVHUVCUUPYDYEUVHUVCUUPUTYFXAWIWJY
      GUUTUVFVIUUSFUVEUUQNYIYTYJPYKAUUNUAEAUUIESZUJZUUMUBEAUYPUUKESZUUMAUYPUYRW
      KZUUIUUKUUJUULUYSUUIUUKWLZUUJUULWLUYSUYTUJZUUIULZUUKULZUUJUULVUABCUDEGUEU
      GZUUIQZVUDUUKQZWLZUEUVHURZWNTYLIJUUIUUKUYSJWFSZUYTAUYPVUIUYRLYMWGUYSUWQUY
      TAUYPUWQUYRMYMWGOAUYPUYRUYTYNZAUYPUYRUYTYOZUYSUYTXDWNVUHUDUGZUUIQZVULUUKQ
      ZWLZUDUVHURTVUGVUOUEUDUVHVUDVULRVUEVUMVUFVUNVUDVULUUIXFVUDVULUUKXFUUAUUBU
      UCUUDVUADUUIUUQVUBEHUVDHDEUUQUUERVUAPYTZVUAUUPUUIRZUJUUPUUIVUAVUQXDYPVUJV
      UAVUBUVCUTVUAUPJVAVUAUVHUVCUUIUYSUVHUVCUUIUFZUYTAUYPVURUYRUYQVURUVLUVJUUI
      QZUVKUUIQZTVBZUHZCUVHUIBUVHUIZUYPVURVVCUJZAUYPVVDUWJUYPVVDVIGUAUVTUUIRZUW
      AUYPUWIVVDGUAEVCVVEUWBVURUWHVVCUVHUVCUVTUUIVDVVEUWFVVBBCUVHUVHVVEUWEVVAUV
      LVVEUWCVUSUWDVUTTUVJUVTUUIVEUVKUVTUUIVEVFVGYQVJVKUWLVPVQVRVSXBWGWBVTYRVUA
      DUUKUUQVUCEHUVDVUPVUAUUPUUKRZUJUUPUUKVUAVVFXDYPVUKUYSVUCUVDSUYTUYSVUCUVCU
      TAUYPUVCUTSUYRAUPJVAYMUYSUVHUVCUUKAUYRUVHUVCUUKUFZUYPAUYRUJVVGUVLUVJUUKQZ
      UVKUUKQZTVBZUHZCUVHUIBUVHUIZUYRVVGVVLUJZAUYRVVMUWJUYRVVMVIGUBUVTUUKRZUWAU
      YRUWIVVMGUBEVCVVNUWBVVGUWHVVLUVHUVCUVTUUKVDVVNUWFVVKBCUVHUVHVVNUWEVVJUVLV
      VNUWCVVHUWDVVITUVJUVTUUKVEUVKUVTUUKVEVFVGYQVJVKUWLVPVQVRVSUUFWBVTWGYRUUGX
      SYAYCYBYBYSUAUBEFHYDYE $.
  $}

  ${
    $d A a w $.  $d A f v z $.  $d B c w $.  $d B v w x y $.  $d B v x y z $.
    $d F v w $.  $d K a x y $.  $d K f x y $.  $d N a $.  $d N f $.
    $d a ph w x y $.  $d a ph x y z $.  $d c ph w $.  $d f ph v x y z $.
    sticksstones3.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones3.2 $e |- ( ph -> K e. NN0 ) $.
    sticksstones3.3 $e |- B = { a e. ~P ( 1 ... N ) | ( # ` a ) = K } $.
    sticksstones3.4 $e |- A = { f | ( f : ( 1 ... K ) --> ( 1 ... N ) /\ A. x
    e. ( 1 ... K ) A. y e. ( 1 ... K )
    ( x < y -> ( f ` x ) < ( f ` y ) ) ) } $.
    sticksstones3.5 $e |- F = ( z e. A |-> ran z ) $.
    $( The range function on strictly monotone functions with finite domain and
       codomain is an surjective mapping onto ` K ` -elemental sets.
       (Contributed by metakunt, 28-Sep-2024.) $)
    sticksstones3 $p  |- ( ph -> F : A -onto-> B ) $=
      ( wral wa wcel clt vw vv vc wfo cfv wceq wrex wf1 sticksstones2 ccnv wfun
      wf cv df-f1 biimpi simpld syl wex c1 chash cfz co wiso wor cfn cr wss w3a
      cn crab eleq2i adantl fveqeq2 elrab sylib elpwid sseld 3impa elfznn nnred
      cpw imp 3expa ex ssrdv ltso mpi fzfid ssfid fz1iso syl2anc wbr wi cab cvv
      soss wf1o wb df-isom 3ad2ant3 simprd f1oeq2d biimpd 3adant3 mpd f1of ffnd
      oveq2 ovexd fnexd fss biimp a1i ralimdva adantr oveq2d raleqdv raleqbidva
      mpbid jca feq1 fveq1 breq12d imbi2d 2ralbidv anbi12d elabd crn cmpt simpr
      sylibr rneqd rnexg fvmptd 3ad2ant1 wfn dff1o2 simp3d eqtrd eqcomd eximdv
      df-rex ralrimiva dffo3 mpbird ) AEFHUDZEFHULZUAUMZUBUMZHUEZUFZUBEUGZUAFQZ
      RZAUUGUUMAEFHUHZUUGABCDEFGHIJKLMNOPUIUUOUUGHUJUKZUUOUUGUUPREFHUNUOUPUQAUU
      LUAFAUUHFSZRZUUIESZUUKRZUBURZUULUURUSUUHUTUEZVAVBZUUHTTUUIVCZUBURZUVAUURU
      UHTVDZUUHVESUVEUURUUHVFVGZUVFUURUCUUHVFUURUCUMZUUHSZUVHVFSZAUUQUVIUVJAUUQ
      UVIVHZUVHUVKUVHUSJVAVBZSZUVHVISAUUQUVIUVMUURUVIUVMUURUUHUVLUVHUURUUHUVLUU
      RUUHUVLWAZSZUVBIUFZUURUUHKUMZUTUEIUFZKUVNVJZSZUVOUVPRUUQUVTAUUQUVTFUVSUUH
      NVKUOVLUVRUVPKUUHUVNUVQUUHIUTVMVNVOZUPVPZVQWBVRUVHJVSUQVTWCWDWEUVGVFTVDUV
      FWFUUHVFTWPWGUQUURUVLUUHUURUSJWHUWBWIUUHTUBWJWKUURUVDUUTUBUURUVDUUTAUUQUV
      DUUTAUUQUVDVHZUUSUUKUWCUUIUSIVAVBZUVLGUMZULZBUMZCUMZTWLZUWGUWEUEZUWHUWEUE
      ZTWLZWMZCUWDQBUWDQZRZGWNZSUUSUWCUWOUWDUVLUUIULZUWIUWGUUIUEZUWHUUIUEZTWLZW
      MZCUWDQZBUWDQZRGUUIWOUWCUWDUUIWOUWCUWDUUHUUIUWCUWDUUHUUIWQZUWDUUHUUIULZUW
      CUVCUUHUUIWQZUXDUWCUXFUWIUWTWRZCUVCQZBUVCQZUVDAUXFUXIRZUUQUVDUXJBCUVCUUHT
      TUUIWSUOWTZUPAUUQUXFUXDWMUVDUURUXFUXDUURUVPUXFUXDWRUURUVOUVPUWAXAZUVPUVCU
      WDUUHUUIUVBIUSVAXHXBUQXCXDXEZUWDUUHUUIXFUQZXGUWCUSIVAXIXJUWCUWQUXCUWCUXEU
      UHUVLVGZUWQUXNAUUQUXOUVDUWBXDUWDUUHUVLUUIXKWKUWCUXACUVCQZBUVCQZUXCUWCUXIU
      XQUWCUXFUXIUXKXAUWCUXHUXPBUVCUWCUWGUVCSZRZUXGUXACUVCUXGUXAWMUXSUWHUVCSRUW
      IUWTXLXMXNXNXEUWCUXPUXBBUVCUWDUWCUVBIUSVAAUUQUVDUVPUURUVPUVDUXLXOVRXPZUWC
      UXPUXBWRUXRUWCUXACUVCUWDUXTXQXOXRXSXTUWEUUIUFZUWFUWQUWNUXCUWDUVLUWEUUIYAU
      YAUWMUXABCUWDUWDUYAUWLUWTUWIUYAUWJUWRUWKUWSTUWGUWEUUIYBUWHUWEUUIYBYCYDYEY
      FYGEUWPUUIOVKYKZUWCUUJUUHUWCUUJUUIYHZUUHUWCUUSUUJUYCUFZUYBAUUQUUSUYDWMUVD
      AUUSUYDAUUSRZDUUIDUMZYHZUYCEHWOHDEUYGYIUFUYEPXMUYEUYFUUIUFZRUYFUUIUYEUYHY
      JYLAUUSYJZUYEUUSUYCWOSUYIUUIEYMUQYNWDYOXEUWCUXDUYCUUHUFZUXMUXDUUIUWDYPZUU
      IUJUKZUYJUXDUYKUYLUYJVHUWDUUHUUIYQUOYRUQYSYTXTWCWDUUAXEUUKUBEUUBYKUUCXTUU
      FUUNWRAUBUAEFHUUDXMUUE $.
  $}

  ${
    $d A a p $.  $d A f p $.  $d A g p $.  $d B g p $.  $d B p x y $.
    $d K a x y $.  $d K f x y $.  $d N a $.  $d N f $.  $d a p ph x y $.
    $d f p ph x y $.  $d g p ph $.
    sticksstones4.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones4.2 $e |- ( ph -> K e. NN0 ) $.
    sticksstones4.3 $e |- B = { a e. ~P ( 1 ... N ) | ( # ` a ) = K } $.
    sticksstones4.4 $e |- A = { f | ( f : ( 1 ... K ) --> ( 1 ... N ) /\ A. x
    e. ( 1 ... K ) A. y e. ( 1 ... K )
    ( x < y -> ( f ` x ) < ( f ` y ) ) ) } $.
    $( Equinumerosity lemma for sticks and stones.  (Contributed by metakunt,
       28-Sep-2024.) $)
    sticksstones4 $p  |- ( ph -> A ~~ B ) $=
      ( vg vp cv cvv c1 wcel cfn wf1o wex cen wbr crn cmpt wf1 wa sticksstones2
      wfo eqid sticksstones3 jca df-f1o sylibr cfz co wf clt cfv wral cab simpl
      wi wss a1i ss2abdv fzfid mapex syl2anc ssexg eleq1i mptexd f1oeq1 biimprd
      wceq adantl spcimedv mpd bren ) ADENPZUAZNUBZDEUCUDADEODOPUEZUFZUAZWCADEW
      EUGZDEWEUJZUHWFAWGWHABCODEFWEGHIJKLMWEUKZUIABCODEFWEGHIJKLMWIULUMDEWEUNUO
      AWBWFNWEQAODWDQARGUPUQZRHUPUQZFPZURZBPZCPZUSUDWNWLUTWOWLUTUSUDVDCWJVABWJV
      AZUHZFVBZQSZDQSAWRWMFVBZVEWTQSZWSAWQWMFWQWMVDAWMWPVCVFVGAWJTSWKTSXAARGVHA
      RHVHWJWKTTFVIVJWRWTQVKVJDWRQMVLUOVMWAWEVPZWFWBVDAXBWBWFDEWAWEVNVOVQVRVSDE
      NVTUO $.
  $}

  ${
    $d A f $.  $d A s $.  $d K f x y $.  $d K s x y $.  $d N f x y $.
    $d N s x y $.  $d f ph x y $.  $d ph s x y $.
    sticksstones5.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones5.2 $e |- ( ph -> K e. NN0 ) $.
    sticksstones5.3 $e |- A = { f | ( f : ( 1 ... K ) --> ( 1 ... N ) /\ A. x
    e. ( 1 ... K ) A. y e. ( 1 ... K )
    ( x < y -> ( f ` x ) < ( f ` y ) ) ) } $.
    $( Count the number of strictly monotonely increasing functions on finite
       domains and codomains.  (Contributed by metakunt, 28-Sep-2024.) $)
    sticksstones5 $p  |- ( ph -> ( # ` A ) = ( N _C K ) ) $=
      ( vs chash cfv wceq c1 co cbc syl wcel eqtrd cv cfz cpw crab cen wbr eqid
      sticksstones4 hasheni cfn cz fzfid nn0zd hashbc syl2anc eqcomd cn0 oveq1d
      hashfz1 ) ADLMZKUALMFNKOGUBPZUCUDZLMZGFQPZADVBUEUFUTVCNABCDVBEFGKHIVBUGJU
      HDVBUIRAVCVALMZFQPZVDAVFVCAVAUJSFUKSVFVCNAOGULAFIUMKVAFUNUOUPAVEGFQAGUQSV
      EGNHGUSRURTT $.
  $}

  ${
    $d G x $.  $d K x $.  $d X i x $.  $d Y i x $.  $d i ph x $.
    sticksstones6.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones6.2 $e |- ( ph -> K e. NN0 ) $.
    sticksstones6.3 $e |- ( ph -> G : ( 1 ... ( K + 1 ) ) --> NN0 ) $.
    sticksstones6.4 $e |- ( ph -> X e. ( 1 ... K ) ) $.
    sticksstones6.5 $e |- ( ph -> Y e. ( 1 ... K ) ) $.
    sticksstones6.6 $e |- ( ph -> X < Y ) $.
    sticksstones6.7 $e |- F = ( x e. ( 1 ... K ) |-> ( x + sum_ i e.
    ( 1 ... x ) ( G ` i ) ) ) $.
    $( Function induces an order isomorphism for sticks and stones theorem.
       (Contributed by metakunt, 1-Oct-2024.) $)
    sticksstones6 $p |- ( ph -> ( F ` X ) < ( F ` Y ) ) $=
      ( c1 co wcel adantr cfz cv cfv csu caddc clt cn elfznn syl nnred fzfid wa
      cn0 1zzd cz nn0zd peano2zd adantl nnzd nnge1d cle wbr elfzle2 letrd lep1d
      zred elfzd simpr ffvelrnd adantlr mpdan fsumnn0cl nn0red elfzelz readdcld
      wf 1red cr ltp1d ltled elfzle1 fsumrecl nn0ge0d fsumge0 addge01d ltleaddd
      cc0 mpbid cmpt wceq oveq2d sumeq1d oveq12d nnnn0d nn0addcld fvmptd eqcomd
      a1i cin c0 fzdisj cun fzsplit recnd fsumsplit eqtrd 3brtr3d ) AHQHUARZCUB
      ZEUCZCUDZUERZIXKHQUERZIUARZXJCUDZUERZUERZHDUCZIDUCZUFAHXKIXPAHAHQFUARZSZH
      UGSZMHFUHUIZUJZAXKAXHXJCAQHUKAXIXHSZULZXIQFQUERZUARZSZXJUMSZYFXIQYGYFUNYF
      FAFUOSZYEAFKUPZTZUQZYFXIYEXIUGSAXIHUHURZUSYFXIYOUTYFXIFYGYFXIYOUJZYFFYMVF
      ZYFYGYNVFYFXIHFYPYFHAYBYEYCTUJYQYEXIHVAVBAXIQHVCURAHFVAVBZYEAYAYRMHQFVCUI
      TVDYFFYQVEVDVGAYIYJYEAYIULYHUMXIEAYHUMEVPYILTAYIVHVIZVJVKVLZVMZAIAIXTSZIU
      GSNIFUHUIZUJZAXKXOUUAAXNXJCAXMIUKZAXIXNSZULZXJUUGYIYJUUGXIQYGUUGUNUUGFAYK
      UUFYLTZUQZUUFXIUOSZAXIXMIVNURZUUGQXMXIUUGVQZUUGHQAHVRSUUFYDTUULVOUUGXIUUK
      VFZAQXMVAVBUUFAQHXMAVQZYDAHQYDUUNVOZAHYCUTZAHXMYDUUOAHYDVSZVTVDTUUFXMXIVA
      VBAXIXMIWAURVDUUGXIIYGUUMAIVRSZUUFUUDTZUUGYGUUIVFZUUFXIIVAVBZAXIXMIVCURUU
      GIFYGUUSUUGFUUHVFZUUTAIFVAVBZUUFAUUBUVCNIQFVCUIZTUUGFUVBVEVDVDVGAYIYJUUFY
      SVJVKZVMZWBZVOOAWGXOVAVBXKXPVAVBAXNXJCUUEUVFUUGXJUVEWCWDAXKXOUUAUVGWEWHWF
      AXRXLABHBUBZQUVHUARZXJCUDZUERZXLXTDUMDBXTUVKWIWJAPWRZAUVHHWJZULZUVHHUVJXK
      UEAUVMVHZUVNUVIXHXJCUVNUVHHQUAUVOWKWLWMMAHXKAHYCWNZYTWOWPWQAXSXQAXSIQIUAR
      ZXJCUDZUERZXQABIUVKUVSXTDUMUVLAUVHIWJZULZUVHIUVJUVRUEAUVTVHZUWAUVIUVQXJCU
      WAUVHIQUAUWBWKWLWMNAIUVRAIUUCWNZAUVQXJCAQIUKZAXIUVQSZULZYIYJUWFXIQYGUWFUN
      UWFFAYKUWEYLTZUQZUWEUUJAXIQIVNURZUWEQXIVAVBAXIQIWAURUWFXIIYGUWFXIUWIVFAUU
      RUWEUUDTZUWFYGUWHVFZUWEUVAAXIQIVCURUWFIFYGUWJUWFFUWGVFZUWKAUVCUWEUVDTUWFF
      UWLVEVDVDVGAYIYJUWEYSVJVKZVLWOWPAUVRXPIUEAXHXNXJUVQCAHXMUFVBXHXNWSWTWJUUQ
      QHXMIXAUIAHUVQSUVQXHXNXBWJAHQIAUNAIUWCUPAHUVPUPUUPAHIYDUUDOVTVGHQIXCUIUWD
      UWFXJUWFXJUWMVMXDXEWKXFWQXG $.
  $}

  ${
    $d G x $.  $d K i x $.  $d X i x $.  $d i ph x $.
    sticksstones7.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones7.2 $e |- ( ph -> K e. NN0 ) $.
    sticksstones7.3 $e |- ( ph -> G : ( 1 ... ( K + 1 ) ) --> NN0 ) $.
    sticksstones7.4 $e |- ( ph -> X e. ( 1 ... K ) ) $.
    sticksstones7.5 $e |- F = ( x e. ( 1 ... K ) |-> ( x + sum_ i e.
    ( 1 ... x ) ( G ` i ) ) ) $.
    sticksstones7.6 $e |- ( ph -> sum_ i e. ( 1 ... ( K + 1 ) )
    ( G ` i ) = N ) $.
    $( Closure property of sticks and stones function.  (Contributed by
       metakunt, 1-Oct-2024.) $)
    sticksstones7 $p |- ( ph -> ( F ` X ) e. ( 1 ... ( N + K ) ) ) $=
      ( c1 co caddc wcel cle wbr cfv cfz cv csu cn0 cmpt wceq a1i simpr sumeq1d
      wa oveq2d oveq12d cn elfznn syl nnnn0d fzfid 1zzd cz nn0zd adantr elfzelz
      peano2zd adantl elfzle1 zred cr nnred elfzle2 nn0red readdcld lep1d letrd
      1red elfzd wf ffvelrnda mpdan fsumnn0cl nn0addcld fvmptd zaddcld cc0 eqid
      1p0e1 eqtr4i 0red nnge1d nn0ge0d le2addd eqbrtrd adantlr addge01d clt cin
      mpbid c0 ltp1d fzdisj cun fzsplit nn0cn fsumsplit breqtrrd eqcomd addcomd
      cc nn0cnd breqtrd eqeltrd ) AHDUAHOHUBPZCUCZEUAZCUDZQPZOGFQPZUBPABHBUCZOX
      RUBPZXNCUDZQPZXPOFUBPZDUEDBYBYAUFUGAMUHAXRHUGZUKZXRHXTXOQAYCUIZYDXSXLXNCY
      DXRHOUBYEULUJUMLAHXOAHAHYBRZHUNRLHFUOUPZUQZAXLXNCAOHURAXMXLRZUKZXMOFOQPZU
      BPZRZXNUERZYJXMOYKYJUSYJFAFUTRYIAFJVAZVBVDZYIXMUTRZAXMOHVCVEZYIOXMSTAXMOH
      VFVEYJXMHYKYJXMYRVGAHVHRZYIAHYGVIZVBYJYKYPVGYIXMHSTAXMOHVJVEAHYKSTYIAHFYK
      YTAFJVKZAFOUUAAVOZVLAYFHFSTLHOFVJUPZAFUUAVMVNZVBVNVPYJYLUEXMEAYLUEEVQYIKV
      BVRVSVTZWAZWBAXPOXQAUSZAGFAGIVAYOWCAXPUUFVAAOOWDQPZXPSOUUHUGAOOUUHOWEWFWG
      UHAOWDHXOUUBAWHYTAXOUUEVKZAHYGWIZAXOUUEWJWKWLAXPFGQPXQSAHXOFGYTUUIUUAAGIV
      KUUCAXOYLXNCUDZGSAXOXOHOQPZYKUBPZXNCUDZQPZUUKSAWDUUNSTXOUUOSTAUUNAUUMXNCA
      UULYKURAXMUUMRZUKZYMYNUUQXMOYKAOUTRUUPUUGVBAYKUTRUUPAFYOVDZVBUUPYQAXMUULY
      KVCVEZUUQOUULXMAOVHRUUPUUBVBZUUQHOAYSUUPYTVBZUUTVLZUUQXMUUSVGUUQOHUULUUTU
      VAUVBAOHSTUUPUUJVBUUQHUVAVMVNUUPUULXMSTAXMUULYKVFVEVNUUPXMYKSTAXMUULYKVJV
      EVPAYMYNUUPAYLUEXMEKVRZWMVSVTZWJAXOUUNUUIAUUNUVDVKWNWQAXLUUMXNYLCAHUULWOT
      XLUUMWPWRUGAHYTWSOHUULYKWTUPAHYLRYLXLUUMXAUGAHOYKUUGUURAHYHVAUUJUUDVPHOYK
      XBUPAOYKURAYMUKYNXNXHRUVCXNXCUPXDXEAUUKGNXFXEWKAFGAFJXIAGIXIXGXJVPXK $.
  $}

  ${
    $d A a e j l $.  $d A a j l x y $.  $d B a $.  $d K e j l $.
    $d K f j l x y $.  $d K g i $.  $d N f j $.  $d N g $.  $d a f j l x y $.
    $d a g i $.  $d a e j l ph $.  $d i l $.  $d ph x y $.
    sticksstones8.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones8.2 $e |- ( ph -> K e. NN0 ) $.
    sticksstones8.3 $e |- F = ( a e. A |-> ( j e. ( 1 ... K ) |->
    ( j + sum_ l e. ( 1 ... j ) ( a ` l ) ) ) ) $.
    sticksstones8.4 $e |- A = { g | ( g : ( 1 ... ( K + 1 ) ) --> NN0 /\
     sum_ i e. ( 1 ... ( K + 1 ) ) ( g ` i ) = N ) } $.
    sticksstones8.5 $e |- B = { f | ( f : ( 1 ... K ) --> ( 1 ... ( N + K ) )
    /\ A. x e. ( 1 ... K ) A. y e. ( 1 ... K ) ( x < y ->
    ( f ` x ) < ( f ` y ) ) ) } $.
    $( Establish mapping between strictly monotone functions and functions that
       sum to a fixed non-negative integer.  (Contributed by metakunt,
       1-Oct-2024.) $)
    sticksstones8 $p |- ( ph -> F : A --> B ) $=
      ( wcel ve c1 cfz co cv cfv csu caddc cmpt wa wf clt wbr wi wral cab eqidd
      w3a cvv wceq simpr oveq2d sumeq1d oveq12d simp3 ovexd fvmptd cn0 3ad2ant1
      eqcomd eleqtrrd wb feq1 simpl fveq1d sumeq2dv eqeq1d anbi12d elabg biimpd
      a1i syl mpd simpld 3adant3 eqid fveq2 cbvsum simprd eqtr3id sticksstones7
      eqeltrrd 3expa fmptd ad3antrrr adantr adantl simpllr simplr sticksstones6
      nfcv ex ralrimiva jca cfn fzfid fexd fveq1 breq12d imbi2d 2ralbidv mpbird
      ) AMDIUBKUCUDZIUEZUBXNUCUDZNUEZMUEZUFZNUGZUHUDZUIZEJAXQDTZUJZYAXMUBLKUHUD
      UCUDZFUEZUKZBUEZCUEZULUMZYGYEUFZYHYEUFZULUMZUNZCXMUOBXMUOZUJZFUPZEYCYAYPT
      ZXMYDYAUKZYIYGYAUFZYHYAUFZULUMZUNZCXMUOZBXMUOZUJZYCYRUUDYCIXMXTYDYAAYBXNX
      MTZXTYDTAYBUUFURZXNUAXMUAUEZUBUUHUCUDZXRNUGZUHUDZUIZUFXTYDUUGUAXNUUKXTXMU
      ULUSUUGUULUQUUGUUHXNUTZUJZUUHXNUUJXSUHUUGUUMVAZUUNUUIXOXRNUUNUUHXNUBUCUUO
      VBVCVDAYBUUFVEZUUGXNXSUHVFVGUUGUANUULXQKLXNAYBLVHTZUUFOVIAYBKVHTZUUFPVIAY
      BUBKUBUHUDUCUDZVHXQUKZUUFYCUUTUUSHUEZXQUFZHUGZLUTZYCXQUUSVHGUEZUKZUUSUVAU
      VEUFZHUGZLUTZUJZGUPZTZUUTUVDUJZYCXQDUVKAYBVAZYCDUVKDUVKUTYCRWAVJVKZYCUVLU
      VMYCYBUVLUVMVLZUVNUVJUVMGXQDUVEXQUTZUVFUUTUVIUVDUUSVHUVEXQVMUVQUVHUVCLUVQ
      UUSUVGUVBHUVQUVAUUSTZUJUVAUVEXQUVQUVRVNVOVPVQVRVSZWBVTWCZWDWEUUPUULWFAYBU
      USXRNUGZLUTUUFYCUWAUVCLUUSUVBXRHNUVAXPXQWGNUUSXAHUUSXANUVBXAHXRXAWHYCUUTU
      VDUVTWIWJWEWKWLWMYAWFZWNZYCUUCBXMYCYGXMTZUJZUUBCXMUWEYHXMTZUJZYIUUAUWGYIU
      JINYAXQKLYGYHUWGUUQYIAUUQYBUWDUWFOWOWPUWGUURYIAUURYBUWDUWFPWOWPUWGUUTYIUW
      EUUTUWFYCUUTUWDYCUUTUVDYCUVLUVMUVOYCUVLUVMYBUVPAUVSWQVTWCWDWPWPWPYCUWDUWF
      YIWRUWEUWFYIWSUWGYIVAUWBWTXBXCXCXDYCYAUSTYQUUEVLYCXMYDXEYAUWCYCUBKXFXGYOU
      UEFYAUSYEYAUTZYFYRYNUUDXMYDYEYAVMUWHYMUUBBCXMXMUWHYLUUAYIUWHYJYSYKYTULYGY
      EYAXHYHYEYAXHXIXJXKVRVSWBXLEYPUTYCSWAVKQWN $.
  $}

  ${
    $d A b $.  $d B b $.  $d K g i $.  $d N g i $.  $d b ph $.
    sticksstones9.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones9.2 $e |- ( ph -> K = 0 ) $.
    sticksstones9.3 $e |- G = ( b e. B |-> if ( K = 0
     , { <. 1 , N >. } , ( k e. ( 1 ... ( K + 1 ) )
        |-> if ( k = ( K + 1 ) , ( ( N + K ) - ( b ` K ) ) , if
       ( k = 1 , ( ( b ` 1 ) - 1 )
       , ( ( ( b ` k ) - ( b ` ( k - 1 ) ) ) - 1 ) ) ) ) ) ) $.
    sticksstones9.4 $e |- A = { g | ( g : ( 1 ... ( K + 1 ) ) --> NN0 /\
     sum_ i e. ( 1 ... ( K + 1 ) ) ( g ` i ) = N ) } $.
    sticksstones9.5 $e |- B = { f | ( f : ( 1 ... K ) --> ( 1 ... ( N + K ) )
    /\ A. x e. ( 1 ... K ) A. y e. ( 1 ... K ) ( x < y ->
    ( f ` x ) < ( f ` y ) ) ) } $.
    $( Establish mapping between strictly monotone functions and functions that
       sum to a fixed non-negative integer.  (Contributed by metakunt,
       6-Oct-2024.) $)
    sticksstones9 $p |- ( ph -> G : B --> A ) $=
      ( wceq c1 cc0 cop csn caddc co cfz cv cfv cmin cif cmpt wa iftrued adantr
      wcel cn0 wf csu cab wss eqid cn 1nn a1i fsng syl2anc mpbiri snssd jca fss
      wb syl oveq1d 0p1e1 eqtrdi oveq2d cz 1zzd fzsn eqtrd eqcomd feq2d sumeq1d
      mpbid cc fvsng nn0cnd eqeltrd fveq2 sumsn snex feq1 simpl fveq1d sumeq2dv
      cvv eqeq1d anbi12d elabg ax-mp sylibr eleqtrrd fmptd ) AMEKUASZTLUBZUCZIT
      KTUDUEZUFUEZIUGZXGSLKUDUEKMUGZUHUIUEXITSTXJUHTUIUEXIXJUHXITUIUEXJUHUIUETU
      IUEUJUJUKZUJZDJAXJEUOZULZXLXFDAXLXFSXMAXDXFXKOUMUNXNXFXHUPGUGZUQZXHHUGZXO
      UHZHURZLSZULZGUSZDXNXHUPXFUQZXHXQXFUHZHURZLSZULZXFYBUOZAYGXMAYCYFATUCZUPX
      FUQZYCAYILUCZXFUQZYKUPUTZULYJAYLYMAYLXFXFSZXFVAATVBUOZLUPUOZYLYNVKYOAVCVD
      ZNTLVBUPXFVEVFVGALUPNVHVIYIYKUPXFVJVLAYIXHUPXFAXHYIAXHTTUFUEZYIAXGTTUFAXG
      UATUDUETAKUATUDOVMVNVOVPATVQUOYRYISAVRTVSVLVTZWAWBWDAYEYIYDHURZLAXHYIYDHY
      SWCAYTTXFUHZLAYOUUAWEUOZULYTUUASAYOUUBYQAUUALWEAYOYPUUALSZYQNTLVBUPWFZVFA
      LNWGWHVIYDUUAHTVBXQTXFWIWJVLAYOYPULUUCAYOYPYQNVIUUDVLVTVTVIUNXFWPUOYHYGVK
      XEWKYAYGGXFWPXOXFSZXPYCXTYFXHUPXOXFWLUUEXSYELUUEXHXRYDHUUEXQXHUOZULXQXOXF
      UUEUUFWMWNWOWQWRWSWTXADYBSXNQVDXBWHPXC $.
  $}

  ${
    $d A b $.  $d B b i k $.  $d B b i s $.  $d B b i w $.  $d K f x y $.
    $d K g i k $.  $d K i s $.  $d K i w $.  $d N f $.  $d N g i k $.
    $d b f x y $.  $d b g i k $.  $d b i k ph $.  $d k x y $.  $d ph s $.
    $d ph w $.
    sticksstones10.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones10.2 $e |- ( ph -> K e. NN ) $.
    sticksstones10.3 $e |- G = ( b e. B |-> if ( K = 0
     , { <. 1 , N >. } , ( k e. ( 1 ... ( K + 1 ) )
        |-> if ( k = ( K + 1 ) , ( ( N + K ) - ( b ` K ) ) , if
       ( k = 1 , ( ( b ` 1 ) - 1 )
       , ( ( ( b ` k ) - ( b ` ( k - 1 ) ) ) - 1 ) ) ) ) ) ) $.
    sticksstones10.4 $e |- A = { g | ( g : ( 1 ... ( K + 1 ) ) --> NN0 /\
     sum_ i e. ( 1 ... ( K + 1 ) ) ( g ` i ) = N ) } $.
    sticksstones10.5 $e |- B = { f | ( f : ( 1 ... K ) --> ( 1 ... ( N + K ) )
    /\ A. x e. ( 1 ... K ) A. y e. ( 1 ... K ) ( x < y ->
    ( f ` x ) < ( f ` y ) ) ) } $.
    $( Establish mapping between strictly monotone functions and functions that
       sum to a fixed non-negative integer.  (Contributed by metakunt,
       6-Oct-2024.) $)
    sticksstones10 $p |- ( ph -> G : B --> A ) $=
      ( c1 wcel vs vw cc0 wceq caddc co cfz cv cfv cmin cif wne adantr iffalsed
      wa neneqd eqcomd cn0 wf csu cab w3a eleq1 cz cle wbr nnzd zaddcld cn wral
      clt wi feq1 fveq1 anbi12d elab adantl 1zzd nnge1d zred leidd elfzd elfznn
      ffvelrnd syl zsubcld nnred recnd addid1d elfzle2 eqbrtrd leaddsub2d mpbid
      0red jca elnn0z sylibr 3impa 1red 1cnd elfzle1 3adant3 simp3 neqne necomd
      wn readdcld ltlend mpbird wb zleltp1 syl2anc cr lesubadd syl3anc leaddsub
      a1i fveq2 ifbothda cvv eqidd simpr eqeq1d fveq2d oveq1d ifbieq2d sumeq2dv
      oveq12d ovexd zcnd eqeq1 fvoveq1 iftrued eqtrd letrd cc elfzelz nfcv cmul
      oveq2d cop csn cmpt nnne0d nn0zd eleq2i vex breq12d imbi2d 2ralbidv bitri
      biimpi simpld 0p1e1 subidd ltm1d simprd breq1 breq1d imbi12d breq2 breq2d
      zltlem1d rspc2va mpd ltaddsub2d zlem1lt 3expa fmpttd fvoveq1d fvmptd nnuz
      ifcld eleqtrdi zltp1le fsump1 ltp1d lelttrd ltned fzfid ad2antrr resubcld
      cuz zltlem1 lem1d fsumsub id fsum1p npcand peano2zd lep1d fsumshft cbvsum
      sumeq1d eqeltrd breqtrd nncnd telfsum2 eleq1d pncan3d chash cfn fsumconst
      nnnn0d hashfz1 mulid1d addid2d subsub3d subcld subsub4d addsubassd nn0cnd
      0cnd fsumzcl addlsub ovex mptex simpl fveq1d eleqtrrd eqeltrrd fmptd ) AM
      EKUCUDZSLUUAUUBZISKSUEUFZUGUFZIUHZUYEUDZLKUEUFZKMUHZUIZUJUFZUYGSUDZSUYJUI
      ZSUJUFZUYGUYJUIZUYGSUJUFZUYJUIZUJUFZSUJUFZUKZUKZUUCZUKZDJAUYJETZUOZVUCVUD
      DVUFVUDVUCVUFUYCUYDVUCVUFKUCAKUCULVUEAKOUUDUMUPUNUQVUFVUCUYFURGUHZUSZUYFH
      UHZVUGUIZHUTZLUDZUOZGVAZDVUFUYFURVUCUSZUYFVUIVUCUIZHUTZLUDZUOZVUCVUNTVUFV
      UOVURVUFIUYFVUBURAVUEUYGUYFTZVUBURTZUYHUYLURTZVUAURTZVVAAVUEVUTVBZUYLVUAU
      YLVUBURVCVUAVUBURVCVVDVVBUYHAVUEVUTVVBVUFVVBVUTVUFUYLVDTZUCUYLVEVFZUOVVBV
      UFVVEVVFVUFUYIUYKVUFLKALVDTZVUEALNUUEUMZAKVDTZVUEAKOVGUMZVHZVUFUYKVUFUYKS
      UYIUGUFZTZUYKVITZVUFSKUGUFZVVLKUYJVUFVVOVVLUYJUSZBUHZCUHZVKVFZVVQUYJUIZVV
      RUYJUIZVKVFZVLZCVVOVJBVVOVJZVUEVVPVWDUOZAVUEVWEVUEUYJVVOVVLFUHZUSZVVSVVQV
      WFUIZVVRVWFUIZVKVFZVLZCVVOVJBVVOVJZUOZFVAZTVWEEVWNUYJRUUFVWMVWEFUYJMUUGVW
      FUYJUDZVWGVVPVWLVWDVVOVVLVWFUYJVMVWOVWKVWCBCVVOVVOVWOVWJVWBVVSVWOVWHVVTVW
      IVWAVKVVQVWFUYJVNVVRVWFUYJVNUUHUUIUUJVOVPUUKUULVQZUUMZVUFKSKVUFVRZVVJVVJA
      SKVEVFVUEAKOVSUMZVUFKVUFKVVJVTZWAWBWDZUYKUYIWCWEZVGWFVUFUYKUCUEUFZUYIVEVF
      VVFVUFVXCUYKUYIVEVUFUYKVUFUYKVUFUYKVXBWGZWHZWIVUFVVMUYKUYIVEVFVXAUYKSUYIW
      JWEWKVUFUYKUCUYIVXDVUFWNZVUFUYIVVKVTWLWMWOUYLWPWQZUMWRUMUYMUYOURTZUYTURTZ
      VVCVVDUYHXFZUOZUYOUYTUYOVUAURVCUYTVUAURVCVXKVXHUYMVVDVXHVXJAVUEVUTVXHVUFV
      XHVUTVUFUYOVDTZUCUYOVEVFZUOVXHVUFVXLVXMVUFUYNSVUFUYNVVLTZUYNVDTZVUFVVOVVL
      SUYJVWQVUFSSKVWRVVJVWRVUFSVUFWSZWAVWSWBWDZVXNUYNUYNUYIWCVGWEZVWRWFVUFSUCU
      EUFZUYNVEVFVXMVUFVXSSUYNVEVUFSVUFWTZWIVUFVXNSUYNVEVFVXQUYNSUYIXAWEWKVUFSU
      CUYNVXPVXFVUFUYNVXRVTZWLWMWOUYOWPWQUMWRUMUMVXKUYMXFZUOZUYTVDTZUCUYTVEVFZU
      OVXIVYCVYDVYEVYCUYSSVYCUYPUYRVXKUYPVDTVYBVXKUYPVXKUYPVVLTUYPVITVXKVVOVVLU
      YGUYJVVDVVPVXJAVUEVVPVUTVWQXBUMZVXKUYGSKVXKVRVVDVVIVXJAVUEVVIVUTVVJXBZUMZ
      VXKUYGVVDUYGVITZVXJVVDVUTVYIAVUEVUTXCZUYGUYEWCWEZUMZVGZVXKUYGVYLVSZVXKUYG
      KVEVFZUYGUYEVKVFZVXKVYPUYGUYEVEVFZUYEUYGULZUOVXKVYQVYRVVDVYQVXJVVDVUTVYQV
      YJUYGSUYEWJWEZUMVXKUYGUYEVXJUYGUYEULVVDUYGUYEXDVQXEWOVXKUYGUYEVXKUYGVYLWG
      ZVXKKSVXKKVYHVTVXKWSZXGXHXIVVDVYOVYPXJZVXJVVDUYGVDTZVVIWUBVVDUYGVYKVGVYGU
      YGKXKXLUMXIWBZWDUYPUYIWCWEVGUMZVYCUYRVYCUYRVVLTUYRVITVYCVVOVVLUYQUYJVXKVV
      PVYBVYFUMVYCUYQSKVYCVRZVXKVVIVYBVYHUMVYCUYGSVXKWUCVYBVYMUMZWUFWFVYCSUYGVK
      VFZSUYQVEVFVYCWUHSUYGVEVFZUYGSULZUOVYCWUIWUJVXKWUIVYBVYNUMVYBWUJVXKUYGSXD
      VQWOVYCSUYGVXKSXMTZVYBWUAUMZVXKUYGXMTZVYBVYTUMZXHXIVYCSUYGWUFWUGUVCWMVXKU
      YQKVEVFZVYBVVDWUOVXJVVDWUOVYQVYSVVDWUMWUKKXMTZWUOVYQXJVVDUYGVYKWGAVUEWUKV
      UTVXPXBAVUEWUPVUTVWTXBUYGSKXNXOXIUMUMWBZWDUYRUYIWCWEVGZWFZWUFWFVYCUCSUEUF
      ZUYSVEVFZVYEVYCWUTSUYSVEWUTSUDVYCUUNXQVYCSUYSVEVFZSSUJUFZUYSVKVFZVYCWVCUC
      UYSVKVYCSVYCWTUUOVYCUYRUCUEUFZUYPVKVFUCUYSVKVFVYCWVEUYRUYPVKVYCUYRVYCUYRV
      YCUYRWURVTZWHWIVYCUYQUYGVKVFZUYRUYPVKVFZVYCUYGWUNUUPVYCUYQVVOTZUYGVVOTZUO
      VWDWVGWVHVLZVYCWVIWVJWUQVXKWVJVYBWUDUMWOVXKVWDVYBVVDVWDVXJAVUEVWDVUTVUFVV
      PVWDVWPUUQXBUMUMVWCWVKUYQVVRVKVFZUYRVWAVKVFZVLBCUYQUYGVVOVVOVVQUYQUDZVVSW
      VLVWBWVMVVQUYQVVRVKUURWVNVVTUYRVWAVKVVQUYQUYJXRUUSUUTVVRUYGUDZWVLWVGWVMWV
      HVVRUYGUYQVKUVAWVOVWAUYPUYRVKVVRUYGUYJXRUVBUUTUVDXLUVEWKVYCUYRUCUYPWVFVYC
      WNZVYCUYPWUEVTUVFWMWKVYCSVDTZUYSVDTWVBWVDXJWUFWUSSUYSUVGXLXIWKVYCUCXMTWUK
      UYSXMTWVAVYEXJWVPWULVYCUYSWUSVTUCSUYSXPXOWMWOUYTWPWQXSXSUVHUVIVUFVUQUYFVU
      IUYEUDZUYLVUISUDZUYOVUIUYJUIZVUISUJUFZUYJUIZUJUFZSUJUFZUKZUKZHUTZLVUFUYFV
      UPWWFHVUFVUIUYFTZUOZIVUIVUBWWFUYFVUCXTWWIVUCYAWWIUYGVUIUDZUOZUYHWVRVUAWWE
      UYLWWKUYGVUIUYEWWIWWJYBZYCWWKUYMWVSUYTWWDUYOWWKUYGVUISWWLYCWWKUYSWWCSUJWW
      KUYPWVTUYRWWBUJWWKUYGVUIUYJWWLYDWWKUYGVUISUYJUJWWLUVJYHYEYFYFVUFWWHYBWWIW
      VRUYLWWEXTWWIUYIUYKUJYIWWIWVSUYOWWDXTWWIUYNSUJYIWWIWWCSUJYIUVMUVMUVKYGVUF
      WWGVVOWWFHUTZUYEUYEUDZUYLUYESUDZUYOUYEUYJUIZUYESUJUFUYJUIZUJUFZSUJUFZUKZU
      KZUEUFZLVUFWWFWXAHSKVUFKVISUWCUIZAKVITVUEOUMZUVLUVNZWWIWWFAVUEWWHWWFVDTZW
      VRVVEWWEVDTZWXFAVUEWWHVBZUYLWWEUYLWWFVDVCWWEWWFVDVCWXHWVRUOZUYIUYKWXILKWX
      HVVGWVRAVUEVVGWWHVVHXBUMWXHVVIWVRAVUEVVIWWHVVJXBZUMVHWXIUYKWXHVVNWVRAVUEV
      VNWWHVXBXBUMVGWFWVSVXLWWDVDTWXGWXHWVRXFZUOZUYOWWDUYOWWEVDVCWWDWWEVDVCWXLW
      VSUOZUYNSWXLVXOWVSWXHVXOWXKAVUEVXOWWHVXRXBUMUMWXMVRWFWXLWVSXFZUOZWWCSWXOW
      VTWWBWXOWVTWXOWVTVVLTZWVTVITWXOVVOVVLVUIUYJWXLVVPWXNWXHVVPWXKAVUEVVPWWHVW
      QXBUMUMZWXLVUIVVOTZWXNWXLVUISKWXLVRWXHVVIWXKWXJUMZWXHVUIVDTZWXKWXHVUIAVUE
      WWHVUIVITZWWHWYAVUFVUIUYEWCVQWRZVGUMZWXHSVUIVEVFZWXKWXHVUIWYBVSUMZWXLVUIK
      VEVFZVUIUYEVKVFZWXLWYGVUIUYEVEVFZUYEVUIULZUOWXLWYHWYIWXHWYHWXKWXHWWHWYHAV
      UEWWHXCVUISUYEWJWEUMZWXLVUIUYEWXKVUIUYEULWXHVUIUYEXDVQXEWOWXLVUIUYEWXLVUI
      WYCVTWXLKSWXLKWXSVTZWXLWSXGXHXIWXLWXTVVIWYFWYGXJWYCWXSVUIKXKXLXIWBUMWDWVT
      UYIWCZWEVGWXOWWBWXOWWBVVLTZWWBVITZWXOVVOVVLWWAUYJWXQWXOWWASKWXOVRZWXLVVIW
      XNWXSUMWXOVUISWXLWXTWXNWYCUMZWYOWFWXOSSUEUFZVUIVEVFZSWWAVEVFZWXOSVUIVKVFZ
      WYRWXOWYTWYDVUISULZUOZWXOWYDXUAWXLWYDWXNWYEUMWXNXUAWXLVUISXDZVQWOWXOSVUIW
      XOWSZWXOVUIWYPVTZXHXIWXOWVQWXTWYTWYRXJZWYOWYPSVUIUVOZXLWMWXOWUKWUKVUIXMTZ
      WYRWYSXJXUDXUDXUESSVUIXPXOWMWXOWWAKVEVFZWYHWXLWYHWXNWYJUMWXOXUHWUKWUPXUIW
      YHXJXUEXUDWXLWUPWXNWYKUMVUISKXNXOXIWBWDWWBUYIWCZWEVGWFWYOWFXSXSUVHYJWVRWV
      RWWNWWEWWTUYLVUIUYEUYEYKWVRWVSWWOWWDWWSUYOVUIUYESYKWVRWWCWWRSUJWVRWVTWWPW
      WBWWQUJVUIUYEUYJXRVUIUYESUYJUJYLYHYEYFYFUVPVUFWXBWWMUYLUEUFZLVUFWXAUYLWWM
      UEVUFWWNUYLWWTVUFUYEYAYMYTVUFXUKVVOWWEHUTZUYLUEUFZLVUFWWMXULUYLUEVUFVVOWW
      FWWEHVUFWXRUOZWVRUYLWWEXUNVUIUYEXUNVUIUYEXUNVUIWXRWYAVUFVUIKWCVQZWGZXUNVU
      IKUYEXUPVUFWUPWXRVWTUMZXUNKSXUQXUNWSZXGWXRWYFVUFVUISKWJVQZXUNKXUQUVQUVRUV
      SUPUNYGYEVUFXUMVVOWVSUYNWWCUKZSUJUFZHUTZUYLUEUFZLVUFXULXVBUYLUEVUFVVOWWEX
      VAHWVSUYOXVAUDWWDXVAUDWWEXVAUDXUNUYOWWDUYOWWEXVAYKWWDWWEXVAYKXUNWVSUOZUYO
      UYOXVAXVDUYOYAXVDUYNXUTSUJXVDXUTUYNXVDWVSUYNWWCXUNWVSYBYMUQYEYNXUNWXNUOZW
      WDWWDXVAXVEWWDYAXVEXVAWWDXVEXUTWWCSUJXVEWVSUYNWWCXUNWXNYBZUNYEUQYNXSYGYEV
      UFXVCLUDXVBLUYLUJUFZUDVUFXVBLLKUYKUJUFZUEUFZUJUFZXVGVUFXVBLLUJUFZXVHUJUFZ
      XVJVUFXVBUCXVHUJUFZXVLVUFXVBUCUYKUEUFZKUJUFZXVMVUFXVBUYKKUJUFZXVOVUFXVBVV
      OXUTHUTZVVOSHUTZUJUFXVPVUFVVOXUTSHVUFSKUVTZXUNXUTWVSVXOWWCVDTXUTVDTXUNUYN
      WWCUYNXUTVDVCWWCXUTVDVCVUFVXOWXRWVSVXRUWAXVEWVTWWBXUNWVTVDTZWXNXUNWXPXVTX
      UNVVOVVLVUIUYJVUFVVPWXRVWQUMZVUFWXRYBWDWXPWVTWYLVGWEUMXVEWWBXVEWYMWYNXVEV
      VOVVLWWAUYJXUNVVPWXNXWAUMXVEWWASKXVEVRZVUFVVIWXRWXNVVJUWAXVEVUISXUNWXTWXN
      XUNVUIXUOVGUMZXWBWFXVEWYTWYSXVEWYTXUBXVEWYDXUAXUNWYDWXNXUNVUIXUOVSUMXVEWX
      NXUAXVFXUCWEWOXVESVUIXUNWUKWXNXURUMXUNXUHWXNXUPUMXHXIXVEWVQWXTWYTWYSXJXWB
      XWCSVUIUWDXLWMXUNXUIWXNXUNWWAVUIKXUNVUISXUPXURUWBXUPXUQXUNVUIXUPUWEXUSYOU
      MWBWDXUJWEVGWFXSZYJZVUFSYPTZWXRVXTUMUWFVUFXVQUYKXVRKUJVUFXVQUYNWYQKUGUFZX
      UTHUTZUEUFZUYKVUFXUTUYNHSKWXEXWEWVSWVSUYNWWCWVSUWGYMUWHVUFXWIUYNXWGWWCHUT
      ZUEUFZUYKVUFXWHXWJUYNUEVUFXWGXUTWWCHVUFVUIXWGTZUOZWVSUYNWWCXWMVUISXWMSVUI
      XWMSVUIVUFWUKXWLVXPUMXWMWYTWYRXWLWYRVUFVUIWYQKXAVQXWMWVQWXTXUFVUFWVQXWLVW
      RUMXWLWXTVUFVUIWYQKYQVQXUGXLXIUVSXEUPUNYGYTVUFXWKUYNWYQKSUJUFZSUEUFZUGUFZ
      WWCHUTZUEUFZUYKVUFXWJXWQUYNUEVUFXWGXWPWWCHVUFKXWOWYQUGVUFXWOKVUFKSVUFKVWT
      WHZVXTUWIZUQYTUWNYTVUFXWRUYNXWPWWASUEUFZUYJUIZWWBUJUFZHUTZUEUFZUYKVUFXWQX
      XDUYNUEVUFXWPWWCXXCHVUFVUIXWPTZUOZWVTXXBWWBWWBUJXXGVUIXXAUYJXXGXXAVUIXXGV
      UISXXGVUIXXFWXTVUFVUIWYQXWOYQVQYJXXGWTUWIUQYDXXGWWBYAYHYGYTVUFXXEUYNSXWNU
      GUFZUAUHZSUEUFZUYJUIZXXIUYJUIZUJUFZUAUTZUEUFZUYKVUFXXOXXEVUFXXNXXDUYNUEVU
      FXXMXXCUAHSSXWNVWRVWRVUFKSVVJVWRWFZVUFXXIXXHTZUOZXXMXXRXXKXXLXXRXXKXXRXXK
      VVLTXXKVITXXRVVOVVLXXJUYJVUFVVPXXQVWQUMZXXRXXJSKXXRVRZVUFVVIXXQVVJUMZXXRX
      XIXXRXXIXXQXXIVITVUFXXIXWNWCVQZVGZUWJXXRSXXIXXJXXRWSZXXRXXIXYBWGZXXRXXISX
      YEXYDXGXXRXXIXYBVSZXXRXXIXYEUWKYOXXRXXJKVEVFZXXIXWNVEVFZXXQXYHVUFXXISXWNW
      JVQZXXRXXIXMTWUKWUPXYGXYHXJXYEXYDVUFWUPXXQVWTUMZXXISKXPXOXIWBWDXXKUYIWCWE
      VGXXRXXLVVLTZXXLVDTXXRVVOVVLXXIUYJXXSXXRXXISKXXTXYAXYCXYFXXRXXIXWNKXYEXXR
      KSXYJXYDUWBXYJXYIXXRKXYJUWEYOWBWDXYKXXLXXLUYIWCVGWEWFYJXXIWWAUDXXKXXBXXLW
      WBUJXXIWWASUYJUEYLXXIWWAUYJXRYHUWLYTUQVUFXXOUYNXXHVUISUEUFZUYJUIZWVTUJUFZ
      HUTZUEUFZUYKVUFXXNXYOUYNUEXXNXYOUDVUFXXHXXMXYNUAHXXIVUIUDXXKXYMXXLWVTUJXX
      IVUISUYJUEYLXXIVUIUYJXRYHHXXHYRUAXXHYRHXXMYRUAXYNYRUWMXQYTVUFXYPUYNXWOUYJ
      UIZUYNUJUFZUEUFZUYKVUFXYOXYRUYNUEVUFUBUHZUYJUIZWVTXYMUYNHUBXYQSXWNXYTVUIU
      YJXRXYTXYLUYJXRXYTSUYJXRXYTXWOUYJXRXXPVUFXWOKWXCXWTWXEUWOVUFXYTSXWOUGUFTZ
      UOZYUAVVLTZYUAYPTYUCVVOVVLXYTUYJVUFVVPYUBVWQUMYUCXYTSKYUCVRVUFVVIYUBVVJUM
      YUBXYTVDTVUFXYTSXWOYQVQYUBSXYTVEVFVUFXYTSXWOXAVQYUCXYTXWOKVEYUBXYTXWOVEVF
      VUFXYTSXWOWJVQVUFXWOKUDYUBXWTUMUWPWBWDYUDYUAYUAUYIWCUWQWEUWRYTVUFXYSXYQUY
      KVUFUYNXYQVUFUYNVYAWHVUFXYQYPTUYKYPTVUFUYKVXBUWQVUFXYQUYKYPVUFXWOKUYJXWTY
      DZUWSXIUWTYUEYNYNYNYNYNYNYNYNVUFXVRVVOUXAUIZSYSUFZKVUFVVOUXBTXWFXVRYUGUDX
      VSVXTVVOSHUXCXLVUFYUGKSYSUFKVUFYUFKSYSVUFKURTYUFKUDVUFKWXDUXDKUXEWEYEVUFK
      XWSUXFYNYNYHYNVUFUYKXVNKUJVUFXVNUYKVUFUYKVXEUXGUQYEYNVUFXVMXVOVUFUCKUYKVU
      FUXMXWSVXEUXHUQYNVUFUCXVKXVHUJVUFXVKUCVUFLVUFLVVHYJZUUOUQYEYNVUFLLXVHYUHY
      UHVUFKUYKXWSVXEUXIUXJYNVUFXVIUYLLUJVUFUYLXVIVUFLKUYKYUHXWSVXEUXKUQYTYNVUF
      XVBUYLLVUFXVBVUFVVOXVAHXVSXUNXUTSXWDXUNVRWFUXNYJVUFUYLVXGUXLYUHUXOXIYNYNY
      NYNYNWOVUMVUSGVUCIUYFVUBSUYEUGUXPUXQVUGVUCUDZVUHVUOVULVURUYFURVUGVUCVMYUI
      VUKVUQLYUIUYFVUJVUPHYUIWWHUOVUIVUGVUCYUIWWHUXRUXSYGYCVOVPWQDVUNUDVUFQXQUX
      TUYAPUYB $.
  $}

  ${
    $d A a c j l $.  $d A b c j l $.  $d A a j l x y $.  $d B a $.  $d B b $.
    $d B d $.  $d F c $.  $d F d $.  $d G c $.  $d G d $.  $d K a f j l x y $.
    $d K b j l $.  $d K a g i $.  $d K g i u $.  $d N b j $.  $d N f j $.
    $d N g i u $.  $d N i p u $.  $d a c j l ph $.  $d b c j l ph $.
    $d d f x y $.  $d d ph x y $.  $d i l $.  $d p ph u $.
    sticksstones11.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones11.2 $e |- ( ph -> K = 0 ) $.
    sticksstones11.3 $e |- F = ( a e. A |-> ( j e. ( 1 ... K ) |->
    ( j + sum_ l e. ( 1 ... j ) ( a ` l ) ) ) ) $.
    sticksstones11.4 $e |- G = ( b e. B |-> if ( K = 0
     , { <. 1 , N >. } , ( k e. ( 1 ... ( K + 1 ) )
        |-> if ( k = ( K + 1 ) , ( ( N + K ) - ( b ` K ) ) , if
       ( k = 1 , ( ( b ` 1 ) - 1 )
       , ( ( ( b ` k ) - ( b ` ( k - 1 ) ) ) - 1 ) ) ) ) ) ) $.
    sticksstones11.5 $e |- A = { g | ( g : ( 1 ... ( K + 1 ) ) --> NN0 /\
     sum_ i e. ( 1 ... ( K + 1 ) ) ( g ` i ) = N ) } $.
    sticksstones11.6 $e |- B = { f | ( f : ( 1 ... K ) --> ( 1 ... ( N + K ) )
    /\ A. x e. ( 1 ... K ) A. y e. ( 1 ... K ) ( x < y ->
    ( f ` x ) < ( f ` y ) ) ) } $.
    $( Establish bijective mapping between strictly monotone functions and
       functions that sum to a fixed non-negative integer.  (Contributed by
       metakunt, 6-Oct-2024.) $)
    sticksstones11 $p |- ( ph -> F : A -1-1-onto-> B ) $=
      ( vc vd vu vp cc0 cn0 wcel a1i eqeltrd sticksstones8 sticksstones9 cv cfv
      0nn0 wceq wa c1 cop csn wf wss caddc co cfz csu cab nfv nfcv wfn ad2antrl
      wi ffn 1nn adantr fnsng syl2anc elsni adantl simpr fveq2d simprl 1ex snid
      cn cc ffvelrnd nn0cnd fveq2 sumsn eqcomd simplrr eqtrd ex mpd fvsng mpdan
      3eqtrd eqfnfvd wb mpbird fss mpbid vex sylibr cz syl oveq2d feq2d sumeq1d
      elsn eqeq1d anbi12d imbi1d feq1 fveq1d elab imp ssrd biimpd eleq1d simpld
      3ad2ant1 jca fvconst eleq2d sylib ralrimiva c0 clt wbr wral fveq1 breq12d
      imbi2d 2ralbidv cvv cmpt fsng ssidd 1zzd fzsn 1e0p1 oveq1d simpl sumeq2dv
      bicomd impel snssd w3a 3adant3 eqtr4d 3expa eqss biimpi ffvelrnda syldbl2
      eqssd 0lt1 eqbrtrd nn0zd fzn f0bi velsn ral0 biidd raleqbidva elabg ax-mp
      f0 0ex eleqtrrd impbid eqrd eleqtrd mpteq1d mpt0 fzfid mptexd elsng fmptd
      cfn ffvelrn 2fvidf1od ) ADEKLUDUEABCDEFGHIKMNOQRAMUHUISUHUIUJAUQUKULZTUBU
      CUMZABCDEFGHJLMNPRSUAUBUCUNZAUDUOZKUPZLUPZUWJURUDDAUWJDUJZUSZUWLUTNVAVBZU
      WJUWNEUWOVBZLVCZUWKEUJUWLUWOURAUWQUWMAEDLVCZDUWPVDZUWQUWIADUWPURZUWSADUTM
      UTVEVFZVGVFZUIGUOZVCZUXBHUOZUXCUPZHVHZNURZUSZGVIZUWPDUXJURAUBUKAUXJUWPAUF
      UXJUWPAUFVJZUFUXJVKZUFUWPVKZAUFUOZUXJUJZUXNUWPUJZAUXOUXPAUXOUXPVNUXBUIUXN
      VCZUXBUXEUXNUPZHVHZNURZUSZUXPVNZAUTVBZUIUXNVCZUYCUXRHVHZNURZUSZUXPVNUYBAU
      YGUXPAUYGUSZUXNUWOURZUXPUYHUYCNVBZUXNVCZUYIUYHUYKUYJUYJVDZUYKUYHUYKUYLUYK
      UYHUYKUYIUYHUGUYCUXNUWOUYDUXNUYCVLAUYFUYCUIUXNVOVMUYHUTWGUJZNUIUJZUWOUYCV
      LUYMUYHVPUKZAUYNUYGRVQZUTNWGUIVRVSUYHUGUOZUYCUJZUSZUYQUTURZUYQUXNUPZUYQUW
      OUPZURUYRUYTUYHUYQUTVTWAUYSUYTUSZVUAUTUXNUPZUTUWOUPZVUBVUCUYQUTUXNUYSUYTW
      BZWCUYSVUDVUEURUYTUYSVUDNVUEUYHVUDNURZUYRUYHUYEVUDURZVUGUYHUYMVUDWHUJZVUH
      UYOUYHVUDUYHUYCUIUTUXNAUYDUYFWDUTUYCUJUYHUTWEWFUKWIWJUXRVUDHUTWGUXEUTUXNW
      KWLZVSZUYHVUHVUGUYHVUHUSZVUDUYENVULUYEVUDUYHVUHVUHVUKVQWMAUYDUYFVUHWNWOWP
      WQVQUYSVUENUYSUYMUYNVUENURZUYMUYSVPUKUYHUYNUYRUYPVQUTNWGUIWRZVSWMWOVQVUCU
      TUYQUWOVUCUYQUTVUFWMWCWTWSXAUYHUYMUYNUYKUYIXBZUYOUYPUTNWGUIUXNUUAZVSZXCUY
      HUYJUUBZUYCUYJUYJUXNXDZVSVURVUSVSVUQXEUXNUWOUFXFZXMXGWPAUYGUYAUXPAUYDUXQU
      YFUXTAUYCUXBUIUXNAUYCUTUHUTVEVFZVGVFZUXBAUYCUTUTVGVFZVVBAVVCUYCAUTXHUJZVV
      CUYCURAUUCZUTUUDXIWMAUTVVAUTVGUTVVAURAUUEUKXJWOAVVAUXAUTVGAUHMUTVEAMUHSWM
      UUFXJWOZXKZAUYEUXSNAUYCUXBUXRHVVFXLXNXOXPXEAUXOUYAUXPUXOUYAXBAUXIUYAGUXNV
      UTUXCUXNURZUXDUXQUXHUXTUXBUIUXCUXNXQVVHUXGUXSNVVHUXBUXFUXRHVVHUXEUXBUJZUS
      UXEUXCUXNVVHVVIUUGXRUUHXNXOXSZUKXPXCXTWPYAAUFUWPUXJUXKUXMUXLAUXPUXOAUXPUS
      ZUYAUXOVVKUXQUXTVVKUYDUXQVVKUYKUYJUIVDZUYDAUYIUYKUXPAUYIUYKAUYKUYIAUYMUYN
      VUOUYMAVPUKRVUPVSUUIYBUXNUWOVTZUUJAVVLUXPANUIRUUKVQUYCUYJUIUXNXDVSAUYDUXQ
      XBUXPVVGVQXEVVKUYIUXTUXPUYIAVVMWAZAUXPUYIUXTAUXPUYIUULZUXSUYENVVOUXBUYCUX
      RHVVOUYCUXBAUXPUYCUXBURUYIVVFYEWMXLVVOUYEVUDNVVOUYMVUIVUHUYMVVOVPUKZVVONW
      HUJVUIVVONAUXPUYNUYIRYEZWJVVONVUDWHVVONVUEVUDVVOVUENVVOUYMUYNVUMVVPVVQVUN
      VSZWMVVOUTUXNUWOAUXPUYIUYIVVNUUMXRZUUNYCXEVUJVSVVOVUDVUENVVSVVRWOWOWOUUOW
      SYFVVJXGWPYAUUTWOZUWTUWSUWPDVDZUWTUWSVWAUSDUWPUUPUUQYDXIEDUWPLXDVSVQADEUW
      JKUWHUUREUWOUWKLYGVSUWNUWJUWOUWNUWJUWPUJZUWJUWOURAUWMVWBAUWMVWBADUWPUWJVV
      TYHYBXTUWJUWOUDXFXMYIWMWOYJAUEUOZLUPZKUPZVWCURUEEAVWCEUJZUSZVWEYKVWCVWGVW
      EYKLUPZKUPZYKVWGVWDVWHKVWGVWCYKLVWGVWCYKVBZUJZVWCYKURZVWGVWCEVWJAVWFWBAEV
      WJURVWFAUEEVWJAUEVJUEEVKUEVWJVKAVWFVWKAVWFVWKVWGVWLVWKVWGYKUTNMVEVFVGVFZV
      WCVCZVWLVWGUTMVGVFZVWMVWCVCZVWNVWGVWPBUOZCUOZYLYMZVWQVWCUPZVWRVWCUPZYLYMZ
      VNZCVWOYNBVWOYNZVWGVWCVWOVWMFUOZVCZVWSVWQVXEUPZVWRVXEUPZYLYMZVNZCVWOYNBVW
      OYNZUSZFVIZUJZVWPVXDUSZAVWFVXNVWGVWFVXNVWGEVXMVWCEVXMURZVWGUCUKYHYBUUSVXL
      VXOFVWCUEXFZVXEVWCURZVXFVWPVXKVXDVWOVWMVXEVWCXQVXRVXJVXCBCVWOVWOVXRVXIVXB
      VWSVXRVXGVWTVXHVXAYLVWQVXEVWCYOVWRVXEVWCYOYPYQYRXOXSYIYDAVWPVWNXBVWFAVWOY
      KVWMVWCAMUTYLYMZVWOYKURZAMUHUTYLSUHUTYLYMAUVAUKUVBAVVDMXHUJVXSVXTXBVVEAMU
      WGUVCUTMUVDVSXEZXKVQXEVWCVWMUVEYIUEYKUVFXGWPAVWKVWFAVWKUSZVWFYKEUJZAVYCVW
      KAYKVXMEAVWOVWMYKVCZVWSVWQYKUPZVWRYKUPZYLYMZVNZCVWOYNZBVWOYNZUSZYKVXMUJZA
      VYDVYJAVYDYKVWMYKVCZVYMAVWMUVLUKAVWOYKVWMYKVYAXKXCAVYJVYIBYKYNZVYNAVYIBUV
      GUKAVYIVYIBVWOYKVYAAVWQVWOUJUSVYIUVHUVIXCYFYKYSUJVYLVYKXBUVMVXLVYKFYKYSVX
      EYKURZVXFVYDVXKVYJVWOVWMVXEYKXQVYOVXJVYHBCVWOVWOVYOVXIVYGVWSVYOVXGVYEVXHV
      YFYLVWQVXEYKYOVWRVXEYKYOYPYQYRXOUVJUVKXGVXPAUCUKUVNZVQVYBVWCYKEVWKVWLAVWC
      YKVTWAYCXCWPUVOUVPVQUVQVWCYKVXQXMYIZWCWCVWGDVWJKVCZVWHDUJZVWIYKURAVYRVWFA
      ODIVWOIUOZUTVYTVGVFQUOOUOZUPQVHVEVFZYTZVWJKAWUADUJZUSZWUCVWJUJZWUCYKURZWU
      EWUCIYKWUBYTZYKWUEIVWOYKWUBAVXTWUDVYAVQUVRWUHYKURWUEIWUBUVSUKWOAWUFWUGXBZ
      WUDAWUCYSUJWUIAIVWOWUBUWDAUTMUVTUWAWUCYKYSUWBXIVQXCTUWCVQAVYSVWFAUWRVYCVY
      SUWIVYPEDYKLUWEVSVQDYKVWHKYGVSWOVWGVWCYKVYQWMWOYJUWF $.
  $}

  ${
    $d A a j k l x y $.  $d A b k x y $.  $d B a i k l $.  $d B b i k $.
    $d B a j k l $.  $d B o s $.  $d B j l r $.  $d B j l w $.  $d F b k $.
    $d K a f j l x y $.  $d K b f x y $.  $d K a g i k $.  $d K o s $.
    $d K j q $.  $d K j l r $.  $d K j l w $.  $d N a f j l $.  $d N b f $.
    $d N a g i k $.  $d a c g i k $.  $d a d f j l x y $.  $d a c i k l ph $.
    $d b c g i k $.  $d b d f x y $.  $d b c i k ph $.  $d c j k l ph $.
    $d d g i k $.  $d d o ph s $.  $d d j q $.  $d d j l ph r $.
    $d d j l ph w $.  $d k ph s $.  $d ph x y $.
    sticksstones12a.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones12a.2 $e |- ( ph -> K e. NN ) $.
    sticksstones12a.3 $e |- F = ( a e. A |-> ( j e. ( 1 ... K ) |->
    ( j + sum_ l e. ( 1 ... j ) ( a ` l ) ) ) ) $.
    sticksstones12a.4 $e |- G = ( b e. B |-> if ( K = 0
     , { <. 1 , N >. } , ( k e. ( 1 ... ( K + 1 ) )
        |-> if ( k = ( K + 1 ) , ( ( N + K ) - ( b ` K ) ) , if
       ( k = 1 , ( ( b ` 1 ) - 1 )
       , ( ( ( b ` k ) - ( b ` ( k - 1 ) ) ) - 1 ) ) ) ) ) ) $.
    sticksstones12a.5 $e |- A = { g | ( g : ( 1 ... ( K + 1 ) ) --> NN0 /\
     sum_ i e. ( 1 ... ( K + 1 ) ) ( g ` i ) = N ) } $.
    sticksstones12a.6 $e |- B = { f | ( f : ( 1 ... K ) --> ( 1 ... ( N + K ) )
    /\ A. x e. ( 1 ... K ) A. y e. ( 1 ... K ) ( x < y ->
    ( f ` x ) < ( f ` y ) ) ) } $.
    $( Establish bijective mapping between strictly monotone functions and
       functions that sum to a fixed non-negative integer.  (Contributed by
       metakunt, 11-Oct-2024.) $)
    sticksstones12a $p |- ( ph -> A. d e. B ( F ` ( G ` d ) ) = d ) $=
      ( vq vs vw cv cfv wceq wcel wa c1 cfz co cmpt caddc cif cc0 cvv a1i ltned
      cmin wn necomd neneqd ad2antrr iffalsed fveq1 oveq2d oveq1d adantl adantr
      oveq12d eqtrd simpr cfn fvmptd fveq2d csu sumeq2dv cn0 eleq1 cle wbr wral
      wf clt wi cz 1zzd nnge1d nnred elfzd ffvelrnd elfzle2 wb elfznn ad3antrrr
      syl syl2anc mpbid cn nnzd elfzle1 wne cr 1red readdcld mpbird w3a zsubcld
      3impa 3ad2ant1 zred leaddsub syl3anc resubcld cc letrd jca fveq2 ifbothda
      1cnd eqidd eqeq1d ifbieq2d ovexd ifcld eqeq1 fvoveq1 nfcv peano2zd eqcomd
      elfzelz 3adant3 lem1d zcnd cmul subcld vo vr cop nngt0d ifeq12d mpteq2dva
      csn 0red mptexd simpll fveq1d cab eleq2i vex feq1 breq12d imbi2d 2ralbidv
      fzfid anbi12d elab bitri biimpi simpld nnnn0d nn0zd nn0addcld nn0sub 1le1
      leidd nnm1nn0 ad3antlr neqne ad2antlr 3ad2ant3 zltp1led 3ad2ant2 lesub1dd
      leltned zleltp1 simp2 recnd pncand eqbrtrd ad5ant135 ltm1d simprd imbi12d
      breq1 breq1d breq2 breq2d rspc2va mpd posdifd zltlem1d elnn0z sylibr eqid
      0zd fmptd fvoveq1d cbvsum 1p0e1 eqtr4i 0le1 le2addd nn0cnd fsumm1 sumeq1d
      eluz iftrued ltp1d lelttrd simp3 ltlend 3expa fsumsub nncnd eqeltrd fsum1
      cuz 3eqtrd eleqtrd 3adantl3 iftrue fsum1p npcand lep1d ffvelrnda fsumshft
      nnuz mpdan ex eleq2d imbi1d imp telfsum2 pncan3d wo leloed mpjaodan chash
      orcomd fsumconst hashfz1 mulid1d addid1d addcomd subsub2d subidd subsub4d
      0cnd addsubassd eleq1d fsumzcl addcld addlsub mptex simpl eluzfz1 ltletrd
      ovex simp1 ltled hashfzp1 fsumcl addsubd nncand oveq1 addassd cbvmpt ffnd
      wfn dffn5 ralrimiva ) AQUHZLUIZKUIZVVQUJQEAVVQEUKZULZVVSUEUMMUNUOZUEUHZVV
      QUIZUPZVVQVWAVVSJUMMUMUQUOZUNUOZJUHZVWFUJZNMUQUOZMVVQUIZVCUOZVWHUMUJZUMVV
      QUIZUMVCUOZVWHVVQUIZVWHUMVCUOZVVQUIZVCUOZUMVCUOZURZURZUPZKUIZVWEVWAVVRVXC
      KVWAPVVQMUSUJZUMNUUCUUGZJVWGVWIVWJMPUHZUIZVCUOZVWMUMVXGUIZUMVCUOZVWHVXGUI
      ZVWQVXGUIZVCUOZUMVCUOZURZURZUPZURZVXCELUTLPEVXSUPUJVWAUBVAVWAVXGVVQUJZULZ
      VXSVXRVXCVYAVXEVXFVXRAVXEVDVVTVXTAMUSAUSMAUSMAUUHZAMTUUDVBVEVFVGVHVYAJVWG
      VXQVXBVYAVXQVXBUJZVWHVWGUKZVXTVYCVWAVXTVWIVXIVWLVXPVXAVXTVXHVWKVWJVCMVXGV
      VQVIVJVXTVWMVXKVWOVXOVWTVXTVXJVWNUMVCUMVXGVVQVIVKVXTVXNVWSUMVCVXTVXLVWPVX
      MVWRVCVWHVXGVVQVIVWQVXGVVQVIVNVKUUEUUEVLVMUUFVOAVVTVPVWAJVWGVXBVQVWAUMVWF
      UUSUUIVRVSVWAVXDIVWBIUHZUMVYEUNUOZRUHZVXCUIZRVTZUQUOZUPZVWEVWAOVXCIVWBVYE
      VYFVYGOUHZUIZRVTZUQUOZUPZVYKDKUTKODVYPUPUJVWAUAVAVYLVXCUJZVYPVYKUJVWAVYQI
      VWBVYOVYJVYQVYEVWBUKZULZVYNVYIVYEUQVYSVYFVYMVYHRVYSVYGVYFUKZULVYGVYLVXCVY
      QVYRVYTUUJUUKWAVJUUFVLVWAVXCVWGWBGUHZWGZVWGHUHZWUAUIZHVTZNUJZULZGUULZDVWA
      VXCWUHUKZVWGWBVXCWGZVWGWUCVXCUIZHVTZNUJZULZVWAWUJWUMVWAJVWGVXBWBVXCVWIVWL
      WBUKZVXAWBUKZVXBWBUKVWAVYDULZVWLVXAVWLVXBWBWCVXAVXBWBWCWUQVWIULZVWKVWJWDW
      EZWUOWUQWUSVWIVWAWUSVYDVWAVWKUMVWJUNUOZUKZWUSVWAVWBWUTMVVQVWAVWBWUTVVQWGZ
      BUHZCUHZWHWEZWVCVVQUIZWVDVVQUIZWHWEZWIZCVWBWFBVWBWFZVVTWVBWVJULZAVVTWVKVV
      TVVQVWBWUTFUHZWGZWVEWVCWVLUIZWVDWVLUIZWHWEZWIZCVWBWFBVWBWFZULZFUULZUKWVKE
      WVTVVQUDUUMWVSWVKFVVQQUUNWVLVVQUJZWVMWVBWVRWVJVWBWUTWVLVVQUUOWWAWVQWVIBCV
      WBVWBWWAWVPWVHWVEWWAWVNWVFWVOWVGWHWVCWVLVVQVIWVDWVLVVQVIUUPUUQUURUUTUVAUV
      BUVCVLZUVDZVWAMUMMAUMWJUKZVVTAWKZVMZAMWJUKZVVTAMAMTUVEZUVFZVMZWWJAUMMWDWE
      ZVVTAMTWLZVMZAMMWDWEZVVTAMAMTWMZUVJZVMWNWOZVWKUMVWJWPWTVMVMWURVWKWBUKZVWJ
      WBUKWUSWUOWQWUQWWRVWIVWAWWRVYDVWAWVAWWRWWQWVAVWKVWKVWJWRZUVEWTVMVMWURNMAN
      WBUKVVTVYDVWISWSAMWBUKZVVTVYDVWIWWHWSUVGVWKVWJUVHXAXBVWMVWOWBUKZVWTWBUKZW
      UPWUQVWIVDZULZVWOVWTVWOVXAWBWCVWTVXAWBWCWXDWXAVWMWUQWXAWXCVWAWXAVYDVWAVWN
      XCUKZWXAVWAVWNWUTUKZWXEVWAVWBWUTUMVVQWWCVWAUMUMMWWFWWJWWFUMUMWDWEVWAUVIVA
      WWMWNZWOVWNVWJWRZWTZVWNUVKWTVMVMVMWXDVWMVDZULZVWTWJUKZUSVWTWDWEZULWXBWXKW
      XLWXMWXKVWSUMWXKVWPVWRWXKVWPWUTUKZVWPWJUKZWXKVWBWUTVWHVVQVWAWVBVYDWXCWXJW
      WCWSZWXKVWHUMMWXKWKZVWAWWGVYDWXCWXJWWJWSVYDVWHWJUKZVWAWXCWXJVYDVWHVWHVWFW
      RZXDZUVLVYDUMVWHWDWEZVWAWXCWXJVWHUMVWFXEZUVLWXDVWHMWDWEZWXJWXDWYCVWHVWFWH
      WEZWXDWYDVWFVWHXFWXDVWHVWFWXCVWHVWFXFWUQVWHVWFUVMVLVEWXDVWHVWFWXDVWHVYDVW
      HXCUKZVWAWXCWXSUVNZWMWXDMUMAMXGUKZVVTVYDWXCWWOWSWXDXHXIVYDVWHVWFWDWEZVWAW
      XCVWHUMVWFWPZUVNUVSXJWXDWXRWWGWYCWYDWQVYDWXRVWAWXCWXTUVNVWAWWGVYDWXCWWJVG
      VWHMUVTXAXJVMWNZWOWXNVWPVWPVWJWRXDZWTZWXKVWRWXKVWRWUTUKZVWRXCUKZWXKVWBWUT
      VWQVVQWXPAVYDWXJVWQVWBUKZVVTWXCAVYDWXJXKZVWQUMMWYPWKZAVYDWXJWWGAWWGVYDWXJ
      WWIVGXMWYPVWHUMAVYDWXJWXRAVYDULWXRWXJVYDWXRAWXTVLVMXMZWYQXLZWYPUMUMUQUOZV
      WHWDWEZUMVWQWDWEZWYPUMVWHWHWEZXUAWYPXUCVWHUMXFZWXJAXUDVYDVWHUMUVMZUVOWYPU
      MVWHAVYDUMXGUKZWXJAXHZXNZWYPVWHWYRXOZWYPVYDWYAAVYDWXJUWAWYBWTUVSXJWYPUMVW
      HWYQWYRUVPXBWYPXUFXUFVWHXGUKXUAXUBWQXUHXUHXUIUMUMVWHXPXQXBWYPVWQVWFUMVCUO
      ZMWYPVWQWYSXOWYPVWFUMWYPMUMAVYDWYGWXJWWOXNZWYPXHZXIZXULXRXUKWYPVWHVWFUMXU
      IXUMXULVYDAWYHWXJWYIUVQUVRWYPXUJMMWDWYPMUMAVYDMXSUKZWXJAMWWOUWBZXNWYPYDUW
      CAVYDWWNWXJWWPXNUWDXTWNUWEZWOVWRVWJWRZWTZXDXLZWXQXLWXKUSVWSWHWEZWXMWXKVWR
      VWPWHWEZXUTWXKVWQVWHWHWEZXVAWXKVWHWXKVWHWXDWYEWXJWYFVMWMUWFWXKWYOVWHVWBUK
      ZULWVJXVBXVAWIZWXKWYOXVCXUPWYJYAVWAWVJVYDWXCWXJVWAWVBWVJWWBUWGWSWVIXVDVWQ
      WVDWHWEZVWRWVGWHWEZWIBCVWQVWHVWBVWBWVCVWQUJZWVEXVEWVHXVFWVCVWQWVDWHUWIXVG
      WVFVWRWVGWHWVCVWQVVQYBUWJUWHWVDVWHUJZXVEXVBXVFXVAWVDVWHVWQWHUWKXVHWVGVWPV
      WRWHWVDVWHVVQYBUWLUWHUWMXAUWNWXKVWRVWPWXKVWRXURWMWXKVWPWYLXOUWOXBWXKUSVWS
      WXKUWTXUSUWPXBYAVWTUWQUWRYCYCZVXCUWSUXAVWAWULVWGWUCVWFUJZVWLWUCUMUJZVWOWU
      CVVQUIZWUCUMVCUOVVQUIZVCUOZUMVCUOZURZURZHVTZNVWAVWGWUKXVQHVWAWUCVWGUKZULZ
      JWUCVXBXVQVWGVXCUTXVTVXCYEXVTVWHWUCUJZULZVWIXVJVXAXVPVWLXWBVWHWUCVWFXVTXW
      AVPZYFXWBVWMXVKVWTXVOVWOXWBVWHWUCUMXWCYFXWBVWSXVNUMVCXWBVWPXVLVWRXVMVCXWB
      VWHWUCVVQXWCVSXWBVWHWUCUMVVQVCXWCUXBVNVKYGYGVWAXVSVPXVTXVJVWLXVPUTXVTVWJV
      WKVCYHXVTXVKVWOXVOUTXVTVWNUMVCYHXVTXVNUMVCYHYIYIVRWAVWAXVRVWGVXBJVTZNXVRX
      WDUJVWAVWGXVQVXBHJWUCVWHUJZXVJVWIXVPVXAVWLWUCVWHVWFYJXWEXVKVWMXVOVWTVWOWU
      CVWHUMYJXWEXVNVWSUMVCXWEXVLVWPXVMVWRVCWUCVWHVVQYBWUCVWHUMVVQVCYKVNVKYGYGJ
      VWGYLHVWGYLJXVQYLHVXBYLUXCVAVWAXWDUMXUJUNUOZVXBJVTZVWFVWFUJZVWLVWFUMUJZVW
      OVWFVVQUIZXUJVVQUIZVCUOZUMVCUOZURZURZUQUOZNVWAVXBXWOJUMVWFAVWFUMUYBUIZUKZ
      VVTAXWRUMVWFWDWEZAUMUMUSUQUOZVWFWDUMXWTUJAUMUMXWTUMUWSZUXDUXEVAAUMUSMUMXU
      GVYBWWOXUGWWLUSUMWDWEAUXFVAUXGUWDAWWDVWFWJUKXWRXWSWQWWEAMWWIYMUMVWFUXKXAX
      JVMWUQVXBXVIUXHVWIVWIXWHVXAXWNVWLVWHVWFVWFYJVWIVWMXWIVWTXWMVWOVWHVWFUMYJV
      WIVWSXWLUMVCVWIVWPXWJVWRXWKVCVWHVWFVVQYBVWHVWFUMVVQVCYKVNVKYGYGUXIVWAXWPV
      WBVXBJVTZVWLUQUOZNVWAXWGXXBXWOVWLUQVWAXWFVWBVXBJVWAXUJMUMUNVWAMUMAXUNVVTX
      UOVMZVWAYDZUWCVJUXJVWAXWHVWLXWNVWAVWFYEUXLVNVWAXXCNNVWAXXCNUJXXBNVWLVCUOZ
      UJVWAXXBVWBVXAJVTZXXFVWAVWBVXBVXAJVWAXVCULZVWIVWLVXAXXHVWHVWFXXHVWHVWFXXH
      VWHXVCWXRVWAVWHUMMYOVLZXOZXXHVWHMVWFXXJAWYGVVTXVCWWOVGZXXHMUMXXKXXHXHXIXV
      CWYCVWAVWHUMMWPZVLXXHMXXKUXMUXNVBVFVHZWAVWAXXGNNMVWKVCUOZUQUOZVCUOZXXFVWA
      XXGNNVCUOZXXNVCUOZXXPVWAXXGUSXXNVCUOZXXRVWAXXGUSVWKMVCUOZUQUOZXXSVWAXXGXX
      TXYAVWAXXGVWBVWMVWNVWSURZUMVCUOZJVTZXXTVWAVWBVXAXYCJVWMVWOXYCUJVWTXYCUJVX
      AXYCUJXXHVWOVWTVWOVXAXYCYJVWTVXAXYCYJXXHVWMULZVWNXYBUMVCXYEXYBVWNXYEVWMVW
      NVWSXXHVWMVPUXLYNVKXXHWXJULZVWSXYBUMVCXYFXYBVWSXYFVWMVWNVWSXXHWXJVPVHYNVK
      YCWAVWAXYDVWBXYBJVTZVWBUMJVTZVCUOXXTVWAVWBXYBUMJVWAUMMUUSZXXHXYBAVVTXVCXY
      BWJUKZVWMVWNWJUKZVWSWJUKXYJAVVTXVCXKZVWNVWSVWNXYBWJWCVWSXYBWJWCXYLXYKVWMX
      YLWXFXYKXYLVWBWUTUMVVQAVVTWVBXVCWWCYPZAVVTUMVWBUKZXVCWXGYPWOWXFVWNWXHXDWT
      ZVMXYLWXJULZVWPVWRXYLWXOWXJXYLWXNWXOXYLVWBWUTVWHVVQXYMAVVTXVCUXOZWOWYKWTV
      MXYPVWRXYPWYMWYNXYPVWBWUTVWQVVQXYLWVBWXJXYMVMXYPVWQUMMXYPWKZXYLWWGWXJAVVT
      WWGXVCWWJYPVMZXYPVWHUMXYLWXRWXJAVVTXVCWXRXXIXMVMZXYRXLZXYPXUCXUBXYPXUCWYA
      XUDULXYPWYAXUDXYLWYAWXJXYLXVCWYAXYQVWHUMMXEWTVMWXJXUDXYLXUEVLYAXYPUMVWHXY
      PXHXYPVWHXYTXOZUXPXJXYPUMVWHXYRXYTUWPXBXYPVWQVWHMXYPVWQYUAXOYUBXYPMXYSXOX
      YPVWHYUBYQXYLWYCWXJXYLXVCWYCXYQXXLWTVMXTWNWOXUQWTXDXLZYCUXQYRZVWAUMXSUKZX
      VCXXEVMUXRVWAXYGVWKXYHMVCVWAUMMUJZXYGVWKUJZUMMWHWEZVWAYUFULZXYGUMUMUNUOZX
      YBJVTZVWNVWKYUIVWBYUJXYBJYUIYUJVWBYUIUMMUMUNVWAYUFVPVJYNUXJVWAYUKVWNUJYUF
      VWAYUKUMUMUJZVWNVWNUMUMVCUOVVQUIZVCUOZURZVWNVWAWWDYUOXSUKYUKYUOUJVWAWKVWA
      YUOVWNXSVWAYULVWNYUNYULVWAXXAVAUXLZVWAVWNWXIUXSZUXTXYBYUOJUMVWMVWMYULVWSY
      UNVWNVWHUMUMYJVWMVWPVWNVWRYUMVCVWHUMVVQYBVWHUMUMVVQVCYKVNYGUYAXAYUPVOVMYU
      FVWNVWKUJVWAUMMVVQYBVLUYCAVVTYUHYUGAVVTYUHXKZXYGVWNWYTMUNUOZXYBJVTZUQUOZV
      WKYURXYBVWNJUMMYURMXCXWQAVVTMXCUKYUHTXNXCXWQUJYURUYLVAUYDZAVVTXVCXYBXSUKY
      UHYUDUYEVWMVWNVWSUYFUYGYURYVAVWNYUSVWSJVTZUQUOZVWKYURYUTYVCVWNUQYURYUSXYB
      VWSJYURVWHYUSUKZULZVWMVWNVWSYVFVWHUMYVFUMVWHYVFUMVWHYVFXHYVFXUCXUAYVEXUAY
      URVWHWYTMXEVLYVFUMVWHYVFWKYVEWXRYURVWHWYTMYOVLUVPXJVBVEVFVHWAVJYURYVDVWNW
      YTMUMVCUOZUMUQUOZUNUOZVWSJVTZUQUOZVWKYURYVCYVJVWNUQYURYUSYVIVWSJYURMYVHWY
      TUNYURYVHMYURMUMAVVTXUNYUHXXDYPYURYDUYHZYNVJUXJVJYURYVKVWNYVIVWQUMUQUOZVV
      QUIZVWRVCUOZJVTZUQUOZVWKYURYVJYVPVWNUQYURYVIVWSYVOJYURVWHYVIUKZULZVWPYVNV
      WRVCYVSVWHYVMVVQYVSYVMVWHYVSVWHUMYVSVWHYVRWXRYURVWHWYTYVHYOVLYRYVSYDUYHYN
      VSVKWAVJYURYVQVWNUMYVGUNUOZUFUHZUMUQUOZVVQUIZYWAVVQUIZVCUOZUFVTZUQUOZVWKY
      URYVPYWFVWNUQYURYWFYVPYURYWEYVOUFJUMUMYVGAVVTWWDYUHWWFYPZYWHYURMUMAVVTWWG
      YUHWWJYPZYWHXLZYURYWAYVTUKZULZYWEYWLYWCYWDYWLYWCYWLYWCWUTUKYWCXCUKYWLVWBW
      UTYWBVVQYURWVBYWKAVVTWVBYUHWWCYPVMZYWLYWBUMMYWLWKZYURWWGYWKYWIVMZYWLYWAYW
      LYWAYWKYWAXCUKYURYWAYVGWRVLZXDZYMZYWLUMYWAYWBYWLXHZYWLYWAYWPWMZYWLYWBYWRX
      OYWLYWAYWPWLZYWLYWAYWTUYIXTYWLYWBMWDWEZYWAYVGWDWEZYWKYXCYURYWAUMYVGWPVLZY
      WLYWAXGUKXUFWYGYXBYXCWQYWTYWSYWLMYWOXOZYWAUMMXPXQXJWNWOYWCVWJWRWTXDYWLYWD
      YWLYWDWUTUKZYWDXCUKYWLYWAVWBUKYXFYWLYWAUMMYWNYWOYWQYXAYWLYWAYVGMYWTYWLMUM
      YXEYWSXRYXEYXDYWLMYXEYQXTWNYWLVWBWUTYWAVVQYWMUYJUYMYWDVWJWRWTXDXLYRYWAVWQ
      UJYWCYVNYWDVWRVCYWAVWQUMVVQUQYKYWAVWQVVQYBVNUYKYNVJYURYWGVWNYVHVVQUIZVWNV
      CUOZUQUOZVWKYURYWFYXHVWNUQYURUUAUHZVVQUIZYWDYWCVWNUFUUAYXGUMYVGYXJYWAVVQY
      BYXJYWBVVQYBYXJUMVVQYBYXJYVHVVQYBYWJYURYVHMXWQYVLYVBUXTYURYXJUMYVHUNUOZUK
      ZULZYXKYXNYXKWUTUKZYXKXCUKYURYXMYXOYURYXMYXOWIYXJVWBUKZYXOWIYURYXPYXOYURV
      WBWUTYXJVVQAVVTYUHWVBVWAWVBYUHWWCVMXMUYJUYNYURYXMYXPYXOYURYXLVWBYXJYURYVH
      MUMUNYVLVJUYOUYPXJUYQYXKVWJWRWTUXSUYRVJYURYXIVWNVWKVWNVCUOZUQUOZVWKYURYXH
      YXQVWNUQYURYXGVWKVWNVCYURYVHMVVQYVLVSVKVJYURYXRVWKVWKYURVWNVWKAVVTVWNXSUK
      YUHYUQYPAVVTVWKXSUKYUHVWAVWKVWAWVAVWKXCUKWWQWWSWTUXSZYPUYSYURVWKYEVOVOVOV
      OVOVOVOVOUXQVWAYUHYUFVWAWWKYUHYUFUYTWWMVWAUMMAXUFVVTXUGVMAWYGVVTWWOVMVUAX
      BVUDVUBVWAXYHVWBVUCUIZUMYSUOZMVWAVWBVQUKYUEXYHYYAUJXYIXXEVWBUMJVUEXAVWAYY
      AMUMYSUOMVWAYXTMUMYSVWAWWTYXTMUJAWWTVVTWWHVMMVUFWTVKVWAMXXDVUGVOVOVNVOVOV
      WAXXTXXTUSUQUOZXYAVWAYYBXXTVWAXXTVWAVWKMYXSXXDYTZVUHYNVWAXXTUSYYCVWAVUMZV
      UIVOVOVWAXXSXYAVWAUSMVWKYYDXXDYXSVUJYNVOVWAUSXXQXXNVCVWAXXQUSVWANANXSUKVV
      TANSUXHVMZVUKYNVKVOVWANNXXNYYEYYEVWAMVWKXXDYXSYTVULVOVWAXXOVWLNVCVWAVWLXX
      OVWANMVWKYYEXXDYXSVUNYNVJVOVOVWAXXBVWLNVWAXXBVWAVWBVXBJXYIXXHVXBWJUKVXAWJ
      UKZAVVTXVCYYFVWMVWOWJUKZWXLYYFXYLVWOVWTVWOVXAWJWCVWTVXAWJWCXYLYYGVWMXYLVW
      NUMXYOXYLWKZXLVMXYPVWSUMYUCXYLWWDWXJYYHVMXLYCUXQXXHVXBVXAWJXXMVUOXJVUPYRV
      WAVWJVWKVWANMYYEXXDVUQYXSYTYYEVURXJVWANYEVOVOVOVOVOYAWUIWUNWQVWAWUGWUNGVX
      CJVWGVXBUMVWFUNVVCVUSWUAVXCUJZWUBWUJWUFWUMVWGWBWUAVXCUUOYYIWUEWULNYYIVWGW
      UDWUKHYYIXVSULWUCWUAVXCYYIXVSVUTUUKWAYFUUTUVAVAXJVWADWUHDWUHUJVWAUCVAYNUY
      DVWAIVWBVYJVQXYIUUIVRVWAVYKIVWBVYEVVQUIZUPZVWEVWAIVWBVYJYYJAVVTVYRVYJYYJU
      JAVVTVYRXKZVYJVYEVYFVYGVWFUJZVWLVYGUMUJZVWOVYGVVQUIZVYGUMVCUOZVVQUIZVCUOZ
      UMVCUOZURZURZRVTZUQUOZYYJYYLVYIUUUBVYEUQYYLVYFVYHUUUARYYLVYTULZJVYGVXBUUU
      AVWGVXCUTUUUDVXCYEUUUDVWHVYGUJZULZVWIYYMVXAYYTVWLUUUFVWHVYGVWFUUUDUUUEVPZ
      YFUUUFVWMYYNVWTYYSVWOUUUFVWHVYGUMUUUGYFUUUFVWSYYRUMVCUUUFVWPYYOVWRYYQVCUU
      UFVWHVYGVVQUUUGVSUUUFVWQYYPVVQUUUFVWHVYGUMVCUUUGVKVSVNVKYGYGUUUDVYGUMVWFU
      UUDWKZUUUDMYYLWWGVYTAVVTWWGVYRWWIXNVMYMZVYTVYGWJUKZYYLVYGUMVYEYOVLZVYTUMV
      YGWDWEZYYLVYGUMVYEXEVLUUUDVYGVYEVWFUUUDVYGUUUKXOYYLVYEXGUKZVYTYYLVYEYYLVY
      RVYEXCUKZAVVTVYRUXOZVYEMWRWTZWMZVMUUUDVWFUUUIXOVYTVYGVYEWDWEZYYLVYGUMVYEW
      PVLZYYLVYEVWFWDWEVYTYYLVYEMVWFUUUQAVVTWYGVYRWWOXNZYYLMUMUUUTYYLXHXIYYLVYR
      VYEMWDWEZUUUOVYEUMMWPWTZYYLMUUUTUYIXTVMXTWNUUUDYYMVWLYYTUTUUUDVWJVWKVCYHU
      UUDYYNVWOYYSUTUUUDVWNUMVCYHUUUDYYRUMVCYHYIYIVRWAVJYYLUUUCVYEVYFYYTRVTZUQU
      OZYYJYYLUUUBUUVCVYEUQYYLVYFUUUAYYTRUUUDYYMVWLYYTUUUDVYGVWFUUUDVYGVWFUUUDV
      YGVYTVYGXCUKYYLVYGVYEWRVLZWMZUUUDVYGMVWFUUVFYYLWYGVYTUUUTVMZUUUDMUMUUVGUU
      UDXHZXIUUUDVYGVYEMUUVFUUUDVYEYYLUUUNVYTUUUPVMWMUUVGUUUSYYLUUVAVYTUUVBVMXT
      ZUUUDMUUVGUXMUXNVBVFVHWAVJYYLUUVDVYEVWOWYTVYEUNUOZYYTRVTZUQUOZUQUOZYYJYYL
      UUVCUUVLVYEUQYYLYYTVWORUMVYEYYLVYEXWQUKZUMVYEWDWEZYYLVYEUUUPWLYYLWWDVYEWJ
      UKUUVNUUVOWQAVVTWWDVYRWWEXNZYYLVYEUUUPXDZUMVYEUXKXAXJZYYNVWOXSUKZYYSXSUKY
      YTXSUKUUUDVWOYYSVWOYYTXSWCYYSYYTXSWCUUUDUUVSYYNYYLUUVSVYTYYLVWOYYLVWNUMYY
      LVWNYYLWXFWXEYYLVWBWUTUMVVQAVVTWVBVYRWWCYPZYYLMXWQUKZXYNYYLUUWAWWKYYLAWWK
      AVVTVYRVVDZWWLWTYYLWWDWWGUUWAWWKWQUUVPYYLAWWGUUWBWWIWTZUMMUXKXAXJUMMVVAWT
      WOWXHWTZXDUUVPXLYRZVMVMUUUDYYNVDZULZYYSUUWGYYRUMUUWGYYOYYQUUUDYYOWJUKZUUW
      FUUUDYYOWUTUKZUUWHUUUDVWBWUTVYGVVQYYLWVBVYTUUVTVMZUUUDVYGUMMUUUHYYLWWGVYT
      UUWCVMZUUUDVYGUUVEXDZUUUDVYGUUVEWLZUUVIWNWOYYOUMVWJYOZWTVMUUWGYYQWUTUKZYY
      QWJUKUUWGVWBWUTYYPVVQUUUDWVBUUWFUUWJVMUUWGYYPUMMUUWGWKZUUUDWWGUUWFUUWKVMU
      UWGVYGUMUUUDUUUJUUWFUUWLVMZUUWPXLZUUWGUMVYGWHWEZUMYYPWDWEZUUWGUUWSVYGUMXF
      ZUUWFUUXAUUUDVYGUMUVMVLUUWGUMVYGUUUDXUFUUWFUUVHVMUUUDVYGXGUKZUUWFUUVFVMZU
      UUDUUULUUWFUUWMVMUVSXJUUWGUMVYGUUWPUUWQUWPXBUUWGYYPVYGMUUWGYYPUUWRXOUUXCU
      UUDWYGUUWFUUVGVMUUWGVYGUUXCYQUUUDVYGMWDWEUUWFUUVIVMXTWNWOYYQUMVWJYOZWTXLU
      UWPXLYRYCYYNVWOYYSUYFUYGVJYYLUUVMVYEVWOUUVJYYSRVTZUQUOZUQUOZYYJYYLUUVLUUX
      FVYEUQYYLUUVKUUXEVWOUQYYLUUVJYYTYYSRYYLVYGUUVJUKZULZYYNVWOYYSUUXIVYGUMUUX
      IUMVYGUUXIUMVYGYYLXUFUUXHYYLAXUFUUWBXUGWTZVMZUUXIUMWYTVYGUUXKUUXIUMUMUUXK
      UUXKXIZUUXIVYGUUXHUUUJYYLVYGWYTVYEYOVLZXOZUUXIUMUUXKUXMZUUXHWYTVYGWDWEZYY
      LVYGWYTVYEXEVLZVVBVBVEVFVHWAVJVJYYLUUXGVYEVWOUUVJYYRRVTZUUVJUMRVTZVCUOZUQ
      UOZUQUOZYYJYYLUUXFUUYAVYEUQYYLUUXEUUXTVWOUQYYLUUVJYYRUMRYYLWYTVYEUUSZUUXI
      YYOYYQUUXIYYOUUXIUUWIUUWHUUXIVWBWUTVYGVVQYYLWVBUUXHUUVTVMZUUXIVYGUMMUUXIW
      KZYYLWWGUUXHUUWCVMZUUXMUUXIUMWYTVYGUUXKUUXLUUXNUUXIUMWYTUUXKUUXLUUXOVVEUU
      XQXTUUXIVYGVYEMUUXNYYLUUUMUUXHUUUQVMYYLWYGUUXHUUUTVMZUUXHUUURYYLVYGWYTVYE
      WPVLYYLUUVAUUXHUUVBVMXTZWNWOUUWNWTYRUUXIUUWOYYQXSUKUUXIVWBWUTYYPVVQUUYDUU
      XIYYPUMMUUYEUUYFUUXIVYGUMUUXMUUYEXLUUXIUUXPUUWTUUXQUUXIXUFXUFUUXBUUXPUUWT
      WQUUXKUUXKUUXNUMUMVYGXPXQXBUUXIYYPVYGMUUXIVYGUMUUXNUUXKXRUUXNUUYGUUXIVYGU
      UXNYQUUYHXTWNWOUUWOYYQUUXDYRWTYTZUUXIYDZUXRVJVJYYLUUYBVYEVWOUUXRVYEUMVCUO
      ZVCUOZUQUOZUQUOZYYJYYLUUYAUUYMVYEUQYYLUUXTUUYLVWOUQYYLUUXSUUYKUUXRVCYYLUU
      XSUUVJVUCUIZUMYSUOZUUYKYYLUUVJVQUKYUEUUXSUUYPUJUUYCYYLYDZUUVJUMRVUEXAYYLU
      UYPUUYKUMYSUOUUYKYYLUUYOUUYKUMYSYYLUUVNUUYOUUYKUJUUVRUMVYEVVFWTVKYYLUUYKY
      YLVYEUMYYLVYEUUUPUXSZUUYQYTZVUGVOVOVJVJVJYYLUUYNVYEVWOUUXRUQUOZUUYKVCUOZU
      QUOZYYJYYLUUYMUVUAVYEUQYYLUVUAUUYMYYLVWOUUXRUUYKUUWEYYLUUVJYYRRUUYCUUYIVV
      GZUUYSVUNYNVJYYLUVUBVYEUUYTUQUOUUYKVCUOZYYJYYLUVUDUVUBYYLVYEUUYTUUYKUUYRY
      YLVWOUUXRUUWEUVUCVUQZUUYSVUNYNYYLUVUDVYEUUYKVCUOZUUYTUQUOZYYJYYLVYEUUYTUU
      YKUUYRUVUEUUYSVVHYYLUVUGUMVWOUMUUYKUNUOZVYGUMUQUOZVVQUIZYYOVCUOZRVTZUQUOZ
      UQUOZYYJYYLUVUFUMUUYTUVUMUQYYLVYEUMUUYRUUYQVVIYYLUUXRUVULVWOUQYYLUVULUUXR
      YYLUVULWYTUUYKUMUQUOZUNUOZYYPUMUQUOZVVQUIZYYQVCUOZRVTZUUXRYYLUVULUVUPUGUH
      ZUMVCUOZUMUQUOVVQUIZUVVBVVQUIZVCUOZUGVTZUVUTYYLUVUKUVVERUGUMUMUUYKYYLWKZU
      VVGYYLVYEUMUUVQUUVPXLZYYLVYGUVUHUKZULZUVUKUVVJUVUJYYOUVVJUVUJWUTUKUVUJWJU
      KUVVJVWBWUTUVUIVVQYYLWVBUVVIUUVTVMZUVVJUVUIUMMUVVJWKZYYLWWGUVVIUUWCVMZUVV
      JVYGUVVIUUUJYYLVYGUMUUYKYOVLZYMUVVJUMVYGUVUIUVVJXHZUVVJVYGUVVNXOZUVVJVYGU
      MUVVPUVVOXIUVVIUUULYYLVYGUMUUYKXEVLZUVVJVYGUVVPUYIXTUVVJUVUIMWDWEZVYGYVGW
      DWEZUVVJVYGUUYKYVGUVVPUVVJVYEUMYYLUUUMUVVIUUUQVMZUVVOXRZUVVJMUMYYLWYGUVVI
      UUUTVMZUVVOXRUVVIVYGUUYKWDWEYYLVYGUMUUYKWPVLZUVVJVYEMUMUVVTUVWBUVVOYYLUUV
      AUVVIUUVBVMUVRXTUVVJUUXBXUFWYGUVVRUVVSWQUVVPUVVOUVWBVYGUMMXPXQXJWNWOUVUJU
      MVWJYOWTUVVJUUWIUUWHUVVJVWBWUTVYGVVQUVVKUVVJVYGUMMUVVLUVVMUVVNUVVQUVVJVYG
      UUYKMUVVPUVWAUVWBUVWCYYLUUYKMWDWEUVVIYYLUUYKVYEMYYLVYEUMUUUQUUXJXRUUUQUUU
      TYYLVYEUUUQYQUUVBXTVMXTWNWOUUWNWTXLYRVYGUVVBUJUVUJUVVCYYOUVVDVCVYGUVVBUMV
      VQUQYKVYGUVVBVVQYBVNUYKUVVFUVUTUJYYLUVUPUVVEUVUSUGRUVVAVYGUJZUVVCUVURUVVD
      YYQVCUVWDUVVBYYPUMVVQUQUVVAVYGUMVCVVJZUXBUVWDUVVBYYPVVQUVWEVSVNRUVUPYLUGU
      VUPYLRUVVEYLUGUVUSYLUXCVAVOYYLUVUTUUVJUVUSRVTUUXRYYLUVUPUUVJUVUSRYYLUVUOV
      YEWYTUNYYLVYEUMUUYRUUYQUYHZVJUXJYYLUUVJUVUSYYRRUUXIUVURYYOYYQVCUUXIUVUQVY
      GVVQUUXIVYGUMUUXIVYGUUXNUWBUUYJUYHVSVKWAVOVOYNVJVNYYLUVUNUMVWOUVUOVVQUIZV
      WNVCUOZUQUOZUQUOZYYJYYLUVUMUVWIUMUQYYLUVULUVWHVWOUQYYLUUBUHZVVQUIZYYOUVUJ
      VWNRUUBUVWGUMUUYKUVWKVYGVVQYBUVWKUVUIVVQYBUVWKUMVVQYBUVWKUVUOVVQYBUVVHYYL
      UVUOVYEXWQUVWFUUVRUXTYYLUVWKUMUVUOUNUOUKZULZUVWLUVWNUVWLWUTUKUVWLWJUKUVWN
      VWBWUTUVWKVVQYYLWVBUVWMUUVTVMUVWNUVWKUMMUVWNWKYYLWWGUVWMUUWCVMUVWMUVWKWJU
      KYYLUVWKUMUVUOYOVLZUVWMUMUVWKWDWEYYLUVWKUMUVUOXEVLUVWNUVWKUVUOMUVWNUVWKUV
      WOXOUVWNUUYKUMUVWNVYEUMYYLUUUMUVWMUUUQVMUVWNXHZXRUVWPXIYYLWYGUVWMUUUTVMUV
      WMUVWKUVUOWDWEYYLUVWKUMUVUOWPVLYYLUVUOMWDWEUVWMYYLUVUOVYEMWDUVWFUUVBUWDVM
      XTWNWOUVWLUMVWJYOWTYRUYRVJVJYYLUVWJUMVWOUQUOZUVWHUQUOZYYJYYLUVWRUVWJYYLUM
      VWOUVWHUUYQUUWEYYLUVWGVWNYYLUVWGYYLUVWGYYJWJYYLUVUOVYEVVQUVWFVSZYYLYYJWUT
      UKYYJWJUKYYLVWBWUTVYEVVQUUVTUUUOWOYYJUMVWJYOWTUXTYRZYYLVWNYYLVWNUUWDWMUWB
      ZYTVVKYNYYLUVWRVWNUVWHUQUOZYYJYYLUVWQVWNUVWHUQYYLUMVWNUUYQUVXAUYSVKYYLUVX
      BUVWGYYJYYLVWNUVWGUVXAUVWTUYSUVWSVOVOVOVOVOVOVOVOVOVOVOVOVOVOUXQUUFYYKVWE
      UJVWAIUEVWBYYJVWDUEYYJYLIVWDYLVYEVWCVVQYBVVLVAVOVOVOVWAVVQVWEVWAVVQVWBVVN
      ZVVQVWEUJZVWAVWBWUTVVQWWCVVMUVXCUVXDUEVWBVVQVVOUVCWTYNVOVVP $.
  $}

  ${
    $d A a c j k l $.  $d A b c k $.  $d A a j k l x y $.  $d B a d i k l $.
    $d B b d k $.  $d B a d j k l $.  $d B d o s $.  $d B d j l r $.
    $d B d j l w $.  $d F b c k $.  $d F b d k $.  $d G c $.  $d G d $.
    $d K a f j l x y $.  $d K b k $.  $d K a g i k $.  $d K o s $.  $d K j q $.
    $d K j l r $.  $d K j l w $.  $d N a f j l $.  $d N b k $.  $d N a g i k $.
    $d a c i k l ph $.  $d b c k ph $.  $d c g i k $.  $d d f j l x y $.
    $d d g i k $.  $d d i k l ph $.  $d d j q $.  $d j k l ph x y $.
    $d k ph s $.  $d o ph s $.  $d ph r $.  $d ph w $.  $d B b d i k $.
    $d K b f x y $.  $d N b f $.  $d b c g i k $.  $d b c i k ph $.
    sticksstones12.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones12.2 $e |- ( ph -> K e. NN ) $.
    sticksstones12.3 $e |- F = ( a e. A |-> ( j e. ( 1 ... K ) |->
    ( j + sum_ l e. ( 1 ... j ) ( a ` l ) ) ) ) $.
    sticksstones12.4 $e |- G = ( b e. B |-> if ( K = 0
     , { <. 1 , N >. } , ( k e. ( 1 ... ( K + 1 ) )
        |-> if ( k = ( K + 1 ) , ( ( N + K ) - ( b ` K ) ) , if
       ( k = 1 , ( ( b ` 1 ) - 1 )
       , ( ( ( b ` k ) - ( b ` ( k - 1 ) ) ) - 1 ) ) ) ) ) ) $.
    sticksstones12.5 $e |- A = { g | ( g : ( 1 ... ( K + 1 ) ) --> NN0 /\
     sum_ i e. ( 1 ... ( K + 1 ) ) ( g ` i ) = N ) } $.
    sticksstones12.6 $e |- B = { f | ( f : ( 1 ... K ) --> ( 1 ... ( N + K ) )
    /\ A. x e. ( 1 ... K ) A. y e. ( 1 ... K ) ( x < y ->
    ( f ` x ) < ( f ` y ) ) ) } $.
    $( Establish bijective mapping between strictly monotone functions and
       functions that sum to a fixed non-negative integer.  (Contributed by
       metakunt, 6-Oct-2024.) $)
    sticksstones12 $p |- ( ph -> F : A -1-1-onto-> B ) $=
      ( vc vd cv cfv wceq wcel wa c1 caddc cfz cmin cif cmpt cvv cc0 a1i necomd
      co 0red adantr mpteq2dva eqtrd fveq1 oveq2d oveq1d oveq12d ifeq12d adantl
      ffvelrnda cfn fzfid mptexd fvmptd w3a csu simpllr fveq1d sumeq2dv sumeq1d
      simpr 1zzd nnge1d nnred leidd elfzd ovexd cc nn0cnd cn0 ad2antrr peano2zd
      cz elfzelz cle wbr elfzle1 cr elfzle2 letrd wf biimpi wb biimpd mpd mpdan
      zred fsumnn0cl 1red eqbrtrd syl2anc mpbird fsumm1 1cnd pncand eqcomd nfcv
      fveq2 simprd 1e0p1 leadd1dd ffvelrnd subaddd 3adant3 fveq2d eqidd adantlr
      wn readdcld pncan2d cn elfznn 3ad2ant3 nnzd clt wne syl3anc 3ad2ant1 feq1
      nnnn0d sticksstones8 sticksstones10 cop nngt0d ltned iffalsed nn0zd recnd
      csn neneqd addcomd lep1d cab eleq2i vex simpl eqeq1d anbi12d elab pnpcand
      simpld cuz eqid 1p0e1 eqtr4i 0le1 le2addd eluz cbvsum ltled breqtrd fsum1
      simpll2 simpl3 elfz neqne jca ltlend zleltp1 3impa zsubcld simp2 zltp1led
      syl leltned mpbid leaddsub resubcld 3ad2ant2 lesub1dd 3expa 3adantl2 zcnd
      subcld lem1d addsub4d nncand 3jca eluz2 sylibr simp3 ifeqda wfn ralrimiva
      ffnd dffn5 sticksstones12a 2fvidf1od ) ADEKLUDUEABCDEFGHIKMNOQRAMSUUBZTUB
      UCUUCZABCDEFGHJLMNPRSUAUBUCUUDAUDUFZKUGZLUGZUXMUHUDDAUXMDUIZUJZUXOJUKMUKU
      LVAZUMVAZJUFZUXRUHZNMULVAZMUXNUGZUNVAZUXTUKUHZUKUXNUGZUKUNVAZUXTUXNUGZUXT
      UKUNVAZUXNUGZUNVAZUKUNVAZUOZUOZUPZUXMUXQPUXNJUXSUYAUYBMPUFZUGZUNVAZUYEUKU
      YPUGZUKUNVAZUXTUYPUGZUYIUYPUGZUNVAZUKUNVAZUOZUOZUPZUYOELUQALPEVUGUPZUHUXP
      ALPEMURUHZUKNUUEUUKZVUGUOZUPZVUHLVULUHAUAUSAPEVUKVUGAVUKVUGUHUYPEUIAVUIVU
      JVUGAMURAURMAURMAVBZAMSUUFZUUGUTUULUUHVCVDVEVCUYPUXNUHZVUGUYOUHUXQVUOJUXS
      VUFUYNVUOVUFUYNUHUXTUXSUIZVUOUYAUYRUYDVUEUYMVUOUYQUYCUYBUNMUYPUXNVFVGVUOU
      YEUYTUYGVUDUYLVUOUYSUYFUKUNUKUYPUXNVFVHVUOVUCUYKUKUNVUOVUAUYHVUBUYJUNUXTU
      YPUXNVFUYIUYPUXNVFVIVHVJVJVCVDVKADEUXMKUXLVLUXQJUXSUYNVMUXQUKUXRVNVOVPUXQ
      UYOJUXSUXTUXMUGZUPZUXMUXQJUXSUYNVUQAUXPVUPUYNVUQUHAUXPVUPVQZUYAUYDUYMVUQV
      USUYAUJZUYDUXRUXMUGZVUQVUSUYDVVAUHZUYAAUXPVVBVUPUXQUYDUYBMUKMUMVAZQUFZUXM
      UGZQVRZULVAZUNVAZVVAUXQUYCVVGUYBUNUXQIMIUFZUKVVIUMVAZVVEQVRZULVAZVVGVVCUX
      NUQUXQOUXMIVVCVVIVVJVVDOUFZUGZQVRZULVAZUPZIVVCVVLUPZDKUQKODVVQUPUHZUXQTUS
      UXQVVMUXMUHZUJZIVVCVVPVVLVWAVVIVVCUIZUJZVVOVVKVVIULVWCVVJVVNVVEQVWCVVDVVJ
      UIZUJVVDVVMUXMUXQVVTVWBVWDVSVTWAVGVDAUXPWCUXQIVVCVVLVMUXQUKMVNZVOVPZUXQVV
      IMUHZUJZVVIMVVKVVFULUXQVWGWCZVWHVVJVVCVVEQVWHVVIMUKUMVWIVGWBVIAMVVCUIUXPA
      MUKMAWDZAMUXKUUIZVWKAMSWEZAMAMSWFZWGZWHVCUXQMVVFULWIVPVGUXQVVHMNULVAZVVGU
      NVAZVVAUXQUYBVWOVVGUNUXQNMANWJUIUXPANRWKVCZAMWJUIZUXPAMVWMUUJZVCZUUMVHUXQ
      VWPNVVFUNVAZVVAUXQMNVVFVWTVWQUXQVVFUXQVVCVVEQVWEUXQVVDVVCUIZUJZVVDUXSUIZV
      VEWLUIZVXCVVDUKUXRVXCWDVXCMAMWOUIZUXPVXBVWKWMWNZVXBVVDWOUIZUXQVVDUKMWPVKZ
      VXBUKVVDWQWRZUXQVVDUKMWSVKVXCVVDMUXRVXCVVDVXIXIAMWTUIZUXPVXBVWMWMZVXCUXRV
      XGXIVXBVVDMWQWRUXQVVDUKMXAVKVXCMVXLUUNXBWHVXCUXSWLVVDUXMUXQUXSWLUXMXCZVXB
      UXQVXMUXSHUFZUXMUGZHVRZNUHZUXQUXMUXSWLGUFZXCZUXSVXNVXRUGZHVRZNUHZUJZGUUOZ
      UIZVXMVXQUJZUXPVYEAUXPVYEDVYDUXMUBUUPXDVKUXQVYEVYFVYEVYFXEUXQVYCVYFGUXMUD
      UUQVXRUXMUHZVXSVXMVYBVXQUXSWLVXRUXMUUAVYGVYAVXPNVYGUXSVXTVXOHVYGVXNUXSUIZ
      UJVXNVXRUXMVYGVYHUURVTWAUUSUUTUVAUSXFXGZUVCZVCVLXHXJWKZUVBUXQVXAVVAUHVVFV
      VAULVAZNUHUXQVYLUXSVVEQVRZNUXQVYMVYLUXQVYMUKUXRUKUNVAZUMVAZVVEQVRZVVAULVA
      VYLUXQVVEVVAQUKUXRAUXRUKUVDUGZUIZUXPAVYRUKUXRWQWRZAUKUKURULVAZUXRWQUKVYTU
      HAUKUKVYTUKUVEUVFUVGUSAUKURMUKAXKZVUMVWMWUAVWLURUKWQWRAUVHUSUVIXLAUKWOUIZ
      UXRWOUIZVYRVYSXEVWJAMVWKWNUKUXRUVJXMXNVCUXQVXDUJVVEUXQUXSWLVVDUXMVYJVLZWK
      VVDUXRUXMXTXOUXQVYPVVFVVAULUXQVYOVVCVVEQUXQVYNMUKUMUXQMUKVWTUXQXPZXQVGWBV
      HVEXRUXQVYMVXPNVYMVXPUHUXQUXSVVEVXOQHVVDVXNUXMXTHUXSXSQUXSXSHVVEXSQVXOXSU
      VKUSUXQVXMVXQVYIYAVEVEUXQNVVFVVAVWQVYKUXQVVAUXQUXSWLUXRUXMVYJUXQUXRUKUXRU
      XQWDZUXQMAVXFUXPVWKVCZWNZWUHUXQUKURUKULVAZUXRWQUKWUIUHZUXQYBUSUXQURMUKUXQ
      VBAVXKUXPVWMVCUXQXKZAURMWQWRUXPAURMVUMVWMVUNUVLVCYCZXLZAUXRUXRWQWRUXPAMMU
      KVWMVWMWUAVWNYCVCWHYDWKYEXNVEVEVEYFVCVUTVUQVVAVUTUXTUXRUXMVUSUYAWCYGXRVEV
      USUYAYJZUJZUYEUYGUYLVUQWUOUYEUJZUYGUKUXMUGZVUQWUOUYGWUQUHZUYEVUSWURWUNAUX
      PWURVUPUXQUYGUKVVRUGZUKUNVAZWUQUXQUYFWUSUKUNUXQUKUXNVVRVWFVTVHUXQWUTUKUKU
      KUMVAZVVEQVRZULVAZUKUNVAZWUQUXQWUSWVCUKUNUXQIUKVVLWVCVVCVVRUQUXQVVRYHUXQV
      VIUKUHZUJZVVIUKVVKWVBULUXQWVEWCZWVFVVJWVAVVEQWVFVVIUKUKUMWVGVGWBVIUXQUKUK
      MWUFWUGWUFUXQUKWUKWGZAUKMWQWRUXPVWLVCWHUXQUKWVBULWIVPVHUXQWVDWVBWUQUXQUKW
      VBWUEUXQWVBUXQWVAVVEQUXQUKUKVNUXQVVDWVAUIZUJZVXDVXEWVJVVDUKUXRWVJWDWVJMUX
      QVXFWVIWUGVCWNZWVIVXHUXQVVDUKUKWPVKZWVIVXJUXQVVDUKUKWSVKWVJVVDWUIUXRWVJVV
      DWVLXIWVJURUKWVJVBWVJXKYKWVJUXRWVKXIWVJVVDUKWUIWQWVIVVDUKWQWRUXQVVDUKUKXA
      VKWUJWVJYBUSUVMUXQWUIUXRWQWRWVIWULVCXBWHUXQVXDVXEWVIWUDYIXHXJWKYLUXQWUBWU
      QWJUIWVBWUQUHWUFUXQWUQUXQUXSWLUKUXMVYJUXQUKUKUXRWUFWUHWUFWVHWUMWHYDWKVVEW
      UQQUKVVDUKUXMXTUVNXMVEVEVEYFVCVCWUPVUQWUQWUPUXTUKUXMWUOUYEWCYGXRVEWUOUYEY
      JZUJZUYLUXTVVRUGZUYIVVRUGZUNVAZUKUNVAZVUQWVNUYKWVQUKUNWVNUYHWVOUYJWVPUNWV
      NUXTUXNVVRWVNOUXMVVQVVRDKUQVVSWVNTUSWVNVVTUJZIVVCVVPVVLWVSVWBUJZVVOVVKVVI
      ULWVTVVJVVNVVEQWVTVWDUJVVDVVMUXMWVNVVTVWBVWDVSVTWAVGVDAUXPVUPWUNWVMUVOWVN
      IVVCVVLVMWVNUKMVNVOVPZVTWVNUYIUXNVVRWWAVTVIVHWVNWVRUXTUKUXTUMVAZVVEQVRZUL
      VAZUYIUKUYIUMVAZVVEQVRZULVAZUNVAZUKUNVAZVUQWVNWVQWWHUKUNWVNWVOWWDWVPWWGUN
      WVNIUXTVVLWWDVVCVVRUQWVNVVRYHZWVNVVIUXTUHZUJZVVIUXTVVKWWCULWVNWWKWCZWWLVV
      JWWBVVEQWWLVVIUXTUKUMWWMVGWBVIWVNUXTUKMWVNWDWUOVXFWVMVUSVXFWUNAUXPVXFVUPW
      UGYFVCZVCZWUOUXTWOUIZWVMVUSWWPWUNVUSUXTVUPAUXTYMUIUXPUXTUXRYNZYOZYPZVCZVC
      ZWUOUKUXTWQWRZWVMVUSWXBWUNVUSUXTWWRWEZVCVCWUOUXTMWQWRZWVMWUOWXDUXTUXRYQWR
      ZWUOWXEUXTUXRWQWRZUXRUXTYRZUJWUOWXFWXGWUOWXBWXFWUOVUPWXBWXFUJZAUXPVUPWUNU
      VPWUOVUPWXHWUOWWPWUBWUCVUPWXHXEWWTWUOWDWUOMWWNWNZUXTUKUXRUVQYSXFXGYAZWUOU
      XTUXRWUNUXTUXRYRVUSUXTUXRUVRVKUTUVSWUOUXTUXRWUOUXTWWTXIZWUOUXRWXIXIZUVTXN
      WUOWWPVXFWXDWXEXEWWTWWNUXTMUWAXMXNVCWHWVNUXTWWCULWIVPWVNIUYIVVLWWGVVCVVRU
      QWWJWVNVVIUYIUHZUJZVVIUYIVVKWWFULWVNWXMWCZWXNVVJWWEVVEQWXNVVIUYIUKUMWXOVG
      WBVIVUSWVMUYIVVCUIZWUNAVUPWVMWXPUXPAVUPWVMWXPAVUPWVMVQZUYIUKMWXQWDZAVUPWV
      MVXFAVXFVUPWVMVWKWMUWBWXQUXTUKAVUPWVMWWPAVUPUJWWPWVMVUPWWPAVUPUXTWWQYPVKV
      CUWBZWXRUWCZWXQUKUKULVAUXTWQWRZUKUYIWQWRZWXQUKUXTYQWRZWYAWXQWYCUXTUKYRZWV
      MAWYDVUPUXTUKUVRYOWXQUKUXTAVUPUKWTUIZWVMWUAYTZWXQUXTWXSXIZWXQVUPWXBAVUPWV
      MUWDUXTUKUXRWSUWFUWGXNWXQUKUXTWXRWXSUWEUWHWXQWYEWYEUXTWTUIZWYAWYBXEWYFWYF
      WYGUKUKUXTUWIYSUWHWXQUYIVYNMWXQUYIWXTXIWXQUXRUKWXQMUKAVUPVXKWVMVWMYTZWXQX
      KZYKZWYJUWJWYIWXQUXTUXRUKWYGWYKWYJVUPAWXFWVMUXTUKUXRXAUWKUWLWXQVYNMMWQWXQ
      MUKAVUPVWRWVMVWSYTWXQXPXQAVUPMMWQWRWVMVWNYTXLXBWHUWMUWNYIWVNUYIWWFULWIVPV
      IVHWVNWWIUXTUYIUNVAZWWCWWFUNVAZULVAZUKUNVAZVUQWVNWWHWYNUKUNWVNUXTWWCUYIWW
      FWVNUXTWXAUWOZWVNWWCWVNWWBVVEQWVNUKUXTVNWVNVVDWWBUIZUJZVXDVXEWYRVVDUKUXRW
      YRWDWYRMWVNVXFWYQWWOVCWNWYRVVDWYQVVDYMUIZWVNVVDUXTYNVKZYPWYRVVDWYTWEWYRVV
      DUXTUXRWYRVVDWYTWFWUOWYHWVMWYQWXKWMWUOUXRWTUIZWVMWYQWXLWMWYQVVDUXTWQWRWVN
      VVDUKUXTXAVKWUOWXFWVMWYQWXJWMXBWHWYRUXSWLVVDUXMWVNVXMWYQWUOVXMWVMVUSVXMWU
      NAUXPVXMVUPVYJYFZVCVCZVCVLXHZXJWKZWVNUXTUKWYPWVNXPZUWPWVNWWFWVNWWEVVEQWVN
      UKUYIVNWVNVVDWWEUIZUJZVXDVXEXUHVVDUKUXRXUHWDXUHMWVNVXFXUGWWOVCWNXUHVVDXUG
      WYSWVNVVDUYIYNVKZYPXUHVVDXUIWEXUHVVDUYIUXRXUHVVDXUIWFXUHUXTUKWUOWYHWVMXUG
      WXKWMZXUHXKUWJZWUOXUAWVMXUGWXLWMZXUGVVDUYIWQWRWVNVVDUKUYIXAVKXUHUYIUXTUXR
      XUKXUJXULXUHUXTXUJUWQWUOWXFWVMXUGWXJWMXBXBWHXUHUXSWLVVDUXMWVNVXMXUGXUCVCV
      LXHXJWKZUWRVHWVNWYOUKWYMULVAZUKUNVAZVUQWVNWYNXUNUKUNWVNWYLUKWYMULWVNUXTUK
      WYPXUFUWSVHVHWVNXUOWYMVUQWVNUKWYMXUFWVNWWCWWFXUEXUMUWPYLWVNWYMVUQUHWWFVUQ
      ULVAZWWCUHWVNWWCXUPWVNVVEVUQQUKUXTWUOUXTVYQUIZWVMVUSXUQWUNVUSWUBWWPWXBVQX
      UQVUSWUBWWPWXBAUXPWUBVUPWUFYFWWSWXCUWTUKUXTUXAUXBVCVCWYRVVEXUDWKVVDUXTUXM
      XTXOXRWVNWWCWWFVUQXUEXUMWUOVUQWJUIZWVMVUSXURWUNVUSVUQVUSUXSWLUXTUXMXUBAUX
      PVUPUXCYDWKVCVCYEXNVEVEVEVEVEUXDUXDUWMVDUXQUXMVURUXQUXMUXSUXEZUXMVURUHZUX
      QUXSWLUXMVYJUXGXUSXUTJUXSUXMUXHXDUWFXRVEVEUXFABCDEFGHIJKLMNOPUEQRSTUAUBUC
      UXIUXJ $.
  $}

  ${
    $d A a j l x y $.  $d A b j l $.  $d B a $.  $d B b $.  $d K a f j l x y $.
    $d K b j l $.  $d K a g i $.  $d N b j $.  $d N f j $.  $d N g i $.
    $d a j l ph x y $.  $d b j l ph $.  $d i l $.  $d A a j k l x y $.
    $d A b j k l x y $.  $d B a i k l $.  $d B b i k l $.  $d B a j k l $.
    $d F b k $.  $d K b f j l x y $.  $d K a g i k $.  $d N a f j l $.
    $d N b f j l $.  $d N a g i k $.  $d a i k l ph $.  $d b g i k $.
    $d b i k l ph $.  $d j k l ph x y $.
    sticksstones13.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones13.2 $e |- ( ph -> K e. NN0 ) $.
    sticksstones13.3 $e |- F = ( a e. A |-> ( j e. ( 1 ... K ) |->
    ( j + sum_ l e. ( 1 ... j ) ( a ` l ) ) ) ) $.
    sticksstones13.4 $e |- G = ( b e. B |-> if ( K = 0
     , { <. 1 , N >. } , ( k e. ( 1 ... ( K + 1 ) )
        |-> if ( k = ( K + 1 ) , ( ( N + K ) - ( b ` K ) ) , if
       ( k = 1 , ( ( b ` 1 ) - 1 )
       , ( ( ( b ` k ) - ( b ` ( k - 1 ) ) ) - 1 ) ) ) ) ) ) $.
    sticksstones13.5 $e |- A = { g | ( g : ( 1 ... ( K + 1 ) ) --> NN0 /\
     sum_ i e. ( 1 ... ( K + 1 ) ) ( g ` i ) = N ) } $.
    sticksstones13.6 $e |- B = { f | ( f : ( 1 ... K ) --> ( 1 ... ( N + K ) )
    /\ A. x e. ( 1 ... K ) A. y e. ( 1 ... K ) ( x < y ->
    ( f ` x ) < ( f ` y ) ) ) } $.
    $( Establish bijective mapping between strictly monotone functions and
       functions that sum to a fixed non-negative integer.  (Contributed by
       metakunt, 6-Oct-2024.) $)
    sticksstones13 $p |- ( ph -> F : A -1-1-onto-> B ) $=
      ( cc0 wceq wf1o cn wcel wa cn0 adantr simpr sticksstones11 sticksstones12
      wo elnn0 biimpi orcomd syl mpjaodan ) AMUDUEZDEKUFMUGUHZAVAUIBCDEFGHIJKLM
      NOPQANUJUHZVARUKAVAULTUAUBUCUMAVBUIBCDEFGHIJKLMNOPQAVCVBRUKAVBULTUAUBUCUN
      AMUJUHZVAVBUOSVDVBVAVDVBVAUOMUPUQURUSUT $.
  $}

  ${
    $d A a i k l $.  $d A b i k l $.  $d A a j k l x y $.  $d B a f j l $.
    $d B b f j l $.  $d B a i k l $.  $d F b i k $.  $d K a f j l x y $.
    $d K b f j l x y $.  $d K a g i k $.  $d N a f j l x y $.
    $d N b f j l x y $.  $d N a g i k $.  $d a f j l ph x y $.
    $d b g i k ph $.
    sticksstones14.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones14.2 $e |- ( ph -> K e. NN0 ) $.
    sticksstones14.3 $e |- F = ( a e. A |-> ( j e. ( 1 ... K ) |->
    ( j + sum_ l e. ( 1 ... j ) ( a ` l ) ) ) ) $.
    sticksstones14.4 $e |- G = ( b e. B |-> if ( K = 0
     , { <. 1 , N >. } , ( k e. ( 1 ... ( K + 1 ) )
        |-> if ( k = ( K + 1 ) , ( ( N + K ) - ( b ` K ) ) , if
       ( k = 1 , ( ( b ` 1 ) - 1 )
       , ( ( ( b ` k ) - ( b ` ( k - 1 ) ) ) - 1 ) ) ) ) ) ) $.
    sticksstones14.5 $e |- A = { g | ( g : ( 1 ... ( K + 1 ) ) --> NN0 /\
     sum_ i e. ( 1 ... ( K + 1 ) ) ( g ` i ) = N ) } $.
    sticksstones14.6 $e |- B = { f | ( f : ( 1 ... K ) --> ( 1 ... ( N + K ) )
    /\ A. x e. ( 1 ... K ) A. y e. ( 1 ... K ) ( x < y ->
    ( f ` x ) < ( f ` y ) ) ) } $.
    $( Sticks and stones with definitions as hypotheses.  (Contributed by
       metakunt, 7-Oct-2024.) $)
    sticksstones14 $p |- ( ph -> ( # ` A ) = ( ( N + K ) _C K ) ) $=
      ( chash cfv caddc co cbc cvv c1 cfz cn0 cv wf csu wceq wa cab a1i wcel wi
      wss simpl ss2abdv cfn fzfid nn0ex mapex syl2anc sticksstones13 hasheqf1od
      ssexg eqeltrd nn0addcld sticksstones5 eqtrd ) ADUDUEEUDUENMUFUGZMUHUGADEU
      IKADUJMUJUFUGZUKUGZULGUMZUNZVSHUMVTUEHUONUPZUQZGURZUIDWDUPAUBUSAWDWAGURZV
      BWEUIUTZWDUIUTAWCWAGWCWAVAAWAWBVCUSVDAVSVEUTULUIUTZWFAUJVRVFWGAVGUSVSULVE
      UIGVHVIWDWEUIVLVIVMABCDEFGHIJKLMNOPQRSTUAUBUCVJVKABCEFMVQANMRSVNSUCVOVP
      $.
  $}

  ${
    $d A i t u v w x y z $.  $d K f l t u v x y z $.  $d K g i u v w $.
    $d N f l t u v x y z $.  $d N g i u v w $.  $d f ph t u v x y z $.
    $d g i ph u v w $.  $d i l t u v w x y z $.
    sticksstones15.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones15.2 $e |- ( ph -> K e. NN0 ) $.
    sticksstones15.3 $e |- A = { g | ( g : ( 1 ... ( K + 1 ) ) --> NN0 /\
     sum_ i e. ( 1 ... ( K + 1 ) ) ( g ` i ) = N ) } $.
    $( Sticks and stones with almost collapsed definitions for positive
       integers.  (Contributed by metakunt, 7-Oct-2024.) $)
    sticksstones15 $p |- ( ph -> ( # ` A ) = ( ( N + K ) _C K ) ) $=
      ( vx vy c1 cfz co cv clt cfv wral cmpt cmin vl vf vz vw vv vt vu caddc wf
      wbr wi wa cab csu cc0 wceq cop csn cif eqid fveq1 breq12d imbi2d 2ralbidv
      feq1 anbi12d cbvabv sticksstones14 ) AJKBLEMNZLFEUHNZMNZUAOZUIZJOZKOZPUJZ
      VNVLQZVOVLQZPUJZUKZKVIRJVIRZULZUAUMZUBCDUCUDUEBUCVIUCOZLWDMNUFOUEOQUFUNUH
      NSSZUGWCEUOUPLFUQURUDLELUHNZMNUDOZWFUPVJEUGOZQTNWGLUPLWHQLTNWGWHQWGLTNWHQ
      TNLTNUSUSSUSSZEFUEUGUFGHWEUTWIUTIWBVIVKUBOZUIZVPVNWJQZVOWJQZPUJZUKZKVIRJV
      IRZULUAUBVLWJUPZVMWKWAWPVIVKVLWJVEWQVTWOJKVIVIWQVSWNVPWQVQWLVRWMPVNVLWJVA
      VOVLWJVAVBVCVDVFVGVH $.
  $}

  ${
    $d K g i j $.  $d N g i $.  $d g i ph $.
    sticksstones16.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones16.2 $e |- ( ph -> K e. NN ) $.
    sticksstones16.3 $e |- A = { g | ( g : ( 1 ... K ) --> NN0 /\
     sum_ i e. ( 1 ... K ) ( g ` i ) = N ) } $.
    $( Sticks and stones with collapsed definitions for positive integers.
       (Contributed by metakunt, 20-Oct-2024.) $)
    sticksstones16 $p |- ( ph -> ( # ` A ) =
     ( ( N + ( K - 1 ) ) _C ( K - 1 ) ) ) $=
      ( vj chash cfv c1 co cfz cn0 cv csu wceq wa cmin caddc wf cab cbc cbvsumv
      fveq2 eqeq1i anbi2i abbii eqtri a1i nncnd 1cnd npcand eqcomd oveq2d feq2d
      nfv sumeq1d eqeq1d anbi12d abbid eqtrd fveq2d wcel nnm1nn0 sticksstones15
      cn syl ) ABKLMEMUANZMUBNZONZPCQZUCZVMJQZVNLZJRZFSZTZCUDZKLFVKUBNVKUENABWA
      KABMEONZPVNUCZWBVQJRZFSZTZCUDZWABWGSABWCWBDQZVNLZDRZFSZTZCUDWGIWLWFCWKWEW
      CWJWDFWBWIVQDJWHVPVNUGUFUHUIUJUKULAWFVTCACUSAWCVOWEVSAWBVMPVNAEVLMOAVLEAE
      MAEHUMAUNUOUPUQZURAWDVRFAWBVMVQJWMUTVAVBVCVDVEAWACDVKFGAEVIVFVKPVFHEVGVJV
      TVOVMWIDRZFSZTCVSWOVOVRWNFVMVQWIJDVPWHVNUGUFUHUIUJVHVD $.
  $}

  ${
    $d A b $.  $d B b i s $.  $d B b i y $.  $d K g i y $.  $d N g $.
    $d N h $.  $d S h i $.  $d S i s $.  $d Z g i y $.  $d Z i s $.
    $d b g i y $.  $d b h i $.  $d b i ph s $.  $d ph y $.
    sticksstones17.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones17.2 $e |- ( ph -> K e. NN0 ) $.
    sticksstones17.3 $e |- A = { g | ( g : ( 1 ... K ) --> NN0 /\
     sum_ i e. ( 1 ... K ) ( g ` i ) = N ) } $.
    sticksstones17.4 $e |- B = { h | ( h : S --> NN0 /\
     sum_ i e. S ( h ` i ) = N ) } $.
    sticksstones17.5 $e |- ( ph -> Z : ( 1 ... K ) -1-1-onto-> S ) $.
    sticksstones17.6 $e |- G = ( b e. B |-> ( y e. ( 1 ... K ) |->
    ( b ` ( Z ` y ) ) ) ) $.
    $( Extend sticks and stones to finite sets, bijective builder.
       (Contributed by metakunt, 23-Oct-2024.) $)
    sticksstones17 $p |- ( ph -> G : B --> A ) $=
      ( cn0 vs c1 cfz co cv cfv cmpt wcel wa csu wceq cab w3a wss eqimssi sseld
      a1i imp vex feq1 simpl fveq1d sumeq2dv eqeq1d anbi12d sylib simpld adantr
      wf elab 3impa wf1o syl simp3 ffvelrnd 3expa fmpttd cvv eqidd simpr fveq2d
      f1of fvexd fvmptd fveq2 cfn fzfi cc nn0sscn fss syl2anc ffvelrnda fsumf1o
      eqcomd cbvsumv simprd eqtrd jca fzfid mptexd elabg mpbird eleqtrrd fmptd
      wb ) AMDBUBJUCUDZBUEZLUFZMUEZUFZUGZCIAXIDUHZUIZXKXFTFUEZVIZXFHUEZXNUFZHUJ
      ZKUKZUIZFULZCXMXKYAUHZXFTXKVIZXFXPXKUFZHUJZKUKZUIZXMYCYFXMBXFXJTAXLXGXFUH
      ZXJTUHAXLYHUMZETXHXIAXLYHETXIVIZXMYJYHXMYJEXPXIUFZHUJZKUKZXMXIETGUEZVIZEX
      PYNUFZHUJZKUKZUIZGULZUHZYJYMUIZAXLUUAADYTXIDYTUNADYTQUOUQUPURYSUUBGXIMUSY
      NXIUKZYOYJYRYMETYNXIUTUUCYQYLKUUCEYPYKHUUCXPEUHZUIXPYNXIUUCUUDVAVBVCVDVEV
      JVFZVGZVHVKYIXFEXGLAXLYHXFELVIZXMUUGYHAUUGXLAXFELVLZUUGRXFELWBVMVHVHVKAXL
      YHVNVOVOVPVQXMYEXFXPLUFZXIUFZHUJZKXMXFYDUUJHXMXPXFUHZUIZBXPXJUUJXFXKVRUUM
      XKVSUUMXGXPUKZUIZXHUUIXIUUOXGXPLUUMUUNVTWAWAXMUULVTUUMUUIXIWCWDVCXMUUKEUA
      UEZXIUFZUAUJZKXMUURUUKXMEUUQXFUUJUAHLUUIUUPUUIXIWEXFWFUHXMUBJWGUQAUUHXLRV
      HUUMUUIVSXMEWHUUPXIXMYJTWHUNZEWHXIVIUUFUUSXMWIUQETWHXIWJWKWLWMWNXMUURYLKU
      URYLUKXMEUUQYKUAHUUPXPXIWEWOUQXMYJYMUUEWPWQWQWQWRXMXKVRUHYBYGXEXMBXFXJWFX
      MUBJWSWTXTYGFXKVRXNXKUKZXOYCXSYFXFTXNXKUTUUTXRYEKUUTXFXQYDHUUTUULUIXPXNXK
      UUTUULVAVBVCVDVEXAVMXBCYAUKXMPUQXCSXD $.
  $}

  ${
    $d A a i n $.  $d A a i x $.  $d B a $.  $d K g i $.  $d K i n $.
    $d N g $.  $d N h $.  $d S h i x $.  $d Z h i x $.  $d Z i n $.
    $d a g i $.  $d a h i x $.  $d a i n ph $.  $d ph x $.
    sticksstones18.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones18.2 $e |- ( ph -> K e. NN0 ) $.
    sticksstones18.3 $e |- A = { g | ( g : ( 1 ... K ) --> NN0 /\
     sum_ i e. ( 1 ... K ) ( g ` i ) = N ) } $.
    sticksstones18.4 $e |- B = { h | ( h : S --> NN0 /\
     sum_ i e. S ( h ` i ) = N ) } $.
    sticksstones18.5 $e |- ( ph -> Z : ( 1 ... K ) -1-1-onto-> S ) $.
    sticksstones18.6 $e |- F = ( a e. A |-> ( x e. S |->
    ( a ` ( `' Z ` x ) ) ) ) $.
    $( Extend sticks and stones to finite sets, bijective builder.
       (Contributed by metakunt, 23-Oct-2024.) $)
    sticksstones18 $p |- ( ph -> F : A --> B ) $=
      ( wa vn cv ccnv cfv cmpt wcel cn0 wf csu wceq cab c1 cfz co eqimssi sseld
      wss a1i imp feq1 simpl fveq1d sumeq2dv eqeq1d anbi12d sylib simpld adantr
      vex elab wf1o f1ocnv syl ffvelrnda ffvelrnd fmpttd cvv eqidd simpr fveq2d
      f1of fvexd fvmptd fveq2 cfn cen wbr fzfid f1oenfi syl2anc ensymd enfii cc
      nn0sscn fss fsumf1o eqcomd cbvsumv simprd eqtrd jca mptexd elabg eleqtrrd
      wb mpbird fmptd ) AMCBEBUBZLUCZUDZMUBZUDZUEZDIAXKCUFZTZXMEUGGUBZUHZEHUBZX
      PUDZHUIZKUJZTZGUKZDXOXMYCUFZEUGXMUHZEXRXMUDZHUIZKUJZTZXOYEYHXOBEXLUGXOXHE
      UFZTULJUMUNZUGXJXKXOYKUGXKUHZYJXOYLYKXRXKUDZHUIZKUJZXOXKYKUGFUBZUHZYKXRYP
      UDZHUIZKUJZTZFUKZUFZYLYOTZAXNUUCACUUBXKCUUBUQACUUBPUOURUPUSUUAUUDFXKMVIYP
      XKUJZYQYLYTYOYKUGYPXKUTUUEYSYNKUUEYKYRYMHUUEXRYKUFZTXRYPXKUUEUUFVAVBVCVDV
      EVJVFZVGZVHXOEYKXHXIAEYKXIUHZXNAEYKXIVKZUUIAYKELVKZUUJRYKELVLVMZEYKXIWAVM
      VHVNVOVPXOYGEXRXIUDZXKUDZHUIZKXOEYFUUNHXOXREUFZTZBXRXLUUNEXMVQUUQXMVRUUQX
      HXRUJZTZXJUUMXKUUSXHXRXIUUQUURVSVTVTXOUUPVSUUQUUMXKWBWCVCXOUUOYKUAUBZXKUD
      ZUAUIZKXOUVBUUOXOYKUVAEUUNUAHXIUUMUUTUUMXKWDXOYKWEUFZEYKWFWGZEWEUFZXOULJW
      HZXOYKEXOUVCUUKYKEWFWGZUVFAUUKXNRVHYKELWIZWJWKEYKWLZWJAUUJXNUULVHUUQUUMVR
      XOYKWMUUTXKXOYLUGWMUQZYKWMXKUHUUHUVJXOWNURYKUGWMXKWOWJVNWPWQXOUVBYNKUVBYN
      UJXOYKUVAYMUAHUUTXRXKWDWRURXOYLYOUUGWSWTWTWTXAXOXMVQUFYDYIXEXOBEXLWEXOUVC
      UVDUVEAUVCXNAULJWHZVHAUVDXNAYKEAUVCUUKUVGUVKRUVHWJWKVHUVIWJXBYBYIGXMVQXPX
      MUJZXQYEYAYHEUGXPXMUTUVLXTYGKUVLEXSYFHUVLUUPTXRXPXMUVLUUPVAVBVCVDVEXCVMXF
      DYCUJXOQURXDSXG $.
  $}

  ${
    $d A a c i x y $.  $d A b c i x y $.  $d B a d i x y $.  $d B b d i x y $.
    $d F b c y $.  $d F b d y $.  $d G a c x $.  $d G a d x $.  $d K a g i y $.
    $d K b g i y $.  $d K a i x y $.  $d N g $.  $d N h $.  $d S a h i x $.
    $d S b h i x $.  $d S a i x y $.  $d Z a g i y $.  $d Z b g i y $.
    $d Z a h i x $.  $d a c i ph x y $.  $d b c i ph x y $.  $d c g i y $.
    $d d h i x $.  $d d i ph x y $.
    sticksstones19.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones19.2 $e |- ( ph -> K e. NN0 ) $.
    sticksstones19.3 $e |- A = { g | ( g : ( 1 ... K ) --> NN0 /\
     sum_ i e. ( 1 ... K ) ( g ` i ) = N ) } $.
    sticksstones19.4 $e |- B = { h | ( h : S --> NN0 /\
     sum_ i e. S ( h ` i ) = N ) } $.
    sticksstones19.5 $e |- ( ph -> Z : ( 1 ... K ) -1-1-onto-> S ) $.
    sticksstones19.6 $e |- F = ( a e. A |-> ( x e. S |->
    ( a ` ( `' Z ` x ) ) ) ) $.
    sticksstones19.7 $e |- G = ( b e. B |-> ( y e. ( 1 ... K ) |->
    ( b ` ( Z ` y ) ) ) ) $.
    $( Extend sticks and stones to finite sets, bijective builder.
       (Contributed by metakunt, 23-Oct-2024.) $)
    sticksstones19 $p |- ( ph -> F : A -1-1-onto-> B ) $=
      ( vc vd sticksstones18 sticksstones17 cv cfv wceq wcel wa c1 cfz cmpt cvv
      co a1i simplr fveq1d mpteq2dva ffvelrnda cfn fzfid mptexd fvmptd ccnv w3a
      3expa eqidd cen wbr wf1o f1oenfi syl2anc ensymd enfii adantr simpr fveq2d
      wf f1of syl fvexd ad2antrr f1ocnvfv1 wfn cn0 csu cab eleqtrd vex sumeq2dv
      feq1 simpl eqeq1d anbi12d elab sylib simpld ffn dffn5 eqcomd eqtrd f1ocnv
      ralrimiva f1ocnvfv2 2fvidf1od ) ADEJKUDUEABDEFGHIJLMNOQRSTUAUBUFZACDEFGHI
      KLMNPQRSTUAUCUGZAUDUHZJUIZKUIZXKUJUDDAXKDUKZULZXMCUMLUNUQZCUHZNUIZXLUIZUO
      ZXKXOPXLCXPXRPUHZUIZUOZXTEKUPKPEYCUOUJZXOUCURXOYAXLUJZULZCXPYBXSYFXQXPUKZ
      ULXRYAXLXOYEYGUSUTVAADEXKJXIVBXOCXPXSVCXOUMLVDVEVFXOXTCXPXRXKODBFBUHZNVGZ
      UIZOUHZUIZUOZUOZUIZUIZUOZXKXOCXPXSYPAXNYGXSYPUJAXNYGVHZXRXLYOYRXKJYNJYNUJ
      ZYRUBURUTUTVIVAXOYQCXPXRBFYJXKUIZUOZUIZUOZXKXOCXPYPUUBXOYGULZXRYOUUAUUDOX
      KYMUUADYNUPUUDYNVJUUDYKXKUJZULZBFYLYTUUFYHFUKZULYJYKXKUUDUUEUUGUSUTVAAXNY
      GUSUUDBFYTVCXOFVCUKZYGAUUHXNAXPVCUKZFXPVKVLUUHAUMLVDZAXPFAUUIXPFNVMZXPFVK
      VLUUJUAXPFNVNVOVPFXPVQVOZVRVRVEVFUTVAXOUUCCXPXRYIUIZXKUIZUOZXKXOCXPUUBUUN
      UUDBXRYTUUNFUUAUPUUDUUAVJUUDYHXRUJZULZYJUUMXKUUQYHXRYIUUDUUPVSVTVTXOXPFXQ
      NAXPFNWAZXNAUUKUURUAXPFNWBWCVRVBUUDUUMXKWDVFVAXOUUOCXPXQXKUIZUOZXKXOCXPUU
      NUUSUUDUUMXQXKUUDUUKYGUUMXQUJAUUKXNYGUAWEXOYGVSXPFXQNWFVOVTVAXOXKUUTXOXKX
      PWGZXKUUTUJXOXPWHXKWAZUVAXOUVBXPIUHZXKUIZIWIZMUJZXOXKXPWHGUHZWAZXPUVCUVGU
      IZIWIZMUJZULZGWJZUKUVBUVFULZXOXKDUVMAXNVSDUVMUJXOSURWKUVLUVNGXKUDWLUVGXKU
      JZUVHUVBUVKUVFXPWHUVGXKWNUVOUVJUVEMUVOXPUVIUVDIUVOUVCXPUKZULUVCUVGXKUVOUV
      PWOUTWMWPWQWRWSWTXPWHXKXAWCCXPXKXBWSXCXDXDXDXDXDXFAUEUHZKUIZJUIZUVQUJUEEA
      UVQEUKZULZUVSBFYJUVRUIZUOZUVQUWAOUVRYMUWCDJUPYSUWAUBURUWAYKUVRUJZULZBFYLU
      WBUWEUUGULYJYKUVRUWAUWDUUGUSUTVAAEDUVQKXJVBUWABFUWBVCAUUHUVTUULVRVEVFUWAU
      WCBFYJCXPXRUVQUIZUOZUIZUOZUVQUWABFUWBUWHUWAUUGULZYJUVRUWGUWJPUVQYCUWGEKUP
      YDUWJUCURUWJYAUVQUJZULZCXPYBUWFUWLYGULXRYAUVQUWJUWKYGUSUTVAAUVTUUGUSUWJCX
      PUWFVCUWJUMLVDVEVFUTVAUWAUWIBFYJNUIZUVQUIZUOZUVQUWABFUWHUWNUWJCYJUWFUWNXP
      UWGUPUWJUWGVJUWJXQYJUJZULZXRUWMUVQUWQXQYJNUWJUWPVSVTVTUWAFXPYHYIAFXPYIWAZ
      UVTAFXPYIVMZUWRAUUKUWSUAXPFNXEWCFXPYIWBWCVRVBUWJUWMUVQWDVFVAUWAUWOBFYHUVQ
      UIZUOZUVQUWABFUWNUWTUWJUWMYHUVQUWJUUKUUGUWMYHUJAUUKUVTUUGUAWEUWAUUGVSXPFY
      HNXGVOVTVAUWAUVQUXAUWAUVQFWGZUVQUXAUJUWAFWHUVQWAZUXBUWAUXCFUVCUVQUIZIWIZM
      UJZUWAUVQFWHHUHZWAZFUVCUXGUIZIWIZMUJZULZHWJZUKUXCUXFULZUWAUVQEUXMAUVTVSEU
      XMUJUWATURWKUXLUXNHUVQUEWLUXGUVQUJZUXHUXCUXKUXFFWHUXGUVQWNUXOUXJUXEMUXOFU
      XIUXDIUXOUVCFUKZULUVCUXGUVQUXOUXPWOUTWMWPWQWRWSWTFWHUVQXAWCBFUVQXBWSXCXDX
      DXDXDXFXH $.
  $}

  ${
    $d A a b i p x y $.  $d A a p q x $.  $d B a b i p x y $.  $d B a p q x $.
    $d K a b g i y $.  $d K a b i x y $.  $d N g i $.  $d N h i $.
    $d S a b h i p x $.  $d S a p q x $.  $d S a b i p x y $.
    $d a b g i p ph y $.  $d ph x y $.
    sticksstones20.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones20.2 $e |- ( ph -> S e. Fin ) $.
    sticksstones20.3 $e |- ( ph -> K e. NN ) $.
    sticksstones20.4 $e |- A = { g | ( g : ( 1 ... K ) --> NN0 /\
     sum_ i e. ( 1 ... K ) ( g ` i ) = N ) } $.
    sticksstones20.5 $e |- B = { h | ( h : S --> NN0 /\
     sum_ i e. S ( h ` i ) = N ) } $.
    sticksstones20.6 $e |- ( ph -> ( # ` S ) = K ) $.
    $( Lift sticks and stones to arbitrary finite non-empty sets.  (Contributed
       by metakung, 24-Oct-2024.) $)
    sticksstones20 $p |- ( ph -> ( # ` B ) =
     ( ( N + ( K - 1 ) ) _C ( K - 1 ) ) ) $=
      ( vp cfv cv wcel cvv vq va vx vy vb chash c1 cmin co cbc cen wbr wceq cfz
      caddc wf1o wex cfn isfinite4 bren syl oveq2d f1oeq2d biimpd eximdv mpd wa
      sylbb ccnv cn0 wf csu cab a1i fzfid nn0ex mapex syl2anc simprl ex ss2abdv
      cmpt ssexd eqeltrd adantr mptexd nnnn0d eqid sticksstones19 f1oeq1 spcedv
      simpr sylibr exlimddv hasheni eqcomd sticksstones16 eqtrd ) ACUFQZBUFQZIH
      UGUHUIZUOUIXAUJUIAWTWSABCUKULZWTWSUMAUGHUNUIZDPRZUPZXBPAUGDUFQZUNUIZDXDUP
      ZPUQZXEPUQADURSZXIKXJXGDUKULXIDUSXGDPUTVHVAAXHXEPAXHXEAXGXCDXDAXFHUGUNOVB
      VCVDVEVFAXEVGZBCUARZUPZUAUQXBXKXMBCUBBUCDUCRXDVIQUBRQWBZWBZUPUATXOXKUBBXN
      TABTSXEABXCVJERZVKZXCGRXPQGVLIUMZVGZEVMZTBXTUMAMVNAXTXQEVMZTAXCURSVJTSZYA
      TSAUGHVOYBAVPVNXCVJURTEVQVRAXSXQEAXSXQAXQXRVSVTWAWCWDWEWFXKUCUDBCDEFGXOUE
      CUDXCUDRXDQUERQWBWBZHIXDUBUEAIVJSXEJWEAHVJSXEAHLWGWEMNAXEWLXOWHYCWHWIBCXL
      XOWJWKBCUAUTWMWNBCWOVAWPABEGHIJLMWQWR $.
  $}

  ${
    $d A k $.  $d N f k $.  $d N g k $.  $d S f i k $.  $d S g j k $.
    $d g k ph $.
    sticksstones21.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones21.2 $e |- ( ph -> S e. Fin ) $.
    sticksstones21.3 $e |- ( ph -> S =/= (/) ) $.
    sticksstones21.4 $e |- A = { f | ( f : S --> NN0 /\
     sum_ i e. S ( f ` i ) = N ) } $.
    $( Lift sticks and stones to arbitrary finite non-empty sets.  (Contributed
       by metakunt, 24-Oct-2024.) $)
    sticksstones21 $p |- ( ph -> ( # ` A ) =
     ( ( N + ( ( # ` S ) - 1 ) ) _C ( ( # ` S ) - 1 ) ) ) $=
      ( vg vj vk cfv cn0 cv csu wceq wa cab c1 chash cfz co wf cn c0 wne cfn wb
      wcel hashnncl syl mpbird fveq2 cbvsumv eqeq1i anbi2i abbii sticksstones20
      eqtri eqidd ) AUACUBNZUCUDZOKPZUEZVDLPZVENZLQZFRZSZKTBCKDMVCFGHAVCUFUKZCU
      GUHZIACUIUKVLVMUJHCULUMUNVKVFVDMPZVENZMQZFRZSKVJVQVFVIVPFVDVHVOLMVGVNVEUO
      UPUQURUSBCODPZUEZCEPZVRNZEQZFRZSZDTVSCVNVRNZMQZFRZSZDTJWDWHDWCWGVSWBWFFCW
      AWEEMVTVNVRUOUPUQURUSVAAVCVBUT $.
  $}

  ${
    $d N f x $.  $d S f i s y $.  $d S f i x y $.  $d f i ph s y $.
    $d ph x y $.
    sticksstones22.1 $e |- ( ph -> N e. NN0 ) $.
    sticksstones22.2 $e |- ( ph -> S e. Fin ) $.
    sticksstones22.3 $e |- ( ph -> S =/= (/) ) $.
    sticksstones22.4 $e |- A = { f | ( f : S --> NN0 /\
     sum_ i e. S ( f ` i ) <_ N ) } $.
    $( Non-exhaustive sticks and stones.  (Contributed by metakunt,
       26-Oct-2024.) $)
    sticksstones22 $p |- ( ph -> ( # ` A ) =
     ( ( N + ( # ` S ) ) _C ( # ` S ) ) ) $=
      ( cle wa caddc co cbc wceq wcel cc0 c1 adantr vx vy chash cfv cn0 csu wbr
      vs cv cab a1i fveq2d breq2 anbi2d abbidv oveq1d eqeq12d simprl clt simprr
      wf oveq1 cfn simpr ffvelrnda fsumnn0cl syldan nn0ge0d nn0red lenltd mpbid
      wn 0red jca eqleltd mpbird ex leidd eqbrtrd cmin 0nn0 eqid sticksstones21
      impbid c0 wne cn hashnncl syl bicomd biimpd mpd nncnd 1cnd subcld addid2d
      wb nnm1nn0 bcnn eqtrd eqcomd wo ad2antrr cr adantl 1red readdcld cz nn0zd
      syl2anc sylibr cfz cxp cpw fzfid xpfi pwfi sylib wss fsetsspwxp ssfid 0zd
      wral simpllr difssd adantlr mpdan addge01d breqtrd ltletrd pm2.01da elfzd
      nn0cnd ralrimiva ffnfv ss2abdv simplr ltned wi nn0addcld eqidd nnnn0d cun
      3eqtrd nn0re leloed nn0z zleltp1 orbi1d andi bicomi lep1d letrd jaod unab
      cin wfn ffn csn cdif simplll simplrl jca31 eldifi fveq2 fsumsplit1 ltnled
      nfv pm2.21dd ad2antrl peano2zd ffvelrnd eqeltrd syldanl necomd pm2.21ddne
      nfcv inab wal adantrr zred ltp1d lelttrd neneqd intnand nan mpbir alrimiv
      ab0 hashun syl3anc 1nn0 oveq12d cc ppncand oveq2d bcpasc add32d nn0indd )
      ABUCUDCUEDUIZVAZCEUIZUWTUDZEUFZFKUGZLZDUJZUCUDZFCUCUDZMNZUXIONZABUXGUCBUX
      GPAJUKULAFUEQUXHUXKPZGAUXAUXDUAUIZKUGZLZDUJZUCUDZUXMUXIMNZUXIONZPUXAUXDRK
      UGZLZDUJZUCUDZRUXIMNZUXIONZPUXAUXDUBUIZKUGZLZDUJZUCUDZUYFUXIMNZUXIONZPZUX
      AUXDUYFSMNZKUGZLZDUJZUCUDZUYNUXIMNZUXIONZPUXLUAUBFUXMRPZUXQUYCUXSUYEVUAUX
      PUYBUCVUAUXOUYADVUAUXNUXTUXAUXMRUXDKUMUNUOULVUAUXRUYDUXIOUXMRUXIMVBUPUQUX
      MUYFPZUXQUYJUXSUYLVUBUXPUYIUCVUBUXOUYHDVUBUXNUYGUXAUXMUYFUXDKUMUNUOULVUBU
      XRUYKUXIOUXMUYFUXIMVBUPUQUXMUYNPZUXQUYRUXSUYTVUCUXPUYQUCVUCUXOUYPDVUCUXNU
      YOUXAUXMUYNUXDKUMUNUOULVUCUXRUYSUXIOUXMUYNUXIMVBUPUQUXMFPZUXQUXHUXSUXKVUD
      UXPUXGUCVUDUXOUXFDVUDUXNUXEUXAUXMFUXDKUMUNUOULVUDUXRUXJUXIOUXMFUXIMVBUPUQ
      AUYCUXAUXDRPZLZDUJZUCUDZUYEAUYBVUGUCAUYAVUFDAUYAVUFAUYAVUFAUYALZUXAVUEAUX
      AUXTURZVUIVUEUXTUXDRUSUGVLZLVUIUXTVUKAUXAUXTUTVUIRUXDKUGVUKVUIUXDAUYAUXAU
      XDUEQZVUJAUXALZCUXCEACVCQZUXAHTVUMCUEUXBUWTAUXAVDVEVFVGZVHVUIRUXDVUIVMZVU
      IUXDVUOVIZVJVKVNVUIUXDRVUQVUPVOVPVNVQAVUFUYAAVUFLZUXAUXTAUXAVUEURVURUXDRR
      KAUXAVUEUTVURRVURVMVRVSVNVQWDUOULAVUHRUXISVTNZMNZVUSONZUYEAVUGCDERRUEQAWA
      UKHIVUGWBWCAVVASSUYEAVVAVUSVUSONZSAVUTVUSVUSOAVUSAUXISAUXIACWEWFZUXIWGQZI
      AVVCVVDAVVDVVCAVUNVVDVVCWQHCWHWIWJWKWLZWMZAWNWOWPUPAVUSUEQZVVBSPAVVDVVGVV
      EUXIWRWIVUSWSWIWTASUUAASUXIUXIONZUYEAVVHSAUXIUEQZVVHSPAUXIVVEUUBZUXIWSWIX
      AAUXIUYDUXIOAUYDUXIAUXIVVFWPXAUPWTUUDWTWTAUYFUEQZLZUYMLZUYRUYIUXAUXDUYNPZ
      LZDUJZUUCZUCUDZUYTVVMUYQVVQUCVVLUYQVVQPUYMVVLUYQUYHVVOXBZDUJZVVQVVLUYPVVS
      DVVLUYPVVSVVLUYPVVSVVLUYPLZUXAUYGVVNXBZLZVVSVWAUXAVWBVVLUXAUYOURZVWAUXDUY
      NUSUGZVVNXBZVWBVWAUYOVWFVVLUXAUYOUTVWAUXDUYNVWAUXDVVLUYPUXAVULVWDVVLUXALZ
      CUXCEAVUNVVKUXAHXCZVWGCUEUXBUWTVVLUXAVDVEZVFZVGZVIVWAUYFSVVLUYFXDQZUYPVVK
      VWLAUYFUUEZXEZTVWAXFXGUUFVKVWAVWEUYGVVNVWAUXDXHQZUYFXHQZVWEUYGWQVWAUXDVWK
      XIVVLVWPUYPVVKVWPAUYFUUGXEZTVWOVWPLUYGVWEUXDUYFUUHWJXJUUIVKVNVWCVVSUXAUYG
      VVNUUJUUKXKVQVVLUYHUYPVVOVVLUYHUYPVVLUYHLZUXAUYOVVLUXAUYGURZVWRUXDUYFUYNV
      WRUXDVVLUYHUXAVULVWSVWJVGVIZVVLVWLUYHVWNTZVWRUYFSVXAVWRXFXGZVVLUXAUYGUTZV
      WRUYFVXAUULUUMVNVQVVLVVOUYPVVLVVOLZUXAUYOVVLUXAVVNURZVXDUXDUYNUYNKVVLUXAV
      VNUTZVXDUYNVXDUYFSVVLVWLVVOVWNTVXDXFXGZVRVSVNVQUUNWDUOVVLVVQVVTVVQVVTPVVL
      UYHVVODUUOUKXAWTTULVVMVVRUYJVVPUCUDZMNZUYTVVMUYIVCQZVVPVCQZUYIVVPUUPZWEPZ
      VVRVXIPVVLVXJUYMVVLCRUYFXLNZUWTVAZDUJZUYIVVLCVXNXMZXNZVXPVVLVXQVCQZVXRVCQ
      VVLVUNVXNVCQZLVXSVVLVUNVXTAVUNVVKHTZVVLRUYFXOVNCVXNXPWIVXQXQXRVXPVXRXSVVL
      CVXNDXTUKYAVVLUYHVXODVVLUYHVXOVWRUWTCUUQZUHUIZUWTUDZVXNQZUHCYCZLVXOVWRVYB
      VYFVWRUXAVYBVWSCUEUWTUURZWIVWRVYEUHCVWRVYCCQZLZVYDRUYFVYIYBVWRVWPVYHVVLVW
      PUYHVWQTTVYIVYDVWRCUEVYCUWTVWSVEZXIVYIVYDVYJVHVYIVYDUYFKUGUYFVYDUSUGZVLZV
      YIVYKVYIVYKLZUYGVYLVWRUYGVYHVYKVXCXCVYMUYFUXDUSUGUYGVLVYMUYFVYDUXDVWRVWLV
      YHVYKVXAXCZVYIVYDXDQVYKVYIVYDVYJVIZTVYIUXDXDQZVYKVWRVYPVYHVWTTTZVYIVYKVDV
      YIVYDUXDKUGVYKVYIVYDVYDCVYCUUSZUUTZUXCEUFZMNZUXDKVYIRVYTKUGZVYDWUAKUGZVYI
      VYTVYIVWGVYTUEQZVYIAVVKUXAAVVKUYHVYHUVAAVVKUYHVYHYDZVVLUXAUYGVYHUVBUVCZVW
      GVYSUXCEVVLVYSVCQZUXAAWUGVVKACVYSHACVYRYEYATTVWGUXBVYSQZLUXBCQZUXCUEQZWUH
      WUIVWGUXBCVYRUVDXEVWGWUIWUJWUHVWIYFYGZVFZWIVHVYIVYDVYTVYOVYIVYTVYIVWGWUDW
      UFVWGVYSUXCEVWGCVYSVWHVWGCVYRYEYAWUKVFWIVIYHVKVYIUXDWUAVYIVWGVYHLZUXDWUAP
      ZVYIVWGVYHWUFVWRVYHVDVNWUMCUXCVYCVYDEWUMEUVHEVYDUVQVWGVUNVYHVWHTWUMWUILUX
      CVWGWUIWUJVYHVWIYFYMVWGVYHVDUXBVYCUWTUVEUVFZWIXAYITYJVYMUYFUXDVYNVYQUVGVK
      UVIYKVYIVYDUYFVYOVYIVVKVWLWUEVWMWIVJVPYLYNVNUHCVXNUWTYOXKVQYPYATVVLVXKUYM
      VVLCRUYNXLNZUWTVAZDUJZVVPVVLCWUPXMZXNZWURVVLWUSVCQZWUTVCQVVLVUNWUPVCQZLWV
      AVVLVUNWVBVYAVVLRUYNXOVNCWUPXPWIWUSXQXRWURWUTXSVVLCWUPDXTUKYAVVLVVOWUQDVV
      LVVOWUQVXDVYBVYDWUPQZUHCYCZLWUQVXDVYBWVDUXAVYBVVLVVNVYGUVJVXDWVCUHCVXDVYH
      LZVYDRUYNWVEYBWVEUYFWVEUYFAVVKVVOVYHYDXIUVKWVEVYDVXDCUEVYCUWTVXEVEZXIWVEV
      YDWVFVHWVEVYDUYNKUGUYNVYDUSUGZVLZWVEWVGWVEWVGLZWVHUXDUYNVXDVVNVYHWVGVXFXC
      ZWVIUYNUXDWVIUYNUXDVXDUYNXDQZVYHWVGVXGXCZWVIUYNVYDUXDWVLWVIVYDWVICUEVYCUW
      TVXDUXAVYHWVGVXEXCVXDVYHWVGYQUVLVIZWVIUXDUYNXDWVJWVLUVMWVEWVGVDWVIVYDWUAU
      XDKWVIWUBWUCWVIVYTWVEWUDWVGVXDWUDVYHVVLVVOUXAWUDVXEWULVGTTZVHWVIVYDVYTWVM
      WVIVYTWVNVIYHVKWVIUXDWUAWVEWUNWVGVVLVVOUXAVYHWUNVXEWUOUVNTXAYIYJYRUVOUVPY
      KWVEVYDUYNWVEVYDWVFVIVXDWVKVYHVXGTVJVPYLYNVNUHCWUPUWTYOXKVQYPYATVVLVXMUYM
      VVLVXLUYHVVOLZDUJZWEVXLWVPPVVLUYHVVODUVRUKVVLWVOVLZDUVSWVPWEPVVLWVQDVVLWV
      QYSVWRVVOVLYSVWRVVNUXAVWRUXDUYNVWRUXDUYNVWRUXDVWRUXDVVLUXAVULUYGVWJUVTXIU
      WAZVWRUXDUYFUYNWVRVXAVXBVXCVWRUYFVXAUWBUWCYRUWDUWEVVLUYHVVOUWFUWGUWHWVODU
      WIXKWTTUYIVVPUWJUWKVVMVXIUYLUYNVUSMNZVUSONZMNZUYTVVMUYJUYLVXHWVTMVVLUYMVD
      VVMVVPCDEUYNVVMUYFSAVVKUYMYQZSUEQVVMUWLUKYTAVUNVVKUYMHXCAVVCVVKUYMIXCVVPW
      BWCUWMVVMWWAUYKSMNZUXIONZUYTVVMWWAUYLUYKVUSONZMNZWWDVVMWVTWWEUYLMVVMWVSUY
      KVUSOVVMUYFSUXIVVMUYFWWBYMZVVMWNZAUXIUWNQVVKUYMVVFXCZUWOUPUWPVVMUYKUEQUXI
      XHQWWFWWDPVVMUYFUXIWWBAVVIVVKUYMVVJXCZYTVVMUXIWWJXIUXIUYKUWQXJWTVVMWWCUYS
      UXIOVVMUYFUXISWWGWWIWWHUWRUPWTWTWTWTUWSYGWT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Permutation results
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d M x $.  $d ph x $.
    metakunt1.1 $e |- ( ph -> M e. NN ) $.
    metakunt1.2 $e |- ( ph -> I e. NN ) $.
    metakunt1.3 $e |- ( ph -> I <_ M ) $.
    metakunt1.4 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    $( A is an endomapping.  (Contributed by metakunt, 23-May-2024.) $)
    metakunt1 $p |- ( ph -> A : ( 1 ... M ) --> ( 1 ... M ) ) $=
      ( c1 clt wbr wcel wa eleq1 ad2antrr cr nnred wn cle cfz co wceq cmin 1zzd
      cv cif cz cn nnge1d leidd elfzd simpllr wo pm4.56 anbi2i wb adantr elfznn
      nnzd adantl jca axlttri syl eqcom orbi1i notbii bitrdi w3a 3ad2ant1 simp2
      elfzelzd zsubcld 1red 3adant3 simp3 zltlem1d mpbid resubcld 0le1 subge02d
      lelttrd cc0 a1i elfzle2 letrd 3expia sylbird sylbi anassrs ifbothda fmptd
      imp ) ABJEUAUBZBUFZDUCZEWODKLZWOWOJUDUBZUGZUGZWNCWPEWNMWSWNMZWTWNMAWOWNMZ
      NZEWSEWTWNOWSWTWNOXCWPNZEJEXDUEAEUHMZXBWPAEFUTZPZXGXDEAEUIMXBWPFPUJXDEAEQ
      MZXBWPAEFRZPUKULWQXBWRWNMZXAXCWPSZNWOWRWOWSWNOWRWSWNOAXBXKWQUMXCXKWQSZXJX
      CXKXLNZNXCWPWQUNZSZNXJXMXOXCWPWQUOUPXCXOXJXCXODWOKLZXJXCXPDWOUCZWQUNZSZXO
      XCDQMZWOQMZNXPXSUQXCXTYAAXTXBADGRURZXBYAAXBWOWOEUSRZVAZVBDWOVCVDXRXNXQWPW
      QDWOVEVFVGVHAXBXPXJAXBXPVIZWRJEYEUEZAXBXEXPXFVJYEWOJYEWOJEAXBXPVKZVLZYFVM
      YEJWOKLJWRTLYEJDWOYEVNAXBXTXPYBVOYEXBYAYGYCVDAXBJDTLXPADGUJVJAXBXPVPWBYEJ
      WOYFYHVQVRAXBWRETLXPXCWRWOEXCWOJYDXCVNVSYDAXHXBXIURXBWRWOTLZAXBWCJTLZYIYJ
      XBVTWDXBWOJYCXBVNWAVRVAXBWOETLAWOJEWEVAWFVOULWGWHWMWIWJWKWKIWL $.
  $}

  ${
    $d M x $.  $d ph x $.
    metakunt2.1 $e |- ( ph -> M e. NN ) $.
    metakunt2.2 $e |- ( ph -> I e. NN ) $.
    metakunt2.3 $e |- ( ph -> I <_ M ) $.
    metakunt2.4 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = M , I , if ( x < I , x , ( x + 1 ) ) ) ) $.
    $( A is an endomapping.  (Contributed by metakunt, 23-May-2024.) $)
    metakunt2 $p |- ( ph -> A : ( 1 ... M ) --> ( 1 ... M ) ) $=
      ( c1 co clt wbr wcel wa eleq1 cz nnzd ad2antrr cle cfz cv wceq caddc 1zzd
      cif nnge1d elfzd wn simpllr elfznn ad2antlr peano2zd cc0 0p1e1 0red nnred
      1red nnnn0d nn0ge0d leadd1dd eqbrtrrid simplr neqne adantl fzne2d adantrr
      wne wb adantr zltp1led mpbid anassrs ifbothda fmptd ) ABJEUAKZBUBZEUCZDVQ
      DLMZVQVQJUDKZUFZUFZVPCVRDVPNWAVPNZWBVPNAVQVPNZOZDWADWBVPPWAWBVPPWEVROZDJE
      WFUEAEQNZWDVRAEFRZSADQNWDVRADGRSAJDTMWDVRADGUGSADETMWDVRHSUHVSWDVTVPNZWCW
      EVRUIZOZVQVTVQWAVPPVTWAVPPAWDWJVSUJWEWJVSUIZWIWEWJWLOZOZVTJEWNUEAWGWDWMWH
      SWNVQWDVQQNZAWMWDVQVQEUKZRZULUMWDJVTTMAWMWDJUNJUDKVTTUOWDUNVQJWDUPWDVQWPU
      QWDURWDVQWDVQWPUSUTVAVBULWNVQELMZVTETMZWEWJWRWLWKVQJEAWDWJVCWJVQEVHWEVQEV
      DVEVFVGWEWRWSVIWMWEVQEWDWOAWQVEAWGWDWHVJVKVJVLUHVMVNVNIVO $.
  $}

  ${
    $d I x $.  $d M x $.  $d X x $.  $d ph x $.
    metakunt3.1 $e |- ( ph -> M e. NN ) $.
    metakunt3.2 $e |- ( ph -> I e. NN ) $.
    metakunt3.3 $e |- ( ph -> I <_ M ) $.
    metakunt3.4 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt3.5 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    $( Value of A. (Contributed by metakunt, 23-May-2024.) $)
    metakunt3 $p |- ( ph -> ( A ` X ) = if (
       X = I , M , if ( X < I , X , ( X - 1 ) ) ) ) $=
      ( wceq clt wbr c1 cmin co cif cz ifcld cfz cmpt a1i eqeq1 breq1 ifbieq12d
      cv id oveq1 ifbieq2d adantl nnzd elfzelzd 1zzd zsubcld fvmptd ) ABFBUGZDL
      ZEUQDMNZUQUQOPQZRZRZFDLZEFDMNZFFOPQZRZRZOEUAQZCSCBVHVBUBLAJUCUQFLZVBVGLAV
      IURVCVAVFEUQFDUDVIUSVDUQUTFVEUQFDMUEVIUHUQFOPUIUFUJUKKAVCEVFSAEGULAVDFVES
      AFOEKUMZAFOVJAUNUOTTUP $.
  $}

  ${
    $d I x $.  $d M x $.  $d X x $.  $d ph x $.
    metakunt4.1 $e |- ( ph -> M e. NN ) $.
    metakunt4.2 $e |- ( ph -> I e. NN ) $.
    metakunt4.3 $e |- ( ph -> I <_ M ) $.
    metakunt4.4 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = M , I , if ( x < I , x , ( x + 1 ) ) ) ) $.
    metakunt4.5 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    $( Value of A. (Contributed by metakunt, 23-May-2024.) $)
    metakunt4 $p |- ( ph -> ( A ` X ) = if (
       X = M , I , if ( X < I , X , ( X + 1 ) ) ) ) $=
      ( wceq clt wbr c1 caddc co cif cz ifcld cv cfz cmpt a1i eqeq1 breq1 oveq1
      id ifbieq12d ifbieq2d adantl nnzd elfzelzd peano2zd fvmptd ) ABFBUAZELZDU
      PDMNZUPUPOPQZRZRZFELZDFDMNZFFOPQZRZRZOEUBQZCSCBVGVAUCLAJUDUPFLZVAVFLAVHUQ
      VBUTVEDUPFEUEVHURVCUPUSFVDUPFDMUFVHUHUPFOPUGUIUJUKKAVBDVESADHULAVCFVDSAFO
      EKUMZAFVIUNTTUO $.
  $}

  ${
    $d A y $.  $d I x $.  $d I y $.  $d M x $.  $d M y $.  $d X y $.
    $d ph x $.  $d ph y $.
    metakunt5.1 $e |- ( ph -> M e. NN ) $.
    metakunt5.2 $e |- ( ph -> I e. NN ) $.
    metakunt5.3 $e |- ( ph -> I <_ M ) $.
    metakunt5.4 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt5.5 $e |- C = ( y e. ( 1 ... M ) |-> if (
       y = M , I , if ( y < I , y , ( y + 1 ) ) ) ) $.
    metakunt5.6 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    $( C is the left inverse for A. (Contributed by metakunt, 24-May-2024.) $)
    metakunt5 $p |- ( ( ph /\ X = I ) -> ( C ` ( A ` X ) ) = X ) $=
      ( wceq wa c1 co cif adantr cfv cv clt wbr caddc cfz cmpt a1i fveq2 adantl
      cmin cn simpr iftrued 1zzd nnzd nnge1d elfzd fvmptd eqtrd eqeq2d 3ad2ant3
      w3a iftrue simp2 eqtr4d 3expia sylbid imp wf metakunt1 wcel ffvelrnd ) AH
      FOZPZCHDUAZCUBZGOZFVQFUCUDVQVQQUERSZSZHQGUFRZEWAECWAVTUGOVOMUHVOVQVPOZVTH
      OZVOWBVRWCVOVPGVQVOVPFDUAZGVNVPWDOAHFDUIUJAWDGOVNABFBUBZFOZGWEFUCUDWEWEQU
      KRSZSZGWADULDBWAWHUGOALUHAWFPWFGWGAWFUMUNAFQGAUOAGIUPAFJUPAFJUQKURIUSTUTV
      AAVNVRWCAVNVRVCVTFHVRAVTFOVNVRFVSVDVBAVNVRVEVFVGVHVIVOWAWAHDAWAWADVJVNABD
      FGIJKLVKTAHWAVLVNNTZVMWIUS $.
  $}

  ${
    $d A y $.  $d I x $.  $d I y $.  $d M x $.  $d M y $.  $d X y $.  $d X x $.
    $d ph x $.  $d ph y $.
    metakunt6.1 $e |- ( ph -> M e. NN ) $.
    metakunt6.2 $e |- ( ph -> I e. NN ) $.
    metakunt6.3 $e |- ( ph -> I <_ M ) $.
    metakunt6.4 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt6.5 $e |- C = ( y e. ( 1 ... M ) |-> if (
       y = M , I , if ( y < I , y , ( y + 1 ) ) ) ) $.
    metakunt6.6 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    $( C is the left inverse for A. (Contributed by metakunt, 24-May-2024.) $)
    metakunt6 $p |- ( ( ph /\ X < I ) -> ( C ` ( A ` X ) ) = X ) $=
      ( clt wceq c1 cif wcel adantr wbr wa cfv cv caddc co cfz cmpt a1i wi cmin
      id eqeq1d breq1 oveq1 ifbieq12d ifbieq2d adantl wn wne cr cn elfznn nnred
      syl simpr ltned df-ne sylib iffalse iftrue eqtrd fvmptd eqcom imbi2i mpbi
      eqeq2d eqeq1 cle ltletrd neneqd ex sylbird imp metakunt1 ffvelrnd ) AHFOU
      AZUBZCHDUCZCUDZGPZFWJFOUAZWJWJQUEUFZRZRZHQGUGUFZEWPECWPWOUHPWHMUIWHWJWIPZ
      WOHPZWHWQWJHPZWRWHHWIWJWHWIHPZUJWHHWIPZUJWHBHBUDZFPZGXBFOUAZXBXBQUKUFZRZR
      ZHWPDWPDBWPXGUHPWHLUIWHXBHPZUBXGHFPZGWGHHQUKUFZRZRZHXHXGXLPWHXHXCXIXFXKGX
      HXBHFXHULZUMXHXDWGXBXEHXJXBHFOUNXMXBHQUKUOUPUQURWHXLHPXHWHXLXKHWHXIUSZXLX
      KPWHHFUTXNWHHFAHVASWGAHAHWPSZHVBSNHGVCVEVDTZAWGVFZVGHFVHVIXIGXKVJVEWGXKHP
      AWGHXJVKURVLTVLAXOWGNTZXRVMWTXAWHWIHVNVOVPVQWHWSWRWHWSUBWOHGPZFWGHHQUEUFZ
      RZRZHWSWOYBPWHWSWKXSWNYAFWJHGVRWSWLWGWJWMHXTWJHFOUNWSULWJHQUEUOUPUQURWHYB
      HPWSWHYBYAHWHXSUSYBYAPWHHGWHHGXPWHHFGXPAFVASWGAFJVDTAGVASWGAGIVDTXQAFGVSU
      AWGKTZVTVGWAXSFYAVJVEWGYAHPAWGHXTVKURVLTVLWBWCWDWHWPWPHDWHBDFGAGVBSWGITAF
      VBSWGJTYCLWEXRWFXRVM $.
  $}

  ${
    $d I x $.  $d M x $.  $d X x $.  $d ph x $.
    metakunt7.1 $e |- ( ph -> M e. NN ) $.
    metakunt7.2 $e |- ( ph -> I e. NN ) $.
    metakunt7.3 $e |- ( ph -> I <_ M ) $.
    metakunt7.4 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt7.5 $e |- C = ( y e. ( 1 ... M ) |-> if (
       y = M , I , if ( y < I , y , ( y + 1 ) ) ) ) $.
    metakunt7.6 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    $( C is the left inverse for A. (Contributed by metakunt, 24-May-2024.) $)
    metakunt7 $p |- ( ( ph /\ I < X ) -> ( ( A ` X ) = ( X - 1 ) /\
     -. ( A ` X ) = M /\ -. ( A ` X ) < I ) ) $=
      ( clt wbr c1 wceq wcel adantr wa cfv cmin co wn cv cif cfz cmpt a1i eqeq1
      cz breq1 id oveq1 ifbieq12d ifbieq2d adantl nnred simpr ltned df-ne sylib
      wne cr necomd iffalse syl cle cn elfznn ltled lenltd mpbid eqtrd elfzelzd
      1zzd zsubcld fvmptd 1red resubcld elfzle2 wb nnzd zlem1lt syl2anc eqnetrd
      neneqd wi zltlem1 biimpd imp breqtrrd zred eqeltrd 3jca ) AFHOPZUAZHDUBZH
      QUCUDZRWSGRUEWSFOPUEZWRBHBUFZFRZGXBFOPZXBXBQUCUDZUGZUGZWTQGUHUDZDULDBXHXG
      UIRWRLUJWRXBHRZUAXGHFRZGHFOPZHWTUGZUGZWTXIXGXMRWRXIXCXJXFXLGXBHFUKXIXDXKX
      BXEHWTXBHFOUMXIUNXBHQUCUOUPUQURWRXMWTRXIWRXMXLWTWRXJUEZXMXLRWRHFVDXNWRFHW
      RFHAFVESWQAFJUSTZAWQUTZVAVFHFVBVCXJGXLVGVHWRXKUEZXLWTRWRFHVIPXQWRFHXOAHVE
      SWQAHAHXHSZHVJSNHGVKVHUSZTZXPVLWRFHXOXTVMVNXKHWTVGVHVOTVOAXRWQNTZWRHQWRHQ
      GYAVPWRVQVRZVSZWRWSGWRWSWTGYCAWTGVDWQAWTGAHQXSAVTWAAHGVIPZWTGOPZAXRYDNHQG
      WBVHAHULSZGULSYDYEWCAHQGNVPZAGIWDHGWEWFVNVATWGWHWRFWSVIPXAWRFWTWSVIAWQFWT
      VIPZAFULSZYFWQYHWIAFJWDYGYIYFUAWQYHFHWJWKWFWLYCWMWRFWSXOWRWSWTVEYCWRWTYBW
      NWOVMVNWP $.
  $}

  ${
    $d A y $.  $d I x $.  $d I y $.  $d M x $.  $d M y $.  $d X x $.  $d X y $.
    $d ph x $.  $d ph y $.
    metakunt8.1 $e |- ( ph -> M e. NN ) $.
    metakunt8.2 $e |- ( ph -> I e. NN ) $.
    metakunt8.3 $e |- ( ph -> I <_ M ) $.
    metakunt8.4 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt8.5 $e |- C = ( y e. ( 1 ... M ) |-> if (
       y = M , I , if ( y < I , y , ( y + 1 ) ) ) ) $.
    metakunt8.6 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    $( C is the left inverse for A. (Contributed by metakunt, 24-May-2024.) $)
    metakunt8 $p |- ( ( ph /\ I < X ) -> ( C ` ( A ` X ) ) = X ) $=
      ( clt wceq c1 caddc co cif wbr wa cfv cv cfz a1i eqeq1 breq1 id ifbieq12d
      cmpt oveq1 ifbieq2d adantl cmin metakunt7 simp2d iffalse syl simp3d eqtrd
      wn simp1d oveq1d wcel cn elfznn nncnd npcand adantr wf metakunt1 ffvelrnd
      1cnd fvmptd ) AFHOUAZUBZCHDUCZCUDZGPZFVSFOUAZVSVSQRSZTZTZHQGUESZEWEECWEWD
      UKPVQMUFVQVSVRPZUBWDVRGPZFVRFOUAZVRVRQRSZTZTZHWFWDWKPVQWFVTWGWCWJFVSVRGUG
      WFWAWHVSWBVRWIVSVRFOUHWFUIVSVRQRULUJUMUNVQWKHPWFVQWKWIHVQWKWJWIVQWGVBZWKW
      JPVQVRHQUOSZPZWLWHVBZABCDEFGHIJKLMNUPZUQWGFWJURUSVQWOWJWIPVQWNWLWOWPUTWHV
      RWIURUSVAVQWIWMQRSZHVQVRWMQRVQWNWLWOWPVCVDAWQHPVPAHQAHAHWEVEZHVFVENHGVGUS
      VHAVNVIVJVAVAVJVAVQWEWEHDAWEWEDVKVPABDFGIJKLVLVJAWRVPNVJZVMWSVO $.
  $}

  ${
    $d A y $.  $d I x $.  $d I y $.  $d M x $.  $d M y $.  $d X x $.  $d X y $.
    $d ph x $.  $d ph y $.
    metakunt9.1 $e |- ( ph -> M e. NN ) $.
    metakunt9.2 $e |- ( ph -> I e. NN ) $.
    metakunt9.3 $e |- ( ph -> I <_ M ) $.
    metakunt9.4 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt9.5 $e |- C = ( y e. ( 1 ... M ) |-> if (
       y = M , I , if ( y < I , y , ( y + 1 ) ) ) ) $.
    metakunt9.6 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    $( C is the left inverse for A. (Contributed by metakunt, 24-May-2024.) $)
    metakunt9 $p |- ( ph -> ( C ` ( A ` X ) ) = X ) $=
      ( cfv wceq metakunt8 wbr wcel nnred cle clt wo c1 cfz co cn elfznn leloed
      syl metakunt6 metakunt5 jaodan ex sylbid imp ltlecasei ) AHDOEOHPZFHABCDE
      FGHIJKLMNQAHFUARZURAUSHFUBRZHFPZUCZURAHFAHAHUDGUEUFSHUGSNHGUHUJTZAFJTZUIA
      VBURAUTURVAABCDEFGHIJKLMNUKABCDEFGHIJKLMNULUMUNUOUPVDVCUQ $.
  $}

  ${
    $d C x $.  $d I y $.  $d M x $.  $d M y $.  $d X x $.  $d ph x $.
    $d ph y $.
    metakunt10.1 $e |- ( ph -> M e. NN ) $.
    metakunt10.2 $e |- ( ph -> I e. NN ) $.
    metakunt10.3 $e |- ( ph -> I <_ M ) $.
    metakunt10.4 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt10.5 $e |- C = ( y e. ( 1 ... M ) |-> if (
       y = M , I , if ( y < I , y , ( y + 1 ) ) ) ) $.
    metakunt10.6 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    $( C is the right inverse for A. (Contributed by metakunt, 24-May-2024.) $)
    metakunt10 $p |- ( ( ph /\ X = M ) -> ( A ` ( C ` X ) ) = X ) $=
      ( wceq clt c1 co cif adantr wa cfv cv wbr cmin cfz cmpt eqeq1 breq1 oveq1
      id ifbieq12d ifbieq2d adantl fveq2 caddc cn iftrue 1zzd nnzd nnge1d nnred
      a1i leidd elfzd fvmptd eqtrd syl simpr eqcomd wf metakunt2 wcel ffvelrnd
      ) AHGOZUAZBHEUBZBUCZFOZGVRFPUDZVRVRQUERZSZSZHQGUFRZDWDDBWDWCUGOVPLVCVPVRV
      QOZUAWCVQFOZGVQFPUDZVQVQQUERZSZSZHWEWCWJOVPWEVSWFWBWIGVRVQFUHWEVTWGVRWAVQ
      WHVRVQFPUIWEUKVRVQQUEUJULUMUNVPWJHOWEVPWJGHVPWFWJGOVPVQGEUBZFVOVQWKOAHGEU
      OUNAWKFOVOACGCUCZGOZFWLFPUDWLWLQUPRSZSZFWDEUQECWDWOUGOAMVCWMWOFOAWMFWNURU
      NAGQGAUSAGIUTZWPAGIVAAGAGIVBVDVEJVFTVGWFGWIURVHVPHGAVOVIVJVGTVGVPWDWDHEAW
      DWDEVKVOACEFGIJKMVLTAHWDVMVONTZVNWQVF $.
  $}

  ${
    $d C x $.  $d I x $.  $d I y $.  $d M x $.  $d M y $.  $d X x $.  $d X y $.
    $d ph x $.  $d ph y $.
    metakunt11.1 $e |- ( ph -> M e. NN ) $.
    metakunt11.2 $e |- ( ph -> I e. NN ) $.
    metakunt11.3 $e |- ( ph -> I <_ M ) $.
    metakunt11.4 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt11.5 $e |- C = ( y e. ( 1 ... M ) |-> if (
       y = M , I , if ( y < I , y , ( y + 1 ) ) ) ) $.
    metakunt11.6 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    $( C is the right inverse for A. (Contributed by metakunt, 24-May-2024.) $)
    metakunt11 $p |- ( ( ph /\ X < I ) -> ( A ` ( C ` X ) ) = X ) $=
      ( clt wceq c1 co cif adantr wbr wa cfv cv cmin cfz cmpt eqeq1 breq1 oveq1
      a1i id ifbieq12d ifbieq2d adantl caddc wn wne cr wcel cn elfznn syl nnred
      simpr ltletrd ltned df-ne sylib iffalse iftrue eqtrd fvmptd neneqd eqcomd
      cle ifbid iftrued wf metakunt2 ffvelrnd ) AHFOUAZUBZBHEUCZBUDZFPZGWEFOUAZ
      WEWEQUERZSZSZHQGUFRZDWKDBWKWJUGPWCLUKWCWEWDPZUBWJWDFPZGWDFOUAZWDWDQUERZSZ
      SZHWLWJWQPWCWLWFWMWIWPGWEWDFUHWLWGWNWEWHWDWOWEWDFOUIWLULWEWDQUEUJUMUNUOWC
      WQHPWLWCWQHFPZGWPSZHWCWDHPZWQWSPWCCHCUDZGPZFXAFOUAZXAXAQUPRZSZSZHWKEWKECW
      KXFUGPWCMUKWCXAHPZUBXFHGPZFWBHHQUPRZSZSZHXGXFXKPWCXGXBXHXEXJFXAHGUHXGXCWB
      XAXDHXIXAHFOUIXGULXAHQUPUJUMUNUOWCXKHPXGWCXKXJHWCXHUQZXKXJPWCHGURXLWCHGAH
      USUTWBAHAHWKUTZHVAUTNHGVBVCVDTZWCHFGXNAFUSUTWBAFJVDTAGUSUTWBAGIVDTAWBVEZA
      FGVPUAWBKTVFVGHGVHVIXHFXJVJVCWBXJHPAWBHXIVKUOVLTVLAXMWBNTZXPVMZWTWMWRGWPW
      DHFUHVQVCWCWSWPHWCWRUQWSWPPWCHFWCHFXNXOVGVNWRGWPVJVCWCWPWBHHQUERZSZHWCXSW
      PWCHWDPZXSWPPWCWDHXQVOXTWBWNHXRWDWOHWDFOUIXTULHWDQUEUJUMVCVOWCWBHXRXOVRVL
      VLVLTVLWCWKWKHEAWKWKEVSWBACEFGIJKMVTTXPWAXPVM $.
  $}

  ${
    $d C x $.  $d I x $.  $d I y $.  $d M x $.  $d M y $.  $d X x $.  $d X y $.
    $d ph x $.  $d ph y $.
    metakunt12.1 $e |- ( ph -> M e. NN ) $.
    metakunt12.2 $e |- ( ph -> I e. NN ) $.
    metakunt12.3 $e |- ( ph -> I <_ M ) $.
    metakunt12.4 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt12.5 $e |- C = ( y e. ( 1 ... M ) |-> if (
       y = M , I , if ( y < I , y , ( y + 1 ) ) ) ) $.
    metakunt12.6 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    $( C is the right inverse for A. (Contributed by metakunt, 25-May-2024.) $)
    metakunt12 $p |- ( ( ph /\ -. ( X = M \/ X < I ) )
     -> ( A ` ( C ` X ) ) = X ) $=
      ( wceq clt wbr c1 co cif wo wn wa cfv ioran w3a cmin cfz cmpt eqeq1 breq1
      cv a1i id oveq1 ifbieq12d ifbieq2d adantl caddc simp2 iffalse simp3 eqtrd
      cz syl adantr wcel 3ad2ant1 elfzelzd peano2zd fvmptd cr nnred zred lenltd
      cle mpbird ltp1d lelttrd ltned necomd neneqd lep1d letrd zcnd 1cnd pncand
      mpbid 3eqtrd wf metakunt2 ffvelrnd 3expb sylan2b ) HGOZHFPQZUAUBAWOUBZWPU
      BZUCHEUDZDUDHOZWOWPUEAWQWRWTAWQWRUFZBWSBULZFOZGXBFPQZXBXBRUGSZTZTZHRGUHSZ
      DXHDBXHXGUIOXALUMXAXBWSOZUCXGWSFOZGWSFPQZWSWSRUGSZTZTZHXIXGXNOXAXIXCXJXFX
      MGXBWSFUJXIXDXKXBXEWSXLXBWSFPUKXIUNXBWSRUGUOUPUQURXAXNHOXIXAXNHRUSSZFOZGX
      OFPQZXOXORUGSZTZTZHXAWSXOOZXNXTOXACHCULZGOZFYBFPQZYBYBRUSSZTZTZXOXHEVDECX
      HYGUIOXAMUMXAYBHOZUCYGWOFWPHXOTZTZXOYHYGYJOXAYHYCWOYFYIFYBHGUJYHYDWPYBYEH
      XOYBHFPUKYHUNYBHRUSUOUPUQURXAYJXOOYHXAYJYIXOXAWQYJYIOAWQWRUTWOFYIVAVEXAWR
      YIXOOAWQWRVBZWPHXOVAVEVCVFVCAWQHXHVGWRNVHZXAHAWQHVDVGWRAHRGNVIVHZVJZVKYAX
      JXPXMXSGWSXOFUJYAXKXQWSXLXOXRWSXOFPUKYAUNWSXORUGUOUPUQVEXAXTXSXRHXAXPUBXT
      XSOXAXOFXAFXOXAFXOAWQFVLVGWRAFJVMVHZXAFHXOYOXAHYMVNZXAXOYNVNZXAFHVPQWRYKX
      AFHYOYPVOVQZXAHYPVRVSVTWAWBXPGXSVAVEXAXQUBZXSXROXAFXOVPQYSXAFHXOYOYPYQYRX
      AHYPWCWDXAFXOYOYQVOWHXQXOXRVAVEXAHRXAHYMWEXAWFWGWIVCVFVCXAXHXHHEAWQXHXHEW
      JWRACEFGIJKMWKVHYLWLYLVKWMWN $.
  $}

  ${
    $d C x $.  $d I x $.  $d I y $.  $d M x $.  $d M y $.  $d X x $.  $d X y $.
    $d ph x $.  $d ph y $.
    metakunt13.1 $e |- ( ph -> M e. NN ) $.
    metakunt13.2 $e |- ( ph -> I e. NN ) $.
    metakunt13.3 $e |- ( ph -> I <_ M ) $.
    metakunt13.4 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt13.5 $e |- C = ( y e. ( 1 ... M ) |-> if (
       y = M , I , if ( y < I , y , ( y + 1 ) ) ) ) $.
    metakunt13.6 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    $( C is the right inverse for A. (Contributed by metakunt, 25-May-2024.) $)
    metakunt13 $p |- ( ph -> ( A ` ( C ` X ) ) = X ) $=
      ( wceq clt wbr cfv metakunt10 ex metakunt11 wo wn metakunt12 ecase3d ) AH
      GOZHFPQZHERDRHOZAUFUHABCDEFGHIJKLMNSTAUGUHABCDEFGHIJKLMNUATAUFUGUBUCUHABC
      DEFGHIJKLMNUDTUE $.
  $}

  ${
    $d A a y $.  $d A b y $.  $d C a x $.  $d C b x $.  $d I x $.  $d I y $.
    $d M a x $.  $d M b x $.  $d M a y $.  $d a ph x $.  $d b ph x $.
    $d ph y $.
    metakunt14.1 $e |- ( ph -> M e. NN ) $.
    metakunt14.2 $e |- ( ph -> I e. NN ) $.
    metakunt14.3 $e |- ( ph -> I <_ M ) $.
    metakunt14.4 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt14.5 $e |- C = ( y e. ( 1 ... M ) |-> if (
       y = M , I , if ( y < I , y , ( y + 1 ) ) ) ) $.
    $( A is a primitive permutation that moves the I-th element to the end and
       C is its inverse that moves the last element back to the I-th position.
       (Contributed by metakunt, 25-May-2024.) $)
    metakunt14 $p |- ( ph -> ( A : ( 1 ... M ) -1-1-onto->
     ( 1 ... M ) /\ `' A = C ) ) $=
      ( va vb wceq cv cfv wcel wa adantr c1 co wf1o ccnv metakunt1 metakunt2 cn
      cfz cle wbr simpr metakunt9 ralrimiva metakunt13 2fvidf1od 2fvidinvd jca
      ) AUAGUHUBZURDUCDUDEOAURURDEMNABDFGHIJKUEZACEFGHIJLUFZAMPZDQEQVAOMURAVAUR
      RZSBCDEFGVAAGUGRZVBHTAFUGRZVBITAFGUIUJZVBJTKLAVBUKULUMZANPZEQDQVGONURAVGU
      RRZSBCDEFGVGAVCVHHTAVDVHITAVEVHJTKLAVHUKUNUMZUOAURURDEMNUSUTVFVIUPUQ $.
  $}

  ${
    $d I x y $.  $d M x y $.  $d ph x y $.
    metakunt15.1 $e |- ( ph -> M e. NN ) $.
    metakunt15.2 $e |- ( ph -> I e. NN ) $.
    metakunt15.3 $e |- ( ph -> I <_ M ) $.
    metakunt15.4 $e |- F = ( x e. ( 1 ... ( I - 1 ) ) |->
     ( x + ( M - I ) ) ) $.
    $( Construction of another permutation.  (Contributed by metakunt,
       25-May-2024.) $)
    metakunt15 $p |- ( ph -> F : ( 1 ... ( I - 1 ) ) -1-1-onto->
     ( ( ( M - I ) + 1 ) ... ( M - 1 ) ) ) $=
      ( c1 cmin co caddc wcel wa adantr zsubcld wceq cle wbr vy cv 1zzd cz nnzd
      cfz simpr elfz3 syl zcnd 1cnd addcomd nncnd npncand eqcomd subcld fzadd2d
      eqtrd elfzelz adantl elfzle1 leaddsub2d mpbid elfzle2 breqtrrd lesubadd2d
      zred mpbird elfzd wb eqcom a1i cc ad2antll elfznn ad2antrl subaddd bitr3d
      1red eqeq1d bitrd f1o2d ) ABUAJDJKLZUFLZEDKLZJMLZEJKLZUFLZBUBZWEMLZUAUBZW
      EKLZCIAWIWDNZOZWEWFWGWIWEJWCWEWNUCZWNDJADUDNZWMADGUEZPZWOQWNEDAEUDNZWMAEF
      UEZPWRQZXAAWMUGWNWEUDNWEWEWEUFLNXAWEUHUIWNWEJWNWEXAUJWNUKULAWGWCWEMLZRWMA
      WGWEWCMLZXBAXCWGAEDJAEFUMZADGUMZAUKZUNZUOAWEWCAEDXDXEUPADJXEXFUPULURPUQAW
      KWHNZOZWLJWCXIUCZXIDJAWPXHWQPZXJQZXIWKWEXHWKUDNAWKWFWGUSZUTZXIEDAWSXHWTPX
      KQZQXIWFWKSTZJWLSTXHXPAWKWFWGVAUTXIWEJWKXIWEXOVGZXIVSXIWKXNVGZVBVCXIWLWCS
      TWKXCSTXIWKWGXCSXHWKWGSTAWKWFWGVDUTAXCWGRXHXGPVEXIWKWEWCXRXQXIWCXLVGVFVHV
      IAWMXHOZOZWIWLRZWEWIMLZWKRZWKWJRZXTWLWIRZYAYCYEYAVJXTWLWIVKVLXTWKWEWIXHWK
      VMNAWMXHWKXMUJVNXTEDAEVMNXSXDPADVMNXSXEPUPZWMWIVMNAXHWMWIWIWCVOUMVPZVQVRX
      TYCWJWKRZYDXTYBWJWKXTWEWIYFYGULVTYHYDVJXTWJWKVKVLWAWAWB $.
  $}

  ${
    $d I x y $.  $d M x y $.  $d ph x y $.
    metakunt16.1 $e |- ( ph -> M e. NN ) $.
    metakunt16.2 $e |- ( ph -> I e. NN ) $.
    metakunt16.3 $e |- ( ph -> I <_ M ) $.
    metakunt16.4 $e |- F = ( x e. ( I ... ( M - 1 ) ) |->
     ( x + ( 1 - I ) ) ) $.
    $( Construction of another permutation.  (Contributed by metakunt,
       25-May-2024.) $)
    metakunt16 $p |- ( ph -> F : ( I ... ( M - 1 ) ) -1-1-onto->
     ( 1 ... ( M - I ) ) ) $=
      ( c1 cmin co caddc wcel cz adantr zsubcld syl cle wbr vy cfz cv nnzd 1zzd
      wa simpr elfz3 zcnd pncan3d eqcomd cc nncnd npncand fzadd2d elfznn adantl
      1cnd cn nnz zred recnd nnge1d eqbrtrd cr w3a 1red resubcld nnred leaddsub
      wb 3jca mpbid elfzle2 breqtrrd lesubaddd mpbird elfzd wceq adantrl subcld
      elfzelz ad2antrl zcn nncn addrsub bicomd addcomd eqeq1d eqcom bitrd f1o2d
      a1i ) ABUADEJKLZUBLZJEDKLZUBLZBUCZJDKLZMLZUAUCZWSKLZCIAWRWONZUFZWSJWPWRWS
      DWNWSADONZXCADGUDZPZXDEJAEONZXCAEFUDZPXDUEZQXDJDXJXGQZXKAXCUGXDWSONWSWSWS
      UBLNXKWSUHRXDDWSMLZJXDDJXDDXGUIZXDURZUJUKXDWNWSMLZWPXDEJDAEULNZXCAEFUMZPX
      NXMUNUKUOAXAWQNZUFZXBDWNAXEXRXFPZXSEJAXHXRXIPXSUEZQZXSXAWSXSXAUSNZXAONXRY
      CAXAWPUPZUQZXAUTRXSJDYAXTQZQXSXLXASTZDXBSTZXSXLJXASXSDJXSDXSDXTVAZVBZXSUR
      ZUJXRJXASTAXRXAYDVCUQVDXSDVENZWSVENZXAVENZVFYGYHVKXSYLYMYNYIXSJDXSVGYIVHX
      SXAYEVIZVLDWSXAVJRVMXSXBWNSTXAXOSTXSXAWPXOSXRXAWPSTAXAJWPVNUQXSEJDAXPXRXQ
      PYKXSDXTUIUNVOXSXAWSWNYOXSWSYFVAXSWNYBVAVPVQVRAXCXRUFUFZWRXBVSZWSWRMLZXAV
      SZXAWTVSZYPYSYQYPWSWRXAYPJDYPURAXRDULNXCYJVTWAZYPWRONZWRULNXCUUBAXRWRDWNW
      BWCWRWDRZYPYCXAULNAXRYCXCYEVTXAWERWFWGYPYSWTXAVSZYTYPYRWTXAYPWSWRUUAUUCWH
      WIUUDYTVKYPWTXAWJWMWKWKWL $.
  $}

  ${
    metakunt17.1 $e |- ( ph -> G : A -1-1-onto-> X ) $.
    metakunt17.2 $e |- ( ph -> H : B -1-1-onto-> Y ) $.
    metakunt17.3 $e |- ( ph -> I : C -1-1-onto-> Z ) $.
    metakunt17.4 $e |- ( ph -> ( A i^i B ) = (/) ) $.
    metakunt17.5 $e |- ( ph -> ( A i^i C ) = (/) ) $.
    metakunt17.6 $e |- ( ph -> ( B i^i C ) = (/) ) $.
    metakunt17.7 $e |- ( ph -> ( X i^i Y ) = (/) ) $.
    metakunt17.8 $e |- ( ph -> ( X i^i Z ) = (/) ) $.
    metakunt17.9 $e |- ( ph -> ( Y i^i Z ) = (/) ) $.
    metakunt17.10 $e |- ( ph -> F = ( ( G u. H ) u. I ) ) $.
    metakunt17.11 $e |- ( ph -> D = ( ( A u. B ) u. C ) ) $.
    metakunt17.12 $e |- ( ph -> W = ( ( X u. Y ) u. Z ) ) $.
    $( The union of three disjoint bijections is a bijection.  (Contributed by
       metakunt, 28-May-2024.) $)
    metakunt17 $p |- ( ph -> F : D -1-1-onto-> W ) $=
      ( wf1o cun wa cin c0 wceq jca jca31 f1oun syl indir uneq12d 0un a1i eqtrd
      syl5eq f1oeq123d mpbird ) AEJFUFBCUGZDUGZKLUGZMUGZGHUGZIUGZUFZAVDVFVHUFZD
      MIUFZUHVDDUIZUJUKZVFMUIZUJUKZUHZUHVJAVKVLVQABKGUFZCLHUFZUHBCUIUJUKZKLUIUJ
      UKZUHZUHVKAVRVSWBNOAVTWAQTULUMBKCLGHUNUOPAVNVPAVMBDUIZCDUIZUGZUJBCDUPAWEU
      JUJUGZUJAWCUJWDUJRSUQWFUJUKAUJURUSZUTVAAVOKMUIZLMUIZUGZUJKLMUPAWJWFUJAWHU
      JWIUJUAUBUQWGUTVAULUMVDVFDMVHIUNUOAEVEJVGFVIUCUDUEVBVC $.
  $}

  ${
    metakunt18.1 $e |- ( ph -> M e. NN ) $.
    metakunt18.2 $e |- ( ph -> I e. NN ) $.
    metakunt18.3 $e |- ( ph -> I <_ M ) $.
    $( Disjoint domains and codomains.  (Contributed by metakunt,
       28-May-2024.) $)
    metakunt18 $p |- ( ph
                    -> ( ( ( ( 1 ... ( I - 1 ) )
                               i^i ( I ... ( M - 1 ) ) )
                             = (/)
                          /\ ( ( 1 ... ( I - 1 ) ) i^i { M } )
                             = (/)
                          /\ ( ( I ... ( M - 1 ) ) i^i { M } )
                             = (/) )
                       /\ ( ( ( ( ( M - I ) + 1 ) ... ( M - 1 ) )
                               i^i ( 1 ... ( M - I ) ) )
                             = (/)
                          /\ ( ( ( ( M - I ) + 1 ) ... ( M - 1 ) )
                               i^i { M } )
                             = (/)
                          /\ ( ( 1 ... ( M - I ) ) i^i { M } )
                             = (/) ) ) ) $=
      ( c1 cmin co cfz cin c0 wceq w3a clt wbr fzdisj syl ineq2d eqtrd caddc cz
      csn nnred ltm1d wcel nnzd fzsn eqcomd wb zlem1lt syl2anc mpbid 3jca incom
      cle a1i resubcld ltp1d nnrpd ltsubrpd jca ) AGBGHIZJIZBCGHIZJIZKLMZVDCUCZ
      KZLMZVFVHKZLMZNCBHIZGUAIZVEJIZGVMJIZKZLMZVOVHKZLMZVPVHKZLMZNAVGVJVLAVCBOP
      VGABABEUDZUEGVCBVEQRAVIVDCCJIZKZLAVHWDVDAWDVHACUBUFZWDVHMACDUGZCUHRUIZSAV
      CCOPZWELMABCUPPZWIFABUBUFWFWJWIUJABEUGWGBCUKULUMGVCCCQRTAVKVFWDKZLAVHWDVF
      WHSAVECOPZWKLMACACDUDZUEZBVECCQRTUNAVRVTWBAVQVPVOKZLVQWOMAVOVPUOUQAVMVNOP
      WOLMAVMACBWMWCURUSGVMVNVEQRTAVSVOWDKZLAVHWDVOWHSAWLWPLMWNVNVECCQRTAWAVPWD
      KZLAVHWDVPWHSAVMCOPWQLMACBWMABEUTVAGVMCCQRTUNVB $.
  $}

  ${
    $d I x $.  $d M x $.  $d ph x $.
    metakunt19.1 $e |- ( ph -> M e. NN ) $.
    metakunt19.2 $e |- ( ph -> I e. NN ) $.
    metakunt19.3 $e |- ( ph -> I <_ M ) $.
    metakunt19.4 $e |- B = ( x e. ( 1 ... M ) |-> if ( x = M , M ,
     if ( x < I , ( x + ( M - I ) ) , ( x + ( 1 - I ) ) ) ) ) $.
    metakunt19.5 $e |- C = ( x e. ( 1 ... ( I - 1 ) ) |->
     ( x + ( M - I ) ) ) $.
    metakunt19.6 $e |- D = ( x e. ( I ... ( M - 1 ) ) |->
     ( x + ( 1 - I ) ) ) $.
    $( Domains on restrictions of functions.  (Contributed by metakunt,
       28-May-2024.) $)
    metakunt19 $p |- ( ph -> ( ( C Fn ( 1 ... ( I - 1 ) ) /\
    D Fn ( I ... ( M - 1 ) ) /\
    ( C u. D ) Fn ( ( 1 ... ( I - 1 ) ) u. ( I ... ( M - 1 ) ) ) ) /\
    { <. M , M >. } Fn { M } ) ) $=
      ( c1 co cz wcel cin c0 wceq cmin cfz wfn cun w3a cop csn cv caddc elfzelz
      wa adantl nnzd adantr zsubcld zaddcld fmptd ffnd metakunt18 simpld simp1d
      1zzd fnund 3jca cn fnsng syl2anc jca ) ADNFNUAOZUBOZUCZEFGNUAOZUBOZUCZDEU
      DVJVMUDUCZUEGGUFUGGUGZUCZAVKVNVOAVJPDABVJBUHZGFUAOZUIOPDAVRVJQZUKZVRVSVTV
      RPQZAVRNVIUJULWAGFAGPQVTAGHUMUNAFPQZVTAFIUMZUNUOUPLUQURZAVMPEABVMVRNFUAOZ
      UIOPEAVRVMQZUKZVRWFWGWBAVRFVLUJULWHNFWHVBAWCWGWDUNUOUPMUQURZAVJVMDEWEWIAV
      JVMRSTZVJVPRSTZVMVPRSTZAWJWKWLUEVSNUIOVLUBOZNVSUBOZRSTWMVPRSTWNVPRSTUEAFG
      HIJUSUTVAVCVDAGVEQZWOVQHHGGVEVEVFVGVH $.
  $}

  ${
    $d I x $.  $d M x $.  $d X x $.  $d ph x $.
    metakunt20.1 $e |- ( ph -> M e. NN ) $.
    metakunt20.2 $e |- ( ph -> I e. NN ) $.
    metakunt20.3 $e |- ( ph -> I <_ M ) $.
    metakunt20.4 $e |- B = ( x e. ( 1 ... M ) |-> if ( x = M , M ,
     if ( x < I , ( x + ( M - I ) ) , ( x + ( 1 - I ) ) ) ) ) $.
    metakunt20.5 $e |- C = ( x e. ( 1 ... ( I - 1 ) ) |->
     ( x + ( M - I ) ) ) $.
    metakunt20.6 $e |- D = ( x e. ( I ... ( M - 1 ) ) |->
     ( x + ( 1 - I ) ) ) $.
    metakunt20.7 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    metakunt20.8 $e |- ( ph -> X = M ) $.
    $( Show that B coincides on the union of bijections of functions.
       (Contributed by metakunt, 28-May-2024.) $)
    metakunt20 $p |- ( ph -> ( B ` X ) = ( ( ( C u. D ) u.
     { <. M , M >. } ) ` X ) ) $=
      ( wceq co c1 eqtrd cfv cop csn cun cv clt wbr cmin caddc cif cfz cmpt a1i
      eqeq1 breq1 oveq1 ifbieq12d adantl iftrue syl adantr eqcomd fvmptd fveq2d
      wa ifbieq2d cn wcel fvsng syl2anc 3eqtrd wfn w3a metakunt19 simpld simp3d
      simprd cin c0 cz nnzd fzsn ineq2d cfzo pncan3d oveq2d fzoval cuz cn0 nnuz
      nncnd eleqtrdi cle wb jca znn0sub mpbid fzoun uneq12d ineq1d nnred fzdisj
      ltm1d elsng mpbird fvun2d ) AHCUAZHGGUBUCZUAZHDEUDZXHUDUAZAXGHGXIABHBUEZG
      QZGXLFUFUGZXLGFUHRZUIRZXLSFUHRZUIRZUJZUJZHSGUKRZCYACBYAXTULQALUMAXLHQZVEZ
      XTHGQZGHFUFUGZHXOUIRZHXQUIRZUJZUJZHYBXTYIQAYBXMYDXSYHGXLHGUNYBXNYEXPXRYFY
      GXLHFUFUOXLHXOUIUPXLHXQUIUPUQVFURYCYIGHAYIGQZYBAYDYJPYDGYHUSUTVAAGHQYBAHG
      PVBVATTOOVCPAXIGAXIGXHUAZGAHGXHPVDAGVGVHZYLYKGQIIGGVGVGVIVJTVBVKAXKXIASFS
      UHRUKRZFGSUHRZUKRZUDZGUCZXJXHHADYMVLZEYOVLZXJYPVLZAYRYSYTVMZXHYQVLZABCDEF
      GIJKLMNVNZVOVPAUUAUUBUUCVQAYPYQVRZYPGGUKRZVRZVSAUUFUUDAUUEYQYPAGVTVHZUUEY
      QQAGIWAZGWBUTWCVBAUUFSYNUKRZUUEVRZVSAUUJUUFAUUIYPUUEAUUISFWDRZFFXOUIRZWDR
      ZUDZYPAUUISUULWDRZUUNAUUOUUIAUUOSGWDRZUUIAUULGSWDAFGAFJWKAGIWKWEZWFAUUGUU
      PUUIQUUHSGWGUTTVBAFSWHUAZVHXOWIVHZUUOUUNQAFVGUURJWJWLAFGWMUGZUUSKAFVTVHZU
      UGVEUUTUUSWNAUVAUUGAFJWAZUUHWOFGWPUTWQSFXOWRVJTAUUKYMUUMYOAUVAUUKYMQUVBSF
      WGUTAUUMFGWDRZYOAUULGFWDUUQWFAUUGUVCYOQUUHFGWGUTTWSTWTVBAYNGUFUGUUJVSQAGA
      GIXAXCSYNGGXBUTTTAHYQVHZYDPAHYAVHUVDYDWNOHGYAXDUTXEXFVBT $.
  $}

  ${
    $d I x $.  $d M x $.  $d X x $.  $d ph x $.
    metakunt21.1 $e |- ( ph -> M e. NN ) $.
    metakunt21.2 $e |- ( ph -> I e. NN ) $.
    metakunt21.3 $e |- ( ph -> I <_ M ) $.
    metakunt21.4 $e |- B = ( x e. ( 1 ... M ) |-> if ( x = M , M ,
     if ( x < I , ( x + ( M - I ) ) , ( x + ( 1 - I ) ) ) ) ) $.
    metakunt21.5 $e |- C = ( x e. ( 1 ... ( I - 1 ) ) |->
     ( x + ( M - I ) ) ) $.
    metakunt21.6 $e |- D = ( x e. ( I ... ( M - 1 ) ) |->
     ( x + ( 1 - I ) ) ) $.
    metakunt21.7 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    metakunt21.8 $e |- ( ph -> -. X = M ) $.
    metakunt21.9 $e |- ( ph -> X < I ) $.
    $( Show that B coincides on the union of bijections of functions.
       (Contributed by metakunt, 28-May-2024.) $)
    metakunt21 $p |- ( ph -> ( B ` X ) = ( ( ( C u. D ) u.
     { <. M , M >. } ) ` X ) ) $=
      ( co wceq c0 cfv cmin caddc cun cop csn cv clt wbr c1 cif cfz cz cmpt a1i
      eqeq1 breq1 oveq1 ifbieq12d ifbieq2d adantl iffalsed iftrued eqtrd adantr
      elfzelzd nnzd zsubcld zaddcld fvmptd wfn w3a metakunt19 simpld simp3d cin
      wa simprd indir metakunt18 simp2d uneq12d unidm wcel cn elfznn syl nnge1d
      1zzd cle wb zltlem1 syl2anc mpbid elfzd elun1 fvun1d simp1d eqcomd ) AHCU
      AHGFUBRZUCRZHDEUDZGGUEUFZUDUAZABHBUGZGSZGXEFUHUIZXEWTUCRZXEUJFUBRZUCRZUKZ
      UKZXAUJGULRZCUMCBXMXLUNSALUOAXEHSZVQXLHGSZGHFUHUIZXAHXIUCRZUKZUKZXAXNXLXS
      SAXNXFXOXKXRGXEHGUPXNXGXPXHXJXAXQXEHFUHUQXEHWTUCURZXEHXIUCURUSUTVAAXSXASX
      NAXSXRXAAXOGXRPVBAXPXAXQQVCVDVEVDOAHWTAHUJGOVFZAGFAGIVGAFJVGZVHVIZVJAXDXA
      AXDHXBUAZXAAUJFUJUBRZULRZFGUJUBRZULRZUDZGUFZXBXCHADYFVKZEYHVKZXBYIVKZAYKY
      LYMVLZXCYJVKZABCDEFGIJKLMNVMZVNZVOAYNYOYPVRAYIYJVPZYFYJVPZYHYJVPZUDZTYRUU
      ASAYFYHYJVSUOAUUATTUDZTAYSTYTTAYFYHVPTSZYSTSZYTTSZAUUCUUDUUEVLWTUJUCRYGUL
      RZUJWTULRZVPTSUUFYJVPTSUUGYJVPTSVLAFGIJKVTVNZWAAUUCUUDUUEUUHVOWBUUBTSATWC
      UOVDVDAHYFWDHYIWDAHUJYEAWIZAFUJYBUUIVHYAAHAHXMWDHWEWDOHGWFWGWHAXPHYEWJUIZ
      QAHUMWDFUMWDXPUUJWKYAYBHFWLWMWNWOZHYFYHWPWGWQAYDHDUAXAAYFYHDEHAYKYLYMYQWR
      AYKYLYMYQWAAUUCUUDUUEUUHWRUUKWQABHXHXAYFDUMDBYFXHUNSAMUOXNXHXASAXTVAUUKYC
      VJVDVDWSVD $.
  $}

  ${
    $d I x $.  $d M x $.  $d X x $.  $d ph x $.
    metakunt22.1 $e |- ( ph -> M e. NN ) $.
    metakunt22.2 $e |- ( ph -> I e. NN ) $.
    metakunt22.3 $e |- ( ph -> I <_ M ) $.
    metakunt22.4 $e |- B = ( x e. ( 1 ... M ) |-> if ( x = M , M ,
     if ( x < I , ( x + ( M - I ) ) , ( x + ( 1 - I ) ) ) ) ) $.
    metakunt22.5 $e |- C = ( x e. ( 1 ... ( I - 1 ) ) |->
     ( x + ( M - I ) ) ) $.
    metakunt22.6 $e |- D = ( x e. ( I ... ( M - 1 ) ) |->
     ( x + ( 1 - I ) ) ) $.
    metakunt22.7 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    metakunt22.8 $e |- ( ph -> -. X = M ) $.
    metakunt22.9 $e |- ( ph -> -. X < I ) $.
    $( Show that B coincides on the union of bijections of functions.
       (Contributed by metakunt, 28-May-2024.) $)
    metakunt22 $p |- ( ph -> ( B ` X ) = ( ( ( C u. D ) u.
     { <. M , M >. } ) ` X ) ) $=
      ( co wceq c0 cfv c1 cmin caddc cun cop csn cv clt wbr cif cfz cz cmpt a1i
      wa eqeq1 breq1 oveq1 ifbieq12d ifbieq2d adantl iffalse syl eqtrd elfzelzd
      wn adantr 1zzd zsubcld zaddcld fvmptd wfn metakunt19 simpld simp3d simprd
      nnzd w3a cin indir metakunt18 simp2d uneq12d unidm wcel cle elfznn lenltd
      nnred cn mpbird wne elfzle2 df-ne sylibr necomd ltlend wb zltlem1 syl2anc
      jca mpbid elfzd elun2 fvun1d simp1d fvun2d simpr oveq1d zred lenlt eqcomd
      cr ) AHCUAHUBFUCRZUDRZHDEUEZGGUFUGZUEUAZABHBUHZGSZGXTFUIUJZXTGFUCRZUDRZXT
      XOUDRZUKZUKZXPUBGULRZCUMCBYHYGUNSALUOAXTHSZUPZYGHGSZGHFUIUJZHYCUDRZXPUKZU
      KZXPYIYGYOSAYIYAYKYFYNGXTHGUQYIYBYLYDYEYMXPXTHFUIURXTHYCUDUSXTHXOUDUSUTVA
      VBAYOXPSYIAYOYNXPAYKVGZYOYNSPYKGYNVCVDAYLVGZYNXPSQYLYMXPVCVDVEVHVEOAHXOAH
      UBGOVFZAUBFAVIZAFJVRZVJVKZVLAXSXPAXSHXQUAZXPAUBFUBUCRULRZFGUBUCRZULRZUEZG
      UGZXQXRHADUUCVMZEUUEVMZXQUUFVMZAUUHUUIUUJVSZXRUUGVMZABCDEFGIJKLMNVNZVOZVP
      AUUKUULUUMVQAUUFUUGVTZUUCUUGVTZUUEUUGVTZUEZTUUOUURSAUUCUUEUUGWAUOAUURTTUE
      ZTAUUPTUUQTAUUCUUEVTTSZUUPTSZUUQTSZAUUTUVAUVBVSYCUBUDRUUDULRZUBYCULRZVTTS
      UVCUUGVTTSUVDUUGVTTSVSAFGIJKWBVOZWCAUUTUVAUVBUVEVPWDUUSTSATWEUOVEVEAHUUEW
      FHUUFWFAHFUUDYTAGUBAGIVRZYSVJZYRAFHWGUJZYQQAFHAFJWJZAHAHYHWFZHWKWFOHGWHVD
      WJZWIWLAHGUIUJZHUUDWGUJZAUVLHGWGUJZGHWMZUPZAUVNUVOAUVJUVNOHUBGWNVDAHGAYPH
      GWMPHGWOWPWQXBZAHGUVKAGIWJZWRWLAHUMWFGUMWFUVLUVMWSYRUVFHGWTXAZXCXDZHUUEUU
      CXEVDXFAUUBHEUAXPAUUCUUEDEHAUUHUUIUUJUUNXGAUUHUUIUUJUUNWCAUUTUVAUVBUVEXGU
      VTXHABHYEXPUUEEUMEBUUEYEUNSANUOYJXTHXOUDAYIXIXJAHFUUDYTUVGYRAUVHYQQAFXNWF
      HXNWFUVHYQWSUVIAHYRXKZFHXLXAWLAUVLUVMAUVLUVPUVQAHGUWAUVRWRWLUVSXCXDUUAVLV
      EVEXMVE $.
  $}

  ${
    $d I x $.  $d M x $.  $d X x $.  $d ph x $.
    metakunt23.1 $e |- ( ph -> M e. NN ) $.
    metakunt23.2 $e |- ( ph -> I e. NN ) $.
    metakunt23.3 $e |- ( ph -> I <_ M ) $.
    metakunt23.4 $e |- B = ( x e. ( 1 ... M ) |-> if ( x = M , M ,
     if ( x < I , ( x + ( M - I ) ) , ( x + ( 1 - I ) ) ) ) ) $.
    metakunt23.5 $e |- C = ( x e. ( 1 ... ( I - 1 ) ) |->
     ( x + ( M - I ) ) ) $.
    metakunt23.6 $e |- D = ( x e. ( I ... ( M - 1 ) ) |->
     ( x + ( 1 - I ) ) ) $.
    metakunt23.7 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    $( B coincides on the union of bijections of functions.  (Contributed by
       metakunt, 28-May-2024.) $)
    metakunt23 $p |- ( ph -> ( B ` X ) = ( ( ( C u. D ) u.
     { <. M , M >. } ) ` X ) ) $=
      ( wa wcel adantr simpr ad2antrr wceq cfv cun cop csn cn cle wbr c1 cfz co
      metakunt20 wn clt simplr metakunt21 metakunt22 pm2.61dan ) AHGUAZHCUBHDEU
      CGGUDUEUCUBUAZAUSPBCDEFGHAGUFQZUSIRAFUFQZUSJRAFGUGUHZUSKRLMNAHUIGUJUKQZUS
      ORAUSSULAUSUMZPZHFUNUHZUTVFVGPBCDEFGHAVAVEVGITAVBVEVGJTAVCVEVGKTLMNAVDVEV
      GOTAVEVGUOVFVGSUPVFVGUMZPBCDEFGHAVAVEVHITAVBVEVHJTAVCVEVHKTLMNAVDVEVHOTAV
      EVHUOVFVHSUQURUR $.
  $}

  ${
    metakunt24.1 $e |- ( ph -> M e. NN ) $.
    metakunt24.2 $e |- ( ph -> I e. NN ) $.
    metakunt24.3 $e |- ( ph -> I <_ M ) $.
    $( Technical condition such that ~ metakunt17 holds.  (Contributed by
       metakunt, 28-May-2024.) $)
    metakunt24 $p  |- ( ph
           -> ( ( ( ( 1 ... ( I - 1 ) )
                       u. ( I ... ( M - 1 ) ) )
                   i^i { M } )
                 = (/)
              /\ ( 1 ... M )
                 = ( ( ( 1 ... ( I - 1 ) ) u. ( I ... ( M - 1 ) ) )
                   u. { M } )
              /\ ( 1 ... M )
                 = ( ( ( ( ( M - I ) + 1 ) ... ( M - 1 ) )
                      u. ( 1 ... ( M - I ) ) )
                              u. { M } ) ) ) $=
      ( c1 cmin co cfz cun cin c0 wceq caddc eqtrd wcel adantr eqcomd cc0 indir
      csn a1i w3a metakunt18 simpld simp2d simp3d uneq12d unidm 1zzd nnzd nnred
      nnge1d leidd elfzd fzsplitnd oveq1 oveq2d uneq1d adantl clt ltm1d zsubcld
      wa wbr cz wb fzn syl2anc mpbid uneq2d un0 wn cle wne eqeq1 mpbii necon3bi
      eqid leltned mpbird fzsplitnr pm2.61dan fzsn syl 3eqtrd uncom fz10 uneq1i
      zltlem1 eqeq1i imbi2i mpbi oveq2 recnd subidd oveq1d 1e0p1 eqtr4di lesubd
      wi cr 1red lesub2dd fzsplit 3jca ) AGBGHIZJIZBCGHIZJIZKZCUBZLZMNGCJIZXLXM
      KZNXOCBHIZGOIZXJJIZGXQJIZKZXMKZNAXNXIXMLZXKXMLZKZMXNYENAXIXKXMUAUCAYEMMKZ
      MAYCMYDMAXIXKLMNZYCMNZYDMNZAYGYHYIUDXSXTLMNXSXMLMNXTXMLMNUDABCDEFUEUFZUGA
      YGYHYIYJUHUIYFMNAMUJUCPPAXOGXJJIZCCJIZKZXLYLKZXPACGCACGCAUKZACDULZYPACDUN
      ACACDUMZUOUPUQZABCNZYMYNNAYSVEZYNYMYTYNYKCXJJIZKZYLKZYMYSYNUUCNAYSXLUUBYL
      YSXIYKXKUUAYSXHXJGJBCGHURUSBCXJJURUIUTVAYTUUBYKYLYTUUBYKMKZYKYTUUAMYKAUUA
      MNZYSAXJCVBVFZUUEACYQVCACVGQZXJVGQUUFUUEVHYPACGYPYOVDCXJVIVJVKRVLUUDYKNZY
      TYKVMUCZPUTPSAYSVNZVEZYKXLYLUUKBGXJAGVGQUUJYORZUUKCGAUUGUUJYPRZUULVDZABVG
      QZUUJABEULZRZAGBVOVFUUJABEUNRZUUKBCVBVFZBXJVOVFZUUKUUSCBVPZUUJUVAAYSCBCBN
      CCNYSCVTCBCVQVRVSVAAUUSUVAVHUUJABCABEUMZYQFWARWBAUUSUUTVHZUUJAUUOUUGUVCUU
      PYPBCWKVJRVKZWCUTWDAYLXMXLAUUGYLXMNYPCWEWFZVLWGAYBXOAYBXTXSKZXMKZXOAYAUVF
      XMYAUVFNAXSXTWHUCUTAUVGUVFYLKZXOAUVHUVGAYLXMUVFUVEVLSAXOUVHAXOYMUVHYRAYKU
      VFYLAYSYKUVFNZYTYKGTJIZYKKZUVFYTUVKYKYTUVKMYKKZYKAUVKUVLNZYSUVMAUVJMYKWIW
      JUCRYTUUHXBYTUVLYKNZXBUUIUUHUVNYTUUDUVLYKYKMWHWLWMWNPSYTUVFUVKYTXTUVJXSYK
      YTXQTGJYTXQCCHIZTYSXQUVONABCCHWOZVAAUVOTNYSACACYQWPWQRZPUSYTXRGXJJYTXRTGO
      IZGYTXRUVOGOIZUVRYSXRUVSNAYSXQUVOGOUVPWRVAYTUVOTGOUVQWRPWSWTWRUISPUUKXQYK
      QUVIUUKXQGXJUULUUNUUKCBUUMUUQVDUUKBCGABXCQUUJUVBRZACXCQUUJYQRZUUKXDZUVDXA
      UUKGBCUWBUVTUWAUURXEUPXQGXJXFWFWDUTPSPPSXG $.
  $}

  ${
    $d B y $.  $d I x y $.  $d M x y $.  $d ph x y $.
    metakunt25.1 $e |- ( ph -> M e. NN ) $.
    metakunt25.2 $e |- ( ph -> I e. NN ) $.
    metakunt25.3 $e |- ( ph -> I <_ M ) $.
    metakunt25.4 $e |- B = ( x e. ( 1 ... M ) |-> if ( x = M , M ,
     if ( x < I , ( x + ( M - I ) ) , ( x + ( 1 - I ) ) ) ) ) $.
    $( B is a permutation.  (Contributed by metakunt, 28-May-2024.) $)
    metakunt25 $p |- ( ph -> B : ( 1 ... M ) -1-1-onto-> ( 1 ... M ) ) $=
      ( c1 co cfz wcel cin c0 wceq cun cz wa adantr vy cmin csn caddc cmpt eqid
      cv cop metakunt15 metakunt16 cn wf1o f1osng syl2anc w3a metakunt18 simpld
      simp1d simp2d simp3d simprd clt wbr eleq1 nnzd wn elfzelz adantl ad2antrr
      cif zsubcld zaddcld 1zzd ifbothda fmptd metakunt19 metakunt24 fnund simpr
      ffnd wfn cle metakunt23 eqfnfv2d2 metakunt17 ) AJDJUBKLKZDEJUBKZLKZEUCZJE
      LKZCBWFBUGZEDUBKZUDKZUEZBWHWKJDUBKZUDKZUEZEEUHUCZWJWLJUDKWGLKZJWLLKZWIABW
      NDEFGHWNUFZUIABWQDEFGHWQUFZUJAEUKMZXCWIWIWRULFFEEUKUKUMUNAWFWHNOPZWFWINOP
      ZWHWINOPZAXDXEXFUOZWSWTNOPZWSWINOPZWTWINOPZUOZADEFGHUPZUQZURAXDXEXFXMUSAX
      DXEXFXMUTAXHXIXJAXGXKXLVAZURAXHXIXJXNUSAXHXIXJXNUTAUAWJWFWHQZWIQZCWNWQQZW
      RQAWJRCABWJWKEPZEWKDVBVCZWMWPVJZVJZRCXRERMZXTRMZYARMAWKWJMZSZEXTEYARVDXTY
      ARVDYEYBXRAYBYDAEFVETZTXSWMRMWPRMYCYEXRVFZSZWMWPWMXTRVDWPXTRVDYHXSSZWKWLY
      HWKRMZXSYEYJYGYDYJAWKJEVGVHTZTYIEDYEYBYGXSYFVIYHDRMZXSYEYLYGAYLYDADGVETTZ
      TVKVLYHXSVFZSZWKWOYHYJYNYKTYOJDYOVMYHYLYNYMTVKVLVNVNIVOVTAXOWIXQWRAWNWFWA
      ZWQWHWAZXQXOWAZAYPYQYRUOZWRWIWAZABCWNWQDEFGHIXAXBVPZUQUTAYSYTUUAVAAXOWINO
      PZWJXPPZWJWSWTQWIQPZADEFGHVQZURVRAUUBUUCUUDUUEUSZAUAUGZWJMZSBCWNWQDEUUGAX
      CUUHFTADUKMUUHGTADEWBVCUUHHTIXAXBAUUHVSWCWDUUFAUUBUUCUUDUUEUTWE $.
  $}

  ${
    $d I y $.  $d M x $.  $d M y $.  $d M z $.  $d X x $.  $d ph x $.
    $d ph y $.  $d ph z $.
    metakunt26.1 $e |- ( ph -> M e. NN ) $.
    metakunt26.2 $e |- ( ph -> I e. NN ) $.
    metakunt26.3 $e |- ( ph -> I <_ M ) $.
    metakunt26.4 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt26.5 $e |- C = ( y e. ( 1 ... M ) |-> if (
       y = M , I , if ( y < I , y , ( y + 1 ) ) ) ) $.
    metakunt26.6 $e |- B = ( z e. ( 1 ... M ) |-> if ( z = M , M ,
     if ( z < I , ( z + ( M - I ) ) , ( z + ( 1 - I ) ) ) ) ) $.
    metakunt26.7 $e |- ( ph -> X = I ) $.
    $( Construction of one solution of the increment equation system.
       (Contributed by metakunt, 7-Jul-2024.) $)
    metakunt26 $p |- ( ph -> ( C ` ( B ` ( A ` X ) ) ) = X ) $=
      ( wceq c1 co cfv cv clt wbr cmin cif cfz cn cmpt a1i eqeq2d simpr iftrued
      wa ex sylbid imp wcel 1zzd nnz syl nnzd nnge1d elfzd eleq1d mpbird fvmptd
      cz fveq2d caddc nnge1 nnre leidd eqtrd eqcomd ) AJEUAZFUAZGUAZHJAVRIGUAHA
      VQIGAVQIFUAIAVPIFABJBUBZHRZIVSHUCUDVSVSSUETUFZUFZISIUGTZEUHEBWCWBUIRANUJA
      VSJRZWBIRZAWDVTWEAJHVSQUKAVTWEAVTUNVTIWAAVTULUMUOUPUQAJWCURHWCURAHSIAUSAI
      UHURZIVHURKIUTZVAAHLVBAHLVCMVDAJHWCQVEVFKVGVIADIDUBZIRZIWHHUCUDWHIHUETVJT
      WHSHUETVJTUFZUFZIWCFUHFDWCWKUIRAPUJAWIUNWIIWJAWIULUMAWFIWCURKWFISIWFUSWGW
      GIVKWFIIVLVMVDVAZKVGVNVIACICUBZIRZHWMHUCUDWMWMSVJTUFZUFZHWCGUHGCWCWPUIRAO
      UJAWNUNWNHWOAWNULUMWLLVGVNAJHQVOVN $.
  $}

  ${
    $d I z $.  $d M x $.  $d M z $.  $d X x $.  $d X z $.  $d ph x $.
    $d ph z $.
    metakunt27.1 $e |- ( ph -> M e. NN ) $.
    metakunt27.2 $e |- ( ph -> I e. NN ) $.
    metakunt27.3 $e |- ( ph -> I <_ M ) $.
    metakunt27.4 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    metakunt27.5 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt27.6 $e |- B = ( z e. ( 1 ... M ) |-> if ( z = M , M ,
     if ( z < I , ( z + ( M - I ) ) , ( z + ( 1 - I ) ) ) ) ) $.
    metakunt27.7 $e |- ( ph -> -. X = I ) $.
    metakunt27.8 $e |- ( ph -> X < I ) $.
    $( Construction of one solution of the increment equation system.
       (Contributed by metakunt, 7-Jul-2024.) $)
    metakunt27 $p |- ( ph -> ( B ` ( A ` X ) ) = ( X + ( M - I ) ) ) $=
      ( co wceq clt eqtrd cfv cmin caddc cv wbr c1 cif cfz cmpt a1i wa wn simpr
      adantr eqeq1d notbid mpbird iffalsed breq1d iftrued fvmptd fveq2d cz wcel
      cn elfznn nnred ltletrd ltned neneqd oveq1d elfzelzd nnzd zsubcld zaddcld
      syl ) AHDUAZEUAHEUAHGFUBQZUCQZAVQHEABHBUDZFRZGVTFSUEZVTVTUFUBQZUGZUGZHUFG
      UHQZDWFDBWFWEUIRAMUJAVTHRZUKZWEWDHWHWAGWDWHWAULHFRZULZAWJWGOUNWHWAWIWHVTH
      FAWGUMZUOUPUQURWHWDVTHWHWBVTWCWHWBHFSUEZAWLWGPUNWHVTHFSWKUSUQUTWKTTLLVAVB
      ACHCUDZGRZGWMFSUEZWMVRUCQZWMUFFUBQUCQZUGZUGZVSWFEVCECWFWSUIRANUJAWMHRZUKZ
      WSWRVSXAWNGWRXAWNULHGRZULZAXCWTAHGAHGAHAHWFVDHVEVDLHGVFVPVGZAHFGXDAFJVGAG
      IVGPKVHVIVJUNXAWNXBXAWMHGAWTUMZUOUPUQURXAWRWPVSXAWOWPWQXAWOWLAWLWTPUNXAWM
      HFSXEUSUQUTXAWMHVRUCXEVKTTLAHVRAHUFGLVLAGFAGIVMAFJVMVNVOVAT $.
  $}

  ${
    $d I z $.  $d M x $.  $d M z $.  $d X x $.  $d X z $.  $d ph x $.
    $d ph z $.
    metakunt28.1 $e |- ( ph -> M e. NN ) $.
    metakunt28.2 $e |- ( ph -> I e. NN ) $.
    metakunt28.3 $e |- ( ph -> I <_ M ) $.
    metakunt28.4 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    metakunt28.5 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt28.6 $e |- B = ( z e. ( 1 ... M ) |-> if ( z = M , M ,
     if ( z < I , ( z + ( M - I ) ) , ( z + ( 1 - I ) ) ) ) ) $.
    metakunt28.7 $e |- ( ph -> -. X = I ) $.
    metakunt28.8 $e |- ( ph -> -. X < I ) $.
    $( Construction of one solution of the increment equation system.
       (Contributed by metakunt, 7-Jul-2024.) $)
    metakunt28 $p |- ( ph -> ( B ` ( A ` X ) ) = ( X - I ) ) $=
      ( c1 co wceq wbr cfv cmin cv clt cif cfz cz a1i wa wn adantr simpr eqeq1d
      notbid mpbird iffalsed breq1d oveq1d eqtrd elfzelzd zsubcld fvmptd fveq2d
      cmpt 1zzd caddc wne zred nnred crp 1rp ltsubrpd cle elfzle2 ltletrd ltned
      wcel syl neneqd neqned nltled leltned nnzd zltlem1d mpbid zcnd 1cnd nncnd
      lenltd npncand 1red nnge1d lelttrd resubcld cc0 0le1 subge02d letrd elfzd
      ) AHDUAZEUAHQUBRZEUAHFUBRZAWTXAEABHBUCZFSZGXCFUDTZXCXCQUBRZUEZUEZXAQGUFRZ
      DUGDBXIXHVDSAMUHAXCHSZUIZXHXGXAXKXDGXGXKXDUJHFSZUJZAXMXJOUKXKXDXLXKXCHFAX
      JULZUMUNUOUPXKXGXFXAXKXEXCXFXKXEUJHFUDTZUJZAXPXJPUKXKXEXOXKXCHFUDXNUQUNUO
      UPXKXCHQUBXNURUSUSLAHQAHQGLUTZAVEZVAZVBVCACXACUCZGSZGXTFUDTZXTGFUBRVFRZXT
      QFUBRZVFRZUEZUEZXBXIEUGECXIYGVDSANUHAXTXASZUIZYGYFXBYIYAGYFYIYAUJXAGSZUJY
      IXAGAXAGVGYHAXAGAXAXSVHZAXAHGYKAHXQVHZAGIVIZAHQYLQVJVQAVKUHVLAHXIVQHGVMTL
      HQGVNVRZVOVPUKVSYIYAYJYIXTXAGAYHULZUMUNUOUPYIYFYEXBYIYBYCYEYIYBUJXAFUDTZU
      JZAYQYHAFXAVMTZYQAFHUDTZYRAYSHFVGAHFOVTAFHAFJVIZYLAFHYTYLPWAWBUOZAFHAFJWC
      ZXQWDWEAFXAYTYKWIWEUKYIYBYPYIXTXAFUDYOUQUNUOUPYIYEXAYDVFRZXBYIXTXAYDVFYOU
      RAUUCXBSYHAHQFAHXQWFAWGAFJWHWJUKUSUSUSAXAQGXRAGIWCXSAQHUDTQXAVMTAQFHAWKZY
      TYLAFJWLUUAWMAQHXRXQWDWEAXAHGAHQYLUUDWNYLYMAWOQVMTZXAHVMTUUEAWPUHAHQYLUUD
      WQWEYNWRWSAHFXQUUBVAVBUS $.
  $}

  ${
    $d H y $.  $d I y $.  $d I z $.  $d M x $.  $d M y $.  $d M z $.  $d X x $.
    $d X y $.  $d X z $.  $d ph x $.  $d ph y $.  $d ph z $.  $d I z $.
    $d M x $.  $d M z $.  $d X x $.  $d X z $.  $d ph x $.  $d ph z $.
    metakunt29.1 $e |- ( ph -> M e. NN ) $.
    metakunt29.2 $e |- ( ph -> I e. NN ) $.
    metakunt29.3 $e |- ( ph -> I <_ M ) $.
    metakunt29.4 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    metakunt29.5 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt29.6 $e |- B = ( z e. ( 1 ... M ) |-> if ( z = M , M ,
     if ( z < I , ( z + ( M - I ) ) , ( z + ( 1 - I ) ) ) ) ) $.
    metakunt29.7 $e |- ( ph -> -. X = I ) $.
    metakunt29.8 $e |- ( ph -> X < I ) $.
    metakunt29.9 $e |- C = ( y e. ( 1 ... M ) |-> if (
       y = M , I , if ( y < I , y , ( y + 1 ) ) ) ) $.
    metakunt29.10 $e |- H = if ( I <_ ( X + ( M - I ) ) , 1 , 0 ) $.
    $( Construction of one solution of the increment equation system.
       (Contributed by metakunt, 7-Jul-2024.) $)
    metakunt29 $p |- ( ph -> ( C ` ( B ` ( A ` X ) ) ) =
     ( ( X + ( M - I ) ) + H ) ) $=
      ( cfv cmin co caddc metakunt27 fveq2d cv wceq clt wbr c1 cif cfz cmpt a1i
      cz wa wne cn wcel elfznn syl nnre nnred resubcld readdcld recnd addsub12d
      cr subsub2d cc0 posdifd mpbid elrpd ltsubrpd eqbrtrrd eqbrtrd ltned simpr
      adantr neeq1d mpbird neneqd iffalsed cle w3a lenltd 3adant2 breq1d notbid
      simp2 oveq1d eqtrd simp3 iftrued eqcomd eqtr4di oveq2d ltnled biimprd imp
      wn 3expa cc subcld addcld addid1d biimpa syld pm2.61dan 1zzd nnzd zsubcld
      ex zaddcld 1p0e1 1red 0red subge0d le2addd eqbrtrrid ltled elfzd elfzelzd
      nnge1d 0zd ifcld eleq1d fvmptd ) AKEUBFUBZGUBKJIUCUDZUEUDZGUBYMHUEUDZAYKY
      MGABDEFIJKLMNOPQRSUFUGACYMCUHZJUIZIYOIUJUKZYOYOULUEUDZUMZUMZYNULJUNUDZGUQ
      GCUUAYTUOUIATUPAYOYMUIZURZYTYSYNUUCYPIYSUUCYOJUUCYOJUSYMJUSZAUUDUUBAYMJAK
      YLAKUTVAZKVJVAZAKUUAVAUUEOKJVBVCZKVDVCZAJIAJLVEZAIMVEZVFZVGZAYMJKIUCUDUEU
      DZJUJAKJIAKUUHVHZAJUUIVHZAIUUJVHZVIAJIKUCUDZUCUDUUMJUJAJIKUUOUUPUUNVKAJUU
      QUUIAUUQAIKUUJUUHVFAKIUJUKVLUUQUJUKSAKIUUHUUJVMVNVOVPVQVRZVSWAUUCYOYMJAUU
      BVTWBWCWDWEUUCIYMWFUKZYSYNUIZAUUBUUSUUTAUUBUUSWGZYSYMULUEUDZYNUVAYSYRUVBU
      VAYQYOYRUVAYQXCYMIUJUKZXCZAUUSUVDUUBAUUSURZUUSUVDAUUSVTUVEIYMAIVJVAUUSUUJ
      WAZUVEKYLAUUFUUSUUHWAUVEJIAJVJVAUUSUUIWAUVFVFVGWHVNWIUVAYQUVCUVAYOYMIUJAU
      UBUUSWLZWJWKWCWEUVAYOYMULUEUVGWMWNUVAULHYMUEUVAULUUSULVLUMZHUVAUVHULUVAUU
      SULVLAUUBUUSWOWPWQUAWRWSWNXDAUUBUUSXCZUUTAUUBUVIWGZYSYOYNUVJYQYOYRUVJYQUV
      CAUVIUVCUUBAUVIUVCAUVCUVIAYMIUULUUJWTZXAZXBWIUVJYOYMIUJAUUBUVIWLZWJWCWPUV
      JYOYMYNUVMAUVIYMYNUIZUUBAUVIUVNAUVIUVCUVNUVLAUVCUVNAUVCURZYMYMVLUEUDZYNUV
      OUVPYMUVOYMUVOKYLAKXEVAUVCUUNWAUVOJIAJXEVAUVCUUOWAAIXEVAUVCUUPWAXFXGXHWQU
      VOVLHYMUEUVOVLUVHHUVOUVHVLUVOUUSULVLAUVCUVIUVKXIWEWQUVOHUVHHUVHUIZUVOUAUP
      WQWNWSWNXOXJXBWIWNWNXDXKWNAYMULJAXLZAJLXMZAKYLAKUUGXMAJIUVSAIMXMXNXPAULUL
      VLUEUDYMWFXQAULVLKYLAXRAXSUUHUUKAKUUGYFAVLYLWFUKIJWFUKNAJIUUIUUJXTWCYAYBA
      YMJUULUUIUURYCYDZAYMHAYMULJUVTYEAHUQVAUVHUQVAAUUSULVLUQUVRAYGYHAHUVHUQUVQ
      AUAUPYIWCXPYJWN $.
  $}

  ${
    $d H y $.  $d I y $.  $d I z $.  $d M x $.  $d M y $.  $d M z $.  $d X x $.
    $d X y $.  $d X z $.  $d ph x $.  $d ph y $.  $d ph z $.
    metakunt30.1 $e |- ( ph -> M e. NN ) $.
    metakunt30.2 $e |- ( ph -> I e. NN ) $.
    metakunt30.3 $e |- ( ph -> I <_ M ) $.
    metakunt30.4 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    metakunt30.5 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt30.6 $e |- B = ( z e. ( 1 ... M ) |-> if ( z = M , M ,
     if ( z < I , ( z + ( M - I ) ) , ( z + ( 1 - I ) ) ) ) ) $.
    metakunt30.7 $e |- ( ph -> -. X = I ) $.
    metakunt30.8 $e |- ( ph -> -. X < I ) $.
    metakunt30.9 $e |- C = ( y e. ( 1 ... M ) |-> if (
       y = M , I , if ( y < I , y , ( y + 1 ) ) ) ) $.
    metakunt30.10 $e |- H = if ( I <_ ( X - I ) , 1 , 0 ) $.
    $( Construction of one solution of the increment equation system.
       (Contributed by metakunt, 7-Jul-2024.) $)
    metakunt30 $p |- ( ph -> ( C ` ( B ` ( A ` X ) ) ) =
     ( ( X - I ) + H ) ) $=
      ( cfv cmin co caddc metakunt28 fveq2d cv wceq clt wbr c1 cif cfz cmpt a1i
      cz wa wne cn wcel cr elfznn syl nnred resubcld cle elfzle2 lesub1dd nnrpd
      nnre ltsubrpd lelttrd ltned adantr wb neeq1 adantl mpbird neneqd iffalsed
      w3a wn lenltd biimpa 3adant2 breq1 3ad2ant2 mtbird simp2 oveq1d cc0 simp3
      iftrued eqcomd eqtrd oveq2d 3expa simpr ltnled nncn 3ad2ant1 nncnd subcld
      cc addid1d pm2.61dan 1zzd nnzd zsubcld 1m1e0 nltled neqned ltlend posdifd
      jca mpbid eqbrtrid zlem1lt syl2anc ltled elfzd 0zd eleq1d zaddcld fvmptd
      ifcld ) AKEUBFUBZGUBKIUCUDZGUBYIHUEUDZAYHYIGABDEFIJKLMNOPQRSUFUGACYICUHZJ
      UIZIYKIUJUKZYKYKULUEUDZUMZUMZYJULJUNUDZGUQGCYQYPUOUIATUPAYKYIUIZURZYPYOYJ
      YSYLIYOYSYKJYSYKJUSZYIJUSZAUUAYRAYIJAKIAKUTVAZKVBVAAKYQVAZUUBOKJVCVDZKVKV
      DZAIMVEZVFZAYIJIUCUDJUUGAJIAJLVEZUUFVFUUHAKJIUUEUUHUUFAUUCKJVGUKOKULJVHVD
      VIAJIUUHAIMVJVLVMZVNVOYRYTUUAVPAYKYIJVQVRVSVTWAYSIYIVGUKZYOYJUIZAYRUUJUUK
      AYRUUJWBZYOYNYJUULYMYKYNUULYMYIIUJUKZAUUJUUMWCZYRAUUJUUNAIYIUUFUUGWDWEWFY
      RAYMUUMVPZUUJYKYIIUJWGZWHWIWAUULYNYIULUEUDYJUULYKYIULUEAYRUUJWJWKUULULHYI
      UEUULULUUJULWLUMZHUULUUQULUULUUJULWLAYRUUJWMWNWOUULHUUQHUUQUIZUULUAUPWOWP
      WQWPWPWRAYRUUJWCZUUKAYRUUSWBZYOYKYJUUTYMYKYNUUTYMUUMAUUSUUMYRAUUSURZUUMUU
      SAUUSWSUVAYIIAYIVBVAUUSUUGVOAIVBVAUUSUUFVOWTVSWFYRAUUOUUSUUPWHVSWNUUTYKYI
      YJAYRUUSWJUUTYIYIWLUEUDZYJUUTUVBYIUUTYIUUTKIAYRKXEVAZUUSAUUBUVCUUDKXAVDXB
      AYRIXEVAUUSAIMXCXBXDXFWOUUTWLHYIUEUUTHWLUUTHUUQWLUURUUTUAUPUUTUUJULWLAYRU
      USWMWAWPWOWQWPWPWPWRXGWPAYIULJAXHZAJLXIAKIAKUUDXIAIMXIXJZAULYIVGUKZULULUC
      UDZYIUJUKZAUVGWLYIUJXKAIKUJUKZWLYIUJUKAUVIIKVGUKZKIUSZURAUVJUVKAIKUUFUUES
      XLAKIRXMXPAIKUUFUUEXNVSAIKUUFUUEXOXQXRAULUQVAYIUQVAUVFUVHVPUVDUVEULYIXSXT
      VSAYIJUUGUUHUUIYAYBAYIHUVEAHUQVAUUQUQVAAUUJULWLUQUVDAYCYGAHUUQUQUURAUAUPY
      DVSYEYFWP $.
  $}

  ${
    $d G y $.  $d H y $.  $d I x $.  $d I y $.  $d I z $.  $d M x $.  $d M y $.
    $d M z $.  $d X x $.  $d X y $.  $d X z $.  $d ph x $.  $d ph y $.
    $d ph z $.
    metakunt31.1 $e |- ( ph -> M e. NN ) $.
    metakunt31.2 $e |- ( ph -> I e. NN ) $.
    metakunt31.3 $e |- ( ph -> I <_ M ) $.
    metakunt31.4 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    metakunt31.5 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt31.6 $e |- B = ( z e. ( 1 ... M ) |-> if ( z = M , M ,
     if ( z < I , ( z + ( M - I ) ) , ( z + ( 1 - I ) ) ) ) ) $.
    metakunt31.7 $e |- C = ( y e. ( 1 ... M ) |-> if (
       y = M , I , if ( y < I , y , ( y + 1 ) ) ) ) $.
    metakunt31.8 $e |- G = if ( I <_ ( X + ( M - I ) ) , 1 , 0 ) $.
    metakunt31.9 $e |- H = if ( I <_ ( X - I ) , 1 , 0 ) $.
    metakunt31.10 $e |- R = if ( X = I , X , if ( X < I ,
     ( ( X + ( M - I ) ) + G ) , ( ( X - I ) + H ) ) ) $.
    $( Construction of one solution of the increment equation system.
       (Contributed by metakunt, 18-Jul-2024.) $)
    metakunt31 $p |- ( ph -> ( C ` ( B ` ( A ` X ) ) ) = R ) $=
      ( wceq cfv wa clt wbr cmin co caddc cif cn wcel adantr metakunt26 iftrued
      cle simpr eqcomd eqtrd eqcomi a1i wn w3a 3ad2ant1 c1 cfz simp2 metakunt29
      simp3 iffalsed 3expa metakunt30 pm2.61dan ) AMKUDZMEUEFUEGUEZHUDZAVPUFZVQ
      VPMMKUGUHZMLKUIUJUKUJIUKUJZMKUIUJJUKUJZULZULZHVSVQMWDVSBCDEFGKLMALUMUNZVP
      NUOAKUMUNZVPOUOAKLURUHZVPPUORTSAVPUSZUPVSWDMVSVPMWCWHUQUTVAWDHUDZVSHWDUCV
      BZVCVAAVPVDZUFVTVRAWKVTVRAWKVTVEZVQWDHWLVQWAWDWLBCDEFGIKLMAWKWEVTNVFAWKWF
      VTOVFAWKWGVTPVFAWKMVGLVHUJUNZVTQVFRSAWKVTVIZAWKVTVKZTUAVJWLWDWAWLWDWCWAWL
      VPMWCWNVLWLVTWAWBWOUQVAUTVAWIWLWJVCVAVMAWKVTVDZVRAWKWPVEZVQWDHWQVQWBWDWQB
      CDEFGJKLMAWKWEWPNVFAWKWFWPOVFAWKWGWPPVFAWKWMWPQVFRSAWKWPVIZAWKWPVKZTUBVNW
      QWDWBWQWDWCWBWQVPMWCWRVLWQVTWAWBWSVLVAUTVAWIWQWJVCVAVMVOVO $.
  $}

  ${
    $d M x $.  $d R x $.  $d X x $.  $d ph x $.
    metakunt32.1 $e |- ( ph -> M e. NN ) $.
    metakunt32.2 $e |- ( ph -> I e. NN ) $.
    metakunt32.3 $e |- ( ph -> I <_ M ) $.
    metakunt32.4 $e |- ( ph -> X e. ( 1 ... M ) ) $.
    metakunt32.5 $e |- D = ( x e. ( 1 ... M ) |->
     if ( x = I , x , if ( x < I ,
     ( ( x + ( M - I ) ) + if ( I <_ ( x + ( M - I ) ) , 1 , 0 ) ) ,
      ( ( x - I ) + if ( I <_ ( x - I ) , 1 , 0 ) ) ) ) ) $.
    metakunt32.6 $e |- G = if ( I <_ ( X + ( M - I ) ) , 1 , 0 ) $.
    metakunt32.7 $e |- H = if ( I <_ ( X - I ) , 1 , 0 ) $.
    metakunt32.8 $e |- R = if ( X = I , X , if ( X < I ,
     ( ( X + ( M - I ) ) + G ) , ( ( X - I ) + H ) ) ) $.
    $( Construction of one solution of the increment equation system.
       (Contributed by metakunt, 18-Jul-2024.) $)
    metakunt32 $p |- ( ph -> ( D ` X ) = R ) $=
      ( co caddc cz cv wceq clt wbr cmin cle c1 cc0 cif cfz a1i wa simpr eqeq1d
      cmpt breq1d oveq1 adantl breq2d ifbid oveq12d eqcomd eqtrd ifbieq12d wcel
      oveq2d oveq1d elfzelzd nnzd zsubcld zaddcld 1zzd 0zd eleq1d mpbird fvmptd
      ifcld ) ABIBUAZGUBZVRVRGUCUDZVRHGUERZSRZGWBUFUDZUGUHUIZSRZVRGUERZGWFUFUDZ
      UGUHUIZSRZUIZUIZDUGHUJRZCTCBWLWKUOUBANUKAVRIUBZULZWKIGUBZIIGUCUDZIWASRZES
      RZIGUERZFSRZUIZUIZDWNVSWOVRWJIXAWNVRIGAWMUMZUNXCWNVTWPWEWIWRWTWNVRIGUCXCU
      PWNWEWQGWQUFUDZUGUHUIZSRWRWNWBWQWDXESWMWBWQUBAVRIWASUQURZWNWCXDUGUHWNWBWQ
      GUFXFUSUTVAWNXEEWQSWNEXEEXEUBZWNOUKVBVFVCWNWIWSGWSUFUDZUGUHUIZSRWTWNWFWSW
      HXISWNVRIGUEXCVGZWNWGXHUGUHWNWFWSGUFXJUSUTVAWNXIFWSSWNFXIFXIUBZWNPUKVBVFV
      CVDVDWNDXBDXBUBZWNQUKVBVCMADTVEXBTVEAWOIXATAIUGHMVHZAWPWRWTTAWQEAIWAXMAHG
      AHJVIAGKVIZVJVKAETVEXETVEAXDUGUHTAVLZAVMZVQAEXETXGAOUKVNVOVKAWSFAIGXMXNVJ
      AFTVEXITVEAXHUGUHTXOXPVQAFXITXKAPUKVNVOVKVQVQADXBTXLAQUKVNVOVP $.
  $}

  ${
    $d A a $.  $d B a $.  $d C a $.  $d D a $.  $d I w $.  $d I x $.  $d I y $.
    $d I z $.  $d M a w $.  $d M a x $.  $d M a y $.  $d M a z $.  $d a ph w $.
    $d ph x $.  $d ph y $.  $d ph z $.
    metakunt33.1 $e |- ( ph -> M e. NN ) $.
    metakunt33.2 $e |- ( ph -> I e. NN ) $.
    metakunt33.3 $e |- ( ph -> I <_ M ) $.
    metakunt33.4 $e |- A = ( x e. ( 1 ... M ) |-> if (
       x = I , M , if ( x < I , x , ( x - 1 ) ) ) ) $.
    metakunt33.5 $e |- B = ( z e. ( 1 ... M ) |-> if ( z = M , M ,
     if ( z < I , ( z + ( M - I ) ) , ( z + ( 1 - I ) ) ) ) ) $.
    metakunt33.6 $e |- C = ( y e. ( 1 ... M ) |-> if (
       y = M , I , if ( y < I , y , ( y + 1 ) ) ) ) $.
    metakunt33.7 $e |- D = ( w e. ( 1 ... M ) |->
     if ( w = I , w , if ( w < I ,
     ( ( w + ( M - I ) ) + if ( I <_ ( w + ( M - I ) ) , 1 , 0 ) ) ,
      ( ( w - I ) + if ( I <_ ( w - I ) , 1 , 0 ) ) ) ) ) $.
    $( Construction of one solution of the increment equation system.
       (Contributed by metakunt, 18-Jul-2024.) $)
    metakunt33 $p |- ( ph -> ( C o. ( B o. A ) ) = D ) $=
      ( c1 co va cfz ccom metakunt2 wf1o wf metakunt25 f1of metakunt1 fcod ffnd
      syl cv wceq clt wbr cmin caddc cle cc0 cif cz wcel wa elfzelz adantl nnzd
      nfv adantr zsubcld zaddcld 0zd ifcld fnmptd cfv simpr fvco3d fveq2d eqtrd
      1zzd cn eqid metakunt31 metakunt32 eqcomd eqfnfvd ) AUASKUBTZHGFUCZUCZIAW
      GWGWIAWGWGWGHWHACHJKLMNQUDAWGWGWGGFAWGWGGUEWGWGGUFADGJKLMNPUGWGWGGUHULABF
      JKLMNOUIZUJZUJUKAEWGEUMZJUNZWLWLJUOUPZWLKJUQTZURTZJWPUSUPZSUTVAZURTZWLJUQ
      TZJWTUSUPZSUTVAZURTZVAZVAIVBAEVHAWLWGVCZVDZWMWLXDVBXEWLVBVCAWLSKVEVFZXFWN
      WSXCVBXFWPWRXFWLWOXGXFKJAKVBVCXEAKLVGVIAJVBVCXEAJMVGVIZVJVKXFWQSUTVBXFVTZ
      XFVLZVMVKXFWTXBXFWLJXGXHVJXFXASUTVBXIXJVMVKVMVMRVNAUAUMZWGVCZVDZXKWIVOZXK
      FVOGVOZHVOZXKIVOZXMXNXKWHVOZHVOXPXMWGWGXKHWHAWGWGWHUFXLWKVIAXLVPZVQXMXRXO
      HXMWGWGXKGFAWGWGFUFXLWJVIXSVQVRVSXMXPXKJUNXKXKJUOUPXKWOURTZJXTUSUPSUTVAZU
      RTXKJUQTZJYBUSUPSUTVAZURTVAVAZXQXMBCDFGHYDYAYCJKXKAKWAVCXLLVIZAJWAVCXLMVI
      ZAJKUSUPXLNVIZXSOPQYAWBZYCWBZYDWBZWCXMXQYDXMEIYDYAYCJKXKYEYFYGXSRYHYIYJWD
      WEVSVSWF $.
  $}

  ${
    $d I w $.  $d I x z $.  $d I y $.  $d M w $.  $d M x z $.  $d M y $.
    $d ph w $.  $d ph x z $.  $d ph y $.
    metakunt34.1 $e |- ( ph -> M e. NN ) $.
    metakunt34.2 $e |- ( ph -> I e. NN ) $.
    metakunt34.3 $e |- ( ph -> I <_ M ) $.
    metakunt34.4 $e |- D = ( w e. ( 1 ... M ) |->
     if ( w = I , w , if ( w < I ,
     ( ( w + ( M - I ) ) + if ( I <_ ( w + ( M - I ) ) , 1 , 0 ) ) ,
      ( ( w - I ) + if ( I <_ ( w - I ) , 1 , 0 ) ) ) ) ) $.
    $( ` D ` is a permutation.  (Contributed by metakunt, 18-Jul-2024.) $)
    metakunt34 $p |- ( ph -> D : ( 1 ... M ) -1-1-onto-> ( 1 ... M ) ) $=
      ( vz vy vx c1 co cv wceq clt wbr cif wf1o caddc cmpt cmin ccom metakunt14
      cfz ccnv eqid simpld f1ocnv simprd f1oeq1d mpbid metakunt25 f1oco syl2anc
      syl metakunt33 ) AMEUFNZUSJUSJOZEPDUTDQRUTUTMUANSSUBZKUSKOZEPEVBDQRVBEDUC
      NUANVBMDUCNUANSSUBZLUSLOZDPEVDDQRVDVDMUCNSSUBZUDZUDZTZUSUSCTAUSUSVATZUSUS
      VFTZVHAUSUSVEUGZTZVIAUSUSVETZVLAVMVKVAPZALJVEVADEFGHVEUHZVAUHZUEZUIZUSUSV
      EUJUQAUSUSVKVAAVMVNVQUKULUMAUSUSVCTVMVJAKVCDEFGHVCUHZUNVRUSUSUSVCVEUOUPUS
      USUSVAVFUOUPAUSUSVGCALJKBVEVCVACDEFGHVOVSVPIURULUM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Unused lemmas scheduled for deletion
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    andiff.1 $e |- ( ph -> ( ch -> th ) ) $.
    andiff.2 $e |- ( ps -> ( th -> ch ) ) $.
    $( Adding biconditional when antecedents are conjuncted.  (Contributed by
       metakunt, 16-Apr-2024.) $)
    andiff $p |- ( ( ph /\ ps ) -> ( ch <-> th ) ) $=
      ( wa wi wb anim12i dfbi2 sylibr ) ABGCDHZDCHZGCDIAMBNEFJCDKL $.
  $}

  ${
    $( Factorial of 2x+3, sublemma for sublemma for AKS. (Contributed by
       metakunt, 19-Apr-2024.) $)
    fac2xp3 $p  |- ( x e. NN0
                      -> ( ! ` ( ( 2 x. x ) + 3 ) )
                         = ( ( ! ` ( ( 2 x. x ) + 1 ) )
                             x.
                            ( ( ( 2 x. x ) + 2 ) x. ( ( 2 x. x ) + 3 ) ) ) ) $=
      ( cn0 wcel c2 cmul co c3 caddc cfa cfv wceq 2cn ax-1cn addass mp3an23 syl
      c1 cc oveq2d eqtrd cv nn0cn mulcl sylancr df-3 a1i eqtr4d fveq2d nn0mulcl
      2nn0 mpan nn0addcl mpan2 facp1 eqtr3d peano2nn0 oveq1d eqeq2d mpbid faccl
      df-2 cn nncn addcl sylancl 3cn mulass syl3anc ) AUAZBCZDVIEFZGHFZIJZVKQHF
      ZIJZVKDHFZEFZVLEFZVOVPVLEFEFZVJVMVPIJZVLEFZKVMVRKVJVMVTVPQHFZEFZWAVJWBIJZ
      VMWCVJWBVLIVJWBVKDQHFZHFZVLVJVKRCZWBWFKZVJDRCZVIRCWGLVIUBDVIUCUDZWGWIQRCZ
      WHLMVKDQNOPVJGWEVKHGWEKVJUEUFSUGZUHVJVPBCZWDWCKVJVKBCZWMDBCZVJWNUJDVIUIUK
      ZWNWOWMUJVKDULUMPVPUNPUOVJWBVLVTEWLSTVJWAVRVMVJVTVQVLEVJVTVOVNQHFZEFZVQVJ
      WQIJZVTWRVJWQVPIVJWQVKQQHFZHFZVPVJWGWQXAKZWJWGWKWKXBMMVKQQNOPVJDWTVKHDWTK
      VJVAUFSUGZUHVJVNBCZWSWRKVJWNXDWPVKUPPZVNUNPUOVJWQVPVOEXCSTUQURUSVJVORCZVP
      RCZVLRCZVRVSKVJVOVBCZXFVJXDXIXEVNUTPVOVCPVJWGWIXGWJLVKDVDVEVJWGGRCXHWJVFV
      KGVDVEVOVPVLVGVHT $.
  $}

  ${
    $d K k $.  $d M k $.  $d N k $.  $d k ph $.
    prodsplit.1 $e |- ( ph -> M e. ZZ ) $.
    prodsplit.2 $e |- ( ph -> N e. ZZ ) $.
    prodsplit.3 $e |- ( ph -> M <_ N ) $.
    prodsplit.4 $e |- ( ph -> K e. NN0 ) $.
    prodsplit.5 $e |- ( ( ph /\ k e. ( M ... ( N + K ) ) ) -> A e. CC ) $.
    $( Product split into two factors, original by Steven Nguyen.  (Contributed
       by metakunt, 21-Apr-2024.) $)
    prodsplit $p |- ( ph ->
      prod_ k e. ( M ... ( N + K ) ) A =
      ( prod_ k e. ( M ... N ) A x. prod_ k e. ( ( N + 1 ) ... ( N + K ) ) A )
      ) $=
      ( cfz co c1 caddc clt wbr wceq syl wcel cin zred ltp1d fzdisj cun zaddcld
      c0 nn0zd cr cn0 cle nn0addge1 syl2anc elfzd fzsplit fzfid fprodsplit ) AE
      FLMZFNOMZFDOMZLMZBEUTLMZCAFUSPQURVAUAUGRAFAFHUBZUCEFUSUTUDSAFVBTVBURVAUER
      AFEUTGAFDHADJUHUFHIAFUITDUJTFUTUKQVCJFDULUMUNFEUTUOSAEUTUPKUQ $.
  $}

  ${
    2xp3dxp2ge1d.1 $e |- ( ph -> X e. ( -u 1 [,) +oo ) ) $.
    $( 2x+3 is greater than or equal to x+2 for x >= -1, a deduction version
       (Contributed by metakunt, 21-Apr-2024.) $)
    2xp3dxp2ge1d $p |- ( ph -> 1 <_ ( ( ( 2 x. X ) + 3 ) / ( X + 2 ) ) ) $=
      ( c2 caddc co wcel c3 cr cle wbr c1 cc0 wa wb 2re syl cc wceq ax-1cn cmul
      crp w3a cdiv wi cneg cpnf cico neg1rr elicopnf ax-mp sylib simpld readdcl
      clt mpan2 cmin neg1cn 2cn addcom mp2an negsub 2m1e1 3eqtri simprd mp3an13
      leadd1 mpbid eqbrtrrid 0lt1 jctil 0re 1re ltletr mp3an12 mpd imbi2i mpbir
      jca elrp remulcl mpan 3re 1red readdcld recn addid1 addcomi negidi leadd2
      a1i eqtri mp3an1 2timesd oveq1d addass mp3an3 anidms eqtrd breqtrrd leidd
      eqbrtrrd le2addd recnd addassd 1p2e3 oveq2 eqtrdi breqtrd 3jca divge1 ) A
      BDEFZUBGZDBUAFZHEFZIGZXLXOJKZUCLXOXLUDFJKAXMXPXQAXMUEAXLIGZMXLUOKZNZUEAXR
      XSABIGZXRAYALUFZBJKZABYBUGUHFGZYAYCNZCYBIGZYDYEOUIYBBUJUKULZUMZYADIGZXRPB
      DUNUPQZAMLUOKZLXLJKZNZXSAYLYKALYBDEFZXLJYNDYBEFZDLUQFZLYBRGDRGZYNYOSURUSY
      BDUTVAYQLRGZYOYPSUSTDLVBVAVCVDAYCYNXLJKZAYAYCYGVEZAYAYCYSOZYHYFYAYIUUAUIP
      YBBDVGVFQVHVIVJVKAXRYMXSUEZYJMIGZLIGZXRUUBVLVMMLXLVNVOQVPVSXMXTAXLVTVQVRA
      XNIGZXPAYAUUEYHYIYAUUEPDBWAWBQZUUEHIGXPWCXNHUNUPQAXLXNLEFZDEFZXOJABDUUGDY
      HYIAPWKZAXNLUUFAWDWEUUIABMEFZBUUGJAYAUUJBSZYHYABRGZUUKBWFZBWGQQAUUJBBLEFZ
      EFZUUGJAMUUNJKZUUJUUOJKZAMYBLEFZUUNJUURLYBEFMYBLURTWHLTWIWLAYCUURUUNJKZYT
      AYAYCUUSOZYHYFYAUUDUUTUIVMYBBLVGVFQVHVIAUUNIGZYANUUPUUQOZAUVAYAAYAUVAYHYA
      UUDUVAVMBLUNUPQYHVSUUCUVAYAUVBVLMUUNBWJWMQVHAUUGBBEFZLEFZUUOAXNUVCLEABAYA
      UULYHUUMQZWNWOAUULUVDUUOSZUVEUULUVFUULUULYRUVFTBBLWPWQWRQWSWTXBADUUIXAXCA
      UUHXNLDEFZEFZXOAXNLDAXNUUFXDYRATWKYQAUSWKXEUVGHSUVHXOSXFUVGHXNEXGUKXHXIXJ
      XLXOXKQ $.
  $}

  ${
    $d N x $.  $d X x y $.  $d Y x y $.
    $( A factorial with offset is monotonely increasing.  (Contributed by
       metakunt, 20-Apr-2024.) $)
    factwoffsmonot $p |- ( ( ( X e. NN0 /\ Y e. NN0 /\ X <_ Y ) /\ N e. NN0 )
                      -> ( ! ` ( X + N ) ) <_ ( ! ` ( Y + N ) ) ) $=
      ( cn0 wcel cle wbr caddc co cfa cfv cc0 c1 wceq oveq2 fveq2d syl wa jca
      cr vx vy w3a cv breq12d facwordi cc nn0cn addid1 3ad2ant1 3ad2ant2 ax-1cn
      3brtr4d addass mp3an3 syl2an 3ad2antl1 adantr nn0addcl 3adant2 3adant1 wb
      cmul nn0re leadd1 syl3an biimpa syl3anc 3an1rs 1re mpbid wi cn faccl nnre
      3syl clt nngt0 0re ltle mpan mpd 1nn0 nn0ge0 nn0readdcl readdcld lemul12a
      mpan2 1red 3expa 3adantl3 facp1 breq12 3ad2antl2 breqtrd eqbrtrrd nn0indd
      mpbird ) BDEZCDEZBCFGZUCZBUAUDZHIZJKZCXCHIZJKZFGBLHIZJKZCLHIZJKZFGBUBUDZH
      IZJKZCXLHIZJKZFGZBXLMHIZHIZJKZCXRHIZJKZFGBAHIZJKZCAHIZJKZFGUAUBAXCLNZXEXI
      XGXKFYGXDXHJXCLBHOPYGXFXJJXCLCHOPUEXCXLNZXEXNXGXPFYHXDXMJXCXLBHOPYHXFXOJX
      CXLCHOPUEXCXRNZXEXTXGYBFYIXDXSJXCXRBHOPYIXFYAJXCXRCHOPUEXCANZXEYDXGYFFYJX
      DYCJXCABHOPYJXFYEJXCACHOPUEXBBJKZCJKZXIXKFBCUFWSWTXIYKNXAWSXHBJWSBUGEZXHB
      NBUHZBUIQPUJWTWSXKYLNXAWTXJCJWTCUGEZXJCNCUHZCUIQPUKUMXBXLDEZRZXQRZXMMHIZJ
      KZXTYBFYRUUAXTNZXQWSWTYQUUBXAWSYQRZYTXSJWSYMXLUGEZYTXSNZYQYNXLUHZYMUUDMUG
      EZUUEULBXLMUNUOUPPUQURYSUUAXOMHIZJKZYBFYRUUAUUIFGZXQYRUUJXNYTVCIZXPUUHVCI
      ZFGZYRXQYTUUHFGZRZUUMYRXQUUNWSWTYQXAXQWSWTYQUCZXARZXMDEZXODEZXMXOFGZXQUUP
      UURXAWSYQUURWTBXLUSZUTURZUUPUUSXAWTYQUUSWSCXLUSZVAURZUUPXAUUTWSBTEWTCTEYQ
      XLTEXAUUTVBBVDCVDXLVDBCXLVEVFVGZXMXOUFVHVIWSWTYQXAUUNUUQUUTUUNUVEUUQXMTEZ
      XOTEZRUUTUUNVBZUUQUVFUVGUUQUURUVFUVBXMVDQUUQUUSUVGUVDXOVDQSUVFUVGMTEUVHVJ
      XMXOMVEUOQVKVISWSWTYQUUOUUMVLZXAWSWTYQUVIUUPXNTEZLXNFGZRZXPTEZRZYTTEZLYTF
      GZRZUUHTEZRZRUVIUUPUVNUVSUUPUVLUVMUUPUVJUVKWSYQUVJWTUUCUURXNVMEZUVJUVAXMV
      NZXNVOVPZUTWSYQUVKWTUUCLXNVQGZUVKUUCUURUVTUWCUVAUWAXNVRVPUUCUVJUWCUVKVLZU
      WBLTEUVJUWDVSLXNVTWAQWBUTSWTYQUVMWSWTYQRZUUSXPVMEUVMUVCXOVNXPVOVPVASUUPUV
      QUVRUUPUVOUVPWSYQUVOWTUUCYTDEZUVOUUCUURUWFUVAUURMDEUWFWCXMMUSWHQZYTVDQUTW
      SYQUVPWTUUCUWFUVPUWGYTWDQUTSWTYQUVRWSUWEXOMCXLWEUWEWIWFVASSXNXPYTUUHWGQWJ
      WKWBWSWTYQXAUUJUUMVBZUUQUUAUUKNZUUIUULNZRUWHUUQUWIUWJUUQUURUWIUVBXMWLQUUQ
      UUSUWJUVDXOWLQSUUAUUKUUIUULFWMQVIWRURYRUUIYBNZXQWTWSYQUWKXAUWEUUHYAJWTYOU
      UDUUHYANZYQYPUUFYOUUDUUGUWLULCXLMUNUOUPPWNURWOWPWQ $.
  $}

$( (End of metakunt's mathbox.) $)
$( End $[ set-mbox-mku.mm $] $)


$( Begin $[ set-mbox-sn.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Steven Nguyen
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellaneous theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  These theorems were added for illustration or pedagogical purposes without
  the intention of being used, but some may still be moved to main and used,
  of course.

$)

  ${
    bicomdALT.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Alternate proof of ~ bicomd which is shorter after expanding all parent
       theorems (as of 8-Aug-2024, ~ bicom depends on ~ bicom1 and ~ sylib
       depends on ~ syl ).  Additionally, the labels ~ bicom1 and ~ syl happen
       to contain fewer characters than ~ bicom and ~ sylib .  However, neither
       of these conditions count as a shortening according to ~ conventions .
       In the first case, the criteria could easily be broken by upstream
       changes, and in many cases the upstream dependency tree is nontrivial
       (see ~ orass and ~ pm2.31 ).  For the latter case, theorem labels are up
       to revision, so they are not counted in the size of a proof.
       (Contributed by SN, 21-May-2022.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    bicomdALT $p |- ( ph -> ( ch <-> ps ) ) $=
      ( wb bicom1 syl ) ABCECBEDBCFG $.
  $}

  ${
    $d A y $.  $d x y $.  $d ph y $.  $d ch y $.  $d ps x $.
    elabgw.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    elabgw.2 $e |- ( y = A -> ( ps <-> ch ) ) $.
    $( Membership in a class abstraction, using two substitution hypotheses to
       avoid a disjoint variable condition on ` x ` and ` A ` .  This is to
       ~ elabg what ~ sbievw2 is to ~ sbievw .  (Contributed by SN,
       20-Apr-2024.) $)
    elabgw $p |- ( A e. V -> ( A e. { x | ph } <-> ch ) ) $=
      ( cv cab wcel eleq1 wsb df-clab sbievw bitri vtoclbg ) EJZADKZLZBFTLCEFGS
      FTMIUAADENBAEDOABDEHPQR $.
    $( $j usage 'elabgw' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    elab2gw.3 $e |- B = { x | ph } $.
    $( Membership in a class abstraction, using two substitution hypotheses to
       avoid a disjoint variable condition on ` x ` and ` A ` , which is not
       usually significant since ` B ` is usually a constant.  (Contributed by
       SN, 16-May-2024.) $)
    elab2gw $p |- ( A e. V -> ( A e. B <-> ch ) ) $=
      ( wcel cab eleq2i elabgw syl5bb ) FGLFADMZLFHLCGQFKNABCDEFHIJOP $.
    $( $j usage 'elab2gw' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  ${
    $d A y $.  $d B x y $.  $d ph y $.  $d ch y $.  $d ps x $.
    elrab2w.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    elrab2w.2 $e |- ( y = A -> ( ps <-> ch ) ) $.
    elrab2w.3 $e |- C = { x e. B | ph } $.
    $( Membership in a restricted class abstraction.  This is to ~ elrab2 what
       ~ elab2gw is to ~ elab2g .  (Contributed by SN, 2-Sep-2024.) $)
    elrab2w $p |- ( A e. C <-> ( A e. B /\ ch ) ) $=
      ( wcel cvv wa elex adantr cv weq eleq1w anbi12d wceq eleq1 crab cab eqtri
      df-rab elab2gw pm5.21nii ) FHLFMLZFGLZCNZFHOUJUICFGOPDQGLZANZEQZGLZBNUKDE
      FHMDERULUOABDEGSITUNFUAUOUJBCUNFGUBJTHADGUCUMDUDKADGUFUEUGUH $.
    $( $j usage 'elrab2w' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  $( Alternate proof of ~ ruv with one fewer syntax step thanks to using
     ~ elirrv instead of ~ elirr .  However, it does not change the compressed
     proof size or the number of symbols in the generated display, so it is not
     considered a shortening according to ~ conventions .  (Contributed by SN,
     1-Sep-2024.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  ruvALT $p |- { x | x e/ x } = _V $=
    ( cvv cv wnel cab wcel vex elirrv nelir 2th abbi2i eqcomi ) BACZMDZAENABMBF
    NAGMMAHIJKL $.

  $( Alternative to ~ wcdeq and ~ df-cdeq .  This flattens the syntax
     representation ( wi ( weq vx vy ) wph ) to ( sn-wcdeq vx vy wph ),
     illustrating the comment of ~ df-cdeq .  (Contributed by SN, 26-Sep-2024.)
     (New usage is discouraged.) $)
  sn-wcdeq $p wff ( x = y -> ph ) $=
    ( weq wi ) BCDAE $.

  $( The arccosine of ` 1 / 2 ` is ` _pi / 3 ` .  (Contributed by SN,
     31-Aug-2024.) $)
  acos1half $p |- ( arccos ` ( 1 / 2 ) ) = ( _pi / 3 ) $=
    ( cpi c3 cdiv co cfv cacos c1 c2 wceq wcel cc0 pire 3re cxr clt rexri pipos
    wbr 3pos mp2an ccos csin csqrt sincos3rdpi simpri fveq2i cioo 3ne0 redivcli
    cc recni cr rere ax-mp divgt0ii picn gt0ne0ii dividi 1lt3 eqbrtri ltdiv23ii
    cre mpbir w3a wb 0xr elioo1 mpbir3an eqeltri acoscos eqtr3i ) ABCDZUAEZFEZG
    HCDZFEVLVMVOFVLUBEBUCEHCDIVMVOIUDUEUFVLUJJVLVBEZKAUGDZJVNVLIVLABLMUHUIZUKVP
    VLVQVLULJVPVLIVRVLUMUNVLVQJZVLNJZKVLORZVLAORZVLVRPABLMQSUOWBAACDZBORWCGBOAU
    PALQUQURUSUTABALMLSQVAVCKNJANJVSVTWAWBVDVEVFALPKAVLVGTVHVIVLVJTVK $.

  ${
    $d .0. a b $.
    $( The right conjunct in the right hand side of the equivalence of ~ isdomn
       is logically equivalent to a less symmetric version where one of the
       variables is restricted to be nonzero.  (Contributed by SN,
       16-Sep-2024.) $)
    isdomn5 $p |- (
      A. a e. B A. b e. B ( ( a .x. b ) = .0. -> ( a = .0. \/ b = .0. ) ) <->
      A. a e. ( B \ { .0. } ) A. b e. B ( ( a .x. b ) = .0. -> b = .0. ) ) $=
      ( cv co wceq wo wi wral wne csn cdif wn bi2.04 df-ne imbi1i df-or imbi2i
      3bitr4ri 2ralbii r19.21v ralbii raldifsnb 3bitri ) DFZEFZBGCHZUGCHZUHCHZI
      ZJZEAKDAKUGCLZUIUKJZJZEAKZDAKUNUOEAKZJZDAKURDACMNKUMUPDEAAUJOZUOJUIUTUKJZ
      JUPUMUTUIUKPUNUTUOUGCQRULVAUIUJUKSTUAUBUQUSDAUNUOEAUCUDURDACUEUF $.
  $}

  ${
    $d B a b c $.  $d .0. a b c $.  $d .x. c $.  $d R a b c $.
    isdomn4.b $e |- B = ( Base ` R ) $.
    isdomn4.0 $e |- .0. = ( 0g ` R ) $.
    isdomn4.x $e |- .x. = ( .r ` R ) $.
    $( A ring is a domain iff it is nonzero and the cancellation law for
       multiplication holds.  (Contributed by SN, 15-Sep-2024.) $)
    isdomn4 $p |- ( R e. Domn <-> ( R e. NzRing /\
                          A. a e. ( B \ { .0. } ) A. b e. B A. c e. B
                               ( ( a .x. b ) = ( a .x. c ) -> b = c ) ) ) $=
      ( wcel cv co wceq wi wral wa adantr 3ad2ant1 wne cnzr weq csn domnnzr w3a
      cdomn cdif csg eqid domnring eldifi adantl simpr2 simpr3 ringsubdi eqeq1d
      cfv crg simpll eldifsni ad2antlr cgrp ringgrpd grpsubcl syl3an1 3adant3r1
      simpr domnmuln0 syl122anc ex necon4d wb ringcl syl3an 3adant3r3 3adant3r2
      sylbird id grpsubeq0 syl3anc 3imtr3d ralrimivvva wo nzrring grpidcl oveq2
      jca syl eqeq2d eqeq2 imbi12d rspcv ringrz syl2an adantrr imbi1d ralimdvva
      sylibd isdomn5 syl6ibr imdistani isdomn sylibr impbii ) BUFKZBUAKZELZFLZC
      MZXGGLZCMZNZFGUBZOZGAPZFAPEADUCZUGZPZQZXEXFXRBUDXEXNEFGXQAAXEXGXQKZXHAKZX
      JAKZUEZQZXIXKBUHUQZMZDNZXHXJYEMZDNZXLXMYDYGXGYHCMZDNYIYDYJYFDYDABCYEXGXHX
      JHJYEUIZXEBURKZYCBUJZRYCXGAKZXEXTYAYNYBXGAXPUKZSULZXEXTYAYBUMZXEXTYAYBUNZ
      UOUPYDYHDYJDYDYHDTZYJDTZYDYSQXEYNXGDTZYHAKZYSYTXEYCYSUSYDYNYSYPRYCUUAXEYS
      XTYAUUAYBXGADUTSVAYDUUBYSXEYAYBUUBXTXEBVBKZYAYBUUBXEBYMVCZABYEXHXJHYKVDVE
      VFRYDYSVGABCXGYHDHJIVHVIVJVKVQYDUUCXIAKZXKAKZYGXLVLXEUUCYCUUDRZXEXTYAUUEY
      BXEYLXTYNYAYAUUEYMYOYAVRABCXGXHHJVMVNVOXEXTYBUUFYAXEYLXTYNYBYBUUFYMYOYBVR
      ABCXGXJHJVMVNVPABYEXIXKDHIYKVSVTYDUUCYAYBYIXMVLUUGYQYRABYEXHXJDHIYKVSVTWA
      WBWGXSXFXIDNZXGDNXHDNZWCOFAPEAPZQXEXFXRUUJXFXRUUHUUIOZFAPEXQPUUJXFXOUUKEF
      XQAXFXTYAQZQZXOXIXGDCMZNZUUIOZUUKUUMDAKZXOUUPOXFUUQUULXFUUCUUQXFBBWDZVCAB
      DHIWEWHRXNUUPGDAXJDNZXLUUOXMUUIUUSXKUUNXIXJDXGCWFWIXJDXHWJWKWLWHUUMUUOUUH
      UUIUUMUUNDXIXFXTUUNDNZYAXFYLYNUUTXTUURYOABCXGDHJIWMWNWOWIWPWRWQACDEFWSWTX
      AEFABCDHJIXBXCXD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Utility theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    ioin9i8.1 $e |- ( ph -> ( ps \/ ch ) ) $.
    ioin9i8.2 $e |- ( ch -> -. th ) $.
    ioin9i8.3 $e |- ( ps -> th ) $.
    $( Miscellaneous inference creating a biconditional from an implied
       converse implication.  (Contributed by Steven Nguyen, 17-Jul-2022.) $)
    ioin9i8 $p |- ( ph -> ( ps <-> th ) ) $=
      ( wn ord syl6 con4d impbid2 ) ABDGABDABHCDHABCEIFJKL $.
  $}

  ${
    jaodd.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    jaodd.2 $e |- ( ph -> ( ps -> ( ta -> th ) ) ) $.
    $( Double deduction form of ~ jaoi .  (Contributed by Steven Nguyen,
       17-Jul-2022.) $)
    jaodd $p |- ( ph -> ( ps -> ( ( ch \/ ta ) -> th ) ) ) $=
      ( wi wo jao syl6c ) ABCDHEDHCEIDHFGCDEJK $.
  $}

  ${
    syl3an12.1 $e |- ( ph -> ps ) $.
    syl3an12.2 $e |- ( ch -> th ) $.
    syl3an12.s $e |- ( ( ps /\ th /\ ta ) -> et ) $.
    $( A double syllogism inference.  (Contributed by SN, 15-Sep-2024.) $)
    syl3an12 $p |- ( ( ph /\ ch /\ ta ) -> et ) $=
      ( id syl3an ) ABCDEEFGHEJIK $.
  $}

  ${
    $d x ph $.
    sbtd.1 $e |- ( ph -> ps ) $.
    $( A true statement is true upon substitution (deduction).  A similar proof
       is possible for ~ icht .  (Contributed by SN, 4-May-2024.) $)
    sbtd $p |- ( ph -> [ t / x ] ps ) $=
      ( wal wsb alrimiv stdpc4 syl ) ABCFBCDGABCEHBCDIJ $.
  $}

  $( One direction of ~ sbor , using fewer axioms.  Compare ~ 19.33 .
     (Contributed by Steven Nguyen, 18-Aug-2023.) $)
  sbor2 $p |- ( ( [ t / x ] ph \/ [ t / x ] ps ) -> [ t / x ] ( ph \/ ps ) ) $=
    ( wsb wo orc sbimi olc jaoi ) ACDEABFZCDEBCDEAKCDABGHBKCDBAIHJ $.

  ${
    $d ph y $.
    19.9dev.1 $e |- ( ph -> F/ x ps ) $.
    $( ~ 19.9d in the case of an existential quantifier, avoiding the ~ ax-10
       from ~ nfex that would be used for the hypothesis of ~ 19.9d , at the
       cost of an additional DV condition on ` y ` , ` ph ` .  (Contributed by
       SN, 26-May-2024.) $)
    19.9dev $p |- ( ph -> ( E. x E. y ps <-> E. y ps ) ) $=
      ( wex excom wnf wb 19.9t syl exbidv syl5bb ) BDFZCFBCFZDFANBCDGAOBDABCHOB
      IEBCJKLM $.
    $( $j usage '19.9dev' avoids 'ax-10'; $)
  $}

  ${
    $d A x $.  $d B x $.  $d ch x $.
    rspcedvdw.s $e |- ( x = A -> ( ps <-> ch ) ) $.
    rspcedvdw.1 $e |- ( ph -> A e. B ) $.
    rspcedvdw.2 $e |- ( ph -> ch ) $.
    $( Version of ~ rspcedvd where the implicit substitution hypothesis does
       not have an antecedent, which also avoids a disjoint variable condition
       on ` ph , x ` .  (Contributed by SN, 20-Aug-2024.) $)
    rspcedvdw $p |- ( ph -> E. x e. B ps ) $=
      ( wcel wrex rspcev syl2anc ) AEFJCBDFKHIBCDEFGLM $.
  $}

  ${
    $d A x y $.  $d B y $.  $d X x $.  $d Y x y $.  $d ch x $.  $d th y $.
    2rspcedvdw.1 $e |- ( x = A -> ( ps <-> ch ) ) $.
    2rspcedvdw.2 $e |- ( y = B -> ( ch <-> th ) ) $.
    2rspcedvdw.a $e |- ( ph -> A e. X ) $.
    2rspcedvdw.b $e |- ( ph -> B e. Y ) $.
    2rspcedvdw.3 $e |- ( ph -> th ) $.
    $( Double application of ~ rspcedvdw .  (Contributed by SN,
       24-Aug-2024.) $)
    2rspcedvdw $p |- ( ph -> E. x e. X E. y e. Y ps ) $=
      ( wcel wrex rspc2ev syl3anc ) AGIPHJPDBFJQEIQMNOBDCEFGHIJKLRS $.
  $}

  ${
    $d ch x $.  $d th y $.  $d ta z $.  $d A x y z $.  $d B y z $.  $d C z $.
    $d X x $.  $d Y x y $.  $d Z x y z $.
    3rspcedvdw.1 $e |- ( x = A -> ( ps <-> ch ) ) $.
    3rspcedvdw.2 $e |- ( y = B -> ( ch <-> th ) ) $.
    3rspcedvdw.3 $e |- ( z = C -> ( th <-> ta ) ) $.
    3rspcedvdw.a $e |- ( ph -> A e. X ) $.
    3rspcedvdw.b $e |- ( ph -> B e. Y ) $.
    3rspcedvdw.c $e |- ( ph -> C e. Z ) $.
    3rspcedvdw.4 $e |- ( ph -> ta ) $.
    $( Triple application of ~ rspcedvdw .  (Contributed by SN,
       20-Aug-2024.) $)
    3rspcedvdw $p |- ( ph -> E. x e. X E. y e. Y E. z e. Z ps ) $=
      ( wcel wrex rspc3ev syl31anc ) AILUBJMUBKNUBEBHNUCGMUCFLUCRSTUABECDFGHIJK
      LMNOPQUDUE $.
  $}

  ${
    $d ph x y z $.  $d ch x $.  $d th y $.  $d ta z $.  $d D x y z $.
    $d A x y z $.  $d B y z $.  $d C z $.
    3rspcedvd.a $e |- ( ph -> A e. D ) $.
    3rspcedvd.b $e |- ( ph -> B e. D ) $.
    3rspcedvd.c $e |- ( ph -> C e. D ) $.
    3rspcedvd.1 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    3rspcedvd.2 $e |- ( ( ph /\ y = B ) -> ( ch <-> th ) ) $.
    3rspcedvd.3 $e |- ( ( ph /\ z = C ) -> ( th <-> ta ) ) $.
    3rspcedvd.4 $e |- ( ph -> ta ) $.
    $( Triple application of ~ rspcedvd .  (Contributed by Steven Nguyen,
       27-Feb-2023.) $)
    3rspcedvd $p |- ( ph -> E. x e. D E. y e. D E. z e. D ps ) $=
      ( wrex cv wceq wa 2rexbidv rexbidv rspcedvd ) ABHLTGLTCHLTZGLTFILMAFUAIUB
      UCBCGHLLPUDAUGDHLTGJLNAGUAJUBUCCDHLQUEADEHKLORSUFUFUF $.
  $}

  ${
    eqimssd.1 $e |- ( ph -> A = B ) $.
    $( Equality implies inclusion, deduction version.  (Contributed by SN,
       6-Nov-2024.) $)
    eqimssd $p |- ( ph -> A C_ B ) $=
      ( ssid eqsstrdi ) ABCCDCEF $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Move difference in and out of a restricted class abstraction.
       (Contributed by Steven Nguyen, 6-Jun-2023.) $)
    rabdif $p |- ( { x e. A | ph } \ B ) = { x e. ( A \ B ) | ph } $=
      ( cab cdif cin crab indif2 dfrab2 difeq1i 3eqtr4ri ) ABEZCDFZGMCGZDFABNHA
      BCHZDFMCDIABNJPODABCJKL $.
  $}

  ${
    $d w x y z $.  $d y ph $.
    $( A condensed form of ~ axrep5 .  (Contributed by SN, 21-Sep-2023.) $)
    sn-axrep5v $p |-
              ( A. w e. x E* z ph -> E. y A. z ( z e. y <-> E. w e. x ph ) ) $=
      ( wel wa wmo wal cv wrex wb wex wral axrep6 wi albii exbii df-mo 3bitr4i
      weq 19.37v impexp 19.21v bitri imbi2i df-ral rexanid bibi2i 3imtr3i ) EBF
      ZAGZDHZEIZDCFZULEBJZKZLZDIZCMADHZEUPNZUOAEUPKZLZDIZCMULBCDEOULDCUAZPZDIZC
      MZEIUKUTPZEIUNVAVHVIEUKAVEPZDIZPZCMUKVKCMZPVHVIUKVKCUBVGVLCVGUKVJPZDIVLVF
      VNDUKAVEUCQUKVJDUDUERUTVMUKADCSUFTQUMVHEULDCSQUTEUPUGTUSVDCURVCDUQVBUOAEU
      PUHUIQRUJ $.
  $}

  ${
    $d w x y z $.  $d y z ph $.  $d a y z $.  $d b y z $.
    $( ~ axprlem3 using only Tarski's FOL axiom schemes and ~ ax-rep .
       (Contributed by SN, 22-Sep-2023.) $)
    sn-axprlem3 $p |-
               E. y A. z ( z e. y <-> E. w e. x if- ( ph , z = a , z = b ) ) $=
      ( weq wif wal wex ax6evr biimpd equtrr sylan9r alrimiv expcom eximdv mpi
      wa wmo wel cv wrex wb axrep6 wi ifptru wn ifpfal pm2.61i df-mo mpbir mpg
      ) ADFHZDGHZIZDUAZDCUBUQEBUCUDUEDJCKEUQBCDEUFURUQDCHZUGZDJZCKZAVBAFCHZCKVB
      CFLAVCVACVCAVAVCATUTDAUQUOVCUSAUQUOAUOUPUHMFCDNOPQRSAUIZGCHZCKVBCGLVDVEVA
      CVEVDVAVEVDTUTDVDUQUPVEUSVDUQUPAUOUPUJMGCDNOPQRSUKUQDCULUMUN $.
  $}

  ${
    $d w x y z $.
    $( A version of ~ el with an inner existential quantifier on ` x ` , which
       avoids ~ ax-7 and ~ ax-8 .  (Contributed by SN, 18-Sep-2023.) $)
    sn-el $p |- E. y E. x x e. y $=
      ( vw vz wel wi wal wex ax-pow weq ax6ev ax9v1 alrimiv eximii exim mpi ) C
      AECDEFZCGZABEZFAGZSAHZBDBACITRAHUAADJZRAADKUBQCADCLMNRSAOPN $.

    $( ~ dtru without ~ ax-8 or ~ ax-12 .  (Contributed by SN, 21-Sep-2023.) $)
    sn-dtru $p |- -. A. x x = y $=
      ( vw vz weq wn wex wal wel wa sn-el ax-nul exdistrv mpbir2an ax9v1 eximdv
      wi con3d ax7v1 spimevw df-ex syl6ib imnan sylib con2i 2eximi equeuclr a1d
      syl6 pm2.61i exlimivv mp2b exnal mpbi ) ABEZFZAGZUOAHFACIZAGZADIZFAHZJZDG
      CGZCDEZFZDGCGUQVCUSCGVADGACKDALUSVACDMNVBVECDVDVBVDUSVAFZQVBFVDUSUTAGVFVD
      URUTACDAOPUTAUAUBUSVAUCUDUEUFVEUQCDDBEZVEUQQVGVECBEZFZUQVGVHVDDCBUGRVIUPA
      CACEUOVHACBSRTUIVGFZUQVEVJUPADADEUOVGADBSRTUHUJUKULUOAUMUN $.
  $}

  ${
    $d w x y z $.  $d ph w y z $.
    $( An unused lemma showing that many equivalences involving ~ df-iota are
       potentially provable without ~ ax-10 , ~ ax-11 , ~ ax-12 .  (Contributed
       by SN, 6-Nov-2024.) $)
    sn-iotalem $p |- { y | { x | ph } = { y } } =
               { z | { y | { x | ph } = { y } } = { z } } $=
      ( vw cab cv csn wceq wcel weq eqeq1 wb cvv sneqbg elv equcom eqeq2d elabg
      sneq bitri bitrdi velsn 3bitr4g eqrdv vsnid eleq2 mpbiri impbii 3bitr4i
      sylib eqriv ) EABFZCGZHZIZCFZUQDGZHZIZDFZUMEGZHZIZUQVCIZVBUQJZVBVAJZVDVEV
      DDUQVCVDUMUSIZDEKZURUQJZURVCJVDVHVCUSIZVIUMVCUSLVKEDKZVIVKVLMEVBURNOPEDQU
      AUBVJVHMDUPVHCURNCDKUOUSUMUNURTRSPDVBUCUDUEVEVFVDVEVFVBVCJEUFUQVCVBUGUHVF
      VDMEUPVDCVBNCEKUOVCUMUNVBTRSPZUKUIVMVGVEMEUTVEDVBNVIUSVCUQURVBTRSPUJUL $.
    $( $j usage 'sn-iotalem' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( Corollary of ~ sn-iotalem .  Compare ~ sb8iota .  (Contributed by SN,
       6-Nov-2024.) $)
    sn-iotalemcor $p |- ( iota x ph ) = ( iota y { x | ph } = { y } ) $=
      ( vz cab cv csn wceq cuni cio sn-iotalem unieqi df-iota 3eqtr4i ) ABECFGH
      ZCEZIPDFGHDEZIABJOCJPQABCDKLABCMOCDMN $.
  $}

  ${
    $d w x y $.  $d ph w y $.
    $( Version of ~ iotaval using ~ df-iota instead of ~ dfiota2 .
       (Contributed by SN, 6-Nov-2024.) $)
    sn-iotaval $p |- ( { x | ph } = { y } -> ( iota x ph ) = y ) $=
      ( vw cab cv csn wceq cio cuni df-iota weq wal eqeq1 cvv sneqbg elv equcom
      wb bitri bitrdi alrimiv uniabio syl eqtrid ) ABEZCFZGZHZABIUFDFZGZHZDEJZU
      GABDKUIULDCLZSZDMUMUGHUIUODUIULUHUKHZUNUFUHUKNUPCDLZUNUPUQSCUGUJOPQCDRTUA
      UBULDCUCUDUE $.

    $( Version of ~ iotauni using ~ df-iota instead of ~ dfiota2 .
       (Contributed by SN, 6-Nov-2024.) $)
    sn-iotauni $p |-
      ( E. y { x | ph } = { y } -> ( iota x ph ) = U. { x | ph } ) $=
      ( cab csn wceq cio cuni sn-iotaval unieq vex unisn eqtr2di eqtrd exlimiv
      cv ) ABDZCPZEZFZABGZQHZFCTUARUBABCITUBSHRQSJRCKLMNO $.

    $d v w x y $.  $d ph v $.
    $( Version of ~ iotanul using ~ df-iota instead of ~ dfiota2 .
       (Contributed by SN, 6-Nov-2024.) $)
    sn-iotanul $p |-
      ( -. E. y { x | ph } = { y } -> ( iota x ph ) = (/) ) $=
      ( vw vv cab cv csn wceq wex wn cio cuni c0 df-iota wne wcel n0 wel sylbi
      wa eluni vex sneq eqeq2d elab biimpi adantl eximi exlimiv necon1bi syl5eq
      weq ) ABFZCGZHZIZCJZKABLUNDGZHZIZDFZMZNABDOURVCNVCNPEGZVCQZEJUREVCRVEUREV
      EECSZUOVBQZUAZCJURCVDVBUBVHUQCVGUQVFVGUQVAUQDUOCUCDCUMUTUPUNUSUOUDUEUFUGU
      HUITUJTUKUL $.
  $}

  ${
    $d x y $.  $d ph y $.
    $( ~ iotassuni without ~ ax-10 , ~ ax-11 , ~ ax-12 .  (Contributed by SN,
       6-Nov-2024.) $)
    sn-iotassuni $p |- ( iota x ph ) C_ U. { x | ph } $=
      ( vy cab cv csn wceq wex cio cuni wss sn-iotauni eqimss syl wn sn-iotanul
      c0 0ss eqsstrdi pm2.61i ) ABDZCEFGCHZABIZUAJZKZUBUCUDGUEABCLUCUDMNUBOUCQU
      DABCPUDRST $.
    $( $j usage 'sn-iotassuni' avoids 'ax-10' 'ax-11' 'ax-12'; $)

    $( ~ iotaex without ~ ax-10 , ~ ax-11 , ~ ax-12 .  (Contributed by SN,
       6-Nov-2024.) $)
    sn-iotaex $p |- ( iota x ph ) e. _V $=
      ( vy cab csn wceq wex cio cvv wcel sn-iotaval eqeltrdi exlimiv sn-iotanul
      cv vex wn c0 0ex pm2.61i ) ABDCOZEFZCGZABHZIJZUBUECUBUDUAIABCKCPLMUCQUDRI
      ABCNSLT $.
    $( $j usage 'sn-iotaex' avoids 'ax-10' 'ax-11' 'ax-12'; $)
  $}

  $( Move a relation inside and outside the conditional operator.  (Contributed
     by SN, 14-Aug-2024.) $)
  brif1 $p |- ( if ( ph , A , B ) R C <-> if- ( ph , A R C , B R C ) ) $=
    ( cif wbr iftrue breq1d wn iffalse casesifp ) AABCFZDEGBDEGCDEGAMBDEABCHIAJ
    MCDEABCKIL $.

  $( Move a relation inside and outside the conditional operator.  (Contributed
     by SN, 14-Aug-2024.) $)
  brif2 $p |- ( C R if ( ph , A , B ) <-> if- ( ph , C R A , C R B ) ) $=
    ( cif wbr iftrue breq2d wn iffalse casesifp ) ADABCFZEGDBEGDCEGAMBDEABCHIAJ
    MCDEABCKIL $.

  $( Move a relation inside and outside the conditional operator.  (Contributed
     by SN, 14-Aug-2024.) $)
  brif12 $p |-
    ( if ( ph , A , B ) R if ( ph , C , D ) <-> if- ( ph , A R C , B R D ) ) $=
    ( cif wbr iftrue breq12d wn iffalse casesifp ) AABCGZADEGZFHBDFHCEFHANBODFA
    BCIADEIJAKNCOEFABCLADELJM $.

  $( The proper subset of a set is also a set.  (Contributed by Steven Nguyen,
     17-Jul-2022.) $)
  pssexg $p |- ( ( A C. B /\ B e. C ) -> A e. _V ) $=
    ( wpss wss wcel cvv pssss ssexg sylan ) ABDABEBCFAGFABHABCIJ $.

  $( A proper superset is nonempty.  (Contributed by Steven Nguyen,
     17-Jul-2022.) $)
  pssn0 $p |- ( A C. B -> B =/= (/) ) $=
    ( wpss c0 wceq npss0 psseq2 mtbiri necon2ai ) ABCZBDBDEJADCAFBDAGHI $.

  $( Classes are proper subclasses if and only if their power classes are
     proper subclasses.  (Contributed by Steven Nguyen, 17-Jul-2022.) $)
  psspwb $p |- ( A C. B <-> ~P A C. ~P B ) $=
    ( wss wne wa cpw wpss sspwb pweqb necon3bii anbi12i df-pss 3bitr4i ) ABCZAB
    DZEAFZBFZCZPQDZEABGPQGNROSABHABPQABIJKABLPQLM $.

  $( Proper subset theorem for Cartesian product.  (Contributed by Steven
     Nguyen, 17-Jul-2022.) $)
  xppss12 $p |- ( ( A C. B /\ C C. D ) -> ( A X. C ) C. ( B X. D ) ) $=
    ( wpss wa cxp wss wne pssss xpss12 syl2an wn simpl pssne necomd neneq pssn0
    wceq c0 intnanrd 3syl wb xp11 mtbird neqne syl df-pss sylanbrc ) ABEZCDEZFZ
    ACGZBDGZHZUMUNIZUMUNEUJABHCDHUOUKABJCDJABCDKLULUNUMSZMZUPULUQBASZDCSZFZULUJ
    BAIZVAMUJUKNUJABABOPVBUSUTBAQUAUBUJBTIDTIUQVAUCUKABRCDRBDACUDLUEURUNUMUNUMU
    FPUGUMUNUHUI $.

  ${
    elpwbi.1 $e |- B e. _V $.
    $( Membership in a power set, biconditional.  (Contributed by Steven
       Nguyen, 17-Jul-2022.)  (Proof shortened by Steven Nguyen,
       16-Sep-2022.) $)
    elpwbi $p |- ( A C_ B <-> A e. ~P B ) $=
      ( cpw wcel wss elpw2 bicomi ) ABDEABFABCGH $.
  $}

  ${
    opelxpii.1 $e |- A e. C $.
    opelxpii.2 $e |- B e. D $.
    $( Ordered pair membership in a Cartesian product (implication).
       (Contributed by Steven Nguyen, 17-Jul-2022.) $)
    opelxpii $p |- <. A , B >. e. ( C X. D ) $=
      ( wcel cop cxp opelxpi mp2an ) ACGBDGABHCDIGEFABCDJK $.
  $}

  ${
    $d x y A $.
    $( The image of a class of ordered pairs.  (Contributed by Steven Nguyen,
       6-Jun-2023.) $)
    imaopab $p |- ( { <. x , y >. | ph } " A ) = { y | E. x e. A ph } $=
      ( copab cima cres crn cv wcel wa wrex cab df-ima resopab rneqi wex rnopab
      df-rex abbii eqtr4i 3eqtri ) ABCEZDFUCDGZHBIDJAKZBCEZHZABDLZCMZUCDNUDUFAB
      CDOPUGUEBQZCMUIUEBCRUHUJCABDSTUAUB $.
  $}

  ${
    $d A x $.  $d F x $.
    $( A function's domain is a singleton iff the function is a singleton.
       (Contributed by Steven Nguyen, 18-Aug-2023.) $)
    fnsnbt $p |- ( A e. _V ->
                        ( F Fn { A } <-> F = { <. A , ( F ` A ) >. } ) ) $=
      ( vx cvv wcel csn wfn cfv cop wceq wa cv fnsnr adantl wfun cdm syl5ibrcom
      wi fnfun impbid snidg adantr eleqtrrd funfvop syl2an2 eleq1 velsn bitr4di
      fndm eqrdv ex fvex fnsng mpan2 fneq1 ) ADEZBAFZGZBAABHZIZFZJZUPURVBUPURKZ
      CBVAVCCLZBEZVDUTJZVDVAEVCVEVFURVEVFRUPAVDBMNVCVEVFUTBEZURBOUPABPZEVGUQBSV
      CAUQVHUPAUQEURADUAUBURVHUQJUPUQBUINUCABUDUEVDUTBUFQTCUTUGUHUJUKUPURVBVAUQ
      GZUPUSDEVIABULAUSDDUMUNUQBVAUOQT $.
  $}

  ${
    $d F x $.  $d S x $.
    fnimasnd.1 $e |- ( ph -> F Fn A ) $.
    fnimasnd.2 $e |- ( ph -> S e. A ) $.
    $( The image of a function by a singleton whose element is in the domain of
       the function.  (Contributed by Steven Nguyen, 7-Jun-2023.) $)
    fnimasnd $p |- ( ph -> ( F " { S } ) = { ( F ` S ) } ) $=
      ( cfv csn cima wfn wcel wceq fnsnfv syl2anc eqcomd ) ACDGHZDCHIZADBJCBKPQ
      LEFBCDMNO $.
  $}

  ${
    $d ph x $.  $d A x $.  $d C x $.  $d D x $.
    fvmptd4.1 $e |- ( x = A -> B = C ) $.
    fvmptd4.2 $e |- ( ph -> F = ( x e. D |-> B ) ) $.
    fvmptd4.3 $e |- ( ph -> A e. D ) $.
    fvmptd4.4 $e |- ( ph -> C e. V ) $.
    $( Deduction version of ~ fvmpt (where the substitution hypothesis does not
       have the antecedent ` ph ` ).  (Contributed by SN, 26-Jul-2024.) $)
    fvmptd4 $p |- ( ph -> ( F ` A ) = C ) $=
      ( cv wceq adantl fvmptd ) ABCDEFGHJBMCNDENAIOKLP $.
  $}

  ${
    $d ph x $.  $d A x $.  $d B x $.  $d C x $.  $d D x $.  $d M x $.
    $d N x $.  $d R x $.
    ofun.a $e |- ( ph -> A Fn M ) $.
    ofun.b $e |- ( ph -> B Fn M ) $.
    ofun.c $e |- ( ph -> C Fn N ) $.
    ofun.d $e |- ( ph -> D Fn N ) $.
    ofun.m $e |- ( ph -> M e. V ) $.
    ofun.n $e |- ( ph -> N e. W ) $.
    ofun.1 $e |- ( ph -> ( M i^i N ) = (/) ) $.
    $( A function operation of unions of disjoint functions is a union of
       function operations.  (Contributed by SN, 16-Jun-2024.) $)
    ofun $p |- ( ph ->
         ( ( A u. C ) oF R ( B u. D ) ) = ( ( A oF R B ) u. ( C oF R D ) ) ) $=
      ( co cfv adantr vx cun cof cvv fnund unexd inidm offn cv wcel eqidd ofval
      wa wo wceq wfn cin c0 simpr fvun1d oveq12d 3eqtr4rd fvun2d jaodan sylan2b
      elun eqtrd eqfnfvd ) AUAGHUBZBDUBZCEUBZFUCZRZBCVLRZDEVLRZUBZAVIVIFVIVJVKU
      DUDAGHBDKMQUEZAGHCELNQUEZAGHIJOPUFZVSVIUGZUHAGHVNVOAGGFGBCIIKLOOGUGZUHZAH
      HFHDEJJMNPPHUGZUHZQUEAUAUIZVIUJZUMZWEVMSWEVJSZWEVKSZFRZWEVPSZAVIVIWHWIFVI
      VJVKUDUDWEVQVRVSVSVTWGWHUKWGWIUKULWFAWEGUJZWEHUJZUNWJWKUOZWEGHVFAWLWNWMAW
      LUMZWEVNSWEBSZWECSZFRWKWJAGGWPWQFGBCIIWEKLOOWAWOWPUKWOWQUKULWOGHVNVOWEAVN
      GUPZWLWBTAVOHUPZWLWDTAGHUQURUOZWLQTZAWLUSZUTWOWHWPWIWQFWOGHBDWEABGUPZWLKT
      ADHUPZWLMTXAXBUTWOGHCEWEACGUPZWLLTAEHUPZWLNTXAXBUTVAVBAWMUMZWEVOSWEDSZWEE
      SZFRWKWJAHHXHXIFHDEJJWEMNPPWCXGXHUKXGXIUKULXGGHVNVOWEAWRWMWBTAWSWMWDTAWTW
      MQTZAWMUSZVCXGWHXHWIXIFXGGHBDWEAXCWMKTAXDWMMTXJXKVCXGGHCEWEAXEWMLTAXFWMNT
      XJXKVCVAVBVDVEVGVH $.
  $}

  ${
    $d x y A $.  $d x y R $.
    $( Alternate definition of quotient set.  (Contributed by Steven Nguyen,
       7-Jun-2023.) $)
    dfqs2 $p |- ( A /. R ) = ran ( x e. A |-> [ x ] R ) $=
      ( vy cqs cv cec wceq wrex cab cmpt crn df-qs eqid rnmpt eqtr4i ) BCEDFAFC
      GZHABIDJABQKZLADBCMADBQRRNOP $.

    $( Alternate definition of quotient set.  (Contributed by Steven Nguyen,
       7-Jun-2023.) $)
    dfqs3 $p |- ( A /. R ) = U_ x e. A { [ x ] R } $=
      ( vy cqs cv cec wceq wrex cab csn ciun df-qs iunsn eqtr4i ) BCEDFAFCGZHAB
      IDJABPKLADBCMADBPNO $.
  $}

  ${
    qseq12d.1 $e |- ( ph -> A = B ) $.
    qseq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality theorem for quotient set, deduction form.  (Contributed by
       Steven Nguyen, 30-Apr-2023.) $)
    qseq12d $p |- ( ph -> ( A /. C ) = ( B /. D ) ) $=
      ( wceq cqs qseq12 syl2anc ) ABCHDEHBDICEIHFGBCDEJK $.
  $}

  ${
    $d ph a x y $.  $d a x y A $.  $d a x y .~ $.  $d a y N $.
    qsalrel.1 $e |- ( ( ph /\ ( x e. A /\ y e. A ) ) -> x .~ y ) $.
    qsalrel.2 $e |- ( ph -> .~ Er A ) $.
    qsalrel.3 $e |- ( ph -> N e. A ) $.
    $( The quotient set is equal to the singleton of ` A ` when all elements
       are related and ` A ` is nonempty.  (Contributed by SN, 8-Jun-2023.) $)
    qsalrel $p |- ( ph -> ( A /. .~ ) = { A } ) $=
      ( va cv cec cmpt crn csn wcel adantr wbr wral wb cqs dfqs2 wer ralrimivva
      wa simpr weq breq1 ralbidv adantl rspcdv wi wceq breq2 syld mpd mpteq2dva
      erthi rneqd eqid ne0d rnmptc ecss ersym elecg syl2anc mpbird sneqd 3eqtrd
      eqelssd syl5eq ) ADEUAJDJKZELZMZNZDOZJDEUBAVOJDFELZMZNVQOVPAVNVRAJDVMVQAV
      LDPZUEZVLFEDADEUCVSHQZVTBKZCKZERZCDSZBDSZVLFERZAWFVSAWDBCDDGUDQVTWFVLWCER
      ZCDSZWGVTWEWIBVLDAVSUFZBJUGZWEWITVTWKWDWHCDWBVLWCEUHUIUJUKAWIWGULVSAWHWGC
      FDIWCFUMWHWGTAWCFVLEUNUJUKQUOUPZURUQUSAJDVQVRVRUTADFIVAVBAVQDAJVQDAFEDHVC
      VTVLVQPZFVLERZVTVLFEDWAWLVDVTVSFDPZWMWNTWJAWOVSIQVLFEDDVEVFVGVJVHVIVK $.
  $}

  ${
    elmapdd.a $e |- ( ph -> A e. V ) $.
    elmapdd.b $e |- ( ph -> B e. W ) $.
    elmapdd.c $e |- ( ph -> C : B --> A ) $.
    $( Deduction associated with ~ elmapd .  (Contributed by SN,
       29-Jul-2024.) $)
    elmapdd $p |- ( ph -> C e. ( A ^m B ) ) $=
      ( cmap co wcel wf elmapd mpbird ) ADBCJKLCBDMIABCDEFGHNO $.
  $}

  ${
    isfsuppd.r $e |- ( ph -> R e. V ) $.
    isfsuppd.z $e |- ( ph -> Z e. W ) $.
    isfsuppd.1 $e |- ( ph -> Fun R ) $.
    isfsuppd.2 $e |- ( ph -> ( R supp Z ) e. Fin ) $.
    $( Deduction form of ~ isfsupp .  (Contributed by SN, 29-Jul-2024.) $)
    isfsuppd $p |- ( ph -> R finSupp Z ) $=
      ( cfsupp wbr wfun csupp co cfn wcel wa wb isfsupp syl2anc mpbir2and ) ABE
      JKZBLZBEMNOPZHIABCPEDPUBUCUDQRFGBCDESTUA $.
  $}

  ${
    $d B k $.  $d M k $.  $d N k $.  $d ph k $.
    fzosumm1.1 $e |- ( ph -> ( N - 1 ) e. ( ZZ>= ` M ) ) $.
    fzosumm1.2 $e |- ( ( ph /\ k e. ( M ..^ N ) ) -> A e. CC ) $.
    fzosumm1.3 $e |- ( k = ( N - 1 ) -> A = B ) $.
    fzosumm1.n $e |- ( ph -> N e. ZZ ) $.
    $( Separate out the last term in a finite sum.  (Contributed by Steven
       Nguyen, 22-Aug-2023.) $)
    fzosumm1 $p |- ( ph -> sum_ k e. ( M ..^ N ) A =
                          ( sum_ k e. ( M ..^ ( N - 1 ) ) A + B ) ) $=
      ( c1 cmin co cfz csu caddc cfzo wcel cz wceq cv fzoval syl eqcomd sumeq1d
      cc eleq2d biimpa syldan fsumm1 cuz cfv eluzelz 3syl oveq1d 3eqtr4d ) AEFK
      LMZNMZBDOEUQKLMNMZBDOZCPMEFQMZBDOEUQQMZBDOZCPMABCDEUQGADUAZURRZVDVARZBUFR
      AVEVFAURVAVDAVAURAFSRVAURTJEFUBUCZUDUGUHHUIIUJAVAURBDVGUEAVCUTCPAVBUSBDAU
      QEUKULRUQSRVBUSTGEUQUMEUQUBUNUEUOUP $.
  $}

  ${
    ccatcan2d.a $e |- ( ph -> A e. Word V ) $.
    ccatcan2d.b $e |- ( ph -> B e. Word V ) $.
    ccatcan2d.c $e |- ( ph -> C e. Word V ) $.
    $( Cancellation law for concatenation.  (Contributed by SN, 6-Sep-2023.) $)
    ccatcan2d $p |- ( ph -> ( ( A ++ C ) = ( B ++ C ) <-> A = B ) ) $=
      ( cconcat co wceq chash cfv cpfx cc wcel cn0 lencl adantr syl2anc ccatlen
      wa simpr cword syl caddc fveq2 sylan9req eqtrd addcan2ad oveq12d pfxccat1
      nn0cnd ex eqeq12d sylibd oveq1 impbid1 ) ABDIJZCDIJZKZBCKZAVAUSBLMZNJZUTC
      LMZNJZKZVBAVAVGAVAUBZUSUTVCVENAVAUCVHVCVEDLMZAVCOPVAAVCABEUDZPZVCQPFEBRUE
      UMSAVEOPVAAVEACVJPZVEQPGECRUEUMSAVIOPVAAVIADVJPZVIQPHEDRUEUMSVHVCVIUFJZUT
      LMZVEVIUFJZAVAVNUSLMZVOAVKVMVQVNKFHEEBDUATUSUTLUGUHAVOVPKZVAAVLVMVRGHEECD
      UATSUIUJUKUNAVDBVFCAVKVMVDBKFHEBDULTAVLVMVFCKGHECDULTUOUPBCDIUQUR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Structures
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    nelsubginvcld.g $e |- ( ph -> G e. Grp ) $.
    nelsubginvcld.s $e |- ( ph -> S e. ( SubGrp ` G ) ) $.
    nelsubginvcld.x $e |- ( ph -> X e. ( B \ S ) ) $.
    nelsubginvcld.b $e |- B = ( Base ` G ) $.

    ${
      nelsubginvcld.p $e |- N = ( invg ` G ) $.
      $( The inverse of a non-subgroup-member is a non-subgroup-member.
         (Contributed by Steven Nguyen, 15-Apr-2023.) $)
      nelsubginvcld $p |- ( ph -> ( N ` X ) e. ( B \ S ) ) $=
        ( cfv cgrp wcel eldifad grpinvcl syl2anc eldifbd wa wceq csubg eqeltrrd
        grpinvinv adantr subginvcl sylan mtand eldifd ) AFELZBCADMNZFBNZUIBNGAF
        BCIOZBDEFJKPQAUICNZFCNAFBCIRAUMSUIELZFCAUNFTZUMAUJUKUOGULBDEFJKUCQUDACD
        UALNUMUNCNHCDEUIKUEUFUBUGUH $.
    $}

    nelsubgcld.y $e |- ( ph -> Y e. S ) $.
    ${
      nelsubgcld.p $e |- .+ = ( +g ` G ) $.
      $( A non-subgroup-member plus a subgroup member is a non-subgroup-member.
         (Contributed by Steven Nguyen, 15-Apr-2023.) $)
      nelsubgcld $p |- ( ph -> ( X .+ Y ) e. ( B \ S ) ) $=
        ( co cgrp wcel eldifad cfv syl3anc adantr csubg wss subgss sseldd grpcl
        syl eldifbd wa wceq eqid grppncan simpr subgsubcl eqeltrrd mtand eldifd
        csg ) AFGCNZBDAEOPZFBPZGBPZURBPHAFBDJQZADBGADEUARPZDBUBIBDEKUCUFLUDZBCE
        FGKMUESAURDPZFDPAFBDJUGAVEUHZURGEUQRZNZFDAVHFUIZVEAUSUTVAVIHVBVDBCEVGFG
        KMVGUJZUKSTVFVCVEGDPZVHDPAVCVEITAVEULAVKVELTDEVGURGVJUMSUNUOUP $.
    $}

    ${
      nelsubgsubcld.p $e |- .- = ( -g ` G ) $.
      $( A non-subgroup-member minus a subgroup member is a
         non-subgroup-member.  (Contributed by Steven Nguyen, 15-Apr-2023.) $)
      nelsubgsubcld $p |- ( ph -> ( X .- Y ) e. ( B \ S ) ) $=
        ( co cminusg cfv cplusg wcel eqid syl2anc cdif eldifad csubg wss subgss
        wceq syl sseldd grpsubval subginvcl nelsubgcld eqeltrd ) AFGENZFGDOPZPZ
        DQPZNZBCUAAFBRGBRUMUQUFAFBCJUBACBGACDUCPRZCBUDIBCDKUEUGLUHBUPDUNEFGKUPS
        ZUNSZMUITABUPCDFUOHIJKAURGCRUOCRILCDUNGUTUJTUSUKUL $.
    $}
  $}

  ${
    $d N x y $.  $d .1. x y $.  $d W x y $.
    rnasclg.a $e |- A = ( algSc ` W ) $.
    rnasclg.o $e |- .1. = ( 1r ` W ) $.
    rnasclg.n $e |- N = ( LSpan ` W ) $.
    $( The set of injected scalars is also interpretable as the span of the
       identity.  (Contributed by Mario Carneiro, 9-Mar-2015.) $)
    rnasclg $p |- ( ( W e. LMod /\ W e. Ring ) -> ran A = ( N ` { .1. } ) ) $=
      ( vx vy clmod wcel crg wa crn cv cvsca cfv wceq cbs eqid co csca wrex cab
      csn asclfval rnmpt ringidcl lspsn sylan2 eqtr4id ) DJKZDLKZMANHOIOBDPQZUA
      ZRIDUBQZSQZUCHUDZBUECQZIHUQUOAIAUNBUPUQDEUPTZUQTZUNTZFUFUGUMULBDSQZKUSURR
      VCDBVCTZFUHHUNIUPUQCVCDBUTVAVDVBGUIUJUK $.
  $}

  $( Names of the selvval2 lemmas are subject to change - these lemmas could be
     reordered or used for proving closures first. $)

  ${
    selvval2lem1.u $e |- U = ( I mPoly R ) $.
    selvval2lem1.t $e |- T = ( J mPoly U ) $.
    selvval2lem1.i $e |- ( ph -> I e. V ) $.
    selvval2lem1.j $e |- ( ph -> J e. W ) $.
    selvval2lem1.r $e |- ( ph -> R e. CRing ) $.
    $( ` T ` is an associative algebra.  For simplicity, ` I ` stands for
       ` ( I \ J ) ` and we have ` J e. W ` instead of ` J C_ I ` .
       (Contributed by SN, 15-Dec-2023.) $)
    selvval2lem1 $p |- ( ph -> T e. AssAlg ) $=
      ( wcel ccrg casa mplcrng syl2anc mplassa ) AFHNDONZCPNLAEGNBONTKMDBEGIQRC
      DFHJSR $.
  $}

  ${
    selvval2lem2.u $e |- U = ( I mPoly R ) $.
    selvval2lem2.t $e |- T = ( J mPoly U ) $.
    selvval2lem2.c $e |- C = ( algSc ` T ) $.
    selvval2lem2.d $e |- D = ( C o. ( algSc ` U ) ) $.
    selvval2lem2.i $e |- ( ph -> I e. V ) $.
    selvval2lem2.j $e |- ( ph -> J e. W ) $.
    selvval2lem2.r $e |- ( ph -> R e. CRing ) $.
    $( ` D ` is a ring homomorphism.  (Contributed by SN, 15-Dec-2023.) $)
    selvval2lem2 $p |- ( ph -> D e. ( R RingHom T ) ) $=
      ( crh co wcel cascl cfv ccom csca casa selvval2lem1 eqid asclrhm syl ccrg
      mplassa syl2anc mplsca oveq1d eleqtrrd rhmco eqeltrid ) ACBFUAUBZUCZDERSZ
      NAUSFUDUBZERSZUTABFERSZTURVAFRSTZUSVBTABEUDUBZERSZVCAEUETBVFTADEFGHIJKLOP
      QUFBVEEMVEUGUHUIAFVEERAEFHJUELPAGITDUJTFUETZOQFDGIKUKULZUMUNUOAVGVDVHURVA
      FURUGVAUGUHUIVAFEBURUPULADVAERAFDGIUJKOQUMUNUOUQ $.

    $( The third argument passed to ` evalSub ` is in the domain.  (Contributed
       by SN, 15-Dec-2023.) $)
    selvval2lem3 $p |- ( ph -> ran D e. ( SubRing ` T ) ) $=
      ( crh co wcel crn csubrg cfv selvval2lem2 rnrhmsubrg syl ) ACDERSTCUAEUBU
      CTABCDEFGHIJKLMNOPQUDCDEUEUF $.
  $}

  ${
    selvval2lemn.u $e |- U = ( ( I \ J ) mPoly R ) $.
    selvval2lemn.t $e |- T = ( J mPoly U ) $.
    selvval2lemn.c $e |- C = ( algSc ` T ) $.
    selvval2lemn.d $e |- D = ( C o. ( algSc ` U ) ) $.
    selvval2lemn.q $e |- Q = ( ( I evalSub T ) ` ran D ) $.
    selvval2lemn.w $e |- W = ( I mPoly S ) $.
    selvval2lemn.s $e |- S = ( T |`s ran D ) $.
    selvval2lemn.x $e |- X = ( T ^s ( B ^m I ) ) $.
    selvval2lemn.b $e |- B = ( Base ` T ) $.
    selvval2lemn.i $e |- ( ph -> I e. V ) $.
    selvval2lemn.r $e |- ( ph -> R e. CRing ) $.
    selvval2lemn.j $e |- ( ph -> J C_ I ) $.
    $( A lemma to illustrate the purpose of ~ selvval2lem3 and the value of
       ` Q ` .  Will be renamed in the future when this section is moved to
       main.  (Contributed by SN, 5-Nov-2023.) $)
    selvval2lemn $p |- ( ph -> Q e. ( W RingHom X ) ) $=
      ( wcel ccrg crn csubrg cfv crh cvv ssexd cdif difexd mplcrng selvval2lem3
      co syl2anc evlsrhm syl3anc ) AJLUGHUHUGZDUIZHUJUKUGEMNULUSUGUDAKUMUGIUHUG
      ZVCAKJLUDUFUNZAJKUOZUMUGFUHUGVEAJKLUDUPZUEIFVGUMOUQUTHIKUMPUQUTACDFHIVGKU
      MUMOPQRVHVFUEURBEVDHNGJLMSTUAUBUCVAVB $.
  $}

  ${
    $d I f $.
    selvval2lem4.p $e |- P = ( I mPoly R ) $.
    selvval2lem4.b $e |- B = ( Base ` P ) $.
    selvval2lem4.u $e |- U = ( ( I \ J ) mPoly R ) $.
    selvval2lem4.t $e |- T = ( J mPoly U ) $.
    selvval2lem4.c $e |- C = ( algSc ` T ) $.
    selvval2lem4.d $e |- D = ( C o. ( algSc ` U ) ) $.
    selvval2lem4.s $e |- S = ( T |`s ran D ) $.
    selvval2lem4.w $e |- W = ( I mPoly S ) $.
    selvval2lem4.x $e |- X = ( Base ` W ) $.
    selvval2lem4.i $e |- ( ph -> I e. V ) $.
    selvval2lem4.r $e |- ( ph -> R e. CRing ) $.
    selvval2lem4.j $e |- ( ph -> J C_ I ) $.
    selvval2lem4.f $e |- ( ph -> F e. B ) $.
    $( The fourth argument passed to ` evalSub ` is in the domain (a polynomial
       in ` ( I mPoly ( J mPoly ( ( I \ J ) mPoly R ) ) ) ` ).  (Contributed by
       SN, 5-Nov-2023.) $)
    selvval2lem4 $p |- ( ph -> ( D o. F ) e. X ) $=
      ( vf ccom cmps co cbs cfv wcel c0g cfsupp wbr ccnv cima cfn cn0 cmap crab
      cv cn wf crn crh cdif cvv difexd ssexd selvval2lem2 eqid rhmf ffrn csubrg
      3syl wss wceq selvval2lem3 subrgss ressbas2 feq3d mpbid mplelf fcod fvexd
      ovex a1i elmapd mpbird psrbas eleqtrrd ccrg crg crngring ring0cl mplelsfi
      rabex ssidd cascl fveq1d mplasclf fvco3d csca mplsca fveq2d clmod mplassa
      syl casa assalmod assaring ascl0 eqtrd selvval2lem1 csubg subrgsubg subg0
      syl2anc 3eqtrd fsuppcor mplelbas sylanbrc ) ADJUJZKGUKULZUMUNZUOYGGUPUNZU
      QURYGOUOAYGGUMUNZUIVEUSVFUTVAUOZUIVBKVCULZVDZVCULZYIAYGYOUOYNYKYGVGAYNFUM
      UNZYKDJAYPDVHZDVGZYPYKDVGADFHVIULUOYPHUMUNZDVGYRACDFHIKLVJZLVKVKRSTUAAKLM
      UEVLZALKMUEUGVMZUFVNYPYSFHDYPVOZYSVOZVPYPYSDVQVSZAYQYKDYPAYQHVRUNUOZYQYSV
      TYQYKWAACDFHIYTLVKVKRSTUAUUAUUBUFWBZYQYSHUUDWCYQYSGHUBUUDWDVSWEWFABYNEFUI
      KYPJPUUCQYNVOZUHWGZWHAYKYNYGVKVKAGUMWIYNVKUOAYLUIYMVBKVCWJXAWKZWLWMAYIYNG
      YHUIKYKMYHVOZYKVOUUHYIVOZUEWNWOAYNYPYPYQVKJDVKVKYJFUPUNZAGUPWIAFWPUOZFWQU
      OZUUMYPUOUFFWRZYPFUUMUUCUUMVOZWSVSZUUIUUEAYPXBUUJAFUMWIABEFJKWPUUMPQUUQUH
      UFWTAUUMDUNUUMCIXCUNZUJZUNUUMUUSUNZCUNZYJAUUMDUUTDUUTWAAUAWKXDAYPIUMUNZUU
      MCUUSAUUSUVCIFYTYPVKRUVCVOUUCUUSVOZUUAAUUNUUOUFUUPXLXEUURXFAUVBIUPUNZCUNH
      XGUNZUPUNZCUNZYJAUVAUVECAUVAIXGUNZUPUNZUUSUNUVEAUUMUVJUUSAFUVIUPAIFYTVKWP
      RUUAUFXHXIXIAUUSUVIIUVDUVIVOAIXMUOZIXJUOAYTVKUOUUNUVKUUAUFIFYTVKRXKYBZIXN
      XLAUVKIWQUOUVLIXOXLXPXQXIAUVEUVGCAIUVFUPAHILVKXMSUUBUVLXHXIXIAUVHHUPUNZYJ
      ACUVFHTUVFVOAHXMUOZHXJUOAFHIYTLVKVKRSUUAUUBUFXRZHXNXLAUVNHWQUOUVOHXOXLXPA
      UUFYQHXSUNUOUVMYJWAUUGYQHXTYQHGUVMUBUVMVOYAVSXQYCYCYDYINGYHOKYGYJUCUUKUUL
      YJVOUDYEYF $.
  $}

  ${
    $d E x $.  $d I x $.  $d ph x $.
    selvval2lem5.u $e |- U = ( ( I \ J ) mPoly R ) $.
    selvval2lem5.t $e |- T = ( J mPoly U ) $.
    selvval2lem5.c $e |- C = ( algSc ` T ) $.
    selvval2lem5.e $e |- E = ( Base ` T ) $.
    selvval2lem5.f $e |- F =
      ( x e. I |-> if ( x e. J , ( ( J mVar U ) ` x ) ,
                                 ( C ` ( ( ( I \ J ) mVar R ) ` x ) ) ) ) $.
    selvval2lem5.i $e |- ( ph -> I e. V ) $.
    selvval2lem5.r $e |- ( ph -> R e. CRing ) $.
    selvval2lem5.j $e |- ( ph -> J C_ I ) $.
    $( The fifth argument passed to ` evalSub ` is in the domain (a function
       ` I --> E ` ).  (Contributed by SN, 22-Feb-2024.) $)
    selvval2lem5 $p |- ( ph -> F e. ( E ^m I ) ) $=
      ( wcel cmap co wf cv cmvr cfv cdif cif wa cvv eqid adantr crg difexd ccrg
      ssexd crngring syl mplring syl2anc simpr adantlr wn cbs mplasclf ad2antrr
      mvrcl eldif biimpri adantll ffvelrnd ifclda fmptd eqeltrid elmapd mpbird
      fvexd ) AHGIUAUBTIGHUCABIBUDZJTZVRJFUEUBZUFZVRIJUGZDUEUBZUFZCUFZUHGHAVRIT
      ZUIZVSWAWEGAVSWAGTWFAVSUIGEFJVTUJVRMVTUKOAJUJTVSAJIKQSUPZULAFUMTZVSAWBUJT
      ZDUMTZWIAIJKQUNZADUOTWKRDUQURZFDWBUJLUSUTZULAVSVAVGVBWGVSVCZUIZFVDUFZGWDC
      AWQGCUCWFWOACGEFJWQUJMOWQUKZNWHWNVEVFWPWQFDWBWCUJVRLWCUKWRAWJWFWOWLVFAWKW
      FWOWMVFWFWOVRWBTZAWSWFWOUIVRIJVHVIVJVGVKVLPVMAGIHUJKAGEVDUFUJOAEVDVQVNQVO
      VP $.
  $}

  ${
    $d I x $.  $d R x $.  $d J x $.  $d U x $.  $d T x $.  $d E x $.
    $d ph x $.
    selvcl.p $e |- P = ( I mPoly R ) $.
    selvcl.b $e |- B = ( Base ` P ) $.
    selvcl.u $e |- U = ( ( I \ J ) mPoly R ) $.
    selvcl.t $e |- T = ( J mPoly U ) $.
    selvcl.e $e |- E = ( Base ` T ) $.
    selvcl.i $e |- ( ph -> I e. V ) $.
    selvcl.r $e |- ( ph -> R e. CRing ) $.
    selvcl.j $e |- ( ph -> J C_ I ) $.
    selvcl.f $e |- ( ph -> F e. B ) $.
    $( Closure of the "variable selection" function.  (Contributed by SN,
       22-Feb-2024.) $)
    selvcl $p |- ( ph -> ( ( ( I selectVars R ) ` J ) ` F ) e. E ) $=
      ( vx cslv co cfv wcel cmvr cdif cascl cif cmpt ccom crn ccrg eqid selvval
      cv ces cmap cpws cbs cvv ssexd difexd mplcrng syl2anc ovexd cress cmpl wf
      crh selvval2lemn rhmf selvval2lem4 ffvelrnd pwselbas selvval2lem5 eqeltrd
      syl ) AHJIDUBUCUDUDUAIUAUPZJUEVSJFUFUCUDVSIJUGZDUFUCUDEUHUDZUDUIUJZWAFUHU
      DUKZHUKZWCULZIEUQUCUDZUDZUDGAUABWAWCCDEFHIJKUMLMNOWAUNZWCUNZQRSTUOAGIURUC
      ZGWBWGAGEWJEWJUSUCZUTUDZUMWGWKVAWKUNZPWLUNZAJVAUEFUMUEZEUMUEAJIKQSVBAVTVA
      UEDUMUEWOAIJKQVCRFDVTVANVDVEEFJVAOVDVEAGIURVFAIEWEVGUCZVHUCZUTUDZWLWDWFAW
      FWQWKVJUCUEWRWLWFVIAGWAWCWFDWPEFIJKWQWKNOWHWIWFUNWQUNZWPUNZWMPQRSVKWRWLWQ
      WKWFWRUNZWNVLVRABWAWCCDWPEFHIJKWQWRLMNOWHWIWTWSXAQRSTVMVNVOAUAWADEFGWBIJK
      NOWHPWBUNQRSVPVNVQ $.
  $}

  ${
    frlmfielbas.f $e |- F = ( R freeLMod I ) $.
    frlmfielbas.n $e |- N = ( Base ` R ) $.
    frlmfielbas.b $e |- B = ( Base ` F ) $.
    $( The vectors of a finite free module are the functions from ` I ` to
       ` N ` .  (Contributed by SN, 31-Aug-2023.) $)
    frlmfielbas $p |- ( ( R e. V /\ I e. Fin ) ->
                                 ( X e. B <-> X : I --> N ) ) $=
      ( wcel cbs cfv cfn wa wf eleq2i cmap co cvv frlmfibas eleq2d fvexi elmapd
      a1i simpr bitr3d syl5bb ) GAKGCLMZKZBFKZDNKZOZDEGPZAUIGJQUMGEDRSZKUJUNUMU
      OUIGBCDEFHIUAUBUMEDGTNETKUMEBLIUCUEUKULUFUDUGUH $.
  $}

  ${
    frlmfzwrd.w $e |- W = ( K freeLMod ( 0 ... N ) ) $.
    frlmfzwrd.b $e |- B = ( Base ` W ) $.
    frlmfzwrd.s $e |- S = ( Base ` K ) $.
    $( A vector of a module with indices from 0 to ` N ` is a word over the
       scalars of the module.  (Contributed by SN, 31-Aug-2023.) $)
    frlmfzwrd $p |- ( X e. B -> X e. Word S ) $=
      ( wcel cc0 cfz co wf cword cvv ovex frlmbasf mpan ffz0iswrd syl ) FAJZKDL
      MZBFNZFBOJUCPJUBUDKDLQACEUCBPFGIHRSBDFTUA $.
  $}

  ${
    frlmfzowrd.w $e |- W = ( K freeLMod ( 0 ..^ N ) ) $.
    frlmfzowrd.b $e |- B = ( Base ` W ) $.
    frlmfzowrd.s $e |- S = ( Base ` K ) $.
    $( A vector of a module with indices from 0 to ` N - 1 ` is a word over the
       scalars of the module.  (Contributed by SN, 31-Aug-2023.) $)
    frlmfzowrd $p |- ( X e. B -> X e. Word S ) $=
      ( wcel cc0 cfzo co wf cword cvv ovex frlmbasf mpan iswrdi syl ) FAJZKDLMZ
      BFNZFBOJUCPJUBUDKDLQACEUCBPFGIHRSBDFTUA $.

    $( The dimension of a vector of a module with indices from 0 to ` N - 1 ` .
       (Contributed by SN, 1-Sep-2023.) $)
    frlmfzolen $p |- ( ( N e. NN0 /\ X e. B ) -> ( # ` X ) = N ) $=
      ( cn0 wcel cc0 cfzo co wf chash cfv wceq cvv ovexd frlmbasf sylan syldan
      fnfzo0hash ) DJKZFAKZLDMNZBFOZFPQDRUEUGSKUFUHUELDMTACEUGBSFGIHUAUBBFDUDUC
      $.

    $( The vectors of a module with indices 0 to ` N - 1 ` are the length-
       ` N ` words over the scalars of the module.  (Contributed by SN,
       1-Sep-2023.) $)
    frlmfzowrdb $p |- ( ( K e. V /\ N e. NN0 ) ->
                         ( X e. B <-> ( X e. Word S /\ ( # ` X ) = N ) ) ) $=
      ( wcel cn0 wa cword chash wi cc0 cfzo co wf cfv frlmfzowrd a1i frlmfzolen
      wceq ex adantl jcad w3a simp3l syl simp3r oveq2d feq2d mpbid cfn wb simp1
      wrdf fzofi frlmfielbas sylancl mpbird 3expia impbid ) CEKZDLKZMZGAKZGBNKZ
      GOUAZDUEZMZVHVIVJVLVIVJPVHABCDFGHIJUBUCVGVIVLPVFVGVIVLABCDFGHIJUDUFUGUHVF
      VGVMVIVFVGVMUIZVIQDRSZBGTZVNQVKRSZBGTZVPVNVJVRVFVGVJVLUJBGUSUKVNVQVOBGVNV
      KDQRVFVGVJVLULUMUNUOVNVFVOUPKVIVPUQVFVGVMURQDUTACFVOBEGHJIVAVBVCVDVE $.
  $}

  ${
    frlmfzoccat.w $e |- W = ( K freeLMod ( 0 ..^ L ) ) $.
    frlmfzoccat.x $e |- X = ( K freeLMod ( 0 ..^ M ) ) $.
    frlmfzoccat.y $e |- Y = ( K freeLMod ( 0 ..^ N ) ) $.
    frlmfzoccat.b $e |- B = ( Base ` W ) $.
    frlmfzoccat.c $e |- C = ( Base ` X ) $.
    frlmfzoccat.d $e |- D = ( Base ` Y ) $.
    frlmfzoccat.k $e |- ( ph -> K e. Z ) $.
    frlmfzoccat.l $e |- ( ph -> ( M + N ) = L ) $.
    frlmfzoccat.m $e |- ( ph -> M e. NN0 ) $.
    frlmfzoccat.n $e |- ( ph -> N e. NN0 ) $.
    frlmfzoccat.u $e |- ( ph -> U e. C ) $.
    frlmfzoccat.v $e |- ( ph -> V e. D ) $.
    $( The concatenation of two vectors of dimension ` N ` and ` M ` forms a
       vector of dimension ` N + M ` .  (Contributed by SN, 31-Aug-2023.) $)
    frlmfzoccat $p |- ( ph -> ( U ++ V ) e. B ) $=
      ( cconcat co wcel cbs cfv cword chash wceq eqid frlmfzowrd ccatcl syl2anc
      syl caddc ccatlen cn0 cc0 wf cvv ovexd frlmbasf fnfzo0hash oveq12d 3eqtrd
      cfzo wa wb nn0addcld eqeltrrd frlmfzowrdb mpbir2and ) AEJUGUHZBUIZVRFUJUK
      ZULZUIZVRUMUKZGUNZAEWAUIZJWAUIZWBAECUIZWEUECVTFHLEPSVTUOZUPUSZAJDUIZWFUFD
      VTFIMJQTWHUPUSZVTEJUQURAWCEUMUKZJUMUKZUTUHZHIUTUHZGAWEWFWCWNUNWIWKVTVTEJV
      AURAWLHWMIUTAHVBUIVCHVKUHZVTEVDZWLHUNUCAWPVEUIWGWQAVCHVKVFUECFLWPVTVEEPWH
      SVGURVTEHVHURAIVBUIVCIVKUHZVTJVDZWMIUNUDAWRVEUIWJWSAVCIVKVFUFDFMWRVTVEJQW
      HTVGURVTJIVHURVIUBVJAFNUIGVBUIVSWBWDVLVMUAAWOGVBUBAHIUCUDVNVOBVTFGNKVRORW
      HVPURVQ $.

    $d x ph $.  $d x A $.  $d x L $.  $d x M $.  $d x N $.
    frlmvscadiccat.o $e |- O = ( .s ` W ) $.
    frlmvscadiccat.p $e |- .xb = ( .s ` X ) $.
    frlmvscadiccat.q $e |- .x. = ( .s ` Y ) $.
    frlmvscadiccat.s $e |- S = ( Base ` K ) $.
    frlmvscadiccat.a $e |- ( ph -> A e. S ) $.
    $( Scalar multiplication distributes over concatenation.  (Contributed by
       SN, 6-Sep-2023.) $)
    frlmvscadiccat $p |- ( ph ->
      ( A O ( U ++ V ) ) = ( ( A .xb U ) ++ ( A .x. V ) ) ) $=
      ( vx cc0 cfzo co csn cxp cconcat cmulr cfv cof wcel wf fconstg ffnd chash
      syl caddc cword iswrdi 3syl ccatvalfn syl2anc cmul wceq fzofi snfi hashxp
      wfn cfn mp2an c1 hashsng oveq2d cn0 hashcl nn0cnd mulid1d hashfzo0 3eqtrd
      mp1i syl5eq oveq12d eqtrd fneq2d mpbid cv wa clt cmin adantr breq2d ifbid
      wbr cif cuz cz elfzouz ad2antlr ad2antrr nn0zd elfzo2 syl3anbrc fvconst2g
      simpr syl2an2r wn cle elfzonn0 nn0red elfzoelz adantl zred lenltd biimpar
      nn0sub2 syl3anc recnd 3eqtr4d frlmfzowrd cvv frlmbasf hashfn frlmvscafval
      ovexd elnn0uz sylib elfzolt2 pncan3d 3brtr4d ltadd2d mpbird ifeqda eqtr2d
      resubcld eqeltrd sylan ccatsymb eqfnfvd oveq1d eqtr4d ofccat frlmfzoccat
      eqid ) AURKUSUTZBVAZVBZIOVCUTZJVDVEZVFZUTZURLUSUTZUVAVBZIUVEUTZURMUSUTZUV
      AVBZOUVEUTZVCUTZBUVCNUTBIGUTZBOHUTZVCUTAUVFUVHUVKVCUTZUVCUVEUTUVMAUVBUVPU
      VCUVEAUQUUTUVBUVPAUUTUVAUVBABFVGZUUTUVAUVBVHUPUUTBFVIVLVJAUVPURUVHVKVEZUV
      KVKVEZVMUTZUSUTZWDZUVPUUTWDAUVHUVAVNZVGZUVKUWCVGZUWBAUVQUVGUVAUVHVHZUWDUP
      UVGBFVIZUVALUVHVOZVPZAUVQUVJUVAUVKVHZUWEUPUVJBFVIZUVAMUVKVOZVPZUVHUVKUVAV
      QVRAUWAUUTUVPAUVTKURUSAUVTLMVMUTZKAUVRLUVSMVMAUVRUVGVKVEZUVAVKVEZVSUTZLUV
      GWEVGZUVAWEVGZUVRUWQVTURLWAZBWBZUVGUVAWCWFZAUWQUWOWGVSUTZUWOLAUWPWGUWOVSA
      UVQUWPWGVTUPBFWHVLZWIZAUWOAUWOUWRUWOWJVGAUWTUVGWKWPWLWMZALWJVGZUWOLVTUHLW
      NVLWOWQZAUVSUVJVKVEZUWPVSUTZMUVJWEVGZUWSUVSUXJVTURMWAZUXAUVJUVAWCWFZAUXJU
      XIWGVSUTZUXIMAUWPWGUXIVSUXDWIZAUXIAUXIUXKUXIWJVGAUXLUVJWKWPWLWMZAMWJVGZUX
      IMVTUIMWNVLWOWQWRUGWSWIWTXAAUQXBZUUTVGZXCZBUXRUVRXDXIZUXRUVHVEZUXRUVRXEUT
      ZUVKVEZXJZUXRUVBVEZUXRUVPVEZUXTUYEUXRLXDXIZUYBUYDXJBUXTUYAUYHUYBUYDUXTUVR
      LUXRXDAUVRLVTZUXSUXHXFXGXHUXTUYHUYBUYDBUXTUVQUYHUXRUVGVGZUYBBVTAUVQUXSUPX
      FZUXTUYHXCZUXRURXKVEZVGZLXLVGUYHUYJUXSUYNAUYHUXRURKXMXNUYLLAUXGUXSUYHUHXO
      XPUXTUYHXTUXRURLXQXRUVGBUXRFXSYAUXTUVQUYHYBZUYCUVJVGUYDBVTUYKUXTUYOXCZUYC
      UXRLXEUTZUVJUYPUVRLUXRXEAUYIUXSUYOUXHXOWIUYPUYQUYMVGZMXLVGUYQMXDXIZUYQUVJ
      VGUYPUYQWJVGZUYRUYPUXGUXRWJVGZLUXRYCXIZUYTAUXGUXSUYOUHXOUXSVUAAUYOUXRKYDX
      NUXTVUBUYOUXTLUXRUXTLAUXGUXSUHXFYEZUXTUXRUXSUXRXLVGZAUXRURKYFYGZYHZYIYJLU
      XRYKYLUYQUUAUUBUYPMAUXQUXSUYOUIXOXPUXTUYSUYOUXTUYSLUYQVMUTZUWNXDXIUXTUXRK
      VUGUWNXDUXSUXRKXDXIAUXRURKUUCYGUXTLUXRUXTLVUCYMUXTUXRVUFYMUUDAUWNKVTUXSUG
      XFUUEUXTUYQMLUXTUXRLVUFVUCUUJUXTMAUXQUXSUIXFYEVUCUUFUUGXFUYQURMXQXRUUKUVJ
      BUYCFXSYAUUHUUIAUVQUXSUYFBVTUPUUTBUXRFXSUULUXTUWDUWEVUDUYGUYEVTUXTUVQUWFU
      WDUYKUWGUWHVPUXTUVQUWJUWEUYKUWKUWLVPVUEUVHUVKUXRUVAUUMYLYNUUNUUOAUVDUVAFU
      VHUVKIOUWIUWMAIDVGZIFVNZVGUJDFJLQIUAUDUOYOVLAOEVGZOVUIVGUKEFJMROUBUEUOYOV
      LAUXCUWOUVRIVKVEZUXFAUVRUWQUXCUXBUXEWQAIUVGWDVUKUWOVTAUVGFIAUVGYPVGVUHUVG
      FIVHAURLUSYTZUJDJQUVGFYPIUAUOUDYQVRVJUVGIYRVLYNAUVSUXIOVKVEZAUVSUXJUXIUXM
      AUXJUXNUXIUXOUXPWSWQAOUVJWDVUMUXIVTAUVJFOAUVJYPVGVUJUVJFOVHAURMUSYTZUKEJR
      UVJFYPOUBUOUEYQVRVJUVJOYRVLUUPUUQWSABCJNUVDUUTFYPUVCPTUCUOAURKUSYTUPACDEI
      JKLMOPQRSTUAUBUCUDUEUFUGUHUIUJUKUURULUVDUUSZYSAUVNUVIUVOUVLVCABDJGUVDUVGF
      YPIQUAUDUOVULUPUJUMVUOYSABEJHUVDUVJFYPORUBUEUOVUNUPUKUNVUOYSWRYN $.
  $}

  ${
    $d ph x y $.  $d B x y $.  $d F x y $.  $d S x y $.  $d T x y $.
    ismhmd.b $e |- B = ( Base ` S ) $.
    ismhmd.c $e |- C = ( Base ` T ) $.
    ismhmd.p $e |- .+ = ( +g ` S ) $.
    ismhmd.q $e |- .+^ = ( +g ` T ) $.
    ismhmd.0 $e |- .0. = ( 0g ` S ) $.
    ismhmd.z $e |- Z = ( 0g ` T ) $.
    ismhmd.s $e |- ( ph -> S e. Mnd ) $.
    ismhmd.t $e |- ( ph -> T e. Mnd ) $.
    ismhmd.f $e |- ( ph -> F : B --> C ) $.
    ismhmd.a $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( F ` ( x .+ y ) ) = ( ( F ` x ) .+^ ( F ` y ) ) ) $.
    ismhmd.h $e |- ( ph -> ( F ` .0. ) = Z ) $.
    $( Deduction version of ~ ismhm .  (Contributed by SN, 27-Jul-2024.) $)
    ismhmd $p |- ( ph -> F e. ( S MndHom T ) ) $=
      ( cmnd wcel wf cv cfv wceq wral w3a cmhm ralrimivva 3jca ismhm syl21anbrc
      co ) AHUDUEIUDUEDEJUFZBUGZCUGZFUQJUHUSJUHUTJUHGUQUIZCDUJBDUJZKJUHLUIZUKJH
      IULUQUESTAURVBVCUAAVABCDDUBUMUCUNBCDEFGHIJLKMNOPQRUOUP $.
  $}

  ${
    ablcmnd.1 $e |- ( ph -> G e. Abel ) $.
    $( An Abelian group is a commutative monoid.  (Contributed by SN,
       1-Jun-2024.) $)
    ablcmnd $p |- ( ph -> G e. CMnd ) $=
      ( cabl wcel ccmn ablcmn syl ) ABDEBFECBGH $.
  $}

  ${
    ringcld.b $e |- B = ( Base ` R ) $.
    ringcld.t $e |- .x. = ( .r ` R ) $.
    ringcld.r $e |- ( ph -> R e. Ring ) $.
    ringcld.x $e |- ( ph -> X e. B ) $.
    ringcld.y $e |- ( ph -> Y e. B ) $.
    $( Closure of the multiplication operation of a ring.  (Contributed by SN,
       29-Jul-2024.) $)
    ringcld $p |- ( ph -> ( X .x. Y ) e. B ) $=
      ( crg wcel co ringcl syl3anc ) ACLMEBMFBMEFDNBMIJKBCDEFGHOP $.
  $}

  ${
    ringassd.b $e |- B = ( Base ` R ) $.
    ringassd.t $e |- .x. = ( .r ` R ) $.
    ringassd.r $e |- ( ph -> R e. Ring ) $.
    ringassd.x $e |- ( ph -> X e. B ) $.
    ringassd.y $e |- ( ph -> Y e. B ) $.
    ringassd.z $e |- ( ph -> Z e. B ) $.
    $( Associative law for multiplication in a ring.  (Contributed by SN,
       14-Aug-2024.) $)
    ringassd $p |- ( ph -> ( ( X .x. Y ) .x. Z ) = ( X .x. ( Y .x. Z ) ) ) $=
      ( crg wcel co wceq ringass syl13anc ) ACNOEBOFBOGBOEFDPGDPEFGDPDPQJKLMBCD
      EFGHIRS $.
  $}

  ${
    ringlidmd.b $e |- B = ( Base ` R ) $.
    ringlidmd.t $e |- .x. = ( .r ` R ) $.
    ringlidmd.u $e |- .1. = ( 1r ` R ) $.
    ringlidmd.r $e |- ( ph -> R e. Ring ) $.
    ringlidmd.x $e |- ( ph -> X e. B ) $.
    $( The unit element of a ring is a left multiplicative identity.
       (Contributed by SN, 14-Aug-2024.) $)
    ringlidmd $p |- ( ph -> ( .1. .x. X ) = X ) $=
      ( crg wcel co wceq ringlidm syl2anc ) ACLMFBMEFDNFOJKBCDEFGHIPQ $.
  $}

  ${
    ringridmd.b $e |- B = ( Base ` R ) $.
    ringridmd.t $e |- .x. = ( .r ` R ) $.
    ringridmd.u $e |- .1. = ( 1r ` R ) $.
    ringridmd.r $e |- ( ph -> R e. Ring ) $.
    ringridmd.x $e |- ( ph -> X e. B ) $.
    $( The unit element of a ring is a right multiplicative identity.
       (Contributed by SN, 14-Aug-2024.) $)
    ringridmd $p |- ( ph -> ( X .x. .1. ) = X ) $=
      ( crg wcel co wceq ringridm syl2anc ) ACLMFBMFEDNFOJKBCDEFGHIPQ $.
  $}

  ${
    ringabld.1 $e |- ( ph -> R e. Ring ) $.
    $( A ring is an Abelian group.  (Contributed by SN, 1-Jun-2024.) $)
    ringabld $p |- ( ph -> R e. Abel ) $=
      ( crg wcel cabl ringabl syl ) ABDEBFECBGH $.

    $( A ring is a commutative monoid.  (Contributed by SN, 1-Jun-2024.) $)
    ringcmnd $p |- ( ph -> R e. CMnd ) $=
      ( ringabld ablcmnd ) ABABCDE $.
  $}

  ${
    drngringd.1 $e |- ( ph -> R e. DivRing ) $.
    $( A division ring is a ring.  (Contributed by SN, 16-May-2024.) $)
    drngringd $p |- ( ph -> R e. Ring ) $=
      ( cdr wcel crg drngring syl ) ABDEBFECBGH $.

    $( A division ring is a group.  (Contributed by SN, 16-May-2024.) $)
    drnggrpd $p |- ( ph -> R e. Grp ) $=
      ( drngringd ringgrpd ) ABABCDE $.
  $}

  ${
    drnginvrcld.b $e |- B = ( Base ` R ) $.
    drnginvrcld.0 $e |- .0. = ( 0g ` R ) $.
    drnginvrcld.i $e |- I = ( invr ` R ) $.
    drnginvrcld.r $e |- ( ph -> R e. DivRing ) $.
    drnginvrcld.x $e |- ( ph -> X e. B ) $.
    drnginvrcld.1 $e |- ( ph -> X =/= .0. ) $.
    $( Closure of the multiplicative inverse in a division ring.  ( ~ reccld
       analog).  (Contributed by SN, 14-Aug-2024.) $)
    drnginvrcld $p |- ( ph -> ( I ` X ) e. B ) $=
      ( cdr wcel wne cfv drnginvrcl syl3anc ) ACMNEBNEFOEDPBNJKLBCDEFGHIQR $.

    $( A multiplicative inverse in a division ring is nonzero.  ( ~ recne0d
       analog).  (Contributed by SN, 14-Aug-2024.) $)
    drnginvrn0d $p |- ( ph -> ( I ` X ) =/= .0. ) $=
      ( cdr wcel wne cfv drnginvrn0 syl3anc ) ACMNEBNEFOEDPFOJKLBCDEFGHIQR $.
  $}

  ${
    drnginvrld.b $e |- B = ( Base ` R ) $.
    drnginvrld.0 $e |- .0. = ( 0g ` R ) $.
    drnginvrld.t $e |- .x. = ( .r ` R ) $.
    drnginvrld.u $e |- .1. = ( 1r ` R ) $.
    drnginvrld.i $e |- I = ( invr ` R ) $.
    drnginvrld.r $e |- ( ph -> R e. DivRing ) $.
    drnginvrld.x $e |- ( ph -> X e. B ) $.
    drnginvrld.1 $e |- ( ph -> X =/= .0. ) $.
    $( Property of the multiplicative inverse in a division ring.  ( ~ recid2d
       analog).  (Contributed by SN, 14-Aug-2024.) $)
    drnginvrld $p |- ( ph -> ( ( I ` X ) .x. X ) = .1. ) $=
      ( cdr wcel wne cfv co wceq drnginvrl syl3anc ) ACQRGBRGHSGFTGDUAEUBNOPBCD
      EFGHIJKLMUCUD $.

    $( Property of the multiplicative inverse in a division ring.  ( ~ recidd
       analog).  (Contributed by SN, 14-Aug-2024.) $)
    drnginvrrd $p |- ( ph -> ( X .x. ( I ` X ) ) = .1. ) $=
      ( cdr wcel wne cfv co wceq drnginvrr syl3anc ) ACQRGBRGHSGGFTDUAEUBNOPBCD
      EFGHIJKLMUCUD $.
  $}

  ${
    drngmulcanad.b $e |- B = ( Base ` R ) $.
    drngmulcanad.0 $e |- .0. = ( 0g ` R ) $.
    drngmulcanad.t $e |- .x. = ( .r ` R ) $.
    drngmulcanad.r $e |- ( ph -> R e. DivRing ) $.
    drngmulcanad.x $e |- ( ph -> X e. B ) $.
    drngmulcanad.y $e |- ( ph -> Y e. B ) $.
    drngmulcanad.z $e |- ( ph -> Z e. B ) $.
    drngmulcanad.1 $e |- ( ph -> Z =/= .0. ) $.
    ${
      drngmulcanad.2 $e |- ( ph -> ( Z .x. X ) = ( Z .x. Y ) ) $.
      $( Cancellation of a nonzero factor on the left for multiplication.
         ( ~ mulcanad analog).  (Contributed by SN, 14-Aug-2024.) $)
      drngmulcanad $p |- ( ph -> X = Y ) $=
        ( cfv co 3eqtr3d cinvr oveq2d cur eqid drnginvrld drngringd drnginvrcld
        oveq1d ringassd ringlidmd ) AHCUARZRZHEDSZDSZULHFDSZDSZEFAUMUOULDQUBAUL
        HDSZEDSCUCRZEDSUNEAUQUREDABCDURUKHGIJKURUDZUKUDZLOPUEZUHABCDULHEIKACLUF
        ZABCUKHGIJUTLOPUGZOMUIABCDUREIKUSVBMUJTAUQFDSURFDSUPFAUQURFDVAUHABCDULH
        FIKVBVCONUIABCDURFIKUSVBNUJTT $.
    $}

    ${
      drngmulcan2ad.2 $e |- ( ph -> ( X .x. Z ) = ( Y .x. Z ) ) $.
      $( Cancellation of a nonzero factor on the right for multiplication.
         ( ~ mulcan2ad analog).  (Contributed by SN, 14-Aug-2024.) $)
      drngmulcan2ad $p |- ( ph -> X = Y ) $=
        ( co cfv eqid cinvr oveq1d cur drngringd drnginvrcld ringassd ringridmd
        drnginvrrd oveq2d 3eqtrd 3eqtr3d ) AEHDRZHCUASZSZDRZFHDRZUNDRZEFAULUPUN
        DQUBAUOEHUNDRZDRECUCSZDREABCDEHUNIKACLUDZMOABCUMHGIJUMTZLOPUEZUFAURUSED
        ABCDUSUMHGIJKUSTZVALOPUHZUIABCDUSEIKVCUTMUGUJAUQFURDRFUSDRFABCDFHUNIKUT
        NOVBUFAURUSFDVDUIABCDUSFIKVCUTNUGUJUK $.
    $}
  $}

  ${
    drnginvmuld.b $e |- B = ( Base ` R ) $.
    drnginvmuld.z $e |- .0. = ( 0g ` R ) $.
    drnginvmuld.t $e |- .x. = ( .r ` R ) $.
    drnginvmuld.i $e |- I = ( invr ` R ) $.
    drnginvmuld.r $e |- ( ph -> R e. DivRing ) $.
    drnginvmuld.x $e |- ( ph -> X e. B ) $.
    drnginvmuld.y $e |- ( ph -> Y e. B ) $.
    drnginvmuld.1 $e |- ( ph -> X =/= .0. ) $.
    drnginvmuld.2 $e |- ( ph -> Y =/= .0. ) $.
    $( Inverse of a nonzero product.  (Contributed by SN, 14-Aug-2024.) $)
    drnginvmuld $p |-
      ( ph -> ( I ` ( X .x. Y ) ) = ( ( I ` Y ) .x. ( I ` X ) ) ) $=
      ( co cfv wne drngringd ringcld drngmulne0 drnginvrcld cur eqid drnginvrld
      mpbir2and oveq1d ringlidmd oveq2d ringassd 3eqtr3d 3eqtr4d drngmulcan2ad
      eqtrd eqcomd ) ABCDFGDRZESZGESZFESZDRZHURIJKMABCEURHIJLMABCDFGIKACMUAZNOU
      BZAURHTFHTGHTPQABCDFGHIJKMNOUCUHZUDABCDUTVAIKVCABCEGHIJLMOQUDZABCEFHIJLMN
      PUDZUBVDVEACUESZUTVAURDRZDRZUSURDRVBURDRAUTGDRZUTVAFDRZGDRZDRZVHVJAVNVKAV
      MGUTDAVMVHGDRGAVLVHGDABCDVHEFHIJKVHUFZLMNPUGUIABCDVHGIKVOVCOUJUPUKUQABCDV
      HEGHIJKVOLMOQUGAVMVIUTDABCDVAFGIKVCVGNOULUKUMABCDVHEURHIJKVOLMVDVEUGABCDU
      TVAURIKVCVFVGVDULUNUO $.
  $}

  ${
    lmodgrpd.1 $e |- ( ph -> W e. LMod ) $.
    $( A left module is a group.  (Contributed by SN, 16-May-2024.) $)
    lmodgrpd $p |- ( ph -> W e. Grp ) $=
      ( clmod wcel cgrp lmodgrp syl ) ABDEBFECBGH $.
  $}

  $( A vector space is a group.  (Contributed by SN, 28-May-2023.) $)
  lvecgrp $p |- ( W e. LVec -> W e. Grp ) $=
    ( clvec wcel clmod cgrp lveclmod lmodgrp syl ) ABCADCAECAFAGH $.

  ${
    lveclmodd.1 $e |- ( ph -> W e. LVec ) $.
    $( A vector space is a left module.  (Contributed by SN, 16-May-2024.) $)
    lveclmodd $p |- ( ph -> W e. LMod ) $=
      ( clvec wcel clmod lveclmod syl ) ABDEBFECBGH $.

    $( A vector space is a group.  (Contributed by SN, 16-May-2024.) $)
    lvecgrpd $p |- ( ph -> W e. Grp ) $=
      ( lveclmodd lmodgrpd ) ABABCDE $.
  $}

  ${
    lvecring.1 $e |- F = ( Scalar ` W ) $.
    $( The scalar component of a vector space is a ring.  (Contributed by SN,
       28-May-2023.) $)
    lvecring $p |- ( W e. LVec -> F e. Ring ) $=
      ( clvec wcel clmod crg lveclmod lmodring syl ) BDEBFEAGEBHABCIJ $.
  $}

  $( The property for modules to be vector spaces is invariant under module
     isomorphism.  (Contributed by Steven Nguyen, 15-Aug-2023.) $)
  lmhmlvec $p |- ( F e. ( S LMHom T ) -> ( S e. LVec <-> T e. LVec ) ) $=
    ( clmhm co wcel clmod csca cfv cdr wa lmhmlmod1 lmhmlmod2 2thd eqid lmhmsca
    clvec eqcomd eleq1d islvec anbi12d 3bitr4g ) CABDEFZAGFZAHIZJFZKBGFZBHIZJFZ
    KAQFBQFUCUDUGUFUIUCUDUGABCLABCMNUCUEUHJUCUHUEABCUEUHUEOZUHOZPRSUAUEAUJTUHBU
    KTUB $.

  ${
    frlm0vald.f $e |- F = ( R freeLMod I ) $.
    frlm0vald.0 $e |- .0. = ( 0g ` R ) $.
    frlm0vald.r $e |- ( ph -> R e. Ring ) $.
    frlm0vald.i $e |- ( ph -> I e. W ) $.
    frlm0vald.j $e |- ( ph -> J e. I ) $.
    $( All coordinates of the zero vector are zero.  (Contributed by SN,
       14-Aug-2024.) $)
    frlm0vald $p |- ( ph -> ( ( 0g ` F ) ` J ) = .0. ) $=
      ( csn cxp cfv c0g crg wcel wceq frlm0 syl2anc fveq1d fvconst2 syl eqtr3d
      fvexi ) AEDGMNZOZECPOZOGAEUGUIABQRDFRUGUISJKBCDFGHITUAUBAEDRUHGSLDGEGBPIU
      FUCUDUE $.
  $}

  ${
    $d I x y $.  $d K u x y $.  $d F x y $.  $d W t u x y $.  $d I t u $.
    frlmsnic.w $e |- W = ( K freeLMod { I } ) $.
    frlmsnic.1 $e |- F = ( x e. ( Base ` W ) |-> ( x ` I ) ) $.
    $( Given a free module with a singleton as the index set, that is, a free
       module of one-dimensional vectors, the function that maps each vector to
       its coordinate is a module isomorphism from that module to its ring of
       scalars seen as a module.  (Contributed by Steven Nguyen,
       18-Aug-2023.) $)
    frlmsnic $p |- ( ( K e. Ring /\ I e. _V ) ->
                                  F e. ( W LMIso ( ringLMod ` K ) ) ) $=
      ( vy crg wcel cvv wa cfv co cbs eqid adantr wceq syl fveq1 vt clmhm clmim
      vu crglmod wf1o cvsca csca clmod csn snex frlmlmod rlmlmod rlmsca frlmsca
      mpan2 eqtr3d cplusg rlmbas rlmplusg cgrp lmodgrp cv frlmbasf adantl snidg
      wf mpan ffvelrnd simpll a1i simprl simprr frlmvplusgvalc lmodvacl syl3anc
      fmptd cmpt cbvmptv eqtri fvexd fvmpt3 fvmpt2d mpdan oveq12d 3eqtr4d cmulr
      isghmd eqcomd fveq2d eleq2d biimpa adantrr rlmvsca eqtrdi sylan2 lmodvscl
      frlmvscaval oveqi fvmptd3 fvex fvmpt3i oveq2d islmhmd cop simplr fsnd cfn
      simpr wb snfi frlmfielbas sylancl mpbird simpllr vex fvsng eqtr2d ex ffnd
      wfn fnsnbt biimpd sylc opeq2 sneqd eqeq2d syl5ibrcom impbid f1o2d f1oeq3d
      mpbid islmim sylanbrc ) DIJZCKJZLZBEDUEMZUBNJEOMZYROMZBUFZBEYRUCNJYQAHEYR
      EUGMZYRUGMZBYRUHMZEUHMZUUEOMZYSYSPZUUBPZUUCPUUEPZUUDPUUFPZYOEUIJZYPYOCUJZ
      KJZUUKCUKZDEUULKFULZUPQZYOYRUIJZYPDUMZQYQDUUDUUEYODUUDRYPDIUNQYODUUERZYPY
      OUUMUUSUUNDEUULIKFUOUPQZUQYQAHEURMZDURMZEYRBYSDOMZUUGDUSZUVAPZDUTYQUUKEVA
      JUUPEVBSYOYRVAJZYPYOUUQUVFUURYRVBSQYQAYSCAVCZMZUVCBYQUVGYSJZLUULUVCCUVGUV
      IUULUVCUVGVGZYQUUMUVIUVJUUNYSDEUULUVCKUVGFUVCPZUUGVDVHVEZYQCUULJZUVIYPUVM
      YOCKVFVEZQVIZGVQYQUVIHVCZYSJZLZLZCUVGUVPUVANZMZUVHCUVPMZUVBNUVTBMZUVGBMZU
      VPBMZUVBNUVSYSUVBUVADEUULCIKUVGUVPFUUGYOYPUVRVJUUMUVSUUNVKYQUVIUVQVLZYQUV
      IUVQVMZYQUVMUVRUVNQUVBPUVEVNUVSUVTYSJZUWCUWARUVSUUKUVIUVQUWHYQUUKUVRUUPQU
      WFUWGUVAYSEUVGUVPUUGUVEVOVPUAUVTCUAVCZMZUWAYSBKCUWIUVTTBAYSUVHVRZUAYSUWJV
      RGAUAYSUVHUWJCUVGUWITVSVTUWIYSJCUWIWAWBSUVSUWDUVHUWEUWBUVBUVSUVIUWDUVHRUW
      FUVSAYSUVHBKBUWKRUVSGVKUVSUVILCUVGWAWCWDUVSUVQUWEUWBRZUWGAUVPUVHUWBYSBKCU
      VGUVPTZGUVICUVGWAWBSWEWFWHYQUVGUUFJZUVQLZLZCUVGUVPUUBNZMZUVGUWBUUCNZUWQBM
      UVGUWEUUCNUWPUWRUVGUWBDWGMZNUWSUWPUVGYSDUUBUWTUULCUVCKUVPEFUUGUVKUUMUWPUU
      NVKYQUWNUVGUVCJZUVQYQUWNUXAYQUUFUVCUVGYQUUEDOYQDUUEUUTWIWJWKWLWMYQUWNUVQV
      MZYQUVMUWOUVNQUUHUWTPWRUWTUUCUVGUWBDWNWSWOUWPUDUWQCUDVCZMZUWRYSBKBUWKUDYS
      UXDVRGAUDYSUVHUXDCUVGUXCTVSVTCUXCUWQTUWPUUKUWNUVQUWQYSJYQUUKUWOYPYOUUMUUK
      UUMYPUUNVKUUOWPQYQUWNUVQVLUXBUVGUUBUUEUUFYSEUVPUUGUUIUUHUUJWQVPUWPCUWQWAW
      TUWPUWEUWBUVGUUCUWPUVQUWLUXBAUVPUVHUWBYSBUWMGCUVGXAXBSXCWFXDYQYSUVCBUFUUA
      YQAHYSUVCUVHCUVPXEZUJZBGUVOYQUVPUVCJZLZUXFYSJZUULUVCUXFVGZUXHCUVPKUVCYOYP
      UXGXFYQUXGXIXGUXHYOUULXHJUXIUXJXJYOYPUXGVJCXKYSDEUULUVCIUXFFUVKUUGXLXMXNY
      QUVIUXGLZLZUVGUXFRZUVPUVHRZUXLUXMUXNUXLUXMLZUVHCUXFMZUVPUXMUVHUXPRUXLCUVG
      UXFTVEUXOYPUVPKJUXPUVPRYOYPUXKUXMXOHXPCUVPKKXQXMXRXSUXLUXMUXNUVGCUVHXEZUJ
      ZRZUXLYPUVGUULYAZUXSYOYPUXKXFUXLUULUVCUVGYQUVIUVJUXGUVLWMXTYPUXTUXSCUVGYB
      YCYDUXNUXFUXRUVGUXNUXEUXQUVPUVHCYEYFYGYHYIYJYQUVCYTYSBUVCYTRYQUVDVKYKYLYS
      YTEYRBUUGYTPYMYN $.
  $}

  ${
    uvccl.u $e |- U = ( R unitVec I ) $.
    uvccl.y $e |- Y = ( R freeLMod I ) $.
    uvccl.b $e |- B = ( Base ` Y ) $.
    $( A unit vector is a vector.  (Contributed by Steven Nguyen,
       16-Jul-2023.) $)
    uvccl $p |- ( ( R e. Ring /\ I e. W /\ J e. I ) -> ( U ` J ) e. B ) $=
      ( crg wcel w3a wf uvcff 3adant3 simp3 ffvelrnd ) BKLZDFLZEDLZMDAECSTDACNU
      AABCDFGHIJOPSTUAQR $.
  $}

  ${
    uvcn0.u $e |- U = ( R unitVec I ) $.
    uvcn0.y $e |- Y = ( R freeLMod I ) $.
    uvcn0.b $e |- B = ( Base ` Y ) $.
    uvcn0.0 $e |- .0. = ( 0g ` Y ) $.
    $( A unit vector is nonzero.  (Contributed by Steven Nguyen,
       16-Jul-2023.) $)
    uvcn0 $p |- ( ( R e. NzRing /\ I e. W /\ J e. I ) -> ( U ` J ) =/= .0. ) $=
      ( cnzr wcel w3a cfv c0g wne eqid 3ad2ant1 cur nzrnz simp1 simp2 simp3 crg
      uvcvv1 nzrring frlm0vald 3netr4d fveq1 necon3i syl wceq a1i neeqtrrd ) BM
      NZDFNZEDNZOZECPZGQPZHUTEVAPZEVBPZRVAVBRUTBUAPZBQPZVCVDUQURVEVFRUSBVEVFVES
      ZVFSZUBTUTBCVEDEMFIUQURUSUCUQURUSUDZUQURUSUEZVGUGUTBGDEFVFJVHUQURBUFNUSBU
      HTVIVJUIUJVAVBVCVDEVAVBUKULUMHVBUNUTLUOUP $.
  $}

  ${
    pwselbasr.y $e |- Y = ( R ^s I ) $.
    pwselbasr.b $e |- B = ( Base ` R ) $.
    pwselbasr.v $e |- V = ( Base ` Y ) $.
    pwselbasr.r $e |- ( ph -> R e. W ) $.
    pwselbasr.i $e |- ( ph -> I e. Z ) $.
    pwselbasr.x $e |- ( ph -> X : I --> B ) $.
    $( The reverse direction of ~ pwselbasb : a function between the index and
       base set of a structure is an element of the structure power.
       (Contributed by SN, 29-Jul-2024.) $)
    pwselbasr $p |- ( ph -> X e. V ) $=
      ( wcel wf wb pwselbasb syl2anc mpbird ) AGEPZDBGQZOACFPDIPUBUCRMNBCDEFGHI
      JKLSTUA $.
  $}

  ${
    $d A a b x $.  $d B a b x $.  $d M a b $.  $d R x $.  $d T a b $.
    $d Y x $.  $d ph a b x $.
    pwspjmhmmgpd.y $e |- Y = ( R ^s I ) $.
    pwspjmhmmgpd.b $e |- B = ( Base ` Y ) $.
    pwspjmhmmgpd.m $e |- M = ( mulGrp ` Y ) $.
    pwspjmhmmgpd.t $e |- T = ( mulGrp ` R ) $.
    pwspjmhmmgpd.r $e |- ( ph -> R e. Ring ) $.
    pwspjmhmmgpd.i $e |- ( ph -> I e. V ) $.
    pwspjmhmmgpd.a $e |- ( ph -> A e. I ) $.
    $( The projection given by ~ pwspjmhm is also a monoid homomorphism between
       the respective multiplicative groups.  (Contributed by SN,
       30-Jul-2024.) $)
    pwspjmhmmgpd $p |- ( ph -> ( x e. B |-> ( x ` A ) ) e. ( M MndHom T ) ) $=
      ( cfv wcel wceq va vb cbs cmulr cv cmpt cur mgpbas mgpplusg ringidval crg
      eqid pwsring syl2anc ringmgp syl wa adantr simpr pwselbas ffvelrnd fmpttd
      cmnd co cof simprl simprr pwsmulrval fveq1d ffnd inidm eqidd ofval mpidan
      eqtrd ringcl syl3an1 3expb fveq1 fvex fvmpt oveq12d 3eqtr4d ringidcl 3syl
      csn cxp pws1 fvconst2 3eqtr2d ismhmd ) AUAUBDEUCRZJUDRZEUDRZHFBDCBUEZRZUF
      ZJUGRZEUGRZDJHMLUHWLEFNWLULZUHJWMHMWMULZUIEWNFNWNULZUIJWRHMWRULZUJEWSFNWS
      ULZUJAJUKSZHVCSAEUKSZGISZXEOPEGIJKUMUNZJHMUOUPAXFFVCSOEFNUOUPABDWPWLAWODS
      ZUQZGWLCWOXJWLEGDUKWOJIKWTLAXFXIOURAXGXIPURAXIUSUTACGSZXIQURVAVBAUAUEZDSZ
      UBUEZDSZUQZUQZCXLXNWMVDZRZCXLRZCXNRZWNVDZXRWQRZXLWQRZXNWQRZWNVDXQXSCXLXNW
      NVEVDZRZYBXQCXRYFXQDEWMWNXLXNGUKIJKLAXFXPOURZAXGXPPURZAXMXOVFZAXMXOVGZXBX
      AVHVIAXPXKYGYBTQXQGGXTYAWNGXLXNIICXQGWLXLXQWLEGDUKXLJIKWTLYHYIYJUTVJXQGWL
      XNXQWLEGDUKXNJIKWTLYHYIYKUTVJYIYIGVKXQXKUQZXTVLYLYAVLVMVNVOXQXRDSZYCXSTAX
      MXOYMAXEXMXOYMXHDJWMXLXNLXAVPVQVRBXRWPXSDWQCWOXRVSWQULZCXRVTWAUPXQYDXTYEY
      AWNXQXMYDXTTYJBXLWPXTDWQCWOXLVSYNCXLVTWAUPXQXOYEYATYKBXNWPYADWQCWOXNVSYNC
      XNVTWAUPWBWCAWRWQRZCWRRZCGWSWFWGZRZWSAXEWRDSYOYPTXHDJWRLXCWDBWRWPYPDWQCWO
      WRVSYNCWRVTWAWEACYQWRAXFXGYQWRTOPEWSGIJKXDWHUNVIAXKYRWSTQGWSCEUGVTWIUPWJW
      K $.
  $}

  ${
    $d A x $.  $d B x $.  $d N x $.  $d R x $.  $d X x $.  $d Y x $.
    $d .xb x $.  $d ph x $.
    pwsexpg.y $e |- Y = ( R ^s I ) $.
    pwsexpg.b $e |- B = ( Base ` Y ) $.
    pwsexpg.m $e |- M = ( mulGrp ` Y ) $.
    pwsexpg.t $e |- T = ( mulGrp ` R ) $.
    pwsexpg.s $e |- .xb = ( .g ` M ) $.
    pwsexpg.g $e |- .x. = ( .g ` T ) $.
    pwsexpg.r $e |- ( ph -> R e. Ring ) $.
    pwsexpg.i $e |- ( ph -> I e. V ) $.
    pwsexpg.n $e |- ( ph -> N e. NN0 ) $.
    pwsexpg.x $e |- ( ph -> X e. B ) $.
    pwsexpg.a $e |- ( ph -> A e. I ) $.
    $( Value of a group exponentiation in a structure power.  Compare
       ~ pwsmulg .  (Contributed by SN, 30-Jul-2024.) $)
    pwsexpg $p |- ( ph -> ( ( N .xb X ) ` A ) = ( N .x. ( X ` A ) ) ) $=
      ( vx cfv cmpt cmhm wcel cn0 wceq pwspjmhmmgpd mgpbas mhmmulg syl3anc cmnd
      co crg pwsring syl2anc ringmgp syl mulgnn0cl fveq1 eqid fvex fvmpt oveq2d
      cv 3eqtr3d ) AJLEUQZUECBUEVIZUFZUGZUFZJLVNUFZGUQZBVKUFZJBLUFZGUQAVNIFUHUQ
      UIJUJUIZLCUIZVOVQUKAUEBCDFHIKMNOPQTUAUDULUBUCCEGVNIFJLCMIPOUMZRSUNUOAVKCU
      IZVOVRUKAIUPUIZVTWAWCAMURUIZWDADURUIHKUIWETUADHKMNUSUTMIPVAVBUBUCCEIJLWBR
      VCUOUEVKVMVRCVNBVLVKVDVNVEZBVKVFVGVBAVPVSJGAWAVPVSUKUCUELVMVSCVNBVLLVDWFB
      LVFVGVBVHVJ $.
  $}

  ${
    $d B x $.  $d I a x y $.  $d J a x y $.  $d M a x $.  $d R a $.  $d T a $.
    $d U a $.  $d Y a y $.  $d ph a x y $.
    pwsgprod.y $e |- Y = ( R ^s I ) $.
    pwsgprod.b $e |- B = ( Base ` R ) $.
    pwsgprod.o $e |- .1. = ( 1r ` Y ) $.
    pwsgprod.m $e |- M = ( mulGrp ` Y ) $.
    pwsgprod.t $e |- T = ( mulGrp ` R ) $.
    pwsgprod.i $e |- ( ph -> I e. V ) $.
    pwsgprod.j $e |- ( ph -> J e. W ) $.
    pwsgprod.r $e |- ( ph -> R e. CRing ) $.
    pwsgprod.f $e |- ( ( ph /\ ( x e. I /\ y e. J ) ) -> U e. B ) $.
    pwsgprod.w $e |- ( ph -> ( y e. J |-> ( x e. I |-> U ) ) finSupp .1. ) $.
    $( Finite products in a power structure are taken componentwise.  Compare
       ~ pwsgsum .  (Contributed by SN, 30-Jul-2024.) $)
    pwsgprod $p |- ( ph -> ( M gsum ( y e. J |-> ( x e. I |-> U ) ) ) =
                           ( x e. I |-> ( T gsum ( y e. J |-> U ) ) ) ) $=
      ( va cmpt cgsu co cv cfv wfn wceq ccrg eqid mgpbas ringidval wcel pwscrng
      cbs ccmn syl2anc crngmgp syl adantr anassrs an32s fmpttd pwselbasr gsumcl
      wa pwselbas ffnd nfcv nfmpt1 nfmpt dffn5f sylib fvmpt2 syl2an2r mpteq2dva
      nfov simpr oveq2d cmnmndd crg crngringd pwspjmhmmgpd adantlr cfsupp fveq1
      cmnd wbr gsummhm2 eqtr3d eqtr4d ) AKCJBIGUFZUFZUGUHZBIBUIZWRUJZUFZBIFCJGU
      FZUGUHZUFAWRIUKWRXAULAIDWRADEINUSUJZUMWRNLOPXDUNZUBTAJXDWQKMHXDNKRXEUOZNH
      KRQUPZANUMUQZKUTUQZAEUMUQZILUQZXHUBTEILNOURVANKRVBVCZUAACJWPXDACUIJUQZVJZ
      DEIXDUMWPNLOPXEAXJXMUBVDAXKXMTVDXNBIGDAWSIUQZXMGDUQZAXOXMXPUCVEZVFVGVHZVG
      UDVIVKVLBIWRBKWQUGBKVMBUGVMBCJWPBJVMBIGVNVOWAVPVQABIXCWTAXOVJZFCJWSWPUJZU
      FZUGUHXCWTXSYAXBFUGXSCJXTGXSXOXMXPXTGULAXOWBZXQBIGDWPWPUNVRVSVTWCXSUEJXDW
      SUEUIZUJXTCWTKFMWPHXFXGAXIXOXLVDAFWKUQXOAFAXJFUTUQUBEFSVBVCWDVDAJMUQXOUAV
      DXSUEWSXDEFIKLNOXERSAEWEUQXOAEUBWFVDAXKXOTVDYBWGAXMWPXDUQXOXRWHAWQHWIWLXO
      UDVDWSYCWPWJWSYCWRWJWMWNVTWO $.
  $}

  ${
    $d ph a f x $.  $d ph b p $.  $d P b f p $.  $d B b p $.  $d D b p $.
    $d K a x $.  $d U b f h p $.  $d T b p $.  $d T f x $.  $d M b p $.
    $d .^ b p $.  $d .x. b p $.  $d E f $.  $d F b f p $.  $d G b f p $.
    $d I a f x $.  $d I b h p $.  $d S a f x $.  $d R f x $.
    evlsval3.q $e |- Q = ( ( I evalSub S ) ` R ) $.
    evlsval3.p $e |- P = ( I mPoly U ) $.
    evlsval3.b $e |- B = ( Base ` P ) $.
    evlsval3.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    evlsval3.k $e |- K = ( Base ` S ) $.
    evlsval3.u $e |- U = ( S |`s R ) $.
    evlsval3.t $e |- T = ( S ^s ( K ^m I ) ) $.
    evlsval3.m $e |- M = ( mulGrp ` T ) $.
    evlsval3.w $e |- .^ = ( .g ` M ) $.
    evlsval3.x $e |- .x. = ( .r ` T ) $.
    evlsval3.e $e |- E = ( p e. B |-> ( T gsum ( b e. D |->
                 ( ( F ` ( p ` b ) ) .x. ( M gsum ( b oF .^ G ) ) ) ) ) ) $.
    evlsval3.f $e |- F = ( x e. R |-> ( ( K ^m I ) X. { x } ) ) $.
    evlsval3.g $e |- G = ( x e. I |-> ( a e. ( K ^m I ) |-> ( a ` x ) ) ) $.
    evlsval3.i $e |- ( ph -> I e. V ) $.
    evlsval3.s $e |- ( ph -> S e. CRing ) $.
    evlsval3.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    $( Give a formula for the polynomial evaluation homomorphism.  (Contributed
       by SN, 26-Jul-2024.) $)
    evlsval3 $p |- ( ph -> Q = E ) $=
      ( vf cv cascl cfv ccom wceq cmvr co wa crio wcel ccrg csubrg eqid evlsval
      crh syl3anc cbs subrgcrng syl2anc cmap cvv ovexd pwscrng csn cxp cmpt wss
      subrgss syl resmptd eqtr4id crg crngringd pwsdiagrhm resrhm eqeltrd wf wb
      cres fvexi elmapg sylancr biimpa adantlr simplr ffvelrnd fmpttd pwselbasb
      syl2an2r mpbird fmptd evlslem1 simp2d simp3d simp1d evlseu eqeq1d anbi12d
      wreu coeq1 riota2 mpbi2and eqtrd ) AFUTVAZEVBVCZVDZOVEZYDQKVFVGZVDZPVEZVH
      ZUTEIVOVGZVIZMAQTVJZHVKVJZGHVLVCVJZFYMVEUQURUSBYERFGHIKUTUBQYHEOPTUDUEYHV
      MZUIUJUHYEVMZUOUPVNVPAMYEVDZOVEZMYHVDZPVEZYMMVEZAMYLVJZYTUUBAYECIVQVCZDEK
      ISJLMNOPQYHTUAUCUEUFUUEVMZUGUKULUMYQUNUQAYOYPKVKVJURUSGHKUIVRVSZAYORQVTVG
      ZWAVJZIVKVJURARQVTWBZHUUHWAIUJWCVSZAOBRUUHBVAZWDWEZWFZGWSZKIVOVGZAOBGUUMW
      FUUOUOABRGUUMAYPGRWGUSGRHUHWHWIWJWKAUUNHIVOVGVJZYPUUOUUPVJAHWLVJUUIUUQAHU
      RWMUUJBRHUUNUUHWAIUJUHUUNVMWNVSUSHIKUUNGUIWOVSWPZABQUBUUHUULUBVAZVCZWFZUU
      EPAUULQVJZVHZUVAUUEVJZUUHRUVAWQZUVCUBUUHUUTRUVCUUSUUHVJZVHQRUULUUSAUVFQRU
      USWQZUVBAUVFUVGARWAVJYNUVFUVGWRRHVQUHWTUQRQUUSWATXAXBXCXDAUVBUVFXEXFXGAYO
      UVBUUIUVDUVEWRURUVCRQVTWBRHUUHUUEVKUVAIWAUJUHUUFXHXIXJUPXKZYRXLZXMAUUDYTU
      UBUVIXNAUUDYKUTYLXSYTUUBVHZUUCWRAUUDYTUUBUVIXOAYEUUEEKIUTOPQYHTUEUUFYRYQU
      QUUGUUKUURUVHXPYKUVJUTYLMYDMVEZYGYTYJUUBUVKYFYSOYDMYEXTXQUVKYIUUAPYDMYHXT
      XQXRYAVSYBYC $.
  $}

  ${
    evlsscaval.q $e |- Q = ( ( I evalSub S ) ` R ) $.
    evlsscaval.p $e |- P = ( I mPoly U ) $.
    evlsscaval.u $e |- U = ( S |`s R ) $.
    evlsscaval.k $e |- K = ( Base ` S ) $.
    evlsscaval.b $e |- B = ( Base ` P ) $.
    evlsscaval.a $e |- A = ( algSc ` P ) $.
    evlsscaval.i $e |- ( ph -> I e. V ) $.
    evlsscaval.s $e |- ( ph -> S e. CRing ) $.
    evlsscaval.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evlsscaval.x $e |- ( ph -> X e. R ) $.
    evlsscaval.l $e |- ( ph -> L e. ( K ^m I ) ) $.
    $( Polynomial evaluation builder for a scalar.  Compare ~ evl1scad .  Note
       that scalar multiplication by ` X ` is the same as vector multiplication
       by ` ( A `` X ) ` by ~ asclmul1 .  (Contributed by SN, 27-Jul-2024.) $)
    evlsscaval $p |- ( ph -> ( ( A ` X ) e. B /\
                               ( ( Q ` ( A ` X ) ) ` L ) = X ) ) $=
      ( cfv wcel wceq cbs eqid crg subrgring mplasclf subrgbas eleqtrd ffvelrnd
      csubrg syl cmap co csn cxp evlssca fveq1d fvconst2g syl2anc eqtrd jca ) A
      MBUEZCUFKVHEUEZUEZMUGAHUHUEZCMBABCDHIVKLORVKUISTAFGUPUEUFZHUJUFUBFGHPUKUQ
      ULAMFVKUCAVLFVKUGUBFGHPUMUQUNUOAVJKJIURUSZMUTVAZUEZMAKVIVNABJEFGHILDMNOPQ
      STUAUBUCVBVCAMFUFKVMUFVOMUGUCUDVMMKFVDVEVFVG $.
  $}

  ${
    $d ph g $.  $d K g $.  $d I g $.  $d W g $.  $d S g $.  $d R g $.
    $d X g $.  $d A g $.
    evlsvarval.q $e |- Q = ( ( I evalSub S ) ` R ) $.
    evlsvarval.p $e |- P = ( I mPoly U ) $.
    evlsvarval.v $e |- V = ( I mVar U ) $.
    evlsvarval.u $e |- U = ( S |`s R ) $.
    evlsvarval.k $e |- K = ( Base ` S ) $.
    evlsvarval.b $e |- B = ( Base ` P ) $.
    evlsvarval.i $e |- ( ph -> I e. W ) $.
    evlsvarval.s $e |- ( ph -> S e. CRing ) $.
    evlsvarval.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evlsvarval.x $e |- ( ph -> X e. I ) $.
    evlsvarval.a $e |- ( ph -> A e. ( K ^m I ) ) $.
    $( Polynomial evaluation builder for a variable.  (Contributed by SN,
       27-Jul-2024.) $)
    evlsvarval $p |- ( ph -> ( ( V ` X ) e. B /\
                               ( ( Q ` ( V ` X ) ) ` A ) = ( A ` X ) ) ) $=
      ( vg cfv wcel wceq csubrg crg subrgring syl mvrcl cv co cvv fveq1 evlsvar
      cmap fvexd fvmptd4 jca ) AMKUFZCUGBVCEUFZUFMBUFZUHACDHIKLMOPSTAFGUIUFUGHU
      JUGUBFGHQUKULUCUMAUEBMUEUNZUFVEJIUSUOVDUPMVFBUQAJEFGHUEIKLMNPQRTUAUBUCURU
      DAMBUTVAVB $.
  $}

  ${
    $d .0. s $.  $d .0. x $.  $d .1. s $.  $d .^ g l $.  $d A g v $.
    $d B a b l v x $.  $d B g l v $.  $d B b h $.  $d B b s $.
    $d D a b l v x $.  $d D a b p x $.  $d D b s $.  $d F b p $.
    $d I a b l v x $.  $d I g l v $.  $d I b h p $.  $d K a b l v x $.
    $d K g l v $.  $d K a b p x $.  $d M g $.  $d P b p $.  $d R b p x $.
    $d R b s $.  $d S a b l v x $.  $d S g l v $.  $d S a b p x $.
    $d U b h p $.  $d U b s $.  $d W b p $.  $d ph a b l v x $.  $d ph g l v $.
    $d ph p x $.  $d ph s $.
    evlsbagval.q $e |- Q = ( ( I evalSub S ) ` R ) $.
    evlsbagval.p $e |- P = ( I mPoly U ) $.
    evlsbagval.u $e |- U = ( S |`s R ) $.
    evlsbagval.w $e |- W = ( Base ` P ) $.
    evlsbagval.k $e |- K = ( Base ` S ) $.
    evlsbagval.m $e |- M = ( mulGrp ` S ) $.
    evlsbagval.e $e |- .^ = ( .g ` M ) $.
    evlsbagval.z $e |- .0. = ( 0g ` U ) $.
    evlsbagval.o $e |- .1. = ( 1r ` U ) $.
    evlsbagval.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    evlsbagval.f $e |- F = ( s e. D |-> if ( s = B , .1. , .0. ) ) $.
    evlsbagval.i $e |- ( ph -> I e. V ) $.
    evlsbagval.s $e |- ( ph -> S e. CRing ) $.
    evlsbagval.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evlsbagval.a $e |- ( ph -> A e. ( K ^m I ) ) $.
    evlsbagval.b $e |- ( ph -> B e. D ) $.
    $( Polynomial evaluation builder for a bag of variables.  EDITORIAL:  This
       theorem should stay in my mathbox until there's another use, since
       ` .0. ` and ` .1. ` using ` U ` instead of ` S ` is convenient for its
       sole use case ~ mhphf , but may not be convenient for other uses.
       (Contributed by SN, 29-Jul-2024.) $)
    evlsbagval $p |- ( ph -> ( F e. W /\ ( ( Q ` F ) ` A ) =
                    ( M gsum ( v e. I |-> ( ( B ` v ) .^ ( A ` v ) ) ) ) ) ) $=
      ( vg vb vx va vp vl wcel cfv cv co cmpt cgsu wceq cbs cfsupp wbr cmap cvv
      fvexd cfn cn0 ovexd cif crg eqid ifcld adantr fmptd eleqtrrd fveq1 oveq2d
      syl mpteq2dv csn cxp fveq2d oveq1d fvmptd4 c0g syl2anc ad2antrr pwselbasr
      wa ccrg wf fmpttd cur ffvelrnda ffvelrnd mgpbas ccmn crngmgp simpr elmapi
      adantl simplr psrbagev2 cdif eldifi fvexi a1i eqtrd sneq xpeq2d ovex snex
      fvmptd3 cmnd ringgrpd grpmndd eqtr3d 3eqtrd syl2an2r suppss2 mptexd csupp
      wfun funmpt ssfid isfsuppd syl3anc ffnd cc0 cmps ccnv cn rabexd subrgring
      cima csubrg ringidcl ring0cl psrbas sniffsupp mplelbas sylanbrc cpws cmgp
      elmapdd cmg cof cmulr evlsval3 cres crngringd pwsring ringcmnd wss sselda
      subrgss fconst6g subrg1 subrg1cl eqeltrrd eqeltrid subrgbas pwscrng eqeq1
      ringcld ifbid ifex wn eldifsnneq iffalsed xpex subrg0 eqtr4di sneqd pws0g
      ringlz snfi gsumres snssd resmptd iftrue eqtr4id ringlidmd eqeltrd 2fveq3
      xpexd pws1 oveq1 oveq12d gsumsn wfn mptex fnmpti inidm eqidd fveq2 offval
      psrbagf ringmgp pwselbas pwsexpg 3eqtr4d eqfnfvd cmnmndd adantrl ad2antrl
      mulgnn0cl mpteq2dva simprr psrbagfsupp fsuppimpd ssidd ad2antlr ringidval
      c0ex suppssr mulg0 fconstmpt eqtr3id pwsgprod jca ) ANSVDZCNGVEZVEQBOBVFZ
      DVEZUYOCVEZMVGZVHZVIVGZVJANOJUUAVGZVKVEZVDNTVLVMUYMANJVKVEZEVNVGVUBAVUCEN
      VOVOAJVKVPALVFUUBUUCUUFVQVDLVROVNVGEVOUKAVROVNVSUUDZAUAEUAVFZDVJZKTVTZVUC
      NAVUGVUCVDVUEEVDZAVUFKTVUCAJWAVDZKVUCVDAHIUUGVEVDZVUIUOHIJUDUUEWIZVUCJKVU
      CWBZUJUUHWIAVUITVUCVDVUKVUCJTVULUIUUIWIZWCWDULWEUUPAVUBEJVUALOVUCRVUAWBZV
      ULUKVUBWBZUMUUJWFAUAKNEVOVUCDTVUDVUMULUUKVUBFJVUASONTUCVUNVUOUIUEUULUUMZA
      URCQBOUYPUYOURVFZVEZMVGZVHZVIVGZUYTPOVNVGZUYNVOVUQCVJZVUTUYSQVIVVCBOVUSUY
      RVVCVURUYQUYPMUYOVUQCWGWHWJWHAUYNIVVBUUNVGZUSEUSVFZNVEZUTHVVBUTVFZWKZWLZV
      HZVEZVVDUUOVEZVVEUTOVAVVBVVGVAVFZVEZVHZVHZVVLUUQVEZUURZVGZVIVGZVVDUUSVEZV
      GZVHZVIVGZVVDUSDWKZVWBVHZVIVGZURVVBVVAVHZAVBNVVDUSEVVEVBVFZVEZVVJVEZVVTVW
      AVGZVHZVIVGZVWDSGVOVWINVJZVWMVWCVVDVIVWOUSEVWLVWBVWOVWKVVKVVTVWAVWOVWJVVF
      VVJVVEVWINWGWMWNWJWHAUTSEFGHIVVDVWAJLVBSVWNVHZVVQVVJVVPOPVVLRVBVAUSUBUCUE
      UKUFUDVVDWBZVVLWBZVVQWBZVWAWBZVWPWBVVJWBZVVPWBZUMUNUOUUTVUPAVVDVWCVIVSWOA
      VVDVWCVWEUVAZVIVGVWDVWGAEVVDVKVEZVWCVVDVOVWEVVDWPVEZVXDWBZVXEWBZAVVDAIWAV
      DZVVBVOVDZVVDWAVDZAIUNUVBZAPOVNVSZIVVBVOVVDVWQUVCWQZUVDVUDAUSEVWBVXDAVVEE
      VDZWTZVXDVVDVWAVVKVVTVXFVWTAVXJVXNVXMWDVXOHVXDVVFVVJVXOUTHVVIVXDVXOVVGHVD
      ZWTZPIVVBVXDXAVVIVVDVOVWQUFVXFAIXAVDZVXNVXPUNWRVXQPOVNVSVXQVVGPVDVVBPVVIX
      BVXOHPVVGAHPUVEZVXNAVUJVXSUOHPIUFUVGWIWDUVFVVBVVGPUVHWIWSXCAEHVVENAUAEVUG
      HNAVUGHVDVUHAVUFKTHAKJXDVEZHUJAIXDVEZVXTHAVUJVYAVXTVJUOHIJVYAUDVYAWBZUVIW
      IZAVUJVYAHVDUOHIVYAVYBUVJWIZUVKUVLATVUCHVUMAVUJHVUCVJUOHIJUDUVMWIWFZWCWDU
      LWEXEXFVXOVVEVXDEVVLVVQLVVPOUKVXDVVDVVLVWRVXFXGZVWSAVVLXHVDZVXNAVVDXAVDZV
      YGAVXRVXIVYHUNVXLIVVBVOVVDVWQUVNWQVVDVVLVWRXIWIZWDAVXNXJVXOUTOVVOVXDVXOVV
      GOVDZWTZPIVVBVXDXAVVOVVDVOVWQUFVXFAVXRVXNVYJUNWRVYKPOVNVSVYKVAVVBVVNPVYKV
      VMVVBVDZWTOPVVGVVMVYLOPVVMXBZVYKVVMPOXKZXLVXOVYJVYLXMXFXCWSXCXNUVPXCAEVWB
      USVOVWEVXEAVVEEVWEXOVDZWTZVWBVXEVVTVWAVGZVXEVYPVVKVXEVVTVWAVYPVVKTVVJVEVV
      BTWKZWLZVXEVYPVVFTVVJVYPVVFVVEDVJZKTVTZTVYPUAVVEVUGWUAENVOULVUEVVEVJVUFVY
      TKTVUEVVEDUVOUVQVYOVXNAVVEEVWEXPXLZWUAVOVDVYPVYTKTKJXDUJXQZTJWPUIXQUVRXRY
      DVYPVYTKTVYOVYTUVSAVVEEDUVTXLUWAXSWMVYPUTTVVIVYSHVVJVOVXAVVGTVJVVHVYRVVBV
      VGTXTYAATHVDVYOVYEWDVYSVOVDVYPVVBVYRPOVNYBZTYCUWBXRYDAVYSVXEVJVYOAVVBIWPV
      EZWKZWLZVYSVXEAWUFVYRVVBAWUETAWUEJWPVEZTAVUJWUEWUHVJUOHIJWUEUDWUEWBZUWCWI
      UIUWDUWEYAAIYEVDVXIWUGVXEVJAIAIVXKYFYGVXLIVVBVOVVDWUEVWQWUIUWFWQYHWDYIWNA
      VXJVYOVVTVXDVDVYQVXEVJVXMVYPVVEVXDEVVLVVQLVVPOUKVYFVWSAVYGVYOVYIWDWUBVYPU
      TOVVOVXDVYPVYJWTZPIVVBVXDXAVVOVVDVOVWQUFVXFAVXRVYOVYJUNWRWUJPOVNVSWUJVAVV
      BVVNPWUJVYLWTOPVVGVVMVYLVYMWUJVYNXLVYPVYJVYLXMXFXCWSXCXNVXDVVDVWAVVTVXEVX
      FVWTVXGUWGYJXSVUDYKZAVWCVOVOVXEAUSEVWBVOVUDYLAVVDWPVPVWCYNAUSEVWBYOXRAVWE
      VWCVXEYMVGVWEVQVDADUWHXRWUKYPYQUWIAVXCVWFVVDVIAUSEVWEVWBADEUQUWJUWKWHYHAV
      WGDNVEZVVJVEZVVLDVVPVVRVGZVIVGZVWAVGZVVDXDVEZWUOVWAVGZVWHAVVDYEVDDEVDZWUP
      VXDVDVWGWUPVJAVVDAVVDVXMYFYGUQAWUPWUOVXDAWUPWURWUOAWUMWUQWUOVWAAWUMKVVJVE
      ZVVBVYAWKZWLZWUQAWULKVVJAUADVUGKENVOULVUFKTUWLUQKVOVDAWUCXRYDWMAWUTVYAVVJ
      VEWVBAKVYAVVJAKVXTVYAUJVYCUWMWMAUTVYAVVIWVBHVVJVOVXAVVGVYAVJVVHWVAVVBVVGV
      YAXTYAVYDAVVBWVAVOVOVXLWVAVOVDAVYAYCXRUWQYDXSAVXHVXIWVBWUQVJZVXKVXLIVYAVV
      BVOVVDVWQVYBUWRZWQYIWNZAVXDVVDVWAWUQWUOVXFVWTWUQWBZVXMADVXDEVVLVVQLVVPOUK
      VYFVWSVYIUQAUTOVVOVXDAVYJWTZPIVVBVXDXAVVOVVDVOVWQUFVXFAVXRVYJUNWDWVGPOVNV
      SWVGVAVVBVVNPWVGVYLWTOPVVGVVMVYLVYMWVGVYNXLAVYJVYLXMXFXCWSXCXNZUWNZXSWVHU
      WOVWBVXDWUPUSVVDDEVXFVYTVVKWUMVVTWUOVWAVVEDVVJNUWPVYTVVSWUNVVLVIVVEDVVPVV
      RUWSWHUWTUXAYRWVEAWURWUOVVLBOURVVBVUSVHZVHZVIVGVWHWVIAWUNWVKVVLVIAWUNBOUY
      PVAVVBUYOVVMVEZVHZVVQVGZVHWVKABOOUYPWVMVVQODVVPRRAOVRDAWUSOVRDXBUQELDOUKU
      XIWIZYSVVPOUXBAUTOVVOVVPVAVVBVVNWUDUXCVXBUXDXRUMUMOUXEAUYOOVDZWTZUYPUXFWV
      QUTUYOVVOWVMOVVPVOVXBVVGUYOVJVAVVBVVNWVLVVGUYOVVMUXGWJAWVPXJWVMVOVDWVQVAV
      VBWVLWUDUXCXRYDUXHABOWVNWVJWVQVCVVBWVNWVJWVQVVBPWVNWVQPIVVBVXDXAWVNVVDVOV
      WQUFVXFAVXRWVPUNWDZWVQPOVNVSZWVQVVLYEVDZUYPVRVDZWVMVXDVDZWVNVXDVDAWVTWVPA
      VXJWVTVXMVVDVVLVWRUXJWIWDAOVRUYODWVOXEZWVQPIVVBVXDXAWVMVVDVOVWQUFVXFWVRWV
      SWVQVAVVBWVLPWVQVYLWTOPUYOVVMVYLVYMWVQVYNXLAWVPVYLXMXFXCWSZVXDVVQVVLUYPWV
      MVYFVWSUXRYRUXKYSWVJVVBUXBWVQURVVBVUSWVJUYPVURMYBWVJWBZUXDXRWVQVCVFZVVBVD
      ZWTZUYPWWFWVMVEZMVGUYPUYOWWFVEZMVGZWWFWVNVEWWFWVJVEWWHWWIWWJUYPMWWHVAWWFW
      VLWWJVVBWVMVOWVMWBUYOVVMWWFWGWVQWWGXJZWWHUYOWWFVPYDWHWWHWWFVXDIVVQQMVVBVV
      LUYPVOWVMVVDVWQVXFVWRUGVWSUHAVXHWVPWWGVXKWRWWHPOVNVSWVQWWAWWGWWCWDWVQWWBW
      WGWWDWDWWLUXLWWHURWWFVUSWWKVVBWVJVOWWEVUQWWFVJVURWWJUYPMUYOVUQWWFWGWHWWLW
      WHUYPWWJMVSYDUXMUXNUXSXSWHAURBPIQVUSWUQVVBOVVLVORVVDVWQUFWVFVWRUGVXLUMUNA
      VUQVVBVDZWVPWTZWTZQYEVDZWWAVURPVDZVUSPVDAWWPWWNAQAVXRQXHVDUNIQUGXIWIUXOWD
      AWVPWWAWWMWWCUXPWWOOPUYOVUQWWMOPVUQXBZAWVPVUQPOXKZUXQAWWMWVPUXTXFPMQUYPVU
      RPIQUGUFXGZUHUXRYRAWVKVOVOWUQABOWVJRUMYLAVVDXDVPWVKYNABOWVJYOXRADYTYMVGZW
      VKWUQYMVGADYTAWUSDYTVLVMUQELDOUKUYAWIUYBAOWVJBRWXAWUQAUYOOWXAXOVDZWTZWVJU
      RVVBVYAVHZWUQWXCURVVBVUSVYAWXCWWMWTZVUSYTVURMVGZVYAWXCVUSWXFVJWWMWXCUYPYT
      VURMAOVRVODRWXAUYOYTWVOAWXAUYCUMYTVOVDAUYFXRUYGWNWDWXEWWQWXFVYAVJWXEOPUYO
      VUQWWMWWRWXCWWSXLWXBWVPAWWMUYOOWXAXPUYDXFPMQVURVYAWWTIVYAQUGVYBUYEUHUYHWI
      XSUXSWXCWXDWVBWUQURVVBVYAUYIAVXHWXBVXIWVCVXKWXCPOVNVSWVDYJUYJXSUMYKYPYQUY
      KYIYIYIUPAQUYSVIVSWOUYL $.
  $}

  ${
    evlsaddval.q $e |- Q = ( ( I evalSub S ) ` R ) $.
    evlsaddval.p $e |- P = ( I mPoly U ) $.
    evlsaddval.u $e |- U = ( S |`s R ) $.
    evlsaddval.k $e |- K = ( Base ` S ) $.
    evlsaddval.b $e |- B = ( Base ` P ) $.
    evlsaddval.i $e |- ( ph -> I e. Z ) $.
    evlsaddval.s $e |- ( ph -> S e. CRing ) $.
    evlsaddval.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    evlsaddval.a $e |- ( ph -> A e. ( K ^m I ) ) $.
    evlsaddval.m $e |- ( ph -> ( M e. B /\ ( ( Q ` M ) ` A ) = V ) ) $.

    ${
      evlsexpval.g $e |- .xb = ( .g ` ( mulGrp ` P ) ) $.
      evlsexpval.f $e |- .^ = ( .g ` ( mulGrp ` S ) ) $.
      evlsexpval.n $e |- ( ph -> N e. NN0 ) $.
      $( Polynomial evaluation builder for exponentiation.  (Contributed by SN,
         27-Jul-2024.) $)
      evlsexpval $p |- ( ph -> ( ( N .xb M ) e. B /\
                               ( ( Q ` ( N .xb M ) ) ` A ) = ( N .^ V ) ) ) $=
        ( co wcel cfv wceq cmgp cmnd cn0 cmap cpws crh ccrg csubrg eqid evlsrhm
        crg syl3anc rhmrcl1 ringmgp 3syl simpld mgpbas mulgnn0cl cmg evlspw cbs
        fveq1d cvv crngringd ovexd wf syl ffvelrnd pwsexpg simprd oveq2d 3eqtrd
        rhmf jca ) ANMHUJZCUKZBWHEULZULZNOJUJZUMADUNULZUOUKZNUPUKMCUKZWIAEDGLKU
        QUJZURUJZUSUJUKZDVDUKWNAKPUKGUTUKFGVAULUKWRUBUCUDLEFGWQIKPDQRSWQVBZTVCV
        EZDWQEVFDWMWMVBZVGVHUIAWOBMEULZULZOUMZUFVIZCHWMNMCDWMXAUAVJUGVKVEAWKBNX
        BWQUNULZVLULZUJZULNXCJUJWLABWJXHACWQEFGIHWMXFKLNPDMQRXAUGSWSXFVBZTUAUBU
        CUDUIXEVMVOABWQVNULZGXGGUNULZJWPXFNVPXBWQWSXJVBZXIXKVBXGVBUHAGUCVQALKUQ
        VRUIACXJMEAWRCXJEVSWTCXJDWQEUAXLWFVTXEWAUEWBAXCONJAWOXDUFWCWDWEWG $.
    $}

    evlsaddval.n $e |- ( ph -> ( N e. B /\ ( ( Q ` N ) ` A ) = W ) ) $.

    ${
      evlsaddval.g $e |- .+b = ( +g ` P ) $.
      evlsaddval.f $e |- .+ = ( +g ` S ) $.
      $( Polynomial evaluation builder for addition.  (Contributed by SN,
         27-Jul-2024.) $)
      evlsaddval $p |- ( ph -> ( ( M .+b N ) e. B /\
                               ( ( Q ` ( M .+b N ) ) ` A ) = ( V .+ W ) ) ) $=
        ( co wcel cfv wceq cgrp cmap cpws cghm ccrg csubrg eqid evlsrhm syl3anc
        crh rhmghm syl ghmgrp1 simpld grpcl cof cplusg ghmlin cbs ovexd wf rhmf
        cvv ffvelrnd pwsplusgval eqtrd fveq1d wfn pwselbas ffnd fnfvof syl22anc
        simprd oveq12d 3eqtrd jca ) AMNFUKZCULZBWKGUMZUMZOPEUKZUNADUOULZMCULZNC
        ULZWLAGDILKUPUKZUQUKZURUKULZWPAGDWTVDUKULZXAAKQULIUSULHIUTUMULXBUCUDUEL
        GHIWTJKQDRSTWTVAZUAVBVCZDWTGVEVFZDWTGVGVFAWQBMGUMZUMZOUNZUGVHZAWRBNGUMZ
        UMZPUNZUHVHZCFDMNUBUIVIVCAWNBXFXJEVJUKZUMZXGXKEUKZWOABWMXNAWMXFXJWTVKUM
        ZUKZXNAXAWQWRWMXRUNXEXIXMFXQDWTMGNCUBUIXQVAZVLVCAWTVMUMZEXQIXFXJWSUSVQW
        TXCXTVAZUDALKUPVNZACXTMGAXBCXTGVOXDCXTDWTGUBYAVPVFZXIVRZACXTNGYCXMVRZUJ
        XSVSVTWAAXFWSWBXJWSWBWSVQULBWSULXOXPUNAWSLXFALIWSXTUSXFWTVQXCUAYAUDYBYD
        WCWDAWSLXJALIWSXTUSXJWTVQXCUAYAUDYBYEWCWDYBUFWSEXFXJVQBWEWFAXGOXKPEAWQX
        HUGWGAWRXLUHWGWHWIWJ $.
    $}

    ${
      evlsmulval.g $e |- .xb = ( .r ` P ) $.
      evlsmulval.f $e |- .x. = ( .r ` S ) $.
      $( Polynomial evaluation builder for multiplication.  (Contributed by SN,
         27-Jul-2024.) $)
      evlsmulval $p |- ( ph -> ( ( M .xb N ) e. B /\
                               ( ( Q ` ( M .xb N ) ) ` A ) = ( V .x. W ) ) ) $=
        ( co wcel cfv wceq crg cmap cpws crh csubrg evlsrhm syl3anc rhmrcl1 syl
        ccrg eqid simpld ringcl cof cmulr rhmmul cbs cvv ovexd wf rhmf ffvelrnd
        pwsmulrval eqtrd fveq1d wfn pwselbas ffnd fnfvof syl22anc simprd 3eqtrd
        oveq12d jca ) AMNHUKZCULZBWIEUMZUMZOPIUKZUNADUOULZMCULZNCULZWJAEDGLKUPU
        KZUQUKZURUKULZWNAKQULGVDULFGUSUMULWSUCUDUELEFGWRJKQDRSTWRVEZUAUTVAZDWRE
        VBVCAWOBMEUMZUMZOUNZUGVFZAWPBNEUMZUMZPUNZUHVFZCDHMNUBUIVGVAAWLBXBXFIVHU
        KZUMZXCXGIUKZWMABWKXJAWKXBXFWRVIUMZUKZXJAWSWOWPWKXNUNXAXEXIMNDWRHXMECUB
        UIXMVEZVJVAAWRVKUMZGXMIXBXFWQVDVLWRWTXPVEZUDALKUPVMZACXPMEAWSCXPEVNXACX
        PDWREUBXQVOVCZXEVPZACXPNEXSXIVPZUJXOVQVRVSAXBWQVTXFWQVTWQVLULBWQULXKXLU
        NAWQLXBALGWQXPVDXBWRVLWTUAXQUDXRXTWAWBAWQLXFALGWQXPVDXFWRVLWTUAXQUDXRYA
        WAWBXRUFWQIXBXFVLBWCWDAXCOXGPIAWOXDUGWEAWPXHUHWEWGWFWH $.
    $}
  $}

  ${
    $d V z $.  $d V c $.  $d X h $.  $d .+ m x y $.  $d .+ v $.  $d .0. c v $.
    $d .0. a b $.  $d .0. i j $.  $d .0. h n $.  $d .0. l m x y z $.
    $d I a b c h x $.  $d I l m y z $.  $d I j v $.  $d I i n $.  $d H b l $.
    $d H i n $.  $d H y $.  $d H h j m x z $.  $d H a $.  $d ph h j l v x z $.
    $d ph m y $.  $d ph i n $.  $d ph a b c $.  $d B a b z $.  $d B h i n $.
    $d B j l m x $.  $d B c v $.
    fsuppind.b $e |- B = ( Base ` G ) $.
    fsuppind.z $e |- .0. = ( 0g ` G ) $.
    fsuppind.p $e |- .+ = ( +g ` G ) $.
    fsuppind.g $e |- ( ph -> G e. Grp ) $.
    fsuppind.v $e |- ( ph -> I e. V ) $.
    fsuppind.0 $e |- ( ph -> ( I X. { .0. } ) e. H ) $.
    fsuppind.1 $e |- ( ( ph /\ ( a e. I /\ b e. B ) ) ->
                                ( x e. I |-> if ( x = a , b , .0. ) ) e. H ) $.
    fsuppind.2 $e |- ( ( ph /\ ( x e. H /\ y e. H ) ) ->
                                                        ( x oF .+ y ) e. H ) $.
    $( Induction on functions ` F : A --> B ` with finite support, or in other
       words the base set of the free module (see ~ frlmelbas and
       ~ frlmplusgval ).  This theorem is structurally general for polynomial
       proof usage (see ~ mplelbas and ~ mpladd ).  Note that hypothesis 0 is
       redundant when ` I ` is nonempty.  (Contributed by SN, 18-May-2024.) $)
    fsuppind $p |- ( ( ph /\ ( X : I --> B /\ X finSupp .0. ) ) -> X e. H ) $=
      ( vh vn vi vj vc vv vl vm vz wf cfsupp wbr wcel wa csupp co chash cfv cc0
      cn wceq cmap wb cvv fvexi a1i elmapd adantr wi cv c1 eqeq1 imbi1d ralbidv
      wral weu eqcom ovex ax-mp wne wfn elmapfn adantl elsuppfn syl3anc bitr4di
      cif cmpt ad2antlr fvex ifex fnmpti fveq2 ifbieq1d fvmpt3i wn simpr neeq1d
      eqid syl2anc imp eqtr2d eqfnfvd ralrimivva ad2antrr ifbid mpteq2dv eleq1d
      weq eqeq2d biimparc ifeq1da rspc2va syl21anc eqeltrd ex ralrimiva ad5antr
      wrex syl simprl mapfvd ad4antr adantrl fvoveq1 csn cn0 ad2antrl ad3antrrr
      simprr simplrr wo adantllr c0 eqnetrrd hasheq0 sylib eleq1w imbi12d caddc
      cbs euhash1 bitri wreu c0g eubidv df-reu crio eqidd simplr riota2 3bitr4g
      necom biimpd necon1bd ifeqda elmapi ffvelrnd eqeq2 sylbid syl5bi cof cgrp
      riotacl grpidcl ifcld fmpttd mpbird oveq1 anbi12d ovexd mpbir2and simpllr
      cdif nnnn0d eqcomd w3a hashdifsnp1 syl31anc eldifsn iftrue iffalse eqeq1d
      2thd biorf orcom bitrd pm2.61i necon3abid neanior anbi2d equequ1 ifbieq2d
      olc anass pm5.32da anbi1d 3bitr4d bitr2d syl5bb eqrdv fveq2d eqtr3d inidm
      offn simplrl anassrs grplid grprid ifeq12d ovif12 ifid eqcomi 3eqtr4g jca
      ofval rspcedvd crab suppvalfn peano2nn ad3antlr nnne0d necon3bid reximddv
      mp1i mpbid rabn0 rexcom rspccva adantll adantlrr adantrr equequ2 ovrspc2v
      rexlimdvva mpd exp32 ralrimiv cbvralvw nnindd ralcom biidd biimpcd ralimi
      ceqsralv eleq1 rspcv syl5com com23 sylbird an32s adantlr fnsuppeq0 biimpa
      cxp ffn sylan2b cfn fsuppimpd hashcl elnn0 mpjaodan anasss ) AHDJUKZJKULU
      MZJGUNZAVVEUOZVVFUOZJKUPUQZURUSZVAUNZVVGVVKUTVBZVVHVVLVVGVVFAVVLVVEVVGAVV
      LUOZVVEVVGVVNVVEJDHVCUQZUNZVVGAVVPVVEVDVVLADHJVEIDVEUNZADFUUBNVFZVGRVHVIA
      VVLVVPVVGVJAVVPVVLVVGAUBVKZKUPUQZURUSZVAUNZVVSGUNZVJZUBVVOVPZVVPVVLVVGVJZ
      AUCVKZVWAVBZVWCVJZUCVAVPZUBVVOVPZVWEAVWIUBVVOVPZUCVAVPVWKAVWLUCVAAUDVKZVW
      AVBZVWCVJZUBVVOVPVLVWAVBZVWCVJZUBVVOVPUEVKZVWAVBZVWCVJZUBVVOVPZVWRVLUUAUQ
      ZVWAVBZVWCVJZUBVVOVPZVWLUDUEVWGVWMVLVBZVWOVWQUBVVOVXFVWNVWPVWCVWMVLVWAVMV
      NVOVWMVWRVBZVWOVWTUBVVOVXGVWNVWSVWCVWMVWRVWAVMVNVOVWMVXBVBZVWOVXDUBVVOVXH
      VWNVXCVWCVWMVXBVWAVMVNVOVWMVWGVBZVWOVWIUBVVOVXIVWNVWHVWCVWMVWGVWAVMVNVOAV
      WQUBVVOVWPUFVKZVVTUNZUFVQZAVVSVVOUNZUOZVWCVWPVWAVLVBZVXLVLVWAVRVVTVEUNVXO
      VXLVDVVSKUPVSVVTVEUFUUCVTUUDVXNVXLVXJVVSUSZKWAZUFHUUEZVWCVXNVXLVXJHUNVXQU
      OZUFVQVXRVXNVXKVXSUFVXNVVSHWBZHIUNZKVEUNZVXKVXSVDVXMVXTAVVSDHWCZWDAVYAVXM
      RVIVYBVXNKFUUFOVFZVGVXJVVSIVEHKWEWFUUGVXQUFHUUHWGVXNVXRVWCVXNVXRUOZVVSBHB
      VKZVXQUFHUUIZVBZVYFVVSUSZKWHZWIZGVYEUGHVVSVYKVXMVXTAVXRVYCWJVYKHWBVYEBHVY
      JVYKVYHVYIKVYFVVSWKVYDWLZVYKWTZWMVGVYEUGVKZHUNZUOZVYNVYKUSZVYNVYGVBZVYNVV
      SUSZKWHZVYSVYOVYQVYTVBVYEBVYNVYJVYTHVYKVYFVYNVBZVYHVYRVYIVYSKVYFVYNVYGVMV
      YFVYNVVSWNWOVYMVYLWPWDVYPVYRVYSKVYSVYPVYRUOVYSUUJVYPVYRWQKVYSVBVYPVYRKVYS
      VYPKVYSWAZVYRVYPVYSKWAZVYGVYNVBZWUBVYRVYPVYOVXRWUCWUDVDVYEVYOWRVXNVXRVYOU
      UKVXQWUCUFHVYNVXJVYNVBVXPVYSKVXJVYNVVSWNWSUULXAKVYSUUNVYNVYGVRUUMUUOUUPXB
      UUQXCXDVYEVYGHUNZVYGVVSUSZDUNBHBLXJZMVKZKWHZWIZGUNZMDVPLHVPZVYKGUNZVXRWUE
      VXNVXQUFHUVEWDZVYEHDVYGVVSVXMHDVVSUKAVXRVVSDHUURWJWUNUUSAWULVXMVXRAWUKLMH
      DTXEZXFWUKWUMBHVYHWUHKWHZWIZGUNLMVYGWUFHDLVKZVYGVBZWUJWUQGWUSBHWUIWUPWUSW
      UGVYHWUHKWURVYGVYFUUTXGXHXIWUHWUFVBZWUQVYKGWUTBHWUPVYJWUTVYHWUHVYIKVYHWUH
      VYIVBWUTVYHVYIWUFWUHVYFVYGVVSWNXKXLXMXHXIXNXOXPXQUVAUVBXRAVWRVAUNZUOZVXAU
      OZVXBUHVKZKUPUQZURUSZVBZWVDGUNZVJZUHVVOVPVXEWVCWVIUHVVOWVCWVDVVOUNZWVGWVH
      WVCWVJWVGUOZUOZVWRUIVKZKUPUQURUSZVBZWVDWVMBHVYFUJVKZVBZVYFWVDUSZKWHZWIZEU
      VCZUQZVBZUOZUJHXTUIVVOXTZWVHWVLWWDUIVVOXTZUJHXTWWEWVLWVPWVDUSZKWAZWWFUJHW
      VLWVPHUNZWWHUOZUOZWWDVWRBHWVQKWVRWHZWIZKUPUQZURUSZVBZWVDWWMWVTWWAUQZVBZUO
      ZUIWWMVVOWVLWWHWWMVVOUNZWWIWVLWWHUOZWWTHDWWMUKWXABHWWLDWXAVYFHUNZUOZWVQKW
      VRDAKDUNZWVAVXAWVKWWHWXBAFUVDUNZWXDQDFKNOUVFYAXSWXCDHWVDVVOVYFVVOWTZWVLWV
      JWWHWXBWVCWVJWVGYBZXFWXAWXBWRYCUVGUVHWXADHWWMVEIVVQWXAVVRVGAVYAWVAVXAWVKW
      WHRYDVHUVIYEWVMWWMVBZWWDWWSVDWWKWXHWVOWWPWWCWWRWXHWVNWWOVWRWVMWWMKURUPYFX
      KWXHWWBWWQWVDWVMWWMWVTWWAUVJXKUVKWDWVBWVKWWJWWSVXAWVBWVKUOZWWJUOZWWPWWRWX
      JWVEWVPYGUVOZURUSZVWRWWOWXJWVEVEUNZWVPWVEUNZVWRYHUNZWVFVXBVBZWXLVWRVBZWXJ
      WVDKUPUVLWXJWXNWWIWWHWXIWWIWWHYBWXIWWIWWHYKWXJWVDHWBZVYAVYBWXNWWJVDWXIWXR
      WWJWVJWXRWVBWVGWVDDHWCZYIZVIAVYAWVAWVKWWJRYJVYBWXJVYDVGWVPWVDIVEHKWEWFUVM
      WXJVWRAWVAWVKWWJUVNUVPWXJVXBWVFWVBWVJWVGWWJYLUVQWXMWXNWXOUVRWXPWXQWVPWVEV
      EVWRUVSXBUVTWXIWWHWXLWWOVBWWIWXIWWHUOZWXKWWNURWYAUGWXKWWNVYNWXKUNVYNWVEUN
      ZVYNWVPWAZUOZWYAVYNWWNUNZVYNWVEWVPUWAWYAWYEVYOVYNWWMUSZKWAZUOZWYDWYAWWMHW
      BZVYAVYBWYEWYHVDWYIWYABHWWLWWMWVQKWVRVYDVYFWVDWKZWLZWWMWTZWMVGZAVYAWVAWVK
      WWHRYJZVYBWYAVYDVGZVYNWWMIVEHKWEWFWYAVYOVYNWVPVBZKVYNWVDUSZWHZKWAZUOZVYOW
      YQKWAZUOZWYCUOZWYHWYDWYAWYTVYOXUAWYCUOZUOXUCWYAWYSXUDVYOWYAWYSWYQKVBZWYPY
      MZWQXUDWYAXUFWYRKWYRKVBZXUFVDZWYAWYPXUHWYPXUGXUFWYPKWYQUWBWYPXUEUWOUWEWYP
      WQZXUGXUEXUFXUIWYRWYQKWYPKWYQUWCUWDXUIXUEWYPXUEYMXUFWYPXUEUWFXUEWYPUWGWGU
      WHUWIVGUWJWYQKVYNWVPUWKWGUWLVYOXUAWYCUWPWGWYAVYOWYGWYSWYAVYOUOZWYFWYRKVYO
      WYFWYRVBWYABVYNWWLWYRHWWMWUAWVQWYPWVRWYQKBUGUJUWMZVYFVYNWVDWNZUWNWYLWYKWP
      WDZWSUWQWYAWYBXUBWYCWYAWXRVYAVYBWYBXUBVDWXIWXRWWHWXTVIZWYNWYOVYNWVDIVEHKW
      EWFUWRUWSUWTUXAUXBUXCYEUXDWXIWWHWWRWWIWYAUGHWVDWWQXUNWYAHHEHWWMWVTIIWYMWV
      THWBWYABHWVSWVTWVQWVRKWYJVYDWLZWVTWTZWMVGZWYNWYNHUXEZUXFXUJVYNWWQUSWYRWYP
      WYQKWHZEUQZWYQWYAHHWYRXUSEHWWMWVTIIVYNWYMXUQWYNWYNXURXUMVYOVYNWVTUSXUSVBW
      YABVYNWVSXUSHWVTWUAWVQWYPWVRWYQKXUKXULWOXUPXUOWPWDUXQXUJWYPKWYQEUQZWYQKEU
      QZWHZWYPWYQWYQWHZXUTWYQXUJWXEWYQDUNZXVCXVDVBAWXEWVAWVKWWHVYOQYDXUJDHWVDVV
      OVYNWXFWXIWWHVYOWVJWVBWVJWVGWWHVYOUOUXGUXHWYAVYOWRYCWXEXVEUOWYPXVAWYQXVBW
      YQDEFWYQKNPOUXIDEFWYQKNPOUXJUXKXAWYPKWYQWYQKEUXLXVDWYQWYPWYQUXMUXNUXOXCXD
      YEUXPYNUXRWVLWWHUJHUXSZYOWAWWHUJHXTWVLWVEXVFYOWVLWXRVYAVYBWVEXVFVBWVJWXRW
      VCWVGWXSYIAVYAWVAVXAWVKRYJVYBWVLVYDVGUJWVDIVEHKUXTWFWVLWVFUTWAZWVEYOWAZWV
      LVXBWVFUTWVCWVJWVGYKWVLVXBWVAVXBVAUNAVXAWVKVWRUYAUYBUYCYPWXMXVGXVHVDWVLWV
      DKUPVSWXMWVFUTWVEYOWVEVEYQUYDUYFUYGYPWWHUJHUYHYRUYEWWDUJUIHVVOUYIYRWVLWWD
      WVHUIUJVVOHWVLWVMVVOUNZWWIUOZUOZWWDWVHXVKWWDUOZWVDWWBGXVKWVOWWCYKXVLWVMGU
      NZWVTGUNZVYFCVKWWAUQGUNZCGVPBGVPZWWBGUNXVKWVOXVMWWCWVLXVIWVOXVMWWIWVCXVIW
      VOXVMWVKWVCXVIUOWVOXVMVXAXVIWVOXVMVJZWVBVWTXVQUBWVMVVOVVSWVMVBZVWSWVOVWCX
      VMXVRVWAWVNVWRVVSWVMKURUPYFXKUBUIGYSYTUYJUYKXBYNUYLUYMXVLWWIWWGDUNWULXVNW
      VLXVIWWIWWDYLZXVLDHWVDVVOWVPWXFWVLWVJXVJWWDWXGXFXVSYCAWULWVAVXAWVKXVJWWDW
      UOXSWUKXVNBHWVQWUHKWHZWIZGUNLMWVPWWGHDLUJXJZWUJXWAGXWBBHWUIXVTXWBWUGWVQWU
      HKLUJBUYNXGXHXIWUHWWGVBZXWAWVTGXWCBHXVTWVSXWCWVQWUHWVRKWVQWUHWVRVBXWCWVQW
      VRWWGWUHVYFWVPWVDWNXKXLXMXHXIXNXOAXVPWVAVXAWVKXVJWWDAXVOBCGGUAXEXSBCGGGWW
      AWVMWVTUYOXOXPXQUYPUYQUYRUYSWVIVXDUHUBVVOWVDVVSVBZWVGVXCWVHVWCXWDWVFVWAVX
      BWVDVVSKURUPYFXKUHUBGYSYTUYTYRVUAXRVWIUCUBVAVVOVUBYRVWJVWDUBVVOVWBVWJVWCV
      WCVWCUCVWAVAVWHVWCVUCVUFVUDVUEYAVWDVWFUBJVVOVVSJVBZVWBVVLVWCVVGXWEVWAVVKV
      AVVSJKURUPYFXIVVSJGVUGYTVUHVUIVUJXBVUKXBVULVUMVVMVVIVVJYOVBZVVGVVJVEUNVVM
      XWFVDJKUPVSVVJVEYQVTVVIXWFUOJHKYGVUPZGVVIXWFJXWGVBZVVIJHWBZVYAVYBXWFXWHVD
      VVEXWIAVVFHDJVUQWJAVYAVVEVVFRXFVYBVVIVYDVGHJVEIKVUNWFVUOAXWGGUNVVEVVFXWFS
      YJXPVURVVIVVKYHUNZVVLVVMYMVVIVVJVUSUNXWJVVIJKVVHVVFWRVUTVVJVVAYAVVKVVBYRV
      VCVVD $.
  $}

  ${
    $d ph x $.  $d F x $.  $d I x $.
    fsuppssindlem1.z $e |- ( ph -> .0. e. W ) $.
    fsuppssindlem1.v $e |- ( ph -> I e. V ) $.
    fsuppssindlem1.1 $e |- ( ph -> F : I --> B ) $.
    fsuppssindlem1.2 $e |- ( ph -> ( F supp .0. ) C_ S ) $.
    $( Lemma for ~ fsuppssind .  Functions are zero outside of their support.
       (Contributed by SN, 15-Jul-2024.) $)
    fsuppssindlem1 $p |- ( ph ->
               F = ( x e. I |-> if ( x e. S , ( ( F |` S ) ` x ) , .0. ) ) ) $=
      ( cv cfv cmpt wcel cres wa wceq cif feqmptd fvres adantl wn eldif suppssr
      cdif eqcomd sylan2br anassrs ifeqda mpteq2dva eqtr4d ) AEBFBNZEOZPBFUODQZ
      UOEDROZIUAZPABFCELUBABFUSUPAUOFQZSZUQURIUPUQURUPTVAUODEUCUDAUTUQUEZIUPTZU
      TVBSAUOFDUHQZVCUOFDUFAVDSUPIAFCHEGDUOILMKJUGUIUJUKULUMUN $.
  $}

  ${
    $d I f x $.  $d S f x $.  $d F f x $.  $d .0. f x $.  $d H f $.  $d B f $.
    fsuppssindlem2.b $e |- ( ph -> B e. W ) $.
    fsuppssindlem2.v $e |- ( ph -> I e. V ) $.
    fsuppssindlem2.s $e |- ( ph -> S C_ I ) $.
    $( Lemma for ~ fsuppssind .  Write a function as a union.  (Contributed by
       SN, 15-Jul-2024.) $)
    fsuppssindlem2 $p |- ( ph -> ( F e.
      { f e. ( B ^m S ) | ( x e. I |-> if ( x e. S , ( f ` x ) , .0. ) ) e. H }
           <-> ( F : S --> B /\ ( F u. ( ( I \ S ) X. { .0. } ) ) e. H ) ) ) $=
      ( cv wcel cfv cmpt wa wceq cif cmap co crab cdif csn cxp cun fveq1 ifeq1d
      mpteq2dv eleq1d elrab cvv ssexd elmapd anbi1d cin partfun sseqin2 mpteq1d
      wss sylib adantr simpr feqmptd eqtr4d fconstmpt eqcomi a1i uneq12d syl5eq
      wf pm5.32da bitrd syl5bb ) FBHBOZDPZVQEOZQZKUAZRZGPZECDUBUCZUDPFWDPZBHVRV
      QFQZKUAZRZGPZSZADCFVMZFHDUEZKUFUGZUHZGPZSZWCWIEFWDVSFTZWBWHGWQBHWAWGWQVRV
      TWFKVQVSFUIUJUKULUMAWJWKWISWPAWEWKWIACDFJUNLADHIMNUOUPUQAWKWIWOAWKSZWHWNG
      WRWHBHDURZWFRZBWLKRZUHWNBHDWFKUSWRWTFXAWMWRWTBDWFRZFAWTXBTWKABWSDWFADHVBW
      SDTNDHUTVCVAVDWRBDCFAWKVEVFVGXAWMTWRWMXABWLKVHVIVJVKVLULVNVOVP $.
  $}

  ${
    $d B a b f s $.  $d B t u v $.  $d .0. a b f i s $.  $d .0. t x y $.
    $d .0. j $.  $d .0. u v $.  $d .+ f i t s $.  $d .+ x y $.  $d .+ j $.
    $d .+ u v $.  $d ph a b i s $.  $d ph t x y $.  $d ph j $.  $d ph u v $.
    $d I a b f i $.  $d I s x y $.  $d I j $.  $d I t u v $.  $d S a b f i $.
    $d S t x y $.  $d S j $.  $d S s u v $.  $d H a b f i s $.  $d H t x y $.
    $d H u v $.  $d X i f $.
    fsuppssind.b $e |- B = ( Base ` G ) $.
    fsuppssind.z $e |- .0. = ( 0g ` G ) $.
    fsuppssind.p $e |- .+ = ( +g ` G ) $.
    fsuppssind.g $e |- ( ph -> G e. Grp ) $.
    fsuppssind.v $e |- ( ph -> I e. V ) $.
    fsuppssind.s $e |- ( ph -> S C_ I ) $.
    fsuppssind.0 $e |- ( ph -> ( I X. { .0. } ) e. H ) $.
    fsuppssind.1 $e |- ( ( ph /\ ( a e. S /\ b e. B ) ) ->
                                ( s e. I |-> if ( s = a , b , .0. ) ) e. H ) $.
    fsuppssind.2 $e |- ( ( ph /\ ( x e. H /\ y e. H ) ) ->
                                                        ( x oF .+ y ) e. H ) $.
    fsuppssind.3 $e |- ( ph -> X : I --> B ) $.
    fsuppssind.4 $e |- ( ph -> X finSupp .0. ) $.
    fsuppssind.5 $e |- ( ph -> ( X supp .0. ) C_ S ) $.
    $( Induction on functions ` F : A --> B ` with finite support (see
       ~ fsuppind ) whose supports are subsets of ` S ` .  (Contributed by SN,
       15-Jun-2024.) $)
    fsuppssind $p |- ( ph -> X e. H ) $=
      ( vi vf vt vu vv vj cres cv wcel cfv cif cmpt cmap co crab cfsupp fssresd
      wf wbr cvv c0g fvexi a1i fsuppres jca ssexd csn cxp cdif cun cgrp grpidcl
      syl fconst6g xpundir wss wceq undif xpeq1d eqtr3id eqeltrd fsuppssindlem2
      wa sylib cbs mpbir2and weq simplrr ad2antrr ifcld fmpttd fconstmpt uneq2i
      wn eldifn eleq1a con3dimp adantlr adantll sylan2 iffalsed mpteq2dva mptun
      uneq2d adantr mpteq1d eqtr3d syl5eq anbi12d grpcl syl3an1 simprll simprrl
      cof 3expb off ffnd wfn fnconstg mp1i difexd cin c0 disjdif ofun fvconst2g
      inidm sylan grplid syl2anc sylancom wb eleq1d eqtr4d offveq eqtrd caovclg
      adantrrl adantrll eqeltrrd sylbida fsuppind elmapd mpbird ifeq1d mpteq2dv
      mpdan fveq1 elrab3 fsuppssindlem1 bitr4d mpbid ) AKFUNZUHIUHUOZFUPZUVAUIU
      OZUQZLURZUSZHUPZUIDFUTVAZVBZUPZKHUPZAFDUUTVEZUUTLVCVFZWJUVJAUVLUVMAIDFKUE
      UAVDZAKVGFLUFLVGUPZALGVHQVIZVJZVKVLAMUJDEGUVIFVGUUTLNOPQRSAFIJTUAVMZAFLVN
      ZVOZUVIUPFDUVTVEZUVTIFVPZUVSVOZVQZHUPALDUPZUWAAGVRUPZUWESDGLPQVSVTZFLDWAV
      TAUWDIUVSVOZHAUWDFUWBVQZUVSVOUWHFUWBUVSWBAUWIIUVSAFIWCZUWIIWDZUAFIWEZWKWF
      WGUBWHAUHDFUIUVTHIJVGLDVGUPZADGWLPVIZVJZTUAWIWMANUOZFUPZOUOZDUPZWJZWJZMFM
      NWNZUWRLURZUSZUVIUPFDUXDVEUXDUWCVQZHUPUXAMFUXCDUXAMUOZFUPZWJUXBUWRLDAUWQU
      WSUXGWOAUWEUWTUXGUWGWPWQWRUXAUXEMIUXCUSZHUXAUXEUXDMUWBLUSZVQZUXHUWCUXIUXD
      MUWBLWSWTUXAUXDMUWBUXCUSZVQZUXJUXHUXAUXKUXIUXDUXAMUWBUXCLUXAUXFUWBUPZWJUX
      BUWRLUXMUXAUXGXAZUXBXAZUXFIFXBUWTUXNUXOAUWQUXNUXOUWSUWQUXBUXGUWPFUXFXCXDX
      EXFXGXHXIXKUXAUXLMUWIUXCUSUXHMFUWBUXCXJUXAMUWIIUXCUXAUWJUWKAUWJUWTUAXLZUW
      LWKXMWGXNXOUCWHUXAUHDFUIUXDHIJVGLUWMUXAUWNVJAIJUPUWTTXLUXPWIWMAUXFUVIUPZU
      JUOZUVIUPZWJFDUXFVEZUXFUWCVQZHUPZWJZFDUXRVEZUXRUWCVQZHUPZWJZWJZUXFUXREYAZ
      VAZUVIUPZAUXQUYCUXSUYGAUHDFUIUXFHIJVGLUWOTUAWIAUHDFUIUXRHIJVGLUWOTUAWIXPA
      UYHWJZUYKFDUYJVEZUYJUWCVQZHUPZUYLUKULFFFEDDDUXFUXRVGVGAUKUOZDUPZULUOZDUPZ
      WJUYPUYREVADUPZUYHAUYQUYSUYTAUWFUYQUYSUYTSDEGUYPUYRPRXQXRYBXEAUXTUYBUYGXS
      ZAUYCUYDUYFXTZAFVGUPUYHUVRXLZVUCFYNYCUYLUYAUYEUYIVAZUYNHUYLVUDUYJUWCUWCUY
      IVAZVQZUYNUYLUXFUXRUWCUWCEFUWBVGVGUYLFDUXFVUAYDUYLFDUXRVUBYDUVOUWCUWBYEZU
      YLUVPUWBLVGYFZYGZVUIVUCAUWBVGUPUYHAIFJTYHZXLFUWBYIYJWDUYLFIYKVJYLAVUFUYNW
      DUYHAVUEUWCUYJAUMUWBLLEUWCUWCUWCVGVUJUVOVUGAUVPVUHYGZVUKVUKAUVOUMUOZUWBUP
      ZVULUWCUQZLWDZUVQUWBLVULVGYMZYOZVUQAVUMWJZLLEVAZLVUNAVUSLWDZVUMAUWFUWEVUT
      SUWGDEGLLPRQYPYQXLAVUMUVOVUOUVOVURUVPVJVUPYRUUAUUBXKXLUUCAUYBUYGVUDHUPZUX
      TAUYBUYFVVAUYDABCUYAUYEHHHUYIUDUUDUUEUUFUUGAUYKUYMUYOWJYSUYHAUHDFUIUYJHIJ
      VGLUWOTUAWIXLWMUUHUUIUUNAUVJUHIUVBUVAUUTUQZLURZUSZHUPZUVKAUUTUVHUPZUVJVVE
      YSAVVFUVLUVNADFUUTVGVGUWOUVRUUJUUKUVGVVEUIUUTUVHUVCUUTWDZUVFVVDHVVGUHIUVE
      VVCVVGUVBUVDVVBLUVAUVCUUTUUOUULUUMYTUUPVTAKVVDHAUHDFKIJVGLUVQTUEUGUUQYTUU
      RUUS $.
  $}

  ${
    $d .0. a b s $.  $d .0. s x y $.  $d B a b s $.  $d D a b g s $.
    $d D g s x y $.  $d G a b s $.  $d G s x y $.  $d H a b s $.  $d H s x y $.
    $d I h $.  $d N a b g s $.  $d N g s x y $.  $d P a b s $.  $d P s x y $.
    $d R s x y $.  $d S s $.  $d ph a b s $.  $d ph s x y $.  $d g h $.
    mhpind.h $e |- H = ( I mHomP R ) $.
    mhpind.b $e |- B = ( Base ` R ) $.
    mhpind.z $e |- .0. = ( 0g ` R ) $.
    mhpind.p $e |- P = ( I mPoly R ) $.
    mhpind.a $e |- .+ = ( +g ` P ) $.
    mhpind.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    mhpind.s $e |- S = { g e. D | ( ( CCfld |`s NN0 ) gsum g ) = N } $.
    mhpind.i $e |- ( ph -> I e. V ) $.
    mhpind.r $e |- ( ph -> R e. Grp ) $.
    mhpind.n $e |- ( ph -> N e. NN0 ) $.
    mhpind.x $e |- ( ph -> X e. ( H ` N ) ) $.
    mhpind.0 $e |- ( ph -> ( D X. { .0. } ) e. G ) $.
    mhpind.1 $e |- ( ( ph /\ ( a e. S /\ b e. B ) ) ->
                             ( s e. D |-> if ( s = a , b , .0. ) ) e. G ) $.
    mhpind.2 $e |- ( ( ph /\
        ( x e. ( ( H ` N ) i^i G ) /\ y e. ( ( H ` N ) i^i G ) ) ) ->
                                                        ( x .+ y ) e. G ) $.
    $( The homogeneous polynomials of degree ` N ` are generated by the terms
       of degree ` N ` and addition.  (Contributed by SN, 28-Jul-2024.) $)
    mhpind $p |- ( ph -> X e. G ) $=
      ( cfv cplusg ccnfld cn0 cress co cv cgsu wceq crab cin cvv eqid ccnv cima
      cn cfn wcel cmap ovexd rabexd wss ssrab2 a1i csn cxp mhp0cl elind weq cif
      cmpt eleq2i biimpri wa cbs cgrp adantr cmps cfsupp wbr wf simplrr grpidcl
      syl ad2antrr ifcld fmpttd wb fvexi elmapd mpbird psrbas eleqtrrd mplelbas
      c0g sniffsupp sylanbrc csupp wne elneeldif necomd adantll adantlrr neneqd
      cdif iffalsed suppss2 sseqtrdi ismhp2 sylanr1 cof elinel1 ad2antrl mhpmpl
      ad2antll mpladd mhpaddcl eqeltrrd mplelf mplelsfi mhpdeg fsuppssind
      elin2d ) AOMUPZLQABCDHUQUPZURUSUTVAJVBVCVAOVDZJEVEZHYSLVFZEVGQRSTUAUCUDYT
      VHZUJAKVBVIVKVJVLVMKUSNVNVAEVGUGAUSNVNVOVPZUUBEVQAUUAJEVRVSAYSLERVTWAAEHK
      MNOPRUBUDUGUIUJUKWBUMWCTVBZUUBVMZAUUFIVMZUAVBZDVMZSESTWDZUUIRWEZWFZUUCVMU
      UHUUGIUUBUUFUHWGWHAUUHUUJWIZWIZYSLUUMUUOFWJUPZEFHJKMNOPWKUUMRUBUEUUPVHZUD
      UGANPVMZUUNUIWLAHWKVMZUUNUJWLAOUSVMZUUNUKWLUUOUUMNHWMVAZWJUPZVMUUMRWNWOZU
      UMUUPVMUUOUUMDEVNVAZUVBUUOUUMUVDVMZEDUUMWPZUUOSEUULDUUOSVBZEVMZWIUUKUUIRD
      AUUHUUJUVHWQARDVMZUUNUVHAUUSUVIUJDHRUCUDWRWSWTXAXBAUVEUVFXCUUNADEUUMVGVGD
      VGVMADHWJUCXDVSUUEXEWLXFAUVBUVDVDUUNAUVBEHUVAKNDPUVAVHZUCUGUVBVHZUIXGWLXH
      AUVCUUNASUUIUUMEVGVGUUFRUUERVGVMARHXJUDXDVSUUMVHXKWLUVBFHUVAUUPNUUMRUEUVJ
      UVKUDUUQXIXLUUOUUMRXMVAIUUBUUOEUULSVGIRUUOUVGEIXTVMZWIZUUKUUIRUVMUVGUUFAU
      UHUVLUVGUUFXNZUUJUUHUVLUVNAUUHUVLWIUUFUVGIEUUFUVGXOXPXQXRXSYAAEVGVMUUNUUE
      WLYBUHYCYDUNWCYEABVBZUUCVMZCVBZUUCVMZWIZWIZUVOUVQGVAZUVOUVQYTYFVAUUCUVTUU
      PFYTGHNUVOUVQUEUUQUUDUFUVTUUPFHMNOPWKUVOUBUEUUQAUURUVSUIWLZAUUSUVSUJWLZAU
      UTUVSUKWLZUVPUVOYSVMAUVRUVOYSLYGYHZYIUVTUUPFHMNOPWKUVQUBUEUUQUWBUWCUWDUVR
      UVQYSVMAUVPUVQYSLYGYJZYIYKUVTYSLUWAUVTFGHMNOPUVOUVQUBUEUFUWBUWCUWDUWEUWFY
      LUOWCYMAUUPEFHKNDQUEUCUUQUGAUUPFHMNOPWKQUBUEUUQUIUJUKULYIZYNAUUPFHQNWKRUE
      UUQUDUWGUJYOAEHJKMNOPWKQRUBUDUGUIUJUKULYPYQYR $.
  $}

  ${
    $d .x. n v x y $.  $d B n $.  $d D g $.  $d G n x y $.  $d H n v x y $.
    $d I h $.  $d I n v $.  $d L n v x y $.  $d N g $.  $d a g $.  $d a h $.
    $d a n v x y $.  $d ph n v x y $.
    mhphflem.d $e |- D = { h e. ( NN0 ^m I ) | ( `' h " NN ) e. Fin } $.
    mhphflem.h $e |- H = { g e. D | ( ( CCfld |`s NN0 ) gsum g ) = N } $.
    mhphflem.k $e |- B = ( Base ` G ) $.
    mhphflem.e $e |- .x. = ( .g ` G ) $.
    mhphflem.i $e |- ( ph -> I e. V ) $.
    mhphflem.g $e |- ( ph -> G e. Mnd ) $.
    mhphflem.l $e |- ( ph -> L e. B ) $.
    mhphflem.n $e |- ( ph -> N e. NN0 ) $.
    $( Lemma for ~ mhphf .  Add several multiples of ` L ` together, in a case
       where the total amount of multiplies is ` N ` .  (Contributed by SN,
       30-Jul-2024.) $)
    mhphflem $p |- ( ( ph /\ a e. H ) ->
              ( G gsum ( v e. I |-> ( ( a ` v ) .x. L ) ) ) = ( N .x. L ) ) $=
      ( vn vx vy cv wcel wa cfv cmpt cgsu ccnfld cn0 cress cc0 csubmnd cbs wceq
      co nn0subm eqid submbas ax-mp c0g cnfld0 subm0 crg cnring ringcmn submcmn
      ccmn mp2an a1i cmnd adantr caddc cnfldadd ressplusg submmnd mp1i ad2antrr
      cplusg simpr mulgnn0cl fmpttd simprl simprr mulgnn0dir syl13anc cvv oveq1
      syl3anc nn0addcl adantl ovexd fvmptd3 oveq12d 0nn0 mulg0 syl eqtrd ismhmd
      3eqtr4d wf elrabi eleq2s psrbagf ffvelrnda cfsupp feqmptd wbr psrbagfsupp
      crab eqbrtrrd gsummhm2 oveq2d oveq2 eqeq1d elrab2 simprbi eqtr3d oveq1d
      weq ) ANUFZIUGZUHZHBJBUFZYDUIZKEUSZUJUKUSULUMUNUSZBJYHUJZUKUSZKEUSZLKEUSY
      FUCJUMUCUFZKEUSZYIBYMYJHMYHUOUMULUPUIZUGZUMYJUQUIURUTUMYJULYJVAZVBVCZYQUO
      YJVDUIURUTUMYJULUOYRVEVFVCZYJVKUGZYFULVKUGZYQUUAULVGUGUUBVHULVIVCUTUMULYJ
      YRVJVLVMAHVNUGZYETVOZAJMUGYESVOYFUDUEUMCVPHWBUIZYJHUCUMYOUJZUOHVDUIZYSQYQ
      VPYJWBUIURUTUMVPULYJYPYRVQVRVCUUEVAZYTUUGVAZYQYJVNUGYFUTUMYJULYRVSVTUUDYF
      UCUMYOCYFYNUMUGZUHUUCUUJKCUGZYOCUGAUUCYEUUJTWAYFUUJWCAUUKYEUUJUAWACEHYNKQ
      RWDWLWEYFUDUFZUMUGZUEUFZUMUGZUHZUHZUULUUNVPUSZKEUSZUULKEUSZUUNKEUSZUUEUSZ
      UURUUFUIUULUUFUIZUUNUUFUIZUUEUSUUQUUCUUMUUOUUKUUSUVBURAUUCYEUUPTWAYFUUMUU
      OWFZYFUUMUUOWGZAUUKYEUUPUAWACUUEEHUULUUNKQRUUHWHWIUUQUCUURYOUUSUMUUFWJUUF
      VAZYNUURKEWKUUPUURUMUGYFUULUUNWMWNUUQUURKEWOWPUUQUVCUUTUVDUVAUUEUUQUCUULY
      OUUTUMUUFWJUVGYNUULKEWKUVEUUQUULKEWOWPUUQUCUUNYOUVAUMUUFWJUVGYNUUNKEWKUVF
      UUQUUNKEWOWPWQXCYFUOUUFUIUOKEUSZUUGYFUCUOYOUVHUMUUFWJUVGYNUOKEWKUOUMUGYFW
      RVMYFUOKEWOWPYFUUKUVHUUGURAUUKYEUAVOCEHKUUGQUUIRWSWTXAXBYFJUMYGYDYFYDDUGZ
      JUMYDXDYEUVIAUVIYDYJFUFZUKUSZLURZFDXMIUVLFYDDXEPXFWNZDGYDJOXGWTZXHYFYDYKU
      OXIYFBJUMYDUVNXJZYFUVIYDUOXIXKUVMDGYDJOXLWTXNYNYHKEWKYNYLKEWKXOYFYLLKEYFY
      JYDUKUSZYLLYFYDYKYJUKUVOXPYEUVPLURZAYEUVIUVQUVLUVQFYDDIFNYCUVKUVPLUVJYDYJ
      UKXQXRPXSXTWNYAYBXA $.
  $}

  ${
    $d .^ a b f s j k v x y $.  $d .x. a b f s j k v x y $.
    $d A a b f s j k v x y $.  $d H a b j k x y s $.
    $d I a b f h s w g k v j x y $.  $d K j k v $.  $d L a b f s j k v x y $.
    $d N a b f s w g k v j x y $.  $d Q a b f s j k x y $.  $d R w $.
    $d S k v $.  $d U a b f h s w k v x y $.  $d X f $.
    $d ph a b k v j x y s w $.
    mhphf.q $e |- Q = ( ( I evalSub S ) ` R ) $.
    mhphf.h $e |- H = ( I mHomP U ) $.
    mhphf.u $e |- U = ( S |`s R ) $.
    mhphf.k $e |- K = ( Base ` S ) $.
    mhphf.m $e |- .x. = ( .r ` S ) $.
    mhphf.e $e |- .^ = ( .g ` ( mulGrp ` S ) ) $.
    mhphf.i $e |- ( ph -> I e. V ) $.
    mhphf.s $e |- ( ph -> S e. CRing ) $.
    mhphf.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    mhphf.l $e |- ( ph -> L e. R ) $.
    mhphf.n $e |- ( ph -> N e. NN0 ) $.
    mhphf.x $e |- ( ph -> X e. ( H ` N ) ) $.
    mhphf.a $e |- ( ph -> A e. ( K ^m I ) ) $.
    $( A homogeneous polynomial defines a homogeneous function.  Equivalently,
       an algebraic form is a homogeneous function.  (An algebraic form is the
       function corresponding to a homogeneous polynomial, which in this case
       is the ` ( Q `` X ) ` which corresponds to ` X ` ).  (Contributed by SN,
       28-Jul-2024.) $)
    mhphf $p |- ( ph -> ( ( Q ` X ) ` ( ( I X. { L } ) oF .x. A ) ) =
                        ( ( N .^ L ) .x. ( ( Q ` X ) ` A ) ) ) $=
      ( vf vx vy vh vg vs va vb vj vk vw vv csn cxp cof co cv cfv wceq wcel cbs
      cfn cn0 cmap crab cplusg cgsu c0g eqid crg fveq2d syl2anc syl3anc eleqtrd
      syl cmulr ringrz eqtrd eleqtrrd evlsscaval simprd oveq2d cvv crngringd wf
      a1i fconst6g elmapi inidm elmapdd 3eqtr4rd fvex fveq2 fveq1d eqeq12d elab
      off sylibr cur cif cmpt ccrg adantr eleq2d adantrl cfsupp fvexd ovex wfun
      wa wbr funmpt csupp adantl ssfid isfsuppd wfn vex ad2antrr ffvelrnd eqidd
      mulgnn0cl eqsstrrd oveq1d adantrr ffvelrnda simpr suppssov1 syl13anc cpws
      cc0 anim12dan cab ccnv cn cima cmpl ccnfld cress subrgring ringgrpd cascl
      csubrg csca mplsca clmod mpllmod mplring ascl0 mpl0 3eqtrrd ressmulr cmgp
      oveqd csubmnd subrgsubm submmulgcl ring0cl fvexi ringcl syl3an1 3expb wss
      subrgbas subrgss sseldd eqeltrd cvsca casa subrgcrng mplassa biimpa rabex
      cmps ringidcl ifcld fmpttd mptex snfi cdif wn eldifsnneq iffalsed suppss2
      psrbas mplelbas sylanbrc asclmul1 simprr mplvsca fnconstg fnmpti fvconst2
      mp1i equequ1 ifbid fvmpt offval simplrr ringridm ifeq12d syl5eq mpteq2dva
      ifex ovif2 3eqtrd mplasclf jca elrabi ad2antrl evlsbagval evlsmulval cmnd
      ringmgp mgpbas sselda crngcom ringidval ccmn psrbagfsupp fsuppimpd sylan2
      crngmgp 3syl feqmptd ssidd c0ex gsumcl2 ringass 3eqtr3d biimpar fvconst2g
      mulg0 ffnd ofval mgpplusg mulgnn0di adantlr gsummptfsadd mhphflem oveq12d
      mptexd eqeltrrd cin elin anbi2i bitri anbi12i crh evlsrhm mhpmpl pwselbas
      rhmf pwsbas ringdi evlsaddval sylan2b mhpind wb elabg mpbid ) AOJLVAVBZBF
      VCVDZUIVEZCVFZVFZMLHVDZBVVMVFZFVDZVGZUIUUAZVHZVVKOCVFZVFZVVOBVWAVFZFVDZVG
      ZAUJUKGVIVFZULVEUUBUUCUUDVJVHZULVKJVLVDZVMZJGUUEVDZVWJVNVFZGUUFVKUUGVDUMV
      EVOVDMVGZUMVWIVMZUMULVVSIJMNOGVPVFZUNUOUPQVWFVQZVWNVQZVWJVQZVWKVQZVWIVQZV
      WMVQZUBAGADEUUKVFZVHZGVRVHZUDDEGRUUHWCZUUIZUFUGAVWIVWNVAVBZVWNVWJUUJVFZVF
      ZVVSAVXHVWJUULVFZVPVFZVXGVFVWJVPVFZVXFAVWNVXJVXGAGVXIVPAVWJGJNVRVWQUBVXDU
      UMZVSVSAVXGVXIVWJVXGVQZVXIVQZAJNVHZVXCVWJUUNVHUBVXDVWJGJNVWQUUOVTAVXOVXCV
      WJVRVHUBVXDVWJGJNVWQUUPVTUUQAVWIVWJGULJVWNNVXKVWQVWSVWPVXKVQUBVXEUURUUSAV
      VKVXHCVFZVFZVVOBVXPVFZFVDZVGZVXHVVSVHAVVOVWNFVDZVWNVXSVXQAVYAVVOVWNGWDVFZ
      VDZVWNAFVYBVVOVWNAVXBFVYBVGUDDEGFVXARTUUTWCUVBAVXCVVOVWFVHVYCVWNVGVXDAVVO
      DVWFADEUVAVFZUVCVFVHZMVKVHZLDVHZVVODVHAVXBVYEUDDEVYDVYDVQZUVDWCUFUEDHVYDM
      LUAUVEWAAVXBDVWFVGUDDEGRUVLWCZWBVWFGVYBVVOVWNVWOVYBVQZVWPWEVTWFAVXRVWNVVO
      FAVXHVWJVIVFZVHZVXRVWNVGAVXGVYKVWJCDEGJKBNVWNPVWQRSVYKVQZVXMUBUCUDAVWNVWF
      DAVXCVWNVWFVHVXDVWFGVWNVWOVWPUVFWCZVYIWGZUHWHWIWJAVYLVXQVWNVGAVXGVYKVWJCD
      EGJKVVKNVWNPVWQRSVYMVXMUBUCUDVYOAKJVVKWKNKWKVHZAKEVISUVGZWNUBAUQURJJJFKKK
      VVJBNNAUQVEZKVHZURVEZKVHZVYRVYTFVDKVHZAEVRVHZVYSWUAWUBAEUCWLZKEFVYRVYTSTU
      VHUVIUVJZALKVHZJKVVJWMZADKLAVXBDKUVKUDDKESUVMWCZUEUVNZJLKWOWCZABKJVLVDZVH
      ZJKBWMZUHBKJWPWCZUBUBJWQZXEWRZWHWIWSVVRVXTUIVXHVWNVXGWTVVLVXHVGZVVNVXQVVQ
      VXSWUQVVKVVMVXPVVLVXHCXAZXBWUQVVPVXRVVOFWUQBVVMVXPWURXBWJXCXDXFUVOAUOVEZV
      WMVHZUPVEZVWFVHZXRZXRZWVAVXGVFZUSVWIUSVEZWUSVGZGXGVFZVWNXHZXIZVWJWDVFZVDZ
      UNVWIUNVEZWUSVGZWVAVWNXHZXIZVVSWVDWVLVWIWVAVAVBZWVJVYBVCVDZUNVWIWVAWVNWVH
      VWNXHZVYBVDZXIWVPWVDWVLWVAWVJVWJUVPVFZVDZWVRWVDVWJUVQVHZWVAVXIVIVFZVHZWVJ
      VYKVHZWVLWWBVGAWWCWVCAVXOGXJVHZWWCUBAEXJVHZVXBWWGUCUDDEGRUVRVTVWJGJNVWQUV
      SVTXKAWVBWWEWUTAWVBWWEAVWFWWDWVAAGVXIVIVXLVSXLUVTXMAWWFWVCAWVJJGUWBVDZVIV
      FZVHWVJVWNXNXSWWFAWVJVWFVWIVLVDWWJAVWFVWIWVJWKWKAGVIXOVWIWKVHZAVWGULVWHVK
      JVLXPUWAZWNZAUSVWIWVIVWFAWVIVWFVHWVFVWIVHAWVGWVHVWNVWFAVXCWVHVWFVHVXDVWFG
      WVHVWOWVHVQZUWCWCVYNUWDXKUWEWRAWWJVWIGWWIULJVWFNWWIVQZVWOVWSWWJVQZUBUWMWG
      AWVJWKWKVWNWVJWKVHAUSVWIWVIWWLUWFWNAGVPXOWVJXQAUSVWIWVIXTWNAWUSVAZWVJVWNY
      AVDWWQVJVHAWUSUWGWNAVWIWVIUSWKWWQVWNAWVFVWIWWQUWHVHZXRWVGWVHVWNWWRWVGUWIA
      WVFVWIWUSUWJYBUWKWWMUWLYCYDWWJVWJGWWIVYKJWVJVWNVWQWWOWWPVWPVYMUWNUWOXKZVX
      GWVAWWAWVKVXIWWDVYKVWJWVJVXMVXNWWDVQVYMWVKVQZWWAVQZUWPWAWVDVYKVWIVWJGWWAV
      YBULWVJJVWFWVAVWQWXAVWOVYMVYJVWSAWUTWVBUWQZWWSUWRWFWVDUNVWIVWIWVAWVSVYBVW
      IWVQWVJWKWKWVAWKVHWVQVWIYEWVDUPYFZVWIWVAWKUWSUXBWVJVWIYEWVDUSVWIWVIWVJWVG
      WVHVWNGXGWTZGVPWTZUXLWVJVQZUWTWNWWKWVDWWLWNZWXGVWIWQWVMVWIVHZWVMWVQVFWVAV
      GWVDVWIWVAWVMWXCUXAYBWXHWVMWVJVFWVSVGWVDUSWVMWVIWVSVWIWVJWVFWVMVGWVGWVNWV
      HVWNUSUNUOUXCUXDWXFWVNWVHVWNWXDWXEUXLUXEYBUXFWVDUNVWIWVTWVOWVDWXHXRZWVTWV
      NWVAWVHVYBVDZWVAVWNVYBVDZXHWVOWVNWVAWVHVWNVYBUXMWXIWVNWXJWVAWXKVWNWXIVXCW
      VBWXJWVAVGAVXCWVCWXHVXDYGZAWUTWVBWXHUXGZVWFGVYBWVHWVAVWOVYJWWNUXHVTWXIVXC
      WVBWXKVWNVGWXLWXMVWFGVYBWVAVWNVWOVYJVWPWEVTUXIUXJUXKUXNWVDVVKWVLCVFZVFZVV
      OBWXNVFZFVDZVGZWVLVVSVHWVDWXOVVKWVECVFVFZVYDUTJUTVEZWUSVFZWXTVVKVFZHVDZXI
      ZVOVDZFVDZWXQWVDWVLVYKVHZWXOWYFVGWVDVVKVYKVWJCDEWVKFGJKWVEWVJWXSWYENPVWQR
      SVYMAVXOWVCUBXKZAWWHWVCUCXKZAVXBWVCUDXKZAVVKWUKVHWVCWUPXKZWVDWVEVYKVHZWXS
      WXSVGWVDVWFVYKWVAVXGWVDVXGVYKVWJGJVWFNVWQVYMVWOVXMWYHAVXCWVCVXDXKUXOWXBYH
      WVDWXSYIUXPWVDUTVVKWUSVWIVWJCDEGWVHULHWVJJKVYDNVYKVWNUSPVWQRVYMSVYHUAVWPW
      WNVWSWXFWYHWYIWYJWYKWUTWUSVWIVHZAWVBVWLUMWUSVWIUXQZUXRZUXSWWTTUXTWIWVDVVO
      WVAVYDUTJWYAWXTBVFZHVDZXIZVOVDZFVDZFVDZWVAVVOWYSFVDZFVDZWXQWYFWVDVVOWVAFV
      DZWYSFVDZWVAVVOFVDZWYSFVDZXUAXUCWVDXUDXUFWYSFWVDWWHVVOKVHZWVAKVHZXUDXUFVG
      WYIAXUHWVCAVYDUYAVHZVYFWUFXUHAWUCXUJWUDEVYDVYHUYBWCZUFWUIKHVYDMLKEVYDVYHS
      UYCZUAYJWAZXKZAWVBXUIWUTAVWFKWVAAVWFDKVYIWUHYKUYDXMZKEFVVOWVASTUYEWAYLWVD
      WUCXUHXUIWYSKVHZXUEXUAVGWVDEWYIWLZXUNXUOWVDJKWYRVYDNEXGVFZXULEXURVYDVYHXU
      RVQUYFZAVYDUYGVHZWVCAWWHXUTUCEVYDVYHUYKWCZXKWYHWVDUTJWYQKWVDWXTJVHZXRZXUJ
      WYAVKVHZWYPKVHZWYQKVHZAXUJWVCXVBXUKYGWVDJVKWXTWUSAWUTJVKWUSWMZWVBWUTXVGAW
      UTWYMWUSVWHVHXVGWYNVWGULWUSVWHUXQWUSVKJWPUYLYBZYMZYNZXVCJKWXTBAWUMWVCXVBW
      UNYGWVDXVBYOZYHZKHVYDWYAWYPXULUAYJZWAUWEWVDWUSYSYAVDZWYRXURYAVDZAWUTXVNVJ
      VHZWVBWUTAWYMXVPWYNAWYMXRWUSYSWYMWUSYSXNXSAVWIULWUSJVWSUYHYBUYIUYJZYMWVDU
      TURWYAWYPJKXVNHVKWKYSXURWVDUTJWYAXIZYSYAVDZXVNXVNWVDWUSXVRYSYAWVDUTJVKWUS
      XVIUYMYLWVDXVNUYNYKWUAYSVYTHVDXURVGZWVDKHVYDVYTXURXULXUSUAVUAZYBXVJXVLYSW
      KVHZWVDUYOWNYPYCUYPZKEFVVOWVAWYSSTUYQYQWVDWUCXUIXUHXUPXUGXUCVGXUQXUOXUNXW
      CKEFWVAVVOWYSSTUYQYQUYRWVDWXPWYTVVOFWVDWYGWXPWYTVGWVDBVYKVWJCDEWVKFGJKWVE
      WVJWVAWYSNPVWQRSVYMWYHWYIWYJAWULWVCUHXKZWVDVXGVYKVWJCDEGJKBNWVAPVWQRSVYMV
      XMWYHWYIWYJAWVBWVADVHZWUTAXWEWVBADVWFWVAVYIXLUYSXMZXWDWHWVDUTBWUSVWIVWJCD
      EGWVHULHWVJJKVYDNVYKVWNUSPVWQRVYMSVYHUAVWPWWNVWSWXFWYHWYIWYJXWDWYOUXSWWTT
      UXTWIWJWVDWXSWVAWYEXUBFWVDWYLWXSWVAVGWVDVXGVYKVWJCDEGJKVVKNWVAPVWQRSVYMVX
      MWYHWYIWYJXWFWYKWHWIWVDWYEVYDUTJWYALHVDZWYQFVDZXIZVOVDZXUBWVDWYDXWIVYDVOW
      VDUTJWYCXWHXVCWYCWYALWYPFVDZHVDZXWHXVCWYBXWKWYAHWVDJJLWYPFJVVJBNNWXTAVVJJ
      YEWVCAJDVVJAVYGJDVVJWMUEJLDWOWCVUBXKABJYEWVCAJKBWUNVUBXKWYHWYHWUOXVCVYGXV
      BWXTVVJVFLVGAVYGWVCXVBUEYGXVKJLWXTDUYTVTXVCWYPYIVUCWJXVCXUTXVDWUFXVEXWLXW
      HVGAXUTWVCXVBXVAYGXVJAWUFWVCXVBWUIYGXVLKFHVYDWYALWYPXULUAEFVYDVYHTVUDZVUE
      YQWFUXKWJAWUTXWJXUBVGWVBAWUTXRZXWJVYDUTJXWGXIZVOVDZWYSFVDXUBXWNUTJKXWGWYQ
      FXWOVYDWYRNXURXULXUSXWMAXUTWUTXVAXKAVXOWUTUBXKZXWNXVBXRZXUJXVDWUFXWGKVHAX
      UJWUTXVBXUKYGZXWNJVKWXTWUSXVHYNZAWUFWUTXVBWUIYGZKHVYDWYALXULUAYJWAXWRXUJX
      VDXVEXVFXWSXWTAXVBXVEWUTAJKWXTBWUNYNVUFZXVMWAXWNXWOYIXWNWYRYIXWNXWOWKWKXU
      RXWNUTJXWGNXWQVUJXWNEXGXOZXWOXQXWNUTJXWGXTWNXWNXVNXWOXURYAVDXVQXWNUTURWYA
      LJKXVNHVKWKYSXURXWNXVSXVNXVNXWNWUSXVRYSYAXWNUTJVKWUSXVHUYMYLXWNXVNUYNYKZW
      UAXVTXWNXWAYBZXWTXXAXWBXWNUYOWNZYPYCYDXWNWYRWKWKXURXWNUTJWYQNXWQVUJXXCWYR
      XQXWNUTJWYQXTWNXWNXVNXVOXVQXWNUTURWYAWYPJKXVNHVKWKYSXURXXDXXEXWTXXBXXFYPY
      CYDVUGXWNXWPVVOWYSFAUTKVWIHUMULVYDVWMJLMNUOVWSVWTXULUAUBXUKWUIUFVUHYLWFYM
      WFVUIWSWFVVRWXRUIWVLWVEWVJWVKXPVVLWVLVGZVVNWXOVVQWXQXXGVVKVVMWXNVVLWVLCXA
      ZXBXXGVVPWXPVVOFXXGBVVMWXNXXHXBWJXCXDXFVUKUJVEZMIVFZVVSVULZVHZUKVEZXXKVHZ
      XRAXXIXXJVHZVVKXXICVFZVFZVVOBXXPVFZFVDZVGZXRZXXMXXJVHZVVKXXMCVFZVFZVVOBXY
      CVFZFVDZVGZXRZXRZXXIXXMVWKVDZVVSVHZXXLXYAXXNXYHXXLXXOXXIVVSVHZXRXYAXXIXXJ
      VVSVUMXYLXXTXXOVVRXXTUIXXIUJYFVVLXXIVGZVVNXXQVVQXXSXYMVVKVVMXXPVVLXXICXAZ
      XBXYMVVPXXRVVOFXYMBVVMXXPXYNXBWJXCXDVUNVUOXXNXYBXXMVVSVHZXRXYHXXMXXJVVSVU
      MXYOXYGXYBVVRXYGUIXXMUKYFVVLXXMVGZVVNXYDVVQXYFXYPVVKVVMXYCVVLXXMCXAZXBXYP
      VVPXYEVVOFXYPBVVMXYCXYQXBWJXCXDVUNVUOVUPAXYIXRZVVKXYJCVFZVFZVVOBXYSVFZFVD
      ZVGZXYKXYRVVOXXRXYEEVNVFZVDZFVDZXXSXYFYUDVDZYUBXYTXYRWUCXUHXXRKVHXYEKVHYU
      FYUGVGAWUCXYIWUDXKAXUHXYIXUMXKXYREJYRVDZVIVFZKBXXPXYRKEYUIEYUIYRVDZVIVFZX
      JXXPYUJWKYUJVQZSYUKVQZAWWHXYIUCXKZXYRYUHVIXOZXYRXXPEWUKYRVDZVIVFZYUKXYRVY
      KYUQXXICAVYKYUQCWMZXYIACVWJYUPVUQVDVHZYURAVXOWWHVXBYUSUBUCUDKCDEYUPGJNVWJ
      PVWQRYUPVQSVURWAVYKYUQVWJYUPCVYMYUQVQVVAWCXKZAXYAXXIVYKVHZXYHAXXOYVAXXTAX
      XOXRVYKVWJGIJMNVRXXIQVWQVYMAVXOXXOUBXKAVXCXXOVXDXKAVYFXXOUFXKAXXOYOVUSZYM
      YMYHAYUQYUKVGXYIAYUPYUJVIAWUKYUIEYRAWWHVXOWUKYUIVGUCUBKEJXJNYUHYUHVQSVVBV
      TZWJVSXKZWBVUTABYUIVHXYIABWUKYUIUHYVCWBXKZYHXYRYUIKBXYCXYRKEYUIYUKXJXYCYU
      JWKYULSYUMYUNYUOXYRXYCYUQYUKXYRVYKYUQXXMCYUTAXYHXXMVYKVHZXYAAXYBYVFXYGAXY
      BXRVYKVWJGIJMNVRXXMQVWQVYMAVXOXYBUBXKAVXCXYBVXDXKAVYFXYBUFXKAXYBYOVUSZYMX
      MYHYVDWBVUTYVEYHKYUDEFVVOXXRXYESYUDVQZTVVCYQXYRYUAYUEVVOFXYRXYJVYKVHZYUAY
      UEVGXYRBVYKVWJYUDVWKCDEGJKXXIXXMXXRXYENPVWQRSVYMAVXOXYIUBXKZYUNAVXBXYIUDX
      KZAWULXYIUHXKAXYAYVAXXRXXRVGZXRXYHAXXOYVAXXTYVLYVBAXXTXRXXRYIYTYMAXYHYVFX
      YEXYEVGZXRXYAAXYBYVFXYGYVMYVGAXYGXRXYEYIYTXMVWRYVHVVDWIWJXYRYVIXYTYUGVGXY
      RVVKVYKVWJYUDVWKCDEGJKXXIXXMXXSXYFNPVWQRSVYMYVJYUNYVKXYRKJVVKWKNVYPXYRVYQ
      WNYVJXYRUQURJJJFKKKVVJBNNAVYSWUAXRWUBXYIWUEVUFAWUGXYIWUJXKAWUMXYIWUNXKYVJ
      YVJWUOXEWRAXYAYVAXXTXRXYHAXXOYVAXXTXXTYVBAXXTYOYTYMAXYHYVFXYGXRXYAAXYBYVF
      XYGXYGYVGAXYGYOYTXMVWRYVHVVDWIWSVVRYUCUIXYJXXIXXMVWKXPVVLXYJVGZVVNXYTVVQY
      UBYVNVVKVVMXYSVVLXYJCXAZXBYVNVVPYUAVVOFYVNBVVMXYSYVOXBWJXCXDXFVVEVVFAOXXJ
      VHVVTVWEVVGUGVVRVWEUIOXXJVVLOVGZVVNVWBVVQVWDYVPVVKVVMVWAVVLOCXAZXBYVPVVPV
      WCVVOFYVPBVVMVWAYVQXBWJXCVVHWCVVI $.
  $}

  ${
    mhphf2.q $e |- Q = ( ( I evalSub S ) ` R ) $.
    mhphf2.h $e |- H = ( I mHomP U ) $.
    mhphf2.u $e |- U = ( S |`s R ) $.
    mhphf2.k $e |- K = ( Base ` S ) $.
    mhphf2.b $e |- .xb = ( .s ` ( ( ringLMod ` S ) ^s I ) ) $.
    mhphf2.m $e |- .x. = ( .r ` S ) $.
    mhphf2.e $e |- .^ = ( .g ` ( mulGrp ` S ) ) $.
    mhphf2.i $e |- ( ph -> I e. V ) $.
    mhphf2.s $e |- ( ph -> S e. CRing ) $.
    mhphf2.r $e |- ( ph -> R e. ( SubRing ` S ) ) $.
    mhphf2.l $e |- ( ph -> L e. R ) $.
    mhphf2.n $e |- ( ph -> N e. NN0 ) $.
    mhphf2.x $e |- ( ph -> X e. ( H ` N ) ) $.
    mhphf2.a $e |- ( ph -> A e. ( K ^m I ) ) $.
    $( A homogeneous polynomial defines a homogeneous function; this is ~ mhphf
       with simpler notation in the conclusion in exchange for a complex
       definition of ` .xb ` , which is based on ~ frlmvscafval but without the
       finite support restriction ( ~ frlmpws , ~ frlmbas ) on the assignments
       ` A ` from variables to values.

       TODO?:  Polynomials ( ~ df-mpl ) are defined to have a finite amount of
       terms (of finite degree).  As such, any assignment may be replaced by an
       assignment with finite support (as only a finite amount of variables
       matter in a given polynomial, even if the set of variables is infinite).
       So the finite support restriction can be assumed without loss of
       generality.  (Contributed by SN, 11-Nov-2024.) $)
    mhphf2 $p |- ( ph -> ( ( Q ` X ) ` ( L .xb A ) ) =
                         ( ( N .^ L ) .x. ( ( Q ` X ) ` A ) ) ) $=
      ( co cfv csn cxp cof cmulr crglmod cpws cbs csca cvv rlmvsca fvexd csubrg
      eqid wcel wss subrgss syl sseldd ccrg rlmsca fveq2d syl5eq eleqtrd oveq1i
      wceq cmap eleqtrdi rlmbas pwsbas pwsvscafval eqcomi ofeq mp1i oveqd eqtrd
      syl2anc mhphf ) AMBFUKZPCULZULKMUMUNZBGUOZUKZWKULNMIUKBWKULGUKAWJWNWKAWJW
      LBEUPULZUOZUKWNAMEUQULZKURUKZUSULZWQFWOWQUTULZKWTUSULZVAOBWRWRVEZWSVEEVBU
      AWTVEXAVEAEUQVCZUDAMLXAADLMADEVDULVFDLVGUFDLETVHVIUGVJALEUSULZXATAEWTUSAE
      VKVFEWTVQUEEVKVLVIVMVNVOABXDKVRUKZWSABLKVRUKXEUJLXDKVRTVPVSAWQVAVFKOVFXEW
      SVQXCUDXDWQKVAOWRXBEVTWAWHVOWBAWPWMWLBWOGVQWPWMVQAGWOUBWCWOGWDWEWFWGVMABC
      DEGHIJKLMNOPQRSTUBUCUDUEUFUGUHUIUJWIWG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Arithmetic theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Towards the start of this section are several proofs regarding the different
  complex number axioms that could be used to prove some results.

  For example, ~ ax-1rid is used in ~ mulid1 related theorems, so one could
  trade off the extra axioms in ~ mulid1 for the axioms needed to prove that
  something is a real number.  Another example is avoiding complex number
  closure laws by using real number closure laws and then using ~ ax-resscn ;
  in the other direction, real number closure laws can be avoided by using
  ~ ax-resscn and then the complex number closure laws.  (This only works if
  the result of ` ( A .+ B ) ` only needs to be a complex number).

  The natural numbers are especially amenable to axiom reductions, as the set
  ` NN ` is the recursive set ` { 1 , ( 1 + 1 ) , ( ( 1 + 1 ) + 1 ) } ` , etc.,
  i.e. the set of numbers formed by only additions of 1.  The digits 2 through
  9 are defined so that they expand into additions of 1.  This makes adding
  natural numbers conveniently only require the rearrangement of parentheses,
  as shown with the following:

  ` ( 4 + 3 ) = 7 `

  ` ( ( 3 + 1 ) + ( 2 + 1 ) ) = ( 6 + 1 ) `

  ` ( ( ( ( 1 + 1 ) + 1 ) + 1 ) + ( ( 1 + 1 ) + 1 ) ) = `

  ` ( ( ( ( ( ( 1 + 1 ) + 1 ) + 1 ) + 1 ) + 1 ) + 1 ) `

  This only requires ~ ax-addass , ~ ax-1cn , and ~ ax-addcl .  (And in
  practice, the expression isn't completely expanded into ones.)

  Multiplication by 1 requires either ~ mulid2i or ( ~ ax-1rid and ~ 1re ) as
  seen in ~ 1t1e1 and ~ 1t1e1ALT .  Multiplying with greater natural numbers
  uses ~ ax-distr .  Still, this takes fewer axioms than adding zero, which is
  often implicit in theorems such as ` ( 9 + 1 ) = ; 1 0 ` .  Adding zero uses
  almost every complex number axiom, though notably not ~ ax-mulcom (see
  ~ readdid1 and ~ readdid2 ).

$)

  $( Alternate proof of ~ c0ex using more set theory axioms but fewer complex
     number axioms (add ~ ax-10 , ~ ax-11 , ~ ax-13 , ~ ax-nul , and remove
     ~ ax-1cn , ~ ax-icn , ~ ax-addcl , and ~ ax-mulcl ).  (Contributed by
     Steven Nguyen, 4-Dec-2022.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  c0exALT $p |- 0 e. _V $=
    ( cc0 ci cmul co c1 caddc ax-i2m1 eqcomi ovexi ) ABBCDZEFJEFDAGHI $.

  $( Alternate proof of ~ 0cn using ~ ax-resscn , ~ ax-addrcl , ~ ax-rnegex ,
     ~ ax-cnre instead of ~ ax-icn , ~ ax-addcl , ~ ax-mulcl , ~ ax-i2m1 .
     Version of ~ 0cnALT using ~ ax-1cn instead of ~ ax-icn .  (Contributed by
     Steven Nguyen, 7-Jan-2022.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  0cnALT3 $p |- 0 e. CC $=
    ( cc0 0re recni ) ABC $.

  ${
    $d x A $.
    $( Specialized version of ~ 0red without using ~ ax-1cn and ~ ax-cnre .
       (Contributed by Steven Nguyen, 28-Jan-2023.) $)
    elre0re $p |- ( A e. RR -> 0 e. RR ) $=
      ( vx cr wcel cv caddc cc0 wceq wrex ax-rnegex readdcl syl5ibcom rexlimdva
      co wa eleq1 mpd ) ACDZABEZFNZGHZBCIGCDZBAJRUAUBBCRSCDOTCDUAUBASKTGCPLMQ
      $.
  $}

  $( Alternate proof of ~ 1t1e1 using a different set of axioms (add
     ~ ax-mulrcl , ~ ax-i2m1 , ~ ax-1ne0 , ~ ax-rrecex and remove ~ ax-resscn ,
     ~ ax-mulcom , ~ ax-mulass , ~ ax-distr ).  (Contributed by Steven Nguyen,
     20-Sep-2022.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  1t1e1ALT $p |- ( 1 x. 1 ) = 1 $=
    ( c1 cr wcel cmul co wceq 1re ax-1rid ax-mp ) ABCAADEAFGAHI $.

  ${
    $d A x $.  $d B x $.  $d C x $.  $d ph x $.
    remulcan2d.1 $e |- ( ph -> A e. RR ) $.
    remulcan2d.2 $e |- ( ph -> B e. RR ) $.
    remulcan2d.3 $e |- ( ph -> C e. RR ) $.
    remulcan2d.4 $e |- ( ph -> C =/= 0 ) $.
    $( ~ mulcan2d for real numbers using fewer axioms.  (Contributed by Steven
       Nguyen, 15-Apr-2023.) $)
    remulcan2d $p |- ( ph -> ( ( A x. C ) = ( B x. C ) <-> A = B ) ) $=
      ( vx cmul co wceq c1 cr wcel wa oveq1 adantr recnd mulassd cv wi cc0 wrex
      wne ax-rrecex syl2anc simprl simprr oveq2d ax-1rid 3eqtrd eqeq12d impbid1
      syl syl5ib rexlimddv ) ABDJKZCDJKZLZBCLZADIUAZJKZMLZUTVAUBINADNOZDUCUEVDI
      NUDGHIDUFUGUTURVBJKZUSVBJKZLAVBNOZVDPZPZVAURUSVBJQVJVFBVGCVJVFBVCJKBMJKZB
      VJBDVBVJBABNOZVIERZSVJDAVEVIGRSZVJVBAVHVDUHSZTVJVCMBJAVHVDUIZUJVJVLVKBLVM
      BUKUOULVJVGCVCJKCMJKZCVJCDVBVJCACNOZVIFRZSVNVOTVJVCMCJVPUJVJVRVQCLVSCUKUO
      ULUMUPUQBCDJQUN $.
  $}

  ${
    readdid1addid2d.a $e |- ( ph -> A e. RR ) $.
    readdid1addid2d.b $e |- ( ph -> B e. RR ) $.
    readdid1addid2d.1 $e |- ( ph -> ( B + A ) = B ) $.
    $( Given some real number ` B ` where ` A ` acts like a right additive
       identity, derive that ` A ` is a left additive identity.  Note that the
       hypothesis is weaker than proving that ` A ` is a right additive
       identity (for all numbers).  Although, if there is a right additive
       identity, then by ~ readdcan , ` A ` is the right additive identity.
       (Contributed by Steven Nguyen, 14-Jan-2023.) $)
    readdid1addid2d $p |- ( ( ph /\ C e. RR ) -> ( A + C ) = C ) $=
      ( cr wcel wa caddc co wceq adantr recnd simpr addassd oveq1d eqtr3d wb
      readdcld readdcan syl3anc mpbid ) ADHIZJZCBDKLZKLZCDKLZMZUGDMZUFCBKLZDKLU
      HUIUFCBDUFCACHIZUEFNZOUFBABHIUEENZOUFDAUEPZOQUFULCDKAULCMUEGNRSUFUGHIUEUM
      UJUKTUFBDUOUPUAUPUNUGDCUBUCUD $.
  $}

  $( A proof of ~ 1ne2 without using ~ ax-mulcom , ~ ax-mulass ,
     ~ ax-pre-mulgt0 .  Based on ~ mul02lem2 .  (Contributed by SN,
     13-Dec-2023.) $)
  sn-1ne2 $p |- 1 =/= 2 $=
    ( c1 caddc co c2 wne cc0 wceq 0ne1 wa cmul ax-icn mulcli ax-1cn addassi a1i
    ci simpr oveq2d cr wcel ax-i2m1 3eqtr2rd simpl oveq1d 3eqtr3d 0red readdcan
    wb 1red syl3anc mpbid ex necon3d mpi oveq2 0re ax-1rid ax-mp adddii oveq12i
    0cn eqtri 3eqtr3g necon3i pm2.61ine df-2 neeqtrri ) AAABCZDAVHEZFFFBCZFVJGZ
    FAEVIHVKAVHFAVKAVHGZFAGZVKVLIZVJFABCZGZVMVNFPPJCZABCZABCZVJVOVNVSVQVHBCZVRF
    VSVTGVNVQAAPPKKLMMNOVNAVHVQBVKVLQRVRFGVNUAOZUBVKVLUCVNVRFABWAUDUEVNFSTZASTW
    BVPVMUHVNUFZVNUIWCFAFUGUJUKULUMUNAVHFVJVLFAJCZFVHJCZFVJAVHFJUOWBWDFGUPFUQUR
    ZWEWDWDBCVJFAAVAMMUSWDFWDFBWFWFUTVBVCVDVEVFVG $.

  ${
    $d x y z A $.
    $( A positive integer that is not 1 is a successor of some other positive
       integer.  (Contributed by Steven Nguyen, 19-Aug-2023.) $)
    nnn1suc $p |- ( ( A e. NN /\ A =/= 1 ) -> E. x e. NN ( x + 1 ) = A ) $=
      ( vy vz cn wcel c1 wne cv caddc co wceq wrex wi neeq1 rexbidv imbi12d weq
      eqeq2 wn df-ne eqid pm2.24i sylbi id wb oveq1 eqeq1d adantl rspcedvd 2a1d
      eqidd nnind imp ) BEFBGHZAIZGJKZBLZAEMZCIZGHZUQUTLZAEMZNGGHZUQGLZAEMZNDIZ
      GHZUQVGLZAEMZNZVGGJKZGHZUQVLLZAEMZNUOUSNCDBUTGLZVAVDVCVFUTGGOVPVBVEAEUTGU
      QSPQCDRZVAVHVCVJUTVGGOVQVBVIAEUTVGUQSPQUTVLLZVAVMVCVOUTVLGOVRVBVNAEUTVLUQ
      SPQUTBLZVAUOVCUSUTBGOVSVBURAEUTBUQSPQVDGGLZTVFGGUAVTVFGUBUCUDVGEFZVOVKVMW
      AVNVLVLLZAVGEWAUEADRZVNWBUFWAWCUQVLVLUPVGGJUGUHUIWAVLULUJUKUMUN $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Addition with 1 is commutative for natural numbers.  (Contributed by
       Steven Nguyen, 9-Dec-2022.) $)
    nnadd1com $p |- ( A e. NN -> ( A + 1 ) = ( 1 + A ) ) $=
      ( vx vy cv c1 caddc co wceq oveq1 oveq2 eqeq12d eqid cn wcel 1cnd addassd
      weq nncn sylan9eqr ex nnind ) BDZEFGZEUBFGZHEEFGZUEHCDZEFGZEUFFGZHZUGEFGZ
      EUGFGZHZAEFGZEAFGZHBCAUBEHUCUEUDUEUBEEFIUBEEFJKBCQUCUGUDUHUBUFEFIUBUFEFJK
      UBUGHUCUJUDUKUBUGEFIUBUGEFJKUBAHUCUMUDUNUBAEFIUBAEFJKUELUFMNZUIULUIUOUJUH
      EFGUKUGUHEFIUOEUFEUOOZUFRUPPSTUA $.

    $( Addition is commutative for natural numbers.  Uses fewer axioms than
       ~ addcom .  (Contributed by Steven Nguyen, 9-Dec-2022.) $)
    nnaddcom $p |- ( ( A e. NN /\ B e. NN ) -> ( A + B ) = ( B + A ) ) $=
      ( vx vy cn wcel caddc co wceq cv wi c1 oveq1 oveq2 eqeq12d imbi2d cc nncn
      adantl addassd weq nnadd1com eqcomd oveq2d adantr 1cnd 3eqtr4d syl5ib a2d
      wa ex nnind imp ) AEFBEFZABGHZBAGHZIZUNCJZBGHZBURGHZIZKUNLBGHZBLGHZIZKUND
      JZBGHZBVEGHZIZKUNVELGHZBGHZBVIGHZIZKUNUQKCDAURLIZVAVDUNVMUSVBUTVCURLBGMUR
      LBGNOPCDUAZVAVHUNVNUSVFUTVGURVEBGMURVEBGNOPURVIIZVAVLUNVOUSVJUTVKURVIBGMU
      RVIBGNOPURAIZVAUQUNVPUSUOUTUPURABGMURABGNOPUNVCVBBUBZUCVEEFZUNVHVLVRUNVHV
      LKVHVFLGHZVGLGHZIVRUNUJZVLVFVGLGMWAVSVJVTVKWAVEVCGHZVEVBGHZVSVJUNWBWCIVRU
      NVCVBVEGVQUDSWAVEBLVRVEQFUNVERUEZUNBQFVRBRSZWAUFZTWAVELBWDWFWETUGWABVELWE
      WDWFTOUHUKUIULUM $.
  $}

  ${
    nnaddcomli.1 $e |- A e. NN $.
    nnaddcomli.2 $e |- B e. NN $.
    nnaddcomli.3 $e |- ( A + B ) = C $.
    $( Version of ~ addcomli for natural numbers.  (Contributed by Steven
       Nguyen, 1-Aug-2023.) $)
    nnaddcomli $p |- ( B + A ) = C $=
      ( caddc co cn wcel wceq nnaddcom mp2an eqtri ) BAGHZABGHZCBIJAIJOPKEDBALM
      FN $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x $.
    $( Right-distributivity for natural numbers without ~ ax-mulcom .
       (Contributed by SN, 5-Feb-2024.) $)
    nnadddir $p |- ( ( A e. NN /\ B e. NN /\ C e. NN ) ->
                        ( ( A + B ) x. C ) = ( ( A x. C ) + ( B x. C ) ) ) $=
      ( cn wcel caddc co cmul wceq wi c1 oveq2 oveq12d eqeq12d imbi2d nnred syl
      nncnd oveq2d addassd vx vy wa cv cr nnaddcl ax-1rid nnre oveqan12d eqtr4d
      weq w3a simp2l simp2r nnaddcld simp1 1cnd adddid nnmulcld nnaddcom oveq1d
      syl2anc 3eqtr4d 3eqtr2d eqtrd simp3 3exp a2d nnind com12 3impia ) ADEZBDE
      ZCDEZABFGZCHGZACHGZBCHGZFGZIZVNVLVMUCZVTWAVOUAUDZHGZAWBHGZBWBHGZFGZIZJWAV
      OKHGZAKHGZBKHGZFGZIZJWAVOUBUDZHGZAWMHGZBWMHGZFGZIZJWAVOWMKFGZHGZAWSHGZBWS
      HGZFGZIZJWAVTJUAUBCWBKIZWGWLWAXEWCWHWFWKWBKVOHLXEWDWIWEWJFWBKAHLWBKBHLMNO
      UAUBUKZWGWRWAXFWCWNWFWQWBWMVOHLXFWDWOWEWPFWBWMAHLWBWMBHLMNOWBWSIZWGXDWAXG
      WCWTWFXCWBWSVOHLXGWDXAWEXBFWBWSAHLWBWSBHLMNOWBCIZWGVTWAXHWCVPWFVSWBCVOHLX
      HWDVQWEVRFWBCAHLWBCBHLMNOWAWHVOWKWAVOUEEZWHVOIZWAVOABUFPVOUGZQVLVMWIAWJBF
      VLAUEEZWIAIZAUHAUGZQVMBUEEZWJBIZBUHBUGZQUIUJWMDEZWAWRXDXRWAWRXDXRWAWRULZW
      TWNWHFGZXCXSVOWMKXSVOXSABXRVLVMWRUMZXRVLVMWRUNZUOZRZXSWMXRWAWRUPZRZXSUQZU
      RXSWOWIFGZWPWJFGZFGZWQVOFGZXCXTXSYJWOAFGZWPBFGZFGZYKXSYHYLYIYMFXSWIAWOFXS
      XLXMXSAYAPXNQSXSWJBWPFXSXOXPXSBYBPXQQSMXSYNWOAYMFGZFGWOAWPFGZBFGZFGZYKXSW
      OAYMXSWOXSAWMYAYEUSRZXSAYARZXSYMXSWPBXSBWMYBYEUSZYBUORTXSYQYOWOFXSAWPBYTX
      SWPUUARZXSBYBRZTSXSWOWPAFGZBFGZFGWOWPVOFGZFGYRYKXSUUEUUFWOFXSWPABUUBYTUUC
      TSXSYQUUEWOFXSYPUUDBFXSVLWPDEYPUUDIYAUUAAWPUTVBVASXSWOWPVOYSUUBYDTVCVDVEX
      SXAYHXBYIFXSAWMKYTYFYGURXSBWMKUUCYFYGURMXSWNWQWHVOFXRWAWRVFXSXIXJXSVOYCPX
      KQMVCUJVGVHVIVJVK $.
    $( $j usage 'nnadddir' avoids 'ax-mulcom'; $)

    $( Multiplication with 1 is commutative for natural numbers, without
       ~ ax-mulcom .  Since ` ( A x. 1 ) ` is ` A ` by ~ ax-1rid , this is
       equivalent to ~ remulid2 for natural numbers, but using fewer axioms
       (avoiding ~ ax-resscn , ~ ax-addass , ~ ax-mulass , ~ ax-rnegex ,
       ~ ax-pre-lttri , ~ ax-pre-lttrn , ~ ax-pre-ltadd ).  (Contributed by SN,
       5-Feb-2024.) $)
    nnmul1com $p |- ( A e. NN -> ( 1 x. A ) = ( A x. 1 ) ) $=
      ( vx vy cn wcel c1 cmul co cv wceq caddc oveq2 id eqeq12d weq 1t1e1ALT wa
      1cnd simpl nncnd adddid simpr a1i oveq12d eqtrd ex nnind nnre ax-1rid syl
      cr eqtr4d ) ADEZFAGHZAAFGHZFBIZGHZUPJFFGHZFJZFCIZGHZUTJZFUTFKHZGHZVCJZUNA
      JBCAUPFJZUQURUPFUPFFGLVFMNBCOZUQVAUPUTUPUTFGLVGMNUPVCJZUQVDUPVCUPVCFGLVHM
      NUPAJZUQUNUPAUPAFGLVIMNPUTDEZVBVEVJVBQZVDVAURKHVCVKFUTFVKRZVKUTVJVBSTVLUA
      VKVAUTURFKVJVBUBUSVKPUCUDUEUFUGUMAUKEUOAJAUHAUIUJUL $.
    $( $j usage 'nnmul1com' avoids 'ax-mulcom' 'ax-resscn' 'ax-addass'
       'ax-mulass' 'ax-rnegex' 'ax-pre-lttri' 'ax-pre-lttrn' 'ax-pre-ltadd'; $)

    $( Multiplication is commutative for natural numbers.  (Contributed by SN,
       5-Feb-2024.) $)
    nnmulcom $p |- ( ( A e. NN /\ B e. NN ) -> ( A x. B ) = ( B x. A ) ) $=
      ( vx vy cn wcel cmul co wceq cv wi c1 caddc oveq1 oveq2 eqeq12d nnmul1com
      imbi2d weq nncnd w3a simp3 3ad2ant2 oveq12d simp1 1nn simp2 nnadddir 1cnd
      a1i syl3anc adddid 3eqtr4d 3exp a2d nnind imp ) AEFBEFZABGHZBAGHZIZURCJZB
      GHZBVBGHZIZKURLBGHZBLGHZIZKURDJZBGHZBVIGHZIZKURVILMHZBGHZBVMGHZIZKURVAKCD
      AVBLIZVEVHURVQVCVFVDVGVBLBGNVBLBGOPRCDSZVEVLURVRVCVJVDVKVBVIBGNVBVIBGOPRV
      BVMIZVEVPURVSVCVNVDVOVBVMBGNVBVMBGOPRVBAIZVEVAURVTVCUSVDUTVBABGNVBABGOPRB
      QZVIEFZURVLVPWBURVLVPWBURVLUAZVJVFMHZVKVGMHVNVOWCVJVKVFVGMWBURVLUBURWBVHV
      LWAUCUDWCWBLEFZURVNWDIWBURVLUEZWEWCUFUJWBURVLUGZVILBUHUKWCBVILWCBWGTWCVIW
      FTWCUIULUMUNUOUPUQ $.
    $( $j usage 'nnmulcom' avoids 'ax-mulcom'; $)
  $}

  ${
    mvrrsubd.a $e |- ( ph -> B e. CC ) $.
    mvrrsubd.b $e |- ( ph -> C e. CC ) $.
    mvrrsubd.1 $e |- ( ph -> A = ( B - C ) ) $.
    $( Move a subtraction in the RHS to a right-addition in the LHS. Converse
       of ~ mvlraddd .  (Contributed by SN, 21-Aug-2024.) $)
    mvrrsubd $p |- ( ph -> ( A + C ) = B ) $=
      ( caddc co cmin cc subcld eqeltrd addcld pncand eqtrd subcan2d ) ABDHIZCD
      ABDABCDJIZKGACDEFLMZFNEFARDJIBSABDTFOGPQ $.
  $}

  ${
    laddrotrd.a $e |- ( ph -> A e. CC ) $.
    laddrotrd.b $e |- ( ph -> B e. CC ) $.
    laddrotrd.1 $e |- ( ph -> ( A + B ) = C ) $.
    $( Rotate the variables right in an equation with addition on the left,
       converting it into a subtraction.  Version of ~ mvlladdd with a commuted
       consequent, and of ~ mvrladdd with a commuted hypothesis.  (Contributed
       by SN, 21-Aug-2024.) $)
    laddrotrd $p |- ( ph -> ( C - A ) = B ) $=
      ( cmin co mvlladdd eqcomd ) ACDBHIABCDEFGJK $.
  $}

  ${
    raddcom12d.b $e |- ( ph -> B e. CC ) $.
    raddcom12d.c $e |- ( ph -> C e. CC ) $.
    raddcom12d.1 $e |- ( ph -> A = ( B + C ) ) $.
    $( Swap the first two variables in an equation with addition on the right,
       converting it into a subtraction.  Version of ~ mvrraddd with a commuted
       consequent, and of ~ mvlraddd with a commuted hypothesis.  (Contributed
       by SN, 21-Aug-2024.) $)
    raddcom12d $p |- ( ph -> B = ( A - C ) ) $=
      ( cmin co mvrraddd eqcomd ) ABDHICABCDEFGJK $.
  $}

  ${
    lsubrotld.a $e |- ( ph -> A e. CC ) $.
    lsubrotld.b $e |- ( ph -> B e. CC ) $.
    lsubrotld.1 $e |- ( ph -> ( A - B ) = C ) $.
    $( Rotate the variables left in an equation with subtraction on the left,
       converting it into an addition.  (Contributed by SN, 21-Aug-2024.) $)
    lsubrotld $p |- ( ph -> ( B + C ) = A ) $=
      ( caddc co cmin cc subcld eqeltrrd addcld pncan2d eqtr4d subcan2d ) ACDHI
      ZBCACDFABCJIZDKGABCEFLMZNEFARCJIDSACDFTOGPQ $.
  $}

  ${
    lsubcom23d.a $e |- ( ph -> A e. CC ) $.
    lsubcom23d.b $e |- ( ph -> B e. CC ) $.
    lsubcom23d.1 $e |- ( ph -> ( A - B ) = C ) $.
    $( Swap the second and third variables in an equation with subtraction on
       the left, converting it into an addition.  (Contributed by SN,
       23-Aug-2024.) $)
    lsubcom23d $p |- ( ph -> ( A - C ) = B ) $=
      ( cmin co cc subcld eqeltrrd cc0 subeq0bd sub32d subidd 3eqtr4d subcan2d
      ) ABDHIZCCABDEABCHIZDJGABCEFKZLZKFFATDHIMSCHICCHIATDUAGNABDCEUBFOACFPQR
      $.
  $}

  $( Relation between sums and differences.  (Contributed by Steven Nguyen,
     5-Jan-2023.) $)
  addsubeq4com $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
    ( ( A + B ) = ( C + D ) <-> ( A - C ) = ( D - B ) ) ) $=
    ( caddc co wceq cc wcel wa cmin eqcom wb addsubeq4 ancoms syl5bb ) ABEFZCDE
    FZGRQGZAHIBHIJZCHIDHIJZJACKFDBKFGZQRLUATSUBMCDABNOP $.

  ${
    sqsumi.1 $e |- A e. CC $.
    sqsumi.2 $e |- B e. CC $.
    $( A sum squared.  (Contributed by Steven Nguyen, 16-Sep-2022.) $)
    sqsumi $p |- ( ( A + B ) x. ( A + B ) ) =
      ( ( ( A x. A ) + ( B x. B ) ) + ( 2 x. ( A x. B ) ) ) $=
      ( caddc co cmul c2 muladdi mulcli 2timesi eqcomi oveq2i eqtri ) ABEFZOGFA
      AGFBBGFEFZABGFZQEFZEFPHQGFZEFABABCDCDIRSPESRQABCDJKLMN $.
  $}

  ${
    negn0nposznnd.1 $e |- ( ph -> A =/= 0 ) $.
    negn0nposznnd.2 $e |- ( ph -> -. 0 < A ) $.
    negn0nposznnd.3 $e |- ( ph -> A e. ZZ ) $.
    $( Lemma for ~ dffltz .  (Contributed by Steven Nguyen, 27-Feb-2023.) $)
    negn0nposznnd $p |- ( ph -> -u A e. NN ) $=
      ( cz wcel cn0 wn cneg cn cc0 wceq wo wa clt wbr nngt0 nsyl neneqd sylnibr
      jca pm4.56 sylib elnn0 znnn0nn syl2anc ) ABFGBHGZIBJKGEABKGZBLMZNZUHAUIIZ
      UJIZOUKIAULUMALBPQUIDBRSABLCTUBUIUJUCUDBUEUABUFUG $.
  $}

  ${
    sqmid3api.a $e |- A e. CC $.
    sqmid3api.n $e |- N e. CC $.
    sqmid3api.b $e |- ( A + N ) = B $.
    sqmid3api.c $e |- ( B + N ) = C $.
    $( Value of the square of the middle term of a 3-term arithmetic
       progression.  (Contributed by Steven Nguyen, 20-Sep-2022.) $)
    sqmid3api $p |- ( B x. B ) = ( ( A x. C ) + ( N x. N ) ) $=
      ( caddc co cmul muladdi oveq12i mulcli addcli add32i adddii oveq1i oveq2i
      eqtri addassi 3eqtr3ri 3eqtr3i ) ADIJZUDKJAAKJZDDKJZIJADKJZUGIJZIJZBBKJAC
      KJZUFIJZADADEFEFLUDBUDBKGGMUIUEUHIJZUFIJUKUEUFUHAAEENZDDFFNUGUGADEFNZUNOP
      ULUJUFIAUDDIJZKJAUDKJZUGIJZUJULAUDDEADEFOFQUOCAKUOBDIJCUDBDIGRHTSUQUEUGIJ
      ZUGIJULUPURUGIAADEEFQRUEUGUGUMUNUNUATUBRTUC $.
  $}

  ${
    decaddcom.a $e |- A e. NN0 $.
    decaddcom.b $e |- B e. NN0 $.
    decaddcom.c $e |- C e. NN0 $.
    $( Commute ones place in addition.  (Contributed by Steven Nguyen,
       29-Jan-2023.) $)
    decaddcom $p |- ( ; A B + C ) = ( ; A C + B ) $=
      ( cdc caddc co eqid decaddi nn0cni addcomi eqtr4i ) ABGZCHIABCHIZGACGZBHI
      ABPOCDEFOJPJKACPQBDFEQJCBCFLBELMKN $.
  $}

  ${
    sqn5i.1 $e |- A e. NN0 $.
    $( The square of a number ending in 5.  This shortcut only works because 5
       is half of 10.  (Contributed by Steven Nguyen, 16-Sep-2022.) $)
    sqn5i $p |- ( ; A 5 x. ; A 5 ) = ; ; ( A x. ( A + 1 ) ) 2 5 $=
      ( c5 cdc cmul co cc0 caddc c2 0nn0 deccl nn0cni 5nn0 eqid addid2i decaddi
      5cn 2nn0 cn0 eqtri 5p5e10 decaddci2 sqmid3api 5t5e25 wcel peano2nn0 ax-mp
      c1 nn0mulcli decmulnc mul01i deceq2i 2cn mul02i oveq1i decma ) ACDZUQEFAG
      DZAUHHFZGDZEFCCEFZHFAUSEFZIDZCDURUQUTCURAGBJKLQAGCURCBJMURNZCQOZPACUSUQCB
      MMUQNUSNUAUBUCAGICUTVCCURVABJRMVDUDUSGASUEUSSUEBAUFUGZJKZVBGIAUTEFZIAUSBV
      FUIJRVHVBAGEFZDVBGDUSGABVFJUJVIGVBAABLUKULTIUMOPGUTEFZCHFGCHFCVJGCHUTUTVG
      LUNUOVETUPT $.

    sqn5ii.2 $e |- ( A + 1 ) = B $.
    sqn5ii.3 $e |- ( A x. B ) = C $.
    $( The square of a number ending in 5.  This shortcut only works because 5
       is half of 10.  (Contributed by Steven Nguyen, 16-Sep-2022.) $)
    sqn5ii $p |- ( ; A 5 x. ; A 5 ) = ; ; C 2 5 $=
      ( c5 cdc cmul co c1 caddc c2 sqn5i oveq2i deceq1i 3eqtri ) AGHZRIJAAKLJZI
      JZMHZGHABIJZMHZGHCMHZGHADNUAUCGTUBMSBAIEOPPUCUDGUBCMFPPQ $.
  $}

  ${
    decpmulnc.a $e |- A e. NN0 $.
    decpmulnc.b $e |- B e. NN0 $.
    decpmulnc.c $e |- C e. NN0 $.
    decpmulnc.d $e |- D e. NN0 $.
    decpmulnc.1 $e |- ( A x. C ) = E $.
    decpmulnc.2 $e |- ( ( A x. D ) + ( B x. C ) ) = F $.
    ${
      decpmulnc.3 $e |- ( B x. D ) = G $.
      $( Partial products algorithm for two digit multiplication, no carry.
         Compare ~ muladdi .  (Contributed by Steven Nguyen, 9-Dec-2022.) $)
      decpmulnc $p |- ( ; A B x. ; C D ) = ; ; E F G $=
        ( cdc cmul co eqid nn0mulcli nn0cni deccl cn0 eqeltrri addcomli decmul1
        decrmanc decmul2c ) CDEFOGABOZADPQZCDOZABHIUAJKUJRBDPQGUBNBDIKSUCADHKSZ
        ABCEFUHUIHIUKUHRZJLUIBCPQZFUIUKTUMBCIJSTMUDUFABUIGDUHKHIULUIRNUEUG $.
    $}

    decpmul.3 $e |- ( B x. D ) = ; G H $.
    decpmul.4 $e |- ( ; E G + F ) = I $.
    decpmul.g $e |- G e. NN0 $.
    decpmul.h $e |- H e. NN0 $.
    $( Partial products algorithm for two digit multiplication.  (Contributed
       by Steven Nguyen, 10-Dec-2022.) $)
    decpmul $p |- ( ; A B x. ; C D ) = ; I H $=
      ( co cdc cmul c1 cc0 caddc decpmulnc dfdec10 cn0 nn0mulcli eqeltrri numcl
      deccl 0nn0 dec0u eqid decaddcom eqtri nn0cni addid2i decadd 3eqtri ) ABUA
      CDUAUBTEFUAZGHUAZUAUCUDUAVBUBTZVCUETIHUAABCDEFVCJKLMNOPUFVBVCUGVBUDGHIHVD
      VCEFACUBTEUHNACJLUIUJZADUBTBCUBTZUETFUHODVFAJMBCKLUIUKUJZULZUMRSVBVHUNVCU
      OVBGUETEGUAFUETIEFGVEVGRUPQUQHHSURUSUTVA $.
  $}

  ${
    sqdeccom12.a $e |- A e. NN0 $.
    sqdeccom12.b $e |- B e. NN0 $.
    $( The square of a number in terms of its digits switched.  (Contributed by
       Steven Nguyen, 3-Jan-2023.) $)
    sqdeccom12 $p |- ( ( ; A B x. ; A B ) - ( ; B A x. ; B A ) ) =
      ( ; 9 9 x. ( ( A x. A ) - ( B x. B ) ) ) $=
      ( cmul co caddc cdc cmin c1 cc0 c9 cc wcel 0nn0 deccl nn0cni eqid oveq12i
      mulcli wceq nn0mulcli subadd4 mp4an addid2i decaddi eqtr2i addcomi decadd
      numcl 3eqtr4i addsubeq4com mpbi 10nn0 ax-1cn subcli subdiri subdii mul02i
      wb dec0u decmul1 eqtri mulid2i decpmulnc 9p1e10 decsucc addcomli mvlladdi
      9nn0 oveq1i ) AAEFZABEFZBAEFZGFZHZBBEFZHZVQVOHZVLHZIFZJKHZKHZJIFZVLVQIFZE
      FZABHZWGEFZBAHZWIEFZIFLLHZWEEFVLKHZVQHZVQKHZVLHZIFZWLKHZWNKHZIFZWEIFZWAWF
      WTWQVQGFZWRVLGFZIFZWPWQMNWRMNVLMNVQMNWTXCUAWQWLKVLKAACCUBZOPZOPQWRWNKVQKB
      BDDUBZOPZOPQAAACQZXHTZBBBDQZXJTZWQWRVLVQUCUDXAWMXBWOIWLKVQWQVQXEOXFWQRVQX
      KUEUFWNKVLWRVLXGOXDWRRVLXIUEUFSUGVRWOGFZVTWMGFZUAZWAWPUAZVQVLGFZVOKGFZHZV
      LVQGFZHZXTXLXMXTRVPVQWNVLXRXSVRWOVLVOXDBVNACDBADCUBUJZPZXFXGXDVRRWORVLVOV
      QKXPXQVPWNXDYAXFOVPRWNRVLVQXIXKUHXQRZUIVQVLXKXIUHUIVSVLWLVQXRXSVTWMVQVOXF
      YAPZXDXEXFVTRWMRVQVOVLKXPXQVSWLXFYAXDOVSRWLRXPRYCUIXSRUIUKVRMNWOMNVTMNWMM
      NXNXOUTVRVPVQYBXFPQWOWNVLXGXDPQVTVSVLYDXDPQWMWLVQXEXFPQVRWOVTWMULUDUMWFWC
      WEEFZJWEEFZIFWTWCJWEWCWBKUNOPQZUOVLVQXIXKUPZUQYEWSYFWEIYEWCVLEFZWCVQEFZIF
      WSWCVLVQYGXIXKURYIWQYJWRIWBKWLKVLWCXDUNOWCRZVLXDVAVLXIUSVBWBKWNKVQWCXFUNO
      YKVQXFVAVQXKUSVBSVCWEYHVDSVCUKWHVRWJVTIABABVLVOVQCDCDVLRZVORVQRZVEBABAVQV
      OVLDCDCYMVNVMBAXJXHTABXHXJTUHYLVESWKWDWEEJWKWCUOWKLLVJVJPQZWKJWCYNUOLWBWK
      VJVFWKRVGVHVIVKUK $.

    sq3deccom12.c $e |- C e. NN0 $.
    sq3deccom12.d $e |- ( A + C ) = D $.
    $( Variant of ~ sqdeccom12 with a three digit square.  (Contributed by
       Steven Nguyen, 3-Jan-2023.) $)
    sq3deccom12 $p |- ( ( ; ; A B C x. ; ; A B C ) - ( ; D B x. ; D B ) ) =
      ( ; 9 9 x. ( ( ; A B x. ; A B ) - ( C x. C ) ) ) $=
      ( cdc cmul co cmin c9 cc0 caddc 0nn0 eqid nn0cni addcomli addid2i decaddi
      decadd deccl eqtr3i oveq12i oveq2i sqdeccom12 eqtri ) ABIZCIZUJJKZDBIZULJ
      KZLKUKCUIIZUNJKZLKMMIUIUIJKCCJKLKJKUMUOUKLULUNULUNJCNIZUIOKULUNCNABDBUPUI
      GPEFUPQZUIQACDAERCGRHSBBFRTUBCNUIUPUIGPABEFUCZUQUIUIURRTUAUDZUSUEUFUICURG
      UGUH $.
  $}

  $( Calculate a product by long multiplication as a base comparison with other
     multiplication algorithms.

     Conveniently, ` 7 1 1 ` has two ones which greatly simplifies calculations
     like ` 2 3 5 x. 1 ` .  There isn't a higher level ~ mulcomli saving the
     lower level uses of ~ mulcomli within ` 2 3 5 x. 7 ` since mulcom2 doesn't
     exist, but if commuted versions of theorems like ~ 7t2e14 are added then
     this proof would benefit more than ~ ex-decpmul .

     For practicality, this proof doesn't have "e167085" at the end of its name
     like ~ 2p2e4 or ~ 8t7e56 .  (Contributed by Steven Nguyen, 10-Dec-2022.)
     (New usage is discouraged.) $)
  235t711 $p |- ( ; ; 2 3 5 x. ; ; 7 1 1 ) = ; ; ; ; ; 1 6 7 0 8 5 $=
    ( c7 c1 cdc c6 c5 c2 c3 2nn0 3nn0 deccl 5nn0 7nn0 1nn0 eqid c4 caddc co 2cn
    decaddi cmul cc0 c8 8nn0 nn0cni 3p2e5 addcomli 0nn0 4nn0 6nn0 nn0addcli 7cn
    7t2e14 mulcomli 4p2e6 3cn 7t3e21 decmul1c 4cn addcli ax-1cn 6p1e7 eqtri 5cn
    oveq1i 7t5e35 3p1e4 5p5e10 decaddci2 decmac mulid1i 5p3e8 decma2c decmul2c
    ) ABCZBBDCZACZUACZUBCEFGCZECZVRVNBCZVREFGHIJZKJZABLMJMVTNKWAABFGVSVQUBVRVNV
    RLMHIVNNVRNZWBUCWAVREFEAVPUAOVSFVRPQWAKHKVSNVRFFECVRWAUDRFGEVRFHIHWCUESUFLU
    GUHVOBAVRATQFOPQZBDMUIJMFOHUHUJFGVOBAFVRLHIWCMHBODFATQFMUHHAFBOCUKRULUMUNSA
    GFBCUKUOUPUMUQWDBAFORURUSUTWDBPQDBPQAWDDBPOFDURRUNUFVDVAVBUFSGEOEATQEIKKAEG
    ECUKVCVEUMVFVGVHVIVREUBVSBTQGWAKIVSVSWBUDVJZVKSVLWEVM $.

  $( Example usage of ~ decpmul .  This proof is significantly longer than
     ~ 235t711 .  There is more unnecessary carrying compared to ~ 235t711 .
     Although saving 5 visual steps, using ~ mulcomli early on increases the
     compressed proof length.  (Contributed by Steven Nguyen, 10-Dec-2022.)
     (New usage is discouraged.)  (Proof modification is discouraged.) $)
  ex-decpmul $p |- ( ; ; 2 3 5 x. ; ; 7 1 1 ) = ; ; ; ; ; 1 6 7 0 8 5 $=
    ( c2 c3 cdc c5 c7 c1 c6 c8 2nn0 3nn0 deccl 5nn0 7nn0 1nn0 eqid cmul decaddi
    cc0 co 5cn 6nn0 c4 4nn0 7cn 2cn 7t2e14 mulcomli 4p2e6 7t3e21 decmul1c 1p2e3
    3cn nn0cni mulid1i decmul2c 7t5e35 mulid2i decmul1 5p2e7 5p3e8 decadd dec0h
    addcomli eqtri 0nn0 8nn0 caddc 3p3e6 6p1e7 7p3e10 decaddc2 addid2i decpmul
    8cn ) ABCZDEFCZFFGCZBCZBCZBECZHCZRDVQECZRCZHCABIJKZLEFMNKZNEFVRBVOAVPWDMNVP
    OZJIVQFBVOEPSAFGNUAKZNIABVQFEAVOMIJVOONIFUBGAEPSANUCIEAFUBCUDUEUFUGUHQEBAFC
    UDULUIUGUJUKQVOVOWDUMUNZUOABBDCZDVTHVOFPSDVPPSIJBDJLKZLWHVPDWIDCVPWEUMTEFWI
    DDVPLMNWFUPDTUQURUGWIAVTWIWJUMUEBDEWIAJLIWIOUSQVCDBHTULUTVCVADFPSDRDCDTUNDL
    VBVDVSRVTHWCHVSRCZWAVRBVQBWGJKZJKVEBEJMKVFWKOWAOVRBBEWBVSVTWLJJMVSOVTOVQGEV
    RBVGSFWGUANVQBGVRBWGJJVROVHQVIQEBFRCUDULVJVCVKHVNVLVAVELVM $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Exponents and divisibility
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    oexpreposd.n $e |- ( ph -> N e. RR ) $.
    oexpreposd.m $e |- ( ph -> M e. NN ) $.
    oexpreposd.1 $e |- ( ph -> -. ( M / 2 ) e. NN ) $.
    $( Lemma for ~ dffltz .  TODO-SN?:  This can be used to show ~ exp11d holds
       for all integers when the exponent is odd.  The more standard
       ` -. 2 || M ` should be used.  (Contributed by SN, 4-Mar-2023.) $)
    oexpreposd $p |- ( ph -> ( 0 < N <-> 0 < ( N ^ M ) ) ) $=
      ( cc0 clt wbr cexp co wa cr wcel adantr simpr wn wceq cn c2 cz syl3anc ex
      nnzd expgt0 wo lttrid notbid notnotr 0re ltnri 0expd breq2d mtbiri eqcomd
      0red oveq1d mtbird cneg renegcld cc cdvds recnd cdiv cnumer cfv cdenom c1
      cmul cq wb zq adantl qden1elz syl mpbird oveq2d qmuldeneqnum zcnd mulid1d
      3eqtr3rd nnred 2re a1i nngt0d 2pos divgt0d qgt0numnn syl2anr mtand evend2
      eqeltrd biimpd nnnn0d reexpcld pm2.46 syl6bi 3syld lt0neg1d lt0neg2d jaod
      oexpneg 3imtr4d syl5 sylbid impcon4bid ) AGCHIZGCBJKZHIZAXGXIAXGLCMNZBUAN
      ZXGXIAXJXGDOAXKXGABEUDZOAXGPCBUEUBUCAXGQGCRZCGHIZUFZQZQZXIQZAXGXPAGCAUPZD
      UGUHXQXOAXRXOUIAXMXRXNAXMXRAXMLZXIGGBJKZHIZAYBQXMAYBGGHIGUJUKAYAGGHABEULU
      MUNOXTXHYAGHXTCGBJXTGCAXMPUOUQUMURUCAGCUSZHIZXHUSZGHIZQZXNXRAYDGYCBJKZHIZ
      GYEHIZYGAYDYIAYDLYCMNZXKYDYIAYKYDACDUTOAXKYDXLOAYDPYCBUEUBUCAYIYJAYHYEGHA
      CVANBSNTBVBIZQYHYERACDVCEAYLBTVDKZUANZAYNYMSNFAYNLZYMYMVEVFZSYOYMYMVGVFZV
      IKZYMVHVIKYPYMYOYQVHYMVIYOYQVHRZYNAYNPZYOYMVJNZYSYNVKYNUUAAYMVLZVMZYMVNVO
      VPVQYOUUAYRYPRUUCYMVRVOYOYMYOYMYTVSVTWAYNUUAGYMHIYPSNAUUBABTABEWBTMNAWCWD
      ABEWEGTHIAWFWDWGYMWHWIWLWJAXKYLYNVKXLBWKVOURCBXBUBUMWMAYJGYERZYFUFQYGAGYE
      XSAXHACBDABEWNWOZUTUGUUDYFWPWQWRACDWSAXIYFAXHUUEWTUHXCXAXDXEXF $.
  $}

  ${
    ltexp1d.1 $e |- ( ph -> A e. RR+ ) $.
    ltexp1d.2 $e |- ( ph -> B e. RR+ ) $.
    ltexp1d.3 $e |- ( ph -> N e. NN ) $.
    $( ~ ltmul1d for exponentiation of positive reals.  (Contributed by Steven
       Nguyen, 22-Aug-2023.) $)
    ltexp1d $p |- ( ph -> ( A < B <-> ( A ^ N ) < ( B ^ N ) ) ) $=
      ( cn wcel crp clt wbr cexp co wb rpexpmord syl3anc ) ADHIBJICJIBCKLBDMNCD
      MNKLOGEFBCDPQ $.

    ltexp1dd.4 $e |- ( ph -> A < B ) $.
    $( Raising both sides of 'less than' to the same positive integer preserves
       ordering.  (Contributed by Steven Nguyen, 24-Aug-2023.) $)
    ltexp1dd $p |- ( ph -> ( A ^ N ) < ( B ^ N ) ) $=
      ( clt wbr cexp co ltexp1d mpbid ) ABCIJBDKLCDKLIJHABCDEFGMN $.
  $}

  ${
    exp11nnd.1 $e |- ( ph -> A e. RR+ ) $.
    exp11nnd.2 $e |- ( ph -> B e. RR+ ) $.
    exp11nnd.3 $e |- ( ph -> N e. NN ) $.
    exp11nnd.4 $e |- ( ph -> ( A ^ N ) = ( B ^ N ) ) $.
    $( ~ sq11d for positive real bases and positive integer exponents.  The
       base cannot be generalized much further, since if ` N ` is even then we
       have ` A ^ N = -u A ^ N ` .  (Contributed by SN, 14-Sep-2023.) $)
    exp11nnd $p |- ( ph -> A = B ) $=
      ( wceq clt wbr wn wa cexp co rpred reexpcld lttri3d ltexp1d notbid nnnn0d
      mpbid anbi12d mpbird ) ABCIBCJKZLZCBJKZLZMZAUIBDNOZCDNOZJKZLZUKUJJKZLZMZA
      UJUKIUPHAUJUKABDABEPZADGUAZQACDACFPZURQRUBAUFUMUHUOAUEULABCDEFGSTAUGUNACB
      DFEGSTUCUDABCUQUSRUD $.
  $}

  ${
    exp11d.1 $e |- ( ph -> A e. RR+ ) $.
    exp11d.2 $e |- ( ph -> B e. RR+ ) $.
    exp11d.3 $e |- ( ph -> N e. ZZ ) $.
    exp11d.4 $e |- ( ph -> N =/= 0 ) $.
    exp11d.5 $e |- ( ph -> ( A ^ N ) = ( B ^ N ) ) $.
    $( ~ exp11nnd for nonzero integer exponents.  (Contributed by SN,
       14-Sep-2023.) $)
    exp11d $p |- ( ph -> A = B ) $=
      ( cc0 wceq cn wcel wa simpr adantr crp cexp co cc wne pm2.21ddne exp11nnd
      cneg rpcnd nnnn0d expcld rpne0d nnzd expne0d c1 cdiv zcnd expneg2 syl3anc
      cn0 3eqtr3d rec11d cr w3o cz elz sylib simprd mpjao3dan ) ADJKZBCKZDLMZDU
      DZLMZAVFNVGDJAVFOADJUAVFHPUBAVHNBCDABQMZVHEPACQMZVHFPAVHOABDRSZCDRSZKZVHI
      PUCAVJNZBCVIAVKVJEPZAVLVJFPZAVJOZVPBVIRSZCVIRSZVPBVIVPBVQUEZVPVIVSUFZUGVP
      CVIVPCVRUEZWCUGVPBVIWBVPBVQUHVPVIVSUIZUJVPCVIWDVPCVRUHWEUJVPVMVNUKVTULSZU
      KWAULSZAVOVJIPVPBTMDTMZVIUPMZVMWFKWBAWHVJADGUMPZWCBDUNUOVPCTMWHWIVNWGKWDW
      JWCCDUNUOUQURUCADUSMZVFVHVJUTZADVAMWKWLNGDVBVCVDVE $.
  $}

  $( 0 divides 0.  (Contributed by SN, 15-Sep-2024.) $)
  0dvds0 $p |- 0 || 0 $=
    ( cc0 cz wcel cdvds wbr 0z dvds0 ax-mp ) ABCAADEFAGH $.

  $( Divisibility is invariant under taking the absolute value on both sides.
     (Contributed by SN, 15-Sep-2024.) $)
  absdvdsabsb $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
                        ( M || N <-> ( abs ` M ) || ( abs ` N ) ) ) $=
    ( cz wcel wa cdvds wbr cabs cfv absdvdsb wb zabscl dvdsabsb sylan bitrd ) A
    CDZBCDZEABFGAHIZBFGZRBHIFGZABJPRCDQSTKALRBMNO $.

  ${
    $d A k $.  $d B k $.  $d N k $.
    $( ~ dvdssqim generalized to nonnegative exponents.  (Contributed by Steven
       Nguyen, 2-Apr-2023.) $)
    dvdsexpim $p |- ( ( A e. ZZ /\ B e. ZZ /\ N e. NN0 ) ->
                        ( A || B -> ( A ^ N ) || ( B ^ N ) ) ) $=
      ( vk cz wcel cn0 w3a cdvds wbr cv cmul co wceq wrex cexp wa zexpcl cc zcn
      wb divides 3adant3 ancoms adantll adantr dvdsmul2 syl2anc adantl ad2antrr
      simplr mulexpd breqtrrd oveq1 breq2d syl5ibcom rexlimdva 3adant2 sylbid
      wi ) AEFZBEFZCGFZHABIJZDKZALMZBNZDEOZACPMZBCPMZIJZVAVBVDVHUAVCDABUBUCVAVC
      VHVKUTVBVAVCQZVGVKDEVLVEEFZQZVIVFCPMZIJVGVKVNVIVECPMZVILMZVOIVNVPEFZVIEFZ
      VIVQIJVCVMVRVAVMVCVRVECRUDUEVLVSVMACRUFVPVIUGUHVNVEACVMVESFVLVETUIVAASFVC
      VMATUJVAVCVMUKULUMVGVOVJVIIVFBCPUNUOUPUQURUS $.
  $}

  $( The ` gcd ` of a nonnegative integer and itself is the integer.
     (Contributed by SN, 25-Aug-2024.) $)
  gcdnn0id $p |- ( N e. NN0 -> ( N gcd N ) = N ) $=
    ( cn0 wcel cgcd co cabs cfv wceq nn0z gcdid syl nn0re nn0ge0 absidd eqtrd
    cz ) ABCZAADEZAFGZAQAPCRSHAIAJKQAALAMNO $.

  ${
    gcdle1d.m $e |- ( ph -> M e. NN ) $.
    gcdle1d.n $e |- ( ph -> N e. ZZ ) $.
    $( The greatest common divisor of a positive integer and another integer is
       less than or equal to the positive integer.  (Contributed by SN,
       25-Aug-2024.) $)
    gcdle1d $p |- ( ph -> ( M gcd N ) <_ M ) $=
      ( cgcd co cdvds wbr cle cz wcel wa nnzd gcddvds syl2anc simpld cn gcdcld
      wi nn0zd dvdsle mpd ) ABCFGZBHIZUDBJIZAUEUDCHIZABKLCKLUEUGMABDNZEBCOPQAUD
      KLBRLUEUFTAUDABCUHESUADUDBUBPUC $.
  $}

  ${
    gcdle2d.m $e |- ( ph -> M e. ZZ ) $.
    gcdle2d.n $e |- ( ph -> N e. NN ) $.
    $( The greatest common divisor of a positive integer and another integer is
       less than or equal to the positive integer.  (Contributed by SN,
       25-Aug-2024.) $)
    gcdle2d $p |- ( ph -> ( M gcd N ) <_ N ) $=
      ( cgcd co cdvds wbr cle cz wcel wa nnzd gcddvds syl2anc simprd cn gcdcld
      wi nn0zd dvdsle mpd ) ABCFGZCHIZUDCJIZAUDBHIZUEABKLCKLUGUEMDACENZBCOPQAUD
      KLCRLUEUFTAUDABCDUHSUAEUDCUBPUC $.
  $}

  ${
    dvdsexpad.1 $e |- ( ph -> A e. ZZ ) $.
    dvdsexpad.2 $e |- ( ph -> B e. ZZ ) $.
    dvdsexpad.3 $e |- ( ph -> N e. NN0 ) $.
    dvdsexpad.5 $e |- ( ph -> A || B ) $.
    $( Deduction associated with ~ dvdsexpim .  (Contributed by SN,
       21-Aug-2024.) $)
    dvdsexpad $p |- ( ph -> ( A ^ N ) || ( B ^ N ) ) $=
      ( cdvds wbr cexp co cz wcel cn0 wi dvdsexpim syl3anc mpd ) ABCIJZBDKLCDKL
      IJZHABMNCMNDONTUAPEFGBCDQRS $.
  $}

  $( If ` A ` and ` B ` are relatively prime, then so are ` A ^ N ` and
     ` B ^ N ` . ~ rppwr extended to nonnegative integers.  Less general than
     ~ rpexp12i .  (Contributed by Steven Nguyen, 4-Apr-2023.) $)
  nn0rppwr $p |- ( ( A e. NN0 /\ B e. NN0 /\ N e. NN0 ) ->
                    ( ( A gcd B ) = 1 -> ( ( A ^ N ) gcd ( B ^ N ) ) = 1 ) ) $=
    ( cn0 wcel cn cc0 wceq wo cgcd co c1 elnn0 wa w3a oveq1d 3ad2ant2 eqtrd syl
    cexp wi rppwr 3expia simp1l 0exp simp3 simp1r cabs cfv nnz gcd0id nnre 0red
    cz nngt0 ltled absidd 3eqtr3rd 1exp oveq12d 1z ax-mp abs1 eqtri eqtrdi 3exp
    oveq2d nnnn0d nn0gcdid0 1nn0 mp1i oveq12 wne gcd0val eqnetri eqnetrd neneqd
    0ne1 a1i pm2.21d a1d ccase syl2anb oveq2 3ad2ant3 nn0cn 3ad2ant1 exp0d 1gcd
    cc a1dd jaod 3impia syl3an3b ) CDEADEZBDEZCFEZCGHZIZABJKZLHZACTKZBCTKZJKZLH
    ZUAZCMWOWPWSXFWOWPNZWQXFWRWOAFEZAGHZIBFEZBGHZIWQXFUAZWPAMBMXHXJXIXKXLXHXJWQ
    XFABCUBUCXIXJNZWQXAXEXMWQXAOZXDGLJKZLXNXBGXCLJXNXBGCTKZGXNAGCTXIXJWQXAUDZPW
    QXMXPGHZXACUEZQRXNXCLCTKZLXNBLCTXNWTGBJKZLBXNAGBJXQPXMWQXAUFXNXJYABHXIXJWQX
    AUGXJYABUHUIZBXJBUNEYAYBHBUJBUKSXJBBULZXJGBXJUMYCBUOUPUQRSURPXNCUNEZXTLHZWQ
    XMYDXACUJZQCUSZSRUTXOLUHUIZLLUNEZXOYHHVALUKVBVCVDVEVFXHXKNZWQXAXEYJWQXAOZXD
    LGJKZLYKXBLXCGJYKXBXTLYKALCTYKWTAGJKZLAYKBGAJXHXKWQXAUGZVGYJWQXAUFYKWOYMAHY
    KAXHXKWQXAUDVHAVISURPYKYDYEWQYJYDXAYFQYGSRYKXCXPGYKBGCTYNPWQYJXRXAXSQRUTLDE
    YLLHYKVJLVIVKRVFXIXKNZXFWQYOXAXEYOWTLYOWTGGJKZLAGBGJVLYPLVMYOYPGLVNVRVOVSVP
    VQVTWAWBWCXGWRXEXAWOWPWRXEWOWPWROZXDLLJKZLYQXBLXCLJYQXBAGTKZLWRWOXBYSHWPCGA
    TWDWEYQAWOWPAWJEWRAWFWGWHRYQXCBGTKZLWRWOXCYTHWPCGBTWDWEYQBWPWOBWJEWRBWFQWHR
    UTYIYRLHYQVALWIVKRUCWKWLWMWN $.

  $( Exponentiation distributes over GCD. ~ sqgcd extended to nonnegative
     exponents.  (Contributed by Steven Nguyen, 4-Apr-2023.) $)
  expgcd $p |- ( ( A e. NN /\ B e. NN /\ N e. NN0 ) ->
                      ( ( A gcd B ) ^ N ) = ( ( A ^ N ) gcd ( B ^ N ) ) ) $=
    ( cn wcel cn0 cgcd co cexp c1 nncnd cdiv wceq cz cdvds wbr nnzd wa syl2anc
    cc w3a gcdnncl 3adant3 simp3 nnexpcld mulid1d nnexpcl 3adant2 3adant1 simpl
    cmul simpr gcddvds simpld simp1 dvdsexpim syl3anc mpd simprd simp2 syl32anc
    gcddiv nncn 3ad2ant1 nnne0d expdivd 3ad2ant2 oveq12d syl31anc dividd eqtr3d
    wi divgcdnn nnnn0d divgcdnnr nn0rppwr 3eqtr2d cc0 wb ax-1cn divmul syl12anc
    wne mp3an2 mpbid ) ADEZBDEZCFEZUAZABGHZCIHZJUKHZWKACIHZBCIHZGHZWIWKWIWKWIWJ
    CWFWGWJDEZWHABUBUCZWFWGWHUDZUEZKZUFWIWOWKLHZJMZWLWOMZWIXAWMWKLHZWNWKLHZGHZA
    WJLHZCIHZBWJLHZCIHZGHZJWIWMNEWNNEWKDEWKWMOPZWKWNOPZXAXFMWIWMWFWHWMDEZWGACUG
    UHZQWIWNWGWHWNDEZWFBCUGUIZQWSWIWJAOPZXLWIXRWJBOPZWFWGXRXSRZWHWFWGRZANEZBNEZ
    XTYAAWFWGUJQYABWFWGULQABUMSUCZUNWIWJNEZYBWHXRXLVLWIWJWQQZWIAWFWGWHUOZQZWRWJ
    ACUPUQURWIXSXMWIXRXSYDUSWIYEYCWHXSXMVLYFWIBWFWGWHUTZQZWRWJBCUPUQURWMWNWKVBV
    AWIXHXDXJXEGWIAWJCWFWGATEWHAVCVDWIWJWQKZWIWJWQVEZWRVFWIBWJCWGWFBTEWHBVCVGYK
    YLWRVFVHWIXGXIGHZJMZXKJMZWIWJWJLHZYMJWIYBYCWPXTYPYMMYHYJWQYDABWJVBVIWIWJYKY
    LVJVKWIXGFEXIFEWHYNYOVLWIXGWIWFYCXGDEYGYJABVMSVNWIXIWIWGYBXIDEYIYHBAVOSVNWR
    XGXICVPUQURVQWIWOTEZWKTEZWKVRWCZXBXCVSZWIXNXPYQXOXQXNXPRWOWMWNUBKSWTWIWKWSV
    EYQJTEYRYSRYTVTWOJWKWAWDWBWEVK $.

  $( Exponentiation distributes over GCD. ~ nn0gcdsq extended to nonnegative
     exponents. ~ expgcd extended to nonnegative bases.  (Contributed by Steven
     Nguyen, 5-Apr-2023.) $)
  nn0expgcd $p |- ( ( A e. NN0 /\ B e. NN0 /\ N e. NN0 ) ->
                      ( ( A gcd B ) ^ N ) = ( ( A ^ N ) gcd ( B ^ N ) ) ) $=
    ( wcel cgcd cexp wceq cc0 3expia w3a 3ad2ant3 oveq1d simp2 3ad2ant1 3eqtr4d
    co syl c1 oveq12d eqtrd cn0 cn wo wi elnn0 expgcd wa cabs cfv 0exp cz nnnn0
    nnexpcld nnzd gcd0id nnred 0red nngt0d ltled absidd oveq1 nnz 3ad2ant2 nnre
    3eqtrrd nngt0 3eqtrd 1z ax-mp eqcomi simp1 simp3 nncnd exp0d 0exp0e1 oveq2d
    gcd1 a1i 3eqtr4a syl5bi nn0expcld nn0gcdid0 3eqtr4rd eqtr4di gcd0val eqtr4i
    jaod nncn oveq1i oveq12i 3eqtr4i ccase syl2anb 3impia ) AUADZBUADZCUADZABEP
    ZCFPZACFPZBCFPZEPZGZWOAUBDZAHGZUCBUBDZBHGZUCWQXCUDZWPAUEBUEXDXFXEXGXHXDXFWQ
    XCABCUFIWQCUBDZCHGZUCZXEXFUGZXCCUEZXLXIXCXJXEXFXIXCXEXFXIJZXAHCFPZXAEPZWSXB
    XNXPHXAEPZXAUHUIZXAXNXOHXAEXIXEXOHGZXFCUJZKLXNXAUKDXQXRGXNXAXNBCXEXFXIMXIXE
    WQXFCULZKUMZUNXAUOQXNXAXNXAYBUPZXNHXAXNUQYCXNXAYBURUSUTVEXNWRBCFXNWRHBEPZBU
    HUIZBXEXFWRYDGXIAHBEVANXNBUKDZYDYEGZXFXEYFXIBVBVCBUOZQXFXEYEBGZXIXFBBVDZXFH
    BXFUQYJBVFUSUTZVCVGLXNWTXOXAEXEXFWTXOGXIAHCFVANLOIXEXFXJXCXEXFXJJZRRREPZWSX
    BYMRRUKDYMRGVHRVQVIZVJYLWSBHFPZRYLWRBCHFYLWRYDYEBYLAHBEXEXFXJVKZLYLYFYGYLBX
    EXFXJMZUNYHQXFXEYIXJYKVCVGXEXFXJVLZSYLBYLBYQVMVNZTYLWTRXAREYLWTHHFPZRYLAHCH
    FYPYRSYTRGZYLVOVRTYLXAYORYLCHBFYRVPYSTSVSIWGVTWQXKXDXGUGZXCXMUUBXIXCXJXDXGX
    IXCXDXGXIJZWTHEPZWTXBWSUUCWTUADUUDWTGUUCACXDXGWOXIAULZNXIXDWQXGYAKWAWTWBQUU
    CXAHWTEUUCXAXOHUUCBHCFXDXGXIMZLXIXDXSXGXTKTVPUUCWRACFUUCWRAHEPZAUUCBHAEUUFV
    PXDXGUUGAGZXIXDWOUUHUUEAWBQZNTLWCIXDXGXJXCXDXGXJJZUUGHFPZAHFPZYTEPZWSXBXDXG
    UUKUUMGXJXDUULYMUUKUUMXDUULRYMXDAAWHVNZYNWDXDUUGAHFUUILXDUULRYTREUUNUUAXDVO
    VRSONUUJWRUUGCHFUUJBHAEXDXGXJMZVPXDXGXJVLZSUUJWTUULXAYTEUUJCHAFUUPVPUUJBHCH
    FUUOUUPSSOIWGVTWQXKXEXGUGZXCXMUUQXIXCXJXEXGXIXCXEXGXIJZHHEPZCFPZXOXOEPZWSXB
    XIXEUUTUVAGXGXIXOUUSUUTUVAXIXOHUUSXTWEWDXIUUSHCFUUSHGXIWEVRLXIXOHXOHEXTXTSO
    KUURWRUUSCFUURAHBHEXEXGXIVKZXEXGXIMZSLUURWTXOXAXOEUURAHCFUVBLUURBHCFUVCLSOI
    XEXGXJXCXEXGXJJZUUSHFPZYTYTEPZWSXBYTYMUVEUVFYTRYMVOYNWFUUSHHFWEWIYTRYTREVOV
    OWJWKUVDWRUUSCHFUVDAHBHEXEXGXJVKZXEXGXJMZSXEXGXJVLZSUVDWTYTXAYTEUVDAHCHFUVG
    UVISUVDBHCHFUVHUVISSVSIWGVTWLWMWN $.

  $( Exponentiation distributes over GCD. ~ zgcdsq extended to nonnegative
     exponents. ~ nn0expgcd extended to integer bases by symmetry.
     (Contributed by Steven Nguyen, 5-Apr-2023.) $)
  zexpgcd $p |- ( ( A e. ZZ /\ B e. ZZ /\ N e. NN0 ) ->
                      ( ( A gcd B ) ^ N ) = ( ( A ^ N ) gcd ( B ^ N ) ) ) $=
    ( cz wcel cn0 w3a cgcd co cexp cabs cfv wceq gcdabs eqcomd nn0abscl absexpd
    cc zcn zexpcl 3adant3 oveq1d id nn0expgcd 3ad2ant1 3ad2ant2 oveq12d 3adant2
    syl3an simp3 3adant1 syl2anc eqtrd 3eqtrd ) ADEZBDEZCFEZGZABHIZCJIAKLZBKLZH
    IZCJIZUTCJIZVACJIZHIZACJIZBCJIZHIZURUSVBCJURVBUSUOUPVBUSMUQABNUAOUBUOUTFEUP
    VAFEUQUQVCVFMAPBPUQUCUTVACUDUIURVFVGKLZVHKLZHIZVIURVDVJVEVKHURVJVDURACUOUPA
    REUQASUEUOUPUQUJZQOURVKVEURBCUPUOBREUQBSUFVMQOUGURVGDEZVHDEZVLVIMUOUQVNUPAC
    TUHUPUQVOUOBCTUKVGVHNULUMUN $.

  $( ~ numdensq extended to nonnegative exponents.  (Contributed by Steven
     Nguyen, 5-Apr-2023.) $)
  numdenexp $p |- ( ( A e. QQ /\ N e. NN0 ) ->
    ( ( numer ` ( A ^ N ) ) = ( ( numer ` A ) ^ N ) /\
      ( denom ` ( A ^ N ) ) = ( ( denom ` A ) ^ N ) ) ) $=
    ( cq wcel cn0 wa cnumer cfv cexp co cdenom cgcd c1 wceq adantr oveq1d cz cn
    cdiv syl3anc qnumdencoprm qnumcl qdencl nnzd zexpgcd nn0z 1exp 3syl 3eqtr3d
    simpr qeqnumdivden zcnd nncnd nnne0d expdivd eqtrd wb qexpcl sylan nnexpcld
    zexpcl qnumdenbi mpbi2and ) ACDZBEDZFZAGHZBIJZAKHZBIJZLJZMNZABIJZVHVJSJZNZV
    MGHVHNVMKHVJNFZVFVGVILJZBIJZMBIJZVKMVFVQMBIVDVQMNVEAUAOPVFVGQDZVIQDVEVRVKNV
    DVTVEAUBZOZVFVIVDVIRDVEAUCOZUDVDVEUJZVGVIBUETVFVEBQDVSMNWDBUFBUGUHUIVFVMVGV
    ISJZBIJVNVFAWEBIVDAWENVEAUKOPVFVGVIBVFVGWBULVFVIWCUMVFVIWCUNWDUOUPVFVMCDVHQ
    DZVJRDVLVOFVPUQABURVDVTVEWFWAVGBVAUSVFVIBWCWDUTVMVHVJVBTVC $.

  $( ~ numsq extended to nonnegative exponents.  (Contributed by Steven Nguyen,
     5-Apr-2023.) $)
  numexp $p |- ( ( A e. QQ /\ N e. NN0 ) ->
                    ( numer ` ( A ^ N ) ) = ( ( numer ` A ) ^ N ) ) $=
    ( cq wcel cn0 wa cexp co cnumer cfv wceq cdenom numdenexp simpld ) ACDBEDFA
    BGHZIJAIJBGHKOLJALJBGHKABMN $.

  $( ~ densq extended to nonnegative exponents.  (Contributed by Steven Nguyen,
     5-Apr-2023.) $)
  denexp $p |- ( ( A e. QQ /\ N e. NN0 ) ->
                    ( denom ` ( A ^ N ) ) = ( ( denom ` A ) ^ N ) ) $=
    ( cq wcel cn0 wa cexp co cnumer cfv wceq cdenom numdenexp simprd ) ACDBEDFA
    BGHZIJAIJBGHKOLJALJBGHKABMN $.

  $( ~ dvdssqlem generalized to positive integer exponents.  (Contributed by
     SN, 20-Aug-2024.) $)
  dvdsexpnn $p |- ( ( A e. NN /\ B e. NN /\ N e. NN ) ->
                                    ( A || B <-> ( A ^ N ) || ( B ^ N ) ) ) $=
    ( cn wcel w3a cdvds wbr cexp co cz cn0 nnz wa nnrpd 3adant3 adantr nnexpcld
    cgcd wceq wi nnnn0 dvdsexpim syl3an gcdnncl simpl1 simpl3 expgcd syl3an3 wb
    crp simp1 3ad2ant3 simp2 gcdeq syl2anc biimpar eqtrd exp11nnd simprd syl2an
    gcddvds eqbrtrrd ex impbid ) ADEZBDEZCDEZFZABGHZACIJZBCIJZGHZVFAKEZVGBKEZVH
    CLEZVJVMUAAMZBMZCUBZABCUCUDVIVMVJVIVMNZABSJZABGVTWAACVIWAUKEZVMVFVGWBVHVFVG
    NWAABUEOPQVTAVFVGVHVMUFOVFVGVHVMUGVTWACIJZVKVLSJZVKVIWCWDTZVMVHVFVGVPWEVSAB
    CUHUIQVIWDVKTZVMVIVKDEVLDEWFVMUJVIACVFVGVHULVHVFVPVGVSUMZRVIBCVFVGVHUNWGRVK
    VLUOUPUQURUSVIWABGHZVMVFVGWHVHVFVNVOWHVGVQVRVNVONWAAGHWHABVBUTVAPQVCVDVE $.

  $( ~ dvdsexpnn generalized to include zero bases.  (Contributed by SN,
     15-Sep-2024.) $)
  dvdsexpnn0 $p |- ( ( A e. NN0 /\ B e. NN0 /\ N e. NN ) ->
                                    ( A || B <-> ( A ^ N ) || ( B ^ N ) ) ) $=
    ( cn0 wcel cn cdvds wbr cexp co wb cc0 wceq wo elnn0 wa adantl syl bibi12d
    cz wi dvdsexpnn 3expia cc nncn expeq0 sylan 0exp breq1d nnexpcl sylan2 nnzd
    nnnn0 0dvds bitrd adantr 3bitr4rd breq1 oveq1 syl5ibr expdimp breqtrrd 2thd
    nnz dvds0 breq2 breq2d syl5ibrcom impancom bicomd breq12 simpl oveq1d simpr
    breq12d ccase syl2anb 3impia ) ADEZBDEZCFEZABGHZACIJZBCIJZGHZKZVSAFEZALMZNB
    FEZBLMZNWAWFUAZVTAOBOWGWIWHWJWKWGWIWAWFABCUBUCWHWIWAWFWIWAPZWFWHLBGHZLCIJZW
    DGHZKWLWDLMZWJWOWMWIBUDEWAWPWJKBUEBCUFUGWLWOLWDGHZWPWLWNLWDGWAWNLMZWICUHZQU
    IWLWDTEWQWPKWLWDWAWICDEZWDFECUMZBCUJUKULWDUNRUOWIWMWJKZWAWIBTEXBBVDBUNRUPUQ
    WHWBWMWEWOALBGURWHWCWNWDGALCIUSUISUTVAWGWAWJWFWGWAPZWFWJALGHZWCWNGHZKXCXDXE
    WGXDWAWGATEXDAVDAVERUPXCWCLWNGXCWCTEWCLGHXCWCWAWGWTWCFEXAACUJUKULWCVERWAWRW
    GWSQVBVCWJWBXDWEXEBLAGVFWJWDWNWCGBLCIUSVGSVHVIWAWFWHWJPZLLGHZWNWNGHZKWAXHXG
    WAWNLWNLGWSWSVOVJXFWBXGWEXHALBLGVKXFWCWNWDWNGXFALCIWHWJVLVMXFBLCIWHWJVNVMVO
    SUTVPVQVR $.

  $( ~ dvdssq generalized to positive integer exponents.  (Contributed by SN,
     15-Sep-2024.) $)
  dvdsexpb $p |- ( ( A e. ZZ /\ B e. ZZ /\ N e. NN ) ->
                                    ( A || B <-> ( A ^ N ) || ( B ^ N ) ) ) $=
    ( cz wcel cn w3a cabs cfv cdvds wbr cexp co wb nn0abscl absexpd absdvdsabsb
    cn0 zcnd zexpcld dvdsexpnn0 simp1 simp3 nnnn0d simp2 breq12d bitr4d 3adant3
    syl3an12 syl2anc 3bitr4d ) ADEZBDEZCFEZGZAHIZBHIZJKZACLMZHIZBCLMZHIZJKZABJK
    ZUSVAJKZUOURUPCLMZUQCLMZJKZVCULUPREUMUQREUNURVHNAOBOUPUQCUAUIUOUTVFVBVGJUOA
    CUOAULUMUNUBZSUOCULUMUNUCUDZPUOBCUOBULUMUNUEZSVJPUFUGULUMVDURNUNABQUHUOUSDE
    VADEVEVCNUOACVIVJTUOBCVKVJTUSVAQUJUK $.

  ${
    posqsqznn.1 $e |- ( ph -> ( A ^ 2 ) e. ZZ ) $.
    posqsqznn.2 $e |- ( ph -> A e. QQ ) $.
    posqsqznn.3 $e |- ( ph -> 0 < A ) $.
    $( When a positive rational squared is an integer, the rational is a
       positive integer. ~ zsqrtelqelz with all terms squared and positive.
       (Contributed by SN, 23-Aug-2024.) $)
    posqsqznn $p |- ( ph -> A e. NN ) $=
      ( cz wcel cc0 clt wbr cn c2 cexp co csqrt cfv qred 0red ltled cq eqeltrrd
      sqrtsqd eqeltrd zsqrtelqelz syl2anc elnnz sylanbrc ) ABFGHBIJBKGABLMNZOPZ
      BFABABDQZAHBARUJESUBZAUHFGUITGUIFGCAUIBTUKDUCUHUDUEUAEBUFUG $.
  $}

  ${
    cxpgt0d.1 $e |- ( ph -> A e. RR+ ) $.
    cxpgt0d.2 $e |- ( ph -> N e. RR ) $.
    $( A positive real raised to a real power is positive.  (Contributed by SN,
       6-Apr-2023.) $)
    cxpgt0d $p |- ( ph -> 0 < ( A ^c N ) ) $=
      ( ccxp co rpcxpcld rpgt0d ) ABCFGABCDEHI $.
  $}

  $( ~ zsqrtelqelz generalized to positive integer roots.  (Contributed by
     Steven Nguyen, 6-Apr-2023.) $)
  zrtelqelz $p |- ( ( A e. ZZ /\ N e. NN /\ ( A ^c ( 1 / N ) ) e. QQ ) ->
                    ( A ^c ( 1 / N ) ) e. ZZ ) $=
    ( cz wcel cn c1 cdiv co ccxp cdenom cfv wceq 3ad2ant3 cexp 3ad2ant1 syl2anc
    cq syl wb qden1elz w3a qdencl nnrpd crp 1rp a1i simp2 nnzd 1exp zcn cxproot
    cc fveq2d zq ibir eqtrd cn0 simp3 nnnn0d denexp 3eqtr2rd exp11nnd mpbid ) A
    CDZBEDZAFBGHIHZQDZUAZVFJKZFLZVFCDZVHVIFBVHVIVGVDVIEDVEVFUBMUCFUDDVHUEUFVDVE
    VGUGZVHFBNHZFVFBNHZJKZVIBNHZVHBCDVMFLVHBVLUHBUIRVHVOAJKZFVHVNAJVHAULDZVEVNA
    LVDVEVRVGAUJOVLABUKPUMVDVEVQFLZVGVDVSVDAQDVSVDSAUNATRUOOUPVHVGBUQDVOVPLVDVE
    VGURVHBVLUSVFBUTPVAVBVGVDVJVKSVEVFTMVC $.

  $( A positive integer root divides its integer.  (Contributed by Steven
     Nguyen, 6-Apr-2023.) $)
  zrtdvds $p |- ( ( A e. ZZ /\ N e. NN /\ ( A ^c ( 1 / N ) ) e. NN ) ->
                    ( A ^c ( 1 / N ) ) || A ) $=
    ( cz wcel cn c1 cdiv ccxp w3a cexp cdvds wbr nnz 3ad2ant3 iddvdsexp syl2anc
    co simp2 cc wceq zcn 3ad2ant1 cxproot breqtrd ) ACDZBEDZAFBGQHQZEDZIZUGUGBJ
    QZAKUIUGCDZUFUGUJKLUHUEUKUFUGMNUEUFUHRZUGBOPUIASDZUFUJATUEUFUMUHAUAUBULABUC
    PUD $.

  $( NB: With more infrastructure, this could be generalized to any positive
     integer ` A ` where ` N ` does not divide the greatest common divisor of
     the exponents in the prime factorization of ` A ` . $)
  $( The root of a prime number is irrational.  (Contributed by Steven Nguyen,
     6-Apr-2023.) $)
  rtprmirr $p |- ( ( P e. Prime /\ N e. ( ZZ>= ` 2 ) ) ->
                      ( P ^c ( 1 / N ) ) e. ( RR \ QQ ) ) $=
    ( wcel c2 wa c1 co cr cq cn adantr cc0 wbr clt w3a 3ad2ant1 3ad2ant2 3expia
    ccxp mtod cprime cuz cfv cdiv prmnn nnred 0red nngt0d ltled eluzelre adantl
    wne eluz2n0 rereccld recxpcld cz cdvds wn wi wceq ad2antlr eluz2gt1 recgt1i
    cle simprd syl2anc simpll prmgt1 syl cxpltd mpbid recnd cxp1d breqtrd ltned
    neneqd cxp0d simpld eqbrtrrd gtned wo wb dvdsprime adantlr biimpd mtord nan
    1red mpbir prmz eluz2nn simp3 zrtdvds syl3anc ancld crp nnrpd cxpgt0d elnnz
    syl6ibr zrtelqelz eldifd ) AUACZBDUBUCCZEZAFBUDGZSGZHIXEAXFXEAXCAJCXDAUEZKZ
    UFZXELAXEUGXJXEAXIUHUIZXEBXDBHCZXCDBUJZUKXDBLULZXCBUMZUKUNZUOXEXGICZXGUPCZX
    EXRXGJCZXEXSXSXGAUQMZEZXEYAURUSXEXSEZXTURUSYBXTXGAUTZXGFUTZYBXGAYBXGAYBAXFX
    EAHCXSXJKZXELAVDMXSXKKXEXFHCXSXPKZUOYBXGAFSGZANYBXFFNMZXGYGNMYBXLFBNMZYHXDX
    LXCXSXMVAZXDYIXCXSBVBVAZXLYIEZLXFNMZYHBVCZVEVFYBAXFFYEYBXCFANMXCXDXSVGAVHVI
    ZYFYBWHZVJVKYBAYBAYEVLZVMVNVOVPYBXGFYBFXGYPYBALSGZFXGNYBAYQVQYBYMYRXGNMYBXL
    YIYMYJYKYLYMYHYNVRVFYBALXFYEYOYBUGYFVJVKVSVTVPYBXTYCYDWAZXCXSXTYSWBXDAXGWCW
    DWEWFXEXSXTWGWIXEXSXTXCXDXSXTXCXDXSOAUPCZBJCZXSXTXCXDYTXSAWJZPXDXCUUAXSBWKZ
    QXCXDXSWLABWMWNRWOTXEXRXRLXGNMZEXSXEXRUUDXCXDXRUUDXCXDXROZAXFXCXDAWPCXRXCAX
    HWQPUUEBXDXCXLXRXMQXDXCXNXRXOQUNWRRWOXGWSWTTXCXDXQXRXCXDXQOYTUUAXQXRXCXDYTX
    QUUBPXDXCUUAXQUUCQXCXDXQWLABXAWNRTXB $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Real subtraction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c -R $.

  $( Real number subtraction. $)
  cresub $a class -R $.

  ${
    $d x y z $.
    $( Define subtraction between real numbers.  This operator saves a few
       axioms over ~ df-sub in certain situations.  Theorem ~ resubval shows
       its value, ~ resubadd relates it to addition, and ~ rersubcl proves its
       closure.  It is the restriction of ~ df-sub to the reals: ~ subresre .
       (Contributed by Steven Nguyen, 7-Jan-2023.) $)
    df-resub $a |- -R = ( x e. RR , y e. RR |->
                       ( iota_ z e. RR ( y + z ) = x ) ) $.
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( Value of real subtraction, which is the (unique) real ` x ` such that
       ` B + x = A ` .  (Contributed by Steven Nguyen, 7-Jan-2023.) $)
    resubval $p |- ( ( A e. RR /\ B e. RR ) ->
                   ( A -R B ) = ( iota_ x e. RR ( B + x ) = A ) ) $=
      ( vy vz cr cv caddc wceq crio cresub eqeq2 riotabidv oveq1 eqeq1d riotaex
      co df-resub ovmpo ) DEBCFFEGZAGZHQZDGZIZAFJCUAHQZBIZAFJKUBBIZAFJUCBIUDUGA
      FUCBUBLMTCIZUGUFAFUHUBUEBTCUAHNOMDEARUFAFPS $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d ph x y $.
    renegeulemv.b $e |- ( ph -> B e. RR ) $.
    renegeulemv.1 $e |- ( ph -> E. y e. RR ( B + y ) = A ) $.
    $( Lemma for ~ renegeu and similar.  Derive existential uniqueness from
       existence.  (Contributed by Steven Nguyen, 28-Jan-2023.) $)
    renegeulemv $p |- ( ph -> E! x e. RR ( B + x ) = A ) $=
      ( cv caddc co wceq cr wreu wcel wa weq wb wral simprl simplrr simpr bitrd
      eqcomd eqeq2d simplrl ad2antrr readdcan syl3anc ralrimiva reu6i rexlimddv
      syl2anc ) AECHZIJZDKZEBHZIJZDKZBLMZCLGAUMLNZUOOZOZUTURBCPZQZBLRUSAUTUOSVB
      VDBLVBUPLNZOZURUQUNKZVCVFDUNUQVFUNDAUTUOVETUCUDVFVEUTELNZVGVCQVBVEUAAUTUO
      VEUEAVHVAVEFUFUPUMEUGUHUBUIURBLUMUJULUK $.

    $( Lemma for ~ renegeu and similar.  Remove a change in bound variables
       from ~ renegeulemv .  (Contributed by Steven Nguyen, 28-Jan-2023.) $)
    renegeulem $p |- ( ph -> E! y e. RR ( B + y ) = A ) $=
      ( vx cv caddc co wceq cr wreu wrex renegeulemv reurex syl ) ABGCDEADGHIJC
      KZGLMRGLNAGBCDEFORGLPQO $.
  $}

  ${
    $d A x $.
    $( Existential uniqueness of real negatives.  (Contributed by Steven
       Nguyen, 7-Jan-2023.) $)
    renegeu $p |- ( A e. RR -> E! x e. RR ( A + x ) = 0 ) $=
      ( cr wcel cc0 id ax-rnegex renegeulem ) BCDZAEBIFABGH $.

    $( Closure law for negative reals.  (Contributed by Steven Nguyen,
       7-Jan-2023.) $)
    rernegcl $p |- ( A e. RR -> ( 0 -R A ) e. RR ) $=
      ( vx cr wcel cc0 cresub co cv caddc wceq elre0re resubval mpancom renegeu
      crio wreu riotacl syl eqeltrd ) ACDZEAFGZABHIGEJZBCOZCECDTUAUCJAKBEALMTUB
      BCPUCCDBANUBBCQRS $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Relationship between real negation and addition.  (Contributed by Steven
       Nguyen, 7-Jan-2023.) $)
    renegadd $p |- ( ( A e. RR /\ B e. RR ) ->
                   ( ( 0 -R A ) = B <-> ( A + B ) = 0 ) ) $=
      ( vx cr wcel wa cc0 cresub co wceq cv caddc crio elre0re resubval mpancom
      wb eqeq1d adantr wreu renegeu oveq2 riota2 sylan2 ancoms bitr4d ) ADEZBDE
      ZFGAHIZBJZACKZLIZGJZCDMZBJZABLIZGJZUGUJUOQUHUGUIUNBGDEUGUIUNJANCGAOPRSUHU
      GUQUOQZUGUHUMCDTURCAUAUMUQCDBUKBJULUPGUKBALUBRUCUDUEUF $.
  $}

  $( Addition of a real number and its negative.  (Contributed by Steven
     Nguyen, 7-Jan-2023.) $)
  renegid $p |- ( A e. RR -> ( A + ( 0 -R A ) ) = 0 ) $=
    ( cr wcel cc0 cresub co wceq caddc eqid wb rernegcl renegadd mpdan mpbii )
    ABCZDAEFZPGZAPHFDGZPIOPBCQRJAKAPLMN $.

  $( Negative zero is a left additive identity.  (Contributed by Steven Nguyen,
     7-Jan-2023.) $)
  reneg0addid2 $p |- ( A e. RR -> ( ( 0 -R 0 ) + A ) = A ) $=
    ( cc0 cr wcel cresub co caddc wceq elre0re rernegcl renegid readdid1addid2d
    mpancom ) BCDZACDBBEFZAGFAHAINOBABJBIBKLM $.

  $( Lemma for ~ resubeu .  A value which when added to zero, results in
     negative zero.  (Contributed by Steven Nguyen, 7-Jan-2023.) $)
  resubeulem1 $p |- ( A e. RR -> ( 0 + ( 0 -R ( 0 + 0 ) ) ) = ( 0 -R 0 ) ) $=
    ( cr wcel cc0 cresub caddc wceq elre0re recnd readdcld rernegcl syl addassd
    co renegid eqtr3d wb renegadd syl2anc mpbird eqcomd ) ABCZDDENZDDDDFNZENZFN
    ZUBUCUFGZDUFFNZDGZUBUDUEFNZUHDUBDDUEUBDAHZIZULUBUEUBUDBCZUEBCUBDDUKUKJZUDKL
    ZIMUBUMUJDGUNUDOLPUBDBCUFBCUGUIQUKUBDUEUKUOJDUFRSTUA $.

  $( Lemma for ~ resubeu .  A value which when added to ` A ` , results in
     ` B ` .  (Contributed by Steven Nguyen, 7-Jan-2023.) $)
  resubeulem2 $p |- ( ( A e. RR /\ B e. RR ) ->
    ( A + ( ( 0 -R A ) + ( ( 0 -R ( 0 + 0 ) ) + B ) ) ) = B ) $=
    ( cr wcel wa cc0 cresub co caddc renegid adantr oveq1d simpl recnd rernegcl
    wceq readdcld adantl addassd 3eqtr3d elre0re resubeulem1 recn reneg0addid2
    syl id ) ACDZBCDZEZAFAGHZIHZFFFIHZGHZBIHZIHFUNIHZAUJUNIHIHBUIUKFUNIUGUKFPUH
    AJKLUIAUJUNUIAUGUHMNUIUJUGUJCDUHAOKNUIUNUHUNCDUGUHUMBUHULCDUMCDUHFFBUAZUPQU
    LOUEZUHUFQRNSUHUOBPUGUHFUMIHZBIHFFGHZBIHUOBUHURUSBIBUBLUHFUMBUHFUPNUHUMUQNB
    UCSBUDTRT $.

  ${
    $d x A $.  $d x B $.
    $( Existential uniqueness of real differences.  (Contributed by Steven
       Nguyen, 7-Jan-2023.) $)
    resubeu $p |- ( ( A e. RR /\ B e. RR ) -> E! x e. RR ( A + x ) = B ) $=
      ( cr wcel wa simpl cc0 cresub co caddc wceq wrex rernegcl adantr readdcld
      cv elre0re syl simpr resubeulem2 oveq2 eqeq1d rspcev syl2anc renegeulem )
      BDEZCDEZFZACBUGUHGUIHBIJZHHHKJZIJZCKJZKJZDEBUNKJZCLZBAQZKJZCLZADMUIUJUMUG
      UJDEUHBNOUIULCUGULDEZUHUGUKDEUTUGHHBRZVAPUKNSOUGUHTPPBCUAUSUPAUNDUQUNLURU
      OCUQUNBKUBUCUDUEUF $.

    $( Closure for real subtraction.  Based on ~ subcl .  (Contributed by
       Steven Nguyen, 7-Jan-2023.) $)
    rersubcl $p |- ( ( A e. RR /\ B e. RR ) -> ( A -R B ) e. RR ) $=
      ( vx cr wcel wa cresub co cv caddc wceq crio resubval wreu resubeu ancoms
      riotacl syl eqeltrd ) ADEZBDEZFZABGHBCIJHAKZCDLZDCABMUBUCCDNZUDDEUATUECBA
      OPUCCDQRS $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Relation between real subtraction and addition.  Based on ~ subadd .
       (Contributed by Steven Nguyen, 7-Jan-2023.) $)
    resubadd $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A -R B ) = C <-> ( B + C ) = A ) ) $=
      ( vx cr wcel w3a cresub co wceq cv caddc crio wb wa resubval 3adant3 wreu
      eqeq1d resubeu oveq2 riota2 sylan2 3impb 3com13 bitr4d ) AEFZBEFZCEFZGABH
      IZCJZBDKZLIZAJZDEMZCJZBCLIZAJZUGUHUKUPNUIUGUHOUJUOCDABPSQUIUHUGURUPNZUIUH
      UGUSUHUGOUIUNDERUSDBATUNURDECULCJUMUQAULCBLUASUBUCUDUEUF $.
  $}

  ${
    resubaddd.1 $e |- ( ph -> A e. RR ) $.
    resubaddd.2 $e |- ( ph -> B e. RR ) $.
    resubaddd.3 $e |- ( ph -> C e. RR ) $.
    $( Relationship between subtraction and addition.  Based on ~ subaddd .
       (Contributed by Steven Nguyen, 8-Jan-2023.) $)
    resubaddd $p |- ( ph -> ( ( A -R B ) = C <-> ( B + C ) = A ) ) $=
      ( cr wcel cresub co wceq caddc wb resubadd syl3anc ) ABHICHIDHIBCJKDLCDMK
      BLNEFGBCDOP $.
  $}

  ${
    $d x y z $.
    $( Real subtraction is an operation on the real numbers.  Based on ~ subf .
       (Contributed by Steven Nguyen, 7-Jan-2023.) $)
    resubf $p |- -R : ( RR X. RR ) --> RR $=
      ( vy vz vx cv caddc co wceq cr crio wcel wral cresub wf resubval rersubcl
      cxp wa eqeltrrd rgen2 df-resub fmpo mpbi ) ADZBDEFCDZGBHIZHJZAHKCHKHHPHLM
      UFCAHHUDHJUCHJQUDUCLFUEHBUDUCNUDUCORSCAHHUEHLCABTUAUB $.
  $}

  $( Addition and subtraction of equals.  Compare ~ pncan2 .  (Contributed by
     Steven Nguyen, 8-Jan-2023.) $)
  repncan2 $p |- ( ( A e. RR /\ B e. RR ) -> ( ( A + B ) -R A ) = B ) $=
    ( cr wcel wa caddc co cresub wceq eqid readdcl simpl simpr resubaddd mpbiri
    ) ACDZBCDZEZABFGZAHGBISSISJRSABABKPQLPQMNO $.

  $( Addition and subtraction of equals.  Based on ~ pncan3 .  (Contributed by
     Steven Nguyen, 8-Jan-2023.) $)
  repncan3 $p |- ( ( A e. RR /\ B e. RR ) -> ( A + ( B -R A ) ) = B ) $=
    ( cr wcel cresub caddc wceq rersubcl w3a eqid resubadd mpbii mpd3an3 ancoms
    co ) BCDZACDZABAEOZFOBGZPQRCDZSBAHPQTIRRGSRJBARKLMN $.

  $( Law for addition and subtraction.  (Contributed by Steven Nguyen,
     28-Jan-2023.) $)
  readdsub $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
    ( ( A + B ) -R C ) = ( ( A -R C ) + B ) ) $=
    ( cr wcel w3a caddc co cresub simp3 readdcl 3adant3 repncan3 syl2anc ancoms
    wceq 3adant2 oveq1d recnd rersubcl simp2 addassd wb readdcld readdcan mpbid
    3eqtr2d syl3anc ) ADEZBDEZCDEZFZCABGHZCIHZGHZCACIHZBGHZGHZPZUNUQPZULUOUMCUP
    GHZBGHURULUKUMDEZUOUMPUIUJUKJZUIUJVBUKABKLZCUMMNULVAABGUIUKVAAPZUJUKUIVECAM
    OQRULCUPBULCVCSULUPUIUKUPDEUJACTQZSULBUIUJUKUAZSUBUGULUNDEZUQDEUKUSUTUCULVB
    UKVHVDVCUMCTNULUPBVFVGUDVCUNUQCUEUHUF $.

  ${
    reladdrsub.1 $e |- ( ph -> A e. RR ) $.
    reladdrsub.2 $e |- ( ph -> B e. RR ) $.
    reladdrsub.3 $e |- ( ph -> ( A + B ) = C ) $.
    $( Move LHS of a sum into RHS of a (real) difference.  Version of
       ~ mvlladdd with real subtraction.  (Contributed by Steven Nguyen,
       8-Jan-2023.) $)
    reladdrsub $p |- ( ph -> B = ( C -R A ) ) $=
      ( cresub co cr wcel wceq readdcld eqeltrrd w3a resubadd syl5ibrcom mp3and
      caddc eqcomd ) ADBHIZCADJKZBJKZCJKZUACLZABCSIZDJGABCEFMNEFAUEUBUCUDOUFDLG
      DBCPQRT $.
  $}

  $( Subtraction from both sides of 'less than'.  Compare ~ ltsub1 .
     (Contributed by SN, 13-Feb-2024.) $)
  reltsub1 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                    ( A < B <-> ( A -R C ) < ( B -R C ) ) ) $=
    ( cr wcel w3a cresub co clt wbr caddc rersubcl 3adant2 3adant1 ltadd2d wceq
    simp3 repncan3 ancoms breq12d bitr2d ) ADEZBDEZCDEZFZACGHZBCGHZIJCUFKHZCUGK
    HZIJABIJUEUFUGCUBUDUFDEUCACLMUCUDUGDEUBBCLNUBUCUDQOUEUHAUIBIUBUDUHAPZUCUDUB
    UJCARSMUCUDUIBPZUBUDUCUKCBRSNTUA $.

  $( 'Less than' relationship between addition and subtraction.  Compare
     ~ ltsubadd2 .  (Contributed by SN, 13-Feb-2024.) $)
  reltsubadd2 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                       ( ( A -R B ) < C <-> A < ( B + C ) ) ) $=
    ( cr wcel w3a caddc co clt cresub wb simp1 readdcl 3adant1 reltsub1 syl3anc
    wbr simp2 wceq repncan2 breq2d bitr2d ) ADEZBDEZCDEZFZABCGHZIQZABJHZUGBJHZI
    QZUICIQUFUCUGDEZUDUHUKKUCUDUELUDUEULUCBCMNUCUDUERAUGBOPUFUJCUIIUDUEUJCSUCBC
    TNUAUB $.

  $( Cancellation law for real subtraction.  Compare ~ subcan2 .  (Contributed
     by Steven Nguyen, 8-Jan-2023.) $)
  resubcan2 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                  ( ( A -R C ) = ( B -R C ) <-> A = B ) ) $=
    ( cr wcel w3a cresub co wceq wa caddc simpl1 simpl3 simpl2 rersubcl syl2anc
    simpr resubaddd mpbid repncan3 eqtr3d ex oveq1 impbid1 ) ADEZBDEZCDEZFZACGH
    BCGHZIZABIZUHUJUKUHUJJZCUIKHZABULUJUMAIUHUJQULACUIUEUFUGUJLUEUFUGUJMZULUFUG
    UIDEUEUFUGUJNZUNBCOPRSULUGUFUMBIUNUOCBTPUAUBABCGUCUD $.

  $( Law for double subtraction.  Compare ~ subsub4 .  (Contributed by Steven
     Nguyen, 14-Jan-2023.) $)
  resubsub4 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                  ( ( A -R B ) -R C ) = ( A -R ( B + C ) ) ) $=
    ( cr wcel w3a caddc co readdcl 3adant1 rersubcl 3adant3 simp3 syl2anc simp2
    cresub recnd addassd wceq repncan3 oveq2d simp1 3eqtrd reladdrsub ) ADEZBDE
    ZCDEZFZBCGHZABPHZCPHZAUFUGUIDEUEBCIJUHUJDEZUGUKDEUEUFULUGABKLZUEUFUGMZUJCKN
    ZUHUIUKGHBCUKGHZGHBUJGHZAUHBCUKUHBUEUFUGOZQUHCUNQUHUKUOQRUHUPUJBGUHUGULUPUJ
    SUNUMCUJTNUAUHUFUEUQASURUEUFUGUBBATNUCUD $.

  $( Cancellation law for real subtraction.  Compare ~ nnncan2 .  (Contributed
     by Steven Nguyen, 14-Jan-2023.) $)
  rennncan2 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                  ( ( A -R C ) -R ( B -R C ) ) = ( A -R B ) ) $=
    ( cr wcel cresub co caddc wceq simp1 simp3 simp2 rersubcl syl2anc resubsub4
    w3a syl3anc repncan3 oveq2d eqtrd ) ADEZBDEZCDEZPZACFGBCFGZFGZACUEHGZFGZABF
    GUDUAUCUEDEZUFUHIUAUBUCJUAUBUCKZUDUBUCUIUAUBUCLZUJBCMNACUEOQUDUGBAFUDUCUBUG
    BIUJUKCBRNST $.

  $( Cancellation law for real subtraction.  Compare ~ npncan3 .  (Contributed
     by Steven Nguyen, 28-Jan-2023.) $)
  renpncan3 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                  ( ( A -R B ) + ( C -R A ) ) = ( C -R B ) ) $=
    ( cr wcel cresub co caddc wceq simp1 rersubcl ancoms 3adant2 simp2 readdsub
    w3a syl3anc repncan3 oveq1d eqtr3d ) ADEZBDEZCDEZPZACAFGZHGZBFGZABFGUEHGZCB
    FGUDUAUEDEZUBUGUHIUAUBUCJUAUCUIUBUCUAUICAKLMUAUBUCNAUEBOQUDUFCBFUAUCUFCIUBA
    CRMST $.

  $( Cancellation law for addition and real subtraction.  Compare ~ pnpcan .
     (Contributed by Steven Nguyen, 19-May-2023.) $)
  repnpcan $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                  ( ( A + B ) -R ( A + C ) ) = ( B -R C ) ) $=
    ( cr wcel w3a caddc co cresub wceq readdcl resubsub4 stoic4a 3adant3 oveq1d
    repncan2 eqtr3d ) ADEZBDEZCDEZFZABGHZAIHZCIHZUBACGHIHZBCIHRSUBDETUDUEJABKUB
    ACLMUAUCBCIRSUCBJTABPNOQ $.

  $( Cancellation law for mixed addition and real subtraction.  Compare
     ~ ppncan .  (Contributed by SN, 3-Sep-2023.) $)
  reppncan $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                  ( ( A + C ) + ( B -R C ) ) = ( A + B ) ) $=
    ( cr wcel w3a caddc co cresub wceq repnpcan readdcl 3adant3 3adant2 3adant1
    rersubcl resubaddd mpbid ) ADEZBDEZCDEZFZABGHZACGHZIHBCIHZJUDUEGHUCJABCKUBU
    CUDUESTUCDEUAABLMSUAUDDETACLNTUAUEDESBCPOQR $.

  ${
    resubidaddid1lem.a $e |- ( ph -> A e. RR ) $.
    resubidaddid1lem.b $e |- ( ph -> B e. RR ) $.
    resubidaddid1lem.c $e |- ( ph -> C e. RR ) $.
    resubidaddid1lem.1 $e |- ( ph -> ( A -R B ) = ( B -R C ) ) $.
    $( Lemma for ~ resubidaddid1 .  A special case of ~ npncan .  (Contributed
       by Steven Nguyen, 8-Jan-2023.) $)
    resubidaddid1lem $p |-
      ( ph -> ( ( A -R B ) + ( B -R C ) ) = ( A -R C ) ) $=
      ( cresub co caddc cr wcel rersubcl syl2anc readdcld resubaddd mpbid recnd
      wceq eqcomd oveq1d addassd 3eqtr3d reladdrsub ) ADBCIJZCDIJZKJZBGAUFUGABL
      MCLMZUFLMEFBCNOZAUIDLMUGLMFGCDNOZPADUFKJZUGKJCUGKJZDUHKJBAULCUGKAUGUFTULC
      TAUFUGHUAACDUFFGUJQRUBADUFUGADGSAUFUJSAUGUKSUCAUFUGTUMBTHABCUGEFUKQRUDUE
      $.
  $}

  $( Any real number subtracted from itself forms a left additive identity.
     (Contributed by Steven Nguyen, 8-Jan-2023.) $)
  resubidaddid1 $p |- ( ( A e. RR /\ B e. RR ) -> ( ( A -R A ) + B ) = B ) $=
    ( cr wcel wa caddc co cresub wceq readdsub 3anidm13 repncan2 eqtr3d ) ACDZB
    CDZEABFGAHGZAAHGBFGZBNOPQIABAJKABLM $.

  $( Distribution of multiplication over real subtraction.  (Contributed by
     Steven Nguyen, 3-Jun-2023.) $)
  resubdi $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                 ( A x. ( B -R C ) ) = ( ( A x. B ) -R ( A x. C ) ) ) $=
    ( cr wcel w3a cmul co remulcl 3adant2 simp1 rersubcl 3adant1 remulcld caddc
    cresub recnd simp3 adddid wceq repncan3 ancoms oveq2d eqtr3d reladdrsub ) A
    DEZBDEZCDEZFZACGHZABCPHZGHZABGHZUFUHUJDEUGACIJUIAUKUFUGUHKZUGUHUKDEUFBCLMZN
    UIACUKOHZGHUJULOHUMUIACUKUIAUNQUICUFUGUHRQUIUKUOQSUIUPBAGUGUHUPBTZUFUHUGUQC
    BUAUBMUCUDUE $.

  $( Equality of two left-additive identities.  See ~ resubidaddid1 .  Uses
     ~ ax-i2m1 .  (Contributed by SN, 25-Dec-2023.) $)
  re1m1e0m0 $p |- ( 1 -R 1 ) = ( 0 -R 0 ) $=
    ( c1 cresub co cc0 wceq wtru 0red cr wcel 1re rersubcl mp2an a1i caddc cmul
    ci ax-icn mulcli ax-1cn ax-i2m1 recni addassi repncan3 oveq2i eqtri 3eqtr3i
    oveq1i reladdrsub mptru ) AABCZDDBCEFDUJDFGUJHIZFAHIZULUKJJAAKLZMDUJNCZDEFP
    POCZANCZUJNCZUPUNDUQUOAUJNCZNCUPUOAUJPPQQRSUJUMUAUBURAUONULULURAEJJAAUCLUDU
    EUPDUJNTUGTUFMUHUI $.

  $( Lemma for ~ sn-00id .  (Contributed by SN, 25-Dec-2023.) $)
  sn-00idlem1 $p |- ( A e. RR -> ( A x. ( 0 -R 0 ) ) = ( A -R A ) ) $=
    ( cr wcel cresub cmul cc0 wceq 1re resubdi mp3an23 re1m1e0m0 oveq2i ax-1rid
    c1 co a1i oveq12d 3eqtr3d ) ABCZANNDOZEOZANEOZUBDOZAFFDOZEOZAADOSNBCZUFUAUC
    GHHANNIJUAUEGSTUDAEKLPSUBAUBADAMZUGQR $.

  $( Lemma for ~ sn-00id .  (Contributed by SN, 25-Dec-2023.) $)
  sn-00idlem2 $p |- ( ( 0 -R 0 ) =/= 0 -> ( 0 -R 0 ) = 1 ) $=
    ( cc0 cresub co wne cmul c1 wceq cr wcel rennncan2 mp3an re1m1e0m0 rernegcl
    0re eqtr4i ax-mp sn-00idlem1 1re 3eqtr4i a1i 1red id remulcan2d mpbii ) AAB
    CZADZUEUEECZFUEECZGUEFGUEUEBCZFFBCZUGUHUIUEUJAHIZUKUKUIUEGNNNAAAJKLOUEHIZUG
    UIGUKULNAMPZUEQPFHIUHUJGRFQPSUFUEFUEULUFUMTZUFUAUNUFUBUCUD $.

  $( Lemma for ~ sn-00id .  (Contributed by SN, 25-Dec-2023.) $)
  sn-00idlem3 $p |- ( ( 0 -R 0 ) = 1 -> ( 0 + 0 ) = 0 ) $=
    ( cc0 cresub co c1 wceq cmul caddc oveq2 oveq1d wcel 0re sn-00idlem1 adantr
    cr wa resubidaddid1 eqtrd mp2an a1i ax-1rid mp1i 3eqtr3rd ) AABCZDEZAUCFCZA
    GCZADFCZAGCAAAGCUDUEUGAGUCDAFHIUFAEZUDANJZUIUHKKUIUIOZUFUCAGCAUJUEUCAGUIUEU
    CEUIALMIAAPQRSUDUGAAGUIUGAEUDKATUAIUB $.

  $( ~ 00id proven without ~ ax-mulcom but using ~ ax-1ne0 .  (Though note that
     the current version of ~ 00id can be changed to avoid ~ ax-icn ,
     ~ ax-addcl , ~ ax-mulcl , ~ ax-i2m1 , ~ ax-cnre .  Most of this is by
     using ~ 0cnALT3 instead of ~ 0cn ).  (Contributed by SN, 25-Dec-2023.)
     (Proof modification is discouraged.) $)
  sn-00id $p |- ( 0 + 0 ) = 0 $=
    ( cc0 caddc co wceq cresub cr wcel wb 0re resubadd mp3an wn wne sn-00idlem2
    df-ne c1 sn-00idlem3 syl sylbir sylnbir pm2.18i ) AABCADZUBAAECZADZUBAFGZUE
    UEUDUBHIIIAAAJKUDLUCAMZUBUCAOUFUCPDUBNQRSTUA $.
  $( $j usage 'sn-00id' avoids 'ax-mulcom'; $)

  $( Real number version of ~ 0m0e0 proven without ~ ax-mulcom .  (Contributed
     by SN, 23-Jan-2024.) $)
  re0m0e0 $p |- ( 0 -R 0 ) = 0 $=
    ( cc0 cresub co wceq wtru 0red caddc sn-00id a1i reladdrsub mptru eqcomi )
    AAABCZAMDEAAAEFZNAAGCADEHIJKL $.
  $( $j usage 're0m0e0' avoids 'ax-mulcom'; $)

  $( Real number version of ~ addid2 .  (Contributed by SN, 23-Jan-2024.) $)
  readdid2 $p |- ( A e. RR -> ( 0 + A ) = A ) $=
    ( cr wcel cc0 caddc co cresub re0m0e0 oveq1i reneg0addid2 eqtr3id ) ABCDAEF
    DDGFZAEFALDAEHIAJK $.
  $( $j usage 'readdid2' avoids 'ax-mulcom'; $)

  ${
    $d A x y $.
    $( ~ addid2 without ~ ax-mulcom .  (Contributed by SN, 23-Jan-2024.) $)
    sn-addid2 $p |- ( A e. CC -> ( 0 + A ) = A ) $=
      ( vx vy cc wcel cv ci cmul co caddc wceq cr wrex cc0 cnre w3a 0cnd simp2l
      wa recnd ax-icn a1i simp2r mulcld addassd readdid2 adantr 3ad2ant2 oveq1d
      eqtr3d simp3 oveq2d 3eqtr4d 3exp rexlimdvv mpd ) ADEZABFZGCFZHIZJIZKZCLMB
      LMNAJIZAKZBCAOUQVBVDBCLLUQURLEZUSLEZSZVBVDUQVGVBPZNVAJIZVAVCAVHNURJIZUTJI
      VIVAVHNURUTVHQVHURUQVEVFVBRTVHGUSGDEVHUAUBVHUSUQVEVFVBUCTUDUEVHVJURUTJVGU
      QVJURKZVBVEVKVFURUFUGUHUIUJVHAVANJUQVGVBUKZULVLUMUNUOUP $.
    $( $j usage 'sn-addid2' avoids 'ax-mulcom'; $)
  $}

  ${
    $d A x $.
    $( Real number version of ~ mul02 proven without ~ ax-mulcom .
       (Contributed by SN, 23-Jan-2024.) $)
    remul02 $p |- ( A e. RR -> ( 0 x. A ) = 0 ) $=
      ( vx cr wcel c1 c2 wne cmul co wceq wa oveq1i cresub re0m0e0 3eqtri recnd
      cc0 1re mulassd 3eqtrd sn-1ne2 cv elre0re remulcld ax-rrecex sylan simprr
      wrex id caddc eqcomi oveq2i readdcli sn-00idlem1 ax-mp repnpcan re1m1e0m0
      df-2 mp3an eqtr2i a1i 2cnd 0cnd simpll oveq1d ad2antrr simprl 2re ax-1rid
      oveq2d mp1i eqtr3d rexlimddv ex necon1d mpi ) ACDZEFGQAHIZQJUAVQVRQEFVQVR
      QGZEFJZVQVSKZVRBUBZHIZEJZVTBCVQVRCDZVSWDBCUHVQQAAUCVQUIUDZBVRUEUFWAWBCDZW
      DKZKZWCEFWAWGWDUGZWIWCFWCHIZFEHIZFWIWCFQHIZAHIZWBHIZFVRHIZWBHIWKWCWOJWIVR
      WNWBHQWMAHWMEEUJIZQHIZQFWQQHURLWRWQQQMIZHIZWQWQMIZQQWSWQHWSQNUKULWQCDWTXA
      JEERRUMWQUNUOXAEEMIZWSQECDZXCXCXAXBJRRREEEUPUSUQNOOUTLLVAWIWNWPWBHWIFQAWI
      VBZWIVCWIAVQVSWHVDPSVEWIFVRWBXDWIVRVQWEVSWHWFVFPWIWBWAWGWDVGPSTWIWCEFHWJV
      JFCDWLFJWIVHFVIVKTVLVMVNVOVP $.
    $( $j usage 'remul02' avoids 'ax-mulcom'; $)
  $}

  $( ~ 0ne2 without ~ ax-mulcom .  (Contributed by SN, 23-Jan-2024.) $)
  sn-0ne2 $p |- 0 =/= 2 $=
    ( cc0 c1 caddc co c2 wne cr wcel 1re ax-mp clt wbr 2re ltadd2i biimpi 1p1e2
    c3 1p2e3 3brtr3g 3re wceq readdid2 wo sn-1ne2 lttri2i mpbi 1red lttri mpdan
    ltned a1i mpancom gtned jaoi df-3 neeqtri eqnetri oveq1 necon3i ) ABCDZEBCD
    ZFAEFUTBVABGHUTBUAIBUBJBQVABEKLZEBKLZUCZBQFZBEFVDUDBEIMUEUFVBVEVCVBBQVBUGVB
    EQKLBQKLVBBBCDZBECDZEQKVBVFVGKLBEBIMINOPRSBEQIMTUHUIUJVCQBQGHVCTUKQEKLVCQBK
    LVCVGVFQEKVCVGVFKLEBBMIINORPSQEBTMIUHULUMUNJUOUPUQAEUTVAAEBCURUSJ $.
  $( $j usage 'sn-0ne2' avoids 'ax-mulcom'; $)

  ${
    $d A x $.
    $( Real number version of ~ mul01 proven without ~ ax-mulcom .
       (Contributed by SN, 23-Jan-2024.) $)
    remul01 $p |- ( A e. RR -> ( A x. 0 ) = 0 ) $=
      ( vx cr wcel cc0 cmul co c1 wne wceq wa 2re eqtrd wrex a1i remulcld recnd
      c2 mulassd oveq2d wn wi oveq2 adantl ax-1rid mp1i cv simpl sn-0ne2 necomi
      0red mteqand ax-rrecex syl2an 2cnd simplll simprl simprr remul02 ad2antrl
      eqtr2 0cnd 3eqtr3rd rexlimddv sn-1ne2 eqnetrd pm2.21ddne ex pm2.01 neqned
      mpdan syl id elre0re sylan simpll necon1d mpd ) ACDZAEFGZHIZVTEJVSVTHJZWB
      UAZUBZWAVSWBWCVSWBKZWCRVTFGZRWEWFRHFGZRWBWFWGJVSVTHRFUCUDRCDZWGRJWELRUEUF
      MZWEWFHRWEWFRJZWFHJZWIWEWJKZWFBUGZFGZHJZWKBCWEWFCDWFEIWOBCNWJWERVTWHWELOW
      EAEVSWBUHWEUKPPWJWFEREREIWJERUIUJOWFREVAULBWFUMUNWLWMCDZWOKZKZWNRVTWMFGZF
      GHWFWRRVTWMWRUOWRVTWRAEVSWBWJWQUPZWRUKPQWRWMWLWPWOUQQZSWLWPWOURWRWSVTRFWR
      WSAEWMFGZFGZVTWRAEWMWRAWTQWRVBXASWRXBEAFWPXBEJWLWOWMUSZUTTMTVCVDVKHRIWEVE
      OVFVGVHWDVTHWBVIVJVLVSVTEVTHVSVTEIZWBVSXEKZWSHJZWBBCVSVTCDXEXGBCNVSAEVSVM
      AVNPBVTUMVOXFWPXGKZKZWSXCHVTXIAEWMXIAVSXEXHVPQXIVBXIWMXFWPXGUQQSXFWPXGURW
      PXCVTJXFXGWPXBEAFXDTUTVCVDVHVQVR $.
    $( $j usage 'remul01' avoids 'ax-mulcom'; $)
  $}

  $( Subtraction of a real number from itself (compare ~ subid ).  (Contributed
     by SN, 23-Jan-2024.) $)
  resubid $p |- ( A e. RR -> ( A -R A ) = 0 ) $=
    ( cr wcel cc0 cresub co cmul re0m0e0 oveq2i sn-00idlem1 remul01 3eqtr3a ) A
    BCADDEFZGFADGFAAEFDMDAGHIAJAKL $.

  $( Real number version of ~ addid1 , without ~ ax-mulcom .  (Contributed by
     SN, 23-Jan-2024.) $)
  readdid1 $p |- ( A e. RR -> ( A + 0 ) = A ) $=
    ( cr wcel cresub co cc0 wceq caddc resubid id elre0re resubaddd mpbid ) ABC
    ZAADEFGAFHEAGAINAAFNJZOAKLM $.
  $( $j usage 'readdid1' avoids 'ax-mulcom'; $)

  $( Real number version of ~ subid1 , without ~ ax-mulcom .  (Contributed by
     SN, 23-Jan-2024.) $)
  resubid1 $p |- ( A e. RR -> ( A -R 0 ) = A ) $=
    ( cr wcel cc0 cresub co wceq caddc readdid2 id elre0re resubaddd mpbird ) A
    BCZADEFAGDAHFAGAINADANJZAKOLM $.
  $( $j usage 'resubid1' avoids 'ax-mulcom'; $)

  $( A real number is equal to the negative of its negative.  Compare
     ~ negneg .  (Contributed by SN, 13-Feb-2024.) $)
  renegneg $p |- ( A e. RR -> ( 0 -R ( 0 -R A ) ) = A ) $=
    ( cr wcel cc0 cresub co caddc wceq rernegcl syl id renegid elre0re readdid1
    eqeltrd repncan3 syl2anc oveq2d 3eqtr4d recnd readdid2 recn oveq1d readdcan
    addassd w3a biimpa syl31anc ) ABCZDDAEFZEFZBCZUIAUJGFZBCZUMUKGFZUMAGFZHZUKA
    HZUIUJBCZULAIZUJIJZUIKUIUMDBALZAMZOUIAUJUKGFZGFZDAGFZUOUPUIADGFAVEVFANUIVDD
    AGUIUSDBCVDDHUTVCUJDPQRAUASUIAUJUKAUBUIUJUTTUIUKVATUEUIUMDAGVBUCSULUIUNUFUQ
    URUKAUMUDUGUH $.

  $( Commuted version of ~ readdcan without ~ ax-mulcom .  (Contributed by SN,
     21-Feb-2024.) $)
  readdcan2 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                           ( ( A + C ) = ( B + C ) <-> A = B ) ) $=
    ( cr wcel caddc co wceq cc0 oveq1 adantl simpl recnd simpr addassd readdid1
    wa oveq2d adantr 3eqtrd w3a cresub rernegcl renegid 3adant2 3adant1 3eqtr3d
    ex impbid1 ) ADEZBDEZCDEZUAZACFGZBCFGZHZABHZUMUPUQUMUPQUNICUBGZFGZUOURFGZAB
    UPUSUTHUMUNUOURFJKUMUSAHZUPUJULVAUKUJULQZUSACURFGZFGZAIFGZAVBACURVBAUJULLMV
    BCUJULNMVBURULURDEZUJCUCZKMOULVDVEHUJULVCIAFCUDZRKUJVEAHULAPSTUESUMUTBHZUPU
    KULVIUJUKULQZUTBVCFGZBIFGZBVJBCURVJBUKULLMVJCUKULNMVJURULVFUKVGKMOULVKVLHUK
    ULVCIBFVHRKUKVLBHULBPSTUFSUGUHABCFJUI $.
  $( $j usage 'readdcan2' avoids 'ax-mulcom'; $)

  $( Commuted version of ~ renegid .  (Contributed by SN, 4-May-2024.) $)
  renegid2 $p |- ( A e. RR -> ( ( 0 -R A ) + A ) = 0 ) $=
    ( cr wcel cresub co caddc wceq renegid oveq2d rernegcl readdid1 eqtrd recnd
    cc0 syl recn addassd readdid2 3eqtr4d wb readdcld elre0re readdcan2 syl3anc
    id mpbid ) ABCZNADEZAFEZUHFEZNUHFEZGZUINGZUGUHAUHFEZFEZUHUJUKUGUOUHNFEZUHUG
    UNNUHFAHIUGUHBCZUPUHGAJZUHKOLUGUHAUHUGUHURMZAPUSQUGUQUKUHGURUHROSUGUIBCNBCU
    QULUMTUGUHAURUGUEUAAUBURUINUHUCUDUF $.

  ${
    $d a b $.
    $( Proof of ~ it0e0 without ~ ax-mulcom .  Informally, a real number times
       0 is 0, and ` E. r e. RR r = _i x. s ` by ~ ax-cnre and ~ renegid2 .
       (Contributed by SN, 30-Apr-2024.) $)
    sn-it0e0 $p |- ( _i x. 0 ) = 0 $=
      ( va vb cc wcel cv ci cmul co caddc wceq cr wrex wa remul01 adantr oveq1d
      cc0 recn syl eqtr3d 0cn cnre cresub oveq2 ax-icn a1i mulassd oveq2d eqtrd
      ad2antlr rernegcl recnd mulcld adantl addassd renegid2 sn-addid2 sylan9eq
      0cnd eqeq2d biimpa elre0re readdcld ad2antrr ex syl5 rexlimivv mp2b ) QCD
      QAEZFBEZGHZIHZJZBKLAKLFQGHZQJZUAABQUBVMVOABKKVMQVIUCHZQIHZVPVLIHZJZVIKDZV
      JKDZMZVOQVLVPIUDWBVSVOWBVSMZVKQGHZVNQWAWDVNJVTVSWAWDFVJQGHZGHVNWAFVJQFCDW
      AUEUFZVJRZWAUSUGWAWEQFGVJNUHUIUJWCVQQGHZWDQWCVQVKQGWBVSVQVKJWBVRVKVQWBVPV
      IIHZVKIHZVRVKWBVPVIVKVTVPCDWAVTVPVIUKZULOVTVICDWAVIROWAVKCDZVTWAFVJWFWGUM
      ZUNUOVTWAWJQVKIHZVKVTWIQVKIVIUPPWAWLWNVKJWMVKUQSURTUTVAPWCVQKDZWHQJVTWOWA
      VSVTVPQWKVIVBVCVDVQNSTTVEVFVGVH $.
    $( $j usage 'sn-it0e0' avoids 'ax-mulcom'; $)
  $}

  ${
    $d A b x y $.
    $( A combination of ~ cnegex and ~ cnegex2 , this proof takes ~ cnre
       ` A = r + _i x. s ` and shows that ` _i x. -u s + -u r ` is both a left
       and right inverse.  (Contributed by SN, 5-May-2024.) $)
    sn-negex12 $p |- ( A e. CC ->
                             E. b e. CC ( ( A + b ) = 0 /\ ( b + A ) = 0 ) ) $=
      ( vy vx cc wcel ci cc0 co cmul caddc wceq wrex wa cr adantl adantr oveq2d
      addassd ad2antlr cv cresub ax-icn rernegcl recnd mulcld wb eqeq1 rspcedvd
      addcld eqidd ralrimivva cnre r19.29d2r oveq1 recn renegid adddid sn-it0e0
      a1i 3eqtr3d readdid1 3eqtrd eqtrd oveq1d simpll renegid2 sn-addid2 eqtrdi
      oveq2 syl 3eqtr2d sylan9eqr jca eqeq1d anbi12d syl5ibrcom reximdv expimpd
      ancomsd rexlimdvva mpd ) AEFZBUAZGHCUAZUBIZJIZHDUAZUBIZKIZLZBEMZAWHGWEJIZ
      KIZLZNZCOMDOMAWDKIZHLZWDAKIZHLZNZBEMZWCWLWODCOOWCWLDCOOWCWHOFZWEOFZNZNZWK
      WJWJLZBWJEXEWJEFWCXEWGWIXDWGEFZXCXDGWFGEFZXDUCUTZXDWFWEUDUEZUFPZXCWIEFZXD
      XCWIWHUDUEQZUJPWKWKXGUGXFWDWJWJUHPXFWJUKUIULDCAUMUNWCWPXBDCOOXFWOWLXBXFWO
      WLXBXFWONZWKXABEXOXAWKAWJKIZHLZWJAKIZHLZNXOXQXSXOAWGKIZWIKIWHWIKIZXPHXOXT
      WHWIKXOXTWNWGKIZWHWOXTYBLXFAWNWGKUOPXEYBWHLWCWOXEYBWHWMWGKIZKIZWHHKIZWHXE
      WHWMWGXCWHEFXDWHUPQZXEGWEXIXEUCUTZXDWEEFXCWEUPZPZUFZXLSXDYDYELXCXDYCHWHKX
      DGWEWFKIZJIGHJIZYCHXDYKHGJWEUQRXDGWEWFXJYHXKURYLHLXDUSUTVARPXCYEWHLXDWHVB
      QVCTVDVEXOAWGWIWCXEWOVFXEXHWCWOXLTXEXMWCWOXNTSXEYAHLZWCWOXCYMXDWHUQQTVAWO
      XFXRWJWNKIZHAWNWJKVJXEYNHLWCXEYNWGWIWNKIZKIWGWIWHKIZWMKIZKIZHXEWGWIWNXLXN
      XEWHWMYFYJUJSXEYQYOWGKXEWIWHWMXNYFYJSRXEYRWGWMKIGWFWEKIZJIZHXEYQWMWGKXEYQ
      HWMKIZWMXEYPHWMKXCYPHLXDWHVGQVEXEWMEFUUAWMLYJWMVHVKVDRXEGWFWEYGXDWFEFXCXK
      PYIURXEYTYLHXEYSHGJXDYSHLXCWEVGPRUSVIVLVLPVMVNWKWRXQWTXSWKWQXPHWDWJAKVJVO
      WKWSXRHWDWJAKUOVOVPVQVRVSVTWAWB $.

    $( Proof of ~ cnegex without ~ ax-mulcom .  (Contributed by SN,
       30-Apr-2024.) $)
    sn-negex $p |- ( A e. CC -> E. b e. CC ( A + b ) = 0 ) $=
      ( cc wcel cv caddc co cc0 wceq wa wrex sn-negex12 simpl reximi syl ) ACDA
      BEZFGHIZPAFGHIZJZBCKQBCKABLSQBCQRMNO $.
    $( $j usage 'sn-negex' avoids 'ax-mulcom'; $)

    $( Proof of ~ cnegex2 without ~ ax-mulcom .  (Contributed by SN,
       5-May-2024.) $)
    sn-negex2 $p |- ( A e. CC -> E. b e. CC ( b + A ) = 0 ) $=
      ( cc wcel cv caddc co cc0 wceq wa wrex sn-negex12 simpr reximi syl ) ACDA
      BEZFGHIZPAFGHIZJZBCKRBCKABLSRBCQRMNO $.
    $( $j usage 'sn-negex2' avoids 'ax-mulcom'; $)
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d ph x $.
    sn-addcand.a $e |- ( ph -> A e. CC ) $.
    sn-addcand.b $e |- ( ph -> B e. CC ) $.
    sn-addcand.c $e |- ( ph -> C e. CC ) $.
    $( ~ addcand without ~ ax-mulcom .  Note how the proof is almost identical
       to ~ addcan .  (Contributed by SN, 5-May-2024.) $)
    sn-addcand $p |- ( ph -> ( ( A + B ) = ( A + C ) <-> B = C ) ) $=
      ( vx caddc co cc0 wceq cc wcel syl wa oveq2 oveq1d adantr addassd cv wrex
      wb sn-negex2 simprr simprl sn-addid2 3eqtr3d eqeq12d impbid1 rexlimddv
      syl5ib ) AHUAZBIJZKLZBCIJZBDIJZLZCDLZUCHMABMNZUOHMUBEBHUDOAUMMNZUOPZPZURU
      SURUMUPIJZUMUQIJZLVCUSUPUQUMIQVCVDCVEDVCUNCIJKCIJZVDCVCUNKCIAVAUOUEZRVCUM
      BCAVAUOUFZAUTVBESZACMNZVBFSZTVCVJVFCLVKCUGOUHVCUNDIJKDIJZVEDVCUNKDIVGRVCU
      MBDVHVIADMNZVBGSZTVCVMVLDLVNDUGOUHUIULCDBIQUJUK $.
    $( $j usage 'sn-addcand' avoids 'ax-mulcom'; $)
  $}

  ${
    $d A x $.
    $( ~ addid1 without ~ ax-mulcom .  (Contributed by SN, 5-May-2024.) $)
    sn-addid1 $p |- ( A e. CC -> ( A + 0 ) = A ) $=
      ( vx cc wcel caddc cc0 wceq sn-negex2 simprr oveq1d sn-00id eqtrdi simprl
      cv co wa simpl 0cnd addassd 3eqtr2rd addcld sn-addcand mpbid rexlimddv )
      ACDZBNZAEOZFGZAFEOZAGZBCABHUEUFCDZUHPZPZUFUIEOZUGGUJUMUGFUGFEOZUNUEUKUHIZ
      UMUOFFEOFUMUGFFEUPJKLUMUFAFUEUKUHMZUEULQZUMRZSTUMUFUIAUQUMAFURUSUAURUBUCU
      D $.
    $( $j usage 'sn-addid1' avoids 'ax-mulcom'; $)
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d ph x $.
    sn-addcan2d.a $e |- ( ph -> A e. CC ) $.
    sn-addcan2d.b $e |- ( ph -> B e. CC ) $.
    sn-addcan2d.c $e |- ( ph -> C e. CC ) $.
    $( ~ addcan2d without ~ ax-mulcom .  (Contributed by SN, 5-May-2024.) $)
    sn-addcan2d $p |- ( ph -> ( ( A + C ) = ( B + C ) <-> A = B ) ) $=
      ( vx caddc co cc0 wceq cc wcel syl wa oveq1 adantr addassd oveq2d cv wrex
      sn-negex simprl simprr sn-addid1 3eqtrd eqeq12d syl5ib impbid1 rexlimddv
      wb ) ADHUAZIJZKLZBDIJZCDIJZLZBCLZULHMADMNZUOHMUBGDHUCOAUMMNZUOPZPZURUSURU
      PUMIJZUQUMIJZLVCUSUPUQUMIQVCVDBVECVCVDBUNIJBKIJZBVCBDUMABMNZVBERZAUTVBGRZ
      AVAUOUDZSVCUNKBIAVAUOUEZTVCVGVFBLVHBUFOUGVCVECUNIJCKIJZCVCCDUMACMNZVBFRZV
      IVJSVCUNKCIVKTVCVMVLCLVNCUFOUGUHUIBCDIQUJUK $.
    $( $j usage 'sn-addcan2d' avoids 'ax-mulcom'; $)
  $}

  $( ~ ixi without ~ ax-mulcom .  (Contributed by SN, 5-May-2024.) $)
  reixi $p |- ( _i x. _i ) = ( 0 -R 1 ) $=
    ( ci cmul co cc0 c1 cresub wceq wtru caddc ax-i2m1 wcel 1re renegid2 eqtr4i
    cr ax-mp cc ax-icn mulcli a1i rernegcl recnd mp1i sn-addcan2d mpbii mptru
    1cnd ) AABCZDEFCZGZHUHEICZUIEICZGUJUKDULJEOKZULDGLEMPNHUHUIEUHQKHAARRSTUMUI
    QKHLUMUIEUAUBUCHUGUDUEUF $.
  $( $j usage 'reixi' avoids 'ax-mulcom'; $)

  $( ~ i4 without ~ ax-mulcom .  (Contributed by SN, 27-May-2024.) $)
  rei4 $p |- ( ( _i x. _i ) x. ( _i x. _i ) ) = 1 $=
    ( ci cmul co cc0 c1 cresub reixi oveq12i cr wcel 1re rernegcl ax-mp resubdi
    wceq 0re mp3an remul01 ax-1rid renegneg 3eqtri eqtri ) AABCZUCBCDEFCZUDBCZE
    UCUDUCUDBGGHUEUDDBCZUDEBCZFCZDUDFCZEUDIJZDIJEIJZUEUHOUKUJKELMZPKUDDENQUFDUG
    UDFUJUFDOULUDRMUJUGUDOULUDSMHUKUIEOKETMUAUB $.
  $( $j usage 'rei4' avoids 'ax-mulcom'; $)

  ${
    sn-addid0.a $e |- ( ph -> A e. CC ) $.
    sn-addid0.1 $e |- ( ph -> ( A + A ) = A ) $.
    $( A number that sums to itself is zero.  Compare ~ addid0 ,
       ~ readdid1addid2d .  (Contributed by SN, 5-May-2024.) $)
    sn-addid0 $p |- ( ph -> A = 0 ) $=
      ( caddc co cc0 wceq cc wcel sn-addid1 syl eqtr4d 0cnd sn-addcand mpbid )
      ABBEFZBGEFZHBGHAQBRDABIJRBHCBKLMABBGCCANOP $.
    $( $j usage 'sn-addid0' avoids 'ax-mulcom'; $)
  $}

  $( ~ mul01 without ~ ax-mulcom .  (Contributed by SN, 5-May-2024.) $)
  sn-mul01 $p |- ( A e. CC -> ( A x. 0 ) = 0 ) $=
    ( cc wcel cc0 cmul co id 0cnd mulcld caddc adddid sn-00id eqtr3di sn-addid0
    oveq2i ) ABCZADEFZPADPGZPHZIPADDJFZEFQQJFQPADDRSSKTDAELOMN $.
  $( $j usage 'sn-mul01' avoids 'ax-mulcom'; $)

  ${
    $d A x y $.  $d B x y $.
    $( ~ negeu without ~ ax-mulcom and complex number version of ~ resubeu .
       (Contributed by SN, 5-May-2024.) $)
    sn-subeu $p |- ( ( A e. CC /\ B e. CC ) -> E! x e. CC ( A + x ) = B ) $=
      ( vy cc wcel wa cv caddc co wceq wreu wrex sn-negex adantr wb wral simprl
      cc0 addcld simplr simplrr oveq1d simplll simplrl simpllr addassd 3eqtr3rd
      sn-addid2 eqeq2d simpr sn-addcand bitrd ralrimiva reu6i syl2anc rexlimddv
      syl ) BEFZCEFZGZBDHZIJZSKZBAHZIJZCKZAELZDEUSVDDEMUTBDNOVAVBEFZVDGZGZVBCIJ
      ZEFVGVEVLKZPZAEQVHVKVBCVAVIVDRUSUTVJUATVKVNAEVKVEEFZGZVGVFBVLIJZKVMVPCVQV
      FVPVCCIJSCIJZVQCVPVCSCIVAVIVDVOUBUCVPBVBCUSUTVJVOUDZVAVIVDVOUEZUSUTVJVOUF
      ZUGVPUTVRCKWACUIURUHUJVPBVEVLVSVKVOUKVPVBCVTWATULUMUNVGAEVLUOUPUQ $.
    $( $j usage 'sn-subeu' avoids 'ax-mulcom'; $)

    $( ~ subcl without ~ ax-mulcom .  (Contributed by SN, 5-May-2024.) $)
    sn-subcl $p |- ( ( A e. CC /\ B e. CC ) -> ( A - B ) e. CC ) $=
      ( vx cc wcel wa cmin co cv caddc wceq crio subval sn-subeu ancoms riotacl
      wreu syl eqeltrd ) ADEZBDEZFZABGHBCIJHAKZCDLZDCABMUBUCCDQZUDDEUATUECBANOU
      CCDPRS $.
    $( $j usage 'sn-subcl' avoids 'ax-mulcom'; $)

    $d x z $.  $d y z $.
    $( ~ subf without ~ ax-mulcom .  (Contributed by SN, 5-May-2024.) $)
    sn-subf $p |- - : ( CC X. CC ) --> CC $=
      ( vy vz vx cv caddc co wceq cc crio wcel wral cxp cmin wf subval sn-subcl
      wa eqeltrrd rgen2 df-sub fmpo mpbi ) ADZBDEFCDZGBHIZHJZAHKCHKHHLHMNUFCAHH
      UDHJUCHJQUDUCMFUEHBUDUCOUDUCPRSCAHHUEHMCABTUAUB $.
    $( $j usage 'sn-subf' avoids 'ax-mulcom'; $)

    $( Equivalence between real subtraction and subtraction.  (Contributed by
       SN, 5-May-2024.) $)
    resubeqsub $p |- ( ( A e. RR /\ B e. RR ) -> ( A -R B ) = ( A - B ) ) $=
      ( vx cr wcel wa cv caddc co wceq crio cresub cmin wss wrex wreu ax-resscn
      cc recn syl2an resubeu reurex syl sn-subeu riotass ancoms resubval subval
      mp3an2i 3eqtr4d ) ADEZBDEZFBCGHIAJZCDKZUMCRKZABLIABMIZULUKUNUOJZDRNULUKFZ
      UMCDOZUMCRPZUQQURUMCDPUSCBAUAUMCDUBUCULBREZAREZUTUKBSZASZCBAUDTUMCDRUEUIU
      FCABUGUKVBVAUPUOJULVDVCCABUHTUJ $.

    $( Subtraction restricted to the reals.  (Contributed by SN,
       5-May-2024.) $)
    subresre $p |- -R = ( - |` ( RR X. RR ) ) $=
      ( vx vy cresub cmin cr cxp cres wceq wtru cc cv co resubeqsub 3adant1 wss
      wcel ax-resscn a1i wf resubf sn-subf oprres mptru ) CDEEFZGHIABEJCDJEAKZE
      PBKZEPUEUFCLUEUFDLHIUEUFMNEJOIQRUDECSITRJJFJDSIUARUBUC $.
  $}

  ${
    $d A x $.  $d B x $.
    addinvcom.a $e |- ( ph -> A e. CC ) $.
    addinvcom.b $e |- ( ph -> B e. CC ) $.
    addinvcom.1 $e |- ( ph -> ( A + B ) = 0 ) $.
    $( A number commutes with its additive inverse.  Compare ~ remulinvcom .
       (Contributed by SN, 5-May-2024.) $)
    addinvcom $p |- ( ph -> ( B + A ) = 0 ) $=
      ( vx caddc co cc0 wceq wa cc crio wreu wcel wb eqeq1d riota2 syl2anc wral
      cv wss wi wrex ssidd simpl rgenw a1i sn-negex12 syl 0cn sn-subeu riotass2
      sylancl syl22anc oveq2 mpbid eqtrd wrmo reurmo rmoimi 3syl sylanbrc oveq1
      reu5 anbi12d mpbird simprd ) ABCHIZJKZCBHIZJKZAVKVMLZBGUBZHIZJKZVOBHIZJKZ
      LZGMNZCKZAWAVQGMNZCAMMUCVTVQUDZGMUAZVTGMUEZVQGMOZWAWCKAMUFWEAWDGMVQVSUGZU
      HUIABMPZWFDBGUJUKZAWIJMPWGDULGBJUMUOZVTVQGMMUNUPAVKWCCKZFACMPZWGVKWLQEWKV
      QVKGMCVOCKZVPVJJVOCBHUQRZSTURUSAWMVTGMOZVNWBQEAWFVTGMUTZWPWJAWGVQGMUTWQWK
      VQGMVAVTVQGMWHVBVCVTGMVFVDVTVNGMCWNVQVKVSVMWOWNVRVLJVOCBHVERVGSTVHVI $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d ph x y $.
    remulinvcom.1 $e |- ( ph -> A e. RR ) $.
    remulinvcom.2 $e |- ( ph -> B e. RR ) $.
    remulinvcom.3 $e |- ( ph -> ( A x. B ) = 1 ) $.
    $( A left multiplicative inverse is a right multiplicative inverse.  Proven
       without ~ ax-mulcom .  (Contributed by SN, 5-Feb-2024.) $)
    remulinvcom $p |- ( ph -> ( B x. A ) = 1 ) $=
      ( vx vy cmul co c1 wceq cr wcel cc0 wa simpr oveq2d ad2antrr recnd cv wne
      ax-1ne0 a1i eqnetrd adantr remul01 eqtrd mteqand ax-rrecex syl2anc simprl
      wrex syl simprr simplrr remulcld simplrl mulassd oveq12d 1t1e1ALT 3eqtr3d
      oveq1d eqtrdi ax-1rid 3eqtr3rd eqtr4d remulcan2d mpbid mpdan rexlimddv )
      ACGUAZIJZKLZCBIJZKLZGMACMNZCOUBVNGMUMEACOBCIJZOAVRKOFKOUBZAUCUDUEACOLZPZV
      RBOIJZOWACOBIAVTQRWABMNZWBOLAWCVTDUFBUGUNUHUIGCUJUKAVLMNZVNPZPZVLHUAZIJZK
      LZVPHMWFWDVLOUBWIHMUMAWDVNULWFVLOVMOWFVMKOAWDVNUOZVSWFUCUDUEWFVLOLZPZVMCO
      IJZOWLVLOCIWFWKQRWLVQWMOLAVQWEWKESCUGUNUHUIHVLUJUKWFWGMNZWIPZPZBVLLZVPWPB
      WGIJZWHLWQWPWRKWHWPBVMIJZWGIJZBKIJZWGIJKWRWPWSXAWGIWPVMKBIAWDVNWOUPRVCWPV
      RVLIJZWGIJVRWHIJZWTKWPVRVLWGWPVRWPBCAWCWEWODSZAVQWEWOESZUQTWPVLAWDVNWOURZ
      TZWPWGWFWNWIULZTUSWPXBWSWGIWPBCVLWPBXDTWPCXETXGUSVCWPXCKKIJKWPVRKWHKIAVRK
      LWEWOFSWFWNWIUOZUTVAVDVBWPXABWGIWPWCXABLXDBVEUNVCVFXIVGWPBVLWGXDXFXHWPWGO
      WHOWPWHKOXIVSWPUCUDUEWPWGOLZPZWHVLOIJZOXKWGOVLIWPXJQRXKWDXLOLWPWDXJXFUFVL
      UGUNUHUIVHVIWPWQPZVOVMKXMBVLCIWPWQQRWFVNWOWQWJSUHVJVKVK $.
    $( $j usage 'remulinvcom' avoids 'ax-mulcom'; $)
  $}

  ${
    $d A x $.
    $( Commuted version of ~ ax-1rid without ~ ax-mulcom .  (Contributed by SN,
       5-Feb-2024.) $)
    remulid2 $p |- ( A e. RR -> ( 1 x. A ) = A ) $=
      ( vx cr wcel cc0 wceq c1 co wn wne df-ne wa ax-rrecex simpll recnd simprl
      cmul cv mulassd simprr oveq1d remulinvcom ax-1rid eqtrd 3eqtr3d rexlimddv
      oveq2d syl ex syl5bir 1re remul01 mp1i oveq2 id 3eqtr4d pm2.61d2 ) ACDZAE
      FZGAQHZAFZUSIAEJZURVAAEKURVBVAURVBLZABRZQHZGFZVABCBAMVCVDCDZVFLZLZVEAQHAV
      DAQHZQHZUTAVIAVDAVIAURVBVHNZOZVIVDVCVGVFPZOVMSVIVEGAQVCVGVFTZUAVIVKAGQHZA
      VIVJGAQVIAVDVLVNVOUBUGVIURVPAFVLAUCUHUDUEUFUIUJUSGEQHZEUTAGCDVQEFUSUKGULU
      MAEGQUNUSUOUPUQ $.
    $( $j usage 'remulid2' avoids 'ax-mulcom'; $)
  $}

  $( Lemma for ~ sn-mulid2 and ~ it1ei .  (Contributed by SN, 27-May-2024.) $)
  sn-1ticom $p |- ( 1 x. _i ) = ( _i x. 1 ) $=
    ( ci cmul co ax-icn mulcli mulassi oveq2i 3eqtr4i eqtri rei4 oveq1i 3eqtr3i
    c1 ) AABCZNBCZABCZAOBCZMABCAMBCPNNABCZBCZQNNAAADDEZTDFNANBCZBCAAUABCZBCSQAA
    UADDANDTEFRUANBAAADDDFGOUBABAANDDTFGHIOMABJKOMABJGL $.

  ${
    $d A x y $.
    $( ~ mulid2 without ~ ax-mulcom .  (Contributed by SN, 27-May-2024.) $)
    sn-mulid2 $p |- ( A e. CC -> ( 1 x. A ) = A ) $=
      ( vx vy cc wcel cv ci cmul co caddc wceq cr wrex recn adantr a1i remulid2
      c1 adantl mulassd cnre 1cnd ax-icn mulcld adddid sn-1ticom oveq1i oveq12d
      wa oveq2d 3eqtrd eqtr3d eqtrd oveq2 id eqeq12d syl5ibrcom rexlimivv syl )
      ADEABFZGCFZHIZJIZKZCLMBLMRAHIZAKZBCAUAVDVFBCLLUTLEZVALEZUIZVFVDRVCHIZVCKV
      IVJRUTHIZRVBHIZJIVCVIRUTVBVIUBZVGUTDEVHUTNOVIGVAGDEVIUCPZVHVADEVGVANSZUDU
      EVIVKUTVLVBJVGVKUTKVHUTQOVIRGHIZVAHIZVLVBVIRGVAVMVNVOTVIVQGRHIZVAHIZGRVAH
      IZHIVBVQVSKVIVPVRVAHUFUGPVIGRVAVNVMVOTVIVTVAGHVHVTVAKVGVAQSUJUKULUHUMVDVE
      VJAVCAVCRHUNVDUOUPUQURUS $.
    $( $j usage 'sn-mulid2' avoids 'ax-mulcom'; $)
  $}

  $( ` 1 ` is a multiplicative identity for ` _i ` (see ~ sn-mulid2 for
     commuted version).  (Contributed by SN, 1-Jun-2024.) $)
  it1ei $p |- ( _i x. 1 ) = _i $=
    ( c1 ci cmul co sn-1ticom cc wcel wceq ax-icn sn-mulid2 ax-mp eqtr3i ) ABCD
    ZBACDBEBFGMBHIBJKL $.

  $( The multiplicative inverse of ` _i ` (per ~ i4 ) is also its additive
     inverse.  (Contributed by SN, 30-Jun-2024.) $)
  ipiiie0 $p |- ( _i + ( _i x. ( _i x. _i ) ) ) = 0 $=
    ( ci co caddc c1 cc0 cresub it1ei eqcomi reixi oveq2i oveq12i ax-icn ax-1cn
    cmul cr wcel 1re rernegcl ax-mp recni adddii renegid sn-it0e0 eqtri 3eqtr2i
    wceq ) AAAANBZNBZCBADNBZAEDFBZNBZCBADUJCBZNBZEAUIUHUKCUIAGHUGUJANIJKADUJLMU
    JDOPZUJOPQDRSTUAUMAENBEULEANUNULEUFQDUBSJUCUDUE $.

  ${
    $d A x $.  $d B x $.  $d C x $.  $d ph x $.
    remulcand.1 $e |- ( ph -> A e. RR ) $.
    remulcand.2 $e |- ( ph -> B e. RR ) $.
    remulcand.3 $e |- ( ph -> C e. RR ) $.
    remulcand.4 $e |- ( ph -> C =/= 0 ) $.
    $( Commuted version of ~ remulcan2d without ~ ax-mulcom .  (Contributed by
       SN, 21-Feb-2024.) $)
    remulcand $p |- ( ph -> ( ( C x. A ) = ( C x. B ) <-> A = B ) ) $=
      ( vx cmul co wceq c1 cr wcel wa adantr recnd syl 3eqtr3d cv cc0 ax-rrecex
      wi wne wrex syl2anc simplr simpr remulinvcom ex w3a oveq2 3ad2ant3 oveq1d
      simp2 simp1r 3ad2ant1 simp1l mulassd remulid2 3exp syld rexlimddv impbid1
      impr ) ADBJKZDCJKZLZBCLZADIUAZJKMLZVIVJUDZINADNOZDUBUEVLINUFGHIDUCUGAVKNO
      ZVLVMAVOPZVLVKDJKZMLZVMVPVLVRVPVLPDVKVPVNVLAVNVOGQZQAVOVLUHVPVLUIUJUKVPVR
      VIVJVPVRVIULZVKVGJKZVKVHJKZBCVIVPWAWBLVRVGVHVKJUMUNVTVQBJKMBJKZWABVTVQMBJ
      VPVRVIUPZUOVTVKDBVTVKAVOVRVIUQRZVTDVPVRVNVIVSURRZVTBVTABNOZAVOVRVIUSZESZR
      UTVTWGWCBLWIBVASTVTVQCJKMCJKZWBCVTVQMCJWDUOVTVKDCWEWFVTCVTACNOZWHFSZRUTVT
      WKWJCLWLCVASTTVBVCVFVDBCDJUMVE $.
    $( $j usage 'remulcand' avoids 'ax-mulcom'; $)
  $}

  ${
    $d a b x y $.
    $( Lemma for ~ sn-mul02 .  Commuted version of ~ sn-it0e0 .  (Contributed
       by SN, 30-Jun-2024.) $)
    sn-0tie0 $p |- ( 0 x. _i ) = 0 $=
      ( cc0 ci cmul co wcel caddc wceq cr ax-icn wa syl a1i recnd eqtrdi oveq2d
      c1 eqtrd oveq1d mulassd ax-1cn va vb vx vy vz wrex 0cn mulcli cnre simplr
      cc cv wn cresub wne neqne adantl simplll rernegcl 1red readdcld ax-rrecex
      sylan 1cnd adddid oveq2i 0cnd mulcld renegid2 ad3antrrr simpllr sn-addid2
      it1ei addassd 3eqtr3d sn-mul01 eqtr3d oveq12d reixi 1re remulcld eqeltrrd
      ax-mp eqeltri remul02 ad2antrr addcld simprl simprr rexlimddv necon1d mpd
      renegid readdid2 readdid1 3eqtr3rd 0re oveq1i mulassi eqtr3i 3eqtr4d mp1i
      ex ax-1rid eqeq2i oveq2 adddii rei4 oveq12i 3eqtr3g readdcli df-2 sn-0ne2
      eqtri c2 necomi eqnetrri mp2an addcli addassi ipiiie0 3eqtr2i simpl simpr
      syl5eq remulid2 adantr 1t1e1ALT rexlimdvaa mpdan sylbi pm2.18da rexlimivv
      mpi mp2b ) ABCDZUKEZYPUAULZBUBULZCDZFDZGZUBHUFUAHUFYPAGZABUGIUHZUAUBYPUIU
      UBUUCUAUBHHYRHEZYSHEZJZUUBUUCUUGUUBJZUUCUUHUUCUMZJZYPPBPCDZFDZGZUUCUUJYPU
      UAUULUUGUUBUUIUJZUUJYRPYTUUKFUUJYRAYRUNDZPFDZFDZYRAFDZPYRUUJUUPAYRFUUJYPA
      UOZUUPAGUUIUUSUUHYPAUPUQZUUJUUPAYPAUUJUUPAUOZUUCUUJUVAJZUUPUCULZCDZPGZUUC
      UCHUUJUUPHEUVAUVEUCHUFUUJUUOPUUJUUEUUOHEZUUEUUFUUBUUIURZYRUSKZUUJUTZVAUCU
      UPVBVCUVBUVCHEZUVEJZJZABUUPCDZCDZUVCCDZAUVCCDZYPAUVLUVNAUVCCUUJUVNAGUVAUV
      KUUJUVNABUUOCDZCDZYPFDZAUUJUVNAUVQBFDZCDUVSUUJUVMUVTACUUJUVMUVQUUKFDUVTUU
      JBUUOPBUKEZUUJILZUUJUUOUVHMZUUJVDZVEUUKBUVQFVMVFNOUUJAUVQBUUJVGZUUJBUUOUW
      BUWCVHUWBVEQUUJYPUUOYPFDZCDZYPYTCDZUVSAUUJUWFYTYPCUUJUWFUUOUUAFDZYTUUJYPU
      UAUUOFUUNOUUJUUOYRFDZYTFDAYTFDZUWIYTUUJUWJAYTFUUEUWJAGUUFUUBUUIYRVIVJRUUJ
      UUOYRYTUWCUUJYRUVGMZUUJBYSUWBUUJYSUUEUUFUUBUUIVKZMZVHZVNUUJYTUKEUWKYTGUWO
      YTVLKVOQOUUJUWGYPUUOCDZYPYPCDZFDUVSUUJYPUUOYPYQUUJUUDLZUWCUWRVEUUJUWPUVRU
      WQYPFUUJABUUOUWEUWBUWCSUUJYPACDZBCDUWQYPUUJYPABUWRUWEUWBSUUJUWSABCUUJYQUW
      SAGUWRYPVPKRVQVRQUUJUWHABYTCDZCDZAUUJABYTUWEUWBUWOSUUJUWTHEUXAAGUUJBBCDZY
      SCDUWTHUUJBBYSUWBUWBUWNSUUJUXBYSUXBHEUUJUXBAPUNDZHVSPHEZUXCHEVTPUSWCWDLUW
      MWAWBUWTWEKQVOQWFRUVLUVOAUVMUVCCDZCDYPUVLAUVMUVCUVLVGUVLBUUPUWAUVLILZUVLU
      UOPUVLUUOUUJUVFUVAUVKUVHWFMUVLVDWGZVHUVLUVCUVBUVJUVEWHZMZSUVLUXEBACUVLUXE
      BUVDCDZBUVLBUUPUVCUXFUXGUXISUVLUXJUUKBUVLUVDPBCUVBUVJUVEWIOVMNQOQUVLUVJUV
      PAGUXHUVCWEKVOWJXCWKWLOUUJYRUUOFDZPFDZUUQPUUJYRUUOPUWLUWCUWDVNUUJUXLAPFDZ
      PUUJUXKAPFUUJUUEUXKAGUVGYRWMKRUXDUXMPGVTPWNWCZNVQUUJUUEUURYRGUVGYRWOKWPZU
      UJYSPBCUUJPAYSUNDZFDZYSFDZAYSFDZPYSUUJUXQAYSFUUJUUSUXQAGUUTUUJUXQAYPAUUJU
      XQAUOZUUCUUJUXTJZUXQUDULZCDZPGZUUCUDHUUJUXQHEUXTUYDUDHUFUUJPUXPUVIUUJUUFU
      XPHEUWMYSUSKZVAUDUXQVBVCUYAUYBHEZUYDJZJZABUXQCDZCDZUYBCDZAUYBCDZYPAUYHUYJ
      AUYBCUUJUYJAGUXTUYGUUJUYJAPCDZAUUJUYJAYPBUXPCDZFDZCDZUYMUUJABUYNFDZCDZAYP
      CDZAUYNCDZFDZUYJUYPUUJUYRYPUYTFDVUAUUJABUYNUWEUWBUUJBUXPUWBUUJUXPUYEMZVHZ
      VEUUJYPUYSUYTFYPUYSGUUJAACDZBCDZYPUYSVUDABCAHEZVUDAGWQAWEWCWRZAABUGUGIWSZ
      WTLRQUUJUYIUYQACUUJUYIUUKUYNFDUYQUUJBPUXPUWBUWDVUBVEUUJUUKBUYNFUUKBGUUJVM
      LRQOUUJAYPUYNUWEUWRVUCVEXAUUJUYOPACUUJUYOPYTFDZUYNFDZPUUJYPVUIUYNFUUJYPUU
      AVUIUUNUUJYRPYTFUXORQRUUJVUJPYTUYNFDZFDZPUUJPYTUYNUWDUWOVUCVNUUJVULPAFDZP
      UUJVUKAPFUUJBYSUXPFDZCDBACDZVUKAUUJVUNABCUUJUUFVUNAGUWMYSWMKOUUJBYSUXPUWB
      UWNVUBVEUWAVUOAGUUJIBVPXBVOOUXDVUMPGVTPWOWCZNQQOQVUFUYMAGWQAXDWCZNWFRUYHU
      YKAUYIUYBCDZCDYPUYHAUYIUYBUYHVGUYHBUXQUWAUYHILZUYHPUXPUYHVDUUJUXPUKEUXTUY
      GVUBWFWGZVHUYHUYBUYAUYFUYDWHZMZSUYHVURBACUYHVURBUYCCDZBUYHBUXQUYBVUSVUTVV
      BSUYHVVCUUKBUYHUYCPBCUYAUYFUYDWIOVMNQOQUYHUYFUYLAGVVAUYBWEKVOWJXCWKWLRUUJ
      UXRPUXPYSFDZFDZPUUJPUXPYSUWDVUBUWNVNUUJVVEVUMPUUJVVDAPFUUJUUFVVDAGUWMYSVI
      KOVUPNQUUJUUFUXSYSGUWMYSWNKWPOVRQUUMYPPGZUUCUUMYPPBFDZGZVVFUULVVGYPUUKBPF
      VMVFXEVVHYPUXBBCDZPFDZGZVVFVVHVVIYPCDZVVIVVGCDZYPVVJYPVVGVVICXFVVIACDZBCD
      VVLYPVVIABUXBBBBIIUHZIUHZUGIWSVVNABCVVIUKEVVNAGVVPVVIVPWCWRWTVVMVVIPCDZVV
      IBCDZFDVVJVVIPBVVPTIXGVVQVVIVVRPFVVQUXBUUKCDVVIUXBBPVVOITWSUUKBUXBCVMVFXN
      VVRUXBUXBCDPUXBBBVVOIIWSXHXNXIXNXJVVHVVKJZPPFDZUEULZCDZPGZUEHUFZVVFVVTHEZ
      VVTAUOVWDPPVTVTXKZXOVVTAXLAXOXMXPXQUEVVTVBXRVVSVWCVVFUEHVVSVWAHEZVWCJZJZY
      PVVTCDZVWACDZPVVTCDZVWACDZYPPVVSVWKVWMGVWHVVSVWJVWLVWACVVSVVGVVJFDZVVTVWJ
      VWLVWNVVTGVVSVWNPBVVJFDZFDPBVVIFDZPFDZFDVVTPBVVJTIVVIPVVPTXSXTVWQVWOPFBVV
      IPIVVPTXTVFVWQPPFVWQUXMPVWPAPFVWPBBUXBCDZFDAVVIVWRBFBBBIIIWSVFYAXNWRUXNXN
      VFYBLVVSVWJYPPCDZVWSFDVWNYPPPUUDTTXGVVSVWSVVGVWSVVJFVVSVWSYPVVGVWSAUUKCDY
      PABPUGITWSUUKBACVMVFXNZVVHVVKYCYEVVSVWSYPVVJVWTVVHVVKYDYEVRYEVWEVWLVVTGVV
      SVWFVVTYFXBXARYGVWIVWKYPVWBCDZYPVWIYPVVTVWAYQVWIUUDLVWIPPVWIVDZVXBWGZVWIV
      WAVVSVWGVWCWHMZSVWIVXAVWSYPVWIVWBPYPCVVSVWGVWCWIZOVWTNQVWIVWMPVWBCDZPVWIP
      VVTVWAVXBVXCVXDSVWIVXFPPCDPVWIVWBPPCVXEOYHNQVOYIYNYJYKVVFUYSUYMYPAYPPACXF
      VUEUYSYPVUHVUGWTVUQXJKKYLXCYMYO $.
  $}

  ${
    $d A x y $.
    $( ~ mul02 without ~ ax-mulcom .  See
       ~ https://github.com/icecream17/Stuff/blob/main/math/0A%3D0.md for an
       outline.  (Contributed by SN, 30-Jun-2024.) $)
    sn-mul02 $p |- ( A e. CC -> ( 0 x. A ) = 0 ) $=
      ( vx vy cc wcel cv ci cmul co caddc wceq wrex cc0 cnre recn adantr adantl
      cr wa remul02 0cnd ax-icn mulcld sn-0tie0 mulassd 3eqtr3a oveq12d sn-00id
      a1i adddid oveq1i eqtrdi eqtrd oveq2 eqeq1d syl5ibrcom rexlimivv syl ) AD
      EABFZGCFZHIZJIZKZCRLBRLMAHIZMKZBCANVCVEBCRRUSREZUTREZSZVEVCMVBHIZMKVHVIMU
      SHIZMVAHIZJIZMVHMUSVAVHUAZVFUSDEVGUSOPVHGUTGDEVHUBUIZVGUTDEVFUTOQZUCUJVHV
      LMMJIMVHVJMVKMJVFVJMKVGUSTPVHMGHIZUTHIMUTHIZVKMVPMUTHUDUKVHMGUTVMVNVOUEVG
      VQMKVFUTTQUFUGUHULUMVCVDVIMAVBMHUNUOUPUQUR $.
    $( $j usage 'sn-mul02' avoids 'ax-mulcom'; $)
  $}

  $( ~ ltaddpos without ~ ax-mulcom .  (Contributed by SN, 13-Feb-2024.) $)
  sn-ltaddpos $p |-
                   ( ( A e. RR /\ B e. RR ) -> ( 0 < A <-> B < ( B + A ) ) ) $=
    ( cr wcel wa cc0 clt wbr caddc co wb 0re ltadd2 mp3an1 wceq readdid1 adantl
    breq1d bitrd ) ACDZBCDZEZFAGHZBFIJZBAIJZGHZBUEGHFCDTUAUCUFKLFABMNUBUDBUEGUA
    UDBOTBPQRS $.
  $( $j usage 'sn-ltaddpos' avoids 'ax-mulcom'; $)

  $( Comparison of two numbers whose difference is positive.  Compare
     ~ posdif .  (Contributed by SN, 13-Feb-2024.) $)
  reposdif $p |- ( ( A e. RR /\ B e. RR ) -> ( A < B <-> 0 < ( B -R A ) ) ) $=
    ( cr wcel wa clt wbr cresub co cc0 wb reltsub1 3anidm13 wceq resubid adantr
    breq1d bitrd ) ACDZBCDZEZABFGZAAHIZBAHIZFGZJUDFGSTUBUEKABALMUAUCJUDFSUCJNTA
    OPQR $.

  $( Comparison of a real and its negative to zero.  Compare ~ lt0neg1 .
     (Contributed by SN, 13-Feb-2024.) $)
  relt0neg1 $p |- ( A e. RR -> ( A < 0 <-> 0 < ( 0 -R A ) ) ) $=
    ( cr wcel cc0 clt wbr cresub co wb 0re reposdif mpan2 ) ABCDBCADEFDDAGHEFIJ
    ADKL $.

  $( Comparison of a real and its negative to zero.  Compare ~ lt0neg2 .
     (Contributed by SN, 13-Feb-2024.) $)
  relt0neg2 $p |- ( A e. RR -> ( 0 < A <-> ( 0 -R A ) < 0 ) ) $=
    ( cr wcel cc0 clt wbr cresub co wb elre0re id reltsub1 syl3anc breq2d bitrd
    resubid ) ABCZDAEFZDAGHZAAGHZEFZSDEFQDBCQQRUAIAJQKZUBDAALMQTDSEAPNO $.

  ${
    mulgt0con1dlem.a $e |- ( ph -> A e. RR ) $.
    mulgt0con1dlem.b $e |- ( ph -> B e. RR ) $.
    mulgt0con1dlem.1 $e |- ( ph -> ( 0 < A -> 0 < B ) ) $.
    mulgt0con1dlem.2 $e |- ( ph -> ( A = 0 -> B = 0 ) ) $.
    $( Lemma for ~ mulgt0con1d .  Contraposes a positive deduction to a
       negative deduction.  (Contributed by SN, 26-Jun-2024.) $)
    mulgt0con1dlem $p |- ( ph -> ( B < 0 -> A < 0 ) ) $=
      ( cc0 clt wbr wceq wo wn 0red lttrid orim12d con3d sylibrd sylbid ) ACHIJ
      CHKZHCIJZLZMZBHIJZACHEANZOAUCBHKZHBIJZLZMUDAUHUBAUFTUGUAGFPQABHDUEORS $.
  $}

  ${
    mulgt0con1d.a $e |- ( ph -> A e. RR ) $.
    mulgt0con1d.b $e |- ( ph -> B e. RR ) $.
    mulgt0con1d.1 $e |- ( ph -> 0 < B ) $.
    mulgt0con1d.2 $e |- ( ph -> ( A x. B ) < 0 ) $.
    $( Counterpart to ~ mulgt0con2d , though not a lemma of anything.  This is
       the first use of ~ ax-pre-mulgt0 .  (Contributed by SN, 26-Jun-2024.) $)
    mulgt0con1d $p |- ( ph -> A < 0 ) $=
      ( cmul co cc0 clt wbr remulcld wa cr wcel adantr simpr mulgt0d wceq oveq1
      ex remul02 syl eqeq1d syl5ibrcom mulgt0con1dlem mpd ) ABCHIZJKLBJKLGABUID
      ABCDEMAJBKLZJUIKLAUJNBCABOPUJDQACOPZUJEQAUJRAJCKLUJFQSUBAUIJTBJTZJCHIZJTZ
      AUKUNECUCUDULUIUMJBJCHUAUEUFUGUH $.
  $}

  ${
    mulgt0con2d.a $e |- ( ph -> A e. RR ) $.
    mulgt0con2d.b $e |- ( ph -> B e. RR ) $.
    mulgt0con2d.1 $e |- ( ph -> 0 < A ) $.
    mulgt0con2d.2 $e |- ( ph -> ( A x. B ) < 0 ) $.
    $( Lemma for ~ mulgt0b2d and contrapositive of ~ mulgt0 .  (Contributed by
       SN, 26-Jun-2024.) $)
    mulgt0con2d $p |- ( ph -> B < 0 ) $=
      ( cmul co cc0 clt wbr remulcld wa cr wcel adantr simpr mulgt0d wceq oveq2
      ex remul01 syl eqeq1d syl5ibrcom mulgt0con1dlem mpd ) ABCHIZJKLCJKLGACUIE
      ABCDEMAJCKLZJUIKLAUJNBCABOPZUJDQACOPUJEQAJBKLUJFQAUJRSUBAUIJTCJTZBJHIZJTZ
      AUKUNDBUCUDULUIUMJCJBHUAUEUFUGUH $.
  $}

  ${
    mulgt0b2d.a $e |- ( ph -> A e. RR ) $.
    mulgt0b2d.b $e |- ( ph -> B e. RR ) $.
    mulgt0b2d.1 $e |- ( ph -> 0 < A ) $.
    $( Biconditional, deductive form of ~ mulgt0 .  The second factor is
       positive iff the product is.  Note that the commuted form cannot be
       proven since ~ resubdi does not have a commuted form.  (Contributed by
       SN, 26-Jun-2024.) $)
    mulgt0b2d $p |- ( ph -> ( 0 < B <-> 0 < ( A x. B ) ) ) $=
      ( cc0 clt wbr cmul co cr wcel adantr c1 cresub recnd breq1d syl wceq mp1i
      wa simpr mulgt0d ex 1re rernegcl remulcld biimpa mulgt0con2d wb relt0neg2
      mulassd 0red resubdi syl3anc remul01 ax-1rid oveq12d eqtrd bitr4d 3imtr4d
      1red impbid ) AGCHIZGBCJKZHIZAVEVGAVEUBBCABLMZVEDNACLMZVEENAGBHIZVEFNAVEU
      CUDUEAVFGOPKZJKZGHIZCVKJKZGHIZVGVEAVMVOAVMUBBVNAVHVMDNAVNLMVMACVKEOLMZVKL
      MAUFOUGUAZUHNAVJVMFNAVMBVNJKZGHIAVLVRGHABCVKABDQACEQAVKVQQUMRUIUJUEAVGGVF
      PKZGHIZVMAVFLMZVGVTUKABCDEUHZVFULSAVLVSGHAVLVFGJKZVFOJKZPKZVSAWAGLMZVPVLW
      ETWBAUNZAVCZVFGOUOUPAWAWEVSTWBWAWCGWDVFPVFUQVFURUSSUTRVAAVEGCPKZGHIZVOAVI
      VEWJUKECULSAVNWIGHAVNCGJKZCOJKZPKZWIAVIWFVPVNWMTEWGWHCGOUOUPAVIWMWITEVIWK
      GWLCPCUQCURUSSUTRVAVBVD $.
  $}

  ${
    sn-ltmul2d.a $e |- ( ph -> A e. RR ) $.
    sn-ltmul2d.b $e |- ( ph -> B e. RR ) $.
    sn-ltmul2d.c $e |- ( ph -> C e. RR ) $.
    sn-ltmul2d.1 $e |- ( ph -> 0 < C ) $.
    $( ~ ltmul2d without ~ ax-mulcom .  (Contributed by SN, 26-Jun-2024.) $)
    sn-ltmul2d $p |- ( ph -> ( ( C x. A ) < ( C x. B ) <-> A < B ) ) $=
      ( cc0 cmul co cresub clt wbr cr wcel syl2anc wb remulcld reposdif resubdi
      rersubcl mulgt0b2d wceq syl3anc breq2d bitr2d 3bitr4d ) AIDCJKZDBJKZLKZMN
      ZICBLKZMNZUJUIMNZBCMNZAUNIDUMJKZMNULADUMGACOPZBOPZUMOPFECBUBQHUCAUQUKIMAD
      OPURUSUQUKUDGFEDCBUAUEUFUGAUJOPUIOPUOULRADBGESADCGFSUJUITQAUSURUPUNREFBCT
      QUH $.
    $( $j usage 'sn-ltmul2d' avoids 'ax-mulcom'; $)
  $}

  $( ~ 0lt1 without ~ ax-mulcom .  (Contributed by SN, 13-Feb-2024.) $)
  sn-0lt1 $p |- 0 < 1 $=
    ( c1 cc0 clt wbr wo wne ax-1ne0 1re 0re lttri2i mpbi cresub co cmul cr wcel
    rernegcl ax-mp a1i wceq wb relt0neg1 biimpi mulgt0d resubdi remul01 ax-1rid
    mp3an oveq12i renegneg 3eqtri breqtrdi id jaoi ) ABCDZBACDZEZUPABFUQGABHIJK
    UOUPUPUOBBALMZURNMZACUOURURUROPZUOAOPZUTHAQRZSZVCUOBURCDZVAUOVDUAHAUBRUCZVE
    UDUSURBNMZURANMZLMZBURLMZAUTBOPVAUSVHTVBIHURBAUEUHVFBVGURLUTVFBTVBURUFRUTVG
    URTVBURUGRUIVAVIATHAUJRUKULUPUMUNR $.
  $( $j usage 'sn-0lt1' avoids 'ax-mulcom'; $)

  $( ~ ltp1 without ~ ax-mulcom .  (Contributed by SN, 13-Feb-2024.) $)
  sn-ltp1 $p |- ( A e. RR -> A < ( A + 1 ) ) $=
    ( c1 cr wcel caddc co clt wbr 1re wa cc0 sn-0lt1 sn-ltaddpos mpbii mpan ) B
    CDZACDZAABEFGHZIPQJKBGHRLBAMNO $.
  $( $j usage 'sn-ltp1' avoids 'ax-mulcom'; $)

  $(
    If this could be proved, then it would prove ~ arch .  However, proving
    ~ reltm1 from ~ sn-ltp1 is non-trivial, since the statement corresponds to
    ` 1 + A ` instead of ` A + 1 ` .  Specifically, we can show
    ` ( A -R 1 ) = ( 0 -R 1 ) + A ` , but we can only prove
    ` ( A e. RR -> A + ( 0 -R 1 ) < A ) ` .

    @( A number minus 1 is less than itself.  Compare ~ ltm1 . @)
    reltm1 $p |- ( A e. RR -> ( A -R 1 ) < A ) $=
      ? $.

    Of course, there are still further barriers if ~ arch is provable.  In the
    current proof of ~ ax-mulcom from ~ arch
    ~ https://github.com/metamath/set.mm/pull/3792#issuecomment-1910092517 we
    also need to commute ~ sn-ltmul2d and show that the inverse of a natural
    number (additively) commutes with all reals.
  $)

  $( Lemma for ~ sn-inelr .  (Contributed by SN, 1-Jun-2024.) $)
  reneg1lt0 $p |- ( 0 -R 1 ) < 0 $=
    ( cc0 c1 clt wbr cresub co sn-0lt1 cr wcel wb 1re relt0neg2 ax-mp mpbi ) AB
    CDZABEFACDZGBHIOPJKBLMN $.

  $( ~ inelr without ~ ax-mulcom .  (Contributed by SN, 1-Jun-2024.) $)
  sn-inelr $p |- -. _i e. RR $=
    ( ci cr wcel cc0 clt wbr wceq 0re wn c1 cresub co 1re ax-mp wa anidms caddc
    cmul ax-icn a1i w3o lttri4 mpan2 reneg1lt0 rernegcl ltnsymi relt0neg1 sylan
    mulgt0 elre0re resubdi syl3anc remul01 syl remulcld ipiiie0 renegadd mpbiri
    wb id mpdan oveq1d mulassi oveq1i mulcli eqtr3i 3eqtrd oveq12d eqtrd breq2d
    rei4 adantr mpbid ex sylbid mtoi 0ne1 oveq12 ax-i2m1 remul02 readdid2 eqtri
    neii 3eqtr3g mto reixi breqtrdi 3ioran syl3anbrc pm2.65i ) ABCZADEFZADGZDAE
    FZUAZWKDBCZWOHADUBUCWKWLIWMIZWNIWOIWKWLDDJKLZEFZWRDEFWSIUDWRDJBCZWRBCMJUENH
    UFNZWKWLDDAKLZEFZWSAUGWKXCWSWKXCODXBXBRLZEFZWSWKXBBCZXCXEAUEZXFXCOXEXBXBUIP
    UHWKXEWSUSXCWKXDWRDEWKXDXBDRLZXBARLZKLZWRWKXFWPWKXDXJGXGAUJWKUTZXBDAUKULWKX
    HDXIJKWKXFXHDGXGXBUMUNWKXIAAARLZRLZARLZXLXLRLZJWKXBXMARWKXMBCZXBXMGZWKAXLXK
    WKAAXKXKUOUOWKXPOXQAXMQLDGUPAXMUQURVAVBXNXOGWKXLARLZARLXNXOXRXMARAAASSSVCVD
    XLAAAASSVESSVCVFTXOJGWKVKTVGVHVIVJVLVMVNVOVPWQWKWMDJGDJVQWCWMXLJQLDDRLZJQLZ
    DJWMXLXSJQWMXLXSGADADRVRPVBVSXTDJQLZJXSDJQWPXSDGHDVTNVDWTYAJGMJWANWBWDWETWK
    WNWSXAWKWNWSWKWNOZDXLWREYBDXLEFAAUIPWFWGVNVPWLWMWNWHWIWJ $.
  $( $j usage 'sn-inelr' avoids 'ax-mulcom'; $)

  ${
    $d R x $.
    $( ` _i ` times a real is real iff the real is zero.  (Contributed by SN,
       27-Jun-2024.) $)
    itrere $p |- ( R e. RR -> ( ( _i x. R ) e. RR <-> R = 0 ) ) $=
      ( vx cr wcel ci cmul co cc0 wceq wne wn wa cv c1 ax-rrecex sn-inelr recnd
      cc a1i ex ax-icn simplll simplrl mulassd simplrr oveq2d remulcld eqeltrrd
      it1ei 3eqtrd simpr rexlimddv necon4ad oveq2 sn-it0e0 0re eqeltri eqeltrdi
      mtoi impbid1 ) ACDZEAFGZCDZAHIZVAVCAHVAAHJZVCKZVAVELZABMZFGZNIZVFBCBAOVGV
      HCDZVJLZLZVCECDZPVMVCVNVMVCLZVBVHFGZECVOVPEVIFGENFGZEVOEAVHERDVOUASVOAVAV
      EVLVCUBQVOVHVGVKVJVCUCZQUDVOVINEFVGVKVJVCUEUFVQEIVOUISUJVOVBVHVMVCUKVRUGU
      HTUSULTUMVDVBEHFGZCAHEFUNVSHCUOUPUQURUT $.

    $( Commuted version of ~ itrere .  (Contributed by SN, 27-Jun-2024.) $)
    retire $p |- ( R e. RR -> ( ( R x. _i ) e. RR <-> R = 0 ) ) $=
      ( vx cr wcel ci cmul co cc0 wceq wne wn wa cv c1 ax-rrecex sn-inelr recnd
      simplll a1i ex simplrl simplrr remulinvcom oveq1d cc ax-icn mulassd it1ei
      sn-1ticom eqtri simpr remulcld eqeltrrd rexlimddv necon4ad oveq1 sn-0tie0
      3eqtr3d mtoi 0re eqeltri eqeltrdi impbid1 ) ACDZAEFGZCDZAHIZVDVFAHVDAHJZV
      FKZVDVHLZABMZFGNIZVIBCBAOVJVKCDZVLLZLZVFECDZPVOVFVPVOVFLZVKVEFGZECVQVKAFG
      ZEFGNEFGZVREVQVSNEFVQAVKVDVHVNVFRZVJVMVLVFUAZVJVMVLVFUBUCUDVQVKAEVQVKWBQV
      QAWAQEUEDVQUFSUGVTEIVQVTENFGEUIUHUJSURVQVKVEWBVOVFUKULUMTUSUNTUOVGVEHEFGZ
      CAHEFUPWCHCUQUTVAVBVC $.
  $}

  ${
    cnreeu.r $e |- ( ph -> r e. RR ) $.
    cnreeu.s $e |- ( ph -> s e. RR ) $.
    cnreeu.t $e |- ( ph -> t e. RR ) $.
    cnreeu.u $e |- ( ph -> u e. RR ) $.
    $( The reals in the expression given by ~ cnre uniquely define a complex
       number.  (Contributed by SN, 27-Jun-2024.) $)
    cnreeu $p |- ( ph ->
      ( ( r + ( _i x. s ) ) = ( t + ( _i x. u ) ) <-> ( r = t /\ s = u ) ) ) $=
      ( ci cmul co caddc wceq cc0 oveq2d wcel cr syl adantr cv weq cresub oveq1
      recnd ax-icn a1i mulcld rernegcl addassd renegid adddid sn-it0e0 readdid1
      wa 3eqtr3d 3eqtrd oveq1d sn-addid2 renegid2 3eqtr4d addcld eqeq12d biimpa
      cc 3eqtr3rd simpr readdcld eqeltrrd itrere syl2anc adantl readdid2 syldan
      oveq2 sylan9req eqtr2d jca ex syl5 id oveqan12d impbid1 ) AEUAZJDUAZKLZML
      ZCUAZJBUAZKLZMLZNZECUBZDBUBZUOZWLOWHUCLZWGJOWEUCLZKLZMLZMLZWPWKWRMLZMLZNZ
      AWOWLWSXAWPMWGWKWRMUDPAXCWOAXCWPWDMLZJWIWQMLZKLZNZWOAXCXGAWTXDXBXFAWSWDWP
      MAWSWDWFWRMLZMLWDOMLZWDAWDWFWRAWDFUEZAJWEJVEQAUFUGZAWEGUEZUHAJWQXKAWQAWER
      QZWQRQZGWEUISZUEZUHZUJAXHOWDMAJWEWQMLZKLJOKLZXHOAXROJKAXMXRONGWEUKSPAJWEW
      QXKXLXPULXSONZAUMUGUPPAWDRQZXIWDNFWDUNSUQPAWPWHMLZWJMLZWRMLZWPWKMLZWRMLXF
      XBAYCYEWRMAWPWHWJAWPAWHRQZWPRQZHWHUISZUEZAWHHUEZAJWIXKAWIIUEZUHZUJURAOWJM
      LZWRMLWJWRMLYDXFAYMWJWRMAWJVEQYMWJNYLWJUSSURAYCYMWRMAYBOWJMAYFYBONHWHUTSU
      RURAJWIWQXKYKXPULVAAWPWKWRYIAWHWJYJYLVBXQUJVFVCVDAXGUOZWMWNAXGXDONZWMYNXD
      XFXSOAXGVGZYNXEOJKYNXERQZXFRQZXEONZYNWIWQAWIRQZXGITAXNXGXOTVHYNXDXFRYPYNW
      PWDAYGXGYHTAYAXGFTVHVIYQYRYSXEVJVDVKZPXTYNUMUGUQAYOUOZWHXDMLZWHOMLZWDWHYO
      UUCUUDNAXDOWHMVOVLUUBWHWPMLZWDMLOWDMLZUUCWDUUBUUEOWDMAUUEONZYOAYFUUGHWHUK
      STURUUBWHWPWDAWHVEQYOYJTAWPVEQYOYITAWDVEQYOXJTUJAUUFWDNZYOAYAUUHFWDVMSTUP
      UUBYFUUDWHNAYFYOHTWHUNSUPVNAXGYSWNUUAAYSUOWIOWEMLZWEAYSWIXEWEMLZUUIAUUJWI
      WQWEMLZMLWIOMLZWIAWIWQWEYKXPXLUJAUUKOWIMAXMUUKONGWEUTSPAYTUULWINIWIUNSUQX
      EOWEMUDVPAUUIWENZYSAXMUUMGWEVMSTVQVNVRVNVSVTWMWNWDWHWFWJMWMWAWEWIJKVOWBWC
      $.
  $}

  ${
    $d x y z A $.
    $( ~ sup2 with exactly the same proof except for using ~ sn-ltp1 instead of
       ~ ltp1 , saving ~ ax-mulcom .  (Contributed by SN, 26-Jun-2024.) $)
    sn-sup2 $p |- ( ( A C_ RR /\ A =/= (/) /\
                  E. x e. RR A. y e. A ( y < x \/ y = x ) ) ->
               E. x e. RR ( A. y e. A -. x < y /\
                  A. y e. RR ( y < x -> E. z e. A y < z ) ) ) $=
      ( cr cv clt wbr wceq wral wrex w3a wi wa wcel wex c1 caddc adantr imp wss
      c0 wne wo wn co peano2re a1i ssel sn-ltp1 ancli lttr 3expb sylan2 sylan2i
      exp4b com34 pm2.43d breq1 syl5ibrcom adantl jaod ex syl6 ralimdv2 expimpd
      com23 jcad ovex eleq1 breq2 ralbidv anbi12d exlimdv cbvexvw syl6ib df-rex
      a2d spcev 3imtr4g imdistani df-3an 3imtr4i axsup syl ) DEUAZDUBUCZBFZAFZG
      HZWHWIIZUDZBDJZAEKZLZWFWGWJBDJZAEKZLZWIWHGHUEBDJWJWHCFZGHZCDKMBEJNAEKWFWG
      NZWNNXAWQNWOWRXAWNWQWFWNWQMWGWFWIEOZWMNZAPZXBWPNZAPZWNWQWFXDWSEOZWTBDJZNZ
      CPZXFWFXCXJAWFXCWIQRUFZEOZWHXKGHZBDJZNZXJWFXCXLXNXCXLMWFXBXLWMWIUGZSUHWFX
      BWMXNWFXBNZWLXMBDDXQWHDOZWLXMWFXBXRWLXMMZMWFXRXBXSWFXRWHEOZXBXSMDEWHUIXTX
      BXSXTXBNZWJXMWKXTXBWJXMMZXTXBYBXTXBWJXBXMXTXBWJXBXMXBYAWJWIXKGHZXMWIUJZXB
      XTXBXLNWJYCNXMMZXBXLXPUKXTXBXLYEWHWIXKULUMUNUOUPUQURTXBWKXMMXTXBXMWKYCYDW
      HWIXKGUSUTVAVBVCVDVGTVRVEVFVHXIXOCXKWIQRVIWSXKIZXGXLXHXNWSXKEVJYFWTXMBDWS
      XKWHGVKVLVMVSVDVNXIXECAWSWIIZXGXBXHWPWSWIEVJYGWTWJBDWSWIWHGVKVLVMVOVPWMAE
      VQWPAEVQVTSWAWFWGWNWBWFWGWQWBWCABCDWDWE $.
    $( $j usage 'sn-sup2' avoids 'ax-mulcom'; $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Projective spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Looking at a corner in 3D space, one can see three right angles.  It is
  impossible to draw three lines in 2D space such that any two of these lines
  are perpendicular, but a good enough representation is made by casting lines
  from the 2D surface.  Points along the same cast line are collapsed into one
  point on the 2D surface.

  In many cases, the 2D surface is smaller than whatever needs to be
  represented.  If the lines cast were perpendicular to the 2D surface, then
  only areas as small as the 2D surface could be represented.  To fix this,
  the lines need to get further apart as they go farther from the 2D surface.
  On the other side of the 2D surface the lines will get closer together and
  intersect at a point.  (Because it's defined that way).

  From this perspective, two parallel lines in 3D space will be represented by
  two lines that seem to intersect at a point "at infinity".  Considering all
  maximal classes of parallel lines on a 2D plane in 3D space, these classes
  will all appear to intersect at different points at infinity, forming a
  _line at infinity_.  Therefore the _real projective plane_ can be thought of
  as the real _affine_ plane together with the line at infinity.

  The projective plane takes care of some exceptions that may be found in the
  affine plane.  For example, consider the curve that is the zeroes of
  ` y = x ^ 2 ` .  Any line connecting the point (0, 1) to the x-axis
  intersects with the curve twice, except for the vertical line between (0, 1)
  and (0, 0).  In the projective plane, the curve becomes an ellipse and there
  is no exception.

  While it may not seem like it, points at infinity and points corresponding to
  the affine plane are the same type of point.  Consider a line going through
  the origin in 3D (affine) space.  Either it intersects the plane ` z = 1 `
  once, or it is entirely within the plane ` z = 0 ` .  If it is entirely
  within the plane ` z = 0 ` , then it corresponds to the point at infinity
  intersecting all lines on the plane ` z = 1 ` with the same slope.  Else it
  corresponds to the point in the 2D plane ` z = 1 ` that it intersects.  So
  there is a bijection between 3D lines through the origin and points on the
  real projective plane.

  The concept of projective spaces generalizes the projective plane to any
  dimension.

$)

  $c PrjSp $.

  $( Extend class notation with the projective space function. $)
  cprjsp $a class PrjSp $.

  ${
    $d v b x y l $.
    $( Define the projective space function.  In the bijection between 3D lines
       through the origin and points in the projective plane (see section
       comment), this is equivalent to making any two 3D points (excluding the
       origin) equivalent iff one is a multiple of another.  This definition
       does not quite give all the properties needed, since the scalars of a
       left vector space can be "less dense" than the vectors (for example,
       equivocating rational multiples of real numbers).  Compare
       ~ df-lsatoms .  (Contributed by BJ and SN, 29-Apr-2023.) $)
    df-prjsp $a |- PrjSp = ( v e. LVec |->
      [_ ( ( Base ` v ) \ { ( 0g ` v ) } ) / b ]_ (
        b /. { <. x , y >. | ( ( x e. b /\ y e. b ) /\
        E. l e. ( Base ` ( Scalar ` v ) ) x = ( l ( .s ` v ) y ) ) } ) ) $.
  $}

  ${
    $d b l v x y V $.  $d b v B $.  $d b v .x. $.  $d b v K $.
    prjspval.b $e |- B = ( ( Base ` V ) \ { ( 0g ` V ) } ) $.
    prjspval.x $e |- .x. = ( .s ` V ) $.
    prjspval.s $e |- S = ( Scalar ` V ) $.
    prjspval.k $e |- K = ( Base ` S ) $.
    $( Value of the projective space function, which is also known as the
       projectivization of ` V ` .  (Contributed by Steven Nguyen,
       29-Apr-2023.) $)
    prjspval $p |- ( V e. LVec -> ( PrjSp ` V ) = ( B /.
      { <. x , y >. | ( ( x e. B /\ y e. B ) /\ E. l e. K x = ( l .x. y ) ) }
      ) ) $=
      ( vb cv cbs cfv wa wceq fveq2 eqtr4di vv c0g csn cdif wel cvsca csca wrex
      copab cqs csb wcel clvec cprjsp cvv fvex difexi a1i sneqd difeq12d eqeq2d
      co biimpd imp wb imdistani eleq2 anbi12d fveq2d oveqd rexeqbidv bi2anan9r
      syl opabbidv qseq12d csbied df-prjsp eqeltri qsex fvmpt ) UAGMUANZOPZWAUB
      PZUCZUDZMNZAMUEZBMUEZQZANZHNZBNZWAUFPZVBZRZHWAUGPZOPZUHZQZABUIZUJZUKCWJCU
      LZWLCULZQZWJWKWLEVBZRZHFUHZQZABUIZUJZUMUNWAGRZMWEXAXJUOWEUOULXKWBWDWAOUPU
      QURXKWFWERZQZWFCWTXIXKXLWFCRZXKXLXNXKWECWFXKWEGOPZGUBPZUCZUDZCXKWBXOWDXQW
      AGOSXKWCXPWAGUBSUSUTITVAVCZVDXMWSXHABXMXKXNQWSXHVEXKXLXNXSVFXNWIXDXKWRXGX
      NWGXBWHXCWFCWJVGWFCWLVGVHXKWOXFHWQFXKWQDOPFXKWPDOXKWPGUGPDWAGUGSKTVILTXKW
      NXEWJXKWMEWKWLXKWMGUFPEWAGUFSJTVJVAVKVLVMVNVOVPABUAMHVQCXICXRUOIXOXQGOUPU
      QVRVSVT $.
  $}

  ${
    $d B x y $.  $d X x y l m $.  $d Y x y l m $.  $d K x y l m $.
    $d .x. x y l m $.
    prjsprel.1 $e |- .~ = { <. x , y >. |
      ( ( x e. B /\ y e. B ) /\ E. l e. K x = ( l .x. y ) ) } $.
    $( Utility theorem regarding the relation used in ` PrjSp ` .  (Contributed
       by Steven Nguyen, 29-Apr-2023.) $)
    prjsprel $p |- ( X .~ Y <->
      ( ( X e. B /\ Y e. B ) /\ E. m e. K X = ( m .x. Y ) ) ) $=
      ( cv co wceq wrex wa weq simpll simpr simplr oveq12d eqeq12d cbvrexdva
      brab2a ) ALZJLZBLZEMZNZJGOHFLZIEMZNZFGOABHICCDUEHNZUGINZPZUIULJFGUOJFQZPZ
      UEHUHUKUMUNUPRUQUFUJUGIEUOUPSUMUNUPTUAUBUCKUD $.

    $d Z l m n o x y $.  $d V m n o $.  $d X n o $.  $d Y n o $.  $d K n o $.
    $d .x. n o $.  $d S o $.  $d .~ m n o $.
    prjspertr.b $e |- B = ( ( Base ` V ) \ { ( 0g ` V ) } ) $.
    prjspertr.s $e |- S = ( Scalar ` V ) $.
    prjspertr.x $e |- .x. = ( .s ` V ) $.
    prjspertr.k $e |- K = ( Base ` S ) $.
    $( The relation in ` PrjSp ` is transitive.  (Contributed by Steven Nguyen,
       1-May-2023.) $)
    prjspertr $p |- ( ( V e. LMod /\ ( X .~ Y /\ Y .~ Z ) ) -> X .~ Z ) $=
      ( wcel wa co vm vn vo clmod wbr cv wceq prjsprel simprbi ad2antrl simplrr
      wrex syl simplrl anassrs simpll sylbi adantr cmulr cfv lmodring ad3antrrr
      simplr crg simprl ringcl syl3anc wb oveq1 eqeq2d adantl simprr oveq2d cbs
      eqid simplll c0g cdif eldifi eleq2s lmodvsass syl13anc 3eqtr4d syl21anbrc
      csn rspcedvd rexlimddv ) HUDRZIJDUEZJKDUEZSZSZIUAUFZJFTZUGZIKDUEZUAGWIWOU
      AGULZWHWJWIICRZJCRZSZWQABCDFUAGIJLMUHZUIUJWLWMGRZWOSZSZJUBUFZKFTZUGZWPUBG
      XDWJXGUBGULZWHWIWJXCUKZWJWSKCRZSZXHABCDFUBGJKLMUHZUIUMXDXEGRZXGSZSZWRXJIU
      CUFZKFTZUGZUCGULWPXOWIWRWLXCXNWIWHWIWJXCXNSUNUOWIWTWQSWRXAWRWSWQUPUQUMXOW
      JXJXDWJXNXIURWJXKXHSXJXLWSXJXHVCUQUMZXOXRIWMXEEUSUTZTZKFTZUGZUCYAGXOEVDRZ
      XBXMYAGRWHYDWKXCXNEHOVAVBWLXBWOXNUNZXDXMXGVEZGEXTWMXEQXTVOZVFVGXPYAUGZXRY
      CVHXOYHXQYBIXPYAKFVIVJVKXOWNWMXFFTZIYBXOJXFWMFXDXMXGVLVMWLXBWOXNUKXOWHXBX
      MKHVNUTZRZYBYIUGWHWKXCXNVPYEYFXOXJYKXSYKKYJHVQUTWEZVRCKYJYLVSNVTUMWMXEFXT
      EGYJHKYJVOOPQYGWAWBWCWFABCDFUCGIKLMUHWDWGWG $.

    $d B m $.  $d S m $.
    $( The relation in ` PrjSp ` is reflexive.  (Contributed by Steven Nguyen,
       30-Apr-2023.) $)
    prjsperref $p |- ( V e. LMod -> ( X e. B <-> X .~ X ) ) $=
      ( vm wcel wceq wa cfv clmod cv co wrex wbr cur eqid lmod1cl adantr eqeq2d
      wb oveq1 adantl cbs c0g cdif eldifi eleq2s lmodvs1 sylan2 eqcomd rspcedvd
      csn ex pm4.71d pm4.24 anbi1i prjsprel bitr4i bitrdi ) HUAQZICQZVLIPUBZIFU
      CZRZPGUDZSZIIDUEZVKVLVPVKVLVPVKVLSZVOIEUFTZIFUCZRZPVTGVKVTGQVLVTEGHMOVTUG
      ZUHUIVMVTRZVOWBUKVSWDVNWAIVMVTIFULUJUMVSWAIVLVKIHUNTZQZWAIRWFIWEHUOTVCZUP
      CIWEWGUQLURFVTEWEHIWEUGMNWCUSUTVAVBVDVEVQVLVLSZVPSVRVLWHVPVLVFVGABCDFPGII
      JKVHVIVJ $.

    $d S n $.
    $( The relation in ` PrjSp ` is symmetric.  (Contributed by Steven Nguyen,
       1-May-2023.) $)
    prjspersym $p |- ( ( V e. LVec /\ X .~ Y ) -> Y .~ X ) $=
      ( wcel wa wceq cfv vm vn clvec wbr cv wrex simpllr prjsprel pm3.22 adantr
      co sylbi syl cdr c0g wne simplll lvecdrng simplr simpll cbs cdif eldifsni
      cinvr eleq2s 3syl simpr oveq1d clmod lveclmod ad4antr eldifi eqid lmod0vs
      syl2anc 3eqtrd mteqand drnginvrcl syl3anc wb oveq1 eqeq2d adantl wn nelsn
      csn eldifd lvecinv mpbid rspcedvd sylanbrc r19.29a ) HUCQZIJDUDZRZIUAUEZJ
      FUKZSZJIDUDZUAGWOWPGQZRZWRRZJCQZICQZRZJUBUEZIFUKZSZUBGUFWSXBWNXEWMWNWTWRU
      GZWNXDXCRZWRUAGUFZRZXEABCDFUAGIJKLUHZXJXEXKXDXCUIUJULUMXBXHJWPEVDTZTZIFUK
      ZSZUBXOGXBEUNQZWTWPEUOTZUPZXOGQXBWMXRWMWNWTWRUQZEHNURUMWOWTWRUSZXBWPXSIHU
      OTZXBWNXDIYCUPZXIWNXLXDXMXDXCXKUTULZYDIHVATZYCWFZVBZCIYFYCVCMVEVFXBWPXSSZ
      RZIWQXSJFUKZYCXAWRYIUSYJWPXSJFXBYIVGVHYJHVIQZJYFQZYKYCSWMYLWNWTWRYIHVJVKX
      BYMYIXBWNXCYMXIWNXLXCXMXDXCXKUSULYMJYHCJYFYGVLMVEVFZUJFEXSYFHJYCYFVMZNOXS
      VMZYCVMVNVOVPVQZGEXNWPXSPYPXNVMZVRVSXFXOSZXHXQVTXBYSXGXPJXFXOIFWAWBWCXBWR
      XQXAWRVGXBWPFEXNGYFHIJXSYOONPYPYRYAXBWPGXSWFZYBXBXTWPYTQWDYQWPXSWEUMWGXBW
      NXDIYFQZXIYEUUAIYHCIYFYGVLMVEVFYNWHWIWJABCDFUBGJIKLUHWKWNXKWMWNXLXKXMXJXK
      VGULWCWL $.

    $d V a b c $.  $d B a $.  $d .~ a b c $.  $d a b c l x y $.
    $( The relation used to define ` PrjSp ` is an equivalence relation.
       (Contributed by Steven Nguyen, 1-May-2023.) $)
    prjsper $p |- ( V e. LVec -> .~ Er B ) $=
      ( va vb wcel cv wa wbr vc clvec wrel wceq wrex relopabiv prjspersym clmod
      co a1i lveclmod prjspertr sylan wb prjsperref syl iserd ) HUBQZOPUACDDUCU
      RARZCQBRZCQSUSIRUTFUIUDIGUESABDJUFUJABCDEFGHORZPRZIJKLMNUGURHUHQZVAVBDTVB
      UARZDTSVAVDDTHUKZABCDEFGHVAVBVDIJKLMNULUMURVCVACQVAVADTUNVEABCDEFGHVAIJKL
      MNUOUPUQ $.

    ${
      $d .0. m $.
      prjspreln0.z $e |- .0. = ( 0g ` S ) $.
      $( Two nonzero vectors are equivalent by a nonzero scalar.  (Contributed
         by Steven Nguyen, 31-May-2023.) $)
      prjspreln0 $p |- ( V e. LVec -> ( X .~ Y <-> ( ( X e. B /\ Y e. B ) /\
         E. m e. ( K \ { .0. } ) X = ( m .x. Y ) ) ) ) $=
        ( wcel wbr wa cv co wceq wrex clvec csn cdif prjsprel simprl wne wn c0g
        cfv simplrl cbs eldifsni eleq2s syl simplrr simpr oveq1d clmod lveclmod
        difss eqsstri anassrs sselid eqid lmod0vs syl2anc 3eqtrd mteqand eldifd
        ad3antrrr nelsn ex jca2 reximdv2 wss ssrexv mp1i impbid pm5.32da syl5bb
        wi ) JKDUAJCTZKCTZUBZJGUCZKFUDZUEZGHUFZUBIUGTZWJWMGHLUHZUIZUFZUBABCDFGH
        JKMNUJWOWJWNWRWOWJUBZWNWRWSWMWMGHWQWSWKHTZWMUBZWKWQTZWMWSXAXBWSXAUBZWKH
        WPWSWTWMUKXCWKLULWKWPTUMXCWKLJIUNUOZXCWHJXDULZWOWHWIXAUPXEJIUQUOZXDUHZU
        IZCJXFXDUROUSUTXCWKLUEZUBZJWLLKFUDZXDWSWTWMXIVAXJWKLKFXCXIVBVCXJIVDTZKX
        FTXKXDUEWOXLWJXAXIIVEVPXJCXFKCXHXFOXFXGVFVGWSXAXIWIWOWHWIXAXIUBVAVHVIFE
        LXFIKXDXFVJPQSXDVJVKVLVMVNWKLVQUTVOVRWTWMVBVSVTWQHWAWRWNWGWSHWPVFWMGWQH
        WBWCWDWEWF $.

      $d l m x y N $.
      $( A nonzero multiple of a vector is equivalent to the vector.
         (Contributed by Steven Nguyen, 6-Jun-2023.) $)
      prjspvs $p |- ( ( V e. LVec /\ X e. B /\ N e. ( K \ { .0. } ) ) ->
                                                         ( N .x. X ) .~ X ) $=
        ( vm wcel clvec csn cdif w3a co cv wceq wrex wbr cbs cfv clmod lveclmod
        c0g 3ad2ant1 eldifi 3ad2ant3 difss eqsstri sseli 3ad2ant2 eqid lmodvscl
        syl3anc wne wn eldifsni eleq2s simp1 lvecvsn0 mpbir2and nelsn eleqtrrdi
        syl eldifd simp2 wtru oveq1 eqcoms tbtru sylib adantl rspcedvd prjsprel
        wb trud syl21anbrc ) IUATZJCTZHGKUBZUCTZUDZHJFUEZCTWIWMSUFZJFUEUGZSGUHW
        MJDUIWLWMIUJUKZIUNUKZUBZUCZCWLWMWPWRWLIULTZHGTZJWPTZWMWPTWHWIWTWKIUMUOW
        KWHXAWIHGWJUPUQZWIWHXBWKCWPJCWSWPNWPWRURUSUTVAZHFEGWPIJWPVBZOPQVCVDWLWM
        WQVEZWMWRTVFWLXFHKVEZJWQVEZWKWHXGWIHGKVGUQWIWHXHWKXHJWSCJWPWQVGNVHVAWLH
        FEGKWPIJWQXEPOQRWQVBWHWIWKVIXCXDVJVKWMWQVLVNVONVMWHWIWKVPWLWOVQSHGXCWNH
        UGZWOVQWEZWLXIWOXJWOHWNHWNJFVRVSWOVTWAWBWLWFWCABCDFSGWMJLMWDWG $.
    $}

    ${
      prjsprellsp.n $e |- N = ( LSpan ` V ) $.
      $( Two vectors are equivalent iff their spans are equal.  (Contributed by
         Steven Nguyen, 31-May-2023.) $)
      prjsprellsp $p |- ( ( V e. LVec /\ ( X e. B /\ Y e. B ) ) ->
         ( X .~ Y <-> ( N ` { X } ) = ( N ` { Y } ) ) ) $=
        ( wcel cfv vm clvec wa cv wceq c0g csn cdif wrex wbr ibar bicomd adantl
        co wb eqid prjspreln0 adantr cbs simpl eldifi ad2antrl ad2antll lspsneq
        eleq2s 3bitr4d ) IUBSZJCSZKCSZUCZUCZVJJUAUDKFUNUEUAGEUFTZUGUHUIZUCZVMJK
        DUJZJUGHTKUGHTUEVJVNVMUOVGVJVMVNVJVMUKULUMVGVOVNUOVJABCDEFUAGIJKVLLMNOP
        QVLUPZUQURVKEFUAGHIUSTZIJKVLVQUPOQVPPRVGVJUTVHJVQSZVGVIVRJVQIUFTUGZUHZC
        JVQVSVANVEVBVIKVQSZVGVHWAKVTCKVQVSVANVEVCVDVF $.

      $d l x V $.  $d l x N $.  $d l S $.  $d l B $.
      $( The vectors equivalent to a vector ` X ` are the nonzero vectors in
         the span of ` X ` .  (Contributed by Steven Nguyen, 6-Jun-2023.) $)
      prjspeclsp $p |- ( ( V e. LVec /\ X e. B ) ->
         [ X ] .~ = ( ( N ` { X } ) \ { ( 0g ` V ) } ) ) $=
        ( wcel wa wceq clvec ccnv cec cv co wrex cbs cfv crab c0g csn cab copab
        cdif cnveqi cnvopab eqtri eceq2i cima df-ec imaopab df-rex velsn anbi1i
        a1i wex eleq1 anbi2d oveq2 eqeq2d rexbidv anbi12d pm5.32i bitri elisset
        exbii 19.41v ad2antlr pm4.71ri bitr4i 3bitri abbii bicomd anbi1d abbidv
        iba syl5eq adantl 3eqtrd df-rab rabeqi rabdif eqtr4id 3eqtr2d wer ercnv
        prjsper adantr eqcomd syl clmod lveclmod difss eqsstri sseli eqid lspsn
        eceq2d simpr lmodvscl syl3anc eqeltrd rexlimdva2 pm4.71rd eqtr4di eqtrd
        syl2an difeq1d 3eqtr4d ) IUARZJCRZSZJDUBZUCZAUDZKUDZJFUEZTZKGUFZAIUGUHZ
        UIZIUJUHUKZUNZJDUCJUKZHUHZYLUNYBYDYECRZYISZAULZYIACUIZYMYBYDJYPBUDZCRZS
        ZYEYFYTFUEZTZKGUFZSZBAUMZUCZYRYCUUGJYCUUFABUMZUBUUGDUUILUOUUFABUPUQURYB
        UUHUUGYNUSZUUFBYNUFZAULZYRUUHUUJTYBJUUGUTVEUUJUULTYBUUFBAYNVAVEYAUULYRT
        XTYAUULYPYASZYISZAULYRUUKUUNAUUKYTYNRZUUFSZBVFYTJTZUUNSZBVFZUUNUUFBYNVB
        UUPUURBUUPUUQUUFSUURUUOUUQUUFBJVCVDUUQUUFUUNUUQUUBUUMUUEYIUUQUUAYAYPYTJ
        CVGVHUUQUUDYHKGUUQUUCYGYEYTJYFFVIVJVKVLVMVNVPUUSUUQBVFZUUNSUUNUUQUUNBVQ
        UUNUUTYAUUTYPYIBJCVOVRVSVTWAWBYAUUNYQAYAUUMYPYIYAYPUUMYAYPWFWCWDWEWGWHW
        IWGYSYRTYBYIACWJVEYBYSYIAYJYLUNZUIZYMYIACUVAMWKYMUVBTYBYIAYJYLWLVEWMWNY
        BDYCJYBCDWOZDYCTXTUVCYAABCDEFGIKLMNOPWQWRUVCYCDCDWPWSWTXHYBYOYKYLYBYOYI
        AULZYKXTIXARZJYJRZYOUVDTYAIXBZCYJJCUVAYJMYJYLXCXDXEZAFKEGHYJIJNPYJXFZOQ
        XGXQYBUVDYEYJRZYISZAULYKYBYIUVKAYBYIUVJYBYHUVJKGYBYFGRZSZYHSYEYGYJUVMYH
        XIUVMYGYJRZYHUVMUVEUVLUVFUVNYBUVEUVLXTUVEYAUVGWRWRYBUVLXIYAUVFXTUVLUVHV
        RYFFEGYJIJUVINOPXJXKWRXLXMXNWEYIAYJWJXOXPXRXS $.
    $}
  $}

  ${
    $d l x y z V $.  $d l x y z B $.  $d l x N $.
    prjspval2.0 $e |- .0. = ( 0g ` V ) $.
    prjspval2.b $e |- B = ( ( Base ` V ) \ { .0. } ) $.
    prjspval2.n $e |- N = ( LSpan ` V ) $.
    $( Alternate definition of projective space.  (Contributed by Steven
       Nguyen, 7-Jun-2023.) $)
    prjspval2 $p |- ( V e. LVec ->
                 ( PrjSp ` V ) = U_ z e. B { ( ( N ` { z } ) \ { .0. } ) } ) $=
      ( vx vy vl wcel cfv cv wa wceq cbs csn cdif eqid clvec cvsca co csca wrex
      cprjsp copab cqs cec ciun c0g sneqi difeq2i eqtri prjspval a1i prjspeclsp
      dfqs3 eqtr4di sneqd iuneq2dv 3eqtrd ) DUALZDUFMBINZBLJNZBLOVDKNVEDUBMZUCP
      KDUDMZQMZUEOIJUGZUHZABANZVIUIZRZUJZABVKRCMZERZSZRZUJIJBVGVFVHDKBDQMZVPSVS
      DUKMZRZSGVPWAVSEVTFULZUMUNZVFTZVGTZVHTZUOVJVNPVCABVIURUPVCABVMVRVCVKBLOZV
      LVQWGVLVOWASVQIJBVIVGVFVHCDVKKVITWCWEWDWFHUQVPWAVOWBUMUSUTVAVB $.
  $}

  $c PrjSpn $.

  $( Extend class notation with the n-dimensional projective space function. $)
  cprjspn $a class PrjSpn $.

  ${
    $d n k $.
    $( Define the n-dimensional projective space function.  A projective space
       of dimension 1 is a projective line, and a projective space of dimension
       2 is a projective plane.  Compare ~ df-ehl .  This space is considered
       n-dimensional because the vector space ` ( k freeLMod ( 0 ... n ) ) ` is
       (n+1)-dimensional and the ` PrjSp ` function returns equivalence classes
       with respect to a linear (1-dimensional) relation.  (Contributed by BJ
       and Steven Nguyen, 29-Apr-2023.) $)
    df-prjspn $a |- PrjSpn = ( n e. NN0 , k e. DivRing |->
      ( PrjSp ` ( k freeLMod ( 0 ... n ) ) ) ) $.
  $}

  ${
    $d n k N $.  $d n k K $.
    $( Value of the n-dimensional projective space function.  (Contributed by
       Steven Nguyen, 1-May-2023.) $)
    prjspnval $p |- ( ( N e. NN0 /\ K e. DivRing ) -> ( N PrjSpn K ) =
      ( PrjSp ` ( K freeLMod ( 0 ... N ) ) ) ) $=
      ( vn vk cn0 cdr cv cc0 cfz co cfrlm cprjsp cfv cprjspn wceq oveq2d fveq2d
      oveq2 fvoveq1 df-prjspn fvex ovmpo ) CDBAEFDGZHCGZIJZKJZLMAHBIJZKJZLMNUCU
      GKJZLMUDBOZUFUILUJUEUGUCKUDBHIRPQUCAUGLKSDCTUHLUAUB $.
  $}

  ${
    $d K x y $.  $d W l $.  $d S l $.
    prjspnerlem.e $e |- .~ = { <. x , y >. |
      ( ( x e. B /\ y e. B ) /\ E. l e. S x = ( l .x. y ) ) } $.
    prjspnerlem.w $e |- W = ( K freeLMod ( 0 ... N ) ) $.
    prjspnerlem.b $e |- B = ( ( Base ` W ) \ { ( 0g ` W ) } ) $.
    prjspnerlem.s $e |- S = ( Base ` K ) $.
    prjspnerlem.x $e |- .x. = ( .s ` W ) $.
    $( A lemma showing that the equivalence relation used in ~ prjspnval2 and
       the equivalence relation used in ~ prjspval are equal, but only with the
       antecedent ` K e. DivRing ` .  (Contributed by SN, 15-Jul-2023.) $)
    prjspnerlem $p |- ( K e. DivRing ->
        .~ = { <. x , y >. | ( ( x e. B /\ y e. B ) /\
                     E. l e. ( Base ` ( Scalar ` W ) ) x = ( l .x. y ) ) } ) $=
      ( wcel cv wa cfv cbs cdr co wceq wrex copab csca cc0 cfz cvv ovex frlmsca
      mpan2 fveq2d syl5eq rexeqdv anbi2d opabbidv ) GUAPZDAQZCPBQZCPRZUSJQUTFUB
      UCZJEUDZRZABUEVAVBJIUFSZTSZUDZRZABUEKURVDVHABURVCVGVAURVBJEVFUREGTSVFNURG
      VETURUGHUHUBZUIPGVEUCUGHUHUJGIVIUAUILUKULUMUNUOUPUQUN $.
  $}

  ${
    $d W l x y $.  $d K x y $.  $d S l $.
    prjspnval2.e $e |- .~ = { <. x , y >. |
      ( ( x e. B /\ y e. B ) /\ E. l e. S x = ( l .x. y ) ) } $.
    prjspnval2.w $e |- W = ( K freeLMod ( 0 ... N ) ) $.
    prjspnval2.b $e |- B = ( ( Base ` W ) \ { ( 0g ` W ) } ) $.
    prjspnval2.s $e |- S = ( Base ` K ) $.
    prjspnval2.x $e |- .x. = ( .s ` W ) $.
    $( Value of the n-dimensional projective space function, expanded.
       (Contributed by Steven Nguyen, 15-Jul-2023.) $)
    prjspnval2 $p |-
      ( ( N e. NN0 /\ K e. DivRing ) -> ( N PrjSpn K ) = ( B /. .~ ) ) $=
      ( wcel wa co cprjsp cfv cn0 cdr cprjspn cc0 cfz cqs prjspnval wceq fveq2i
      cfrlm csca cbs wrex copab clvec cvv ovex frlmlvec mpan2 eqid prjspval syl
      cv prjspnerlem qseq2d eqtr4d eqtr3id adantl eqtrd ) HUAPZGUBPZQHGUCRGUDHU
      ERZUJRZSTZCDUFZGHUGVKVNVOUHVJVKVNISTZVOIVMSLUIVKVPCAVCZCPBVCZCPQVQJVCVRFR
      UHJIUKTZULTZUMQABUNZUFZVOVKIUOPZVPWBUHVKVLUPPWCUDHUEUQGIVLUPLURUSABCVSFVT
      IJMOVSUTVTUTVAVBVKDWACABCDEFGHIJKLMNOVDVEVFVGVHVI $.
  $}

  ${
    $d W l x y $.  $d B x y $.  $d S l $.  $d .x. l x y $.  $d K x y $.
    prjspner.e $e |- .~ = { <. x , y >. |
      ( ( x e. B /\ y e. B ) /\ E. l e. S x = ( l .x. y ) ) } $.
    prjspner.w $e |- W = ( K freeLMod ( 0 ... N ) ) $.
    prjspner.b $e |- B = ( ( Base ` W ) \ { ( 0g ` W ) } ) $.
    prjspner.s $e |- S = ( Base ` K ) $.
    prjspner.x $e |- .x. = ( .s ` W ) $.
    prjspner.k $e |- ( ph -> K e. DivRing ) $.
    $( The relation used to define ` PrjSp ` (and indirectly ` PrjSpn ` through
       ~ df-prjspn ) is an equivalence relation.  This is a lemma that converts
       the equivalence relation used in results like ~ prjspertr and
       ~ prjspersym (see ~ prjspnerlem ).  Several theorems are covered in one
       thanks to the theorems around ~ df-er .  (Contributed by SN,
       14-Aug-2023.) $)
    prjspner $p |- ( ph -> .~ Er B ) $=
      ( cv wcel eqid wer wa co wceq csca cfv cbs wrex copab clvec cdr cc0 ovexd
      cfz cvv frlmlvec syl2anc prjsper syl wb prjspnerlem ereq1 3syl mpbird ) A
      DEUAZDBRZDSCRZDSUBVFKRVGGUCUDKJUEUFZUGUFZUHUBBCUIZUAZAJUJSZVKAHUKSZULIUNU
      CZUOSVLQAULIUNUMHJVNUOMUPUQBCDVJVHGVIJKVJTNVHTPVITURUSAVMEVJUDVEVKUTQBCDE
      FGHIJKLMNOPVADEVJVBVCVD $.
  $}

  ${
    $d W l x y $.  $d B x y $.  $d S l $.  $d .x. l x y $.  $d K x y $.
    $d X l x y $.  $d C l x y $.
    prjspnvs.e $e |- .~ = { <. x , y >. |
      ( ( x e. B /\ y e. B ) /\ E. l e. S x = ( l .x. y ) ) } $.
    prjspnvs.w $e |- W = ( K freeLMod ( 0 ... N ) ) $.
    prjspnvs.b $e |- B = ( ( Base ` W ) \ { ( 0g ` W ) } ) $.
    prjspnvs.s $e |- S = ( Base ` K ) $.
    prjspnvs.x $e |- .x. = ( .s ` W ) $.
    prjspnvs.0 $e |- .0. = ( 0g ` K ) $.
    prjspnvs.k $e |- ( ph -> K e. DivRing ) $.
    prjspnvs.1 $e |- ( ph -> X e. B ) $.
    prjspnvs.2 $e |- ( ph -> C e. S ) $.
    prjspnvs.3 $e |- ( ph -> C =/= .0. ) $.
    $( A nonzero multiple of a vector is equivalent to the vector.  This
       converts the equivalence relation used in ~ prjspvs (see
       ~ prjspnerlem ).  (Contributed by SN, 8-Aug-2024.) $)
    prjspnvs $p |- ( ph -> ( C .x. X ) .~ X ) $=
      ( co wbr cv wcel wa wceq csca cfv cbs wrex copab c0g csn cdif cdr cc0 cfz
      clvec cvv ovexd frlmlvec syl2anc wne wn nelsn eldifd frlmsca fveq2d sneqd
      syl syl5eq difeq12d eleqtrd eqid prjspvs syl3anc prjspnerlem breqd mpbird
      ) AELHUEZLFUFWDLBUGZDUHCUGZDUHUIWENUGWFHUEUJNKUKULZUMULZUNUIBCUOZUFZAKVBU
      HZLDUHEWHWGUPULZUQZURZUHWJAIUSUHZUTJVAUEZVCUHZWKUAAUTJVAVDZIKWPVCPVEVFUBA
      EGMUQZURWNAEGWSUCAEMVGEWSUHVHUDEMVIVNVJAGWHWSWMAGIUMULWHRAIWGUMAWOWQIWGUJ
      UAWRIKWPUSVCPVKVFZVLVOAMWLAMIUPULWLTAIWGUPWTVLVOVMVPVQBCDWIWGHWHEKLWLNWIV
      RQWGVRSWHVRWLVRVSVTAFWIWDLAWOFWIUJUABCDFGHIJKNOPQRSWAVNWBWC $.
  $}

  ${
    0prjspnlem.b $e |- B = ( ( Base ` W ) \ { ( 0g ` W ) } ) $.
    0prjspnlem.w $e |- W = ( K freeLMod ( 0 ... 0 ) ) $.
    0prjspnlem.1 $e |- .1. = ( ( K unitVec ( 0 ... 0 ) ) ` 0 ) $.
    $( Lemma for ~ 0prjspn .  The given unit vector is a nonzero vector.
       (Contributed by Steven Nguyen, 16-Jul-2023.) $)
    0prjspnlem $p |- ( K e. DivRing -> .1. e. B ) $=
      ( cdr wcel cc0 cfz co cuvc cfv cbs c0g csn cdif cvv eqid drngnzr eleqtrri
      cnzr ovex c0ex snid fz0sn w3a wne crg nzrring uvccl syl3an1 uvcn0 eldifsn
      sylanbrc mp3an23 syl 3eltr4g ) CHIZJCJJKLZMLZNZDONZDPNZQRZBAUTCUCIZVCVFIZ
      CUAVGVASIZJVAIZVHJJKUDJJQVAJUEUFUGUBVGVIVJUHVCVDIZVCVEUIVHVGCUJIVIVJVKCUK
      VDCVBVAJSDVBTZFVDTZULUMVDCVBVAJSDVEVLFVMVETUNVCVDVEUOUPUQURGEUS $.
  $}

  ${
    $d .0. b $.  $d .x. b $.  $d B b $.  $d I b $.  $d X b $.
    prjspnfv01.f $e |- F = ( b e. B |->
      if ( ( b ` 0 ) = .0. , b , ( ( I ` ( b ` 0 ) ) .x. b ) ) ) $.
    prjspnfv01.b $e |- B = ( ( Base ` W ) \ { ( 0g ` W ) } ) $.
    prjspnfv01.w $e |- W = ( K freeLMod ( 0 ... N ) ) $.
    prjspnfv01.t $e |- .x. = ( .s ` W ) $.
    prjspnfv01.0 $e |- .0. = ( 0g ` K ) $.
    prjspnfv01.1 $e |- .1. = ( 1r ` K ) $.
    prjspnfv01.i $e |- I = ( invr ` K ) $.
    prjspnfv01.k $e |- ( ph -> K e. DivRing ) $.
    prjspnfv01.n $e |- ( ph -> N e. NN0 ) $.
    prjspnfv01.x $e |- ( ph -> X e. B ) $.
    $( Any vector is equivalent to a vector whose zeroth coordinate is ` .0. `
       or ` .1. ` (proof of the value of the zeroth coordinate).  (Contributed
       by SN, 13-Aug-2023.) $)
    prjspnfv01 $p |-
      ( ph -> ( ( F ` X ) ` 0 ) = if ( ( X ` 0 ) = .0. , .0. , .1. ) ) $=
      ( cc0 cfv wceq co cif cv cvv fveq1 eqeq1d id fveq2d ifbieq12d ovexd ifexd
      oveq12d fvmptd3 fveq1d iffv a1i simpr wn wa cmulr cbs cfz eqid cdr wne wf
      wcel c0g cdif eleqtrdi eldifad frlmbasf syl2anc 0elfz ffvelrnd drnginvrcl
      csn cn0 syl neqne syl2an3an adantr frlmvscaval drnginvrl ifeq12da 3eqtrd
      eqtrd ) AUCJEUDZUDUCUCJUDZKUEZJWNFUDZJCUFZUGZUDZWOWNUCWQUDZUGZWOKDUGAUCWM
      WRALJUCLUHZUDZKUEZXBXCFUDZXBCUFZUGWRBEUIMXBJUEZXDWOXBXFJWQXGXCWNKUCXBJUJZ
      UKXGULZXGXEWPXBJCXGXCWNFXHUMXIUQUNUBAWOJWQBUIUBAWPJCUOUPURUSWSXAUEAWOUCJW
      QUTVAAWOWNWTKDAWOVBAWOVCZVDZWTWPWNGVEUDZUFZDXKWPIVFUDZGCXLUCHVGUFZUCGVFUD
      ZUIJIOXNVHZXPVHZXKUCHVGUOAGVIVLZWNXPVLZXJWNKVJZWPXPVLTAXOXPUCJAXOUIVLJXNV
      LZXOXPJVKAUCHVGUOAJXNIVMUDWBZAJBXNYCVNUBNVOVPZXNGIXOXPUIJOXRXQVQVRAHWCVLU
      CXOVLZUAHVSWDZVTZWNKWEZXPGFWNKXRQSWAWFAYBXJYDWGAYEXJYFWGPXLVHZWHAXSXTXJYA
      XMDUETYGYHXPGXLDFWNKXRQYIRSWIWFWLWJWK $.
  $}

  ${
    $d B x y $.  $d X l x y $.  $d W l x y $.  $d .x. l x y $.  $d S l $.
    $d I l x y $.  $d K x y $.  $d .0. x y $.  $d B b $.  $d X b $.
    $d .0. b $.  $d .x. b $.  $d I b $.  $d ph b $.
    prjspner01.e $e |- .~ = { <. x , y >. |
      ( ( x e. B /\ y e. B ) /\ E. l e. S x = ( l .x. y ) ) } $.
    prjspner01.f $e |- F = ( b e. B |->
      if ( ( b ` 0 ) = .0. , b , ( ( I ` ( b ` 0 ) ) .x. b ) ) ) $.
    prjspner01.b $e |- B = ( ( Base ` W ) \ { ( 0g ` W ) } ) $.
    prjspner01.w $e |- W = ( K freeLMod ( 0 ... N ) ) $.
    prjspner01.t $e |- .x. = ( .s ` W ) $.
    prjspner01.s $e |- S = ( Base ` K ) $.
    prjspner01.0 $e |- .0. = ( 0g ` K ) $.
    prjspner01.i $e |- I = ( invr ` K ) $.
    prjspner01.k $e |- ( ph -> K e. DivRing ) $.
    prjspner01.n $e |- ( ph -> N e. NN0 ) $.
    prjspner01.x $e |- ( ph -> X e. B ) $.
    $( Any vector is equivalent to a vector whose zeroth coordinate is ` .0. `
       or ` .1. ` (proof of the equivalence).  (Contributed by SN,
       13-Aug-2023.) $)
    prjspner01 $p |- ( ph -> X .~ ( F ` X ) ) $=
      ( cc0 cfv wceq co cif wbr wif prjspner erref adantr wn wa wer cdr wne cfz
      wcel cvv cbs wf ovexd c0g csn cdif eleqtrdi eldifad eqid frlmbasf syl2anc
      cn0 0elfz syl ffvelrnd neqne drnginvrcl syl2an3an prjspnvs ersym ifpimpda
      drnginvrn0 brif2 sylibr cv fveq1 eqeq1d id fveq2d oveq12d ifbieq12d ifexd
      fvmptd3 breqtrrd ) AMUHMUIZNUJZMWTIUIZMGUKZULZMHUIEAXAMMEUMZMXCEUMZUNMXDE
      UMAXAXEXFAXEXAAMEDABCDEFGJKLPQTSUBUAUEUOZUGUPUQAXAURZUSZXCMEDADEUTXHXGUQX
      IBCDXBEFGJKLMNPQTSUBUAUCAJVAVDZXHUEUQAMDVDXHUGUQAXJWTFVDZXHWTNVBZXBFVDUEA
      UHKVCUKZFUHMAXMVEVDMLVFUIZVDXMFMVGAUHKVCVHAMXNLVIUIVJZAMDXNXOVKUGSVLVMXNJ
      LXMFVEMTUBXNVNVOVPAKVQVDUHXMVDUFKVRVSVTZWTNWAZFJIWTNUBUCUDWBWCAXJXKXHXLXB
      NVBUEXPXQFJIWTNUBUCUDWGWCWDWEWFXAMXCMEWHWIAOMUHOWJZUIZNUJZXRXSIUIZXRGUKZU
      LXDDHVERXRMUJZXTXAXRYBMXCYCXSWTNUHXRMWKZWLYCWMZYCYAXBXRMGYCXSWTIYDWNYEWOW
      PUGAXAMXCDVEUGAXBMGVHWQWRWS $.

    $d Y l m x y $.  $d Y b $.  $d B m $.  $d I m $.  $d X m $.  $d .x. m $.
    $d ph m $.  $d S m x y $.
    prjspner1.y $e |- ( ph -> Y e. B ) $.
    prjspner1.1 $e |- ( ph -> ( X ` 0 ) =/= .0. ) $.
    prjspner1.2 $e |- ( ph -> ( Y ` 0 ) =/= .0. ) $.
    $( Two vectors whose zeroth coordinate is nonzero are equivalent if and
       only if they have the same representative in the (n-1)-dimensional
       affine subspace { x_0 = 1 } .  For example, vectors in 3D space whose
       ` x ` coordinate is nonzero are equivalent iff they intersect at the
       plane ` x = 1 ` at the same point (also see section header).
       (Contributed by SN, 13-Aug-2023.) $)
    prjspner1 $p |- ( ph -> ( X .~ Y <-> ( F ` X ) = ( F ` Y ) ) ) $=
      ( vm wbr cfv wceq wcel wa cv co wrex prjsprel cc0 cif wne fveq1 drngringd
      c0g cfz cvv ovexd cn0 syl frlm0vald sylan9eqr mteqand cdr frlmsca syl2anc
      0elfz csca fveq2d syl5eq oveq1d clmod cbs frlmlvec lveclmodd csn eleqtrdi
      clvec cdif eldifad eqid lmod0vs eqtrd neeqtrrd ad2antrr neeq2d syl5ibrcom
      oveq1 ancrd cmulr simplr ad3antrrr frlmvscaval wf frlmbasf ffvelrnd simpr
      necon2d drnginvmuld drnginvrcld ringcld lmodvsass syl13anc ringassd oveqd
      crg eleqtrd drnginvrld oveq2d ringridmd 3eqtr3d 3eqtr2d id oveq12d eqeq1d
      cur expimpd syld rexlimdva neneqd iffalsed adantr 3eqtr4d ifbieq12d ifexd
      impr fvmptd3 prjspner01 simprll simprlr wer prjspner ercl2 erref wb breq2
      sylan2b adantl mpbid ertr4d ertrd impbida ) AMNEUMZMHUNZNHUNZUOZUUOAMDUPZ
      NDUPZUQZMULURZNGUSZUOZULFUTZUQZUURBCDEGULFMNQRVAAUVFUQZVBMUNZOUOZMUVHIUNZ
      MGUSZVCZVBNUNZOUOZNUVMIUNZNGUSZVCZUUPUUQUVGUVKUVPUVLUVQAUVAUVEUVKUVPUOZAU
      VAUQZUVDUVRULFUVSUVBFUPZUQZUVDUVBOVDZUVDUQUVRUWAUVDUWBUWAUVBOMUVCUWAMUVCV
      DUVBOUOZMONGUSZVDZAUWEUVAUVTAMLVGUNZUWDAMUWFUVHOUJMUWFUOAUVHVBUWFUNOVBMUW
      FVEAJLVBKVHUSZVBVIOUAUDAJUFVFZAVBKVHVJZAKVKUPVBUWGUPZUGKVSVLZVMVNVOAUWDLV
      TUNZVGUNZNGUSZUWFAOUWMNGAOJVGUNUWMUDAJUWLVGAJVPUPZUWGVIUPZJUWLUOZUFUWIJLU
      WGVPVIUAVQZVRZWAWBWCALWDUPZNLWEUNZUPZUWNUWFUOALAUWOUWPLWJUPUFUWIJLUWGVIUA
      WFVRWGZANUXAUWFWHZANDUXAUXDWKUITWIWLZGUWLUWMUXALNUWFUXAWMZUWLWMZUBUWMWMUW
      FWMWNVRWOWPWQUWCUVCUWDMUVBONGWTWRWSXJXAUWAUWBUVDUVRUWAUWBUQZUVRUVDVBUVCUN
      ZIUNZUVCGUSZUVPUOUXHUXKUVOUVBIUNZJXBUNZUSZUVCGUSZUXNUVBUWLXBUNZUSZNGUSZUV
      PUXHUXJUXNUVCGUXHUXJUVBUVMUXMUSZIUNUXNUXHUXIUXSIUXHUVBUXAJGUXMUWGVBFVINLU
      AUXFUCUXHVBKVHVJZUVSUVTUWBXCZAUXBUVAUVTUWBUXEXDZAUWJUVAUVTUWBUWKXDUBUXMWM
      ZXEWAUXHFJUXMIUVBUVMOUCUDUYCUEAUWOUVAUVTUWBUFXDZUYAAUVMFUPUVAUVTUWBAUWGFV
      BNAUWPUXBUWGFNXFUWIUXEUXAJLUWGFVINUAUCUXFXGVRUWKXHXDZUWAUWBXIZAUVMOVDUVAU
      VTUWBUKXDZXKWOWCUXHUWTUXNUWLWEUNZUPUVBUYHUPUXBUXRUXOUOAUWTUVAUVTUWBUXCXDU
      XHUXNFUYHUXHFJUXMUVOUXLUCUYCAJXRUPUVAUVTUWBUWHXDZUXHFJIUVMOUCUDUEUYDUYEUY
      GXLZUXHFJIUVBOUCUDUEUYDUYAUYFXLZXMAFUYHUOUVAUVTUWBAFJWEUNUYHUCAJUWLWEUWSW
      AWBXDZXSUXHUVBFUYHUYAUYLXSUYBUXNUVBGUXPUWLUYHUXALNUXFUXGUBUYHWMUXPWMXNXOU
      XHUXQUVONGUXHUXNUVBUXMUSUVOUXLUVBUXMUSZUXMUSZUXQUVOUXHFJUXMUVOUXLUVBUCUYC
      UYIUYJUYKUYAXPUXHUXMUXPUXNUVBUXHJUWLXBUXHUWOUWPUWQUYDUXTUWRVRWAXQUXHUYNUV
      OJYHUNZUXMUSUVOUXHUYMUYOUVOUXMUXHFJUXMUYOIUVBOUCUDUYCUYOWMZUEUYDUYAUYFXTY
      AUXHFJUXMUYOUVOUCUYCUYPUYIUYJYBWOYCWCYDUVDUVKUXKUVPUVDUVJUXJMUVCGUVDUVHUX
      IIVBMUVCVEWAUVDYEYFYGWSYIYJYKYRAUVLUVKUOUVFAUVIMUVKAUVHOUJYLYMYNAUVQUVPUO
      UVFAUVNNUVPAUVMOUKYLYMYNYOUVGPMVBPURZUNZOUOZUYQUYRIUNZUYQGUSZVCZUVLDHVISU
      YQMUOZUYSUVIUYQVUAMUVKVUCUYRUVHOVBUYQMVEZYGVUCYEZVUCUYTUVJUYQMGVUCUYRUVHI
      VUDWAVUEYFYPAUUSUUTUVEUUAZUVGUVIMUVKDVIVUFUVGUVJMGVJYQYSUVGPNVUBUVQDHVISU
      YQNUOZUYSUVNUYQVUANUVPVUGUYRUVMOVBUYQNVEZYGVUGYEZVUGUYTUVOUYQNGVUGUYRUVMI
      VUHWAVUIYFYPAUUSUUTUVEUUBZUVGUVNNUVPDVIVUJUVGUVONGVJYQYSYOUUIAUURUQZMUUPN
      EDADEUUCUURABCDEFGJKLQRUATUCUBUFUUDZYNZAMUUPEUMUURABCDEFGHIJKLMOPQRSTUAUB
      UCUDUEUFUGUHYTZYNVUKUUPUUQNEDVUMVUKUUPUUPEUMZUUPUUQEUMZVUKUUPEDVUMAUUPDUP
      UURAMUUPEDVULVUNUUEYNUUFUURVUOVUPUUGAUUPUUQUUPEUUHUUJUUKANUUQEUMUURABCDEF
      GHIJKLNOPQRSTUAUBUCUDUEUFUGUIYTYNUULUUMUUN $.
  $}

  ${
    $d B x y m $.  $d X x y l m $.  $d K x y l m $.  $d .x. x y l m $.
    $d .1. x y l m $.  $d S x y l m $.  $d S n $.  $d .x. n $.  $d .1. n $.
    $d .1. c $.  $d .1. d $.  $d B c $.  $d B d $.  $d B m n $.  $d X c n $.
    $d X d $.  $d K c $.  $d K d n $.
    0prjspnrel.e $e |- .~ = { <. x , y >. |
      ( ( x e. B /\ y e. B ) /\ E. l e. S x = ( l .x. y ) ) } $.
    0prjspnrel.b $e |- B = ( ( Base ` W ) \ { ( 0g ` W ) } ) $.
    0prjspnrel.x $e |- .x. = ( .s ` W ) $.
    0prjspnrel.s $e |- S = ( Base ` K ) $.
    0prjspnrel.w $e |- W = ( K freeLMod ( 0 ... 0 ) ) $.
    0prjspnrel.1 $e |- .1. = ( ( K unitVec ( 0 ... 0 ) ) ` 0 ) $.
    $( In the zero-dimensional projective space, all vectors are equivalent to
       the unit vector.  (Contributed by Steven Nguyen, 7-Jun-2023.) $)
    0prjspnrel $p |- ( ( K e. DivRing /\ X e. B ) -> X .~ .1. ) $=
      ( wcel cc0 cvv vm vn vc vd cdr wa cv co wceq wrex simpr 0prjspnlem adantr
      wbr cfz csn cxp cbs cfv wf ovexd c0g cdif difss eqsstri sseli adantl eqid
      frlmbasf syl2anc c0ex snid fz0sn eleqtrri a1i ffvelrnd sneq xpeq2d eqeq2d
      cmap frlmbasmap fvex mapsnconst syl rspcedvd simprl eleqtrrdi oveq1 cmulr
      weq cof ad2antrr sselid frlmvscafval cur wss wral drngring ringidcl snssd
      wb crg cuvc elfz1eq fveq12d simplll uvcvv1 sylibr eqeltrd ralrimiva mpbid
      elsn frnssb vex elsni oveq2d ringridm sylan9eqr caofid2 biimprd rexlimddv
      eqtrd impr prjsprel syl21anbrc ) HUERZJCRZUFZYGGCRZJUAUGZGFUHZUIZUAEUJZJG
      DUNYFYGUKYFYIYGCGHIMPQULZUMYHJSSUOUHZUBUGZUPZUQZUIZYMUBHURUSZYHYSJYOSJUSZ
      UPZUQZUIZUBUUAYTYHYOYTSJYHYOTRZJIURUSZRZYOYTJUTYHSSUOVAZYGUUGYFCUUFJCUUFI
      VBUSUPZVCUUFMUUFUUIVDVEZVFVGZUUFHIYOYTTJPYTVHZUUFVHZVIVJSYORZYHSSUPYOSVKV
      LVMVNZVOVPYPUUAUIZYSUUDXAYHUUPYRUUCJUUPYQUUBYOYPUUAVQVRVSVGYHJYTYOVTUHRZU
      UDYHUUEUUGUUQUUHUUKUUFHIYOYTTJPUULUUMWAVJYTYOJSVMHURWBVKWCWDWEYHYPYTRZYSU
      FUFZYLJYPGFUHZUIZUAYPEUUSYPYTEYHUURYSWFOWGUAUBWJZYLUVAXAUUSUVBYKUUTJYJYPG
      FWHVSVGYHUURYSUVAYHUURUFZUVAYSUVCUUTYRJUVCUUTYRGHWIUSZWKUHYRUVCYPUUFHFUVD
      YOYTTGIPUUMUULUVCSSUOVAZYHUURUKZUVCCUUFGUUJYFYIYGUURYNWLWMZNUVDVHZWNUVCUC
      YOYPYPUVDHWOUSZUPZGTTTUVEUVCYOYTGUTZYOUVJGUTZUVCUUEGUUFRUVKUVEUVGUUFHIYOY
      TTGPUULUUMVIVJUVCUVJYTWPUDUGZGUSZUVJRZUDYOWQUVKUVLXAUVCUVIYTYFUVIYTRZYGUU
      RYFHXBRZUVPHWRZYTHUVIUULUVIVHZWSWDWLWTUVCUVOUDYOUVCUVMYORZUFZUVNSSHYOXCUH
      ZUSZUSZUVJUVTUVNUWDUIUVCUVTUVMSGUWCGUWCUIUVTQVOUVMSXDXEVGUWAUWDUVIUIUWDUV
      JRUWAHUWBUVIYOSUETUWBVHYFYGUURUVTXFUWASSUOVAUUNUWAUUOVOUVSXGUWDUVISUWCWBX
      LXHXIXJYOUDGUVJYTXMVJXKYPTRUVCUBXNVOZUWEUCUGZUVJRZUVCYPUWFUVDUHYPUVIUVDUH
      ZYPUWGUWFUVIYPUVDUWFUVIXOXPUVCUVQUURUWHYPUIYFUVQYGUURUVRWLUVFYTHUVDUVIYPU
      ULUVHUVSXQVJXRXSYBVSXTYCWEYAABCDFUAEJGKLYDYE $.
  $}

  ${
    $d W a b l x y $.  $d K a b l x y $.  $d B a b x y $.
    0prjspn.w $e |- W = ( K freeLMod ( 0 ... 0 ) ) $.
    0prjspn.b $e |- B = ( ( Base ` W ) \ { ( 0g ` W ) } ) $.
    $( A zero-dimensional projective space has only 1 point.  (Contributed by
       Steven Nguyen, 9-Jun-2023.) $)
    0prjspn $p |- ( K e. DivRing -> ( 0 PrjSpn K ) = { B } ) $=
      ( vx vy vl wcel cc0 co cv wa cfv wceq cbs eqid cvv wbr adantr cdr cprjspn
      va vb cvsca wrex copab cqs csca csn cn0 0nn0 prjspnval2 mpan ovex frlmsca
      cfz mpan2 fveq2d rexeqdv anbi2d opabbidv qseq2d cuvc clmod clvec frlmlvec
      lveclmod 0prjspnrel breqdi adantrr prjspersym syl2an2r prjspertr syl12anc
      syl adantrl wer prjsper 0prjspnlem qsalrel 3eqtrd ) BUAIZJBUBKZAFLZAIGLZA
      IMZWEHLWFCUENZKOZHBPNZUFZMZFGUGZUHZAWGWIHCUINZPNZUFZMZFGUGZUHAUJJUKIWCWDW
      NOULFGAWMWJWHBJCHWMQZDEWJQZWHQZUMUNWCWMWSAWCWLWRFGWCWKWQWGWCWIHWJWPWCBWOP
      WCJJUQKZRIZBWOOJJUQUOZBCXCUARDUPURUSUTVAVBZVCWCUCUDAWSJBXCVDKNZWCUCLZAIZU
      DLZAIZMZMCVEIZXHXGWSSZXGXJWSSZXHXJWSSWCXMXLWCCVFIZXMWCXDXPXEBCXCRDVGURZCV
      HVPTWCXIXNXKWCXIMWMWSXHXGWCWMWSOZXIXFTFGAWMWJWHXGBCXHHWTEXBXADXGQZVIVJVKW
      CXKXOXIWCXPXKXJXGWSSXOXQWCXKMWMWSXJXGWCXRXKXFTFGAWMWJWHXGBCXJHWTEXBXADXSV
      IVJFGAWSWOWHWPCXJXGHWSQZEWOQZXBWPQZVLVMVQFGAWSWOWHWPCXHXGXJHXTEYAXBYBVNVO
      WCXPAWSVRXQFGAWSWOWHWPCHXTEYAXBYBVSVPAXGBCEDXSVTWAWB $.
  $}

  $(
    TODO: The proof is that <. a , b , c , ... >. has either a = 0 or a =/= 0.
    Since <. 0 , b , c , ... >. .~ <. 0 , nb, nc , ... >., the case a = 0
    corresponds to the (n-1)-dimensional projective space.  When a =/= 0, there
    is <. a , b , c , ... >. .~ <. 1 , b/a, c/a, ... >.  Since the later terms
    are irreducible it corresponds to all (n-1)-tuples of ( Base ` K ) which is
    equivalent to the construction of an affine space.  Note that the closest
    definition to affine space so far seems to be ~ df-ehl , which is specific
    to reals.

    It would be nice to use ~ df-tcph and related theorems to easily
    standardize vectors to a length (norm) of one, but such definitions require
    the scalars to be a subset of the complex numbers.  While these theorems
    may ultimately be only used by subsets of the complex numbers, intermediate
    theorems without such a hypothesis are possible.

    The most relevant theorem for this seems to be ~ f1oun , but due to the
    definition of ordered pairs it is possible for a point in the affine space
    to be equal to a point in the projective space.  It seems the closest
    theorem possible is something like:

    prjspnenm1.f $e |- F = ??? $.
    prjspnenm1.g $e |- G = ??? $.
    @( The canonical bijection from an n-dimensional projective K-space onto
       the disjoint union of the n-dimensional affine K-space and the
       (n-1)-dimensional projective space (its "hypersurface at infinity").
       (Contributed by SN, ??-???-202?.) @)
    prjspnf1om1 @p |- ( ( N e. NN /\ K e. DivRing ) ->
      ( F u. G ) : ( N PrjSpn K ) -1-1-onto-> (
        ( ( K ^m ( 0 ... ( N - 1 ) ) ) |_| ( ( N - 1 ) PrjSpn K ) ) ) @=
      ? $.

    The actual necessity is to define a modular form.  The definition goes as
    follows: consider an ` N ` -variable polynomial ` P ` whose terms _have the
    same degree_.  Crucially, given a zero (an n-dimensional vector where ` P `
    applied to the vector gives zero), all scalar multiples of that zero are
    also zeroes.  So one can define the zeroes in _projective_ ` N ` -space
    for an ` N ` -variable homogeneous polynomial.

    A ` N - 1 ` -variable non-homogeneous polynomial ` Q ` can be converted to
    an ` N ` -variable homogeneous polynomial ` P ` by adding an argument ` a `
    and defining `` ( P ` <. a , x , y , z , ... >. ) `` =
    `` ( ( a ^ ( N - 1 ) ) .s ( Q ` <. x / a , y / a , z / a , ... >. ) ) `` .

    See Wikipedia _homogeneous polynomial_, _homogeneous function_, and
    _algebraic variety_ as well as ~ df-mhp.
  $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Basic reductions for Fermat's Last Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( TODO:
    @( Lemma for ~ dffltz .  If two or more terms are negative, then negating
       every term produces a solution with at most one negative term.
       (Contributed by Steven Nguyen, 6-Jun-2023.) @)
    dffltzlem @p |- ( n e. ( ZZ>= ` 3 ) -> (
      E. a e. ( ZZ \ { 0 } ) E. b e. ( ZZ \ { 0 } ) E. c e. ( ZZ \ { 0 } )
      ( ( a ^ n ) + ( b ^ n ) ) = ( c ^ n ) ->
      E. x e. NN E. y e. ( ZZ \ { 0 } ) E. z e. NN
      ( ( x ^ n ) + ( y ^ n ) ) = ( z ^ n ) ) ) @=
      ? @.
  $)

  ${
    $d n a b c x y z $.
    $( Fermat's Last Theorem (FLT) for nonzero integers is equivalent to the
       original scope of natural numbers.  The backwards direction takes
       ` ( a ^ n ) + ( b ^ n ) = ( c ^ n ) ` , and adds the negative of any
       negative term to both sides, thus creating the corresponding equation
       with only positive integers.  There are six combinations of negativity,
       so the proof is particularly long.  (Contributed by Steven Nguyen,
       27-Feb-2023.) $)
    dffltz $p |- ( A. n e. ( ZZ>= ` 3 ) A. x e. NN A. y e. NN A. z e. NN
      ( ( x ^ n ) + ( y ^ n ) ) =/= ( z ^ n ) <->
      A. n e. ( ZZ>= ` 3 ) A. a e. ( ZZ \ { 0 } ) A. b e. ( ZZ \ { 0 } )
      A. c e. ( ZZ \ { 0 } ) ( ( a ^ n ) + ( b ^ n ) ) =/= ( c ^ n ) ) $=
      ( cexp co caddc cn cz cc0 wceq wcel wa oveq1d 3syl 3eqtr4d adantl cv wral
      wne c3 cuz cfv csn cdif wrex wn c2 cdiv cabs clt cneg oveq1 eqeq1d oveq2d
      wbr cif eqeq2d simp-4r eldifi eldifsni jca nnabscl simp-6r eldifad simplr
      elnnz sylanbrc ad6antlr negn0nposznnd simp-7r ifclda ad7antlr ifcld simpr
      simpllr simp-5r ad5antlr syl2anc zred eluzge3nn ad7antr nnnn0d oexpreposd
      syl reexpcld mpbid mpbird simp-8r wo neneqd cc wb zcn mtbird mtbid lttrid
      ioran eqcomd cr absresq abscld recnd cn0 a1i expmuld oveq12d cmin simp-8l
      iftrue sylancl oexpneg syl3anc expcld negcld addcomd negsubd eqtrd 3eqtrd
      ad8antr addcanad iffalse pm2.61dan eqtr4d negeqd negdid expclzd rexlimdva
      2nn nne bicomi rexbii rexnal bitri wss ax-mp neeq1d addgt0d readdcld 0red
      breqtrd expeq0 eluzelz expne0d lt2addd 00id breqtrdi ltnsymd cmul simp-5l
      breq2d 2nn0 nncn 2cnd 2ne0 divcan2d cdvds nndivdvds nnnn0 mvrraddd subcld
      mvlraddd pncan3d addcld negidd addassd addid2d 3eqtr3d negnegd 3rspcedvdw
      pncand eqtr3d rexlimdva2 reximia 3imtr3i con4i wi dfn2 ssdif eqsstri ssel
      nn0ssz ss2ralv imim12d ralimdv2 neeq2d cbvral3vw sylib ralimi impbii ) AU
      AZDUAZHIZBUAZUWOHIZJIZCUAZUWOHIZUCZCKUBZBKUBZAKUBZDUDUEUFZUBZEUAZUWOHIZFU
      AZUWOHIZJIZGUAZUWOHIZUCZGLMUGZUHZUBZFUXQUBZEUXQUBZDUXFUBZUYAUXGUXLUXNNZGU
      XQUIZFUXQUIZEUXQUIZDUXFUIZUWSUXANZCKUIZBKUIZAKUIZDUXFUIZUYAUJZUXGUJZUYEUY
      JDUXFUWOUXFOZUYDUYJEUXQUYNUXHUXQOZPZUYCUYJFUXQUYPUXJUXQOZPZUYBUYJGUXQUYRU
      XMUXQOZPZUYBPZUYGUWOUKULIZKOZUXHUMUFZMUXHUNUSZMUXJUNUSZUXHMUXMUNUSZUXJUOZ
      UXHUTZUTZVUFVUGUXHUOZUXJUTZVUKUTZUTZUTZUWOHIZUWRJIZUXANVUPVUCUXJUMUFZVUEV
      UFUXJVUGUXMUXMUOZUTZUTZVUFVUTVUHUTZUTZUTZUWOHIZJIZUXANVVFVUCUXMUMUFZVUEVU
      FUXMVUGUXHVUHUTZUTZVUFVUGUXJVUKUTZVUSUTZUTZUTZUWOHIZNZABCVUOVVDVVMKKKUWNV
      UONZUWSVUQUXAVVPUWPVUPUWRJUWNVUOUWOHUPQUQUWQVVDNZVUQVVFUXAVVQUWRVVEVUPJUW
      QVVDUWOHUPURUQUWTVVMNUXAVVNVVFUWTVVMUWOHUPVAVUAVUCVUDVUNKVUAUYOUXHLOZUXHM
      UCZPVUDKOUYNUYOUYQUYSUYBVBUYOVVRVVSUXHLUXPVCZUXHLMVDZVEUXHVFRVUAVUEVUJVUM
      KVUAVUEPZVUFUXHVUIKVWBVUFPZVVRVUEUXHKOZVWCUXHLUXPUYNUYOUYQUYSUYBVUEVUFVGV
      HVUAVUEVUFVIUXHVJZVKVWBVUFUJZPZVUGVUHUXHKVWGVUGPZUXJUYQUXJMUCZUYPUYSUYBVU
      EVWFVUGUXJLMVDZVLVWBVWFVUGVIUYQUXJLOZUYPUYSUYBVUEVWFVUGUXJLUXPVCZVLVMVWGV
      UGUJZPZVVRVUEVWDVWNUXHLUXPUYNUYOUYQUYSUYBVUEVWFVWMVNVHVUAVUEVWFVWMVSVWEVK
      VOVOVUAVUEUJZPZVUFVULVUKKVWPVUFPZVUGVUKUXJKVWQVUGPZUXHUYOVVSUYNUYQUYSUYBV
      WOVUFVUGVWAVPVUAVWOVUFVUGVSUYOVVRUYNUYQUYSUYBVWOVUFVUGVVTVPVMVWQVWMPZVWKV
      UFUXJKOZVWSUXJLUXPUYPUYQUYSUYBVWOVUFVWMVGVHVWPVUFVWMVIUXJVJZVKVOVWPVWFPZU
      XHUYOVVSUYNUYQUYSUYBVWOVWFVWAVLVUAVWOVWFVIUYOVVRUYNUYQUYSUYBVWOVWFVVTVLVM
      VOVOVQVUAVUCVURVVCKVUAUYQVWKVWIPVURKOUYPUYQUYSUYBVSUYQVWKVWIVWLVWJVEUXJVF
      RVUAVUEVVAVVBKVWBVUFUXJVUTKVWCVWKVUFVWTVWCUXJLUXPUYPUYQUYSUYBVUEVUFVTVHVW
      BVUFVRVXAVKVWGVUGUXMVUSKVWHUXMLOZVUGUXMKOZVWHUXMLUXPUYRUYSUYBVUEVWFVUGVTV
      HVWGVUGVRUXMVJZVKVWNUXMUYSUXMMUCZUYRUYBVUEVWFVWMUXMLMVDZWAVWGVWMVRUYSVXCU
      YRUYBVUEVWFVWMUXMLUXPVCZWAVMVOVOVWPVUFVUTVUHKVWQVUGUXMVUSKVWRVXCVUGVXDVWR
      UXMLUXPUYRUYSUYBVWOVUFVUGVTVHVWQVUGVRVXEVKVWSUXMUYSVXFUYRUYBVWOVUFVWMVXGW
      AVWQVWMVRUYSVXCUYRUYBVWOVUFVWMVXHWAVMVOVXBUXJUYQVWIUYPUYSUYBVWOVWFVWJWAVW
      PVWFVRUYQVWKUYPUYSUYBVWOVWFVWLWAVMVOVOVQVUAVUCVVGVVLKVUAVUCPZVXCVXFVVGKOV
      XIUXMLUXPUYRUYSUYBVUCVSZVHZVXIUYSVXFVXJVXGWHUXMVFWBVUAVUCUJZPZVUEVVIVVKKV
      XMVUEPZVUFUXMVVHKVXNVUFPZVXCVUGVXDVXOUXMLUXPUYRUYSUYBVXLVUEVUFVTVHZVXOVUG
      MUXNUNUSZVXOMUXLUXNUNVXOUXIUXKVXOUXHUWOVXOUXHVXOUXHLUXPUYNUYOUYQUYSUYBVXL
      VUEVUFVNVHWCZVXOUWOUYNUWOKOZUYOUYQUYSUYBVXLVUEVUFUWOWDZWEZWFZWIVXOUXJUWOV
      XOUXJVXOUXJLUXPUYPUYQUYSUYBVXLVUEVUFVGVHWCZVYBWIVXOVUEMUXIUNUSZVXMVUEVUFV
      IVXOUWOUXHVXRVYAVUAVXLVUEVUFVSZWGWJVXOVUFMUXKUNUSZVXNVUFVRVXOUWOUXJVYCVYA
      VYEWGWJUUAUYTUYBVXLVUEVUFVBZUUDVXOUWOUXMVXOUXMVXPWCVYAVYEWGWKVXEVKVXNVWFP
      ZVUGUXHVUHKVYHVUGPZVVRVUEVWDVYIUXHLUXPUYNUYOUYQUYSUYBVXLVUEVWFVUGWLZVHVXM
      VUEVWFVUGVSVWEVKVYHVWMPZUXJVYKUYQVWIUYPUYQUYSUYBVXLVUEVWFVWMVNZVWJWHVXNVW
      FVWMVIVYKUXJLUXPVYLVHVMVOVOVXMVWOPZVUFVVJVUSKVYMVUFPZVUGUXJVUKKVYNVUGPZVW
      KVUFVWTVYOUXJLUXPUYPUYQUYSUYBVXLVWOVUFVUGVNZVHVYMVUFVUGVIVXAVKVYNVWMPZUXH
      VYQUYOVVSUYNUYOUYQUYSUYBVXLVWOVUFVWMWLZVWAWHVXMVWOVUFVWMVSVYQUXHLUXPVYRVH
      VMVOVYMVWFPZUXMVYSUYSVXFUYRUYSUYBVXLVWOVWFVTZVXGWHVYSVUGVXQVYSVXQMUXLUNUS
      VYSUXLMVYSUXIUXKVYSUXHUWOVYSUXHVYSUXHLUXPUYNUYOUYQUYSUYBVXLVWOVWFVNZVHWCZ
      VYSUWOUYNVXSUYOUYQUYSUYBVXLVWOVWFVXTWEZWFZWIZVYSUXJUWOVYSUXJVYSUXJLUXPUYP
      UYQUYSUYBVXLVWOVWFVGZVHWCZWUDWIZUUBVYSUUCZVYSUXLMMJIMUNVYSUXIUXKMMWUEWUHW
      UIWUIVYSUXIMUNUSUXIMNZVYDWMUJZVYSWUJUJVYDUJWUKVYSWUJUXHMNZVYSUYOWULUJWUAU
      YOUXHMVWAWNWHVYSUXHWOOZVXSWUJWULWPVYSUYOVVRWUMWUAVVTUXHWQZRZWUCUXHUWOUUEW
      BWRVYSVUEVYDVXMVWOVWFVIVYSUWOUXHWUBWUCVUAVXLVWOVWFVSZWGWSWUJVYDXAVKVYSUXI
      MWUEWUIWTWKVYSUXKMUNUSUXKMNZVYFWMUJZVYSWUQUJVYFUJWURVYSUXKMVYSUXJUWOVYSUY
      QVWKUXJWOOZWUFVWLUXJWQZRZVYSUYQVWIWUFVWJWHZUYNUWOLOUYOUYQUYSUYBVXLVWOVWFU
      DUWOUUFWEZUUGWNVYSVUFVYFVYMVWFVRVYSUWOUXJWUGWUCWUPWGWSWUQVYFXAVKVYSUXKMWU
      HWUIWTWKUUHUUIUUJUUKVYSUXNUXLMUNVYSUXLUXNUYTUYBVXLVWOVWFVBZXBUUNWRVYSUWOU
      XMVYSUXMVYSUXMLUXPVYTVHZWCWUCWUPWGWRWVEVMVOVOVOVUAVUCVVOVXIVUDUWOHIZVURUW
      OHIZJIZVVGUWOHIZVVFVVNVXIUXLUXNWVHWVIUYTUYBVUCVIVXIWVFUXIWVGUXKJVXIVUDUKV
      UBUULIZHIZUXHWVJHIZWVFUXIVXIVUDUKHIZVUBHIUXHUKHIZVUBHIWVKWVLVXIWVMWVNVUBH
      VXIUXHXCOWVMWVNNVXIUXHVXIUXHLUXPUYNUYOUYQUYSUYBVUCVTZVHWCUXHXDWHQVXIVUDUK
      VUBVXIVUDVXIUXHVXIUYOVVRWUMWVOVVTWUNRZXEXFVXIVUBVUAVUCVRWFZUKXGOVXIUUOXHZ
      XIVXIUXHUKVUBWVPWVQWVRXISVXIUWOWVJVUDHVXIWVJUWOVXIUWOUKVXIUYNVXSUWOWOOUYN
      UYOUYQUYSUYBVUCUUMVXTUWOUUPRVXIUUQUKMUCVXIUURXHUUSXBZURVXIUWOWVJUXHHWVSUR
      SVXIVURWVJHIZUXJWVJHIZWVGUXKVXIVURUKHIZVUBHIUXJUKHIZVUBHIWVTWWAVXIWWBWWCV
      UBHVXIUXJXCOWWBWWCNVXIUXJVXIUXJLUXPUYPUYQUYSUYBVUCVBZVHWCUXJXDWHQVXIVURUK
      VUBVXIVURVXIUXJVXIUYQVWKWUSWWDVWLWUTRZXEXFWVQWVRXIVXIUXJUKVUBWWEWVQWVRXIS
      VXIUWOWVJVURHWVSURVXIUWOWVJUXJHWVSURSXJVXIVVGWVJHIZUXMWVJHIZWVIUXNVXIVVGU
      KHIZVUBHIUXMUKHIZVUBHIWWFWWGVXIWWHWWIVUBHVXIUXMXCOWWHWWINVXIUXMVXKWCUXMXD
      WHQVXIVVGUKVUBVXIVVGVXIUXMVXIUYSVXCUXMWOOZVXJVXHUXMWQZRZXEXFWVQWVRXIVXIUX
      MUKVUBWWLWVQWVRXISVXIUWOWVJVVGHWVSURVXIUWOWVJUXMHWVSURSSVUCVVFWVHNVUAVUCV
      UPWVFVVEWVGJVUCVUOVUDUWOHVUCVUDVUNXMQVUCVVDVURUWOHVUCVURVVCXMQXJTVUCVVNWV
      INVUAVUCVVMVVGUWOHVUCVVGVVLXMQTSVXMVUNUWOHIZVVCUWOHIZJIZVVLUWOHIZVVFVVNVX
      MVUEWWOWWPNVXNVUJUWOHIZVVAUWOHIZJIZVVIUWOHIZWWOWWPVXNVUFWWSWWTNVXOUXLUXNW
      WSWWTVYGVUFWWSUXLNVXNVUFWWQUXIWWRUXKJVUFVUJUXHUWOHVUFUXHVUIXMQVUFVVAUXJUW
      OHVUFUXJVUTXMQXJTVUFWWTUXNNVXNVUFVVIUXMUWOHVUFUXMVVHXMQTSVYHVUIUWOHIZVUTU
      WOHIZJIZVVHUWOHIZWWSWWTVYHVUGWXCWXDNVYIVUHUWOHIZUXNJIZUXIWXCWXDVYIWXFUXKU
      OZUXNJIZUXNUXKXKIZUXIVYIWXEWXGUXNJVYIWUSVXSUKUWOUUTUSZUJZWXEWXGNZVYIUYQVW
      KWUSUYPUYQUYSUYBVXLVUEVWFVUGVNVWLWUTRZVYIUYNVXSUYNUYOUYQUYSUYBVXLVUEVWFVU
      GXLZVXTWHZVYIWXJVUCVUAVXLVUEVWFVUGVBVYIVXSUKKOZWXJVUCWPZWXOYLUWOUKUVAZXNW
      RUXJUWOXOZXPQVYIWXHUXNWXGJIZWXIVYIWXGUXNVYIUXKVYIUXJUWOWXMVYIUYNVXSUWOXGO
      ZWXNVXTUWOUVBZRZXQZXRVYIUXMUWOVYIUYSVXCWWJUYRUYSUYBVXLVUEVWFVUGVGVXHWWKRW
      YCXQZXSVYIUXNUXKWYEWYDXTYAVYIUXNUXIUXKVYIUXHUWOVYIUYOVVRWUMVYJVVTWUNRWYCX
      QWYDVYIUXLUXNUYTUYBVXLVUEVWFVUGVTXBUVCYBVUGWXCWXFNVYHVUGWXAWXEWXBUXNJVUGV
      UIVUHUWOHVUGVUHUXHXMQVUGVUTUXMUWOHVUGUXMVUSXMQZXJTVUGWXDUXINVYHVUGVVHUXHU
      WOHVUGUXHVUHXMQTSVYKUXIVUSUWOHIZJIZWXEWXCWXDVYKUXIUXNUOZJIZWXGWYHWXEVYKWY
      JUXIUXNXKIZWXGVYKUXIUXNVYKUXHUWOVYKUYOVVRWUMUYNUYOUYQUYSUYBVXLVUEVWFVWMWL
      VVTWUNRVYKUWOUYNVXSUYOUYQUYSUYBVXLVUEVWFVWMVXTYCZWFZXQZVYKUXMUWOVYKUYSVXC
      WWJUYRUYSUYBVXLVUEVWFVWMVGVXHWWKRZWYMXQZXTVYKUXNWYKWXGWYPVYKUXIUXNWYNWYPU
      VDVYKUXKVYKUXJUWOVYKUYQVWKWUSVYLVWLWUTRZWYMXQZXRVYKUXIWXIUXNWYKJIWXTVYKUX
      IUXKUXNWYNWYRUYTUYBVXLVUEVWFVWMVTUVEVYKUXNUXIWYPWYNUVFVYKUXNUXKWYPWYRXTSY
      DYAVYKWYGWYIUXIJVYKWWJVXSWXKWYGWYINZWYOWYLVYKWXJVUCVUAVXLVUEVWFVWMVBVYKVX
      SWXPWXQWYLYLWXRXNWRZUXMUWOXOZXPURVYKWUSVXSWXKWXLWYQWYLWYTWXSXPSVWMWXCWYHN
      VYHVWMWXAUXIWXBWYGJVWMVUIUXHUWOHVUGVUHUXHYEQVWMVUTVUSUWOHVUGUXMVUSYEQZXJT
      VWMWXDWXENVYHVWMVVHVUHUWOHVUGUXHVUHYEQTSYFVWFWWSWXCNVXNVWFWWQWXAWWRWXBJVW
      FVUJVUIUWOHVUFUXHVUIYEQVWFVVAVUTUWOHVUFUXJVUTYEQXJTVWFWWTWXDNVXNVWFVVIVVH
      UWOHVUFUXMVVHYEQTSYFVUEWWOWWSNVXMVUEWWMWWQWWNWWRJVUEVUNVUJUWOHVUEVUJVUMXM
      QVUEVVCVVAUWOHVUEVVAVVBXMQXJTVUEWWPWWTNVXMVUEVVLVVIUWOHVUEVVIVVKXMQTSVYMV
      UMUWOHIZVVBUWOHIZJIZVVKUWOHIZWWOWWPVYMVUFXUEXUFNVYNVULUWOHIZWXBJIZVVJUWOH
      IZXUEXUFVYNVUGXUHXUINVYOVUKUWOHIZUXNJIZUXKXUHXUIVYOXUKUXIUOZUXNJIZUXKVYOX
      UJXULUXNJVYOWUMVXSWXKXUJXULNZVYOUYOVVRWUMUYNUYOUYQUYSUYBVXLVWOVUFVUGWLVVT
      WUNRZUYNVXSUYOUYQUYSUYBVXLVWOVUFVUGVXTYCZVYOWXJVUCVUAVXLVWOVUFVUGVBVYOVXS
      WXPWXQXUPYLWXRXNWRUXHUWOXOZXPQVYOUXIXUMUXKVYOUXHUWOXUOVYOUWOXUPWFZXQZVYOX
      ULUXNVYOUXIXUSXRZVYOUXMUWOVYOUYSVXCWWJUYRUYSUYBVXLVWOVUFVUGVGVXHWWKRXURXQ
      ZUVGVYOUXJUWOVYOUYQVWKWUSVYPVWLWUTRXURXQVYOUXIXUMJIZUXNUXLVYOUXIXULJIZUXN
      JIMUXNJIXVBUXNVYOXVCMUXNJVYOUXIXUSUVHQVYOUXIXULUXNXUSXUTXVAUVIVYOUXNXVAUV
      JUVKUYTUYBVXLVWOVUFVUGVTYGYDYAVUGXUHXUKNVYNVUGXUGXUJWXBUXNJVUGVULVUKUWOHV
      UGVUKUXJXMQWYFXJTVUGXUIUXKNVYNVUGVVJUXJUWOHVUGUXJVUKXMQTSVYQUXKWYGJIZXUJX
      UHXUIVYQWXHUOZXULXVDXUJVYQWXHUXIVYQWXHWXTWXIUXIVYQWXGUXNVYQUXKVYQUXJUWOVY
      QUYQVWKWUSUYPUYQUYSUYBVXLVWOVUFVWMVNVWLWUTRVYQUYNVXSWYAUYNUYOUYQUYSUYBVXL
      VWOVUFVWMXLZVXTWYBRZXQZXRZVYQUXMUWOVYQUYSVXCWWJUYRUYSUYBVXLVWOVUFVWMVGVXH
      WWKRZXVGXQZXSVYQUXNUXKXVKXVHXTVYQUXLUXKXKIWXIUXIVYQUXLUXNUXKXKUYTUYBVXLVW
      OVUFVWMVTQVYQUXIUXKVYQUXHUWOVYQUYOVVRWUMVYRVVTWUNRZXVGXQXVHUVNUVOYBYHVYQU
      XKWYIJIWXGUOZWYIJIXVDXVEVYQUXKXVMWYIJVYQXVMUXKVYQUXKXVHUVLXBQVYQWYGWYIUXK
      JVYQWWJVXSWXKWYSXVJVYQUYNVXSXVFVXTWHZVYQWXJVUCVUAVXLVWOVUFVWMVBVYQVXSWXPW
      XQXVNYLWXRXNWRZXUAXPURVYQWXGUXNXVIXVKYISVYQWUMVXSWXKXUNXVLXVNXVOXUQXPSVWM
      XUHXVDNVYNVWMXUGUXKWXBWYGJVWMVULUXJUWOHVUGVUKUXJYEQXUBXJTVWMXUIXUJNVYNVWM
      VVJVUKUWOHVUGUXJVUKYEQTSYFVUFXUEXUHNVYMVUFXUCXUGXUDWXBJVUFVUMVULUWOHVUFVU
      LVUKXMQVUFVVBVUTUWOHVUFVUTVUHXMQXJTVUFXUFXUINVYMVUFVVKVVJUWOHVUFVVJVUSXMQ
      TSVYSXUJWXEJIZWYGXUEXUFVYSUXLUOZWYIXVPWYGVYSUXLUXNWVDYHVYSXVPXULWXGJIXVQV
      YSXUJXULWXEWXGJVYSWUMVXSWXKXUNWUOWUCVYSWXJVUCWUPVYSVXSWXPWXQWUCYLWXRXNWRZ
      XUQXPVYSWUSVXSWXKWXLWVAWUCXVRWXSXPXJVYSUXIUXKVYSUXHUWOWUOVYSUYOVVSWUAVWAW
      HWVCYJVYSUXJUWOWVAWVBWVCYJYIYGVYSWWJVXSWXKWYSVYSUYSVXCWWJVYTVXHWWKRWUCXVR
      XUAXPSVWFXUEXVPNVYMVWFXUCXUJXUDWXEJVWFVUMVUKUWOHVUFVULVUKYEQVWFVVBVUHUWOH
      VUFVUTVUHYEQXJTVWFXUFWYGNVYMVWFVVKVUSUWOHVUFVVJVUSYEQTSYFVWOWWOXUENVXMVWO
      WWMXUCWWNXUDJVWOVUNVUMUWOHVUEVUJVUMYEQVWOVVCVVBUWOHVUEVVAVVBYEQXJTVWOWWPX
      UFNVXMVWOVVLVVKUWOHVUEVVIVVKYEQTSYFVXLVVFWWONVUAVXLVUPWWMVVEWWNJVXLVUOVUN
      UWOHVUCVUDVUNYEQVXLVVDVVCUWOHVUCVURVVCYEQXJTVXLVVNWWPNVUAVXLVVMVVLUWOHVUC
      VVGVVLYEQTSYFUVMUVPYKYKUVQUYFUXTUJZDUXFUIUYLUYEXVSDUXFUYEUXSUJZEUXQUIXVSU
      YDXVTEUXQUYDUXRUJZFUXQUIXVTUYCXWAFUXQUYCUXOUJZGUXQUIXWAUYBXWBGUXQXWBUYBUX
      LUXNYMYNYOUXOGUXQYPYQYOUXRFUXQYPYQYOUXSEUXQYPYQYOUXTDUXFYPYQUYKUXEUJZDUXF
      UIUYMUYJXWCDUXFUYJUXDUJZAKUIXWCUYIXWDAKUYIUXCUJZBKUIXWDUYHXWEBKUYHUXBUJZC
      KUIXWEUYGXWFCKXWFUYGUWSUXAYMYNYOUXBCKYPYQYOUXCBKYPYQYOUXDAKYPYQYOUXEDUXFY
      PYQUVRUVSUXTUXEDUXFUXTUXOGKUBFKUBZEKUBZUXEKUXQYRZUXTXWHUVTKXGUXPUHZUXQUWA
      XGLYRXWJUXQYRUWEXGLUXPUWBYSUWCXWIUXSXWGEUXQKXWIVWDUYOUXSXWGKUXQUXHUWDUXOF
      GKUXQUWFUWGUWHYSUXOUXBUWPUXKJIZUXNUCUWSUXNUCEFGABCKKKUXHUWNNZUXLXWKUXNXWL
      UXIUWPUXKJUXHUWNUWOHUPQYTUXJUWQNZXWKUWSUXNXWMUXKUWRUWPJUXJUWQUWOHUPURYTUX
      MUWTNUXNUXAUWSUXMUWTUWOHUPUWIUWJUWKUWLUWM $.
  $}

  ${
    fltmul.s $e |- ( ph -> S e. CC ) $.
    fltmul.a $e |- ( ph -> A e. CC ) $.
    fltmul.b $e |- ( ph -> B e. CC ) $.
    fltmul.c $e |- ( ph -> C e. CC ) $.
    fltmul.n $e |- ( ph -> N e. NN0 ) $.
    fltmul.1 $e |- ( ph -> ( ( A ^ N ) + ( B ^ N ) ) = ( C ^ N ) ) $.
    $( A counterexample to FLT stays valid when scaled.  The hypotheses are
       more general than they need to be for convenience.  (There does not seem
       to be a standard term for Fermat or Pythagorean triples extended to any
       ` N e. NN0 ` , so the label is more about the context in which this
       theorem is used).  (Contributed by SN, 20-Aug-2024.) $)
    fltmul $p |- ( ph
       -> ( ( ( S x. A ) ^ N ) + ( ( S x. B ) ^ N ) ) = ( ( S x. C ) ^ N ) ) $=
      ( cexp co cmul caddc expcld adddid oveq2d mulexpd eqtr3d oveq12d 3eqtr4d
      ) AEFMNZBFMNZONZUDCFMNZONZPNZUDDFMNZONZEBONFMNZECONFMNZPNEDONFMNAUDUEUGPN
      ZONUIUKAUDUEUGAEFGKQABFHKQACFIKQRAUNUJUDOLSUAAULUFUMUHPAEBFGHKTAECFGIKTUB
      AEDFGJKTUC $.
  $}

  ${
    fltdiv.s $e |- ( ph -> S e. CC ) $.
    fltdiv.0 $e |- ( ph -> S =/= 0 ) $.
    fltdiv.a $e |- ( ph -> A e. CC ) $.
    fltdiv.b $e |- ( ph -> B e. CC ) $.
    fltdiv.c $e |- ( ph -> C e. CC ) $.
    fltdiv.n $e |- ( ph -> N e. NN0 ) $.
    fltdiv.1 $e |- ( ph -> ( ( A ^ N ) + ( B ^ N ) ) = ( C ^ N ) ) $.
    $( A counterexample to FLT stays valid when scaled.  The hypotheses are
       more general than they need to be for convenience.  (Contributed by SN,
       20-Aug-2024.) $)
    fltdiv $p |- ( ph
       -> ( ( ( A / S ) ^ N ) + ( ( B / S ) ^ N ) ) = ( ( C / S ) ^ N ) ) $=
      ( cexp co cdiv caddc expcld nn0zd expdivd expne0d divdird oveq12d 3eqtr4d
      oveq1d eqtr3d ) ABFNOZEFNOZPOZCFNOZUHPOZQOZDFNOZUHPOZBEPOFNOZCEPOFNOZQODE
      POFNOAUGUJQOZUHPOULUNAUGUJUHABFILRACFJLRAEFGLRAEFGHAFLSUAUBAUQUMUHPMUEUFA
      UOUIUPUKQABEFIGHLTACEFJGHLTUCADEFKGHLTUD $.
  $}

  ${
    flt0.a $e |- ( ph -> A e. CC ) $.
    flt0.b $e |- ( ph -> B e. CC ) $.
    flt0.c $e |- ( ph -> C e. CC ) $.
    flt0.n $e |- ( ph -> N e. NN0 ) $.
    flt0.1 $e |- ( ph -> ( ( A ^ N ) + ( B ^ N ) ) = ( C ^ N ) ) $.
    $( A counterexample for FLT does not exist for ` N = 0 ` .  (Contributed by
       SN, 20-Aug-2024.) $)
    flt0 $p |- ( ph -> N e. NN ) $=
      ( wcel cc0 wne cexp co caddc c1 exp0d wceq oveq2 cn0 cn c2 sn-1ne2 necomi
      1p1e2 eqnetri a1i oveq12d 3netr4d eqeq12d syl5ibcom imp mteqand sylanbrc
      elnnne0 ) AEUAKELMEUBKIAELBLNOZCLNOZPOZDLNOZAQQPOZQUSUTVAQMAVAUCQUFQUCUDU
      EUGUHAUQQURQPABFRACGRUIADHRUJAELSZUSUTSZABENOZCENOZPOZDENOZSVBVCJVBVFUSVG
      UTVBVDUQVEURPELBNTELCNTUIELDNTUKULUMUNEUPUO $.
  $}

  ${
    fltdvdsabdvdsc.a $e |- ( ph -> A e. NN ) $.
    fltdvdsabdvdsc.b $e |- ( ph -> B e. NN ) $.
    fltdvdsabdvdsc.c $e |- ( ph -> C e. NN ) $.
    fltdvdsabdvdsc.n $e |- ( ph -> N e. NN ) $.
    fltdvdsabdvdsc.1 $e |- ( ph -> ( ( A ^ N ) + ( B ^ N ) ) = ( C ^ N ) ) $.
    $( Any factor of both ` A ` and ` B ` also divides ` C ` .  This
       establishes the validity of ~ fltabcoprmex .  (Contributed by SN,
       21-Aug-2024.) $)
    fltdvdsabdvdsc $p |- ( ph -> ( A gcd B ) || C ) $=
      ( co cdvds wbr cexp cn wcel syl2anc nnexpcld nnzd cz caddc gcdnncl nnnn0d
      wa gcddvds simpld dvdsexpad simprd dvds2addd breqtrd wb dvdsexpnn syl3anc
      cgcd mpbird ) ABCUNKZDLMZUPENKZDENKZLMZAURBENKZCENKZUAKUSLAURVAVBAURAUPEA
      BOPCOPUPOPZFGBCUBQZAEIUCZRSAVAABEFVERSAVBACEGVERSAUPBEAUPVDSZABFSZVEAUPBL
      MZUPCLMZABTPCTPVHVIUDVGACGSZBCUEQZUFUGAUPCEVFVJVEAVHVIVKUHUGUIJUJAVCDOPEO
      PUQUTUKVDHIUPDEULUMUO $.
  $}

  ${
    fltabcoprmex.a $e |- ( ph -> A e. NN ) $.
    fltabcoprmex.b $e |- ( ph -> B e. NN ) $.
    fltabcoprmex.c $e |- ( ph -> C e. NN ) $.
    fltabcoprmex.n $e |- ( ph -> N e. NN0 ) $.
    fltabcoprmex.1 $e |- ( ph -> ( ( A ^ N ) + ( B ^ N ) ) = ( C ^ N ) ) $.
    $( A counterexample to FLT implies a counterexample to FLT with ` A , B `
       (assigned to ` A / ( A gcd B ) ` and ` B / ( A gcd B ) ` ) coprime (by
       ~ divgcdcoprm0 ).  (Contributed by SN, 20-Aug-2024.) $)
    fltabcoprmex $p |- ( ph -> ( ( ( A / ( A gcd B ) ) ^ N )
                             + ( ( B / ( A gcd B ) ) ^ N ) )
                             = ( ( C / ( A gcd B ) ) ^ N ) ) $=
      ( cgcd co cn wcel gcdnncl syl2anc nncnd nnne0d fltdiv ) ABCDBCKLZEATABMNC
      MNTMNFGBCOPZQATUARABFQACGQADHQIJS $.

    $d A i $.  $d B i $.  $d C i $.  $d ph i $.
    fltaccoprm.1 $e |- ( ph -> ( A gcd B ) = 1 ) $.
    $( A counterexample to FLT with ` A , B ` coprime also has ` A , C `
       coprime.  (Contributed by SN, 20-Aug-2024.) $)
    fltaccoprm $p |- ( ph -> ( A gcd C ) = 1 ) $=
      ( vi cdvds wbr wa cn co wcel cz nnzd cv c1 wceq wi wral cgcd wb coprmgcdb
      syl2anc mpbird simprl cexp simpr adantr dvdsexpim syl3anc anim12d ancomsd
      cmin cn0 imp nnexpcld ad2antrr dvds2sub mpd nncnd expcld laddrotrd simplr
      breqtrd flt0 dvdsexpnn jca ex imim1d ralimdva mpbid ) ALUAZBMNZVRDMNZOZVR
      UBUCZUDZLPUEZBDUFQUBUCZAVSVRCMNZOZWBUDZLPUEZWDAWIBCUFQUBUCZKABPRZCPRZWIWJ
      UGFGBCLUHUIUJAWHWCLPAVRPRZOZWAWGWBWNWAWGWNWAOZVSWFWNVSVTUKWOWFVREULQZCEUL
      QZMNZWOWPDEULQZBEULQZUSQZWQMWOWPWSMNZWPWTMNZOZWPXAMNZWNWAXDWNVTVSXDWNVTXB
      VSXCWNVRSRZDSRZEUTRZVTXBUDWNVRAWMUMZTZAXGWMADHTUNAXHWMIUNZVRDEUOUPWNXFBSR
      ZXHVSXCUDXJAXLWMABFTUNXKVRBEUOUPUQURVAWOWPSRZWSSRZWTSRZXDXEUDWNXMWAWNWPWN
      VREXIXKVBTUNAXNWMWAAWSADEHIVBTVCAXOWMWAAWTABEFIVBTVCWPWSWTVDUPVEAXAWQUCWM
      WAAWTWQWSABEABFVFZIVGACEACGVFZIVGJVHVCVJWOWMWLEPRZWFWRUGAWMWAVIAWLWMWAGVC
      AXRWMWAABCDEXPXQADHVFIJVKVCVRCEVLUPUJVMVNVOVPVEAWKDPRWDWEUGFHBDLUHUIVQ $.

    $( A counterexample to FLT with ` A , B ` coprime also has ` B , C `
       coprime.  Proven from ~ fltaccoprm using commutativity of addition.
       (Contributed by SN, 20-Aug-2024.) $)
    fltbccoprm $p |- ( ph -> ( B gcd C ) = 1 ) $=
      ( cexp co caddc nnexpcld nncnd addcomd eqtrd cgcd nnzd gcdcomd fltaccoprm
      c1 ) ACBDEGFHIACELMZBELMZNMUEUDNMDELMAUDUEAUDACEGIOPAUEABEFIOPQJRACBSMBCS
      MUCACBACGTABFTUAKRUB $.
  $}

  ${
    $d A i $.  $d B i $.  $d C i $.  $d ph i $.
    fltabcoprm.a $e |- ( ph -> A e. NN ) $.
    fltabcoprm.b $e |- ( ph -> B e. NN ) $.
    fltabcoprm.c $e |- ( ph -> C e. NN ) $.
    fltabcoprm.2 $e |- ( ph -> ( A gcd C ) = 1 ) $.
    fltabcoprm.3 $e |- ( ph -> ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) ) $.
    $( A counterexample to FLT with ` A , C ` coprime also has ` A , B `
       coprime.  Converse of ~ fltaccoprm .  (Contributed by SN,
       22-Aug-2024.) $)
    fltabcoprm $p |- ( ph -> ( A gcd B ) = 1 ) $=
      ( vi cdvds wbr wa wceq cn co wcel wb syl2anc c2 cv c1 wral cgcd coprmgcdb
      wi mpbird simprl cexp caddc simplr nnsqcld nnzd ad2antrr dvdssqlem simprr
      mpbid dvds2addd breqtrd jca ex imim1d ralimdva mpd ) AJUAZBKLZVECKLZMZVEU
      BNZUFZJOUCZBCUDPUBNZAVFVEDKLZMZVIUFZJOUCZVKAVPBDUDPUBNZHABOQZDOQZVPVQREGB
      DJUESUGAVOVJJOAVEOQZMZVHVNVIWAVHVNWAVHMZVFVMWAVFVGUHZWBVMVETUIPZDTUIPZKLZ
      WBWDBTUIPZCTUIPZUJPZWEKWBWDWGWHWBWDWBVEAVTVHUKZULUMWBWGWBBAVRVTVHEUNZULUM
      WBWHWBCACOQZVTVHFUNZULUMWBVFWDWGKLZWCWBVTVRVFWNRWJWKVEBUOSUQWBVGWDWHKLZWA
      VFVGUPWBVTWLVGWORWJWMVECUOSUQURAWIWENVTVHIUNUSWBVTVSVMWFRWJAVSVTVHGUNVEDU
      OSUGUTVAVBVCVDAVRWLVKVLREFBCJUESUQ $.
  $}

  ${
    $d ph x z $.  $d ps x z $.  $d ch y $.  $d th y $.  $d S x y z $.
    infdesc.x $e |- ( y = x -> ( ps <-> ch ) ) $.
    infdesc.z $e |- ( y = z -> ( ps <-> th ) ) $.
    infdesc.s $e |- ( ph -> S C_ ( ZZ>= ` M ) ) $.
    infdesc.1 $e |-
        ( ( ph /\ ( x e. S /\ ch ) ) -> E. z e. S ( th /\ z < x ) ) $.
    $( Infinite descent.  The hypotheses say that ` S ` is lower bounded, and
       that if ` ps ` holds for an integer in ` S ` , it holds for a smaller
       integer in ` S ` .  By infinite descent, eventually we cannot go any
       smaller, therefore ` ps ` holds for no integer in ` S ` .  (Contributed
       by SN, 20-Aug-2024.) $)
    infdesc $p |- ( ph -> { y e. S | ps } = (/) ) $=
      ( c0 wn wa wral wrex wcel cr crab wne df-ne cv cle wbr cuz cfv wss ssrab2
      wceq sstrid uzwo sylan elrab wb uzssre sstrdi adantr sselda ltnled anbi2d
      clt rexbidva adantrr sylan2b rexrab sylibr ralrimiva rexnal ralbii ralnex
      mpbid bitri sylib pm2.21dd sylan2br pm2.18da ) ABFHUAZNUKZVTOAVSNUBZVTVSN
      UCAWAPEUDZGUDZUEUFZGVSQZEVSRZVTAVSIUGUHZUIWAWFAVSHWGBFHUJLULVSEGIUMUNAWFO
      ZWAAWDOZGVSRZEVSQZWHAWJEVSAWBVSSZPDWIPZGHRZWJWLAWBHSZCPZWNBCFWBHJUOAWPPDW
      CWBVCUFZPZGHRZWNMAWOWSWNUPCAWOPZWRWMGHWTWCHSZPZWQWIDXBWCWBWTHTWCAHTUIWOAH
      WGTLIUQURZUSUTWTWBTSXAAHTWBXCUTUSVAVBVDVEVMVFBDWIGFHKVGVHVIWKWEOZEVSQWHWJ
      XDEVSWDGVSVJVKWEEVSVLVNVOUSVPVQVR $.
  $}

  ${
    fltne.a $e |- ( ph -> A e. NN ) $.
    fltne.b $e |- ( ph -> B e. NN ) $.
    fltne.c $e |- ( ph -> C e. NN ) $.
    fltne.n $e |- ( ph -> N e. ( ZZ>= ` 2 ) ) $.
    fltne.1 $e |- ( ph -> ( ( A ^ N ) + ( B ^ N ) ) = ( C ^ N ) ) $.
    $( If a counterexample to FLT exists, its addends are not equal.
       (Contributed by SN, 1-Jun-2023.) $)
    fltne $p |- ( ph -> A =/= B ) $=
      ( c2 cdiv co cq wcel wceq cn adantr cexp nncnd c1 ccxp wne cprime cuz cfv
      wn cr cdif 2prm rtprmirr sylancr eldifbd nnzd znq syl2anc eleq1a necon3bd
      wi cz syl mpd crp 2rp a1i eluz2nn nnrecred rpcxpcld nnrpd rpdivcld nnnn0d
      wa nnexpcld 2cnd nnne0d caddc times2d simpr oveq1d oveq2d 3eqtrd mvllmuld
      cmul cc 2cn cxproot expdivd 3eqtr4d exp11nnd mteqand ) ABCKUAELMZUBMZDBLM
      ZAWLNOZUGWLWMUCAWLUHNAKUDOEKUEUFOZWLUHNUIOUJIKEUKULUMAWNWLWMAWMNOZWLWMPWN
      USADUTOBQOWPADHUNFDBUOUPWMNWLUQVAURVBABCPZVLZWLWMEAWLVCOWQAKWKKVCOAVDVEAE
      AWOEQOZIEVFVAZVGVHRAWMVCOWQADBADHVIABFVIVJRAWSWQWTRWRKDESMZBESMZLMZWLESMZ
      WMESMZWRXBKXAWRXBAXBQOWQABEFAEWTVKZVMZRZTWRVNWRXBXHVOWRXBKWCMZXBXBVPMZXBC
      ESMZVPMZXAAXIXJPWQAXBAXBXGTVQRWRXBXKXBVPWRBCESAWQVRVSVTAXLXAPWQJRWAWBAXDK
      PZWQAKWDOWSXMWEWTKEWFULRAXEXCPWQADBEADHTABFTABFVOXFWGRWHWIWJ $.
  $}

  ${
    flt4lem.a $e |- ( ph -> A e. CC ) $.
    $( Raising a number to the fourth power is equivalent to squaring it twice.
       (Contributed by SN, 21-Aug-2024.) $)
    flt4lem $p |- ( ph -> ( A ^ 4 ) = ( ( A ^ 2 ) ^ 2 ) ) $=
      ( c4 cexp co c2 cmul 2t2e4 oveq2i cn0 wcel 2nn0 a1i expmuld eqtr3id ) ABD
      EFBGGHFZEFBGEFGEFQDBEIJABGGCGKLAMNZROP $.
  $}

  ${
    flt4lem1.a $e |- ( ph -> A e. NN ) $.
    flt4lem1.b $e |- ( ph -> B e. NN ) $.
    flt4lem1.c $e |- ( ph -> C e. NN ) $.
    flt4lem1.1 $e |- ( ph -> -. 2 || A ) $.
    flt4lem1.2 $e |- ( ph -> ( A gcd C ) = 1 ) $.
    flt4lem1.3 $e |- ( ph -> ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) ) $.
    $( Satisfy the antecedent used in several ~ pythagtrip lemmas, with
       ` A , C ` coprime rather than ` A , B ` .  (Contributed by SN,
       21-Aug-2024.) $)
    flt4lem1 $p |- ( ph -> ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
                           ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) /\
                           ( ( A gcd B ) = 1 /\ -. 2 || A ) ) ) $=
      ( cn wcel w3a c2 cexp co caddc wceq cgcd 3jca c1 cdvds wbr fltabcoprm jca
      wn wa ) ABKLZCKLZDKLZMBNOPCNOPQPDNOPRBCSPUARZNBUBUCUFZUGAUHUIUJEFGTJAUKUL
      ABCDEFGIJUDHUET $.
  $}

  ${
    $d A i $.  $d B i $.  $d C i $.  $d ph i $.
    flt4lem2.a $e |- ( ph -> A e. NN ) $.
    flt4lem2.b $e |- ( ph -> B e. NN ) $.
    flt4lem2.c $e |- ( ph -> C e. NN ) $.
    flt4lem2.1 $e |- ( ph -> 2 || A ) $.
    flt4lem2.2 $e |- ( ph -> ( A gcd C ) = 1 ) $.
    flt4lem2.3 $e |- ( ph -> ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) ) $.
    $( If ` A ` is even, ` B ` is odd.  (Contributed by SN, 22-Aug-2024.) $)
    flt4lem2 $p |- ( ph -> -. 2 || B ) $=
      ( vi c2 cdvds wbr wa wcel cz adantr cn nnzd cgcd co c1 wceq wn wne cv cuz
      cfv wrex breq1 anbi12d 2z uzid ax-mp a1i gcdnncl syl2anc simpr wi dvdsgcd
      syl3anc mp2and fltdvdsabdvdsc dvdstrd rspcedvdw wb ncoprmgcdne1b mpbid ex
      2nn jca necon2bd mpd ) ABDUAUBZUCUDLCMNZUEIAVPVOUCAVPVOUCUFZAVPOZKUGZBMNZ
      VSDMNZOZKLUHUIZUJZVQVRWBLBMNZLDMNZOKLWCVSLUDVTWEWAWFVSLBMUKVSLDMUKULLWCPZ
      VRLQPZWGUMLUNUOUPVRWEWFAWEVPHRZVRLBCUAUBZDWHVRUMUPZAWJQPVPAWJABSPZCSPWJSP
      EFBCUQURTRVRDADSPZVPGRZTVRWEVPLWJMNZWIAVPUSVRWHBQPCQPZWEVPOWOUTWKVRBAWLVP
      ERZTAWPVPACFTRLBCVAVBVCAWJDMNVPABCDLEFGLSPAVKUPJVDRVEVLVFVRWLWMWDVQVGWQWN
      BDKVHURVIVJVMVN $.
  $}

  ${
    flt4lem3.a $e |- ( ph -> A e. NN ) $.
    flt4lem3.b $e |- ( ph -> B e. NN ) $.
    flt4lem3.c $e |- ( ph -> C e. NN ) $.
    flt4lem3.1 $e |- ( ph -> 2 || A ) $.
    flt4lem3.2 $e |- ( ph -> ( A gcd C ) = 1 ) $.
    flt4lem3.3 $e |- ( ph -> ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) ) $.
    $( Equivalent to ~ pythagtriplem4 .  Show that ` C + A ` and ` C - A ` are
       coprime.  (Contributed by SN, 22-Aug-2024.) $)
    flt4lem3 $p |- ( ph -> ( ( C + A ) gcd ( C - A ) ) = 1 ) $=
      ( caddc co cgcd c1 nnzd cn wcel c2 cexp wceq cmin zaddcld zsubcld gcdcomd
      w3a cdvds wbr wn wa flt4lem2 cn0 2nn0 fltabcoprm fltbccoprm nnsqcld nncnd
      a1i addcomd eqtrd flt4lem1 pythagtriplem4 syl ) ADBKLZDBUALZMLVDVCMLZNAVC
      VDADBADGOZABEOZUBADBVFVGUCUDACPQBPQDPQUECRSLZBRSLZKLZDRSLZTCBMLNTRCUFUGUH
      UIUEVENTACBDFEGABCDEFGHIJUJABCDREFGRUKQAULUQJABCDEFGIJUMUNAVJVIVHKLVKAVHV
      IAVHACFUOUPAVIABEUOUPURJUSUTCBDVAVBUS $.
  $}

  ${
    $d ph s $.  $d ph t $.
    flt4lem4.a $e |- ( ph -> A e. NN ) $.
    flt4lem4.b $e |- ( ph -> B e. NN ) $.
    flt4lem4.c $e |- ( ph -> C e. NN ) $.
    flt4lem4.1 $e |- ( ph -> ( A gcd B ) = 1 ) $.
    flt4lem4.2 $e |- ( ph -> ( A x. B ) = ( C ^ 2 ) ) $.
    $( If the product of two coprime factors is a perfect square, the factors
       are perfect squares.  (Contributed by SN, 22-Aug-2024.) $)
    flt4lem4 $p |-
      ( ph -> ( A = ( ( A gcd C ) ^ 2 ) /\ B = ( ( B gcd C ) ^ 2 ) ) ) $=
      ( cgcd co c2 cexp wceq cn0 wcel cz c1 wi nnnn0d eqcomd nn0zd oveq1d eqtrd
      cmul 1gcd syl coprimeprodsq syl31anc mpd nnzd coprimeprodsq2 jca ) ABBDJK
      LMKNZCCDJKLMKNZADLMKZBCUEKZNZUNAUQUPIUAZABOPCQPDOPZBCJKZDJKZRNZURUNSABETA
      CACFTZUBADGTZAVBRDJKZRAVARDJHUCADQPVFRNADVEUBDUFUGUDZBCDUHUIUJAURUOUSABQP
      COPUTVCURUOSABEUKVDVEVGBCDULUIUJUM $.
  $}

  ${
    $d A i $.  $d B i $.  $d C i $.  $d M i $.  $d N i $.
    flt4lem5.1 $e |-
      M = ( ( ( sqrt ` ( C + B ) ) + ( sqrt ` ( C - B ) ) ) / 2 ) $.
    flt4lem5.2 $e |-
      N = ( ( ( sqrt ` ( C + B ) ) - ( sqrt ` ( C - B ) ) ) / 2 ) $.
    $( In the context of the lemmas of ~ pythagtrip , ` M ` and ` N ` are
       coprime.  (Contributed by SN, 23-Aug-2024.) $)
    flt4lem5 $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN ) /\
      ( ( A ^ 2 ) + ( B ^ 2 ) ) = ( C ^ 2 ) /\ ( ( A gcd B ) = 1 /\ -. 2 || A )
      ) -> ( M gcd N ) = 1 ) $=
      ( vi cn wcel c2 cexp co wceq cdvds wbr wa wi nnzd ad2antrr w3a caddc cgcd
      c1 wn cv simp3l wb simp11 simp12 coprmgcdb syl2anc mpbird pythagtriplem11
      wral cmin simplr nnsqcld pythagtriplem13 simprl cz 2nn dvdsexp2im syl3anc
      a1i mpd simprr dvds2subd pythagtriplem15 breqtrrd 2z nnmulcld dvdsmultr2d
      cmul pythagtriplem16 jca ex imim1d ralimdva mpbid ) AIJZBIJZCIJZUAZAKLMBK
      LMUBMCKLMNZABUCMUDNZKAOPUEZQZUAZHUFZDOPZWJEOPZQZWJUDNZRZHIUOZDEUCMUDNZWIW
      JAOPZWJBOPZQZWNRZHIUOZWPWIXBWFWDWEWFWGUGWIWAWBXBWFUHWAWBWCWEWHUIWAWBWCWEW
      HUJABHUKULUMWIXAWOHIWIWJIJZQZWMWTWNXDWMWTXDWMQZWRWSXEWJDKLMZEKLMZUPMZAOXE
      WJXFXGXEWJWIXCWMUQSZXEXFXEDWIDIJZXCWMABCDFUNZTZURSXEXGXEEWIEIJZXCWMABCEGU
      SZTZURSXEWKWJXFOPZXDWKWLUTXEWJVAJZDVAJKIJZWKXPRXIXEDXLSZXRXEVBVEZWJDKVCVD
      VFXEWLWJXGOPZXDWKWLVGZXEXQEVAJXRWLYARXIXEEXOSZXTWJEKVCVDVFVHWIAXHNXCWMABC
      DEFGVITVJXEWJKDEVNMZVNMZBOXEWJKYDXIKVAJXEVKVEXEYDXEDEXLXOVLSXEWJDEXIXSYCY
      BVMVMWIBYENXCWMABCDEFGVOTVJVPVQVRVSVFWIXJXMWPWQUHXKXNDEHUKULVT $.
  $}

  ${
    $d ph p $.  $d M p $.  $d R p $.  $d S p $.
    flt4lem5elem.m $e |- ( ph -> M e. NN ) $.
    flt4lem5elem.r $e |- ( ph -> R e. NN ) $.
    flt4lem5elem.s $e |- ( ph -> S e. NN ) $.
    flt4lem5elem.1 $e |- ( ph -> M = ( ( R ^ 2 ) + ( S ^ 2 ) ) ) $.
    flt4lem5elem.2 $e |- ( ph -> ( R gcd S ) = 1 ) $.
    $( Version of ~ fltaccoprm and ~ fltbccoprm where ` M ` is not squared.
       This can be proved in general for any polynomial in three variables:
       using ~ prmdvdsncoprmbd , ~ dvds2addd , and ~ prmdvdsexp , we can show
       that if two variables are coprime, the third is also coprime to the two.
       (Contributed by SN, 24-Aug-2024.) $)
    flt4lem5elem $p |- ( ph -> ( ( R gcd M ) = 1 /\ ( S gcd M ) = 1 ) ) $=
      ( vp co c1 cdvds wbr wa cprime wcel cz nnzd ad2antrr cgcd wceq cv wrex wn
      prmdvdsncoprmbd necon2bbid mpbid simprl cexp cmin simplr prmz syl nnsqcld
      c2 simprr wb prmdvdssq syl2anc dvds2subd cc nncnd mvrladdd breqtrd mpbird
      caddc jca ex reximdva mtod mvrraddd ) ABDUAKZLUBZCDUAKZLUBZAVNJUCZBMNZVQD
      MNZOZJPUDZUEAWAVRVQCMNZOZJPUDZABCUAKZLUBWDUEIAWDWELABCJFGUFUGUHZAVTWCJPAV
      QPQZOZVTWCWHVTOZVRWBWHVRVSUIZWIWBVQCUPUJKZMNZWIVQDBUPUJKZUKKWKMWIVQDWMWIW
      GVQRQZAWGVTULZVQUMZUNADRQZWGVTADESZTAWMRQWGVTAWMABFUOZSTWHVRVSUQWIVRVQWMM
      NZWJWIWGBRQZVRWTURZWOAXAWGVTABFSZTVQBUSZUTUHVAWIDWMWKAWMVBQZWGVTAWMWSVCZT
      AWKVBQZWGVTAWKACGUOZVCZTADWMWKVGKUBZWGVTHTVDVEWIWGCRQZWBWLURZWOAXKWGVTACG
      SZTVQCUSZUTVFVHVIVJVKAWAVMLABDJFEUFUGVFAVPWBVSOZJPUDZUEAXPWDWFAXOWCJPWHXO
      WCWHXOOZVRWBXQVRWTXQVQDWKUKKWMMXQVQDWKXQWGWNAWGXOULZWPUNAWQWGXOWRTAWKRQWG
      XOAWKXHSTWHWBVSUQXQWBWLWHWBVSUIZXQWGXKXLXRAXKWGXOXMTXNUTUHVAXQDWMWKAXEWGX
      OXFTAXGWGXOXITAXJWGXOHTVLVEXQWGXAXBXRAXAWGXOXCTXDUTVFXSVHVIVJVKAXPVOLACDJ
      GEUFUGVFVH $.
  $}

  ${
    flt4lem5a.m $e |- M = (
      ( ( sqrt ` ( C + ( B ^ 2 ) ) ) + ( sqrt ` ( C - ( B ^ 2 ) ) ) ) / 2 ) $.
    flt4lem5a.n $e |- N = (
      ( ( sqrt ` ( C + ( B ^ 2 ) ) ) - ( sqrt ` ( C - ( B ^ 2 ) ) ) ) / 2 ) $.
    flt4lem5a.r $e |-
      R = ( ( ( sqrt ` ( M + N ) ) + ( sqrt ` ( M - N ) ) ) / 2 ) $.
    flt4lem5a.s $e |-
      S = ( ( ( sqrt ` ( M + N ) ) - ( sqrt ` ( M - N ) ) ) / 2 ) $.
    flt4lem5a.a $e |- ( ph -> A e. NN ) $.
    flt4lem5a.b $e |- ( ph -> B e. NN ) $.
    flt4lem5a.c $e |- ( ph -> C e. NN ) $.
    flt4lem5a.1 $e |- ( ph -> -. 2 || A ) $.
    flt4lem5a.2 $e |- ( ph -> ( A gcd C ) = 1 ) $.
    flt4lem5a.3 $e |- ( ph -> ( ( A ^ 4 ) + ( B ^ 4 ) ) = ( C ^ 2 ) ) $.
    $( Part 1 of Equation 1 of
       ~ https://crypto.stanford.edu/pbc/notes/numberfield/fermatn4.html .
       (Contributed by SN, 22-Aug-2024.) $)
    flt4lem5a $p |- ( ph -> ( ( A ^ 2 ) + ( N ^ 2 ) ) = ( M ^ 2 ) ) $=
      ( c2 co cexp cn wcel w3a caddc wceq cgcd c1 cdvds wn wa nnsqcld cprime cz
      wbr wb 2prm nnzd prmdvdssq sylancr mtbid wi 2nn a1i rplpwr syl3anc mpd c4
      nncnd flt4lem oveq12d eqtr3d flt4lem1 pythagtriplem11 syl pythagtriplem13
      cmin pythagtriplem15 mvrrsubd ) ABSUATZGSUATZHSUATZAWAAGAVTUBUCCSUATZUBUC
      DUBUCZUDVTSUATZWCSUATZUETZDSUATZUFVTWCUGTUHUFSVTUIUOZUJUKUDZGUBUCAVTWCDAB
      MULACNULOASBUIUOZWIPASUMUCBUNUCWKWIUPUQABMURSBUSUTVAABDUGTUHUFZVTDUGTUHUF
      ZQABUBUCWDSUBUCZWLWMVBMOWNAVCVDBDSVEVFVGABVHUATZCVHUATZUETWGWHAWOWEWPWFUE
      ABABMVIVJACACNVIVJVKRVLVMZVTWCDGIVNVOULVIAWBAHAWJHUBUCWQVTWCDHJVPVOULVIAW
      JVTWAWBVQTUFWQVTWCDGHIJVRVOVS $.

    $( Part 2 of Equation 1 of
       ~ https://crypto.stanford.edu/pbc/notes/numberfield/fermatn4.html .
       (Contributed by SN, 22-Aug-2024.) $)
    flt4lem5b $p |- ( ph -> ( 2 x. ( M x. N ) ) = ( B ^ 2 ) ) $=
      ( c2 co cexp cmul cn wcel w3a caddc wceq cgcd c1 cdvds wbr nnsqcld cprime
      wn wa cz wb 2prm prmdvdssq sylancr mtbid wi 2nn a1i rplpwr syl3anc mpd c4
      nnzd nncnd flt4lem oveq12d eqtr3d flt4lem1 pythagtriplem16 syl eqcomd ) A
      CSUATZSGHUBTUBTZABSUATZUCUDVRUCUDDUCUDZUEVTSUATZVRSUATZUFTZDSUATZUGVTVRUH
      TUIUGSVTUJUKZUNUOUEVRVSUGAVTVRDABMULACNULOASBUJUKZWFPASUMUDBUPUDWGWFUQURA
      BMVISBUSUTVAABDUHTUIUGZVTDUHTUIUGZQABUCUDWASUCUDZWHWIVBMOWJAVCVDBDSVEVFVG
      ABVHUATZCVHUATZUFTWDWEAWKWBWLWCUFABABMVJVKACACNVJVKVLRVMVNVTVRDGHIJVOVPVQ
      $.

    $( Part 2 of Equation 2 of
       ~ https://crypto.stanford.edu/pbc/notes/numberfield/fermatn4.html .
       (Contributed by SN, 22-Aug-2024.) $)
    flt4lem5c $p |- ( ph -> N = ( 2 x. ( R x. S ) ) ) $=
      ( c2 co cn wcel cexp caddc wceq cgcd c1 cdvds wbr cmul w3a nnsqcld cprime
      wn wa cz wb 2prm prmdvdssq sylancr mtbid wi 2nn a1i rplpwr syl3anc mpd c4
      nncnd flt4lem oveq12d eqtr3d flt4lem1 pythagtriplem13 syl pythagtriplem11
      nnzd flt4lem5a gcdcomd eqtrd addcomd fltabcoprm pythagtriplem16 syl312anc
      flt4lem5 ) ABUAUBZHUAUBZGUAUBZBSUCTZHSUCTZUDTZGSUCTZUEBHUFTZUGUESBUHUIZUN
      HSEFUJTUJTUEMAWIUAUBCSUCTZUAUBDUAUBZUKWISUCTZWOSUCTZUDTZDSUCTZUEWIWOUFTUG
      UESWIUHUIZUNUOUKZWGAWIWODABMULZACNULOAWNXAPASUMUBBUPUBWNXAUQURABMVQZSBUSU
      TVAABDUFTUGUEZWIDUFTUGUEZQAWFWPSUAUBZXEXFVBMOXGAVCVDBDSVEVFVGABVHUCTZCVHU
      CTZUDTWSWTAXHWQXIWRUDABABMVIVJACACNVIVJVKRVLVMZWIWODHJVNVOZAXBWHXJWIWODGI
      VPVOZABCDEFGHIJKLMNOPQRVRZAWMHBUFTUGABHXDAHXKVQZVSAHBGXKMXLAHGUFTGHUFTZUG
      AHGXNAGXLVQVSAXBXOUGUEXJWIWODGHIJWEVOVTAWJWIUDTWKWLAWJWIAWJAHXKULVIAWIXCV
      IWAXMVTWBVTPBHGEFKLWCWD $.

    $( Part 3 of Equation 2 of
       ~ https://crypto.stanford.edu/pbc/notes/numberfield/fermatn4.html .
       (Contributed by SN, 23-Aug-2024.) $)
    flt4lem5d $p |- ( ph -> M = ( ( R ^ 2 ) + ( S ^ 2 ) ) ) $=
      ( c2 co cn wcel cexp caddc wceq cgcd c1 cdvds wbr wn wa nnsqcld cprime cz
      w3a wb 2prm nnzd prmdvdssq sylancr mtbid wi 2nn a1i rplpwr syl3anc mpd c4
      nncnd flt4lem oveq12d eqtr3d flt4lem1 pythagtriplem13 syl pythagtriplem11
      flt4lem5a gcdcomd flt4lem5 addcomd fltabcoprm pythagtriplem17 syl312anc
      eqtrd ) ABUAUBZHUAUBZGUAUBZBSUCTZHSUCTZUDTZGSUCTZUEBHUFTZUGUESBUHUIZUJGES
      UCTFSUCTUDTUEMAWHUAUBCSUCTZUAUBDUAUBZUOWHSUCTZWNSUCTZUDTZDSUCTZUEWHWNUFTU
      GUESWHUHUIZUJUKUOZWFAWHWNDABMULZACNULOAWMWTPASUMUBBUNUBWMWTUPUQABMURZSBUS
      UTVAABDUFTUGUEZWHDUFTUGUEZQAWEWOSUAUBZXDXEVBMOXFAVCVDBDSVEVFVGABVHUCTZCVH
      UCTZUDTWRWSAXGWPXHWQUDABABMVIVJACACNVIVJVKRVLVMZWHWNDHJVNVOZAXAWGXIWHWNDG
      IVPVOZABCDEFGHIJKLMNOPQRVQZAWLHBUFTUGABHXCAHXJURZVRAHBGXJMXKAHGUFTGHUFTZU
      GAHGXMAGXKURVRAXAXNUGUEXIWHWNDGHIJVSVOWDAWIWHUDTWJWKAWIWHAWIAHXJULVIAWHXB
      VIVTXLWDWAWDPBHGEFKLWBWC $.

    $( Satisfy the hypotheses of ~ flt4lem4 .  (Contributed by SN,
       23-Aug-2024.) $)
    flt4lem5e $p |- ( ph -> (
      ( ( R gcd S ) = 1 /\ ( R gcd M ) = 1 /\ ( S gcd M ) = 1 ) /\
      ( R e. NN /\ S e. NN /\ M e. NN ) /\
      ( ( M x. ( R x. S ) ) = ( ( B / 2 ) ^ 2 ) /\ ( B / 2 ) e. NN ) ) ) $=
      ( co c2 cgcd c1 wceq w3a cn wcel cmul cdiv cexp wa caddc cdvds wn nnsqcld
      wbr cprime cz wb 2prm nnzd prmdvdssq sylancr mtbid 2nn a1i rplpwr syl3anc
      wi mpd c4 flt4lem oveq12d eqtr3d flt4lem1 pythagtriplem13 pythagtriplem11
      nncnd syl flt4lem5a gcdcomd flt4lem5 eqtrd fltabcoprm syl312anc flt4lem5d
      addcomd flt4lem5elem 3anass sylanbrc 3jca cc sq2 4cn eqeltri nnmulcld cc0
      wne 4ne0 eqnetri 2cn sqvali oveq1i 2cnd flt4lem5c eqeltrrd mulassd eqcomd
      oveq2d flt4lem5b 3eqtrd syl5eq mvllmuld 2ne0 sqdivd eqtr4d cq znq sylancl
      mul4d clt nngt0d cr nnred halfpos2 mpbid posqsqznn jca ) AEFUASUBUCZEGUAS
      UBUCZFGUASUBUCZUDZEUEUFZFUEUFZGUEUFZUDGEFUGSZUGSZCTUHSZTUISZUCZYQUEUFZUJA
      YHYIYJUJYKABUEUFZHUEUFZYNBTUISZHTUISZUKSZGTUISZUCZBHUASZUBUCZTBULUOZUMZYH
      MAUUCUEUFCTUISZUEUFDUEUFZUDUUCTUISZUULTUISZUKSZDTUISZUCUUCUULUASUBUCTUUCU
      LUOZUMUJUDZUUBAUUCUULDABMUNZACNUNOAUUJUURPATUPUFBUQUFUUJUURURUSABMUTZTBVA
      VBVCABDUASUBUCZUUCDUASUBUCZQAUUAUUMTUEUFZUVBUVCVHMOUVDAVDVEBDTVFVGVIABVJU
      ISZCVJUISZUKSUUPUUQAUVEUUNUVFUUOUKABABMVQVKACACNVQZVKVLRVMVNZUUCUULDHJVOV
      RZAUUSYNUVHUUCUULDGIVPVRZABCDEFGHIJKLMNOPQRVSZAUUHHBUASUBABHUVAAHUVIUTZVT
      AHBGUVIMUVJAHGUASGHUASZUBAHGUVLAGUVJUTVTAUUSUVMUBUCUVHUUCUULDGHIJWAVRWBAU
      UDUUCUKSUUEUUFAUUDUUCAUUDAHUVIUNVQAUUCUUTVQWFUVKWBWCWBZPBHGEFKLWAWDZAEFGU
      VJAUUAUUBYNUUGUUIUUKYLMUVIUVJUVKUVNPBHGEKVPWDZAUUAUUBYNUUGUUIUUKYMMUVIUVJ
      UVKUVNPBHGFLVOWDZABCDEFGHIJKLMNOPQRWEUVOWGYHYIYJWHWIAYLYMYNUVPUVQUVJWJAYS
      YTAYPUULTTUISZUHSYRAUVRYPUULUVRWKUFAUVRVJWKWLWMWNVEAYPAGYOUVJAEFUVPUVQWOZ
      WOZVQUVRWPWQAUVRVJWPWLWRWSVEAUVRYPUGSTTUGSZYPUGSZUULUVRUWAYPUGTWTXAXBAUWB
      TGUGSTYOUGSZUGSZTGHUGSZUGSZUULATTGYOAXCZUWGAGUVJVQZAYOUVSVQXSAUWDTGUWCUGS
      ZUGSUWFATGUWCUWGUWHAUWCAHUWCUEABCDEFGHIJKLMNOPQRXDZUVIXEVQXFAUWIUWETUGAUW
      CHGUGAHUWCUWJXGXHXHWBABCDEFGHIJKLMNOPQRXIXJXKXLACTUVGUWGTWPWQAXMVEXNXOZAY
      QAYPYRUQUWKAYPUVTUTXEACUQUFUVDYQXPUFACNUTVDCTXQXRAWPCXTUOZWPYQXTUOZACNYAA
      CYBUFUWLUWMURACNYCCYDVRYEYFYGWJ $.

    $( Final equation of
       ~ https://crypto.stanford.edu/pbc/notes/numberfield/fermatn4.html .
       Given ` A ^ 4 + B ^ 4 = C ^ 2 ` , provide a smaller solution.  This
       satisfies the infinite descent condition.  (Contributed by SN,
       24-Aug-2024.) $)
    flt4lem5f $p |- ( ph -> ( ( M gcd ( B / 2 ) ) ^ 2 ) =
      ( ( ( R gcd ( B / 2 ) ) ^ 4 ) + ( ( S gcd ( B / 2 ) ) ^ 4 ) ) ) $=
      ( co cgcd c2 cexp caddc cdiv c4 flt4lem5d wceq cmul cn wcel w3a flt4lem5e
      c1 wa simp2d simp3d simp1d nnmulcld simprd nnzd gcdcomd eqtrd cz wi rpmul
      syl3anc mp2and simpld nncnd mul32d mulassd oveq1d gcdnncl syl2anc flt4lem
      flt4lem4 eqtr4d oveq12d 3eqtr3d ) AGEUAUBSZFUAUBSZUCSGCUAUDSZTSUAUBSZEWBT
      SZUEUBSZFWBTSZUEUBSZUCSABCDEFGHIJKLMNOPQRUFAGWCUGEFUHSZWHWBTSUAUBSUGAGWHW
      BAEUIUJZFUIUJZGUIUJZAEFTSZUMUGZEGTSZUMUGZFGTSZUMUGZUKZWIWJWKUKZGWHUHSZWBU
      AUBSZUGZWBUIUJZUNZABCDEFGHIJKLMNOPQRULZUOZUPZAEFAWIWJWKXFUQZAWIWJWKXFUOZU
      RAXBXCAWRWSXDXEUPZUSZAGETSZUMUGZGFTSZUMUGZGWHTSUMUGZAXLWNUMAGEAGXGUTZAEXH
      UTZVAAWMWOWQAWRWSXDXEUQZUOZVBAXNWPUMAGFXQAFXIUTZVAAWMWOWQXSUPZVBAGVCUJZEV
      CUJZFVCUJZXMXOUNXPVDXQXRYAGEFVEVFVGAXBXCXJVHZVPVHAVTWEWAWGUCAVTWDUAUBSZUA
      UBSWEAEYGUAUBAGFUHSZYHWBTSUAUBSUGEYGUGAYHEWBAGFXGXIURZXHXKAYHETSEYHTSZUMA
      YHEAYHYIUTXRVAAWOWMYJUMUGZXTAWMWOWQXSUQZAYDYCYEWOWMUNYKVDXRXQYAEGFVEVFVGV
      BAYHEUHSGEUHSZFUHSZXAAGFEAGXGVIZAFXIVIZAEXHVIZVJAYNWTXAAGEFYOYQYPVKYFVBZV
      BVPUSVLAWDAWDAWIXCWDUIUJXHXKEWBVMVNVIVOVQAWAWFUAUBSZUAUBSWGAFYSUAUBAYMYMW
      BTSUAUBSUGFYSUGAYMFWBAGEXGXHURZXIXKAYMFTSFYMTSZUMAYMFAYMYTUTYAVAAWQFETSZU
      MUGZUUAUMUGZYBAUUBWLUMAFEYAXRVAYLVBAYEYCYDWQUUCUNUUDVDYAXQXRFGEVEVFVGVBYR
      VPUSVLAWFAWFAWJXCWFUIUJXIXKFWBVMVNVIVOVQVRVS $.
  $}

  ${
    flt4lem6.a $e |- ( ph -> A e. NN ) $.
    flt4lem6.b $e |- ( ph -> B e. NN ) $.
    flt4lem6.c $e |- ( ph -> C e. NN ) $.
    flt4lem6.1 $e |- ( ph -> ( ( A ^ 4 ) + ( B ^ 4 ) ) = ( C ^ 2 ) ) $.
    $( Remove shared factors in a solution to ` A ^ 4 + B ^ 4 = C ^ 2 ` .
       (Contributed by SN, 24-Jul-2024.) $)
    flt4lem6 $p |- ( ph -> (
      ( ( A / ( A gcd B ) ) e. NN /\ ( B / ( A gcd B ) ) e. NN
                                  /\ ( C / ( ( A gcd B ) ^ 2 ) ) e. NN ) /\
      ( ( ( A / ( A gcd B ) ) ^ 4 ) + ( ( B / ( A gcd B ) ) ^ 4 ) )
                                   = ( ( C / ( ( A gcd B ) ^ 2 ) ) ^ 2 ) ) ) $=
      ( co cdiv cn wcel c2 cexp c4 caddc cz nnzd syl2anc nncnd cgcd w3a gcdnncl
      divgcdnn divgcdnnr flt4lem oveq12d nnne0d cn0 a1i expdivd expcld nnexpcld
      wceq divdird eqtr4d nnsqcld sqdivd 3eqtr4d nnaddcld eqeltrrd cq znq nnred
      4nn0 nngt0d divgt0d posqsqznn 3jca jca ) ABBCUAIZJIZKLZCVKJIZKLZDVKMNIZJI
      ZKLZUBVLONIZVNONIZPIZVQMNIZUNAVMVOVRABKLZCQLVMEACFRBCUDSZACKLZBQLVOFABERC
      BUESZAVQAWAWBQABONIZCONIZPIZVKONIZJIZDMNIZVPMNIZJIWAWBAWIWLWJWMJHAVKAVKAW
      CWEVKKLEFBCUCSZTZUFUGAWAWGWJJIZWHWJJIZPIWKAVSWPVTWQPABVKOABETZWOAVKWNUHZO
      UILAVEUJZUKACVKOACFTZWOWSWTUKUGAWGWHWJABOWRWTULACOXAWTULAVKOWOWTULAWJAVKO
      WNWTUMUHUOUPADVPADGTAVPAVKWNUQZTAVPXBUHURUSZAWAAVSVTAVLOWDWTUMAVNOWFWTUMU
      TRVAADQLVPKLVQVBLADGRXBDVPVCSADVPADGVDAVPXBVDADGVFAVPXBVFVGVHVIXCVJ $.
  $}

  ${
    $d ph l $.  $d ph m n $.  $d B l m n $.  $d C l m n $.  $d g h l m n $.
    flt4lem7.a $e |- ( ph -> A e. NN ) $.
    flt4lem7.b $e |- ( ph -> B e. NN ) $.
    flt4lem7.c $e |- ( ph -> C e. NN ) $.
    flt4lem7.1 $e |- ( ph -> -. 2 || A ) $.
    flt4lem7.2 $e |- ( ph -> ( A gcd B ) = 1 ) $.
    flt4lem7.3 $e |- ( ph -> ( ( A ^ 4 ) + ( B ^ 4 ) ) = ( C ^ 2 ) ) $.
    $( Convert ~ flt4lem5f into a convenient form for ~ nna4b4nsq .  TODO-SN:
       The change to ` ( A gcd B ) = 1 ` points at some inefficiency in the
       lemmas.  (Contributed by SN, 25-Aug-2024.) $)
    flt4lem7 $p |- ( ph -> E. l e. NN ( E. g e. NN E. h e. NN ( -. 2 || g /\
      ( ( g gcd h ) = 1 /\ ( ( g ^ 4 ) + ( h ^ 4 ) ) = ( l ^ 2 ) ) )
                                     /\ l < C ) ) $=
      ( cgcd co c1 wceq c2 cn wcel vm vn cv clt wbr c4 cexp caddc wa wrex cdvds
      wn csqrt cfv cmin cdiv breq1 eqeq2d anbi2d 2rexbidv anbi12d w3a cmul eqid
      oveq1 nnsqcld cn0 2nn0 a1i nncnd flt4lem oveq12d eqtr3d 2nn rppwr syl3anc
      wi mpd fltaccoprm cz wb nnzd rpexp flt4lem5e simp2d simp3d simprd gcdnncl
      mpbid syl2anc nnred gcdle2d crp nnrpd rphalflt 4nn0 nnexpcld 2lt4 2z 1red
      syl 4z cr 2re 1lt2 cle 2t1e2 nnge1d 2rp lemuldiv2d mpbird ltletrd ltexp2d
      eqbrtrrid mpbii cc0 nngt0d lttrd eqeq1d oveq1d oveq2 oveq2d simp1d gcdass
      gcdcomd jca 2rspcedvdw breq2 notbid simplrl adantr ad2antrr simpr simp-4r
      weq eqtrd simplrr dvdsexp2im mp3an2i ex ltaddpos2d breqtrd ltexp1d nnnn0d
      lelttrd gcdnn0id eqtr2d 3eqtr4rd 3eqtrd flt4lem5f eqcomd rspcedvdw simprr
      1gcd 3eqtr3d simplr addcomd jca32 simprl simp-5r flt4lem2 mtod imor sylib
      wo imp mpjaodan rexlimdvva expimpd reximdva ) AGUCZDUDUEZUAUCZUBUCZNOZPQZ
      UVMUFUGOZUVNUFUGOZUHOZUVKRUGOZQZUIZUBSUJUASUJZUIZGSUJREUCZUKUEZULZUWEFUCZ
      NOZPQZUWEUFUGOZUWHUFUGOZUHOZUVTQZUIZUIZFSUJESUJZUVLUIZGSUJAUWDDCRUGOZUHOU
      MUNZDUWSUOOUMUNZUHORUPOZCRUPOZNOZDUDUEZUVPUVSUXDRUGOZQZUIZUBSUJUASUJZUIGU
      XDSUVKUXDQZUVLUXEUWCUXIUVKUXDDUDUQUXJUWBUXHUAUBSSUXJUWAUXGUVPUXJUVTUXFUVS
      UVKUXDRUGVEURUSUTVAAUXBSTZUXCSTZUXDSTAUXBUWTUXAUOORUPOZUHOUMUNZUXBUXMUOOU
      MUNZUHORUPOZSTZUXNUXOUOORUPOZSTZUXKAUXPUXRNOZPQZUXPUXBNOPQZUXRUXBNOPQZVBZ
      UXQUXSUXKVBZUXBUXPUXRVCOVCOUXCRUGOQZUXLUIZABCDUXPUXRUXBUXMUXBVDZUXMVDZUXP
      VDZUXRVDZHIJKABRUGOZDNOPQZBDNOPQZAUYLUWSDRABHVFACIVFZJRVGTZAVHVIABUFUGOZC
      UFUGOZUHOZUYLRUGOZUWSRUGOZUHODRUGOZAUYQUYTUYRVUAUHABABHVJVKACACIVJVKVLMVM
      ABCNOPQZUYLUWSNOPQZLABSTCSTRSTZVUCVUDVQHIVUEAVNVIZBCRVOVPVRVSABVTTDVTTVUE
      UYMUYNWAABHWBADJWBVUFBDRWCVPWIZMWDZWEZWFZAUYFUXLAUYDUYEUYGVUHWFWGZUXBUXCW
      HWJZAUXEUXIAUXDUXCDAUXDVULWKAUXCVUKWKZADJWKZAUXBUXCAUXBVUJWBVUKWLAUXCCDVU
      MACIWKZVUNACWMTUXCCUDUEACIWNZCWOXAACDUDUEUWSVUBUDUEAUWSUYRVUBAUWSUYOWKAUY
      RACUFIUFVGTZAWPVIZWQWKZAVUBADJVFWKARUFUDUEUWSUYRUDUEWRACRUFVUORVTTZAWSVIU
      FVTTAXBVIAPRCAWTZRXCTAXDVIVUOPRUDUEAXEVIARRPVCOZCXFXGAVVBCXFUEPUXCXFUEAUX
      CVUKXHAPCRVVAVUORWMTAXIVIXJXKXNXLXMXOAUYRUYSVUBUDAXPUYQUDUEUYRUYSUDUEAUYQ
      ABUFHVURWQZXQAUYQUYRAUYQVVCWKVUSUUAWIMUUBXRACDRVUPADJWNVUFUUCXKXRUUEAUXHU
      XPUXCNOZUVNNOZPQZVVDUFUGOZUVRUHOZUXFQZUIVVDUXRUXCNOZNOZPQZVVGVVJUFUGOZUHO
      ZUXFQZUIUAUBVVDVVJSSUVMVVDQZUVPVVFUXGVVIVVPUVOVVEPUVMVVDUVNNVEXSVVPUVSVVH
      UXFVVPUVQVVGUVRUHUVMVVDUFUGVEXTXSVAUVNVVJQZVVFVVLVVIVVOVVQVVEVVKPUVNVVJVV
      DNYAXSVVQVVHVVNUXFVVQUVRVVMVVGUHUVNVVJUFUGVEYBXSVAAUXQUXLVVDSTAUXQUXSUXKV
      UIYCZVUKUXPUXCWHWJAUXSUXLVVJSTAUXQUXSUXKVUIWEZVUKUXRUXCWHWJZAVVLVVOAVVKUX
      PUXCVVJNOZNOZUXPVVJNOZPAUXPVTTZUXCVTTZVVJVTTVVKVWBQAUXPVVRWBZAUXCVUKWBZAV
      VJVVTWBVVJUXCUXPYDVPAVWAVVJUXPNAUXCUXCNOZUXRNOZUXCUXCUXRNOZNOZVVJVWAAVWEV
      WEUXRVTTZVWIVWKQVWGVWGAUXRVVSWBZUXRUXCUXCYDVPAVWIVWJVVJAVWHUXCUXRNAUXCVGT
      VWHUXCQAUXCVUKUUDUXCUUFXAXTAUXCUXRVWGVWMYEUUGAVVJVWJUXCNAUXRUXCVWMVWGYEYB
      UUHYBAUXTUXCNOZPUXCNOZVWCPAUXTPUXCNAUYAUYBUYCAUYDUYEUYGVUHYCYCXTAVWDVWLVW
      EVWNVWCQVWFVWMVWGUXCUXRUXPYDVPAVWEVWOPQVWGUXCUUNXAUUOUUIAUXFVVNABCDUXPUXR
      UXBUXMUYHUYIUYJUYKHIJKVUGMUUJUUKYFYGYFUULAUWDUWRGSAUVKSTZUIZUVLUWCUWRVWQU
      VLUIZUWBUWRUAUBSSVWRUVMSTZUVNSTZUIZUIZUWBUWRVXBUWBUIZRUVMUKUEZULZUWRRUVNU
      KUEZULZVXCVXEUIZUWQUVLVXHUWPVXEUVMUWHNOZPQZUVQUWLUHOZUVTQZUIZUIVXEUWBUIEF
      UVMUVNSSEUAYOZUWGVXEUWOVXMVXNUWFVXDUWEUVMRUKYHYIVXNUWJVXJUWNVXLVXNUWIVXIP
      UWEUVMUWHNVEXSVXNUWMVXKUVTVXNUWKUVQUWLUHUWEUVMUFUGVEXTXSVAVAFUBYOZVXMUWBV
      XEVXOVXJUVPVXLUWAVXOVXIUVOPUWHUVNUVMNYAXSVXOVXKUVSUVTVXOUWLUVRUVQUHUWHUVN
      UFUGVEYBXSVAUSVXCVWSVXEVWRVWSVWTUWBYJZYKVXBVWTUWBVXEVWRVWSVWTUUMZYLVXHVXE
      UWBVXCVXEYMVXBUWBVXEUUPYFYGVWQUVLVXAUWBVXEYNYFVXCVXGUIZUWQUVLVXRUWPVXGUVN
      UWHNOZPQZUVRUWLUHOZUVTQZUIZUIVXGUVNUVMNOZPQZUVRUVQUHOZUVTQZUIZUIEFUVNUVMS
      SEUBYOZUWGVXGUWOVYCVYIUWFVXFUWEUVNRUKYHYIVYIUWJVXTUWNVYBVYIUWIVXSPUWEUVNU
      WHNVEXSVYIUWMVYAUVTVYIUWKUVRUWLUHUWEUVNUFUGVEXTXSVAVAFUAYOZVYCVYHVXGVYJVX
      TVYEVYBVYGVYJVXSVYDPUWHUVMUVNNYAXSVYJVYAVYFUVTVYJUWLUVQUVRUHUWHUVMUFUGVEY
      BXSVAUSVXBVWTUWBVXGVXQYLZVXCVWSVXGVXPYKZVXRVXGVYEVYGVXCVXGYMVXRVYDUVOPVXR
      UVNUVMVXRUVNVYKWBVXRUVMVYLWBYEVXBUVPUWAVXGYJYPVXRVYFUVSUVTVXRUVRUVQVXRUVR
      VXRUVNUFVYKVUQVXRWPVIZWQVJVXRUVQVXRUVMUFVYLVYMWQVJUUQVXBUVPUWAVXGYQYPUURY
      GVWQUVLVXAUWBVXGYNYFVXCVXDVXGVQVXEVXGUVEVXCVXDVXGVXCVXDUIZVXFRUVNRUGOZUKU
      EZVYNUVMRUGOZVYOUVKVYNUVMVXBVWSUWBVXDVWRVWSVWTUUSYLZVFZVYNUVNVXBVWTUWBVXD
      VXQYLZVFZAVWPUVLVXAUWBVXDUUTZVXCVXDRVYQUKUEZVUTVXCUVMVTTVUEVXDWUCVQWSVXCU
      VMVXPWBVUEVXCVNVIRUVMRYRYSUVFVYNVYQVYOUVKRVYSWUAWUBUYPVYNVHVIVYNUVSVYQRUG
      OZVYORUGOZUHOUVTVYNUVQWUDUVRWUEUHVYNUVMVYNUVMVYRVJVKVYNUVNVYNUVNVYTVJVKVL
      VXBUVPUWAVXDYQVMZVYNUVPVYQVYONOPQZVXBUVPUWAVXDYJVYNVWSVWTVUEUVPWUGVQVYRVY
      TVUEVYNVNVIZUVMUVNRVOVPVRVSWUFUVAVUTVYNUVNVTTVUEVXFVYPVQWSVYNUVNVYTWBWUHR
      UVNRYRYSUVBYTVXDVXGUVCUVDUVGYTUVHUVIUVJVR $.
  $}

  ${
    $d ph a b c d e f i j k l $.  $d A a b c $.  $d B a b c $.  $d C c $.
    $d a b c d e f g h i j k l $.
    nna4b4nsq.a $e |- ( ph -> A e. NN ) $.
    nna4b4nsq.b $e |- ( ph -> B e. NN ) $.
    nna4b4nsq.c $e |- ( ph -> C e. NN ) $.
    $( Strengthening of Fermat's last theorem for exponent 4, where the sum is
       only assumed to be a square.  (Contributed by SN, 23-Aug-2024.) $)
    nna4b4nsq $p |- ( ph -> ( ( A ^ 4 ) + ( B ^ 4 ) ) =/= ( C ^ 2 ) ) $=
      ( cn wcel c4 cexp co caddc c2 wceq wa oveq1 eqeq1d cgcd c1 vc va vb vd ve
      vf vg vh vi vl vj vk cv wn wral crab c0 wrex oveq1d oveq2d ad2antrr simpr
      wne wss 2rspcedvdw ss2rabdv cdvds wbr weq eqeq2d anbi2d 2rexbidv cuz nnuz
      ex cfv eqimssi a1i clt breq2 notbid anbi12d oveq2 simplrl simplrr simpllr
      cbvrex2vw simprl simprrl simprrr flt4lem7 rexlimdvva syl5bi simprr simplr
      impr infdesc jca nnzd gcdcomd eqtrd cn0 4nn0 nnexpcld nncnd addcomd jca32
      wi wo nnsqcld simp-4r cz 2z 2nn dvdsexp2im mp3an2i flt4lem oveq12d eqtr3d
      imp 2nn0 rppwr syl3anc fltaccoprm flt4lem2 mtod imor sylib mpjaodan con3d
      mpd reximdva ralnex 3imtr4g rabeq0 cdiv w3a flt4lem6 simpld simp3d simp1d
      simp2d cc0 nnne0d divgcdcoprm0 simprd 3rspcedvdw rexlimdvaa sseq0 syl2anc
      necon3bbid rspcv sylc ) ADHIBJKLZCJKLZMLZUAUMZNKLZOZUNZUAHUOZUUPDNKLZVCZG
      AUUSUAHUPZUQOZUVAAUVDUBUMZJKLZUCUMZJKLZMLZUUROZUCHURZUBHURZUAHUPZVDUVNUQO
      ZUVEAUUSUVMUAHAUUQHIZPZUUSUVMUVQUUSPUVKUUNUVIMLZUUROUUSUBUCBCHHUVFBOZUVJU
      VRUURUVSUVGUUNUVIMUVFBJKQUSRUVHCOZUVRUUPUURUVTUVIUUOUUNMUVHCJKQUTRABHIUVP
      UUSEVAACHIUVPUUSFVAUVQUUSVBVEVOVFAUDUMZUEUMZSLZTOZUWAJKLZUWBJKLZMLZUFUMZN
      KLZOZPZUEHURUDHURZUFHUPUQOZUVOANUGUMZVGVHZUNZUWNUHUMZSLZTOZUWNJKLZUWQJKLZ
      MLZUWIOZPZPZUHHURUGHURZUFHUPUQOZUWMAUXFUWPUWSUXBUIUMZNKLZOZPZPZUHHURUGHUR
      ZUWPUWSUXBUJUMZNKLZOZPZPZUHHURUGHURZUIUFUJHTUFUIVIZUXEUXLUGUHHHUXTUXDUXKU
      WPUXTUXCUXJUWSUXTUWIUXIUXBUWHUXHNKQVJVKVKVLUFUJVIZUXEUXRUGUHHHUYAUXDUXQUW
      PUYAUXCUXPUWSUYAUWIUXOUXBUWHUXNNKQVJVKVKVLHTVMVPZVDAHUYBVNVQVRAUXHHIZUXMU
      XSUXNUXHVSVHPUJHURZUXMNUKUMZVGVHZUNZUYEULUMZSLZTOZUYEJKLZUYHJKLZMLZUXIOZP
      ZPZULHURUKHURAUYCPZUYDUXLUYPUYGUYEUWQSLZTOZUYKUXAMLZUXIOZPZPUGUHUKULHHUGU
      KVIZUWPUYGUXKVUBVUCUWOUYFUWNUYENVGVTWAVUCUWSUYSUXJVUAVUCUWRUYRTUWNUYEUWQS
      QRVUCUXBUYTUXIVUCUWTUYKUXAMUWNUYEJKQUSRWBWBUHULVIZVUBUYOUYGVUDUYSUYJVUAUY
      NVUDUYRUYITUWQUYHUYESWCRVUDUYTUYMUXIVUDUXAUYLUYKMUWQUYHJKQUTRWBVKWGUYQUYP
      UYDUKULHHUYQUYEHIZUYHHIZPZPZUYPUYDVUHUYPPUYEUYHUXHUGUHUJUYQVUEVUFUYPWDUYQ
      VUEVUFUYPWEAUYCVUGUYPWFVUHUYGUYOWHVUHUYGUYJUYNWIVUHUYGUYJUYNWJWKVOWLWMWPW
      QAUXFUNUFHUOZUWLUNUFHUOZUXGUWMAUXFUFHURZUNUWLUFHURZUNZVUIVUJAVULVUKAUWLUX
      FUFHAUWHHIZPZUWKUXFUDUEHHVUOUWAHIZUWBHIZPZPZUWKUXFVUSUWKPZNUWAVGVHZUNZUXF
      NUWBVGVHZUNZVUTVVBPZUXEVVBUWAUWQSLZTOZUWEUXAMLZUWIOZPZPVVBUWKPUGUHUWAUWBH
      HUGUDVIZUWPVVBUXDVVJVVKUWOVVAUWNUWANVGVTWAVVKUWSVVGUXCVVIVVKUWRVVFTUWNUWA
      UWQSQRVVKUXBVVHUWIVVKUWTUWEUXAMUWNUWAJKQUSRWBWBUHUEVIZVVJUWKVVBVVLVVGUWDV
      VIUWJVVLVVFUWCTUWQUWBUWASWCRVVLVVHUWGUWIVVLUXAUWFUWEMUWQUWBJKQUTRWBVKVUSV
      UPUWKVVBVUOVUPVUQWHZVAVUSVUQUWKVVBVUOVUPVUQWNZVAVVEVVBUWKVUTVVBVBVUSUWKVV
      BWOWRVEVUTVVDPZUXEVVDUWBUWQSLZTOZUWFUXAMLZUWIOZPZPVVDUWBUWASLZTOZUWFUWEML
      ZUWIOZPZPUGUHUWBUWAHHUGUEVIZUWPVVDUXDVVTVWFUWOVVCUWNUWBNVGVTWAVWFUWSVVQUX
      CVVSVWFUWRVVPTUWNUWBUWQSQRVWFUXBVVRUWIVWFUWTUWFUXAMUWNUWBJKQUSRWBWBUHUDVI
      ZVVTVWEVVDVWGVVQVWBVVSVWDVWGVVPVWATUWQUWAUWBSWCRVWGVVRVWCUWIVWGUXAUWEUWFM
      UWQUWAJKQUTRWBVKVUSVUQUWKVVDVVNVAZVUSVUPUWKVVDVVMVAZVVOVVDVWBVWDVUTVVDVBV
      VOVWAUWCTVVOUWBUWAVVOUWBVWHWSVVOUWAVWIWSWTVUSUWDUWJVVDWDXAVVOVWCUWGUWIVVO
      UWFUWEVVOUWFVVOUWBJVWHJXBIVVOXCVRZXDXEVVOUWEVVOUWAJVWIVWJXDXEXFVUSUWDUWJV
      VDWEXAXGVEVUTVVAVVDXHVVBVVDXIVUTVVAVVDVUTVVAPZVVCNUWBNKLZVGVHZVWKUWANKLZV
      WLUWHVWKUWAVUSVUPUWKVVAVVMVAZXJZVWKUWBVUSVUQUWKVVAVVNVAZXJZAVUNVURUWKVVAX
      KZVUTVVANVWNVGVHZNXLIZVUTUWAXLINHIZVVAVWTXHXMVUTUWAVUOVUPVUQUWKWDWSVXBVUT
      XNVRNUWANXOXPXTVWKVWNVWLUWHNVWPVWRVWSNXBIVWKYAVRVWKUWGVWNNKLZVWLNKLZMLUWI
      VWKUWEVXCUWFVXDMVWKUWAVWKUWAVWOXEXQVWKUWBVWKUWBVWQXEXQXRVUSUWDUWJVVAWEXSZ
      VWKUWDVWNVWLSLTOZVUSUWDUWJVVAWDVWKVUPVUQVXBUWDVXFXHVWOVWQVXBVWKXNVRZUWAUW
      BNYBYCYKYDVXEYEVXAVWKUWBXLIVXBVVCVWMXHXMVWKUWBVWQWSVXGNUWBNXOXPYFVOVVAVVD
      YGYHYIVOWLYLYJUXFUFHYMUWLUFHYMZYNUXFUFHYOUWLUFHYOZYNYKAVUJUVMUNUAHUOZUWMU
      VOAVUMUVMUAHURZUNVUJVXJAVXKVULAUVLVULUAUBHHAUVPUVFHIZPPZUVKVULUCHVXMUVHHI
      ZUVKPZPZUWKUWDUWGUUQUVFUVHSLZNKLYPLZNKLZOZPUVFVXQYPLZUWBSLZTOZVYAJKLZUWFM
      LZVXSOZPVYAUVHVXQYPLZSLZTOZVYDVYGJKLZMLZVXSOZPUFUDUEVXRVYAVYGHHHUWHVXROZU
      WJVXTUWDVYMUWIVXSUWGUWHVXRNKQVJVKUWAVYAOZUWDVYCVXTVYFVYNUWCVYBTUWAVYAUWBS
      QRVYNUWGVYEVXSVYNUWEVYDUWFMUWAVYAJKQUSRWBUWBVYGOZVYCVYIVYFVYLVYOVYBVYHTUW
      BVYGVYASWCRVYOVYEVYKVXSVYOUWFVYJVYDMUWBVYGJKQUTRWBVXPVYAHIZVYGHIZVXRHIZVX
      PVYPVYQVYRYQZVYLVXPUVFUVHUUQAUVPVXLVXOWEZVXMVXNUVKWHZAUVPVXLVXOWDVXMVXNUV
      KWNYRZYSZYTVXPVYPVYQVYRWUCUUAVXPVYPVYQVYRWUCUUBVXPVYIVYLVXPUVFXLIUVHXLIUV
      HUUCVCVYIVXPUVFVYTWSVXPUVHWUAWSVXPUVHWUAUUDUVFUVHUUEYCVXPVYSVYLWUBUUFWRUU
      GUUHWLYJVXHUVMUAHYMYNVXIUVMUAHYOYNYKUVDUVNUUIUUJUUSUAHYOYHUUTUVCUADHUUQDO
      ZUUSUUPUVBWUDUURUVBUUPUUQDNKQVJUUKUULUUM $.
  $}

  $(
    fermrtt.a @e |- ( ph -> A e. NN ) @.
    fermrtt.b @e |- ( ph -> B e. NN ) @.
    fermrtt.c @e |- ( ph -> C e. NN ) @.
    @( Fermat's right triangle theorem, which implies Fermat's last theorem for
       exponent 4.  (Contributed by TODO-SN, ??-???-202?.) @)
    fermrtt @p |- ( ph -> ( ( A ^ 4 ) - ( B ^ 4 ) ) =/= ( C ^ 2 ) ) @=
      ? @.
  $)

  $(
    flt4.a @e |- ( ph -> A e. NN ) @.
    flt4.b @e |- ( ph -> B e. NN ) @.
    flt4.c @e |- ( ph -> C e. NN ) @.
    @( Fermat's last theorem for the exponent four.  (Contributed by ??,
       ??-???-????.) @)
    flt4 @p |- ( ph -> ( ( A ^ 4 ) + ( B ^ 4 ) ) =/= ( C ^ 4 ) ) @=
      ? @.
  $)

  ${
    fltltc.a $e |- ( ph -> A e. NN ) $.
    fltltc.b $e |- ( ph -> B e. NN ) $.
    fltltc.c $e |- ( ph -> C e. NN ) $.
    fltltc.n $e |- ( ph -> N e. ( ZZ>= ` 3 ) ) $.
    fltltc.1 $e |- ( ph -> ( ( A ^ N ) + ( B ^ N ) ) = ( C ^ N ) ) $.
    $( ` ( C ^ N ) ` is the largest term and therefore ` B < C ` .
       (Contributed by Steven Nguyen, 22-Aug-2023.) $)
    fltltc $p |- ( ph -> B < C ) $=
      ( clt wbr cexp co cmin nncnd c3 wcel expcld nnrpd cuz cn eluzge3nn nnnn0d
      cfv mvlladdd nnred reexpcld nnzd rpexpcld ltsubrpd eqbrtrd ltexp1d mpbird
      syl ) ACDKLCEMNZDEMNZKLAUPUQBEMNZONUQKAURUPUQABEABFPAEAEQUAUEREUBRIEUCUOZ
      UDZSACEACGPUTSJUFAUQURADEADHUGUTUHABEABFTAEUSUIUJUKULACDEACGTADHTUSUMUN
      $.

    $d N k $.  $d B k $.  $d C k $.  $d ph k $.
    $( Lemma for ~ fltnlta .  A lower bound for ` A ` based on ~ pwdif .
       (Contributed by Steven Nguyen, 22-Aug-2023.) $)
    fltnltalem $p |- ( ph -> (
        ( C - B ) x. ( ( C ^ ( N - 1 ) ) + ( ( N - 1 ) x. ( B ^ ( N - 1 ) ) ) )
                                                             ) < ( A ^ N ) ) $=
      ( vk cmin co c1 cexp cmul caddc cc0 wcel adantr clt cfzo cv csu nnred cuz
      c3 cfv cn0 eluzge3nn nnm1nn0 3syl reexpcld nn0red remulcld readdcld fzofi
      cn cfn a1i wa cr elfzonn0 adantl fzonnsub syl fsumrecl wbr fltltc syl2anc
      crp difrp mpbid nnnn0d simpr 1nn0 elfzoext sylancl wceq nnnn0 nn0cnd 1cnd
      wb subcld npcand oveq2d eleqtrd c2 cc sub1m1 uz3m2nn eqeltrd cle uzuzle23
      nncnd uz2m1nn expm1t eqcomd expcld oveq1d 3eqtr2rd eqled pncan3d sumeq2dv
      adddirp1d expaddd chash fsumconst hashfzo0 eqtrd 3eqtr3d breqtrrd expge0d
      nnrpd rpge0d leexp1a syl32anc lemul1ad ltexp1dd ltmul1dd leltaddd lelttrd
      ltled fsumle nncand exp1d 0zd peano2zd 0cn ax-1cn addassi addcli eluzp1m1
      cz addid2i mulcld oveq2 oveq12d nn0zd fzosumm1 1p1e2 3eqtri fveq2d fsumcl
      eleqtrrd ltadd2dd addcomd sub32d nnncand subidd exp0d recnd mulid1d sylib
      elnn0uz ltmul2dd pwdif syl3anc mvlraddd ) ADCLMZDENLMZOMZUVACUVAOMZPMZQMZ
      PMZDEOMZCEOMZLMZBEOMZUAAUVFUUTREUBMZDKUCZOMZCEUVLLMZNLMZOMZPMZKUDZPMZUVIU
      AAUVEUVRUUTAUVBUVDADUVAADHUEZAEUGUFUHSZEURSZUVAUISZIEUJZEUKULZUMZAUVAUVCA
      UVAUWEUNACUVAACGUEZUWEUMUOZUPAUVKUVQKUVKUSSAREUQUTAUVLUVKSZVAZUVMUVPUWJDU
      VLADVBSZUWIUVTTUWIUVLUISZAUVLEVCVDZUMUWJCUVOACVBSZUWIUWGTUWJUVNURSZUVOUIS
      UWIUWOAUVLREVEVDUVNUKVFZUMUOVGACDUAVHZUUTVKSZABCDEFGHIJVIZAUWNUWKUWQUWRWC
      UWGUVTCDVLVJVMAUVERUVAUBMZUVQKUDZUVBCEUVALMZNLMZOMZPMZQMZUVRUAAUVEUWTUVMC
      UVAUVLLMZOMZPMZKUDZUVBQMZUXFUAAUVEUVBUXJQMUXKUAAUVDUXJUVBUWHAUWTUXIKUWTUS
      SARUVAUQUTZAUVLUWTSZVAZUVMUXHUXNDUVLAUWKUXMUVTTUXMUWLAUVLUVAVCZVDZUMUXNCU
      XGAUWNUXMUWGTUXMUXGUISZAUXMUXGUVLRUVAVEVNZVDZUMUOVGUWFAUVDRUVANLMZUBMZUXI
      KUDZDUXTOMZCUVAUXTLMZOMZPMZQMZUXJUAAUVDUYBUYCCPMZQMZUYGUAAUVDUYACUVLOMZUX
      HPMZKUDZCUXTOMZCPMZQMZUYIUWHAUYLUYNAUYAUYKKUYAUSSZARUXTUQUTZAUVLUYASZVAZU
      YJUXHUYSCUVLAUWNUYRUWGTZUYRUWLAUVLUXTVCVDZUMZUYSCUXGUYTUYSUXMUXQUYSUVLRUX
      TNQMZUBMZUWTUYSUYRNUISUVLVUDSAUYRVOVPNRUXTUVLVQVRAVUDUWTVSUYRAVUCUVARUBAU
      VANAENAEAUWAUWBEUISZIUWDEVTULZWAZAWBZWDZVUHWEZWFTWGZUXRVFZUMZUOZVGZAUYMCA
      CUXTUWGAUXTAUXTEWHLMZURAEWISZUXTVUPVSVUGEWJVFAUWAVUPURSIEWKVFWLZVNZUMZUWG
      UOZUPAUYBUYHAUYAUXIKUYQUYSUVMUXHUYSDUVLAUWKUYRUVTTZVUAUMZVUMUOZVGZAUYCCAD
      UXTUVTVUSUMZUWGUOZUPAUVDUXTUVCPMZUYNQMZUYOWMAUVDVVIUWHAVVIVVHUVCQMVUCUVCP
      MUVDAUYNUVCVVHQAUVCUYNACWISZUVAURSZUVCUYNVSACGWOZAEWHUFUHZSZVVKAUWAVVNIEW
      NVFZEWPVFCUVAWQVJWRWFAUXTUVCAUVANVUIVUHWDACUVAVVLUWEWSZXEAVUCUVAUVCPVUJWT
      XAXBAUYLVVHUYNQAUYACUVLUXGQMZOMZKUDUYAUVCKUDZUYLVVHAUYAVVRUVCKUYSVVQUVACO
      UYSUVLUVAUYSUXMUVLWISZVUKUXMUVLUXOWAZVFAUVAWISUYRVUITXCWFXDAUYAVVRUYKKUYS
      CUVLUXGAVVJUYRVVLTVULVUAXFXDAVVSUYAXGUHZUVCPMZVVHAUYPUVCWISVVSVWCVSUYQVVP
      UYAUVCKXHVJAVWBUXTUVCPAUXTUISVWBUXTVSVUSUXTXIVFWTXJXKWTXLAUYLUYNUYBUYHVUO
      VVAVVEVVGAUYAUYKUXIKUYQVUNVVDUYSUYJUVMUXHVUBVVCVUMUYSCUXGUYTVULARCWMVHZUY
      RACACGXNZXOTZXMUYSUWNUWKUWLVWDCDWMVHZUYJUVMWMVHUYTVVBVUAVWFAVWGUYRACDUWGU
      VTUWSYCTCDUVLXPXQXRYDAUYMUYCCVUTVVFVWEACDUXTVWEADHXNVURUWSXSXTYAYBAUYFUYH
      UYBQAUYECUYCPAUYECNOMCAUYDNCOAUVANVUIVUHYEWFACVVLYFXJWFWFXLAUXIUYFKRUVAAR
      YNSUVARNQMZUFUHSZUXTRUFUHZSAYGZAVWHYNSEVWHNQMZUFUHZSVWIARVWKYHAEVVMVWMVVO
      AVWLWHUFVWLWHVSAVWLRNNQMZQMVWNWHRNNYIYJYJYKVWNNNYJYJYLYOUUAUUBUTUUCUUEVWH
      EYMVJRUVAYMVJUXNUVMUXHUXNDUVLADWISZUXMADHWOZTUXPWSUXNCUXGAVVJUXMVVLTUXSWS
      YPZUVLUXTVSZUVMUYCUXHUYEPUVLUXTDOYQVWRUXGUYDCOUVLUXTUVALYQWFYRAUVAUWEYSYT
      XLUUFAUXJUVBAUWTUXIKUXLVWQUUDADUVAVWPUWEWSUUGXLAUXAUXJUXEUVBQAUWTUVQUXIKU
      XNUVPUXHUVMPUXNUVOUXGCOUXNEUVLNAVUQUXMVUGTUXMVVTAVWAVDUXNWBUUHWFWFXDAUXEU
      VBNPMUVBAUXDNUVBPAUXDCROMNAUXCRCOAUXCEELMRAEENVUGVUGVUHUUIAEVUGUUJXJWFACV
      VLUUKXJWFAUVBAUVBUWFUULUUMXJYRXLAUVQUXEKREAUWCUVAVWJSUWEUVAUUOUUNUWJUVMUV
      PUWJDUVLAVWOUWIVWPTUWMWSUWJCUVOAVVJUWIVVLTUWPWSYPUVLUVAVSZUVMUVBUVPUXDPUV
      LUVADOYQVWSUVOUXCCOVWSUVNUXBNLUVLUVAELYQWTWFYRAEVUFYSYTXLUUPAVUEVWOVVJUVI
      UVSVSVUFVWPVVLDCKEUUQUURXLAUVJUVHUVGABEABFWOVUFWSACEVVLVUFWSJUUSXL $.

    $( Since ` A =/= B ` by ~ fltne , we may assume ` A < B ` without loss of
       generality.  TODO-SN: Remove hypothesis.  Also, generalize this thanks
       to ~ https://youtu.be/EymVXkPWxyc&lc=Ugzns5rcAoyB9z2LKJ14AaABAg . $)
    fltnlta.1 $e |- ( ph -> A < B ) $.
    $( In a Fermat counterexample, the exponent ` N ` is less than all three
       numbers ( ` A ` , ` B ` , and ` C ` ).  Note that ` A < B ` (hypothesis)
       and ` B < C ` ( ~ fltltc ).  See ~ https://youtu.be/EymVXkPWxyc for an
       outline.  (Contributed by SN, 24-Aug-2023.) $)
    fltnlta $p |- ( ph -> N < A ) $=
      ( co c1 cexp cmul caddc cdiv wcel nnred remulcld cmin c3 cuz cn eluzge3nn
      cfv resubcld c2 uzuzle23 uz2m1nn 3syl nnnn0d reexpcld readdcld nnrpd nnzd
      syl rpexpcld rerpdivcld clt cr nncnd recnd adddird pncan3d oveq1d mulid2d
      1cnd 3eqtr3rd oveq2d eqeltrrd nn0ge0d 1red wbr fltltc wb nnltp1le syl2anc
      cle mpbid leidd lesub3d lemulge12d mulassd mulcld nnne0d expne0d divcan4d
      rpred difrp ltexp1dd ltmul2dd ltdiv1dd eqbrtrrd lelttrd breqtrrd ltadd1dd
      eqtr3d crp lttrd fltnltalem nncand expsubd exp1d 3eqtr3d breqtrd ) AEDCUA
      LZDEMUALZNLZXHCXHNLZOLZPLZOLZBXHNLZQLZBAEAEUBUCUFRZEUDRIEUEUQZSZAXMXNAXGX
      LADCADHSZACGSZUGZAXIXKADXHXSAXHAXPEUHUCUFRXHUDRIEUIEUJUKZULZUMZAXHXJAXHYB
      SACXHXTYCUMZTZUNZTZABXHABFUOZAXHYBUPZURZUSZABFSZAEXGXJXKPLZOLZXNQLZXOXRAY
      OXNAXGYNYAAXJXKYEYFUNZTZYKUSZYLAEXGEXJOLZOLZXNQLZYPUTAEXGEOLZUUBXRAXGEYAX
      RTAYPUUBVAAYOUUAXNQAYNYTXGOAMXHPLZXJOLMXJOLZXKPLYTYNAMXHXJAVHZAXHYBVBAXJY
      EVCZVDAUUDEXJOAMEUUFAEXQVBZVEVFAUUEXJXKPAXJUUGVGVFVIZVJZVFZYSVKAEXGXRYAAE
      AEXQULZVLADCMCXSXTAVMXTACDUTVNZCMPLDVSVNZABCDEFGHIJVOZACUDRDUDRUUMUUNVPGH
      CDVQVRVTACXTWAWBWCAXGEXNOLZOLZXNQLZUUCUUBUTAUUCXNOLZXNQLUURUUCAUUSUUQXNQA
      XGEXNAXGYAVCZUUHAXNAXNYKWIZVCZWDVFAUUCXNAXGEUUTUUHWEUVBABXHABFVBZABFWFZYJ
      WGWHWRAUUQUUAXNAXGUUPYAAEXNXRUVATZTAYOUUAVAUUJYRVKYKAUUPYTXGUVEAYNYTVAUUI
      YQVKAUUMXGWSRZUUOACVARDVARUUMUVFVPXTXSCDWJVRVTZAXNXJEUVAYEAEXQUOABCXHYIAC
      GUOZYBKWKWLWLWMWNWOUUKWPAYOXMXNYRYHYKAYNXLXGYQYGUVGAXJXIXKYEYDYFACDXHUVHA
      DHUOYBUUOWKWQWLWMWTAXOBENLZXNQLZBUTAXMUVIXNYHABEYMUULUMYKABCDEFGHIJXAWMAB
      EXHUALZNLBMNLUVJBAUVKMBNAEMUUHUUFXBVJABEXHUVCUVDYJAEXQUPXCABUVCXDXEXFWT
      $.
  $}

$( (End of Steven Nguyen's mathbox.) $)
$( End $[ set-mbox-sn.mm $] $)


$( Begin $[ set-mbox-ii.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Igor Ieskov
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  ${
    binom2d.1 $e |- ( ph -> A e. CC ) $.
    binom2d.2 $e |- ( ph -> B e. CC ) $.
    $( Deduction form of binom2.  (Contributed by Igor Ieskov, 14-Dec-2023.) $)
    binom2d $p |- ( ph -> ( ( A + B ) ^ 2 ) =
                ( ( ( A ^ 2 ) + ( 2 x. ( A x. B ) ) ) + ( B ^ 2 ) ) ) $=
      ( cc wcel caddc co c2 cexp cmul wceq binom2 syl2anc ) ABFZGCPGBCHZIJZKZIB
      RSIRBCLZITIQICRSIQIMDEBCNO $.
  $}

  ${
    cu3addd.1 $e |- ( ph -> A e. CC ) $.
    cu3addd.2 $e |- ( ph -> B e. CC ) $.
    cu3addd.3 $e |- ( ph -> C e. CC ) $.
    $( Cube of sum of three numbers.  (Contributed by Igor Ieskov,
       14-Dec-2023.) $)
    cu3addd $p |- ( ph -> ( ( ( A + B ) + C ) ^ 3 ) =
                ( ( ( ( ( A ^ 3 ) + ( 3 x. ( ( A ^ 2 ) x. B ) ) )
                + ( ( 3 x. ( A x. ( B ^ 2 ) ) ) + ( B ^ 3 ) ) )
                + ( ( ( 3 x. ( ( A ^ 2 ) x. C ) )
                + ( ( ( 3 x. 2 ) x. ( A x. B ) ) x. C ) )
                + ( 3 x. ( ( B ^ 2 ) x. C ) ) ) )
                + ( ( ( 3 x. ( A x. ( C ^ 2 ) ) )
                + ( 3 x. ( B x. ( C ^ 2 ) ) ) ) + ( C ^ 3 ) ) ) ) $=
      ( co wcel wceq addcld binom3 a1i oveq1d eqtrd oveq2d sqcld mulcld adddird
      adddid caddc c3 cexp c2 cmul cc wa jca wi mpd syl2anc binom2d 3cn mulassd
      2cnd eqcomd ) ABCUAZHZDUQHUBZUCZHZBUSUTHUSBUDZUTHZCUEZHVDHUQHUSBCVBUTHZVD
      HVDHCUSUTHUQHUQHZUSVCDVDHZVDHZUSVBVDHBCVDHZVDHZDVDHZUQHZUSVEDVDHZVDHZUQHZ
      UQHZUSBDVBUTHZVDHZCVQVDHZUQHZVDHZDUSUTHZUQHZUQHZVPUSVRVDHUSVSVDHUQHZWBUQH
      ZUQHAVAVPUSURVQVDHZVDHZWBUQHZUQHZWDAVAVFVHUSVBVIVDHZDVDHZVDHZUQHZVNUQHZUQ
      HZWIUQHZWJAVAVFUSVGWLUQHZVDHZVNUQHZUQHZWIUQHZWQAVAVFUSWRVMUQHZVDHZUQHZWIU
      QHZXBAVAVFUSVCWKUQHZDVDHZVMUQHZVDHZUQHZWIUQHZXFAVAVFUSXGVEUQHZDVDHZVDHZUQ
      HZWIUQHZXLAVAVFUSURVBUTHZDVDHZVDHZUQHZWIUQHZXQAVAURUSUTHZXTUQHZWIUQHZYBAU
      RUFZIZDYFIZUGZVAYEJZAYGYHABCEFKGUHYIYJUIAURDLMUJAYDYAWIUQAYCVFXTUQABYFICY
      FIYCVFJEFBCLUKNNOAYAXPWIUQAXTXOVFUQAXSXNUSVDAXRXMDVDABCEFULNPPNOAXPXKWIUQ
      AXOXJVFUQAXNXIUSVDAXGVEDAVCWKABEQZAVBVIAUOZABCEFRZRZKACFQZGSPPNOAXKXEWIUQ
      AXJXDVFUQAXIXCUSVDAXHWRVMUQAVCWKDYKYNGSNPPNOAXEXAWIUQAXDWTVFUQAUSWRVMUSYF
      IAUMMZAVGWLAVCDYKGRZAWKDYNGRZKAVEDYOGRTPNOAXAWPWIUQAWTWOVFUQAWSWNVNUQAUSV
      GWLYPYQYRTNPNOAWPVPWIUQAVPWPAVOWOVFUQAVLWNVNUQAVKWMVHUQAVKUSWKVDHZDVDHWMA
      VJYSDVDAUSVBVIYPYLYMUNNAUSWKDYPYNGUNOPNPUPNOAWIWCVPUQAWHWAWBUQAWGVTUSVDAB
      CVQEFADGQZSPNPOAWCWFVPUQAWAWEWBUQAUSVRVSYPABVQEYTRACVQFYTRTNPO $.
  $}

  ${
    sqnegd.1 $e |- ( ph -> A e. CC ) $.
    $( The square of the negative of a number.  (Contributed by Igor Ieskov,
       21-Jan-2024.) $)
    sqnegd $p |- ( ph -> ( -u A ^ 2 ) = ( A ^ 2 ) ) $=
      ( cc wcel cneg c2 cexp co wceq sqneg syl ) ABDEBFGZHZIBMNIJCBKL $.
  $}

  ${
    negexpidd.1 $e |- ( ph -> A e. RR ) $.
    negexpidd.2 $e |- ( ph -> N e. NN0 ) $.
    negexpidd.3 $e |- ( ph -> -. 2 || N ) $.
    $( The sum of a real number to the power of N and the negative of the
       number to the power of N equals zero if N is a nonnegative odd integer.
       (Contributed by Igor Ieskov, 21-Jan-2024.) $)
    negexpidd $p |- ( ph -> ( ( A ^ N ) + ( -u A ^ N ) ) = 0 ) $=
      ( cexp co cneg caddc cc0 wceq recnd mulm1d oveq1d wcel wi a1i mpd eqtr4d
      reexpcld negidd c1 cmul eqcomd cz c2 cdvds wbr wn wa jctird m1expo eqtr2d
      cn0 nn0z cc neg1cn mulexpd oveq2d eqeq1d mpbird ) ABCGZHZBIZCVCHZJZHZKZLV
      DVDIZVGHZVILAVDAVDABCDEUAMZUBAVHVKVIAVFVJVDVGAVFUCIZBUDZHZCVCHZVJAVEVOCVC
      AVOVEABABDMZNUEOAVJVMCVCHZVDVNHZVPAVSVMVDVNHVJAVRVMVDVNACUFPZUGCUHUIUJZUK
      ZVRVMLZACUOPZWBEAWDVTWAWDVTQACUPRFULSWBWCQACUMRSOAVDVLNUNAVMBCVMUQPAURRVQ
      EUSTTUTVAVB $.
  $}

  ${
    $d B z $.  $d A y z $.  $d ph x y z $.  $d ch x y z $.
    rexlimdv3d.1 $e |- ( ph ->
      ( ( x e. A /\ y e. B /\ z e. C ) -> ( ps -> ch ) ) ) $.
    $( An extended version of ~ rexlimdvv to include three set variables.
       (Contributed by Igor Ieskov, 21-Jan-2024.) $)
    rexlimdv3d $p |- ( ph -> ( E. x e. A E. y e. B E. z e. C ps -> ch ) ) $=
      ( wrex cv wcel wa wi 3expd imp4d expdimp rexlimdvv rexlimdva ) ABFIKEHKCD
      GADLGMZNBCEFHIAUAELHMZFLIMZNBCOZAUAUBUCUDAUAUBUCUDJPQRST $.
  $}

  ${
    3cubeslem1.a $e |- ( ph -> A e. QQ ) $.
    $( Lemma for ~ 3cubes .  (Contributed by Igor Ieskov, 22-Jan-2024.) $)
    3cubeslem1 $p |- ( ph -> 0 < ( ( ( A + 1 ) ^ 2 ) - A ) ) $=
      ( c1 caddc co c2 cexp clt wbr cc0 wceq wcel cr syl 0red wa wi simpl a1i
      cmin w3o cq qre lttri4d peano2re adantr resqcld simpr sqge0d ltletrd 0lt1
      mpand id sq1 3brtr4d 0cnd 1cnd oveq1d comraddd 1p0e1 eqtrdi breqtrrd cmul
      ax-1rid cle 1red readdcld ltle syl2anc ltp1d jctird mpd jca 0le1 ltadd1dd
      1e0p1 eqbrtrid jca32 ltmul12a syl1111anc recnd sqvald 3jaod posdifd mpbid
      eqbrtrrd ) ABBDEFZGHFZIJZKWIBUAFIJABKIJZBKLZKBIJZUBWJABKABUCMBNMZCBUDOZAP
      UEAWKWJWLWMAWNWKWJWOWNWKQZWJRAWPBKWIWNWKSWPPWPWHWNWHNMZWKBUFZUGZUHWNWKUIW
      PWHWSUJUKTUMWLWJRAWLBDGHFZWIIWLKDBWTIKDIJWLULTWLUNZWTDLWLUOTUPWLWHDGHWLWH
      DKEFDWLWHKDWLUQWLURWLBKDEXAUSUTVAVBUSVCTAWNWMWJWOWNWMQZWJRAXBBWHWHVDFZWII
      XBBDVDFZBXCIWNXDBLWMBVEUGXBWNWQKBVFJZBWHIJZQZDNMZWQQZKDVFJZDWHIJZQQXDXCIJ
      WNWMSZXBBDXLXBVGZVHZXBWMXGWNWMUIZXBWMXEXFXBKNMWNWMXERXBPZXLKBVIVJXBBXLVKV
      LVMXBXIXJXKXBXHWQXMXNVNXJXBVOTXBDKDEFWHIVQXBKBDXPXLXMXOVPVRVSBWHDWHVTWAWG
      XBWHXBWHXNWBWCVCTUMWDVMABWIWOAWHAWNWQWOWROUHWEWF $.

    $( Lemma for ~ 3cubes .  Used to show that the denominators in ~ 3cubeslem4
       are nonzero.  (Contributed by Igor Ieskov, 22-Jan-2024.) $)
    3cubeslem2 $p |- ( ph ->
      -. ( ( ( ( 3 ^ 3 ) x. ( A ^ 2 ) ) + ( ( 3 ^ 2 ) x. A ) ) + 3 ) = 0 ) $=
      ( c3 cexp co c2 cmul caddc cc0 c1 cmin wcel a1i recnd oveq2d oveq1d eqtrd
      cr 3eqtr4rd 3re mulid2d sqcld qre syl resqcld mulcld 1cnd adddird mulassd
      cq addcld mulcomd wceq df-3 expp1d sqvald 3eqtr4d mulid1d binom2d 2timesd
      cn0 2nn0 sq1 addcomd cc sqmuld eqeltrd addassd addsubassd subidd remulcld
      addid1d eqtr2d peano2re resubcld 3nn nnq ax-mp sylancr 3cubeslem1 gt0ne0d
      cn qmulcl wne 3ne0 mulne0d eqnetrd neneqd ) ADDEFZBGEFZHFZDGEFZBHFZIFZDIF
      ZJAWPDBHFZKIFZGEFZWQLFZDHFZJAWPWMWKHFZWQIFZKIFZDHFZXAAXCDHFZKDHFZIFXFDIFZ
      XEWPAXGDXFIADADDSMAUANZOZUBPAXCKDAXBWQAWMWKADXJUCZAWKABABUKMZBSMCBUDUEZUF
      OZUGZADBXJABXMOZUGZULZAUHZXJUIAXBDHFZWQDHFZIFZDIFXTDBDHFZHFZIFZDIFZXHWPAY
      BYEDIAYAYDXTIADBDXJXPXJUJPQAXFYBDIAXBWQDXOXQXJUIQAXTDDHFZBHFZIFZDIFZXTDWQ
      HFZIFZDIFWPYFAYIYLDIAYHYKXTIADDBXJXJXPUJPQAWMWKDHFZHFZYHIFZDIFWMDWKHFZHFZ
      YHIFZDIFZYJWPAYOYRDIAYNYQYHIAYMYPWMHAWKDXNXJUMPQQAYIYODIAXTYNYHIAWMWKDXKX
      NXJUJQQAWPWMDHFZWKHFZYHIFZDIFZYSAWPUUAWNIFZDIFZUUCAWPDGKIFZEFZWKHFZWNIFZD
      IFUUEAWOUUIDIAWLUUHWNIAWJUUGWKHADUUFDEDUUFUNAUONPQQQAUUIUUDDIAUUHUUAWNIAU
      UGYTWKHADGXJGVBMAVCNUPQQQRAUUDUUBDIAWNYHUUAIAWMYGBHADXJUQQPQRAUUBYRDIAUUA
      YQYHIAWMDWKXKXJXNUJQQRTAYEYLDIAYDYKXTIAYCWQDHABDXPXJUMPPQURTTAXDWTDHAWQGE
      FZGWQKHFZHFZIFZKGEFZIFZWQLFUUJGWQHFZIFZUUNIFZWQLFZWTXDAUUOUURWQLAUUMUUQUU
      NIAUULUUPUUJIAUUKWQGHAWQXQUSPPQQAWSUUOWQLAWQKXQXSUTQAUUQKIFZWQLFUUJWQWQIF
      ZIFZKIFZWQLFZUUSXDAUUTUVCWQLAUUQUVBKIAUUPUVAUUJIAWQXQVAPQQAUURUUTWQLAUUNK
      UUQIUUNKUNAVDNPQAXDUUJWQIFZWQIFZKIFZWQLFZUVDAUVEWRIFZWQLFUVEKWQIFZIFZWQLF
      ZUVHXDAUVIUVKWQLAWRUVJUVEIAWQKXQXSVEPQAUVGUVIWQLAUVEWQKAUUJWQAUUJXBVFADBX
      JXPVGZXOVHZXQULZXQXSVIQAXDUVEKIFZWQIFZWQLFZUVLAXDWQIFZWQLFXDWQWQLFZIFZUVR
      XDAXDWQWQAXCKXRXSULZXQXQVJAUVQUVSWQLAUVPXDWQIAUVEXCKIAUUJXBWQIUVMQQQQAUWA
      XDJIFXDAUVTJXDIAWQXQVKPAXDUWBVMVNTAUVQUVKWQLAUVEKWQUVOXSXQVIQRTAUVGUVCWQL
      AUVFUVBKIAUUJWQWQUVNXQXQVIQQRTTQRAWTDAWTAWSWQAWRAWQSMWRSMADBXIXMVLZWQVOUE
      UFUWCVPOXJAWTAWQADUKMZXLWQUKMDWCMUWDVQDVRVSCDBWDVTWAWBDJWEAWFNWGWHWI $.

    $( Lemma for ~ 3cubes .  (Contributed by Igor Ieskov, 22-Jan-2024.) $)
    3cubeslem3l $p |- ( ph ->
        ( A x. ( ( ( ( ( 3 ^ 3 ) x. ( A ^ 2 ) )
          + ( ( 3 ^ 2 ) x. A ) ) + 3 ) ^ 3 ) )
      = ( ( ( A ^ 7 ) x. ( 3 ^ 9 ) )
          + ( ( ( A ^ 6 ) x. ( 3 ^ 9 ) )
          + ( ( ( A ^ 5 ) x. ( ( 3 ^ 8 ) + ( 3 ^ 8 ) ) )
          + ( ( ( A ^ 4 ) x. ( ( ( 3 ^ 7 ) x. 2 ) + ( 3 ^ 6 ) ) )
          + ( ( ( A ^ 3 ) x. ( ( 3 ^ 6 ) + ( 3 ^ 6 ) ) )
          + ( ( ( A ^ 2 ) x. ( 3 ^ 5 ) )
          + ( A x. ( 3 ^ 3 ) ) ) ) ) ) ) ) ) $=
      ( c3 cexp co c2 cmul caddc c6 mulcld oveq2d addcld oveq1d eqtrd eqtr4d c1
      a1i mulcomd mulassd c7 c9 c5 c8 c4 cc wcel 3cn cn0 3nn0 expcld cq qcn syl
      sqcld cu3addd 2nn0 nn0mulcld nn0cnd adddid addassd addcomd eqcomd expaddd
      sqvald nn0addcld expp1d wceq 2p2e4 4p1e5 2p1e3 5p1e6 mulexpd 6nn0 expmuld
      1nn0 2t2e4 3p1e4 3p2e5 5nn0 6p1e7 2cn 3t2e6 mulcomli 4nn0 7nn0 3p3e6 8nn0
      ax-1cn 7p1e8 6p2e8 8p1e9 3t3e9 ) ABDDEFZBGEFZHFZDGEFZBHFZIFDIFDEFZHFZBUAE
      FZDDDHFZEFZHFZBJEFZDUBEFZHFZBUCEFZDUDEFZXIIFHFZBUEEFZDUAEFZGHFZDJEFZIFHFZ
      BDEFZXNXNIFZHFZWODUCEFZHFZBWNHFZIFZIFZIFZIFZIFZIFZXAXFHFZYFIFAWTXAWNDEFZH
      FZYFIFZYGAWTBWPDEFZHFZYFIFZYKAWTYMBDWPGEFZWRHFZHFZHFZYEIFZIFZYNAWTYMYRBDW
      PWRGEFZHFZHFZHFZBDYODHFZHFZHFZIFZYDIFZIFZIFZYTAWTYMYRUUHBDGHFZWPWRHFZHFZD
      HFZHFZBWRDEFZHFZIFZYCIFZIFZIFZIFZUUKAWTYMYRUUHUUSBDWPWQHFZHFZHFZBDUUADHFZ
      HFZHFZIFZYBIFZIFZIFZIFZIFZUVCAWTYMYRUUHUUSUVJBDWRWQHFZHFZHFZYAIFZIFZIFZIF
      ZIFZIFZUVOAWTYMYRUUDUUGUUPUURUVFUVIUVSIFZIFZIFZIFZIFZIFZIFZIFZUWDAWTYMYRI
      FZUUDUURIFZIFZUUGUUPIFZUVIIFZIFZUVFUVRIFZYAIFZIFZUWLAWTBYLYQIFZUUCUUQIFZI
      FZUUFUUOIFZUVHIFZIFZUVEUVQIFZWNIFZIFZHFZUXAAWSUXJBHAWPWRDAWNWOADDDUFUGAUH
      RZDUIUGAUJRZUKZABABULUGBUFUGCBUMUNZUOZKZAWQBADUXLUOZUXOKZUXLUPLAUXKUWRBUX
      HHFZYAIFZIFZUXAAUXKUWRBUXIHFZIFZUYBAUXKUWOBUXEHFZUVIIFZIFZUYCIFZUYDAUXKUW
      OBUXFHFZIFZUYCIFZUYHAUXKUWMBUXCHFZIFZUYIIFZUYCIFZUYKAUXKBUXBHFZUYLIFZUYII
      FZUYCIFZUYOAUXKBUXDHFZUYIIFZUYCIFZUYSAUXKBUXGHFZUYCIFVUBABUXGUXIUXOAUXDUX
      FAUXBUXCAYLYQAWPDUXQUXMUKZADYPUXLAYOWRAWPUXQUOZUXSKKZMZAUUCUUQADUUBUXLAWP
      UUAUXQAWRUXSUOZKKZAWRDUXSUXMUKZMZMZAUXEUVHAUUFUUOADUUEUXLAYODVUEUXLKKZAUU
      NDAUULUUMAUULADGUXMGUIUGAUQRZURZUSZAWPWRUXQUXSKZKUXLKZMZADUVGUXLAUUADVUHU
      XLKKZMZMAUXHWNAUVEUVQADUVDUXLAWPWQUXQUXRKZKZADUVPUXLAWRWQUXSUXRKZKZMZUXNM
      UTAVUCVUAUYCIABUXDUXFUXOVULVVAUTNOAVUAUYRUYCIAUYTUYQUYIIABUXBUXCUXOVUGVUK
      UTNNOAUYRUYNUYCIAUYQUYMUYIIAUYPUWMUYLIABYLYQUXOVUDVUFUTNNNOAUYNUYJUYCIAUY
      MUWOUYIIAUYLUWNUWMIABUUCUUQUXOVUIVUJUTLNNOAUYJUYGUYCIAUYIUYFUWOIABUXEUVHU
      XOVUSVUTUTLNOAUYGUWRUYCIAUYFUWQUWOIAUYEUWPUVIIABUUFUUOUXOVUMVURUTNLNOAUYC
      UYAUWRIABUXHWNUXOVVFUXNUTLOAUYAUWTUWRIAUXTUWSYAIABUVEUVQUXOVVCVVEUTNLOOAU
      XAYMYRUUDUUGUUPUURUVFUVIYAUVRIFZIFZIFZIFZIFZIFZIFZIFZIFZUWLAUXAYMYRUUDUUG
      UUPUURUVFUVIYAIFZUVRIFZIFZIFZIFZIFZIFZIFZIFZVVOAUXAYMYRUUDUUGUUPUURUVFYAU
      VIIFZUVRIFZIFZIFZIFZIFZIFZIFZIFZVWDAUXAYMYRUUDUUGUUPUURUVFUVRVWEIFZIFZIFZ
      IFZIFZIFZIFZIFZVWMAUXAYMYRUUDUUGUUPUURUWSVWEIFZIFZIFZIFZIFZIFZIFZVXAAUXAY
      MYRUUDUUGUUPUURUWTUVIIFZIFZIFZIFZIFZIFZIFZVXHAUXAYMYRUUDUUGUUPUURUWTIFZUV
      IIFZIFZIFZIFZIFZIFZVXOAUXAYMYRUUDUUGUUPUWTUURIFZUVIIFZIFZIFZIFZIFZIFZVYBA
      UXAYMYRUUDUUGUUPUVIVYCIFZIFZIFZIFZIFZIFZVYIAUXAYMYRUUDUWPVYJIFZIFZIFZIFZV
      YOAUXAYMYRUUDUWQVYCIFZIFZIFZIFZVYSAUXAYMYRUUDUWQUWTIFZUURIFZIFZIFZIFZWUCA
      UXAYMYRUUDUURWUDIFZIFZIFZIFZWUHAUXAYMYRUWNWUDIFZIFZIFZWULAUXAUWMWUMIFZWUO
      AUXAUWOWUDIFWUPAUWOUWQUWTAUWMUWNAYMYRABYLUXOVUDKZABYQUXOVUFKZMZAUUDUURABU
      UCUXOVUIKZABUUQUXOVUJKZMZMAUWPUVIAUUGUUPABUUFUXOVUMKZABUUOUXOVURKZMZABUVH
      UXOVUTKZMZAUWSYAAUVFUVRABUVEUXOVVCKZABUVQUXOVVEKZMZABWNUXOUXNKZMZVAAUWMUW
      NWUDWUSWVBAUWQUWTWVGWVLMZVAOAYMYRWUMWUQWURAUWNWUDWVBWVMMVAOAWUNWUKYMIAWUM
      WUJYRIAUUDUURWUDWUTWVAWVMVALLOAWUKWUGYMIAWUJWUFYRIAWUIWUEUUDIAUURWUDWVAWV
      MVBLLLOAWUGWUBYMIAWUFWUAYRIAWUEVYTUUDIAUWQUWTUURWVGWVLWVAVALLLOAWUBVYRYMI
      AWUAVYQYRIAVYTVYPUUDIAUWPUVIVYCWVEWVFAUWTUURWVLWVAMZVALLLOAVYRVYNYMIAVYQV
      YMYRIAVYPVYLUUDIAUUGUUPVYJWVCWVDAUVIVYCWVFWVNMVALLLOAVYNVYHYMIAVYMVYGYRIA
      VYLVYFUUDIAVYKVYEUUGIAVYJVYDUUPIAUVIVYCWVFWVNVBLLLLLOAVYHVYAYMIAVYGVXTYRI
      AVYFVXSUUDIAVYEVXRUUGIAVYDVXQUUPIAVYCVXPUVIIAUWTUURWVLWVAVBNLLLLLOAVYAVXN
      YMIAVXTVXMYRIAVXSVXLUUDIAVXRVXKUUGIAVXQVXJUUPIAUURUWTUVIWVAWVLWVFVALLLLLO
      AVXNVXGYMIAVXMVXFYRIAVXLVXEUUDIAVXKVXDUUGIAVXJVXCUUPIAVXIVXBUURIAUWSYAUVI
      WVJWVKWVFVALLLLLLOAVXGVWTYMIAVXFVWSYRIAVXEVWRUUDIAVXDVWQUUGIAVXCVWPUUPIAV
      XBVWOUURIAUVFUVRVWEWVHWVIAYAUVIWVKWVFMZVALLLLLLOAVWTVWLYMIAVWSVWKYRIAVWRV
      WJUUDIAVWQVWIUUGIAVWPVWHUUPIAVWOVWGUURIAVWNVWFUVFIAUVRVWEWVIWVOVBLLLLLLLO
      AVWLVWCYMIAVWKVWBYRIAVWJVWAUUDIAVWIVVTUUGIAVWHVVSUUPIAVWGVVRUURIAVWFVVQUV
      FIAVWEVVPUVRIAYAUVIWVKWVFVBNLLLLLLLOAVWCVVNYMIAVWBVVMYRIAVWAVVLUUDIAVVTVV
      KUUGIAVVSVVJUUPIAVVRVVIUURIAVVQVVHUVFIAUVIYAUVRWVFWVKWVIVALLLLLLLOAVVNUWK
      YMIAVVMUWJYRIAVVLUWIUUDIAVVKUWHUUGIAVVJUWGUUPIAVVIUWFUURIAVVHUWEUVFIAVVGU
      VSUVIIAYAUVRWVKWVIVBLLLLLLLLOOAUWLYMYRUUHUUSUWFIFZIFZIFZIFZUWDAUWLYMYRUUH
      UWHIFZIFZIFZWVSAWWBUWLAWWAUWKYMIAWVTUWJYRIAUUDUUGUWHWUTWVCAUUPUWGWVDAUURU
      WFWVAAUVFUWEWVHAUVIUVSWVFAUVRYAWVIWVKMZMMZMMVALLVCAWVRWWAYMIAWVQWVTYRIAWV
      PUWHUUHIAUUPUURUWFWVDWVAWWDVALLLPAUWCWVRYMIAUWBWVQYRIAUWAWVPUUHIAUVTUWFUU
      SIAUVFUVIUVSWVHWVFWWCVALLLLPOAUWCUVNYMIAUWBUVMYRIAUWAUVLUUHIAUVTUVKUUSIAU
      VSYBUVJIAUVRXTYAIAUVRWODUEQIFZEFZHFZXTAUVRWODGGIFZQIFZEFZHFZWWGAUVRWOWQWQ
      HFZDHFZHFZWWKAUVRBBHFZWWMHFZWWNAUVRBBWQWQDHFZHFZHFZHFZWWPAUVRBBWQHFZWWQHF
      ZHFZWWTAUVRBWXAWQHFZDHFZHFZWXCAUVRBUVPDHFZHFWXFAUVQWXGBHADUVPUXLVVDSLAWXG
      WXEBHAUVPWXDDHAWRWXAWQHAWQBUXRUXOSZNNLOAWXEWXBBHAWXAWQDABWQUXOUXRKZUXRUXL
      TLOAWXBWWSBHABWQWWQUXOUXRAWQDUXRUXLKZTLOAWWTWWOWWRHFZWWPAWXKWWTABBWWRUXOU
      XOAWQWWQUXRWXJKTVCAWWMWWRWWOHAWQWQDUXRUXRUXLTLPOAWWOWOWWMHAWOWWOABUXOVEVC
      NOAWWMWWJWOHAWWMDWWHEFZDHFZWWJAWXMWWMAWXLWWLDHADGGUXLVUNVUNVDNVCADWWHUXLA
      GGVUNVUNVFZVGPLOAWWJWWFWOHAWWIWWEDEAWWHUEQIWWHUEVHAVIRNZLLOAWWFXSWOHAWWEU
      CDEWWEUCVHAVJRZLLONLLLLLOAUVNUVBYMIAUVMUVAYRIAUVLUUTUUHIAUVKYCUUSIAUVJXRY
      BIAUVJXPXNDUCQIFZEFZIFZHFZXRAUVJXPXNDWWEQIFZEFZIFZHFZWXTAUVJXPXNDGGHFZQIF
      ZQIFZEFZIFZHFZWYDAUVJXPXNDDWQGEFZHFZHFZIFZHFZWYJAUVJXPXNHFZXPWYMHFZIFZWYO
      AUVJWYPBGQIFZEFZWYMHFZIFZWYRAUVJWYPWOBHFZWYMHFZIFZXUBAUVJWYPWOBWYMHFZHFZI
      FZXUEAUVJWYPBDWYKWOHFZDHFZHFZHFZIFZXUHAUVJWYPUVIIFZXUMAUVJXPWXRHFZUVIIFZX
      UNAUVJXPWYBHFZUVIIFZXUPAUVJXPDWWIQIFZEFZHFZUVIIFZXURAUVJXPDGWYSIFZQIFZEFZ
      HFZUVIIFZXVBAUVJXPDGDIFZQIFZEFZHFZUVIIFZXVGAUVJXPDWQWNHFZHFZHFZUVIIFZXVLA
      UVJWYTXVNHFZUVIIFZXVPAUVJXUCXVNHFZUVIIFZXVRAUVJWOBXVNHFZHFZUVIIFXVTAUVFXW
      BUVIIAUVFWOBDHFZXVMHFZHFZXWBAUVFWOXWCWQHFZWNHFZHFZXWEAUVFWODBHFZWQHFZWNHF
      ZHFZXWHAUVFWOWQXWIHFZWNHFZHFZXWLAUVFWOWNXWMHFZHFZXWOAUVFWOWNHFZXWMHFZXWQA
      UVFXWRWQHFZXWIHFZXWSAUVFXWTDHFZBHFZXXAAUVFUVDDHFZBHFZXXCAUVFUVEBHFXXEABUV
      EUXOVVCSAUVEXXDBHADUVDUXLVVBSNOAXXDXXBBHAUVDXWTDHAWPXWRWQHAWNWOUXNUXPSZNN
      NOAXWTDBAXWRWQAWOWNUXPUXNKZUXRKUXLUXOTOAXWRWQXWIXXGUXRADBUXLUXOKZTOAWOWNX
      WMUXPUXNAWQXWIUXRXXHKZTOAXWPXWNWOHAWNXWMUXNXXISLOAXWNXWKWOHAXWMXWJWNHAWQX
      WIUXRXXHSNLOAXWKXWGWOHAXWJXWFWNHAXWIXWCWQHADBUXLUXOSZNNLOAXWGXWDWOHAXWCWQ
      WNABDUXOUXLKZUXRUXNTLOAXWDXWAWOHABDXVMUXOUXLAWQWNUXRUXNKZTLONAXVSXWBUVIIA
      WOBXVNUXPUXOADXVMUXLXXLKTNPAXVSXVQUVIIAXUCWYTXVNHAWYTXUCABGUXOVUNVGVCZNNO
      AXVQXVOUVIIAWYTXPXVNHAWYSDBEWYSDVHAVKRZLZNNOAXVOXVKUVIIAXVNXVJXPHAXVNDXVH
      EFZDHFZXVJAXVNDXXPHFZXXQAXXRXVNAXXPXVMDHADGDUXLUXMVUNVDLVCADXXPUXLADXVHUX
      LAGDVUNUXMVFZUKSOADXVHUXLXXSVGPLNOAXVFXVKUVIIAXVEXVJXPHAXVDXVIDEAXVCXVHQI
      AWYSDGIXXNLNLLNPAXVAXVFUVIIAXUTXVEXPHAXUSXVDDEAWWIXVCQIAGGQAGVUNUSZXXTQUF
      UGAWIRZVANLLNPAXVAXUQUVIIAXUTWYBXPHAXUSWYADEAWWIWWEQIWXONLLNOAXUQXUOUVIIA
      WYBWXRXPHAWYAWXQDEAWWEUCQIWXPNZLZLNOAXUOWYPUVIIAWXRXNXPHAWXQJDEWXQJVHAVLR
      ZLZLNOAUVIXULWYPIAUVHXUKBHAUVGXUJDHAUUAXUIDHAWQBGUXRUXOVUNVMZNLLLOAXULXUG
      WYPIAXULWOXWCWYLHFZHFZXUGAXULWOXWCDHFZWYKHFZHFZXYHAXULWOXWIDHFZWYKHFZHFZX
      YKAXULWODXWIHFZWYKHFZHFZXYNAXULWOWYKXYOHFZHFZXYQAXULWOWYKHFZXYOHFZXYSAXUL
      XYTDHFZXWIHFZYUAAXULYUBDHFZBHFZYUCAXULXUJDHFZBHFZYUEAXULXUKBHFYUGABXUKUXO
      ADXUJUXLAXUIDAWYKWOAWQUXRUOZUXPKZUXLKZKSAXUKYUFBHADXUJUXLYUJSNOAYUFYUDBHA
      XUJYUBDHAXUIXYTDHAWYKWOYUHUXPSZNNNOAYUBDBAXYTDAWOWYKUXPYUHKZUXLKUXLUXOTOA
      XYTDXWIYULUXLXXHTOAWOWYKXYOUXPYUHADXWIUXLXXHKZTOAXYRXYPWOHAWYKXYOYUHYUMSL
      OAXYPXYMWOHAXYOXYLWYKHADXWIUXLXXHSZNLOAXYMXYJWOHAXYLXYIWYKHAXWIXWCDHXXJNZ
      NLOAXYJXYGWOHAXWCDWYKXXKUXLYUHTLOAXYGXUFWOHABDWYLUXOUXLADWYKUXLYUHKZTLOLO
      AXUDXUGWYPIAWOBWYMUXPUXOADWYLUXLYUPKZTLPAXUDXUAWYPIAXUCWYTWYMHXXMNLOAXUAW
      YQWYPIAWYTXPWYMHXXONLOAWYOWYRAXPXNWYMABDUXOUXMUKZADJUXLJUIUGAVNRZUKZYUQUT
      VCOAWYNWYIXPHAWYMWYHXNIAWYMDWYFEFZDHFZWYHAWYMDYVAHFZYVBAWYMDDWYEEFZDHFZHF
      ZYVCAWYMDDYVDHFZHFZYVFAYVHWYMAYVGWYLDHAYVDWYKDHADGGUXLVUNVUNVOZLLVCAYVGYV
      EDHADYVDUXLADWYEUXLAGGVUNVUNURZUKSLOAYVAYVEDHADWYEUXLYVJVGLPADYVAUXLADWYF
      UXLAWYEQYVJQUIUGAVPRZVFZUKSOADWYFUXLYVLVGPLLOAWYIWYCXPHAWYHWYBXNIAWYGWYAD
      EAWYFWWEQIAWYEUEQIWYEUEVHAVQRZNNZLLLOAWYCWXSXPHAWYBWXRXNIXYCLLOAWXSXQXPHA
      WXRXNXNIXYELLONLLLLOAUVBUUJYMIAUVAUUIYRIAUUTYDUUHIAUUSXOYCIAUUSXKXMHFZXKX
      NHFZIFZXOAUUSYVOXKDGDHFZEFZHFZIFZYVQAUUSYVOXKWQDEFZHFZIFZYWAAUUSYVOBDQIFZ
      EFZYWBHFZIFZYWDAUUSYVOXPBHFZYWBHFZIFZYWHAUUSYVOXPBYWBHFZHFZIFZYWKAUUSYVOB
      YWBXPHFZHFZIFZYWNAUUSYVOUURIFZYWQAUUSXKDJQIFZEFZGHFZHFZUURIFZYWRAUUSXKDWX
      QQIFZEFZGHFZHFZUURIFZYXCAUUSXKDDXSHFZHFZGHFZHFZUURIFZYXHAUUSXKDYXIGHFZHFZ
      HFZUURIFZYXMAUUSXKDDXSGHFZHFZHFZHFZUURIFZYXQAUUSXKDDGXSHFZHFZHFZHFZUURIFZ
      YYBAUUSXKDDGDDGIFZEFZHFZHFZHFZHFZUURIFZYYGAUUSXKDDGWNWQHFZHFZHFZHFZHFZUUR
      IFZYYNAUUSYWFYYRHFZUURIFZYYTAUUSBWYSQIFZEFZYYRHFZUURIFZUUUBAUUSXUCBHFZYYR
      HFZUURIFZUUUFAUUSXUCBYYRHFZHFZUURIFZUUUIAUUSWOBUUUJHFZHFZUURIFUUULAUUPUUU
      NUURIAUUPWOBBDUULYYOHFZHFZHFZHFZHFZUUUNAUUPWOBXWCUUUOHFZHFZHFZUUUSAUUPWOB
      XWCUULHFZYYOHFZHFZHFZUUVBAUUPWOBUUVCWNHFZWQHFZHFZHFZUUVFAUUPWOBXWIUULHFZW
      NHFZWQHFZHFZHFZUUVJAUUPWOBUULXWIHFZWNHFZWQHFZHFZHFZUUVOAUUPWOBWQUUVQHFZHF
      ZHFZUUVTAUUPWOWXAUUVQHFZHFZUUWCAUUPWOWXAUUVPHFZWNHFZHFZUUWEAUUPWOWRUUVPHF
      ZWNHFZHFZUUWHAUUPWOWNUUWIHFZHFZUUWKAUUPXWRUUWIHFZUUWMAUUPXWRWRHFZUUVPHFZU
      UWNAUUPUUWOUULHFZXWIHFZUUWPAUUPUUWQDHFZBHFZUUWRAUUPUUMUULHFZDHFZBHFZUUWTA
      UUPUUOBHFUUXCABUUOUXOVURSAUUOUUXBBHAUUNUUXADHAUULUUMVUPVUQSNNOAUUXBUUWSBH
      AUUXAUUWQDHAUUMUUWOUULHAWPXWRWRHXXFNNNNOAUUWQDBAUUWOUULAXWRWRXXGUXSKZVUPK
      UXLUXOTOAUUWOUULXWIUUXDVUPXXHTOAXWRWRUUVPXXGUXSAUULXWIVUPXXHKZTOAWOWNUUWI
      UXPUXNAWRUUVPUXSUUXEKZTOAUUWLUUWJWOHAWNUUWIUXNUUXFSLOAUUWJUUWGWOHAUUWIUUW
      FWNHAWRWXAUUVPHWXHNNLOAUUWGUUWDWOHAWXAUUVPWNWXIUUXEUXNTLOAUUWDUUWBWOHABWQ
      UUVQUXOUXRAUUVPWNUUXEUXNKZTLOAUUWBUUVSWOHAUUWAUUVRBHAWQUUVQUXRUUXGSLLOAUU
      VSUUVNWOHAUUVRUUVMBHAUUVQUUVLWQHAUUVPUUVKWNHAUULXWIVUPXXHSNNLLOAUUVNUUVIW
      OHAUUVMUUVHBHAUUVLUUVGWQHAUUVKUUVCWNHAXWIXWCUULHXXJNNNLLOAUUVIUUVEWOHAUUV
      HUUVDBHAUUVCWNWQAXWCUULXXKVUPKUXNUXRTLLOAUUVEUUVAWOHAUUVDUUUTBHAXWCUULYYO
      XXKVUPAWNWQUXNUXRKZTLLOAUUVAUUURWOHAUUUTUUUQBHABDUUUOUXOUXLAUULYYOVUPUUXH
      KTLLOAUUURUUUMWOHAUUUQUUUJBHAUUUPYYRBHAUUUOYYQDHADGYYOUXLXXTUUXHTLLLLONAU
      UUKUUUNUURIAWOBUUUJUXPUXOABYYRUXOADYYQUXLADYYPUXLAGYYOXXTUUXHKKKZKTNPAUUU
      HUUUKUURIAXUCBYYRAWOBUXPUXOKUXOUUXITNPAUUUHUUUEUURIAUUUGUUUDYYRHAUUUGWYTB
      HFUUUDAXUCWYTBHXXMNABWYSUXOAGQVUNYVKVFVGPNNOAUUUEUUUAUURIAUUUDYWFYYRHAUUU
      CYWEBEAWYSDQIXXNNLNNOAUUUAYYSUURIAYWFXKYYRHAYWEUEBEYWEUEVHAVRRZLZNNOAYYSY
      YMUURIAYYRYYLXKHAYYLYYRAYYKYYQDHAYYJYYPDHAYYIYYOGHADDGUXLVUNUXMVDLLLVCLNO
      AYYMYYFUURIAYYLYYEXKHAYYKYYDDHAYYJYYCDHAYYIXSGHAYYHUCDEYYHUCVHAVSRLLLLLNO
      AYYFYYAUURIAYYEYXTXKHAYYDYXSDHAYYCYXRDHAGXSXXTADUCUXLUCUIUGAVTRZUKZSLLLNO
      AYXPYYAUURIAYXOYXTXKHAYXNYXSDHADXSGUXLUUXMXXTTLLNPAYXLYXPUURIAYXKYXOXKHAD
      YXIGUXLADXSUXLUUXMKXXTTLNPAYXLYXGUURIAYXKYXFXKHAYXJYXEGHAYXJWXRDHFZYXEAYX
      JDWXRHFZUUXNAYXJDXSDHFZHFUUXOAYXIUUXPDHADXSUXLUUXMSLAWXRUUXPDHADUCUXLUUXL
      VGLPADWXRUXLADWXQUXLAUCQUUXLYVKVFZUKSOADWXQUXLUUXQVGPNLNOAYXGYXBUURIAYXFY
      XAXKHAYXEYWTGHAYXDYWSDEAWXQJQIXYDNLNLNOAYXBYVOUURIAYXAXMXKHAYWTXLGHAYWSUA
      DEYWSUAVHAWARZLNLNOAUURYWPYVOIAUUQYWOBHAWQBDUXRUXOUXMVMLLOAYWPYWMYVOIAYWP
      XPYWBBHFZHFZYWMAYWPXPYWBHFZBHFZUUXTAYWPYWOBHFUUYBABYWOUXOAYWBXPAWQDUXRUXM
      UKZYURKSAYWOUUYABHAYWBXPUUYCYURSNOAXPYWBBYURUUYCUXOTOAUUXSYWLXPHAYWBBUUYC
      UXOSLOLOAYWJYWMYVOIAXPBYWBYURUXOUUYCTLPAYWJYWGYVOIAYWIYWFYWBHAYWFYWIABDUX
      OUXMVGVCNLOAYWGYWCYVOIAYWFXKYWBHUUXKNLOAYWCYVTYVOIAYWBYVSXKHAYVSYWBADGDUX
      LUXMVUNVOVCLLOAYVTYVPYVOIAYVSXNXKHAYVRJDEYVRJVHADGJUHWBWCWDRZLLLOAXOYVQAX
      KXMXNABUEUXOUEUIUGAWERZUKZAXLGADUAUXLUAUIUGAWFRUKXXTKYUTUTVCONLLLOAUUJYSY
      MIAUUIYEYRIAUUHXJYDIAUUHXHXIHFZUUYGIFZXJAUUHUUYGXHDUAQIFZEFZHFZIFZUUYHAUU
      HUUYGXHDYWSQIFZEFZHFZIFZUUYLAUUHUUYGXHDDXNHFZHFZHFZIFZUUYPAUUHUUYGBWWEEFZ
      UUYRHFZIFZUUYTAUUHUUYGXKBHFZUUYRHFZIFZUVUCAUUHUUYGXKBUUYRHFZHFZIFZUVUFAUU
      HUUYGBDXNXKHFZDHFZHFZHFZIFZUVUIAUUHUUYGBDXNBWYEEFZHFZDHFZHFZHFZIFZUVUNAUU
      HUUYGBDDUULEFZUVUOHFZDHFZHFZHFZIFZUVUTAUUHUUYGBDWNGEFZWOGEFZHFZDHFZHFZHFZ
      IFZUVVFAUUHUUYGUUGIFZUVVMAUUHUUYKUUGIFZUVVNAUUHUUYOUUGIFZUVVOAUUHXHDDDIFZ
      QIFZQIFZEFZHFZUUGIFZUVVPAUUHXHDDYWEIFZQIFZEFZHFZUUGIFZUVWBAUUHXHDDUEIFZQI
      FZEFZHFZUUGIFZUVWGAUUHXHDDWYEIFZQIFZEFZHFZUUGIFZUVWLAUUHXHDWNWYKHFZHFZHFZ
      UUGIFZUVWQAUUHUVUAUVWSHFZUUGIFZUVXAAUUHBWWIEFZUVWSHFZUUGIFZUVXCAUUHWOWOHF
      ZBHFZUVWSHFZUUGIFZUVXFAUUHUVXGBUVWSHFZHFZUUGIFZUVXJAUUHWOWOUVXKHFZHFZUUGI
      FZUVXMAUUHBDWPXUIHFZHFZHFZUUGIFUVXPAUUDUVXSUUGIAUUCUVXRBHAUUBUVXQDHAUUAXU
      IWPHXYFLLLNAUVXSUVXOUUGIAUVXSWOWOXWCUVWRHFZHFZHFZUVXOAUVXSWOWOXWCWNHFZWYK
      HFZHFZHFZUVYBAUVXSWOWOXWIWNHFZWYKHFZHFZHFZUVYFAUVXSWOWOWYKUVYGHFZHFZHFZUV
      YJAUVXSWOXYTUVYGHFZHFZUVYMAUVXSWOXYTXWIHFZWNHFZHFZUVYOAUVXSWOXUIXWIHFZWNH
      FZHFZUVYRAUVXSWOWNUVYSHFZHFZUWUAAUVXSXWRUVYSHFZUWUCAUVXSXWRXUIHFZXWIHFZUW
      UDAUVXSUWUEDHFZBHFZUWUFAUVXSUVXQDHFZBHFZUWUHAUVXSUVXRBHFUWUJABUVXRUXOADUV
      XQUXLAWPXUIUXQYUIKZKSAUVXRUWUIBHADUVXQUXLUWUKSNOAUWUIUWUGBHAUVXQUWUEDHAWP
      XWRXUIHXXFNNNOAUWUEDBAXWRXUIXXGYUIKUXLUXOTOAXWRXUIXWIXXGYUIXXHTOAWOWNUVYS
      UXPUXNAXUIXWIYUIXXHKZTOAUWUBUVYTWOHAWNUVYSUXNUWULSLOAUVYTUVYQWOHAUVYSUVYP
      WNHAXUIXYTXWIHYUKNNLOAUVYQUVYNWOHAXYTXWIWNYULXXHUXNTLOAUVYNUVYLWOHAWOWYKU
      VYGUXPYUHAXWIWNXXHUXNKZTLOAUVYLUVYIWOHAUVYKUVYHWOHAWYKUVYGYUHUWUMSLLOAUVY
      IUVYEWOHAUVYHUVYDWOHAUVYGUVYCWYKHAXWIXWCWNHXXJNNLLOAUVYEUVYAWOHAUVYDUVXTW
      OHAXWCWNWYKXXKUXNYUHTLLOAUVYAUVXNWOHAUVXTUVXKWOHABDUVWRUXOUXLAWNWYKUXNYUH
      KZTLLONOAUVXLUVXOUUGIAWOWOUVXKUXPUXPABUVWSUXOADUVWRUXLUWUNKZKTNPAUVXIUVXL
      UUGIAUVXGBUVWSAWOWOUXPUXPKUXOUWUOTNPAUVXIUVXEUUGIAUVXHUVXDUVWSHAUVXHBWWHE
      FZBHFZUVXDAUWUQUVXHAUWUPUVXGBHABGGUXOVUNVUNVDNVCABWWHUXOWXNVGPNNOAUVXEUVX
      BUUGIAUVXDUVUAUVWSHAWWIWWEBEWXOLNNOAUVXBUVWTUUGIAUVUAXHUVWSHAWWEUCBEWXPLZ
      NNOAUVWTUVWPUUGIAUVWSUVWOXHHAUVWSDUVWMEFZDHFZUVWOAUVWSDUWUSHFZUWUTAUVWSDW
      NYVDHFZHFZUWVAAUWVCUVWSAUWVBUVWRDHAYVDWYKWNHYVILLVCAUWUSUWVBDHADDWYEUXLYV
      JUXMVDLPADUWUSUXLADUVWMUXLADWYEUXMYVJVFZUKSOADUVWMUXLUWVDVGPLNOAUVWPUVWKU
      UGIAUVWOUVWJXHHAUVWNUVWIDEAUVWMUVWHQIAWYEUEDIYVMLNLLNOAUVWFUVWKUUGIAUVWEU
      VWJXHHAUVWDUVWIDEAUVWCUVWHQIAYWEUEDIUUXJLNLLNPAUVWAUVWFUUGIAUVVTUVWEXHHAU
      VVSUVWDDEAUVVRUVWCQIADDQUXLUXLXYAVANLLNPAUVWAUUYOUUGIAUVVTUUYNXHHAUVVSUUY
      MDEAUVVRYWSQIAUVVQJQIUVVQJVHAWGRNNLLNOAUUYOUUYKUUGIAUUYNUUYJXHHAUUYMUUYID
      EAYWSUAQIUUXRNLLZNOAUUYKUUYGUUGIAUUYJXIXHHAUUYIUDDEUUYIUDVHAWJRLLZNOAUUGU
      VVLUUYGIAUUFUVVKBHAUUEUVVJDHAYOUVVIDHAWNWOGUXNUXPVUNVMZNLLLOAUVVLUVVEUUYG
      IAUVVLBDUVVAUVVHHFZDHFZHFZHFZUVVEAUWVKUVVLAUWVJUVVKBHAUWVIUVVJDHAUWVHUVVI
      DHAUVVAUVVGUVVHHADDGUXLVUNUXMVOZNNLLVCAUVVDUWVJBHAUVVCUWVIDHAUVVBUWVHDHAU
      VUOUVVHUVVAHABGGUXOVUNVUNVOZLNLLPLOAUVVEUVUSUUYGIAUVVDUVURBHAUVVCUVUQDHAU
      VVBUVUPDHAUVVAXNUVUOHAUULJDEUULJVHAWCRZLNNLLLOAUVUSUVUMUUYGIAUVURUVULBHAU
      VUQUVUKDHAUVUPUVUJDHAUVUOXKXNHAWYEUEBEYVMLLNLLLOAUVUMUVUHUUYGIAUVUMXKXWCU
      UYQHFZHFZUVUHAUVUMXKXYIXNHFZHFZUWVPAUVUMXKXYLXNHFZHFZUWVRAUVUMXKXYOXNHFZH
      FZUWVTAUVUMXKXNXYOHFZHFZUWWBAUVUMYVPXYOHFZUWWDAUVUMYVPDHFZXWIHFZUWWEAUVUM
      UWWFDHFZBHFZUWWGAUVUMUVUKDHFZBHFZUWWIAUVUMUVULBHFUWWKABUVULUXOADUVUKUXLAU
      VUJDAXNXKYUTUUYFKUXLKZKSAUVULUWWJBHADUVUKUXLUWWLSNOAUWWJUWWHBHAUVUKUWWFDH
      AUVUJYVPDHAXNXKYUTUUYFSNNNOAUWWFDBAYVPDAXKXNUUYFYUTKZUXLKUXLUXOTOAYVPDXWI
      UWWMUXLXXHTOAXKXNXYOUUYFYUTYUMTOAUWWCUWWAXKHAXNXYOYUTYUMSLOAUWWAUWVSXKHAX
      YOXYLXNHYUNNLOAUWVSUWVQXKHAXYLXYIXNHYUONLOAUWVQUWVOXKHAXWCDXNXXKUXLYUTTLO
      AUWVOUVUGXKHABDUUYQUXOUXLADXNUXLYUTKZTLOLOAUVUEUVUHUUYGIAXKBUUYRUUYFUXOAD
      UUYQUXLUWWNKTLPAUVUEUVUBUUYGIAUVUDUVUAUUYRHAUVUAUVUDABUEUXOUUYEVGVCNLOAUV
      UBUUYSUUYGIAUVUAXHUUYRHUWURNLOAUUYSUUYOUUYGIAUUYRUUYNXHHAUUYRYWTDHFZUUYNA
      UUYRDYWTHFZUWWOAUUYRDXNDHFZHFUWWPAUUYQUWWQDHADXNUXLYUTSLAYWTUWWQDHADJUXLY
      USVGLPADYWTUXLADYWSUXLAJQYUSYVKVFZUKSOADYWSUXLUWWRVGPLLOAUUYOUUYKUUYGIUWV
      ELOAUUYKUUYGUUYGIUWVFLOAXJUUYHAXHXIXIABUCUXOUUXLUKADUDUXLUDUIUGAWHRUKZUWW
      SUTVCONLLOAYSYFYMIAYRXGYEIAYRXEDUDQIFZEFZHFZXGAYRXEDJGIFZQIFZEFZHFZUWXBAY
      RXEDUULGIFZQIFZEFZHFZUWXFAYRXEDUVVGWQHFZHFZHFZUWXJAYRBWXQEFZUWXLHFZUWXMAY
      RBWYAEFZUWXLHFZUWXOAYRBWYGEFZUWXLHFZUWXQAYRUVVHBHFZBHFZUWXLHFZUWXSAYRUWXT
      BUWXLHFZHFZUWYBAYRUVVHBUWYCHFZHFZUWYDAYRBDUVVIWRHFZHFZHFZUWYFAYQUWYHBHAYP
      UWYGDHAYOUVVIWRHUWVGNLLAUWYIUVVHBXWCUWXKHFZHFZHFZUWYFAUWYIUVVHBXWCUVVGHFZ
      WQHFZHFZHFZUWYLAUWYIUVVHBXWIUVVGHFZWQHFZHFZHFZUWYPAUWYIUVVHBWQUWYQHFZHFZH
      FZUWYTAUWYIUVVHWXAUWYQHFZHFZUXUCAUWYIUVVHWXAXWIHFZUVVGHFZHFZUXUEAUWYIUVVH
      WRXWIHFZUVVGHFZHFZUXUHAUWYIUVVHUVVGUXUIHFZHFZUXUKAUWYIUVVHUVVGHFZUXUIHFZU
      XUMAUWYIUXUNWRHFZXWIHFZUXUOAUWYIUXUPDHFZBHFZUXUQAUWYIUWYGDHFZBHFZUXUSAUWY
      IUWYHBHFUXVAABUWYHUXOADUWYGUXLAUVVIWRAUVVGUVVHAWNUXNUOZAWOUXPUOZKUXSKZKSA
      UWYHUXUTBHADUWYGUXLUXVDSNOAUXUTUXURBHAUWYGUXUPDHAUVVIUXUNWRHAUVVGUVVHUXVB
      UXVCSNNNOAUXUPDBAUXUNWRAUVVHUVVGUXVCUXVBKZUXSKUXLUXOTOAUXUNWRXWIUXVEUXSXX
      HTOAUVVHUVVGUXUIUXVCUXVBAWRXWIUXSXXHKZTOAUXULUXUJUVVHHAUVVGUXUIUXVBUXVFSL
      OAUXUJUXUGUVVHHAUXUIUXUFUVVGHAWRWXAXWIHWXHNNLOAUXUGUXUDUVVHHAWXAXWIUVVGWX
      IXXHUXVBTLOAUXUDUXUBUVVHHABWQUWYQUXOUXRAXWIUVVGXXHUXVBKZTLOAUXUBUWYSUVVHH
      AUXUAUWYRBHAWQUWYQUXRUXVGSLLOAUWYSUWYOUVVHHAUWYRUWYNBHAUWYQUWYMWQHAXWIXWC
      UVVGHXXJNNLLOAUWYOUWYKUVVHHAUWYNUWYJBHAXWCUVVGWQXXKUXVBUXRTLLOAUWYKUWYEUV
      VHHAUWYJUWYCBHABDUWXKUXOUXLAUVVGWQUXVBUXRKZTLLOOAUVVHBUWYCUXVCUXOABUWXLUX
      OADUWXKUXLUXVHKZKTPAUWXTBUWXLAUVVHBUXVCUXOKUXOUXVITPAUWYAUWXRUWXLHAUWYABW
      YFEFZBHFZUWXRAUWYAUVUOBHFZBHFZUXVKAUXVMUWYAAUXVLUWXTBHAUVUOUVVHBHUWVMNNVC
      AUXVJUXVLBHABWYEUXOYVJVGNPABWYFUXOYVLVGPNOAUWXRUWXPUWXLHAWYGWYABEYVNLNOAU
      WXPUWXNUWXLHAWYAWXQBEXYBLNOAUWXNXEUWXLHAWXQJBEXYDLNOAUWXLUWXIXEHAUWXLDUWX
      GEFZDHFZUWXIAUWXLDUXVNHFZUXVOAUWXLDUVVAWQHFZHFZUXVPAUXVRUWXLAUXVQUWXKDHAU
      VVAUVVGWQHUWVLNLVCAUXVNUXVQDHADUULGUXLVUNVUOVDLPADUXVNUXLADUWXGUXLAUULGVU
      OVUNVFZUKSOADUWXGUXLUXVSVGPLOAUWXIUWXEXEHAUWXHUWXDDEAUWXGUWXCQIAUULJGIUWV
      NNNLLOAUWXEUWXAXEHAUWXDUWWTDEAUWXCUDQIUWXCUDVHAWKRNLLOAUWXAXFXEHAUWWTUBDE
      UWWTUBVHAWLRLLONLOAYMYJYFIAYMBYWSEFZYIHFZYJAYMBYVRQIFZEFZYIHFZUXWAAYMBWOD
      EFZHFZYIHFZUXWDAYMBUXWEYIHFZHFZUXWGAYMBYIUXWEHFZHFUXWIAYLUXWJBHAWNWODUXNU
      XPUXMVMLAUXWJUXWHBHAYIUXWEAWNDUXNUXMUKZAWODUXPUXMUKZSLOABUXWEYIUXOUXWLUXW
      KTPAUXWFUXWCYIHAUXWFBYVREFZBHFZUXWCAUXWFBUXWMHFZUXWNAUXWOUXWFAUXWMUXWEBHA
      BGDUXOUXMVUNVOLVCABUXWMUXOABYVRUXOAGDVUNUXMURZUKSOABYVRUXOUXWPVGPNOAUXWCU
      XVTYIHAUXWBYWSBEAYVRJQIUUYDNLNOAUXVTXAYIHAYWSUABEUUXRLNONOAYJXDYFIAYIXCXA
      HAXCYIADDDUXLUXMUXMVOVCLNOAXDYHYFIAXCXFXAHAXBUBDEXBUBVHAWMRLLNO $.

    $( Lemma for ~ 3cubes .  (Contributed by Igor Ieskov, 22-Jan-2024.) $)
    3cubeslem3r $p |- ( ph ->
        ( ( ( ( ( ( 3 ^ 3 ) x. ( A ^ 3 ) ) - 1 ) ^ 3 )
          + ( ( ( -u ( ( 3 ^ 3 ) x. ( A ^ 3 ) )
          + ( ( 3 ^ 2 ) x. A ) ) + 1 ) ^ 3 ) )
          + ( ( ( ( 3 ^ 3 ) x. ( A ^ 2 ) ) + ( ( 3 ^ 2 ) x. A ) ) ^ 3 ) )
      = ( ( ( A ^ 7 ) x. ( 3 ^ 9 ) )
          + ( ( ( A ^ 6 ) x. ( 3 ^ 9 ) )
          + ( ( ( A ^ 5 ) x. ( ( 3 ^ 8 ) + ( 3 ^ 8 ) ) )
          + ( ( ( A ^ 4 ) x. ( ( ( 3 ^ 7 ) x. 2 ) + ( 3 ^ 6 ) ) )
          + ( ( ( A ^ 3 ) x. ( ( 3 ^ 6 ) + ( 3 ^ 6 ) ) )
          + ( ( ( A ^ 2 ) x. ( 3 ^ 5 ) )
          + ( A x. ( 3 ^ 3 ) ) ) ) ) ) ) ) ) $=
      ( c3 cexp co cmul c1 caddc oveq1d oveq2d a1i mulcld eqtrd addassd mulcomd
      c2 addcld mulassd 3eqtrd cmin cneg c7 c9 c6 c5 c8 c4 cc0 eqidd cc 3cn cn0
      wcel 3nn0 expcld cq qcn ax-1cn negsubd eqtr4d wa wceq negcld binom3 sqcld
      syl jca cu3addd 2nn0 nn0mulcld nn0cnd addcomd eqcomd cn nnexpcld nnred cr
      3nn qre reexpcld remulcld cdvds wn n2dvds3 negexpidd addid2d 1red addid1d
      wbr sqnegd sqmuld expmuld 3t2e6 6p1e7 3eqtr2rd 1nn0 nn0addcld expaddd 7cn
      expp1d df-2 7p1e8 8p1e9 6nn0 adddid mulid1d mulexpd 2cn mulcomli 3eqtr4rd
      eqtr2d 3t3e9 3eqtr4d 7nn0 9nn0 mulm1d negidd 8nn0 mulid2d negeqd mulneg1d
      4p4e8 4p1e5 oveq12d 3p2e5 3p1e4 2t2e4 5nn0 4nn0 exp1d 1p2e3 adddird 2p2e4
      eqtr3d 2timesd 4p2e6 df-8 df-3 df-7 sq1 mulneg2d 3eqtr2d 2p1e3 ) ADDEFZBD
      EFZGFZHUAFZDEFZUUGUBZDQEFZBGFZIFHIFDEFZIFZUUEBQEFZGFZUULIFZDEFZIFZBUCEFZD
      UDEFZGFZBUEEFZUVAGFZBUFEFZDUGEFZUVFIFZGFZBUHEFZDUCEFZQGFZDUEEFZIFZGFZUUFU
      VLUVLIFZGFZUUODUFEFZGFZDUULHQEFZGFZGFZIFZIFZIFZIFZIFZIFZUVBUVDUVHUVNUVPUV
      RBUUEGFZIFZIFZIFZIFZIFZIFAUUSUVBUVDUVHUVNUVPDUULQEFZHGFZGFZUWAIFZIFZIFZIF
      ZIFZIFZUWGAUUSUVBUVDUVHUVNUULDEFZDUUJUVSGFZGFZIFZDUUGHUBZQEFZGFZGFZIFZUXC
      IFZUWQIFZIFZIFZIFZIFZUXBAUUSUVBUVDUVHDUUPUWNGFZGFZDQGFZUUJUULGFZGFZHGFZIF
      ZUXMIFZIFZIFZIFZUXQAUUSUVBUVDDUUJUWNGFZGFZDUUPQEFZUULGFZGFZIFZUYEIFZIFZIF
      ZUYHAUUSUVBDUUJQEFZHGFZGFZUUPDEFZIFZDUUGQEFZUXGGFZGFZIFZUYOIFZIFZUYQAUUSD
      UYRUULGFZGFZVUGIFZVUHAUUSVUJVUFUYNUYDUXLUWPUWAUIIFZIFZIFZIFZIFZIFZIFZVUKA
      UUSVUJVUFUYNUYDUXLUWPUWAHDEFZUXGDEFZIFZIFZIFZIFZIFZIFZIFZIFZVURAUUSUIVVHI
      FZVVHAUUSUUGDEFZUUJDEFZIFZVVHIFZVVIAUUSVVJVVKVUJUYTVUAVUEUYJUYMUXSUYCUXCU
      XEUXJUXCVVCIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZVVMAUUSVVJVUEIFZUXJV
      UTIFZIFZVVKVUJIFZUYJUXCIFZIFZUYTUYCIFZUWPIFZIFZUXEUWAIFZVUSIFZIFZIFZVUAUY
      MIFZUXSUXCIFZIFZIFZVWGAUUSVWTUURIFZVXDAUUSVWJUUMIFZUURIFZVXEAUUSUUGUXGIFZ
      DEFZUUMIFZUURIFZVXGAUUSUUSVXKAUURUURUUNIAUUQUUQDEAUUQUJJKAVXJUUNUURIAVXIU
      UIUUMIAVXHUUHDEAUUGHAUUEUUFADDDUKUNAULLZDUMUNAUOLZUPZABDABUQUNZBUKUNCBURV
      GZVXMUPZMZHUKUNAUSLZUTJJJVAAVXJVXFUURIAVXIVWJUUMIAUUGUKUNZUXGUKUNZVBVXIVW
      JVCAVXTVYAVXRAHVXSVDZVHUUGUXGVEVGJJNAVXFVWTUURIAUUMVWSVWJIAUUJUULHAUUGVXR
      VDZAUUKBADVXLVFZVXPMZVXSVIKJNAUURVXCVWTIAUUPUKUNZUULUKUNZVBUURVXCVCAVYFVY
      GAUUEUUOVXNABVXPVFZMZVYEVHUUPUULVEVGKNAVXDVVJVVKVUJUYTVUAVUEUYJUYMUXSUYCU
      XCUXEUXJUXCUWPUWAVUSIFZVUTIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIF
      ZVWGAVXDVVJVVKVUJUYTVUAVUEUYJUYMUXSUYCUXCUXEUXJUXCUWPVUSUWAIFZVUTIFZIFZIF
      ZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZWUFAVXDVVJVVKVUJUYTVUAVUEUYJUYMUX
      SUYCUXCUXEUXJUXCUWPWUGIFZVUTIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZ
      WVCAVXDVVJVVKVUJUYTVUAVUEUYJUYMUXSUYCUXCUXEUXJUXCWVDIFZVUTIFZIFZIFZIFZIFZ
      IFZIFZIFZIFZIFZIFZIFZIFZIFZWVSAVXDVVJVVKVUJUYTVUAVUEUYJUYMUXSUYCUXCUXEUXJ
      VUTWVTIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZWWNAVXDVVJVVKVUJUYTVUAVUE
      UYJUYMUXSUYCUXCUXEVWIWVTIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZWXHAVXDVVJ
      VVKVUJUYTVUAVUEUYJUYMUXSUYCUXCUXEVWIUXCIFZWVDIFZIFZIFZIFZIFZIFZIFZIFZIFZI
      FZIFZIFZIFZWYAAVXDVVJVVKVUJUYTVUAVUEUYJUYMUXSUYCUXCUXEWYBUWPIFZWUGIFZIFZI
      FZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZWYOAVXDVVJVVKVUJUYTVUAVUEUYJUYMUXSUYCUXCU
      XEWYPVUSIFZUWAIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZXUIAVXDVVJVVKVUJUYTV
      UAVUEUYJUYMUXSUYCUXCUXEVUSWYPIFZUWAIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIF
      ZXVCAVXDVVJVVKVUJUYTVUAVUEUYJUYMUXSUYCUXCUXEUWAXVDIFZIFZIFZIFZIFZIFZIFZIF
      ZIFZIFZIFZIFZIFZXVQAVXDVVJVVKVUJUYTVUAVUEUYJUYMUXSUYCUXCVWQXVDIFZIFZIFZIF
      ZIFZIFZIFZIFZIFZIFZIFZIFZXWJAVXDVVJVVKVUJUYTVUAVUEUYJUYMUXSUYCUXCVWRWYPIF
      ZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZXXBAVXDVVJVVKVUJUYTVUAVUEUYJUYMUXSUYCUX
      CVWRWYBIFZUWPIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZXXNAVXDVVJVVKVUJUYTVUAVU
      EUYJUYMUXSUYCUXCXXOIFZUWPIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZXYGAVXDVVJVVKVU
      JUYTVUAVUEUYJUYMUXSUYCUWPXYHIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZXYSAVXDVVJVV
      KVUJUYTVUAVUEUYJUYMUXSUYCUWPIFZXYHIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZYUJAVXDVV
      JVVKVUJUYTVUAVUEUYJUYMUXSYUKUXCIFZXXOIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZYVAAVX
      DVVJVVKVUJUYTVUAVUEUYJUYMUXSYVBVWRIFZWYBIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZYVL
      AVXDVVJVVKVUJUYTVUAVUEUYJUYMUXSYVMVWIIFZUXCIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZ
      YWCAVXDVVJVVKVUJUYTVUAVUEUYJUYMUXSUWPUYCIFZUXCIFZVWRIFZVWIIFZUXCIFZIFZIFZ
      IFZIFZIFZIFZIFZIFZIFZYWNAVXDVVJVVKVUJUYTVUAVUEUYJUYMUXSVWRYWPIFZVWIIFZUXC
      IFZIFZIFZIFZIFZIFZIFZIFZIFZIFZYXHAVXDVVJVVKVUJUYTVUAVUEUYJUYMUXSVWIYXIIFZ
      UXCIFZIFZIFZIFZIFZIFZIFZIFZIFZIFZYXTAVXDVVJVVKVUJUYTVUAVUEUYJUYMUXSUXCYYA
      IFZIFZIFZIFZIFZIFZIFZIFZIFZIFZYYKAVXDVVJVVKVUJUYTVUAVUEUYJUYMVXBYYAIFZIFZ
      IFZIFZIFZIFZIFZIFZIFZUUUAAVXDVVJVVKVUJUYTVUAVUEUYJUYMVXBIFZYYAIFZIFZIFZIF
      ZIFZIFZIFZIFZUUUJAVXDVVJVVKVUJUYTVUAVUEUYJUUUKVWIIFZYXIIFZIFZIFZIFZIFZIFZ
      IFZIFZUUUSAVXDVVJVVKVUJUYTVUAVUEUYJUUUTVWRIFZYWPIFZIFZIFZIFZIFZIFZIFZIFZU
      UVHAVXDVVJVVKVUJUYTVUAVUEUYJUUVIYWOIFZUXCIFZIFZIFZIFZIFZIFZIFZIFZUUVQAVXD
      VVJVVKVUJUYTVUAVUEUYJVXBUYMIFZVWIIFZVWRIFZYWOIFZUXCIFZIFZIFZIFZIFZIFZIFZI
      FZUUWFAVXDVVJVVKVUJUYTVUAVUEUYJVWRUUWHIFZYWOIFZUXCIFZIFZIFZIFZIFZIFZIFZIF
      ZUUWRAVXDVVJVVKVUJUYTVUAVUEUYJYWOUUWSIFZUXCIFZIFZIFZIFZIFZIFZIFZIFZUUXHAV
      XDVVJVVKVUJUYTVUAVUEUYJUXCUUXIIFZIFZIFZIFZIFZIFZIFZIFZUUXQAVXDVVJVVKVUJUY
      TVUAVUEVWLUUXIIFZIFZIFZIFZIFZIFZIFZUUYEAVXDVVJVVKVUJUYTVUAVUEVWLYWOIFZUUW
      SIFZIFZIFZIFZIFZIFZIFZUUYLAVXDVVJVVKVUJUYTVUAVUEUUYMVWRIFZUUWHIFZIFZIFZIF
      ZIFZIFZIFZUUYTAVXDVVJVVKVUJUYTVUAVUEUVUAUUWGIFZVWIIFZIFZIFZIFZIFZIFZIFZUV
      UHAVXDVVJVVKVUJUYTVUAVUEVWRUUYMIFZUUWGIFZVWIIFZIFZIFZIFZIFZIFZIFZUVUPAVXD
      VVJVVKVUJUYTVUAVUEVWIUVURIFZIFZIFZIFZIFZIFZIFZUVVEAVXDVVJVVKVUJUYTVUAVUEV
      WIIFZUVURIFZIFZIFZIFZIFZIFZUVVLAVXDVVJVVKVUJUYTVUAUVVMUVUQIFZUUWGIFZIFZIF
      ZIFZIFZIFZUVVSAVXDVVJVVKVUJUYTVUAUVVTVXBIFZUYMIFZIFZIFZIFZIFZIFZUVWFAVXDV
      VJVVKVUJUYTVUAVWIVUEIFZUVUQIFZVXBIFZUYMIFZIFZIFZIFZIFZIFZUVWMAVXDVVJVVKVU
      JUYTVUAVXBUVWOIFZUYMIFZIFZIFZIFZIFZIFZUVXBAVXDVVJVVKVUJUYTVUAUYMUVXCIFZIF
      ZIFZIFZIFZIFZUVXIAVXDVVJVVKVUJUYTVXAUVXCIFZIFZIFZIFZIFZUVXOAVXDVVJVVKVUJU
      YTVXCUVWOIFZIFZIFZIFZIFZUVXTAVXDVVJVVKVUJUYTVXCUVWNIFZUVUQIFZIFZIFZIFZIFZ
      UVYEAVXDVVJVVKVUJUYTUVYFVWRIFZUUYMIFZIFZIFZIFZIFZUVYKAVXDVVJVVKVUJUYTUVYL
      VWLIFZYWOIFZIFZIFZIFZIFZUVYQAVXDVVJVVKVUJUYTUVYRUWPIFZUYCIFZIFZIFZIFZIFZU
      WUCAVXDVVJVVKVUJUYTVWRUVYFIFZVWLIFZUWPIFZUYCIFZIFZIFZIFZIFZUWUIAVXDVVJVVK
      VUJUYTUWPUWUKIFZUYCIFZIFZIFZIFZIFZUWUQAVXDVVJVVKVUJUYTUYCUWURIFZIFZIFZIFZ
      IFZUWVCAVXDVVJVVKVUJVWNUWURIFZIFZIFZIFZUWVHAVXDVVJVVKVUJVWOUWUKIFZIFZIFZI
      FZUWVLAVXDVVJVVKVUJVWOUWUJIFZVWLIFZIFZIFZIFZUWVPAVXDVVJVVKVUJVWLUWVQIFZIF
      ZIFZIFZUWWAAVXDVVJVWKUWWBIFZIFZUWWEAVXDVVJVWMUWVQIFZIFZUWWGAVXDVVJVWPUWUJ
      IFZIFZUWWIAVXDVVJVWSUVYFIFZIFZUWWKAVXDVVJVWSVXCIFZUVWNIFZIFZUWWMAVXDVVJUW
      WNVWIIFZVUEIFZIFZUWWPAVXDVVJVWIUWWNIFZVUEIFZIFZUWWSAVXDVVJVUEUWWTIFZIFZUW
      XBAVXDVWHUWWTIFZUWXDAVXDVWJUWWNIFUWXEAVWJVWSVXCAVWHVWIAVVJVUEAUUGDVXRVXMU
      PZADVUDVXLAVUCUXGAUUGVXRVFZVYBMMZRZAUXJVUTADUXIVXLAUUGUXHVXRAUXGVYBVFMMZA
      UXGDVYBVXMUPZRZRAVWPVWRAVWMVWOAVWKVWLAVVKVUJAUUJDVYCVXMUPZADVUIVXLAUYRUUL
      AUUJVYCVFZVYEMMZRZAUYJUXCADUYIVXLAUUJUWNVYCAUULVYEVFZMMZAUULDVYEVXMUPZRZR
      ZAVWNUWPAUYTUYCADUYSVXLAUYRHUWXNVXSMMZAUYBHAUXTUYAAUXTADQVXMQUMUNAVJLZVKZ
      VLZAUUJUULVYCVYEMMVXSMZRZADUWOVXLAUWNHUWXQVXSMMZRZRZAVWQVUSAUXEUWAADUXDVX
      LAUUJUVSVYCAHVXSVFZMMZADUVTVXLAUULUVSVYEUWYKMMZRZAHDVXSVXMUPZRZRZAVXAVXBA
      VUAUYMAUUPDVYIVXMUPZADUYLVXLAUYKUULAUUPVYIVFVYEMMZRZAUXSUXCADUXRVXLAUUPUW
      NVYIUWXQMMZUWXSRZRZOAVWHVWIUWWNUWXIUWXLAVWSVXCUWYQUXUCRZONAVVJVUEUWWTUWXF
      UWXHAVWIUWWNUWXLUXUDRZONAUWXCUWXAVVJIAVUEUWWTUWXHUXUEVMKNAUWXAUWWRVVJIAUW
      WTUWWQVUEIAVWIUWWNUWXLUXUDVMJKNAUWWRUWWOVVJIAUWWNVWIVUEUXUDUWXLUWXHOKNAUW
      WOUWWLVVJIAVWSVXCUVWNUWYQUXUCAVWIVUEUWXLUWXHRZOKNAUWWLUWWJVVJIAVWPVWRUVYF
      UWYJUWYPAVXCUVWNUXUCUXUFRZOKNAUWWJUWWHVVJIAVWMVWOUWUJUWYAUWYIAVWRUVYFUWYP
      UXUGRZOKNAUWWHUWWFVVJIAVWKVWLUWVQUWXPUWXTAVWOUWUJUWYIUXUHRZOKNAUWWFUWWDVV
      JIAVVKVUJUWWBUWXMUWXOAVWLUWVQUWXTUXUIROKNAUWWDUWVTVVJIAUWWCUWVSVVKIAUWWBU
      WVRVUJIAVWLUWVQUWXTUXUIVMKKKNAUWVTUWVOVVJIAUWVSUWVNVVKIAUWVRUWVMVUJIAVWOU
      WUJVWLUWYIUXUHUWXTOKKKNAUWVOUWVKVVJIAUWVNUWVJVVKIAUWVMUWVIVUJIAVWNUWPUWUK
      UWYGUWYHAUWUJVWLUXUHUWXTRZOKKKNAUWVKUWVGVVJIAUWVJUWVFVVKIAUWVIUWVEVUJIAUY
      TUYCUWURUWYBUWYFAUWPUWUKUWYHUXUJRZOKKKNAUWVGUWVBVVJIAUWVFUWVAVVKIAUWVEUWU
      TVUJIAUWVDUWUSUYTIAUYCUWURUWYFUXUKVMKKKKNAUWVBUWUPVVJIAUWVAUWUOVVKIAUWUTU
      WUNVUJIAUWUSUWUMUYTIAUWURUWULUYCIAUWPUWUKUWYHUXUJVMJKKKKNAUWUPUWUHVVJIAUW
      UOUWUGVVKIAUWUNUWUFVUJIAUWUMUWUEUYTIAUWULUWUDUYCIAUWUKUVYRUWPIAUWUJUVYLVW
      LIAVWRUVYFUWYPUXUGVMJJJKKKKNAUWUHUWUBVVJIAUWUGUWUAVVKIAUWUFUVYTVUJIAUWUEU
      VYSUYTIAUVYRUWPUYCAUVYLVWLAUVYFVWRUXUGUWYPRZUWXTRUWYHUWYFOKKKKNAUWUBUVYPV
      VJIAUWUAUVYOVVKIAUVYTUVYNVUJIAUVYSUVYMUYTIAUVYLVWLYWOUXULUWXTAUWPUYCUWYHU
      WYFRZOKKKKNAUVYPUVYJVVJIAUVYOUVYIVVKIAUVYNUVYHVUJIAUVYMUVYGUYTIAUVYFVWRUU
      YMUXUGUWYPAVWLYWOUWXTUXUMRZOKKKKNAUVYJUVYDVVJIAUVYIUVYCVVKIAUVYHUVYBVUJIA
      UVYGUVYAUYTIAVXCUVWNUVUQUXUCUXUFAVWRUUYMUWYPUXUNRZOKKKKNAUVYDUVXSVVJIAUVY
      CUVXRVVKIAUVYBUVXQVUJIAUVYAUVXPUYTIAVXAVXBUVWOUWYTUXUBAUVWNUVUQUXUFUXUORZ
      OKKKKNAUVXSUVXNVVJIAUVXRUVXMVVKIAUVXQUVXLVUJIAUVXPUVXKUYTIAVUAUYMUVXCUWYR
      UWYSAVXBUVWOUXUBUXUPRZOKKKKNAUVXNUVXHVVJIAUVXMUVXGVVKIAUVXLUVXFVUJIAUVXKU
      VXEUYTIAUVXJUVXDVUAIAUYMUVXCUWYSUXUQVMKKKKKNAUVXHUVXAVVJIAUVXGUVWTVVKIAUV
      XFUVWSVUJIAUVXEUVWRUYTIAUVXDUVWQVUAIAUVXCUVWPUYMIAVXBUVWOUXUBUXUPVMJKKKKK
      NAUVXAUVWLVVJIAUVWTUVWKVVKIAUVWSUVWJVUJIAUVWRUVWIUYTIAUVWQUVWHVUAIAUVWPUV
      WGUYMIAUVWOUVVTVXBIAUVWNUVVMUVUQIAVWIVUEUWXLUWXHVMJJJKKKKKNAUVWLUVWEVVJIA
      UVWKUVWDVVKIAUVWJUVWCVUJIAUVWIUVWBUYTIAUVWHUVWAVUAIAUVVTVXBUYMAUVVMUVUQAV
      UEVWIUWXHUWXLRZUXUORUXUBUWYSOKKKKKNAUVWEUVVRVVJIAUVWDUVVQVVKIAUVWCUVVPVUJ
      IAUVWBUVVOUYTIAUVWAUVVNVUAIAUVVMUVUQUUWGUXURUXUOAVXBUYMUXUBUWYSRZOKKKKKNA
      UVVRUVVKVVJIAUVVQUVVJVVKIAUVVPUVVIVUJIAUVVOUVVHUYTIAUVVNUVVGVUAIAVUEVWIUV
      URUWXHUWXLAUVUQUUWGUXUOUXUSRZOKKKKKNAUVVKUVVDVVJIAUVVJUVVCVVKIAUVVIUVVBVU
      JIAUVVHUVVAUYTIAUVVGUVUTVUAIAUVVFUVUSVUEIAVWIUVURUWXLUXUTVMKKKKKKNAUVVDUV
      UOVVJIAUVVCUVUNVVKIAUVVBUVUMVUJIAUVVAUVULUYTIAUVUTUVUKVUAIAUVUSUVUJVUEIAU
      VURUVUIVWIIAUVUQUVUAUUWGIAVWRUUYMUWYPUXUNVMJJKKKKKKNAUVUOUVUGVVJIAUVUNUVU
      FVVKIAUVUMUVUEVUJIAUVULUVUDUYTIAUVUKUVUCVUAIAUVUJUVUBVUEIAUVUAUUWGVWIAUUY
      MVWRUXUNUWYPRUXUSUWXLOKKKKKKNAUVUGUUYSVVJIAUVUFUUYRVVKIAUVUEUUYQVUJIAUVUD
      UUYPUYTIAUVUCUUYOVUAIAUVUBUUYNVUEIAUUYMVWRUUWHUXUNUWYPAUUWGVWIUXUSUWXLRZO
      KKKKKKNAUUYSUUYKVVJIAUUYRUUYJVVKIAUUYQUUYIVUJIAUUYPUUYHUYTIAUUYOUUYGVUAIA
      UUYNUUYFVUEIAVWLYWOUUWSUWXTUXUMAVWRUUWHUWYPUXVARZOKKKKKKNAUUYKUUYDVVJIAUU
      YJUUYCVVKIAUUYIUUYBVUJIAUUYHUUYAUYTIAUUYGUUXTVUAIAUUYFUUXSVUEIAUYJUXCUUXI
      UWXRUWXSAYWOUUWSUXUMUXVBRZOKKKKKKNAUUYDUUXPVVJIAUUYCUUXOVVKIAUUYBUUXNVUJI
      AUUYAUUXMUYTIAUUXTUUXLVUAIAUUXSUUXKVUEIAUUXRUUXJUYJIAUXCUUXIUWXSUXVCVMKKK
      KKKKNAUUXPUUXGVVJIAUUXOUUXFVVKIAUUXNUUXEVUJIAUUXMUUXDUYTIAUUXLUUXCVUAIAUU
      XKUUXBVUEIAUUXJUUXAUYJIAUUXIUUWTUXCIAYWOUUWSUXUMUXVBVMJKKKKKKKNAUUXGUUWQV
      VJIAUUXFUUWPVVKIAUUXEUUWOVUJIAUUXDUUWNUYTIAUUXCUUWMVUAIAUUXBUUWLVUEIAUUXA
      UUWKUYJIAUUWTUUWJUXCIAUUWSUUWIYWOIAVWRUUWHUWYPUXVAVMJJKKKKKKKNAUUWQUUWEVV
      JIAUUWPUUWDVVKIAUUWOUUWCVUJIAUUWNUUWBUYTIAUUWMUUWAVUAIAUUWLUUVTVUEIAUUWKU
      UVSUYJIAUUWJUUVRUXCIAUUWIUUVIYWOIAUUWHUUUTVWRIAUUWGUUUKVWIIAVXBUYMUXUBUWY
      SVMJJJJKKKKKKKNAUUWEUUVPVVJIAUUWDUUVOVVKIAUUWCUUVNVUJIAUUWBUUVMUYTIAUUWAU
      UVLVUAIAUUVTUUVKVUEIAUUVSUUVJUYJIAUUVIYWOUXCAUUUTVWRAUUUKVWIAUYMVXBUWYSUX
      UBRZUWXLRZUWYPRUXUMUWXSOKKKKKKKNAUUVPUUVGVVJIAUUVOUUVFVVKIAUUVNUUVEVUJIAU
      UVMUUVDUYTIAUUVLUUVCVUAIAUUVKUUVBVUEIAUUVJUUVAUYJIAUUUTVWRYWPUXVEUWYPAYWO
      UXCUXUMUWXSRZOKKKKKKKNAUUVGUUURVVJIAUUVFUUUQVVKIAUUVEUUUPVUJIAUUVDUUUOUYT
      IAUUVCUUUNVUAIAUUVBUUUMVUEIAUUVAUUULUYJIAUUUKVWIYXIUXVDUWXLAVWRYWPUWYPUXV
      FRZOKKKKKKKNAUUURUUUIVVJIAUUUQUUUHVVKIAUUUPUUUGVUJIAUUUOUUUFUYTIAUUUNUUUE
      VUAIAUUUMUUUDVUEIAUUULUUUCUYJIAUYMVXBYYAUWYSUXUBAVWIYXIUWXLUXVGRZOKKKKKKK
      NAUUUIYYTVVJIAUUUHYYSVVKIAUUUGYYRVUJIAUUUFYYQUYTIAUUUEYYPVUAIAUUUDYYOVUEI
      AUUUCYYNUYJIAUUUBYYMUYMIAUXSUXCYYAUXUAUWXSUXVHOKKKKKKKKNAYYTYYJVVJIAYYSYY
      IVVKIAYYRYYHVUJIAYYQYYGUYTIAYYPYYFVUAIAYYOYYEVUEIAYYNYYDUYJIAYYMYYCUYMIAY
      YLYYBUXSIAUXCYYAUWXSUXVHVMKKKKKKKKKNAYYJYXSVVJIAYYIYXRVVKIAYYHYXQVUJIAYYG
      YXPUYTIAYYFYXOVUAIAYYEYXNVUEIAYYDYXMUYJIAYYCYXLUYMIAYYBYXKUXSIAYYAYXJUXCI
      AVWIYXIUWXLUXVGVMJKKKKKKKKKNAYXSYXGVVJIAYXRYXFVVKIAYXQYXEVUJIAYXPYXDUYTIA
      YXOYXCVUAIAYXNYXBVUEIAYXMYXAUYJIAYXLYWTUYMIAYXKYWSUXSIAYXJYWRUXCIAYXIYWQV
      WIIAVWRYWPUWYPUXVFVMJJKKKKKKKKKNAYXGYWMVVJIAYXFYWLVVKIAYXEYWKVUJIAYXDYWJU
      YTIAYXCYWIVUAIAYXBYWHVUEIAYXAYWGUYJIAYWTYWFUYMIAYWSYWEUXSIAYWRYWDUXCIAYWQ
      YVMVWIIAYWPYVBVWRIAYWOYUKUXCIAUWPUYCUWYHUWYFVMJJJJKKKKKKKKKNAYWMYWBVVJIAY
      WLYWAVVKIAYWKYVTVUJIAYWJYVSUYTIAYWIYVRVUAIAYWHYVQVUEIAYWGYVPUYJIAYWFYVOUY
      MIAYWEYVNUXSIAYVMVWIUXCAYVBVWRAYUKUXCAUYCUWPUWYFUWYHRZUWXSRZUWYPRUWXLUWXS
      OKKKKKKKKKNAYWBYVKVVJIAYWAYVJVVKIAYVTYVIVUJIAYVSYVHUYTIAYVRYVGVUAIAYVQYVF
      VUEIAYVPYVEUYJIAYVOYVDUYMIAYVNYVCUXSIAYVBVWRWYBUXVJUWYPAVWIUXCUWXLUWXSRZO
      KKKKKKKKKNAYVKYUTVVJIAYVJYUSVVKIAYVIYURVUJIAYVHYUQUYTIAYVGYUPVUAIAYVFYUOV
      UEIAYVEYUNUYJIAYVDYUMUYMIAYVCYULUXSIAYUKUXCXXOUXVIUWXSAVWRWYBUWYPUXVKRZOK
      KKKKKKKKNAYUTYUIVVJIAYUSYUHVVKIAYURYUGVUJIAYUQYUFUYTIAYUPYUEVUAIAYUOYUDVU
      EIAYUNYUCUYJIAYUMYUBUYMIAYULYUAUXSIAUYCUWPXYHUWYFUWYHAUXCXXOUWXSUXVLRZOKK
      KKKKKKKNAYUIXYRVVJIAYUHXYQVVKIAYUGXYPVUJIAYUFXYOUYTIAYUEXYNVUAIAYUDXYMVUE
      IAYUCXYLUYJIAYUBXYKUYMIAYUAXYJUXSIAXYTXYIUYCIAUWPXYHUWYHUXVMVMKKKKKKKKKKN
      AXYRXYFVVJIAXYQXYEVVKIAXYPXYDVUJIAXYOXYCUYTIAXYNXYBVUAIAXYMXYAVUEIAXYLXXT
      UYJIAXYKXXSUYMIAXYJXXRUXSIAXYIXXQUYCIAUXCXXOUWPUWXSUXVLUWYHOKKKKKKKKKKNAX
      YFXXMVVJIAXYEXXLVVKIAXYDXXKVUJIAXYCXXJUYTIAXYBXXIVUAIAXYAXXHVUEIAXXTXXGUY
      JIAXXSXXFUYMIAXXRXXEUXSIAXXQXXDUYCIAXXPXXCUXCIAVWRWYBUWPUWYPUXVKUWYHOKKKK
      KKKKKKKNAXXMXXAVVJIAXXLXWTVVKIAXXKXWSVUJIAXXJXWRUYTIAXXIXWQVUAIAXXHXWPVUE
      IAXXGXWOUYJIAXXFXWNUYMIAXXEXWMUXSIAXXDXWLUYCIAXXCXWKUXCIAVWQVUSWYPUWYNUWY
      OAWYBUWPUXVKUWYHRZOKKKKKKKKKKKNAXXAXWIVVJIAXWTXWHVVKIAXWSXWGVUJIAXWRXWFUY
      TIAXWQXWEVUAIAXWPXWDVUEIAXWOXWCUYJIAXWNXWBUYMIAXWMXWAUXSIAXWLXVTUYCIAXWKX
      VSUXCIAUXEUWAXVDUWYLUWYMAVUSWYPUWYOUXVNRZOKKKKKKKKKKKNAXWIXVPVVJIAXWHXVOV
      VKIAXWGXVNVUJIAXWFXVMUYTIAXWEXVLVUAIAXWDXVKVUEIAXWCXVJUYJIAXWBXVIUYMIAXWA
      XVHUXSIAXVTXVGUYCIAXVSXVFUXCIAXVRXVEUXEIAUWAXVDUWYMUXVOVMKKKKKKKKKKKKNAXV
      PXVBVVJIAXVOXVAVVKIAXVNXUTVUJIAXVMXUSUYTIAXVLXURVUAIAXVKXUQVUEIAXVJXUPUYJ
      IAXVIXUOUYMIAXVHXUNUXSIAXVGXUMUYCIAXVFXULUXCIAXVEXUKUXEIAXVDXUJUWAIAVUSWY
      PUWYOUXVNVMJKKKKKKKKKKKKNAXVBXUHVVJIAXVAXUGVVKIAXUTXUFVUJIAXUSXUEUYTIAXUR
      XUDVUAIAXUQXUCVUEIAXUPXUBUYJIAXUOXUAUYMIAXUNWYTUXSIAXUMWYSUYCIAXULWYRUXCI
      AXUKWYQUXEIAWYPVUSUWAUXVNUWYOUWYMOKKKKKKKKKKKKNAXUHWYNVVJIAXUGWYMVVKIAXUF
      WYLVUJIAXUEWYKUYTIAXUDWYJVUAIAXUCWYIVUEIAXUBWYHUYJIAXUAWYGUYMIAWYTWYFUXSI
      AWYSWYEUYCIAWYRWYDUXCIAWYQWYCUXEIAWYBUWPWUGUXVKUWYHAVUSUWAUWYOUWYMRZOKKKK
      KKKKKKKKNAWYNWXTVVJIAWYMWXSVVKIAWYLWXRVUJIAWYKWXQUYTIAWYJWXPVUAIAWYIWXOVU
      EIAWYHWXNUYJIAWYGWXMUYMIAWYFWXLUXSIAWYEWXKUYCIAWYDWXJUXCIAWYCWXIUXEIAVWIU
      XCWVDUWXLUWXSAUWPWUGUWYHUXVPRZOKKKKKKKKKKKKNAWXTWXGVVJIAWXSWXFVVKIAWXRWXE
      VUJIAWXQWXDUYTIAWXPWXCVUAIAWXOWXBVUEIAWXNWXAUYJIAWXMWWTUYMIAWXLWWSUXSIAWX
      KWWRUYCIAWXJWWQUXCIAWXIWWPUXEIAUXJVUTWVTUWXJUWXKAUXCWVDUWXSUXVQRZOKKKKKKK
      KKKKKNAWXGWWMVVJIAWXFWWLVVKIAWXEWWKVUJIAWXDWWJUYTIAWXCWWIVUAIAWXBWWHVUEIA
      WXAWWGUYJIAWWTWWFUYMIAWWSWWEUXSIAWWRWWDUYCIAWWQWWCUXCIAWWPWWBUXEIAWWOWWAU
      XJIAVUTWVTUWXKUXVRVMKKKKKKKKKKKKKNAWWMWVRVVJIAWWLWVQVVKIAWWKWVPVUJIAWWJWV
      OUYTIAWWIWVNVUAIAWWHWVMVUEIAWWGWVLUYJIAWWFWVKUYMIAWWEWVJUXSIAWWDWVIUYCIAW
      WCWVHUXCIAWWBWVGUXEIAWWAWVFUXJIAUXCWVDVUTUWXSUXVQUWXKOKKKKKKKKKKKKKNAWVRW
      VBVVJIAWVQWVAVVKIAWVPWUTVUJIAWVOWUSUYTIAWVNWURVUAIAWVMWUQVUEIAWVLWUPUYJIA
      WVKWUOUYMIAWVJWUNUXSIAWVIWUMUYCIAWVHWULUXCIAWVGWUKUXEIAWVFWUJUXJIAWVEWUIU
      XCIAUWPWUGVUTUWYHUXVPUWXKOKKKKKKKKKKKKKKNAWVBWUEVVJIAWVAWUDVVKIAWUTWUCVUJ
      IAWUSWUBUYTIAWURWUAVUAIAWUQVYTVUEIAWUPVYSUYJIAWUOVYRUYMIAWUNVYQUXSIAWUMVY
      PUYCIAWULVYOUXCIAWUKVYNUXEIAWUJVYMUXJIAWUIVYLUXCIAWUHVYKUWPIAWUGVYJVUTIAV
      USUWAUWYOUWYMVMJKKKKKKKKKKKKKKKNAWUEVWFVVJIAWUDVWEVVKIAWUCVWDVUJIAWUBVWCU
      YTIAWUAVWBVUAIAVYTVWAVUEIAVYSVVTUYJIAVYRVVSUYMIAVYQVVRUXSIAVYPVVQUYCIAVYO
      VVPUXCIAVYNVVOUXEIAVYMVVNUXJIAVYLVVCUXCIAVYKVVBUWPIAUWAVUSVUTUWYMUWYOUWXK
      OKKKKKKKKKKKKKKKNNAVWGVVLVUJVUFUYNUYDUXKVVNIFZIFZIFZIFZIFZIFZVVMAVWGVVLVU
      JVUFUYNUYDUXFVVOIFZIFZIFZIFZIFZIFZUXWDAVWGVVLVUJVUFUYNUYDVVQIFZIFZIFZIFZI
      FZUXWJAVWGVVLVUJVUFUYNVVSIFZIFZIFZIFZUXWOAVWGVVLVUJVUFVWAIFZIFZIFZUXWSAVW
      GVVLVUJVUBVWBIFZIFZIFZUXXBAVWGVVLVWEIFZUXXEAUXXFVWGAVVJVVKVWEUWXFUWXMAVUJ
      VWDUWXOAUYTVWCUWYBAVUAVWBUWYRAVUEVWAUWXHAUYJVVTUWXRAUYMVVSUWYSAUXSVVRUXUA
      AUYCVVQUWYFAUXCVVPUWXSAUXEVVOUWYLAUXJVVNUWXJAUXCVVCUWXSAUWPVVBUWYHAUWAVVA
      UWYMAVUSVUTUWYOUWXKRRRZRZRZRRZRRZRRZRZRRROVNAUXXDVWEVVLIAUXXCVWDVUJIAUYTV
      UAVWBUWYBUWYRUXXMOKKVAAUXXAUXXDVVLIAUXWTUXXCVUJIAVUBVUEVWAAUYTVUAUWYBUWYR
      RZUWXHUXXLOKKVAAUXWRUXXAVVLIAUXWQUXWTVUJIAUXWPVWAVUFIAUYJUYMVVSUWXRUWYSUX
      XKOKKKVAAUXWNUXWRVVLIAUXWMUXWQVUJIAUXWLUXWPVUFIAUXWKVVSUYNIAUXSUYCVVQUXUA
      UWYFUXXJOKKKKVAAUXWIUXWNVVLIAUXWHUXWMVUJIAUXWGUXWLVUFIAUXWFUXWKUYNIAUXWEV
      VQUYDIAUXCUXEVVOUWXSUWYLUXXIOKKKKKVAAUXWCUXWIVVLIAUXWBUXWHVUJIAUXWAUXWGVU
      FIAUXVTUXWFUYNIAUXVSUXWEUYDIAUXFUXJVVNAUXCUXEUWXSUWYLRZUWXJUXXHOKKKKKVAAV
      VHUXWCVVLIAVVGUXWBVUJIAVVFUXWAVUFIAVVEUXVTUYNIAVVDUXVSUYDIAUXKUXCVVCAUXFU
      XJUXXOUWXJRZUWXSUXXGOKKKKKVANAVVLUIVVHIAUUGDAUUEUUFAUUEADDDVOUNAVSLVXMVPV
      QABDAVXOBVRUNCBVTVGVXMWAWBVXMQDWCWJWDAWELZWFJNAVVHAVUJVVGUWXOAVUFVVFAVUBV
      UEUXXNUWXHRAUYNVVEAUYJUYMUWXRUWYSRAUYDVVDAUXSUYCUXUAUWYFRAUXLVVCAUXKUXCUX
      XPUWXSRUXXGRRRRRWGNAVVGVUQVUJIAVVFVUPVUFIAVVEVUOUYNIAVVDVUNUYDIAVVCVUMUXL
      IAVVBVULUWPIAVVAUIUWAIAHDAWHVXMUXXQWFKKKKKKKNAVUQVUGVUJIAVUPUYOVUFIAVUOUY
      EUYNIAVUNUXMUYDIAVUMUWQUXLIAVULUWAUWPIAUWAUWYMWIKKKKKKNAVUJUVBVUGIAVUJUUT
      DUCHIFZHIFZEFZGFZUUTDUGHIFZEFZGFUVBAVUJUUTDUCHHIFZIFZEFZGFZUXYAAVUJUUTDQU
      CIFZEFZGFZUUTDUCQIFZEFZGFUXYGAVUJUUTDQUXTHIFZIFZEFZGFZUUTDQUEHIFZIFZEFZGF
      UXYJAVUJBUXYQEFZUUKDUUEQEFZGFZGFZGFZUUTUYUCGFUXYPAVUJUUFQEFZBGFZUYUCGFZBU
      XYMEFZUYUCGFUYUDAVUJUYUEBUYUCGFZGFZUYUGAVUJDVUCUULGFZGFDUYUAUYUEGFZUULGFZ
      GFZUYUJAVUIUYUKDGAUYRVUCUULGAUUGVXRWKZJKAUYUKUYUMDGAVUCUYULUULGAUUEUUFVXN
      VXQWLZJKAUYUNUYUEBUUKGFZDGFZUYUAGFZGFZUYUEUYUQUYUBGFZGFUYUJAUYUNUYUEUYUAU
      ULDGFZGFZGFZUYUEUYVBUYUAGFZGFUYUTAUYUNUYUEUYUAGFZUULGFZDGFZUYVFUYVBGFUYVD
      AUYUNUYUMDGFUYVHADUYUMVXLAUYULUULAUYUAUYUEAUUEVXNVFZAUUFVXQVFZMZVYEMPAUYU
      MUYVGDGAUYULUYVFUULGAUYUAUYUEUYVIUYVJPZJJNAUYVFUULDAUYUEUYUAUYVJUYVIMZVYE
      VXLSAUYUEUYUAUYVBUYVJUYVIAUULDVYEVXLMZSTAUYVCUYVEUYUEGAUYUAUYVBUYVIUYVNPZ
      KAUYVEUYUSUYUEGAUYVBUYURUYUAGAUULUYUQDGAUUKBVYDVXPPZJJZKTAUYUSUYVAUYUEGAU
      YUQDUYUAABUUKVXPVYDMZVXLUYVISZKAUYVAUYUIUYUEGABUUKUYUBVXPVYDADUYUAVXLUYVI
      MZSZKTTAUYUEBUYUCUYVJVXPAUUKUYUBVYDUYVTMZSVAAUYUFUYUHUYUCGAUYUFBUXTEFZBGF
      ZUYUHAUYWDUYUFAUYWCUYUEBGABDQVXPUWYCVXMWMZJVNABUXTVXPUWYDXAVAJAUYUHUXYTUY
      UCGAUXYMUXYQBEAUXTUEHIUXTUEVCAWNLZJZKJTAUXYTUUTUYUCGAUXYQUCBEUXYQUCVCAWOL
      ZKJAUYUCUXYOUUTGAUYUCUUKDUXYMEFZGFZUXYOAUYWJUUKDUXTEFZDGFZGFUUKDUYWKGFZGF
      UYUCAUYWIUYWLUUKGADUXTVXLUWYDXAZKAUYWMUYWLUUKGADUYWKVXLADUXTVXLUWYDUPPKAU
      YWMUYUBUUKGAUYWKUYUADGADDQVXLUWYCVXMWMZKKWPADQUXYMVXLAUXTHUWYDHUMUNAWQLZW
      RUWYCWSVAZKTAUXYOUXYSUUTGAUXYNUXYRDEAUXYMUXYQQIUYWGKKZKAUXYSUXYIUUTGAUXYR
      UXYHDEAUXYQUCQIUYWHKKZKTAUXYIUXYLUUTGAUXYHUXYKDEAQUCAQUWYCVLZUCUKUNAWTLZV
      MKKAUXYLUXYFUUTGAUXYKUXYEDEAQUXYDUCIQUXYDVCAXBLZKKKTAUXXTUXYFUUTGAUXXSUXY
      EDEAUCHHUYXAVXSVXSOKKVAAUXXTUXYCUUTGAUXXSUXYBDEAUXXRUGHIUXXRUGVCAXCLZJKKA
      UXYCUVAUUTGAUXYBUDDEUXYBUDVCAXDLKKTJNAVUGUYPUVBIAVUFUVDUYOIAVUFUVCUVAUVJU
      VJUBZIFZIFZGFZUVCUVAUIIFZGFUVDAVUFUVCUVAUVJUVJUXGGFZIFZIFZGFZUVCUVAUVJUXG
      UVJGFZIFZIFZGFUYXGAVUFUVCUVJUVAIFZUYXIIFZGFZUVCUVAUVJIFZUYXIIFZGFUYXLAVUF
      UVCUYXPUVLDGFZUXGGFZIFZGFZUVCUYXPDUXYQEFZUXGGFZIFZGFUYXRAUVCUYXPUVLUXGDGF
      ZGFZIFZGFZUVCUYXPUVLDUXGGFZGFZIFZGFVUFUYYDAUYYJUYYNUVCGAUYYIUYYMUYXPIAUYY
      HUYYLUVLGAUXGDVYBVXLPKKKAVUFUVCUVJDDDGFZEFZIFZUYWKUYYHGFZIFZGFZUVCUYXPUYY
      RIFZGFUYYKAVUFUVCUYWIUYYPIFZUYYRIFZGFZUVCUYYEUYYPIFZUYYRIFZGFUYYTAVUFUVCU
      YUADGFZUUEDEFZIFZUYUAUYYHGFZIFZGFZVUUDAUVCVUUIGFZUVCVUUJGFZIFUVCVUUGGFZUV
      CVUUHGFZIFZVUUNIFZVUULVUFAVUUMVUUQVUUNIAUVCVUUGVUUHABUEVXPUEUMUNAXELZUPZA
      UYUADUYVIVXLMZAUUEDVXNVXMUPZXFJAUVCVUUIVUUJVUUTAVUUGVUUHVUVAVUVBRAUYUAUYY
      HUYVIAUXGDVYBVXLMZMXFAVUFVUUQUYUEVUUJGFZIFZVUUQUYWCVUUJGFZIFVUURAVUFUYWCV
      UUGGFZBQDGFZEFZVUUHGFZIFZVUVDIFZVUUOVUVJIFZVUVDIFVUVEAVUFUYUEVUUGGFZUUODE
      FZVUUHGFZIFZVUVDIFZVUVGVUVPIFZVUVDIFVUVLAVUFVUVNVUUHVUVOGFZIFZDUYULUXGGFZ
      GFZIFZVUVQVUWCIFVUVRAVUFDVUCGFZVUAIFZVUEIFZDUYULGFZVUVTIFZVUWCIFZVUWDAVUF
      DVUCHGFZGFZVUAIFZVUEIFVUWGAVUBVUWMVUEIAUYTVUWLVUAIAUYSVUWKDGAUYRVUCHGUYUO
      JKJJAVUWMVUWFVUEIAVUWLVUWEVUAIAVUWKVUCDGAVUCUWXGXGKJJNAVUWGVUWHVUAIFZVUEI
      FVUWIVUEIFVUWJAVUWFVUWNVUEIAVUWEVUWHVUAIAVUCUYULDGUYUPKJJAVUWNVUWIVUEIAVU
      AVUVTVUWHIAUUEUUODVXNVYHVXMXHKJAVUEVUWCVUWIIAVUDVUWBDGAVUCUYULUXGGUYUPJKK
      TAVUWIVUWAVUWCIAVUWHVUVNVUVTIAVUWHUYULDGFUYVFDGFVUVNADUYULVXLUYVKPAUYULUY
      VFDGUYVLJAUYUEUYUADUYVJUYVIVXLSTJJTAVUWAVUVQVUWCIAVUVTVUVPVUVNIAVUUHVUVOV
      UVBAUUODVYHVXMUPPKJAVUWCVUVDVUVQIAVUWCUYVFUXGGFZDGFZUYVFUYYHGFVUVDAVUWCVU
      WBDGFVUWPADVUWBVXLAUYULUXGUYVKVYBMPAVUWBVUWODGAUYULUYVFUXGGUYVLJJNAUYVFUX
      GDUYVMVYBVXLSAUYUEUYUAUYYHUYVJUYVIVUVCSTKTAVUVQVUVSVUVDIAVUVNVUVGVUVPIAUY
      UEUYWCVUUGGAUYWCUYUEUYWEVNZJJJAVUVSVUVKVUVDIAVUVPVUVJVUVGIAVUVOVUVIVUUHGA
      VUVIVUVOABQDVXPVXMUWYCWMVNJKJTAVUVKVUVMVUVDIAVUVGVUUOVUVJIAUYWCUVCVUUGGAU
      XTUEBEUYWFKZJJJAVUVMVUUQVUVDIAVUVJVUUPVUUOIAVUVIUVCVUUHGAVUVHUEBEVUVHUEVC
      ADQUEULXIWNXJLZKJKJTAVUVDVUVFVUUQIAUYUEUYWCVUUJGVUWQJKAVUVFVUUNVUUQIAUYWC
      UVCVUUJGVUWRJKTXKAVUUKVUUCUVCGAVUUBVUUJIFUYWIVUUHIFZVUUJIFZVUUCVUUKAVUUBV
      UWTVUUJIAUYYPVUUHUYWIIADDDVXLVXMVXMWMKJAUYYRVUUJVUUBIAUYWKUYUAUYYHGUYWOJK
      AVUXAUYWLVUUHIFZVUUJIFVUUKAVUWTVUXBVUUJIAUYWIUYWLVUUHIUYWNJJAVUXBVUUIVUUJ
      IAUYWLVUUGVUUHIAUYWKUYUADGUYWOJJJXLXKKNAVUUCVUUFUVCGAVUUBVUUEUYYRIAUYWIUY
      YEUYYPIAUXYMUXYQDEUYWGKJJKAVUUFUYYSUVCGAVUUEUYYQUYYRIAUYYEUVJUYYPIAUXYQUC
      DEUYWHKZJJKTAUYYSVUUAUVCGAUYYQUYXPUYYRIAUYYPUVAUVJIAUYYOUDDEUYYOUDVCAXMLK
      KJKAVUUAUYYJUVCGAUYYRUYYIUYXPIAUYWKUVLUYYHGAUXTUEDEUYWFKJKKTAUYYCUYYNUVCG
      AUYYBUYYMUYXPIAUVLDUXGADUEVXLVUUSUPZVXLVYBSKKXNAUYYCUYYGUVCGAUYYBUYYFUYXP
      IAUYYFUYYBAUYYEUYYAUXGGADUEVXLVUUSXAJVNKKAUYYGUYXQUVCGAUYYFUYXIUYXPIAUYYE
      UVJUXGGVUXCJKKTAUYXQUYXTUVCGAUYXPUYXSUYXIIAUVJUVAADUCVXLUCUMUNAXOLZUPZADU
      DVXLUDUMUNAXPLUPZVMJKAUYXTUYXKUVCGAUVAUVJUYXIVUXGVUXFAUVJUXGVUXFVYBMOKTAU
      YXKUYXOUVCGAUYXJUYXNUVAIAUYXIUYXMUVJIAUVJUXGVUXFVYBPKKKAUYXOUYXFUVCGAUYXN
      UYXEUVAIAUYXMUYXDUVJIAUVJVUXFXQKKKTAUYXFUYXHUVCGAUYXEUIUVAIAUVJVUXFXRKKAU
      YXHUVAUVCGAUVAVUXGWIKTJKNAUYPUYGUVBIAUYOUYFUVDIAUYNUVHUYEIAUYNUVEUIQUVFGF
      ZIFZGFZUVEVUXHGFUVHAUYNUVEUVFUBZUVFIFZVUXHIFZGFZUVEUVFVUXKIFZVUXHIFZGFVUX
      JAUVEVUXKHUVFGFZVUXHIFZIFZGFZUVEVUXKUVFVUXHIFZIFZGFUYNVUXNAVUXSVUYBUVEGAV
      UXRVUYAVUXKIAVUXQUVFVUXHIAUVFADUGVXLUGUMUNAXSLZUPZXTJKKAUYNUVEVUXKHQIFZUV
      FGFZIFZGFZVUXTAUVEDUHUHIFZEFZUBZDUVFGFZIFZGFZUVEVUXKVUYLIFZGFUYNVUYHAVUYM
      VUYOUVEGAVUYKVUXKVUYLIAVUYJUVFAVUYIUGDEVUYIUGVCAYCLKZYAJKAUYNUVEDUHEFZUBZ
      VUYQGFZVUYLIFZGFZUVEVUYQVUYQGFZUBZVUYLIFZGFVUYNAUYNUVEVUYQVUYRGFZDHEFZUVF
      GFZIFZGFZUVEVVUEVUYLIFZGFVVUAAUYNUVEVVUEDHUXXRIFZEFZIFZGFZUVEVVUEDHUGIFZE
      FZIFZGFVVUIAUYNUVEVVUEDUXYDUCIFZEFZIFZGFZUVEVVUEDHHUCIFZIFZEFZIFZGFVVUNAU
      YNUVEVVUEUXYSIFZGFZUVEVVUEUXYIIFZGFVVVAAUYNUVEVVUEUYUCIFZGFZUVEVVUEUXYOIF
      ZGFVVVGAUVEVVUEGFZBUHHIFZEFZUYUCGFZIFZVVVLUVEUYUCGFZIFUYNVVVJAVVVOVVVQVVV
      LIAVVVNUVEUYUCGAVVVMUFBEVVVMUFVCAYDLZKJKAUYNVVVLUUOQEFZBGFZUYUCGFZIFZVVVL
      BQQGFZHIFZEFZUYUCGFZIFVVVPAVVVLDUYUAVVVSGFZUULGFZGFZIFZVVVLVVVSUYUIGFZIFU
      YNVVWBAVVWIVVWKVVVLIAVVWIVVVSUYUSGFZVVVSUYVAGFVVWKAVVWIVVVSUYVCGFZVVVSUYV
      EGFVVWLAVVWIVVVSUYUAGFZUULGFZDGFZVVWNUYVBGFVVWMAVVWIVVWHDGFVVWPADVVWHVXLA
      VVWGUULAUYUAVVVSUYVIAUUOVYHVFZMVYEMPAVVWHVVWODGAVVWGVVWNUULGAUYUAVVVSUYVI
      VVWQPJJNAVVWNUULDAVVVSUYUAVVWQUYVIMVYEVXLSAVVVSUYUAUYVBVVWQUYVIUYVNSTAUYV
      CUYVEVVVSGUYVOKAUYVEUYUSVVVSGUYVQKTAUYUSUYVAVVVSGUYVSKAUYVAUYUIVVVSGUYWAK
      TKAUYNUVEDVVWCEFZDDHIFZEFZUBZGFZGFZVVWIIFZUVEVVWRVUYRGFZGFZVVWIIFVVWJAUYN
      UVEUUKQEFZUUEUBZDGFZGFZGFZVVWIIFZUVEVVXGUUEDGFZUBZGFZGFZVVWIIFVVXDAUYNBDQ
      IFZEFZVVXGDVVXHGFZGFZGFZVVWIIFZUVEVVXTGFZVVWIIFVVXLAUYNUUFUUOGFZVVXTGFZVV
      WIIFZVVYBADVVXHUUFGFZVVXGUUOGFZGFZGFZVVWIIFZUUFUUOVVXTGFZGFZVVWIIFUYNVVYF
      AVVYJVVYMVVWIIAVVYJUUFUUOVVXGGFZDGFZVVXHGFZGFZUUFVVYNVVXSGFZGFVVYMAVVYJUU
      FVVXHVVYHDGFZGFZGFZUUFVVYSVVXHGFZGFVVYQAVVYJUUFVVXHGFZVVYHGFZDGFZVWUCVVYS
      GFVWUAAVVYJVVYIDGFVWUEADVVYIVXLAVVYGVVYHAVVXHUUFAUUEVXNVDZVXQMZAVVXGUUOAU
      UKVYDVFZVYHMZMPAVVYIVWUDDGAVVYGVWUCVVYHGAVVXHUUFVWUFVXQPZJJNAVWUCVVYHDAUU
      FVVXHVXQVWUFMZVWUIVXLSAUUFVVXHVVYSVXQVWUFAVVYHDVWUIVXLMZSTAVVYTVWUBUUFGAV
      VXHVVYSVWUFVWULPKAVWUBVVYPUUFGAVVYSVVYOVVXHGAVVYHVVYNDGAVVXGUUOVWUHVYHPJZ
      JKTAVVYPVVYRUUFGAVVYNDVVXHAUUOVVXGVYHVWUHMZVXLVWUFSKAVVYRVVYLUUFGAUUOVVXG
      VVXSVYHVWUHADVVXHVXLVWUFMZSKTJADVVYGUWNGFZGFZUYMIFUYNVVYKAVWUQUYJUYMIAVWU
      PUYIDGAVVYGUUJUWNGAUUEUUFVXNVXQYBZJKJAVWUQVVYJUYMVVWIIAVWUPVVYIDGAUWNVVYH
      VVYGGAUUKBVYDVXPWLZKKAUYLVVWHDGAUYKVVWGUULGAUUEUUOVXNVYHWLJKYEYOAVVYEVVYM
      VVWIIAUUFUUOVVXTVXQVYHAVVXGVVXSVWUHVWUOMSJXNAVVYEVVYAVVWIIAVVYDVVXRVVXTGA
      VVXRVVYDABDQVXPUWYCVXMWSVNJJNAVVYAVVYCVVWIIAVVXRUVEVVXTGAVVXQUFBEVVXQUFVC
      AYFLKJJAVVYCVVXKVVWIIAVVXTVVXJUVEGAVVXSVVXIVVXGGADVVXHVXLVWUFPKKJTAVVXKVV
      XPVVWIIAVVXJVVXOUVEGAVVXIVVXNVVXGGAUUEDVXNVXLYBKKJAVVXPVVXCVVWIIAVVXOVVXB
      UVEGAVVXBVVWRVVXNGFVVXOAVVXAVVXNVVWRGAVVWTVVXMADDVXLVXMXAZYAKAVVWRVVXGVVX
      NGADQQVXLUWYCUWYCWMZJXLKJTAVVXCVVXFVVWIIAVVXBVVXEUVEGAVVXAVUYRVVWRGAVVWTV
      UYQAVVWSUHDEVVWSUHVCAYGLZKYAKKJAVVXFVVVLVVWIIAVVXEVVUEUVEGAVVWRVUYQVUYRGA
      VVWCUHDEVVWCUHVCAYHLZKJKJTAVVWAVVWKVVVLIAVVVSBUYUCVVWQVXPUYWBSKXNAVVWAVVW
      FVVVLIAVVVTVVWEUYUCGAVVWEBVVWCEFZBGFVVVTABVVWCVXPAQQUWYCUWYCVKZXAAVWVDVVV
      SBGABQQVXPUWYCUWYCWMJXLJKAVVWFVVVOVVVLIAVVWEVVVNUYUCGAVVWDVVVMBEAVVWCUHHI
      VWVCJZKJKTAUVEVVUEUYUCABUFVXPUFUMUNAYILUPAVUYQVUYRADUHVXLUHUMUNAYJLZUPZAV
      UYQVWVHVDZMUYWBXFXNAVVVIVVVKUVEGAUYUCUXYOVVUEIUYWQKKAVVVKVVVFUVEGAUXYOUXY
      SVVUEIUYWRKKTAVVVFVVVHUVEGAUXYSUXYIVVUEIUYWSKKAVVVHVVUTUVEGAUXYIVVUSVVUEI
      AUXYHVVURDEAQUXYDUCIUYXBJKKKTAVVUTVVVEUVEGAVVUSVVVDVVUEIAVVURVVVCDEAHHUCV
      XSVXSUYXAOKKKAVVVEVVUMUVEGAVVVDVVULVVUEIAVVVCVVUKDEAVVVBUXXRHIAHUCVXSUYXA
      VMKKKKTAVVUMVVUQUVEGAVVULVVUPVVUEIAVVUKVVUODEAUXXRUGHIUYXCKKKKAVVUQVVUHUV
      EGAVVUPVVUGVVUEIADHUGVXLVUYCUYWPWSKKTAVVUHVVUJUVEGAVVUGVUYLVVUEIAVVUFDUVF
      GADVXLYKZJKKAVVUJVUYTUVEGAVVUEVUYSVUYLIAVUYQVUYRVWVHVWVIPJKTAVUYTVVUDUVEG
      AVUYSVVUCVUYLIAVUYQVUYQVWVHVWVHYBJKAVVUDVUYMUVEGAVVUCVUYKVUYLIAVVUBVUYJAV
      UYJVVUBADUHUHVXLVWVGVWVGWSVNYAJKTAVUYGVUYOUVEGAVUYFVUYLVUXKIAVUYEDUVFGVUY
      EDVCAYLLZJKKXNAVUYGVUXSUVEGAVUYFVUXRVUXKIAHQUVFVXSUYWTVUYDYMKKNAVUXMVUYBU
      VEGAVUXKUVFVUXHAUVFVUYDVDZVUYDAQUVFUYWTVUYDMZOKXNAVUXMVUXPUVEGAVUXLVUXOVU
      XHIAVUXKUVFVWVLVUYDVMJKAVUXPVUXIUVEGAVUXOUIVUXHIAUVFVUYDXRJKTAVUXIVUXHUVE
      GAVUXHVWVMWGKAVUXHUVGUVEGAUVFVUYDYPKTJKKNAUYGUXPUVBIAUYFUXOUVDIAUYEUXNUVH
      IAUYDUVNUXMIAUYDUVIUVMUVLQGFZVWVNUBZIFZIFZGFZUVIUVMUIIFZGFUVNAUYDUVIUVMVW
      VNIFZVWVOIFZGFZVWVRAUVIUVKUVLHGFZVWVNIFZIFZVWVOIFZGFZUVIUVKUVLVWVNIFZIFZV
      WVOIFZGFUYDVWWBAVWWFVWWJUVIGAVWWEVWWIVWVOIAVWWDVWWHUVKIAVWWCUVLVWVNIAUVLV
      UXDXGJKJKAUYDUVIUVKUVLVUYEGFZIFZVWVOIFZGFZVWWGAUVIUVKUVLVVUFGFZIFZVWVOIFZ
      GFZUVIUVKUYYAIFZVWVOIFZGFUYDVWWNAVWWQVWWTUVIGAVWWPVWWSVWVOIAVWWOUYYAUVKIA
      VVUFDUVLGVWVJKKJKAUYDUVIUVKUVJIFZVWVOIFZGFZUVIUVKUYYEIFZVWVOIFZGFVWWRAUYD
      UVIUVJQHIFZGFZVWVOIFZGFZUVIUVKUVJHGFZIFZVWVOIFZGFVWXCAUYDUVIUVJVVUFGFZVWV
      OIFZGFZUVIUVJDGFZVWVOIFZGFVWXIAUYDUVIUVFVWVOIFZGFZUVIDUXXREFZVWVOIFZGFVWX
      OAUYDUVIUVFDVVWSQIFZEFZQGFZUBZIFZGFZUVIUVFDUHQIFZEFZQGFZUBZIFZGFVWXSAUYDU
      VIUVFVVXMUUKGFZQGFZUBZIFZGFZVWYGAUVIUVFVVXMQUUKGFZGFZUBZIFZGFZUVIUVFVVXMU
      UKQGFZGFZUBZIFZGFUYDVWYQAVXUAVXUFUVIGAVWYTVXUEUVFIAVWYSVXUDAVWYRVXUCVVXMG
      AQUUKUYWTVYDPKYAKKAUYDUVIUVFVVXMQGFZUBZUUKGFZIFZGFZUVIUVFVXUGUUKGFZUBZIFZ
      GFVXUBAUYDUVIUVFUUKVXUHGFZIFZGFZVXUKAUVIUVFUUKUUEVUVHGFZUBZGFZIFZGFZUVIUV
      FUUKUUEUXTGFZUBZGFZIFZGFUYDVXUQAVXVAVXVFUVIGAVXUTVXVEUVFIAVXUSVXVDUUKGAVX
      URVXVCAVUVHUXTUUEGAQDUYWTVXLPKYAKKKAUYDUVIUVFUUKUUEQGFZUBZDGFZGFZIFZGFZUV
      IUVFUUKVXVGDGFZUBZGFZIFZGFVXVBAUYDUVIUVFUUKDVVXHQGFZGFZGFZIFZGFZUVIUVFUUK
      DVXVHGFZGFZIFZGFVXVLAUYDUVIUVFUUKDQHVVXHGFZGFZGFZGFZIFZGFZUVIUVFUUKDQVVXH
      GFZGFZGFZIFZGFVXWAAUVIUVFGFZBVVWSEFZVXWHGFZIFZVXWOUVIVXWHGFZIFUYDVXWJAVXW
      QVXWSVXWOIAVXWPUVIVXWHGAVVWSUHBEVWVBKJKAUYDVXWOUUFBGFZVXWHGFZIFZVXWRAVXWO
      UXTVVYGUULGFZGFZHGFZIFZVXWOUUFBVXWHGFZGFZIFUYDVXXBAVXXEVXXHVXWOIAVXXEUUFB
      UUKUXTHGFZVVXHGFZGFZGFZGFZUUFBUUKUXTVXWEGFZGFZGFZGFVXXHAVXXEUUFUYUQVXXIGF
      ZVVXHGFZGFZUUFUYUQVXXJGFZGFVXXMAVXXEUUFVVXHUULVXXIGFZGFZGFZUUFVXYAVVXHGFZ
      GFVXXSAVXXEVWUCUULGFZVXXIGFZVWUCVXYAGFVXYCAVXXEVXXCUXTGFZHGFVXYEUXTGFZHGF
      VXYFAVXXDVXYGHGAUXTVXXCUWYEAVVYGUULVWUGVYEMPJAVXYGVXYHHGAVXXCVXYEUXTGAVVY
      GVWUCUULGVWUJJJJAVXYEUXTHAVWUCUULVWUKVYEMUWYEVXSSTAVWUCUULVXXIVWUKVYEAUXT
      HUWYEVXSMZSAUUFVVXHVXYAVXQVWUFAUULVXXIVYEVXYIMZSTAVXYBVXYDUUFGAVVXHVXYAVW
      UFVXYJPKAVXYDVXXRUUFGAVXYAVXXQVVXHGAUULUYUQVXXIGUYVPJJKTAVXXRVXXTUUFGAUYU
      QVXXIVVXHUYVRVXYIVWUFSKAVXXTVXXLUUFGABUUKVXXJVXPVYDAVXXIVVXHVXYIVWUFMSKTA
      VXXLVXXPUUFGAVXXKVXXOBGAVXXJVXXNUUKGAUXTHVVXHUWYEVXSVWUFSKKKAVXXPVXXGUUFG
      AVXXOVXWHBGAVXXNVXWGUUKGADQVXWEVXLUYWTAHVVXHVXSVWUFMZSKKKTKAUYDUVIDUHVVWS
      IFZEFZGFZVXXEIFZUVIVUYJGFZVXXEIFVXXFAUYDUVIVVXGDUUEGFZGFZGFZVXXEIFZUVIDVV
      WCVVWSIFZEFZGFZVXXEIFVXYOAUYDUUOUUOGFZVXYRGFZVXXEIFZBQQIFZEFZVXYRGFZVXXEI
      FVXYTADUUPVVYHGFZGFZVXXEIFZUUOUUOVXYRGFZGFZVXXEIFUYDVYUFAVYUKVYUNVXXEIAVY
      UKUUOVVYOUUEGFZGFZUUOVVYNVXYQGFZGFVYUNAVYUKUUOUUEVVYSGFZGFZUUOVVYSUUEGFZG
      FVYUPAVYUKUUOUUEGFZVVYHGFZDGFZVYVAVVYSGFVYUSAVYUKVYUJDGFVYVCADVYUJVXLAUUP
      VVYHVYIVWUIMPAVYUJVYVBDGAUUPVYVAVVYHGAUUEUUOVXNVYHPJJNAVYVAVVYHDAUUOUUEVY
      HVXNMVWUIVXLSAUUOUUEVVYSVYHVXNVWULSTAVYURVYUTUUOGAUUEVVYSVXNVWULPKAVYUTVY
      UOUUOGAVVYSVVYOUUEGVWUMJKTAVYUOVYUQUUOGAVVYNDUUEVWUNVXLVXNSKAVYUQVYUMUUOG
      AUUOVVXGVXYQVYHVWUHADUUEVXLVXNMZSKTJAUXSVXXEIFUYDVYULAVXXEUYCUXSIAVXXDUYB
      HGAVXXCUYAUXTGAVVYGUUJUULGVWURJKJKAUXSVYUKVXXEIAUXRVYUJDGAUWNVVYHUUPGVWUS
      KKJYOAVYUEVYUNVXXEIAUUOUUOVXYRVYHVYHAVVXGVXYQVWUHVYVDMSJXNAVYUEVYUIVXXEIA
      VYUDVYUHVXYRGAVYUHVYUDABQQVXPUWYCUWYCWSVNJJAVYUIVXYSVXXEIAVYUHUVIVXYRGAVY
      UGUHBEVYUGUHVCAYNLKJJTAVXYSVYUCVXXEIAVXYRVYUBUVIGAVXYRVVWRVVWTGFZVYUBAVVW
      RVXYQGFZVVWRVVXMGFVXYRVYVEAVXYQVVXMVVWRGADUUEVXLVXNPKAVYVFVXYRAVVWRVVXGVX
      YQGVWVAJVNAVVWTVVXMVVWRGVWUTKXNADVVWCVVWSVXLADHVXMUYWPWRZVWVEWSVAKJAVYUCV
      XYNVXXEIAVYUBVXYMUVIGAVYUAVXYLDEAVVWCUHVVWSIVWVCJKKJTAVXYNVXYPVXXEIAVXYMV
      UYJUVIGAVXYLVUYIDEAVVWSUHUHIVWVBKKKJAVXYPVXWOVXXEIAVUYJUVFUVIGVUYPKJTAVXX
      AVXXHVXWOIAUUFBVXWHVXQVXPAUUKVXWGVYDADVXWFVXLAQVXWEUYWTVXYKMMMZSKXNAVXXAV
      XWQVXWOIAVXWTVXWPVXWHGAVXWPVXWTABDVXPVXMXAVNJKNAUVIUVFVXWHABUHVXPVWVGUPVU
      YDVYVHXFXNAVXWIVXWNUVIGAVXWHVXWMUVFIAVXWGVXWLUUKGAVXWFVXWKDGAVXWEVVXHQGAV
      VXHVWUFXTKKKKKAVXWNVXVTUVIGAVXWMVXVSUVFIAVXWLVXVRUUKGAVXWKVXVQDGAQVVXHUYW
      TVWUFPKKKKTAVXVTVXWDUVIGAVXVSVXWCUVFIAVXVRVXWBUUKGAVXVQVXVHDGAUUEQVXNUYWT
      YBKKKKAVXWDVXVKUVIGAVXWCVXVJUVFIAVXWBVXVIUUKGADVXVHVXLAVXVGAUUEQVXNUYWTMZ
      VDPKKKTAVXVKVXVPUVIGAVXVJVXVOUVFIAVXVIVXVNUUKGAVXVGDVYVIVXLYBKKKAVXVPVXVA
      UVIGAVXVOVXUTUVFIAVXVNVXUSUUKGAVXVMVXURAUUEQDVXNUYWTVXLSYAKKKTAVXUPVXVFUV
      IGAVXUOVXVEUVFIAVXUHVXVDUUKGAVXUGVXVCAUUEDQVXNVXLUYWTSYAKKKXNAVXUPVXUJUVI
      GAVXUOVXUIUVFIAUUKVXUHVYDAVXUGAVVXMQAUUEDVXNVXLMZUYWTMZVDPKKNAVXUJVXUNUVI
      GAVXUIVXUMUVFIAVXUGUUKVYVKVYDYBKKAVXUNVXUAUVIGAVXUMVWYTUVFIAVXULVWYSAVVXM
      QUUKVYVJUYWTVYDSYAKKTAVWYPVXUFUVIGAVWYOVXUEUVFIAVWYNVXUDAVVXMUUKQVYVJVYDU
      YWTSYAKKXNAVWYPVWYFUVIGAVWYOVWYEUVFIAVWYNVWYDAVWYMVWYCQGAVWYCVVWTUUKGFVWY
      MADVVWSQVXLUWYCVYVGWSAVVWTVVXMUUKGVWUTJXLJYAKKNAVWYFVWYLUVIGAVWYEVWYKUVFI
      AVWYDVWYJAVWYCVWYIQGAVWYBVWYHDEAVVWSUHQIVWVBJKJYAKKAVWYLVWXRUVIGAVWYKVWVO
      UVFIAVWYJVWVNAVWYIUVLQGAVWYHUEDEVWYHUEVCAYQLKJYAKKTAVWXRVWYAUVIGAUVFVWXTV
      WVOIAUGUXXRDEUGUXXRVCAYRLKJKAVWYAVWXNUVIGAVWXTVWXMVWVOIADUCHVXLUYWPVUXEWS
      JKTAVWXNVWXQUVIGAVWXMVWXPVWVOIAVVUFDUVJGVWVJKJKAVWXQVWXHUVIGAVWXPVWXGVWVO
      IADVWXFUVJGDVWXFVCAYSLKJKTAVWXHVWXLUVIGAVWXGVWXKVWVOIAUVJQHVUXFUYWTVXSXFJ
      KAVWXLVWXBUVIGAVWXKVWXAVWVOIAVWXJUVJUVKIAUVJVUXFXGKJKTAVWXBVWXEUVIGAVWXAV
      WXDVWVOIAUVJUYYEUVKIAUCUXYQDEUCUXYQVCAYTLKKJKAVWXEVWWQUVIGAVWXDVWWPVWVOIA
      UYYEVWWOUVKIADUEHVXLUYWPVUUSWSKJKTAVWWMVWWTUVIGAVWWLVWWSVWVOIAVWWKUYYAUVK
      IAVUYEDUVLGVWVKKKJKXNAVWWMVWWFUVIGAVWWLVWWEVWVOIAVWWKVWWDUVKIAUVLHQVUXDVX
      SUYWTXFKJKNAVWWAVWWJUVIGAVWVTVWWIVWVOIAUVKUVLVWVNAUVJQVUXFUYWTMZVUXDAUVLQ
      VUXDUYWTMZOJKXNAVWWAVWVQUVIGAUVMVWVNVWVOAUVKUVLVYVLVUXDRZVYVMAVWVNVYVMVDO
      KNAVWVQVWVSUVIGAVWVPUIUVMIAVWVNVYVMXRKKAVWVSUVMUVIGAUVMVYVNWIKTJKKKNAUXPU
      XAUVBIAUXOUWTUVDIAUXNUWSUVHIAUXMUWRUVNIAUXLUVPUWQIAUXLUUFDVUVHEFZVYVOIFZG
      FZUUFUVLVYVOIFZGFUVPAUXLUUFUUKDEFZGFZVYVTIFZUUFVYVSVYVSIFZGFVYVQAUXLVYVSU
      UFGFZVYWCIFZVYVTVYWCIFVYWAAUXLUXCUIIFZUXCIFZUXCUXCIFVYWDAUXLUXCDUUGGFZUBZ
      VYWGIFZIFZUXCIFZUXCVYWGVYWHIFZIFZUXCIFVYWFAUXLUXCDUUJGFZIFZVYWGIFZUXCIFZU
      XCVYWNVYWGIFZIFZUXCIFVYWKAUXLUXCDUUJHGFZGFZIFZDUUGHGFZGFZIFZUXCIFZVYWOVYX
      DIFZUXCIFVYWQAUXLUXFDUUGUVSGFZGFZIFZUXCIFUXFVYXDIFZUXCIFVYXFAUXKVYXJUXCIA
      UXJVYXIUXFIAUXIVYXHDGAUXHUVSUUGGAHVXSWKKKKJAVYXJVYXKUXCIAVYXIVYXDUXFIAVYX
      HVYXCDGAUVSHUUGGUVSHVCAUUALZKKKJAVYXKVYXEUXCIAUXFVYXBVYXDIAUXEVYXAUXCIAUX
      DVYWTDGAUVSHUUJGVYXLKKKJJTAVYXEVYXGUXCIAVYXBVYWOVYXDIAVYXAVYWNUXCIAVYWTUU
      JDGAUUJVYCXGKKJJAVYXGVYWPUXCIAVYXDVYWGVYWOIAVYXCUUGDGAUUGVXRXGKKJTAVYWPVY
      WSUXCIAUXCVYWNVYWGUWXSADUUJVXLVYCMADUUGVXLVXRMZOJAVYWSVYWJUXCIAVYWRVYWIUX
      CIAVYWNVYWHVYWGIADUUGVXLVXRUUBJKJTAVYWJVYWMUXCIAVYWIVYWLUXCIAVYWHVYWGAVYW
      GVYXMVDVYXMVMKJAVYWMVYWEUXCIAVYWLUIUXCIAVYWGVYXMXRKJTAVYWEUXCUXCIAUXCUWXS
      WIJAUXCVYWCUXCVYWCIAUUKBDVYDVXPVXMXHZVYXNYETAVYWCVYVTVYWCIAVYVSUUFAUUKDVY
      DVXMUPZVXQPZJAVYWCVYVTVYVTIVYXPKTAUUFVYVSVYVSVXQVYXOVYXOXFAVYWBVYVPUUFGAV
      YVPVYVOVYVSIFVYWBAVYVOVYVSVYVOIADQDVXLVXMUWYCWMZKAVYVOVYVSVYVSIVYXQJXLKUU
      CAVYVPVYVRUUFGAVYVOUVLVYVOIAVUVHUEDEVUWSKZJKAVYVRUVOUUFGAVYVOUVLUVLIVYXRK
      KTJKKKKNAUXAUWFUVBIAUWTUWEUVDIAUWSUWDUVHIAUWRUWCUVNIAUWQUWBUVPIAUWPUVRUWA
      IAUWPUUODVVWDEFZGFZUUODVVVMEFZGFUVRAUWPDVVXGGFZUUOGFZUUOVYYBGFVYXTADUWNGF
      DVVYHGFUWPVYYCAUWNVVYHDGVWUSKAUWOUWNDGAUWNUWXQXGKADVVXGUUOVXLVWUHVYHSXNAV
      YYBUUOADVVXGVXLVWUHMVYHPAVYYBVYXSUUOGAVYXSVVWRDGFDVVWRGFVYYBADVVWCVXLVWVE
      XAADVVWRVXLADVVWCVXLVWVEUPPAVVWRVVXGDGVWVAKWPKTAVYXSVYYAUUOGAVVWDVVVMDEVW
      VFKKAVYYAUVQUUOGAVVVMUFDEVVVRKKTJKKKKKNAUWFUWMUVBIAUWEUWLUVDIAUWDUWKUVHIA
      UWCUWJUVNIAUWBUWIUVPIAUWAUWHUVRIAUWAUUEBGFZUWHAUWADVWXFEFZBGFZVYYDAUWADUU
      KGFZBGFZVYYFAUWADUULGFZVYYHAUWADUULHGFZGFVYYIAUVTVYYJDGAUVSHUULGVYXLKKAVY
      YJUULDGAUULVYEXGKNADUUKBVXLVYDVXPSVAAVYYGVYYEBGAVYYGUUKDGFVYYEADUUKVXLVYD
      PADQVXLUWYCXAVAJNAVYYEUUEBGAVWXFDDEVWXFDVCAUUDLKJNAUUEBVXNVXPPNKKKKKKN $.

    $( Lemma for ~ 3cubes .  (Contributed by Igor Ieskov, 22-Jan-2024.) $)
    3cubeslem3 $p |- ( ph ->
         ( A x. ( ( ( ( ( 3 ^ 3 ) x. ( A ^ 2 ) )
                + ( ( 3 ^ 2 ) x. A ) ) + 3 ) ^ 3 ) )
      = ( ( ( ( ( ( 3 ^ 3 ) x. ( A ^ 3 ) ) - 1 ) ^ 3 )
          + ( ( ( -u ( ( 3 ^ 3 ) x. ( A ^ 3 ) )
          + ( ( 3 ^ 2 ) x. A ) ) + 1 ) ^ 3 ) )
          + ( ( ( ( 3 ^ 3 ) x. ( A ^ 2 ) ) + ( ( 3 ^ 2 ) x. A ) ) ^ 3 ) ) ) $=
      ( c3 cexp co c2 cmul caddc c7 c9 c6 c5 c8 c4 cmin 3cubeslem3l 3cubeslem3r
      c1 cneg eqtr4d ) ABDDEFZBGEFZHFDGEFBHFZIFZDIFDEFHFBJEFDKEFZHFBLEFUFHFBMEF
      DNEFZUGIFHFBOEFDJEFGHFDLEFZIFHFBDEFZUHUHIFHFUCDMEFHFBUBHFIFIFIFIFIFIFUBUI
      HFZSPFDEFUJTUDIFSIFDEFIFUEDEFIFABCQABCRUA $.

    $( Lemma for ~ 3cubes .  This is Ryley's explicit formula for decomposing a
       rational ` A ` into a sum of three rational cubes.  (Contributed by Igor
       Ieskov, 22-Jan-2024.) $)
    3cubeslem4 $p |- ( ph -> A = ( (
          ( ( ( ( ( 3 ^ 3 ) x. ( A ^ 3 ) ) - 1 )
        / ( ( ( ( 3 ^ 3 ) x. ( A ^ 2 ) ) + ( ( 3 ^ 2 ) x. A ) ) + 3 ) ) ^ 3 )
      +
          ( ( ( ( -u ( ( 3 ^ 3 ) x. ( A ^ 3 ) ) + ( ( 3 ^ 2 ) x. A ) ) + 1 )
        / ( ( ( ( 3 ^ 3 ) x. ( A ^ 2 ) ) + ( ( 3 ^ 2 ) x. A ) ) + 3 ) ) ^ 3 ) )
      +
          ( ( ( ( ( 3 ^ 3 ) x. ( A ^ 2 ) ) + ( ( 3 ^ 2 ) x. A ) )
        / ( ( ( ( 3 ^ 3 ) x. ( A ^ 2 ) ) + ( ( 3 ^ 2 ) x. A ) ) + 3 ) ) ^ 3
      ) ) ) $=
      ( c3 cexp co cmul c1 caddc cdiv cr wcel wtru a1i 3nn0 recnd expcld addcld
      oveq1d expdivd cmin cneg 3re cn0 reexpcld mptru qre syl remulcld resubcld
      c2 cq 1red renegcld sqcld cc qcn mulcld 1cnd 3cubeslem2 neqned cz expne0d
      cc0 3z divdird oveq2d 3eqtrd 3eqtr4rd 3cubeslem3 divcan4d 3eqtr2rd ) ADDE
      FZBDEFZGFZHUAFZVMBUKEFZGFZDUKEFZBGFZIFZDIFZJFDEFZVOUBZVTIFZHIFZWBJFDEFZIF
      ZWAWBJFDEFZIFZVPDEFZWFDEFZIFZWADEFZIFZWBDEFZJFZBWPGFZWPJFBAWMWPJFZWNWPJFZ
      IFWKWPJFZWLWPJFZIFZWTIFZWQWJAWSXCWTIAWKWLWPAVPDAVPAVOHAVMVNVMKLZAXEMDDDKL
      ZMUCNDUDLZMONUEUFNZABULLZVNKLCXIBDBUGXGXIONUEUHUIZAUMUJPZXGAONZQZAWFDAWEH
      AWDVTAWDAVOXJUNPAVSBADADXFAUCNPZUOAXIBUPLCBUQUHZURZRAUSRZXLQZAWBDAWADAVRV
      TAVMVQAVMXHPABXOUOURXPRZXNRZXLQZAWBDXTAWBVDABCUTVAZDVBLAVENVCZVFSAWMWNWPA
      WKWLXMXRRAWADXSXLQYAYCVFAWJXAWGIFZWIIFXCWIIFXDAWHYDWIIAWCXAWGIAVPWBDXKXTY
      BXLTSSAYDXCWIIAWGXBXAIAWFWBDXQXTYBXLTVGSAWIWTXCIAWAWBDXSXTYBXLTVGVHVIAWRW
      OWPJABCVJSABWPXOYAYCVKVL $.
  $}

  ${
    $d a b c A $.
    $( Every rational number is a sum of three rational cubes.  See S. Ryley,
       The Ladies' Diary 122 (1825), 35.  (Contributed by Igor Ieskov,
       22-Jan-2024.) $)
    3cubes $p |- ( A e. QQ <-> E. a e. QQ E. b e. QQ E. c e. QQ
                             A = ( ( ( a ^ 3 ) + ( b ^ 3 ) ) + ( c ^ 3 ) ) ) $=
      ( cq wcel cv c3 cexp co wceq wrex cmul 3nn0 qexpcl syl2anc sylancl qaddcl
      caddc c1 cmin c2 cdiv cneg cc0 wne cn wn 3nn a1i cn0 nnexpcld pm2.18i nnq
      mp1i mpan2 qmulcl 1nn ax-mp qsubcl qsqcl mpancom 3cubeslem2 neqned qdivcl
      syl3anc qnegcl syl 3cubeslem4 oveq1 oveq1d eqeq2d oveq2d rspc3ev syl31anc
      id wi w3a wa 3anass simprl syl2an2r simprr eleq1a syl5bi rexlimdv3d mptru
      wtru impbii ) AEFZABGZHIJZCGZHIJZSJZDGZHIJZSJZKZDELCELBELZWJHHIJZAHIJZMJZ
      TUAJZXAAUBIJZMJZHUBIJZAMJZSJZHSJZUCJZEFZXCUDZXHSJZTSJZXJUCJZEFZXIXJUCJZEF
      ZAXKHIJZXPHIJZSJZXRHIJZSJZKZWTWJXDEFZXJEFZXJUEUFZXLWJXCEFZTEFZYFWJXAEFZXB
      EFZYIXAUGFZYKWJYMYMUHZHHHUGFZYNUIUJHUKFZYNNUJULUMXAUNUOZWJYPYLNAHOUPXAXBU
      QPZTUGFYJURTUNUSZXCTUTQWJXIEFZHEFZYGWJXFEFZXHEFZYTWJYKXEEFUUBYQAVAXAXEUQP
      XGEFZWJUUCUUAUUDWJYOUUAUIHUNUSZHVAUOXGAUQVBZXFXHRPZUUEXIHRQZWJXJUEWJAWJVP
      ZVCVDZXDXJVEVFWJXOEFZYGYHXQWJXNEFZYJUUKWJXMEFZUUCUULWJYIUUMYRXCVGVHUUFXMX
      HRPYSXNTRQUUHUUJXOXJVEVFWJYTYGYHXSUUGUUHUUJXIXJVEVFWJAUUIVIWSYEAXTWNSJZWQ
      SJZKAYBWQSJZKBCDXKXPXREEEWKXKKZWRUUOAUUQWOUUNWQSUUQWLXTWNSWKXKHIVJVKVKVLW
      MXPKZUUOUUPAUURUUNYBWQSUURWNYAXTSWMXPHIVJVMVKVLWPXRKZUUPYDAUUSWQYCYBSWPXR
      HIVJVMVLVNVOWTWJVQWHWSWJBCDEEEWKEFZWMEFZWPEFZVRUUTUVAUVBVSZVSZWHWSWJVQZUU
      TUVAUVBVTUVDUVEVQWHUVDWREFZUVEUVDWOEFZWQEFZUVFUUTWLEFZUVCWNEFZUVGUUTYPUVI
      NWKHOUPUVDUVAYPUVJUUTUVAUVBWANWMHOQWLWNRWBUVDUVBYPUVHUUTUVAUVBWCNWPHOQWOW
      QRPWREAWDVHUJWEWFWGWI $.
  $}

$( (End of Igor Ieskov's mathbox.) $)
$( End $[ set-mbox-ii.mm $] $)


$( Begin $[ set-mbox-ll.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Larry Lesyna
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$( (End of Larry Lesyna's mathbox.) $)
$( End $[ set-mbox-ll.mm $] $)


$( Begin $[ set-mbox-oai.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for OpenAI
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $( The range of the transitive closure is equal to the range of the relation.
     (Contributed by OpenAI, 7-Jul-2020.) $)
  rntrclfvOAI $p |- ( R e. V -> ran ( t+ ` R ) = ran R ) $=
    ( wcel ctcl cfv crn cdm cxp cun wss trclfvub rnss syl wceq rnun a1i ssequn2
    rnxpss mpbi eqtrdi sseqtrd trclfvlb eqssd ) ABCZADEZFZAFZUDUFAAGZUGHZIZFZUG
    UDUEUJJUFUKJABKUEUJLMUDUKUGUIFZIZUGUKUMNUDAUIOPULUGJUMUGNUHUGRULUGQSTUAUDAU
    EJUGUFJABUBAUELMUC $.

$( (End of OpenAI's mathbox.) $)
$( End $[ set-mbox-oai.mm $] $)


$( Begin $[ set-mbox-so.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Stefan O'Rear
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Additional elementary logic and set theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d ps x $.  $d ph y $.  $d x A $.  $d x y $.
    moxfr.a $e |- A e. _V $.
    moxfr.b $e |- E! y x = A $.
    moxfr.c $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Transfer at-most-one between related expressions.  (Contributed by
       Stefan O'Rear, 12-Feb-2015.) $)
    moxfr $p |- ( E* x ph <-> E* y ps ) $=
      ( wex weu wi wmo cvv wrex wcel cv a1i wceq rexv moeu ax-mp rexxfr 3bitr3i
      euex mpbir euxfrw imbi12i 3bitr4i ) ACIZACJZKBDIZBDJZKACLBDLUIUKUJULACMNB
      DMNUIUKABCDEMMEMODPMOFQCPZERZDMNZUMMOUOUNDIZUNDJUPGUNDUDUAUNDSUEQHUBACSBD
      SUCABCDEFGHUFUGACTBDTUH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Additional theory of functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d B x $.  $d F x $.
    $( Indexed intersection of an image.  (Contributed by Stefan O'Rear,
       22-Feb-2015.) $)
    imaiinfv $p |- ( ( F Fn A /\ B C_ A ) ->
        |^|_ x e. B ( F ` x ) = |^| ( F " B ) ) $=
      ( wfn wss wa cres cfv ciin crn cint cima wceq fnssres fniinfv syl iineq2i
      cv fvres eqcomi df-ima inteqi 3eqtr4g ) DBECBFGZACASZDCHZIZJZUGKZLZACUFDI
      ZJZDCMZLUEUGCEUIUKNBCDOACUGPQUIUMACUHULUFCDTRUAUNUJDCUBUCUD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Additional topology
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A v w $.  $d B v w $.  $d C v w $.  $d V v w $.
    $( Elementhood in a set of relative finite intersections.  (Contributed by
       Stefan O'Rear, 22-Feb-2015.) $)
    elrfi $p |- ( ( B e. V /\ C C_ ~P B ) -> ( A e. ( fi ` ( { B } u. C ) ) <->
          E. v e. ( ~P C i^i Fin ) A = ( B i^i |^| v ) ) ) $=
      ( vw wcel cpw wss wa cvv cun cint cin wceq cfn wrex syl2anc sseli sylib
      csn cfi cfv cv wi elex a1i inex1g eleq1 syl5ibrcom rexlimdvw adantr simpr
      wb snex pwexg ad2antrr simplr ssexd unexg sylancr elfi cdif inss1 sseqtri
      uncom pweqi elpwun ad2antrl inss2 diffi syl elind simprr cuni c0 eqeltrrd
      incom intex sylibr intssuni pwidg snssd unssd sstrd sspwuni eqsstrd df-ss
      wne elpwid eqtr2id ineq2 ad2antll eqtrd intun intsng ineq1d undif2 inteqi
      ad3antrrr eqtr4di syl5eq inteq rspceeqv rexlimdvaa ssun1 elpwi ssun4 3syl
      ineq2d adantl vex unex elpw snfi unfi eqcomd eqeq1 rexlimdva impbid bitrd
      rexbidv ex pm5.21ndd ) CEGZDCHZIZJZBKGZBCUAZDLZUBUCZGZBCAUDZMZNZOZADHZPNZ
      QZYMYIUEYHBYLUFUGYEYTYIUEYGYEYQYIAYSYEYIYQYPKGCYOEUHBYPKUIUJUKULYHYIYMYTU
      NYHYIJZYMBFUDZMZOZFYKHZPNZQZYTUUAYIYKKGZYMUUGUNYHYIUMUUAYJKGDKGUUHCUOZUUA
      DYFKYEYFKGYGYICEUPUQYEYGYIURUSYJDKKUTVAFBYKKKVBRUUAUUGYTUUAUUDYTFUUFUUAUU
      BUUFGZUUDJZJZUUBYJVCZYSGBCUUMMZNZOYTUULYRPUUMUUJUUMYRGZUUAUUDUUJUUBDYJLZH
      ZGUUPUUFUURUUBUUFUUEUURUUEPVDZYKUUQYJDVFVGVESUUBDYJUUIVHTVIUUJUUMPGZUUAUU
      DUUJUUBPGUUTUUFPUUBUUEPVJSUUBYJVKVLVIVMUULBYJUUMLZMZUUOUULBYJUUBLZMZUVBUU
      LBCUUCNZUVDUULBCBNZUVEUULUVFBCNZBCBVRUULBCIUVGBOUULBUUCCUUAUUJUUDVNZUULUU
      CUUBVOZCUULUUBVPWIZUUCUVIIUULUUCKGUVJUULBUUCKUVHYHYIUUKURVQUUBVSVTUUBWAVL
      UULUUBYFIUVICIUULUUBYKYFUUJUUBYKIUUAUUDUUJUUBYKUUFUUEUUBUUSSWJVIYHYKYFIYI
      UUKYHYJDYFYEYJYFIYGYECYFCEWBWCULYEYGUMWDUQWEUUBCWFTWEWGBCWHTWKUUDUVFUVEOU
      UAUUJBUUCCWLWMWNYEUVEUVDOYGYIUUKYEUVDYJMZUUCNUVEYJUUBWOYEUVKCUUCCEWPZWQWK
      WTWNUVAUVCYJUUBWRWSXAYEUVBUUOOYGYIUUKYEUVBUVKUUNNUUOYJUUMWOYEUVKCUUNUVLWQ
      XBWTWNAUUMYSYPUUOBYNUUMOYOUUNCYNUUMXCXJXDRXEUUAYQUUGAYSUUAYNYSGZJZUUGYQYP
      UUCOZFUUFQZUVNYJYNLZUUFGYPUVQMZOZUVPUVNUUEPUVQUVNUVQYKIUVQUUEGUVNYJYNYKYJ
      YKIUVNYJDXFUGUVMYNYKIZUUAUVMYNYRGYNDIUVTYSYRYNYRPVDSYNDXGYNDYJXHXIXKWDUVQ
      YKYJYNUUIAXLXMXNVTUVNYJPGYNPGZUVQPGCXOUVMUWAUUAYSPYNYRPVJSXKYJYNXPVAVMYEU
      VSYGYIUVMYEYPUVKYONUVRYECUVKYOYEUVKCUVLXQWQYJYNWOXAWTFUVQUUFUUCUVRYPUUBUV
      QXCXDRYQUUDUVOFUUFBYPUUCXRYBUJXSXTYAYCYD $.
  $}

  ${
    $d A v w $.  $d B v w $.  $d F v w $.  $d F y $.  $d I v w $.  $d V v w $.
    $d v y $.
    $( Elementhood in a set of relative finite intersections of an indexed
       family of sets.  (Contributed by Stefan O'Rear, 22-Feb-2015.) $)
    elrfirn $p |- ( ( B e. V /\ F : I --> ~P B ) ->
        ( A e. ( fi ` ( { B } u. ran F ) ) <->
          E. v e. ( ~P I i^i Fin ) A = ( B i^i |^|_ y e. v ( F ` y ) ) ) ) $=
      ( vw wcel cpw wa cv cin wceq cfn wrex wss cvv sseli adantl wf csn crn cun
      cfi cfv cint cima ciin wb elrfi sylan2 imassrn pwexg ssexg syl2anr elpw2g
      frn syl mpbiri wfun ffun ad2antlr inss2 imafi syl2anc elind wfn ffn inss1
      adantr elpwid fipreima syl3anc eqcom rexbii sylib ineq2d rexxfrd imaiinfv
      inteq eqeq2d eqcomd rexbidva 3bitrd ) DGIZFDJZEUAZKZCDUBEUCZUDUEUFIZCDHLZ
      UGZMZNZHWJJZOMZPZCDEBLZUHZUGZMZNZBFJZOMZPCDAWSALEUFUIZMZNZBXEPWHWFWJWGQZW
      KWRUJFWGEURZHCDWJGUKULWIWOXCHBWTWQXEWIWSXEIZKZWPOWTWIWTWPIZXKWIXMWTWJQZEW
      SUMWIWJRIZXMXNUJWHXIWGRIXOWFXJDGUNWJWGRUOUPWTWJRUQUSUTVKXLEVAZWSOIZWTOIWH
      XPWFXKFWGEVBVCXKXQWIXEOWSXDOVDSTEWSVEVFVGWIWLWQIZKZWTWLNZBXEPZWLWTNZBXEPX
      SEFVHZWLWJQZWLOIZYAWHYCWFXRFWGEVIZVCXRYDWIXRWLWJWQWPWLWPOVJSVLTXRYEWIWQOW
      LWPOVDSTWLFEBVMVNXTYBBXEWTWLVOVPVQYBWOXCUJWIYBWNXBCYBWMXADWLWTWAVRWBTVSWI
      XCXHBXEXLXBXGCXLXAXFDXLXFXAXLYCWSFQZXFXANWHYCWFXKYFVCXKYGWIXKWSFXEXDWSXDO
      VJSVLTAFWSEVTVFWCVRWBWDWE $.
  $}

  ${
    $d A v $.  $d B v y $.  $d C v z $.  $d I v y z $.  $d V v y $.

    $( Elementhood in a set of relative finite intersections of an indexed
       family of sets (implicit).  (Contributed by Stefan O'Rear,
       22-Feb-2015.) $)
    elrfirn2 $p |- ( ( B e. V /\ A. y e. I C C_ B ) ->
        ( A e. ( fi ` ( { B } u. ran ( y e. I |-> C ) ) ) <->
          E. v e. ( ~P I i^i Fin ) A = ( B i^i |^|_ y e. v C ) ) ) $=
      ( vz wcel wss wral wa cfv cv ciin cin wceq cpw cfn wrex csn crn cun wf wb
      cmpt cfi elpw2g biimprd ralimdv imp eqid sylib elrfirn syldan inss1 sseli
      fmpt elpwid nffvmpt1 nfcv fveq2 cbviin simplr simpll simpr fvmpt2 syl2anc
      cvv ssexd ex ralimdva ssralv mpan9 iineq2 syl syl5eq ineq2d eqeq2d sylan2
      rexbidva bitrd ) DGIZEDJZAFKZLZCDUAAFEUFZUBUCUGMIZCDHBNZHNZWGMZOZPZQZBFRZ
      SPZTZCDAWIEOZPZQZBWPTWCWEFDRZWGUDZWHWQUEWFEXAIZAFKZXBWCWEXDWCWDXCAFWCXCWD
      EDGUHUIUJUKAFXAEWGWGULZURUMHBCDWGFGUNUOWFWNWTBWPWIWPIZWFWIFJZWNWTUEXFWIFW
      PWOWIWOSUPUQUSWFXGLZWMWSCXHWLWRDXHWLAWIANZWGMZOZWRHAWIWKXJAFEWJUTHXJVAWJX
      IWGVBVCXHXJEQZAWIKZXKWRQWFXLAFKZXGXMWCWEXNWCWDXLAFWCXIFIZLZWDXLXPWDLZXOEV
      IIXLWCXOWDVDXQEDGWCXOWDVEXPWDVFVJAFEVIWGXEVGVHVKVLUKXLAWIFVMVNAWIXJEVOVPV
      QVRVSVTWAWB $.
  $}

  ${
    $d ph k l $.  $d I k l $.  $d J k l $.  $d S l $.  $d X k l $.
    cmpfiiin.x $e |- X = U. J $.
    cmpfiiin.j $e |- ( ph -> J e. Comp ) $.
    cmpfiiin.s $e |- ( ( ph /\ k e. I ) -> S e. ( Clsd ` J ) ) $.
    cmpfiiin.z $e |- ( ( ph /\ ( l C_ I /\ l e. Fin ) ) ->
        ( X i^i |^|_ k e. l S ) =/= (/) ) $.
    $( In a compact topology, a system of closed sets with nonempty finite
       intersections has a nonempty intersection.  (Contributed by Stefan
       O'Rear, 22-Feb-2015.) $)
    cmpfiiin $p |- ( ph -> ( X i^i |^|_ k e. I S ) =/= (/) ) $=
      ( ciin cin c0 cfv wcel wss syl wa cfn csn cmpt cint ccld wral wceq cmptop
      crn cun ctop ccmp topcld cv cldss ralrimiva riinint syl2anc cfi wne snssd
      wn fmpttd frnd unssd cpw wrex elin elpwi anim1i sylbi nesym sylan2 nrexdv
      sylib wb elrfirn2 mtbird cmpfii syl3anc eqnetrd ) AFCDBLMZFUAZCDBUBZUHZUI
      ZUCZNAFEUDOZPZBFQZCDUEZWAWFUFAEUJPZWHAEUKPZWKIEUGREFHULRZAWICDACUMDPSBWGP
      WIJBEFHUNRUOZBCDWGFUPUQAWLWEWGQNWEUROPZVAWFNUSIAWBWDWGAFWGWMUTADWGWCACDBW
      GJVBVCVDAWONFCGUMZBLMZUFZGDVEZTMZVFZAWRGWTWPWTPZAWPDQZWPTPZSZWRVAZXBWPWSP
      ZXDSXEWPWSTVGXGXCXDWPDVHVIVJAXESWQNUSXFKWQNVKVNVLVMAWHWJWOXAVOWMWNCGNFBDW
      GVPUQVQEWEVRVSVT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Characterization of closure operators.  Kuratowski closure axioms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d ph x y z $.  $d B x y z $.  $d F x y z $.  $d V x y z $.
    ismrcd.b $e |- ( ph -> B e. V ) $.
    ismrcd.f $e |- ( ph -> F : ~P B --> ~P B ) $.
    ismrcd.e $e |- ( ( ph /\ x C_ B ) -> x C_ ( F ` x ) ) $.
    ismrcd.m $e |- ( ( ph /\ x C_ B /\ y C_ x ) -> ( F ` y ) C_ ( F ` x ) ) $.
    ismrcd.i $e |- ( ( ph /\ x C_ B ) -> ( F ` ( F ` x ) ) = ( F ` x ) ) $.
    $( Any function from the subsets of a set to itself, which is extensive
       (satisfies ~ mrcssid ), isotone (satisfies ~ mrcss ), and idempotent
       (satisfies ~ mrcidm ) has a collection of fixed points which is a Moore
       collection, and itself is the closure operator for that collection.
       This can be taken as an alternate definition for the closure operators.
       This is the first half, ~ ismrcd2 is the second.  (Contributed by Stefan
       O'Rear, 1-Feb-2015.) $)
    ismrcd1 $p |- ( ph -> dom ( F i^i _I ) e. ( Moore ` B ) ) $=
      ( vz wss wcel cfv wceq wb cv syl2anc 3ad2ant1 cid cin cdm cpw inss1 ax-mp
      dmss fssdm ssid elpwg mpbiri ffvelrnd elpwid wral velpw sylan2b ralrimiva
      syl id fveq2 sseq12d rspcva eqssd wfn ffnd fnelfp mpbird wne w3a cint wel
      c0 wa wal cuni simp2 sstrd simp3 intssuni2 unipw sseqtrdi cvv intex sylbi
      wi 3ad2ant3 adantr 3expib alrimiv sselda intss1 adantl jca anbi2d imbi12d
      sseq1 sseq1d spcgv syl3c mpbid sseqtrd ssint sylibr ismred ) AEUAUBZUCZDL
      ADUDZXGXFEXEEMXFEUCMEUAUEXEEUGUFHUHZADXFNZDEOZDPZAXJDAXJDAXGXGDEHADXGNZDD
      MZDUIADFNXLXMQGDDFUJURUKZULUMAXLBRZXOEOZMZBXGUNZDXJMZXNAXQBXGXOXGNZAXODMZ
      XQBDUOIUPUQZXQXSBDXGXODPZXODXPXJYCUSXODEUTVAVBSVCAEXGVDZXLXIXKQAXGXGEHVEZ
      XNXGEDVFSVGALRZXFMZYFVLVHZVIZYFVJZXFNZYJEOZYJPZYIYLYJYIYLXOMZBYFUNYLYJMYI
      YNBYFYIBLVKZVMZYLXPXOYPYJXGNZYACRZXOMZVMZYREOZXPMZWEZCVNZYAYJXOMZVMZYLXPM
      ZYIYQYOYIYQYJDMZYIYJXGVOZDYIYFXGMYHYJUUIMYIYFXFXGAYGYHVPZAYGXFXGMYHXHTVQZ
      AYGYHVRYFXGVSSDVTWAYHAYQUUHQZYGYHYJWBNUULYFWCYJDWBUJWDWFVGZWGYIUUDYOAYGUU
      DYHAUUCCAYAYSUUBJWHWITWGYPYAUUEYPXODYIYFXGXOUUKWJZUMYOUUEYIXOYFWKWLWMUUCU
      UFUUGWECYJXGYRYJPZYTUUFUUBUUGUUOYSUUEYAYRYJXOWPWNUUOUUAYLXPYRYJEUTWQWOWRW
      SYPXOXFNZXPXOPZYIYFXFXOUUJWJYPYDXTUUPUUQQYIYDYOAYGYDYHYETZWGUUNXGEXOVFSWT
      XAUQBYLYFXBXCYIYQXRYJYLMZUUMAYGXRYHYBTXQUUSBYJXGXOYJPZXOYJXPYLUUTUSXOYJEU
      TVAVBSVCYIYDYQYKYMQUURUUMXGEYJVFSVGXD $.

    $( Second half of ~ ismrcd1 .  (Contributed by Stefan O'Rear,
       1-Feb-2015.) $)
    ismrcd2 $p |- ( ph -> F = ( mrCls ` dom ( F i^i _I ) ) ) $=
      ( vz cfv wcel wa wss adantr wi cvv wceq cpw cid cin cdm cmrc ffnd cmre wf
      wfn ismrcd1 eqid mrcf ffn 3syl cv mrcssvd elpwi mrcssid syl2an wal 3expib
      alrimivv vex fvex weq wb sseq1 adantl sseq12 anbi12d fveq2 imbi12d spc2gv
      mp2an syl mp2and mrccl elpw sylibr fnelfp syl2anc mpbid sseqtrd anbi2d id
      sseq12d chvarvv sylan2 2fveq3 eqeq12d ffvelrnda mrcsscl syl3anc eqfnfvd
      mpbird eqssd ) ALDUAZEEUBUCUDZUEMZAWQWQEHUFZAWRDUGMNZWQWRWSUHWSWQUIABCDEF
      GHIJKUJZWRWSDWSUKZULWQWRWSUMUNALUOZWQNZOZXDEMZXDWSMZXFXGXHEMZXHXFXHDPZXDX
      HPZXGXIPZAXJXEAWRXDWSDXBXCUPZQAXAXDDPZXKXEXBXDDUQZWRXDWSDXCURUSAXJXKOZXLR
      ZXEABUOZDPZCUOZXRPZOZXTEMZXREMZPZRZBUTCUTZXQAYFCBAXSYAYEJVAVBXDSNXHSNYGXQ
      RLVCXDWSVDZYFXQCBXDXHSSCLVEZXRXHTZOZYBXPYEXLYKXSXJYAXKYJXSXJVFYIXRXHDVGVH
      XTXDXRXHVIVJYIYCXGTYDXITYEXLVFYJXTXDEVKXRXHEVKYCXGYDXIVIUSVLVMVNVOQVPXFXH
      WRNZXIXHTZAXAXNYLXEXBXOWRXDWSDXCVQUSXFEWQUIZXHWQNZYLYMVFAYNXEWTQZAYOXEAXJ
      YOXMXHDYHVRVSQWQEXHVTWAWBWCXFXAXDXGPZXGWRNZXHXGPAXAXEXBQXEAXNYQXOAXSOZXRY
      DPZRAXNOZYQRBLBLVEZYSUUAYTYQUUBXSXNAXRXDDVGWDZUUBXRXDYDXGUUBWEXRXDEVKZWFV
      LIWGWHXFYRXGEMZXGTZXEAXNUUFXOYSYDEMZYDTZRUUAUUFRBLUUBYSUUAUUHUUFUUCUUBUUG
      UUEYDXGXRXDEEWIUUDWJVLKWGWHXFYNXGWQNYRUUFVFYPAWQWQXDEHWKWQEXGVTWAWOWRXDWS
      XGDXCWLWMWPWN $.
  $}

  ${
    $d B x y z $.  $d ph x y z $.  $d F x y z $.  $d J x y $.  $d V x y z $.
    istopclsd.b $e |- ( ph -> B e. V ) $.
    istopclsd.f $e |- ( ph -> F : ~P B --> ~P B ) $.
    istopclsd.e $e |- ( ( ph /\ x C_ B ) -> x C_ ( F ` x ) ) $.
    istopclsd.i $e |- ( ( ph /\ x C_ B ) -> ( F ` ( F ` x ) ) = ( F ` x ) ) $.
    istopclsd.z $e |- ( ph -> ( F ` (/) ) = (/) ) $.
    istopclsd.u $e |- ( ( ph /\ x C_ B /\ y C_ B ) -> ( F ` ( x u. y ) ) =
          ( ( F ` x ) u. ( F ` y ) ) ) $.
    istopclsd.j $e |- J = { z e. ~P B | ( F ` ( B \ z ) ) = ( B \ z ) } $.
    $( A closure function which satisfies ~ sscls , ~ clsidm , ~ cls0 , and
       ~ clsun defines a (unique) topology which it is the closure function on.
       (Contributed by Stefan O'Rear, 1-Feb-2015.) $)
    istopclsd $p |- ( ph -> ( J e. ( TopOn ` B ) /\ ( cls ` J ) = F ) ) $=
      ( cfv wcel wceq wb wss ctopon ccl cv cdif cid cin cdm cpw crab wfn adantr
      wa ffnd difss elpw2g syl mpbiri fnelfp syl2anc bicomd rabbidva syl5eq w3a
      cun simp1 simp2 simp3 sstrd syl3anc ssequn2 biimpi 3ad2ant3 fveq2d eqtr3d
      ccld sylibr ismrcd1 c0 0elpw sylancl mpbird inss1 dmss ax-mp fssdm sseldd
      3ad2ant1 elpwid mpbid uneq12d eqtrd unssd vex unex mretopd simpld eqeltrd
      elpw eqid cmrc ctop topontop mrccls simprd eqtr4d ismrcd2 jca ) AGEUAPZQZ
      GUBPZFRAGEDUCZUDZFUEUFZUGZQZDEUHZUIZXHAGXLFPXLRZDXPUIXQOAXRXODXPAXKXPQZUL
      ZXOXRXTFXPUJZXLXPQZXOXRSAYAXSAXPXPFJUMZUKAYBXSAYBXLETZEXKUNAEHQYBYDSIXLEH
      UOUPUQUKXPFXLURUSUTVAVBZAXQXHQZXNXQVOPZRZABCDEXQXNABCEFHIJKABUCZETZCUCZYI
      TZVCZYIFPZYKFPZVDZYNRYOYNTYMYIYKVDZFPZYPYNYMAYJYKETZYRYPRZAYJYLVEAYJYLVFZ
      YMYKYIEAYJYLVGUUAVHNVIYMYQYIFYLAYQYIRZYJYLUUBYKYIVJVKVLVMVNYOYNVJVPZLVQAV
      RXNQZVRFPVRRZMAYAVRXPQUUDUUESYCEVSXPFVRURVTWAAYIXNQZYKXNQZVCZYQXNQZYRYQRZ
      UUHYRYPYQUUHAYJYSYTAUUFUUGVEUUHYIEUUHXNXPYIAUUFXNXPTUUGAXPXPXNFXMFTXNFUGT
      FUEWBXMFWCWDJWEWGZAUUFUUGVFZWFZWHZUUHYKEUUHXNXPYKUUKAUUFUUGVGZWFZWHZNVIUU
      HYNYIYOYKUUHUUFYNYIRZUULUUHYAYIXPQUUFUURSAUUFYAUUGYCWGZUUMXPFYIURUSWIUUHU
      UGYOYKRZUUOUUHYAYKXPQUUGUUTSUUSUUPXPFYKURUSWIWJWKUUHYAYQXPQZUUIUUJSUUSUUH
      YQETUVAUUHYIYKEUUNUUQWLYQEYIYKBWMCWMWNWRVPXPFYQURUSWAXQWSWOZWPWQZAXJXNWTP
      ZFAXJGVOPZWTPZUVDAGXAQZXJUVFRAXIUVGUVCEGXBUPUVFGUVFWSXCUPAXNUVEWTAXNYGUVE
      AYFYHUVBXDAGXQVOYEVMXEVMXEABCEFHIJKUUCLXFXEXG $.
  $}

  ${
    $d F x y z w $.  $d B x y z w $.
    $( A function is a Moore closure operator iff it satisfies ~ mrcssid ,
       ~ mrcss , and ~ mrcidm .  (Contributed by Stefan O'Rear, 1-Feb-2015.) $)
    ismrc $p |- ( F e. ( mrCls " ( Moore ` B ) ) <-> ( B e. _V /\
          F : ~P B --> ~P B /\ A. x A. y ( ( x C_ B /\ y C_ x ) ->
              ( x C_ ( F ` x ) /\ ( F ` y ) C_ ( F ` x ) /\
                ( F ` ( F ` x ) ) = ( F ` x ) ) ) ) ) $=
      ( vz vw cmrc cmre cfv wcel cvv cv wss wa wceq w3a wi wal syl wb cima wrex
      cpw wf wfun crn cuni wfn fnmrc fnfun ax-mp fvelima mpan eqid mrcf mresspw
      elfvex fssd mrcssid adantrr mrcss 3expb ancom2s mrcidm 3jca alrimivv feq1
      ex fveq1 sseq2d sseq12d fveq12d eqeq12d 3anbi123d imbi2d 2albidv 3anbi23d
      id syl5ibcom rexlimiv cid cin simp1 simp2 ssid 3simpb imim2i 2alimi sseq1
      cdm weq adantr sseq12 ancoms anbi12d fveq2 2fveq3 imbi12d spc2gv 3ad2ant3
      el2v mpan2i simpld syl2anr 3impib simprd ismrcd2 fvssunirn fndmi sseqtrri
      imp ismrcd1 funfvima2 mp2an eqeltrd impbii ) DGCHIZUAZJZCKJZCUCZYADUDZALZ
      CMZBLZYCMZNZYCYCDIZMZYEDIZYHMZYHDIZYHOZPZQZBRARZPZXSELZGIZDOZEXQUBZYQGUEZ
      XSUUAGHUFUGZUHUUBUIUUCGUJUKZEDXQGULUMYTYQEXQYRXQJZXTYAYAYSUDZYGYCYCYSIZMZ
      YEYSIZUUGMZUUGYSIZUUGOZPZQZBRARZPYTYQUUEXTUUFUUOYRCHUQUUEYAYRYAYSYRYSCYSU
      NZUOYRCUPURUUEUUNABUUEYGUUMUUEYGNUUHUUJUULUUEYDUUHYFYRYCYSCUUPUSUTUUEYFYD
      UUJUUEYFYDUUJYRYEYSYCCUUPVAVBVCUUEYDUULYFYRYCYSCUUPVDUTVEVHVFVEYTUUFYBUUO
      YPXTYAYAYSDVGYTUUNYOABYTUUMYNYGYTUUHYIUUJYKUULYMYTUUGYHYCYCYSDVIZVJYTUUIY
      JUUGYHYEYSDVIUUQVKYTUUKYLUUGYHYTUUGYHYSDYTVRUUQVLUUQVMVNVOVPVQVSVTSYQDDWA
      WBWJZGIZXRYQEFCDKXTYBYPWCZXTYBYPWDZYQYRCMZNZYRYRDIZMZUVDDIZUVDOZYQUVBUVEU
      VGNZYQUVBYRYRMZUVHYRWEYPXTUVBUVINZUVHQZYBYPYGYIYMNZQZBRARZUVKYOUVMABYNUVL
      YGYIYKYMWFWGWHUVNUVKQEEUVMUVKABYRYRKKAEWKZBEWKZNZYGUVJUVLUVHUVQYDUVBYFUVI
      UVOYDUVBTZUVPYCYRCWIZWLUVPUVOYFUVITYEYRYCYRWMWNWOUVQYIUVEYMUVGUVOYIUVETUV
      PUVOYCYRYHUVDUVOVRYCYRDWPZVKWLUVOYMUVGTUVPUVOYLUVFYHUVDYCYRDDWQUVTVMWLWOW
      RWSXASWTXBXKZXCZYQUVBFLZYRMZUWCDIZUVDMZYQYGYKQZBRARZUVBUWDNZUWFQZYPXTUWHY
      BYOUWGABYNYKYGYIYKYMWDWGWHWTUWHUWJQEFUWGUWJABYRUWCKKUVOBFWKZNZYGUWIYKUWFU
      WLYDUVBYFUWDUVOUVRUWKUVSWLUWKUVOYFUWDTYEUWCYCYRWMWNWOUWKYJUWEOYHUVDOYKUWF
      TUVOYEUWCDWPUVTYJUWEYHUVDWMXDWRWSXASXEZUVCUVEUVGUWAXFZXGYQUURXQJZUUSXRJZY
      QEFCDKUUTUVAUWBUWMUWNXLUUBXQGWJZMUWOUWPQUUDXQUUCUWQHCXHUUCGUIXIXJXQUURGXM
      XNSXOXP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Algebraic closure systems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c NoeACS $.

  $( Class of Noetherian closure systems. $)
  cnacs $a class NoeACS $.

  ${
    $d x c s g $.
    $( Define a closure system of _Noetherian type_ (not standard terminology)
       as an algebraic system where all closed sets are finitely generated.
       (Contributed by Stefan O'Rear, 4-Apr-2015.) $)
    df-nacs $a |- NoeACS = ( x e. _V |-> { c e. ( ACS ` x ) | A. s e. c
              E. g e. ( ~P x i^i Fin ) s = ( ( mrCls ` c ) ` g ) } ) $.
  $}

  ${
    $d C c g s $.  $d F c g s $.  $d S g s $.  $d X c g s x $.
    isnacs.f $e |- F = ( mrCls ` C ) $.
    $( Expand definition of Noetherian-type closure system.  (Contributed by
       Stefan O'Rear, 4-Apr-2015.) $)
    isnacs $p |- ( C e. ( NoeACS ` X ) <-> ( C e. ( ACS ` X ) /\
          A. s e. C E. g e. ( ~P X i^i Fin ) s = ( F ` g ) ) ) $=
      ( vc vx cnacs cfv wcel cvv cacs cv wceq cpw cfn wrex wral cmrc cin elfvex
      wa adantr crab fveq2 ineq1d rexeqdv ralbidv rabeqbidv df-nacs rabex fvmpt
      pweq fvex eleq2d eqtr4di fveq1d eqeq2d rexbidv raleqbi1dv elrab pm5.21nii
      bitrdi ) ADIJZKZDLKZADMJZKZENZBNZCJZOZBDPZQUAZRZEASZUCZADIUBVIVGVQADMUBUD
      VGVFAVJVKGNZTJZJZOZBVORZEVSSZGVHUEZKVRVGVEWEAHDWBBHNZPZQUAZRZEVSSZGWFMJZU
      EWELIWFDOZWJWDGWKVHWFDMUFWLWIWCEVSWLWBBWHVOWLWGVNQWFDUNUGUHUIUJHBEGUKWDGV
      HDMUOULUMUPWDVQGAVHWCVPEVSAVSAOZWBVMBVOWMWAVLVJWMVKVTCWMVTATJCVSATUFFUQUR
      USUTVAVBVDVC $.

    $( In a Noetherian-type closure system, all closed sets are finitely
       generated.  (Contributed by Stefan O'Rear, 4-Apr-2015.) $)
    nacsfg $p |- ( ( C e. ( NoeACS ` X ) /\ S e. C ) ->
        E. g e. ( ~P X i^i Fin ) S = ( F ` g ) ) $=
      ( vs wcel cnacs cfv cv wceq cpw cfn cin wrex wral cacs isnacs simprbi
      eqeq1 rexbidv rspcva sylan2 ancoms ) BAHZAEIJHZBCKDJZLZCEMNOZPZUGUFGKZUHL
      ZCUJPZGAQZUKUGAERJHUOACDEGFSTUNUKGBAULBLUMUICUJULBUHUAUBUCUDUE $.

    $( Express Noetherian-type closure system with fewer quantifiers.
       (Contributed by Stefan O'Rear, 4-Apr-2015.) $)
    isnacs2 $p |- ( C e. ( NoeACS ` X ) <-> ( C e. ( ACS ` X ) /\
          ( F " ( ~P X i^i Fin ) ) = C ) ) $=
      ( vs vg cnacs cfv wcel cacs cv wceq cpw cfn wrex wral wa wss 3syl bitr4di
      cin cima isnacs eqcom rexbii wfn wb cmre wf acsmre mrcf ffn inss1 sylancl
      fvelimab bitr4id ralbidv dfss3 crn imassrn sstrid biantrurd bitrd pm5.32i
      frn eqss bitri ) ACGHIACJHIZEKZFKBHZLZFCMZNUAZOZEAPZQVHBVMUBZALZQAFBCEDUC
      VHVOVQVHVOAVPRZVQVHVOVIVPIZEAPVRVHVNVSEAVHVNVJVILZFVMOZVSVKVTFVMVIVJUDUEV
      HBVLUFZVMVLRVSWAUGVHACUHHIZVLABUIZWBACUJZABCDUKZVLABULSVLNUMFVLVMVIBUOUNU
      PUQEAVPURTVHVRVPARZVRQVQVHWGVRVHVPBUSZABVMUTVHWCWDWHARWEWFVLABVESVAVBVPAV
      FTVCVDVG $.

    $( Slight variation on finite generation for closure systems.  (Contributed
       by Stefan O'Rear, 4-Apr-2015.) $)
    mrefg2 $p |- ( C e. ( Moore ` X ) ->
        ( E. g e. ( ~P X i^i Fin ) S = ( F ` g ) <->
          E. g e. ( ~P S i^i Fin ) S = ( F ` g ) ) ) $=
      ( cmre cfv wcel cv wceq cpw cfn cin wb wa wss elpw 3bitr4g elin simpr vex
      mrcssid mrcssv adantr impbida anbi1d pweq ineq1d eleq2d bibi2d syl5ibrcom
      sstrd pm5.32rd rexbidv2 ) AEGHIZBCJZDHZKZUSCELZMNZBLZMNZUPUSUQVAIZUQVCIZU
      PVDVEOUSVDUQURLZMNZIZOUPUQUTIZUQMIZPUQVFIZVJPVDVHUPVIVKVJUPUQEQZUQURQZVIV
      KUPVLVMAUQDEFUCUPVMPUQUREUPVMUAUPUREQVMAUQDEFUDUEUMUFUQECUBZRUQURVNRSUGUQ
      UTMTUQVFMTSUSVEVHVDUSVCVGUQUSVBVFMBURUHUIUJUKULUNUO $.

    $( Slight variation on finite generation for closure systems.  (Contributed
       by Stefan O'Rear, 4-Apr-2015.) $)
    mrefg3 $p |- ( ( C e. ( Moore ` X ) /\ S e. C ) ->
        ( E. g e. ( ~P X i^i Fin ) S = ( F ` g ) <->
          E. g e. ( ~P S i^i Fin ) S C_ ( F ` g ) ) ) $=
      ( cmre cfv wcel wa cv wceq cpw cfn cin wrex wss wb mrefg2 adantr biantrud
      simpll inss1 sseli elpwid adantl simplr mrcsscl syl3anc bitr4id rexbidva
      eqss bitrd ) AEGHIZBAIZJZBCKZDHZLZCEMNOPZUSCBMZNOZPZBURQZCVBPUNUTVCRUOABC
      DEFSTUPUSVDCVBUPUQVBIZJZUSVDURBQZJVDBURULVFVGVDVFUNUQBQZUOVGUNUOVEUBVEVHU
      PVEUQBVBVAUQVANUCUDUEUFUNUOVEUGAUQDBEFUHUIUAUJUKUM $.
  $}

  ${
    $d C g h i s $.  $d C t $.  $d X g h i s $.  $d X t $.  $d g t $.
    $d h t $.  $d s t $.
    $( A closure system of Noetherian type is algebraic.  (Contributed by
       Stefan O'Rear, 4-Apr-2015.) $)
    nacsacs $p |- ( C e. ( NoeACS ` X ) -> C e. ( ACS ` X ) ) $=
      ( cnacs cfv wcel cacs cmrc cpw cfn cin cima wceq eqid isnacs2 simplbi ) A
      BCDEABFDEAGDZBHIJKALAPBPMNO $.

    $( A choice-free order equivalent to the Noetherian condition on a closure
       system.  (Contributed by Stefan O'Rear, 4-Apr-2015.) $)
    isnacs3 $p |- ( C e. ( NoeACS ` X ) <-> ( C e. ( Moore ` X ) /\
          A. s e. ~P C ( ( toInc ` s ) e. Dirset -> U. s e. s ) ) ) $=
      ( vg vh vi vt cfv wcel cv cipo wi cpw wa wceq cfn wrex wss adantlr cvv wb
      cnacs cmre cdrs cuni wral nacsacs acsmred cmrc simpll cacs ad2antrr elpwi
      cin ad2antlr simpr acsdrsel syl3anc nacsfg syl2anc mrefg2 syl mpbid elfpw
      eqid fissuni sylbi 3expb sylan2b sstr ancoms simprr simprl sseldd mrcsscl
      ipodrsfi adantr eqsstrd simplrl elssuni eqssd eqeltrd expr syl5 rexlimdva
      ex expd expdimp rexlimdv mpd ralrimiva simpl adantl sseld imim2d ralimdva
      jca imp isacs3 sylanbrc cima mrcid mress acsficld wfn mrcf ffnd mrcss vex
      eqtr3d fpwipodrs mp1i inss1 sspwd sstrid fvex ax-mp a1i ipodrsima imassrn
      imaexg crn frnd elpw sylibr simplr fveq2 eleq1d id eleq12d imbi12d rspcva
      unieq fvelimab eqcom rexbii mpbird isnacs impbii ) ABUBHIZABUCHIZCJZKHZUD
      IZUUBUEZUUBIZLZCAMZUFZNZYTUUAUUIYTABABUGZUHZYTUUGCUUHYTUUBUUHIZNZUUDUUFUU
      NUUDNZUUEDJZAUIHZHZOZDUUEMPUNZQZUUFUUOUUSDBMZPUNZQZUVAUUOYTUUEAIZUVDYTUUM
      UUDUJUUOABUKHIZUUBARZUUDUVEYTUVFUUMUUDUUKULUUMUVGYTUUDUUBAUMZUOUUNUUDUPAB
      UUBUQURAUUEDUUQBUUQVEZUSUTYTUVDUVAUAZUUMUUDYTUUAUVJUULAUUEDUUQBUVIVAVBULV
      CUUOUUSUUFDUUTUUPUUTIZUUPEJZUEZRZEUUBMPUNZQZUUOUUSUUFLZUVKUUPUUERUUPPINUV
      PUUPUUEVDUUPUUBEVFVGUUOUVNUVQEUVOUUNUUDUVLUVOIZUVNUVQLZUUDUVRNUVMFJZRZFUU
      BQZUUNUVSUVRUUDUVLUUBRZUVLPIZNUWBUVLUUBVDUUDUWCUWDUWBFUUBUVLVPVHVIUUNUWAU
      VSFUUBUUNUVTUUBIZNZUWAUVNUVQUWAUVNNUUPUVTRZUWFUVQUVNUWAUWGUUPUVMUVTVJVKUU
      NUWEUWGUVQUUNUWEUWGNZNZUUSUUFUWIUUSNZUUEUVTUUBUWJUUEUVTUWJUUEUURUVTUWIUUS
      UPUWIUURUVTRZUUSUWIUUAUWGUVTAIUWKYTUUAUUMUWHUULULUUNUWEUWGVLUWIUUBAUVTUUM
      UVGYTUWHUVHUOUUNUWEUWGVMVNAUUPUUQUVTBUVIVOURVQVRUWJUWEUVTUUERUUNUWEUWGUUS
      VSZUVTUUBVTVBWAUWLWBWFWCWDWGWEWDWHWIWDWIWJWFWKWQUUJUVFGJZUUROZDUVCQZGAUFY
      TUUJUUAUUDUVELZCUUHUFZUVFUUAUUIWLUUAUUIUWQUUAUUGUWPCUUHUUAUUMNZUUFUVEUUDU
      WRUUBAUUEUUMUVGUUAUVHWMWNWOWPWRABCWSWTZUUJUWOGAUUJUWMAIZNZUWOUWNDUWMMZPUN
      ZQZUXAUURUWMOZDUXCQZUXDUXAUWMUUQUXCXAZIZUXFUXAUWMUXGUEZUXGUXAUWMUUQHZUWMU
      XIUUAUWTUXJUWMOUUIAUWMUUQBUVIXBSUXAAUWMUUQBUUJUVFUWTUWSVQUVIUUAUWTUWMBRUU
      IAUWMBXCZSXDXJUXAUXGKHZUDIZUXIUXGIZUUAUWTUXMUUIUUAUWTNZEDBUXCUUQTUUAUUQUV
      BXEZUWTUUAUVBAUUQAUUQBUVIXFZXGVQZUUAUUPUVLRZUVLBRZNUURUVLUUQHRZUWTUUAUXSU
      XTUYAAUUPUUQUVLBUVIXHVHSUWMTIUXCKHUDIUXOGXIUWMTXKXLUXOUXCUXBUVBUXBPXMUXOU
      WMBUXKXNXOZUXGTIZUXOUUQTIUYCAUIXPUUQUXCTYAXQZXRXSSUXAUXGUUHIZUUIUXMUXNLZU
      UAUWTUYEUUIUXOUXGARZUYEUUAUYGUWTUUAUXGUUQYBAUUQUXCXTUUAUVBAUUQUXQYCXOVQUX
      GAUYDYDYESUUAUUIUWTYFUUGUYFCUXGUUHUUBUXGOZUUDUXMUUFUXNUYHUUCUXLUDUUBUXGKY
      GYHUYHUUEUXIUUBUXGUUBUXGYMUYHYIYJYKYLUTWJWBUUAUWTUXHUXFUAZUUIUXOUXPUXCUVB
      RUYIUXRUYBDUVBUXCUWMUUQYNUTSVCUWNUXEDUXCUWMUURYOYPYEUUAUWOUXDUAUUIUWTAUWM
      DUUQBUVIVAULYQWKADUUQBGUVIYRWTYS $.
  $}

  ${
    $d A a b $.  $d B a $.  $d F a b x $.
    $( Transitivity induction of subsets, lemma for ~ nacsfix .  (Contributed
       by Stefan O'Rear, 4-Apr-2015.) $)
    incssnn0 $p |- ( ( A. x e. NN0 ( F ` x ) C_ ( F ` ( x + 1 ) ) /\
        A e. NN0 /\ B e. ( ZZ>= ` A ) ) -> ( F ` A ) C_ ( F ` B ) ) $=
      ( va vb cv cfv c1 caddc co wss cn0 wcel wa wi wceq fveq2 sseq2d imbi2d cz
      wral cuz weq ssid 2a1i eluznn0 ancoms fvoveq1 sseq12d syl expimpd ancomsd
      rspcv sstr2 com12 syl6 a2d uzind4 3impia ) AGZDHZVAIJKDHZLZAMUBZBMNZCBUCH
      ZNZBDHZCDHZLZVHVEVFOZVKVLVIEGZDHZLZPVLVIVILZPVLVIFGZDHZLZPVLVIVQIJKZDHZLZ
      PVLVKPEFBCVMBQZVOVPVLWCVNVIVIVMBDRSTEFUDZVOVSVLWDVNVRVIVMVQDRSTVMVTQZVOWB
      VLWEVNWAVIVMVTDRSTVMCQZVOVKVLWFVNVJVIVMCDRSTVPBUANVLVIUEUFVQVGNZVLVSWBWGV
      LVRWALZVSWBPWGVFVEWHWGVFVEWHWGVFOVQMNZVEWHPVFWGWIVQBUGUHVDWHAVQMAFUDVBVRV
      CWAVAVQDRVAVQIDJUIUJUNUKULUMVSWHWBVIVRWAUOUPUQURUSUPUT $.
  $}

  ${
    $d C a b z $.  $d C y $.  $d F a b c w $.  $d F y z $.  $d X a b z $.
    $d X y $.  $d a x y $.  $d b x $.  $d w y z $.  $d x z $.  $d F x $.
    $( An increasing sequence of closed sets in a Noetherian-type closure
       system eventually fixates.  (Contributed by Stefan O'Rear,
       4-Apr-2015.) $)
    nacsfix $p |- ( ( C e. ( NoeACS ` X ) /\ F : NN0 --> C /\
          A. x e. NN0 ( F ` x ) C_ ( F ` ( x + 1 ) ) ) ->
        E. y e. NN0 A. z e. ( ZZ>= ` y ) ( F ` z ) = ( F ` y ) ) $=
      ( vw va vb vc cfv wcel cn0 cv wss wral wceq wa wrex wb cnacs wf caddc w3a
      c1 co crn cuni fvssunirn simplrr sseqtrrid simpll3 simplrl simpr incssnn0
      cuz syl3anc eqssd ralrimiva cipo cdrs cvv wne cun cpw frn 3ad2ant2 elpw2g
      c0 3ad2ant1 mpbird elex syl cc0 wfn ffn 0nn0 fnfvelrn sylancl cr ad2antrl
      ne0d nn0re ad2antll cle cz nn0z eluz syl2an biimpar adantll ssequn1 sylib
      wbr eqimss fveq2 sseq2d rspcev syl2anc syl2anr ssequn2 lecasei ralrimivva
      weq uneq1 sseq1d rexbidv ralrn uneq2 sseq2 rexrn bitrd isipodrs syl3anbrc
      ralbidv wi isnacs3 simprbi eleq1d unieq id eleq12d imbi12d rspcva fvelrnb
      cmre mpd mpbid reximddv ) DFUAKZLZMDEUBZANZEKYMUEUCUFEKOAMPZUDZBNZEKZEUGZ
      UHZQZCNZEKZYQQZCYPUPKZPBMYOYPMLZYTRZRZUUCCUUDUUGUUAUUDLZRZUUBYQUUIYSUUBYQ
      EUUAUIYOUUEYTUUHUJUKUUIYNUUEUUHYQUUBOYKYLYNUUFUUHULYOUUEYTUUHUMUUGUUHUNAY
      PUUAEUOUQURUSYOYSYRLZYTBMSZYOYRUTKZVALZUUJYOYRVBLZYRVIVCYPUUAVDZGNZOZGYRS
      ZCYRPZBYRPZUUMYOYRDVEZLZUUNYOUVBYRDOZYLYKUVCYNMDEVFVGYKYLUVBUVCTYNYRDYJVH
      VJVKZYRUVAVLVMYOYRVNEKZYOEMVOZVNMLUVEYRLYLYKUVFYNMDEVPVGZVQMVNEVRVSWBYOUU
      THNZEKZINZEKZVDZJNZEKZOZJMSZIMPZHMPZYOUVPHIMMYOUVHMLZUVJMLZRZRZUVPUVHUVJU
      VSUVHVTLYOUVTUVHWCWAUVTUVJVTLYOUVSUVJWCWDUWBUVHUVJWEWNZRZUVTUVLUVKOZUVPYO
      UVSUVTUWCUJUWDUVLUVKQZUWEUWDUVIUVKOZUWFUWDYNUVSUVJUVHUPKLZUWGYKYLYNUWAUWC
      ULYOUVSUVTUWCUMUWAUWCUWHYOUWAUWHUWCUVSUVHWFLZUVJWFLZUWHUWCTUVTUVHWGZUVJWG
      ZUVHUVJWHWIWJWKAUVHUVJEUOUQUVIUVKWLWMUVLUVKWOVMUVOUWEJUVJMJIXDUVNUVKUVLUV
      MUVJEWPWQWRWSUWBUVJUVHWEWNZRZUVSUVLUVIOZUVPYOUVSUVTUWMUMUWNUVLUVIQZUWOUWN
      UVKUVIOZUWPUWNYNUVTUVHUVJUPKLZUWQYKYLYNUWAUWMULYOUVSUVTUWMUJUWAUWMUWRYOUW
      AUWRUWMUVTUWJUWIUWRUWMTUVSUWLUWKUVJUVHWHWTWJWKAUVJUVHEUOUQUVKUVIXAWMUVLUV
      IWOVMUVOUWOJUVHMJHXDUVNUVIUVLUVMUVHEWPWQWRWSXBXCYOUVFUUTUVRTUVGUVFUUTUVIU
      UAVDZUUPOZGYRSZCYRPZHMPUVRUUSUXBBHMEYPUVIQZUURUXACYRUXCUUQUWTGYRUXCUUOUWS
      UUPYPUVIUUAXEXFXGXOXHUVFUXBUVQHMUVFUXBUVLUUPOZGYRSZIMPUVQUXAUXECIMEUUAUVK
      QZUWTUXDGYRUXFUWSUVLUUPUUAUVKUVIXIXFXGXHUVFUXEUVPIMUXDUVOGJMEUUPUVNUVLXJX
      KXOXLXOXLVMVKBCGYRXMXNYOUVBYPUTKZVALZYPUHZYPLZXPZBUVAPZUUMUUJXPZUVDYKYLUX
      LYNYKDFYFKLUXLDFBXQXRVJUXKUXMBYRUVAYPYRQZUXHUUMUXJUUJUXNUXGUULVAYPYRUTWPX
      SUXNUXIYSYPYRYPYRXTUXNYAYBYCYDWSYGYOUVFUUJUUKTUVGBMYSEYEVMYHYI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellanea 1. Map utilities
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    constmap.1 $e |- A e. _V $.
    constmap.3 $e |- C e. _V $.
    $( A constant (represented without dummy variables) is an element of a
       function set.

       _Note:  In the following development, we will be quite often quantifying
       over functions and points in N-dimensional space (which are equivalent
       to functions from an "index set").  Many of the following theorems exist
       to transfer standard facts about functions to elements of function
       sets_.  (Contributed by Stefan O'Rear, 30-Aug-2014.)  (Revised by Stefan
       O'Rear, 5-May-2015.) $)
    constmap $p |- ( B e. C -> ( A X. { B } ) e. ( C ^m A ) ) $=
      ( wcel csn cxp wf cmap co fconst6g elmap sylibr ) BCFACABGHZIOCAJKFABCLCA
      OEDMN $.
  $}

  $( Renaming indices in a tuple, with sethood as antecedents.  (Contributed by
     Stefan O'Rear, 9-Oct-2014.)  (Revised by Mario Carneiro, 5-May-2015.) $)
  mapco2g $p |- ( ( E e. _V /\ A e. ( B ^m C ) /\ D : E --> C ) ->
    ( A o. D ) e. ( B ^m E ) ) $=
    ( cvv wcel cmap co wf w3a ccom elmapi fco sylan 3adant1 wceq n0i reldmmap
    c0 ovprc1 nsyl2 3ad2ant2 simp1 elmapd mpbird ) EFGZABCHIZGZECDJZKZADLZBEHIG
    EBULJZUIUJUMUGUICBAJUJUMABCMECBADNOPUKBEULFFUIUGBFGZUJUIUHTQUNUHARBCHSUAUBU
    CUGUIUJUDUEUF $.

  ${
    mapco2.3 $e |- E e. _V $.
    $( Post-composition (renaming indices) of a mapping viewed as a point.
       (Contributed by Stefan O'Rear, 5-Oct-2014.)  (Revised by Stefan O'Rear,
       5-May-2015.) $)
    mapco2 $p |- ( ( A e. ( B ^m C ) /\ D : E --> C ) ->
        ( A o. D ) e. ( B ^m E ) ) $=
      ( cvv wcel cmap co wf ccom mapco2g mp3an1 ) EGHABCIJHECDKADLBEIJHFABCDEMN
      $.
  $}

  ${
    mapfzcons.1 $e |- M = ( N + 1 ) $.
    $( Extending a one-based mapping by adding a tuple at the end results in
       another mapping.  (Contributed by Stefan O'Rear, 10-Oct-2014.)  (Revised
       by Stefan O'Rear, 5-May-2015.) $)
    mapfzcons $p |- ( ( N e. NN0 /\ A e. ( B ^m ( 1 ... N ) ) /\ C e. B ) -> (
        A u. { <. M , C >. } ) e. ( B ^m ( 1 ... M ) ) ) $=
      ( cn0 wcel c1 cfz co cmap caddc csn cun wf wceq cvv ovex cuz w3a c0 simp2
      cop cin wb elmapex simpld 3ad2ant2 elmapg sylancl mpbid wf1o simp3 f1osng
      sylancr f1of syl wss snssi 3ad2ant3 fssd fzp1disj a1i fun syl21anc cz cfv
      cmin 1z simp1 cc0 nn0uz 1m1e0 fveq2i eqtr4i eleqtrdi fzsuc2 eqcomd feq23d
      unidm mpbird opeq1i sneqi uneq2i oveq2i 3eltr4g ) EGHZABIEJKZLKHZCBHZUAZA
      EIMKZCUDZNZOZBIWMJKZLKZADCUDZNZOBIDJKZLKWLWPWRHZWQBWPPZWLWIWMNZOZBBOZWPPZ
      XCWLWIBAPZXDBWOPWIXDUEUBQZXGWLWJXHWHWJWKUCWLBRHZWIRHZWJXHUFWJWHXJWKWJXJXK
      ABWIUGUHUIZIEJSBWIARRUJUKULWLXDCNZBWOWLXDXMWOUMZXDXMWOPWLWMRHWKXNEIMSWHWJ
      WKUNWMCRBUOUPXDXMWOUQURWKWHXMBUSWJCBUTVAVBXIWLIEVCVDWIXDBBAWOVEVFWLXEXFWQ
      BWPWLWQXEWLIVGHEIIVIKZTVHZHWQXEQVJWLEGXPWHWJWKVKGVLTVHXPVMXOVLTVNVOVPVQIE
      VRUPVSXFBQWLBWAVDVTULWLXJWQRHXBXCUFXLIWMJSBWQWPRRUJUKWBWTWOAWSWNDWMCFWCWD
      WEXAWQBLDWMIJFWFWFWG $.

    $( Recover prefix mapping from an extended mapping.  (Contributed by Stefan
       O'Rear, 10-Oct-2014.)  (Revised by Stefan O'Rear, 5-May-2015.) $)
    mapfzcons1 $p |- ( A e. ( B ^m ( 1 ... N ) ) ->
      ( ( A u. { <. M , C >. } ) |` ( 1 ... N ) ) = A ) $=
      ( c1 cfz co cmap wcel cres csn cun wceq c0 cdm cin wss ax-mp cop wfn 3syl
      wf elmapi ffn fnresdm uneq1d resundir dmres caddc dmsnopss sneqi fzp1disj
      sseqtri sslin sseq0 mp2an eqtri wrel wb relres reldm0 mpbir uneq2i eqtr2i
      un0 3eqtr4g ) ABGEHIZJIKZAVILZDCUAMZVILZNAVMNZAVLNVILAVJVKAVMVJVIBAUDAVIU
      BVKAOABVIUEVIBAUFVIAUGUCUHAVLVIUIVNAPNAVMPAVMPOZVMQZPOZVPVIVLQZRZPVLVIUJV
      SVIEGUKIZMZRZSZWBPOVSPOVRWASWCVRDMWADCULDVTFUMUOVRWAVIUPTGEUNVSWBUQURUSVM
      UTVOVQVAVLVIVBVMVCTVDVEAVGVFVH $.

    $( A nonempty mapping has a prefix.  (Contributed by Stefan O'Rear,
       10-Oct-2014.)  (Revised by Stefan O'Rear, 5-May-2015.) $)
    mapfzcons1cl $p |- ( A e. ( B ^m ( 1 ... M ) ) ->
        ( A |` ( 1 ... N ) ) e. ( B ^m ( 1 ... N ) ) ) $=
      ( c1 cfz cmap wcel wss cres caddc fzssp1 oveq2i sseqtrri elmapssres mpan2
      co ) ABFCGRZHRIFDGRZSJATKBTHRITFDFLRZGRSFDMCUAFGENOABSTPQ $.

    $( Recover added element from an extended mapping.  (Contributed by Stefan
       O'Rear, 10-Oct-2014.)  (Revised by Stefan O'Rear, 5-May-2015.) $)
    mapfzcons2 $p |- ( ( A e. ( B ^m ( 1 ... N ) ) /\ C e. B ) ->
        ( ( A u. { <. M , C >. } ) ` M ) = C ) $=
      ( c1 cfz co cmap wcel wa cvv cdm wn csn wceq caddc cin c0 cop cun eqeltri
      cfv ovex a1i elex adantl elmapi adantr ineq1d sneqi ineq2i fzp1disj eqtri
      fdmd eqtrdi disjsn sylib fsnunfv syl3anc ) ABGEHIZJIKZCBKZLZDMKZCMKZDANZK
      OZDADCUAPUBUDCQVFVEDEGRIZMFEGRUEUCUFVDVGVCCBUGUHVEVHDPZSZTQVIVEVLVBVKSZTV
      EVHVBVKVCVHVBQVDVCVBBAABVBUIUPUJUKVMVBVJPZSTVKVNVBDVJFULUMGEUNUOUQVHDURUS
      AMMDCUTVA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellanea for polynomials
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A t $.  $d C t $.
    $( Interpret range of a maps-to notation as a constraint on the definition.
       (Contributed by Stefan O'Rear, 10-Oct-2014.) $)
    mptfcl $p |- ( ( t e. A |-> B ) : A --> C -> ( t e. A -> B e. C ) ) $=
      ( cmpt wf wcel wral cv wi eqid fmpt rsp sylbir ) BDABCEZFCDGZABHAIBGPJABD
      COOKLPABMN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Multivariate polynomials over the integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c mzPolyCld $.
  $c mzPoly $.
  $( Extend class notation to include pre-polynomial rings. $)
  cmzpcl $a class mzPolyCld $.
  $( Extend class notation to include polynomial rings. $)
  cmzp $a class mzPoly $.

  ${
    $d f g i j p v x $.
    $( Define the polynomially closed function rings over an arbitrary index
       set ` v ` .  The set ` ( mzPolyCld `` v ) ` contains all sets of
       functions from ` ( ZZ ^m v ) ` to ` ZZ ` which include all constants and
       projections and are closed under addition and multiplication.  This is a
       "temporary" set used to define the polynomial function ring itself
       ` ( mzPoly `` v ) ` ; see ~ df-mzp .  (Contributed by Stefan O'Rear,
       4-Oct-2014.) $)
    df-mzpcl $a |- mzPolyCld = ( v e. _V |-> { p e. ~P ( ZZ ^m ( ZZ ^m v ) ) |
        ( ( A. i e. ZZ ( ( ZZ ^m v ) X. { i } ) e. p
           /\ A. j e. v ( x e. ( ZZ ^m v ) |-> ( x ` j ) ) e. p )
    /\ A. f e. p A. g e. p ( ( f oF + g ) e. p /\ ( f oF x. g ) e. p ) ) } ) $.

    $( Polynomials over ` ZZ ` with an arbitrary index set, that is, the
       smallest ring of functions containing all constant functions and all
       projections.  This is almost the most general reasonable definition; to
       reach full generality, we would need to be able to replace ZZ with an
       arbitrary (semi)ring (and a coordinate subring), but rings have not been
       defined yet.  (Contributed by Stefan O'Rear, 4-Oct-2014.) $)
    df-mzp $a |- mzPoly = ( v e. _V |-> |^| ( mzPolyCld ` v ) ) $.
  $}

  ${
    $d V v p f g a b c $.  $d V v p i a b c $.  $d V v p j x a b c $.
    $( Substitution lemma for ` mzPolyCld ` .  (Contributed by Stefan O'Rear,
       4-Oct-2014.) $)
    mzpclval $p |- ( V e. _V -> ( mzPolyCld ` V ) =
      { p e. ~P ( ZZ ^m ( ZZ ^m V ) ) |
        ( ( A. i e. ZZ ( ( ZZ ^m V ) X. { i } ) e. p
           /\ A. j e. V ( x e. ( ZZ ^m V ) |-> ( x ` j ) ) e. p )
    /\ A. f e. p A. g e. p ( ( f oF + g ) e. p /\ ( f oF x. g ) e. p ) ) } ) $=
      ( vv va vc vb cz cv cmap co wcel wral cmpt wa eleq1d csn cxp cfv cof cmul
      caddc cpw crab cvv cmzpcl wceq oveq2 oveq2d pweqd xpeq1d ralbidv weq sneq
      xpeq2d cbvralvw bitrdi mpteq1d raleqbi1dv mpteq2dv cbvmptv eleq1i anbi12d
      fveq2 fveq1 anbi1d rabeqbidv df-mzpcl ovex pwex rabex fvmpt ) HFLHMZNOZIM
      ZUAZUBZGMZPZILQZJVRKMZJMZUCZRZWBPZKVQQZSZBMZCMZUFUDOWBPWLWMUEUDOWBPSCWBQB
      WBQZSZGLVRNOZUGZUHLFNOZDMZUAZUBZWBPZDLQZAWREMZAMZUCZRZWBPZEFQZSZWNSZGLWRN
      OZUGZUHUIUJVQFUKZWOXKGWQXMXNWPXLXNVRWRLNVQFLNULZUMUNXNWKXJWNXNWDXCWJXIXNW
      DWRVTUBZWBPZILQXCXNWCXQILXNWAXPWBXNVRWRVTXOUOTUPXQXBIDLIDUQZXPXAWBXRVTWTW
      RVSWSURUSTUTVAXNWJJWRWGRZWBPZKFQXIWIXTKVQFXNWHXSWBXNJVRWRWGXOVBTVCXTXHKEF
      KEUQZXTJWRXDWFUCZRZWBPXHYAXSYCWBYAJWRWGYBWEXDWFVHVDTYCXGWBJAWRYBXFXDWFXEV
      IVEVFVAUTVAVGVJVKJHBCIKGVLXKGXMXLLWRNVMVNVOVP $.
  $}

  ${
    $d V p f g $.  $d V p i $.  $d V p j x $.  $d P p f g $.  $d P p i $.
    $d P p j x $.
    $( Double substitution lemma for ` mzPolyCld ` .  (Contributed by Stefan
       O'Rear, 4-Oct-2014.) $)
    elmzpcl $p |- ( V e. _V -> ( P e. ( mzPolyCld ` V ) <->
        ( P C_ ( ZZ ^m ( ZZ ^m V ) )
       /\ ( ( A. i e. ZZ ( ( ZZ ^m V ) X. { i } ) e. P
           /\ A. j e. V ( x e. ( ZZ ^m V ) |-> ( x ` j ) ) e. P )
        /\ A. f e. P A. g e. P ( ( f oF + g ) e. P /\ ( f oF x. g ) e. P ) ) )
        ) ) $=
      ( vp wcel cfv cz cmap co cv wral wa cof eleq2 ralbidv anbi12d cvv csn cxp
      cmzpcl cmpt caddc cmul cpw crab wss mzpclval eleq2d wceq raleqbi1dv elrab
      ovex elpw2 anbi1i bitri bitrdi ) GUAIZBGUDJZIBKGLMZENUBUCZHNZIZEKOZAVCFNA
      NJUEZVEIZFGOZPZCNZDNZUFQMZVEIZVLVMUGQMZVEIZPZDVEOZCVEOZPZHKVCLMZUHZUIZIZB
      WBUJZVDBIZEKOZVHBIZFGOZPZVNBIZVPBIZPZDBOZCBOZPZPZVAVBWDBACDEFGHUKULWEBWCI
      ZWQPWRWAWQHBWCVEBUMZVKWKVTWPWTVGWHVJWJWTVFWGEKVEBVDRSWTVIWIFGVEBVHRSTVSWO
      CVEBVRWNDVEBWTVOWLVQWMVEBVNRVEBVPRTUNUNTUOWSWFWQBWBKVCLUPUQURUSUT $.
  $}

  ${
    $d V v f g a b $.  $d P v f g a b $.  $d F v f g a b $.  $d G v f g a b $.
    $( The set of all functions with the signature of a polynomial is a
       polynomially closed set.  This is a lemma to show that the intersection
       in ~ df-mzp is well-defined.  (Contributed by Stefan O'Rear,
       4-Oct-2014.) $)
    mzpclall $p |- ( V e. _V -> ( ZZ ^m ( ZZ ^m V ) ) e. ( mzPolyCld ` V ) ) $=
      ( vv vf vg va vb cz cv cmap co cmzpcl cfv wcel cvv wral wa caddc wf elmap
      zex wceq oveq2 fveq2 eleq12d wss csn cxp cmpt cof cmul ssid ovex constmap
      oveq2d vex ffvelrn sylanb ancoms fmpttd sylibr pm3.2i zaddcl adantl simpl
      rgen simpr ovexd inidm off zmulcl jca anbi12i 3imtr4i rgen2 elmzpcl ax-mp
      wb mpbir2an vtoclg ) GGBHZIJZIJZVTKLZMZGGAIJZIJZAKLZMBANVTAUAZWBWFWCWGWHW
      AWEGIVTAGIUBUNVTAKUCUDWDWBWBUEZWACHZUFUGWBMZCGOZDWAWJDHZLZUHZWBMZCVTOZPZW
      JWMQUIJZWBMZWJWMUJUIJZWBMZPZDWBOCWBOZPZWBUKWRXDWLWQWKCGWAWJGGVTIULZTUMVEW
      PCVTWJVTMZWAGWORWPXGDWAWNGWMWAMZXGWNGMZXHVTGWMRXGXIGVTWMTBUOZSVTGWJWMUPUQ
      URUSGWAWOTXFSUTVEVAXCCDWBWBWAGWJRZWAGWMRZPZWAGWSRZWAGXARZPWJWBMZWMWBMZPXC
      XMXNXOXMEFWAWAWAQGGGWJWMNNEHZGMFHZGMPZXRXSQJGMXMXRXSVBVCXKXLVDZXKXLVFZXMG
      VTIVGZYCWAVHZVIXMEFWAWAWAUJGGGWJWMNNXTXRXSUJJGMXMXRXSVJVCYAYBYCYCYDVIVKXP
      XKXQXLGWAWJTXFSGWAWMTXFSVLWTXNXBXOGWAWSTXFSGWAXATXFSVLVMVNVAVTNMWDWIXEPVQ
      XJDWBCDCCVTVOVPVRVS $.

    $( Corollary of ~ mzpclall : polynomially closed function sets are not
       empty.  (Contributed by Stefan O'Rear, 4-Oct-2014.) $)
    mzpcln0 $p |- ( V e. _V -> ( mzPolyCld ` V ) =/= (/) ) $=
      ( cvv wcel cmzpcl cfv cz cmap co mzpclall ne0d ) ABCADEFFAGHGHAIJ $.

    $( Defining property 1 of a polynomially closed function set ` P ` : it
       contains all constant functions.  (Contributed by Stefan O'Rear,
       4-Oct-2014.) $)
    mzpcl1 $p |- ( ( P e. ( mzPolyCld ` V ) /\ F e. ZZ ) ->
      ( ( ZZ ^m V ) X. { F } ) e. P ) $=
      ( vf vg cmzpcl cfv wcel cz wa cmap co cv csn cxp wral simpr wss cof syl
      cmpt caddc cmul simpl cvv elfvex adantr elmzpcl mpbid simprll wceq xpeq2d
      wb sneq eleq1d rspcva syl2anc ) ACFGHZBIHZJZUSICKLZDMZNZOZAHZDIPZVABNZOZA
      HZURUSQUTAIVAKLRZVFEVAVBEMZGUAAHDCPZJVBVKUBSLAHVBVKUCSLAHJEAPDAPZJJZVFUTU
      RVNURUSUDUTCUEHZURVNUMURVOUSACFUFUGEADEDDCUHTUIVJVFVLVMUJTVEVIDBIVBBUKZVD
      VHAVPVCVGVAVBBUNULUOUPUQ $.

    $( Defining property 2 of a polynomially closed function set ` P ` : it
       contains all projections.  (Contributed by Stefan O'Rear,
       4-Oct-2014.) $)
    mzpcl2 $p |- ( ( P e. ( mzPolyCld ` V ) /\ F e. V ) ->
      ( g e. ( ZZ ^m V ) |-> ( g ` F ) ) e. P ) $=
      ( vf cmzpcl cfv wcel wa cz cmap co cv cmpt wral simpr wss csn cof syl cxp
      caddc cmul simpl cvv wb elfvex adantr elmzpcl mpbid simprlr wceq mpteq2dv
      fveq2 eleq1d rspcva syl2anc ) ADFGHZCDHZIZUSBJDKLZEMZBMZGZNZAHZEDOZBVACVC
      GZNZAHZURUSPUTAJVAKLQZVAVBRUAAHEJOZVGIVBVCUBSLAHVBVCUCSLAHIBAOEAOZIIZVGUT
      URVNURUSUDUTDUEHZURVNUFURVOUSADFUGUHBAEBEEDUITUJVKVLVGVMUKTVFVJECDVBCULZV
      EVIAVPBVAVDVHVBCVCUNUMUOUPUQ $.

    $( Defining properties 3 and 4 of a polynomially closed function set
       ` P ` : it is closed under pointwise addition and multiplication.
       (Contributed by Stefan O'Rear, 4-Oct-2014.) $)
    mzpcl34 $p |- ( ( P e. ( mzPolyCld ` V ) /\ F e. P /\ G e. P ) ->
      ( ( F oF + G ) e. P /\ ( F oF x. G ) e. P ) ) $=
      ( vf vg cmzpcl cfv wcel cv cof co wa wral cmap wceq oveq1 eleq1d anbi12d
      cz w3a caddc cmul simp2 simp3 wss csn cxp cmpt cvv wb elfvexd elmzpcl syl
      simp1 mpbid simprrd oveq2 rspc2va syl21anc ) ADGHIZBAIZCAIZUAZVBVCEJZFJZU
      BKZLZAIZVEVFUCKZLZAIZMZFANEANZBCVGLZAIZBCVJLZAIZMZVAVBVCUDVAVBVCUEVDATTDO
      LZOLUFZVTVEUGUHAIETNFVTVEVFHUIAIEDNMZVNVDVAWAWBVNMMZVAVBVCUOZVDDUJIVAWCUK
      VDAGDWDULFAEFEEDUMUNUPUQVMVSBVFVGLZAIZBVFVJLZAIZMEFBCAAVEBPZVIWFVLWHWIVHW
      EAVEBVFVGQRWIVKWGAVEBVFVJQRSVFCPZWFVPWHVRWJWEVOAVFCBVGURRWJWGVQAVFCBVJURR
      SUSUT $.
  $}

  ${
    $d V v f g a $.
    $( Value of the ` mzPoly ` function.  (Contributed by Stefan O'Rear,
       4-Oct-2014.) $)
    mzpval $p |- ( V e. _V -> ( mzPoly ` V ) = |^| ( mzPolyCld ` V ) ) $=
      ( vv cvv wcel cmzpcl cfv cint cmzp wceq c0 wne mzpcln0 intex sylib inteqd
      cv fveq2 df-mzp fvmptg mpdan ) ACDZAEFZGZCDZAHFUCIUAUBJKUDALUBMNBABPZEFZG
      UCCCHUEAIUFUBUEAEQOBRST $.

    $( ` mzPoly ` is defined for all index sets which are sets.  This is used
       with ~ elfvdm to eliminate sethood antecedents.  (Contributed by Stefan
       O'Rear, 4-Oct-2014.) $)
    dmmzp $p |- dom mzPoly = _V $=
      ( vv cmzp cdm cvv cv cmzpcl cfv cint cmpt df-mzp dmeqi wcel dmmptg c0 wne
      wceq mzpcln0 intex sylib mprg eqtri ) BCADAEZFGZHZIZCZDBUEAJKUDDLZUFDPADA
      DUDDMUBDLUCNOUGUBQUCRSTUA $.

    $( Polynomial closedness is a universal first-order property and passes to
       intersections.  This is where the closure properties of the polynomial
       ring itself are proved.  (Contributed by Stefan O'Rear, 4-Oct-2014.) $)
    mzpincl $p |- ( V e. _V -> ( mzPoly ` V ) e. ( mzPolyCld ` V ) ) $=
      ( vf vg va wcel cfv cz cmap co cv wral cof simpr simplr syl2anc ralrimiva
      wa ovex elint2 sylibr cvv cmzp cmzpcl cint mzpval wss csn cmpt caddc cmul
      cxp mzpclall intss1 syl mzpcl1 snex xpex mzpcl2 jca wi vex mzpcl34 3expib
      mptex ralimia r19.26 3imtr3i syl2anb anbi12i a1i ralrimivv elmzpcl mpbird
      jca32 eqeltrd ) AUAEZAUBFAUCFZUDZVQAUEVPVRVQEVRGGAHIZHIZUFZVSBJZUGZUKZVRE
      ZBGKZCVSWBCJZFZUHZVREZBAKZQZWBWGUILZIZVREZWBWGUJLZIZVREZQZCVRKBVRKZQQVPWA
      WLWTVPVTVQEWAAULVTVQUMUNVPWFWKVPWEBGVPWBGEZQZWDDJZEZDVQKWEXBXDDVQXBXCVQEZ
      QXEXAXDXBXEMVPXAXENXCWBAUOOPDWDVQVSWCGAHRZWBUPUQSTPVPWJBAVPWBAEZQZWIXCEZD
      VQKWJXHXIDVQXHXEQXEXGXIXHXEMVPXGXENXCCWBAUROPDWIVQCVSWHXFVDSTPUSVPWSBCVRV
      RWBVREZWGVREZQZWSUTVPXLWNXCEZDVQKZWQXCEZDVQKZQZWSXJWBXCEZDVQKZWGXCEZDVQKZ
      XQXKDWBVQBVASDWGVQCVASXRXTQZDVQKXMXOQZDVQKXSYAQXQYBYCDVQXEXRXTYCXCWBWGAVB
      VCVEXRXTDVQVFXMXODVQVFVGVHWOXNWRXPDWNVQWBWGWMRSDWQVQWBWGWPRSVITVJVKVNCVRB
      CBBAVLVMVO $.
  $}

  $( Constant functions are polynomial.  See also ~ mzpconstmpt .  (Contributed
     by Stefan O'Rear, 4-Oct-2014.) $)
  mzpconst $p |- ( ( V e. _V /\ C e. ZZ ) ->
    ( ( ZZ ^m V ) X. { C } ) e. ( mzPoly ` V ) ) $=
    ( cvv wcel cmzp cfv cmzpcl cz cmap co csn cxp mzpincl mzpcl1 sylan ) BCDBEF
    ZBGFDAHDHBIJAKLPDBMPABNO $.

  $( A polynomial function is a function from the coordinate space to the
     integers.  (Contributed by Stefan O'Rear, 5-Oct-2014.) $)
  mzpf $p |- ( F e. ( mzPoly ` V ) -> F : ( ZZ ^m V ) --> ZZ ) $=
    ( cmzp cfv wcel cz cmap co wf cvv elfvex cmzpcl cint mzpval mzpclall intss1
    wss syl eqsstrd sselda anidms zex ovex elmap sylib ) ABCDZEZAFFBGHZGHZEZUHF
    AIUGUJUGUFUIAUGBJEZUFUIQABCKUKUFBLDZMZUIBNUKUIULEUMUIQBOUIULPRSRTUAFUHAUBFB
    GUCUDUE $.

  ${
    $d X g $.  $d V g $.
    $( A projection function is polynomial.  (Contributed by Stefan O'Rear,
       4-Oct-2014.) $)
    mzpproj $p |- ( ( V e. _V /\ X e. V ) -> ( g e. ( ZZ ^m V ) |-> ( g ` X ) )
        e. ( mzPoly ` V ) ) $=
      ( cvv wcel cmzp cfv cmzpcl cz cmap co cv cmpt mzpincl mzpcl2 sylan ) BDEB
      FGZBHGECBEAIBJKCALGMQEBNQACBOP $.
  $}

  $( The pointwise sum of two polynomial functions is a polynomial function.
     See also ~ mzpaddmpt .  (Contributed by Stefan O'Rear, 4-Oct-2014.) $)
  mzpadd $p |- ( ( A e. ( mzPoly ` V ) /\ B e. ( mzPoly ` V ) ) ->
    ( A oF + B ) e. ( mzPoly ` V ) ) $=
    ( cmzp cfv wcel caddc cof cmul cmzpcl cvv elfvex adantr mzpincl syl mzpcl34
    wa co 3expib mpcom simpld ) ACDEZFZBUBFZQZABGHRUBFZABIHRUBFZUBCJEFZUEUFUGQZ
    UECKFZUHUCUJUDACDLMCNOUHUCUDUIUBABCPSTUA $.

  $( The pointwise product of two polynomial functions is a polynomial
     function.  See also ~ mzpmulmpt .  (Contributed by Stefan O'Rear,
     4-Oct-2014.) $)
  mzpmul $p |- ( ( A e. ( mzPoly ` V ) /\ B e. ( mzPoly ` V ) ) ->
    ( A oF x. B ) e. ( mzPoly ` V ) ) $=
    ( cmzp cfv wcel caddc cof cmul cmzpcl cvv elfvex adantr mzpincl syl mzpcl34
    wa co 3expib mpcom simprd ) ACDEZFZBUBFZQZABGHRUBFZABIHRUBFZUBCJEFZUEUFUGQZ
    UECKFZUHUCUJUDACDLMCNOUHUCUDUIUBABCPSTUA $.

  ${
    $d V x a b $.  $d C x $.  $d D x a b $.  $d A a b $.

    $( A constant function expressed in maps-to notation is polynomial.  This
       theorem and the several that follow ( ~ mzpaddmpt , ~ mzpmulmpt ,
       ~ mzpnegmpt , ~ mzpsubmpt , ~ mzpexpmpt ) can be used to build proofs
       that functions which are "manifestly polynomial", in the sense of being
       a maps-to containing constants, projections, and simple arithmetic
       operations, are actually polynomial functions.  There is no mzpprojmpt
       because ~ mzpproj is already expressed using maps-to notation.
       (Contributed by Stefan O'Rear, 5-Oct-2014.) $)
    mzpconstmpt $p |- ( ( V e. _V /\ C e. ZZ ) ->
      ( x e. ( ZZ ^m V ) |-> C ) e. ( mzPoly ` V ) ) $=
      ( cvv wcel cz wa cmap cmpt csn cxp cmzp cfv fconstmpt mzpconst eqeltrrid
      co ) CDEBFEGAFCHQZBIRBJKCLMARBNBCOP $.

    $( Sum of polynomial functions is polynomial.  Maps-to version of
       ~ mzpadd .  (Contributed by Stefan O'Rear, 5-Oct-2014.) $)
    mzpaddmpt $p |- ( ( ( x e. ( ZZ ^m V ) |-> A ) e. ( mzPoly ` V ) /\ ( x e.
        ( ZZ ^m V ) |-> B ) e. ( mzPoly ` V ) ) ->
        ( x e. ( ZZ ^m V ) |-> ( A + B ) ) e. ( mzPoly ` V ) ) $=
      ( cz cmap co cmpt cmzp cfv wcel wa caddc cof wfn wceq mzpf ffnd cvv ovex
      ofmpteq mp3an1 syl2an mzpadd eqeltrrd ) AEDFGZBHZDIJZKZAUFCHZUHKZLUGUJMNG
      ZAUFBCMGHZUHUIUGUFOZUJUFOZULUMPZUKUIUFEUGUGDQRUKUFEUJUJDQRUFSKUNUOUPEDFTA
      UFBCMSUAUBUCUGUJDUDUE $.

    $( Product of polynomial functions is polynomial.  Maps-to version of
       ~ mzpmulmpt .  (Contributed by Stefan O'Rear, 5-Oct-2014.) $)
    mzpmulmpt $p |- ( ( ( x e. ( ZZ ^m V ) |-> A ) e. ( mzPoly ` V ) /\
      ( x e. ( ZZ ^m V ) |-> B ) e. ( mzPoly ` V ) ) ->
        ( x e. ( ZZ ^m V ) |-> ( A x. B ) ) e. ( mzPoly ` V ) ) $=
      ( cz cmap co cmpt cmzp cfv wcel wa cmul cof wfn wceq mzpf ffnd cvv ovex
      ofmpteq mp3an1 syl2an mzpmul eqeltrrd ) AEDFGZBHZDIJZKZAUFCHZUHKZLUGUJMNG
      ZAUFBCMGHZUHUIUGUFOZUJUFOZULUMPZUKUIUFEUGUGDQRUKUFEUJUJDQRUFSKUNUOUPEDFTA
      UFBCMSUAUBUCUGUJDUDUE $.

    $( The difference of two polynomial functions is polynomial.  (Contributed
       by Stefan O'Rear, 10-Oct-2014.) $)
    mzpsubmpt $p |- ( ( ( x e. ( ZZ ^m V ) |-> A ) e. ( mzPoly ` V ) /\
      ( x e. ( ZZ ^m V ) |-> B ) e. ( mzPoly ` V ) ) ->
        ( x e. ( ZZ ^m V ) |-> ( A - B ) ) e. ( mzPoly ` V ) ) $=
      ( cz cmap co cmpt cmzp wcel cneg caddc nfmpt1 nfel1 mzpf mptfcl sylc zcnd
      wa wf cfv cmin c1 cmul nfan ad2antlr simpr mulm1d oveq2d ad2antrr negsubd
      cv eqtr2d mpteq2da cvv elfvex neg1z mzpconstmpt sylancl mzpmulmpt mpancom
      mzpaddmpt sylan2 eqeltrd ) AEDFGZBHZDIUAZJZAVECHZVGJZSZAVEBCUBGZHAVEBUCKZ
      CUDGZLGZHZVGVKAVEVLVOVHVJAAVFVGAVEBMNAVIVGAVECMNUEVKAULVEJZSZVOBCKZLGVLVR
      VNVSBLVRCVRCVRVEEVITZVQCEJVJVTVHVQVIDOUFVKVQUGZAVECEPQRZUHUIVRBCVRBVRVEEV
      FTZVQBEJVHWCVJVQVFDOUJWAAVEBEPQRWBUKUMUNVJVHAVEVNHVGJZVPVGJAVEVMHVGJZVJWD
      VJDUOJVMEJWEVIDIUPUQAVMDURUSAVMCDUTVAABVNDVBVCVD $.

    $( Negation of a polynomial function.  (Contributed by Stefan O'Rear,
       11-Oct-2014.) $)
    mzpnegmpt $p |- ( ( x e. ( ZZ ^m V ) |-> A ) e. ( mzPoly ` V ) ->
        ( x e. ( ZZ ^m V ) |-> -u A ) e. ( mzPoly ` V ) ) $=
      ( cz cmap cmpt cmzp cfv wcel cneg cc0 cmin df-neg mpteq2i cvv mzpconstmpt
      co elfvex 0z sylancl mzpsubmpt mpancom eqeltrid ) ADCEQZBFZCGHZIZAUDBJZFA
      UDKBLQZFZUFAUDUHUIBMNAUDKFUFIZUGUJUFIUGCOIKDIUKUECGRSAKCPTAKBCUAUBUC $.

    $( Raise a polynomial function to a (fixed) exponent.  (Contributed by
       Stefan O'Rear, 5-Oct-2014.) $)
    mzpexpmpt $p |- ( ( ( x e. ( ZZ ^m V ) |-> A ) e. ( mzPoly ` V ) /\
        D e. NN0 ) -> ( x e. ( ZZ ^m V ) |-> ( A ^ D ) ) e. ( mzPoly ` V ) ) $=
      ( wcel cz co cmpt cexp cv wi cc0 c1 wceq oveq2 mpteq2dv eleq1d imbi2d cc
      wa va vb cn0 cmap cmzp cfv caddc wral wf wss mzpf zsscn sylancl eqid fmpt
      fss sylibr nfra1 exp0d mpteq2da syl cvv elfvex 1z mzpconstmpt eqeltrd w3a
      rspa cmul 3ad2ant2 simp1 nfv nfan adantlr simplr expp1d syl2anc mzpmulmpt
      simp3 simp2 3exp a2d nn0ind impcom ) CUCEAFDUDGZBHZDUEUFZEZAWEBCIGZHZWGEZ
      WHAWEBUAJZIGZHZWGEZKWHAWEBLIGZHZWGEZKWHAWEBUBJZIGZHZWGEZKWHAWEBWSMUGGZIGZ
      HZWGEZKWHWKKUAUBCWLLNZWOWRWHXGWNWQWGXGAWEWMWPWLLBIOPQRWLWSNZWOXBWHXHWNXAW
      GXHAWEWMWTWLWSBIOPQRWLXCNZWOXFWHXIWNXEWGXIAWEWMXDWLXCBIOPQRWLCNZWOWKWHXJW
      NWJWGXJAWEWMWIWLCBIOPQRWHWQAWEMHZWGWHBSEZAWEUHZWQXKNWHWESWFUIZXMWHWEFWFUI
      FSUJXNWFDUKULWEFSWFUPUMAWESBWFWFUNUOUQZXMAWEWPMXLAWEURZXMAJWEEZTBXLAWEVHZ
      USUTVAWHDVBEMFEXKWGEWFDUEVCVDAMDVEUMVFWSUCEZWHXBXFXSWHXBXFXSWHXBVGZXEAWEW
      TBVIGZHZWGXTXMXSXEYBNWHXSXMXBXOVJXSWHXBVKXMXSTZAWEXDYAXMXSAXPXSAVLVMYCXQT
      BWSXMXQXLXSXRVNXMXSXQVOVPUTVQXTXBWHYBWGEXSWHXBVSXSWHXBVTAWTBDVRVQVFWAWBWC
      WD $.
  $}

  ${
    $d ph x f g $.  $d ps f g $.  $d ch x $.  $d th x $.  $d ta x $.
    $d et x $.  $d ze x $.  $d si x $.  $d rh x $.  $d V x f g a b $.
    $d A x $.
    mzpindd.co $e |- ( ( ph /\ f e. ZZ ) -> ch ) $.
    mzpindd.pr $e |- ( ( ph /\ f e. V ) -> th ) $.
    mzpindd.ad $e |- ( ( ph /\ ( f : ( ZZ ^m V ) --> ZZ /\ ta ) /\ ( g : ( ZZ
        ^m V ) --> ZZ /\ et ) ) -> ze ) $.
    mzpindd.mu $e |- ( ( ph /\ ( f : ( ZZ ^m V ) --> ZZ /\ ta ) /\ ( g : ( ZZ
        ^m V ) --> ZZ /\ et ) ) -> si ) $.
    mzpindd.1 $e |- ( x = ( ( ZZ ^m V ) X. { f } ) -> ( ps <-> ch ) ) $.
    mzpindd.2 $e |- ( x = ( g e. ( ZZ ^m V ) |-> ( g ` f ) ) -> ( ps <-> th ) )
        $.
    mzpindd.3 $e |- ( x = f -> ( ps <-> ta ) ) $.
    mzpindd.4 $e |- ( x = g -> ( ps <-> et ) ) $.
    mzpindd.5 $e |- ( x = ( f oF + g ) -> ( ps <-> ze ) ) $.
    mzpindd.6 $e |- ( x = ( f oF x. g ) -> ( ps <-> si ) ) $.
    mzpindd.7 $e |- ( x = A -> ( ps <-> rh ) ) $.
    $( "Structural" induction to prove properties of all polynomial functions.
       (Contributed by Stefan O'Rear, 4-Oct-2014.) $)
    mzpindd $p |- ( ( ph /\ A e. ( mzPoly ` V ) ) -> rh ) $=
      ( va vb cmzp cfv wcel wa cz cmap co crab elfvex adantl cmzpcl cint mzpval
      cvv wceq wss cv csn cxp wral cmpt caddc cof cmul ssrab2 a1i ovex constmap
      zex elrab sylanbrc ralrimiva adantr wf simpllr simpr elmapg biimpa simplr
      syl21anc ffvelrnd fmpttd elmap sylibr adantlr zaddcl simpl inidm ad2ant2r
      jca off 3expb zmulcl jca32 ex anbi1i anbi12i 3imtr4g ralrimivv wb elmzpcl
      mpbird intss1 syl eqsstrd sselda an32s mpdan simprbi ) AKNUHUIZUJZUKZKBJU
      LULNUMUNZUMUNZUOZUJZIXSNVAUJZYCXRYDAKNUHUPUQAYDXRYCAYDUKZXQYBKYEXQNURUIZU
      SZYBYDXQYGVBANUTUQYEYBYFUJZYGYBVCYEYHYBYAVCZXTLVDZVEVFZYBUJZLULVGZMXTYJMV
      DZUIZVHZYBUJZLNVGZUKZYJYNVIVJUNZYBUJZYJYNVKVJUNZYBUJZUKZMYBVGLYBVGZUKUKZY
      EYIYSUUEYIYEBJYAVLVMYEYMYRAYMYDAYLLULAYJULUJZUKYKYAUJZCYLUUGUUHAXTYJULULN
      UMVNZVPVOUQOBCJYKYASVQVRVSVTYEYQLNYEYJNUJZUKZYPYAUJZDYQUUKXTULYPWAUULUUKM
      XTYOULUUKYNXTUJZUKZNULYJYNUUNULVAUJZYDUUMNULYNWAZUUOUUNVPVMAYDUUJUUMWBUUK
      UUMWCUUOYDUKUUMUUPULNYNVAVAWDWEWGYEUUJUUMWFWHWIULXTYPVPUUIWJWKAUUJDYDPWLB
      DJYPYATVQVRVSWQAUUEYDAUUDLMYBYBAYJYAUJZEUKZYNYAUJZFUKZUKZYTYAUJZGUKZUUBYA
      UJZHUKZUKZYJYBUJZYNYBUJZUKUUDAXTULYJWAZEUKZXTULYNWAZFUKZUKZXTULYTWAZGUKZX
      TULUUBWAZHUKZUKZUVAUVFAUVMUVRAUVMUKZUVOUVPHUVSUVNGUVMUVNAUVIUVKUVNEFUVIUV
      KUKZUFUGXTXTXTVIULULULYJYNVAVAUFVDZULUJUGVDZULUJUKZUWAUWBVIUNULUJUVTUWAUW
      BWMUQUVIUVKWNZUVIUVKWCZXTVAUJUVTUUIVMZUWFXTWOZWRWPUQAUVJUVLGQWSWQUVMUVPAU
      VIUVKUVPEFUVTUFUGXTXTXTVKULULULYJYNVAVAUWCUWAUWBVKUNULUJUVTUWAUWBWTUQUWDU
      WEUWFUWFUWGWRWPUQAUVJUVLHRWSXAXBUURUVJUUTUVLUUQUVIEULXTYJVPUUIWJXCUUSUVKF
      ULXTYNVPUUIWJXCXDUVCUVOUVEUVQUVBUVNGULXTYTVPUUIWJXCUVDUVPHULXTUUBVPUUIWJX
      CXDXEUVGUURUVHUUTBEJYJYAUAVQBFJYNYAUBVQXDUUAUVCUUCUVEBGJYTYAUCVQBHJUUBYAU
      DVQXDXEXFVTXAYDYHUUFXGAMYBLMLLNXHUQXIYBYFXJXKXLXMXNXOYCKYAUJIBIJKYAUEVQXP
      XK $.
  $}

  ${
    $d I a b x y $.  $d I f g $.  $d b f g $.
    $( Relationship between multivariate Z-polynomials and general multivariate
       polynomial functions.  (Contributed by Stefan O'Rear, 20-Mar-2015.)
       (Revised by AV, 13-Jun-2019.) $)
    mzpmfp $p |- ( mzPoly ` I ) = ran ( I eval ZZring ) $=
      ( va vb vg vy cvv wcel cfv zring cevl co cv cz caddc zringbas a1i syl2anc
      wa eleq1 c0 vf vx cmzp crn wceq cmap csn cxp cmpt cof cmul ces eqid rneqi
      evlval simpl ccrg zringcrng csubrg zringring subrgid ax-mp simpr mpfconst
      crg mpfproj wf simp2r simp3r zringplusg mpfaddcl mpfmulcl mzpindd simprlr
      w3a zringmulr simprrr mzpadd mzpmul mzpconst adantlr mzpproj mpfind eqrdv
      impbida fvprc cbs df-evl reldmmpo ovprc1 rneqd rn0 eqtrdi eqtr4d pm2.61i
      wn ) AFGZAUCHZAIJKZUDZUEWQBWRWTWQBLZWRGZXAWTGZWQCLZWTGMAUFKZUALZUGUHZWTGD
      XEXFDLZHUIZWTGXFWTGZXHWTGZXFXHNUJZKZWTGZXFXHUKUJZKZWTGZXCCXAUADAWQXFMGZRZ
      MWTMIAFXFOWSMAIULKHMWSIAWSUMOUOUNZWQXRUPIUQGZXSURPMIUSHGZXSIVEGYBUTMIOVAV
      BZPWQXRVCVDWQXFAGZRZMWTMIDAXFFOXTWQYDUPYAYEURPYBYEYCPWQYDVCVFWQXEMXFVGZXJ
      RZXEMXHVGZXKRZVOZXJXKXNWQYFXJYIVHZWQYGYHXKVIZNWTMIXFXHAXTVJVKQYJXJXKXQYKY
      LWTMIUKXFXHAXTVPVLQXDXGWTSXDXIWTSXDXFWTSXDXHWTSXDXMWTSXDXPWTSXDXAWTSVMWQX
      CRZXDWRGXEUBLZUGUHZWRGZEXEYNELZHUIZWRGZYNWRGZYQWRGZYNYQXLKZWRGZYNYQXOKZWR
      GZXBCXAMNWTMIUKUBEAOVJVPXTYMYNWTGZYTRZYQWTGZUUARZRRZYTUUAUUCYMUUFYTUUIVNZ
      YMUUGUUHUUAVQZYNYQAVRQUUJYTUUAUUEUUKUULYNYQAVSQXDYOWRSXDYRWRSXDYNWRSXDYQW
      RSXDUUBWRSXDUUDWRSXDXAWRSWQYNMGYPXCYNAVTWAWQYNAGYSXCEAYNWBWAWQXCVCWCWEWDW
      QWPZWRTWTAUCWFUUMWTTUDTUUMWSTAIJBCFFXDWGHXAXDULKHJBCWHWIWJWKWLWMWNWO $.
  $}

  ${
    $d W a b c x y $.  $d F a b c x $.  $d V a b c x y $.  $d G a b c x $.

    $( Substituting polynomials for the variables of a polynomial results in a
       polynomial. ` G ` is expected to depend on ` y ` and provide the
       polynomials which are being substituted.  (Contributed by Stefan O'Rear,
       5-Oct-2014.) $)
    mzpsubst $p |- ( ( W e. _V /\ F e. ( mzPoly ` V ) /\ A. y e. V G e. (
        mzPoly ` W ) ) ->
        ( x e. ( ZZ ^m W ) |-> ( F ` ( y e. V |-> ( G ` x ) ) ) ) e. ( mzPoly `
        W ) ) $=
      ( va cvv wcel cfv cz co cv cmpt wa wceq simpr fveq1 eleq1d mpteq2dv vb vc
      cmzp wral w3a simp1 elfvex 3ad2ant2 simp3 simp2 csn cxp caddc cof simpll3
      cmap cmul simpll2 wf mzpf ffvelrnda expcom ralimdv eqid fmpt sylib adantr
      imp zex elmapg sylancr mpbird syl21anc vex fvconst2 mpteq2dva mzpconstmpt
      wb syl 3ad2antl1 eqeltrd csb fvex fvmpt simplr csbeq1 fveq1d nfcv nfcsb1v
      nffv csbeq1a cbvmpt fvmptg sylancl eqtrd simpl3 nfel1 rspc feqmptd eqtr4d
      sylc wfn simp2l ffnd simp3l simp13 simp12 simplll simpllr simplrl simplrr
      ovexd fnfvof syl22anc simp2r mzpaddmpt syl2anc mzpmulmpt mzpindd syl31anc
      simp3r ) FHIZCEUCJIZDFUCJZIZBEUDZUEYBEHIZYFYCAKFUPLZBEAMZDJZNZCJZNZYDIZYB
      YCYFUFYCYBYGYFCEUCUGUHYBYCYFUIYBYCYFUJYBYGYFUEZAYHYKGMZJZNZYDIAYHYKKEUPLZ
      UAMZUKULZJZNZYDIAYHYKUBYSYTUBMZJZNZJZNZYDIAYHYKYTJZNZYDIZAYHYKUUDJZNZYDIZ
      AYHYKYTUUDUMUNLZJZNZYDIAYHYKYTUUDUQUNLZJZNZYDIYNGCUAUBEYOYTKIZOZUUCAYHYTN
      ZYDUVBAYHUUBYTUVBYIYHIZOZYKYSIZUUBYTPUVEUVDYFYGUVFUVBUVDQYBYGYFUVAUVDUOYB
      YGYFUVAUVDURUVDYFOZYGOZUVFEKYKUSZUVGUVIYGUVGYJKIZBEUDZUVIUVDYFUVKUVDYEUVJ
      BEYEUVDUVJYEYHKYIDDFUTVAVBVCZVHBEKYJYKYKVDVEZVFVGUVHKHIZYGUVFUVIVRZVIUVGY
      GQKEYKHHVJZVKVLZVMYSYTYKUAVNVOVSVPYBYGUVAUVCYDIYFAYTFVQVTWAYOYTEIZOZUUHBY
      TDWBZYDUVSUUHAYHYIUVTJZNUVTUVSAYHUUGUWAUVSUVDOZUUGYTYKJZUWAUWBUVFUUGUWCPU
      WBUVDYFYGUVFUVSUVDQYBYGYFUVRUVDUOYBYGYFUVRUVDURUVQVMUBYKUUEUWCYSUUFYTUUDY
      KRUUFVDYTYKWCWDVSUWBUVRUWAHIUWCUWAPYOUVRUVDWEYIUVTWCGYTYIBYPDWBZJZUWAEHYK
      YPYTPZYIUWDUVTBYPYTDWFWGBGEYJUWEGYJWHBYIUWDBYPDWIBYIWHWJBMZYPPYIDUWDBYPDW
      KWGWLWMWNWOVPUVSAYHKUVTUVSUVTYDIZYHKUVTUSUVSUVRYFUWHYOUVRQYBYGYFUVRWPYEUW
      HBYTEBUVTYDBYTDWIWQUWGYTPDUVTYDBYTDWKSWRXAZUVTFUTVSWSWTUWIWAYOYSKYTUSZUUK
      OZYSKUUDUSZUUNOZUEZUUQAYHUUIUULUMLZNZYDUWNYTYSXBZUUDYSXBZYFYGUUQUWPPUWNYS
      KYTYOUWJUUKUWMXCXDZUWNYSKUUDYOUWKUWLUUNXEXDZYBYGYFUWKUWMXFZYBYGYFUWKUWMXG
      ZUWQUWROZYFYGOZOZAYHUUPUWOUXEUVDOZUWQUWRYSHIZUVFUUPUWOPUWQUWRUXDUVDXHZUWQ
      UWRUXDUVDXIZUXFKEUPXLZUXFUVFUVIUXFUVKUVIUXFUVDYFUVKUXEUVDQUXCYFYGUVDXJUVL
      XAUVMVFUXFUVNYGUVOVIUXCYFYGUVDXKUVPVKVLZYSUMYTUUDHYKXMXNVPXNUWNUUKUUNUWPY
      DIYOUWJUUKUWMXOZYOUWKUWLUUNYAZAUUIUULFXPXQWAUWNUUTAYHUUIUULUQLZNZYDUWNUWQ
      UWRYFYGUUTUXOPUWSUWTUXAUXBUXEAYHUUSUXNUXFUWQUWRUXGUVFUUSUXNPUXHUXIUXJUXKY
      SUQYTUUDHYKXMXNVPXNUWNUUKUUNUXOYDIUXLUXMAUUIUULFXRXQWAYPUUAPZYRUUCYDUXPAY
      HYQUUBYKYPUUARTSYPUUFPZYRUUHYDUXQAYHYQUUGYKYPUUFRTSUWFYRUUJYDUWFAYHYQUUIY
      KYPYTRTSYPUUDPZYRUUMYDUXRAYHYQUULYKYPUUDRTSYPUUOPZYRUUQYDUXSAYHYQUUPYKYPU
      UORTSYPUURPZYRUUTYDUXTAYHYQUUSYKYPUURRTSYPCPZYRYMYDUYAAYHYQYLYKYPCRTSXSXT
      $.
  $}

  ${
    $d W x a b $.  $d F x a b $.  $d R x a b $.  $d V a x $.
    $( Simplified version of ~ mzpsubst to simply relabel variables in a
       polynomial.  (Contributed by Stefan O'Rear, 5-Oct-2014.) $)
    mzprename $p |- ( ( W e. _V /\ F e. ( mzPoly ` V ) /\ R : V --> W ) ->
        ( x e. ( ZZ ^m W ) |-> ( F ` ( x o. R ) ) ) e. ( mzPoly ` W ) ) $=
      ( va vb cvv wcel cmzp cfv wf w3a cz cv cmpt wceq wa syl2anc mpteq2dva zex
      cmap co ccom simpr wb simpll elmapg sylancr mpbid simplr fcompt eqid fvex
      fveq1 fvmpt ad2antlr eqcomd eqtrd fveq2d 3adant2 simpl1 ffvelrn 3ad2antl3
      wral mzpproj ralrimiva mzpsubst syld3an3 eqeltrd ) EHIZCDJKIZDEBLZMZANEUB
      UCZAOZBUDZCKZPZAVOFDVPGVOFOZBKZGOZKZPZKZPZCKZPZEJKZVKVMVSWHQVLVKVMRZAVOVR
      WGWJVPVOIZRZVQWFCWLVQFDWAVPKZPZWFWLENVPLZVMVQWNQWLWKWOWJWKUEWLNHIVKWKWOUF
      UAVKVMWKUGNEVPHHUHUIUJVKVMWKUKFVPBDENULSWLFDWMWEWLVTDIZRWEWMWKWEWMQWJWPGV
      PWCWMVOWDWAWBVPUOWDUMWAVPUNUPUQURTUSUTTVAVKVLVMWDWIIZFDVEWHWIIVNWQFDVNWPR
      VKWAEIZWQVKVLVMWPVBVMVKWPWRVLDEVTBVCVDGEWAVFSVGAFCWDDEVHVIVJ $.
  $}

  ${
    $d W x $.  $d F x $.  $d V x $.
    $( A polynomial is a polynomial over all larger index sets.  (Contributed
       by Stefan O'Rear, 5-Oct-2014.)  (Revised by Stefan O'Rear,
       5-Jun-2015.) $)
    mzpresrename $p |- ( ( W e. _V /\ V C_ W /\ F e. ( mzPoly ` V ) ) -> ( x e.
        ( ZZ ^m W ) |-> ( F ` ( x |` V ) ) ) e. ( mzPoly ` W ) ) $=
      ( cvv wcel wss cmzp cfv w3a cz cmap co cv cres cmpt cid ccom coires1 wf
      fveq2i mpteq2i simp1 simp3 wf1o f1oi f1of ax-mp fss mpan 3ad2ant2 syl3anc
      mzprename eqeltrrid ) DEFZCDGZBCHIFZJZAKDLMZANZCOZBIZPAUSUTQCOZRZBIZPZDHI
      ZAUSVEVBVDVABUTCSUAUBURUOUQCDVCTZVFVGFUOUPUQUCUOUPUQUDUPUOVHUQCCVCTZUPVHC
      CVCUEVICUFCCVCUGUHCCDVCUIUJUKAVCBCDUMULUN $.
  $}

  ${
    $d A a b d e f g h i j k l $.  $d B a b c d e f g h i j k l $.
    mzpcompact2lem.i $e |- B e. _V $.
    $( Lemma for ~ mzpcompact2 .  (Contributed by Stefan O'Rear,
       9-Oct-2014.) $)
    mzpcompact2lem $p |- ( A e. ( mzPoly ` B )
        -> E. a e. Fin E. b e. ( mzPoly ` a ) ( a C_ B
          /\ A = ( c e. ( ZZ ^m B ) |-> ( b ` ( c |` a ) ) ) ) ) $=
      ( vd cmzp cfv wcel cv cz co cmpt wceq wa wrex cfn c0 anbi2d ve vf vg cmap
      vh vi vj vk vl wss cres wtru tru csn cxp caddc cof cmul 0fin cvv mzpconst
      0ex 0ss a1i fconstmpt simpr elmapssres sylancl vex fvconst2 syl mpteq2dva
      eqtr4id fveq1 mpteq2dv eqeq2d rspcev syl12anc fveq2 reseq2 fveq2d anbi12d
      mpan sseq1 rexeqbidv sylancr adantl snfi snex vsnid mzpproj mp2an cbvmptv
      snssi simpl snssd syl2anc eqid fvmpt fvres ax-mp eqtr2di syl5eq wf w3a wi
      fvex simplll simprll unfi unex ssun1 simpllr mzpresrename syl3anc simprlr
      cun mzpaddmpt simplr simprr wfn ovex mzpf ffn 3syl ofmpteq reseq1 oveq12d
      ssun2 resabs1 fveq2i oveq12i eqtrd eqeq1d rexbidv eqeq1 2rexbidv cbvrexvw
      weq bitrdi unssd elmapi fssres syl2anr zex elmap sylibr adantlrr adantrrr
      mzpmulmpt simplrr mpbird r19.40 exp32 rexlimdvv ex rexlimivv imp ad2ant2l
      simprrr 3adant1 simpld simprd mzpindd eqeq2i anbi2i 2rexbii sylib ) ABHIZ
      JZCKZBUJZAGLBUDMZGKZUVKUKZDKZIZNZOZPZDUVKHIZQCRQZUVLAEUVMEKZUVKUKZUVPIZNZ
      OZPZDUWAQCRQULUVJUWBUMULUVLUAKZUVROZPZDUWAQCRQZUVLUVMUBKZUNZUOZUVROZPZDUW
      AQZCRQZUVLUCUVMUWMUCKZIZNZUVROZPZDUWAQZCRQZUEKZBUJZUWMGUVMUVNUXGUKZUFKZIZ
      NZOZPZUFUXGHIZQZUERQZUGKZBUJZUWTGUVMUVNUXRUKZUHKZIZNZOZPZUHUXRHIZQZUGRQZU
      VLUWMUWTUPUQZMZUVROZPZDUWAQZCRQZUVLUWMUWTURUQZMZUVROZPZDUWAQZCRQZUWBUAAUB
      UCBUWMLJZUWSULVUASRJSBUJZUWOGUVMUVNSUKZUVPIZNZOZPZDSHIZQZUWSUSVUALSUDMZUW
      NUOZVUHJZVUBUWOGUVMVUCVUKIZNZOZVUISUTJVUAVULVBUWMSVAWCVUBVUABVCZVDVUAUWOG
      UVMUWMNVUNGUVMUWMVEVUAGUVMVUMUWMVUAUVNUVMJZPZVUCVUJJZVUMUWMOVURVUQVUBVUSV
      UAVUQVFVUPUVNLBSVGVHVUJUWMVUCUBVIVJVKVLVMVUGVUBVUOPDVUKVUHUVPVUKOZVUFVUOV
      UBVUTVUEVUNUWOVUTGUVMVUDVUMVUCUVPVUKVNVOVPTVQVRUWRVUICSRUVKSOZUWQVUGDUWAV
      UHUVKSHVSVVAUVLVUBUWPVUFUVKSBWDVVAUVRVUEUWOVVAGUVMUVQVUDVVAUVOVUCUVPUVKSU
      VNVTWAVOVPWBWEVQWFWGUWMBJZUXFULVVBUWNRJUWNBUJZUXBGUVMUVNUWNUKZUVPIZNZOZPZ
      DUWNHIZQZUXFUWMWHVVBUCLUWNUDMZUXANZVVIJZVVCUXBGUVMVVDVVLIZNZOZVVJVVMVVBUW
      NUTJUWMUWNJZVVMUWMWIUBWJZUCUWNUWMWKWLVDUWMBWNVVBUXBGUVMUWMUVNIZNVVOUCGUVM
      UXAVVSUWMUWTUVNVNWMVVBGUVMVVSVVNVVBVUQPZVVNUWMVVDIZVVSVVTVVDVVKJZVVNVWAOV
      VTVUQVVCVWBVVBVUQVFVVTUWMBVVBVUQWOWPUVNLBUWNVGWQUCVVDUXAVWAVVKVVLUWMUWTVV
      DVNVVLWRUWMVVDXGWSVKVVQVWAVVSOVVRUWMUWNUVNWTXAXBVLXCVVHVVCVVPPDVVLVVIUVPV
      VLOZVVGVVPVVCVWCVVFVVOUXBVWCGUVMVVEVVNVVDUVPVVLVNVOVPTVQVRUXEVVJCUWNRUVKU
      WNOZUXDVVHDUWAVVIUVKUWNHVSVWDUVLVVCUXCVVGUVKUWNBWDVWDUVRVVFUXBVWDGUVMUVQV
      VEVWDUVOVVDUVPUVKUWNUVNVTWAVOVPWBWEVQWFWGULUVMLUWMXDZUXQPZUVMLUWTXDZUYHPZ
      XEZUYNUYTVWFVWHUYNUYTPZULUXQUYHVWJVWEVWGUXQUYHVWJUXNUYHVWJXFZUEUFRUXOUXGR
      JZUXJUXOJZPZUXNVWKVWNUXNPZUYEVWJUGUHRUYFVWOUXRRJZUYAUYFJZPZUYEVWJVWOVWRUY
      EPZPZUYMUYSPZCRQZVWJVWTVXBUVLUXLUYCUYIMZUVROZPZDUWAQZUVLUXLUYCUYOMZUVROZP
      ZDUWAQZPZCRQZVWOVWRUXSVXLUYDVWNUXHVWRUXSPZVXLUXMVWNUXHPZVXMPZUXGUXRXQZRJZ
      VXPBUJZVXCGUVMUVNVXPUKZUVPIZNZOZPZDVXPHIZQZVXRVXGVYAOZPZDVYDQZVXLVXOVWLVW
      PVXQVWLVWMUXHVXMXHVXNVWPVWQUXSXIUXGUXRXJWQVXOUILVXPUDMZUIKZUXGUKZUXJIZVYJ
      UXRUKZUYAIZUPMZNZVYDJZVXRVXCGUVMVXSVYPIZNZOZVYEVXOUIVYIVYLNVYDJZUIVYIVYNN
      VYDJZVYQVXOVXPUTJZUXGVXPUJZVWMWUAWUCVXOUXGUXRUEVIUGVIXKZVDZWUDVXOUXGUXRXL
      ZVDVWLVWMUXHVXMXMZUIUXJUXGVXPXNXOZVXOWUCUXRVXPUJZVWQWUBWUFWUJVXOUXRUXGYIZ
      VDVXNVWPVWQUXSXPZUIUYAUXRVXPXNXOZUIVYLVYNVXPXRWQVXOUXGUXRBVWNUXHVXMXSZVXN
      VWRUXSXTZUUAZVXOVXCGUVMUXKUYBUPMZNZVYSVXOUVMUTJZUXLUVMYAZUYCUVMYAZVXCWURO
      WUSVXOLBUDYBVDZVXOUXLUVIJZUVMLUXLXDWUTVXOBUTJZUXHVWMWVCWVDVXOFVDZWUNWUHGU
      XJUXGBXNXOUXLBYCUVMLUXLYDYEZVXOUYCUVIJZUVMLUYCXDWVAVXOWVDUXSVWQWVGWVEWUOW
      ULGUYAUXRBXNXOUYCBYCUVMLUYCYDYEZGUVMUXKUYBUPUTYFXOVXOGUVMWUQVYRVXOVUQPZVY
      RVXSUXGUKZUXJIZVXSUXRUKZUYAIZUPMZWUQWVIVXSVYIJZVYRWVNOWVIVXPLVXSXDZWVOVUQ
      BLUVNXDVXRWVPVXOUVNLBUUBWUPBLVXPUVNUUCUUDLVXPVXSUUEWUEUUFUUGZUIVXSVYOWVNV
      YIVYPVYJVXSOZVYLWVKVYNWVMUPWVRVYKWVJUXJVYJVXSUXGYGWAZWVRVYMWVLUYAVYJVXSUX
      RYGWAZYHVYPWRWVKWVMUPYBWSVKWVKUXKWVMUYBUPWVJUXIUXJWUDWVJUXIOWUGUVNUXGVXPY
      JXAYKZWVLUXTUYAWUJWVLUXTOWUKUVNUXRVXPYJXAYKZYLXBVLYMVYCVXRVYTPDVYPVYDUVPV
      YPOZVYBVYTVXRWWCVYAVYSVXCWWCGUVMVXTVYRVXSUVPVYPVNVOVPTVQVRVXOUIVYIVYLVYNU
      RMZNZVYDJZVXRVXGGUVMVXSWWEIZNZOZVYHVXOWUAWUBWWFWUIWUMUIVYLVYNVXPUUJWQWUPV
      XOVXGGUVMUXKUYBURMZNZWWHVXOWUSWUTWVAVXGWWKOWVBWVFWVHGUVMUXKUYBURUTYFXOVXO
      GUVMWWJWWGWVIWWGWVKWVMURMZWWJWVIWVOWWGWWLOWVQUIVXSWWDWWLVYIWWEWVRVYLWVKVY
      NWVMURWVSWVTYHWWEWRWVKWVMURYBWSVKWVKUXKWVMUYBURWWAWWBYLXBVLYMVYGVXRWWIPDW
      WEVYDUVPWWEOZVYFWWIVXRWWMVYAWWHVXGWWMGUVMVXTWWGVXSUVPWWEVNVOVPTVQVRVXKVYE
      VYHPCVXPRUVKVXPOZVXFVYEVXJVYHWWNVXEVYCDUWAVYDUVKVXPHVSZWWNUVLVXRVXDVYBUVK
      VXPBWDZWWNUVRVYAVXCWWNGUVMUVQVXTWWNUVOVXSUVPUVKVXPUVNVTWAVOZVPWBWEWWNVXIV
      YGDUWAVYDWWOWWNUVLVXRVXHVYFWWPWWNUVRVYAVXGWWQVPWBWEWBVQVRUUHUUIVWTVXAVXKC
      RVWTUYMVXFUYSVXJVWTUYLVXEDUWAVWTUYKVXDUVLVWTUYJVXCUVRVWTUWMUXLUWTUYCUYIVW
      NUXHUXMVWSUUKZVWOVWRUXSUYDUUTZYHYNTYOVWTUYRVXIDUWAVWTUYQVXHUVLVWTUYPVXGUV
      RVWTUWMUXLUWTUYCUYOWWRWWSYHYNTYOWBYOUULUYMUYSCRUUMVKUUNUUOUUPUUQUURUUSUVA
      ZUVBVWIUYNUYTWWTUVCUWIUWOOZUWKUWQCDRUWAWXAUWJUWPUVLUWIUWOUVRYPTYQUWIUXBOZ
      UWKUXDCDRUWAWXBUWJUXCUVLUWIUXBUVRYPTYQUAUBYSZUWLUVLUWMUVROZPZDUWAQZCRQUXQ
      WXCUWKWXECDRUWAWXCUWJWXDUVLUWIUWMUVRYPTYQWXFUXPCUERCUEYSZWXFUXHUWMGUVMUXI
      UVPIZNZOZPZDUXOQUXPWXGWXEWXKDUWAUXOUVKUXGHVSWXGUVLUXHWXDWXJUVKUXGBWDWXGUV
      RWXIUWMWXGGUVMUVQWXHWXGUVOUXIUVPUVKUXGUVNVTWAVOVPWBWEWXKUXNDUFUXODUFYSZWX
      JUXMUXHWXLWXIUXLUWMWXLGUVMWXHUXKUXIUVPUXJVNVOVPTYRYTYRYTUAUCYSZUWLUVLUWTU
      VROZPZDUWAQZCRQUYHWXMUWKWXOCDRUWAWXMUWJWXNUVLUWIUWTUVRYPTYQWXPUYGCUGRCUGY
      SZWXPUXSUWTGUVMUXTUVPIZNZOZPZDUYFQUYGWXQWXOWYADUWAUYFUVKUXRHVSWXQUVLUXSWX
      NWXTUVKUXRBWDWXQUVRWXSUWTWXQGUVMUVQWXRWXQUVOUXTUVPUVKUXRUVNVTWAVOVPWBWEWY
      AUYEDUHUYFDUHYSZWXTUYDUXSWYBWXSUYCUWTWYBGUVMWXRUYBUXTUVPUYAVNVOVPTYRYTYRY
      TUWIUYJOZUWKUYLCDRUWAWYCUWJUYKUVLUWIUYJUVRYPTYQUWIUYPOZUWKUYRCDRUWAWYDUWJ
      UYQUVLUWIUYPUVRYPTYQUWIAOZUWKUVTCDRUWAWYEUWJUVSUVLUWIAUVRYPTYQUVDWCUVTUWH
      CDRUWAUVSUWGUVLUVRUWFAGEUVMUVQUWEGEYSUVOUWDUVPUVNUWCUVKYGWAWMUVEUVFUVGUVH
      $.
  $}

  ${
    $d A a b d $.  $d B a b c d $.
    $( Polynomials are finitary objects and can only reference a finite number
       of variables, even if the index set is infinite.  Thus, every polynomial
       can be expressed as a (uniquely minimal, although we do not prove that)
       polynomial on a finite number of variables, which is then extended by
       adding an arbitrary set of ignored variables.  (Contributed by Stefan
       O'Rear, 9-Oct-2014.) $)
    mzpcompact2 $p |- ( A e. ( mzPoly ` B ) -> E. a e. Fin E. b e. ( mzPoly ` a
        ) ( a C_ B /\ A = ( c e. ( ZZ ^m B ) |-> ( b ` ( c |` a ) ) ) ) ) $=
      ( vd cvv wcel cmzp cfv cv wss cz cmap co cmpt wceq wa wrex cfn cres fveq2
      elfvex eleq2d sseq2 oveq2 mpteq1d anbi12d 2rexbidv imbi12d mzpcompact2lem
      wi eqeq2d vex vtoclg mpcom ) BGHABIJZHZCKZBLZAEMBNOZEKUSUADKJZPZQZRZDUSIJ
      ZSCTSZABIUCAFKZIJZHZUSVHLZAEMVHNOZVBPZQZRZDVFSCTSZULURVGULFBGVHBQZVJURVPV
      GVQVIUQAVHBIUBUDVQVOVECDTVFVQVKUTVNVDVHBUSUEVQVMVCAVQEVLVAVBVHBMNUFUGUMUH
      UIUJAVHCDEFUNUKUOUP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellanea for Diophantine sets 1
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( ~ coeq0 but without explicitly introducing domain and range symbols.
     (Contributed by Stefan O'Rear, 16-Oct-2014.) $)
  coeq0i $p |- ( ( A : C --> D /\ B : E --> F /\ ( C i^i F ) = (/) ) ->
      ( A o. B ) = (/) ) $=
    ( wf cin c0 wceq w3a cdm crn wss frn 3ad2ant2 sslin syl fdm 3ad2ant1 ineq1d
    simp3 eqtrd sseqtrd ss0 coemptyd ) CDAGZEFBGZCFHZIJZKZABUKALZBMZHZINUNIJUKU
    NULFHZIUKUMFNZUNUONUHUGUPUJEFBOPUMFULQRUKUOUIIUKULCFUGUHULCJUJCDASTUAUGUHUJ
    UBUCUDUNUERUF $.

  $( Split a finite 1-based set of integers in the middle, allowing either end
     to be empty ( ` ( 1 ... 0 ) ` ).  (Contributed by Stefan O'Rear,
     8-Oct-2014.) $)
  fzsplit1nn0 $p |- ( ( A e. NN0 /\ B e. NN0 /\ A <_ B ) -> ( 1 ... B ) = ( ( 1
      ... A ) u. ( ( A + 1 ) ... B ) ) ) $=
    ( cn0 wcel cle wbr c1 cfz co caddc cun wceq cn cc0 wo wa cz adantr eqtrdi
    c0 wi elnn0 1zzd nn0z ad2antrl nnge1 simprr elfzd fzsplit uncom oveq1 0p1e1
    nnz syl oveq1d oveq2 fz10 uneq12d un0 eqtr2id jaoian ex sylbi 3impib ) ACDZ
    BCDZABEFZGBHIZGAHIZAGJIZBHIZKZLZVEAMDZANLZOZVFVGPZVMUAAUBVPVQVMVNVQVMVOVNVQ
    PZAVHDVMVRAGBVRUCVFBQDVNVGBUDUEVNAQDVQAUMRVNGAEFVQAUFRVNVFVGUGUHAGBUIUNVOVQ
    PZVLVKVIKZVHVIVKUJVSVTVHTKVHVSVKVHVITVSVJGBHVSVJNGJIZGVOVJWALVQANGJUKRULSUO
    VSVIGNHIZTVOVIWBLVQANGHUPRUQSURVHUSSUTVAVBVCVD $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Diophantine sets 1: definitions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Dioph $.
  $( Extend class notation to include the family of Diophantine sets. $)
  cdioph $a class Dioph $.

  ${
    $d n k p t u $.
    $( A Diophantine set is a set of positive integers which is a projection of
       the zero set of some polynomial.  This definition somewhat awkwardly
       mixes ` ZZ ` (via ` mzPoly ` ) and ` NN0 ` (to define the zero sets);
       the former could be avoided by considering coincidence sets of ` NN0 `
       polynomials at the cost of requiring two, and the second is driven by
       consistency with our mu-recursive functions and the requirements of the
       Davis-Putnam-Robinson-Matiyasevich proof.  Both are avoidable at a
       complexity cost.  In particular, it is a consequence of ~ 4sq that
       implicitly restricting variables to ` NN0 ` adds no expressive power
       over allowing them to range over ` ZZ ` .  While this definition
       stipulates a specific index set for the polynomials, there is actually
       flexibility here, see ~ eldioph2b .  (Contributed by Stefan O'Rear,
       5-Oct-2014.) $)
    df-dioph $a |- Dioph = ( n e. NN0 |-> ran ( k e. ( ZZ>= ` n ) , p e. (
        mzPoly ` ( 1 ... k ) ) |-> { t | E. u e. ( NN0 ^m ( 1 ... k ) ) ( t =
        ( u |` ( 1 ... n ) ) /\ ( p ` u ) = 0 ) } ) ) $.
  $}

  ${
    $d D n d k p $.  $d N n d k p t u $.
    $( Initial expression of Diophantine property of a set.  (Contributed by
       Stefan O'Rear, 5-Oct-2014.)  (Revised by Mario Carneiro,
       22-Sep-2015.) $)
    eldiophb $p |- ( D e. ( Dioph ` N ) <-> ( N e. NN0 /\ E. k e. ( ZZ>= ` N )
        E. p e. (
        mzPoly ` ( 1 ... k ) ) D = { t | E. u e. ( NN0 ^m ( 1 ... k ) ) ( t =
        ( u |` ( 1 ... N ) ) /\ ( p ` u ) = 0 ) } ) ) $=
      ( vn vd cdioph cfv wcel cn0 cv c1 cfz co wceq cmap wrex cab cres cc0 cmzp
      cuz cdm cmpo crn df-dioph dmmptss elfvdm sselid fveq2 eqidd oveq2 reseq2d
      wa eqeq2d anbi1d rexbidv abbidv mpoeq123dv rneqd cpw ovex pwex eqid rnmpo
      wss wf elmapi fzss2 fssres syl2anr nn0ex elmap sylibr wb eleq1 syl5ibrcom
      adantr rexlimdva abssdv elpw2 rexlimdvw rexlimiv abssi ssexi fvmpt eleq2d
      eqsstri abrexex simpl reximi ss2abi elrnmpo bitrdi biadanii ) CEIJZKZELKZ
      CBMZAMZNEOPZUAZQZXBFMJUBQZUPZALNDMZOPZRPZSZBTZQFXIUCJZSDEUDJZSZWSIUELEGLD
      FGMZUDJZXMXAXBNXPOPZUAZQZXFUPZAXJSZBTZUFZUGZIABDGFUHZUICEIUJUKWTWSCDFXNXM
      XLUFZUGZKXOWTWRYHCGEYEYHLIXPEQZYDYGYIDFXQXMYCXNXMXLXPEUDULYIXMUMYIYBXKBYI
      YAXGAXJYIXTXEXFYIXSXDXAYIXRXCXBXPENOUNUOUQURUSUTVAVBYFYHLXCRPZVCZYJLXCRVD
      ZVEYHHMZXLQZFXMSZDXNSZHTYKDFHXNXMXLYGYGVFZVGYPHYKYOYMYKKZDXNXHXNKZYNYRFXM
      YSYRYNXLYKKZYSXLYJVHYTYSXKBYJYSXGXAYJKZAXJYSXBXJKZUPZUUAXGXDYJKZUUCXCLXDV
      IZUUDUUBXILXBVIXCXIVHUUEYSXBLXIVJENXHVKXILXCXBVLVMLXCXDVNNEOVDVOVPXEUUAUU
      DVQXFXAXDYJVRVTVSWAWBXLYJYLWCVPYMXLYKVRVSWDWEWFWJWGWHWIDFXNXMXLCYGYQXLXEA
      XJSZBTABXJXDLXIRVDWKXKUUFBXGXEAXJXEXFWLWMWNWGWOWPWQ $.
  $}

  ${
    $d N k p t u $.  $d K k p t u $.  $d P k p t u $.
    $( Condition for a set to be Diophantine (unpacking existential
       quantifier).  (Contributed by Stefan O'Rear, 5-Oct-2014.) $)
    eldioph $p |- ( ( N e. NN0 /\ K e. ( ZZ>= ` N ) /\ P e. ( mzPoly ` ( 1 ...
        K ) ) ) ->
        { t | E. u e. ( NN0 ^m ( 1 ... K ) ) ( t = ( u |` ( 1 ... N ) ) /\ ( P
        ` u ) = 0 ) } e. ( Dioph ` N ) ) $=
      ( vp vk cn0 wcel cfv c1 cfz co cmzp cv wceq cc0 cmap wrex cab cuz cres wa
      cdioph simp1 simp2 simp3 eqidd fveq1 eqeq1d anbi2d rexbidv abbidv syl2anc
      w3a rspceeqv oveq2 fveq2d oveq2d rexeqdv eqeq2d rexeqbidv rspcev eldiophb
      sylanbrc ) EHIZDEUAJZIZCKDLMZNJZIZUOZVFBOAOZKELMUBPZVMCJZQPZUCZAHVIRMZSZB
      TZVNVMFOZJZQPZUCZAHKGOZLMZRMZSZBTZPZFWFNJZSZGVGSZVTEUDJIVFVHVKUEVLVHVTWDA
      VRSZBTZPZFVJSZWMVFVHVKUFVLVKVTVTPWQVFVHVKUGVLVTUHFCVJWOVTVTWACPZWNVSBWRWD
      VQAVRWRWCVPVNWRWBVOQVMWACUIUJUKULUMUPUNWLWQGDVGWEDPZWJWPFWKVJWSWFVINWEDKL
      UQZURWSWIWOVTWSWHWNBWSWDAWGVRWSWFVIHRWTUSUTUMVAVBVCUNABVTGEFVDVE $.
  $}

  ${
    $d S a b c d $.  $d T a b c d $.  $d M a b c d $.  $d O a b c d $.
    $d P b c d $.
    $( Renaming and adding unused witness variables does not change the
       Diophantine set coded by a polynomial.  (Contributed by Stefan O'Rear,
       7-Oct-2014.) $)
    diophrw $p |- ( ( S e. _V /\ M : T -1-1-> S /\ ( M |` O ) = ( _I |` O ) )
        -> { a | E. b e. ( NN0 ^m S ) ( a = ( b |` O ) /\ ( ( d e. ( ZZ ^m S )
        |-> ( P ` ( d o. M ) ) ) ` b ) = 0 ) } = { a | E. c e. ( NN0 ^m T ) ( a
        = ( c |` O ) /\ ( P ` c ) = 0 ) } ) $=
      ( cvv wcel cres wceq cz ccom cc0 cn0 wf syl5eq c0 wf1 cid w3a cv cmap cfv
      co cmpt wa simpr wb nn0ex simp1 adantr elmapg sylancr mpbid simp2 f1f syl
      ad2antrr syl2anc f1dmex mpbird simprl resco simpll3 coeq2d coires1 eqtrdi
      fco eqtr4d wss simpll1 oveq2 sseq12d zex nn0ssz mapss mp2an vtoclg simplr
      wrex sseldd coeq1 fveq2d eqid simprr eqtr3d reseq1 eqeq2d fveqeq2 anbi12d
      fvex fvmpt rspcev syl12anc rexlimdva2 ccnv crn cdif csn cxp cun cin f1cnv
      wf1o f1of 3syl c0ex fconst a1i disjdif fun syl21anc frn undif sylib snssi
      0nn0 ax-mp ssequn2 mpbi feq23d resundir cima wfun df-f1 simprbi funcnvres
      simpl2 simpl3 cnveqd df-ima rneqd cdm eqtr2di uneq12d un0 eqtrd dmres wne
      rnresi reseq2d 3eqtr3d cnvresid eqtr3di snnz dmxp ineq2i inss1 resss rnss
      mp1i eqsstrd sstrid inssdif0 wrel relres reldm0 sylibr sylancl 0z coundir
      coass f1cocnv1 ineq1i incom 3eqtri coeq0 mpbir fcoi1 3eqtrd impbid abbidv
      fss ) BJKZCBDUAZDELZUBELZMZUCZFUDZGUDZELZMZUWDINBUEUGZIUDZDOZAUFZUHZUFZPM
      ZUIZGQBUEUGZWCZUWCHUDZELZMZUWQAUFZPMZUIZHQCUEUGZWCZFUWBUWPUXDUWBUWNUXDGUW
      OUWBUWDUWOKZUIZUWNUIZUWDDOZUXCKZUWCUXHELZMZUXHAUFZPMZUXDUXGUXICQUXHRZUXGB
      QUWDRZCBDRZUXNUXFUXOUWNUXFUXEUXOUWBUXEUJUXFQJKZUVQUXEUXOUKULUWBUVQUXEUVQU
      VRUWAUMZUNQBUWDJJUOUPUQUNUWBUXPUXEUWNUWBUVRUXPUVQUVRUWAURZCBDUSZUTVACBQUW
      DDVKVBUXGUXQCJKZUXIUXNUKULUWBUYAUXEUWNUWBUVRUVQUYAUXSUXRCBJDVCVBZVAQCUXHJ
      JUOUPVDUXGUWCUWEUXJUXFUWFUWMVEUXGUXJUWDUVSOZUWEUWDDEVFUXGUYCUWDUVTOUWEUXG
      UVSUVTUWDUVQUVRUWAUXEUWNVGVHUWDEVIVJSVLUXGUWLUXLPUXGUWDUWGKUWLUXLMUXGUWOU
      WGUWDUXGUVQUWOUWGVMZUVQUVRUWAUXEUWNVNQUWCUEUGZNUWCUEUGZVMZUYDFBJUWCBMUYEU
      WOUYFUWGUWCBQUEVOUWCBNUEVOVPNJKZQNVMZUYGVQVRQNUWCJVSVTWAUTUWBUXEUWNWBWDIU
      WDUWJUXLUWGUWKUWHUWDMUWIUXHAUWHUWDDWEWFUWKWGZUXHAWNWOUTUXFUWFUWMWHWIUXBUX
      KUXMUIHUXHUXCUWQUXHMZUWSUXKUXAUXMUYKUWRUXJUWCUWQUXHEWJWKUWQUXHPAWLWMWPWQW
      RUWBUXBUWPHUXCUWBUWQUXCKZUIZUXBUIZUWQDWSZOZBDWTZXAZPXBZXCZXDZUWOKZUWCVUAE
      LZMZVUAUWKUFZPMZUWPUYNVUBBQVUARZUYNUYQUYRXDZQUYSXDZVUARZVUGUYNUYQQUYPRZUY
      RUYSUYTRZUYQUYRXEZTMZVUJUYNCQUWQRZUYQCUYORZVUKUYMVUOUXBUYMUYLVUOUWBUYLUJU
      YMUXQUYAUYLVUOUKULUWBUYAUYLUYBUNQCUWQJJUOUPUQZUNZUYNUVRUYQCUYOXGVUPUWBUVR
      UYLUXBUXSVAZCBDXFUYQCUYOXHXIZUYQCQUWQUYOVKVBVULUYNUYRPXJXKXLZVUNUYNUYQBXM
      ZXLZUYQUYRQUYSUYPUYTXNXOUYNVUHVUIBQVUAUYNUYQBVMZVUHBMUWBVVDUYLUXBUWBUVRUX
      PVVDUXSUXTCBDXPXIVAUYQBXQXRZVUIQMZUYNUYSQVMZVVFPQKVVGXTPQXSYAUYSQYBYCXLYD
      UQUWBVUBVUGUKZUYLUXBUWBUXQUVQVVHULUXRQBVUAJJUOUPVAVDUYNUWCUWRVUCUYMUWSUXA
      VEUYMUWRVUCMUXBUYMVUCUWRTXDZUWRUYMVUCUYPELZUYTELZXDVVIUYPUYTEYEUYMVVJUWRV
      VKTUYMVVJUWQUYOELZOZUWRUWQUYOEVFUYMVVMUWQUVTOUWRUYMVVLUVTUWQUYMUVTWSZVVLU
      VTUYMUVSWSZUYODEYFZLZVVNVVLUYMUVRUYOYGZVVOVVQMUVQUVRUWAUYLYKUVRUXPVVRCBDY
      HYIEDYJXIUYMUVSUVTUVQUVRUWAUYLYLZYMUYMVVPEUYOUYMVVPUVSWTZEDEYNUYMVVTUVTWT
      ZEUYMUVSUVTVVSYOZEUUCZVJSUUDUUEEUUFUUGVHUWQEVIVJSUYMVVKYPZTMZVVKTMZUYMVWD
      EUYTYPZXEZTUYTEUUAUYMVWHEUYRXEZTVWGUYREUYSTUUBVWGUYRMPXJUUHUYRUYSUUIYAZUU
      JUYMEBXEZUYQVMVWITMUYMVWKEUYQEBUUKUYMEVVTUYQUYMVVTVWAEVWBVWCYQUVSDVMVVTUY
      QVMUYMDEUULUVSDUUMUUNUUOUUPEBUYQUUQXRSSVVKUURVWFVWEUKUYTEUUSVVKUUTYAUVAYR
      SUWRYSYQUNYTUYNVUEVUADOZAUFZUWTPUYNVUAUWGKZVUEVWMMUYNVWNBNVUARZUYNVUHNUYS
      XDZVUARZVWOUYNUYQNUYPRZVULVUNVWQUYNCNUWQRZVUPVWRUYMVWSUXBUYMVUOUYIVWSVUQV
      RCQNUWQUVPUVBUNVUTUYQCNUWQUYOVKVBVVAVVCUYQUYRNUYSUYPUYTXNXOUYNVUHVWPBNVUA
      VVEVWPNMZUYNUYSNVMZVWTPNKVXAUVCPNXSYAUYSNYBYCXLYDUQUWBVWNVWOUKZUYLUXBUWBU
      YHUVQVXBVQUXRNBVUAJJUOUPVAVDIVUAUWJVWMUWGUWKUWHVUAMUWIVWLAUWHVUADWEWFUYJV
      WLAWNWOUTUYNVWLUWQAUYNVWLUYPDOZUYTDOZXDZUWQUYPUYTDUVDUYNVXEUWQUBCLZOZTXDZ
      UWQUYNVXCVXGVXDTUYNVXCUWQUYODOZOZVXGUWQUYODUVEUYNUVRVXJVXGMVUSUVRVXIVXFUW
      QCBDUVFVHUTSVXDTMZUYNVXKVWGUYQXEZTMVXLUYRUYQXEVUMTVWGUYRUYQVWJUVGUYRUYQUV
      HVVBUVIUYTDUVJUVKXLYRUYNVXHVXGUWQVXGYSUYNVUOVXGUWQMVURCQUWQUVLUTSYTSWFUYM
      UWSUXAWHUVMUWNVUDVUFUIGVUAUWOUWDVUAMZUWFVUDUWMVUFVXMUWEVUCUWCUWDVUAEWJWKU
      WDVUAPUWKWLWMWPWQWRUVNUVO $.
  $}

  ${
    $d A a d e $.  $d N a d e $.
    $( Lemma for ~ eldioph2 .  Construct necessary renaming function for one
       direction.  (Contributed by Stefan O'Rear, 8-Oct-2014.) $)
    eldioph2lem1 $p |- ( ( N e. NN0 /\ A e. Fin /\ ( 1 ... N ) C_ A ) -> E. d
        e. ( ZZ>= ` N ) E. e e. _V ( e : ( 1 ... d ) -1-1-onto-> A /\ ( e |` (
        1 ... N ) ) = ( _I |` ( 1 ... N ) ) ) ) $=
      ( va wcel cfn c1 cfz co caddc chash cfv wf1o cres wceq cvv wbr cun c0 cn0
      wss w3a cdif cv cid wa wrex cuz cen wex cc cr nn0re 3ad2ant1 recnd ax-1cn
      addcom sylancl cin diffi 3ad2ant2 fzfid disjdifr a1i hashun syl3anc uncom
      simp3 undif sylib syl5eq fveq2d hashfz1 oveq2d 3eqtr3d oveq12d hashcl syl
      cz 1zzd nn0zd nn0z fzen ensymd wb fzfi hashen mp2an sylibr 3eqtrd sylancr
      mpbid cle simpl1 simpl2 nn0addge2 syl2anc breqtrrd adantr eluz2 syl3anbrc
      bren vex ovex resiexg ax-mp unex simpr f1oi incom clt nn0red ltp1d fzdisj
      f1oun syl22anc fzsplit1nn0 eqtr4id simpl3 resundir cdm dmres f1odm adantl
      f1oeq23 ineq2d eqtrd wrel relres reldm0 residm uneq12d eqtri eqtrdi oveq2
      un0 f1oeq2d anbi1d f1oeq1 reseq1 anbi12d rspc2ev syl112anc exlimddv
      eqeq1d ) CUAFZAGFZHCIJZAUBZUCZCHKJZALMZIJZAUUIUDZEUEZNZHDUEZIJZABUEZNZUUT
      UUIOZUFUUIOZPZUGZBQUHDCUIMZUHZEUUKUUNUUOUJRZUUQEUKUUKUUNLMZUUOLMZPZUVHUUK
      UVIHCKJZUVJCKJZIJZLMZHUVJIJZLMZUVJUUKUUNUVNLUUKUULUVLUUMUVMIUUKCULFHULFUU
      LUVLPUUKCUUGUUHCUMFZUUJCUNUOZUPUQCHURUSUUKUUOUUISZLMZUVJUUILMZKJZUUMUVMUU
      KUUOGFZUUIGFUUOUUIUTTPZUWAUWCPUUHUUGUWDUUJAUUIVAVBZUUKHCVCUWEUUKUUIAVDZVE
      UUOUUIVFVGUUKUVTALUUKUVTUUIUUOSZAUUOUUIVHZUUKUUJUWHAPZUUGUUHUUJVIUUIAVJZV
      KVLVMUUKUWBCUVJKUUGUUHUWBCPUUJCVNUOVOVPZVQVMUUKUVNUVPUJRZUVOUVQPZUUKUVPUV
      NUUKHVTFUVJVTFCVTFZUVPUVNUJRUUKWAUUKUVJUUKUWDUVJUAFZUWFUUOVRVSZWBUUGUUHUW
      OUUJCWCUOCHUVJWDVGWEUVNGFUVPGFUWNUWMWFUVLUVMWGHUVJWGUVNUVPWHWIWJUUKUWPUVQ
      UVJPUWQUVJVNVSWKUUKUUNGFUWDUVKUVHWFUULUUMWGUWFUUNUUOWHWLWMUUNUUOEXCVKUUKU
      UQUGZUUMUVFFZUUPUVCSZQFZHUUMIJZAUWTNZUWTUUIOZUVCPZUVGUWRUWOUUMVTFCUUMWNRZ
      UWSUWRCUUGUUHUUJUUQWOZWBUWRUUMUWRUUHUUMUAFZUUGUUHUUJUUQWPAVRVSZWBUUKUXFUU
      QUUKCUVMUUMWNUUKUVRUWPCUVMWNRUVSUWQCUVJWQWRUWLWSWTZCUUMXAXBUXAUWRUUPUVCEX
      DUUIQFUVCQFHCIXEUUIQXFXGXHVEUWRUUNUUISZUVTUWTNZUXCUWRUUQUUIUUIUVCNZUUNUUI
      UTZTPUWEUXLUUKUUQXIUXMUWRUUIXJVEUWRUXNUUIUUNUTZTUUNUUIXKUWRCUULXLRUXOTPUW
      RCUWRCUXGXMXNHCUULUUMXOVSZVLUWEUWRUWGVEUUNUUOUUIUUIUUPUVCXPXQUWRUXKUXBPUV
      TAPUXLUXCWFUWRUXKUUIUUNSZUXBUUNUUIVHUWRUUGUXHUXFUXBUXQPUXGUXIUXJCUUMXRVGX
      SUWRUVTUWHAUWIUWRUUJUWJUUGUUHUUJUUQXTUWKVKVLUXKUXBUVTAUWTYFWRWMUWRUXDUUPU
      UIOZUVCUUIOZSZUVCUUPUVCUUIYAUWRUXTTUVCSZUVCUWRUXRTUXSUVCUWRUXRYBZTPZUXRTP
      ZUWRUYBUUIUUPYBZUTZTUUPUUIYCUWRUYFUXOTUWRUYEUUNUUIUUQUYEUUNPUUKUUNUUOUUPY
      DYEYGUXPYHVLUXRYIUYDUYCWFUUPUUIYJUXRYKXGWJUXSUVCPUWRUFUUIYLVEYMUYAUVCTSUV
      CTUVCVHUVCYQYNYOVLUVEUXCUXEUGUXBAUUTNZUVDUGDBUUMUWTUVFQUURUUMPZUVAUYGUVDU
      YHUUSUXBAUUTUURUUMHIYPYRYSUUTUWTPZUYGUXCUVDUXEUXBAUUTUWTYTUYIUVBUXDUVCUUT
      UWTUUIUUAUUFUUBUUCUUDUUE $.
  $}

  ${
    $d N a c $.  $d S a c $.  $d A a c $.
    $( Lemma for ~ eldioph2 .  Construct necessary renaming function for one
       direction.  (Contributed by Stefan O'Rear, 8-Oct-2014.) $)
    eldioph2lem2 $p |- ( ( ( N e. NN0 /\ -. S e. Fin ) /\ ( ( 1 ... N ) C_ S /\
        A e. ( ZZ>= ` N ) ) ) -> E. c ( c : ( 1 ... A ) -1-1-> S /\ ( c |` ( 1
        ... N ) ) = ( _I |` ( 1 ... N ) ) ) ) $=
      ( va wcel cfn wa c1 cfz wss wf1 cres wceq cun cin c0 adantl syl syl5eq wn
      cn0 co cuz cfv cdif cv cid simplr fzfi difinf sylancl diffi ax-mp isinffi
      wex crn wf1o f1f1orn f1oi a1i disjdifr f1f frnd ssrind sseqtrdi ss0 f1oun
      syl22anc f1of1 uncom simplrr fzss2 undif sylib f1eq2 difss2d simplrl f1ss
      wb mpbid unssd syl2anc resundir cdm dmres incom f1dm ineq1d eqtrdi relres
      wrel reldm0 sylibr residm uneq12d un0 eqtri vex ovex resiexg f1eq1 reseq1
      cvv unex eqeq1d anbi12d spcev exlimddv ) CUBFZBGFUAZHZICJUCZBKZACUDUEFZHZ
      HZIAJUCZXMUFZBXMUFZEUGZLZXRBDUGZLZYCXMMZUHXMMZNZHZDUPZEXQXTGFUAZXSGFZYBEU
      PXQXKXMGFYJXJXKXPUIICUJBXMUKULXRGFYKIAUJXRXMUMUNXTXSEUOULXQYBHZXRBYAYFOZL
      ZYMXMMZYFNZYIYLXRYAUQZXMOZYMLZYRBKYNYLXSXMOZYRYMLZYSYLYTYRYMURZUUAYLXSYQY
      AURZXMXMYFURZXSXMPZQNZYQXMPZQNZUUBYBUUCXQXSXTYAUSRUUDYLXMUTVAUUFYLXMXRVBZ
      VAYLUUGQKUUHYLUUGXTXMPQYLYQXTXMYBYQXTKXQYBXSXTYAXSXTYAVCVDZRVEXMBVBVFUUGV
      GSXSYQXMXMYAYFVHVIYTYRYMVJSYLYTXRNUUAYSVTYLYTXMXSOZXRXSXMVKYLXMXRKZUUKXRN
      YLXOUULXLXNXOYBVLCIAVMSXMXRVNVOTYTXRYRYMVPSWAYLYQXMBYBYQBKXQYBYQBXMUUJVQR
      XLXNXOYBVRWBXRYRBYMVSWCYLYOYAXMMZYFXMMZOZYFYAYFXMWDYLUUOQYFOZYFYLUUMQUUNY
      FYLUUMWEZQNZUUMQNZYLUUQXMYAWEZPZQYAXMWFYLUVAUUTXMPZQXMUUTWGYLUVBUUEQYLUUT
      XSXMYBUUTXSNXQXSXTYAWHRWIUUIWJTTUUMWLUUSUURVTYAXMWKUUMWMUNWNUUNYFNYLUHXMW
      OVAWPUUPYFQOYFQYFVKYFWQWRWJTYHYNYPHDYMYAYFEWSXMXDFYFXDFICJWTXMXDXAUNXEYCY
      MNZYDYNYGYPXRBYCYMXBUVCYEYOYFYCYMXMXCXFXGXHWCXI $.
  $}

  ${
    $d P a b c e t u g h $.  $d S a b c d e t u g h $.
    $d N a b c d e t u g h $.
    $( Construct a Diophantine set from a polynomial with witness variables
       drawn from any set whatsoever, via ~ mzpcompact2 .  (Contributed by
       Stefan O'Rear, 8-Oct-2014.)  (Revised by Stefan O'Rear, 5-Jun-2015.) $)
    eldioph2 $p |- ( ( N e. NN0 /\ ( S e. _V /\ ( 1 ... N ) C_ S ) /\ P e. (
        mzPoly ` S ) ) ->
        { t | E. u e. ( NN0 ^m S ) ( t = ( u |` ( 1 ... N ) ) /\ ( P ` u ) = 0
        ) } e. ( Dioph ` N ) ) $=
      ( ve wcel cvv c1 co wss wa cfv cv cres wceq wrex cfn cc0 ccom va vb vc vd
      vg vh cn0 cfz cmzp w3a cz cmap cmpt cab cdioph mzpcompact2 3ad2ant3 fveq1
      eqeq1d anbi2d rexbidv abbidv ad2antll wi cun wf1o cid cuz simplll simplrl
      fzfi unfi sylancl ssun2 a1i eldioph2lem1 syl3anc f1ococnv2 ad2antrl ssun1
      reseq1d resabs1 ax-mp eqtr2di eqtrdi adantr coeq2d coires1 eqcomi 3eqtr3g
      resco coass fveq2d wf ovexd simpr wf1 f1of1 simprr ad2antrr unssd syl2anc
      ccnv f1ss f1f syl coeq1 eqid fvex fvmpt eqtr4d mpteq2dva fveq1d ad3antrrr
      mapco2g diophrw eqtrd simp-5l simplrr f1ocnv mzprename eldioph eqeltrd ex
      f1of fssres rexlimdvva mpd exp31 3adant3 imp31 adantrr ) EUGGZDHGZIEUHJZD
      KZLZCDUIMGZUJZUANZDKZCFUKDULJZFNZYTOZUBNZMZUMZPZLZUBYTUIMZQUARQZBNZANZYOO
      PZUUMCMZSPZLZAUGDULJZQZBUNZEUOMZGZYRYMUUKYQCDUAUBFUPUQYSUUIUVBUAUBRUUJYSY
      TRGZUUEUUJGZLZLZUUIUVBUVFUUILUUTUUNUUMUUGMZSPZLZAUURQZBUNZUVAUUHUUTUVKPUV
      FUUAUUHUUSUVJBUUHUUQUVIAUURUUHUUPUVHUUNUUHUUOUVGSUUMCUUGURUSUTVAVBVCUVFUU
      AUVKUVAGZUUHYSUVEUUAUVLYMYQUVEUUAUVLVDVDYRYMYQLZUVEUUAUVLUVMUVELZUUALZIUC
      NZUHJZYTYOVEZUDNZVFZUVSYOOVGYOOPZLZUDHQUCEVHMZQZUVLUVOYMUVRRGZYOUVRKZUWDY
      MYQUVEUUAVIUVOUVCYORGUWEUVMUVCUVDUUAVJIEVKYTYOVLVMUWFUVOYOYTVNVOUVRUDEUCV
      PVQUVOUWBUVLUCUDUWCHUVOUVPUWCGZUVSHGZLZLZUWBUVLUWJUWBLZUVKUULUENZYOOPUWLU
      FUKUVQULJZUFNZUVSXCZYTOZTZUUEMZUMZMSPLUEUGUVQULJQBUNZUVAUWKUVKUUNUUMFUUBU
      UCUVSTZUWSMZUMZMZSPZLZAUURQZBUNZUWTUWKUVJUXGBUWKUVIUXFAUURUWKUVHUXEUUNUWK
      UVGUXDSUWKUUMUUGUXCUWKFUUBUUFUXBUWKUUCUUBGZLZUUFUXAUWPTZUUEMZUXBUXJUUDUXK
      UUEUXJUUCVGYTOZTUUCUVSUWPTZTZUUDUXKUXJUXMUXNUUCUWKUXMUXNPUXIUWKUXMUVSUWOT
      ZYTOZUXNUWKUXQVGUVROZYTOZUXMUWKUXPUXRYTUVTUXPUXRPUWJUWAUVQUVRUVSVRVSWAYTU
      VRKZUXSUXMPYTYOVTZVGYTUVRWBWCWDUVSUWOYTWKWEWFWGUUCYTWHUXKUXOUUCUVSUWPWLWI
      WJWMUXJUXAUWMGZUXBUXLPUXJUVQHGZUXIUVQDUVSWNZUYBUXJIUVPUHWOUWKUXIWPUWKUYDU
      XIUWKUVQDUVSWQZUYDUWKUVQUVRUVSWQZUVRDKZUYEUVTUYFUWJUWAUVQUVRUVSWRVSUVOUYG
      UWIUWBUVOYTYODUVNUUAWPUVMYPUVEUUAYMYNYPWSWTXAWTUVQUVRDUVSXDXBZUVQDUVSXEXF
      WFUUCUKDUVSUVQXOVQUFUXAUWRUXLUWMUWSUWNUXAPUWQUXKUUEUWNUXAUWPXGWMUWSXHUXKU
      UEXIXJXFXKXLXMUSUTVAVBUWKYNUYEUWAUXHUWTPUVNYNUUAUWIUWBYMYNYPUVEVJXNUYHUWJ
      UVTUWAWSUWSDUVQUVSYOBAUEFXPVQXQUWKYMUWGUWSUVQUIMGZUWTUVAGYMYQUVEUUAUWIUWB
      XRUVOUWGUWHUWBVJUWKUYCUVDYTUVQUWPWNZUYIUWKIUVPUHWOUVOUVDUWIUWBUVMUVCUVDUU
      AXSWTUVTUYJUWJUWAUVTUVRUVQUWOWNZUXTUYJUVTUVRUVQUWOVFUYKUVQUVRUVSXTUVRUVQU
      WOYEXFUYAUVRUVQYTUWOYFVMVSUFUWPUUEYTUVQYAVQUEBUWSUVPEYBVQYCYDYGYHYIYJYKYL
      YCYDYGYH $.
  $}

  ${
    $d A a b p $.  $d N a b c d e u t p $.  $d S a b c d e u t p $.
    $( While Diophantine sets were defined to have a finite number of witness
       variables consequtively following the observable variables, this is not
       necessary; they can equivalently be taken to use any witness set
       ` ( S \ ( 1 ... N ) ) ` .  For instance, in ~ diophin we use this to
       take the two input sets to have disjoint witness sets.  (Contributed by
       Stefan O'Rear, 8-Oct-2014.) $)
    eldioph2b $p |- ( ( ( N e. NN0 /\ S e. _V ) /\ ( -. S e. Fin /\ ( 1 ... N )
        C_ S ) ) -> ( A e. ( Dioph ` N ) <->
        E. p e. ( mzPoly ` S ) A = { t | E. u e. ( NN0 ^m S ) ( t = ( u |` ( 1
        ... N ) ) /\ ( p ` u ) = 0 ) } ) ) $=
      ( vd vb va vc ve wcel cvv wa co cfv cv cres wceq wrex cn0 cfn cfz wss cc0
      wn c1 cdioph cmap cab cmzp cuz eldiophb wf1 cid cz ccom wf simp-5r simprr
      ad2antrr simprl f1f syl mzprename syl3anc w3a diophrw eqcomd fveq1 eqeq1d
      cmpt anbi2d rexbidv rspceeqv syl2anc simplll simplrl simplrr eldioph2lem2
      abbidv syl22anc sylibr r19.29a eqeq1 syl5ibrcom rexlimdvva adantld syl5bi
      rexv simpr simpllr eldioph2 syl121anc adantr eqeltrd rexlimdva2 impbid
      wex ) EUALZDMLZNZDUBLUFZUGEUCOZDUDZNZNZCEUHPZLZCBQZAQZXDRSZXKFQZPZUESZNZA
      UADUIOZTZBUJZSZFDUKPZTZXIWTCXJGQZXDRSYCHQZPUESNGUAUGIQZUCOZUIOTBUJZSZHYFU
      KPZTIEULPZTZNXGYBGBCIEHUMXGYKYBWTXGYHYBIHYJYIXGYEYJLZYDYILZNZNZYBYHYGXSSZ
      FYATZYOYFDJQZUNZYRXDRUOXDRSZNZYQJMYOYRMLZNZUUANZKUPDUIOKQYRUQYDPVLZYALZYG
      XLXKUUEPZUESZNZAXQTZBUJZSZYQUUDXAYMYFDYRURZUUFWTXAXFYNUUBUUAUSZYOYMUUBUUA
      XGYLYMUTVAUUDYSUUMUUCYSYTVBZYFDYRVCVDKYRYDYFDVEVFUUDXAYSYTUULUUNUUOUUCYSY
      TUTXAYSYTVGUUKYGYDDYFYRXDBAGKVHVIVFFUUEYAXSUUKYGXMUUESZXRUUJBUUPXPUUIAXQU
      UPXOUUHXLUUPXNUUGUEXKXMUUEVJVKVMVNWAVOVPYOUUAJWSZUUAJMTYOWTXCXEYLUUQWTXAX
      FYNVQXBXCXEYNVRXBXCXEYNVSXGYLYMVBYEDEJVTWBUUAJWJWCWDYHXTYPFYACYGXSWEVNWFW
      GWHWIXGXTXIFYAXGXMYALZNZXTNCXSXHUUSXTWKUUSXSXHLZXTUUSWTXAXEUURUUTWTXAXFUU
      RVQWTXAXFUURWLXBXCXEUURVSXGUURWKABXMDEWMWNWOWPWQWR $.
  $}

  ${
    $d A a b c d $.  $d B a b c d $.
    $( Remove antecedent on ` B ` from Diophantine set constructors.
       (Contributed by Stefan O'Rear, 10-Oct-2014.) $)
    eldiophelnn0 $p |- ( A e. ( Dioph ` B ) -> B e. NN0 ) $=
      ( vc vd va vb cdioph cfv wcel cn0 cv c1 cfz co cres wceq cc0 wa cmap wrex
      cab cmzp cuz eldiophb simplbi ) ABGHIBJIACKDKZLBMNOPUFEKHQPRDJLFKMNZSNTCU
      APEUGUBHTFBUCHTDCAFBEUDUE $.
  $}

  ${
    $d A p t u $.  $d N p t u $.
    $( Define Diophantine sets in terms of polynomials with variables indexed
       by ` NN ` .  This avoids a quantifier over the number of witness
       variables and will be easier to use than ~ eldiophb in most cases.
       (Contributed by Stefan O'Rear, 10-Oct-2014.) $)
    eldioph3b $p |- ( A e. ( Dioph ` N ) <-> ( N e. NN0 /\
        E. p e. ( mzPoly ` NN ) A = { t | E. u e. ( NN0 ^m NN ) ( t = ( u |` (
        1 ... N ) ) /\ ( p ` u ) = 0 ) } ) ) $=
      ( cdioph cfv wcel cn0 cv c1 cfz co cres wceq cc0 wa cn cmap wrex cab cmzp
      eldiophelnn0 cvv wb nnex cfn wn wss cz uzinf ax-mp elfznn ssriv eldioph2b
      1z nnuz mpanr12 mpan2 biadanii ) CDFGHZDIHZCBJAJZKDLMZNOVCEJZGPOQAIRSMTBU
      AOERUBGTZCDUCVBRUDHZVAVFUEZUFVBVGQRUGHUHZVDRUIVHKUJHVIUPKRUQUKULEVDRVEDUM
      UNABCRDEUOURUSUT $.
  $}

  $( TODO: could maybe shorten a LOT of these with a canned substitution. $)
  ${
    $d N a b p t u $.  $d P a b p t u $.
    $( Inference version of ~ eldioph3b with quantifier expanded.  (Contributed
       by Stefan O'Rear, 10-Oct-2014.) $)
    eldioph3 $p |- ( ( N e. NN0 /\ P e. ( mzPoly ` NN ) ) -> { t | E. u e. (
        NN0 ^m NN ) ( t = ( u |` ( 1 ... N ) ) /\ ( P ` u ) = 0 ) } e. ( Dioph
        ` N ) ) $=
      ( va vb vp cn0 wcel cn cfv wa cv co cres wceq cc0 wrex cab rexbidv c1 cfz
      cmzp cdioph simpl simpr eqidd fveq1 eqeq1d anbi2d abbidv weq eqeq1 anbi1d
      cmap reseq1 eqeq2d fveqeq2 anbi12d cbvrexvw bitrdi cbvabv eqtrdi rspceeqv
      syl2anc eldioph3b sylanbrc ) DHIZCJUCKZIZLZVHBMZAMZUADUBNZOZPZVMCKQPZLZAH
      JUONZRZBSZEMZFMZVNOZPZWCGMZKZQPZLZFVSRZESZPGVIRZWADUDKIVHVJUEVKVJWAWAPWLV
      HVJUFVKWAUGGCVIWKWAWAWFCPZWKWEWCCKZQPZLZFVSRZESWAWMWJWQEWMWIWPFVSWMWHWOWE
      WMWGWNQWCWFCUHUIUJTUKWQVTEBEBULZWQVLWDPZWOLZFVSRVTWRWPWTFVSWRWEWSWOWBVLWD
      UMUNTWTVRFAVSFAULZWSVPWOVQXAWDVOVLWCVMVNUPUQWCVMQCURUSUTVAVBVCVDVEFEWADGV
      FVG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Diophantine sets 2 miscellanea
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d N a $.  $d A a $.  $d B a $.
    $( Membership in a lower set of integers.  (Contributed by Stefan O'Rear,
       9-Oct-2014.) $)
    ellz1 $p |- ( B e. ZZ -> ( A e. ( ZZ \ ( ZZ>= ` ( B + 1 ) ) ) <-> ( A e. ZZ
        /\ A <_ B ) ) ) $=
      ( cz c1 caddc co cuz cfv cdif wcel wn wa cle wbr eldif clt notbid cr zre
      wb zltp1le lenlt syl2anr peano2z eluz sylan 3bitr4rd pm5.32da syl5bb ) AC
      BDEFZGHZIJACJZAUKJZKZLBCJZULABMNZLACUKOUOULUNUPUOULLZBAPNZKZUJAMNZKUPUNUQ
      URUTBAUAQULARJBRJUPUSTUOASBSABUBUCUQUMUTUOUJCJULUMUTTBUDUJAUEUFQUGUHUI $.

    $( The union of a lower set of integers and an upper set of integers which
       abut or overlap is all of the integers.  (Contributed by Stefan O'Rear,
       9-Oct-2014.) $)
    lzunuz $p |- ( ( A e. ZZ /\ B e. ZZ /\ B <_ ( A + 1 ) ) -> ( ( ZZ \ ( ZZ>=
        ` ( A + 1 ) ) ) u. ( ZZ>= ` B ) ) = ZZ ) $=
      ( va cz wcel c1 caddc co cle wbr w3a cuz cfv cdif wo wa wb cr zred ex cun
      elun ellz1 3ad2ant1 eluz1 3ad2ant2 orbi12d clt zre adantl simpl1 lelttric
      syl2anc simpll2 simpll1 peano2zd ad2antlr simpll3 zltp1le 3ad2antl1 letrd
      cv biimpa orim2d mpd pm4.71d andi bitr2di bitrd syl5bb eqrdv ) ADEZBDEZBA
      FGHZIJZKZCDVNLMNZBLMZUAZDCVBZVSEVTVQEZVTVREZOZVPVTDEZVTVQVRUBVPWCWDVTAIJZ
      PZWDBVTIJZPZOZWDVPWAWFWBWHVLVMWAWFQVOVTAUCUDVMVLWBWHQVOBVTUEUFUGVPWDWDWEW
      GOZPWIVPWDWJVPWDWJVPWDPZWEAVTUHJZOZWJWKVTREZAREWMWDWNVPVTUIZUJWKAVLVMVOWD
      UKSVTAULUMWKWLWGWEWKWLWGWKWLPZBVNVTWPBVLVMVOWDWLUNSWPVNWPAVLVMVOWDWLUOUPS
      WDWNVPWLWOUQVLVMVOWDWLURWKWLVNVTIJZVLVMWDWLWQQVOAVTUSUTVCVATVDVETVFWDWEWG
      VGVHVIVJVK $.

    $( Express a one-based finite range as the intersection of lower integers
       with ` NN ` .  (Contributed by Stefan O'Rear, 9-Oct-2014.) $)
    fz1eqin $p |- ( N e. NN0 -> ( 1 ... N ) = ( ( ZZ \ ( ZZ>= ` ( N + 1 ) ) )
        i^i NN ) ) $=
      ( va cn0 wcel c1 cfz co cz caddc cuz cfv cdif cn cin cv cle wbr wa w3a wb
      1z nn0z elfz1 sylancr 3anass ancom anbi2i anandi 3bitri bitrdi elin ellz1
      syl elnnz1 a1i anbi12d syl5bb bitr4d eqrdv ) ACDZBEAFGZHAEIGJKLZMNZUTBOZV
      ADZVDHDZVDAPQZRZVFEVDPQZRZRZVDVCDZUTVEVFVIVGSZVKUTEHDAHDZVEVMTUAAUBZVDEAU
      CUDVMVFVIVGRZRVFVGVIRZRVKVFVIVGUEVPVQVFVIVGUFUGVFVGVIUHUIUJVLVDVBDZVDMDZR
      UTVKVDVBMUKUTVRVHVSVJUTVNVRVHTVOVDAULUMVSVJTUTVDUNUOUPUQURUS $.
  $}

  ${
    $d N a b $.
    $( Lower integers are countably infinite.  (Contributed by Stefan O'Rear,
       10-Oct-2014.) $)
    lzenom $p |- ( N e. ZZ -> ( ZZ \ ( ZZ>= ` ( N + 1 ) ) ) ~~ _om ) $=
      ( cz wcel c1 co cn cen wbr com cmin cvv cle wa cr zre ad2antrl cc anbi12d
      wceq zcn va vb caddc cuz cfv cdif cv zex difexg mp1i nnex ovex 2a1i simpl
      a1i peano2zd simprl zsubcld zred 1red simprr adantr ax-1cn pncan breqtrrd
      sylancl lesubd nncand eqcomd jca31 adantrr wb eleq1 breq2 eqeq2d ad2antll
      zcnd oveq2 mpbird recnd pncan2 eqbrtrd subled breq1 impbida anbi1d elnnz1
      ellz1 3bitr4d en2d nnenom entr ) ABCZBADUCEZUDUEZUFZFGHFIGHWPIGHWMUAUBWPF
      WNUAUGZJEZWNUBUGZJEZKKKKBKCWPKCWMUHBWOKUIUJFKCWMUKUOWRKCWMWQWPCZWNWQJULUM
      WTKCWMWSFCZWNWSJULUMWMWQBCZWQALHZMZWSWRSZMZWSBCZDWSLHZMZWQWTSZMZXAXFMXBXK
      MWMXGXLWMXGMXLWRBCZDWRLHZMZWQWNWRJEZSZMZWMXEXRXFWMXEMZXMXNXQXSWNWQXSAWMXE
      UNUPZWMXCXDUQURXSWQWNDXCWQNCWMXDWQOPXSWNXTUSXSUTXSWQAWNDJEZLWMXCXDVAXSAQC
      ZDQCZYAASWMYBXEATVBVCADVDVFVEVGXSXPWQXSWNWQXSWNXTVQXCWQQCWMXDWQTPVHVIVJVK
      XFXLXRVLWMXEXFXJXOXKXQXFXHXMXIXNWSWRBVMWSWRDLVNRXFWTXPWQWSWRWNJVRVORVPVSW
      MXLMXGWTBCZWTALHZMZWSWNWTJEZSZMZWMXJYIXKWMXJMZYDYEYHYJWNWSYJAWMXJUNUPZWMX
      HXIUQURYJWNAWSYJWNYKUSWMANCXJAOVBZXHWSNCWMXIWSOPYJWNAJEZDWSLYJYBYCYMDSYJA
      YLVTVCADWAVFWMXHXIVAWBWCYJYGWSYJWNWSYJWNYKVQXHWSQCWMXIWSTPVHVIVJVKXKXGYIV
      LWMXJXKXEYFXFYHXKXCYDXDYEWQWTBVMWQWTALWDRXKWRYGWSWQWTWNJVRVORVPVSWEWMXAXE
      XFWQAWHWFWMXBXJXKXBXJVLWMWSWGUOWFWIWJWKWPFIWLVF $.
  $}

  $( ~ fresaunres2 transposed to mappings.  (Contributed by Stefan O'Rear,
     9-Oct-2014.) $)
  elmapresaunres2 $p |- ( ( F e. ( C ^m A ) /\ G e. ( C ^m B ) /\
  ( F |` ( A i^i B ) ) = ( G |` ( A i^i B ) ) ) -> ( ( F u. G ) |` B ) = G ) $=
    ( cmap co wcel wf cin cres wceq cun elmapi id fresaunres2 syl3an ) DCAFGHAC
    DIECBFGHBCEIDABJZKERKLZSDEMBKELDCANECBNSOABCDEPQ $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Diophantine sets 2: union and intersection.  Monotone Boolean algebra
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A a b c d e f g $.  $d B a b c d e f g $.  $d N a b c d e f g $.
    $( If two sets are Diophantine, so is their intersection.  (Contributed by
       Stefan O'Rear, 9-Oct-2014.)  (Revised by Stefan O'Rear, 6-May-2015.) $)
    diophin $p |- ( ( A e. ( Dioph ` N ) /\ B e. ( Dioph ` N ) ) -> ( A i^i B )
        e. ( Dioph ` N ) ) $=
      ( vc vg cfv wcel cn0 wa c1 co cres wceq cc0 cz cmap wrex cn c2 syl3anc vd
      va ve vb vf cdioph cin wi eldiophelnn0 cv cfz caddc cuz cdif cab cmzp cvv
      cfn wn wss wb id zex difexg mp1i com cen wbr nn0z lzenom enfi 3syl mtbiri
      ominf fz1eqin inss1 eqsstrdi eldioph2b syl22anc nnex 1z nnuz uzinf elfznn
      a1i ssriv anbi12d reeanv cexp cmpt inab simplrl simplrr reseq2d ad3antrrr
      cun eqcomd simprrl simprll eqtr4d elmapresaun uneq2i nnge1d lzunuz syl5eq
      3eqtr2d nn0p1nn oveq2d eleqtrd unidm uneq12d elmapresaunres2 fveq2d eqtrd
      simprrr jca32 reseq1 eqeq2d fveqeq2d syl2anc rexlimdvva elmapssres adantr
      cle sylancl nnssz simprl fveqeq2 anbi2d cr wf mzpf adantl ffvelrnd oveq1d
      syl zred mzpresrename 2nn0 mzpexpmpt eqtr3id resundir eqtr4di uncom incom
      reseq1i simprlr rspcev ex simpr difss resabs1d jca resabs1 anbi1d rspc2ev
      rexlimdva2 impbid nn0ssz mapss mp2an sseli oveq12d eqid ovex fvmpt eqeq1d
      sumsqeq0 bitr4d rexbidva bitrd bitr3id abbidv simpl uzssz sstri mzpaddmpt
      fzssuz pm3.2i simprr eldioph2 eqeltrd ineq12 syl5ibrcom syl5bir anabsi5
      eleq1d sylbid ) ACUFFZGZBUWIGZABUGZUWIGZUWJCHGZUWJUWKIZUWMUHACUIUWNUWOADU
      JZUAUJZJCUKKZLZMZUWQUBUJZFZNMZIZUAHOCJULKZUMFZUNZPKZQZDUOZMZUBUXGUPFZQZBU
      WPUCUJZUWRLZMZUXNUDUJZFZNMZIZUCHRPKZQZDUOZMZUDRUPFZQZIZUWMUWNUWJUXMUWKUYF
      UWNUWNUXGUQGZUXGURGZUSUWRUXGUTZUWJUXMVAUWNVBZOUQGZUYHUWNVCOUXFUQVDVEUWNUY
      IVFURGZVNUWNCOGZUXGVFVGVHUYIUYMVACVIZCVJUXGVFVKVLVMUWNUWRUXGRUGZUXGCVOZUX
      GRVPVQZUADAUXGCUBVRVSUWNUWNRUQGZRURGUSZUWRRUTZUWKUYFVAUYKUYSUWNVTWEJOGZUY
      TUWNWAJRWBWCVEVUAUWNUBUWRRUXACWDWFZWEUCDBRCUDVRVSWGUYGUXKUYDIZUDUYEQUBUXL
      QUWNUWMUXKUYDUBUDUXLUYEWHUWNVUDUWMUBUDUXLUYEUWNUXAUXLGZUXQUYEGZIZIZUWMVUD
      UXJUYCUGZUWIGVUHVUIUWPUEUJZUWRLZMZVUJEOOPKZEUJZUXGLZUXAFZSWIKZVUNRLZUXQFZ
      SWIKZULKZWJZFZNMZIZUEHOPKZQZDUOZUWIVUHVUIUXIUYBIZDUOVVHUXIUYBDWKVUHVVIVVG
      DVVIUXDUXTIZUCUYAQUAUXHQZVUHVVGUXDUXTUAUCUXHUYAWHVUHVVKVULVUJUXGLZUXAFZNM
      ZVUJRLZUXQFZNMZIZIZUEVVFQZVVGVUHVVKVVTVUHVVJVVTUAUCUXHUYAVUHUWQUXHGZUXNUY
      AGZIZIZVVJVVTVWDVVJIZUWQUXNWPZVVFGUWPVWFUWRLZMZVWFUXGLZUXAFZNMZVWFRLZUXQF
      ZNMZIZIZVVTVWEVWFHUXGRWPZPKZVVFVWEVWAVWBUWQUYPLZUXNUYPLZMZVWFVWRGVUHVWAVW
      BVVJWLZVUHVWAVWBVVJWMZVWEVWSUWSVWTUWNVWSUWSMVUGVWCVVJUWNUYPUWRUWQUWNUWRUY
      PUYQWQZWNWOVWEVWTUXOUWPUWSUWNVWTUXOMVUGVWCVVJUWNUYPUWRUXNVXDWNWOVWDUXDUXP
      UXSWRZVWDUWTUXCUXTWSZXFWTZUXGRHUWQUXNXATUWNVWRVVFMVUGVWCVVJUWNVWQOHPUWNVW
      QUXGJUMFZWPZORVXHUXGWBXBUWNUYNVUBJUXEYDVHVXIOMUYOVUBUWNWAWEUWNUXECXGXCCJX
      DTXEXHWOXIVWEVWHVWKVWNVWEUWPUWSUXOWPZVWGVWEUWPUWPUWPWPVXJUWPXJVWEUWPUWSUW
      PUXOVXFVXEXKUUAUWQUXNUWRUUBUUCVWEVWJUXBNVWEVWIUWQUXAVWEVWIUXNUWQWPZUXGLZU
      WQVWFVXKUXGUWQUXNUUDUUFVWEVWBVWAUXNRUXGUGZLZUWQVXMLZMVXLUWQMVXCVXBVWEVXNU
      XOVXOUWNVXNUXOMVUGVWCVVJUWNVXMUWRUXNUWNVXMUYPUWRRUXGUUEVXDXEZWNWOVWEVXOUW
      SUWPUXOUWNVXOUWSMVUGVWCVVJUWNVXMUWRUWQVXPWNWOVXFVXEXFWTRUXGHUXNUWQXLTXEXM
      VWDUWTUXCUXTUUGXNVWEVWMUXRNVWEVWLUXNUXQVWEVWAVWBVXAVWLUXNMVXBVXCVXGUXGRHU
      WQUXNXLTXMVWDUXDUXPUXSXOXNXPVVSVWPUEVWFVVFVUJVWFMZVULVWHVVRVWOVXQVUKVWGUW
      PVUJVWFUWRXQXRVXQVVNVWKVVQVWNVXQVVLVWINUXAVUJVWFUXGXQXSVXQVVOVWLNUXQVUJVW
      FRXQXSWGWGUUHXTUUIYAVUHVVSVVKUEVVFVUHVUJVVFGZIZVVSIZVVLUXHGZVVOUYAGZUWPVV
      LUWRLZMZVVNIZUWPVVOUWRLZMZVVQIZIZVVKVXSVYAVVSVXSVXRUXGOUTZVYAVUHVXRUUJZOU
      XFUUKZVUJHOUXGYBYEYCVXSVYBVVSVXSVXRROUTZVYBVYKYFVUJHORYBYEYCVXTVYEVYGVVQV
      XTVYDVVNVXTUWPVUKVYCVXSVULVVRYGZVXTVUJUWRUXGUWNUYJVUGVXRVVSUYRWOUULWTVXSV
      ULVVNVVQWRUUMVXTUWPVUKVYFVYNVUAVYFVUKMVXTVUCVUJUWRRUUNVEWTVXSVULVVNVVQXOX
      PVVJVYIVYEUXTIUAUCVVLVVOUXHUYAUWQVVLMZUXDVYEUXTVYOUWTVYDUXCVVNVYOUWSVYCUW
      PUWQVVLUWRXQXRUWQVVLNUXAYHWGUUOUXNVVOMZUXTVYHVYEVYPUXPVYGUXSVVQVYPUXOVYFU
      WPUXNVVOUWRXQXRUXNVVONUXQYHWGYIUUPTUUQUURVUHVVSVVEUEVVFVXSVVRVVDVULVXSVVR
      VVMSWIKZVVPSWIKZULKZNMZVVDVXSVVMYJGVVPYJGVVRVYTVAVXSVVMVXSOUXGPKZOVVLUXAV
      XSVUEWUAOUXAYKUWNVUEVUFVXRWLUXAUXGYLYPVXRVVLWUAGZVUHVXRVUJVUMGZVYJWUBVVFV
      UMVUJUYLHOUTVVFVUMUTVCUUSHOOUQUUTUVAUVBZVYLVUJOOUXGYBYEYMYNYQVXSVVPVXSORP
      KZOVVOUXQVXSVUFWUEOUXQYKUWNVUEVUFVXRWMUXQRYLYPVXRVVOWUEGZVUHVXRWUCVYMWUFW
      UDYFVUJOORYBYEYMYNYQVVMVVPUVHXTVXSVVCVYSNVXSWUCVVCVYSMVXRWUCVUHWUDYMEVUJV
      VAVYSVUMVVBVUNVUJMZVUQVYQVUTVYRULWUGVUPVVMSWIWUGVUOVVLUXAVUNVUJUXGXQXMYOW
      UGVUSVVPSWIWUGVURVVOUXQVUNVUJRXQXMYOUVCVVBUVDVYQVYRULUVEUVFYPUVGUVIYIUVJU
      VKUVLUVMXEVUHUWNUYLUWROUTZIZVVBOUPFZGZVVHUWIGUWNVUGUVNWUIVUHUYLWUHVCUWRVX
      HOJCUVRJUVOUVPUVSWEVUHEVUMVUQWJWUJGZEVUMVUTWJWUJGZWUKVUHEVUMVUPWJWUJGZSHG
      ZWULVUHUYLVYJVUEWUNUYLVUHVCWEZVYJVUHVYLWEUWNVUEVUFYGEUXAUXGOYRTYSEVUPSOYT
      YEVUHEVUMVUSWJWUJGZWUOWUMVUHUYLVYMVUFWUQWUPVYMVUHYFWEUWNVUEVUFUVTEUXQROYR
      TYSEVUSSOYTYEEVUQVUTOUVQXTUEDVVBOCUWATUWBVUDUWLVUIUWIAUXJBUYCUWCUWGUWDYAU
      WEUWHYPUWF $.
  $}

  ${
    $d A a b c d e $.  $d B a b c d e $.  $d N a b c d e $.

    $( If two sets are Diophantine, so is their union.  (Contributed by Stefan
       O'Rear, 9-Oct-2014.)  (Revised by Stefan O'Rear, 6-May-2015.) $)
    diophun $p |- ( ( A e. ( Dioph ` N ) /\ B e. ( Dioph ` N ) ) -> ( A u. B )
        e. ( Dioph ` N ) ) $=
      ( vb vd va vc ve cfv wcel cn0 wa cv co wceq cc0 cn wrex cz syl cdioph cun
      wi eldiophelnn0 c1 cfz cres cmap cab cmzp cvv cfn wn wb nnex jctr 1z nnuz
      wss uzinf ax-mp elfznn ssriv pm3.2i eldioph2b anbi12d sylancl reeanv cmul
      cmpt wo unab r19.43 andi zex nn0ssz mapss mp2an sseli adantl oveq12d eqid
      fveq2 ovex fvmpt eqeq1d simplrl mzpf ffvelrnd zcnd simplrr mul0ord bitr2d
      wf anbi2d bitr3id rexbidva abbidv syl5eq simpl a1i simprl eqeltrrd simprr
      feqmptd syl2anc eldioph2 syl3anc eqeltrd uneq12 eleq1d syl5ibrcom syl5bir
      mzpmulmpt rexlimdvva sylbid anabsi5 ) ACUAIZJZBXRJZABUBZXRJZXSCKJZXSXTLZY
      BUCACUDYCYDADMEMZUECUFNZUGOZYEFMZIZPOZLZEKQUHNZRZDUIZOZFQUJIZRZBYGYEGMZIZ
      POZLZEYLRZDUIZOZGYPRZLZYBYCYCQUKJZLZQULJUMZYFQUSZLZYDUUFUNYCUUGUOUPUUIUUJ
      UESJUUIUQUEQURUTVAFYFQYHCVBVCZVDUUHUUKLXSYQXTUUEEDAQCFVEEDBQCGVEVFVGUUFYO
      UUDLZGYPRFYPRYCYBYOUUDFGYPYPVHYCUUMYBFGYPYPYCYHYPJZYRYPJZLZLZYBUUMYNUUCUB
      ZXRJUUQUURYGYEHSQUHNZHMZYHIZUUTYRIZVINZVJZIZPOZLZEYLRZDUIZXRUUQUURYMUUBVK
      ZDUIUVIYMUUBDVLUUQUVJUVHDUVJYKUUAVKZEYLRUUQUVHYKUUAEYLVMUUQUVKUVGEYLUVKYG
      YJYTVKZLUUQYEYLJZLZUVGYGYJYTVNUVNUVLUVFYGUVNUVFYIYSVINZPOUVLUVNUVEUVOPUVN
      YEUUSJZUVEUVOOUVMUVPUUQYLUUSYESUKJKSUSYLUUSUSVOVPKSQUKVQVRVSVTZHYEUVCUVOU
      USUVDUUTYEOUVAYIUVBYSVIUUTYEYHWCUUTYEYRWCWAUVDWBYIYSVIWDWETWFUVNYIYSUVNYI
      UVNUUSSYEYHUVNUUNUUSSYHWNZYCUUNUUOUVMWGYHQWHZTUVQWIWJUVNYSUVNUUSSYEYRUVNU
      UOUUSSYRWNZYCUUNUUOUVMWKYRQWHZTUVQWIWJWLWMWOWPWQWPWRWSUUQYCUUGUUJLZUVDYPJ
      ZUVIXRJYCUUPWTUWBUUQUUGUUJUOUULVDXAUUQHUUSUVAVJZYPJHUUSUVBVJZYPJUWCUUQYHU
      WDYPUUQHUUSSYHUUQUUNUVRYCUUNUUOXBZUVSTXEUWFXCUUQYRUWEYPUUQHUUSSYRUUQUUOUV
      TYCUUNUUOXDZUWATXEUWGXCHUVAUVBQXNXFEDUVDQCXGXHXIUUMYAUURXRAYNBUUCXJXKXLXO
      XMXPTXQ $.
  $}

  ${
    $d A a b c d $.  $d B a b c d $.
    $( Diophantine sets are sets of tuples of nonnegative integers.
       (Contributed by Stefan O'Rear, 10-Oct-2014.)  (Revised by Stefan O'Rear,
       6-May-2015.) $)
    eldiophss $p |- ( A e. ( Dioph ` B ) -> A C_ ( NN0 ^m ( 1 ... B ) ) ) $=
      ( vb vc va vd cdioph cfv wcel cn0 cv c1 co wceq wa cn cmap wrex wss simpr
      cfz cres cc0 cab cmzp eldioph3b vex anbi1d rexbidv elab elfznn elmapssres
      eqeq1 ssriv mpan2 ad2antlr eqeltrd adantrd rexlimdva syl5bi ssrdv eqsstrd
      ex adantr r19.29an sylbi ) ABGHIBJIZACKZDKZLBUAMZUBZNZVIEKZHUCNZOZDJPQMZR
      ZCUDZNZEPUEHZROAJVJQMZSZDCABEUFVGVSWBEVTVGVMVTIOZVSOAVRWAWCVSTWCVRWASVSWC
      FVRWAFKZVRIWDVKNZVNOZDVPRZWCWDWAIZVQWGCWDFUGVHWDNZVOWFDVPWIVLWEVNVHWDVKUM
      UHUIUJWCWFWHDVPWCVIVPIZOZWEWHVNWKWEWHWKWEOWDVKWAWKWETWJVKWAIZWCWEWJVJPSWL
      EVJPVMBUKUNVIJPVJULUOUPUQVCURUSUTVAVDVBVEVF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Diophantine sets 3: construction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d N t u a b c d e $.  $d M a b c d e $.  $d S t u a b c d e $.
    $( Projecting a Diophantine set by removing a coordinate results in a
       Diophantine set.  (Contributed by Stefan O'Rear, 10-Oct-2014.) $)
    diophrex $p |- ( ( N e. NN0 /\ M e. ( ZZ>= ` N ) /\ S e. ( Dioph ` M ) ) ->
        { t | E. u e. S t = ( u |` ( 1 ... N ) ) } e. ( Dioph ` N ) ) $=
      ( va vb vd ve vc cn0 wcel cfv cv cres wceq wrex cab wa wex cuz cdioph w3a
      c1 cfz co eqeq1 rexbidv reseq1 eqeq2d cbvrexvw bitrdi cbvabv cn cmap cmzp
      rexeq abbidv adantl anbi1d rexab r19.41v exbii rexcom4 anass resex anbi2d
      cc0 vex ceqsexv bitri ancom wss simpl2 fzss2 resabs1 3syl syl5bb eldioph3
      bitr3id 3ad2antl1 eqeltrd eldioph3b simprbi 3ad2ant3 r19.29a eqeltrrid
      adantr ) EKLZDEUAMLZCDUBMLZUCZBNZANZUDEUEUFZOZPZACQZBRFNZGNZWOOZPZGCQZFRZ
      EUBMZXCWRFBWSWMPZXCWMXAPZGCQWRXFXBXGGCWSWMXAUGUHXGWQGACWTWNPXAWPWMWTWNWOU
      IUJUKULUMWLCHNZINZUDDUEUFZOZPZXIJNZMVHPZSZIKUNUOUFZQZHRZPZXDXELJUNUPMZWLX
      MXTLZSZXSSXDXBGXRQZFRZXEXSXDYDPYBXSXCYCFXBGCXRUQURUSYBYDXELXSYBYDWSXIWOOZ
      PZXNSZIXPQZFRZXEYBYCYHFYCWTXKPZXNSZIXPQZXBSZGTZYBYHXQYLXBGHXHWTPZXOYKIXPY
      OXLYJXNXHWTXKUGUTUHVAYNYKXBSZIXPQZGTZYBYHYQYMGYKXBIXPVBVCYRYPGTZIXPQYBYHY
      PIGXPVDYBYSYGIXPYSXNWSXKWOOZPZSZYBYGYSYJXNXBSZSZGTUUBYPUUDGYJXNXBVEVCUUCU
      UBGXKXIXJIVIVFYJXBUUAXNYJXAYTWSWTXKWOUIUJVGVJVKUUBUUAXNSYBYGXNUUAVLYBUUAY
      FXNYBYTYEWSYBWJWOXJVMYTYEPWIWJWKYAVNEUDDVOXIWOXJVPVQUJUTVRVRUHVTVTVRURWIW
      JYAYIXELWKIFXMEVSWAWBWHWBWKWIXSJXTQZWJWKDKLUUEIHCDJWCWDWEWFWG $.
  $}

  ${
    $d N t a b $.  $d A a b $.  $d B a b $.

    $( This is the first of a number of theorems which allow sets to be proven
       Diophantine by syntactic induction, and models the correspondence
       between Diophantine sets and monotone existential first-order logic.
       This first theorem shows that the zero set of an implicit polynomial is
       Diophantine.  (Contributed by Stefan O'Rear, 10-Oct-2014.) $)
    eq0rabdioph $p |- ( ( N e. NN0 /\ ( t e. ( ZZ ^m ( 1 ... N ) ) |-> A ) e. (
        mzPoly ` ( 1 ... N ) ) ) -> { t e. ( NN0 ^m ( 1 ... N ) ) | A = 0 } e.
        ( Dioph ` N ) ) $=
      ( va vb cn0 wcel cz co cmap cfv wa cc0 wceq crab cv wrex cab nfv eqtrdi
      c1 cfz cmpt cmzp cres cdioph wb wral nfmpt1 nfel1 nfan cvv wss zex nn0ssz
      mapss mp2an sseli adantl wf mzpf mptfcl imp syl2an adantll fvmpt2 syl2anc
      eqid eqcomd eqeq1d ralrimi rabbi sylib nfcv nffvmpt1 nfeq1 fveqeq2 df-rab
      cbvrabw wfn elmapi ffn fnresdm 3syl eqeq2d equcom bitrdi anbi1d ceqsrexbv
      rexbiia bitr2i abbii cuz simpl nn0z uzid syl adantr simpr eldioph syl3anc
      ex eqeltrd ) CFGZAHUACUBIZJIZBUCZXEUDKZGZLZBMNZAFXEJIZOZDPZEPZXEUEZNZXOXG
      KMNZLZEXLQZDRZCUFKZXJXMXNXLGXNXGKZMNZLZDRZYAXJXMYDDXLOZYFXJXMAPZXGKZMNZAX
      LOZYGXJXKYJUGZAXLUHXMYKNXJYLAXLXDXIAXDASAXGXHAXFBUIUJUKXJYHXLGZYLXJYMLZBY
      IMYNYIBYNYHXFGZBHGZYIBNYMYOXJXLXFYHHULGFHUMXLXFUMUNUOFHXEULUPUQURZUSXIYMY
      PXDXIXFHXGUTZYOYPYMXGXEVAYQYRYOYPAXFBHVBVCVDVEAXFBHXGXGVHVFVGVIVJXBVKXKYJ
      AXLVLVMYJYDADXLAXLVNDXLVNYJDSAYCMAXFBXNVOVPYHXNMXGVQVSTYDDXLVRTYEXTDXTXOX
      NNZXRLZEXLQYEXSYTEXLXOXLGZXQYSXRUUAXQXNXONYSUUAXPXOXNUUAXEFXOUTXOXEVTXPXO
      NXOFXEWAXEFXOWBXEXOWCWDWEDEWFWGWHWJXRYDEXNXLXOXNMXGVQWIWKWLTXJXDCCWMKGZXI
      YAYBGXDXIWNXDUUBXIXDCHGUUBCWOCWPWQWRXDXIWSEDXGCCWTXAXC $.

    $( Diophantine set builder for equality of polynomial expressions.  Note
       that the two expressions need not be nonnegative; only variables are so
       constrained.  (Contributed by Stefan O'Rear, 10-Oct-2014.) $)
    eqrabdioph $p |- ( ( N e. NN0 /\ ( t e. ( ZZ ^m ( 1 ... N ) ) |-> A ) e. (
        mzPoly ` ( 1 ... N ) ) /\ ( t e. ( ZZ ^m ( 1 ... N ) ) |-> B ) e. (
        mzPoly ` ( 1 ... N ) ) ) -> { t e. ( NN0 ^m ( 1 ... N ) ) | A = B } e.
        ( Dioph ` N ) ) $=
      ( cn0 wcel cz co cmap cmpt cfv wceq crab wa nfmpt1 nfel1 wf mzpf cvv wss
      c1 cfz cmzp w3a cmin cc0 cdioph wb wral nfan cv ad2antrr zex nn0ssz mapss
      mp2an sseli adantl mptfcl sylc zcnd ad2antlr subeq0ad ralrimi rabbi sylib
      bicomd ex 3adant1 simp1 mzpsubmpt eq0rabdioph syl2anc eqeltrd ) DEFZAGUAD
      UBHZIHZBJZVPUCKZFZAVQCJZVSFZUDZBCLZAEVPIHZMZBCUEHZUFLZAWEMZDUGKZVTWBWFWIL
      ZVOVTWBNZWDWHUHZAWEUIWKWLWMAWEVTWBAAVRVSAVQBOPAWAVSAVQCOPUJWLAUKZWEFZWMWL
      WONZWHWDWPBCWPBWPVQGVRQZWNVQFZBGFVTWQWBWOVRVPRULWOWRWLWEVQWNGSFEGTWEVQTUM
      UNEGVPSUOUPUQURZAVQBGUSUTVAWPCWPVQGWAQZWRCGFWBWTVTWOWAVPRVBWSAVQCGUSUTVAV
      CVGVHVDWDWHAWEVEVFVIWCVOAVQWGJVSFZWIWJFVOVTWBVJVTWBXAVOABCVPVKVIAWGDVLVMV
      N $.

    $( The null set is Diophantine.  (Contributed by Stefan O'Rear,
       10-Oct-2014.) $)
    0dioph $p |- ( A e. NN0 -> (/) e. ( Dioph ` A ) ) $=
      ( va cn0 wcel c0 c1 cc0 wceq cfz co cmap crab cdioph wn wral ax-1ne0 neii
      cfv rgenw cz rabeq0 mpbir cmpt cmzp ovex 1z mzpconstmpt mp2an eq0rabdioph
      cvv mpan2 eqeltrrid ) ACDZEFGHZBCFAIJZKJZLZAMRZUQEHUNNZBUPOUSBUPFGPQSUNBU
      PUAUBUMBTUOKJFUCUOUDRDZUQURDUOUJDFTDUTFAIUEUFBFUOUGUHBFAUIUKUL $.

    $( The "universal" set (as large as possible given ~ eldiophss ) is
       Diophantine.  (Contributed by Stefan O'Rear, 10-Oct-2014.) $)
    vdioph $p |- ( A e. NN0 -> ( NN0 ^m ( 1 ... A ) ) e. ( Dioph ` A ) ) $=
      ( va cn0 wcel c1 cfz cmap cc0 wceq crab cdioph cfv wral eqid rgenw rabid2
      co mpbir cz cmpt cmzp cvv 0z mzpconstmpt mp2an eq0rabdioph mpan2 eqeltrid
      ovex ) ACDZCEAFQZGQZHHIZBULJZAKLZULUNIUMBULMUMBULHNOUMBULPRUJBSUKGQHTUKUA
      LDZUNUODUKUBDHSDUPEAFUIUCBHUKUDUEBHAUFUGUH $.

    $( Diophantine set builder for conjunctions.  (Contributed by Stefan
       O'Rear, 10-Oct-2014.) $)
    anrabdioph $p |- ( ( { t e. ( NN0 ^m ( 1 ... N ) ) | ph } e. ( Dioph ` N )
        /\ { t e. ( NN0 ^m ( 1 ... N ) ) | ps } e. ( Dioph ` N ) ) -> { t e. (
        NN0 ^m ( 1 ... N ) ) | ( ph /\ ps ) } e. ( Dioph ` N ) ) $=
      ( cn0 c1 cfz co cmap crab cdioph cfv wcel wa cin inrab diophin eqeltrrid
      ) ACEFDGHIHZJZDKLZMBCSJZUAMNABNCSJTUBOUAABCSPTUBDQR $.

    $( Diophantine set builder for disjunctions.  (Contributed by Stefan
       O'Rear, 10-Oct-2014.) $)
    orrabdioph $p |- ( ( { t e. ( NN0 ^m ( 1 ... N ) ) | ph } e. ( Dioph ` N )
        /\ { t e. ( NN0 ^m ( 1 ... N ) ) | ps } e. ( Dioph ` N ) ) -> { t e. (
        NN0 ^m ( 1 ... N ) ) | ( ph \/ ps ) } e. ( Dioph ` N ) ) $=
      ( cn0 c1 cfz co cmap crab cdioph cfv wcel wa cun unrab diophun eqeltrrid
      wo ) ACEFDGHIHZJZDKLZMBCTJZUBMNABSCTJUAUCOUBABCTPUAUCDQR $.

    $( Diophantine set builder for ternary conjunctions.  (Contributed by
       Stefan O'Rear, 10-Oct-2014.) $)
    3anrabdioph $p |- ( ( { t e. ( NN0 ^m ( 1 ... N ) ) | ph } e. ( Dioph ` N )
        /\ { t e. ( NN0 ^m ( 1 ... N ) ) | ps } e. ( Dioph ` N ) /\ { t e. (
        NN0 ^m ( 1 ... N ) ) | ch } e. ( Dioph ` N ) ) -> { t e. ( NN0 ^m ( 1
        ... N ) ) | ( ph /\ ps /\ ch ) } e. ( Dioph ` N ) ) $=
      ( cn0 c1 cfz co cmap crab cdioph cfv wcel w3a wa df-3an rabbii anrabdioph
      sylan eqeltrid 3impa ) ADFGEHIJIZKELMZNZBDUCKUDNZCDUCKUDNZABCOZDUCKZUDNUE
      UFPZUGPUIABPZCPZDUCKZUDUHULDUCABCQRUJUKDUCKUDNUGUMUDNABDESUKCDESTUAUB $.

    $( Diophantine set builder for ternary disjunctions.  (Contributed by
       Stefan O'Rear, 10-Oct-2014.) $)
    3orrabdioph $p |- ( ( { t e. ( NN0 ^m ( 1 ... N ) ) | ph } e. ( Dioph ` N )
        /\ { t e. ( NN0 ^m ( 1 ... N ) ) | ps } e. ( Dioph ` N ) /\ { t e. (
        NN0 ^m ( 1 ... N ) ) | ch } e. ( Dioph ` N ) ) -> { t e. ( NN0 ^m ( 1
        ... N ) ) | ( ph \/ ps \/ ch ) } e. ( Dioph ` N ) ) $=
      ( cn0 c1 cfz co cmap crab cdioph cfv wcel w3o wa df-3or rabbii orrabdioph
      wo sylan eqeltrid 3impa ) ADFGEHIJIZKELMZNZBDUDKUENZCDUDKUENZABCOZDUDKZUE
      NUFUGPZUHPUJABTZCTZDUDKZUEUIUMDUDABCQRUKULDUDKUENUHUNUENABDESULCDESUAUBUC
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Diophantine sets 4 miscellanea
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A c $.  $d B c $.  $d C b $.  $d a c $.  $d b c $.  $d C a $.
    $( Exchange an existential quantifier with two substitutions.  (Contributed
       by Stefan O'Rear, 11-Oct-2014.)  (Revised by NM, 24-Aug-2018.) $)
    2sbcrex $p |- ( [. A / a ]. [. B / b ]. E. c e. C ph
       <-> E. c e. C [. A / a ]. [. B / b ]. ph ) $=
      ( wrex wsbc sbcrex sbcbii bitri ) AGDHFCIZEBIAFCIZGDHZEBINEBIGDHMOEBAFGCD
      JKNEGBDJL $.
  $}

  ${
    $d y z A $.  $d x B $.  $d x y z $.  $d ph z $.  $d B z $.
    $( Interchange class substitution and restricted existential quantifier.
       (Contributed by NM, 15-Nov-2005.)  (Proof shortened by Andrew Salmon,
       29-Jun-2011.)  Obsolete as of 18-Aug-2018.  Use ~ sbcrex instead.
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    sbcrexgOLD $p |- ( A e. V ->
                 ( [. A / x ]. E. y e. B ph <-> E. y e. B [. A / x ]. ph ) ) $=
      ( vz wrex wsb wsbc dfsbcq2 wceq rexbidv nfcv nfs1v nfrex weq sbequ12 sbie
      cv vtoclbg ) ACEHZBGIABGIZCEHZUBBDJABDJZCEHGDFUBBGDKGTDLUCUECEABGDKMUBUDB
      GUCBCEBENABGOPBGQAUCCEABGRMSUA $.
  $}

  ${
    $d A c $.  $d B c $.  $d C b $.  $d a c $.  $d b c $.  $d C a $.
    2sbcrex.1 $e |- A e. _V $.
    2sbcrex.2 $e |- B e. _V $.
    $( Exchange an existential quantifier with two substitutions.  (Contributed
       by Stefan O'Rear, 11-Oct-2014.)  Obsolete as of 24-Aug-2018.  Use
       ~ csbov123 instead.  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    2sbcrexOLD $p |- ( [. A / a ]. [. B / b ]. E. c e. C ph
       <-> E. c e. C [. A / a ]. [. B / b ]. ph ) $=
      ( wrex wsbc cvv wcel wb sbcrexgOLD ax-mp sbcbii bitri ) AGDJFCKZEBKAFCKZG
      DJZEBKZTEBKGDJZSUAEBCLMSUANIAFGCDLOPQBLMUBUCNHTEGBDLOPR $.
  $}

  ${
    $d A b $.  $d A c $.  $d B a $.  $d C a $.  $d a b $.  $d a c $.
    $( Exchange a substitution with two existentials.  (Contributed by Stefan
       O'Rear, 11-Oct-2014.)  (Revised by NM, 24-Aug-2018.) $)
    sbc2rex $p |- ( [. A / a ]. E. b e. B E. c e. C ph
       <-> E. b e. B E. c e. C [. A / a ]. ph ) $=
      ( wrex wsbc sbcrex rexbii bitri ) AGDHZFCHEBIMEBIZFCHAEBIGDHZFCHMEFBCJNOF
      CAEGBDJKL $.

    $( Exchange a substitution with two existentials.  (Contributed by Stefan
       O'Rear, 11-Oct-2014.)  Obsolete as of 24-Aug-2018.  Use ~ csbov123
       instead.  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    sbc2rexgOLD $p |- ( A e. V -> ( [. A / a ]. E. b e. B E. c e. C ph
       <-> E. b e. B E. c e. C [. A / a ]. ph ) ) $=
      ( wcel cvv wrex wsbc wb elex sbcrexgOLD rexbidv bitrd syl ) BEIBJIZAHDKZG
      CKFBLZAFBLHDKZGCKZMBENSUATFBLZGCKUCTFGBCJOSUDUBGCAFHBDJOPQR $.

    $d A d $.  $d A e $.  $d D a $.  $d E a $.  $d a d $.  $d a e $.
    $( Exchange a substitution with four existentials.  (Contributed by Stefan
       O'Rear, 11-Oct-2014.)  (Revised by NM, 24-Aug-2018.) $)
    sbc4rex $p |- ( [. A / a ]. E. b e. B E. c e. C E. d e. D E. e e. E ph
           <-> E. b e. B E. c e. C E. d e. D E. e e. E [. A / a ]. ph ) $=
      ( wrex wsbc sbc2rex 2rexbii bitri ) AFGLKELZJDLICLHBMQHBMZJDLICLAHBMFGLKE
      LZJDLICLQBCDHIJNRSIJCDABEGHKFNOP $.

    $( Exchange a substitution with four existentials.  (Contributed by Stefan
       O'Rear, 11-Oct-2014.)  Obsolete as of 24-Aug-2018.  Use ~ csbov123
       instead.  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    sbc4rexgOLD $p |- ( A e. V
      -> ( [. A / a ]. E. b e. B E. c e. C E. d e. D E. e e. E ph
           <-> E. b e. B E. c e. C E. d e. D E. e e. E [. A / a ]. ph ) ) $=
      ( wcel cvv wrex wsbc wb elex sbc2rexgOLD 2rexbidv bitrd syl ) BHMBNMZAFGO
      LEOZKDOJCOIBPZAIBPFGOLEOZKDOJCOZQBHRUCUEUDIBPZKDOJCOUGUDBCDNIJKSUCUHUFJKC
      DABEGNILFSTUAUB $.
  $}

  ${
    $d A b $.  $d A c $.  $d B a $.  $d C a $.  $d a c $.  $d a b $.
    $( also my first direct use of sp $)
    $( Rotate a sequence of three explicit substitutions.  (Contributed by
       Stefan O'Rear, 11-Oct-2014.)  (Revised by Mario Carneiro,
       11-Dec-2016.) $)
    sbcrot3 $p |- ( [. A / a ]. [. B / b ]. [. C / c ]. ph <->
      [. B / b ]. [. C / c ]. [. A / a ]. ph ) $=
      ( wsbc sbccom sbcbii bitri ) AGDHZFCHEBHLEBHZFCHAEBHGDHZFCHLEFBCIMNFCAEGB
      DIJK $.

    $d A d $.  $d A e $.  $d D a $.  $d E a $.  $d a e $.  $d a d $.
    $( Rotate a sequence of five explicit substitutions.  (Contributed by
       Stefan O'Rear, 11-Oct-2014.)  (Revised by Mario Carneiro,
       11-Dec-2016.) $)
    sbcrot5 $p |- ( [. A / a ]. [. B / b ]. [. C / c ]. [. D / d ].
        [. E / e ]. ph
      <-> [. B / b ]. [. C / c ]. [. D / d ]. [. E / e ]. [. A / a ]. ph ) $=
      ( wsbc sbcrot3 sbcbii bitri ) AFGLKELZJDLICLHBLPHBLZJDLZICLAHBLFGLKELZJDL
      ZICLPBCDHIJMRTICQSJDABEGHKFMNNO $.
  $}

  ${
    $d A a b $.  $d C a $.
    sbccomieg.1 $e |- ( a = A -> B = C ) $.
    $( Commute two explicit substitutions, using an implicit substitution to
       rewrite the exiting substitution.  (Contributed by Stefan O'Rear,
       11-Oct-2014.)  (Revised by Mario Carneiro, 11-Dec-2016.) $)
    sbccomieg $p |- ( [. A / a ]. [. B / b ]. ph
         <-> [. C / b ]. [. A / a ]. ph ) $=
      ( wsbc cvv wcel sbcex wex spesbc exlimiv syl nfcv nfsbc1v nfsbcw cv wceq
      sbceq1a sbceqbid sbciegf pm5.21nii ) AFCHZEBHBIJZAEBHZFDHZUEEBKUHUGFLUFUG
      FDMUGUFFAEBKNOUEUHEBIUGEFDEDPAEBQRESBTAUGFCDGAEBUAUBUCUD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Diophantine sets 4: Quantification
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d N t u v a b c $.  $d M t u v a b c $.  $d ph u v a b c $.
    $d ps t a b c $.  $d ch v a b c $.
    rexrabdioph.1 $e |- M = ( N + 1 ) $.
    rexrabdioph.2 $e |- ( v = ( t ` M ) -> ( ps <-> ch ) ) $.
    rexrabdioph.3 $e |- ( u = ( t |` ( 1 ... N ) ) -> ( ch <-> ph ) ) $.
    $( Diophantine set builder for existential quantification.  (Contributed by
       Stefan O'Rear, 10-Oct-2014.) $)
    rexrabdioph $p |- ( ( N e. NN0 /\ { t e. ( NN0 ^m ( 1 ... M ) ) | ph } e. (
        Dioph ` M ) ) -> { u e. ( NN0 ^m ( 1 ... N ) ) | E. v e. NN0 ps } e. (
        Dioph ` N ) ) $=
      ( va vb vc cn0 wcel wa wrex wceq wsbc c1 cfz co cmap crab cdioph cfv cres
      cab df-rab dfsbcq cbvrexvw anbi2i r19.42v bitr4i cop csn cun simpll simpr
      cv simplr mapfzcons syl3anc adantrr mapfzcons2 syl2anc mapfzcons1 sbceq1d
      eqcomd adantl sbceqbid biimpd fveq1 reseq1 eqeq2d anbi12d rspcev syl12anc
      impr rexlimdva2 wf elmapi caddc nn0p1nn eqeltrid elfz1end ffvelrn syl2anr
      sylib adantr simprr mapfzcons1cl ad2antlr eqeltrd simprl sbcbidv ad2antll
      cn wb mpbird anbi2d impbid syl5bb abbidv syl5eq nfcv nfsbc1v nfsbcw nfrex
      nfv weq sbceq1a rexbidv cbvrexw bitrdi cbvrabw rexrab abbii 3eqtr4g resex
      fvex vex sylan9bb sbc2ie rabbii rexeqi eqtrdi simpl cz nn0z uzid peano2uz
      cuz 3syl diophrex ) HOPZAFOUAGUBUCZUDUCZUEZGUFUGPZQZBDORZEOUAHUBUCZUDUCZU
      EZLVAZMVAZUUDUHZSZMYTRZLUIZHUFUGZYQUUFUULSUUAYQUUFUUJMBEFVAZUUDUHZTZDGUUN
      UGZTZFYSUEZRZLUIZUULYQBEUUGTZDUUHTZMORZLUUEUEZBEUUITZDGUUHUGZTZUUJQZMYSRZ
      LUIZUUFUVAYQUVEUUGUUEPZUVDQZLUIUVKUVDLUUEUJYQUVMUVJLUVMUVLUVBDNVAZTZQZNOR
      ZYQUVJUVMUVLUVONORZQUVQUVDUVRUVLUVCUVOMNOUVBDUUHUVNUKULUMUVLUVONOUNUOYQUV
      QUVJYQUVPUVJNOYQUVNOPZQZUVPQUUGGUVNUPUQURZYSPZBEUWAUUDUHZTZDGUWAUGZTZUUGU
      WCSZUVJUVTUVLUWBUVOUVTUVLQZYQUVLUVSUWBYQUVSUVLUSUVTUVLUTZYQUVSUVLVBZUUGOU
      VNGHIVCVDVEUVTUVLUVOUWFUWHUVOUWFUWHUVBUWDDUVNUWEUWHUWEUVNUWHUVLUVSUWEUVNS
      UWIUWJUUGOUVNGHIVFVGVJUWHBEUUGUWCUWHUWCUUGUVLUWCUUGSUVTUUGOUVNGHIVHVKVJZV
      IVLVMVTUVTUVLUWGUVOUWKVEUVIUWFUWGQMUWAYSUUHUWASZUVHUWFUUJUWGUWLUVFUWDDUVG
      UWEGUUHUWAVNUWLBEUUIUWCUUHUWAUUDVOZVIVLUWLUUIUWCUUGUWMVPVQVRVSWAYQUVIUVQM
      YSYQUUHYSPZQZUVIQZUVGOPZUVLUVBDUVGTZUVQUWOUWQUVIUWNYROUUHWBGYRPZUWQYQUUHO
      YRWCYQGWSPUWSYQGHUAWDUCZWSIHWEWFGWGWJYROGUUHWHWIWKUWPUUGUUIUUEUWOUVHUUJWL
      UWNUUIUUEPYQUVIUUHOGHIWMWNWOUWPUWRUVHUWOUVHUUJWPUUJUWRUVHWTUWOUVHUUJUVBUV
      FDUVGBEUUGUUIUKWQWRXAUVPUVLUWRQNUVGOUVNUVGSUVOUWRUVLUVBDUVNUVGUKXBVRVSWAX
      CXDXEXFUUCUVDELUUEEUUEXGLUUEXGUUCLXKUVCEMOEOXGUVBEDUUHEUUHXGBEUUGXHXIXJEL
      XLZUUCUVBDORUVDUXABUVBDOBEUUGXMXNUVBUVCDMOUVBMXKUVBDUUHXHUVBDUUHXMXOXPXQU
      UTUVJLUURUVHUUJMFYSFMXLZUUPUVFDUUQUVGGUUNUUHVNUXBBEUUOUUIUUNUUHUUDVOVIVLX
      RXSXTUUTUUKLUUJMUUSYTUURAFYSBADEUUQUUOGUUNYBUUNUUDFYCYADVAUUQSBCEVAUUOSAJ
      KYDYEYFYGXSYHWKUUBYQGHYNUGZPZUUAUULUUMPYQUUAYIYQUXDUUAYQGUWTUXCIYQHYJPHUX
      CPUWTUXCPHYKHYLHHYMYOWFWKYQUUAUTMLYTGHYPVDWO $.
  $}

  ${
    $d G a b t u v w x y z p q $.  $d H a b t u v w x y z p q $.
    $d I a b t u v w x y z p q $.  $d J a b t u v w x y z p q $.
    $d K a b t u v w x y z p q $.  $d L a b t u v w x y z p q $.
    $d M a b t u v w x y z p q $.  $d N a b t u v w x y z p q $.
    $d ph a b t $.
    rexfrabdioph.1 $e |- M = ( N + 1 ) $.
    $( Diophantine set builder for existential quantifier, explicit
       substitution.  (Contributed by Stefan O'Rear, 11-Oct-2014.)  (Revised by
       Stefan O'Rear, 6-May-2015.) $)
    rexfrabdioph $p |- ( ( N e. NN0 /\ { t e. ( NN0 ^m ( 1 ... M ) )
   | [. ( t |` ( 1 ... N ) ) / u ]. [. ( t ` M ) / v ]. ph } e. ( Dioph ` M ) )
      -> { u e. ( NN0 ^m ( 1 ... N ) ) | E. v e. NN0 ph } e. ( Dioph ` N ) ) $=
      ( vb va cn0 wcel cv cfv wsbc c1 cfz co crab wrex nfcv cres cmap cdioph wa
      nfv nfsbc1v nfrex wceq sbceq1a cbvrexw rexbidv syl5bb cbvrabw rexrabdioph
      dfsbcq sbcbidv eqeltrid ) FJKABEDLZMZNZCUROFPQZUAZNZDJOEPQUBQREUCMKUDABJS
      ZCJVAUBQZRABHLZNZCILZNZHJSZIVERFUCMVDVJCIVECVETIVETVDIUEVICHJCJTVGCVHUFUG
      VDVGHJSCLVHUHZVJAVGBHJAHUEABVFUFABVFUIUJVKVGVIHJVGCVHUIUKULUMVCVIUTCVHNHI
      DEFGVFUSUHVGUTCVHABVFUSUOUPUTCVHVBUOUNUQ $.

    rexfrabdioph.2 $e |- L = ( M + 1 ) $.
    $( Diophantine set builder for existential quantifier, explicit
       substitution, two variables.  (Contributed by Stefan O'Rear,
       11-Oct-2014.)  (Revised by Stefan O'Rear, 6-May-2015.) $)
    2rexfrabdioph $p |- ( ( N e. NN0 /\ { t e. ( NN0 ^m ( 1 ... L ) )
 | [. ( t |` ( 1 ... N ) ) / u ]. [. ( t ` M ) / v ]. [. ( t ` L ) / w ]. ph }
  e. ( Dioph ` L ) ) -> { u e. ( NN0 ^m ( 1 ... N ) ) | E. v e. NN0 E. w e.
        NN0 ph } e. ( Dioph ` N ) ) $=
      ( va cn0 wcel cfv wsbc c1 cfz co cres crab cv cmap cdioph wrex wa 2sbcrex
      rabbii peano2nn0 eqeltrid adantr sbcrot3 sbcbii reseq1 sbccomieg wss wceq
      caddc fzssp1 oveq2i sseqtrri resabs1 dfsbcq mp2b cvv resex fveq1 sbcco3gw
      wb vex ax-mp cn nn0p1nn elfz1end sylib fvres 3syl sbcbidv bitr2id rabbidv
      syl5bb eleq1d biimpa rexfrabdioph syl2anc syldan ) HLMZABFEUAZNZOZCGWGNZO
      ZDWGPHQRZSZOZELPFQRUBRZTZFUCNZMZABLUDZCGKUAZNZODWTWLSZOZKLPGQRZUBRZTZGUCN
      ZMWSCLUDDLWLUBRTHUCNMWFWRUEZXFACXAODXBOZBLUDZKXETZXGXCXJKXEAXBXALDCBUFUGX
      HGLMZXIBWHOZKWGXDSZOZEWOTZWQMZXKXGMWFXLWRWFGHPUQRZLIHUHUIUJWFWRXQWFWPXPWQ
      WFWNXOEWOXOWICXAOZDXBOZKXNOZWFWNXMXTKXNAWHXBXABDCUKULYAXSKXNOZDXNWLSZOZWF
      WNXSXNXBYCKDWTXNWLUMUNYDYBDWMOZWFWNWLXDUOYCWMUPYDYEVHWLPXRQRXDPHURGXRPQIU
      SUTWGWLXDVAYBDYCWMVBVCWFYBWKDWMYBWICGXNNZOZWFWKXNVDMYBYGVHWGXDEVIVEWIKCXN
      XAYFVDGWTXNVFVGVJWFGXDMZYFWJUPYGWKVHWFGVKMYHWFGXRVKIHVLUIGVMVNGXDWGVOWICY
      FWJVBVPVTVQVTVTVRVSWAWBXIBKEFGJWCWDUIWSCDKGHIWCWE $.

    rexfrabdioph.3 $e |- K = ( L + 1 ) $.
    $( Diophantine set builder for existential quantifier, explicit
       substitution, two variables.  (Contributed by Stefan O'Rear,
       17-Oct-2014.)  (Revised by Stefan O'Rear, 6-May-2015.) $)
    3rexfrabdioph $p |- ( ( N e. NN0
          /\ { t e. ( NN0 ^m ( 1 ... K ) )
      | [. ( t |` ( 1 ... N ) ) / u ]. [. ( t ` M ) / v ]. [. ( t ` L ) / w ].
      [. ( t ` K ) / x ]. ph } e. ( Dioph ` K ) )
   -> { u e. ( NN0 ^m ( 1 ... N ) )
        | E. v e. NN0 E. w e. NN0 E. x e. NN0 ph } e. ( Dioph ` N ) ) $=
      ( va cn0 wcel cfv wsbc c1 co cv cfz cres cmap crab cdioph wrex wa sbc2rex
      sbcbii bitri rabbii caddc nn0p1nn eqeltrid nnnn0d adantr reseq1 sbccomieg
      cn sbcrot3 wss wceq wb fzssp1 oveq2i sseqtrri resabs1 dfsbcq mp2b cvv vex
      resex fveq1 sbcco3gw ax-mp sylib fvres 3syl syl5bb sbcbidv bitr3id eleq1d
      elfz1end rabbidv biimpar 2rexfrabdioph syl2anc rexfrabdioph syldan ) JOPZ
      ABGFUAZQZRCHWLQZRZDIWLQZRZEWLSJUBTZUCZRZFOSGUBTUDTZUEZGUFQZPZABOUGCOUGZDI
      NUAZQZRZEXFWRUCZRZNOSIUBTZUDTZUEZIUFQZPXEDOUGEOWRUDTUEJUFQPWKXDUHZXMADXGR
      ZEXIRZBOUGCOUGZNXLUEZXNXJXRNXLXJXPBOUGCOUGZEXIRXRXHXTEXIAXGOODCBUIUJXPXIO
      OECBUIUKULXOIOPZXQBWMRCWNRZNWLXKUCZRZFXAUEZXCPZXSXNPWKYAXDWKIWKIJSUMTZUTK
      JUNUOZUPUQWKYFXDWKYEXBXCWKYDWTFXAYDWODXGRZEXIRZNYCRZWKWTYJYBNYCYJXPBWMRCW
      NRZEXIRYBYIYLEXIAXGWNWMDCBVAUJXPXIWNWMECBVAUKUJYKYINYCRZEYCWRUCZRZWKWTYIY
      CXIYNNEXFYCWRURUSYOYMEWSRZWKWTWRXKVBYNWSVCYOYPVDWRSYGUBTXKSJVEIYGSUBKVFVG
      WLWRXKVHYMEYNWSVIVJWKYMWQEWSYMWODIYCQZRZWKWQYCVKPYMYRVDWLXKFVLVMWONDYCXGY
      QVKIXFYCVNVOVPWKIXKPZYQWPVCYRWQVDWKIUTPYSYHIWDVQIXKWLVRWODYQWPVIVSVTWAVTV
      TWBWEWCWFXQBCNFGHILMWGWHUOXEDENIJKWIWJ $.

    rexfrabdioph.4 $e |- J = ( K + 1 ) $.
    $( Diophantine set builder for existential quantifier, explicit
       substitution, four variables.  (Contributed by Stefan O'Rear,
       11-Oct-2014.)  (Revised by Stefan O'Rear, 6-May-2015.) $)
    4rexfrabdioph $p |- ( ( N e. NN0 /\ { t e. ( NN0 ^m ( 1 ... J ) )
       | [. ( t |` ( 1 ... N ) ) / u ]. [. ( t ` M ) / v ]. [. ( t ` L ) / w ].
       [. ( t ` K ) / x ]. [. ( t ` J ) / y ]. ph } e. ( Dioph ` J ) )
   -> { u e. ( NN0 ^m ( 1 ... N ) ) | E. v e. NN0 E. w e. NN0 E. x e. NN0
        E. y e. NN0 ph } e. ( Dioph ` N ) ) $=
      ( va cn0 wcel wsbc cv cfv c1 cfz co cres cmap crab cdioph wrex wa 2sbcrex
      rexbii bitri sbcbii sbc2rex rabbii caddc eqeltrid peano2nnd nnnn0d adantr
      cn nn0p1nn sbcrot3 bitr3i reseq1 sbccomieg wceq wb fzssp1 oveq2i sseqtrri
      wss sstri resabs1 dfsbcq mp2b fveq1 elfz1end sylib sselid fvres cvv resex
      3syl vex sbcco3gw ax-mp syl5bb sbcbidv bitrd rabbidv eleq1d 2rexfrabdioph
      biimpar syl2anc syldan ) LRSZACHGUAZUBZTZBIWTUBZTZDJWTUBZTZEKWTUBZTZFWTUC
      LUDUEZUFZTZGRUCHUDUEUGUEZUHZHUIUBZSZACRUJZBRUJZDJQUAZUBZTEKXRUBZTZFXRXIUF
      ZTZQRUCJUDUEZUGUEZUHZJUIUBZSXQDRUJERUJFRXIUGUEUHLUIUBSWSXOUKZYFADXSTEXTTZ
      FYBTZCRUJBRUJZQYEUHZYGYCYKQYEYCYICRUJZBRUJZFYBTYKYAYNFYBYAXPDXSTEXTTZBRUJ
      YNXPXTXSREDBULYOYMBRAXTXSREDCULUMUNUOYIYBRRFBCUPUNUQYHJRSZYJCXATBXCTZQWTY
      DUFZTZGXLUHZXNSZYLYGSWSYPXOWSJWSJKUCURUEZVCNWSKWSKLUCURUEZVCMLVDUSZUTUSZV
      AVBWSUUAXOWSYTXMXNWSYSXKGXLYSXDDXSTZEXTTZFYBTZQYRTZWSXKYQUUHQYRYQYICXATZB
      XCTZFYBTUUHYIYBXCXAFBCVEUUKUUGFYBUUKXBDXSTEXTTZBXCTUUGUUJUULBXCAXAXTXSCED
      VEUOXBXCXTXSBEDVEUNUOVFUOUUIUUGQYRTZFYRXIUFZTZWSXKUUGYRYBUUNQFXRYRXIVGVHU
      UOUUMFXJTZWSXKXIYDVNUUNXJVIUUOUUPVJXIUCKUDUEZYDXIUCUUCUDUEUUQUCLVKKUUCUCU
      DMVLVMUUQUCUUBUDUEYDUCKVKJUUBUCUDNVLVMZVOWTXIYDVPUUMFUUNXJVQVRWSUUMXHFXJU
      UMUUFQYRTZEKYRUBZTZWSXHUUFYRXTUUTQEKXRYRVSVHWSUVAUUSEXGTZXHWSKYDSUUTXGVIU
      VAUVBVJWSUUQYDKUURWSKVCSKUUQSUUDKVTWAWBKYDWTWCUUSEUUTXGVQWFWSUUSXFEXGUUSX
      DDJYRUBZTZWSXFYRWDSUUSUVDVJWTYDGWGWEXDQDYRXSUVCWDJXRYRVSWHWIWSJYDSZUVCXEV
      IUVDXFVJWSJVCSUVEUUEJVTWAJYDWTWCXDDUVCXEVQWFWJWKWLWJWKWJWJWJWMWNWPYJCBQGH
      IJOPWOWQUSXQDEFQJKLMNWOWR $.

    rexfrabdioph.5 $e |- I = ( J + 1 ) $.
    rexfrabdioph.6 $e |- H = ( I + 1 ) $.
    $( Diophantine set builder for existential quantifier, explicit
       substitution, six variables.  (Contributed by Stefan O'Rear,
       11-Oct-2014.)  (Revised by Stefan O'Rear, 6-May-2015.) $)
    6rexfrabdioph $p |- ( ( N e. NN0 /\ { t e. ( NN0 ^m ( 1 ... H ) )
       | [. ( t |` ( 1 ... N ) ) / u ]. [. ( t ` M ) / v ]. [. ( t ` L ) / w ].
       [. ( t ` K ) / x ]. [. ( t ` J ) / y ]. [. ( t ` I ) / z ].
       [. ( t ` H ) / p ]. ph } e. ( Dioph ` H ) )
  -> { u e. ( NN0 ^m ( 1 ... N ) ) | E. v e. NN0 E. w e. NN0 E. x e. NN0
       E. y e. NN0 E. z e. NN0 E. p e. NN0 ph } e. ( Dioph ` N ) ) $=
      ( va cn0 wcel cv cfv wsbc c1 cfz co cres cmap crab cdioph wrex wa sbc4rex
      sbcbii bitri rabbii caddc nn0p1nn eqeltrid peano2nnd nnnn0d adantr reseq1
      cn sbcrot5 sbccomieg wss wceq fzssp1 oveq2i sseqtrri sstri resabs1 dfsbcq
      mp2b fveq1 elfz1end sylib sselid fvres 3syl cvv vex resex sbcco3gw syl5bb
      wb ax-mp sbcbidv bitrd bitr3id rabbidv eleq1d 4rexfrabdioph 2rexfrabdioph
      biimpar syl2anc syldan ) OUDUEZAPIHUFZUGZUHDJXEUGZUHCKXEUGZUHBLXEUGZUHZEM
      XEUGZUHZFNXEUGZUHZGXEUIOUJUKZULZUHZHUDUIIUJUKUMUKZUNZIUOUGZUEZAPUDUPDUDUP
      CUDUPBUDUPZEMUCUFZUGZUHZFNYCUGZUHZGYCXOULZUHZUCUDUIMUJUKZUMUKZUNZMUOUGZUE
      YBEUDUPFUDUPGUDXOUMUKUNOUOUGUEXDYAUQZYLAEYDUHZFYFUHZGYHUHZPUDUPDUDUPCUDUP
      BUDUPZUCYKUNZYMYIYRUCYKYIYPPUDUPDUDUPCUDUPBUDUPZGYHUHYRYGYTGYHYGYOPUDUPDU
      DUPCUDUPBUDUPZFYFUHYTYEUUAFYFAYDUDUDUDPUDEBCDURUSYOYFUDUDUDPUDFBCDURUTUSY
      PYHUDUDUDPUDGBCDURUTVAYNMUDUEZYQPXFUHDXGUHCXHUHBXIUHZUCXEYJULZUHZHXRUNZXT
      UEZYSYMUEXDUUBYAXDMXDMNUIVBUKZVIRXDNXDNOUIVBUKZVIQOVCVDZVEVDZVFVGXDUUGYAX
      DUUFXSXTXDUUEXQHXRUUEXJEYDUHZFYFUHZGYHUHZUCUUDUHZXDXQUUNUUCUCUUDUUNYPPXFU
      HDXGUHCXHUHBXIUHZGYHUHUUCUUMUUPGYHUUMYOPXFUHDXGUHCXHUHBXIUHZFYFUHUUPUULUU
      QFYFAYDXIXHXGPXFEBCDVJUSYOYFXIXHXGPXFFBCDVJUTUSYPYHXIXHXGPXFGBCDVJUTUSUUO
      UUMUCUUDUHZGUUDXOULZUHZXDXQUUMUUDYHUUSUCGYCUUDXOVHVKUUTUURGXPUHZXDXQXOYJV
      LUUSXPVMUUTUVAWLXOUINUJUKZYJXOUIUUIUJUKUVBUIOVNNUUIUIUJQVOVPUVBUIUUHUJUKY
      JUINVNMUUHUIUJRVOVPZVQXEXOYJVRUURGUUSXPVSVTXDUURXNGXPUURUULUCUUDUHZFNUUDU
      GZUHZXDXNUULUUDYFUVEUCFNYCUUDWAVKXDUVFUVDFXMUHZXNXDNYJUEUVEXMVMUVFUVGWLXD
      UVBYJNUVCXDNVIUENUVBUEUUJNWBWCWDNYJXEWEUVDFUVEXMVSWFXDUVDXLFXMUVDXJEMUUDU
      GZUHZXDXLUUDWGUEUVDUVIWLXEYJHWHWIXJUCEUUDYDUVHWGMYCUUDWAWJWMXDMYJUEZUVHXK
      VMUVIXLWLXDMVIUEUVJUUKMWBWCMYJXEWEXJEUVHXKVSWFWKWNWOWKWNWKWKWPWQWRXAYQDPC
      BUCHIJKLMSTUAUBWSXBVDYBEFGUCMNOQRWTXC $.

    rexfrabdioph.7 $e |- G = ( H + 1 ) $.
    $( Diophantine set builder for existential quantifier, explicit
       substitution, seven variables.  (Contributed by Stefan O'Rear,
       11-Oct-2014.)  (Revised by Stefan O'Rear, 6-May-2015.) $)
    7rexfrabdioph $p |- ( ( N e. NN0 /\ { t e. ( NN0 ^m ( 1 ... G ) )
       | [. ( t |` ( 1 ... N ) ) / u ]. [. ( t ` M ) / v ]. [. ( t ` L ) / w ].
       [. ( t ` K ) / x ]. [. ( t ` J ) / y ]. [. ( t ` I ) / z ].
       [. ( t ` H ) / p ]. [. ( t ` G ) / q ]. ph } e. ( Dioph ` G ) )
  -> { u e. ( NN0 ^m ( 1 ... N ) ) | E. v e. NN0 E. w e. NN0 E. x e. NN0
     E. y e. NN0 E. z e. NN0 E. p e. NN0 E. q e. NN0 ph } e. ( Dioph ` N ) ) $=
      ( va cn0 wcel cv cfv wsbc c1 cfz co cres cmap crab cdioph wrex wa sbc2rex
      sbc4rex 2rexbii bitri sbcbii 3bitri rabbii caddc cn nn0p1nn nnnn0d adantr
      eqeltrid sbcrot3 sbcrot5 reseq1 sbccomieg wss wceq fzssp1 oveq2i sseqtrri
      wb resabs1 dfsbcq cvv vex resex fveq1 sbcco3gw ax-mp elfz1end sylib fvres
      syl5bb sbcbidv bitr3id rabbidv biimpar 6rexfrabdioph syl2anc rexfrabdioph
      mp2b 3syl eleq1d syldan ) PUGUHZAQIHUIZUJZUKRJXHUJZUKDKXHUJZUKCLXHUJZUKZB
      MXHUJZUKENXHUJZUKZFOXHUJZUKZGXHULPUMUNZUOZUKZHUGULIUMUNUPUNZUQZIURUJZUHZA
      QUGUSRUGUSDUGUSCUGUSZBUGUSEUGUSZFOUFUIZUJZUKZGYHXSUOZUKZUFUGULOUMUNZUPUNZ
      UQZOURUJZUHYGFUGUSGUGXSUPUNUQPURUJUHXGYEUTZYOAFYIUKZGYKUKZQUGUSRUGUSDUGUS
      CUGUSZBUGUSEUGUSZUFYNUQZYPYLUUAUFYNYLYRQUGUSRUGUSDUGUSCUGUSZBUGUSEUGUSZGY
      KUKUUCGYKUKZBUGUSEUGUSUUAYJUUDGYKYJYFFYIUKZBUGUSEUGUSUUDYFYIUGUGFEBVAUUFU
      UCEBUGUGAYIUGUGUGQUGFCDRVBVCVDVEUUCYKUGUGGEBVAUUEYTEBUGUGYRYKUGUGUGQUGGCD
      RVBVCVFVGYQOUGUHZYSQXIUKRXJUKDXKUKCXLUKZBXNUKZEXOUKZUFXHYMUOZUKZHYBUQZYDU
      HZUUBYPUHXGUUGYEXGOXGOPULVHUNZVISPVJVMZVKVLXGUUNYEXGUUMYCYDXGUULYAHYBUULX
      PFYIUKZGYKUKZUFUUKUKZXGYAUURUUJUFUUKUURXMFYIUKZBXNUKEXOUKZGYKUKUUTGYKUKZB
      XNUKZEXOUKUUJUUQUVAGYKXMYIXOXNFEBVNVEUUTYKXOXNGEBVNUVCUUIEXOUVBUUHBXNUVBY
      RQXIUKRXJUKDXKUKCXLUKZGYKUKUUHUUTUVDGYKAYIXLXKXJQXIFCDRVOVEYRYKXLXKXJQXIG
      CDRVOVDVEVEVFVEUUSUUQUFUUKUKZGUUKXSUOZUKZXGYAUUQUUKYKUVFUFGYHUUKXSVPVQUVG
      UVEGXTUKZXGYAXSYMVRUVFXTVSUVGUVHWCXSULUUOUMUNYMULPVTOUUOULUMSWAWBXHXSYMWD
      UVEGUVFXTWEXCXGUVEXRGXTUVEXPFOUUKUJZUKZXGXRUUKWFUHUVEUVJWCXHYMHWGWHXPUFFU
      UKYIUVIWFOYHUUKWIWJWKXGOYMUHZUVIXQVSUVJXRWCXGOVIUHUVKUUPOWLWMOYMXHWNXPFUV
      IXQWEXDWOWPWOWOWQWRXEWSYSCDRBEUFHIJKLMNOQTUAUBUCUDUEWTXAVMYGFGUFOPSXBXF
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Diophantine sets 5: Arithmetic sets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d N t $.
    $( Lemma for arithmetic diophantine sets.  Convert polynomial-ness of an
       expression into a constraint suitable for ~ ralimi .  (Contributed by
       Stefan O'Rear, 10-Oct-2014.) $)
    rabdiophlem1 $p |- ( ( t e. ( ZZ ^m ( 1 ... N ) ) |-> A ) e. ( mzPoly ` ( 1
        ... N ) ) -> A. t e. ( NN0 ^m ( 1 ... N ) ) A e. ZZ ) $=
      ( cn0 c1 cfz co cmap cz wss cmpt cmzp cfv wcel cvv zex nn0ssz mapss mp2an
      wral wf mzpf eqid fmpt sylibr ssralv mpsyl ) DECFGZHGZIUHHGZJZAUJBKZUHLMN
      ZBINZAUJTZUNAUITIONDIJUKPQDIUHORSUMUJIULUAUOULUHUBAUJIBULULUCUDUEUNAUIUJU
      FUG $.
  $}

  ${
    $d N a u t $.  $d M a u t $.  $d A a t $.
    rabdiophlem2.1 $e |- M = ( N + 1 ) $.
    $( Lemma for arithmetic diophantine sets.  Reuse a polynomial expression
       under a new quantifier.  (Contributed by Stefan O'Rear, 10-Oct-2014.) $)
    rabdiophlem2 $p |- ( ( N e. NN0 /\ ( u e. ( ZZ ^m ( 1 ... N ) ) |-> A ) e.
        ( mzPoly ` ( 1 ... N ) ) ) -> ( t e. ( ZZ ^m ( 1 ... M ) ) |-> [_ ( t
        |` ( 1 ... N ) ) / u ]_ A ) e. ( mzPoly ` ( 1 ... M ) ) ) $=
      ( va wcel cz c1 cfz co cmap cmpt cmzp cfv wa cv csb nfcsb1v cn0 cres nfcv
      csbeq1a cbvmpt fveq1i eqid csbeq1 mapfzcons1cl adantl wral wf mzpf sylibr
      fmpt ad2antlr nfel1 wceq eleq1d rspc sylc fvmptd3 eqtr2id mpteq2dva ovexd
      cvv wss caddc fzssp1 oveq2i sseqtrri simpr mzpresrename syl3anc eqeltrd
      a1i ) EUAHZAIJEKLZMLZCNZVROPHZQZBIJDKLZMLZABRZVRUBZCSZNBWDWFVTPZNZWCOPZWB
      BWDWGWHWBWEWDHZQZWHWFGVSAGRZCSZNZPWGWFVTWOAGVSCWNGCUCAWMCTAWMCUDUEUFWLGWF
      WNWGVSWOIWOUGAWMWFCUHWKWFVSHZWBWEIDEFUIUJZWLWPCIHZAVSUKZWGIHZWQWAWSVQWKWA
      VSIVTULWSVTVRUMAVSICVTVTUGUOUNUPWRWTAWFVSAWGIAWFCTUQARWFURCWGIAWFCUDUSUTV
      AVBVCVDWBWCVFHVRWCVGZWAWIWJHWBJDKVEXAWBVRJEJVHLZKLWCJEVIDXBJKFVJVKVPVQWAV
      LBVTVRWCVMVNVO $.
  $}

  ${
    $d A a b c $.  $d N a b c t $.
    $( Diophantine set builder for nonnegativity constraints.  The first
       builder which uses a witness variable internally; an expression is
       nonnegative if there is a nonnegative integer equal to it.  (Contributed
       by Stefan O'Rear, 11-Oct-2014.) $)
    elnn0rabdioph $p |- ( ( N e. NN0 /\ ( t e. ( ZZ ^m ( 1 ... N ) ) |-> A ) e.
        ( mzPoly ` ( 1 ... N ) ) ) -> { t e. ( NN0 ^m ( 1 ... N ) ) | A e. NN0
        } e. ( Dioph ` N ) ) $=
      ( vb va vc cn0 wcel cz c1 cfz co cmap cmpt cmzp cfv crab cv wceq nfcv csb
      wa wrex cdioph risset rabbii a1i nfv nfcsb1v nfeq2 csbeq1a eqeq2d rexbidv
      nfrex cbvrabw eqtrdi caddc cres peano2nn0 adantr ovex cn nn0p1nn elfz1end
      cvv sylib mzpproj sylancr eqid rabdiophlem2 eqrabdioph csbeq1 rexrabdioph
      syl3anc eqeq1 syldan eqeltrd ) CGHZAIJCKLZMLBNVSOPHZUBZBGHZAGVSMLZQZDRZAE
      RZBUAZSZDGUCZEWCQZCUDPZWAWDWEBSZDGUCZAWCQZWJWDWNSWAWBWMAWCDBGUEUFUGWMWIAE
      WCAWCTEWCTWMEUHWHADGAGTAWEWGAWFBUIUJUNARWFSZWLWHDGWOBWGWEAWFBUKULUMUOUPVR
      VTCJUQLZFRZPZAWQVSURZBUAZSZFGJWPKLZMLQWPUDPHZWJWKHWAWPGHZFIXBMLZWRNXBOPZH
      ZFXEWTNXFHXCVRXDVTCUSUTWAXBVEHWPXBHZXGJWPKVAVRXHVTVRWPVBHXHCVCWPVDVFUTFXB
      WPVGVHAFBWPCWPVIZVJFWRWTWPVKVNXAWHWRWGSDEFWPCXIWEWRWGVOWFWSSWGWTWRAWFWSBV
      LULVMVPVQ $.
  $}

  ${
    $d ph y $.  $d ps x $.  $d ch x $.  $d x y $.
    rexzrexnn0.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    rexzrexnn0.2 $e |- ( x = -u y -> ( ph <-> ch ) ) $.
    $( Rewrite an existential quantification restricted to integers into an
       existential quantification restricted to naturals.  (Contributed by
       Stefan O'Rear, 11-Oct-2014.) $)
    rexzrexnn0 $p |- ( E. x e. ZZ ph <-> E. y e. NN0 ( ps \/ ch ) ) $=
      ( cz wrex wo cn0 cv wcel wa cneg simpr wceq wb bicomd rspcev cr elznn0 ex
      simprbi adantr simplr equcoms syl2anc zcn negnegd eqcomd negeq syl5ibrcom
      eqeq2d imp syl adantlr rspcedv impancom orim12d mpd r19.43 rexlimiva nn0z
      sylibr sylan nn0negz jaodan impbii ) ADHIZBCJZEKIZAVLDHDLZHMZANZBEKIZCEKI
      ZJZVLVOVMKMZVMOZKMZJZVRVNWBAVNVMUAMWBVMUBUDUEVOVSVPWAVQVOVSVPVOVSNVSAVPVO
      VSPVNAVSUFBAEVMKELZVMQABABRDEFUGSTUHUCVNWAAVQVNWANCAEVTKVNWAPVNWCVTQZCARW
      AVNWDNZACWEVMWCOZQZACRVNWDWGVNWGWDVMVTOZQVNWHVMVNVMVMUIUJUKWDWFWHVMWCVTUL
      UNUMUOGUPSUQURUSUTVABCEKVBVEVCVKVJEKWCKMZBVJCWIWCHMBVJWCVDABDWCHFTVFWIWFH
      MCVJWCVGACDWFHGTVFVHVCVI $.
  $}

  ${
    $d N t $.  $d M t $.
    $( Diophantine set builder for the "less than or equal to" relation.
       (Contributed by Stefan O'Rear, 11-Oct-2014.) $)
    lerabdioph $p |- ( ( N e. NN0 /\ ( t e. ( ZZ ^m ( 1 ... N ) ) |-> A ) e. (
        mzPoly ` ( 1 ... N ) ) /\ ( t e. ( ZZ ^m ( 1 ... N ) ) |-> B ) e. (
        mzPoly ` ( 1 ... N ) ) ) -> { t e. ( NN0 ^m ( 1 ... N ) ) | A <_ B } e.
        ( Dioph ` N ) ) $=
      ( cn0 wcel cz c1 cfz co cmap cmpt cmzp cfv crab wral rabdiophlem1 3adant1
      w3a wa cle cmin cdioph wceq wb znn0sub ralimi r19.26 rabbi 3imtr3i syl2an
      wbr simp1 mzpsubmpt ancoms elnn0rabdioph syl2anc eqeltrd ) DEFZAGHDIJZKJZ
      BLUTMNZFZAVACLVBFZSZBCUAULZAEUTKJZOZCBUBJZEFZAVGOZDUCNZVCVDVHVKUDZUSVCBGF
      ZAVGPZCGFZAVGPZVMVDABDQACDQVNVPTZAVGPVFVJUEZAVGPVOVQTVMVRVSAVGBCUFUGVNVPA
      VGUHVFVJAVGUIUJUKRVEUSAVAVILVBFZVKVLFUSVCVDUMVCVDVTUSVDVCVTACBUTUNUORAVID
      UPUQUR $.

    $( Diophantine set builder for membership in a fixed upper set of integers.
       (Contributed by Stefan O'Rear, 11-Oct-2014.) $)
    eluzrabdioph $p |- ( ( N e. NN0 /\ M e. ZZ /\ ( t e. ( ZZ ^m ( 1 ... N ) )
        |-> A ) e. ( mzPoly ` ( 1 ... N ) ) ) -> { t e. ( NN0 ^m ( 1 ... N ) )
        | A e. ( ZZ>= ` M ) } e. ( Dioph ` N ) ) $=
      ( cn0 wcel cz c1 cfz co cmap cmpt cmzp cfv w3a cuz crab cle wbr wral wceq
      cdioph wa wb rabdiophlem1 eluz ralimdv imp sylan2 rabbi sylib 3adant1 cvv
      ex ovex mzpconstmpt mpan lerabdioph syl3an2 eqeltrd ) DEFZCGFZAGHDIJZKJZB
      LVCMNZFZOBCPNFZAEVCKJZQZCBRSZAVHQZDUBNZVBVFVIVKUAZVAVBVFUCVGVJUDZAVHTZVMV
      FVBBGFZAVHTZVOABDUEVBVQVOVBVPVNAVHVBVPVNCBUFUNUGUHUIVGVJAVHUJUKULVBVAAVDC
      LVEFZVFVKVLFVCUMFVBVRHDIUOACVCUPUQACBDURUSUT $.

    $( Diophantine set builder for positivity.  (Contributed by Stefan O'Rear,
       11-Oct-2014.) $)
    elnnrabdioph $p |- ( ( N e. NN0 /\ ( t e. ( ZZ ^m ( 1 ... N ) ) |-> A ) e.
        ( mzPoly ` ( 1 ... N ) ) ) -> { t e. ( NN0 ^m ( 1 ... N ) ) | A e. NN }
        e. ( Dioph ` N ) ) $=
      ( cn0 wcel cz c1 cfz co cmap cmpt cmzp cfv wa cn cuz cdioph elnnuz rabbii
      crab 1z eluzrabdioph mp3an2 eqeltrid ) CDEZAFGCHIZJIBKUFLMEZNBOEZADUFJIZT
      BGPMEZAUITZCQMZUHUJAUIBRSUEGFEUGUKULEUAABGCUBUCUD $.

    $( Diophantine set builder for the strict less than relation.  (Contributed
       by Stefan O'Rear, 11-Oct-2014.) $)
    ltrabdioph $p |- ( ( N e. NN0 /\ ( t e. ( ZZ ^m ( 1 ... N ) ) |-> A ) e. (
        mzPoly ` ( 1 ... N ) ) /\ ( t e. ( ZZ ^m ( 1 ... N ) ) |-> B ) e. (
        mzPoly ` ( 1 ... N ) ) ) -> { t e. ( NN0 ^m ( 1 ... N ) ) | A < B } e.
        ( Dioph ` N ) ) $=
      ( cn0 wcel cz c1 cfz co cmap cmpt cmzp cfv crab wral rabdiophlem1 3adant1
      w3a wa clt wbr cmin cn cdioph wceq wb znnsub ralimi r19.26 3imtr3i syl2an
      rabbi simp1 mzpsubmpt ancoms elnnrabdioph syl2anc eqeltrd ) DEFZAGHDIJZKJ
      ZBLVAMNZFZAVBCLVCFZSZBCUAUBZAEVAKJZOZCBUCJZUDFZAVHOZDUENZVDVEVIVLUFZUTVDB
      GFZAVHPZCGFZAVHPZVNVEABDQACDQVOVQTZAVHPVGVKUGZAVHPVPVRTVNVSVTAVHBCUHUIVOV
      QAVHUJVGVKAVHUMUKULRVFUTAVBVJLVCFZVLVMFUTVDVEUNVDVEWAUTVEVDWAACBVAUOUPRAV
      JDUQURUS $.

    $( Diophantine set builder for inequality.  This not quite trivial theorem
       touches on something important; Diophantine sets are not closed under
       negation, but they contain an important subclass that is, namely the
       recursive sets.  With this theorem and De Morgan's laws, all
       quantifier-free formulas can be negated.  (Contributed by Stefan O'Rear,
       11-Oct-2014.) $)
    nerabdioph $p |- ( ( N e. NN0 /\ ( t e. ( ZZ ^m ( 1 ... N ) ) |-> A ) e. (
        mzPoly ` ( 1 ... N ) ) /\ ( t e. ( ZZ ^m ( 1 ... N ) ) |-> B ) e. (
        mzPoly ` ( 1 ... N ) ) ) -> { t e. ( NN0 ^m ( 1 ... N ) ) | A =/= B }
        e. ( Dioph ` N ) ) $=
      ( cn0 wcel cz co cmap cmpt cfv crab clt wbr rabdiophlem1 wa cr zre syl2an
      wral c1 cfz cmzp w3a wo cdioph wceq wb lttri2 ralimi r19.26 rabbi 3imtr3i
      wne 3adant1 ltrabdioph 3com23 orrabdioph syl2anc eqeltrd ) DEFZAGUADUBHZI
      HZBJVBUCKZFZAVCCJVDFZUDZBCUNZAEVBIHZLZBCMNZCBMNZUEZAVILZDUFKZVEVFVJVNUGZV
      AVEBGFZAVITZCGFZAVITZVPVFABDOACDOVQVSPZAVITVHVMUHZAVITVRVTPVPWAWBAVIVQBQF
      CQFWBVSBRCRBCUISUJVQVSAVIUKVHVMAVIULUMSUOVGVKAVILVOFVLAVILVOFZVNVOFABCDUP
      VAVFVEWCACBDUPUQVKVLADURUSUT $.
  $}

  ${
    $d N a b c t $.  $d A a b c $.  $d B a b c $.

    $( Divisibility is a Diophantine relation.  (Contributed by Stefan O'Rear,
       11-Oct-2014.) $)
    dvdsrabdioph $p |- ( ( N e. NN0 /\ ( t e. ( ZZ ^m ( 1 ... N ) ) |-> A ) e.
        ( mzPoly ` ( 1 ... N ) ) /\ ( t e. ( ZZ ^m ( 1 ... N ) ) |-> B ) e. (
        mzPoly ` ( 1 ... N ) ) ) -> { t e. ( NN0 ^m ( 1 ... N ) ) | A || B } e.
        ( Dioph ` N ) ) $=
      ( vb va vc cn0 wcel cz c1 co cmap cmpt cfv crab cv cmul wceq nfcv cfz w3a
      cmzp cdvds wbr cneg wo wrex cdioph wral rabdiophlem1 wa wb divides eqeq1d
      oveq1 rexzrexnn0 bitrdi ralimi r19.26 3imtr3i syl2an 3adant1 csb nfv nfov
      rabbi nfcsb1v nfeq nfor nfrex csbeq1a oveq2d eqeq12d orbi12d rexbidv cres
      cbvrabw caddc simp1 peano2nn0 3ad2ant1 cvv ovex cn nn0p1nn elfz1end sylib
      mzpproj sylancr rabdiophlem2 mzpmulmpt syl2anc 3adant3 3adant2 eqrabdioph
      adantr eqid syl3anc mzpnegmpt syl orrabdioph negeq oveq1d csbeq1 eqeltrid
      rexrabdioph eqeltrd ) DHIZAJKDUALZMLZBNXJUCOZIZAXKCNXLIZUBZBCUDUEZAHXJMLZ
      PZEQZBRLZCSZXSUFZBRLZCSZUGZEHUHZAXQPZDUIOZXMXNXRYGSZXIXMBJIZAXQUJZCJIZAXQ
      UJZYIXNABDUKACDUKYJYLULZAXQUJXPYFUMZAXQUJYKYMULYIYNYOAXQYNXPFQZBRLZCSZFJU
      HYFFBCUNYRYAYDFEYPXSSYQXTCYPXSBRUPUOYPYBSYQYCCYPYBBRUPUOUQURUSYJYLAXQUTXP
      YFAXQVGVAVBVCXOYGXSAYPBVDZRLZAYPCVDZSZYBYSRLZUUASZUGZEHUHZFXQPZYHYFUUFAFX
      QAXQTFXQTYFFVEUUEAEHAHTUUBUUDAAYTUUAAXSYSRAXSTARTZAYPBVHZVFAYPCVHZVIAUUCU
      UAAYBYSRAYBTUUHUUIVFUUJVIVJVKAQYPSZYEUUEEHUUKYAUUBYDUUDUUKXTYTCUUAUUKBYSX
      SRAYPBVLZVMAYPCVLZVNUUKYCUUCCUUAUUKBYSYBRUULVMUUMVNVOVPVRXOXIDKVSLZGQZOZA
      UUOXJVQZBVDZRLZAUUQCVDZSZUUPUFZUURRLZUUTSZUGZGHKUUNUALZMLZPUUNUIOZIZUUGYH
      IXIXMXNVTXOUVAGUVGPUVHIZUVDGUVGPUVHIZUVIXOUUNHIZGJUVFMLZUUSNUVFUCOZIZGUVM
      UUTNUVNIZUVJXIXMUVLXNDWAWBZXIXMUVOXNXIXMULZGUVMUUPNUVNIZGUVMUURNUVNIZUVOX
      IUVSXMXIUVFWCIUUNUVFIZUVSKUUNUAWDXIUUNWEIUWADWFUUNWGWHGUVFUUNWIWJWQZAGBUU
      NDUUNWRZWKZGUUPUURUVFWLWMWNXIXNUVPXMAGCUUNDUWCWKWOZGUUSUUTUUNWPWSXOUVLGUV
      MUVCNUVNIZUVPUVKUVQXIXMUWFXNUVRGUVMUVBNUVNIZUVTUWFUVRUVSUWGUWBGUUPUVFWTXA
      UWDGUVBUURUVFWLWMWNUWEGUVCUUTUUNWPWSUVAUVDGUUNXBWMUVEUUEUUPYSRLZUUASZUVBY
      SRLZUUASZUGEFGUUNDUWCXSUUPSZUUBUWIUUDUWKUWLYTUWHUUAXSUUPYSRUPUOUWLUUCUWJU
      UAUWLYBUVBYSRXSUUPXCXDUOVOYPUUQSZUWIUVAUWKUVDUWMUWHUUSUUAUUTUWMYSUURUUPRA
      YPUUQBXEZVMAYPUUQCXEZVNUWMUWJUVCUUAUUTUWMYSUURUVBRUWNVMUWOVNVOXGWMXFXH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Diophantine sets 6: reusability.  renumbering of variables
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d W a b p u t w $.  $d S a b p u t w $.  $d N a b p u t w $.
    $d P a b p u t w $.
    eldioph4b.a $e |- W e. _V $.
    eldioph4b.b $e |- -. W e. Fin $.
    eldioph4b.c $e |- ( W i^i NN ) = (/) $.
    $( Membership in ` Dioph ` expressed using a quantified union to add
       witness variables instead of a restriction to remove them.  (Contributed
       by Stefan O'Rear, 16-Oct-2014.) $)
    eldioph4b $p |- ( S e. ( Dioph ` N ) <-> ( N e. NN0 /\ E. p e. ( mzPoly ` (
        W u. ( 1 ... N ) ) ) S = { t e. ( NN0 ^m ( 1 ... N ) ) | E. w e. ( NN0
        ^m W ) ( p ` ( t u. w ) ) = 0 } ) ) $=
      ( vu cfv wcel cn0 cun cc0 wceq wrex cres wa c0 cdioph cv cmap co cfz crab
      c1 cmzp eldiophelnn0 cab cvv cfn wn wb ovex unex jctr intnanr unfir ssun2
      wss pm3.2i eldioph2b sylancl elmapssres mpan2 adantr ssun1 resundi eqtr4i
      mto uncom wf wfn elmapi fnresdm 3syl syl5eq fveqeq2d biimpar uneq2 rspcev
      ffn syl2anc jca eleq1 rexbidv anbi12d syl5ibrcom expimpd ancomsd rexlimiv
      uneq1 cin fz1ssnn sslin ax-mp sseqtri ss0 reseq2i res0 elmapresaun mp3an3
      eqtri ancoms eqeltrid reseq1i elmapresaunres2 eqtr2id simpr reseq1 eqeq2d
      cn fveqeq2 syl12anc r19.29an impbii df-rab eqeq2i rexbii bitrdi biadanii
      abbii ) CDUAKLZDMLZCBUBZAUBZNZFUBZKOPZAMEUCUDZQZBMUGDUEUDZUCUDZUFZPZFEYMN
      ZUHKZQZCDUIYEYDCYFJUBZYMRZPZYTYIKOPZSZJMYQUCUDZQZBUJZPZFYRQZYSYEYEYQUKLZS
      YQULLZUMZYMYQVAZSYDUUIUNYEUUJEYMGUGDUEUOUPUQUULUUMUUKEULLZYMULLZSUUNUUOHU
      REYMUSVKYMEUTZVBJBCYQDFVCVDUUHYPFYRUUGYOCUUGYFYNLZYLSZBUJYOUUFUURBUUFUURU
      UDUURJUUEYTUUELZUUCUUBUURUUSUUCUUBUURUUSUUCSZUURUUBUUAYNLZUUAYGNZYIKOPZAY
      KQZSUUTUVAUVDUUSUVAUUCUUSUUMUVAUUPYTMYQYMVEVFVGUUTYTERZYKLZUUAUVENZYIKOPZ
      UVDUUSUVFUUCUUSEYQVAUVFEYMVHYTMYQEVEVFVGUUSUVHUUCUUSUVGYTOYIUUSUVGYTYQRZY
      TUVGUVEUUANUVIUUAUVEVLYTEYMVIVJUUSYQMYTVMYTYQVNUVIYTPYTMYQVOYQMYTWCYQYTVP
      VQVRVSVTUVCUVHAUVEYKYGUVEPUVBUVGOYIYGUVEUUAWAVSWBWDWEUUBUUQUVAYLUVDYFUUAY
      NWFUUBYJUVCAYKUUBYHUVBOYIYFUUAYGWMVSWGWHWIWJWKWLUUQYJUUFAYKUUQYGYKLZSZYJS
      YHUUELZYFYHYMRZPZYJUUFUVKUVLYJUVKYHYGYFNZUUEYFYGVLZUVJUUQUVOUUELZUVJUUQYG
      EYMWNZRZYFUVRRZPZUVQUVSTUVTUVSYGTRTUVRTYGUVRTVAUVRTPUVREXMWNZTYMXMVAUVRUW
      BVADWOYMXMEWPWQIWRUVRWSWQZWTYGXAXDUVTYFTRTUVRTYFUWCWTYFXAXDVJZEYMMYGYFXBX
      CXEXFVGUVKUVNYJUVKUVMUVOYMRZYFYHUVOYMUVPXGUVJUUQUWEYFPZUVJUUQUWAUWFUWDEYM
      MYGYFXHXCXEXIVGUVKYJXJUUDUVNYJSJYHUUEYTYHPZUUBUVNUUCYJUWGUUAUVMYFYTYHYMXK
      XLYTYHOYIXNWHWBXOXPXQYCYLBYNXRVJXSXTYAYB $.

    $( Forward-only version of ~ eldioph4b .  (Contributed by Stefan O'Rear,
       16-Oct-2014.) $)
    eldioph4i $p |- ( ( N e. NN0 /\ P e. ( mzPoly ` ( W u. ( 1 ... N ) ) ) ) ->
        { t e. ( NN0 ^m ( 1 ... N ) ) | E. w e. ( NN0 ^m W ) ( P ` ( t u. w ) )
        = 0 } e. ( Dioph ` N ) ) $=
      ( va vb vp cn0 wcel co cun cfv cv cc0 wceq wrex cfz cmzp cmap crab cdioph
      c1 weq uneq1 fveqeq2d rexbidv uneq2 cbvrexvw bitrdi cbvrabv fveq1 rabbidv
      wa eqeq1d rspceeqv mpan2 anim2i eldioph4b sylibr ) DLMZCEUFDUANZOUBPZMZUQ
      VDBQZAQZOZCPRSZALEUCNZTZBLVEUCNZUDZIQZJQZOZKQZPZRSZJVLTZIVNUDZSKVFTZUQVOD
      UEPMVGWDVDVGVOVRCPZRSZJVLTZIVNUDZSWDVMWGBIVNBIUGZVMVPVIOZCPRSZAVLTWGWIVKW
      KAVLWIVJWJRCVHVPVIUHUIUJWKWFAJVLAJUGWJVRRCVIVQVPUKUIULUMUNKCVFWCWHVOVSCSZ
      WBWGIVNWLWAWFJVLWLVTWERVRVSCUOURUJUPUSUTVAJIVODEKFGHVBVC $.
  $}

  ${
    $d S a b c d e $.  $d M a b c d e $.  $d N a b c d e $.  $d F a b c d e $.
    $( Change variables in a Diophantine set, using class notation.  This
       allows already proved Diophantine sets to be reused in contexts with
       more variables.  (Contributed by Stefan O'Rear, 16-Oct-2014.)  (Revised
       by Stefan O'Rear, 5-Jun-2015.) $)
    diophren $p |- ( ( S e. ( Dioph ` N ) /\ M e. NN0 /\
          F : ( 1 ... N ) --> ( 1 ... M ) ) ->
        { a e. ( NN0 ^m ( 1 ... M ) ) | ( a o. F ) e. S } e. ( Dioph ` M ) ) $=
      ( vd cfv wcel cn0 c1 co ccom cmap wa cun cc0 wceq cz cn c0 vc vb ve wf cv
      cdioph cfz crab cdif wrex cmzp cvv zex difexg ax-mp cfn com ominf cen wbr
      wb caddc nnuz 0p1e1 fveq2i eqtr4i difeq2i 0z lzenom eqbrtri enfi disjdifr
      cuz mtbir eldioph4b cid cres cmpt simpr simp-4r ovex mapco2 syl2anc uneq1
      fveqeq2d rexbidv elrab3 syl simp-5r simplr coundi coundir elmapi 3ad2ant3
      w3a cin simp1 incom wss fz1ssnn disjdif ssdisj mp2an eqtri coeq0i syl3anc
      a1i uneq2d syl5eq un0 3ad2ant2 wf1o f1oi f1of mp3an23 coires1 wfn fnresdm
      eqtrdi 3syl uneq12d uncom eqtr2id fveq2d nn0ssz mapss reseq2i elmapresaun
      res0 oveq2i eleqtrdi mp3an3 sselid adantll coeq1 eqid fvex fvmpt eqtr4d
      ffn eqeq1d rexbidva bitrd rabbidva simplll id fun syl21anc feq1i ad3antlr
      unex sylib mzprename eldioph4i eqeltrd eleq2 rabbidv syl5ibrcom rexlimdva
      eleq1d expimpd syl5bi impcom 3impb ) ADUFGHZCIHZJDUGKZJCUGKZBUDZEUEZBLZAH
      ZEIUVHMKZUHZCUFGZHZUVFUVINZUVEUVPUVEDIHZAUAUEZFUEZOZUBUEZGPQZFIRSUIZMKZUJ
      ZUAIUVGMKZUHZQZUBUWDUVGOZUKGZUJZNUVQUVPFUAADUWDUBRULHZUWDULHUMRSULUNUOZUW
      DUPHZUQUPHZURUWDUQUSUTUWOUWPVAUWDRPJVBKZVMGZUIZUQUSSUWRRSJVMGUWRVCUWQJVMV
      DVEVFVGPRHUWSUQUSUTVHPVIUOVJUWDUQVKUOVNZSRVLZVOUVQUVRUWLUVPUVQUVRNZUWIUVP
      UBUWKUXBUWBUWKHZNZUVPUWIUVKUWHHZEUVMUHZUVOHUXDUXFUVJUVTOZUCRUWDUVHOZMKZUC
      UEZBVPUWDVQZOZLZUWBGZVRZGZPQZFUWEUJZEUVMUHZUVOUXDUXEUXREUVMUXDUVJUVMHZNZU
      XEUVKUVTOZUWBGZPQZFUWEUJZUXRUYAUVKUWGHZUXEUYEVAUYAUXTUVIUYFUXDUXTVSUVFUVI
      UVRUXCUXTVTUVJIUVHBUVGJDUGWAWBWCUWFUYEUAUVKUWGUVSUVKQZUWCUYDFUWEUYGUWAUYB
      PUWBUVSUVKUVTWDWEWFWGWHUYAUYDUXQFUWEUYAUVTUWEHZNZUYCUXPPUYIUYCUXGUXLLZUWB
      GZUXPUYIUYBUYJUWBUYIUVIUXTUYHUYBUYJQUVFUVIUVRUXCUXTUYHWIUXDUXTUYHWJUYAUYH
      VSUVIUXTUYHWOZUYJUXGBLZUXGUXKLZOUYBUXGBUXKWKUYLUYMUVKUYNUVTUYLUYMUVKTOZUV
      KUYLUYMUVKUVTBLZOUYOUVJUVTBWLUYLUYPTUVKUYLUWDIUVTUDZUVIUWDUVHWPZTQZUYPTQU
      YHUVIUYQUXTUVTIUWDWMZWNUVIUXTUYHWQUYSUYLUYRUVHUWDWPZTUWDUVHWRUVHSWSSUWDWP
      TQZVUATQZCWTSRXAZUVHSUWDXBXCZXDXGUVTBUWDIUVGUVHXEXFXHXIUVKXJXSUYLUYNTUVTO
      ZUVTUYLUYNUVJUXKLZUVTUXKLZOVUFUVJUVTUXKWLUYLVUGTVUHUVTUYLUVHIUVJUDZVUGTQZ
      UXTUVIVUIUYHUVJIUVHWMXKVUIUWDUWDUXKUDZVUCVUJUWDUWDUXKXLVUKUWDXMUWDUWDUXKX
      NUOZVUEUVJUXKUVHIUWDUWDXEXOWHUYHUVIVUHUVTQUXTUYHVUHUVTUWDVQZUVTUVTUWDXPUY
      HUYQUVTUWDXQVUMUVTQUYTUWDIUVTYTUWDUVTXRXTXIWNYAXIVUFUVTTOUVTTUVTYBUVTXJXD
      XSYAYCXFYDUYIUXGUXIHZUXPUYKQUXTUYHVUNUXDUXTUYHNIUXHMKZUXIUXGUWMIRWSVUOUXI
      WSUMYEIRUXHULYFXCUXTUYHUVJVUAVQZUVTVUAVQZQZUXGVUOHVUPTVUQVUPUVJTVQTVUATUV
      JVUEYGUVJYIXDVUQUVTTVQTVUATUVTVUEYGUVTYIXDVFUXTUYHVURWOUXGIUVHUWDOZMKVUOU
      VHUWDIUVJUVTYHVUSUXHIMUVHUWDYBYJYKYLYMYNUCUXGUXNUYKUXIUXOUXJUXGQUXMUYJUWB
      UXJUXGUXLYOYDUXOYPUYJUWBYQYRWHYSUUAUUBUUCUUDUXDUVFUXOUXHUKGHZUXSUVOHUVFUV
      IUVRUXCUUEUXDUXHULHZUXCUWJUXHUXLUDZVUTVVAUXDUWDUVHUWNJCUGWAUUKXGUXBUXCVSU
      VIVVBUVFUVRUXCUVIUWJUXHUXKBOZUDZVVBUVIVUKUVIUWDUVGWPZTQZVVDVUKUVIVULXGUVI
      UUFVVFUVIVVEUVGUWDWPZTUWDUVGWRUVGSWSVUBVVGTQDWTVUDUVGSUWDXBXCXDXGUWDUVGUW
      DUVHUXKBUUGUUHUWJUXHVVCUXLUXKBYBUUIUULUUJUCUXLUWBUWJUXHUUMXFFEUXOCUWDUWNU
      WTUXAUUNWCUUOUWIUVNUXFUVOUWIUVLUXEEUVMAUWHUVKUUPUUQUUTUURUUSUVAUVBUVCUVD
      $.
  $}

  ${
    $d ph b $.  $d A a b $.  $d B a b $.  $d F a b $.
    $( Change variable numbers in a Diophantine class abstraction using
       explicit substitution.  (Contributed by Stefan O'Rear, 17-Oct-2014.) $)
    rabrenfdioph $p |- ( ( B e. NN0 /\ F : ( 1 ... A ) --> ( 1 ... B ) /\
          { a e. ( NN0 ^m ( 1 ... A ) ) | ph } e. ( Dioph ` A ) ) ->
        { b e. ( NN0 ^m ( 1 ... B ) ) | [. ( b o. F ) / a ]. ph } e.
          ( Dioph ` B ) ) $=
      ( cn0 wcel c1 cfz co wf cmap crab cdioph cfv w3a cv ccom wa simplr mapco2
      wsbc wceq simpr ovex syl2anc biantrurd nfcv elrabsf bitr4di 3adant3 3coml
      rabbidva diophren eqeltrd ) CGHZIBJKZICJKZDLZAEGURMKZNZBOPHZQAEFRZDSZUCZF
      GUSMKZNZVEVBHZFVGNZCOPZUQUTVHVJUDVCUQUTTZVFVIFVGVLVDVGHZTZVFVEVAHZVFTVIVN
      VOVFVNVMUTVOVLVMUEUQUTVMUAVDGUSDURIBJUFUBUGUHAEVEVAEVAUIUJUKUNULVCUQUTVJV
      KHVBDCBFUOUMUP $.
  $}

  ${
    $d ps a $.  $d ph b $.  $d X a b $.  $d Y a b $.  $d Z a b $.  $d N a b $.
    rabren3dioph.a $e |- ( ( ( a ` 1 ) = ( b ` X ) /\ ( a ` 2 ) = ( b ` Y ) /\
      ( a ` 3 ) = ( b ` Z ) ) -> ( ph <-> ps ) ) $.
    rabren3dioph.b $e |- X e. ( 1 ... N ) $.
    rabren3dioph.c $e |- Y e. ( 1 ... N ) $.
    rabren3dioph.d $e |- Z e. ( 1 ... N ) $.
    $( Change variable numbers in a 3-variable Diophantine class abstraction.
       (Contributed by Stefan O'Rear, 17-Oct-2014.) $)
    rabren3dioph $p |- ( ( N e. NN0 /\ { a e. ( NN0 ^m ( 1 ... 3 ) ) | ph } e.
        ( Dioph ` 3 ) ) -> { b e. ( NN0 ^m ( 1 ... N ) ) | ps } e.
        ( Dioph ` N ) ) $=
      ( wcel c1 c3 co cfv c2 wceq mp2an cn0 cfz cmap crab cdioph wa cv cop ccom
      ctp wsbc vex tpex coex w3a wb wfn wne 1ne2 1re 1lt3 ltneii 2re 2lt3 elexi
      1ex 2ex fntp mp3an tpid1 fvco2 fvtp1 fveq2i eqtri tpid2 fvtp2 tpid3 fvtp3
      3ex 3pm3.2i fveq1 eqeq1d 3anbi123d mpbiri syl sbcie rabbii wf caddc cz 1z
      wss ftp fztp ax-mp 1p2e3 oveq2i eqidd 1p1e2 a1i tpeq123d feq2i mpbir tpss
      3eqtr3i mpbi fss rabrenfdioph mp3an2 eqeltrrid ) CUAMZAGUANOUBPZUCPUDOUEQ
      MZUFBHUANCUBPZUCPZUDAGHUGZNDUHZREUHZOFUHZUJZUIZUKZHXOUDZCUEQZYBBHXOABGYAX
      PXTHULXQXRXSUMUNGUGZYASZNYEQZDXPQZSZRYEQZEXPQZSZOYEQZFXPQZSZUOZABUPYFYPNY
      AQZYHSZRYAQZYKSZOYAQZYNSZUOYRYTUUBYQNXTQZXPQZYHXTNROUJZUQZNUUEMYQUUDSNRUR
      ZNOURZROURZUUFUSNOUTVAVBZROVCVDVBZNRODEFVFVGVSDXNJVEZEXNKVEZFXNLVEZVHVIZN
      ROVFVJUUEXPXTNVKTUUCDXPUUGUUHUUCDSUSUUJNRODEFVFUULVLTVMVNYSRXTQZXPQZYKUUF
      RUUEMYSUUQSUUONROVGVOUUEXPXTRVKTUUPEXPUUGUUIUUPESUSUUKNRODEFVGUUMVPTVMVNU
      UAOXTQZXPQZYNUUFOUUEMUUAUUSSUUONROVSVQUUEXPXTOVKTUURFXPUUHUUIUURFSUUJUUKN
      RODEFVSUUNVRTVMVNVTYFYIYRYLYTYOUUBYFYGYQYHNYEYAWAWBYFYJYSYKRYEYAWAWBYFYMU
      UAYNOYEYAWAWBWCWDIWEWFWGXKXLXNXTWHZXMYCYDMXLDEFUJZXTWHZUVAXNWLZUUTUVBUUEU
      VAXTWHNRODEFVFVGVSUULUUMUUNUSUUJUUKWMXLUUEUVAXTNNRWIPZUBPZNNNWIPZUVDUJZXL
      UUENWJMZUVEUVGSWKNWNWOUVDONUBWPWQUVHUVGUUESWKUVHNNUVFRUVDOUVHNWRUVFRSUVHW
      SWTUVDOSUVHWPWTXAWOXEXBXCDXNMZEXNMZFXNMZUOUVCUVIUVJUVKJKLVTDEFXNUULUUMUUN
      XDXFXLUVAXNXTXGTAOCXTGHXHXIXJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Pigeonhole Principle and cardinality helpers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x y a b $.  $d B x y a b $.  $d C y a b $.  $d D x a b $.
    $d ph x y a b $.
    fphpd.a $e |- ( ph -> B ~< A ) $.
    fphpd.b $e |- ( ( ph /\ x e. A ) -> C e. B ) $.
    fphpd.c $e |- ( x = y -> C = D ) $.
    $( Pigeonhole principle expressed with implicit substitution.  If the range
       is smaller than the domain, two inputs must be mapped to the same
       output.  (Contributed by Stefan O'Rear, 19-Oct-2014.)  (Revised by
       Stefan O'Rear, 6-May-2015.) $)
    fphpd $p |- ( ph -> E. x e. A E. y e. A ( x =/= y /\ C = D ) ) $=
      ( va wceq cv wi wral wn wa wrex wcel csb vb wne cdom wbr csdm domnsym cvv
      nsyl3 relsdom brrelex1i syl adantr nfv nfcsb1v nfim eleq1w anbi2d csbeq1a
      nfel1 eleq1d imbi12d chvarfv ex wb csbid vex csbie eqeq12i imbi1i 2ralbii
      nfeq csbeq1 eqeq1d equequ1 eqeq2d equequ2 rspc2 com12 sylbir impbid1 syl6
      id adantl dom2d mpd mtand ancom df-ne anbi1i pm4.61 3bitr4i rexbii rexnal
      bitri sylibr ) AFGLZBMZCMZLZNZCDOZBDOZPZWQWRUBZWPQZCDRZBDRZAXBDEUCUDZXHED
      UEUDZADEUFHUHAXBQZEUGSZXHAXKXBAXIXKHEDUEUIUJUKULXJKUADEBKMZFTZBUAMZFTZUGA
      XLDSZXMESZNXBAXPXQAWQDSZQZFESZNAXPQZXQNBKYAXQBYABUMBXMEBXLFUNZUSUOWQXLLZX
      SYAXTXQYCXRXPABKDUPUQYCFXMEBXLFURUTVAIVBVCULXBXPXNDSQZXMXOLZXLXNLZVDZNAXB
      YDYEYFNZYGXBBWQFTZBWRFTZLZWSNZCDOBDOZYDYHNYLWTBCDDYKWPWSYIFYJGBFVEBWRFGCV
      FJVGVHVIVJYDYMYHYLYHXMYJLZXLWRLZNBCXLXNDDYNYOBBXMYJYBBWRFUNVKYOBUMUOYHCUM
      YCYKYNWSYOYCYIXMYJBWQXLFVLVMBKCVNVAWRXNLZYNYEYOYFYPYJXOXMBWRXNFVLVOCUAKVP
      VAVQVRVSYHYEYFYHWBBXLXNFVLVTWAWCWDWEWFXGXAPZBDRXCXFYQBDXFWTPZCDRYQXEYRCDW
      SPZWPQWPYSQXEYRYSWPWGXDYSWPWQWRWHWIWPWSWJWKWLWTCDWMWNWLXABDWMWNWO $.
  $}

  ${
    $d ph x y z b c $.  $d A x y z b c $.  $d B z b c $.  $d C x y b c $.
    $d D y z b c $.  $d E x z b c $.
    fphpdo.1 $e |- ( ph -> A C_ RR ) $.
    fphpdo.2 $e |- ( ph -> B e. _V ) $.
    fphpdo.3 $e |- ( ph -> B ~< A ) $.
    fphpdo.4 $e |- ( ( ph /\ z e. A ) -> C e. B ) $.
    fphpdo.5 $e |- ( z = x -> C = D ) $.
    fphpdo.6 $e |- ( z = y -> C = E ) $.
    $( Pigeonhole principle for sets of real numbers with implicit output
       reordering.  (Contributed by Stefan O'Rear, 12-Sep-2014.) $)
    fphpdo $p |- ( ph -> E. x e. A E. y e. A ( x < y /\ D = E ) ) $=
      ( vb vc wa clt wcel cv wne cmpt cfv wceq wbr fmpttd ffvelrnda fveq2 fphpd
      wo cr sselda adantrr adantr adantrl lttri2d simprl ad2antrr simprr simplr
      wrex simpr breq1 fveqeq2 anbi12d breq2 eqeq2d rspc2ev syl112anc ex eqcomd
      jaod wi eqid eleq1w anbi2d eleq1d imbi12d chvarvv fvmptd3 adantlr eqeq12d
      weq biimpd anim2d reximdva syld sylbid expimpd ancomsd rexlimdvva mpd ) A
      PUAZQUAZUBZWNDEGUCZUDZWOWQUDZUEZRZQEVBPEVBBUAZCUAZSUFZHIUEZRZCEVBZBEVBZAP
      QEFWRWSLAEFWNWQADEGFMUGUHWNWOWQUIUJAXAXHPQEEAWNETZWOETZRZRZWTWPXHXLWTWPXH
      XLWTRZWPWNWOSUFZWOWNSUFZUKZXHXMWNWOXLWNULTZWTAXIXQXJAEULWNJUMUNUOXLWOULTZ
      WTAXJXRXIAEULWOJUMUPUOUQXMXPXDXBWQUDZXCWQUDZUEZRZCEVBZBEVBZXHXMXNYDXOXMXN
      YDXMXNRXIXJXNWTYDXLXIWTXNAXIXJURZUSXLXJWTXNAXIXJUTZUSXMXNVCXLWTXNVAYBXNWT
      RWNXCSUFZWRXTUEZRBCWNWOEEBPWDXDYGYAYHXBWNXCSVDXBWNXTWQVEVFCQWDZYGXNYHWTXC
      WOWNSVGYIXTWSWRXCWOWQUIVHVFVIVJVKXMXOYDXMXORZXJXIXOWSWRUEZYDXLXJWTXOYFUSX
      LXIWTXOYEUSXMXOVCYJWRWSXLWTXOVAVLYBXOYKRWOXCSUFZWSXTUEZRBCWOWNEEBQWDXDYLY
      AYMXBWOXCSVDXBWOXTWQVEVFCPWDZYLXOYMYKXCWNWOSVGYNXTWRWSXCWNWQUIVHVFVIVJVKV
      MAYDXHVNXKWTAYCXGBEAXBETZRZYBXFCEYPXCETZRZYAXEXDYRYAXEYRXSHXTIYRDXBGHEWQF
      WQVOZNAYOYQVAYPHFTZYQADUAETZRZGFTZVNZYPYTVNDBDBWDZUUBYPUUCYTUUEUUAYOADBEV
      PVQUUEGHFNVRVSMVTUOWAYRDXCGIEWQFYSOYPYQVCAYQIFTZYOUUDAYQRZUUFVNDCDCWDZUUB
      UUGUUCUUFUUHUUAYQADCEVPVQUUHGIFOVRVSMVTWBWAWCWEWFWGWGUSWHWIWJWKWLWM $.
  $}

  $( An infinite subset of a countable set is countable, without using choice.
     (Contributed by Stefan O'Rear, 19-Oct-2014.)  (Revised by Stefan O'Rear,
     6-May-2015.) $)
  ctbnfien $p |- ( ( ( X ~~ _om /\ Y ~~ _om ) /\
        ( A C_ X /\ -. A e. Fin ) ) -> A ~~ Y ) $=
    ( com cen wbr wa wss cfn wcel wn csdm isfinite notbii wo cdom cvv brrelex1i
    wi relen ssdomg syl domen2 sylibd imp brdom2 sylib adantlr ord syl5bi enen2
    impr wb ad2antlr mpbird ) BDEFZCDEFZGZABHZAIJZKZGZGACEFZADEFZURUSVAVDVAADLF
    ZKURUSGZVDUTVEAMNVFVEVDUPUSVEVDOZUQUPUSGADPFZVGUPUSVHUPUSABPFZVHUPBQJUSVISB
    DETRABQUAUBBDAUCUDUEADUFUGUHUIUJULUQVCVDUMUPVBCDAUKUNUO $.

  ${
    $d A x y $.  $d ph x y $.  $d B x y $.  $d D y $.
    fiphp3d.a $e |- ( ph -> A ~~ NN ) $.
    fiphp3d.b $e |- ( ph -> B e. Fin ) $.
    fiphp3d.c $e |- ( ( ph /\ x e. A ) -> D e. B ) $.
    $( Infinite pigeonhole principle for partitioning an infinite set between
       finitely many buckets.  (Contributed by Stefan O'Rear, 18-Oct-2014.) $)
    fiphp3d $p |- ( ph -> E. y e. B { x e. A | D = y } ~~ NN ) $=
      ( cv wceq crab cfn wcel wrex cn cen wbr com wa wn wral ciun iunrab risset
      ominf eqcom rexbii bitri ralrimiva rabid2 sylibr eqtr4id eleq1d wb nnenom
      sylib entr sylancl syl bitrd mtbiri iunfi sylan mtand rexnal jctir ssrab2
      enfi wss jctl ctbnfien syl2an ex reximdv mpd ) AFCJZKZBDLZMNZUAZCEOZVSPQR
      ZCEOAVTCEUBZUAWBAWDCEVSUCZMNZAWFSMNZUFAWFDMNZWGAWEDMAWEVRCEOZBDLZDVRCBEDU
      DAWIBDUBDWJKAWIBDABJDNTFENZWIIWKVQFKZCEOWICFEUEWLVRCEVQFUGUHUIUQUJWIBDUKU
      LUMUNADSQRZWHWGUOADPQRPSQRZWMGUPDPSURUSZDSVIUTVAVBAEMNWDWFHCEVSVCVDVEVTCE
      VFULAWAWCCEAWAWCAWMWNTVSDVJZWATWCWAAWMWNWOUPVGWAWPVRBDVHVKVSDPVLVMVNVOVP
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  A non-closed set of reals is infinite
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A a b c d x y $.  $d B a b c d x y $.
    $( Lemma for ~ rencldnfi .  (Contributed by Stefan O'Rear, 18-Oct-2014.) $)
    rencldnfilem $p |- ( ( ( A C_ RR /\ B e. RR /\ ( A =/= (/) /\ -. B e. A ) )
        /\ A. x e. RR+ E. y e. A ( abs ` ( y - B ) ) < x ) -> -. A e. Fin ) $=
      ( va vb vc vd cr wss wcel wn wa cv clt wbr wrex crp wral wceq c0 wne cmin
      w3a co cabs cfv cfn wi crab ccnv eqeq1 rexbidv elrab simp-4l simpr sseldd
      csup recnd simp-4r subcld cc0 simprr ad2antrr nelneq syl2anc cc wb subeq0
      necon3abid mpbird absrpcld eleq1 syl5ibrcom rexlimdva syl5bi ssrdv adantr
      expimpd cab abrexfi rabssab ssfi sylancl adantl wex simplrl n0 sylib eqid
      abscld fvoveq1 rspceeqv mpan2 sylanbrc ne0d exlimddv a1i wor gtso fisupcl
      ssrab2 mpan syl3anc cle cinf mp2 fisupg elrabi brcnv notbii lenlt biimprd
      vex adantll sylan2 ralimdva adantrd reximdva lbinfle df-inf eqcomi breq1i
      soss mpd sylibr sselid lenltd mpbid ralrimiva breq2 notbid ralbidv rspcev
      ralnex rexbii rexnal bitri ex 3impa con2d imp ) CIJZDIKZCUAUBZDCKLZMZUDZB
      NZDUCUEZUFUGZANZOPZBCQZARSZCUHKZLUUHUUPUUOUUCUUDUUGUUPUUOLZUIUUCUUDMZUUGM
      ZUUPUUQUUSUUPMZUUMLZBCSZARQZUUQUUTENZFNZDUCUEZUFUGZTZFCQZEIUJZIOUKZURZRKU
      UKUVLOPZLZBCSZUVCUUTUVJRUVLUUSUVJRJUUPUUSGUVJRGNZUVJKZUVPIKZUVPUVGTZFCQZM
      UUSUVPRKZUVIUVTEUVPIUVDUVPTUVHUVSFCUVDUVPUVGULUMUNUUSUVRUVTUWAUUSUVRMZUVS
      UWAFCUWBUVECKZMZUWAUVSUVGRKUWDUVFUWDUVEDUWDUVEUWDCIUVEUUCUUDUUGUVRUWCUOUW
      BUWCUPZUQUSZUWDDUUCUUDUUGUVRUWCUTUSZVAUWDUVFVBUBZUVEDTZLZUWDUWCUUFUWJUWEU
      USUUFUVRUWCUURUUEUUFVCVDUVEDCVEVFUWDUVEVGKZDVGKZUWHUWJVHUWFUWGUWKUWLMUWIU
      VFVBUVEDVIVJVFVKVLUVPUVGRVMVNVOVSVPVQVRUUTUVJUHKZUVJUAUBZUVJIJZUVLUVJKZUU
      PUWMUUSUUPUVIEVTZUHKUVJUWQJUWMFECUVGWAUVIEIWBUWQUVJWCWDWEZUUTUUICKZUWNBUU
      TUUEUWSBWFUURUUEUUFUUPWGBCWHWIUUTUWSMZUVJUUKUWTUUKIKUUKUVGTZFCQZUUKUVJKZU
      WTUUJUWTUUIDUWTUUIUWTCIUUIUUCUUDUUGUUPUWSUOUUTUWSUPUQUSUWTDUUCUUDUUGUUPUW
      SUTUSVAWKZUWSUXBUUTUWSUUKUUKTUXBUUKWJFUUICUVGUUKUUKUVEUUIDUFUCWLWMWNWEUVI
      UXBEUUKIUVDUUKTUVHUXAFCUVDUUKUVGULUMUNWOZWPWQZUWOUUTUVIEIXBZWRIUVKWSZUWMU
      WNUWOUDUWPWTIUVJUVKXAXCXDZUQUUTUVNBCUWTUVLUUKXEPZUVNUWTUVJIOXFZUUKXEPZUXJ
      UWTUWOUVPHNZXEPZHUVJSZGUVJQZUXCUXLUWOUWTUXGWRUUTUXPUWSUUTUVPUXMUVKPZLZHUV
      JSZUXMUVPUVKPUXMUULUVKPAUVJQUIHUVJSZMZGUVJQZUXPUUTUVJUVKWSZUWMUWNUYBUYCUU
      TUWOUXHUYCUXGWTUVJIUVKYDXGWRUWRUXFGHAUVJUVKXHXDUUTUYAUXOGUVJUVQUUTUVRUYAU
      XOUIUVIEUVPIXIUUTUVRMZUXSUXOUXTUYDUXRUXNHUVJUXMUVJKUYDUXMIKZUXRUXNUIZUVIE
      UXMIXIUVRUYEUYFUUTUXRUXMUVPOPZLZUVRUYEMZUXNUXQUYGUVPUXMOGXNHXNXJXKUYIUXNU
      YHUVPUXMXLXMVPXOXPXQXRXPXSYEVRUXEGHUUKUVJXTXDUVLUXKUUKXEUXKUVLUVJIOYAYBYC
      YFUWTUVLUUKUUTUVLIKUWSUUTUVJIUVLUXGUXIYGVRUXDYHYIYJUVBUVOAUVLRUULUVLTZUVA
      UVNBCUYJUUMUVMUULUVLUUKOYKYLYMYNVFUVCUUNLZARQUUQUVBUYKARUUMBCYOYPUUNARYQY
      RWIYSYTUUAUUB $.

    $( A set of real numbers which comes arbitrarily close to some target yet
       excludes it is infinite.  The work is done in ~ rencldnfilem using
       infima; this theorem removes the requirement that A be nonempty.
       (Contributed by Stefan O'Rear, 19-Oct-2014.) $)
    rencldnfi $p |- ( ( ( A C_ RR /\ B e. RR /\ -. B e. A ) /\ A. x e. RR+ E. y
        e. A ( abs ` ( y - B ) ) < x ) -> -. A e. Fin ) $=
      ( cr wss wcel wn w3a cv cmin co cabs cfv crp wral wa c0 wne c1 clt simpl1
      wbr wrex cfn simpl2 ralimi wb 1rp ne0i r19.3rzv mp2b sylibr adantl simpl3
      rexn0 jca simpr rencldnfilem syl31anc ) CEFZDEGZDCGHZIZBJDKLMNAJUAUCZBCUD
      ZAOPZQZVAVBCRSZVCQVGCUEGHVAVBVCVGUBVAVBVCVGUFVHVIVCVGVIVDVGVIAOPZVIVFVIAO
      VEBCUPUGTOGORSVIVJUHUIOTUJVIAOUKULUMUNVAVBVCVGUOUQVDVGURABCDUSUT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Lagrange's rational approximation theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x a b $.  $d A a b x y $.  $d B a b x y $.
    $( Lemma for ~ irrapx1 .  Divides the unit interval into ` B ` half-open
       sections and using the pigeonhole principle ~ fphpdo finds two multiples
       of ` A ` in the same section mod 1.  (Contributed by Stefan O'Rear,
       12-Sep-2014.) $)
    irrapxlem1 $p |- ( ( A e. RR+ /\ B e. NN ) -> E. x e. ( 0 ... B ) E. y e. (
        0 ... B ) ( x < y /\ ( |_ ` ( B x. ( ( A x. x ) mod 1 ) ) ) = ( |_ ` (
        B x. ( ( A x. y ) mod 1 ) ) ) ) ) $=
      ( wcel cc0 co c1 cmul cmo cfl cfv cr clt wbr adantl cle ad2antlr sylancl
      cz va crp cn wa cfz cmin cv wss cuz fzssuz uzssz zssre sstri a1i csdm cn0
      ovexd nnm1nn0 nn0uz eleqtrdi nnz nnre ltm1d fzsdom2 syl21anc rpre elfzelz
      ad2antrr zred remulcld 1rp modcl flcld wn recnd mul01d modge0 0red lemul2
      wb nngt0 syl112anc mpbid eqbrtrrd lenltd fllt mtbid mpbird sylanbrc caddc
      0z elnn0z flle syl modlt 1red ltmul2 mulid1d breqtrd lelttrd wceq cc nncn
      ax-1cn npcan breqtrrd 1z zsubcl zleltp1 syl2anc elfz2nn0 syl3anbrc oveq1d
      oveq2 oveq2d fveq2d fphpdo ) CUBEZDUCEZUDZABUAFDUEGZFDHUFGZUEGZDCUAUGZIGZ
      HJGZIGZKLZDCAUGZIGZHJGZIGZKLDCBUGZIGZHJGZIGZKLYAMUHXTYAFUILZMFDUJYQTMFUKU
      LUMUMUNXTFYBUEUQXTYBYQEDTEZYBDNOYCYAUOOXTYBUPYQXSYBUPEZXRDURZPUSUTXSYRXRD
      VAZPXTDXSDMEZXRDVBZPVCFYBDVDVEXTYDYAEZUDZYHUPEZYSYHYBQOZYHYCEUUEYHTEZFYHQ
      OZUUFUUEYGUUEDYFXSUUBXRUUDUUCRZUUEYEMEZHUBEZYFMEZUUECYDXRCMEXSUUDCVFVHUUD
      YDMEXTUUDYDYDFDVGVIPVJZVKYEHVLSZVJZVMZUUEUUIYHFNOZVNUUEYGFNOZUURUUEFYGQOU
      USVNUUEDFIGZFYGQUUEDUUEDUUJVOZVPUUEFYFQOZUUTYGQOZUUEUUKUULUVBUUNVKYEHVQSU
      UEFMEUUMUUBFDNOZUVBUVCVTUUEVRZUUOUUJXSUVDXRUUDDWARZFYFDVSWBWCWDUUEFYGUVEU
      UPWEWCUUEYGMEZFTEUUSUURVTUUPWKYGFWFSWGUUEFYHUVEUUEYHUUQVIZWEWHYHWLWIXSYSX
      RUUDYTRUUEUUGYHYBHWJGZNOZUUEYHDUVINUUEYHYGDUVHUUPUUJUUEUVGYHYGQOUUPYGWMWN
      UUEYGDHIGZDNUUEYFHNOZYGUVKNOZUUEUUKUULUVLUUNVKYEHWOSUUEUUMHMEUUBUVDUVLUVM
      VTUUOUUEWPUUJUVFYFHDWQWBWCUUEDUVAWRWSWTXSUVIDXAZXRUUDXSDXBEHXBEUVNDXCXDDH
      XESRXFUUEUUHYBTEZUUGUVJVTUUQUUEYRHTEUVOXSYRXRUUDUUARXGDHXHSYHYBXIXJWHYHYB
      XKXLYDYIXAZYGYLKUVPYFYKDIUVPYEYJHJYDYICIXNXMXOXPYDYMXAZYGYPKUVQYFYODIUVQY
      EYNHJYDYMCIXNXMXOXPXQ $.

    $( Lemma for ~ irrapx1 .  Two multiples in the same bucket means they are
       very close mod 1.  (Contributed by Stefan O'Rear, 12-Sep-2014.) $)
    irrapxlem2 $p |- ( ( A e. RR+ /\ B e. NN ) -> E. x e. ( 0 ... B ) E. y e. (
        0 ... B ) ( x < y /\ ( abs ` ( ( ( A x. x ) mod 1 ) - ( ( A x. y ) mod
        1 ) ) ) < ( 1 / B ) ) ) $=
      ( wcel wa clt wbr cmul co c1 cmo cfv wceq cc0 wrex cmin cabs cr recnd crp
      cn cv cfl cdiv irrapxlem1 caddc nnre ad3antlr rpre ad3antrrr elfzelz zred
      cfz ad2antlr remulcld 1rp a1i modcld intfrac adantl oveq12d fveq2d adantr
      simpr oveq1d flcld zcnd pnpcand cico 0red 1red modelico sylancl icodiamlt
      syl syl22anc 1m0e1 breqtrdi eqbrtrd ex wb resubcld nngt0 gt0ne0d rereccld
      abscld ltmul2 syl112anc nnnn0 nn0ge0d absidd eqcomd absmuld subdid recidd
      cle 3eqtr2d breq12d bitrd sylibrd anim2d reximdva mpd ) CUAEZDUBEZFZAUCZB
      UCZGHZDCXHIJZKLJZIJZUDMZDCXIIJZKLJZIJZUDMZNZFZBODUNJZPZAYAPXJXLXPQJZRMZKD
      UEJZGHZFZBYAPZAYAPABCDUFXGYBYHAYAXGXHYAEZFZXTYGBYAYJXIYAEZFZXSYFXJYLXSXMX
      QQJZRMZKGHZYFYLXSYOYLXSFZYNXNXMKLJZUGJZXRXQKLJZUGJZQJZRMZKGYLYNUUBNXSYLYM
      UUARYLXMYRXQYTQYLXMSEZXMYRNYLDXLXFDSEZXEYIYKDUHUIZYLXKKYLCXHXECSEXFYIYKCU
      JUKZYIXHSEXGYKYIXHXHODULUMUOUPKUAEZYLUQURZUSZUPZXMUTVPYLXQSEZXQYTNYLDXPUU
      EYLXOKYLCXIUUFYKXISEYJYKXIXIODULUMVAUPUUHUSZUPZXQUTVPVBVCVDYPUUBXRYQUGJZY
      TQJZRMZKGYPUUAUUORYPYRUUNYTQYPXNXRYQUGYLXSVEVFVFVCYLUUPKGHXSYLUUPYQYSQJZR
      MZKGYLUUOUUQRYLXRYQYSYLXRYLXQUUMVGVHYLYQYLXMKUUJUUHUSTYLYSYLXQKUUMUUHUSTV
      IVCYLUURKOQJZKGYLOSEKSEYQOKVJJZEZYSUUTEZUURUUSGHYLVKYLVLYLUUCUUGUVAUUJUQX
      MKVMVNYLUUKUUGUVBUUMUQXQKVMVNOKYQYSVOVQVRVSVTVDVTVTWAYLYFDYDIJZDYEIJZGHZY
      OYLYDSEYESEUUDODGHZYFUVEWBYLYCYLYCYLXLXPUUIUULWCTZWGYLDUUEYLDXFUVFXEYIYKD
      WDUIZWEZWFUUEUVHYDYEDWHWIYLUVCYNUVDKGYLUVCDRMZYDIJDYCIJZRMYNYLDUVJYDIYLUV
      JDYLDUUEXFODWQHXEYIYKXFDDWJWKUIWLWMVFYLDYCYLDUUETZUVGWNYLUVKYMRYLDXLXPUVL
      YLXLUUITYLXPUULTWOVCWRYLDUVLUVIWPWSWTXAXBXCXCXD $.

    $( Lemma for ~ irrapx1 .  By subtraction, there is a multiple very close to
       an integer.  (Contributed by Stefan O'Rear, 13-Sep-2014.) $)
    irrapxlem3 $p |- ( ( A e. RR+ /\ B e. NN ) -> E. x e. ( 1 ... B ) E. y e.
        NN0 ( abs ` ( ( A x. x ) - y ) ) < ( 1 / B ) ) $=
      ( va wcel wa clt wbr cmul co c1 cmin cabs cfv cc0 cle syl recnd cr vb crp
      cn cv cmo cdiv cfz wrex cn0 irrapxlem2 cfl cz 1z a1i simpllr nnzd simplrr
      elfzelzd simplrl zsubcld 1m1e0 elfzelz ad2antrl ad2antll posdifd eqbrtrid
      zred biimpa wb zlem1lt sylancr mpbird resubcld 0red nnred elfzle1 subid1d
      lesub2dd elfzle2 eqbrtrd letrd elfzd adantrr cuz ad3antrrr remulcld simpr
      ltled rpgt0 lemul2 syl112anc mpbid flword2 syl3anc uznn0sub subdid oveq1d
      rpre flcld zcnd sub4d modfrac eqcomd oveq12d 3eqtrd fveq2d modcld abssubd
      wceq 1rp eqtr2d breq1d biimpd impr oveq2 fvoveq1d rspc2ev rexlimdvva mpd
      ex ) CUBFZDUCFZGZEUDZUAUDZHIZCYDJKZLUEKZCYEJKZLUEKZMKNOZLDUFKZHIZGZUAPDUG
      KZUHEYOUHCAUDZJKZBUDZMKNOZYLHIZBUIUHALDUGKZUHZEUACDUJYCYNUUBEUAYOYOYCYDYO
      FZYEYOFZGZGZYNUUBUUFYNGYEYDMKZUUAFZYIUKOZYGUKOZMKZUIFZCUUGJKZUUKMKZNOZYLH
      IZUUBUUFYFUUHYMUUFYFGZUUGLDLULFZUUQUMUNUUQDYAYBUUEYFUOZUPUUQYEYDUUQYEPDYC
      UUCUUDYFUQZURZUUQYDPDYCUUCUUDYFUSZURZUTZUUQLUUGQIZLLMKZUUGHIZUUQUVFPUUGHV
      AUUFYFPUUGHIUUFYDYEUUFYDUUCYDULFYCUUDYDPDVBVCVGUUFYEUUDYEULFYCUUCYEPDVBVD
      VGVEVHVFUUQUURUUGULFUVEUVGVIUMUVDLUUGVJVKVLUUQUUGYEPMKZDUUQYEYDUUQYEUVAVG
      ZUUQYDUVCVGZVMUUQYEPUVIUUQVNZVMUUQDUUSVOUUQPYDYEUVKUVJUVIUUQUUCPYDQIUVBYD
      PDVPRVRUUQUVHYEDQUUQYEUUQYEUVISZVQUUQUUDYEDQIUUTYEPDVSRVTWAWBWCUUFYFUULYM
      UUQUUIUUJWDOFZUULUUQYGTFZYITFZYGYIQIZUVMUUQCYDYACTFZYBUUEYFCWRWEZUVJWFZUU
      QCYEUVRUVIWFZUUQYDYEQIZUVPUUQYDYEUVJUVIUUFYFWGWHUUQYDTFYETFUVQPCHIZUWAUVP
      VIUVJUVIUVRYAUWBYBUUEYFCWIWEYDYECWJWKWLYGYIWMWNUUJUUIWORWCUUFYFYMUUPUUQYM
      UUPUUQYKUUOYLHUUQUUOYJYHMKZNOYKUUQUUNUWCNUUQUUNYIYGMKZUUKMKYIUUIMKZYGUUJM
      KZMKUWCUUQUUMUWDUUKMUUQCYEYDUUQCUVRSUVLUUQYDUVJSWPWQUUQYIYGUUIUUJUUQYIUVT
      SUUQYGUVSSUUQUUIUUQYIUVTWSWTUUQUUJUUQYGUVSWSWTXAUUQUWEYJUWFYHMUUQYJUWEUUQ
      UVOYJUWEXIUVTYIXBRXCUUQYHUWFUUQUVNYHUWFXIUVSYGXBRXCXDXEXFUUQYJYHUUQYJUUQY
      ILUVTLUBFUUQXJUNZXGSUUQYHUUQYGLUVSUWGXGSXHXKXLXMXNYTUUPUUMYRMKZNOZYLHIABU
      UGUUKUUAUIYPUUGXIZYSUWIYLHUWJYQUUMYRNMYPUUGCJXOXPXLYRUUKXIZUWIUUOYLHUWKUW
      HUUNNYRUUKUUMMXOXFXLXQWNXTXRXS $.

    $( Lemma for ~ irrapx1 .  Eliminate ranges, use positivity of the input to
       force positivity of the output by increasing ` B ` as needed.
       (Contributed by Stefan O'Rear, 13-Sep-2014.) $)
    irrapxlem4 $p |- ( ( A e. RR+ /\ B e. NN ) -> E. x e. NN E. y e. NN ( abs `
        ( ( A x. x ) - y ) ) < ( 1 / if ( x <_ B , B , x ) ) ) $=
      ( va vb wcel cn wa cv co cmin cabs c1 cdiv cle wbr clt cc0 cr crp cfv cfl
      cmul caddc cif wrex cfz cn0 elfznn ad3antlr nn0z ad2antlr simpl ad3antrrr
      cneg rpred nnred remulcld nn0re resubcld recnd rpreccld rprege0d flge0nn0
      abscld nn0p1nn 3syl simpr ifcld nnrecred 0red rprecred flcld peano2re syl
      cz zred max2 syl2anc wb nngt0d lerec syl22anc mpbid fllep1 nnne0d recrecd
      nncnd breqtrrd recgt0d rpgt0d mpbird mulid1d nnge1d 1red lemul2d eqbrtrrd
      letrd subid1d ltletrd absltd simprd ltsub2d sylanbrc elfzle2 max1 syl3anc
      elnnz maxle mpbir2and weq oveq2 fvoveq1d breq1 id ifbieq2d oveq2d breq12d
      fveq2d breq1d rspc2ev irrapxlem3 r19.29vva ) CUAGZDHGZIZCEJZUDKZFJZLKZMUB
      ZNDNCOKZUCUBZNUEKZPQZYODUFZOKZRQZCAJZUDKZBJZLKMUBZNYTDPQZDYTUFZOKZRQZBHUG
      AHUGZEFNYQUHKZUIYGYHUUIGZIZYJUIGZIZYSIZYHHGZYJHGZYLNYHDPQZDYHUFZOKZRQZUUH
      UUJUUOYGUULYSYHYQUJUKZUUNYJVQGZSYJRQZUUPUULUVBUUKYSYJULUMUUNUVCYKYISLKZRQ
      ZUUNUVDUPYKRQZUVEUUNYLUVDRQUVFUVEIUUNYLYRUVDUUNYKUUNYKUUNYIYJUUNCYHUUNCYG
      YEUUJUULYSYEYFUNZUOZUQZUUNYHUVAURZUSZUULYJTGUUKYSYJUTUMZVAZVBVFZUUNYQUUNY
      PYODHYGYOHGZUUJUULYSYGYMTGZSYMPQIYNUIGUVOYGYMYGCUVGVCVDYMVEYNVGVHZUOZYGYF
      UUJUULYSYEYFVIZUOZVJZVKZUUNYISUVKUUNVLZVAZUUMYSVIZUUNYRCUVDUWBUVIUWDUUNYR
      NYOOKZCUWBUUNYOUVRVKZUVIUUNYOYQPQZYRUWFPQZUUNDTGZYOTGZUWHUUNDUVTURZUUNYNT
      GUWKUUNYNUUNYMUUNCUVHVMZVNVRYNVOVPZDYOVSVTUUNUWKSYORQYQTGZSYQRQZUWHUWIWAU
      WNUUNYOUVRWBZUUNYQUWAURZUUNYQUWAWBZYOYQWCWDWEUUNUWFCPQZYMNUWFOKZPQZUUNYMY
      OUXAPUUNUVPYMYOPQUWMYMWFVPUUNYOUUNYOUVRWIUUNYOUVRWGWHWJUUNUWFTGSUWFRQCTGS
      CRQUWTUXBWAUWGUUNYOUWNUWQWKUVIUUNCUVHWLUWFCWCWDWMWSUUNCYIUVDPUUNCNUDKZCYI
      PUUNCUUNCUVIVBWNUUNNYHPQUXCYIPQUUNYHUVAWOUUNNYHCUUNWPUVJUVHWQWEWRUUNYIUUN
      YIUVKVBWTWJWSXAUUNYKUVDUVMUWDXBWEXCUUNSYJYIUWCUVLUVKXDWMYJXIXEUUNYLYRUUSU
      VNUWBUUNUURUUNUUQDYHHUVTUVAVJVKUWEUUNUURYQPQZYRUUSPQZUUNUXDYHYQPQZDYQPQZU
      UJUXFYGUULYSYHNYQXFUKUUNUWJUWKUXGUWLUWNDYOXGVTUUNYHTGZUWJUWOUXDUXFUXGIWAU
      VJUWLUWRYHDYQXJXHXKUUNUURTGSUURRQUWOUWPUXDUXEWAUUNUUQDYHTUWLUVJVJZUUNSDUU
      RUWCUWLUXIUUNDUVTWBUUNUXHUWJDUURPQUVJUWLYHDVSVTXAUWRUWSUURYQWCWDWEXAUUGUU
      TYIUUBLKZMUBZUUSRQABYHYJHHAEXLZUUCUXKUUFUUSRUXLUUAYIUUBMLYTYHCUDXMXNUXLUU
      EUURNOUXLUUDUUQYTYHDYTYHDPXOUXLXPXQXRXSBFXLZUXKYLUUSRUXMUXJYKMUUBYJYILXMX
      TYAYBXHYGYEYQHGYSFUIUGEUUIUGUVGYGYPYODHUVQUVSVJEFCYQYCVTYD $.

    $( Lemma for ~ irrapx1 .  Switching to real intervals and fraction syntax.
       (Contributed by Stefan O'Rear, 13-Sep-2014.) $)
    irrapxlem5 $p |- ( ( A e. RR+ /\ B e. RR+ )
        -> E. x e. QQ ( 0 < x /\ ( abs ` ( x - A ) ) < B
          /\ ( abs ` ( x - A ) ) < ( ( denom ` x ) ^ -u 2 ) ) ) $=
      ( wcel wa cmul co cmin cabs cfv c1 cdiv cle wbr clt cn cc0 cq cr syl wrex
      va vb crp cv cfl caddc cif cdenom c2 cneg w3a cn0 simpr rpreccld rprege0d
      cexp flge0nn0 nn0p1nn irrapxlem4 syldan wne simplrr simplrl nnne0d qdivcl
      3syl nnq syl3anc nnrpd rpdivcld rpgt0d nnred nnnn0d nn0ge0d absidd eqcomd
      oveq1d nncnd qre rpre ad3antrrr resubcld recnd absmuld eqtr4d cc qcn rpcn
      subdid divcan2d mulcomd oveq12d eqtrd fveq2d abssubd 3eqtrd abscld rpge0d
      remulcld simpllr rprecred syl2anc ifcld rpred fllep1 letrd lerecd recrecd
      max2 mpbid rpne0d mulid2d nnge1d lemul1d eqbrtrd ltletrd wb nngt0d ltmul2
      1red syl112anc mpbird msqgt0d gt0ne0d rereccld qdencl max1 dividd divrecd
      divdiv1d 3eqtr3rd 3brtr4d cz nnzd divdenle le2msq syl22anc lerec wceq mpd
      2nn0 expneg sylancl sqvald oveq2d breqtrrd breq2 fvoveq1 breq1d 3anbi123d
      fveq2 breq12d rspcev syl13anc ex rexlimdvva ) BUDDZCUDDZEZBUBUEZFGZUCUEZH
      GZIJZKUVAKCLGZUFJZKUGGZMNZUVHUVAUHZLGZONZUCPUAUBPUAZQAUEZONZUVNBHGIJZCONZ
      UVPUVNUIJZUJUKZUQGZONZULZARUAZUURUUSUVHPDZUVMUUTUVFSDZQUVFMNZEUVGUMDZUWDU
      UTUVFUUTCUURUUSUNUOUPUVFURZUVGUSZVGUBUCBUVHUTVAUUTUVLUWCUBUCPPUUTUVAPDZUV
      CPDZEZEZUVLUWCUWMUVLEZUVCUVALGZRDZQUWOONZUWOBHGZIJZCONZUWSUWOUIJZUVSUQGZO
      NZUWCUWNUVCRDZUVARDZUVAQVBUWPUWNUWKUXDUUTUWJUWKUVLVCZUVCVHTUWNUWJUXEUUTUW
      JUWKUVLVDZUVAVHTUWNUVAUXGVEZUVCUVAVFVIZUWNUWOUWNUVCUVAUWNUVCUXFVJUWNUVAUX
      GVJZVKVLUWNUWTUVAUWSFGZUVACFGZONZUWNUXKUVEUXLOUWNUXKUVAUWRFGZIJZUVCUVBHGZ
      IJUVEUWNUXKUVAIJZUWSFGUXOUWNUVAUXQUWSFUWNUXQUVAUWNUVAUWNUVAUXGVMZUWNUVAUW
      NUVAUXGVNVOZVPVQVRUWNUVAUWRUWNUVAUXGVSZUWNUWRUWNUWOBUWNUWPUWOSDUXIUWOVTTU
      URBSDUUSUWLUVLBWAWBZWCWDZWEWFUWNUXNUXPIUWNUXNUVAUWOFGZUVABFGZHGUXPUWNUVAU
      WOBUXTUWNUWPUWOWGDUXIUWOWHTUURBWGDUUSUWLUVLBWIWBZWJUWNUYCUVCUYDUVBHUWNUVC
      UVAUWNUVCUXFVSZUXTUXHWKUWNUVABUXTUYEWLWMWNWOUWNUVCUVBUYFUWNUVBUWNBUVAUYAU
      XRWTZWDWPWQZUWNUVEUVKUXLUWNUVDUWNUVDUWNUVBUVCUYGUWNUVCUXFVMWCWDWRZUWNUVJU
      WNUVIUVHUVAUDUWNUVHUWNUWGUWDUWNUWEUWFUWGUWNCUURUUSUWLUVLXAZXBZUWNUVFUWNCU
      YJUOZWSUWHXCUWITZVJUXJXDZXBZUWNUVACUXRUWNCUYJXEZWTZUWMUVLUNZUWNUVKKUVFLGZ
      UXLUYOUWNUVFUYLXBUYQUWNUVFUVJMNUVKUYSMNUWNUVFUVHUVJUYKUWNUVHUYMVMZUWNUVIU
      VHUVASUYTUXRXDUWNUWEUVFUVHMNUYKUVFXFTUWNUVASDZUVHSDZUVHUVJMNUXRUYTUVAUVHX
      JXCXGUWNUVFUVJUYLUYNXHXKUWNUYSKCFGZUXLMUWNUYSCVUCUWNCUWNCUYPWDZUWNCUYJXLX
      IUWNCVUDXMWFUWNKUVAMNVUCUXLMNUWNUVAUXGXNUWNKUVACUWNYAUXRUYJXOXKXPXGXQXPUW
      NUWSSDZCSDVUAQUVAONZUWTUXMXRUWNUWRUYBWRZUYPUXRUWNUVAUXGXSZUWSCUVAXTYBYCUW
      NUWSKUXAUXAFGZLGZUXBOUWNUWSKUVAUVAFGZLGZVUJVUGUWNVUKUWNUVAUVAUXRUXRWTZUWN
      VUKUWNUVAUXRUXHYDZYEZYFZUWNVUIUWNUXAUXAUWNUXAUWNUWPUXAPDUXIUWOYGTZVMZVURW
      TZUWNVUIUWNUXAVURUWNUXAVUQVEYDZYEYFUWNUWSVULONZUXKUVAVULFGZONZUWNUVEKUVAL
      GZUXKVVBOUWNUVEUVKVVDUYIUYOUWNUVAUXRUXHYFUYRUWNUVAUVJMNZUVKVVDMNUWNVUAVUB
      VVEUXRUYTUVAUVHYHXCUWNUVAUVJUXJUYNXHXKXQUYHUWNUVAUVALGZUVALGUVAVUKLGVVDVV
      BUWNUVAUVAUVAUXTUXTUXTUXHUXHYKUWNVVFKUVALUWNUVAUXTUXHYIVRUWNUVAVUKUXTUWNV
      UKVUMWDVUOYJYLYMUWNVUEVULSDVUAVUFVVAVVCXRVUGVUPUXRVUHUWSVULUVAXTYBYCUWNVU
      IVUKMNZVULVUJMNZUWNUXAUVAMNZVVGUWNUVCYNDUWJVVIUWNUVCUXFYOUXGUVCUVAYPXCUWN
      UXASDQUXAMNVUAQUVAMNVVIVVGXRVURUWNUXAUWNUXAVUQVNVOUXRUXSUXAUVAYQYRXKUWNVU
      ISDQVUIONVUKSDQVUKONVVGVVHXRVUSVUTVUMVUNVUIVUKYSYRXKXQUWNUXBKUXAUJUQGZLGZ
      VUJUWNUXAWGDUJUMDUXBVVKYTUWNUXAVUQVSZUUBUXAUJUUCUUDUWNVVJVUIKLUWNUXAVVLUU
      EUUFWNUUGUWBUWQUWTUXCULAUWORUVNUWOYTZUVOUWQUVQUWTUWAUXCUVNUWOQOUUHVVMUVPU
      WSCOUVNUWOBIHUUIZUUJVVMUVPUWSUVTUXBOVVNVVMUVRUXAUVSUQUVNUWOUIUULVRUUMUUKU
      UNUUOUUPUUQUUA $.

    $( Lemma for ~ irrapx1 .  Explicit description of a non-closed set.
       (Contributed by Stefan O'Rear, 13-Sep-2014.) $)
    irrapxlem6 $p |- ( ( A e. RR+ /\ B e. RR+ ) -> E. x e. { y e. QQ | ( 0 < y
        /\ ( abs ` ( y - A ) ) < ( ( denom ` y ) ^ -u 2 ) ) } ( abs ` ( x - A )
        ) < B ) $=
      ( va crp wcel wa cc0 cv clt wbr cmin co cabs cfv cdenom cexp cq weq breq2
      cneg w3a crab wrex simplr simpr1 simpr3 jca fvoveq1 fveq2 breq12d anbi12d
      c2 oveq1d elrab sylanbrc simpr2 breq1d rspcev syl2anc irrapxlem5 r19.29a
      ) CFGDFGHZIEJZKLZVECMNOPZDKLZVGVEQPZUNUBZRNZKLZUCZAJZCMNOPZDKLZAIBJZKLZVQ
      CMNOPZVQQPZVJRNZKLZHZBSUDZUEZESVDVESGZHZVMHZVEWDGZVHWEWHWFVFVLHZWIVDWFVMU
      FWHVFVLWGVFVHVLUGWGVFVHVLUHUIWCWJBVESBETZVRVFWBVLVQVEIKUAWKVSVGWAVKKVQVEC
      OMUJWKVTVIVJRVQVEQUKUOULUMUPUQWGVFVHVLURVPVHAVEWDAETVOVGDKVNVECOMUJUSUTVA
      ECDVBVC $.

    $( Dirichlet's approximation theorem.  Every positive irrational number has
       infinitely many rational approximations which are closer than the
       inverse squares of their reduced denominators.  Lemma 61 in
       [vandenDries] p. 42.  (Contributed by Stefan O'Rear, 14-Sep-2014.) $)
    irrapx1 $p |- ( A e. ( RR+ \ QQ ) -> { y e. QQ | ( 0 < y /\ ( abs ` ( y - A
        ) ) < ( ( denom ` y ) ^ -u 2 ) ) } ~~ NN ) $=
      ( vb va crp cq wcel com cen wbr cn wa cv clt cmin co cabs cfv wss cr cdif
      cc0 cdenom c2 cneg cexp crab cfn wn qnnen nnenom entri pm3.2i wrex ssrab2
      wral qssre sstri a1i eldifi rpred eldifn elrabi nsyl irrapxlem6 ralrimiva
      sylan rencldnfi syl31anc jctil ctbnfien sylancr ) BEFUAGZFHIJZKHIJZLUBAMZ
      NJVPBOPQRVPUCRUDUEUFPNJLZAFUGZFSZVRUHGUIZLVRKIJVNVOFKHUJUKULUKUMVMVTVSVMV
      RTSZBTGBVRGZUICMBOPQRDMZNJCVRUNZDEUPVTWAVMVRFTVQAFUOZUQURUSVMBBEFUTZVAVMB
      FGWBBEFVBVQABFVCVDVMWDDEVMBEGWCEGWDWFCABWCVEVGVFDCVRBVHVIWEVJVRFKVKVL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Pell equations 1: A nontrivial solution always exists
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d a b c d e f g A $.  $d a b c d e f g B $.  $d a b c d e f g C $.
    $d a b c d e f g D $.  $d a b c d e f g E $.  $d a b c d e f g F $.
    $d a b c d e f g x $.  $d a b c d e f g y $.  $d a b c d e f g z $.
    $d a b c d e f g ph $.

    $( a bit of terminology - Pell field = Q[sqr d], Pell ring = Z[sqr d]
       (algebraic integers in Pell field), Pell group = right branch of the
       group of units in Pell ring - isomorphic to ZZ, Pell semigroup = Pell
       group elements >= 1, resembles NN0 $)

    $( Lemma for ~ pellex .  Arithmetical core of pellexlem3, norm lower bound.
       This begins Dirichlet's proof of the Pell equation solution existence;
       the proof here follows theorem 62 of [vandenDries] p. 43.  (Contributed
       by Stefan O'Rear, 14-Sep-2014.) $)
    pellexlem1 $p |- ( ( ( D e. NN /\ A e. NN /\ B e. NN ) /\ -. ( sqrt ` D )
        e. QQ ) -> ( ( A ^ 2 ) - ( D x. ( B ^ 2 ) ) ) =/= 0 ) $=
      ( cn wcel w3a csqrt cfv cq c2 cexp co cc0 wne wceq nncn 3ad2ant2 3ad2ant3
      cc wbr wn cmul cmin sqcld 3ad2ant1 mulcld subeq0ad nnne0 sqne0 syl mpbird
      cdiv wb divmul3d sqdiv fveq2d syl3anc nnre redivcld cle clt nnnn0 nn0ge0d
      cr nngt0 divge0 syl22anc sqrtsqd eqtr3d nnq qdivcl fveq2 eleq1d syl5ibcom
      eqeltrd sylbird sylbid necon3bd imp ) CDEZADEZBDEZFZCGHZIEZUAAJKLZCBJKLZU
      BLZUCLZMNWCWEWIMWCWIMOWFWHOZWEWCWFWHWCAWAVTASEZWBAPQZUDZWCCWGVTWACSEWBCPU
      EZWCBWBVTBSEZWABPRZUDZUFUGWCWJWFWGULLZCOZWEWCWFCWGWMWNWQWCWGMNZBMNZWBVTXA
      WABUHRZWCWOWTXAUMWPBUIUJUKUNWCWRGHZIEWSWEWCXCABULLZIWCXDJKLZGHZXCXDWCWKWO
      XAXFXCOWLWPXBWKWOXAFXEWRGABUOUPUQWCXDWCABWAVTAVDEZWBAURQZWBVTBVDEZWABURRZ
      XBUSWCXGMAUTTZXIMBVATZMXDUTTXHWAVTXKWBWAAAVBVCQXJWBVTXLWABVERABVFVGVHVIWC
      AIEZBIEZXAXDIEWAVTXMWBAVJQWBVTXNWABVJRXBABVKUQVOWSXCWDIWRCGVLVMVNVPVQVRVS
      $.

    $( Lemma for ~ pellex .  Arithmetical core of pellexlem3, norm upper bound.
       (Contributed by Stefan O'Rear, 14-Sep-2014.) $)
    pellexlem2 $p |- ( ( ( D e. NN /\ A e. NN /\ B e. NN ) /\ ( abs ` ( ( A / B
        ) - ( sqrt ` D ) ) ) < ( B ^ -u 2 ) ) -> ( abs ` ( ( A ^ 2 ) - ( D x. (
        B ^ 2 ) ) ) ) < ( 1 + ( 2 x. ( sqrt ` D ) ) ) ) $=
      ( wcel cdiv co cfv cabs c2 clt wbr cmul caddc c1 oveq2d cc cc0 recnd cle
      cr cn w3a csqrt cmin cneg cexp simpl3 resqcld sqge0d absidd eqcomd simpl2
      nnred nncnd sqcld simpl1 mulcld subcld wne nnne0d biimpar syl2anc absdivd
      wa eqtr4d abscld divcan2d divsubdird sqdivd wceq nnnn0d nn0ge0d remsqsqrt
      sqne0 resqrtcld sqvald divcan4d 3eqtr4rd oveq12d divcld nndivred resubcld
      subsq addcld mulcomd eqtrd 3eqtrd fveq2d 3eqtr3d absmuld remulcld cz 2nn0
      nn0negzi a1i reexpclzd 1red 2re readdcld simpr wb divgt0d sqrtgt0 addgt0d
      nngt0d gt0ne0d absgt0 biimpa ltmul1 syl112anc mpbid sqgt0d ltmul2 expclzd
      mulass syl3anc expneg sylancl recidd oveq1d mulid2d addcomd ppncan 2times
      cn0 syl abstrid 0le2 sqrtge0d mulge0d nnsqcld 0lt1 lerec syl22anc 1div1e1
      nnge1d breqtrdi eqbrtrd ltletrd ltled leadd1dd letrd ) CUADZAUADZBUADZUBZ
      ABEFZCUCGZUDFZHGZBIUEZUFFZJKZVDZAIUFFZCBIUFFZLFZUDFZHGZUUPUUIUUGUUHMFZLFZ
      HGZLFZNIUUHLFZMFZJUUNUUPUUSUUPEFZLFUUPUURUUPEFZHGZLFUUSUVCUUNUVFUVHUUPLUU
      NUVFUUSUUPHGZEFUVHUUNUUPUVIUUSEUUNUVIUUPUUNUUPUUNBUUNBUUCUUDUUEUUMUGZUMZU
      HZUUNBUVKUIUJUKOUUNUURUUPUUNUUOUUQUUNAUUNAUUCUUDUUEUUMULZUNZUOZUUNCUUPUUN
      CUUCUUDUUEUUMUPZUNZUUNBUUNBUVJUNZUOZUQZURZUVSUUNBPDZBQUSZUUPQUSZUVRUUNBUV
      JUTZUWBUWDUWCBVNVAVBZVCVEOUUNUUSUUPUUNUUSUUNUURUWAVFRUVSUWFVGUUNUVHUVBUUP
      LUUNUVGUVAHUUNUVGUUOUUPEFZUUQUUPEFZUDFUUGIUFFZUUHIUFFZUDFZUVAUUNUUOUUQUUP
      UVOUVTUVSUWFVHUUNUWGUWIUWHUWJUDUUNUWIUWGUUNABUVNUVRUWEVIUKUUNUUHUUHLFZCUW
      JUWHUUNCTDZQCSKUWLCVJUUNCUVPUMZUUNCUUNCUVPVKVLZCVMVBUUNUUHUUNUUHUUNCUWNUW
      OVOZRZVPUUNCUUPUVQUVSUWFVQVRVSUUNUWKUUTUUILFZUVAUUNUUGPDZUUHPDZUWKUWRVJUU
      NABUVNUVRUWEVTZUWQUUGUUHWCVBUUNUUTUUIUUNUUGUUHUXAUWQWDZUUNUUIUUNUUGUUHUUN
      ABUUNAUVMUMZUVJWAZUWPWBZRZWEWFWGWHOWIUUNUVCUUPUUJUUTHGZLFZLFZUVEJUUNUVBUX
      HUUPLUUNUUIUUTUXFUXBWJOUUNUXIUUPUULUXGLFZLFZUVEUUNUUPUXHUVLUUNUUJUXGUUNUU
      IUXFVFZUUNUUTUXBVFZWKZWKUUNUUPUXJUVLUUNUULUXGUUNBUUKUVKUWEUUKWLDUUNIWMWNW
      OZWPZUXMWKZWKUUNNUVDUUNWQZUUNIUUHITDUUNWRWOZUWPWKZWSZUUNUXHUXJJKZUXIUXKJK
      ZUUNUUMUYBUUFUUMWTZUUNUUJTDUULTDUXGTDQUXGJKZUUMUYBXAUXLUXPUXMUUNUUTPDZUUT
      QUSZUYEUXBUUNUUTUUNUUGUUHUXDUWPUUNABUXCUVKUUNAUVMXEUUNBUVJXEXBUUNUWMQCJKQ
      UUHJKUWNUUNCUVPXECXCVBXDXFUYFUYGUYEUUTXGXHVBUUJUULUXGXIXJXKUUNUXHTDUXJTDU
      UPTDZQUUPJKZUYBUYCXAUXNUXQUVLUUNBUVKUWEXLZUXHUXJUUPXMXJXKUUNUXKUXGUVESUUN
      UXKUUPUULLFZUXGLFZNUXGLFUXGUUNUUPPDZUULPDZUXGPDZUXKUYLVJUVSUUNBUUKUVRUWEU
      XOXNUUNUXGUXMRZUYMUYNUYOUBUYLUXKUUPUULUXGXOUKXPUUNUYKNUXGLUUNUYKUUPNUUPEF
      ZLFNUUNUULUYQUUPLUUNUWBIYEDUULUYQVJUVRWMBIXQXRZOUUNUUPUVSUWFXSWFXTUUNUXGU
      YPYAWGUUNUXGUUIUVDMFZHGZUVESUUNUUTUYSHUUNUUTUUHUUGMFZUUHUUHMFZUUIMFZUYSUU
      NUUGUUHUXAUWQYBUUNUWTUWTUWSVUAVUCVJUWQUWQUXAUWTUWTUWSUBVUCVUAUUHUUHUUGYCU
      KXPUUNVUCUUIVUBMFUYSUUNVUBUUIUUNUUHUUHUWQUWQWDUXFYBUUNVUBUVDUUIMUUNUWTVUB
      UVDVJUWQUWTUVDVUBUUHYDUKYFOWFWGWHUUNUYTUUJUVDHGZMFZUVEUUNUYSUUNUYSUUNUUIU
      VDUXEUXTWSRVFUUNUUJVUDUXLUUNUVDUUNUVDUXTRZVFWSUYAUUNUUIUVDUXFVUFYGUUNVUEU
      UJUVDMFUVESUUNVUDUVDUUJMUUNUVDUXTUUNIUUHUXSUWPQISKUUNYHWOUUNCUWNUWOYIYJUJ
      OUUNUUJNUVDUXLUXRUXTUUNUUJNUXLUXRUUNUUJUULNUXLUXPUXRUYDUUNUULUYQNSUYRUUNU
      YQNNEFZNSUUNNUUPSKZUYQVUGSKZUUNUUPUUNBUVJYKYPUUNNTDQNJKZUYHUYIVUHVUIXAUXR
      VUJUUNYLWOUVLUYJNUUPYMYNXKYOYQYRYSYTUUAYRUUBYRYRYSYRYR $.

    ${
      $d D x y z $.
      $( Lemma for ~ pellex .  To each good rational approximation of
         ` ( sqrt `` D ) ` , there exists a near-solution.  (Contributed by
         Stefan O'Rear, 14-Sep-2014.) $)
      pellexlem3 $p |- ( ( D e. NN /\ -. ( sqrt ` D ) e. QQ ) -> { x e. QQ |
       ( 0 < x /\ ( abs ` ( x - ( sqrt ` D ) ) ) < ( ( denom ` x ) ^ -u 2 ) ) }
          ~<_ { <. y , z >. | ( ( y e. NN /\ z e. NN ) /\ ( ( ( y ^ 2 ) - ( D
          x. ( z ^ 2 ) ) ) =/= 0 /\ ( abs ` ( ( y ^ 2 ) - ( D x. ( z ^ 2 ) ) )
          ) < ( 1 + ( 2 x. ( sqrt ` D ) ) ) ) ) } ) $=
        ( cn wcel cfv cq wa cv c2 cexp co cmin cc0 cabs clt wbr cdenom wceq wne
        va vb csqrt wn cmul c1 caddc copab cvv cneg crab cdom cxp nnex opabssxp
        ssexi cnumer cop simprl simprrl qgt0numnn syl2anc qdencl syl jca simpll
        xpex simplr pellexlem1 syl31anc cdiv simprrr qeqnumdivden oveq1d fveq2d
        wb breq1d mpbid pellexlem2 jca32 ex breq2 fvoveq1 fveq2 breq12d anbi12d
        elrab fvex eleq1 anbi1d oveq1 neeq1d anbi2d oveq2d ssrab2 sselid simprr
        opelopab 3imtr4g opth oveq12d 3eqtr4d syl5bi opeq12d impbid1 dom2d mpi
        ) DEFZDUDGZHFUEZIZBJZEFZCJZEFZIZXMKLMZDXOKLMZUFMZNMZOUAZYAPGZUGKXJUFMUH
        MZQRZIZIZBCUIZUJFOAJZQRZYIXJNMPGZYISGZKUKZLMZQRZIZAHULZYHUMRYHEEUNEEUOU
        OVHYFBCEEUPUQXLUBUCYQYHUBJZURGZYRSGZUSZUCJZURGZUUBSGZUSZUJXLYRHFZOYRQRZ
        YRXJNMZPGZYTYMLMZQRZIZIZYSEFZYTEFZIZYSKLMZDYTKLMZUFMZNMZOUAZUUTPGZYDQRZ
        IZIZYRYQFZUUAYHFXLUUMUVEXLUUMIZUUPUVAUVCUVGUUNUUOUVGUUFUUGUUNXLUUFUULUT
        ZXLUUFUUGUUKVAYRVBVCZUVGUUFUUOUVHYRVDVEZVFUVGXIUUNUUOXKUVAXIXKUUMVGZUVI
        UVJXIXKUUMVIYSYTDVJVKUVGXIUUNUUOYSYTVLMZXJNMZPGZUUJQRZUVCUVKUVIUVJUVGUU
        KUVOXLUUFUUGUUKVMUVGUUFUUKUVOVQUVHUUFUUIUVNUUJQUUFUUHUVMPUUFYRUVLXJNYRV
        NZVOVPVRVEVSYSYTDVTVKWAWBYPUULAYRHYIYRTZYJUUGYOUUKYIYROQWCUVQYKUUIYNUUJ
        QYIYRXJPNWDUVQYLYTYMLYIYRSWEVOWFWGWHYGUUNXPIZUUQXTNMZOUAZUVSPGZYDQRZIZI
        UVEBCYSYTYRURWIZYRSWIZXMYSTZXQUVRYFUWCUWFXNUUNXPXMYSEWJWKUWFYBUVTYEUWBU
        WFYAUVSOUWFXRUUQXTNXMYSKLWLVOZWMUWFYCUWAYDQUWFYAUVSPUWGVPVRWGWGXOYTTZUV
        RUUPUWCUVDUWHXPUUOUUNXOYTEWJWNUWHUVTUVAUWBUVCUWHUVSUUTOUWHXTUUSUUQNUWHX
        SUURDUFXOYTKLWLWOWOZWMUWHUWAUVBYDQUWHUVSUUTPUWIVPVRWGWGWSWTXLUVFUUBYQFZ
        IZUUAUUETZYRUUBTZVQZXLUWKIZUUFUUBHFZUWNUWOYQHYRYPAHWPZXLUVFUWJUTWQUWOYQ
        HUUBUWQXLUVFUWJWRWQUUFUWPIZUWLUWMUWLYSUUCTZYTUUDTZIZUWRUWMYSYTUUCUUDUWD
        UWEXAUWRUXAUWMUWRUXAIZUVLUUCUUDVLMZYRUUBUXBYSUUCYTUUDVLUWRUWSUWTUTUWRUW
        SUWTWRXBUXBUUFYRUVLTUUFUWPUXAVGUVPVEUXBUWPUUBUXCTUUFUWPUXAVIUUBVNVEXCWB
        XDUWMYSUUCYTUUDYRUUBURWEYRUUBSWEXEXFVCWBXGXH $.
    $}

    ${
      $d D y z $.
      $( Lemma for ~ pellex .  Invoking ~ irrapx1 , we have infinitely many
         near-solutions.  (Contributed by Stefan O'Rear, 14-Sep-2014.) $)
      pellexlem4 $p |- ( ( D e. NN /\ -. ( sqrt ` D ) e. QQ ) -> { <. y , z >.
       | ( ( y e. NN /\ z e. NN ) /\ ( ( ( y ^ 2 ) - ( D x. ( z ^ 2 ) ) ) =/= 0
         /\ ( abs ` ( ( y ^ 2 ) - ( D x. ( z ^ 2 ) ) ) )
          < ( 1 + ( 2 x. ( sqrt ` D ) ) ) ) ) } ~~ NN ) $=
        ( vb cn wcel cfv cq wa cv c2 cexp co cmul cmin clt wbr cdom cen crp cc0
        csqrt wn wne cabs caddc copab cxp cvv wss nnex xpex opabssxp ssdomg mp2
        xpnnen domentr mp2an cdenom cneg crab cdif nnrp rpsqrtcld anim1i sylibr
        c1 eldif irrapx1 ensym 3syl pellexlem3 endomtr syl2anc sbth sylancr ) C
        EFZCUBGZHFUCZIZAJZEFBJZEFIWAKLMCWBKLMNMOMZUAUDWCUEGVGKVRNMUFMPQIZIABUGZ
        ERQZEWERQZWEESQWEEEUHZRQZWHESQWFWHUIFWEWHUJWIEEUKUKULWDABEEUMWEWHUIUNUO
        UPWEWHEUQURVTEUADJZPQWJVROMUEGWJUSGKUTLMPQIDHVAZSQZWKWERQWGVTVRTHVBFZWK
        ESQWLVTVRTFZVSIWMVQWNVSVQCCVCVDVEVRTHVHVFDVRVIWKEVJVKDABCVLEWKWEVMVNWEE
        VOVP $.
    $}

    ${
      $d D x y z $.
      $( Lemma for ~ pellex .  Invoking ~ fiphp3d , we have infinitely many
         near-solutions for some specific norm.  (Contributed by Stefan O'Rear,
         19-Oct-2014.) $)
      pellexlem5 $p |- ( ( D e. NN /\ -. ( sqrt ` D ) e. QQ ) -> E. x e. ZZ ( x
          =/= 0 /\ { <. y , z >. | ( ( y e. NN /\ z e. NN ) /\ ( ( y ^ 2 ) - (
          D x. ( z ^ 2 ) ) ) = x ) } ~~ NN ) ) $=
        ( cn wcel cfv wa c1st c2 cexp co c2nd cmul cmin wceq cc0 wbr cz cr cabs
        va vb csqrt cq wn cv wne caddc clt copab crab cen cfl cneg cfz csn cdif
        wrex pellexlem4 cfn fzfi diffi mp1i cop wex elopab fveq2 oveq1d oveq12d
        c1 oveq2d vex op1st oveq1i op2nd oveq2i oveq12i eqtrdi ad2antrl simprrl
        simpl simprr ad2antll cle nnz ad2antrr zsqcl syl simplr zmulcld zsubcld
        nnzd 1re 2re nnre nnnn0 nn0ge0d resqrtcld remulcl sylancr readdcl flcld
        cn0 znegcld zred nn0abscl nn0zd peano2re flltp1 lttrd wb zleltp1 mpbird
        syl2anc absle biimpa syl21anc w3a elfz biimpar syl31anc syl12anc simprl
        adantlr eldifsn sylanbrc eqeltrd syl5bi 3ad2ant3 3exp impd cdom cvv wss
        ex wi nnex ssdomg jca32 exlimdvv imp fiphp3d eldif simp2 velsn necon3bi
        elfzelz biimpri jca syl5 simp2l simp2r cxp xpex opabssxp xpnnen domentr
        mp2 mp2an ensym ssexi elrab eqtr2di eqtrd 2eximdv 3imtr4g expimpd ssrdv
        eqeq1d ancomsd 3adant3 mpsyl endomtr sbth syld reximdv2 mpd ) DEFZDUDGZ
        UEFUFZHZUBUGZIGZJKLZDUWCMGZJKLZNLZOLZAUGZPZUBBUGZEFZCUGZEFZHZUWLJKLZDUW
        NJKLZNLZOLZQUHZUWTUAGZVKJUVTNLZUILZUJRZHZHZBCUKZULZEUMRZAUXDUNGZUOZUXKU
        PLZQUQZURZUSUWJQUHZUWPUWTUWJPZHZBCUKZEUMRZHZASUSUWBUBAUXHUXOUWIBCDUTUXM
        VAFUXOVAFUWBUXLUXKVBUXMUXNVCVDUWBUWCUXHFZUWIUXOFZUYBUWCUWLUWNVEZPZUXGHZ
        CVFBVFUWBUYCUXGBCUWCVGUWBUYFUYCBCUWBUYFUYCUWBUYFHZUWIUWTUXOUYEUWIUWTPUW
        BUXGUYEUWIUYDIGZJKLZDUYDMGZJKLZNLZOLZUWTUYEUWEUYIUWHUYLOUYEUWDUYHJKUWCU
        YDIVHVIUYEUWGUYKDNUYEUWFUYJJKUWCUYDMVHVIVLVJUYIUWQUYLUWSOUYHUWLJKUWLUWN
        BVMZCVMZVNVOUYKUWRDNUYJUWNJKUWLUWNUYNUYOVPVOVQVRZVSVTUYGUWTUXMFZUXAUWTU
        XOFUVSUYFUYQUWAUVSUYFHUWPUVSUXEUYQUVSUYEUWPUXFWAUVSUYFWBUXGUXEUVSUYEUWP
        UXAUXEWCWDUWPUVSUXEHZHZUWTSFZUXLSFZUXKSFZUXLUWTWERUWTUXKWERHZUYQUYSUWQU
        WSUYSUWLSFZUWQSFUWMVUDUWOUYRUWLWFWGUWLWHWIUYSDUWRUVSDSFUWPUXEDWFVTUYSUW
        NSFUWRSFUYSUWNUWMUWOUYRWJWMUWNWHWIWKWLZUYSUXKUYSUXDUYSVKTFUXCTFZUXDTFZW
        NUYSJTFUVTTFVUFWOUYSDUVSDTFUWPUXEDWPVTUYSDUVSDXDFUWPUXEDWQVTWRWSJUVTWTX
        AVKUXCXBXAZXCZXEVUIUYSUWTTFZUXKTFZUXBUXKWERZVUCUYSUWTVUEXFUYSUXKVUIXFZU
        YSVULUXBUXKVKUILZUJRZUYSUXBUXDVUNUYSUXBUYSUXBUYSUYTUXBXDFVUEUWTXGWIXHZX
        FVUHUYSVUKVUNTFVUMUXKXIWIUWPUVSUXEWCUYSVUGUXDVUNUJRVUHUXDXJWIXKUYSUXBSF
        VUBVULVUOXLVUPVUIUXBUXKXMXOXNVUJVUKHVULVUCUWTUXKXPXQXRUYTVUAVUBXSUYQVUC
        UWTUXLUXKXTYAYBYCYEUXGUXAUWBUYEUWPUXAUXEYDWDUWTUXMQYFYGYHYPUUAYIUUBUUCU
        WBUXJUYAAUXOSUWBUWJUXOFZUXJUWJSFZUYAHZUWBVUQVURUXPHZUXJVUSYQVUQUWJUXMFZ
        UWJUXNFZUFZHUWBVUTUWJUXMUXNUUDUWBVVAVVCVUTVVAVURUWBVVCVUTYQUWJUXLUXKUUH
        UWBVURVVCVUTUWBVURVVCXSVURUXPUWBVURVVCUUEVVCUWBUXPVURVVBUWJQVVBUWJQPAQU
        UFUUIUUGYJUUJYKUUKYLYIUWBVUTUXJVUSUWBVUTUXJXSZVURUXPUXTUWBVURUXPUXJUULU
        WBVURUXPUXJUUMVVDUXSEYMRZEUXSYMRZUXTUXSEEUUNZYMRZVVGEUMRVVEVVGYNFUXSVVG
        YOVVHEEYRYRUUOZUXQBCEEUUPZUXSVVGYNYSUUSUUQUXSVVGEUURUUTVVDEUXIUMRZUXIUX
        SYMRZVVFUXJUWBVVKVUTUXIEUVAYJUXSYNFVVDUXIUXSYOZVVLUXSVVGVVIVVJUVBUWBVUT
        VVMUXJUWBVUTHZUCUXIUXSUCUGZUXIFVVOUXHFZVVOIGZJKLZDVVOMGZJKLZNLZOLZUWJPZ
        HVVNVVOUXSFZUWKVWCUBVVOUXHUWCVVOPZUWIVWBUWJVWEUWEVVRUWHVWAOVWEUWDVVQJKU
        WCVVOIVHVIVWEUWGVVTDNVWEUWFVVSJKUWCVVOMVHVIVLVJUVJUVCVVNVWCVVPVWDVVNVWC
        VVPVWDVVNVWCHZVVOUYDPZUXGHZCVFBVFVWGUXRHZCVFBVFVVPVWDVWFVWHVWIBCVWFVWHV
        WIVWFVWHHZVWGUWPUXQVWFVWGUXGYDVWFVWGUWPUXFWAVWJUWTVWBUWJVWGUWTVWBPVWFUX
        GVWGVWBUYMUWTVWGVVRUYIVWAUYLOVWGVVQUYHJKVVOUYDIVHVIVWGVVTUYKDNVWGVVSUYJ
        JKVVOUYDMVHVIVLVJUYPUVDVTVVNVWCVWHWJUVEYTYPUVFUXGBCVVOVGUXRBCVVOVGUVGUV
        HUVKYIUVIUVLUXIUXSYNYSUVMEUXIUXSUVNXOUXSEUVOXAYTYKUVPYLUVQUVR $.
    $}

    ${
      pellex.ann $e |- ( ph -> A e. NN ) $. $( A,B first pigeon $)
      pellex.bnn $e |- ( ph -> B e. NN ) $.
      pellex.cz $e |- ( ph -> C e. ZZ ) $. $( common norm $)
      pellex.dnn $e |- ( ph -> D e. NN ) $. $( discriminant $)
      pellex.irr $e |- ( ph -> -. ( sqrt ` D ) e. QQ ) $.
      pellex.enn $e |- ( ph -> E e. NN ) $. $( E,F second pigeon $)
      pellex.fnn $e |- ( ph -> F e. NN ) $.
      pellex.neq $e |- ( ph -> -. ( A = E /\ B = F ) ) $.
      pellex.cn0 $e |- ( ph -> C =/= 0 ) $.
      pellex.no1 $e |- ( ph -> ( ( A ^ 2 ) - ( D x. ( B ^ 2 ) ) ) = C ) $.
      pellex.no2 $e |- ( ph -> ( ( E ^ 2 ) - ( D x. ( F ^ 2 ) ) ) = C ) $.
      pellex.xcg $e |- ( ph -> ( A mod ( abs ` C ) ) = ( E mod ( abs ` C ) ) )
          $.
      pellex.ycg $e |- ( ph -> ( B mod ( abs ` C ) ) = ( F mod ( abs ` C ) ) )
          $.

      $(
        math form:

        |(A+dB)/(E+dF)| = |(A+dB)(E-dF) / (E+dF)(E-dF)| =
          |(AE-DBF)+d(BE-AF)| / |EE+DFF=C| is the soln
        norm: (AE-DBF)(AE-DBF)-D(BE-AF)(BE-AF) / CC;
        AAEE-2AEDBF+DDBBFF-DBBEE+2DBEAF-DAAFF / CC
        AAEE+DDBBFF-DBBEE-DAAFF / CC
        (AA-DBB)EE-DFF(AA-DBB) / CC
        EE-DFF / C
        1
        divisibility: AE-DBF ~~ AA-DBB ~ C ~ 0 mod C; BE-AF ~~ FE-FE ~ 0
        nontriviality: via the norm, AE-DBF=0 implies d = AF-BE / CC
        contradicting irrationality.  BE-AF=0 means B/A = F/E = r; common norm
        then implies B=A and F=E
      $)

      $( Lemma for ~ pellex .  Doing a field division between near solutions
         get us to norm 1, and the modularity constraint ensures we still have
         an integer.  Returning NN guarantees that we are not returning the
         trivial solution (1,0).  We are not explicitly defining the
         Pell-field, Pell-ring, and Pell-norm explicitly because after this
         construction is done we will never use them.  This is mostly basic
         algebraic number theory and could be simplified if a generic framework
         for that were in place.  (Contributed by Stefan O'Rear,
         19-Oct-2014.) $)
      pellexlem6 $p |- ( ph -> E. a e. NN E. b e. NN ( ( a ^ 2 ) - ( D x. ( b ^
          2 ) ) ) = 1 ) $=
        ( cmul co cmin cdiv cabs cfv cn wcel c2 cexp c1 wceq cv wrex cz cc0 wne
        nncnd mulcld subcld absdivd cmo caddc negsubd eqcomd oveq1d cr remulcld
        cneg nnred renegcld nnzd modmul1 syl221anc sqcld sqvald resubcld abscld
        resqcld dividd eqeltrd wb syl2anc mpbird absmod0 3eqtr4d modadd1 oveq2d
        mod0 syl mul12d 3eqtrd eqtrd negidd redivcld absz cle wbr divcld nnnn0d
        mpbid nn0ge0d wa absresq sqdivd cc sqne0 3eqtr2d oveq12d mulsubd addcld
        subdid adddid mulcomd mulassd sqmuld eqtr4d subdird eqtr3d subdi negeqd
        clt w3a syl3anc 3eqtr3d adantr simpr neqned divne0d nnne0d oveq1 adantl
        nnabscl divcan1d csqrt ad2antrr ex mulid2d zcnd crp npcand eqtr2d recnd
        absrpcld 0red absne0d 1zzd zred 0mod addid2d zmulcld wn 0lt1 0re ltnlei
        1re mpbi mulge0d suble0d breq1 syl5ibrcom mtoi divassd divsubdird mul4d
        sqge0d nnncan2d addsub4d mulneg2d mulneg1d fvoveq1d div0d abs00bd sq0id
        negsubdi2 mtand negsub divmuleqd divcan4d nngt0d syl22anc sqrtsqd fveq2
        divge0 sqrt1 a1i simplr jca syld sylbird mtod subne0d eqeq1d rspc2ev
        mpd ) ABFUCUDZECGUCUDZUCUDZUEUDZDUFUDZUGUHZUIUJZCFUCUDZBGUCUDZUEUDZDUFU
        DZUGUHZUIUJZUXCUKULUDZEUXIUKULUDZUCUDZUEUDZUMUNZHUOZUKULUDZEIUOZUKULUDZ
        UCUDZUEUDZUMUNZIUIUPHUIUPAUXBUQUJZUXBURUSUXDAUYCUXCUQUJZAUXCUXAUGUHZDUG
        UHZUFUDZUQAUXADAUWRUWTABFABJUTZAFOUTZVAZAEUWSAEMUTZACGACKUTZAGPUTZVAZVA
        ZVBZADLUUAZRVCAUYEUYFVDUDURUNZUYGUQUJZAUXAUYFVDUDZURUNZUYRAUYTURUYFVDUD
        ZURAUYTUWRUWTVKZVEUDZUYFVDUDZUWTVUCVEUDZUYFVDUDZVUBAUXAVUDUYFVDAVUDUXAA
        UWRUWTUYJUYOVFVGVHAUWRVIUJUWTVIUJVUCVIUJUYFUUBUJZUWRUYFVDUDZUWTUYFVDUDZ
        UNVUEVUGUNABFABJVLZAFOVLZVJZAEUWSAEMVLZACGACKVLZAGPVLZVJVJZAUWTVUQVMADU
        YQRUUFZAVUIFFUCUDZUYFVDUDZGEGUCUDZUCUDZUYFVDUDZVUJABVIUJZFVIUJZFUQUJZVU
        HBUYFVDUDFUYFVDUDUNZVUIVUTUNVUKVULAFOVNZVURUABFFUYFVOVPAVUTFUKULUDZEGUK
        ULUDZUCUDZUEUDZVVKVEUDZUYFVDUDZURVVKVEUDZUYFVDUDZVVCAVUSVVMUYFVDAVVMVVI
        VUSAVVIVVKAFUYIVQZAEVVJUYKAGUYMVQZVAZUUCAFUYIVRUUDVHAVVLVIUJURVIUJVVKVI
        UJVUHVVLUYFVDUDZVUBUNVVNVVPUNAVVIVVKAFVULWAAEVVJVUNAGVUPWAVJZVSAUUGZVWA
        VURADUYFVDUDZURVVTVUBAVWCURUNZUYFUYFVDUDURUNZAVWEUYFUYFUFUDZUQUJZAVWFUM
        UQAUYFAUYFADUYQVTZUUEADUYQRUUHWBAUUIWCAUYFVIUJVUHVWEVWGWDVWHVURUYFUYFWK
        WEWFADVIUJVUHVWDVWEWDADLUUJZVURDUYFWGWEWFAVVLDUYFVDTVHAVUHVUBURUNVURUYF
        UUKWLZWHVVLURVVKUYFWIVPAVVOVVBUYFVDAVVOVVKEGGUCUDZUCUDVVBAVVKVVSUULAVVJ
        VWKEUCAGUYMVRWJAEGGUYKUYMUYMWMWNVHWNAVVCCVVAUCUDZUYFVDUDZVUJAGVIUJZCVIU
        JZVVAUQUJVUHGUYFVDUDZCUYFVDUDZUNVVCVWMUNVUPVUOAEGAEMVNAGPVNZUUMVURAVWQV
        WPUBVGGCVVAUYFVOVPAVWLUWTUYFVDACEGUYLUYKUYMWMVHWOWNUWRUWTVUCUYFWIVPAVUF
        URUYFVDAUWTUYOWPVHWNVWJWOAUXAVIUJVUHVUAUYRWDAUWRUWTVUMVUQVSZVURUXAUYFWG
        WEXCAUYEVIUJVUHUYRUYSWDAUXAUYPVTVURUYEUYFWKWEXCWCAUXBVIUJZUYCUYDWDAUXAD
        VWSVWIRWQZUXBWRWLWFAUXADUYPUYQAUXAURAUXAURUNZUMURUXMUEUDZUNZAVXDUMURWSW
        TZURUMYDWTVXEUUNUUOURUMUUPUURUUQUUSAVXEVXDVXCURWSWTZAVXFURUXMWSWTAEUXLV
        UNAUXIAUXHAUXGDAUXEUXFACFUYLUYIVAZABGUYHUYMVAZVBZUYQRXAVTZWAZAEAEMXBXDA
        UXIVXJUVHUUTAURUXMVWBAEUXLVUNVXKVJUVAWFUMVXCURWSUVBUVCUVDAVXBXEZUXNUMVX
        CAUXOVXBAUXNUXAUXAUCUDZDUKULUDZUFUDZEUXGUXGUCUDZUCUDZVXNUFUDZUEUDVXMVXQ
        UEUDZVXNUFUDZUMAUXKVXOUXMVXRUEAUXKUXBUKULUDZUXAUKULUDZVXNUFUDVXOAVWTUXK
        VYAUNVXAUXBXFWLAUXADUYPUYQRXGAVYBVXMVXNUFAUXAUYPVRVHWNAUXMEUXGUKULUDZVX
        NUFUDZUCUDEVYCUCUDZVXNUFUDVXRAUXLVYDEUCAUXLUXHUKULUDZVYDAUXHVIUJZUXLVYF
        UNAUXGDAUXEUXFACFVUOVULVJZABGVUKVUPVJZVSZVWIRWQZUXHXFWLAUXGDVXIUYQRXGWO
        WJAEVYCVXNUYKAUXGVXIVQADUYQVQZAVXNURUSZDURUSZRADXHUJZVYMVYNWDUYQDXIWLWF
        ZUVEAVYEVXQVXNUFAVYCVXPEUCAUXGVXIVRWJVHXJXKAVXMVXQVXNAUXAUXAUYPUYPVAAEV
        XPUYKAUXGUXGVXIVXIVAVAVYLVYPUVFAVXTUWRUWRUCUDZUWTUWTUCUDZVEUDZUWRUWTUCU
        DZVYTVEUDZUEUDZEUXEUXEUCUDZUCUDZEUXFUXFUCUDZUCUDZVEUDZEUXEUXFUCUDZUCUDZ
        WUIVEUDZUEUDZUEUDZVXNUFUDVXNVXNUFUDUMAVXSWULVXNUFAVXMWUBVXQWUKUEAUWRUWT
        UWRUWTUYJUYOUYJUYOXLAVXQEWUCWUEVEUDZWUHWUHVEUDZUEUDZUCUDEWUMUCUDZEWUNUC
        UDZUEUDWUKAVXPWUOEUCAUXEUXFUXEUXFVXGVXHVXGVXHXLWJAEWUMWUNUYKAWUCWUEAUXE
        UXEVXGVXGVAZAUXFUXFVXHVXHVAZXMAWUHWUHAUXEUXFVXGVXHVAZWUTXMXNAWUPWUGWUQW
        UJUEAEWUCWUEUYKWURWUSXOAEWUHWUHUYKWUTWUTXOXKWNXKVHAWULVXNVXNUFAWULVYSWU
        JUEUDZWUKUEUDVYSWUGUEUDZVXNAWUBWVAWUKUEAWUAWUJVYSUEAVYTWUIVYTWUIVEAVYTU
        WTUWRUCUDEUWSUWRUCUDZUCUDWUIAUWRUWTUYJUYOXPAEUWSUWRUYKUYNUYJXQAWVCWUHEU
        CAWVCUWSFBUCUDZUCUDUXEGBUCUDZUCUDWUHAUWRWVDUWSUCABFUYHUYIXPWJACGFBUYLUY
        MUYIUYHUVGAWVEUXFUXEUCAGBUYMUYHXPWJWNWJWNZWVFXKWJVHAVYSWUGWUJAVYQVYRAUW
        RUWRUYJUYJVAZAUWTUWTUYOUYOVAZXMAWUDWUFAEWUCUYKWURVAZAEWUEUYKWUSVAZXMAWU
        IWUIAEWUHUYKWUTVAZWVKXMUVIAWVBVYQWUDUEUDZVYRWUFUEUDZVEUDUWRUKULUDZEUXEU
        KULUDZUCUDZUEUDZUWTUKULUDZEUXFUKULUDZUCUDZUEUDZVEUDZVXNAVYQVYRWUDWUFWVG
        WVHWVIWVJUVJAWVQWVLWWAWVMVEAWVNVYQWVPWUDUEAUWRUYJVRAWVOWUCEUCAUXEVXGVRW
        JXKAWVRVYRWVTWUFUEAUWTUYOVRAWVSWUEEUCAUXFVXHVRWJXKXKAWWBBUKULUDZVVIUCUD
        ZECUKULUDZUCUDZVVIUCUDZUEUDZEEUCUDZWWEUCUDZVVJUCUDZEWWCUCUDZVVJUCUDZUEU
        DZVEUDDVVIUCUDZEDUCUDZVKZVVJUCUDZVEUDZVXNAWVQWWHWWAWWNVEAWVNWWDWVPWWGUE
        ABFUYHUYIXRAWVPEWWEVVIUCUDZUCUDWWGAWVOWWTEUCACFUYLUYIXRWJAEWWEVVIUYKACU
        YLVQZVVQXQXSXKAWVRWWKWVTWWMUEAEUKULUDZUWSUKULUDZUCUDWWIWWEVVJUCUDZUCUDW
        VRWWKAWXBWWIWXCWXDUCAEUYKVRACGUYLUYMXRXKAEUWSUYKUYNXRAWWIWWEVVJAEEUYKUY
        KVAZWXAVVRXQWHAWVTEWWCVVJUCUDZUCUDWWMAWVSWXFEUCABGUYHUYMXRWJAEWWCVVJUYK
        ABUYHVQZVVRXQXSXKXKAWWHWWOWWNWWRVEAWWCWWFUEUDZVVIUCUDWWHWWOAWWCWWFVVIWX
        GAEWWEUYKWXAVAZVVQXTAWXHDVVIUCSVHYAAWWJWWLUEUDZVVJUCUDEWWFUCUDZWWLUEUDZ
        VVJUCUDWWNWWRAWXJWXLVVJUCAWWJWXKWWLUEAEEWWEUYKUYKWXAXQVHVHAWWJWWLVVJAWW
        IWWEWXEWXAVAAEWWCUYKWXGVAVVRXTAWXLWWQVVJUCAWXLEWWFWWCUEUDZUCUDZEDVKZUCU
        DWWQAEXHUJZWWFXHUJZWWCXHUJZWXLWXNUNUYKWXIWXGWXPWXQWXRYEWXNWXLEWWFWWCYBV
        GYFAWXMWXOEUCAWXMWXHVKZWXOAWXRWXQWXMWXSUNWXGWXIWXRWXQXEWXSWXMWWCWWFUVQV
        GWEAWXHDSYCWOWJAEDUYKUYQUVKWNVHYGXKAWWSWWODVVKUCUDZVKZVEUDWWOWXTUEUDZVX
        NAWWRWYAWWOVEAWWRWWPVVJUCUDZVKWYAAWWPVVJAEDUYKUYQVAVVRUVLAWYCWXTAWYCDEU
        CUDZVVJUCUDWXTAWWPWYDVVJUCAEDUYKUYQXPVHADEVVJUYQUYKVVRXQWOYCWOWJAWWOWXT
        ADVVIUYQVVQVAADVVKUYQVVSVAVFADVVLUCUDZDDUCUDWYBVXNAVVLDDUCTWJAVYOVVIXHU
        JZVVKXHUJZWYBWYEUNUYQVVQVVSVYOWYFWYGYEWYEWYBDVVIVVKYBVGYFADUYQVRWHWNWNX
        JWNVHAVXNVYLVYPWBWNXJZYHVXLUXKURUXMUEVXLUXCVXLUXCURDUFUDZUGUHZURVXLUXAU
        RDUGUFAVXBYIUVMAWYJURUNVXBAWYIADUYQRUVNUVOYHWOUVPVHYAUVRYJRYKUXBYOWEAUX
        HUQUJZUXHURUSUXJAWYKUXIUQUJZAUXIUXGUGUHZUYFUFUDZUQAUXGDVXIUYQRVCAWYMUYF
        VDUDURUNZWYNUQUJZAUXGUYFVDUDZURUNZWYOAWYQVUBURAWYQUXEUXFVKZVEUDZUYFVDUD
        ZUXFWYSVEUDZUYFVDUDZVUBAUXGWYTUYFVDAUXEXHUJZUXFXHUJZUXGWYTUNVXGVXHXUDXU
        EXEWYTUXGUXEUXFUVSVGWEVHAUXEVIUJUXFVIUJWYSVIUJVUHUXEUYFVDUDZUXFUYFVDUDZ
        UNXUAXUCUNVYHVYIAUXFVYIVMVURAGFUCUDZUYFVDUDZFGUCUDZUYFVDUDZXUFXUGAXUHXU
        JUYFVDAGFUYMUYIXPVHAVWOVWNVVFVUHVWQVWPUNXUFXUIUNVUOVUPVVHVURUBCGFUYFVOV
        PAVVDVVEGUQUJVUHVVGXUGXUKUNVUKVULVWRVURUABFGUYFVOVPWHUXEUXFWYSUYFWIVPAX
        UBURUYFVDAUXFVXHWPVHWNVWJWOAUXGVIUJVUHWYRWYOWDVYJVURUXGUYFWGWEXCAWYMVIU
        JVUHWYOWYPWDAUXGVXIVTVURWYMUYFWKWEXCWCAVYGWYKWYLWDVYKUXHWRWLWFAUXGDVXIU
        YQAUXEUXFVXGVXHAUXEUXFAUXEUXFUNZBFUNZCGUNZXEZQAXULCGUFUDZBFUFUDZUNZXUOA
        CGBFUYLUYMUYHUYIAGPYLZAFOYLZUVTAXURXUOAXURXEZXUPUKULUDZUMUNZXUOXVAXVBDU
        CUDZDUFUDWXHWXHUFUDZXVBUMXVAXVDWXHDWXHUFXVAXVDXVBVVLUCUDXVBVVIUCUDZXVBV
        VKUCUDZUEUDWXHXVADVVLXVBUCXVAVVLDAVVLDUNXURTYHVGWJXVAXVBVVIVVKAXVBXHUJX
        URAXUPACGUYLUYMXUSXAVQYHZAWYFXURVVQYHZAWYGXURVVSYHXNXVAXVFWWCXVGWWFUEXV
        AXVFXUQUKULUDZVVIUCUDZWWCVVIUFUDZVVIUCUDWWCXURXVFXVKUNAXURXVBXVJVVIUCXU
        PXUQUKULYMVHYNXVAXVJXVLVVIUCXVABFABXHUJXURUYHYHAFXHUJZXURUYIYHAFURUSZXU
        RXUTYHXGVHXVAWWCVVIAWXRXURWXGYHXVIAVVIURUSZXURAXVOXVNXUTAXVMXVOXVNWDUYI
        FXIWLWFYHYPWNXVAXVGEXVBVVJUCUDZUCUDEWWEVVJUFUDZVVJUCUDZUCUDWWFXVAXVBEVV
        JXVHAWXPXURUYKYHAVVJXHUJXURVVRYHZWMXVAXVPXVREUCXVAXVBXVQVVJUCXVACGACXHU
        JXURUYLYHAGXHUJZXURUYMYHAGURUSZXURXUSYHXGVHWJXVAXVRWWEEUCXVAWWEVVJAWWEX
        HUJXURWXAYHXVSAVVJURUSZXURAXWBXWAXUSAXVTXWBXWAWDUYMGXIWLWFYHYPWJWNXKWNA
        DWXHUNXURAWXHDSVGYHXKXVAXVBDXVHAVYOXURUYQYHAVYNXURRYHUWAAXVEUMUNXURAXVE
        DDUFUDUMAWXHDWXHDUFSSXKADUYQRWBWOYHYGXVAXVCXUPUMUNZXUOXVAXVCXWCXVAXVCXE
        ZXUPXVBYQUHZUMYQUHZUMAXUPXWEUNXURXVCAXWEXUPAXUPACGVUOVUPXUSWQAVWOURCWSW
        TVWNURGYDWTURXUPWSWTVUOACACKXBXDVUPAGPUWBCGUWFUWCUWDVGYRXVCXWEXWFUNXVAX
        VBUMYQUWEYNXWFUMUNXWDUWGUWHWNYSXVAXWCXUOXVAXWCXEZXUMXUNXWGXUQFUCUDZUMFU
        CUDZBFXWGXUQUMFUCXWGXUPXUQUMAXURXWCUWIXVAXWCYIZYAVHAXWHBUNXURXWCABFUYHU
        YIXUTYPYRAXWIFUNXURXWCAFUYIYTYRYGXWGXUPGUCUDZUMGUCUDZCGXWGXUPUMGUCXWJVH
        AXWKCUNXURXWCACGUYLUYMXUSYPYRAXWLGUNXURXWCAGUYMYTYRYGUWJYSUWKUWQYSUWLUW
        MYJUWNRYKUXHYOWEWYHUYBUXOUXKUXTUEUDZUMUNHIUXCUXIUIUIUXPUXCUNZUYAXWMUMXW
        NUXQUXKUXTUEUXPUXCUKULYMVHUWOUXRUXIUNZXWMUXNUMXWOUXTUXMUXKUEXWOUXSUXLEU
        CUXRUXIUKULYMWJWJUWOUWPYF $.
    $}

    ${
      $d D x y $.
      $( Every Pell equation has a nontrivial solution.  Theorem 62 in
         [vandenDries] p. 43.  (Contributed by Stefan O'Rear, 19-Oct-2014.) $)
      pellex $p |- ( ( D e. NN /\ -. ( sqrt ` D ) e. QQ ) -> E. x e. NN E. y e.
          NN ( ( x ^ 2 ) - ( D x. ( y ^ 2 ) ) ) = 1 ) $=
        ( vb vc vf vg cn wcel cfv wa cv c2 cexp co wceq wbr c1st cmo c2nd va vd
        ve csqrt cq wn cc0 wne cmul cmin copab cen c1 wrex cz cabs cop cfz csdm
        cxp fzfi xpfi mp2an isfinite mpbi nnenom ensymi sdomentr ensym ad2antll
        com cfn sylancr opabssxp sseli cvv simprrl nnzd simpllr nnabscl syl2anc
        simplr zmodfz simprrr jca ex elxp7 opelxp 3imtr4g syl5 imp adantlrr weq
        fveq2 oveq1d opeq12d wi eleq1w bi2anan9 oveq2d oveqan12d eqeq1d anbi12d
        fphpd oveq1 cbvopabv eleq2i biimpi wex elopab w3a simp3ll 3expb simp3lr
        3ad2ant1 simp1lr 3adant1r simp-4l simp-4r simp2ll simp2lr simp2l simp3l
        3adant2l simp1rl simp3 simp2 simp1 opth sylib syl3anc ovex fveq2d op1st
        vex eqtrdi 3eqtr3d op2nd exlimdvv syl5bi 3netr3d simp1rr simp2rr simp3r
        necon3abii 3adant1l simprl simpll simprr 3adant3 mpd simpld simprd 3exp
        pellexlem6 impd sylan2i rexlimdvv mpdan pellexlem5 r19.29a ) CHIZCUDJUE
        IUFZKZUALZUGUHZDLZHIZELZHIZKZUVGMNOZCUVIMNOZUIOZUJOZUVEPZKZDEUKZHULQZKZ
        ALMNOCBLMNOUIOUJOUMPBHUNAHUNZUAUOUVDUVEUOIZKZUVTKZUBLZUCLZUHZUWERJZUVEU
        PJZSOZUWETJZUWISOZUQZUWFRJZUWISOZUWFTJZUWISOZUQZPZKZUCUVRUNUBUVRUNZUWAU
        WDUBUCUVRUGUWIUMUJOZUROZUXCUTZUWMUWRUWDUXDHUSQZHUVRULQZUXDUVRUSQUXDVKUS
        QZVKHULQUXEUXDVLIZUXGUXCVLIZUXIUXHUGUXBVAZUXJUXCUXCVBVCUXDVDVEHVKVFVGUX
        DVKHVHVCUVSUXFUWCUVFUVRHVIVJUXDHUVRVHVMUWCUVFUWEUVRIZUWMUXDIZUVSUWCUVFK
        ZUXKUXLUXKUWEHHUTZIZUXMUXLUVRUXNUWEUVPDEHHVNVOUXMUWEVPVPUTIZUWHHIZUWKHI
        ZKKZUWJUXCIZUWLUXCIZKZUXOUXLUXMUXSUYBUXMUXSKZUXTUYAUYCUWHUOIUWIHIZUXTUY
        CUWHUXMUXPUXQUXRVQVRUYCUWBUVFUYDUVDUWBUVFUXSVSUWCUVFUXSWBUVEVTWAZUWHUWI
        WCWAUYCUWKUOIUYDUYAUYCUWKUXMUXPUXQUXRWDVRUYEUWKUWIWCWAWEWFUWEHHWGUWJUWL
        UXCUXCWHWIWJWKWLUBUCWMZUWJUWOUWLUWQUYFUWHUWNUWISUWEUWFRWNWOUYFUWKUWPUWI
        SUWEUWFTWNWOWPXDUWCUVFUXAUWAUVSUXMUXAUWAUXMUWTUWAUBUCUVRUVRUWFUVRIZUXMU
        XKUWFFLZHIZGLZHIZKZUYHMNOZCUYJMNOZUIOZUJOZUVEPZKZFGUKZIZUWTUWAWQZUYGUYT
        UVRUYSUWFUVQUYRDEFGDFWMZEGWMZKZUVKUYLUVPUYQVUBUVHUYIVUCUVJUYKDFHWREGHWR
        WSVUDUVOUYPUVEVUBVUCUVLUYMUVNUYOUJUVGUYHMNXEVUCUVMUYNCUIUVIUYJMNXEWTXAX
        BXCXFXGXHUXMUXKUYTVUAUXKUWEUVGUVIUQZPZUVQKZEXIDXIUXMUYTVUAWQZUVQDEUWEXJ
        UXMVUGVUHDEUXMVUGVUHUYTUWFUYHUYJUQZPZUYRKZGXIFXIUXMVUGKZVUAUYRFGUWFXJVU
        LVUKVUAFGVULVUKUWTUWAVULVUKUWTXKZUVGUVIUVECUYHUYJABVULVUKUVHUWTUXMVUFUV
        QUVHUVHUVJUVPUXMVUFXLXMXOVULVUKUVJUWTUXMVUFUVQUVJUVHUVJUVPUXMVUFXNXMXOU
        XMVUKUWTUWBVUGUVDUWBUVFVUKUWTXPXQVULVUKUVBUWTUVBUVCUWBUVFVUGXRXOVULVUKU
        VCUWTUVBUVCUWBUVFVUGXSXOVULUYRUWTUYIVUJUYIUYKUYQVULUWTXTYDVULUYRUWTUYKV
        UJUYIUYKUYQVULUWTYAYDVUMVUJVUFUWGVUDUFZVULVUJUYRUWTYBZVUFUVQUXMVUKUWTYE
        ZVULVUKUWGUWSYCVUJVUFUWGXKZVUEVUIUHVUNVUQUWEUWFVUEVUIVUJVUFUWGYFVUJVUFU
        WGYGVUJVUFUWGYHUUAVUDVUEVUIUVGUVIUYHUYJDYOZEYOZYIUUEYJYKUWCUVFVUGVUKUWT
        XPVUGVUKUWTUVPUXMUVKUVPVUFVUKUWTUUBUUFUYLUYQVUJVULUWTUUCVUMUVGUWISOZUYH
        UWISOZPZUVIUWISOZUYJUWISOZPZVUMVUFVUJUWSVVBVVEKZVUPVUOVULVUKUWGUWSUUDVU
        FVUJUWSXKZUWJUWOPZUWLUWQPZKZVVFVVGUWSVVJVUFVUJUWSYFUWJUWLUWOUWQUWHUWISY
        LUWKUWISYLYIYJVUFVUJVVJVVFWQUWSVUFVUJKZVVJVVFVVKVVJKZVVBVVEVVLUWJUWOVUT
        VVAVVKVVHVVIUUGVVLUWHUVGUWISVVLUWHVUERJUVGVVLUWEVUERVUFVUJVVJUUHZYMUVGU
        VIVURVUSYNYPWOVVLUWNUYHUWISVVLUWNVUIRJUYHVVLUWFVUIRVUFVUJVVJWBZYMUYHUYJ
        FYOZGYOZYNYPWOYQVVLUWLUWQVVCVVDVVKVVHVVIUUIVVLUWKUVIUWISVVLUWKVUETJUVIV
        VLUWEVUETVVMYMUVGUVIVURVUSYRYPWOVVLUWPUYJUWISVVLUWPVUITJUYJVVLUWFVUITVV
        NYMUYHUYJVVOVVPYRYPWOYQWEWFUUJUUKYKZUULVUMVVBVVEVVQUUMUUOUUNYSYTWFYSYTU
        UPUUQUURWKWLUUSUADECUUTUVA $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Pell equations 2: Algebraic number theory of the solution set
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Pell1QR Pell14QR Pell1234QR PellFund []NN $.

  ${
    $d a b c d e f A $.  $d a b c d e f B $.  $d a b c d e f D $.
    $d a b c d e f w $.  $d a b c d e f x $.  $d a b c d e f y $.
    $d a b c d e f z $.

    $( define image of ZZ or NN $)
    $( prove non-denseness $)
    $( use logarithms to show all elements are powers of a base $)
    $( value of PellFund ` a*a-1 $)
    $( define Ak, Bk $)
    $( Lucas sequence $)

    $( Extend class notation to include the set of square positive integers. $)
    csquarenn $a class []NN $.
    $( Extend class notation to include the class of quadrant-1 Pell
       solutions. $)
    cpell1qr $a class Pell1QR $.
    $( Extend class notation to include the class of any-quadrant Pell
       solutions. $)
    cpell1234qr $a class Pell1234QR $.
    $( Extend class notation to include the class of positive Pell
       solutions. $)
    cpell14qr $a class Pell14QR $.
    $( Extend class notation to include the Pell-equation fundamental solution
       function. $)
    cpellfund $a class PellFund $.

    $( Define the set of square positive integers.  (Contributed by Stefan
       O'Rear, 18-Sep-2014.) $)
    df-squarenn $a |- []NN = { x e. NN | ( sqrt ` x ) e. QQ } $.

    ${
      $d x y z w $.
      $( Define the solutions of a Pell equation in the first quadrant.  To
         avoid pair pain, we represent this via the canonical embedding into
         the reals.  (Contributed by Stefan O'Rear, 17-Sep-2014.) $)
      df-pell1qr $a |- Pell1QR = ( x e. ( NN \ []NN ) |-> { y e. RR | E. z e.
          NN0 E. w e. NN0 ( y = ( z + ( ( sqrt ` x ) x. w ) ) /\ ( ( z ^ 2 ) -
          ( x x. ( w ^ 2 ) ) ) = 1 ) } ) $.
      $( Define the positive solutions of a Pell equation.  (Contributed by
         Stefan O'Rear, 17-Sep-2014.) $)
      df-pell14qr $a |- Pell14QR = ( x e. ( NN \ []NN ) |-> { y e. RR | E. z e.
          NN0 E. w e. ZZ ( y = ( z + ( ( sqrt ` x ) x. w ) ) /\ ( ( z ^ 2 ) - (
          x x. ( w ^ 2 ) ) ) = 1 ) } ) $.
      $( Define the general solutions of a Pell equation.  (Contributed by
         Stefan O'Rear, 17-Sep-2014.) $)
      df-pell1234qr $a |- Pell1234QR = ( x e. ( NN \ []NN ) |-> { y e. RR | E.
          z e. ZZ E. w e. ZZ ( y = ( z + ( ( sqrt ` x ) x. w ) ) /\ ( ( z ^ 2 )
          - ( x x. ( w ^ 2 ) ) ) = 1 ) } ) $.
      $( A function mapping Pell discriminants to the corresponding fundamental
         solution.  (Contributed by Stefan O'Rear, 18-Sep-2014.)  (Revised by
         AV, 17-Sep-2020.) $)
      df-pellfund $a |- PellFund = ( x e. ( NN \ []NN ) |-> inf ( { z e. (
          Pell14QR ` x ) | 1 < z } , RR , < ) ) $.
    $}

    ${
      $d y z w D $.  $d y z w A $.
      $( Value of the set of first-quadrant Pell solutions.  (Contributed by
         Stefan O'Rear, 17-Sep-2014.) $)
      pell1qrval $p |- ( D e. ( NN \ []NN ) -> ( Pell1QR ` D ) = { y e. RR | E.
          z e. NN0 E. w e. NN0 ( y = ( z + ( ( sqrt ` D ) x. w ) ) /\ ( ( z ^ 2
          ) - ( D x. ( w ^ 2 ) ) ) = 1 ) } ) $=
        ( va cv csqrt cfv cmul co caddc wceq c2 cexp cmin c1 wa cn0 wrex cr cn
        crab csquarenn cpell1qr fveq2 oveq1d oveq2d eqeq2d oveq1 eqeq1d anbi12d
        cdif 2rexbidv rabbidv df-pell1qr reex rabex fvmpt ) EDAFZBFZEFZGHZCFZIJ
        ZKJZLZUTMNJZVAVCMNJZIJZOJZPLZQZCRSBRSZATUBUSUTDGHZVCIJZKJZLZVGDVHIJZOJZ
        PLZQZCRSBRSZATUBUAUCULUDVADLZVMWBATWCVLWABCRRWCVFVQVKVTWCVEVPUSWCVDVOUT
        KWCVBVNVCIVADGUEUFUGUHWCVJVSPWCVIVRVGOVADVHIUIUGUJUKUMUNEABCUOWBATUPUQU
        R $.

      $( Membership in a first-quadrant Pell solution set.  (Contributed by
         Stefan O'Rear, 17-Sep-2014.) $)
      elpell1qr $p |- ( D e. ( NN \ []NN ) -> ( A e. ( Pell1QR ` D ) <-> ( A e.
          RR /\ E. z e. NN0 E. w e. NN0 ( A = ( z + ( ( sqrt ` D ) x. w ) ) /\
          ( ( z ^ 2 ) - ( D x. ( w ^ 2 ) ) ) = 1 ) ) ) ) $=
        ( va cn csquarenn cdif wcel cfv cv cmul co wceq c2 cexp wa cn0 wrex cr
        cpell1qr csqrt caddc cmin pell1qrval eleq2d eqeq1 anbi1d 2rexbidv elrab
        c1 crab bitrdi ) DFGHIZCDUAJZICEKZAKZDUBJBKZLMUCMZNZUQOPMDUROPMLMUDMUKN
        ZQZBRSARSZETULZICTICUSNZVAQZBRSARSZQUNUOVDCEABDUEUFVCVGECTUPCNZVBVFABRR
        VHUTVEVAUPCUSUGUHUIUJUM $.

      $( Value of the set of positive Pell solutions.  (Contributed by Stefan
         O'Rear, 17-Sep-2014.) $)
      pell14qrval $p |- ( D e. ( NN \ []NN ) -> ( Pell14QR ` D ) = { y e. RR |
          E. z e. NN0 E. w e. ZZ ( y = ( z + ( ( sqrt ` D ) x. w ) ) /\ ( ( z ^
          2 ) - ( D x. ( w ^ 2 ) ) ) = 1 ) } ) $=
        ( va cv csqrt cfv cmul co caddc wceq c2 cexp cmin c1 cz wrex cn0 cr wa
        crab csquarenn cdif cpell14qr fveq2 oveq1d oveq2d eqeq2d eqeq1d anbi12d
        cn oveq1 2rexbidv rabbidv df-pell14qr reex rabex fvmpt ) EDAFZBFZEFZGHZ
        CFZIJZKJZLZVAMNJZVBVDMNJZIJZOJZPLZUAZCQRBSRZATUBUTVADGHZVDIJZKJZLZVHDVI
        IJZOJZPLZUAZCQRBSRZATUBULUCUDUEVBDLZVNWCATWDVMWBBCSQWDVGVRVLWAWDVFVQUTW
        DVEVPVAKWDVCVOVDIVBDGUFUGUHUIWDVKVTPWDVJVSVHOVBDVIIUMUHUJUKUNUOEABCUPWC
        ATUQURUS $.

      $( Membership in the set of positive Pell solutions.  (Contributed by
         Stefan O'Rear, 17-Sep-2014.) $)
      elpell14qr $p |- ( D e. ( NN \ []NN ) -> ( A e. ( Pell14QR ` D ) <-> ( A
          e. RR /\ E. z e. NN0 E. w e. ZZ ( A = ( z + ( ( sqrt ` D ) x. w ) )
          /\ ( ( z ^ 2 ) - ( D x. ( w ^ 2 ) ) ) = 1 ) ) ) ) $=
        ( va cn csquarenn wcel cfv cv cmul co wceq c2 cexp wa cz wrex cn0 cr c1
        cdif cpell14qr csqrt caddc cmin crab pell14qrval eleq2d anbi1d 2rexbidv
        eqeq1 elrab bitrdi ) DFGUBHZCDUCIZHCEJZAJZDUDIBJZKLUELZMZURNOLDUSNOLKLU
        FLUAMZPZBQRASRZETUGZHCTHCUTMZVBPZBQRASRZPUOUPVECEABDUHUIVDVHECTUQCMZVCV
        GABSQVIVAVFVBUQCUTULUJUKUMUN $.

      $( Value of the set of general Pell solutions.  (Contributed by Stefan
         O'Rear, 17-Sep-2014.) $)
      pell1234qrval $p |- ( D e. ( NN \ []NN ) -> ( Pell1234QR ` D ) = { y e.
          RR | E. z e. ZZ E. w e. ZZ ( y = ( z + ( ( sqrt ` D ) x. w ) ) /\ ( (
          z ^ 2 ) - ( D x. ( w ^ 2 ) ) ) = 1 ) } ) $=
        ( vd cv csqrt cfv cmul co caddc wceq c2 cexp cmin c1 wa cz wrex cr crab
        cn csquarenn cdif cpell1234qr fveq2 oveq1d oveq2d eqeq2d eqeq1d anbi12d
        oveq1 2rexbidv rabbidv df-pell1234qr reex rabex fvmpt ) EDAFZBFZEFZGHZC
        FZIJZKJZLZUTMNJZVAVCMNJZIJZOJZPLZQZCRSBRSZATUAUSUTDGHZVCIJZKJZLZVGDVHIJ
        ZOJZPLZQZCRSBRSZATUAUBUCUDUEVADLZVMWBATWCVLWABCRRWCVFVQVKVTWCVEVPUSWCVD
        VOUTKWCVBVNVCIVADGUFUGUHUIWCVJVSPWCVIVRVGOVADVHIULUHUJUKUMUNEABCUOWBATU
        PUQUR $.

      $( Membership in the set of general Pell solutions.  (Contributed by
         Stefan O'Rear, 17-Sep-2014.) $)
      elpell1234qr $p |- ( D e. ( NN \ []NN ) -> ( A e. ( Pell1234QR ` D ) <->
          ( A e. RR /\ E. z e. ZZ E. w e. ZZ ( A = ( z + ( ( sqrt ` D ) x. w )
          ) /\ ( ( z ^ 2 ) - ( D x. ( w ^ 2 ) ) ) = 1 ) ) ) ) $=
        ( va cn csquarenn cdif wcel cfv cv cmul co wceq c2 cexp wa cz wrex cr
        cpell1234qr csqrt caddc cmin pell1234qrval eleq2d eqeq1 anbi1d 2rexbidv
        c1 crab elrab bitrdi ) DFGHIZCDUAJZICEKZAKZDUBJBKZLMUCMZNZUQOPMDUROPMLM
        UDMUJNZQZBRSARSZETUKZICTICUSNZVAQZBRSARSZQUNUOVDCEABDUEUFVCVGECTUPCNZVB
        VFABRRVHUTVEVAUPCUSUGUHUIULUM $.
    $}

    $( General Pell solutions are (coded as) real numbers.  (Contributed by
       Stefan O'Rear, 17-Sep-2014.) $)
    pell1234qrre $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell1234QR ` D ) ) -> A
        e. RR ) $=
      ( va vb cn csquarenn cdif wcel cpell1234qr cfv cr cv csqrt cmul wceq cexp
      co c2 cz wrex caddc cmin c1 wa elpell1234qr simprbda ) BEFGHABIJHAKHACLZB
      MJDLZNQUAQOUGRPQBUHRPQNQUBQUCOUDDSTCSTCDABUEUF $.

    $( No solution to a Pell equation is zero.  (Contributed by Stefan O'Rear,
       17-Sep-2014.) $)
    pell1234qrne0 $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell1234QR ` D ) ) ->
        A =/= 0 ) $=
      ( va vb cn csquarenn wcel cfv cc0 wne cmul co wceq c2 cexp cmin c1 wa cz
      cc cdif cpell1234qr cr csqrt caddc wrex elpell1234qr simprl eldifi adantr
      cv ax-1ne0 nncnd ad3antrrr sqrtcld ad2antll ad2antrr sqmuld oveq1d eqtr2d
      zcn sqsqrtd oveq2d ad2antrl mulcld subsq eqtrd simplr simpr subcld mul02d
      syl2anc 3eqtr3d necon3d mpi adantrl eqnetrd rexlimdvva expimpd sylbid imp
      ex ) BEFUAGZABUBHGZAIJZWCWDAUCGZACUKZBUDHZDUKZKLZUELZMZWGNOLZBWINOLZKLZPL
      ZQMZRZDSUFCSUFZRWECDABUGWCWFWSWEWCWFRZWRWECDSSWTWGSGZWISGZRZRZWRWEXDWRRAW
      KIXDWLWQUHXDWQWKIJZWLXDWQRZQIJXEULXFWKIQIXFWKIMZQIMXFXGRZWPWKWGWJPLZKLZQI
      XHWPWMWJNOLZPLZXJXHWOXKWMPXHXKWHNOLZWNKLWOXHWHWIXHBWTBTGXCWQXGWTBWCBEGWFB
      EFUIUJUMUNZUOZXDWITGZWQXGXBXPWTXAWIVAUPUQZURXHXMBWNKXHBXNVBUSUTVCXHWGTGZW
      JTGXLXJMXDXRWQXGXAXRWTXBWGVAVDUQZXHWHWIXOXQVEZWGWJVFVLVGXDWQXGVHXHXJIXIKL
      IXHWKIXIKXFXGVIUSXHXIXHWGWJXSXTVJVKVGVMWBVNVOVPVQWBVRVSVTWA $.

    $( General solutions of the Pell equation are closed under reciprocals.
       (Contributed by Stefan O'Rear, 18-Sep-2014.) $)
    pell1234qrreccl $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell1234QR ` D ) )
        -> ( 1 / A ) e. ( Pell1234QR ` D ) ) $=
      ( vc vd va vb wcel wa c1 co cv cmul caddc wceq c2 cexp cmin cz cc oveq2d
      cn csquarenn cdif cpell1234qr cfv cdiv cr csqrt elpell1234qr pell1234qrre
      wrex biimpa pell1234qrne0 rereccld ad2antrr simplrl simplrr znegcld recnd
      cneg zcn adantr ad2antlr eldifi nncnd ad3antrrr zcnd negcld mulcld addcld
      sqrtcld cc0 wne sqmuld sqsqrtd oveq1d eqtr2d simprr subsq syl2anc 3eqtr3d
      recidd simprl mulneg2d negsubd eqtrd oveq12d 3eqtr4d mulcanad sqneg oveq1
      syl weq eqeq2d eqeq1d anbi12d rspc2ev syl112anc jca ex rexlimdvva adantld
      oveq2 mpd wb mpbird ) BUAUBUCGZABUDUEZGZHZIAUFJZXHGZXKUGGZXKCKZBUHUEZDKZL
      JZMJZNZXNOPJZBXPOPJZLJZQJZINZHZDRUKCRUKZHZXJAUGGZAEKZXOFKZLJZMJZNZYIOPJZB
      YJOPJZLJZQJZINZHZFRUKERUKZHZYGXGXIUUAEFABUIULXJYTYGYHXJYSYGEFRRXJYIRGZYJR
      GZHZHZYSYGUUEYSHZXMYFXJXMUUDYSXJAABUJZABUMZUNZUOUUFUUBYJUTZRGXKYIXOUUJLJZ
      MJZNZYNBUUJOPJZLJZQJZINZYFXJUUBUUCYSUPUUFYJXJUUBUUCYSUQZURUUFXKUULAXJXKSG
      UUDYSXJXKUUIUSUOUUFYIUUKUUDYISGZXJYSUUBUUSUUCYIVAVBVCZUUFXOUUJUUFBXGBSGXI
      UUDYSXGBBUAUBVDVEVFZVKZUUFYJUUFYJUURVGZVHVIVJXJASGUUDYSXJAUUGUSUOZXJAVLVM
      UUDYSUUHUOZUUFIYLYIYKQJZLJZAXKLJAUULLJUUFYQYNYKOPJZQJZIUVGUUFYPUVHYNQUUFU
      VHXOOPJZYOLJYPUUFXOYJUVBUVCVNUUFUVJBYOLUUFBUVAVOVPVQTUUEYMYRVRZUUFUUSYKSG
      UVIUVGNUUTUUFXOYJUVBUVCVIZYIYKVSVTWAUUFAUVDUVEWBUUFAYLUULUVFLUUEYMYRWCUUF
      UULYIYKUTZMJUVFUUFUUKUVMYIMUUFXOYJUVBUVCWDTUUFYIYKUUTUVLWEWFWGWHWIUUFUUPY
      QIUUFUUOYPYNQUUFUUNYOBLUUFYJSGUUNYONUVCYJWJWLTTUVKWFYEUUMUUQHXKYIXQMJZNZY
      NYBQJZINZHCDYIUUJRRCEWMZXSUVOYDUVQUVRXRUVNXKXNYIXQMWKWNUVRYCUVPIUVRXTYNYB
      QXNYIOPWKVPWOWPXPUUJNZUVOUUMUVQUUQUVSUVNUULXKUVSXQUUKYIMXPUUJXOLXCTWNUVSU
      VPUUPIUVSYBUUOYNQUVSYAUUNBLXPUUJOPWKTTWOWPWQWRWSWTXAXBXDXGXLYGXEXICDXKBUI
      VBXF $.

    $( General solutions of the Pell equation are closed under multiplication.
       (Contributed by Stefan O'Rear, 18-Sep-2014.) $)
    pell1234qrmulcl $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell1234QR ` D ) /\
        B e. ( Pell1234QR ` D ) ) -> ( A x. B ) e. ( Pell1234QR ` D ) ) $=
      ( wcel cmul co wa cv caddc wceq c2 cexp cmin c1 cz wrex oveq12d cc mulcld
      oveq2d va vb vc vd ve vf cn csquarenn cpell1234qr cfv cr csqrt wi remulcl
      cdif ad5antlr simprl ad3antrrr simplrl zmulcld eldifi nnzd simplrr simprr
      ad2antrr zaddcld ad2antrl sqrtcld ad2antll adantr ad2antlr adantl muladdd
      zcn nncnd mul4d msqsqrtd oveq1d mul12d adddid eqtr4d 3eqtrd addcld sqmuld
      eqtrd sqsqrtd eqtr2d subsq syl2anc mulsubd subcld 3eqtr2d 1t1e1 a1i oveq1
      eqeq2d eqeq1d anbi12d oveq2 rspc2ev syl112anc jca rexlimdvva impd expimpd
      ex elpell1234qr an4 bitrdi 3imtr4d 3impib ) CUGUHUODZACUIUJZDZBXMDZABEFZX
      MDZXLAUKDZBUKDZGZAUAHZCULUJZUBHZEFZIFZJZYAKLFZCYCKLFZEFZMFZNJZGZUBOPUAOPZ
      BUCHZYBUDHZEFZIFZJZYNKLFZCYOKLFZEFZMFZNJZGZUDOPUCOPZGZGZXPUKDZXPUEHZYBUFH
      ZEFZIFZJZUUIKLFZCUUJKLFZEFZMFZNJZGZUFOPUEOPZGZXNXOGZXQXLXTUUFUVAXLXTGZYMU
      UEUVAUVCYLUUEUVAUMZUAUBOOUVCYAODZYCODZGZGZYLUVDUVHYLGZUUDUVAUCUDOOUVIYNOD
      ZYOODZGZGZUUDUVAUVMUUDGZUUHUUTXTUUHXLUVGYLUVLUUDABUNUPUVNYAYNEFZCYOYCEFZE
      FZIFZODYAYOEFZYNYCEFZIFZODXPUVRYBUWAEFZIFZJZUVRKLFZCUWAKLFZEFZMFZNJZUUTUV
      NUVOUVQUVNYAYNUVHUVEYLUVLUUDUVCUVEUVFUQURZUVIUVJUVKUUDUSZUTUVNCUVPUVHCODY
      LUVLUUDUVHCXLCUGDXTUVGCUGUHVAVEZVBURUVNYOYCUVIUVJUVKUUDVCZUVHUVFYLUVLUUDU
      VCUVEUVFVDURZUTUTVFUVNUVSUVTUVNYAYOUWJUWMUTUVNYNYCUWKUWNUTVFUVNXPYEYQEFZU
      VOYPYDEFZIFZYAYPEFZYNYDEFZIFZIFZUWCUVNAYEBYQEUVIYFUVLUUDUVHYFYKUQVEUVMYRU
      UCUQQUVNYAYDYNYPUVHYARDZYLUVLUUDUVEUXBUVCUVFYAVNVGURZUVNYBYCUVNCUVHCRDYLU
      VLUUDUVHCUWLVOURZVHZUVHYCRDZYLUVLUUDUVFUXFUVCUVEYCVNVIURZSZUVLYNRDZUVIUUD
      UVJUXIUVKYNVNVJVKZUVNYBYOUXEUVLYORDZUVIUUDUVKUXKUVJYOVNVLVKZSZVMZUVNUWQUV
      RUWTUWBIUVNUWPUVQUVOIUVNUWPYBYBEFZUVPEFUVQUVNYBYOYBYCUXEUXLUXEUXGVPUVNUXO
      CUVPEUVNCUXDVQVRWETZUVNUWTYBUVSEFZYBUVTEFZIFUWBUVNUWRUXQUWSUXRIUVNYAYBYOU
      XCUXEUXLVSUVNYNYBYCUXJUXEUXGVSQUVNYBUVSUVTUXEUVNYAYOUXCUXLSZUVNYNYCUXJUXG
      SZVTWAZQZWBUVNUWHUWOYAYDMFZYNYPMFZEFZEFZYGYBKLFZYHEFZMFZYSUYGYTEFZMFZEFZN
      UVNUWHUWEUWBKLFZMFZUWCUVRUWBMFZEFZUYFUVNUWGUYMUWEMUVNUYMUYGUWFEFUWGUVNYBU
      WAUXEUVNUVSUVTUXSUXTWCZWDUVNUYGCUWFEUVNCUXDWFZVRWGTUVNUVRRDUWBRDUYNUYPJUV
      NUVOUVQUVNYAYNUXCUXJSUVNCUVPUXDUVNYOYCUXLUXGSSWCUVNYBUWAUXEUYQSUVRUWBWHWI
      UVNUWCUWOUYOUYEEUVNUWOUXAUWCUXNUYBWGUVNUYEUWQUWTMFUYOUVNYAYDYNYPUXCUXHUXJ
      UXMWJUVNUWQUVRUWTUWBMUXPUYAQWGQWBUVNUYFYEUYCEFZYQUYDEFZEFYGYDKLFZMFZYSYPK
      LFZMFZEFUYLUVNYEYQUYCUYDUVNYAYDUXCUXHWCUVNYNYPUXJUXMWCUVNYAYDUXCUXHWKUVNY
      NYPUXJUXMWKVPUVNVUBUYSVUDUYTEUVNUXBYDRDVUBUYSJUXCUXHYAYDWHWIUVNUXIYPRDVUD
      UYTJUXJUXMYNYPWHWIQUVNVUBUYIVUDUYKEUVNVUAUYHYGMUVNYBYCUXEUXGWDTUVNVUCUYJY
      SMUVNYBYOUXEUXLWDTQWLUVNUYLYJUUBEFNNEFZNUVNUYIYJUYKUUBEUVNUYHYIYGMUVNUYGC
      YHEUYRVRTUVNUYJUUAYSMUVNUYGCYTEUYRVRTQUVNYJNUUBNEUVIYKUVLUUDUVHYFYKVDVEUV
      MYRUUCVDQVUENJUVNWMWNWBWBUUSUWDUWIGXPUVRUUKIFZJZUWEUUPMFZNJZGUEUFUVRUWAOO
      UUIUVRJZUUMVUGUURVUIVUJUULVUFXPUUIUVRUUKIWOWPVUJUUQVUHNVUJUUNUWEUUPMUUIUV
      RKLWOVRWQWRUUJUWAJZVUGUWDVUIUWIVUKVUFUWCXPVUKUUKUWBUVRIUUJUWAYBEWSTWPVUKV
      UHUWHNVUKUUPUWGUWEMVUKUUOUWFCEUUJUWAKLWOTTWQWRWTXAXBXFXCXFXCXDXEXLUVBXRYM
      GZXSUUEGZGUUGXLXNVULXOVUMUAUBACXGUCUDBCXGWRXRYMXSUUEXHXIUEUFXPCXGXJXK $.

    $( ( Characterize the right branch Pell14 as the positive elements ) $)

    $( A positive Pell solution is a general Pell solution.  (Contributed by
       Stefan O'Rear, 18-Sep-2014.) $)
    pell14qrss1234 $p |- ( D e. ( NN \ []NN ) -> ( Pell14QR ` D ) C_ (
        Pell1234QR ` D ) ) $=
      ( va vb vc cn csquarenn cdif wcel cpell14qr cv cmul co wceq c2 cexp wa cz
      cfv wrex cn0 cpell1234qr cr csqrt caddc cmin c1 wi nn0z a1i anim1d anim2d
      reximdv2 elpell14qr elpell1234qr 3imtr4d ssrdv ) AEFGHZBAIRZAUARZUQBJZUBH
      ZUTCJZAUCRDJZKLUDLMVBNOLAVCNOLKLUELUFMPDQSZCTSZPVAVDCQSZPUTURHUTUSHUQVEVF
      VAUQVDVDCTQUQVBTHZVBQHZVDVGVHUGUQVBUHUIUJULUKCDUTAUMCDUTAUNUOUP $.

    $( A positive Pell solution is a real number.  (Contributed by Stefan
       O'Rear, 18-Sep-2014.) $)
    pell14qrre $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell14QR ` D ) ) -> A e.
        RR ) $=
      ( cn csquarenn cdif cpell14qr cfv cpell1234qr pell14qrss1234 pell1234qrre
      wcel cr sselda syldan ) BCDEKZABFGZKABHGZKALKOPQABIMABJN $.

    $( A positive Pell solution is a nonzero number.  (Contributed by Stefan
       O'Rear, 17-Sep-2014.) $)
    pell14qrne0 $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell14QR ` D ) ) -> A
        =/= 0 ) $=
      ( cn csquarenn cdif wcel cpell14qr cfv cpell1234qr cc0 wne pell14qrss1234
      sselda pell1234qrne0 syldan ) BCDEFZABGHZFABIHZFAJKPQRABLMABNO $.

    $( A positive Pell solution is a positive number.  (Contributed by Stefan
       O'Rear, 18-Sep-2014.) $)
    pell14qrgt0 $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell14QR ` D ) ) -> 0 <
        A ) $=
      ( va vb cn wcel cfv cc0 clt cr cmul co wceq c2 cexp cmin wa cabs ad2antlr
      wbr csquarenn cdif cpell14qr cv csqrt caddc c1 wrex cn0 elpell14qr eldifi
      0cnd ad3antrrr nnred nnnn0d nn0ge0d resqrtcld zre adantl remulcld abssubd
      cz recnd subid1d fveq2d eqtrd absresq syl sqrtcld cc sqmuld oveq1d 3eqtrd
      sqsqrtd 0lt1 simpr breqtrrid resqcld adantr posdifd mpbird eqbrtrd abscld
      nn0re absge0d cle nn0ge0 lt2sqd 0red absdifltd mpbid simprd nn0cn addcomd
      breqtrrd adantrl simprl ex rexlimdvva expimpd sylbid imp ) BEUAUBFZABUCGF
      ZHAITZXCXDAJFZACUDZBUEGZDUDZKLZUFLZMZXGNOLZBXINOLZKLZPLZUGMZQZDVBUHCUIUHZ
      QXECDABUJXCXFXSXEXCXFQZXRXECDUIVBXTXGUIFZXIVBFZQZQZXRXEYDXRQHXKAIYDXQHXKI
      TXLYDXQQZHXJXGUFLZXKIYEXJXGPLHITZHYFITZYEHXJPLRGZXGITYGYHQYEYIXJRGZXGIYEY
      IXJHPLZRGYJYEHXJYEULYEXJYEXHXIYEBYEBXCBEFXFYCXQBEUAUKUMZUNZYEBYEBYLUOUPUQ
      YCXIJFZXTXQYBYNYAXIURUSZSZUTZVCZVAYEYKXJRYEXJYRVDVEVFYEYJXGITYJNOLZXMITYE
      YSXOXMIYEYSXJNOLZXHNOLZXNKLXOYEXJJFYSYTMYQXJVGVHYEXHXIYEBYEBYMVCZVIYCXIVJ
      FXTXQYCXIYOVCSVKYEUUABXNKYEBUUBVNVLVMYEXOXMITHXPITYEHUGXPIVOYDXQVPVQYEXOX
      MYEBXNYMYEXIYPVRUTYEXGYCXGJFZXTXQYAUUCYBXGWDVSSZVRVTWAWBYEYJXGYEXJYRWCUUD
      YEXJYRWEYCHXGWFTZXTXQYAUUEYBXGWGVSSWHWAWBYEHXJXGYEWIYQUUDWJWKWLYEXGXJYCXG
      VJFZXTXQYAUUFYBXGWMVSSYRWNWOWPYDXLXQWQWOWRWSWTXAXB $.

    $( A positive Pell solution is a positive real.  (Contributed by Stefan
       O'Rear, 19-Sep-2014.) $)
    pell14qrrp $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell14QR ` D ) ) -> A e.
        RR+ ) $=
      ( cn csquarenn cdif wcel cpell14qr cfv wa pell14qrre pell14qrgt0 elrpd )
      BCDEFABGHFIAABJABKL $.

    $( A general Pell solution is either a positive solution, or its negation
       is.  (Contributed by Stefan O'Rear, 18-Sep-2014.) $)
    pell1234qrdich $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell1234QR ` D ) ) ->
        ( A e. ( Pell14QR ` D ) \/ -u A e. ( Pell14QR ` D ) ) ) $=
      ( va vb vc wcel cneg cmul co caddc wceq c2 cexp cmin c1 wa wrex cn0 oveq1
      cz vd cn csquarenn cdif cpell1234qr cpell14qr wo cr cv csqrt elpell1234qr
      cfv wi simp-4r weq eqeq2d oveq1d eqeq1d anbi12d rexbidv rspcev adantll wb
      elpell14qr ad4antr mpbir2and orcd exp31 simp-5r renegcld simpllr ad2antlr
      znegcl simprl negeqd cc zcn ad4antlr eldifi ad5antr sqrtcld mulcld negdid
      nncnd mulneg2 eqcomd syl2anc oveq2d 3eqtrd sqneg syl oveq12d simprr eqtrd
      oveq2 rspc2ev syl112anc ex rexlimdva elznn0 simprbi adantl mpjaod expimpd
      olcd sylbid imp ) BUBUCUDFZABUEULFZABUFULZFZAGZXJFZUGZXHXIAUHFZACUIZBUJUL
      ZDUIZHIZJIZKZXPLMIZBXRLMIZHIZNIZOKZPZDTQZCTQZPXNCDABUKXHXOYIXNXHXOPZYHXNC
      TYJXPTFZPZXPRFZYHXNUMZXPGZRFZYLYMYHXNYLYMPYHPZXKXMYQXKXOAEUIZXSJIZKZYRLMI
      ZYDNIZOKZPZDTQZERQZXHXOYKYMYHUNYMYHUUFYLUUEYHEXPRECUOZUUDYGDTUUGYTYAUUCYF
      UUGYSXTAYRXPXSJSUPUUGUUBYEOUUGUUAYBYDNYRXPLMSUQURUSUTVAVBXHXKXOUUFPVCXOYK
      YMYHEDABVDVEVFVGVHYLYPYNYLYPPZYGXNDTUUHXRTFZPZYGXNUUJYGPZXMXKUUKXMXLUHFZX
      LYRXQUAUIZHIZJIZKZUUABUUMLMIZHIZNIZOKZPZUATQERQZUUKAXHXOYKYPUUIYGVIVJUUKY
      PXRGZTFZXLYOXQUVCHIZJIZKZYOLMIZBUVCLMIZHIZNIZOKZUVBYLYPUUIYGVKUUIUVDUUHYG
      XRVMVLUUKXLXTGYOXSGZJIUVFUUKAXTUUJYAYFVNVOUUKXPXSYKXPVPFZYJYPUUIYGXPVQVRZ
      UUKXQXRUUKBXHBVPFXOYKYPUUIYGXHBBUBUCVSWDVTWAZUUIXRVPFZUUHYGXRVQVLZWBWCUUK
      UVMUVEYOJUUKXQVPFZUVQUVMUVEKUVPUVRUVSUVQPUVEUVMXQXRWEWFWGWHWIUUKUVKYEOUUK
      UVHYBUVJYDNUUKUVNUVHYBKUVOXPWJWKUUKUVIYCBHUUKUVQUVIYCKUVRXRWJWKWHWLUUJYAY
      FWMWNUVAUVGUVLPXLYOUUNJIZKZUVHUURNIZOKZPEUAYOUVCRTYRYOKZUUPUWAUUTUWCUWDUU
      OUVTXLYRYOUUNJSUPUWDUUSUWBOUWDUUAUVHUURNYRYOLMSUQURUSUUMUVCKZUWAUVGUWCUVL
      UWEUVTUVFXLUWEUUNUVEYOJUUMUVCXQHWOWHUPUWEUWBUVKOUWEUURUVJUVHNUWEUUQUVIBHU
      UMUVCLMSWHWHURUSWPWQXHXMUULUVBPVCXOYKYPUUIYGEUAXLBVDVTVFXEWRWSWRYKYMYPUGZ
      YJYKXPUHFUWFXPWTXAXBXCWSXDXFXG $.

    $( A number is a positive Pell solution iff it is positive and a Pell
       solution, justifying our name choice.  (Contributed by Stefan O'Rear,
       19-Oct-2014.) $)
    elpell14qr2 $p |- ( D e. ( NN \ []NN ) -> ( A e. ( Pell14QR ` D ) <-> ( A
        e. ( Pell1234QR ` D ) /\ 0 < A ) ) ) $=
      ( cn csquarenn cdif wcel cpell14qr cfv cpell1234qr cc0 clt pell14qrss1234
      wbr wa sselda pell14qrgt0 wn cr wi adantrr jca wo 0re pell1234qrre ltnsym
      cneg sylancr impr lt0neg1d mtbid ex adantr mtod pell1234qrdich orel2 sylc
      impbida ) BCDEFZABGHZFZABIHZFZJAKMZNZURUTNVBVCURUSVAABLOABPUAURVDNZAUFZUS
      FZQUTVGUBZUTVEVGJVFKMZVEAJKMZVIURVBVCVJQZURVBNJRFARFZVCVKSUCABUDZJAUEUGUH
      VEAURVBVLVCVMTUIUJURVGVISVDURVGVIVFBPUKULUMURVBVHVCABUNTVGUTUOUPUQ $.

    $( Positive Pell solutions are closed under multiplication.  (Contributed
       by Stefan O'Rear, 17-Sep-2014.) $)
    pell14qrmulcl $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell14QR ` D ) /\ B e.
        ( Pell14QR ` D ) ) -> ( A x. B ) e. ( Pell14QR ` D ) ) $=
      ( cn csquarenn cdif wcel cpell14qr cfv cmul co cpell1234qr cc0 clt wbr wa
      cr pell1234qrre syldan elpell14qr2 simprll simprrl pell1234qrmulcl jca ex
      simpl syl3anc simprlr simprrr mulgt0d anbi12d 3imtr4d 3impib ) CDEFGZACHI
      ZGZBUOGZABJKZUOGZUNACLIZGZMANOZPZBUTGZMBNOZPZPZURUTGZMURNOZPZUPUQPUSUNVGV
      JUNVGPZVHVIVKUNVAVDVHUNVGUFUNVAVBVFUAZUNVCVDVEUBZABCUCUGVKABUNVGVAAQGVLAC
      RSUNVGVDBQGVMBCRSUNVAVBVFUHUNVCVDVEUIUJUDUEUNUPVCUQVFACTBCTUKURCTULUM $.

    $( Positive Pell solutions are closed under reciprocal.  (Contributed by
       Stefan O'Rear, 18-Sep-2014.) $)
    pell14qrreccl $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell14QR ` D ) ) -> (
        1 / A ) e. ( Pell14QR ` D ) ) $=
      ( cn csquarenn cdif wcel cpell14qr cfv c1 cdiv co cpell1234qr cc0 clt wbr
      wa pell1234qrreccl adantrr cr elpell14qr2 pell1234qrre simprr recgt0d jca
      ex 3imtr4d imp ) BCDEFZABGHZFZIAJKZUIFZUHABLHZFZMANOZPZUKUMFZMUKNOZPZUJUL
      UHUPUSUHUPPZUQURUHUNUQUOABQRUTAUHUNASFUOABUARUHUNUOUBUCUDUEABTUKBTUFUG $.

    $( Positive Pell solutions are closed under division.  (Contributed by
       Stefan O'Rear, 18-Sep-2014.) $)
    pell14qrdivcl $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell14QR ` D ) /\ B e.
        ( Pell14QR ` D ) ) -> ( A / B ) e. ( Pell14QR ` D ) ) $=
      ( cn csquarenn cdif wcel cpell14qr cfv w3a cdiv co c1 cc pell14qrre recnd
      cmul wa 3adant3 3adant2 cc0 wne pell14qrne0 divrecd pell14qrreccl eqeltrd
      pell14qrmulcl syld3an3 ) CDEFGZACHIZGZBUJGZJZABKLAMBKLZQLZUJUMABUIUKANGUL
      UIUKRAACOPSUIULBNGUKUIULRBBCOPTUIULBUAUBUKBCUCTUDUIUKULUNUJGZUOUJGUIULUPU
      KBCUETAUNCUGUHUF $.

    $( Lemma for ~ pell14qrexpcl .  (Contributed by Stefan O'Rear,
       18-Sep-2014.) $)
    pell14qrexpclnn0 $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell14QR ` D ) /\ B
        e. NN0 ) -> ( A ^ B ) e. ( Pell14QR ` D ) ) $=
      ( va vb cn csquarenn wcel cn0 cexp co cv wi cc0 wceq oveq2 eleq1d eqeltrd
      c1 imbi2d cdif cpell14qr cfv caddc weq pell14qrre recnd exp0d pell14qrne0
      wa cdiv dividd eqtr4d pell14qrdivcl 3anidm23 w3a cc 3ad2ant2 simp1 expp1d
      cmul simp2l simp3 simp2r pell14qrmulcl syl3anc 3exp nn0ind expdcom 3imp
      a2d ) CFGUAHZACUBUCZHZBIHZABJKZVMHZVOVLVNVQVLVNUJZADLZJKZVMHZMVRANJKZVMHZ
      MVRAELZJKZVMHZMVRAWDSUDKZJKZVMHZMVRVQMDEBVSNOZWAWCVRWJVTWBVMVSNAJPQTDEUEZ
      WAWFVRWKVTWEVMVSWDAJPQTVSWGOZWAWIVRWLVTWHVMVSWGAJPQTVSBOZWAVQVRWMVTVPVMVS
      BAJPQTVRWBAAUKKZVMVRWBSWNVRAVRAACUFUGZUHVRAWOACUIULUMVLVNWNVMHAACUNUORWDI
      HZVRWFWIWPVRWFWIWPVRWFUPZWHWEAVAKZVMWQAWDVRWPAUQHWFWOURWPVRWFUSUTWQVLWFVN
      WRVMHWPVLVNWFVBWPVRWFVCWPVLVNWFVDWEACVEVFRVGVKVHVIVJ $.

    $( Positive Pell solutions are closed under integer powers.  (Contributed
       by Stefan O'Rear, 18-Sep-2014.) $)
    pell14qrexpcl $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell14QR ` D ) /\ B e.
        ZZ ) -> ( A ^ B ) e. ( Pell14QR ` D ) ) $=
      ( cn csquarenn cdif wcel cpell14qr cfv co cn0 wa simplll pell14qrexpclnn0
      cexp simpllr simpr syl3anc cc recnd cz cr cneg wo c1 cdiv wceq pell14qrre
      elznn0 ad2antrr simplr expneg2 pell14qrreccl syl2anc jaodan syl5bi 3impia
      eqeltrd expl ) CDEFGZACHIZGZBUAGZABOJZVAGZVCBUBGZBKGZBUCZKGZUDZLUTVBLZVEB
      UIVKVFVJVEVKVFLZVGVEVIVLVGLUTVBVGVEUTVBVFVGMUTVBVFVGPVLVGQABCNRVLVILZVDUE
      AVHOJZUFJZVAVMASGZBSGVIVDVOUGVKVPVFVIVKAACUHTUJVMBVKVFVIUKTVLVIQZABULRVMU
      TVNVAGZVOVAGUTVBVFVIMZVMUTVBVIVRVSUTVBVFVIPVQAVHCNRVNCUMUNURUOUSUPUQ $.

    $( First-quadrant Pell solutions are a subset of the positive solutions.
       (Contributed by Stefan O'Rear, 18-Sep-2014.) $)
    pell1qrss14 $p |- ( D e. ( NN \ []NN ) -> ( Pell1QR ` D ) C_ ( Pell14QR ` D
        ) ) $=
      ( va vc vb cn csquarenn cdif wcel cpell1qr cfv cv cmul co wceq c2 cexp wa
      cn0 wrex cz cpell14qr cr csqrt caddc cmin c1 wi nn0z a1i reximdv2 reximdv
      anim1d anim2d elpell1qr elpell14qr 3imtr4d ssrdv ) AEFGHZBAIJZAUAJZURBKZU
      BHZVACKZAUCJDKZLMUDMNVCOPMAVDOPMLMUEMUFNQZDRSZCRSZQVBVEDTSZCRSZQVAUSHVAUT
      HURVGVIVBURVFVHCRURVEVEDRTURVDRHZVDTHZVEVJVKUGURVDUHUIULUJUKUMCDVAAUNCDVA
      AUOUPUQ $.

    $( A positive Pell solution is either in the first quadrant, or its
       reciprocal is.  (Contributed by Stefan O'Rear, 18-Sep-2014.) $)
    pell14qrdich $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell14QR ` D ) ) -> ( A
        e. ( Pell1QR ` D ) \/ ( 1 / A ) e. ( Pell1QR ` D ) ) ) $=
      ( va vb wcel wa cmul co caddc wceq c2 cexp cmin c1 cn0 ad2antrr cc adantr
      wrex oveq2d vc cn csquarenn cdif cpell14qr cfv cr cv csqrt cz cpell1qr wo
      cdiv elpell14qr biimpa cneg elznn0 sylib simprd simplr simprl simpr rsp2e
      simplrr syl3anc jca ex elpell1qr ad4antr sylibrd cc0 pell14qrne0 rereccld
      wne pell14qrre recnd reccld ad3antrrr nn0cn ad2antrl eldifi nncnd sqrtcld
      wb zcn ad2antll negcld mulcld addcld recidd simprr eqtr4d syl2anc sqsqrtd
      subsq sqmuld oveq1d eqtr2d mulneg2d negsub eqcomd oveq12d 3eqtr4d adantrr
      eqtrd mulcanad sqneg syl oveq2 eqeq2d oveq1 eqeq1d anbi12d rspcev orim12d
      rspe mpd rexlimdvva expimpd ) BUBUCUDEZABUEUFEZFZAUGEZACUHZBUIUFZDUHZGHZI
      HZJZYDKLHZBYFKLHZGHZMHZNJZFZDUJSCOSZFZABUKUFZEZNAUMHZYREZULZXTYAYQCDABUNU
      OYBYCYPUUBYBYCFZYOUUBCDOUJUUCYDOEZYFUJEZFZFZYOUUBUUGYOFZYFOEZYFUPZOEZULZU
      UBUUHYFUGEZUULUUHUUEUUMUULFUUCUUDUUEYOVDYFUQURUSUUHUUIYSUUKUUAUUHUUIYCYOD
      OSCOSZFZYSUUHUUIUUOUUHUUIFZYCUUNUUGYCYOUUIYBYCUUFUTZPUUPUUDUUIYOUUNUUGUUD
      YOUUIUUCUUDUUEVAZPUUHUUIVBUUGYOUUIUTYOCDOOVCVEVFVGXTYSUUOWDYAYCUUFYOCDABV
      HVIVJUUHUUKYTUGEZYTYDYEUAUHZGHZIHZJZYJBUUTKLHZGHZMHZNJZFZUAOSZCOSZFZUUAUU
      HUUKUVKUUHUUKFZUUSUVJUVLAUUGYCYOUUKUUQPYBAVKVNZYCUUFYOUUKABVLZVIVMUVLUUDU
      VIUVJUUGUUDYOUUKUURPUVLUUKYTYDYEUUJGHZIHZJZYJBUUJKLHZGHZMHZNJZFZUVIUUHUUK
      VBUVLUVQUWAUUHUVQUUKUUHYTUVPAYBYTQEYCUUFYOYBAYBAABVOVPZUVNVQVRUUGUVPQEYOU
      UGYDUVOUUDYDQEZUUCUUEYDVSVTZUUGYEUUJUUGBXTBQEYAYCUUFXTBBUBUCWAWBVRZWCZUUG
      YFUUEYFQEZUUCUUDYFWEWFZWGWHWIRYBAQEYCUUFYOUWCVRYBUVMYCUUFYOUVNVRUUHAYTGHZ
      YMAUVPGHZUUHUWJNYMYBUWJNJYCUUFYOYBAUWCUVNWJVRUUGYIYNWKWLUUGYIYMUWKJYNUUGY
      IFZYJYGKLHZMHZYHYDYGMHZGHZYMUWKUWLUWDYGQEZUWNUWPJUUGUWDYIUWERUUGUWQYIUUGY
      EYFUWGUWIWHZRYDYGWOWMUUGYMUWNJYIUUGYLUWMYJMUUGUWMYEKLHZYKGHYLUUGYEYFUWGUW
      IWPUUGUWSBYKGUUGBUWFWNWQWRTRUWLAYHUVPUWOGUUGYIVBUUGUVPUWOJYIUUGUVPYDYGUPZ
      IHZUWOUUGUVOUWTYDIUUGYEYFUWGUWIWSTUUGUWDUWQUWOUXAJUWEUWRUWDUWQFUXAUWOYDYG
      WTXAWMWLRXBXCXDXEXFRUVLUVTYMNUVLUVSYLYJMUVLUVRYKBGUVLUWHUVRYKJUUGUWHYOUUK
      UWIPYFXGXHTTUUGYIYNUUKVDXEVFUVHUWBUAUUJOUUTUUJJZUVCUVQUVGUWAUXBUVBUVPYTUX
      BUVAUVOYDIUUTUUJYEGXITXJUXBUVFUVTNUXBUVEUVSYJMUXBUVDUVRBGUUTUUJKLXKTTXLXM
      XNWMUVICOXPWMVFVGXTUUAUVKWDYAYCUUFYOCUAYTBVHVIVJXOXQVGXRXSXQ $.

    $( A Pell solution in the first quadrant is at least 1.  (Contributed by
       Stefan O'Rear, 17-Sep-2014.) $)
    pell1qrge1 $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell1QR ` D ) ) -> 1 <_ A
        ) $=
      ( va vb cn csquarenn wcel c1 cle wbr co wceq c2 wa cn0 nn0red nn0ge0d cc0
      cexp a1i cdif cpell1qr cr cv csqrt cmul caddc cmin wrex elpell1qr simplrl
      cfv 1red eldifi ad3antrrr nnnn0d resqrtcld simplrr remulcld readdcld 2nn0
      nn0expcld nn0mulcld addge02d mpbid cc nn0cn ad2antrl sqcld ad2antrr nncnd
      sq1 ad2antll mulcld 1cnd subaddd biimpa eqcomd 3brtr4d 0le1 le2sqd mpbird
      sqrtge0d mulge0d addge01d letrd adantrl simprl breqtrrd rexlimdvva sylbid
      ex expimpd imp ) BEFUAGZABUBULGZHAIJZWOWPAUCGZACUDZBUEULZDUDZUFKZUGKZLZWS
      MSKZBXAMSKZUFKZUHKHLZNZDOUICOUIZNWQCDABUJWOWRXJWQWOWRNZXIWQCDOOXKWSOGZXAO
      GZNZNZXIWQXOXINHXCAIXOXHHXCIJXDXOXHNZHWSXCXPUMZXPWSXKXLXMXHUKZPZXPWSXBXSX
      PWTXAXPBXPBXPBWOBEGZWRXNXHBEFUNZUOUPZPZXPBYBQZUQZXPXAXKXLXMXHURZPZUSZUTXP
      HWSIJHMSKZXEIJXPHXGHUGKZYIXEIXPRXGIJHYJIJXPXGXPBXFYBXPXAMYFMOGXPVATVBVCZQ
      XPHXGXQXPXGYKPVDVEYIHLXPVLTXPYJXEXOXHYJXELXOXEXGHXOWSXLWSVFGXKXMWSVGVHVIX
      OBXFXOBWOXTWRXNYAVJVKXOXAXMXAVFGXKXLXAVGVMVIVNXOVOVPVQVRVSXPHWSXQXSRHIJXP
      VTTXPWSXRQWAWBXPRXBIJWSXCIJXPWTXAYEYGXPBYCYDWCXPXAYFQWDXPWSXBXSYHWEVEWFWG
      XOXDXHWHWIWLWJWMWKWN $.

    $( 1 is a Pell solution and in the first quadrant as one.  (Contributed by
       Stefan O'Rear, 17-Sep-2014.) $)
    pell1qr1 $p |- ( D e. ( NN \ []NN ) -> 1 e. ( Pell1QR ` D ) ) $=
      ( va vb cn csquarenn wcel c1 cmul co caddc wceq c2 cexp wa cn0 cc0 oveq2d
      cmin a1i oveq1 cdif cpell1qr cr cv csqrt wrex 1red 1nn0 0nn0 eldifi nncnd
      cfv sqrtcld mul01d eqtr2di sq1 oveq2i syl5eq oveq12d eqtrdi eqeq2d oveq1d
      1p0e1 1m0e1 eqeq1d anbi12d oveq2 rspc2ev syl112anc elpell1qr mpbir2and
      sq0 ) ADEUAFZGAUBULFGUCFGBUDZAUEULZCUDZHIZJIZKZVNLMIZAVPLMIZHIZRIZGKZNZCO
      UFBOUFZVMUGVMGOFZPOFZGGVOPHIZJIZKZGLMIZAPLMIZHIZRIZGKZWFWGVMUHSWHVMUISVMW
      JGPJIGVMWIPGJVMVOVMAVMAADEUJUKZUMUNQVCUOVMWOGPRIGVMWLGWNPRWLGKVMUPSVMWNAP
      HIPWMPAHVLUQVMAWQUNURUSVDUTWEWKWPNGGVQJIZKZWLWBRIZGKZNBCGPOOVNGKZVSWSWDXA
      XBVRWRGVNGVQJTVAXBWCWTGXBVTWLWBRVNGLMTVBVEVFVPPKZWSWKXAWPXCWRWJGXCVQWIGJV
      PPVOHVGQVAXCWTWOGXCWBWNWLRXCWAWMAHVPPLMTQQVEVFVHVIBCGAVJVK $.

    $( The first quadrant solutions are precisely the positive Pell solutions
       which are at least one.  (Contributed by Stefan O'Rear, 18-Sep-2014.) $)
    elpell1qr2 $p |- ( D e. ( NN \ []NN ) -> ( A e. ( Pell1QR ` D ) <-> ( A e.
        ( Pell14QR ` D ) /\ 1 <_ A ) ) ) $=
      ( wcel cfv c1 cle wbr wa pell1qrge1 clt wceq wo 1red cdiv co wn cr adantr
      a1i cc0 cn csquarenn cpell1qr cpell14qr pell1qrss14 sselda jca pell14qrre
      cdif leloed ltnled biimpa 1div1e1 eqcomi breq2d pell14qrgt0 0lt1 syl22anc
      bitrd mtbid simplll sylancom mtand pell14qrdich orel2 sylc simpr pell1qr1
      wb lerec2 ad2antrr eqeltrrd jaodan ex sylbid impr impbida ) BUAUBUICZABUC
      DZCZABUDDZCZEAFGZHVRVTHWBWCVRVSWAABUEUFABIUGVRWBWCVTVRWBHZWCEAJGZEAKZLZVT
      WDEAWDMZABUHZUJWDWGVTWDWEVTWFWDWEHZEANOZVSCZPVTWLLZVTWJWLEWKFGZWJAEFGZWNW
      DWEWOPWDEAWHWIUKULWJWOAEENOZFGZWNWJEWPAFEWPKWJWPEUMUNSUOWJAQCZTAJGZEQCTEJ
      GZWQWNVIWDWRWEWIRWDWSWEABUPRWJMWTWJUQSAEVJURUSUTWJWLVRWNVRWBWEWLVAWKBIVBV
      CWDWMWEABVDRWLVTVEVFWDWFHEAVSWDWFVGVREVSCWBWFBVHVKVLVMVNVOVPVQ $.

    $( Lemma for ~ pell1qrgap .  (Contributed by Stefan O'Rear,
       18-Sep-2014.) $)
    pell1qrgaplem $p |- ( ( ( D e. NN /\ ( A e. NN0 /\ B e. NN0 ) ) /\ ( 1 < (
        A + ( ( sqrt ` D ) x. B ) ) /\ ( ( A ^ 2 ) - ( D x. ( B ^ 2 ) ) ) = 1 )
        ) -> ( ( sqrt ` ( D + 1 ) ) + ( sqrt ` D ) )
          <_ ( A + ( ( sqrt ` D ) x. B ) ) ) $=
      ( wcel wa c1 cmul co caddc wbr cexp cmin wceq a1i adantr ad2antlr cle cc0
      c2 oveq2d cn cn0 csqrt cfv clt crp nnrp ad2antrr rpaddcld rpsqrtcld rpred
      1rp cr nn0re adantl remulcld 1re resqcld resubcld 0red sq1 nnge1 wn oveq1
      simplrl sq0 eqtrdi rpcnd mul01d eqtrd simplrr recnd sqcld subid1d 3eqtr3d
      cc eqtr2id wb nn0ge0 0le1 sq11 syl22anc mpbid simpr oveq12d 1p0e1 breqtrd
      ltnri pm2.24 mpisyl wo elnn0 sylib mpjaodan le2sqd suble0d mpbird lemul2d
      eqbrtrrd sqsqrtd simprr eqcomd mulcld subdid mulid1d oveq1d eqtr2d 3eqtrd
      leadd2dd addsub12d addid1d 3brtr4d rpge0d le2addd ) CUADZAUBDZBUBDZEZEZFA
      CUCUDZBGHZIHZUEJZASKHZCBSKHZGHZLHZFMZEZEZCFIHZUCUDZXTAYAYJYLYJYKYJCFXOCUF
      DXRYICUGUHZFUFDYJULNUIZUJZUKZYJXTYJCYMUJZUKZXRAUMDZXOYIXPYSXQAUNOPZYJXTBY
      RXRBUMDZXOYIXQUUAXPBUNUOPZUPYJYLAQJYLSKHZYDQJYJYDCFYELHZGHZIHZYDCRGHZIHZU
      UCYDQYJUUEUUGYDYJCUUDYJCYMUKZYJFYEFUMDZYJUQNZYJBUUBURZUSZUPYJCRUUIYJUTZUP
      YJAYTURYJUUDRQJZUUEUUGQJYJUUOFYEQJYJFSKHZFYEQUUPFMYJVANYJFBQJZUUPYEQJYJBU
      ADZUUQBRMZUURUUQYJBVBUOYJUUSEZFFUEJZUVAVCUUQUUTFYBFUEXSYCYHUUSVEUUTYBFRIH
      FUUTAFYARIUUTYDUUPMZAFMZUUTUUPFYDVAUUTYGYDRLHFYDUUTYFRYDLUUTYFUUGRUUTYERC
      GUUTYERSKHZRUUSYEUVDMYJBRSKVDUOVFVGTUUTCYJCVPDUUSYJCYMVHZOVIVJTXSYCYHUUSV
      KUUTYDYJYDVPDUUSYJAYJAYTVLVMZOVNVOVQYJUVBUVCVRZUUSYJYSRAQJZUUJRFQJZUVGYTX
      RUVHXOYIXPUVHXQAVSOPZUUKUVIYJVTNZAFWAWBOWCUUTYAXTRGHRUUTBRXTGYJUUSWDTUUTX
      TYJXTVPDUUSYJXTYQVHZOVIVJWEWFVGWGFUQWHUVAUUQWIWJYJXQUURUUSWKXOXPXQYIVKBWL
      WMWNZYJFBUUKUUBUVKXRRBQJZXOYIXQUVNXPBVSUOPWOWCWSYJFYEUUKUULWPWQYJUUDRCUUM
      UUNYMWRWCXIYJUUCYKCYGIHZUUFYJYKYJYKYNVHWTYJFYGCIYJYGFXSYCYHXAXBTYJUVOYDCY
      FLHZIHUUFYJCYDYFUVEUVFYJCYEUVEYJBYJBUUBVLVMZXCXJYJUVPUUEYDIYJUUECFGHZYFLH
      UVPYJCFYEUVEYJFUUKVLUVQXDYJUVRCYFLYJCUVEXEXFXGTVJXHYJUUHYDRIHYDYJUUGRYDIY
      JCUVEVITYJYDUVFXKXGXLYJYLAYPYTYJYLYOXMUVJWOWQYJXTFGHZXTYAQYJXTUVLXEYJUUQU
      VSYAQJUVMYJFBXTUUKUUBYQWRWCWSXN $.

    $( First-quadrant Pell solutions are bounded away from 1.  (This particular
       bound allows us to prove exact values for the fundamental solution
       later.)  (Contributed by Stefan O'Rear, 18-Sep-2014.) $)
    pell1qrgap $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell1QR ` D ) /\ 1 < A )
        -> ( ( sqrt ` ( D + 1 ) ) + ( sqrt ` D ) ) <_ A ) $=
      ( va vb cn csquarenn wcel cfv c1 clt wbr caddc co csqrt cle cmul wceq cn0
      wa cv cdif cpell1qr wi cr c2 cexp cmin wb elpell1qr adantr eldifi ad4antr
      wrex simplr simp-4r simprl breqtrd simprr pell1qrgaplem syl22anc breqtrrd
      ex rexlimdvva expimpd sylbid com23 3imp ) BEFUAGZABUBHGZIAJKZBILMNHBNHZLM
      ZAOKZVHVJVIVMVHVJVIVMUCVHVJSZVIAUDGZACTZVKDTZPMLMZQZVPUEUFMBVQUEUFMPMUGMI
      QZSZDRUMCRUMZSZVMVHVIWCUHVJCDABUIUJVNVOWBVMVNVOSZWAVMCDRRWDVPRGVQRGSZSZWA
      VMWFWASZVLVRAOWGBEGZWEIVRJKVTVLVROKVHWHVJVOWEWABEFUKULWDWEWAUNWGIAVRJVHVJ
      VOWEWAUOWFVSVTUPZUQWFVSVTURVPVQBUSUTWIVAVBVCVDVEVBVFVG $.

    $( Positive Pell solutions are bounded away from 1.  (Contributed by Stefan
       O'Rear, 18-Sep-2014.) $)
    pell14qrgap $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell14QR ` D ) /\ 1 < A
        ) -> ( ( sqrt ` ( D + 1 ) ) + ( sqrt ` D ) ) <_ A ) $=
      ( cn csquarenn cdif wcel cpell1qr cfv cpell14qr c1 clt wbr caddc co csqrt
      cle w3a simp2 wa cr wi pell14qrre ltle sylancr 3impia elpell1qr2 3ad2ant1
      1re wb mpbir2and pell1qrgap syld3an2 ) BCDEFZABGHFZABIHFZJAKLZBJMNOHBOHMN
      APLUMUOUPQUNUOJAPLZUMUOUPRUMUOUPUQUMUOSJTFATFUPUQUAUHABUBJAUCUDUEUMUOUNUO
      UQSUIUPABUFUGUJABUKUL $.

    $( Positive Pell solutions are bounded away from 1, with a friendlier
       bound.  (Contributed by Stefan O'Rear, 18-Sep-2014.) $)
    pell14qrgapw $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell14QR ` D ) /\ 1 < A
        ) -> 2 < A ) $=
      ( cn csquarenn wcel cfv c1 clt wbr c2 caddc co csqrt rpsqrtcld rpred cexp
      cr a1i syl cle cdif cpell14qr w3a eldifi 3ad2ant1 nnrpd rpaddcld readdcld
      2re crp 1rp pell14qrre 3adant3 df-2 1red nnred peano2re nnge1d ltp1d wceq
      lelttrd sq1 cc nncnd peano2cn sqsqrtd 3brtr4d rpge0d lt2sqd mpbird le2sqd
      cc0 0le1 ltleaddd eqbrtrid pell14qrgap ltletrd ) BCDUAEZABUBFEZGAHIZUCZJB
      GKLZMFZBMFZKLZAJQEWAUIRWAWCWDWAWCWAWBWABGWABVRVSBCEVTBCDUDUEZUFZGUJEWAUKR
      UGNZOZWAWDWABWGNZOZUHVRVSAQEVTABULUMWAJGGKLWEHUNWAGGWCWDWAUOZWLWIWKWAGWCH
      IGJPLZWCJPLZHIWAGWBWMWNHWAGBWBWLWABWFUPZWABQEWBQEWOBUQSWABWFURZWABWOUSVAW
      MGUTWAVBRZWAWBWABVCEWBVCEWABWFVDZBVESVFVGWAGWCWLWIVLGTIWAVMRZWAWCWHVHVIVJ
      WAGWDTIWMWDJPLZTIWAGBWMWTTWPWQWABWRVFVGWAGWDWLWKWSWAWDWJVHVKVJVNVOABVPVQ
      $.

    $( Condition for a calculated real to be a Pell solution.  (Contributed by
       Stefan O'Rear, 19-Sep-2014.) $)
    pellqrexplicit $p |- ( ( ( D e. ( NN \ []NN ) /\ A e. NN0 /\ B e. NN0 ) /\
        ( ( A ^ 2 ) - ( D x. ( B ^ 2 ) ) ) = 1 ) -> ( A + ( ( sqrt ` D ) x. B )
        ) e. ( Pell1QR ` D ) ) $=
      ( va vb cn wcel cn0 c2 cexp co cmul cmin c1 wceq wa caddc cr oveq1 oveq2d
      csquarenn cdif w3a csqrt cfv cpell1qr wrex nn0re 3ad2ant2 eldifi 3ad2ant1
      cv nnrpd rpsqrtcld 3ad2ant3 remulcld readdcld adantr simpl2 simpl3 eqeq2d
      rpred eqidd simpr oveq1d eqeq1d anbi12d oveq2 rspc2ev syl112anc elpell1qr
      wb mpbir2and ) CFUAUBGZAHGZBHGZUCZAIJKZCBIJKZLKZMKZNOZPZACUDUEZBLKZQKZCUF
      UEGZWFRGZWFDULZWDEULZLKZQKZOZWIIJKZCWJIJKZLKZMKZNOZPZEHUGDHUGZVQWHWBVQAWE
      VOVNARGVPAUHUIVQWDBVQWDVQCVQCVNVOCFGVPCFUAUJUKUMUNVBVPVNBRGVOBUHUOUPUQURW
      CVOVPWFWFOZWBWTVNVOVPWBUSVNVOVPWBUTWCWFVCVQWBVDWSXAWBPWFAWKQKZOZVRWPMKZNO
      ZPDEABHHWIAOZWMXCWRXEXFWLXBWFWIAWKQSVAXFWQXDNXFWNVRWPMWIAIJSVEVFVGWJBOZXC
      XAXEWBXGXBWFWFXGWKWEAQWJBWDLVHTVAXGXDWANXGWPVTVRMXGWOVSCLWJBIJSTTVFVGVIVJ
      VQWGWHWTPVLZWBVNVOXHVPDEWFCVKUKURVM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Pell equations 3: characterizing fundamental solution
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x z A $.  $d x z B $.
    $( Any lower bound of a nonempty set of real numbers is less than or equal
       to its infimum, one-direction version.  (Contributed by Stefan O'Rear,
       1-Sep-2013.)  (Revised by AV, 17-Sep-2020.) $)
    infmrgelbi $p |- ( ( ( A C_ RR /\ A =/= (/) /\ B e. RR ) /\
                      A. x e. A B <_ x ) -> B <_ inf ( A , RR , < ) ) $=
      ( vz cr wss c0 wne wcel w3a cv cle wbr wral wa clt cinf simpr wrex wb
      simpl1 simpl2 wceq breq1 ralbidv rspcev 3ad2antl3 simpl3 infregelb mpbird
      syl31anc ) BEFZBGHZCEIZJZCAKZLMZABNZOZCBEPQLMZURUOURRUSULUMDKZUPLMZABNZDE
      SZUNUTURTULUMUNURUAULUMUNURUBUNULURVDUMVCURDCEVACUCVBUQABVACUPLUDUEUFUGUL
      UMUNURUHDAABCUIUKUJ $.
  $}

  ${
    $d a b c d A $.  $d a b c d D $.  $d a b c d x $.

    $( the only place we directly use D's non-squareness $)
    ${
      $d D x $.
      $( There is a nontrivial solution of a Pell equation in the first
         quadrant.  (Contributed by Stefan O'Rear, 18-Sep-2014.) $)
      pellqrex $p |- ( D e. ( NN \ []NN ) -> E. x e. ( Pell1QR ` D ) 1 < x ) $=
        ( vc vd va cn csquarenn wcel cv c2 cexp co c1 clt wbr wa cr 1re a1i cle
        cdif cmul cmin wceq cpell1qr cfv csqrt cq wn eldifi eldifn anim1i fveq2
        wrex eleq1d df-squarenn elrab2 sylibr mtand pellex syl2anc caddc simpll
        cn0 nnnn0 adantr ad2antlr adantl simpr pellqrexplicit syl31anc readdcli
        nnre ad2antrl nnrpd rpsqrtcld rpred ad2antll remulcld ltp1i nnge1 1t1e1
        readdcld sq1 nncn sqsqrtd 3brtr4d nnrp cc0 0le1 rpge0d le2sqd mpbird wi
        syl jctir lemul12a syl22anc mp2and eqbrtrrid le2addd ltletrd rexlimdvva
        breq2 rspcev ex mpd ) BFGUAHZCIZJKLBDIZJKLUBLUCLMUDZDFUNCFUNZMAIZNOZABU
        EUFZUNZXHBFHZBUGUFZUHHZUIXLBFGUJZXHXSBGHZBFGUKXHXSPXQXSPYAXHXQXSXTULEIZ
        UGUFZUHHXSEBFGYBBUDYCXRUHYBBUGUMUOEUPUQURUSCDBUTVAXHXKXPCDFFXHXIFHZXJFH
        ZPZPZXKXPYGXKPZXIXRXJUBLZVBLZXOHZMYJNOZXPYHXHXIVDHZXJVDHZXKYKXHYFXKVCYF
        YMXHXKYDYMYEXIVEVFVGYFYNXHXKYEYNYDXJVEVHVGYGXKVIXIXJBVJVKYGYLXKYGMMMVBL
        ZYJMQHZYGRSZYOQHYGMMRRVLSYGXIYIYDXIQHXHYEXIVMVNZYGXRXJYGXRYGBYGBXHXQYFX
        TVFZVOVPVQZYEXJQHZXHYDXJVMVRZVSZWCMYONOYGMRVTSYGMMXIYIYQYQYRUUCYDMXITOX
        HYEXIWAVNYGMMMUBLZYITWBYGMXRTOZMXJTOZUUDYITOZYGXQUUEYSXQUUEMJKLZXRJKLZT
        OXQMBUUHUUITBWAUUHMUDXQWDSXQBBWEWFWGXQMXRYPXQRSXQXRXQBBWHVPZVQWIMTOZXQW
        JSXQXRUUJWKWLWMWOYEUUFXHYDXJWAVRYGYPUUKPZXRQHUULUUAUUEUUFPUUGWNYGYPUUKY
        QWJWPZYTUUMUUBMXRMXJWQWRWSWTXAXBVFXNYLAYJXOXMYJMNXDXEVAXFXCXG $.
    $}

    ${
      $d D x $.
      $( Value of the fundamental solution of a Pell equation.  (Contributed by
         Stefan O'Rear, 18-Sep-2014.)  (Revised by AV, 17-Sep-2020.) $)
      pellfundval $p |- ( D e. ( NN \ []NN ) -> ( PellFund ` D ) = inf ( { x e.
          ( Pell14QR ` D ) | 1 < x } , RR , < ) ) $=
        ( va c1 cv clt wbr cpell14qr crab cr cinf csquarenn cdif cpellfund wceq
        cfv cn fveq2 rabeq syl infeq1d df-pellfund ltso infex fvmpt ) CBDAEFGZA
        CEZHPZIZJFKUFABHPZIZJFKQLMNUGBOZJUIUKFULUHUJOUIUKOUGBHRUFAUHUJSTUACAUBJ
        UKFUCUDUE $.
    $}

    $( The fundamental solution of a Pell equation exists as a real number.
       (Contributed by Stefan O'Rear, 18-Sep-2014.) $)
    pellfundre $p |- ( D e. ( NN \ []NN ) -> ( PellFund ` D ) e. RR ) $=
      ( va vb vc cn wcel cfv c1 cv clt wbr wss cle wral wrex pell14qrre sylancr
      cr 1re wa csquarenn cdif cpellfund cpell14qr crab cinf pellfundval c0 wne
      ssrab2 ssrdv sstrid cpell1qr pell1qrss14 pellqrex ssrexv sylc rabn0 breq2
      ex sylibr elrab wi ltle expimpd syl5bi ralrimiv wceq breq1 ralbidv rspcev
      infrecl syl3anc eqeltrd ) AEUAUBFZAUCGHBIZJKZBAUDGZUEZRJUFZRBAUGVOVSRLVSU
      HUIZCIZDIZMKZDVSNZCROZVTRFVOVSVRRVQBVRUJVOBVRRVOVPVRFVPRFVPAPUTUKULVOVQBV
      ROZWAVOAUMGZVRLVQBWHOWGAUNBAUOVQBWHVRUPUQVQBVRURVAVOHRFZHWCMKZDVSNZWFSVOW
      JDVSWCVSFWCVRFZHWCJKZTVOWJVQWMBWCVRVPWCHJUSVBVOWLWMWJVOWLTWIWCRFWMWJVCSWC
      APHWCVDQVEVFVGWEWKCHRWBHVHWDWJDVSWBHWCMVIVJVKQCDVSVLVMVN $.

    $( Lower bound on the fundamental solution of a Pell equation.
       (Contributed by Stefan O'Rear, 19-Sep-2014.) $)
    pellfundge $p |- ( D e. ( NN \ []NN )
        -> ( ( sqrt ` ( D + 1 ) ) + ( sqrt ` D ) ) <_ ( PellFund ` D ) ) $=
      ( va vb cn csquarenn wcel c1 caddc co csqrt cfv cv clt wbr cle wrex nnrpd
      cr wss rpsqrtcld cdif cpell14qr crab cinf cpellfund wne ssrab2 pell14qrre
      c0 wral ex ssrdv sstrid cpell1qr pell1qrss14 pellqrex ssrexv rabn0 sylibr
      sylc eldifi peano2nnd rpred readdcld wa breq2 pell14qrgap 3expib ralrimiv
      elrab syl5bi infmrgelbi syl31anc pellfundval breqtrrd ) ADEUAFZAGHIZJKZAJ
      KZHIZGBLZMNZBAUBKZUCZRMUDZAUEKOVPWDRSWDUIUFZVTRFVTCLZONZCWDUJVTWEONVPWDWC
      RWBBWCUGVPBWCRVPWAWCFWARFWAAUHUKULUMVPWBBWCPZWFVPAUNKZWCSWBBWJPWIAUOBAUPW
      BBWJWCUQUTWBBWCURUSVPVRVSVPVRVPVQVPVQVPAADEVAZVBQTVCVPVSVPAVPAWKQTVCVDVPW
      HCWDWGWDFWGWCFZGWGMNZVEVPWHWBWMBWGWCWAWGGMVFVJVPWLWMWHWGAVGVHVKVICWDVTVLV
      MBAVNVO $.

    $( Weak lower bound on the Pell fundamental solution.  (Contributed by
       Stefan O'Rear, 19-Sep-2014.) $)
    pellfundgt1 $p |- ( D e. ( NN \ []NN ) -> 1 < ( PellFund ` D ) ) $=
      ( cn csquarenn c1 caddc co csqrt cfv nnrpd rpsqrtcld rpred readdcld sqrt1
      wcel cr clt wbr c2 a1i cle cdif cpellfund 1red eldifi pellfundre eqeltrid
      peano2nnd 1lt2 oveq12i 1p1e2 eqtri breqtrri nnge1d cc0 nnred peano2re syl
      0le1 nnnn0d nn0ge0d sqrtled mpbid le2addd ltletrd pellfundge ) ABCUANZDAD
      EFZGHZAGHZEFZAUBHVFUCZVFVHVIVFVHVFVGVFVGVFAABCUDZUGZIJKZVFVIVFAVFAVLIJKZL
      ZAUEVFDDGHZVQEFZVJVKVFVQVQVFVQDOMVKUFZVSLVPDVRPQVFDRVRPUHVRDDEFRVQDVQDEMM
      UIUJUKULSVFVQVQVHVIVSVSVNVOVFDVGTQVQVHTQVFVGVMUMVFDVGVKUNDTQVFURSZVFAONVG
      ONVFAVLUOZAUPUQVFVGVFVGVMUSUTVAVBVFDATQVQVITQVFAVLUMVFDAVKVTWAVFAVFAVLUSU
      TVAVBVCVDAVEVD $.

    $( A nontrivial first quadrant solution is at least as large as the
       fundamental solution.  (Contributed by Stefan O'Rear, 19-Sep-2014.)
       (Proof shortened by AV, 15-Sep-2020.) $)
    pellfundlb $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell14QR ` D ) /\ 1 < A )
        -> ( PellFund ` D ) <_ A ) $=
      ( va vb vc vd wcel cfv c1 clt wbr cv cr cle wceq 3ad2ant1 wral pell14qrre
      1re wa cn csquarenn cdif cpell14qr cpellfund crab cinf pellfundval ssrab2
      w3a wss wrex ex ssrdv sstrid breq2 elrab wi ltle sylancr expimpd ralrimiv
      syl5bi breq1 ralbidv rspcev simp2 simp3 sylanbrc infrelb syl3anc eqbrtrd
      ) BUAUBUCGZABUDHZGZIAJKZUJZBUEHZICLZJKZCVNUFZMJUGZANVMVOVRWBOVPCBUHPVQWAM
      UKZDLZELZNKZEWAQZDMULZAWAGZWBANKVMVOWCVPVMWAVNMVTCVNUIVMFVNMVMFLZVNGWJMGW
      JBRUMUNUOPVQIMGZIWENKZEWAQZWHSVMVOWMVPVMWLEWAWEWAGWEVNGZIWEJKZTVMWLVTWOCW
      EVNVSWEIJUPUQVMWNWOWLVMWNTWKWEMGWOWLURSWEBRIWEUSUTVAVCVBPWGWMDIMWDIOWFWLE
      WAWDIWENVDVEVFUTVQVOVPWIVMVOVPVGVMVOVPVHVTVPCAVNVSAIJUPUQVIDEAWAVJVKVL $.

    ${
      $d x D $.  $d x A $.
      $( If a real is larger than the fundamental solution, there is a
         nontrivial solution less than it.  (Contributed by Stefan O'Rear,
         18-Sep-2014.) $)
      pellfundglb $p |- ( ( D e. ( NN \ []NN ) /\ A e. RR
            /\ ( PellFund ` D ) < A )
          -> E. x e. ( Pell1QR ` D ) ( ( PellFund ` D ) <_ x /\ x < A ) ) $=
        ( va wcel cr cfv clt wbr w3a cv cle wn wa c1 wrex 3ad2ant1 ltnled wss
        wi cn csquarenn cdif cpellfund cpell1qr cpell14qr crab wral pellfundval
        cinf wceq simp3 eqbrtrrd pellfundre eqeltrrd simp2 mpbid wne pell14qrre
        c0 ssrab2 ex ssrdv sstrid pell1qrss14 pellqrex ssrexv sylc rabn0 sylibr
        infmrgelbi syl3anc mtod rexnal breq2 elrab simprl simpl1 syl2anc simprr
        1red ltled jca wb elpell1qr2 mpbird sylan2b adantrr sselid simpr syl5bi
        syl a1i imp pellfundlb adantr sseldd simpl2 reximssdv ) CUAUBUCEZBFEZCU
        DGZBHIZJZBAKZLIZMZXBXELIZXEBHIZNACUEGZODKZHIZDCUFGZUGZXDXFAXNUHZMXGAXNP
        XDXOBXNFHUJZLIZXDXPBHIXQMXDXBXPBHWTXAXBXPUKXCDCUIQZWTXAXCULUMXDXPBXDXBX
        PFXRWTXAXBFEXCCUNQUOWTXAXCUPZRUQXDXNFSZXNUTURZXAXOXQTXDXNXMFXLDXMVAZWTX
        AXMFSZXCWTDXMFWTXKXMEXKFEXKCUSVBVCQZVDXDXLDXMPZYAXDXJXMSZXLDXJPZYEWTXAY
        FXCCVEQWTXAYGXCDCVFQXLDXJXMVGVHXLDXMVIVJXSXTYAXAJXOXQAXNBVKVBVLVMXFAXNV
        NVJXDXEXNEZXEXJEZXGYHXDXEXMEZOXEHIZNZYIXLYKDXEXMXKXEOHVOVPZXDYLNZYIYJOX
        ELIZNZYNYJYOXDYJYKVQZYNOXEYNWAYNWTYJXEFEWTXAXCYLVRZYQXECUSVSXDYJYKVTWBW
        CYNWTYIYPWDYRXECWEWLWFWGWHXDYHXGNZNZXHXIYTWTYJYKXHWTXAXCYSVRYTXNXMXEYBX
        DYHXGVQWIZXDYHYKXGXDYHYKYHYLXDYKYMYLYKTXDYJYKWJWMWKWNWHXECWOVLYTXIXGXDY
        HXGVTYTXEBYTXMFXEXDYCYSYDWPUUAWQWTXAXCYSWRRWFWCWS $.
    $}

    $( The fundamental solution as an infimum is itself a solution, showing
       that the solution set is discrete.

       Since the fundamental solution is an infimum, there must be an element
       ge to Fund and lt 2*Fund.  If this element is equal to the fundamental
       solution we're done, otherwise use the infimum again to find another
       element which must be ge Fund and lt the first element; their ratio is a
       group element in (1,2), contradicting ~ pell14qrgapw .  (Contributed by
       Stefan O'Rear, 18-Sep-2014.) $)
    pellfundex $p |- ( D e. ( NN \ []NN ) -> ( PellFund ` D ) e. ( Pell1QR ` D
        ) ) $=
      ( va vb wcel cfv cle wbr c2 cmul co clt wa cr 2re sylancr cc0 a1i syl2anc
      c1 adantr cn csquarenn cdif cpellfund cv cpell1qr wrex pellfundre remulcl
      caddc 0red 1red 0lt1 pellfundgt1 lttrd elrpd ltaddrpd 2timesd pellfundglb
      recnd breqtrrd mpd3an23 wo cpell14qr pell1qrss14 sselda pell14qrre syldan
      wceq wi leloed simp-4l simp-4r simplr simprr ad3antrrr ad4antr wss sseldd
      ad2antrr simprl wb 2pos lemul2 syl112anc mpbid ltletrd w3a simp1 3ad2ant1
      cdiv simp2l simp2r pell14qrdivcl syl3anc mulid2d simp3l eqbrtrd ltdivmul2
      pell14qrgt0 ltmuldiv simp3r mpbird wn simpll pell14qrgapw ltnsym pm2.21dd
      mpd syl22anc syl122anc r19.29a exp32 simp1r eqeltrd 3exp jaod sylbid impd
      simp2 rexlimdva ) AUAUBUCDZAUDEZBUEZFGZYDHYCIJZKGZLZBAUFEZUGZYCYIDZYBYFMD
      ZYCYFKGYJYBHMDZYCMDZYLNAUHZHYCUIOZYBYCYCYCUJJYFKYBYCYCYOYBYCYOYBPSYCYBUKY
      BULYOPSKGYBUMQAUNUOUPUQYBYCYBYCYOUTURVABYFAUSVBYBYHYKBYIYBYDYIDZLZYEYGYKY
      RYEYCYDKGZYCYDVIZVCYGYKVJZYRYCYDYBYNYQYOTYBYQYDAVDEZDZYDMDZYBYIUUBYDAVEZV
      FYDAVGZVHZVKYRYSUUAYTYRYSYGYKYRYSYGLZLZYCCUEZFGZUUJYDKGZLZYKCYIUUIUUJYIDZ
      LZUUMLZYBYQUUNUULYDHUUJIJZKGZYKYBYQUUHUUNUUMVLZYBYQUUHUUNUUMVMUUIUUNUUMVN
      ZUUOUUKUULVOUUPYDYFUUQYRUUDUUHUUNUUMUUGVPYBYLYQUUHUUNUUMYPVQUUPYMUUJMDZUU
      QMDNUUPYBUUJUUBDZUVAUUSUUPYIUUBUUJYBYIUUBVRZYQUUHUUNUUMUUEVQUUTVSUUJAVGZR
      ZHUUJUIOUUIYGUUNUUMYRYSYGVOVTUUPUUKYFUUQFGZUUOUUKUULWAUUPYNUVAYMPHKGZUUKU
      VFWBYBYNYQUUHUUNUUMYOVQUVEYMUUPNQUVGUUPWCQYCUUJHWDWEWFWGYBYQUUNLZUULUURLZ
      WHZYBYDUUJWKJZUUBDZSUVKKGZUVKHKGZYKYBUVHUVIWIZUVJYBUUCUVBUVLUVOUVJYIUUBYD
      YBUVHUVCUVIUUEWJZYBYQUUNUVIWLVSZUVJYIUUBUUJUVPYBYQUUNUVIWMVSZYDUUJAWNWOUV
      JSUUJIJZYDKGZUVMUVJUVSUUJYDKUVJUUJUVJUUJUVJYBUVBUVAUVOUVRUVDRZUTWPYBUVHUU
      LUURWQWRUVJSMDUUDUVAPUUJKGZUVTUVMWBUVJULUVJYBUUCUUDUVOUVQUUFRZUWAUVJYBUVB
      UWBUVOUVRUUJAWTRZSYDUUJXAWEWFUVJUVNUURYBUVHUULUURXBUVJUUDYMUVAUWBUVNUURWB
      UWCYMUVJNQUWAUWDYDHUUJWSWEXCYBUVLLZUVMUVNLZLZUVNYKUWEUVMUVNVOUWGHUVKKGZUV
      NXDZUWGYBUVLUVMUWHYBUVLUWFXEYBUVLUWFVNUWEUVMUVNWAUVKAXFWOUWGYMUVKMDZUWHUW
      IVJNUWEUWJUWFUVKAVGTHUVKXGOXIXHXJXKUUIYBUUDYSUUMCYIUGYBYQUUHXEYRUUDUUHUUG
      TYRYSYGWACYDAUSWOXLXMYRYTYGYKYRYTYGWHYCYDYIYRYTYGXTYBYQYTYGXNXOXPXQXRXSYA
      XI $.

    $( There are no solutions between 1 and the fundamental solution.
       (Contributed by Stefan O'Rear, 18-Sep-2014.) $)
    pellfund14gap $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell14QR ` D ) /\ ( 1
        <_ A /\ A < ( PellFund ` D ) ) ) -> A = 1 ) $=
      ( cn csquarenn cdif wcel cpell14qr cfv c1 cle wbr cpellfund clt wa w3a wn
      wceq wo cr mpbid simp3r pell14qrre 3adant3 pellfundre ltnled simpl1 simpr
      3ad2ant1 simpl2 pellfundlb syl3anc mtand simp3l wb 1re leloe sylancr sylc
      orel1 eqcomd ) BCDEFZABGHFZIAJKZABLHZMKZNZOZIAVGIAMKZPVHIAQZRZVIVGVHVDAJK
      ZVGVEVKPVAVBVCVEUAVGAVDVAVBASFZVFABUBUCZVAVBVDSFVFBUDUHUETVGVHNVAVBVHVKVA
      VBVFVHUFVAVBVFVHUIVGVHUGABUJUKULVGVCVJVAVBVCVEUMVGISFVLVCVJUNUOVMIAUPUQTV
      HVIUSURUT $.

    $( The fundamental Pell solution is a positive real.  (Contributed by
       Stefan O'Rear, 19-Sep-2014.) $)
    pellfundrp $p |- ( D e. ( NN \ []NN ) -> ( PellFund ` D ) e. RR+ ) $=
      ( csquarenn cdif wcel cpellfund cfv pellfundre cc0 0red 1red clt wbr 0lt1
      cn c1 a1i pellfundgt1 lttrd elrpd ) ANBCDZAEFZAGZTHOUATITJUBHOKLTMPAQRS
      $.

    $( The fundamental Pell solution is never 1.  (Contributed by Stefan
       O'Rear, 19-Sep-2014.) $)
    pellfundne1 $p |- ( D e. ( NN \ []NN ) -> ( PellFund ` D ) =/= 1 ) $=
      ( cn csquarenn cdif wcel c1 cpellfund cfv 1red pellfundgt1 gtned ) ABCDEZ
      FAGHLIAJK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Logarithm laws generalized to an arbitrary base
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Section should be obsolete because its contents are covered by section
  "Logarithms to an arbitrary base" now.

$)

  $( General logarithm is a real number.  (Contributed by Stefan O'Rear,
     19-Sep-2014.)  (New usage is discouraged.)  Use ~ relogbcl instead. $)
  reglogcl $p |- ( ( A e. RR+ /\ B e. RR+ /\ B =/= 1 ) -> ( ( log ` A ) / (
      log ` B ) ) e. RR ) $=
    ( crp wcel c1 wne w3a clog cfv relogcl 3ad2ant1 3ad2ant2 cc0 logne0 3adant1
    cr redivcld ) ACDZBCDZBEFZGAHIZBHIZRSUAPDTAJKSRUBPDTBJLSTUBMFRBNOQ $.

  $( General logarithm preserves "less than".  (Contributed by Stefan O'Rear,
     19-Sep-2014.)  (New usage is discouraged.)  Use ~ logblt instead. $)
  reglogltb $p |- ( ( ( A e. RR+ /\ B e. RR+ ) /\ ( C e. RR+ /\ 1 < C ) ) ->
      ( A < B <-> ( ( log ` A ) / ( log ` C ) ) < ( ( log ` B ) / ( log ` C )
      ) ) ) $=
    ( crp wcel wa c1 clt wbr clog cfv cdiv co wb logltb adantr relogcl ad2antrr
    cr cc0 ad2antlr ad2antrl log1 mpan biimpa eqbrtrrid adantl ltdiv1 syl112anc
    1rp bitrd ) ADEZBDEZFZCDEZGCHIZFZFZABHIZAJKZBJKZHIZUTCJKZLMVAVCLMHIZUNUSVBN
    UQABOPURUTSEZVASEZVCSEZTVCHIZVBVDNULVEUMUQAQRUMVFULUQBQUAUOVGUNUPCQUBUQVHUN
    UQTGJKZVCHUCUOUPVIVCHIZGDEUOUPVJNUJGCOUDUEUFUGUTVAVCUHUIUK $.

  $( General logarithm preserves ` <_ ` .  (Contributed by Stefan O'Rear,
     19-Oct-2014.)  (New usage is discouraged.)  Use ~ logbleb instead. $)
  reglogleb $p |- ( ( ( A e. RR+ /\ B e. RR+ ) /\ ( C e. RR+ /\ 1 < C ) ) ->
      ( A <_ B <-> ( ( log ` A ) / ( log ` C ) ) <_ ( ( log ` B ) / ( log ` C
      ) ) ) ) $=
    ( crp wcel wa c1 clt wbr cle clog cfv cdiv co wb logleb adantr cc0 relogcl
    cr ad2antrr ad2antlr ad2antrl log1 logltb biimpa eqbrtrrid adantl syl112anc
    1rp mpan lediv1 bitrd ) ADEZBDEZFZCDEZGCHIZFZFZABJIZAKLZBKLZJIZVBCKLZMNVCVE
    MNJIZUPVAVDOUSABPQUTVBTEZVCTEZVETEZRVEHIZVDVFOUNVGUOUSASUAUOVHUNUSBSUBUQVIU
    PURCSUCUSVJUPUSRGKLZVEHUDUQURVKVEHIZGDEUQURVLOUJGCUEUKUFUGUHVBVCVEULUIUM $.

  $( Multiplication law for general log.  (Contributed by Stefan O'Rear,
     19-Sep-2014.)  (New usage is discouraged.)  Use ~ relogbmul instead. $)
  reglogmul $p |- ( ( A e. RR+ /\ B e. RR+ /\ ( C e. RR+ /\ C =/= 1 ) ) -> (
      ( log ` ( A x. B ) ) / ( log ` C ) ) = ( ( ( log ` A ) / ( log ` C ) )
      + ( ( log ` B ) / ( log ` C ) ) ) ) $=
    ( crp wcel c1 wne wa w3a cmul co clog cfv cdiv caddc wceq cc recnd 3ad2ant3
    relogcl relogmul 3adant3 oveq1d 3ad2ant1 3ad2ant2 adantr cc0 logne0 divdird
    eqtrd ) ADEZBDEZCDEZCFGZHZIZABJKLMZCLMZNKALMZBLMZOKZURNKUSURNKUTURNKOKUPUQV
    AURNUKULUQVAPUOABUAUBUCUPUSUTURUKULUSQEUOUKUSATRUDULUKUTQEUOULUTBTRUEUOUKUR
    QEZULUMVBUNUMURCTRUFSUOUKURUGGULCUHSUIUJ $.

  $( Power law for general log.  (Contributed by Stefan O'Rear, 19-Sep-2014.)
     (New usage is discouraged.)  Use ~ relogbzexp instead. $)
  reglogexp $p |- ( ( A e. RR+ /\ N e. ZZ /\ ( C e. RR+ /\ C =/= 1 ) ) -> ( (
      log ` ( A ^ N ) ) / ( log ` C ) ) = ( N x. ( ( log ` A ) / ( log ` C )
      ) ) ) $=
    ( crp wcel cz c1 wne wa w3a cexp co clog cfv cdiv cc relogcl recnd 3ad2ant3
    cmul wceq relogexp 3adant3 oveq1d zcn 3ad2ant2 3ad2ant1 adantr logne0 eqtrd
    cc0 divassd ) ADEZCFEZBDEZBGHZIZJZACKLMNZBMNZOLCAMNZTLZUTOLCVAUTOLTLURUSVBU
    TOUMUNUSVBUAUQACUBUCUDURCVAUTUNUMCPEUQCUEUFUMUNVAPEUQUMVAAQRUGUQUMUTPEZUNUO
    VCUPUOUTBQRUHSUQUMUTUKHUNBUISULUJ $.

  $( General log of the base is 1.  (Contributed by Stefan O'Rear,
     19-Sep-2014.)  (New usage is discouraged.)  Use ~ logbid1 instead. $)
  reglogbas $p |- ( ( C e. RR+ /\ C =/= 1 ) -> ( ( log ` C ) / ( log ` C ) )
      = 1 ) $=
    ( crp wcel c1 wne wa clog cfv cc relogcl recnd adantr logne0 dividd ) ABCZA
    DEZFAGHZOQICPOQAJKLAMN $.

  $( General log of 1 is 0.  (Contributed by Stefan O'Rear, 19-Sep-2014.)
     (New usage is discouraged.)  Use ~ logb1 instead. $)
  reglog1 $p |- ( ( C e. RR+ /\ C =/= 1 ) -> ( ( log ` 1 ) / ( log ` C ) ) =
      0 ) $=
    ( crp wcel c1 wne wa clog cfv cdiv co cc0 log1 oveq1i relogcl adantr logne0
    cc recnd div0d syl5eq ) ABCZADEZFZDGHZAGHZIJKUEIJKUDKUEILMUCUEUAUEQCUBUAUEA
    NROAPST $.

  $( General log of a power of the base is the exponent.  (Contributed by
     Stefan O'Rear, 19-Sep-2014.)  (New usage is discouraged.)  Use ~ relogbexp
     instead. $)
  reglogexpbas $p |- ( ( N e. ZZ /\ ( C e. RR+ /\ C =/= 1 ) ) -> ( ( log ` (
      C ^ N ) ) / ( log ` C ) ) = N ) $=
    ( cz wcel crp c1 wne wa cexp clog cfv cdiv cmul wceq simprl simpl reglogexp
    co simpr syl3anc reglogbas adantl oveq2d cc zcn adantr mulid1d 3eqtrd ) BCD
    ZAEDZAFGZHZHZABIRJKAJKZLRZBUNUNLRZMRZBFMRBUMUJUIULUOUQNUIUJUKOUIULPUIULSAAB
    QTUMUPFBMULUPFNUIAUAUBUCUMBUIBUDDULBUEUFUGUH $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Pell equations 4: the positive solution group is infinite cyclic
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x D $.  $d x A $.
    $( Every positive Pell solution is a power of the fundamental solution.
       (Contributed by Stefan O'Rear, 19-Sep-2014.) $)
    pellfund14 $p |- ( ( D e. ( NN \ []NN ) /\ A e. ( Pell14QR ` D ) ) ->
        E. x e. ZZ A = ( ( PellFund ` D ) ^ x ) ) $=
      ( wcel cfv clog cdiv co cz cexp wceq crp adantr cle wbr clt caddc syl2anc
      c1 cc0 cn csquarenn cdif cpell14qr wa cpellfund cfl cv wrex cr pell14qrrp
      pellfundrp pellfundne1 reglogcl syl3anc flcld cneg pell14qrre recnd rpcnd
      rpexpcld znegcld rpne0d cmul simpl cpell1qr pell1qrss14 pellfundex sseldd
      wne pell14qrexpcl pell14qrmulcl mpd3an3 cmo 1rp cmin zcnd negsubd modfrac
      a1i modge0 syl breqtrrd reglog1 reglogmul syl112anc reglogexpbas syl12anc
      eqtr4d oveq2d eqtrd 3brtr4d rpmulcld pellfundgt1 reglogleb syl22anc modlt
      wb mpbird eqbrtrd reglogbas reglogltb pellfund14gap negidd exp0d 3eqtr3rd
      cc expaddz mulcan2ad oveq2 rspceeqv ) CUAUBUCDZBCUDEZDZUEZBFECUFEZFEZGHZU
      GEZIDZBXPXSJHZKBXPAUHZJHZKAIUIXOXRXOBLDZXPLDZXPSVJZXRUJDZBCUKZXLYEXNCULMZ
      XLYFXNCUMMZBXPUNUOZUPZXOBYAXPXSUQZJHZXOBBCURUSXOYAXOXPXSYIYLVAUTXOYNXOXPY
      MYIXOXSYLVBZVAZUTXOYNYPVCXOBYNVDHZSYAYNVDHZXOXLYQXMDZSYQNOZYQXPPOZYQSKXLX
      NVEZXLXNYNXMDZYSXOXLXPXMDZYMIDZUUCUUBXLUUDXNXLCVFEXMXPCVGCVHVIMYOXPYMCVKU
      OBYNCVLVMXOYTSFEXQGHZYQFEXQGHZNOZXOTXRYMQHZUUFUUGNXOTXRSVNHZUUINXOYGSLDZT
      UUJNOYKUUKXOVOVTZXRSWARXOUUIXRXSVPHZUUJXOXRXSXOXRYKUSXOXSYLVQZVRXOYGUUJUU
      MKYKXRVSWBWIZWCXOYEYFUUFTKYIYJXPWDRXOUUGXRYNFEXQGHZQHZUUIXOYDYNLDYEYFUUGU
      UQKYHYPYIYJBYNXPWEWFXOUUPYMXRQXOUUEYEYFUUPYMKYOYIYJXPYMWGWHWJWKZWLXOUUKYQ
      LDZYESXPPOZYTUUHWRUULXOBYNYHYPWMZYIXLUUTXNCWNMZSYQXPWOWPWSXOUUAUUGXQXQGHZ
      POZXOUUISUUGUVCPXOUUIUUJSPUUOXOYGUUKUUJSPOYKUULXRSWQRWTUURXOYEYFUVCSKYIYJ
      XPXARWLXOUUSYEYEUUTUUAUVDWRUVAYIYIUVBYQXPXPXBWPWSYQCXCWFXOXPXSYMQHZJHZXPT
      JHYRSXOUVETXPJXOXSUUNXDWJXOXPXGDXPTVJXTUUEUVFYRKXOXPYIUTZXOXPYIVCYLYOXPXS
      YMXHWPXOXPUVGXEXFWKXIAXSIYCYABYBXSXPJXJXKR $.

    $( The positive Pell solutions are precisely the integer powers of the
       fundamental solution.  To get the general solution set (which we will
       not be using), throw in a copy of Z/2Z. (Contributed by Stefan O'Rear,
       19-Sep-2014.) $)
    pellfund14b $p |- ( D e. ( NN \ []NN ) -> ( A e. ( Pell14QR ` D ) <->
        E. x e. ZZ A = ( ( PellFund ` D ) ^ x ) ) ) $=
      ( cn csquarenn cdif wcel cpell14qr cfv cpellfund cv cexp co cz pellfund14
      wceq wrex wa simpll cpell1qr pell1qrss14 pellfundex sseldd simplr syl3anc
      ad2antrr pell14qrexpcl wb eleq1 adantl mpbird r19.29an impbida ) CDEFGZBC
      HIZGZBCJIZAKZLMZPZANQABCOUNUTUPANUNURNGZRZUTRZUPUSUOGZVCUNUQUOGZVAVDUNVAU
      TSUNVEVAUTUNCTIUOUQCUACUBUCUFUNVAUTUDUQURCUGUEUTUPVDUHVBBUSUOUIUJUKULUM
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  X and Y sequences 1: Definition and recurrence laws
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c rmX rmY $.

  $( Extend class notation to include the Robertson-Matiyasevich X sequence. $)
  crmx $a class rmX $.
  $( Extend class notation to include the Robertson-Matiyasevich Y sequence. $)
  crmy $a class rmY $.

  ${
    $d a n b $.
    $( Define the X sequence as the rational part of some solution of a special
       Pell equation.  See ~ frmx and ~ rmxyval for a more useful but
       non-eliminable definition.  (Contributed by Stefan O'Rear,
       21-Sep-2014.) $)
    df-rmx $a |- rmX = ( a e. ( ZZ>= ` 2 ) , n e. ZZ |-> ( 1st ` ( `' ( b e. (
        NN0 X. ZZ ) |-> ( ( 1st ` b ) + ( ( sqrt ` ( ( a ^ 2 ) - 1 ) ) x. ( 2nd
        ` b ) ) ) ) ` ( ( a + ( sqrt ` ( ( a ^ 2 ) - 1 ) ) ) ^ n ) ) ) ) $.
    $( Define the X sequence as the irrational part of some solution of a
       special Pell equation.  See ~ frmy and ~ rmxyval for a more useful but
       non-eliminable definition.  (Contributed by Stefan O'Rear,
       21-Sep-2014.) $)
    df-rmy $a |- rmY = ( a e. ( ZZ>= ` 2 ) , n e. ZZ |-> ( 2nd ` ( `' ( b e. (
        NN0 X. ZZ ) |-> ( ( 1st ` b ) + ( ( sqrt ` ( ( a ^ 2 ) - 1 ) ) x. ( 2nd
        ` b ) ) ) ) ` ( ( a + ( sqrt ` ( ( a ^ 2 ) - 1 ) ) ) ^ n ) ) ) ) $.
  $}

  ${
    $d a n b A $.  $d a n b N $.
    $( Value of the X sequence.  Not used after ~ rmxyval is proved.
       (Contributed by Stefan O'Rear, 21-Sep-2014.) $)
    rmxfval $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) -> ( A rmX N ) = ( 1st ` (
       `' ( b e. ( NN0 X. ZZ ) |-> ( ( 1st ` b ) + ( ( sqrt ` ( ( A ^ 2 ) - 1 )
        ) x. ( 2nd ` b ) ) ) ) ` ( ( A + ( sqrt ` ( ( A ^ 2 ) - 1 ) ) ) ^ N ) )
        ) ) $=
      ( va vn c2 cfv cz cv cexp co c1 cmin csqrt caddc c1st cmul cmpt ccnv wceq
      cuz cn0 cxp c2nd crmx oveq1 fvoveq1d oveq1d oveq2d mpteq2dv cnveqd adantr
      wa id oveq12d oveqan12d fveq12d fveq2d df-rmx fvex ovmpoa ) DEABFUAGHDIZV
      BFJKZLMKNGZOKZEIZJKZCUBHUCZCIZPGZVDVIUDGZQKZOKZRZSZGZPGAAFJKZLMKNGZOKZBJK
      ZCVHVJVRVKQKZOKZRZSZGZPGUEVBATZVFBTZUMZVPWEPWHVGVTVOWDWFVOWDTWGWFVNWCWFCV
      HVMWBWFVLWAVJOWFVDVRVKQWFVCVQLNMVBAFJUFUGZUHUIUJUKULWFWGVEVSVFBJWFVBAVDVR
      OWFUNWIUOWGUNUPUQUREDCUSWEPUTVA $.

    $( Value of the Y sequence.  Not used after ~ rmxyval is proved.
       (Contributed by Stefan O'Rear, 21-Sep-2014.) $)
    rmyfval $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) -> ( A rmY N ) = ( 2nd ` (
       `' ( b e. ( NN0 X. ZZ ) |-> ( ( 1st ` b ) + ( ( sqrt ` ( ( A ^ 2 ) - 1 )
        ) x. ( 2nd ` b ) ) ) ) ` ( ( A + ( sqrt ` ( ( A ^ 2 ) - 1 ) ) ) ^ N ) )
        ) ) $=
      ( va vn c2 cfv cz cv cexp co c1 cmin csqrt caddc c2nd cmul cmpt ccnv wceq
      cuz cn0 cxp c1st crmy oveq1 fvoveq1d oveq1d oveq2d mpteq2dv cnveqd adantr
      wa id oveq12d oveqan12d fveq12d fveq2d df-rmy fvex ovmpoa ) DEABFUAGHDIZV
      BFJKZLMKNGZOKZEIZJKZCUBHUCZCIZUDGZVDVIPGZQKZOKZRZSZGZPGAAFJKZLMKNGZOKZBJK
      ZCVHVJVRVKQKZOKZRZSZGZPGUEVBATZVFBTZUMZVPWEPWHVGVTVOWDWFVOWDTWGWFVNWCWFCV
      HVMWBWFVLWAVJOWFVDVRVKQWFVCVQLNMVBAFJUFUGZUHUIUJUKULWFWGVEVSVFBJWFVBAVDVR
      OWFUNWIUOWGUNUPUQUREDCUSWEPUTVA $.
  $}

  $( The discriminant used to define the X and Y sequences has an irrational
     square root.  (Contributed by Stefan O'Rear, 21-Sep-2014.)  (Proof
     shortened by AV, 2-Aug-2021.) $)
  rmspecsqrtnq $p |- ( A e. ( ZZ>= ` 2 )
      -> ( sqrt ` ( ( A ^ 2 ) - 1 ) ) e. ( CC \ QQ ) ) $=
    ( c2 cfv wcel cexp co c1 cmin cc cq ax-1cn sylancl cn0 clt caddc cn nnm1nn0
    wbr syl cr cuz csqrt eluzelcn sqcld subcl sqrtcld eluz2nn nnsqcld cmul wceq
    wn binom2sub1 2cnd mulcld a1i subsubd eqtr4d 2re eluzelre remulcld resubcld
    1red nnred eluz2gt1 lt2addmuld remulcl sylancr mpbid ltsub2dd eqbrtrd ltm1d
    ltaddsubd npcan oveq1d breqtrrd nonsq syl22anc eldifd ) ABUACDZABEFZGHFZUBC
    ZIJVSWAVSVTIDGIDZWAIDVSABAUCZUDZKVTGUELUFVSWAMDZAGHFZMDZWGBEFZWANRWAWGGOFZB
    EFZNRWBJDUKVSVTPDWFVSAAUGZUHZVTQSVSAPDWHWLAQSVSWIVTBAUIFZGHFZHFZWANVSWIVTWN
    HFGOFZWPVSAIDZWIWQUJWDAULSVSVTWNGWEVSBAVSUMWDUNWCVSKUOUPUQVSGWOVTVSVBZVSWNG
    VSBABTDZVSURUOBAUSZUTWSVAVSVTWMVCZVSGGOFWNNRGWONRVSGGAWSWSXAAVDZXCVEVSGGWNW
    SWSVSWTATDWNTDURXABAVFVGVLVHVIVJVSWAVTWKNVSVTXBVKVSWJABEVSWRWCWJAUJWDKAGVML
    VNVOWAWGVPVQVR $.

  ${
    $d a A $.
    $( The discriminant used to define the X and Y sequences is a nonsquare
       positive integer and thus a valid Pell equation discriminant.
       (Contributed by Stefan O'Rear, 21-Sep-2014.) $)
    rmspecnonsq $p |- ( A e. ( ZZ>= ` 2 ) -> ( ( A ^ 2 ) - 1 ) e. ( NN \ []NN )
        ) $=
      ( va c2 cuz cfv wcel cexp co c1 cn csquarenn cz cc0 clt wbr eluzelz mpbid
      cmin csqrt cq syl 1zzd zsubcld sq1 eluz2b2 simprbi 1red eluzelre cle 0le1
      zsqcl a1i eluzge2nn0 nn0ge0d lt2sqd eqbrtrrid resqcld posdifd sylanbrc wa
      elnnz cc rmspecsqrtnq eldifbd intnand crab df-squarenn eleq2i wceq eleq1d
      cv fveq2 elrab bitr2i sylnib eldifd ) ACDEFZACGHZIRHZJKVQVSLFMVSNOZVSJFZV
      QVRIVQALFVRLFCAPAUKUAVQUBUCVQIVRNOVTVQIICGHZVRNUDVQIANOZWBVRNOVQAJFWCAUEU
      FVQIAVQUGZCAUHZMIUIOVQUJULVQAAUMUNUOQUPVQIVRWDVQAWEUQURQVSVAUSVQWAVSSEZTF
      ZUTZVSKFZVQWGWAVQWFVBTAVCVDVEWIVSBVKZSEZTFZBJVFZFWHKWMVSBVGVHWLWGBVSJWJVS
      VIWKWFTWJVSSVLVJVMVNVOVP $.
  $}

  $( This lemma implements the concept of "equate rational and irrational
     parts", used to prove many arithmetical properties of the X and Y
     sequences.  (Contributed by Stefan O'Rear, 21-Sep-2014.) $)
  qirropth $p |- ( ( A e. ( CC \ QQ ) /\ ( B e. QQ /\ C e. QQ ) /\ ( D e. QQ /\
      E e. QQ ) ) -> ( ( B + ( A x. C ) ) = ( D + ( A x. E ) ) <-> ( B = D /\ C
      = E ) ) ) $=
    ( cc cq wcel wa cmul caddc wceq adantr cmin ad2antrr qcn syl syl2anc mulcld
    co cdif wn eldifn 3ad2ant1 cdiv simpll1 eldifad simp2r simp3r subdid qsubcl
    w3a mulcomd simplr simp2l simp3l addsubeq4d mpbid 3eqtr4d cc0 wne wb subeq0
    simpr necon3abid mpbird divmuld qdivcl syl3anc eqeltrrd mt3d simpl2l simpl1
    simpl3l simpl3r eqcomd oveq2d eqtrd addcan2ad jcai ancomd oveqan12d impbid1
    ex id oveq2 ) AFGUAHZBGHZCGHZIZDGHZEGHZIZULZBACJTZKTZDAEJTZKTZLZBDLZCELZIZW
    NWSXBWNWSIZXAWTXCXAWTXCXAAGHZWNXDUBZWSWGWJXEWMAFGUCUDMXCXAUBZXDXCXFIZDBNTZC
    ENTZUETZAGXGXJALXIAJTZXHLXGAXIJTWOWQNTZXKXHXGACEXGAFGWGWJWMWSXFUFUGZXGWICFH
    ZWNWIWSXFWGWHWIWMUHOZCPQZXGWLEFHZWNWLWSXFWGWJWKWLUIOZEPZQZUJXGXIAXGXIGHZXIF
    HXGWIWLYAXOXRCEUKRZXIPQZXMUMXGWSXHXLLWNWSXFUNXGBWODWQXGWHBFHZWNWHWSXFWGWHWI
    WMUOOZBPZQXGACXMXPSXGWKDFHZWNWKWSXFWGWJWKWLUPOZDPZQXGAEXMXTSUQURUSXGXHXIAXG
    XHGHZXHFHXGWKWHYJYHYEDBUKRZXHPQYCXMXGXIUTVAZXFXCXFVDXGXNXQYLXFVBXPXTXNXQIXA
    XIUTCEVCVERVFZVGVFXGYJYAYLXJGHYKYBYMXHXIVHVIVJWDVKXCXAWTXCXAIZBDWQXCYDXAXCW
    HYDWHWIWGWMWSVLYFQMXCYGXAXCWKYGWKWLWGWJWSVNYIQMXCWQFHXAXCAEXCAFGWGWJWMWSVMU
    GXCWLXQWKWLWGWJWSVOXSQSMYNBWQKTWPWRYNWQWOBKYNECAJYNCEXCXAVDVPVQVQWNWSXAUNVR
    VSWDVTWAWDWTXABDWOWQKWTWECEAJWFWBWC $.

  $( The base of exponent used to define the X and Y sequences is the
     fundamental solution of the corresponding Pell equation.  (Contributed by
     Stefan O'Rear, 21-Sep-2014.) $)
  rmspecfund $p |- ( A e. ( ZZ>= ` 2 ) -> ( PellFund ` ( ( A ^ 2 ) - 1 ) ) = (
      A + ( sqrt ` ( ( A ^ 2 ) - 1 ) ) ) ) $=
    ( c2 cfv wcel cexp co c1 cmin csqrt caddc wceq cle wbr cn clt cmul cz recnd
    syl a1i cuz cpellfund csquarenn cdif cpell14qr rmspecnonsq eluzelz resubcld
    zsqcl zred 1red cc0 eluz2b2 simprbi eluzelre 0le1 eluzge2nn0 nn0ge0d lt2sqd
    sq1 mpbid eqbrtrrd posdifd elrpd rpsqrtcld rpred mulid1d oveq2d pell1qrss14
    cpell1qr wss cn0 1nn0 oveq2i syl5eq 1cnd nncand eqtrd pellqrexplicit sseldd
    syl31anc eqeltrrd readdcld ltaddrpd ltadd1dd lttrd pellfundlb npcand fveq2d
    syl3anc sqrtsqd oveq1d pellfundge cr pellfundre letri3d mpbir2and ) ABUACDZ
    ABEFZGHFZUBCZAWTICZJFZKXAXCLMZXCXALMWRWTNUCUDDZXCWTUECZDGXCOMXDAUFZWRAXBGPF
    ZJFZXCXFWRXHXBAJWRXBWRXBWRXBWRWTWRWTWRWSGWRWSWRAQDWSQDBAUGAUISUJZWRUKZUHZWR
    GWSOMULWTOMWRGBEFZGWSOXMGKWRUTTWRGAOMZXMWSOMWRANDXNAUMUNZWRGAXKBAUOZULGLMWR
    UPTWRAAUQZURZUSVAVBWRGWSXKXJVCVAVDVEZVFZRVGVHWRWTVJCZXFXIWRXEYAXFVKXGWTVISW
    RXEAVLDGVLDZWSWTXMPFZHFZGKXIYADXGXQYBWRVMTWRYDWSWTHFGWRYCWTWSHWRYCWTGPFWTXM
    GWTPUTVNWRWTWRWTXLRVGVOVHWRWSGWRWSXJRZWRVPZVQVRAGWTVSWAVTWBWRGGXBJFXCXKWRGX
    BXKXTWCWRAXBXPXTWCZWRGXBXKXSWDWRGAXBXKXPXTXOWEWFXCWTWGWJWRWTGJFZICZXBJFZXCX
    ALWRYIAXBJWRYIWSICAWRYHWSIWRWSGYEYFWHWIWRAXPXRWKVRWLWRXEYJXALMXGWTWMSVBWRXA
    XCWRXEXAWNDXGWTWOSYGWPWQ $.

  ${
    $d A a c d $.  $d N a $.
    $( The solutions used to construct the X and Y sequences are quadratic
       irrationals.  (Contributed by Stefan O'Rear, 21-Sep-2014.) $)
    rmxyelqirr $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) -> ( ( A + ( sqrt ` ( (
        A ^ 2 ) - 1 ) ) ) ^ N ) e. { a | E. c e. NN0 E. d e. ZZ a = ( c + ( (
        sqrt ` ( ( A ^ 2 ) - 1 ) ) x. d ) ) } ) $=
      ( c2 cfv wcel cz wa cexp co cv wceq wrex cn0 cr crab cvv wss c1 cpell14qr
      cuz cmin csqrt cmul caddc cab cn csquarenn rmspecnonsq adantr pell14qrval
      cdif syl wi wral simpl reximi rgenw a1i ss2rab sylibr rabss2 ax-mp sstrdi
      ssv rabab sseqtrdi eqsstrd cpellfund simpr rmspecfund eqcomd oveq1d oveq2
      rspceeqv syl2anc wb pellfund14b mpbird sseldd ) AFUCGHZBIHZJZAFKLUAUDLZUB
      GZCMZDMZWFUEGZEMZUFLUGLNZEIOZDPOZCUHZAWJUGLZBKLZWEWGWLWIFKLWFWKFKLUFLUDLU
      ANZJZEIOZDPOZCQRZWOWEWFUIUJUNHZWGXBNWCXCWDAUKULZCDEWFUMUOWEXBWNCSRZWOWEXB
      WNCQRZXEWEXAWNUPZCQUQZXBXFTXHWEXGCQWTWMDPWSWLEIWLWRURUSUSUTVAXAWNCQVBVCQS
      TXFXETQVGWNCQSVDVEVFWNCVHVIVJWEWQWGHZWQWFVKGZWHKLZNCIOZWEWDWQXJBKLZNXLWCW
      DVLWEWPXJBKWEXJWPWCXJWPNWDAVMULVNVOCBIXKXMWQWHBXJKVPVQVRWEXCXIXLVSXDCWQWF
      VTUOWAWB $.
  $}

  ${
    $d b c d a A $.
    $( The function used to extract rational and irrational parts in ~ df-rmx
       and ~ df-rmy in fact achieves a one-to-one mapping from the quadratic
       irrationals to pairs of integers.  (Contributed by Stefan O'Rear,
       21-Sep-2014.) $)
    rmxypairf1o $p |- ( A e. ( ZZ>= ` 2 ) -> ( b e. ( NN0 X. ZZ ) |-> ( ( 1st `
        b ) + ( ( sqrt ` ( ( A ^ 2 ) - 1 ) ) x. ( 2nd ` b ) ) ) ) : ( NN0 X. ZZ
        ) -1-1-onto-> { a | E. c e. NN0 E. d e. ZZ a = ( c + ( ( sqrt ` ( ( A ^
        2 ) - 1 ) ) x. d ) ) } ) $=
      ( cfv wcel cn0 cz cv c1st co c2nd cmul caddc wceq wrex ovex fveq2 cq cexp
      c2 cuz cxp c1 cmin csqrt cmpt wfn crn cab wral wf1o eqid fnmpti a1i rnmpt
      wi wb cop op1std op2ndd oveq2d oveq12d eqeq2d rexxp bicomi abbidv eqtr4id
      vex wa fvmpt ad2antrl ad2antll eqeq12d cc cdif rmspecsqrtnq adantr nn0ssq
      xp1st sselid zq syl qirropth syl122anc biimpd xpopth adantl sylibd sylbid
      xp2nd ralrimivva dff1o6 syl3anbrc ) AUBUCFGZCHIUDZCJZKFZAUBUALUEUFLUGFZWR
      MFZNLZOLZUHZWQUIZXDUJZBJZDJZWTEJZNLZOLZPZEIQDHQZBUKZPXHXDFZXIXDFZPZXHXIPZ
      URZEWQULDWQULWQXNXDUMXEWPCWQXCXDWSXBORXDUNZUOUPWPXFXGXCPZCWQQZBUKXNCBWQXC
      XDXTUQWPXMYBBXMYBUSWPYBXMYAXLCDEHIWRXHXIUTPZXCXKXGYCWSXHXBXJOXHXIWRDVJZEV
      JZVAYCXAXIWTNXHXIWRYDYEVBVCVDVEVFVGUPVHVIWPXSDEWQWQWPXHWQGZXIWQGZVKZVKZXQ
      XHKFZWTXHMFZNLZOLZXIKFZWTXIMFZNLZOLZPZXRYIXOYMXPYQYFXOYMPWPYGCXHXCYMWQXDW
      RXHPZWSYJXBYLOWRXHKSYSXAYKWTNWRXHMSVCVDXTYJYLORVLVMYGXPYQPWPYFCXIXCYQWQXD
      WRXIPZWSYNXBYPOWRXIKSYTXAYOWTNWRXIMSVCVDXTYNYPORVLVNVOYIYRYJYNPYKYOPVKZXR
      YIYRUUAYIWTVPTVQGZYJTGYKTGZYNTGYOTGZYRUUAUSWPUUBYHAVRVSYIHTYJVTYFYJHGWPYG
      XHHIWAVMWBYIYKIGZUUCYFUUEWPYGXHHIWLVMYKWCWDYIHTYNVTYGYNHGWPYFXIHIWAVNWBYI
      YOIGZUUDYGUUFWPYFXIHIWLVNYOWCWDWTYJYKYNYOWEWFWGYHUUAXRUSWPXHXIHIHIWHWIWJW
      KWMDEWQXNXDWNWO $.
  $}

  ${
    $d a b c d A $.  $d a N $.
    $( Lemma for ~ frmx and ~ frmy .  (Contributed by Stefan O'Rear,
       22-Sep-2014.) $)
    rmxyelxp $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ )
        -> ( `' ( b e. ( NN0 X. ZZ ) |-> ( ( 1st ` b )
          + ( ( sqrt ` ( ( A ^ 2 ) - 1 ) ) x. ( 2nd ` b ) ) ) ) ` ( ( A
          + ( sqrt ` ( ( A ^ 2 ) - 1 ) ) ) ^ N ) ) e. ( NN0 X. ZZ ) ) $=
      ( va vc vd c2 cuz cfv wcel cz wa cn0 cxp cv cexp co cmul caddc wrex csqrt
      c1 cmin wceq cab c1st c2nd cmpt wf1o ccnv rmxypairf1o rmxyelqirr f1ocnvdm
      adantr syl2anc ) AGHIJZBKJZLMKNZDOEOAGPQUBUCQUAIZFORQSQUDFKTEMTDUEZCURCOZ
      UFIUSVAUGIRQSQUHZUIZAUSSQBPQZUTJVDVBUJIURJUPVCUQADCEFUKUNABDEFULURUTVDVBU
      MUO $.
  $}

  ${
    $d a b c $.
    $( The X sequence is a nonnegative integer.  See ~ rmxnn for a
       strengthening.  (Contributed by Stefan O'Rear, 22-Sep-2014.) $)
    frmx $p |- rmX : ( ( ZZ>= ` 2 ) X. ZZ ) --> NN0 $=
      ( va vb vc cv c2 cexp co cmin csqrt cfv caddc cn0 cxp c1st c2nd wcel wral
      c1 cz crmx cmul cmpt ccnv cuz wf wa rmxyelxp xp1st rgen2 df-rmx fmpo mpbi
      syl ) ADZUNEFGRHGIJZKGBDZFGCLSMZCDZNJUOUROJUAGKGUBUCJZNJZLPZBSQAEUDJZQVBS
      MLTUEVAABVBSUNVBPUPSPUFUSUQPVAUNUPCUGUSLSUHUMUIABVBSUTLTBACUJUKUL $.

    $( The Y sequence is an integer.  (Contributed by Stefan O'Rear,
       22-Sep-2014.) $)
    frmy $p |- rmY : ( ( ZZ>= ` 2 ) X. ZZ ) --> ZZ $=
      ( va vb vc cv c2 cexp co cmin csqrt cfv caddc cn0 cxp c1st c2nd wcel wral
      c1 cz crmy cmul cmpt ccnv cuz wf wa rmxyelxp xp2nd rgen2 df-rmy fmpo mpbi
      syl ) ADZUNEFGRHGIJZKGBDZFGCLSMZCDZNJUOUROJUAGKGUBUCJZOJZSPZBSQAEUDJZQVBS
      MSTUEVAABVBSUNVBPUPSPUFUSUQPVAUNUPCUGUSLSUHUMUIABVBSUTSTBACUJUKUL $.
  $}

  ${
    $d a b c d A $.  $d a b c N $.
    $( Main definition of the X and Y sequences.  Compare definition 2.3 of
       [JonesMatijasevic] p. 694.  (Contributed by Stefan O'Rear,
       19-Oct-2014.) $)
    rmxyval $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ )
        -> ( ( A rmX N ) + ( ( sqrt ` ( ( A ^ 2 ) - 1 ) ) x. ( A rmY N ) ) )
            = ( ( A + ( sqrt ` ( ( A ^ 2 ) - 1 ) ) ) ^ N ) ) $=
      ( vb va vc vd c2 cfv wcel cz co cmul caddc c1st c2nd oveq2d oveq12d fveq2
      cv wceq cuz wa crmx cexp c1 cmin csqrt crmy cn0 cmpt ccnv rmxfval rmyfval
      cxp rmxyelxp weq cbvmptv ovex fvmpt syl cab rmxypairf1o adantr rmxyelqirr
      wrex wf1o f1ocnvfv2 syl2anc 3eqtr2d ) AGUAHIZBJIZUBZABUCKZAGUDKUEUFKUGHZA
      BUHKZLKZMKAVNMKBUDKZCUIJUNZCSZNHZVNVSOHZLKZMKZUJZUKHZNHZVNWEOHZLKZMKZWEWD
      HZVQVLVMWFVPWHMABCULVLVOWGVNLABCUMPQVLWEVRIWJWITABCUODWEDSZNHZVNWKOHZLKZM
      KZWIVRWDWKWETZWLWFWNWHMWKWENRWPWMWGVNLWKWEORPQCDVRWCWOCDUPZVTWLWBWNMVSWKN
      RWQWAWMVNLVSWKORPQUQWFWHMURUSUTVLVRWKESVNFSLKMKTFJVEEUIVEDVAZWDVFZVQWRIWJ
      VQTVJWSVKADCEFVBVCABDEFVDVRWRVQWDVGVHVI $.
  $}

  $( The discriminant used to define the X and Y sequences is a positive real.
     (Contributed by Stefan O'Rear, 22-Sep-2014.) $)
  rmspecpos $p |- ( A e. ( ZZ>= ` 2 ) -> ( ( A ^ 2 ) - 1 ) e. RR+ ) $=
    ( c2 cuz cfv wcel cexp co c1 cmin eluzelre resqcld resubcld clt wbr cc0 sq1
    1red cz eluz2b1 mpbid simprbi cle 0le1 eluzge2nn0 nn0ge0d eqbrtrrid posdifd
    a1i lt2sqd elrpd ) ABCDEZABFGZHIGZUKULHUKABAJZKZUKQZLUKHULMNOUMMNUKHHBFGZUL
    MPUKHAMNZUQULMNUKAREURASUAUKHAUPUNOHUBNUKUCUHUKAAUDUEUITUFUKHULUPUOUGTUJ $.

  ${
    $d A n $.  $d X n $.  $d Y n $.  $d X x y $.  $d Y x y $.  $d A x y $.
    $( The X and Y sequences taken together enumerate all solutions to the
       corresponding Pell equation in the right half-plane.  This is Metamath
       100 proof #39.  (Contributed by Stefan O'Rear, 22-Sep-2014.) $)
    rmxycomplete $p |- ( ( A e. ( ZZ>= ` 2 ) /\ X e. NN0 /\ Y e. ZZ ) -> ( ( (
        X ^ 2 ) - ( ( ( A ^ 2 ) - 1 ) x. ( Y ^ 2 ) ) ) = 1 <-> E. n e. ZZ ( X =
        ( A rmX n ) /\ Y = ( A rmY n ) ) ) ) $=
      ( vx vy c2 wcel cn0 cz cexp co c1 cmin cmul caddc wceq wa cq adantr csqrt
      cuz cfv w3a cpell14qr cpellfund wrex crmx crmy csquarenn cdif rmspecnonsq
      cv cn wb 3ad2ant1 pellfund14b cr nn0re 3ad2ant2 rmspecpos rpsqrtcld rpred
      syl 3ad2ant3 remulcld readdcld biantrurd simpl2 simpl3 eqidd simpr eqeq2d
      zre oveq1 oveq1d eqeq1d anbi12d oveq2 oveq2d syl112anc ex cc rmspecsqrtnq
      rspc2ev nn0ssq simp2 sselid zq sseli ad2antrl ad2antll qirropth syl122anc
      biimpd anim1d eqcomd biimpa syl6 rexlimdvva impbid elpell14qr 3bitr4d cxp
      oveqan12d wf frmx a1i simpl1 fovrnd zssq frmy 3ad2antl1 rmspecfund eqtr4d
      rmxyval bitr3d rexbidva ) AGUBUCZHZCIHZDJHZUDZCAGKLMNLZUAUCZDOLZPLZYDUEUC
      HZYGYDUFUCZBUMZKLZQZBJUGZCGKLZYDDGKLZOLZNLZMQZCAYJUHLZQDAYJUILZQRZBJUGYCY
      DUNUJUKHZYHYMUOXTYAUUBYBAULUPZBYGYDUQVDYCYGEUMZYEFUMZOLZPLZQZUUDGKLZYDUUE
      GKLZOLZNLZMQZRZFJUGEIUGZYGURHZUUORZYRYHYCUUPUUOYCCYFYAXTCURHYBCUSUTYCYEDX
      TYAYEURHYBXTYEXTYDAVAVBVCUPYBXTDURHYADVNVEVFVGVHYCYRUUOYCYRUUOYCYRRZYAYBY
      GYGQZYRUUOXTYAYBYRVIXTYAYBYRVJUURYGVKYCYRVLUUNUUSYRRYGCUUFPLZQZYNUUKNLZMQ
      ZREFCDIJUUDCQZUUHUVAUUMUVCUVDUUGUUTYGUUDCUUFPVOVMUVDUULUVBMUVDUUIYNUUKNUU
      DCGKVOVPVQVRUUEDQZUVAUUSUVCYRUVEUUTYGYGUVEUUFYFCPUUEDYEOVSVTVMUVEUVBYQMUV
      EUUKYPYNNUVEUUJYOYDOUUEDGKVOVTVTVQVRWEWAWBYCUUNYREFIJYCUUDIHZUUEJHZRZRZUU
      NCUUDQZDUUEQZRZUUMRYRUVIUUHUVLUUMUVIUUHUVLUVIYEWCSUKHZCSHZDSHZUUDSHZUUESH
      ZUUHUVLUOYCUVMUVHXTYAUVMYBAWDUPZTYCUVNUVHYCISCWFXTYAYBWGWHZTYCUVOUVHYBXTU
      VOYADWIVEZTUVFUVPYCUVGISUUDWFWJWKUVGUVQYCUVFUUEWIWLYECDUUDUUEWMWNWOWPUVLU
      UMYRUVLUULYQMUVLYQUULUVJUVKYNUUIYPUUKNCUUDGKVOUVKYOUUJYDODUUEGKVOVTXEWQVQ
      WRWSWTXAYCUUBYHUUQUOUUCEFYGYDXBVDXCYCUUAYLBJYCYJJHZRZYGYSYEYTOLPLZQZUUAYL
      UWBUVMUVNUVOYSSHYTSHUWDUUAUOYCUVMUWAUVRTYCUVNUWAUVSTYCUVOUWAUVTTUWBISYSWF
      UWBAYJIXSJUHXSJXDZIUHXFUWBXGXHXTYAYBUWAXIZYCUWAVLZXJWHUWBJSYTXKUWBAYJJXSJ
      UIUWEJUIXFUWBXLXHUWFUWGXJWHYECDYSYTWMWNUWBUWCYKYGUWBUWCAYEPLZYJKLZYKXTYAU
      WAUWCUWIQYBAYJXPXMUWBYIUWHYJKYCYIUWHQZUWAXTYAUWJYBAXNUPTVPXOVMXQXRXC $.
  $}

  ${
    $d A a $.  $d N a $.
    $( The X and Y sequences define a solution to the corresponding Pell
       equation.  (Contributed by Stefan O'Rear, 22-Sep-2014.) $)
    rmxynorm $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) -> ( ( ( A rmX N ) ^ 2 )
        - ( ( ( A ^ 2 ) - 1 ) x. ( ( A rmY N ) ^ 2 ) ) ) = 1 ) $=
      ( va c2 cuz wcel cz wa crmx co cexp cmin crmy wceq eqidd oveq2 eqeq2d cn0
      c1 fovcl cfv cmul cv wrex simpr anim12i anbi12d rspcev syl2anc simpl frmx
      wb frmy rmxycomplete syl3anc mpbird ) ADEUAZFZBGFZHZABIJZDKJADKJSLJABMJZD
      KJUBJLJSNZVAACUCZIJZNZVBAVDMJZNZHZCGUDZUTUSVAVANZVBVBNZHZVJURUSUEURVKUSVL
      URVAOUSVBOUFVIVMCBGVDBNZVFVKVHVLVNVEVAVAVDBAIPQVNVGVBVBVDBAMPQUGUHUIUTURV
      ARFVBGFVCVJULURUSUJABRUQGIUKTABGUQGMUMTACVAVBUNUOUP $.
  $}

  $( The base of exponentiation for the X and Y sequences is a positive real.
     (Contributed by Stefan O'Rear, 22-Sep-2014.) $)
  rmbaserp $p |- ( A e. ( ZZ>= ` 2 ) -> ( A + ( sqrt ` ( ( A ^ 2 ) - 1 ) ) ) e.
      RR+ ) $=
    ( c2 cuz cfv wcel cexp co c1 cpellfund csqrt caddc crp rmspecfund csquarenn
    cmin cn cdif rmspecnonsq pellfundrp syl eqeltrrd ) ABCDEZABFGHOGZIDZAUCJDKG
    LAMUBUCPNQEUDLEARUCSTUA $.

  $( Negation law for X and Y sequences.  JonesMatijasevic is inconsistent on
     whether the X and Y sequences have domain ` NN0 ` or ` ZZ ` ; we use
     ` ZZ ` consistently to avoid the need for a separate subtraction law.
     (Contributed by Stefan O'Rear, 22-Sep-2014.) $)
  rmxyneg $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) -> ( ( A rmX -u N ) = ( A
      rmX N ) /\ ( A rmY -u N ) = -u ( A rmY N ) ) ) $=
    ( c2 wcel cz crmx co cexp c1 cmin crmy cmul caddc wceq oveq2d cc adantr cn0
    fovcl cq cuz cfv wa cneg csqrt znegcl rmxyval sylan2 rmbaserp rpcnd cc0 wne
    cdiv rpne0d simpr expclzd eqeltrd frmx nn0cnd csquarenn rmspecnonsq eldifad
    cn nncnd sqrtcld frmy negcld mulcld addcld expne0d eqnetrd mulneg2d negsubd
    eqtrd subsq syl2anc sqmuld sqsqrtd oveq1d rmxynorm 3eqtr2d mvllmuld expnegd
    zcnd 3eqtr4rd cdif rmspecsqrtnq nn0ssq sselid qnegcl syl qirropth syl122anc
    wb zssq mpbid ) ACUAUBZDZBEDZUCZABUDZFGZACHGIJGZUEUBZAXAKGZLGMGZABFGZXDABKG
    ZUDZLGZMGZNZXBXGNXEXINUCZWTXFAXDMGZXAHGZXKWSWRXAEDZXFXONBUFZAXAUGUHWTIXGXDX
    HLGZMGZUMGIXNBHGZUMGXKXOWTXSXTIUMABUGZOWTXSXKIWTXSXTPYAWTXNBWRXNPDWSWRXNAUI
    ZUJQZWRXNUKULWSWRXNYBUNQZWRWSUOZUPUQWTXGXJWTXGABRWQEFURSZUSZWTXDXIWTXCWRXCP
    DWSWRXCWRXCVCUTAVAVBVDQZVEZWTXHWTXHABEWQEKVFSZWDZVGVHVIWTXSXTUKYAWTXNBYCYDY
    EVJVKWTXSXKLGXSXGXRJGZLGZXGCHGZXRCHGZJGZIWTXKYLXSLWTXKXGXRUDZMGYLWTXJYQXGMW
    TXDXHYIYKVLOWTXGXRYGWTXDXHYIYKVHZVMVNOWTXGPDXRPDYPYMNYGYRXGXRVOVPWTYPYNXCXH
    CHGZLGZJGIWTYOYTYNJWTYOXDCHGZYSLGYTWTXDXHYIYKVQWTUUAXCYSLWTXCYHVRVSVNOABVTV
    NWAWBWTXNBYCYDYEWCWEVNWTXDPTWFDZXBTDXETDXGTDXITDZXLXMWNWRUUBWSAWGQWTRTXBWHW
    SWRXPXBRDXQAXARWQEFURSUHWIWTETXEWOWSWRXPXEEDXQAXAEWQEKVFSUHWIWTRTXGWHYFWIWT
    XHTDUUCWTETXHWOYJWIXHWJWKXDXBXEXGXIWLWMWP $.

  $( Addition formula for X and Y sequences.  See ~ rmxadd and ~ rmyadd for
     most uses.  (Contributed by Stefan O'Rear, 22-Sep-2014.) $)
  rmxyadd $p |- ( ( A e. ( ZZ>= ` 2 ) /\ M e. ZZ /\ N e. ZZ ) -> (
        ( A rmX ( M + N ) ) = ( ( ( A rmX M ) x. ( A rmX N ) ) + ( ( ( A ^ 2 )
      - 1 ) x. ( ( A rmY M ) x. ( A rmY N ) ) ) ) /\
        ( A rmY ( M + N ) ) = ( ( ( A rmY M ) x. ( A rmX N ) ) + ( ( A rmX M )
      x. ( A rmY N ) ) ) ) ) $=
    ( wcel cz caddc co crmx cexp c1 crmy cmul wceq syl2anc cq cn0 fovrnd sselid
    zssq qmulcl c2 cuz cfv w3a csqrt wa simp1 zaddcl 3adant1 rmxyval cc cc0 wne
    cmin eluzelz 3ad2ant1 zcnd zq qsqcl 1z sselii a1i qsubcl qcn sqrtcld addcld
    3syl syl rmbaserp rpne0d simp2 simp3 expaddz syl22anc wf frmx nn0cnd mulcld
    cxp frmy muladdd oveq12d eqtr3d mul4d msqsqrtd mulcomd oveq2d mul12d adddid
    eqtrd addcomd oveq1d 3eqtr2d cdif wb rmspecsqrtnq nn0ssq qirropth syl122anc
    qaddcl mpbid ) AUAUBUCZDZBEDZCEDZUDZABCFGZHGZAUAIGZJUNGZUEUCZAXGKGZLGFGZABH
    GZACHGZLGZXJABKGZACKGZLGZLGZFGZXKXQXOLGZXNXRLGZFGZLGZFGZMZXHYAMXLYDMUFZXFXM
    AXKFGZXGIGZYFXFXCXGEDZXMYJMXCXDXEUGZXDXEYKXCBCUHUIZAXGUJNXFYJYIBIGZYICIGZLG
    ZXPXKXRLGZXKXQLGZLGZFGZXNYQLGZXOYRLGZFGZFGZYFXFYIUKDYIULUMZXDXEYJYPMXFAXKXF
    AXCXDAEDZXEUAAUOUPZUQXFXJXFXJODZXJUKDXFXIODZJODZUUHXFUUFAODUUIUUGAURAUSVGUU
    JXFEOJSUTVAVBXIJVCNZXJVDVHZVEZVFXCXDUUEXEXCYIAVIVJUPXCXDXEVKZXCXDXEVLZYIBCV
    MVNXFXNYRFGZXOYQFGZLGUUDYPXFXNYRXOYQXFXNXFABPXBEHXBEVSZPHVOXFVPVBZYLUUNQZVQ
    ZXFXKXQUUMXFXQXFABEXBEKUUREKVOXFVTVBZYLUUNQZUQZVRXFXOXFACPXBEHUUSYLUUOQZVQZ
    XFXKXRUUMXFXRXFACEXBEKUVBYLUUOQZUQZVRWAXFUUPYNUUQYOLXFXCXDUUPYNMYLUUNABUJNX
    FXCXEUUQYOMYLUUOACUJNWBWCXFYTYAUUCYEFXFYSXTXPFXFYSXKXKLGZXRXQLGZLGXTXFXKXRX
    KXQUUMUVHUUMUVDWDXFUVIXJUVJXSLXFXJUULWEXFXRXQUVHUVDWFWBWJWGXFUUCXKYCLGZXKXO
    XQLGZLGZFGXKYCUVLFGZLGYEXFUUAUVKUUBUVMFXFXNXKXRUVAUUMUVHWHXFXOXKXQUVFUUMUVD
    WHWBXFXKYCUVLUUMXFXNXRUVAUVHVRZXFXOXQUVFUVDVRZWIXFUVNYDXKLXFUVNUVLYCFGYDXFY
    CUVLUVOUVPWKXFUVLYBYCFXFXOXQUVFUVDWFWLWJWGWMWBWMWJXFXKUKOWNDZXHODXLODYAODZY
    DODZYGYHWOXCXDUVQXEAWPUPXFPOXHWQXFAXGPXBEHUUSYLYMQRXFEOXLSXFAXGEXBEKUVBYLYM
    QRXFXPODZXTODZUVRXFXNODZXOODZUVTXFPOXNWQUUTRZXFPOXOWQUVERZXNXOTNXFUUHXSODZU
    WAUUKXFXQODZXRODZUWFXFEOXQSUVCRZXFEOXRSUVGRZXQXRTNXJXSTNXPXTWTNXFYBODZYCODZ
    UVSXFUWGUWCUWKUWIUWEXQXOTNXFUWBUWHUWLUWDUWJXNXRTNYBYCWTNXKXHXLYAYDWRWSXA $.

  $( Value of the X and Y sequences at 1.  (Contributed by Stefan O'Rear,
     22-Sep-2014.) $)
  rmxy1 $p |- ( A e. ( ZZ>= ` 2 )
      -> ( ( A rmX 1 ) = A /\ ( A rmY 1 ) = 1 ) ) $=
    ( c2 cfv wcel c1 crmx co cexp crmy cmul caddc wceq cz 1z mpan2 rpcnd cq cn0
    fovcl sselid cmin csqrt wa rmxyval rmbaserp exp1d rmspecpos sqrtcld mulid1d
    cuz eqcomd oveq2d 3eqtrd cc cdif rmspecsqrtnq nn0ssq frmx zssq frmy eluzelz
    wb zq syl sselii a1i qirropth syl122anc mpbid ) ABUJCZDZAEFGZABHGEUAGZUBCZA
    EIGZJGKGZAVNEJGZKGZLZVLALVOELUCZVKVPAVNKGZEHGZWAVRVKEMDZVPWBLNAEUDOVKWAVKWA
    AUEPUFVKVNVQAKVKVQVNVKVNVKVMVKVMAUGPUHUIUKULUMVKVNUNQUODVLQDVOQDAQDZEQDZVSV
    TVBAUPVKRQVLUQVKWCVLRDNAERVJMFURSOTVKMQVOUSVKWCVOMDNAEMVJMIUTSOTVKAMDWDBAVA
    AVCVDWEVKMQEUSNVEVFVNVLVOAEVGVHVI $.

  $( Value of the X and Y sequences at 0.  (Contributed by Stefan O'Rear,
     22-Sep-2014.) $)
  rmxy0 $p |- ( A e. ( ZZ>= ` 2 )
      -> ( ( A rmX 0 ) = 1 /\ ( A rmY 0 ) = 0 ) ) $=
    ( c2 cfv wcel cc0 crmx co cexp c1 crmy cmul caddc wceq cz 0z mpan2 rpcnd cq
    cn0 zssq cuz cmin csqrt wa rmxyval rmbaserp rmspecpos sqrtcld mul01d oveq2d
    exp0d 1p0e1 eqtr2di 3eqtrd cc cdif wb rmspecsqrtnq nn0ssq frmx fovcl sselid
    frmy 1z sselii a1i qirropth syl122anc mpbid ) ABUACZDZAEFGZABHGIUBGZUCCZAEJ
    GZKGLGZIVNEKGZLGZMZVLIMVOEMUDZVKVPAVNLGZEHGZIVRVKENDZVPWBMOAEUEPVKWAVKWAAUF
    QUKVKVRIELGIVKVQEILVKVNVKVMVKVMAUGQUHUIUJULUMUNVKVNUORUPDVLRDVORDIRDZERDZVS
    VTUQAURVKSRVLUSVKWCVLSDOAESVJNFUTVAPVBVKNRVOTVKWCVONDOAENVJNJVCVAPVBWDVKNRI
    TVDVEVFWEVKNRETOVEVFVNVLVOIEVGVHVI $.

  $( Negation law (even function) for the X sequence.  The method of proof used
     for the previous four theorems ~ rmxyneg , ~ rmxyadd , ~ rmxy0 , and
     ~ rmxy1 via ~ qirropth results in two theorems at once, but typical use
     requires only one, so this group of theorems serves to separate the cases.
     (Contributed by Stefan O'Rear, 22-Sep-2014.) $)
  rmxneg $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) -> ( A rmX -u N ) = ( A rmX N
      ) ) $=
    ( c2 cuz cfv wcel cz wa cneg crmx co wceq crmy rmxyneg simpld ) ACDEFBGFHAB
    IZJKABJKLAPMKABMKILABNO $.

  $( Value of X sequence at 0.  Part 1 of equation 2.11 of [JonesMatijasevic]
     p. 695.  (Contributed by Stefan O'Rear, 22-Sep-2014.) $)
  rmx0 $p |- ( A e. ( ZZ>= ` 2 ) -> ( A rmX 0 ) = 1 ) $=
    ( c2 cuz cfv wcel cc0 crmx co c1 wceq crmy rmxy0 simpld ) ABCDEAFGHIJAFKHFJ
    ALM $.

  $( Value of X sequence at 1.  Part 2 of equation 2.11 of [JonesMatijasevic]
     p. 695.  (Contributed by Stefan O'Rear, 22-Sep-2014.) $)
  rmx1 $p |- ( A e. ( ZZ>= ` 2 ) -> ( A rmX 1 ) = A ) $=
    ( c2 cuz cfv wcel c1 crmx co wceq crmy rmxy1 simpld ) ABCDEAFGHAIAFJHFIAKL
    $.

  $( Addition formula for X sequence.  Equation 2.7 of [JonesMatijasevic]
     p. 695.  (Contributed by Stefan O'Rear, 22-Sep-2014.) $)
  rmxadd $p |- ( ( A e. ( ZZ>= ` 2 ) /\ M e. ZZ /\ N e. ZZ ) ->
        ( A rmX ( M + N ) ) = ( ( ( A rmX M ) x. ( A rmX N ) ) + ( ( ( A ^ 2 )
      - 1 ) x. ( ( A rmY M ) x. ( A rmY N ) ) ) ) ) $=
    ( c2 cuz cfv wcel cz w3a caddc crmx cmul cexp cmin crmy wceq rmxyadd simpld
    co c1 ) ADEFGBHGCHGIABCJSZKSABKSZACKSZLSADMSTNSABOSZACOSZLSLSJSPAUAOSUDUCLS
    UBUELSJSPABCQR $.

  $( Negation formula for Y sequence (odd function).  (Contributed by Stefan
     O'Rear, 22-Sep-2014.) $)
  rmyneg $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) -> ( A rmY -u N ) = -u ( A
      rmY N ) ) $=
    ( c2 cuz cfv wcel cz wa cneg crmx co wceq crmy rmxyneg simprd ) ACDEFBGFHAB
    IZJKABJKLAPMKABMKILABNO $.

  $( Value of Y sequence at 0.  Part 1 of equation 2.12 of [JonesMatijasevic]
     p. 695.  (Contributed by Stefan O'Rear, 22-Sep-2014.) $)
  rmy0 $p |- ( A e. ( ZZ>= ` 2 ) -> ( A rmY 0 ) = 0 ) $=
    ( c2 cuz cfv wcel cc0 crmx co c1 wceq crmy rmxy0 simprd ) ABCDEAFGHIJAFKHFJ
    ALM $.

  $( Value of Y sequence at 1.  Part 2 of equation 2.12 of [JonesMatijasevic]
     p. 695.  (Contributed by Stefan O'Rear, 22-Sep-2014.) $)
  rmy1 $p |- ( A e. ( ZZ>= ` 2 ) -> ( A rmY 1 ) = 1 ) $=
    ( c2 cuz cfv wcel c1 crmx co wceq crmy rmxy1 simprd ) ABCDEAFGHAIAFJHFIAKL
    $.

  $( Addition formula for Y sequence.  Equation 2.8 of [JonesMatijasevic]
     p. 695.  (Contributed by Stefan O'Rear, 22-Sep-2014.) $)
  rmyadd $p |- ( ( A e. ( ZZ>= ` 2 ) /\ M e. ZZ /\ N e. ZZ ) ->
        ( A rmY ( M + N ) ) = ( ( ( A rmY M ) x. ( A rmX N ) ) + ( ( A rmX M )
      x. ( A rmY N ) ) ) ) $=
    ( c2 cuz cfv wcel cz w3a caddc crmx cmul cexp cmin crmy wceq rmxyadd simprd
    co c1 ) ADEFGBHGCHGIABCJSZKSABKSZACKSZLSADMSTNSABOSZACOSZLSLSJSPAUAOSUDUCLS
    UBUELSJSPABCQR $.

  $( Special addition-of-1 formula for X sequence.  Part 1 of equation 2.9 of
     [JonesMatijasevic] p. 695.  (Contributed by Stefan O'Rear,
     19-Oct-2014.) $)
  rmxp1 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) ->
        ( A rmX ( N + 1 ) ) = ( ( ( A rmX N ) x. A ) + ( ( ( A ^ 2 ) - 1 ) x. (
      A rmY N ) ) ) ) $=
    ( c2 cuz wcel cz wa c1 caddc co crmx cmul cexp cmin crmy wceq adantr oveq2d
    cfv eqtrd 1z rmxadd mp3an3 rmx1 rmy1 frmy fovcl zcnd mulid1d oveq12d ) ACDS
    ZEZBFEZGZABHIJKJZABKJZAHKJZLJZACMJHNJZABOJZAHOJZLJZLJZIJZUPALJZUSUTLJZIJULU
    MHFEUOVDPUAABHUBUCUNURVEVCVFIUNUQAUPLULUQAPUMAUDQRUNVBUTUSLUNVBUTHLJZUTULVB
    VGPUMULVAHUTLAUERQUNUTUNUTABFUKFOUFUGUHUITRUJT $.

  $( Special addition of 1 formula for Y sequence.  Part 2 of equation 2.9 of
     [JonesMatijasevic] p. 695.  (Contributed by Stefan O'Rear,
     24-Sep-2014.) $)
  rmyp1 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) ->
        ( A rmY ( N + 1 ) ) = ( ( ( A rmY N ) x. A ) + ( A rmX N ) ) ) $=
    ( c2 cuz wcel cz wa c1 caddc co crmy crmx cmul wceq 1z rmyadd oveq2d adantr
    cfv eqtrd mp3an3 rmx1 rmy1 cn0 frmx fovcl nn0cnd mulid1d oveq12d ) ACDSZEZB
    FEZGZABHIJKJZABKJZAHLJZMJZABLJZAHKJZMJZIJZUOAMJZURIJUKULHFEUNVANOABHPUAUMUQ
    VBUTURIUKUQVBNULUKUPAUOMAUBQRUMUTURHMJZURUKUTVCNULUKUSHURMAUCQRUMURUMURABUD
    UJFLUEUFUGUHTUIT $.

  $( Subtraction of 1 formula for X sequence.  Part 1 of equation 2.10 of
     [JonesMatijasevic] p. 695.  (Contributed by Stefan O'Rear,
     14-Oct-2014.) $)
  rmxm1 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) ->
        ( A rmX ( N - 1 ) ) = ( ( A x. ( A rmX N ) ) -
        ( ( ( A ^ 2 ) - 1 ) x. ( A rmY N ) ) ) ) $=
    ( c2 wcel cz c1 cneg caddc co crmx cmul cmin crmy mpan2 eqtrd adantr oveq2d
    wceq 1z cc cuz cfv wa cexp neg1z rmxadd mp3an3 rmxneg rmx1 cn0 fovcl nn0cnd
    frmx mulcomd rmyneg rmy1 negeqd frmy zcnd ax-1cn mulneg2 sylancl mulid1d cn
    eluzelcn csquarenn rmspecnonsq eldifad nncnd mulneg2d oveq12d adantl negsub
    zcn mulcld negsubd 3eqtr3d ) ACUAUBZDZBEDZUCZABFGZHIZJIZAABJIZKIZACUDIFLIZA
    BMIZKIZGZHIZABFLIZJIWFWILIWAWDWEAWBJIZKIZWGWHAWBMIZKIZKIZHIZWKVSVTWBEDWDWRR
    UEABWBUFUGWAWNWFWQWJHWAWNWEAKIWFWAWMAWEKVSWMARVTVSWMAFJIZAVSFEDZWMWSRSAFUHN
    AUIOPQWAWEAWAWEABUJVREJUMUKULZVSATDVTCAVEPZUNOWAWQWGWHGZKIWJWAWPXCWGKWAWPWH
    WBKIZXCVSWPXDRVTVSWOWBWHKVSWOAFMIZGZWBVSWTWOXFRSAFUONVSXEFAUPUQOQPWAXDWHFKI
    ZGZXCWAWHTDFTDZXDXHRWAWHABEVREMURUKUSZUTWHFVAVBWAXGWHWAWHXJVCUQOOQWAWGWHVSW
    GTDVTVSWGVSWGVDVFAVGVHVIPZXJVJOVKOWAWCWLAJWABTDZXIWCWLRVTXLVSBVNVLUTBFVMVBQ
    WAWFWIWAAWEXBXAVOWAWGWHXKXJVOVPVQ $.

  $( Subtraction of 1 formula for Y sequence.  Part 2 of equation 2.10 of
     [JonesMatijasevic] p. 695.  (Contributed by Stefan O'Rear,
     19-Oct-2014.) $)
  rmym1 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) ->
        ( A rmY ( N - 1 ) ) = ( ( ( A rmY N ) x. A ) - ( A rmX N ) ) ) $=
    ( c2 wcel cz c1 cmin co crmy cneg caddc crmx cmul cc wceq sylancl oveq2d 1z
    eqtrd adantr cuz cfv wa zcn adantl ax-1cn negsub eqcomd neg1z rmyadd mp3an3
    rmxneg mpan2 rmx1 rmyneg rmy1 negeqd frmx fovcl nn0cnd neg1cn mulcom mulm1d
    cn0 3eqtrd oveq12d frmy zcnd eluzelcn mulcld negsubd ) ACUAUBZDZBEDZUCZABFG
    HZIHABFJZKHZIHZABIHZAVQLHZMHZABLHZAVQIHZMHZKHZVTAMHZWCGHZVOVPVRAIVOVRVPVOBN
    DZFNDVRVPOVNWIVMBUDUEUFBFUGPUHQVMVNVQEDVSWFOUIABVQUJUKVOWFWGWCJZKHWHVOWBWGW
    EWJKVOWAAVTMVMWAAOVNVMWAAFLHZAVMFEDZWAWKORAFULUMAUNSTQVOWEWCVQMHZVQWCMHZWJV
    OWDVQWCMVMWDVQOVNVMWDAFIHZJZVQVMWLWDWPORAFUOUMVMWOFAUPUQSTQVOWCNDVQNDWMWNOV
    OWCABVDVLELURUSUTZVAWCVQVBPVOWCWQVCVEVFVOWGWCVOVTAVOVTABEVLEIVGUSVHVMANDVNC
    AVITVJWQVKSVE $.

  $( The X sequence is a Lucas (second-order integer recurrence) sequence.
     Part 3 of equation 2.11 of [JonesMatijasevic] p. 695.  (Contributed by
     Stefan O'Rear, 14-Oct-2014.) $)
  rmxluc $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) -> ( A rmX ( N + 1 ) ) =
      ( ( ( 2 x. A ) x. ( A rmX N ) ) - ( A rmX ( N - 1 ) ) ) ) $=
    ( c2 wcel cz wa cmul co crmx c1 cmin caddc wceq crmy cn0 frmx nn0cnd mulcld
    cc fovcl cuz cfv cexp peano2zm peano2z addcomd rmxp1 rmxm1 oveq12d eluzelcn
    sylan2 adantr csquarenn rmspecnonsq eldifad nncnd frmy zcnd ppncand mulcomd
    oveq1d 2cnd mulassd 2timesd eqtr2d 3eqtrd 2cn sylancr subaddd mpbird eqcomd
    cn mulcl ) ACUAUBZDZBEDZFZCAGHZABIHZGHZABJKHZIHZKHZABJLHZIHZVQWCWEMWBWELHZV
    TMVQWFWEWBLHVSAGHZACUCHJKHZABNHZGHZLHZAVSGHZWJKHZLHZVTVQWBWEVPVOWAEDZWBSDBU
    DVOWOFWBAWAOVNEIPTQUKZVPVOWDEDZWESDBUEVOWQFWEAWDOVNEIPTQUKZUFVQWEWKWBWMLABU
    GABUHUIVQWNWGWLLHWLWLLHZVTVQWGWJWLVQVSAVQVSABOVNEIPTQZVOASDZVPCAUJULZRVQWHW
    IVOWHSDVPVOWHVOWHVLUMAUNUOUPULVQWIABEVNENUQTURRVQAVSXBWTRZUSVQWGWLWLLVQVSAW
    TXBUTVAVQVTCWLGHWSVQCAVSVQVBXBWTVCVQWLXCVDVEVFVFVQVTWBWEVQVRVSVQCSDXAVRSDVG
    XBCAVMVHWTRWPWRVIVJVK $.

  $( The Y sequence is a Lucas sequence, definable via this second-order
     recurrence with ~ rmy0 and ~ rmy1 .  Part 3 of equation 2.12 of
     [JonesMatijasevic] p. 695.  JonesMatijasevic uses this theorem to redefine
     the X and Y sequences to have domain ` ( ZZ X. ZZ ) ` , which simplifies
     some later theorems.  It may shorten the derivation to use this as our
     initial definition.  Incidentally, the X sequence satisfies the exact same
     recurrence.  (Contributed by Stefan O'Rear, 1-Oct-2014.) $)
  rmyluc $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) -> ( A rmY ( N + 1 ) ) = ( (
      2 x. ( ( A rmY N ) x. A ) ) - ( A rmY ( N - 1 ) ) ) ) $=
    ( c2 cuz cfv wcel cz wa c1 caddc crmy cmul cmin frmy fovcl sylan2 zcnd crmx
    co cc peano2z 2cn eluzelcn adantr mulcld mulcl sylancr peano2zm rmyp1 rmym1
    subcld oveq12d frmx nn0cnd ppncand npcand 2timesd eqtr2d 3eqtrd addcan2ad
    cn0 ) ACDEZFZBGFZHZABIJSZKSZCABKSZALSZLSZABIMSZKSZMSZVLVEVGVDVCVFGFVGGFBUAA
    VFGVBGKNOPQVEVJVLVECTFVITFVJTFUBVEVHAVEVHABGVBGKNOQVCATFVDCAUCUDUEZCVIUFUGZ
    VEVLVDVCVKGFVLGFBUHAVKGVBGKNOPQZUKVPVEVGVLJSVIABRSZJSZVIVQMSZJSVIVIJSZVMVLJ
    SZVEVGVRVLVSJABUIABUJULVEVIVQVIVNVEVQABVAVBGRUMOUNVNUOVEWAVJVTVEVJVLVOVPUPV
    EVIVNUQURUSUT $.

  $( Lucas sequence property of Y with better output ordering.  (Contributed by
     Stefan O'Rear, 16-Oct-2014.) $)
  rmyluc2 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) -> ( A rmY ( N + 1 ) ) =
        ( ( ( 2 x. A ) x. ( A rmY N ) ) - ( A rmY ( N - 1 ) ) ) ) $=
    ( c2 cuz cfv wcel cz wa c1 caddc co crmy cmul cmin frmy fovcl zcnd eluzelcn
    rmyluc cc adantr mulcomd oveq2d 2cnd mulassd eqtr4d oveq1d eqtrd ) ACDEZFZB
    GFZHZABIJKLKCABLKZAMKZMKZABINKLKZNKCAMKUMMKZUPNKABSULUOUQUPNULUOCAUMMKZMKUQ
    ULUNURCMULUMAULUMABGUIGLOPQZUJATFUKCARUAZUBUCULCAUMULUDUTUSUEUFUGUH $.

  $( "Double-angle formula" for X-values.  Equation 2.13 of [JonesMatijasevic]
     p. 695.  (Contributed by Stefan O'Rear, 2-Oct-2014.) $)
  rmxdbl $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) -> ( A rmX ( 2 x. N ) ) = ( (
      2 x. ( ( A rmX N ) ^ 2 ) ) - 1 ) ) $=
    ( c2 wcel cz cmul co crmx caddc cexp c1 cmin crmy cc 2timesd oveq2d oveq12d
    fovcl sqcld sqvald cuz cfv wa zcn adantl wceq rmxadd 3anidm23 cn0 nn0cnd cn
    frmx csquarenn rmspecnonsq eldifad adantr frmy zcnd mulcld pnncand rmxynorm
    nncnd eqcomd 3eqtr3rd 3eqtrd ) ACUAUBZDZBEDZUCZACBFGZHGABBIGZHGZABHGZVMFGZA
    CJGKLGZABMGZVPFGZFGZIGZCVMCJGZFGZKLGZVIVJVKAHVIBVHBNDVGBUDUEOPVGVHVLVSUFABB
    UGUHVIVTVTIGZVTVOVPCJGZFGZLGZLGVTWEIGWBVSVIVTVTWEVIVMVIVMABUIVFEHULRUJZSZWH
    VIVOWDVGVONDVHVGVOVGVOUKUMAUNUOVBUPVIVPVIVPABEVFEMUQRURZSUSUTVIWCWAWFKLVIWA
    WCVIVTWHOVCABVAQVIVTVNWEVRIVIVMWGTVIWDVQVOFVIVPWITPQVDVE $.

  $( "Double-angle formula" for Y-values.  Equation 2.14 of [JonesMatijasevic]
     p. 695.  (Contributed by Stefan O'Rear, 2-Oct-2014.) $)
  rmydbl $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) -> ( A rmY ( 2 x. N ) ) = ( (
      2 x. ( A rmX N ) ) x. ( A rmY N ) ) ) $=
    ( c2 cuz cfv wcel cz wa cmul crmy caddc crmx zcn adantl 2timesd oveq2d wceq
    co cc fovcl rmyadd 3anidm23 2cnd cn0 frmx nn0cnd frmy mulassd mulcld oveq1d
    zcnd mulcomd 3eqtrrd 3eqtrd ) ACDEZFZBGFZHZACBIRZJRABBKRZJRZABJRZABLRZIRZVC
    VBIRZKRZCVCIRVBIRZURUSUTAJURBUQBSFUPBMNOPUPUQVAVFQABBUAUBURVGCVEIRVEVEKRVFU
    RCVCVBURUCURVCABUDUOGLUETUFZURVBABGUOGJUGTUKZUHURVEURVCVBVHVIUIOURVEVDVEKUR
    VCVBVHVIULUJUMUN $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ordering and induction lemmas for the integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A a b x y $.  $d B a b x y $.  $d C a b c d y $.  $d D a x y $.
    $d E a x y $.  $d F b x $.  $d G b x $.  $d H a b c d x y $.
    $d ph a b c d x y $.
    monotuz.1 $e |- ( ( ph /\ y e. H ) -> F < G ) $.
    monotuz.2 $e |- ( ( ph /\ x e. H ) -> C e. RR ) $.
    monotuz.3 $e |- H = ( ZZ>= ` I ) $.
    monotuz.4 $e |- ( x = ( y + 1 ) -> C = G ) $.
    monotuz.5 $e |- ( x = y -> C = F ) $.
    monotuz.6 $e |- ( x = A -> C = D ) $.
    monotuz.7 $e |- ( x = B -> C = E ) $.
    $( A function defined on an upper set of integers which increases at every
       adjacent pair is globally strictly monotonic by induction.  (Contributed
       by Stefan O'Rear, 24-Sep-2014.) $)
    monotuz $p |- ( ( ph /\ ( A e. H /\ B e. H ) ) -> ( A < B <-> D < E ) ) $=
      ( wcel va vb vc vd wa clt wbr csb cv csbeq1 cuz cr cz uzssz zssre eqsstri
      cfv sstri nfv nfcsb1v nfel1 nfim weq eleq1 anbi2d csbeq1a imbi12d chvarfv
      wi eleq1d simpl adantlrr simplrl sselid simplrr simpr caddc breq2d imbi2d
      c1 co wceq vex csbie eqtr3id ovex oveq1 csbeq1d breq12d vtoclg w3a simp2l
      3ad2ant2 cle zre 3ad2ant1 simp3 ltled wb simp11 simp12 eluz mpbird simp2r
      syl2anc eleqtrdi uztrn eleqtrrdi peano2uz syl vtoclf lttrd uzind2 syl3anc
      3exp a2d mpd ex ltord1 nfcvd csbiegf breqan12d adantl bitrd ) ADKTZEKTZUE
      ZUEDEUFUGBDFUHZBEFUHZUFUGZGHUFUGZAUAUBBUAUIZFUHZBUBUIZFUHZDEKYHYIBYLYNFUJ
      BYLDFUJBYLEFUJKLUKUQZULOYPUMULLUNZUOURUPABUIZKTZUEZFULTZVIZAYLKTZUEZYMULT
      ZVIBUAUUDUUEBUUDBUSBYMULBYLFUTVAVBBUAVCZYTUUDUUAUUEUUFYSUUCAYRYLKVDVEUUFF
      YMULBYLFVFVJVGNVHZAUUCYNKTZUEUEZYLYNUFUGZYMYOUFUGZUUIUUJUEZUUDUUKAUUCUUJU
      UDUUHUUDUUJVKVLUULYLUMTZYNUMTUUJUUDUUKVIZUULKUMYLKYPUMOYQUPZAUUCUUHUUJVMV
      NUULKUMYNUUOAUUCUUHUUJVOVNUUIUUJVPUUDYMBUCUIZFUHZUFUGZVIUUDYMBYLVTVQWAZFU
      HZUFUGZVIZUUDYMBUDUIZFUHZUFUGZVIUUDYMBUVCVTVQWAZFUHZUFUGZVIUUNUCUDYLYNUUP
      UUSWBZUURUVAUUDUVIUUQUUTYMUFBUUPUUSFUJVRVSUCUDVCZUURUVEUUDUVJUUQUVDYMUFBU
      UPUVCFUJVRVSUUPUVFWBZUURUVHUUDUVKUUQUVGYMUFBUUPUVFFUJVRVSUCUBVCZUURUUKUUD
      UVLUUQYOYMUFBUUPYNFUJVRVSACUIZKTZUEZIJUFUGZVIZUVBCYLUMCUAVCZUVOUUDUVPUVAU
      VRUVNUUCAUVMYLKVDVEUVRIYMJUUTUFUVRIBUVMFUHZYMBUVMFICWCQWDZBUVMYLFUJWEUVRJ
      BUVMVTVQWAZFUHZUUTBUWAFJUVMVTVQWFPWDZUVRBUWAUUSFUVMYLVTVQWGWHWEWIVGMWJUUM
      UVCUMTZYLUVCUFUGZWKZUUDUVEUVHUWFUUDUVEUVHUWFUUDUVEWKZYMUVDUVGUUDUWFUUEUVE
      UUGWMUWGAUVCKTZUVDULTZUWFAUUCUVEWLZUWGUVCYPKUWGUVCYLUKUQTZYLYPTUVCYPTZUWG
      UWKYLUVCWNUGZUWFUUDUWMUVEUWFYLUVCUUMUWDYLULTUWEYLWOWPUWDUUMUVCULTUWEUVCWO
      WMUUMUWDUWEWQWRWPUWGUUMUWDUWKUWMWSUUMUWDUWEUUDUVEWTUUMUWDUWEUUDUVEXAYLUVC
      XBXEXCUWGYLKYPUWFAUUCUVEXDOXFYLUVCLXGXEZOXHZUUBAUWHUEZUWIVIBUDUWPUWIBUWPB
      USBUVDULBUVCFUTVAVBBUDVCZYTUWPUUAUWIUWQYSUWHAYRUVCKVDVEUWQFUVDULBUVCFVFVJ
      VGNVHXEUWGAUVFKTZUVGULTZUWJUWGUVFYPKUWGUWLUVFYPTUWNLUVCXIXJOXHUUBAUWRUEZU
      WSVIBUVFUWTUWSBUWTBUSBUVGULBUVFFUTVAVBUVCVTVQWFYRUVFWBZYTUWTUUAUWSUXAYSUW
      RAYRUVFKVDVEUXAFUVGULBUVFFVFVJVGNXKXEUWFUUDUVEWQUWGAUWHUVDUVGUFUGZUWJUWOU
      VQUWPUXBVIZCUDUXCCUSCUDVCZUVOUWPUVPUXBUXDUVNUWHAUVMUVCKVDVEUXDIUVDJUVGUFU
      XDIUVSUVDUVTBUVMUVCFUJWEUXDJUWBUVGUWCUXDBUWAUVFFUVMUVCVTVQWGWHWEWIVGMVHXE
      XLXOXPXMXNXQXRXSYGYJYKWSAYEYFYHGYIHUFBDFGKYEBGXTRYABEFHKYFBHXTSYAYBYCYD
      $.
  $}

  ${
    $d ph a b x y $.  $d A a b x y $.  $d B a b x y $.  $d F a b x y $.
    monotoddzzfi.1 $e |- ( ( ph /\ x e. ZZ ) -> ( F ` x ) e. RR ) $.
    monotoddzzfi.2 $e |- ( ( ph /\ x e. ZZ ) -> ( F ` -u x ) = -u ( F ` x ) )
        $.
    monotoddzzfi.3 $e |- ( ( ph /\ x e. NN0 /\ y e. NN0 ) -> ( x < y -> ( F ` x
        ) < ( F ` y ) ) ) $.
    $( A function which is odd and monotonic on ` NN0 ` is monotonic on
       ` ZZ ` .  This proof is far too long.  (Contributed by Stefan O'Rear,
       25-Sep-2014.) $)
    monotoddzzfi $p |- ( ( ph /\ A e. ZZ /\ B e. ZZ ) -> ( A < B <-> ( F ` A )
        < ( F ` B ) ) ) $=
      ( cz wcel clt wbr wa wi eleq1d imbi12d cn0 cc0 cle va vb cfv wb fveq2 weq
      cv zssre cr eleq1 anbi2d chvarvv cn cneg wo simprbi anim12i adantl simpll
      elznn nnnn0 ad2antrl ad2antll w3a vex simpl simpr breq12 breqan12d vtocl2
      3anbi23d syl3anc ex adantrr adantr 0red adantrl znegcl negex vtocl syldan
      wceq ad2antrr 0z c0ex mpan2 recnd neg0 fveq2i negeq fveq2d negeqd eqeq12d
      eqtr3id eqnegad nngt0 simplll 0nn0 a1i simplrl breq12d mpd eqbrtrrd ltled
      0le0 breqtrrid breq2d mpbird biimpi mpjaodan breqtrd le0neg1d lelttrd a1d
      elnn0 simp3 wn c1 ad2antlr 1red nnre nn0ge0 0le1 letrd nnge1 lenltd mpbid
      3adant3 pm2.21dd 3com23 3expb adantlr sylibd ltnegd 3imtr4d ccased ltord1
      zre 3exp 3impb ) ADJKEJKDELMDFUCZEFUCZLMUDAUAUBUAUGZFUCZUBUGZFUCZDEJUUAUU
      BUUCUUEFUEUUCDFUEUUCEFUEUHABUGZJKZNZUUGFUCZUIKZOZAUUCJKZNZUUDUIKZOBUABUAU
      FZUUIUUNUUKUUOUUPUUHUUMAUUGUUCJUJUKZUUPUUJUUDUIUUGUUCFUEZPQGULZAUUMUUEJKZ
      NZNZUUCUMKZUUCUNZRKZUOZUUEUMKZUUEUNZRKZUOZNZUUCUUELMZUUDUUFLMZOZUVAUVKAUU
      MUVFUUTUVJUUMUUCUIKZUVFUUCUTUPUUTUUEUIKZUVJUUEUTUPUQURUVBUVCUVGUVEUVIUVNU
      VBUVCUVGNZUVNUVBUVQNAUUCRKZUUERKZUVNAUVAUVQUSUVCUVRUVBUVGUUCVAVBUVGUVSUVB
      UVCUUEVAZVCAUUGRKZCUGZRKZVDZUUGUWBLMZUUJUWBFUCZLMZOZOZAUVRUVSVDZUVNOBCUUC
      UUEUAVEUBVEZUUPCUBUFZNZUWDUWJUWHUVNUWMUWAUVRUWCUVSAUWMUUGUUCRUUPUWLVFPUWM
      UWBUUERUUPUWLVGPVKUWMUWEUVLUWGUVMUUGUUCUWBUUELVHUUPUWLUUJUUDUWFUUFLUURUWB
      UUEFUEZVIQQIVJVLVMUVBUVEUVGNZUVNUVBUWONZUVMUVLUWPUUDSUUFUVBUUOUWOAUUMUUOU
      UTUUSVNZVOZUWPVPUVBUUFUIKZUWOAUUTUWSUUMUULAUUTNZUWSOBUBBUBUFZUUIUWTUUKUWS
      UXAUUHUUTAUUGUUEJUJUKZUXAUUJUUFUIUUGUUEFUEZPQGULVQZVOUWPUUDSTMSUUDUNZTMUW
      PSUVDFUCZUXETUWPUVDUMKZSUXFTMZUVDSWBZUWPUXGNZSUXFUXJVPUVBUXFUIKZUWOUXGAUV
      AUVDJKZUXKUUMUXLAUUTUUCVRVBUULAUXLNZUXKOBUVDUUCVSZUUGUVDWBZUUIUXMUUKUXKUX
      OUUHUXLAUUGUVDJUJUKUXOUUJUXFUIUUGUVDFUEPQGVTWAWCUXJSFUCZSUXFLUVBUXPSWBZUW
      OUXGAUXQUVAAUXPAUXPASJKZUXPUIKZWDUULAUXRNZUXSOBSWEUUGSWBZUUIUXTUUKUXSUYAU
      UHUXRAUUGSJUJUKZUYAUUJUXPUIUUGSFUEZPQGVTWFWGAUXPSUNZFUCZUXPUNZUYDSFWHWIAU
      XRUYEUYFWBZWDUUIUUGUNZFUCZUUJUNZWBZOZUXTUYGOBSWEUYAUUIUXTUYKUYGUYBUYAUYIU
      YEUYJUYFUYAUYHUYDFUUGSWJWKUYAUUJUXPUYCWLWMQHVTWFWNWOVOZWCUXJSUVDLMZUXPUXF
      LMZUXGUYNUWPUVDWPURUXJASRKZUVEUYNUYOOZAUVAUWOUXGWQUYPUXJWRWSUVBUVEUVGUXGW
      TUWIAUYPUVEVDZUYQOBCSUVDWEUXNUYAUWBUVDWBZNZUWDUYRUWHUYQUYTUWAUYPUWCUVEAUY
      TUUGSRUYAUYSVFZPUYTUWBUVDRUYAUYSVGZPVKUYTUWEUYNUWGUYOUUGSUWBUVDLVHUYTUUJU
      XPUWFUXFLUYTUUGSFVUAWKUYTUWBUVDFVUBWKXAQQIVJVLXBXCXDUWPUXINZUXHSUXPTMZVUC
      SSUXPTXEUVBUXQUWOUXIUYMWCXFUXIUXHVUDUDUWPUXIUXFUXPSTUVDSFUEXGURXHUVEUXGUX
      IUOZUVBUVGUVEVUEUVDXOXIVBXJUVBUXFUXEWBZUWOAUUMVUFUUTUYLUUNVUFOBUAUUPUUIUU
      NUYKVUFUUQUUPUYIUXFUYJUXEUUPUYHUVDFUUGUUCWJWKUUPUUJUUDUURWLWMQHULVNZVOXKU
      WPUUDUWRXLXHUWPUXPSUUFLUVBUXQUWOUYMVOUWPSUUELMZUXPUUFLMZUVGVUHUVBUVEUUEWP
      VCUWPAUYPUVSVUHVUIOZAUVAUWOUSUYPUWPWRWSUVGUVSUVBUVEUVTVCUWIAUYPUVSVDZVUJO
      BCSUUEWEUWKUYAUWLNZUWDVUKUWHVUJVULUWAUYPUWCUVSAVULUUGSRUYAUWLVFPVULUWBUUE
      RUYAUWLVGPVKVULUWEVUHUWGVUIUUGSUWBUUELVHUYAUWLUUJUXPUWFUUFLUYCUWNVIQQIVJV
      LXBXCXMXNVMUVBUVCUVINZUVLUVMUVBVUMUVLVDUVLUVMUVBVUMUVLXPUVBVUMUVLXQZUVLUV
      BVUMNZUUEUUCTMVUNVUOUUEXRUUCUVAUVPAVUMUUTUVPUUMUUEYRURZXSZVUOXTZUVCUVOUVB
      UVIUUCYAVBZVUOUUESXRVUQVUOVPVURVUOUUESTMSUVHTMZUVIVUTUVBUVCUVHYBVCVUOUUEV
      UQXLXHSXRTMVUOYCWSYDUVCXRUUCTMUVBUVIUUCYEVBYDVUOUUEUUCVUQVUSYFYGYHYIYSUVB
      UVEUVINZUVNUVBVVANZUVHUVDLMZUUFUNZUXELMZUVLUVMVVBVVCUVHFUCZUXFLMZVVEAVVAV
      VCVVGOZUVAAUVEUVIVVHAUVIUVEVVHUWIAUVIUVEVDZVVHOBCUVHUVDUUEVSUXNUUGUVHWBZU
      YSNZUWDVVIUWHVVHVVKUWAUVIUWCUVEAVVKUUGUVHRVVJUYSVFPVVKUWBUVDRVVJUYSVGPVKV
      VKUWEVVCUWGVVGUUGUVHUWBUVDLVHVVJUYSUUJVVFUWFUXFLUUGUVHFUEUWBUVDFUEVIQQIVJ
      YJYKYLVVBVVFVVDUXFUXELUVBVVFVVDWBZVVAAUUTVVLUUMUYLUWTVVLOBUBUXAUUIUWTUYKV
      VLUXBUXAUYIVVFUYJVVDUXAUYHUVHFUUGUUEWJWKUXAUUJUUFUXCWLWMQHULVQVOUVBVUFVVA
      VUGVOXAYMVVBUUCUUEUVBUVOVVAUUMUVOAUUTUUCYRVBVOUVAUVPAVVAVUPXSYNVVBUUDUUFU
      VBUUOVVAUWQVOUVBUWSVVAUXDVOYNYOVMYPXBYQYT $.
  $}

  ${
    $d ph a b x y $.  $d A a b x y $.  $d B a b x y $.  $d E a b y $.
    $d C a b x y $.  $d D a b x y $.  $d F a b x $.  $d G a b x $.
    monotoddzz.1 $e |- ( ( ph /\ x e. NN0 /\ y e. NN0 ) -> ( x < y -> E < F ) )
        $.
    monotoddzz.2 $e |- ( ( ph /\ x e. ZZ ) -> E e. RR ) $.
    monotoddzz.3 $e |- ( ( ph /\ y e. ZZ ) -> G = -u F ) $.
    monotoddzz.4 $e |- ( x = A -> E = C ) $.
    monotoddzz.5 $e |- ( x = B -> E = D ) $.
    monotoddzz.6 $e |- ( x = y -> E = F ) $.
    monotoddzz.7 $e |- ( x = -u y -> E = G ) $.
    $( A function (given implicitly) which is odd and monotonic on ` NN0 ` is
       monotonic on ` ZZ ` .  This proof is far too long.  (Contributed by
       Stefan O'Rear, 25-Sep-2014.) $)
    monotoddzz $p |- ( ( ph /\ A e. ZZ /\ B e. ZZ ) -> ( A < B <-> C < D ) ) $=
      ( cz clt cr va vb wcel w3a wbr cmpt cfv cv wa wi nffvmpt1 nfel1 nfim wceq
      nfv eleq1 anbi2d fveq2 eleq1d imbi12d eqid fvmpt2 syl2anc eqeltrd chvarfv
      simpr cneg negeq fveq2d negeqd eqeq12d znegcl adantl negex sylan2 fvmptd3
      vtocl chvarvv 3eqtr4d nfcv nfbr 3anbi2d breq1 breq1d 3anbi3d breq2 breq2d
      cn0 nn0z 3adant3 nfeq1 3adant2 breq12d sylibrd monotoddzzfi simp2 anabsi7
      vtoclg simp3 bitrd ) ADRUCZERUCZUDZDESUEDBRHUFZUGZEXDUGZSUEFGSUEAUAUBDEXD
      ABUHZRUCZUIZXGXDUGZTUCZUJAUAUHZRUCZUIZXLXDUGZTUCZUJBUAXNXPBXNBUOBXOTBRHXL
      UKZULUMXGXLUNZXIXNXKXPXRXHXMAXGXLRUPUQXRXJXOTXGXLXDURZUSUTXIXJHTXIXHHTUCZ
      XJHUNZAXHVFLBRHTXDXDVAZVBVCZLVDVEACUHZRUCZUIZYDVGZXDUGZYDXDUGZVGZUNZUJXNX
      LVGZXDUGZXOVGZUNZUJCUAYDXLUNZYFXNYKYOYPYEXMAYDXLRUPUQYPYHYMYJYNYPYGYLXDYD
      XLVHVIYPYIXOYDXLXDURVJVKUTYFJIVGYHYJMYFBYGHJRXDTYBQYEYGRUCZAYDVLZVMYEAYQJ
      TUCZYRXIXTUJZAYQUIZYSUJBYGYDVNXGYGUNZXIUUAXTYSUUBXHYQAXGYGRUPUQUUBHJTQUSU
      TLVQVOVPYFYIIYFBYDHIRXDTYBPAYEVFYTYFITUCZUJBCXGYDUNZXIYFXTUUCUUDXHYEAXGYD
      RUPUQUUDHITPUSUTLVRVPVJVSVRAXGWHUCZUBUHZWHUCZUDZXGUUFSUEZXJUUFXDUGZSUEZUJ
      ZUJZAXLWHUCZUUGUDZXLUUFSUEZXOUUJSUEZUJZUJBUAUUOUURBUUOBUOUUPUUQBUUPBUOBXO
      UUJSXQBSVTBRHUUFUKWAUMUMXRUUHUUOUULUURXRUUEUUNAUUGXGXLWHUPWBXRUUIUUPUUKUU
      QXGXLUUFSWCXRXJXOUUJSXSWDUTUTAUUEYDWHUCZUDZXGYDSUEZXJYISUEZUJZUJUUMCUBYDU
      UFUNZUUTUUHUVCUULUVDUUSUUGAUUEYDUUFWHUPWEUVDUVAUUIUVBUUKYDUUFXGSWFUVDYIUU
      JXJSYDUUFXDURWGUTUTUUTUVAHISUEUVBKUUTXJHYIISAUUEYAUUSUUEAXHYAXGWIYCVOZWJA
      UUSYIIUNZUUEAUUEUIZYAUJAUUSUIZUVFUJBCUVHUVFBUVHBUOBYIIBRHYDUKWKUMUUDUVGUV
      HYAUVFUUDUUEUUSAXGYDWHUPUQUUDXJYIHIXGYDXDURPVKUTUVEVEWLWMWNVRVEWOXCXEFXFG
      SXCBDHFRXDTYBNAXAXBWPAXAFTUCZXBAXAUVIYTAXAUIZUVIUJBDRXGDUNZXIUVJXTUVIUVKX
      HXAAXGDRUPUQUVKHFTNUSUTLWRWQWJVPXCBEHGRXDTYBOAXAXBWSAXBGTUCZXAAXBUVLYTAXB
      UIZUVLUJBERXGEUNZXIUVMXTUVLUVNXHXBAXGERUPUQUVNHGTOUSUTLWRWQWLVPWMWT $.
  $}

  ${
    $d B a x $.  $d C a x $.  $d D a x y $.  $d E a x $.  $d F a x $.
    $d A a y $.  $d ph a x y $.
    oddcomabszz.1 $e |- ( ( ph /\ x e. ZZ ) -> A e. RR ) $.
    oddcomabszz.2 $e |- ( ( ph /\ x e. ZZ /\ 0 <_ x ) -> 0 <_ A ) $.
    oddcomabszz.3 $e |- ( ( ph /\ y e. ZZ ) -> C = -u B ) $.
    oddcomabszz.4 $e |- ( x = y -> A = B ) $.
    oddcomabszz.5 $e |- ( x = -u y -> A = C ) $.
    oddcomabszz.6 $e |- ( x = D -> A = E ) $.
    oddcomabszz.7 $e |- ( x = ( abs ` D ) -> A = F ) $.
    $( An odd function which takes nonnegative values on nonnegative arguments
       commutes with ` abs ` .  (Contributed by Stefan O'Rear, 26-Sep-2014.) $)
    oddcomabszz $p |- ( ( ph /\ D e. ZZ ) -> ( abs ` E ) = F ) $=
      ( cz wceq cc0 cle va wcel wa csb cabs cfv cv wi eleq1 anbi2d csbeq1 fveq2
      fveq2d csbeq1d eqeq12d imbi12d wbr nfv nfcsb1v nfel1 nfim csbeq1a chvarfv
      cr eleq1d adantr w3a nfcv breq2 3anbi23d breq2d 3expa absidd zre ad2antlr
      nfbr absid sylancom eqtr4d negex csbie negeq eqtr3id negeqd absnid znegcl
      cneg vex vtoclf 3expia sylan2 sylibd adantl le0neg1d 3imtr4d imp 3eqtr4rd
      absnidd 0re letric sylancr mpjaodan vtoclg anabsi7 nfcvd csbiegf fvex a1i
      wo 3eqtr3d ) AGQUBZUCZBGDUDZUEUFZBGUEUFZDUDZHUEUFZIAXKXNXPRZAUAUGZQUBZUCZ
      BXSDUDZUEUFZBXSUEUFZDUDZRZUHXLXRUHUAGQXSGRZYAXLYFXRYGXTXKAXSGQUIUJYGYCXNY
      EXPYGYBXMUEBXSGDUKUMYGBYDXODXSGUEULUNUOUPYASXSTUQZYFXSSTUQZYAYHUCZYCYBYEY
      JYBYAYBVDUBZYHABUGZQUBZUCZDVDUBZUHYAYKUHBUAYAYKBYABURBYBVDBXSDUSZUTVAYLXS
      RZYNYAYOYKYQYMXTAYLXSQUIZUJYQDYBVDBXSDVBZVEUPJVCZVFAXTYHSYBTUQZAYMSYLTUQZ
      VGZSDTUQZUHZAXTYHVGZUUAUHBUAUUFUUABUUFBURBSYBTBSVHZBTVHZYPVPVAYQUUCUUFUUD
      UUAYQYMXTUUBYHAYRYLXSSTVIVJYQDYBSTYSVKUPKVCVLVMYJBYDXSDYAYHXSVDUBZYDXSRXT
      UUIAYHXSVNZVOXSVQVRUNVSYAYIUCZBXSWGZDUDZYBWGZYEYCYAUUMUUNRZYIACUGZQUBZUCZ
      FEWGZRZUHYAUUOUHZCUAUVACURUUPXSRZUURYAUUTUUOUVBUUQXTAUUPXSQUIUJUVBFUUMUUS
      UUNUVBFBUUPWGZDUDUUMBUVCDFUUPVTNWAUVBBUVCUULDUUPXSWBUNWCUVBEYBUVBEBUUPDUD
      YBBUUPDECWHMWABUUPXSDUKWCWDUOUPLVCZVFUUKBYDUULDYAYIUUIYDUULRXTUUIAYIUUJVO
      XSWEVRUNUUKYBYAYKYIYTVFYAYIYBSTUQZYASUULTUQZSUUNTUQZYIUVEYAUVFSUUMTUQZUVG
      XTAUULQUBZUVFUVHUHXSWFAUVIUVFUVHUUEAUVIUVFVGZUVHUHBUULUVJUVHBUVJBURBSUUMT
      UUGUUHBUULDUSVPVAXSVTYLUULRZUUCUVJUUDUVHUVKYMUVIUUBUVFAYLUULQUIYLUULSTVIV
      JUVKDUUMSTBUULDVBVKUPKWIWJWKYAUUMUUNSTUVDVKWLYAXSXTUUIAUUJWMWNYAYBYTWNWOW
      PWRWQXTYHYIXIZAXTSVDUBUUIUVLWSUUJSXSWTXAWMXBXCXDXKXNXQRAXKXMHUEBGDHQXKBHX
      EOXFUMWMXPIRXLBXODIGUEXGPWAXHXJ $.
  $}

  ${
    $d a x y $.  $d a x A $.  $d ps a x $.  $d ch a x $.  $d th a x $.
    $d ta a x $.  $d et a x $.  $d rh a x $.  $d ph a y $.
    2nn0ind.1 $e |- ps $.
    2nn0ind.2 $e |- ch $.
    2nn0ind.3 $e |- ( y e. NN -> ( ( th /\ ta ) -> et ) ) $.
    2nn0ind.4 $e |- ( x = 0 -> ( ph <-> ps ) ) $.
    2nn0ind.5 $e |- ( x = 1 -> ( ph <-> ch ) ) $.
    2nn0ind.6 $e |- ( x = ( y - 1 ) -> ( ph <-> th ) ) $.
    2nn0ind.7 $e |- ( x = y -> ( ph <-> ta ) ) $.
    2nn0ind.8 $e |- ( x = ( y + 1 ) -> ( ph <-> et ) ) $.
    2nn0ind.9 $e |- ( x = A -> ( ph <-> rh ) ) $.
    $( Induction on nonnegative integers with two base cases, for use with
       Lucas-type sequences.  (Contributed by Stefan O'Rear, 1-Oct-2014.) $)
    2nn0ind $p |- ( A e. NN0 -> rh ) $=
      ( c1 va cn0 wcel wsbc caddc co cmin wa cn nn0p1nn cv oveq1 sbceq1d dfsbcq
      wceq anbi12d weq ovex cc0 wb 1m1e0 eqeq2i sylbi sbcie mpbir pm3.2i simprr
      1ex cc nncn ax-1cn pncan sylancl adantr mpbird vex anbi12i 3imtr4g imp ex
      jca nnind syl nn0cn biimpa adantrr mpdan sbcieg mpbid ) JUBUCZAHJUDZGWJAH
      JTUEUFZTUGUFZUDZAHWLUDZUHZWKWJWLUIUCWPJUJAHUAUKZTUGUFZUDZAHWQUDZUHAHTTUGU
      FZUDZAHTUDZUHAHIUKZTUGUFZUDZAHXDUDZUHZAHXDTUEUFZTUGUFZUDZAHXIUDZUHZWPUAIW
      LWQTUOZWSXBWTXCXNAHWRXAWQTTUGULUMAHWQTUNUPUAIUQZWSXFWTXGXOAHWRXEWQXDTUGUL
      UMAHWQXDUNUPWQXIUOZWSXKWTXLXPAHWRXJWQXITUGULUMAHWQXIUNUPWQWLUOZWSWNWTWOXQ
      AHWRWMWQWLTUGULUMAHWQWLUNUPXBXCXBBKABHXATTUGURHUKZXAUOXRUSUOABUTXAUSXRVAV
      BNVCVDVEXCCLACHTVHOVDVEVFXDUIUCZXHXMXSXHUHZXKXLXTXKXGXSXFXGVGXTAHXJXDXSXJ
      XDUOZXHXSXDVIUCTVIUCZYAXDVJVKXDTVLVMVNUMVOXSXHXLXSDEUHFXHXLMXFDXGEADHXEXD
      TUGURPVDAEHXDIVPQVDVQAFHXIXDTUEURRVDVRVSWAVTWBWCWJWNWKWOWJWNWKWJAHWMJWJJV
      IUCYBWMJUOJWDVKJTVLVMUMWEWFWGAGHJUBSWHWI $.
  $}

  ${
    $d ph a b y $.  $d A a b x y $.  $d ps a b x $.  $d ch a b x $.
    $d th a b x $.  $d ta a b x $.
    zindbi.1 $e |- ( y e. ZZ -> ( ps <-> ch ) ) $.
    zindbi.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    zindbi.3 $e |- ( x = ( y + 1 ) -> ( ph <-> ch ) ) $.
    zindbi.4 $e |- ( x = 0 -> ( ph <-> th ) ) $.
    zindbi.5 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Inductively transfer a property to the integers if it holds for zero and
       passes between adjacent integers in either direction.  (Contributed by
       Stefan O'Rear, 1-Oct-2014.) $)
    zindbi $p |- ( A e. ZZ -> ( th <-> ta ) ) $=
      ( vb cz wsbc cc0 cle wb dfsbcq va wcel c0ex sbcie wbr 0z wi cv wceq eleq1
      w3a breq1 3anbi13d bibi1d imbi12d breq2 3anbi23d bibi2d c1 caddc co biidd
      weq vex bitr3id ovex oveq1 sbceq1d bibi12d vtoclga 3ad2ant2 uzind vtocl2g
      biimpd 3adant3 pm2.43i mp3an1 wa mp3an2 bicomd cr 0re zre letric mpjaodan
      wo sylancr sbcieg bitrd ) HOUBZDAFHPZEDAFQPZWJWKADFQUCLUDWJQHRUEZWLWKSZHQ
      RUEZQOUBZWJWMWNUFWPWJWMUKZWNWPWJWQWNUGZWMGUHZOUBZNUHZOUBZWSXARUEZUKZAFWSP
      ZAFXAPZSZUGZWPXBQXARUEZUKZWLXFSZUGWRGNQHOOWSQUIZXDXJXGXKXLWTWPXCXIXBWSQOU
      JWSQXARULUMXLXEWLXFAFWSQTUNUOXAHUIZXJWQXKWNXMXBWJXIWMWPXAHOUJXAHQRUPUQXMX
      FWKWLAFXAHTURUOXEAFUAUHZPZSXEXESXGXEAFXAUSUTVAZPZSZXGUANWSXAUAGVCXOXEXEAF
      XNWSTURUANVCXOXFXEAFXNXATURZXNXPUIXOXQXEAFXNXPTURXSWTXEVBXDXGXRXDXFXQXEXB
      WTXFXQSZXCBCSXTGXAOGNVCZBXFCXQBXEYAXFABFWSGVDJUDAFWSXATVECAFWSUSUTVAZPYAX
      QACFYBWSUSUTVFKUDYAAFYBXPWSXAUSUTVGVHVEVIIVJVKURVNVLZVMVOVPVQWJWOVRWKWLWJ
      WPWOWKWLSZUFWJWPWOUKZYDWJWPYEYDUGZWOXHWJXBHXARUEZUKZWKXFSZUGYFGNHQOOWSHUI
      ZXDYHXGYIYJWTWJXCYGXBWSHOUJWSHXARULUMYJXEWKXFAFWSHTUNUOXAQUIZYHYEYIYDYKXB
      WPYGWOWJXAQOUJXAQHRUPUQYKXFWLWKAFXAQTURUOYCVMVOVPVSVTWJQWAUBHWAUBWMWOWFWB
      HWCQHWDWGWEVEAEFHOMWHWI $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  X and Y sequences 2: Order properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d a b A $.  $d a b N $.
    $( For all nonnegative indices, X is positive and Y is nonnegative.
       (Contributed by Stefan O'Rear, 24-Sep-2014.) $)
    rmxypos $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. NN0 ) -> ( 0 < ( A rmX N ) /\ 0
        <_ ( A rmY N ) ) ) $=
      ( cn0 wcel cc0 crmx co clt wbr crmy cle wa wi oveq2 breq2d anbi12d imbi2d
      wceq cz 3ad2ant2 va vb c2 cuz cfv cv c1 weq 0lt1 rmx0 breqtrrid 0le0 rmy0
      caddc jca cmul cexp cmin simp2 nn0z 3ad2ant1 frmx fovcl syl2anc nn0red cr
      eluzelre remulcld rmspecpos rpred frmy zred simp3l eluz2nn nngt0d mulgt0d
      rpge0d simp3r mulge0d addgtge0d rmxp1 breqtrrd eluzge2nn0 nn0ge0d addge0d
      w3a rmyp1 3exp a2d nn0ind impcom ) BCDAUCUDUEZDZEABFGZHIZEABJGZKIZLZWMEAU
      AUFZFGZHIZEAWSJGZKIZLZMWMEAEFGZHIZEAEJGZKIZLZMWMEAUBUFZFGZHIZEAXJJGZKIZLZ
      MWMEAXJUGUNGZFGZHIZEAXPJGZKIZLZMWMWRMUAUBBWSERZXDXIWMYBXAXFXCXHYBWTXEEHWS
      EAFNOYBXBXGEKWSEAJNOPQUAUBUHZXDXOWMYCXAXLXCXNYCWTXKEHWSXJAFNOYCXBXMEKWSXJ
      AJNOPQWSXPRZXDYAWMYDXAXRXCXTYDWTXQEHWSXPAFNOYDXBXSEKWSXPAJNOPQWSBRZXDWRWM
      YEXAWOXCWQYEWTWNEHWSBAFNOYEXBWPEKWSBAJNOPQWMXFXHWMEUGXEHUIAUJUKWMEEXGKULA
      UMUKUOXJCDZWMXOYAYFWMXOYAYFWMXOWFZXRXTYGEXKAUPGZAUCUQGUGURGZXMUPGZUNGZXQH
      YGYHYJYGXKAYGXKYGWMXJSDZXKCDYFWMXOUSZYFWMYLXOXJUTVAZAXJCWLSFVBVCVDZVEZWMY
      FAVFDXOUCAVGTZVHYGYIXMWMYFYIVFDXOWMYIAVIZVJTZYGXMYGWMYLXMSDYMYNAXJSWLSJVK
      VCVDVLZVHYGXKAYPYQYFWMXLXNVMWMYFEAHIXOWMAAVNVOTVPYGYIXMYSYTWMYFEYIKIXOWMY
      IYRVQTYFWMXLXNVRZVSVTYGWMYLXQYKRYMYNAXJWAVDWBYGEXMAUPGZXKUNGZXSKYGUUBXKYG
      XMAYTYQVHYPYGXMAYTYQUUAWMYFEAKIXOWMAAWCWDTVSYGXKYOWDWEYGWMYLXSUUCRYMYNAXJ
      WGVDWBUOWHWIWJWK $.
  $}

  ${
    $d N a b $.  $d M a b $.  $d A a b $.
    $( The Y-sequence is strictly monotonic on ` NN0 ` .  Strengthened by
       ~ ltrmy .  (Contributed by Stefan O'Rear, 24-Sep-2014.) $)
    ltrmynn0 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ M e. NN0 /\ N e. NN0 ) -> ( M < N
        <-> ( A rmY M ) < ( A rmY N ) ) ) $=
      ( va vb c2 wcel cn0 clt wbr crmy co cv c1 caddc cc0 cz fovcl sylan2 oveq2
      cuz cfv wb wa cmul crmx nn0z frmy zred cr eluzelre adantr remulcld nn0red
      frmx readdcld cle rmxypos simprd nnge1d lemulge11d simpld ltaddposd mpbid
      eluz2nn lelttrd wceq rmyp1 breqtrrd nn0uz monotuz 3impb ) AFUAUBZGZBHGCHG
      BCIJABKLZACKLZIJUCVNDEBCADMZKLZVOVPAEMZKLZAVSNOLZKLZHPVNVSHGZUDZVTVTAUELZ
      AVSUFLZOLZWBIWDVTWEWGWDVTWCVNVSQGZVTQGVSUGZAVSQVMQKUHRSUIZWDVTAWJVNAUJGWC
      FAUKULZUMZWDWEWFWLWDWFWCVNWHWFHGWIAVSHVMQUFUORSUNZUPWDVTAWJWKWDPWFIJZPVTU
      QJZAVSURZUSVNNAUQJWCVNAAVEUTULVAWDWNWEWGIJWDWNWOWPVBWDWFWEWMWLVCVDVFWCVNW
      HWBWGVGWIAVSVHSVIVNVQHGZUDVRWQVNVQQGVRQGVQUGAVQQVMQKUHRSUIVJVQWAAKTVQVSAK
      TVQBAKTVQCAKTVKVL $.
  $}

  ${
    $d A a b $.  $d M a b $.  $d N a b $.
    $( The X-sequence is strictly monotonic on ` NN0 ` .  (Contributed by
       Stefan O'Rear, 4-Oct-2014.) $)
    ltrmxnn0 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ M e. NN0 /\ N e. NN0 ) -> ( M < N
        <-> ( A rmX M ) < ( A rmX N ) ) ) $=
      ( c2 wcel cn0 clt wbr crmx co c1 cz frmx fovcl sylan2 nn0red adantr oveq2
      cc0 cle va vb cuz cfv wb cv caddc wa cmul nn0z eluzelre remulcld peano2zd
      cr cn eluz2b2 simprbi crmy rmxypos ltmulgt11 syl3anc mpbid cexp csquarenn
      simpld cmin rmspecnonsq eldifad nnred frmy nnnn0d nn0ge0d simprd addge01d
      zred mulge0d wceq rmxp1 breqtrrd ltletrd nn0uz monotuz 3impb ) ADUCUDZEZB
      FECFEBCGHABIJZACIJZGHUEWEUAUBBCAUAUFZIJZWFWGAUBUFZIJZAWJKUGJZIJZFSWEWJFEZ
      UHZWKWKAUIJZWMWOWKWNWEWJLEZWKFEWJUJZAWJFWDLIMNOPZWOWKAWSWEAUNEZWNDAUKQZUL
      ZWOWMWNWEWLLEWMFEWNWJWRUMAWLFWDLIMNOPWOKAGHZWKWPGHZWEXCWNWEAUOEXCAUPUQQWO
      WKUNEWTSWKGHZXCXDUEWSXAWOXESAWJURJZTHZAWJUSZVEWKAUTVAVBWOWPWPADVCJKVFJZXF
      UIJZUGJZWMTWOSXJTHWPXKTHWOXIXFWOXIWEXIUOEWNWEXIUOVDAVGVHQZVIZWOXFWNWEWQXF
      LEWRAWJLWDLURVJNOVOZWOXIWOXIXLVKVLWOXEXGXHVMVPWOWPXJXBWOXIXFXMXNULVNVBWNW
      EWQWMXKVQWRAWJVROVSVTWEWHFEZUHWIXOWEWHLEWIFEWHUJAWHFWDLIMNOPWAWHWLAIRWHWJ
      AIRWHBAIRWHCAIRWBWC $.

    $( The X-sequence is monotonic on ` NN0 ` .  (Contributed by Stefan O'Rear,
       4-Oct-2014.) $)
    lermxnn0 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ M e. NN0 /\ N e. NN0 ) -> ( M <_ N
        <-> ( A rmX M ) <_ ( A rmX N ) ) ) $=
      ( va vb c2 cuz cfv wcel cn0 cle wbr crmx co wb cv oveq2 nn0ssre cz clt wa
      nn0z frmx fovcl sylan2 nn0red wi w3a ltrmxnn0 biimpd 3expb leord1 3impb )
      AFGHZIZBJICJIBCKLABMNZACMNZKLOUODEADPZMNZAEPZMNZBCJUPUQURUTAMQURBAMQURCAM
      QRUOURJIZUAUSVBUOURSIUSJIURUBAURJUNSMUCUDUEUFUOVBUTJIZURUTTLZUSVATLZUGUOV
      BVCUHVDVEAURUTUIUJUKULUM $.

    $( The X-sequence is defined to range over ` NN0 ` but never actually takes
       the value 0.  (Contributed by Stefan O'Rear, 4-Oct-2014.) $)
    rmxnn $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) -> ( A rmX N ) e. NN ) $=
      ( wcel cz wa cn0 crmx co cn cc0 clt wbr nn0z frmx sylan2 crmy cle rmxypos
      fovcl simpld c2 cuz cfv cneg elnnnn0b sylanbrc adantlr wceq rmxneg adantr
      eqeltrrd wo cr elznn0 simprbi adantl mpjaodan ) AUAUBUCZCZBDCZEZBFCZABGHZ
      ICZBUDZFCZUSVBVDUTUSVBEZVCFCZJVCKLZVDVBUSUTVHBMABFURDGNSOVGVIJABPHQLABRTV
      CUEUFUGVAVFEAVEGHZVCIVAVJVCUHVFABUIUJUSVFVJICZUTUSVFEZVJFCZJVJKLZVKVFUSVE
      DCVMVEMAVEFURDGNSOVLVNJAVEPHQLAVERTVJUEUFUGUKUTVBVFULZUSUTBUMCVOBUNUOUPUQ
      $.
  $}

  ${
    $d M a b $.  $d N a b $.  $d A a b $.
    $( The Y-sequence is strictly monotonic over ` ZZ ` .  (Contributed by
       Stefan O'Rear, 25-Sep-2014.) $)
    ltrmy $p |- ( ( A e. ( ZZ>= ` 2 ) /\ M e. ZZ /\ N e. ZZ ) -> ( M < N <-> (
        A rmY M ) < ( A rmY N ) ) ) $=
      ( va vb c2 cuz cfv wcel crmy co cv cneg cn0 w3a clt wbr ltrmynn0 cz oveq2
      biimpd wa frmy fovcl zred rmyneg monotoddzz ) AFGHZIZDEBCABJKACJKADLZJKZA
      ELZJKZAULMZJKUIUJNIULNIOUJULPQUKUMPQAUJULRUAUIUJSIUBUKAUJSUHSJUCUDUEAULUF
      UJBAJTUJCAJTUJULAJTUJUNAJTUG $.
  $}

  ${
    $d A a b $.  $d N a b $.
    $( Y is zero only at zero.  (Contributed by Stefan O'Rear, 26-Sep-2014.) $)
    rmyeq0 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) -> ( N = 0 <-> ( A rmY N )
        = 0 ) ) $=
      ( va vb c2 cuz cfv wcel cz wa cc0 wceq crmy co wb 0z cv oveq2 clt wbr w3a
      zssre frmy fovcl zred ltrmy biimpd 3expb eqord1 mpanr2 rmy0 adantr eqeq2d
      wi bitrd ) AEFGZHZBIHZJZBKLZABMNZAKMNZLZVAKLUQURKIHUTVCOPUQCDACQZMNZADQZM
      NZBKIVAVBVDVFAMRVDBAMRVDKAMRUBUQVDIHZJVEAVDIUPIMUCUDUEUQVHVFIHZVDVFSTZVEV
      GSTZUNUQVHVIUAVJVKAVDVFUFUGUHUIUJUSVBKVAUQVBKLURAUKULUMUO $.
  $}

  ${
    $d A a b $.  $d N a b $.  $d M a b $.
    $( Y is one-to-one.  (Contributed by Stefan O'Rear, 3-Oct-2014.) $)
    rmyeq $p |- ( ( A e. ( ZZ>= ` 2 ) /\ M e. ZZ /\ N e. ZZ ) -> ( M = N <-> (
        A rmY M ) = ( A rmY N ) ) ) $=
      ( va vb c2 cuz cfv wcel cz wceq crmy co wb cv oveq2 zssre wa clt wbr frmy
      fovcl zred wi w3a ltrmy biimpd 3expb eqord1 3impb ) AFGHZIZBJICJIBCKABLMZ
      ACLMZKNULDEADOZLMZAEOZLMZBCJUMUNUOUQALPUOBALPUOCALPQULUOJIZRUPAUOJUKJLUAU
      BUCULUSUQJIZUOUQSTZUPURSTZUDULUSUTUEVAVBAUOUQUFUGUHUIUJ $.
  $}

  ${
    $d A a b $.  $d N a b $.  $d M a b $.
    $( Y is monotonic (non-strict).  (Contributed by Stefan O'Rear,
       3-Oct-2014.) $)
    lermy $p |- ( ( A e. ( ZZ>= ` 2 ) /\ M e. ZZ /\ N e. ZZ ) -> ( M <_ N <-> (
        A rmY M ) <_ ( A rmY N ) ) ) $=
      ( va vb c2 cuz cfv wcel cz cle wbr crmy co wb cv oveq2 zssre wa clt fovcl
      frmy zred wi w3a ltrmy biimpd 3expb leord1 3impb ) AFGHZIZBJICJIBCKLABMNZ
      ACMNZKLOULDEADPZMNZAEPZMNZBCJUMUNUOUQAMQUOBAMQUOCAMQRULUOJIZSUPAUOJUKJMUB
      UAUCULUSUQJIZUOUQTLZUPURTLZUDULUSUTUEVAVBAUOUQUFUGUHUIUJ $.
  $}
  $( ` rmY ` is positive for positive arguments.  (Contributed by Stefan
     O'Rear, 16-Oct-2014.) $)
  rmynn $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. NN ) -> ( A rmY N ) e. NN ) $=
    ( c2 cuz cfv wcel cn wa crmy co cz cc0 clt wbr nnz frmy fovcl sylan2 adantl
    wceq rmy0 adantr nngt0 wb simpl ltrmy syl3anc mpbid eqbrtrrd elnnz sylanbrc
    0zd ) ACDEZFZBGFZHZABIJZKFZLUQMNUQGFUOUNBKFZURBOZABKUMKIPQRUPALIJZLUQMUNVAL
    TUOAUAUBUPLBMNZVAUQMNZUOVBUNBUCSUPUNLKFUSVBVCUDUNUOUEUPULUOUSUNUTSALBUFUGUH
    UIUQUJUK $.

  $( ` rmY ` is nonnegative for nonnegative arguments.  (Contributed by Stefan
     O'Rear, 16-Oct-2014.) $)
  rmynn0 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. NN0 ) -> ( A rmY N ) e. NN0 ) $=
    ( c2 cuz cfv wcel cn0 wa crmy co cz cc0 cle wbr nn0z frmy fovcl sylan2 crmx
    clt rmxypos simprd elnn0z sylanbrc ) ACDEZFZBGFZHZABIJZKFZLUIMNZUIGFUGUFBKF
    UJBOABKUEKIPQRUHLABSJTNUKABUAUBUIUCUD $.

  ${
    $d A a b $.  $d B a b $.
    $( ` rmY ` commutes with ` abs ` .  (Contributed by Stefan O'Rear,
       26-Sep-2014.) $)
    rmyabs $p |- ( ( A e. ( ZZ>= ` 2 ) /\ B e. ZZ ) -> ( abs ` ( A rmY B ) ) =
        ( A rmY ( abs ` B ) ) ) $=
      ( va vb c2 cuz cfv wcel cv crmy co cneg cabs cz wa frmy cc0 cle wbr oveq2
      fovcl zred w3a crmx clt cn0 elnn0z biimpri 3adant1 rmxypos syl2anc simprd
      simp1 rmyneg oddcomabszz ) AEFGZHZCDACIZJKZADIZJKAUTLZJKBABJKABMGZJKUQURN
      HZOUSAURNUPNJPUAUBUQVCQURRSZUCZQAURUDKUESZQUSRSZVEUQURUFHZVFVGOUQVCVDUMVC
      VDVHUQVHVCVDOURUGUHUIAURUJUKULAUTUNURUTAJTURVAAJTURBAJTURVBAJTUO $.
  $}

  $( X(n) is strictly greater than Y(n) + Y(n-1).  Lemma 2.24 of
     [JonesMatijasevic] p. 697 restricted to ` NN ` .  (Contributed by Stefan
     O'Rear, 3-Oct-2014.) $)
  jm2.24nn $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. NN ) -> ( ( A rmY ( N - 1 ) ) +
      ( A rmY N ) ) < ( A rmX N ) ) $=
    ( c2 wcel c1 cmin co crmy caddc cmul cz sylan2 cn0 clt wbr recnd mpbid wceq
    cr cc0 cuz cfv cn wa crmx nnz 1z zsubcl sylancl frmy fovcl readdcld remulcl
    zred 2re sylancr resubcld frmx nn0red eluzelre remulcld a1i nnm1nn0 rmxypos
    adantr cle simprd eluzle lemul1ad mulcomd ltaddposd eqbrtrd lelttrd 2timesd
    simpld rmyp1 cc nnre adantl ax-1cn oveq2d eqtr3d 3brtr3d ltaddsubd ltadd1dd
    npcan oveq1d addsubd eqtrd breqtrrd rmy0 nngt0 simpl ltrmy syl3anc eqbrtrrd
    wb 0zd lemul1 syl112anc lesub1dd rmym1 eqtr2d subsub23 breqtrd ltletrd ) AC
    UAUBZDZBUCDZUDZABEFGZHGZABHGZIGZCXMJGZXLFGZABUEGZXJXLXMXJXLXIXHXKKDZXLKDXIB
    KDZEKDXRBUFZUGBEUHUIZAXKKXGKHUJUKLUNZXJXMXIXHXSXMKDXTABKXGKHUJUKLUNZULXJXOX
    LXJCSDZXMSDZXOSDUOYCCXMUMUPZYBUQXJXQXIXHXSXQMDXTABMXGKUEURUKLUSZXJXNXMXLFGZ
    XMIGZXPNXJXLYHXMYBXJXMXLYCYBUQYCXJXLXLIGZXMNOXLYHNOXJCXLJGZXLAJGZAXKUEGZIGZ
    YJXMNXJYKAXLJGZYNXJYDXLSDYKSDUOYBCXLUMUPXJAXLXHASDZXICAUTVEZYBVAXJYLYMXJXLA
    YBYQVAZXJYMXIXHXRYMMDYAAXKMXGKUEURUKLUSZULXJCAXLYDXJUOVBZYQYBXIXHXKMDZTXLVF
    OZBVCZXHUUAUDZTYMNOZUUBAXKVDZVGLXHCAVFOZXICAVHVEZVIXJYOYLYNNXJAXLXJAYQPZXJX
    LYBPZVJXJUUEYLYNNOXIXHUUAUUEUUCUUDUUEUUBUUFVOLXJYMYLYSYRVKQVLVMXJXLUUJVNXJA
    XKEIGZHGZYNXMXIXHXRUULYNRYAAXKVPLXJUUKBAHXJBVQDEVQDUUKBRXJBXIBSDXHBVRVSPVTB
    EWFUIWAWBWCXJXLXLXMYBYBYCWDQWEXJXPXMXMIGZXLFGYIXJXOUUMXLFXJXMXJXMYCPZVNWGXJ
    XMXMXLUUNUUNUUJWHWIWJXJXPAXMJGZXLFGZXQVFXJXOUUOXLYFXJAXMYQYCVAZYBXJUUGXOUUO
    VFOZUUHXJYDYPYETXMNOUUGUURWQYTYQYCXJATHGZTXMNXHUUSTRXIAWKVEXJTBNOZUUSXMNOZX
    IUUTXHBWLVSXJXHTKDXSUUTUVAWQXHXIWMXJWRXIXSXHXTVSATBWNWOQWPCAXMWSWTQXAXJUUOX
    QFGZXLRZUUPXQRZXJXLXMAJGZXQFGZUVBXIXHXSXLUVFRXTABXBLXJUVEUUOXQFXJXMAUUNUUIV
    JWGXCXJUUOVQDXQVQDXLVQDUVCUVDWQXJUUOUUQPXJXQYGPUUJUUOXQXLXDWOQXEXF $.

  ${
    $d A a b $.  $d N a b $.
    $( First half of lemma 2.17 of [JonesMatijasevic] p. 696.  (Contributed by
       Stefan O'Rear, 14-Oct-2014.) $)
    jm2.17a $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. NN0 ) -> ( ( ( 2 x. A ) - 1 ) ^
        N ) <_ ( A rmY ( N + 1 ) ) ) $=
      ( wcel c2 cmul co c1 cmin cexp caddc crmy cle wbr wi wceq oveq2d cc cr cz
      cc0 va vb cn0 cuz cfv cv oveq2 oveq1 breq12d imbi2d weq 1le1 a1i eluzelcn
      mulcl sylancr ax-1cn subcl sylancl exp0d 0p1e1 oveq2i rmy1 syl5eq 3brtr4d
      2cn w3a 2re eluzelre adantl remulcl 1re resubcl peano2nn0 adantr reexpcld
      wa 3adant3 simpr nn0z peano2zd frmy fovcl syl2anc remulcld 3ad2ant2 simp1
      zred expp1d simpl cn 2nn eluz2nn nnmulcl nnm1nn0 nn0ge0 3syl 3jca lemul1a
      jca stoic3 eqbrtrd nn0cn pncan eqeltrd nn0re lep1d wb lermy syl3anc mpbid
      recnd mulid1d lesub2dd subdid mulcomd oveq1d eqtrd rmyluc2 letrd 3exp a2d
      nn0ind impcom ) BUCCADUDUEZCZDAEFZGHFZBIFZABGJFZKFZLMZYFYHUAUFZIFZAYMGJFZ
      KFZLMZNYFYHTIFZATGJFZKFZLMZNYFYHUBUFZIFZAUUBGJFZKFZLMZNYFYHUUDIFZAUUDGJFZ
      KFZLMZNYFYLNUAUBBYMTOZYQUUAYFUUKYNYRYPYTLYMTYHIUGUUKYOYSAKYMTGJUHPUIUJUAU
      BUKZYQUUFYFUULYNUUCYPUUELYMUUBYHIUGUULYOUUDAKYMUUBGJUHPUIUJYMUUDOZYQUUJYF
      UUMYNUUGYPUUILYMUUDYHIUGUUMYOUUHAKYMUUDGJUHPUIUJYMBOZYQYLYFUUNYNYIYPYKLYM
      BYHIUGUUNYOYJAKYMBGJUHPUIUJYFGGYRYTLGGLMYFULUMYFYHYFYGQCZGQCZYHQCZYFDQCAQ
      CUUOVFDAUNDAUOUPUQYGGURUSZUTYFYTAGKFGYSGAKVAVBAVCVDVEUUBUCCZYFUUFUUJUUSYF
      UUFUUJUUSYFUUFVGZUUGUUEYHEFZUUIUUSYFUUGRCUUFUUSYFVQZYHUUDUVBYGRCZGRCZYHRC
      ZUVBDRCARCZUVCVHYFUVFUUSDAVIVJDAVKUPZVLYGGVMUSZUUSUUDUCCYFUUBVNVOVPVRUUSY
      FUVARCUUFUVBUUEYHUVBYFUUDSCZUUERCZUUSYFVSZUVBUUBUUSUUBSCZYFUUBVTVOZWAZYFU
      VIVQUUEAUUDSYESKWBWCWHWDZUVHWEVRUUSYFUUIRCZUUFUVBYFUUHSCZUVPUVKUVBUUDUVNW
      AYFUVQVQUUIAUUHSYESKWBWCWHWDVRUUTUUGUUCYHEFZUVALUUTYHUUBYFUUSUUQUUFUURWFU
      USYFUUFWGWIUUSYFUUCRCZUVJUVETYHLMZVQZVGUUFUVRUVALMUVBUVSUVJUWAUVBYHUUBUVH
      UUSYFWJVPUVOUVBUVEUVTUVHUVBYGWKCZYHUCCUVTUVBDWKCAWKCZUWBWLYFUWCUUSAWMVJDA
      WNUPYGWOYHWPWQWTWRUUCUUEYHWSXAXBUUSYFUVAUUILMUUFUVBYGUUEEFZUUEGEFZHFZUWDA
      UUDGHFZKFZHFZUVAUUILUVBUWHUWEUWDUVBUWHAUUBKFZRUVBUWGUUBAKUVBUUBQCZUUPUWGU
      UBOUUSUWKYFUUBXCVOUQUUBGXDUSPZUVBYFUVLUWJRCUVKUVMYFUVLVQUWJAUUBSYESKWBWCW
      HWDXEUVBUVJUVDUWERCUVOVLUUEGVKUSUVBYGUUEUVGUVOWEUVBUWJUUEUWHUWELUVBUUBUUD
      LMZUWJUUELMZUVBUUBUUSUUBRCYFUUBXFVOXGUVBYFUVLUVIUWMUWNXHUVKUVMUVNAUUBUUDX
      IXJXKUWLUVBUUEUVBUUEUVOXLZXMVEXNUVBUVAUUEYGEFZUWEHFUWFUVBUUEYGGUWOUVBYGUV
      GXLZUUPUVBUQUMXOUVBUWPUWDUWEHUVBUUEYGUWOUWQXPXQXRUVBYFUVIUUIUWIOUVKUVNAUU
      DXSWDVEVRXTYAYBYCYD $.

    $( Weak form of the second half of lemma 2.17 of [JonesMatijasevic] p. 696,
       allowing induction to start lower.  (Contributed by Stefan O'Rear,
       15-Oct-2014.) $)
    jm2.17b $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. NN0 ) -> ( A rmY ( N + 1 ) )
        <_ ( ( 2 x. A ) ^ N ) ) $=
      ( wcel c2 c1 caddc co crmy cmul cexp cle wbr wi wceq oveq2d breq12d cr wa
      cc0 cz va vb cn0 cuz cfv cv oveq1 oveq2 imbi2d weq 1le1 0p1e1 oveq2i rmy1
      syl5eq eluzelre remulcl sylancr recnd exp0d mpbiri cmin simpr nn0z adantr
      2re w3a peano2zd rmyluc2 syl2anc crmx clt rmxypos simprd ancoms cc ax-1cn
      nn0re pncan sylancl breqtrrd adantl fovcl remulcld eqeltrd subge02d mpbid
      frmy zred eqbrtrd 3adant3 wb simpl reexpcld cn 2nn eluz2nn nnmulcl nngt0d
      lemul2 syl112anc biimp3a expp1d mulcomd eqtrd peano2nn0 letr syl3anc 3exp
      mp2and a2d nn0ind impcom ) BUCCADUDUEZCZABEFGZHGZDAIGZBJGZKLZXOAUAUFZEFGZ
      HGZXRYAJGZKLZMXOASEFGZHGZXRSJGZKLZMXOAUBUFZEFGZHGZXRYJJGZKLZMXOAYKEFGZHGZ
      XRYKJGZKLZMXOXTMUAUBBYASNZYEYIXOYSYCYGYDYHKYSYBYFAHYASEFUGOYASXRJUHPUIUAU
      BUJZYEYNXOYTYCYLYDYMKYTYBYKAHYAYJEFUGOYAYJXRJUHPUIYAYKNZYEYRXOUUAYCYPYDYQ
      KUUAYBYOAHYAYKEFUGOYAYKXRJUHPUIYABNZYEXTXOUUBYCXQYDXSKUUBYBXPAHYABEFUGOYA
      BXRJUHPUIXOYIEEKLUKXOYGEYHEKXOYGAEHGEYFEAHULUMAUNUOXOXRXOXRXODQCZAQCZXRQC
      ZVFDAUPZDAUQZURUSUTPVAYJUCCZXOYNYRUUHXOYNYRUUHXOYNVGZYPXRYLIGZKLZUUJYQKLZ
      YRUUHXOUUKYNUUHXORZYPUUJAYKEVBGZHGZVBGZUUJKUUMXOYKTCZYPUUPNUUHXOVCZUUMYJU
      UHYJTCZXOYJVDVEZVHZAYKVIVJUUMSUUOKLUUPUUJKLUUMSAYJHGZUUOKXOUUHSUVBKLZXOUU
      HRSAYJVKGVLLUVCAYJVMVNVOUUMUUNYJAHUUMYJVPCEVPCUUNYJNUUMYJUUHYJQCXOYJVRVEU
      SVQYJEVSVTOZWAUUMUUJUUOUUMXRYLUUMUUCUUDUUEVFXOUUDUUHUUFWBUUGURZUUMXOUUQYL
      QCZUURUVAXOUUQRYLAYKTXNTHWHWCWIVJZWDZUUMUUOUVBQUVDUUMXOUUSUVBQCUURUUTXOUU
      SRUVBAYJTXNTHWHWCWIVJWEWFWGWJWKUUIUUJXRYMIGZYQKUUHXOYNUUJUVIKLZUUMUVFYMQC
      UUESXRVLLZYNUVJWLUVGUUMXRYJUVEUUHXOWMZWNZUVEXOUVKUUHXOXRXODWOCAWOCXRWOCWP
      AWQDAWRURWSWBYLYMXRWTXAXBUUHXOYQUVINYNUUMYQYMXRIGUVIUUMXRYJUUMXRUVEUSZUVL
      XCUUMYMXRUUMYMUVMUSUVNXDXEWKWAUUHXOUUKUULRYRMZYNUUMYPQCZUUJQCYQQCUVOUUMXO
      YOTCZUVPUURUUMYKUVAVHXOUVQRYPAYOTXNTHWHWCWIVJUVHUUMXRYKUVEUUHYKUCCXOYJXFV
      EWNYPUUJYQXGXHWKXJXIXKXLXM $.
  $}

  $( Second half of lemma 2.17 of [JonesMatijasevic] p. 696.  (Contributed by
     Stefan O'Rear, 15-Oct-2014.) $)
  jm2.17c $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. NN ) ->
      ( A rmY ( ( N + 1 ) + 1 ) ) < ( ( 2 x. A ) ^ ( N + 1 ) ) ) $=
    ( c2 wcel cn wa cmul co c1 caddc crmy clt cr adantr cz adantl cc0 wbr mpbid
    wceq cuz cfv cmin cexp 2re eluzelre remulcl sylancr nnz peano2zd frmy fovcl
    zred syldan remulcld cc ax-1cn pncan sylancl oveq2d sylan2 eqeltrd resubcld
    nncn cn0 nnnn0 reexpcld rmy0 nngt0 wb simpl ltrmy syl3anc eqbrtrrd breqtrrd
    0zd ltsubposd cle jm2.17b 2nn eluz2nn nnmulcl nngt0d lemul2 ltletrd rmyluc2
    syl112anc recnd expp1d mulcomd eqtrd 3brtr4d ) ACUAUBZDZBEDZFZCAGHZABIJHZKH
    ZGHZAWRIUCHZKHZUCHZWQWQBUDHZGHZAWRIJHKHZWQWRUDHZLWPXCWTXEWPWTXBWPWQWSWPCMDA
    MDZWQMDZUEWNXHWOCAUFNCAUGUHZWNWOWRODZWSMDZWPBWOBODZWNBUIZPZUJZWNXKFWSAWROWM
    OKUKULUMUNZUOZWPXBABKHZMWPXABAKWPBUPDZIUPDXABTWOXTWNBVDPUQBIURUSUTZWOWNXMXS
    MDXNWNXMFXSABOWMOKUKULUMVAVBZVCXRWPWQXDXJWPWQBXJWOBVEDZWNBVFZPZVGZUOWPQXBLR
    XCWTLRWPQXSXBLWPAQKHZQXSLWNYGQTWOAVHNWPQBLRZYGXSLRZWOYHWNBVIPWPWNQODXMYHYIV
    JWNWOVKWPVPXOAQBVLVMSVNYAVOWPXBWTYBXRVQSWPWSXDVRRZWTXEVRRZWOWNYCYJYDABVSVAW
    PXLXDMDXIQWQLRZYJYKVJXQYFXJWNYLWOWNWQWNCEDAEDWQEDVTAWACAWBUHWCNWSXDWQWDWGSW
    EWNWOXKXFXCTXPAWRWFUNWPXGXDWQGHXEWPWQBWPWQXJWHZYEWIWPXDWQWPXDYFWHYMWJWKWL
    $.

  $( Lemma 2.24 of [JonesMatijasevic] p. 697 extended to ` ZZ ` .  Could be
     eliminated with a more careful proof of ~ jm2.26lem3 .  (Contributed by
     Stefan O'Rear, 3-Oct-2014.) $)
  jm2.24 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) -> ( ( A rmY ( N - 1 ) ) + (
      A rmY N ) ) < ( A rmX N ) ) $=
    ( wcel cz wa cc0 cle wbr c1 crmy caddc clt ad2antlr frmy fovcl syl2anc zred
    co cneg wceq c2 cuz cfv cmin crmx simpll peano2zm adantr readdcld 0red frmx
    cr cn0 nn0red znegcl peano2zd rmy0 ad2antrr simpr zre le0neg1d mpbid wb 0zd
    zleltp1 ltrmy syl3anc eqbrtrrd lermy addgtge0d negdid rmyneg oveq12d cc zcn
    recnd ax-1cn negsubdi sylancl oveq2d oveq1d 3eqtr2d breqtrrd mpbird nn0ge0d
    lt0neg1d ltletrd cn elnnz biimpri adantll jm2.24nn adantl lelttric mpjaodan
    wo 0re ) AUAUBUCZCZBDCZEZBFGHZABIUDRZJRZABJRZKRZABUERZLHZFBLHZXAXBEZXFFXGXJ
    XDXEXJXDXJWSXCDCZXDDCWSWTXBUFZWTXKWSXBBUGMZAXCDWRDJNOPQZXAXEULCXBXAXEABDWRD
    JNOQUHZUIZXJUJXJXGXAXGUMCXBABUMWRDUEUKOUHZUNXJXFFLHFXFSZLHXJFABSZIKRZJRZAXS
    JRZKRZXRLXJYAYBXJYAXJWSXTDCZYADCXLXJXSWTXSDCZWSXBBUOMZUPZAXTDWRDJNOPQXJYBXJ
    WSYEYBDCXLYFAXSDWRDJNOPQXJAFJRZFYALWSYHFTWTXBAUQURZXJFXTLHZYHYALHZXJFXSGHZY
    JXJXBYLXAXBUSXJBWTBULCZWSXBBUTZMVAVBZXJFDCZYEYLYJVCXJVDZYFFXSVEPVBXJWSYPYDY
    JYKVCXLYQYGAFXTVFVGVBVHXJYHFYBGYIXJYLYHYBGHZYOXJWSYPYEYLYRVCXLYQYFAFXSVIVGV
    BVHVJXJXRXDSZXESZKRAXCSZJRZYBKRYCXJXDXEXJXDXNVPXJXEXOVPVKXJUUBYSYBYTKXJWSXK
    UUBYSTXLXMAXCVLPXAYBYTTXBABVLUHVMXJUUBYAYBKXJUUAXTAJXJBVNCZIVNCUUAXTTWTUUCW
    SXBBVOMVQBIVRVSVTWAWBWCXJXFXPWFWDXJXGXQWEWGXAXIEWSBWHCZXHWSWTXIUFWTXIUUDWSU
    UDWTXIEBWIWJWKABWLPXAYMFULCXBXIWPWTYMWSYNWMWQBFWNVSWO $.

  ${
    $d A a b $.  $d N a b $.
    $( Y(n) increases faster than n.  Used implicitly without proof or comment
       in lemma 2.27 of [JonesMatijasevic] p. 697.  (Contributed by Stefan
       O'Rear, 4-Oct-2014.) $)
    rmygeid $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. NN0 ) -> N <_ ( A rmY N ) ) $=
      ( va vb wcel crmy co cle wbr wi cc0 c1 id oveq2 breq12d imbi2d cz syl2anc
      wceq zred cn0 c2 cuz cfv cv weq 0le0 rmy0 breqtrrid w3a 3ad2ant1 peano2zd
      caddc nn0z simp2 frmy fovcl cr nn0re 1red simp3 leadd1dd ltp1d wb syl3anc
      clt ltrmy mpbid zltp1le letrd 3exp a2d nn0ind impcom ) BUAEAUBUCUDZEZBABF
      GZHIZVPCUEZAVSFGZHIZJVPKAKFGZHIZJVPDUEZAWDFGZHIZJVPWDLUMGZAWGFGZHIZJVPVRJ
      CDBVSKSZWAWCVPWJVSKVTWBHWJMVSKAFNOPCDUFZWAWFVPWKVSWDVTWEHWKMVSWDAFNOPVSWG
      SZWAWIVPWLVSWGVTWHHWLMVSWGAFNOPVSBSZWAVRVPWMVSBVTVQHWMMVSBAFNOPVPKKWBHUGA
      UHUIWDUAEZVPWFWIWNVPWFWIWNVPWFUJZWGWELUMGZWHWOWGWOWDWNVPWDQEZWFWDUNUKZULZ
      TWOWPWOWEWOVPWQWEQEZWNVPWFUOZWRAWDQVOQFUPUQRZULTWOWHWOVPWGQEZWHQEZXAWSAWG
      QVOQFUPUQRZTWOWDWELWNVPWDUREWFWDUSUKZWOWEXBTWOUTWNVPWFVAVBWOWEWHVFIZWPWHH
      IZWOWDWGVFIZXGWOWDXFVCWOVPWQXCXIXGVDXAWRWSAWDWGVGVEVHWOWTXDXGXHVDXBXEWEWH
      VIRVHVJVKVLVMVN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Congruential equations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( A wff of the form ` A || ( B - C ) ` is interpreted as a congruential
     equation.  This is similar to ` ( B mod A ) = ( C mod A ) ` , but is
     defined such that behavior is regular for zero and negative values of
     ` A ` .  To use this concept effectively, we need to show that
     congruential equations behave similarly to normal equations; first a
     transitivity law.  Idea for the future:  If there was a congruential
     equation symbol, it could incorporate type constraints, so that most of
     these would not need them.  (Contributed by Stefan O'Rear, 1-Oct-2014.) $)
  congtr $p |- ( ( ( A e. ZZ /\ B e. ZZ ) /\ ( C e. ZZ /\ D e. ZZ ) /\ ( A || (
      B - C ) /\ A || ( C - D ) ) ) -> A || ( B - D ) ) $=
    ( cz wcel wa co cdvds wbr w3a caddc simp1l simp1r simp2l 3ad2ant2 cc adantl
    cmin zcn zsubcld zsubcl simp3 dvds2add imp syl31anc 3ad2ant1 adantr npncand
    breqtrd ) AEFZBEFZGZCEFZDEFZGZABCSHZIJACDSHZIJGZKZAUQURLHZBDSHIUTUKUQEFZURE
    FZUSAVAIJZUKULUPUSMUTBCUKULUPUSNUMUNUOUSOUAUPUMVCUSCDUBPUMUPUSUCUKVBVCKUSVD
    AUQURUDUEUFUTBCDUMUPBQFZUSULVEUKBTRUGUPUMCQFZUSUNVFUOCTUHPUPUMDQFZUSUOVGUND
    TRPUIUJ $.

  $( If two pairs of numbers are componentwise congruent, so are their sums.
     (Contributed by Stefan O'Rear, 1-Oct-2014.) $)
  congadd $p |- ( ( ( A e. ZZ /\ B e. ZZ /\ C e. ZZ ) /\ ( D e. ZZ /\ E e. ZZ )
      /\ ( A || ( B - C ) /\ A || ( D - E ) ) ) -> A || ( ( B + D ) - ( C + E )
      ) ) $=
    ( cz wcel w3a wa cmin co cdvds wbr caddc wi simpl1 zsubcl zcnd cc zcn wceq
    3adant1 adantr dvds2add syl3anc ad2antrl ad2antll addsub4d 3adant3 breqtrrd
    adantl 3impia simpl2 simpl3 ) AFGZBFGZCFGZHZDFGZEFGZIZABCJKZLMADEJKZLMIZHAV
    BVCNKZBDNKCENKJKZLURVAVDAVELMZURVAIZUOVBFGZVCFGZVDVGOUOUPUQVAPURVIVAUPUQVIU
    OBCQUBUCVAVJURDEQUKAVBVCUDUEULURVAVFVEUAVDVHBDCEVHBUOUPUQVAUMRUSDSGURUTDTUF
    VHCUOUPUQVAUNRUTESGURUSETUGUHUIUJ $.

  $( If two pairs of numbers are componentwise congruent, so are their
     products.  (Contributed by Stefan O'Rear, 1-Oct-2014.) $)
  congmul $p |- ( ( ( A e. ZZ /\ B e. ZZ /\ C e. ZZ ) /\ ( D e. ZZ /\ E e. ZZ )
      /\ ( A || ( B - C ) /\ A || ( D - E ) ) ) -> A || ( ( B x. D ) - ( C x. E
      ) ) ) $=
    ( cz wcel w3a wa cmin co cdvds wbr cmul zmulcld wi 3ad2ant2 syl3anc cc zcn
    simp11 simp12 simp2l simp2r simp13 simp3r zsubcl dvdsmultr2 3ad2ant1 adantr
    mpd adantl subdid breqtrd simp3l zsubcld dvdsmultr1 3ad2ant3 subdird congtr
    syl222anc ) AFGZBFGZCFGZHZDFGZEFGZIZABCJKZLMZADEJKZLMZIZHZVBBDNKZFGBENKZFGC
    ENKZFGAVOVPJKZLMAVPVQJKZLMAVOVQJKLMVBVCVDVHVMUAZVNBDVBVCVDVHVMUBZVEVFVGVMUC
    OVNBEWAVEVFVGVMUDZOVNCEVBVCVDVHVMUEZWBOVNABVKNKZVRLVNVLAWDLMZVEVHVJVLUFVNVB
    VCVKFGZVLWEPVTWAVHVEWFVMDEUGQABVKUHRUKVNBDEVEVHBSGZVMVCVBWGVDBTQUIZVHVEDSGZ
    VMVFWIVGDTUJQVHVEESGZVMVGWJVFETULQZUMUNVNAVIENKZVSLVNVJAWLLMZVEVHVJVLUOVNVB
    VIFGVGVJWMPVTVNBCWAWCUPWBAVIEUQRUKVNBCEWHVEVHCSGZVMVDVBWNVCCTURUIWKUSUNAVOV
    PVQUTVA $.

  $( Congruence mod ` A ` is a symmetric/commutative relation.  (Contributed by
     Stefan O'Rear, 1-Oct-2014.) $)
  congsym $p |- ( ( ( A e. ZZ /\ B e. ZZ ) /\ ( C e. ZZ /\ A || ( B - C ) ) )
      -> A || ( C - B ) ) $=
    ( cz wcel wa cmin co cdvds wbr cneg simprr zcn ad2antrl ad2antlr negsubdi2d
    cc breqtrrd wb simpll simprl simplr zsubcld dvdsnegb syl2anc mpbird ) ADEZB
    DEZFZCDEZABCGHZIJZFZFZACBGHZIJZAUOKZIJZUNAUKUQIUIUJULLUNCBUJCQEUIULCMNUHBQE
    UGUMBMOPRUNUGUODEUPURSUGUHUMTUNCBUIUJULUAUGUHUMUBUCAUOUDUEUF $.

  $( If two integers are congruent mod ` A ` , so are their negatives.
     (Contributed by Stefan O'Rear, 1-Oct-2014.) $)
  congneg $p |- ( ( ( A e. ZZ /\ B e. ZZ ) /\ ( C e. ZZ /\ A || ( B - C ) ) )
      -> A || ( -u B - -u C ) ) $=
    ( cz wcel wa cmin co cdvds wbr cneg congsym cc zcn neg2sub syl2an ad2ant2lr
    wceq breqtrrd ) ADEZBDEZFCDEZABCGHIJZFFACBGHZBKCKGHZIABCLUAUBUEUDRZTUCUABME
    CMEUFUBBNCNBCOPQS $.

  $( If two pairs of numbers are componentwise congruent, so are their
     differences.  (Contributed by Stefan O'Rear, 2-Oct-2014.) $)
  congsub $p |- ( ( ( A e. ZZ /\ B e. ZZ /\ C e. ZZ ) /\ ( D e. ZZ /\ E e. ZZ )
      /\ ( A || ( B - C ) /\ A || ( D - E ) ) ) -> A || ( ( B - D ) - ( C - E )
      ) ) $=
    ( cz wcel w3a wa cmin co cdvds wbr cneg caddc simp11 simp12 znegcld negsubd
    zcnd simp13 simp2l simp2r simp3l congneg syl22anc congadd syl322anc oveq12d
    simp3r breqtrd ) AFGZBFGZCFGZHZDFGZEFGZIZABCJKLMZADEJKLMZIZHZABDNZOKZCENZOK
    ZJKZBDJKZCEJKZJKLVBULUMUNVCFGVEFGUSAVCVEJKLMZAVGLMULUMUNURVAPZULUMUNURVAQZU
    LUMUNURVAUAZVBDUOUPUQVAUBZRVBEUOUPUQVAUCZRUOURUSUTUDVBULUPUQUTVJVKVNVOUOURU
    SUTUJADEUEUFABCVCVEUGUHVBVDVHVFVIJVBBDVBBVLTVBDVNTSVBCEVBCVMTVBEVOTSUIUK $.

  $( Every integer is congruent to itself mod every base.  (Contributed by
     Stefan O'Rear, 1-Oct-2014.) $)
  congid $p |- ( ( A e. ZZ /\ B e. ZZ ) -> A || ( B - B ) ) $=
    ( cz wcel wa cc0 cmin co cdvds wbr dvds0 adantr zcn adantl subidd breqtrrd
    cc ) ACDZBCDZEZAFBBGHIRAFIJSAKLTBSBQDRBMNOP $.

  ${
    $d F a b c $.  $d X a b c k $.  $d V a b c k $.  $d Y a b c k $.
    $d N a b c k $.

    $( Polynomials commute with congruences.  (Does this characterize them?)
       (Contributed by Stefan O'Rear, 5-Oct-2014.) $)
    mzpcong $p |- ( ( F e. ( mzPoly ` V ) /\ ( X e. ( ZZ ^m V ) /\ Y e. ( ZZ ^m
        V ) ) /\ ( N e. ZZ /\ A. k e. V N || ( ( X ` k ) - ( Y ` k ) ) ) ) -> N
        || ( ( F ` X ) - ( F ` Y ) ) ) $=
      ( vc cfv wcel cz co wa cmin cdvds wbr cvv wceq oveq12d breq2d fveq1 va vb
      cmzp cmap cv wral w3a elfvex 3anim1i simp1 csn cxp cmpt caddc cof simpl3l
      cmul congid syl2anc simpl2l vex fvconst2 syl simpl2r breqtrrd simpl3r weq
      simpr fveq2 rspcva eqid fvex fvmpt simp13l simp2l simp12l ffvelrnd simp3l
      wf simp12r simp2r simp3r congadd syl322anc wfn ffnd ovexd fnfvof syl22anc
      congmul mzpindd ) BDUCHIZEJDUDKZIZFWMIZLZCJIZCAUEZEHZWRFHZMKZNOZADUFZLZUG
      DPIZWPXDUGZWLCEBHZFBHZMKZNOZWLXEWPXDBDUCUHUIWLWPXDUJXFCEUAUEZHZFXKHZMKZNO
      CEWMUBUEZUKULZHZFXPHZMKZNOCEGWMXOGUEZHZUMZHZFYBHZMKZNOCEXOHZFXOHZMKZNOZCE
      XTHZFXTHZMKZNOZCEXOXTUNUOKZHZFYNHZMKZNOCEXOXTUQUOKZHZFYRHZMKZNOXJUABUBGDX
      FXOJIZLZCXOXOMKZXSNUUCWQUUBCUUDNOWQXCXEWPUUBUPXFUUBVHCXOURUSUUCXQXOXRXOMU
      UCWNXQXOQWNWOXEXDUUBUTWMXOEUBVAZVBVCUUCWOXRXOQWNWOXEXDUUBVDWMXOFUUEVBVCRV
      EXFXODIZLZCXOEHZXOFHZMKZYENUUGUUFXCCUUJNOZXFUUFVHWQXCXEWPUUFVFXBUUKAXODAU
      BVGZXAUUJCNUULWSUUHWTUUIMWRXOEVIWRXOFVIRSVJUSUUGYCUUHYDUUIMUUGWNYCUUHQWNW
      OXEXDUUFUTGEYAUUHWMYBXOXTETYBVKZXOEVLVMVCUUGWOYDUUIQWNWOXEXDUUFVDGFYAUUIW
      MYBXOXTFTUUMXOFVLVMVCRVEXFWMJXOVSZYILZWMJXTVSZYMLZUGZCYFYJUNKZYGYKUNKZMKZ
      YQNUURWQYFJIZYGJIZYJJIZYKJIZYIYMCUVANOWQXCXEWPUUOUUQVNZUURWMJEXOXFUUNYIUU
      QVOZWNWOXEXDUUOUUQVPZVQZUURWMJFXOUVGWNWOXEXDUUOUUQVTZVQZUURWMJEXTXFUUOUUP
      YMVRZUVHVQZUURWMJFXTUVLUVJVQZXFUUNYIUUQWAZXFUUOUUPYMWBZCYFYGYJYKWCWDUURYO
      UUSYPUUTMUURXOWMWEZXTWMWEZWMPIZWNYOUUSQUURWMJXOUVGWFZUURWMJXTUVLWFZUURJDU
      DWGZUVHWMUNXOXTPEWHWIUURUVQUVRUVSWOYPUUTQUVTUWAUWBUVJWMUNXOXTPFWHWIRVEUUR
      CYFYJUQKZYGYKUQKZMKZUUANUURWQUVBUVCUVDUVEYIYMCUWENOUVFUVIUVKUVMUVNUVOUVPC
      YFYGYJYKWJWDUURYSUWCYTUWDMUURUVQUVRUVSWNYSUWCQUVTUWAUWBUVHWMUQXOXTPEWHWIU
      URUVQUVRUVSWOYTUWDQUVTUWAUWBUVJWMUQXOXTPFWHWIRVEXKXPQZXNXSCNUWFXLXQXMXRME
      XKXPTFXKXPTRSXKYBQZXNYECNUWGXLYCXMYDMEXKYBTFXKYBTRSUAUBVGZXNYHCNUWHXLYFXM
      YGMEXKXOTFXKXOTRSUAGVGZXNYLCNUWIXLYJXMYKMEXKXTTFXKXTTRSXKYNQZXNYQCNUWJXLY
      OXMYPMEXKYNTFXKYNTRSXKYRQZXNUUACNUWKXLYSXMYTMEXKYRTFXKYRTRSXKBQZXNXICNUWL
      XLXGXMXHMEXKBTFXKBTRSWKUS $.
  $}

  ${
    $d A a $.  $d N a $.
    $( Every integer is congruent to some number in the fundamental domain.
       (Contributed by Stefan O'Rear, 2-Oct-2014.) $)
    congrep $p |- ( ( A e. NN /\ N e. ZZ ) -> E. a e. ( 0 ... ( A - 1 ) ) A ||
        ( a - N ) ) $=
      ( cn wcel cz wa cmo co cc0 c1 cmin cfz cdvds cv wrex zmodfz ancoms adantr
      wbr nnz simpr cn0 zmodcl nn0zd cdiv cr crp zre nnrp moddifz syl2anr nnne0
      wne wb zsubcld dvdsval2 syl3anc mpbird congsym syl22anc wceq oveq1 breq2d
      rspcev syl2anc ) ADEZBFEZGZBAHIZJAKLIMIZEZAVJBLIZNTZACOZBLIZNTZCVKPVHVGVL
      BAQRVIAFEZVHVJFEABVJLIZNTZVNVGVRVHAUASZVGVHUBZVIVJVHVGVJUCEBAUDRUEZVIVTVS
      AUFIFEZVHBUGEAUHEWDVGBUIAUJBAUKULVIVRAJUNZVSFEVTWDUOWAVGWEVHAUMSVIBVJWBWC
      UPAVSUQURUSABVJUTVAVQVNCVJVKVOVJVBVPVMANVOVJBLVCVDVEVF $.
  $}

  $( If two integers are congruent, they are either equal or separated by at
     least the congruence base.  (Contributed by Stefan O'Rear, 4-Oct-2014.) $)
  congabseq $p |- ( ( ( A e. NN /\ B e. ZZ /\ C e. ZZ ) /\ A || ( B - C ) ) ->
      ( ( abs ` ( B - C ) ) < A <-> B = C ) ) $=
    ( wcel cz w3a cmin co wbr wa clt wceq cc zcn ad2antrr cr 3ad2ant1 ad3antrrr
    cc0 adantr cn cdvds cabs cfv 3ad2ant2 3ad2ant3 cle wn zsubcl 3adant1 abscld
    zcnd nnre ltnled biimpa wne nnz 3jca simpllr dvdsleabs sylc ex necon1bd mpd
    simpr subeq0d oveq1 adantl subidd eqtrd abs00bd nngt0 eqbrtrd impbida ) AUA
    DZBEDZCEDZFZABCGHZUBIZJZVSUCUDZAKIZBCLZWAWCJZBCVRBMDZVTWCVPVOWFVQBNUEOVRCMD
    ZVTWCVQVOWGVPCNUFZOWEAWBUGIZUHZVSSLWAWCWJWAWBAVRWBPDVTVRVSVRVSVPVQVSEDZVOBC
    UIUJZULUKTVRAPDZVTVOVPWMVQAUMQTUNUOWEWIVSSWEVSSUPZWIWEWNJZAEDZWKWNFVTWIWOWP
    WKWNVRWPVTWCWNVOVPWPVQAUQQRVRWKVTWCWNWLRWEWNVEURVRVTWCWNUSAVSUTVAVBVCVDVFWA
    WDJZWBSAKWQVSWQVSCCGHZSWDVSWRLWABCCGVGVHWQCVRWGVTWDWHOVIVJVKVRSAKIZVTWDVOVP
    WSVQAVLQOVMVN $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Alternating congruential equations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( A wff like that in this theorem will be known as an "alternating
     congruence".  A special symbol might be considered if more uses come up.
     They have many of the same properties as normal congruences, starting with
     reflexivity.

     JonesMatijasevic uses "a &#8801; &#xB1; b (mod c)" for this construction.
     The disjunction of divisibility constraints seems to adequately capture
     the concept, but it's rather verbose and somewhat inelegant.  Use of an
     explicit equivalence relation might also work.  (Contributed by Stefan
     O'Rear, 2-Oct-2014.) $)
  acongid $p |- ( ( A e. ZZ /\ B e. ZZ ) -> ( A || ( B - B ) \/ A || ( B - -u B
      ) ) ) $=
    ( cz wcel wa cmin co cdvds wbr cneg congid orcd ) ACDBCDEABBFGHIABBJFGHIABK
    L $.

  $( Symmetry of alternating congruence.  (Contributed by Stefan O'Rear,
     2-Oct-2014.) $)
  acongsym $p |- ( ( ( A e. ZZ /\ B e. ZZ /\ C e. ZZ ) /\
          ( A || ( B - C ) \/ A || ( B - -u C ) ) ) -> ( A || ( C - B ) \/ A ||
      ( C - -u B ) ) ) $=
    ( cz wcel w3a cmin co cdvds wbr cneg wo wi wa congsym exp32 3impia 3ad2ant2
    cc zcn negnegd oveq1d negcld 3ad2ant3 neg2subd eqtr3d breq2d biimpd orim12d
    imp ) ADEZBDEZCDEZFZABCGHIJZABCKZGHZIJZLACBGHIJZACBKZGHZIJZLUNUOUSURVBUKULU
    MUOUSMUKULNUMUOUSABCOPQUNURVBUNUQVAAIUNUTKZUPGHUQVAUNVCBUPGUNBULUKBSEUMBTZR
    UAUBUNUTCULUKUTSEUMULBVDUCRUMUKCSEULCTUDUEUFUGUHUIUJ $.

  $( Negate right side of alternating congruence.  Makes essential use of the
     "alternating" part.  (Contributed by Stefan O'Rear, 3-Oct-2014.) $)
  acongneg2 $p |- ( ( ( A e. ZZ /\ B e. ZZ /\ C e. ZZ ) /\
          ( A || ( B - -u C ) \/ A || ( B - -u -u C ) ) ) -> ( A || ( B - C )
      \/ A || ( B - -u C ) ) ) $=
    ( cz wcel w3a cneg co cdvds wbr wo wa cc zcn 3ad2ant3 negnegd oveq2d breq2d
    cmin biimpd orim2d imp orcomd ) ADEZBDEZCDEZFZABCGZSHIJZABUHGZSHZIJZKZLUIAB
    CSHZIJZUGUMUIUOKUGULUOUIUGULUOUGUKUNAIUGUJCBSUGCUFUDCMEUECNOPQRTUAUBUC $.

  $( Transitivity of alternating congruence.  (Contributed by Stefan O'Rear,
     2-Oct-2014.) $)
  acongtr $p |- ( ( ( A e. ZZ /\ B e. ZZ ) /\ ( C e. ZZ /\ D e. ZZ ) /\
          ( ( A || ( B - C ) \/ A || ( B - -u C ) ) /\ ( A || ( C - D ) \/ A ||
      ( C - -u D ) ) ) ) -> ( A || ( B - D ) \/ A || ( B - -u D ) ) ) $=
    ( cz wcel wa cmin co cdvds wbr wo congtr ex simpll ad2antlr simpr cc adantl
    cneg 3expa orcd znegcl anim12i simplll simplrl simplrr congsym syl22anc zcn
    wceq adantr neg2subd eqcomd breq2d sylibd anim2d syl3anc olcd anim2i anim1i
    imp simpl an42s syl12anc negnegd oveq2d syl eqtr3d ccased 3impia ) AEFZBEFZ
    GZCEFZDEFZGZABCHIJKZABCTZHIJKZLACDHIJKZACDTZHIJKZLGABDHIJKZABWBHIJKZLZVNVQG
    ZVRWAVTWCWFWGVRWAGZWFWGWHGWDWEVNVQWHWDABCDMUAUBNWGVTWAGZWFWGWIGZWEWDWJVNVSE
    FZWBEFZGZVTAVSWBHIZJKZGZWEVNVQWIOVQWMVNWIVOWKVPWLCUCZDUCZUDZPWGWIWPWGWAWOVT
    WGWAADCHIZJKZWOWGWAXAWGWAGVLVOVPWAXAVLVMVQWAUEVNVOVPWAUFVNVOVPWAUGWGWAQACDU
    HUINWGWTWNAJWGWNWTVQWNWTUKVNVQCDVOCRFVPCUJULZVPDRFVODUJSZUMSUNUOUPUQVBABVSW
    BMURUSNWGVRWCGZWFWGXDGZWEWDXEVNVOWLGZXDWEVNVQXDOVQXFVNXDVPWLVOWRUTPWGXDQABC
    WBMURUSNWGVTWCGZWFWGXGGZWDWEXHVNWKVPGZVTAVSDHIZJKZGZWDVNVQXGOVQXIVNXGVOWKVP
    WQVAPWGXGXLWGWCXKVTWGWCAWBCHIZJKZXKWGWCXNWGWCGVLVOGZWLWCXNWGXOWCVLVPVMVOXOV
    LVPGVLVMVOGVOVLVPVCVMVOQUDVDULVQWLVNWCVPWLVOWRSPWGWCQACWBUHVENWGXMXJAJVQXMX
    JUKVNVQWBVSTZHIXMXJVQXPCWBHVQCXBVFVGVQDVSXCVQWMVSRFZWSWKXQWLVSUJULVHUMVISUO
    UPUQVBABVSDMURUBNVJVK $.

  ${
    acongeq12d.1 $e |- ( ph -> B = C ) $.
    acongeq12d.2 $e |- ( ph -> D = E ) $.
    $( Substitution deduction for alternating congruence.  (Contributed by
       Stefan O'Rear, 3-Oct-2014.) $)
    acongeq12d $p |- ( ph -> ( ( A || ( B - D ) \/ A || ( B - -u D ) ) <-> ( A
        || ( C - E ) \/ A || ( C - -u E ) ) ) ) $=
      ( cmin co cdvds wbr cneg oveq12d breq2d negeqd orbi12d ) ABCEIJZKLBDFIJZK
      LBCEMZIJZKLBDFMZIJZKLARSBKACDEFIGHNOAUAUCBKACDTUBIGAEFHPNOQ $.
  $}

  ${
    $d A a b $.  $d N a b $.
    $( Every integer is alternating-congruent to some number in the first half
       of the fundamental domain.  (Contributed by Stefan O'Rear,
       2-Oct-2014.) $)
    acongrep $p |- ( ( A e. NN /\ N e. ZZ ) -> E. a e. ( 0 ... A ) ( ( 2 x. A )
        || ( a - N ) \/ ( 2 x. A ) || ( a - -u N ) ) ) $=
      ( vb cn wcel cz wa c2 co cdvds wbr wo cc0 sylancr syl2anc cr cle 3ad2ant1
      cmin cmul cv cneg cfz c1 2nn simpl nnmulcl simpr congrep elfzelz ad2antrl
      wrex zred nnre ad2antrr elfzle1 anim1i 0zd nnz elfz syl3anc adantr mpbird
      wb simplrr orcd weq id acongeq12d rspcev simplll simplrl w3a 3ad2ant2 2re
      eqidd remulcl 2z zmulcl simp2 elfzm11 biimpa syl21anc simp3d subge0d wceq
      clt ltled nncn caddc 2times oveq1d pncan2 anidms eqtrd syl eqbrtrd subled
      cc simp3 jca zsubcld simplr simprr congsym syl22anc dvdsadd zcnd ad2antlr
      mpbid zcn subnegd recnd subadd23d breqtrrd olcd lecasei rexlimddv ) AEFZB
      GFZHZIAUAJZDUBZBTJKLZYCCUBZBTJKLYCYFBUCZTJKLMZCNAUDJZUMZDNYCUETJZUDJZYBYC
      EFZYAYEDYLUMYBIEFXTYMUFXTYAUGIAUHOXTYAUIYCBDUJPYBYDYLFZYEHZHZYJYDAYNYDQFZ
      YBYEYNYDYDNYKUKZUNZULZXTAQFZYAYOAUOZUPYPYDARLZHZYDYIFZYEYCYDYGTJKLZMZYJUU
      DUUENYDRLZUUCHZYPUUHUUCYNUUHYBYEYDNYKUQULURYPUUEUUIVEZUUCYPYDGFZNGFZAGFZU
      UJYNUUKYBYEYRULZYPUSZXTUUMYAYOAUTZUPZYDNAVAVBVCVDUUDYEUUFYBYNYEUUCVFVGYHU
      UGCYDYICDVHZYCYFYDBBUURVIUURBVQVJVKPYPAYDRLZHZYCYDTJZYIFZYCUVABTJKLZYCUVA
      YGTJZKLZMZYJUUTUVBNUVARLZUVAARLZHZUUTXTYNUUSUVIXTYAYOUUSVLYBYNYEUUSVMYPUU
      SUIXTYNUUSVNZUVGUVHUVJUVGYDYCRLUVJYDYCYNXTYQUUSYSVOZXTYNYCQFZUUSXTIQFUUAU
      VLVPUUBIAVROSZUVJUUKUUHYDYCWHLZUVJUULYCGFZYNUUKUUHUVNVNZUVJUSXTYNUVOUUSXT
      IGFZUUMUVOVSUUPIAVTZOSXTYNUUSWAUULUVOHYNUVPYDNYCWBWCWDWEWIUVJYCYDUVMUVKWF
      VDUVJYCAYDUVMXTYNUUAUUSUUBSUVKUVJYCATJZAYDRXTYNUVSAWGZUUSXTAWTFZUVTAWJUWA
      UVSAAWKJZATJZAUWAYCUWBATAWLWMUWAUWCAWGAAWNWOWPWQSXTYNUUSXAWRWSXBVBYPUVBUV
      IVEZUUSYPUVAGFUULUUMUWDYPYCYDYPUVQUUMUVOVSUUQUVROZUUNXCZUUOUUQUVANAVAVBVC
      VDUUTUVEUVCYPUVEUUSYPYCYCBYDTJZWKJZUVDKYPYCUWGKLZYCUWHKLZYPUVOUUKYAYEUWIU
      WEUUNXTYAYOXDZYBYNYEXEYCYDBXFXGYPUVOUWGGFUWIUWJVEUWEYPBYDUWKUUNXCYCUWGXHP
      XKYPUVDUVABWKJUWHYPUVABYPUVAUWFXIYABWTFXTYOBXLXJZXMYPYCYDBYPYCUWEXIYPYDYT
      XNUWLXOWPXPVCXQYHUVFCUVAYIYFUVAWGZYCYFUVABBUWMVIUWMBVQVJVKPXRXS $.
  $}

  $( Bound on the difference between two integers constrained to two possibly
     overlapping finite ranges.  (Contributed by Stefan O'Rear, 4-Oct-2014.) $)
  fzmaxdif $p |- ( ( ( C e. ZZ /\ A e. ( B ... C ) ) /\ ( F e. ZZ /\ D e. ( E
      ... F ) ) /\ ( C - E ) <_ ( F - B ) ) -> ( abs ` ( A - D ) ) <_ ( F - B )
      ) $=
    ( cz wcel cfz co wa cmin cle wbr caddc zred syl resubcld recnd letrd simp2r
    w3a cabs cfv elfzelzd simp2l simp1r elfzel1 elfzle2 lesub1dd nncand breqtrd
    elfzle1 readdcld lesub2dd simp3 lesubaddd mpbid addcomd absdifled mpbir2and
    simp1l ) CGHZABCIJHZKZFGHZDEFIJHZKZCELJZFBLJZMNZUBZADLJUCUDVJMNDVJLJZAMNADV
    JOJZMNVLVMBAVLDVJVLDVLDEFVEVFVGVKUAZUEPZVLFBVLFVEVFVGVKUFPZVLBVLVDBGHVCVDVH
    VKUGZABCUHQPZRZRVSVLAVLABCVRUEPZVLVMFVJLJBMVLDFVJVPVQVTVLVGDFMNVODEFUIQUJVL
    FBVLFVQSVLBVSSUKULVLVDBAMNVRABCUMQTVLACVNWAVLCVCVDVHVKVBPZVLDVJVPVTUNVLVDAC
    MNVRABCUIQVLCVJDOJZVNMVLCDLJZVJMNCWCMNVLWDVIVJVLCDWBVPRVLCEWBVLEVLVGEGHVODE
    FUHQPZRVTVLEDCWEVPWBVLVGEDMNVODEFUMQUOVEVHVKUPTVLCDVJWBVPVTUQURVLVJDVLVJVTS
    VLDVPSUSULTVLADVJWAVPVTUTVA $.

  $( Reflection of a finite range of integers about 0.  (Contributed by Stefan
     O'Rear, 4-Oct-2014.) $)
  fzneg $p |- ( ( A e. ZZ /\ B e. ZZ /\ C e. ZZ ) -> ( A e. ( B ... C ) <-> -u
      A e. ( -u C ... -u B ) ) ) $=
    ( cz wcel w3a cle wbr wa cneg cfz co ancom cr 3ad2ant1 3ad2ant3 lenegd elfz
    zre znegcl 3ad2ant2 anbi12d syl5bb wb syl3an 3com23 3bitr4d ) ADEZBDEZCDEZF
    ZBAGHZACGHZIZCJZAJZGHZUPBJZGHZIZABCKLEUPUOURKLEZUNUMULIUKUTULUMMUKUMUQULUSU
    KACUHUIANEUJASOZUJUHCNEUICSPQUKBAUIUHBNEUJBSUAVBQUBUCABCRUHUJUIVAUTUDZUHUPD
    EUJUODEUIURDEVCATCTBTUPUOURRUEUFUG $.

  $( Two numbers in the fundamental domain are alternating-congruent iff they
     are equal.  TODO: could be used to shorten ~ jm2.26 .  (Contributed by
     Stefan O'Rear, 4-Oct-2014.) $)
  acongeq $p |- ( ( A e. NN /\ B e. ( 0 ... A ) /\ C e. ( 0 ... A ) ) -> ( B =
      C <-> ( ( 2 x. A ) || ( B - C ) \/ ( 2 x. A ) || ( B - -u C ) ) ) ) $=
    ( wcel cc0 co wceq c2 cmin cdvds wbr wa cz clt cr cle caddc wb c1 ad2antrr
    cn cfz w3a cmul cneg wo nnz 3ad2ant1 zmulcl sylancr elfzelz 3ad2ant2 congid
    2z syl2anc adantr adantl breqtrd orcd cabs cfv 3ad2ant3 zsubcld zcnd abscld
    oveq2 nnre 0re resubcl sylancl remulcl simp2 simp3 leidd fzmaxdif syl221anc
    2re crp nnrp ltaddrpd subid1d 2timesd 3brtr4d lelttrd simpl1 nnmulcl simpl2
    recnd 2nn elfzelzd simpl3 simpr congabseq syl31anc simpll2 elfzle1 syl zred
    mpbid renegcld resubcld 1re znegcld abssubd 0zd 1z zsubcl fzneg syl3anc a1i
    neg0 oveq2d eleqtrd cn0 simp1 nnm1nn0 nn0ge0d 1cnd addsubassd oveq1d ax-1cn
    0m0e0 cc subcl subnegd 3eqtr4rd eqbrtrd ltm1d simplr le0neg1d mpbird letri3
    mpbir2and negeqd eqtrd 3eqtr4d fveq2d eqbrtrrd ppncand eqtr4d addcomd nnnn0
    breqtrrd dvdsadd cuz nn0uz eleqtrdi fzm1 biimpa mpjaodan jaodan impbida ) A
    UADZBEAUBFZDZCUUNDZUCZBCGZHAUDFZBCIFZJKZUUSBCUEZIFZJKZUFUUQUURLZUVAUVDUVEUU
    SBBIFZUUTJUUQUUSUVFJKZUURUUQUUSMDZBMDZUVGUUQHMDAMDZUVHUNUUMUUOUVJUUPAUGUHZH
    AUIUJZUUOUUMUVIUUPBEAUKULZUUSBUMUOUPUURUVFUUTGUUQBCBIVFUQURUSUUQUVAUURUVDUU
    QUVALZUUTUTVAZUUSNKZUURUUQUVPUVAUUQUVOAEIFZUUSUUQUUTUUQUUTUUQBCUVMUUPUUMCMD
    ZUUOCEAUKVBZVCVDVEUUQAODZEODZUVQODUUMUUOUVTUUPAVGUHZVHAEVIVJZUUQHODUVTUUSOD
    ZVQUWBHAVKUJZUUQUVJUUOUVJUUPUVQUVQPKUVOUVQPKUVKUUMUUOUUPVLUVKUUMUUOUUPVMZUU
    QUVQUWCVNBEACEAVOVPUUQAAAQFZUVQUUSNUUQAAUWBUUMUUOAVRDUUPAVSUHVTUUQAUUQAUWBW
    HZWAUUQAUWHWBZWCWDZUPUVNUUSUADZUVIUVRUVAUVPUURRUVNHUADZUUMUWKWIUUMUUOUUPUVA
    WEHAWFZUJUVNBEAUUMUUOUUPUVAWGWJUVNCEAUUMUUOUUPUVAWKWJUUQUVAWLUUSBCWMWNWSUUQ
    UVDLZCEASIFZUBFDZUURCAGZUWNUWPLZUVBEBCUWRUVBEUEZEUWRCEUWRCEGZCEPKZECPKZUWRU
    XAEUVBPKUWREBUVBPUWRUUOEBPKUUMUUOUUPUVDUWPWOZBEAWPWQUWRUVCUTVAZUUSNKZBUVBGZ
    UWRUXDAUWOUEZIFZUUSUUQUXDODUVDUWPUUQUVCUUQUVCUUQBUVBUUQBUVMWRUUQCUUQCUVSWRW
    TXAWHVETUUQUXHODUVDUWPUUQAUXGUWBUUQUWOUUQUVTSODUWOODUWBXBASVIVJWTXATUUQUWDU
    VDUWPUWETUWRUXDUVBBIFUTVAZUXHPUWRBUVBUWRBUUQUVIUVDUWPUVMTZVDUWRUVBUUQUVBMDZ
    UVDUWPUUQCUVSXCTZVDXDUWREMDZUVBUXGEUBFZDUVJUUOEEIFZUXHPKZUXIUXHPKUWRXEUWRUV
    BUXGUWSUBFZUXNUWRUWPUVBUXQDZUWNUWPWLUUQUWPUXRRZUVDUWPUUQUVRUXMUWOMDZUXSUVSU
    UQXEUUQUVJSMDUXTUVKXFASXGVJCEUWOXHXITWSUWRUWSEUXGUBUWSEGUWRXKXJZXLXMUUQUVJU
    VDUWPUVKTUXCUUQUXPUVDUWPUUQEUUSSIFZUXOUXHPUUQUYBUUQUWKUYBXNDUUQUWLUUMUWKWIU
    UMUUOUUPXOUWMUJZUUSXPWQXQUXOEGUUQYBXJUUQUWGSIFAUWOQFUYBUXHUUQAASUWHUWHUUQXR
    XSUUQUUSUWGSIUWIXTUUQAUWOUWHUUQAYCDSYCDUWOYCDUWHYAASYDVJYEYFZWCTUVBUXGEBEAV
    OVPYGUUQUXHUUSNKUVDUWPUUQUXHUYBUUSNUYDUUQUUSUWEYHYGTWDUWRUWKUVIUXKUVDUXEUXF
    RUUQUWKUVDUWPUYCTUXJUXLUUQUVDUWPYIUUSBUVBWMWNWSZURUWRCUWPCODZUWNUWPCCEUWOUK
    WRUQZYJYKUWPUXBUWNCEUWOWPUQUWRUYFUWAUWTUXAUXBLRUYGVHCEYLVJYMZYNUYAYOUYEUYHY
    PUWNUWQLZBACUYIBAIFZUTVAZUUSNKZBAGZUYIUVOUYKUUSNUYIUUTUYJUTUWQUUTUYJGUWNCAB
    IVFUQYQUUQUVPUVDUWQUWJTYRUYIUWKUVIUVJUUSUYJJKZUYLUYMRUUQUWKUVDUWQUYCTUUQUVI
    UVDUWQUVMTUUQUVJUVDUWQUVKTUYIUYNUUSUUSUYJQFZJKZUYIUUSUVCUYOJUUQUVDUWQYIUYIU
    WGUYJQFZBCQFZUYOUVCUYIUYQBAQFZUYRUUQUYQUYSGUVDUWQUUQUYQABQFUYSUUQAABUWHUWHU
    UQBUVMVDZYSUUQABUWHUYTUUAYOTUWQUYRUYSGUWNCABQVFUQYTUUQUYOUYQGUVDUWQUUQUUSUW
    GUYJQUWIXTTUUQUVCUYRGUVDUWQUUQBCUYTUUQCUVSVDYETYPUUCUYIUVHUYJMDZUYNUYPRUUQU
    VHUVDUWQUVLTUUQVUAUVDUWQUUQBAUVMUVKVCTUUSUYJUUDUOYKUUSBAWMWNWSUWNUWQWLYTUUQ
    UWPUWQUFZUVDUUQAEUUEVAZDZUUPVUBUUQAXNVUCUUMUUOAXNDUUPAUUBUHUUFUUGUWFVUDUUPV
    UBCEAUUHUUIUOUPUUJUUKUUL $.

  $( Alternating congruence passes from a base to a dividing base.
     (Contributed by Stefan O'Rear, 4-Oct-2014.) $)
  dvdsacongtr $p |- ( ( ( A e. ZZ /\ B e. ZZ ) /\ ( C e. ZZ /\ D e. ZZ ) /\ ( D
      || A /\ ( A || ( B - C ) \/ A || ( B - -u C ) ) ) ) -> ( D || ( B - C )
      \/ D || ( B - -u C ) ) ) $=
    ( cz wcel wa cdvds wbr cmin co cneg ad2antrr simp-4l simplr zsubcld dvdstrd
    wo simpr ex simprr simprl znegcld orim12d expimpd 3impia ) AEFZBEFZGZCEFZDE
    FZGZDAHIZABCJKZHIZABCLZJKZHIZRZGDUNHIZDUQHIZRZUIULGZUMUSVBVCUMGZUOUTURVAVDU
    OUTVDUOGZDAUNVCUKUMUOUIUJUKUAZMUGUHULUMUONVEBCVCUHUMUOUGUHULOZMVCUJUMUOUIUJ
    UKUBZMPVCUMUOOVDUOSQTVDURVAVDURGZDAUQVCUKUMURVFMUGUHULUMURNVIBUPVCUHUMURVGM
    VICVCUJUMURVHMUCPVCUMUROVDURSQTUDUEUF $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Additional theorems on integer divisibility
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Multiplication by a coprime number does not affect divisibility.
     (Contributed by Stefan O'Rear, 23-Sep-2014.) $)
  coprmdvdsb $p |- ( ( K e. ZZ /\ N e. ZZ /\ ( M e. ZZ /\ ( K gcd M ) = 1 ) )
      -> ( K || N <-> K || ( M x. N ) ) ) $=
    ( cz wcel cgcd co c1 wceq wa w3a cdvds wbr wi simp1 simp3l simp2 dvdsmultr2
    cmul syl3anc simp3r coprmdvds mpan2d impbid ) ADEZCDEZBDEZABFGHIZJZKZACLMZA
    BCSGLMZUJUEUGUFUKULNUEUFUIOZUEUFUGUHPZUEUFUIQZABCRTUJULUHUKUEUFUGUHUAUJUEUG
    UFULUHJUKNUMUNUOABCUBTUCUD $.

  $( Divisibility in terms of modular reduction by the absolute value of the
     base.  (Contributed by Stefan O'Rear, 26-Sep-2014.) $)
  modabsdifz $p |- ( ( N e. RR /\ M e. RR /\ M =/= 0 ) -> ( ( N - ( N mod ( abs
      ` M ) ) ) / M ) e. ZZ ) $=
    ( cr wcel cc0 wne w3a cabs cfv cmo co cmin cz recnd syl absdivd wb redivcld
    cdiv absz crp simp1 simp2 simp3 absrpcld moddifz syl2anc wceq absidm oveq2d
    cc modcld resubcld abscld rpne0d 3eqtr4d eleq1d 3bitr4d mpbid ) BCDZACDZAEF
    ZGZBBAHIZJKZLKZVDSKZMDZVFASKZMDZVCUTVDUADVHUTVAVBUBZVCAVCAUTVAVBUCZNZUTVAVB
    UDZUEZBVDUFUGVCVGHIZMDZVIHIZMDZVHVJVCVPVRMVCVFHIZVDHIZSKVTVDSKVPVRVCWAVDVTS
    VCAUKDWAVDUHVMAUIOUJVCVFVDVCVFVCBVEVKVCBVDVKVOULUMZNZVCVDVCAVMUNZNVCVDVOUOZ
    PVCVFAWCVMVNPUPUQVCVGCDVHVQQVCVFVDWBWDWERVGTOVCVICDVJVSQVCVFAWBVLVNRVITOURU
    S $.

  $( Divisibility in terms of modular reduction by the absolute value of the
     base.  (Contributed by Stefan O'Rear, 24-Sep-2014.)  (Proof shortened by
     OpenAI, 3-Jul-2020.) $)
  dvdsabsmod0 $p |- ( ( M e. ZZ /\ N e. ZZ /\ M =/= 0 ) -> ( M || N <-> ( N mod
      ( abs ` M ) ) = 0 ) ) $=
    ( cz wcel cc0 wne cdvds wbr cabs cfv co wceq wb wa absdvdsb adantlr nnabscl
    cmo cn dvdsval3 sylan bitrd an32s 3impa ) ACDZBCDZAEFZABGHZBAIJZRKELZMZUEUG
    UFUKUEUGNZUFNUHUIBGHZUJUEUFUHUMMUGABOPULUISDUFUMUJMAQUIBTUAUBUCUD $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  X and Y sequences 3: Divisibility properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A a b $.  $d K a b $.  $d N a b $.
    $( Theorem 2.18 of [JonesMatijasevic] p. 696.  Direct relationship of the
       exponential function to X and Y sequences.  (Contributed by Stefan
       O'Rear, 14-Oct-2014.) $)
    jm2.18 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ K e. NN0 /\ N e. NN0 ) ->
        ( ( ( ( 2 x. A ) x. K ) - ( K ^ 2 ) ) - 1 ) ||
        ( ( ( A rmX N ) - ( ( A - K ) x. ( A rmY N ) ) ) - ( K ^ N ) ) ) $=
      ( wcel cmul co cexp cmin c1 crmx crmy cdvds wbr cz adantr oveq12d syl2anc
      cc0 wceq oveq2 va vb c2 cuz cfv cn0 wa cv wi caddc eluzelz zmulcl sylancr
      2z nn0z adantl zmulcld zsqcl zsubcld peano2zm dvds0 rmx0 rmy0 oveq2d zcnd
      mul01d eqtrd 1m0e1 eqtrdi cc nn0cn exp0d 1m1e0 breqtrrd rmx1 rmy1 mulid1d
      syl nncand exp1d subidd pm3.43 simpll nnz frmx fovcl nn0zd frmy jca nnnn0
      cn zexpcl nnm1nn0 zaddcl w3a 3jca ad2antrr congid simpr congmul syl112anc
      adantrl simprl congsub zaddcld 0zd iddvds subid1d congadd syl322anc sqcld
      0z 1cnd addsubd npcand oveq1d eqtr3d ad2antlr expcld subdid mul12d expm1t
      eqtr4d 3eqtrrd congtr rmxluc rmyluc subcld 2cn mulcld 2cnd mulcomd 3eqtrd
      mulcl nn0cnd sub4d eqcomd expp1d breq2d imbi2d nncn npcan sylancl mulassd
      ax-1cn addid2d sqvald eqtr2d ex expcom a2d syl5 weq 2nn0ind impcom 3impa
      ) AUCUDUEZDZBUFDZCUFDZUCAEFZBEFZBUCGFZHFZIHFZACJFZABHFZACKFZEFZHFZBCGFZHF
      ZLMZUUTUURUUSUGZUVMUVNUVEAUAUHZJFZUVGAUVOKFZEFZHFZBUVOGFZHFZLMZUIUVNUVEAR
      JFZUVGARKFZEFZHFZBRGFZHFZLMZUIUVNUVEAIJFZUVGAIKFZEFZHFZBIGFZHFZLMZUIUVNUV
      EAUBUHZIHFZJFZUVGAUWRKFZEFZHFZBUWRGFZHFZLMZUIZUVNUVEAUWQJFZUVGAUWQKFZEFZH
      FZBUWQGFZHFZLMZUIZUVNUVEAUWQIUJFZJFZUVGAUXOKFZEFZHFZBUXOGFZHFZLMZUIZUVNUV
      MUIUAUBCUVNUVERUWHLUVNUVENDZUVERLMUVNUVDNDUYDUVNUVBUVCUVNUVABUVNUCNDANDZU
      VANDZUNUURUYEUUSUCAUKZOZUCAULUMZUUSBNDZUURBUOUPZUQZUVNUYJUVCNDZUYKBURVRZU
      SZUVDUTVRZUVEVAVRZUVNUWHIIHFRUVNUWFIUWGIHUVNUWFIRHFIUVNUWCIUWERHUURUWCISU
      USAVBOUVNUWEUVGREFRUVNUWDRUVGEUURUWDRSUUSAVCOVDUVNUVGUVNUVGUVNABUYHUYKUSZ
      VEZVFVGPVHVIUVNBUUSBVJDZUURBVKZUPZVLPVMVIVNUVNUVERUWOLUYQUVNUWOBBHFRUVNUW
      MBUWNBHUVNUWMAUVGHFBUVNUWJAUWLUVGHUURUWJASUUSAVOOUVNUWLUVGIEFUVGUVNUWKIUV
      GEUURUWKISUUSAVPOVDUVNUVGUYSVQVGPUVNABUVNAUYHVEVUBVSVGUVNBVUBVTPUVNBVUBWA
      VGVNUXFUXNUGUVNUXEUXMUGZUIUWQWKDZUYCUVNUXEUXMWBVUDUVNVUCUYBUVNVUDVUCUYBUI
      UVNVUDUGZVUCUYBVUEVUCUGZUVEUVAUXJEFZUXBHFZUXCRUVCUJFZEFZHFZUYALVUFUYDVUHN
      DZUGZUVAUXKEFZUXCHFZNDZVUJNDZUGZUVEVUHVUOHFLMZUVEVUOVUJHFZLMZUVEVUKLMVUEV
      UMVUCVUEUYDVULUVNUYDVUDUYPOZVUEVUGUXBVUEUVAUXJUVNUYFVUDUYIOZVUEUXGUXIVUEU
      XGVUEUURUWQNDZUXGUFDUURUUSVUDWCZVUDVVDUVNUWQWDUPZAUWQUFUUQNJWEWFZQWGVUEUV
      GUXHUVNUVGNDVUDUYROZVUEUURVVDUXHNDVVEVVFAUWQNUUQNKWHWFZQUQUSZUQZVUEUWSUXA
      VUEUWSVUEUURUWRNDZUWSUFDVVEVUEVVDVVLVVFUWQUTVRZAUWRUFUUQNJWEWFZQWGVUEUVGU
      WTVVHVUEUURVVLUWTNDVVEVVMAUWRNUUQNKWHWFZQUQUSZUSWIOVUEVURVUCVUEVUPVUQVUEV
      UNUXCVUEUVAUXKVVCVUEUYJUWQUFDZUXKNDZUVNUYJVUDUYKOZVUDVVQUVNUWQWJUPZBUWQWL
      QZUQZVUEUYJUWRUFDZUXCNDZVVSVUDVWCUVNUWQWMUPZBUWRWLQZUSVUEUXCVUIVWFUVNVUIN
      DZVUDUVNRNDZUYMVWGXLUYNRUVCWNUMOZUQWIOVUFUYDVUGNDZVUNNDZWOZUXBNDZVWDUGZUV
      EVUGVUNHFLMZUXEVUSVUEVWLVUCVUEUYDVWJVWKVVBVVKVWBWPOVUEVWNVUCVUEVWMVWDVVPV
      WFWIOVUEUXMVWOUXEVUEUXMUGUYDUYFUYFWOZUXJNDZVVRUGZUVEUVAUVAHFLMZUXMVWOUVNV
      WPVUDUXMUVNUYDUYFUYFUYPUYIUYIWPWQVUEVWRUXMVUEVWQVVRVVJVWAWIOUVNVWSVUDUXMU
      VNUYDUYFVWSUYPUYIUVEUVAWRQWQVUEUXMWSUVEUVAUVAUXJUXKWTXAXBVUEUXEUXMXCUVEVU
      GVUNUXBUXCXDXAVUEVVAVUCVUEUVEUXCUVEUVCUJFZEFZVUJHFZVUTLVUEUYDVWDVWDVWTNDZ
      VWGUVEUXCUXCHFLMZUVEVWTVUIHFLMZUVEVXBLMVVBVWFVWFUVNVXCVUDUVNUVEUVCUYPUYNX
      EOVWIVUEUYDVWDVXDVVBVWFUVEUXCWRQUVNVXEVUDUVNUYDUYDVWHUYMUYMUVEUVERHFZLMUV
      EUVCUVCHFLMZVXEUYPUYPUVNXFUYNUYNUVNUVEUVEVXFLUVNUYDUVEUVELMUYPUVEXGVRUVNU
      VEUVNUVEUYPVEXHVNUVNUYDUYMVXGUYPUYNUVEUVCWRQUVEUVERUVCUVCXIXJOUVEUXCUXCVW
      TVUIWTXJVUEVUOVXAVUJHVUEVXAUXCUVBIHFZEFUXCUVBEFZUXCIEFZHFVUOVUEVWTVXHUXCE
      UVNVWTVXHSVUDUVNUVDUVCUJFZIHFVWTVXHUVNUVDUVCIUVNUVDUYOVEUVNBVUBXKZUVNXMXN
      UVNVXKUVBIHUVNUVBUVCUVNUVBUYLVEZVXLXOXPXQOVDVUEUXCUVBIVUEBUWRUUSUYTUURVUD
      VUAXRZVWEXSZUVNUVBVJDVUDVXMOVUEXMXTVUEVXIVUNVXJUXCHVUEVXIUVAUXCBEFZEFVUNV
      UEUXCUVABVXOUVNUVAVJDVUDUVNUVAUYIVEOZVXNYAVUEUXKVXPUVAEVUEUYTVUDUXKVXPSVX
      NUVNVUDWSBUWQYBQVDYCVUEUXCVXOVQPYDXPVNOUVEVUHVUOVUJYEXAVUEUYAVUKSVUCVUEUX
      SVUHUXTVUJHVUEUXSUVAUXGEFZUWSHFZUVAUXIEFZUXAHFZHFVXRVXTHFZUXBHFVUHVUEUXPV
      XSUXRVYAHVUEUURVVDUXPVXSSVVEVVFAUWQYFQVUEUXRUVGUCUXHAEFZEFZUWTHFZEFUVGVYD
      EFZUXAHFVYAVUEUXQVYEUVGEVUEUURVVDUXQVYESVVEVVFAUWQYGQVDVUEUVGVYDUWTVUEABU
      URAVJDUUSVUDUURAUYGVEWQZVXNYHZVUEUCVJDVYCVJDVYDVJDYIVUEUXHAVUEUURVVDUXHVJ
      DVVEVVFUURVVDUGZUXHVVIVEQZVYGYJUCVYCYNUMVUEUURVVLUWTVJDVVEVVMUURVVLUGZUWT
      VVOVEQZXTVUEVYFVXTUXAHVUEVYFUVGUVAUXHEFZEFVXTVUEVYDVYMUVGEVUEVYDUXHUVAEFV
      YMVUEUCUXHAVUEYKVYJVYGYAVUEUXHUVAVYJVXQYLVGVDVUEUVGUVAUXHVYHVXQVYJYAVGXPY
      MPVUEVXRUWSVXTUXAVUEUVAUXGVXQVUEUURVVDUXGVJDVVEVVFVYIUXGVVGYOQZYJVUEUURVV
      LUWSVJDVVEVVMVYKUWSVVNYOQVUEUVAUXIVXQVUEUVGUXHVYHVYJYJZYJVUEUVGUWTVYHVYLY
      JYPVUEVYBVUGUXBHVUEVUGVYBVUEUVAUXGUXIVXQVYNVYOXTYQXPYMVUEUXTUXKBEFVXPBEFZ
      VUJVUEBUWQVXNVVTYRVUEUXKVXPBEVUEBUWRIUJFZGFUXKVXPVUEVYQUWQBGVUEUWQVJDZIVJ
      DVYQUWQSVUDVYRUVNUWQUUAUPUUEUWQIUUBUUCVDVUEBUWRVXNVWEYRXQXPVUEVYPUXCBBEFZ
      EFVUJVUEUXCBBVXOVXNVXNUUDVUEVYSVUIUXCEUVNVYSVUISVUDUVNVUIUVCVYSUVNUVCVXLU
      UFUVNBVUBUUGUUHOVDVGYMPOVNUUIUUJUUKUULUVORSZUWBUWIUVNVYTUWAUWHUVELVYTUVSU
      WFUVTUWGHVYTUVPUWCUVRUWEHUVORAJTVYTUVQUWDUVGEUVORAKTVDPUVORBGTPYSYTUVOISZ
      UWBUWPUVNWUAUWAUWOUVELWUAUVSUWMUVTUWNHWUAUVPUWJUVRUWLHUVOIAJTWUAUVQUWKUVG
      EUVOIAKTVDPUVOIBGTPYSYTUVOUWRSZUWBUXEUVNWUBUWAUXDUVELWUBUVSUXBUVTUXCHWUBU
      VPUWSUVRUXAHUVOUWRAJTWUBUVQUWTUVGEUVOUWRAKTVDPUVOUWRBGTPYSYTUAUBUUMZUWBUX
      MUVNWUCUWAUXLUVELWUCUVSUXJUVTUXKHWUCUVPUXGUVRUXIHUVOUWQAJTWUCUVQUXHUVGEUV
      OUWQAKTVDPUVOUWQBGTPYSYTUVOUXOSZUWBUYBUVNWUDUWAUYAUVELWUDUVSUXSUVTUXTHWUD
      UVPUXPUVRUXRHUVOUXOAJTWUDUVQUXQUVGEUVOUXOAKTVDPUVOUXOBGTPYSYTUVOCSZUWBUVM
      UVNWUEUWAUVLUVELWUEUVSUVJUVTUVKHWUEUVPUVFUVRUVIHUVOCAJTWUEUVQUVHUVGEUVOCA
      KTVDPUVOCBGTPYSYTUUNUUOUUP $.
  $}

  $( Lemma for ~ jm2.19 .  X and Y values are coprime.  (Contributed by Stefan
     O'Rear, 23-Sep-2014.) $)
  jm2.19lem1 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ M e. ZZ ) -> ( ( A rmX M ) gcd ( A
      rmY M ) ) = 1 ) $=
    ( c2 wcel cz crmx co cmul crmy cexp cmin cneg caddc wceq fovcl sqcld sqvald
    c1 cn zcnd cuz cfv wa cgcd frmx nn0cnd csquarenn rmspecnonsq eldifad adantr
    cn0 nncnd frmy mulcld negsubd oveq2d mulneg1d nnnegz mul12d 3eqtr3d oveq12d
    syl rmxynorm wi nn0zd zmulcld bezoutr1 syl22anc mpd ) ACUAUBZDZBEDZUCZABFGZ
    VNHGZABIGZACJGRKGZLZVPHGZHGZMGZRNZVNVPUDGRNZVMVNCJGZVQVPCJGZHGZLZMGWDWFKGWA
    RVMWDWFVMVNVMVNABUKVJEFUEOZUFZPVMVQWEVMVQVKVQSDZVLVKVQSUGAUHUIUJZULZVMVPVMV
    PABEVJEIUMOZTZPZUNUOVMWDVOWGVTMVMVNWIQVMVRWEHGVRVPVPHGZHGWGVTVMWEWPVRHVMVPW
    NQUPVMVQWEWLWOUQVMVRVPVPVMVRVMWJVREDWKVQURVBZTWNWNUSUTVAABVCUTVMVNEDZVPEDWR
    VSEDWBWCVDVMVNWHVEZWMWSVMVRVPWQWMVFVNVPVNVSVGVHVI $.

  $( Lemma for ~ jm2.19 .  (Contributed by Stefan O'Rear, 23-Sep-2014.) $)
  jm2.19lem2 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ M e. ZZ /\ N e. ZZ ) -> ( ( A rmY M
      ) || ( A rmY N ) <-> ( A rmY M ) || ( A rmY ( N + M ) ) ) ) $=
    ( wcel cz crmy co cdvds wbr crmx cmul caddc cgcd c1 wceq frmy fovcl 3adant3
    wb cn0 c2 cuz cfv w3a 3adant2 frmx nn0zd gcdcomd jm2.19lem1 eqtrd syl112anc
    coprmdvdsb nn0cnd zcnd mulcomd breq2d bitrd zmulcld dvdsmul2 syl2anc rmyadd
    dvdsadd2b 3com23 mulcld addcomd eqtr2d 3bitrd ) AUAUBUCZDZBEDZCEDZUDZABFGZA
    CFGZHIZVMVNABJGZKGZHIZVMACJGZVMKGZVQLGZHIZVMACBLGFGZHIVLVOVMVPVNKGZHIZVRVLV
    MEDZVNEDZVPEDVMVPMGZNOVOWESVIVJWFVKABEVHEFPQRZVIVKWGVJACEVHEFPQUEZVLVPVIVJV
    PTDVKABTVHEJUFQRZUGZVLWHVPVMMGZNVLVMVPWIWLUHVIVJWMNOVKABUIRUJVMVPVNULUKVLWD
    VQVMHVLVPVNVLVPWKUMZVLVNWJUNZUOUPUQVLWFVQEDVTEDVMVTHIZVRWBSWIVLVNVPWJWLURVL
    VSVMVLVSVIVKVSTDVJACTVHEJUFQUEZUGZWIURVLVSEDWFWPWRWIVSVMUSUTVMVQVTVBUKVLWAW
    CVMHVLWCVQVTLGZWAVIVKVJWCWSOACBVAVCVLVQVTVLVNVPWOWNVDVLVSVMVLVSWQUMVLVMWIUN
    VDVEVFUPVG $.

  ${
    $d A a b $.  $d M a b $.  $d N a b $.  $d I a b $.
    $( Lemma for ~ jm2.19 .  (Contributed by Stefan O'Rear, 26-Sep-2014.) $)
    jm2.19lem3 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ ( M e. ZZ /\ N e. ZZ ) /\ I e.
        NN0 ) -> ( ( A rmY M ) || ( A rmY N ) <-> ( A rmY M ) || ( A rmY ( N +
        ( I x. M ) ) ) ) ) $=
      ( wcel cz crmy co cdvds wbr cmul caddc wb cc0 oveq2d breq2d bibi2d imbi2d
      wi oveq1 va vb c2 cuz cfv wa cn0 cv wceq weq zcn ad2antrl mul02d ad2antll
      c1 cc addid1d eqtr2d w3a simp3 simprl simprrl simprrr nn0z adantr zmulcld
      zaddcld jm2.19lem2 syl3anc zcnd addassd nn0cn adddird mulid2d eqtrd bitrd
      1cnd 3adant3 3exp a2d nn0ind com12 3impia ) AUCUDUEEZCFEZDFEZUFZBUGEZACGH
      ZADGHZIJZWIADBCKHZLHZGHZIJZMZWHWDWGUFZWPWQWKWIADUAUHZCKHZLHZGHZIJZMZSWQWK
      WIADNCKHZLHZGHZIJZMZSWQWKWIADUBUHZCKHZLHZGHZIJZMZSWQWKWIADXIUOLHZCKHZLHZG
      HZIJZMZSWQWPSUAUBBWRNUIZXCXHWQYAXBXGWKYAXAXFWIIYAWTXEAGYAWSXDDLWRNCKTOOPQ
      RUAUBUJZXCXNWQYBXBXMWKYBXAXLWIIYBWTXKAGYBWSXJDLWRXICKTOOPQRWRXOUIZXCXTWQY
      CXBXSWKYCXAXRWIIYCWTXQAGYCWSXPDLWRXOCKTOOPQRWRBUIZXCWPWQYDXBWOWKYDXAWNWII
      YDWTWMAGYDWSWLDLWRBCKTOOPQRWQWJXFWIIWQDXEAGWQXEDNLHDWQXDNDLWQCWECUPEWDWFC
      UKULUMOWQDWFDUPEWDWEDUKUNUQUROPXIUGEZWQXNXTYEWQXNXTYEWQXNUSWKXMXSYEWQXNUT
      YEWQXMXSMXNYEWQUFZXMWIAXKCLHZGHZIJZXSYFWDWEXKFEXMYIMYEWDWGVAYEWDWEWFVBZYF
      DXJYEWDWEWFVCZYFXICYEXIFEWQXIVDVEYJVFZVGACXKVHVIYFYHXRWIIYFYGXQAGYFYGDXJC
      LHZLHXQYFDXJCYFDYKVJYFXJYLVJYFCYJVJZVKYFYMXPDLYFXPXJUOCKHZLHYMYFXIUOCYEXI
      UPEWQXIVLVEYFVQYNVMYFYOCXJLYFCYNVNOUROVOOPVPVRVPVSVTWAWBWC $.
  $}

  $( Lemma for ~ jm2.19 .  Extend to ZZ by symmetry.  TODO: use ~ zindbi .
     (Contributed by Stefan O'Rear, 26-Sep-2014.) $)
  jm2.19lem4 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ ( M e. ZZ /\ N e. ZZ ) /\ I e. ZZ )
      -> ( ( A rmY M ) || ( A rmY N ) <-> ( A rmY M ) || ( A rmY ( N + ( I x. M
      ) ) ) ) ) $=
    ( wcel cz wa crmy co cdvds wbr cmul caddc wb cn0 jm2.19lem3 ad2antrr cc zcn
    cneg c2 cuz cr wo elznn0 wi 3expia adantr simplll simprl simprr nn0z adantl
    cfv simplr recnd znegclb syl mpbird zmulcld zaddcld syl121anc cmin ad2antrl
    simpr mulneg1d oveq2d ad2antll mulcld addcld pncand 3eqtrd breq2d bitr2d ex
    negsubd jaod expimpd syl5bi 3impia ) AUAUBUNEZCFEZDFEZGZBFEZACHIZADHIZJKZWF
    ADBCLIZMIZHIJKZNZWEBUCEZBOEZBTZOEZUDZGWAWDGZWLBUEWRWMWQWLWRWMGZWNWLWPWRWNWL
    UFWMWAWDWNWLABCDPUGUHWSWPWLWSWPGZWKWFAWJWOCLIZMIZHIZJKZWHWTWAWBWJFEWPWKXDNW
    AWDWMWPUIWRWBWMWPWAWBWCUJQZWTDWIWRWCWMWPWAWBWCUKQWTBCWTWEWOFEZWPXFWSWOULUMW
    TBREWEXFNWTBWRWMWPUOUPZBUQURUSXEUTVAWSWPVEAWOCWJPVBWTXCWGWFJWTXBDAHWTXBWJWI
    TZMIWJWIVCIDWTXAXHWJMWTBCXGWRCREZWMWPWBXIWAWCCSVDQZVFVGWTWJWIWTDWIWRDREZWMW
    PWCXKWAWBDSVHQZWTBCXGXJVIZVJXMVPWTDWIXLXMVKVLVGVMVNVOVQVRVSVT $.

  $( Lemma 2.19 of [JonesMatijasevic] p. 696.  Transfer divisibility
     constraints between Y-values and their indices.  (Contributed by Stefan
     O'Rear, 24-Sep-2014.) $)
  jm2.19 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ M e. ZZ /\ N e. ZZ ) -> ( M || N <-> (
      A rmY M ) || ( A rmY N ) ) ) $=
    ( cfv wcel cz cdvds wbr crmy co wb cc0 wceq syl adantr oveq2d cabs ad2antrr
    clt syl2anc c2 cuz w3a wa rmyeq0 3adant2 0dvds 3ad2ant3 fovcl 3bitr4d simpr
    frmy breq1d simpl1 rmy0 eqtrd wne cmo 3adant3 dvds0 3ad2ant1 breqtrrd oveq2
    wi breq2d syl5ibrcom wn cle cr crp zre zcn 3ad2ant2 simplr absrpcld simpll1
    cc modlt simpll3 cn simpll2 nnabscl zmodcld nn0abscl ltrmynn0 syl3anc mpbid
    cn0 nn0zd rmyabs modcld modge0 absidd 3brtr4d nn0red ltnled dvdsleabs2 mtod
    necon3bid ex necon4ad impbid simpl2 simpl3 dvdsabsmod0 cmin cdiv cneg caddc
    modabsdifz znegcld jm2.19lem4 syl121anc recnd subcld divcld mulneg1d mulcld
    cmul negsubd divcan1d nncand 3eqtrrd bitr4d pm2.61dane ) AUAUBDZEZBFEZCFEZU
    CZBCGHZABIJZACIJZGHZKBLYJBLMZUDZLCGHZLYMGHZYKYNYJYQYRKYOYJCLMZYMLMZYQYRYGYI
    YSYTKYHACUEUFYIYGYQYSKYHCUGUHYJYMFEZYRYTKYGYIUUAYHACFYFFIULUIUFYMUGNUJOYPBL
    CGYJYOUKZUMYPYLLYMGYPYLALIJZLYPBLAIUUBPYPYGUUCLMZYGYHYIYOUNAUOZNUPUMUJYJBLU
    QZUDZCBQDZURJZLMZYLAUUIIJZGHZYKYNUUGUUJUULYJUUJUULVDUUFYJUULUUJYLUUCGHYJYLL
    UUCGYJYLFEZYLLGHYGYHUUMYIABFYFFIULUIUSZYLUTNYGYHUUDYIUUEVAVBUUJUUKUUCYLGUUI
    LAIVCVEVFOUUGUULUUILUUGUUILUQZUULVGUUGUUOUDZUULYLQDZUUKQDZVHHZUUPUURUUQSHUU
    SVGUUPUUKAUUHIJZUURUUQSUUPUUIUUHSHZUUKUUTSHZUUPCVIEZUUHVJEZUVAYJUVCUUFUUOYI
    YGUVCYHCVKUHZRZUUPBYJBVQEZUUFUUOYHYGUVGYIBVLVMZRYJUUFUUOVNZVOZCUUHVRTUUPYGU
    UIWHEUUHWHEZUVAUVBKYGYHYIUUFUUOVPZUUPCUUHYGYHYIUUFUUOVSUUPYHUUFUUHVTEYGYHYI
    UUFUUOWAZUVIBWBTWCZYJUVKUUFUUOYHYGUVKYIBWDVMRAUUIUUHWEWFWGUUPUURAUUIQDZIJZU
    UKUUPYGUUIFEZUURUVPMUVLUUPUUIUVNWIZAUUIWJTUUPUVOUUIAIUUPUUIUUPCUUHUVFUVJWKU
    UPUVCUVDLUUIVHHUVFUVJCUUHWLTWMPUPUUPYGYHUUQUUTMUVLUVMABWJTWNUUPUURUUQUUPUUR
    UUPUUKFEZUURWHEUUPYGUVQUVSUVLUVRAUUIFYFFIULUITZUUKWDNWOUUPUUQUUPUUMUUQWHEYJ
    UUMUUFUUOUUNRZYLWDNWOWPWGUUPUUMUVSUUKLUQZUULUUSVDUWAUVTUUPUUOUWBUUGUUOUKUUP
    UUILUUKLUUPYGUVQUUJUUKLMKUVLUVRAUUIUETWSWGYLUUKWQWFWRWTXAXBUUGYHYIUUFYKUUJK
    YGYHYIUUFXCZYGYHYIUUFXDZYJUUFUKZBCXEWFUUGYNYLACCUUIXFJZBXGJZXHZBXSJZXIJZIJZ
    GHZUULUUGYGYHYIUWHFEYNUWLKYGYHYIUUFUNUWCUWDUUGUWGUUGUVCBVIEZUUFUWGFEYJUVCUU
    FUVEOZYJUWMUUFYHYGUWMYIBVKVMOUWEBCXJWFXKAUWHBCXLXMUUGUUKUWKYLGUUGUUIUWJAIUU
    GUWJCUWGBXSJZXHZXIJCUWOXFJZUUIUUGUWIUWPCXIUUGUWGBUUGUWFBUUGCUUIYJCVQEUUFYJC
    UVEXNOZUUGUUIUUGCUUHUWNUUGBYJUVGUUFUVHOZUWEVOWKXNZXOZUWSUWEXPZUWSXQPUUGCUWO
    UWRUUGUWGBUXBUWSXRXTUUGUWQCUWFXFJUUIUUGUWOUWFCXFUUGUWFBUXAUWSUWEYAPUUGCUUIU
    WRUWTYBUPYCPVEYDUJYE $.

  $( Lemma for ~ jm2.20nn .  Express X and Y values as a binomial.
     (Contributed by Stefan O'Rear, 26-Sep-2014.) $)
  jm2.21 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ /\ J e. ZZ ) ->
      ( ( A rmX ( N x. J ) ) + ( ( sqrt ` ( ( A ^ 2 ) - 1 ) ) x. ( A rmY ( N x.
      J ) ) ) ) =
      ( ( ( A rmX N ) + ( ( sqrt ` ( ( A ^ 2 ) - 1 ) ) x. ( A rmY N ) ) ) ^ J )
      ) $=
    ( c2 cuz wcel cz cmul co crmx cexp c1 cmin csqrt crmy caddc wceq wa rmxyval
    cfv cc cc0 wne rmbaserp rpcnne0d expmulz sylan zmulcl sylan2 adantrr oveq1d
    3eqtr4d 3impb ) ADETFZCGFZBGFZACBHIZJIADKILMINTZAUQOIHIPIZACJIURACOIHIPIZBK
    IZQUNUOUPRZRZAURPIZUQKIZVDCKIZBKIZUSVAUNVDUAFVDUBUCRVBVEVGQUNVDAUDUEVDCBUFU
    GVBUNUQGFUSVEQCBUHAUQSUIVCUTVFBKUNUOUTVFQUPACSUJUKULUM $.

  $( what lemmas can be pulled out of these two to shrink them? $)

  ${
    $d A i x $.  $d N i x $.  $d J i x $.
    $( Lemma for ~ jm2.20nn .  Applying binomial theorem and taking irrational
       part.  (Contributed by Stefan O'Rear, 26-Sep-2014.)  (Revised by Stefan
       O'Rear, 6-May-2015.) $)
    jm2.22 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ /\ J e. NN0 ) ->
        ( A rmY ( N x. J ) ) = sum_ i e. { x e. ( 0 ... J ) | -. 2 || x }
            ( ( J _C i ) x. ( ( ( A rmX N ) ^ ( J - i ) ) x.
            ( ( ( A rmY N ) ^ i ) x. ( ( ( A ^ 2 ) - 1 ) ^ ( ( i - 1 ) / 2 ) )
        ) ) ) ) $=
      ( c2 wcel cz cn0 cmul co wbr cc0 cexp wceq cc zcnd a1i adantr adantrr cuz
      cfv w3a crmx cv cdvds cfz crab cbc cmin c1 csqrt crmy csu cdiv caddc nn0z
      wn wa jm2.21 syl3an3 fovcl 3adant3 nn0cnd eluzelz zsqcl peano2zm 3ad2ant1
      frmx 3syl sqrtcld mulcld simp3 binom syl3anc cin c0 rabnc cun rabxm fzfid
      frmy simpl3 elfzelz adantl bccl syl2anc fznn0sub expcld elfznn0 fsumsplit
      nn0zd cfn wss fzfi ssrab2 ssfi mp2an breq2 notbid elrab zexpcl syl2an cle
      simpr 1zzd n2dvds1 syl22anc wb 2z 2ne0 syl dvdsval2 mpbid 2re 2pos divge0
      elnn0z sylanbrc sylan2b mul12d mulcomd 2nn0 ad2antrl 2cnd divcan2d oveq2d
      cr expmuld sqsqrtd oveq1d 3eqtr4d eqtrd mulexpd 3eqtrd cq zmulcld fsumzcl
      sselid zssq omoe wne clt cn wo dvds0 ax-mp mpbiri con3i elnn0 sylib orel2
      zred sylc nnm1nn0 nn0ge0d fsummulc2 3eqtr3rd expm1t sumeq2dv rmspecsqrtnq
      eqtr2d cdif nn0ssq simp1 simp2 3ad2ant3 eqcomd biimpa nn0re sylan eqeltrd
      nn0ge0 qirropth syl122anc simprd ) BFUAUBZGZEHGZDIGZUCZBEDJKZUDKZFAUEZUFL
      ZAMDUGKZUHZDCUEZUIKZBEUDKZDUWHUJKZNKZBFNKZUKUJKZULUBZBEUMKZJKZUWHNKZJKZJK
      ZCUNZOZBUWBUMKZUWEURZAUWFUHZUWIUWLUWPUWHNKZUWNUWHUKUJKZFUOKZNKZJKZJKZJKZC
      UNZOZUWAUWCUWOUXCJKUPKZUXAUWOUXMJKZUPKZOZUXBUXNUSZUWAUXOUWJUWQUPKDNKZUWFU
      WTCUNZUXQUVTUVRUVSDHGZUXOUXTODUQZBDEUTVAUWAUWJPGUWQPGUVTUXTUYAOUWAUWJUVRU
      VSUWJIGUVTBEIUVQHUDVIVBVCZVDUWAUWOUWPUWAUWNUWAUWNUVRUVSUWNHGZUVTUVRBHGUWM
      HGUYEFBVEBVFUWMVGVJVHZQVKZUWAUWPUVRUVSUWPHGZUVTBEHUVQHUMWBVBVCZQVLUVRUVSU
      VTVMUWJUWQCDVNVOUWAUYAUXAUXEUWTCUNZUPKUXQUWAUWGUXEUWTUWFCUWGUXEVPVQOUWAUW
      EAUWFVRRUWFUWGUXEVSOUWAUWEAUWFVTRUWAMDWAUWAUWHUWFGZUSZUWIUWSUYLUWIUYLUVTU
      WHHGZUWIHGZUVRUVSUVTUYKWCUYKUYMUWAUWHMDWDZWEUVTUYMUSUWIUWHDWFWLWGZQZUYLUW
      LUWRUYLUWJUWKUYLUWJUWAUWJHGZUYKUWAUWJUYDWLSZQUYKUWKIGZUWAUWHMDWHWEZWIZUYL
      UWQUWHUYLUWOUWPUYLUWNUYLUWNUWAUYEUYKUYFSQZVKZUYLUWPUWAUYHUYKUYISQZVLUYKUW
      HIGZUWAUWHDWJZWEZWIVLVLWKUWAUYJUXPUXAUPUWAUXPUXEUWOUXLJKZCUNUYJUWAUXEUXLU
      WOCUXEWMGZUWAUWFWMGZUXEUWFWNVUJMDWOZUXDAUWFWPUWFUXEWQWRRZUYGUWHUXEGZUWAUY
      KFUWHUFLZURZUSZUXLPGUXDVUPAUWHUWFUWDUWHOUWEVUOUWDUWHFUFWSZWTXAZUWAVUQUSZU
      WIUXKUWAUYKUWIPGVUPUYQTZVUTUWLUXJUWAUYKUWLPGVUPVUBTZVUTUXFUXIUWAUYKUXFPGV
      UPUYLUXFUWAUYHVUFUXFHGZUYKUYIVUGUWPUWHXBXCZQTZVUTUWNUXHUWAUYKUWNPGZVUPVUC
      TZVUQUXHIGZUWAVUQUXHHGZMUXHXDLZVVHVUQFUXGUFLZVVIVUQUYMVUPUKHGFUKUFLURZVVK
      UYKUYMVUPUYOSUYKVUPXEVUQXFVVLVUQXGRUWHUKUUAXHVUQFHGZFMUUBZUXGHGZVVKVVIXIV
      VMVUQXJRVVNVUQXKRUYKVVOVUPUYKUYMVVOUYOUWHVGXLZSFUXGXMVOXNVUQUXGYHGZMUXGXD
      LFYHGZMFUUCLZVVJUYKVVQVUPUYKUXGVVPUUMSVUQUXGVUQUWHUUDGZUXGIGVUQUWHMOZURZV
      VTVWAUUEZVVTVUPVWBUYKVWAVUOVWAVUOFMUFLZVVMVWDXJFUUFUUGUWHMFUFWSUUHUUIWEVU
      QVUFVWCUYKVUFVUPVUGSUWHUUJUUKVWAVVTUULUUNZUWHUUOXLUUPVVRVUQXORVVSVUQXPRUX
      GFXQXHUXHXRXSZWEZWIZVLZVLZVLXTUUQUWAUXEVUIUWTCVUNUWAVUQVUIUWTOVUSVUTVUIUW
      IUWOUXKJKZJKUWTVUTUWOUWIUXKUWAUYKUWOPGZVUPVUDTZVVAVWJYAVUTVWKUWSUWIJVUTVW
      KUWLUWOUXJJKZJKUWSVUTUWOUWLUXJVWMVVBVWIYAVUTVWNUWRUWLJVUTUXFUWOUWHNKZJKZV
      WOUXFJKZVWNUWRVUTUXFVWOVVEUWAUYKVWOPGVUPUYLUWOUWHVUDVUHWITYBVUTVWNUXFUWOU
      XIJKZJKVWPVUTUWOUXFUXIVWMVVEVWHYAVUTVWRVWOUXFJVUTUXIUWOJKUWOUXGNKZUWOJKZV
      WRVWOVUTUXIVWSUWOJVUTUWOFUXHJKZNKUWOFNKZUXHNKVWSUXIVUTUWOFUXHVWMVWGFIGZVU
      TYCRYIVUTVXAUXGUWONVUTUXGFUYKUXGPGUWAVUPUYKUXGVVPQYDVUTYEVVNVUTXKRYFYGVUT
      VXBUWNUXHNVUTUWNVVGYJYKUURYKVUTUWOUXIVWMVWHYBVUTVWLVVTVWOVWTOVWMVUQVVTUWA
      VWEWEUWOUWHUUSWGYLYGYMUWAUYKUWRVWQOVUPUYLUWOUWPUWHVUDVUEVUHYNTYLYGYMYGYMX
      TUUTUVBYGYMYOUWAUWOPYPUVCGZUWCYPGUXCYPGUXAYPGUXMYPGUXRUXSXIUVRUVSVXDUVTBU
      VAVHUWAIYPUWCUVDUWAUVRUWBHGZUWCIGUVRUVSUVTUVEZUWAEDUVRUVSUVTUVFUVTUVRUYBU
      VSUYCUVGYQZBUWBIUVQHUDVIVBWGYSUWAHYPUXCYTUWAUVRVXEUXCHGVXFVXGBUWBHUVQHUMW
      BVBWGYSUWAHYPUXAYTUWAUWGUWTCUWGWMGZUWAVUKUWGUWFWNVXHVULUWEAUWFWPUWFUWGWQW
      RRUWHUWGGUWAUYKVUOUSZUWTHGUWEVUOAUWHUWFVURXAUWAVXIUSZUWIUWSUWAUYKUYNVUOUY
      PTVXJUWLUWRUWAUYKUWLHGZVUOUYLUYRUYTVXKUYSVUAUWJUWKXBWGZTVXJUWRUWNUWHFUOKZ
      NKZUXFJKZHVXJUWRVWQVXOVXJUWOUWPUWHUWAUYKVWLVUOVUDTZUWAUYKUWPPGVUOVUETUYKV
      UFUWAVUOVUGYDYNVXJVWOVXNUXFJVXJVWOUWOFVXMJKZNKVXBVXMNKVXNVXJUWHVXQUWONUWA
      UYKUWHVXQOVUOUYLVXQUWHUYLUWHFUYKUWHPGUWAUYKUWHUYOQWEUYLYEVVNUYLXKRYFUVHTY
      GVXJUWOFVXMVXPVXIVXMIGZUWAUYKVUFVUOVXRVUGVUFVUOUSZVXMHGZMVXMXDLZVXRVUFVUO
      VXTVUFVVMVVNUYMVUOVXTXIVVMVUFXJRVVNVUFXKRUWHUQFUWHXMVOUVIVXSUWHYHGZMUWHXD
      LZVVRVVSVYAVUFVYBVUOUWHUVJSVUFVYCVUOUWHUVMSVVRVXSXORVVSVXSXPRUWHFXQXHVXMX
      RXSUVKZWEVXCVXJYCRYIVXJVXBUWNVXMNVXJUWNUWAUYKVVFVUOVUCTYJYKYOYKYMVXJVXNUX
      FUWAUYEVXRVXNHGVXIUYFVYDUWNVXMXBXCUWAUYKVVCVUOVVDTYQUVLYQYQXTYRYSUWAHYPUX
      MYTUWAUXEUXLCVUMVUNUWAVUQUXLHGVUSVUTUWIUXKUWAUYKUYNVUPUYPTVUTUWLUXJUWAUYK
      VXKVUPVXLTVUTUXFUXIUWAUYKVVCVUPVVDTUWAUYEVVHUXIHGVUQUYFVWFUWNUXHXBXCYQYQY
      QXTYRYSUWOUWCUXCUXAUXMUVNUVOXNUVP $.
  $}

  ${
    $d A a b $.  $d N a b $.  $d J a b $.
    $( Lemma for ~ jm2.20nn .  Truncate binomial expansion p-adicly.
       (Contributed by Stefan O'Rear, 26-Sep-2014.) $)
    jm2.23 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ /\ J e. NN ) -> ( ( A rmY N )
        ^ 3 ) || ( ( A rmY ( N x. J ) ) - ( J x. ( ( ( A rmX N ) ^ ( J - 1 ) )
        x. ( A rmY N ) ) ) ) ) $=
      ( va c2 wcel cz co c3 cexp cdvds wbr c1 cmul a1i wa cn0 syl cc0 cc vb cuz
      cfv cn w3a crmy cv wn cfz crab cbc crmx cmin cdiv csu cfn wss fzfi ssrab2
      ssfi mp2an nnnn0 sseli elfzelz bccl syl2an nn0zd simpl1 simpl2 frmx fovcl
      3ad2ant3 syl2anc adantl fznn0sub zexpcl rmspecnonsq eldifad nnzd 3ad2ant1
      csquarenn cle wceq breq2 notbid simprbi 1zzd n2dvds1 omoe syl22anc wne wb
      elrab 2ne0 peano2zm dvdsval2 syl3anc mpbid clt zred 0red elfzle1 sylanbrc
      2z 3re nnm1nn0 nn0ge0d 2re 2pos elnn0z sylancl zmulcld 3adant3 3nn0 caddc
      cr wo simpr adantr ad2antlr biimpi 1z mpbiri pm2.21dd jaodan ax-mp nn0cnd
      elfzd expcld expcl mulcld mulassd oveq2d oveq1d 3eqtrd eqtrd eqtr2d oveq2
      zcnd oveq12d 3pos ltletrd elnnz divge0 frmy elfzel1 zsubcld subge0 mpbird
      fsumzcl dvdsmul2 csn jm2.22 syl3an3 cin 1lt3 1re ltnlei mpbi mto intnanrd
      c0 sylnibr disjsn sylibr cun olcd ad2antrr elfznn0 simplrr elnn1uz2 df-ne
      3z nnz pm2.21d imp uzp1 dvdsmul1 2t1e2 breqtri eluzle 2p1e3 fveq2i eleq2s
      sylan2 sylan2b dvds0 elnn0 mpjaodan elfzle2 orcd pm2.61dane nn0uz eleqtri
      jca fzss1 anim1i 0le1 nnge1 eleq1 anbi12d mpbir2and impbida velsn orbi12i
      0zd elun bitri 3bitr4g eqrdv rmspecpos rpcnd wi con3dimp sylbi orel2 sylc
      fsumsplit fsummulc1 mulcomd expaddd 3cn npcan eqtr3d sumeq2dv 1nn0 oveq1i
      1nn 1m1e0 div0i eqtri 0nn0 eqeltri oveq1 sumsn sylancr eqcomd exp1d exp0d
      2cn bcn1 mulid1d fsumcl pncand breqtrrd ) AEUBUCZFZCGFZBUDFZUEZACUFHZIJHZ
      EUAUGZKLZUHZUAIBUIHZUJZBDUGZUKHZACULHZBVURUMHZJHZAEJHMUMHZVURMUMHZEUNHZJH
      ZVUKVURIUMHZJHZNHZNHZNHZDUOZVULNHZACBNHUFHZBVUTBMUMHZJHZVUKNHZNHZUMHZKVUJ
      VVLGFVULGFZVULVVMKLVUJVUQVVKDVUQUPFZVUJVUPUPFVUQVUPUQVWAIBURVUOUAVUPUSZVU
      PVUQUTVAOZVUJVURVUQFZPZVUSVVJVWEVUSVUJBQFZVURGFZVUSQFZVWDVUIVUGVWFVUHBVBZ
      VLZVWDVURVUPFZVWGVUQVUPVURVWBVCZVURIBVDZRZVURBVEZVFZVGVWEVVBVVIVWEVUTGFVV
      AQFZVVBGFVWEVUTVWEVUGVUHVUTQFZVUGVUHVUIVWDVHZVUGVUHVUIVWDVIZACQVUFGULVJVK
      ZVMVGVWEVWKVWQVWDVWKVUJVWLVNVURIBVORZVUTVVAVPVMVWEVVFVVHVUJVVCGFZVVEQFZVV
      FGFVWDVUGVUHVXCVUIVUGVVCVUGVVCUDWAAVQVRVSVTVWDVVEGFZSVVEWBLZVXDVWDEVVDKLZ
      VXEVWDVWGEVURKLZUHZMGFZEMKLZUHZVXGVWNVWDVWKVXIVUOVXIUAVURVUPVUMVURWCVUNVX
      HVUMVUREKWDWEZWMZWFVWDWGVXLVWDWHOVURMWIZWJVWDEGFZESWKZVVDGFZVXGVXEWLZVXPV
      WDXDOVXQVWDWNOVWDVWGVXRVWNVURWOZRZEVVDWPZWQWRVWDVVDXPFZSVVDWBLZEXPFZSEWSL
      ZVXFVWDVVDVYAWTVWDVWKVYDVWLVWKVVDVWKVURUDFZVVDQFZVWKVWGSVURWSLVYGVWMVWKSI
      VURVWKXAIXPFZVWKXEOVWKVURVWMWTZSIWSLVWKUUAOVURIBXBZUUBVURUUCXCVURXFZRXGRV
      YEVWDXHOVYFVWDXIOVVDEUUDZWJVVEXJZXCZVVCVVEVPVFVWEVUKGFZVVGQFZVVHGFVWEVUGV
      UHVYPVWSVWTACGVUFGUFUUEVKZVMVWDVYQVUJVWDVWKVYQVWLVWKVVGGFSVVGWBLZVYQVWKVU
      RIVWMVURIBUUFUUGVWKVYSIVURWBLZVYKVWKVURXPFVYIVYSVYTWLVYJXEVURIUUHXKUUIVVG
      XJXCRZVNZVUKVVGVPVMXLXLXLZUUJVUJVYPIQFZVVTVUGVUHVYPVUIVYRXMZXNVUKIVPXKVVL
      VULUUKVMVUJVVSVVMBMUKHZVVPVUKMJHZVVCMMUMHZEUNHZJHZNHZNHZNHZXOHZWUMUMHVVMV
      UJVVNWUNVVRWUMUMVUJVVNVUOUASBUIHZUJZVUSVVBVUKVURJHZVVFNHZNHZNHZDUOZVUQWUT
      DUOZMUULZWUTDUOZXOHWUNVUIVUGVUHVWFVVNWVAWCVWIUAADBCUUMUUNVUJVUQWVCWUTWUPD
      VUJMVUQFZUHVUQWVCUUOUVBWCVUJMVUPFZVXLPWVEVUJWVFVXLWVFUHVUJWVFIMWBLZMIWSLW
      VGUHUUPMIUUQXEUURUUSMIBXBUUTOUVAVUOVXLUAMVUPVUMMWCVUNVXKVUMMEKWDWEWMUVCVU
      QMUVDUVEVUJDWUPVUQWVCUVFZVUJVURWUOFZVXIPZVWKVXIPZVURMWCZXQZVURWUPFZVURWVH
      FZVUJWVJWVMVUJWVJPZWVMVURMWVPWVLPWVLWVKWVPWVLXRUVGWVPVURMWKZPZWVKWVLWVRVW
      KVXIWVRVURIBIGFWVRUVMOVUJBGFZWVJWVQVUIVUGWVSVUHBUVNVLZUVHWVJVWGVUJWVQWVIV
      WGVXIVURSBVDZXSXTWVRVURQFZVXIWVQVYTWVJWWBVUJWVQWVIWWBVXIVURBUVIZXSXTVUJWV
      IVXIWVQUVJZWVPWVQXRWWBVXIWVQUEZVYGVYTVURSWCZVYGWWEWVLVURVUFFZXQVYTVURUVKW
      WEWVLVYTWWGWWEWVLVYTWWEWVLVYTWVQWWBWVLUHZVXIWVQWWHVURMUVLYAVLUVOUVPWWGWWE
      VUREWCZVUREMXOHZUBUCZFZXQVYTEVURUVQWWEWWIVYTWWLWWEWWIPZVXHVYTWWMVXHEEKLZE
      EMNHZEKVXPVXJEWWOKLXDYBEMUVRVAUVSUVTWWIVXHWWNWLWWEVUREEKWDVNYCWWBVXIWVQWW
      IVIYDWWLVYTWWEVYTVURIUBUCWWKIVURUWAWWJIUBUWBUWCUWDVNYEUWEYEUWFWWEWWFPVXHV
      YTWWFVXHWWEWWFVXHESKLZVXPWWPXDEUWGYFVURSEKWDYCZVNWWBVXIWVQWWFVIYDWWBVXIVY
      GWWFXQZWVQWWBWWRVURUWHYAZVTUWIWQWVJVURBWBLZVUJWVQWVIWWTVXIVURSBUWJXSXTYHW
      WDUWOUWKUWLVUJWVKWVJWVLWVKWVJVUJVWKWVIVXIVUPWUOVURISUBUCZFVUPWUOUQIQWXAXN
      UWMUWNISBUWPYFVCUWQVNVUJWVLPZWVJMWUOFZVXLWXBMSBWXBUXFVUJWVSWVLWVTXSWXBWGS
      MWBLWXBUWROVUJMBWBLZWVLVUIVUGWXDVUHBUWSVLXSYHVXLWXBWHOWVLWVJWXCVXLPWLVUJW
      VLWVIWXCVXIVXLVURMWUOUWTWVLVXHVXKVURMEKWDWEUXAVNUXBYEUXCVUOVXIUAVURWUOVXM
      WMZWVOVWDVURWVCFZXQWVMVURVUQWVCUXGVWDWVKWXFWVLVXNDMUXDUXEUXHUXIUXJWUPUPFZ
      VUJWUOUPFWUPWUOUQWXGSBURVUOUAWUOUSZWUOWUPUTVAOVUJWVNPZVUSWUSWXIVUSVUJVWFV
      WGVWHWVNVWJWVNWVIVWGWUPWUOVURWXHVCZWWARZVWOVFYGWXIVVBWURWXIVUTVVAVUJVUTTF
      ZWVNVUJVUTVUGVUHVWRVUIVXAXMYGZXSWXIWVIVWQWVNWVIVUJWXJVNVURSBVORYIWXIWUQVV
      FVUJVUKTFZWWBWUQTFWVNVUJVUKWUEYSZWVNWVIWWBWXJWWCRZVUKVURYJVFVUJVVCTFZVXDV
      VFTFZWVNVUGVUHWXQVUIVUGVVCAUXKUXLVTZWVNVXEVXFVXDWVNVXGVXEWVNVWGVXIVXJVXLV
      XGWXKWVNWVIVXIWXEWFWVNWGVXLWVNWHOVXOWJWVNVXPVXQVXRVXSVXPWVNXDOVXQWVNWNOWV
      NVWGVXRWXKVXTRZVYBWQWRWVNVYCVYDVYEVYFVXFWVNVVDWXTWTWVNVVDWVNVYGVYHWVNWWFU
      HZWWRVYGWVNWVJWYAWXEWVIWWFVXHWWFVXHUXMWVIWWQOUXNUXOWVNWWBWWRWXPWWSRWWFVYG
      UXPUXQVYLRXGVYEWVNXHOVYFWVNXIOVYMWJVYNXCVVCVVEYJZVFYKYKYKUXRVUJWVBVVMWVDW
      UMXOVUJVVMVUQVVKVULNHZDUOWVBVUJVUQVVKVULDVWCVUJWXNWUDVULTFZWXOXNVUKIYJXKZ
      VWEVVKWUCYSZUXSVUJVUQWYCWUTDVWEWYCVUSVVJVULNHZNHWUTVWEVUSVVJVULVWEVUSVWPY
      GVWEVVBVVIVWEVUTVVAVUJWXLVWDWXMXSVXBYIZVWEVVFVVHVUJWXQVXDWXRVWDWXSVYOWYBV
      FZVUJWXNVYQVVHTFVWDWXOWUAVUKVVGYJVFZYKZYKVUJWYDVWDWYEXSZYLVWEWYGWUSVUSNVW
      EWYGVVBVVIVULNHZNHWUSVWEVVBVVIVULWYHWYKWYLYLVWEWYMWURVVBNVWEWYMVVFVVHVULN
      HZNHWYNVVFNHWURVWEVVFVVHVULWYIWYJWYLYLVWEVVFWYNWYIVWEVVHVULWYJWYLYKUXTVWE
      WYNWUQVVFNVWEVUKVVGIXOHZJHWYNWUQVWEVUKVVGIVUJWXNVWDWXOXSWUDVWEXNOWUBUYAVW
      EWYOVURVUKJVWEVURTFITFWYOVURWCVWEVURVWDVWGVUJVWNVNYSUYBVURIUYCXKYMUYDYNYO
      YMYPYMYPUYEYQVUJMUDFWUMTFWVDWUMWCUYHVUJWUFWULVUIVUGWUFTFVUHVUIWUFVUIVWFVX
      JWUFQFVWIYBMBVEXKYGVLVUJVVPWUKVUJVUTVVOWXMVUIVUGVVOQFVUHBXFVLYIVUJWUGWUJV
      UJWXNMQFWUGTFWXOUYFVUKMYJXKVUJWXQWUIQFWUJTFWXSWUISQWUISEUNHSWUHSEUNUYIUYG
      EUYTWNUYJUYKZUYLUYMVVCWUIYJXKYKYKYKZWUTWUMDMUDWVLVUSWUFWUSWULNVURMBUKYRWV
      LVVBVVPWURWUKNWVLVVAVVOVUTJVURMBUMYRYMWVLWUQWUGVVFWUJNVURMVUKJYRWVLVVEWUI
      VVCJWVLVVDWUHEUNVURMMUMUYNYNYMYTYTYTUYOUYPYTYOVUJBWUFVVQWULNVUJWUFBVUJVWF
      WUFBWCVWJBVUARUYQVUJVUKWUKVVPNVUJWUKVUKMNHVUKVUJWUGVUKWUJMNVUJVUKWXOUYRVU
      JWUJVVCSJHMVUJWUISVVCJWUISWCVUJWYPOYMVUJVVCWXSUYSYPYTVUJVUKWXOVUBYQYMYTYT
      VUJVVMWUMVUJVVLVULVUJVUQVVKDVWCWYFVUCWYEYKWYQVUDYPVUE $.
  $}

  $( Lemma 2.20 of [JonesMatijasevic] p. 696, the "first step down lemma".
     (Contributed by Stefan O'Rear, 27-Sep-2014.) $)
  jm2.20nn $p |- ( ( A e. ( ZZ>= ` 2 ) /\ M e. NN /\ N e. NN ) -> ( ( ( A rmY N
      ) ^ 2 ) || ( A rmY M ) <-> ( N x. ( A rmY N ) ) || M ) ) $=
    ( c2 wcel crmy co cdvds wbr cmul cz syl2anc zcnd adantr c1 cmin syl3anc cc0
    wb c3 cuz cfv cn w3a cexp wa cdiv simp1 nnz 3ad2ant3 frmy fovcl sqvald crmx
    cc cgcd wceq zsqcl syl cn0 nn0zd simpr eqbrtrrd wi 3ad2ant2 muldvds1 simpl1
    frmx mpd jm2.19 mpbird simpl2 simpl3 nndivdvds mpbid nnm1nn0 zexpcl zmulcld
    nnzd nncn wne nnne0 divcan2d oveq2d eqeltrd zsubcld 3nn0 a1i cle 3z 2re 3re
    2nn0 ltleii 2z eluz1i mpbir2an dvdsexp jm2.23 dvdstrd dvds2sub imp syl32anc
    oveq1d nncand eqtrd breqtrd gcdcomd jm2.19lem1 rpexp12i syl112anc coprmdvds
    2lt3 mul12d clt 3ad2ant1 nngt0 0zd ltrmy elnnz sylanbrc dvdsmulcr dvdscmulr
    rmy0 dvdsmul2 dvdssub2 syl31anc impbida ) ADUAUBZEZBUCEZCUCEZUDZACFGZDUEGZA
    BFGZHIZCYNJGZBHIZYMYQUFZYRCBCUGGZJGZBHYTYRUUBHIZYNUUAHIZYTYNYNJGZUUAYNJGZHI
    ZUUDYTYOUUEUUFHYTYNYMYNUOEYQYMYNYMYJCKEZYNKEZYJYKYLUHZYLYJUUHYKCUIUJZACKYIK
    FUKULLZMZNZUMYTYOKEZACUNGZUUAOPGZUEGZKEZUUFKEZYOUURUUFJGZHIZYOUURUPGOUQZYOU
    UFHIZYMUUOYQYMUUIUUOUULYNURUSZNZYTUUPKEZUUQUTEZUUSYMUVGYQYMUUPYMYJUUHUUPUTE
    UUJUUKACUTYIKUNVHULLVAZNZYTUUAUCEZUVHYTCBHIZUVKYTUVLYNYPHIZYTUUEYPHIZUVMYTY
    OUUEYPHYMYOUUEUQYQYMYNUUMUMZNYMYQVBZVCYMUVNUVMVDZYQYMUUIUUIYPKEZUVQUULUULYM
    YJBKEZUVRUUJYKYJUVSYLBUIVEZABKYIKFUKULLZYNYNYPVFQNVIYTYJUUHUVSUVLUVMSYJYKYL
    YQVGZYMUUHYQUUKNZYMUVSYQUVTNACBVJQVKYTYKYLUVLUVKSYJYKYLYQVLYJYKYLYQVMBCVNLV
    OZUUAVPUSZUUPUUQVQLZYTUUAYNYTUUAUWDVSZYMUUIYQUULNZVRYTYOYPAUUBFGZUUAUURYNJG
    ZJGZPGZPGZUVAHYTUUOUVRUWLKEZYQYOUWLHIZYOUWMHIZUVFYMUVRYQUWANYTUWIUWKYMUWIKE
    YQYMUWIYPKYMUUBBAFYMBCYKYJBUOEYLBVTVEYLYJCUOEYKCVTUJYLYJCRWAZYKCWBUJZWCZWDU
    WAWENYTUUAUWJUWGYTUURYNUWFUWHVRVRZWFZUVPYTYOYNTUEGZUWLUVFYMUXBKEZYQYMUUITUT
    EZUXCUULUXDYMWGWHYNTVQLZNUXAYMYOUXBHIZYQYMUUIDUTEZTYIEZUXFUULUXGYMWMWHUXHYM
    UXHTKEDTWIIWJDTWKWLXMWNDTWOWPWQWHYNDTWRQZNYTYJUUHUVKUXBUWLHIUWBUWCUWDAUUACW
    SQWTUUOUVRUWNUDYQUWOUFUWPYOYPUWLXAXBXCYTUWMYPYPUWKPGZPGZUVAYTUWLUXJYPPYTUWI
    YPUWKPYTUUBBAFYMUUBBUQYQUWSNZWDXDWDYTUXKUWKUVAYTYPUWKYMYPUOEYQYMYPUWAMNYTUW
    KUWTMXEYTUUAUURYNYTUUAUWGMYTUURUWFMUUNXNXFXFXGYTYNUUPUPGZOUQZUVCYMUXNYQYMUX
    MUUPYNUPGZOYMYNUUPUULUVIXHYMYJUUHUXOOUQUUJUUKACXILXFNYTUUIUVGUXGUVHUXNUVCVD
    UWHUVJUXGYTWMWHUWEYNUUPDUUQXJXKVIUUOUUSUUTUDUVBUVCUFUVDYOUURUUFXLXBXCVCYTUU
    IUUAKEZUUIYNRWAZUUGUUDSUWHUWGUWHYMUXQYQYMYNUCEZUXQYMUUIRYNXOIUXRUULYMARFGZR
    YNXOYJYKUXSRUQYLAYDXPYMRCXOIZUXSYNXOIZYLYJUXTYKCXQUJYMYJRKEUUHUXTUYASUUJYMX
    RUUKARCXSQVOVCYNXTYAZYNWBUSNYNYNUUAYBXKVOYTUUIUXPUUHUWQUUCUUDSUWHUWGUWCYMUW
    QYQUWRNCYNUUAYCXKVKUXLXGYMYSUFZYOAYRFGZYPYMUUOYSUVENYMUYDKEZYSYMYJYRKEZUYEU
    UJYMCYNUUKUULVRZAYRKYIKFUKULLZNYMUVRYSUWANYMYOUYDHIZYSYMUYIYOYNUUPYNOPGZUEG
    ZYNJGZJGZHIZYMYOUYKYOJGZUYMHYMUYKKEZUUOYOUYOHIYMUVGUYJUTEZUYPUVIYMUXRUYQUYB
    YNVPUSUUPUYJVQLZUVEUYKYOYELYMUYOUYKUUEJGUYMYMYOUUEUYKJUVOWDYMUYKYNYNYMUYKUY
    RMUUMUUMXNXFXGYMUUOUYEUYMKEYOUYDUYMPGZHIUYIUYNSUVEUYHYMYNUYLUULYMUYKYNUYRUU
    LVRVRZYMYOUXBUYSUVEUXEYMUYDUYMUYHUYTWFUXIYMYJUUHUXRUXBUYSHIUUJUUKUYBAYNCWSQ
    WTYOUYDUYMYFYGVKNUYCYSUYDYPHIZYMYSVBUYCYJUYFUVSYSVUASYJYKYLYSVGYMUYFYSUYGNY
    MUVSYSUVTNAYRBVJQVOWTYH $.

  $( Lemma for ~ jm2.26 .  (Contributed by Stefan O'Rear, 2-Oct-2014.) $)
  jm2.25lem1 $p |- ( ( ( A e. ZZ /\ B e. ZZ ) /\ ( C e. ZZ /\ D e. ZZ ) /\ ( A
      || ( C - D ) \/ A || ( C - -u D ) ) ) ->
          ( ( A || ( D - B ) \/ A || ( D - -u B ) ) <-> ( A || ( C - B ) \/ A
      || ( C - -u B ) ) ) ) $=
    ( cz wcel wa cmin co cdvds wbr cneg wo simpl1l simpl2l simpl2r simpl3 simpr
    simpl1r acongtr w3a syl222anc acongsym syl31anc impbida ) AEFZBEFZGZCEFZDEF
    ZGZACDHIJKACDLHIJKMZUAZADBHIJKADBLZHIJKMZACBHIJKACUNHIJKMZUMUOGUFUIUJUGULUO
    UPUFUGUKULUONUIUJUHULUOOUIUJUHULUOPUFUGUKULUOSUHUKULUOQUMUORACDBTUBUMUPGZUF
    UJUIUGADCHIJKADCLHIJKMZUPUOUFUGUKULUPNZUIUJUHULUPPZUIUJUHULUPOZUFUGUKULUPSU
    QUFUIUJULURUSVAUTUHUKULUPQACDUCUDUMUPRADCBTUBUE $.

  ${
    $d A a b $.  $d M a b $.  $d N a b $.  $d I a b $.
    $( Lemma for ~ jm2.26 .  Remainders mod X(2n) are negaperiodic mod 2n.
       (Contributed by Stefan O'Rear, 2-Oct-2014.) $)
    jm2.25 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ ( M e. ZZ /\ N e. ZZ ) /\ I e. ZZ )
        -> ( ( A rmX N ) || ( ( A rmY ( M + ( I x. ( 2 x. N ) ) ) ) - ( A rmY M
        ) ) \/ ( A rmX N ) || ( ( A rmY ( M + ( I x. ( 2 x. N ) ) ) ) - -u ( A
        rmY M ) ) ) ) $=
      ( c2 wcel cz co cmul caddc crmy cmin cdvds wbr syl2anc wceq oveq2d oveq1d
      c1 zcnd va vb cuz cfv wa crmx cneg wo cc0 simprl simprrr frmx fovcl nn0zd
      wi cn0 simprrl frmy congid 2cnd mulcld mul02d adantl addid1d adantr eqtrd
      ad2antll breqtrrd orcd ex cv wb peano2zd eluzel2 ad2antrl zmulcld zaddcld
      zcn simpl znegcld zsubcld dvdsmul2 cexp rmxdbl nn0cnd sqcld npcand sqvald
      cc w3a mulass eqcomd syl3anc 3eqtrd dvdsmultr2 mpd mulid1d adddid subnegd
      1cnd 3eqtr4d breqtrd rmydbl mul32d dvds2addd adddird 1zzd addassd mulid2d
      3eqtr2d rmyadd addsubd jm2.25lem1 syl221anc pm5.74da oveq1 breq2d orbi12d
      olcd weq imbi2d zindbi mpbid impcom 3impa ) AEUCUDZFZCGFZDGFZUEZBGFZADUFH
      ZACBEDIHZIHZJHZKHZACKHZLHZMNZYLYPYQUGZLHZMNZUHZYKYGYJUEZUUCYKUUDYLACUIYMI
      HZJHZKHZYQLHZMNZYLUUGYTLHZMNZUHZUOZUUDUUCUOZYKUUDUULYKUUDUEZUUIUUKUUOYLYQ
      YQLHZUUHMUUOYLGFZYQGFZYLUUPMNUUOYGYIUUQYKYGYJUJZYKYGYHYIUKYGYIUEYLADUPYFG
      UFULUMZUNZOUUOYGYHUURUUSYKYGYHYIUQACGYFGKURUMZOYLYQUSOUUOUUGYQYQLUUOUUFCA
      KYJUUFCPYKYGYJUUFCUIJHZCYJUUEUICJYIUUEUIPYHYIYMYIEDYIUTDVRVAVBVCQYHUVCCPY
      IYHCCVRVDVEVFVGQRVHVIVJUUDYLACUAVKZYMIHZJHZKHZYQLHZMNZYLUVGYTLHZMNZUHZUOU
      UDYLACUBVKZYMIHZJHZKHZYQLHZMNZYLUVPYTLHZMNZUHZUOUUDYLACUVMSJHZYMIHZJHZKHZ
      YQLHZMNZYLUWEYTLHZMNZUHZUOUUMUUNUAUBBUVMGFZUUDUWAUWJUWKUUDUEZUUQUURUWEGFZ
      UVPGFZYLUWEUVPLHMNZYLUWEUVPUGZLHZMNZUHUWAUWJVLUWLYGYIUUQUWKYGYJUJZUWKYGYH
      YIUKZUVAOZUWLYGYHUURUWSUWKYGYHYIUQZUVBOUWLYGUWDGFUWMUWSUWLCUWCUXBUWLUWBYM
      UWLUVMUWKUUDVSZVMUWLEDYGEGFUWKYJEAVNVOZUWTVPZVPVQAUWDGYFGKURUMOUWLYGUVOGF
      ZUWNUWSUWLCUVNUXBUWLUVMYMUXCUXEVPZVQZAUVOGYFGKURUMOZUWLUWRUWOUWLYLUVPAYMU
      FHZIHZUWPLHZAUVOUFHZAYMKHZIHZJHZUWQMUWLYLUXLUXOUXAUWLUXKUWPUWLUVPUXJUXIUW
      LYGYMGFZUXJGFUWSUXEYGUXQUEUXJAYMUPYFGUFULUMUNOZVPZUWLUVPUXIVTZWAUWLUXMUXN
      UWLYGUXFUXMGFZUWSUXHYGUXFUEUXMAUVOUPYFGUFULUMUNOZUWLYGUXQUXNGFZUWSUXEAYMG
      YFGKURUMOZVPZUWLYLUVPUXJSJHZIHZUXLMUWLYLUYFMNZYLUYGMNZUWLYLEYLIHZYLIHZUYF
      MUWLUYJGFUUQYLUYKMNUWLEYLUXDUXAVPUXAUYJYLWBOUWLUYFEYLEWCHZIHZSLHZSJHUYMUY
      KUWLUXJUYNSJUWLYGYIUXJUYNPUWSUWTADWDORUWLUYMSUWLEUYLUWLUTZUWLYLUWLYLUWLYG
      YIYLUPFUWSUWTUUTOWEZWFVAUWLWTZWGUWLUYMEYLYLIHZIHZUYKUWLUYLUYREIUWLYLUYPWH
      QUWLEWIFZYLWIFZVUAUYSUYKPUYOUYPUYPUYTVUAVUAWJUYKUYSEYLYLWKWLWMVFWNVHUWLUU
      QUWNUYFGFUYHUYIUOUXAUXIUWLUXJUXRVMYLUVPUYFWOWMWPUWLUXKUVPSIHZJHUXKUVPJHUY
      GUXLUWLVUBUVPUXKJUWLUVPUWLUVPUXITZWQQUWLUVPUXJSVUCUWLUXJUXRTUYQWRUWLUXKUV
      PUWLUXKUXSTZVUCWSXAXBUWLYLUXNMNZYLUXOMNZUWLYLEADKHZIHZYLIHZUXNMUWLVUHGFUU
      QYLVUIMNUWLEVUGUXDUWLYGYIVUGGFUWSUWTADGYFGKURUMOZVPUXAVUHYLWBOUWLUXNUYJVU
      GIHZVUIUWLYGYIUXNVUKPUWSUWTADXCOUWLEYLVUGUYOUYPUWLVUGVUJTXDVFVHUWLUUQUYAU
      YCVUEVUFUOUXAUYBUYDYLUXMUXNWOWMWPXEUWLUWQUXKUXOJHZUWPLHUXPUWLUWEVULUWPLUW
      LUWEAUVOYMJHZKHZVULUWLUWDVUMAKUWLUWDCUVNSYMIHZJHZJHUVOVUOJHVUMUWLUWCVUPCJ
      UWLUVMSYMUWLUVMUXCTUYQUWLYMUXETZXFQUWLCUVNVUOUWLCUXBTUWLUVNUXGTUWLVUOUWLS
      YMUWLXGUXEVPTXHUWLVUOYMUVOJUWLYMVUQXIQXJQUWLYGUXFUXQVUNVULPUWSUXHUXEAUVOY
      MXKWMVFRUWLUXKUXOUWPVUDUWLUXOUYETUWLUWPUXTTXLVFVHXSYLYQUWEUVPXMXNXOUAUBXT
      ZUVLUWAUUDVURUVIUVRUVKUVTVURUVHUVQYLMVURUVGUVPYQLVURUVFUVOAKVURUVEUVNCJUV
      DUVMYMIXPQQZRXQVURUVJUVSYLMVURUVGUVPYTLVUSRXQXRYAUVDUWBPZUVLUWJUUDVUTUVIU
      WGUVKUWIVUTUVHUWFYLMVUTUVGUWEYQLVUTUVFUWDAKVUTUVEUWCCJUVDUWBYMIXPQQZRXQVU
      TUVJUWHYLMVUTUVGUWEYTLVVARXQXRYAUVDUIPZUVLUULUUDVVBUVIUUIUVKUUKVVBUVHUUHY
      LMVVBUVGUUGYQLVVBUVFUUFAKVVBUVEUUECJUVDUIYMIXPQQZRXQVVBUVJUUJYLMVVBUVGUUG
      YTLVVCRXQXRYAUVDBPZUVLUUCUUDVVDUVIYSUVKUUBVVDUVHYRYLMVVDUVGYPYQLVVDUVFYOA
      KVVDUVEYNCJUVDBYMIXPQQZRXQVVDUVJUUAYLMVVDUVGYPYTLVVERXQXRYAYBYCYDYE $.
  $}

  ${
    $d A a $.  $d N a $.  $d K a $.  $d M a $.
    $( Lemma for ~ jm2.26 .  Reverse direction is required to prove forward
       direction, so do it separately.  Induction on difference between K and
       M, together with the addition formula fact that adding 2N only inverts
       sign.  (Contributed by Stefan O'Rear, 2-Oct-2014.) $)
    jm2.26a $p |- ( ( ( A e. ( ZZ>= ` 2 ) /\ N e. ZZ ) /\ ( K e. ZZ /\ M e. ZZ
        ) ) -> ( ( ( 2 x. N ) || ( K - M ) \/ ( 2 x. N ) || ( K - -u M ) ) -> (
        ( A rmX N ) || ( ( A rmY K ) - ( A rmY M ) ) \/ ( A rmX N ) || ( ( A
        rmY K ) - -u ( A rmY M ) ) ) ) ) $=
      ( va c2 wcel cz wa co cmin cdvds wbr crmy cneg wceq syl2anc caddc adantr
      wo cuz cfv cmul crmx cv wb 2z simplr zmulcl sylancr zsubcl adantl divides
      simplll simplrr simpllr simpr jm2.25 syl121anc oveq2 oveq2d cc zcn pncan3
      wrex syl2anr ad2antlr sylan9eqr eqidd acongeq12d rexlimdva2 sylbid simprl
      mpbid znegcl ad2antll zsubcld w3a cn0 frmx fovcl simplrl frmy 3jca negcld
      nn0zd rmyneg acongneg2 jaod ) AFUAUBZGZDHGZIZBHGZCHGZIZIZFDUCJZBCKJZLMZAD
      UDJZABNJZACNJZKJLMXAXBXCOZKJLMZTZWRBCOZKJZLMZWQWTEUEZWRUCJZWSPZEHVEZXFWQW
      RHGZWSHGZWTXMUFWQFHGWLXNUGWKWLWPUHFDUIUJZWPXOWMBCUKULEWRWSUMQWQXLXFEHWQXJ
      HGZIZXLIZXAACXKRJZNJZXCKJLMXAYAXDKJLMTZXFXRYBXLXRWKWOWLXQYBWKWLWPXQUNZWMW
      NWOXQUOZWKWLWPXQUPZWQXQUQZAXJCDURUSSXSXAYAXBXCXCXLXRYAACWSRJZNJXBXLXTYGAN
      XKWSCRUTVAXRYGBANWPYGBPZWMXQWOCVBGBVBGZYHWNCVCZBVCZCBVDVFVGVAVHXSXCVIVJVN
      VKVLWQXIXKXHPZEHVEZXFWQXNXHHGXIYMUFXPWQBXGWMWNWOVMWOXGHGZWMWNCVOVPZVQEWRX
      HUMQWQYLXFEHXRYLIZXAHGZXBHGZXCHGZVRZXEXAXBXDOKJLMTZXFXRYTYLXRYQYRYSXRWKWL
      YQYCYEWMXAADVSWJHUDVTWAWFQXRWKWNYRYCWMWNWOXQWBABHWJHNWCWAQXRWKWOYSYCYDACH
      WJHNWCWAQWDSYPXAAXGXKRJZNJZAXGNJZKJLMXAUUCUUDOKJLMTZUUAXRUUEYLXRWKYNWLXQU
      UEYCWQYNXQYOSYEYFAXJXGDURUSSYPXAUUCXBUUDXDYLXRUUCAXGXHRJZNJXBYLUUBUUFANXK
      XHXGRUTVAXRUUFBANWPUUFBPZWMXQWOXGVBGYIUUGWNWOCYJWEYKXGBVDVFVGVAVHXRUUDXDP
      ZYLXRWKWOUUHYCYDACWGQSVJVNXAXBXCWHQVKVLWI $.
  $}

  $( Lemma for ~ jm2.26 .  Use ~ acongrep to find K', M' ~~ K, M in [ 0,N ].
     Thus Y(K') ~~ Y(M') and both are small; K' = M' on pain of contradicting
     2.24, so K ~~ M. (Contributed by Stefan O'Rear, 3-Oct-2014.) $)
  jm2.26lem3 $p |- ( ( ( A e. ( ZZ>= ` 2 ) /\ N e. NN ) /\ ( K e. ( 0 ... N )
      /\ M e. ( 0 ... N ) ) /\ ( ( A rmX N ) || ( ( A rmY K ) - ( A rmY M ) )
      \/ ( A rmX N ) || ( ( A rmY K ) - -u ( A rmY M ) ) ) ) -> K = M ) $=
    ( cfv wcel wa cc0 co crmy wbr wceq wne cz adantr ad2antlr syl2anc cle mpbid
    cabs c2 cuz cn cfz crmx cmin cdvds cneg wo caddc clt w3a wn simplll elfzelz
    rmyabs cr zred elfzle1 absidd oveq2d eqtrd adantl oveq12d c1 fovcl readdcld
    frmy simpllr nnzd peano2zm syl frmx nn0red elfzle2 wb lermy syl3anc simplrr
    cn0 wi le2add syl22anc mp2and zcnd addcomd id necomd neeqtrd neneqd adantll
    simpr nnnn0 nn0uz eleqtrdi ad4antlr simprr ad2antrr fzm1 orel2 sylc simplrl
    biimpa eqbrtrd nnnn0d mpjaodan jm2.24 lelttrd rmyeq necon3bid 0red ad2antll
    le0neg2d letri3 biimpar simplr eqtr3d cc recnd negeq0d mpbird mpdan necon3d
    eqtr4d imp znegcld rmyneg 3jca negsubd fveq2d negcld addcld abstrid zsubcld
    ex abscld ltnled subne0d dvdsleabs mtod nn0zd absneg eqcomd breqtrrd simpr1
    nnz eqbrtrrd simpr2 subnegd simpr3 jca pm4.56 sylib syld necon4ad 3impia )
    AUAUBEZFZDUCFZGZBHDUDIZFZCUVAFZGZADUEIZABJIZACJIZUFIZUGKZUVEUVFUVGUHZUFIZUG
    KZUIZBCLZUUTUVDGZUVMBCUVOBCMZUVFTEZUVGTEZUJIZUVEUKKZUVFUVGMZUVFUVJMZULZUVMU
    MZUVOUVPUWCUVOUVPGZUVTUWAUWBUWEUVSUVFUVGUJIZUVEUKUWEUVQUVFUVRUVGUJUWEUVQABT
    EZJIZUVFUWEUURBNFZUVQUWHLUURUUSUVDUVPUNZUVDUWIUUTUVPUVBUWIUVCBHDUOOZPZABUPQ
    UWEUWGBAJUWEBUVDBUQFZUUTUVPUVDBUWKURZPUVDHBRKZUUTUVPUVBUWOUVCBHDUSOZPUTVAVB
    UWEUVRACTEZJIZUVGUWEUURCNFZUVRUWRLUWJUVDUWSUUTUVPUVCUWSUVBCHDUOZVCZPZACUPQU
    WEUWQCAJUWECUVDCUQFZUUTUVPUVDCUXAURZPUVDHCRKZUUTUVPUVCUXEUVBCHDUSZVCPUTVAVB
    VDUWEUWFADVEUFIZJIZADJIZUJIZUVEUWEUVFUVGUWEUVFUWEUURUWIUVFNFZUWJUWLABNUUQNJ
    VHVFZQZURZUWEUVGUWEUURUWSUVGNFZUWJUXBACNUUQNJVHVFZQZURZVGUWEUXHUXIUWEUXHUWE
    UURUXGNFZUXHNFUWJUWEDNFZUXSUWEDUURUUSUVDUVPVIZVJZDVKVLZAUXGNUUQNJVHVFQURZUW
    EUXIUWEUURUXTUXINFUWJUYBADNUUQNJVHVFQURZVGUWEUVEUWEUURUXTUVEVTFUWJUYBADVTUU
    QNUEVMVFZQVNUWEBHUXGUDIZFZUWFUXJRKZBDLZUWEUYHGZUVFUXHRKZUVGUXIRKZUYIUYKBUXG
    RKZUYLUYHUYNUWEBHUXGVOVCUWEUYNUYLVPZUYHUWEUURUWIUXSUYOUWJUWLUYCABUXGVQVROSU
    WEUYMUYHUWECDRKZUYMUWEUVCUYPUUTUVBUVCUVPVSZCHDVOVLUWEUURUWSUXTUYPUYMVPUWJUX
    BUYBACDVQVRSOUWEUYLUYMGUYIWAZUYHUWEUVFUQFZUVGUQFZUXHUQFZUXIUQFZUYRUXNUXRUYD
    UYEUVFUVGUXHUXIWBWCOWDUWEUYJGZUWFUVGUVFUJIZUXJRUWEUWFVUDLUYJUWEUVFUVGUWEUVF
    UXMWEUWEUVGUXQWEWFOVUCUVGUXHRKZUVFUXIRKZVUDUXJRKZVUCCUXGRKZVUEVUCCUYGFZVUHV
    UCCDLZUMZVUIVUJUIZVUIUVPUYJVUKUVOUVPUYJGZCDVUMCBDUVPCBMUYJUVPBCUVPWGWHOUVPU
    YJWLWIWJWKVUCDHUBEZFZUVCVULUUSVUOUURUVDUVPUYJUUSDVTVUNDWMWNWOWPUVOUVCUVPUYJ
    UUTUVBUVCWQWRVUOUVCVULCHDWSXCQVUJVUIWTXACHUXGVOVLUWEVUHVUEVPZUYJUWEUURUWSUX
    SVUPUWJUXBUYCACUXGVQVROSUWEVUFUYJUWEBDRKZVUFUWEUVBVUQUUTUVBUVCUVPXBZBHDVOVL
    UWEUURUWIUXTVUQVUFVPUWJUWLUYBABDVQVRSOUWEVUEVUFGVUGWAZUYJUWEUYTUYSVUAVUBVUS
    UXRUXNUYDUYEUVGUVFUXHUXIWBWCOWDXDUWEVUOUVBUYHUYJUIZUWEDVTVUNUWEDUYAXEWNWOVU
    RVUOUVBVUTBHDWSXCQXFUWEUURUXTUXJUVEUKKUWJUYBADXGQXHXDUWEUVPUWAUVOUVPWLUWEUU
    RUWIUWSUVPUWAVPUWJUWLUXBUURUWIUWSULBCUVFUVGABCXIXJVRSUWEUVFACUHZJIZUVJUWEBV
    VAMZUVFVVBMZUVOUVPVVCUVOBVVABCUVOBVVALZUVNUVOVVEGZBHLZUVNVVFUWMHUQFZBHRKZUW
    OVVGUVDUWMUUTVVEUWNPVVFXKVVFBVVAHRUVOVVEWLUVOVVAHRKZVVEUVOUXEVVJUVCUXEUUTUV
    BUXFXLUVOCUVDUXCUUTUXDVCZXMSOXDUVDUWOUUTVVEUWPPUWMVVHGVVGVVIUWOGBHXNXOWCVVF
    VVGGZBHCVVFVVGWLZVVLCHLVVAHLVVLBVVAHUVOVVEVVGXPVVMXQVVLCUVOCXRFVVEVVGUVOCVV
    KXSWRXTYAYDYBYOYCYEUWEUURUWIVVANFZVVCVVDVPUWJUWLUWECUWEUVCUWSUYQUWTVLYFUURU
    WIVVNULBVVAUVFVVBABVVAXIXJVRSUWEUURUWSVVBUVJLUWJUXBACYGQWIYHYOUVOUWCUWDUVOU
    WCGZUVIUMZUVLUMZGUWDVVOVVPVVQVVOUVIUVEUVHTEZRKZVVOVVRUVEUKKVVSUMVVOUVFUVJUJ
    IZTEZVVRUVEUKVVOVVTUVHTVVOUVFUVGVVOUVFVVOUURUWIUXKUURUUSUVDUWCUNZUVDUWIUUTU
    WCUWKPUXLQZWEZVVOUVGVVOUURUWSUXOVWBUVDUWSUUTUWCUXAPUXPQZWEZYIYJVVOVWAUVSUVE
    VVOVVTVVOUVFUVJVWDVVOUVGVWFYKZYLYPVVOUVQUVRVVOUVFVWDYPVVOUVGVWFYPVGZVVOUVEV
    VOUURUXTUVENFZVWBUUTUXTUVDUWCUUSUXTUURDUUFVCWRUURUXTGUVEUYFUUAQZURZVVOVWAUV
    QUVJTEZUJIUVSRVVOUVFUVJVWDVWGYMVVOUVRVWLUVQUJVVOUVGXRFZUVRVWLLVWFVWMVWLUVRU
    VGUUBUUCVLVAUUDUVOUVTUWAUWBUUEZXHUUGVVOVVRUVEVVOUVHVVOUVHVVOUVFUVGVWCVWEYNZ
    WEYPVWKYQSVVOVWIUVHNFUVHHMUVIVVSWAVWJVWOVVOUVFUVGVWDVWFUVOUVTUWAUWBUUHYRUVE
    UVHYSVRYTVVOUVLUVEUVKTEZRKZVVOVWPUVEUKKVWQUMVVOVWPUWFTEZUVEUKVVOUVKUWFTVVOU
    VFUVGVWDVWFUUIYJVVOVWRUVSUVEVVOUWFVVOUVFUVGVWDVWFYLYPVWHVWKVVOUVFUVGVWDVWFY
    MVWNXHXDVVOVWPUVEVVOUVKVVOUVKVVOUVFUVJVWCVVOUVGVWEYFYNZWEYPVWKYQSVVOVWIUVKN
    FUVKHMUVLVWQWAVWJVWSVVOUVFUVJVWDVWGUVOUVTUWAUWBUUJYRUVEUVKYSVRYTUUKUVIUVLUU
    LUUMYOUUNUUOUUP $.

  ${
    $d A k m $.  $d N k m $.  $d K k m $.  $d M k m $.
    $( Lemma 2.26 of [JonesMatijasevic] p. 697, the "second step down lemma".
       (Contributed by Stefan O'Rear, 2-Oct-2014.) $)
    jm2.26 $p |- ( ( ( A e. ( ZZ>= ` 2 ) /\ N e. NN ) /\ ( K e. ZZ /\ M e. ZZ )
        ) -> ( ( ( A rmX N ) || ( ( A rmY K ) - ( A rmY M ) ) \/ ( A rmX N ) ||
        ( ( A rmY K ) - -u ( A rmY M ) ) ) <-> ( ( 2 x. N ) || ( K - M ) \/ ( 2
        x. N ) || ( K - -u M ) ) ) ) $=
      ( vm vk c2 wcel wa cz co crmy cmin cdvds wbr cneg wo wi fovcl syl2anc cuz
      cfv cn crmx cmul cc0 cfz wrex acongrep ad2ant2l ad2ant2lr w3a simpl1l nnz
      cv 2z adantl syl zmulcl sylancr simplrl 3ad2antl1 simpl3l simplrr simpl2r
      elfzelzd weq wb simpl2l simplll cn0 frmx nn0zd jm2.26a syl22anc mpd simpr
      acongtr syl222anc simpl3r acongsym syl31anc jm2.26lem3 syl121anc id eqidd
      frmy acongeq12d mpbid 3exp1 expd rexlimdv sylanl2 impbid ) AGUAUBZHZDUCHZ
      IZBJHZCJHZIZIZADUDKZABLKZACLKZMKNOXCXDXEPZMKNOQZGDUEKZBCMKNOXHBCPZMKNOQZX
      BXHEUOZCMKNOXHXKXIMKNOQZEUFDUGKZUHZXGXJRZWQWTXNWPWSDCEUIUJXBXLXOEXMXBXKXM
      HZXLXOXBXHFUOZBMKNOXHXQBPZMKNOQZFXMUHZXPXLIZXORZWQWSXTWPWTDBFUIUKXBXSYBFX
      MXBXQXMHZXSYBXBYCXSIZYAXGXJXBYDYAULZXGIZXHJHZWSXKJHZWTXHBXKMKNOXHBXKPZMKN
      OQZXLXJYFGJHDJHZYGUPYFWRYKWRXAYDYAXGUMZWQYKWPDUNZUQURZGDUSUTZXBYDXGWSYAWR
      WSWTXGVAVBZYFXKUFDXPXLXBYDXGVCZVFZXBYDXGWTYAWRWSWTXGVDVBZYFYGYHWSXHXKBMKN
      OXHXKXRMKNOQZYJYOYRYPYFXSYTYCXSXBYAXGVEZYFFEVGZXSYTVHYFWRYCXPXCAXQLKZAXKL
      KZMKNOXCUUCUUDPZMKNOQZUUBYLYCXSXBYAXGVIZYQYFXCJHZUUCJHZXEJHZUUDJHZXCUUCXE
      MKNOXCUUCXFMKNOQZXCXEUUDMKNOXCXEUUEMKNOQZUUFYFWPYKUUHXBYDXGWPYAWPWQXAXGVJ
      VBZYNWPYKIXCADVKWOJUDVLSVMTZYFWPXQJHZUUIUUNYFXQUFDUUGVFZAXQJWOJLWGSTZYFWP
      WTUUJUUNYSACJWOJLWGSTZYFWPYHUUKUUNYRAXKJWOJLWGSTYFUUHUUIXDJHZUUJXCUUCXDMK
      NOXCUUCXDPMKNOQZXGUULUUOUURYFWPWSUUTUUNYPABJWOJLWGSTUUSYFXSUVAUUAYFWPYKUU
      PWSXSUVARUUNYNUUQYPAXQBDVNVOVPYEXGVQXCUUCXDXEVRVSYFXHCXKMKNOXHCYIMKNOQZUU
      MYFYGYHWTXLUVBYOYRYSXPXLXBYDXGVTZXHXKCWAWBYFWPYKWTYHUVBUUMRUUNYNYSYRACXKD
      VNVOVPXCUUCXEUUDVRVSAXQXKDWCWDUUBXHXQXKBBUUBWEUUBBWFWHURWIXHXKBWAWBUVCXHB
      XKCVRVSWJWKWLVPWKWLVPWQWPYKXAXJXGRYMABCDVNWMWN $.
  $}

  ${
    $d a b A $.  $d a b B $.  $d a b N $.
    $( Lemma 2.15 of [JonesMatijasevic] p. 695. ` rmY ` is a polynomial for
       fixed N, so has the expected congruence property.  (Contributed by
       Stefan O'Rear, 1-Oct-2014.) $)
    jm2.15nn0 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ B e. ( ZZ>= ` 2 ) /\ N e. NN0 ) ->
        ( A - B ) || ( ( A rmY N ) - ( B rmY N ) ) ) $=
      ( c2 wcel cmin co crmy cdvds wbr wi cc0 c1 cz syl2anc wceq oveq12d breq2d
      oveq2 imbi2d va vb cuz cfv cn0 wa cv eluzelz zsubcl syl2an congid sylancl
      caddc 0z rmy0 oveqan12d breqtrrd 1z rmy1 cn pm3.43 w3a 3ad2ant2 2z simp2l
      cmul a1i 3ad2ant1 frmy fovcl adantr zmulcld simp2r adantl peano2zm simp3r
      nnz syl iddvds congmul syl322anc simp3l congsub 3exp a2d syl5 weq 2nn0ind
      rmyluc impcom 3impa ) ADUCUDZEZBWLEZCUEEZABFGZACHGZBCHGZFGZIJZWOWMWNUFZWT
      XAWPAUAUGZHGZBXBHGZFGZIJZKXAWPALHGZBLHGZFGZIJZKXAWPAMHGZBMHGZFGZIJZKXAWPA
      UBUGZMFGZHGZBXPHGZFGZIJZKZXAWPAXOHGZBXOHGZFGZIJZKZXAWPAXOMUMGZHGZBYGHGZFG
      ZIJZKZXAWTKUAUBCXAWPLLFGZXIIXAWPNEZLNEWPYMIJWMANEZBNEZYNWNDAUHZDBUHZABUIU
      JZUNWPLUKULWMWNXGLXHLFAUOBUOUPUQXAWPMMFGZXMIXAYNMNEWPYTIJYSURWPMUKULWMWNX
      KMXLMFAUSBUSUPUQYAYFUFXAXTYEUFZKXOUTEZYLXAXTYEVAUUBXAUUAYKUUBXAUUAYKUUBXA
      UUAVBZWPDYBAVFGZVFGZXQFGZDYCBVFGZVFGZXRFGZFGZYJIUUCYNUUENEUUHNEXQNEZXRNEZ
      WPUUEUUHFGIJZXTWPUUJIJXAUUBYNUUAYSVCZUUCDUUDDNEZUUCVDVGZUUCYBAUUCWMXONEZY
      BNEZUUBWMWNUUAVEZUUBXAUUQUUAXOVQZVHZAXONWLNHVIVJOZXAUUBYOUUAWMYOWNYQVKVCZ
      VLZVLUUCDUUGUUPUUCYCBUUCWNUUQYCNEZUUBWMWNUUAVMZUVABXONWLNHVIVJOZXAUUBYPUU
      AWNYPWMYRVNVCZVLZVLUUCWMXPNEZUUKUUSUUBXAUVJUUAUUBUUQUVJUUTXOVOVRVHZAXPNWL
      NHVIVJOUUCWNUVJUULUVFUVKBXPNWLNHVIVJOUUCYNUUOUUOUUDNEUUGNEWPDDFGIJZWPUUDU
      UGFGIJZUUMUUNUUPUUPUVDUVIUUCYNUUOUVLUUNVDWPDUKULUUCYNUURUVEYOYPYEWPWPIJZU
      VMUUNUVBUVGUVCUVHUUBXAXTYEVPUUCYNUVNUUNWPVSVRWPYBYCABVTWAWPDDUUDUUGVTWAUU
      BXAXTYEWBWPUUEUUHXQXRWCWAUUCYHUUFYIUUIFUUCWMUUQYHUUFPUUSUVAAXOWIOUUCWNUUQ
      YIUUIPUVFUVABXOWIOQUQWDWEWFXBLPZXFXJXAUVOXEXIWPIUVOXCXGXDXHFXBLAHSXBLBHSQ
      RTXBMPZXFXNXAUVPXEXMWPIUVPXCXKXDXLFXBMAHSXBMBHSQRTXBXPPZXFXTXAUVQXEXSWPIU
      VQXCXQXDXRFXBXPAHSXBXPBHSQRTUAUBWGZXFYEXAUVRXEYDWPIUVRXCYBXDYCFXBXOAHSXBX
      OBHSQRTXBYGPZXFYKXAUVSXEYJWPIUVSXCYHXDYIFXBYGAHSXBYGBHSQRTXBCPZXFWTXAUVTX
      EWSWPIUVTXCWQXDWRFXBCAHSXBCBHSQRTWHWJWK $.
  $}

  ${
    $d a b A $.  $d a b N $.
    $( Lemma 2.16 of [JonesMatijasevic] p. 695.  This may be regarded as a
       special case of ~ jm2.15nn0 if ` rmY ` is redefined as described in
       ~ rmyluc .  (Contributed by Stefan O'Rear, 1-Oct-2014.) $)
    jm2.16nn0 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. NN0 ) -> ( A - 1 ) || ( ( A
        rmY N ) - N ) ) $=
      ( wcel c2 c1 cmin co crmy cdvds wbr wi cz cmul 3adant3 wceq oveq12d oveq2
      cc0 wa id va vb cn0 cuz cfv cv caddc eluzelz peano2zm syl 0z sylancl rmy0
      congid oveq1d breqtrrd 1z rmy1 pm3.43 w3a adantl eluzel2 simpr nnz adantr
      cn frmy fovcl syl2anc zmulcld zmulcl 3jca jca jctir simp3r iddvds congmul
      syl112anc simp3l congsub rmyluc nncn mulid1d oveq2d 2timesd eqtrd pnncand
      1cnd eqtr2d 3exp a2d syl5 breq2d imbi2d weq 2nn0ind impcom ) BUCCADUDUEZC
      ZAEFGZABHGZBFGZIJZWSWTAUAUFZHGZXDFGZIJZKWSWTARHGZRFGZIJZKWSWTAEHGZEFGZIJZ
      KWSWTAUBUFZEFGZHGZXOFGZIJZKZWSWTAXNHGZXNFGZIJZKZWSWTAXNEUGGZHGZYDFGZIJZKZ
      WSXCKUAUBBWSWTRRFGZXIIWSWTLCZRLCWTYIIJWSALCZYJDAUHZAUIZUJZUKWTRUNULWSXHRR
      FAUMUOUPWSWTEEFGZXLIWSYJELCZWTYOIJYNUQWTEUNULWSXKEEFAURUOUPXSYCSWSXRYBSZK
      XNVFCZYHWSXRYBUSYRWSYQYGYRWSYQYGYRWSYQUTZWTDXTAMGZMGZXPFGZDXNEMGZMGZXOFGZ
      FGZYFIYSYJUUALCZUUDLCZUTZXPLCZXOLCZSZWTUUAUUDFGIJZXRWTUUFIJYRWSUUIYQYRWSS
      ZYJUUGUUHUUNYKYJWSYKYRYLVAZYMUJZUUNDYTWSDLCZYRDAVBVAZUUNXTAUUNWSXNLCZXTLC
      ZYRWSVCZYRUUSWSXNVDVEZAXNLWRLHVGVHVIZUUOVJZVJUUNDUUCUURUUNUUSYPUUCLCZUVBU
      QXNEVKULZVJVLNYRWSUULYQUUNUUJUUKUUNWSUUKUUJUVAUUNUUSUUKUVBXNUIUJZAXOLWRLH
      VGVHVIUVGVMNYSYJUUQUUQUTZYTLCZUVESZWTDDFGIJZWTYTUUCFGIJZUUMYRWSUVHYQUUNYJ
      UUQUUQUUPUURUURVLNYRWSUVJYQUUNUVIUVEUVDUVFVMNYRWSUVKYQUUNYJUUQUVKUUPUURWT
      DUNVINYSYJUUTUUSUTZYKYPSZYBWTWTIJZUVLYRWSUVMYQUUNYJUUTUUSUUPUVCUVBVLNYRWS
      UVNYQUUNYKYPUUOUQVNNYRWSXRYBVOYRWSUVOYQUUNYJUVOUUPWTVPUJNWTXTXNAEVQVRWTDD
      YTUUCVQVRYRWSXRYBVSWTUUAUUDXPXOVTVRYRWSYFUUFOYQUUNYEUUBYDUUEFUUNWSUUSYEUU
      BOUVAUVBAXNWAVIYRYDUUEOWSYRUUEXNXNUGGZXOFGYDYRUUDUVPXOFYRUUDDXNMGUVPYRUUC
      XNDMYRXNXNWBZWCWDYRXNUVQWEWFUOYRXNXNEUVQUVQYRWHWGWIVEPNUPWJWKWLXDROZXGXJW
      SUVRXFXIWTIUVRXEXHXDRFXDRAHQUVRTPWMWNXDEOZXGXMWSUVSXFXLWTIUVSXEXKXDEFXDEA
      HQUVSTPWMWNXDXOOZXGXRWSUVTXFXQWTIUVTXEXPXDXOFXDXOAHQUVTTPWMWNUAUBWOZXGYBW
      SUWAXFYAWTIUWAXEXTXDXNFXDXNAHQUWATPWMWNXDYDOZXGYGWSUWBXFYFWTIUWBXEYEXDYDF
      XDYDAHQUWBTPWMWNXDBOZXGXCWSUWCXFXBWTIUWCXEXAXDBFXDBAHQUWCTPWMWNWPWQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  X and Y sequences 4: Diophantine representability of Y
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    jm2.27a1 $e |- ( ph -> A e. ( ZZ>= ` 2 ) ) $.
    jm2.27a2 $e |- ( ph -> B e. NN ) $.
    jm2.27a3 $e |- ( ph -> C e. NN ) $.
    ${
      jm2.27a4 $e |- ( ph -> D e. NN0 ) $.
      jm2.27a5 $e |- ( ph -> E e. NN0 ) $.
      jm2.27a6 $e |- ( ph -> F e. NN0 ) $.
      jm2.27a7 $e |- ( ph -> G e. NN0 ) $.
      jm2.27a8 $e |- ( ph -> H e. NN0 ) $.
      jm2.27a9 $e |- ( ph -> I e. NN0 ) $.
      jm2.27a10 $e |- ( ph -> J e. NN0 ) $.
      jm2.27a11 $e |- ( ph -> ( ( D ^ 2 ) - ( ( ( A ^ 2 ) - 1 ) x. ( C ^ 2 ) )
          ) = 1 ) $.
      jm2.27a12 $e |- ( ph -> ( ( F ^ 2 ) - ( ( ( A ^ 2 ) - 1 ) x. ( E ^ 2 ) )
          ) = 1 ) $.
      jm2.27a13 $e |- ( ph -> G e. ( ZZ>= ` 2 ) ) $.
      jm2.27a14 $e |- ( ph -> ( ( I ^ 2 ) - ( ( ( G ^ 2 ) - 1 ) x. ( H ^ 2 ) )
          ) = 1 ) $.
      jm2.27a15 $e |- ( ph -> E = ( ( J + 1 ) x. ( 2 x. ( C ^ 2 ) ) ) ) $.
      jm2.27a16 $e |- ( ph -> F || ( G - A ) ) $.
      jm2.27a17 $e |- ( ph -> ( 2 x. C ) || ( G - 1 ) ) $.
      jm2.27a18 $e |- ( ph -> F || ( H - C ) ) $.
      jm2.27a19 $e |- ( ph -> ( 2 x. C ) || ( H - B ) ) $.
      jm2.27a20 $e |- ( ph -> B <_ C ) $.

      ${
        jm2.27a21 $e |- ( ph -> P e. ZZ ) $.
        jm2.27a22 $e |- ( ph -> D = ( A rmX P ) ) $.
        jm2.27a23 $e |- ( ph -> C = ( A rmY P ) ) $.
        jm2.27a24 $e |- ( ph -> Q e. ZZ ) $.
        jm2.27a25 $e |- ( ph -> F = ( A rmX Q ) ) $.
        jm2.27a26 $e |- ( ph -> E = ( A rmY Q ) ) $.
        jm2.27a27 $e |- ( ph -> R e. ZZ ) $.
        jm2.27a28 $e |- ( ph -> I = ( G rmX R ) ) $.
        jm2.27a29 $e |- ( ph -> H = ( G rmY R ) ) $.
        $( Lemma for ~ jm2.27 .  Reverse direction after existential
           quantifiers are expanded.  (Contributed by Stefan O'Rear,
           4-Oct-2014.) $)
        jm2.27a $p |- ( ph -> C = ( A rmY B ) ) $=
          ( crmy co wceq c2 cmul cmin cdvds wbr cneg wo cz wcel 2z nnzd sylancr
          zmulcl nn0zd congsym syl22anc c1 peano2zm syl zsubcld cuz cfv cn0 cc0
          cle nn0ge0d rmy0 eqcomd 3brtr4d wb 0zd syl3anc mpbird elnn0z sylanbrc
          lermy jm2.16nn0 syl2anc oveq1d breqtrrd dvdstrd congtr syl222anc orcd
          caddc zsqcl dvdsmul2 wi peano2zd dvdsmultr2 mpd eqtr3d 3brtr3d cn clt
          cexp zred nn0p1nn nngt0d nnsqcld nnmulcl mulgt0d ltrmy elnnz jm2.20nn
          2nn mpbid eqeltrrd muldvds2 eqbrtrd a1i nnnn0d elfz2nn0 syl3anbrc cfz
          dvdscmul crmx frmy fovcl eluzelz jm2.15nn0 oveq12d jm2.26 dvdsacongtr
          eqbrtrrd acongtr rmygeid acongeq oveq2d eqtr4d ) ADBFVDVEZBCVDVEUQACF
          BVDACFVFZVGDVHVEZCFVIVEVJVKUUSCFVLZVIVEVJVKVMZAUUSVNVOZCVNVOZHVNVOZFV
          NVOZUUSCHVIVEVJVKZUUSCHVLVIVEVJVKZVMUUSHFVIVEZVJVKUUSHUUTVIVEZVJVKVMZ
          UVAAVGVNVOZDVNVOZUVBVPADQVQZVGDVSVRZACPVQZVAUOAUVFUVGAUVBUVCLVNVOZUVD
          UUSCLVIVEVJVKZUUSLHVIVEZVJVKUVFUVNUVOALUBVTZVAAUVBUVPUVCUUSLCVIVEVJVK
          UVQUVNUVSUVOUMUUSLCWAWBAUUSKWCVIVEZUVRUVNAKVNVOZUVTVNVOAKUAVTZKWDWEAL
          HUVSVAWFUKAUVTKHVDVEZHVIVEZUVRVJAKVGWGWHZVOZHWIVOZUVTUWDVJVKUGAUVDWJH
          WKVKZUWGVAAUWHKWJVDVEZUWCWKVKZAWJLUWIUWCWKALUBWLAUWFUWIWJVFUGKWMWEALU
          WCVCWNWOAUWFWJVNVOZUVDUWHUWJWPUGAWQZVAKWJHXBWRWSHWTXAZKHXCXDALUWCHVIV
          CXEXFXGUUSCLHXHXIXJAVGGVHVEZVNVOZUVDUVEUVBUUSUWNVJVKZUWNUVHVJVKUWNUVI
          VJVKVMZUVJAUVKGVNVOZUWOVPURVGGVSVRVAUOUVNADGVJVKZUWPADUUQGVJUQAFUUQVH
          VEGVJVKZUUQGVJVKZAUUQVGYBVEZBGVDVEZVJVKZUWTADVGYBVEZNWCXKVEZVGUXEVHVE
          ZVHVEZUXBUXCVJAUXEUXGVJVKZUXEUXHVJVKZAUVKUXEVNVOZUXIVPAUVLUXKUVMDXLWE
          ZVGUXEXMVRAUXKUXFVNVOUXGVNVOZUXIUXJXNUXLANANUDVTXOZAUVKUXKUXMVPUXLVGU
          XEVSVRZUXEUXFUXGXPWRXQADUUQVGYBUQXEAIUXHUXCUIUTXRXSABUWEVOZGXTVOZFXTV
          OZUXDUWTWPOAUWRWJGYAVKZUXQURAUXSBWJVDVEZUXCYAVKZAWJIUXTUXCYAAWJUXHIYA
          AUXFUXGAUXFUXNYCAUXGUXOYCAUXFANWIVOUXFXTVOUDNYDWEYEAUXGAVGXTVOUXEXTVO
          UXGXTVOYLADQYFVGUXEYGVRYEYHUIXFAUXPUXTWJVFOBWMWEZAIUXCUTWNWOAUXPUWKUW
          RUXSUYAWPOUWLURBWJGYIWRWSGYJXAZAUVEWJFYAVKZUXRUOAUYDUXTUUQYAVKZAWJDUX
          TUUQYAADQYEUYBADUUQUQWNWOAUXPUWKUVEUYDUYEWPOUWLUOBWJFYIWRWSFYJXAZBGFY
          KWRYMAUVEUUQVNVOZUWRUWTUXAXNUOADUUQVNUQUVMYNZURFUUQGYOWRXQYPAUVLUWRUV
          KUWSUWPXNUVMURUVKAVPYQVGDGUUBWRXQABGUUCVEZBHVDVEZUUQVIVEVJVKZUYIUYJUU
          QVLVIVEVJVKZVMZUWQAUYKUYLAUYIVNVOUYJVNVOZUWCVNVOUYGUYIUYJUWCVIVEZVJVK
          UYIUWCUUQVIVEZVJVKUYKAJUYIVNUSAJTVTZYNZAUXPUVDUYNOVABHVNUWEVNVDUUDUUE
          XDZALUWCVNVCUVSYNZUYHAUYIBKVIVEZUYOUYRABKAUXPBVNVOZOVGBUUFWEZUWBWFAUY
          JUWCUYSUYTWFAJUYIVUAVJUSAJVNVOUWAVUBJKBVIVEVJVKJVUAVJVKUYQUWBVUCUJJKB
          WAWBUUKAUXPUWFUWGVUAUYOVJVKOUGUWMBKHUUGWRXGAJLDVIVEUYIUYPVJULUSALUWCD
          UUQVIVCUQUUHXSUYIUYJUWCUUQXHXIXJAUXPUXQUVDUVEUYMUWQWPOUYCVAUOBHFGUUIW
          BYMUWNHFUUSUUJXIUUSCHFUULXIADXTVOCWJDUUAVEZVOZFVUDVOZUURUVAWPQACWIVOD
          WIVOZCDWKVKVUEACPYRADQYRZUNCDYSYTAFWIVOZVUGFDWKVKVUFAFUYFYRZVUHAFUUQD
          WKAUXPVUIFUUQWKVKOVUJBFUUMXDUQXFFDYSYTDCFUUNWRWSUUOUUP $.
      $}

      ${
        $d ph p q r $.  $d A p q r $.  $d B p q r $.  $d C p q r $.
        $d D p q r $.  $d E q r $.  $d F q r $.  $d G r $.  $d H r $.
        $d I r $.
        $( Lemma for ~ jm2.27 .  Expand existential quantifiers for reverse
           direction.  (Contributed by Stefan O'Rear, 4-Oct-2014.) $)
        jm2.27b $p |- ( ph -> C = ( A rmY B ) ) $=
          ( vp vq vr cv crmx co wceq crmy wa cz c2 cexp cmin cmul wrex cuz wcel
          c1 cfv cn0 wb nnzd rmxycomplete mpbid adantr nn0zd ad2antrr ad3antrrr
          syl3anc cn caddc cdvds wbr cle simprl simprrl simprrr ad2antlr simprr
          simplrl jm2.27a rexlimddv ) AEBULUOZUPUQURZDBWNUSUQURZUTZDBCUSUQURZUL
          VAAEVBVCUQBVBVCUQVIVDUQZDVBVCUQZVEUQVDUQVIURZWQULVAVFZUBABVBVGVJZVHZE
          VKVHZDVAVHXAXBVLLOADNVMBULEDVNVTVOAWNVAVHZWQUTZUTZGBUMUOZUPUQURZFBXIU
          SUQURZUTZWRUMVAXHGVBVCUQWSFVBVCUQVEUQVDUQVIURZXLUMVAVFZAXMXGUCVPXHXDG
          VKVHZFVAVHZXMXNVLAXDXGLVPAXOXGQVPAXPXGAFPVQVPBUMGFVNVTVOXHXIVAVHZXLUT
          ZUTZJHUNUOZUPUQURZIHXTUSUQURZUTZWRUNVAXSJVBVCUQHVBVCUQVIVDUQIVBVCUQVE
          UQVDUQVIURZYCUNVAVFZAYDXGXRUEVRXSHXCVHZJVKVHZIVAVHZYDYEVLAYFXGXRUDVRA
          YGXGXRTVRAYHXGXRAISVQVRHUNJIVNVTVOXSXTVAVHZYCUTZUTBCDEWNXIXTFGHIJKAXD
          XGXRYJLVSACWAVHXGXRYJMVSADWAVHXGXRYJNVSAXEXGXRYJOVSAFVKVHXGXRYJPVSAXO
          XGXRYJQVSAHVKVHXGXRYJRVSAIVKVHXGXRYJSVSAYGXGXRYJTVSAKVKVHXGXRYJUAVSAX
          AXGXRYJUBVSAXMXGXRYJUCVSAYFXGXRYJUDVSAYDXGXRYJUEVSAFKVIWBUQVBWTVEUQVE
          UQURXGXRYJUFVSAGHBVDUQWCWDXGXRYJUGVSAVBDVEUQZHVIVDUQWCWDXGXRYJUHVSAGI
          DVDUQWCWDXGXRYJUIVSAYKICVDUQWCWDXGXRYJUJVSACDWEWDXGXRYJUKVSXHXFXRYJAX
          FWQWFVRXHWOXRYJAXFWOWPWGVRXHWPXRYJAXFWOWPWHVRXHXQXLYJWKXRXJXHYJXQXJXK
          WFWIXRXKXHYJXQXJXKWJWIXSYIYCWFXSYIYAYBWGXSYIYAYBWHWLWMWMWM $.
      $}
    $}

    ${
      jm2.27c4 $e |- ( ph -> C = ( A rmY B ) ) $.
      jm2.27c5 $e |- D = ( A rmX B ) $.
      jm2.27c6 $e |- Q = ( B x. ( A rmY B ) ) $.
      jm2.27c7 $e |- E = ( A rmY ( 2 x. Q ) ) $.
      jm2.27c8 $e |- F = ( A rmX ( 2 x. Q ) ) $.
      jm2.27c9 $e |- G = ( A + ( ( F ^ 2 ) x. ( ( F ^ 2 ) - A ) ) ) $.
      jm2.27c10 $e |- H = ( G rmY B ) $.
      jm2.27c11 $e |- I = ( G rmX B ) $.
      jm2.27c12 $e |- J = ( ( E / ( 2 x. ( C ^ 2 ) ) ) - 1 ) $.
      $( Lemma for ~ jm2.27 .  Forward direction with substitutions.
         (Contributed by Stefan O'Rear, 4-Oct-2014.) $)
      jm2.27c $p |- ( ph ->
      ( ( ( D e. NN0
            /\ E e. NN0
            /\ F e. NN0 )
         /\ ( G e. NN0
            /\ H e. NN0
            /\ I e. NN0 ) )
      /\ ( J e. NN0
         /\ ( ( ( ( ( D ^ 2 ) - ( ( ( A ^ 2 ) - 1 ) x. ( C ^ 2 ) ) ) = 1
                  /\ ( ( F ^ 2 ) - ( ( ( A ^ 2 ) - 1 ) x. ( E ^ 2 ) ) ) = 1
                  /\ G e. ( ZZ>= ` 2 ) )
               /\ ( ( ( I ^ 2 ) - ( ( ( G ^ 2 ) - 1 ) x. ( H ^ 2 ) ) ) = 1
                  /\ E = ( ( J + 1 ) x. ( 2 x. ( C ^ 2 ) ) )
                  /\ F || ( G - A ) ) )
            /\ ( ( ( 2 x. C ) || ( G - 1 )
                  /\ F || ( H - C ) )
               /\ ( ( 2 x. C ) || ( H - B )
                  /\ B <_ C ) ) ) ) ) ) $=
        ( cn0 wcel w3a c2 cexp co c1 cmin cmul wceq cuz cfv caddc cdvds wbr cle
        wa crmx cz nnzd frmx fovcl syl2anc eqeltrid crmy cc0 2z eqeltrrd zmulcl
        zmulcld sylancr frmy rmy0 syl cn 2nn nnmulcld nnmulcl nnnn0d nn0ge0d wb
        lermy syl3anc mpbid eqbrtrrd elnn0z sylanbrc 3jca 2nn0 nn0cnd nn0mulcld
        0zd sqvald eqeltrd eluz2nn nn0red remulcld rmx1 1nn0 breqtrrdi breqtrrd
        nnge1d a1i zsqcl wi mpd nn0zd dvdsmul1 zcnd eqtrd dvdstrd oveq1d oveq2d
        3brtr4d clt oveq1i oveq12d rmxynorm oveq2i oveq12i syl5eq nncnd sylancl
        cc ax-1cn eqtr2d mulassd eluzelz 1z eqtr4d peano2zm sqcld syl322anc jca
        zsubcld jca31 rmxnn lemulge12d letrd nn0sub uzaddcl eluznn0 cdiv iddvds
        lermxnn0 jm2.20nn mpbird dvdscmul rmydbl 2cnd mul32d nngt0d ltrmy elnnz
        eqcomd nnsqcld nnm1nn0 nnne0d divcld npcan pncan2d 3eqtrd zsubcl congid
        nndivdvds divcan1d eqbrtrd muldvds1 dvdsmultr2 subsub23 congsub congmul
        subcl mulcld congadd mulid2d pncan3 jm2.15nn0 jm2.16nn0 rmygeid ) AEUEU
        FZGUEUFZHUEUFZUGIUEUFZJUEUFZKUEUFZUGLUEUFZEUHUIUJZBUHUIUJZUKULUJZDUHUIU
        JZUMUJZULUJZUKUNZHUHUIUJZUWNGUHUIUJZUMUJZULUJZUKUNZIUHUOUPZUFZUGZKUHUIU
        JZIUHUIUJUKULUJZJUHUIUJZUMUJZULUJZUKUNZGLUKUQUJZUHUWOUMUJZUMUJZUNZHIBUL
        UJZURUSZUGZVAUHDUMUJZIUKULUJZURUSZHJDULUJZURUSZVAUXTJCULUJZURUSZCDUTUSZ
        VAZVAZVAZVAAUWEUWFUWGAEBCVBUJZUEQABUXDUFZCVCUFZUYKUEUFMACNVDZBCUEUXDVCV
        BVEVFVGVHAGBUHFUMUJZVIUJZUESAUYPVCUFZVJUYPUTUSUYPUEUFAUYLUYOVCUFZUYQMAU
        HVCUFZFVCUFZUYRVKAFCBCVIUJZUMUJZVCRACVUAUYNADVUAVCPADOVDZVLZVNZVHZUHFVM
        VOZBUYOVCUXDVCVIVPVFVGZABVJVIUJZVJUYPUTAUYLVUIVJUNMBVQVRZAVJUYOUTUSZVUI
        UYPUTUSZAUYOAUYOAUHVSUFZFVSUFZUYOVSUFVTAFVUBVSRACVUANADVUAVSPOVLWAVHZUH
        FWBVOZWCZWDAUYLVJVCUFZUYRVUKVULWEMAWPZVUGBVJUYOWFWGWHWIUYPWJWKVHAHBUYOV
        BUJZUETAUYLUYRVUTUEUFMVUGBUYOUEUXDVCVBVEVFVGVHZWLAUWHUWIUWJAUHUEUFUXEUW
        HWMAIBUWSUWSBULUJZUMUJZUQUJZUXDUAAUYLVVCUEUFVVDUXDUFMAUWSVVBAUWSHHUMUJZ
        UEAHAHVVAWNZWQZAHHVVAVVAWOWRZABUWSUTUSZVVBUEUFZABVVEUWSUTABHVVEABABAUYL
        BVSUFMBWSVRWCZWTAHVVAWTZAHHVVLVVLXAABVUTHUTABUKVBUJZBVUTUTAUYLVVMBUNMBX
        BVRAUKUYOUTUSZVVMVUTUTUSZAUYOVUPXFAUYLUKUEUFZUYOUEUFVVNVVOWEMVVPAXCXGVU
        QBUKUYOUUIWGWHWITXDAHHVVLVVLAHVVAWDAHAHVUTVSTAUYLUYRVUTVSUFMVUGBUYOUUAV
        GVHXFUUBUUCVVGXEABUEUFUWSUEUFVVIVVJWEVVKVVHBUWSUUDVGWHZWOZVVCUHBUUEVGVH
        ZIUHUUFVOAJICVIUJZUEUBAVVTVCUFZVJVVTUTUSVVTUEUFAUXEUYMVWAVVSUYNICVCUXDV
        CVIVPVFVGZAIVJVIUJZVJVVTUTAUXEVWCVJUNVVSIVQVRAVJCUTUSZVWCVVTUTUSZACACNW
        CZWDAUXEVURUYMVWDVWEWEVVSVUSUYNIVJCWFWGWHWIVVTWJWKVHAKICVBUJZUEUCAUXEUY
        MVWGUEUFVVSUYNICUEUXDVCVBVEVFVGVHWLAUWKUYJALGUXNUUGUJZUKULUJZUEUDAVWHVS
        UFZVWIUEUFAUXNGURUSZVWJAUHVUAUHUIUJZUMUJZUYPUXNGURAVWMUHBFVIUJZUMUJZUYP
        AUYSVWLVCUFZVWMVCUFVKAVUAVCUFVWPVUDVUAXHVRZUHVWLVMVOAUYSVWNVCUFZVWOVCUF
        ZVKAUYLUYTVWRMVUFBFVCUXDVCVIVPVFVGZUHVWNVMVOZVUHAVWLVWNURUSZVWMVWOURUSZ
        AVXBVUBFURUSZAVUBVUBFURAVUBVCUFVUBVUBURUSVUEVUBUUHVRRXDAUYLVUNCVSUFVXBV
        XDWEMVUONBFCUUJWGUUKAVWPVWRUYSVXBVXCXIVWQVWTUYSAVKXGUHVWLVWNUULWGXJAVWO
        VWOBFVBUJZUMUJZUYPURAVWSVXEVCUFVWOVXFURUSVXAAVXEAUYLUYTVXEUEUFMVUFBFUEU
        XDVCVBVEVFVGZXKVWOVXEXLVGAUYPUHVXEUMUJVWNUMUJZVXFAUYLUYTUYPVXHUNMVUFBFU
        UMVGAUHVXEVWNAUUNZAVXEVXGWNAVWNVWTXMUUOXNXEXOAUWOVWLUHUMADVUAUHUIPXPZXQ
        GUYPUNASXGZXRZAGVSUFZUXNVSUFZVWKVWJWEAGVCUFZVJGXSUSVXMAGUYPVCSVUHVHZAVU
        IUYPVJGXSAVJUYOXSUSZVUIUYPXSUSZAUYOVUPUUPAUYLVURUYRVXQVXRWEMVUSVUGBVJUY
        OUUQWGWHAVUIVJVUJUUSVXKXRGUURWKAVUMUWOVSUFVXNVTADOUUTUHUWOWBVOZGUXNUVIV
        GWHVWHUVAVRVHAUXFUXSUYIAUWRUXCUXEAUWQUYKUHUIUJZUWNVWLUMUJZULUJZUKAUWLVX
        TUWPVYAULUWLVXTUNAEUYKUHUIQXTXGAUWOVWLUWNUMVXJXQYAAUYLUYMVYBUKUNMUYNBCY
        BVGXNAUXBVUTUHUIUJZUWNUYPUHUIUJZUMUJZULUJZUKUWSVYCUXAVYEULHVUTUHUITXTUW
        TVYDUWNUMGUYPUHUISXTYCYDAUYLUYRVYFUKUNMVUGBUYOYBVGYEZVVSWLAUXLUXPUXRAUX
        KVWGUHUIUJZUXHVVTUHUIUJZUMUJZULUJZUKUXGVYHUXJVYJULKVWGUHUIUCXTUXIVYIUXH
        UMJVVTUHUIUBXTYCYDAUXEUYMVYKUKUNVVSUYNICYBVGYEAUXOVWHUXNUMUJGAUXMVWHUXN
        UMAUXMVWIUKUQUJZVWHALVWIUKUQLVWIUNAUDXGXPAVWHYHUFUKYHUFZVYLVWHUNAGUXNAG
        VXPXMZAUXNVXSYFZAUXNVXSUVBZUVCYIVWHUKUVDYGXNXPAGUXNVYNVYOVYPUVJYJAHHHVV
        BUMUJZUMUJZUXQURAHVCUFVYQVCUFHVYRURUSAHVVAXKZAHVVBVYSAVVBVVQXKZVNHVYQXL
        VGAUXQVVDBULUJZVYRIVVDBULUAXTAWUAVVCVVEVVBUMUJVYRABVVCABVVKWNZAVVCVVRWN
        UVEAUWSVVEVVBUMVVGXPAHHVVBVVFVVFAVVBVVQWNYKUVFYEXEZWLAUYBUYDUYHAUXTVVDB
        UKUKBULUJZUMUJZUQUJZULUJZUYAURAUXTVCUFZBVCUFZWUIVVCVCUFWUEVCUFZUXTBBULU
        JURUSZUXTVVCWUEULUJURUSZUXTWUGURUSAUYSDVCUFZWUHVKVUCUHDVMVOZAUYLWUIMUHB
        YLVRZWUOAVVCVVRXKAUKVCUFZWUDVCUFZWUJYMAWUPWUIWUQYMWUOUKBUVGVOZUKWUDVMVO
        AWUHWUIWUKWUNWUOUXTBUVHVGZAWUHUWSVCUFZWUPVVBVCUFWUQUXTUWSUKULUJZURUSZUX
        TVVBWUDULUJURUSZWULWUNAUWSVVHXKZWUPAYMXGZVYTWURAUXTUXAWVAURAUXTUWNGUMUJ
        ZGUMUJZUXAURAUXTGURUSZUXTWVGURUSZAUXTDUMUJZGURUSZWVHAWVJUXNGURAWVJUHDDU
        MUJZUMUJUXNAUHDDVXIADOYFZWVMYKAUWOWVLUHUMADWVMWQXQYNVXLUVKAWUHWUMVXOWVK
        WVHXIWUNVUCVXPUXTDGUVLWGXJAWUHWVFVCUFVXOWVHWVIXIWUNAUWNGAUWMVCUFZUWNVCU
        FAWUIWVNWUOBXHVRUWMYOVRVXPVNVXPUXTWVFGUVMWGXJAUXAUWNGGUMUJZUMUJWVGAUWTW
        VOUWNUMAGVYNWQXQAUWNGGAUWMYHUFVYMUWNYHUFABWUBYPYIUWMUKUVQYGZVYNVYNYKYNX
        EAUXCWVAUXAUNZVYGAUWSYHUFUXAYHUFVYMUXCWVQWEAHVVFYPAUWNUWTWVPAGVYNYPUVRV
        YMAYIXGUWSUXAUKUVNWGWHXEZAWUHWUTWUPWUIWUIWVBWUKWVCWUNWVDWVEWUOWUOWVRWUS
        UXTUWSUKBBUVOYQUXTUWSUKVVBWUDUVPYQUXTBBVVCWUEUVSYQAIVVDUKWUFULIVVDUNAUA
        XGAWUFBWUDUQUJZUKAWUEWUDBUQAWUDAWUDWURXMUVTXQABYHUFVYMWVSUKUNWUBYIBUKUW
        AYGYJYAXEZAHUXQUYCVYSAIBAUXEIVCUFZVVSUHIYLVRZWUOYSAJDAJVVTVCUBVWBVHZVUC
        YSWUCAUXQVVTVUAULUJZUYCURAUXEUYLCUEUFZUXQWWDURUSVVSMVWFIBCUWBWGAJVVTDVU
        AULJVVTUNAUBXGPYAXEXOAUYFUYGAUXTUYAUYEWUNAWWAUYAVCUFWWBIYOVRAJCWWCUYNYS
        WVTAUYAVVTCULUJZUYEURAUXEWWEUYAWWFURUSVVSVWFICUWCVGJVVTCULUBXTXDXOACVUA
        DUTAUYLWWECVUAUTUSMVWFBCUWDVGPXEYRYTYTYRYT $.
    $}
  $}

  ${
    $d A d e f g h i j $.  $d B d e f g h i j $.  $d C d e f g h i j $.

    $( Lemma 2.27 of [JonesMatijasevic] p. 697; rmY is a diophantine relation.
       0 was excluded from the range of B and the lower limit of G was imposed
       because the source proof does not seem to work otherwise; quite possible
       I'm just missing something.  The source proof uses both i and I; i has
       been changed to j to avoid collision.  This theorem is basically nothing
       but substitution instances, all the work is done in ~ jm2.27a and
       ~ jm2.27c .  Once Diophantine relations have been defined, the content
       of the theorem is "rmY is Diophantine".  (Contributed by Stefan O'Rear,
       4-Oct-2014.) $)
    jm2.27 $p |- ( ( A e. ( ZZ>= ` 2 ) /\ B e. NN /\ C e. NN ) -> ( C = ( A rmY
        B ) <->
        E. d e. NN0 E. e e. NN0 E. f e. NN0 E. g e. NN0 E. h e. NN0 E. i e. NN0
        E. j e. NN0
          ( ( ( ( ( d ^ 2 ) - ( ( ( A ^ 2 ) - 1 ) x. ( C ^ 2 ) ) ) = 1
                /\ ( ( f ^ 2 ) - ( ( ( A ^ 2 ) - 1 ) x. ( e ^ 2 ) ) ) = 1
                /\ g e. ( ZZ>= ` 2 ) )
             /\ ( ( ( i ^ 2 ) - ( ( ( g ^ 2 ) - 1 ) x. ( h ^ 2 ) ) ) = 1
                /\ e = ( ( j + 1 ) x. ( 2 x. ( C ^ 2 ) ) )
                /\ f || ( g - A ) ) )
          /\ ( ( ( 2 x. C ) || ( g - 1 )
                /\ f || ( h - C ) )
             /\ ( ( 2 x. C ) || ( h - B )
                /\ B <_ C ) ) ) ) ) $=
      ( c2 wcel co wceq cexp c1 cmin wa cn0 wrex cuz cfv cn w3a crmy cmul caddc
      cv cdvds wbr cle crmx cdiv simpl1 simpl2 simpl3 simpr eqid jm2.27c simpld
      simprd oveq1 oveq1d eqeq2d 3anbi2d anbi2d anbi1d rspcev syl eleq1 3anbi3d
      oveq2d eqeq1d breq2d 3anbi13d anbi12d rexbidv 3anbi1d rspc3ev eqeq1 breq1
      syl2anc 2rexbidv simpll1 ad3antrrr simpll2 simpll3 simplrl simplrr simprl
      ex simprr ad2antrr simplr simp2l1 simp2l2 simp2l3 simp2r1 simp2r2 simp2r3
      simp3ll simp3lr simp3rl simp3rr jm2.27b rexlimdva2 rexlimdvva impbid
      3expb ) AKUAUBZLZBUCLZCUCLZUDZCABUEMZNZJUHZKOMZAKOMPQMZCKOMZUFMZQMZPNZEUH
      ZKOMZXSDUHZKOMZUFMZQMZPNZFUHZXJLZUDZHUHZKOMZYKKOMZPQMZGUHZKOMZUFMZQMZPNZY
      FIUHZPUGMZKXTUFMZUFMZNZYDYKAQMZUIUJZUDZRZKCUFMZYKPQMZUIUJZYDYRCQMZUIUJZRZ
      UULYRBQMZUIUJZBCUKUJZRZRZRZISTZHSTZGSTZFSTZESTZDSTJSTZXNXPUVIXNXPRZABULMZ
      SLAKBXOUFMZUFMZUEMZSLAUVMULMZSLUDZUVKKOMZYAQMZPNZUVOKOMZXSUVNKOMZUFMZQMZP
      NZYLUDZUUBUVNUUFNZUVOUUHUIUJZUDZRZUUNUVOUUOUIUJZRZUVARZRZISTZHSTZGSTFSTZU
      VIUVJUVPAUVTUVTAQMUFMUGMZSLUWQBUEMZSLUWQBULMZSLUDZUVJUVPUWTRZUVNUUEUMMPQM
      ZSLUVSUWDUWQXJLZUDZUWSKOMZUWQKOMZPQMZUWRKOMZUFMZQMZPNZUVNUXBPUGMZUUEUFMZN
      ZUVOUWQAQMZUIUJZUDZRZUULUWQPQMZUIUJZUVOUWRCQMZUIUJZRZUULUWRBQMZUIUJZUUTRZ
      RZRZRZUVJABCUVKUVLUVNUVOUWQUWRUWSUXBXKXLXMXPUNXKXLXMXPUOXKXLXMXPUPXNXPUQU
      VKURUVLURUVNURUVOURUWQURUWRURUWSURUXBURUSZUTZUTUVJUWTUXDUXKUWFUXPUDZRZUYG
      RZISTZUWPUVJUVPUWTUYKVAUVJUYIUYOUVJUXAUYIUYJVAUYNUYHIUXBSUUCUXBNZUYMUXRUY
      GUYPUYLUXQUXDUYPUWFUXNUXKUXPUYPUUFUXMUVNUYPUUDUXLUUEUFUUCUXBPUGVBVCVDVEVF
      VGVHVIUWNUYOUXDYOUXGYSUFMZQMZPNZUWFUXPUDZRZUXTUWJRZUVARZRZISTUXDYOUXIQMZP
      NZUWFUXPUDZRZUYGRZISTFGHUWQUWRUWSSSSYKUWQNZUWMVUDISVUJUWIVUAUWLVUCVUJUWEU
      XDUWHUYTVUJYLUXCUVSUWDYKUWQXJVJVKVUJUUBUYSUWGUXPUWFVUJUUAUYRPVUJYTUYQYOQV
      UJYQUXGYSUFVUJYPUXFPQYKUWQKOVBVCVCVLVMVUJUUHUXOUVOUIYKUWQAQVBVNVOVPVUJUWK
      VUBUVAVUJUUNUXTUWJVUJUUMUXSUULUIYKUWQPQVBVNVGVGVPVQYRUWRNZVUDVUIISVUKVUAV
      UHVUCUYGVUKUYTVUGUXDVUKUYSVUFUWFUXPVUKUYRVUEPVUKUYQUXIYOQVUKYSUXHUXGUFYRU
      WRKOVBVLVLVMVRVFVUKVUBUYCUVAUYFVUKUWJUYBUXTVUKUUOUYAUVOUIYRUWRCQVBVNVFVUK
      UUSUYEUUTVUKUURUYDUULUIYRUWRBQVBVNVGVPVPVQYNUWSNZVUIUYNISVULVUHUYMUYGVULV
      UGUYLUXDVULVUFUXKUWFUXPVULVUEUXJPVULYOUXEUXIQYNUWSKOVBVCVMVRVFVGVQVSWBUVG
      UWPUVSYJYLUDZUUJRZUVBRZISTHSTZGSTFSTUVSYEUWBQMZPNZYLUDZUUBUWFUUIUDZRZUVBR
      ZISTHSTZGSTFSTJDEUVKUVNUVOSSSXQUVKNZUVEVUPFGSSVVDUVCVUOHISSVVDUUKVUNUVBVV
      DYMVUMUUJVVDYCUVSYJYLVVDYBUVRPVVDXRUVQYAQXQUVKKOVBVCVMVRVGVGWCWCYFUVNNZVU
      PVVCFGSSVVEVUOVVBHISSVVEVUNVVAUVBVVEVUMVUSUUJVUTVVEYJVURUVSYLVVEYIVUQPVVE
      YHUWBYEQVVEYGUWAXSUFYFUVNKOVBVLVLVMVEVVEUUGUWFUUBUUIYFUVNUUFVTVEVPVGWCWCY
      DUVONZVVCUWOFGSSVVFVVBUWMHISSVVFVVAUWIUVBUWLVVFVUSUWEVUTUWHVVFVURUWDUVSYL
      VVFVUQUWCPVVFYEUVTUWBQYDUVOKOVBVCVMVEVVFUUIUWGUUBUWFYDUVOUUHUIWAVKVPVVFUU
      QUWKUVAVVFUUPUWJUUNYDUVOUUOUIWAVFVGVPWCWCVSWBWKXNUVHXPJDSSXNXQSLZYFSLZRZR
      ZUVFXPEFSSVVJYDSLZYKSLZRZRZUVDXPGHSSVVNYRSLZYNSLZRZRZUVCXPISVVRUUCSLZRZUV
      CRABCXQYFYDYKYRYNUUCVVNXKVVQVVSUVCXKXLXMVVIVVMWDWEVVNXLVVQVVSUVCXKXLXMVVI
      VVMWFWEVVNXMVVQVVSUVCXKXLXMVVIVVMWGWEVVNVVGVVQVVSUVCXNVVGVVHVVMWHWEVVNVVH
      VVQVVSUVCXNVVGVVHVVMWIWEVVNVVKVVQVVSUVCVVJVVKVVLWJWEVVNVVLVVQVVSUVCVVJVVK
      VVLWLWEVVRVVOVVSUVCVVNVVOVVPWJWMVVRVVPVVSUVCVVNVVOVVPWLWMVVRVVSUVCWNVVTUU
      KUVBYCYCYJYLUUJVVTUVBWOXIVVTUUKUVBYJYCYJYLUUJVVTUVBWPXIVVTUUKUVBYLYCYJYLU
      UJVVTUVBWQXIVVTUUKUVBUUBUUBUUGUUIYMVVTUVBWRXIVVTUUKUVBUUGUUBUUGUUIYMVVTUV
      BWSXIVVTUUKUVBUUIUUBUUGUUIYMVVTUVBWTXIVVTUUKUVBUUNUUNUUPUVAVVTUUKXAXIVVTU
      UKUVBUUPUUNUUPUVAVVTUUKXBXIVVTUUKUVBUUSUUSUUTUUQVVTUUKXCXIVVTUUKUVBUUTUUS
      UUTUUQVVTUUKXDXIXEXFXGXGXGXH $.
  $}

  ${
    $d A a b $.  $d B a b $.
    jm2.27dlem1.1 $e |- A e. ( 1 ... B ) $.
    $( Lemma for ~ rmydioph .  Substitution of a tuple restriction into a
       projection that doesn't care.  (Contributed by Stefan O'Rear,
       11-Oct-2014.) $)
    jm2.27dlem1 $p |- ( a = ( b |` ( 1 ... B ) ) -> ( a ` A ) = ( b ` A ) ) $=
      ( cv c1 cfz co cres wceq cfv fveq1 wcel fvres ax-mp eqtrdi ) CFZDFZGBHIZJ
      ZKARLAUALZASLZARUAMATNUBUCKEATSOPQ $.
  $}

  ${
    jm2.27dlem2.1 $e |- A e. ( 1 ... B ) $.
    jm2.27dlem2.2 $e |- C = ( B + 1 ) $.
    jm2.27dlem2.3 $e |- B e. NN $.
    $( Lemma for ~ rmydioph .  This theorem is used along with the next three
       to efficiently infer steps like ` 7 e. ( 1 ... ; 1 0 ) ` .  (Contributed
       by Stefan O'Rear, 11-Oct-2014.) $)
    jm2.27dlem2 $p |- A e. ( 1 ... C ) $=
      ( c1 cfz co wcel cz cle wbr elfzelz ax-mp elfzle1 caddc cr zrei nnrei w3a
      elfzle2 letrp1 mp3an breqtrri wb 1z cn nnz peano2z eqeltri elfz1 mpbir3an
      mp2b mp2an ) AGCHIJZAKJZGALMZACLMZAGBHIJZUQDAGBNOZUTURDAGBPOABGQIZCLARJBR
      JABLMZAVBLMAVASBFTUTVCDAGBUBOABUCUDEUEGKJCKJUPUQURUSUAUFUGCVBKEBUHJBKJVBK
      JFBUIBUJUNUKAGCULUOUM $.
  $}

  ${
    jm2.27dlem3.1 $e |- A e. NN $.
    $( Lemma for ~ rmydioph .  Infer membership of the endpoint of a range.
       (Contributed by Stefan O'Rear, 11-Oct-2014.) $)
    jm2.27dlem3 $p |- A e. ( 1 ... A ) $=
      ( cn wcel c1 cfz co elfz1end mpbi ) ACDAEAFGDBAHI $.

    jm2.27dlem4.2 $e |- B = ( A + 1 ) $.
    $( Lemma for ~ rmydioph .  Infer ` NN ` -hood of large numbers.
       (Contributed by Stefan O'Rear, 11-Oct-2014.) $)
    jm2.27dlem4 $p |- B e. NN $=
      ( c1 caddc co cn wcel peano2nn ax-mp eqeltri ) BAEFGZHDAHIMHICAJKL $.
  $}

  ${
    jm2.27dlem5.2 $e |- B = ( A + 1 ) $.
    jm2.27dlem5.3 $e |- ( 1 ... B ) C_ ( 1 ... C ) $.
    $( Lemma for ~ rmydioph .  Used with ~ sselii to infer membership of
       midpoints of range; ~ jm2.27dlem2 is deprecated.  (Contributed by Stefan
       O'Rear, 11-Oct-2014.) $)
    jm2.27dlem5 $p |- ( 1 ... A ) C_ ( 1 ... C ) $=
      ( c1 cfz co caddc fzssp1 oveq2i sseqtrri sstri ) FAGHZFBGHZFCGHNFAFIHZGHO
      FAJBPFGDKLEM $.
  $}

  ${
    $d a b c d e f g h i $.

    $( ~ jm2.27 restated in terms of Diophantine sets.  (Contributed by Stefan
       O'Rear, 11-Oct-2014.)  (Revised by Stefan O'Rear, 6-May-2015.) $)
    rmydioph $p |- { a e. ( NN0 ^m ( 1 ... 3 ) ) | ( ( a ` 1 ) e. ( ZZ>= ` 2 )
        /\ ( a ` 3 ) = ( ( a ` 1 ) rmY ( a ` 2 ) ) ) } e. ( Dioph ` 3 ) $=
      ( vi c1 cfv c2 wcel c3 co wceq wa cn0 crab cexp cmin cmul cdvds wbr mp2an
      wb cmpt vb vd vc ve vg vf vh cv cuz crmy cfz cmap cn w3a caddc cle cc0 wo
      wrex cdioph elmapi 2nn jm2.27dlem3 df-3 jm2.27dlem2 ffvelrn sylancl elnn0
      wf anbi2d cz simplr adantl ad2antlr syl3anc eleq1 pm5.32da bitrd pm5.32rd
      clt ex eqeq2d cmzp 3nn0 2z cvv ovex 1nn mzpproj eluzrabdioph elnnrabdioph
      df-2 mp3an wsbc c9 c8 c7 c6 c5 fvex oveq1 oveq2d oveqan12rd eqeq1d oveq1d
      c4 3ad2ant3 3anbi12d breq2d anbi1d anbi12d 3ad2ant1 sbc3ie sbcbii oveq12d
      3anbi23d breq12d jm2.27dlem1 adantr 10nn0 df-5 df-6 df-7 df-8 jm2.27dlem5
      df-9 sselii 2nn0 mzpexpmpt mzpconstmpt mzpsubmpt mzpmulmpt eqrabdioph 9nn
      df-4 3anrabdioph dvdsrabdioph anrabdioph eqeltri eq0rabdioph sylib bitrdi
      iba andi syl nnz frmy fovcl syl2anc rmy0 nngt0 ltrmy mpbid eqbrtrrd elnnz
      0zd sylanbrc syl5ibrcom pm4.71rd simpllr simpr jm2.27 oveq2 eqtrd orbi12d
      rabbiia 3nn cdc cres 3adant3 3ad2ant2 eqeq1 simp2 3anbi123d breq1 3adant1
      bi2anan9r vex resex breq1d sbc2ie 3bitri rabbii 9p1e10 eqcomi ssid 4nn 1z
      6nn 5nn 7nn 8nn 10nn mzpaddmpt lerabdioph 7rexfrabdioph orrabdioph ) CAUH
      ZDZEUIDZFZGUWRDZUWSEUWRDZUJHZIZJZAKCGUKHZULHZLUXAUXBUMFZUAUHZEMHZUWSEMHZC
      NHZUXBEMHZOHZNHZCIZUBUHZEMHZUXMUCUHZEMHZOHZNHZCIZUDUHZUWTFZUNZUEUHZEMHZUY
      EEMHZCNHZUFUHZEMHZOHZNHZCIZUXTUGUHZCUOHZEUXNOHZOHZIZUXRUYEUWSNHZPQZUNZJZE
      UXBOHZUYECNHZPQZUXRUYLUXBNHZPQZJZVUFUYLUXCNHZPQZUXCUXBUPQZJZJZJZUGKUSUEKU
      SUFKUSUDKUSUBKUSUCKUSUAKUSZJZUXCUMFZJZUXBUQIZUXCUQIZJZURZJZAUXHLZGUTDZUXF
      VVFAUXHUWRUXHFZUXFUXAUXEVUTJZUXEVVCJZURZJZVVFVVIVUTVVCURZUXFVVMSVVIUXCKFZ
      VVNVVIUXGKUWRVIEUXGFZVVOUWRKUXGVAEEGEVBVCZVDVBVEZUXGKEUWRVFVGUXCVHUUAVVNU
      XEVVLUXAVVNUXEUXEVVNJVVLVVNUXEUUCUXEVUTVVCUUDUUBVJUUEVVIUXAVVLVVEVVIUXAJZ
      VVJVVAVVKVVDVVSVUTUXEVUSVVSVUTUXEVUSSVVSVUTJZUXEUXIUXEJVUSVVTUXEUXIVVTUXI
      UXEUXDUMFZVVTUXDVKFZUQUXDVTQVWAVVTUXAUXCVKFZVWBVVIUXAVUTVLZVUTVWCVVSUXCUU
      FVMZUWSUXCVKUWTVKUJUUGUUHUUIVVTUWSUQUJHZUQUXDVTUXAVWFUQIZVVIVUTUWSUUJZVNV
      VTUQUXCVTQZVWFUXDVTQZVUTVWIVVSUXCUUKVMVVTUXAUQVKFVWCVWIVWJSVWDVVTUUPVWEUW
      SUQUXCUULVOUUMUUNUXDUUOUUQUXBUXDUMVPUURUUSVVTUXIUXEVURVVTUXIJUXAVUTUXIUXE
      VURSVVIUXAVUTUXIUUTVVSVUTUXIVLVVTUXIUVAUWSUXCUXBUCUBUDUFUEUGUAUVBVOVQVRWA
      VSVVSVVCUXEVVBVVSVVCUXEVVBSVVSVVCJZUXDUQUXBVWKUXDVWFUQVVCUXDVWFIVVSUXCUQU
      WSUJUVCVMUXAVWGVVIVVCVWHVNUVDWBWAVSUVEVQVRUVFUXAAUXHLVVHFZVVEAUXHLVVHFZVV
      GVVHFGKFZEVKFZAVKUXGULHZUWSTUXGWCDZFZVWLWDWEUXGWFFZCUXGFVWRCGUKWGZCEGCCEC
      WHVCZWLWHVEVDVBVEZAUXGCWIRAUWSEGWJWMVVAAUXHLVVHFZVVDAUXHLVVHFZVWMVUSAUXHL
      VVHFZVUTAUXHLVVHFZVXCUXIAUXHLVVHFZVURAUXHLVVHFZVXEVWNAVWPUXBTVWQFZVXGWDVW
      SGUXGFVXIVWTGUVGVCZAUXGGWIRZAUXBGWKRVWNVUQUGCUQUVHZBUHZDZWNUEWOVXMDZWNUFW
      PVXMDZWNZUDWQVXMDZWNZUBWRVXMDZWNZUCWSVXMDZWNZUAXFVXMDZWNZAVXMUXGUVIZWNZBK
      CVXLUKHZULHZLZVXLUTDZFVXHWDVYJVYDEMHZCVXMDZEMHZCNHZGVXMDZEMHZOHZNHZCIZVXT
      EMHZVYOVYBEMHZOHZNHZCIZVXRUWTFZUNZVXOEMHZVXREMHZCNHZVXPEMHZOHZNHZCIZVYBVX
      NCUOHZEVYQOHZOHZIZVXTVXRVYMNHZPQZUNZJZEVYPOHZVXRCNHZPQZVXTVXPVYPNHZPQZJZW
      VCVXPEVXMDZNHZPQZWVIVYPUPQZJZJZJZBVYILZVYKVYGWVOBVYIVYGUYGWUHUYKWUKOHZNHZ
      CIZUXTWUOUYSOHZIZVUCUNZJZVUHUXRVXPUXBNHZPQZJZVUFVXPUXCNHZPQZVUNJZJZJZUDVX
      RWNZUBVXTWNZUCVYBWNZUAVYDWNZAVYFWNUXQWUAUXMWUBOHZNHZCIZWUFUNZWUNVYBWVTIZV
      XTVXRUWSNHZPQZUNZJZVUFWVDPQZVXTWWDPQZJZWWIJZJZUAVYDWNZAVYFWNWVOVYEWWOAVYF
      VYCWWNUAVYDVYAWWMUCVYBVXSWWLUBVXTVXQWWKUDVXRVUQWWKUFUEUGVXPVXOVXNWPVXMWTW
      OVXMWTVXLVXMWTUYLVXPIZUYHVXOIZUYQVXNIZUNZVUEWWCVUPWWJWXNVUDWWBUYGWXNUYPWV
      SVUAWWAVUCWXKWXLUYPWVSSWXMWXKWXLJUYOWVRCWXLWXKUYIWUHUYNWVQNUYHVXOEMXAWXKU
      YMWUKUYKOUYLVXPEMXAXBXCXDUVJWXMWXKVUAWWASWXLWXMUYTWVTUXTWXMUYRWUOUYSOUYQV
      XNCUOXAXEWBXGXHVJWXKWXLVUPWWJSWXMWXKVUKWWFVUOWWIWXKVUJWWEVUHWXKVUIWWDUXRP
      UYLVXPUXBNXAXIVJWXKVUMWWHVUNWXKVULWWGVUFPUYLVXPUXCNXAXIXJXKXLXKXMXNXNXNXN
      XNWWOWXJAVYFWWNWXIUAVYDWWKWXIUCUBUDVYBVXTVXRWSVXMWTWRVXMWTWQVXMWTUXTVYBIZ
      UXRVXTIZUYEVXRIZUNZWWCWXDWWJWXHWXRUYGWWSWWBWXCWXRUYDWWRUYFWUFUXQWXRUYCWWQ
      CWXRUXSWUAUYBWWPNWXPWXOUXSWUAIWXQUXRVXTEMXAUVKWXOWXPUYBWWPIWXQWXOUYAWUBUX
      MOUXTVYBEMXAXBXLXOXDWXQWXOUYFWUFSWXPUYEVXRUWTVPXGXPWXRWVSWUNWWAWWTVUCWXBW
      XQWXOWVSWUNSWXPWXQWVRWUMCWXQWVQWULWUHNWXQUYKWUJWUKOWXQUYJWUICNUYEVXREMXAX
      EXEXBXDXGWXOWXPWWAWWTSWXQUXTVYBWVTUVLXLWXRUXRVXTVUBWXAPWXOWXPWXQUVMWXQWXO
      VUBWXAIWXPUYEVXRUWSNXAXGXQUVNXKWXPWXQWWJWXHSWXOWXPWXQJWWFWXGWWIWXQVUHWXEW
      XPWWEWXFWXQVUGWVDVUFPUYEVXRCNXAXIUXRVXTWWDPUVOUVQXJUVPXKXMXNXNWXIWVOAUAVY
      FVYDVXMUXGBUVRUVSXFVXMWTUWRVYFIZUXJVYDIZJZWXDWVBWXHWVNWYAWWSWUGWXCWVAWYAU
      XQVYTWWRWUEWUFWYAUXPVYSCWXTWXSUXKVYLUXOVYRNUXJVYDEMXAWXSUXMVYOUXNVYQOWXSU
      XLVYNCNWXSUWSVYMEMCGABVXBXRZXEXEZWXSUXBVYPEMGGABVXJXRZXEZXOXCXDWXSWWRWUES
      WXTWXSWWQWUDCWXSWWPWUCWUANWXSUXMVYOWUBOWYCXEXBXDXSXHWXSWXCWVASWXTWXSWWTWU
      RWXBWUTWUNWXSWVTWUQVYBWXSUYSWUPWUOOWXSUXNVYQEOWYEXBXBWBWXSWXAWUSVXTPWXSUW
      SVYMVXRNWYBXBXIXPXSXKWXSWXHWVNSWXTWXSWXGWVHWWIWVMWXSWXEWVEWXFWVGWXSVUFWVC
      WVDPWXSUXBVYPEOWYDXBZUVTWXSWWDWVFVXTPWXSUXBVYPVXPNWYDXBXIXKWXSWWHWVKVUNWV
      LWXSVUFWVCWWGWVJPWYFWXSUXCWVIVXPNEGABVVRXRZXBXQWXSUXCWVIUXBVYPUPWYGWYDXQX
      KXKXSXKUWAUWBUWCWVBBVYILVYKFZWVNBVYILVYKFZWVPVYKFWUGBVYILVYKFZWVABVYILVYK
      FZWYHVYTBVYILVYKFZWUEBVYILVYKFZWUFBVYILVYKFZWYJVXLKFZBVKVYHULHZVYSTVYHWCD
      ZFZBWYPCTWYQFZWYLXTBWYPVYLTWYQFZBWYPVYRTWYQFZWYRBWYPVYDTWYQFZEKFZWYTVYHWF
      FZXFVYHFXUBCVXLUKWGZCXFUKHVYHXFXFWSVXLYAWSWRVXLYBWRWQVXLYCWQWPVXLYDWPWOVX
      LYFWOVXLVXLWOCUOHVXLUWDUWEZVYHUWFYEYEZYEZYEZYEZYEZXFUWGVCYGBVYHXFWIRYHBVY
      DEVYHYIRBWYPVYOTWYQFZBWYPVYQTWYQFZXUABWYPVYNTWYQFZWYSXULBWYPVYMTWYQFZXUCX
      UNXUDCVYHFXUOXUECCUKHVYHCCEVXLWLEGVXLVDGXFVXLYOXUKYEZYEZYEVXAYGBVYHCWIRZY
      HBVYMEVYHYIRXUDCVKFWYSXUEUWHBCVYHYJRZBVYNCVYHYKRZBWYPVYPTWYQFZXUCXUMXUDGV
      YHFXVAXUEUXGVYHGXUPVXJYGBVYHGWIRZYHBVYPEVYHYIRZBVYOVYQVYHYLRBVYLVYRVYHYKR
      XUSBVYSCVXLYMWMWYOBWYPWUDTWYQFZWYSWYMXTBWYPWUATWYQFZBWYPWUCTWYQFZXVDBWYPV
      XTTWYQFZXUCXVEXUDWRVYHFXVGXUECWRUKHVYHWRXUIWRUWIVCYGBVYHWRWIRZYHBVXTEVYHY
      IRXULBWYPWUBTWYQFZXVFXUTBWYPVYBTWYQFZXUCXVIXUDWSVYHFXVJXUECWSUKHVYHWSXUJW
      SUWJVCYGBVYHWSWIRZYHBVYBEVYHYIRBVYOWUBVYHYLRBWUAWUCVYHYKRXUSBWUDCVXLYMWMW
      YOVWOBWYPVXRTWYQFZWYNXTWEXUDWQVYHFXVLXUECWQUKHVYHWQXUHWQUWKVCYGBVYHWQWIRZ
      BVXREVXLWJWMVYTWUEWUFBVXLYPWMWUNBVYILVYKFZWURBVYILVYKFZWUTBVYILVYKFZWYKWY
      OBWYPWUMTWYQFZWYSXVNXTBWYPWUHTWYQFZBWYPWULTWYQFZXVQBWYPVXOTWYQFZXUCXVRXUD
      WOVYHFXVTXUEWOWOVXLWOYNVCXUFYNVEBVYHWOWIRYHBVXOEVYHYIRBWYPWUJTWYQFZBWYPWU
      KTWYQFZXVSBWYPWUITWYQFZWYSXWAXVLXUCXWCXVMYHBVXREVYHYIRXUSBWUICVYHYKRBWYPV
      XPTWYQFZXUCXWBXUDWPVYHFXWDXUECWPUKHVYHWPXUGWPUWLVCYGBVYHWPWIRZYHBVXPEVYHY
      IRBWUJWUKVYHYLRBWUHWULVYHYKRXUSBWUMCVXLYMWMWYOXVJBWYPWUQTWYQFZXVOXTXVKBWY
      PWUOTWYQFZBWYPWUPTWYQFZXWFBWYPVXNTWYQFZWYSXWGXUDVXLVYHFXWIXUEVXLUWMVCBVYH
      VXLWIRXUSBVXNCVYHUWNRBWYPETWYQFZXUMXWHXUDVWOXWJXUEWEBEVYHYJRZXVCBEVYQVYHY
      LRBWUOWUPVYHYLRBVYBWUQVXLYMWMWYOXVGBWYPWUSTWYQFZXVPXTXVHXVLXUOXWLXVMXURBV
      XRVYMVYHYKRBVXTWUSVXLYQWMWUNWURWUTBVXLYPWMWUGWVABVXLYRRWVHBVYILVYKFZWVMBV
      YILVYKFZWYIWVEBVYILVYKFZWVGBVYILVYKFZXWMWYOBWYPWVCTWYQFZBWYPWVDTWYQFZXWOX
      TXWJXVAXWQXWKXVBBEVYPVYHYLRZXVLWYSXWRXVMXUSBVXRCVYHYKRBWVCWVDVXLYQWMWYOXV
      GBWYPWVFTWYQFZXWPXTXVHXWDXVAXWTXWEXVBBVXPVYPVYHYKRBVXTWVFVXLYQWMWVEWVGBVX
      LYRRWVKBVYILVYKFZWVLBVYILVYKFZXWNWYOXWQBWYPWVJTWYQFZXXAXTXWSXWDBWYPWVITWY
      QFZXXCXWEXUDEVYHFXXDXUECEUKHVYHEXUQVVQYGBVYHEWIRZBVXPWVIVYHYKRBWVCWVJVXLY
      QWMWYOXXDXVAXXBXTXXEXVBBWVIVYPVXLUWOWMWVKWVLBVXLYRRWVHWVMBVXLYRRWVBWVNBVX
      LYRRYSVUQUBUDUFUCUAABVXLWOWPWQWRWSXFGUGUEYOYAYBYCYDYFXUFUWPRUXIVURAGYRRVW
      NAVWPUXCTVWQFZVXFWDVWSVVPXXFVWTVVRAUXGEWIRZAUXCGWKRVUSVUTAGYRRVVBAUXHLVVH
      FZVVCAUXHLVVHFZVXDVWNVXIXXHWDVXKAUXBGYTRVWNXXFXXIWDXXGAUXCGYTRVVBVVCAGYRR
      VVAVVDAGUWQRUXAVVEAGYRRYS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  X and Y sequences 5: Diophantine representability of X, ^, _C
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A y $.  $d N y $.  $d X y $.
    $( X can be expressed in terms of Y, so it is also Diophantine.
       (Contributed by Stefan O'Rear, 15-Oct-2014.) $)
    rmxdiophlem $p |- ( ( A e. ( ZZ>= ` 2 ) /\ N e. NN0 /\ X e. NN0 ) -> ( X =
      ( A rmX N ) <-> E. y e. NN0 ( y = ( A rmY N ) /\ ( ( X ^ 2 ) - ( (
        ( A ^ 2 ) - 1 ) x. ( y ^ 2 ) ) ) = 1 ) ) ) $=
      ( c2 wcel cn0 crmx co wceq cexp cmin cmul nn0sqcl 3ad2ant3 nn0cnd syl2anc
      c1 wa syl cuz cfv w3a crmy cv wrex cz simp1 nn0z 3ad2ant2 fovcl csquarenn
      cn rmspecnonsq eldifad nnnn0d 3ad2ant1 rmynn0 3adant3 nn0mulcld subcan2ad
      frmx rmxynorm eqeq2d cr cc0 cle wbr nn0re nn0ge0 jca sq11 3bitr3rd oveq2d
      wb oveq1 eqeq1d ceqsrexv bitr4d ) BEUAUBZFZCGFZDGFZUCZDBCHIZJZDEKIZBEKIRL
      IZBCUDIZEKIZMIZLIZRJZAUEZWIJZWGWHWNEKIZMIZLIZRJZSAGUFZWDWLWEEKIZWKLIZJWGX
      AJZWMWFWDWGXAWKWDWGWCWAWGGFWBDNOPWDXAWDWEGFZXAGFWDWACUGFZXDWAWBWCUHZWBWAX
      EWCCUIUJZBCGVTUGHVBUKQZWENTPWDWKWDWHWJWAWBWHGFWCWAWHWAWHUMULBUNUOUPUQWDWI
      GFZWJGFWAWBXIWCBCURUSZWINTUTPVAWDXBRWLWDWAXEXBRJXFXGBCVCQVDWDDVEFZVFDVGVH
      ZSZWEVEFZVFWEVGVHZSZXCWFVOWCWAXMWBWCXKXLDVIDVJVKOWDXDXPXHXDXNXOWEVIWEVJVK
      TDWEVLQVMWDXIWTWMVOXJWSWMAWIGWOWRWLRWOWQWKWGLWOWPWJWHMWNWIEKVPVNVNVQVRTVS
      $.
  $}

  ${
    $d a b c $.
    $( X is a Diophantine function.  (Contributed by Stefan O'Rear,
       17-Oct-2014.) $)
    rmxdioph $p |- { a e. ( NN0 ^m ( 1 ... 3 ) ) | ( ( a ` 1 ) e. ( ZZ>= ` 2 )
        /\ ( a ` 3 ) = ( ( a ` 1 ) rmX ( a ` 2 ) ) ) } e. ( Dioph ` 3 ) $=
      ( vb vc c1 cfv c2 wcel c3 co wceq wa cn0 cfz crab crmy cexp cmin c4 mp2an
      cmpt cv cuz crmx cmap cmul wrex cdioph simpr elmapi df-3 ssid jm2.27dlem5
      wb 2nn jm2.27dlem3 sselii ffvelrn sylancl adantr 3nn rmxdiophlem pm5.32da
      wf syl3anc anass rexbii r19.42v bitr2i bitrdi rabbiia wsbc cres vex resex
      3nn0 fvex 1nn jm2.27dlem1 eleq1d oveq12d eqeq12d anbi12d oveq1d oveqan12d
      df-2 oveq1 eqeq1d sbc2ie 4nn0 rmydioph w3a simp1 simp3 simp2 rabren3dioph
      rabbii df-4 4nn cz cmzp ovex mzpproj 2nn0 mzpexpmpt mzpconstmpt mzpsubmpt
      cvv 1z mzpmulmpt eqrabdioph mp3an anrabdioph eqeltri rexfrabdioph ) DAUAZ
      EZFUBEZGZHXOEZXPFXOEZUCIJZKZALDHMIZUDIZNXRBUAZXPXTOIZJZKZXSFPIZXPFPIZDQIZ
      YEFPIZUEIZQIZDJZKZBLUFZAYDNZHUGEZYBYQAYDXOYDGZYBXRYGYOKZBLUFZKZYQYTXRYAUU
      BYTXRKXRXTLGZXSLGZYAUUBUMYTXRUHYTUUDXRYTYCLXOVCZFYCGUUDXOLYCUIZDFMIZYCFFH
      HUJYCUKULZFUNUOZUPZYCLFXOUQURUSYTUUEXRYTUUFHYCGUUEUUGHUTUOZYCLHXOUQURUSBX
      PXTXSVAVDVBYQXRUUAKZBLUFUUCYPUUMBLXRYGYOVEVFXRUUABLVGVHVIVJHLGYPBRCUAZEZV
      KAUUNYCVLZVKZCLDRMIZUDIZNZRUGEZGYRYSGVOUUTDUUNEZXQGZUUOUVBFUUNEZOIZJZKZHU
      UNEZFPIZUVBFPIZDQIZUUOFPIZUEIZQIZDJZKZCUUSNZUVAUUQUVPCUUSYPUVPABUUPUUOUUN
      YCCVMVNRUUNVPXOUUPJZYEUUOJZKZYHUVGYOUVOUVTXRUVCYGUVFUVRXRUVCUMUVSUVRXPUVB
      XQDHACDDMIZYCDDFHWEUUIULDVQUOZUPVRZVSUSUVTYEUUOYFUVEUVRUVSUHUVRYFUVEJUVSU
      VRXPUVBXTUVDOUWCFHACUUKVRVTUSWAWBUVTYNUVNDUVTYIUVIYMUVMQUVRYIUVIJUVSUVRXS
      UVHFPHHACUULVRWCUSUVRUVSYKUVKYLUVLUEUVRYJUVJDQUVRXPUVBFPUWCWCWCYEUUOFPWFW
      DVTWGWBWHWPUVGCUUSNUVAGZUVOCUUSNUVAGZUVQUVAGRLGZDYEEZXQGZHYEEZUWGFYEEZOIZ
      JZKZBYDNYSGUWDWIBWJUWMUVGRDFRBCUWGUVBJZUWJUVDJZUWIUUOJZWKZUWHUVCUWLUVFUWQ
      UWGUVBXQUWNUWOUWPWLZVSUWQUWIUUOUWKUVEUWNUWOUWPWMUWQUWGUVBUWJUVDOUWRUWNUWO
      UWPWNVTWAWBUWAUURDDFRWEFHRUJHRRWQUURUKULZULZULUWBUPZUUHUURFUWTUUJUPRWRUOZ
      WOSUWFCWSUURUDIZUVNTUURWTEZGZCUXCDTUXDGZUWEWICUXCUVITUXDGZCUXCUVMTUXDGZUX
      ECUXCUVHTUXDGZFLGZUXGUURXGGZHUURGUXIDRMXAZYCUURHUWSUULUPCUURHXBSXCCUVHFUU
      RXDSCUXCUVKTUXDGZCUXCUVLTUXDGZUXHCUXCUVJTUXDGZUXFUXMCUXCUVBTUXDGZUXJUXOUX
      KDUURGUXPUXLUXACUURDXBSXCCUVBFUURXDSUXKDWSGUXFUXLXHCDUURXESZCUVJDUURXFSCU
      XCUUOTUXDGZUXJUXNUXKRUURGUXRUXLUXBCUURRXBSXCCUUOFUURXDSCUVKUVLUURXISCUVIU
      VMUURXFSUXQCUVNDRXJXKUVGUVOCRXLSXMYPBACRHWQXNSXM $.
  $}

  ${
    jm3.1.a $e |- ( ph -> A e. ( ZZ>= ` 2 ) ) $.
    jm3.1.b $e |- ( ph -> K e. ( ZZ>= ` 2 ) ) $.
    jm3.1.c $e |- ( ph -> N e. NN ) $.
    jm3.1.d $e |- ( ph -> ( K rmY ( N + 1 ) ) <_ A ) $.
    $( Lemma for ~ jm3.1 .  (Contributed by Stefan O'Rear, 16-Oct-2014.) $)
    jm3.1lem1 $p |- ( ph -> ( K ^ N ) < A ) $=
      ( cexp co c2 c1 cmin wcel syl cn cz clt wbr cc cuz cfv cr eluzelre nnnn0d
      cmul reexpcld 2z uzid ax-mp uz2mulcl sylancr uz2m1nn nnred cc0 nngt0d 2cn
      recnd mulcl 1cnd sub32d 2timesd mvrladdd oveq1d eqtrd breqtrrd mpbird crp
      posdifd wb eluz2nn nnrpd rpexpmord syl3anc mpbid caddc crmy nnzd peano2zd
      frmy fovcl syl2anc zred cn0 cle jm2.17a letrd ltletrd ) ACDIJZKCUFJZLMJZD
      IJZBACDACKUAUBZNZCUCNFKCUDOZADGUEZUGAWKDAWKAWJWMNZWKPNAKWMNZWNWQKQNWRUHKU
      IUJFKCUKULWJUMOZUNZWPUGZABWMNBUCNEKBUDOZACWKRSZWIWLRSZAXCUOWKCMJZRSAUOCLM
      JZXERAXFAWNXFPNFCUMOUPAXEWJCMJZLMJXFAWJLCAKTNCTNWJTNUQACWOURZKCUSULAUTXHV
      AAXGCLMAWJCCXHXHACXHVBVCVDVEVFACWKWOWTVIVGADPNCVHNWKVHNXCXDVJGACAWNCPNFCV
      KOVLAWKWSVLCWKDVMVNVOAWLCDLVPJZVQJZBXAAXJAWNXIQNXJQNFADADGVRVSCXIQWMQVQVT
      WAWBWCXBAWNDWDNWLXJWESFWPCDWFWBHWGWH $.

    $( Lemma for ~ jm3.1 .  (Contributed by Stefan O'Rear, 16-Oct-2014.) $)
    jm3.1lem2 $p |- ( ph -> ( K ^ N ) < ( ( ( ( 2 x. A ) x. K ) - ( K ^ 2 ) ) -
        1 ) ) $=
      ( co c2 cmul cmin c1 wcel cr syl caddc clt wbr recnd cexp eluzelre nnnn0d
      cuz cfv reexpcld 2re remulcl sylancr remulcld resqcld 1re resubcl sylancl
      resubcld jm3.1lem1 readdcld cz eluz2b1 simprbi cc0 wb cn nngt0d ltmulgt11
      eluz2nn syl3anc mpbid nnrpd ltaddrpd lttrd cle peano2re exp1d nnge1d nnuz
      uz2m1nn eleqtrdi leexp2ad eqbrtrrd lelttrd eluzelz zltp1le syl2anc lemul1
      syl112anc leadd1dd 1cnd addsub12d adddird sqvald oveq12d mulcld cc ax-1cn
      mulcl pncan2d mulid2d 3eqtrd oveq1d oveq2d subadd23d 3eqtr3d 2cnd mulassd
      2timesd eqtrd sub32d addsubassd 3brtr4d ltletrd ) ACDUAIZBJBKIZCKIZCJUAIZ
      LIZMLIZACDACJUDUEZNZCONZFJCUBPZADGUCUFZABXRNZBONZEJBUBPZAXPONMONZXQONAXNX
      OAXMCAJONYDXMONUGYEJBUHUIYAUJACYAUKZUOULXPMUMUNZABCDEFGHUPZABBCKIZCMLIZQI
      ZXQYEAYJYKABCYEYAUJZAXTYFYKONYAULCMUMUNUQZYHABYJYLYEYMYNAMCRSZBYJRSZAXSYO
      FXSCURNZYOCUSUTPAYDXTVABRSYOYPVBYEYAABAYCBVCNEBVFPVDBCVEVGVHAYJYKYMAYKAXS
      YKVCNFCVQPVIVJVKACMQIZCKIZYJMLIZXOLIZQIZYJUUAQIZYLXQVLAYSYJUUAAYRCAXTYRON
      ZYACVMPZYAUJZYMAYTXOAYJONYFYTONYMULYJMUMUNZYGUOAYRBVLSZYSYJVLSZACBRSZUUHA
      CXLBYAYBYEACMUAICXLVLACACYATZVNACMDYAACAXSCVCNFCVFPZVOADVCMUDUEGVPVRVSVTY
      IWAAYQBURNZUUJUUHVBAXSYQFJCWBPAYCUUMEJBWBPCBWCWDVHAUUDYDXTVACRSUUHUUIVBUU
      EYEYAACUULVDYRBCWEWFVHWGAYJYSXOLIZMLIZQIUUNYTQIYLUUBAYJUUNMAYJYMTZAUUNAYS
      XOUUFYGUOTAWHZWIAUUOYKYJQAUUNCMLAUUNCCKIZMCKIZQIZUURLIUUSCAYSUUTXOUURLACM
      CUUKUUQUUKWJACUUKWKWLAUURUUSACCUUKUUKWMAMWNNCWNNUUSWNNWOUUKMCWPUIWQACUUKW
      RWSWTXAAYSXOYTAYSUUFTAXOYGTZAYTUUGTZXBXCAXQYJYJQIZXOLIZMLIUVCMLIZXOLIZUUC
      AXPUVDMLAXNUVCXOLAXNJYJKIUVCAJBCAXDABYETUUKXEAYJUUPXFXGWTWTAUVCXOMAUVCAYJ
      YJYMYMUQTUVAUUQXHAUVFYJYTQIZXOLIUUCAUVEUVGXOLAYJYJMUUPUUPUUQXIWTAYJYTXOUU
      PUVBUVAXIXGWSXJXKVK $.

    $( Lemma for ~ jm3.1 .  (Contributed by Stefan O'Rear, 17-Oct-2014.) $)
    jm3.1lem3 $p |- ( ph -> ( ( ( ( 2 x. A ) x. K ) -
        ( K ^ 2 ) ) - 1 ) e. NN ) $=
      ( c2 cmul co cexp cmin c1 cz wcel cc0 clt cn syl wbr cuz cfv eluzelz nnzd
      zmulcl sylancr eluz2nn zmulcld zsqcl zsubcld peano2zm 0red nnexpcld nnred
      2z nnnn0d zred nngt0d jm3.1lem2 lttrd elnnz sylanbrc ) AIBJKZCJKZCILKZMKZ
      NMKZOPZQVHRUAVHSPAVGOPVIAVEVFAVDCAIOPBOPZVDOPUPABIUBUCZPVJEIBUDTIBUFUGACA
      CVKPCSPFCUHTZUEZUIACOPVFOPVMCUJTUKVGULTZAQCDLKZVHAUMAVOACDVLADGUQUNZUOAVH
      VNURAVOVPUSABCDEFGHUTVAVHVBVC $.
  $}

  $( Diophantine expression for exponentiation.  Lemma 3.1 of
     [JonesMatijasevic] p. 698.  (Contributed by Stefan O'Rear,
     16-Oct-2014.) $)
  jm3.1 $p |- ( ( ( A e. ( ZZ>= ` 2 ) /\ K e. ( ZZ>= ` 2 ) /\ N e. NN ) /\
      ( K rmY ( N + 1 ) ) <_ A ) -> ( K ^ N ) = ( ( ( A rmX N ) - ( ( A - K )
        x. ( A rmY N ) ) ) mod ( ( ( ( 2 x. A ) x. K ) - ( K ^ 2 ) ) -
        1 ) ) ) $=
    ( c2 wcel cn c1 co crmy wbr cexp crmx cmin cmul cn0 adantr syl3anc 3ad2ant3
    wa cz cuz cfv w3a caddc cle wceq cdvds simpl1 simpl2 simpl3 simpr jm3.1lem2
    cmo clt eluzge2nn0 3ad2ant2 nnnn0d jm2.18 wb simp1 frmx fovcl syl2anc nn0zd
    nnz eluzelz zsubcl syl2an 3adant3 zmulcld zsubcld jm3.1lem3 nnnn0 nn0expcld
    frmy divalgmodcl mpbir2and ) ADUAUBZEZBVREZCFEZUCZBCGUDHIHAUEJZSZBCKHZACLHZ
    ABMHZACIHZNHZMHZDANHBNHBDKHMHGMHZUMHUFZWEWKUNJZWKWJWEMHUGJZWDABCVSVTWAWCUHZ
    VSVTWAWCUIZVSVTWAWCUJZWBWCUKZULWDVSBOEZCOEZWNWOWBWSWCVTVSWSWABUOUPZPWDCWQUQ
    ABCURQWDWJTEZWKFEWEOEZWLWMWNSUSWBXBWCWBWFWIWBWFWBVSCTEZWFOEVSVTWAUTZWAVSXDV
    TCVERZACOVRTLVAVBVCVDWBWGWHVSVTWGTEZWAVSATEBTEXGVTDAVFDBVFABVGVHVIWBVSXDWHT
    EXEXFACTVRTIVOVBVCVJVKPWDABCWOWPWQWRVLWBXCWCWBBCXAWAVSWTVTCVMRVNPWKWEWJVPQV
    Q $.

  ${
    $d A d e f $.  $d B d e f $.  $d C d e f $.
    $( Lemma for ~ expdioph .  Fully expanded expression for exponential.
       (Contributed by Stefan O'Rear, 17-Oct-2014.) $)
    expdiophlem1 $p |- ( C e. NN0 -> ( ( ( A e. ( ZZ>= ` 2 ) /\ B e. NN ) /\ C
        = ( A ^ B ) ) <-> E. d e. NN0 E. e e. NN0 E. f e. NN0 ( ( A e. ( ZZ>= `
        2 ) /\ B e. NN ) /\ ( ( A e. ( ZZ>= ` 2 ) /\ d = ( A rmY ( B + 1 ) ) )
        /\ ( ( d e. ( ZZ>= ` 2 ) /\ e = ( d rmY B ) ) /\ ( ( d e. ( ZZ>= ` 2 )
        /\ f = ( d rmX B ) ) /\ ( C < ( ( ( ( 2 x. d ) x. A ) - ( A ^ 2 ) ) - 1
        ) /\ ( ( ( ( 2 x. d ) x. A ) - ( A ^ 2 ) ) - 1 ) || ( ( f - ( ( d - A )
        x. e ) ) - C ) ) ) ) ) ) ) ) $=
      ( cn0 wcel c2 wa co wceq c1 cmul cmin wbr cdvds wrex syl cz cuz cfv cn cv
      cexp caddc crmy crmx clt cmo cle cr 2re a1i nnre peano2re adantl peano2zd
      frmy fovcl sylan2 zred elnnuz eluzp1p1 df-2 fveq2i eleqtrrdi sylbi eluzle
      nnz nnnn0 peano2nn0 rmygeid letrd wb 2z eluz sylancr mpbird simprl simprr
      leidd jm3.1 syl31anc eqeq2d frmx syl2anc eluzelz adantr zsubcld jm3.1lem3
      nn0zd zmulcld simpl divalgmodcl syl3anc bitrd rmynn0 oveq1d breq2d oveq2d
      oveq1 oveq2 breq12d anbi12d rexbidv ceqsrexv anbi2d 3bitrrd r19.42v bitri
      ad2antll anbi2i rexbii eleq1 syl5ibrcom imp ibar anbi1d pm5.32da ad2antrl
      bitr4di 2rexbidv 2rexbii ) CGHZAIUAUBZHZBUCHZJZCABUEKZLZJYIYGFUDZABMUFKZU
      GKZLZJZYLYFHZDUDZYLBUGKZLZJZYQEUDZYLBUHKZLZJZCIYLNKZANKZAIUEKZOKZMOKZUIPZ
      UUJUUBYLAOKZYRNKZOKZCOKZQPZJZJZJZJZEGRZDGRZFGRZJZYIUUTJEGRZDGRFGRZYEYIYKU
      VCYEYIJZYKCIYNNKZANKZUUHOKZMOKZUIPZUVKYNBUHKZYNAOKZYNBUGKZNKZOKZCOKZQPZJZ
      UVCUVGYKCUVQUVKUJKZLZUVTUVGYJUWACUVGYNYFHZYGYHYNYNUKPZYJUWALYIUWCYEYIUWCI
      YNUKPZYIIYMYNIULHYIUMUNYHYMULHZYGYHBULHUWFBUOBUPSUQYIYNYHYGYMTHYNTHZYHBBV
      JZURAYMTYFTUGUSUTVAZVBZYHIYMUKPZYGYHYMYFHZUWKYHBMUAUBHZUWLBVCUWMYMMMUFKZU
      AUBYFMBVDIUWNUAVEVFVGVHIYMVISUQYHYGYMGHZYMYNUKPYHBGHZUWOBVKZBVLSZAYMVMVAV
      NYIITHUWGUWCUWEVOVPUWIIYNVQVRVSZUQZYEYGYHVTZYEYGYHWAZYIUWDYEYIYNUWJWBUQZY
      NABWCWDWEUVGUVQTHZUVKUCHYEUWBUVTVOYIUXDYEYIUVMUVPYIUVMYIUWCBTHZUVMGHZUWSY
      HUXEYGUWHUQZYNBGYFTUHWFUTZWGWLYIUVNUVOYIYNAUWIYGATHYHIAWHWIWJYIUWCUXEUVOT
      HUWSUXGYNBTYFTUGUSUTWGWMWJUQUVGYNABUWTUXAUXBUXCWKYEYIWNUVKCUVQWOWPWQUVGUV
      TYOYTUUDUUQJZJZJZEGRZDGRZFGRZUVCUVGUVTYOYTUXIEGRZJZDGRZJZFGRZUXNUVGUXSYRU
      VOLZUUBUVMLZUVLUVKUUBUVNYRNKZOKZCOKZQPZJZJZEGRZJZDGRZUYAUVLUVKUUBUVPOKZCO
      KZQPZJZJZEGRZUVTUVGYNGHZUXSUYJVOYIUYQYEYHYGUWOUYQUWRAYMWRVAUQUXQUYJFYNGYO
      UXPUYIDGYOYTUXTUXOUYHYOYSUVOYRYLYNBUGXBWEYOUXIUYGEGYOUUDUYAUUQUYFYOUUCUVM
      UUBYLYNBUHXBWEYOUUKUVLUUPUYEYOUUJUVKCUIYOUUIUVJMOYOUUGUVIUUHOYOUUFUVHANYL
      YNINXCWSWSWSZWTYOUUJUVKUUOUYDQUYRYOUUNUYCCOYOUUMUYBUUBOYOUULUVNYRNYLYNAOX
      BWSXAWSXDXEXEXFXEXFXGSUVGUVOGHZUYJUYPVOUVGUWCUWPUYSUWTYHUWPYEYGUWQXLYNBWR
      WGUYHUYPDUVOGUXTUYGUYOEGUXTUYFUYNUYAUXTUYEUYMUVLUXTUYDUYLUVKQUXTUYCUYKCOU
      XTUYBUVPUUBOYRUVOUVNNXCXAWSWTXHXHXFXGSUVGUXFUYPUVTVOUVGUWCUXEUXFUWTYHUXEY
      EYGUWHXLUXHWGUYNUVTEUVMGUYAUYMUVSUVLUYAUYLUVRUVKQUYAUYKUVQCOUUBUVMUVPOXBW
      SWTXHXGSXIUXMUXRFGUXMYOUXPJZDGRUXRUXLUYTDGUXLYOUXJEGRZJUYTYOUXJEGXJVUAUXP
      YOYTUXIEGXJXMXKXNYOUXPDGXJXKXNYBUVGUXLUVAFDGGUVGUXKUUTEGUVGUXKYOUUSJUUTUV
      GYOUXJUUSUVGYOJYQUXJUUSVOUVGYOYQUVGYQYOUWCUWTYLYNYFXOXPXQYQYTUUAUXIUURYQY
      TXRYQUUDUUEUUQYQUUDXRXSXESXTUVGYOYPUUSYGYOYPVOYEYHYGYOXRYAXSWQXFYCWQWQXTU
      VFYIUVAJZDGRZFGRZUVDUVEVUBFDGGYIUUTEGXJYDVUDYIUVBJZFGRUVDVUCVUEFGYIUVADGX
      JXNYIUVBFGXJXKXKYB $.
  $}

  ${
    $d a b c d e $.

    $( Lemma for ~ expdioph .  Exponentiation on a restricted domain is
       Diophantine.  (Contributed by Stefan O'Rear, 17-Oct-2014.) $)
    expdiophlem2 $p |- { a e. ( NN0 ^m ( 1 ... 3 ) ) | ( ( ( a ` 1 ) e. ( ZZ>=
        ` 2 ) /\ ( a ` 2 ) e. NN ) /\ ( a ` 3 ) = ( ( a ` 1 ) ^ ( a ` 2 ) ) ) }
        e. ( Dioph ` 3 ) $=
      ( vb ve c1 cfv c2 wcel wa c3 co wceq cn0 crab cmin c6 c4 anbi12d mp2an c7
      cmpt vc vd cv cuz cexp cfz cmap caddc crmy crmx cmul clt wbr cdvds cdioph
      cn wrex wb wf elmapi 3nn jm2.27dlem3 ffvelrn sylancl expdiophlem1 rabbiia
      syl wsbc c5 cres 3nn0 fvex eqeq1 anbi2d adantr adantl simpr oveq2 oveq12d
      oveq1d breq2d sbc2ie vex resex df-2 df-3 ssid jm2.27dlem5 1nn jm2.27dlem1
      sbcbii sselii eleq1d 2nn jm2.27dlem2 eqeqan12rd oveqan12rd eqeq2d breq12d
      id eleq1 oveq2d bitri rabbii cz cmzp 6nn0 cvv ovex df-4 df-5 df-6 mzpproj
      eluzrabdioph mp3an elnnrabdioph anrabdioph peano2nn0 ceqsrexv 3syl bicomd
      2z 4nn oveqan12d eqeq12d 7nn0 6nn 1z mzpconstmpt rmydioph w3a simp1 simp3
      df-7 simp2 rabren3dioph eqeltri 5nn mzpmulmpt mzpsubmpt rexfrabdioph 2nn0
      7nn mzpaddmpt eqrabdioph mzpexpmpt ltrabdioph dvdsrabdioph 3rexfrabdioph
      rmxdioph ) DAUCZEZFUDEZGZFUUKEZUPGZHZIUUKEZUULUUOUEJKHZALDIUFJZUGJZMUUQUU
      NBUCZUULUUODUHJZUIJZKZHZUVBUUMGZUAUCZUVBUUOUIJZKZHZUVGUBUCZUVBUUOUJJZKZHZ
      UURFUVBUKJZUULUKJZUULFUEJZNJZDNJZULUMZUVTUVLUVBUULNJZUVHUKJZNJZUURNJZUNUM
      ZHZHZHZHZHZUBLUQUALUQBLUQZAUVAMZIUOEZUUSUWLAUVAUUKUVAGZUURLGZUUSUWLURUWOU
      UTLUUKUSIUUTGUWPUUKLUUTUTIVAVBZUUTLIUUKVCVDUULUUOUURUAUBBVEVGVFILGUWKUBOC
      UCZEZVHUAVIUWREZVHZBPUWREZVHZAUWRUUTVJZVHZCLDOUFJZUGJZMZOUOEZGUWMUWNGVKUX
      HDUWREZUUMGZFUWREZUPGZHZUXKUXBUXJUXLDUHJZUIJZKZHZUXBUUMGZUWTUXBUXLUIJZKZH
      ZUXSUWSUXBUXLUJJZKZHZIUWREZFUXBUKJZUXJUKJZUXJFUEJZNJZDNJZULUMZUYKUWSUXBUX
      JNJZUWTUKJZNJZUYFNJZUNUMZHZHZHZHZHZCUXGMZUXIUXEVUBCUXGUXEUUQUVFUVGUWTUVIK
      ZHZUVGUWSUVMKZHZUWAUVTUWSUWBUWTUKJZNJZUURNJZUNUMZHZHZHZHZHZBUXBVHZAUXDVHV
      UBUXCVUQAUXDUXAVUPBUXBUWKVUPUAUBUWTUWSVIUWRVLOUWRVLUVHUWTKZUVLUWSKZHZUWJV
      UOUUQVUTUWIVUNUVFVUTUVKVUEUWHVUMVURUVKVUEURVUSVURUVJVUDUVGUVHUWTUVIVMVNVO
      VUTUVOVUGUWGVULVUSUVOVUGURVURVUSUVNVUFUVGUVLUWSUVMVMVNVPVUTUWFVUKUWAVUTUW
      EVUJUVTUNVUTUWDVUIUURNVUTUVLUWSUWCVUHNVURVUSVQVURUWCVUHKVUSUVHUWTUWBUKVRV
      OVSVTWAVNQQVNVNWBWKWKVUPVUBABUXDUXBUWRUUTCWCWDPUWRVLUUKUXDKZUVBUXBKZHZUUQ
      UXNVUOVUAVVAUUQUXNURVVBVVAUUNUXKUUPUXMVVAUULUXJUUMDIACDDUFJZUUTDDFIWEFIIW
      FUUTWGWHWHDWIVBZWLWJZWMZVVAUUOUXLUPFIACFFIFWNVBZWFWNWOWJZWMQVOVVCUVFUXRVU
      NUYTVVCUUNUXKUVEUXQVVAUUNUXKURVVBVVGVOVVBVVAUVBUXBUVDUXPVVBWTZVVAUULUXJUV
      CUXOUIVVFVVAUUOUXLDUHVVIVTVSWPQVVCVUEUYBVUMUYSVVCUVGUXSVUDUYAVVBUVGUXSURV
      VAUVBUXBUUMXAVPZVVCUVIUXTUWTVVBVVAUVBUXBUUOUXLUIVVJVVIWQWRQVVCVUGUYEVULUY
      RVVCUVGUXSVUFUYDVVKVVCUVMUYCUWSVVBVVAUVBUXBUUOUXLUJVVJVVIWQWRQVVCUWAUYLVU
      KUYQVVCUURUYFUVTUYKULVVAUURUYFKVVBIIACUWQWJVOZVVCUVSUYJDNVVCUVQUYHUVRUYIN
      VVBVVAUVPUYGUULUXJUKUVBUXBFUKVRVVFWQVVAUVRUYIKVVBVVAUULUXJFUEVVFVTVOVSVTZ
      WSVVCUVTUYKVUJUYPUNVVMVVCVUIUYOUURUYFNVVCVUHUYNUWSNVVCUWBUYMUWTUKVVCUVBUX
      BUULUXJNVVAVVBVQVVAUULUXJKVVBVVFVOVSVTXBVVLVSWSQQQQQWBXCXDUXNCUXGMUXIGZVU
      ACUXGMUXIGZVUCUXIGUXKCUXGMUXIGZUXMCUXGMUXIGZVVNOLGZFXEGZCXEUXFUGJZUXJTUXF
      XFEZGZVVPXGYBUXFXHGZDUXFGVWBDOUFXIZVVDUXFDDFOWEFIOWFIPOXJPVIOXKVIOOXLUXFW
      GWHWHZWHZWHZWHVVEWLZCUXFDXMRZCUXJFOXNXOVVRCVVTUXLTVWAGZVVQXGVWCFUXFGZVWJV
      WDDFUFJUXFFVWGVVHWLZCUXFFXMRCUXLOXPRUXKUXMCOXQRUXRCUXGMZUXIGUYTCUXGMUXIGZ
      VVOVWMUVBUXOKZUXKUXBUXJUVBUIJZKZHZHZBLUQZCUXGMZUXIUXRVWTCUXGUWRUXGGZVWTUX
      RVXBUXLLGZUXOLGVWTUXRURVXBUXFLUWRUSVWKVXCUWRLUXFUTVWLUXFLFUWRVCVDUXLXRVWR
      UXRBUXOLVWOVWQUXQUXKVWOVWPUXPUXBUVBUXOUXJUIVRWRVNXSXTYAVFVVRVWSBSUUKEZVHC
      UUKUXFVJZVHZALDSUFJZUGJZMZSUOEZGVXAUXIGXGVXIVXDUVCKZUUNPUUKEZUULVXDUIJZKZ
      HZHZAVXHMZVXJVXFVXPAVXHVWSVXPCBVXEVXDUUKUXFAWCWDSUUKVLUWRVXEKZUVBVXDKZHZV
      WOVXKVWRVXOVXSVXRUVBVXDUXOUVCVXSWTZVXRUXLUUODUHFOCAVWLWJVTWPVXTUXKUUNVWQV
      XNVXTUXJUULUUMVXRUXJUULKVXSDOCAVWHWJZVOWMVXTUXBVXLVWPVXMVXRUXBVXLKVXSPOCA
      DPUFJUXFPVWEPYCVBWLZWJVOVXRVXSUXJUULUVBVXDUIVYBVYAYDYEQQWBXDVXKAVXHMVXJGZ
      VXOAVXHMVXJGZVXQVXJGSLGZAXEVXGUGJZVXDTVXGXFEZGZAVYGUVCTVYHGZVYDYFVXGXHGZS
      VXGGVYIDSUFXIZSUUCVBZAVXGSXMRAVYGUUOTVYHGZAVYGDTVYHGZVYJVYKFVXGGVYNVYLFOS
      VWLYNYGWOAVXGFXMRVYKDXEGZVYOVYLYHADVXGYIRAUUODVXGUUDRAVXDUVCSUUEXOVYFDUVB
      EZUUMGZIUVBEZVYQFUVBEZUIJZKZHZBUVAMUWNGVYEYFBYJWUCVXOSDSPBAVYQUULKZVYTVXD
      KZVYSVXLKZYKZVYRUUNWUBVXNWUGVYQUULUUMWUDWUEWUFYLZWMWUGVYSVXLWUAVXMWUDWUEW
      UFYMWUGVYQUULVYTVXDUIWUHWUDWUEWUFYOVSYEQDOSVWHYNYGWOVYMPOSVYCYNYGWOYPRVXK
      VXOASXQRYQVWSBCASOYNUUARYQUYBCUXGMUXIGZUYSCUXGMUXIGZVWNVVRUUNUURUULUUOUIJ
      ZKZHZAUVAMUWNGWUIXGAYJWUMUYBOPFVIACUULUXBKZUUOUXLKZUURUWTKZYKZUUNUXSWULUY
      AWUQUULUXBUUMWUNWUOWUPYLZWMWUQUURUWTWUKUXTWUNWUOWUPYMWUQUULUXBUUOUXLUIWUR
      WUNWUOWUPYOVSYEQVYCVWLVIVIOVIYRVBXLYRWOZYPRUYECUXGMUXIGZUYRCUXGMUXIGZWUJV
      VRUUNUURUULUUOUJJZKZHZAUVAMUWNGWUTXGAUUJWVDUYEOPFOACWUNWUOUURUWSKZYKZUUNU
      XSWVCUYDWVFUULUXBUUMWUNWUOWVEYLZWMWVFUURUWSWVBUYCWUNWUOWVEYMWVFUULUXBUUOU
      XLUJWVGWUNWUOWVEYOVSYEQVYCVWLOYGVBZYPRUYLCUXGMUXIGZUYQCUXGMUXIGZWVAVVRCVV
      TUYFTVWAGZCVVTUYKTVWAGZWVIXGVWCIUXFGWVKVWDUUTUXFIVWFUWQWLCUXFIXMRZCVVTUYJ
      TVWAGZCVVTDTVWAGZWVLCVVTUYHTVWAGZCVVTUYITVWAGZWVNCVVTUYGTVWAGZVWBWVPCVVTF
      TVWAGZCVVTUXBTVWAGZWVRVWCVVSWVSVWDYBCFUXFYIRVWCPUXFGWVTVWDVYCCUXFPXMRZCFU
      XBUXFYSRVWICUYGUXJUXFYSRVWBFLGWVQVWIUUBCUXJFUXFUUFRCUYHUYIUXFYTRVWCVYPWVO
      VWDYHCDUXFYIRCUYJDUXFYTRZCUYFUYKOUUGXOVVRWVLCVVTUYPTVWAGZWVJXGWWBCVVTUYOT
      VWAGZWVKWWCCVVTUWSTVWAGZCVVTUYNTVWAGZWWDVWCOUXFGWWEVWDWVHCUXFOXMRCVVTUYMT
      VWAGZCVVTUWTTVWAGZWWFWVTVWBWWGWWAVWICUXBUXJUXFYTRVWCVIUXFGWWHVWDWUSCUXFVI
      XMRCUYMUWTUXFYSRCUWSUYNUXFYTRWVMCUYOUYFUXFYTRCUYKUYPOUUHXOUYLUYQCOXQRUYEU
      YRCOXQRUYBUYSCOXQRUXRUYTCOXQRUXNVUACOXQRYQUWKUBUABACOVIPIXJXKXLUUIRYQ $.

    $( The exponential function is Diophantine.  This result completes and
       encapsulates our development using Pell equation solution sequences and
       is sometimes regarded as Matiyasevich's theorem properly.  (Contributed
       by Stefan O'Rear, 17-Oct-2014.) $)
    expdioph $p |- { a e. ( NN0 ^m ( 1 ... 3 ) ) | ( a ` 3 ) = ( ( a ` 1 ) ^ (
        a ` 2 ) ) } e. ( Dioph ` 3 ) $=
      ( c3 cfv c1 c2 cexp co wceq cn0 cfz crab cn wcel wa wo cc0 wb eqeq2d 3nn0
      mp2an cv cmap cdioph wn pm4.42 ancom wf elmapi df-2 df-3 ssid jm2.27dlem5
      cuz jm2.27dlem3 sselii ffvelrn sylancl adantr elnn0 sylib elnn1uz2 biimpi
      1nn orim1i syl biantrurd andir orbi1i bitri cz nnz 1exp adantl syl5ibrcom
      oveq1 bibi1d pm5.32d iba anbi1d orbi12d 0exp syl5bb bitrd pm5.32da 2nn wi
      pm2.53 sylbi 0nnn eleq1 mtbiri impbid1 nn0cnd exp0d rabbiia cmpt cmzp cvv
      oveq2 mzpproj elnnrabdioph 1z mzpconstmpt eqrabdioph mp3an 3nn anrabdioph
      ovex expdiophlem2 orrabdioph eq0rabdioph eqeltri ) BAUAZCZDXMCZEXMCZFGZHZ
      AIDBJGZUBGZKXPLMZXODHZXNDHZNZXOEUMCMZYANZXRNZOZXOPHZXNPHZNZOZNZXPPHZYCNZO
      ZAXTKZBUCCZXRYPAXTXRXRYANZXRYAUDZNZOXMXTMZYPXRYAUEUUBYSYMUUAYOYSYAXRNUUBY
      MXRYAUFUUBYAXRYLUUBYANZXRYBYEOZYIOZXRNZYLUUCUUEXRUUCXOLMZYIOZUUEUUCXOIMZU
      UHUUBUUIYAUUBXSIXMUGZDXSMZUUIXMIXSUHZDDJGXSDDEBUIEBBUJXSUKULZULDVCUNUOZXS
      IDXMUPUQZURXOUSUTUUGUUDYIUUGUUDXOVAVBVDVEVFUUFYBXRNZYEXRNZOZYIXRNZOZUUCYL
      UUFUUDXRNZUUSOUUTUUDYIXRVGUVAUURUUSYBYEXRVGVHVIUUCUURYHUUSYKUUCUUPYDUUQYG
      UUCYBXRYCUUCXRYCQZYBXNDXPFGZHZYCQUUCUVCDXNYAUVCDHZUUBYAXPVJMUVEXPVKXPVLVE
      VMRYBXRUVDYCYBXQUVCXNXODXPFVORVPVNVQUUCYEYFXRYAYEYFQUUBYAYEVRVMVSVTUUCYIX
      RYJUUCXRYJQYIXNPXPFGZHZYJQUUCUVFPXNYAUVFPHUUBXPWAVMRYIXRUVGYJYIXQUVFXNXOP
      XPFVORVPVNVQVTWBWCWDWBUUAYTXRNZUUBYOXRYTUFUUBUVHYNXRNYOUUBYTYNXRUUBXPIMZY
      TYNQUUBUUJEXSMZUVIUULDEJGXSEUUMEWEUNUOZXSIEXMUPUQUVIYTYNUVIYAYNOYTYNWFXPU
      SYAYNWGWHYNYAPLMWIXPPLWJWKWLVEVSUUBYNXRYCUUBUVBYNXNXOPFGZHZYCQUUBUVLDXNUU
      BXOUUBXOUUOWMWNRYNXRUVMYCYNXQUVLXNXPPXOFWSRVPVNVQWCWBVTWBWOYMAXTKYRMZYOAX
      TKYRMZYQYRMYAAXTKYRMZYLAXTKYRMZUVNBIMZAVJXSUBGZXPWPXSWQCZMZUVPSXSWRMZUVJU
      WADBJXHZUVKAXSEWTTZAXPBXATYHAXTKYRMZYKAXTKYRMZUVQYDAXTKYRMZYGAXTKYRMUWEYB
      AXTKYRMZYCAXTKYRMZUWGUVRAUVSXOWPUVTMZAUVSDWPUVTMZUWHSUWBUUKUWJUWCUUNAXSDW
      TTZUWBDVJMUWKUWCXBADXSXCTZAXODBXDXEUVRAUVSXNWPUVTMZUWKUWISUWBBXSMUWNUWCBX
      FUNAXSBWTTZUWMAXNDBXDXEZYBYCABXGTAXIYDYGABXJTYIAXTKYRMZYJAXTKYRMZUWFUVRUW
      JUWQSUWLAXOBXKTUVRUWNUWRSUWOAXNBXKTYIYJABXGTYHYKABXJTYAYLABXGTYNAXTKYRMZU
      WIUVOUVRUWAUWSSUWDAXPBXKTUWPYNYCABXGTYMYOABXJTXL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Uncategorized stuff not associated with a major project
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y A $.  $d x y B $.
    $( Set induction for sets contained in a transitive set.  If we are allowed
       to assume Infinity, then all sets have a transitive closure and this
       reduces to ~ setind ; however, this version is useful without Infinity.
       (Contributed by Stefan O'Rear, 28-Oct-2014.) $)
    setindtr $p |- ( A. x ( x C_ A -> x e. A ) -> ( E. y ( Tr y /\ B e. y ) ->
        B e. A ) ) $=
      ( cv wtr wcel wa wex wss wi wal c0 wceq cin wn sylib adantlr ex cvv impel
      cdif wrex wral nfv nfa1 nfan eldifn adantl trss eldifi sseq1d sp ad2antlr
      df-ss sylbid inssdif0 sylnib ralrimi ralnex wne vex difexi zfreg necon1bi
      mtod mpan syl ssdif0 sylibr simplr sseldd exlimiv com12 ) BEZFZDVOGZHZBIA
      EZCJZVSCGZKZALZDCGZVRWCWDKBVRWCWDVRWCHVOCDVPWCVOCJZVQVPWCHZVOCUBZMNZWEWFV
      SWGOMNZAWGUCZPZWHWFWIPZAWGUDWKWFWLAWGVPWCAVPAUEWBAUFUGWFVSWGGZWLWFWMHZVSV
      OOZCJZWIWNWPWAWMWAPWFVSVOCUHUIWNWPVTWAWNWOVSCVPWMWOVSNZWCVPWMHVSVOJZWQVPV
      SVOGWRWMVOVSUJVSVOCUKUAVSVOUOQRULWCWBVPWMWBAUMUNUPVFVSVOCUQURSUSWIAWGUTQW
      JWGMWGTGWGMVAWJVOCBVBVCAWGTVDVGVEVHVOCVIVJRVPVQWCVKVLSVMVN $.
  $}

  ${
    $d B a x z $.  $d ph y $.  $d ps x $.  $d ch x $.  $d ph a z $.
    $d a x y $.
    setindtrs.a $e |- ( A. y e. x ps -> ph ) $.
    setindtrs.b $e |- ( x = y -> ( ph <-> ps ) ) $.
    setindtrs.c $e |- ( x = B -> ( ph <-> ch ) ) $.
    $( Set induction scheme without Infinity.  See comments at ~ setindtr .
       (Contributed by Stefan O'Rear, 28-Oct-2014.) $)
    setindtrs $p |- ( E. z ( Tr z /\ B e. z ) -> ch ) $=
      ( va cv wtr wcel wa wex wi wral nfsab1 cvv cab setindtr dfss3 nfcv nfralw
      wss nfim weq raleq eleq1w imbi12d vex elab abid 3imtr4i chvarfv sylbi mpg
      ralbii wb elex adantl exlimiv elabg syl mpbid ) FLZMZGVGNZOZFPZGADUAZNZCK
      LZVLUFZVNVLNZQVKVMQKKFVLGUBVOELZVLNZEVNRZVPEVNVLUCVREDLZRZVTVLNZQVSVPQDKV
      SVPDVRDEVNDVNUDADESUEADKSUGDKUHWAVSWBVPVREVTVNUIDKVLUJUKBEVTRAWAWBHVRBEVT
      ABDVQEULIUMUSADUNUOUPUQURVKGTNZVMCUTVJWCFVIWCVHGVGVAVBVCACDGTJVDVEVF $.
  $}

  ${
    $d a b c x y $.  $d N a b c x y $.

    $( Lemma for ~ dford3 .  (Contributed by Stefan O'Rear, 28-Oct-2014.) $)
    dford3lem1 $p |- ( ( Tr N /\ A. y e. N Tr y ) ->
        A. b e. N ( Tr b /\ A. y e. b Tr y ) ) $=
      ( wtr cv wral wa treq cbvralvw biimpi adantl wcel wi wss trss ssralv syl6
      com23 imp ralrimiv r19.26 sylanbrc ) BDZAEZDZABFZGZCEZDZCBFZUEAUHFZCBFUIU
      KGCBFUFUJUCUFUJUEUIACBUDUHHIJKUGUKCBUCUFUHBLZUKMUCULUFUKUCULUHBNUFUKMBUHO
      UEAUHBPQRSTUIUKCBUAUB $.

    $( Lemma for ~ dford3 .  (Contributed by Stefan O'Rear, 28-Oct-2014.) $)
    dford3lem2 $p |- ( ( Tr x /\ A. y e. x Tr y ) -> x e. On ) $=
      ( vc va vb cv wtr wa wral con0 wcel vex treq anbi12d wi word sylibr raleq
      weq eleq1w wel wex csuc suctr sucid sucex wceq eleq2 spcev sylancl adantr
      wss simprl dford3lem1 ralim syl5 imp dfss3 ordon a1i trssord syl3anc elon
      ex imbi12d setindtrs mpcom ) CFZGZACUAZHZCUBZAFZGZBFGZBVMIZHZVMJKZVNVLVPV
      NVMUCZGZVMVSKZVLVMUDVMALZUEVKVTWAHCVSVMWBUFVHVSUGVIVTVJWAVHVSMVHVSVMUHNUI
      UJUKDFZGZVOBWCIZHZWCJKZOEFZGZVOBWHIZHZWHJKZOZVQVRODECVMWMEWCIZWFWGWNWFHZW
      CPZWGWOWDWCJULZJPZWPWNWDWEUMWOWLEWCIZWQWNWFWSWFWKEWCIWNWSBWCEUNWKWLEWCUOU
      PUQEWCJURQWRWOUSUTWCJVAVBWCDLVCQVDDESZWFWKWGWLWTWDWIWEWJWCWHMVOBWCWHRNDEJ
      TVEDASZWFVQWGVRXAWDVNWEVPWCVMMVOBWCVMRNDAJTVEVFVG $.

    $( Ordinals are precisely the hereditarily transitive classes.
       (Contributed by Stefan O'Rear, 28-Oct-2014.) $)
    dford3 $p |- ( Ord N <-> ( Tr N /\ A. x e. N Tr x ) ) $=
      ( va word wtr cv wral wa ordtr wcel ordelord syl ralrimiva jca con0 simpl
      wss dford3lem1 dford3lem2 ralimi dfss3 sylibr a1i trssord syl3anc impbii
      ordon ) BDZBEZAFZEZABGZHZUHUIULBIUHUKABUHUJBJHUJDUKBUJKUJILMNUMUIBOQZODZU
      HUIULPUMCFZOJZCBGZUNUMUPEUKAUPGHZCBGURABCRUSUQCBCASTLCBOUAUBUOUMUGUCBOUDU
      EUF $.

    $( ~ dford3 expressed in primitives to demonstrate shortness.  (Contributed
       by Stefan O'Rear, 28-Oct-2014.) $)
    dford4 $p |- ( Ord N <-> A. a A. b A. c ( ( a e. N /\ b e. a ) ->
        ( b e. N /\ ( c e. b -> c e. a ) ) ) ) $=
      ( wtr cv wa wcel wel wal dftr2 ancom imbi1i bitri 2albii alcom bitr4i nfv
      wi impexp word wral dford3 19.3v df-ral imbi2i anbi2i anass bitr3i 3bitri
      19.21-2 albii anbi12i 19.26 19.26-2 pm4.76 ) AUAAEZBFZEZBAUBZGZURAHZCBIZG
      ZCFAHZSZDJZCJZVDDCIZDBIZSZSZDJCJZGZBJZVDVEVKGSZDJCJZBJBAUCVAVHBJZVMBJZGVO
      UQVRUTVSUQVCVBGZVESZBJCJZVRCBAKVRWACJBJWBVGWABCVGVFWAVFDUDVDVTVEVBVCLMNOW
      ABCPNQUTVBUSSZBJVSUSBAUEWCVMBWCVBVIVCGZVJSZSZCJDJZVLCJDJVMWCVBWECJDJZSWGU
      SWHVBDCURKUFVBWEDCVBDRVBCRUKQWFVLDCWFVDVIGZVJSZVLWFVBWDGZVJSWJVBWDVJTWKWI
      VJWKVBVCVIGZGWIWDWLVBVIVCLUGVBVCVIUHQMUIVDVIVJTNOVLDCPUJULNUMVHVMBUNQVNVQ
      BVNVFVLGZDJCJVQVFVLCDUOWMVPCDVDVEVKUPOUIULUJ $.
  $}

  $( Unrelated:  Wiener pairs treat proper classes symmetrically.  (Contributed
     by Stefan O'Rear, 19-Sep-2014.) $)
  wopprc $p |- ( ( A e. _V /\ B e. _V ) <-> -. 1o e. { { { A } , (/) } , { { B
      } } } ) $=
    ( cvv wcel wa c0 csn cpr c1o wceq wn id dfsn2 eqtr3di snex 0ex snprc impbii
    con2bii xchbinxr preqr1 syl sylibr biimpi preq1d eqtr4id eqcom bitr2i sneqr
    sneq anbi12i wo pm4.56 elpr bitri df1o2 eleq1i ) ACDZBCDZEZFGZAGZFHZBGZGZHZ
    DZIVFDUTVAVCJZKZVAVEJZKZEZVGKURVIUSVKVHURVHURKZVHVBFJZVMVHVCFFHZJVNVHVAVCVO
    VHLFMZNVBFFAOPUAUBAQZUCVMVAVOVCVPVMVBFFVMVNVQUDUEUFRSUSFVDJZVJVRUSUSKVDFJVR
    BQVDFUGUHSVJVRFVDPUIFVDUJRTUKVLVHVJULVGVHVJUMVAVCVEFOUNTUOIVAVFUPUQT $.

  ${
    $d a b c d $.
    $( Lemma for ~ rpnnen3 .  (Contributed by Stefan O'Rear, 18-Jan-2015.) $)
    rpnnen3lem $p |- ( ( ( a e. RR /\ b e. RR ) /\ a < b ) ->
        { c e. QQ | c < a } =/= { c e. QQ | c < b } ) $=
      ( vd cv cr wcel clt wbr cq crab wne w3a wa wrex qbtwnre simp2 breq1 elrab
      wn simp3r sylanbrc simp11 3ad2ant2 simp3l ltnsymd intnand sylnibr syl2anc
      qre nelne1 necomd rexlimdv3a mpd 3expa ) AEZFGZBEZFGZUPURHIZCEZUPHIZCJKZV
      AURHIZCJKZLZUQUSUTMZUPDEZHIZVHURHIZNZDJOVFDUPURPVGVKVFDJVGVHJGZVKMZVEVCVM
      VHVEGZVHVCGZTVEVCLVMVLVJVNVGVLVKQVGVLVIVJUAVDVJCVHJVAVHURHRSUBVMVLVHUPHIZ
      NVOVMVPVLVMUPVHUQUSUTVLVKUCVLVGVHFGVKVHUJUDVGVLVIVJUEUFUGVBVPCVHJVAVHUPHR
      SUHVHVEVCUKUIULUMUNUO $.

    $( Dedekind cut injection of ` RR ` into ` ~P QQ ` .  (Contributed by
       Stefan O'Rear, 18-Jan-2015.) $)
    rpnnen3 $p |- RR ~<_ ~P QQ $=
      ( va vb vc cq cpw cvv wcel cr cdom wbr qex pwex cv clt crab wa rpnnen3lem
      wss wceq wne ssrab2 elpw2 mpbir wo lttri2 ancom1s necomd jaodan ex sylbid
      a1i necon4d breq2 rabbidv impbid1 dom2 ax-mp ) DEZFGHURIJDKLABHURCMZAMZNJ
      ZCDOZUSBMZNJZCDOZFVBURGZUTHGZVFVBDRVACDUAVBDKUBUCUKVGVCHGZPZVBVESUTVCSZVI
      UTVCVBVEVIUTVCTUTVCNJZVCUTNJZUDZVBVETZUTVCUEVIVMVNVIVKVNVLABCQVIVLPVEVBVH
      VGVLVEVBTBACQUFUGUHUIUJULVJVAVDCDUTVCUSNUMUNUOUPUQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  More equivalents of the Axiom of Choice
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Characterization of choice similar to ~ dffin1-5 .  (Contributed by Stefan
     O'Rear, 6-Jan-2015.) $)
  axac10 $p |- ( ~~ " On ) = _V $=
    ( wac cen con0 cima cvv wceq axac3 dfac10b mpbi ) ABCDEFGHI $.

  ${
    $d x S $.  $d x V $.
    $( The Hartogs number of an infinite set is at least ` _om ` . _MOVABLE_
       (Contributed by Stefan O'Rear, 10-Jul-2015.) $)
    harinf $p |- ( ( S e. V /\ -. S e. Fin ) -> _om C_ ( har ` S ) ) $=
      ( vx wcel cfn wn wa com char cfv cv con0 cdom wbr nnon adantl csdm simplr
      nnfi ex sdomdom domfi syl2im mtod simpll fidomtri syl2anc mpbird elharval
      wb sylanbrc ssrdv ) ABDZAEDZFZGZCHAIJZUPCKZHDZURUQDZUPUSGZURLDZURAMNZUTUS
      VBUPUROPVAVCAURQNZFZVAVDUNUMUOUSRVAUREDZVDAURMNZUNUSVFUPURSPZAURUAVFVGUNU
      RAUBTUCUDVAVFUMVCVEUJVHUMUOUSUEURABUFUGUHAURUIUKTUL $.
  $}

  ${
    $d w x X $.  $d w x A $.  $d w x y B $.  $d w x y z C $.  $d w x ph $.
    wdom2d2.a $e |- ( ph -> A e. V ) $.
    wdom2d2.b $e |- ( ph -> B e. W ) $.
    wdom2d2.c $e |- ( ph -> C e. X ) $.
    wdom2d2.o $e |- ( ( ph /\ x e. A ) -> E. y e. B E. z e. C x = X ) $.
    $( Deduction for weak dominance by a Cartesian product. _MOVABLE_
       (Contributed by Stefan O'Rear, 10-Jul-2015.) $)
    wdom2d2 $p |- ( ph -> A ~<_* ( B X. C ) ) $=
      ( vw cv cfv csb wceq wrex cxp cvv c1st c2nd xpexd wcel nfcsb1v nfeq2 nfcv
      wa nfcsbw nfv cop csbopeq1a eqeq2d rexxpf sylibr wdom2d ) ABOEFGUAZHUBCOP
      ZUCQZDUTUDQZJRZRZKAFGIJLMUEABPZEUFUJVEJSZDGTCFTVEVDSZOUSTNVGVFOCDFGCVEVDC
      VAVCUGUHDVEVDDCVAVCDVAUIDVBJUGUKUHVFOULUTCPDPUMSVDJVECDUTJUNUOUPUQUR $.
  $}

  ${
    $d a c $.

    $( Tarski's theorem about choice: ~ infxpidm is equivalent to ~ ax-ac .
       (Contributed by Stefan O'Rear, 4-Nov-2014.)  (Proof shortened by Stefan
       O'Rear, 10-Jul-2015.) $)
    ttac $p |- ( CHOICE <-> A. c ( _om ~<_ c -> ( c X. c ) ~~ c ) ) $=
      ( va cvv wceq com cv cdom wbr cxp cen wi wal wcel vex syl alrimiv wn char
      wss ax-mp wac ccrd cdm dfac10 eleq2 mpbiri infxpidm2 ex cfn finnum adantl
      cfv cun con0 harcl onenon cwdom fvex unex harinf mpan ssun1 sstrdi ssdomg
      wa mpsyl breq2 xpeq12 anidms id breq12d imbi12d spcv syl5 imp harndom mp2
      wo domtr mto unxpwdom2 orel2 wb wdomnumr sylib numdom sylancr ssun2 ssnum
      sylancl pm2.61dan eqv sylibr impbii bitri ) UAUBUCZCDZEAFZGHZWRWRIZWRJHZK
      ZALZUDWQXCWQXBAWQWRWPMZXBWQXDWRCMANWPCWRUEUFXDWSXAWRUGUHOPXCBFZWPMZBLWQXC
      XFBXCXEUIMZXFXGXFXCXEUJUKXCXGQZVEZXERULZXEUMZWPMZXEXKSXFXIXJWPMZXKXJGHZXL
      XJUNMXMXEUOXJUPTZXIXKXJUQHZXNXIXKXKIZXKJHZXPXCXHXRXHEXKGHZXCXRXKCMZXHEXKS
      XSXJXEXERURBNZUSZXHEXJXKXECMXHEXJSYAXECUTVAXJXEVBZVCEXKCVDVFXBXSXRKAXKYBW
      RXKDZWSXSXAXRWRXKEGVGYDWTXQWRXKJYDWTXQDWRXKWRXKVHVIYDVJVKVLVMVNVOXKXEGHZQ
      XRXPYEVRXPYEXJXEGHZXEVPXJXKGHZYEYFXTXJXKSYGYBYCXJXKCVDVQXJXKXEVSVAVTXKXJX
      EWAYEXPWBVFOXMXPXNWCXOXKXJWDTWEXJXKWFWGXEXJWHXKXEWIWJWKPBWPWLWMWNWO $.
  $}

  ${
    $d A x y z w $.  $d X x y $.  $d Y x y $.  $d V x y $.
    pw2f1o2.f $e |- F = ( x e. ( 2o ^m A ) |-> ( `' x " { 1o } ) ) $.
    $( Define a bijection between characteristic functions and subsets.
       _EDITORIAL_: extracted from ~ pw2en , which can be easily reproved in
       terms of this.  (Contributed by Stefan O'Rear, 18-Jan-2015.)  (Revised
       by Stefan O'Rear, 9-Jul-2015.) $)
    pw2f1ocnv $p |- ( A e. V -> ( F : ( 2o ^m A ) -1-1-onto-> ~P A /\ `' F =
          ( y e. ~P A |-> ( z e. A |-> if ( z e. y , 1o , (/) ) ) ) ) ) $=
      ( vw wcel c2o cv c1o c0 cvv wa adantr wceq con0 wb bitr4di cmap ccnv cima
      co cpw csn wel cif cmpt vex cnvex imaexg mp1i mptexg wss wf elmapg anbi1d
      2on mpan wral csuc 1oex sucid df-2o eleqtrri prid1 df2o2 ifcli rgenw eqid
      cpr 0ex fmpt mpbi simpr feq1d mpbiri cfv iftrue noel iffalse eqeq1d 0lt1o
      eleq2 syl6bi mtoi con4i impbii fveq1d elequ1 ifbid fvmpt sylan9eq bitr4id
      wn fvex elsn pm5.32da wi ssel pm4.71rd wfn ffn elpreima 3bitr4d eqrdv jca
      3syl cdm cnvimass fdm sseqtrid eqsstrd simplr eleq2d wbr fnbrfvb eliniseg
      sylan ax-mp bitr4d biimpa adantl eqtr4d wo ffvelrn adantlr df2o3 eleqtrdi
      1on elpr sylib ord sylibrd con1d imp pm2.61dan ralrimiva eqfnfv sylancl
      mpbird velpw anbi1i f1ocnvd ) DFIZABJDUAUDZDUEZAKZUBZLUFZUCZCDCBUGZLMUHZU
      IZENNGUUJNIUULNIUUFUUIUUGIZOUUIAUJUKUUJUUKNULUMUUFUUONIBKZUUHIZCDUUNFUNPU
      UFUUPUUQUULQZOZUUQDUOZUUIUUOQZOZUURUVBOUUFUUTDJUUIUPZUUSOZUVCUUFUUPUVDUUS
      JRIUUFUUPUVDSUSJDUUIRFUQUTURUVCUVEUVCUVDUUSUVCUVDDJUUOUPZUUNJIZCDVAUVFUVG
      CDUUMLMJLLVBJLVCVDVEVFMMMUFZVLJMUVHVMVGVHVFVIVJCDJUUNUUOUUOVKZVNVOZUVCDJU
      UIUUOUVAUVBVPZVQVRZUVCHUUQUULUVCHKZDIZHBUGZOUVNUVMUUIVSZUUKIZOZUVOUVMUULI
      ZUVCUVNUVOUVQUVCUVNOZUVOUVPLQZUVQUVTUVOUVOLMUHZLQZUWAUVOUWCUVOLMVTZUVOUWC
      UVOWPZUWCMMIZMWAUWEUWCMLQZUWFUWEUWBMLUVOLMWBZWCUWGUWFMLIWDMLMWEVRWFWGWHWI
      UVTUVPUWBLUVCUVNUVPUVMUUOVSZUWBUVCUVMUUIUUOUVKWJCUVMUUNUWBDUUOCKUVMQUUMUV
      OLMCHBWKWLUVIUVOLMNVCVMVIWMZWNWCWOUVPLUVMUUIWQZWRTWSUVCUVOUVNUVAUVOUVNWTU
      VBUUQDUVMXAPXBUVCUVDUUIDXCZUVSUVRSUVLDJUUIXDZDUVMUUKUUIXEXIXFXGXHUVEUVAUV
      BUVEUUQUULDUVDUUSVPUVEUUIXJZUULDUUIUUKXKUVDUWNDQUUSDJUUIXLPXMXNUVEUVBUVPU
      WIQZHDVAZUVEUWOHDUVEUVNOZUVPUWBUWIUWQUVOUVPUWBQUWQUVOOUVPLUWBUWQUVOUWAUWQ
      UVOUVSUWAUWQUUQUULUVMUVDUUSUVNXOXPUWQUWAUVMLUUIXQZUVSUVEUWLUVNUWAUWRSUVDU
      WLUUSUWMPZDUVMLUUIXRXTLRIUVSUWRSYKUUILUVMRHUJXSYATYBZYCUVOUWCUWQUWDYDYEUW
      QUWEOUVPMUWBUWQUWEUVPMQZUWQUXAUVOUWQUXAWPUWAUVOUWQUXAUWAUWQUVPMLVLZIUXAUW
      AYFUWQUVPJUXBUVDUVNUVPJIUUSDJUVMUUIYGYHYIYJUVPMLUWKYLYMYNUWTYOYPYQUWEUWBM
      QUWQUWHYDYEYRUVNUWIUWBQUVEUWJYDYEYSUVEUWLUUODXCZUVBUWPSUWSUVFUXCUVJDJUUOX
      DYAHDUUIUUOYTUUAUUBXHWITUURUVAUVBBDUUCUUDTUUE $.

    $( Define a bijection between characteristic functions and subsets.
       _EDITORIAL_: extracted from ~ pw2en , which can be easily reproved in
       terms of this.  (Contributed by Stefan O'Rear, 18-Jan-2015.) $)
    pw2f1o2 $p |- ( A e. V -> F : ( 2o ^m A ) -1-1-onto-> ~P A ) $=
      ( vy vz wcel c2o cmap co cpw wf1o ccnv wel c1o c0 cif cmpt wceq pw2f1ocnv
      simpld ) BDHIBJKBLZCMCNFUCGBGFOPQRSSTAFGBCDEUAUB $.

    $( Function value of the ~ pw2f1o2 bijection.  (Contributed by Stefan
       O'Rear, 18-Jan-2015.)  (Revised by Stefan O'Rear, 6-May-2015.) $)
    pw2f1o2val $p |- ( X e. ( 2o ^m A ) ->
        ( F ` X ) = ( `' X " { 1o } ) ) $=
      ( c2o cmap co wcel ccnv c1o csn cima cvv cfv wceq cnvexg imaexg syl cv
      cnveq imaeq1d fvmptg mpdan ) DFBGHZIZDJZKLZMZNIZDCOUIPUFUGNIUJDUEQUGUHNRS
      ADATZJZUHMUIUENCUKDPULUGUHUKDUAUBEUCUD $.

    $( Membership in a mapped set under the ~ pw2f1o2 bijection.  (Contributed
       by Stefan O'Rear, 18-Jan-2015.)  (Revised by Stefan O'Rear,
       6-May-2015.) $)
    pw2f1o2val2 $p |- ( ( X e. ( 2o ^m A ) /\ Y e. A ) ->
        ( Y e. ( F ` X ) <-> ( X ` Y ) = 1o ) ) $=
      ( c2o cmap co wcel wa cfv ccnv c1o csn cima wceq wb pw2f1o2val eleq2d wfn
      adantr wf elmapi ffn fniniseg 3syl baibd bitrd ) DGBHIJZEBJZKEDCLZJZEDMNO
      PZJZEDLNQZUJUMUORUKUJULUNEABCDFSTUBUJUOUKUPUJBGDUCDBUAUOUKUPKRDGBUDBGDUEB
      NEDUFUGUHUI $.
  $}

  ${
    weeq12d.l $e |- ( ph -> R = S ) $.
    weeq12d.r $e |- ( ph -> A = B ) $.
    $( Equality deduction for total orderings.  (Contributed by Stefan O'Rear,
       19-Jan-2015.) $)
    soeq12d $p |- ( ph -> ( R Or A <-> S Or B ) ) $=
      ( wor wceq wb soeq1 syl soeq2 bitrd ) ABDHZBEHZCEHZADEIOPJFBDEKLABCIPQJGB
      CEMLN $.

    $( Equality deduction for founded relations.  (Contributed by Stefan
       O'Rear, 19-Jan-2015.) $)
    freq12d $p |- ( ph -> ( R Fr A <-> S Fr B ) ) $=
      ( wfr wceq wb freq1 syl freq2 bitrd ) ABDHZBEHZCEHZADEIOPJFBDEKLABCIPQJGB
      CEMLN $.

    $( Equality deduction for well-orders.  (Contributed by Stefan O'Rear,
       19-Jan-2015.) $)
    weeq12d $p |- ( ph -> ( R We A <-> S We B ) ) $=
      ( wwe wceq wb weeq1 syl weeq2 bitrd ) ABDHZBEHZCEHZADEIOPJFBDEKLABCIPQJGB
      CEMLN $.
  $}

  ${
    $d A x $.  $d B x $.

    $( Limit ordinals in the sense inclusive of zero contain all successors of
       their members.  (Contributed by Stefan O'Rear, 20-Jan-2015.) $)
    limsuc2 $p |- ( ( Ord A /\ A = U. A ) -> ( B e. A <-> suc B e. A ) ) $=
      ( vx word cuni wceq wa wcel csuc cv wral ordunisuc2 biimpa eleq1d rspccva
      suceq sylan ex wi wtr ordtr trsuc syl adantr impbid ) ADZAAEFZGZBAHZBIZAH
      ZUHUIUKUHCJZIZAHZCAKZUIUKUFUGUOCALMUNUKCBAULBFUMUJAULBPNOQRUFUKUISZUGUFAT
      ZUPAUAUQUKUIABUBRUCUDUE $.
  $}

  ${
    $d R x y z w a b c $.  $d A x y z w a b c $.  $d F x y z w b c $.
    $d T a b c $.  $d U a b c $.
    wepwso.t $e |- T = { <. x , y >. | E. z e. A ( ( z e. y /\ -. z e. x ) /\
        A. w e. A ( w R z -> ( w e. x <-> w e. y ) ) ) } $.

    ${
      wepwso.u $e |- U = { <. x , y >. | E. z e. A ( ( x ` z ) _E ( y ` z ) /\
          A. w e. A ( w R z -> ( x ` w ) = ( y ` w ) ) ) } $.
      wepwso.f $e |- F = ( a e. ( 2o ^m A ) |-> ( `' a " { 1o } ) ) $.
      $( Transfer an ordering on characteristic functions by isomorphism to the
         power set.  (Contributed by Stefan O'Rear, 18-Jan-2015.) $)
      wepwsolem $p |- ( A e. _V -> F Isom U , T ( ( 2o ^m A ) , ~P A ) ) $=
        ( wcel c2o wb wa wceq c1o c0 vb vc cvv cmap co cpw wf1o cv wbr cfv wral
        wiso pw2f1o2 cep wi wrex wn epeli wf elmapi ad2antrl ffvelrnda ad2antll
        fvex wo n0i adantl elpri df2o3 eleq2s ad2antlr orel1 sylc onirri eleq12
        cpr 1on biimpd expcom com3r imp adantll mtoi mpdan adantr orel2 adantrl
        jca mpan9 eqeltrdi simprl eleqtrrd impbida syl2anc pw2f1o2val2 sylancom
        0lt1o simplrr simplrl notbid anbi12d bitr4d syl5bb simplr nesymi mtbiri
        eqeq1 1n0 simpr mtbid ad3antlr eqtr4d ex mpbid mpjaodan impbid2 bibi12d
        imbi2d ralbidva vex fveq1 breqan12d eqeqan12d ralbidv rexbidv braba wel
        rexbidva eleq2 bi2anan9r bi2bian9 3bitr4g ralrimivva df-isom sylanbrc )
        EUCNZOEUDUEZEUFZIUGUAUHZUBUHZHUIZYSIUJZYTIUJZGUIZPZUBYQUKUAYQUKYQYRHGIU
        LJEIUCMUMYPUUEUAUBYQYQYPYSYQNZYTYQNZQQZCUHZYSUJZUUIYTUJZUNUIZDUHZUUIFUI
        ZUUMYSUJZUUMYTUJZRZUOZDEUKZQZCEUPZUUIUUCNZUUIUUBNZUQZQZUUNUUMUUBNZUUMUU
        CNZPZUOZDEUKZQZCEUPZUUAUUDUUHUUTUVKCEUUHUUIENZQZUULUVEUUSUVJUULUUJUUKNZ
        UVNUVEUUJUUKUUIYTVDURUVNUVOUUKSRZUUJSRZUQZQZUVEUVNUUJONZUUKONZUVOUVSPUU
        HEOUUIYSUUFEOYSUSYPUUGYSOEUTVAZVBUUHEOUUIYTUUGEOYTUSYPUUFYTOEUTVCZVBUVT
        UWAQZUVOUVSUWDUVOQZUVPUVRUWEUUKTRZUQZUWFUVPVEZUVPUVOUWGUWDUUKUUJVFVGUWA
        UWHUVTUVOUWHUUKTSVPZOUUKTSVHVIVJVKUWFUVPVLVMZUWEUVPUVRUWJUWEUVPQUVQSSNZ
        SVQVNUVOUVPUVQUWKUOZUWDUVOUVPUWLUVPUVQUVOUWKUVQUVPUVOUWKUOUVQUVPQUVOUWK
        UUJSUUKSVOVRVSVTWAWBWCWDWHUWDUVSQZUUJSUUKUWMUUJTSUWDUVRUUJTRZUVPUWDUWNU
        VQVEZUVRUWNUVTUWOUWAUWOUUJUWIOUUJTSVHVIVJWEUVQUWNWFWIWGWQWJUWDUVPUVRWKW
        LWMWNUVNUVBUVPUVDUVRUUHUVMUUGUVBUVPPYPUUFUUGUVMWRJEIYTUUIMWOWPUVNUVCUVQ
        UUHUVMUUFUVCUVQPYPUUFUUGUVMWSJEIYSUUIMWOWPWTXAXBXCUUHUUSUVJPUVMUUHUURUV
        IDEUUHUUMENZQZUUQUVHUUNUWQUUQUUOSRZUUPSRZPZUVHUWQUUOONZUUPONZUUQUWTPUUH
        EOUUMYSUWBVBUUHEOUUMYTUWCVBUXAUXBQZUUQUWTUUOUUPSXGUXCUUOTRZUWTUUQUOUWRU
        XCUXDQZUWTUUQUXEUWTQZUUOTUUPUXCUXDUWTXDUXFUWSUQUUPTRZUWSVEZUXGUXFUWRUWS
        UXDUWRUQUXCUWTUXDUWRTSRSTXHXEUUOTSXGXFVKUXEUWTXIXJUXBUXHUXAUXDUWTUXHUUP
        UWIOUUPTSVHVIVJXKUWSUXGWFVMXLXMUXCUWRQZUWTUUQUXIUWTQZUUOSUUPUXCUWRUWTXD
        ZUXJUWRUWSUXKUXIUWTXIXNXLXMUXAUXDUWRVEZUXBUXLUUOUWIOUUOTSVHVIVJWEXOXPWN
        UWQUVFUWRUVGUWSUUHUWPUUFUVFUWRPYPUUFUUGUWPWSJEIYSUUMMWOWPUUHUWPUUGUVGUW
        SPYPUUFUUGUWPWRJEIYTUUMMWOWPXQXBXRXSWEXAYHUUIAUHZUJZUUIBUHZUJZUNUIZUUNU
        UMUXMUJZUUMUXOUJZRZUOZDEUKZQZCEUPUVAABYSYTHUAXTUBXTUXMYSRZUXOYTRZQZUYCU
        UTCEUYFUXQUULUYBUUSUYDUYEUXNUUJUXPUUKUNUUIUXMYSYAUUIUXOYTYAYBUYFUYAUURD
        EUYFUXTUUQUUNUYDUYEUXRUUOUXSUUPUUMUXMYSYAUUMUXOYTYAYCXRYDXAYELYFCBYGZCA
        YGZUQZQZUUNDAYGZDBYGZPZUOZDEUKZQZCEUPUVLABUUBUUCGYSIVDYTIVDUXMUUBRZUXOU
        UCRZQZUYPUVKCEUYSUYJUVEUYOUVJUYRUYGUVBUYQUYIUVDUXOUUCUUIYIUYQUYHUVCUXMU
        UBUUIYIWTYJUYSUYNUVIDEUYSUYMUVHUUNUYQUYKUVFUYRUYLUVGUXMUUBUUMYIUXOUUCUU
        MYIYKXRYDXAYEKYFYLYMUAUBYQYRHGIYNYO $.
    $}

    $( A well-ordering induces a strict ordering on the power set. _EDITORIAL_:
       when well-orderings are set like, this can be strengthened to remove
       ` A e. V ` .  (Contributed by Stefan O'Rear, 18-Jan-2015.) $)
    wepwso $p |- ( ( A e. V /\ R We A ) -> T Or ~P A ) $=
      ( va wcel wwe wa c2o cv cfv cep wbr wor eqid cmap co wceq wral wrex copab
      wi cpw word com 2onn nnord ax-mp ordwe weso mp2b wemapso mpan2 adantl cvv
      wb ccnv c1o csn cima cmpt wiso elex wepwsolem isoso 3syl adantr mpbid ) E
      HKZEFLZMNEUAUBZCOZAOZPVQBOZPQRDOZVQFRVTVRPVTVSPUCUGDEUDMCEUEABUFZSZEUHZGS
      ZVOWBVNVONQSZWBNUIZNQLWENUJKWFUKNULUMNUNNQUOUPABCDENFQWAWATZUQURUSVNWBWDV
      AZVOVNEUTKVPWCWAGJVPJOVBVCVDVEVFZVGWHEHVHABCDEFGWAWIJIWGWITVIVPWCWAGWIVJV
      KVLVM $.
  $}

  ${
    $d F v w x y $.  $d G v w x y z $.  $d A v w x y z $.  $d ph v x w $.
    dnnumch.f $e |- F = recs ( ( z e. _V |-> ( G ` ( A \ ran z ) ) ) ) $.
    dnnumch.a $e |- ( ph -> A e. V ) $.
    dnnumch.g $e |- ( ph -> A. y e. ~P A ( y =/= (/) -> ( G ` y ) e. y ) ) $.
    $( Define an enumeration of a set from a choice function; second part, it
       restricts to a bijection. _EDITORIAL_: overlaps ~ dfac8a .  (Contributed
       by Stefan O'Rear, 18-Jan-2015.) $)
    dnnumch1 $p |- ( ph -> E. x e. On ( F |` x ) : x -1-1-onto-> A ) $=
      ( vw wcel cv cdif c0 cfv con0 wceq cvv cima wne wi wral cres wf1o wrex wa
      crn cmpt crecs recsval wfun wfn tfr1 fnfun ax-mp vex resfunexg mp2an rneq
      fveq1i df-ima eqtr4di difeq2d fveq2d weq cbvmptv fvex fvmpt fveq2i eqtr3i
      reseq1i 3eqtr4g ad2antlr cpw wss difss wb elpw2g syl mpbiri neeq1 eleq12d
      fveq2 id imbi12d rspcva syl2anc adantr imp eqeltrd ex ralrimiva tz7.49c )
      AEHMZEFBNZUAZOZPUBZWQFQZWSMZUCZBRUDWQEFWQUEZUFBRUGJAXCBRAWQRMZUHZWTXBXFWT
      UHXAWSGQZWSXEXAXGSAWTXEWQDTEDNZUIZOZGQZUJZUKZQXMWQUEZXLQZXAXGWQXLULWQFXMI
      VBXDXLQZXGXOXDTMZXPXGSFUMZWQTMXQFRUNXRFXLIUOZRFUPUQBURFWQTUSUTLXDELNZUIZO
      ZGQZXGTXLXTXDSZYBWSGYDYAWREYDYAXDUIWRXTXDVAFWQVCVDVEVFDLTXKYCDLVGZXJYBGYE
      XIYAEXHXTVAVEVFVHWSGVIVJUQXDXNXLFXMWQIVMVKVLVNVOXFWTXGWSMZAWTYFUCZXEAWSEV
      PZMZCNZPUBZYJGQZYJMZUCZCYHUDYGAYIWSEVQZEWRVRAWPYIYOVSJWSEHVTWAWBKYNYGCWSY
      HYJWSSZYKWTYMYFYJWSPWCYPYLXGYJWSYJWSGWEYPWFWDWGWHWIWJWKWLWMWNBEHFXSWOWI
      $.

    $( Define an enumeration (weak dominance version) of a set from a choice
       function.  (Contributed by Stefan O'Rear, 18-Jan-2015.) $)
    dnnumch2 $p |- ( ph -> A C_ ran F ) $=
      ( vx cv cres wf1o con0 wrex crn wss dnnumch1 wi wfo wceq f1ofo forn resss
      syl rnss mp1i eqsstrrd a1i rexlimdvw mpd ) AKLZDEUMMZNZKOPDEQZRZAKBCDEFGH
      IJSAUOUQKOUOUQTAUODUNQZUPUOUMDUNUAURDUBUMDUNUCUMDUNUDUFUNERURUPRUOEUMUEUN
      EUGUHUIUJUKUL $.

    $( Value of the ordinal injection function.  (Contributed by Stefan O'Rear,
       18-Jan-2015.) $)
    dnnumch3lem $p |- ( ( ph /\ w e. A ) ->
        ( ( x e. A |-> |^| ( `' F " { x } ) ) ` w ) = |^| ( `' F " { w } ) ) $=
      ( cv wcel csn cima cint cmpt con0 crn wa ccnv eqid weq sneq imaeq2d simpr
      inteqd wss c0 wne cdm cnvimass cvv cdif cfv fndmi sseqtri dnnumch2 sselda
      tfr1 inisegn0 sylib oninton sylancr fvmptd3 ) AEMZFNZUAZBVGGUBZBMZOZPZQZV
      JVGOZPZQZFBFVNRZSVRUCBEUDZVMVPVSVLVOVJVKVGUEUFUHAVHUGVIVPSUIVPUJUKZVQSNVP
      GULSGVOUMSGGDUNFDMTUOHUPRJVAUQURVIVGGTZNVTAFWAVGACDFGHIJKLUSUTVGGVBVCVPVD
      VEVF $.

    $( Define an injection from a set into the ordinals using a choice
       function.  (Contributed by Stefan O'Rear, 18-Jan-2015.) $)
    dnnumch3 $p |- ( ph -> ( x e. A |-> |^| ( `' F " { x } ) )
            : A -1-1-> On ) $=
      ( vv vw con0 cv csn cfv wceq wcel wa ccnv cima cint cmpt wf wi wf1 wss c0
      wral wne cdm cnvimass cvv crn cdif fndmi sseqtri dnnumch2 sselda inisegn0
      tfr1 sylib oninton sylancr fmpttd dnnumch3lem adantrr adantrl fveq2 onint
      eqeq12d adantl wfn wb fniniseg ax-mp simprbi syl adantr 3eqtr3d ex sylbid
      ralrimivva dff13 sylanbrc ) AENBEFUAZBOZPZUBZUCZUDZUELOZWLQZMOZWLQZRZWMWO
      RZUFZMEUJLEUJENWLUGABEWKNAWHESTZWJNUHWJUIUKZWKNSWJFULZNFWIUMNFFDUNEDOUOUP
      GQUDIVBZUQZURWTWHFUOZSXAAEXEWHACDEFGHIJKUSZUTWHFVAVCWJVDVEVFAWSLMEEAWMESZ
      WOESZTTZWQWGWMPZUBZUCZWGWOPZUBZUCZRZWRXIWNXLWPXOAXGWNXLRXHABCDLEFGHIJKVGV
      HAXHWPXORXGABCDMEFGHIJKVGVIVLXIXPWRXIXPTXLFQZXOFQZWMWOXPXQXRRXIXLXOFVJVMX
      IXQWMRZXPAXGXSXHAXGTZXLXKSZXSXTXKNUHXKUIUKZYAXKXBNFXJUMXDURXTWMXESYBAEXEW
      MXFUTWMFVAVCXKVKVEYAXLNSZXSFNVNZYAYCXSTVOXCNWMXLFVPVQVRVSVHVTXIXRWORZXPAX
      HYEXGAXHTZXOXNSZYEYFXNNUHXNUIUKZYGXNXBNFXMUMXDURYFWOXESYHAEXEWOXFUTWOFVAV
      CXNVKVEYGXONSZYEYDYGYIYETVOXCNWOXOFVPVQVRVSVIVTWAWBWCWDLMENWLWEWF $.

    dnwech.h $e |- H = { <. v , w >. | |^| ( `' F " { v } ) e.
        |^| ( `' F " { w } ) } $.
    $( Define a well-ordering from a choice function.  (Contributed by Stefan
       O'Rear, 18-Jan-2015.) $)
    dnwech $p |- ( ph -> H We A ) $=
      ( vx wwe cep copab con0 cin ccnv csn cima cint cmpt cfv wbr wf1o dnnumch3
      cv crn wf1 f1f1orn syl wss wf f1f 3syl epweon wess mpisyl eqid f1owe sylc
      frn cxp wceq wb wcel wa epeli dnnumch3lem adantrr adantrl eleq12d bitr2id
      pm5.32da opabbidv incom df-xp ineq12i inopab 3eqtri ineq1i 3eqtr4g weinxp
      fvex weeq1 3bitr4g mpbird ) AFIPZFEUJZOFGUAZOUJUBUCUDUEZUFZDUJZWNUFZQUGZE
      DRZPZAFWNUKZWNUHZXAQPZWTAFSWNULZXBAOBCFGHJKLMUIZFSWNUMUNAXASUOZSQPXCAXDFS
      WNUPXFXEFSWNUQFSWNVEURUSXASQUTVAEDFXAWSQWNWSVBVCVDAFIFFVFZTZPZFWSXGTZPZWK
      WTAXHXJVGXIXKVHAWLFVIZWPFVIZVJZWMWLUBUCUDZWMWPUBUCUDZVIZVJZEDRZXNWRVJZEDR
      ZXHXJAXRXTEDAXNXQWRWRWOWQVIAXNVJZXQWOWQWPWNWGVKYBWOXOWQXPAXLWOXOVGXMAOBCE
      FGHJKLMVLVMAXMWQXPVGXLAOBCDFGHJKLMVLVNVOVPVQVRXHXGITXNEDRZXQEDRZTXSIXGVSX
      GYCIYDEDFFVTZNWAXNXQEDWBWCXJXGWSTYCWSTYAWSXGVSXGYCWSYEWDXNWREDWBWCWEFXHXJ
      WHUNFIWFFWSWFWIWJ $.
  $}

  ${
    $d U y z a b c d e f $.  $d S x y a b c d e f g $.  $d R x y a b c d e f $.
    $d ph x y z c d e f g $.  $d A x y z a b c d e f g $.
    $d F x y z a b c d e f g $.  $d T a b c d e f $.  $d B a b c d e f $.
    fnwe2.su $e |- ( z = ( F ` x ) -> S = U ) $.
    fnwe2.t $e |- T = { <. x , y >. | ( ( F ` x ) R ( F ` y ) \/
        ( ( F ` x ) = ( F ` y ) /\ x U y ) ) } $.
    $( Lemma for ~ fnwe2 .  Substitute variables.  (Contributed by Stefan
       O'Rear, 19-Jan-2015.) $)
    fnwe2val $p |- ( a T b <-> ( ( F ` a ) R ( F ` b ) \/
        ( ( F ` a ) = ( F ` b ) /\ a [_ ( F ` a ) / z ]_ S b ) ) ) $=
      ( cv cfv wbr wceq wa wo csb vex fveq2 breqan12d eqeqan12d csbeq1d eqtr3id
      simpl fvex csbie adantr simpr breq123d anbi12d orbi12d braba ) AMZHNZBMZH
      NZDOZUPURPZUOUQGOZQZRIMZHNZJMZHNZDOZVDVFPZVCVECVDESZOZQZRABVCVEFITJTUOVCP
      ZUQVEPZQZUSVGVBVKVLVMUPVDURVFDUOVCHUAZUQVEHUAZUBVNUTVHVAVJVLVMUPVDURVFVOV
      PUCVNUOVCUQVEGVIVLVMUFVLGVIPVMVLGCUPESVICUPEGUOHUGKUHVLCUPVDEVOUDUEUIVLVM
      UJUKULUMLUN $.

    fnwe2.s $e |- ( ( ph /\ x e. A ) ->
        U We { y e. A | ( F ` y ) = ( F ` x ) } ) $.
    $( Lemma for ~ fnwe2 .  Substitution in well-ordering hypothesis.
       (Contributed by Stefan O'Rear, 19-Jan-2015.) $)
    fnwe2lem1 $p |- ( ( ph /\ a e. A ) ->
        [_ ( F ` a ) / z ]_ S We { y e. A | ( F ` y ) = ( F ` a ) } ) $=
      ( cv cfv wceq crab csb wwe wral ralrimiva fveq2 csbeq1d fvex csbie eqtrdi
      eqeq2d rabbidv weeq12d cbvralvw sylibr r19.21bi ) ACOJPZKOZJPZQZCERZDUPGS
      ZTZKEAUNBOZJPZQZCERZITZBEUAUTKEUAAVEBENUBUTVEKBEUOVAQZURVDUSIVFUSDVBGSIVF
      DUPVBGUOVAJUCZUDDVBGIVAJUELUFUGVFUQVCCEVFUPVBUNVGUHUIUJUKULUM $.

    fnwe2.f $e |- ( ph -> ( F |` A ) : A --> B ) $.
    fnwe2.r $e |- ( ph -> R We B ) $.

    ${
      $d ph b $.
      fnwe2lem2.a $e |- ( ph -> a C_ A ) $.
      fnwe2lem2.n0 $e |- ( ph -> a =/= (/) ) $.
      $( Lemma for ~ fnwe2 .  An element which is in a minimal fiber and
         minimal within its fiber is minimal globally; thus ` T ` is
         well-founded.  (Contributed by Stefan O'Rear, 19-Jan-2015.) $)
      fnwe2lem2 $p |- ( ph -> E. b e. a A. c e. a -. c T b ) $=
        ( ve vd vf vg cv wbr wn cres cima wral wrex cvv wcel wfr wss c0 wf wfun
        wne ffun vex funimaex 3syl wwe wefr syl crn imassrn frnd sstrid cdm cin
        incom wceq sseqtrrd df-ss sylib syl5eq eqnetrd imadisj necon3bii sylibr
        fdmd fri syl22anc cfv df-ima rexeqi wfn wb fnssres syl2anc breq2 notbid
        ralbidv rexrn syl5bb wel wa raleqi breq1 ralrn adantr resabs1d ad2antrr
        ffnd fveq1d fvres adantl eqtrd ad2antlr breq12d ralbidva bitrd rexbidva
        csb crab inex1 a1i sselda fnwe2lem1 syldan adantrr inss2 simprl fveqeq2
        eqidd elrabd elind wi elin elrab anbi2i bitri weq rspcdva ex syl5bi mpd
        ne0d imbi1i impexp ralbii2 simplrl wo fveq2 breq1d simplrr simpr breq2d
        simprrr mtbird simprr eleq1w anbi12d imbi12d simplr mp2and eqtr2d breqd
        ad3antrrr csbeq1d mtbid imnan ioran sylanbrc fnwe2val sylnibr ralrimiva
        expr rspcev rexlimdv rexlimdvaa sylbid ) AUBUFZUCUFZGUGZUHZUBKEUIZLUFZU
        JZUKZUCUWBULZNUFZMUFZIUGZUHZNUWAUKZMUWAULZAUWBUMUNZFGUOZUWBFUPUWBUQUTZU
        WDAEFUVTURUVTUSUWKREFUVTVAUVTUWALVBZVCVDAFGVEUWLSFGVFVGAUWBUVTVHFUVTUWA
        VIAEFUVTRVJVKAUVTVLZUWAVMZUQUTUWMAUWPUWAUQAUWPUWAUWOVMZUWAUWOUWAVNAUWAU
        WOUPUWQUWAVOAUWAEUWOTAEFUVTRWDVPUWAUWOVQVRVSUAVTUWBUQUWPUQUVTUWAWAWBWCU
        CUBFUWBUMGWEWFAUWDUVQKWGZUDUFZKWGZGUGZUHZUCUWAUKZUDUWAULZUWJAUWDUVPUWSU
        VTUWAUIZWGZGUGZUHZUBUWBUKZUDUWAULZUXDUWDUWCUCUXEVHZULZAUXJUWCUCUWBUXKUV
        TUWAWHZWIAUXEUWAWJZUXLUXJWKAUVTEWJUWAEUPZUXNAEFUVTRXGTEUWAUVTWLWMZUWCUX
        IUCUDUWAUXEUVQUXFVOZUVSUXHUBUWBUXQUVRUXGUVQUXFUVPGWNWOWPWQVGWRAUXIUXCUD
        UWAAUDLWSZWTZUXIUVQUXEWGZUXFGUGZUHZUCUWAUKZUXCAUXIUYCWKUXRUXIUXHUBUXKUK
        ZAUYCUXHUBUWBUXKUXMXAAUXNUYDUYCWKUXPUXHUYBUBUCUWAUXEUVPUXTVOUXGUYAUVPUX
        TUXFGXBWOXCVGWRXDUXSUYBUXBUCUWAUXSUCLWSZWTZUYAUXAUYFUXTUWRUXFUWTGUYFUXT
        UVQKUWAUIZWGZUWRUYFUVQUXEUYGAUXEUYGVOUXRUYEAKUWAETXEXFZXHUYEUYHUWRVOUXS
        UVQUWAKXIXJXKUYFUXFUWSUYGWGZUWTUYFUWSUXEUYGUYIXHUXRUYJUWTVOAUYEUWSUWAKX
        IXLXKXMWOXNXOXPXOAUXCUWJUDUWAAUXRUXCWTZWTZUEUFZUVPDUWTHXQZUGZUHZUEUWACU
        FZKWGUWTVOZCEXRZVMZUKZUBUYTULZUWJUYLUYTUMUNZUYSUYNUOZUYTUYSUPZUYTUQUTVU
        BVUCUYLUWAUYSUWNXSXTAUXRVUDUXCAUXRUWSEUNZVUDAUWAEUWSTYAZAVUFWTUYSUYNVEV
        UDABCDEGHIJKUDOPQYBUYSUYNVFVGYCYDVUEUYLUWAUYSYEXTUYLUYTUWSUYLUWAUYSUWSA
        UXRUXCYFUYLUYRUWTUWTVOCUWSEUYQUWSUWTKYGAUXRVUFUXCVUGYDUYLUWTYHYIYJUUAUB
        UEUYSUYTUMUYNWEWFUYLVUAUWJUBUYTUVPUYTUNZUBLWSZUVPEUNZUVPKWGZUWTVOZWTZWT
        ZUYLVUAUWJYKZVUHVUIUVPUYSUNZWTVUNUVPUWAUYSYLVUPVUMVUIUYRVULCUVPEUYQUVPU
        WTKYGYMYNYOUYLVUNVUOVUAUYMEUNZUYMKWGUWTVOZWTZUYPYKZUEUWAUKZUYLVUNWTZUWJ
        UYPVUTUEUYTUWAUYMUYTUNZUYPYKUELWSZVUSWTZUYPYKVVDVUTYKVVCVVEUYPVVCVVDUYM
        UYSUNZWTVVEUYMUWAUYSYLVVFVUSVVDUYRVURCUYMEUYQUYMUWTKYGYMYNYOUUBVVDVUSUY
        PUUCYOUUDVVBVVAUWJVVBVVAWTZVUIUWEUVPIUGZUHZNUWAUKZUWJUYLVUIVUMVVAUUEVVG
        VVINUWAVVGNLWSZWTZUWEKWGZVUKGUGZVVMVUKVOZUWEUVPDVVMHXQZUGZWTZUUFZVVHVVL
        VVNUHVVRUHZVVSUHVVLVVNVVMUWTGUGZVVLUXBVWAUHUCUWAUWEUCNYPZUXAVWAVWBUWRVV
        MUWTGUVQUWEKUUGUUHWOVVBUXCVVAVVKAUXRUXCVUNUUIXFVVGVVKUUJYQVVLVUKUWTVVMG
        VVBVULVVAVVKUYLVUIVUJVULUULZXFUUKUUMVVLVVOVVQUHZYKVVTVVGVVKVVOVWDVVGVVK
        VVOWTZWTZUWEUVPUYNUGZVVQVWFUWEEUNZVVMUWTVOZVWGUHZVVGVVKVWHVVOVVGUWAEUWE
        AUXOUYKVUNVVATUVBYAYDVWFVVMVUKUWTVVGVVKVVOUUNZVVBVULVVAVWEVWCXFZXKVWFVU
        TVWHVWIWTZVWJYKUEUWAUWEUENYPZVUSVWMUYPVWJVWNVUQVWHVURVWIUENEUUOUYMUWEUW
        TKYGUUPVWNUYOVWGUYMUWEUVPUYNXBWOUUQVVBVVAVWEUURVVGVVKVVOYFYQUUSVWFUYNVV
        PUWEUVPVWFDUWTVVMHVWFVVMVUKUWTVWKVWLUUTUVCUVAUVDUVKVVOVVQUVEVRVVNVVRUVF
        UVGBCDGHIJKNUBOPUVHUVIUVJUWIVVJMUVPUWAMUBYPZUWHVVINUWAVWOUWGVVHUWFUVPUW
        EIWNWOWPUVLWMYRYSYRYSUVMYTUVNUVOYT $.
    $}

    ${
      fnwe2lem3.a $e |- ( ph -> a e. A ) $.
      fnwe2lem3.b $e |- ( ph -> b e. A ) $.
      $( Lemma for ~ fnwe2 .  Trichotomy.  (Contributed by Stefan O'Rear,
         19-Jan-2015.) $)
      fnwe2lem3 $p |- ( ph -> ( a T b \/ a = b \/ b T a ) ) $=
        ( cv cfv wbr weq w3o wceq wa csb animorrl fnwe2val sylibr 3mix1d simplr
        simpr jca olcd 3mix2 adantl eqcomd csbeq1 breqd biimpa 3mix3d crab wcel
        wo wor wwe fnwe2lem1 mpdan weso syl adantr fveqeq2 eqidd solin syl12anc
        elrabd mpjao3dan cres fvresd ffvelrnd eqeltrrd ) ALUAZKUBZMUAZKUBZGUCZW
        DWFIUCZLMUDZWFWDIUCZUEZWEWGUFZWGWEGUCZAWHUGZWIWJWKWOWHWMWDWFDWEHUHZUCZU
        GZVFZWIAWHWRUIBCDGHIJKLMNOUJZUKULAWMUGZWQWLWJWFWDWPUCZXAWQUGZWIWJWKXCWS
        WIXCWRWHXCWMWQAWMWQUMXAWQUNUOUPWTUKULWJWLXAWJWIWKUQURXAXBUGZWKWIWJXDWNW
        GWEUFZWFWDDWGHUHZUCZUGZVFZWKXDXHWNXDXEXGXDWEWGAWMXBUMUSXAXBXGXAWPXFWFWD
        WMWPXFUFADWEWGHUTURVAVBUOUPBCDGHIJKMLNOUJZUKVCXACUAZKUBWEUFZCEVDZWPVGZW
        DXMVEWFXMVEWQWJXBUEAXNWMAXMWPVHZXNAWDEVEZXOSABCDEGHIJKLNOPVIVJXMWPVKVLV
        MXAXLWEWEUFCWDEXKWDWEKVNAXPWMSVMXAWEVOVRXAXLXECWFEXKWFWEKVNAWFEVEWMTVMX
        AWEWGAWMUNUSVRXMWDWFWPVPVQVSAWNUGZWKWIWJXQXIWKAWNXHUIXJUKVCAFGVGZWEFVEW
        GFVEWHWMWNUEAFGVHXRRFGVKVLAWDKEVTZUBWEFAWDEKSWAAEFWDXSQSWBWCAWFXSUBWGFA
        WFEKTWAAEFWFXSQTWBWCFWEWGGVPVQVS $.
    $}

    $d ph a b $.
    $( A well-ordering can be constructed on a partitioned set by patching
       together well-orderings on each partition using a well-ordering on the
       partitions themselves.  Similar to ~ fnwe but does not require the
       within-partition ordering to be globally well.  (Contributed by Stefan
       O'Rear, 19-Jan-2015.) $)
    fnwe2 $p |- ( ph -> T We A ) $=
      ( va vb vd cv vc wfr wbr weq w3o wral wwe wss c0 wne wa wrex wal wcel cfv
      wn wi wceq crab adantlr cres wf adantr simprl simprr fnwe2lem2 ex alrimiv
      df-fr sylibr fnwe2lem3 ralrimivva dfwe2 sylanbrc ) AEIUBZQTZRTZIUCQRUDVQV
      PIUCUEZREUFQEUFEIUGAVPEUHZVPUIUJZUKZSTUATIUCUPSVPUFUAVPULZUQZQUMVOAWCQAWA
      WBAWAUKBCDEFGHIJKQUASLMABTZEUNZCTKUOWDKUOURCEUSJUGZWANUTAEFKEVAVBZWAOVCAF
      GUGZWAPVCAVSVTVDAVSVTVEVFVGVHQUASEIVIVJAVRQREEAVPEUNZVQEUNZUKZUKBCDEFGHIJ
      KQRLMAWEWFWKNUTAWGWKOVCAWHWKPVCAWIWJVDAWIWJVEVKVLQREIVMVN $.
  $}

  ${
    $d z a b c d $.
    aomclem1.b $e |- B = { <. a , b >. | E. c e. ( R1 ` U. dom z )
        ( ( c e. b /\ -. c e. a ) /\ A. d e. ( R1 ` U. dom z )
          ( d ( z ` U. dom z ) c -> ( d e. a <-> d e. b ) ) ) } $.
    aomclem1.on $e |- ( ph -> dom z e. On ) $.
    aomclem1.su $e |- ( ph -> dom z = suc U. dom z ) $.
    aomclem1.we $e |- ( ph -> A. a e. dom z ( z ` a ) We ( R1 ` a ) ) $.
    $( Lemma for ~ dfac11 .  This is the beginning of the proof that multiple
       choice is equivalent to choice.  Our goal is to construct, by
       transfinite recursion, a well-ordering of ` ( R1 `` A ) ` .  In what
       follows, ` A ` is the index of the rank we wish to well-order, ` z ` is
       the collection of well-orderings constructed so far, ` dom z ` is the
       set of ordinal indices of constructed ranks i.e. the next rank to
       construct, and ` y ` is a postulated multiple-choice function.

       Successor case 1, define a simple ordering from the well-ordered
       predecessor.  (Contributed by Stefan O'Rear, 18-Jan-2015.) $)
    aomclem1 $p |- ( ph -> B Or ( R1 ` dom z ) ) $=
      ( cv cr1 cfv wor cvv wcel wwe wceq fveq2 cdm cuni cpw fvex wral csuc dmex
      vex uniex sucid eleqtrrid weeq12d rspcva syl2anc wepwso sylancr wb fveq2d
      con0 onuni r1suc 3syl eqtrd soeq2 syl mpbird ) ABLZUAZMNZCOZVHUBZMNZUCZCO
      ZAVLPQVLVKVGNZRZVNVKMUDAVKVHQDLZMNZVQVGNZRZDVHUEVPAVKVKUFZVHVKVHVGBUHUGUI
      UJJUKKVTVPDVKVHVQVKSVRVLVSVOVQVKVGTVQVKMTULUMUNDEFGVLVOCPHUOUPAVIVMSVJVNU
      QAVIWAMNZVMAVHWAMJURAVHUSQVKUSQWBVMSIVHUTVKVAVBVCVIVMCVDVEVF $.
  $}

  ${
    $d z y a b c d $.  $d ph a $.
    aomclem2.b $e |- B = { <. a , b >. | E. c e. ( R1 ` U. dom z )
        ( ( c e. b /\ -. c e. a ) /\ A. d e. ( R1 ` U. dom z )
          ( d ( z ` U. dom z ) c -> ( d e. a <-> d e. b ) ) ) } $.
    aomclem2.c $e |- C = ( a e. _V |->
        sup ( ( y ` a ) , ( R1 ` dom z ) , B ) ) $.
    aomclem2.on $e |- ( ph -> dom z e. On ) $.
    aomclem2.su $e |- ( ph -> dom z = suc U. dom z ) $.
    aomclem2.we $e |- ( ph -> A. a e. dom z ( z ` a ) We ( R1 ` a ) ) $.
    aomclem2.a $e |- ( ph -> A e. On ) $.
    aomclem2.za $e |- ( ph -> dom z C_ A ) $.
    aomclem2.y $e |- ( ph -> A. a e. ~P ( R1 ` A ) ( a =/= (/) ->
        ( y ` a ) e. ( ( ~P a i^i Fin ) \ { (/) } ) ) ) $.
    $( Lemma for ~ dfac11 .  Successor case 2, a choice function for subsets of
       ` ( R1 `` dom z ) ` .  (Contributed by Stefan O'Rear, 18-Jan-2015.) $)
    aomclem2 $p |- ( ph -> A. a e. ~P ( R1 ` dom z ) ( a =/= (/) ->
          ( C ` a ) e. a ) ) $=
      ( wcel cfn cv c0 wne cfv wi cdm cr1 cpw w3a csup cvv wceq vex cin wss csn
      cdif wral con0 jca r1ord3 sylc sspwd sseld rsp sylsyld 3imp eldifad inss1
      wa sseli elpwid syl aomclem1 3ad2ant1 inss2 eldifsni elpwi 3ad2ant2 sstrd
      wor sselid fisupcl syl13anc sseldd fvmpt2 sylancr eqeltrd 3exp ralrimiv )
      AGUAZUBUCZWKFUDZWKSZUEGCUAUFZUGUDZUHZAWKWQSZWLWNAWRWLUIZWMWKBUAUDZWPEUJZW
      KWSWKUKSXAWKSWMXAULGUMWSWTWKXAWSWTWKUHZTUNZSZWTWKUOWSWTXCUBUPZAWRWLWTXCXE
      UQSZAWLXFUEZGDUGUDZUHZURWRWKXISXGRAWQXIWKAWPXHAWOUSSZDUSSZVJWODUOWPXHUOAX
      JXKMPUTQWODVAVBVCVDXGGXIVEVFVGZVHZXDWTWKXCXBWTXBTVIVKVLVMZWSWPEWAZWTTSWTU
      BUCZWTWPUOXAWTSAWRXOWLACEGHIJKMNOVNVOWSXCTWTXBTVPXMWBWSXFXPXLWTXCUBVQVMWS
      WTWKWPXNWRAWKWPUOWLWKWPVRVSVTWPWTEWCWDWEZGUKXAWKFLWFWGXQWHWIWJ $.
  $}

  ${
    $d z y a b c d $.  $d ph a b $.  $d C a b c d $.  $d D a b c d $.
    aomclem3.b $e |- B = { <. a , b >. | E. c e. ( R1 ` U. dom z )
        ( ( c e. b /\ -. c e. a ) /\ A. d e. ( R1 ` U. dom z )
          ( d ( z ` U. dom z ) c -> ( d e. a <-> d e. b ) ) ) } $.
    aomclem3.c $e |- C = ( a e. _V |->
        sup ( ( y ` a ) , ( R1 ` dom z ) , B ) ) $.
    aomclem3.d $e |- D = recs ( ( a e. _V |->
        ( C ` ( ( R1 ` dom z ) \ ran a ) ) ) ) $.
    aomclem3.e $e |- E = { <. a , b >. | |^| ( `' D " { a } ) e.
        |^| ( `' D " { b } ) } $.
    aomclem3.on $e |- ( ph -> dom z e. On ) $.
    aomclem3.su $e |- ( ph -> dom z = suc U. dom z ) $.
    aomclem3.we $e |- ( ph -> A. a e. dom z ( z ` a ) We ( R1 ` a ) ) $.
    aomclem3.a $e |- ( ph -> A e. On ) $.
    aomclem3.za $e |- ( ph -> dom z C_ A ) $.
    aomclem3.y $e |- ( ph -> A. a e. ~P ( R1 ` A ) ( a =/= (/) ->
        ( y ` a ) e. ( ( ~P a i^i Fin ) \ { (/) } ) ) ) $.
    $( Lemma for ~ dfac11 .  Successor case 3, our required well-ordering.
       (Contributed by Stefan O'Rear, 19-Jan-2015.) $)
    aomclem3 $p |- ( ph -> E We ( R1 ` dom z ) ) $=
      ( cv cdm cr1 cfv cvv crn cdif cmpt crecs wceq rneq difeq2d fveq2d cbvmptv
      weq recseq ax-mp eqtri fvexd c0 wne wcel wi cpw wral aomclem2 neeq1 fveq2
      id eleq12d imbi12d cbvralvw sylib dnwech ) ALKJICUCUDZUEUFZGFHUGGIUGVRIUC
      ZUHZUIZFUFZUJZUKZKUGVRKUCZUHZUIZFUFZUJZUKZOWCWIULWDWJULIKUGWBWHIKUQZWAWGF
      WKVTWFVRVSWEUMUNUOUPWCWIURUSUTAVQUEVAAVSVBVCZVSFUFZVSVDZVEZIVRVFZVGLUCZVB
      VCZWQFUFZWQVDZVEZLWPVGABCDEFIJKLMNQRSTUAUBVHWOXAILWPILUQZWLWRWNWTVSWQVBVI
      XBWMWSVSWQVSWQFVJXBVKVLVMVNVOPVP $.
  $}

  ${
    $d z a b c $.  $d ph a b c $.
    aomclem4.f $e |- F = { <. a , b >. | ( ( rank ` a ) _E ( rank ` b ) \/
        ( ( rank ` a ) = ( rank ` b ) /\ a ( z ` suc ( rank ` a ) ) b ) ) } $.
    aomclem4.on $e |- ( ph -> dom z e. On ) $.
    aomclem4.su $e |- ( ph -> dom z = U. dom z ) $.
    aomclem4.we $e |- ( ph -> A. a e. dom z ( z ` a ) We ( R1 ` a ) ) $.
    $( Lemma for ~ dfac11 .  Limit case.  Patch together well-orderings
       constructed so far using ~ fnwe2 to cover the limit rank.  (Contributed
       by Stefan O'Rear, 20-Jan-2015.) $)
    aomclem4 $p |- ( ph -> F We ( R1 ` dom z ) ) $=
      ( cv cr1 cfv con0 csuc crnk wceq wcel wa wwe fveq2 vc cdm cep fveq2d crab
      suceq wss cab cima cuni wfun wfn r1fnon fnfun ax-mp fndmi eqimss2i pm3.2i
      funfvima2 mpsyl elssuni syl sselda rankidb eleq2d syl5ibcom expimpd abid1
      ss2abdv df-rab 3sstr4g adantr weeq12d wral cbvralvw sylib rankr1ai adantl
      weq wb word eloni limsuc2 syl2anc mpbid rspcdva wess wf rankf a1i fssresd
      sylc epweon fnwe2 ) ADEUABJZUBZKLZMUCUAJZNZWOLCDJZOLZNZWOLZOWRXAPWSXBWOWR
      XAUFUDFAWTWQQZRZEJZOLZXAPZEWQUEZXBKLZUGZXJXCSZXIXCSAXKXDAXFWQQZXHRZEUHXFX
      JQZEUHXIXJAXNXOEAXMXHXOAXMRZXFXGNZKLZQZXHXOXPXFKMUIZUJZQXSAWQYAXFAWQXTQZW
      QYAUGKUKZMKUBZUGZRAWPMQZYBYCYEKMULYCUMMKUNUOYDMMKUMUPUQURGMWPKUSUTWQXTVAV
      BZVCXFVDVBXHXRXJXFXHXQXBKXGXAUFUDVEVFVGVIXHEWQVJEXJVHVKVLXEXFKLZXFWOLZSZX
      LEWPXBXFXBPYHXJYIXCXFXBWOTXFXBKTVMAYJEWPVNZXDAWTKLZWTWOLZSZDWPVNYKIYNYJDE
      WPDEVSYLYHYMYIWTXFWOTWTXFKTVMVOVPVLXEXAWPQZXBWPQZXDYOAWTWPVQVRAYOYPVTZXDA
      WPWAZWPWPUJPYQAYFYRGWPWBVBHWPXAWCWDVLWEWFXIXJXCWGWLAYAMWQOYAMOWHAWIWJYGWK
      MUCSAWMWJWN $.
  $}

  ${
    $d z y a b c d $.  $d ph a b $.  $d C a b c d $.  $d D a b c d $.
    aomclem5.b $e |- B = { <. a , b >. | E. c e. ( R1 ` U. dom z )
        ( ( c e. b /\ -. c e. a ) /\ A. d e. ( R1 ` U. dom z )
          ( d ( z ` U. dom z ) c -> ( d e. a <-> d e. b ) ) ) } $.
    aomclem5.c $e |- C = ( a e. _V |->
        sup ( ( y ` a ) , ( R1 ` dom z ) , B ) ) $.
    aomclem5.d $e |- D = recs ( ( a e. _V |->
        ( C ` ( ( R1 ` dom z ) \ ran a ) ) ) ) $.
    aomclem5.e $e |- E = { <. a , b >. | |^| ( `' D " { a } ) e.
        |^| ( `' D " { b } ) } $.
    aomclem5.f $e |- F = { <. a , b >. | ( ( rank ` a ) _E ( rank ` b ) \/
        ( ( rank ` a ) = ( rank ` b ) /\ a ( z ` suc ( rank ` a ) ) b ) ) } $.
    aomclem5.g $e |- G = ( if ( dom z = U. dom z , F , E ) i^i
        ( ( R1 ` dom z ) X. ( R1 ` dom z ) ) ) $.
    aomclem5.on $e |- ( ph -> dom z e. On ) $.
    aomclem5.we $e |- ( ph -> A. a e. dom z ( z ` a ) We ( R1 ` a ) ) $.
    aomclem5.a $e |- ( ph -> A e. On ) $.
    aomclem5.za $e |- ( ph -> dom z C_ A ) $.
    aomclem5.y $e |- ( ph -> A. a e. ~P ( R1 ` A ) ( a =/= (/) ->
        ( y ` a ) e. ( ( ~P a i^i Fin ) \ { (/) } ) ) ) $.
    $( Lemma for ~ dfac11 .  Combine the successor case with the limit case.
       (Contributed by Stefan O'Rear, 20-Jan-2015.) $)
    aomclem5 $p |- ( ph -> G We ( R1 ` dom z ) ) $=
      ( cv cdm cr1 cfv cuni wceq cif cxp cin wwe wa con0 wcel adantr simpr wral
      aomclem4 iftrue adantl eqidd weeq12d mpbird wn csuc word orduniorsuc 3syl
      wo eloni orcanai wss c0 wne cpw cfn csn cdif wi aomclem3 pm2.61dan weinxp
      iffalse sylib wb weeq1 ax-mp sylibr ) ACUFZUGZUHUIZWNWNUJZUKZIHULZWOWOUMU
      NZUOZWOJUOZAWOWRUOZWTAWQXBAWQUPZXBWOIUOXCCIKLSAWNUQURZWQUAUSAWQUTAKUFZUHU
      IXEWMUIUOKWNVAZWQUBUSVBXCWOWOWRIWQWRIUKAWQIHVCVDXCWOVEVFVGAWQVHZUPZXBWOHU
      OXHBCDEFGHKLMNOPQRAXDXGUAUSAWQWNWPVIUKZAXDWNVJWQXIVMUAWNVNWNVKVLVOAXFXGUB
      USADUQURXGUCUSAWNDVPXGUDUSAXEVQVRXEBUFUIXEVSVTUNVQWAWBURWCKDUHUIVSVAXGUEU
      SWDXHWOWOWRHXGWRHUKAWQIHWGVDXHWOVEVFVGWEWOWRWFWHJWSUKXAWTWITWOJWSWJWKWL
      $.
  $}

  ${
    $d z y a b c d $.  $d ph a b c d z $.  $d C a b c d $.  $d D a b c d $.
    $d A a b c d z $.  $d H a b c d z $.  $d G d $.
    aomclem6.b $e |- B = { <. a , b >. | E. c e. ( R1 ` U. dom z )
        ( ( c e. b /\ -. c e. a ) /\ A. d e. ( R1 ` U. dom z )
          ( d ( z ` U. dom z ) c -> ( d e. a <-> d e. b ) ) ) } $.
    aomclem6.c $e |- C = ( a e. _V |->
        sup ( ( y ` a ) , ( R1 ` dom z ) , B ) ) $.
    aomclem6.d $e |- D = recs ( ( a e. _V |->
        ( C ` ( ( R1 ` dom z ) \ ran a ) ) ) ) $.
    aomclem6.e $e |- E = { <. a , b >. | |^| ( `' D " { a } ) e.
        |^| ( `' D " { b } ) } $.
    aomclem6.f $e |- F = { <. a , b >. | ( ( rank ` a ) _E ( rank ` b ) \/
        ( ( rank ` a ) = ( rank ` b ) /\ a ( z ` suc ( rank ` a ) ) b ) ) } $.
    aomclem6.g $e |- G = ( if ( dom z = U. dom z , F , E ) i^i
        ( ( R1 ` dom z ) X. ( R1 ` dom z ) ) ) $.
    aomclem6.h $e |- H = recs ( ( z e. _V |-> G ) ) $.
    aomclem6.a $e |- ( ph -> A e. On ) $.
    aomclem6.y $e |- ( ph -> A. a e. ~P ( R1 ` A ) ( a =/= (/) ->
        ( y ` a ) e. ( ( ~P a i^i Fin ) \ { (/) } ) ) ) $.
    $( Lemma for ~ dfac11 .  Transfinite induction, close over ` z ` .
       (Contributed by Stefan O'Rear, 20-Jan-2015.) $)
    aomclem6 $p |- ( ph -> ( H ` A ) We ( R1 ` A ) ) $=
      ( wss cr1 cfv wwe ssid con0 wcel wa adantr cv wi weq sseq1 anbi2d weeq12d
      fveq2 imbi12d wceq wral w3a cres csb wsbc wal cdm dmeq adantl simpl1 onss
      wfn cmpt tfr1 fnssres mpan fndm 4syl eqtrd eqeltrd eleq2d simpll2 simpl3l
      cvv biimpa onelss syl imp simpl3r sstrd rspcva syl22anc wb fveq1 ad2antlr
      eqsstrd fvres weeq1 mpbird ralrimiva c0 wne cpw cfn cin csn cdif aomclem5
      fveq2d weeq2 mpbid ex alrimiv nfv nfsbc1v nfim eqeq1 sbceq1a cbvalv1 wfun
      sylib fnfun ax-mp resfunexg mp2an ceqsal sbccow nfcsb1v nfcv nfwe csbeq1a
      vex sbciegf crecs recsval fveq1i cuni cif fvex inex2 eqeltri csbex fvmpts
      xpex eqid reseq1i fveq2i eqtr3i 3eqtr4g 3ad2ant1 3exp tfis3 mpcom mpan2
      cxp ) ADDUEZDUFUGZDKUGZUHZDUIDUJUKZAUURULZUVAAUVBUURUCUMANUNZDUEZULZUVDUF
      UGZUVDKUGZUHZUOAOUNZDUEZULZUVJUFUGZUVJKUGZUHZUOZUVCUVAUONODNOUPZUVFUVLUVI
      UVOUVQUVEUVKAUVDUVJDUQURUVQUVGUVMUVHUVNUVDUVJKUTUVDUVJUFUTUSVAUVDDVBZUVFU
      VCUVIUVAUVRUVEUURAUVDDDUQURUVRUVGUUSUVHUUTUVDDKUTUVDDUFUTUSVAUVDUJUKZUVPO
      UVDVCZUVFUVIUVSUVTUVFVDZUVIUVGCKUVDVEZJVFZUHZUWAUVGJUHZCUWBVGZUWDUWAUWECU
      VJVGZOUWBVGZUWFUWAUVJUWBVBZUWGUOZOVHZUWHUWACUNZUWBVBZUWEUOZCVHUWKUWAUWNCU
      WAUWMUWEUWAUWMULZUWLVIZUFUGZJUHZUWEUWOBCDEFGHIJLMNOPQRSTUAUWOUWPUVDUJUWOU
      WPUWBVIZUVDUWMUWPUWSVBUWAUWLUWBVJVKUWOUVSUVDUJUEZUWBUVDVNZUWSUVDVBUVSUVTU
      VFUWMVLZUVDVMKUJVNZUWTUXAKCWFJVOZUBVPZUJUVDKVQVRUVDUWBVSVTWAZUXBWBZUWOLUN
      ZUFUGZUXHUWLUGZUHZLUWPUWOUXHUWPUKZULZUXKUXIUXHKUGZUHZUXMUXHUVDUKZUVTAUXHD
      UEZUXOUWOUXLUXPUWOUWPUVDUXHUXFWCWGZUVSUVTUVFUWMUXLWDUWOAUXLAUVEUVSUVTUWMW
      EZUMUXMUXHUWPDUWOUXLUXHUWPUEZUWOUWPUJUKUXLUXTUOUXGUWPUXHWHWIWJUWOUWPDUEUX
      LUWOUWPUVDDUXFAUVEUVSUVTUWMWKWRZUMWLUXPUVTULAUXQULZUXOUVPUYBUXOUOOUXHUVDO
      LUPZUVLUYBUVOUXOUYCUVKUXQAUVJUXHDUQURUYCUVMUXIUVNUXNUVJUXHKUTUVJUXHUFUTUS
      VAWMWJWNUXMUXJUXNVBUXKUXOWOUXMUXJUXHUWBUGZUXNUWMUXJUYDVBUWAUXLUXHUWLUWBWP
      WQUXMUXPUYDUXNVBUXRUXHUVDKWSWIWAUXIUXJUXNWTWIXAXBUWOAUVBUXSUCWIUYAUWOAUXH
      XCXDUXHBUNUGUXHXEXFXGXCXHXIUKUOLUUSXEVCUXSUDWIXJUWOUWQUVGVBUWRUWEWOUWOUWP
      UVDUFUXFXKUWQUVGJXLWIXMXNXOUWNUWJCOUWNOXPUWIUWGCUWICXPUWECUVJXQXRCOUPUWMU
      WIUWEUWGUWLUVJUWBXSUWECUVJXTVAYAYCUWGUWHOUWBUWGOUWBXQKYBZUVDWFUKUWBWFUKZU
      XCUYEUXEUJKYDYENYNKUVDWFYFYGZUWGOUWBXTYHYCUWECOUWBYIYCUYFUWFUWDWOUYGUWEUW
      DCUWBWFCUVGUWCCUWBJYJCUVGYKYLUWMJUWCVBUWEUWDWOCUWBJYMUVGJUWCWTWIYOYEYCUVS
      UVTUVIUWDWOZUVFUVSUVHUWCVBUYHUVSUVDUXDYPZUGUYIUVDVEZUXDUGZUVHUWCUVDUXDYQU
      VDKUYIUBYRUWBUXDUGZUWCUYKUYFUWCWFUKUYLUWCVBUYGCUWBJJUWPUWPYSVBIHYTZUWQUWQ
      UUQZXGWFUAUYNUYMUWQUWQUWPUFUUAZUYOUUFUUBUUCUUDCUWBJWFUXDWFUXDUUGUUEYGUWBU
      YJUXDKUYIUVDUBUUHUUIUUJUUKUVGUVHUWCWTWIUULXAUUMUUNUUOUUP $.

    $( Lemma for ~ dfac11 . ` ( R1 `` A ) ` is well-orderable.  (Contributed by
       Stefan O'Rear, 20-Jan-2015.) $)
    aomclem7 $p |- ( ph -> E. b b We ( R1 ` A ) ) $=
      ( cr1 cfv wwe cv wex aomclem6 fvex weeq1 spcev syl ) ADUEUFZDKUFZUGZUOMUH
      ZUGZMUIABCDEFGHIJKLMNOPQRSTUAUBUCUDUJUSUQMUPDKUKUOURUPULUMUN $.
  $}

  ${
    $d ph c d e f g h i j l b $.  $d A a b c d e f g h i j l $.
    $d y a c d e f g h i j l b $.
    aomclem8.a $e |- ( ph -> A e. On ) $.
    aomclem8.y $e |- ( ph -> A. a e. ~P ( R1 ` A ) ( a =/= (/) ->
        ( y ` a ) e. ( ( ~P a i^i Fin ) \ { (/) } ) ) ) $.
    $( Lemma for ~ dfac11 .  Perform variable substitutions.  This is the most
       we can say without invoking regularity.  (Contributed by Stefan O'Rear,
       20-Jan-2015.) $)
    aomclem8 $p |- ( ph -> E. b b We ( R1 ` A ) ) $=
      ( vi vh vg vj vc vd wel wa cv cfv cvv wceq nfcv ve vl vf wn cdm wbr wb wi
      cuni cr1 wral wrex copab csup cmpt crn cdif crecs ccnv csn cima cint wcel
      crnk cep csuc wo cif cxp cin weq elequ2 notbid bi2anan9r bi2bian9 ralbidv
      imbi2d anbi12d rexbidv elequ1 breq2 imbi1d breq1 bibi12d imbi12d cbvralvw
      bitrdi cbvrexvw cbvopabv nfopab1 nfsup fveq2 supeq1d cbvmpt nffvmpt1 rneq
      difeq2d fveq2d recseq ax-mp nfmpt1 nfrecs nfcnv nfima nfint nfopab2 nfmpt
      nfv nfel nffv sneq imaeq2d inteqd eleq12 syl2an breqan12d eqeqan12d simpl
      cbvopab suceq adantr simpr breq123d orbi12d eqid dmeq unieqd breqd anbi2d
      syl opabbidv fveq12d mpteq2dv difeq1d imaeq1d eleq12d c0 wne cpw cfn pweq
      eqeq12d fveq1 orbi2d eqidd raleqbidv rexeqbidv supeq123d cnveqd ifbieq12d
      id sqxpeqd ineq12d cbvmptv neeq1 ineq1d sylib aomclem7 ) ABUACHINZHJNZUDZ
      OZKPZHPZUAPZUEZUIZUVEQZUFZKJNZKINZUGZUHZKUVGUJQZUKZOZHUVNULZJIUMZJRJPZBPZ
      QZUVFUJQZUVRUNZUOZJRUWBUVSUPZUQZUWDQZUOZURZUWIUSZUVSUTZVAZVBZUWJIPZUTZVAZ
      VBZVCZJIUMZUVSVDQZUWNVDQZVEUFZUWTUXASZUVSUWNUWTVFZUVEQZUFZOZVGZJIUMZUVFUV
      GSZUXIUWSVHZUWBUWBVIZVJZUBRUBPZUEZUXOUIZSZUXBUXCUVSUWNUXDUXNQZUFZOZVGZJIU
      MZJRUXOUJQZUWEUQZJRUWAUYCUVBUVCUVDUXPUXNQZUFZUVLUHZKUXPUJQZUKZOZHUYHULZJI
      UMZUNZUOZQZUOZURZUSZUWKVAZVBZUYRUWOVAZVBZVCZJIUMZVHZUYCUYCVIZVJZUOZURZLEM
      UCUVQMENZMLNZUDZOZUCPZMPZUVHUFZUCLNZUCENZUGZUHZUCUVNUKZOZMUVNULZJILEJLVKZ
      IEVKZOZUVQHENZHLNZUDZOZUVIKLNZKENZUGZUHZKUVNUKZOZHUVNULVVCVVFUVPVVPHUVNVV
      FUVBVVJUVOVVOVVEUUSVVGVVDUVAVVIIEHVLVVDUUTVVHJLHVLVMVNVVFUVMVVNKUVNVVFUVL
      VVMUVIVVDUVJVVKVVEUVKVVLJLKVLIEKVLVOVQVPVRVSVVPVVBHMUVNHMVKZVVJVUMVVOVVAV
      VQVVGVUJVVIVULHMEVTVVQVVHVUKHMLVTVMVRVVQVVOUVCVUOUVHUFZVVMUHZKUVNUKVVAVVQ
      VVNVVSKUVNVVQUVIVVRVVMUVDVUOUVCUVHWAWBVPVVSVUTKUCUVNKUCVKZVVRVUPVVMVUSUVC
      VUNVUOUVHWCVVTVVKVUQVVLVURKUCLVTKUCEVTWDWEWFWGVRWHWGWIJLRUWCLPZUVTQZUWBUV
      RUNLUWCTJVWBUWBUVRJVWBTJUWBTUVQJIWJWKVVDUWBUWAVWBUVRUVSVWAUVTWLWMWNUWHLRU
      WBVWAUPZUQZUWDQZUOZSUWIVWFURSJLRUWGVWELUWGTJRUWCVWDWOVVDUWFVWDUWDVVDUWEVW
      CUWBUVSVWAWPWQWRWNUWHVWFWSWTUWRUWJVWAUTZVAZVBZUWJEPZUTZVAZVBZVCZJILEUWRLX
      HUWREXHJVWIVWMJVWHJUWJVWGJUWIJUWHJRUWGXAXBXCZJVWGTXDXEJVWLJUWJVWKVWOJVWKT
      XDXEXIIVWIVWMIVWHIUWJVWGIUWIIUWHIJRUWGIRTZIUWFUWDIJRUWCVWPIUWAUWBUVRIUWAT
      IUWBTUVQJIXFWKXGIUWFTXJXGXBXCZIVWGTXDXEIVWLIUWJVWKVWQIVWKTXDXEXIVVDUWMVWI
      SUWQVWMSUWRVWNUGVVEVVDUWLVWHVVDUWKVWGUWJUVSVWAXKXLXMVVEUWPVWLVVEUWOVWKUWJ
      UWNVWJXKXLXMUWMVWIUWQVWMXNXOXSUXHVWAVDQZVWJVDQZVEUFZVWRVWSSZVWAVWJVWRVFZU
      VEQZUFZOZVGJILEVVFUXBVWTUXGVXEVVDVVEUWTVWRUXAVWSVEUVSVWAVDWLZUWNVWJVDWLZX
      PVVFUXCVXAUXFVXDVVDVVEUWTVWRUXAVWSVXFVXGXQVVFUVSVWAUWNVWJUXEVXCVVDVVEXRVV
      FUXDVXBUVEVVDUXDVXBSZVVEVVDUWTVWRSVXHVXFUWTVWRXTYJYAWRVVDVVEYBYCVRYDWIUXM
      YEVUHUARUXMUOZSVUIVXIURSUBUARVUGUXMUBUAVKZVUEUXKVUFUXLVXJUXQUXJUYBVUDUXIU
      WSVXJUXOUVFUXPUVGUXNUVEYFZVXJUXOUVFVXKYGZUUBVXJUYAUXHJIVXJUXTUXGUXBVXJUXS
      UXFUXCVXJUXRUXEUVSUWNUXDUXNUVEUUCYHYIUUDYKVXJVUCUWRJIVXJUYTUWMVUBUWQVXJUY
      SUWLVXJUYRUWJUWKVXJUYQUWIVXJUYPUWHSUYQUWISVXJJRUYOUWGVXJUYDUWFUYNUWDVXJJR
      UYMUWCVXJUWAUYCUYLUWAUWBUVRVXJUWAUUEVXJUXOUVFUJVXKWRZVXJUYKUVQJIVXJUYJUVP
      HUYHUVNVXJUXPUVGUJVXLWRZVXJUYIUVOUVBVXJUYGUVMKUYHUVNVXNVXJUYFUVIUVLVXJUYE
      UVHUVCUVDVXJUXPUVGUXNUVEVXJUUKVXLYLYHWBUUFYIUUGYKUUHYMVXJUYCUWBUWEVXMYNYL
      YMUYPUWHWSYJUUIZYOXMVXJVUAUWPVXJUYRUWJUWOVXOYOXMYPYKUUJVXJUYCUWBVXMUULUUM
      UUNVUHVXIWSWTFADPZYQYRZVXPUVTQZVXPYSZYTVJZYQUTZUQZVCZUHZDCUJQYSZUKVWAYQYR
      ZVWBVWAYSZYTVJZVYAUQZVCZUHZLVYEUKGVYDVYKDLVYEDLVKZVXQVYFVYCVYJVXPVWAYQUUO
      VYLVXRVWBVYBVYIVXPVWAUVTWLVYLVXTVYHVYAVYLVXSVYGYTVXPVWAUUAUUPYNYPWEWFUUQU
      UR $.
  $}

  ${
    $d x z f a b c d $.
    $( The right-hand side of this theorem (compare with ~ ac4 ), sometimes
       known as the "axiom of multiple choice", is a choice equivalent.
       Curiously, this statement cannot be proved without ~ ax-reg , despite
       not mentioning the cumulative hierarchy in any way as most consequences
       of regularity do.

       This is definition (MC) of [Schechter] p. 141. _EDITORIAL_: the proof is
       not original with me of course but I lost my reference sometime after
       writing it.

       A multiple choice function allows any total order to be extended to a
       choice function, which in turn defines a well-ordering.  Since a
       well-ordering on a set defines a simple ordering of the power set, this
       allows the trivial well-ordering of the empty set to be transfinitely
       bootstrapped up the cumulative hierarchy to any desired level.
       (Contributed by Stefan O'Rear, 20-Jan-2015.)  (Revised by Stefan O'Rear,
       1-Jun-2015.) $)
    dfac11 $p |- ( CHOICE <-> A. x E. f A. z e. x ( z =/= (/) ->
        ( f ` z ) e. ( ( ~P z i^i Fin ) \ { (/) } ) ) ) $=
      ( vd vc va vb wac cv c0 wne cfv cfn csn wcel wi wral wex wal wceq cpw cin
      cdif dfac3 raleq exbidv cbvalvw cmpt neeq1 fveq2 eleq12d imbi12d cbvralvw
      w3a sneqd eqid snex fvmpt 3ad2ant1 wss simp3 snssd elpw sylibr snfi elind
      a1i fvex snnz eldifsn sylanbrc eqeltrd 3exp a2d ralimia sylbi mptex fveq1
      vex eleq1d imbi2d ralbidv spcev syl exlimiv alimi wwe crnk pwex spcv con0
      id cr1 rankon aomclem8 cvv r1rankid wess eximdv mp2b alrimiv dfac8 impbii
      3syl ) HBIZJKZXECIZLZXEUAZMUBZJNUCZOZPZBAIZQZCRZASZHDIZJKZXREIZLZXROZPZDF
      IZQZERZFSZXQFDEUDYGYCDXNQZERZASXQYFYIFAYDXNTYEYHEYCDYDXNUEUFUGYIXPAYHXPEY
      HXFXEGXNGIZXTLZNZUHZLZXKOZPZBXNQZXPYHXFXEXTLZXEOZPZBXNQYQYCYTDBXNXRXETZXS
      XFYBYSXRXEJUIUUAYAYRXRXEXRXEXTUJUUAWLUKULUMYTYPBXNXEXNOZXFYSYOUUBXFYSYOUU
      BXFYSUNZYNYRNZXKUUBXFYNUUDTYSGXEYLUUDXNYMYJXETYKYRYJXEXTUJUOYMUPYRUQZURUS
      UUCUUDXJOUUDJKZUUDXKOUUCXIMUUDUUCUUDXEUTUUDXIOUUCYRXEUUBXFYSVAVBUUDXEUUEV
      CVDUUDMOUUCYRVEVGVFUUFUUCYRXEXTVHVIVGUUDXJJVJVKVLVMVNVOVPXOYQCYMGXNYLAVSV
      QXGYMTZXMYPBXNUUGXLYOXFUUGXHYNXKXEXGYMVRVTWAWBWCWDWEWFVPVPXQYDYJWGZGRZFSH
      XQUUIFXQXMBYDWHLZWMLZUAZQZCRZUUKYJWGZGRZUUIXPUUNAUULUUKUUJWMVHWIXNUULTXOU
      UMCXMBXNUULUEUFWJUUMUUPCUUMCUUJBGUUJWKOUUMYDWNVGUUMWLWOWEYDWPOYDUUKUTZUUP
      UUIPFVSYDWPWQUUQUUOUUHGYDUUKYJWRWSWTXDXAFGXBVDXC $.
  $}

  ${
    $d ph f x y z $.  $d C f w $.  $d C y z $.  $d I f x y z $.  $d J f y z $.
    $d S y $.  $d U y $.  $d w x $.
    kelac1.z $e |- ( ( ph /\ x e. I ) -> S =/= (/) ) $.
    kelac1.j $e |- ( ( ph /\ x e. I ) -> J e. Top ) $.
    kelac1.c $e |- ( ( ph /\ x e. I ) -> C e. ( Clsd ` J ) ) $.
    kelac1.b $e |- ( ( ph /\ x e. I ) -> B : S -1-1-onto-> C ) $.
    kelac1.u $e |- ( ( ph /\ x e. I ) -> U e. U. J ) $.
    kelac1.k $e |- ( ph -> ( Xt_ ` ( x e. I |-> J ) ) e. Comp ) $.
    $( Kelley's choice, basic form: if a collection of sets can be cast as
       closed sets in the factors of a topology, and there is a definable
       element in each topology (which need not be in the closed set - if it
       were this would be trivial), then compactness (via finite intersection)
       guarantees that the final product is nonempty.  (Contributed by Stefan
       O'Rear, 22-Feb-2015.) $)
    kelac1 $p |- ( ph -> X_ x e. I S =/= (/) ) $=
      ( vy wcel c0 wral wa cvv vz vf vw cixp wne wex cuni weq cif ciin cin wceq
      cv wss ccld cfv eqid cldss syl ralrimiva boxriin cmpt ctop wf ccmp cmptop
      cpt wn 0ntop fvprc eleq1d mtbiri con4i 3syl fmpttd dmfex syl2anc ptunimpt
      ineq1d topcld ifcld ptcldmpt adantr cfn wrex simprr cima wf1o f1ofo foima
      wfo eqcomd wfn wb f1ofn ssid fnimaeq0 sylancl necon3bid mpbird eqnetrd n0
      sylib rexv sylibr wi ssralv mpan9 eleq1 ac6sfi ad2antrr wel cdif ad2antrl
      cun iftrue simpll simprl sselda sseld impr eqeltrd expr ralimdva iffalsed
      imp eldifn adantl eldifi sylan2 ralun undif raleqdv mpbid mptelixpg eleq2
      biimpi adantlr ne0d exlimddv simplrr ifbothda disjdifr a1i simplr syl3anc
      simpr disjne neneqd 3eltr4d ad3antrrr mptexg eliin elind adantrl cmpfiiin
      ccnv elixp2 simp3bi f1ocnv f1of ffvelrn ex 4syl ) AOUMZBGDUDZPZBGEUDZQUEO
      AUVFQUEUVGOUFAUVFBGHUGZUDZOGBGBOUHZDUVIUIZUDZUJZUKZQADUVIUNZBGRUVFUVOULAU
      VPBGABUMZGPZSZDHUOUPZPUVPKDHUVIUVIUQZURUSZUTBODUVIGVAUSAUVOBGHVBZVGUPZUGZ
      UVNUKQAUVJUWEUVNAGTPZHVCPZBGRUVJUWEULAUWCTPZGVCUWCVDUWFAUWDVEPUWDVCPZUWHN
      UWDVFUWHUWIUWHVHZUWIQVCPVIUWJUWDQVCUWCVGVJVKVLVMVNABGHVCJVOGVCTUWCVPVQZAU
      WGBGJUTBGUWDHTUWDUQVRVQZVSAUVMOGUWDUWEUAUWEUQNAUVMUWDUOUPPUVEGPAGUVLBHTUW
      KJUVSUVKDUVIUVTKUVSUWGUVIUVTPJHUVIUWAVTUSWAWBWCAUAUMZGUNZUWMWDPZSZSZUWMTU
      BUMZVDZUVQUWRUPZDPZBUWMRZSZUWEOUWMUVMUJZUKZQUEZUBUWQUWOUCUMZDPZUCTWEZBUWM
      RZUXCUBUFAUWNUWOWFAUXIBGRZUWPUXJAUXIBGUVSUXHUCUFZUXIUVSDQUEUXLUVSDCEWGZQU
      VSUXMDUVSEDCWHZEDCWKUXMDULLEDCWIEDCWJVNWLUVSUXMQUEEQUEIUVSUXMQEQUVSCEWMZE
      EUNUXMQULEQULWNUVSUXNUXOLEDCWOUSEWPEECWQWRWSWTXAUCDXBXCUXHUCXDXEUTUWNUXKU
      XJXFUWOUXIBUWMGXGWCXHUXHUXABUCUWMTUBUXGUWTDXIXJVQUWQUXBUXFUWSUWQUXBSZUXEU
      VJUXDUKZQAUXEUXQULUWPUXBAUWEUVJUXDAUVJUWEUWLWLVSXKUXPUXQBGBUAXLZUWTFUIZVB
      ZUXPUVJUXDUXTUXPUXTUVJPZUXSUVIPZBGRZUXPUYBBUWMGUWMXMZXOZRZUYCUXPUYBBUWMRZ
      UYBBUYDRZUYFUWQUXBUYGUWQUXAUYBBUWMUWQUXRUXAUYBUWQUXRUXASSZUXSUWTUVIUXRUXS
      UWTULUWQUXAUXRUWTFXPXNZUWQUXRUXAUWTUVIPZUWQUXRSZDUVIUWTUYLAUVRUVPAUWPUXRX
      QUWQUWMGUVQAUWNUWOXRXSUWBVQXTYAZYBYCYDYFAUYHUWPUXBAUYBBUYDAUVQUYDPZSUXSFU
      VIUYNUXSFULZAUYNUXRUWTFUVQGUWMYGYEZYHUYNAUVRFUVIPZUVQGUWMYIMYJZYBUTXKUYBB
      UWMUYDYKVQUWQUYFUYCWNUXBUWQUYBBUYEGUWNUYEGULZAUWOUWNUYSUWMGYLYQXNZYMWCYNU
      XPUWFUYAUYCWNAUWFUWPUXBUWKXKBGUXSUVITYOUSWTUXPUXTUXDPZUXTUVMPZOUWMRZUXPVU
      BOUWMUXPOUAXLZSZVUBUXSUVLPZBGRZVUEVUFBUYERZVUGVUEVUFBUWMRZVUFBUYDRZVUHUXP
      VUIVUDUWQUXBVUIUWQUXAVUFBUWMUWQUXRUXAVUFUYIUXSUWTUVLUYJUVKUXAUYKUWTUVLPUY
      IDUVIDUVLUWTYPUVIUVLUWTYPUWQUXRUXAUVKUUAUYIUYKUVKVHUYMWCUUBYBYCYDYFWCUWQV
      UDVUJUXBAVUDVUJUWPAVUDSZVUFBUYDVUKUYNSZFUVIUXSUVLAUYNUYQVUDUYRYRUYNUYOVUK
      UYPYHVULUVKDUVIVULUVQUVEVULUYDUWMUKQULZUYNVUDUVQUVEUEVUMVULUWMGUUCUUDVUKU
      YNUUGAVUDUYNUUEUYDUWMUVQUVEUUHUUFUUIYEUUJUTYRYRVUFBUWMUYDYKVQUWQVUHVUGWNU
      XBVUDUWQVUFBUYEGUYTYMXKYNVUEUWFVUBVUGWNAUWFUWPUXBVUDUWKUUKBGUXSUVLTYOUSWT
      UTUXPUXTTPZVUAVUCWNAVUNUWPUXBAUWFVUNUWKBGUXSTUULUSXKOUXTUWMUVMTUUMUSWTUUN
      YSXAUUOYTUUPXAXAOUVFXBXCAUVGSZUVHBGUVQUVEUPZCUUQZUPZVBZVUOVUSUVHPZVUREPZB
      GRZUVGAVUPDPZBGRZVVBUVGUVETPUVEGWMVVDBGDUVEUURUUSAVVDVVBAVVCVVABGUVSUXNDE
      VUQWHDEVUQVDZVVCVVAXFLEDCUUTDEVUQUVAVVEVVCVVADEVUPVUQUVBUVCUVDYDYFYJAVUTV
      VBWNZUVGAUWFVVFUWKBGVURETYOUSWCWTYSYT $.
  $}

  ${
    $d S x y $.
    $( Lemma for ~ kelac2 and ~ dfac21 : knob topologies are compact.
       (Contributed by Stefan O'Rear, 22-Feb-2015.) $)
    kelac2lem $p |- ( S e. V -> ( topGen ` { S , { ~P U. S } } ) e. Comp ) $=
      ( vx vy wcel cpw ctop cfn cin cvv cv c0 wceq wo wral vex elpr eqtr3 orcd
      wa cuni csn cpr ctg cfv ccmp ctb weq prex ineq12 incom wn pwuninel disjsn
      mpbir eqtri eqtrdi olcd ccase syl2anb rgen2 baspartn mp2an tgcl mp1i cdom
      wbr prfi pwfi mpbi tgdom ax-mp domfi a1i elind fincmp syl ) ABEZAAUAFZUBZ
      UCZUDUEZGHIEWBUFEVRGHWBWAUGEZWBGEVRWAJEZCDUHZCKZDKZIZLMZNZDWAOCWAOWCAVTUI
      ZWJCDWAWAWFWAEWFAMZWFVTMZNWGAMZWGVTMZNWJWGWAEWFAVTCPQWGAVTDPQWLWNWMWOWJWL
      WNTWEWIWFWGARSWMWNTZWIWEWPWHVTAIZLWFVTWGAUJWQAVTIZLVTAUKWRLMVSAEULAUMAVSU
      NUOZUPUQURWLWOTZWIWEWTWHWRLWFAWGVTUJWSUQURWMWOTWEWIWFWGVTRSUSUTVACDWAJVBV
      CWAVDVEWBHEZVRWAFZHEZWBXBVFVGZXAWAHEXCAVTVHWAVIVJWDXDWKWAJVKVLXBWBVMVCVNV
      OWBVPVQ $.
  $}

  ${
    $d ph x $.  $d I x $.
    kelac2.s $e |- ( ( ph /\ x e. I ) -> S e. V ) $.
    kelac2.z $e |- ( ( ph /\ x e. I ) -> S =/= (/) ) $.
    kelac2.k $e |- ( ph -> ( Xt_ `
          ( x e. I |-> ( topGen ` { S , { ~P U. S } } ) ) ) e. Comp ) $.
    $( Kelley's choice, most common form: compactness of a product of knob
       topologies recovers choice.  (Contributed by Stefan O'Rear,
       22-Feb-2015.) $)
    kelac2 $p |- ( ph -> X_ x e. I S =/= (/) ) $=
      ( cuni cfv wcel 3syl cdif cun cvv wceq cin c0 a1i wss cid cpw csn cpr ctg
      cres cv ccmp ctop kelac2lem cmptop ccld uncom difeq1i difun2 eqtri uniprg
      wa snex sylancl difeq1d incom pwuninel disjsn sylibr syl5eq disj3 3eqtr4a
      wn sylib prex bastg mp1i prid2 sseldd eqeltrd prid1g elssuni unitg eqcomi
      ax-mp iscld2 syl2anc mpbird wf1o f1oi uniexg pwexg snidg eleqtrrdi kelac1
      wb 4syl ) ABUACUFZCCCIZUBZDCWPUCZUDZUEJZGABUGDKURZCEKZWSUHKWSUIKZFCEUJWSU
      KLZWTCWSULJKZWRIZCMZWSKZWTXFWQWSWTCWQNZCMZWQCMZXFWQXIWQCNZCMXJXHXKCCWQUMU
      NWQCUOUPWTXEXHCWTXAWQOKXEXHPFWPUSZCWQEOUQUTVAWTWQCQZRPWQXJPWTXMCWQQZRWQCV
      BWTWPCKVIZXNRPXOWTCVCSCWPVDVEVFWQCVGVJVHWTWRWSWQWROKZWRWSTWTCWQVKZWROVLVM
      WQWRKZWTCWQXLVNZSVOVPWTXBCXETZXDXGWLXCWTXACWRKXTFCWQEVQCWRVRLCWSXEWSIZXEX
      PYAXEPXQWROVSWAZVTWBWCWDCCWNWEWTCWFSWTWPXEYAWTWQXEWPXRWQXETWTXSWQWRVRVMWT
      XAWOOKWPOKWPWQKFCEWGWOOWHWPOWIWMVOYBWJHWK $.
  $}

  ${
    $d f g y $.  $d g x $.  $d x y $.
    $( Tychonoff's theorem is a choice equivalent.  Definition AC21 of
       Schechter p. 461.  (Contributed by Stefan O'Rear, 22-Feb-2015.)
       (Revised by Mario Carneiro, 27-Aug-2015.) $)
    dfac21 $p |- ( CHOICE <-> A. f ( f : dom f --> Comp ->
            ( Xt_ ` f ) e. Comp ) ) $=
      ( vg vx vy wac cv cdm ccmp cpt cfv wcel wi wa cvv cuni cufl fvex wceq ctg
      c0 wf wal ccrd cin vex dmex a1i simpr uniex acufl adantr eleqtrrid dfac10
      simpl sylib eqid ptcmpg syl3anc ex alrimiv wfun crn wnel cixp wne cpw csn
      elind cpr cmpt kelac2lem mp1i fmpttd ffdmd mptex dmeq feq12d fveq2 eleq1d
      id imbi12d spcv syl5com wn df-nel biimpi ad2antlr adantlr eleq1 syl5ibcom
      fvelrn mpd unieqd pweqd sneqd preq12d fveq2d cbvmptv fveq2i eleq1i adantl
      necon3bd kelac2 syldc dfac9 sylibr impbii ) EAFZGZHXHUAZXHIJZHKZLZAUBZEXM
      AEXJXLEXJMZXINKZXJXKOZPUCGZUDKXLXPXOXHAUEUFUGEXJUHXOPXRXQXOXQNPXKXHIQUIZE
      PNRXJUJUKULXOXQNXRXSXOEXRNREXJUNUMUOULVHXIXHXKNXQXKUPXQUPUQURUSUTXNBFZVAZ
      TXTVBZVCZMZCXTGZCFZXTJZVDTVEZLZBUBEXNYIBYDXNDYEDFZXTJZYKOZVFZVGZVIZSJZVJZ
      IJZHKZYHYDYQGZHYQUAZXNYSYDYEHYQYDDYEYPHYKNKYPHKYDYJYEKMYJXTQYKNVKVLVMVNXM
      UUAYSLAYQDYEYPXTBUEUFVOXHYQRZXJUUAXLYSUUBXIYTHXHYQUUBVTXHYQVPVQUUBXKYRHXH
      YQIVRVSWAWBWCYDYSYHYDYSMZCYGYENYGNKUUCYFYEKZMYFXTQUGYDUUDYGTVEZYSYDUUDMZT
      YBKZWDZUUEYCUUHYAUUDYCUUHTYBWEWFWGUUFUUGYGTUUFYGYBKZYGTRUUGYAUUDUUIYCYFXT
      WKWHYGTYBWIWJXBWLWHYSCYEYGYGOZVFZVGZVIZSJZVJZIJZHKZYDYSUUQYRUUPHYQUUOIDCY
      EYPUUNYJYFRZYOUUMSUURYKYGYNUULYJYFXTVRZUURYMUUKUURYLUUJUURYKYGUUSWMWNWOWP
      WQWRWSWTWFXAXCUSXDUTCBXEXFXG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Finitely generated left modules
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c LFinGen $.

  $( Extend class notation with the class of finitely generated left
     modules. $)
  clfig $a class LFinGen $.

  $( Define the class of finitely generated left modules.  Finite generation of
     subspaces can be intepreted using ` |``s ` .  (Contributed by Stefan
     O'Rear, 1-Jan-2015.) $)
  df-lfig $a |- LFinGen = { w e. LMod | ( Base ` w ) e. ( ( LSpan ` w ) "
      ( ~P ( Base ` w ) i^i Fin ) ) } $.

  ${
    $d W a b $.  $d B a b $.  $d N a b $.
    islmodfg.b $e |- B = ( Base ` W ) $.
    islmodfg.n $e |- N = ( LSpan ` W ) $.
    $( Property of a finitely generated left module.  (Contributed by Stefan
       O'Rear, 1-Jan-2015.) $)
    islmodfg $p |- ( W e. LMod -> ( W e. LFinGen <-> E. b e. ~P B ( b e. Fin /\
          ( N ` b ) = B ) ) ) $=
      ( va clmod wcel clfig cbs cfv cpw cfn cin cima cv wceq wa clspn wrex crab
      df-lfig eleq2i fveq2 eqtr4di pweqd ineq1d imaeq12d eleq12d elrab3 wfn wss
      syl5bb clss eqid lspf ffnd inss1 fvelimab sylancl elin eqcomi pweqi bitri
      wb anbi1i eqeq2i anbi12i anass rexbii2 bitrdi bitrd ) CHIZCJIZCKLZBVPMZNO
      ZPZIZDQZNIZWABLZARZSZDAMZUAZVOCGQZKLZWHTLZWIMZNOZPZIZGHUBZIVNVTJWOCGUCUDW
      NVTGCHWHCRZWIVPWMVSWHCKUEZWPWJBWLVRWPWJCTLBWHCTUEFUFWPWKVQNWPWIVPWQUGUHUI
      UJUKUNVNVTWCVPRZDVRUAZWGVNBVQULVRVQUMVTWSVFVNVQCUOLZBWTBVPCVPUPWTUPFUQURV
      QNUSDVQVRVPBUTVAWRWEDVRWFWAVRIZWRSWAWFIZWBSZWDSXBWESXAXCWRWDXAWAVQIZWBSXC
      WAVQNVBXDXBWBVQWFWAVPAAVPEVCZVDUDVGVEVPAWCXEVHVIXBWBWDVJVEVKVLVM $.
  $}

  ${
    $d W b $.  $d X b $.  $d S b $.  $d U b $.  $d N b $.
    islssfg.x $e |- X = ( W |`s U ) $.
    islssfg.s $e |- S = ( LSubSp ` W ) $.
    islssfg.n $e |- N = ( LSpan ` W ) $.
    $( Property of a finitely generated left (sub)module.  (Contributed by
       Stefan O'Rear, 1-Jan-2015.) $)
    islssfg $p |- ( ( W e. LMod /\ U e. S ) -> ( X e. LFinGen <->
          E. b e. ~P U ( b e. Fin /\ ( N ` b ) = U ) ) ) $=
      ( clmod wcel wa cfv cbs wceq cpw wrex wb wss eqid cv clspn clfig ressbas2
      cfn lssss pweqd rexeqdv adantl elpwi lsslsp 3expa sylan2 ad2antlr eqeq12d
      syl anbi2d rexbidva lsslmod islmodfg 3bitr4rd ) DJKZBAKZLZFUAZUEKZVEEUBMZ
      MZENMZOZLZFBPZQZVKFVIPZQZVFVECMZBOZLZFVLQEUCKZVCVMVORVBVCVKFVLVNVCBVIVCBD
      NMZSBVIOZABVTDVTTZHUFBVTEDGWBUDUPZUGUHUIVDVRVKFVLVDVEVLKZLZVQVJVFWEVPVHBV
      IWDVDVEBSZVPVHOZVEBUJVBVCWFWGBVEACVGDEGIVGTZHUKULUMVCWAVBWDWCUNUOUQURVDEJ
      KVSVORABDEGHUSVIVGEFVITWHUTUPVA $.

    islssfg2.b $e |- B = ( Base ` W ) $.
    $( Property of a finitely generated left (sub)module, with a relaxed
       constraint on the spanning vectors.  (Contributed by Stefan O'Rear,
       24-Jan-2015.) $)
    islssfg2 $p |- ( ( W e. LMod /\ U e. S ) -> ( X e. LFinGen <->
          E. b e. ( ~P B i^i Fin ) ( N ` b ) = U ) ) $=
      ( wcel wa cfn cpw wrex wb wi wss elpw clmod clfig cv cfv wceq cin islssfg
      lssss adantl sstr2 mpan9 lspssid adantlr impbida vex 3bitr4g eleq1 anbi2d
      pweq eleq2d bibi1d imbi12d mpbii com12 adantld pm5.32rd elin anbi1i anass
      bitr2i bitrdi rexbidv2 bitrd ) EUALZCBLZMZFUBLGUCZNLZVQDUDZCUEZMZGCOZPVTG
      AOZNUFZPBCDEFGHIJUGVPWAVTGWBWDVPVQWBLZWAMVQWCLZWAMZVQWDLZVTMZVPWAWEWFVPVT
      WEWFQZVRVTVPWJVTVNVSBLZMZVQVSOZLZWFQZRVPWJRWLVQVSSZVQASZWNWFWLWPWQWLVSASZ
      WPWQWKWRVNBVSAEKIUHUIVQVSAUJUKVNWQWPWKVQDAEKJULUMUNVQVSGUOZTVQAWSTUPVTWLV
      PWOWJVTWKVOVNVSCBUQURVTWNWEWFVTWMWBVQVSCUSUTVAVBVCVDVEVFWIWFVRMZVTMWGWHWT
      VTVQWCNVGVHWFVRVTVIVJVKVLVM $.
  $}

  ${
    $d W a $.  $d N a $.  $d W a $.  $d V a $.  $d X a $.  $d B a $.
    islssfgi.n $e |- N = ( LSpan ` W ) $.
    islssfgi.v $e |- V = ( Base ` W ) $.
    islssfgi.x $e |- X = ( W |`s ( N ` B ) ) $.
    $( Finitely spanned subspaces are finitely generated.  (Contributed by
       Stefan O'Rear, 24-Jan-2015.) $)
    islssfgi $p |- ( ( W e. LMod /\ B C_ V /\ B e. Fin ) -> X e. LFinGen ) $=
      ( va clmod wcel wss cfn w3a clfig cv cfv wceq cpw eqid cin wrex cbs fvexi
      elpw2 biimpri 3ad2ant2 simp3 elind fveqeq2 rspcev sylancl clss wb 3adant3
      simp1 lspcl islssfg2 syl2anc mpbird ) DJKZACLZAMKZNZEOKZIPZBQABQZRZICSZMU
      AZUBZVDAVJKVGVGRZVKVDVIMAVBVAAVIKZVCVMVBACCDUCGUDUEUFUGVAVBVCUHUIVGTVHVLI
      AVJVFAVGBUJUKULVDVAVGDUMQZKZVEVKUNVAVBVCUPVAVBVOVCVNABCDGVNTZFUQUOCVNVGBD
      EIHVPFGURUSUT $.
  $}

  $( Finitely generated left modules are left modules.  (Contributed by Stefan
     O'Rear, 1-Jan-2015.) $)
  fglmod $p |- ( M e. LFinGen -> M e. LMod ) $=
    ( va clfig clmod cbs cfv clspn cpw cfn cin cima wcel df-lfig ssrab3 sseli
    cv ) CDABPZEFZQGFRHIJKLBDCBMNO $.

  ${
    $d ph a b $.  $d D a b $.  $d E a b $.  $d F a b $.  $d A a b $.
    $d B a b $.  $d W a b $.  $d .(+) a b $.  $d U a b $.
    lsmfgcl.u $e |- U = ( LSubSp ` W ) $.
    lsmfgcl.p $e |- .(+) = ( LSSum ` W ) $.
    lsmfgcl.d $e |- D = ( W |`s A ) $.
    lsmfgcl.e $e |- E = ( W |`s B ) $.
    lsmfgcl.f $e |- F = ( W |`s ( A .(+) B ) ) $.
    lsmfgcl.w $e |- ( ph -> W e. LMod ) $.
    lsmfgcl.a $e |- ( ph -> A e. U ) $.
    lsmfgcl.b $e |- ( ph -> B e. U ) $.
    lsmfgcl.df $e |- ( ph -> D e. LFinGen ) $.
    lsmfgcl.ef $e |- ( ph -> E e. LFinGen ) $.
    $( The sum of two finitely generated submodules is finitely generated.
       (Contributed by Stefan O'Rear, 24-Jan-2015.) $)
    lsmfgcl $p |- ( ph -> F e. LFinGen ) $=
      ( wcel va vb co cress clfig cv clspn cfv wceq cbs cpw cfn wrex clmod eqid
      cin wb islssfg2 syl2anc mpbid wa adantr cun wss inss1 sseli elpwid lsmsp2
      syl3an 3expb oveq2d unss biimpi syl2an adantl inss2 unfi islssfgi syl3anc
      eqeltrd anassrs oveq2 eleq1d syl5ibcom rexlimdva mpd oveq1 eqeltrid ) AHI
      BCEUCZUDUCZUENAUAUFZIUGUHZUHZBUIZUAIUJUHZUKZULUPZUMZWJUETZADUETZWRRAIUNTZ
      BFTWTWRUQOPWOFBWLIDUALJWLUOZWOUOZURUSUTAWNWSUAWQAWKWQTZVAZIWMCEUCZUDUCZUE
      TZWNWSXEUBUFZWLUHZCUIZUBWQUMZXHAXLXDAGUETZXLSAXACFTXMXLUQOQWOFCWLIGUBMJXB
      XCURUSUTVBXEXKXHUBWQXEXIWQTZVAIWMXJEUCZUDUCZUETZXKXHAXDXNXQAXDXNVAZVAZXPI
      WKXIVCZWLUHZUDUCZUEXSXOYAIUDAXDXNXOYAUIZAXAXDWKWOVDZXNXIWOVDZYCOXDWKWOWQW
      PWKWPULVEZVFVGZXNXIWOWQWPXIYFVFVGZEWKXIWLWOIXCXBKVHVIVJVKXSXAXTWOVDZXTULT
      ZYBUETAXAXROVBXRYIAXDYDYEYIXNYGYHYDYEVAYIWKXIWOVLVMVNVOXRYJAXDWKULTXIULTY
      JXNWQULWKWPULVPZVFWQULXIYKVFWKXIVQVNVOXTWLWOIYBXBXCYBUOVRVSVTWAXKXPXGUEXK
      XOXFIUDXJCWMEWBVKWCWDWEWFWNXGWJUEWNXFWIIUDWMBCEWGVKWCWDWEWFWH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Noetherian left modules I
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c LNoeM $.

  $( Extend class notation with the class of Noetherian left modules. $)
  clnm $a class LNoeM $.

  ${
    $d i w $.

    $( A left-module is _Noetherian_ iff it is hereditarily finitely generated.
       (Contributed by Stefan O'Rear, 12-Dec-2014.) $)
    df-lnm $a |- LNoeM = { w e. LMod | A. i e. ( LSubSp ` w )
        ( w |`s i ) e. LFinGen } $.
  $}

  ${
    $d w i M $.  $d w i S $.
    islnm.s $e |- S = ( LSubSp ` M ) $.
    $( Property of being a Noetherian left module.  (Contributed by Stefan
       O'Rear, 12-Dec-2014.) $)
    islnm $p |- ( M e. LNoeM <-> ( M e. LMod /\
        A. i e. S ( M |`s i ) e. LFinGen ) ) $=
      ( vw cv cress co clfig wcel clss wral clmod clnm wceq fveq2 eqtr4di oveq1
      cfv eleq1d raleqbidv df-lnm elrab2 ) EFZBFZGHZIJZBUDKSZLCUEGHZIJZBALECMNU
      DCOZUGUJBUHAUKUHCKSAUDCKPDQUKUFUIIUDCUEGRTUAEBUBUC $.
  $}

  ${
    $d i g M $.  $d i g N $.  $d i g S $.  $d i g B $.
    islnm2.b $e |- B = ( Base ` M ) $.
    islnm2.s $e |- S = ( LSubSp ` M ) $.
    islnm2.n $e |- N = ( LSpan ` M ) $.
    $( Property of being a Noetherian left module with finite generation
       expanded in terms of spans.  (Contributed by Stefan O'Rear,
       24-Jan-2015.) $)
    islnm2 $p |- ( M e. LNoeM <-> ( M e. LMod /\
        A. i e. S E. g e. ( ~P B i^i Fin ) i = ( N ` g ) ) ) $=
      ( clnm wcel clmod cv cress co clfig wral wa wceq wrex islnm eqid islssfg2
      cfv cpw cfn cin eqcom rexbii bitrdi ralbidva pm5.32i bitri ) EJKELKZEDMZN
      OZPKZDBQZRUNUOCMFUDZSZCAUEUFUGZTZDBQZRBDEHUAUNURVCUNUQVBDBUNUOBKRUQUSUOSZ
      CVATVBABUOFEUPCUPUBHIGUCVDUTCVAUSUOUHUIUJUKULUM $.
  $}

  ${
    $d M a $.  $d U a $.  $d S a $.  $d R a $.
    $( A Noetherian left module is a left module.  (Contributed by Stefan
       O'Rear, 12-Dec-2014.) $)
    lnmlmod $p |- ( M e. LNoeM -> M e. LMod ) $=
      ( va clnm wcel clmod cv cress co clfig clss cfv wral eqid islnm simplbi )
      ACDAEDABFGHIDBAJKZLPBAPMNO $.

    ${
      lnmlssfg.s $e |- S = ( LSubSp ` M ) $.
      lnmlssfg.r $e |- R = ( M |`s U ) $.
      $( A submodule of Noetherian module is finitely generated.  (Contributed
         by Stefan O'Rear, 1-Jan-2015.) $)
      lnmlssfg $p |- ( ( M e. LNoeM /\ U e. S ) -> R e. LFinGen ) $=
        ( va clnm wcel cv cress co clfig wral clmod islnm simprbi oveq2 eqtr4di
        wceq eleq1d rspcv mpan9 ) DHIZDGJZKLZMIZGBNZCBIAMIZUDDOIUHBGDEPQUGUIGCB
        UECTZUFAMUJUFDCKLAUECDKRFSUAUBUC $.

      $( All submodules of a Noetherian module are Noetherian.  (Contributed by
         Stefan O'Rear, 1-Jan-2015.) $)
      lnmlsslnm $p |- ( ( M e. LNoeM /\ U e. S ) -> R e. LNoeM ) $=
        ( va clnm wcel wa clmod cress co clfig cfv sylan wss wceq cbs eqid clss
        cv wral lnmlmod lsslmod oveq1i simplr adantl ressbas2 ad2antlr sseqtrrd
        lssss ressabs syl2anc syl5eq simpll wb lsslss simprbda lnmlssfg eqeltrd
        syl ralrimiva islnm sylanbrc ) DHIZCBIZJZAKIZAGUBZLMZNIZGAUAOZUCAHIVFDK
        IZVGVIDUDZBCDAFEUEPVHVLGVMVHVJVMIZJZVKDVJLMZNVQVKDCLMZVJLMZVRAVSVJLFUFV
        QVGVJCQZVTVRRVFVGVPUGVQVJASOZCVPVJWBQVHVMVJWBAWBTVMTZULUHVGCWBRZVFVPVGC
        DSOZQWDBCWEDWETZEULCWEADFWFUIVBUJUKCVJDBUMUNUOVQVFVJBIZVRNIVFVGVPUPVHVP
        WGWAVFVNVGVPWGWAJUQVOBVMCVJDAFEWCURPUSVRBVJDEVRTUTUNVAVCVMGAWCVDVE $.
    $}

    $( A Noetherian left module is finitely generated.  (Contributed by Stefan
       O'Rear, 12-Dec-2014.) $)
    lnmfg $p |- ( M e. LNoeM -> M e. LFinGen ) $=
      ( clnm wcel cbs cfv cress co clfig eqid ressid clss lnmlmod lss1 lnmlssfg
      clmod syl mpdan eqeltrrd ) ABCZAADEZFGZAHTABTIZJSTAKEZCZUAHCSAOCUDALUCTAU
      BUCIZMPUAUCTAUEUAINQR $.
  $}

  ${
    $d a b .0. $.  $d a b B $.  $d a b D $.  $d a b F $.  $d a b K $.
    $d a b ph $.  $d a b S $.  $d a b T $.  $d a b U $.  $d a b .(+) $.
    kercvrlsm.u $e |- U = ( LSubSp ` S ) $.
    kercvrlsm.p $e |- .(+) = ( LSSum ` S ) $.
    kercvrlsm.z $e |- .0. = ( 0g ` T ) $.
    kercvrlsm.k $e |- K = ( `' F " { .0. } ) $.
    kercvrlsm.b $e |- B = ( Base ` S ) $.
    kercvrlsm.f $e |- ( ph -> F e. ( S LMHom T ) ) $.
    kercvrlsm.d $e |- ( ph -> D e. U ) $.
    kercvrlsm.cv $e |- ( ph -> ( F " D ) = ran F ) $.
    $( The domain of a linear function is the subspace sum of the kernel and
       any subspace which covers the range.  (Contributed by Stefan O'Rear,
       24-Jan-2015.)  (Revised by Stefan O'Rear, 6-May-2015.) $)
    kercvrlsm $p |- ( ph -> ( K .(+) D ) = B ) $=
      ( wcel syl va vb wss clmod clmhm lmhmlmod1 lmhmkerlss lsmcl syl3anc lssss
      co cv wa cfv wceq wrex cima crn wfn cbs wf eqid lmhmf ffnd fnfvelrn sylan
      adantr eleqtrrd wb fvelimab syl2anc mpbid wi cplusg lmodgrp simprl sselda
      csg cgrp adantrl grpnpcan ad2antrr eqcom cghm lmghm syl5bb biimpa simplrr
      ghmeqker lsmelvalix syl32anc eqeltrrd ex anassrs rexlimdva mpd eqelssd )
      AUAICDUKZBAWRGSZWRBUCAEUDSZIGSZCGSZWSAHEFUEUKSZWTPEFHUFTZAXCXAPEFGHIJNMKU
      GTZQDGICEKLUHUIGWRBEOKUJTAUAULZBSZUMZUBULZHUNZXFHUNZUOZUBCUPZXFWRSZXHXKHC
      UQZSZXMXHXKHURZXOAHBUSZXGXKXQSABFUTUNZHAXCBXSHVAPBXSEFHOXSVBVCTVDZBXFHVEV
      FAXOXQUOXGRVGVHXHXRCBUCZXPXMVIAXRXGXTVGAYAXGAXBYAQGCBEOKUJTZVGUBBCXKHVJVK
      VLXHXLXNUBCAXGXICSZXLXNVMAXGYCUMZUMZXLXNYEXLUMZXFXIEVRUNZUKZXIEVNUNZUKZXF
      WRYEYJXFUOZXLYEEVSSZXGXIBSZYKAYLYDAWTYLXDEVOTVGAXGYCVPZAYCYMXGACBXIYBVQVT
      ZBYIEYGXFXIOYIVBZYGVBZWAUIVGYFWTIBUCZYAYHISZYCYJWRSAWTYDXLXDWBAYRYDXLAXAY
      RXEGIBEOKUJTWBAYAYDXLYBWBYEXLYSXLXKXJUOZYEYSXJXKWCYEHEFWDUKSZXGYMYTYSVIAU
      UAYDAXCUUAPEFHWETVGYNYOBEFXFHIYGXIJOMNYQWIUIWFWGAXGYCXLWHBYIDICEUDYHXIOYP
      LWJWKWLWMWNWOWPWQ $.
  $}

  ${
    $d ph x $.  $d X x $.  $d S x $.  $d A x $.  $d U x $.  $d Y x $.
    $d T x $.  $d F x $.
    lmhmfgima.y $e |- Y = ( T |`s ( F " A ) ) $.
    lmhmfgima.x $e |- X = ( S |`s A ) $.
    lmhmfgima.u $e |- U = ( LSubSp ` S ) $.
    lmhmfgima.xf $e |- ( ph -> X e. LFinGen ) $.
    lmhmfgima.a $e |- ( ph -> A e. U ) $.
    lmhmfgima.f $e |- ( ph -> F e. ( S LMHom T ) ) $.
    $( A homomorphism maps finitely generated submodules to finitely generated
       submodules.  (Contributed by Stefan O'Rear, 24-Jan-2015.) $)
    lmhmfgima $p |- ( ph -> Y e. LFinGen ) $=
      ( cress clfig cfv cfn wcel eqid vx cima co cv clspn wceq cbs cpw cin wrex
      clmod wb clmhm lmhmlmod1 syl islssfg2 syl2anc mpbid wa inss1 sseli elpwid
      wss lmhmlsp syl2an oveq2d lmhmlmod2 adantr crn imassrn wf lmhmf frnd cres
      sstrid wfo inss2 wfun cdm ffund fdmd sseqtrrd fores fofi islssfgi syl3anc
      adantl eqeltrd imaeq2 eleq1d syl5ibcom rexlimdva mpd eqeltrid ) AHDFBUBZO
      UCZPIAUAUDZCUEQZQZBUFZUACUGQZUHZRUIZUJZWPPSZAGPSZXDLACUKSZBESXFXDULAFCDUM
      UCSZXGNCDFUNUOMXAEBWRCGUAJKWRTZXATZUPUQURAWTXEUAXCAWQXCSZUSZDFWSUBZOUCZPS
      WTXEXLXNDFWQUBZDUEQZQZOUCZPXLXMXQDOAXHWQXAVCZXMXQUFXKNXKWQXAXCXBWQXBRUTVA
      VBZCDWQFWRXPXAXJXIXPTZVDVEVFXLDUKSZXODUGQZVCZXORSZXRPSAYBXKAXHYBNCDFVGUOV
      HAYDXKAXOFVIYCFWQVJAXAYCFAXHXAYCFVKNXAYCCDFXJYCTZVLUOZVMVOVHXLWQRSZWQXOFW
      QVNZVPZYEXKYHAXCRWQXBRVQVAWGXLFVRZWQFVSZVCYJAYKXKAXAYCFYGVTVHXLWQXAYLXKXS
      AXTWGAYLXAUFXKAXAYCFYGWAVHWBWQFWCUQWQXOYIWDUQXOXPYCDXRYAYFXRTWEWFWHWTXNWP
      PWTXMWODOWSBFWIVFWJWKWLWMWN $.
  $}

  ${
    $d T a $.  $d S a $.  $d F a $.  $d B a $.
    lnmepi.b $e |- B = ( Base ` T ) $.
    $( Epimorphic images of Noetherian modules are Noetherian.  (Contributed by
       Stefan O'Rear, 24-Jan-2015.) $)
    lnmepi $p |- ( ( F e. ( S LMHom T ) /\ S e. LNoeM /\ ran F = B ) ->
        T e. LNoeM ) $=
      ( va clmhm wcel clnm crn wceq cress clfig clss cfv 3ad2ant1 cima sylanbrc
      co eqid w3a clmod cv wral lmhmlmod2 wa ccnv cbs wfo wss lmhmf simp3 dffo2
      lssss foimacnv syl2an oveq2d simpl2 lmhmpreima 3ad2antl1 lnmlssfg syl2anc
      wf simpl1 lmhmfgima eqeltrrd ralrimiva islnm ) DBCGSHZBIHZDJAKZUAZCUBHZCF
      UCZLSZMHZFCNOZUDCIHVIVJVMVKBCDUEPVLVPFVQVLVNVQHZUFZCDDUGVNQZQZLSZVOMVSWAV
      NCLVLBUHOZADUIZVNAUJWAVNKVRVLWCADVCZVKWDVIVJWEVKWCABCDWCTEUKPVIVJVKULWCAD
      UMRVQVNACEVQTZUNWCAVNDUOUPUQVSVTBCBNOZDBVTLSZWBWBTWHTZWGTZVSVJVTWGHZWHMHV
      IVJVKVRURVIVJVRWKVKBCVNDWGVQWJWFUSUTZWHWGVTBWJWIVAVBWLVIVJVKVRVDVEVFVGVQF
      CWFVHR $.
  $}

  ${
    $d F a b $.  $d S a b $.  $d T a b $.  $d K a b $.  $d U a b $.
    $d V a b $.
    lmhmfgsplit.z $e |- .0. = ( 0g ` T ) $.
    lmhmfgsplit.k $e |- K = ( `' F " { .0. } ) $.
    lmhmfgsplit.u $e |- U = ( S |`s K ) $.
    lmhmfgsplit.v $e |- V = ( T |`s ran F ) $.
    $( If the kernel and range of a homomorphism of left modules are finitely
       generated, then so is the domain.  (Contributed by Stefan O'Rear,
       1-Jan-2015.)  (Revised by Stefan O'Rear, 6-May-2015.) $)
    lmhmfgsplit $p |- ( ( F e. ( S LMHom T ) /\ U e. LFinGen /\
          V e. LFinGen ) -> S e. LFinGen ) $=
      ( va co wcel clfig cfn cfv wceq wa eqid vb clmhm w3a clspn crn wrex simp3
      cv cpw clmod clss lmhmlmod2 3ad2ant1 lmhmrnlss islssfg syl2anc mpbid cima
      wb cbs cin wfn wss wf simpl1 lmhmf 3syl ad2antrl simprrl fipreima syl3anc
      ffn elpwi clsm cress simpll1 lmhmlmod1 ad2antrr inss1 sseli lspcl lmhmlsp
      syl fveq2 ad2antll 3expa 3eqtrd kercvrlsm oveq2d ressid eqtr2d lmhmkerlss
      simp2rr simpll2 inss2 islssfgi lsmfgcl eqeltrd rexlimddv ) DABUBMNZCONZFO
      NZUCZLUHZPNZXDBUDQZQZDUEZRZSZAONZLXHUIZXCXBXJLXLUFZWTXAXBUGXCBUJNZXHBUKQZ
      NZXBXMUSWTXAXNXBABDULUMWTXAXPXBABDUNUMXOXHXFBFLKXOTXFTZUOUPUQXCXDXLNZXJSZ
      SZDUAUHZURZXDRZXKUAAUTQZUIZPVAZXTDYDVBZXDXHVCZXEYCUAYFUFXTWTYDBUTQZDVDYGW
      TXAXBXSVEYDYIABDYDTZYITVFYDYIDVLVGXRYHXCXJXDXHVMVHXCXRXEXIVIXDYDDUAVJVKXT
      YAYFNZYCSZSZAAEYAAUDQZQZAVNQZMZVOMZOYMYRAYDVOMZAYMYQYDAVOYMYDYOYPABAUKQZD
      EGYTTZYPTZHIYJWTXAXBXSYLVPZYMAUJNZYAYDVCZYOYTNXCUUDXSYLWTXAUUDXBABDVQUMZV
      RZYKUUEXTYCYKYAYENUUEYFYEYAYEPVSVTYAYDVMWCVHZYTYAYNYDAYJUUAYNTZWAUPZYMDYO
      URZYBXFQZXGXHYMWTUUEUUKUULRUUCUUHABYADYNXFYDYJUUIXQWBUPYCUULXGRXTYKYBXDXF
      WDWEXCXSYLXIXEXIXRXCYLWMWFWGWHWIXCYSARZXSYLXCUUDUUMUUFYDAUJYJWJWCVRWKYMEY
      OCYPYTAYOVOMZYRAUUAUUBJUUNTZYRTUUGXCEYTNZXSYLWTXAUUPXBABYTDEGIHUUAWLUMVRU
      UJWTXAXBXSYLWNYMUUDUUEYAPNZUUNONUUGUUHYKUUQXTYCYFPYAYEPWOVTVHYAYNYDAUUNUU
      IYJUUOWPVKWQWRWSWS $.

    $( If the kernel and range of a homomorphism of left modules are
       Noetherian, then so is the domain.  (Contributed by Stefan O'Rear,
       1-Jan-2015.)  (Revised by Stefan O'Rear, 12-Jun-2015.) $)
    lmhmlnmsplit $p |- ( ( F e. ( S LMHom T ) /\ U e. LNoeM /\ V e. LNoeM ) ->
        S e. LNoeM ) $=
      ( va co wcel cress clfig eqid cin cvv syl clmhm clnm w3a cv clss cfv wral
      clmod lmhmlmod1 3ad2ant1 wa cres ccnv csn crn reslmhm 3ad2antl1 cnvresima
      cima eqcomi ineq1i incom 3eqtri oveq2i wss vex inss1 ressabs mp2an oveq1i
      wceq simpl1 cnvexg imaexg eqeltrid inss2 sylancl syl5eq simpl2 lmhmkerlss
      eqtr4id adantr simpr lssincl syl3anc wb lsslss syl2anc mpbir2and lnmlssfg
      a1i eqeltrd resss rnss ax-mp df-ss eqtr2i rnexg resexg ressress lmhmrnlss
      mpbi simpl3 lmhmlmod2 lmhmfgsplit ralrimiva islnm sylanbrc ) DABUAMZNZCUB
      NZFUBNZUCZAUHNZALUDZOMZPNZLAUEUFZUGAUBNXJXKXNXLABDUIUJZXMXQLXRXMXOXRNZUKZ
      DXOULZXPBUAMNZXPYBUMGUNZUSZOMZPNBYBUOZOMZPNXQXJXKXTYCXLXPABXRDXOXRQZXPQUP
      UQZYAYFCXOERZOMZPYAYFXPYKOMZYLYEYKXPOYEDUMZYDUSZXOREXORYKXOYDDURYOEXOEYOI
      UTVAEXOVBVCVDYAYMAYKOMZYLXOSNYKXOVEYMYPVKLVFXOEVGXOYKASVHVIYAYLAEOMZYKOMZ
      YPCYQYKOJVJYAESNZYKEVEZYRYPVKYAXJYSXJXKXLXTVLZXJEYOSIXJYNSNYOSNDXIVMYNYDS
      VNTVOTXOEVPZEYKASVHVQVRWAVRYAXKYKCUEUFZNZYLPNXJXKXLXTVSYAUUDYKXRNZYTYAXNX
      TEXRNZUUEXMXNXTXSWBZXMXTWCYAXJUUFUUAABXRDEGIHYIVTTZXRXOEAYIWDWEYTYAUUBWKY
      AXNUUFUUDUUEYTUKWFUUGUUHXRUUCEYKACJYIUUCQZWGWHWIYLUUCYKCUUIYLQWJWHWLYAYHF
      YGOMZPYAXJYHUUJVKUUAXJYHBDUOZYGRZOMZUUJYGUULBOUULYGUUKRZYGUUKYGVBYGUUKVEZ
      UUNYGVKYBDVEUUODXOWMYBDWNWOZYGUUKWPXBWQVDXJUUJBUUKOMZYGOMZUUMFUUQYGOKVJXJ
      UUKSNYGSNZUURUUMVKDXIWRXJYBSNUUSDXOXIWSYBSWRTUUKYGBSSWTWHVRWATYAXLYGFUEUF
      ZNZUUJPNXJXKXLXTXCYAUVAYGBUEUFZNZUUOYAYCUVCYJXPBYBXATUUOYAUUPWKYABUHNZUUK
      UVBNZUVAUVCUUOUKWFYAXJUVDUUAABDXDTYAXJUVEUUAABDXATUVBUUTUUKYGBFKUVBQUUTQZ
      WGWHWIUUJUUTYGFUVFUUJQWJWHWLXPBYFYBYEYHGHYEQYFQYHQXEWEXFXRLAYIXGXH $.
  $}

  ${
    $d R a $.  $d S a $.
    $( Noetherian is an invariant property of modules.  (Contributed by Stefan
       O'Rear, 25-Jan-2015.) $)
    lnmlmic $p |- ( R ~=m S -> ( R e. LNoeM <-> S e. LNoeM ) ) $=
      ( va clmic wbr cv co wcel clnm clmhm crn cbs cfv wceq adantr simpr lnmepi
      wa eqid syl3anc clmim wex wb c0 wne brlmic n0 bitri lmimlmhm wf1o lmimf1o
      wfo f1ofo forn 3syl islmim2 simprbi cdm dfdm4 syl eqtr3id impbida exlimiv
      ccnv f1odm sylbi ) ABDEZCFZABUAGZHZCUBZAIHZBIHZUCZVGVIUDUEVKABUFCVIUGUHVJ
      VNCVJVLVMVJVLRVHABJGHZVLVHKBLMZNZVMVJVOVLABVHUIOVJVLPVJVQVLVJALMZVPVHUJZV
      RVPVHULVQVRVPABVHVRSZVPSZUKZVRVPVHUMVRVPVHUNUOOVPABVHWAQTVJVMRZVHVDZBAJGH
      ZVMWDKZVRNVLVJWEVMVJVOWEABVHUPUQOVJVMPWCWFVHURZVRVHUSVJWGVRNZVMVJVSWHWBVR
      VPVHVEUTOVAVRBAWDVTQTVBVCVF $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Addenda for structure powers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A a x y $.  $d B a x y $.  $d C x y $.  $d D a x y $.  $d E x y $.
    $d F a $.  $d G x y $.  $d K a x $.  $d L a x $.  $d R a x y $.
    $d V a x y $.  $d .0. x y $.
    pwssplit4.e $e |- E = ( R ^s ( A u. B ) ) $.
    pwssplit4.g $e |- G = ( Base ` E ) $.
    pwssplit4.z $e |- .0. = ( 0g ` R ) $.
    pwssplit4.k $e |- K = { y e. G | ( y |` A ) = ( A X. { .0. } ) } $.
    pwssplit4.f $e |- F = ( x e. K |-> ( x |` B ) ) $.
    pwssplit4.c $e |- C = ( R ^s A ) $.
    pwssplit4.d $e |- D = ( R ^s B ) $.
    pwssplit4.l $e |- L = ( E |`s K ) $.
    $( Splitting for structure powers 4: maps isomorphically onto the other
       half.  (Contributed by Stefan O'Rear, 25-Jan-2015.) $)
    pwssplit4 $p |- ( ( R e. LMod /\ ( A u. B ) e. V /\ ( A i^i B ) = (/) ) ->
          F e. ( L LMIso D ) ) $=
      ( va clmod wcel cun cin c0 wceq w3a clmhm co cbs cfv wf1o clmim cres cmpt
      cv wss csn cxp crab ssrab2 eqsstri resmpt ax-mp eqtr4i clss a1i pwssplit3
      ssun2 eqid syld3an3 c0g cmnd cvv cgrp simp1 lmodgrp 3syl ssun1 ssexg mpan
      grpmnd 3ad2ant2 pws0g syl2anc eqeq2d rabbidv syl5eq ccnv cima fvex eqcomi
      mptiniseg lmhmkerlss syl eqeltrd reslmhm eqeltrid wf1 wi wral wa fvtresfn
      crn eqcomd eqeqan12rd reseq1 eqeq1d elrab2 uneq12 resundi xpundir 3eqtr4g
      adantll adantl wfn simpl1 simp2 adantr simprll pwselbas ffn fnresdm eqtrd
      wf 3adant3 wb mpbird lmhmf pwselbasb uncom fnresdisj uneq12d resundir un0
      mp2b sylanbrc csubg pwslmod lsssubg subg0 3eqtr3d exp32 syl5bi imp sylbid
      ralrimiva cghm lmghm ressbas2 ghmf1 frn biimpa fvexi fconst mndidcl snssd
      fssd incom simp3 syl21anc unidm feq23i sylib simpl3 mpbid fnconstg eqtr2i
      fun resexd fvmptd3 biimpi 3ad2ant3 eqtrdi fnfvelrn eqeltrrd dff1o5 islmim
      eqelssd ) GUDUEZCDUFZMUEZCDUGZUHUIZUJZILFUKULZUEZKFUMUNZIUOZILFUPULUEUWHI
      AJAUSZDUQZURZKUQZUWIIAKUWNURZUWPSKJUTZUWPUWQUIKBUSZCUQZCNVAZVBZUIZBJVCZJR
      UXCBJVDVEZAJKUWNVFVGVHUWHUWOHFUKULUEZKHVIUNZUEZUWPUWIUEUWCUWEUWGDUWDUTZUX
      FUXIUWHDCVLZVJAJUWKUWDUWODGMHFOUAPUWKVMZUWOVMVKVNUWHKUWTEVOUNZUIZBJVCZUXG
      UWHKUXDUXNRUWHUXCUXMBJUWHUXBUXLUWTUWHGVPUEZCVQUEZUXBUXLUIUWHUWCGVRUEUXOUW
      CUWEUWGVSZGVTGWEWAZUWEUWCUXPUWGCUWDUTZUWEUXPCDWBZCUWDMWCWDWFGCVQENTQWGWHW
      IWJWKUWHBJUWTURZHEUKULUEZUXNUXGUEUWCUWEUWGUXSUYBUXSUWHUXTVJBJEUMUNZUWDUYA
      CGMHEOTPUYCVMUYAVMZVKVNHEUXGUYAUXNUXLUYAWLUXLVAWMZUXNUXLVQUEUYEUXNUIEVOWN
      BJUWTUXLUYAVQUYDWPVGWOUXLVMUXGVMZWQWRWSZLHFUXGUWOKUYFUBWTWHXAZUWHKUWKIXBZ
      IXGZUWKUIUWLUWHUYIUCUSZIUNZFVOUNZUIZUYKLVOUNZUIZXCZUCKXDZUWHUYQUCKUWHUYKK
      UEZXEUYNUYKDUQZDUXAVBZUIZUYPUYSUWHUYLUYTUYMVUAAKIDUYKSXFUWHVUAUYMUWHUXODV
      QUEZVUAUYMUIUXRUWEUWCVUCUWGUXIUWEVUCUXJDUWDMWCWDWFZGDVQFNUAQWGWHXHXIUWHUY
      SVUBUYPXCZUYSUYKJUEZUYKCUQZUXBUIZXEZUWHVUEUXCVUHBUYKJKUWSUYKUIUWTVUGUXBUW
      SUYKCXJXKRXLUWHVUIVUBUYPUWHVUIVUBXEZXEZUYKUWDUQZUWDUXAVBZUYKUYOVUJVULVUMU
      IZUWHVUHVUBVUNVUFVUHVUBXEVUGUYTUFUXBVUAUFVULVUMVUGUXBUYTVUAXMUYKCDXNCDUXA
      XOXPXQXRVUKUWDGUMUNZUYKYHUYKUWDXSVULUYKUIVUKVUOGUWDJUDUYKHMOVUOVMZPUWCUWE
      UWGVUJXTUWHUWEVUJUWCUWEUWGYAZYBUWHVUFVUHVUBYCYDUWDVUOUYKYEUWDUYKYFWAUWHVU
      MUYOUIVUJUWHVUMHVOUNZUYOUWHUXOUWEVUMVURUIUXRVUQGUWDMHNOQWGWHUWHKHUUAUNUEZ
      VURUYOUIUWHHUDUEZUXHVUSUWCUWEVUTUWGGUWDMHOUUBYIUYGUXGKHUYFUUCWHKHLVURUBVU
      RVMUUDWRYGYBUUEUUFUUGUUHUUIUUJUWHUWJILFUUKULUEUYIUYRYJUYHLFIUULUCLFUYMIKU
      WKUYOUWRKLUMUNZUIUXEKJLHUBPUUMVGZUXKUYOVMUYMVMUUNWAYKUWHUCUYJUWKUWHUWJVVA
      UWKIYHUYJUWKUTUYHVVAUWKLFIVVAVMUXKYLVVAUWKIUUOWAUWHUYKUWKUEZXEZUYKUXBUFZI
      UNZUYKUYJVVDVVFVVEDUQZUYKVVDAVVEUWNVVGKIVQSUWMVVEDXJVVDVVEJUEZVVECUQZUXBU
      IZVVEKUEZVVDVVHUWDVUOVVEYHZVVDDCUFZVUOVUOUFZVVEYHZVVLVVDDVUOUYKYHZCVUOUXB
      YHDCUGZUHUIZVVOUWHVVCVVPUWHUWCVUCVVCVVPYJUXQVUDVUOGDUWKUDUYKFVQUAVUPUXKYM
      WHUUPZVVDCUXAVUOUXBCUXAUXBYHZVVDCNNGVOQUUQZUURZVJVVDNVUOVVDUXONVUOUEUWHUX
      OVVCUXRYBVUOGNVUPQUUSWRUUTUVAUWHVVRVVCUWHVVQUWFUHDCUVBZUWCUWEUWGUVCWKYBDC
      VUOVUOUYKUXBUVLUVDVVMVVNUWDVUOVVEDCYNVUOUVEUVFUVGUWHVVHVVLYJZVVCUWCUWEVWD
      UWGVUOGUWDJUDVVEHMOVUPPYMYIYBYKZVVDVUGUXBCUQZUFUHUXBUFZVVIUXBVVDVUGUHVWFU
      XBVVDVVRVUGUHUIZVVDVVQUWFUHVWCUWCUWEUWGVVCUVHWKVVDVVPUYKDXSZVVRVWHYJVVSDV
      UOUYKYEZDCUYKYOWAUVIVWFUXBUIZVVDNVQUEUXBCXSZVWKVWACNVQUVJCUXBYFYSVJYPUYKU
      XBCYQVWGUXBUHUFUXBUHUXBYNUXBYRUVKXPUXCVVJBVVEJKUWSVVEUIUWTVVIUXBUWSVVECXJ
      XKRXLYTZVVDVVEDJVWEUVMUVNVVDVVGUYTUXBDUQZUFZUYKUYKUXBDYQVVDVWOUYKUHUFUYKV
      VDUYTUYKVWNUHVVDVVPVWIUYTUYKUIVVSVWJDUYKYFWAUWHVWNUHUIZVVCUWGUWCVWPUWEUWG
      VWPVVTVWLUWGVWPYJVWBCUXAUXBYECDUXBYOYSUVOUVPYBYPUYKYRUVQWKYGVVDIKXSZVVKVV
      FUYJUEUWHVWQVVCUWHUWJKUWKIYHVWQUYHKUWKLFIVVBUXKYLKUWKIYEWAYBVWMKVVEIUVRWH
      UVSUWBKUWKIUVTYTKUWKLFIVVBUXKUWAYT $.
  $}

  ${
    $d B a b $.  $d W a b $.
    filnm.b $e |- B = ( Base ` W ) $.
    $( Finite left modules are Noetherian.  (Contributed by Stefan O'Rear,
       24-Jan-2015.) $)
    filnm $p |- ( ( W e. LMod /\ B e. Fin ) -> W e. LNoeM ) $=
      ( va vb clmod wcel cfn wa cv cfv wceq cpw cin wrex clss wral eqid syl2anc
      clspn clnm simpl wss lssss adantl velpw sylibr simplr elind lspid adantlr
      ssfi eqcomd fveq2 rspceeqv ralrimiva islnm2 sylanbrc ) BFGZAHGZIZUSDJZEJZ
      BTKZKZLEAMZHNZOZDBPKZQBUAGUSUTUBVAVHDVIVAVBVIGZIZVBVGGVBVBVDKZLVHVKVFHVBV
      KVBAUCZVBVFGVJVMVAVIVBABCVIRZUDUEZDAUFUGVKUTVMVBHGUSUTVJUHVOAVBULSUIVKVLV
      BUSVJVLVBLUTVIVBVDBVNVDRZUJUKUMEVBVGVEVLVBVCVBVDUNUOSUPAVIEDBVDCVNVPUQUR
      $.
  $}

  ${
    pwslnmlem0.y $e |- Y = ( W ^s (/) ) $.
    $( Zeroeth powers are Noetherian.  (Contributed by Stefan O'Rear,
       24-Jan-2015.) $)
    pwslnmlem0 $p |- ( W e. LMod -> Y e. LNoeM ) $=
      ( clmod wcel cbs cfv cfn clnm cvv 0ex pwslmod mpan2 cmap wceq eqid pwsbas
      c0 co c1o csn fvex map0e ax-mp df1o2 eqtri snfi eqeltri eqeltrrdi syl2anc
      filnm ) ADEZBDEZBFGZHEBIEULRJEZUMKARJBCLMULUNAFGZRNSZHULUOUQUNOKUPARDJBCU
      PPQMUQRUAZHUQTURUPJEUQTOAFUBUPJUCUDUEUFRUGUHUIUNBUNPUKUJ $.
  $}

  ${
    $d Y x $.  $d W i x $.
    pwslnmlem1.y $e |- Y = ( W ^s { i } ) $.
    $( First powers are Noetherian.  (Contributed by Stefan O'Rear,
       24-Jan-2015.) $)
    pwslnmlem1 $p |- ( W e. LNoeM -> Y e. LNoeM ) $=
      ( vx clnm wcel cbs cfv cv csn cxp cmpt clmhm co crn wceq clmod cvv eqid
      lnmlmod snex pwsdiaglmhm sylancl wf1o wfo pwssnf1o elvd f1ofo forn lnmepi
      id 3syl syl3anc ) BFGZEBHIZAJZKZEJKLMZBCNOGZUOUSPCHIZQZCFGUOBRGURSGUTBUAU
      QUBEUPBUSURSCDUPTZUSTZUCUDUOULUOUPVAUSUEZUPVAUSUFVBUOVEAEUPVABUSUQFSCDVCV
      DVATZUGUHUPVAUSUIUPVAUSUJUMVABCUSVFUKUN $.
  $}

  ${
    $d X x y $.  $d A x y $.  $d W x y $.  $d Z x y $.  $d B x y $.
    $d Y x y $.  $d ph x y $.
    pwslnmlem2.a $e |- A e. _V $.
    pwslnmlem2.b $e |- B e. _V $.
    pwslnmlem2.x $e |- X = ( W ^s A ) $.
    pwslnmlem2.y $e |- Y = ( W ^s B ) $.
    pwslnmlem2.z $e |- Z = ( W ^s ( A u. B ) ) $.
    pwslnmlem2.w $e |- ( ph -> W e. LMod ) $.
    pwslnmlem2.dj $e |- ( ph -> ( A i^i B ) = (/) ) $.
    pwslnmlem2.xn $e |- ( ph -> X e. LNoeM ) $.
    pwslnmlem2.yn $e |- ( ph -> Y e. LNoeM ) $.
    $( A sum of powers is Noetherian.  (Contributed by Stefan O'Rear,
       25-Jan-2015.) $)
    pwslnmlem2 $p |- ( ph -> Z e. LNoeM ) $=
      ( vx wcel clnm eqid vy cbs cfv cv cres cmpt clmhm ccnv c0g csn cima cress
      crn clmod cun cvv wss unex a1i ssun1 pwssplit3 syl3anc cxp wceq crab fvex
      mptiniseg ax-mp cmnd cgrp lmodgrp grpmnd 3syl pws0g sylancl eqcomd eqeq2d
      co rabbidv syl5eq oveq2d clmim clmic wbr wb cin pwssplit4 brlmici lnmlmic
      c0 mpbird eqeltrd wfo pwssplit1 forn syl ressid eqtrd lmhmlnmsplit ) AQGU
      BUCZQUDBUEZUFZGEUGVRRZGXBUHEUIUCZUJUKZULVRZSREXBUMZULVRZSRGSRADUNRZBCUOZU
      PRZBXJUQZXCMXKABCHIURUSZXLABCUTUSZQWTEUBUCZXJXBBDUPGELJWTTZXOTZXBTZVAVBAX
      FGXABDUIUCZUJVCZVDZQWTVEZULVRZSAXEYBGULAXEXAXDVDZQWTVEZYBXDUPRXEYEVDEUIVF
      QWTXAXDXBUPXRVGVHAYDYAQWTAXDXTXAAXTXDADVIRZBUPRXTXDVDAXIDVJRYFMDVKDVLVMZH
      DBUPEXSJXSTZVNVOVPVQVSVTWAAYCSRZFSRZPAUAYBUAUDCUEUFZYCFWBVRRZYCFWCWDYIYJW
      EAXIXKBCWFWJVDYLMXMNUAQBCEFDGYKWTYBYCUPXSLXPYHYBTYKTJKYCTWGVBYCFYKWHYCFWI
      VMWKWLAXHESAXHEXOULVRZEAXGXOEULAWTXOXBWMZXGXOVDAYFXKXLYNYGXMXNQWTXOXJXBBD
      UPGELJXPXQXRWNVBWTXOXBWOWPWAAESRYMEVDOXOESXQWQWPWROWLGEXFXBXEXHXDXDTXETXF
      TXHTWSVB $.
  $}

  ${
    $d W a b c $.  $d I a b c $.
    pwslnm.y $e |- Y = ( W ^s I ) $.
    $( Finite powers of Noetherian modules are Noetherian.  (Contributed by
       Stefan O'Rear, 24-Jan-2015.) $)
    pwslnm $p |- ( ( W e. LNoeM /\ I e. Fin ) -> Y e. LNoeM ) $=
      ( va vb vc clnm wcel wa cpws co cv wi c0 wceq oveq2 eleq1d imbi2d eqid wn
      cfn csn cun weq clmod lnmlmod pwslnmlem0 syl wel vex snex ad2antrl disjsn
      cin biimpri ad2antlr simprr pwslnmlem1 pwslnmlem2 exp32 findcard2s impcom
      a2d eqeltrid ) BHIZAUBIZJCBAKLZHDVGVFVHHIZVFBEMZKLZHIZNVFBOKLZHIZNVFBFMZK
      LZHIZNVFBVOGMZUCZUDZKLZHIZNVFVINEFGAVJOPZVLVNVFWCVKVMHVJOBKQRSEFUEZVLVQVF
      WDVKVPHVJVOBKQRSVJVTPZVLWBVFWEVKWAHVJVTBKQRSVJAPZVLVIVFWFVKVHHVJABKQRSVFB
      UFIZVNBUGZBVMVMTUHUIVOUBIZGFUJUAZJZVFVQWBWKVFVQWBWKVFVQJZJVOVSBVPBVSKLZWA
      FUKVRULVPTWMTZWATVFWGWKVQWHUMWJVOVSUOOPZWIWLWOWJVOVRUNUPUQWKVFVQURVFWMHIW
      KVQGBWMWNUSUMUTVAVDVBVCVE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Every set admits a group structure iff choice
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d a b c d B $.  $d a b c d C $.  $d a b c d D $.  $d a b c d .+ $.
    $d a b c d ph $.  $d b c A $.  $d a c d x y B $.  $d x y C $.  $d x y D $.
    $d x y .+ $.  $d x ph $.
    unxpwdom3.av $e |- ( ph -> A e. V ) $.
    unxpwdom3.bv $e |- ( ph -> B e. W ) $.
    unxpwdom3.dv $e |- ( ph -> D e. X ) $.
    unxpwdom3.ov $e |- ( ( ph /\ a e. C /\ b e. D ) ->
        ( a .+ b ) e. ( A u. B ) ) $.
    unxpwdom3.lc $e |- ( ( ( ph /\ a e. C ) /\ ( b e. D /\ c e. D ) ) ->
        ( ( a .+ b ) = ( a .+ c ) <-> b = c ) ) $.
    unxpwdom3.rc $e |- ( ( ( ph /\ d e. D ) /\ ( a e. C /\ c e. C ) ) ->
        ( ( c .+ d ) = ( a .+ d ) <-> c = a ) ) $.
    unxpwdom3.ni $e |- ( ph -> -. D ~<_ A ) $.
    $( Weaker version of ~ unxpwdom where a function is required only to be
       cancellative, not an injection. ` D ` and ` B ` are to be thought of as
       "large" "horizonal" sets, the others as "small".  Because the operator
       is row-wise injective, but the whole row cannot inject into ` A ` , each
       row must hit an element of ` B ` ; by column injectivity, each row can
       be identified in at least one way by the ` B ` element that it hits and
       the column in which it is hit.  (Contributed by Stefan O'Rear,
       8-Jul-2015.) _MOVABLE_ $)
    unxpwdom3 $p |- ( ph -> C ~<_* ( D X. B ) ) $=
      ( vx vy cxp cvv cv c1st cfv co c2nd wceq crio xpexd wcel wa simprr simplr
      wrex weq wb an4s anassrs adantlrr riota5 eqeq2 riotabidv rspceeqv syl2anc
      eqcomd wn wral cdom wbr adantr ad2antrr wi oveq2 eleq1d notbid adantl cun
      rspcv wo 3expa elun sylib orcomd ord syld impancom dom2d mpd mtand dfrex2
      sylibr reximddv cop vex op1std oveq2d op2ndd eqeq12d eqeq2d rexxp wdomd
      ex ) AJUADECUCZUDLUEZUAUEZUFUGZFUHZXHUIUGZUJZLDUKZAECIHPOULAJUEZDUMZUNZXN
      XGMUEZFUHZUBUEZUJZLDUKZUJZUBCUQZMEUQXNXMUJZUAXFUQXPXNXQFUHZCUMZYCMEXPXQEU
      MZYFUNZUNZYFXNXRYEUJZLDUKZUJYCXPYGYFUOYIYKXNYIYJLDXNAXOYHUPXPYGXGDUMZYJLJ
      URUSZYFXPYGYLYMAYGXOYLYMSUTVAVBVCVHUBYECYAYKXNXSYEUJXTYJLDXSYEXRVDVEVFVGX
      PYFVIZMEVJZVIYFMEUQXPYOEBVKVLZAYPVIXOTVMXPYOUNZBGUMZYPAYRXOYONVNYQKLEBXNK
      UEZFUHZXNXGFUHZGXPYSEUMZYOYTBUMZXPUUBUNZYOYTCUMZVIZUUCUUBYOUUFVOXPYNUUFMY
      SEMKURZYFUUEUUGYEYTCXQYSXNFVPVQVRWAVSUUDUUEUUCUUDUUCUUEUUDYTBCVTUMZUUCUUE
      WBAXOUUBUUHQWCYTBCWDWEWFWGWHWIXPUUBXGEUMUNZYTUUAUJKLURUSZVOYOXPUUIUUJRXEV
      MWJWKWLYFMEWMWNWOYDYBUAMUBECXHXQXSWPUJZXMYAXNUUKXLXTLDUUKXJXRXKXSUUKXIXQX
      GFXQXSXHMWQZUBWQZWRWSXQXSXHUULUUMWTXAVEXBXCWNXD $.
  $}

  ${
    $d x y A $.  $d x S $.  $d x y V $.
    pwfi2f1o.s $e |- S = { y e. ( 2o ^m A ) | y finSupp (/) } $.
    pwfi2f1o.f $e |- F = ( x e. S |-> ( `' x " { 1o } ) ) $.
    $( The ~ pw2f1o bijection relates finitely supported indicator functions on
       a two-element set to finite subsets. _MOVABLE_ (Contributed by Stefan
       O'Rear, 10-Jul-2015.)  (Revised by AV, 14-Jun-2020.) $)
    pwfi2f1o $p |- ( A e. V -> F : S -1-1-onto-> ( ~P A i^i Fin ) ) $=
      ( wcel c2o ccnv c1o cima wf1o cfn cin wss syl c0 wceq cmap co cv csn cmpt
      cres cpw wf1 eqid pw2f1o2 f1of1 cfsupp crab ssrab2 eqsstri f1ores sylancl
      wbr wb wa csupp wfun cvv w3a elmapfun 0ex a1i 3jca adantl funisfsupp cdif
      id wf anim2i elmapi frnsuppeq sylc csuc df-2o df-suc equncomi eqtri df1o2
      cun eqcomi difeq12i difun2 incom word 1on onordi orddisj ax-mp disj3 mpbi
      eqtr4i imaeq2i eqtrdi eleq1d cnvimass fssdm 3bitrd elfpw bitr4di rabbidva
      biantrurd cnveq imaeq1d cbvmptv mptpreima 3eqtr4g imaeq2d wfo f1ofo inss1
      foimacnv eqtrd f1oeq3 resmpt f1oeq1 mp1i bitrd mpbid ) CFIZDAJCUAUBZAUCZK
      ZLUDZMZUEZDMZYJDUFZNZDCUGZOPZENZYDYEYNYJUHZDYEQZYMYDYEYNYJNZYQACYJFYJUIUJ
      ZYEYNYJUKRDBUCZSULURZBYEUMZYEGUUBBYEUNUOZYEYNDYJUPUQYDYMDYOYLNZYPYDYKYOTY
      MUUEUSYDYKYJYJKYOMZMZYOYDDUUFYJYDUUCUUAKZYHMZYOIZBYEUMDUUFYDUUBUUJBYEYDUU
      AYEIZUTZUUBUUICQZUUIOIZUTZUUJUULUUBUUASVAUBZOIZUUNUUOUULUUAVBZUUKSVCIZVDZ
      UUBUUQUSUUKUUTYDUUKUURUUKUUSUUAJCVEUUKVLUUSUUKVFVGZVHVIUUAYEVCSVJRUULUUPU
      UIOUULUUPUUHJSUDZVKZMZUUIUULYDUUSUTCJUUAVMZUUPUVDTUUKUUSYDUVAVNUUKUVEYDUU
      AJCVOVIZJUUACFVCSVPVQUVCYHUUHUVCYHLWDZLVKZYHJUVGUVBLJLVRZUVGVSUVILYHLVTWA
      WBLUVBWCWEWFUVHYHLVKZYHYHLWGYHLPZSTYHUVJTUVKLYHPZSYHLWHLWIUVLSTLWJWKLWLWM
      WBYHLWNWOWPWBWQWRWSUULUUMUUNUULCJUUIUUAUUAYHWTUVFXAXFXBUUICXCXDXEGBYEUUIY
      OYJABYEYIUUIYFUUATYGUUHYHYFUUAXGXHXIXJXKXLYDYEYNYJXMZYOYNQUUGYOTYDYSUVMYT
      YEYNYJXNRYNOXOYEYNYOYJXPUQXQYKYODYLXRRYLETUUEYPUSYDYLADYIUEZEYRYLUVNTUUDA
      YEDYIXSWMHWPDYOYLEXTYAYBYC $.
  $}

  ${
    $d x y A $.  $d x S $.  $d x y V $.
    pwfi2en.s $e |- S = { y e. ( 2o ^m A ) | y finSupp (/) } $.
    $( Finitely supported indicator functions are equinumerous to finite
       subsets. _MOVABLE_ (Contributed by Stefan O'Rear, 10-Jul-2015.)
       (Revised by AV, 14-Jun-2020.) $)
    pwfi2en $p |- ( A e. V -> S ~~ ( ~P A i^i Fin ) ) $=
      ( vx wcel cpw cfn cin cv ccnv c1o csn cima cmpt wf1o wbr c2o cmap eqid c0
      cen pwfi2f1o cfsupp co ovex rabex2 f1oen syl ) BDGCBHIJZFCFKLMNOPZQCUKUCR
      FABCULDEULUAUDCUKULAKUBUERASBTUFCESBTUGUHUIUJ $.
  $}

  ${
    $d x I $.  $d x R $.  $d x V $.
    frlmpwfi.r $e |- R = ( Z/nZ ` 2 ) $.
    frlmpwfi.y $e |- Y = ( R freeLMod I ) $.
    frlmpwfi.b $e |- B = ( Base ` Y ) $.
    $( Formal linear combinations over Z/2Z are equivalent to finite subsets.
       _MOVABLE_ (Contributed by Stefan O'Rear, 10-Jul-2015.)  (Proof shortened
       by AV, 14-Jun-2020.) $)
    frlmpwfi $p |- ( I e. V -> B ~~ ( ~P I i^i Fin ) ) $=
      ( vx wcel c0 wbr c2o cen cfn cfv cvv c2 eqid ax-mp cv cfsupp cmap co crab
      cpw cin c0g cbs wceq czn fvexi frlmbas eqtr4di enrefg chash cn 2nn znhash
      mpan hash2 eqtr4i wb cn0 2nn0 eqeltri fvex hashclb mpbir 2onn nnfi hashen
      com mpbi a1i crg ccrg zncrng crngring mp2b ring0cl mp1i wne 2on0 con0 2on
      mp2an on0eln0 mapfien2 eqbrtrrd pwfi2en entr syl2anc ) CDJZAIUAZKUBLIMCUC
      UDUEZNLWPCUFOUGZNLAWQNLWNWOBUHPZUBLIBUIPZCUCUDUEZAWPNWNWTEUIPZABQJWNWTXAU
      JBRUKFULWTBIECWSQDWRGWSSZWRSZWTSZUMUTHUNWNICWSCMWTWPKWRXDWPSZCDUOWSMNLZWN
      WSUPPZMUPPZUJZXFXGRXHRUQJXGRUJURWSRBFXBUSTZVAVBWSOJZMOJZXIXFVCXKXGVDJZXGR
      VDXJVEVFWSQJXKXMVCBUIVGWSQVHTVIMVMJXLVJMVKTWSMVLWGVNVOBVPJZWRWSJWNRVDJBVQ
      JXNVERBFVRBVSVTWSBWRXBXCWAWBKMJZWNXOMKWCZWDMWEJXOXPVCWFMWHTVIVOWIWJICWPDX
      EWKAWPWQWLWM $.
  $}

  ${
    $d v w x y G $.  $d v x y z G $.  $d v w x y H $.  $d z H $.
    $( Being Abelian is a group invariant. _MOVABLE_ (Contributed by Stefan
       O'Rear, 8-Jul-2015.) $)
    gicabl $p |- ( G ~=g H -> ( G e. Abel <-> H e. Abel ) ) $=
      ( vx vy vz vw vv co wcel wb syl cfv wceq wral eqid adantr syl3anc eqeq12d
      cv wa cgic wbr cgim c0 wne cabl brgic n0 cgrp ccmn gimghm ghmgrp1 ghmgrp2
      wex cghm 2thd cmnd cplusg cbs grpmndd wf1 wf1o gimf1o f1of1 simprl simprr
      grpcl f1fveq syl12anc ghmlin bitr3d 2ralbidva wfo f1ofo foima raleqdv wfn
      cima f1ofn ssid oveq2 oveq1 ralima sylancl ralbidv bitr4d anbi12d 3bitr4g
      wss iscmn isabl exlimiv sylbi ) ABUAUBABUCHZUDUEZAUFIZBUFIZJZABUGWOCSZWNI
      ZCUNWRCWNUHWTWRCWTAUIIZAUJIZTBUIIZBUJIZTWPWQWTXAXCXBXDWTXAXCWTWSABUOHIZXA
      ABWSUKZABWSULKZWTXEXCXFABWSUMKZUPWTAUQIZDSZESZAURLZHZXKXJXLHZMZEAUSLZNDXP
      NZTBUQIZFSZGSZBURLZHZXTXSYAHZMZGBUSLZNZFYENZTXBXDWTXIXRXQYGWTXIXRWTAXGUTW
      TBXHUTUPWTXQXJWSLZXTYAHZXTYHYAHZMZGYENZDXPNZYGWTXQYHXKWSLZYAHZYNYHYAHZMZE
      XPNZDXPNYMWTXOYQDEXPXPWTXJXPIZXKXPIZTZTZXMWSLZXNWSLZMZXOYQUUBXPYEWSVAZXMX
      PIZXNXPIZUUEXOJWTUUFUUAWTXPYEWSVBZUUFXPYEABWSXPOZYEOZVCZXPYEWSVDKPUUBXAYS
      YTUUGWTXAUUAXGPZWTYSYTVEZWTYSYTVFZXPXLAXJXKUUJXLOZVGQUUBXAYTYSUUHUUMUUOUU
      NXPXLAXKXJUUJUUPVGQXPYEXMXNWSVHVIUUBUUCYOUUDYPUUBXEYSYTUUCYOMWTXEUUAXFPZU
      UNUUOXLYAABXJWSXKXPUUJUUPYAOZVJQUUBXEYTYSUUDYPMUUQUUOUUNXLYAABXKWSXJXPUUJ
      UUPUURVJQRVKVLWTYLYRDXPWTYKGWSXPVRZNZYLYRWTYKGUUSYEWTUUIUUSYEMZUULUUIXPYE
      WSVMUVAXPYEWSVNXPYEWSVOKKZVPWTWSXPVQZXPXPWIZUUTYRJWTUUIUVCUULXPYEWSVSKZXP
      VTZYKYQGEXPXPWSXTYNMYIYOYJYPXTYNYHYAWAXTYNYHYAWBRWCWDVKWEWFWTYFFUUSNZYGYM
      WTYFFUUSYEUVBVPWTUVCUVDUVGYMJUVEUVFYFYLFDXPXPWSXSYHMZYDYKGYEUVHYBYIYCYJXS
      YHXTYAWBXSYHXTYAWARWEWCWDVKWFWGDEXPXLAUUJUUPWJFGYEYABUUKUURWJWHWGAWKBWKWH
      WLWMWM $.
  $}

  ${
    $d a b c d F $.  $d a b c d R $.  $d a b c d U $.  $d a b c d V $.
    $d a b c d ph $.  $d c d B $.
    imasgim.u $e |- ( ph -> U = ( F "s R ) ) $.
    imasgim.v $e |- ( ph -> V = ( Base ` R ) ) $.
    imasgim.f $e |- ( ph -> F : V -1-1-onto-> B ) $.
    imasgim.r $e |- ( ph -> R e. Grp ) $.
    $( A relabeling of the elements of a group induces an isomorphism to the
       relabeled group. _MOVABLE_ (Contributed by Stefan O'Rear, 8-Jul-2015.)
       (Revised by Mario Carneiro, 11-Aug-2015.) $)
    imasgim $p |- ( ph -> F e. ( R GrpIso U ) ) $=
      ( va vb vd vc co wcel cfv wf1o eqid cv cghm cbs cgim cplusg cgrp c0g wceq
      eqidd wfo f1ofo f1ocpbl imasgrp simpld wf wb imasbas f1oeq3 mpbid f1oeq2d
      syl f1of wa eleq2d anbi12d w3a imasaddval eqcomd 3expib sylbird imp isgim
      isghmd sylanbrc ) AECDUAOPCUBQZDUBQZERZECDUCOPAKLCUDQZDUDQZCDEVNVOVNSZVOS
      ZVQSZVRSZJADUEPCUFQZEQDUFQUGABVQCDEFWCMNKLGHAVQUHAFBERZFBEUIIFBEUJUTZAKTZ
      LTZNTMTVQEFBIUKZJWCSULUMAVPVNVOEUNAFVOERZVPAWDWIIABVOUGWDWIUOABCDEFUEGHWE
      JUPBVOFEUQUTURAFVNVOEHUSURZVNVOEVAUTAWFVNPZWGVNPZVBZWFWGVQOEQZWFEQWGEQVRO
      ZUGZAWMWFFPZWGFPZVBWPAWQWKWRWLAFVNWFHVCAFVNWGHVCVDAWQWRWPAWQWRVEWOWNABCVR
      VQDEFWFWGUEMNKLWEWHGHJWAWBVFVGVHVIVJVLWJVNVOCDEVSVTVKVM $.
  $}

  ${
    $d f B $.  $d f C $.  $d f R $.
    isnumbasgrplem1.b $e |- B = ( Base ` R ) $.
    $( A set which is equipollent to the base set of a definable Abelian group
       is the base set of some (relabeled) Abelian group.  (Contributed by
       Stefan O'Rear, 8-Jul-2015.) $)
    isnumbasgrplem1 $p |- ( ( R e. Abel /\ C ~~ B ) ->
        C e. ( Base " Abel ) ) $=
      ( vf cen wbr cabl wcel cv wf1o wex cbs cima ensymb bren bitri co cfv cvv
      wi wa cimas eqidd wceq a1i wfo f1ofo adantr simpr imasbas cgim cgic simpl
      cgrp ablgrp adantl imasgim brgici gicabl 3syl mpbid wfn wss basfn fnfvima
      wb ssv mp3an12 syl eqeltrd ex exlimiv impcom sylan2b ) BAFGZCHIZABEJZKZEL
      ZBMHNZIZVPABFGVTBAOABEPQVTVQWBVSVQWBUAEVSVQWBVSVQUBZBVRCUCRZMSZWAWCBCWDVR
      AHWCWDUDZACMSUEWCDUFZVSABVRUGVQABVRUHUIVSVQUJZUKWCWDHIZWEWAIZWCVQWIWHWCVR
      CWDULRICWDUMGVQWIVGWCBCWDVRAWFWGVSVQUNVQCUOIVSCUPUQURCWDVRUSCWDUTVAVBMTVC
      HTVDWIWJVEHVHTHMWDVFVIVJVKVLVMVNVO $.
  $}

  $( The Hartogs number of a set is never zero. _MOVABLE_ (Contributed by
     Stefan O'Rear, 9-Jul-2015.) $)
  harn0 $p |- ( S e. V -> ( har ` S ) =/= (/) ) $=
    ( wcel char cfv c0 con0 cdom wbr 0elon a1i 0domg elharval sylanbrc ne0d ) A
    BCZADEZFPFGCZFAHIFQCRPJKABLAFMNO $.

  $( A numerable infinite set contains a countable subset. _MOVABLE_
     (Contributed by Stefan O'Rear, 9-Jul-2015.) $)
  numinfctb $p |- ( ( S e. dom card /\ -. S e. Fin ) -> _om ~<_ S ) $=
    ( ccrd cdm wcel com cdom wbr cfn wn csdm wb con0 omelon onenon domtri2 mpan
    ax-mp isfinite notbii bitr4di biimpar ) ABCZDZEAFGZAHDZIZUCUDAEJGZIZUFEUBDZ
    UCUDUHKELDUIMENQEAOPUEUGARSTUA $.

  ${
    $d a b c d x S $.
    $( If the (to be thought of as disjoint, although the proof does not
       require this) union of a set and its Hartogs number supports a group
       structure (more generally, a cancellative magma), then the set must be
       numerable.  (Contributed by Stefan O'Rear, 9-Jul-2015.) $)
    isnumbasgrplem2 $p |- ( ( S u. ( har ` S ) ) e. ( Base " Grp ) ->
        S e. dom card ) $=
      ( vx va vc vd vb cfv cbs cgrp wcel cv wceq cvv wss wb wbr sseldd ad2antrr
      wa co char cun cima wrex ccrd cdm wfn basfn ssv fvelimab mp2an cdom harcl
      cxp con0 onenon ax-mp xpnum cwdom ssun1 simpr sseqtrrid fvex ssex syl a1i
      cplusg w3a simp1l 3ad2ant1 simp2 ssun2 simp3 grpcl syl3anc simp1r eleqtrd
      simplll simprl simprr simplr grplcan syl13anc grprcan wn harndom wdomnumr
      eqid unxpwdom3 sylib numdom sylancr rexlimiva sylbi ) AAUAGZUBZHIUCJZBKZH
      GZWPLZBIUDZAUEUFZJZHMUGIMNWQXAOUHIUIBMIWPHUJUKWTXCBIWRIJZWTSZWOWOUNZXBJZA
      XFULPZXCWOXBJZXIXGWOUOJXIAUMWOUPUQZXJWOWOURUKZXEAXFUSPZXHXEAWOAWOWRVGGZMX
      BXBCDEFXEAWSNZAMJXEWPAWSAWOUTXDWTVAZVBZAWSWRHVCVDVEXIXEXJVFZXQXECKZAJZDKZ
      WOJZVHZXRXTXMTZWSWPYBXDXRWSJZXTWSJZYCWSJXDWTXSYAVIYBAWSXRXEXSXNYAXPVJXEXS
      YAVKQYBWOWSXTXEXSWOWSNZYAXEWPWOWSWOAVLXOVBZVJXEXSYAVMQWSXMWRXRXTWSWHZXMWH
      ZVNVOXDWTXSYAVPVQXEXSSZYAEKZWOJZSZSZXDYEYKWSJZYDYCXRYKXMTLXTYKLOXDWTXSYMV
      RYNWOWSXTXEYFXSYMYGRZYJYAYLVSQYNWOWSYKYPYJYAYLVTQYNAWSXRXEXNXSYMXPRXEXSYM
      WAQWSXMWRXTYKXRYHYIWBWCXEFKZWOJZSZXSYKAJZSZSZXDYOYDYQWSJYKYQXMTXRYQXMTLYK
      XRLOXDWTYRUUAVRUUBAWSYKXEXNYRUUAXPRZYSXSYTVTQUUBAWSXRUUCYSXSYTVSQUUBWOWSY
      QXEYFYRUUAYGRXEYRUUAWAQWSXMWRYKXRYQYHYIWDWCWOAULPWEXEAWFVFWIXGXLXHOXKAXFW
      GUQWJXFAWKWLWMWN $.

    $( Every nonempty numerable set can be given the structure of an Abelian
       group, either a finite cyclic group or a vector space over Z/2Z.
       (Contributed by Stefan O'Rear, 10-Jul-2015.) $)
    isnumbasgrplem3 $p |- ( ( S e. dom card /\ S =/= (/) ) ->
        S e. ( Base " Abel ) ) $=
      ( wcel wa cfn cbs cabl chash cfv czn cen wbr cn0 ccrg crg zncrng crngring
      eqid syl syl2anc c2 ccrd cdm wne cima hashcl adantl ringabl 4syl hashnncl
      c0 wceq cn biimparc znhash eqcomd simpr znfi hashen mpbid isnumbasgrplem1
      wb adantll wn cfrlm co clmod 2nn0 mp2b frlmlmod mpan lmodabl ad2antrr cpw
      cin frlmpwfi com cdom simpll numinfctb adantlr infpwfien ensymd pm2.61dan
      entr ) AUAUBZBZAUJUCZCZADBZAEFUDBZWGWIWJWFWGWICZAGHZIHZFBZAWMEHZJKZWJWKWL
      LBZWMMBWMNBWNWIWQWGAUEUFWLWMWMQZOWMPWMUGUHWKWLWOGHZUKZWPWKWSWLWKWLULBZWSW
      LUKWIXAWGAUIUMZWOWLWMWRWOQZUNRUOWKWIWODBZWTWPVAWGWIUPWKXAXDXBWOWLWMWRXCUQ
      RAWOURSUSWOAWMXCUTSVBWHWIVCZCZTIHZAVDVEZFBZAXHEHZJKWJWFXIWGXEWFXHVFBZXIXG
      NBZWFXKTLBXGMBXLVGTXGXGQZOXGPVHXGXHAWEXHQZVIVJXHVKRVLXFXJAXFXJAVMDVNZJKZX
      OAJKZXJAJKWFXPWGXEXJXGAWEXHXMXNXJQZVOVLXFWFVPAVQKZXQWFWGXEVRWFXEXSWGAVSVT
      AWASXJXOAWDSWBXJAXHXRUTSWC $.
  $}

  $( A set is numerable iff it and its Hartogs number can be jointly given the
     structure of an Abelian group.  (Contributed by Stefan O'Rear,
     9-Jul-2015.) $)
  isnumbasabl $p |- ( S e. dom card <->
      ( S u. ( har ` S ) ) e. ( Base " Abel ) ) $=
    ( vx ccrd cdm wcel char cfv cun cbs cabl cima c0 wne con0 harcl ax-mp unnum
    onenon wss cgrp mpan2 ssun2 harn0 sylancr isnumbasgrplem3 syl2anc cv ablgrp
    ssn0 ssriv imass2 sseli isnumbasgrplem2 syl impbii ) ACDZEZAAFGZHZIJKZEZUQU
    SUPEZUSLMZVAUQURUPEZVBURNEVDAOURRPAURQUAUQURUSSURLMVCURAUBAUPUCURUSUIUDUSUE
    UFVAUSITKZEUQUTVEUSJTSUTVESBJTBUGUHUJJTIUKPULAUMUNUO $.

  $( A set is numerable iff it and its Hartogs number can be jointly given the
     structure of a group.  (Contributed by Stefan O'Rear, 9-Jul-2015.) $)
  isnumbasgrp $p |- ( S e. dom card <->
      ( S u. ( har ` S ) ) e. ( Base " Grp ) ) $=
    ( vx ccrd cdm wcel char cfv cun cbs cgrp cima wss ablgrp ssriv imass2 ax-mp
    cabl cv isnumbasabl biimpi sselid isnumbasgrplem2 impbii ) ACDEZAAFGHZIJKZE
    UDIQKZUFUEQJLUGUFLBQJBRMNQJIOPUDUEUGEASTUAAUBUC $.

  ${
    $d x y $.
    $( A choice equivalent in abstract algebra:  All nonempty sets admit a
       group structure.  From ~ http://mathoverflow.net/a/12988 .  (Contributed
       by Stefan O'Rear, 9-Jul-2015.) $)
    dfacbasgrp $p |- ( CHOICE <-> ( Base " Grp ) = ( _V \ { (/) } ) ) $=
      ( vx vy cvv wceq cbs cgrp cima c0 cv wcel wne wa cfv wss mp2an cabl ax-mp
      eleqtrrd eldifsn eqrdv wac ccrd cdm csn cdif dfac10 wrex wfn wb basfn ssv
      fvelimab grpbn0 neeq1 syl5ibcom rexlimiv sylbi adantl jctil ablgrp imass2
      eqid vex ssriv simprl simpl simprr isnumbasgrplem3 syl2anc sselid impbida
      bitr4di char cun fvex unex ssun2 harn0 mpbir2an a1i id isnumbasgrp sylibr
      ssn0 2thd impbii bitri ) UAUBUCZCDZEFGZCHUDUEZDZUFWIWLWIAWJWKWIAIZWJJZWMC
      JZWMHKZLZWMWKJWIWNWQWIWNLWPWOWNWPWIWNBIZEMZWMDZBFUGZWPECUHFCNWNXAUIUJFUKB
      CFWMEULOWTWPBFWRFJWSHKWTWPWSWRWSVBUMWSWMHUNUOUPUQURAVCZUSWIWQLZEPGZWJWMPF
      NXDWJNAPFWMUTVDPFEVAQXCWMWHJZWPWMXDJXCWMCWHWIWOWPVEWIWQVFRWIWOWPVGWMVHVIV
      JVKWMCHSVLTWLAWHCWLXEWOWLWMWMVMMZVNZWJJXEWLXGWKWJXGWKJZWLXHXGCJXGHKZWMXFX
      BWMVMVOVPXFXGNXFHKZXIXFWMVQWOXJXBWMCVRQXFXGWDOXGCHSVSVTWLWARWMWBWCWOWLXBV
      TWETWFWG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Noetherian rings and left modules II
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c LNoeR $.

  $( Extend class notation with the class of left Noetherian rings. $)
  clnr $a class LNoeR $.

  $( A ring is _left-Noetherian_ iff it is Noetherian as a left module over
     itself.  (Contributed by Stefan O'Rear, 24-Jan-2015.) $)
  df-lnr $a |- LNoeR = { a e. Ring | ( ringLMod ` a ) e. LNoeM } $.

  ${
    $d A a $.
    $( Property of a left-Noetherian ring.  (Contributed by Stefan O'Rear,
       24-Jan-2015.) $)
    islnr $p |- ( A e. LNoeR <-> ( A e. Ring /\
        ( ringLMod ` A ) e. LNoeM ) ) $=
      ( va cv crglmod cfv clnm wcel crg clnr wceq fveq2 eleq1d df-lnr elrab2 )
      BCZDEZFGADEZFGBAHIOAJPQFOADKLBMN $.

    $( Left-Noetherian rings are rings.  (Contributed by Stefan O'Rear,
       24-Jan-2015.) $)
    lnrring $p |- ( A e. LNoeR -> A e. Ring ) $=
      ( clnr wcel crg crglmod cfv clnm islnr simplbi ) ABCADCAEFGCAHI $.

    $( Left-Noetherian rings have Noetherian associated modules.  (Contributed
       by Stefan O'Rear, 24-Jan-2015.) $)
    lnrlnm $p |- ( A e. LNoeR -> ( ringLMod ` A ) e. LNoeM ) $=
      ( clnr wcel crg crglmod cfv clnm islnr simprbi ) ABCADCAEFGCAHI $.
  $}

  ${
    $d i g R $.  $d i g N $.  $d i g U $.  $d i g B $.
    islnr2.b $e |- B = ( Base ` R ) $.
    islnr2.u $e |- U = ( LIdeal ` R ) $.
    islnr2.n $e |- N = ( RSpan ` R ) $.
    $( Property of being a left-Noetherian ring in terms of finite generation
       of ideals (the usual "pure ring theory" definition).  (Contributed by
       Stefan O'Rear, 24-Jan-2015.) $)
    islnr2 $p |- ( R e. LNoeR <-> ( R e. Ring /\
        A. i e. U E. g e. ( ~P B i^i Fin ) i = ( N ` g ) ) ) $=
      ( clnr wcel crg crglmod cfv clnm wa cv wceq cbs eqtri cpw wrex wral islnr
      cfn cin clmod wb rlmlmod rlmbas clidl clss lidlval crsp clspn rspval baib
      islnm2 syl pm5.32i bitri ) BJKBLKZBMNZOKZPVBEQDQFNRDAUAUEUFUBECUCZPBUDVBV
      DVEVBVCUGKZVDVEUHBUIVDVFVEACDEVCFABSNVCSNGBUJTCBUKNVCULNHBUMTFBUNNVCUONIB
      UPTURUQUSUTVA $.
  $}

  ${
    $d B x y $.  $d R x y $.  $d U x y $.
    islnr3.b $e |- B = ( Base ` R ) $.
    islnr3.u $e |- U = ( LIdeal ` R ) $.
    $( Relate left-Noetherian rings to Noetherian-type closure property of the
       left ideal system.  (Contributed by Stefan O'Rear, 4-Apr-2015.) $)
    islnr3 $p |- ( R e. LNoeR <-> ( R e. Ring /\ U e. ( NoeACS ` B ) ) ) $=
      ( vx vy clnr wcel crg cv crsp cfv wceq cpw cfn wrex wral wa eqid cin cacs
      cnacs islnr2 mrcrsp fveq1d eqeq2d rexbidv ralbidv lidlacs biantrurd bitrd
      cmrc isnacs bitr4di pm5.32i bitri ) BHIBJIZFKZGKZBLMZMZNZGAOPUAZQZFCRZSUR
      CAUCMIZSABCGFVADEVATZUDURVFVGURVFCAUBMIZUSUTCUMMZMZNZGVDQZFCRZSZVGURVFVNV
      OURVEVMFCURVCVLGVDURVBVKUSURUTVAVJBCVJVAEVHVJTZUEUFUGUHUIURVIVNACBDEUJUKU
      LCGVJAFVPUNUOUPUQ $.
  $}

  ${
    $d I g i $.  $d N g i $.  $d R g i $.  $d U g i $.
    lnr2i.u $e |- U = ( LIdeal ` R ) $.
    lnr2i.n $e |- N = ( RSpan ` R ) $.
    $( Given an ideal in a left-Noetherian ring, there is a finite subset which
       generates it.  (Contributed by Stefan O'Rear, 31-Mar-2015.) $)
    lnr2i $p |- ( ( R e. LNoeR /\ I e. U ) ->
        E. g e. ( ~P I i^i Fin ) I = ( N ` g ) ) $=
      ( vi wcel wa cv cfv wceq cpw cfn cin wrex wi wss 3imtr4g clnr wral islnr2
      cbs eqid simprbi eqeq1 rexbidv rspcva sylan2 ancoms lnrring rspssid sylan
      crg ex vex elpw anim1d elin pweq ineq1d eleq2d syl5ibrcom imdistand ancom
      imbi2d reximdv2 adantr mpd ) AUAIZDBIZJDCKZELZMZCAUDLZNZOPZQZVOCDNZOPZQZV
      LVKVSVKVLHKZVNMZCVRQZHBUBZVSVKAUOIZWFVPABCHEVPUEZFGUCUFWEVSHDBWCDMWDVOCVR
      WCDVNUGUHUIUJUKVKVSWBRVLVKVOVOCVRWAVKVOVMVRIZJVOVMWAIZJWIVOJWJVOJVKVOWIWJ
      VKWIWJRVOWIVMVNNZOPZIZRVKVMVQIZVMOIZJVMWKIZWOJWIWMVKWNWPWOVKVMVPSZVMVNSZW
      NWPVKWQWRVKWGWQWRAULVPAVMEGWHUMUNUPVMVPCUQZURVMVNWSURTUSVMVQOUTVMWKOUTTVO
      WJWMWIVOWAWLVMVOVTWKODVNVAVBVCVGVDVEWIVOVFWJVOVFTVHVIVJ $.
  $}

  ${
    $d a b c R $.
    $( Left principal ideal rings are left Noetherian.  (Contributed by Stefan
       O'Rear, 24-Jan-2015.) $)
    lpirlnr $p |- ( R e. LPIR -> R e. LNoeR ) $=
      ( va vb vc clpir wcel crg cv crsp cfv wceq cbs cpw cfn wrex clidl wral wa
      cin eqid clnr lpirring clpidl csn islpidl syl biimpa snelpwi adantl elind
      wb snfi a1i fveq2 rspceeqv sylancl eqeq1 rexbidv syl5ibrcom rexlimdva mpd
      ralrimiva islpir simprbi raleqdv mpbird islnr2 sylanbrc ) AEFZAGFZBHZCHZA
      IJZJZKZCALJZMZNSZOZBAPJZQZAUAFAUBZVIWAVSBAUCJZQVIVSBWCVIVKWCFZRZVKDHZUDZV
      MJZKZDVPOZVSVIWDWJVIVJWDWJUKWBVPWCADVKVMWCTZVMTZVPTZUEUFUGWEWIVSDVPWEWFVP
      FZRZVSWIWHVNKZCVROZWOWGVRFWHWHKWQWOVQNWGWNWGVQFWEWFVPUHUIWGNFWOWFULUMUJWH
      TCWGVRVNWHWHVLWGVMUNUOUPWIVOWPCVRVKWHVNUQURUSUTVAVBVIVSBVTWCVIVJVTWCKWCAV
      TWKVTTZVCVDVEVFVPAVTCBVMWMWRWLVGVH $.
  $}

  ${
    lnrfrlm.y $e |- Y = ( R freeLMod I ) $.
    $( Finite-dimensional free modules over a Noetherian ring are Noetherian.
       (Contributed by Stefan O'Rear, 3-Feb-2015.) $)
    lnrfrlm $p |- ( ( R e. LNoeR /\ I e. Fin ) -> Y e. LNoeM ) $=
      ( clnr wcel cfn wa crglmod cfv cpws co clnm frlmpwsfi lnrlnm pwslnm sylan
      eqid eqeltrd ) AEFZBGFZHCAIJZBKLZMACBEDNTUBMFUAUCMFAOBUBUCUCRPQS $.
  $}

  ${
    $d S a b $.  $d M a b $.
    lnrfg.s $e |- S = ( Scalar ` M ) $.
    $( Finitely-generated modules over a Noetherian ring, being homomorphic
       images of free modules, are Noetherian.  (Contributed by Stefan O'Rear,
       7-Feb-2015.) $)
    lnrfg $p |- ( ( M e. LFinGen /\ S e. LNoeR ) -> M e. LNoeM ) $=
      ( va vb clfig wcel clnr wa cv cfv cbs wceq clnm co crn cvv eqid a1i wf wb
      cfn clspn cpw cfrlm cid cres cvsca cgsu cmpt clmhm clmod fglmod ad3antrrr
      cof vex csca wss wf1o f1oi f1of ax-mp fss sylancr ad2antlr frlmup1 simprl
      elpwi simpllr lnrfrlm syl2anc frlmup3 rnresi fveq2i simprr syl5eq syl3anc
      eqtrd lnmepi wrex islmodfg syl ibi adantr r19.29a ) BFGZAHGZIZDJZUBGZWIBU
      CKZKZBLKZMZIZBNGZDWMUDZWHWIWQGZIZWOIZEAWIUEOZLKZBEJUFWIUGZBUHKZUOOUIOUJZX
      ABUKOGXANGZXEPZWMMWPWTEXCXBWMABXDXEXAWIQXARZXBRZWMRZXDRZXERZWFBULGZWGWRWO
      BUMZUNZWIQGWTDUPSZABUQKMWTCSZWRWIWMXCTZWHWOWRWIWIXCTZWIWMURXRWIWIXCUSXSWI
      UTWIWIXCVAVBWIWMVHWIWIWMXCVCVDVEZVFWTWGWJXFWFWGWRWOVIWSWJWNVGAWIXAXHVJVKW
      TXGXCPZWKKZWMWTEXCXBWMABXDXEXAWIWKQXHXIXJXKXLXOXPXQXTWKRZVLWTYBWLWMYAWIWK
      WIVMVNWSWJWNVOVPVRWMXABXEXJVSVQWFWODWQVTZWGWFYDWFXMWFYDUAXNWMWKBDXJYCWAWB
      WCWDWE $.

    lnrfgtr.u $e |- U = ( LSubSp ` M ) $.
    lnrfgtr.n $e |- N = ( M |`s P ) $.
    $( A submodule of a finitely generated module over a Noetherian ring is
       finitely generated.  Often taken as the definition of Noetherian ring.
       (Contributed by Stefan O'Rear, 7-Feb-2015.) $)
    lnrfgtr $p |- ( ( M e. LFinGen /\ S e. LNoeR /\ P e. U ) ->
        N e. LFinGen ) $=
      ( clfig wcel clnr clnm lnrfg lnmlssfg stoic3 ) DIJBKJDLJACJEIJBDFMECADGHN
      O $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Hilbert's Basis Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ldgIdlSeq $.

  $( The leading ideal sequence used in the Hilbert Basis Theorem. $)
  cldgis $a class ldgIdlSeq $.

  ${
    $d r i x j k $.
    $( Define a function which carries polynomial ideals to the sequence of
       coefficient ideals of leading coefficients of degree- ` x ` elements in
       the polynomial ideal.  The proof that this map is strictly monotone is
       the core of the Hilbert Basis Theorem ~ hbt .  (Contributed by Stefan
       O'Rear, 31-Mar-2015.) $)
    df-ldgis $a |- ldgIdlSeq = ( r e. _V |-> ( i e.
            ( LIdeal ` ( Poly1 ` r ) ) |-> ( x e. NN0 |->
                { j | E. k e. i ( ( ( deg1 ` r ) ` k ) <_ x /\
                      j = ( ( coe1 ` k ) ` x ) ) } ) ) ) $.
  $}

  ${
    hbtlem.p $e |- P = ( Poly1 ` R ) $.
    hbtlem.u $e |- U = ( LIdeal ` P ) $.
    hbtlem.s $e |- S = ( ldgIdlSeq ` R ) $.

    ${
      $d D i r x $.  $d I i j k x $.  $d R i j k r x $.  $d U i r $.
      $d X j k x $.
      hbtlem.d $e |- D = ( deg1 ` R ) $.
      $( Value of the leading coefficient sequence function.  (Contributed by
         Stefan O'Rear, 31-Mar-2015.) $)
      hbtlem1 $p |- ( ( R e. V /\ I e. U /\ X e. NN0 ) -> ( ( S ` I ) ` X ) =
          { j | E. k e. I ( ( D ` k ) <_ X /\ j = ( ( coe1 ` k ) ` X ) ) } ) $=
        ( vi vx wcel cn0 cfv wceq vr w3a cv cle wbr cco1 wa wrex cab cldgis cvv
        cmpt elex clidl cpl1 eqtr4di fveq2d fveq1d breq1d anbi1d rexbidv abbidv
        cdg1 fveq2 mpteq2dv mpteq12dv df-ldgis mptfvmpt syl 3ad2ant1 rexeq eqid
        syl5eq nn0ex mptex fvmpt 3ad2ant2 breq2 eqeq2d anbi12d simp3 wss reximi
        simpr ss2abi abrexexg ssexg sylancr fvmptd3 3eqtrd ) CIQZHEQZJRQZUBZJHD
        SZSZJHOEPRGUCZASZPUCZUDUEZFUCZWSWQUFSZSZTZUGZGOUCZUHZFUIZULZULZSZSZJPRX
        EGHUHZFUIZULZSZWRJUDUEZXAJXBSZTZUGZGHUHZFUIZWKWLWPXLTWMWKJWOXKWKHDXJWKD
        CUJSZXJMWKCUKQYCXJTCIUMOUAXIUNUJOUAUCZUOSZUNSZPRWQYDVCSZSZWSUDUEZXDUGZG
        XFUHZFUIZULZULEUKBCYDCTZOYFYMEXIYNYFBUNSEYNYEBUNYNYECUOSBYDCUOVDKUPUQLU
        PYNPRYLXHYNYKXGFYNYJXEGXFYNYIWTXDYNYHWRWSUDYNWQYGAYNYGCVCSAYDCVCVDNUPUR
        USUTVAVBVEVFPOFGUAVGLVHVIVMURURVJWLWKXLXPTWMWLJXKXOOHXIXOEXJXFHTZPRXHXN
        YOXGXMFXEGXFHVKVBVEXJVLPRXNVNVOVPURVQWNPJXNYBRXOUKXOVLWSJTZXMYAFYPXEXTG
        HYPWTXQXDXSWSJWRUDVRYPXCXRXAWSJXBVDVSVTVAVBWKWLWMWAWNYBXSGHUHZFUIZWBYRU
        KQZYBUKQYAYQFXTXSGHXQXSWDWCWEWLWKYSWMGFHXREWFVQYBYRUKWGWHWIWJ $.
    $}

    ${
      $d I a b c d e f $.  $d I g $.  $d P b $.  $d R a b c d e f $.  $d R g $.
      $d U a b c d e f $.  $d U g $.  $d X a b c d e f $.  $d X g $.  $d a g $.
      $d b g $.  $d c g $.  $d e g $.  $d f g $.
      hbtlem2.t $e |- T = ( LIdeal ` R ) $.
      $( Leading coefficient ideals are ideals.  (Contributed by Stefan O'Rear,
         1-Apr-2015.) $)
      hbtlem2 $p |- ( ( R e. Ring /\ I e. U /\ X e. NN0 ) ->
          ( ( S ` I ) ` X ) e. T ) $=
        ( vb va wcel cfv cle cco1 wceq wa eqid vc vd ve vf crg cn0 w3a cdg1 wbr
        vg cv wrex cab hbtlem1 cbs wss c0 wne cmulr co cplusg wral wi wf lidlss
        3ad2ant2 sselda syl simpl3 ffvelrnd eleq1a adantld rexlimdva abssdv c0g
        coe1f ply1ring 3ad2ant1 simp2 lidl0cl syl2anc cmnf deg1z cxr cr nn0ssre
        ressxr sstri simp3 sselid mnfle eqbrtrd csn cxp coe1z fvconst2 3ad2ant3
        fveq1d eqtr2d fveq2 breq1d eqeq2d anbi12d rspcev syl12anc eqeq1 rexbidv
        fvex anbi2d elab sylibr wal cascl adantr simpl2 ply1sclf simprl simprll
        ne0d adantl lidlmcl simprrl lidlacl simpl1 sseldd ringcl syl3anc oveq1d
        syl22anc deg1xrcl imp eleq1d syl5ibrcom expimpd alrimiv cbvrexvw bitrdi
        oveq2 weq ralab deg1mul3le simprlr xrletrd simprrr deg1addle2 coe1addfv
        syl31anc coe1sclmulfv syl121anc ovex exp45 exp5c imp41 ralrimiva islidl
        ralbidv syl3anbrc eqeltrd ) BUENZFENZGUFNZUGZGFCOOLUKZBUHOZOZGPUIZMUKZG
        UVCQOZOZRZSZLFULZMUMZDUVDABCEMLFUEGHIJUVDTZUNUVBUVMBUOOZUPUVMUQURUAUKZU
        BUKZBUSOZUTZUCUKZBVAOZUTZUVMNZUCUVMVBZUBUVMVBZUAUVOVBUVMDNUVBUVLMUVOUVB
        UVKUVGUVONZLFUVBUVCFNZSZUVJUWFUVFUWHUVIUVONUVJUWFVCUWHUFUVOGUVHUWHUVCAU
        OOZNUFUVOUVHVDUVBFUWIUVCUUTUUSFUWIUPZUVAUWIFEAUWITZIVEVFZVGUVHUWIABUVCU
        VOUVHTUWKHUVOTZVPVHUUSUUTUVAUWGVIVJUVIUVOUVGVKVHVLVMVNUVBUVMBVOOZUVBUVF
        UWNUVIRZSZLFULZUWNUVMNUVBAVOOZFNZUWRUVDOZGPUIZUWNGUWRQOZOZRZUWQUVBAUENZ
        UUTUWSUUSUUTUXEUVAABHVQVRZUUSUUTUVAVSAEFUWRIUWRTZVTWAUVBUWTWBGPUUSUUTUW
        TWBRUVAUVDABUWRUVNHUXGWCVRUVBGWDNWBGPUIUVBUFWDGUFWEWDWFWGWHZUUSUUTUVAWI
        WJGWKVHWLUVBUXCGUFUWNWMWNZOZUWNUVBGUXBUXIUUSUUTUXBUXIRUVAABUWNUWRHUXGUW
        NTWOVRWRUVAUUSUXJUWNRUUTUFUWNGBVOXHZWPWQWSUWPUXAUXDSLUWRFUVCUWRRZUVFUXA
        UWOUXDUXLUVEUWTGPUVCUWRUVDWTXAUXLUVIUXCUWNUXLGUVHUXBUVCUWRQWTWRXBXCXDXE
        UVLUWQMUWNUXKUVGUWNRZUVKUWPLFUXMUVJUWOUVFUVGUWNUVIXFXIXGXJXKXSUVBUWEUAU
        VOUVBUVPUVONZSZUDUKZUVDOZGPUIZUVQGUXPQOZOZRZSZUDFULZUWDVCZUBXLUWEUXOUYD
        UBUXOUYBUWDUDFUXOUXPFNZSZUXRUYAUWDUYFUXRSZUWDUYAUVPUXTUVRUTZUVTUWAUTZUV
        MNZUCUVMVBZUYGUJUKZUVDOZGPUIZUVTGUYLQOZOZRZSZUJFULZUYJVCZUCXLUYKUYGUYTU
        CUYGUYRUYJUJFUYGUYLFNZSZUYNUYQUYJVUBUYNSUYJUYQUYHUYPUWAUTZUVMNZUYFUXRVU
        AUYNVUDUXOUYEUXRVUAUYNVUDVCVCVCUXOUYEUXRVUAUYNVUDUVBUXNUYEUXRSZVUAUYNSZ
        VUDVCVCUVBUXNVUEVUFVUDUVBUXNVUEVUFSZSZSZUVFVUCUVIRZSZLFULZVUDVUIUVPAXMO
        ZOZUXPAUSOZUTZUYLAVAOZUTZFNZVURUVDOZGPUIZVUCGVURQOZOZRZVULVUIUXEUUTVUPF
        NZVUAVUSUVBUXEVUHUXFXNZUUSUUTUVAVUHXOZVUIUXEUUTVUNUWINZUYEVVEVVFVVGVUIU
        VOUWIUVPVUMUVBUVOUWIVUMVDZVUHUUSUUTVVIUVAVUMUWIABUVOHVUMTZUWMUWKXPVRXNU
        VBUXNVUGXQZVJZVUHUYEUVBUXNUYEUXRVUFXRXTZUWIAVUOEFVUNUXPIUWKVUOTZYAYIVUH
        VUAUVBUXNVUEVUAUYNYBXTZVUQAEFVUPUYLIVUQTZYCYIVUIUWIUVDVUQBVUPUYLGAHUVNU
        USUUTUVAVUHYDZUWKVVPVUIUXEVVHUXPUWINZVUPUWINZVVFVVLVUIFUWIUXPUVBUWJVUHU
        WLXNZVVMYEZUWIAVUOVUNUXPUWKVVNYFYGZVUIFUWIUYLVVTVVOYEZVUIUFWDGUXHUUSUUT
        UVAVUHVIZWJZVUIVUPUVDOZUXQGVUIVVSVWFWDNVWBUWIUVDABVUPUVNHUWKYJVHVUIVVRU
        XQWDNVWAUWIUVDABUXPUVNHUWKYJVHVWEVUIUUSUXNVVRVWFUXQPUIVVQVVKVWAVUMUWIUV
        DABVUOUVPUXPUVOUVNHUWMUWKVVNVVJUUAYGVUHUXRUVBUXNUYEUXRVUFUUBXTUUCVUHUYN
        UVBUXNVUEVUAUYNUUDXTUUEVUIVVCGVUPQOOZUYPUWAUTZVUCVUIUUSVVSUYLUWINUVAVVC
        VWHRVVQVWBVWCVWDUWIUWAVUQBVUPUYLGAHUWKVVPUWATZUUFUUGVUIVWGUYHUYPUWAVUIU
        USUXNVVRUVAVWGUYHRVVQVVKVWAVWDVUMUWIABVUOUVRUVOUVPUXPGHUWKUWMVVJVVNUVRT
        ZUUHUUIYHWSVUKVVAVVDSLVURFUVCVURRZUVFVVAVUJVVDVWKUVEVUTGPUVCVURUVDWTXAV
        WKUVIVVCVUCVWKGUVHVVBUVCVURQWTWRXBXCXDXEUVLVULMVUCUYHUYPUWAUUJUVGVUCRZU
        VKVUKLFVWLUVJVUJUVFUVGVUCUVIXFXIXGXJXKUUKYKUULYKUUMUYQUYIVUCUVMUVTUYPUY
        HUWAYRYLYMYNVMYOUVLUYSUYJUCMMUCYSZUVLUVFUVTUVIRZSZLFULUYSVWMUVKVWOLFVWM
        UVJVWNUVFUVGUVTUVIXFXIXGVWOUYRLUJFLUJYSZUVFUYNVWNUYQVWPUVEUYMGPUVCUYLUV
        DWTXAVWPUVIUYPUVTVWPGUVHUYOUVCUYLQWTWRXBXCYPYQYTXKUYAUWCUYJUCUVMUYAUWBU
        YIUVMUYAUVSUYHUVTUWAUVQUXTUVPUVRYRYHYLUUPYMYNVMYOUVLUYCUWDUBMMUBYSZUVLU
        VFUVQUVIRZSZLFULUYCVWQUVKVWSLFVWQUVJVWRUVFUVGUVQUVIXFXIXGVWSUYBLUDFLUDY
        SZUVFUXRVWRUYAVWTUVEUXQGPUVCUXPUVDWTXAVWTUVIUXTUVQVWTGUVHUXSUVCUXPQWTWR
        XBXCYPYQYTXKUUNUAUVOUWABUVRDUVMUBUCKUWMVWIVWJUUOUUQUUR $.
    $}

    ${
      $d I i j x y $.  $d R i j r x y $.  $d S x $.  $d T x $.  $d U i r x $.
      hbtlem7.t $e |- T = ( LIdeal ` R ) $.
      $( Functionality of leading coefficient ideal sequence.  (Contributed by
         Stefan O'Rear, 4-Apr-2015.) $)
      hbtlem7 $p |- ( ( R e. Ring /\ I e. U ) -> ( S ` I ) : NN0 --> T ) $=
        ( vx vj vy vi wcel cfv cn0 cv cmpt cvv vr crg wa wfn wral cdg1 cle cco1
        wf wbr wceq wrex cab wss simpr reximi ss2abi abrexexg sylancr ralrimivw
        ssexg adantl eqid fnmpt syl cldgis elex clidl cpl1 fveq2 eqtr4di fveq2d
        fveq1d breq1d anbi1d abbidv mpteq2dv mpteq12dv df-ldgis mptfvmpt syl5eq
        rexbidv rexeq nn0ex mptex fvmpt sylan9eq fneq1d hbtlem2 3expa ralrimiva
        mpbird ffnfv sylanbrc ) BUBOZFEOZUCZFCPZQUDZKRZWRPDOZKQUEQDWRUIWQWSKQLR
        ZBUFPZPZWTUGUJZMRWTXBUHPPZUKZUCZLFULZMUMZSZQUDZWQXJTOZKQUEZXLWPXNWOWPXM
        KQWPXJXGLFULZMUMZUNXPTOXMXIXOMXHXGLFXEXGUOUPUQLMFXFEURXJXPTVAUSUTVBKQXJ
        XKTXKVCVDVEWQQWRXKWOWPWRFNEKQXHLNRZULZMUMZSZSZPXKWOFCYAWOCBVFPZYAIWOBTO
        YBYAUKBUBVGNUAXTVHVFNUARZVIPZVHPZKQXBYCUFPZPZWTUGUJZXGUCZLXQULZMUMZSZSE
        TABYCBUKZNYEYLEXTYMYEAVHPEYMYDAVHYMYDBVIPAYCBVIVJGVKVLHVKYMKQYKXSYMYJXR
        MYMYIXHLXQYMYHXEXGYMYGXDWTUGYMXBYFXCYCBUFVJVMVNVOWBVPVQVRKNMLUAVSHVTVEW
        AVMNFXTXKEYAXQFUKZKQXSXJYNXRXIMXHLXQFWCVPVQYAVCKQXJWDWEWFWGWHWLWQXAKQWO
        WPWTQOXAABCDEFWTGHIJWIWJWKKQDWRWMWN $.
    $}

    ${
      $d ph a c $.  $d I a b c $.  $d P b $.  $d R a b c $.  $d X a b c $.
      $d Y a b c $.
      hbtlem4.r $e |- ( ph -> R e. Ring ) $.
      hbtlem4.i $e |- ( ph -> I e. U ) $.
      hbtlem4.x $e |- ( ph -> X e. NN0 ) $.
      hbtlem4.y $e |- ( ph -> Y e. NN0 ) $.
      hbtlem4.xy $e |- ( ph -> X <_ Y ) $.
      $( The leading ideal function goes to increasing sequences.  (Contributed
         by Stefan O'Rear, 1-Apr-2015.) $)
      hbtlem4 $p |- ( ph -> ( ( S ` I ) ` X ) C_ ( ( S ` I ) ` Y ) ) $=
        ( cfv cle wceq wcel vc va vb cv cdg1 wbr cco1 wa wrex cab cmin cv1 cmgp
        co cmg cmulr crg cbs ad2antrr ply1ring syl cmnd ringmgp nn0sub2 syl3anc
        eqid vr1cl mgpbas mulgnn0cl simplr lidlmcl syl22anc caddc lidlss sseldd
        cn0 deg1pwle syl2anc simpr deg1mulle2 nn0cnd npcand breqtrd coe1pwmulfv
        wss c0g fveq2d eqtr3d fveq2 breq1d fveq1d eqeq2d anbi12d syl12anc eqeq1
        rspcev rexbidv syl5ibrcom expimpd rexlimdva ss2abdv hbtlem1 3sstr4d
        anbi2d ) AUAUDZCUEQZQGRUFZUBUDZGXEUGQQZSZUHZUAFUIZUBUJZUCUDZXFQZHRUFZXH
        HXNUGQZQZSZUHZUCFUIZUBUJZGFDQZQZHYCQZAXLYAUBAXKYAUAFAXEFTZUHZXGXJYAYGXG
        UHZYAXJXPXIXRSZUHZUCFUIZYHHGUKUNZCULQZBUMQZUOQZUNZXEBUPQZUNZFTZYRXFQZHR
        UFZXIHYRUGQZQZSZYKYHBUQTZFETZYPBURQZTZYFYSYHCUQTZUUEAUUIYFXGLUSZBCIUTVA
        ZAUUFYFXGMUSZYHYNVBTZYLVPTZYMUUGTZUUHYHUUEUUMUUKBYNYNVFZVCVAYHGVPTZHVPT
        ZGHRUFZUUNAUUQYFXGNUSZAUURYFXGOUSZAUUSYFXGPUSGHVDVEZYHUUIUUOUUJUUGBCYMY
        MVFZIUUGVFZVGVAUUGYOYNYLYMUUGBYNUUPUVDVHYOVFZVIVEZAYFXGVJZUUGBYQEFYPXEJ
        UVDYQVFZVKVLYHYTYLGVMUNZHRYHUUGXFCYQYPXEYLGBIXFVFZUUJUVDUVHUVFYHFUUGXEY
        HUUFFUUGWEUULUUGFEBUVDJVNVAUVGVOZUVBUUTYHUUIUUNYPXFQYLRUFUUJUVBXFBCYOYL
        YNYMUVJIUVCUUPUVEVQVRYGXGVSVTYHHGYHHUVAWAYHGUUTWAWBZWCYHUVIUUBQXIUUCYHX
        EUUGYLBCYQYOYNYMGCWFQZUVMVFIUVCUUPUVEUVDUVHUUJUVKUVBUUTWDYHUVIHUUBUVLWG
        WHYJUUAUUDUHUCYRFXNYRSZXPUUAYIUUDUVNXOYTHRXNYRXFWIWJUVNXRUUCXIUVNHXQUUB
        XNYRUGWIWKWLWMWPWNXJXTYJUCFXJXSYIXPXHXIXRWOXDWQWRWSWTXAAUUIUUFUUQYDXMSL
        MNXFBCDEUBUAFUQGIJKUVJXBVEAUUIUUFUURYEYBSLMOXFBCDEUBUCFUQHIJKUVJXBVEXC
        $.
    $}

    ${
      hbtlem3.r $e |- ( ph -> R e. Ring ) $.
      hbtlem3.i $e |- ( ph -> I e. U ) $.
      hbtlem3.j $e |- ( ph -> J e. U ) $.
      hbtlem3.ij $e |- ( ph -> I C_ J ) $.
      ${
        $d ph a $.  $d I a b $.  $d J a b $.  $d R a b $.  $d X a b $.
        hbtlem3.x $e |- ( ph -> X e. NN0 ) $.
        $( The leading ideal function is monotone.  (Contributed by Stefan
           O'Rear, 31-Mar-2015.) $)
        hbtlem3 $p |- ( ph -> ( ( S ` I ) ` X ) C_ ( ( S ` J ) ` X ) ) $=
          ( vb va cfv wcel cv cdg1 cle wbr cco1 wceq wa wrex cab wss ssrexv syl
          wi ss2abdv crg cn0 eqid hbtlem1 syl3anc 3sstr4d ) AQUAZCUBSZSHUCUDRUA
          HVAUESSUFUGZQFUHZRUIZVCQGUHZRUIZHFDSSZHGDSSZAVDVFRAFGUJVDVFUMOVCQFGUK
          ULUNACUOTZFETHUPTZVHVEUFLMPVBBCDERQFUOHIJKVBUQZURUSAVJGETVKVIVGUFLNPV
          BBCDERQGUOHIJKVLURUSUT $.
      $}
      $d ph a b c d e $.  $d I a b c d e $.  $d I x $.  $d J a b c d e $.
      $d J x $.  $d P a $.  $d R a b c d e $.  $d S x $.  $d b x $.
      hbtlem5.e $e |- ( ph ->
          A. x e. NN0 ( ( S ` J ) ` x ) C_ ( ( S ` I ) ` x ) ) $.
      $( The leading ideal function is strictly monotone.  (Contributed by
         Stefan O'Rear, 1-Apr-2015.) $)
      hbtlem5 $p |- ( ph -> I = J ) $=
        ( wcel cfv clt syl va vb vc vd ve cv cdg1 wbr cn0 wrex cmnf csn cun cbs
        wa wss eqid lidlss sselda deg1cl wo elun cn nnssnn0 cr nn0re arch mpsyl
        ssrexv wceq elsni cc0 0nn0 mnflt0 breq2 rspcev mp2an breq1 rexbidv jaoi
        mpbiri sylbi wi wral c1 caddc co imbi1d ralbidv imbi2d weq fveq2 breq1d
        eleq1 imbi12d cbvralvw bitrdi c0g crg wb adantr deg1lt0 syl2anc lidl0cl
        ply1ring eleq1a sylbid ralrimiva w3a cz 3ad2ant2 simpl1 nn0zd degltp1le
        cle cco1 cab sseq12d rspcva sylan2 adantl simpl hbtlem1 syl3anc 3sstr3d
        3adant3 simpr eqidd fveq1d eqeq2d anbi12d fvex eqeq1 anbi2d elab sseldd
        syl12anc ad2antrr syl22anc mpd sylibr csg cplusg simpll2 ringgrp simprl
        cgrp simplrl grpnpcan simpll1 simplrr simprrl simprrr deg1sublt simpll3
        lidlsubcl lidlacl eqeltrrd rexlimdvaa syl5bi expr 3exp a2d nn0ind com23
        rsp syl6com imp rexlimdv eqelssd ) AUAGHOAUAUFZHQZUOZUVKDUGRZRZUBUFZSUH
        ZUBUIUJZUVKGQZUVMUVOUIUKULZUMZQZUVRUVMUVKCUNRZQZUWBAHUWCUVKAHFQZHUWCUPZ
        NUWCHFCUWCUQZJURTZUSZUWCUVNCDUVKUVNUQZIUWGUTTUWBUVOUIQZUVOUVTQZVAUVRUVO
        UIUVTVBUWKUVRUWLVCUIUPUWKUVQUBVCUJZUVRVDUWKUVOVEQUWMUVOVFUVOUBVGTUVQUBV
        CUIVIVHUWLUVOUKVJZUVRUVOUKVKUWNUVRUKUVPSUHZUBUIUJZVLUIQUKVLSUHZUWPVMVNU
        WOUWQUBVLUIUVPVLUKSVOVPVQUWNUVQUWOUBUIUVOUKUVPSVRVSWATVTWBTUVMUVQUVSUBU
        IAUVLUVPUIQZUVQUVSWCZWCAUWRUVLUWSUWRAUWSUAHWDZUVLUWSWCAUVOUCUFZSUHZUVSW
        CZUAHWDZWCAUVOVLSUHZUVSWCZUAHWDZWCAUWTWCZAUDUFZUVNRZUVPWEWFWGZSUHZUXIGQ
        ZWCZUDHWDZWCUXHUCUBUVPUXAVLVJZUXDUXGAUXPUXCUXFUAHUXPUXBUXEUVSUXAVLUVOSV
        OWHWIWJUCUBWKZUXDUWTAUXQUXCUWSUAHUXQUXBUVQUVSUXAUVPUVOSVOWHWIWJZUXAUXKV
        JZUXDUXOAUXSUXDUVOUXKSUHZUVSWCZUAHWDUXOUXSUXCUYAUAHUXSUXBUXTUVSUXAUXKUV
        OSVOWHWIUYAUXNUAUDHUAUDWKZUXTUXLUVSUXMUYBUVOUXJUXKSUVKUXIUVNWLWMUVKUXIG
        WNWOWPWQWJUXRAUXFUAHUVMUXEUVKCWRRZVJZUVSUVMDWSQZUWDUXEUYDWTAUYEUVLLXAUW
        IUWCUVNCDUVKUYCUWJIUYCUQZUWGXBXCAUYDUVSWCZUVLAUYCGQZUYGACWSQZGFQZUYHAUY
        EUYILCDIXETZMCFGUYCJUYFXDXCUYCGUVKXFTXAXGXHUWRAUWTUXOUWRAUWTUXOUWRAUWTX
        IZUXNUDHUYLUXIHQZUOZUXLUXJUVPXOUHZUXMUYNUXJUWAQZUVPXJQUXLUYOWTUYNUXIUWC
        QZUYPUYLHUWCUXIAUWRUWFUWTUWHXKUSUWCUVNCDUXIUWJIUWGUTTUYNUVPUWRAUWTUYMXL
        XMUXJUVPXNXCUYLUYMUYOUXMUYLUYMUYOUOZUOZUVPUXIXPRZRZUEUFZUVNRZUVPXOUHZUX
        AUVPVUBXPRZRZVJZUOZUEGUJZUCXQZQZUXMUYSVUHUEHUJZUCXQZVUJVUAUYLVUMVUJUPZU
        YRUWRAVUNUWTUWRAUOZUVPHERZRZUVPGERZRZVUMVUJAUWRBUFZVUPRZVUTVURRZUPZBUIW
        DVUQVUSUPZPVVCVVDBUVPUIBUBWKVVAVUQVVBVUSVUTUVPVUPWLVUTUVPVURWLXRXSXTVUO
        UYEUWEUWRVUQVUMVJAUYEUWRLYAZAUWEUWRNYAUWRAYBZUVNCDEFUCUEHWSUVPIJKUWJYCY
        DVUOUYEUYJUWRVUSVUJVJVVEAUYJUWRMYAVVFUVNCDEFUCUEGWSUVPIJKUWJYCYDYEYFXAU
        YRVUAVUMQZUYLUYRVUDVUAVUFVJZUOZUEHUJZVVGUYRUYMUYOVUAVUAVJZVVJUYMUYOYBUY
        MUYOYGUYRVUAYHVVIUYOVVKUOUEUXIHUEUDWKZVUDUYOVVHVVKVVLVUCUXJUVPXOVUBUXIU
        VNWLWMVVLVUFVUAVUAVVLUVPVUEUYTVUBUXIXPWLYIYJYKVPYQVULVVJUCVUAUVPUYTYLZU
        XAVUAVJZVUHVVIUEHVVNVUGVVHVUDUXAVUAVUFYMYNZVSYOUUAYAYPVUKVVIUEGUJZUYSUX
        MVUIVVPUCVUAVVMVVNVUHVVIUEGVVOVSYOUYSVVIUXMUEGUYSVUBGQZVVIUOZUOZUXIVUBC
        UUBRZWGZVUBCUUCRZWGZUXIGVVSCUUGQZUYQVUBUWCQVWCUXIVJVVSUYIVWDVVSAUYIUWRA
        UWTUYRVVRUUDZUYKTZCUUETVVSHUWCUXIVVSAUWFVWEUWHTUYLUYMUYOVVRUUHZYPZVVSGU
        WCVUBVVSAGUWCUPZVWEAUYJVWIMUWCGFCUWGJURTTUYSVVQVVIUUFZYPZUWCVWBCVVTUXIV
        UBUWGVWBUQZVVTUQZUUIYDVVSUYIUYJVWAGQZVVQVWCGQVWFUYLUYJUYRVVRAUWRUYJUWTM
        XKYRVVSVWAUVNRZUVPSUHZVWNVVSUYTUWCVUEUVNCDUXIVUBUVPVVTUWJIUWGVWMUWRAUWT
        UYRVVRUUJVVSAUYEVWELTVWHUYLUYMUYOVVRUUKVWKUYSVVQVUDVVHUULUYTUQVUEUQUYSV
        VQVUDVVHUUMUUNVVSVWAHQZUWTVWPVWNWCZVVSUYIUWEUYMVUBHQVWQVWFVVSAUWEVWENTV
        WGVVSGHVUBUYLGHUPZUYRVVRAUWRVWSUWTOXKYRVWJYPCFHVVTUXIVUBJVWMUUPYSUWRAUW
        TUYRVVRUUOUWSVWRUAVWAHUVKVWAVJZUVQVWPUVSVWNVWTUVOVWOUVPSUVKVWAUVNWLWMUV
        KVWAGWNWOXSXCYTVWJVWBCFGVWAVUBJVWLUUQYSUURUUSUUTYTUVAXGXHUVBUVCUVDUWSUA
        HUVFUVGUVEUVHUVIYTUVJ $.
    $}

    ${
      $d ph a k $.  $d I a k $.  $d I b c d $.  $d N a $.  $d N b c e $.
      $d R a k $.  $d R b c d $.  $d R e $.  $d S a k $.  $d X a k $.
      $d X b c d $.  $d X e $.  $d b k $.  $d c k $.  $d e k $.
      hbtlem6.n $e |- N = ( RSpan ` P ) $.
      hbtlem6.r $e |- ( ph -> R e. LNoeR ) $.
      hbtlem6.i $e |- ( ph -> I e. U ) $.
      hbtlem6.x $e |- ( ph -> X e. NN0 ) $.
      $( There is a finite set of polynomials matching any single stage of the
         image.  (Contributed by Stefan O'Rear, 1-Apr-2015.) $)
      hbtlem6 $p |- ( ph -> E. k e. ( ~P I i^i Fin )
            ( ( S ` I ) ` X ) C_ ( ( S ` ( N ` k ) ) ` X ) ) $=
        ( vb cfv wss wcel va vc vd ve crsp wceq cpw cfn cin wrex clnr clidl crg
        cv cn0 lnrring syl eqid hbtlem2 syl3anc lnr2i syl2anc wa elfpw cdg1 cle
        wbr crab cco1 cmpt cima wfn crn fvex fnmpti a1i cab hbtlem1 rnmpt fveq2
        simprl breq1d rexrab abbii eqtri eqtr4di adantr sseqtrd simprr fipreima
        wi ssrab2 sstr2 mpi adantl velpw sylibr adantrr elind cbs sstrdi lidlss
        ply1ring sstrd rspcl cres df-ima wral rspssid simprbi ad2antrl sylanbrc
        ssrab resmptd resmpt eqtr4d eqsstrrdi rnss eqsstrid sseqtrrd rspssp jca
        resss sseq1d anbi2d syl5ibcom sylan2b expimpd reximdv2 sseq1 syl5ibrcom
        mpd rexbidv rexlimdva ) AIGDRRZUAUNZCUERZRZUFZUAYOUGUHUIZUJZYOIFUNZHRZD
        RRZSZFGUGZUHUIZUJZACUKTZYOCULRZTZUUANACUMTZGETZIUOTZUUKAUUIUULNCUPUQZOP
        BCDUUJEGIJKLUUJURZUSUTCUUJUAYOYQUUPYQURZVAVBAYSUUHUAYTAYPYTTZVCUUHYSYRU
        UDSZFUUGUJZUURAYPYOSZYPUHTZVCZUUTYPYOVDAUVCVCZQUBUNZCVERZRZIVFVGZUBGVHZ
        IQUNZVIRZRZVJZUUBVKZYPUFZFUVIUGUHUIZUJZUUTUVDUVMUVIVLZYPUVMVMZSUVBUVQUV
        RUVDQUVIUVLUVMIUVKVNUVMURZVOVPUVDYPYOUVSAUVAUVBWAAYOUVSUFUVCAYOUVJUVFRZ
        IVFVGZUCUNUVLUFZVCQGUJZUCVQZUVSAUUIUUMUUNYOUWEUFNOPUVFBCDEUCQGUKIJKLUVF
        URZVRUTUVSUWCQUVIUJZUCVQUWEQUCUVIUVLUVMUVTVSUWGUWDUCUVHUWBUWCQUBGUVEUVJ
        UFUVGUWAIVFUVEUVJUVFVTWBZWCWDWEWFWGWHAUVAUVBWIYPUVIUVMFWJUTUVDUVOUUSFUV
        PUUGAUUBUVPTZUVOVCUUBUUGTZUUSVCZWKUVCAUWIUVOUWKUWIAUUBUVISZUUBUHTZVCZUV
        OUWKWKUUBUVIVDAUWNVCZUWJUVNYQRZUUDSZVCUVOUWKUWOUWJUWQUWOUUFUHUUBAUWLUUB
        UUFTZUWMAUWLVCUUBGSZUWRUWLUWSAUWLUVIGSUWSUVHUBGWLZUUBUVIGWMWNWOFGWPWQWR
        AUWLUWMWIWSUWOUULUUDUUJTZUVNUUDSUWQAUULUWNUUOWGZUWOUULUUCETZUUNUXAUXBUW
        OBUMTZUUBBWTRZSZUXCAUXDUWNAUULUXDUUOBCJXCUQWGZUWOUUBGUXEUWOUUBUVIGAUWLU
        WMWAUWTXAAGUXESZUWNAUUMUXHOUXEGEBUXEURZKXBUQWGXDZUXEBEUUBHMUXIKXEVBZAUU
        NUWNPWGZBCDUUJEUUCIJKLUUPUSUTUWOUVNQUVHUBUUCVHZUVLVJZVMZUUDUWOUVNUVMUUB
        XFZVMZUXOUVMUUBXGUWOUXPUXNSUXQUXOSUWOUXPUXNUUBXFZUXNUWOUXRQUUBUVLVJZUXP
        UWOQUXMUUBUVLUWOUUBUUCSZUVHUBUUBXHZUUBUXMSUWOUXDUXFUXTUXGUXJUXEBUUBHMUX
        IXIVBUWLUYAAUWMUWLUWSUYAUVHUBGUUBXMXJXKUVHUBUUCUUBXMXLXNUWLUXPUXSUFAUWM
        QUVIUUBUVLXOXKXPUXNUUBYCXQUXPUXNXRUQXSUWOUUDUWBUDUNUVLUFZVCQUUCUJZUDVQZ
        UXOUWOUULUXCUUNUUDUYDUFUXBUXKUXLUVFBCDEUDQUUCUMIJKLUWFVRUTUXOUYBQUXMUJZ
        UDVQUYDQUDUXMUVLUXNUXNURVSUYEUYCUDUVHUWBUYBQUBUUCUWHWCWDWEWFXTCUUJUVNUU
        DYQUUQUUPYAUTYBUVOUWQUUSUWJUVOUWPYRUUDUVNYPYQVTYDYEYFYGYHWGYIYLYGYSUUEU
        USFUUGYOYRUUDYJYMYKYNYL $.
    $}
  $}

  ${
    $d P a b c e f $.  $d P g $.  $d R a b c d f $.  $d R e g $.  $d a g $.
    $d c g $.  $d d g $.  $d f g $.
    hbt.p $e |- P = ( Poly1 ` R ) $.
    $( The Hilbert Basis Theorem - the ring of univariate polynomials over a
       Noetherian ring is a Noetherian ring.  (Contributed by Stefan O'Rear,
       4-Apr-2015.) $)
    hbt $p |- ( R e. LNoeR -> P e. LNoeR ) $=
      ( vb vc ve vg wcel cv cfv wceq cfn wral wa cn0 wss eqid ralrimiva syl2anc
      adantr va vd vf clnr crg crsp cbs cpw cin wrex clidl lnrring ply1ring syl
      cldgis cuz cnacs wf c1 caddc islnr3 simprbi hbtlem7 sylan ad2antrr simplr
      co simpr peano2nn0 adantl cle wbr nn0re lep1d hbtlem4 nacsfix syl3anc cc0
      cfz wex fzfi simpll elfznn0 hbtlem6 2fveq3 fveq1d sseq2d sylancr crn cuni
      ac6sfi frn ad2antrl inss1 sstrdi unissd unipw sseqtrdi simpllr sstrd fvex
      lidlss elpw2 sylibr ciun wfn simprl ffn 3syl inss2 ffvelrnda sselid iunfi
      fniunfv eqeltrrd elind ad3antrrr rspcl rspssp cr simplrl nn0red simprr wb
      fznn0 mpbir2and simplrr weq fveq2 fveq2d fveq12d sseq12d rspcva fvssunirn
      id sstrid anassrs cz nn0z wi rspssid hbtlem3 eluz2 syl3anbrc fveqeq2 expr
      leidd breq1 imbi12d mpd eqsstrd lecasei hbtlem5 eqcomd rspceeqv rexlimddv
      exlimddv islnr2 sylanbrc ) BUDHZAUEHZUAIZDIZAUFJZJZKDAUGJZUHZLUIZUJZUAAUK
      JZMAUDHUUTBUEHZUVABULZABCUMZUNZUUTUVIUAUVJUUTUVBUVJHZNZUBIZUVBBUOJZJZJEIZ
      UVSJZKZUBUVTUPJZMZUVIEOUVPBUKJZBUGJZUQJHZOUWEUVSURZUVCUVSJUVCUSUTVGZUVSJP
      ZDOMUWDEOUJUUTUWGUVOUUTUVKUWGUWFBUWEUWFQUWEQZVAVBTUUTUVKUVOUWHUVLABUVRUWE
      UVJUVBCUVJQZUVRQZUWKVCVDUVPUWJDOUVPUVCOHZNABUVRUVJUVBUVCUWICUWLUWMUUTUVKU
      VOUWNUVLVEUUTUVOUWNVFUVPUWNVHUWNUWIOHUVPUVCVIVJUWNUVCUWIVKVLUVPUWNUVCUVCV
      MVNVJVORDEUBUWEUVSUWFVPVQUVPUVTOHZUWDNZNZVRUVTVSVGZUVBUHZLUIZUCIZURZFIZUV
      SJZUXCUXCUXAJZUVDJZUVRJZJZPZFUWRMZNZUVIUCUVPUXKUCVTZUWPUVPUWRLHZUXDUXCUVE
      UVRJZJZPZDUWTUJZFUWRMUXLVRUVTWAZUVPUXQFUWRUVPUXCUWRHZNABUVRUVJDUVBUVDUXCC
      UWLUWMUVDQZUUTUVOUXSWBUUTUVOUXSVFUXSUXCOHUVPUXCUVTWCVJWDRUXPUXIFDUWRUWTUC
      UVCUXEKZUXOUXHUXDUYAUXCUXNUXGUVCUXEUVRUVDWEWFWGWKWHTUWQUXKNZUXAWIZWJZUVHH
      UVBUYDUVDJZKUVIUYBUVGLUYDUYBUYDUVFPZUYDUVGHUYBUYDUVBUVFUYBUYDUWSWJUVBUYBU
      YCUWSUYBUYCUWTUWSUXBUYCUWTPUWQUXJUWRUWTUXAWLWMUWSLWNWOWPUVBWQWRZUYBUVOUVB
      UVFPUUTUVOUWPUXKWSZUVFUVBUVJAUVFQZUWLXBUNWTZUYDUVFAUGXAXCXDUYBGUWRGIZUXAJ
      ZXEZUYDLUYBUXBUXAUWRXFUYMUYDKUWQUXBUXJXGZUWRUWTUXAXHGUWRUXAXNXIUYBUXMUYLL
      HZGUWRMUYMLHUXRUYBUYOGUWRUYBUYKUWRHZNUWTLUYLUWSLXJUYBUWRUWTUYKUXAUYNXKXLR
      GUWRUYLXMWHXOXPUYBUYEUVBUYBGABUVRUVJUYEUVBCUWLUWMUUTUVKUVOUWPUXKUVLXQZUYB
      UVAUYFUYEUVJHZUUTUVAUVOUWPUXKUVNXQZUYJUVFAUVJUYDUVDUXTUYIUWLXRSZUYHUYBUVA
      UVOUYDUVBPUYEUVBPUYSUYHUYGAUVJUYDUVBUVDUXTUWLXSVQUYBUYKUVSJZUYKUYEUVRJZJZ
      PZGOUYBUYKOHZNZVUDUYKUVTVUEUYKXTHUYBUYKVMVJVUFUVTUYBUWOVUEUVPUWOUWDUXKYAZ
      TYBUYBVUEUYKUVTVKVLZVUDUYBVUEVUHNZNZVUAUYKUYLUVDJZUVRJZJZVUCVUJUYPUXJVUAV
      UMPZVUJUYPVUEVUHUYBVUEVUHXGZUYBVUEVUHYCVUJUWOUYPVUIYDUYBUWOVUIVUGTUYKUVTY
      EUNYFUWQUXBUXJVUIYGUXIVUNFUYKUWRFGYHZUXDVUAUXHVUMUXCUYKUVSYIVUPUXCUYKUXGV
      ULVUPUXFVUKUVRUXCUYKUVDUXAWEYJVUPYOYKYLYMSVUJABUVRUVJVUKUYEUYKCUWLUWMUYBU
      VKVUIUYQTUYBVUKUVJHZVUIUYBUVAUYLUVFPVUQUYSUYBUYLUYDUVFUXAUYKYNZUYJYPUVFAU
      VJUYLUVDUXTUYIUWLXRSTUYBUYRVUIUYTTZVUJUVAUYRUYLUYEPVUKUYEPUYBUVAVUIUYBUVK
      UVAUYQUVMUNTVUSVUJUYLUYDUYEVURUYBUYDUYEPZVUIUYBUVAUYFVUTUYSUYJUVFAUYDUVDU
      XTUYIUUASTYPAUVJUYLUYEUVDUXTUWLXSVQVUOUUBWTZYQUYBVUEUVTUYKVKVLZVUDUYBVUEV
      VBNZNZVUAUWAVUCVVDUYKUWCHZUWDVUAUWAKZUYBUWOVVCVVEVUGUWOVVCNUVTYRHZUYKYRHZ
      VVBVVEUWOVVGVVCUVTYSTVUEVVHUWOVVBUYKYSWMUWOVUEVVBYCUVTUYKUUCUUDVDUWQUWDUX
      KVVCUVPUWOUWDYCVEUWBVVFUBUYKUWCUVQUYKUWAUVSUUEYMSVVDUWAUVTVUBJZVUCUYBUWAV
      VIPZVVCUYBUVTUVTVKVLZVVJUYBUVTUYBUVTVUGYBUUGUYBUWOVUHVUDYTZGOMVVKVVJYTZVU
      GUYBVVLGOUYBVUEVUHVUDVVAUUFRVVLVVMGUVTOGEYHZVUHVVKVUDVVJUYKUVTUVTVKUUHVVN
      VUAUWAVUCVVIUYKUVTUVSYIUYKUVTVUBYIYLUUIYMSUUJTVVDABUVRUVJUYEUVTUYKCUWLUWM
      UYBUVKVVCUYQTUYBUYRVVCUYTTUYBUWOVVCVUGTUYBVUEVVBXGUYBVUEVVBYCVOWTUUKYQUUL
      RUUMUUNDUYDUVHUVEUYEUVBUVCUYDUVDYIUUOSUUQUUPRUVFAUVJDUAUVDUYIUWLUXTUURUUS
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Additional material on polynomials [DEPRECATED]
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Monic Poly< $.

  $( Extend class notation with the class of monic polynomials. $)
  cmnc $a class Monic $.

  $( Extend class notatin with the class of limited-degree polynomials. $)
  cplylt $a class Poly< $.

  ${
    $d s p x $.

    $( Define the class of monic polynomials.  (Contributed by Stefan O'Rear,
       5-Dec-2014.) $)
    df-mnc $a |- Monic = ( s e. ~P CC |-> { p e. ( Poly ` s ) |
        ( ( coeff ` p ) ` ( deg ` p ) ) = 1 } ) $.

    $( Define the class of limited-degree polynomials.  (Contributed by Stefan
       O'Rear, 8-Dec-2014.) $)
    df-plylt $a |- Poly< = ( s e. ~P CC , x e. NN0 |-> { p e. ( Poly ` s ) |
        ( p = 0p \/ ( deg ` p ) < x ) } ) $.
  $}

  ${
    dgrsub2.a $e |- N = ( deg ` F ) $.
    $( Subtracting two polynomials with the same degree and top coefficient
       gives a polynomial of strictly lower degree.  (Contributed by Stefan
       O'Rear, 25-Nov-2014.) $)
    dgrsub2 $p |- ( ( ( F e. ( Poly ` S ) /\ G e. ( Poly ` T ) ) /\
          ( ( deg ` G ) = N /\ N e. NN /\
            ( ( coeff ` F ) ` N ) = ( ( coeff ` G ) ` N ) ) ) ->
        ( deg ` ( F oF - G ) ) < N ) $=
      ( cply cfv wcel wa cdgr wceq ccoe cmin clt wbr cle cc eqid cn0 cn w3a cof
      co c0p wi simpr2 cc0 nngt0 eqbrtrid fveq2 breq1d syl5ibrcom syl wo plyssc
      dgr0 cif sseli dgrsub syl2an adantr simpr1 eqcomi a1i ifeq12d ifid eqtrdi
      breqtrd coesub fveq1d nnnn0d cvv coef3 ad2antrr ffnd ad2antlr nn0ex inidm
      wf simplr3 eqidd ofval mpdan ffvelrnd subidd 3eqtrd wb plysubcl mpbir2and
      dgrlt syl2anc ord pm2.61d ) CAGHZIZDBGHZIZJZDKHZELZEUAIZECMHZHEDMHZHZLZUB
      ZJZCDNUCZUDZUELZXJKHZEOPZXHXBXKXMUFWSXAXBXFUGZXBXMXKUEKHZEOPXBXOUHEOUQEUI
      UJXKXLXOEOXJUEKUKULUMUNXHXKXMXHXKXMUOZXLEQPZEXJMHZHZUHLZXHXLCKHZWTQPZWTYA
      URZEQWSXLYCQPZXGWPCRGHZIZDYEIZYDWRWOYECAUPUSZWQYEDBUPUSZRCDYAWTYASWTSUTVA
      VBXHYCYBEEUREXHYBWTEYAEWSXAXBXFVCYAELXHEYAFVDVEVFYBEVGVHVIXHXSEXCXDXIUDZH
      ZXEXENUDZUHXHEXRYJWSXRYJLZXGWPYFYGYMWRYHYIXCXDRCDXCSZXDSZVJVAVBVKXHETIZYK
      YLLXHEXNVLZXHTTXEXENTXCXDVMVMEXHTRXCWPTRXCVTWRXGXCACYNVNVOVPXHTRXDWRTRXDV
      TWPXGXDBDYOVNVQZVPTVMIXHVRVEZYSTVSXAXBXFWSYPWAXHYPJXEWBWCWDXHXEXHTREXDYRY
      QWEWFWGXHXJYEIZYPXPXQXTJWHWSYTXGWPYFYGYTWRYHYIRCDWIVAVBYQXRRXJEXLXLSXRSWK
      WLWJWMWN $.
  $}

  ${
    $d S s p $.  $d P s p $.

    $( Property of a monic polynomial.  (Contributed by Stefan O'Rear,
       5-Dec-2014.) $)
    elmnc $p |- ( P e. ( Monic ` S ) <-> ( P e. ( Poly ` S ) /\
          ( ( coeff ` P ) ` ( deg ` P ) ) = 1 ) ) $=
      ( vs vp cmnc cfv wcel cc wss cply cdgr ccoe c1 wceq wa cdm cpw crab fveq2
      cv df-mnc dmmptss elfvdm sselid elpwid plybss adantr cnex elpw2 rabeq syl
      fvex rabex fvmpt sylbir eleq2d fveq12d eqeq1d elrab bitrdi pm5.21nii ) AB
      EFZGZBHIZABJFZGZAKFZALFZFZMNZOZVCBHVCEPHQZBCVLDTZKFZVMLFZFZMNZDCTZJFZRZEC
      DUAZUBABEUCUDUEVFVDVJBAUFUGVDVCAVQDVERZGVKVDVBWBAVDBVLGVBWBNBHUHUICBVTWBV
      LEVRBNVSVENVTWBNVRBJSVQDVSVEUJUKWAVQDVEBJULUMUNUOUPVQVJDAVEVMANZVPVIMWCVN
      VGVOVHVMALSVMAKSUQURUSUTVA $.

    $( A monic polynomial is a polynomial.  (Contributed by Stefan O'Rear,
       5-Dec-2014.) $)
    mncply $p |- ( P e. ( Monic ` S ) -> P e. ( Poly ` S ) ) $=
      ( cmnc cfv wcel cply cdgr ccoe c1 wceq elmnc simplbi ) ABCDEABFDEAGDAHDDI
      JABKL $.

    $( A monic polynomial has leading coefficient 1.  (Contributed by Stefan
       O'Rear, 5-Dec-2014.) $)
    mnccoe $p |- ( P e. ( Monic ` S )
        -> ( ( coeff ` P ) ` ( deg ` P ) ) = 1 ) $=
      ( cmnc cfv wcel cply cdgr ccoe c1 wceq elmnc simprbi ) ABCDEABFDEAGDAHDDI
      JABKL $.

    $( A monic polynomial is not zero.  (Contributed by Stefan O'Rear,
       5-Dec-2014.) $)
    mncn0 $p |- ( P e. ( Monic ` S ) -> P =/= 0p ) $=
      ( cmnc cfv wcel cdgr ccoe wceq c0p wne mnccoe cc0 cn0 csn cxp coe0 fveq1i
      c1 dgr0 fveq2 0nn0 eqeltri c0ex fvconst2 ax-mp eqtri 0ne1 eqnetri fveq12d
      neeq1d mpbiri necon2i syl ) ABCDEAFDZAGDZDZRHAIJABKAIUPRAIHZUPRJIFDZIGDZD
      ZRJUTLRUTURMLNOZDZLURUSVAPQURMEVBLHURLMSUAUBMLURUCUDUEUFUGUHUQUPUTRUQUNUR
      UOUSAIGTAIFTUIUJUKULUM $.
  $}

  $(
  @{
    mncdiv.s @e |- ( ph -> S e. ( SubRing ` CCfld ) ) @.
    mncdiv.f @e |- ( ph -> F e. ( Poly ` S ) ) @.
    mncdiv.g @e |- ( ph -> G e. ( Monic ` S ) ) @.
    @( Monic version of polynomial division algorithm, does not require
       division over the base ring. @)
    mncdivex @p |- ( ph -> E. q e. ( Poly ` S ) ( F oF - ( G oF x. q ) ) e.
          ( S Poly< ( deg ` G ) ) ) @=
      ? @.
  @}
  $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Degree and minimal polynomial of algebraic numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c degAA minPolyAA $.

  $( Extend class notation to include the degree function for algebraic
     numbers. $)
  cdgraa $a class degAA $.

  $( Extend class notation to include the minimal polynomial for an algebraic
     number. $)
  cmpaa $a class minPolyAA $.

  ${
    $d x d p $.
    $( Define the degree of an algebraic number as the smallest degree of any
       nonzero polynomial which has said number as a root.  (Contributed by
       Stefan O'Rear, 25-Nov-2014.)  (Revised by AV, 29-Sep-2020.) $)
    df-dgraa $a |- degAA = ( x e. AA |-> inf ( { d e. NN |
        E. p e. ( ( Poly ` QQ ) \ { 0p } ) ( ( deg ` p ) = d /\
          ( p ` x ) = 0 ) } , RR , < ) ) $.

    $( Define the minimal polynomial of an algebraic number as the unique monic
       polynomial which achieves the minimum of ` degAA ` .  (Contributed by
       Stefan O'Rear, 25-Nov-2014.) $)
    df-mpaa $a |- minPolyAA = ( x e. AA |-> ( iota_ p e. ( Poly ` QQ )
        ( ( deg ` p ) = ( degAA ` x ) /\ ( p ` x ) = 0 /\
          ( ( coeff ` p ) ` ( degAA ` x ) ) = 1 ) ) ) $.
  $}

  $(
  @{
    @d x A a b @.  @d x B a b @.
    plydeg1.a @e |- F = ( x e. CC |-> ( ( A x. x ) + B ) ) @.
    @( A polynomial with 2 terms. @)
    plydeg1a @p |- ( ( A e. S /\ B e. S /\ S C_ CC ) -> F e. ( Poly ` S ) ) @=
      ? @.

    @( Degree of a polynomial with 2 terms. @)
    plydeg1b @p |- ( ( A e. CC /\ B e. CC /\ A =/= 0 ) -> ( deg ` A ) = 1 ) @=
      ? @.
  @}
  $)

  ${
    $d A d p a b c $.  $d P d p a b c $.
    $( Value of the degree function on an algebraic number.  (Contributed by
       Stefan O'Rear, 25-Nov-2014.)  (Revised by AV, 29-Sep-2020.) $)
    dgraaval $p |- ( A e. AA -> ( degAA ` A ) = inf ( { d e. NN |
        E. p e. ( ( Poly ` QQ ) \ { 0p } ) ( ( deg ` p ) = d /\
          ( p ` A ) = 0 ) } , RR , < ) ) $=
      ( va cv cdgr cfv wceq cc0 wa cq cply c0p csn wrex cn crab cr clt cinf caa
      cdif cdgraa fveqeq2 anbi2d rexbidv rabbidv infeq1d df-dgraa infex fvmpt
      ltso ) DABEZFGCEHZDEZUMGIHZJZBKLGMNUBZOZCPQZRSTUNAUMGIHZJZBUROZCPQZRSTUAU
      CUOAHZRUTVDSVEUSVCCPVEUQVBBURVEUPVAUNUOAIUMUDUEUFUGUHDBCUIRVDSULUJUK $.

    $( Properties of the degree of an algebraic number.  (Contributed by Stefan
       O'Rear, 25-Nov-2014.)  (Proof shortened by AV, 29-Sep-2020.) $)
    dgraalem $p |- ( A e. AA -> ( ( degAA ` A ) e. NN /\
        E. p e. ( ( Poly ` QQ ) \ { 0p } ) ( ( deg ` p ) = ( degAA ` A ) /\
          ( p ` A ) = 0 ) ) ) $=
      ( va vb caa wcel cfv cv cdgr wceq cc0 wa cq c0p wrex cn wne eqeq2 anbi1d
      c1 cdgraa cply csn cdif crab cr clt cinf dgraaval cuz wss c0 nnuz sseqtri
      ssrab2 cc wi eldifsn biimpi ad2antrr simpr simplr dgrnznn syl12anc simpll
      jctil fveqeq2 fveq1 eqeq1d anbi12d rspc2ev syl3anc rexlimiva impcom elqaa
      eqid ex rabn0 3imtr4i infssuzcl sylancr eqeltrd rexbidv elrab sylib ) AEF
      ZAUAGZBHZIGZCHZJZAWHGZKJZLZBMUBGZNUCUDZOZCPUEZFWGPFWIWGJZWMLZBWPOZLWFWGWR
      UFUGUHZWRABCUIWFWRTUJGZUKWRULQZXBWRFWRPXCWQCPUOUMUNAUPFZADHZGZKJZDWPOZLWQ
      CPOZWFXDXIXEXJXHXEXJUQDWPXFWPFZXHLZXEXJXLXELZXFIGZPFZXKXNXNJZXHLZXJXMXFWO
      FXFNQLZXEXHXOXKXRXHXEXKXRXFWONURUSUTXLXEVAXKXHXEVBZAXFMVCVDXKXHXEVEXMXHXP
      XSXNVPVFWNXQWIXNJZWMLCBXNXFPWPWJXNJWKXTWMWJXNWIRSWHXFJZXTXPWMXHWHXFXNIVGY
      AWLXGKAWHXFVHVIVJVKVLVQVMVNADVOWQCPVRVSWRTVTWAWBWQXACWGPWJWGJZWNWTBWPYBWK
      WSWMWJWGWIRSWCWDWE $.

    $( Closure of the degree function on algebraic numbers.  (Contributed by
       Stefan O'Rear, 25-Nov-2014.) $)
    dgraacl $p |- ( A e. AA -> ( degAA ` A ) e. NN ) $=
      ( va caa wcel cdgraa cfv cn cv cdgr wceq cc0 wa cq cply c0p csn cdif wrex
      dgraalem simpld ) ACDAEFZGDBHZIFUAJAUBFKJLBMNFOPQRABST $.

    $( Degree function on algebraic numbers is a function.  (Contributed by
       Stefan O'Rear, 25-Nov-2014.)  (Proof shortened by AV, 29-Sep-2020.) $)
    dgraaf $p |- degAA : AA --> NN $=
      ( va vp vb caa cn cdgraa wf wfn cv cfv wcel wral cdgr wceq cc0 wa cq cply
      cr clt c0p csn cdif wrex crab cinf ltso infex df-dgraa dgraacl rgen ffnfv
      fnmpti mpbir2an ) DEFGFDHAIZFJEKZADLADBIZMJCINUOUQJONPBQRJUAUBUCUDCEUEZST
      UFFSURTUGUHABCUIUMUPADUOUJUKADEFULUN $.

    $( Upper bound on degree of an algebraic number.  (Contributed by Stefan
       O'Rear, 25-Nov-2014.)  (Proof shortened by AV, 29-Sep-2020.) $)
    dgraaub $p |- ( ( ( P e. ( Poly ` QQ ) /\ P =/= 0p ) /\ ( A e. CC /\
          ( P ` A ) = 0 ) ) -> ( degAA ` A ) <_ ( deg ` P ) ) $=
      ( vb va cq cfv wcel c0p wa cc0 wceq cv cdgr wrex cle fveq1 eqeq1d syl2anc
      cn rspcev cply wne cc cdgraa csn cdif crab cr clt cinf caa simprl eldifsn
      biimpri adantr simprr elqaa sylanbrc dgraaval syl cuz wss wbr ssrab2 nnuz
      sseqtri dgrnznn eqid jctil fveqeq2 anbi12d eqeq2 anbi1d rexbidv infssuzle
      c1 elrab sylancr eqbrtrd ) BEUAFZGBHUBIZAUCGZABFZJKZIZIZAUDFZCLZMFZDLZKZA
      WHFZJKZIZCVTHUEUFZNZDSUGZUHUIUJZBMFZOWFAUKGZWGWRKWFWBAWJFZJKZDWONZWTWAWBW
      DULWFBWOGZWDXCWAXDWEXDWABVTHUMUNUOZWAWBWDUPZXBWDDBWOWJBKXAWCJAWJBPQTRADUQ
      URACDUSUTWFWQVPVAFZVBWSWQGZWRWSOVCWQSXGWPDSVDVEVFWFWSSGWIWSKZWMIZCWONZXHA
      BEVGWFXDWSWSKZWDIZXKXEWFWDXLXFWSVHVIXJXMCBWOWHBKZXIXLWMWDWHBWSMVJXNWLWCJA
      WHBPQVKTRWPXKDWSSWJWSKZWNXJCWOXOWKXIWMWJWSWIVLVMVNVQURWSWQVPVOVRVS $.

    $( A rational polynomial of degree less than an algebraic number cannot be
       zero at that number unless it is the zero polynomial.  (Contributed by
       Stefan O'Rear, 25-Nov-2014.) $)
    dgraa0p $p |- ( ( A e. AA /\ P e. ( Poly ` QQ ) /\
          ( deg ` P ) < ( degAA ` A ) ) -> ( ( P ` A ) = 0 <-> P = 0p ) ) $=
      ( caa wcel cq cply cfv cdgr cdgraa clt wbr w3a cc0 wceq c0p wn simpl2 syl
      wa simpl1 wne cle simpl3 cn0 dgrcl nn0red cn nnred ltnled mpbid cc simprl
      dgraacl aacn simprr dgraaub syl22anc expr mtod ex necon4ad wi 0pval fveq1
      eqeq1d syl5ibrcom 3ad2ant1 impbid ) ACDZBEFGDZBHGZAIGZJKZLZABGZMNZBONZVNV
      PBOVNBOUAZVPPVNVRSZVPVLVKUBKZVSVMVTPVIVJVMVRUCVSVKVLVSVKVSVJVKUDDVIVJVMVR
      QEBUERUFVSVLVSVIVLUGDVIVJVMVRTAUMRUHUIUJVNVRVPVTVNVRVPSZSZVJVRAUKDZVPVTVI
      VJVMWAQVNVRVPULWBVIWCVIVJVMWATAUNZRVNVRVPUOABUPUQURUSUTVAVIVJVQVPVBVMVIVP
      VQAOGZMNZVIWCWFWDAVCRVQVOWEMABOVDVEVFVGVH $.

    $(
    @( Degree of a rational number. @)
    dgraaq @p |- ( A e. QQ -> ( degAA ` A ) = 1 ) @=
      ( va cq wcel cdgraa cfv c1 cle wbr wceq cc cneg cv cmul co caddc cmpt cc0
      oveq1d syl cdgr cply c0p wne qcn oveq2 eqid ovex fvmpt mulm1 negcl addcom
      syl2anc negid 3eqtrd eqtrd dgraaub syl22anc breqtrd cn wb caa qaa dgraacl
      nnle1eq1 mpbid ) ACDZAEFZGHIZVHGJZVGVHBKGLZBMZNOZAPOZQZUAFZGHVGVOCUBFDVOU
      CUDAKDZAVOFZRJVHVPHI??AUEZVGVRVKANOZAPOZRVGVQVRWAJVSBAVNWAKVOVLAJVMVTAPVL
      AVKNUFSVOUGVTAPUHUITVGWAALZAPOZAWBPOZRVGVTWBAPVGVQVTWBJVSAUJTSVGWBKDZVQWC
      WDJVGVQWEVSAUKTVSWBAULUMVGVQWDRJVSAUNTUOUPAVOUQUR?USVGVHUTDZVIVJVAVGAVBDW
      FAVCAVDTVHVETVF @.
      @( [25-Nov-2014] @)
    $)

    $( An algebraic number has exactly one monic polynomial of the least
       degree.  (Contributed by Stefan O'Rear, 25-Nov-2014.) $)
    mpaaeu $p |- ( A e. AA -> E! p e. ( Poly ` QQ ) ( ( deg ` p ) =
          ( degAA ` A ) /\ ( p ` A ) = 0 /\
        ( ( coeff ` p ) ` ( degAA ` A ) ) = 1 ) ) $=
      ( va wcel cdgr cfv wceq cc0 ccoe c1 cq wa c0p cc cmul cn0 ad2antlr adantl
      co cvv vb vc caa cdgraa w3a cply wrex weq wral wreu csn cdif cdiv cxp cof
      cv wi wss qsscn wne wf eldifi cz zssq sselii eqid coef2 sylancl dgrcl syl
      0z ffvelrnd eldifsni dgreq0 necon3bid mpbid qreccl syl2anc plyconst simpl
      wb sylancr simpr caddc qaddcl qmulcl plymul coef3 recne0d dgrmulc syl3anc
      reccld simprl aacn ad2antrr wfn ovex fnconstg mp1i plyf ffn 3syl cnex a1i
      eqtrd inidm fvconst2 simplrr ofval mpdan mul01d coemulc fveq1d cn dgraacl
      nnnn0d ffnd nn0ex simplrl eqcomd fveq2d recid2d 3eqtrd fveq1 eqeq1d fveq2
      fveqeq2 3anbi123d rspcev syl13anc simprd r19.29a cmin simp2 sylan2 eqtrdi
      dgraalem ex clt wbr anim12i 0m0e0 com12 impl simpll cneg 1z qnegcl plysub
      zq simprr1 simprl1 eqtr4d eqeltrd simprl3 simprr3 3eqtr4d dgrsub2 breqtrd
      mp2b syl23anc dgraa0p df-0p ofsubeq0 mp3an1 syl2an ralrimivva sylanbrc
      reu4 ) AUCDZBUPZEFZAUDFZGZAUVKFZHGZUVMUVKIFZFZJGZUEZBKUFFZUGZUVTCUPZEFZUV
      MGZAUWCFZHGZUVMUWCIFZFZJGZUEZLZBCUHZUQZCUWAUIBUWAUIUVTBUWAUJUVJUWEUWGLZUW
      BCUWAMUKZULZUVJUWCUWQDZLZUWOLZNJUWDUWHFZUMSZUKZUNZUWCOUOZSZUWADZUXFEFZUVM
      GZAUXFFZHGZUVMUXFIFZFZJGZUWBUWTUXDUWADZUWCUWADZUXGUWTKNURUXBKDZUXOUSUWTUX
      AKDUXAHUTZUXQUWTPKUWDUWHUWTUXPHKDPKUWHVAUWRUXPUVJUWOUWCUWAUWPVBQZVCKHVDVK
      VEUWHKUWCUWHVFZVGVHUWTUXPUWDPDUXSKUWCVIVJZVLUWTUWCMUTZUXRUWRUYBUVJUWOUWCU
      WAMVMQUWTUXPUYBUXRWAUXSUXPUWCMUXAHUWHKUWCUWDUWDVFUXTVNVOVJVPZUXAVQVRUXBKV
      SWBUXSUXOUXPLZUAUBKUXDUWCUXOUXPVTUXOUXPWCUAUPZKDUBUPZKDLZUYEUYFWDSKDZUYDU
      YEUYFWEZRUYGUYEUYFOSKDZUYDUYEUYFWFZRWGVRUWTUXHUWDUVMUWTUXBNDZUXBHUTUXPUXH
      UWDGUWTUXAUWTPNUWDUWHUWTUXPPNUWHVAUXSUWHKUWCUXTWHVJZUYAVLZUYCWLZUWTUXAUYN
      UYCWIUXSUXBKUWCWJWKUWSUWEUWGWMXEUWTUXJUXBHOSZHUWTANDZUXJUYPGUVJUYQUWRUWOA
      WNZWOUWTNNUXBHONUXDUWCTTAUXBTDZUXDNWPUWTJUXAUMWQZNUXBTWRWSUWTUXPNNUWCVAZU
      WCNWPZUXSKUWCWTZNNUWCXAXBNTDZUWTXCXDZVUENXFZUYQAUXDFUXBGUWTNUXBAUYTXGRUWS
      UWEUWGUYQXHXIXJUWTUXBUYOXKXEUWTUXMUVMPUXCUNZUWHUXESZFZUXBUXAOSZJUWTUVMUXL
      VUHUWTUYLUXPUXLVUHGUYOUXSUXBKUWCXLVRXMUWTUVMPDZVUIVUJGUWTUVMUVJUVMXNDZUWR
      UWOAXOZWOXPUWTPPUXBUXAOPVUGUWHTTUVMUYSVUGPWPUWTUYTPUXBTWRWSUWTPNUWHUYMXQP
      TDUWTXRXDZVUNPXFVUKUVMVUGFUXBGUWTPUXBUVMUYTXGRUWTVUKLZUVMUWDUWHVUOUWDUVMU
      WSUWEUWGVUKXSXTYAXIXJUWTUXAUYNUYCYBYCUVTUXIUXKUXNUEBUXFUWAUVKUXFGZUVNUXIU
      VPUXKUVSUXNUVKUXFUVMEYGVUPUVOUXJHAUVKUXFYDYEVUPUVRUXMJVUPUVMUVQUXLUVKUXFI
      YFXMYEYHYIYJUVJVULUWOCUWQUGACYQYKYLUVJUWNBCUWAUWAUVJUVKUWADZUXPLZLZUWLUWM
      VUSUWLLZUVKUWCYMUOSZNHUKUNZGZUWMVUTVVAMVVBVUTAVVAFZHGZVVAMGZUVJVURUWLVVEV
      URUWLLUVJVVEUWLVURUVPUWGLZUVJVVEUQUVTUVPUWKUWGUVNUVPUVSYNUWEUWGUWJYNUUAVU
      RVVGLZUVJVVEVVHUVJLVVDHHYMSZHUVJVVHUYQVVDVVIGUYRVVHNNHHYMNUVKUWCTTAVUQUVK
      NWPUXPVVGVUQNNUVKKUVKWTZXQWOUXPVUBVUQVVGUXPNNUWCVUCXQQVUDVVHXCXDZVVKVUFVU
      RUVPUWGUYQXSVURUVPUWGUYQXHXIYOUUBYPYRYOUUCUUDVUTUVJVVAUWADZVVAEFZUVMYSYTV
      VEVVFWAUVJVURUWLUUEVURVVLUVJUWLVURUAUBKUVKUWCVUQUXPVTVUQUXPWCUYGUYHVURUYI
      RUYGUYJVURUYKRJUUFKDZVURJVCDJKDVVNUUGJUUJJUUHUUTXDUUIQVUTVVMUVLUVMYSVUTVU
      QUXPUWDUVLGUVLXNDUVLUVQFZUVLUWHFZGVVMUVLYSYTUVJVUQUXPUWLXSUVJVUQUXPUWLXHV
      UTUWDUVMUVLUWEUWGUWJUVTVUSUUKUVNUVPUVSUWKVUSUULZUUMVUTUVLUVMXNVVQUVJVULVU
      RUWLVUMWOUUNVUTUVRJVVOVVPUVNUVPUVSUWKVUSUUOVUTUVLUVMUVQVVQYAVUTVVPUWIJVUT
      UVLUVMUWHVVQYAUWEUWGUWJUVTVUSUUPXEUUQKKUVKUWCUVLUVLVFUURUVAVVQUUSAVVAUVBW
      KVPUVCYPVURVVCUWMWAZUVJUWLVUQNNUVKVAZVUAVVRUXPVVJVUCVUDVVSVUAVVRXCNUVKUWC
      TUVDUVEUVFQVPYRUVGUVTUWKBCUWAUWMUVNUWEUVPUWGUVSUWJUVKUWCUVMEYGUWMUVOUWFHA
      UVKUWCYDYEUWMUVRUWIJUWMUVMUVQUWHUVKUWCIYFXMYEYHUVIUVH $.

    $( Value of the minimal polynomial of an algebraic number.  (Contributed by
       Stefan O'Rear, 25-Nov-2014.) $)
    mpaaval $p |- ( A e. AA -> ( minPolyAA ` A ) = ( iota_ p e. ( Poly ` QQ )
        ( ( deg ` p ) = ( degAA ` A ) /\ ( p ` A ) = 0 /\
          ( ( coeff ` p ) ` ( degAA ` A ) ) = 1 ) ) ) $=
      ( va cv cdgr cfv cdgraa wceq cc0 ccoe c1 w3a cq cply crio caa cmpaa fveq2
      eqeq2d fveqeq2 2fveq3 eqeq1d 3anbi123d riotabidv df-mpaa riotaex fvmpt )
      CABDZEFZCDZGFZHZUJUHFIHZUKUHJFZFZKHZLZBMNFZOUIAGFZHZAUHFIHZUSUNFZKHZLZBUR
      OPQUJAHZUQVDBURVEULUTUMVAUPVCVEUKUSUIUJAGRSUJAIUHTVEUOVBKUJAUNGUAUBUCUDCB
      UEVDBURUFUG $.

    $( Properties of the minimal polynomial of an algebraic number.
       (Contributed by Stefan O'Rear, 25-Nov-2014.) $)
    mpaalem $p |- ( A e. AA -> ( ( minPolyAA ` A ) e. ( Poly ` QQ ) /\
        ( ( deg ` ( minPolyAA ` A ) ) = ( degAA ` A ) /\
          ( ( minPolyAA ` A ) ` A ) = 0 /\
          ( ( coeff ` ( minPolyAA ` A ) ) ` ( degAA ` A ) ) = 1 ) ) ) $=
      ( vp caa wcel cmpaa cfv cv cdgr cdgraa wceq cc0 ccoe c1 cq cply crab crio
      w3a wa eqeq1d mpaaval wreu mpaaeu riotacl2 syl eqeltrd fveq1 fveq2 fveq1d
      fveqeq2 3anbi123d elrab sylib ) ACDZAEFZBGZHFAIFZJZAUPFZKJZUQUPLFZFZMJZRZ
      BNOFZPZDUOVEDUOHFUQJZAUOFZKJZUQUOLFZFZMJZRZSUNUOVDBVEQZVFABUAUNVDBVEUBVNV
      FDABUCVDBVEUDUEUFVDVMBUOVEUPUOJZURVGUTVIVCVLUPUOUQHUJVOUSVHKAUPUOUGTVOVBV
      KMVOUQVAVJUPUOLUHUITUKULUM $.

    $( Minimal polynomial is a polynomial.  (Contributed by Stefan O'Rear,
       25-Nov-2014.) $)
    mpaacl $p |- ( A e. AA -> ( minPolyAA ` A ) e. ( Poly ` QQ ) ) $=
      ( caa wcel cmpaa cfv cq cply cdgr cdgraa wceq cc0 ccoe w3a mpaalem simpld
      c1 ) ABCADEZFGECQHEAIEZJAQEKJRQLEEPJMANO $.

    $( Minimal polynomial has degree the degree of the number.  (Contributed by
       Stefan O'Rear, 25-Nov-2014.) $)
    mpaadgr $p |- ( A e. AA -> ( deg ` ( minPolyAA ` A ) ) = ( degAA ` A ) ) $=
      ( caa wcel cmpaa cfv cq cply cdgr cdgraa wceq cc0 ccoe w3a mpaalem simpr1
      c1 wa syl ) ABCADEZFGECZSHEAIEZJZASEKJZUASLEEPJZMQUBANTUBUCUDOR $.

    $( The minimal polynomial of an algebraic number has the number as a root.
       (Contributed by Stefan O'Rear, 25-Nov-2014.) $)
    mpaaroot $p |- ( A e. AA -> ( ( minPolyAA ` A ) ` A ) = 0 ) $=
      ( caa wcel cmpaa cfv cq cply cdgr cdgraa wceq cc0 ccoe w3a mpaalem simpr2
      c1 wa syl ) ABCADEZFGECZSHEAIEZJZASEKJZUASLEEPJZMQUCANTUBUCUDOR $.

    $( Minimal polynomial is monic.  (Contributed by Stefan O'Rear,
       25-Nov-2014.) $)
    mpaamn $p |- ( A e. AA -> ( ( coeff ` ( minPolyAA ` A ) ) `
          ( degAA ` A ) ) = 1 ) $=
      ( caa wcel cmpaa cfv cq cply cdgr cdgraa wceq cc0 ccoe w3a mpaalem simpr3
      c1 wa syl ) ABCADEZFGECZSHEAIEZJZASEKJZUASLEEPJZMQUDANTUBUCUDOR $.

    $(
    @( The minimal polynomial of a rational number. @)
    mpaaq @p |- ( A e. QQ -> ( minPolyAA ` A ) = ( x e. CC |-> ( x - A ) ) ) @=
      ? @.
    $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Algebraic integers I
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c _ZZ IntgOver $.

  $( Extend class notation with the integral-over predicate. $)
  citgo $a class IntgOver $.

  $( Extend class notation with the class of algebraic integers. $)
  cza $a class _ZZ $.

  ${
    $d x p s $.

    $( A complex number is said to be integral over a subset if it is the root
       of a monic polynomial with coefficients from the subset.  This
       definition is typically not used for fields but it works there, see
       ~ aaitgo .  This definition could work for subsets of an arbitrary ring
       with a more general definition of polynomials.  TODO: use ` Monic ` .
       (Contributed by Stefan O'Rear, 27-Nov-2014.) $)
    df-itgo $a |- IntgOver = ( s e. ~P CC |-> { x e. CC | E. p e. ( Poly ` s )
        ( ( p ` x ) = 0 /\ ( ( coeff ` p ) ` ( deg ` p ) ) = 1 ) } ) $.

    $( Define an algebraic integer as a complex number which is the root of a
       monic integer polynomial.  (Contributed by Stefan O'Rear,
       30-Nov-2014.) $)
    df-za $a |- _ZZ = ( IntgOver ` ZZ ) $.
  $}

  ${
    $d S x p s a b c $.  $d T x p s a b c $.
    $( Value of the integral-over function.  (Contributed by Stefan O'Rear,
       27-Nov-2014.) $)
    itgoval $p |- ( S C_ CC -> ( IntgOver ` S ) = { x e. CC |
        E. p e. ( Poly ` S ) ( ( p ` x ) = 0 /\
          ( ( coeff ` p ) ` ( deg ` p ) ) = 1 ) } ) $=
      ( vs cc wss cpw wcel citgo cfv cv cc0 wceq cdgr ccoe cply wrex crab cnex
      c1 wa elpw2 fveq2 rexeqdv rabbidv df-itgo rabex fvmpt sylbir ) BEFBEGZHBI
      JAKCKZJLMUKNJUKOJJTMUAZCBPJZQZAERZMBESUBDBULCDKZPJZQZAERUOUJIUPBMZURUNAEU
      SULCUQUMUPBPUCUDUEADCUFUNAESUGUHUI $.

    $( The standard algebraic numbers ` AA ` are generated by ` IntgOver ` .
       (Contributed by Stefan O'Rear, 27-Nov-2014.) $)
    aaitgo $p |- AA = ( IntgOver ` QQ ) $=
      ( va vb caa cq cfv cv cc0 wceq cdgr ccoe c1 wa wrex cc wcel ax-mp c0p wne
      fveq2 cn0 citgo cply crab rabid qsscn itgoval eleq2i aacn mpaacl mpaaroot
      wss cmpaa cdgraa mpaadgr fveq2d mpaamn eqtrd fveq1 eqeq1d fveq12d anbi12d
      rspcev syl12anc jca csn cdif simpl cxp coe0 fveq1i dgr0 0nn0 eqeltri c0ex
      fvconst2 eqtri 0ne1 eqnetri neeq1d mpbiri necon2i ad2antll eldifsn simprl
      sylanbrc reximi2 anim2i elqaa sylibr impbii 3bitr4ri eqriv ) ACDUAEZAFZWN
      BFZEZGHZWOIEZWOJEZEZKHZLZBDUBEZMZANUCZOWNNOZXDLZWNWMOWNCOZXDANUDWMXEWNDNU
      KWMXEHUEADBUFPUGXHXGXHXFXDWNUHXHWNULEZXCOWNXIEZGHZXIIEZXIJEZEZKHZXDWNUIWN
      UJXHXNWNUMEZXMEKXHXLXPXMWNUNUOWNUPUQXBXKXOLBXIXCWOXIHZWQXKXAXOXQWPXJGWNWO
      XIURUSXQWTXNKXQWRXLWSXMWOXIJSWOXIISUTUSVAVBVCVDXGXFWQBXCQVEVFZMZLXHXDXSXF
      XBWQBXCXRWOXCOZXBLZWOXROZWQYAXTWOQRZYBXTXBVGXAYCXTWQWOQWTKWOQHZWTKRQIEZQJ
      EZEZKRYGGKYGYETGVEVHZEZGYEYFYHVIVJYETOYIGHYEGTVKVLVMTGYEVNVOPVPVQVRYDWTYG
      KYDWRYEWSYFWOQJSWOQISUTVSVTWAWBWOXCQWCWEXTWQXAWDVDWFWGWNBWHWIWJWKWL $.

    $( An integral element is integral over a subset.  (Contributed by Stefan
       O'Rear, 27-Nov-2014.) $)
    itgoss $p |- ( ( S C_ T /\ T C_ CC ) ->
          ( IntgOver ` S ) C_ ( IntgOver ` T ) ) $=
      ( va vb wss cc wa cv cfv cc0 wceq cdgr ccoe c1 cply wrex crab syl itgoval
      citgo wi wral plyss ssrexv ralrimivw ss2rab sylibr sstr adantl 3sstr4d )
      ABEZBFEZGZCHDHZIJKUNLIUNMIINKGZDAOIZPZCFQZUODBOIZPZCFQZATIZBTIZUMUQUTUAZC
      FUBURVAEUMVDCFUMUPUSEVDABUCUODUPUSUDRUEUQUTCFUFUGUMAFEVBURKABFUHCADSRULVC
      VAKUKCBDSUIUJ $.

    $( All integral elements are complex numbers.  (Contributed by Stefan
       O'Rear, 27-Nov-2014.) $)
    itgocn $p |- ( IntgOver ` S ) C_ CC $=
      ( va vb vc citgo wcel cfv cc wss cv cc0 wceq cdgr ccoe cply wrex eqsstrdi
      c1 wa crab cdm cpw df-itgo dmmptss sseli cnex elpw2 itgoval ssrab2 syl wn
      sylbi c0 ndmfv 0ss pm2.61i ) AEUAZFZAEGZHIZURAHUBZFZUTUQVAABVACJZDJZGKLVD
      MGVDNGGRLSDBJZOGPCHTECBDUCUDUEVBAHIZUTAHUFUGVFUSVEVCGKLVCMGVCNGGRLSCAOGPZ
      BHTHBACUHVGBHUIQULUJURUKUSUMHAEUNHUOQUP $.
  $}

  ${
    $d ph a b $.  $d X a b $.  $d Y a b $.  $d S a b $.
    cnsrexpcl.s $e |- ( ph -> S e. ( SubRing ` CCfld ) ) $.
    cnsrexpcl.x $e |- ( ph -> X e. S ) $.
    cnsrexpcl.y $e |- ( ph -> Y e. NN0 ) $.
    $( Exponentiation is closed in number rings.  (Contributed by Stefan
       O'Rear, 30-Nov-2014.) $)
    cnsrexpcl $p |- ( ph -> ( X ^ Y ) e. S ) $=
      ( wcel cexp co wi cc0 c1 wceq oveq2 eleq1d imbi2d cc ccnfld 3ad2ant2 cmul
      va vb cn0 caddc csubrg cfv wss cnfldbas subrgss syl sseldd exp0d subrg1cl
      cv cnfld1 eqeltrd w3a simp1 expp1d simp3 cnfldmul subrgmcl syl3anc nn0ind
      3exp a2d mpcom ) DUDHACDIJZBHZGACUBUOZIJZBHZKACLIJZBHZKACUCUOZIJZBHZKACVP
      MUEJZIJZBHZKAVJKUBUCDVKLNZVMVOAWBVLVNBVKLCIOPQVKVPNZVMVRAWCVLVQBVKVPCIOPQ
      VKVSNZVMWAAWDVLVTBVKVSCIOPQVKDNZVMVJAWEVLVIBVKDCIOPQAVNMBACABRCABSUFUGHZB
      RUHEBRSUIUJUKFULZUMAWFMBHEBSMUPUNUKUQVPUDHZAVRWAWHAVRWAWHAVRURZVTVQCUAJZB
      WICVPAWHCRHVRWGTWHAVRUSUTWIWFVRCBHZWJBHAWHWFVRETWHAVRVAAWHWKVRFTBSUAVQCVB
      VCVDUQVFVGVEVH $.
  $}

  ${
    $d ph k a b $.  $d A k a b $.  $d B a b $.  $d S k a b $.
    fsumcnsrcl.s $e |- ( ph -> S e. ( SubRing ` CCfld ) ) $.
    fsumcnsrcl.a $e |- ( ph -> A e. Fin ) $.
    fsumcnsrcl.b $e |- ( ( ph /\ k e. A ) -> B e. S ) $.
    $( Finite sums are closed in number rings.  (Contributed by Stefan O'Rear,
       30-Nov-2014.) $)
    fsumcnsrcl $p |- ( ph -> sum_ k e. A B e. S ) $=
      ( va vb ccnfld csubrg cfv wcel cc wss cnfldbas cv caddc cc0 subrgss wa co
      syl cnfldadd subrgacl 3expb sylan subrgsubg cnfld0 subg0cl 3syl fsumcllem
      csubg ) AIJBCDEADKLMNZDOPFDOKQUAUDAUOIRZDNZJRZDNZUBUPURSUCDNZFUOUQUSUTDSK
      UPURUEUFUGUHGHAUODKUNMNTDNFDKUIDKTUJUKULUM $.
  $}

  ${
    $d P k $.  $d ph k $.  $d X k $.  $d S k $.  $d C k $.
    cnsrplycl.s $e |- ( ph -> S e. ( SubRing ` CCfld ) ) $.
    cnsrplycl.p $e |- ( ph -> P e. ( Poly ` C ) ) $.
    cnsrplycl.x $e |- ( ph -> X e. S ) $.
    cnsrplycl.c $e |- ( ph -> C C_ S ) $.
    $( Polynomials are closed in number rings.  (Contributed by Stefan O'Rear,
       30-Nov-2014.) $)
    cnsrplycl $p |- ( ph -> ( P ` X ) e. S ) $=
      ( vk cfv cc0 co wcel cc wss ccnfld syl2anc adantr cn0 cdgr ccoe cexp cmul
      cfz cv csu cply wceq csubrg cnfldbas subrgss syl plyss sseldd eqid coeid2
      fzfid wa wf csubg subrgsubg cnfld0 subg0cl coef2 elfznn0 adantl cnsrexpcl
      3syl ffvelrnd cnfldmul subrgmcl syl3anc fsumcnsrcl eqeltrd ) AECKZLCUAKZU
      EMZJUFZCUBKZKZEVSUCMZUDMZJUGZDACDUHKZNZEONVPWDUIABUHKZWECABDPDOPZWGWEPIAD
      QUJKNZWHFDOQUKULUMZBDUNRGUOZADOEWJHUOVTDJCVQEVTUPZVQUPUQRAVRWCDJFALVQURAV
      SVRNZUSZWIWADNWBDNWCDNAWIWMFSZWNTDVSVTATDVTUTZWMAWFLDNZWPWKAWIDQVAKNWQFDQ
      VBDQLVCVDVIVTDCWLVERSWMVSTNAVSVQVFVGZVJWNDEVSWOAEDNWMHSWRVHDQUDWAWBVKVLVM
      VNVO $.
  $}

  ${
    $d ph a b t $.  $d R a b t $.  $d B a b t $.  $d A a b t $.  $d S t $.
    rgspnval.r $e |- ( ph -> R e. Ring ) $.
    rgspnval.b $e |- ( ph -> B = ( Base ` R ) ) $.
    rgspnval.ss $e |- ( ph -> A C_ B ) $.
    rgspnval.n $e |- ( ph -> N = ( RingSpan ` R ) ) $.
    rgspnval.sp $e |- ( ph -> U = ( N ` A ) ) $.
    $( Value of the ring-span of a set of elements in a ring.  (Contributed by
       Stefan O'Rear, 7-Dec-2014.) $)
    rgspnval $p |- ( ph -> U = |^| { t e. ( SubRing ` R ) | A C_ t } ) $=
      ( vb va cfv wss cbs wcel cvv wceq crgspn csubrg crab cint fveq1d cpw cmpt
      crg elex fveq2 pweqd rabeq syl inteqd mpteq12dv df-rgspn fvex mptex fvmpt
      cv pwex 3syl eqid sseq1 rabbidv sseqtrd elpw2 sylibr wrex subrgid eqeltrd
      sseq2 rspcev syl2anc intexrab sylib fvmptd3 eqtrd 3eqtrd ) AFCGOCEUAOZOZC
      BUTZPZBEUBOZUCZUDZLACGVTKUEAWACMEQOZUFZMUTZWBPZBWDUCZUDZUGZOWFACVTWMAEUHR
      ZESRVTWMTHEUHUINEMNUTZQOZUFZWJBWOUBOZUCZUDZUGWMSUAWOETZMWQWTWHWLXAWPWGWOE
      QUJUKXAWSWKXAWRWDTWSWKTWOEUBUJWJBWRWDULUMUNUONBMUPMWHWLWGEQUQZVAURUSVBUEA
      MCWLWFWHWMSWMVCWICTZWKWEXCWJWCBWDWICWBVDVEUNACWGPCWHRACDWGJIVFCWGXBVGVHAW
      CBWDVIZWFSRADWDRCDPZXDADWGWDIAWNWGWDRHWGEWGVCVJUMVKJWCXEBDWDWBDCVLVMVNWCB
      WDVOVPVQVRVS $.

    $( The ring-span of a set is a subring.  (Contributed by Stefan O'Rear,
       7-Dec-2014.) $)
    rgspncl $p |- ( ph -> U e. ( SubRing ` R ) ) $=
      ( vt cv wss csubrg cfv crab cint wcel eqeltrd rgspnval c0 wne ssrab2 wrex
      cbs crg eqid subrgid sseq2 rspcev syl2anc rabn0 sylibr subrgint sylancr
      syl ) AEBLMZNZLDOPZQZRZUTALBCDEFGHIJKUAAVAUTNVAUBUCZVBUTSUSLUTUDAUSLUTUEZ
      VCACUTSBCNZVDACDUFPZUTHADUGSVFUTSGVFDVFUHUIUQTIUSVELCUTURCBUJUKULUSLUTUMU
      NDVAUOUPT $.

    $( The ring-span of a set contains the set.  (Contributed by Stefan O'Rear,
       30-Nov-2014.) $)
    rgspnssid $p |- ( ph -> A C_ U ) $=
      ( vt cv wss csubrg cfv crab cint ssintub rgspnval sseqtrrid ) ABLMNLDOPZQ
      RBELBUBSALBCDEFGHIJKTUA $.

    rgspnmin.sr $e |- ( ph -> S e. ( SubRing ` R ) ) $.
    rgspnmin.ss $e |- ( ph -> A C_ S ) $.
    $( The ring-span is contained in all subspaces which contain all the
       generators.  (Contributed by Stefan O'Rear, 30-Nov-2014.) $)
    rgspnmin $p |- ( ph -> U C_ S ) $=
      ( vt cv wss csubrg cfv wcel crab rgspnval sseq2 elrab sylanbrc intss1 syl
      cint eqsstrd ) AFBOPZQZODRSZUAZUHZEAOBCDFGHIJKLUBAEUMTZUNEQAEULTBEQZUOMNU
      KUPOEULUJEBUCUDUEEUMUFUGUI $.
  $}

  ${
    rgspnid.r $e |- ( ph -> R e. Ring ) $.
    rgspnid.sr $e |- ( ph -> A e. ( SubRing ` R ) ) $.
    rgspnid.sp $e |- ( ph -> S = ( ( RingSpan ` R ) ` A ) ) $.
    $( The span of a subring is itself.  (Contributed by Stefan O'Rear,
       30-Nov-2014.) $)
    rgspnid $p |- ( ph -> S = A ) $=
      ( cbs cfv crgspn eqidd wcel wss eqid subrgss syl ssidd rgspnmin rgspnssid
      csubrg eqssd ) ADBABCHIZCBDCJIZEAUBKZABCTILBUBMFBUBCUBNOPZAUCKZGFABQRABUB
      CDUCEUDUEUFGSUA $.
  $}

  ${
    $d ph a b c d e p $.  $d B a b c d e p $.  $d X a b c d e p $.
    $d V a b c d e p $.
    rngunsnply.b $e |- ( ph -> B e. ( SubRing ` CCfld ) ) $.
    rngunsnply.x $e |- ( ph -> X e. CC ) $.
    rngunsnply.s $e |- ( ph -> S = ( ( RingSpan ` CCfld ) `
        ( B u. { X } ) ) ) $.
    $( Adjoining one element to a ring results in a set of polynomial
       evaluations.  (Contributed by Stefan O'Rear, 30-Nov-2014.) $)
    rngunsnply $p |- ( ph -> ( V e. S <->
        E. p e. ( Poly ` B ) V = ( p ` X ) ) ) $=
      ( va wcel ccnfld cfv wceq wrex cc caddc co cmul rexbidv vb csn cun crgspn
      vc ve vd cv eleq2d cab crg cnring a1i cbs cnfldbas csubrg wss subrgss syl
      cply snssd unssd eqidd cress c1 cc0 c0g cnfld0 cplusg cnfldadd wa wf plyf
      ffvelrn syl2anr eleq1 rexlimdva ss2abdv abid2 eqtri sseqtrdi cxp plyconst
      syl5ibrcom sylan adantr vex fvconst2 eqcomd rspceeqv syl2anc ex eqsstrrid
      fveq1 csubg subrgsubg subg0cl sseldd w3a weq eqeq1 eqeq2d cbvrexvw bitrdi
      biid elab cof simplr simpr subrgacl 3expb adantlr plyadd wfn cvv ad2antlr
      wi ffnd adantl ad2antrr fnfvof syl22anc oveq2 eqeq1d oveq1 imbi2d syl3anb
      cnex 3imp ovex sylibr cneg cnfldneg mp1i cnfld1 cnfldmul plymul fvex cidp
      cminusg ax-1cn subrg1cl subginvcl eqeltrrd subrgmcl negex fnconstg oveq1d
      eqid mulm1d 3eqtrd eqtr4d fveqeq2 imp sylan2b cmulr issubrngd2 plyid cres
      cur cid df-idp fveq1i fvresi eqtr2id elabd rgspnmin sseld rexlimivw elab3
      mpbiri syl6ib rgspncl rgspnssid unssbd snidg unssad cnsrplycl impbid
      bitrd ) ADCKDBEUBZUCZLUDMZMZKZDEFUHZMZNZFBUTMZOZACUWDDIUIAUWEUWJAUWEDJUHZ
      UWGNZFUWIOZJUJZKUWJAUWDUWNDAUWBPLUWNUWDUWCLUKKAULUMZPLUNMZNAUOUMZABUWAPAB
      LUPMZKZBPUQZGBPLUOURUSZAEPHVAVBZAUWCVCZAUWDVCZAUAUEUWNQLUWNVDRZSVELVFAUXE
      VCVFLVGMNAVHUMQLVIMNAVJUMAUWNUWKPKZJUJZUWPAUWMUXFJAUWLUXFFUWIAUWFUWIKZVKZ
      UXFUWLUWGPKZUXHPPUWFVLEPKZUXJABUWFVMHPPEUWFVNVOUWKUWGPVPWDVQVRUXGPUWPJPVS
      UOVTWAABUWNVFABUWKBKZJUJUWNJBVSAUXLUWMJAUXLUWMAUXLVKZPUWKUBWBZUWIKZUWKEUX
      NMZNUWMAUWTUXLUXOUXAUWKBWCWEUXMUXPUWKUXMUXKUXPUWKNAUXKUXLHWFPUWKEJWGWHUSW
      IFUXNUWIUWGUXPUWKEUWFUXNWNWJWKWLVRWMZABLWOMKZVFBKAUWSUXRGBLWPUSZBLVFVHWQU
      SWRAUAUHZUWNKZUEUHZUWNKZWSZUXTUYBQRZUWGNZFUWIOZUYEUWNKAAUYAUXTEUFUHZMZNZU
      FUWIOZUYCUYBEUGUHZMZNZUGUWIOZUYGAXEZUWMUYKJUXTUAWGJUAWTZUWMUXTUWGNZFUWIOU
      YKUYQUWLUYRFUWIUWKUXTUWGXATUYRUYJFUFUWIFUFWTUWGUYIUXTEUWFUYHWNXBXCXDXFZUW
      MUYOJUYBUEWGJUEWTZUWMUYBUWGNZFUWIOUYOUYTUWLVUAFUWIUWKUYBUWGXATVUAUYNFUGUW
      IFUGWTUWGUYMUYBEUWFUYLWNXBXCXDXFZAUYKUYOUYGAUYJUYOUYGXQZUFUWIAUYHUWIKZVKZ
      VUCUYJUYOUYIUYBQRZUWGNZFUWIOZXQVUEUYNVUHUGUWIVUEUYLUWIKZVKZVUHUYNUYIUYMQR
      ZUWGNZFUWIOZVUJUYHUYLQXGRZUWIKVUKEVUNMZNVUMVUJJUABUYHUYLAVUDVUIXHZVUEVUIX
      IZVUEUXLUXTBKZVKZUWKUXTQRBKZVUIAVUSVUTVUDAUWSVUSVUTGUWSUXLVURVUTBQLUWKUXT
      VJXJXKWEXLZXLZXMVUJVUOVUKVUJUYHPXNZUYLPXNZPXOKZUXKVUOVUKNVUDVVCAVUIVUDPPU
      YHBUYHVMZXRZXPZVUIVVDVUEVUIPPUYLBUYLVMXRXSZVVEVUJYHUMZAUXKVUDVUIHXTZPQUYH
      UYLXOEYAYBWIFVUNUWIUWGVUOVUKEUWFVUNWNWJWKUYNVUGVULFUWIUYNVUFVUKUWGUYBUYMU
      YIQYCYDTWDVQUYJUYGVUHUYOUYJUYFVUGFUWIUYJUYEVUFUWGUXTUYIUYBQYEYDTYFWDVQYIY
      GUWMUYGJUYEUXTUYBQYJUWKUYENUWLUYFFUWIUWKUYEUWGXATXFYKAUYAVKUXTLYTMZMZUWGN
      ZFUWIOZVVMUWNKUYAAUYKVVOUYSAUYKVVOAUYJVVOUFUWIVUEVVOUYJUYIVVLMZUWGNZFUWIO
      ZVUEPVEYLZUBWBZUYHSXGZRZUWIKVVPEVWBMZNVVRVUEJUABVVTUYHAVVTUWIKZVUDAUWTVVS
      BKVWDUXAAVEVVLMZVVSBVEPKVWEVVSNAUUAVEYMYNAUXRVEBKZVWEBKUXSAUWSVWFGBLVEYOU
      UBUSZBLVVLVEVVLUUIUUCWKUUDVVSBWCWKWFAVUDXIVVAAVUSUWKUXTSRBKZVUDAUWSVUSVWH
      GUWSUXLVURVWHBLSUWKUXTYPUUEXKWEXLZYQVUEVVPUYIYLZVWCVUEUYIPKZVVPVWJNVUDPPU
      YHVLUXKVWKAVVFHPPEUYHVNVOZUYIYMUSVUEVWCEVVTMZUYISRZVVSUYISRVWJVUEVVTPXNZV
      VCVVEUXKVWCVWNNVVSXOKVWOVUEVEUUFZPVVSXOUUGYNVUDVVCAVVGXSVVEVUEYHUMAUXKVUD
      HWFZPSVVTUYHXOEYAYBVUEVWMVVSUYISVUEUXKVWMVVSNVWQPVVSEVWPWHUSUUHVUEUYIVWLU
      UJUUKUULFVWBUWIUWGVWCVVPEUWFVWBWNWJWKUYJVVNVVQFUWIUXTUYIUWGVVLUUMTWDVQUUN
      UUOUWMVVOJVVMUXTVVLYRUWKVVMNUWLVVNFUWIUWKVVMUWGXATXFYKVELUUTMNAYOUMSLUUPM
      NAYPUMABUWNVEUXQVWGWRUYDUXTUYBSRZUWGNZFUWIOZVWRUWNKAAUYAUYKUYCUYOVWTUYPUY
      SVUBAUYKUYOVWTAUYJUYOVWTXQZUFUWIVUEVXAUYJUYOUYIUYBSRZUWGNZFUWIOZXQVUEUYNV
      XDUGUWIVUJVXDUYNUYIUYMSRZUWGNZFUWIOZVUJUYHUYLVWARZUWIKVXEEVXHMZNVXGVUJJUA
      BUYHUYLVUPVUQVVBVUEVUSVWHVUIVWIXLYQVUJVXIVXEVUJVVCVVDVVEUXKVXIVXENVVHVVIV
      VJVVKPSUYHUYLXOEYAYBWIFVXHUWIUWGVXIVXEEUWFVXHWNWJWKUYNVXCVXFFUWIUYNVXBVXE
      UWGUYBUYMUYISYCYDTWDVQUYJVWTVXDUYOUYJVWSVXCFUWIUYJVWRVXBUWGUXTUYIUYBSYEYD
      TYFWDVQYIYGUWMVWTJVWRUXTUYBSYJUWKVWRNUWLVWSFUWIUWKVWRUWGXATXFYKUWOUUQABUW
      AUWNUXQAEUWNAUWMEUWGNZFUWIOZJEPHAYSUWIKZEEYSMZNVXKAUWTVWFVXLUXAVWGBUURWKA
      VXMEUVAPUUSZMZEEYSVXNUVBUVCAUXKVXOENHPEUVDUSUVEFYSUWIUWGVXMEEUWFYSWNWJWKU
      WKENUWLVXJFUWIUWKEUWGXATUVFVAVBUVGUVHUWMUWJJDXOUWHDXOKZFUWIUWHVXPUWGXOKEU
      WFYRDUWGXOVPUVKUVIUWKDNUWLUWHFUWIUWKDUWGXATUVJUVLAUWHUWEFUWIUXIUWEUWHUWGU
      WDKUXIBUWFUWDEAUWDUWRKUXHAUWBPLUWDUWCUWOUWQUXBUXCUXDUVMWFAUXHXIAEUWDKUXHA
      UWAUWDEABUWAUWDAUWBPLUWDUWCUWOUWQUXBUXCUXDUVNZUVOAUXKEUWAKHEPUVPUSWRWFABU
      WDUQUXHABUWAUWDVXQUVQWFUVRDUWGUWDVPWDVQUVSUVT $.
  $}

  ${
    $d ph i j $.  $d F i $.  $d S i j $.  $d K i j $.  $d B j $.
    flcidc.f $e |- ( ph -> F = ( j e. S |-> if ( j = K , 1 , 0 ) ) ) $.
    flcidc.s $e |- ( ph -> S e. Fin ) $.
    flcidc.k $e |- ( ph -> K e. S ) $.
    flcidc.b $e |- ( ( ph /\ i e. S ) -> B e. CC ) $.
    $( Finite linear combinations with an indicator function.  (Contributed by
       Stefan O'Rear, 5-Dec-2014.) $)
    flcidc $p |- ( ph -> sum_ i e. S ( ( F ` i ) x. B ) = [_ K / i ]_ B ) $=
      ( cmul co wcel wa c1 wceq cc0 eqtrd cc csn cv cfv csu csb cif cmpt fveq1d
      adantr snssd sselda eqeq1 ifbid eqid 1ex c0ex ifex fvmpt syl elsni adantl
      iftrued oveq1d syldan mulid2d sumeq2dv ax-1cn eqeltrdi mulcld cdif eldifi
      0cn ifcli eldifn velsn sylnib iffalsed mul02d fsumss anbi2d csbeq1 eleq1d
      eleq1 imbi12d nfv nfcsb1v nfel1 nfim csbeq1a chvarfv vtoclg anabsi7 mpdan
      wi sumsns syl2anc 3eqtr3d ) AGUAZDUBZFUCZBLMZDUDWRBDUDZCXADUDDGBUEZAWRXAB
      DAWSWRNZOZXAPBLMBXEWTPBLXEWTWSGQZPRUFZPXEWTWSECEUBZGQZPRUFZUGZUCZXGAWTXLQ
      ZXDAWSFXKHUHZUIXEWSCNZXLXGQZAWRCWSAGCJUJZUKZEWSXJXGCXKXHWSQXIXFPRXHWSGULU
      MXKUNXFPRUOUPUQURZUSSZXDXGPQAXDXFPRWSGUTVBVASVCXEBAXDXOBTNZXRKVDZVESVFAWR
      CXADXQXEWTBXEWTXGTXTXFPRTVGVLVMVHYBVIAWSCWRVJNZOZXARBLMRYDWTRBLYDWTXGRYDW
      TXLXGAXMYCXNUIYDXOXPYCXOAWSCWRVKVAZXSUSSYCXGRQAYCXFPRYCXDXFWSCWRVNDGVOVPV
      QVASVCYDBAYCXOYAYEKVDVRSIVSAGCNZXCTNZXBXCQJAYFYGJAYFYGAXHCNZOZDXHBUEZTNZW
      NZAYFOZYGWNEGCXIYIYMYKYGXIYHYFAXHGCWCVTXIYJXCTDXHGBWAWBWDAXOOZYAWNYLDEYIY
      KDYIDWEDYJTDXHBWFWGWHWSXHQZYNYIYAYKYOXOYHAWSXHCWCVTYOBYJTDXHBWIWBWDKWJWKW
      LWMBDGCWOWPWQ $.
  $}

  $(
  @{
    @d ph i a b c @.  @d B i a b c @.  @d G i a b c @.  @d F i a b c @.
    cnplyspn.b @e |- ( ph -> B e. ( SubRing ` CCfld ) ) @.
    cnplyspn.a @e |- ( ph -> A = ( ( subringAlg ` CCfld ) ` B ) ) @.
    cnplyspn.s @e |- ( ph -> S = ( ( LSpan ` A ) ` ran F ) ) @.
    cnplyspn.f @e |- ( ph -> F = ( j e. ( 0 ... ( K - 1 ) ) |-> ( R ^ j ) ) )
        @.
    @( Finite spans of powers are the values of limited-degree polynomials. @)
    cnplyspn @p |- ( ph -> ( X e. S <->
        E. f e. ( B Poly< K ) X = ( f ` R ) ) ) @=
      ? @.
  @}

    @( TODO @)
    @( Finite spans in terms of limited degree polynomials. @)
    @( Patch monic definition into itgo. @)
    @( Transitivity of finite spans. @)
    @( Forward itgofg. @)
    @( Reverse using ac6sfi. @)
    @( itgofg2 and lemmas @)
    @( start on Noetherian @)

  @{
    Xitgofglem5.b @e |- ( ph -> B e. ( SubRing ` CCfld ) ) @.
    Xitgofglem5.x @e |- ( ph -> X e. CC ) @.
    Xitgofglem5.u @e |- ( ph -> U e. ( Poly ` B ) ) @.
    Xitgofglem5.d @e |- ( ph -> D e. NN0 ) @.
    Xitgofglem5.d2 @e |- ( ph -> ( deg ` U ) < D ) @.
    Xitgofglem5.a @e |- A = ( ( subringAlg ` CCfld ) ` B ) @.
    Xitgofglem5.q @e |- Q = { x | E. i e. ( 0 ... ( D - 1 ) ) x = ( X ^ i ) }
        @.
    @( Lemma for ~ itgofg .  The span of the first ` D ` powers of ` X `
       contains all evaluations of polynomials with degree at most ` D ` . @)
    Xitgofglem5 @p |- ( ph -> ( U ` X ) e. ( ( LSpan ` A ) ` Q ) ) @=
      ? @.
  @}

  @{
    Xitgofglem4.b @e |- ( ph -> B e. ( SubRing ` CCfld ) ) @.
    Xitgofglem4.p @e |- ( ph -> P e. ( Monic ` B ) ) @.
    Xitgofglem4.x @e |- ( ph -> X e. CC ) @.
    Xitgofglem4.x0 @e |- ( ph -> ( P ` X ) = 0 ) @.
    Xitgofglem4.u @e |- ( ph -> U e. ( Poly ` B ) ) @.
    Xitgofglem4.f @e |- A = ( ( subringAlg ` CCfld ) ` B ) @.
    Xitgofglem4.g @e |- Q = { x | E. i e. ( 0 ... ( ( deg ` P ) - 1 ) )
        x = ( X ^ i ) } @.
    @( Lemma for ~ itgofg .  Use the polynomial identity to inductively prove
       that the span of Q contains all polynomial evaluations. @)
    Xitgofglem4 @p |- ( ph -> ( U ` X ) e. ( ( LSpan ` A ) ` Q ) ) @=
      ? @.
  @}

  @{
    Xitgofglem3.a @e |- ( ph -> B e. ( SubRing ` CCfld ) ) @.
    Xitgofglem3.b @e |- ( ph -> P e. ( Monic ` B ) ) @.
    Xitgofglem3.c @e |- ( ph -> X e. CC ) @.
    Xitgofglem3.d @e |- ( ph -> ( P ` X ) = 0 ) @.
    Xitgofglem3.e @e |- S = ( ( RingSpan ` CCfld ) ` ( B u. { X } ) ) @.
    Xitgofglem3.f @e |- A = ( ( subringAlg ` ( CCfld |` S ) ) ` B ) @.
    Xitgofglem3.g @e |- Q = { x | E. i e. ( 0 ... ( deg ` P ) )
        x = ( X ^ i ) } @.
    @( Lemma for ~ itgofg .  Given a polynomial witnessing the integrality of
       ` X ` , demonstrate the finite generation of ` A ` . @)
    Xitgofglem3 @p |- ( ph -> ( ( LSpan ` A ) ` Q ) = S ) @=
      ? @.
  @}

  @{
    Xitgofg.s @e |- S = ( ( RingSpan ` CCfld ) ` ( B u. { X } ) ) @.
    Xitgofg.a @e |- A = ( ( subringAlg ` ( CCfld |` S ) ) ` B ) @.
    @( Lemma for ~ itgofg . @)
    Xitgofglem2 @p |- ( ( B e. ( SubRing ` CCfld ) /\ A e. LFinGen ) ->
          X e. ( IntgOver ` B ) ) @=
      ? @.

    @( Lemma for ~ itgofg . @)
    Xitgofglem1 @p |- ( ( B e. ( SubRing ` CCfld ) /\ X e. ( IntgOver ` B ) )
        ->
          A e. LFinGen ) @=
      ? @.

    @( An element is finitely generated over a ring if and only adjoining it to
       the base ring results in a finitely spanned algebra.

       Both directions:  The ring span of a ring R and a singleton is the
       R-linear span of the powers of the singleton.  It is also the set of
       values of R-polynomials evaluated at the singleton.

       Forward:  If X is algebraic, it is the root of a monic polynomial P with
       degree D. The span of the finite set of powers (X^0 ...  X^D) is
       finitely spanned, and it is equal to the span of all the powers: it is a
       subset because the ring span is a ring which contains all the powers,
       and it also a superset, because it is a linear subspace that contains
       all of the powers (by induction).

       Reverse:  Suppose the ring of polynomial values is finitely spanned,
       that is, there is a finite set of polynomials P(i) such that any linear
       subspace that contains P(i)(X) contains all polynomials of X. Let N be
       one more than the supremum of the degrees of P(i).  By assumption (X^N)
       is in the span of P(i)(X), so there is an R-linear combination of
       P(i)(X) equal to (X^N); but an R-linear combination of R-polynomials
       with degree less than N is an R-polynomial with degree less than N, so
       let Q be an R-polynomial such that Q(X) = (X^N) and deg(Q) < N. Then
       (X^N) - Q(X) is a monic R-polynomial with X as a root, i.e., X is
       algebraic. @)
    itgofg @p |- ( B e. ( SubRing ` CCfld ) -> ( X e. ( IntgOver ` B ) <->
          A e. LFinGen ) ) @=
      ? @.
  @}

  @{
    rgspnchn.r @e |- ( ph -> R e. Ring ) @.
    rgspnchn.s @e |- ( ph -> S = ( RingSpan ` R ) ) @.
    rgspnchn.b @e |- ( ph -> B = ( Base ` R ) ) @.
    rgspnchn.x @e |- ( ph -> X C_ B ) @.
    rgspnchn.a @e |- ( ph -> A C_ B ) @.
    @( Chaining lemma for ring spans. @)
    rgspnchn @p |- ( ph -> ( R ` ( ( R ` X ) u. A ) ) = ( R ` ( X u. A ) ) ) @=
      ? @.
  @}

  @{
    itgofg2.ba @e |- ( ph -> B e. ( SubRing ` CCfld ) ) @.
    itgofg2.fi @e |- ( ph -> F e. Fin ) @.
    itgofg2.ss @e |- ( ph -> F C_ ( IntgOver ` B ) ) @.
    itgofg2.sp @e |- ( ph -> S = ( ( RingSpan ` CCfld ) ` ( B u. F ) ) ) @.
    itgofg2.al @e |- ( ph -> A = ( ( subringAlg ` ( CCfld |` S ) ) ` B ) ) @.
    @( Adjoining finitely many integral elements to a ring still gives a finite
       extension. @)
    itgofg2 @p |- ( ph -> A e. LFinGen ) @=
      ? @.
  @}

  @{
    itgocllem.a @e |- S = ( ( RingSpan ` CCfld ) ` ( R u. { X } ) ) @.
    itgocllem.b @e |- T = ( ( RingSpan ` CCfld ) ` ( S u. { Y } ) ) @.
    itgocllem.c @e |- A = ( ( subringAlg ` ( CCfld |` S ) ) ` R ) @.
    itgocllem.d @e |- B = ( ( subringAlg ` ( CCfld |` T ) ) ` S ) @.
    itgocllem.e @e |- C = ( ( subringAlg ` ( CCfld |` T ) ) ` R ) @.
    itgocllem.f @e |- Z e. { ( X + Y ) , ( X x. Y ) } @.
    @( Integrality is transitive(?). @)
    itgocllem @p |- ( ( R e. ( SubRing ` CCfld ) /\ X e. ( IntgOver ` R ) /\
          Y e. ( IntgOver ` R ) ) -> Z e. ( IntgOver ` R ) ) @=
      ? @.
  @}
  $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The determinant / matrix adjugate/adjunct
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$(
  @{
    gsumiunfi.b @e |- B = ( Base ` G ) @.
    gsumiunfi.g @e |- ( ph -> G e. CMnd ) @.
    gsumiunfi.c @e |- ( ph -> C e. Fin ) @.
    gsumiunfi.d @e |- ( ( ph /\ i e. C ) -> D e. Fin ) @.
    gsumiunfi.a @e |- ( ( ph /\ j e. A ) -> E! i e. C j e. D ) @.
    gsumiunfi.x @e |- ( ( ph /\ j e. A ) -> X e. B ) @.
    @( An iterated splitting rule for finite sums.  (Contributed by Stefan
       O'Rear, 10-Sep-2015.) @)
    gsumiunfi @p |- ( ph -> ( G gsum ( j e. A |-> X ) ) =
        ( G gsum ( i e. C |-> ( G gsum ( j e. D |-> X ) ) ) ) ) @= ? @.
  @}
$)

$(
  @{
    mdetlap.d @e |- D = ( N maDet R ) @.
    mdetlap.a @e |- A = ( N Mat R ) @.
    mdetlap.b @e |- B = ( Base ` A ) @.
    mdetlap.t @e |- .x. = ( .r ` R ) @.
    mdetlap.j @e |- J = ( N maAdju R ) @.

 @(
   @{
      @( Express the cofactor as a portion of the determinant sum.
         (Contributed by Stefan O'Rear, 10-Sep-2015.) @)
      mdetlaplem @p |- ( ( R e. CRing /\ M e. B )
        -> ( J ` M ) = ( i e. N , j e. N |->  ( R gsum ( p e. { q e. P | ...
    @}
@)

    @( The Laplace formula for the determinant.  (Contributed by Stefan
       O'Rear, 9-Sep-2015.) @)
    mdetlap @p |- ( ( R e. CRing /\ M e. B /\ X e. N ) -> ( D ` M ) =
        ( R gsum ( y e. N |-> ( ( X M y ) .x. ( y ( J ` M ) X ) ) ) ) ) @= ? @.
  @}
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Endomorphism algebra
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c MEndo $.
  $( Syntax for module endomorphism algebra. $)
  cmend $a class MEndo $.

  ${
    $d m b x y $.
    $( Define the endomorphism algebra of a module.  (Contributed by Stefan
       O'Rear, 2-Sep-2015.) $)
    df-mend $a |- MEndo = ( m e. _V |-> [_ ( m LMHom m ) / b ]_
      ( { <. ( Base ` ndx ) , b >. ,
          <. ( +g ` ndx ) , ( x e. b , y e. b |-> ( x oF ( +g ` m ) y ) ) >. ,
          <. ( .r ` ndx ) , ( x e. b , y e. b |-> ( x o. y ) ) >. } u.
        { <. ( Scalar ` ndx ) , ( Scalar ` m ) >. ,
          <. ( .s ` ndx ) , ( x e. ( Base ` ( Scalar ` m ) ) , y e. b |->
             ( ( ( Base ` m ) X. { x } ) oF ( .s ` m ) y ) ) >. } ) ) $.
  $}

  ${
    algpart.a $e |- A = ( { <. ( Base ` ndx ) , B >. ,
       <. ( +g ` ndx ) , .+ >. , <. ( .r ` ndx ) , .X. >. } u.
     { <. ( Scalar ` ndx ) , S >. , <. ( .s ` ndx ) , .x. >. } ) $.
    $( Lemma to shorten proofs of ~ algbase through ~ algvsca .  (Contributed
       by Stefan O'Rear, 27-Nov-2014.)  (Revised by Mario Carneiro,
       29-Aug-2015.) $)
    algstr $p |- A Struct <. 1 , 6 >. $=
      ( cnx cbs cfv cop cplusg cmulr ctp csca cvsca cpr c1 c6 c5 cstr c3 rngstr
      cun eqid 5nn scandx 5lt6 6nn vscandx strle2 3lt5 strleun eqbrtri ) AHIJBK
      HLJCKHMJFKNZHOJZDKHPJZEKQZUDRSKUAGRUBTSUOURBCUOFUOUEUCUPUQTSDEUFUGUHUIUJU
      KULUMUN $.

    $( The base set of a constructed algebra.  (Contributed by Stefan O'Rear,
       27-Nov-2014.)  (Revised by Mario Carneiro, 29-Aug-2015.) $)
    algbase $p |- ( B e. V -> B = ( Base ` A ) ) $=
      ( cbs c1 c6 cop algstr baseid cnx cfv csn cplusg cmulr ctp csca cvsca cpr
      snsstp1 cun ssun1 sseqtrri sstri strfv ) BAIGJKLABCDEFHMNOIPBLZQUJORPCLZO
      SPFLZTZAUJUKULUDUMUMOUAPDLOUBPELUCZUEAUMUNUFHUGUHUI $.

    $( The additive operation of a constructed algebra.  (Contributed by Stefan
       O'Rear, 27-Nov-2014.)  (Revised by Mario Carneiro, 29-Aug-2015.) $)
    algaddg $p |- ( .+ e. V -> .+ = ( +g ` A ) ) $=
      ( cplusg c1 c6 cop algstr plusgid cnx cfv csn cbs cmulr ctp snsstp2 cvsca
      csca cpr cun ssun1 sseqtrri sstri strfv ) CAIGJKLABCDEFHMNOIPCLZQORPBLZUJ
      OSPFLZTZAUKUJULUAUMUMOUCPDLOUBPELUDZUEAUMUNUFHUGUHUI $.

    $( The multiplicative operation of a constructed algebra.  (Contributed by
       Stefan O'Rear, 27-Nov-2014.)  (Revised by Mario Carneiro,
       29-Aug-2015.) $)
    algmulr $p |- ( .X. e. V -> .X. = ( .r ` A ) ) $=
      ( cmulr c1 c6 cop algstr mulrid cnx cfv csn cbs cplusg ctp csca cvsca cpr
      snsstp3 cun ssun1 sseqtrri sstri strfv ) FAIGJKLABCDEFHMNOIPFLZQORPBLZOSP
      CLZUJTZAUKULUJUDUMUMOUAPDLOUBPELUCZUEAUMUNUFHUGUHUI $.

    $( The set of scalars of a constructed algebra.  (Contributed by Stefan
       O'Rear, 27-Nov-2014.)  (Revised by Mario Carneiro, 29-Aug-2015.) $)
    algsca $p |- ( S e. V -> S = ( Scalar ` A ) ) $=
      ( csca c1 c6 cop algstr scaid cnx cfv csn cvsca cpr snsspr1 cbs cmulr ctp
      cplusg cun ssun2 sseqtrri sstri strfv ) DAIGJKLABCDEFHMNOIPDLZQUJORPELZSZ
      AUJUKTULOUAPBLOUDPCLOUBPFLUCZULUEAULUMUFHUGUHUI $.

    $( The scalar product operation of a constructed algebra.  (Contributed by
       Stefan O'Rear, 27-Nov-2014.)  (Revised by Mario Carneiro,
       29-Aug-2015.) $)
    algvsca $p |- ( .x. e. V -> .x. = ( .s ` A ) ) $=
      ( cvsca c1 c6 cop algstr vscaid cnx cfv csn csca cpr snsspr2 cplusg cmulr
      cbs ctp cun ssun2 sseqtrri sstri strfv ) EAIGJKLABCDEFHMNOIPELZQORPDLZUJS
      ZAUKUJTULOUCPBLOUAPCLOUBPFLUDZULUEAULUMUFHUGUHUI $.
  $}

  ${
    $d b m x y B $.  $d b m x y M $.  $d b m .+ $.  $d b m S $.  $d b m .X. $.
    $d b m .x. $.
    mendval.b $e |- B = ( M LMHom M ) $.
    mendval.p $e |- .+ = ( x e. B , y e. B |-> ( x oF ( +g ` M ) y ) ) $.
    mendval.t $e |- .X. = ( x e. B , y e. B |-> ( x o. y ) ) $.
    mendval.s $e |- S = ( Scalar ` M ) $.
    mendval.v $e |- .x. = ( x e. ( Base ` S ) , y e. B |->
        ( ( ( Base ` M ) X. { x } ) oF ( .s ` M ) y ) ) $.
    $( Value of the module endomorphism algebra.  (Contributed by Stefan
       O'Rear, 2-Sep-2015.) $)
    mendval $p |- ( M e. X -> ( MEndo ` M ) = ( { <. ( Base ` ndx ) , B >. ,
        <. ( +g ` ndx ) , .+ >. , <. ( .r ` ndx ) , .X. >. } u. { <. ( Scalar `
          ndx ) , S >. , <. ( .s ` ndx ) , .x. >. } ) ) $=
      ( vb cfv cbs cop wceq co vm wcel cvv cmend cnx cplusg cmulr ctp cvsca cpr
      csca cun elex cv clmhm cof cmpo csn cxp csb oveq12 anidms eqtr4di csbeq1d
      ccom ovex eqeltrrdi wa simpr opeq2d fveq2 ofeqd mpoeq123dv eqidd tpeq123d
      oveqdr adantr fveq2d xpeq1d oveq123d preq12d uneq12d csbied eqtrd df-mend
      tpex prex unex fvmpt syl ) HIUBHUCUBHUDPUEQPZCRZUEUFPZDRZUEUGPZGRZUHZUEUK
      PZERZUEUIPZFRZUJZULZSHIUMUAHOUAUNZXDUOTZWKOUNZRZWMABXFXFAUNZBUNZXDUFPZUPZ
      TZUQZRZWOABXFXFXHXIVEZUQZRZUHZWRXDUKPZRZWTABXSQPZXFXDQPZXHURZUSZXIXDUIPZU
      PZTZUQZRZUJZULZUTZXCUCUDXDHSZYLOCYKUTXCYMOXECYKYMXEHHUOTZCYMXEYNSXDHXDHUO
      VAVBJVCZVDYMOCYKXCUCYMCXEUCYOXDXDUOVFVGYMXFCSZVHZXRWQYJXBYQXGWLXNWNXQWPYQ
      XFCWKYMYPVIZVJYQXMDWMYQXMABCCXHXIHUFPZUPZTZUQDYQABXFXFXLCCUUAYRYRYMYPABXK
      YTYMXJYSXDHUFVKVLVPVMKVCVJYQXPGWOYQXPABCCXOUQGYQABXFXFXOCCXOYRYRYQXOVNVML
      VCVJVOYQXTWSYIXAYQXSEWRYQXSHUKPZEYMXSUUBSYPXDHUKVKVQMVCZVJYQYHFWTYQYHABEQ
      PZCHQPZYCUSZXIHUIPZUPZTZUQFYQABYAXFYGUUDCUUIYQXSEQUUCVRYRYQYDUUFXIXIYFUUH
      YQYEUUGYMYEUUGSYPXDHUIVKVQVLYQYBUUEYCYMYBUUESYPXDHQVKVQVSYQXIVNVTVMNVCVJW
      AWBWCWDABUAOWEWQXBWLWNWPWFWSXAWGWHWIWJ $.
  $}

  ${
    $d x y M $.
    mendbas.a $e |- A = ( MEndo ` M ) $.
    $( Base set of the module endomorphism algebra.  (Contributed by Stefan
       O'Rear, 2-Sep-2015.) $)
    mendbas $p |- ( M LMHom M ) = ( Base ` A ) $=
      ( vx vy cvv wcel clmhm co cbs cfv wceq cnx cop cplusg cv cof cmpo eqid c0
      cmulr ccom ctp csca cvsca csn cxp cpr cun ovex algbase mp1i cmend mendval
      syl5eq fveq2d eqtr4d wn base0 reldmlmhm ovprc1 fvprc 3eqtr4a pm2.61i ) BF
      GZBBHIZAJKZLVEVFMJKVFNMOKDEVFVFDPZEPZBOKQIRZNMUAKDEVFVFVHVIUBRZNUCMUDKBUD
      KZNMUEKDEVLJKVFBJKVHUFUGVIBUEKQIRZNUHUIZJKZVGVFFGVFVOLVEBBHUJVNVFVJVLVMVK
      FVNSUKULVEAVNJVEABUMKZVNCDEVFVJVLVMVKBFVFSVJSVKSVLSVMSUNUOUPUQVEURZTTJKVF
      VGUSBBHUTVAVQATJVQAVPTCBUMVBUOUPVCVD $.
  $}

  ${
    $d x y B $.  $d x y M $.  $d x y .+ $.  $d x y X $.  $d x y Y $.
    mendplusgfval.a $e |- A = ( MEndo ` M ) $.
    mendplusgfval.b $e |- B = ( Base ` A ) $.
    mendplusgfval.p $e |- .+ = ( +g ` M ) $.
    $( Addition in the module endomorphism algebra.  (Contributed by Stefan
       O'Rear, 2-Sep-2015.)  (Proof shortened by AV, 31-Oct-2024.) $)
    mendplusgfval $p |- ( +g ` A ) = ( x e. B , y e. B |-> ( x oF .+ y ) ) $=
      ( cvv wcel cplusg cfv co wceq cnx cbs cop eqid c0 cof cmpo cmulr ccom ctp
      cv csca cvsca csn cxp cpr cun cmend clmhm mendbas eqtr4i ofeq ax-mp oveqi
      wa a1i mpoeq3ia mendval syl5eq fveq2d fvexi mpoex algaddg eqtr4d wn fvprc
      mp1i plusgid str0 eqtr4di wo base0 3eqtr4g olcd 0mpo0 syl pm2.61i ) FJKZC
      LMZABDDAUFZBUFZEUAZNZUBZOWCWDPQMDRPLMZWIRPUCMABDDWEWFUDUBZRUEPUGMFUGMZRPU
      HMABWLQMDFQMWEUIUJWFFUHMUANUBZRUKULZLMZWIWCCWNLWCCFUMMZWNGABDWIWLWMWKFJDC
      QMZFFUNNHCFGUOUPABDDWHWEWFFLMZUAZNZWHWTOWEDKWFDKUTWGWSWEWFEWROWGWSOIEWRUQ
      URUSVAVBWKSWLSWMSVCVDVEWIJKWIWOOWCABDDWHDCQHVFZXAVGWNDWIWLWMWKJWNSVHVLVIW
      CVJZWDTWIXBWDTLMTXBCTLXBCWPTGFUMVKVDZVELWJVMVNVOXBDTOZXDVPWITOXBXDXDXBWQT
      QMDTXBCTQXCVEHVQVRVSABDDWHVTWAVIWB $.

    mendplusg.q $e |- .+b = ( +g ` A ) $.
    $( A specific addition in the module endomorphism algebra.  (Contributed by
       Stefan O'Rear, 3-Sep-2015.) $)
    mendplusg $p |- ( ( X e. B /\ Y e. B ) -> ( X .+b Y ) = ( X oF .+ Y ) ) $=
      ( vx vy cv cof co oveq12 cplusg cfv cmpo mendplusgfval eqtri ovex ovmpoa
      ) LMFGBBLNZMNZCOZPZFGUGPDUEFUFGUGQDARSLMBBUHTKLMABCEHIJUAUBFGUGUCUD $.
  $}

  ${
    $d x y B $.  $d x y M $.  $d x y X $.  $d x y Y $.
    mendmulrfval.a $e |- A = ( MEndo ` M ) $.
    mendmulrfval.b $e |- B = ( Base ` A ) $.
    $( Multiplication in the module endomorphism algebra.  (Contributed by
       Stefan O'Rear, 2-Sep-2015.)  (Proof shortened by AV, 31-Oct-2024.) $)
    mendmulrfval $p |- ( .r ` A ) = ( x e. B , y e. B |-> ( x o. y ) ) $=
      ( cvv cmulr cfv cmpo wceq cnx cbs cop co eqid syl5eq fveq2d c0 cplusg cof
      wcel cv ccom ctp cvsca csn cxp cpr cun cmend clmhm mendbas eqtr4i mendval
      csca fvexi mpoex algmulr mp1i eqtr4d wn fvprc mulrid str0 eqtr4di wo olcd
      base0 0mpo0 syl pm2.61i ) EHUCZCIJZABDDAUDZBUDZUEZKZLVNVOMNJDOMUAJABDDVPV
      QEUAJUBPKZOMIJZVSOUFMUQJEUQJZOMUGJABWBNJDENJVPUHUIVQEUGJUBPKZOUJUKZIJZVSV
      NCWDIVNCEULJZWDFABDVTWBWCVSEHDCNJZEEUMPGCEFUNUOVTQVSQWBQWCQUPRSVSHUCVSWEL
      VNABDDVRDCNGURZWHUSWDDVTWBWCVSHWDQUTVAVBVNVCZVOTVSWIVOTIJTWICTIWICWFTFEUL
      VDRZSIWAVEVFVGWIDTLZWKVHVSTLWIWKWKWIDTNJZTWIDWGWLGWICTNWJSRVJVGVIABDDVRVK
      VLVBVM $.

    mendmulr.q $e |- .x. = ( .r ` A ) $.
    $( A specific multiplication in the module endormoprhism algebra.
       (Contributed by Stefan O'Rear, 3-Sep-2015.) $)
    mendmulr $p |- ( ( X e. B /\ Y e. B ) -> ( X .x. Y ) = ( X o. Y ) ) $=
      ( vx vy wcel ccom cvv co wceq coexg cv coeq1 coeq2 cmulr cfv mendmulrfval
      cmpo eqtri ovmpog mpd3an3 ) EBLFBLEFMZNLEFCOUHPEFBBQJKEFBBJRZKRZMZUHCEUJM
      NUIEUJSUJFETCAUAUBJKBBUKUDIJKABDGHUCUEUFUG $.
  $}

  ${
    $d x y M $.
    mendsca.a $e |- A = ( MEndo ` M ) $.
    mendsca.s $e |- S = ( Scalar ` M ) $.
    $( The module endomorphism algebra has the same scalars as the underlying
       module.  (Contributed by Stefan O'Rear, 2-Sep-2015.)  (Proof shortened
       by AV, 31-Oct-2024.) $)
    mendsca $p |- S = ( Scalar ` A ) $=
      ( vx vy csca cfv cmend cvv wcel wceq cnx cbs co cop cplusg cmpo eqid ccom
      clmhm cof cmulr ctp cvsca csn cxp cpr cun fvex algsca mp1i mendval fveq2d
      cv eqtr4d c0 scaid str0 eqcomi fveqprc pm2.61i fveq2i 3eqtr4i ) CHIZCJIZH
      IZBAHICKLZVFVHMVIVFNOICCUBPZQNRIFGVJVJFUPZGUPZCRIUCPSZQNUDIFGVJVJVKVLUASZ
      QUENHIZVFQNUFIFGVFOIVJCOIVKUGUHVLCUFIUCPSZQUIUJZHIZVHVFKLVFVRMVICHUKVQVJV
      MVFVPVNKVQTULUMVIVGVQHFGVJVMVFVPVNCKVJTVMTVNTVFTVPTUNUOUQHJCVGURURHIHVOUS
      UTVAVGTVBVCEAVGHDVDVE $.
  $}

  ${
    $d x y B $.  $d x y K $.  $d x y M $.
    mendvscafval.a $e |- A = ( MEndo ` M ) $.
    mendvscafval.v $e |- .x. = ( .s ` M ) $.
    mendvscafval.b $e |- B = ( Base ` A ) $.
    mendvscafval.s $e |- S = ( Scalar ` M ) $.
    mendvscafval.k $e |- K = ( Base ` S ) $.
    mendvscafval.e $e |- E = ( Base ` M ) $.
    $( Scalar multiplication in the module endomorphism algebra.  (Contributed
       by Stefan O'Rear, 2-Sep-2015.)  (Proof shortened by AV, 31-Oct-2024.) $)
    mendvscafval $p |- ( .s ` A ) = ( x e. K , y e. B |->
          ( ( E X. { x } ) oF .x. y ) ) $=
      ( cvsca cfv wceq cbs c0 cmend cv csn cxp cof cmpo fveq2i cvv wcel cnx cop
      cplusg cmulr ccom ctp csca cpr cun clmhm mendbas eqtr4i eqid xpeq1i ax-mp
      co ofeq oveq123i mpoeq123i mendval fveq2d fvexi mpoex algvsca mp1i eqtr4d
      wn fvprc vscaid str0 eqtr4di wo syl5eq base0 3eqtr4g orcd 0mpo0 syl eqtri
      pm2.61i ) CPQIUAQZPQZABHDGAUBZUCZUDZBUBZFUEZVEZUFZCWJPJUGIUHUIZWKWRRWSWKU
      JSQDUKUJULQABDDWLWOIULQUEVEUFZUKUJUMQABDDWLWOUNUFZUKUOUJUPQEUKUJPQZWRUKUQ
      URZPQZWRWSWJXCPABDWTEWRXAIUHDCSQIIUSVELCIJUTVAWTVBXAVBMABHDWQESQZDISQZWMU
      DZWOIPQZUEZVENDVBWNWOXGWOWPXIGXFWMOVCWOVBFXHRWPXIRKFXHVFVDVGVHVIVJWRUHUIW
      RXDRWSABHDWQHESNVKDCSLVKVLXCDWTEWRXAUHXCVBVMVNVOWSVPZWKTWRXJWKTPQTXJWJTPI
      UAVQVJPXBVRVSVTXJHTRZDTRZWAWRTRXJXKXLXJXETSQHTXJETSXJEIUPQTMIUPVQWBVJNWCW
      DWEABHDWQWFWGVOWIWH $.

    $d x y E $.  $d x y .x. $.  $d x y X $.  $d x y Y $.
    mendvsca.w $e |- .xb = ( .s ` A ) $.
    $( A specific scalar multiplication in the module endomorphism algebra.
       (Contributed by Stefan O'Rear, 3-Sep-2015.) $)
    mendvsca $p |- ( ( X e. K /\ Y e. B ) ->
        ( X .xb Y ) = ( ( E X. { X } ) oF .x. Y ) ) $=
      ( vx vy cv csn cxp cof co wceq xpeq2d id oveqan12d cvsca cfv mendvscafval
      sneq cmpo eqtri ovex ovmpoa ) RSIJGBFRTZUAZUBZSTZEUCZUDZFIUAZUBZJVAUDDUQI
      UEZUTJUEZUSVDUTJVAVEURVCFUQIULUFVFUGUHDAUIUJRSGBVBUMQRSABCEFGHKLMNOPUKUNV
      DJVAUOUP $.
  $}

  ${
    $d x y z A $.  $d k u v w x y z M $.  $d k u v w x y z S $.
    mendassa.a $e |- A = ( MEndo ` M ) $.
    $( The module endomorphism algebra is a ring.  (Contributed by Stefan
       O'Rear, 5-Sep-2015.) $)
    mendring $p |- ( M e. LMod -> A e. Ring ) $=
      ( vx vy wcel co cfv wceq ccom eqid mendplusg syl2anc sylibr 3eqtr4d eqtrd
      syl lmhmco mendmulr cvv clmod clmhm cplusg cmulr cid cbs cres mendbas a1i
      eqidd cminusg c0g csn cxp cof lmhmplusg eqeltrd 3adant1 w3a simpr1 simpr2
      vz cv wa simpr3 oveq1d oveq2d cmnd cmap lmodgrp grpmndd adantr lmhmf fvex
      wf elmap mndvass syl13anc csca 0lmhm syl3anc sylan mndvlid syl2an invlmhm
      sylancom cgrp grpvlinv isgrpd coass 3eqtr4a oveq12d cmhm cghm ghmmhm 3syl
      id lmghm mhmvlin wfn inidm ofco idlmhm adantl fcoi2 syl2anr fcoi1 isringd
      ffn ) BUAFZDEVBBBUBGZAUCHZAAUDHZUEBUFHZUGZXKAUFHIXJABCUHZUIZXJXLUJZXJXMUJ
      XJDEVBXKXLABUKHZDVCZJZXNBULHZUMUNZXQXRXTXKFZEVCZXKFZXTYEXLGZXKFXJYDYFVDZY
      GXTYEBUCHZUOZGZXKAXKYIXLBXTYECXPYIKZXLKZLZYIXTYEBBYLUPZUQURXJYDYFVBVCZXKF
      ZUSZVDZYKYPXLGZYKYPYJGZYGYPXLGXTYEYPXLGZXLGZYSYKXKFZYQYTUUAIYSYDYFUUDXJYD
      YFYQUTZXJYDYFYQVAZYOMZXJYDYFYQVEZAXKYIXLBYKYPCXPYLYMLMYSYGYKYPXLYSYDYFYGY
      KIUUEUUFYNMZVFYSXTYEYPYJGZXLGZXTUUJYJGZUUCUUAYSYDUUJXKFZUUKUULIUUEYSYFYQU
      UMUUFUUHYIYEYPBBYLUPMZAXKYIXLBXTUUJCXPYLYMLMYSUUBUUJXTXLYSYFYQUUBUUJIUUFU
      UHAXKYIXLBYEYPCXPYLYMLMZVGYSBVHFZXTXNXNVIGZFZYEUUQFZYPUUQFZUUAUULIXJUUPYR
      XJBBVJZVKZVLYSXNXNXTVOZUURYSYDUVCUUEXNXNBBXTXNKZUVDVMZQXNXNXTBUFVNZUVFVPZ
      NYSXNXNYEVOZUUSYSYFUVHUUFXNXNBBYEUVDUVDVMZQXNXNYEUVFUVFVPNZYSXNXNYPVOZUUT
      YSYQUVKUUHXNXNBBYPUVDUVDVMQZXNXNYPUVFUVFVPNZXNYIXNBXTYEYPUVDYLVQVROOXJXJX
      JBVSHZUVNIYCXKFZXJWQZUVPXJUVNUJXNUVNUVNBBYBYBKZUVDUVNKZUVRVTWAZXJYDVDZYCX
      TXLGZYCXTYJGZXTXJUVOYDUWAUWBIUVSAXKYIXLBYCXTCXPYLYMLWBXJUUPUURUWBXTIYDUVB
      YDUVCUURUVEUVGNZXNYIXNBXTYBUVDYLUVQWCWDPXJXSXKFYDYAXKFZXSBXSKZWEXSXTBBBRW
      BZUVTYAXTXLGZYAXTYJGZYCXJYDUWDUWGUWHIUWFAXKYIXLBYAXTCXPYLYMLWFXJBWGFUURUW
      HYCIYDUVAUWCXNYIBXNXSXTYBUVDYLUWEUVQWHWDPWIYDYFXTYEXMGZXKFXJYHUWIXTYEJZXK
      AXKXMBXTYECXPXMKZSZXTYEBBBRZUQURYSUWJYPJZXTYEYPJZJZUWIYPXMGZXTYEYPXMGZXMG
      ZXTYEYPWJYSUWQUWJYPXMGZUWNYSUWIUWJYPXMYSYDYFUWIUWJIUUEUUFUWLMZVFYSUWJXKFZ
      YQUWTUWNIYSYDYFUXBUUEUUFUWMMZUUHAXKXMBUWJYPCXPUWKSMPYSUWSXTUWOXMGZUWPYSUW
      RUWOXTXMYSYFYQUWRUWOIUUFUUHAXKXMBYEYPCXPUWKSMZVGYSYDUWOXKFZUXDUWPIUUEYSYF
      YQUXFUUFUUHYEYPBBBRMZAXKXMBXTUWOCXPUWKSMPWKYSXTUUJXMGZXTUUJJZXTUUBXMGUWIX
      TYPXMGZXLGZYSYDUUMUXHUXIIUUEUUNAXKXMBXTUUJCXPUWKSMYSUUBUUJXTXMUUOVGYSUWJX
      TYPJZXLGZUWJUXLYJGZUXKUXIYSUXBUXLXKFZUXMUXNIUXCYSYDYQUXOUUEUUHXTYPBBBRMZA
      XKYIXLBUWJUXLCXPYLYMLMYSUWIUWJUXJUXLXLUXAYSYDYQUXJUXLIUUEUUHAXKXMBXTYPCXP
      UWKSMZWLYSXTBBWMGFZUUSUUTUXIUXNIYSYDXTBBWNGFUXRUUEBBXTWRBBXTWOWPUVJUVMXNY
      IYIXTXNBBYEYPUVDYLYLWSWAOOYSYKYPXMGZYKYPJZYGYPXMGUXJUWRXLGZYSUUDYQUXSUXTI
      UUGUUHAXKXMBYKYPCXPUWKSMYSYGYKYPXMUUIVFYSUXLUWOXLGZUXLUWOYJGZUYAUXTYSUXOU
      XFUYBUYCIUXPUXGAXKYIXLBUXLUWOCXPYLYMLMYSUXJUXLUWRUWOXLUXQUXEWLYSXNXNXNXNY
      IXTYEYPTTTYSYDUVCXTXNWTUUEUVEXNXNXTXIWPYSYFUVHYEXNWTUUFUVIXNXNYEXIWPUVLXN
      TFYSUVFUIZUYDUYDXNXAXBOOXNBUVDXCZUVTXOXTXMGZXOXTJZXTXJXOXKFZYDUYFUYGIUYEA
      XKXMBXOXTCXPUWKSWBUVTUVCUYGXTIYDUVCXJUVEXDZXNXNXTXEQPUVTXTXOXMGZXTXOJZXTY
      DYDUYHUYJUYKIXJYDWQUYEAXKXMBXTXOCXPUWKSXFUVTUVCUYKXTIUYIXNXNXTXGQPXH $.

    mendassa.s $e |- S = ( Scalar ` M ) $.
    $( The module endomorphism algebra is a left module.  (Contributed by Mario
       Carneiro, 22-Sep-2015.) $)
    mendlmod $p |- ( ( M e. LMod /\ S e. CRing ) -> A e. LMod ) $=
      ( vy vk wcel cbs cfv co wceq eqidd syl cv w3a eqid mendvsca syl2anc cvv
      vx vz vw vv vu clmod ccrg wa cplusg cvsca cmulr cur clmhm mendbas mendsca
      a1i csca crg crngring adantl cgrp mendring adantr ringgrp csn cxp 3adant1
      cof lmhmvsca 3adant1l eqeltrd simpr2 simpr3 mendplusg oveq2d simpr1 grpcl
      syl3anc oveq12d 3adant3r3 eleq1w 3anbi3d eleq1d imbi12d chvarvv 3adant3r2
      wi oveq2 fvexd wf fconst6g lmhmf simpll lmodvsdi caofdi 3eqtr4d lmodvsdir
      sylan caofdir ringacl ofc12 oveq1d eqtr4d oveq1 3adant3r1 eqtrd ffvelrnda
      3anbi2d ovexd fconstmpt feqmptd offval2 ringcl simplr2 lmodvsass syl13anc
      cmpt mpteq2dva ringidcl sylancom lmodvs1 caofid0l islmodd ) CUFHZBUGHZUHZ
      UAFUBBIJZAUIJZBUIJZAUJJZBUKJZBULJZBCCUMKZAYMAIJLYFACDUNZUPYFYHMBAUQJLYFAB
      CDEUOUPYFYJMYFYGMYFYIMYFYKMYFYLMYEBURHZYDBUSUTZYFAURHZAVAHZYDYQYEACDVBVCA
      VDNZYFUAOZYGHZFOZYMHZPZYTUUBYJKZCIJZYTVEVFZUUBCUJJZVHZKZYMUUAUUCUUEUUJLZY
      FAYMBYJUUHUUFYGCYTUUBDUUHQZYNEYGQZUUFQZYJQZRZVGYEUUAUUCUUJYMHYDYTUUHUUBBY
      GCCUUFUUNUULEUUMVIVJVKZYFUUAUUCUBOZYMHZPZUHZUUGUUBUURYHKZUUIKZUUGUUBUURCU
      IJZVHZKZUUIKZYTUVBYJKZUUEYTUURYJKZYHKZUVAUVBUVFUUGUUIUVAUUCUUSUVBUVFLYFUU
      AUUCUUSVLZYFUUAUUCUUSVMZAYMUVDYHCUUBUURDYNUVDQZYHQZVNSVOUVAUUAUVBYMHZUVHU
      VCLYFUUAUUCUUSVPZUVAYRUUCUUSUVOYFYRUUTYSVCUVKUVLYMYHAUUBUURYNUVNVQVRAYMBY
      JUUHUUFYGCYTUVBDUULYNEUUMUUNUUORSUVAUUEUVIUVEKZUUJUUGUURUUIKZUVEKUVJUVGUV
      AUUEUUJUVIUVRUVEUVAUUAUUCUUKUVPUVKUUPSUVAUUAUUSUVIUVRLZUVPUVLAYMBYJUUHUUF
      YGCYTUURDUULYNEUUMUUNUUORZSVSUVAUUEYMHZUVIYMHZUVJUVQLYFUUAUUCUWAUUSUUQVTY
      FUUAUUSUWBUUCUUDUWAWGYFUUAUUSPZUWBWGZFUBUUBUURLZUUDUWCUWAUWBUWEUUCUUSYFUU
      AFUBYMWAWBUWEUUEUVIYMUUBUURYTYJWHWCWDUUQWEZWFAYMUVDYHCUUEUVIDYNUVMUVNVNSU
      VAUCUDUEUUFUVDUUFUUHUUGUUBUURYGUVDTUVACIWIUVAUUAUUFYGUUGWJZUVPUUFYTYGWKZN
      UVAUUCUUFUUFUUBWJUVKUUFUUFCCUUBUUNUUNWLNUVAUUSUUFUUFUURWJZUVLUUFUUFCCUURU
      UNUUNWLZNUVAYDUCOZYGHZUDOZUUFHUEOZUUFHZPUWKUWMUWNUVDKUUHKUWKUWMUUHKUWKUWN
      UUHKZUVDKLYDYEUUTWMUVDUWKUUHBYGUUFCUWMUWNUUNUVMEUULUUMWNWRWOWPWPYFUUAUUBY
      GHZUUSPZUHZUUGUUFUUBVEVFZYIVHKZUURUUIKZUVRUWTUURUUIKZUVEKZYTUUBYIKZUURYJK
      ZUVIUUBUURYJKZYHKZUWSUCUDUEUUFYIYGUUHUURUUGUWTUUFUVDTUWSCIWIZUWSUUSUWIYFU
      UAUWQUUSVMZUWJNZUWSUUAUWGYFUUAUWQUUSVPZUWHNUWSUWQUUFYGUWTWJYFUUAUWQUUSVLZ
      UUFUUBYGWKNUWSYDUWLUWMYGHUWOPUWKUWMYIKUWNUUHKUWPUWMUWNUUHKUVDKLYDYEUWRWMZ
      UVDYIUWKUWMUUHBYGUUFCUWNUUNUVMEUULUUMYIQZWQWRWSUWSUXFUUFUXEVEVFZUURUUIKZU
      XBUWSUXEYGHZUUSUXFUXQLUWSYOUUAUWQUXRYFYOUWRYPVCZUXLUXMYGYIBYTUUBUUMUXOWTV
      RUXJAYMBYJUUHUUFYGCUXEUURDUULYNEUUMUUNUUORSUWSUXAUXPUURUUIUWSUUFYTUUBYITY
      GYGUXIUXLUXMXAXBXCUWSUXHUVIUXGUVEKZUXDUWSUWBUXGYMHZUXHUXTLYFUUAUUSUWBUWQU
      WFWFYFUWQUUSUYAUUAUWDYFUWQUUSPZUYAWGUAFYTUUBLZUWCUYBUWBUYAUYCUUAUWQYFUUSU
      AFYGWAXHUYCUVIUXGYMYTUUBUURYJXDWCWDUWFWEXEZAYMUVDYHCUVIUXGDYNUVMUVNVNSUWS
      UVIUVRUXGUXCUVEUWSUUAUUSUVSUXLUXJUVTSUWSUWQUUSUXGUXCLUXMUXJAYMBYJUUHUUFYG
      CUUBUURDUULYNEUUMUUNUUORSZVSXFWPUWSUUFYTUUBYKKZVEVFZUURUUIKZGUUFUYFGOZUUR
      JZUUHKZXQZUYFUURYJKZYTUXGYJKZUWSGUUFUYFUYJUUHUYGUURTTUUFUXIUWSUYIUUFHZUHZ
      YTUUBYKXIUWSUUFUUFUYIUURUXKXGZUYGGUUFUYFXQLUWSGUUFUYFXJUPUWSGUUFUUFUURUXK
      XKZXLUWSUYFYGHZUUSUYMUYHLUWSYOUUAUWQUYSUXSUXLUXMYGBYKYTUUBUUMYKQZXMVRUXJA
      YMBYJUUHUUFYGCUYFUURDUULYNEUUMUUNUUORSUWSUUGUXGUUIKZGUUFYTUUBUYJUUHKZUUHK
      ZXQUYNUYLUWSGUUFYTVUBUUHUUGUXGTYGTUXIUWSUUAUYOUXLVCZUYPUUBUYJUUHXIUUGGUUF
      YTXQLUWSGUUFYTXJUPUWSUXGUXCGUUFVUBXQUYEUWSGUUFUUBUYJUUHUWTUURTYGUUFUXIUUA
      UWQUUSYFUYOXNZUYQUWTGUUFUUBXQLUWSGUUFUUBXJUPUYRXLXFXLUWSUUAUYAUYNVUALUXLU
      YDAYMBYJUUHUUFYGCYTUXGDUULYNEUUMUUNUUORSUWSGUUFUYKVUCUYPYDUUAUWQUYJUUFHUY
      KVUCLUWSYDUYOUXNVCVUDVUEUYQYTUUBUUHYKBYGUUFCUYJUUNEUULUUMUYTXOXPXRWPWPYFY
      TYMHZUHZYLYTYJKZUUFYLVEVFYTUUIKZYTYFVUFYLYGHZVUHVUILVUGYOVUJYFYOVUFYPVCYG
      BYLUUMYLQZXSNZAYMBYJUUHUUFYGCYLYTDUULYNEUUMUUNUUORXTVUGFUUFYLUUHUUFYTTYGV
      UGCIWIVUFUUFUUFYTWJYFUUFUUFCCYTUUNUUNWLUTVULVUGYDUUBUUFHYLUUBUUHKUUBLYDYE
      VUFWMUUHYLBUUFCUUBUUNEUULVUKYAWRYBXFYC $.

    $( The module endomorphism algebra is an algebra.  (Contributed by Mario
       Carneiro, 22-Sep-2015.) $)
    mendassa $p |- ( ( M e. LMod /\ S e. CRing ) -> A e. AssAlg ) $=
      ( vv vw wcel wa cbs cfv co wceq a1i cv cmpt eqid syl2anc cvv syl3anc ccrg
      vy vz vx clmod cvsca cmulr clmhm mendbas csca eqidd mendlmod crg mendring
      mendsca adantr simpr w3a ccom csn cxp cof wf simpr3 syl ffvelrnda feqmptd
      lmhmf simpr1 simpr2 mendvsca fvexd simplr1 fconstmpt offval2 eqtrd oveq2d
      fmptco mendmulr fcompt lmodvscl 3eqtr4d simplr2 lmhmlin mpteq2dva simplll
      fveq2 eqtr4d ringcl isassad ) CUEHZBUAHZIZUBUCBJKZAUFKZAUGKZBCCUHLZAUDWQA
      JKMWMACDUIZNBAUJKMWMABCDEUOZNWMWNUKWMWOUKWMWPUKABCDEULZWKAUMHZWLACDUNUPZW
      KWLUQWMUDOZWNHZUBOZWQHZUCOZWQHZURZIZXCXEWOLZXGUSZCJKZXCUTVAZXEXGWPLZCUFKZ
      VBZLZXKXGWPLZXCXOWOLZXJXLFXMXCFOZXGKZXEKZXPLZPZXRXJFGXMXMYBXCGOZXEKZXPLZY
      DXGXKXJXMXMYAXGXJXHXMXMXGVCZWMXDXFXHVDZXMXMCCXGXMQZYKVHVEZVFZXJFXMXMXGYLV
      GZXJXKXNXEXQLZGXMYHPXJXDXFXKYOMWMXDXFXHVIZWMXDXFXHVJZAWQBWOXPXMWNCXCXEDXP
      QZWREWNQZYKWOQZVKRXJGXMXCYGXPXNXESWNSXJCJVLZXDXFXHWMYFXMHZVMXJUUBIYFXEVLX
      NGXMXCPMXJGXMXCVNNXJGXMXMXEXJXFXMXMXEVCZYQXMXMCCXEYKYKVHVEZVGZVOVPYFYBMYG
      YCXCXPYFYBXEWGVQVRXJFXMXCYCXPXNXOSWNSUUAXDXFXHWMYAXMHZVMZXJUUFIZYBXEVLXNF
      XMXCPMXJFXMXCVNNZXJXOXEXGUSZFXMYCPZXJXFXHXOUUJMYQYJAWQWPCXEXGDWRWPQZVSRXJ
      UUCYIUUJUUKMUUDYLFXEXGXMXMXMVTRVPVOZWHXJXKWQHZXHXSXLMXJAUEHZXDXFUUNWMUUOX
      IWTUPZYPYQXCWOBWNWQAXEWRWSYTYSWATYJAWQWPCXKXGDWRUULVSRXJXDXOWQHZXTXRMYPXJ
      XAXFXHUUQWMXAXIXBUPYQYJWQAWPXEXGWRUULWITAWQBWOXPXMWNCXCXODYRWREYSYKYTVKRZ
      WBXJXEXCXGWOLZUSZXRXEUUSWPLZXTXJFXMXCYBXPLZXEKZPYEUUTXRXJFXMUVCYDUUHXFXDY
      BXMHZUVCYDMXDXFXHWMUUFWCUUGYMWNCCXPXPXMXEBXCYBEYSYKYRYRWDTWEXJFGXMXMUVBYG
      UVCUUSXEUUHWKXDUVDUVBXMHWKWLXIUUFWFUUGYMXCXPBWNXMCYBYKEYRYSWATXJUUSXNXGXQ
      LZFXMUVBPXJXDXHUUSUVEMYPYJAWQBWOXPXMWNCXCXGDYRWREYSYKYTVKRXJFXMXCYBXPXNXG
      SWNSUUAUUGUUHYAXGVLUUIYNVOVPUUEYFUVBXEWGVRUUMWBXJXFUUSWQHZUVAUUTMYQXJUUOX
      DXHUVFUUPYPYJXCWOBWNWQAXGWRWSYTYSWATAWQWPCXEUUSDWRUULVSRUURWBWJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The class equation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cyclic groups and order
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$(
  @{
    isgenod.o @e |- O = ( od ` G ) @.
    isgenod.b @e |- B = ( Base ` G ) @.
    isgenod.k @e |- K = ( mrCls ` ( SubGrp ` G ) ) @.

    @( An element generates a (cyclic) group iff it has full order.
      (Contributed by Stefan O'Rear, 11-Sep-2015.) @)
    isgenod @p |- ( ( G e Grp /\ B e. Fin /\ X e. B ) ->
        ( ( K ` { X } ) = B <-> ( O ` X ) = ( # ` B ) ) ) @= ? @.
  @}
$)

  ${
    $d y B $.  $d y N $.  $d y R $.  $d y X $.
    idomrootle.b $e |- B = ( Base ` R ) $.
    idomrootle.e $e |- .^ = ( .g ` ( mulGrp ` R ) ) $.
    $( No element of an integral domain can have more than ` N ` ` N ` -th
       roots.  (Contributed by Stefan O'Rear, 11-Sep-2015.) $)
    idomrootle $p |- ( ( R e. IDomn /\ X e. B /\ N e. NN ) ->
        ( # ` { y e. B | ( N .^ y ) = X } ) <_ N ) $=
      ( wcel cfv co chash wceq cbs eqid syl syl3anc cn0 cc0 cxr cn w3a cv1 cpl1
      cidom cmgp cmg cascl csg ce1 ccnv c0g csn cima cdg1 cv crab cle simp1 crg
      cgrp ccrg cdomn isidom simplbi crngring ply1ring ringgrp cmgm cmnd mndmgm
      ringmgp simp3 vr1cl mgpbas mulgnncl wf ply1sclf ffvelrnd grpsubcl wne clt
      simp2 deg1xrcl 0xr a1i nnre 3ad2ant3 wbr deg1sclle syl2anc xrlelttrd cnzr
      rexrd nngt0 simprbi domnnzr nnnn0 deg1pw deg1sub eqtrd eqeltrd deg1nn0clb
      breqtrrd wb mpbird fta1g wfn cpws cvv crh evl1rhm rhmf pwselbas fniniseg2
      fvexi ffnd adantr simpr evl1vard simpl3 evl1expd simpl2 evl1scad evl1subd
      wa simprd eqeq1d grpsubeq0 bitrd rabbidva fveq2d 3brtr3d ) CUEIZFBIZEUAIZ
      UBZECUCJZCUDJZUFJZUGJZKZFYSUHJZJZYSUIJZKZCUJJZJZUKCULJZUMUNZLJUUFCUOJZJZE
      AUPZDKZFMZABUQZLJEURYQYSNJZUUKYSCUUFUUGUUIYSULJZYSOZUUQOZUUKOZUUGOZUUIOZU
      UROZYNYOYPUSZYQYSVAIZUUBUUQIZUUDUUQIZUUFUUQIZYQYSUTIZUVFYQCUTIZUVJYQCVBIZ
      UVKYQYNUVLUVEYNUVLCVCIZCVDZVEPZCVFPZYSCUUSVGPZYSVHPYQYTVIIZYPYRUUQIZUVGYQ
      YTVJIZUVRYQUVJUVTUVQYSYTYTOZVLPYTVKPYNYOYPVMYQUVKUVSUVPUUQYSCYRYROZUUSUUT
      VNPUUQUUAYTEYRUUQYSYTUWAUUTVOUUAOZVPQZYQBUUQFUUCYQUVKBUUQUUCVQUVPUUCUUQYS
      CBUUSUUCOZGUUTVRPYNYOYPWCZVSZUUQYSUUEUUBUUDUUTUUEOZVTQZYQUUFUURWAZUULRIZY
      QUULERYQUULUUBUUKJZEYQUUQUUKCUUBUUDUUEYSUUSUVAUVPUUTUWHUWDUWGYQUUDUUKJZEU
      WLWBYQUWMSEYQUVHUWMTIUWGUUQUUKYSCUUDUVAUUSUUTWDPSTIYQWEWFYPYNETIYOYPEEWGW
      NWHYQUVKYOUWMSURWIUVPUWFUUCUUKYSCFBUVAUUSGUWEWJWKYPYNSEWBWIYOEWOWHWLYQCWM
      IZERIZUWLEMYQYNUWNUVEYNUVMUWNYNUVLUVMUVNWPCWQPPYPYNUWOYOEWRZWHZUUKYSCUUAE
      YTYRUVAUUSUWBUWAUWCWSWKZXDWTUWRXAZUWQXBYQUVKUVIUWJUWKXEUVPUWIUUQUUKYSCUUF
      UURUVAUUSUVDUUTXCWKXFXGYQUUJUUPLYQUUJUUMUUHJZUUIMZABUQZUUPYQUUHBXHUUJUXBM
      YQBBUUHYQBCBCBXIKZNJZUEUUHUXCXJUXCOZGUXDOZUVEBXJIYQBCNGXPWFYQUUQUXDUUFUUG
      YQUUGYSUXCXKKIZUUQUXDUUGVQYQUVLUXGUVOBYSCUXCUUGUVBUUSUXEGXLPUUQUXDYSUXCUU
      GUUTUXFXMPUWIVSXNXQABUUIUUHXOPYQUXAUUOABYQUUMBIZYFZUXAUUNFCUIJZKZUUIMZUUO
      UXIUWTUXKUUIUXIUVIUWTUXKMUXIBUXJYSCUUQUUBUUEUUDUUGUUNFUUMUVBUUSGUUTYQUVLU
      XHUVOXRZYQUXHXSZUXIBYSCUUAUUQDYREUUGUUMUUMUVBUUSGUUTUXMUXNUXIBYSCUUQUUGYR
      UUMUVBUWBGUUSUUTUXMUXNXTUWCHUXIYPUWOYNYOYPUXHYAZUWPPYBUXIUUCBYSCUUQUUGFUU
      MUVBUUSGUWEUUTUXMYNYOYPUXHYCZUXNYDUWHUXJOZYEYGYHUXICVAIZUUNBIZYOUXLUUOXEY
      QUXRUXHYQUVKUXRUVPCVHPXRUXICUFJZVIIZYPUXHUXSUXIUXTVJIZUYAYQUYBUXHYQUVKUYB
      UVPCUXTUXTOZVLPXRUXTVKPUXOUXNBDUXTEUUMBCUXTUYCGVOHVPQUXPBCUXJUUNFUUIGUVCU
      XQYIQYJYKXAYLUWSYM $.
  $}

  ${
    $d x B $.  $d x N $.  $d x R $.
    idomodle.g $e |- G = ( ( mulGrp ` R ) |`s ( Unit ` R ) ) $.
    idomodle.b $e |- B = ( Base ` G ) $.
    idomodle.o $e |- O = ( od ` G ) $.
    $( Limit on the number of ` N ` -th roots of unity in an integral domain.
       (Contributed by Stefan O'Rear, 12-Sep-2015.) $)
    idomodle $p |- ( ( R e. IDomn /\ N e. NN ) ->
        ( # ` { x e. B | ( O ` x ) || N } ) <_ N ) $=
      ( wcel cfv wbr crab chash wceq cbs cvv cxr syl eqid cidom cn wa cdvds cmg
      cv cmgp cur fvexi rabex hashxrcl mp1i fvex nnre rexrd adantl cle c0g cgrp
      co cz crg ccrg cdomn isidom simplbi adantr crngring cui unitgrp simpr nnz
      wb ad2antlr oddvds syl3anc csubmnd cn0 unitsubm nnnn0 unitgrpbas eleqtrdi
      eqtr4i submmulg unitgrpid eqeq12d bitr4d fveq2d cdom unitss rabss2 ssdomg
      rabbidva wss mpsyl hashdomi eqbrtrd simpl ringidcl idomrootle xrletrd ) C
      UAJZEUBJZUCZAUFZFKEUDLZABMZNKZEXECUGKZUEKZUTZCUHKZOZACPKZMZNKZEXGQJXHRJXD
      XFABBDPHUIUJXGQUKULXOQJZXPRJXDXMAXNCPUMUJZXOQUKULXCERJXBXCEEUNUOUPXDXHXMA
      BMZNKZXPUQXDXGXSNXDXFXMABXDXEBJZUCZXFEXEDUEKZUTZDURKZOZXMYBDUSJZYAEVAJZXF
      YFVMYBCVBJZYGXDYIYAXDCVCJZYIXBYJXCXBYJCVDJCVEVFVGCVHSZVGZCCVIKZDYMTZGVJSX
      DYAVKZXCYHXBYAEVLVNXEYCDEFBYEHIYCTZYETVOVPYBXKYDXLYEYBYMXIVQKJZEVRJZXEYMJ
      XKYDOYBYIYQYLCYMXIYNXITVSSXCYRXBYAEVTVNYBXEBYMYOBDPKYMHCYMDYNGWAWCZWBYMXJ
      YCXIDEXEXJTZGYPWDVPYBYIXLYEOYLCYMXLDYNGXLTZWESWFWGWMWHXDXSXOWILZXTXPUQLXQ
      XDXSXOWNZUUBXRBXNWNUUCXDXNCBXNTZYSWJXMABXNWKULXSXOQWLWOXSXOWPSWQXDXBXLXNJ
      ZXCXPEUQLXBXCWRXDYIUUEYKXNCXLUUDUUAWSSXBXCVKAXNCXJEXLUUDYTWTVPXA $.
  $}

  $( Two finite sets of equal size have a union of the same size iff they were
     equal.  (Contributed by Stefan O'Rear, 12-Sep-2015.) $)
  fiuneneq $p |- ( ( A ~~ B /\ A e. Fin ) ->
      ( ( A u. B ) ~~ A <-> A = B ) ) $=
    ( cen wbr cfn wcel wa cun wceq w3a wss simp2 wb 3ad2ant1 syl2anc a1i ensymd
    enfi fisseneq syl3anc mpbid unfi ssun1 simp3 ssun2 simp1 entr eqtr4d 3expia
    enrefg adantl unidm uneq2 eqtr3id breq1d syl5ibcom impbid ) ABCDZAEFZGZABHZ
    ACDZABIZURUSVBVCURUSVBJZAVABVDVAEFZAVAKZAVACDAVAIVDUSBEFZVEURUSVBLZVDUSVGVH
    URUSUSVGMVBABRNUAABUBOZVFVDABUCPVDVAAURUSVBUDZQAVASTVDVEBVAKZBVACDBVAIVIVKV
    DBAUEPVDVABVDVBURVABCDVJURUSVBUFVAABUGOQBVASTUHUIUTAACDZVCVBUSVLURAEUJUKVCA
    VAACVCAAAHVAAULABAUMUNUOUPUQ $.

  ${
    $d x y z G $.  $d x y z N $.  $d x y z R $.
    idomsubgmo.g $e |- G = ( ( mulGrp ` R ) |`s ( Unit ` R ) ) $.
    $( The units of an integral domain have at most one subgroup of any single
       finite cardinality.  (Contributed by Stefan O'Rear, 12-Sep-2015.)
       (Revised by NM, 17-Jun-2017.) $)
    idomsubgmo $p |- ( ( R e. IDomn /\ N e. NN ) ->
        E* y e. ( SubGrp ` G ) ( # ` y ) = N ) $=
      ( vx vz wcel wa cv chash cfv wbr cdom cdvds cvv wss cn0 wb adantr cn wceq
      cidom weq csubg wral wrmo w3a cun cen cod cbs crab fvex rabex simp2l eqid
      subgss syl wel cfn simpl2l simp3l simp1r nnnn0d eqeltrd vex hashclb ax-mp
      sylibr simpr odsubdvds syl3anc breqtrd ssrabdv simp2r simp3r unssd ssdomg
      wi simpl2r mpsyl cle idomodle 3ad2ant1 breqtrrd a1i hashbnd hashdom mpbid
      sylancl domtr syl2anc unex ssun1 mp2 sbth eqtr4d hashen 3expia ralrimivva
      fiuneneq fveqeq2 rmo4 ) BUCHZDUAHZIZAJZKLZDUBZFJZKLZDUBZIZAFUDZVTZFCUELZU
      FAXQUFXJAXQUGXGXPAFXQXQXGXHXQHZXKXQHZIZXNXOXGXTXNUHZXHXKUIZXHUJMZXOYAYBXH
      NMZXHYBNMZYCYAYBGJZCUKLZLZDOMZGCULLZUMZNMZYKXHNMZYDYKPHZYAYBYKQYLYIGYJCUL
      UNUOZYAXHXKYKYAYIGYJXHYAXRXHYJQXGXRXSXNUPYJXHCYJUQZURUSYAGAUTZIZYHXIDOYRX
      RXHVAHZYQYHXIOMXRXSXGXNYQVBYAYSYQYAXIRHZYSYAXIDRXGXTXJXMVCZYADXEXFXTXNVDV
      EZVFZXHPHZYSYTSAVGZXHPVHVIVJZTYAYQVKYFXHCYGYGUQZVLVMYAXJYQUUATVNVOYAYIGYJ
      XKYAXSXKYJQXGXRXSXNVPYJXKCYPURUSYAGFUTZIZYHXLDOUUIXSXKVAHZUUHYHXLOMXRXSXG
      XNUUHWAYAUUJUUHYAXLRHZUUJYAXLDRXGXTXJXMVQZUUBVFXKPHUUJUUKSFVGZXKPVHVIVJZT
      YAUUHVKYFXKCYGUUGVLVMYAXMUUHUULTVNVOVRYBYKPVSWBYAYKKLZXIWCMZYMYAUUODXIWCX
      GXTUUODWCMXNGYJBCDYGEYPUUGWDWEUUAWFZYAYKVAHZUUDUUPYMSYAYNYTUUPUURYNYAYOWG
      UUCUUQYKXIPWHVMUUEYKXHPWIWKWJYBYKXHWLWMYBPHXHYBQYEXHXKUUEUUMWNXHXKWOXHYBP
      VSWPYBXHWQWKYAXHXKUJMZYSYCXOSYAXIXLUBZUUSYAXIDXLUUAUULWRYAYSUUJUUTUUSSUUF
      UUNXHXKWSWMWJUUFXHXKXBWMWJWTXAXJXMAFXQXHXKDKXCXDVJ $.

    $d x K $.  $d x X $.  $d x Y $.
    proot1mul.o $e |- O = ( od ` G ) $.
    proot1mul.k $e |- K = ( mrCls ` ( SubGrp ` G ) ) $.
    $( Any primitive ` N ` -th root of unity is a multiple of any other.
       (Contributed by Stefan O'Rear, 2-Nov-2015.) $)
    proot1mul $p |- ( ( ( R e. IDomn /\ N e. NN ) /\
          ( X e. ( `' O " { N } ) /\ Y e. ( `' O " { N } ) ) ) ->
        X e. ( K ` { Y } ) ) $=
      ( vx wcel cn wa csn cfv wss wceq wb chash cidom ccnv cima csubg cgrp cacs
      cbs cmre crg simpll ccrg isidom simprbi domnring cui eqid unitgrp subgacs
      cdomn 4syl acsmre 3syl simprl cn0 wfn odf ffn fniniseg sylib simpld snssd
      wf mp2b mrcssidd snssg syl mpbird cv wrmo idomsubgmo adantr mrccl syl2anc
      simprd simplr eqeltrd odhash2 syl3anc eqtrd simprr fveqeq2 rmoi syl122anc
      eleqtrd ) AUALZDMLZNZFEUBDOUCZLZGWRLZNZNZFFOZCPZGOZCPZXBFXDLZXCXDQZXBBUDP
      ZXCCBUGPZXBBUELZXIXJUFPLXIXJUHPLZXBWOAUSLZAUILXKWOWPXAUJWOAUKLXMAULUMAUNA
      AUOPZBXNUPHUQUTZXJBXJUPZURXIXJVAVBZJXBFXJXBFXJLZFEPZDRZXBWSXRXTNZWQWSWTVC
      ZXJVDEVLZEXJVEZWSYASBEXJXPIVFZXJVDEVGZXJDFEVHVMVIZVJZVKZVNXBWSXGXHSYBFXDW
      RVOVPVQXBKVRZTPDRZKXIVSZXDXILZXDTPZDRZXFXILZXFTPZDRZXDXFRWQYLXAKABDHVTWAX
      BXLXCXJQYMXQYIXIXCCXJJWBWCXBYNXSDXBXKXRXSMLYNXSRXOYHXBXSDMXBXRXTYGWDZWOWP
      XAWEZWFFBCEXJXPIJWGWHYSWIXBXLXEXJQYPXQXBGXJXBGXJLZGEPZDRZXBWTUUAUUCNZWQWS
      WTWJYCYDWTUUDSYEYFXJDGEVHVMVIZVJZVKXIXECXJJWBWCXBYQUUBDXBXKUUAUUBMLYQUUBR
      XOUUFXBUUBDMXBUUAUUCUUEWDZYTWFGBCEXJXPIJWGWHUUGWIYKYOYRKXIXDXFYJXDDTWKYJX
      FDTWKWLWMWN $.
  $}

  ${
    $d x G $.  $d x N $.  $d x O $.  $d x R $.  $d x X $.
    proot1hash.g $e |- G = ( ( mulGrp ` R ) |`s ( Unit ` R ) ) $.
    proot1hash.o $e |- O = ( od ` G ) $.
    $( If an integral domain has a primitive ` N ` -th root of unity, it has
       exactly ` ( phi `` N ) ` of them.  (Contributed by Stefan O'Rear,
       12-Sep-2015.) $)
    proot1hash $p |- ( ( R e. IDomn /\ N e. NN /\ X e. ( `' O " { N } ) ) ->
        ( # ` ( `' O " { N } ) ) = ( phi ` N ) ) $=
      ( vx wcel cn csn chash cfv wceq crab cphi cn0 eqid mp2b 3syl ccnv cima cv
      cidom w3a csubg cmrc cbs wf wfn odf ffn fniniseg2 wa simp3 fniniseg sylib
      cin wb simprd eqeq2d rabbidv cmre wss cgrp cacs cdomn ccrg isidom simprbi
      crg 3ad2ant1 domnring unitgrp subgacs acsmre mrcssv dfrab3ss incom simpl1
      cui simpl2 simpr simpl3 proot1mul syl22anc ssrdv eqsstrrid syl5eq 3eqtrrd
      ex df-ss fveq2d simpld simp2 eqeltrd odngen syl3anc 3eqtrd ) AUDIZCJIZEDU
      ACKUBZIZUEZXBLMHUCZDMZEDMZNZHEKZBUFMZUGMZMZOZLMZXGPMZCPMXDXBXMLXDXBXFCNZH
      BUHMZOZXMXQQDUIZDXQUJZXBXRNBDXQXQRZGUKZXQQDULZHXQCDUMSZXDXMXPHXLOZXLXRURZ
      XRXDXHXPHXLXDXGCXFXDEXQIZXGCNZXDXCYGYHUNZWTXAXCUOXSXTXCYIUSYBYCXQCEDUPSUQ
      ZUTZVAVBXDXJXQVCMIZXLXQVDYEYFNXDBVEIZXJXQVFMIYLXDAVGIZAVKIYMWTXAYNXCWTAVH
      IYNAVIVJVLAVMAAWAMZBYORFVNTZXQBYAVOXJXQVPTXJXIXKXQXKRZVQXPHXLXQVRTXDYFXRX
      LURZXRXLXRVSXDXRXLVDYRXRNXDXRXBXLYDXDHXBXLXDXEXBIZXEXLIZXDYSUNWTXAYSXCYTW
      TXAXCYSVTWTXAXCYSWBXDYSWCWTXAXCYSWDABXKCDXEEFGYQWEWFWKWGWHXRXLWLUQWIWJWIW
      MXDYMYGXGJIXNXONYPXDYGYHYJWNXDXGCJYKWTXAXCWOWPHEBXKDXQYAGYQWQWRXDXGCPYKWM
      WS $.
  $}

  ${
    $d x G $.  $d x N $.  $d x O $.
    proot1ex.g $e |- G = ( ( mulGrp ` CCfld ) |`s ( CC \ { 0 } ) ) $.
    proot1ex.o $e |- O = ( od ` G ) $.
    $( The complex field has primitive ` N ` -th roots of unity for all ` N ` .
       (Contributed by Stefan O'Rear, 12-Sep-2015.) $)
    proot1ex $p |- ( N e. NN -> ( -u 1 ^c ( 2 / N ) ) e. ( `' O " { N } ) ) $=
      ( wcel c1 c2 cdiv co cc cc0 cfv wceq a1i cn0 cmul ci cpi ccnfld cneg ccxp
      vx ccnv csn cima cdif wne neg1cn crp 2rp nnrp rpdivcl sylancr rpcnd cxpcl
      cn neg1ne0 cxpne0d eldifsn sylanbrc cv cdvds wbr wb wral wa cz clog nn0cn
      cmg ce mulcl syl2an cxpefd eqeq1d logcl mp2an sylancl syl 2cn nncn adantr
      efeq1 adantl nnne0 div13d logm1 oveq12d divcld ax-icn picn mulcli mulassd
      mul12d oveq2d 3eqtrd ine0 2ne0 pire pipos gt0ne0ii mulne0i divcan4d eqtrd
      oveq1d eleq1d 3bitrd cexp cmgp simpr cxpmul2d cnfldexp csubmnd crg cnring
      sylan cnfldbas cnfld0 cndrng eqid unitsubm mp1i submmulg syl3anc 3eqtr2rd
      drngui nnz nn0z dvdsval2 3bitr4rd ralrimiva cgrp unitgrp nnnn0 unitgrpbas
      c0g cnfld1 unitgrpid ax-mp odeq mpbird eqcomd wfn odf fniniseg mpbir2and
      wf ffn ) BUQFZGUAZHBIJZUBJZCUDBUEUFFZUUMKLUEUGZFZUUMCMZBNZUUJUUMKFZUUMLUH
      UUPUUJUUKKFZUULKFZUUSUIUUJUULUUJHUJFBUJFUULUJFUKBULHBUMUNUOZUUKUULUPUNZUU
      JUUKUULUUTUUJUIOUUKLUHZUUJUROUVBUSUUMKLUTVAZUUJBUUQUUJBUUQNZBUCVBZVCVDZUV
      GUUMAVKMZJZGNZVEZUCPVFZUUJUVLUCPUUJUVGPFZVGZUUKUULUVGQJZUBJZGNZUVGBIJZVHF
      ZUVKUVHUVOUVRUVPUUKVIMZQJZVLMZGNZUWBRHSQJZQJZIJZVHFZUVTUVOUVQUWCGUVOUUKUV
      PUUTUVOUIOZUVDUVOUROUUJUVAUVGKFZUVPKFZUVNUVBUVGVJZUULUVGVMVNZVOVPUVOUWBKF
      ZUWDUWHVEUVOUWKUWAKFZUWNUWMUUTUVDUWOUIURUUKVQVRUVPUWAVMVSUWBWDVTUVOUWGUVS
      VHUVOUWGUVSUWFQJZUWFIJUVSUVOUWBUWPUWFIUVOUWBUVSHQJZRSQJZQJUVSHUWRQJZQJUWP
      UVOUVPUWQUWAUWRQUVOHBUVGHKFUVOWAOZUUJBKFUVNBWBWCZUVNUWJUUJUWLWEZUUJBLUHZU
      VNBWFWCZWGUWAUWRNUVOWHOWIUVOUVSHUWRUVOUVGBUXBUXAUXDWJZUWTUWRKFUVORSWKWLWM
      OWNUVOUWSUWFUVSQUVOHRSUWTRKFUVOWKOSKFUVOWLOWOWPWQXFUVOUVSUWFUXEUWFKFUVORU
      WEWKHSWAWLWMZWMOUWFLUHUVORUWEWKUXFWRHSWAWLWSSWTXAXBXCXCOXDXEXGXHUVOUVJUVQ
      GUVOUVQUUMUVGXIJZUVGUUMTXJMZVKMZJZUVJUVOUUKUULUVGUWIUUJUVAUVNUVBWCUUJUVNX
      KZXLUUJUUSUVNUXJUXGNUVCUUMUVGXMXQUVOUUOUXHXNMFZUVNUUPUXJUVJNTXOFZUXLUVOXP
      TUUOUXHKTLXRXSXTYGZUXHYAYBYCUXKUUJUUPUVNUVEWCUUOUXIUVIUXHAUVGUUMUXIYADUVI
      YAZYDYEYFVPUVOBVHFZUXCUVGVHFZUVHUVTVEUUJUXPUVNBYHWCUXDUVNUXQUUJUVGYIWEBUV
      GYJYEYKYLUUJAYMFZUUPBPFUVFUVMVEUXMUXRUUJXPTUUOAUXNDYNYCUVEBYOUCUUMUVIABCU
      UOGTUUOAUXNDYPZEUXOUXMGAYQMNXPTUUOGAUXNDYRYSYTUUAYEUUBUUCCUUOUUDZUUNUUPUU
      RVGVEUUJUUOPCUUHUXTACUUOUXSEUUEUUOPCUUIYTUUOBUUMCUUFYCUUG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Cyclotomic polynomials
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CytP $.
  $( Syntax for the sequence of cyclotomic polynomials. $)
  ccytp $a class CytP $.

  ${
    $d n r $.
    $( The Nth _cyclotomic polynomial_ is the polynomial which has as its zeros
       precisely the primitive Nth roots of unity.  (Contributed by Stefan
       O'Rear, 5-Sep-2015.) $)
    df-cytp $a |- CytP = ( n e. NN |-> ( ( mulGrp ` ( Poly1 ` CCfld ) ) gsum
        ( r e. ( `' ( od ` ( ( mulGrp ` CCfld ) |`s ( CC \ { 0 } ) ) ) " { n
        } ) |-> ( ( var1 ` CCfld ) ( -g ` ( Poly1 ` CCfld ) ) ( ( algSc ` (
        Poly1 ` CCfld ) ) ` r ) ) ) ) ) $.
  $}

  ${
    $d x y B $.  $d x y R $.  $d x y U $.  $d x y .0. $.
    isdomn3.b $e |- B = ( Base ` R ) $.
    isdomn3.z $e |- .0. = ( 0g ` R ) $.
    isdomn3.u $e |- U = ( mulGrp ` R ) $.
    $( Nonzero elements form a multiplicative submonoid of any domain.
       (Contributed by Stefan O'Rear, 11-Sep-2015.) $)
    isdomn3 $p |- ( R e. Domn <-> ( R e. Ring /\
          ( B \ { .0. } ) e. ( SubMnd ` U ) ) ) $=
      ( vx vy wcel cv cfv wceq wi wral wa wne bitri eldifsn wal cdomn cmulr crg
      cnzr co wo csn cdif csubmnd eqid isdomn isnzr anbi1i anass ringidcl baibr
      cur wb syl ringcl 3expb biantrurd bitr4di imbi2d 2ralbidva con34b neanior
      df-ne imbi12i bitr4i 2ralbii impexp an4 anbi12i imbi1i bitr3i 2albii r2al
      wn 3bitr4ri 3bitr4g anbi12d cmnd ringmgp mgpbas ringidval mgpplusg issubm
      wss w3a 3anass bitrdi difss biantrur bitr4d pm5.32i ) BUAJBUDJZHKZIKZBUBL
      ZUEZDMZWRDMWSDMUFZNZIAOHAOZPZBUCJZADUGZUHZCUILJZPZHIABWTDEWTUJZFUKXFXGBUQ
      LZDQZXEPZPZXKXFXGXNPZXEPXPWQXQXEBXMDXMUJZFULUMXGXNXEUNRXGXOXJXGXOXMXIJZXA
      XIJZIXIOHXIOZPZXJXGXNXSXEYAXGXMAJZXNXSURABXMEXRUOXSYCXNXMADSUPUSXGWRDQZWS
      DQZPZXADQZNZIAOHAOYFXTNZIAOHAOZXEYAXGYHYIHIAAXGWRAJZWSAJZPZPZYGXTYFYNYGXA
      AJZYGPXTYNYOYGXGYKYLYOABWTWRWSEXLUTVAVBXAADSVCVDVEXDYHHIAAXDXCVSZXBVSZNYH
      XBXCVFYFYPYGYQWRDWSDVGXADVHVIVJVKYMYINZITHTWRXIJZWSXIJZPZXTNZITHTYJYAYRUU
      BHIYRYMYFPZXTNUUBYMYFXTVLUUCUUAXTUUCYKYDPZYLYEPZPUUAYKYLYDYEVMYSUUDYTUUEW
      RADSWSADSVNVJVOVPVQYIHIAAVRXTHIXIXIVRVTWAWBXGCWCJZXJYBURBCGWDUUFXJXIAWIZY
      BPZYBUUFXJUUGXSYAWJUUHHIAWTXICXMABCGEWEBXMCGXRWFBWTCGXLWGWHUUGXSYAWKWLUUG
      YBAXHWMWNVCUSWOWPRR $.
  $}

  ${
    $d x P $.  $d x R $.
    mon1pid.p $e |- P = ( Poly1 ` R ) $.
    mon1pid.o $e |- .1. = ( 1r ` P ) $.
    mon1pid.m $e |- M = ( Monic1p ` R ) $.
    mon1pid.d $e |- D = ( deg1 ` R ) $.
    $( Monicity and degree of the unit polynomial.  (Contributed by Stefan
       O'Rear, 12-Sep-2015.) $)
    mon1pid $p |- ( R e. NzRing -> ( .1. e. M /\ ( D ` .1. ) = 0 ) ) $=
      ( vx cnzr wcel cfv cc0 wceq cbs cco1 eqid syl cn0 c0g wne cur crg nzrring
      ply1nz ringidcl 3syl nzrnz cv cmpt cascl ply1scl1 fveq2d coe1scl syl2anc2
      cif eqtr3d deg1scl syl3anc fveq12d 0nn0 iftrue fvmpt ax-mp eqtrdi ismon1p
      fvex syl3anbrc jca ) CKLZDELZDAMZNOVKDBPMZLZDBUAMZUBZVMDQMZMZCUCMZOVLVKBK
      LZBUDLVOBCFUFZBUEVNBDVNRZGUGUHVKWAVQWBBDVPGVPRZUISVKVSNJTJUJNOZVTCUAMZUQZ
      UKZMZVTVKVMNVRWHVKVTBULMZMZQMZVRWHVKWKDQVKCUDLZWKDOCUEZWJBCVTDFWJRZVTRZGU
      MSZUNVKWMVTCPMZLZWLWHOWNWRCVTWRRZWPUGZJWJBCWRVTWFFWOWTWFRZUOUPURVKWKAMZVM
      NVKWKDAWQUNVKWMWSVTWFUBXCNOWNVKWMWSWNXASCVTWFWPXBUIWJABCVTWRWFIFWTWOXBUSU
      TURZVANTLWIVTOVBJNWGVTTWHWEVTWFVCWHRCUCVHVDVEVFVNABCVTDEVPFWCWDIHWPVGVIXD
      VJ $.
  $}

$(
  @{
    mon1pvr.x @e |- X = ( var1 ` R ) @.
    mon1pvr.m @e |- M = ( Monic1p ` R ) @.
    mon1pvr.d @e |- D = ( deg1 ` R ) @.
    @( Monicity and degree of the polynomial generator.  (Contributed by
       Stefan O'Rear, 12-Sep-2015.) @)
    mon1pvr @p |- ( R e. NzRing -> ( X e. M /\ ( D ` X ) = 1 ) ) @= ? @.
  @}

  @{
    mon1plin.p @e |- P = ( Poly1 ` R ) @.
    mon1plin.x @e |- X = ( var1 ` R ) @.
    mon1plin.m @e |- M = ( Monic1p ` R ) @.
    mon1plin.d @e |- D = ( deg1 ` R ) @.
    mon1plin.s @e |- .- = ( -g ` P ) @.
    mon1plin.a @e |- A = ( algSc ` P ) @.
    mon1plin.k @e |- K = ( Base ` R ) @.
    @( Monicity and degree of a linear factor.  (Contributed by Stefan O'Rear,
       12-Sep-2015.) @)
    mon1plin @p |- ( ( R e. NzRing /\ Y e. K ) ->
        ( ( X .- ( A ` Y ) ) e. M /\ ( D ` ( X .- ( A ` Y ) ) ) = 1 ) ) @= ? @.
  @}
$)

  ${
    $d x y M $.  $d x P $.  $d x y R $.  $d x y U $.
    mon1psubm.p $e |- P = ( Poly1 ` R ) $.
    mon1psubm.m $e |- M = ( Monic1p ` R ) $.
    mon1psubm.u $e |- U = ( mulGrp ` P ) $.
    $( Monic polynomials are a multiplicative submonoid.  (Contributed by
       Stefan O'Rear, 12-Sep-2015.) $)
    mon1psubm $p |- ( R e. NzRing -> M e. ( SubMnd ` U ) ) $=
      ( vx vy wcel cfv co eqid wceq wne cco1 syl adantr ad2antrl cn0 csubmnd cv
      cnzr cbs wss cur cmulr wral mon1pcl ssriv a1i cdg1 cc0 mon1pid simpld c0g
      wa crg ply1nz nzrring simprr sselid ringcl syl3anc caddc mon1pn0 mon1pldg
      crlreg unitrrg 1unit sseldd eqeltrd ad2antll deg1mul2 deg1nn0cl nn0addcld
      cui deg1nn0clb syl2anc mpbird coe1mul4 oveq12d ringidcl ringlidm syl2anc2
      wb fveq2d eqtrd ismon1p syl3anbrc ralrimivva w3a ringmgp mgpbas ringidval
      cmnd mgpplusg issubm mpbir3and ) BUCJZDCUAKJZDAUDKZUEZAUFKZDJZHUBZIUBZAUG
      KZLZDJZIDUHHDUHZXCWTHDXBXBABXFDEXBMZFUIZUJZUKWTXEXDBULKZKUMNXOABXDDEXDMZF
      XOMZUNUOWTXJHIDDWTXFDJZXGDJZUQZUQZXIXBJZXIAUPKZOZXIXOKZXIPKZKZBUFKZNXJYAA
      URJZXFXBJZXGXBJZYBWTYIXTWTAUCJYIABEUSAUTQZRXRYJWTXSXMSZYADXBXGXNWTXRXSVAV
      BZXBAXHXFXGXLXHMZVCVDZYAYDYETJZYAYEXFXOKZXGXOKZVELZTYAXBXOABXHBVHKZXFXGYC
      XQEUUAMZXLYOYCMZWTBURJZXTBUTZRZYMXRXFYCOZWTXSABXFDYCEUUCFVFSZYAYRXFPKKZYH
      UUAXRUUIYHNWTXSXOBYHXFDXQYHMZFVGSZWTYHUUAJXTWTBVQKZUUAYHWTUUDUULUUAUEUUEB
      UULUUAUUBUULMZVIQWTUUDYHUULJUUEBUULYHUUMUUJVJQVKRVLYNXSXGYCOZWTXRABXGDYCE
      UUCFVFVMZVNZYAYRYSYAUUDYJUUGYRTJUUFYMUUHXBXOABXFYCXQEUUCXLVOVDYAUUDYKUUNY
      STJUUFYNUUOXBXOABXGYCXQEUUCXLVOVDVPVLYAUUDYBYDYQWFUUFYPXBXOABXIYCXQEUUCXL
      VRVSVTYAYGYTYFKZYHYAYEYTYFUUPWGYAUUQUUIYSXGPKKZBUGKZLZYHYAXBXOBXHUUSXFXGA
      YCEYOUUSMZXLXQUUCUUFYMUUHYNUUOWAYAUUTYHYHUUSLZYHYAUUIYHUURYHUUSUUKXSUURYH
      NWTXRXOBYHXGDXQUUJFVGVMWBWTUVBYHNZXTWTUUDYHBUDKZJUVCUUEUVDBYHUVDMZUUJWCUV
      DBUUSYHYHUVEUVAUUJWDWERWHWHWHXBXOABYHXIDYCEXLUUCXQFUUJWIWJWKWTCWPJZXAXCXE
      XKWLWFWTYIUVFYLACGWMQHIXBXHDCXDXBACGXLWNAXDCGXPWOAXHCGYOWQWRQWS $.
  $}

  ${
    $d x y B $.  $d x y D $.  $d x y N $.  $d x y R $.  $d x y Y $.
    $d x y .0. $.
    deg1mhm.d $e |- D = ( deg1 ` R ) $.
    deg1mhm.b $e |- B = ( Base ` P ) $.
    deg1mhm.p $e |- P = ( Poly1 ` R ) $.
    deg1mhm.z $e |- .0. = ( 0g ` P ) $.
    deg1mhm.y $e |- Y = ( ( mulGrp ` P ) |`s ( B \ { .0. } ) ) $.
    deg1mhm.n $e |- N = ( CCfld |`s NN0 ) $.
    $( Homomorphic property of the polynomial degree.  (Contributed by Stefan
       O'Rear, 12-Sep-2015.) $)
    deg1mhm $p |- ( R e. Domn ->
        ( D |` ( B \ { .0. } ) ) e. ( Y MndHom N ) ) $=
      ( vx wcel cn0 cfv wceq eqid syl vy cdomn cmnd wa cdif cres wf cv cmulr co
      csn caddc wral c0g cc0 w3a cmhm cmgp csubmnd ply1domn crg isdomn3 simprbi
      submmnd ccnfld nn0subm mp1i jca wfn wss cxr deg1xrf ffn ax-mp difss mp2an
      fnssres a1i fvres adantl domnring adantr eldifi deg1nn0cl syl3anc eqeltrd
      wne eldifsni ralrimiva ffnfv sylanbrc crlreg ad2antrl cco1 simpl ad2antll
      deg1ldgdomn deg1mul2 ringcl domnmuln0 syl122anc eldifsn oveqan12d 3eqtr4d
      ralrimivva cur ringidcl cnzr domnnzr nzrnz ringidval subm0 fveq2d mon1pid
      3syl cmn1 simprd 3eqtr3d 3jca cbs mgpbas ressbas2 cc nn0sscn cnfldbas cvv
      cplusg fvexi difexg mgpplusg ressplusg nn0ex cnfldadd cnfld0 ismhm ) DUBO
      ZFUCOZEUCOZUDAGUKZUEZPBYTUFZUGZNUHZUAUHZCUIQZUJZUUAQZUUCUUAQZUUDUUAQZULUJ
      ZRZUAYTUMNYTUMZFUNQZUUAQZUORZUPUUAFEUQUJOYPYQYRYPYTCURQZUSQOZYQYPCUBOZUUQ
      CDJUTZUURCVAOZUUQACUUPGIKUUPSZVBVCTZYTFUUPLVDTPVEUSQOZYRYPVFPEVEMVDVGVHYP
      UUBUULUUOYPUUAYTVIZUUHPOZNYTUMUUBUVDYPBAVIZYTAVJZUVDAVKBUGUVFABCDHJIVLAVK
      BVMVNAYSVOZAYTBVQVPVRYPUVENYTYPUUCYTOZUDZUUHUUCBQZPUVIUUHUVKRYPUUCYTBVSZV
      TUVJDVAOZUUCAOZUUCGWGZUVKPOYPUVMUVIDWAZWBUVIUVNYPUUCAYSWCZVTUVIUVOYPUUCAG
      WHZVTABCDUUCGHJKIWDWEWFWINYTPUUAWJWKYPUUKNUAYTYTYPUVIUUDYTOZUDZUDZUUFBQZU
      VKUUDBQZULUJZUUGUUJUWAABCDUUEDWLQZUUCUUDGHJUWESZIUUESZKYPUVMUVTUVPWBUVIUV
      NYPUVSUVQWMZUVIUVOYPUVSUVRWMZUWAYPUVNUVOUVKUUCWNQZQUWEOYPUVTWOUWHUWIUWJAB
      CDUWEUUCGHJKIUWFUWJSWQWEUVSUUDAOZYPUVIUUDAYSWCWPZUVSUUDGWGZYPUVIUUDAGWHWP
      ZWRUWAUUFYTOZUUGUWBRUWAUUFAOZUUFGWGZUWOUWAUUTUVNUWKUWPYPUUTUVTYPUURUUTUUS
      CWATZWBUWHUWLACUUEUUCUUDIUWGWSWEUWAUURUVNUVOUWKUWMUWQYPUURUVTUUSWBUWHUWIU
      WLUWNACUUEUUCUUDGIUWGKWTXAUUFAGXBWKUUFYTBVSTUVTUUJUWDRYPUVIUVSUUHUVKUUIUW
      CULUVLUUDYTBVSXCVTXDXEYPCXFQZUUAQZUWSBQZUUNUOYPUWSYTOZUWTUXARYPUWSAOZUWSG
      WGZUXBYPUUTUXCUWRACUWSIUWSSZXGTYPUURCXHOUXDUUSCXICUWSGUXEKXJXOUWSAGXBWKUW
      SYTBVSTYPUWSUUMUUAYPUUQUWSUUMRUVBYTFUUPUWSLCUWSUUPUVAUXEXKXLTXMYPDXHOZUXA
      UORZDXIUXFUWSDXPQZOUXGBCDUWSUXHJUXEUXHSHXNXQTXRXSNUAYTPUUEULFEUUAUOUUMUVG
      YTFXTQRUVHYTAFUUPLACUUPUVAIYAYBVNPYCVJPEXTQRYDPYCEVEMYEYBVNYTYFOZUUEFYGQR
      AYFOUXIACXTIYHAYSYFYIVNYTUUEUUPFYFLCUUEUUPUVAUWGYJYKVNPYFOULEYGQRYLPULVEE
      YFMYMYKVNUUMSUVCUOEUNQRVFPEVEUOMYNXLVNYOWK $.
  $}

  ${
    $d n r $.
    $( Functionality of the cyclotomic polynomial sequence.  (Contributed by
       Stefan O'Rear, 5-Sep-2015.) $)
    cytpfn $p |- CytP Fn NN $=
      ( vn vr cn ccnfld cpl1 cfv cmgp cc cc0 csn cdif cress co cod ccnv cv cima
      cv1 cascl cgsu csg cmpt ccytp ovex df-cytp fnmpti ) ACDEFZGFZBDGFHIJKLMNF
      OAPJQDRFBPUGSFFUGUAFMUBZTMUCUHUITUDABUEUF $.
  $}

  ${
    $d n r N $.  $d n A $.  $d n .- $.  $d n O $.  $d n Q $.  $d n X $.
    cytpval.t $e |- T = ( ( mulGrp ` CCfld ) |`s ( CC \ { 0 } ) ) $.
    cytpval.o $e |- O = ( od ` T ) $.
    cytpval.p $e |- P = ( Poly1 ` CCfld ) $.
    cytpval.x $e |- X = ( var1 ` CCfld ) $.
    cytpval.q $e |- Q = ( mulGrp ` P ) $.
    cytpval.m $e |- .- = ( -g ` P ) $.
    cytpval.a $e |- A = ( algSc ` P ) $.
    $( Substitutions for the Nth cyclotomic polynomial.  (Contributed by Stefan
       O'Rear, 5-Sep-2015.) $)
    cytpval $p |- ( N e. NN -> ( CytP ` N ) =
          ( Q gsum ( r e. ( `' O " { N } ) |-> ( X .- ( A ` r ) ) ) ) ) $=
      ( cfv cmgp co cgsu vn ccnfld cpl1 cc cc0 csn cdif cress cod ccnv cima cv1
      cv cascl csg cmpt cn ccytp wceq eqcomi fveq2i eqtr4i eqtri cnveqi imaeq1i
      sneq imaeq2d eqtr3id fveq1i oveq123i mpteq12dv oveq12d df-cytp ovex fvmpt
      a1i ) UAFUBUCQZRQZIUBRQUDUEUFUGUHSZUIQZUJZUAUMZUFZUKZUBULQZIUMZVQUNQZQZVQ
      UOQZSZUPZTSCIGUJZFUFZUKZHWFAQZESZUPZTSUQURWBFUSZVRCWKWQTVRCUSWRVRBRQCVQBR
      BVQLUTVANVBVPWRIWDWJWNWPWRWDWLWCUKWNWLWAWCGVTGDUIQVTKDVSUIJVAVCVDVEWRWCWM
      WLWBFVFVGVHWJWPUSWRWPWJHWOWEWHEWIMWFAWGABUNQWGPBVQUNLVAVCVIEBUOQWIOBVQUOL
      VAVCVJUTVPVKVLUAIVMCWQTVNVO $.
  $}

$(
  @{
    @d r M @.  @d r N @.
    cytpcl.m @e |- M = ( Monic1p ` CCfld ) @.
    @( The ` N ` -th cyclotomic polynomial is a monic polynomial with complex
       coefficients.  (Contributed by Stefan O'Rear, 12-Sep-2015.) @)
    cytpcl @p |- ( N e. NN -> ( CytP ` N ) e. M ) @=
      ( vr cn wcel cfv ccnfld cmgp cc cc0 csn cdif co eqid ax-mp a1i cn0 cndrng
      cvv ccytp cpl1 cress cod ccnv cima cv1 cv cascl csg cmpt cgsu cytpval cfn
      ccmn ccrg cncrng ply1crng crngmgp chash cphi cidom c1 cneg cdiv ccxp wceq
      c0g c2 cdomn cdr drngdomn isidom mpbir2an id proot1ex cui cnfldbas cnfld0
      drngui oveq2i proot1hash syl3anc phicl nnnn0 syl eqeltrd wb cnvexg imaexg
      fvex mp2b hashclb sylibr csubmnd cnzr drngnzr mon1psubm cdg1 cdm cnvimass
      wa unitgrpbas odf fdmi sseqtri difss sstri adantl mon1plin sylancr simpld
      sseli fmptd fisuppfi gsumsubmclOLD )
      BEFZBUAGHUBGZIGZDHIGZJKLZMZUCNZUDGZUEZB
      LZUFZHUGGZDUHZXRUIGZGXRUJGZNZUKZULNAYJXRXSYCYKBYDYHDYCOZYDOZXROZYHOZXSOZY
      KOZYJOZUMXQYGAYMXSUNXSVHGZUUAOXSUOFZXQXRUPFZUUBHUPFZUUCUQXRHYPURPXRXSYRUS
      PQXQYGUTGZRFZYGUNFZXQUUEBVAGZRXQHVBFZXQVCVDVIBVENVFNZYGFUUEUUHVGUUIXQUUIU
      UDHVJFZUQHVKFZUUKSHVLPHVMVNQXQVOYCBYDYNYOVPHYCBYDUUJYBHVQGXTUCJHKVRVSSVTZ
      WAYOWBWCXQUUHEFUUHRFBWDUUHWEWFWGYGTFZUUGUUFWHYDTFYETFUUNYCUDWKYDTWIYEYFTW
      JWLYGTWMPWNZAXSWOGFZXQHWPFZUUPUULUUQSHWQPZXRHXSAYPCYRWRPQXQDYGYLAYMXQYIYG
      FZXBZYLAFZYLHWSGZGVCVGZUUTUUQYIJFZUVAUVCXBUURUUSUVDXQYGJYIYGYBJYGYDWTYBYD
      YFXAYBRYDYCYDYBHYBYCUUMYNXCYOXDXEXFJYAXGXHXMXIYJUVBXRHYKJAYHYIYPYQCUVBOYS
      YTVRXJXKXLYMOXNZXQYGATUUALMYMUUOUVEXOXPWG @.
      @( [12-Sep-2015] @)
  @}

  @{
    cytpdeg.d @e |- D = ( deg1 ` CCfld ) @.
    @( The ` N ` -th cyclotomic polynomial has degree ` ( phi `` N ) ` .
       (Contributed by Stefan O'Rear, 12-Sep-2015.) @)
    cytdeg @p |- ( N e. NN -> ( D ` ( CytP ` N ) ) = ( phi ` N ) ) @= ? @.
  @}
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Wedderburn's little theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Hybrid categories proposal
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellaneous topology
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d F x a b $.  $d A x a b $.  $d B x a b $.
    $( Express a function as a subset of the Cartesian product.  (Contributed
       by Stefan O'Rear, 25-Jan-2015.) $)
    fgraphopab $p |- ( F : A --> B -> F =
          { <. a , b >. | ( ( a e. A /\ b e. B ) /\ ( F ` a ) = b ) } ) $=
      ( wf cv cfv cmpt cxp cin wcel wa wceq copab wss fssxp df-ss sylib anbi2i
      wfn ffn dffn5 ineq1d eqtr3d df-mpt df-xp ineq12i inopab ancom anass eqcom
      anandi 3bitr2i bitr3i opabbii 3eqtri eqtrdi ) ABCFZCDADGZCHZIZABJZKZUTALZ
      EGZBLZMZVAVFNZMZDEOZUSCVCKZCVDUSCVCPVLCNABCQCVCRSUSCVBVCUSCAUACVBNABCUBDA
      CUCSUDUEVDVEVFVANZMZDEOZVHDEOZKVNVHMZDEOVKVBVOVCVPDEAVAUFDEABUGUHVNVHDEUI
      VQVJDEVQVEVMVGMZMZVJVEVMVGUMVSVEVGVMMZMVHVMMVJVRVTVEVMVGUJTVEVGVMUKVMVIVH
      VFVAULTUNUOUPUQUR $.

    $( Express a function as a subset of the Cartesian product.  (Contributed
       by Stefan O'Rear, 25-Jan-2015.) $)
    fgraphxp $p |- ( F : A --> B -> F =
          { x e. ( A X. B ) | ( F ` ( 1st ` x ) ) = ( 2nd ` x ) } ) $=
      ( va vb wf cv wcel cfv wceq copab c1st c2nd cxp crab fgraphopab w3a vex
      wa cop op1std fveq2d op2ndd eqeq12d rabxp df-3an opabbii eqtri eqtr4di )
      BCDGDEHZBIZFHZCIZTUKDJZUMKZTZEFLZAHZMJZDJZUSNJZKZABCOPZBCDEFQVDULUNUPRZEF
      LURVCUPAEFBCUSUKUMUAKZVAUOVBUMVFUTUKDUKUMUSESZFSZUBUCUKUMUSVGVHUDUEUFVEUQ
      EFULUNUPUGUHUIUJ $.
  $}

  ${
    $d J a $.  $d K a $.  $d F a $.
    $( The graph of a continuous function into a Hausdorff space is closed.
       (Contributed by Stefan O'Rear, 25-Jan-2015.) $)
    hausgraph $p |- ( ( K e. Haus /\ F e. ( J Cn K ) ) ->
        F e. ( Clsd ` ( J tX K ) ) ) $=
      ( va wcel ccn co wa c1st cuni cres c2nd cfv wceq crab wfn wf ax-mp adantl
      ffn cha cxp ccom cin cdm ctx ccld f1stres fvco2 mpan fvres fveq2d eqeq12d
      eqtrd rabbidva eqid cnf fco sylancl ffnd f2ndres fndmin fgraphxp 3eqtr4rd
      cv syl simpl ctopon ctop cntop1 toptopon sylib haustop tx1cn syl2anc cnco
      sylancom tx2cn hauseqlcld eqeltrd ) CUAEZABCFGEZHZAAIBJZCJZUBZKZUCZLWFKZU
      DUEZBCUFGZUGMWCDVEZWHMZWLWIMZNZDWFOZWLIMZAMZWLLMZNZDWFOZWJAWCWOWTDWFWCWLW
      FEZHZWMWRWNWSXCWMWLWGMZAMZWRXBWMXENZWCWGWFPZXBXFWFWDWGQZXGWDWEUHZWFWDWGTR
      WFAWGWLUIUJSXBXEWRNWCXBXDWQAWLWFIUKULSUNXBWNWSNWCWLWFLUKSUMUOWCWHWFPWIWFP
      ZWJWPNWCWFWEWHWCWDWEAQZXHWFWEWHQWBXKWAABCWDWEWDUPZWEUPZUQSZXIWFWDWEAWGURU
      SUTWFWEWIQXJWDWEVAWFWEWITRDWFWHWIVBUSWCXKAXANXNDWDWEAVCVFVDWCWHWIWKCWAWBV
      GZWAWBWGWKBFGEZWHWKCFGZEWCBWDVHMEZCWEVHMEZXPWCBVIEZXRWBXTWAABCVJSBWDXLVKV
      LZWCCVIEZXSWCWAYBXOCVMVFCWEXMVKVLZBCWDWEVNVOWGAWKBCVPVQWCXRXSWIXQEYAYCBCW
      DWEVRVOVSVT $.
  $}

  $c TopSep TopLnd $.

  $( The class of separable topologies. $)
  ctopsep $a class TopSep $.

  $( The class of Lindel&ouml;f topologies. $)
  ctoplnd $a class TopLnd $.

  ${
    $d j x y z $.
    $( A topology is _separable_ iff it has a countable dense subset.
       (Contributed by Stefan O'Rear, 8-Jan-2015.) $)
    df-topsep $a |- TopSep = { j e. Top | E. x e. ~P U. j ( x ~<_ _om /\
        ( ( cls ` j ) ` x ) = U. j ) } $.

    $( A topology is _Lindel&ouml;f_ iff every open cover has a countable
       subcover.  (Contributed by Stefan O'Rear, 8-Jan-2015.) $)
    df-toplnd $a |- TopLnd = { x e. Top | A. y e. ~P x ( U. x = U. y ->
        E. z e. ~P x ( z ~<_ _om /\ U. x = U. z ) ) } $.
  $}

  $( Expand definitions $)
  $( RR is separable $)
  $( A set is dense iff it meets every open set $)
  $( A set is dense iff it meets every basis element $)
  $( Lindelof criterion for subspaces $)
  $( Lindelof for closed subspaces $)
  $( A countable union of Lindelof subspaces $)
  $( In a general space, open Lindelof <=> all families of open sets have
     countable subfamilies with the same union $)
  $( Both of the above are equivalent to hereditary Lindelof above $)
  $( Hereditary Lindelof => Lindelof $)
  $( 2nd countable => hered Lindelof; RR is h Lind $)
  $( 2nd countable => separable $)
  $( Expansions of first-countability $)
  $( Metric spaces are first-countable: use balls of (1/NN) or QQ+ radius $)
  $( Binary products preserve second-countability $)
  $( Binary products preserve first-countability $)

  $( The Sorgenfrey line basis is a basis $)
  $( A set is Sorgenfrey-dense iff it is RR-dense $)
  $( SorgenfreyLine is separable $)
  $( The Sorgenfrey line is a topology on RR $)
  $( The Sorgenfrey line is finer than the usual line $)
  $( A topology finer than a Hausdorff topology is Hausdorff; Sorgenfrey line
     is Hausdorff $)
  $( Hereditary Lindelof proof: there may be a simpler one $)
    $( Basis sets are Lindelof: close/open advancing argument like icccmp $)
    $( Open intervals are countable unions of half-open $)
    $( Open intervals are Lindelof in the SL $)
    $( A Lindelof open set is equal to the union of its maximal intervals $)
    $( A union of half-open intervals sharing a point is a half-open or open
       interval $)
    $( Each maximal interval is a half-open or open interval $)
    $( Each maximal interval is disjoint $)
    $( There are countably many disjoint intervals $)
    $( All open sets are Lindelof $)
  $( Sorgenfrey line is first-countable: [x,x+q) or [x,x+(1/n)) is a countable
     neighborhood base $)

  $( Natural open sets in the Sorgenfrey plane $)
  $( Antidiagonal is closed $)
  $( Antidiagonal is discrete $)
  $( Sorgenfrey plane is NOT Lindelof, despite h. Lindelof of the line $)
  $( This proves that the Sorgenfrey line is NOT 2c $)
    $( alternate direct proof: a point is "special" in an open set if the point
       is in the open set and the open set contains no interval around it.  The
       special points of a union is at most the special points of the elements.
       An element of the standard basis has at most one special point.  The
       special points of every open set are countable.  Given a countable
       collection of open sets, find a point which is not special for any
       element; [x,x+1) thus has a special point which is not in the union, and
       so cannot be a union of elements of the countable set. $)

  $( Define the general order topology and the lexicographic order $)
    $( does it make sense to first define poset infinity and intervals? $)
  $( Define ordinal spaces or at least their ordering $)
  $( Redefine CCfld with a topology and an order $)
  $( Define the closed long ray (CLR) $)
  $( A Lindelof subset of the CLR is not cofinal $)
  $( The CLR is not Lindelof $)
  $( A countable ordinal can be continuously order-embedded in QQ $)
    $( this is also the key step for Aronsjazn trees $)
    $( an ordinal is countable iff it can be embedded in RR $)
  $( A continuous embedding extends to a homomorphism of a long line initial
     segment which "fixes" 0 $)
  $( Initial segments of the CLR are homeomorph to [0,1) $)
  $( CLR is connected $)
  $( Intial segments of the OLR are homeomorph to (0,1), thus RR $)
  $( OLR is connected $)
  $( Every Lindelof subset of OLR is contained in a homeomorph of RR $)
  $( Define LL $)
  $( Every Lindelof subset of LL is contained in a homeomorph of RR $)
  $( LL contains CLR as a closed set and OLR as open $)
  $( LL is not Lindelof $)
  $( LL has a reversing homeomorphism $)
  $( A homeomorphism of interval-connected ordered spaces is monotone $)
  $( OLR has downward cofinal sequences but not upward cofinal $)
  $( All OLR homeomorphisms are monotone increasing $)

$( (End of Stefan O'Rear's mathbox.) $)
$( End $[ set-mbox-so.mm $] $)


$( Begin $[ set-mbox-jpp.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Jon Pennant
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $( Split an open interval into two pieces at point B, Co-author TA.
     (Contributed by Jon Pennant, 8-Jun-2019.) $)
  iocunico $p |- ( ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\
                       ( A < B /\ B < C ) ) ->
                              ( ( A (,] B ) u. ( B [,) C ) ) = ( A (,) C ) ) $=
    ( cxr wcel w3a clt wbr wa cioo co csn cun cioc cico un23 unundir uncom wceq
    syl3anc uneq2i 3eqtrri simpl1 simpl2 simprl ioounsn snunioo uneq12d ioojoin
    simpl3 simprr 3eqtr3a ) ADEZBDEZCDEZFZABGHZBCGHZIZIZABJKZBLZMZVBBCJKZMZMZVC
    VDMZABNKZBCOKZMACJKVGVAVDMVBMVCVDVBMZMVFVAVBVDPVAVDVBQVJVEVCVDVBRUAUBUTVCVH
    VEVIUTUMUNUQVCVHSUMUNUOUSUCUMUNUOUSUDZUPUQURUEABUFTUTUNUOURVEVISVKUMUNUOUSU
    JUPUQURUKBCUGTUHABCUIUL $.

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( The intersection of two sets that meet at a point is that point.
       (Contributed by Jon Pennant, 12-Jun-2019.) $)
    iocinico $p |- ( ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\
     ( A < B /\ B < C ) ) ->
                                   ( ( A (,] B ) i^i ( B [,) C ) ) = { B } ) $=
      ( vx cxr wcel w3a clt wbr wa cab cle elioc1 3adant3 syl6bi elico1 3adant1
      co wb adantr cioc cico cin csn cicc cv df-in 3simpb 3simpa anim12d simpll
      wss simprr simplr 3jca syl6 elicc1 anidms 3ad2ant2 sylibrd eqsstrid abid2
      ss2abdv sseqtrdi wceq iccid sseqtrd simpl2 simprl xrleidd mpbir3and elind
      snssd eqssd ) AEFZBEFZCEFZGZABHIZBCHIZJZJZABUARZBCUBRZUCZBUDZWBWEBBUERZWF
      VRWEWGULWAVRWEDUFZWGFZDKZWGVRWEWHWCFZWHWDFZJZDKWJDWCWDUGVRWMWIDVRWMWHEFZB
      WHLIZWHBLIZGZWIVRWMWNWPJZWNWOJZJZWQVRWKWRWLWSVRWKWNAWHHIZWPGZWRVOVPWKXBSV
      QABWHMNWNXAWPUHOVRWLWNWOWHCHIZGZWSVPVQWLXDSVOBCWHPQWNWOXCUIOUJWTWNWOWPWNW
      PWSUKWRWNWOUMWNWPWSUNUOUPVPVOWIWQSZVQVPXEBBWHUQURUSUTVCVADWGVBVDTVRWGWFVE
      ZWAVPVOXFVQBVFUSTVGWBBWEWBWCWDBWBBWCFZVPVSBBLIZVOVPVQWAVHZVRVSVTVIWBBXIVJ
      ZVRXGVPVSXHGSZWAVOVPXKVQABBMNTVKWBBWDFZVPXHVTXIXJVRVSVTUMVRXLVPXHVTGSZWAV
      PVQXMVOBCBPQTVKVLVMVN $.
  $}

  $( An open-below, closed-above real interval is measurable.  (Contributed by
     Jon Pennant, 12-Jun-2019.) $)
  iocmbl $p |- ( ( A e. RR* /\ B e. RR ) -> ( A (,] B ) e. dom vol ) $=
    ( cxr wcel cr wa clt wbr cioc cvol cdm w3a cioo wceq syl3an2 eqeltrrd 3expa
    co biimp3ar c0 csn cun rexr ioounsn ioombl iccid iccmbl anidms adantl unmbl
    cicc syl sylancr 3adant3 wn cle xrlenlt syl2anr ioc0 0mbl eqeltrdi syld3an3
    wb id pm2.61dan ) ACDZBEDZFZABGHZABIRZJKZDZVFVGVIVLVFVGVILABMRZBUAZUBZVJVKV
    GVFBCDZVIVOVJNBUCZABUDOVFVGVOVKDZVIVHVMVKDVNVKDZVRABUEVGVSVFVGBBUKRZVNVKVGV
    PVTVNNVQBUFULVGVTVKDBBUGUHPUIVMVNUJUMUNPQVFVGVIUOZVLVFVGWABAUPHZVLVFVGWBWAV
    GVPVFWBWAVCVFVQVFVDBAUQURSVFVGWBLVJTVKVGVFVPWBVJTNZVQVFVPWCWBABUSSOUTVAVBQV
    E $.

  ${
    $d x y $.  $d F x $.  $d F y $.
    cnioobibld.1 $e |- ( ph -> A e. RR ) $.
    cnioobibld.2 $e |- ( ph -> B e. RR ) $.
    cnioobibld.3 $e |- ( ph -> F e. ( ( A (,) B ) -cn-> CC ) ) $.
    cnioobibld.4 $e |- ( ph ->
                         E. x e. RR A. y e. dom F ( abs ` ( F ` y ) ) <_ x ) $.
    $( A bounded, continuous function on an open bounded interval is
       integrable.  The function must be bounded.  For a counterexample,
       consider ` F = ( x e. ( 0 (,) 1 ) |-> ( 1 / x ) ) ` .  See ~ cniccibl
       for closed bounded intervals.  (Contributed by Jon Pennant,
       31-May-2019.) $)
    cnioobibld $p |- ( ph -> F e. L^1 ) $=
      ( cmbf wcel cdm cvol cfv cr cv cabs co cc cle wral wrex cibl ccncf ioombl
      wbr cioo cnmbf sylancr wf wceq cncff 3syl fveq2d ioovolcl syl2anc eqeltrd
      fdm bddibl syl3anc ) AFKLZFMZNOZPLCQFOROBQUAUGCVCUBBPUCFUDLADEUHSZNMLFVET
      UESLZVBDEUFIVEFUIUJAVDVENOZPAVCVENAVFVETFUKVCVEULIVETFUMVETFUSUNUOADPLEPL
      VGPLGHDEUPUQURJBCFUTVA $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d D x $.  $d S x $.
    arearect.1 $e |- A e. RR $.
    arearect.2 $e |- B e. RR $.
    arearect.3 $e |- C e. RR $.
    arearect.4 $e |- D e. RR $.
    arearect.5 $e |- A <_ B $.
    arearect.6 $e |- C <_ D $.
    arearect.7 $e |- S = ( ( A [,] B ) X. ( C [,] D ) ) $.
    $( The area of a rectangle whose sides are parallel to the coordinate axes
       in ` ( RR X. RR ) ` is its width multiplied by its height.  (Contributed
       by Jon Pennant, 19-Mar-2019.) $)
    arearect $p |- ( area ` S ) = ( ( B - A ) x. ( D - C ) ) $=
      ( vx cfv cr cvol wcel wceq cc0 c0 carea cv csn cima citg cmin co cmul cdm
      cxp wss ccnv wral cmpt cibl cicc iccssre mp2an xpss12 eqsstri cif imaeq1i
      iftrue xpimasn eqtr4d wn disjsn xpima1 sylbir eqtr4i fveq2i fveq2d syl5eq
      iffalse cin pm2.61i covol iccmbl mblvol ax-mp cle wbr ovolicc mp3an eqtri
      eqtrdi 0mbl ovol0 eqcomi a1i resubcli ifcli eqeltrdi wfun wb cpnf wf volf
      0re ffun eqeltri fvimacnv sylib rgen rembl adantl cdif eldifn mpteq2ia cc
      ccncf recni ax-resscn sstri ssid cncfmptc cniccibl iblss2 dmarea mpbir3an
      syl areaval itgeq2 mprg itgconst itgss2 oveq2i 3eqtr3i mulcomi 3eqtri ) E
      UANZMOEMUBZUCZUDZPNZUEZDCUFUGZBAUFUGZUHUGZYRYQUHUGEUAUIQZYKYPRYTEOOUJZUKY
      NPULOUDQZMOUMMOYOUNUOQZEABUPUGZCDUPUGZUJZUUALUUDOUKZUUEOUKZUUFUUAUKAOQZBO
      QZUUGFGABUQURZCOQZDOQZUUHHICDUQURUUDOUUEOUSURUTUUBMOYLOQZYOOQZUUBUUNYOYLU
      UDQZYQSVAZOYOUUQRZUUNUUQYOUUPUUQYORUUPUUQYQYOUUPYQSVCUUPYOUUEPNZYQUUPYOUU
      PUUETVAZPNZUUSYNUUTPYNUUFYMUDZUUTEUUFYMLVBUUPUUTUVBRUUPUUTUUEUVBUUPUUETVC
      ZUUDUUEYLVDVEUUPVFZUUTTUVBUUPUUETVNZUVDUUDYMVOTRUVBTRUUDYLVGUUDUUEYMVHVIV
      EVPVJZVKZUUPUUTUUEPUVCVLVMUUSUUEVQNZYQUUEPUIZQZUUSUVHRUULUUMUVJHICDVRURZU
      UEVSVTUULUUMCDWAWBUVHYQRHIKCDWCWDWEWFZVEUVDUUQSYOUUPYQSVNUVDYOTPNZSUVDYOU
      VAUVMUVGUVDUUTTPUVEVLVMUVMTVQNZSTUVIQUVMUVNRWGTVSVTWHWEWFZVEVPWIWJZUUPYQS
      ODCIHWKZWSWLWMPWNZYNUVIQUUOUUBWOUVISWPUPUGZPWQUVRWRUVIUVSPWTVTYNUUTUVIUVF
      UUPUUETUVIUVKWGWLXAYNOPXBURXCXDSOQZUUCWSUVTMUUDOYOOUUGUVTUUKWJOUVIQUVTXEW
      JUUPUUOUVTUUPYOYQOUVLUVQWMXFYLOUUDXGQZYOSRZUVTUWAUVDUWBYLOUUDXHUVOYAXFMUU
      DYOUNZUOQUVTUWCMUUDYQUNZUOMUUDYOYQUVLXIUUIUUJUWDUUDXJXKUGQZUWDUOQFGYQXJQZ
      UUDXJUKXJXJUKUWEYQUVQXLZUUDOXJUUKXMXNXJXOMYQUUDXJXPWDABUWDXQWDXAWJXRVTMEX
      SXTMEYBVTYPMOUUQUEZYSUURYPUWHRMOMOYOUUQYCUVPYDMUUDYQUEZYQUUDPNZUHUGZUWHYS
      UUDUVIQZUWJOQUWFUWIUWKRUUIUUJUWLFGABVRURZUWJYROUWJUUDVQNZYRUWLUWJUWNRUWMU
      UDVSVTUUIUUJABWAWBUWNYRRFGJABWCWDWEZBAGFWKZXAUWGMUUDYQYEWDUUGUWIUWHRUUKMU
      UDOYQYFVTUWJYRYQUHUWOYGYHWEYQYRUWGYRUWPXLYIYJ $.
  $}

  ${
    $d x y $.  $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d C x $.  $d D x $.
    $d E x $.  $d F x $.  $d S x $.  $d U y $.  $d V y $.
    areaquad.1 $e |- A e. RR $.
    areaquad.2 $e |- B e. RR $.
    areaquad.3 $e |- C e. RR $.
    areaquad.4 $e |- D e. RR $.
    areaquad.5 $e |- E e. RR $.
    areaquad.6 $e |- F e. RR $.
    areaquad.7 $e |- A < B $.
    areaquad.8 $e |- C <_ E $.
    areaquad.9 $e |- D <_ F $.
    areaquad.10 $e |- U = ( C + ( ( ( x - A ) / ( B - A ) ) x. ( D - C ) ) ) $.
    areaquad.11 $e |- V = ( E + ( ( ( x - A ) / ( B - A ) ) x. ( F - E ) ) ) $.
    areaquad.12 $e |- S =
                  { <. x , y >. | ( x e. ( A [,] B ) /\ y e. ( U [,] V ) ) } $.
    $( The area of a quadrilateral with two sides which are parallel to the
       y-axis in ` ( RR X. RR ) ` is its width multiplied by the average height
       of its higher edge minus the average height of its lower edge.
       Co-author TA. (Contributed by Jon Pennant, 31-May-2019.) $)
    areaquad $p |- ( area ` S ) =
                  ( ( ( ( F + E ) / 2 ) - ( ( D + C ) / 2 ) ) x. ( B - A ) ) $=
      ( carea cfv cr cv cima cvol citg caddc co c2 cdiv cmin cmul cdm wcel wceq
      wss cmpt cibl cicc wa copab iccssre mp2an sseli c1 cc a1i cc0 wne subne0d
      recni mulcld addsub12d subdid oveq2d syl5eq subdird mulid2i oveq1i eqtrdi
      ax-mp recnd 3eqtr4d 1red resubcld addcomd mulcomd oveq12d 3eqtrd remulcld
      readdcld eqeltrd syl2anc syl covol nfcv mblvol cle wbr lesub1dd eqtr4d c0
      eqtri eqeltrid adantl wtru cncfmptc mp3an divcli cncfmpt2f mptru cniccibl
      clt itgeq2 mprg addcli 2cnne0 div32 oveq12i 2ne0 divcan4i mulcli itgconst
      eqtr3i oveq2i subcld itgmulc2 cexp 1p1e2 subcli 3eqtr2i pncan3oi 3eqtr3ri
      2cn times2i 3eqtri csn cxp ccnv wral adantr resubcl mpan2 resubcli gtneii
      recn redivcld sselda jca ssopab2i df-xp 3sstr4i cif iftrue nfopab2 nfcxfr
      1cnd nfv nfima cop vex elimasn eleq2i opabidw 3bitri fveq2d iccmbl subidd
      baib eqrd rexri iccleub mp3an12 wb sylancl subidi ltsub1d mpbii eqbrtrrid
      cxr lediv1 syl112anc mpbid dividi breqtrdi eqbrtrrd elrpd iccgelb divge0d
      lemul1ad le2addd 3brtr4d ovolicc syl3anc wn iffalse simplbi noel pm5.21ni
      pm2.21i 0mbl ovol0 pm2.61i eqcomi ifcl wfun cpnf volf ffun ifcld fvimacnv
      0re wf sylancr rgen rembl cdif eldifn mpteq2ia ccncf ccnfld ctopn ctx ccn
      eqid subcn mpteq2i addcn ax-resscn sstri ssid divsubdird mpteq2dva resmpt
      cres divccncf rescncf mp2 eqeltrri mulcncf eqeltri iblss2 dmarea mpbir3an
      areaval itgss2 subdiri itgsub itgadd ltleii divrec2d cncfmptid 1nn0 exp1d
      itgpowd 3eqtr3i reccld sqcli subdii iblsub mulcomi divreci subsqi divassi
      divsubdir addsubassi subsub2 adddiri 3eqtr4i addsub12 itgeq2dv 3eqtr4ri
      cn0 ) GUDUEZAUFGAUGZUUAZUHZUIUEZUJZJIUKULZUMUNULZFEUKULZUMUNULZUOULDCUOUL
      ZUPULZGUDUQURZVVRVWCUSVWJGUFUFUUBZUTVWAUIUUCUFUHURZAUFUUDAUFVWBVAVBURZVVS
      CDVCULZURZBUGZHKVCULZURZVDZABVEZVVSUFURZVWPUFURZVDZABVEGVWKVWSVXCABVWSVXA
      VXBVWOVXAVWRVWNUFVVSCUFURZDUFURZVWNUFUTZLMCDVFVGZVHZUUEVWOVWQUFVWPVWOVXAV
      WQUFUTZVXHVXAHUFURZKUFURZVXIVXAHEVIVVSCUOULZVWHUNULZUOULZUPULZFVXMUPULZUK
      ULZUFVXAHVXMFUPULZVXNEUPULZUKULZVXSVXRUKULVXQVXAEVXRVXMEUPULZUOULZUKULZVX
      REVYAUOULZUKULHVXTVXAEVXRVYAEVJURZVXAENVOZVKZVXAVXMFVXAVXMVXAVXLVWHVXAVXD
      VXLUFURZLVVSCUUFZUUGVWHUFURZVXADCMLUUHZVKVWHVLVMZVXAVXDVYLLVXDDCDVJURZVXD
      DMVOZVKCUUJDCVMZVXDCDLRUUIZVKVNWEZVKUUKZWFZFVJURZVXAFOVOZVKZVPZVXAVXMEVYS
      VYGVPVQVXAHEVXMFEUOULZUPULZUKULZVYCUAVXAWUEVYBEUKVXAVXMFEVYSWUBVYGVRVSVTV
      XAVXSVYDVXRUKVXAVXSVIEUPULZVYAUOULVYDVXAVIVXMEVXAUVAZVYSVYGWAWUGEVYAUOEVY
      FWBWCWDVSWGVXAVXRVXSWUCVXAVXNEVXAVXNVXAVIVXMVXAWHVYRWIZWFZVYGVPWJVXAVXSVX
      OVXRVXPUKVXAVXNEWUJVYGWKVXAVXMFVYSWUBWKWLWMZVXAVXOVXPVXAEVXNEUFURZVXANVKW
      UIWNZVXAFVXMFUFURZVXAOVKVYRWNZWOWPZVXAKIVXNUPULZJVXMUPULZUKULZUFVXAKVXMJU
      PULZVXNIUPULZUKULZWVAWUTUKULWUSVXAIWUTVXMIUPULZUOULZUKULZWUTIWVCUOULZUKUL
      KWVBVXAIWUTWVCIVJURZVXAIPVOZVKZVXAVXMJVYSJVJURZVXAJQVOZVKZVPZVXAVXMIVYSWV
      IVPVQVXAKIVXMJIUOULZUPULZUKULZWVEUBVXAWVOWVDIUKVXAVXMJIVYSWVLWVIVRVSVTVXA
      WVAWVFWUTUKVXAWVAVIIUPULZWVCUOULWVFVXAVIVXMIWUHVYSWVIWAWVQIWVCUOIWVHWBWCW
      DVSWGVXAWUTWVAWVMVXAVXNIWUJWVIVPWJVXAWVAWUQWUTWURUKVXAVXNIWUJWVIWKVXAVXMJ
      VYSWVLWKWLWMZVXAWUQWURVXAIVXNIUFURZVXAPVKWUIWNZVXAJVXMJUFURZVXAQVKVYRWNZW
      OWPZHKVFWQWRUULUUMUUNUCABUFUFUUOUUPVWLAUFVXAVWBUFURZVWLVXAVWBVWOKHUOULZVL
      UUQZUFWWFVWBVWOWWFVWBUSVWOWWFWWEVWBVWOWWEVLUURVWOVWBVWQUIUEZVWQWSUEZWWEVW
      OVWAVWQUIVWOBVWAVWQVWOBUVBBGVVTBGVWTUCVWSABUUSUUTBVVTWTUVCZBVWQWTVWPVWAUR
      ZVWOVWRWWJVVSVWPUVDZGURWWKVWTURVWSGVVSVWPAUVEBUVEUVFGVWTWWKUCUVGVWSABUVHU
      VIZUVMUVNZUVJVWOVWQUIUQZURZWWGWWHUSVWOVXJVXKWWOVWOVXAVXJVXHWUPWRZVWOVXAVX
      KVXHWWCWRZHKUVKZWQVWQXAWRVWOVXJVXKHKXBXCWWHWWEUSWWPWWQVWOVXQWUSHKXBVWOVXO
      VXPWUQWURVWOVXAVXOUFURVXHWUMWRVWOVXAVXPUFURVXHWUOWRVWOVXAWUQUFURVXHWVTWRV
      WOVXAWURUFURVXHWWBWRVWOEIVXNWULVWONVKWVSVWOPVKVWOVXAVXNUFURVXHWUIWRVWOVXM
      VXMUOULVLVXNXBVWOVXMVWOVXMVWOVXAVXMUFURZVXHVYRWRZWFZUVLVWOVXMVIVXMWWTVWOW
      HWWTVWOVXMVWHVWHUNULZVIXBVWOVXLVWHXBXCZVXMWXBXBXCZVWOVVSDCVXHVXEVWOMVKZVX
      DVWOLVKZCUWDURZDUWDURZVWOVVSDXBXCCLUVOZDMUVOZCDVVSUVPUVQXDVWOVYHVYJVYJVLV
      WHXQXCWXCWXDUVRVWOVXAVXDVYHVXHLVYIUVSZVYJVWOVYKVKZWXLVWOVLCCUOULZVWHXQCCL
      VOZUVTZVWOCDXQXCWXMVWHXQXCRVWOCDCWXFWXEWXFUWAUWBUWCZVXLVWHVWHUWEUWFUWGVWH
      VWHVYKVOZVYQUWHUWIXDUWJEIXBXCVWOSVKUWNVWOFJVXMWUNVWOOVKWWAVWOQVKWWTVWOVXL
      VWHWXKVWOVWHWXLWXPUWKVWOVLWXMVXLXBWXOVWOCVVSCWXFVXHWXFWXGWXHVWOCVVSXBXCWX
      IWXJCDVVSUWLUVQXDUWCUWMFJXBXCVWOTVKUWNUWOVWOVXAHVXQUSVXHWUKWRVWOVXAKWUSUS
      VXHWVRWRUWPHKUWQUWRWMZXEVWOUWSZWWFVLVWBVWOWWEVLUWTWXSVWBXFUIUEZVLWXSVWAXF
      UIWXSBVWAXFWXSBUVBWWIBXFWTWWJVWOVWPXFURZWWJVWOVWRWWLUXAWYAVWOVWPUXBUXDUXC
      UVNZUVJWXTXFWSUEZVLXFWWNURZWXTWYCUSUXEXFXAWEUXFXGWDZXEUXGUXHZVXAWWEUFURVL
      UFURZWWFUFURVXAKHWWCWUPWIUXPVWOWWEVLUFUXIUVSXHVXAUIUXJZVWAWWNURWWDVWLUVRW
      WNVLUXKVCULZUIUXQWYHUXLWWNWYIUIUXMWEVXAVWAVWOVWQXFUUQZWWNVWOVWAWYJUSVWOVW
      AVWQWYJWWMVWOVWQXFUURXEWXSVWAXFWYJWYBVWOVWQXFUWTXEUXGVXAVWOVWQXFWWNVXAVXJ
      VXKWWOWUPWWCWWRWQWYDVXAUXEVKUXNXHVWAUFUIUXOUXRUWGUXSWYGVWMUXPWYGAVWNUFVWB
      UFVXFWYGVXGVKUFWWNURWYGUXTVKVWOWWDWYGVWOVWBWWEUFWXRVWOKHWWQWWPWIWPXIVVSUF
      VWNUYAURZVWBVLUSZWYGWYKWXSWYLVVSUFVWNUYBWYEWRXIAVWNVWBVAZVBURWYGWYMAVWNWW
      EVAZVBAVWNVWBWWEWXRUYCVXDVXEWYNVWNVJUYDULZURZWYNVBURLMWYPXJAKHUOUYEUYFUEZ
      VWNWYQUYIZUOWYQWYQUYGULWYQUYHULZURXJWYQWYRUYJVKZXJAVWNKVAZAVWNWVPVAWYOAVW
      NKWVPUBUYKXJAIWVOUKWYQVWNWYRUKWYSURXJWYQWYRUYLVKZAVWNIVAZWYOURZXJWVGVWNVJ
      UTZVJVJUTZXUDWVHVWNUFVJVXGUYMUYNZVJUYOZAIVWNVJXKXLZVKZXJAVXMWVNVWNXJAVWNV
      XMVAZAVWNVVSVWHUNULZCVWHUNULZUOULZVAWYOXJAVWNVXMXUNVWOVXMXUNUSXJVWOVVSCVW
      HVWNVJVVSXUGVHZCVJURZVWOWXNVKVWHVJURZVWOWXQVKZVYLVWOVYQVKZUYPXIUYQXJAXULX
      UMUOWYQVWNWYRWYTAVWNXULVAZWYOURXJAVJXULVAZVWNUYSZXUTWYOXUEXVBXUTUSXUGAVJV
      WNXULUYRWEXUEXVAVJVJUYDULURZXVBWYOURXUGXUQVYLXVCWXQVYQAVWHXVAXVAUYIUYTVGV
      JVJVWNXVAVUAVUBVUCVKAVWNXUMVAWYOURZXJXUMVJURXUEXUFXVDCVWHWXNWXQVYQXMXUGXU
      HAXUMVWNVJXKXLVKXNWPZXJAJIUOWYQVWNWYRWYTAVWNJVAWYOURZXJWVJXUEXUFXVFWVKXUG
      XUHAJVWNVJXKXLVKXUJXNVUDZXNXHZXJAVWNHVAZAVWNWUFVAWYOAVWNHWUFUAUYKXJAEWUEU
      KWYQVWNWYRXUBAVWNEVAZWYOURZXJVYEXUEXUFXVKVYFXUGXUHAEVWNVJXKXLZVKZXJAVXMWU
      DVWNXVEXJAFEUOWYQVWNWYRWYTAVWNFVAWYOURZXJVYTXUEXUFXVNWUAXUGXUHAFVWNVJXKXL
      VKXVMXNVUDZXNXHZXNXOCDWYNXPXLVUEVKVUFWEAGVUGVUHAGVUIWEVWCAUFWWFUJZAVWNWWE
      UJZVWIVWBWWFUSZVWCXVQUSAUFAUFVWBWWFXRXVSVXAWYFVKXSVXFXVRXVQUSVXGAVWNUFWWE
      VUJWEVWEVWHUPULZVWGVWHUPULZUOULVWDVWHUMUNULZUPULZVWFXWBUPULZUOULZVWIXVRXV
      TXWCXWAXWDUOVWDVJURUMVJURUMVLVMVDZXUQXVTXWCUSJIWVKWVHXTZYAWXQVWDUMVWHYBXL
      VWFVJURXWFXUQXWAXWDUSFEWUAVYFXTZYAWXQVWFUMVWHYBXLYCVWEVWGVWHVWDUMXWGYRYDX
      MVWFUMXWHYRYDXMWXQVUKXVRAVWNKUJZAVWNHUJZUOULZXWEXVRXWKUSXJAVWNKHUFVWOVXKX
      JWWQXIXUAVBURZXJVXDVXEXUAWYOURZXWLLMXWMXVHXOCDXUAXPXLVKVWOVXJXJWWPXIXVIVB
      URZXJVXDVXEXVIWYOURZXWNLMXWOXVPXOCDXVIXPXLVKVULXOXWIXWCXWJXWDUOXWIIUMUPUL
      ZWVNUKULZXWBUPULZXWCIVWHUPULZWVNXWBUPULZUKULZXWPXWBUPULZXWTUKULXWIXWRXWSX
      XBXWTUKXWPUMUNULZVWHUPULZXWSXXBXXCIVWHUPIUMWVHYRYDYEWCXWPVJURZXWFXUQXXDXX
      BUSIUMWVHYRYFZYAWXQXWPUMVWHYBXLYHWCXWIAVWNWVPUJZAVWNIUJZAVWNWVOUJZUKULZXX
      AKWVPUSZXWIXXGUSAVWNAVWNKWVPXRXXKVWOUBVKXSXXGXXJUSXJAVWNIWVOUFWVSXJVWOVDZ
      PVKZXUCVBURZXJVXDVXEXUDXXNLMXUICDXUCXPXLVKXXLVXMWVNVWOWWSXJWWTXIZXXLJIWWA
      XXLQVKXXMWIWNAVWNWVOVAZVBURZXJVXDVXEXXPWYOURZXXQLMXXRXVGXOCDXXPXPXLVKVUMX
      OXXHXWSXXIXWTUKXXHIVWNUIUEZUPULZXWSVWNWWNURZXXSUFURZWVGXXHXXTUSVXDVXEXYAL
      MCDUVKVGZXXSVWHUFXXSVWNWSUEZVWHXYAXXSXYDUSXYCVWNXAWEVXDVXECDXBXCZXYDVWHUS
      LMCDLMRVUNZCDUWQXLXGZVYKVUEZWVHAVWNIYGXLXXSVWHIUPXYGYIXGWVNAVWNVXMUJZUPUL
      ZAVWNWVNVXMUPULZUJZXWTXXIXYJXYLUSXJAVWNVXMWVNUFXJJIWVJXJWVKVKWVGXJWVHVKYJ
      XXOXUKVBURZXJVXDVXEXUKWYOURZXYMLMXYNXVEXOCDXUKXPXLVKZYKXOXYIXWBWVNUPXYIVI
      VWHUNULZDUMYLULZCUMYLULZUOULZUMUNULZUPULZCUOULZDCUKULZUMUNULZCUOULZXWBXYI
      AVWNXYPVXLUPULZUJZYUBVXMYUFUSXYIYUGUSAVWNAVWNVXMYUFXRVWOVXLVWHVWOVXLWXKWF
      XURXUSVUOXSXYPAVWNVXLUJZUPULZYUAXYPCVWHUPULZUPULZUOULZYUGYUBYUIXYPXYTYUJU
      OULZUPULYULYUHYUMXYPUPYUHAVWNVVSUJZAVWNCUJZUOULZYUMYUHYUPUSXJAVWNVVSCUFVW
      OVXAXJVXHXIZAVWNVVSVAZVBURZXJVXDVXEYURWYOURZYUSLMXUEXUFYUTXUGXUHAVWNVJVUP
      VGCDYURXPXLVKZVXDXXLLVKZAVWNCVAZVBURZXJVXDVXEYVCWYOURZYVDLMXUPXUEXUFYVEWX
      NXUGXUHACVWNVJXKXLCDYVCXPXLVKZVULXOYUNXYTYUOYUJUOAVWNVVSVIYLULZUJZDVIVIUK
      ULZYLULZCYVIYLULZUOULZUMUNULZYUNXYTYVHYVLYVIUNULZYVMYVHYVNUSXJACDVIVXDXJL
      VKVXEXJMVKXYEXJXYFVKVIVVQURXJVUQVKVUSXOYVIUMYVLUNYMYIXGYVGVVSUSYVHYUNUSAV
      WNAVWNYVGVVSXRVWOVVSXUOVURXSYVLXYSUMUNYVJXYQYVKXYRUOYVIUMDYLYMYIYVIUMCYLY
      MYIYCWCVUTYUOCXXSUPULZYUJXYAXYBXUPYUOYVOUSXYCXYHWXNAVWNCYGXLXXSVWHCUPXYGY
      IXGYCXGYIXYPXYTYUJXYPVJURXJVWHXJDCVYMXJVYNVKZXUPXJWXNVKZYJXJDCYVPYVQVYOXJ
      VYPVKVNVVAZXOZXYSUMXYQXYRDVYNVVBCWXNVVBYNZYRYDXMCVWHWXNWXQYFZVVCXGYUIYUGU
      SXJAVWNVXLXYPUFYVRVWOVYHXJWXKXIXJAVWNVVSCUFYUQYVAYVBYVFVVDYKXOYUKCYUAUOYU
      KYUJXYPUPULYUJVWHUNULCXYPYUJYVSYWAVVEYUJVWHYWAWXQVYQVVFCVWHWXNWXQVYQYEYOY
      IVUTXGYUAYUDCUOYUAXYPYUCVWHUPULZUMUNULZUPULXYPYWBUPULZUMUNULYUDXYTYWCXYPU
      PXYSYWBUMUNDCVYNWXNVVGZWCYIXYPYWBUMYVSXYSYWBVJYWEYVTVUCZYRYDVVHYWDYUCUMUN
      YWDYWBXYPUPULYWBVWHUNULYUCXYPYWBYVSYWFVVEYWBVWHYWFWXQVYQVVFYUCVWHDCVYNWXN
      XTZWXQVYQYEYOWCYOWCYUCCUMUPULZUOULZUMUNULZYUDYWHUMUNULZUOULZXWBYUEYUCVJUR
      YWHVJURZXWFYWJYWLUSYWGCUMWXNYRYFZYAYUCYWHUMVVIXLYWIVWHUMUNYWIDCYWHUOULUKU
      LZDYWHCUOULZUOULZVWHDCYWHVYNWXNYWNVVJVYMYWMXUPYWQYWOUSVYNYWNWXNDYWHCVVKXL
      YWPCDUOYWPCCUKULZCUOULCYWHYWRCUOCWXNYSWCCCWXNWXNYPXGYIYOWCYWKCYUDUOCUMWXN
      YRYDYEYIYQYTZYIXYKWVOUSXYLXXIUSAVWNAVWNXYKWVOXRVWOWVNVXMWVNVJURVWOJIWVKWV
      HYNZVKWXAWKXSYQYCYTXWPWVNXWBXXFYWTVWHUMWXQYRYDXMZVVLVVMXWQVWDXWBUPJXWPIUO
      ULZUKULZXWQVWDWVJXXEWVGYXCXWQUSWVKXXFWVHJXWPIVVNXLYXBIJUKYXBIIUKULZIUOULI
      XWPYXDIUOIWVHYSWCIIWVHWVHYPXGYIYHWCXGXWJEUMUPULZWUDUKULZXWBUPULZXWDEVWHUP
      ULZWUDXWBUPULZUKULZYXEXWBUPULZYXIUKULXWJYXGYXHYXKYXIUKYXEUMUNULZVWHUPULZY
      XHYXKYXLEVWHUPEUMVYFYRYDYEWCYXEVJURZXWFXUQYXMYXKUSEUMVYFYRYFZYAWXQYXEUMVW
      HYBXLYHWCXWJAVWNWUFUJZAVWNEUJZAVWNWUEUJZUKULZYXJXWJYXPUSXJAVWNHWUFHWUFUSX
      XLUAVKVVOXOYXPYXSUSXJAVWNEWUEUFWULXXLNVKZXVJVBURZXJVXDVXEXVKYYALMXVLCDXVJ
      XPXLVKXXLVXMWUDXXOXXLFEWUNXXLOVKYXTWIWNAVWNWUEVAZVBURZXJVXDVXEYYBWYOURZYY
      CLMYYDXVOXOCDYYBXPXLVKVUMXOYXQYXHYXRYXIUKYXQEXXSUPULZYXHXYAXYBVYEYXQYYEUS
      XYCXYHVYFAVWNEYGXLXXSVWHEUPXYGYIXGWUDXYIUPULZAVWNWUDVXMUPULZUJZYXIYXRYYFY
      YHUSXJAVWNVXMWUDUFXJFEVYTXJWUAVKVYEXJVYFVKYJXXOXYOYKXOXYIXWBWUDUPYWSYIYYG
      WUEUSYYHYXRUSAVWNAVWNYYGWUEXRVWOWUDVXMWUDVJURVWOFEWUAVYFYNZVKWXAWKXSYQYCY
      TYXEWUDXWBYXOYYIYXAVVLVVMYXFVWFXWBUPFYXEEUOULZUKULZYXFVWFVYTYXNVYEYYKYXFU
      SWUAYXOVYFFYXEEVVNXLYYJEFUKYYJEEUKULZEUOULEYXEYYLEUOEVYFYSWCEEVYFVYFYPXGY
      IYHWCXGYCXGVVPYOXG $.
  $}

$( (End of Jon Pennant's mathbox.) $)
$( End $[ set-mbox-jpp.mm $] $)


$( Begin $[ set-mbox-rp.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Richard Penner
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Short Studies
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Additional work on conditional logical operator
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Conjunction of conditional logical operators.  (Contributed by RP,
     18-Apr-2020.) $)
  ifpan123g $p |- ( ( if- ( ph , ch , ta ) /\ if- ( ps , th , et ) )
                      <-> ( ( ( -. ph \/ ch ) /\ ( ph \/ ta ) )
                            /\ ( ( -. ps \/ th ) /\ ( ps \/ et ) ) ) ) $=
    ( wif wn wo wa dfifp4 anbi12i ) ACEGAHCIAEIJBDFGBHDIBFIJACEKBDFKL $.

  $( Conjunction of conditional logical operators.  (Contributed by RP,
     20-Apr-2020.) $)
  ifpan23 $p |- ( ( if- ( ph , ps , ch ) /\ if- ( ph , th , ta ) )
                      <-> if- ( ph , ( ps /\ th ) , ( ch /\ ta ) ) ) $=
    ( wif wa wn wo ifpan123g an4 dfifp4 ordi anbi12i bitr2i 3bitri ) ABCFADEFGA
    HZBIZACIZGQDIZAEIZGGRTGZSUAGZGZABDGZCEGZFZAABDCEJRSTUAKUGQUEIZAUFIZGUDAUEUF
    LUHUBUIUCQBDMACEMNOP $.

  $( Define or in terms of conditional logic operator.  (Contributed by RP,
     20-Apr-2020.) $)
  ifpdfor2 $p |- ( ( ph \/ ps ) <-> if- ( ph , ph , ps ) ) $=
    ( wo wn wa wif pm2.1 biantrur dfifp4 bitr4i ) ABCZADACZKEAABFLKAGHAABIJ $.

  $( Corollary of commutation of or.  (Contributed by RP, 20-Apr-2020.) $)
  ifporcor $p |- ( if- ( ph , ph , ps ) <-> if- ( ps , ps , ph ) ) $=
    ( wo wif orcom ifpdfor2 3bitr3i ) ABCBACAABDBBADABEABFBAFG $.

  $( Define and with conditional logic operator.  (Contributed by RP,
     25-Apr-2020.) $)
  ifpdfan2 $p |- ( ( ph /\ ps ) <-> if- ( ph , ps , ph ) ) $=
    ( wa wi wn wo wif id notnoti biorfi dfifp6 bitr4i ) ABCZMAADZEZFABAGOMNAHIJ
    ABAKL $.

  $( Corollary of commutation of and.  (Contributed by RP, 25-Apr-2020.) $)
  ifpancor $p |- ( if- ( ph , ps , ph ) <-> if- ( ps , ph , ps ) ) $=
    ( wa wif ancom ifpdfan2 3bitr3i ) ABCBACABADBABDABEABFBAFG $.

  $( Define or in terms of conditional logic operator and true.  (Contributed
     by RP, 20-Apr-2020.) $)
  ifpdfor $p |- ( ( ph \/ ps ) <-> if- ( ph , T. , ps ) ) $=
    ( wo wn wtru wa wif tru olci biantrur dfifp4 bitr4i ) ABCZADZECZMFAEBGOMENH
    IJAEBKL $.

  $( Define and with conditional logic operator and false.  (Contributed by RP,
     20-Apr-2020.) $)
  ifpdfan $p |- ( ( ph /\ ps ) <-> if- ( ph , ps , F. ) ) $=
    ( wa wn wfal wo wif fal intnan biorfi df-ifp bitr4i ) ABCZMADZECZFABEGOMENH
    IJABEKL $.

  $( Equivalence theorem for conditional logical operators.  (Contributed by
     RP, 14-Apr-2020.) $)
  ifpbi2 $p |- ( ( ph <-> ps )
                   -> ( if- ( ch , ph , th ) <-> if- ( ch , ps , th ) ) ) $=
    ( wb wi wn wa wif imbi2 anbi1d dfifp2 3bitr4g ) ABEZCAFZCGDFZHCBFZPHCADICBD
    INOQPABCJKCADLCBDLM $.

  $( Equivalence theorem for conditional logical operators.  (Contributed by
     RP, 14-Apr-2020.) $)
  ifpbi3 $p |- ( ( ph <-> ps )
                   -> ( if- ( ch , th , ph ) <-> if- ( ch , th , ps ) ) ) $=
    ( wb wi wn wa wif imbi2 anbi2d dfifp2 3bitr4g ) ABEZCDFZCGZAFZHOPBFZHCDAICD
    BINQROABPJKCDALCDBLM $.

  $( Restate implication as conditional logic operator.  (Contributed by RP,
     20-Apr-2020.) $)
  ifpim1 $p |- ( ( ph -> ps ) <-> if- ( -. ph , T. , ps ) ) $=
    ( wn wo wtru wa wi wif tru olci biantrur imor dfifp4 3bitr4i ) ACZBDZOCZEDZ
    PFABGOEBHRPEQIJKABLOEBMN $.

  $( Restate negated wff as conditional logic operator.  (Contributed by RP,
     20-Apr-2020.) $)
  ifpnot $p |- ( -. ph <-> if- ( ph , F. , T. ) ) $=
    ( wn wfal wo wtru wa wif tru olci biantru fal biorfi dfifp4 3bitr4i ) ABZCD
    ZPAEDZFOACEGQPEAHIJCOKLACEMN $.

  $( Restate wff as conditional logic operator.  (Contributed by RP,
     20-Apr-2020.) $)
  ifpid2 $p |- ( ph <-> if- ( ph , T. , F. ) ) $=
    ( wfal wo wn wtru wa wif tru olci biantrur fal biorfi dfifp4 3bitr4i ) ABCZ
    ADZECZOFAAEBGQOEPHIJBAKLAEBMN $.

  $( Restate implication as conditional logic operator.  (Contributed by RP,
     20-Apr-2020.) $)
  ifpim2 $p |- ( ( ph -> ps ) <-> if- ( ps , T. , -. ph ) ) $=
    ( wn wo wtru wa wi wif tru olci biantrur imor orcom bitri dfifp4 3bitr4i )
    BACZDZBCZEDZRFABGZBEQHTRESIJKUAQBDRABLQBMNBEQOP $.

  $( Equivalence theorem for conditional logical operators.  (Contributed by
     RP, 15-Apr-2020.) $)
  ifpbi23 $p |- ( ( ( ph <-> ps ) /\ ( ch <-> th ) )
                    -> ( if- ( ta , ph , ch ) <-> if- ( ta , ps , th ) ) ) $=
    ( wb wa wi wn wif simpl imbi2d simpr anbi12d dfifp2 3bitr4g ) ABFZCDFZGZEAH
    ZEIZCHZGEBHZUADHZGEACJEBDJSTUCUBUDSABEQRKLSCDUAQRMLNEACOEBDOP $.

  $( Restatement of ~ biid .  (Contributed by RP, 25-Apr-2020.) $)
  ifpbiidcor $p |- if- ( ph , ph , -. ph ) $=
    ( wb wn wif biid ifpdfbi mpbi ) AABAAACDAEAAFG $.

  $( Corollary of commutation of biconditional.  (Contributed by RP,
     25-Apr-2020.) $)
  ifpbicor $p |- ( if- ( ph , ps , -. ps ) <-> if- ( ps , ph , -. ph ) ) $=
    ( wb wn wif bicom ifpdfbi 3bitr3i ) ABCBACABBDEBAADEABFABGBAGH $.

  $( Corollary of commutation of biconditional.  (Contributed by RP,
     25-Apr-2020.) $)
  ifpxorcor $p |- ( if- ( ph , -. ps , ps ) <-> if- ( ps , -. ph , ph ) ) $=
    ( wn wif ifpbicor wb notnotb ifpbi3 ax-mp ifpn 3bitr4i ) ABCZLCZDZLAACZDALB
    DZBOADALEBMFPNFBGBMALHIBOAJK $.

  $( Equivalence theorem for conditional logical operators.  (Contributed by
     RP, 14-Apr-2020.) $)
  ifpbi1 $p |- ( ( ph <-> ps )
                   -> ( if- ( ph , ch , th ) <-> if- ( ps , ch , th ) ) ) $=
    ( wb wi wn wa wif imbi1 notbi biimpi imbi1d anbi12d dfifp2 3bitr4g ) ABEZAC
    FZAGZDFZHBCFZBGZDFZHACDIBCDIQRUATUCABCJQSUBDQSUBEABKLMNACDOBCDOP $.

  $( Negation of conditional logical operator.  (Contributed by RP,
     18-Apr-2020.) $)
  ifpnot23 $p |- ( -. if- ( ph , ps , ch )
                     <-> if- ( ph , -. ps , -. ch ) ) $=
    ( wa wn wo wif ianor pm4.55 anbi12i ioran dfifp4 3bitr4i df-ifp xchnxbir )
    ABDZAEZCDZFZABEZCEZGZABCGPEZREZDQTFZAUAFZDSEUBUCUEUDUFABHACIJPRKATUALMABCNO
    $.

  $( Factor conditional logic operator over negation in terms 2 and 3.
     (Contributed by RP, 21-Apr-2020.) $)
  ifpnotnotb $p |- ( if- ( ph , -. ps , -. ch )
                       <-> -. if- ( ph , ps , ch ) ) $=
    ( wif wn ifpnot23 bicomi ) ABCDEABECEDABCFG $.

  $( Corollary of commutation of nor.  (Contributed by RP, 25-Apr-2020.) $)
  ifpnorcor $p |- ( if- ( ph , -. ph , -. ps )
                      <-> if- ( ps , -. ps , -. ph ) ) $=
    ( wif wn ifporcor notbii ifpnot23 3bitr3i ) AABCZDBBACZDAADZBDZCBLKCIJABEFA
    ABGBBAGH $.

  $( Corollary of commutation of and.  (Contributed by RP, 25-Apr-2020.) $)
  ifpnancor $p |- ( if- ( ph , -. ps , -. ph )
                      <-> if- ( ps , -. ph , -. ps ) ) $=
    ( wif wn ifpancor notbii ifpnot23 3bitr3i ) ABACZDBABCZDABDZADZCBLKCIJABEFA
    BAGBABGH $.

  $( Negation of conditional logical operator.  (Contributed by RP,
     25-Apr-2020.) $)
  ifpnot23b $p |- ( -. if- ( ph , -. ps , ch )
                     <-> if- ( ph , ps , -. ch ) ) $=
    ( wn wif ifpnot23 wb notnotb ifpbi2 ax-mp bitr4i ) ABDZCEDALDZCDZEZABNEZALC
    FBMGPOGBHBMANIJK $.

  $( Restatement of ~ biid .  (Contributed by RP, 25-Apr-2020.) $)
  ifpbiidcor2 $p |- -. if- ( ph , -. ph , ph ) $=
    ( wn wif ifpbiidcor ifpnot23b mpbir ) AABZACBAAGCADAAAEF $.

  $( Negation of conditional logical operator.  (Contributed by RP,
     25-Apr-2020.) $)
  ifpnot23c $p |- ( -. if- ( ph , ps , -. ch )
                     <-> if- ( ph , -. ps , ch ) ) $=
    ( wn wif ifpnot23 wb notnotb ifpbi3 ax-mp bitr4i ) ABCDZEDABDZLDZEZAMCEZABL
    FCNGPOGCHCNAMIJK $.

  $( Negation of conditional logical operator.  (Contributed by RP,
     25-Apr-2020.) $)
  ifpnot23d $p |- ( -. if- ( ph , -. ps , -. ch )
                     <-> if- ( ph , ps , ch ) ) $=
    ( wn wif ifpnot23 wb notnotb ifpbi23 mp2an bitr4i ) ABDZCDZEDALDZMDZEZABCEZ
    ALMFBNGCOGQPGBHCHBNCOAIJK $.

  $( Define nand as conditional logic operator.  (Contributed by RP,
     20-Apr-2020.) $)
  ifpdfnan $p |- ( ( ph -/\ ps ) <-> if- ( ph , -. ps , T. ) ) $=
    ( wnan wa wn wfal wif df-nan ifpdfan notbii ifpnot23 wb notfal ifpbi3 ax-mp
    wtru bitri 3bitri ) ABCABDZEABFGZEZABEZPGZABHSTABIJUAAUBFEZGZUCABFKUDPLUEUC
    LMUDPAUBNOQR $.

  $( Define xor as conditional logic operator.  (Contributed by RP,
     20-Apr-2020.) $)
  ifpdfxor $p |- ( ( ph \/_ ps ) <-> if- ( ph , -. ps , ps ) ) $=
    ( wxo wo wa wn wtru wif wfal xor2 ifpdfor ifpnot23 ifpdfan xchnxbir anbi12i
    ifpan23 wb truan fal biantru bicomi ifpbi23 mp2an bitri 3bitri ) ABCABDZABE
    ZFZEAGBHZABFZIFZHZEZAUJBHZABJUFUIUHULABKABIHULUGABILABMNOUMAGUJEZBUKEZHZUNA
    GBUJUKPUOUJQUPBQUQUNQUJRBUPUKBSTUAUOUJUPBAUBUCUDUE $.

  $( Equivalence theorem for conditional logical operators.  (Contributed by
     RP, 15-Apr-2020.) $)
  ifpbi12 $p |- ( ( ( ph <-> ps ) /\ ( ch <-> th ) )
                    -> ( if- ( ph , ch , ta ) <-> if- ( ps , th , ta ) ) ) $=
    ( wb wa wi wn wif imbi12 imp simpl notbid imbi1d anbi12d dfifp2 3bitr4g ) A
    BFZCDFZGZACHZAIZEHZGBDHZBIZEHZGACEJBDEJUAUBUEUDUGSTUBUEFABCDKLUAUCUFEUAABST
    MNOPACEQBDEQR $.

  $( Equivalence theorem for conditional logical operators.  (Contributed by
     RP, 15-Apr-2020.) $)
  ifpbi13 $p |- ( ( ( ph <-> ps ) /\ ( ch <-> th ) )
                    -> ( if- ( ph , ta , ch ) <-> if- ( ps , ta , th ) ) ) $=
    ( wb wa wi wif simpl imbi1d notbi imbi12 sylbi imp anbi12d dfifp2 3bitr4g
    wn ) ABFZCDFZGZAEHZASZCHZGBEHZBSZDHZGAECIBEDIUBUCUFUEUHUBABETUAJKTUAUEUHFZT
    UDUGFUAUIHABLUDUGCDMNOPAECQBEDQR $.

  $( Equivalence theorem for conditional logical operators.  (Contributed by
     RP, 15-Apr-2020.) $)
  ifpbi123 $p |- ( ( ( ph <-> ps ) /\ ( ch <-> th ) /\ ( ta <-> et ) )
                     -> ( if- ( ph , ch , ta ) <-> if- ( ps , th , et ) ) ) $=
    ( wb w3a simp1 simp2 simp3 ifpbi123d ) ABGZCDGZEFGZHACEBDFMNOIMNOJMNOKL $.

  $( Restate wff as conditional logic operator.  (Contributed by RP,
     20-Apr-2020.) $)
  ifpidg $p |- ( ( th <-> if- ( ph , ps , ch ) )
                   <-> ( ( ( ( ph /\ ps ) -> th )
                           /\ ( ( ph /\ th ) -> ps ) )
                         /\ ( ( ch -> ( ph \/ th ) )
                              /\ ( th -> ( ph \/ ch ) ) ) ) ) $=
    ( wb wn wo wa wi dfifp4 bibi2i dfbi2 imor ordi ancomst bitri bicomi anbi12i
    wif 3bitri impexp imbi2i 3bitrri df-or cases2 imbi1i pm5.6 anbi2i ancom an4
    jaob ) DABCSZEDAFZBGZACGZHZEZADHBIZDUOIZHZABHZDIZCADGIZHZHZVBURHVCUSHHZULUP
    DABCJKUQDUPIZUPDIZHVEDUPLVGUTVHVDVGDFZUPGVIUNGZVIUOGZHUTDUPMVIUNUONVJURVKUS
    URDAHBIDABIZIZVJADBODABUAVMDUNIVJVLUNDABMZUBDUNMPUCUSVKDUOMQRTVHVAUMCHZGZDI
    VBVODIZHVDUPVPDUPVLUMCIZHZVPUNVLUOVRVLUNVNQACUDRVPVSABCUEQPUFVADVOUKVQVCVBV
    QCUMHDIVCUMCDOCADUGPUHTRPVEVDUTHVFUTVDUIVBVCURUSUJPT $.

  $( Restate wff as conditional logic operator.  (Contributed by RP,
     20-Apr-2020.) $)
  ifpid3g $p |- ( ( ch <-> if- ( ph , ps , ch ) )
                    <-> ( ( ( ph /\ ps ) -> ch )
                          /\ ( ( ph /\ ch ) -> ps ) ) ) $=
    ( wif wb wa wi wo olc pm3.2i ifpidg mpbiran2 ) CABCDEABFCGACFBGFCACHGZMFMMC
    AIZNJABCCKL $.

  $( Restate wff as conditional logic operator.  (Contributed by RP,
     20-Apr-2020.) $)
  ifpid2g $p |- ( ( ps <-> if- ( ph , ps , ch ) )
                    <-> ( ( ps -> ( ph \/ ch ) )
                          /\ ( ch -> ( ph \/ ps ) ) ) ) $=
    ( wif wb wa wi wo ifpidg simpr pm3.2i biantrur ancom 3bitr2i ) BABCDEABFBGZ
    OFZCABHGZBACHGZFZFSRQFABCBIPSOOABJZTKLQRMN $.

  $( Restate wff as conditional logic operator.  (Contributed by RP,
     20-Apr-2020.) $)
  ifpid1g $p |- ( ( ph <-> if- ( ph , ps , ch ) )
                    <-> ( ( ch -> ph ) /\ ( ph -> ps ) ) ) $=
    ( wif wb wa wi wo ifpidg ancom pm4.25 imbi2i orc bitr2i pm4.24 imbi1i simpl
    biantru biantrur anbi12i 3bitri ) AABCDEABFAGZAAFZBGZFZCAAHZGZAACHGZFZFUIUE
    FCAGZABGZFABCAIUEUIJUIUJUEUKUJUGUIAUFCAKLUHUGACMRNUKUDUEAUCBAOPUBUDABQSNTUA
    $.

  $( Restate implication as conditional logic operator.  (Contributed by RP,
     25-Apr-2020.) $)
  ifpim23g $p |- ( ( ( ph -> ps ) <-> if- ( ch , ps , -. ph ) )
                     <-> ( ( ( ph /\ ps ) -> ch )
                           /\ ( ch -> ( ph \/ ps ) ) ) ) $=
    ( wi wn wif wb wa wo ifpidg imbi2i impexp ax-1 adantl biantrur 3bitr2i imdi
    dfor2 imor bitri orcom pm2.21 olcd anbi12i ancom ) ABDZCBAEZFGCBHUFDZCUFHBD
    ZHZUGCUFIDZUFCUGIZDZHZHCABIZDZABHCDZHUQUPHCBUGUFJUPUJUQUNUPCUFBDZDUIUJUOURC
    ABRKCUFBLUHUIBUFCBAMNOPUQUMUNUQABCDDZUMABCLUSUFACDZDUMABCQUTULUFUTUGCIULACS
    UGCUATKTTUKUMUGUFCABUBUCOTUDUPUQUEP $.

  $( Restate implication as conditional logic operator.  (Contributed by RP,
     25-Apr-2020.) $)
  ifpim3 $p |- ( ( ph -> ps ) <-> if- ( ph , ps , -. ph ) ) $=
    ( wi wn wif wb wa wo simpl orc ifpim23g mpbir2an ) ABCABADEFABGACAABHCABIAB
    JABAKL $.

  $( Restate negated implication as conditional logic operator.  (Contributed
     by RP, 25-Apr-2020.) $)
  ifpnim1 $p |- ( -. ( ph -> ps ) <-> if- ( ph , -. ps , ph ) ) $=
    ( wn wif wi ifpnot23c ifpim3 xchnxbir ) ABACDABCADABEABAFABGH $.

  $( Restate implication as conditional logic operator.  (Contributed by RP,
     25-Apr-2020.) $)
  ifpim4 $p |- ( ( ph -> ps ) <-> if- ( ps , ps , -. ph ) ) $=
    ( wi wn wif wb wa wo simpr olc ifpim23g mpbir2an ) ABCBBADEFABGBCBABHCABIBA
    JABBKL $.

  $( Restate negated implication as conditional logic operator.  (Contributed
     by RP, 25-Apr-2020.) $)
  ifpnim2 $p |- ( -. ( ph -> ps ) <-> if- ( ps , -. ps , ph ) ) $=
    ( wn wif wi ifpnot23c ifpim4 xchnxbir ) BBACDBBCADABEBBAFABGH $.

  $( Implication of conditional logical operators.  The right hand side is
     basically conjunctive normal form which is useful in proofs.  (Contributed
     by RP, 16-Apr-2020.) $)
  ifpim123g $p |- ( ( if- ( ph , ch , ta ) -> if- ( ps , th , et ) )
                      <-> ( ( ( ( ph -> -. ps ) \/ ( ch -> th ) )
                              /\ ( ( ps -> ph ) \/ ( ta -> th ) ) )
                            /\ ( ( ( ph -> ps ) \/ ( ch -> et ) )
                                /\ ( ( -. ps -> ph ) \/ ( ta -> et ) ) ) ) ) $=
    ( wi wn wo wa orass bicomi anbi12i bitri 3bitri orbi1i orcom bitr3i orbi2i
    imor wif dfifp4 imbi12i ordi ianor pm4.52 ioran orbi12i cases2 pm4.66 ordir
    bitr4i df-or ) ACEUAZBDFUAZGAHZCIZAEIZJZBHZDIZBFIZJZGUSHZVCIZAUTGZCDGZIZBAG
    ZEDGZIZJZABGZCFGZIZUTAGZEFGZIZJZJZUNUSUOVCACEUBBDFUBUCUSVCTVEVDVAIZVDVBIZJV
    TVDVAVBUDWAVLWBVSWAVDUTIZDIZVLVDUTDKWDVFCHZIZVIEHZIZJZDIWFDIZWHDIZJVLWCWIDW
    CUPWEIZAWGIZJZUTIZUTWLIZUTWMIZJZWIVDWNUTVDUQHZURHZIAWEJZUPWGJZIZWNUQURUEWSX
    AWTXBXAWSACUFLAEUGUHXCAWEGZUPWGGZJWNAWEWGUIXDWLXEWMAWETAEUJMNOZPWOUTWNIWRWN
    UTQUTWLWMUDNWPWFWQWHWPUTUPIZWEIWFUTUPWEKXGVFWEXGUPUTIVFUTUPQAUTTULPRWQUTAIZ
    WGIWHUTAWGKXHVIWGVIXHBATLPRMOPWFWHDUKWJVHWKVKWJVFWEDIZIVHVFWEDKXIVGVFVGXICD
    TLSNWKVIWGDIZIVKVIWGDKXJVJVIVJXJEDTLSNMORWBVDBIZFIZVSVDBFKXLVMWEIZVPWGIZJZF
    IXMFIZXNFIZJVSXKXOFXKWNBIZBWLIZBWMIZJZXOVDWNBXFPXRBWNIYAWNBQBWLWMUDNXSXMXTX
    NXSBUPIZWEIXMBUPWEKYBVMWEYBUPBIVMBUPQABTULPRXTBAIZWGIXNBAWGKYCVPWGBAUMPRMOP
    XMXNFUKXPVOXQVRXPVMWEFIZIVOVMWEFKYDVNVMVNYDCFTLSNXQVPWGFIZIVRVPWGFKYEVQVPVQ
    YEEFTLSNMORMNO $.

  $( Implication of conditional logical operators.  (Contributed by RP,
     18-Apr-2020.) $)
  ifpim1g $p |- ( ( if- ( ph , ch , th ) -> if- ( ps , ch , th ) )
                    <-> ( ( ( ps -> ph ) \/ ( th -> ch ) )
                          /\ ( ( ph -> ps ) \/ ( ch -> th ) ) ) ) $=
    ( wif wi wn wo wa ifpim123g id olci biantrur bicomi biantru anbi12i bitri )
    ACDEBCDEFABGZFZCCFZHZBAFDCFHZIZABFCDFHZRAFZDDFZHZIZIUBUDIABCCDDJUCUBUHUDUBU
    CUAUBTSCKLMNUDUHUGUDUFUEDKLONPQ $.

  $( Substitute the first element of conditional logical operator.
     (Contributed by RP, 20-Apr-2020.) $)
  ifp1bi $p |- ( ( if- ( ph , ch , th ) <-> if- ( ps , ch , th ) )
                   <-> ( ( ( ( ph -> ps ) \/ ( ch -> th ) )
                           /\ ( ( ph -> ps ) \/ ( th -> ch ) ) )
                         /\ ( ( ( ps -> ph ) \/ ( ch -> th ) )
                              /\ ( ( ps -> ph ) \/ ( th -> ch ) ) ) ) ) $=
    ( wif wb wi wa wo dfbi2 ifpim1g biancomi anbi12i an42 3bitri ) ACDEZBCDEZFP
    QGZQPGZHABGZCDGZIZBAGZDCGZIZHZTUDIZUCUAIZHZHUBUGHUHUEHHPQJRUFSUIRUBUEABCDKL
    BACDKMUBUEUGUHNO $.

  $( When the first variable is irrelevant, it can be replaced.  (Contributed
     by RP, 25-Apr-2020.) $)
  ifpbi1b $p |- ( if- ( ph , ch , ch ) <-> if- ( ps , ch , ch ) ) $=
    ( wif wi wn wo wa id olci pm3.2i ifpim123g mpbir2an impbii ) ACCDZBCCDZOPEA
    BFZEZCCEZGZBAEZSGZHABEZSGZQAEZSGZHTUBSRCIZJSUAUGJZKUDUFSUCUGJZSUEUGJKABCCCC
    LMPOEBAFZEZSGZUDHUBUJBEZSGZHULUDSUKUGJUIKUBUNUHSUMUGJKBACCCCLMN $.

  $( Factor conditional logic operator over implication in terms 2 and 3.
     (Contributed by RP, 21-Apr-2020.) $)
  ifpimimb $p |- ( if- ( ph , ( ps -> ch ) , ( th -> ta ) )
                     <-> ( if- ( ph , ps , th ) -> if- ( ph , ch , ta ) ) ) $=
    ( wi wn wa wo dfifp2 imor pm4.8 bicomi orbi1i id orci biantru 3bitri pm4.64
    wif pm4.81 biantrur anbi12i ifpim123g ) ABCFZDEFZTAUEFZAGZUFFZHAUHFZUEIZAAF
    ZDCFZIZHZULBEFZIZUHAFZUFIZHZHZABDTACETFZAUEUFJUGUOUIUTUGUHUEIUKUOAUEKUHUJUE
    UJUHALMNUNUKULUMAOZPQRUIAUFIUSUTAUFSAURUFURAAUAMNUQUSULUPVCPUBRUCVBVAAABCDE
    UDMR $.

  $( Factor conditional logic operator over disjunction in terms 2 and 3.
     (Contributed by RP, 21-Apr-2020.) $)
  ifpororb $p |- ( if- ( ph , ( ps \/ ch ) , ( th \/ ta ) )
                     <-> ( if- ( ph , ps , th ) \/ if- ( ph , ch , ta ) ) ) $=
    ( wo wif wi wn wa dfifp2 df-or imbi2i anbi12i ifpimimb imor ifpnot23d bitri
    orbi1i 3bitr3i 3bitri ) ABCFZDEFZGAUBHZAIZUCHZJABIZCHZHZUEDIZEHZHZJZABDGZAC
    EGZFZAUBUCKUDUIUFULUBUHABCLMUCUKUEDELMNAUHUKGAUGUJGZUOHZUMUPAUGCUJEOAUHUKKU
    RUQIZUOFUPUQUOPUSUNUOABDQSRTUA $.

  $( Factor conditional logic operator over conjunction in terms 2 and 3.
     (Contributed by RP, 21-Apr-2020.) $)
  ifpananb $p |- ( if- ( ph , ( ps /\ ch ) , ( th /\ ta ) )
                     <-> ( if- ( ph , ps , th ) /\ if- ( ph , ch , ta ) ) ) $=
    ( wa wif wn wo anor ifpbi23 mp2an ifpororb ifpnotnotb orbi12i bitri 3bitr4i
    wb notbii ) ABCFZDEFZGZABHZCHZIZHZDHZEHZIZHZGZABDGZACEGZFZTUFRUAUJRUBUKRBCJ
    DEJTUFUAUJAKLAUEUIGZHULHZUMHZIZHUKUNUOURUOAUCUGGZAUDUHGZIURAUCUDUGUHMUSUPUT
    UQABDNACENOPSAUEUINULUMJQP $.

  $( Factor conditional logic operator over nand in terms 2 and 3.
     (Contributed by RP, 21-Apr-2020.) $)
  ifpnannanb $p |- ( if- ( ph , ( ps -/\ ch ) , ( th -/\ ta ) )
                       <-> ( if- ( ph , ps , th ) -/\ if- ( ph , ch , ta ) ) )
    $=
    ( wnan wif wa wn wb df-nan ifpbi23 mp2an ifpananb notbii ifpnotnotb 3bitr4i
    bitri ) ABCFZDEFZGZABCHZIZDEHZIZGZABDGZACEGZFZSUCJTUEJUAUFJBCKDEKSUCTUEALMA
    UBUDGZIUGUHHZIUFUIUJUKABCDENOAUBUDPUGUHKQR $.

  $( Disjunction of conditional logical operators.  (Contributed by RP,
     18-Apr-2020.) $)
  ifpor123g $p |- ( ( if- ( ph , ch , ta ) \/ if- ( ps , th , et ) )
                      <-> ( ( ( ( ph -> -. ps ) \/ ( ch \/ th ) )
                              /\ ( ( ps -> ph ) \/ ( ta \/ th ) ) )
                            /\ ( ( ( ph -> ps ) \/ ( ch \/ et ) )
                                 /\ ( ( -. ps -> ph ) \/ ( ta \/ et ) ) ) ) )
    $=
    ( wif wo wn wi df-or ifpnot23 imbi1i bitri ifpim123g pm4.64 orbi2i anbi12i
    wa ) ACEGZBDFGZHZABIZJZCIZDJZHZBAJZEIZDJZHZSZABJZUEFJZHZUCAJZUIFJZHZSZSZUDC
    DHZHZUHEDHZHZSZUMCFHZHZUPEFHZHZSZSUBAUEUIGZUAJZUTUBTIZUAJVLTUAKVMVKUAACELMN
    ABUEDUIFONULVEUSVJUGVBUKVDUFVAUDCDPQUJVCUHEDPQRUOVGURVIUNVFUMCFPQUQVHUPEFPQ
    RRN $.

  $( Consequnce of implication.  (Contributed by RP, 17-Apr-2020.) $)
  ifpimim $p |- ( if- ( ph , ( ps -> ch ) , ( th -> ta ) )
                    -> ( if- ( ph , ps , th ) -> if- ( ph , ch , ta ) ) ) $=
    ( wn wi wo wa wif pm2.521 orim1i adantr id orci a1i jca simpr wb pm4.81
    bicomi ifpbi1 ax-mp dfifp4 bitri ifpim123g 3imtr4i ) AFZAGZFZBCGZHZUIDEGZHZ
    IZAUHGZUKHZAAGZDCGZHZIZURBEGZHZUNIZIAUKUMJZABDJACEJGUOVAVDUOUQUTULUQUNUJUPU
    KUHAKLMUTUOURUSANZOPQUOVCUNVCUOURVBVFOPULUNRQQVEUIUKUMJZUOAUISVEVGSUIAATUAA
    UIUKUMUBUCUIUKUMUDUEAABCDEUFUG $.

  $( Factor conditional logic operator over biconditional in terms 2 and 3.
     (Contributed by RP, 21-Apr-2020.) $)
  ifpbibib $p |- ( if- ( ph , ( ps <-> ch ) , ( th <-> ta ) )
                     <-> ( if- ( ph , ps , th ) <-> if- ( ph , ch , ta ) ) ) $=
    ( wb wi wn wa dfifp2 dfbi2 imbi2i jcab bitri anbi12i ifpimimb bitr3i bitr4i
    wif an4 3bitri ) ABCFZDEFZSAUBGZAHZUCGZIZABCGZGZUEDEGZGZIZACBGZGZUEEDGZGZIZ
    IZABDSZACESZFZAUBUCJUGUIUNIZUKUPIZIURUDVBUFVCUDAUHUMIZGVBUBVDABCKLAUHUMMNUF
    UEUJUOIZGVCUCVEUEDEKLUEUJUOMNOUIUNUKUPTNURUSUTGZUTUSGZIVAULVFUQVGULAUHUJSVF
    AUHUJJABCDEPQUQAUMUOSVGAUMUOJACBEDPQOUSUTKRUA $.

  $( Factor conditional logic operator over xor in terms 2 and 3.  (Contributed
     by RP, 21-Apr-2020.) $)
  ifpxorxorb $p |- ( if- ( ph , ( ps \/_ ch ) , ( th \/_ ta ) )
                     <-> ( if- ( ph , ps , th ) \/_ if- ( ph , ch , ta ) ) ) $=
    ( wxo wif wb df-xor ifpbi23 mp2an ifpbibib notbii ifpnotnotb 3bitr4i bitri
    wn ) ABCFZDEFZGZABCHZQZDEHZQZGZABDGZACEGZFZRUBHSUDHTUEHBCIDEIRUBSUDAJKAUAUC
    GZQUFUGHZQUEUHUIUJABCDELMAUAUCNUFUGIOP $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Sophisms
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( A special case where implication appears to conform to a mixed associative
     law.  (Contributed by RP, 29-Feb-2020.) $)
  rp-fakeimass $p |- ( ( ph \/ ch ) <->
                       ( ( ( ph -> ps ) -> ch )
                         <-> ( ph -> ( ps -> ch ) ) ) ) $=
    ( wo wi wb wn conax1 pm2.21d ax-1 ja ax-2 com3r impbid2 2thd jaoi jarl orrd
    a1d simplim orcd a1i bija impbii ) ACDZABEZCEZABCEZEZFZAUJCAUGUIUFCUIUFGZUH
    AUKBCABHISCUHACBJSZKUIUFACABCLMNCUGUICUFJULOPUGUIUEUGUEUIUGACABCQRSUIGZUEEU
    GGUMACAUHTUAUBUCUD $.

  $( A special case where a mixture of and and or appears to conform to a mixed
     associative law.  (Contributed by RP, 26-Feb-2020.) $)
  rp-fakeanorass $p |- ( ( ch -> ph ) <->
                         ( ( ( ph /\ ps ) \/ ch )
                           <-> ( ph /\ ( ps \/ ch ) ) ) ) $=
    ( wi wo wa wb wn pm1.4 ord pm4.83 biimpi sylan2 anim1d orc anim1i jctir olc
    ex jca simpl imim12i adantr impbii dfbi2 ordir bicomi bibi1i 3bitr2i ) CADZ
    ACEZBCEZFZAULFZDZUNUMDZFZUMUNGABFCEZUNGUJUQUJUOUPUJUKAULUJUKAUKUJCHADZAUKCA
    ACIJUJUSFACAKLMSNAUKULACOPQUOUJUPCUMUNACUKULCARCBRTAULUAUBUCUDUMUNUEUMURUNU
    RUMABCUFUGUHUI $.

  $( A special case where a mixture of or and and appears to conform to a mixed
     associative law.  (Contributed by RP, 29-Feb-2020.) $)
  rp-fakeoranass $p |- ( ( ph -> ch ) <->
                         ( ( ( ph \/ ps ) /\ ch )
                           <-> ( ph \/ ( ps /\ ch ) ) ) ) $=
    ( wi wa wo wb rp-fakeanorass bicom orcom anbi1ci ancom orbi2i bitri bibi12i
    ) ACDCBEZAFZCBAFZEZGZABFZCEZABCEZFZGZCBAHTSQGUEQSISUBQUDRUACBAJKQAPFUDPAJPU
    CACBLMNONN $.

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( A special case where a mixture of intersection and union appears to
       conform to a mixed associative law.  (Contributed by RP,
       26-Feb-2020.) $)
    rp-fakeinunass $p |- ( C C_ A <->
                           ( ( A i^i B ) u. C ) = ( A i^i ( B u. C ) ) ) $=
      ( vx cv wcel wi wal wa wo wss cin cun wceq rp-fakeanorass albii elun elin
      wb bitri dfss2 dfcleq orbi1i anbi2i bibi12i 3bitr4i ) DEZCFZUGAFZGZDHUIUG
      BFZIZUHJZUIUKUHJZIZSZDHZCAKABLZCMZABCMZLZNZUJUPDUIUKUHOPDCAUAVBUGUSFZUGVA
      FZSZDHUQDUSVAUBVEUPDVCUMVDUOVCUGURFZUHJUMUGURCQVFULUHUGABRUCTVDUIUGUTFZIU
      OUGAUTRVGUNUIUGBCQUDTUEPTUF $.
  $}

  $( A special case where a mixture of union and intersection appears to
     conform to a mixed associative law.  (Contributed by RP, 29-Feb-2020.) $)
  rp-fakeuninass $p |- ( A C_ C <->
                         ( ( A u. B ) i^i C ) = ( A u. ( B i^i C ) ) ) $=
    ( wss cin wceq rp-fakeinunass eqcom incom uncom ineq1i eqtri uneq2i eqeq12i
    cun 3bitri ) ACDCBEZAOZCBAOZEZFTRFABOZCEZABCEZOZFCBAGRTHTUBRUDTSCEUBCSISUAC
    BAJKLRAQOUDQAJQUCACBIMLNP $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Finite Sets
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Membership in the class of finite sets can be expressed in many ways.

$)

  ${
    $d n A $.
    $( A set is said to be finite if it can be put in one-to-one correspondence
       with all the natural numbers between 1 and some ` n e. NN0 ` .
       (Contributed by RP, 3-Mar-2020.) $)
    rp-isfinite5 $p |- ( A e. Fin <-> E. n e. NN0 ( 1 ... n ) ~~ A ) $=
      ( cfn wcel c1 cv cfz co cen wbr cn0 wrex chash cfv cvv oveq2 mpsyl sylibr
      wa wceq wex fvex hashcl isfinite4 biimpi jca breq1d anbi12d spcegv df-rex
      eleq1 hasheni eqcomd hashfz1 ovex eqtr eqeng syl5 entr sylancom rexlimiva
      syl2anr impbii ) ACDZEBFZGHZAIJZBKLZVDVEKDZVGSZBUAZVHAMNZODVDVLKDZEVLGHZA
      IJZSZVKAMUBVDVMVOAUCVDVOAUDZUEUFVJVPBVLOVEVLTZVIVMVGVOVEVLKUKVRVFVNAIVEVL
      EGPUGUHUIQVGBKUJRVGVDBKVJVOVDVIVGVNVFIJZVOVGVLVFMNZTZVTVETZVSVIVGVTVLVFAU
      LUMVEUNVNODZWAWBSVLVETZVSEVLGUOVLVTVEUPWDVNVFTWCVSVLVEEGPVNVFOUQURQVBVNVF
      AUSUTVQRVAVC $.
  $}

  ${
    $d n A $.
    $( A set is said to be finite if it is either empty or it can be put in
       one-to-one correspondence with all the natural numbers between 1 and
       some ` n e. NN ` .  (Contributed by RP, 10-Mar-2020.) $)
    rp-isfinite6 $p |- ( A e. Fin <-> ( A = (/) \/
                                        E. n e. NN ( 1 ... n ) ~~ A ) ) $=
      ( cfn wcel c0 wceq wa wn wo c1 cfz cen wbr cn bitri cn0 wex w3a cc0 syl
      cv co wrex exmid biantrur andir simpl wi eleq1a ax-mp impbii rp-isfinite5
      0fin ancli df-rex anbi2i ensymb bitr3i notbii elnn0 anbi1i anbi12i 3anass
      andi orbi12i sylbb2 simp2 oveq2 fz10 eqtrdi simp3 eqbrtrrd simp1 pm2.21dd
      en0 syl3an2 jaoi simprr jca chash cfv clt nngt0 hash0 a1i hashfz1 3brtr4d
      csdm nnnn0 fzfi hashsdom mp2an sylib anim1i sdomentr sdomnen exbii 19.42v
      wb 3bitr2ri ) ACDZAEFZXAGZXBHZXAGZIZXBJBUAZKUBZALMZBNUCZIXAXBXDIZXAGXFXKX
      AXBUDUEXBXDXAUFOXCXBXEXJXCXBXBXAUGXBXAECDZXBXAUHUMECAUIUJUNUKXEXDXGPDZXIG
      ZBQZGZXJXAXOXDXAXIBPUCXOABULXIBPUOOUPXJXGNDZXIGZBQXDXNGZBQXPXIBNUOXSXRBXS
      XRXSXQXIXSEALMZHZXQXIRZYAXGSFZXIRZIZXQXSYAXRGZYAYCXIGZGZIZYEXSYAXRYGIZGYI
      XDYAXNYJXBXTXBAELMZXTAVOZAEUQURUSXNXQYCIZXIGYJXMYMXIXGUTVAXQYCXIUFOVBYAXR
      YGVDOYBYFYDYHYAXQXIVCYAYCXIVCVEVFYBXQYDYAXQXIVGYCYAXHEFZXIXQYCXHJSKUBEXGS
      JKVHVIVJYAYNXIRZXTXQYOXHEALYAYNXIVGYAYNXIVKVLYAYNXIVMVNVPVQTXDXMXIVRVSXRX
      DXNXREXHWHMZXIGZXDXQYPXIXQEVTWAZXHVTWAZWBMZYPXQSXGYRYSWBXGWCYRSFXQWDWEXQX
      MYSXGFXGWIZXGWFTWGXLXHCDYTYPWSUMJXGWJEXHWKWLWMWNYQYAXDYQEAWHMYAEXHAWOEAWP
      TXTXBXTYKXBEAUQYLOUSWMTXQXMXIUUAWNVSUKWQXDXNBWRWTOVEO $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  General Observations
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( May move to main section after ~ elintab . $)

  ${
    $d x z ch $.  $d y z ps $.  $d x y z ph $.  $d x A $.
    intabssd.ex $e |- ( ph -> A e. V ) $.
    intabssd.sub $e |- ( ( ph /\ x = A ) -> ( ch -> ps ) ) $.
    intabssd.ss $e |- ( ph -> A C_ y ) $.
    $( When for each element ` y ` there is a subset ` A ` which may
       substituted for ` x ` such that ` y ` satisfying ` ch ` implies ` x `
       satisfies ` ps ` then the intersection of all ` x ` that satisfy ` ps `
       is a subclass the intersection of all ` y ` that satisfy ` ch ` .
       (Contributed by RP, 17-Oct-2020.) $)
    intabssd $p |- ( ph -> |^| { x | ps } C_ |^| { y | ch } ) $=
      ( vz cab cint wel wi wal cv wcel wceq elintab eleq2 sseld sylan9r imim12d
      wa biimpd spcimdv alrimdv vex 3imtr4g ssrdv ) AKBDLMZCELMZABKDNZOZDPZCKEN
      ZOZEPKQZULRUSUMRAUPUREAUOURDFGHADQZFSZUECBUNUQIVAUNUSFRZAUQVAUNVBUTFUSUAU
      FAFEQUSJUBUCUDUGUHBDUSKUIZTCEUSVCTUJUK $.
  $}

  $( May move to main section after ~ ax-nul . $)

  ${
    $d x y $.
    $( There is only one empty set.  (Contributed by RP, 1-Oct-2023.) $)
    eu0 $p |- ( A. x -. x e. (/) /\ E! x A. y -. y e. x ) $=
      ( cv c0 wcel wn wal wel weu noel ax-gen wex wmo ax-nul nulmo df-eu pm3.2i
      mpbir2an ) ACZDEFZAGBAHFBGZAIZTASJKUBUAALUAAMABNABOUAAPRQ $.
  $}

  $( May move to main section after ~ con0 . $)

  $( Over the ordinal numbers, one may define the relation ` A _E B ` iff
     ` A e. B ` and one finds that, under this ordering, ` On ` is a
     well-ordered class, see ~ epweon .  This is a weak form of ~ epelg which
     only requires that we know ` B ` to be a set.  (Contributed by RP,
     27-Sep-2023.) $)
  epelon2 $p |- ( ( A e. On /\ B e. On ) -> ( A _E B <-> A e. B ) ) $=
    ( con0 wcel cep wbr wb epelg adantl ) BCDABEFABDGACDABCHI $.

  $( May move to main section after ~ onsseleq . $)

  ${
    $d x y $.
    $( For all ` x , y e. On ` , one and only one of the following hold:
       ` x e. y ` , ` y = x ` , or ` y e. x ` .  This is a transparent strict
       trichotomy.  (Contributed by RP, 27-Sep-2023.) $)
    ontric3g $p |- A. x e. On A. y e. On (
                    ( x e. y <-> -. ( y = x \/ y e. x ) )
                 /\ ( y = x <-> -. ( x e. y \/ y e. x ) )
                 /\ ( y e. x <-> -. ( x e. y \/ y = x ) ) ) $=
      ( wel weq wo wn wb w3a con0 cv wcel wss orcom a1i onsseleq ontri1 3bitr2d
      wa con2bid ancoms anbi12d eqss ioran 3bitr4g equcom orbi2i 3jca rgen2 ) A
      BCZBADZBACZEZFGZUJUIUKEFZGZUKUIUJEZFGZHABIIAJZIKZBJZIKZRZUMUOUQVAUSUMVAUS
      RZULUIVCULUKUJEZUTURLZUIFZULVDGVCUJUKMNUTUROUTURPZQSTVBVEURUTLZRVFUKFZRUJ
      UNVBVEVFVHVIVAUSVEVFGVGTURUTPZUAUTURUBUIUKUCUDVBUPUKVBUPUIABDZEZVHVIUPVLG
      VBUJVKUIBAUEUFNURUTOVJQSUGUH $.
  $}

  $( May move to main section after ~ dflim3 . $)

  ${
    $d A x $.
    $( ` A ` is called a successor ordinal if it is not a limit ordinal and not
       the empty set.  (Contributed by RP, 11-Nov-2023.) $)
    dfsucon $p |- ( ( Ord A /\ -. Lim A /\ A =/= (/) ) <->
                       E. x e. On A = suc x ) $=
      ( word wlim wn c0 wne w3a cv csuc wceq con0 wa wi 3ancomb df-3an wo df-ne
      wrex anbi2i imbi1i pm5.6 iman 3bitrri dflim3 xchnxbir 3bitri pm3.35 sylbi
      wcel eloni ordsuc sylib nlimsucg nsuceq0 a1i ordeq limeq notbid 3anbi123d
      3jca neeq1 syl5ibrcom rexlimiv impbii ) BCZBDZEZBFGZHZBAIZJZKZALSZVJVFVIM
      ZVOVNNZMZVNVJVFVIVHHVOVHMVQVFVHVIOVFVIVHPVHVPVOVFBFKZVNQZEMZVPVGVPVFVREZM
      ZVNNVFVSNVTEVOWBVNVIWAVFBFRTUAVFVRVNUBVFVSUCUDABUEUFTUGVOVNUHUIVMVJALVKLU
      JZVJVMVLCZVLDZEZVLFGZHWCWDWFWGWCVKCWDVKUKVKULUMVKLUNWGWCVKUOUPVAVMVFWDVHW
      FVIWGBVLUQVMVGWEBVLURUSBVLFVBUTVCVDVE $.
  $}

  $( May move to main section after ~ en1 . $)

  ${
    $d A x $.
    $( A singleton is equinumerous to ordinal one iff its content is a set.
       (Contributed by RP, 8-Oct-2023.) $)
    snen1g $p |- ( { A } ~~ 1o <-> A e. _V ) $=
      ( vx csn wceq wex c1o cen wbr cvv wcel eqcom vex sneqr impbii bitri exbii
      cv sneq en1 isset 3bitr4i ) ACZBQZCZDZBEUCADZBEUBFGHAIJUEUFBUEUDUBDZUFUBU
      DKUGUFUCABLMUCARNOPBUBSBATUA $.
  $}

  $( A singleton is equinumerous to ordinal one if its content is an element of
     it.  (Contributed by RP, 8-Oct-2023.) $)
  snen1el $p |- ( { A } ~~ 1o <-> A e. { A } ) $=
    ( csn c1o cen wbr cvv wcel snen1g snidb bitri ) ABZCDEAFGAKGAHAIJ $.

  $( May move to main section after ~ 0domg . $)

  $( A singleton is dominated by ordinal one.  (Contributed by RP,
     29-Oct-2023.) $)
  sn1dom $p |- { A } ~<_ 1o $=
    ( cvv wcel csn c1o cdom wbr cen ensn1g 1on domrefg ax-mp endomtr sylancl wn
    con0 c0 wceq snprc wi snex eqeng sylbi 0domg pm2.61i ) ABCZADZEFGZUFUGEHGEE
    FGZUHABIEPCZUIJEPKLUGEEMNUFOZUGQHGZQEFGZUHUKUGQRZULASUGBCUNULTAUAUGQBUBLUCU
    JUMJEPUDLUGQEMNUE $.

  $( An unordered pair is dominated by ordinal two.  (Contributed by RP,
     29-Oct-2023.) $)
  pr2dom $p |- { A , B } ~<_ 2o $=
    ( cpr csn cun c2o cdom df-pr cdju wbr cvv wcel snex undjudom c1o cen sn1dom
    mp2an con0 domtr djudom1 1on djudom2 dju1p1e2 domentr eqbrtri ) ABCADZBDZEZ
    FGABHUIUGUHIZGJZUJFGJZUIFGJUGKLUHKLZUKAMBMZUGUHKKNRUJOOIZGJZUOFPJULUJOUHIZG
    JZUQUOGJZUPUGOGJUMURAQUNUGOUHKUARUHOGJOSLUSBQUBUHOOSUCRUJUQUOTRUDUJUOFUERUI
    UJFTRUF $.

  $( An unordered triple is dominated by ordinal three.  (Contributed by RP,
     29-Oct-2023.) $)
  tr3dom $p |- { A , B , C } ~<_ 3o $=
    ( ctp cpr csn cun c3o cdom cdju wbr cvv wcel mp2an c2o c1o cen con0 domtr
    2on df-tp prex snex undjudom pr2dom djudom1 sn1dom djudom2 co onadju ensymi
    coa 1on csuc wceq oa1suc ax-mp df-3o eqtr4i breqtri domentr eqbrtri ) ABCDA
    BEZCFZGZHIABCUAVEVCVDJZIKZVFHIKZVEHIKVCLMVDLMZVGABUBCUCZVCVDLLUDNVFOPJZIKZV
    KHQKVHVFOVDJZIKZVMVKIKZVLVCOIKVIVNABUEVJVCOVDLUFNVDPIKORMZVOCUGTVDPORUHNVFV
    MVKSNVKOPULUIZHQVQVKVPPRMVQVKQKTUMOPUJNUKVQOUNZHVPVQVRUOTOUPUQURUSUTVFVKHVA
    NVEVFHSNVB $.

  $( May move to main section after ~ ensdomtr . $)

  $( A class equinumerous to a successor is never empty.  (Contributed by RP,
     11-Nov-2023.)  (Proof shortened by SN, 16-Nov-2023.) $)
  ensucne0 $p |- ( A ~~ suc B -> A =/= (/) ) $=
    ( csuc cen wbr wceq nsuceq0 ensymb en0 bitri nemtbir breq1 mtbiri necon2ai
    c0 ) ABCZDEZAOAOFQOPDEZRPOBGRPODEPOFOPHPIJKAOPDLMN $.

  $( A class equinumerous to a successor is never empty.  (Contributed by RP,
     11-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  ensucne0OLD $p |- ( A ~~ suc B -> A =/= (/) ) $=
    ( csuc cvv wcel cen wbr c0 wne encv simprd wceq csdm wa en0 biimpri nsuceq0
    wn wi a1i 0sdomg mpbiri jctird ensdomtr sdomnen syl syl6 necon2ad mpcom ) B
    CZDEZAUJFGZAHIULADEUKAUJJKUKULAHUKAHLZAHFGZHUJMGZNZULRZUKUMUNUOUMUNSUKUNUMA
    OPTUKUOUJHIBQUJDUAUBUCUPAUJMGUQAHUJUDAUJUEUFUGUHUI $.

  $( May move to main section after ~ onfin2 . $)

  $( Let ` _om ` be defined to be the union of the set of all finite ordinals.
     (Contributed by RP, 27-Sep-2023.) $)
  dfom6 $p |- _om = U. ( On i^i Fin ) $=
    ( com cuni con0 cfn cin wlim wceq limom limuni ax-mp onfin2 unieqi eqtri )
    AABZCDEZBAFANGHAIJAOKLM $.

  $( May move to main section after ~ omelon . $)

  $( ` _om ` is the smallest infinite ordinal.  (Contributed by RP,
     27-Sep-2023.) $)
  infordmin $p |- A. x e. ( On \ Fin ) _om C_ x $=
    ( com cv wss con0 cfn cdif wcel wn wa eldif wi omelon ontri1 bicomd con1bid
    nnfi syl6bi mpan con1d imp sylbi rgen ) BACZDZAEFGZUDUFHUDEHZUDFHZIZJUEUDEF
    KUGUIUEUGUEUHBEHZUGUEIZUHLMUJUGJZUKUDBHZUHULUMUEULUEUMIBUDNOPUDQRSTUAUBUC
    $.

  $( May move to main section after ~ oncard . $)

  ${
    $d A x y $.
    $( Two ways to express the property of being a cardinal number.
       (Contributed by RP, 8-Nov-2023.) $)
    iscard4 $p |- ( ( card ` A ) = A <-> A e. ran card ) $=
      ( vx vy ccrd cfv wceq crn wcel eqcom cv wbr wex wrel wb cvv con0 ax-mp id
      eqeltrdi syl cen crab cint cmpt mptrel df-card releqi mpbir relelrnb wfun
      wi funmpt2 funbrfv eqcomd eximi cardidm fveq2 3eqtr4a exlimiv wsbc biimpi
      cdm cardon onenon funfvbrb biimpd mpsyl breqtrd eqcoms csb sbcbr1g breq1d
      csbvarg bitrd mpbird spesbcd impbii oncard 3bitrri bitri ) ADEZAFZAWAFZAD
      GHZWAAIZWDBJZADKZBLZAWFDEZFZBLZWCDMZWDWHNWLBOCJWFUAKCPUBUCZUDZMBOWMUEDWNB
      CUFZUGUHBADUIQWHWKWGWJBWGWIADUJZWGWIAFUKBOWMDWOULZWFADUMQUNUOWKWBWHWJWBBW
      JWIDEWIWAAWFUPAWIDUQWJRURUSWBWGBAWBWGBAUTZAADKZWBAWAADWPWBADVBHZAWADKZWQW
      BAPHZWTWBAWAPWBWCWEVAAVCZSAVDTWPWTXAADVEVFVGWBRVHWBXBWRWSNXBAWAWCAWAPWCRX
      CSVIXBWRBAWFVJZADKWSBAWFADPVKXBXDAADBAPVMVLVNTVOVPTVQBAVRVSVT $.
  $}

  $( May move to main section after ~ iscard . $)

  ${
    $d A x $.
    $( Two ways to express the property of being a cardinal number.
       (Contributed by RP, 8-Nov-2023.) $)
    iscard5 $p |- ( ( card ` A ) = A
                    <-> ( A e. On /\ A. x e. A -. x ~~ A ) ) $=
      ( ccrd cfv wceq con0 wcel cv csdm wbr wral wa cen iscard sdomnen cdom wss
      wn onelss ssdomg imp wi brsdom biimpri a1i mpand impbid2 ralbidva pm5.32i
      syld bitri ) BCDBEBFGZAHZBIJZABKZLULUMBMJRZABKZLABNULUOUQULUNUPABULUMBGZL
      ZUNUPUMBOUSUMBPJZUPUNULURUTULURUMBQUTBUMSUMBFTUJUAUTUPLZUNUBUSUNVAUMBUCUD
      UEUFUGUHUIUK $.
  $}

  ${
    $d A x $.
    $( Let us define a cardinal number to be an element ` A e. On ` such that
       ` A ` is not equipotent with any ` x e. A ` .  (Contributed by RP,
       1-Oct-2023.) $)
    elrncard $p |- ( A e. ran card <-> ( A e. On /\ A. x e. A -. x ~~ A ) ) $=
      ( ccrd crn wcel cfv wceq con0 cv cen wbr wn wral iscard4 iscard5 bitr3i
      wa ) BCDEBCFBGBHEAIBJKLABMQBNABOP $.
  $}

  ${
    $d A x y $.
    $( ` ( har `` A ) ` is the least cardinal that is greater than ` A ` .
       (Contributed by RP, 4-Nov-2023.) $)
    harval3 $p |- ( A e. dom card -> ( har ` A )
                    = |^| { x e. ran card | A ~< x } ) $=
      ( vy ccrd wcel cfv cv csdm wbr con0 crab cint cab cvv vex a1i adantl wceq
      wa wi cdm char crn harval2 weq cen wn elrncard simplbi anim1i eleq1 breq2
      wral anbi12d syl5ibr ssidd intabssd inex1 oncardid ensymd sdomentr mpan2d
      cin wfun df-card funmpt2 onenon fvelrn sylancr jctild wb cardonle sseqin2
      simpl wss sylib eqtrd sylibrd expimpd inss1 eqssd df-rab inteqi 3eqtr4g
      syl ) BDUAZEZBUBFBCGZHIZCJKZLZBAGZHIZADUCZKZLZCBUDWGWHJEZWISZCMZLZWLWNEZW
      MSZAMZLZWKWPWGWTXDWGWRXBCAWLNWLNEWGAOPCAUEZXBWRTWGXBWRXEWLJEZWMSXAXFWMXAX
      FWHWLUFIZUGCWLUMCWLUHUIUJXEWQXFWIWMWHWLJUKWHWLBHULUNUOQWGWLUPUQWGXBWRACWH
      WHDFZVCZNXINEWGWHXHCOURPWLXIRZWRXBTWGXJWQWIXBXJWQSZWIXHWNEZBXHHIZSZXBWQWI
      XNTXJWQWIXMXLWQWIWHXHUFIZXMWQXHWHWHUSUTWIXOSXMTWQBWHXHVAPVBWQDVDWHWFEXLAN
      XGCJKLDACVEVFWHVGWHDVHVIVJQXKWLXHRZXBXNVKXKWLXIXHXJWQVNXKXHWHVOZXIXHRWQXQ
      XJWHVLQXHWHVMVPVQXPXAXLWMXMWLXHWNUKWLXHBHULUNWEVRVSQXIWHVOWGWHXHVTPUQWAWJ
      WSWICJWBWCWOXCWMAWNWBWCWDVQ $.
  $}

  ${
    $d A x $.
    $( For any ordinal number ` A ` let ` ( har `` A ) ` denote the least
       cardinal that is greater than ` A ` .  (Contributed by RP,
       4-Nov-2023.) $)
    harval3on $p |- ( A e. On -> ( har ` A )
                    = |^| { x e. ran card | A ~< x } ) $=
      ( con0 wcel ccrd cdm char cfv csdm wbr crn crab cint wceq onenon harval3
      cv syl ) BCDBEFDBGHBAQIJAEKLMNBOABPR $.
  $}

  $( May move to main section after ~ pr2ne . $)

  ${
    $d A x y $.
    $( A class is equinumerous to ordinal two iff it is a pair of distinct
       sets.  (Contributed by RP, 11-Oct-2023.) $)
    en2pr $p |- ( A ~~ 2o <-> E. x E. y ( A = { x , y } /\ x =/= y ) ) $=
      ( c2o cen wbr cv cpr wceq wex wa wne en2 pm4.71ri 19.41vv breq1 cvv pr2ne
      wb el2v bitrdi pm5.32i 2exbii 3bitr2i ) CDEFZCAGZBGZHZIZBJAJZUEKUIUEKZBJA
      JUIUFUGLZKZBJAJUEUJABCMNUIUEABOUKUMABUIUEULUIUEUHDEFZULCUHDEPUNULSABUFUGQ
      QRTUAUBUCUD $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( If an unordered pair is equinumerous to ordinal two, then both parts are
       sets.  (Contributed by RP, 8-Oct-2023.) $)
    pr2cv $p |- ( { A , B } ~~ 2o -> ( A e. _V /\ B e. _V ) ) $=
      ( vx vy cpr cv wceq wex c2o cen wbr cvv wcel wa en2 wi breq1 wne eqvisset
      vex wb pr2ne el2v biimpi w3a wo preq12nebg anim12i anim12ci jaoi mp3an12i
      syl6bi com12 eqcoms sylbid exlimivv mpcom ) ABEZCFZDFZEZGZDHCHURIJKZALMZB
      LMZNZCDUROVBVCVFPCDVBVCVAIJKZVFURVAIJQVGVFPVAURVGVAURGZVFUSLMZUTLMZVGUSUT
      RZVHVFPCTDTVGVKVGVKUACDUSUTLLUBUCUDVIVJVKUEVHUSAGZUTBGZNZUSBGZUTAGZNZUFVF
      USUTABLLUGVNVFVQVLVDVMVECASDBSUHVOVEVPVDCBSDASUIUJULUKUMUNUOUPUQ $.
  $}

  $( If an unordered pair is equinumerous to ordinal two, then a part is a
     member.  (Contributed by RP, 21-Oct-2023.) $)
  pr2el1 $p |- ( { A , B } ~~ 2o -> A e. { A , B } ) $=
    ( cpr c2o cen wbr cvv wcel pr2cv simpld prid1g syl ) ABCZDEFZAGHZAMHNOBGHAB
    IJABGKL $.

  $( If an unordered pair is equinumerous to ordinal two, then a part is a set.
     (Contributed by RP, 21-Oct-2023.) $)
  pr2cv1 $p |- ( { A , B } ~~ 2o -> A e. _V ) $=
    ( cpr c2o cen wbr cvv wcel pr2cv simpld ) ABCDEFAGHBGHABIJ $.

  $( If an unordered pair is equinumerous to ordinal two, then a part is a
     member.  (Contributed by RP, 21-Oct-2023.) $)
  pr2el2 $p |- ( { A , B } ~~ 2o -> B e. { A , B } ) $=
    ( cpr c2o cen wbr cvv wcel pr2cv prid2g simpl2im ) ABCZDEFAGHBGHBLHABIABGJK
    $.

  $( If an unordered pair is equinumerous to ordinal two, then a part is a set.
     (Contributed by RP, 21-Oct-2023.) $)
  pr2cv2 $p |- ( { A , B } ~~ 2o -> B e. _V ) $=
    ( cpr c2o cen wbr cvv wcel pr2cv simprd ) ABCDEFAGHBGHABIJ $.

  $( An unordered pair is equinumerous to ordinal two iff both parts are sets
     not equal to each other.  (Contributed by RP, 8-Oct-2023.) $)
  pren2 $p |- ( { A , B } ~~ 2o
                  <-> ( A e. _V /\ B e. _V /\ A =/= B ) ) $=
    ( cvv wcel wa cpr c2o cen wbr wne w3a pr2ne pm5.32i pm4.71ri df-3an 3bitr4i
    pr2cv ) ACDZBCDZEZABFGHIZETABJZEUARSUBKTUAUBABCCLMUATABQNRSUBOP $.

  $( If an unordered pair is equinumerous to ordinal two, then a part is an
     element of the difference of the pair and the singleton of the other part.
     (Contributed by RP, 21-Oct-2023.) $)
  pr2eldif1 $p |- ( { A , B } ~~ 2o -> A e. ( { A , B } \ { B } ) ) $=
    ( cpr c2o cen wbr cvv wcel wne w3a csn pren2 prid1g 3ad2ant1 nelsn 3ad2ant3
    cdif wn eldifd sylbi ) ABCZDEFAGHZBGHZABIZJZAUABKZQHABLUEAUAUFUBUCAUAHUDABG
    MNUDUBAUFHRUCABOPST $.

  $( If an unordered pair is equinumerous to ordinal two, then a part is an
     element of the difference of the pair and the singleton of the other part.
     (Contributed by RP, 21-Oct-2023.) $)
  pr2eldif2 $p |- ( { A , B } ~~ 2o -> B e. ( { A , B } \ { A } ) ) $=
    ( cpr c2o cen wbr cvv wcel wne w3a csn pren2 prid2g 3ad2ant2 wn necom nelsn
    cdif sylbi 3ad2ant3 eldifd ) ABCZDEFAGHZBGHZABIZJZBUBAKZRHABLUFBUBUGUDUCBUB
    HUEABGMNUEUCBUGHOZUDUEBAIUHABPBAQSTUAS $.

  ${
    sur0020.a $e |- ( ph -> A e. V ) $.
    sur0020.b $e |- ( ph -> B e. W ) $.
    sur0020.aneb $e |- ( ph -> A =/= B ) $.
    $( A pair of two distinct sets is equinumerous to ordinal two.
       (Contributed by RP, 21-Oct-2023.) $)
    pren2d $p |- ( ph -> { A , B } ~~ 2o ) $=
      ( cvv wcel wne cpr c2o cen wbr elexd pren2 syl3anbrc ) ABIJCIJBCKBCLMNOAB
      DFPACEGPHBCQR $.
  $}

  $( May move to main section after ~ alephsuc . $)

  $( ` ( aleph `` 1o ) ` is the least uncountable ordinal.  (Contributed by RP,
     18-Nov-2023.) $)
  aleph1min $p |- ( aleph ` 1o ) = |^| { x e. On | _om ~< x } $=
    ( c1o cale cfv c0 csuc com cv csdm wbr con0 crab cint fveq2i char wcel wceq
    df-1o ax-mp eqtri 0elon alephsuc aleph0 ccrd cdm omelon onenon harval2 ) BC
    DEFZCDZGAHIJAKLMZBUICRNUJGODZUKUJECDZODZULEKPUJUNQUAEUBSUMGOUCNTGUDUEPZULUK
    QGKPUOUFGUGSAGUHSTT $.

  $( May move to main section after ~ alephiso . $)

  ${
    $d x y z $.
    $( ` aleph ` is a strictly order-preserving mapping of ` On ` onto the
       class of all infinite cardinal numbers.  (Contributed by RP,
       18-Nov-2023.) $)
    alephiso2 $p |- aleph Isom _E , ~< ( On , { x e. ran card | _om C_ x } ) $=
      ( vy vz con0 cv ccrd cfv wceq wa cab cep cale wiso csdm wf1o wb wral wcel
      wbr df-isom com wss crn crab alephiso iscard4 anbi1ci abbii df-rab eqtr4i
      f1oeq3 ax-mp wel alephon epelg alephord2 alephord 3bitr2d bibi2d ralbidva
      mp1i ralbiia anbi12i 3bitr4i mpbi ) DUAAEZUBZVFFGVFHZIZAJZKKLMZDVGAFUCZUD
      ZKNLMZAUEDVJLOZBEZCEZKSZVPLGZVQLGZKSZPZCDQZBDQZIDVMLOZVRVSVTNSZPZCDQZBDQZ
      IVKVNVOWEWDWIVJVMHVOWEPVJVFVLRZVGIZAJVMVIWKAVHWJVGVFUFUGUHVGAVLUIUJVJVMDL
      UKULWCWHBDVPDRZWBWGCDWLVQDRIZWAWFVRWMWAVSVTRZBCUMWFVTDRWAWNPWMVQUNVSVTDUO
      VAVPVQUPVPVQUQURUSUTVBVCBCDVJKKLTBCDVMKNLTVDVE $.
  $}

  ${
    $d x y $.
    $( ` aleph ` is a strictly order-preserving mapping of ` On ` onto the
       class of all infinite cardinal numbers.  (Contributed by RP,
       18-Nov-2023.) $)
    alephiso3 $p |- aleph Isom _E , ~< ( On , ( ran card \ _om ) ) $=
      ( vx vy con0 com wss ccrd crn crab cep csdm cale wiso cdif alephiso2 wceq
      cv wb wcel wn omelon cen wbr wral elrncard simplbi ontri1 sylancr rabbiia
      dfdif2 eqtr4i isoeq5 ax-mp mpbi ) CDAPZEZAFGZHZIJKLZCUPDMZIJKLZANUQUSOURU
      TQUQUNDRSZAUPHUSUOVAAUPUNUPRZDCRUNCRZUOVAQTVBVCBPUNUAUBSBUNUCBUNUDUEDUNUF
      UGUHAUPDUIUJCUQUSIJKUKULUM $.
  $}

  $( May move to main section after ~ infdjuabs . $)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Infinite Sets
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x A $.  $d x B $.
    $( The powerclass is an element of a class closed under union and
       powerclass operations iff the element is a member of that class.
       (Contributed by RP, 21-Mar-2020.) $)
    pwelg $p |- ( A. x e. B ( U. x e. B /\ ~P x e. B )
                  -> ( A e. B <-> ~P A e. B ) ) $=
      ( cv cuni wcel cpw wa wral simpr ralimi wceq pweq eleq1d rspccv syl simpl
      wi unieq unipw eqtrdi impbid ) ADZEZCFZUCGZCFZHZACIZBCFZBGZCFZUIUGACIUJUL
      RUHUGACUEUGJKUGULABCUCBLUFUKCUCBMNOPUIUEACIULUJRUHUEACUEUGQKUEUJAUKCUCUKL
      ZUDBCUMUDUKEBUCUKSBTUANOPUB $.

    $( The powerclass of an infinite set is an infinite set, and vice-versa.
       Here ` B ` is a class which is closed under both the union and the
       powerclass operations and which may have infinite sets as members.
       (Contributed by RP, 21-Mar-2020.) $)
    pwinfig $p |- ( A. x e. B ( U. x e. B /\ ~P x e. B )
                  -> ( A e. ( B \ Fin ) <-> ~P A e. ( B \ Fin ) ) ) $=
      ( cv cuni wcel cpw wa wral cfn wn cdif pwelg wb pwfi notbii anbi12d eldif
      a1i 3bitr4g ) ADZECFUAGCFHACIZBCFZBJFZKZHBGZCFZUFJFZKZHBCJLZFUFUJFUBUCUGU
      EUIABCMUEUINUBUDUHBOPSQBCJRUFCJRT $.
  $}

  ${
    $d x y U $.  $d x A $.
    $( The powerclass of an infinite set is an infinite set, and vice-versa.
       Here ` U ` is a weak universe.  (Contributed by RP, 21-Mar-2020.) $)
    pwinfi2 $p |- ( U e. WUni
                  -> ( A e. ( U \ Fin ) <-> ~P A e. ( U \ Fin ) ) ) $=
      ( vx vy cwun wcel wtr c0 wne cv cuni cpw cpr wral w3a wa cfn cdif iswun
      wb ibi 3simpa ralimi 3ad2ant3 pwinfig 3syl ) BEFZBGZBHIZCJZKBFZUJLBFZUJDJ
      MBFDBNZOZCBNZOZUKULPZCBNZABQRZFALUSFTUGUPCDBESUAUOUHURUIUNUQCBUKULUMUBUCU
      DCABUEUF $.
  $}

  ${
    $d x T $.  $d x A $.
    $( The powerclass of an infinite set is an infinite set, and vice-versa.
       Here ` T ` is a transitive Tarski universe.  (Contributed by RP,
       21-Mar-2020.) $)
    pwinfi3 $p |- ( ( T e. Tarski /\ Tr T )
                  -> ( A e. ( T \ Fin ) <-> ~P A e. ( T \ Fin ) ) ) $=
      ( vx ctsk wcel wtr wa cv cuni cpw wral cfn cdif wb tskuni 3expia wi tskpw
      ex adantr jcad ralrimiv pwinfig syl ) BDEZBFZGZCHZIBEZUHJBEZGZCBKABLMZEAJ
      ULENUGUKCBUGUHBEZUIUJUEUFUMUIUHBOPUEUMUJQUFUEUMUJUHBRSTUAUBCABUCUD $.
  $}

  ${
    $d x A $.
    $( The powerclass of an infinite set is an infinite set, and vice-versa.
       (Contributed by RP, 21-Mar-2020.) $)
    pwinfi $p |- ( A e. ( _V \ Fin ) <-> ~P A e. ( _V \ Fin ) ) $=
      ( vx cv cuni cvv wcel cpw wa wral cfn cdif wb vuniex vpwex pm3.2i pwinfig
      rgenw ax-mp ) BCZDEFZSGEFZHZBEIAEJKZFAGUCFLUBBETUABMBNOQBAEPR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Finite intersection property
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  While there is not yet a definition, the finite intersection property of a
  class is introduced by ~ fiint where two textbook definitions are shown to
  be equivalent.

  This property is seen often with ordinal numbers ( ~ onin , ~ ordelinel ),
  chains of sets ordered by the proper subset relation ( ~ sorpssin ), various
  sets in the field of topology ( ~ inopn , ~ incld , ~ innei , ... ) and
  "universal" classes like weak universes ( ~ wunin , ~ tskin ) and the class
  of all sets ( ~ inex1g ).

$)

  ${
    $d u v x y A $.
    $( A definition of the finite intersection property of a class based on
       closure under pairwise intersection of its elements is independent of
       the dummy variables.  (Contributed by RP, 1-Jan-2020.) $)
    fipjust $p |- ( A. u e. A A. v e. A ( u i^i v ) e. A
                    <-> A. x e. A A. y e. A ( x i^i y ) e. A ) $=
      ( cv cin wcel weq ineq1 eleq1d ineq2 cbvral2vw ) DFZCFZGZEHAFZBFZGZEHQOGZ
      EHDCABEEDAIPTENQOJKCBITSEORQLKM $.
  $}

  ${
    $d z ps $.  $d z ch $.  $d z th $.  $d x y z $.  $d y V $.  $d z R $.
    cllem0.v $e |- V = { z | ph } $.
    cllem0.rex $e |- R e. U $.
    cllem0.r $e |- ( z = R -> ( ph <-> ps ) ) $.
    cllem0.x $e |- ( z = x -> ( ph <-> ch ) ) $.
    cllem0.y $e |- ( z = y -> ( ph <-> th ) ) $.
    cllem0.closed $e |- ( ( ch /\ th ) -> ps ) $.
    $( The class of all sets with property ` ph ( z ) ` is closed under the
       binary operation on sets defined in ` R ( x , y ) ` .  (Contributed by
       RP, 3-Jan-2020.) $)
    cllem0 $p |- A. x e. V A. y e. V R e. V $=
      ( wcel wral elab2 ralbii cv wi wal elexi df-ral 3bitri syl2anb ex alrimiv
      vex mpgbir ) HJQZFJRZEJRZEUAZJQZFUAZJQZBUBZFUCZUBZEUNBFJRZEJRUTEJRVAEUCUM
      VBEJULBFJABGHJHILUDMKSTTVBUTEJBFJUETUTEJUEUFUPUSFUPURBUPCDBURACGUOJEUJNKS
      ADGUQJFUJOKSPUGUHUIUK $.
  $}

  ${
    $d x y z $.  $d y A $.  $d z B $.
    superficl.a $e |- A = { z | B C_ z } $.
    $( The class of all supersets of a class has the finite intersection
       property.  (Contributed by RP, 1-Jan-2020.)  (Proof shortened by RP,
       3-Jan-2020.) $)
    superficl $p |- A. x e. A A. y e. A ( x i^i y ) e. A $=
      ( cv wss cin cvv vex inex1 sseq2 wa ssin biimpi cllem0 ) ECGZHEAGZBGZIZHZ
      ESHZETHZABCUAJDFSTAKLRUAEMRSEMRTEMUCUDNUBESTOPQ $.

    $( The class of all supersets of a class is closed under binary union.
       (Contributed by RP, 3-Jan-2020.) $)
    superuncl $p |- A. x e. A A. y e. A ( x u. y ) e. A $=
      ( cv wss cun cvv vex unex sseq2 ssun3 adantr cllem0 ) ECGZHEAGZBGZIZHZERH
      ZESHZABCTJDFRSAKBKLQTEMQREMQSEMUBUAUCERSNOP $.
  $}

  ${
    $d x y z $.  $d y A $.  $d z B $.
    $( N.B. This hypothesis is same as the power class of B. $)
    ssficl.a $e |- A = { z | z C_ B } $.
    $( The class of all subsets of a class has the finite intersection
       property.  (Contributed by RP, 1-Jan-2020.)  (Proof shortened by RP,
       3-Jan-2020.) $)
    ssficl $p |- A. x e. A A. y e. A ( x i^i y ) e. A $=
      ( cv wss cin cvv vex inex1 sseq1 ssinss1 adantr cllem0 ) CGZEHAGZBGZIZEHZ
      REHZSEHZABCTJDFRSAKLQTEMQREMQSEMUBUAUCRSENOP $.

    $( The class of all subsets of a class is closed under binary union.
       (Contributed by RP, 3-Jan-2020.) $)
    ssuncl $p |- A. x e. A A. y e. A ( x u. y ) e. A $=
      ( cv wss cun cvv vex unex sseq1 wa unss biimpi cllem0 ) CGZEHAGZBGZIZEHZS
      EHZTEHZABCUAJDFSTAKBKLRUAEMRSEMRTEMUCUDNUBSTEOPQ $.

    $( The class of all subsets of a class is closed under class difference.
       (Contributed by RP, 3-Jan-2020.) $)
    ssdifcl $p |- A. x e. A A. y e. A ( x \ y ) e. A $=
      ( cv wss cdif cvv vex difexi sseq1 ssdifss adantr cllem0 ) CGZEHAGZBGZIZE
      HZREHZSEHZABCTJDFRSAKLQTEMQREMQSEMUBUAUCRESNOP $.

    $( The class of all subsets of a class is closed under symmetric
       difference.  (Contributed by RP, 3-Jan-2020.) $)
    sssymdifcl $p |- A. x e. A A. y e. A ( ( x \ y ) u. ( y \ x ) ) e. A $=
      ( cv wss cdif cun cvv vex difexi unex sseq1 ssdifss wa unss biimpi syl2an
      cllem0 ) CGZEHAGZBGZIZUDUCIZJZEHZUCEHZUDEHZABCUGKDFUEUFUCUDALMUDUCBLMNUBU
      GEOUBUCEOUBUDEOUIUEEHZUFEHZUHUJUCEUDPUDEUCPUKULQUHUEUFERSTUA $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y ph $.
    fiinfi.a $e |- ( ph -> A. x e. A A. y e. A ( x i^i y ) e. A ) $.
    fiinfi.b $e |- ( ph -> A. x e. B A. y e. B ( x i^i y ) e. B ) $.
    fiinfi.c $e |- ( ph -> C = ( A i^i B ) ) $.
    $( If two classes have the finite intersection property, then so does their
       intersection.  (Contributed by RP, 1-Jan-2020.) $)
    fiinfi $p |- ( ph -> A. x e. C A. y e. C ( x i^i y ) e. C ) $=
      ( cv cin wcel wral elinel1 imim1i ralimi2 imim12i syl ralbidv mpbird elin
      wa elinel2 r19.26-2 sylanbrc 2ralbii sylibr eleq2d raleqdv ) ABJZCJZKZFLZ
      CFMZBFMUNBDEKZMZAUPUMCUOMZBUOMZAURULUOLZCUOMZBUOMZAULDLZULELZUBZCUOMBUOMZ
      VAAVBCUOMZBUOMZVCCUOMZBUOMZVEAVBCDMZBDMVGGVJVFBDUOUJUOLZUJDLVJVFUJDENVBVB
      CDUOUKUOLZUKDLVBUKDENOPQPRAVCCEMZBEMVIHVMVHBEUOVKUJELVMVHUJDEUCVCVCCEUOVL
      UKELVCUKDEUCOPQPRVBVCBCUOUOUDUEUSVDBCUOUOULDEUAUFUGAUQUTBUOAUMUSCUOAFUOUL
      IUHSSTAUNUQBUOAUMCFUOIUISTAUNBFUOIUIT $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  RP ADDTO: Subclasses and subsets
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( AFTER 11928 rabssab $)

  ${
    $d y ph $.  $d y A $.  $d x y $.
    $( Condition when restricted class is equal to unrestricted class.
       (Contributed by RP, 13-Aug-2020.) $)
    rababg $p |- ( A. x ( ph -> x e. A ) <-> { x e. A | ph } = { x | ph } ) $=
      ( vy cv wcel wi wal wa cab crab wceq ancrb albii nfv nfsab1 nfrab1 eleq1w
      bitr3id wss nfcri nfim weq abid rabid imbi12d cbvalv1 eqss biantrur dfss2
      rabssab 3bitr2ri 3bitri ) ABEZCFZGZBHAUOAIZGZBHDEZABJZFZUSABCKZFZGZDHZVBU
      TLZUPURBAUOMNURVDBDURDOVAVCBABDPBDVBABCQUAUBBDUCZAVAUQVCAUNUTFVGVAABUDBDU
      TRSUQUNVBFVGVCABCUEBDVBRSUFUGVFVBUTTZUTVBTZIVIVEVBUTUHVHVIABCUKUIDUTVBUJU
      LUM $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  RP ADDTO: The intersection of a class
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( AFTER 14085 elintg $)

  ${
    $d y ph $.  $d x y A $.
    $( Two ways of saying a set is an element of the intersection of a class.
       (Contributed by RP, 13-Aug-2020.) $)
    elintabg $p |- ( A e. V -> ( A e. |^| { x | ph }
                                 <-> A. x ( ph -> A e. x ) ) ) $=
      ( vy wcel cab cint cv wral wi wal elintg eleq2w ralab2 bitrdi ) CDFCABGZH
      FCEIFZEQJACBIFZKBLECQDMARSEBEBCNOP $.
  $}

  ${
    $d x A $.
    $( Two ways of saying a set is an element of the intersection of a class
       with the intersection of a class.  (Contributed by RP, 13-Aug-2020.) $)
    elinintab $p |- ( A e. ( B i^i |^| { x | ph } )
                      <-> ( A e. B /\ A. x ( ph -> A e. x ) ) ) $=
      ( cab cint cin wcel wa cv wi wal elin elintabg pm5.32i bitri ) CDABEFZGHC
      DHZCQHZIRACBJHKBLZICDQMRSTABCDNOP $.
  $}

  $( AFTER 14110 elintrabg $)

  ${
    elmapintrab.ex $e |- C e. _V $.
    elmapintrab.sub $e |- C C_ B $.

    $d w ph $.  $d w x A $.  $d w x B $.  $d w C $.
    $( Two ways to say a set is an element of the intersection of a class of
       images.  (Contributed by RP, 16-Aug-2020.) $)
    elmapintrab $p |- ( A e. V
                        -> ( A e. |^| { w e. ~P B | E. x ( w = C /\ ph ) }
                             <-> ( ( E. x ph -> A e. B )
                                   /\ A. x ( ph -> A e. C ) ) ) ) $=
      ( wcel wa wex wi wal bitrdi wss 19.23v bi2.04 albii 3bitri wceq crab cint
      cv wral elintrabg df-ral velpw bicomi imbi12i 19.21v impexp bitri 3bitr2i
      cpw alcom sseq1 eleq2 sseli pm4.71ri imbi12d imbi2d ceqsalv wb pm5.5 jcab
      ax-mp 19.26 anbi1i ) DGJZDCUDZFUAZAKZBLZCEUOZUBUCJZVKVOJZVNDVKJZMZMZCNZAB
      LDEJZMZADFJZMZBNZKZVJVPVSCVOUEWAVNCDVOGUFVSCVOUGOWAVLAVKEPZVRMZMZMZBNZCNW
      KCNZBNZWGVTWLCVTWHVMVRMZBNZMWHWOMZBNWLVQWHVSWPCEUHWPVSVMVRBQUIUJWHWOBUKWQ
      WKBWQVMWIMWKWHVMVRRVLAWIULUMSUNSWKCBUPWNAWBMZWEKZBNWRBNZWFKWGWMWSBWMAFEPZ
      WBWDKZMZMZXAAXBMZMZWSWJXDCFHVLWIXCAVLWHXAVRXBVKFEUQVLVRWDXBVKFDURWDWBFEDI
      USUTOVAVBVCAXAXBRXFXEWSXAXFXEVDIXAXEVEVGAWBWDVFUMTSWRWEBVHWTWCWFAWBBQVITT
      O $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  RP ADDTO: Theorems requiring subset and intersection existence
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( AFTER 15376 inex2 $)

  ${
    $d w ph $.  $d w x A $.  $d w x B $.
    $( Two ways of saying a set is an element of the intersection of a class
       with the intersection of a class.  (Contributed by RP, 14-Aug-2020.) $)
    elinintrab $p |- ( A e. V
                       -> ( A e. |^| { w e. ~P B
                                       | E. x ( w = ( B i^i x ) /\ ph ) }
                            <-> ( ( E. x ph -> A e. B )
                                  /\ A. x ( ph -> A e. x ) ) ) ) $=
      ( wcel cv cin wceq wa wex cpw crab cint wi wal vex inex2 bitri inss1 elin
      elmapintrab imbi2i jcab albii 19.26 19.23v anbi1i anbi2i anabs5 bitrdi )
      DFGDCHEBHZIZJAKBLCEMNOGABLDEGZPZADUNGZPZBQZKZUPADUMGZPZBQZKZABCDEUNFUMEBR
      SEUMUAUCUTUPVDKVDUSVDUPUSAUOPZVBKZBQZVDURVFBURAUOVAKZPVFUQVHADEUMUBUDAUOV
      AUETUFVGVEBQZVCKVDVEVBBUGVIUPVCAUOBUHUITTUJUPVCUKTUL $.
  $}

  ${
    $d u w ph $.  $d u w x A $.
    $( Upper bound on intersection of class and the intersection of a class.
       (Contributed by RP, 13-Aug-2020.) $)
    inintabss $p |- ( A i^i |^| { x | ph } )
                      C_ |^| { w e. ~P A |
                            E. x ( w = ( A i^i x ) /\ ph ) } $=
      ( vu cab cint cin cv wceq wa wex cpw crab wcel wel wi wal ax-1 anim1i cvv
      elinintab wb elinintrab elv 3imtr4i ssriv ) EDABFGHZCIDBIHJAKBLCDMNGZEIZD
      OZAEBPQBRZKABLZUKQZULKZUJUHOUJUIOZUKUNULUKUMSTABUJDUBUPUOUCEABCUJDUAUDUEU
      FUG $.
  $}

  ${
    inintabd.x $e |- ( ph -> E. x ps ) $.
    $d u ph $.  $d u w ps $.  $d u w x A $.
    $( Value of the intersection of class with the intersection of a nonempty
       class.  (Contributed by RP, 13-Aug-2020.) $)
    inintabd $p |- ( ph -> ( A i^i |^| { x | ps } )
                    = |^| { w e. ~P A | E. x ( w = ( A i^i x ) /\ ps ) } ) $=
      ( vu cab cint cin cv wceq wa wex cpw crab wcel wel wi wb wal pm5.5 bicomd
      syl anbi1d elinintab cvv elinintrab elv 3bitr4g eqrdv ) AGEBCHIJZDKECKJLB
      MCNDEOPIZAGKZEQZBGCRSCUAZMBCNZUOSZUPMZUNULQUNUMQZAUOURUPAURUOAUQURUOTFUQU
      OUBUDUCUEBCUNEUFUTUSTGBCDUNEUGUHUIUJUK $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  RP ADDTO: Relations
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( AFTER 16786 cxp $)

  ${
    xpinintabd.x $e |- ( ph -> E. x ps ) $.
    $d w ps $.  $d w x A $.  $d w x B $.

    $( Value of the intersection of Cartesian product with the intersection of
       a nonempty class.  (Contributed by RP, 12-Aug-2020.) $)
    xpinintabd $p |- ( ph -> ( ( A X. B ) i^i |^| { x | ps } )
                    = |^| { w e. ~P ( A X. B ) |
                            E. x ( w = ( ( A X. B ) i^i x ) /\ ps ) } ) $=
      ( cxp inintabd ) ABCDEFHGI $.
  $}

  $( AFTER 17081 releq $)

  $( If the intersection of a class is a relation, then the class is nonempty.
     (Contributed by RP, 12-Aug-2020.) $)
  relintabex $p |- ( Rel |^| { x | ph } -> E. x ph ) $=
    ( cab cint wrel cvv wcel wex wn wceq intnex nrelv releq sylbi con4i intexab
    mtbiri sylibr ) ABCZDZEZTFGZABHUBUAUBITFJZUAISKUCUAFELTFMQNOABPR $.

  $( AFTER 18222 cnvcnv $)

  ${
    $d x A $.
    $( Two ways of saying a set is an element of the converse of the converse
       of the intersection of a class.  (Contributed by RP, 20-Aug-2020.) $)
    elcnvcnvintab $p |- ( A e. `' `' |^| { x | ph }
                          <-> ( A e. ( _V X. _V )
                                /\ A. x ( ph -> A e. x ) ) ) $=
      ( cab cint ccnv cvv cxp cin cv wi wal cnvcnv incom eqtri eleq2i elinintab
      wcel wa bitri ) CABDEZFFZRCGGHZUAIZRCUCRACBJRKBLSUBUDCUBUAUCIUDUAMUAUCNOP
      ABCUCQT $.
  $}

  ${
    $d w ph $.  $d w x $.
    $( Value of the intersection of a class when it is a relation.
       (Contributed by RP, 12-Aug-2020.) $)
    relintab $p |- ( Rel |^| { x | ph } -> |^| { x | ph }
                   = |^| { w e. ~P ( _V X. _V ) |
                           E. x ( w = `' `' x /\ ph ) } ) $=
      ( cab cint wrel ccnv cvv cxp cin cv wceq wex cpw crab cnvcnv incom dfrel2
      wa eqtri biimpi relintabex xpinintabd eqtr4i eqeq2i anbi1i rabbii 3eqtr3a
      exbii inteqi eqtrdi ) ABDEZFZULGGZHHIZULJZULCKZBKZGGZLZASZBMZCUONZOZEZUNU
      LUOJUPULPULUOQTUMUNULLULRUAUMUPUQUOURJZLZASZBMZCVCOZEVEUMABCHHABUBUCVJVDV
      IVBCVCVHVABVGUTAVFUSUQVFURUOJUSUOURQURPUDUEUFUIUGUJUKUH $.
  $}

  $( AFTER 18222 cnvcnv $)

  $( A non-relation is equal to the base class with all ordered pairs removed.
     (Contributed by RP, 25-Oct-2020.) $)
  nonrel $p |- ( A \ `' `' A ) = ( A \ ( _V X. _V ) ) $=
    ( ccnv cdif cvv cxp cin cnvcnv difeq2i difin eqtri ) AABBZCAADDEZFZCALCKMAA
    GHALIJ $.

  $( Only an ordered pair where not both entries are sets could be an element
     of the non-relation part of class.  (Contributed by RP, 25-Oct-2020.) $)
  elnonrel $p |- ( <. X , Y >. e. ( A \ `' `' A )
                   <-> ( (/) e. A /\ -. ( X e. _V /\ Y e. _V ) ) ) $=
    ( cop ccnv cdif wcel cvv cxp c0 wa nonrel eleq2i eldif opelxp notbii anbi2i
    wn opprc bitri eleq1d pm5.32ri ) BCDZAAEEFZGUCAHHIZFZGZJAGZBHGCHGKZRZKZUDUF
    UCALMUGUCAGZUCUEGZRZKZUKUCAUENUOULUJKUKUNUJULUMUIBCHHOPQUJULUHUJUCJABCSUAUB
    TTT $.

  $( AFTER 18224 cnvcnvss $)

  $( Subclass theorem for converse.  (Contributed by RP, 22-Oct-2020.) $)
  cnvssb $p |- ( Rel A -> ( A C_ B <-> `' A C_ `' B ) ) $=
    ( wrel wss ccnv cnvss wa dfrel2 biimpi eqcomd adantr cnvcnvss sstrdi adantl
    wceq id eqsstrd ex syl5 impbid2 ) ACZABDZAEZBEZDZABFUEUCEZUDEZDZUAUBUCUDFUA
    UHUBUAUHGAUFBUAAUFOUHUAUFAUAUFAOAHIJKUHUFBDUAUHUFUGBUHPBLMNQRST $.

  $( The non-relation part of a relation is empty.  (Contributed by RP,
     22-Oct-2020.) $)
  relnonrel $p |- ( Rel A <-> ( A \ `' `' A ) = (/) ) $=
    ( wrel ccnv wss wa cdif c0 wceq dfrel2 eqss bitri cnvcnvss biantrur 3bitr2i
    ssdif0 ) ABZACCZADZAQDZEZSAQFGHPQAHTAIQAJKRSALMAQON $.

  $( The converse of the non-relation part of a class is empty.  (Contributed
     by RP, 18-Oct-2020.) $)
  cnvnonrel $p |- `' ( A \ `' `' A ) = (/) $=
    ( ccnv cdif c0 cnvdif wrel wceq relcnv relnonrel mpbi eqtri ) AABZBZCBLMBCZ
    DAMELFNDGAHLIJK $.

  $( A non-relation cannot relate any two classes.  (Contributed by RP,
     23-Oct-2020.) $)
  brnonrel $p |- ( ( X e. U /\ Y e. V ) -> -. X ( A \ `' `' A ) Y ) $=
    ( wcel wa ccnv cdif wbr c0 br0 brcnvg ancoms cnvnonrel breqi bitr3di mtbiri
    wb ) DBFZECFZGZDEAAHHIZJZEDKJZEDLUBEDUCHZJZUDUEUATUGUDSEDCBUCMNEDUFKAOPQR
    $.

  $( The domain of the non-relation part of a class is empty.  (Contributed by
     RP, 22-Oct-2020.) $)
  dmnonrel $p |- dom ( A \ `' `' A ) = (/) $=
    ( ccnv cdif cdm crn c0 dfdm4 cnvnonrel rneqi rn0 3eqtri ) AABBCZDLBZEFEFLGM
    FAHIJK $.

  $( The range of the non-relation part of a class is empty.  (Contributed by
     RP, 22-Oct-2020.) $)
  rnnonrel $p |- ran ( A \ `' `' A ) = (/) $=
    ( ccnv cdif cdm c0 wceq crn dmnonrel dm0rn0 mpbi ) AABBCZDEFKGEFAHKIJ $.

  $( A restriction of the non-relation part of a class is empty.  (Contributed
     by RP, 22-Oct-2020.) $)
  resnonrel $p |- ( ( A \ `' `' A ) |` B ) = (/) $=
    ( ccnv cdif cres c0 wss wceq cvv ssres2 ax-mp cnvnonrel cnveqi cnvcnv2 cnv0
    ssv 3eqtr3i sseqtri ss0b mpbi ) AACCDZBEZFGUBFHUBUAIEZFBIGUBUCGBPBIUAJKUACZ
    CFCUCFUDFALMUANOQRUBST $.

  $( An image under the non-relation part of a class is empty.  (Contributed by
     RP, 22-Oct-2020.) $)
  imanonrel $p |- ( ( A \ `' `' A ) " B ) = (/) $=
    ( ccnv cdif cima cres crn c0 df-ima resnonrel rneqi rn0 3eqtri ) AACCDZBENB
    FZGHGHNBIOHABJKLM $.

  $( AFTER 18346 co02 $)

  $( Composition with the non-relation part of a class is empty.  (Contributed
     by RP, 22-Oct-2020.) $)
  cononrel1 $p |- ( ( A \ `' `' A ) o. B ) = (/) $=
    ( ccnv cdif ccom cnvco cnvnonrel coeq2i co02 3eqtri cnveqi wrel wceq dfrel2
    c0 relco mpbi cnv0 3eqtr3i ) AACCDZBEZCZCZOCUAOUBOUBBCZTCZEUDOEOTBFUEOUDAGH
    UDIJKUALUCUAMTBPUANQRS $.

  $( AFTER 18347 co01 $)

  $( Composition with the non-relation part of a class is empty.  (Contributed
     by RP, 22-Oct-2020.) $)
  cononrel2 $p |- ( A o. ( B \ `' `' B ) ) = (/) $=
    ( ccnv cdif ccom cnvco cnvnonrel coeq1i co01 3eqtri cnveqi wrel wceq dfrel2
    c0 relco mpbi cnv0 3eqtr3i ) ABBCCDZEZCZCZOCUAOUBOUBTCZACZEOUEEOATFUDOUEBGH
    UEIJKUALUCUAMATPUANQRS $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  RP ADDTO: Functions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  See also ~ idssxp by Thierry Arnoux.

$)

  $( AFTER 18872 fnresi $)

  $(
  %( A diagonal set as a subset of a Cartesian product.  (Contributed by
     Thierry Arnoux, 29-Dec-2019.) %)
  idssxp $p |- ( _I |` A ) C_ ( A X. A ) $=
    ( cid cres cdm crn cxp wfn wss fnresi fnrel relssdmrn dmresi rnresi xpeq12i
    wrel mp2b sseqtri ) BACZRDZREZFZAAFRAGRORUAHAIARJRKPSATAALAMNQ $.
  $)

  $( AFTER 19314 fvex $)

  ${
    elmapintab.1 $e |- ( A e. B
                         <-> ( A e. C /\ ( F ` A ) e. |^| { x | ph } ) ) $.
    elmapintab.2 $e |- ( A e. E <-> ( A e. C /\ ( F ` A ) e. x ) ) $.
    $d x A $.  $d x C $.  $d x F $.
    $( Two ways to say a set is an element of mapped intersection of a class.
       Here ` F ` maps elements of ` C ` to elements of ` |^| { x | ph } ` or
       ` x ` .  (Contributed by RP, 19-Aug-2020.) $)
    elmapintab $p |- ( A e. B <-> ( A e. C /\ A. x ( ph -> A e. E ) ) ) $=
      ( wcel cfv cab cint wa cv wi wal fvex elintab anbi2i baibr imbi2d pm5.32i
      albidv 3bitri ) CDJCEJZCGKZABLMJZNUFAUGBOJZPZBQZNUFACFJZPZBQZNHUHUKUFABUG
      CGRSTUFUKUNUFUJUMBUFUIULAULUFUIIUAUBUDUCUE $.
  $}

  $( AFTER 19354 fvrn0 $)

  $( The function value of any class under a non-relation is empty.
     (Contributed by RP, 23-Oct-2020.) $)
  fvnonrel $p |- ( ( A \ `' `' A ) ` X ) = (/) $=
    ( ccnv cdif cfv c0 csn wcel wceq crn cun fvrn0 wss rnnonrel eqsstri ssequn1
    0ss mpbi eleqtri fvex elsn ) BAACCDZEZFGZHUCFIUCUBJZUDKZUDUBBLUEUDMUFUDIUEF
    UDANUDQOUEUDPRSUCFBUBTUAR $.

  $( AFTER 19465 fvi $)

  $( Two ways to say a set is a member of an intersection.  (Contributed by RP,
     19-Aug-2020.) $)
  elinlem $p |- ( A e. ( B i^i C ) <-> ( A e. B /\ ( _I ` A ) e. C ) ) $=
    ( cin wcel wa cid cfv elin fvi eqcomd eleq1d pm5.32i bitri ) ABCDEABEZACEZF
    OAGHZCEZFABCIOPROAQCOQAABJKLMN $.

  $( Two ways to say a set is a member of the converse of the converse of a
     class.  (Contributed by RP, 20-Aug-2020.) $)
  elcnvcnvlem $p |- ( A e. `' `' B <-> ( A e. ( _V X. _V )
                                           /\ ( _I ` A ) e. B ) ) $=
    ( ccnv wcel cvv cxp cin cid cfv wa cnvcnv incom eqtri eleq2i elinlem bitri
    ) ABCCZDAEEFZBGZDARDAHIBDJQSAQBRGSBKBRLMNARBOP $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  RP ADDTO: Finite induction (for finite ordinals)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Original probably needs new subsection for Relation-related existence
  theorems.

$)

  $( AFTER 23510 cnvexg $)

  ${
    cnvcnvintabd.x $e |- ( ph -> E. x ps ) $.
    $d y ph $.  $d w y ps $.  $d w x y $.
    $( Value of the relationship content of the intersection of a class.
       (Contributed by RP, 20-Aug-2020.) $)
    cnvcnvintabd $p |- ( ph -> `' `' |^| { x | ps }
                         = |^| { w e. ~P ( _V X. _V )
                         | E. x ( w = `' `' x /\ ps ) } ) $=
      ( vy cab cint ccnv cv wa wex cvv wcel wi wal syl5bb bicomd wb cnvexg wceq
      cxp cpw crab wel cin cnvcnv eleq2i elin rbaib imbi2d albidv pm5.32i pm5.5
      syl anbi1d elcnvcnvintab vex mp2b wrel wss relcnv df-rel mpbi elmapintrab
      elv 3bitr4g eqrdv ) AFBCGHIIZDJCJZIZIZUABKCLDMMUBZUCUDHZAFJZVMNZBFCUEZOZC
      PZKZBCLZVPOZBVOVLNZOZCPZKZVOVINVOVNNZVTVPWEKAWFVPVSWEVPVRWDCVPVQWCBVPWCVQ
      WCVOVJVMUFZNZVPVQVLWHVOVJUGUHWIVQVPVOVJVMUIUJQRUKULUMAVPWBWEAWBVPAWAWBVPS
      EWAVPUNUORUPQBCVOUQWGWFSFBCDVOVMVLMVJMNVKMNVLMNCURVJMTVKMTUSVLUTVLVMVAVKV
      BVLVCVDVEVFVGVH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  RP ADDTO: First and second members of an ordered pair
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( AFTER 23778 op2ndd $)

  ${
    elcnvlem.f $e |- F = ( x e. ( _V X. _V )
                           |-> <. ( 2nd ` x ) , ( 1st ` x ) >. ) $.
    $d u v A $.  $d u v B $.  $d u v F $.  $d u v x $.
    $( Two ways to say a set is a member of the converse of a class.
       (Contributed by RP, 19-Aug-2020.) $)
    elcnvlem $p |- ( A e. `' B <-> ( A e. ( _V X. _V ) /\ ( F ` A ) e. B ) ) $=
      ( vu vv ccnv wcel cv cop wceq wa wex cvv cxp cfv elcnv2 fveq2 vex opeq12d
      opelvv c2nd c1st op2ndd op1std fvmpt ax-mp eqtrdi eleq1d copsex2gb bitri
      opex ) BCHIBFJZGJZKZLZUOUNKZCIZMGNFNBOOPZIBDQZCIZMFGBCRVBUSFGBUQVAURCUQVA
      UPDQZURBUPDSUPUTIVCURLUNUOFTZGTZUBAUPAJZUCQZVFUDQZKURUTDVFUPLVGUOVHUNUNUO
      VFVDVEUEUNUOVFVDVEUFUAEUOUNUMUGUHUIUJUKUL $.
  $}

  ${
    $d x y $.  $d x A $.
    $( Two ways of saying a set is an element of the converse of the
       intersection of a class.  (Contributed by RP, 19-Aug-2020.) $)
    elcnvintab $p |- ( A e. `' |^| { x | ph }
                       <-> ( A e. ( _V X. _V )
                             /\ A. x ( ph -> A e. `' x ) ) ) $=
      ( vy cab cint ccnv cvv cxp cv c2nd cfv c1st cmpt eqid elcnvlem elmapintab
      cop ) ABCABEFZGHHIZBJZGDTDJZKLUBMLRNZDCSUCUCOZPDCUAUCUDPQ $.
  $}

  ${
    cnvintabd.x $e |- ( ph -> E. x ps ) $.
    $d y ph $.  $d w y ps $.  $d w x y $.
    $( Value of the converse of the intersection of a nonempty class.
       (Contributed by RP, 20-Aug-2020.) $)
    cnvintabd $p |- ( ph -> `' |^| { x | ps } = |^| { w e. ~P ( _V X. _V )
                      | E. x ( w = `' x /\ ps ) } ) $=
      ( vy cab cint ccnv cv wceq wa wex cvv cxp cpw crab wcel wi wb wal syl vex
      pm5.5 bicomd anbi1d elcnvintab cnvex wrel wss relcnv mpbi elmapintrab elv
      df-rel 3bitr4g eqrdv ) AFBCGHIZDJCJZIZKBLCMDNNOZPQHZAFJZVARZBVCUTRSCUAZLB
      CMZVDSZVELZVCURRVCVBRZAVDVGVEAVGVDAVFVGVDTEVFVDUDUBUEUFBCVCUGVIVHTFBCDVCV
      AUTNUSCUCUHUTUIUTVAUJUSUKUTUOULUMUNUPUQ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  RP ADDTO: The reflexive and transitive properties of relations
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( AFTER 17819 relres $)
  $( NEW $)

  ${
    $d x y z A $.  $d x y z B $.
    $( Two ways of saying the identity relation restricted to the union of the
       domain and range of a relation is a subset of a relation.
       Generalization of ~ reflexg .  (Contributed by RP, 26-Sep-2020.) $)
    undmrnresiss $p |- ( ( _I |` ( dom A u. ran A ) ) C_ B
                 <-> A. x A. y ( x A y -> ( x B x /\ y B y ) ) ) $=
      ( vz cid wss wa wbr wi wal weq wex df-br bicomi 2albii bitri albii 3bitri
      wcel cdm crn cun cres cv resundi sseq1i unss cop wrel wb relres ssrel vex
      ax-mp eldm bitr3i anbi12ci opelresi 19.42v 3bitr4i imbi12i 19.23v ancomst
      ideq alcom impexp 19.21v equcom imbi1i breq2 equsalvw imbi2i elrn 3bitr2i
      alrot3 anbi12i 19.26-2 pm4.76 ) FCUAZCUBZUCUDZDGFVTUDZFWAUDZUCZDGWCDGZWDD
      GZHZAUEZBUEZCIZWIWIDIZWJWJDIZHJZBKAKZWBWEDFVTWAUFUGWCWDDUHWHWKWLJZBKZAKZW
      KWMJZBKAKZHWPWSHZBKAKWOWFWRWGWTWFWIEUEZUIZWCTZXCDTZJZEKAKZAELZWKHZBMZWIXB
      DIZJZEKAKZWRWCUJWFXGUKFVTULAEWCDUMUOXFXLAEXDXJXEXKWIVTTZXCFTZHXHWKBMZHXDX
      JXNXPXOXHBWICAUNUPXOWIXBFIXHWIXBFNWIXBEUNZVEUQURVTWIXBFXQUSXHWKBUTVAXKXEW
      IXBDNOVBPXMXIXKJZBKZEKZAKWRXLXSAEXSXLXIXKBVCOPXTWQAXTXREKZBKWQXREBVFYAWPB
      YAWKXHXKJZJZEKWKYBEKZJWPXRYCEXRWKXHHXKJYCXHWKXKVDWKXHXKVGQRWKYBEVHYDWLWKY
      DEALZXKJZEKWLYBYFEXHYEXKAEVIVJRXKWLEAXBWIWIDVKVLQVMSRQRQSWGWJXBUIZWDTZYGD
      TZJZEKBKZBELZWKHZAMZWJXBDIZJZEKBKZWTWDUJWGYKUKFWAULBEWDDUMUOYJYPBEYHYNYIY
      OWJWATZYGFTZHYLWKAMZHYHYNYRYTYSYLAWJCBUNVNYSWJXBFIYLWJXBFNWJXBXQVEUQURWAW
      JXBFXQUSYLWKAUTVAYOYIWJXBDNOVBPYQYMYOJZAKZEKBKUUAEKZBKAKWTYPUUBBEUUBYPYMY
      OAVCOPUUAABEVPUUCWSABUUCWKYLYOJZJZEKWKUUDEKZJWSUUAUUEEUUAWKYLHYOJUUEYLWKY
      OVDWKYLYOVGQRWKUUDEVHUUFWMWKUUFEBLZYOJZEKWMUUDUUHEYLUUGYOBEVIVJRYOWMEBXBW
      JWJDVKVLQVMSPVOSVQWPWSABVRXAWNABWKWLWMVSPVOVO $.
  $}

  ${
    $d x y A $.
    $( Two ways of saying a relation is reflexive over its domain and range.
       (Contributed by RP, 4-Aug-2020.) $)
    reflexg $p |- ( ( _I |` ( dom A u. ran A ) ) C_ A
                 <-> A. x A. y ( x A y -> ( x A x /\ y A y ) ) ) $=
      ( undmrnresiss ) ABCCD $.
  $}

  $( AFTER 18030 relcnv $)

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    $( A condition weaker than reflexivity.  (Contributed by RP,
       3-Aug-2020.) $)
    cnvssco $p |- ( `' A C_ `' ( B o. C )
                 <-> A. x A. y E. z ( x A y -> ( x C z /\ z B y ) ) ) $=
      ( cv cop ccnv wcel ccom wi wal wss wbr wex vex brcnv df-br bitr3i wa wrel
      alcom wb relcnv ssrel ax-mp 19.37v brco imbi12i bitri 2albii 3bitr4i ) BG
      ZAGZHZDIZJZUPEFKZIZJZLZAMBMZVBBMAMUQUTNZUOUNDOZUOCGZFOVFUNEOUAZLCPZBMAMVB
      BAUCUQUBVDVCUDDUEBAUQUTUFUGVHVBABVHVEVGCPZLVBVEVGCUHVEURVIVAVEUNUOUQOURUN
      UODBQZAQZRUNUOUQSTVIUOUNUSOZVACUOUNEFVKVJUIVLUNUOUTOVAUNUOUSVJVKRUNUOUTST
      TUJUKULUM $.
  $}

  ${
    $d x y z A $.
    $( Reflexive relations are subsets of their self-composition.  (Contributed
       by RP, 4-Aug-2020.) $)
    refimssco $p |- ( ( _I |` ( dom A u. ran A ) ) C_ A
                      -> `' A C_ `' ( A o. A ) ) $=
      ( vx vy vz cv wbr wa wal wex cid cdm crn cun cres wss ccnv ccom weq breq2
      wi breq1 anbi12d biimprd spimevw ex adantr com12 a2i 19.37v sylibr 2alimi
      reflexg cnvssco 3imtr4i ) BEZCEZAFZUOUOAFZUPUPAFZGZTZCHBHUQUODEZAFZVBUPAF
      ZGZTDIZCHBHJAKALMNAOAPAAQPOVAVFBCVAUQVEDIZTZVFUQUTVGUTUQVGURVHUSURUQVGURU
      QGZVEDBDBRZVEVIVJVCURVDUQVBUOUOASVBUOUPAUAUBUCUDUEUFUGUHUQVEDUIUJUKBCAULB
      CDAAAUMUN $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  RP ADDTO: Basic properties of closures
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( AFTER 11682 sseq2 $)

  ${
    cleq2lem.b $e |- ( A = B -> ( ph <-> ps ) ) $.
    $( Equality implies bijection.  (Contributed by RP, 24-Jul-2020.) $)
    cleq2lem $p |- ( A = B -> ( ( R C_ A /\ ph ) <-> ( R C_ B /\ ps ) ) ) $=
      ( wceq wss sseq2 anbi12d ) CDGECHEDHABCDEIFJ $.
  $}

  ${
    $d x y X $.  $d x ps $.  $d y ph $.
    cbvcllem.y $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change of bound variable in class of supersets of a with a property.
       (Contributed by RP, 24-Jul-2020.) $)
    cbvcllem $p |- { x | ( X C_ x /\ ph ) } = { y | ( X C_ y /\ ps ) } $=
      ( cv wss wa cleq2lem cbvabv ) ECGZHAIEDGZHBICDABLMEFJK $.
  $}

  $( AFTER 14120 intss1 $)

  ${
    clublem.y $e |- ( ph -> Y e. _V ) $.
    clublem.sub $e |- ( x = Y -> ( ps <-> ch ) ) $.
    clublem.sup $e |- ( ph -> X C_ Y ) $.
    clublem.maj $e |- ( ph -> ch ) $.
    $d x ch $.  $d x X $.  $d x Y $.
    $( If a superset ` Y ` of ` X ` possesses the property parameterized in
       ` x ` in ` ps ` , then ` Y ` is a superset of the closure of that
       property for the set ` X ` .  (Contributed by RP, 23-Jul-2020.) $)
    clublem $p |- ( ph -> |^| { x | ( X C_ x /\ ps ) } C_ Y ) $=
      ( cv wss wa cab wcel cint cvv wi wb syl cleq2lem elab3g mpbir2and intss1
      a1d ) AFEDKZLBMZDNZOZUHPFLAUIEFLZCIJAUJCMZFQOZRUIUKSAULUKGUEUGUKDFQBCUFFE
      HUAUBTUCFUHUDT $.
  $}

  $( AFTER 14126 intss $)

  ${
    $d x ph $.
    clss2lem.1 $e |- ( ph -> ( ch -> ps ) ) $.
    $( The closure of a property is a superset of the closure of a less
       restrictive property.  (Contributed by RP, 24-Jul-2020.) $)
    clss2lem $p |- ( ph -> |^| { x | ( X C_ x /\ ps ) }
                             C_ |^| { x | ( X C_ x /\ ch ) } ) $=
      ( cv wss wa cab cint wal adantld alrimiv pm5.3 albii ss2ab bitr4i sylib
      wi intss syl ) AEDGHZCIZDJZUCBIZDJZHZUGKUEKHAUDBTZDLZUHAUIDACBUCFMNUJUDUF
      TZDLUHUIUKDUCCBOPUDUFDQRSUEUGUAUB $.
  $}

  $( AFTER 16287 dfid4 $)

  ${
    $d x y $.
    $( Definition of identity relation as the trivial closure.  (Contributed by
       RP, 26-Jul-2020.) $)
    dfid7 $p |- _I = ( x e. _V |-> |^| { y | ( x C_ y /\ T. ) } ) $=
      ( cid cvv cv cmpt wss wtru wa cab cint dfid4 ancom truan bitri inteqi vex
      abbii intmin2 eqtri mpteq2i eqtr4i ) CADAEZFADUCBEGZHIZBJZKZFALADUGUCUGUD
      BJZKUCUFUHUEUDBUEHUDIUDUDHMUDNORPBUCAQSTUAUB $.
  $}

  $( AFTER 17818 ssres2 $)

  ${
    $d x y z V $.  $d x z ph $.  $d x y ps $.  $d y ch $.  $d y th $.
    $d z ta $.
    mptrcllem.ex1 $e |- ( x e. V -> |^| { y | ( x C_ y /\ ( ph
                          /\ ( _I |` ( dom y u. ran y ) ) C_ y ) ) } e. _V ) $.
    mptrcllem.ex2 $e |- ( x e. V -> |^| { z | (
                                    ( x u. ( _I |` ( dom x u. ran x ) ) ) C_ z
                                    /\ ps ) } e. _V ) $.
    mptrcllem.hyp1 $e |- ( x e. V -> ch ) $.
    mptrcllem.hyp2 $e |- ( x e. V -> th ) $.
    mptrcllem.hyp3 $e |- ( x e. V -> ta ) $.
    mptrcllem.sub1 $e |- (
        y = |^| { z | ( ( x u. ( _I |` ( dom x u. ran x ) ) ) C_ z /\ ps ) } ->
        ( ph <-> ch ) ) $.
    mptrcllem.sub2 $e |- (
        y = |^| { z | ( ( x u. ( _I |` ( dom x u. ran x ) ) ) C_ z /\ ps ) } ->
        ( ( _I |` ( dom y u. ran y ) ) C_ y <-> th ) ) $.
    mptrcllem.sub3 $e |- (
        z = |^| { y | ( x C_ y
                        /\ ( ph /\ ( _I |` ( dom y u. ran y ) ) C_ y ) ) } ->
        ( ps <-> ta ) ) $.
    $( Show two versions of a closure with reflexive properties are equal.
       (Contributed by RP, 19-Oct-2020.) $)
    mptrcllem $p |- ( x e. V |-> |^| { y | ( x C_ y
        /\ ( ph /\ ( _I |` ( dom y u. ran y ) ) C_ y ) ) } ) = ( x e. V |->
        |^| { z | ( ( x u. ( _I |` ( dom x u. ran x ) ) ) C_ z /\ ps ) } ) $=
      ( cv wss wa cid cdm crn cun cres cab cint wcel wceq anbi12d wi wal unssad
      id adantr a1i alrimiv ssintab sylibr jca clublem simpl dmss unss12 ssres2
      rnss 3syl simprr sstrd unss syl6ib eqssd mpteq2ia ) FIFRZGRZSZAUAVOUBZVOU
      CZUDZUEZVOSZTZTZGUFUGZVNUAVNUBZVNUCZUDZUEZUDZHRZSZBTZHUFUGZVNIUHZWDWMWNWB
      CDTGVNWMKVOWMUIACWADOPUJWNWLVNWJSZUKZHULVNWMSWNWPHWPWNWKWOBWKVNWHWJWKUNUM
      UOUPUQWLHVNURUSWNCDLMUTVAWNBEHWIWDJQWNWCWIVOSZUKZGULWIWDSWNWRGWNWCVPWHVOS
      ZTZWQWCWTUKWNWCVPWSVPWBVBWCWHVTVOVPWHVTSZWBVPWEVQSZWFVRSZTWGVSSXAVPXBXCVN
      VOVCVNVOVFUTWEVQWFVRVDWGVSUAVEVGUOVPAWAVHVIUTUPVNWHVOVJVKUQWCGWIURUSNVAVL
      VM $.
  $}

  $( AFTER 18046 cotr $)

  ${
    $d u v w ph $.  $d u v w x $.
    cotrintab.min $e |- ( ph -> ( x o. x ) C_ x ) $.
    $( The intersection of a class is a transitive relation if membership in
       the class implies the member is a transitive relation.  (Contributed by
       RP, 28-Oct-2020.) $)
    cotrintab $p |- ( |^| { x | ph } o. |^| { x | ph } ) C_ |^| { x | ph } $=
      ( vu vw vv ccom cv wbr wa wi wal cop wcel opex elintab df-br imbi2i albii
      3bitr4i cab cint wss pm3.43 biimpi 2sp sps sylcom alanimi anbi12i 3imtr4i
      cotr 3syl gen2 mpgbir ) ABUAUBZUPGUPUCDHZEHZUPIZURFHZUPIZJZUQUTUPIZKZFLEL
      DDEFUPULVDEFAUQURBHZIZKZBLZAURUTVEIZKZBLZJAUQUTVEIZKZBLZVBVCVGVJVMBVGVJJA
      VFVIJZVLAVFVIUDAVEVEGVEUCZVOVLKZFLELZDLZVQCVPVSDEFVEULUEVRVQDVQEFUFUGUMUH
      UIUSVHVAVKUQURMZUPNAVTVENZKZBLUSVHABVTUQUROPUQURUPQVGWBBVFWAAUQURVEQRSTUR
      UTMZUPNAWCVENZKZBLVAVKABWCURUTOPURUTUPQVJWEBVIWDAURUTVEQRSTUJUQUTMZUPNAWF
      VENZKZBLVCVNABWFUQUTOPUQUTUPQVMWHBVLWGAUQUTVEQRSTUKUNUO $.
  $}

  $( AFTER 23464 rnexg $)

  ${
    $d x A $.
    rclexi.1 $e |- A e. V $.
    $( The reflexive closure of a set exists.  (Contributed by RP,
       27-Oct-2020.) $)
    rclexi $p |- |^| { x | ( A C_ x
                             /\ ( _I |` ( dom x u. ran x ) ) C_ x ) }
                 e. _V $=
      ( cid cdm crn cun cres wss cvv wcel ssun1 uneq2i wceq ssequn1 mpbi 3eqtri
      wa ssun2 cv cab cint dmun dmresi rnun uneq12i unidm eqtri reseq2i eqsstri
      rnresi wex elexi dmexg rnexg unexg syl2anc resiexd unex dmeq rneq uneq12d
      ax-mp reseq2d id sseq12d cleq2lem spcev intexab sylib mp2an ) BBEBFZBGZHZ
      IZHZJZEVQFZVQGZHZIZVQJZBAUAZJEWDFZWDGZHZIZWDJZSZAUBUCKLZBVPMWBVPVQWAVOEWA
      VOVOHVOVSVOVTVOVSVMVPFZHVMVOHZVOBVPUDWLVOVMVOUENVMVOJWMVOOVMVNMVMVOPQRVTV
      NVPGZHVNVOHZVOBVPUFWNVOVNVOULNVNVOJWOVOOVNVMTVNVOPQRUGVOUHUIUJVPBTUKVRWCS
      ZWJAUMWKWJWPAVQBVPBCDUNBCLZVPKLDWQVOKWQVMKLVNKLVOKLBCUOBCUPVMVNKKUQURUSVD
      UTWIWCWDVQBWDVQOZWHWBWDVQWRWGWAEWRWEVSWFVTWDVQVAWDVQVBVCVEWRVFVGVHVIWJAVJ
      VKVL $.
  $}

  $( Existence of relation implies existence of union with Cartesian product of
     domain and range.  (Contributed by RP, 1-Nov-2020.) $)
  rtrclexlem $p |- ( R e. V ->
               ( R u. ( ( dom R u. ran R ) X. ( dom R u. ran R ) ) ) e. _V ) $=
    ( wcel cdm crn cun cxp cvv dmexg rnexg unexg syl2anc sqxpexg syl mpdan ) AB
    CZADZAEZFZSGZHCZATFHCPSHCZUAPQHCRHCUBABIABJQRHHKLSHMNATBHKO $.

  ${
    $d x A $.
    $( The reflexive-transitive closure of a set exists.  (Contributed by RP,
       1-Nov-2020.) $)
    rtrclex $p |- ( A e. _V <-> |^| { x | ( A C_ x /\ ( ( x o. x ) C_ x
                               /\ ( _I |` ( dom x u. ran x ) ) C_ x ) ) }
                   e. _V ) $=
      ( cvv wcel wss ccom cid cdm crn cun cres wa cxp cossxp xpss12 mp2an sstri
      unssi eqsstri wceq wex cab cint ssun1 coundir coundi dmxpss rnxpss xpidtr
      cv ssun2 dmun dmxpid uneq2i ssequn1 mpbi 3eqtri rnun rnxpid uneq12i unidm
      eqtri reseq2i idssxp pm3.2i rtrclexlem wi id coeq12d sseq12d dmeq uneq12d
      rneq reseq2d anbi12d cleq2lem biimprd adantl spcimedv mp2ani exsimpl ssex
      vex exlimiv syl impbii intexab bitri ) BCDZBAUJZEZWJWJFZWJEZGWJHZWJIZJZKZ
      WJEZLZLZAUAZWTAUBUCCDWIXAWIBBBHZBIZJZXDMZJZEZXFXFFZXFEZGXFHZXFIZJZKZXFEZL
      ZXABXEUDXIXNXHXEXFXHBXFFZXEXFFZJXEBXEXFUEXPXQXEXPBBFZBXEFZJXEBBXEUFXRXSXE
      XRXBXCMZXEBBNXBXDEZXCXDEZXTXEEXBXCUDZXCXBUKZXBXDXCXDOPQXSXEHZXCMZXEBXENYE
      XDEYBYFXEEXDXDUGYDYEXDXCXDOPQRSXQXEBFZXEXEFZJXEXEBXEUFYGYHXEYGXBXEIZMZXEX
      EBNYAYIXDEYJXEEYCXDXDUHXBXDYIXDOPQXDUIRSRSXEBUKZQXMXEXFXMGXDKXEXLXDGXLXDX
      DJXDXJXDXKXDXJXBYEJXBXDJZXDBXEULYEXDXBXDUMUNYAYLXDTYCXBXDUOUPUQXKXCYIJXCX
      DJZXDBXEURYIXDXCXDUSUNYBYMXDTYDXCXDUOUPUQUTXDVAVBVCXDVDSYKQVEWIWTXGXOLZAX
      FCBCVFWJXFTZYNWTVGWIYOWTYNWSXOWJXFBYOWMXIWRXNYOWLXHWJXFYOWJXFWJXFYOVHZYPV
      IYPVJYOWQXMWJXFYOWPXLGYOWNXJWOXKWJXFVKWJXFVMVLVNYPVJVOVPVQVRVSVTXAWKAUAWI
      WKWSAWAWKWIABWJAWCWBWDWEWFWTAWGWH $.
  $}

  ${
    trclubgNEW.rex $e |- ( ph -> R e. _V ) $.
    $d x R $.
    $( If a relation exists then the transitive closure has an upper bound.
       (Contributed by RP, 24-Jul-2020.) $)
    trclubgNEW $p |- ( ph -> |^| { x | ( R C_ x /\ ( x o. x ) C_ x ) }
                              C_ ( R u. ( dom R X. ran R ) ) ) $=
      ( cv ccom wss cxp cun cvv wcel syl wceq a1i 3sstr3g ssequn1 sylib eqsstrd
      ccnv eqsstrid cdm crn dmexd rnexg xpexd syl2anc coeq12d sseq12d cnvssrndm
      unexg id ssun1 coundi cnvss coss2 cocnvcnv2 cnvxp coundir coss1 cocnvcnv1
      coeq2i coeq1i xptrrel ssun2 sstri mp1i clublem ) ABEZVHFZVHGCCUAZCUBZHZIZ
      VMFZVMGZBCVMACJKZVLJKVMJKDAVJVKJJACJDUCAVPVKJKDCJUDLUECVLJJUJUFVHVMMZVIVN
      VHVMVQVHVMVHVMVQUKZVRUGVRUHCVMGACVLULNCSZVKVJHZGZVOACUIWAVNVMCFZVMVLFZIZV
      MVMCVLUMWAWDWCVMWAWBWCGWDWCMWAVMVSSZFZVMVTSZFZWBWCWAWEWGGZWFWHGVSVTUNZWEW
      GVMUOLVMCUPWGVLVMVKVJUQZVAOWBWCPQWAWCCVLFZVLVLFZIZVMCVLVLURWAWNWMVMWAWLWM
      GWNWMMWAWEVLFZWGVLFZWLWMWAWIWOWPGWJWEWGVLUSLCVLUTWGVLVLWKVBOWLWMPQWMVMGWA
      WMVLVMVJVKVCVLCVDVENRTRTVFVG $.
  $}

  ${
    trclubNEW.rex $e |- ( ph -> R e. _V ) $.
    trclubNEW.rel $e |- ( ph -> Rel R ) $.
    $d x R $.
    $( If a relation exists then the transitive closure has an upper bound.
       (Contributed by RP, 24-Jul-2020.) $)
    trclubNEW $p |- ( ph -> |^| { x | ( R C_ x /\ ( x o. x ) C_ x ) }
                              C_ ( dom R X. ran R ) ) $=
      ( cv wss ccom cab cint cdm crn cxp cun trclubgNEW wceq wrel relssdmrn syl
      wa ssequn1 sylib sseqtrd ) ACBFZGUDUDHUDGTBIJCCKCLMZNZUEABCDOACUEGZUFUEPA
      CQUGECRSCUEUAUBUC $.
  $}

  $( AFTER 23468 rnex $)

  ${
    $d x A $.
    trclexi.1 $e |- A e. V $.
    $( The transitive closure of a set exists.  (Contributed by RP,
       27-Oct-2020.) $)
    trclexi $p |- |^| { x | ( A C_ x /\ ( x o. x ) C_ x ) } e. _V $=
      ( cdm crn cxp cun wss ccom cv wa cab cint coundi cossxp ax-mp sstri unssi
      eqsstri cvv wcel ssun1 coundir dmxpss xpss1 xpss2 xptrrel ssun2 wex elexi
      rnxpss dmex rnex xpex unex trcleq2lem spcev intexab sylib mp2an ) BBBEZBF
      ZGZHZIZVEVEJZVEIZBAKZIVIVIJVIILZAMNUAUBZBVDUCVGVDVEVGBVEJZVDVEJZHVDBVDVEU
      DVLVMVDVLBBJZBVDJZHVDBBVDOVNVOVDBBPVOVDEZVCGZVDBVDPVPVBIVQVDIVBVCUEVPVBVC
      UFQRSTVMVDBJZVDVDJZHVDVDBVDOVRVSVDVRVBVDFZGZVDVDBPVTVCIWAVDIVBVCULVTVCVBU
      GQRVBVCUHSTSTVDBUIRVFVHLZVJAUJVKVJWBAVEBVDBCDUKZVBVCBWCUMBWCUNUOUPVIVEBUQ
      URVJAUSUTVA $.
  $}

  ${
    $d x A $.
    rtrclexi.1 $e |- A e. V $.
    $( The reflexive-transitive closure of a set exists.  (Contributed by RP,
       27-Oct-2020.) $)
    rtrclexi $p |- |^| { x | ( A C_ x /\ ( ( x o. x ) C_ x
                               /\ ( _I |` ( dom x u. ran x ) ) C_ x ) ) }
                   e. _V $=
      ( cdm crn cun cxp wss ccom cid cres ssun1 cossxp xpss12 mp2an sstri unssi
      wa eqsstri cv cab cint cvv wcel coundir coundi ssun2 dmxpss rnxpss xpidtr
      dmun rnun ssres2 ax-mp idssxp id wex elexi dmex rnex unex coeq12d sseq12d
      xpex wceq dmeq rneq uneq12d reseq2d anbi12d cleq2lem spcev intexab sylib
      ) BBBEZBFZGZVRHZGZIZVTVTJZVTIZKVTEZVTFZGZLZVTIZSZBAUAZIWJWJJZWJIZKWJEZWJF
      ZGZLZWJIZSZSZAUBUCUDUEZBVSMWCWHWIWBVSVTWBBVTJZVSVTJZGVSBVSVTUFXAXBVSXABBJ
      ZBVSJZGVSBBVSUGXCXDVSXCVPVQHZVSBBNVPVRIZVQVRIZXEVSIVPVQMZVQVPUHZVPVRVQVRO
      PQXDVSEZVQHZVSBVSNXJVRIXGXKVSIVRVRUIZXIXJVRVQVROPQRTXBVSBJZVSVSJZGVSVSBVS
      UGXMXNVSXMVPVSFZHZVSVSBNXFXOVRIXPVSIXHVRVRUJZVPVRXOVROPQVRUKRTRTVSBUHZQWG
      VSVTWGKVRLZVSWFVRIWGXSIWDWEVRWDVPXJGVRBVSULVPXJVRXHXLRTWEVQXOGVRBVSUMVQXO
      VRXIXQRTRWFVRKUNUOVRUPQXRQWIUQPWAWISZWSAURWTWSXTAVTBVSBCDUSZVRVRVPVQBYAUT
      BYAVAVBZYBVEVBWRWIWJVTBWJVTVFZWLWCWQWHYCWKWBWJVTYCWJVTWJVTYCUQZYDVCYDVDYC
      WPWGWJVTYCWOWFKYCWMWDWNWEWJVTVGWJVTVHVIVJYDVDVKVLVMWSAVNVOP $.
  $}

  $( AFTER 23510 cnvexg $)

  ${
    clrellem.y $e |- ( ph -> Y e. _V ) $.
    clrellem.rel $e |- ( ph -> Rel X ) $.
    clrellem.sub $e |- ( x = `' `' Y -> ( ps <-> ch ) ) $.
    clrellem.sup $e |- ( ph -> X C_ Y ) $.
    clrellem.maj $e |- ( ph -> ch ) $.
    $d x y X $.  $d x Y $.  $d x ph $.  $d y ps $.  $d x ch $.
    $( When the property ` ps ` holds for a relation substituted for ` x ` ,
       then the closure on that property is a relation if the base set is a
       relation.  (Contributed by RP, 30-Jul-2020.) $)
    clrellem $p |- ( ph -> Rel |^| { x | ( X C_ x /\ ps ) } ) $=
      ( vy cv wss wa wrel ccnv cvv wcel 3syl wrex cint cnvexg wceq dfrel2 sylib
      wex cab cnvss eqsstrrd relcnv jca31 cleq2lem releq anbi12d spcedv biimpri
      a1i rexab2 relint ) AEDMZNBOZVAPZOZDUGZLMZPZLVBDUHZUAZVHUBPAVDEFQZQZNZCOZ
      VKPZODRVKAFRSVJRSVKRSGFRUCVJRUCTAVLCVNAEEQZQZVKAEPVPEUDHEUEUFAEFNVOVJNVPV
      KNJEFUIVOVJUITUJKVNAVJUKURULVAVKUDVBVMVCVNBCVAVKEIUMVAVKUNUOUPVIVEVBVGVCL
      DVFVAUNUSUQLVHUTT $.
  $}

  $( AFTER 23513 cnvex $)

  ${
    $d x A $.  $d x y z X $.  $d x y z ph $.  $d y z ps $.  $d x z ch $.
    $d x th $.
    clcnvlem.sub1 $e |- ( ( ph /\ x = ( `' y u. ( X \ `' `' X ) ) )
                             -> ( ch -> ps ) ) $.
    clcnvlem.sub2 $e |- ( ( ph /\ y = `' x ) -> ( ps -> ch ) ) $.
    clcnvlem.sub3 $e |- ( x = A -> ( ps <-> th ) ) $.
    clcnvlem.ssub $e |- ( ph -> X C_ A ) $.
    clcnvlem.ubex $e |- ( ph -> A e. _V ) $.
    clcnvlem.clex $e |- ( ph -> th ) $.
    $( When ` A ` , an upper bound of the closure, exists and certain
       substitutions hold the converse of the closure is equal to the closure
       of the converse.  (Contributed by RP, 18-Oct-2020.) $)
    clcnvlem $p |- ( ph -> `' |^| { x | ( X C_ x /\ ps ) }
                              = |^| { y | ( `' X C_ y /\ ch ) } ) $=
      ( vz wss wa ccnv wceq cvv cv cab cint wex cxp cpw crab cleq2lem cnvintabd
      jca spcedv wcel df-rab wrel exsimpl relcnv releq mpbiri exlimiv syl sylib
      df-rel velpw bicomi pm4.71ri abbii eqtri inteqi a1i vex cnvex cdif difexd
      cun ssexd unexg sylancr wi cin inundif sseq1i biimpi unssad relin2 dfrel2
      cnvun ax-mp mpbi cnvss eqsstrrid ssid unss12 sylancl cnveq sseq1d 3imtr3d
      sseq1 syl5ibr adantl anim12d cnvnonrel 0ss eqsstri ssequn2 eqtr2i eqtr4id
      sseq2 c0 jctild spcimedv adantlr wb eqeq1 anbi1d exbidv ad2antlr cnvcnvss
      imp mpbird ex intabssd weq eqtr syl5 impl expimpd exlimdv eqssd 3eqtrd )
      AHEUAZPZBQZEUBUCROUAZYJRZSZYLQZEUDZOTTUEZUFZUGZUCZYQOUBZUCZHRZFUAZPZCQZFU
      BUCZAYLEOAYLHGPZDQETGMAUUIDLNUJBDYJGHKUHUKUIUUAUUCSAYTUUBYTYMYSULZYQQZOUB
      UUBYQOYSUMUUKYQOYQUUKYQUUJYQYMYRPZUUJYQYMUNZUULYQYOEUDUUMYOYLEUOYOUUMEYOU
      UMYNUNYJUPYMYNUQURUSUTYMVBVAUUJUULOYRVCVDVAVEVDVFVGVHVIAUUCUUHAYQUUGOFUUE
      RZRZTUUOTULAUUNUUEFVJVKZVKVIAYMUUOSZQZUUGYQUURUUGQYQUUOYNSZYLQZEUDZAUUGUV
      AUUQAUUGUVAAUUTUUGEUUNHUUDRZVLZVNZTAUUNTULUVCTULUVDTULUUPAHUVBTAHGTMLVOVM
      UUNUVCTTVPVQAYJUVDSZQZUUGYLUUSUVFUUFYKCBUVEUUFYKVRAUUFYKUVEHUVDPZHUVBVSZU
      VCVNZHSZUUFUVGVRHUVBVTUVJUVIRZUUEPZUVIUVDPZUUFUVGUVLUVMVRUVJUVLUVHUUNPZUV
      CUVCPUVMUVLUVHRZUUEPZUVNUVLUVOUVCRZUUEUVLUVOUVQVNZUUEPUVKUVRUUEUVHUVCWFWA
      WBWCUVPUVHUVORZUUNUVHUNZUVSUVHSUVBUNUVTUUDUPHUVBWDWGUVHWEWHUVOUUEWIWJUTUV
      CWKUVHUUNUVCUVCWLWMVIUVJUVKUUDUUEUVIHWNWOUVIHUVDWQWPWGYJUVDHXGWRWSIWTUVEU
      USAUVEUUOUVDRZYNUWAUUOUVQVNZUUOUUNUVCWFUVQUUOPUWBUUOSUVQXHUUOHXAUUOXBXCUV
      QUUOXDWHXEYJUVDWNXFWSXIXJXRXKUUQYQUVAXLAUUGUUQYPUUTEUUQYOUUSYLYMUUOYNXMXN
      XOXPXSXTUUOUUEPAUUEXQVIYAAUUGYQFOYMTYMTULAOVJVIAFOYBZQZYPUUGEUWDYOYLUUGAU
      WCYOYLUUGVRZUWCYOQUUEYNSZAUWEUUEYMYNYCAUWFUWEAUWFQYKUUFBCUWFYKUUFVRAYKUUF
      UWFUUDYNPHYJWIUUEYNUUDXGWRWSJWTXTYDYEYFYGYMYMPAYMWKVIYAYHYI $.
  $}

  ${
    $d x y V $.  $d x y X $.
    $( The converse of the trivial closure is equal to the closure of the
       converse.  (Contributed by RP, 18-Oct-2020.) $)
    cnvtrucl0 $p |- ( X e. V -> `' |^| { x | ( X C_ x /\ T. ) }
                              = |^| { y | ( `' X C_ y /\ T. ) } ) $=
      ( wcel wtru cv ccnv cdif cun wceq wa idd biidd ssidd elex trud clcnvlem )
      DCEZFFFABDDSAGZBGZHDDHHIJKLFMSUATHKLFMTDKFNSDODCPSQR $.
  $}

  ${
    $d x y V $.  $d x y X $.
    $( The converse of the reflexive closure is equal to the closure of the
       converse.  (Contributed by RP, 18-Oct-2020.) $)
    cnvrcl0 $p |- ( X e. V -> `' |^| { x | ( X C_ x
                   /\ ( _I |` ( dom x u. ran x ) ) C_ x ) }
                              = |^| { y | ( `' X C_ y
                   /\ ( _I |` ( dom y u. ran y ) ) C_ y ) } ) $=
      ( wcel cid cdm crn cun cres wss ccnv wceq c0 df-rn eqsstri dfdm4 dmeq cvv
      ssun1 cv cdif wi cnvresid cnvnonrel cnv0 eqtr4i dmeqi 3eqtr4i 0ss ssequn2
      rnssi mpbi rnun 3eqtr4ri rneqi dmss ax-mp uneq12i equncomi reseq2i eqtr2i
      dmun cnvss eqsstrid sstrdi rneq uneq12d reseq2d id sseq12d syl5ibr adantl
      a1i dmexg rnexg unexg syl2anc resiexd mpdan wa dmresi eqimssi unssi ssun2
      rnresi pm3.2i unss ssres2 sylbi ssun4 mp2b clcnvlem ) DCEZFAUAZGZWOHZIZJZ
      WOKZFBUAZGZXAHZIZJZXAKZFDFDGZDHZIZJZIZGZXKHZIZJZXKKZABXKDWOXALZDDLLUBZIZM
      ZXFWTUCWNXFWTXTFXSGZXSHZIZJZXSKXFYDXQXSXFYDXELZXQYEXEYDXDUDXDYCFXDYBYAXBY
      BXCYAXQHZXRHZIZYFYBXBYGYFKYHYFMYGNHZYFXRLZGNLZGYGYIYJYKYJNYKDUEUFUGZUHXRO
      NOUINXQXQUJZULPYGYFUKUMXQXRUNXAQUOXQGZXRGZIZYNYAXCYOYNKYPYNMYONGZYNYJHYKH
      YOYQYJYKYLUPXRQNQUINXQKYQYNKYMNXQUQURPYOYNUKUMXQXRVCXAOUOUSUTVAVBXEXAVDVE
      XQXRTVFXTWSYDWOXSXTWRYCFXTWPYAWQYBWOXSRWOXSVGVHVIXTVJVKVLVMXAWOLZMZWTXFUC
      WNWTXFYSFYRGZYRHZIZJZYRKWTUUCWSLZYRUUDWSUUCWRUDWRUUBFWRUUAYTWPUUAWQYTWOQW
      OOUSUTVAVBWSWOVDVEYSXEUUCXAYRYSXDUUBFYSXBYTXCUUAXAYRRXAYRVGVHVIYSVJVKVLVM
      WOXKMZWSXOWOXKUUEWRXNFUUEWPXLWQXMWOXKRWOXKVGVHVIUUEVJVKDXKKWNDXJTVNWNXJSE
      XKSEWNXISWNXGSEXHSEXISEDCVODCVPXGXHSSVQVRVSDXJCSVQVTXPWNXLXIKZXMXIKZWAZXO
      XJKZXPUUFUUGXLXGXJGZIXIDXJVCXGUUJXIXGXHTUUJXIXIWBWCWDPXMXHXJHZIXIDXJUNXHU
      UKXIXHXGWEUUKXIXIWFWCWDPWGUUHXNXIKUUIXLXMXIWHXNXIFWIWJXOXJDWKWLVNWM $.
  $}

  ${
    $d x y V $.  $d x y X $.
    $( The converse of the transitive closure is equal to the closure of the
       converse.  (Contributed by RP, 18-Oct-2020.) $)
    cnvtrcl0 $p |- ( X e. V
                   -> `' |^| { x | ( X C_ x /\ ( x o. x ) C_ x ) }
                    = |^| { y | ( `' X C_ y /\ ( y o. y ) C_ y ) } ) $=
      ( cv ccom wss cdm cxp cun ccnv wceq coundi eqsstri coeq12d sseq12d cossxp
      unssi id sstri wcel crn cdif cnvco cnvss eqsstrrid coundir ssid cononrel2
      wi c0 0ss cononrel1 sstrid ssun3 3syl syl5ibr adantl a1i trclexlem dmxpss
      ssun1 xpss1 ax-mp rnxpss xpss2 xptrrel ssun2 clcnvlem ) DCUAZAEZVKFZVKGZB
      EZVNFZVNGZDDHZDUBZIZJZVTFZVTGZABVTDVKVNKZDDKKUCZJZLZVPVMUJVJVPVMWFWEWEFZW
      EGZVPWCWCFZWCGZWGWCGWHVPWIVOKWCVNVNUDVOVNUEUFWJWGWIWCWGWCWEFZWDWEFZJWIWCW
      DWEUGWKWLWIWKWIWCWDFZJWIWCWCWDMWIWMWIWIUHWMUKWIWCDUIWIULZNRNWLUKWIDWEUMWN
      NRNWJSUNWGWCWDUOUPWFVLWGVKWEWFVKWEVKWEWFSZWOOWOPUQURVNVKKZLZVMVPUJVJVMVPW
      QWPWPFZWPGVMWRVLKWPVKVKUDVLVKUEUFWQVOWRVNWPWQVNWPVNWPWQSZWSOWSPUQURVKVTLZ
      VLWAVKVTWTVKVTVKVTWTSZXAOXAPDVTGVJDVSVBUSDCUTWBVJWAVSVTWADVTFZVSVTFZJVSDV
      SVTUGXBXCVSXBDDFZDVSFZJVSDDVSMXDXEVSDDQXEVSHZVRIZVSDVSQXFVQGXGVSGVQVRVAXF
      VQVRVCVDTRNXCVSDFZVSVSFZJVSVSDVSMXHXIVSXHVQVSUBZIZVSVSDQXJVRGXKVSGVQVRVEX
      JVRVQVFVDTVQVRVGRNRNVSDVHTUSVI $.
  $}

  $( AFTER 41062 trclubg $)

  ${
    $d x X $.
    $( The domain of the transitive closure is equal to the domain of its base
       relation.  (Contributed by RP, 1-Nov-2020.) $)
    dmtrcl $p |- ( X e. V ->
      dom |^| { x | ( X C_ x /\ ( x o. x ) C_ x ) } = dom X ) $=
      ( wcel cv wss ccom wa cab cint cdm crn cxp cun trclubg dmss syl dmun wceq
      dmxpss ssequn2 mpbi eqtri sseqtrdi ssmin mp1i eqssd ) CBDZCAEZFUIUIGUIFZH
      AIJZKZCKZUHULCUMCLZMZNZKZUMUHUKUPFULUQFCBAOUKUPPQUQUMUOKZNZUMCUORURUMFUSU
      MSUMUNTURUMUAUBUCUDCUKFUMULFUHUJACUECUKPUFUG $.
  $}

  ${
    $d x X $.
    $( The range of the transitive closure is equal to the range of its base
       relation.  (Contributed by RP, 1-Nov-2020.) $)
    rntrcl $p |- ( X e. V ->
      ran |^| { x | ( X C_ x /\ ( x o. x ) C_ x ) } = ran X ) $=
      ( wcel cv wss ccom wa cab cint crn cdm cxp cun trclubg rnss syl rnun wceq
      rnxpss ssequn2 mpbi eqtri sseqtrdi ssmin mp1i eqssd ) CBDZCAEZFUIUIGUIFZH
      AIJZKZCKZUHULCCLZUMMZNZKZUMUHUKUPFULUQFCBAOUKUPPQUQUMUOKZNZUMCUORURUMFUSU
      MSUNUMTURUMUAUBUCUDCUKFUMULFUHUJACUECUKPUFUG $.
  $}

  ${
    $d x y z $.
    $( Definition of reflexive-transitive closure as a standard closure.
       (Contributed by RP, 1-Nov-2020.) $)
    dfrtrcl5 $p |- t* = ( x e. _V |->
                           |^| { y | ( x C_ y
                                       /\ ( ( _I |` ( dom y u. ran y ) ) C_ y
                                       /\ ( y o. y ) C_ y ) ) } ) $=
      ( vz cvv cid cdm crn cun cres wss ccom cab cint cmpt wcel a1i wceq 3eqtri
      cv wa crtcl w3a df-rtrcl ancom anbi2i abbii inteqi mpteq2i rtrclexi dmexg
      vex rnexg unexg syl2anc resiexg mp2b unex trclexi simpr cotrintab resiexd
      dmex rnex mp2an dmtrcl ax-mp dmun dmresi uneq2i ssun1 ssequn1 mpbi rntrcl
      eqtri rnun rnresi ssun2 uneq12i unidm reseq2i ssmin sstri eqsstri coeq12d
      simprl id sseq12d dmeq rneq uneq12d reseq2d mptrcllem df-3an bitri anbi1i
      unss bitr2i eqtr4i ) UAADEASZFZWSGZHZIZCSZJZWSXDJZXDXDKZXDJZUBZCLZMZNZADW
      SBSZJZEXMFZXMGZHZIZXMJZXMXMKZXMJZTZTZBLZMZNZACUCYFADXNYAXSTZTZBLZMZNADWSX
      CHZXDJZXHTZCLZMZNXLADYEYJYDYIYCYHBYBYGXNXSYAUDUEUFUGUHYAXHYOYOKZYOJZEYOFZ
      YOGZHZIZYOJZYJYJKZYJJZABCDYJDOWSDOZBWSDAUKZUIPYODOUUECYKDWSXCUUFUUEXBDOZX
      CDOZUUFUUEWTDOZXADOZUUGWSDUJWSDULWTXADDUMZUNXBDUOUPUQURPYQUUEYMCYLXHUSUTP
      UUBUUEUUAXCYOYTXBEYTXBXBHXBYRXBYSXBYRYKFZXBYKDOZYRUULQWSXCUUFUUIUUJUUHWSU
      UFVBWSUUFVCUUIUUJTXBDUUKVAVDUQZCDYKVEVFUULWTXCFZHWTXBHZXBWSXCVGUUOXBWTXBV
      HVIWTXBJUUPXBQWTXAVJWTXBVKVLRVNYSYKGZXBUUMYSUUQQUUNCDYKVMVFUUQXAXCGZHXAXB
      HZXBWSXCVOUURXBXAXBVPVIXAXBJUUSXBQXAWTVQXAXBVKVLRVNVRXBVSVNVTXCYKYOXCWSVQ
      XHCYKWAWBWCPUUDUUEYHBXNYAXSWEUTPXMYOQZXTYPXMYOUUTXMYOXMYOUUTWFZUVAWDUVAWG
      UUTXRUUAXMYOUUTXQYTEUUTXOYRXPYSXMYOWHXMYOWIWJWKUVAWGXDYJQZXGUUCXDYJUVBXDY
      JXDYJUVBWFZUVCWDUVCWGWLADYOXKYNXJYMXICXIXEXFTZXHTYMXEXFXHWMUVDYLXHUVDXFXE
      TYLXEXFUDWSXCXDWPWNWOWQUFUGUHRWR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  RP REPLACE: Definitions and basic properties of transitive closures
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Equality implies bijection.  (Contributed by RP, 5-May-2020.)
     (Proof modification is discouraged.) $)
  trcleq2lemRP $p |- ( A = B -> ( ( R C_ A /\ ( A o. A ) C_ A ) <->
                                ( R C_ B /\ ( B o. B ) C_ B ) ) ) $=
    ( ccom wss wceq id coeq12d sseq12d cleq2lem ) AADZAEBBDZBEABCABFZKLABMABABM
    GZNHNIJ $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Additions for square root; absolute value
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  This is based on the observation that the real and imaginary parts of a
  complex number can be calculated from the number's absolute and real part and
  the sign of its imaginary part.

  <HTML>
  Formalization of the formula in ~ sqrtcval was motivated by a short
  <A HREF="https://www.youtube.com/watch?v=QAhWTQ4Ravw">Michael Penn video</A>.
  </HTML>

$)

  $( Not before: recld $)

  ${
    sqrtcvallem1.1 $e |- ( ph -> A e. CC ) $.

    $d A x $.
    $( Two ways of saying a complex number does not lie on the positive real
       axis.  Lemma for ~ sqrtcval .  (Contributed by RP, 17-May-2024.) $)
    sqrtcvallem1 $p |- ( ph -> ( ( ( Im ` A ) = 0 -> ( Re ` A ) <_ 0 ) <->
                                    -. A e. RR+ ) ) $=
      ( vx cc crp wcel wn wa cfv cc0 wceq cre wbr wb a1i cr crab clt wo cim cle
      cdif wi eldif cv cun imor biantrurd reim0b syl notbid eleq1 elrab 3bitr4d
      bicomd recld 0red lenltd fveq2 breq2d orbi12d syl5bb elun ianor elrp rere
      bicomi pm5.32i bitri xchbinxr rabbii unrab dfdif2 3eqtr4i eleq2d 3bitr2d
      ) ABEFUCZGZBEGZBFGHZIZBUAJKLZBMJZKUBNZUDZWAVSWBOABEFUEPAWFBDUFZQGZHZDERZG
      ZBKWGMJZSNZHZDERZGZTZBWJWOUGZGZVSWFWCHZWETAWQWCWEUHAWTWKWEWPABQGZHZVTXBIZ
      WTWKAVTXBCUIAXBWTAXAWCAVTXAWCOCBUJUKULUPWKXCOAWIXBDBEWGBLZWHXAWGBQUMULUNP
      UOAKWDSNZHZVTXFIZWEWPAVTXFCUIAWDKABCUQAURUSWPXGOAWNXFDBEXDWMXEXDWLWDKSWGB
      MUTVAULUNPUOVBVCWSWQOABWJWOVDPAWRVRBWRVRLAWIWNTZDERWGFGZHZDERWRVRXHXJDEXH
      WHWMIZXIXKHXHWHWMVEVHXIWHKWGSNZIXKWGVFWHXLWMWHWMXLWHWLWGKSWGVGVAUPVIVJVKV
      LWIWNDEVMDEFVNVOPVPVQAVTWACUIUO $.
  $}

  $( Not before absnid: $)

  $( Alternate expression for the absolute value of a real number.  Lemma for
     ~ sqrtcval .  (Contributed by RP, 11-May-2024.) $)
  reabsifneg $p |- ( A e. RR -> ( abs ` A ) = if ( A < 0 , -u A , A ) ) $=
    ( cr wcel cc0 clt wbr cneg cif cabs cfv wa cle wceq wi ltle mpan2 imdistani
    0re absnid eqcomd syl wn 0red id lenltd bicomd pm5.32i absid sylbi ifeqda )
    ABCZADEFZAGZAHAIJZUKULUMAUNUKULKZUNUMUOUKADLFZKUNUMMUKULUPUKDBCULUPNRADOPQA
    SUATUKULUBZKZUNAURUKDALFZKUNAMUKUQUSUKUSUQUKDAUKUCUKUDUEUFUGAUHUITUJT $.

  $( Alternate expression for the absolute value of a real number.
     (Contributed by RP, 11-May-2024.) $)
  reabsifnpos $p |- ( A e. RR -> ( abs ` A ) = if ( A <_ 0 , -u A , A ) ) $=
    ( cr wcel cc0 cle wbr cneg cif cabs cfv wa absnid eqcomd wn wceq wi 0re clt
    ltnle ltle sylbird mpan imdistani absid syl ifeqda ) ABCZADEFZAGZAHAIJZUGUH
    UIAUJUGUHKUJUIALMUGUHNZKZUJAULUGDAEFZKUJAOUGUKUMDBCZUGUKUMPQUNUGKUKDARFUMDA
    SDATUAUBUCAUDUEMUFM $.

  $( Alternate expression for the absolute value of a real number.
     (Contributed by RP, 11-May-2024.) $)
  reabsifpos $p |- ( A e. RR -> ( abs ` A ) = if ( 0 < A , A , -u A ) ) $=
    ( cr wcel cc0 clt wbr cneg cif cabs cfv wa cle wceq 0re ltle mpan imdistani
    wi absid eqcomd syl wn id 0red lenltd pm5.32i absnid sylbir ifeqda ) ABCZDA
    EFZAAGZHAIJZUJUKAULUMUJUKKZUMAUNUJDALFZKUMAMUJUKUODBCUJUKUORNDAOPQASUATUJUK
    UBZKZUMULUQUJADLFZKUMULMUJURUPUJADUJUCUJUDUEUFAUGUHTUIT $.

  $( Alternate expression for the absolute value of a real number.
     (Contributed by RP, 11-May-2024.) $)
  reabsifnneg $p |- ( A e. RR -> ( abs ` A ) = if ( 0 <_ A , A , -u A ) ) $=
    ( cr wcel cc0 cle wbr cneg cif cabs cfv wa absid eqcomd wn wi 0re clt ltnle
    wceq ltle sylbird mpan2 imdistani absnid syl ifeqda ) ABCZDAEFZAAGZHAIJZUGU
    HAUIUJUGUHKUJAALMUGUHNZKZUJUIULUGADEFZKUJUISUGUKUMUGDBCZUKUMOPUGUNKUKADQFUM
    ADRADTUAUBUCAUDUEMUFM $.

  $( Alternate expression for the absolute value of a real number.
     (Contributed by RP, 22-May-2024.) $)
  reabssgn $p |- ( A e. RR -> ( abs ` A ) = ( ( sgn ` A ) x. A ) ) $=
    ( cr wcel csgn cfv cmul cc0 wceq clt wbr cneg cif cabs cxr rexr ovif adantr
    co c1 eqtr4d sgnval syl oveq1d ifeq2 ax-mp eqtri wa mul02lem2 simpr abs00bd
    wn recn mulm1d mulid2d ifeq12d reabsifneg ifeqda syl5eq eqtr2d ) ABCZADEZAF
    RAGHZGAGIJZSKZSLZLZAFRZAMEZUTVAVFAFUTANCVAVFHAOAUAUBUCUTVGVBGAFRZVCVDAFRZSA
    FRZLZLZVHVGVBVIVEAFRZLZVMVBGVEAFPVNVLHVOVMHVCVDSAFPVBVNVLVIUDUEUFUTVBVIVLVH
    UTVBUGZVIGVHUTVIGHVBAUHQVPAUTVBUIUJTUTVLVHHVBUKUTVLVCAKZALVHUTVCVJVQVKAUTAA
    ULZUMUTAVRUNUOAUPTQUQURUS $.

  $( Not before releabs: $)

  $( Equivalent to saying that the square of the imaginary component of the
     square root of a complex number is a nonnegative real number.  Lemma for
     ~ sqrtcval .  See ~ imsqrtval .  (Contributed by RP, 11-May-2024.) $)
  sqrtcvallem2 $p |- ( A e. CC ->
                       0 <_ ( ( ( abs ` A ) - ( Re ` A ) ) / 2 ) ) $=
    ( cc wcel cabs cfv cre cmin co c2 recl resubcld crp 2rp a1i cc0 cle releabs
    abscl wbr subge0d mpbird divge0d ) ABCZADEZAFEZGHZIUCUDUEARZAJZKILCUCMNUCOU
    FPSUEUDPSAQUCUDUEUGUHTUAUB $.

  $( Not before resqrtcld: $)

  $( Equivalent to saying that the absolute value of the imaginary component of
     the square root of a complex number is a real number.  Lemma for
     ~ sqrtcval , ~ sqrtcval2 , ~ resqrtval , and ~ imsqrtval .  (Contributed
     by RP, 11-May-2024.) $)
  sqrtcvallem3 $p |- ( A e. CC ->
                     ( sqrt ` ( ( ( abs ` A ) - ( Re ` A ) ) / 2 ) ) e. RR ) $=
    ( cc wcel cabs cfv cre cmin co c2 cdiv recl resubcld rehalfcld sqrtcvallem2
    abscl resqrtcld ) ABCZADEZAFEZGHZIJHQTQRSAOAKLMANP $.

  $( Not before releabsd: $)

  $( Equivalent to saying that the square of the real component of the square
     root of a complex number is a nonnegative real number.  Lemma for
     ~ sqrtcval .  See ~ resqrtval .  (Contributed by RP, 11-May-2024.) $)
  sqrtcvallem4 $p |- ( A e. CC ->
                       0 <_ ( ( ( abs ` A ) + ( Re ` A ) ) / 2 ) ) $=
    ( cc wcel cabs cfv cre caddc co c2 abscl recl readdcld crp 2rp cc0 cneg cle
    cmin wbr recnd a1i negcl releabsd abscld recld subge0d mpbird reneg oveq12d
    absneg subnegd eqtrd breqtrd divge0d ) ABCZADEZAFEZGHZIUOUPUQAJZAKZLIMCUONU
    AUOOAPZDEZVAFEZRHZURQUOOVDQSVCVBQSUOVAAUBZUCUOVBVCUOVAVEUDUOVAVEUEUFUGUOVDU
    PUQPZRHURUOVBUPVCVFRAUJAUHUIUOUPUQUOUPUSTUOUQUTTUKULUMUN $.

  $( Equivalent to saying that the real component of the square root of a
     complex number is a real number.  Lemma for ~ resqrtval and ~ imsqrtval .
     (Contributed by RP, 11-May-2024.) $)
  sqrtcvallem5 $p |- ( A e. CC ->
                     ( sqrt ` ( ( ( abs ` A ) + ( Re ` A ) ) / 2 ) ) e. RR ) $=
    ( cc wcel cabs cfv caddc co cdiv abscl recl readdcld rehalfcld sqrtcvallem4
    cre c2 resqrtcld ) ABCZADEZANEZFGZOHGQTQRSAIAJKLAMP $.

  $( Explicit formula for the complex square root in terms of the
     square root of nonnegative reals.  The right-hand side is
     decomposed into real and imaginary parts in the format expected
     by ~ crrei and ~ crimi .
     <HTML>
     This formula can be found in section 3.7.27 of <I>Handbook
     of Mathematical Functions</I>, ed. M. Abramowitz and I. A.  Stegun
     (1965, Dover Press).
     </HTML>
     (Contributed by RP, 18-May-2024.) $)
  sqrtcval $p |- ( A e. CC -> ( sqrt ` A ) =
                   ( ( sqrt ` ( ( ( abs ` A ) + ( Re ` A ) ) / 2 ) ) + ( _i x.
                     ( if ( ( Im ` A ) < 0 , -u 1 , 1 ) x.
                     ( sqrt ` ( ( ( abs ` A ) - ( Re ` A ) ) / 2 ) ) ) ) ) ) $=
    ( cc wcel cfv caddc co c2 cdiv csqrt ci cc0 c1 cmul recnd a1i cexp wceq cle
    syl eqtrd cabs cre cim clt wbr cneg cif cmin sqrtcvallem5 ax-icn neg1rr 1re
    cr ifcli sqrtcvallem3 remulcld mulcld addcld id syl2anc abscl recl readdcld
    binom2 rehalfcld sqsqrtd sqmuld i2 ovif neg1sqe1 ifeq12 mp2an ifid resubcld
    sq1 3eqtri oveq12d mulid2d 3eqtrd mulm1d negsubd pnncand eqtr4d oveq1d 2cnd
    2timesd wne 2ne0 divsubdird divcan3d 3eqtr3d mul12d mulassd sqrtcvallem4 wb
    halfnneg2 mpbird crp 2rp sqrtdivd sqrtcvallem2 resqrtcld 2re 0le2 necon3bii
    sqrt00 mpbir divmuldivd resqcld imcl absvalsq2 mvrladdd subsq eqtr3d fveq2d
    absred reabsifneg sqrtmuld 3eqtr3rd remsqsqrt oveq2d renegcld ifcld divassd
    ovif12 neg1mulneg1e1 adantr wn ifeqda syl5eq divcan2d add32d replim 3eqtr4d
    sqcld sqrtge0d eqeq1d 3bitrd eqtrdi mpbid crred breqtrrd wi wa reim addcomd
    cnsqrt00 half0 addeq0 wo olc eqcom sqeqor addid0 sqeq0 3bitr3d syl5ib ancld
    sylbid w3a simp2 simp1 negidd 2cn div0i sqrt0 simp3 ltnrd eqnbrtrd iffalsed
    0red subnegd absge0 addid2d rered le0neg2d eqbrtrd 3expib syld sqrtcvallem1
    ixi eqsqrtd eqcomd ) ABCZAUADZAUBDZEFZGHFZIDZJAUCDZKUDUEZLUFZLUGZUWEUWFUHFZ
    GHFZIDZMFZMFZEFZAIDUWDUWSAUWDUWIUWRUWDUWIAUIZNZUWDJUWQJBCUWDUJOZUWDUWQUWDUW
    MUWPUWMUMCUWDUWKUWLLUMUKULUNOZAUOZUPZNZUQZURZUWDUSUWDUWSGPFZUWIGPFZGUWIUWRM
    FZMFZEFUWRGPFZEFZAUWDUWIBCUWRBCUXIUXNQUXAUXGUWIUWRVDUTUWDUXJUXMEFZUXLEFUWFJ
    UWJMFZEFUXNAUWDUXOUWFUXLUXPEUWDUXOUWHUWOUFZEFUWHUWOUHFZUWFUWDUXJUWHUXMUXQEU
    WDUWHUWDUWHUWDUWGUWDUWEUWFAVAZAVBZVCZVEZNZVFUWDUXMJGPFZUWQGPFZMFUWLUWOMFUXQ
    UWDJUWQUXBUXFVGUWDUYDUWLUYEUWOMUYDUWLQUWDVHOUWDUYEUWMGPFZUWPGPFZMFLUWOMFUWO
    UWDUWMUWPUWDUWMUXCNZUWDUWPUXDNZVGUWDUYFLUYGUWOMUYFLQUWDUYFUWKUWLGPFZLGPFZUG
    ZUWKLLUGZLUWKUWLLGPVIUYJLQUYKLQUYLUYMQVJVOUWKUYJLUYKLVKVLUWKLVMVPOUWDUWOUWD
    UWOUWDUWNUWDUWEUWFUXSUXTVNZVENZVFVQUWDUWOUYOVRVSVQUWDUWOUYOVTVSVQUWDUWHUWOU
    YCUYOWAUWDUWGUWNUHFZGHFGUWFMFZGHFUXRUWFUWDUYPUYQGHUWDUYPUWFUWFEFUYQUWDUWEUW
    FUWFUWDUWEUXSNZUWDUWFUXTNZUYSWBUWDUWFUYSWFWCWDUWDUWGUWNGUWDUWGUYANZUWDUWNUY
    NNUWDWEZGKWGZUWDWHOZWIUWDUWFGUYSVUAVUCWJWKVSUWDGUWIMFZUWRMFJVUDUWQMFZMFUXLU
    XPUWDVUDJUWQUWDGUWIVUAUXAUQUXBUXFWLUWDGUWIUWRVUAUXAUXGWMUWDVUEUWJJMUWDVUEGU
    WIUWQMFZMFGUWMUWKUWJUFZUWJUGZGHFZMFZMFZUWJUWDGUWIUWQVUAUXAUXFWMUWDVUFVUJGMU
    WDVUFUWMUWIUWPMFZMFVUJUWDUWIUWMUWPUXAUYHUYIWLUWDVULVUIUWMMUWDVULUWGIDZGIDZH
    FZUWNIDZVUNHFZMFVUMVUPMFZVUNVUNMFZHFVUIUWDUWIVUOUWPVUQMUWDUWGGUYAUWDKUWGRUE
    ZKUWHRUEZAWNZUWDUWGUMCVUTVVAWOUYAUWGWPSWQZGWRCUWDWSOZWTUWDUWNGUYNUWDKUWNRUE
    ZKUWORUEZAXAUWDUWNUMCVVEVVFWOUYNUWNWPSWQZVVDWTVQUWDVUMVUNVUPVUNUWDVUMUWDUWG
    UYAVVCXBNUWDVUNUWDGGUMCZUWDXCOKGRUEZUWDXDOXBNZUWDVUPUWDUWNUYNVVGXBNVVJVUNKW
    GZUWDVVKVUBWHVUNKGKVVHVVIVUNKQGKQWOXCXDGXFVLXEXGOZVVLXHUWDVURVUHVUSGHUWDUWJ
    GPFZIDZUWGUWNMFZIDVUHVURUWDVVMVVOIUWDUWEGPFZUWFGPFZUHFZVVMVVOUWDVVPVVQVVMUW
    DVVQUWDUWFUXTXINZUWDVVMUWDUWJAXJZXINZAXKZXLUWDUWEBCZUWFBCZVVRVVOQUYRUYSUWEU
    WFXMUTXNXOUWDUWJUADZVVNVUHUWDUWJVVTXPUWDUWJUMCVWEVUHQVVTUWJXQSXNUWDUWGUWNUY
    AVVCUYNVVGXRXSVUSGQZUWDVVHVVIVWFXCXDGXTVLOVQVSYATYAUWDVUKGUWJGHFZMFUWJUWDVU
    JVWGGMUWDUWMVUHMFZGHFVUJVWGUWDUWMVUHGUYHUWDVUHUWDUWKVUGUWJUMUWDUWJVVTYBVVTY
    CNVUAVUCYDUWDVWHUWJGHUWDVWHUWKUWLVUGMFZLUWJMFZUGUWJUWKUWLLVUGUWJMYEUWDUWKVW
    IVWJUWJUWDVWIUWJQUWKUWDUWLUWLMFZUWJMFZUWLUWLUWJMFZMFUWJVWIUWDUWLUWLUWJUWDUW
    LUWLUMCUWDUKONZVWNUWDUWJVVTNZWMUWDVWLVWJUWJUWDVWKLUWJMVWKLQUWDYFOWDUWDUWJVW
    OVRZTUWDVWMVUGUWLMUWDUWJVWOVTYAXSYGUWDVWJUWJQUWKYHVWPYGYIYJWDXNYAUWDUWJGVWO
    VUAVUCYKTVSYAWKVQUWDUXJUXLUXMUWDUXJUWDUWIUWTXINUWDGUXKVUAUWDUWIUWRUXAUXGUQU
    QUWDUWRUXGYOYLAYMYNTUWDKUWIUWSUBDZRUWDUWHUYBVVBYPUWDUWIUWQUWTUXEUUAZUUBUWDJ
    UWSMFZUCDZKQZVWSUBDZKRUEZUUCVWSWRCYHUWDVXAUWFUWEUFZQZUWJKQZUUDZVXCUWDVXAVXE
    VXGUWDVXAUWIKQZUWHKQZVXEUWDVWTUWIKUWDVWQVWTUWIUWDUWSBCVWQVWTQUXHUWSUUESVWRX
    NYQUWDUWHBCVXHVXIWOUYCUWHUUGSUWDVXIUWGKQZUWFUWEEFZKQZVXEUWDUWGBCVXIVXJWOUYT
    UWGUUHSUWDUWGVXKKUWDUWEUWFUYRUYSUUFYQUWDVWDVWCVXLVXEWOUYSUYRUWFUWEUUIUTYRYR
    UWDVXEVXFVXEUWFUWEQZVXEUUJZUWDVXFVXEVXMUUKUWDVVQVVPQZVVPVVQQZVXNVXFVXOVXPWO
    UWDVVQVVPUULOUWDVWDVWCVXOVXNWOUYSUYRUWFUWEUUMUTUWDVXPVVQVVMEFZVVQQZVVMKQZVX
    FUWDVVPVXQVVQVWBYQUWDVVQBCVVMBCVXRVXSWOVVSVWAVVQVVMUUNUTUWDUWJBCVXSVXFWOVWO
    UWJUUOSYRUUPUUQUURUUSUWDVXEVXFVXCUWDVXEVXFUUTZVXBUWEIDZUFZKRVXTVXBVYBUBDZVY
    BVXTVWSVYBUBVXTVWSJJVYAMFZMFZVYBVXTUWSVYDJMVXTUWSKVYDEFVYDVXTUWIKUWRVYDEVXT
    UWIKIDKVXTUWHKIVXTUWHKGHFKVXTUWGKGHVXTUWGUWEVXDEFKVXTUWFVXDUWEEUWDVXEVXFUVA
    ZYAVXTUWEVXTUWDVWCUWDVXEVXFUVBZUYRSUVCTWDGUVDWHUVEYSXOUVFYSVXTUWQVYAJMVXTUW
    QLVYAMFZVYAVXTUWMLUWPVYAMVXTUWKUWLLVXTUWJKKUDUWDVXEVXFUVGVXTKVXTUVKUVHUVIUV
    JVXTUWOUWEIVXTUWOGUWEMFZGHFZUWEVXTUWNVYIGHVXTUWNUWEVXDUHFZVYIVXTUWFVXDUWEUH
    VYFYAVXTUWDVYKVYIQVYGUWDVYKUWEUWEEFVYIUWDUWEUWEUYRUYRUVLUWDUWEUYRWFWCSTWDVX
    TUWDVYJUWEQVYGUWDUWEGUYRVUAVUCWJSTXOVQVXTUWDVYHVYAQVYGUWDVYAUWDVYAUWDUWEUXS
    AUVMZXBZNZVRSTYAVQVXTVYDVXTUWDVYDBCVYGUWDJVYAUXBVYNUQSUVNTYAVXTUWDVYEVYBQVY
    GUWDJJMFZVYAMFUWLVYAMFVYEVYBUWDVYOUWLVYAMVYOUWLQUWDUWAOWDUWDJJVYAUXBUXBVYNW
    MUWDVYAVYNVTWKSTXOVXTUWDVYCVYBQVYGUWDVYBUWDVYAVYMYBUVOSTVXTUWDVYBKRUEZVYGUW
    DKVYARUEVYPUWDUWEUXSVYLYPUWDVYAVYMUVPYTSUVQUVRUVSUWDVWSUWDJUWSUXBUXHUQUVTYT
    UWBUWC $.

  $( Explicit formula for the complex square root in terms of the square root
     of nonnegative reals.  The right side is slightly more compact than
     ~ sqrtcval .  (Contributed by RP, 18-May-2024.) $)
  sqrtcval2 $p |- ( A e. CC -> ( sqrt ` A ) =
                ( ( sqrt ` ( ( ( abs ` A ) + ( Re ` A ) ) / 2 ) ) +
                  ( if ( ( Im ` A ) < 0 , -u _i , _i ) x.
                    ( sqrt ` ( ( ( abs ` A ) - ( Re ` A ) ) / 2 ) ) ) ) ) $=
    ( cc wcel csqrt cfv cabs caddc co c2 cdiv ci c1 cneg cif cmul ax-icn a1i cr
    wceq recnd cre cim cc0 clt wbr cmin sqrtcval neg1cn mulm1i mulcomli mulid1i
    ovif2 ifeq12 mp2an eqtr2i oveq1d neg1rr 1re ifcli sqrtcvallem3 eqtrd oveq2d
    mulassd eqtr4d ) ABCZADEAFEZAUAEZGHIJHDEZKAUBEUCUDUEZLMZLNZVFVGUFHIJHDEZOHO
    HZGHVHVIKMZKNZVLOHZGHAUGVEVPVMVHGVEVPKVKOHZVLOHVMVEVOVQVLOVOVQSVEVQVIKVJOHZ
    KLOHZNZVOVIKVJLOULVRVNSVSKSVTVOSVJKVNUHPKPUIUJKPUKVIVRVNVSKUMUNUOQUPVEKVKVL
    KBCVEPQVEVKVKRCVEVIVJLRUQURUSQTVEVLAUTTVCVAVBVD $.

  $( Real part of the complex square root.  (Contributed by RP,
     18-May-2024.) $)
  resqrtval $p |- ( A e. CC -> ( Re ` ( sqrt ` A ) ) =
                ( sqrt ` ( ( ( abs ` A ) + ( Re ` A ) ) / 2 ) ) ) $=
    ( cc wcel csqrt cfv cre cabs caddc co c2 cdiv ci cim cc0 clt wbr c1 cneg cr
    cmul cif cmin sqrtcval fveq2d sqrtcvallem5 neg1rr 1re sqrtcvallem3 remulcld
    ifcli a1i crred eqtrd ) ABCZADEZFEAGEZAFEZHIJKIDEZLAMENOPZQRZQUAZUPUQUBIJKI
    DEZTIZTIHIZFEURUNUOVDFAUCUDUNURVCAUEUNVAVBVASCUNUSUTQSUFUGUJUKAUHUIULUM $.

  $( Imaginary part of the complex square root.  (Contributed by RP,
     18-May-2024.) $)
  imsqrtval $p |- ( A e. CC -> ( Im ` ( sqrt ` A ) ) =
                  ( if ( ( Im ` A ) < 0 , -u 1 , 1 ) x.
                    ( sqrt ` ( ( ( abs ` A ) - ( Re ` A ) ) / 2 ) ) ) ) $=
    ( cc wcel csqrt cfv cim cabs cre caddc co c2 cdiv ci cc0 clt wbr c1 cneg cr
    cmul cif cmin sqrtcval fveq2d sqrtcvallem5 neg1rr 1re sqrtcvallem3 remulcld
    ifcli a1i crimd eqtrd ) ABCZADEZFEAGEZAHEZIJKLJDEZMAFENOPZQRZQUAZUPUQUBJKLJ
    DEZTJZTJIJZFEVCUNUOVDFAUCUDUNURVCAUEUNVAVBVASCUNUSUTQSUFUGUJUKAUHUIULUM $.

  $( Example for ~ resqrtval .  (Contributed by RP, 21-May-2024.) $)
  resqrtvalex $p |- ( Re ` ( sqrt ` ( ; 1 5 + ( _i x. 8 ) ) ) ) = 4 $=
    ( c1 c5 cdc c8 cmul co caddc csqrt c2 c4 wceq 1nn0 5nn0 nn0cni c6 7nn0 eqid
    cfv c7 2nn0 ci cre cabs cdiv cexp cc wcel deccl ax-icn 8cn mulcli resqrtval
    addcli ax-mp c3 cr nn0rei 8re absreim mp2an c9 sqvali 1p1e2 7p5e12 addcomli
    mulid2i decaddci mulid1i oveq1i 5p2e7 eqtri 5t5e25 decmul2c decmul1c 8t8e64
    oveq12i 6nn0 4nn0 2cn 6p2e8 decaddi 5p4e9 decadd 7p1e8 7p4e11 7t7e49 eqtr2i
    9nn0 3eqtri fveq2i cc0 cle wbr nn0ge0i sqrtsqi crrei 2p1e3 decaddc mulcomli
    6t2e12 3nn0 2ne0 divmuli mpbir 4t4e16 ) ABCZUADEFZGFZHRUBRZXHUCRZXHUBRZGFZI
    UDFZHRZJIUEFZHRZJXHUFUGXIXNKXFXGXFABLMUHZNZUADUIUJUKUMXHULUNXMXOHXMUOICZIUD
    FZAOCZXOXLXSIUDASABUOIXJXKLPLMXJXFIUEFZDIUEFZGFZHRZASCZIUEFZHRZYFXFUPUGDUPU
    GXJYEKXFXQUQZURXFDUSUTYDYGHYDIICZBCZOJCZGFIDCZVACZYGYBYKYCYLGYBXFXFEFYKXFXR
    VBABYJBXFSXFXQLMXFQZMPABIIAXFEFSLMPXFXRVFVCTSBAICZSPNZBMNZVDVEVGABSBBIXFMLM
    YOMTBAEFZIGFBIGFSYSBIGBYRVHVIVJVKVLVMVNVKYCDDEFYLDUJVBVOVKVPYJBOJYMVAYKYLII
    TTUHMVQVRYKQYLQIIDYJOTTVQYJQOIDOVQNZVSVTVEWAWBWCYGYFYFEFYNYFYFASLPUHZNZVBAS
    YMVAYFAACZYFUUALPYFQZWHAALLUHASAAIDAYFEFUUCLPLLYFUUBVFUUCQVCWDWCASUUCVASJYF
    PLPUUDWHVRSAEFZJGFSJGFUUCUUESJGSYQVHVIWEVKWFVMVNWGWIWJWKYFWLWMYHYFKYFUUAWNY
    FYFUUAUQWOUNWIXFDYIURWPAAGFZAGFIAGFZUOUUFIAGVCVIWQVKTVDWRVIXTYAKIYAEFXSKAOU
    OIIAYATLVQYAQTLIAEFZAGFUUGUOUUHIAGIVSVHVIWQVKOIYPYTVSWTWSVMXSIYAXSUOIXATUHN
    VSYAAOLVQUHNXBXCXDXOJJEFYAJJVRNVBXEWGWIWJWKJWLWMXPJKJVRWNJJVRUQWOUNWI $.

  $( Example for ~ imsqrtval .  (Contributed by RP, 21-May-2024.) $)
  imsqrtvalex $p |- ( Im ` ( sqrt ` ( ; 1 5 + ( _i x. 8 ) ) ) ) = 1 $=
    ( c1 c5 cdc c8 cmul co caddc csqrt cfv cc0 c2 1nn0 5nn0 nn0cni c7 eqid 7nn0
    c4 2nn0 eqtri ci cim clt wbr cneg cif cabs cre cmin cdiv cc wcel wceq deccl
    ax-icn 8cn mulcli addcli imsqrtval ax-mp 8pos 0re 8re ltnsymi nn0rei breq1i
    wn crimi sylnibr iffalsei cexp cr absreim mp2an c6 c9 sqvali mulid2i 7p5e12
    1p1e2 addcomli decaddci mulid1i oveq1i 5p2e7 5t5e25 decmul2c 8t8e64 oveq12i
    6nn0 4nn0 6p2e8 decaddi 5p4e9 decadd 9nn0 7p1e8 7p4e11 7t7e49 eqtr2i 3eqtri
    decmul1c fveq2i cle nn0ge0i sqrtsqi crrei subaddrii 2div2e1 sqrt1 1t1e1 ) A
    BCZUADEFZGFZHIUBIZXNUBIZJUCUDZAUEZAUFZXNUGIZXNUHIZUIFZKUJFZHIZEFZAAEFAXNUKU
    LXOYEUMXLXMXLABLMUNZNZUADUOUPUQURXNUSUTXSAYDAEXQXRAJDUCUDZXQVGVAYHDJUCUDXQJ
    DVBVCVDXPDJUCXLDXLYFVEZVCVHVFVIUTVJYDAHIAYCAHYCKKUJFAYBKKUJYBAOCZXLUIFKXTYJ
    YAXLUIXTXLKVKFZDKVKFZGFZHIZYJKVKFZHIZYJXLVLULDVLULXTYNUMYIVCXLDVMVNYMYOHYMK
    KCZBCZVORCZGFKDCZVPCZYOYKYRYLYSGYKXLXLEFYRXLYGVQABYQBXLOXLYFLMXLPZMQABKKAXL
    EFOLMQXLYGVRVTSOBAKCOQNZBMNZVSWAWBABOBBKXLMLMUUBMSBAEFZKGFBKGFOUUEBKGBUUDWC
    WDWETWFWGXBTYLDDEFYSDUPVQWHTWIYQBVORYTVPYRYSKKSSUNMWJWKYRPYSPKKDYQVOSSWJYQP
    VOKDVOWJNKSNZWLWAWMWNWOYOYJYJEFUUAYJYJAOLQUNZNZVQAOYTVPYJAACZYJUUGLQYJPZWPA
    ALLUNAOAAKDAYJEFUUILQLLYJUUHVRUUIPVTWQWOAOUUIVPORYJQLQUUJWPWKOAEFZRGFORGFUU
    IUUKORGOUUCWCWDWRTWSWGXBWTXAXCJYJXDUDYPYJUMYJUUGXEYJYJUUGVEXFUTXAXLDYIVCXGW
    IYJXLKUUHYGUUFABOXLKLMSUUBWEWMXHTWDXITXCXJTWIXKXA $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Additional statements on relations and subclasses
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Version of ~ ax-4 for a nested implication.  (Contributed by RP,
     13-Apr-2020.) $)
  al3im $p |- ( A. x ( ph -> ( ps -> ( ch -> th ) ) )
                -> ( A. x ph -> ( A. x ps -> ( A. x ch -> A. x th ) ) ) ) $=
    ( wi wal alim al2im syl6 ) ABCDFFZFEGAEGKEGBEGCEGDEGFFAKEHBCDEIJ $.

  ${
    $d x A $.  $d x B $.  $d x a $.
    $( Two ways of expressing the intersection of images of a class.
       (Contributed by RP, 13-Apr-2020.) $)
    intima0 $p |- |^|_ a e. A ( a " B )
                  = |^| { x | E. a e. A x = ( a " B ) } $=
      ( cv cima vex imaex dfiin2 ) DABDEZCFJCDGHI $.
  $}

  ${
    $d a b A $.  $d b B $.  $d a b y $.
    $( Element of image of intersection.  (Contributed by RP, 13-Apr-2020.) $)
    elimaint $p |- ( y e. ( |^| A " B )
                     <-> E. b e. B A. a e. A <. b , y >. e. a ) $=
      ( cv cint cima wcel wbr wrex cop wral vex elima df-br elint2 bitri rexbii
      opex ) AFZBGZCHIEFZUAUBJZECKUCUALZDFIDBMZECKEUAUBCANOUDUFECUDUEUBIUFUCUAU
      BPDUEBUCUATQRSR $.
  $}

  ${
    $d x y $.  $d A y $.  $d B y $.  $d C y $.
    $( Distribute proper substitution through a composition of relations.
       (Contributed by RP, 28-Jun-2020.) $)
    csbcog $p |- ( A e. V -> [_ A / x ]_ ( B o. C )
                             = ( [_ A / x ]_ B o. [_ A / x ]_ C ) ) $=
      ( vy cv ccom csb wceq csbeq1 coeq12d eqeq12d vex nfcsb1v nfco weq csbeq1a
      csbief vtoclg ) AFGZCDHZIZAUACIZAUADIZHZJABUBIZABCIZABDIZHZJFBEUABJZUCUGU
      FUJAUABUBKUKUDUHUEUIAUABCKAUABDKLMAUAUBUFFNAUDUEAUACOAUADOPAFQCUDDUEAUACR
      AUADRLST $.
  $}

  ${
    $d x y z A $.  $d y z B $.
    $( Converse of indexed union.  (Contributed by RP, 20-Jun-2020.) $)
    cnviun $p |- `' U_ x e. A B = U_ x e. A `' B $=
      ( vy vz ciun ccnv relcnv wrel reliun cv wcel a1i mprgbir cop wrex opelcnv
      vex bicomi eliun rexbii bitri 3bitr4i eqrelriiv ) DEABCFZGZABCGZFZUEHUHIU
      GIZABABUGJUIAKBLCHMNEKZDKZOZCLZABPZUKUJOZUGLZABPUOUFLZUOUHLUMUPABUPUMUKUJ
      CDRZERZQSUAUQULUELUNUKUJUEURUSQAULBCTUBAUOBUGTUCUD $.
  $}

  ${
    $d y z A $.  $d y z B $.  $d x y z C $.
    $( The image of an indexed union is the indexed union of the images.
       (Contributed by RP, 29-Jun-2020.) $)
    imaiun1 $p |- ( U_ x e. A B " C ) = U_ x e. A ( B " C ) $=
      ( vy vz ciun cima cv wcel cop wa wex wrex rexcom4 vex elima3 rexbii eliun
      anbi2i r19.42v bitr4i exbii 3bitr4ri 3bitr4i eqriv ) EABCGZDHZABCDHZGZFIZ
      DJZUKEIZKZUGJZLZFMZUMUIJZABNZUMUHJUMUJJULUNCJZLZFMZABNVAABNZFMUSUQVAAFBOU
      RVBABFUMCDEPZQRUPVCFUPULUTABNZLVCUOVEULAUNBCSTULUTABUAUBUCUDFUMUGDVDQAUMB
      UISUEUF $.
  $}

  ${
    $d w y z A $.  $d w x y z B $.  $d w y z C $.
    $( Composition with an indexed union.  Proof analgous to that of ~ coiun .
       (Contributed by RP, 20-Jun-2020.) $)
    coiun1 $p |- ( U_ x e. C A o. B ) = U_ x e. C ( A o. B ) $=
      ( vy vz vw ciun ccom relco wrel cv wcel wbr wa wex wrex cop eliun df-br
      reliun a1i mprgbir rexbii 3bitr4i anbi2i r19.42v bitr4i exbii rexcom4 vex
      opelco bitri eqrelriiv ) EFADBHZCIZADBCIZHZUOCJURKUQKZADADUQUAUSALDMBCJUB
      UCELZGLZCNZVAFLZUONZOZGPZVBVAVCBNZOZGPZADQZUTVCRZUPMVKURMZVFVHADQZGPVJVEV
      MGVEVBVGADQZOVMVDVNVBVAVCRZUOMVOBMZADQVDVNAVODBSVAVCUOTVGVPADVAVCBTUDUEUF
      VBVGADUGUHUIVHAGDUJUHGUTVCUOCEUKZFUKZULVLVKUQMZADQVJAVKDUQSVSVIADGUTVCBCV
      QVRULUDUMUEUN $.
  $}

  ${
    $d x z A $.  $d x z B $.  $d a y z $.  $d b B $.  $d a b x y $.
    $( Element of intersection of images.  (Contributed by RP, 13-Apr-2020.) $)
    elintima $p |- ( y e. |^| { x | E. a e. A x = ( a " B ) }
                     <-> A. a e. A E. b e. B <. b , y >. e. a ) $=
      ( vz cv wrex wcel wel wral vex wi wal wex imbi1i 19.23v bitri albii simpr
      cima wceq cab cop elint2 elequ2 ralab2 wa df-rex eleq2d pm5.74i wbr elima
      cint df-br rexbii imbi2i 3bitr2i imaex isseti 19.42v alcom df-ral 3bitr4i
      mpbiran2 ) BHZAHZEHZDUBZUCZECIZAUDZUOJBGKZGVMLZFHZVGUEVIJZFDIZECLZGVGVMBM
      ZUFVOVLBAKZNZAOZVSVLVNWAGAGABUGUHWCVICJZVKUIZVRNZEOZAOZVSWBWGAWBWEEPZWANW
      EWANZEOWGVLWIWAVKECUJQWEWAERWJWFEWJWEVGVJJZNWFWEWAWKWEVHVJVGWDVKUAUKULWKV
      RWEWKVPVGVIUMZFDIVRFVGVIDVTUNWLVQFDVPVGVIUPUQSURSTUSTWFAOZEOWDVRNZEOWHVSW
      MWNEWMWEAPZVRNWNWEVRARWOWDVRWOWDVKAPAVJVIDEMUTVAWDVKAVBVFQSTWFAEVCVRECVDV
      ESSS $.
  $}

  ${
    $d a x y A $.  $d a x y B $.  $d b A $.  $d b B $.  $d a b y $.  $d x b $.
    $( The image under the intersection of relations is a subset of the
       intersection of the images.  (Contributed by RP, 13-Apr-2020.) $)
    intimass $p |- ( |^| A " B )
                   C_ |^| { x | E. a e. A x = ( a " B ) } $=
      ( vy vb cint cima cv wceq wrex cab cop wcel wral r19.12 elimaint elintima
      3imtr4i ssriv ) EBGCHZAIDIZCHJDBKALGZFIEIZMUBNZDBOFCKUEFCKDBOUDUANUDUCNUE
      FDCBPEBCDFQAEBCDFRST $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The image under the intersection of relations is a subset of the
       intersection of the images.  (Contributed by RP, 13-Apr-2020.) $)
    intimass2 $p |- ( |^| A " B ) C_ |^|_ x e. A ( x " B ) $=
      ( vy cint cima cv wceq wrex cab ciin intimass intima0 sseqtrri ) BECFDGAG
      CFZHABIDJEABOKDBCALDBCAMN $.
  $}

  ${
    $d a x y A $.  $d a x y B $.  $d b A $.  $d b B $.  $d a b y $.  $d x b $.
    $( Requirement for the image under the intersection of relations to equal
       the intersection of the images of those relations.  (Contributed by RP,
       13-Apr-2020.) $)
    intimag $p |- ( A. y ( A. a e. A E. b e. B <. b , y >. e. a
                           -> E. b e. B A. a e. A <. b , y >. e. a )
                    -> ( |^| A " B )
                       = |^| { x | E. a e. A x = ( a " B ) } ) $=
      ( cv cop wcel wrex wral wi wal cint cima wceq cab wb r19.12 id elimaint
      impbid2 elintima 3bitr4g alimi dfcleq sylibr ) FGBGZHEGZIZFDJECKZUJECKFDJ
      ZLZBMUHCNDOZIZUHAGUIDOPECJAQNZIZRZBMUNUPPUMURBUMULUKUOUQUMULUKUJFEDCSUMTU
      BBCDEFUAABCDEFUCUDUEBUNUPUFUG $.
  $}

  ${
    $d y V $.  $d a b y A $.  $d a b y B $.  $d a x A $.  $d x y B $.
    $d x b $.
    $( Two ways to express the image of a singleton when the relation is an
       intersection.  (Contributed by RP, 13-Apr-2020.) $)
    intimasn $p |- ( B e. V -> ( |^| A " { B } )
                               = |^| { x | E. a e. A x = ( a " { B } ) } ) $=
      ( vy vb wcel wal cv cop csn wrex wral wi cint cima wceq cab ax-5 r19.12sn
      biimprd alimi intimag 3syl ) CDHZUFFIGJFJKEJZHZGCLZMEBNZUHEBNGUIMZOZFIBPU
      IQAJUGUIQREBMASPRUFFTUFULFUFUKUJUHGECBDUAUBUCAFBUIEGUDUE $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Two ways to express the image of a singleton when the relation is an
       intersection.  (Contributed by RP, 13-Apr-2020.) $)
    intimasn2 $p |- ( B e. V -> ( |^| A " { B } )
                                  = |^|_ x e. A ( x " { B } ) ) $=
      ( vy wcel cint csn cima cv wceq wrex cab ciin intimasn intima0 eqtr4di )
      CDFBGCHZIEJAJRIZKABLEMGABSNEBCDAOEBRAPQ $.
  $}

  ${
    ss2iundf.xph $e |- F/ x ph $.
    ss2iundf.yph $e |- F/ y ph $.
    ss2iundf.y $e |- F/_ y Y $.
    ss2iundf.a $e |- F/_ y A $.
    ss2iundf.b $e |- F/_ y B $.
    ss2iundf.xc $e |- F/_ x C $.
    ss2iundf.yc $e |- F/_ y C $.
    ss2iundf.d $e |- F/_ x D $.
    ss2iundf.g $e |- F/_ y G $.
    ss2iundf.el $e |- ( ( ph /\ x e. A ) -> Y e. C ) $.
    ss2iundf.sub $e |- ( ( ph /\ x e. A /\ y = Y ) -> D = G ) $.
    ss2iundf.ss $e |- ( ( ph /\ x e. A ) -> B C_ G ) $.
    $d x y z $.  $d z A $.  $d z B $.  $d z C $.  $d z D $.
    $( Subclass theorem for indexed union.  (Contributed by RP,
       17-Jul-2020.) $)
    ss2iundf $p |- ( ph -> U_ x e. A B C_ U_ y e. C D ) $=
      ( vz wss wrex wral ciun cv wcel wa wn wi wal df-ral wceq nfcri nfan simpr
      eleq1d biimprd wb w3a sseq2d 3expa notbid biimpd imim12d alrimi nfel nfss
      ex nfn nfim spcimgft sylc mpid syl5bi con2d dfrex2 syl6ibr ralrimi reximi
      mpd ssel r19.37 syl eliun ssrdv ralimi df-iun sseq1i dfss2 ralbii ralcom4
      cab abss nfiun r19.23 albii 3bitrri 3bitri sylibr ) AEGUCZCFUDZBDUEZBDEUF
      ZCFGUFZUCZAXCBDJABUGDUHZXCAXHUIZEHUCZXCUAXIXJXBUJZCFUEZUJXCXIXLXJXLCUGZFU
      HZXKUKZCULZXIXJUJZXKCFUMXIXPIFUHZXQSXIXMIUNZXOXRXQUKZUKZUKZCULXRXPXTUKXIY
      BCAXHCKCBDMUOUPXIXSYAXIXSUIZXRXNXKXQYCXNXRYCXMIFXIXSUQURUSYCXKXQYCXBXJAXH
      XSXBXJUTAXHXSVAGHETVBVCVDVEVFVJVGSXOXTCIFXRXQCCIFLPVHXJCCEHNRVIVKVLLVMVNV
      OVPVQXBCFVRVSWBVJVTXDEXFUCZBDUEZXGXCYDBDXCUBEXFXCUBUGZEUHZYFGUHZCFUDZYFXF
      UHZXCYGYHUKZCFUDYGYIUKXBYKCFEGYFWCWAYGYHCFCUBENUOWDWECYFFGWFVSWGWHXGYGBDU
      DZUBWNZXFUCYLYJUKZUBULZYEXEYMXFBUBDEWIWJYLUBXFWOYEYGYJUKZUBULZBDUEYPBDUEZ
      UBULYOYDYQBDUBEXFWKWLYPBUBDWMYRYNUBYGYJBDBUBXFCBFGOQWPUOWQWRWSWTXAWE $.
  $}

  ${
    ss2iundv.el $e |- ( ( ph /\ x e. A ) -> Y e. C ) $.
    ss2iundv.sub $e |- ( ( ph /\ x e. A /\ y = Y ) -> D = G ) $.
    ss2iundv.ss $e |- ( ( ph /\ x e. A ) -> B C_ G ) $.
    $d x y ph $.  $d y A $.  $d y B $.  $d x y C $.  $d x D $.  $d y G $.
    $d y Y $.
    $( Subclass theorem for indexed union.  (Contributed by RP,
       17-Jul-2020.) $)
    ss2iundv $p |- ( ph -> U_ x e. A B C_ U_ y e. C D ) $=
      ( nfv nfcv ss2iundf ) ABCDEFGHIABMACMCINCDNCENBFNCFNBGNCHNJKLO $.
  $}

  ${
    cbviuneq12df.xph $e |- F/ x ph $.
    cbviuneq12df.yph $e |- F/ y ph $.
    cbviuneq12df.x $e |- F/_ x X $.
    cbviuneq12df.y $e |- F/_ y Y $.
    cbviuneq12df.xa $e |- F/_ x A $.
    cbviuneq12df.ya $e |- F/_ y A $.
    cbviuneq12df.b $e |- F/_ y B $.
    cbviuneq12df.xc $e |- F/_ x C $.
    cbviuneq12df.yc $e |- F/_ y C $.
    cbviuneq12df.d $e |- F/_ x D $.
    cbviuneq12df.f $e |- F/_ x F $.
    cbviuneq12df.g $e |- F/_ y G $.
    cbviuneq12df.xel $e |- ( ( ph /\ y e. C ) -> X e. A ) $.
    cbviuneq12df.yel $e |- ( ( ph /\ x e. A ) -> Y e. C ) $.
    cbviuneq12df.xsub $e |- ( ( ph /\ y e. C /\ x = X ) -> B = F ) $.
    cbviuneq12df.ysub $e |- ( ( ph /\ x e. A /\ y = Y ) -> D = G ) $.
    cbviuneq12df.eq1 $e |- ( ( ph /\ x e. A ) -> B = G ) $.
    cbviuneq12df.eq2 $e |- ( ( ph /\ y e. C ) -> D = F ) $.

    $d x y $.
    $( Rule used to change the bound variables and classes in an indexed union,
       with the substitution specified implicitly by the hypothesis.
       (Contributed by RP, 17-Jul-2020.) $)
    cbviuneq12df $p |- ( ph -> U_ x e. A B = U_ y e. C D ) $=
      ( ciun cv wcel wa wceq wss eqimss syl ss2iundf eqssd ) ABDEUJCFGUJABCDEFG
      IKLMOQRSTUAUCUEUGABUKDULUMEIUNEIUOUHEIUPUQURACBFGDEHJMLNSUAQPRUBUDUFACUKF
      ULUMGHUNGHUOUIGHUPUQURUS $.
  $}

  ${
    cbviuneq12dv.xel $e |- ( ( ph /\ y e. C ) -> X e. A ) $.
    cbviuneq12dv.yel $e |- ( ( ph /\ x e. A ) -> Y e. C ) $.
    cbviuneq12dv.xsub $e |- ( ( ph /\ y e. C /\ x = X ) -> B = F ) $.
    cbviuneq12dv.ysub $e |- ( ( ph /\ x e. A /\ y = Y ) -> D = G ) $.
    cbviuneq12dv.eq1 $e |- ( ( ph /\ x e. A ) -> B = G ) $.
    cbviuneq12dv.eq2 $e |- ( ( ph /\ y e. C ) -> D = F ) $.

    $d x y ph $.  $d x y A $.  $d y B $.  $d x y C $.  $d x D $.  $d x F $.
    $d y G $.  $d x X $.  $d y Y $.
    $( Rule used to change the bound variables and classes in an indexed union,
       with the substitution specified implicitly by the hypothesis.
       (Contributed by RP, 17-Jul-2020.) $)
    cbviuneq12dv $p |- ( ph -> U_ x e. A B = U_ y e. C D ) $=
      ( nfv nfcv cbviuneq12df ) ABCDEFGHIJKABRACRBJSCKSBDSCDSCESBFSCFSBGSBHSCIS
      LMNOPQT $.
  $}

  ${
    conrel1d.a $e |- ( ph -> `' A = (/) ) $.
    $( Deduction about composition with a class with no relational content.
       (Contributed by RP, 24-Dec-2019.) $)
    conrel1d $p |- ( ph -> ( A o. B ) = (/) ) $=
      ( cdm crn cin incom wceq ccnv dfdm4 rneqd rn0 eqtrdi syl5eq ineq2 in0 syl
      c0 coemptyd ) ABCABEZCFZGUBUAGZSUAUBHAUASIZUCSIAUABJZFZSBKAUFSFSAUESDLMNO
      UDUCUBSGSUASUBPUBQNROT $.
    $( Deduction about composition with a class with no relational content.
       (Contributed by RP, 24-Dec-2019.) $)
    conrel2d $p |- ( ph -> ( B o. A ) = (/) ) $=
      ( cdm crn cin ccnv c0 wceq df-rn ineq2i a1i dmeqd ineq2d dm0 eqtri 3eqtrd
      in0 coemptyd ) ACBACEZBFZGZUABHZEZGZUAIEZGZIUCUFJAUBUEUABKLMAUEUGUAAUDIDN
      OUHIJAUHUAIGIUGIUAPLUASQMRT $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Transitive relations (not to be confused with transitive classes).
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    trrelind.r $e |- ( ph -> ( R o. R ) C_ R ) $.
    trrelind.s $e |- ( ph -> ( S o. S ) C_ S ) $.
    trrelind.t $e |- ( ph -> T = ( R i^i S ) ) $.
    $( The intersection of transitive relations is a transitive relation.
       (Contributed by RP, 24-Dec-2019.) $)
    trrelind $p |- ( ph -> ( T o. T ) C_ T ) $=
      ( cin ccom wss inss1 a1i trrelssd inss2 ssind coeq12d 3sstr4d ) ABCHZRIZR
      DDIDASBCABRRERBJABCKLZTMACRRFRCJABCNLZUAMOADRDRGGPGQ $.
  $}

  ${
    xpintrreld.r $e |- ( ph -> ( R o. R ) C_ R ) $.
    xpintrreld.s $e |- ( ph -> S = ( R i^i ( A X. B ) ) ) $.
    $( The intersection of a transitive relation with a Cartesian product is a
       transitive relation.  (Contributed by RP, 24-Dec-2019.) $)
    xpintrreld $p |- ( ph -> ( S o. S ) C_ S ) $=
      ( cxp ccom wss xptrrel a1i trrelind ) ADBCHZEFNNINJABCKLGM $.
  $}

  ${
    restrreld.r $e |- ( ph -> ( R o. R ) C_ R ) $.
    restrreld.s $e |- ( ph -> S = ( R |` A ) ) $.
    $( The restriction of a transitive relation is a transitive relation.
       (Contributed by RP, 24-Dec-2019.) $)
    restrreld $p |- ( ph -> ( S o. S ) C_ S ) $=
      ( cvv cres cxp cin df-res eqtrdi xpintrreld ) ABGCDEADCBHCBGIJFCBKLM $.
  $}

  ${
    trrelsuperreldg.r $e |- ( ph -> Rel R ) $.
    trrelsuperreldg.s $e |- ( ph -> S = ( dom R X. ran R ) ) $.
    $( Concrete construction of a superclass of relation ` R ` which is a
       transitive relation.  (Contributed by RP, 25-Dec-2019.) $)
    trrelsuperreldg $p |- ( ph -> ( R C_ S /\ ( S o. S ) C_ S ) ) $=
      ( wss ccom cdm crn cxp relssdmrn syl sseqtrrd xptrrel a1i coeq12d 3sstr4d
      wrel jca ) ABCFCCGZCFABBHZBIZJZCABRBUCFDBKLEMAUCUCGZUCTCUDUCFAUAUBNOACUCC
      UCEEPEQS $.
  $}

  ${
    $d x y z $.  $d y A $.
    trficl.a $e |- A = { z | ( z o. z ) C_ z } $.
    $( The class of all transitive relations has the finite intersection
       property.  (Contributed by RP, 1-Jan-2020.)  (Proof shortened by RP,
       3-Jan-2020.) $)
    trficl $p |- A. x e. A A. y e. A ( x i^i y ) e. A $=
      ( cv ccom wss cin cvv vex inex1 wceq id coeq12d sseq12d weq trin2 cllem0
      ) CFZTGZTHAFZBFZIZUDGZUDHUBUBGZUBHUCUCGZUCHABCUDJDEUBUCAKLTUDMZUAUETUDUHT
      UDTUDUHNZUIOUIPCAQZUAUFTUBUJTUBTUBUJNZUKOUKPCBQZUAUGTUCULTUCTUCULNZUMOUMP
      UBUCRS $.
  $}

  $( The converse of a transitive relation is a transitive relation.
     (Contributed by RP, 25-Dec-2019.) $)
  cnvtrrel $p |- ( ( S o. S ) C_ S <-> ( `' S o. `' S ) C_ `' S ) $=
    ( ccom wss ccnv cnvss cnvco cnveqi cocnvcnv1 cocnvcnv2 3eqtri sseq1i biimpi
    eqtri cnvcnvss sstrdi syl impbii bitri ) AABZACZSDZADZCZUBUBBZUBCTUCSAEUCUA
    DZUBDZCZTUAUBEUGSUFAUGSUFCUESUFUEUDDUFUFBZSUAUDAAFZGUBUBFUHAUFBSAUFHAAIMJKL
    ANOPQUAUDUBUIKR $.

  ${
    trrelsuperrel2dg.s $e |- ( ph -> S = ( R u. ( dom R X. ran R ) ) ) $.
    $( Concrete construction of a superclass of relation ` R ` which is a
       transitive relation.  (Contributed by RP, 20-Jul-2020.) $)
    trrelsuperrel2dg $p |- ( ph -> ( R C_ S /\ ( S o. S ) C_ S ) ) $=
      ( wss ccom cdm crn cxp cun ssun1 sseqtrrid ccnv syl eqsstrrid sylib ax-mp
      wceq ssequn1 eqtri xptrrel ssun2 sstri a1i coeq12d coundir wrel cocnvcnv1
      relcnv relssdmrn dmcnvcnv rncnvcnv xpeq12i sseqtrdi coss1 cocnvcnv2 coss2
      coundi eqtrdi 3sstr4d jca ) ABCECCFZCEABBGZBHZIZJZBCBVEKDLAVEVEFZVFVBCVGV
      FEAVGVEVFVCVDUAVEBUBUCUDAVBVFVFFZVGACVFCVFDDUEVHVEVFFZVGVHBVFFZVIJZVIBVEV
      FUFBMZMZUGZVKVIRZVLUIZVNVJVIEVOVNVJVMVFFZVIBVFUHVNVMVEEZVQVIEVNVMVMGZVMHZ
      IVEVMUJVSVCVTVDBUKBULUMUNZVMVEVFUONOVJVISPQTVIVEBFZVGJZVGVEBVEURVNWCVGRZV
      PVNWBVGEWDVNWBVEVMFZVGVEBUPVNVRWEVGEWAVMVEVEUQNOWBVGSPQTTUSDUTVA $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Reflexive closures
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c r* $.

  $( Extend class notation with reflexive closure. $)
  crcl $a class r* $.

  ${
    $d x z $.
    $( Reflexive closure of a relation.  This is the smallest superset which
       has the reflexive property.  (Contributed by RP, 5-Jun-2020.) $)
    df-rcl $a |- r* = ( x e. _V |-> |^| { z | ( x C_ z /\ ( _I |`
                    ( dom z u. ran z ) ) C_ z ) } ) $.
  $}

  ${
    $d x z $.
    $( Reflexive closure of a relation as union with restricted identity
       relation.  (Contributed by RP, 6-Jun-2020.) $)
    dfrcl2 $p |- r* = ( x e. _V |-> ( ( _I |` ( dom x u. ran x ) ) u. x ) ) $=
      ( vz cvv cv wss cid cdm crn cun cres cint cmpt wcel wceq a1i uneq1i unidm
      wa unex eqtri crcl cab df-rcl crab rabab eqcomi inteqi dmex resiexg ax-mp
      vex rnex ssun2 dmun dmresi un23 3eqtri rnun rnresi uneq2i uneq12i reseq2i
      unass ssun1 eqsstri pm3.2i dmeq rneq uneq12d reseq2d id cleq2lem intminss
      sseq12d sylancl eqsstrd wal cin dmss rnss unss12 syl2anc dfss sylib incom
      eqtrdi resres eqtr4di resss adantr simpr sstrd simpl unssd ax-gen ssintab
      wi sylibr eqssd mpteq2ia ) UAACADZBDZEZFXBGZXBHZIZJZXBEZRZBUBZKZLACFXAGZX
      AHZIZJZXAIZLABUCACXKXPXACMZXKXPXQXKXIBCUDZKZXPXKXSNXQXJXRXRXJXIBUEUFUGOXQ
      XPCMZXAXPEZFXPGZXPHZIZJZXPEZRZXSXPEXTXQXOXAXNCMXOCMXLXMXAAUKZUHXAYHULSXNC
      UIUJYHSOYAYFXAXOUMYEXOXPYDXNFYDXNXNIXNYBXNYCXNYBXOGZXLIXNXLIZXNXOXAUNYIXN
      XLXNUOPYJXLXLIZXMIXNXLXMXLUPYKXLXMXLQPTUQYCXOHZXMIXNXMIZXNXOXAURYLXNXMXNU
      SPYMXLXMXMIZIXNXLXMXMVCYNXMXLXMQUTTUQVAXNQTVBXOXAVDVEVFXIYGBXPCXHYFXBXPXA
      XBXPNZXGYEXBXPYOXFYDFYOXDYBXEYCXBXPVGXBXPVHVIVJYOVKVNVLVMVOVPXQXIXPXBEWQZ
      BVQZXPXKEYQXQYPBXIXOXAXBXIXOXGXBXCXOXGEXHXCXOXGXNJZXGXCXOFXFXNVRZJYRXCXNY
      SFXCXNXNXFVRZYSXCXNXFEZXNYTNXCXLXDEXMXEEUUAXAXBVSXAXBVTXLXDXMXEWAWBXNXFWC
      WDXNXFWEWFVJFXFXNWGWHYRXGEXCXGXNWIOVPWJXCXHWKWLXCXHWMWNWOOXIBXPWPWRWSWTT
      $.
  $}

  $( Reflexive closure of a relation as union of powers of the relation.
     (Contributed by RP, 6-Jun-2020.) $)
  dfrcl3 $p |- r* = ( x e. _V |-> ( ( x ^r 0 ) u. ( x ^r 1 ) ) ) $=
    ( crcl cvv cid cv cdm crn cun cres cmpt cc0 crelexp co dfrcl2 wcel relexp0g
    c1 relexp1g uneq12d mpteq2ia eqtr4i ) BACDAEZFUBGHIZUBHZJACUBKLMZUBQLMZHZJA
    NACUGUDUBCOUEUCUFUBUBCPUBCRSTUA $.

  ${
    $d n r $.
    $( Reflexive closure of a relation as indexed union of powers of the
       relation.  (Contributed by RP, 8-Jun-2020.) $)
    dfrcl4 $p |- r* = ( r e. _V |-> U_ n e. { 0 , 1 } ( r ^r n ) ) $=
      ( crcl cvv cv cc0 crelexp co c1 cun cmpt cpr ciun dfrcl3 csn df-pr iuneq1
      wceq oveq2 iunxsn ax-mp iunxun c0ex 1ex uneq12i 3eqtri mpteq2i eqtr4i ) C
      BDBEZFGHZUIIGHZJZKBDAFILZUIAEZGHZMZKBNBDUPULUPAFOZIOZJZUOMZAUQUOMZAURUOMZ
      JULUMUSRUPUTRFIPAUMUSUOQUAAUQURUOUBVAUJVBUKAFUOUJUCUNFUIGSTAIUOUKUDUNIUIG
      STUEUFUGUH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Finite relationship composition.
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  In order for theorems on the transitive closure of a relation to
  be grouped together before the concept of continuity, we really
  need an analogue of ` ^r ` that works on finite ordinals or finite
  sets instead of natural numbers.

$)

  $( A set operated on by the relation exponent to the second power is equal to
     the composition of the set with itself.  (Contributed by RP,
     1-Jun-2020.) $)
  relexp2 $p |- ( R e. V -> ( R ^r 2 ) = ( R o. R ) ) $=
    ( wcel c2 crelexp co c1 caddc ccom wceq df-2 oveq2i a1i cn 1nn relexpsucnnr
    mpan2 relexp1g coeq1d 3eqtrd ) ABCZADEFZAGGHFZEFZAGEFZAIZAAIUBUDJUADUCAEKLM
    UAGNCUDUFJOAGBPQUAUEAAABRST $.

  $( If the domain and range of powers of a relation are disjoint then the
     relation raised to the sum of those exponents is empty.  (Contributed by
     RP, 1-Jun-2020.) $)
  relexpnul $p |- ( ( ( R e. V /\ Rel R ) /\ ( N e. NN0 /\ M e. NN0 ) )
                    -> ( ( dom ( R ^r N ) i^i ran ( R ^r M ) ) = (/)
                         <-> ( R ^r ( N + M ) ) = (/) ) ) $=
    ( crelexp co cdm crn cin c0 wceq ccom wcel wrel wa cn0 caddc coeq0 c1 wi
    simprl simprr simpll simplr a1d relexpaddg syl13anc eqeq1d bitr3id ) ACEFZG
    ABEFZHIJKUJUKLZJKADMZANZOZCPMZBPMZOZOZACBQFZEFZJKUJUKRUSULVAJUSUPUQUMUTSKZU
    NTULVAKUOUPUQUAUOUPUQUBUMUNURUCUSUNVBUMUNURUDUEABCDUFUGUHUI $.

  ${
    $d n r C N .^ $.
    mptiunov2.def $e |- C = ( r e. _V |-> U_ n e. N ( r .^ n ) ) $.

    ${
      $d n r R $.  $d n X $.
      $( Membership in the indexed union over operator values where the index
         varies the second input is equivalent to the existence of at least one
         index such that the element is a member of that operator value.
         Generalized from ~ dfrtrclrec2 .  (Contributed by RP, 1-Jun-2020.) $)
      eliunov2 $p |- ( ( R e. U /\ N e. V )
                       -> ( X e. ( C ` R )
                            <-> E. n e. N X e. ( R .^ n ) ) ) $=
        ( wcel wa cfv cv co wb wi cvv ciun wceq wrex cmpt eqid elex adantr wral
        oveq1 iuneq2d simpr ovex rgenw sylancl fvmptd3 eleq2 eliun a1i sylan9bb
        iunexg mpancom fveq1 eleq2d bibi1d imbi2d ax-mp mpbir ) BCKZFGKZLZHBAMZ
        KZHBDNZEOZKDFUAZPZQZVHHBIRDFINZVKEOZSZUBZMZKZVMPZQZVTDFVLSZTZVHWBVHIBVR
        WDRVSRVSUCVPBTDFVQVLVPBVKEUGUHVFBRKVGBCUDUEVHVGVLRKZDFUFWDRKVFVGUIWFDFB
        VKEUJUKDFVLGRURULUMWEWAHWDKZVHVMVTWDHUNWGVMPVHDHFVLUOUPUQUSAVSTZVOWCPJW
        HVNWBVHWHVJWAVMWHVIVTHBAVSUTVAVBVCVDVE $.
    $}
  $}

  ${
    $d n r C $.
    trclrec.def $e |- C = ( r e. _V |-> U_ n e. NN ( r ^r n ) ) $.

    ${
      $d n r R $.  $d n X $.
      $( Membership in the indexed union of relation exponentiation over the
         natural numbers is equivalent to the existence of at least one number
         such that the element is a member of that relationship power.
         (Contributed by RP, 2-Jun-2020.) $)
      eltrclrec $p |- ( R e. V -> ( X e. ( C ` R )
                                    <-> E. n e. NN X e. ( R ^r n ) ) ) $=
        ( wcel cn cvv cfv cv crelexp co wrex wb nnex eliunov2 mpan2 ) BDHIJHEBA
        KHEBCLMNHCIOPQABDCMIJEFGRS $.
    $}
  $}

  ${
    $d n r C $.
    rtrclrec.def $e |- C = ( r e. _V |-> U_ n e. NN0 ( r ^r n ) ) $.

    ${
      $d n r R $.  $d n X $.
      $( Membership in the indexed union of relation exponentiation over the
         natural numbers (including zero) is equivalent to the existence of at
         least one number such that the element is a member of that
         relationship power.  (Contributed by RP, 2-Jun-2020.) $)
      elrtrclrec $p |- ( R e. V -> ( X e. ( C ` R )
                                     <-> E. n e. NN0 X e. ( R ^r n ) ) ) $=
        ( wcel cn0 cvv cfv cv crelexp co wrex wb nn0ex eliunov2 mpan2 ) BDHIJHE
        BAKHEBCLMNHCIOPQABDCMIJEFGRS $.
    $}
  $}

  ${
    $d n r C N .^ $.
    briunov2.def $e |- C = ( r e. _V |-> U_ n e. N ( r .^ n ) ) $.

    ${
      $d n r R $.  $d n X $.  $d n Y $.
      $( Two classes related by the indexed union over operator values where
         the index varies the second input is equivalent to the existence of at
         least one index such that the two classes are related by that operator
         value.  (Contributed by RP, 1-Jun-2020.) $)
      briunov2 $p |- ( ( R e. U /\ N e. V )
                       -> ( X ( C ` R ) Y
                            <-> E. n e. N X ( R .^ n ) Y ) ) $=
        ( wcel wa cop cfv cv co wrex wbr df-br eliunov2 rexbii 3bitr4g ) BCLFGL
        MHINZBAOZLUDBDPEQZLZDFRHIUESHIUFSZDFRABCDEFGUDJKUAHIUETUHUGDFHIUFTUBUC
        $.
    $}
  $}

  ${
    $d n A $.  $d n B $.  $d n r C N $.  $d n r R $.
    brmptiunrelexpd.c $e |- C = ( r e. _V |-> U_ n e. N ( r ^r n ) ) $.
    brmptiunrelexpd.r $e |- ( ph -> R e. _V ) $.
    brmptiunrelexpd.n $e |- ( ph -> N C_ NN0 ) $.
    $( If two elements are connected by an indexed union of relational powers,
       then they are connected via ` n ` instances the relation, for some
       ` n ` .  Generalization of ~ dfrtrclrec2 .  (Contributed by RP,
       21-Jul-2020.) $)
    brmptiunrelexpd $p |- ( ph -> ( A ( C ` R ) B
                                     <-> E. n e. N A ( R ^r n ) B ) ) $=
      ( cvv wcel cfv wbr cv crelexp co wrex cn0 wss nn0ex ssex briunov2 syl2anc
      wb syl ) AELMGLMZBCEDNOBCEFPQROFGSUFJAGTUAUHKGTUBUCUGDELFQGLBCHIUDUE $.
  $}

  ${
    $d n r N $.  $d n r R $.
    fvmptiunrelexplb0d.c $e |- C = ( r e. _V |-> U_ n e. N ( r ^r n ) ) $.
    fvmptiunrelexplb0d.r $e |- ( ph -> R e. _V ) $.
    fvmptiunrelexplb0d.n $e |- ( ph -> N e. _V ) $.
    fvmptiunrelexplb0d.0 $e |- ( ph -> 0 e. N ) $.
    $( If the indexed union ranges over the zeroth power of the relation, then
       a restriction of the identity relation is a subset of the appliction of
       the function to the relation.  (Contributed by RP, 22-Jul-2020.) $)
    fvmptiunrelexplb0d $p |- ( ph -> ( _I |` ( dom R u. ran R ) )
                                     C_ ( C ` R ) ) $=
      ( cc0 crelexp co cv ciun cid wcel syl cvv wceq cdm crn cun cres cfv oveq2
      wss ssiun2s relexp0g oveq1 iuneq2d wral ovex rgenw iunexg sylancl fvmptd3
      eqcomd 3sstr3d ) ACKLMZDECDNZLMZOZPCUACUBUCUDZCBUEZAKEQUTVCUGJDEVBKUTVAKC
      LUFUHRACSQUTVDTHCSUIRAVEVCAFCDEFNZVALMZOVCSBSGVFCTDEVGVBVFCVALUJUKHAESQVB
      SQZDEULVCSQIVHDECVALUMUNDEVBSSUOUPUQURUS $.
  $}

  ${
    $d n r C N $.  $d n r R $.
    fvmptiunrelexplb0da.c $e |- C = ( r e. _V |-> U_ n e. N ( r ^r n ) ) $.
    fvmptiunrelexplb0da.r $e |- ( ph -> R e. _V ) $.
    fvmptiunrelexplb0da.n $e |- ( ph -> N e. _V ) $.
    fvmptiunrelexplb0da.rel $e |- ( ph -> Rel R ) $.
    fvmptiunrelexplb0da.0 $e |- ( ph -> 0 e. N ) $.
    $( If the indexed union ranges over the zeroth power of the relation, then
       a restriction of the identity relation is a subset of the appliction of
       the function to the relation.  (Contributed by RP, 22-Jul-2020.) $)
    fvmptiunrelexplb0da $p |- ( ph -> ( _I |` U. U. R ) C_ ( C ` R ) ) $=
      ( cid cuni cres cdm crn cun cfv wrel wceq syl reseq2d fvmptiunrelexplb0d
      relfld eqsstrd ) ALCMMZNLCOCPQZNCBRAUFUGLACSUFUGTJCUDUAUBABCDEFGHIKUCUE
      $.
  $}

  ${
    $d n r N $.  $d n r R $.
    fvmptiunrelexplb1d.c $e |- C = ( r e. _V |-> U_ n e. N ( r ^r n ) ) $.
    fvmptiunrelexplb1d.r $e |- ( ph -> R e. _V ) $.
    fvmptiunrelexplb1d.n $e |- ( ph -> N e. _V ) $.
    fvmptiunrelexplb1d.1 $e |- ( ph -> 1 e. N ) $.
    $( If the indexed union ranges over the first power of the relation, then
       the relation is a subset of the appliction of the function to the
       relation.  (Contributed by RP, 22-Jul-2020.) $)
    fvmptiunrelexplb1d $p |- ( ph -> R C_ ( C ` R ) ) $=
      ( c1 crelexp co cv ciun cfv wcel wss oveq2 cvv ssiun2s syl relexp1d oveq1
      wceq iuneq2d wral ovex rgenw iunexg sylancl fvmptd3 eqcomd 3sstr3d ) ACKL
      MZDECDNZLMZOZCCBPZAKEQUOURRJDEUQKUOUPKCLSUAUBACTHUCAUSURAFCDEFNZUPLMZOURT
      BTGUTCUEDEVAUQUTCUPLUDUFHAETQUQTQZDEUGURTQIVBDECUPLUHUIDEUQTTUJUKULUMUN
      $.
  $}

  ${
    brfvid.r $e |- ( ph -> R e. _V ) $.
    $( If two elements are connected by a value of the identity relation, then
       they are connected via the argument.  (Contributed by RP,
       21-Jul-2020.) $)
    brfvid $p |- ( ph -> ( A ( _I ` R ) B <-> A R B ) ) $=
      ( cid cfv cvv wcel wceq fvi syl breqd ) ADFGZDBCADHINDJEDHKLM $.
  $}

  ${
    brfvidRP.r $e |- ( ph -> R e. _V ) $.
    $d n A $.  $d n B $.  $d n r R $.
    $( If two elements are connected by a value of the identity relation, then
       they are connected via the argument.  This is an example which uses
       ~ brmptiunrelexpd .  (Contributed by RP, 21-Jul-2020.)
       (Proof modification is discouraged.) $)
    brfvidRP $p |- ( ph -> ( A ( _I ` R ) B <-> A R B ) ) $=
      ( vn vr cid cfv wbr cv crelexp co c1 csn wrex cn0 1nn0 mp1i breqd wcel wb
      dfid6 wss snssi brmptiunrelexpd wceq oveq2 rexsng cvv relexp1d 3bitrd ) A
      BCDHIJBCDFKZLMZJZFNOZPZBCDNLMZJZBCDJABCHDFUPGGFUCENQUAZUPQUDARNQUESUFUTUQ
      USUBARUOUSFNQUMNUGUNURBCUMNDLUHTUISAURDBCADUJEUKTUL $.
  $}

  ${
    fvilbd.r $e |- ( ph -> R e. _V ) $.
    $( A set is a subset of its image under the identity relation.
       (Contributed by RP, 22-Jul-2020.) $)
    fvilbd $p |- ( ph -> R C_ ( _I ` R ) ) $=
      ( cid cfv ssid cvv wcel wceq fvi syl sseqtrrid ) ABBBDEZBFABGHMBICBGJKL
      $.
  $}

  ${
    $d n r R $.
    fvilbdRP.r $e |- ( ph -> R e. _V ) $.
    $( A set is a subset of its image under the identity relation.
       (Contributed by RP, 22-Jul-2020.)
       (Proof modification is discouraged.) $)
    fvilbdRP $p |- ( ph -> R C_ ( _I ` R ) ) $=
      ( vn vr cid c1 csn dfid6 cvv wcel snex a1i 1ex snid fvmptiunrelexplb1d )
      AFBDGHZEEDICQJKAGLMGQKAGNOMP $.
  $}

  ${
    $d n A $.  $d n B $.  $d n r R $.
    brfvrcld.r $e |- ( ph -> R e. _V ) $.
    $( If two elements are connected by the reflexive closure of a relation,
       then they are connected via zero or one instances the relation.
       (Contributed by RP, 21-Jul-2020.) $)
    brfvrcld $p |- ( ph -> ( A ( r* ` R ) B
                             <-> ( A ( R ^r 0 ) B \/ A ( R ^r 1 ) B ) ) ) $=
      ( vn vr crcl wbr crelexp co cc0 c1 cn0 wcel 0nn0 1nn0 mp2an wceq oveq2 cv
      cfv cpr wrex wo dfrcl4 wss prssi a1i brmptiunrelexpd breqd rexprg bitrdi
      wb ) ABCDHUBIBCDFUAZJKZIZFLMUCZUDZBCDLJKZIZBCDMJKZIZUEZABCHDFURGFGUFEURNU
      GZALNOZMNOZVEPQLMNUHRUIUJVFVGUSVDUNPQUQVAVCFLMNNUOLSUPUTBCUOLDJTUKUOMSUPV
      BBCUOMDJTUKULRUM $.
  $}

  ${
    brfvrcld2.r $e |- ( ph -> R e. _V ) $.
    $( If two elements are connected by the reflexive closure of a relation,
       then they are equal or related by relation.  (Contributed by RP,
       21-Jul-2020.) $)
    brfvrcld2 $p |- ( ph -> ( A ( r* ` R ) B
                              <-> ( ( A e. ( dom R u. ran R )
                                      /\ B e. ( dom R u. ran R )
                                      /\ A = B )
                                    \/ A R B ) ) ) $=
      ( crcl wbr crelexp co wo cdm crn wcel wceq cid cvv breqd wa eleq2i biimpi
      cfv cc0 c1 cun w3a brfvrcld cres relexp0g relres releldmi relelrni dmresi
      syl rnresi anim12i syl2anc resieq biadanii df-3an bitr4i relexp1d orbi12d
      bitrdi bitrd ) ABCDFUAGBCDUBHIZGZBCDUCHIZGZJBDKDLUDZMZCVIMZBCNZUEZBCDGZJA
      BCDEUFAVFVMVHVNAVFBCOVIUGZGZVMAVEVOBCADPMVEVONEDPUHUMQVPVJVKRZVLRVMVPVQVL
      VPBVOKZMZCVOLZMZVQBCVOOVIUIZUJBCVOWBUKVSVJWAVKVSVJVRVIBVIULSTWAVKVTVICVIU
      NSTUOUPVIBCUQURVJVKVLUSUTVCAVGDBCADPEVAQVBVD $.
  $}

  ${
    $d n r R $.
    fvrcllb0d.r $e |- ( ph -> R e. _V ) $.
    $( A restriction of the identity relation is a subset of the reflexive
       closure of a set.  (Contributed by RP, 22-Jul-2020.) $)
    fvrcllb0d $p |- ( ph -> ( _I |` ( dom R u. ran R ) ) C_ ( r* ` R ) ) $=
      ( vn vr crcl cc0 c1 cpr dfrcl4 cvv wcel prex a1i prid1 fvmptiunrelexplb0d
      c0ex ) AFBDGHIZEDEJCRKLAGHMNGRLAGHQONP $.
  $}

  ${
    $d n r R $.
    fvrcllb0da.rel $e |- ( ph -> Rel R ) $.
    fvrcllb0da.r $e |- ( ph -> R e. _V ) $.
    $( A restriction of the identity relation is a subset of the reflexive
       closure of a relation.  (Contributed by RP, 22-Jul-2020.) $)
    fvrcllb0da $p |- ( ph -> ( _I |` U. U. R ) C_ ( r* ` R ) ) $=
      ( vn vr crcl cc0 c1 cpr dfrcl4 cvv wcel prex a1i c0ex fvmptiunrelexplb0da
      prid1 ) AGBEHIJZFEFKDSLMAHINOCHSMAHIPROQ $.
  $}

  ${
    $d n r R $.
    fvrcllb1d.r $e |- ( ph -> R e. _V ) $.
    $( A set is a subset of its image under the reflexive closure.
       (Contributed by RP, 22-Jul-2020.) $)
    fvrcllb1d $p |- ( ph -> R C_ ( r* ` R ) ) $=
      ( vn vr crcl cc0 c1 cpr dfrcl4 cvv wcel prex a1i prid2 fvmptiunrelexplb1d
      1ex ) AFBDGHIZEDEJCRKLAGHMNHRLAGHQONP $.
  $}

  ${
    $d n r C $.
    brtrclrec.def $e |- C = ( r e. _V |-> U_ n e. NN ( r ^r n ) ) $.
    ${
      $d n r R $.  $d n X $.  $d n Y $.
      $( Two classes related by the indexed union of relation exponentiation
         over the natural numbers is equivalent to the existence of at least
         one number such that the two classes are related by that relationship
         power.  (Contributed by RP, 2-Jun-2020.) $)
      brtrclrec $p |- ( R e. V -> ( X ( C ` R ) Y
                                    <-> E. n e. NN X ( R ^r n ) Y ) ) $=
        ( wcel cn cvv cfv wbr cv crelexp co wrex wb nnex briunov2 mpan2 ) BDIJK
        IEFBALMEFBCNOPMCJQRSABDCOJKEFGHTUA $.
    $}
  $}

  ${
    $d n r C $.
    brrtrclrec.def $e |- C = ( r e. _V |-> U_ n e. NN0 ( r ^r n ) ) $.
    ${
      $d n r R $.  $d n X $.  $d n Y $.
      $( Two classes related by the indexed union of relation exponentiation
         over the natural numbers (including zero) is equivalent to the
         existence of at least one number such that the two classes are related
         by that relationship power.  (Contributed by RP, 2-Jun-2020.) $)
      brrtrclrec $p |- ( R e. V -> ( X ( C ` R ) Y
                                     <-> E. n e. NN0 X ( R ^r n ) Y ) ) $=
        ( wcel cn0 cvv cfv wbr cv crelexp co wrex wb nn0ex briunov2 mpan2 ) BDI
        JKIEFBALMEFBCNOPMCJQRSABDCOJKEFGHTUA $.
    $}
  $}

  ${
    $d n r C N .^ $.
    briunov2uz.def $e |- C = ( r e. _V |-> U_ n e. N ( r .^ n ) ) $.
    ${
      $d n r R $.  $d n X $.  $d n Y $.
      $( Two classes related by the indexed union over operator values where
         the index varies the second input is equivalent to the existence of at
         least one index such that the two classes are related by that operator
         value.  The index set ` N ` is restricted to an upper range of
         integers.  (Contributed by RP, 2-Jun-2020.) $)
      briunov2uz $p |- ( ( R e. U /\ N = ( ZZ>= ` M ) )
                         -> ( X ( C ` R ) Y
                              <-> E. n e. N X ( R .^ n ) Y ) ) $=
        ( wcel cuz cfv wceq cvv wbr cv co wrex wb wa simpr fvex eqeltrdi syldan
        briunov2 ) BCLZGFMNZOZGPLHIBANQHIBDRESQDGTUAUHUJUBGUIPUHUJUCFMUDUEABCDE
        GPHIJKUGUF $.
    $}
  $}

  ${
    $d n r C N .^ $.
    eliunov2uz.def $e |- C = ( r e. _V |-> U_ n e. N ( r .^ n ) ) $.

    ${
      $d n r R $.  $d n X $.
      $( Membership in the indexed union over operator values where the index
         varies the second input is equivalent to the existence of at least one
         index such that the element is a member of that operator value.  The
         index set ` N ` is restricted to an upper range of integers.
         (Contributed by RP, 2-Jun-2020.) $)
      eliunov2uz $p |- ( ( R e. U /\ N = ( ZZ>= ` M ) )
                         -> ( X e. ( C ` R )
                              <-> E. n e. N X e. ( R .^ n ) ) ) $=
        ( wcel cuz cfv wceq cvv cv co wrex wb wa simpr eqeltrdi eliunov2 syldan
        fvex ) BCKZGFLMZNZGOKHBAMKHBDPEQKDGRSUFUHTGUGOUFUHUAFLUEUBABCDEGOHIJUCU
        D $.
    $}
  $}

  ${
    $d n r C N .^ $.
    ov2ssiunov2.def $e |- C = ( r e. _V |-> U_ n e. N ( r .^ n ) ) $.

    ${
      $d x .^ $.  $d x C $.  $d n x M $.  $d x N $.  $d r R $.  $d n x R $.
      $d n x U $.  $d n x V $.
      $( Any particular operator value is the subset of the index union over a
         set of operator values.  Generalized from ~ rtrclreclem1 and
         rtrclreclem2 .  (Contributed by RP, 4-Jun-2020.) $)
      ov2ssiunov2 $p |- ( ( R e. U /\ N e. V /\ M e. N )
                          -> ( R .^ M ) C_ ( C ` R ) ) $=
        ( vx wcel w3a co cfv cv wrex simp3 wceq wa simpr oveq2d eleq2d eliunov2
        rspcedv wi biimprd 3adant3 syld ssrdv ) BCLZGHLZFGLZMZKBFENZBAOZUNKPZUO
        LZUQBDPZENZLZDGQZUQUPLZUNVAURDFGUKULUMRUNUSFSZTZUTUOUQVEUSFBEUNVDUAUBUC
        UEUKULVBVCUFUMUKULTVCVBABCDEGHUQIJUDUGUHUIUJ $.
    $}
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The zeroth power of relationships is the same if and only if the union
       of their domain and ranges is the same.  (Contributed by RP,
       11-Jun-2020.) $)
    relexp0eq $p |- ( ( A e. U /\ B e. V ) ->
                      ( ( dom A u. ran A ) = ( dom B u. ran B )
                        <-> ( A ^r 0 ) = ( B ^r 0 ) ) ) $=
      ( vx vy wcel wa cdm crn cun wceq cid cres cc0 crelexp co wb wal bitri weq
      cv copab dfcleq alcom 19.3v wex ax6ev pm5.5 ax-mp 19.23v 3bitr4ri bibi12i
      wi pm5.32 ancom albii 3bitr3i eqopab2bw opabresid eqcomi eqeq12i relexp0g
      3bitr2i eqeqan12d bitr4id ) ACGZBDGZHAIAJKZBIBJKZLZMVINZMVJNZLZAOPQZBOPQZ
      LVKEUBZVIGZFEUAZHZVQVJGZVSHZRZFSZESZVTEFUCZWBEFUCZLVNVKVRWARZESZWEEVIVJUD
      WIFSWHFSZESWIWEWHFEUEWIFUFWJWDEWJVSWHUNZFSZWDVSFUGZWHUNZWHWLWJWMWNWHRFEUH
      WMWHUIUJVSWHFUKWHFUFULWKWCFWKVSVRHZVSWAHZRWCVSVRWAUOWOVTWPWBVSVRUPVSWAUPU
      MTUQTUQURTVTWBEFUSWFVLWGVMVLWFEFVIUTVAVMWGEFVJUTVAVBVDVGVHVOVLVPVMACVCBDV
      CVEVF $.
  $}

  ${
    $d x R $.  $d x V $.  $d x Z $.
    $( Simplification of zeroth power of indexed union of powers of relations.
       (Contributed by RP, 19-Jun-2020.) $)
    iunrelexp0 $p |- ( ( R e. V /\ Z C_ NN0 /\ ( { 0 , 1 } i^i Z ) =/= (/) )
                       -> ( U_ x e. Z ( R ^r x ) ^r 0 ) = ( R ^r 0 ) ) $=
      ( wcel cn0 wss cc0 c1 cin c0 crelexp ciun cun wceq eqtrdi eqtrd wral cvv
      wn cpr wne w3a cv csn df-pr ineq1i indir eqtr2i uneq1i inss2 ssequn1 mpbi
      co iuneq1 oveq1d ax-mp cdm crn dmiun iunxun equncomi 3eqtri rniun uneq12i
      uncom un4 eqtri wo wa wi df-ne incom ineq2i indi eqeq1i un00 anor 3bitr2i
      notbii notnotb disjsn bitr4i orbi12i sylbb simpl snssd df-ss iuneq1d c0ex
      sylib oveq2 dmeqd iunxsn cid cres relexp0g ad2antll dmresi rnresi uneq12d
      rneqd unidm uneq1d relexpdmg expcom ralrimiv olc ad2antrl inss syl imim1d
      sseld ralimdv2 mpd iunss sylibr relexprng unssd ssequn2 1ex relexp1g jaoi
      ex uneq2d 3impib 3com13 adantr ssel adantl 3adant3 syl5eq wb nn0ex inex1g
      ssex eqeltrrid unexg syl2anc mpancom ovex rgenw iunexg 3ad2ant2 relexp0eq
      sylancl simp1 mpbid ) BCEZDFGZHIUAZDJZKUBZUCZADBAUDZLUNZMZHLUNZAHUEZDJZIU
      EZDJZNZDNZUUPMZHLUNZBHLUNZDUVDOZUURUVFOUVDUULDNZDUVCUULDUULUUSUVANZDJUVCU
      UKUVJDHIUFZUGUUSUVADUHUIUJUULDGUVIDOUUKDUKUULDULUMUIUVHUUQUVEHLADUVDUUPUO
      UPUQUUNUVEURZUVEUSZNZBURZBUSZNZOZUVFUVGOZUUNUVNAUUTUUPURZMZAUUTUUPUSZMZNZ
      AUVBUVTMZAUVBUWBMZNZNZADUVTMZADUWBMZNZNZUVQUVNUWIUWEUWANZNZUWCUWFNZUWJNZN
      ZUWMUWONZUWKNZUWLUVLUWNUVMUWPUVLAUVDUVTMAUVCUVTMZUWINZUWNAUVDUUPUTAUVCDUV
      TVAUXAUWMUWIUWTUWMUWIUWTUWAUWEAUUTUVBUVTVAVBUJVBVCUVMAUVDUWBMAUVCUWBMZUWJ
      NUWPAUVDUUPVDAUVCDUWBVAUXBUWOUWJAUUTUVBUWBVAUJVCVEUWQUWMUWINZUWPNUWSUWNUX
      CUWPUWIUWMVFUJUWMUWIUWOUWJVGVHUWRUWHUWKUWRUWAUWENZUWONUWHUWMUXDUWOUWEUWAV
      FUJUWAUWEUWCUWFVGVHUJVCUUNUWLUVQUWKNZUVQUUNUWHUVQUWKUUMUUJUUIUWHUVQOZUUMU
      UJUUIUXFUUMHDEZIDEZVIZUUJUUIVJZUXFVKZUUMUULKOZTZUXIUULKVLUXMDUUSJZKOZTZDU
      VAJZKOZTZVIZTZTUXTUXIUXLUYAUXLUXNUXQNZKOUXOUXRVJUYAUULUYBKUULDUUKJDUVJJUY
      BUUKDVMUUKUVJDUVKVNDUUSUVAVOVCVPUXNUXQVQUXOUXRVRVSVTUXTWAUXPUXGUXSUXHUXPU
      XGTZTUXGUXOUYCDHWBVTUXGWAWCUXSUXHTZTUXHUXRUYDDIWBVTUXHWAWCWDVSWEUXGUXKUXH
      UXGUXJUXFUXGUXJVJZUWHUVQUWGNZUVQUYEUWDUVQUWGUYEUWDUVQUVQNUVQUYEUWAUVQUWCU
      VQUYEUWAUVGURZUVQUYEUWAAUUSUVTMUYGUYEAUUTUUSUVTUYEUUSDGUUTUUSOUYEHDUXGUXJ
      WFWGUUSDWHWKZWIAHUVTUYGWJUUOHOZUUPUVGUUOHBLWLZWMWNPUYEUYGWOUVQWPZURUVQUYE
      UVGUYKUUIUVGUYKOUXGUUJBCWQWRZWMUVQWSPQUYEUWCUVGUSZUVQUYEUWCAUUSUWBMUYMUYE
      AUUTUUSUWBUYHWIAHUWBUYMWJUYIUUPUVGUYJXBWNPUYEUYMUYKUSUVQUYEUVGUYKUYLXBUVQ
      WTPQXAUVQXCPXDUYEUWGUVQGUYFUVQOUYEUWEUWFUVQUYEUVTUVQGZAUVBRZUWEUVQGUYEUYN
      AFRZUYOUUIUYPUXGUUJUUIUYNAFUUOFEZUUIUYNBUUOCXEXFXGZWRUYEUYNUYNAFUVBUYEUUO
      UVBEZUYQUYNUYEUVBFUUOUYEUVAFGZUUJVIZUVBFGUUJVUAUXGUUIUUJUYTXHXIUVADFXJXKX
      MZXLXNXOAUVBUVTUVQXPXQUYEUWBUVQGZAUVBRZUWFUVQGUYEVUCAFRZVUDUUIVUEUXGUUJUU
      IVUCAFUYQUUIVUCBUUOCXRXFXGZWRUYEVUCVUCAFUVBUYEUYSUYQVUCVUBXLXNXOAUVBUWBUV
      QXPXQXSUWGUVQXTWKQYDUXHUXJUXFUXHUXJVJZUWHUWDUVQNZUVQVUGUWGUVQUWDVUGUWEUVO
      UWFUVPVUGUWEBILUNZURZUVOVUGUWEAUVAUVTMVUJVUGAUVBUVAUVTVUGUVADGUVBUVAOVUGI
      DUXHUXJWFWGUVADWHWKZWIAIUVTVUJYAUUOIOZUUPVUIUUOIBLWLZWMWNPVUGVUIBUUIVUIBO
      UXHUUJBCYBWRZWMQVUGUWFVUIUSZUVPVUGUWFAUVAUWBMVUOVUGAUVBUVAUWBVUKWIAIUWBVU
      OYAVULUUPVUIVUMXBWNPVUGVUIBVUNXBQXAYEVUGUWDUVQGVUHUVQOVUGUWAUWCUVQVUGUYNA
      UUTRZUWAUVQGVUGUYPVUPUUIUYPUXHUUJUYRWRVUGUYNUYNAFUUTVUGUUOUUTEZUYQUYNVUGU
      UTFUUOVUGUUSFGZUUJVIZUUTFGUUJVUSUXHUUIUUJVURXHXIUUSDFXJXKXMZXLXNXOAUUTUVT
      UVQXPXQVUGVUCAUUTRZUWCUVQGVUGVUEVVAUUIVUEUXHUUJVUFWRVUGVUCVUCAFUUTVUGVUQU
      YQVUCVUTXLXNXOAUUTUWBUVQXPXQXSUWDUVQULWKQYDYCXKYFYGXDUUNUWKUVQGZUXEUVQOUU
      IUUJVVBUUMUUIUUJVJZUWIUWJUVQVVCUYNADRZUWIUVQGVVCUYPVVDUUIUYPUUJUYRYHVVCUY
      NUYNAFDVVCUUODEZUYQUYNUUJVVEUYQVKUUIDFUUOYIYJZXLXNXOADUVTUVQXPXQVVCVUCADR
      ZUWJUVQGVVCVUEVVGUUIVUEUUJVUFYHVVCVUCVUCAFDVVCVVEUYQVUCVVFXLXNXOADUWBUVQX
      PXQXSYKUWKUVQXTWKQYLUUNUVESEZUUIUVRUVSYMUUJUUIVVHUUMUUJDSEZVVHDFYNYPVVIUV
      DSEZUUPSEZAUVDRVVHUVCSEZVVIVVJVVIUUTSEUVBSEVVLVVIUUTUXNSDUUSVMDUUSSYOYQVV
      IUVBUXQSDUVAVMDUVASYOYQUUTUVBSSYRYSUVCDSSYRYTVVKAUVDBUUOLUUAUUBAUVDUUPSSU
      UCUUFXKUUDUUIUUJUUMUUGUVEBSCUUEYSUUHYL $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x N $.  $d x y U $.  $d x y V $.
    $( Any positive power of a Cartesian product of non-disjoint sets is
       itself.  (Contributed by RP, 13-Jun-2020.) $)
    relexpxpnnidm $p |- ( N e. NN
                        -> ( ( A e. U /\ B e. V /\ ( A i^i B ) =/= (/) )
                             -> ( ( A X. B ) ^r N ) = ( A X. B ) ) ) $=
      ( vx vy wcel w3a cv crelexp co wceq wi c1 oveq2 eqeq1d imbi2d cvv 3syl c0
      cin wne cxp caddc weq wa 3simpa xpexg relexp1g cn ccom simp2 relexpsucnnr
      simp1 syl2anc simp3 coeq1d simp23 xpcoidgend 3eqtrd 3exp a2d nnind ) ACHZ
      BEHZABUBUAUCZIZABUDZFJZKLZVIMZNVHVIOKLZVIMZNVHVIGJZKLZVIMZNVHVIVOOUELZKLZ
      VIMZNVHVIDKLZVIMZNFGDVJOMZVLVNVHWCVKVMVIVJOVIKPQRFGUFZVLVQVHWDVKVPVIVJVOV
      IKPQRVJVRMZVLVTVHWEVKVSVIVJVRVIKPQRVJDMZVLWBVHWFVKWAVIVJDVIKPQRVHVEVFUGZV
      ISHZVNVEVFVGUHZABCEUIZVISUJTVOUKHZVHVQVTWKVHVQVTWKVHVQIZVSVPVIULZVIVIULVI
      WLWHWKVSWMMWLVHWGWHWKVHVQUMWIWJTWKVHVQUOVIVOSUNUPWLVPVIVIWKVHVQUQURWLABWK
      VEVFVGVQUSUTVAVBVCVD $.
  $}

  ${
    $d x y A $.  $d x N $.  $d x y V $.
    $( Any power of any restriction of the identity relation is itself.
       (Contributed by RP, 12-Jun-2020.) $)
    relexpiidm $p |- ( ( A e. V /\ N e. NN0 )
                     -> ( ( _I |` A ) ^r N ) = ( _I |` A ) ) $=
      ( vx vy cn0 wcel cid cres crelexp co wceq cv wi cc0 eqeq1d imbi2d cun cvv
      oveq2 c1 caddc weq cdm crn resiexg relexp0g syl dmresi rnresi unidm eqtri
      uneq12i reseq2i eqtrdi w3a ccom relres a1i simp3 relexpsucrd simp1 coeq1d
      wrel coires1 residm eqtrd 3exp com13 a2d nn0ind impcom ) BFGACGZHAIZBJKZV
      NLZVMVNDMZJKZVNLZNVMVNOJKZVNLZNVMVNEMZJKZVNLZNVMVNWBUAUBKZJKZVNLZNVMVPNDE
      BVQOLZVSWAVMWHVRVTVNVQOVNJTPQDEUCZVSWDVMWIVRWCVNVQWBVNJTPQVQWELZVSWGVMWJV
      RWFVNVQWEVNJTPQVQBLZVSVPVMWKVRVOVNVQBVNJTPQVMVTHVNUDZVNUEZRZIZVNVMVNSGVTW
      OLACUFVNSUGUHWNAHWNAARAWLAWMAAUIAUJUMAUKULUNUOWBFGZVMWDWGWDVMWPWGWDVMWPWG
      WDVMWPUPZWFWCVNUQZVNWQVNWBVNVDWQHAURUSWDVMWPUTVAWQWRVNVNUQZVNWQWCVNVNWDVM
      WPVBVCWSVNAIVNVNAVEHAVFULUOVGVHVIVJVKVL $.
  $}

  ${
    $d x y ph $.  $d x y A $.  $d x y B $.  $d x N $.
    relexpss1d.a $e |- ( ph -> A C_ B ) $.
    relexpss1d.b $e |- ( ph -> B e. _V ) $.
    relexpss1d.n $e |- ( ph -> N e. NN0 ) $.
    $( The relational power of a subset is a subset.  (Contributed by RP,
       17-Jun-2020.) $)
    relexpss1d $p |- ( ph -> ( A ^r N ) C_ ( B ^r N ) ) $=
      ( wcel cc0 wceq crelexp co wss wi c1 oveq2 sseq12d imbi2d cvv 3syl vx cn0
      vy cn wo elnn0 sylib caddc weq ssexd relexp1d 3sstr4d ccom simp3 3ad2ant2
      cv w3a coss12d simp1 relexpsucnnr syl2anc 3exp a2d nnind cid cdm crn cres
      wa cun simpr dmss rnss jca unss12 ssres2 simpl oveq2d relexp0g eqtrd jaoi
      ex mpcom ) DUDHZDIJZUEZABDKLZCDKLZMZADUBHWFGDUFUGWDAWINZWEABUAUPZKLZCWKKL
      ZMZNABOKLZCOKLZMZNABUCUPZKLZCWRKLZMZNABWROUHLZKLZCXBKLZMZNWJUAUCDWKOJZWNW
      QAXFWLWOWMWPWKOBKPWKOCKPQRUAUCUIZWNXAAXGWLWSWMWTWKWRBKPWKWRCKPQRWKXBJZWNX
      EAXHWLXCWMXDWKXBBKPWKXBCKPQRWKDJZWNWIAXIWLWGWMWHWKDBKPWKDCKPQRABCWOWPEABS
      ABCSFEUJZUKACSFUKULWRUDHZAXAXEXKAXAXEXKAXAUQZWSBUMZWTCUMZXCXDXLWSWTBCXKAX
      AUNAXKBCMZXAEUOURXLBSHZXKXCXMJAXKXPXAXJUOXKAXAUSZBWRSUTVAXLCSHZXKXDXNJAXK
      XRXAFUOXQCWRSUTVAULVBVCVDWEAWIWEAVIZVEBVFZBVGZVJZVHZVECVFZCVGZVJZVHZWGWHX
      SAYBYFMZYCYGMWEAVKZAXOXTYDMZYAYEMZVIYHEXOYJYKBCVLBCVMVNXTYDYAYEVOTYBYFVEV
      PTXSWGBIKLZYCXSDIBKWEAVQZVRXSAXPYLYCJYIXJBSVSTVTXSWHCIKLZYGXSDICKYMVRXSAX
      RYNYGJYIFCSVSTVTULWBWAWC $.
  $}

  ${
    $d a i .^ $.  $d b .^ $.  $d c .^ $.  $d a i I $.  $d k I $.  $d a i j J $.
    $d b J $.  $d k J $.  $d c k K $.  $d d X $.  $d d Y $.  $d d Z $.
    $d a d i j $.  $d b d j $.  $d c d k $.
    comptiunov2.x $e |- X = ( a e. _V |-> U_ i e. I ( a .^ i ) ) $.
    comptiunov2.y $e |- Y = ( b e. _V |-> U_ j e. J ( b .^ j ) ) $.
    comptiunov2.z $e |- Z = ( c e. _V |-> U_ k e. K ( c .^ k ) ) $.
    comptiunov2.i $e |- I e. _V $.
    comptiunov2.j $e |- J e. _V $.
    comptiunov2.k $e |- K = ( I u. J ) $.
    comptiunov2.1 $e |- U_ k e. I ( d .^ k )
                        C_ U_ i e. I ( U_ j e. J ( d .^ j ) .^ i ) $.
    comptiunov2.2 $e |- U_ k e. J ( d .^ k )
                        C_ U_ i e. I ( U_ j e. J ( d .^ j ) .^ i ) $.
    comptiunov2.3 $e |- U_ i e. I ( U_ j e. J ( d .^ j ) .^ i )
                        C_ U_ k e. ( I u. J ) ( d .^ k ) $.
    $( The composition two indexed unions is sometimes a similar indexed union.
       (Contributed by RP, 10-Jun-2020.) $)
    comptiunov2i $p |- ( X o. Y ) = Z $=
      ( ccom wfun wceq cvv cv ciun funmpt2 funco mp2an cdm cfv wral crn wss ssv
      co wa ovex iunex dmmpti sseqtrri dmcosseq ax-mp eqtri unex eqeltri eqtr4i
      cun wcel vex eleqtrri fvco weq oveq1 iuneq2d fvmpt fveq2i 3eqtri raleqbii
      elv eqeq12i iunxun unssi eqsstri eqssi iuneq1 a1i mprgbir eqfunfv biimprd
      mp2ani ) HIUDZUEZJUEZWOJUFZHUEIUEZWPKUGAEKUHZAUHZDUSZUIZHOUJLUGBFLUHZBUHZ
      DUSZUIZIPUJZHIUKULMUGCGMUHZCUHZDUSZUIZJQUJWPWQUTZWOUMZJUMZUFZNUHZWOUNZXQJ
      UNZUFZNXNUOZWRXNUGXOXNIUMZUGIUPZHUMZUQXNYBUFYCUGYDYCURKUGXCHAEXBRWTXADVAV
      BOVCVDHIVEVFLUGXGIBFXFSXDXEDVAVBPVCZVGZMUGXLJCGXKGEFVKZUGTEFRSVHVIZXIXJDV
      AVBQVCVJYAAEBFXQXEDUSZUIZXADUSZUIZCGXQXJDUSZUIZUFZNUGXTYONXNUGYFXRYLXSYNX
      RXQIUNZHUNZYJHUNZYLWSXQYBVLXRYQUFXHXQUGYBNVMYEVNXQHIVOULYPYJHYPYJUFNLXQXG
      YJUGILNVPBFXFYIXDXQXEDVQVRPBFYISXQXEDVAVBZVSWCVTYJUGVLYRYLUFYSKYJXCYLUGHW
      TYJUFAEXBYKWTYJXADVQVROAEYKRYJXADVAVBVSVFWAXSYNUFNMXQXLYNUGJMNVPCGXKYMXIX
      QXJDVQVRQCGYMYHXQXJDVAVBVSWCWDWBYOXQUGVLYLCYGYMUIZYNYLYTUCYTCEYMUIZCFYMUI
      ZVKYLCEFYMWEUUAUUBYLUAUBWFWGWHGYGUFYNYTUFTCGYGYMWIVFVJWJWKXMWRXPYAUTNWOJW
      LWMWNUL $.
  $}

  ${
    $d a b c d i j k $.
    $( The reflexive closure is idempotent.  (Contributed by RP,
       13-Jun-2020.) $)
    corclrcl $p |- ( r* o. r* ) = r* $=
      ( vi vj vk vd crelexp cc0 c1 crcl cun cv ciun oveq2 wcel wceq ax-mp eqtri
      co cvv wss cn0 va vb vc cpr dfrcl4 prex unidm eqcomi csn cbviunv 1ex ovex
      iunxsn iunex relexp1g snsspr2 iunss1 eqsstri prid1 ssiun2s eqimssi unss12
      c0ex mp2an df-pr iuneq1 iunxun cin c0 wne vex 0nn0 1nn0 prssi elini ne0ii
      iunrelexp0 mp3an uneq12i 3sstr4i comptiunov2i ) ABCEFGUDZWBWBHHHUAUBUCDAU
      AUEBUBUECUCUEFGUFZWCWBWBIZWBWBUGUHCWBDJZCJZEQZKZAGUIZBWBWEBJZEQZKZAJZEQZK
      ZAWBWNKZWHWLWOCBWBWGWKWFWJWEELUJWOWLWOWLGEQZWLAGWNWQUKWMGWLELUMWLRMWQWLNB
      WBWKWCWEWJEULUNWLRUOOPZUHPWIWBSWOWPSFGUPAWIWBWNUQOURZWSWEFEQZWLIZWHWHIZWP
      CWDWGKWTWHSZWLWHSXAXBSFWBMXCFGVCUSZCWBWGFWTWFFWEELUTOWLWHBCWBWKWGWJWFWEEL
      UJVAWTWHWLWHVBVDWPAFUIZWIIZWNKZXAWBXFNWPXGNFGVEAWBXFWNVFOXGAXEWNKZWOIXAAX
      EWIWNVGXHWTWOWLXHWLFEQZWTAFWNXIVCWMFWLELUMWERMWBTSZWBWBVHZVIVJXIWTNDVKFTM
      GTMXJVLVMFGTVNVDFXKFWBWBXDXDVOVPBWERWBVQVRPWRVSPPCWBWBWGVGVTWA $.
  $}

  ${
    $d n r C N $.
    iunrelexpmin1.def $e |- C = ( r e. _V |-> U_ n e. N ( r ^r n ) ) $.

    ${
      $d s N $.  $d n r R $.  $d s x y R $.  $d n r V $.  $d s x y V $.
      $d n s x $.  $d s x y $.
      $( The indexed union of relation exponentiation over the natural numbers
         is the minimum transitive relation that includes the relation.
         (Contributed by RP, 4-Jun-2020.) $)
      iunrelexpmin1 $p |- ( ( R e. V /\ N = NN )
                            -> A. s ( ( R C_ s /\ ( s o. s ) C_ s )
                                      -> ( C ` R ) C_ s ) ) $=
        ( wcel cn wceq wa cv wss wi crelexp co c1 sseq1d imbi2d vx vy ccom ciun
        cfv cvv simplr simpr oveq1d iuneq12d elex adantr nnex iunex a1i fvmptd2
        ovex relexp1g anbi1d wral caddc oveq2 weq simprl w3a simp2l relexpaddnn
        simp1 1nn syl3anc simp2rr simp3 simp2rl trrelssd eqsstrrd 3exp ralrimiv
        a2d nnind com12 iunss sylibr ex sylbird sseq1 syl5ibr mpcom alrimiv ) B
        EIZDJKZLZBFMZNZWLWLUCWLNZLZBAUEZWLNZOZFWPCJBCMZPQZUDZKZWKWRWKGBCDGMZWSP
        QZUDXAUFAUFHWKXCBKZLZCDJXDWTWIWJXEUGXFXCBWSPWKXEUHUIUJWIBUFIWJBEUKULXAU
        FIWKCJWTUMBWSPUQUNUOUPWKWRXBWOXAWLNZOZWIXHWJWIWOBRPQZWLNZWNLZXGWIXJWMWN
        WIXIBWLBEURSUSWIXKXGWIXKLZWTWLNZCJUTXGXLXMCJWSJIXLXMXLBUAMZPQZWLNZOXLXJ
        OXLBUBMZPQZWLNZOXLBXQRVAQZPQZWLNZOXLXMOUAUBWSXNRKZXPXJXLYCXOXIWLXNRBPVB
        STUAUBVCZXPXSXLYDXOXRWLXNXQBPVBSTXNXTKZXPYBXLYEXOYAWLXNXTBPVBSTUACVCZXP
        XMXLYFXOWTWLXNWSBPVBSTWIXJWNVDXQJIZXLXSYBYGXLXSYBYGXLXSVEZYAXRXIUCZWLYH
        YGRJIZWIYIYAKYGXLXSVHYJYHVIUOYGWIXKXSVFBRXQEVGVJYHWLXRXIXJWNWIYGXSVKYGX
        LXSVLXJWNWIYGXSVMVNVOVPVRVSVTVQCJWTWLWAWBWCWDULXBWQXGWOWPXAWLWETWFWGWH
        $.
    $}
  $}

  ${
    $d x y I $.  $d x y J $.  $d x y K $.  $d x y R $.  $d x y V $.
    $( With exponents limited to the counting numbers, the composition of
       powers of a relation is the relation raised to the product of exponents.
       (Contributed by RP, 13-Jun-2020.) $)
    relexpmulnn $p |- ( ( ( R e. V /\ I = ( J x. K ) )
                      /\ ( J e. NN /\ K e. NN ) )
                      -> ( ( R ^r J ) ^r K ) = ( R ^r I ) ) $=
      ( vx wcel cmul co wceq cn crelexp wi c1 caddc oveq2 oveq2d eqeq12d imbi2d
      eqtrd vy wa w3a cv weq cvv ovexd relexp1d cr simp1 nnre ax-1rid 3syl ccom
      eqcomd ovex relexpsucnnr sylancr simp3 coeq1d simp21 nnmulcld relexpaddnn
      simp22 syl3anc nncnd 1cnd adddid mulid1d eqtr2d 3exp a2d nnind 3expd impd
      impcom simplr ) AEGZBCDHIZJZUBZCKGZDKGZUBZUBZACLIZDLIZAVSLIZABLIWDWAWGWHJ
      ZWDVRVTWIWCWBVRVTWIMMWCWBVRVTWIWBVRVTUCZWFFUDZLIZACWKHIZLIZJZMWJWFNLIZACN
      HIZLIZJZMWJWFUAUDZLIZACWTHIZLIZJZMWJWFWTNOIZLIZACXEHIZLIZJZMWJWIMFUADWKNJ
      ZWOWSWJXJWLWPWNWRWKNWFLPXJWMWQALWKNCHPQRSFUAUEZWOXDWJXKWLXAWNXCWKWTWFLPXK
      WMXBALWKWTCHPQRSWKXEJZWOXIWJXLWLXFWNXHWKXEWFLPXLWMXGALWKXECHPQRSWKDJZWOWI
      WJXMWLWGWNWHWKDWFLPXMWMVSALWKDCHPQRSWJWPWFWRWJWFUFWJACLUGUHWJCWQALWJWQCWJ
      WBCUIGWQCJWBVRVTUJCUKCULUMUOQTWTKGZWJXDXIXNWJXDXIXNWJXDUCZXFXAWFUNZXHXOWF
      UFGXNXFXPJACLUPXNWJXDUJZWFWTUFUQURXOXPAXBCOIZLIZXHXOXPXCWFUNZXSXOXAXCWFXN
      WJXDUSUTXOXBKGWBVRXTXSJXOCWTXNWBVRVTXDVAZXQVBYAXNWBVRVTXDVDACXBEVCVETXOXR
      XGALXOXGXBWQOIXRXOCWTNXOCYAVFZXOWTXQVFXOVGVHXOWQCXBOXOCYBVIQVJQTTVKVLVMVN
      VPVOVPWEVSBALWEBVSVRVTWDVQUOQT $.
  $}

  $( With ordered exponents, the composition of powers of a relation is the
     relation raised to the product of exponents.  (Contributed by RP,
     13-Jun-2020.) $)
  relexpmulg $p |- ( ( ( R e. V /\ I = ( J x. K ) /\ ( I = 0 -> J <_ K ) )
                     /\ ( J e. NN0 /\ K e. NN0 ) )
                     -> ( ( R ^r J ) ^r K ) = ( R ^r I ) ) $=
    ( cn0 wcel wa cmul co wceq cc0 cle wi crelexp oveq2d 3eqtrd syl ex cvv jcnd
    wbr w3a cn wo elnn0 relexpmulnn 3adantl3 expcom simprr simpll simplr mul01d
    nncnd wn simpl nnnle0 adantl breq2d mtbird pm2.21d exp32 3impd jaoi cid cdm
    sylbi crn cun cres simpr1 eqtrd oveq1d dmexg rnexg unexg syl2anc relexpiidm
    relexp0g simpr2 nn0cnd mul02d eqtr2d jaod syl5bi impcom ) CFGZDFGZHAEGZBCDI
    JZKZBLKZCDMUBZNZUCZACOJZDOJZABOJZKZWHWGWOWSNZWGCUDGZCLKZUEWHWTCUFWHXAWTXBWH
    DUDGZDLKZUEXAWTNZDUFXCXEXDXAXCWTWOXAXCHZWSWIWKXFWSWNABCDEUGUHUIUIXDXAWTXDXA
    HZWIWKWNWSXGWIWKWNWSNXGWIWKHZHZWNWSXIWLWMXIBWJCLIJLXGWIWKUJXIDLCIXDXAXHUKPX
    ICXICXDXAXHULUNUMQXIXGWMUOXGXHUPXGWMCLMUBZXAXJUOXDCUQURXGDLCMXDXAUPUSUTRUAV
    AVBVCSVDVGWHXBWTWHXBHZWOWSXKWOHZWQVEAVFZAVHZVIZVJZDOJZXPWRXLWPXPDOXLWPALOJZ
    XPXLCLAOWHXBWOULZPXLWIXRXPKXKWIWKWNVKZAEVSRZVLVMXLXOTGZWHXQXPKXLWIYBXTWIXMT
    GXNTGYBAEVNAEVOXMXNTTVPVQRWHXBWOUKZXODTVRVQXLWRXRXPXLBLAOXLBWJLDIJLXKWIWKWN
    VTXLCLDIXSVMXLDXLDYCWAWBQPYAWCQSSWDWEWFWF $.

  ${
    $d D j x y $.  $d D k x y $.  $d D l $.  $d D m $.  $d N k x $.  $d j l $.
    $d j m $.  $d k l $.  $d k m $.  $d m y $.
    $( The union of relational powers to positive multiples of ` N ` is a
       subset to the transitive closure raised to the power of ` N ` .
       (Contributed by RP, 15-Jun-2020.) $)
    trclrelexplem $p |- ( N e. NN -> U_ k e. NN ( ( D ^r k ) ^r N )
                                     C_ ( U_ j e. NN ( D ^r j ) ^r N ) ) $=
      ( vl vm cn cv crelexp co ciun wss c1 wceq oveq2 iuneq2d sseq12d wcel ccom
      cvv vx vy caddc cbviunv eqtri ovex relexp1g mp1i iuneq2i nnex iunex ax-mp
      weq 3eqtr4i eqimssi oveq1d coeq12d ss2iun ssiun2s coss1 mprg eqsstri wral
      syl ralrimivw sstrid adantl relexpsucnnr mpan adantr coeq2i coiun 3sstr4d
      wa eqtrdi ex nnind ) CGACHZIJZUAHZIJZKZBGABHZIJZKZVTIJZLCGVSMIJZKZWEMIJZL
      CGVSUBHZIJZKZWEWJIJZLZCGVSWJMUCJZIJZKZWEWOIJZLZCGVSDIJZKZWEDIJZLUAUBDVTMN
      ZWBWHWFWIXCCGWAWGVTMVSIOPVTMWEIOQUAUBUMZWBWLWFWMXDCGWAWKVTWJVSIOPVTWJWEIO
      QVTWONZWBWQWFWRXECGWAWPVTWOVSIOPVTWOWEIOQVTDNZWBXAWFXBXFCGWAWTVTDVSIOPVTD
      WEIOQWHWICGVSKZWEWHWIXGEGAEHZIJZKWECEGVSXIVRXHAIOUDEBGXIWDXHWCAIOUDUECGWG
      VSVSTRZWGVSNVRGRAVRIUFZVSTUGUHUIWETRZWIWENBGWDUJAWCIUFUKZWETUGULUNUOWJGRZ
      WNWSXNWNVNCGWKVSSZKZFGWMAFHZIJZSZKZWQWRWNXPXTLXNWNXPFGWLXRSZKZXTXPFGXRWJI
      JZXRSZKZYBCFGXOYDCFUMZWKYCVSXRYFVSXRWJIVRXQAIOZUPZYGUQUDYDYALZYEYBLFGFGYD
      YAURXQGRYCWLLYICGWKXQYCYHUSYCWLXRUTVDVAVBWNYAXSLZFGVCYBXTLWNYJFGWLWMXRUTV
      EFGYAXSURVDVFVGXNWQXPNWNXNCGWPXOXJXNWPXONXKVSWJTVHVIPVJXNWRXTNWNXNWRWMWES
      ZXTXLXNWRYKNXMWEWJTVHVIYKWMFGXRKZSXTWEYLWMBFGWDXRWCXQAIOUDVKFWMXRGVLUEVOV
      JVMVPVQ $.
  $}

  ${
    $d n r C N $.
    iunrelexpmin2.def $e |- C = ( r e. _V |-> U_ n e. N ( r ^r n ) ) $.
    ${
      $d s N $.  $d n r R $.  $d s x y R $.  $d n r V $.  $d s x y V $.
      $d n s x $.  $d s x y $.

      $( The indexed union of relation exponentiation over the natural numbers
         (including zero) is the minimum reflexive-transitive relation that
         includes the relation.  (Contributed by RP, 4-Jun-2020.) $)
      iunrelexpmin2 $p |- ( ( R e. V /\ N = NN0 )
                            -> A. s ( ( ( _I |` ( dom R u. ran R ) ) C_ s
                                        /\ R C_ s /\ ( s o. s ) C_ s )
                                      -> ( C ` R ) C_ s ) ) $=
        ( wcel cn0 wceq cv wss wi crelexp co c1 sseq1d oveq2 imbi2d cid cdm crn
        vx vy wa cun cres ccom w3a cfv ciun simplr simpr oveq1d iuneq12d adantr
        cvv elex nn0ex ovex iunex a1i fvmptd2 cc0 relexp0g relexp1g 3anbi12d cn
        wral wo elnn0 caddc weq simpr2 simp1 simp2l relexpaddnn syl3anc simp2r3
        1nn simp3 simp2r2 trrelssd eqsstrrd 3exp a2d nnind simpr1 syl5ibr sylbi
        jaoi com12 ralrimiv iunss sylibr ex sylbird sseq1 mpcom alrimiv ) BEIZD
        JKZUFZUABUBBUCUGUHZFLZMZBXFMZXFXFUIXFMZUJZBAUKZXFMZNZFXKCJBCLZOPZULZKZX
        DXMXDGBCDGLZXNOPZULXPURAURHXDXRBKZUFZCDJXSXOXBXCXTUMYAXRBXNOXDXTUNUOUPX
        BBURIXCBEUSUQXPURIXDCJXOUTBXNOVAVBVCVDXDXMXQXJXPXFMZNZXBYCXCXBXJBVEOPZX
        FMZBQOPZXFMZXIUJZYBXBYEXGYGXHXIXBYDXEXFBEVFRXBYFBXFBEVGRVHXBYHYBXBYHUFZ
        XOXFMZCJVJYBYIYJCJXNJIZYIYJYKXNVIIZXNVEKZVKYIYJNZXNVLYLYNYMYIBUDLZOPZXF
        MZNYIYGNYIBUELZOPZXFMZNYIBYRQVMPZOPZXFMZNYNUDUEXNYOQKZYQYGYIUUDYPYFXFYO
        QBOSRTUDUEVNZYQYTYIUUEYPYSXFYOYRBOSRTYOUUAKZYQUUCYIUUFYPUUBXFYOUUABOSRT
        UDCVNZYQYJYIUUGYPXOXFYOXNBOSRTXBYEYGXIVOYRVIIZYIYTUUCUUHYIYTUUCUUHYIYTU
        JZUUBYSYFUIZXFUUIUUHQVIIZXBUUJUUBKUUHYIYTVPUUKUUIWAVCUUHXBYHYTVQBQYREVR
        VSUUIXFYSYFYEYGXIXBUUHYTVTUUHYIYTWBYEYGXIXBUUHYTWCWDWEWFWGWHYIYJYMYEXBY
        EYGXIWIYMXOYDXFXNVEBOSRWJWLWKWMWNCJXOXFWOWPWQWRUQXQXLYBXJXKXPXFWSTWJWTX
        A $.
    $}
  $}

  $( With exponents limited to 0 and 1, the composition of powers of a relation
     is the relation raised to the minimum of exponents.  (Contributed by RP,
     12-Jun-2020.) $)
  relexp01min $p |- ( ( ( R e. V /\ I = if ( J < K , J , K ) )
                        /\ ( J e. { 0 , 1 } /\ K e. { 0 , 1 } ) )
                      -> ( ( R ^r J ) ^r K ) = ( R ^r I ) ) $=
    ( cc0 c1 wcel clt wbr wceq crelexp w3a simp1 oveq2d eqtrd simp2 oveq12d cvv
    co cpr wa cif wo wi elpri cid cdm crn cun dmresi rnresi uneq12i unidm eqtri
    cres reseq2i simp3l relexp0g syl dmexg rnexg unexg syl2anc resiexd 3syl 0re
    simp3r breq12d mtbiri iffalsed 3eqtrd 3eqtr4a 3exp relexp1g wn 0lt1 ltnsymi
    ltnri 1re mp1i mtbird eqtr4d jaoi ovex mpbiri iftrued 3eqtr4d syl2an impcom
    jaod imp ) CFGUAZHZDWMHZUBAEHZBCDIJZCDUCZKZUBZACLTZDLTZABLTZKZWNCFKZCGKZUDZ
    DFKZDGKZUDZWTXDUEZWOCFGUFDFGUFXGXJXKXGXHXKXIXEXHXKUEXFXEXHWTXDXEXHWTMZUGUGA
    UHZAUIZUJZUPZUHZXPUIZUJZUPZXPXBXCXSXOUGXSXOXOUJXOXQXOXRXOXOUKXOULUMXOUNUOUQ
    XLXBXPFLTZXTXLXAXPDFLXLXAAFLTZXPXLCFALXEXHWTNZOXLWPYBXPKXEXHWPWSURZAEUSUTZP
    XEXHWTQZRXLWPXPSHYAXTKYDWPXOSWPXMSHXNSHXOSHAEVAAEVBXMXNSSVCVDVEXPSUSVFPXLXC
    YBXPXLBFALXLBWRDFXEXHWPWSVHXLWQCDXLWQFFIJFVGVSXLCFDFIYCYFVIVJVKYFVLOYEPVMVN
    XFXHWTXDXFXHWTMZXBYBXCYGXAADFLYGXAAGLTZAYGCGALXFXHWTNZOYGWPYHAKZXFXHWPWSURA
    EVOZUTPXFXHWTQZRYGBFALYGBWRDFXFXHWPWSVHYGWQCDYGWQGFIJZFGIJZYMVPYGVQFGVGVTVR
    WAYGCGDFIYIYLVIWBVKYLVLOWCVNWDXEXIXKUEXFXEXIWTXDXEXIWTMZYBGLTZYBXBXCYBSHYPY
    BKYOAFLWEYBSVOWAYOXAYBDGLYOCFALXEXIWTNZOXEXIWTQZRYOBFALYOBWRCFXEXIWPWSVHYOW
    QCDYOWQYNVQYOCFDGIYQYRVIWFWGYQVLOWHVNXFXIWTXDXFXIWTMZXBYHXCYSXAADGLYSXAYHAY
    SCGALXFXIWTNZOYSWPYJXFXIWPWSURYKUTPXFXIWTQZRYSBGALYSBWRDGXFXIWPWSVHYSWQCDYS
    WQGGIJGVTVSYSCGDGIYTUUAVIVJVKUUAVLOWCVNWDWKWLWIWJ $.

  $( Repeated raising a relation to the first power is idempotent.
     (Contributed by RP, 12-Jun-2020.) $)
  relexp1idm $p |- ( R e. V -> ( ( R ^r 1 ) ^r 1 ) = ( R ^r 1 ) ) $=
    ( wcel c1 clt wbr cif wceq wa cc0 cpr crelexp co ifid eqcomi jctr 1ex prid2
    pm3.2i relexp01min sylancl ) ABCZUBDDDEFZDDGZHZIDJDKCZUFIADLMZDLMUGHUBUEUDD
    UCDNOPUFUFJDQRZUHSADDDBTUA $.

  $( Repeated raising a relation to the zeroth power is idempotent.
     (Contributed by RP, 12-Jun-2020.) $)
  relexp0idm $p |- ( R e. V -> ( ( R ^r 0 ) ^r 0 ) = ( R ^r 0 ) ) $=
    ( wcel cc0 clt wbr cif wceq wa c1 cpr crelexp ifid eqcomi jctr prid1 pm3.2i
    co c0ex relexp01min sylancl ) ABCZUBDDDEFZDDGZHZIDDJKCZUFIADLRZDLRUGHUBUEUD
    DUCDMNOUFUFDJSPZUHQADDDBTUA $.

  ${
    $d x y A $.  $d x N $.  $d x y V $.
    $( Absorbtion law for zeroth power of a relation.  (Contributed by RP,
       17-Jun-2020.) $)
    relexp0a $p |- ( ( A e. V /\ N e. NN0 )
                     -> ( ( A ^r N ) ^r 0 ) C_ ( A ^r 0 ) ) $=
      ( wcel crelexp co cc0 wss wceq wi oveq2 oveq1d sseq1d imbi2d cid cun cres
      c1 cvv ax-mp vx vy cn0 cn wo elnn0 cv weq relexp1g ssid eqsstrdi w3a ccom
      caddc simp2 simp1 wa relexpsucnnr syl2anc cdm crn ovex coexg relexp0g syl
      dmcoss rncoss unss12 mp2an ssres2 resundi ssun1 sseqtrrid adantr sseqtrri
      mpan ssun2 simpr unssd eqsstrid 3adant1 sstrd eqsstrd 3exp a2d relexp0idm
      sstrid nnind sylan9eq eqimss ex jaoi sylbi impcom ) BUCDZACDZABEFZGEFZAGE
      FZHZWOBUDDZBGIZUEWPWTJZBUFXAXCXBWPAUAUGZEFZGEFZWSHZJWPAREFZGEFZWSHZJWPAUB
      UGZEFZGEFZWSHZJWPAXKRUNFZEFZGEFZWSHZJXCUAUBBXDRIZXGXJWPXSXFXIWSXSXEXHGEXD
      RAEKLMNUAUBUHZXGXNWPXTXFXMWSXTXEXLGEXDXKAEKLMNXDXOIZXGXRWPYAXFXQWSYAXEXPG
      EXDXOAEKLMNXDBIZXGWTWPYBXFWRWSYBXEWQGEXDBAEKLMNWPXIWSWSWPXHAGEACUILWSUJUK
      XKUDDZWPXNXRYCWPXNXRYCWPXNULZXQXLAUMZGEFZWSYDWPYCXQYFIYCWPXNUOZYCWPXNUPWP
      YCUQXPYEGEAXKCURLUSYDYFOAUTZXLVAZPZQZWSYDWPYFYKHYGWPYFOYEUTZYEVAZPZQZYKWP
      YESDZYFYOIXLSDZWPYPAXKEVBZXLASCVCVPYESVDVEYNYJHZYOYKHYLYHHYMYIHYSXLAVFXLA
      VGYLYHYMYIVHVIYNYJOVJTUKVEWPXNYKWSHYCWPXNUQZYKOYHQZOYIQZPWSOYHYIVKYTUUAUU
      BWSWPUUAWSHXNWPOYHAVAZPZQZUUAWSYHUUDHUUAUUEHYHUUCVLYHUUDOVJTACVDVMVNYTUUB
      XMWSUUBOXLUTZYIPZQZXMYIUUGHUUBUUHHYIUUFVQYIUUGOVJTYQXMUUHIYRXLSVDTVOWPXNV
      RWGVSVTWAWBWCWDWEWHXBWPWTXBWPUQWRWSIWTXBWPWRWSGEFWSXBWQWSGEBGAEKLACWFWIWR
      WSWJVEWKWLWMWN $.
  $}

  $( The composition of powers of a Cartesian product of non-disjoint sets is
     the Cartesian product raised to the minimum exponent.  (Contributed by RP,
     13-Jun-2020.) $)
  relexpxpmin $p |- ( ( ( A e. U /\ B e. V /\ ( A i^i B ) =/= (/) )
                     /\ ( I = if ( J < K , J , K ) /\ J e. NN0 /\ K e. NN0 ) )
                     -> ( ( ( A X. B ) ^r J ) ^r K ) = ( ( A X. B ) ^r I ) ) $=
    ( clt wceq wcel w3a crelexp co wi cc0 wo wa simpl1 oveq2d cvv wbr cif c0 cn
    cn0 cin wne cxp elnn0 ifeqor andi biimpi mpan2 eqtr relexpxpnnidm 3ad2antl3
    orim12i 3ad2antl2 oveq1d eqtrd 3eqtr4d 3exp1 eqcomd oveq12d jaoi 3syl com13
    imp simp3 simp2 simp1 nngt0d eqbrtrd iftrued 3eqtrd cid cdm crn cres simpr1
    cun simpr2 xpexd dmexg rnexg jca unexg nnnn0d relexpiidm syl2anc simpl2 syl
    relexp0g simpl3 ex syld3an3 3exp jaod syl5bi 3ad2ant2 nn0nlt0 breq2d mtbird
    wn iffalsed relexp0idm syl3c sylbi 3imp31 impcom ) DEFHUAZEFUBZIZEUEJZFUEJZ
    KACJZBGJZABUFUCUGZKZABUHZELMZFLMZXTDLMZIZXOXNXMXSYDNZXOFUDJZFOIZPXNXMYENZNZ
    FUIYFYIYGXNEUDJZEOIZPZYFYHEUIZYFYJYHYKXMYJYFYEXMXMXLEIZQZXMXLFIZQZPZDEIZDFI
    ZPYJYFYENNZXMYNYPPZYRXKEFUJXMUUBQYRXMYNYPUKULUMYOYSYQYTDXLEUNDXLFUNUQYSUUAY
    TYSYJYFXSYDYSYJYFKXSQZXTFLMZXTYBYCYFYSXSUUDXTIZYJYFXSUUEABCFGUOVHUPUUCYAXTF
    LYJYSXSYAXTIZYFYJXSUUFABCEGUOZVHZURZUSUUCYCYAXTUUCDEXTLYSYJYFXSRSUUIUTVAVBY
    TYJYFXSYDYTYJYFKXSQZYAXTFDLYJYTXSUUFYFUUHURUUJDFYTYJYFXSRVCVDVBVEVFVGYFYKXM
    YEYFYKXMDOIZYEYFYKXMKZDXLEOYFYKXMVIUULXKEFUULEOFHYFYKXMVJZUULFYFYKXMVKVLVMV
    NUUMVOYFYKUUKKZXSYDUUNXSQZVPXTVQZXTVRZWAZVSZFLMZUUSYBYCUUOUURTJZXOUUTUUSIUU
    OXTTJZUUPTJZUUQTJZQUVAUUOABCGUUNXPXQXRVTUUNXPXQXRWBWCZUVBUVCUVDXTTWDXTTWEWF
    UUPUUQTTWGVFUUOFYFYKUUKXSRWHUURFTWIWJUUOYAUUSFLUUOYAXTOLMZUUSUUOEOXTLYFYKUU
    KXSWKSUUOUVBUVFUUSIUVEXTTWMWLZUTUSUUOYCUVFUUSUUODOXTLYFYKUUKXSWNSUVGUTVAWOW
    PWQWRWSYGXNXMYEYGXNXMKZYGYLUUKYEYGXNXMVKZXNYGYLXMXNYLYMULWTUVHDXLFOYGXNXMVI
    UVHXKEFUVHXKEOHUAZXNYGUVJXDXMEXAWTUVHFOEHUVIXBXCXEUVIVOYGYJUUKYENYKYGYJUUKX
    SYDYGYJUUKKZXSQZYAOLMUVFYBYCUVLYAXTOLUVKXSUUFYJYGXSUUFNUUKUUGWTVHUSUVLFOYAL
    YGYJUUKXSRSUVLDOXTLYGYJUUKXSWNSVAVBYGYKUUKXSYDYGYKUUKKZXSQZUVFOLMZUVFYBYCUV
    NUVBUVOUVFIUVNABCGUVMXPXQXRVTUVMXPXQXRWBWCXTTXFWLUVNYAUVFFOLUVNEOXTLYGYKUUK
    XSWKSYGYKUUKXSRVDUVNDOXTLYGYKUUKXSWNSVAVBWRXGWQVEXHXIXJ $.

  $( The composition of two powers of a relation is a subset of the relation
     raised to the sum of those exponents.  This is equality where ` R ` is a
     relation as shown by ~ relexpaddd or when the sum of the powers isn't 1 as
     shown by ~ relexpaddg .  (Contributed by RP, 3-Jun-2020.) $)
  relexpaddss $p |- ( ( N e. NN0 /\ M e. NN0 /\ R e. V )
                      -> ( ( R ^r N ) o. ( R ^r M ) )
                         C_ ( R ^r ( N + M ) ) ) $=
    ( wcel crelexp co ccom caddc wss cc0 wceq w3a syl cres ccnv oveq2d 3ad2ant3
    c1 eqtrd cn0 cn wo wi elnn0 biimpi relexpaddnn eqimss 3exp cuz cfv elnn1uz2
    c2 cid cdm crn wrel relco dfrel2 ax-mp cnvco cnvresid coeq2i coires1 3eqtri
    cun cnvss resss sstri eqsstrri cnvcnvss a1i simp1 relexp0g relexp1g coeq12d
    simp2 oveq12d addid2d 3sstr4d cnvexg relexpuzrel syl2anc eluz2nn relexpnndm
    1cnd cvv df-rn ssun2 sstrdi relssres syl5eq eluzge2nn0 relexpcnv 3eqtr4d wb
    simp3 3adant1 cnveqb sylancr mpbird coeq1d oveq1d eluzelcn jaod syl5bi jaoi
    cc eqsstri addid1d 3adant2 ssun1 coeq2d cin inidm reseq2i 00id 3eqtr4a 3imp
    resres ) CUAEZBUAEZADEZACFGZABFGZHZACBIGZFGZJZYBBUBEZBKLZUCYAYCYIUDZBUEYAYJ
    YLYKYACUBEZCKLZUCZYJYLUDZYAYOCUEUFZYMYPYNYMYJYCYIYMYJYCMYFYHLZYIABCDUGYFYHU
    HZNUIYJBSLZBUMUJUKZEZUCYNYLBULYNYTYLUUBYNYTYCYIYNYTYCMZUNAUOZAUPZVFZOZAHZAY
    FYHUUHAJUUCUUHAPZPZAUUHUUHPZPZUUJUUHUQZUULUUHLZUUGAURUUMUUNUUHUSUFUTUULUUIU
    UFOZPZUUJUUKUUOJZUULUUPJUUKUUOLUUQUUKUUIUUGPZHUUIUUGHUUOUUGAVAUURUUGUUIUUFV
    BZVCUUIUUFVDVEUUKUUOUHUTUUKUUOVGUTUUOUUIJUUPUUJJUUIUUFVHUUOUUIVGUTVIVJAVKVI
    VLUUCYDUUGYEAUUCYDAKFGZUUGUUCCKAFYNYTYCVMZQYCYNUUTUUGLZYTADVNZRTUUCYEASFGZA
    UUCBSAFYNYTYCVQZQYCYNUVDALZYTADVOZRZTVPUUCYHUVDAUUCYGSAFUUCYGKSIGSUUCCKBSIU
    VAUVEVRUUCSUUCWFVSTQUVHTVTUIYNUUBYCYIYNUUBYCMZYRYIUVIUUGYEHZYEYFYHUVIUVJYEL
    ZUVJPZYEPZLZUVIUUIBFGZUUGHZUVOUVLUVMUVIUVPUVOUUFOZUVOUVOUUFVDUVIUVOUQZUVOUO
    ZUUFJUVQUVOLUVIUUBUUIWGEZUVRYNUUBYCVQZYCYNUVTUUBADWARZUUIBWGWBWCUVIUVSUUIUO
    ZUUFUVIYJUVTUVSUWCJUVIUUBYJUWABWDNUWBUUIBWGWEWCUWCUUEUUFAWHUUEUUDWIVJWJUVOU
    UFWKWCWLUVIUVLUVMUURHUVPUUGYEVAUVIUVMUVOUURUUGUVIYBYCUVMUVOLUVIUUBYBUWABWMN
    YNUUBYCWQABDWNWCZUURUUGLUVIUUSVLVPWLUWDWOUVIUVJUQYEUQZUVKUVNWPUUGYEURUUBYCU
    WEYNABDWBWRUVJYEWSWTXAUVIYDUUGYEUVIYDUUTUUGUVICKAFYNUUBYCVMZQYCYNUVBUUBUVCR
    TXBUVIYGBAFUVIYGKBIGBUVICKBIUWFXCUVIBUVIUUBBXHEUWAUMBXDNVSTQWOYSNUIXEXFXGNY
    AYOYKYLUDZYQYMUWGYNYMCSLZCUUAEZUCZUWGYMUWJCULUFUWHUWGUWIUWHYKYCYIUWHYKYCMZA
    UUGHZAYFYHUWLAJUWKUWLAUUFOAAUUFVDAUUFVHXIVLUWKYDAYEUUGUWKYDUVDAUWKCSAFUWHYK
    YCVMZQYCUWHUVFYKUVGRZTUWKYEUUTUUGUWKBKAFUWHYKYCVQZQYCUWHUVBYKUVCRTVPUWKYHUV
    DAUWKYGSAFUWKYGSKIGSUWKCSBKIUWMUWOVRUWKSUWKWFXJTQUWNTVTUIUWIYKYCYIUWIYKYCMZ
    YRYIUWPYDUUGHZYDYFYHUWPUWQYDUUFOZYDYDUUFVDUWPYDUQZYDUOZUUFJUWRYDLUWIYCUWSYK
    ACDWBXKUWPUWTUUDUUFUWPYMYCUWTUUDJUWPUWIYMUWIYKYCVMZCWDNUWIYKYCWQACDWEWCUUDU
    UEXLWJYDUUFWKWCWLUWPYEUUGYDUWPYEUUTUUGUWPBKAFUWIYKYCVQZQYCUWIUVBYKUVCRTXMUW
    PYGCAFUWPYGCKIGCUWPBKCIUXBQUWPCUWPUWICXHEUXAUMCXDNXJTQWOYSNUIXGNYNYKYCYIYNY
    KYCMZYRYIUXCUUGUUGHZUUGYFYHUXDUUGUUFOUNUUFUUFXNZOUUGUUGUUFVDUNUUFUUFXTUXEUU
    FUNUUFXOXPVEUXCYDUUGYEUUGUXCYDUUTUUGUXCCKAFYNYKYCVMZQYCYNUVBYKUVCRZTUXCYEUU
    TUUGUXCBKAFYNYKYCVQZQUXGTVPUXCYHUUTUUGUXCYGKAFUXCYGKKIGZKUXCCKBKIUXFUXHVRUX
    IKLUXCXQVLTQUXGTXRYSNUIXGNXEXFXS $.

  ${
    $d n r C N $.
    mptiunrelexp.def $e |- C = ( r e. _V |-> U_ n e. N ( r ^r n ) ) $.

    ${
      $d x y z C $.  $d i j n x y z M $.  $d i j x y z N $.
      $d i j n x y z R $.  $d r R $.  $d i j n x y z V $.
      $( The indexed union of relation exponentiation over upper integers is a
         transive relation.  Generalized from ~ rtrclreclem3 .  (Contributed by
         RP, 4-Jun-2020.) $)
      iunrelexpuztr $p |- ( ( R e. V /\ N = ( ZZ>= ` M ) /\ M e. NN0 )
                             -> ( ( C ` R ) o. ( C ` R ) ) C_ ( C ` R ) ) $=
        ( vx vy vi vz vj wcel cv crelexp wbr wrex wa cvv cuz cfv wceq cn0 co wi
        w3a wal wss caddc ovexd simprlr simpll2 eleqtrd simpll3 simprll eluznn0
        ccom wex syl2anc uzaddcl simplr 3eltr4d vex brcogw mp3an simprr simpll1
        simprl relexpaddss syl3anc oveq2d sseqtrrd ssbrd syl5 impr jca spcimedv
        exlimdvv reeanv r2ex bitr3i df-rex 3imtr4g alrimiv briunov2uz weq oveq2
        ex cotr breqd cbvrexvw bitrdi anbi12d imbi12d albidv syl5bb biimprd mpd
        3adant3 ) BFNZEDUAUBZUCZDUDNZUGZIOZJOZBKOZPUEZQZKERZXGLOZBMOZPUEZQZMERZ
        SZXFXLBCOZPUEZQZCERZUFZLUHZJUHZIUHZBAUBZYFURYFUIZXEYDIXEYCJXEYBLXEXHENZ
        XMENZSZXJXOSZSZMUSKUSZXRENZXTSZCUSZXQYAXEYLYPKMXEYOYLCXMXHUJUEZTXEXMXHU
        JUKXEXRYQUCZSZYLYOYSYLSZYNXTYTYQXBXREYTXMXBNZXHUDNZYQXBNYTXMEXBYSYHYIYK
        ULXAXCXDYRYLUMZUNYTXDXHXBNZUUBXAXCXDYRYLUOYTXHEXBYSYHYIYKUPUUCUNXHDUQZU
        TXHDXMVAUTXEYRYLVBUUCVCYSYJYKXTYKXFXLXNXIURZQZYSYJSZXTXFTNZXLTNZXGTNZYK
        UUGUFIVDLVDJVDUUIUUJUUKUGYKUUGXFXLXNXITTXGTVEWIVFUUHUUFXSXFXLUUHUUFBYQP
        UEZXSUUHXMUDNZUUBXAUUFUULUIUUHXDUUAUUMXAXCXDYRYJUOZUUHXMEXBYSYHYIVGXAXC
        XDYRYJUMZUNXMDUQUTUUHXDUUDUUBUUNUUHXHEXBYSYHYIVIUUOUNUUEUTXAXCXDYRYJVHB
        XHXMFVJVKUUHXRYQBPXEYRYJVBVLVMVNVOVPVQWIVRVSXQYKMERKERYMXJXOKMEEVTYKKME
        EWAWBXTCEWCWDWEWEWEXAXCYEYGUFXDXAXCSZYGYEYGXFXGYFQZXGXLYFQZSZXFXLYFQZUF
        ZLUHZJUHZIUHUUPYEIJLYFWJUUPUVCYDIUUPUVBYCJUUPUVAYBLUUPUUSXQUUTYAUUPUUQX
        KUURXPUUPUUQXFXGXSQZCERXKABFCPDEXFXGGHWFUVDXJCKECKWGXSXIXFXGXRXHBPWHWKW
        LWMUUPUURXGXLXSQZCERXPABFCPDEXGXLGHWFUVEXOCMECMWGXSXNXGXLXRXMBPWHWKWLWM
        WNABFCPDEXFXLGHWFWOWPWPWPWQWRWTWS $.
    $}
  $}

  $( BEGIN WIP

  ${
  relexpempty.1 $e |- ( ph -> Rel R ) $.
  relexpempty.2 $e |- ( ph -> R e. V ) $.
  relexpempty.3 $e |- ( ph -> N e. NN0 ) $.
  relexpempty.4 $e |- ( ph -> ( dom ( R ^r N ) i^i ran ( R ^r N ) ) = (/) ) $.
  relexpempty $p |- ( ph -> ( M e. NN -> ( R ^r ( N + M ) ) = (/) ) ) $=
      ? $.
  $}

  END WIP $)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Transitive closure of a relation
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d a k t $.  $d a n r s z $.  $d k n r $.  $d k s $.  $d n r t $.
    $( Transitive closure of a relation, expressed as indexed union of powers
       of relations.  (Contributed by RP, 5-Jun-2020.) $)
    dftrcl3 $p |- t+ = ( r e. _V |-> U_ n e. NN ( r ^r n ) ) $=
      ( vz va vk vt vs cvv cv wss ccom wa cmpt cn crelexp co ciun wcel c1 wceq
      ctcl cab cint df-trcl cfv relexp1g 1nn oveq1 iuneq2d oveq2 cbviunv eqtrdi
      nnex weq cbvmptv ov2ssiunov2 mp3an23 eqsstrrd cuz nnuz 1nn0 iunrelexpuztr
      cn0 wb wi wal fvex trcleq2lem a1i alrimiv elabgt sylancr mpbir2and intss1
      syl wral vex elab eqid iunrelexpmin1 mpan2 19.21bi syl5bi ralrimiv sylibr
      ssint eqssd ovex iunex fvmpt eqtrd mpteq2ia eqtri ) UABHBIZCIZJWOWOKWOJLZ
      CUBZUCZMBHANWNAIZOPZQZMBCUDBHWRXAWNHRZWRWNDHANDIZWSOPZQZMZUEZXAXBWRXGXBXG
      WQRZWRXGJXBXHWNXGJZXGXGKXGJZXBWNWNSOPZXGWNHUFXBNHRSNRXKXGJUMUGXFWNHEOSNHF
      DFHXEENFIZEIZOPZQZDFUNZXEANXLWSOPZQXOXPANXDXQXCXLWSOUHUIAENXQXNWSXMXLOUJU
      KULUOZUPUQURXBNSUSUETSVCRXJUTVAXFWNESNHFXRVBUQXBXGHRWOXGTWPXIXJLZVDVEZCVF
      XHXSVDWNXFVGXBXTCXTXBWOXGWNVHVIVJWPXSCXGHVKVLVMXGWQVNVOXBXGGIZJZGWQVPXGWR
      JXBYBGWQYAWQRWNYAJYAYAKYAJLZXBYBWPYCCYAGVQWOYAWNVHVRXBYCYBVEZGXBNNTYDGVFN
      VSXFWNENHGFXRVTWAWBWCWDGXGWQWFWEWGDWNXEXAHXFDBUNANXDWTXCWNWSOUHUIXFVSANWT
      UMWNWSOWHWIWJWKWLWM $.
  $}

  ${
    $d n A $.  $d n B $.  $d n r R $.
    brfvtrcld.r $e |- ( ph -> R e. _V ) $.
    $( If two elements are connected by the transitive closure of a relation,
       then they are connected via ` n ` instances the relation, for some
       counting number ` n ` .  (Contributed by RP, 22-Jul-2020.) $)
    brfvtrcld $p |- ( ph -> ( A ( t+ ` R ) B
                                     <-> E. n e. NN A ( R ^r n ) B ) ) $=
      ( vr ctcl cn dftrcl3 cn0 wss nnssnn0 a1i brmptiunrelexpd ) ABCHDEIGEGJFIK
      LAMNO $.
  $}

  ${
    $d n r R $.
    fvtrcllb1d.r $e |- ( ph -> R e. _V ) $.
    $( A set is a subset of its image under the transitive closure.
       (Contributed by RP, 22-Jul-2020.) $)
    fvtrcllb1d $p |- ( ph -> R C_ ( t+ ` R ) ) $=
      ( vn vr ctcl cn dftrcl3 cvv wcel nnex a1i c1 1nn fvmptiunrelexplb1d ) AFB
      DGEDEHCGIJAKLMGJANLO $.
  $}

  ${
    $d n r R $.  $d n V $.
    $( The transitive closure of a relation commutes with the relation.
       (Contributed by RP, 18-Jul-2020.) $)
    trclfvcom $p |- ( R e. V
                        -> ( ( t+ ` R ) o. R ) = ( R o. ( t+ ` R ) ) ) $=
      ( vn vr wcel cvv ctcl cfv ccom wceq elex cn cv crelexp co wa caddc eqtrdi
      ciun c1 relexpsucnnr relexpsucnnl eqtr3d iuneq2dv oveq1 iuneq2d nnex ovex
      dftrcl3 iunex fvmpt coeq1d coiun1 coeq2d coiun 3eqtr4d syl ) ABEAFEZAGHZA
      IZAUSIZJABKURCLACMZNOZAIZSZCLAVCIZSZUTVAURCLVDVFURVBLEPAVBTQONOVDVFAVBFUA
      AVBFUBUCUDURUTCLVCSZAIVEURUSVHADACLDMZVBNOZSVHFGVIAJCLVJVCVIAVBNUEUFCDUIC
      LVCUGAVBNUHUJUKZULCVCALUMRURVAAVHIVGURUSVHAVKUNCAVCLUORUPUQ $.
  $}

  ${
    $d n r R $.  $d n s R $.
    $( The converse of the transitive closure is equal to the transitive
       closure of the converse relation.  (Contributed by RP, 19-Jul-2020.) $)
    cnvtrclfv $p |- ( R e. V -> `' ( t+ ` R ) = ( t+ ` `' R ) ) $=
      ( vn vr vs wcel cvv ctcl cfv ccnv wceq cn cv crelexp co syl oveq1 iuneq2d
      ciun dftrcl3 elex wral nnnn0 relexpcnv sylan expcom ralrimiv iuneq2 iunex
      cn0 nnex ovex fvmpt cnveqd cnviun eqtrdi cnvexg 3eqtr4d ) ABFAGFZAHIZJZAJ
      ZHIZKABUAUSCLACMZNOZJZSZCLVBVDNOZSZVAVCUSVFVHKZCLUBVGVIKUSVJCLVDLFZUSVJVK
      VDUJFUSVJVDUCAVDGUDUEUFUGCLVFVHUHPUSVACLVESZJVGUSUTVLDACLDMZVDNOZSVLGHVMA
      KCLVNVEVMAVDNQRCDTCLVEUKAVDNULUIUMUNCLVEUOUPUSVBGFVCVIKAGUQEVBCLEMZVDNOZS
      VIGHVOVBKCLVPVHVOVBVDNQRCETCLVHUKVBVDNULUIUMPURP $.
  $}

  ${
    $d a b c d i j k x y $.
    $( The transitive closure is idempotent.  (Contributed by RP,
       16-Jun-2020.) $)
    cotrcltrcl $p |- ( t+ o. t+ ) = t+ $=
      ( vi vj vk vc vd vx crelexp cn ctcl nnex cv co ciun c1 oveq2 cvv wceq wss
      sseq1d ccom va vb dftrcl3 cun unidm eqcomi csn 1ex iunxsn wcel ovex iunex
      vy relexp1g ax-mp cbviunv eqtri 1nn snssi iunss1 mp2b eqsstri iunss caddc
      weq eqimssi wa simpl relexpsucnnr sylancr coss1 adantl coeq2i trclfvcotrg
      cfv oveq1 iuneq2d fvmpt elv coeq12i 3sstr3i sstrdi eqsstrd mprgbir iuneq1
      ex nnind sseqtri comptiunov2i ) ABCGHHHIIIUAUBDEAUAUCBUBUCCDUCZJJHHUDZHHU
      EUFZCHEKZCKZGLZMZANUGZBHWMBKZGLZMZAKZGLZMZAHXBMZXCWPXCWTNGLZWPANXBXEUHXAN
      WTGOUIXEWTWPWTPUJZXEWTQBHWSJWMWRGUKULZWTPUNUOBCHWSWOWRWNWMGOUPZUQZUQUFNHU
      JWQHRXCXDRURNHUSAWQHXBUTVAVBZXJXDWPCWKWOMZXDWPRXBWPRZAHAHXBWPVCWTFKZGLZWP
      RXEWPRWTUMKZGLZWPRZWTXONVDLZGLZWPRZXLFUMXAXMNQXNXEWPXMNWTGOSFUMVEXNXPWPXM
      XOWTGOSXMXRQXNXSWPXMXRWTGOSFAVEXNXBWPXMXAWTGOSXEWPXIVFXOHUJZXQXTYAXQVGZXS
      XPWTTZWPYBXFYAXSYCQXGYAXQVHWTXOPVIVJYBYCWPWTTZWPXQYCYDRYAXPWPWTVKVLYDWPWP
      TZWPWTWPWPXHVMWMIVOZYFTYFYEWPWMVNYFWPYFWPYFWPQEDWMCHDKZWNGLZMWPPIDEVECHYH
      WOYGWMWNGVPVQWJCHWOJWMWNGUKULVRVSZYIVTYIWAVBWBWCWFWGWDHWKQWPXKQWLCHWKWOWE
      UOWHWI $.
  $}

  ${
    $d k x A $.  $d x y A $.  $d k x B $.  $d x y B $.  $d k x R $.
    $d x y R $.  $d r R $.  $d k x V $.  $d x y V $.  $d k r $.
    $( Lower bound for image under a transitive closure.  (Contributed by RP,
       1-Jul-2020.) $)
    trclimalb2 $p |- ( ( R e. V /\ ( R " ( A u. B ) ) C_ B )
                       -> ( ( t+ ` R ) " A ) C_ B ) $=
      ( vk vx wcel cima cn cv crelexp co wceq imaeq1d wi c1 oveq2 sseq1d imbi2d
      wss vr vy cun wa ctcl cfv ciun cvv elex adantr oveq1 iuneq2d dftrcl3 nnex
      ovex iunex fvmpt imaiun1 eqtrdi syl wral caddc relexp1g ssun1 imass2 mp1i
      weq simpr sstrd eqsstrd w3a simp2l simp1 ccom relexpsucnnl imaco 3ad2ant3
      syl2anc ssun2 simp2r 3exp a2d nnind com12 ralrimiv iunss sylibr ) CDGZCAB
      UCZHZBTZUDZCUEUFZAHZEICEJZKLZAHZUGZBWLCUHGZWNWRMWHWSWKCDUIUJWSWNEIWPUGZAH
      WRWSWMWTAUACEIUAJZWOKLZUGWTUHUEXACMEIXBWPXACWOKUKULEUAUMEIWPUNCWOKUOUPUQN
      EIWPAURUSUTWLWQBTZEIVAWRBTWLXCEIWOIGWLXCWLCFJZKLZAHZBTZOWLCPKLZAHZBTZOWLC
      UBJZKLZAHZBTZOWLCXKPVBLZKLZAHZBTZOWLXCOFUBWOXDPMZXGXJWLXSXFXIBXSXEXHAXDPC
      KQNRSFUBVGZXGXNWLXTXFXMBXTXEXLAXDXKCKQNRSXDXOMZXGXRWLYAXFXQBYAXEXPAXDXOCK
      QNRSFEVGZXGXCWLYBXFWQBYBXEWPAXDWOCKQNRSWLXICAHZBWHXIYCMWKWHXHCACDVCNUJWLY
      CWJBAWITYCWJTWLABVDAWICVEVFWHWKVHVIVJXKIGZWLXNXRYDWLXNXRYDWLXNVKZXQCXMHZB
      YEWHYDXQYFMYDWHWKXNVLYDWLXNVMWHYDUDZXQCXLVNZAHYFYGXPYHACXKDVONCXLAVPUSVRY
      EYFCBHZBXNYDYFYITWLXMBCVEVQYEYIWJBBWITYIWJTYEBAVSBWICVEVFYDWHWKXNVTVIVIVJ
      WAWBWCWDWEEIWQBWFWGVJ $.
  $}

  ${
    $d f g r s R $.  $d f U $.  $d f V $.  $d f W $.  $d f g r s X $.
    $d f Y $.
    $( Two ways to indicate two elements are related by the transitive closure
       of a relation.  (Contributed by RP, 1-Jul-2020.) $)
    brtrclfv2 $p |- ( ( X e. U /\ Y e. V /\ R e. W ) ->
                      ( X ( t+ ` R ) Y
                        <-> Y e. |^| { f | ( R " ( { X } u. f ) ) C_ f } )
                    ) $=
      ( vr vg vs wcel wss wa cima wb wceq wsbc cvv syl ax-mp w3a cfv wbr cv cab
      ctcl ccom cint csn cun cop df-br trclfv 3ad2ant3 elimasng 3adant3 3bitr4d
      a1i breqd wrex intimasn 3ad2ant1 wal wex cxp simpl3 snex vex xpex sylancl
      wi unexg trclfvlb unssad trclfvcotrg cin wne simpl1 inelcm syl2anc xpima2
      c0 snidg unssbd imass1 eqsstrrd imaundir simpr imassrn rnxpss sstri unssd
      crn eqsstrid trclimalb2 eqssd sbcan csb sbcssg csbconstg csbvargi sseq12i
      fvex bitri csbcog coeq12i anbi12i sbceq2g csbima12 imaeq1i imaeq2i 3eqtri
      eqtri eqeq2i sylbbr syl21anc spesbcd ex eqeq1 imaeq1 eqeq2d rexab2 bitrdi
      rexbidv elab syl6ibr intss1 alrimiv ssintab sylibr adantr imaco eqsstrrid
      weq syl6 sylan9ss jca imaex imaundi sseq1i unss bitr4i imaeq2 id cleq2lem
      sseq12d syl5bb eqeltrd exlimiv sylbi mpgbir eqtrd eleq2d bitrd ) FBKZGDKZ
      AEKZUAZFGAUFUBZUCZGAHUDZLZUVAUVAUGZUVALZMZHUEZUHZFUIZNZKZGAUVHCUDZUJZNZUV
      KLZCUEZUHZKUURFGUVGUCZFGUKUVGKZUUTUVJUVQUVROUURFGUVGULURUUQUUOUUTUVQOUUPU
      UQUUSUVGFGHAEUMUSUNUUOUUPUVJUVROUUQUVGFGBDUOUPUQUURUVIUVPGUURUVIIUDZJUDZU
      VHNZPZJUVFUTZIUEZUHZUVPUUOUUPUVIUWEPUUQIUVFFBJVAVBUURUWEUVPUURUVNUWEUVKLZ
      VKZCVCUWEUVPLUURUWGCUURUVNUVKUWDKZUWFUURUVNUVEUVKUVAUVHNZPZMZHVDZUWHUURUV
      NUWLUURUVNMZUWKHAUVHUVKVEZUJZUFUBZUWMAUWPLZUWPUWPUGZUWPLZUVKUWPUVHNZPZUWK
      HUWPQZUWMUWORKZUWQUWMUUQUWNRKUXCUUOUUPUUQUVNVFUVHUVKFVGCVHZVIAUWNERVLVJZU
      XCAUWNUWPUWORVMZVNSUWSUWMUWOVOURUWMUVKUWTUWMUVKUWNUVHNZUWTUWMUVHUVHVPWBVQ
      ZUXGUVKPUWMFUVHKZUXIUXHUWMUUOUXIUUOUUPUUQUVNVRFBWCSZUXJFUVHUVHVSVTUVHUVKU
      VHWASUWMUWNUWPLUXGUWTLUWMAUWNUWPUWMUXCUWOUWPLUXEUXFSWDUWNUWPUVHWESWFUWMUX
      CUWOUVLNZUVKLUWTUVKLUXEUWMUXKUVMUWNUVLNZUJUVKAUWNUVLWGUWMUVMUXLUVKUURUVNW
      HUXLUVKLUWMUXLUWNWMUVKUWNUVLWIUVHUVKWJWKURWLWNUVHUVKUWORWOVTWPUXBUVEHUWPQ
      ZUWJHUWPQZMUWQUWSMZUXAMUVEUWJHUWPWQUXMUXOUXNUXAUXMUVBHUWPQZUVDHUWPQZMUXOU
      VBUVDHUWPWQUXPUWQUXQUWSUXPHUWPAWRZHUWPUVAWRZLZUWQUWPRKZUXPUXTOUWOUFXCZHUW
      PAUVARWSTUXRAUXSUWPUYAUXRAPUYBHUWPARWTTHUWPUYBXAZXBXDUXQHUWPUVCWRZUXSLZUW
      SUYAUXQUYEOUYBHUWPUVCUVARWSTUYDUWRUXSUWPUYDUXSUXSUGZUWRUYAUYDUYFPUYBHUWPU
      VAUVARXETUXSUWPUXSUWPUYCUYCXFXMUYCXBXDXGXDUXNUVKHUWPUWIWRZPZUXAUYAUXNUYHO
      UYBHUWPUVKUWIRXHTUYGUWTUVKUYGUXSHUWPUVHWRZNUWPUYINUWTHUWPUVHUVAXIUXSUWPUY
      IUYCXJUYIUVHUWPUYAUYIUVHPUYBHUWPUVHRWTTXKXLXNXDXGXOXPXQXRUWCUWLIUVKUXDICY
      NZUWCUVKUWAPZJUVFUTUWLUYJUWBUYKJUVFUVSUVKUWAXSYDUVEUYKUWJJHJHYNZUWAUWIUVK
      UVTUVAUVHXTZYAYBYCYEYFUVKUWDYGYOYHUVNCUWEYIYJUVPUWELZUURUYNUWCUVPUVSLZVKI
      UWCIUVPYIUWCUVSUVOKZUYOUWCUVEUVSUWIPZMZHVDUYPUVEUWBUYQJHUYLUWAUWIUVSUYMYA
      YBUYRUYPHUYRUVSUWIUVOUVEUYQWHUYRAUVHNZUWILZAUWINZUWILZMZUWIUVOKUVEVUCUYQU
      VEUYTVUBUVBUYTUVDAUVAUVHWEYKUVBUVDVUAUVAUWINZUWIAUVAUWIWEUVDVUDUVCUVHNUWI
      UVAUVAUVHYLUVCUVAUVHWEYMYPYQYKUVNVUCCUWIUVAUVHHVHYRUVNUYSUVKLAUVKNZUVKLZM
      ZUWJVUCUVNUYSVUEUJZUVKLVUGUVMVUHUVKAUVHUVKYSYTUYSVUEUVKUUAUUBVUFVUBUVKUWI
      UYSUWJVUEVUAUVKUWIUVKUWIAUUCUWJUUDUUFUUEUUGYEYJUUHUUIUUJUVSUVOYGSUUKURWPU
      ULUUMUUN $.
  $}

  ${
    $d m n r R $.  $d m n V $.
    $( The transitive closure of a relation may be decomposed into a union of
       the relation and the composition of the relation with its transitive
       closure.  (Contributed by RP, 18-Jul-2020.) $)
    trclfvdecomr $p |- ( R e. V
                        -> ( t+ ` R ) = ( R u. ( ( t+ ` R ) o. R ) ) ) $=
      ( vn vr vm wcel ctcl cfv cn cv crelexp co ciun ccom cun wceq c1 cuz oveq2
      c2 cvv elex oveq1 iuneq2d dftrcl3 nnex ovex iunex fvmpt syl csn cmin nnuz
      2eluzge1 uzsplit ax-mp 2m1e1 oveq2i cz 1z fzsn eqtri uneq1i 3eqtri iuneq1
      cfz iunxun 1ex iunxsn relexp1g coeq1d coiun1 caddc adantl eluzp1p1 eleq2s
      uz2m1nn 1p1e2 fveq2i eleqtrdi 3ad2ant3 wa relexpsucnnr eqcomd wb eluzelcn
      sylan2 cc npcan1 3syl eqeq1d mpbid cbviuneq12dv syl5eq eqtrd uneq12d ) AB
      FZAGHZCIACJZKLZMZAWRANZOZWQAUAFZWRXAPABUBZDACIDJZWSKLZMXAUAGXFAPZCIXGWTXF
      AWSKUCUDCDUECIWTUFAWSKUGUHUIUJWQXAAQKLZCTRHZWTMZOZXCXACQUKZXJOZWTMZCXMWTM
      ZXKOXLIXNPXAXOPIQRHZQTQULLZVFLZXJOZXNUMTXQFXQXTPUNQTUOUPXSXMXJXSQQVFLZXMX
      RQQVFUQURQUSFYAXMPUTQVAUPVBVCVDCIXNWTVEUPCXMXJWTVGXPXIXKCQWTXIVHWSQAKSVIV
      CVDWQXIAXKXBABVJWQXBXKWQXBEIAEJZKLZMZANZXKWQWRYDAWQXDWRYDPXEDAEIXFYBKLZMY
      DUAGXHEIYFYCXFAYBKUCUDEDUEEIYCUFAYBKUGUHUIUJVKWQYEEIYCANZMXKEYCAIVLWQECIY
      GXJWTAWSQULLZKLZANZAYBQVMLZKLZYHYKWSXJFZYHIFZWQWSVQZVNYBIFZYKXJFWQYPYKQQV
      MLZRHZXJYKYRFYBXQIQYBVOUMVPYQTRVRVSVTVNYBYHPZWQYGYJPYMYSYCYIAYBYHAKSVKWAW
      SYKPWQWTYLPYPWSYKAKSWAWQYPWBYLYGAYBBWCWDWQYMWBAYHQVMLZKLZYJPZWTYJPZYMWQYN
      UUBYOAYHBWCWGYMUUBUUCWEWQYMUUAWTYJYMWSWHFYTWSPUUAWTPTWSWFWSWIYTWSAKSWJWKV
      NWLWMWNWOWDWPWNWO $.
  $}

  $( The transitive closure of a relation may be decomposed into a union of the
     relation and the composition of the relation with its transitive closure.
     (Contributed by RP, 18-Jul-2020.) $)
  trclfvdecoml $p |- ( R e. V
                        -> ( t+ ` R ) = ( R u. ( R o. ( t+ ` R ) ) ) ) $=
    ( wcel ctcl cfv ccom cun trclfvdecomr trclfvcom uneq2d eqtrd ) ABCZADEZAMAF
    ZGAAMFZGABHLNOAABIJK $.

  $( The domain of the transitive closure is equal to the domain of the
     relation.  (Contributed by RP, 18-Jul-2020.)
     (Proof modification is discouraged.) $)
  dmtrclfvRP $p |- ( R e. V -> dom ( t+ ` R ) = dom R ) $=
    ( wcel ctcl cfv cdm ccom cun trclfvdecomr dmun wss wceq dmcoss ssequn2 mpbi
    dmeqd eqtri eqtrdi ) ABCZADEZFATAGZHZFZAFZSTUBABIPUCUDUAFZHZUDAUAJUEUDKUFUD
    LTAMUEUDNOQR $.

  $( The range of the transitive closure is equal to the range of the relation.
     (Contributed by RP, 19-Jul-2020.)  (Proof modification is discouraged.) $)
  rntrclfvRP $p |- ( R e. V -> ran ( t+ ` R ) = ran R ) $=
    ( wcel ctcl cfv crn ccnv cdm df-rn cnvtrclfv dmeqd cvv wceq cnvexg dmtrclfv
    syl eqtr4di eqtrd syl5eq ) ABCZADEZFUAGZHZAFZUAITUCAGZDEZHZUDTUBUFABJKTUGUE
    HZUDTUELCUGUHMABNUELOPAIQRS $.

  $( The range of the transitive closure is equal to the range of the relation.
     (Contributed by RP, 18-Jul-2020.)  (Proof modification is discouraged.) $)
  rntrclfv $p |- ( R e. V -> ran ( t+ ` R ) = ran R ) $=
    ( wcel ctcl cfv crn ccom cun trclfvdecoml rnun wss wceq rncoss ssequn2 mpbi
    rneqd eqtri eqtrdi ) ABCZADEZFAATGZHZFZAFZSTUBABIPUCUDUAFZHZUDAUAJUEUDKUFUD
    LATMUEUDNOQR $.

  ${
    $d a k t $.  $d a n r s z $.  $d k n r $.  $d k s $.  $d n r t $.
    $( Reflexive-transitive closure of a relation, expressed as indexed union
       of powers of relations.  Generalized from ~ dfrtrcl2 .  (Contributed by
       RP, 5-Jun-2020.) $)
    dfrtrcl3 $p |- t* = ( r e. _V |-> U_ n e. NN0 ( r ^r n ) ) $=
      ( vz va vk vt vs cvv cv wss ccom w3a cmpt cn0 crelexp ciun wcel cc0 sseq2
      co crtcl cid cdm crn cun cres cab cint df-rtrcl relexp0g nn0ex 0nn0 oveq1
      cfv weq iuneq2d oveq2 cbviunv eqtrdi cbvmptv ov2ssiunov2 mp3an23 eqsstrrd
      c1 relexp1g 1nn0 cuz wceq nn0uz iunrelexpuztr wb wal fvex coeq12d sseq12d
      wi id 3anbi123d a1i alrimiv elabgt sylancr mpbir3and intss1 syl wral elab
      eqid iunrelexpmin2 mpan2 19.21bi syl5bi ralrimiv ssint sylibr eqssd iunex
      vex ovex fvmpt eqtrd mpteq2ia eqtri ) UABHUBBIZUCXDUDUEUFZCIZJZXDXFJZXFXF
      KZXFJZLZCUGZUHZMBHANXDAIZOTZPZMBCUIBHXMXPXDHQZXMXDDHANDIZXNOTZPZMZUNZXPXQ
      XMYBXQYBXLQZXMYBJXQYCXEYBJZXDYBJZYBYBKZYBJZXQXEXDROTZYBXDHUJXQNHQZRNQZYHY
      BJUKULYAXDHEORNHFDFHXTENFIZEIZOTZPZDFUOZXTANYKXNOTZPYNYOANXSYPXRYKXNOUMUP
      AENYPYMXNYLYKOUQURUSUTZVAVBVCXQXDXDVDOTZYBXDHVEXQYIVDNQYRYBJUKVFYAXDHEOVD
      NHFYQVAVBVCXQNRVGUNVHYJYGVIULYAXDERNHFYQVJVBXQYBHQXFYBVHZXKYDYEYGLZVKVPZC
      VLYCYTVKXDYAVMXQUUACUUAXQYSXGYDXHYEXJYGXFYBXESXFYBXDSYSXIYFXFYBYSXFYBXFYB
      YSVQZUUBVNUUBVOVRVSVTXKYTCYBHWAWBWCYBXLWDWEXQYBGIZJZGXLWFYBXMJXQUUDGXLUUC
      XLQXEUUCJZXDUUCJZUUCUUCKZUUCJZLZXQUUDXKUUICUUCGWRCGUOZXGUUEXHUUFXJUUHXFUU
      CXESXFUUCXDSUUJXIUUGXFUUCUUJXFUUCXFUUCUUJVQZUUKVNUUKVOVRWGXQUUIUUDVPZGXQN
      NVHUULGVLNWHYAXDENHGFYQWIWJWKWLWMGYBXLWNWOWPDXDXTXPHYADBUOANXSXOXRXDXNOUM
      UPYAWHANXOUKXDXNOWSWQWTXAXBXC $.
  $}

  ${
    $d n A $.  $d n B $.  $d n r R $.
    brfvrtrcld.r $e |- ( ph -> R e. _V ) $.
    $( If two elements are connected by the reflexive-transitive closure of a
       relation, then they are connected via ` n ` instances the relation, for
       some natural number ` n ` .  Similar of ~ dfrtrclrec2 .  (Contributed by
       RP, 22-Jul-2020.) $)
    brfvrtrcld $p |- ( ph -> ( A ( t* ` R ) B
                               <-> E. n e. NN0 A ( R ^r n ) B ) ) $=
      ( vr crtcl cn0 dfrtrcl3 ssidd brmptiunrelexpd ) ABCHDEIGEGJFAIKL $.
  $}

  ${
    $d n r R $.
    fvrtrcllb0d.r $e |- ( ph -> R e. _V ) $.
    $( A restriction of the identity relation is a subset of the
       reflexive-transitive closure of a set.  (Contributed by RP,
       22-Jul-2020.) $)
    fvrtrcllb0d $p |- ( ph -> ( _I |` ( dom R u. ran R ) ) C_ ( t* ` R ) ) $=
      ( vn vr crtcl cn0 dfrtrcl3 cvv wcel nn0ex a1i cc0 0nn0 fvmptiunrelexplb0d
      ) AFBDGEDEHCGIJAKLMGJANLO $.
  $}

  ${
    $d n r R $.
    fvrtrcllb0da.rel $e |- ( ph -> Rel R ) $.
    fvrtrcllb0da.r $e |- ( ph -> R e. _V ) $.
    $( A restriction of the identity relation is a subset of the
       reflexive-transitive closure of a relation.  (Contributed by RP,
       22-Jul-2020.) $)
    fvrtrcllb0da $p |- ( ph -> ( _I |` U. U. R ) C_ ( t* ` R ) ) $=
      ( vn crtcl cn0 dfrtrcl3 cvv wcel nn0ex a1i cc0 0nn0 fvmptiunrelexplb0da
      vr ) AFBEGPEPHDGIJAKLCMGJANLO $.
  $}

  ${
    $d n r R $.
    fvrtrcllb1d.r $e |- ( ph -> R e. _V ) $.
    $( A set is a subset of its image under the reflexive-transitive closure.
       (Contributed by RP, 22-Jul-2020.) $)
    fvrtrcllb1d $p |- ( ph -> R C_ ( t* ` R ) ) $=
      ( vn vr crtcl cn0 dfrtrcl3 cvv wcel nn0ex a1i c1 1nn0 fvmptiunrelexplb1d
      ) AFBDGEDEHCGIJAKLMGJANLO $.
  $}

  ${
    $d n r x $.
    $( Reflexive-transitive closure of a relation, expressed as the union of
       the zeroth power and the transitive closure.  (Contributed by RP,
       5-Jun-2020.) $)
    dfrtrcl4 $p |- t* = ( r e. _V |-> ( ( r ^r 0 ) u. ( t+ ` r ) ) ) $=
      ( vn vx crtcl cvv cn0 cv crelexp ciun cmpt cc0 ctcl cfv cun dfrtrcl3 wcel
      co cn wceq eqtri csn df-n0 equncomi iuneq1 ax-mp iunxun c0ex oveq2 iunxsn
      a1i weq oveq1 iuneq2d dftrcl3 nnex ovex iunex fvmpt eqcomd uneq12d syl5eq
      mpteq2ia ) DAEBFAGZBGZHQZIZJAEVCKHQZVCLMZNZJBAOAEVFVIVCEPZVFBKUAZVEIZBRVE
      IZNZVIVFBVKRNZVEIZVNFVOSVFVPSFRVKUBUCBFVOVEUDUEBVKRVEUFTVJVLVGVMVHVLVGSVJ
      BKVEVGUGVDKVCHUHUIUJVJVHVMCVCBRCGZVDHQZIVMELCAUKBRVRVEVQVCVDHULUMBCUNBRVE
      UOVCVDHUPUQURUSUTVAVBT $.
  $}

  ${
    $d a b c d i j k $.
    $( The composition of the reflexive and transitive closures is the
       reflexive-transitive closure.  (Contributed by RP, 17-Jun-2020.) $)
    corcltrcl $p |- ( r* o. t+ ) = t* $=
      ( vi vj vk vd crelexp cc0 c1 cn cn0 cun wss wceq wcel ax-mp cv ciun oveq2
      1nn co cvv va vb vc cpr crcl ctcl crtcl dfrcl4 dftrcl3 dfrtrcl3 prex nnex
      df-n0 uncom df-pr uneq1i unass ssequn1 mpbi uneq2i 3eqtrri 3eqtri cbviunv
      csn snssi ss2iun relexp1g elv ssiun2s eqsstrri ovex iunex 0nn0 1nn0 prssi
      a1i mp2an sseli relexpss1d mprg eqsstri eqtr4i 1ex prid2 c0ex ssid unss12
      prid1 iuneq1 iunxun iunxsn cin c0 wne vex nnssnn0 inelcm iunrelexp0 mp3an
      eqtri uneq12i 3sstr4i comptiunov2i ) ABCEFGUDZHIUEUFUGUAUBUCDAUAUHBUBUICU
      CUJFGUKULIHFVDZJXEHJZXDHJZUMHXEUNXGXEGVDZJZHJXEXHHJZJXFXDXIHFGUOZUPXEXHHU
      QXJHXEXHHKZXJHLGHMZXLRGHVENXHHURUSUTVAVBCXDDOZCOZESZPZAXDXNAOZESZPZAXDBHX
      NBOZESZPZXRESZPZCAXDXPXSXOXRXNEQVCXSYDKXTYEKAXDAXDXSYDVFXRXDMZXNYCXRXNYCK
      YFXNXNGESZYCYGXNLDXNTVGVHXMYGYCKRBHYBGYGYAGXNEQVINVJVPYCTMZYFBHYBULXNYAEV
      KVLZVPXDIXRFIMGIMXDIKVMVNFGIVOVQVRVSVTWACHXPPZYCGESZYEYJYCYKCBHXPYBXOYAXN
      EQVCZYHYKYCLYIYCTVGNZWBGXDMZYKYEKFGWCWDZAXDYDGYKXRGYCEQZVINWAXNFESZYJJZXQ
      YJJZYECXGXPPYQXQKZYJYJKYRYSKFXDMYTFGWEWHCXDXPFYQXOFXNEQVINYJWFYQXQYJYJWGV
      QYEAXIYDPZAXEYDPZAXHYDPZJYRXDXILYEUUALXKAXDXIYDWINAXEXHYDWJUUBYQUUCYJUUBY
      CFESZYQAFYDUUDWEXRFYCEQWKXNTMHIKXDHWLWMWNZUUDYQLDWOWPYNXMUUEYORGXDHWQVQBX
      NTHWRWSWTUUCYKYJAGYDYKWCYPWKYKYCYJYMYLWBWTXAVBCXDHXPWJXBXC $.
  $}

  $( Composition with the reflexive-transitive closure absorbs the transitive
     closure.  (Contributed by RP, 13-Jun-2020.) $)
  cortrcltrcl $p |- ( t* o. t+ ) = t* $=
    ( crtcl ctcl ccom corcltrcl eqcomi coeq1i coass cotrcltrcl coeq2i eqtri
    crcl ) ABCKBCZBCZAALBLADEFMKBBCZCZAKBBGOLANBKHIDJJJ $.

  $( Composition with the reflexive-transitive closure absorbs the reflexive
     closure.  (Contributed by RP, 13-Jun-2020.) $)
  corclrtrcl $p |- ( r* o. t* ) = t* $=
    ( crcl crtcl ccom ctcl corcltrcl eqcomi coeq2i coass corclrcl coeq1i eqtri
    ) ABCAADCZCZBBLALBEFGMAACZDCZBOMAADHFOLBNADIJEKKK $.

  ${
    $d a b c d i j k x y $.
    $( The composition of the reflexive and transitive closures is the
       reflexive-transitive closure.  (Contributed by RP, 21-Jun-2020.) $)
    cotrclrcl $p |- ( t+ o. r* ) = t* $=
      ( vi vj vk vd crelexp cn cc0 c1 cn0 cun wss wceq wcel ax-mp cv ciun oveq2
      co cvv ccom va vb vc vx vy cpr ctcl crcl crtcl dftrcl3 dfrtrcl3 nnex prex
      dfrcl4 csn df-n0 df-pr equncomi uneq2i unass ssequn2 mpbi uneq1i 3eqtr2ri
      1nn snssi eqtri cbviunv ss2iun 1ex prid2 relexp1g elv eqtrdi ssiun2s ovex
      a1i iunex nnnn0 relexpss1d mprg eqsstri iuneq1 iunxun c0ex iunxsn uneq12i
      iunss 3eqtri oveq1i caddc sseq1d weq unex 0nn0 1nn0 unssi wa relexpsucnnr
      simpl sylancr coss1 coundi cdm crn cres cid coeq2i coiun1 coires1 iuneq2i
      relexp0g resss wrex iunss2 wex wsbc peano2nn0 sbcel1v csb vex relexpaddss
      sylibr mp3an23 csbconstg csbov2g csbvarg oveq2d eqtrd 3sstr4g wb sylanbrc
      sbcssg sbcan spesbcd df-rex sseqtri sstrdi adantl eqsstrd ex comptiunov2i
      nnind eqsstrid mprgbir ) ABCEFGHUFZIUGUHUIUAUBUCDAUAUJBUBUNCUCUKULGHUMZIF
      GUOZJZFUUFJZUPUUJFHUOZUUHJZJFUUKJZUUHJUUIUUFUULFUUFUUHUUKGHUQZURUSFUUKUUH
      UTUUMFUUHUUKFKZUUMFLHFMZUUOVEHFVFNUUKFVAVBVCVDVGZCFDOZCOZERZPAFUURAOZERZP
      ZAFBUUFUURBOZERZPZUVAERZPZCAFUUTUVBUUSUVAUUREQVHUVBUVGKUVCUVHKAFAFUVBUVGV
      IUVAFMZUURUVFUVAUURUVFKZUVIHUUFMUVJGHVJVKBUUFUVEHUURUVDHLUVEUURHERZUURUVD
      HUUREQZUVKUURLDUURSVLVMVNVONVQUVFSMZUVIBUUFUVEUUGUURUVDEVPVRZVQUVAVSVTWAW
      BUUPCUUFUUTPZUVHKVEAFUVGHUVOUVAHLUVGUVFHERZUVOUVAHUVFEQUVPUVFUVOUVMUVPUVF
      LUVNUVFSVLNBCUUFUVEUUTUVDUUSUUREQVHVGVNVONUVHCIUUTPZCUUJUUTPZUVHUVQKUVGUV
      QKAFAFUVGUVQWHUVIUVGUURGERZUVKJZUVAERZUVQUVFUVTUVAEUVFBUUHUUKJZUVEPZBUUHU
      VEPZBUUKUVEPZJUVTUUFUWBLUVFUWCLUUNBUUFUWBUVEWCNBUUHUUKUVEWDUWDUVSUWEUVKBG
      UVEUVSWEUVDGUUREQWFBHUVEUVKVJUVLWFWGWIWJUVTUDOZERZUVQKUVTHERZUVQKUVTUEOZE
      RZUVQKZUVTUWIHWKRZERZUVQKZUWAUVQKUDUEUVAUWFHLUWGUWHUVQUWFHUVTEQWLUDUEWMUW
      GUWJUVQUWFUWIUVTEQWLUWFUWLLUWGUWMUVQUWFUWLUVTEQWLUDAWMUWGUWAUVQUWFUVAUVTE
      QWLUWHUVTUVQUVTSMZUWHUVTLUVSUVKUURGEVPUURHEVPWNZUVTSVLNUVSUVKUVQGIMUVSUVQ
      KWOCIUUTGUVSUUSGUUREQVONHIMZUVKUVQKWPCIUUTHUVKUUSHUUREQVONWQWBUWIFMZUWKUW
      NUWRUWKWRZUWMUWJUVTTZUVQUWSUWOUWRUWMUWTLUWPUWRUWKWTUVTUWISWSXAUWKUWTUVQKU
      WRUWKUWTUVQUVTTZUVQUWJUVQUVTXBUXAUVQUVSTZUVQUVKTZJUVQUVQUVSUVKXCUXBUXCUVQ
      UXBCIUUTUURXDUURXEJZXFZPZUVQUXBUVQXGUXDXFZTCIUUTUXGTZPUXFUVSUXGUVQUVSUXGL
      DUURSXLVMXHCUUTUXGIXICIUXHUXEUXHUXELUUSIMZUUTUXDXJVQXKWIUXEUUTKZUXFUVQKCI
      CIUXEUUTVIUXJUXIUUTUXDXMVQWAWBUXCAIUVBPZUVQUXCCIUUTUVKTZPZUXKCUUTUVKIXIUX
      LUVBKZAIXNZUXMUXKKCICAIIUXLUVBXOUXIUVAIMZUXNWRZAXPUXOUXIUXQAUUSHWKRZUXIUX
      PAUXRXQZUXNAUXRXQZUXQAUXRXQUXIUXRIMUXSUUSXRAUXRIXSYCUXIAUXRUXLXTZAUXRUVBX
      TZKZUXTUXIUXLUURUXRERZUYAUYBUXIUWQUURSMUXLUYDKWPDYAUURHUUSSYBYDUXRSMZUYAU
      XLLUUSHWKVPZAUXRUXLSYENUYEUYBUYDLUYFUYEUYBUURAUXRUVAXTZERUYDAUXRUURUVAESY
      FUYEUYGUXRUUREAUXRSYGYHYINYJUYEUXTUYCYKUYFAUXRUXLUVBSYMNYCUXPUXNAUXRYNYLY
      OUXNAIYPYCWAWBACIUVBUUTUVAUUSUUREQVHYQWQWBYRYSYTUUAUUCUUDUUEIUUJLUVQUVRLU
      UQCIUUJUUTWCNYQUUB $.
  $}

  $( Composition with the reflexive-transitive closure absorbs the reflexive
     closure.  (Contributed by RP, 13-Jun-2020.) $)
  cortrclrcl $p |- ( t* o. r* ) = t* $=
    ( crtcl crcl ccom ctcl cotrclrcl eqcomi coeq1i coass corclrcl coeq2i eqtri
    ) ABCDBCZBCZAALBLAEFGMDBBCZCZADBBHOLANBDIJEKKK $.

  $( Composition with the reflexive-transitive closure absorbs the transitive
     closure.  (Contributed by RP, 13-Jun-2020.) $)
  cotrclrtrcl $p |- ( t+ o. t* ) = t* $=
    ( ctcl crtcl ccom cotrclrcl eqcomi coeq2i coass cotrcltrcl coeq1i eqtri
    crcl ) ABCAAKCZCZBBLALBDEFMAACZKCZBOMAAKGEOLBNAKHIDJJJ $.

  $( The reflexive-transitive closure is idempotent.  (Contributed by RP,
     13-Jun-2020.) $)
  cortrclrtrcl $p |- ( t* o. t* ) = t* $=
    ( crtcl ccom ctcl crcl cotrclrcl eqcomi coeq1i coass corclrtrcl cotrclrtrcl
    coeq2i eqtri ) AABCDBZABZAAMAMAEFGNCDABZBZACDAHPCABAOACIKJLLL $.

  $(
    $d x y r R $.  $d x y r A $.  $d x y V $.
    %( When the image of a class is a subclass (the relation is hereditary in
       that class) then the transitive closure of the restriction is equal to
       the restriction of the transitive closure of that relation. %)
    trclubgres $p |- ( ( R e. V /\ ( R " A ) C_ A ) ->
                       |^| { r | ( ( R |` A ) C_ r /\ ( r o. r ) C_ r ) } =
                       ( |^| { r | ( R C_ r /\ ( r o. r ) C_ r ) } |` A ) ) $=
      ( vx vy wcel wss wa cres cv cab cint wrel wb wal cvv relres wi a1i resexg
      cima ccom cop wceq jctir adantr cxp cdm crn trclub xpss sstrdi df-rel syl
      sylibr opex elintab resss sstr2 anim1d imim1d alimdv impbid anbi1i bicomd
      ax-mp jcad 3bitrd vex opelres bitrd gen2 nfv 19.21-2 biimpi eqrel biimpar
      jca ) BCGZBAUBAHZIZBAJZDKZHWDWDUCWDHZIZDLMZNZBWDHWEIZDLMZAJZNZIZEKZFKZUDZ
      WGGZWPWKGZOZFPEPZIWGWKUEZWBWMWTWBWHWLWBWCQGZWCNZIZWHVTXDWAVTXBXCBACUABARU
      FUGXDWGQQUHZHWHXDWGWCUIZWCUJZUHXEWCQDUKXFXGULUMWGUNUPUOWJARUFWBWSSZFPEPZW
      BWTSZXHEFWBWQWPWJGZWNAGZIZWRWBWQWFWPWDGZSDPZWIXNSDPZXLIZXMWQXOOWBWFDWPWNW
      OUQZURT?????????????????????????US???UTVGTVAVBVC?VH?VDWBXMXQXMXQOWBXKXPXL
      WIDWPXRURVETVFVIWBWRXMWRXMOWBWNWOWJAFVJVKTVFVLVMXIXJWBWSEFWBEVNWBFVNVOVPV
      GVSWMXAWTEFWGWKVQVRUO $.
  $)

  $(
    $d r A $.  $d r B $.  $d r R $.
    %( Two ways of expressing the transitive closure of the converse of a
       binary relation.  %)
    brcnvtrclfv2 $p |- ( ( R e. U /\ A e. V /\ B e. W )
                     -> ( A `' ( t+ ` R ) B
                          <-> A. r ( ( R C_ `' r /\ ( r o. r ) C_ r )
                                     -> A r B ) ) ) $=
      ? $.
  $)

  $(
    %( Condition when the restriction of the transitive closure is equal to the
       transitive closure of the restriction. %)
    trclfvres $p |- ( ( ( R e. V /\ A e. W ) /\ ( B C_ A /\ ( R " A ) C_ B ) )
               -> ( ( t+ ` R ) |` A ) = ( t+ ` ( R |` A ) ) $= ? $.
  $)

  $(
    %( The image under the transitive closure of a relation may be decomposed
       into the image under the relation and the image under the transitive
       closure of that image. %)
    trclfvimadecom $p |- ( R e. V ->
                           ( ( t+ ` R ) " A )
                           = ( ( R " A ) u. ( ( t+ ` R ) " ( R " A ) ) ) ) $=
      ( wcel ctcl cfv ccom cun wceq cima imaeq1 imaundir imaco uneq2i eqtri syl
      eqtrdi ) BCDBEFZBRBGZHZIZRAJZBAJZRUCJZHZI?UAUBTAJZUERTAKUFUCSAJZHUEBSALUG
      UDUCRBAMNOQP $.
  $)

  $(
    %( Upper bound for the restriction of the transitive closure. %)
    trclfvresub $p |- ( ( ( R e. V /\ A e. W )
                        /\ ( B C_ A /\ ( R " A ) C_ B ) )
               -> ( ( t+ ` R ) |` A ) C_ ( A X. B ) ) $= ? $.
  $)

  $(
    %( An upper bound on the image of a transitive relation. %)
    trclimaub $p |- ( ( ( R e. U /\ A e. V /\ B e. W )
                      /\ ( R " ( A u. B ) ) C_ B )
                    -> ( ( t+ ` R ) " A ) C_ B ) $=
      (  ) ? $.
  $)

  $(
    %( A special case where union with a Cartesian product may be moved out of
       the transitive closure of a relation. %)
    trclunxp $p |- ( ( ( R e. U /\ A e. V /\ B e. W )
                     /\ ( R " ( A u. B ) ) C_ B )
                   -> ( t+ ` ( R u. ( A X. B ) ) )
                      = ( ( t+ ` R ) u. ( A X. B ) ) ) $=
      (  ) ? $.
  $)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Adapted from Frege
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Theorems inspired by _Begriffsschrift_ without restricting form and content
  to closely parallel those in [Frege1879].

$)

  ${
    frege77d.r $e |- ( ph -> R e. _V ) $.
    frege77d.a $e |- ( ph -> A e. _V ) $.
    frege77d.b $e |- ( ph -> B e. _V ) $.
    frege77d.ab $e |- ( ph -> A ( t+ ` R ) B ) $.
    frege77d.he $e |- ( ph -> ( R " U ) C_ U ) $.
    frege77d.ss $e |- ( ph -> ( R " { A } ) C_ U ) $.
    $( If the images of both ` { A } ` and ` U ` are subsets of ` U ` and ` B `
       follows ` A ` in the transitive closure of ` R ` , then ` B ` is an
       element of ` U ` .  Similar to Proposition 77 of [Frege1879] p. 62.
       Compare with ~ frege77 .  (Contributed by RP, 15-Jul-2020.) $)
    frege77d $p |- ( ph -> B e. U ) $=
      ( ctcl cfv csn cima cvv wcel cun wss syl2anc imaundi unssd trclimalb2 cop
      eqsstrid wbr df-br sylib wb elimasng mpbird sseldd ) ADLMZBNZOZECADPQDUNE
      ROZESUOESFAUPDUNOZDEOZREDUNEUAAUQUREKJUBUEUNEDPUCTACUOQZBCUDUMQZABCUMUFUT
      IBCUMUGUHABPQCPQUSUTUIGHUMBCPPUJTUKUL $.
  $}

  ${
    frege81d.r $e |- ( ph -> R e. _V ) $.
    frege81d.a $e |- ( ph -> A e. U ) $.
    frege81d.b $e |- ( ph -> B e. _V ) $.
    frege81d.ab $e |- ( ph -> A ( t+ ` R ) B ) $.
    frege81d.he $e |- ( ph -> ( R " U ) C_ U ) $.
    $( If the image of ` U ` is a subset ` U ` , ` A ` is an element of ` U `
       and ` B ` follows ` A ` in the transitive closure of ` R ` , then ` B `
       is an element of ` U ` .  Similar to Proposition 81 of [Frege1879]
       p. 63.  Compare with ~ frege81 .  (Contributed by RP, 15-Jul-2020.) $)
    frege81d $p |- ( ph -> B e. U ) $=
      ( elexd csn cima wss snssd imass2 syl sstrd frege77d ) ABCDEFABEGKHIJADBL
      ZMZDEMZEATENUAUBNABEGOTEDPQJRS $.
  $}

  ${
    frege83d.r $e |- ( ph -> R e. _V ) $.
    frege83d.a $e |- ( ph -> A e. U ) $.
    frege83d.b $e |- ( ph -> B e. _V ) $.
    frege83d.ab $e |- ( ph -> A ( t+ ` R ) B ) $.
    frege83d.he $e |- ( ph -> ( R " ( U u. V ) ) C_ ( U u. V ) ) $.
    $( If the image of the union of ` U ` and ` V ` is a subset of the union of
       ` U ` and ` V ` , ` A ` is an element of ` U ` and ` B ` follows ` A `
       in the transitive closure of ` R ` , then ` B ` is an element of the
       union of ` U ` and ` V ` .  Similar to Proposition 83 of [Frege1879]
       p. 65.  Compare with ~ frege83 .  (Contributed by RP, 15-Jul-2020.) $)
    frege83d $p |- ( ph -> B e. ( U u. V ) ) $=
      ( cun ssun1 sselid frege81d ) ABCDEFLZGAEPBEFMHNIJKO $.
  $}

  ${
    frege96d.r $e |- ( ph -> R e. _V ) $.
    frege96d.a $e |- ( ph -> A e. _V ) $.
    frege96d.b $e |- ( ph -> B e. _V ) $.
    frege96d.c $e |- ( ph -> C e. _V ) $.
    frege96d.ac $e |- ( ph -> A ( t+ ` R ) C ) $.
    frege96d.cb $e |- ( ph -> C R B ) $.
    $( If ` C ` follows ` A ` in the transitive closure of ` R ` and ` B `
       follows ` C ` in ` R ` , then ` B ` follows ` A ` in the transitive
       closure of ` R ` .  Similar to Proposition 96 of [Frege1879] p. 71.
       Compare with ~ frege96 .  (Contributed by RP, 15-Jul-2020.) $)
    frege96d $p |- ( ph -> A ( t+ ` R ) B ) $=
      ( ctcl cfv ccom wbr cvv wcel brcogw syl32anc wss coss1 trclfvcotrg sstrdi
      trclfvlb 3syl ssbrd mpd ) ABCEELMZNZOZBCUHOABPQCPQDPQBDUHODCEOUJGHIJKBCEU
      HPPDPRSAUIUHBCAUIUHUHNZUHAEPQEUHTUIUKTFEPUDEUHUHUAUEEUBUCUFUG $.
  $}

  ${
    frege87d.r $e |- ( ph -> R e. _V ) $.
    frege87d.a $e |- ( ph -> A e. _V ) $.
    frege87d.b $e |- ( ph -> B e. _V ) $.
    frege87d.c $e |- ( ph -> C e. _V ) $.
    frege87d.ac $e |- ( ph -> A ( t+ ` R ) C ) $.
    frege87d.cb $e |- ( ph -> C R B ) $.
    frege87d.ss $e |- ( ph -> ( R " { A } ) C_ U ) $.
    frege87d.he $e |- ( ph -> ( R " U ) C_ U ) $.
    $( If the images of both ` { A } ` and ` U ` are subsets of ` U ` and ` C `
       follows ` A ` in the transitive closure of ` R ` and ` B ` follows ` C `
       in ` R ` , then ` B ` is an element of ` U ` .  Similar to Proposition
       87 of [Frege1879] p. 66.  Compare with ~ frege87 .  (Contributed by RP,
       15-Jul-2020.) $)
    frege87d $p |- ( ph -> B e. U ) $=
      ( frege96d frege77d ) ABCEFGHIABCDEGHIJKLONMP $.
  $}

  ${
    frege91d.r $e |- ( ph -> R e. _V ) $.
    frege91d.ac $e |- ( ph -> A R B ) $.
    $( If ` B ` follows ` A ` in ` R ` then ` B ` follows ` A ` in the
       transitive closure of ` R ` .  Similar to Proposition 91 of [Frege1879]
       p. 68.  Comparw with ~ frege91 .  (Contributed by RP, 15-Jul-2020.) $)
    frege91d $p |- ( ph -> A ( t+ ` R ) B ) $=
      ( wbr ctcl cfv cvv wcel wss trclfvlb syl ssbrd mpd ) ABCDGBCDHIZGFADQBCAD
      JKDQLEDJMNOP $.
  $}

  ${
    frege97d.r $e |- ( ph -> R e. _V ) $.
    frege97d.a $e |- ( ph -> A = ( ( t+ ` R ) " U ) ) $.
    $( If ` A ` contains all elements after those in ` U ` in the transitive
       closure of ` R ` , then the image under ` R ` of ` A ` is a subclass of
       ` A ` .  Similar to Proposition 97 of [Frege1879] p. 71.  Compare with
       ~ frege97 .  (Contributed by RP, 15-Jul-2020.) $)
    frege97d $p |- ( ph -> ( R " A ) C_ A ) $=
      ( ctcl cfv ccom cima wss cvv wcel trclfvlb 3syl trclfvcotrg sstrdi imass1
      coss1 syl imaeq2d imaco eqtr4di 3sstr4d ) ACCGHZIZDJZUEDJZCBJZBAUFUEKUGUH
      KAUFUEUEIZUEACLMCUEKUFUJKECLNCUEUESOCPQUFUEDRTAUICUHJUGABUHCFUACUEDUBUCFU
      D $.
  $}

  ${
    frege98d.a $e |- ( ph -> A e. _V ) $.
    frege98d.b $e |- ( ph -> B e. _V ) $.
    frege98d.c $e |- ( ph -> C e. _V ) $.
    frege98d.ac $e |- ( ph -> A ( t+ ` R ) C ) $.
    frege98d.cb $e |- ( ph -> C ( t+ ` R ) B ) $.
    $( If ` C ` follows ` A ` and ` B ` follows ` C ` in the transitive closure
       of ` R ` , then ` B ` follows ` A ` in the transitive closure of ` R ` .
       Similar to Proposition 98 of [Frege1879] p. 71.  Compare with
       ~ frege98 .  (Contributed by RP, 15-Jul-2020.) $)
    frege98d $p |- ( ph -> A ( t+ ` R ) B ) $=
      ( ctcl cfv ccom wbr cvv wcel brcogw syl32anc wss trclfvcotrg a1i ssbrd
      mpd ) ABCEKLZUDMZNZBCUDNABOPCOPDOPBDUDNDCUDNUFFGHIJBCUDUDOODOQRAUEUDBCUEU
      DSAETUAUBUC $.
  $}

  ${
    frege102d.r $e |- ( ph -> R e. _V ) $.
    frege102d.a $e |- ( ph -> A e. _V ) $.
    frege102d.b $e |- ( ph -> B e. _V ) $.
    frege102d.c $e |- ( ph -> C e. _V ) $.
    frege102d.ac $e |- ( ph -> ( A ( t+ ` R ) C \/ A = C ) ) $.
    frege102d.cb $e |- ( ph -> C R B ) $.
    $( If either ` A ` and ` C ` are the same or ` C ` follows ` A ` in the
       transitive closure of ` R ` _and_ ` B ` is the successor to ` C ` , then
       ` B ` follows ` A ` in the transitive closure of ` R ` .  Similar to
       Proposition 102 of [Frege1879] p. 72.  Compare with ~ frege102 .
       (Contributed by RP, 15-Jul-2020.) $)
    frege102d $p |- ( ph -> A ( t+ ` R ) B ) $=
      ( ctcl cfv wbr wceq wa cvv wcel adantr simpr frege96d frege91d mpjaodan
      eqbrtrd ) ABDELMZNZBCUENBDOZAUFPBCDEAEQRZUFFSABQRUFGSACQRUFHSADQRUFISAUFT
      ADCENZUFKSUAAUGPZBCEAUHUGFSUJBDCEAUGTAUIUGKSUDUBJUC $.
  $}

  ${
    frege106d.cb $e |- ( ph -> A R B ) $.
    $( If ` B ` follows ` A ` in ` R ` , then either ` A ` and ` B ` are the
       same or ` B ` follows ` A ` in ` R ` .  Similar to Proposition 106 of
       [Frege1879] p. 73.  Compare with ~ frege106 .  (Contributed by RP,
       15-Jul-2020.) $)
    frege106d $p |- ( ph -> ( A R B \/ A = B ) ) $=
      ( wbr wceq orcd ) ABCDFBCGEH $.
  $}

  ${
    frege108d.r $e |- ( ph -> R e. _V ) $.
    frege108d.a $e |- ( ph -> A e. _V ) $.
    frege108d.b $e |- ( ph -> B e. _V ) $.
    frege108d.c $e |- ( ph -> C e. _V ) $.
    frege108d.ac $e |- ( ph -> ( A ( t+ ` R ) C \/ A = C ) ) $.
    frege108d.cb $e |- ( ph -> C R B ) $.
    $( If either ` A ` and ` C ` are the same or ` C ` follows ` A ` in the
       transitive closure of ` R ` _and_ ` B ` is the successor to ` C ` , then
       either ` A ` and ` B ` are the same or ` B ` follows ` A ` in the
       transitive closure of ` R ` .  Similar to Proposition 108 of [Frege1879]
       p. 74.  Compare with ~ frege108 .  (Contributed by RP, 15-Jul-2020.) $)
    frege108d $p |- ( ph -> ( A ( t+ ` R ) B \/ A = B ) ) $=
      ( ctcl cfv frege102d frege106d ) ABCELMABCDEFGHIJKNO $.
  $}

  ${
    frege109d.r $e |- ( ph -> R e. _V ) $.
    frege109d.a $e |- ( ph -> A = ( U u. ( ( t+ ` R ) " U ) ) ) $.
    $( If ` A ` contains all elements of ` U ` and all elements after those in
       ` U ` in the transitive closure of ` R ` , then the image under ` R ` of
       ` A ` is a subclass of ` A ` .  Similar to Proposition 109 of
       [Frege1879] p. 74.  Compare with ~ frege109 .  (Contributed by RP,
       15-Jul-2020.) $)
    frege109d $p |- ( ph -> ( R " A ) C_ A ) $=
      ( cima ctcl cfv ccom cun cvv wcel trclfvlb imass1 3syl trclfvcotrg sstrdi
      wss coss1 unssd ssun2 imaeq2d imaundi imaco eqcomi uneq2i eqtrdi 3sstr4d
      syl eqtri ) ACDGZCCHIZJZDGZKZDUMDGZKZCBGZBAUPUQURAULUOUQACLMZCUMSZULUQSEC
      LNZCUMDOPAUNUMSUOUQSAUNUMUMJZUMAUTVAUNVCSEVBCUMUMTPCQRUNUMDOUJUAUQDUBRAUS
      CURGZUPABURCFUCVDULCUQGZKUPCDUQUDVEUOULUOVECUMDUEUFUGUKUHFUI $.
  $}

  ${
    frege114d.ab $e |- ( ph -> ( A R B \/ A = B ) ) $.
    $( If either ` R ` relates ` A ` and ` B ` or ` A ` and ` B ` are the same,
       then either ` A ` and ` B ` are the same, ` R ` relates ` A ` and
       ` B ` , ` R ` relates ` B ` and ` A ` .  Similar to Proposition 114 of
       [Frege1879] p. 76.  Compare with ~ frege114 .  (Contributed by RP,
       15-Jul-2020.) $)
    frege114d $p |- ( ph -> ( A R B \/ A = B \/ B R A ) ) $=
      ( wbr wceq wo w3o df-3or biimpri orcs syl ) ABCDFZBCGZHZNOCBDFZIZEPQRRPQH
      NOQJKLM $.
  $}

  ${
    frege111d.r $e |- ( ph -> R e. _V ) $.
    frege111d.a $e |- ( ph -> A e. _V ) $.
    frege111d.b $e |- ( ph -> B e. _V ) $.
    frege111d.c $e |- ( ph -> C e. _V ) $.
    frege111d.ac $e |- ( ph -> ( A ( t+ ` R ) C \/ A = C ) ) $.
    frege111d.cb $e |- ( ph -> C R B ) $.
    $( If either ` A ` and ` C ` are the same or ` C ` follows ` A ` in the
       transitive closure of ` R ` _and_ ` B ` is the successor to ` C ` , then
       either ` A ` and ` B ` are the same or ` A ` follows ` B ` or ` B ` and
       ` A ` in the transitive closure of ` R ` .  Similar to Proposition 111
       of [Frege1879] p. 75.  Compare with ~ frege111 .  (Contributed by RP,
       15-Jul-2020.) $)
    frege111d $p |- ( ph -> ( A ( t+ ` R ) B \/ A = B \/ B ( t+ ` R ) A ) ) $=
      ( ctcl cfv frege108d frege114d ) ABCELMABCDEFGHIJKNO $.
  $}

  ${
    frege122d.a $e |- ( ph -> A = ( F ` X ) ) $.
    frege122d.b $e |- ( ph -> B = ( F ` X ) ) $.
    $( If ` F ` is a function, ` A ` is the successor of ` X ` , and ` B ` is
       the successor of ` X ` , then ` A ` and ` B ` are the same (or ` B `
       follows ` A ` in the transitive closure of ` F ` ).  Similar to
       Proposition 122 of [Frege1879] p. 79.  Compare with ~ frege122 .
       (Contributed by RP, 15-Jul-2020.) $)
    frege122d $p |- ( ph -> ( A ( t+ ` F ) B \/ A = B ) ) $=
      ( wceq ctcl cfv wbr eqtr4d olcd ) ABCHBCDIJKABEDJCFGLM $.
  $}

  ${
    frege124d.f $e |- ( ph -> F e. _V ) $.
    frege124d.x $e |- ( ph -> X e. dom F ) $.
    frege124d.a $e |- ( ph -> A = ( F ` X ) ) $.
    frege124d.xb $e |- ( ph -> X ( t+ ` F ) B ) $.
    frege124d.fun $e |- ( ph -> Fun F ) $.
    $d a B $.  $d a F $.  $d a X $.
    $( If ` F ` is a function, ` A ` is the successor of ` X ` , and ` B `
       follows ` X ` in the transitive closure of ` F ` , then ` A ` and ` B `
       are the same or ` B ` follows ` A ` in the transitive closure of ` F ` .
       Similar to Proposition 124 of [Frege1879] p. 80.  Compare with
       ~ frege124 .  (Contributed by RP, 16-Jul-2020.) $)
    frege124d $p |- ( ph -> ( A ( t+ ` F ) B \/ A = B ) ) $=
      ( va wbr wceq wn wa wcel syl2anc wsbc cvv syl ctcl cfv wfun ccom cdif wal
      cv wi weu wex eqcomd cdm funbrfvb mpbid funeu fvex eqeltrdi sbcan sbcbr2g
      wb csbvarg breq2d bitrd sbcng sbcbr1g breq1d notbid anbi12d syl5bb spesbc
      syl6bir mpand eupicka syl6an alinexa wrel funrel reltrclfv brrelex2 brcog
      csb bitr4id sylibd brdif sylsyld cun wss trclfvdecomr uncom eqtrdi eqimss
      simplbi2 ssundif sylib ssbrd syld funbrfv eqcom syl6ib eqtr3 orrd ) ABCDU
      AUBZLZBCMZABEDUBZMXCNZCXEMZXDHAXFXECMZXGADUCZXFECDLZXHJAXFECXBXBDUDZUEZLZ
      XJAECXBLZXFECXKLZNZXMIAXFEKUGZDLZXQCXBLZNZUHKUFZXPAXRKUIZXFXRXTOZKUJZYAAX
      IEBDLZYBJAXEBMZYEABXEHUKAXIEDULZPZYFYEUTJGEBDUMQUNZKEBDUOQAYEXFYDYIAYEXFO
      ZYCKBRZYDABSPZYKYJUTABXESHEDUPUQYKXRKBRZXTKBRZOYLYJXRXTKBURYLYMYEYNXFYLYM
      EKBXQWAZDLYEKBEXQDSUSYLYOBEDKBSVAZVBVCYLYNXSKBRZNXFXSKBSVDYLYQXCYLYQYOCXB
      LXCKBXQCXBSVEYLYOBCXBYPVFVCVGVCVHVITYCKBVJVKVLXRXTKVMVNAYAXRXSOKUJZNXPXRX
      SKVOAXOYRAYHCSPZXOYRUTGAXBVPZXNYSADSPZDVPZYTFAXIUUBJDVQTDSVRQIECXBVSQKECX
      BDYGSVTQVGWBWCXMXNXPECXBXKWDWLWEAXLDECAXBXKDWFZWGZXLDWGAXBUUCMUUDAXBDXKWF
      ZUUCAUUAXBUUEMFDSWHTDXKWIWJXBUUCWKTXBXKDWMWNWOWPECDWQWEXECWRWSBCXEWTVNXA
      $.
  $}

  ${
    frege126d.f $e |- ( ph -> F e. _V ) $.
    frege126d.x $e |- ( ph -> X e. dom F ) $.
    frege126d.a $e |- ( ph -> A = ( F ` X ) ) $.
    frege126d.xb $e |- ( ph -> X ( t+ ` F ) B ) $.
    frege126d.fun $e |- ( ph -> Fun F ) $.
    $( If ` F ` is a function, ` A ` is the successor of ` X ` , and ` B `
       follows ` X ` in the transitive closure of ` F ` , then (for distinct
       ` A ` and ` B ` ) either ` A ` follows ` B ` or ` B ` follows ` A ` in
       the transitive closure of ` F ` .  Similar to Proposition 126 of
       [Frege1879] p. 81.  Compare with ~ frege126 .  (Contributed by RP,
       16-Jul-2020.) $)
    frege126d $p |- ( ph -> ( A ( t+ ` F ) B \/ A = B \/ B ( t+ ` F ) A ) ) $=
      ( ctcl cfv frege124d frege114d ) ABCDKLABCDEFGHIJMN $.
  $}

  ${
    frege129d.f $e |- ( ph -> F e. _V ) $.
    frege129d.a $e |- ( ph -> A e. dom F ) $.
    frege129d.c $e |- ( ph -> C = ( F ` A ) ) $.
    frege129d.or $e |- ( ph -> ( A ( t+ ` F ) B
                                 \/ A = B \/ B ( t+ ` F ) A ) ) $.
    frege129d.fun $e |- ( ph -> Fun F ) $.
    $( If ` F ` is a function and (for distinct ` A ` and ` B ` ) either ` A `
       follows ` B ` or ` B ` follows ` A ` in the transitive closure of
       ` F ` , the successor of ` A ` is either ` B ` or it follows ` B ` or it
       comes before ` B ` in the transitive closure of ` F ` .  Similar to
       Proposition 129 of [Frege1879] p. 83.  Comparw with ~ frege129 .
       (Contributed by RP, 16-Jul-2020.) $)
    frege129d $p |- ( ph -> ( B ( t+ ` F ) C \/ B = C \/ C ( t+ ` F ) B ) ) $=
      ( cfv wbr wceq w3o wa cvv wcel adantr simpr ex ctcl frege126d eqcom sylib
      cdm wfun biid 3orbi123i 3orcomb 3orrot sylbb syl eqcomd wi biimpd syl2anc
      funbrfvb mpd frege91d eqbrtrrd 3mix1 syl6 funrel reltrclfv brrelex1 sylan
      wrel fvex eqeltrdi elexd frege96d 3jaod ) ABCEUAKZLZBCMZCBVMLZNCDVMLZCDMZ
      DCVMLZNZIAVNVTVOVPAVNVTAVNOZVSVRVQNZVTWAVSDCMZVQNWBWADCEBAEPQZVNFRABEUEZQ
      ZVNGRADBEKZMVNHRAVNSAEUFZVNJRUBVSVSWCVRVQVQVSUGDCUCVQUGUHUDWBVSVQVRNVTVSV
      RVQUIVSVQVRUJUKULTAVOVQVTAVOVQAVOOBCDVMAVOSABDVMLVOABDEFAWGDMZBDELZADWGHU
      MAWHWFWIWJUNJGWHWFOWIWJBDEUQUOUPURZUSRUTTVQVRVSVAZVBAVPVQVTAVPVQAVPOCDBEA
      WDVPFRAVMVGZVPCPQAWDEVGZWMFAWHWNJEVCULEPVDUPCBVMVEVFADPQVPADWGPHBEVHVIRAB
      PQVPABWEGVJRAVPSAWJVPWKRVKTWLVBVLUR $.
  $}

  ${
    frege131d.f $e |- ( ph -> F e. _V ) $.
    frege131d.a $e |- ( ph -> A = ( U u. ( ( `' ( t+ ` F ) " U )
                                         u. ( ( t+ ` F ) " U ) ) ) ) $.
    frege131d.fun $e |- ( ph -> Fun F ) $.
    $( If ` F ` is a function and ` A ` contains all elements of ` U ` and all
       elements before or after those elements of ` U ` in the transitive
       closure of ` F ` , then the image under ` F ` of ` A ` is a subclass of
       ` A ` .  Similar to Proposition 131 of [Frege1879] p. 85.  Compare with
       ~ frege131 .  (Contributed by RP, 17-Jul-2020.) $)
    frege131d $p |- ( ph -> ( F " A ) C_ A ) $=
      ( cima ccnv ccom cun cvv wss imass1 sstrdi cid syl eqtri eqtrdi eqcomi
      ctcl cfv wcel trclfvlb 3syl ssun2 sstri crn cres wceq trclfvdecomr cnveqd
      cnvun cnvco uneq2i coeq2d coundi wfun funcocnv2 coass coeq1d syl5eq eqtrd
      uneq12d imaeq1d resss ax-mp imai sseqtri imaco eqsstri unss12 mp2an ssun1
      imaundir unass eqsstrdi coss1 trclfvcotrg imaeq2d imaundi uneq12i 3sstr4d
      unssd ) ADCHZDDUAUBZIZJZCHZDWFJZCHZKZKZCWGCHZWFCHZKZKZDBHZBAWEWLWQAWEWOWQ
      ADLUCZDWFMZWEWOMEDLUDZDWFCNUEWOWPWQWOWNUFWPCUFUGZOAWIWKWQAWIPDUHZUIZCHZXD
      WGJZCHZKZWQAWIXDXFKZCHXHAWHXICAWHDDIZXJWGJZKZJZXIAWGXLDAWGDWFDJZKZIZXLAWF
      XOAWSWFXOUJEDLUKQULXPXJXNIZKXLDXNUMXQXKXJWFDUNUORSUPAXMDXJJZDXKJZKXIDXJXK
      UQAXRXDXSXFADURXRXDUJGDUSQZAXSXRWGJZXFYAXSDXJWGUTTAXRXDWGXTVAVBVDVBVCVEXD
      XFCVOSXHCWNKZWQXECMXGWNMXHYBMXEPCHZCXDPMZXEYCMPXCVFZXDPCNVGCVHVIXGXDWNHZW
      NXDWGCVJYFPWNHZWNYDYFYGMYEXDPWNNVGWNVHVIVKXECXGWNVLVMYBYBWOKWQYBWOVNCWNWO
      VPVIUGVQAWKWOWQAWJWFMWKWOMAWJWFWFJZWFAWSWTWJYHMEXADWFWFVRUEDVSOWJWFCNQXBO
      WDWDAWRDWQHZWMABWQDFVTYIWEDWPHZKWMDCWPWAYJWLWEYJDWNHZDWOHZKWLDWNWOWAYKWIY
      LWKWIYKDWGCVJTWKYLDWFCVJTWBRUORSFWC $.
  $}

  ${
    frege133d.f $e |- ( ph -> F e. _V ) $.
    frege133d.xa $e |- ( ph -> X ( t+ ` F ) A ) $.
    frege133d.xb $e |- ( ph -> X ( t+ ` F ) B ) $.
    frege133d.fun $e |- ( ph -> Fun F ) $.
    $( If ` F ` is a function and ` A ` and ` B ` both follow ` X ` in the
       transitive closure of ` F ` , then (for distinct ` A ` and ` B ` )
       either ` A ` follows ` B ` or ` B ` follows ` A ` in the transitive
       closure of ` F ` (or both if it loops).  Similar to Proposition 133 of
       [Frege1879] p. 86.  Compare with ~ frege133 .  (Contributed by RP,
       18-Jul-2020.) $)
    frege133d $p |- ( ph -> ( A ( t+ ` F ) B \/ A = B \/ B ( t+ ` F ) A ) ) $=
      ( cima wcel w3o wbr wceq cun wrel wb cvv syl wo ctcl cfv ccnv wfun funrel
      csn reltrclfv syl2anc eliniseg2 brrelex2 un12 a1i frege131d frege83d elun
      mpbird orbi2i 3orass 3bitr4i sylib biimpd elsni elrelimasn 3orim123d mpd
      wi ) ABDUAUBZUCCUFZJZKZBVHKZBVGVHJZKZLZBCVGMZBCNZCBVGMZLABVIVHVLOZOZKZVNA
      EBDVIVRFAEVIKZECVGMZHAVGPZWAWBQADRKDPZWCFADUDWDIDUESDRUGUHZVGCEUISUPAWCEB
      VGMBRKWEGEBVGUJUHGAVSVHDFVSVHVIVLOONAVIVHVLUKULIUMUNVJBVRKZTVJVKVMTZTVTVN
      WFWGVJBVHVLUOUQBVIVRUOVJVKVMURUSUTAVJVOVKVPVMVQAVJVOAWCVJVOQWEVGCBUISVAVK
      VPVFABCVBULAVMVQAWCVMVQQWECBVGVCSVAVDVE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Propositions from _Begriffsschrift_
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

   In 1879, Frege introduced notation for documenting formal reasoning about
   propositions (and classes) which covered elements of propositional logic,
   predicate calculus and reasoning about relations.  However, due to the
   pitfalls of naive set theory, adapting this work for inclusion in set.mm
   required dividing statements about propositions from those about classes and
   identifying when a restriction to sets is required.  For an overview
   comparing the details of Frege's two-dimensional notation and that used in
   set.mm, see ~ mmfrege.html .  See ~ ru for discussion of an example of a
   class that is not a set.

   Numbered propositions from [Frege1879]. ~ ax-frege1 , ~ ax-frege2 ,
   ~ ax-frege8 , ~ ax-frege28 , ~ ax-frege31 , ~ ax-frege41 , frege52 (see
   ~ ax-frege52a , ~ frege52b , and ~ ax-frege52c for translations), frege54
   (see ~ ax-frege54a , ~ frege54b and ~ ax-frege54c for translations) and
   frege58 (see ~ ax-frege58a , ~ ax-frege58b and ~ frege58c for translations)
   are considered "core" or axioms.  However, at least ~ ax-frege8 can be
   derived from ~ ax-frege1 and ~ ax-frege2 , see ~ axfrege8 .

   Frege introduced implication, negation and the universal quantifier as
   primitives and did not in the numbered propositions use other logical
   connectives other than equivalence introduced in ~ ax-frege52a ,
   ~ frege52b , and ~ ax-frege52c .  In ~ dffrege69 , Frege introduced
   ` R hereditary A `  to say that relation ` R ` , when restricted to operate
   on elements of class ` A ` , will only have elements of class ` A ` in its
   domain; see ~ df-he for a definition in terms of image and subset.
   In ~ dffrege76 , Frege introduced notation for the concept of two sets
   related by the transitive closure of a relation, for which we write
   ` X ( t+ `` R ) Y ` , which requires ` R ` to also be a set.
   In ~ dffrege99 , Frege introduced notation for the concept of two sets
   either identical or related by the transitive closure of a relation, for
   which we write ` X ( ( t+ `` R ) u. _I ) Y ` , which is a superclass of
   sets related by the reflexive-transitive relation ` X ( t* `` R ) Y ` .
   Finally, in ~ dffrege115 , Frege introduced notation for the concept of a
   relation having the property elements in its domain pair up with only one
   element each in its range, for which we write ` Fun ``' ``' R ` (to ignore
   any non-relational content of the class ` R ` ).  Frege did this without
   the expressing concept of a relation (or its transitive closure) as a
   class, and needed to invent conventions for discussing indeterminate
   propositions with two slots free and how to recognize which of the slots
   was domain and which was range.  See ~ mmfrege.html for details.

   English translations for specific propositions lifted in part
   from a translation by Stefan Bauer-Mengelberg as reprinted in
   _From Frege to Goedel: A Source Book in Mathematical Logic,
   1879-1931_. An attempt to align these propositions in the larger
   set.mm database has also been made.  See ~ frege77d for an example.

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  _Begriffsschrift_ Chapter I
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Section 2 introduces the turnstile ` |- ` which turns an idea which
  may be true ` ph ` into an assertion that it does hold true ` |- ph ` .
  Section 5 introduces implication, ` ( ph -> ps ) ` .  Section 6 introduces
  the single rule of interference relied upon, modus ponens ~ ax-mp .  Section
  7 introduces negation and with in synonyms for or ` ( -. ph -> ps ) ` , and
  ` -. ( ph -> -. ps ) ` , and two for exclusive-or corresponding to ~ df-or ,
  ~ df-an , ~ dfxor4 , ~ dfxor5 .

  Section 8 introduces the problematic notation for identity of conceptual
  content which must be separated into cases for biconditional
  ` ( ph <-> ps ) ` or class equality ` A = B ` in this adaptation.  Section
  10 introduces "truth functions" for one or two variables in equally
  troubling notation, as the arguments may be understood to be logical
  predicates or collections.  Here f( ` ph ` )  is interpreted to mean
  ` if- ( ph , ps , ch ) ` where the content of the "function" is specified
  by the latter two argments or logical equivalent, while g( ` A  ` ) is read
  as ` A e. G ` and h( ` A , B ` ) as ` A H B ` .  This necessarily
  introduces a need for set theory as both ` A e. G ` and ` A H B ` cannot
  hold unless ` A ` is a set. (Also ` B ` .)

  Section 11 introduces notation for generality, but there is no standard
  notation for generality when the variable is a proposition because it was
  realized after Frege that the universe of all possible propositions includes
  paradoxical constructions leading to the failure of naive set theory.  So
  adopting f( ` ph ` ) as ` if- ( ph , ps , ch ) ` would result in the
  translation of ` A. ph ` f ( ` ph ` )  as ` ( ps /\ ch ) ` .  For
  collections, we must generalize over set variables or run into the same
  problems; this leads to ` A. A ` g( ` A ` ) being translated as
  ` A. a a e. G ` and so forth.

  Under this interpreation the text of section 11 gives us ~ sp (or ~ simpl
  and ~ simpr and ~ anifp in the propositional case) and statements similar
  to ~ cbvalivw , ~ ax-gen , ~ alrimiv , and ~ alrimdv .  These last four
  introduce a generality and have no useful definition in terms of
  propositional variables.

  Section 12 introduces some combinations of primitive symbols and their human
  language counterparts. Using class notation, these can also be expressed
  without dummy variables.  All are A, ` A. x x e. A ` , ` -. E. x -. x e. A `
  ~ alex , ` A = _V ` ~ eqv ; Some are not B, ` -. A. x x e. B ` ,
  ` E. x -. x e. B ` ~ exnal , ` B C. _V ` ~ pssv , ` B =/= _V ` ~ nev ; There
  are no C, ` A. x -. x e. C ` , ` -. E. x x e. C ` ~ alnex , ` C = (/) `
  ~ eq0 ; There exist D, ` -. A. x -. x e. D ` , ` E. x x e. D ` ~ df-ex ,
  ` (/) C. D ` ~ 0pss , ` D =/= (/) ` ~ n0 .

  Notation for relations between expressions also can be written in various
  ways.  All E are P, ` A. x ( x e. E -> x e. P ) ` ,
  ` -. E. x ( x e. E /\ -. x e. P ) ` ~ dfss6 , ` E = ( E i^i P ) ` ~ df-ss ,
  ` E C_ P ` ~ dfss2 ; No F are P, ` A. x ( x e. F -> -. x e. P ) ` ,
  ` -. E. x ( x e. F /\ x e. P ) ` ~ alinexa , ` ( F i^i P ) = (/) ` ~ disj1 ;
  Some G are not P, ` -. A. x ( x e. G -> x e. P ) ` ,
  ` E. x ( x e. G /\ -. x e. P ) ` ~ exanali , ` ( G i^i P ) C. G `
  ~ nssinpss ,  ` -. G C_ P ` ~ nss ;  Some H are P,
  ` -. A. x ( x e. H -> -. x e. P ) ` , ` E. x ( x e. H /\ x e. P ) `
  ~ exnalimn , ` (/) C. ( H i^i P ) ` ~ 0pssin , ` ( H i^i P ) =/= (/) `
  ~ ndisj .

$)

  $( Express exclusive-or in terms of implication and negation.  Statement in
     [Frege1879] p. 12.  (Contributed by RP, 14-Apr-2020.) $)
  dfxor4 $p |- ( ( ph \/_ ps )
                 <-> -. ( ( -. ph -> ps ) -> -. ( ph -> -. ps ) ) ) $=
    ( wxo wo wa wn wi xor2 df-or imnan bicomi anbi12i df-an 3bitri ) ABCABDZABE
    FZEAFBGZABFGZEQRFGFABHOQPRABIRPABJKLQRMN $.

  $( Express exclusive-or in terms of implication and negation.  Statement in
     [Frege1879] p. 12.  (Contributed by RP, 14-Apr-2020.) $)
  dfxor5 $p |- ( ( ph \/_ ps )
                 <-> -. ( ( ph -> -. ps ) -> -. ( -. ph -> ps ) ) ) $=
    ( wxo wn wi dfxor4 con2b xchbinx ) ABCADBEZABDEZDEJIDEABFIJGH $.

  $( Express triple-or in terms of implication and negation.  Statement in
     [Frege1879] p. 11.  (Contributed by RP, 25-Jul-2020.) $)
  df3or2 $p |- ( ( ph \/ ps \/ ch )
                 <-> ( -. ph -> ( -. ps -> ch ) ) ) $=
    ( w3o wo wn wi df-3or df-or wa ioran imbi1i impexp bitri ) ABCDABEZCEZAFZBF
    ZCGGZABCHPOFZCGZSOCIUAQRJZCGSTUBCABKLQRCMNNN $.

  $( Express triple-and in terms of implication and negation.  Statement in
     [Frege1879] p. 12.  (Contributed by RP, 25-Jul-2020.) $)
  df3an2 $p |- ( ( ph /\ ps /\ ch )
                 <-> -. ( ph -> ( ps -> -. ch ) ) ) $=
    ( w3a wa wn wi df-3an df-an impexp xchbinx bitri ) ABCDABEZCEZABCFZGGZFABCH
    NMOGPMCIABOJKL $.

  ${
    $d x A $.
    $( Express that not every set is in a class.  (Contributed by RP,
       16-Apr-2020.) $)
    nev $p |- ( A =/= _V <-> -. A. x x e. A ) $=
      ( cv wcel wal cvv eqv necon3abii ) ACBDAEBFABGH $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Express that an intersection is not empty.  (Contributed by RP,
       16-Apr-2020.) $)
    0pssin $p |- ( (/) C. ( A i^i B ) <-> E. x ( x e. A /\ x e. B ) ) $=
      ( c0 cin wpss wne cv wcel wa wex 0pss ndisj bitri ) DBCEZFODGAHZBIPCIJAKO
      LABCMN $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  _Begriffsschrift_ Notation hints
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  The statement ` R hereditary A ` means relation ` R ` is hereditary (in the
  sense of Frege) in the class ` A ` or ` ( R " A ) C_ A ` .  The former is
  only a slight reduction in the number of symbols, but this reduces the number
  of floating hypotheses needed to be checked.

  As Frege was not using the language of classes or sets, this naturally
  differs from the set-theoretic notion that a set is hereditary in a property:
  that all of its elements have a property and all of their elements have the
  property and so-on.

$)

  $c hereditary $.

  $( The property of relation ` R ` being hereditary in class ` A ` . $)
  whe $a wff R hereditary A $.

  $( The property of relation ` R ` being hereditary in class ` A ` .
     (Contributed by RP, 27-Mar-2020.) $)
  df-he $a |- ( R hereditary A <-> ( R " A ) C_ A ) $.

  $( The property of relation ` R ` being hereditary in class ` A ` .
     (Contributed by RP, 27-Mar-2020.) $)
  dfhe2 $p |- ( R hereditary A <-> ( R |` A ) C_ ( A X. A ) ) $=
    ( whe cima wss cres cxp df-he resssxp bitri ) ABCBADAEBAFAAGEABHAABIJ $.

  ${
    $d x y z A $.  $d x y z R $.
    $( The property of relation ` R ` being hereditary in class ` A ` .
       (Contributed by RP, 27-Mar-2020.) $)
    dfhe3 $p |- ( R hereditary A
                  <-> A. x ( x e. A -> A. y ( x R y -> y e. A ) ) ) $=
      ( vz whe cima wss cv wcel wbr wi wal wa wex bicomi albii bitri cop bitr2i
      df-he 19.21v alcom impexp 19.23v 3bitri cab dfss2 vex opeq2 df-br bitr4di
      weq eleq1d anbi2d exbidv elab imbi1i dfima3 eqcomi sseq1i ) CDFDCGZCHZAIZ
      CJZVDBIZDKZVFCJZLZBMLZAMZCDUAVKVEVGNZAOZVHLZBMZVCVKVEVILZBMZAMVPAMZBMVOVJ
      VQAVQVJVEVIBUBPQVPABUCVRVNBVRVLVHLZAMVNVPVSAVSVPVEVGVHUDPQVLVHAUERQUFVOVE
      VDEIZSZDJZNZAOZEUGZCHZVCWFVFWEJZVHLZBMVOBWECUHWHVNBWGVMVHWDVMEVFBUIEBUMZW
      CVLAWIWBVGVEWIWBVDVFSZDJVGWIWAWJDVTVFVDUJUNVDVFDUKULUOUPUQURQTWEVBCVBWEAE
      DCUSUTVARTR $.
  $}

  $( Equality law for relations being herditary over a class.  (Contributed by
     RP, 27-Mar-2020.) $)
  heeq12 $p |- ( ( R = S /\ A = B )
                 -> ( R hereditary A <-> S hereditary B ) ) $=
    ( wceq wa cima wss whe simpl simpr imaeq12d sseq12d df-he 3bitr4g ) CDEZABE
    ZFZCAGZAHDBGZBHACIBDIRSTABRCDABPQJPQKZLUAMACNBDNO $.

  $( Equality law for relations being herditary over a class.  (Contributed by
     RP, 27-Mar-2020.) $)
  heeq1 $p |- ( R = S -> ( R hereditary A <-> S hereditary A ) ) $=
    ( wceq whe wb eqid heeq12 mpan2 ) BCDAADABEACEFAGAABCHI $.

  $( Equality law for relations being herditary over a class.  (Contributed by
     RP, 27-Mar-2020.) $)
  heeq2 $p |- ( A = B -> ( R hereditary A <-> R hereditary B ) ) $=
    ( wceq whe wb eqid heeq12 mpan ) CCDABDACEBCEFCGABCCHI $.

  $( Distribute proper substitution through herditary relation.  (Contributed
     by RP, 29-Jun-2020.) $)
  sbcheg $p |- ( A e. V -> ( [. A / x ]. B hereditary C <->
    [_ A / x ]_ B hereditary [_ A / x ]_ C ) ) $=
    ( wcel cima wss wsbc csb whe sbcssg wceq csbima12 sseq1d bitrd df-he sbcbii
    a1i 3bitr4g ) BEFZCDGZDHZABIZABCJZABDJZGZUFHZDCKZABIUFUEKUAUDABUBJZUFHUHABU
    BDELUAUJUGUFUJUGMUAABDCNSOPUIUCABDCQRUFUEQT $.

  $( Subclass law for relations being herditary over a class.  (Contributed by
     RP, 27-Mar-2020.) $)
  hess $p |- ( S C_ R -> ( R hereditary A -> S hereditary A ) ) $=
    ( wss cima whe wi imass1 sstr2 syl df-he 3imtr4g ) CBDZBAEZADZCAEZADZABFACF
    MPNDOQGCBAHPNAIJABKACKL $.

  $( Any Cartesian product is hereditary in its second class.  (Contributed by
     RP, 27-Mar-2020.)  (Proof shortened by OpenAI, 3-Jul-2020.) $)
  xphe $p |- ( A X. B ) hereditary B $=
    ( cxp whe cima wss crn imassrn rnxpss sstri df-he mpbir ) BABCZDMBEZBFNMGBM
    BHABIJBMKL $.

  $( The empty relation is hereditary in any class.  (Contributed by RP,
     27-Mar-2020.) $)
  0he $p |- (/) hereditary A $=
    ( c0 whe cima wss 0ima 0ss eqsstri df-he mpbir ) ABCBADZAEKBAAFAGHABIJ $.

  $( The empty relation is hereditary in any class.  (Contributed by RP,
     27-Mar-2020.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  0heALT $p |- (/) hereditary A $=
    ( c0 cxp whe xphe wceq wb 0xp heeq1 ax-mp mpbi ) ABACZDZABDZBAELBFMNGAHALBI
    JK $.

  $( Any relation is hereditary in the empty set.  (Contributed by RP,
     27-Mar-2020.) $)
  he0 $p |- A hereditary (/) $=
    ( c0 whe cima wss ima0 eqimssi df-he mpbir ) BACABDZBEJBAFGBAHI $.

  $( The union of two relations hereditary in a class is also hereditary in a
     class.  (Contributed by RP, 28-Mar-2020.) $)
  unhe1 $p |- ( ( R hereditary A /\ S hereditary A )
                -> ( R u. S ) hereditary A ) $=
    ( whe wa cun cima wss df-he imaundir unss biimpi eqsstrid syl2anb sylibr )
    ABDZACDZEBCFZAGZAHZARDPBAGZAHZCAGZAHZTQABIACIUBUDEZSUAUCFZABCAJUEUFAHUAUCAK
    LMNARIO $.

  ${
    $d x y A $.  $d x y B $.
    $( Any singleton is hereditary in any singleton.  (Contributed by RP,
       28-Mar-2020.) $)
    snhesn $p |- { <. A , A >. } hereditary { B } $=
      ( vx vy csn cop whe cima wss cv wcel wi wal wa wex vex elima3 velsn mpbir
      wceq imbi12i albii opex elsn opth bitri anbi12i 3anass bitr4i simp3 simp2
      w3a simp1 3eqtr2d sylbi exlimiv mpgbir dfss2 df-he ) BEZAAFZEZGVBUTHZUTIZ
      VDCJZVCKZVEUTKZLZCMZVIDJZUTKZVJVEFZVBKZNZDOZVEBTZLZCVHVQCVFVOVGVPDVEVBUTC
      PZQCBRUAUBVNVPDVNVJBTZVJATZVEATZULZVPVNVSVTWANZNWBVKVSVMWCDBRVMVLVATWCVLV
      AVJVEUCUDVJVEAADPVRUEUFUGVSVTWAUHUIWBVEAVJBVSVTWAUJVSVTWAUKVSVTWAUMUNUOUP
      UQCVCUTURSUTVBUSS $.
  $}

  $( The identity relation is hereditary in any class.  (Contributed by RP,
     28-Mar-2020.) $)
  idhe $p |- _I hereditary A $=
    ( cid whe cres cxp wss idssxp dfhe2 mpbir ) ABCBADAAEFAGABHI $.

  ${
    $d x y A $.
    $( The relation between sets and their proper subsets is hereditary in the
       powerclass of any class.  (Contributed by RP, 28-Mar-2020.) $)
    psshepw $p |- `' [C.] hereditary ~P A $=
      ( vx vy cpw crpss ccnv whe cv wcel wbr wi wal dfhe3 wss sstr2 pssss syl11
      wpss velpw vex alrimiv brcnv brrpss bitri imbi12i albii 3imtr4i mpgbir )
      ADZEFZGBHZUIIZUKCHZUJJZUMUIIZKZCLZKBBCUIUJMUKANZUMUKRZUMANZKZCLULUQURVACU
      MUKNURUTUSUMUKAOUMUKPQUABASUPVACUNUSUOUTUNUMUKEJUSUKUMEBTZCTUBUMUKVBUCUDC
      ASUEUFUGUH $.
  $}

  $( The relation between sets and their subsets is hereditary in the
     powerclass of any class.  (Contributed by RP, 28-Mar-2020.) $)
  sshepw $p |- ( `' [C.] u. _I ) hereditary ~P A $=
    ( cpw crpss ccnv whe cid cun psshepw idhe unhe1 mp2an ) ABZCDZELFELMFGEAHLI
    LMFJK $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  _Begriffsschrift_ Chapter II Implication
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The case in which ` ph ` is denied, ` ps ` is affirmed, and ` ph ` is
     affirmed is excluded.  This is evident since ` ph ` cannot at the same
     time be denied and affirmed.  Axiom 1 of [Frege1879] p. 26.  Identical to
     ~ ax-1 .  (Contributed by RP, 24-Dec-2019.)
     (New usage is discouraged.) $)
  ax-frege1 $a |- ( ph -> ( ps -> ph ) ) $.

  $( If a proposition ` ch ` is a necessary consequence of two propositions
     ` ps ` and ` ph ` and one of those, ` ps ` , is in turn a necessary
     consequence of the other, ` ph ` , then the proposition ` ch ` is a
     necessary consequence of the latter one, ` ph ` , alone.  Axiom 2 of
     [Frege1879] p. 26.  Identical to ~ ax-2 .  (Contributed by RP,
     24-Dec-2019.)  (New usage is discouraged.) $)
  ax-frege2 $a |- ( ( ph -> ( ps -> ch ) )
                 -> ( ( ph -> ps ) -> ( ph -> ch ) ) ) $.

  $( Simplification of triple conjunction.  Compare with ~ simp2 .
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  rp-simp2-frege $p |- ( ph -> ( ps -> ( ch -> ps ) ) ) $=
    ( wi ax-frege1 ax-mp ) BCBDDZAGDBCEGAEF $.

  $( Simplification of triple conjunction.  Identical to ~ simp2 .
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  rp-simp2 $p |- ( ( ph /\ ps /\ ch ) -> ps ) $=
    ( rp-simp2-frege 3imp ) ABCBABCDE $.

  $( Add antecedent to ~ ax-frege2 .  More general statement than ~ frege3 .
     Like ~ ax-frege2 , it is essentially a closed form of ~ mpd , however it
     has an extra antecedent.

     It would be more natural to prove from ~ a1i and ~ ax-frege2 in Metamath.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  rp-frege3g $p |- ( ph
                    -> ( ( ps -> ( ch -> th ) )
                         -> ( ( ps -> ch ) -> ( ps -> th ) ) ) ) $=
    ( wi ax-frege2 ax-frege1 ax-mp ) BCDEEBCEBDEEEZAIEBCDFIAGH $.

  $( Add antecedent to ~ ax-frege2 .  Special case of ~ rp-frege3g .
     Proposition 3 of [Frege1879] p. 29.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege3 $p |- ( ( ph -> ps )
                 -> ( ( ch -> ( ph -> ps ) )
                      -> ( ( ch -> ph ) -> ( ch -> ps ) ) ) ) $=
    ( wi ax-frege2 ax-frege1 ax-mp ) CABDZDCADCBDDDZHIDCABEIHFG $.

  $( Double-use of ~ ax-frege2 .  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  rp-misc1-frege $p |- ( ( ( ph -> ( ps -> ch ) ) -> ( ph -> ps ) )
                     -> ( ( ph -> ( ps -> ch ) ) -> ( ph -> ch ) ) ) $=
    ( wi ax-frege2 ax-mp ) ABCDDZABDZACDZDDGHDGIDDABCEGHIEF $.

  $( Introducing an embedded antecedent.  Alternate proof for ~ frege24 .
     Closed form for ~ a1d .  (Contributed by RP, 24-Dec-2019.) $)
  rp-frege24 $p |- ( ( ph -> ps ) -> ( ph -> ( ch -> ps ) ) ) $=
    ( wi rp-simp2-frege ax-frege2 ax-mp ) ABCBDZDDABDAHDDABCEABHFG $.

  $( Deduction related to distribution.  (Contributed by RP, 24-Dec-2019.) $)
  rp-frege4g $p |- ( ( ph -> ( ps -> ( ch -> th ) ) )
                        -> ( ph -> ( ( ps -> ch ) -> ( ps -> th ) ) ) ) $=
    ( wi rp-frege3g ax-frege2 ax-mp ) ABCDEEZBCEBDEEZEEAIEAJEEABCDFAIJGH $.

  $( Special case of closed form of ~ a2d .  Special case of ~ rp-frege4g .
     Proposition 4 of [Frege1879] p. 31.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege4 $p |- ( ( ( ph -> ps ) -> ( ch -> ( ph -> ps ) ) )
                 -> ( ( ph -> ps ) -> ( ( ch -> ph ) -> ( ch -> ps ) ) ) ) $=
    ( wi frege3 ax-frege2 ax-mp ) ABDZCHDZCADCBDDZDDHIDHJDDABCEHIJFG $.

  $( A closed form of ~ syl .  Identical to ~ imim2 .  Theorem *2.05 of
     [WhiteheadRussell] p. 100.  Proposition 5 of [Frege1879] p. 32.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege5 $p |- ( ( ph -> ps ) -> ( ( ch -> ph ) -> ( ch -> ps ) ) ) $=
    ( wi ax-frege1 frege4 ax-mp ) ABDZCHDDHCADCBDDDHCEABCFG $.

  $( Distribute antecedent and add another.  (Contributed by RP,
     24-Dec-2019.) $)
  rp-7frege $p |- ( ( ph -> ( ps -> ch ) )
              -> ( th -> ( ( ph -> ps ) -> ( ph -> ch ) ) ) ) $=
    ( wi ax-frege2 rp-frege24 ax-mp ) ABCEEZABEACEEZEIDJEEABCFIJDGH $.

  $( Elimination of a nested antecedent of special form.  (Contributed by RP,
     24-Dec-2019.) $)
  rp-4frege $p |- ( ( ph -> ( ( ps -> ph ) -> ch ) ) -> ( ph -> ch ) ) $=
    ( wi rp-simp2-frege rp-misc1-frege ax-mp ) ABADZCDDZAHDDIACDDIABEAHCFG $.

  $( Elimination of a nested antecedent of special form.  (Contributed by RP,
     24-Dec-2019.) $)
  rp-6frege $p |- ( ph
                   -> ( ( ps -> ( ( ch -> ps ) -> th ) ) -> ( ps -> th ) ) ) $=
    ( wi rp-4frege ax-frege1 ax-mp ) BCBEDEEBDEEZAIEBCDFIAGH $.

  $( Eliminate antecedent when it is implied by previous antecedent.
     (Contributed by RP, 24-Dec-2019.) $)
  rp-8frege $p |- ( ( ph -> ( ps -> ( ( ch -> ps ) -> th ) ) )
                   -> ( ph -> ( ps -> th ) ) ) $=
    ( wi rp-6frege ax-frege2 ax-mp ) ABCBEDEEZBDEZEEAIEAJEEABCDFAIJGH $.

  $( Closed form for ~ a1dd .  Alternate route to Proposition 25 of [Frege1879]
     p. 42.  (Contributed by RP, 24-Dec-2019.) $)
  rp-frege25 $p |- ( ( ph -> ( ps -> ch ) )
                  -> ( ph -> ( ps -> ( th -> ch ) ) ) ) $=
    ( wi rp-frege24 frege5 ax-mp ) BCEZBDCEEZEAIEAJEEBCDFIJAGH $.

  $( A closed form of ~ imim2d which is a deduction adding nested antecedents.
     Proposition 6 of [Frege1879] p. 33.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege6 $p |- ( ( ph -> ( ps -> ch ) )
                 -> ( ph -> ( ( th -> ps ) -> ( th -> ch ) ) ) ) $=
    ( wi frege5 ax-mp ) BCEZDBEDCEEZEAHEAIEEBCDFHIAFG $.

  $( Swap antecedents.  Identical to ~ pm2.04 .  This demonstrates that Axiom 8
     of [Frege1879] p. 35 is redundant.

     Proof follows closely proof of ~ pm2.04 in
     ~ https://us.metamath.org/mmsolitaire/pmproofs.txt , but in the style of
     Frege's 1879 work.  (Contributed by RP, 24-Dec-2019.)
     (New usage is discouraged.)  (Proof modification is discouraged.) $)
  axfrege8 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ps -> ( ph -> ch ) ) ) $=
    ( wi rp-7frege rp-8frege ax-mp ) ABCDDZBABDACDZDDDHBIDDABCBEHBAIFG $.

  $( A closed form of ~ syl6 .  The first antecedent is used to replace the
     consequent of the second antecedent.  Proposition 7 of [Frege1879] p. 34.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege7 $p |- ( ( ph -> ps )
                 -> ( ( ch -> ( th -> ph ) ) -> ( ch -> ( th -> ps ) ) ) ) $=
    ( wi frege5 frege6 ax-mp ) ABEZDAEZDBEZEEICJECKEEEABDFIJKCGH $.

  $( Swap antecedents.  If two conditions have a proposition as a consequence,
     their order is immaterial.  Third axiom of Frege's 1879 work but identical
     to ~ pm2.04 which can be proved from only ~ ax-mp , ~ ax-frege1 , and
     ~ ax-frege2 .  (Redundant) Axiom 8 of [Frege1879] p. 35.  (Contributed by
     RP, 24-Dec-2019.)  (New usage is discouraged.) $)
  ax-frege8 $a |- ( ( ph -> ( ps -> ch ) ) -> ( ps -> ( ph -> ch ) ) ) $.

  $( Identical to ~ idd .  Proposition 26 of [Frege1879] p. 42.  (Contributed
     by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege26 $p |- ( ph -> ( ps -> ps ) ) $=
    ( wi ax-frege1 ax-frege8 ax-mp ) BABCCABBCCBADBABEF $.

  $( We cannot (at the same time) affirm ` ph ` and deny ` ph ` .  Identical to
     ~ id .  Proposition 27 of [Frege1879] p. 43.  (Contributed by RP,
     24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege27 $p |- ( ph -> ph ) $=
    ( wps wi ax-frege1 frege26 ax-mp ) ABACCZAACABDGAEF $.

  $( Closed form of ~ syl with swapped antecedents.  This proposition differs
     from ~ frege5 only in an unessential way.  Identical to ~ imim1 .
     Proposition 9 of [Frege1879] p. 35.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege9 $p |- ( ( ph -> ps ) -> ( ( ps -> ch ) -> ( ph -> ch ) ) ) $=
    ( wi frege5 ax-frege8 ax-mp ) BCDZABDZACDZDDIHJDDBCAEHIJFG $.

  $( A closed form of ~ com23 .  Proposition 12 of [Frege1879] p. 37.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege12 $p |- ( ( ph -> ( ps -> ( ch -> th ) ) )
                  -> ( ph -> ( ch -> ( ps -> th ) ) ) ) $=
    ( wi ax-frege8 frege5 ax-mp ) BCDEEZCBDEEZEAIEAJEEBCDFIJAGH $.

  $( Elimination of a nested antecedent as a partial converse of ~ ja .  If the
     proposition that ` ps ` takes place or ` ph ` does not is a sufficient
     condition for ` ch ` , then ` ps ` by itself is a sufficient condition for
     ` ch ` .  Identical to ~ jarr .  Proposition 11 of [Frege1879] p. 36.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege11 $p |- ( ( ( ph -> ps ) -> ch ) -> ( ps -> ch ) ) $=
    ( wi ax-frege1 frege9 ax-mp ) BABDZDHCDBCDDBAEBHCFG $.

  $( Closed form for ~ a1d .  Deduction introducing an embedded antecedent.
     Identical to ~ rp-frege24 which was proved without relying on
     ~ ax-frege8 .  Proposition 24 of [Frege1879] p. 42.  (Contributed by RP,
     24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege24 $p |- ( ( ph -> ps ) -> ( ph -> ( ch -> ps ) ) ) $=
    ( wi ax-frege1 frege12 ax-mp ) ABDZCHDDHACBDDDHCEHCABFG $.

  $( A closed form of ~ com34 .  Proposition 16 of [Frege1879] p. 38.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege16 $p |- ( ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) )
                  -> ( ph -> ( ps -> ( th -> ( ch -> ta ) ) ) ) ) $=
    ( wi frege12 frege5 ax-mp ) BCDEFFFZBDCEFFFZFAJFAKFFBCDEGJKAHI $.

  $( Closed form for ~ a1dd .  Proposition 25 of [Frege1879] p. 42.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege25 $p |- ( ( ph -> ( ps -> ch ) )
                  -> ( ph -> ( ps -> ( th -> ch ) ) ) ) $=
    ( wi frege24 frege5 ax-mp ) BCEZBDCEEZEAIEAJEEBCDFIJAGH $.

  $( Closed form of a syllogism followed by a swap of antecedents.  Proposition
     18 of [Frege1879] p. 39.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege18 $p |- ( ( ph -> ( ps -> ch ) )
                  -> ( ( th -> ph ) -> ( ps -> ( th -> ch ) ) ) ) $=
    ( wi frege5 frege16 ax-mp ) ABCEZEZDAEZDIEEEJKBDCEEEEAIDFJKDBCGH $.

  $( A closed form of ~ com45 .  Proposition 22 of [Frege1879] p. 41.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege22 $p |- ( ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) )
                  -> ( ph -> ( ps -> ( ch -> ( ta -> ( th -> et ) ) ) ) ) ) $=
    ( wi frege16 frege5 ax-mp ) BCDEFGGGGZBCEDFGGGGZGAKGALGGBCDEFHKLAIJ $.

  $( Result commuting antecedents within an antecedent.  Proposition 10 of
     [Frege1879] p. 36.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege10 $p |- ( ( ( ph -> ( ps -> ch ) ) -> th )
                -> ( ( ps -> ( ph -> ch ) ) -> th ) ) $=
    ( wi ax-frege8 frege9 ax-mp ) BACEEZABCEEZEJDEIDEEBACFIJDGH $.

  $( A closed form of ~ com3l .  Proposition 17 of [Frege1879] p. 39.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege17 $p |- ( ( ph -> ( ps -> ( ch -> th ) ) )
                  -> ( ps -> ( ch -> ( ph -> th ) ) ) ) $=
    ( wi ax-frege8 frege16 ax-mp ) ABCDEZEEZBAIEEEJBCADEEEEABIFJBACDGH $.

  $( A closed form of ~ com3r .  Proposition 13 of [Frege1879] p. 37.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege13 $p |- ( ( ph -> ( ps -> ( ch -> th ) ) )
                  -> ( ch -> ( ph -> ( ps -> th ) ) ) ) $=
    ( wi frege12 ax-mp ) ABCDEEEZACBDEZEEEHCAIEEEABCDFHACIFG $.

  $( Closed form of a deduction based on ~ com3r .  Proposition 14 of
     [Frege1879] p. 37.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege14 $p |- ( ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) )
                  -> ( ph -> ( th -> ( ps -> ( ch -> ta ) ) ) ) ) $=
    ( wi frege13 frege5 ax-mp ) BCDEFFFZDBCEFFFZFAJFAKFFBCDEGJKAHI $.

  $( A closed form of ~ syl6 .  Proposition 19 of [Frege1879] p. 39.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege19 $p |- ( ( ph -> ( ps -> ch ) )
                  -> ( ( ch -> th ) -> ( ph -> ( ps -> th ) ) ) ) $=
    ( wi frege9 frege18 ax-mp ) BCEZCDEZBDEZEEAIEJAKEEEBCDFIJKAGH $.

  $( Syllogism followed by rotation of three antecedents.  Proposition 23 of
     [Frege1879] p. 42.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege23 $p |- ( ( ph -> ( ps -> ( ch -> th ) ) )
                  -> ( ( ta -> ph )
                       -> ( ps -> ( ch -> ( ta -> th ) ) ) ) ) $=
    ( wi frege18 frege22 ax-mp ) ABCDFZFFZEAFZBEJFFFFKLBCEDFFFFFABJEGKLBECDHI
    $.

  $( A closed form of ~ com4r .  Proposition 15 of [Frege1879] p. 38.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege15 $p |- ( ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) )
                  -> ( th -> ( ph -> ( ps -> ( ch -> ta ) ) ) ) ) $=
    ( wi frege14 frege12 ax-mp ) ABCDEFFFFZADBCEFFZFFFJDAKFFFABCDEGJADKHI $.

  $( Replace antecedent in antecedent.  Proposition 21 of [Frege1879] p. 40.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege21 $p |- ( ( ( ph -> ps ) -> ch )
                  -> ( ( ph -> th ) -> ( ( th -> ps ) -> ch ) ) ) $=
    ( wi frege9 frege19 ax-mp ) ADEZDBEZABEZEEKCEIJCEEEADBFIJKCGH $.

  $( A closed form of ~ syl8 .  Proposition 20 of [Frege1879] p. 40.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege20 $p |- ( ( ph -> ( ps -> ( ch -> th ) ) )
                  -> ( ( th -> ta ) -> ( ph -> ( ps -> ( ch -> ta ) ) ) ) ) $=
    ( wi frege19 frege18 ax-mp ) BCDFFZDEFZBCEFFZFFAJFKALFFFBCDEGJKLAHI $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  _Begriffsschrift_ Chapter II Implication and Negation
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Contraposition.  Identical to ~ con3 .  Theorem *2.16 of
     [WhiteheadRussell] p. 103.  (Contributed by RP, 24-Dec-2019.) $)
  axfrege28 $p |- ( ( ph -> ps ) -> ( -. ps -> -. ph ) ) $=
    ( con3 ) ABC $.

  $( Contraposition.  Identical to ~ con3 .  Theorem *2.16 of
     [WhiteheadRussell] p. 103.  Axiom 28 of [Frege1879] p. 43.  (Contributed
     by RP, 24-Dec-2019.)  (New usage is discouraged.) $)
  ax-frege28 $a |- ( ( ph -> ps ) -> ( -. ps -> -. ph ) ) $.

  $( Closed form of ~ con3d .  Proposition 29 of [Frege1879] p. 43.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege29 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ph -> ( -. ch -> -. ps ) ) ) $=
    ( wi wn ax-frege28 frege5 ax-mp ) BCDZCEBEDZDAIDAJDDBCFIJAGH $.

  $( Commuted, closed form of ~ con3d .  Proposition 30 of [Frege1879] p. 44.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege30 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ps -> ( -. ch -> -. ph ) ) ) $=
    ( wi wn frege29 frege10 ax-mp ) BACDDBCEAEDDZDABCDDIDBACFBACIGH $.

  $( Identical to ~ notnotr .  Axiom 31 of [Frege1879] p. 44.  (Contributed by
     RP, 24-Dec-2019.) $)
  axfrege31 $p |- ( -. -. ph -> ph ) $=
    ( notnotr ) AB $.

  $( ` ph ` cannot be denied and (at the same time ) ` -. -. ph ` affirmed.
     Duplex negatio affirmat.  The denial of the denial is affirmation.
     Identical to ~ notnotr .  Axiom 31 of [Frege1879] p. 44.  (Contributed by
     RP, 24-Dec-2019.)  (New usage is discouraged.) $)
  ax-frege31 $a |- ( -. -. ph -> ph ) $.

  $( Deduce ~ con1 from ~ con3 .  Proposition 32 of [Frege1879] p. 44.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege32 $p |- ( ( ( -. ph -> ps ) -> ( -. ps -> -. -. ph ) )
                  -> ( ( -. ph -> ps ) -> ( -. ps -> ph ) ) ) $=
    ( wn wi ax-frege31 frege7 ax-mp ) ACZCZADHBDZBCZIDDJKADDDAEIAJKFG $.

  $( If ` ph ` or ` ps ` takes place, then ` ps ` or ` ph ` takes place.
     Identical to ~ con1 .  Proposition 33 of [Frege1879] p. 44.  (Contributed
     by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege33 $p |- ( ( -. ph -> ps ) -> ( -. ps -> ph ) ) $=
    ( wn wi ax-frege28 frege32 ax-mp ) ACZBDZBCZHCDDIJADDHBEABFG $.

  $( If as a conseqence of the occurrence of the circumstance ` ph ` , when the
     obstacle ` ps ` is removed, ` ch ` takes place, then from the circumstance
     that ` ch ` does not take place while ` ph ` occurs the occurrence of the
     obstacle ` ps ` can be inferred.  Closed form of ~ con1d .  Proposition 34
     of [Frege1879] p. 45.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege34 $p |- ( ( ph -> ( -. ps -> ch ) ) -> ( ph -> ( -. ch -> ps ) ) ) $=
    ( wn wi frege33 frege5 ax-mp ) BDCEZCDBEZEAIEAJEEBCFIJAGH $.

  $( Commuted, closed form of ~ con1d .  Proposition 35 of [Frege1879] p. 45.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege35 $p |- ( ( ph -> ( -. ps -> ch ) ) -> ( -. ch -> ( ph -> ps ) ) ) $=
    ( wn wi frege34 frege12 ax-mp ) ABDCEEZACDZBEEEIJABEEEABCFIAJBGH $.

  $( The case in which ` ps ` is denied, ` -. ph ` is affirmed, and ` ph ` is
     affirmed does not occur.  If ` ph ` occurs, then (at least) one of the
     two, ` ph ` or ` ps ` , takes place (no matter what ` ps ` might be).
     Identical to ~ pm2.24 .  Proposition 36 of [Frege1879] p. 45.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege36 $p |- ( ph -> ( -. ph -> ps ) ) $=
    ( wn wi ax-frege1 frege34 ax-mp ) ABCZADDAACBDDAHEABAFG $.

  $( If ` ch ` is a necessary consequence of the occurrence of ` ps ` or
     ` ph ` , then ` ch ` is a necessary consequence of ` ph ` alone.  Similar
     to a closed form of ~ orcs .  Proposition 37 of [Frege1879] p. 46.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege37 $p |- ( ( ( -. ph -> ps ) -> ch ) -> ( ph -> ch ) ) $=
    ( wn wi frege36 frege9 ax-mp ) AADBEZEICEACEEABFAICGH $.

  $( Identical to ~ pm2.21 .  Proposition 38 of [Frege1879] p. 46.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege38 $p |- ( -. ph -> ( ph -> ps ) ) $=
    ( wn wi frege36 ax-frege8 ax-mp ) AACZBDDHABDDABEAHBFG $.

  $( Syllogism between ~ pm2.18 and ~ pm2.24 .  Proposition 39 of [Frege1879]
     p. 46.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege39 $p |- ( ( -. ph -> ph ) -> ( -. ph -> ps ) ) $=
    ( wn wi frege38 ax-frege2 ax-mp ) ACZABDDHADHBDDABEHABFG $.

  $( Anything implies ~ pm2.18 .  Proposition 40 of [Frege1879] p. 46.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege40 $p |- ( -. ph -> ( ( -. ps -> ps ) -> ps ) ) $=
    ( wn wi frege39 frege35 ax-mp ) BCZBDZHADDACIBDDBAEIBAFG $.

  $( Identical to ~ notnot .  Axiom 41 of [Frege1879] p. 47.  (Contributed by
     RP, 24-Dec-2019.) $)
  axfrege41 $p |- ( ph -> -. -. ph ) $=
    ( notnot ) AB $.

  $( The affirmation of ` ph ` denies the denial of ` ph ` .  Identical to
     ~ notnot .  Axiom 41 of [Frege1879] p. 47.  (Contributed by RP,
     24-Dec-2019.)  (New usage is discouraged.) $)
  ax-frege41 $a |- ( ph -> -. -. ph ) $.

  $( Not not ~ id .  Proposition 42 of [Frege1879] p. 47.  (Contributed by RP,
     24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege42 $p |- -. -. ( ph -> ph ) $=
    ( wi wn frege27 ax-frege41 ax-mp ) AABZGCCADGEF $.

  $( If there is a choice only between ` ph ` and ` ph ` , then ` ph ` takes
     place.  Identical to ~ pm2.18 .  Proposition 43 of [Frege1879] p. 47.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege43 $p |- ( ( -. ph -> ph ) -> ph ) $=
    ( wi wn frege42 frege40 ax-mp ) AABCZCACABABADGAEF $.

  $( Similar to a commuted ~ pm2.62 .  Proposition 44 of [Frege1879] p. 47.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege44 $p |- ( ( -. ph -> ps ) -> ( ( ps -> ph ) -> ph ) ) $=
    ( wn wi frege43 frege21 ax-mp ) ACZADADHBDBADADDAEHAABFG $.

  $( Deduce ~ pm2.6 from ~ con1 .  Proposition 45 of [Frege1879] p. 47.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege45 $p |- ( ( ( -. ph -> ps ) -> ( -. ps -> ph ) )
                  -> ( ( -. ph -> ps ) -> ( ( ph -> ps ) -> ps ) ) ) $=
    ( wn wi frege44 frege5 ax-mp ) BCADZABDBDZDACBDZHDJIDDBAEHIJFG $.

  $( If ` ps ` holds when ` ph ` occurs as well as when ` ph ` does not occur,
     then ` ps ` holds.  If ` ps ` or ` ph ` occurs and if the occurrences of
     ` ph ` has ` ps ` as a necessary consequence, then ` ps ` takes place.
     Identical to ~ pm2.6 .  Proposition 46 of [Frege1879] p. 48.  (Contributed
     by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege46 $p |- ( ( -. ph -> ps ) -> ( ( ph -> ps ) -> ps ) ) $=
    ( wn wi frege33 frege45 ax-mp ) ACBDZBCADDHABDBDDABEABFG $.

  $( Deduce consequence follows from either path implied by a disjunction.  If
     ` ph ` , as well as ` ps ` is sufficient condition for ` ch ` and ` ps `
     or ` ph ` takes place, then the proposition ` ch ` holds.  Proposition 47
     of [Frege1879] p. 48.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege47 $p |- ( ( -. ph -> ps )
                  -> ( ( ps -> ch ) -> ( ( ph -> ch ) -> ch ) ) ) $=
    ( wn wi frege46 frege21 ax-mp ) ADZCEACECEZEIBEBCEJEEACFICJBGH $.

  $( Closed form of syllogism with internal disjunction.  If ` ph ` is a
     sufficient condition for the occurrence of ` ch ` or ` ps ` and if
     ` ch ` , as well as ` ps ` , is a sufficient condition for ` th ` , then
     ` ph ` is a sufficient condition for ` th ` .  See application in
     ~ frege101 .  Proposition 48 of [Frege1879] p. 49.  (Contributed by RP,
     24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege48 $p |- ( ( ph -> ( -. ps -> ch ) )
                  -> ( ( ch -> th ) -> ( ( ps -> th ) -> ( ph -> th ) ) ) ) $=
    ( wn wi frege47 frege23 ax-mp ) BECFZCDFZBDFZDFFFAJFKLADFFFFBCDGJKLDAHI $.

  $( Closed form of deduction with disjunction.  Proposition 49 of [Frege1879]
     p. 49.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege49 $p |- ( ( -. ph -> ps )
                  -> ( ( ph -> ch ) -> ( ( ps -> ch ) -> ch ) ) ) $=
    ( wn wi frege47 frege12 ax-mp ) ADBEZBCEZACEZCEEEIKJCEEEABCFIJKCGH $.

  $( Closed form of ~ jaoi .  Proposition 50 of [Frege1879] p. 49.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege50 $p |- ( ( ph -> ps )
                  -> ( ( ch -> ps ) -> ( ( -. ph -> ch ) -> ps ) ) ) $=
    ( wn wi frege49 frege17 ax-mp ) ADCEZABEZCBEZBEEEJKIBEEEACBFIJKBGH $.

  $( Compare with ~ jaod .  Proposition 51 of [Frege1879] p. 50.  (Contributed
     by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege51 $p |- ( ( ph -> ( ps -> ch ) )
                  -> ( ( th -> ch )
                       -> ( ph -> ( ( -. ps -> th ) -> ch ) ) ) ) $=
    ( wi wn frege50 frege18 ax-mp ) BCEZDCEZBFDECEZEEAJEKALEEEBCDGJKLAHI $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  _Begriffsschrift_ Chapter II with logical equivalence
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Here we leverage ~ df-ifp to partition a wff into two that are disjoint with
  the selector wff.

  Thus if we are given ` |- ( ph <-> if- ( ps , ch , th ) ) ` then we replace
  the concept (illegal in our notation ) ` ( ph `` ps ) ` with
  ` if- ( ps , ch , th ) ` to reason about the values of the "function."
  Likewise, we replace the similarly illegal concept ` A. ps ph ` with
  ` ( ch /\ th ) ` .

$)

  $( Justification for ~ ax-frege52a .  (Contributed by RP, 17-Apr-2020.) $)
  axfrege52a $p |- ( ( ph <-> ps ) -> ( if- ( ph , th , ch )
                                        -> if- ( ps , th , ch ) ) ) $=
    ( wb wif ifpbi1 biimpd ) ABEADCFBDCFABDCGH $.

  $( The case when the content of ` ph ` is identical with the content of
     ` ps ` and in which a proposition controlled by an element for which we
     substitute the content of ` ph ` is affirmed (in this specific case the
     identity logical function) and the same proposition, this time where we
     substituted the content of ` ps ` , is denied does not take place.  Part
     of Axiom 52 of [Frege1879] p. 50.  (Contributed by RP, 24-Dec-2019.)
     (New usage is discouraged.) $)
  ax-frege52a $a |- ( ( ph <-> ps ) -> ( if- ( ph , th , ch )
                                        -> if- ( ps , th , ch ) ) ) $.

  $( The case when the content of ` ph ` is identical with the content of
     ` ps ` and in which ` ph ` is affirmed and ` ps ` is denied does not take
     place.  Identical to ~ biimp .  Part of Axiom 52 of [Frege1879] p. 50.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege52aid $p |- ( ( ph <-> ps ) -> ( ph -> ps ) ) $=
    ( wb wtru wfal wif ax-frege52a ifpid2 3imtr4g ) ABCADEFBDEFABABEDGAHBHI $.

  $( Specialization of ~ frege53a .  Proposition 53 of [Frege1879] p. 50.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege53aid $p |- ( ph -> ( ( ph <-> ps ) -> ps ) ) $=
    ( wb wi frege52aid ax-frege8 ax-mp ) ABCZABDDAHBDDABEHABFG $.

  $( Lemma for ~ frege55a .  Proposition 53 of [Frege1879] p. 50.  (Contributed
     by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege53a $p |- ( if- ( ph , th , ch ) -> ( ( ph <-> ps )
                                               -> if- ( ps , th , ch ) ) ) $=
    ( wb wif wi ax-frege52a ax-frege8 ax-mp ) ABEZADCFZBDCFZGGLKMGGABCDHKLMIJ
    $.

  $( Justification for ~ ax-frege54a .  Identical to ~ biid .  (Contributed by
     RP, 24-Dec-2019.) $)
  axfrege54a $p |- ( ph <-> ph ) $=
    ( biid ) AB $.

  $( Reflexive equality of wffs.  The content of ` ph ` is identical with the
     content of ` ph ` .  Part of Axiom 54 of [Frege1879] p. 50.  Identical to
     ~ biid .  (Contributed by RP, 24-Dec-2019.)
     (New usage is discouraged.) $)
  ax-frege54a $a |- ( ph <-> ph ) $.

  $( Synonym for logical equivalence.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege54cor0a $p |- ( ( ps <-> ph ) <-> if- ( ps , ph , -. ph ) ) $=
    ( wi wa wn wb wif ax-frege28 anim2i con4 impbii dfbi2 dfifp2 3bitr4i ) BACZ
    ABCZDZOBEAEZCZDZBAFBARGQTPSOABHISPOBAJIKBALBARMN $.

  $( Reflexive equality.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege54cor1a $p |- if- ( ph , ph , -. ph ) $=
    ( wb wn wif ax-frege54a frege54cor0a mpbi ) AABAAACDAEAAFG $.

  $( Lemma for ~ frege57aid .  Core proof of Proposition 55 of [Frege1879]
     p. 50.  (Contributed by RP, 24-Dec-2019.) $)
  frege55aid $p |- ( ( ph <-> ps ) -> ( ps <-> ph ) ) $=
    ( bicom1 ) ABC $.

  $( Necessary deduction regarding substitution of value in equality.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege55lem1a $p |- ( ( ta -> if- ( ps , ph , -. ph ) )
                              -> ( ta -> ( ps <-> ph ) ) ) $=
    ( wn wif wb frege54cor0a biimpri imim2i ) BAADEZBAFZCKJABGHI $.

  $( Core proof of Proposition 55 of [Frege1879] p. 50.  (Contributed by RP,
     24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege55lem2a $p |- ( ( ph <-> ps )
                            -> if- ( ps , ph , -. ph ) ) $=
    ( wb wn wif bicom1 frege54cor0a sylib ) ABCBACBAADEABFABGH $.

  $( Proposition 55 of [Frege1879] p. 50.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege55a $p |- ( ( ph <-> ps ) -> if- ( ps , ph , -. ph ) ) $=
    ( wn wif wb wi frege54cor1a frege53a ax-mp ) AAACZDABEBAJDFAGABJAHI $.

  $( Proposition 55 of [Frege1879] p. 50.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege55cor1a $p |- ( ( ph <-> ps ) -> ( ps <-> ph ) ) $=
    ( wb wn wif wi frege55a frege55lem1a ax-mp ) ABCZBAADEFJBACFABGABJHI $.

  $( Lemma for ~ frege57aid .  Proposition 56 of [Frege1879] p. 50.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege56aid $p |- ( ( ( ph <-> ps ) -> ( ph -> ps ) )
                   -> ( ( ps <-> ph ) -> ( ph -> ps ) ) ) $=
    ( wb wi frege55aid frege9 ax-mp ) BACZABCZDIABDZDHJDDBAEHIJFG $.

  $( Proposition 56 of [Frege1879] p. 50.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege56a $p |- ( ( ( ph <-> ps ) -> ( if- ( ph , ch , th )
                                              -> if- ( ps , ch , th ) ) )
                        -> ( ( ps <-> ph ) -> ( if- ( ph , ch , th )
                                                -> if- ( ps , ch , th ) ) )
                      ) $=
    ( wb wi wif frege55cor1a frege9 ax-mp ) BAEZABEZFLACDGBCDGFZFKMFFBAHKLMIJ
    $.

  $( This is the all imporant formula which allows us to apply Frege-style
     definitions and explore their consequences.  A closed form of ~ biimpri .
     Proposition 57 of [Frege1879] p. 51.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege57aid $p |- ( ( ph <-> ps ) -> ( ps -> ph ) ) $=
    ( wb wi frege52aid frege56aid ax-mp ) BACBADZDABCHDBAEBAFG $.

  $( Analogue of ~ frege57aid .  Proposition 57 of [Frege1879] p. 51.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege57a $p |- ( ( ph <-> ps ) -> ( if- ( ps , ch , th )
                                           -> if- ( ph , ch , th ) ) ) $=
    ( wb wif wi ax-frege52a frege56a ax-mp ) BAEBCDFACDFGZGABEKGBADCHBACDIJ $.

  $( Identical to ~ anifp .  Justification for ~ ax-frege58a .  (Contributed by
     RP, 28-Mar-2020.) $)
  axfrege58a $p |- ( ( ps /\ ch ) -> if- ( ph , ps , ch ) ) $=
    ( anifp ) ABCD $.

  $( If ` A. x ph ` is affirmed, ` [ y / x ] ph ` cannot be denied.  Identical
     to ~ stdpc4 .  Axiom 58 of [Frege1879] p. 51.  (Contributed by RP,
     28-Mar-2020.)  (New usage is discouraged.) $)
  ax-frege58a $a |- ( ( ps /\ ch ) -> if- ( ph , ps , ch ) ) $.

  $( Lemma for ~ frege59a .  (Contributed by RP, 17-Apr-2020.)
     (Proof modification is discouraged.) $)
  frege58acor $p |- ( ( ( ps -> ch ) /\ ( th -> ta ) )
                        -> ( if- ( ph , ps , th )
                             -> if- ( ph , ch , ta ) ) ) $=
    ( wi wa wif ax-frege58a ifpimim syl ) BCFZDEFZGALMHABDHACEHFALMIABCDEJK $.

  $( A kind of Aristotelian inference.  Namely Felapton or Fesapo.  Proposition
     59 of [Frege1879] p. 51.

     _Note_: in the Bauer-Meenfelberg translation published in van Heijenoort's
     collection _From Frege to Goedel_, this proof has the ~ frege12
     incorrectly referenced where ~ frege30 is in the original.  (Contributed
     by RP, 17-Apr-2020.)  (Proof modification is discouraged.) $)
  frege59a $p |- ( if- ( ph , ps , th )
                   -> ( -. if- ( ph , ch , ta ) ->
                   -. ( ( ps -> ch ) /\ ( th -> ta ) ) ) ) $=
    ( wi wa wif wn frege58acor frege30 ax-mp ) BCFDEFGZABDHZACEHZFFNOIMIFFABCDE
    JMNOKL $.

  $( Swap antecedents of ~ ax-frege58a .  Proposition 60 of [Frege1879] p. 52.
     (Contributed by RP, 17-Apr-2020.)  (Proof modification is discouraged.) $)
  frege60a $p |- ( ( ( ps -> ( ch -> th ) ) /\ ( ta -> ( et -> ze ) ) )
                     -> ( if- ( ph , ch , et )
                          -> ( if- ( ph , ps , ta )
                               -> if- ( ph , th , ze ) ) ) ) $=
    ( wi wa wif frege58acor ifpimim syl6 frege12 ax-mp ) BCDHZHEFGHZHIZABEJZACF
    JZADGJZHZHHRTSUAHHHRSAPQJUBABPEQKACDFGLMRSTUANO $.

  $( Lemma for ~ frege65a .  Proposition 61 of [Frege1879] p. 52.  (Contributed
     by RP, 17-Apr-2020.)  (Proof modification is discouraged.) $)
  frege61a $p |- ( ( if- ( ph , ps , ch ) -> th )
                     -> ( ( ps /\ ch ) -> th ) ) $=
    ( wa wif wi ax-frege58a frege9 ax-mp ) BCEZABCFZGLDGKDGGABCHKLDIJ $.

  $( A kind of Aristotelian inference.  This judgement replaces the mode of
     inference ~ barbara when the minor premise has a particular context.
     Proposition 62 of [Frege1879] p. 52.  (Contributed by RP, 17-Apr-2020.)
     (Proof modification is discouraged.) $)
  frege62a $p |- ( if- ( ph , ps , th )
                     -> ( ( ( ps -> ch ) /\ ( th -> ta ) )
                          -> if- ( ph , ch , ta ) ) ) $=
    ( wi wa wif frege58acor ax-frege8 ax-mp ) BCFDEFGZABDHZACEHZFFMLNFFABCDEILM
    NJK $.

  $( Proposition 63 of [Frege1879] p. 52.  (Contributed by RP, 17-Apr-2020.)
     (Proof modification is discouraged.) $)
  frege63a $p |- ( if- ( ph , ps , th )
                   -> ( et
                        -> ( ( ( ps -> ch ) /\ ( th -> ta ) )
                             -> if- ( ph , ch , ta ) ) ) ) $=
    ( wif wi wa frege62a frege24 ax-mp ) ABDGZBCHDEHIACEGHZHMFNHHABCDEJMNFKL $.

  $( Lemma for ~ frege65a .  Proposition 64 of [Frege1879] p. 53.  (Contributed
     by RP, 17-Apr-2020.)  (Proof modification is discouraged.) $)
  frege64a $p |- ( ( if- ( ph , ps , ta ) -> if- ( si , ch , et ) )
                   -> ( ( ( ch -> th ) /\ ( et -> ze ) )
                        -> ( if- ( ph , ps , ta )
                             -> if- ( si , th , ze ) ) ) ) $=
    ( wif wi wa frege62a frege18 ax-mp ) HCFIZCDJFGJKZHDGIZJJABEIZOJPRQJJJHCDFG
    LOPQRMN $.

  $( A kind of Aristotelian inference.  This judgement replaces the mode of
     inference ~ barbara when the minor premise has a general context.
     Proposition 65 of [Frege1879] p. 53.  (Contributed by RP, 17-Apr-2020.)
     (Proof modification is discouraged.) $)
  frege65a $p |- ( ( ( ps -> ch ) /\ ( ta -> et ) )
                   -> ( ( ( ch -> th ) /\ ( et -> ze ) )
                        -> ( if- ( ph , ps , ta )
                             -> if- ( ph , th , ze ) ) ) ) $=
    ( wi wif wa ifpimim frege64a syl frege61a ax-mp ) ABCHZEFHZIZCDHFGHJABEIZAD
    GIHHZHPQJTHRSACFIHTABCEFKABCDEFGALMAPQTNO $.

  $( Swap antecedents of ~ frege65a .  Proposition 66 of [Frege1879] p. 54.
     (Contributed by RP, 17-Apr-2020.)  (Proof modification is discouraged.) $)
  frege66a $p |- ( ( ( ch -> th ) /\ ( et -> ze ) )
                   -> ( ( ( ps -> ch ) /\ ( ta -> et ) )
                        -> ( if- ( ph , ps , ta )
                             -> if- ( ph , th , ze ) ) ) ) $=
    ( wi wa wif frege65a ax-frege8 ax-mp ) BCHEFHIZCDHFGHIZABEJADGJHZHHONPHHABC
    DEFGKNOPLM $.

  $( Lemma for ~ frege68a .  Proposition 67 of [Frege1879] p. 54.  (Contributed
     by RP, 17-Apr-2020.)  (Proof modification is discouraged.) $)
  frege67a $p |- ( ( ( ( ps /\ ch ) <-> th ) -> ( th -> ( ps /\ ch ) ) )
                   -> ( ( ( ps /\ ch ) <-> th )
                        -> ( th -> if- ( ph , ps , ch ) ) ) ) $=
    ( wa wif wi wb ax-frege58a frege7 ax-mp ) BCEZABCFZGLDHZDLGGNDMGGGABCILMNDJ
    K $.

  $( Combination of applying a definition and applying it to a specific
     instance.  Proposition 68 of [Frege1879] p. 54.  (Contributed by RP,
     17-Apr-2020.)  (Proof modification is discouraged.) $)
  frege68a $p |- ( ( ( ps /\ ch ) <-> th )
                   -> ( th -> if- ( ph , ps , ch ) ) ) $=
    ( wa wb wi wif frege57aid frege67a ax-mp ) BCEZDFZDLGGMDABCHGGLDIABCDJK $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  _Begriffsschrift_ Chapter II with equivalence of sets
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Justification for ~ ax-frege52c .  (Contributed by RP, 24-Dec-2019.) $)
  axfrege52c $p |- ( A = B -> ( [. A / x ]. ph -> [. B / x ]. ph ) ) $=
    ( wceq wsbc dfsbcq biimpd ) CDEABCFABDFABCDGH $.

  $( One side of ~ dfsbcq .  Part of Axiom 52 of [Frege1879] p. 50.
     (Contributed by RP, 24-Dec-2019.)  (New usage is discouraged.) $)
  ax-frege52c $a |- ( A = B -> ( [. A / x ]. ph -> [. B / x ]. ph ) ) $.

  $( The case when the content of ` x ` is identical with the content of ` y `
     and in which a proposition controlled by an element for which we
     substitute the content of ` x ` is affirmed and the same proposition, this
     time where we substitute the content of ` y ` , is denied does not take
     place.  In ` [ x / z ] ph ` , ` x ` can also occur in other than the
     argument ( ` z ` ) places.  Hence ` x ` may still be contained in
     ` [ y / z ] ph ` .  Part of Axiom 52 of [Frege1879] p. 50.  (Contributed
     by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege52b $p |- ( x = y -> ( [ x / z ] ph -> [ y / z ] ph ) ) $=
    ( weq cv wsbc wsb ax-frege52c sbsbc 3imtr4g ) BCEADBFZGADCFZGADBHADCHADLMIA
    DBJADCJK $.

  $( Lemma for frege102 (via ~ frege92 ).  Proposition 53 of [Frege1879] p. 50.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege53b $p |- ( [ y / x ] ph -> ( y = z -> [ z / x ] ph ) ) $=
    ( weq wsb wi frege52b ax-frege8 ax-mp ) CDEZABCFZABDFZGGLKMGGACDBHKLMIJ $.

  $( Reflexive equality of classes.  Identical to ~ eqid .  Justification for
     ~ ax-frege54c .  (Contributed by RP, 24-Dec-2019.) $)
  axfrege54c $p |- A = A $=
    ( eqid ) AB $.

  $( Reflexive equality of sets (as classes).  Part of Axiom 54 of [Frege1879]
     p. 50.  Identical to ~ eqid .  (Contributed by RP, 24-Dec-2019.)
     (New usage is discouraged.) $)
  ax-frege54c $a |- A = A $.

  $( Reflexive equality of sets.  The content of ` x ` is identical with the
     content of ` x ` .  Part of Axiom 54 of [Frege1879] p. 50.  Slightly
     specialized version of ~ eqid .  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege54b $p |- x = x $=
    ( cv ax-frege54c ) ABC $.

  $( Reflexive equality.  (Contributed by RP, 24-Dec-2019.) $)
  frege54cor1b $p |- [ x / y ] y = x $=
    ( equsb1 ) BAC $.

  ${
    $d y z $.
    $( Necessary deduction regarding substitution of value in equality.
       (Contributed by RP, 24-Dec-2019.) $)
    frege55lem1b $p |- ( ( ph -> [ x / y ] y = z )
                       -> ( ph -> x = z ) ) $=
      ( weq wsb equsb3 biimpi imim2i ) CDECBFZBDEZAJKCBDGHI $.
  $}

  $( Lemma for ~ frege55b .  Core proof of Proposition 55 of [Frege1879] p. 50.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege55lem2b $p |- ( x = y -> [ y / z ] z = x ) $=
    ( weq wsb wi frege54cor1b frege53b ax-mp ) CADZCAEABDJCBEFACGJCABHI $.

  ${
    $d x z $.  $d y z $.
    $( Lemma for ~ frege57b .  Proposition 55 of [Frege1879] p. 50.

       Note that ~ eqtr2 incorporates ~ eqcom which is stronger than this
       proposition which is identical to ~ equcomi .  Is it possible that Frege
       tricked himself into assuming what he was out to prove?  (Contributed by
       RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
    frege55b $p |- ( x = y -> y = x ) $=
      ( vz weq wsb frege55lem2b wi wa wex dfsb1 eqtr2 exlimiv adantl sylbi syl
      cv ) ABDCADZCBEZBADZABCFRCBDZQGZTQHZCIZHSQCBJUCSUAUBSCCPBPAPKLMNO $.
  $}

  $( Lemma for ~ frege57b .  Proposition 56 of [Frege1879] p. 50.  (Contributed
     by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege56b $p |- ( ( x = y -> ( [ x / z ] ph -> [ y / z ] ph ) )
                   -> ( y = x -> ( [ x / z ] ph -> [ y / z ] ph ) ) ) $=
    ( weq wi wsb frege55b frege9 ax-mp ) CBEZBCEZFLADBGADCGFZFKMFFCBHKLMIJ $.

  $( Analogue of ~ frege57aid .  Proposition 57 of [Frege1879] p. 51.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege57b $p |- ( x = y -> ( [ y / z ] ph -> [ x / z ] ph ) ) $=
    ( weq wsb wi frege52b frege56b ax-mp ) CBEADCFADBFGZGBCEKGACBDHACBDIJ $.

  $( If ` A. x ph ` is affirmed, ` [ y / x ] ph ` cannot be denied.  Identical
     to ~ stdpc4 .  Justification for ~ ax-frege58b .  (Contributed by RP,
     28-Mar-2020.) $)
  axfrege58b $p |- ( A. x ph -> [ y / x ] ph ) $=
    ( stdpc4 ) ABCD $.

  $( If ` A. x ph ` is affirmed, ` [ y / x ] ph ` cannot be denied.  Identical
     to ~ stdpc4 .  Axiom 58 of [Frege1879] p. 51.  (Contributed by RP,
     28-Mar-2020.)  (New usage is discouraged.) $)
  ax-frege58b $a |- ( A. x ph -> [ y / x ] ph ) $.

  $( If ` A. x ph ` is affirmed, ` ph ` cannot be denied.  Identical to ~ sp .
     See ~ ax-frege58b and ~ frege58c for versions which more closely track the
     original.  Axiom 58 of [Frege1879] p. 51.  (Contributed by RP,
     28-Mar-2020.)  (Proof modification is discouraged.) $)
  frege58bid $p |- ( A. x ph -> ph ) $=
    ( wal wsb ax-frege58b sbid biimpi syl ) ABCABBDZAABBEIAABFGH $.

  $( Lemma for ~ frege59b .  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege58bcor $p |- ( A. x ( ph -> ps ) -> ( [ y / x ] ph
                                             -> [ y / x ] ps ) ) $=
    ( wi wal wsb ax-frege58b sbim sylib ) ABEZCFKCDGACDGBCDGEKCDHABCDIJ $.

  $( A kind of Aristotelian inference.  Namely Felapton or Fesapo.  Proposition
     59 of [Frege1879] p. 51.

     _Note_: in the Bauer-Meenfelberg translation published in van Heijenoort's
     collection _From Frege to Goedel_, this proof has the ~ frege12
     incorrectly referenced where ~ frege30 is in the original.  (Contributed
     by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege59b $p |- ( [ y / x ] ph
                 -> ( -. [ y / x ] ps -> -. A. x ( ph -> ps ) ) ) $=
    ( wi wal wsb wn frege58bcor frege30 ax-mp ) ABECFZACDGZBCDGZEEMNHLHEEABCDIL
    MNJK $.

  $( Swap antecedents of ~ ax-frege58b .  Proposition 60 of [Frege1879] p. 52.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege60b $p |- ( A. x ( ph -> ( ps -> ch ) )
                   -> ( [ y / x ] ps
                        -> ( [ y / x ] ph -> [ y / x ] ch ) ) ) $=
    ( wi wal wsb ax-frege58b sbim imbi2i bitri sylib frege12 ax-mp ) ABCFZFZDGZ
    ADEHZBDEHZCDEHZFZFZFRTSUAFFFRQDEHZUCQDEIUDSPDEHZFUCAPDEJUEUBSBCDEJKLMRSTUAN
    O $.

  $( Lemma for ~ frege65b .  Proposition 61 of [Frege1879] p. 52.  (Contributed
     by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege61b $p |- ( ( [ x / y ] ph -> ps ) -> ( A. y ph -> ps ) ) $=
    ( wal wsb wi ax-frege58b frege9 ax-mp ) ADEZADCFZGLBGKBGGADCHKLBIJ $.

  $( A kind of Aristotelian inference.  This judgement replaces the mode of
     inference ~ barbara when the minor premise has a particular context.
     Proposition 62 of [Frege1879] p. 52.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege62b $p |- ( [ y / x ] ph
                   -> ( A. x ( ph -> ps ) -> [ y / x ] ps ) ) $=
    ( wi wal wsb frege58bcor ax-frege8 ax-mp ) ABECFZACDGZBCDGZEELKMEEABCDHKLMI
    J $.

  $( Lemma for ~ frege91 .  Proposition 63 of [Frege1879] p. 52.  (Contributed
     by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege63b $p |- ( [ y / x ] ph
                 -> ( ps
                      -> ( A. x ( ph -> ch ) -> [ y / x ] ch ) ) ) $=
    ( wsb wi wal frege62b frege24 ax-mp ) ADEFZACGDHCDEFGZGLBMGGACDEILMBJK $.

  $( Lemma for ~ frege65b .  Proposition 64 of [Frege1879] p. 53.  (Contributed
     by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege64b $p |- ( ( [ x / y ] ph -> [ z / y ] ps )
                 -> ( A. y ( ps -> ch )
                      -> ( [ x / y ] ph -> [ z / y ] ch ) ) ) $=
    ( wsb wi wal frege62b frege18 ax-mp ) BEFGZBCHEIZCEFGZHHAEDGZMHNPOHHHBCEFJM
    NOPKL $.

  $( A kind of Aristotelian inference.  This judgement replaces the mode of
     inference ~ barbara when the minor premise has a general context.
     Proposition 65 of [Frege1879] p. 53.

     In Frege care is taken to point out that the variables in the first
     clauses are independent of each other and of the final term so another
     valid translation could be :
     ` |- ( A. x ( [ x / a ] ph -> [ x / b ] ps ) -> ( A. y ( [ y / b ] ps `
     ` -> [ y / c ] ch ) -> ( [ z / a ] ph -> [ z / c ] ch ) ) ) ` .  But that
     is perhaps too pedantic a translation for this exploration.  (Contributed
     by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege65b $p |- ( A. x ( ph -> ps )
                 -> ( A. x ( ps -> ch )
                      -> ( [ y / x ] ph -> [ y / x ] ch ) ) ) $=
    ( wi wsb wal sbim frege64b sylbi frege61b ax-mp ) ABFZDEGZBCFDHADEGZCDEGFFZ
    FNDHQFOPBDEGFQABDEIABCEDEJKNQEDLM $.

  $( Swap antecedents of ~ frege65b .  Proposition 66 of [Frege1879] p. 54.
     (Contributed by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege66b $p |- ( A. x ( ph -> ps )
                 -> ( A. x ( ch -> ph )
                      -> ( [ y / x ] ch -> [ y / x ] ps ) ) ) $=
    ( wi wal wsb frege65b ax-frege8 ax-mp ) CAFDGZABFDGZCDEHBDEHFZFFMLNFFCABDEI
    LMNJK $.

  $( Lemma for ~ frege68b .  Proposition 67 of [Frege1879] p. 54.  (Contributed
     by RP, 24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege67b $p |- ( ( ( A. x ph <-> ps ) -> ( ps -> A. x ph ) )
                   -> ( ( A. x ph <-> ps ) -> ( ps -> [ y / x ] ph ) ) ) $=
    ( wal wsb wi wb ax-frege58b frege7 ax-mp ) ACEZACDFZGLBHZBLGGNBMGGGACDILMNB
    JK $.

  $( Combination of applying a definition and applying it to a specific
     instance.  Proposition 68 of [Frege1879] p. 54.  (Contributed by RP,
     24-Dec-2019.)  (Proof modification is discouraged.) $)
  frege68b $p |- ( ( A. x ph <-> ps ) -> ( ps -> [ y / x ] ph ) ) $=
    ( wal wb wi wsb frege57aid frege67b ax-mp ) ACEZBFZBLGGMBACDHGGLBIABCDJK $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  _Begriffsschrift_ Chapter II with equivalence of classes
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  _Begriffsschrift_ Chapter II with equivalence of classes (where they are
  sets).

$)

  $( Proposition 53 of [Frege1879] p. 50.  (Contributed by RP, 24-Dec-2019.)
     (Proof modification is discouraged.) $)
  frege53c $p |- ( [. A / x ]. ph -> ( A = B -> [. B / x ]. ph ) ) $=
    ( wceq wsbc wi ax-frege52c ax-frege8 ax-mp ) CDEZABCFZABDFZGGLKMGGABCDHKLMI
    J $.

  ${
    $d x A $.
    frege54c.1 $e |- A e. C $.
    $( Reflexive equality.  (Contributed by RP, 24-Dec-2019.)  (Revised by RP,
       25-Apr-2020.) $)
    frege54cor1c $p |- [. A / x ]. x = A $=
      ( cv wceq wsbc cab wcel csn elexi snid df-sn eleqtri df-sbc mpbir ) AEBFZ
      ABGBQAHZIBBJRBBCDKLABMNQABOP $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Necessary deduction regarding substitution of value in equality.
       (Contributed by RP, 24-Dec-2019.) $)
    frege55lem1c $p |- ( ( ph -> [. A / x ]. x = B )
                         -> ( ph -> A = B ) ) $=
      ( cv wceq wsbc cab wcel df-sbc eqeq1 elabg ibi sylbi imim2i ) BEZDFZBCGZC
      DFZARCQBHZIZSQBCJUASQSBCTPCDKLMNO $.
  $}

  ${
    $d x z $.
    $( Core proof of Proposition 55 of [Frege1879] p. 50.  (Contributed by RP,
       24-Dec-2019.)  (Proof modification is discouraged.) $)
    frege55lem2c $p |- ( x = A -> [. A / z ]. z = x ) $=
      ( weq cv wsbc wceq wi cvv vex frege54cor1c frege53c ax-mp ) BADZBAEZFOCGN
      BCFHBOIAJKNBOCLM $.
  $}

  ${
    $d x y $.  $d y A $.
    $( Proposition 55 of [Frege1879] p. 50.  (Contributed by RP, 24-Dec-2019.)
       (Proof modification is discouraged.) $)
    frege55c $p |- ( x = A -> A = x ) $=
      ( vy cv wceq weq wsbc wi cvv vex frege54cor1c frege53c ax-mp wex cab wcel
      wa df-sbc clelab bitri eqtr2 exlimiv sylbi syl ) ADZBEZCAFZCBGZBUEEZUGCUE
      GUFUHHCUEIAJKUGCUEBLMUHCDZBEUGQZCNZUIUHBUGCOPULUGCBRUGCBSTUKUICUJBUEUAUBU
      CUD $.
  $}

  ${
    $d x A $.  $d x B $.
    frege56c.b $e |- B e. C $.
    $( Lemma for ~ frege57c .  Proposition 56 of [Frege1879] p. 50.
       (Contributed by RP, 24-Dec-2019.)
       (Proof modification is discouraged.) $)
    frege56c $p |- ( ( A = B -> ( [. A / x ]. ph -> [. B / x ]. ph ) )
                     -> ( B = A -> ( [. A / x ]. ph -> [. B / x ]. ph ) ) ) $=
      ( wceq wi wsbc cv frege54cor1c frege53c ax-mp frege55lem1c frege9 ) DCGZC
      DGZHZQABCIABDIHZHPSHHPBJDGZBCIHZRTBDIUABDEFKTBDCLMPBCDNMPQSOM $.
  $}

  ${
    $d x A $.  $d x B $.
    frege57c.a $e |- A e. C $.
    $( Swap order of implication in ~ ax-frege52c .  Proposition 57 of
       [Frege1879] p. 51.  (Contributed by RP, 24-Dec-2019.)
       (Proof modification is discouraged.) $)
    frege57c $p |- ( A = B -> ( [. B / x ]. ph -> [. A / x ]. ph ) ) $=
      ( wceq wsbc wi ax-frege52c frege56c ax-mp ) DCGABDHABCHIZICDGMIABDCJABDCE
      FKL $.
  $}

  ${
    $d y ph $.  $d y x $.  $d y A $.
    frege58c.a $e |- A e. B $.
    $( Principle related to ~ sp .  Axiom 58 of [Frege1879] p. 51.
       (Contributed by RP, 24-Dec-2019.)
       (Proof modification is discouraged.) $)
    frege58c $p |- ( A. x ph -> [. A / x ]. ph ) $=
      ( vy wcel wal wsbc wi cv wceq wsb ax-frege58b sbsbc dfsbcq syl5ib vtocleg
      sylib ax-mp ) CDGABHZABCIZJZEUCFCDUAABFKZIZUDCLUBUAABFMUEABFNABFOSABUDCPQ
      RT $.
  $}

  ${
    frege59c.a $e |- A e. B $.
    $( A kind of Aristotelian inference.  Proposition 59 of [Frege1879] p. 51.

       _Note_: in the Bauer-Meenfelberg translation published in van
       Heijenoort's collection _From Frege to Goedel_, this proof has the
       ~ frege12 incorrectly referenced where ~ frege30 is in the original.
       (Contributed by RP, 24-Dec-2019.)
       (Proof modification is discouraged.) $)
    frege59c $p |- ( [. A / x ]. ph
                   -> ( -. [. A / x ]. ps -> -. A. x ( ph -> ps ) ) ) $=
      ( wi wal wsbc wn frege58c sbcim1 syl frege30 ax-mp ) ABGZCHZACDIZBCDIZGZG
      RSJQJGGQPCDITPCDEFKABCDLMQRSNO $.

    $( Swap antecedents of ~ frege58c .  Proposition 60 of [Frege1879] p. 52.
       (Contributed by RP, 24-Dec-2019.)
       (Proof modification is discouraged.) $)
    frege60c $p |- ( A. x ( ph -> ( ps -> ch ) )
                   -> ( [. A / x ]. ps
                        -> ( [. A / x ]. ph -> [. A / x ]. ch ) ) ) $=
      ( wi wal wsbc frege58c sbcim1 syl6 syl frege12 ax-mp ) ABCHZHZDIZADEJZBDE
      JZCDEJZHZHZHSUATUBHHHSRDEJZUDRDEFGKUETQDEJUCAQDELBCDELMNSTUAUBOP $.

    $( Lemma for ~ frege65c .  Proposition 61 of [Frege1879] p. 52.
       (Contributed by RP, 24-Dec-2019.)
       (Proof modification is discouraged.) $)
    frege61c $p |- ( ( [. A / x ]. ph -> ps ) -> ( A. x ph -> ps ) ) $=
      ( wal wsbc wi frege58c frege9 ax-mp ) ACGZACDHZINBIMBIIACDEFJMNBKL $.

    $( A kind of Aristotelian inference.  This judgement replaces the mode of
       inference ~ barbara when the minor premise has a particular context.
       Proposition 62 of [Frege1879] p. 52.  (Contributed by RP, 24-Dec-2019.)
       (Proof modification is discouraged.) $)
    frege62c $p |- ( [. A / x ]. ph
                   -> ( A. x ( ph -> ps ) -> [. A / x ]. ps ) ) $=
      ( wi wal wsbc frege58c sbcim1 syl ax-frege8 ax-mp ) ABGZCHZACDIZBCDIZGZGQ
      PRGGPOCDISOCDEFJABCDKLPQRMN $.

    $( Analogue of ~ frege63b .  Proposition 63 of [Frege1879] p. 52.
       (Contributed by RP, 24-Dec-2019.)
       (Proof modification is discouraged.) $)
    frege63c $p |- ( [. A / x ]. ph
                   -> ( ps
                        -> ( A. x ( ph -> ch ) -> [. A / x ]. ch ) ) ) $=
      ( wsbc wi wal frege62c frege24 ax-mp ) ADEHZACIDJCDEHIZINBOIIACDEFGKNOBLM
      $.

    $( Lemma for ~ frege65c .  Proposition 64 of [Frege1879] p. 53.
       (Contributed by RP, 24-Dec-2019.)
       (Proof modification is discouraged.) $)
    frege64c $p |- ( ( [. C / x ]. ph -> [. A / x ]. ps )
                   -> ( A. x ( ps -> ch )
                        -> ( [. C / x ]. ph -> [. A / x ]. ch ) ) ) $=
      ( wsbc wi wal frege62c frege18 ax-mp ) BDEIZBCJDKZCDEIZJJADGIZOJPRQJJJBCD
      EFHLOPQRMN $.

    $( A kind of Aristotelian inference.  This judgement replaces the mode of
       inference ~ barbara when the minor premise has a general context.
       Proposition 65 of [Frege1879] p. 53.  (Contributed by RP, 24-Dec-2019.)
       (Proof modification is discouraged.) $)
    frege65c $p |- ( A. x ( ph -> ps )
                   -> ( A. x ( ps -> ch )
                        -> ( [. A / x ]. ph -> [. A / x ]. ch ) ) ) $=
      ( wi wsbc wal sbcim1 frege64c syl frege61c ax-mp ) ABHZDEIZBCHDJADEIZCDEI
      HHZHPDJSHQRBDEIHSABDEKABCDEFEGLMPSDEFGNO $.

    $( Swap antecedents of ~ frege65c .  Proposition 66 of [Frege1879] p. 54.
       (Contributed by RP, 24-Dec-2019.)
       (Proof modification is discouraged.) $)
    frege66c $p |- ( A. x ( ph -> ps )
                 -> ( A. x ( ch -> ph )
                      -> ( [. A / x ]. ch -> [. A / x ]. ps ) ) ) $=
      ( wi wal wsbc frege65c ax-frege8 ax-mp ) CAHDIZABHDIZCDEJBDEJHZHHONPHHCAB
      DEFGKNOPLM $.

    $( Lemma for ~ frege68c .  Proposition 67 of [Frege1879] p. 54.
       (Contributed by RP, 24-Dec-2019.)
       (Proof modification is discouraged.) $)
    frege67c $p |- ( ( ( A. x ph <-> ps ) -> ( ps -> A. x ph ) )
                   -> ( ( A. x ph <-> ps ) -> ( ps -> [. A / x ]. ph ) ) ) $=
      ( wal wsbc wi wb frege58c frege7 ax-mp ) ACGZACDHZINBJZBNIIPBOIIIACDEFKNO
      PBLM $.

    $( Combination of applying a definition and applying it to a specific
       instance.  Proposition 68 of [Frege1879] p. 54.  (Contributed by RP,
       24-Dec-2019.)  (Proof modification is discouraged.) $)
    frege68c $p |- ( ( A. x ph <-> ps ) -> ( ps -> [. A / x ]. ph ) ) $=
      ( wal wb wi wsbc frege57aid frege67c ax-mp ) ACGZBHZBNIIOBACDJIINBKABCDEF
      LM $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  _Begriffsschrift_ Chapter III Properties hereditary in a sequence
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

   ` ( R " A ) C_ A ` means membership in ` A ` is hereditary in the
   sequence dictated by relation ` R ` .  This differs from the
   set-theoretic notion that a set is hereditary in a property:
   that all of its elements have a property and all of their elements
   have the property and so-on.

   While the above notation is modern, it is cumbersome in the case
   when ` A ` is complex and to more closely follow Frege, we
   abbreviate it with new notation ` R hereditary A ` .  This greatly
   shortens the statements for ~ frege97 and ~ frege109 .

   ~ dffrege69 through ~ frege75 develop this, but translation to Metamath
   is pending some decisions.

   While Frege does not limit discussion to sets, we may have to
   depart from Frege by limiting ` R ` or ` A ` to sets when we quantify
   over all hereditary relations or all classes where membership
   is hereditary in a sequence dictated by ` R ` .

$)

  ${
    $d x y A $.  $d x y R $.
    $( If from the proposition that ` x ` has property ` A ` it can be inferred
       generally, whatever ` x ` may be, that every result of an application of
       the procedure ` R ` to ` x ` has property ` A ` , then we say " Property
       ` A ` is hereditary in the ` R ` -sequence.  Definition 69 of
       [Frege1879] p. 55.  (Contributed by RP, 28-Mar-2020.) $)
    dffrege69 $p |- ( A. x ( x e. A -> A. y ( x R y -> y e. A ) )
                  <-> R hereditary A ) $=
      ( whe cv wcel wbr wi wal dfhe3 bicomi ) CDEAFZCGMBFZDHNCGIBJIAJABCDKL $.
  $}

  ${
    frege70.x $e |- X e. V $.
    $d x y A $.  $d x y R $.  $d y X $.
    $( Lemma for ~ frege72 .  Proposition 70 of [Frege1879] p. 58.
       (Contributed by RP, 28-Mar-2020.)  (Revised by RP, 3-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege70 $p |- ( R hereditary A
                    -> ( X e. A -> A. y ( X R y -> y e. A ) ) ) $=
      ( vx cv wcel wbr wi wal whe dffrege69 wsbc frege68c sbcel1v sbcim1 ax-mp
      wb biimpri sbcal csb sbcbr1g wceq csbvarg breq1i bitri sbcg 3imtr3g alimi
      sylbi syl56 syl6 ) GHZBIZUOAHZCJZUQBIZKZALZKZGLBCMZTZVCEBIZEUQCJZUSKZALZK
      ZKGABCNVDVCVBGEOZVIVBVCGEDFPVEUPGEOZVJVAGEOZVHVKVEGEBQUAUPVAGERVLUTGEOZAL
      VHUTAGEUBVMVGAVMURGEOZUSGEOZVFUSURUSGERVNGEUOUCZUQCJZVFEDIZVNVQTFGEUOUQCD
      UDSVPEUQCVRVPEUEFGEDUFSUGUHVRVOUSTFUSGEDUISUJUKULUMUNS $.
  $}

  ${
    frege71.x $e |- X e. V $.
    $d z A $.  $d z R $.  $d z X $.
    $( Lemma for ~ frege72 .  Proposition 71 of [Frege1879] p. 59.
       (Contributed by RP, 28-Mar-2020.)  (Revised by RP, 3-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege71 $p |- ( ( A. z ( X R z -> z e. A ) -> ( X R Y -> Y e. A ) )
                  -> ( R hereditary A
                       -> ( X e. A -> ( X R Y -> Y e. A ) ) ) ) $=
      ( whe wcel cv wbr wi wal frege70 frege19 ax-mp ) BCHZEBIZEAJZCKSBILAMZLLT
      EFCKFBILZLQRUALLLABCDEGNQRTUAOP $.
  $}

  ${
    frege72.x $e |- X e. U $.
    frege72.y $e |- Y e. V $.
    $d z A $.  $d z R $.  $d z X $.
    $( If property ` A ` is hereditary in the ` R ` -sequence, if ` x ` has
       property ` A ` , and if ` y ` is a result of an application of the
       procedure ` R ` to ` x ` , then ` y ` has property ` A ` .  Proposition
       72 of [Frege1879] p. 59.  (Contributed by RP, 28-Mar-2020.)  (Revised by
       RP, 5-Jul-2020.)  (Proof modification is discouraged.) $)
    frege72 $p |- ( R hereditary A -> ( X e. A -> ( X R Y -> Y e. A ) ) ) $=
      ( vz cv wbr wcel wi wal whe wsbc frege58c sbcim1 wb ax-mp sbcbr2g csbvarg
      csb breq2d bitrd sbcel1v 3imtr3g syl frege71 ) EIJZBKZUJALZMZINZEFBKZFALZ
      MZMABOEALUQMMUNUMIFPZUQUMIFDHQURUKIFPZULIFPUOUPUKULIFRFDLZUSUOSHUTUSEIFUJ
      UCZBKUOIFEUJBDUAUTVAFEBIFDUBUDUETIFAUFUGUHIABCEFGUIT $.
  $}

  ${
    frege73.x $e |- X e. U $.
    frege73.y $e |- Y e. V $.
    $( Lemma for ~ frege87 .  Proposition 73 of [Frege1879] p. 59.
       (Contributed by RP, 28-Mar-2020.)  (Revised by RP, 5-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege73 $p |- ( ( R hereditary A -> X e. A )
                  -> ( R hereditary A -> ( X R Y -> Y e. A ) ) ) $=
      ( whe wcel wbr wi frege72 ax-frege2 ax-mp ) ABIZEAJZEFBKFAJLZLLPQLPRLLABC
      DEFGHMPQRNO $.
  $}

  ${
    frege74.x $e |- X e. U $.
    frege74.y $e |- Y e. V $.
    $( If ` X ` has a property ` A ` that is hereditary in the ` R ` -sequence,
       then every result of a application of the procedure ` R ` to ` X ` has
       the property ` A ` .  Proposition 74 of [Frege1879] p. 60.  (Contributed
       by RP, 28-Mar-2020.)  (Revised by RP, 5-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege74 $p |- ( X e. A -> ( R hereditary A -> ( X R Y -> Y e. A ) ) ) $=
      ( whe wcel wbr wi frege72 ax-frege8 ax-mp ) ABIZEAJZEFBKFAJLZLLQPRLLABCDE
      FGHMPQRNO $.
  $}

  ${
    $d x y A $.  $d x y R $.
    $( If from the proposition that ` x ` has property ` A ` , whatever ` x `
       may be, it can be inferred that every result of an application of the
       procedure ` R ` to ` x ` has property ` A ` , then property ` A ` is
       hereditary in the ` R ` -sequence.  Proposition 75 of [Frege1879] p. 60.
       (Contributed by RP, 28-Mar-2020.)
       (Proof modification is discouraged.) $)
    frege75 $p |- ( A. x ( x e. A -> A. y ( x R y -> y e. A ) )
                  -> R hereditary A ) $=
      ( cv wcel wbr wi wal whe wb dffrege69 frege52aid ax-mp ) AEZCFOBEZDGPCFHB
      IHAIZCDJZKQRHABCDLQRMN $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  _Begriffsschrift_ Chapter III Following in a sequence
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  ` p ( t+ `` R ) c ` means ` c ` follows ` p ` in the ` R ` -sequence.

  ~ dffrege76 through ~ frege98 develop this.

  This will be shown to be the transitive closure of the relation ` R ` .  But
  more work needs to be done on transitive closure of relations before this is
  ready for Metamath.

$)

  ${
    frege76.b $e |- B e. U $.
    frege76.e $e |- E e. V $.
    frege76.r $e |- R e. W $.
    ${
      $d a f B $.  $d f E $.  $d a f R $.  $d f U $.  $d f V $.  $d f W $.
      $( If from the two propositions that every result of an application of
         the procedure ` R ` to ` B ` has property ` f ` and that property
         ` f ` is hereditary in the ` R ` -sequence, it can be inferred,
         whatever ` f ` may be, that ` E ` has property ` f ` , then we say
         ` E ` follows ` B ` in the ` R ` -sequence.  Definition 76 of
         [Frege1879] p. 60.

         Each of ` B ` , ` E ` and ` R ` must be sets.  (Contributed by RP,
         2-Jul-2020.) $)
      dffrege76 $p |- ( A. f ( R hereditary f
                      -> ( A. a ( B R a -> a e. f ) -> E e. f ) )
                      <-> B ( t+ ` R ) E ) $=
        ( wbr cv cun cima wss wcel wi wal bitri ctcl cfv csn cab cint brtrclfv2
        whe wb mp3an elexi elintab wa imaundi equncomi sseq1i unss bitr4i df-he
        wel bicomi dfss2 cop elimasn df-br imbi1i albii anbi12i impexp 3bitrri
        vex ) AEBUAUBLZEBAUCZDMZNOZVMPZDUDUEQZVOEVMQZRZDSVMBUGZAHMZBLZHDUSZRZHS
        ZVQRRZDSACQEFQBGQVKVPUHIJKBCDFGAEUFUIVODEEFJUJUKVRWEDVRVSWDULZVQRWEVOWF
        VQVOBVMOZVMPZBVLOZVMPZULZWFVOWGWINZVMPWKVNWLVMVNWIWGBVLVMUMUNUOWGWIVMUP
        UQWHVSWJWDVSWHVMBURUTWJVTWIQZWBRZHSWDHWIVMVAWNWCHWMWAWBWMAVTVBBQWABAVTA
        CIUJHVJVCAVTBVDUQVEVFTVGTVEVSWDVQVHTVFVI $.
    $}
  $}

  ${
    frege77.x $e |- X e. U $.
    frege77.y $e |- Y e. V $.
    frege77.r $e |- R e. W $.
    frege77.a $e |- A e. B $.
    ${
      $d a A $.  $d a f R $.  $d f U $.  $d f V $.  $d f W $.  $d a f X $.
      $d f Y $.
      $( If ` Y ` follows ` X ` in the ` R ` -sequence, if property ` A ` is
         hereditary in the ` R ` -sequence, and if every result of an
         application of the procedure ` R ` to ` X ` has the property ` A ` ,
         then ` Y ` has property ` A ` .  Proposition 77 of [Frege1879] p. 62.
         (Contributed by RP, 29-Jun-2020.)  (Revised by RP, 2-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege77 $p |- ( X ( t+ ` R ) Y -> ( R hereditary A
                        -> ( A. a ( X R a -> a e. A ) -> Y e. A ) ) ) $=
        ( vf wi wal wb wsbc ax-mp bitri cv whe wbr wcel ctcl dffrege76 frege68c
        wel cfv sbcimg csb sbcheg csbconstg csbvarg heeq12 mp2an sbcal sbcel2gv
        wceq sbcg imbi12i albii syl6ib ) NUAZCUBZGIUAZCUCZINUHZOZIPZHVDUDZOZOZN
        PGHCUEUIUCZQZVNACUBZVGVFAUDZOZIPZHAUDZOZOZOGCDNHEFIJKLUFVOVNVMNARZWBVMV
        NNABMUGWCVENARZVLNARZOZWBABUDZWCWFQMVEVLNABUJSWDVPWEWAWDNAVDUKZNACUKZUB
        ZVPWGWDWJQMNACVDBULSWICUSZWHAUSZWJVPQWGWKMNACBUMSWGWLMNABUNSWHAWICUOUPT
        WEVJNARZVKNARZOZWAWGWEWOQMVJVKNABUJSWMVSWNVTWMVINARZIPVSVIINAUQWPVRIWPV
        GNARZVHNARZOZVRWGWPWSQMVGVHNABUJSWQVGWRVQWGWQVGQMVGNABUTSWGWRVQQMNVFABU
        RSVATVBTWGWNVTQMNHABURSVATVATVCS $.
    $}
  $}

  ${
    frege78.x $e |- X e. U $.
    frege78.y $e |- Y e. V $.
    frege78.r $e |- R e. W $.
    frege78.a $e |- A e. B $.
    ${
      $d a A $.  $d a R $.  $d a X $.
      $( Commuted form of of ~ frege77 .  Proposition 78 of [Frege1879] p. 63.
         (Contributed by RP, 1-Jul-2020.)  (Revised by RP, 2-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege78 $p |- ( R hereditary A -> ( A. a ( X R a -> a e. A )
                                      -> ( X ( t+ ` R ) Y -> Y e. A ) ) ) $=
        ( ctcl cfv wbr whe cv wcel wi wal frege77 frege17 ax-mp ) GHCNOPZACQZGI
        RZCPUGASTIUAZHASZTTTUFUHUEUITTTABCDEFGHIJKLMUBUEUFUHUIUCUD $.
    $}
  $}

  ${
    frege79.x $e |- X e. U $.
    frege79.y $e |- Y e. V $.
    frege79.r $e |- R e. W $.
    frege79.a $e |- A e. B $.
    ${
      $d a A $.  $d a R $.  $d a X $.
      $( Distributed form of ~ frege78 .  Proposition 79 of [Frege1879] p. 63.
         (Contributed by RP, 1-Jul-2020.)  (Revised by RP, 3-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege79 $p |- ( ( R hereditary A -> A. a ( X R a -> a e. A ) )
                  -> ( R hereditary A -> ( X ( t+ ` R ) Y -> Y e. A ) ) ) $=
        ( whe cv wbr wcel wi wal ctcl cfv frege78 ax-frege2 ax-mp ) ACNZGIOZCPU
        FAQRISZGHCTUAPHAQRZRRUEUGRUEUHRRABCDEFGHIJKLMUBUEUGUHUCUD $.
    $}
  $}

  ${
    frege80.x $e |- X e. U $.
    frege80.y $e |- Y e. V $.
    frege80.r $e |- R e. W $.
    frege80.a $e |- A e. B $.
    ${
      $d a A $.  $d a R $.  $d a X $.
      $( Add additional condition to both clauses of ~ frege79 .  Proposition
         80 of [Frege1879] p. 63.  (Contributed by RP, 1-Jul-2020.)  (Revised
         by RP, 5-Jul-2020.)  (Proof modification is discouraged.) $)
      frege80 $p |- ( ( X e. A -> ( R hereditary A
                          -> A. a ( X R a -> a e. A ) ) )
                     -> ( X e. A -> ( R hereditary A
                          -> ( X ( t+ ` R ) Y -> Y e. A ) ) ) ) $=
        ( whe cv wbr wcel wi wal ctcl cfv frege79 frege5 ax-mp ) ACNZGIOZCPUFAQ
        RISRZUEGHCTUAPHAQRRZRGAQZUGRUIUHRRABCDEFGHIJKLMUBUGUHUIUCUD $.
    $}
  $}

  ${
    frege81.x $e |- X e. U $.
    frege81.y $e |- Y e. V $.
    frege81.r $e |- R e. W $.
    frege81.a $e |- A e. B $.
    ${
      $d a A $.  $d a R $.  $d a X $.
      $( If ` X ` has a property ` A ` that is hereditary in the ` R `
         -sequence, and if ` Y ` follows ` X ` in the ` R ` -sequence, then
         ` Y ` has property ` A ` .  This is a form of induction attributed to
         Jakob Bernoulli.  Proposition 81 of [Frege1879] p. 63.  (Contributed
         by RP, 1-Jul-2020.)  (Revised by RP, 5-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege81 $p |- ( X e. A -> ( R hereditary A -> ( X ( t+ ` R ) Y
                        -> Y e. A ) ) ) $=
        ( va wcel whe cv wbr wi wal ctcl cfv cvv frege74 alrimdv frege80 ax-mp
        vex ) GANZACOZGMPZCQUJANRZMSRRUHUIGHCTUAQHANRRRUHUIUKMACDUBGUJIMUGUCUDA
        BCDEFGHMIJKLUEUF $.
    $}
  $}

  ${
    frege82.x $e |- X e. U $.
    frege82.y $e |- Y e. V $.
    frege82.r $e |- R e. W $.
    frege82.a $e |- A e. B $.
    $( Closed-form deduction based on ~ frege81 .  Proposition 82 of
       [Frege1879] p. 64.  (Contributed by RP, 1-Jul-2020.)  (Revised by RP,
       5-Jul-2020.)  (Proof modification is discouraged.) $)
    frege82 $p |- ( ( ph -> X e. A ) -> ( R hereditary A
                     -> ( ph -> ( X ( t+ ` R ) Y -> Y e. A ) ) ) ) $=
      ( wcel whe ctcl cfv wbr wi frege81 frege18 ax-mp ) HBNZBDOZHIDPQRIBNSZSSA
      UCSUDAUESSSBCDEFGHIJKLMTUCUDUEAUAUB $.
  $}

  ${
    frege83.x $e |- X e. S $.
    frege83.y $e |- Y e. T $.
    frege83.r $e |- R e. U $.
    frege83.b $e |- B e. V $.
    frege83.c $e |- C e. W $.
    $( Apply commuted form of ~ frege81 when the property ` R ` is hereditary
       in a disjunction of two properties, only one of which is known to be
       held by ` X ` .  Proposition 83 of [Frege1879] p. 65.  Here we introduce
       the union of classes where Frege has a disjunction of properties which
       are represented by membership in either of the classes.  (Contributed by
       RP, 1-Jul-2020.)  (Revised by RP, 5-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege83 $p |- ( R hereditary ( B u. C ) -> ( X e. B
                        -> ( X ( t+ ` R ) Y -> Y e. ( B u. C ) ) ) ) $=
      ( wcel cun wi whe elexi ctcl cfv wbr wn frege36 wo df-or bitri sylibr cvv
      elun unex frege82 ax-mp ) IAPZIABQZPZRUPCSUOIJCUAUBUCJUPPRRRUOUOUDIBPZRZU
      QUOURUEUQUOURUFUSIABUKUOURUGUHUIUOUPUJCDEFIJKLMABAGNTBHOTULUMUN $.
  $}

  ${
    frege84.x $e |- X e. U $.
    frege84.y $e |- Y e. V $.
    frege84.r $e |- R e. W $.
    frege84.a $e |- A e. B $.
    $( Commuted form of ~ frege81 .  Proposition 84 of [Frege1879] p. 65.
       (Contributed by RP, 1-Jul-2020.)  (Revised by RP, 5-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege84 $p |- ( R hereditary A -> ( X e. A -> ( X ( t+ ` R ) Y
                        -> Y e. A ) ) ) $=
      ( wcel whe ctcl cfv wbr wi frege81 ax-frege8 ax-mp ) GAMZACNZGHCOPQHAMRZR
      RUCUBUDRRABCDEFGHIJKLSUBUCUDTUA $.

    ${
      $d z A $.  $d z R $.  $d z X $.
      $( Commuted form of ~ frege77 .  Proposition 85 of [Frege1879] p. 66.
         (Contributed by RP, 1-Jul-2020.)  (Revised by RP, 5-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege85 $p |- ( X ( t+ ` R ) Y -> ( A. z ( X R z -> z e. A )
                        -> ( R hereditary A -> Y e. A ) ) ) $=
        ( ctcl cfv wbr whe cv wcel wi wal frege77 frege12 ax-mp ) HIDNOPZBDQZHA
        RZDPUGBSTAUAZIBSZTTTUEUHUFUITTTBCDEFGHIAJKLMUBUEUFUHUIUCUD $.
    $}
  $}

  ${
    frege86.x $e |- X e. U $.
    frege86.y $e |- Y e. V $.
    frege86.r $e |- R e. W $.
    frege86.a $e |- A e. B $.

    ${
      $d w A $.  $d w R $.  $d w X $.
      $( Conclusion about element one past ` Y ` in the ` R ` -sequence.
         Proposition 86 of [Frege1879] p. 66.  (Contributed by RP, 1-Jul-2020.)
         (Revised by RP, 7-Jul-2020.)  (Proof modification is discouraged.) $)
      frege86 $p |- ( ( ( R hereditary A -> Y e. A )
                      -> ( R hereditary A -> ( Y R Z -> Z e. A ) ) )
                    -> ( X ( t+ ` R ) Y -> ( A. w ( X R w -> w e. A )
                                    -> ( R hereditary A
                                         -> ( Y R Z -> Z e. A ) ) ) ) ) $=
        ( ctcl cfv wbr cv wcel wi wal whe frege85 frege19 ax-mp ) HIDOPQZHARZDQ
        UGBSTAUAZBDUBZIBSTZTTUJUIIJDQJBSTTZTUFUHUKTTTABCDEFGHIKLMNUCUFUHUJUKUDU
        E $.
    $}
  $}

  ${
    frege87.x $e |- X e. U $.
    frege87.y $e |- Y e. V $.
    frege87.z $e |- Z e. W $.
    frege87.r $e |- R e. S $.
    frege87.a $e |- A e. B $.
    ${
      $d w A $.  $d w R $.  $d w X $.
      $( If ` Z ` is a result of an application of the procedure ` R ` to an
         object ` Y ` that follows ` X ` in the ` R ` -sequence and if every
         result of an application of the procedure ` R ` to ` X ` has a
         property ` A ` that is hereditary in the ` R ` -sequence, then ` Z `
         has property ` A ` .  Proposition 87 of [Frege1879] p. 66.
         (Contributed by RP, 1-Jul-2020.)  (Revised by RP, 7-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege87 $p |- ( X ( t+ ` R ) Y -> ( A. w ( X R w -> w e. A )
                        -> ( R hereditary A -> ( Y R Z -> Z e. A ) ) ) ) $=
        ( whe wcel wi wbr ctcl cfv cv wal frege73 frege86 ax-mp ) BDQZJBRSUHJKD
        TKBRSSZSIJDUAUBTIAUCZDTUJBRSAUDUISSBDGHJKMNUEABCDFGEIJKLMOPUFUG $.
    $}

    ${
      $d w A $.  $d w R $.  $d w X $.
      $( Commuted form of ~ frege87 .  Proposition 88 of [Frege1879] p. 67.
         (Contributed by RP, 1-Jul-2020.)  (Revised by RP, 7-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege88 $p |- ( Y R Z -> ( X ( t+ ` R ) Y
                        -> ( A. w ( X R w -> w e. A ) -> ( R hereditary A
                             -> Z e. A ) ) ) ) $=
        ( ctcl wbr wcel wi cfv cv wal whe frege87 frege15 ax-mp ) IJDQUARZIAUBZ
        DRUIBSTAUCZBDUDZJKDRZKBSZTTTTULUHUJUKUMTTTTABCDEFGHIJKLMNOPUEUHUJUKULUM
        UFUG $.
    $}
  $}

  ${
    frege89.x $e |- X e. U $.
    frege89.y $e |- Y e. V $.
    frege89.r $e |- R e. W $.
    ${
      $d f w R $.  $d f U $.  $d f V $.  $d f W $.  $d f w X $.  $d f Y $.
      $( One direction of ~ dffrege76 .  Proposition 89 of [Frege1879] p. 68.
         (Contributed by RP, 1-Jul-2020.)  (Revised by RP, 2-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege89 $p |- ( A. f ( R hereditary f -> ( A. w ( X R w -> w e. f )
                      -> Y e. f ) ) -> X ( t+ ` R ) Y ) $=
        ( cv whe wbr wel wi wal wcel ctcl cfv wb dffrege76 frege52aid ax-mp ) D
        LZBMGALBNADOPAQHUERPPDQZGHBSTNZUAUFUGPGBCDHEFAIJKUBUFUGUCUD $.
    $}
  $}

  ${
    frege90.x $e |- X e. U $.
    frege90.y $e |- Y e. V $.
    frege90.r $e |- R e. W $.
    ${
      $d f w R $.  $d f U $.  $d f V $.  $d f W $.  $d f w X $.  $d f Y $.
      $( Add antecedent to ~ frege89 .  Proposition 90 of [Frege1879] p. 68.
         (Contributed by RP, 1-Jul-2020.)  (Revised by RP, 2-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege90 $p |- ( ( ph -> A. f ( R hereditary f
                        -> ( A. w ( X R w -> w e. f ) -> Y e. f ) ) )
                      -> ( ph -> X ( t+ ` R ) Y ) ) $=
        ( cv whe wbr wel wi wal wcel ctcl cfv frege89 frege5 ax-mp ) EMZCNHBMCO
        BEPQBRIUESQQERZHICTUAOZQAUFQAUGQQBCDEFGHIJKLUBUFUGAUCUD $.
    $}
  $}

  ${
    frege91.x $e |- X e. U $.
    frege91.y $e |- Y e. V $.
    frege91.r $e |- R e. W $.

    ${
      $d a f R $.  $d f U $.  $d f V $.  $d f W $.  $d a f X $.  $d f Y $.
      $( Every result of an application of a procedure ` R ` to an object ` X `
         follows that ` X ` in the ` R ` -sequence.  Proposition 91 of
         [Frege1879] p. 68.  (Contributed by RP, 2-Jul-2020.)  (Revised by RP,
         5-Jul-2020.)  (Proof modification is discouraged.) $)
      frege91 $p |- ( X R Y -> X ( t+ ` R ) Y ) $=
        ( vf va wbr cv whe wi wal wcel wsbc ax-mp imbi2i wel cfv wb csb sbcbr2g
        ctcl frege63c csbvarg breq2d bitrd sbcel1v 3imtr3i alrimiv frege90 ) EF
        ALZJMZANZEKMZALZKJUAZOKPZFUPQZOZOZJPOUOEFAUFUBLOUOVDJUSKFRZUQVAUTKFRZOZ
        OUOVDUSUQUTKFCHUGFCQZVEUOUCHVHVEEKFURUDZALUOKFEURACUEVHVIFEAKFCUHUIUJSV
        GVCUQVFVBVAKFUPUKTTULUMUOKABJCDEFGHIUNS $.
    $}

    ${
      $d w R $.  $d w Y $.
      $( Inference from ~ frege91 .  Proposition 92 of [Frege1879] p. 69.
         (Contributed by RP, 2-Jul-2020.)  (Revised by RP, 5-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege92 $p |- ( X = Z -> ( X R Y -> Z ( t+ ` R ) Y ) ) $=
        ( vw wcel wceq wbr wi wsbc syl wb csb sbcbr1g cv ctcl cfv cvv vex sbcth
        frege91 frege53c sbcim1 imim2i dfsbcq csbvarg bitrd ax-mp bitr3di eqcom
        breq1d biimpi eqeltrdi imbi12d mpbidi mp2b ) EBLZEGMZKUAZFANZVEFAUBUCZN
        ZOZKGPZOZVDEFANZGFVGNZOZOHVCVIKEPVKVIKEBAUDCDVEFKUEIJUGUFVIKEGUHQVDVFKG
        PZVHKGPZOZVNVKVJVQVDVFVHKGUIUJVDVOVLVPVMVDVFKEPZVOVLVFKEGUKVCVRVLRHVCVR
        KEVESZFANVLKEVEFABTVCVSEFAKEBULUQUMUNUOVDGBLZVPVMRVDGEBVDGEMEGUPURHUSVT
        VPKGVESZFVGNVMKGVEFVGBTVTWAGFVGKGBULUQUMQUTVAVB $.
    $}

    ${
      $d f z R $.  $d f U $.  $d f V $.  $d f W $.  $d f z X $.  $d f Y $.
      $( Necessary condition for two elements to be related by the transitive
         closure.  Proposition 93 of [Frege1879] p. 70.  (Contributed by RP,
         2-Jul-2020.)  (Revised by RP, 5-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege93 $p |- ( A. f ( A. z ( X R z -> z e. f )
                             -> ( R hereditary f -> Y e. f ) )
                      -> X ( t+ ` R ) Y ) $=
        ( cv wbr wel wi wal whe wcel wsbc sbcid ctcl cfv cvv vex frege60c axc4i
        imbi12i 3imtr3g frege90 ax-mp ) GALBMADNOAPZDLZBQZHULRZOOZDPZUMUKUNOZOZ
        DPOUPGHBUAUBMOUOURDUPUMDULSUKDULSZUNDULSZOUMUQUKUMUNDULUCDUDUEUMDTUSUKU
        TUNUKDTUNDTUGUHUFUPABCDEFGHIJKUIUJ $.
    $}
  $}

  ${
    frege94.x $e |- X e. U $.
    frege94.z $e |- Z e. V $.
    frege94.r $e |- R e. W $.
    ${
      $d f w R $.  $d f U $.  $d f V $.  $d f W $.  $d f w X $.  $d f Z $.
      $( Looking one past a pair related by transitive closure of a relation.
         Proposition 94 of [Frege1879] p. 70.  (Contributed by RP, 2-Jul-2020.)
         (Revised by RP, 5-Jul-2020.)  (Proof modification is discouraged.) $)
      frege94 $p |- ( ( Y R Z
                      -> ( X ( t+ ` R ) Y
                           -> A. f ( A. w ( X R w -> w e. f )
                                     -> ( R hereditary f -> Z e. f ) ) ) )
                    -> ( Y R Z -> ( X ( t+ ` R ) Y -> X ( t+ ` R ) Z ) ) ) $=
        ( cv wbr wel wi wal whe wcel ctcl cfv frege93 frege7 ax-mp ) GAMBNADOPA
        QDMZBRIUESPPDQZGIBTUAZNZPHIBNZGHUGNZUFPPUIUJUHPPPABCDEFGIJKLUBUFUHUIUJU
        CUD $.
    $}
  $}

  ${
    frege95.x $e |- X e. U $.
    frege95.y $e |- Y e. V $.
    frege95.z $e |- Z e. W $.
    frege95.r $e |- R e. A $.
    ${
      $d f A $.  $d f w R $.  $d f U $.  $d f W $.  $d f w X $.  $d f Y $.
      $d f Z $.
      $( Looking one past a pair related by transitive closure of a relation.
         Proposition 95 of [Frege1879] p. 70.  (Contributed by RP, 2-Jul-2020.)
         (Revised by RP, 7-Jul-2020.)  (Proof modification is discouraged.) $)
      frege95 $p |- ( Y R Z -> ( X ( t+ ` R ) Y -> X ( t+ ` R ) Z ) ) $=
        ( vw vf wbr ctcl cfv cv wi wal wel whe wcel cvv frege88 alrimdv frege94
        vex ax-mp ) GHBOZFGBPQZOZFMRBOMNUASMTNRZBUBHUMUCSSZNTSSUJULFHUKOSSUJULU
        NNMUMUDBACDEFGHIJKLNUHUEUFMBCNEAFGHIKLUGUI $.
    $}

    $( Every result of an application of the procedure ` R ` to an object that
       follows ` X ` in the ` R ` -sequence follows ` X ` in the ` R `
       -sequence.  Proposition 96 of [Frege1879] p. 71.  (Contributed by RP,
       2-Jul-2020.)  (Revised by RP, 7-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege96 $p |- ( X ( t+ ` R ) Y -> ( Y R Z -> X ( t+ ` R ) Z ) ) $=
      ( wbr ctcl cfv wi frege95 ax-frege8 ax-mp ) GHBMZFGBNOZMZFHUAMZPPUBTUCPPA
      BCDEFGHIJKLQTUBUCRS $.
  $}

  ${
    frege97.x $e |- X e. U $.
    frege97.r $e |- R e. W $.
    ${
      $d a b R $.  $d a b X $.
      $( The property of following ` X ` in the ` R ` -sequence is hereditary
         in the ` R ` -sequence.  Proposition 97 of [Frege1879] p. 71.

         Here we introduce the image of a singleton under a relation as class
         which stands for the property of following ` X ` in the ` R `
         -sequence.  (Contributed by RP, 2-Jul-2020.)  (Revised by RP,
         7-Jul-2020.)  (Proof modification is discouraged.) $)
      frege97 $p |- R hereditary ( ( t+ ` R ) " { X } ) $=
        ( vb va cv ctcl cfv wcel wbr wi cvv vex cop df-br elimasn bitr4i imbi2i
        csn cima wal whe frege75 frege96 elexi 3imtr3i alrimiv mpg ) GIZAJKZDUB
        UCZLZULHIZAMZUPUNLZNZHUDNUNAUEGGHUNAUFUOUSHDULUMMZUQDUPUMMZNUOUSCABOODU
        LUPEGPZHPZFUGUTDULQUMLUODULUMRUMDULDBEUHZVBSTVAURUQVADUPQUMLURDUPUMRUMD
        UPVDVCSTUAUIUJUK $.
    $}
  $}

  ${
    frege98.x $e |- X e. A $.
    frege98.y $e |- Y e. B $.
    frege98.z $e |- Z e. C $.
    frege98.r $e |- R e. D $.
    $( If ` Y ` follows ` X ` and ` Z ` follows ` Y ` in the ` R ` -sequence
       then ` Z ` follows ` X ` in the ` R ` -sequence because the transitive
       closure of a relation has the transitive property.  Proposition 98 of
       [Frege1879] p. 71.  (Contributed by RP, 2-Jul-2020.)  (Revised by RP,
       6-Jul-2020.)  (Proof modification is discouraged.) $)
    frege98 $p |- ( X ( t+ ` R ) Y
                      -> ( Y ( t+ ` R ) Z -> X ( t+ ` R ) Z ) ) $=
      ( ctcl wcel wbr wi cvv ax-mp cop elexi cfv csn whe frege97 imaexg frege84
      cima fvex elimasn df-br bitr4i imbi2i 3imtr3i ) GEMUAZFUBZUGZNZGHUNOZHUPN
      ZPZFGUNOZURFHUNOZPUPEUCUQUTPEADFILUDUPQEBCDGHJKLUNQNUPQNEMUHUNUOQUERUFRUQ
      FGSUNNVAUNFGFAITZGBJTUIFGUNUJUKUSVBURUSFHSUNNVBUNFHVCHCKTUIFHUNUJUKULUM
      $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  _Begriffsschrift_ Chapter III Member of sequence
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

    ` p ( ( t+ `` R ) u. _I ) c ` means ` c ` is a member of the ` R `
    -sequence begining with ` p ` and ` p ` is a member of the  ` R `
    -sequence ending with ` c ` .

    ~ dffrege99 through ~ frege114 develop this.

    This will be shown to be related to the transitive-reflexive
    closure of relation ` R ` .  But more work needs to be done on
    transitive closure of relations before this is ready for
    Metamath.

$)

  ${
    frege99.z $e |- Z e. U $.
    $( If ` Z ` is identical with ` X ` or follows ` X ` in the ` R `
       -sequence, then we say :  " ` Z ` belongs to the ` R ` -sequence
       beginning with ` X ` " or " ` X ` belongs to the ` R ` -sequence ending
       with ` Z ` ".  Definition 99 of [Frege1879] p. 71.  (Contributed by RP,
       2-Jul-2020.) $)
    dffrege99 $p |- ( ( -. X ( t+ ` R ) Z -> Z = X )
                     <-> X ( ( t+ ` R ) u. _I ) Z ) $=
      ( ctcl cfv cid cun wbr wo wn wi wceq brun df-or elexi ideq eqcom bitri
      imbi2i 3bitrri ) CDAFGZHIJCDUCJZCDHJZKUDLZUEMUFDCNZMCDUCHOUDUEPUEUGUFUECD
      NUGCDDBEQRCDSTUAUB $.

    $( One direction of ~ dffrege99 .  Proposition 100 of [Frege1879] p. 72.
       (Contributed by RP, 7-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege100 $p |- ( X ( ( t+ ` R ) u. _I ) Z
                     -> ( -. X ( t+ ` R ) Z -> Z = X ) ) $=
      ( ctcl cfv wbr wn wceq wi cid cun wb dffrege99 frege57aid ax-mp ) CDAFGZH
      IDCJKZCDRLMHZNTSKABCDEOSTPQ $.

    $( Lemma for ~ frege102 .  Proposition 101 of [Frege1879] p. 72.
       (Contributed by RP, 7-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege101 $p |- ( ( Z = X -> ( Z R V -> X ( t+ ` R ) V ) )
           -> ( ( X ( t+ ` R ) Z -> ( Z R V -> X ( t+ ` R ) V ) )
           -> ( X ( ( t+ ` R ) u. _I ) Z
           -> ( Z R V -> X ( t+ ` R ) V ) ) ) ) $=
      ( ctcl cfv cid cun wbr wn wceq wi frege100 frege48 ax-mp ) DEAGHZIJKZDERK
      ZLEDMZNNUAECAKDCRKNZNTUBNSUBNNNABDEFOSTUAUBPQ $.
  $}

  ${
    frege102.x $e |- X e. A $.
    frege102.z $e |- Z e. B $.
    frege102.v $e |- V e. C $.
    frege102.r $e |- R e. D $.
    $( If ` Z ` belongs to the ` R ` -sequence beginning with ` X ` , then
       every result of an application of the procedure ` R ` to ` Z ` follows
       ` X ` in the ` R ` -sequence.  Proposition 102 of [Frege1879] p. 72.
       (Contributed by RP, 7-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege102 $p |- ( X ( ( t+ ` R ) u. _I ) Z
                     -> ( Z R V -> X ( t+ ` R ) V ) ) $=
      ( wceq wbr ctcl cfv wi cid cun frege92 frege96 frege101 mp2 ) HGMHFENGFEO
      PZNQZQGHUDNUEQGHUDRSNUEQEBCDHFGJKLTDEABCGHFIJKLUAEBFGHJUBUC $.
  $}

  ${
    frege103.z $e |- Z e. V $.
    $( Proposition 103 of [Frege1879] p. 73.  (Contributed by RP, 7-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege103 $p |- ( ( Z = X -> X = Z )
                     -> ( X ( ( t+ ` R ) u. _I ) Z -> ( -. X ( t+ ` R ) Z
                          -> X = Z ) ) ) $=
      ( ctcl cfv cid cun wbr wn wceq wi frege100 frege19 ax-mp ) CDAFGZHIJZCDQJ
      KZDCLZMMTCDLZMRSUAMMMABCDENRSTUAOP $.

    ${
      $d z X $.  $d z Z $.
      $( Proposition 104 of [Frege1879] p. 73.

         _Note_: in the Bauer-Meenfelberg translation published in van
         Heijenoort's collection _From Frege to Goedel_, this proof has the
         minor clause and result swapped.  (Contributed by RP, 7-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege104 $p |- ( X ( ( t+ ` R ) u. _I ) Z
                     -> ( -. X ( t+ ` R ) Z -> X = Z ) ) $=
        ( vz wceq wi ctcl cfv cid cun wbr wn elexi eqeq1 eqeq2 imbi12d frege55c
        cv vtocl frege103 ax-mp ) DCGZCDGZHZCDAIJZKLMCDUGMNUEHHFTZCGZCUHGZHUFFD
        DBEOUHDGUIUDUJUEUHDCPUHDCQRFCSUAABCDEUBUC $.
    $}

    $( Proposition 105 of [Frege1879] p. 73.  (Contributed by RP, 7-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege105 $p |- ( ( -. X ( t+ ` R ) Z -> Z = X )
                     -> X ( ( t+ ` R ) u. _I ) Z ) $=
      ( ctcl cfv wbr wn wceq wi cid cun wb dffrege99 frege52aid ax-mp ) CDAFGZH
      IDCJKZCDRLMHZNSTKABCDEOSTPQ $.

    $( Whatever follows ` X ` in the ` R ` -sequence belongs to the ` R `
       -sequence beginning with ` X ` .  Proposition 106 of [Frege1879] p. 73.
       (Contributed by RP, 7-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege106 $p |- ( X ( t+ ` R ) Z -> X ( ( t+ ` R ) u. _I ) Z ) $=
      ( ctcl cfv wbr wn wceq wi cid cun frege105 frege37 ax-mp ) CDAFGZHZIDCJZK
      CDQLMHZKRTKABCDENRSTOP $.
  $}

  ${
    frege107.v $e |- V e. A $.
    $( Proposition 107 of [Frege1879] p. 74.  (Contributed by RP, 7-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege107 $p |- ( ( Z ( ( t+ ` R ) u. _I ) Y
                       -> ( Y R V -> Z ( t+ ` R ) V ) )
                     -> ( Z ( ( t+ ` R ) u. _I ) Y
                          -> ( Y R V -> Z ( ( t+ ` R ) u. _I ) V ) ) ) $=
      ( ctcl cfv wbr cid cun wi frege106 frege7 ax-mp ) ECBGHZIZECPJKZIZLEDRIZD
      CBIZQLLTUASLLLBAECFMQSTUANO $.
  $}

  ${
    frege108.z $e |- Z e. A $.
    frege108.y $e |- Y e. B $.
    frege108.v $e |- V e. C $.
    frege108.r $e |- R e. D $.
    $( If ` Y ` belongs to the ` R ` -sequence beginning with ` Z ` , then
       every result of an application of the procedure ` R ` to ` Y ` belongs
       to the ` R ` -sequence beginning with ` Z ` .  Proposition 108 of
       [Frege1879] p. 74.  (Contributed by RP, 7-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege108 $p |- ( Z ( ( t+ ` R ) u. _I ) Y
                     -> ( Y R V -> Z ( ( t+ ` R ) u. _I ) V ) ) $=
      ( ctcl cfv cid cun wbr wi frege102 frege107 ax-mp ) HGEMNZOPZQZGFEQZHFUBQ
      RRUDUEHFUCQRRABCDEFHGIJKLSCEFGHKTUA $.
  $}

  ${
    frege109.x $e |- X e. U $.
    frege109.r $e |- R e. V $.
    $d y z R $.  $d y z X $.
    $( The property of belonging to the ` R ` -sequence beginning with ` X ` is
       hereditary in the ` R ` -sequence.  Proposition 109 of [Frege1879]
       p. 74.  (Contributed by RP, 7-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege109 $p |- R hereditary ( ( ( t+ ` R ) u. _I ) " { X } ) $=
      ( vy vz cv ctcl cfv wcel wbr wi cvv vex cop df-br elimasn bitr4i cid cima
      cun csn wal whe frege75 frege108 elexi imbi2i 3imtr3i alrimiv mpg ) GIZAJ
      KUAUCZDUDUBZLZUNHIZAMZURUPLZNZHUENUPAUFGGHUPAUGUQVAHDUNUOMZUSDURUOMZNUQVA
      BOOCAURUNDEGPZHPZFUHVBDUNQUOLUQDUNUORUODUNDBEUIZVDSTVCUTUSVCDURQUOLUTDURU
      ORUODURVFVESTUJUKULUM $.
  $}

  ${
    frege110.x $e |- X e. A $.
    frege110.y $e |- Y e. B $.
    frege110.m $e |- M e. C $.
    frege110.r $e |- R e. D $.
    $d a R $.  $d a X $.  $d a Y $.
    $( Proposition 110 of [Frege1879] p. 75.  (Contributed by RP, 7-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege110 $p |- ( A. a ( Y R a -> X ( ( t+ ` R ) u. _I ) a )
                     -> ( Y ( t+ ` R ) M -> X ( ( t+ ` R ) u. _I ) M ) ) $=
      ( ctcl cid cima wbr wi wcel cvv cfv cun csn whe cv frege109 imaundir fvex
      wal imaexg ax-mp imai snex eqeltri frege78 cop elexi elimasn df-br bitr4i
      unex vex imbi2i albii 3imtr3g ) ENUAZOUBZGUCZPZEUDZHIUEZEQZGVKVGQZRZIUIZH
      FVFQZGFVGQZRZREADGJMUFVJVLVKVISZRZIUIVPFVISZRVOVRVITEBCDHFIKLMVIVFVHPZOVH
      PZUBTVFOVHUGWBWCVFTSWBTSENUHVFVHTUJUKWCVHTVHULGUMUNVAUNUOVTVNIVSVMVLVSGVK
      UPVGSVMVGGVKGAJUQZIVBURGVKVGUSUTVCVDWAVQVPWAGFUPVGSVQVGGFWDFCLUQURGFVGUSU
      TVCVEUK $.
  $}

  ${
    frege111.z $e |- Z e. A $.
    frege111.y $e |- Y e. B $.
    frege111.v $e |- V e. C $.
    frege111.r $e |- R e. D $.
    $( If ` Y ` belongs to the ` R ` -sequence beginning with ` Z ` , then
       every result of an application of the procedure ` R ` to ` Y ` belongs
       to the ` R ` -sequence beginning with ` Z ` or precedes ` Z ` in the
       ` R ` -sequence.  Proposition 111 of [Frege1879] p. 75.  (Contributed by
       RP, 7-Jul-2020.)  (Revised by RP, 8-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege111 $p |- ( Z ( ( t+ ` R ) u. _I ) Y -> ( Y R V -> ( -. V ( t+ ` R ) Z
                     -> Z ( ( t+ ` R ) u. _I ) V ) ) ) $=
      ( ctcl cfv cid cun wbr wi wn frege108 frege25 ax-mp ) HGEMNZOPZQZGFEQZHFU
      DQZRRUEUFFHUCQSZUGRRRABCDEFGHIJKLTUEUFUGUHUAUB $.
  $}

  ${
    frege112.z $e |- Z e. V $.
    $( Identity implies belonging to the ` R ` -sequence beginning with self.
       Proposition 112 of [Frege1879] p. 76.  (Contributed by RP, 7-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege112 $p |- ( Z = X -> X ( ( t+ ` R ) u. _I ) Z ) $=
      ( ctcl cfv wbr wn wceq wi cid cun frege105 frege11 ax-mp ) CDAFGZHIZDCJZK
      CDQLMHZKSTKABCDENRSTOP $.

    $( Proposition 113 of [Frege1879] p. 76.  (Contributed by RP, 7-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege113 $p |- ( ( Z ( ( t+ ` R ) u. _I ) X
                       -> ( -. Z ( t+ ` R ) X -> Z = X ) )
                     -> ( Z ( ( t+ ` R ) u. _I ) X -> ( -. Z ( t+ ` R ) X
                          -> X ( ( t+ ` R ) u. _I ) Z ) ) ) $=
      ( wceq ctcl cfv cid cun wbr wi wn frege112 frege7 ax-mp ) DCFZCDAGHZIJZKZ
      LDCSKZDCRKMZQLLUAUBTLLLABCDENQTUAUBOP $.
  $}

  ${
    frege114.x $e |- X e. U $.
    frege114.z $e |- Z e. V $.
    $( If ` X ` belongs to the ` R ` -sequence beginning with ` Z ` , then
       ` Z ` belongs to the ` R ` -sequence beginning with ` X ` or ` X `
       follows ` Z ` in the ` R ` -sequence.  Proposition 114 of [Frege1879]
       p. 76.  (Contributed by RP, 7-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege114 $p |- ( Z ( ( t+ ` R ) u. _I ) X -> ( -. Z ( t+ ` R ) X
                     -> X ( ( t+ ` R ) u. _I ) Z ) ) $=
      ( ctcl cfv cid cun wbr wn wceq wi frege104 frege113 ax-mp ) EDAHIZJKZLZED
      SLMZEDNOOUAUBDETLOOABEDFPACDEGQR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  _Begriffsschrift_ Chapter III Single-valued procedures
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  ` Fun ``' ``' R ` means the relationship content of procedure ` R ` is
  single-valued.  The double converse allows us to simply apply this syntax in
  place of Frege's even though the original never explicitly limited discussion
  of propositional statements which vary on two variables to relations.

  ~ dffrege115 through ~ frege133 develop this and how functions relate
  to transitive and transitive-reflexive closures.

$)

  ${
    $d a b c R $.
    $( If from the circumstance that ` c ` is a result of an application of the
       procedure ` R ` to ` b ` , whatever ` b ` may be, it can be inferred
       that every result of an application of the procedure ` R ` to ` b ` is
       the same as ` c ` , then we say :  "The procedure ` R ` is
       single-valued".  Definition 115 of [Frege1879] p. 77.  (Contributed by
       RP, 7-Jul-2020.) $)
    dffrege115 $p |- ( A. c A. b ( b R c -> A. a ( b R a -> a = c ) )
                       <-> Fun `' `' R ) $=
      ( cv wbr weq wi wal cop ccnv wcel alcom wa vex brcnv df-br 3bitr3ri albii
      bitr3i wex wmo 19.21v impexp anbi12ci imbi1i bitri opeq2 eleq1d mo4 df-mo
      wfun 3bitr2i wrel relcnv biantrur dffun5 bitr4i 3bitri ) CEZDEZAFZUTBEZAF
      ZBDGZHZBIHZCIDIVGDIZCIUTVCJZAKZKZLZVEHBIDUAZCIZVKULZVGDCMVHVMCVHVLUTVAJZV
      KLZNZVEHZDIBIZVLBUBVMVHVSBIZDIVTVGWADVGVBVFHZBIWAVBVFBUCWBVSBWBVBVDNZVEHV
      SVBVDVEUDWCVRVEVBVQVDVLUTVAVKFVAUTVJFVQVBUTVAVJCOZDOZPUTVAVKQVAUTAWEWDPRU
      TVCVKFVCUTVJFVLVDUTVCVJWDBOZPUTVCVKQVCUTAWFWDPRUEUFTSTSVSDBMUGVLVQBDVEVIV
      PVKVCVAUTUHUIUJVLBDUKUMSVNVKUNZVNNVOWGVNVJUOUPCBDVKUQURUS $.
  $}

  ${
    frege116.x $e |- X e. U $.
    ${
      $d a b c R $.  $d a b X $.
      $( One direction of ~ dffrege115 .  Proposition 116 of [Frege1879] p. 77.
         (Contributed by RP, 8-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege116 $p |- ( Fun `' `' R -> A. b ( b R X
                                             -> A. a ( b R a -> a = X ) ) ) $=
        ( vc cv wbr wi wal ccnv wb wceq wsbc sbcal sbcimg ax-mp bitri imbi12i
        weq wfun dffrege115 frege68c wcel sbcbr2g csbvarg breq2i sbceq2g eqeq2i
        csb sbcg albii syl6ib ) EHZGHZAIZUODHZAIZDGUAZJZDKZJZEKZGKALLUBZMZVEUOC
        AIZUSURCNZJZDKZJZEKZJADEGUCVFVEVDGCOZVLVDVEGCBFUDVMVCGCOZEKVLVCEGCPVNVK
        EVNUQGCOZVBGCOZJZVKCBUEZVNVQMFUQVBGCBQRVOVGVPVJVOUOGCUPUKZAIZVGVRVOVTMF
        GCUOUPABUFRVSCUOAVRVSCNFGCBUGRZUHSVPVAGCOZDKVJVADGCPWBVIDWBUSGCOZUTGCOZ
        JZVIVRWBWEMFUSUTGCBQRWCUSWDVHVRWCUSMFUSGCBULRWDURVSNZVHVRWDWFMFGCURUPBU
        IRVSCURWAUJSTSUMSTSUMSUNR $.
    $}

    ${
      $d a b R $.  $d a b X $.
      $( Lemma for ~ frege118 .  Proposition 117 of [Frege1879] p. 78.
         (Contributed by RP, 8-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege117 $p |- ( ( A. b ( b R X -> A. a ( b R a -> a = X ) )
                         -> ( Y R X -> A. a ( Y R a -> a = X ) ) )
                       -> ( Fun `' `' R
                            -> ( Y R X -> A. a ( Y R a -> a = X ) ) ) ) $=
        ( ccnv wfun cv wbr wceq wi wal frege116 frege9 ax-mp ) AHHIZFJZCAKSEJZA
        KTCLZMENMFNZMUBDCAKDTAKUAMENMZMRUCMMABCEFGORUBUCPQ $.
    $}

    frege118.y $e |- Y e. V $.
    ${
      $d a b R $.  $d a b X $.  $d a Y $.
      $( Simplified application of one direction of ~ dffrege115 .  Proposition
         118 of [Frege1879] p. 78.  (Contributed by RP, 8-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege118 $p |- ( Fun `' `' R -> ( Y R X -> A. a ( Y R a -> a = X ) ) ) $=
        ( vb cv wbr wceq wi wal ccnv wsbc wb sbcimg ax-mp bitri sbcbr1g csbvarg
        wfun frege58c wcel csb breq1i sbcal sbcg imbi12i albii sylib frege117 )
        IJZDAKZUNFJZAKZUPDLZMZFNZMZINZEDAKZEUPAKZURMZFNZMZMAOOUCVGMVBVAIEPZVGVA
        IECHUDVHUOIEPZUTIEPZMZVGECUEZVHVKQHUOUTIECRSVIVCVJVFVIIEUNUFZDAKZVCVLVI
        VNQHIEUNDACUASVMEDAVLVMELHIECUBSZUGTVJUSIEPZFNVFUSFIEUHVPVEFVPUQIEPZURI
        EPZMZVEVLVPVSQHUQURIECRSVQVDVRURVQVMUPAKZVDVLVQVTQHIEUNUPACUASVMEUPAVOU
        GTVLVRURQHURIECUISUJTUKTUJTULABDEFIGUMS $.
    $}

    ${
      $d a R $.  $d a X $.  $d a Y $.
      $( Lemma for ~ frege120 .  Proposition 119 of [Frege1879] p. 78.
         (Contributed by RP, 8-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege119 $p |- ( ( A. a ( Y R a -> a = X ) -> ( Y R A -> A = X ) )
                       -> ( Fun `' `' R
                            -> ( Y R X -> ( Y R A -> A = X ) ) ) ) $=
        ( ccnv wfun wbr cv wceq wi wal frege118 frege19 ax-mp ) BJJKZFEBLZFGMZB
        LUBENOGPZOOUCFABLAENOZOTUAUDOOOBCDEFGHIQTUAUCUDRS $.
    $}

    frege120.a $e |- A e. W $.
    ${
      $d a R $.  $d a X $.  $d a Y $.
      $( Simplified application of one direction of ~ dffrege115 .  Proposition
         120 of [Frege1879] p. 78.  (Contributed by RP, 8-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege120 $p |- ( Fun `' `' R -> ( Y R X -> ( Y R A -> A = X ) ) ) $=
        ( va cv wbr wceq wi ccnv wsbc wb ax-mp bitri wal wfun frege58c csb wcel
        sbcim1 sbcbr2g csbvarg breq2i sbceq1g eqeq1i 3imtr3g syl frege119 ) GKL
        ZBMZUOFNZOZKUAZGABMZAFNZOZOBPPUBGFBMVBOOUSURKAQZVBURKAEJUCVCUPKAQZUQKAQ
        ZUTVAUPUQKAUFVDGKAUOUDZBMZUTAEUEZVDVGRJKAGUOBEUGSVFAGBVHVFANJKAEUHSZUIT
        VEVFFNZVAVHVEVJRJKAUOFEUJSVFAFVIUKTULUMABCDFGKHIUNS $.
    $}

    $( Lemma for ~ frege122 .  Proposition 121 of [Frege1879] p. 79.
       (Contributed by RP, 8-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege121 $p |- ( ( A = X -> X ( ( t+ ` R ) u. _I ) A )
                   -> ( Fun `' `' R -> ( Y R X
                        -> ( Y R A -> X ( ( t+ ` R ) u. _I ) A ) ) ) ) $=
      ( ccnv wfun wbr wceq wi ctcl cfv cid cun frege120 frege20 ax-mp ) BKKLZGF
      BMZGABMZAFNZOOOUFFABPQRSMZOUCUDUEUGOOOOABCDEFGHIJTUCUDUEUFUGUAUB $.

    $( If ` X ` is a result of an application of the single-valued procedure
       ` R ` to ` Y ` , then every result of an application of the procedure
       ` R ` to ` Y ` belongs to the ` R ` -sequence beginning with ` X ` .
       Proposition 122 of [Frege1879] p. 79.  (Contributed by RP, 8-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege122 $p |- ( Fun `' `' R
                     -> ( Y R X -> ( Y R A -> X ( ( t+ ` R ) u. _I ) A ) ) ) $=
      ( wceq ctcl cfv cid cun wbr wi ccnv wfun frege112 frege121 ax-mp ) AFKFAB
      LMNOPZQBRRSGFBPGABPUCQQQBEFAJTABCDEFGHIJUAUB $.
  $}

  ${
    frege123.x $e |- X e. U $.
    frege123.y $e |- Y e. V $.
    ${
      $d a R $.  $d a X $.  $d a Y $.
      $( Lemma for ~ frege124 .  Proposition 123 of [Frege1879] p. 79.
         (Contributed by RP, 8-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege123 $p |- ( ( A. a ( Y R a -> X ( ( t+ ` R ) u. _I ) a )
                       -> ( Y ( t+ ` R ) M -> X ( ( t+ ` R ) u. _I ) M ) )
                     -> ( Fun `' `' R
                          -> ( Y R X
                               -> ( Y ( t+ ` R ) M
                                    -> X ( ( t+ ` R ) u. _I ) M ) ) ) ) $=
        ( ccnv wfun wbr cv ctcl cfv cid cun wi wal cvv frege122 alrimdv frege19
        vex ax-mp ) AJJKZFEALZFGMZALEUHANOZPQZLRZGSZRRULFCUILECUJLRZRUFUGUMRRRU
        FUGUKGUHABDTEFHIGUDUAUBUFUGULUMUCUE $.
    $}

    frege124.m $e |- M e. W $.
    frege124.r $e |- R e. S $.
    ${
      $d a R $.  $d a X $.  $d a Y $.
      $( If ` X ` is a result of an application of the single-valued procedure
         ` R ` to ` Y ` and if ` M ` follows ` Y ` in the ` R ` -sequence, then
         ` M ` belongs to the ` R ` -sequence beginning with ` X ` .
         Proposition 124 of [Frege1879] p. 80.  (Contributed by RP,
         8-Jul-2020.)  (Proof modification is discouraged.) $)
      frege124 $p |- ( Fun `' `' R
                     -> ( Y R X
                          -> ( Y ( t+ ` R ) M
                               -> X ( ( t+ ` R ) u. _I ) M ) ) ) $=
        ( va cv wbr ctcl cfv cid wi ccnv cun wal wfun frege110 frege123 ax-mp )
        HMNZAOGUGAPQZRUAZOSMUBHDUHOGDUIOSZSATTUCHGAOUJSSCEFBADGHMIJKLUDACDEGHMI
        JUEUF $.
    $}

    $( Lemma for ~ frege126 .  Proposition 125 of [Frege1879] p. 81.
       (Contributed by RP, 9-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege125 $p |- ( ( X ( ( t+ ` R ) u. _I ) M
                         -> ( -. X ( t+ ` R ) M -> M ( ( t+ ` R ) u. _I ) X ) )
                       -> ( Fun `' `' R
                            -> ( Y R X
                                 -> ( Y ( t+ ` R ) M
                                      -> ( -. X ( t+ ` R ) M
                                           -> M ( ( t+ ` R ) u. _I ) X ) ) )
                          ) ) $=
      ( ccnv wfun wbr ctcl cfv cid cun wi wn frege124 frege20 ax-mp ) AMMNZHGAO
      ZHDAPQZOZGDUGRSZOZTTTUJGDUGOUADGUIOTZTUEUFUHUKTTTTABCDEFGHIJKLUBUEUFUHUJU
      KUCUD $.

    $( If ` M ` follows ` Y ` in the ` R ` -sequence and if the procedure ` R `
       is single-valued, then every result of an application of the procedure
       ` R ` to ` Y ` belongs to the ` R ` -sequence beginning with ` M ` or
       precedes ` M ` in the ` R ` -sequence.  Proposition 126 of [Frege1879]
       p. 81.  (Contributed by RP, 9-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege126 $p |- ( Fun `' `' R
                       -> ( Y R X
                            -> ( Y ( t+ ` R ) M
                                 -> ( -. X ( t+ ` R ) M
                                      -> M ( ( t+ ` R ) u. _I ) X ) ) ) ) $=
      ( ctcl cfv cid cun wbr wn wi ccnv wfun frege114 frege125 ax-mp ) GDAMNZOP
      ZQGDUEQRDGUFQSZSATTUAHGAQHDUEQUGSSSAFCDGKIUBABCDEFGHIJKLUCUD $.

    $( Communte antecedents of ~ frege126 .  Proposition 127 of [Frege1879]
       p. 82.  (Contributed by RP, 9-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege127 $p |- ( Fun `' `' R
                       -> ( Y ( t+ ` R ) M
                            -> ( Y R X
                                 -> ( -. X ( t+ ` R ) M
                                      -> M ( ( t+ ` R ) u. _I ) X ) ) ) ) $=
      ( ccnv wfun wbr ctcl cfv wn cid wi cun frege126 frege12 ax-mp ) AMMNZHGAO
      ZHDAPQZOZGDUGORDGUGSUAOTZTTTUEUHUFUITTTABCDEFGHIJKLUBUEUFUHUIUCUD $.

    $( Lemma for ~ frege129 .  Proposition 128 of [Frege1879] p. 83.
       (Contributed by RP, 9-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege128 $p |- ( ( M ( ( t+ ` R ) u. _I ) Y
                         -> ( Y R X
                              -> ( -. X ( t+ ` R ) M
                                   -> M ( ( t+ ` R ) u. _I ) X ) ) )
                       -> ( Fun `' `' R
                            -> ( ( -. Y ( t+ ` R ) M
                                   -> M ( ( t+ ` R ) u. _I ) Y )
                                 -> ( Y R X
                                      -> ( -. X ( t+ ` R ) M
                                           -> M ( ( t+ ` R ) u. _I ) X ) ) ) )
                     ) $=
      ( ccnv wfun ctcl cfv wbr wn cid wi cun frege127 frege51 ax-mp ) AMMNZHDAO
      PZQZHGAQGDUFQRDGUFSUAZQTTZTTDHUHQZUITUEUGRUJTUITTTABCDEFGHIJKLUBUEUGUIUJU
      CUD $.

    $( If the procedure ` R ` is single-valued and ` Y ` belongs to the ` R `
       -sequence begining with ` M ` or precedes ` M ` in the ` R ` -sequence,
       then every result of an application of the procedure ` R ` to ` Y `
       belongs to the ` R ` -sequence begining with ` M ` or precedes ` M ` in
       the ` R ` -sequence.  Proposition 129 of [Frege1879] p. 83.
       (Contributed by RP, 9-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege129 $p |- ( Fun `' `' R
                       -> ( ( -. Y ( t+ ` R ) M
                              -> M ( ( t+ ` R ) u. _I ) Y )
                            -> ( Y R X
                                 -> ( -. X ( t+ ` R ) M
                                      -> M ( ( t+ ` R ) u. _I ) X ) ) ) ) $=
      ( ctcl cfv cid cun wbr wn wi ccnv wfun frege111 frege128 ax-mp ) DHAMNZOP
      ZQZHGAQGDUEQRDGUFQSSZSATTUAHDUEQRUGSUHSSFECBAGHDKJILUBABCDEFGHIJKLUCUD $.
  $}

  ${
    frege130.m $e |- M e. U $.
    frege130.r $e |- R e. V $.
    ${
      $d a M $.  $d a b R $.
      $( Lemma for ~ frege131 .  Proposition 130 of [Frege1879] p. 84.
         (Contributed by RP, 9-Jul-2020.)
         (Proof modification is discouraged.) $)
      frege130 $p |- (
        ( A. b ( ( -. b ( t+ ` R ) M -> M ( ( t+ ` R ) u. _I ) b )
                 -> A. a ( b R a
                           -> ( -. a ( t+ ` R ) M -> M ( ( t+ ` R ) u. _I ) a )
         ) )
         -> R hereditary ( ( `' ( t+ ` R ) " { M } )
                                     u. ( ( ( t+ ` R ) u. _I ) " { M } ) ) )
        -> ( Fun `' `' R
             -> R hereditary ( ( `' ( t+ ` R ) " { M } )
                                     u. ( ( ( t+ ` R ) u. _I ) " { M } ) ) )
       ) $=
        ( ccnv wfun cv ctcl wbr wn cun wi wal cima cvv vex cfv cid csn frege129
        whe alrimdv alrimiv frege9 ax-mp ) AIIJZFKZCALUAZMNCUKULUBOZMPZUKEKZAMU
        OCULMNCUOUMMPPZEQPZFQZPURULICUCZRUMUSROAUEZPUJUTPPUJUQFUJUNUPEADSCSBUOU
        KETFTGHUDUFUGUJURUTUHUI $.
    $}

    ${
      $d a b M $.  $d a b R $.
      $( If the procedure ` R ` is single-valued, then the property of
         belonging to the ` R ` -sequence begining with ` M ` or preceeding
         ` M ` in the ` R ` -sequence is hereditary in the ` R ` -sequence.
         Proposition 131 of [Frege1879] p. 85.  (Contributed by RP,
         9-Jul-2020.)  (Proof modification is discouraged.) $)
      frege131 $p |- ( Fun `' `' R
                       -> R hereditary ( ( `' ( t+ ` R ) " { M } )
                                     u. ( ( ( t+ ` R ) u. _I ) " { M } ) ) ) $=
        ( vb va cv ccnv cima cun wcel wbr wi wal wn elimasn df-br imbi12i df-or
        ctcl cfv csn cid whe wfun frege75 wo cop elexi vex brcnv 3bitr2i notbii
        elun bitr4i 3bitri imbi2i albii imbi1i frege130 sylbi ax-mp ) GIZAUBUCZ
        JZCUDZKZVFUELZVHKZLZMZVEHIZANZVNVLMZOZHPZOZGPZVLAUFZOZAJJUGWAOZGHVLAUHW
        BVECVFNZQZCVEVJNZOZVOVNCVFNZQZCVNVJNZOZOZHPZOZGPZWAOWCVTWOWAVSWNGVMWGVR
        WMVMVEVIMZVEVKMZUIWPQZWQOWGVEVIVKUPWPWQUAWRWEWQWFWPWDWPCVEUJZVGMCVEVGNW
        DVGCVECBEUKZGULZRCVEVGSCVEVFWTXAUMUNUOWQWSVJMWFVJCVEWTXARCVEVJSUQTURVQW
        LHVPWKVOVPVNVIMZVNVKMZUIXBQZXCOWKVNVIVKUPXBXCUAXDWIXCWJXBWHXBCVNUJZVGMC
        VNVGNWHVGCVNWTHULZRCVNVGSCVNVFWTXFUMUNUOXCXEVJMWJVJCVNWTXFRCVNVJSUQTURU
        SUTTUTVAABCDHGEFVBVCVD $.
    $}

    $( Lemma for ~ frege133 .  Proposition 132 of [Frege1879] p. 86.
       (Contributed by RP, 9-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege132 $p |- (
       ( R hereditary ( ( `' ( t+ ` R ) " { M } )
                                     u. ( ( ( t+ ` R ) u. _I ) " { M } ) )
                          -> ( X ( t+ ` R ) M
                               -> ( X ( t+ ` R ) Y
                                    -> ( -. Y ( t+ ` R ) M
                                         -> M ( ( t+ ` R ) u. _I ) Y ) ) ) )
       -> ( Fun `' `' R
                          -> ( X ( t+ ` R ) M
                               -> ( X ( t+ ` R ) Y
                                    -> ( -. Y ( t+ ` R ) M
                                         -> M ( ( t+ ` R ) u. _I ) Y ) ) ) )
      ) $=
      ( ccnv wfun ctcl cfv csn cima cid cun whe wi wbr wn frege131 frege9 ax-mp
      ) AIIJZAKLZICMZNUEOPZUFNPAQZRUHECUESEFUESFCUESTCFUGSRRRZRUDUIRRABCDGHUAUD
      UHUIUBUC $.
  $}

  ${
    frege133.x $e |- X e. U $.
    frege133.y $e |- Y e. V $.
    frege133.m $e |- M e. W $.
    frege133.r $e |- R e. S $.
    $( If the procedure ` R ` is single-valued and if ` M ` and ` Y ` follow
       ` X ` in the ` R ` -sequence, then ` Y ` belongs to the ` R ` -sequence
       beginning with ` M ` or precedes ` M ` in the ` R ` -sequence.
       Proposition 133 of [Frege1879] p. 86.  (Contributed by RP, 9-Jul-2020.)
       (Proof modification is discouraged.) $)
    frege133 $p |- ( Fun `' `' R
                          -> ( X ( t+ ` R ) M
                               -> ( X ( t+ ` R ) Y
                                    -> ( -. Y ( t+ ` R ) M
                                         -> M ( ( t+ ` R ) u. _I ) Y ) ) ) ) $=
      ( ccnv cima cid cun wcel wbr wi cvv ctcl cfv csn whe wfun wn cnvex imaexg
      fvex ax-mp imaundir imai snex eqeltri frege83 elexi elimasn df-br 3bitr2i
      unex cop brcnv wo elun df-or notbii bitr4i imbi12i 3bitri imbi2i frege132
      sylbi ) AUAUBZMZDUCZNZVMOPZVONZPZAUDZGVPQZGHVMRZHVSQZSZSZSZAMMUEGDVMRZWBH
      DVMRZUFZDHVQRZSZSZSZSZVPVRACEBTTGHIJLVNTQVPTQVMAUAUIZUGVNVOTUHUJVRVMVONZO
      VONZPTVMOVOUKWPWQVMTQWPTQWOVMVOTUHUJWQVOTVOULDUMUNUTUNUOWFVTWMSWNWEWMVTWA
      WGWDWLWADGVAVNQDGVNRWGVNDGDFKUPZGCIUPZUQDGVNURDGVMWRWSVBUSWCWKWBWCHVPQZHV
      RQZVCWTUFZXASWKHVPVRVDWTXAVEXBWIXAWJWTWHWTDHVAZVNQDHVNRWHVNDHWRHEJUPZUQDH
      VNURDHVMWRXDVBUSVFXAXCVQQWJVQDHWRXDUQDHVQURVGVHVIVJVHVJAFDBGHKLVKVLUJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Exploring Topology via Seifert and Threlfall
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  See Seifert and Threlfall: A Textbook Of Topology (1980) which is an English
  translation of Lehrbuch der Topologie (1934).

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Equinumerosity of sets of relations and maps
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Because ` ( ( 2o ^m B ) ^m A ) ~~ ( 2o ^m ( A X. B ) ) ~~ `
  ` ( ( 2o ^m A ) ^m B ) ` is an instance of the law of exponents:
  ` ( ( C ^m B ) ^m A ) ~~ ( C ^m ( A X. B ) ) ~~ ( ( C ^m A ) ^m B ) `
  we are led to see that ` ( ~P B ^m A ) ~~ ~P ( A X. B ) ~~ ( ~P A ^m B ) `
  is true for any two sets, ` A ` and ` B ` , and thus there exist one-to-one
  onto relations between each of these three sets of relations.

$)

  $( The set of all possible relations between two sets is equinumerous to the
     set of all mappings from one set to the powerset of the other.  See
     ~ rfovf1od for a demonstration of a natural one-to-one onto mapping.
     (Contributed by RP, 27-Apr-2021.) $)
  enrelmap $p |- ( ( A e. V /\ B e. W ) -> ~P ( A X. B ) ~~ ( ~P B ^m A ) ) $=
    ( wcel wa cxp cpw c2o cmap co cen wbr xpcomeng syl pw2eng entr syl2anc con0
    cvv pwen xpexg ancoms enrefg mapen syl2anr 2on simpr mapxpen mp3an2i ensymd
    simpl ) ACEZBDEZFZABGZHZIBAGZJKZLMZUSBHZAJKZLMUQVBLMUOUQURHZLMZVCUSLMZUTUOU
    PURLMVDABCDNUPURUAOUOURTEZVEUNUMVFBADCUBUCURTPOUQVCUSQRUOVBUSUOVBIBJKZAJKZL
    MZVHUSLMZVBUSLMUNVAVGLMAALMVIUMBDPACUDVAVGAAUEUFISEUOUNUMVJUGUMUNUHUMUNULIB
    ASDCUIUJVBVHUSQRUKUQUSVBQR $.

  $( The set of all possible relations between two sets is equinumerous to the
     set of all mappings from one set to the powerset of the other.
     (Contributed by RP, 27-Apr-2021.) $)
  enrelmapr $p |- ( ( A e. V /\ B e. W ) -> ~P ( A X. B ) ~~ ( ~P A ^m B ) ) $=
    ( wcel wa cxp cpw cen wbr cmap co xpcomeng pwen syl enrelmap ancoms syl2anc
    entr ) ACEZBDEZFZABGZHZBAGZHZIJZUFAHBKLZIJZUDUHIJUBUCUEIJUGABCDMUCUENOUATUI
    BADCPQUDUFUHSR $.

  $( The set of all mappings from one set to the powerset of the other is
     equinumerous to the set of all mappings from the second set to the
     powerset of the first.  (Contributed by RP, 27-Apr-2021.) $)
  enmappw $p |- ( ( A e. V /\ B e. W ) -> ( ~P B ^m A ) ~~ ( ~P A ^m B ) ) $=
    ( wcel wa cpw cmap co cxp cen wbr enrelmap ensymd enrelmapr entr syl2anc )
    ACEBDEFZBGAHIZABJGZKLTAGBHIZKLSUAKLRTSABCDMNABCDOSTUAPQ $.

  $( The set of all mappings from the powerset to the powerset is equinumerous
     to the set of all mappings from the set to the powerset of the powerset.
     (Contributed by RP, 27-Apr-2021.) $)
  enmappwid $p |- ( A e. V -> ( ~P A ^m ~P A ) ~~ ( ~P ~P A ^m A ) ) $=
    ( cpw cvv wcel cmap co cen wbr pwexg enmappw mpancom ) ACZDEABEMMFGMCAFGHIA
    BJMADBKL $.

  ${
    $( The operator which gives a 1-to-1 mapping between relations
       and functions to subsets. $)
    rfovd.rf $e |- O = ( a e. _V , b e. _V |->
                         ( r e. ~P ( a X. b ) |->
                           ( x e. a |-> { y e. b | x r y } ) ) ) $.
    rfovd.a $e |- ( ph -> A e. V ) $.
    rfovd.b $e |- ( ph -> B e. W ) $.
    ${
      $d A a b r $.  $d A a b x $.  $d B a b r $.  $d B a b x $.  $d B a b y $.
      $d ph a b $.

      $( Value of the operator, ` ( A O B ) ` , which maps between relations
         and functions for relations between base sets, ` A ` and ` B ` .
         (Contributed by RP, 25-Apr-2021.) $)
      rfovd $p |- ( ph -> ( A O B ) = ( r e. ~P ( A X. B ) |->
                           ( x e. A |-> { y e. B | x r y } ) ) ) $=
        ( cvv cv cxp cmpt wceq wcel cpw wbr crab cmpo a1i wa xpeq12 pweqd simpl
        rabeq adantl mpteq12dv elexd xpexd pwexg mptexg 3syl ovmpod ) AJKDEOOIJ
        PZKPZQZUAZBUSBPCPIPUBZCUTUCZRZRZIDEQZUAZBDVCCEUCZRZRZFOFJKOOVFUDSALUEUS
        DSZUTESZUFZVFVKSAVNIVBVEVHVJVNVAVGUSDUTEUGUHVNBUSVDDVIVLVMUIVMVDVISVLVC
        CUTEUJUKULULUKADGMUMAEHNUMAVGOTVHOTVKOTADEGHMNUNVGOUOIVHVJOUPUQUR $.
    $}

    ${
      rfovfvd.r $e |- ( ph -> R e. ~P ( A X. B ) ) $.
      rfovfvd.f $e |- F = ( A O B ) $.
      ${
        $d A a b r x $.  $d B a b r x $.  $d B a b r y $.  $d R r x $.
        $d R r y $.  $d ph a b r $.

        $( Value of the operator, ` ( A O B ) ` , which maps between relations
           and functions for relations between base sets, ` A ` and ` B ` , and
           relation ` R ` .  (Contributed by RP, 25-Apr-2021.) $)
        rfovfvd $p |- ( ph -> ( F ` R ) = ( x e. A |->
                                            { y e. B | x R y } ) ) $=
          ( cv cmpt wbr crab cxp cpw co rfovd syl5eq wceq breq rabbidv mpteq2dv
          cvv adantl mptexd fvmptd ) AKFBDBSZCSZKSZUAZCEUBZTZBDUPUQFUAZCEUBZTZD
          EUCUDZGULAGDEHUEKVEVATRABCDEHIJKLMNOPUFUGURFUHZVAVDUHAVFBDUTVCVFUSVBC
          EUPUQURFUIUJUKUMQABDVCIOUNUO $.
      $}

      ${
        rfovfvfvd.x $e |- ( ph -> X e. A ) $.
        rfovfvfvd.g $e |- G = ( F ` R ) $.
        ${
          $d A a b r x $.  $d B a b r x y $.  $d R r x y $.  $d X x y $.
          $d ph a b r x $.

          $( Value of the operator, ` ( A O B ) ` , which maps between
             relations and functions for relations between base sets, ` A ` and
             ` B ` , relation ` R ` , and left element ` X ` .  (Contributed by
             RP, 25-Apr-2021.) $)
          rfovfvfvd $p |- ( ph -> ( G ` X ) = { y e. B | X R y } ) $=
            ( cv wbr crab cvv cfv cmpt rfovfvd syl5eq wceq breq1 rabbidv adantl
            wcel rabexg syl fvmptd ) ABLBUCZCUCZFUDZCEUEZLUTFUDZCEUEZDHUFAHFGUG
            BDVBUHUBABCDEFGIJKMNOPQRSTUIUJUSLUKZVBVDUKAVEVAVCCEUSLUTFULUMUNUAAE
            KUOVDUFUORVCCEKUPUQUR $.
        $}
      $}
    $}

    ${
      rfovcnvf1od.f $e |- F = ( A O B ) $.
      ${
        $d A a b f r u x y $.  $d A b f r u v x y $.  $d B a b f r u x y $.
        $d B b f r u v x y $.  $d W a u x $.  $d W v x $.
        $d ph a b f r u x y $.

        $( Properties of the operator, ` ( A O B ) ` , which maps between
           relations and functions for relations between base sets, ` A ` and
           ` B ` .  (Contributed by RP, 27-Apr-2021.) $)
        rfovcnvf1od $p |- ( ph -> ( F : ~P ( A X. B ) -1-1-onto-> ( ~P B ^m A )
                             /\ `' F = ( f e. ( ~P B ^m A ) |->
                                         { <. x , y >. |
                                           ( x e. A
                                             /\ y e. ( f ` x ) ) } ) ) ) $=
          ( wcel wa cvv vu vv cxp cpw cmap co wf1o ccnv cfv copab cmpt wceq wbr
          cv crab eqid wss ssrab2 a1i sselpwd adantr fmpttd pwexd elmapd mpbird
          wf xpexd wtru wi biimpa ffvelrnda elpwi syl6 imdistand trud ssopab2dv
          ex sseld jca2 opabssxp sstrdi wfn simplrr elmapfn syl ad2antrr rabexg
          wral ralrimivw nfcv fnmptf cin dfin5 simpllr elmapi simpl2im ffvelrnd
          3syl simpr elpwid sseqin2 sylib ibar rabbidv adantl 3eqtr3a cop breq2
          cbvrabv breq1 df-br bitrdi syl5eq cbvmptv opeq1d eleq12d simpl eleq1d
          weq fveq2d anbi12d opelopaba ad3antrrr fvmptd2 eqtr4d eqfnfvd simplrl
          vex wrel xpss df-rel sylibr relopabv simplr eqtrdi cdm syl5 pm4.71rd
          wb crn anim12i anim1i elrab anbi2i fvmptd eleq2d pm5.32da opeldm dmss
          dmxpss opelrn rnxpss bitrd 3bitr4d bitr2id eqrelrdv2 syl21anc impbida
          rnss anbi2d f1ocnv2d rfovd f1oeq1 cnveq eqeq1d ) ADEUCZUDZEUDZDUEUFZG
          UGZGUHZFUVIBUNZDRZCUNZUVLFUNZUIZRZSZBCUJZUKZULZSZUVGUVIKUVGBDUVLUVNKU
          NZUMZCEUOZUKZUKZUGZUWGUHZUVTULZSZAKFUVGUVIUWFUVSUWGUWGUPAUWFUVIRZUWCU
          VGRZAUWLDUVHUWFVFABDUWEUVHAUWEUVHRUVMAUWEEJPUWEEUQAUWDCEURUSUTVAVBAUV
          HDUWFTIAEJPVCZOVDVEVAAUVOUVIRZSZUVSUVFTAUVFTRUWOADEIJOPVGVAUWPUVSUVMU
          VNERZSZVHSZBCUJUVFUWPUVRUWSBCUWPUVRUWRVHUWPUVMUVQUWQUWPUVMUVPUVHRZUVQ
          UWQVIUWPUVMUWTUWPDUVHUVLUVOAUWODUVHUVOVFZAUVHDUVOTIUWNOVDVJVKVQUWTUVP
          EUVNUVPEVLVRVMVNUVRVOVSVPVHBCDEVTWAUTAUWMUWOSZSZUWCUVSULZUVOUWFULZUXC
          UXDSZUADUVOUWFUXFUWOUVODWBAUWMUWOUXDWCUVOUVHDWDWEUXFEJRZUWETRZBDWHUWF
          DWBAUXGUXBUXDPWFUXGUXHBDUWDCEJWGWIBDUWETBDWJWKWRUXFUAUNZDRZSZUXIUVOUI
          ZUXJMUNZUXLRZSZMEUOZUXIUWFUIUXKEUXLWLZUXNMEUOZUXLUXPMEUXLWMUXKUXLEUQU
          XQUXLULUXKUXLEUXKDUVHUXIUVOUXKUWMUWOUXAAUXBUXDUXJWNUVOUVHDWOWPUXFUXJW
          SZWQWTUXLEXAXBUXJUXRUXPULUXFUXJUXNUXOMEUXJUXNXCXDXEXFUXKLUXILUNZUXMXG
          ZUWCRZMEUOZUXPDUWFTBLDUWEUYCBLXSZUWEUVLUXMUWCUMZMEUOUYCUWDUYECMEUVNUX
          MUVLUWCXHXIUYDUYEUYBMEUYDUYEUXTUXMUWCUMZUYBUVLUXTUXMUWCXJUXTUXMUWCXKX
          LXDXMXNUXKLUAXSZSZUYBUXOMEUYHUYBUXIUXMXGZUVSRUXOUYHUYAUYIUWCUVSUYHUXT
          UXIUXMUXKUYGWSXOUXCUXDUXJUYGWNXPUVRUXOBCUXIUXMUAYHZMYHBUAXSZCMXSZSZUV
          MUXJUVQUXNUYMUVLUXIDUYKUYLXQZXRUYMUVNUXMUVPUXLUYKUYLWSUYMUVLUXIUVOUYN
          XTXPYAYBXLXDUXSUXKUXGUXPTRAUXGUXBUXDUXJPYCUXOMEJWGWEYDYEYFUXCUXESZUWC
          YIZUVSYIZUXGUWMSZUXESZUXDUYOUWCTTUCZUQUYPUYOUWCUVFUYTUYOUWCUVFAUWMUWO
          UXEYGWTDEYJWAUWCYKYLUYQUYOUVRBCYMUSUXCUYRUXEAUXGUXBUWMPUWMUWOXQUUAUUB
          UYSUAUBUWCUVSUXIUBUNZXGZUVSRUXJVUAUXLRZSZUYSVUBUWCRZUVRVUDBCUXIVUAUYJ
          UBYHZUYKCUBXSZSZUVMUXJUVQVUCVUHUVLUXIDUYKVUGXQZXRVUHUVNVUAUVPUXLUYKVU
          GWSVUHUVLUXIUVOVUIXTXPYAYBUYSUXJVUAUXIUXMUWCUMZMEUOZRZSZUXJVUAERZVUES
          ZSZVUDVUEVUMVUPYSUYSVULVUOUXJVUJVUEMVUAEMUBXSVUJUXIVUAUWCUMVUEUXMVUAU
          XIUWCXHUXIVUAUWCXKXLUUCUUDUSUYSUXJVUCVULUYSUXJSZUXLVUKVUAVUQLUXIUYFME
          UOZVUKDUVOTVUQUVOUWFLDVURUKUYRUXEUXJYNBLDUWEVURUYDUWEUXTUVNUWCUMZCEUO
          VURUYDUWDVUSCEUVLUXTUVNUWCXJXDVUSUYFCMEUVNUXMUXTUWCXHXIYOXNYOUYGVURVU
          KULVUQUYGUYFVUJMEUXTUXIUXMUWCXJXDXEUYSUXJWSUXGVUKTRUWMUXEUXJVUJMEJWGY
          CUUEUUFUUGUYSUWCUVFUQZVUEVUPYSUYSUWCUVFUXGUWMUXEYNWTVUTVUEUXJVUESVUPV
          UTVUEUXJVUEUXIUWCYPZRVUTUXJUXIVUAUWCUYJVUFUUHVUTVVADUXIVUTVVAUVFYPDUW
          CUVFUUIDEUUJWAVRYQYRVUTVUEVUOUXJVUTVUEVUNVUEVUAUWCYTZRVUTVUNUXIVUAUWC
          UYJVUFUUKVUTVVBEVUAVUTVVBUVFYTEUWCUVFUUSDEUULWAVRYQYRUUTUUMWEUUNUUOUU
          PUUQUURUVAAGUWGULZUWBUWKYSAGDEHUFUWGQABCDEHIJKLMNOPUVBXMVVCUVJUWHUWAU
          WJUVGUVIGUWGUVCVVCUVKUWIUVTGUWGUVDUVEYAWEVE $.
      $}

      ${
        $d A a b f r x y $.  $d B a b f r x y $.  $d W a x $.
        $d ph a b f r x y $.

        $( Value of the converse of the operator, ` ( A O B ) ` , which maps
           between relations and functions for relations between base sets,
           ` A ` and ` B ` .  (Contributed by RP, 27-Apr-2021.) $)
        rfovcnvd $p |- ( ph -> `' F =
                   ( f e. ( ~P B ^m A ) |->
                   { <. x , y >. | ( x e. A /\ y e. ( f ` x ) ) } ) ) $=
          ( cpw cv wcel cxp cmap co wf1o ccnv cfv copab cmpt rfovcnvf1od simprd
          wa wceq ) ADEUARERDUBUCZGUDGUEFUMBSZDTCSUNFSUFTUKBCUGUHULABCDEFGHIJKL
          MNOPQUIUJ $.

        $( The value of the operator, ` ( A O B ) ` , which maps between
           relations and functions for relations between base sets, ` A ` and
           ` B ` , is a bijection.  (Contributed by RP, 27-Apr-2021.) $)
        rfovf1od $p |- ( ph -> F : ~P ( A X. B ) -1-1-onto-> ( ~P B ^m A ) ) $=
          ( vf cpw cv wcel cxp cmap co wf1o ccnv wa copab cmpt wceq rfovcnvf1od
          cfv simpld ) ADEUARERDUBUCZFUDFUEQUMBSZDTCSUNQSUKTUFBCUGUHUIABCDEQFGH
          IJKLMNOPUJUL $.
      $}

      ${
        $d A a b g r x y $.  $d B a b g r x y $.  $d G g x y $.  $d W a x $.
        $d ph a b g r x y $.
        rfovcnvfv.g $e |- ( ph -> G e. ( ~P B ^m A ) ) $.
        $( Value of the converse of the operator, ` ( A O B ) ` , which maps
           between relations and functions for relations between base sets,
           ` A ` and ` B ` , evaluated at function ` G ` .  (Contributed by RP,
           27-Apr-2021.) $)
        rfovcnvfvd $p |- ( ph -> ( `' F ` G )
                                 = { <. x , y >. |
                                     ( x e. A /\ y e. ( G ` x ) ) } ) $=
          ( vg wcel cv cfv wa copab cpw cmap co ccnv rfovcnvd wceq fveq1 eleq2d
          cvv anbi2d opabbidv adantl simprl elmapi ffvelrnda sylan elpwid sseld
          impr opabex2 fvmptd ) ASGBUAZDTZCUAZVFSUAZUBZTZUCZBCUDZVGVHVFGUBZTZUC
          ZBCUDZEUEZDUFUGZFUHUMABCDESFHIJKLMNOPQUIVIGUJZVMVQUJAVTVLVPBCVTVKVOVG
          VTVJVNVHVFVIGUKULUNUOUPRAVPBCDEIJOPAVGVOUQAVGVOVHETAVGUCZVNEVHWAVNEAG
          VSTZVGVNVRTRWBDVRVFGGVRDURUSUTVAVBVCVDVE $.
      $}
    $}
  $}

  ${
    $( The operator which gives a 1-to-1 a mapping to a subset and
       a reverse mapping from elements. $)
    fsovd.fs $e |- O = ( a e. _V , b e. _V |-> ( f e. ( ~P b ^m a ) |->
                         ( y e. b |-> { x e. a | y e. ( f ` x ) } ) ) ) $.
    fsovd.a $e |- ( ph -> A e. V ) $.
    fsovd.b $e |- ( ph -> B e. W ) $.
    ${
      $d A a b f $.  $d A a b x $.  $d A a b y $.  $d B a b f $.  $d B a b y $.
      $d ph a b $.
      $( Value of the operator, ` ( A O B ) ` , which maps between maps from
         one base set to subsets of the second to maps from the second base set
         to subsets of the first for base sets, ` A ` and ` B ` .  (Contributed
         by RP, 25-Apr-2021.) $)
      fsovd $p |- ( ph -> ( A O B ) = ( f e. ( ~P B ^m A ) |->
                                     ( y e. B |->
                                      { x e. A | y e. ( f ` x ) } ) ) ) $=
        ( cvv cv cpw cmap cmpt wceq co cfv wcel crab cmpo a1i pweq adantl simpl
        wa oveq12d simpr rabeq adantr mpteq12dv elexd ovex mptex ovmpod ) AJKDE
        OOFKPZQZJPZRUAZCUTCPBPFPUBUCZBVBUDZSZSZFEQZDRUAZCEVDBDUDZSZSZGOGJKOOVGU
        ETALUFVBDTZUTETZUJZVGVLTAVOFVCVFVIVKVOVAVHVBDRVNVAVHTVMUTEUGUHVMVNUIUKV
        OCUTVEEVJVMVNULVMVEVJTVNVDBVBDUMUNUOUOUHADHMUPAEINUPVLOUCAFVIVKVHDRUQUR
        UFUS $.
    $}

    ${
      fsovd.rf $e |- R = ( a e. _V , b e. _V |->
                            ( r e. ~P ( a X. b ) |->
                              ( u e. a |-> { v e. b | u r v } ) ) ) $.
      fsovd.cnv $e |- C = ( a e. _V , b e. _V |->
                            ( s e. ~P ( a X. b ) |-> `' s ) ) $.

      $d A a b f r u v $.  $d A a b f s u v $.  $d A a b f x y $.
      $d A c d f r t u v $.  $d A c t x y $.  $d A d x $.  $d B a b f r u v $.
      $d B a b d s u v $.  $d B c t y $.  $d W a u $.  $d ph a b f r u v $.

      $( The operator which gives a 1-to-1 a mapping to a subset and a reverse
         mapping from elements can be composed from the operator which gives a
         1-to-1 mapping between relations and functions to subsets and the
         converse operator.  (Contributed by RP, 15-May-2021.) $)
      fsovrfovd $p |- ( ph -> ( A O B ) = ( ( B R A ) o. ( ( A C B ) o.
                                           `' ( A R B ) ) ) ) $=
        ( vt vc vd co cpw cmap cv wcel cfv wa copab cmpt ccom crab ccnv cxp wbr
        cvv xpexd adantr wss wb elmapi ffvelrnda elpwid sseld impancom pm5.32rd
        pm4.71d ex ancom anbi1i bitrdi opabbidv opabssxp eqsstrdi sselpwd eqidd
        adantl rfovd weq breq rabbidv mpteq2dv breq1 breq2 cbvrabv cbvmptv wceq
        eqtrdi cop df-br eleq1w anbi2d fveq2 eleq2d anbi12d opelopab bitri ibar
        vex bicomd rabbiia eqtri mpteq2i fmptco eqid rfovcnvd cmpo xpeq12 pweqd
        a1i mpteq1d elexd pwexg mptexg 3syl ovmpod cnveq cnvopab fsovd 3eqtr4rd
        coeq2d ) AGFIUFZJGUGZFUHUFZEUIZFUJZDUIZYIJUIZUKZUJZULZDEUMZUNZUOJYHCGCU
        IBUIZYLUKZUJZBFUPZUNZUNYFFGHUFZFGIUFZUQZUOZUOFGKUFAJUCYHGFURZUGZYPUDGUD
        UIZUEUIZUCUIZUSZUEFUPZUNZUUBYQYFAYLYHUJZULZYPUUGUTAUUGUTUJUUOAGFMLTSVAV
        BUUOYPUUGVCAUUOYPYKGUJZYJULZYNULZDEUMUUGUUOYOUUSDEUUOYOYJUUQULZYNULZUUS
        UUOYNYJUUTUUOYNYJUUTVDUUOYNULYJUUQUUOYJYNUUQUUOYJULZYMGYKUVBYMGUUOFYGYI
        YLYLYGFVEVFVGVHVIVKVLVJZUUTUURYNYJUUQVMVNVOVPYNDEGFVQVRWAVSAYQVTAYFOUUH
        EGYIYKOUIZUSZDFUPZUNZUNUCUUHUUNUNAEDGFIMLOPQUATSWBOUCUUHUVGUUNOUCWCZUVG
        EGYIYKUUKUSZDFUPZUNUUNUVHEGUVFUVJUVHUVEUVIDFYIYKUVDUUKWDWEWFEUDGUVJUUME
        UDWCZUVJUUIYKUUKUSZDFUPUUMUVKUVIUVLDFYIUUIYKUUKWGWEUVLUULDUEFYKUUJUUIUU
        KWHWIWLWJWLWJWLUUKYPWKZUUNUDGUUJFUJZUUIUUJYLUKZUJZULZUEFUPZUNZUUBUVMUDG
        UUMUVRUVMUULUVQUEFUVMUULUUIUUJYPUSZUVQUUIUUJUUKYPWDUVTUUIUUJWMYPUJUVQUU
        IUUJYPWNYOYJUUIYMUJZULUVQDEUUIUUJUDXCUEXCDUDWCYNUWAYJDUDYMWOWPEUEWCZYJU
        VNUWAUVPEUEFWOUWBYMUVOUUIYIUUJYLWQWRWSWTXAVOWEWFUVSUDGUUIYSUJZBFUPZUNUU
        BUDGUVRUWDUVRUVPUEFUPUWDUVQUVPUEFUVNUVPUVQUVNUVPXBXDXEUVPUWCUEBFUEBWCUV
        OYSUUIUUJYRYLWQWRWIXFXGUDCGUWDUUAUDCWCUWCYTBFUDCYSWOWEWJXFWLXHAUUFYQYFA
        JNYHFGURZUGZYOEDUMZNUIZUQZYPUUEUUCUUPUWGUWEUTAUWEUTUJZUUOAFGLMSTVAZVBUU
        OUWGUWEVCAUUOUWGUVAEDUMUWEUUOYOUVAEDUVCVPYNEDFGVQVRWAVSAEDFGJUUDILMOPQU
        ASTUUDXIXJAPQFGUTUTNPUIZQUIZURZUGZUWIUNZNUWFUWIUNZHUTHPQUTUTUWPXKWKAUBX
        NUWLFWKUWMGWKULZUWPUWQWKAUWRNUWOUWFUWIUWRUWNUWEUWLFUWMGXLXMXOWAAFLSXPAG
        MTXPAUWJUWFUTUJUWQUTUJUWKUWEUTXQNUWFUWIUTXRXSXTUWHUWGWKUWIUWGUQYPUWHUWG
        YAYOEDYBWLXHYEABCFGJKLMPQRSTYCYD $.
    $}

    ${
      fsovfvd.g $e |- G = ( A O B ) $.
      ${
        fsovfvd.f $e |- ( ph -> F e. ( ~P B ^m A ) ) $.

        ${
          $d A a b f x $.  $d A a b f y $.  $d B a b f y $.  $d F f x $.
          $d F f y $.  $d ph a b f $.

          $( Value of the operator, ` ( A O B ) ` , which maps between maps
             from one base set to subsets of the second to maps from the second
             base set to subsets of the first for base sets, ` A ` and ` B ` ,
             when applied to function ` F ` .  (Contributed by RP,
             25-Apr-2021.) $)
          fsovfvd $p |- ( ph -> ( G ` F ) = ( y e. B |->
                                         { x e. A | y e. ( F ` x ) } ) ) $=
            ( cv cmpt cfv wcel crab cpw cmap cvv fsovd syl5eq wceq fveq1 eleq2d
            co rabbidv mpteq2dv adantl mptexd fvmptd ) AFGCECSZBSZFSZUAZUBZBDUC
            ZTZCEURUSGUAZUBZBDUCZTZEUDDUEULZHUFAHDEIULFVIVDTQABCDEFIJKLMNOPUGUH
            UTGUIZVDVHUIAVJCEVCVGVJVBVFBDVJVAVEURUSUTGUJUKUMUNUORACEVGKPUPUQ $.
        $}

        ${
          fsovfvfvd.h $e |- H = ( G ` F ) $.
          fsovfvfvd.y $e |- ( ph -> Y e. B ) $.

          ${
            $d A a b f x y $.  $d B a b f y $.  $d F f x y $.  $d Y x y $.
            $d ph a b f y $.

            $( Value of the operator, ` ( A O B ) ` , which maps between maps
               from one base set to subsets of the second to maps from the
               second base set to subsets of the first for base sets, ` A ` and
               ` B ` , when applied to function ` F ` and element ` Y ` .
               (Contributed by RP, 25-Apr-2021.) $)
            fsovfvfvd $p |- ( ph -> ( H ` Y ) = { x e. A |
                                                  Y e. ( F ` x ) } ) $=
              ( cfv wcel crab cvv cmpt fsovfvd syl5eq wceq eleq1 rabbidv adantl
              cv rabexg syl fvmptd ) ACMCUNZBUNGUCZUDZBDUEZMUSUDZBDUEZEIUFAIGHU
              CCEVAUGUAABCDEFGHJKLNOPQRSTUHUIURMUJZVAVCUJAVDUTVBBDURMUSUKULUMUB
              ADKUDVCUFUDQVBBDKUOUPUQ $.
          $}
        $}
      $}

      ${
        $d A a b f $.  $d A a b x $.  $d A a b y $.  $d B a b f $.
        $d B a b y $.  $d ph a b f $.  $d ph a b y $.

        $( The operator, ` ( A O B ) ` , which maps between maps from one base
           set to subsets of the second to maps from the second base set to
           subsets of the first for base sets, ` A ` and ` B ` , gives a
           function between two sets of functions.  (Contributed by RP,
           27-Apr-2021.) $)
        fsovfd $p |- ( ph -> G : ( ~P B ^m A ) --> ( ~P A ^m B ) ) $=
          ( cpw co cv wcel cmap cfv crab fsovd syl5eq wf wss ssrab2 a1i sselpwd
          cmpt adantr fmpttd cvv pwexd elmapd mpbird fmpt3d ) AFEQDUARZCECSZBSF
          SZUBTZBDUCZUKZDQZEUARZGAGDEHRFUSVDUKPABCDEFHIJKLMNOUDUEAVDVFTZVAUSTAV
          GEVEVDUFACEVCVEAVCVETUTETAVCDINVCDUGAVBBDUHUIUJULUMAVEEVDUNJADINUOOUP
          UQULUR $.
      $}

      ${
        fsovcnvlem.h $e |- H = ( B O A ) $.

        ${
          $d A a b c d f x y $.  $d A c d f g u v x y $.  $d B a b c d f y $.
          $d B c d f g u v y $.  $d ph a b c d f y $.  $d ph c d f u v y $.

          $( The ` O ` operator, which maps between maps from one base set to
             subsets of the second to maps from the second base set to subsets
             of the first for base sets, gives a family of functions that
             include their own inverse.  (Contributed by RP, 27-Apr-2021.) $)
          fsovcnvlem $p |- ( ph -> ( H o. G ) = ( _I |` ( ~P B ^m A ) ) ) $=
            ( wcel cmpt vu vv vg vd vc ccom cpw cmap co cv cfv crab cid cres wf
            wss ssrab2 a1i sselpwd adantr fmpttd cvv pwexd elmapd mpbird syl5eq
            fsovd cmpo weq oveq2 rabeq mpteq2dv mpteq12dv oveq1d mpteq1 cbvmpov
            pweq eqid fveq1 eleq2d rabbidv cbvmptv eleq1w fveq2 cbvrabv mpteq2i
            eqtri mpoeq123i 3eqtri wceq fmptco wa eqidd adantl simpr rabexg syl
            ad2antrr fvmptd elrab3 ad2antlr bitrd rabbidva adantlr cin ffvelrnd
            elmapi elpwid sseqin2 sylib dfin5 eqtr3di eqtr4d mpteq2dva mptresid
            wb feqmptd eqcomi 3eqtrd ) AHGUFFEUGZDUHUIZUADUAUJZUBUJZCECUJZBUJZF
            UJZUKZSZBDULZTZUKZSZUBEULZTZTFYAYFTZUMYAUNZAFUCYADUGZEUHUIZYJUADYBY
            CUCUJZUKZSZUBEULZTZYNGHAYJYRSZYFYASZAUUDEYQYJUOACEYIYQAYIYQSYDESAYI
            DJOYIDUPAYHBDUQURUSUTVAAYQEYJVBKADJOVCPVDVEUTAGDEIUIFYAYJTQABCDEFIJ
            KLMNOPVGVFAHEDIUIUCYRUUCTRAUBUAEDUCIKJUDUEILMVBVBFMUJZUGZLUJZUHUIZC
            UUFYHBUUHULZTZTZVHUDUEVBVBFUEUJZUGZUDUJZUHUIZCUUMYHBUUOULZTZTZVHUDU
            EVBVBUCUUPUAUUMUUAUBUUOULZTZTZVHNLMUDUEVBVBUULUUSFUUGUUOUHUIZCUUFUU
            QTZTLUDVIZFUUIUUKUVCUVDUUHUUOUUGUHVJUVECUUFUUJUUQYHBUUHUUOVKVLVMMUE
            VIZFUVCUVDUUPUURUVFUUGUUNUUOUHUUFUUMVQVNCUUFUUMUUQVOVMVPUDUEVBVBUUS
            VBVBUVBVBVRZUVGUUSUCUUPCUUMYDYEYSUKZSZBUUOULZTZTUVBFUCUUPUURUVKFUCV
            IZCUUMUUQUVJUVLYHUVIBUUOUVLYGUVHYDYEYFYSVSVTWAVLWBUCUUPUVKUVAUVKUAU
            UMYBUVHSZBUUOULZTUVACUAUUMUVJUVNCUAVIUVIUVMBUUOCUAUVHWCWAWBUAUUMUVN
            UUTUVMUUABUBUUOBUBVIUVHYTYBYEYCYSWDVTWEWFWGWFWGWHWIPOVGVFYSYJWJZUAD
            UUBYMUVOUUAYLUBEUVOYTYKYBYCYSYJVSVTWAVLWKAFYAYNYFAUUEWLZYNUADYBYFUK
            ZTZYFUVPUADYMUVQUVPYBDSZWLZYMYCUVQSZUBEULZUVQAUVSYMUWBWJUUEAUVSWLZY
            LUWAUBEUWCYCESZWLZYLYBYCYGSZBDULZSZUWAUWEYKUWGYBUWECYCYIUWGEYJVBUWE
            YJWMCUBVIZYIUWGWJUWEUWIYHUWFBDCUBYGWCWAWNUWCUWDWOAUWGVBSZUVSUWDADJS
            UWJOUWFBDJWPWQWRWSVTUVSUWHUWAXPAUWDUWFUWABYBDBUAVIYGUVQYCYEYBYFWDVT
            WTXAXBXCXDUVTEUVQXEZUVQUWBUVTUVQEUPUWKUVQWJUVTUVQEUVTDXTYBYFUUEDXTY
            FUOAUVSYFXTDXGZXAUVPUVSWOXFXHUVQEXIXJUBEUVQXKXLXMXNUUEYFUVRWJAUUEUA
            DXTYFUWLXQWNXMXNYOYPWJAYPYOFYAXOXRURXS $.
        $}

        ${
          $d A a b f x y $.  $d B a b f x y $.  $d ph a b f y $.

          $( The value of the converse ` ( A O B ) ` is ` ( B O A ) ` , where
             ` O ` is the operator which maps between maps from one base set to
             subsets of the second to maps from the second base set to subsets
             of the first for base sets, gives a family of functions that
             include their own inverse.  (Contributed by RP, 27-Apr-2021.) $)
          fsovcnvd $p |- ( ph -> `' G = H ) $=
            ( cpw cmap co fsovfd fsovcnvlem 2fcoidinvd ) AESDTUADSETUAGHABCDEFG
            IJKLMNOPQUBABCEDFHIKJLMNPORUBABCDEFGHIJKLMNOPQRUCABCEDFHGIKJLMNPORQ
            UCUD $.
        $}
      $}

      ${
        $d A a b f x y $.  $d B a b f x y $.  $d F f x y $.  $d ph a b f y $.
        fsovcnvfvd.f $e |- ( ph -> F e. ( ~P A ^m B ) ) $.
        $( The value of the converse of ` ( A O B ) ` , where ` O ` is the
           operator which maps between maps from one base set to subsets of the
           second to maps from the second base set to subsets of the first for
           base sets, evaluated at function ` F ` .  (Contributed by RP,
           27-Apr-2021.) $)
        fsovcnvfvd $p |- ( ph -> ( `' G ` F ) = ( y e. A |->
                                                 { x e. B |
                                                   y e. ( F ` x ) } ) ) $=
          ( cfv cv ccnv co wcel crab cmpt eqid fsovcnvd fveq1d fsovfvd eqtrd )
          AGHUAZSGEDIUBZSCDCTBTGSUCBEUDUEAGUKULABCDEFHULIJKLMNOPQULUFZUGUHABCED
          FGULIKJLMNPOUMRUIUJ $.
      $}

      ${
        $d A a b f x y $.  $d B a b f x y $.  $d ph a b f y $.

        $( The value of ` ( A O B ) ` is a bijection, where ` O ` is the
           operator which maps between maps from one base set to subsets of the
           second to maps from the second base set to subsets of the first for
           base sets.  (Contributed by RP, 27-Apr-2021.) $)
        fsovf1od $p |- ( ph -> G : ( ~P B ^m A ) -1-1-onto-> ( ~P A ^m B ) ) $=
          ( cpw cmap co wfn ccnv wf1o fsovfd ffnd fsovcnvd fneq1d mpbird dff1o4
          eqid sylanbrc ) AGEQDRSZTGUAZDQERSZTZUKUMGUBAUKUMGABCDEFGHIJKLMNOPUCU
          DAUNEDHSZUMTAUMUKUOABCEDFUOHJIKLMONUOUIZUCUDAUMULUOABCDEFGUOHIJKLMNOP
          UPUEUFUGUKUMGUHUJ $.
      $}
    $}
  $}

  ${
    $( An operator which operates on self-maps, ` f ` , of a power
       set of a base set, ` b ` .  This operation was generalized
       from equation 1 of Basic Properties of Closure Spaces by
       Baerbel and Peter Stadler and can be used in generalizations
       of topologies analogous to ~ ntrval2 . $)
    dssmapfvd.o $e |- O = ( b e. _V |-> ( f e. ( ~P b ^m ~P b ) |->
                            ( s e. ~P b |-> ( b \ ( f ` ( b \ s ) ) ) ) ) ) $.
    dssmapfvd.d $e |- D = ( O ` B ) $.
    dssmapfvd.b $e |- ( ph -> B e. V ) $.

    ${
      $d B b f $.  $d B b s $.  $d ph b $.
      $( Value of the duality operator for self-mappings of subsets of a base
         set, ` B ` .  (Contributed by RP, 19-Apr-2021.) $)
      dssmapfvd $p |- ( ph -> D = ( f e. ( ~P B ^m ~P B ) |->
                            ( s e. ~P B |-> ( B \ ( f ` ( B \ s ) ) ) ) ) ) $=
        ( cfv cpw cmap co cv cdif cmpt cvv mpteq12dv wceq oveq12d difeq1 fveq2d
        pweq id difeq12d elexd wcel ovex mptexg mp1i fvmptd3 syl5eq ) ACBELDBMZ
        UONOZGUOBBGPZQZDPZLZQZRZRZJAHBDHPZMZVENOZGVEVDVDUQQZUSLZQZRZRVCSESIVDBU
        AZDVFVJUPVBVKVEUOVEUONVDBUEZVLUBVKGVEVIUOVAVLVKVDBVHUTVKUFVKVGURUSVDBUQ
        UCUDUGTTABFKUHUPSUIVCSUIAUOUONUJDUPVBSUKULUMUN $.
    $}

    ${
      dssmapfv2d.f $e |- ( ph -> F e. ( ~P B ^m ~P B ) ) $.
      dssmapfv2d.g $e |- G = ( D ` F ) $.

      ${
        $d B b f s $.  $d F f s $.  $d ph b f $.

        $( Value of the duality operator for self-mappings of subsets of a base
           set, ` B ` when applied to function ` F ` .  (Contributed by RP,
           19-Apr-2021.) $)
        dssmapfv2d $p |- ( ph -> G = ( s e. ~P B |->
                                       ( B \ ( F ` ( B \ s ) ) ) ) ) $=
          ( cfv cv cdif cvv wcel cpw cmpt cmap co dssmapfvd wceq fveq1 mpteq2dv
          difeq2d adantl pwexg mptexg 3syl fvmptd syl5eq ) AFECPIBUAZBBIQRZEPZR
          ZUBZOADEIUPBUQDQZPZRZUBZUTUPUPUCUDCSABCDGHIJKLMUEVAEUFZVDUTUFAVEIUPVC
          USVEVBURBUQVAEUGUIUHUJNABHTUPSTUTSTMBHUKIUPUSSULUMUNUO $.
      $}

      dssmapfv3d.s $e |- ( ph -> S e. ~P B ) $.
      dssmapfv3d.t $e |- T = ( G ` S ) $.

      ${
        $d B b f s $.  $d F f s $.  $d S s $.  $d ph b f s $.

        $( Value of the duality operator for self-mappings of subsets of a base
           set, ` B ` when applied to function ` F ` and subset ` S ` .
           (Contributed by RP, 19-Apr-2021.) $)
        dssmapfv3d $p |- ( ph -> T = ( B \ ( F ` ( B \ S ) ) ) ) $=
          ( cdif cfv cv cpw dssmapfv2d wceq difeq2 fveq2d difeq2d adantl difexd
          cvv fvmptd syl5eq ) AEDHUABBDTZGUAZTZSAKDBBKUBZTZGUAZTZUPBUCHUKABCFGH
          IJKLMNOPQUDUQDUEZUTUPUEAVAUSUOBVAURUNGUQDBUFUGUHUIRABUOJOUJULUM $.
      $}
    $}

    ${
      $d B b f g s z $.  $d B f g s t u z $.  $d ph b f g s z $.
      $d ph f g s t u z $.
      $( For any base set ` B ` the duality operator for self-mappings of
         subsets of that base set is its own inverse, an involution.
         (Contributed by RP, 20-Apr-2021.) $)
      dssmapnvod $p |- ( ph -> `' D = D ) $=
        ( vt cdif cfv cmpt wcel wceq wa difeq2d cvv vg vz vu cmap co cv ccnv wf
        cpw simpr weq difeq2 fveq2d cbvmptv eqtrdi cun ssun1 sspwi pwidg sselid
        syl fvex elpwun sylib ad2antrr fmpt3d adantr elmapd mpbird adantrl wral
        pwexd simplr adantl difexd fvmptd adantlrl elpwi dfss4 biimpa ffvelrnda
        vex wss elpwid adantlrr 3eqtrrd ralrimiva wfn elmapfn ad2antrl fnmptfvd
        impbida mptcnv dssmapfvd cnveqd fveq1 mpteq2dv mpteq2i eqtri 3eqtr4d
        jca ) ADBUIZXBUDUEZGXBBBGUFZMZDUFZNZMZOZOZUGUAXCUBXBBBUBUFZMZUAUFZNZMZO
        ZOCUGCADUAXCXIXCXPAXFXCPZXMXIQZRZXMXCPZXFXPQZRZAXSRZXTYAAXRXTXQAXRRZXTX
        BXBXMUHZYDLXBBBLUFZMZXFNZMZXBXMYDXMXILXBYIOAXRUJGLXBXHYIGLUKZXGYHBYJXEY
        GXFXDYFBULUMSUNUOAYIXBPZXRYFXBPZABBYHUPZUIZPYKAXBYNBBYMBYHUQURABFPBXBPK
        BFUSVAZUTBBYHYGXFVBVCVDVEVFYDXBXBXMTTAXBTPZXRABFKVLZVGZYRVHVIVJYCYAYFXF
        NZBYGXMNZMZQZLXBVKYCUUBLXBYCYLRUUABBBYGMZXFNZMZMZBBYSMZMZYSAXRYLUUAUUFQ
        XQYDYLRZYTUUEBUUIUCYGBBUCUFZMZXFNZMZUUEXBXMTUUIXMXIUCXBUUMOAXRYLVMGUCXB
        XHUUMGUCUKZXGUULBUUNXEUUKXFXDUUJBULUMSUNUOUUJYGQZUUMUUEQUUIUUOUULUUDBUU
        OUUKUUCXFUUJYGBULZUMSVNAYGXBPZXRYLABBYFUPZUIZPUUQAXBUUSBBUURBYFUQURYOUT
        BBYFLWBVCVDZVEAUUETPXRYLABUUDFKVOVEVPSVQYLUUFUUHQYCYLUUEUUGBYLUUDYSBYLU
        UCYFXFYLYFBWCUUCYFQYFBVRYFBVSVDZUMSSVNAXQYLUUHYSQZXRAXQRZYLRZYSBWCUVBUV
        DYSBUVCXBXBYFXFAXQXBXBXFUHZAXBXBXFTTYQYQVHVTWAWDYSBVSVDWEWFWGYCXBXOUUAT
        LXFTUBXQXFXBWHAXRXFXBXBWIWJLUBUKZYTXNBUVFYGXLXMYFXKBULUMSAUUATPXSYLABYT
        FKVOVEAXOTPXSXKXBPABXNFKVOVEWKVIXAAYBRZXQXRAYAXQXTAYARZXQUVEUVHLXBUUAXB
        XFUVHXFXPLXBUUAOAYAUJUBLXBXOUUAUBLUKZXNYTBUVIXLYGXMXKYFBULUMSUNUOAUUAXB
        PZYAYLABBYTUPZUIZPUVJAXBUVLBBUVKBYTUQURYOUTBBYTYGXMVBVCVDVEVFUVHXBXBXFT
        TAYPYAYQVGZUVMVHVIVJUVGXRYFXMNZYIQZLXBVKUVGUVOLXBUVGYLRYIBBUUCXMNZMZMZB
        BUVNMZMZUVNAYAYLYIUVRQXTUVHYLRZYHUVQBUWAUCYGBUUKXMNZMZUVQXBXFTUWAXFXPUC
        XBUWCOAYAYLVMUBUCXBXOUWCUBUCUKZXNUWBBUWDXLUUKXMXKUUJBULUMSUNUOUUOUWCUVQ
        QUWAUUOUWBUVPBUUOUUKUUCXMUUPUMSVNAUUQYAYLUUTVEAUVQTPYAYLABUVPFKVOVEVPSV
        QYLUVRUVTQUVGYLUVQUVSBYLUVPUVNBYLUUCYFXMUVAUMSSVNAXTYLUVTUVNQZYAAXTRZYL
        RZUVNBWCUWEUWGUVNBUWFXBXBYFXMAXTYEAXBXBXMTTYQYQVHVTWAWDUVNBVSVDWEWFWGUV
        GXBXHYITLXMTGXTXMXBWHAYAXMXBXBWIWJLGUKZYHXGBUWHYGXEXFYFXDBULUMSAYITPYBY
        LABYHFKVOVEAXHTPYBXDXBPABXGFKVOVEWKVIXAWLWMACXJABCDEFGHIJKWNWOABCUAEFUB
        HEHTDHUFZUIZUWJUDUEZGUWJUWIUWIXDMZXFNZMZOZOZOHTUAUWKUBUWJUWIUWIXKMZXMNZ
        MZOZOZOIHTUWPUXADUAUWKUWOUWTDUAUKZUWOGUWJUWIUWLXMNZMZOUWTUXBGUWJUWNUXDU
        XBUWMUXCUWIUWLXFXMWPSWQGUBUWJUXDUWSGUBUKZUXCUWRUWIUXEUWLUWQXMXDXKUWIULU
        MSUNUOUNWRWSJKWNWT $.
    $}

    ${
      $d B b f s $.  $d ph b f s $.

      $( For any base set ` B ` the duality operator for self-mappings of
         subsets of that base set is one-to-one and onto.  (Contributed by RP,
         21-Apr-2021.) $)
      dssmapf1od $p |- ( ph -> D : ( ~P B ^m ~P B ) -1-1-onto->
                                   ( ~P B ^m ~P B ) ) $=
        ( cpw cmap co wfn wceq cv cdif cmpt cvv ccnv wf1o dssmapfvd wcel mptexd
        cfv wral pwexd ralrimivw nfcv fnmptf syl biimprd sylc dssmapnvod nvof1o
        fneq1 syl2anc ) ACBLZUSMNZOZCUACPUTUTCUBACDUTGUSBBGQRDQUFRZSZSZPZVDUTOZ
        VAABCDEFGHIJKUCAVCTUDZDUTUGVFAVGDUTAGUSVBTABFKUHUEUIDUTVCTDUTUJUKULVEVA
        VFUTCVDUQUMUNABCDEFGHIJKUOUTCUPUR $.
    $}

    ${
      $d B b f s $.  $d ph b f s $.

      $( For any base set ` B ` the duality operator for self-mappings of
         subsets of that base set when composed with itself is the restricted
         identity operator.  (Contributed by RP, 21-Apr-2021.) $)
      dssmap2d $p |- ( ph -> ( D o. D ) = ( _I |` ( ~P B ^m ~P B ) ) ) $=
        ( ccnv ccom cid cpw cmap co cres dssmapnvod coeq1d wf1o wceq dssmapf1od
        f1ococnv1 syl eqtr3d ) ACLZCMZCCMNBOZUIPQZRZAUGCCABCDEFGHIJKSTAUJUJCUAU
        HUKUBABCDEFGHIJKUCUJUJCUDUEUF $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Generic Pseudoclosure Spaces, Pseudointerior Spaces, and Pseudoneighborhoods
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  <HTML>
  <P>
  For any base set, ` B ` , an arbitrary mapping of subsets to subsets
  can be called a pseudoclosure (pseudointerior) function, ` K ` ,
  with its dual of a pseudointerior (pseudoclosure), ` I `, related
  by the involution in ~ dssmapfvd .  As ` K `
  gains properties of the closure (interior) function of a topology
  on ` B `, so does its dual gain corresponding properties of the
  interior (closure) function of that topology.
  </P>

  <P>
  As ` ( ~P B ^m ~P B ) ~~ ( ~P ~P B ^m B ) ` there is also a natural
  isomorphism which maps from ` I ` to ` N ` (and likewise for
  ` K ` and ` M ` , introduced below) which identically gains the
  properties of the neighborhood function of a topology (modified and
  restricted to operate on single points). A function dual to ` N ` ,
  which Stadler and Stadler refer to as a convergent function, is
  represented by ` M ` in this section.
  </P>

  <!-- TODO: evaluate replacing 'convergent function' with 'adherents
  function' and replace 'neighborhood function' with 'neighborhoods
  function' so that we might more clearly refer to the members of the
  value of the functions as 'an adherent' and 'a neighborhood'.
  Likewise the collection N(x) could be a 'neighborhood system' and
  by analogy M(x) would be an 'adherent system'.  BJ suggested
  'adherent' but I want to think about it.
  -->

  <P>
  Based on this and the early treatment of topology in Seifert and
  Threlfall, it seems reasonable to define a pseudotopology as defined
  in terms of its base set and one of these functions with theorems
  treating the equivalence of the other definitions and adding
  topological structure if enough properties hold true.
  </P>

  <TABLE>
  <TR>
    <TD WIDTH="15%"> </TD>
    <TH WIDTH="17%"> Neighborhoods </TH>
    <TH></TH>
    <TH WIDTH="17%"> Interior </TH>
    <TH></TH>
    <TH WIDTH="17%"> Closure </TH>
    <TH></TH>
    <TH WIDTH="17%"> Convergents </TH>
    <TH> Theorems </TH>
  </TR>
  <TR>
    <TH WIDTH="15%"> Functions </TH>
    <TD WIDTH="17%" STYLE="text-align: center;">
    ` N e. ( ~P ~P B ^m B ) ` </TD>
    <TD></TD>
    <TD WIDTH="17%" STYLE="text-align: center;">
    ` I e. ( ~P B ^m ~P B ) ` </TD>
    <TD></TD>
    <TD WIDTH="17%" STYLE="text-align: center;">
    ` K e. ( ~P B ^m ~P B ) ` </TD>
    <TD></TD>
    <TD WIDTH="17%" STYLE="text-align: center;">
    ` M e. ( ~P ~P B ^m B ) ` </TD>
    <TD> </TD>
  </TR>
  <TR>
    <TD ROWSPAN="2" STYLE="text-align: center;">
        <DIV STYLE="font-weight: bold"> Correspondences </DIV>
        (assuming ` ( X e. B /\ S e. ~P B ) ` )
    </TD>
    <TD STYLE="text-align: center;"> ` S e. ( N `` X ) ` </TD>
    <TD STYLE="text-align: center;"> ` <-> ` </TD>
    <TD STYLE="text-align: center;"> ` X e. ( I `` S )  ` </TD>
    <TD STYLE="text-align: center;"> ` <-> ` </TD>
    <TD STYLE="text-align: center;"> ` -. X e. ( K `` ( B \ S ) ) ` </TD>
    <TD STYLE="text-align: center;"> ` <-> ` </TD>
    <TD STYLE="text-align: center;"> ` -. ( B \ S ) e. ( M `` X )  ` </TD>
    <TD ROWSPAN="2"> ~ ntrclselnel1 , ~ ntrneiel , ~ neicvgel1 </TD>
  </TR>
  <TR>
    <TD STYLE="text-align: center;"> ` -. ( B \ S ) e. ( N `` X ) ` </TD>
    <TD STYLE="text-align: center;"> ` <-> ` </TD>
    <TD STYLE="text-align: center;"> ` -. X e. ( I `` ( B \ S ) )  ` </TD>
    <TD STYLE="text-align: center;"> ` <-> ` </TD>
    <TD STYLE="text-align: center;"> ` X e. ( K `` S ) ` </TD>
    <TD STYLE="text-align: center;"> ` <-> ` </TD>
    <TD STYLE="text-align: center;"> ` S e. ( M `` X )  ` </TD>
  </TR>
  <TR>
    <TH> Neighborhoods </TH>
    <TD STYLE="text-align: center;"> ` ( N `` X ) ` </TD>
    <TD STYLE="text-align: center;"> ` = ` </TD>
    <TD STYLE="text-align: center;"> ` { s e. ~P B | X e. ( I `` s ) } ` </TD>
    <TD STYLE="text-align: center;"> ` = ` </TD>
    <TD STYLE="text-align: center;">
    ` { s e. ~P B | -. X e. ( K `` ( B \ s ) ) } ` </TD>
    <TD STYLE="text-align: center;"> ` = ` </TD>
    <TD STYLE="text-align: center;">
    ` { s e. ~P B | -. ( B \ s ) e. ( M `` X ) } ` </TD>
    <TD> ~ ntrneifv3 , ~ clsneifv3 , ~ neicvgfv </TD>
  </TR>
  <TR>
    <TH> Interior </TH>
    <TD STYLE="text-align: center;"> ` { x e. B | S e. ( N `` x ) } ` </TD>
    <TD STYLE="text-align: center;"> ` = ` </TD>
    <TD STYLE="text-align: center;"> ` ( I `` S ) ` </TD>
    <TD STYLE="text-align: center;"> ` = ` </TD>
    <TD STYLE="text-align: center;"> ` ( B \ ( K `` ( B \ S ) ) ) ` </TD>
    <TD STYLE="text-align: center;"> ` = ` </TD>
    <TD STYLE="text-align: center;">
    ` { x e. B | -. ( B \ S ) e. ( M `` x ) } ` </TD>
    <TD> ~ ntrneifv4 , ~ ntrclsfv , ~ clsneifv4 </TD>
  </TR>
  <TR>
    <TH> Closure </TH>
    <TD STYLE="text-align: center;">
    ` { x e. B | -. ( B \ S ) e. ( N `` x ) } ` </TD>
    <TD STYLE="text-align: center;"> ` = ` </TD>
    <TD STYLE="text-align: center;"> ` ( B \ ( I `` ( B \ S ) ) ) ` </TD>
    <TD STYLE="text-align: center;"> ` = ` </TD>
    <TD STYLE="text-align: center;"> ` ( K `` S ) ` </TD>
    <TD STYLE="text-align: center;"> ` = ` </TD>
    <TD STYLE="text-align: center;"> ` { x e. B | S e. ( M `` x ) } ` </TD>
    <TD> ~ clsneifv4 , ~ ntrclsfv , ~ ntrneifv4 </TD>
  </TR>
  <TR>
    <TH> Convergents </TH>
    <TD STYLE="text-align: center;">
    ` { s e. ~P B | -. ( B \ s ) e. ( N `` X ) } ` </TD>
    <TD STYLE="text-align: center;"> ` = ` </TD>
    <TD STYLE="text-align: center;">
    ` { s e. ~P B | -. X e. ( I `` ( B \ s ) ) } ` </TD>
    <TD STYLE="text-align: center;"> ` = ` </TD>
    <TD STYLE="text-align: center;"> ` { s e. ~P B | X e. ( K `` s ) } ` </TD>
    <TD STYLE="text-align: center;"> ` = ` </TD>
    <TD STYLE="text-align: center;"> ` ( M `` X ) ` </TD>
    <TD> ~ neicvgfv , ~ clsneifv3 , ~ ntrneifv3 </TD>
  </TR>
  </TABLE>

  <P>
  We have the following table of equivalences to axioms largely
  established by Kuratowski.  In the formulas in this table, to reduce
  the width of the columns, if any of the variables ` x ` , ` s ` ,
  or ` t ` are used, then they are implicitly universally quantified
  and ` x ` (respectively ` s ` and ` t ` ) ranges
  over ` B ` (respectively ` ~P B ` and ` ~P B ` ).
  </P>

  <!--
  The following table adapted from:

  B&auml;rbel M. R. Stadler, Peter F. Stadler.
    "Basic Properties of Closure Spaces."
    https://www.academia.edu/12565065/Basic_Properties_of_Closure_Spaces

  with variants also in:

  B&auml;rbel M. R. Stadler, Peter F. Stadler.
    "Higher Separation Axioms in Generalized Closure Spaces."
    Comment. Math. Warszawa, Ser. I, 43: 257-273, 2003.
    Preprint: https://www.tbi.univie.ac.at/papers/Abstracts/01-pfs-017.pdf

    Stadler claims that K3 implies KB, but counterexamples
    exist.  A pseudo-closure function of ( x e. ~~P B |-> ( B \ x ) ),
    for nonempty base set, satisfies K0' and K3 but not KB.
    See clsk3nimkb for proof of this counterexample.

    Likewise, K0 is unnecessary to demonstrate KB implies KA.
    See ntrkbimka .
  -->
  <TABLE>
  <TR>
    <TD WIDTH="15%"> Assuming a prefix of: <BR>
     ` A. x e. B A. s e. ~P B A. t e. ~P B ` </TD>
    <TH WIDTH="17%"> Neighborhoods </TH>
    <TH WIDTH="17%"> Interior </TH>
    <TH WIDTH="17%"> Closure </TH>
    <TH WIDTH="17%"> Convergents </TH>
    <TH> Equivalence Theorems </TH>
  </TR>
  <TR>
    <TH> K0' <BR>
    Neighborhoods are nonempty.
    </TH>
    <TD STYLE="text-align: center;">
    ` ( N `` x ) =/= (/) ` </TD>
    <TD STYLE="text-align: center;">
    ` E. u e. ~P B x e. ( I `` u ) ` </TD>
    <TD STYLE="text-align: center;">
    ` E. u e. ~P B -. x e. ( K `` u ) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( M `` x ) =/= ~P B ` </TD>
    <TD> ~ ntrclsneine0 , ~ ntrneineine0 , ~ ntrneineine1 </TD>
  </TR>
  <TR>
    <TH> KA' <!-- invented name for the dual of K0' --> <BR>
    No neighborhood is equal to the full powerset. </TH>
    <TD STYLE="text-align: center;">
    ` ( N `` x ) =/= ~P B ` </TD>
    <TD STYLE="text-align: center;">
    ` E. u e. ~P B -. x e. ( I `` u ) ` </TD>
    <TD STYLE="text-align: center;">
    ` E. u e. ~P B x e. ( K `` u ) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( M `` x ) =/= (/) ` </TD>
    <TD> ~ ntrclsneine0 , ~ ntrneineine0 , ~ ntrneineine1 </TD>
  </TR>
  <TR>
    <TH> K0 <BR>
    Preservation of the Nullary Union of Closures
    </TH>
    <TD STYLE="text-align: center;">
    ` B e. ( N `` x ) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( I `` B ) = B ` </TD>
    <TD STYLE="text-align: center;">
    ` ( K `` (/) ) = (/) ` </TD>
    <TD STYLE="text-align: center;">
    ` -. (/) e. ( M `` x )  ` </TD>
    <TD> ~ ntrclscls00 , ~ ntrneicls00 , ~ ntrneicls11 </TD>
  </TR>
  <TR>
    <TH> KA <BR>
    Preservation of the Nullary Union of Interiors
    </TH>
    <TD STYLE="text-align: center;">
    ` -. (/) e. ( N `` x )  ` </TD>
    <TD STYLE="text-align: center;">
    ` ( I `` (/) ) = (/) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( K `` B ) = B ` </TD>
    <TD STYLE="text-align: center;">
    ` B e. ( M `` x ) ` </TD>
    <TD> ~ ntrclscls00 , ~ ntrneicls00 , ~ ntrneicls11 </TD>
  </TR>
  <TR>
    <TH> K1 <BR>
    Isotonic <BR>
    Montonic
    </TH>
    <TD STYLE="text-align: center;">
    ` ( ( s e. ( N `` x ) /\ s C_ t ) -> t e. ( N `` x ) ) ` </TD>
    <TD STYLE="text-align: center; line-height: 1em;">
    ` ( s C_ t -> ( I `` s ) C_ ( I `` t ) ) ` <BR>
    <SPAN STYLE="color: #AAAAAA;"> &#8212; or &#8212; </SPAN> <BR>
    ` ( ( I `` s ) u. ( I `` t ) ) C_ ( I `` ( s u. t ) ) ` <BR>
    <SPAN STYLE="color: #AAAAAA;"> &#8212; or &#8212; </SPAN> <BR>
    ` ( I `` ( s i^i t ) ) C_ ( ( I `` s ) i^i ( I `` t ) ) ` </TD>
    <TD STYLE="text-align: center; line-height: 1em;">
    ` ( s C_ t -> ( K `` s ) C_ ( K `` t ) ) ` <BR>
    <SPAN STYLE="color: #AAAAAA;"> &#8212; or &#8212; </SPAN> <BR>
    ` ( ( K `` s ) u. ( K `` t ) ) C_ ( K `` ( s u. t ) ) ` <BR>
    <SPAN STYLE="color: #AAAAAA;"> &#8212; or &#8212; </SPAN> <BR>
    ` ( K `` ( s i^i t ) ) C_ ( ( K `` s ) i^i ( K `` t ) ) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( ( s e. ( M `` x ) /\ s C_ t ) -> t e. ( M `` x ) ) ` </TD>
    <TD> ~ isotone1 , ~ isotone2 , ~ ntrclsiso , ~ ntrneiiso </TD>
  </TR>
  <TR>
    <TH> K2 <BR>
    Closure is Expansive
    </TH>
    <TD STYLE="text-align: center;">
    ` ( s e. ( N `` x ) -> x e. s ) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( I `` s ) C_ s ` </TD>
    <TD STYLE="text-align: center;">
    ` s C_ ( K `` s ) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( x e. s -> s e. ( M `` x ) ) ` </TD>
    <TD> ~ ntrclsk2 , ~ ntrneik2 , ~ ntrneix2 </TD>
  </TR>
  <TR>
    <TH> KB <BR>
    Non-disjoint Neighborhoods
    </TH>
    <TD STYLE="text-align: center;">
    ` ( ( s e. ( N `` x ) /\ t e. ( N `` x ) ) `
    ` -> ( s i^i t ) =/= (/) ) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( ( s i^i t ) = (/) -> ( ( I `` s ) i^i ( I `` t ) ) = (/) ) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( ( s u. t ) = B -> ( ( K `` s ) u. ( K `` t ) ) = B ) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( ( s u. t ) = B -> ( s e. ( M `` x ) \/ t e. ( M `` x ) ) ) ` </TD>
    <TD> ~ ntrclskb , ~ ntrneikb , ~ ntrneixb </TD>
  </TR>
  <TR>
    <TH> K3 <BR>
    Closure is Sub-linear
    </TH>
    <TD STYLE="text-align: center;">
    ` ( ( s e. ( N `` x ) /\ t e. ( N `` x ) ) `
         ` -> ( s i^i t ) e. ( N `` x ) ) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( ( I `` s ) i^i ( I `` t ) ) C_ ( I `` ( s i^i t ) ) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( K `` ( s u. t ) ) C_ ( ( K `` s ) u. ( K `` t ) ) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( ( s u. t ) e. ( M `` x ) `
         ` -> ( s e. ( M `` x ) \/ t e. ( M `` x ) ) ) ` </TD>
    <TD> ~ ntrclsk3 , ~ ntrneik3 , ~ ntrneix3 </TD>
  </TR>
  <TR>
    <TH> K13 <BR>
    Closure is finitely linear
    </TH>
    <TD STYLE="text-align: center;">
    ` ( ( s i^i t ) e. ( N `` x ) <-> `
         ` ( s e. ( N `` x ) /\ t e. ( N `` x ) ) ) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( I `` ( s i^i t ) ) = ( ( I `` s ) i^i ( I `` t ) ) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( K `` ( s u. t ) ) = ( ( K `` s ) u. ( K `` t ) )  ` </TD>
    <TD STYLE="text-align: center;">
    ` ( ( s u. t ) e. ( M `` x ) <-> `
         ` ( s e. ( M `` x ) \/ t e. ( M `` x ) ) ) ` </TD>
    <TD> ~ ntrclsk13 , ~ ntrneik13 , ~ ntrneix13 </TD>
  </TR>
  <TR>
    <TH> K4 <BR>
    Closure is idempotent
    </TH>
    <TD STYLE="text-align: center;">
    ` ( s e. ( N `` x ) <-> E. u e. ( N `` x ) A. y e. B `
         ` ( y e. u <-> s e. ( N `` y ) ) ) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( I `` ( I `` s ) ) = ( I `` s ) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( K `` ( K `` s ) ) = ( K `` s ) ` </TD>
    <TD STYLE="text-align: center;">
    ` ( s e. ( M `` x ) <-> E. u e. ( M `` x ) A. y e. B `
         ` ( y e. u <-> s e. ( M `` y ) ) ) ` </TD>
    <TD> ~ ntrclsk4 , ~ ntrneik4 </TD>
  </TR>
  <!-- TODO: K5, XF = Every neighborhood is a Filter
           K13 <-> K1 + K3 -->
  </TABLE>

  <P>
    Using these properties as axiomic constraints on the functions,
    certain collections of them give rise to named spaces.
  </P>

  <!--
  The following table adapted from:

  B&auml;rbel M. R. Stadler, Peter F. Stadler.
    "Basic Properties of Closure Spaces."
    https://www.academia.edu/12565065/Basic_Properties_of_Closure_Spaces

  with variants also in:

  B&auml;rbel M. R. Stadler, Peter F. Stadler.
    "Generalized Topological Spaces in Evolutionary Theory and
    Combinatorial Chemistry."
    J. Chem. Inf. Comput. Sci. 2002, 42, 3, 577-585
    https://doi.org/10.1021/ci0100898
  -->

  <TABLE>
  <TR>
    <TH>Space</TH>
    <TH>Foundational Axioms</TH>
    <TH>Derived Axioms</TH>
    <TH>Theorems</TH>
  </TR>
  <TR>
    <!--
        &Aacute;. Cs&aacute;z&aacute;r.
            "Generalized topology, Generalized continuity."
            Acta. Math. Hungar. 96: 351-357, 2002.
    -->
    <TD> Cs&aacute;z&aacute;r Generalized Neighborhood Space </TD>
    <TD> K2 </TD>
    <TD> KA', KA, KB </TD>
    <TD> ~ ntrk2imkb , ~ ntrkbimka , ~ neik0imk0p </TD>
  </TR>
  <TR>
    <!--
        Won Keun Min.
            "Results on Strong Generalized Neighborhood Spaces."
            J. Korea Soc. Math. Educ. Ser. B: Pure Appl. Math.
            15(3): 221-227, August 2008.
    -->
    <TD> <!-- Won Keun --> Min
    Strong Generalized Neighborhood Space </TD>
    <TD> K2, K3 </TD>
    <TD> KA', KA, KB </TD>
    <TD> ~ ntrk2imkb , ~ ntrkbimka , ~ neik0imk0p </TD>
  </TR>
  <TR>
    <!--
        S. Gni&lstrok;ka.
            "On extended topologies. I: Closure operators."
            Ann. Soc. Math. Pol. Ser. I, Commentat. Math. 34:81-94, 1994.

        S. Gni&lstrok;ka.
            "On extended topologies. II: Compactness, quasi-metrizability,
            symmetry." Ann. Soc. Math. Pol. Ser. I, Commentat. Math.
            35:99-108, 1997.
    -->
    <TD> Gni&lstrok;ka Extended Topology</TD>
    <TD> K0', K1 </TD>
    <TD> K0 </TD>
    <TD> ~ neik0pk1imk0 </TD>
  </TR>
  <TR>
    <!--
        M. M. Brissaud. "Les espaces pr&eacute;topologiques."
        C. R. Acad. Sc. Paris Ser. A 280:705-708, 1975.
    -->
    <TD> Brissaud Space </TD>
    <TD> K0, K2 </TD>
    <TD> K0', KA', KA, KB </TD>
    <TD> ~ neik0imk0p , ~ ntrk2imkb , ~ ntrkbimka </TD>
  </TR>
  <TR>
    <TD> Neighborhood Space </TD>
    <TD> K0', K1, K2 </TD>
    <TD> K0, KA', KA, KB </TD>
    <TD> ~ neik0pk1imk0 , ~ ntrk2imkb , ~ ntrkbimka , ~ neik0imk0p </TD>
  </TR>
  <TR>
    <!-- Appears to be a reference to

        B. A. Davey, H. A. Priestley.
        "Introduction to Lattices and Order."
        Cambridge University Press, 2002. p. 48.

        where the pseudo-closure is:
        ( s e. ~~P B |-> |^| { t e. C | s C_ t } )
        where C is presumably a subset of ~~P B
        such that every nonempty subset has its intersection in C .
    -->
    <TD> Davey and Priestley Intersection Structure </TD>
    <TD> K1, K4 </TD>
    <TD> </TD>
    <TD> </TD>
  </TR>
  <TR>
    <TD> Moore Closure Space </TD>
    <TD> K1, K2, K4 </TD>
    <TD> KA', KA, KB </TD>
    <TD> ~ ntrk2imkb , ~ ntrkbimka , ~ neik0imk0p </TD>
  </TR>
  <TR>
    <!--
        W. P. Soltan.
        "An Introduction in Axiomatic Theory of Convexity."
        Shtiintsa, Kishinev, 1984.  Russian.
    -->
    <TD> Convex Closure Space </TD>
    <TD> K0', K1, K2, K4 </TD>
    <TD> K0, KA', KA, KB </TD>
    <TD> ~ neik0pk1imk0 , ~ ntrk2imkb , ~ ntrkbimka , ~ neik0imk0p </TD>
  </TR>
  <TR>
    <!--
        M. B. Smyth. "Semi-metric, closure spaces and digital topology."
        Theor. Computer Sci. 151: 257-276, 1995.
    -->
    <TD> Smyth Neighborhood Space </TD>
    <TD> K0', K13 </TD>
    <TD> K0, K1, K3  </TD>
    <TD> ~ neik0pk1imk0 , ~ ntrk1k3eqk13 </TD>
  </TR>
  <TR>
    <TD> &Ccaron;ech Closure Space <BR>
    Pretopological Space </TD>
    <TD> K0', K2, K13 </TD>
    <TD> K0, K1, KA', KA, KB, K3 </TD>
    <TD> ~ neik0pk1imk0 , ~ ntrk2imkb , ~ ntrkbimka ,
         ~ neik0imk0p , ~ ntrk1k3eqk13 </TD>
  </TR>
  <TR>
    <TD> Topological Space </TD>
    <TD> K0', K2, K13, K4 </TD>
    <TD> K0, K1, KA', KA, KB, K3 </TD>
    <TD> ~ neik0pk1imk0 , ~ ntrk2imkb , ~ ntrkbimka ,
         ~ neik0imk0p , ~ ntrk1k3eqk13 </TD>
  </TR>
  <TR>
    <!--
        P. Alexandroff. "Diskrete R&auml;ume."
        Math. Sb. (N.S.) 2: 501-518, 1937.

        R. E. Strong.  "Finite Topological Spaces."
        Trans. Amer. Math. Soc. 123: 325-340, 1966.

        F. G. Arenas. "Alexandroff Spaces."
        Acta Math. Univ. Comenianae.  68: 17-25, 1999.
    -->
    <TD> Alexandroff Space </TD>
    <TD> K0', K2, K5 </TD>
    <TD> K0, K1, KA', KA, KB, K3, K13 </TD>
    <TD> ~ neik0pk1imk0 , ~ ntrk2imkb , ~ ntrkbimka ,
         ~ neik0imk0p , ~ ntrk1k3eqk13 ,
         TBD <!-- AND K5 -> K1 + K3 --> </TD>
  </TR>
  <TR>
    <TD> Alexandroff Topological Space </TD>
    <TD> K0', K2, K4, K5 </TD>
    <TD> K0, K1, KA', KA, KB, K3, K13 </TD>
    <TD> ~ neik0pk1imk0 , ~ ntrk2imkb , ~ ntrkbimka ,
         ~ neik0imk0p , ~ ntrk1k3eqk13 ,
         TBD </TD>
  </TR>
  </TABLE>

  </HTML>

$)

  $( rename sscon34b to rcomplss ?? $)

  $( Decompose disjunction into three cases.  (Contributed by RP,
     5-Jul-2021.) $)
  or3or $p |- ( ( ph \/ ps ) <-> ( ( ph /\ ps ) \/ ( ph /\ -. ps )
                             \/ ( -. ph /\ ps ) ) ) $=
    ( wa wxo wo wn w3o excxor orbi2i wb orc exmid pm3.2 wi biimp sylib con2i ex
    iman biorf df-xor bicomi syl6ib orim12d mpi 2thd bicom bibif syl5bb con2bid
    bitrdi simpl nsyl5 3bitr3d pm2.61i 3orass 3bitr4i ) ABCZABDZEZURABFZCZAFZBC
    ZEZEABEZURVBVDGUSVEURABHIAVFUTJAVFUTABKABVAEUTBLABURVAUSABMAVAABJZFZUSAVAVH
    VGVBVGABNVBFABOABSPQRUSVHABUAUBZUCUDUEUFVCBUSVFUTVCBVHUSVCVGBVGBAJVCVAABUGB
    AUHUIUJVIUKABTURAUSUTJABULURUSTUMUNUOURVBVDUPUQ $.

  $( Distribute over triple disjunction.  (Contributed by RP, 5-Jul-2021.) $)
  andi3or $p |- ( ( ph /\ ( ps \/ ch \/ th ) ) <-> ( ( ph /\ ps )
                                         \/ ( ph /\ ch ) \/ ( ph /\ th ) ) ) $=
    ( wo wa w3o andi orbi1i bitri df-3or anbi2i 3bitr4i ) ABCEZDEZFZABFZACFZEZA
    DFZEZABCDGZFQRTGPANFZTEUAANDHUCSTABCHIJUBOABCDKLQRTKM $.

  $( If a union of classes is equal to a singleton then at least one class is
     equal to the singleton while the other may be equal to the empty set.
     (Contributed by RP, 5-Jul-2021.) $)
  uneqsn $p |- ( ( A u. B ) = { C } <-> ( ( A = { C } /\ B = { C } )
                 \/ ( A = { C } /\ B = (/) ) \/ ( A = (/) /\ B = { C } ) ) ) $=
    ( cvv wcel wceq wa c0 w3o wb wss wo a1i bicomi snssg orbi12d anbi12d syl5bb
    eqss wn cun csn unss elun bitr2id bitr2d or3or anbi2i andi3or bitri anbi12i
    an4 sssn anbi1d andir n0i syl6bir con2d pm4.71d wi eqimss2 iman mpbi biorfi
    bitrd 3orbi123d 3bitrd snprc biimpi eqeq2d pm4.25 orbi1i anbi2d un00 df-3or
    bitr2di bitr4id 3bitr4g pm2.61i ) CDEZABUAZCUBZFZAWBFZBWBFZGZWDBHFZGZAHFZWE
    GZIZJVTWCWAWBKZWBWAKZGZAWBKZBWBKZGZWBAKZWBBKZLZGZWKWCWNJVTWAWBSMVTWLWQWMWTW
    LWQJVTWQWLABWBUCNMVTWTCWAEZWMXBCAEZCBEZLVTWTCABUDVTXCWRXDWSCADOZCBDOZPUECWA
    DOUFQXAWQWRWSGZGZWQWRWSTZGZGZWQWRTZWSGZGZIZVTWKXAWQXGXJXMIZGXOWTXPWQWRWSUGU
    HWQXGXJXMUIUJVTXHWFXKWHXNWJXHWFJVTXHWOWRGZWPWSGZGZWFWOWPWRWSULWFXSWDXQWEXRA
    WBSZBWBSZUKNUJMXKXQWPXIGZGVTWHWOWPWRXIULVTXQWDYBWGXQWDJVTWDXQXTNMVTYBWGWELZ
    XIGZWGVTWPYCXIWPYCJVTBCUMMUNYDWGXIGZWEXIGZLZVTWGWGWEXIUOVTWGYEYGVTWGXIVTWSW
    GVTWSXDWGTXFBCUPUQURUSYFYEWEWSUTYFTWBBVAWEWSVBVCVDVPRVEQRXNWOXLGZXRGVTWJWOW
    PXLWSULVTYHWIXRWEVTYHWIWDLZXLGZWIVTWOYIXLWOYIJVTACUMMUNYJWIXLGZWDXLGZLZVTWI
    WIWDXLUOVTWIYKYMVTWIXLVTWRWIVTWRXCWITXEACUPUQURUSYLYKWDWRUTYLTWBAVAWDWRVBVC
    VDVPRVEXRWEJVTWEXRYANMQRVFRVGVTTZWCWAHFZWKYNWBHWAYNWBHFCVHVIZVJYNWIWGGZWFWH
    LZWJLZYOWKYNYQYQYQLZYQLZYSYQYTUUAYQVKZYQYTYQUUBVLUJYNYRYTWJYQYNWFYQWHYQYNWD
    WIWEWGYNWBHAYPVJZYNWBHBYPVJZQYNWDWIWGUUCUNPYNWEWGWIUUDVMPVQYQYOABVNNWFWHWJV
    OVRVEVS $.

  $( Ordinal 3 is the unordered triple containing ordinals 0, 1, and 2.
     (Contributed by RP, 8-Jul-2021.) $)
  df3o2 $p |- 3o = { (/) , 1o , 2o } $=
    ( c3o c2o csuc c0 c1o ctp df-3o csn cun cpr df2o3 uneq1i df-suc df-tp eqtri
    3eqtr4i ) ABCZDEBFZGBBHZIDEJZSIQRBTSKLBMDEBNPO $.

  $( Ordinal 3, fully expanded.  (Contributed by RP, 8-Jul-2021.) $)
  df3o3 $p |- 3o = { (/) , { (/) } , { (/) , { (/) } } } $=
    ( c3o c2o c0 csn cpr ctp df-3o cun df2o2 sneqi uneq12i df-suc df-tp 3eqtr4i
    csuc eqtri ) ABOZCCDZCREZFZGBBDZHSSDZHQTBSUAUBIBSIJKBLCRSMNP $.

  ${
    brfvimex.br $e |- ( ph -> A R B ) $.
    brfvimex.fv $e |- ( ph -> R = ( F ` C ) ) $.
    $( If a binary relation holds and the relation is the value of a function,
       then the argument to that function is a set.  (Contributed by RP,
       22-May-2021.) $)
    brfvimex $p |- ( ph -> C e. _V ) $=
      ( cfv wbr c0 wne cvv wcel breqdi brne0 fvprc necon1ai 3syl ) ABCDFIZJTKLD
      MNZAETBCHGOBCTPUATKDFQRS $.
  $}

  ${
    $d E x y $.  $d F y $.
    brovmptimex.mpt $e |- F = ( x e. E , y e. G |-> H ) $.
    brovmptimex.br $e |- ( ph -> A R B ) $.
    brovmptimex.ov $e |- ( ph -> R = ( C F D ) ) $.
    $( If a binary relation holds and the relation is the value of a binary
       operation built with maps-to, then the arguments to that operation are
       sets.  (Contributed by RP, 22-May-2021.) $)
    brovmptimex $p |- ( ph -> ( C e. _V /\ D e. _V ) ) $=
      ( co wbr c0 cvv wcel wne wa breqdi brne0 reldmmpo ovprc necon1ai 3syl ) A
      DEFGJPZQUIRUAFSTGSTUBZAHUIDEONUCDEUIUDUJUIRFGJBCIKLJMUEUFUGUH $.

    $( If a binary relation holds and the relation is the value of a binary
       operation built with maps-to, then the arguments to that operation are
       sets.  (Contributed by RP, 22-May-2021.) $)
    brovmptimex1 $p |- ( ph -> C e. _V ) $=
      ( cvv wcel brovmptimex simpld ) AFPQGPQABCDEFGHIJKLMNORS $.

    $( If a binary relation holds and the relation is the value of a binary
       operation built with maps-to, then the arguments to that operation are
       sets.  (Contributed by RP, 22-May-2021.) $)
    brovmptimex2 $p |- ( ph -> D e. _V ) $=
      ( cvv wcel brovmptimex simprd ) AFPQGPQABCDEFGHIJKLMNORS $.
  $}

  ${
    brcoffn.c $e |- ( ph -> C Fn Y ) $.
    brcoffn.d $e |- ( ph -> D : X --> Y ) $.
    brcoffn.r $e |- ( ph -> A ( C o. D ) B ) $.
    $( Conditions allowing the decomposition of a binary relation.
       (Contributed by RP, 7-Jun-2021.) $)
    brcoffn $p |- ( ph -> ( A D ( D ` A ) /\ ( D ` A ) C B ) ) $=
      ( wfn wcel cfv wbr wa syl2anc wceq 3ad2ant1 wb fnbrfvb w3a wf fnfco simpl
      ccom simpr syl fnbr 3jca mpdan simp3 fvco3 3adant1 mpbird eqid jctil ffnd
      eqtr3d ffvelrnd anbi12d mpbid ) AADEUEZFKZBFLZUAZBBEMZENZVFCDNZOZAVCVEADG
      KZFGEUBZVCHIGFDEUCPAVCOZAVCVDAVCUDZAVCUFZVLVCBCVBNZVDVNVLAVOVMJUGFBCVBUHP
      UIUJVEVFVFQZVFDMZCQZOVIVEVRVPVEBVBMZVQCVEVKVDVSVQQAVCVKVDIRZAVCVDUKZFGBDE
      ULPVEVSCQZVOAVCVOVDJRVCVDWBVOSAFBCVBTUMUNURVFUOUPVEVPVGVRVHVEEFKVDVPVGSVE
      FGEVTUQWAFBVFETPVEVJVFGLVRVHSAVCVJVDHRVEFGBEVTWAUSGVFCDTPUTVAUG $.
  $}

  ${
    brcofffn.c $e |- ( ph -> C Fn Z ) $.
    brcofffn.d $e |- ( ph -> D : Y --> Z ) $.
    brcofffn.e $e |- ( ph -> E : X --> Y ) $.
    brcofffn.r $e |- ( ph -> A ( C o. ( D o. E ) ) B ) $.
    $( Conditions allowing the decomposition of a binary relation.
       (Contributed by RP, 8-Jun-2021.) $)
    brcofffn $p |- ( ph -> ( A E ( E ` A )
                          /\ ( E ` A ) D ( D ` ( E ` A ) )
                          /\ ( D ` ( E ` A ) ) C B ) ) $=
      ( cfv wbr ccom wa wfn brcoffn adantr w3a fnfco syl2anc coass breqi sylibr
      wf simprr ex jcai simpll simprl 3jca syl ) ABBFNZFOZUOCDEPZOZQZUOUOENZEOZ
      UTCDOZQZQZUPVAVBUAAUSVCABCUQFGHADIRZHIEUGZUQHRJKIHDEUBUCLABCDEFPPZOBCUQFP
      ZOMBCVHVGDEFUDUEUFSAUSVCAUSQUOCDEHIAVEUSJTAVFUSKTAUPURUHSUIUJVDUPVAVBUPUR
      VCUKUSVAVBULUSVAVBUHUMUN $.
  $}

  ${
    brco2f1o.c $e |- ( ph -> C : Y -1-1-onto-> Z ) $.
    brco2f1o.d $e |- ( ph -> D : X -1-1-onto-> Y ) $.
    brco2f1o.r $e |- ( ph -> A ( C o. D ) B ) $.
    $( Conditions allowing the decomposition of a binary relation.
       (Contributed by RP, 8-Jun-2021.) $)
    brco2f1o $p |- ( ph -> ( ( `' C ` B ) C B
                                   /\ A D ( `' C ` B ) ) ) $=
      ( ccnv wbr wa wf1o f1ocnv 3syl ccom wrel wb cfv f1ofn f1of relco relbrcnv
      wfn wf cnvco breqi bitr3i sylib brcoffn f1orel relbrcnvg anbi12d mpbid )
      ACCDLZUAZUQMZURBELZMZNURCDMZBUREMZNACBUTUQHGAFGEOZGFUTOUTGUFJFGEPGFUTUBQA
      GHDOZHGUQOHGUQUGIGHDPHGUQUCQABCDERZMZCBUTUQRZMZKVGCBVFLZMVICBVFDEUDUECBVJ
      VHDEUHUIUJUKULAUSVBVAVCAVEDSUSVBTIGHDUMCURDUNQAVDESVAVCTJFGEUMURBEUNQUOUP
      $.
  $}

  ${
    brco3f1o.c $e |- ( ph -> C : Y -1-1-onto-> Z ) $.
    brco3f1o.d $e |- ( ph -> D : X -1-1-onto-> Y ) $.
    brco3f1o.e $e |- ( ph -> E : W -1-1-onto-> X ) $.
    brco3f1o.r $e |- ( ph -> A ( C o. ( D o. E ) ) B ) $.
    $( Conditions allowing the decomposition of a binary relation.
       (Contributed by RP, 8-Jun-2021.) $)
    brco3f1o $p |- ( ph -> ( ( `' C ` B ) C B
               /\ ( `' D ` ( `' C ` B ) ) D ( `' C ` B )
               /\ A E ( `' D ` ( `' C ` B ) ) ) ) $=
      ( ccnv wbr wf1o f1ocnv 3syl ccom cfv w3a wfn f1ofn wf f1of relco relbrcnv
      cnvco coeq2i eqtri breqi coass 3bitr3ri brcofffn wrel wb f1orel relbrcnvg
      sylib 3anbi123d mpbid ) ACCDOZUAZVCPZVDVDEOZUAZVFPZVGBFOZPZUBVDCDPZVGVDEP
      ZBVGFPZUBACBVIVFVCJIHAGHFQZHGVIQVIHUCMGHFRHGVIUDSAHIEQZIHVFQIHVFUELHIERIH
      VFUFSAIJDQZJIVCQJIVCUEKIJDRJIVCUFSABCDEFTTZPZCBVIVFVCTZTZPZNCBDETZFTZOZPB
      CWCPWAVRCBWCWBFUGUHCBWDVTWDVIWBOZTVTWBFUIWEVSVIDEUIUJUKULBCWCVQDEFUMULUNU
      TUOAVEVKVHVLVJVMAVPDUPVEVKUQKIJDURCVDDUSSAVOEUPVHVLUQLHIEURVDVGEUSSAVNFUP
      VJVMUQMGHFURVGBFUSSVAVB $.
  $}

  ${
    ntrclsbex.d $e |- D = ( O ` B ) $.
    ntrclsbex.r $e |- ( ph -> I D K ) $.
    $( If (pseudo-)interior and (pseudo-)closure functions are related by the
       duality operator then the base set exists.  (Contributed by RP,
       21-May-2021.) $)
    ntrclsbex $p |- ( ph -> B e. _V ) $=
      ( cfv wceq a1i brfvimex ) ADEBCFHCBFIJAGKL $.

    $( The relative complement of the class ` S ` exists as a subset of the
       base set.  (Contributed by RP, 25-Jun-2021.) $)
    ntrclsrcomplex $p |- ( ph -> ( B \ S ) e. ~P B ) $=
      ( cdif cvv ntrclsbex difssd sselpwd ) ABDJBKABCEFGHILABDMN $.
  $}

  $( Kuratowski's K0 axiom implies K0'.  Neighborhood version.  Also a proof
     the dual KA axiom implies KA' when considering the convergents.
     (Contributed by RP, 28-Jun-2021.) $)
  neik0imk0p $p |- ( A. x e. B B e. ( N ` x )
                  -> A. x e. B ( N ` x ) =/= (/) ) $=
    ( cv cfv wcel c0 wne ne0i ralimi ) BADCEZFKGHABKBIJ $.

  ${
    $d B s t $.  $d I s t $.
    $( If an interior function is contracting, the interiors of disjoint sets
       are disjoint.  Kuratowski's K2 axiom implies KB. Interior version.
       (Contributed by RP, 9-Jun-2021.) $)
    ntrk2imkb $p |- ( A. s e. ~P B ( I ` s ) C_ s
                   -> A. s e. ~P B A. t e. ~P B ( ( s i^i t ) = (/)
                               -> ( ( I ` s ) i^i ( I ` t ) ) = (/) ) ) $=
      ( cv cfv wss cpw wral wa cin c0 wceq wi id weq fveq2 sseq12d cbvralvw syl
      biimpi raaanv sylanbrc ss2in adantr simpr sseqtrd ss0 ex 2ralimi ) DEZCFZ
      UKGZDBHZIZUMAEZCFZUPGZJZAUNIDUNIZUKUPKZLMZULUQKZLMZNZAUNIDUNIUOUOURAUNIZU
      TUOOUOVFUMURDAUNDAPZULUQUKUPUKUPCQVGORSUAUMURDAUNUBUCUSVEDAUNUNUSVBVDUSVB
      JZVCLGVDVHVCVALUSVCVAGVBULUKUQUPUDUEUSVBUFUGVCUHTUIUJT $.
  $}

  ${
    $d B s t $.  $d I s t $.
    $( If the interiors of disjoint sets are disjoint, then the interior of the
       empty set is the empty set.  (Contributed by RP, 14-Jun-2021.) $)
    ntrkbimka $p |- ( A. s e. ~P B A. t e. ~P B ( ( s i^i t ) = (/)
                      -> ( ( I ` s ) i^i ( I ` t ) ) = (/) )
                      -> ( I ` (/) ) = (/) ) $=
      ( cv cin c0 wceq cfv cpw wral inidm wcel 0elpw ineq1 eqeq1d fveq2 imbi12d
      wi ineq1d wb 0in pm5.5 ax-mp bitrdi ineq2d rspc2v mp2an eqtr3id ) DEZAEZF
      ZGHZUJCIZUKCIZFZGHZSZABJZKDUSKZGCIZVAVAFZGVALGUSMZVCUTVBGHZSBNZVEURVDVAUO
      FZGHZDAGGUSUSUJGHZURGUKFZGHZVGSZVGVHUMVJUQVGVHULVIGUJGUKOPVHUPVFGVHUNVAUO
      UJGCQTPRVJVKVGUAUKUBVJVGUCUDUEUKGHZVFVBGVLUOVAVAUKGCQUFPUGUHUI $.
  $}

  ${
    $d B s t $.  $d I s t $.
    $( If the interiors of disjoint sets are disjoint and the interior of the
       base set is the base set, then the interior of the empty set is the
       empty set.  Obsolete version of ~ ntrkbimka .  (Contributed by RP,
       12-Jun-2021.) $)
    ntrk0kbimka $p |- ( ( B e. V /\ I e. ( ~P B ^m ~P B ) )
                      -> ( ( ( I ` B ) = B
                      /\ A. s e. ~P B A. t e. ~P B ( ( s i^i t ) = (/)
                      -> ( ( I ` s ) i^i ( I ` t ) ) = (/) ) )
                      -> ( I ` (/) ) = (/) ) ) $=
      ( wcel wa cfv wceq cv cin c0 wi wral a1i ineq1 eqeq1d fveq2 imbi12d wss
      cpw cmap co pwidg ad2antrr 0elpw simprr ineq1d ineq2 ineq2d wb pm5.5 mp1i
      in0 bitrd syl21anc ex wf elmapi adantl ffvelrnd elpwid simpl incom eqtrdi
      rspc2va biimpd cdif reldisj difid sseq2i sylbi syl6com com13 syl2im mpdd
      ss0 ) BDFZCBUAZVSUBUCFZGZBCHZBIZEJZAJZKZLIZWDCHZWECHZKZLIZMZAVSNEVSNZGZWB
      LCHZKZLIZWOLIZWAWNWQWAWNGZBVSFZLVSFZWMWQVRWTVTWNBDUDUEXAWSBUFZOWAWCWMUGWL
      WQBWEKZLIZWBWIKZLIZMZEABLVSVSWDBIZWGXDWKXFXHWFXCLWDBWEPQXHWJXELXHWHWBWIWD
      BCRUHQSWELIZXGBLKZLIZWQMZWQXIXDXKXFWQXIXCXJLWELBUIQXIXEWPLXIWIWOWBWELCRUJ
      QSXKXLWQUKXIBUNXKWQULUMUOVFUPUQWAWOBTZWNWCWQWRMWAWOBWAVSVSLCVTVSVSCURVRCV
      SVSUSUTXAWAXBOVAVBWCWMVCWQWCXMWRWCWQWOBKZLIZXMWRMWCWQXOWCWPXNLWCWPBWOKXNW
      BBWOPBWOVDVEQVGXMXOWOBBVHZTZWRXMXOXQWOBBVIVGXQWOLTWRXPLWOBVJVKWOVQVLVMVMV
      NVOVP $.
  $}

  ${
    $d b k t s x z $.
    $( If the base set is not empty, axiom K3 does not imply KB. A concrete
       example with a pseudo-closure function of
       ` k = ( x e. ~P b |-> ( b \ x ) ) ` is given.  (Contributed by RP,
       16-Jun-2021.) $)
    clsk3nimkb $p |- -. A. b A. k e. ( ~P b ^m ~P b ) ( A. s e. ~P b
                     A. t e. ~P b ( k ` ( s u. t ) )
                     C_ ( ( k ` s ) u. ( k ` t ) ) -> A. s e. ~P b
                     A. t e. ~P b ( ( s u. t ) = b ->
                     ( ( k ` s ) u. ( k ` t ) ) = b ) ) $=
      ( vx vz cv cun wss wral wceq wi wn wa wrex cvv c0 cdif c1o wcel cmap 1oex
      cfv cpw co wal csn wex wne 1n0 nelsn ax-mp eldif ne0i sylbir r19.2zb mpbi
      mp2an rexex rexanali exbii exnal sylbb 3syl cmpt wf difelpw adantr fmpttd
      cin pwexg elmapd mpbird simpllr difeq2 cbvmptv eqtrdi adantl simplr simpr
      simplll elpwid sselpwd vex difexi a1i weq uneq12d difindi eqtr4di sseq12d
      unssd fvmptd ralbidva eqeq1d imbi2d notbid anbi12d pwidg ssidd eldifsnneq
      uneq1 ssequn2 bitr4di ineq1 difeq2d sseq1 ineq2 inidm difid eqcom rspc2ev
      bitrdi syl112anc rexbii rexnal syl inss1 ssun1 sstri sscon jctil rspcedvd
      rgen2w mprg ) CGZAGZHZBGZUCZYFYIUCZYGYIUCZHZIZADGZUDZJZCYPJZYHYOKZYMYOKZL
      ZAYPJZCYPJZMZNZBYPYPUAUEZOZYRUUCLBUUFJZDUFMZDPQUGZRZUUGDUUKJZUUGDUUKOZUUG
      DUHZUUIUUKQUIZUULUUMLSPTZSUUJTMZUUOUBSQUIUUQUJSQUKULUUPUUQNSUUKTUUOSPUUJU
      MUUKSUNUOURUUGDUUKUPUQUUGDUUKUSUUNUUHMZDUHUUIUUGUURDYRUUCBUUFUTVAUUHDVBVC
      VDYOUUKTZUUEYOYHRZYOYFYGVJZRZIZAYPJZCYPJZYSUVBYOKZLZAYPJZCYPJZMZNBEYPYOEG
      ZRZVEZUUFUUSUVMUUFTYPYPUVMVFUUSEYPUVLYPUUSUVLYPTUVKYPTYOUVKUUKVGVHVIUUSYP
      YPUVMPPYOUUKVKZUVNVLVMUUSYIUVMKZNZYRUVEUUDUVJUVPYQUVDCYPUVPYFYPTZNZYNUVCA
      YPUVRYGYPTZNZYJUUTYMUVBUVTFYHYOFGZRZUUTYPYIPUVTYIUVMFYPUWBVEUUSUVOUVQUVSV
      NEFYPUVLUWBUVKUWAYOVOVPVQZUWAYHKUWBUUTKUVTUWAYHYOVOVRUVTYHYOUUKUUSUVOUVQU
      VSWAUVTYFYGYOUVTYFYOUVPUVQUVSVSZWBUVTYGYOUVRUVSVTZWBWLWCUUTPTUVTYOYHDWDZW
      EWFWMUVTYMYOYFRZYOYGRZHUVBUVTYKUWGYLUWHUVTFYFUWBUWGYPYIPUWCFCWGUWBUWGKUVT
      UWAYFYOVOVRUWDUWGPTUVTYOYFUWFWEWFWMUVTFYGUWBUWHYPYIPUWCFAWGUWBUWHKUVTUWAY
      GYOVOVRUWEUWHPTUVTYOYGUWFWEWFWMWHYOYFYGWIWJZWKWNWNUVPUUCUVIUVPUUBUVHCYPUV
      RUUAUVGAYPUVTYTUVFYSUVTYMUVBYOUWIWOWPWNWNWQWRUUSUVJUVEUUSYSUVFMZNZAYPOZCY
      POZUVJUUSYOYPTZUWNYOYOIZYOQKZMZUWMYOUUKWSZUWRUUSYOWTYOPQXAUWKUWOUWQNYGYOI
      ZYOYOYGVJZRZYOKZMZNCAYOYOYPYPCDWGZYSUWSUWJUXCUXDYSYOYGHZYOKUWSUXDYHUXEYOY
      FYOYGXBWOYGYOXCXDUXDUVFUXBUXDUVBUXAYOUXDUVAUWTYOYFYOYGXEXFWOWQWRADWGZUWSU
      WOUXCUWQYGYOYOXGUXFUXBUWPUXFUXBQYOKUWPUXFUXAQYOUXFUXAYOYORQUXFUWTYOYOUXFU
      WTYOYOVJYOYGYOYOXHYOXIVQXFYOXJVQWOQYOXKXMWQWRXLXNUWMUVHMZCYPOUVJUWLUXGCYP
      YSUVFAYPUTXOUVHCYPXPVCXQUVCCAYPYPUVAYHIUVCUVAYFYHYFYGXRYFYGXSXTUVAYHYOYAU
      LYDYBYCYE $.
  $}

  ${
    clsk1indlem.k $e |- K = ( r e. ~P 3o |->
                              if ( r = { (/) } , { (/) , 1o } , r ) ) $.
    $( The ansatz closure function
       ` ( r e. ~P 3o |-> if ( r = { (/) } , { (/) , 1o } , r ) ) ` has the K0
       property of preserving the nullary union.  (Contributed by RP,
       6-Jul-2021.) $)
    clsk1indlem0 $p |- ( K ` (/) ) = (/) $=
      ( c0 c3o cpw wcel cfv wceq 0elpw cv csn c1o cpr cif eqeq1 id ifbieq2d wne
      0nep0 a1i neneqd iffalsed eqtrd 0ex fvmpt ax-mp ) DEFZGDAHDIEJBDBKZDLZIZD
      MNZUIOZDUHAUIDIZUMDUJIZULDODUNUKUOUIDULUIDUJPUNQRUNUOULDUNDUJDUJSUNTUAUBU
      CUDCUEUFUG $.

    ${
      $d s r $.
      $( The ansatz closure function
         ` ( r e. ~P 3o |-> if ( r = { (/) } , { (/) , 1o } , r ) ) ` has the
         K2 property of expanding.  (Contributed by RP, 6-Jul-2021.) $)
      clsk1indlem2 $p |- A. s e. ~P 3o s C_ ( K ` s ) $=
        ( cv cfv wss c3o cpw wcel c0 csn wceq c1o cpr cif wa wn id sseq2 wo a1i
        snsspr1 eqsstrdi ancli con3i ssid jctir orri elimif sylibr weq ifbieq2d
        eqeq1 prex vex ifex fvmpt sseqtrrd rgen ) BEZVAAFZGBHIZVAVCJZVAVAKLZMZK
        NOZVAPZVBVDVFVAVGGZQZVFRZVAVAGZQZUAZVAVHGZVNVDVJVMVJRVKVLVFVJVFVIVFVAVE
        VGVFSKNUCUDUEUFVAUGUHUIUBVFVOVIVLVGVAVHVGVATVHVAVATUJUKCVACEZVEMZVGVPPV
        HVCACBULZVQVFVPVAVGVPVAVEUNVRSUMDVFVGVAKNUOBUPUQURUSUT $.
    $}

    ${
      $d r s t $.  $d x s t $.
      $( The ansatz closure function
         ` ( r e. ~P 3o |-> if ( r = { (/) } , { (/) , 1o } , r ) ) ` has the
         K3 property of being sub-linear.  (Contributed by RP, 6-Jul-2021.) $)
      clsk1indlem3 $p |- A. s e. ~P 3o A. t e. ~P 3o
                            ( K ` ( s u. t ) ) C_ ( ( K ` s ) u. ( K ` t ) ) $=
        ( vx cv cun wcel wa c0 wceq cif wo wi ex a1i adantrd adantl id cfv elif
        wss c3o cpw csn c1o cpr wn wel uneq12 unidm eqtrdi an3 orcd pm2.24 impd
        jaao mpdan uneqsn df-3or bitri pm2.21 jaod adantr adantld syl5bi biimpi
        w3o elun andi simpl anim1i simpr orim12i sylbi sylan2 olcd sylib expcom
        or4 orc snsspr1 eqsstrdi sseld impcom jca olc jaoa anc2li orim12d com12
        jaoi or42 syl6ib 4exmid mpjaod orbi12i sylbbr syl6 ssrdv eqeq1 ifbieq2d
        pwuncl prex vex unex ifex fvmpt syl weq uneq12d 3sstr4d rgen2 ) CGZAGZH
        ZBUAZXOBUAZXPBUAZHZUCCAUDUEZYBXOYBIZXPYBIZJZXQKUFZLZKUGUHZXQMZXOYFLZYHX
        OMZXPYFLZYHXPMZHZXRYAYEFYIYNYEFGZYIIZYJYOYHIZJZYJUIZFCUJZJZNZYLYQJZYLUI
        ZFAUJZJZNZNZYOYNIZYPYGYQJZYGUIZYOXQIZJZNZYEUUHYGYOYHXQUBYEYJYLJZYSUUDJZ
        NZUUNUUHOZYJUUDJZYLYSJZNZYEUUOUURUUPUUOUUROYEUUOYGUURUUOXQYFYFHYFXOYFXP
        YFUKYFULUMUUOUUJUUHYGUUMUUOUUJUUHUUOUUJJZUUBUUGUVBYRUUAYJYLYGYQUNUOUOPY
        GUUKUULUUHYGUULUUHOUPUQURUSQUUPUUROYEUUPUUJUUHUUMUUPYGYQUUHYGUUOYJXPKLZ
        JZNZXOKLZYLJZNZUUPYQUUHOZYGUUOUVDUVGVIUVHXOXPKUTUUOUVDUVGVAVBUUPUVEUVIU
        VGYSUVEUVIOUUDYSUUOUVIUVDYSYJUVIYLYJUVIVCZRYSYJUVIUVCUVJRVDVEUUPYLUVIUV
        FUUDYLUVIOYSYLUVIVCSVFVDVGUQUUPUUMUUHUUPUUMJZYRUUCNZUUAUUFNZNUUHUVKUVMU
        VLUUMUUPYTUUENZUVMUULUVNUUKUULUVNYOXOXPVJZVHSUUPUVNJUUPYTJZUUPUUEJZNUVM
        UUPYTUUEVKUVPUUAUVQUUFUUPYSYTYSUUDVLVMUUPUUDUUEYSUUDVNVMVOVPVQVRYRUUCUU
        AUUFWAVSPVDQVDUVAUUROYEUVAUUNYRUUFNZUUAUUCNZNZUUHUUNUVAUVTUUNUUSUVRUUTU
        VSUUJUUSUVROZUUMYQUWAYGYQYJUVRUUDYJYQUVRYRUUFWBVTRSUULUWAUUKUULUVNUWAUV
        OYTYJUVRUUEUUDYTYJUVRYTYJJZYRUUFUWBYJYQYTYJVNYJYTYQYJXOYHYOYJXOYFYHYJTK
        UGWCZWDWEWFWGUOPUUDUUEUVRUUFYRWHVTWIVPSWMUUJUUTUVSOZUUMUUJYLUVSYSYQYLUV
        SOYGYLYQUVSUUCUUAWHVTSRUULUWDUUKUULUVNUWDUVOUUTUVNUVSUUTYTUUAUUEUUCYSYT
        UUAOYLYSYTUUAUUATPSYLUUEUUCOYSYLUUEYQYLXPYHYOYLXPYFYHYLTUWCWDWEWJVEWKWL
        VPSWMWKWLYRUUFUUAUUCWNWOQUUQUVANYEYJYLWPQWQVGUUIYOYKIZYOYMIZNUUHYOYKYMV
        JUWEUUBUWFUUGYJYOYHXOUBYLYOYHXPUBWRWSWTXAYEXQYBIXRYILXOXPUDXDDXQDGZYFLZ
        YHUWGMZYIYBBUWGXQLZUWHYGUWGXQYHUWGXQYFXBUWJTXCEYGYHXQKUGXEZXOXPCXFZAXFZ
        XGXHXIXJYEXSYKXTYMYCXSYKLYDDXOUWIYKYBBDCXKZUWHYJUWGXOYHUWGXOYFXBUWNTXCE
        YJYHXOUWKUWLXHXIVEYDXTYMLYCDXPUWIYMYBBDAXKZUWHYLUWGXPYHUWGXPYFXBUWOTXCE
        YLYHXPUWKUWMXHXISXLXMXN $.
    $}

    ${
      $d r s $.
      $( The ansatz closure function
         ` ( r e. ~P 3o |-> if ( r = { (/) } , { (/) , 1o } , r ) ) ` has the
         K4 property of idempotence.  (Contributed by RP, 6-Jul-2021.) $)
      clsk1indlem4 $p |- A. s e. ~P 3o ( K ` ( K ` s ) ) = ( K ` s ) $=
        ( cv cfv wceq c3o cpw wcel c0 c1o cif c2o wtru cvv a1i id wa eqcom tpex
        csn cpr ctp wss snsstp1 0ex snss snsstp2 1oex prssd sselpwd mptru df3o2
        sylibr pweqi eleqtrri ifcld wn wo eqeq1 bitri bitrdi ifbieq2d 1n0 dfsn2
        eqif eqeq1i wb con0 preq2b 3bitri nemtbir intnan pm3.24 anbi2ci pm3.2ni
        1on mtbi iffalsei eqtrdi prex vex ifex fvmpt syl fveq2d 3eqtr4d rgen
        weq ) BEZAFZAFZWLGBHIZWKWNJZWKKUBZGZKLUCZWKMZAFZWSWMWLWOWSWNJWTWSGWOWQW
        RWKWNWRWNJWOWRKLNUDZIZWNWRXBJOWRXAPXAPJOKLNUAQOKLXAOWPXAUEZKXAJXCOKLNUF
        QKXAUGUHUOOLUBXAUEZLXAJXDOKLNUIQLXAUJUHUOUKULUMHXAUNUPUQQWORURCWSCEZWPG
        ZWRXEMZWSWNAXEWSGZXGWQWPWRGZSZWQUSZWPWKGZSZUTZWRWSMWSXHXFXNXEWSWRXHXFWS
        WPGZXNXEWSWPVAXOWPWSGXNWSWPTWQWPWRWKVGVBVCXHRVDXNWRWSXJXMXIWQXILKVEXIKK
        UCZWRGZKLGZLKGWPXPWRKVFVHXQXRVIOKLKPVJKPJOUGQLVJJOVRQVKUMKLTVLVMVNWQXKS
        XMWQVOWQXLXKWKWPTVPVSVQVTWADWQWRWKKLWBBWCWDZWEWFWOWLWSACWKXGWSWNACBWJZX
        FWQXEWKWRXEWKWPVAXTRVDDXSWEZWGYAWHWI $.
    $}

    ${
      $d K s t $.  $d r s t $.
      $( The ansatz closure function
         ` ( r e. ~P 3o |-> if ( r = { (/) } , { (/) , 1o } , r ) ) ` does not
         have the K1 property of isotony.  (Contributed by RP, 6-Jul-2021.) $)
      clsk1indlem1 $p |- E. s e. ~P 3o E. t e. ~P 3o ( s C_ t /\
                                                 -. ( K ` s ) C_ ( K ` t ) ) $=
        ( c0 wcel c2o cv wss cfv wn wa wrex c1o cvv wtru a1i wceq adantl elpwi2
        csn c3o cpw cpr ctp tpex snsstp1 df3o2 eleqtrri 0ex snss sylibr snsstp3
        pweqi 2oex prssd sselpwd mptru simpl sseq1 fveq2 sseq1d anbi12d rexbidv
        wb notbid simpr sseq2d cleq2lem 1oex prid2 cif iftrue prex fvmpt adantr
        eleqtrrid wo 1n0 neii eqcom df-2o df-1o eqeq12i suc11reg 3bitri nemtbir
        csuc pm3.2ni elpri mto eqeq1 id ifbieq2d 2on0 nelsn ax-mp nelneq2 mp2an
        wne iffalsei eqtrdi neleqtrrd nelss syl2anc snsspr1 jctil rspcedvd ) FU
        BZUCUDZGZFHUEZXKGZCIZAIZJZXOBKZXPBKZJZLZMZAXKNZCXKNXJFOHUFZUDZXKXJYDPFO
        HUGZFOHUHZUAUCYDUIUOZUJXMYEXKXMYEGQXMYDPYDPGQYFRQFHYDQXJYDJZFYDGYIQYGRF
        YDUKULUMQHUBYDJZHYDGYJQFOHUNRHYDUPULUMUQURUSYHUJXLXNMZYCXJXPJZXJBKZXSJZ
        LZMZAXKNZCXJXKXLXNUTXOXJSZYCYQVFYKYRYBYPAXKYRXQYLYAYOXOXJXPVAYRXTYNYRXR
        YMXSXOXJBVBVCVGVDVETYKYPXJXMJZYMXMBKZJZLZMZAXMXKXLXNVHXPXMSZYPUUCVFYKYO
        UUBXPXMXJUUDYNUUAUUDXSYTYMXPXMBVBVIVGVJTYKUUBYSYKOYMGOYTGLUUBYKOFOUEZYM
        FOVKVLXLYMUUESXNDXJDIZXJSZUUEUUFVMZUUEXKBUUGUUEUUFVNEFOVOVPVQVRYKYTXMOO
        XMGZLYKUUIOFSZOHSZVSUUJUUKOFVTWAUUKOFVTUUKHOSOWIZFWIZSUUJOHWBHUULOUUMWC
        WDWEOFWFWGWHWJOFHWKWLRXNYTXMSXLDXMUUHXMXKBUUFXMSZUUHXMXJSZUUEXMVMXMUUNU
        UGUUOUUFXMUUEUUFXMXJWMUUNWNWOUUOUUEXMHXMGHXJGLZUUOLFHUPVLHFXAUUPWPHFWQW
        RHXMXJWSWTXBXCEFHVOVPTXDOYMYTXEXFFHXGXHXIXIWT $.
    $}
  $}

  ${
    $( Question: Does K0, K2, K3, K4 imply K1 ? Stadler has twice said so.

         But for base sets of at least 3 elements, counter examples exist.
         ( s e. ~P { a, b, c } |-> if ( s = { a } , { a, b } , s ) ) is
         a pseudo-closure function which satisfies K0, K2, K3, and K4,
         but not K1.
    $)
    clsnim.k0 $e |- ( ph <-> ( k ` (/) ) = (/) ) $.
    clsnim.k1 $e |- ( ps <-> A. s e. ~P b A. t e. ~P b
                             ( s C_ t -> ( k ` s ) C_ ( k ` t ) ) ) $.
    clsnim.k2 $e |- ( ch <-> A. s e. ~P b s C_ ( k ` s ) ) $.
    clsnim.k3 $e |- ( th <-> A. s e. ~P b A. t e. ~P b
                      ( k ` ( s u. t ) ) C_ ( ( k ` s ) u. ( k ` t ) ) ) $.
    clsnim.k4 $e |- ( ta <-> A. s e. ~P b ( k ` ( k ` s ) ) = ( k ` s ) ) $.
    ${
      $d b k s t $.  $d r k s t $.
      $( For generalized closure functions, property K1 (isotony)
         is independent of the properties K0, K2, K3, K4.
         <HTML>
         This contradicts a claim which appears in preprints of Table
         2 in B&auml;rbel M. R. Stadler and Peter F. Stadler.  "Generalized
         Topological Spaces in Evolutionary Theory and Combinatorial
         Chemistry." <I>J. Chem. Inf. Comput. Sci.</I>, <B>42</B>:577-585,
         2002. Proceedings MCC 2001, Dubrovnik.
         The same table row implying K1 follows from the other four
         appears in the supplemental materials B&auml;rbel M. R. Stadler
         and Peter F. Stadler. "Basic Properties of Closure Spaces"
         2001 on page 12.
         </HTML>
         (Contributed by RP, 5-Jul-2021.) $)
      clsk1independent $p |- -. A. b A. k e. ( ~P b ^m ~P b ) (
                    ( ( ph /\ ch ) /\ ( th /\ ta ) ) -> ps ) $=
        ( vr c3o cfv wral wa wn cvv wcel c0 cv wceq wss cpw cun wi cmap co wrex
        wal con0 3on elexi csn c1o cpr cif cmpt wf eqid wo notnotr a1i c2o csuc
        sssucid 2oex elpw mpbir df2o3 df-3o eqcomi pweqi 2a1i jcad con1d anc2ri
        3eltr3i orrd sylibr fmpti clsk1indlem0 clsk1indlem2 pm3.2i clsk1indlem3
        ifel pwex elmap clsk1indlem4 clsk1indlem1 eqeq1d sseq2d ralbidv anbi12d
        fveq1 uneq12d sseq12d 2ralbidv id fveq12d eqeq12d rexnal2 pm4.61 notbid
        anbi2d syl5bb 2rexbidv bitr3id rspcev pweq oveq12d wb raleqdv raleqbidv
        mp2an rexeqbidv ralv xchbinx sylib ) PUAUBZUCGUDZQZUCUEZHUDZYGYDQZUFZHP
        UGZRZSZYGFUDZUHZYDQZYHYMYDQZUHZUFZFYJRZHYJRZYHYDQZYHUEZHYJRZSZSZYGYMUFZ
        YHYPUFZUIZFYJRZHYJRZTZSZGYJYJUJUKZULZACSZDESZSZBUIZGIUDZUGZUUTUJUKZRZIU
        MZTZPUNUOUPZOYJOUDZUCUQUEZUCURUSZUVFUTZVAZUUMUBZUCUVJQZUCUEZYGYGUVJQZUF
        ZHYJRZSZYNUVJQZUVNYMUVJQZUHZUFZFYJRHYJRZUVNUVJQZUVNUEZHYJRZSZSZUUFUVNUV
        SUFZTZSZFYJULHYJULZSZUUNUVKYJYJUVJVBOYJYJUVIUVJUVJVCZUVFYJUBZUVGUVHYJUB
        ZSZUVGTZUWNSZVDUVIYJUBUWNUWPUWRUWNUWPTUWQUWNUWQUWPUWNUWQTZUVGUWOUWSUVGU
        IUWNUVGVEVFUWOUWNUWSVGVGVHZUGZUVHYJVGUXAUBVGUWTUFVGVIVGUWTVJVKVLVMUWTPP
        UWTVNVOVPWAVQVRVSVTWBUVGUVHUVFYJWIWCWDYJYJUVJPUVEWJZUXBWKVLUWGUWKUVQUWF
        UVMUVPUVJOUWMWEUVJHOUWMWFWGUWBUWEFUVJHOUWMWHUVJHOUWMWLWGWGFUVJHOUWMWMWG
        UULUWLGUVJUUMYDUVJUEZUUEUWGUUKUWKUXCYLUVQUUDUWFUXCYFUVMYKUVPUXCYEUVLUCU
        CYDUVJWRWNUXCYIUVOHYJUXCYHUVNYGYGYDUVJWRZWOWPWQUXCYTUWBUUCUWEUXCYRUWAHF
        YJYJUXCYOUVRYQUVTYNYDUVJWRUXCYHUVNYPUVSUXDYMYDUVJWRZWSWTXAUXCUUBUWDHYJU
        XCUUAUWCYHUVNUXCYHUVNYDUVJUXCXBUXDXCUXDXDWPWQWQUUKUUHTZFYJULHYJULUXCUWK
        UUHHFYJYJXEUXCUXFUWJHFYJYJUXFUUFUUGTZSUXCUWJUUFUUGXFUXCUXGUWIUUFUXCUUGU
        WHUXCYHUVNYPUVSUXDUXEWTXGXHXIXJXKWQXLXRYCUUNSUURTZGUVAULZIUAULZUVDUXIUU
        NIPUAUUSPUEZUXHUULGUVAUUMUXKUUTYJUUTYJUJUUSPXMZUXLXNUXHUUQBTZSUXKUULUUQ
        BXFUXKUUQUUEUXMUUKUXKUUOYLUUPUUDUXKAYFCYKAYFXOUXKJVFCYIHUUTRUXKYKLUXKYI
        HUUTYJUXLXPXIWQUXKDYTEUUCDYRFUUTRZHUUTRUXKYTMUXKUXNYSHUUTYJUXLUXKYRFUUT
        YJUXLXPXQXIEUUBHUUTRUXKUUCNUXKUUBHUUTYJUXLXPXIWQWQUXKBUUJBUUHFUUTRZHUUT
        RUXKUUJKUXKUXOUUIHUUTYJUXLUXKUUHFUUTYJUXLXPXQXIXGWQXIXSXLUXJUVBIUARUVCU
        URIGUAUVAXEUVBIXTYAYBXR $.
    $}
  $}

  ${
    $d B s t $.  $d N s t $.  $d ph s x $.  $d t x $.
    neik0pk1imk0.bex $e |- ( ph -> B e. V ) $.
    neik0pk1imk0.n $e |- ( ph -> N e. ( ~P ~P B ^m B ) ) $.
    neik0pk1imk0.k0p $e |- ( ph -> A. x e. B ( N ` x ) =/= (/) ) $.
    neik0pk1imk0.k1 $e |- ( ph -> A. x e. B A. s e. ~P B A. t e. ~P B
                                  ( ( s e. ( N ` x ) /\ s C_ t )
                                    -> t e. ( N ` x ) ) ) $.
    $( Kuratowski's K0' and K1 axioms imply K0.  Neighborhood version.
       (Contributed by RP, 3-Jun-2021.) $)
    neik0pk1imk0 $p |- ( ph -> A. x e. B B e. ( N ` x ) ) $=
      ( cv wcel wss wa cpw wi wral ralimdv mpd cfv wrex pwidg wceq sseq2 anbi2d
      eleq1 imbi12d rspcv 3syl r19.23v biimpi a1i c0 wne wex cmap co elmapi syl
      wf ffvelrnda elpwid sseld ancrd eximdv df-rex 3imtr4g imp elpwi ralrimivw
      n0 syl6 adantr r19.29imd ex ralimdva ralim sylc ) AGLZBLZEUAZMZVTDNZOZGDP
      ZUBZDWBMZQZBDRZWGBDRZWHBDRAWEWHQZGWFRZBDRZWJAWCVTCLZNZOZWOWBMZQZCWFRZGWFR
      ZBDRWNKAXAWMBDAWTWLGWFADFMDWFMWTWLQHDFUCWSWLCDWFWODUDZWQWEWRWHXBWPWDWCWOD
      VTUEUFWODWBUGUHUIUJSSTAWMWIBDWMWIQAWMWIWEWHGWFUKULUMSTAWBUNUOZBDRWKJAXCWG
      BDAWADMOZXCWGXDXCOWCWDGWFXDXCWCGWFUBZXDWCGUPVTWFMZWCOZGUPXCXEXDWCXGGXDWCX
      FXDWBWFVTXDWBWFADWFPZWAEAEXHDUQURMDXHEVAIEXHDUSUTVBVCVDZVEVFGWBVLWCGWFVGV
      HVIXDWCWDQZGWFRXCXDXJGWFXDWCXFWDXIVTDVJVMVKVNVOVPVQTWGWHBDVRVS $.
  $}

  ${
    $( Based on:

       Casimir Kuratowski (Kazimierz Kuratowski).
       "Sur l'op&#233;ration A&#773; de l'Analysis Situs."
       Fundamenta Mathematicae, 3:182-199, 1922.

       P. C. Hammer. "Extended topology: Set-valued set functions."
       Nieuw Arch. Wisk. III, 10:55-77, 1962.
    $)

    $d A a b c d $.  $d F a b c d $.
    $( Two different ways to say subset relation persists across applications
       of a function.  (Contributed by RP, 31-May-2021.) $)
    isotone1 $p |- ( A. a e. ~P A A. b e. ~P A
                     ( a C_ b -> ( F ` a ) C_ ( F ` b ) )
                 <-> A. a e. ~P A A. b e. ~P A
                     ( ( F ` a ) u. ( F ` b ) ) C_ ( F ` ( a u. b ) ) ) $=
      ( vc vd cv wss cfv wi wral cun weq sseq1 fveq2 sseq1d imbi12d sseq2 wcel
      wa cpw sseq2d cbvral2vw ssun1 simprl pwuncl adantl simpl rspc2va syl21anc
      wceq mpi ssun2 simprr unssd ralrimivva ssequn1 uneq1d uneq1 fveq2d uneq2d
      sseq12d uneq2 ancoms unssad adantr sseqtrd ex syl5bi impbii bitri ) CGZDG
      ZHZVLBIZVMBIZHZJZDAUAZKCVSKEGZFGZHZVTBIZWABIZHZJZFVSKEVSKZVOVPLZVLVMLZBIZ
      HZDVSKCVSKZVRWFVTVMHZWCVPHZJCDEFVSVSCEMZVNWMVQWNVLVTVMNWOVOWCVPVLVTBOZPQD
      FMZWMWBWNWEVMWAVTRWQVPWDWCVMWABOZUBQUCWGWLWGWKCDVSVSWGVLVSSZVMVSSZTZTZVOV
      PWJXBVLWIHZVOWJHZVLVMUDXBWSWIVSSZWGXCXDJZWGWSWTUEXAXEWGVLVMAUFUGZWGXAUHZW
      FXFVLWAHZVOWDHZJEFVLWIVSVSECMZWBXIWEXJVTVLWANXKWCVOWDVTVLBOPQWAWIUKZXIXCX
      JXDWAWIVLRXLWDWJVOWAWIBOZUBQUIUJULXBVMWIHZVPWJHZVMVLUMXBWTXEWGXNXOJZWGWSW
      TUNXGXHWFXPVMWAHZVPWDHZJEFVMWIVSVSEDMZWBXQWEXRVTVMWANXSWCVPWDVTVMBOPQXLXQ
      XNXRXOWAWIVMRXLWDWJVPXMUBQUIUJULUOUPWLWFEFVSVSWBVTWALZWAUKZWLVTVSSWAVSSTZ
      TZWEVTWAUQYCYAWEYCYATWCXTBIZWDYCWCYDHYAYCWCWDYDYBWLWCWDLZYDHZWKYFWCVPLZVT
      VMLZBIZHCDVTWAVSVSWOWHYGWJYIWOVOWCVPWPURWOWIYHBVLVTVMUSUTVBWQYGYEYIYDWQVP
      WDWCWRVAWQYHXTBVMWAVTVCUTVBUIVDVEVFYAYDWDUKYCXTWABOUGVGVHVIUPVJVK $.

    $( Two different ways to say subset relation persists across applications
       of a function.  (Contributed by RP, 31-May-2021.) $)
    isotone2 $p |- ( A. a e. ~P A A. b e. ~P A
                     ( a C_ b -> ( F ` a ) C_ ( F ` b ) )
                 <-> A. a e. ~P A A. b e. ~P A
                     ( F ` ( a i^i b ) ) C_ ( ( F ` a ) i^i ( F ` b ) ) ) $=
      ( vc vd cv wss cfv wi wral cin weq fveq2 imbi12d sseq2 sseq2d wcel wceq
      wa cpw sseq1 sseq1d cbvral2vw inss1 inss2 elpwi sstrid vex inex2 ad2antll
      elpw sylibr simprl simpl syl21anc mpi simprr ssind ralrimivva dfss adantl
      rspc2va ineq1 fveq2d ineq1d sseq12d ineq2 ineq2d ancoms sstrdi eqsstrd ex
      adantr syl5bi impbii bitri ) CGZDGZHZVRBIZVSBIZHZJZDAUAZKCWEKEGZFGZHZWFBI
      ZWGBIZHZJZFWEKEWEKZVRVSLZBIZWAWBLZHZDWEKCWEKZWDWLWFVSHZWIWBHZJCDEFWEWECEM
      ZVTWSWCWTVRWFVSUBXAWAWIWBVRWFBNZUCODFMZWSWHWTWKVSWGWFPXCWBWJWIVSWGBNZQOUD
      WMWRWMWQCDWEWEWMVRWERZVSWERZTZTZWOWAWBXHWNVRHZWOWAHZVRVSUEXHWNWERZXEWMXIX
      JJZXFXKWMXEXFWNAHXKXFWNVSAVRVSUFZVSAUGUHWNAVSVRDUIUJULUMUKZWMXEXFUNWMXGUO
      ZWLXLWNWGHZWOWJHZJZEFWNVRWEWEWFWNSZWHXPWKXQWFWNWGUBXSWIWOWJWFWNBNUCOZFCMZ
      XPXIXQXJWGVRWNPYAWJWAWOWGVRBNQOVCUPUQXHWNVSHZWOWBHZXMXHXKXFWMYBYCJZXNWMXE
      XFURXOWLYDXREFWNVSWEWEXTFDMZXPYBXQYCWGVSWNPYEWJWBWOWGVSBNQOVCUPUQUSUTWRWL
      EFWEWEWHWFWFWGLZSZWRWFWERWGWERTZTZWKWFWGVAYIYGWKYIYGTWIYFBIZWJYGWIYJSYIWF
      YFBNVBYIYJWJHYGYIYJWIWJLZWJYHWRYJYKHZWQYLWFVSLZBIZWIWBLZHCDWFWGWEWEXAWOYN
      WPYOXAWNYMBVRWFVSVDVEXAWAWIWBXBVFVGXCYNYJYOYKXCYMYFBVSWGWFVHVEXCWBWJWIXDV
      IVGVCVJWIWJUFVKVNVLVMVOUTVPVQ $.
  $}

  ${
    $d B s t $.  $d I s t $.
    $( An interior function is both monotone and sub-linear if and only if it
       is finitely linear.  (Contributed by RP, 18-Jun-2021.) $)
    ntrk1k3eqk13 $p |- ( ( A. s e. ~P B A. t e. ~P B ( s C_ t
                               -> ( I ` s ) C_ ( I ` t ) )
                        /\ A. s e. ~P B A. t e. ~P B
                          ( ( I ` s ) i^i ( I ` t ) ) C_ ( I ` ( s i^i t ) )
                     ) <-> A. s e. ~P B A. t e. ~P B ( I ` ( s i^i t ) )
                                             = ( ( I ` s ) i^i ( I ` t ) ) ) $=
      ( cv cin cfv wss wa cpw wral wceq r19.26-2 eqss 2ralbii isotone2 3bitr4ri
      wi anbi1i ) DEZAEZFCGZTCGZUACGZFZHZUEUBHZIZABJZKDUIKUFAUIKDUIKZUGAUIKDUIK
      ZIUBUELZAUIKDUIKTUAHUCUDHRAUIKDUIKZUKIUFUGDAUIUIMULUHDAUIUIUBUENOUMUJUKBC
      DAPSQ $.
  $}

  ${
    ntrcls.o $e |- O = ( i e. _V |-> ( k e. ( ~P i ^m ~P i ) |->
                        ( j e. ~P i |-> ( i \ ( k ` ( i \ j ) ) ) ) ) ) $.
    ntrcls.d $e |- D = ( O ` B ) $.
    ntrcls.r $e |- ( ph -> I D K ) $.

    ${
      $d B i j k $.  $d ph i j k $.
      $( If (pseudo-)interior and (pseudo-)closure functions are related by the
         duality operator we may characterize the relation as part of a 1-to-1
         onto function.  (Contributed by RP, 29-May-2021.) $)
      ntrclsf1o $p |- ( ph -> D : ( ~P B ^m ~P B ) -1-1-onto->
                                  ( ~P B ^m ~P B ) ) $=
        ( cvv ntrclsbex dssmapf1od ) ABCFIMEDJKABCGHIKLNO $.
    $}

    ${
      $d B i j k $.  $d ph i j k $.

      $( If (pseudo-)interior and (pseudo-)closure functions are related by the
         duality operator then they are related the opposite way.  (Contributed
         by RP, 21-May-2021.) $)
      ntrclsnvobr $p |- ( ph -> K D I ) $=
        ( ccnv cvv ntrclsbex dssmapnvod wbr cpw cmap co wf1o wrel f1orel mpbird
        wb ntrclsf1o relbrcnvg 3syl breqdi ) ACMZCHGABCFINEDJKABCGHIKLOPAHGUJQZ
        GHCQZLABRZUMSTZUNCUACUBUKULUEABCDEFGHIJKLUFUNUNCUCHGCUGUHUDUI $.
    $}

    ${
      $d B i j k $.  $d ph i j k $.

      $( If (pseudo-)interior and (pseudo-)closure functions are related by the
         duality operator then those functions are maps of subsets to subsets.
         (Contributed by RP, 21-May-2021.) $)
      ntrclsiex $p |- ( ph -> I e. ( ~P B ^m ~P B ) ) $=
        ( cdm cpw cmap co wrel wbr wcel syl wf1o ntrclsf1o releldm syl2anc wceq
        f1orel f1odm eleqtrd ) AGCMZBNZUJOPZACQZGHCRGUISAUKUKCUAZULABCDEFGHIJKL
        UBZUKUKCUFTLGHCUCUDAUMUIUKUEUNUKUKCUGTUH $.
    $}

    ${
      $d B i j k $.  $d ph i j k $.

      $( If (pseudo-)interior and (pseudo-)closure functions are related by the
         duality operator then those functions are maps of subsets to subsets.
         (Contributed by RP, 21-May-2021.) $)
      ntrclskex $p |- ( ph -> K e. ( ~P B ^m ~P B ) ) $=
        ( ntrclsnvobr ntrclsiex ) ABCDEFHGIJKABCDEFGHIJKLMN $.
    $}

    ${
      $d B i j k $.  $d ph i j k $.
      $( If (pseudo-)interior and (pseudo-)closure functions are related by the
         duality operator then there is a functional relation between them
         (Contributed by RP, 28-May-2021.) $)
      ntrclsfv1 $p |- ( ph -> ( D ` I ) = K ) $=
        ( cfv wceq wbr wfun wcel wa syl jca cdm wb cpw cmap wfn ntrclsf1o f1ofn
        co wf1o ntrclsiex fnfun adantr fndm eleq2d biimpar funbrfvb mpbird ) AG
        CMHNZGHCOZLACPZGCUAZQZRZURUSUBACBUCZVDUDUHZUEZGVEQZRZVCAVFVGAVEVECUIVFA
        BCDEFGHIJKLUFVEVECUGSABCDEFGHIJKLUJTVHUTVBVFUTVGVECUKULVFVBVGVFVAVEGVEC
        UMUNUOTSGHCUPSUQ $.

      $( If (pseudo-)interior and (pseudo-)closure functions are related by the
         duality operator then there is a functional relation between them
         (Contributed by RP, 28-May-2021.) $)
      ntrclsfv2 $p |- ( ph -> ( D ` K ) = I ) $=
        ( ntrclsnvobr ntrclsfv1 ) ABCDEFHGIJKABCDEFGHIJKLMN $.
    $}

    ${
      ntrcls.x $e |- ( ph -> X e. B ) $.
      ${
        ntrcls.s $e |- ( ph -> S e. ~P B ) $.
        ${
          $d B i j k $.  $d K j k $.  $d S j $.  $d ph i j k $.
          $( If (pseudo-)interior and (pseudo-)closure functions are related by
             the duality operator then there is an equivalence between
             membership in the interior of a set and non-membership in the
             closure of the complement of the set.  (Contributed by RP,
             28-May-2021.) $)
          ntrclselnel1 $p |- ( ph -> ( X e. ( I ` S )
                                       <-> -. X e. ( K ` ( B \ S ) ) ) ) $=
            ( cfv wcel cdif eqid wn ntrclsfv2 eqcomd fveq1d ntrclsbex ntrclskex
            cvv dssmapfv3d eqtrd eleq2d wa wb eldif a1i mpbirand bitrd ) AKDHQZ
            RKBBDSIQZSZRZKURRUAZAUQUSKAUQDICQZQZUSADHVBAVBHABCEFGHIJLMNUBUCUDAB
            CDVCGIVBJUGFELMABCHIJMNUEABCEFGHIJLMNUFVBTPVCTUHUIUJAUTKBRZVAOUTVDV
            AUKULAKBURUMUNUOUP $.
        $}

        ${
          $d B i j k $.  $d I j k $.  $d S j $.  $d ph i j k $.
          $( If (pseudo-)interior and (pseudo-)closure functions are related by
             the duality operator then there is an equivalence between
             membership in interior of the complement of a set and
             non-membership in the closure of the set.  (Contributed by RP,
             28-May-2021.) $)
          ntrclselnel2 $p |- ( ph -> ( X e. ( I ` ( B \ S ) )
                                       <-> -. X e. ( K ` S ) ) ) $=
            ( cfv wcel cdif ntrclsnvobr ntrclselnel1 con2bid ) AKDIQRKBDSHQRABC
            DEFGIHJKLMABCEFGHIJLMNTOPUAUB $.
        $}
      $}
    $}

    ${
      ntrclsfv.s $e |- ( ph -> S e. ~P B ) $.

      ${
        $d B i j k $.  $d K j k $.  $d S j $.  $d ph i j k $.
        $( The value of the interior (closure) expressed in terms of the
           closure (interior).  (Contributed by RP, 25-Jun-2021.) $)
        ntrclsfv $p |- ( ph -> ( I ` S ) = ( B \ ( K ` ( B \ S ) ) ) ) $=
          ( cfv cdif ntrclsfv2 fveq1d cvv eqid ntrclsbex ntrclskex dssmapfv3d
          eqtr3d ) ADICOZOZDHOBBDPIOPADUEHABCEFGHIJKLMQRABCDUFGIUEJSFEKLABCHIJL
          MUAABCEFGHIJKLMUBUETNUFTUCUD $.
      $}

      ${
        ntrclsfv.c $e |- ( ph -> C e. ~P B ) $.

        ${
          $d B i j k $.  $d K j k $.  $d S j $.  $d ph i j k $.
          $( If interior and closure functions are related then specific
             function values are complementary.  (Contributed by RP,
             27-Jun-2021.) $)
          ntrclsfveq1 $p |- ( ph -> ( ( I ` S ) = C <->
                              ( K ` ( B \ S ) ) = ( B \ C ) ) ) $=
            ( cdif cfv wceq wss elpwid dfss4 eqcomd eqeq2d ntrclsfv eqeq1d cmap
            sylib wb co wcel wf ntrclskex elmapi ntrclsrcomplex ffvelrnd difssd
            cpw syl rcompleq syl2anc 3bitr4d ) ABBEQZJRZQZCSVEBBCQZQZSZEIRZCSVD
            VFSZACVGVEAVGCACBTVGCSACBPUACBUBUHUCUDAVIVECABDEFGHIJKLMNOUEUFAVDBT
            VFBTVJVHUIAVDBABURZVKVCJAJVKVKUGUJUKVKVKJULABDFGHIJKLMNUMJVKVKUNUSA
            BDEIJKMNUOUPUAABCUQVDVFBUTVAVB $.
        $}

        ${
          $d B i j k $.  $d I j k $.  $d S j $.  $d ph i j k $.
          $( If interior and closure functions are related then specific
             function values are complementary.  (Contributed by RP,
             27-Jun-2021.) $)
          ntrclsfveq2 $p |- ( ph -> ( ( I ` ( B \ S ) ) = C <->
                                              ( K ` S ) = ( B \ C ) ) ) $=
            ( cdif cfv wceq wss wb cpw cmap co wcel wf ntrclsiex ntrclsrcomplex
            elmapi ffvelrnd elpwid rcompleq syl2anc ntrclsnvobr ntrclsfv eqeq1d
            syl bitr4d ) ABEQZIRZCSZBUTQZBCQZSZEJRZVCSAUTBTCBTVAVDUAAUTBABUBZVF
            USIAIVFVFUCUDUEVFVFIUFABDFGHIJKLMNUGIVFVFUIUQABDEIJKMNUHUJUKACBPUKU
            TCBULUMAVEVBVCABDEFGHJIKLMABDFGHIJKLMNUNOUOUPUR $.
        $}
      $}

      ${
        ntrclsfv.t $e |- ( ph -> T e. ~P B ) $.

        ${
          $d B i j k $.  $d K j k $.  $d S j $.  $d T j $.  $d ph i j k $.
          $( If interior and closure functions are related then equality of a
             pair of function values is equivalent to equality of a pair of the
             other function's values.  (Contributed by RP, 27-Jun-2021.) $)
          ntrclsfveq $p |- ( ph -> ( ( I ` S ) = ( I ` T ) <->
                             ( K ` ( B \ S ) ) = ( K ` ( B \ T ) ) ) ) $=
            ( cfv wceq cdif eqeq2d ntrclsfv ntrclsrcomplex ntrclsfveq1 wss cmap
            cpw co wcel ntrclskex elmapi syl ffvelrnd elpwid dfss4 sylib 3bitrd
            wf ) ADIQZEIQZRURBBESZJQZSZRBDSJQZBVBSZRVCVARAUSVBURABCEFGHIJKLMNPU
            ATABVBCDFGHIJKLMNOABCVAIJKMNUBUCAVDVAVCAVABUDVDVARAVABABUFZVEUTJAJV
            EVEUEUGUHVEVEJUQABCFGHIJKLMNUIJVEVEUJUKABCEIJKMNUBULUMVABUNUOTUP $.
        $}

        ${
          $d B i j k $.  $d K j k $.  $d S j $.  $d T j $.  $d ph i j k $.
          $( If interior and closure functions are related then a subset
             relation of a pair of function values is equivalent to subset
             relation of a pair of the other function's values.  (Contributed
             by RP, 27-Jun-2021.) $)
          ntrclsss $p |- ( ph -> ( ( I ` S ) C_ ( I ` T ) <->
                           ( K ` ( B \ T ) ) C_ ( K ` ( B \ S ) ) ) ) $=
            ( cfv wss cdif wcel ntrclsfv sseq12d cpw cmap co wa ntrclskex ancli
            wb elmapi adantl ntrclsrcomplex adantr ffvelrnd elpwid jca sscon34b
            wf 3syl bitr4d ) ADIQZEIQZRBBDSZJQZSZBBESZJQZSZRZVGVDRZAVAVEVBVHABC
            DFGHIJKLMNOUAABCEFGHIJKLMNPUAUBAAJBUCZVKUDUETZUFZVGBRZVDBRZUFVJVIUI
            AVLABCFGHIJKLMNUGUHVMVNVOVMVGBVMVKVKVFJVLVKVKJURAJVKVKUJUKZAVFVKTVL
            ABCEIJKMNULUMUNUOVMVDBVMVKVKVCJVPAVCVKTVLABCDIJKMNULUMUNUOUPVGVDBUQ
            USUT $.
        $}
      $}
    $}

    ${
      ntrclslem0.x $e |- ( ph -> X e. B ) $.

      ${
        $d B i j k s t $.  $d I j k s t $.  $d K t $.  $d X s t $.
        $d ph i j k s t $.
        $( If (pseudo-)interior and (pseudo-)closure functions are related by
           the duality operator then conditions equal to claiming that at least
           one (pseudo-)neighborbood of a particular point exists hold equally.
           (Contributed by RP, 21-May-2021.) $)
        ntrclsneine0lem $p |- ( ph -> ( E. s e. ~P B X e. ( I ` s )
                                    <-> E. s e. ~P B -. X e. ( K ` s ) ) ) $=
          ( vt cfv wcel adantr wceq cv cpw wrex weq fveq2 eleq2d ntrclsrcomplex
          wn cbvrexvw cdif difeq2 adantl elpwi dfss4 sylib ad2antlr rspcedeq2vd
          wa wss eqtr2d w3a wb 3ad2ant3 wbr simpr ntrclselnel2 3adant3 rexxfrd2
          bitrd syl5bb ) JKUAZGQZRZKBUBZUCJPUAZGQZRZPVNUCAJVKHQRUHZKVNUCVMVQKPV
          NKPUDVLVPJVKVOGUEUFUIAVQVRPKBVKUJZVNVNAVSVNRVKVNRZABCVKGHIMNUGSAVOVNR
          ZURZKBVOUJZVNVOVSAWCVNRWAABCVOGHIMNUGSWBVKWCTZURVSBWCUJZVOWDVSWETWBVK
          WCBUKULWAWEVOTZAWDWAVOBUSWFVOBUMVOBUNUOUPUTUQAVTVOVSTZVAVQJVSGQZRZVRW
          GAVQWIVBVTWGVPWHJVOVSGUEUFVCAVTWIVRVBWGAVTURBCVKDEFGHIJLMAGHCVDVTNSAJ
          BRVTOSAVTVEVFVGVIVHVJ $.
      $}
    $}

    ${
      $d B i j k s $.  $d I j k s $.  $d ph i j k s x $.

      $( If (pseudo-)interior and (pseudo-)closure functions are related by the
         duality operator then conditions equal to claiming that for every
         point, at least one (pseudo-)neighborbood exists hold equally.
         (Contributed by RP, 21-May-2021.) $)
      ntrclsneine0 $p |- ( ph -> ( A. x e. B E. s e. ~P B x e. ( I ` s )
                            <-> A. x e. B E. s e. ~P B -. x e. ( K ` s ) ) ) $=
        ( cv cfv wcel cpw wrex wn wa wbr adantr simpr ntrclsneine0lem ralbidva
        ) ABOZKOZHPQKCRZSUGUHIPQTKUISBCAUGCQZUACDEFGHIJUGKLMAHIDUBUJNUCAUJUDUEU
        F $.
    $}

    ${
      $d B i j k $.  $d I j k $.  $d K j k $.  $d ph i j k $.
      $( If (pseudo-)interior and (pseudo-)closure functions are related by the
         duality operator then conditions equal to claiming that the closure of
         the empty set is the empty set hold equally.  (Contributed by RP,
         1-Jun-2021.) $)
      ntrclscls00 $p |- ( ph -> ( ( I ` B ) = B <-> ( K ` (/) ) = (/) ) ) $=
        ( cfv wceq c0 cdif cvv eqid wcel fveq2i ntrclsfv1 fveq1d cpw dssmapfv3d
        ntrclsbex ntrclsiex 0elpw a1i eqtr3d dif0 syl5eq difeq2d difid sylan9eq
        id eqtrdi pwidg syl ntrclsfv impbida ) ABGMZBNZOHMZONZAVBVCBBOPZGMZPZOA
        OGCMZMZVCVGAOVHHABCDEFGHIJKLUAUBABCOVIFGVHIQEDJKABCGHIKLUEZABCDEFGHIJKL
        UFVHROBUCZSABUGUHVIRUDUIVBVGBBPZOVBVFBBVBVFVABVEBGBUJZTVBUOUKULBUMZUPUN
        AVDVABVLHMZPZBABCBDEFGHIJKLABQSBVKSVJBQUQURUSVDVPVEBVDVOOBVDVOVCOVLOHVN
        TVDUOUKULVMUPUNUT $.
    $}

    ${
      $d B a b i j k s t $.  $d I a b j k s t $.  $d K a b $.
      $d ph a b i j k s t $.
      $( If (pseudo-)interior and (pseudo-)closure functions are related by the
         duality operator then conditions equal to claiming that either is
         isotonic hold equally.  (Contributed by RP, 3-Jun-2021.) $)
      ntrclsiso $p |- ( ph -> ( A. s e. ~P B A. t e. ~P B
                                ( s C_ t -> ( I ` s ) C_ ( I ` t ) )
                            <-> A. s e. ~P B A. t e. ~P B
                                ( s C_ t -> ( K ` s ) C_ ( K ` t ) ) ) ) $=
        ( wss cfv wral cdif cvv wceq vb va cv wi cpw sseq1 fveq2 sseq1d imbi12d
        weq sseq2 sseq2d cbvral2vw ralcom bitri wcel simpl ntrclsbex syl difssd
        wa sselpwd wrex elpwi simpr difeq2d eqeq2d eqcom bitrdi biimpi rspcedvd
        dfss4 adantl syl2an w3a simpl1 3ad2antl1 wb simp12 elpwid simp2 syl2anc
        sscon34b bicomd cmap co simp11 ntrclsiex elmapi ffvelrnd simp13 sseq12d
        simp3 fveq2d ntrclsfv1 fveq1d eqid dssmapfv3d eqtr3d wbr imbi2d 3bitr4d
        wf ralxfrd2 syl5bb ) KUCZBUCZOZXFHPZXGHPZOZUDZBCUEZQKXMQZUAUCZUBUCZOZXO
        HPZXPHPZOZUDZUAXMQZUBXMQZAXHXFIPZXGIPZOZUDZBXMQZKXMQXNYAUBXMQUAXMQYCXLY
        AXOXGOZXRXJOZUDKBUAUBXMXMKUAUJZXHYIXKYJXFXOXGUFYKXIXRXJXFXOHUGUHUIBUBUJ
        ZYIXQYJXTXGXPXOUKYLXJXSXRXGXPHUGULUIUMYAUAUBXMXMUNUOAYBYHUBKCXFRZXMXMAX
        FXMUPZVAZYMCSYOACSUPZAYNUQACDHIJMNURZUSYOCXFUTVBAYPXPCOZXPYMTZKXMVCXPXM
        UPYQXPCVDYPYRVAZYSCCXPRZRZXPTZKUUAXMYTUUACSYPYRUQYTCXPUTVBYTXFUUATZVAZY
        SXPUUBTUUCUUEYMUUBXPUUEXFUUACYTUUDVEVFVGXPUUBVHVIYRUUCYPYRUUCXPCVLVJVMV
        KVNAYNYSVOZYAYGUABCXGRZXMXMUUFXGXMUPZVAZUUGCSUUIAYPAYNYSUUHVPYQUSUUICXG
        UTVBAYNXOXMUPZXOUUGTZBXMVCZYSAYPXOCOZUULUUJYQXOCVDYPUUMVAZUUKCCXORZRZXO
        TZBUUOXMUUNUUOCSYPUUMUQUUNCXOUTVBUUNXGUUOTZVAZUUKXOUUPTUUQUUSUUGUUPXOUU
        SXGUUOCUUNUURVEVFVGXOUUPVHVIUUMUUQYPUUMUUQXOCVLVJVMVKVNVQUUFUUHUUKVOZUU
        GYMOZUUGHPZYMHPZOZUDXHCUVCRZCUVBRZOZUDYAYGUUTUVAXHUVDUVGUUTXHUVAUUTXFCO
        XGCOXHUVAVRUUTXFCAYNYSUUHUUKVSZVTUUTXGCUUFUUHUUKWAZVTXFXGCWCWBWDUUTUVBC
        OUVCCOUVDUVGVRUUTUVBCUUTXMXMUUGHUUTHXMXMWEWFUPZXMXMHXCUUTAUVJAYNYSUUHUU
        KWGZACDEFGHIJLMNWHUSZHXMXMWIUSZUUTUUGCSUUTAYPUVKYQUSZUUTCXGUTVBWJVTUUTU
        VCCUUTXMXMYMHUVMUUTYMCSUVNUUTCXFUTVBWJVTUVBUVCCWCWBUIUUTXQUVAXTUVDUUTXO
        UUGXPYMUUFUUHUUKWMZAYNYSUUHUUKWKZWLUUTXRUVBXSUVCUUTXOUUGHUVOWNUUTXPYMHU
        VPWNWLUIUUTYFUVGXHUUTYDUVEYEUVFUUTXFHDPZPZYDUVEUUTXFUVQIUUTAUVQITUVKACD
        EFGHIJLMNWOUSWPUUTCDXFUVRGHUVQJSFELMUVNUVLUVQWQZUVHUVRWQWRWSUUTXGUVQPZY
        EUVFUUTXGUVQIUUTCDEFGHIJLMUUTAHIDWTUVKNUSWOWPUUTCDXGUVTGHUVQJSFELMUVNUV
        LUVSUVIUVTWQWRWSWLXAXBXDXDXE $.
    $}

    ${
      $d B i j k s t $.  $d I j k s t $.  $d K t $.  $d ph i j k s t $.
      $( An interior function is contracting if and only if the closure
         function is expansive.  (Contributed by RP, 9-Jun-2021.) $)
      ntrclsk2 $p |- ( ph -> ( A. s e. ~P B ( I ` s ) C_ s
                           <-> A. s e. ~P B s C_ ( K ` s ) ) ) $=
        ( vt cfv wss cdif wcel wceq wb cv cpw wral fveq2 sseq12d ntrclsrcomplex
        weq id cbvralvw adantr wa difeq2 eqeq2d adantl elpwi dfss4 sylib eqcomd
        rspcedvd w3a 3ad2ant3 wf cmap co ntrclsiex elmapi syl 3ad2ant1 ffvelrnd
        elpwid difssd sscon34b simp2 sseq1d bitrd cvv ntrclsbex eqid dssmapfv3d
        syl2anc sseq2d ntrclsfv1 fveq1d 3bitr2d ralxfrd2 syl5bb ) JUAZGOZWGPZJB
        UBZUCNUAZGOZWKPZNWJUCAWGWGHOZPZJWJUCWIWMJNWJJNUGZWHWLWGWKWGWKGUDWPUHUEU
        IAWMWONJBWGQZWJWJAWQWJRZWGWJRZABCWGGHILMUFZUJAWKWJRZUKZWKWQSZWKBBWKQZQZ
        SZJXDWJAXDWJRXAABCWKGHILMUFUJWGXDSZXCXFTXBXGWQXEWKWGXDBULUMUNXBXEWKXAXE
        WKSZAXAWKBPXHWKBUOWKBUPUQUNURUSAWSXCUTZWMWQGOZWQPZWOXCAWMXKTWSXCWLXJWKW
        QWKWQGUDXCUHUEVAXIXKWGBXJQZPZWGWGGCOZOZPZWOXIXKBWQQZXLPZXMXIXJBPWQBPXKX
        RTXIXJBXIWJWJWQGAWSWJWJGVBZXCAGWJWJVCVDRZXSABCDEFGHIKLMVEZGWJWJVFVGVHAW
        SWRXCWTVHVIVJXIBWGVKXJWQBVLVTXIWSXRXMTAWSXCVMZWSXQWGXLWSWGBPXQWGSWGBUOW
        GBUPUQVNVGVOXIXOXLWGXIBCWGXOFGXNIVPEDKLAWSBVPRXCABCGHILMVQVHAWSXTXCYAVH
        XNVRYBXOVRVSWAAWSXPWOTXCAXOWNWGAWGXNHABCDEFGHIKLMWBWCWAVHWDVOWEWF $.
    $}

    ${
      $d B a b s t $.  $d B i j k s t $.  $d I a b s t $.  $d I j k s t $.
      $d K a b $.  $d ph a b s t $.  $d ph i j k s t $.
      $( The interiors of disjoint sets are disjoint if and only if the
         closures of sets that span the base set also span the base set.
         (Contributed by RP, 10-Jun-2021.) $)
      ntrclskb $p |- ( ph -> ( A. s e. ~P B A. t e. ~P B ( ( s i^i t ) = (/)
                                        -> ( ( I ` s ) i^i ( I ` t ) ) = (/) )
                            <-> A. s e. ~P B A. t e. ~P B ( ( s u. t ) = B
                                         -> ( ( K ` s ) u. ( K ` t ) ) = B )
                             ) ) $=
        ( cin c0 wceq cfv cdif wcel va vb cv wi cpw wral cun ineq1 eqeq1d fveq2
        weq ineq1d imbi12d ineq2d cbvral2vw ntrclsrcomplex adantr difeq2 eqeq2d
        ineq2 wa wb adantl wss elpwi dfss4 sylib eqcomd rspcedvd w3a simpl1 syl
        wrex 3ad2antl1 simp13 simp3 simp11 simp12 simp2 elpwid rcompleq sylancl
        unssd ssid difundi difid eqeq12i bitr2di cmap ntrclsiex 3ad2ant1 elmapi
        co wf cvv ntrclsbex difssd sselpwd ffvelrnd ssinss1 difindi dif0 bitrdi
        0ss eqid dssmapfv3d uneq12d ntrclsfv1 fveq1 eqtr3d imbi2d bitrd syl3anc
        3bitrd ralxfrd2 syl5bb ) KUCZBUCZOZPQZXQHRZXRHRZOZPQZUDZBCUEZUFKYFUFUAU
        CZUBUCZOZPQZYGHRZYHHRZOZPQZUDZUBYFUFZUAYFUFAXQXRUGZCQZXQIRZXRIRZUGZCQZU
        DZBYFUFZKYFUFYEYOYGXROZPQZYKYBOZPQZUDKBUAUBYFYFKUAUKZXTUUFYDUUHUUIXSUUE
        PXQYGXRUHUIUUIYCUUGPUUIYAYKYBXQYGHUJULUIUMBUBUKZUUFYJUUHYNUUJUUEYIPXRYH
        YGUTUIUUJUUGYMPUUJYBYLYKXRYHHUJUNUIUMUOAYPUUDUAKCXQSZYFYFAUUKYFTXQYFTZA
        CDXQHIJMNUPUQAYGYFTZVAZYGUUKQZYGCCYGSZSZQZKUUPYFAUUPYFTUUMACDYGHIJMNUPU
        QXQUUPQZUUOUURVBUUNUUSUUKUUQYGXQUUPCURUSVCUUMUURAUUMUUQYGUUMYGCVDUUQYGQ
        YGCVEYGCVFVGVHVCVIAUULUUOVJZYOUUCUBBCXRSZYFYFUUTXRYFTZVAAUVAYFTAUULUUOU
        VBVKACDXRHIJMNUPVLAUULYHYFTZYHUVAQZBYFVMUUOAUVCVAZUVDYHCCYHSZSZQZBUVFYF
        AUVFYFTUVCACDYHHIJMNUPUQXRUVFQZUVDUVHVBUVEUVIUVAUVGYHXRUVFCURUSVCUVCUVH
        AUVCUVGYHUVCYHCVDUVGYHQYHCVEYHCVFVGVHVCVIVNUUTUVBUVDVJZYOUUKYHOZPQZUUKH
        RZYLOZPQZUDZUUKUVAOZPQZUVMUVAHRZOZPQZUDZUUCUVJUUOYOUVPVBAUULUUOUVBUVDVO
        UUOYJUVLYNUVOUUOYIUVKPYGUUKYHUHUIUUOYMUVNPUUOYKUVMYLYGUUKHUJULUIUMVLUVJ
        UVDUVPUWBVBUUTUVBUVDVPUVDUVLUVRUVOUWAUVDUVKUVQPYHUVAUUKUTUIUVDUVNUVTPUV
        DYLUVSUVMYHUVAHUJUNUIUMVLUVJAUULUVBUWBUUCVBAUULUUOUVBUVDVQAUULUUOUVBUVD
        VRUUTUVBUVDVSAUULUVBVJZUWBYRCUVMSZCUVSSZUGZCQZUDUUCUWCUVRYRUWAUWGUWCYRC
        YQSZCCSZQZUVRUWCYQCVDCCVDYRUWJVBUWCXQXRCUWCXQCAUULUVBVSZVTUWCXRCAUULUVB
        VPZVTWCCWDYQCCWAWBUWHUVQUWIPCXQXRWECWFWGWHUWCUWACUVTSZCPSZQZUWGUWCUVTCV
        DZPCVDUWAUWOVBUWCUVMCVDUWPUWCUVMCUWCYFYFUUKHUWCHYFYFWIWMTZYFYFHWNAUULUW
        QUVBACDEFGHIJLMNWJWKZHYFYFWLVLUWCUUKCWOAUULCWOTUVBACDHIJMNWPWKZUWCCXQWQ
        WRWSVTUVMUVSCWTVLCXDUVTPCWAWBUWMUWFUWNCCUVMUVSXACXBWGXCUMUWCUWGUUBYRUWC
        UWFUUACUWCXQHDRZRZXRUWTRZUGZUWFUUAUWCUXAUWDUXBUWEUWCCDXQUXAGHUWTJWOFELM
        UWSUWRUWTXEZUWKUXAXEXFUWCCDXRUXBGHUWTJWOFELMUWSUWRUXDUWLUXBXEXFXGUWCUWT
        IQZUXCUUAQAUULUXEUVBACDEFGHIJLMNXHWKUXEUXAYSUXBYTXQUWTIXIXRUWTIXIXGVLXJ
        UIXKXLXMXNXOXOXP $.
    $}

    ${
      $d B a b s t $.  $d B i j k s t $.  $d I a b s t $.  $d I i j k s t $.
      $d K a b $.  $d ph a b s t $.  $d ph i j k s t $.
      $( The intersection of interiors of a every pair is a subset of the
         interior of the intersection of the pair if an only if the closure of
         the union of every pair is a subset of the union of closures of the
         pair.  (Contributed by RP, 19-Jun-2021.) $)
      ntrclsk3 $p |- ( ph -> ( A. s e. ~P B A. t e. ~P B
                               ( ( I ` s ) i^i ( I ` t ) )
                               C_ ( I ` ( s i^i t ) )
                           <-> A. s e. ~P B A. t e. ~P B ( K ` ( s u. t ) )
                               C_ ( ( K ` s ) u. ( K ` t ) ) ) ) $=
        ( cfv cin wss cdif cvv wceq va vb cv cpw wral fveq2 ineq1d ineq1 fveq2d
        cun sseq12d ineq2d ineq2 cbvral2vw wcel ntrclsbex difssd sselpwd adantr
        weq wrex elpwi wa simpl simpr difeq2d eqeq2d eqcom bitrdi biimpi adantl
        dfss4 rspcedvd syl2an w3a simpl1 syl 3ad2antl1 difundi eqtr4di 3ad2ant3
        wb simp13 cmap co simp11 ntrclsiex jca wo wf elmapi ffvelrnd elpwid orc
        inss 3syl sscon34b sseq2i a1i simp12 rp-simp2 simpl2 simpl3 eqid simprl
        difindi simprr unssd 3ad2antl2 ntrclsfv1 fveq1d eqtr3d uneq12d syl32anc
        dssmapfv3d 3bitrd ralxfrd2 syl5bb ) KUCZHOZBUCZHOZPZXSYAPZHOZQZBCUDZUEK
        YGUEUAUCZHOZUBUCZHOZPZYHYJPZHOZQZUBYGUEZUAYGUEAXSYAUJZIOZXSIOZYAIOZUJZQ
        ZBYGUEZKYGUEYFYOYIYBPZYHYAPZHOZQKBUAUBYGYGKUAUTZYCUUDYEUUFUUGXTYIYBXSYH
        HUFUGUUGYDUUEHXSYHYAUHUIUKBUBUTZUUDYLUUFYNUUHYBYKYIYAYJHUFULUUHUUEYMHYA
        YJYHUMUIUKUNAYPUUCUAKCXSRZYGYGAUUIYGUOXSYGUOZAUUICSACDHIJMNUPZACXSUQURU
        SACSUOZYHCQZYHUUITZKYGVAYHYGUOUUKYHCVBUULUUMVCZUUNCCYHRZRZYHTZKUUPYGUUO
        UUPCSUULUUMVDUUOCYHUQURUUOXSUUPTZVCZUUNYHUUQTUURUUTUUIUUQYHUUTXSUUPCUUO
        UUSVEVFVGYHUUQVHVIUUMUURUULUUMUURYHCVLVJVKVMVNAUUJUUNVOZYOUUBUBBCYARZYG
        YGUVAYAYGUOZVCAUVBYGUOAUUJUUNUVCVPAUVBCSUUKACYAUQURVQAUUJYJYGUOZYJUVBTZ
        BYGVAZUUNAUULYJCQZUVFUVDUUKYJCVBUULUVGVCZUVECCYJRZRZYJTZBUVIYGUVHUVICSU
        ULUVGVDUVHCYJUQURUVHYAUVITZVCZUVEYJUVJTUVKUVMUVBUVJYJUVMYAUVICUVHUVLVEV
        FVGYJUVJVHVIUVGUVKUULUVGUVKYJCVLVJVKVMVNVRUVAUVCUVEVOZYOUUIHOZYKPZUUIYJ
        PZHOZQZUVOUVBHOZPZCYQRZHOZQZUUBUVNUUNYOUVSWBAUUJUUNUVCUVEWCUUNYLUVPYNUV
        RUUNYIUVOYKYHUUIHUFUGUUNYMUVQHYHUUIYJUHUIUKVQUVEUVAUVSUWDWBUVCUVEUVPUWA
        UVRUWCUVEYKUVTUVOYJUVBHUFULUVEUVQUWBHUVEUVQUUIUVBPUWBYJUVBUUIUMCXSYAVSV
        TUIUKWAUVNUWDCUWCRZCUWARZQZUWECUVORZCUVTRZUJZQZUUBUVNHYGYGWDWEUOZUULVCZ
        UWACQZUWCCQZVCUWDUWGWBUVNAUWMAUUJUUNUVCUVEWFZAUWLUULACDEFGHIJLMNWGZUUKW
        HVQUWMUWNUWOUWMUVOCQZUWRUVTCQZWIUWNUWMUVOCUWMYGYGUUIHUWLYGYGHWJUULHYGYG
        WKUSZUWMUUICSUWLUULVEZUWMCXSUQURWLWMUWRUWSWNUVOUVTCWOWPUWMUWCCUWMYGYGUW
        BHUWTUWMUWBCSUXAUWMCYQUQURWLWMWHUWAUWCCWQWPUWGUWKWBUVNUWFUWJUWECUVOUVTX
        FWRWSUVNAUULUWLUUJUVCUWKUUBWBUWPUVNAUULUWPUUKVQUVNAUWLUWPUWQVQAUUJUUNUV
        CUVEWTUVAUVCUVEXAAUULUWLVOZUUJUVCVCZVCZUWEYRUWJUUAUXDYQHDOZOZUWEYRUXDCD
        YQUXFGHUXEJSFELMAUULUWLUXCXBZAUULUWLUXCXCZUXEXDZUULAUXCYQYGUOUWLUULUXCV
        CZYQCSUULUXCVDUXJXSYACUXJXSCUULUUJUVCXEWMUXJYACUULUUJUVCXGWMXHURXIUXFXD
        XOUXDAUXFYRTAUULUWLUXCVPZAYQUXEIACDEFGHIJLMNXJZXKVQXLUXDUWHYSUWIYTUXDXS
        UXEOZUWHYSUXDCDXSUXMGHUXEJSFELMUXGUXHUXIUXBUUJUVCXEUXMXDXOUXDAUXMYSTUXK
        AXSUXEIUXLXKVQXLUXDYAUXEOZUWIYTUXDCDYAUXNGHUXEJSFELMUXGUXHUXIUXBUUJUVCX
        GUXNXDXOUXDAUXNYTTUXKAYAUXEIUXLXKVQXLXMUKXNXPXPXQXQXR $.
    $}

    ${
      $d B a b s t $.  $d B i j k s t $.  $d I a b s t $.  $d I i j k s t $.
      $d K a b $.  $d ph a b s t $.  $d ph i j k s t $.
      $( The interior of the intersection of any pair is equal to the
         intersection of the interiors if and only if the closure of the unions
         of any pair is equal to the union of closures.  (Contributed by RP,
         19-Jun-2021.) $)
      ntrclsk13 $p |- ( ph -> ( A. s e. ~P B A. t e. ~P B ( I ` ( s i^i t ) ) =
                                                    ( ( I ` s ) i^i ( I ` t ) )
                            <-> A. s e. ~P B A. t e. ~P B ( K ` ( s u. t ) ) =
                                              ( ( K ` s ) u. ( K ` t ) ) ) ) $=
        ( cin cfv wceq cdif cvv wa va vb cv cpw wral cun weq ineq1 fveq2d fveq2
        ineq1d eqeq12d ineq2 ineq2d cbvral2vw wcel ntrclsbex difssd sselpwd wss
        adantr elpwi wb difeq2 eqeq2d eqcom bitrdi adantl dfss4 biimpi rspcedvd
        wrex sylan2 w3a ralbidv 3ad2ant3 ad2antrr simpll syl2anc difundi simp1l
        eqtr4di jccir simp1r simp2 wf cmap co ntrclsiex elmapi syl anim1i simpl
        simpr ffvelrnd elpwid jca rcompleq 3syl simplr eqid simprl simprr unssd
        ssinss1 uneq12d difindi ntrclsfv1 fveq1 3bitr2d syl12anc bitrd ralxfrd2
        dssmapfv3d 3adant3 syl5bb ) KUCZBUCZOZHPZXQHPZXRHPZOZQZBCUDZUEKYEUEUAUC
        ZUBUCZOZHPZYFHPZYGHPZOZQZUBYEUEZUAYEUEAXQXRUFZIPZXQIPZXRIPZUFZQZBYEUEZK
        YEUEYDYMYFXROZHPZYJYBOZQKBUAUBYEYEKUAUGZXTUUCYCUUDUUEXSUUBHXQYFXRUHUIUU
        EYAYJYBXQYFHUJUKULBUBUGZUUCYIUUDYLUUFUUBYHHXRYGYFUMUIUUFYBYKYJXRYGHUJUN
        ULUOAYNUUAUAKCXQRZYEYEAUUGYEUPXQYEUPZAUUGCSACDHIJMNUQZACXQURUSVAYFYEUPA
        YFCUTZYFUUGQZKYEVLYFCVBAUUJTZUUKCCYFRZRZYFQZKUUMYEUULUUMCSACSUPZUUJUUIV
        AUULCYFURUSXQUUMQZUUKUUOVCUULUUQUUKYFUUNQUUOUUQUUGUUNYFXQUUMCVDVEYFUUNV
        FVGVHUUJUUOAUUJUUOYFCVIVJVHVKVMAUUHUUKVNYNUUGYGOZHPZUUGHPZYKOZQZUBYEUEZ
        UUAUUKAYNUVCVCUUHUUKYMUVBUBYEUUKYIUUSYLUVAUUKYHUURHYFUUGYGUHUIUUKYJUUTY
        KYFUUGHUJUKULVOVPAUUHUVCUUAVCUUKAUUHTZUVBYTUBBCXRRZYEYEAUVEYEUPUUHXRYEU
        PZAUVECSUUIACXRURUSVQUVDYGYEUPZTAYGCUTZYGUVEQZBYEVLAUUHUVGVRUVGUVHUVDYG
        CVBVHAUVHTZUVICCYGRZRZYGQZBUVKYEAUVKYEUPUVHAUVKCSUUIACYGURUSVAXRUVKQZUV
        IUVMVCUVJUVNUVIYGUVLQUVMUVNUVEUVLYGXRUVKCVDVEYGUVLVFVGVHUVHUVMAUVHUVMYG
        CVIVJVHVKVSUVDUVFUVIVNZUVBCYORZHPZUUTUVEHPZOZQZYTUVIUVDUVBUVTVCUVFUVIUU
        SUVQUVAUVSUVIUURUVPHUVIUURUUGUVEOUVPYGUVEUUGUMCXQXRVTWBUIUVIYKUVRUUTYGU
        VEHUJUNULVPUVOAUUPTZUUHUVFUVTYTVCUVOAUUPAUUHUVFUVIWAUUIWCAUUHUVFUVIWDUV
        DUVFUVIWEUWAUUHUVFTZTZUVTCUVQRZCUVSRZQZYOHDPZPZXQUWGPZXRUWGPZUFZQZYTUWC
        YEYEHWFZUUPTZUVQCUTZUVSCUTZTUVTUWFVCUWAUWNUWBAUWMUUPAHYEYEWGWHUPZUWMACD
        EFGHIJLMNWIZHYEYEWJWKWLVAUWNUWOUWPUWNUVQCUWNYEYEUVPHUWMUUPWMZUWNUVPCSUW
        MUUPWNZUWNCYOURUSWOWPUWNUUTCUTUWPUWNUUTCUWNYEYEUUGHUWSUWNUUGCSUWTUWNCXQ
        URUSWOWPUUTUVRCXEWKWQUVQUVSCWRWSUWCUWHUWDUWKUWEUWCCDYOUWHGHUWGJSFELMAUU
        PUWBWTZAUWQUUPUWBUWRVQUWGXAZUWCYOCSUXAUWCXQXRCUWCXQCUWAUUHUVFXBWPUWCXRC
        UWAUUHUVFXCWPXDUSUWHXAXNUWCUWKCUUTRZCUVRRZUFUWEUWCUWIUXCUWJUXDUWBUWAUUH
        UWIUXCQUUHUVFWMUWAUUHTCDXQUWIGHUWGJSFELMAUUPUUHWTAUWQUUPUUHUWRVQUXBUWAU
        UHWNUWIXAXNVMUWBUWAUVFUWJUXDQUUHUVFWNUWAUVFTCDXRUWJGHUWGJSFELMAUUPUVFWT
        AUWQUUPUVFUWRVQUXBUWAUVFWNUWJXAXNVMXFCUUTUVRXGWBULUWCAUWGIQZUWLYTVCAUUP
        UWBVRACDEFGHIJLMNXHUXEUWHYPUWKYSYOUWGIXIUXEUWIYQUWJYRXQUWGIXIXRUWGIXIXF
        ULWSXJXKXLXMXOXLXMXP $.
    $}

    ${
      $d B i j k s t $.  $d I j k s t $.  $d K j t $.  $d ph i j k s t $.
      $( Idempotence of the interior function is equivalent to idempotence of
         the closure function.  (Contributed by RP, 10-Jul-2021.) $)
      ntrclsk4 $p |- ( ph -> ( A. s e. ~P B ( I ` ( I ` s ) ) = ( I ` s )
                      <-> A. s e. ~P B ( K ` ( K ` s ) ) = ( K ` s ) ) ) $=
        ( vt cfv wceq cdif wcel adantr wb cv cpw wral weq 2fveq3 fveq2 cbvralvw
        eqeq12d ntrclsrcomplex wa difeq2 eqeq2d adantl elpwi dfss4 sylib eqcomd
        wss rspcedvd w3a 3ad2ant3 cmap co wf ntrclsiex elmapi ffvelrnd rcompleq
        syl elpwid syl2anc wbr ntrclsnvobr ffvelrnda simpr difeq2d eqtrd fveq2d
        ntrclsfv bitr4d 3adant3 bitrd ralxfrd2 syl5bb ) JUAZGOZGOZWFPZJBUBZUCNU
        AZGOZGOZWKPZNWIUCAWEHOZHOZWNPZJWIUCWHWMJNWIJNUDWGWLWFWKWEWJGGUEWEWJGUFU
        HUGAWMWPNJBWEQZWIWIAWQWIRWEWIRZABCWEGHILMUIZSAWJWIRZUJZWJWQPZWJBBWJQZQZ
        PZJXCWIAXCWIRWTABCWJGHILMUISWEXCPZXBXETXAXFWQXDWJWEXCBUKULUMWTXEAWTXDWJ
        WTWJBURXDWJPWJBUNWJBUOUPUQUMUSAWRXBUTWMWQGOZGOZXGPZWPXBAWMXITWRXBWLXHWK
        XGWJWQGGUEWJWQGUFUHVAAWRXIWPTXBAWRUJZXIBXHQZBXGQZPZWPAXIXMTZWRAXHBURXGB
        URZXNAXHBAWIWIXGGAGWIWIVBVCZRWIWIGVDABCDEFGHIKLMVEGWIWIVFVIZAWIWIWQGXQW
        SVGZVGVJAXGBXRVJZXHXGBVHVKSXJWOXKWNXLXJWOBBWNQZGOZQXKXJBCWNDEFHGIKLAHGC
        VLWRABCDEFGHIKLMVMZSZAWIWIWEHAHXPRWIWIHVDABCDEFHGIKLYBVEHWIWIVFVIVNVSXJ
        YAXHBXJXTXGGXJXTBXLQZXGXJWNXLBXJBCWEDEFHGIKLYCAWRVOVSZVPAYDXGPZWRAXOYFX
        SXGBUOUPSVQVRVPVQYEUHVTWAWBWCWD $.
    $}
  $}

  ${
    ntrnei.o $e |- O = ( i e. _V , j e. _V |-> ( k e. ( ~P j ^m i ) |->
                         ( l e. j |-> { m e. i | l e. ( k ` m ) } ) ) ) $.
    ntrnei.f $e |- F = ( ~P B O B ) $.
    ntrnei.r $e |- ( ph -> I F N ) $.

    ${
      $d O b $.  $d a b i j k $.  $d a b i j l $.  $d a b i j m $.
      $( If (pseudo-)interior and (pseudo-)neighborhood functions are related
         by the operator, ` F ` , then the base set exists.  (Contributed by
         RP, 29-May-2021.) $)
      ntrneibex $p |- ( ph -> B e. _V ) $=
        ( va vb cvv cv cmap cmpt cpw co cfv wcel crab cmpo oveq2 rabeq mpteq2dv
        weq mpteq12dv pweq oveq1d mpteq1 cbvmpov eqtri wceq a1i brovmptimex2 )
        AOPHIBUAZBGQJQEPRZUAZORZSUBZKVAKRFRERUCUDZFVCUEZTZTZJCDQQEDRZUAZCRZSUBZ
        KVIVEFVKUEZTZTZUFOPQQVHUFLCDOPQQVOVHEVJVCSUBZKVIVFTZTCOUJZEVLVNVPVQVKVC
        VJSUGVRKVIVMVFVEFVKVCUHUIUKDPUJZEVPVQVDVGVSVJVBVCSVIVAULUMKVIVAVFUNUKUO
        UPNGUTBJUBUQAMURUS $.
    $}

    ${
      $d i j k $.  $d i j l $.  $d i j m $.
      $( The relative complement of the class ` S ` exists as a subset of the
         base set.  (Contributed by RP, 26-Jun-2021.) $)
      ntrneircomplex $p |- ( ph -> ( B \ S ) e. ~P B ) $=
        ( cdif cvv ntrneibex difssd sselpwd ) ABCPBQABDEFGHIJKLMNORABCST $.
    $}

    ${
      $d B i j k l m $.  $d ph i j k l $.
      $( If (pseudo-)interior and (pseudo-)neighborhood functions are related
         by the operator, ` F ` , we may characterize the relation as part of a
         1-to-1 onto function.  (Contributed by RP, 29-May-2021.) $)
      ntrneif1o $p |- ( ph -> F : ( ~P B ^m ~P B ) -1-1-onto->
                                  ( ~P ~P B ^m B ) ) $=
        ( cpw cvv ntrneibex pwexd fsovf1od ) AFKBOBEGJPPCDLABPABCDEFGHIJKLMNQZR
        TMS $.
    $}

    ${
      $d B i j k l m $.  $d ph i j k l $.
      $( If (pseudo-)interior and (pseudo-)neighborhood functions are related
         by the operator, ` F ` , then the interior function exists.
         (Contributed by RP, 29-May-2021.) $)
      ntrneiiex $p |- ( ph -> I e. ( ~P B ^m ~P B ) ) $=
        ( cdm cpw cmap co wrel syl wbr wcel wf1o ntrneif1o releldm syl2anc wceq
        f1orel f1odm eleqtrd ) AHGOZBPZULQRZAGSZHIGUAHUKUBAUMULPBQRZGUCZUNABCDE
        FGHIJKLMNUDZUMUOGUHTNHIGUEUFAUPUKUMUGUQUMUOGUITUJ $.
    $}

    ${
      $d B i j k l m $.  $d ph i j k l $.
      $( If (pseudo-)interior and (pseudo-)neighborhood functions are related
         by the operator, ` F ` , then the neighborhood function exists.
         (Contributed by RP, 29-May-2021.) $)
      ntrneinex $p |- ( ph -> N e. ( ~P ~P B ^m B ) ) $=
        ( crn cpw cmap co wrel wbr wcel wf1o ntrneif1o syl relelrn syl2anc ccnv
        f1orel wfn wfun wceq w3a dff1o2 sylib simp3d eleqtrd ) AIGOZBPZPBQRZAGS
        ZHIGTIUQUAAURURQRZUSGUBZUTABCDEFGHIJKLMNUCZVAUSGUHUDNHIGUEUFAGVAUIZGUGU
        JZUQUSUKZAVBVDVEVFULVCVAUSGUMUNUOUP $.
    $}

    ${
      $d B i j k l m $.  $d ph i j k l $.
      $( If (pseudo-)interior and (pseudo-)neighborhood functions are related
         by the operator, ` F ` , then converse of ` F ` is known.
         (Contributed by RP, 29-May-2021.) $)
      ntrneicnv $p |- ( ph -> `' F = ( B O ~P B ) ) $=
        ( cpw co cvv ntrneibex pwexd eqid fsovcnvd ) AFKBOZBEGBUBJPZJQQCDLABQAB
        CDEFGHIJKLMNRZSUDMUCTUA $.
    $}

    ${
      $d B i j k l m $.  $d ph i j k l $.
      $( If (pseudo-)interior and (pseudo-)neighborhood functions are related
         by the operator, ` F ` , then the function value of ` F ` is the
         neighborhood function.  (Contributed by RP, 29-May-2021.) $)
      ntrneifv1 $p |- ( ph -> ( F ` I ) = N ) $=
        ( cpw cmap co wcel wa jca cfv wceq wbr wfn wfun wb wf1o ntrneif1o f1ofn
        cdm syl ntrneiiex fnfun adantr fndm eleq2d biimpar funbrfvb 3syl mpbird
        ) AHGUAIUBZHIGUCZNAGBOZVCPQZUDZHVDRZSZGUEZHGUJZRZSVAVBUFAVEVFAVDVCOBPQZ
        GUGVEABCDEFGHIJKLMNUHVDVKGUIUKABCDEFGHIJKLMNULTVGVHVJVEVHVFVDGUMUNVEVJV
        FVEVIVDHVDGUOUPUQTHIGURUSUT $.
    $}

    ${
      $d B i j k l m $.  $d ph i j k l $.
      $( If (pseudo-)interior and (pseudo-)neighborhood functions are related
         by the operator, ` F ` , then the function value of converse of ` F `
         is the interior function.  (Contributed by RP, 29-May-2021.) $)
      ntrneifv2 $p |- ( ph -> ( `' F ` N ) = I ) $=
        ( wceq wbr wcel wa wb cpw ccnv cfv wfun cdm cmap co ntrneif1o ntrneinex
        wf1o wfo dff1o3 simprbi adantr crn df-rn f1ofo forn syl eqtr3id biimpar
        eleq2d jca syl2anc funbrfvb ntrneiiex brcnvg bitrd mpbird ) AIGUAZUBHOZ
        HIGPZNAVJIHVIPZVKAVIUCZIVIUDZQZRZVJVLSABTZVQUEUFZVQTBUEUFZGUIZIVSQZVPAB
        CDEFGHIJKLMNUGABCDEFGHIJKLMNUHZVTWARVMVOVTVMWAVTVRVSGUJZVMVRVSGUKULUMVT
        VOWAVTVNVSIVTVNGUNZVSGUOVTWCWDVSOVRVSGUPVRVSGUQURUSVAUTVBVCIHVIVDURAWAH
        VRQVLVKSWBABCDEFGHIJKLMNVEIHVSVRGVFVCVGVH $.
    $}

    ${
      ntrnei.x $e |- ( ph -> X e. B ) $.
      ${
        ntrnei.s $e |- ( ph -> S e. ~P B ) $.
        ${
          $d B i j k l m $.  $d I k l m $.  $d S m $.  $d X l m $.
          $d ph i j k l $.
          $( If (pseudo-)interior and (pseudo-)neighborhood functions are
             related by the operator, ` F ` , then there is an equivalence
             between membership in the interior of a set and non-membership in
             the closure of the complement of the set.  (Contributed by RP,
             29-May-2021.) $)
          ntrneiel $p |- ( ph -> ( X e. ( I ` S ) <-> S e. ( N ` X ) ) ) $=
            ( cfv wcel cv cpw crab wceq fveq2 eleq2d elrab3 syl ntrneibex pwexd
            wb cvv ntrneiiex eqid fsovfvfvd ntrneifv1 fveq1d eqtr3d bitr3d ) AC
            LGUAZISZTZGBUBZUCZTZLCISZTZCLJSZTACVCTVEVGUKRVBVGGCVCUTCUDVAVFLUTCI
            UEUFUGUHAVDVHCALIHSZSVDVHAGMVCBFIHVIKULULLDENABULABDEFGHIJKMNOPUIZU
            JVJOABDEFGHIJKMNOPUMVIUNQUOALVIJABDEFGHIJKMNOPUPUQURUFUS $.
        $}
      $}

      ${
        $d B i j k l m s $.  $d I k l m $.  $d N s $.  $d X l m s $.
        $d ph i j k l s $.
        $( The value of the neighbors (convergents) expressed in terms of the
           interior (closure) function.  (Contributed by RP, 26-Jun-2021.) $)
        ntrneifv3 $p |- ( ph -> ( N ` X ) = { s e. ~P B | X e. ( I ` s ) } ) $=
          ( cpw cfv wcel cin cv crab dfin5 wss wceq cmap co wf ntrneinex elmapi
          syl ffvelrnd elpwid sseqin2 sylib wa wbr adantr simpr ntrneiel bicomd
          rabbidva 3eqtr3a ) ABRZKISZUAZLUBZVFTZLVEUCVFKVHHSTZLVEUCLVEVFUDAVFVE
          UEVGVFUFAVFVEABVERZKIAIVKBUGUHTBVKIUIABCDEFGHIJMNOPUJIVKBUKULQUMUNVFV
          EUOUPAVIVJLVEAVHVETZUQZVJVIVMBVHCDEFGHIJKMNOAHIGURVLPUSAKBTVLQUSAVLUT
          VAVBVCVD $.
      $}

      ${
        $d B i j k l m $.  $d I k l m $.  $d N s $.  $d X l m s $.
        $d ph i j k l s $.
        $( If (pseudo-)interior and (pseudo-)neighborhood functions are related
           by the operator, ` F ` , then conditions equal to claiming that for
           every point, at least one (pseudo-)neighborbood exists hold equally.
           (Contributed by RP, 29-May-2021.) $)
        ntrneineine0lem $p |- ( ph -> ( E. s e. ~P B X e. ( I ` s )
                                        <-> ( N ` X ) =/= (/) ) ) $=
          ( cfv wcel cpw cv wrex c0 wne wbr adantr simpr ntrneiel rexbidva cmap
          wa wex co wf ntrneinex elmapi syl ffvelrnd elpwid sseld exbidv bicomd
          pm4.71rd df-rex n0 3bitr4g bitrd ) AKLUAZHRSZLBTZUBVHKIRZSZLVJUBZVKUC
          UDZAVIVLLVJAVHVJSZUKBVHCDEFGHIJKMNOAHIGUEVOPUFAKBSVOQUFAVOUGUHUIAVOVL
          UKZLULZVLLULZVMVNAVRVQAVLVPLAVLVOAVKVJVHAVKVJABVJTZKIAIVSBUJUMSBVSIUN
          ABCDEFGHIJMNOPUOIVSBUPUQQURUSUTVCVAVBVLLVJVDLVKVEVFVG $.
      $}

      ${
        $d B i j k l m s $.  $d I k l m $.  $d N s $.  $d X l m s $.
        $d ph i j k l s $.
        $( If (pseudo-)interior and (pseudo-)neighborhood functions are related
           by the operator, ` F ` , then conditions equal to claiming that for
           every point, at not all subsets are (pseudo-)neighborboods hold
           equally.  (Contributed by RP, 1-Jun-2021.) $)
        ntrneineine1lem $p |- ( ph -> ( E. s e. ~P B -. X e. ( I ` s )
                                        <-> ( N ` X ) =/= ~P B ) ) $=
          ( wcel wn wa cv cfv cpw wne wbr adantr simpr ntrneiel notbid rexbidva
          wrex wss wo wb cmap co wf ntrneinex elmapi syl ffvelrnd elpwid biortn
          wex df-rex bitr4i wceq df-ne ianor eqss xchnxbir bitri 3bitr4g bitrd
          nss ) AKLUAZHUBRZSZLBUCZUKVPKIUBZRZSZLVSUKZVTVSUDZAVRWBLVSAVPVSRZTZVQ
          WAWFBVPCDEFGHIJKMNOAHIGUEWEPUFAKBRWEQUFAWEUGUHUIUJAVSVTULZSZVTVSULZSW
          HUMZWCWDAWIWHWJUNAVTVSABVSUCZKIAIWKBUOUPRBWKIUQABCDEFGHIJMNOPURIWKBUS
          UTQVAVBWIWHVCUTWCWEWBTLVDWHWBLVSVELVSVTVOVFWDVTVSVGZSWJVTVSVHWIWGTWJW
          LWIWGVIVTVSVJVKVLVMVN $.
      $}
    $}

    ${
      $d B i j k l m x $.  $d I k l m x $.  $d S m x $.  $d ph i j k l x $.
      ntrneifv.s $e |- ( ph -> S e. ~P B ) $.
      $( The value of the interior (closure) expressed in terms of the
         neighbors (convergents) function.  (Contributed by RP,
         26-Jun-2021.) $)
      ntrneifv4 $p |- ( ph -> ( I ` S ) = { x e. B | S e. ( N ` x ) } ) $=
        ( cfv wcel crab cin cv dfin5 wss wceq cpw cmap co wf ntrneiiex ffvelrnd
        elmapi syl elpwid sseqin2 sylib wa wbr adantr ntrneiel rabbidva 3eqtr3a
        simpr ) ACDJRZUAZBUBZVDSZBCTVDDVFKRSZBCTBCVDUCAVDCUDVEVDUEAVDCACUFZVIDJ
        AJVIVIUGUHSVIVIJUIACEFGHIJKLMNOPUJJVIVIULUMQUKUNVDCUOUPAVGVHBCAVFCSZUQC
        DEFGHIJKLVFMNOAJKIURVJPUSAVJVCADVISVJQUSUTVAVB $.
    $}

    ${
      ntrneiel2.x $e |- ( ph -> X e. B ) $.
      ${
        ntrneiel2.s $e |- ( ph -> S e. ~P B ) $.
        ${
          $d B i j k l m y $.  $d B u y $.  $d I k l m y $.  $d N u y $.
          $d S m y $.  $d S u y $.  $d X l m y $.  $d X u y $.
          $d ph i j k l y $.  $d ph u y $.
          $( Membership in iterated interior of a set is equivalent to there
             existing a particular neighborhood of that member such that points
             are members of that neighborhood if and only if the set is a
             neighborhood of each of those points.  (Contributed by RP,
             11-Jul-2021.) $)
          ntrneiel2 $p |- ( ph -> ( X e. ( I ` ( I ` S ) )
                                    <-> E. u e. ( N ` X ) A. y e. B
                                        ( y e. u <-> S e. ( N ` y ) ) ) ) $=
            ( cfv wcel cv wa cab wel wb wral wrex cpw cmap ntrneiiex elmapi syl
            co wf ffvelrnd ntrneiel crab ntrneifv4 df-rab eqtrdi eleq1d wal wex
            clabel df-rex bitr4i cvv ibar bibi2d ralbiia wss ssv a1i cdif eldif
            wn vex mpbiran ntrneinex elpwid sselda sseld con3dimp pm3.14 adantl
            orcs 2falsed ex syl5bi ralrimiv raldifeq syl5bb ralv bitr2di 3bitrd
            rexbidva ) ANEKUAZKUAUBWSNLUAZUBBUCZDUBZEXALUAUBZUDZBUEZWTUBZBCUFZX
            CUGZBDUHZCWTUIZADWSFGHIJKLMNOPQRSADUJZXKEKAKXKXKUKUOUBXKXKKUPADFGHI
            JKLMOPQRULKXKXKUMUNTUQURAWSXEWTAWSXCBDUSXEABDEFGHIJKLMOPQRTUTXCBDVA
            VBVCXFXGXDUGZBVDZCWTUIZAXJXFCUCZWTUBZXMUDCVEXNXDBCWTVFXMCWTVGVHAXMX
            ICWTAXPUDZXIXLBVIUHZXMXIXLBDUHXQXRXHXLBDXBXCXDXGXBXCVJVKVLXQXLBDVID
            VIVMXQDVNVOXQXLBVIDVPZXAXSUBZXBVRZXQXLXTXAVIUBYABVSXAVIDVQVTXQYAXLX
            QYAUDXGXDXQXGXBXQXODXAXQXODAWTXKXOAWTXKADXKUJZNLALYBDUKUOUBDYBLUPAD
            FGHIJKLMOPQRWALYBDUMUNSUQWBWCWBWDWEYAXDVRZXQYAXCVRYCXBXCWFWHWGWIWJW
            KWLWMWNXLBWOWPWRWNWQ $.
        $}
      $}
    $}

    ${
      $d B i j k l m s $.  $d I k l m $.  $d N s $.  $d ph i j k l s x $.
      $d m x $.

      $( If (pseudo-)interior and (pseudo-)neighborhood functions are related
         by the operator, ` F ` , then conditions equal to claiming that for
         every point, at least one (pseudo-)neighborbood exists hold equally.
         (Contributed by RP, 29-May-2021.) $)
      ntrneineine0 $p |- ( ph -> ( A. x e. B E. s e. ~P B x e. ( I ` s )
                            <-> A. x e. B ( N ` x ) =/= (/) ) ) $=
        ( cv cfv wcel cpw wrex c0 wne wbr adantr simpr ntrneineine0lem ralbidva
        wa ) ABQZLQIRSLCTUAUJJRUBUCBCAUJCSZUICDEFGHIJKUJLMNOAIJHUDUKPUEAUKUFUGU
        H $.
    $}

    ${
      $d B i j k l m s $.  $d I k l m $.  $d N s $.  $d ph i j k l s x $.
      $d m x $.
      $( If (pseudo-)interior and (pseudo-)neighborhood functions are related
         by the operator, ` F ` , then conditions equal to claiming that for
         every point, at not all subsets are (pseudo-)neighborboods hold
         equally.  (Contributed by RP, 1-Jun-2021.) $)
      ntrneineine1 $p |- ( ph -> ( A. x e. B E. s e. ~P B -. x e. ( I ` s )
                            <-> A. x e. B ( N ` x ) =/= ~P B ) ) $=
        ( cv cfv wcel wn cpw wrex wne wbr adantr simpr ntrneineine1lem ralbidva
        wa ) ABQZLQIRSTLCUAZUBUJJRUKUCBCAUJCSZUICDEFGHIJKUJLMNOAIJHUDULPUEAULUF
        UGUH $.
    $}

    ${
      $d B i j k l m x $.  $d I k l m x $.  $d ph i j k l x $.
      $( If (pseudo-)interior and (pseudo-)neighborhood functions are related
         by the operator, ` F ` , then conditions equal to claiming that the
         closure of the empty set is the empty set hold equally.  (Contributed
         by RP, 2-Jun-2021.) $)
      ntrneicls00 $p |- ( ph -> ( ( I ` B ) = B <->
                                  A. x e. B B e. ( N ` x ) ) ) $=
        ( cfv wcel wral wss wa wceq cv cpw co wf ntrneiiex elmapi syl ntrneibex
        cmap cvv pwidg ffvelrnd elpwid eqss dfss3 anbi2i bitri a1i mpbirand wbr
        wb adantr simpr ntrneiel ralbidva bitrd ) ACIPZCUAZBUBZVHQZBCRZCVJJPQZB
        CRAVIVHCSZVLAVHCACUCZVOCIAIVOVOUJUDQVOVOIUEACDEFGHIJKLMNOUFIVOVOUGUHACU
        KQCVOQZACDEFGHIJKLMNOUICUKULUHZUMUNVIVNVLTZVBAVIVNCVHSZTVRVHCUOVSVLVNBC
        VHUPUQURUSUTAVKVMBCAVJCQZTCCDEFGHIJKVJLMNAIJHVAVTOVCAVTVDAVPVTVQVCVEVFV
        G $.
    $}

    ${
      $d B i j k l m x $.  $d I k l m x $.  $d ph i j k l x $.
      $( If (pseudo-)interior and (pseudo-)neighborhood functions are related
         by the operator, ` F ` , then conditions equal to claiming that the
         interior of the empty set is the empty set hold equally.  (Contributed
         by RP, 2-Jun-2021.) $)
      ntrneicls11 $p |- ( ph -> ( ( I ` (/) ) = (/) <->
                                  A. x e. B -. (/) e. ( N ` x ) ) ) $=
        ( c0 cfv wceq wcel wss cv wn wral cdif cin wb cpw cmap ntrneiiex elmapi
        co syl 0elpw a1i ffvelrnd elpwid reldisj bicomd difid sseq2i ss0b bitri
        wf disjr 3bitr3g wa wbr adantr simpr ntrneiel notbid ralbidva bitrd ) A
        PIQZPRZBUAZVNSZUBZBCUCZPVPJQSZUBZBCUCAVNCCUDZTZVNCUEPRZVOVSAWDWCAVNCTWD
        WCUFAVNCACUGZWEPIAIWEWEUHUKSWEWEIVCACDEFGHIJKLMNOUIIWEWEUJULPWESZACUMZU
        NUOUPVNCCUQULURWCVNPTVOWBPVNCUSUTVNVAVBBVNCVDVEAVRWABCAVPCSZVFZVQVTWICP
        DEFGHIJKVPLMNAIJHVGWHOVHAWHVIWFWIWGUNVJVKVLVM $.
    $}

    ${
      $d B i j k l m s t x $.  $d I k l m x $.  $d ph i j k l s t x $.
      $( If (pseudo-)interior and (pseudo-)neighborhood functions are related
         by the operator, ` F ` , then conditions equal to claiming that the
         interior function is isotonic hold equally.  (Contributed by RP,
         3-Jun-2021.) $)
      ntrneiiso $p |- ( ph -> ( A. s e. ~P B A. t e. ~P B
                                ( s C_ t -> ( I ` s ) C_ ( I ` t ) )
                            <-> A. x e. B A. s e. ~P B A. t e. ~P B
                                ( ( s e. ( N ` x ) /\ s C_ t )
                                  -> t e. ( N ` x ) ) ) ) $=
        ( wi wral wcel cv wss cfv cpw wa wal dfss2 imbi2i 19.21v bitr4i ax-1 wn
        cmap simpll ntrneiiex elmapi 3syl simplr ffvelrnd elpwid sselda pm2.24d
        co wf ex com23 a1dd idd jad impbid2 albidv df-ral bitr4di wbr ad3antrrr
        simpr simpllr ntrneiel imbi12d imbi2d impexp bitr3i bitrdi bitrd syl5bb
        ancomst ralbidva ralcom ) AMUAZCUAZUBZWIJUCZWJJUCZUBZRZCDUDZSZMWPSWIBUA
        ZKUCZTZWKUEWJWSTZRZCWPSZBDSZMWPSXCMWPSBDSAWQXDMWPAWIWPTZUEZWQXBBDSZCWPS
        XDXFWOXGCWPWOWKWRWLTZWRWMTZRZRZBUFZXFWJWPTZUEZXGWOWKXJBUFZRXLWNXOWKBWLW
        MUGUHWKXJBUIUJXNXLXKBDSZXGXNXLWRDTZXKRZBUFXPXNXKXRBXNXKXRXKXQUKXNXQXKXK
        XNXQULZXJWKXNXHXSXIXNXHXSXIRXNXHUEXQXIXNWLDWRXNWLDXNWPWPWIJXNAJWPWPUMVC
        TWPWPJVDAXEXMUNADEFGHIJKLNOPQUOJWPWPUPUQAXEXMURUSUTVAVBVEVFVGXNXKVHVIVJ
        VKXKBDVLVMXNXKXBBDXNXQUEZXKWKWTXARZRZXBXTXJYAWKXTXHWTXIXAXTDWIEFGHIJKLW
        RNOPAJKIVNXEXMXQQVOZXNXQVPZAXEXMXQVQVRXTDWJEFGHIJKLWRNOPYCYDXFXMXQURVRV
        SVTYBWKWTUEXARXBWKWTXAWAWKWTXAWFWBWCWGWDWEWGXBCBWPDWHWCWGXCMBWPDWHWC $.
    $}

    ${
      $d B i j k l m s x $.  $d I k l m x $.  $d ph i j k l s x $.
      $( An interior function is contracting if and only if all the
         neighborhoods of a point contain that point.  (Contributed by RP,
         11-Jun-2021.) $)
      ntrneik2 $p |- ( ph -> ( A. s e. ~P B ( I ` s ) C_ s
                 <-> A. x e. B A. s e. ~P B ( s e. ( N ` x ) -> x e. s ) ) ) $=
        ( wral wcel wi wa cv cfv wss cpw wel wal wb cmap co wf ntrneiiex elmapi
        syl ffvelrnda elpwid sselda biimt pm5.74da bi2.04 bitrdi albidv 3bitr4g
        dfss2 df-ral wbr ad2antrr simpr simplr ntrneiel imbi1d ralbidva ralcom
        bitrd ) ALUAZIUBZVNUCZLCUDZQVNBUAZJUBRZBLUEZSZBCQZLVQQWALVQQBCQAVPWBLVQ
        AVNVQRZTZVPVRVORZVTSZBCQZWBWDWFBUFVRCRZWFSZBUFVPWGWDWFWIBWDWFWEWHVTSZSW
        IWDWEVTWJWDWETWHVTWJUGWDVOCVRWDVOCAVQVQVNIAIVQVQUHUIRVQVQIUJACDEFGHIJKM
        NOPUKIVQVQULUMUNUOUPWHVTUQUMURWEWHVTUSUTVABVOVNVCWFBCVDVBWDWFWABCWDWHTZ
        WEVSVTWKCVNDEFGHIJKVRMNOAIJHVEWCWHPVFWDWHVGAWCWHVHVIVJVKVMVKWALBVQCVLUT
        $.
    $}

    ${
      $d B i j k l m s x $.  $d I k l m x $.  $d ph i j k l s x $.
      $( An interior (closure) function is expansive if and only if all subsets
         which contain a point are neighborhoods (convergents) of that point.
         (Contributed by RP, 11-Jun-2021.) $)
      ntrneix2 $p |- ( ph -> ( A. s e. ~P B s C_ ( I ` s )
                 <-> A. x e. B A. s e. ~P B ( x e. s -> s e. ( N ` x ) ) ) ) $=
        ( wral wcel wi wa cv cfv wss cpw wel wb simpr wal elpwi sselda pm5.74da
        biimt syl bi2.04 bitrdi albidv dfss2 df-ral 3bitr4g wbr ad2antrr simplr
        ntrneiel imbi2d ralbidva bitrd ralcom ) ALUAZVHIUBZUCZLCUDZQBLUEZVHBUAZ
        JUBRZSZBCQZLVKQVOLVKQBCQAVJVPLVKAVHVKRZTZVJVLVMVIRZSZBCQZVPVRVQVJWAUFAV
        QUGVQVTBUHVMCRZVTSZBUHVJWAVQVTWCBVQVTVLWBVSSZSWCVQVLVSWDVQVLTWBVSWDUFVQ
        VHCVMVHCUIUJWBVSULUMUKVLWBVSUNUOUPBVHVIUQVTBCURUSUMVRVTVOBCVRWBTZVSVNVL
        WECVHDEFGHIJKVMMNOAIJHUTVQWBPVAVRWBUGAVQWBVBVCVDVEVFVEVOLBVKCVGUO $.
    $}

    ${
      $d B i j k l m s t x $.  $d I k l m x $.  $d ph i j k l s t x $.
      $( The interiors of disjoint sets are disjoint if and only if the
         neighborhoods of every point contain no disjoint sets.  (Contributed
         by RP, 11-Jun-2021.) $)
      ntrneikb $p |- ( ph -> ( A. s e. ~P B A. t e. ~P B ( ( s i^i t ) = (/)
                                        -> ( ( I ` s ) i^i ( I ` t ) ) = (/) )
                 <-> A. x e. B A. s e. ~P B A. t e. ~P B ( ( s e. ( N ` x )
                                                          /\ t e. ( N ` x ) )
                                                      -> ( s i^i t ) =/= (/) )
                             ) ) $=
        ( wi wral wcel cv cin c0 wceq cfv cpw wa wne wal wn con34b albii 19.21v
        nne wss elin imbi1i wb imnot ax-mp bitr2i dfss2 3bitr2i imbi12i 3bitrri
        noel ss0b cmap co wf ntrneiiex elmapi syl ffvelrnda adantr elpwid sseld
        adantrd imp biimt pm5.74da bi2.04 bitrdi albidv bitr4di ad3antrrr simpr
        df-ral wbr simpllr ntrneiel simplr anbi12d imbi1d ralbidva bitrd syl5bb
        ralrot3 ) AMUAZCUAZUBZUCUDZWSJUEZWTJUEZUBZUCUDZRZCDUFZSZMXHSWSBUAZKUEZT
        ZWTXKTZUGZXAUCUHZRZBDSZCXHSZMXHSXPCXHSMXHSBDSAXIXRMXHAWSXHTZUGZXGXQCXHX
        GXJXCTZXJXDTZUGZXORZBUIZXTWTXHTZUGZXQYEXOUJZYCUJZRZBUIYHYIBUIZRXGYDYJBY
        CXOUKULYHYIBUMYHXBYKXFXAUCUNYKXJXETZXJUCTZRZBUIXEUCUOXFYIYNBYNYCYMRZYIY
        LYCYMXJXCXDUPUQYMUJYOYIURXJVFYCYMUSUTVAULBXEUCVBXEVGVCVDVEYGYEYDBDSZXQY
        GYEXJDTZYDRZBUIYPYGYDYRBYGYDYCYQXORZRYRYGYCXOYSYGYCUGYQXOYSURYGYCYQYGYA
        YQYBYGXCDXJYGXCDXTXCXHTYFAXHXHWSJAJXHXHVHVITXHXHJVJADEFGHIJKLNOPQVKJXHX
        HVLVMVNVOVPVQVRVSYQXOVTVMWAYCYQXOWBWCWDYDBDWHWEYGYDXPBDYGYQUGZYCXNXOYTY
        AXLYBXMYTDWSEFGHIJKLXJNOPAJKIWIXSYFYQQWFZYGYQWGZAXSYFYQWJWKYTDWTEFGHIJK
        LXJNOPUUAUUBXTYFYQWLWKWMWNWOWPWQWOWOXPMCBXHXHDWRWC $.
    $}

    ${
      $d B i j k l m s t x $.  $d I k l m x $.  $d ph i j k l s t x $.
      $( The interiors (closures) of sets that span the base set also span the
         base set if and only if the neighborhoods (convergents) of every point
         contain at least one of every pair of sets that span the base set.
         (Contributed by RP, 11-Jun-2021.) $)
      ntrneixb $p |- ( ph -> ( A. s e. ~P B A. t e. ~P B ( ( s u. t ) = B
                                        -> ( ( I ` s ) u. ( I ` t ) ) = B )
                 <-> A. x e. B A. s e. ~P B A. t e. ~P B ( ( s u. t ) = B
                                    -> ( s e. ( N ` x ) \/ t e. ( N ` x ) ) )
                             ) ) $=
        ( wral wcel wa cv cun wceq cfv wi cpw wo wss wb eqss a1i cmap ntrneiiex
        co wf elmapi ffvelrnda elpwid adantr adantlr unssd biantrurd dfss3 elun
        syl ralbii bitri 3bitr2d imbi2d r19.21v ad3antrrr simpr ntrneiel simplr
        wbr simpllr orbi12d ralbidva ralrot3 bitrdi ) AMUAZCUAZUBDUCZWAJUDZWBJU
        DZUBZDUCZUEZCDUFZRZMWIRWCWABUAZKUDZSZWBWLSZUGZUEZBDRZCWIRZMWIRWPCWIRMWI
        RBDRAWJWRMWIAWAWISZTZWHWQCWIWTWBWISZTZWHWCWKWDSZWKWESZUGZBDRZUEZWCXEUEZ
        BDRZWQXBWGXFWCXBWGWFDUHZDWFUHZTZXKXFWGXLUIXBWFDUJUKXBXJXKXBWDWEDWTWDDUH
        XAWTWDDAWIWIWAJAJWIWIULUNSWIWIJUOADEFGHIJKLNOPQUMJWIWIUPVEZUQURUSAXAWED
        UHWSAXATWEDAWIWIWBJXMUQURUTVAVBXKXFUIXBXKWKWFSZBDRXFBDWFVCXNXEBDWKWDWEV
        DVFVGUKVHVIXIXGUIXBWCXEBDVJUKXBXHWPBDXBWKDSZTZXEWOWCXPXCWMXDWNXPDWAEFGH
        IJKLWKNOPAJKIVOWSXAXOQVKZXBXOVLZAWSXAXOVPVMXPDWBEFGHIJKLWKNOPXQXRWTXAXO
        VNVMVQVIVRVHVRVRWPMCBWIWIDVSVT $.
    $}

    ${
      $d B i j k l m s t x $.  $d I k l m x $.  $d ph i j k l s t x $.
      $( The intersection of interiors of any pair is a subset of the interior
         of the intersection if and only if the intersection of any two
         neighborhoods of a point is also a neighborhood.  (Contributed by RP,
         19-Jun-2021.) $)
      ntrneik3 $p |- ( ph -> ( A. s e. ~P B A. t e. ~P B
                               ( ( I ` s ) i^i ( I ` t ) )
                               C_ ( I ` ( s i^i t ) )
                 <-> A. x e. B A. s e. ~P B A. t e. ~P B
                               ( ( s e. ( N ` x ) /\ t e. ( N ` x ) )
                              -> ( s i^i t ) e. ( N ` x ) ) ) ) $=
        ( wss wral wcel cv cfv cin cpw wa wi dfss3 wb cmap ntrneiiex elmapi syl
        co wf ffvelrnda elpwid ssinss1 adantr ralss wbr ad3antrrr simpr simpllr
        elin ntrneiel simplr anbi12d syl5bb cvv ntrneibex sselpwd imbi12d bitrd
        ralbidva ralcom bitrdi ) AMUAZJUBZCUAZJUBZUCZVQVSUCZJUBZRZCDUDZSZMWESVQ
        BUAZKUBZTZVSWHTZUEZWBWHTZUFZCWESZBDSZMWESWNMWESBDSAWFWOMWEAVQWETZUEZWFW
        MBDSZCWESWOWQWDWRCWEWDWGWCTZBWASZWQVSWETZUEZWRBWAWCUGXBWTWGWATZWSUFZBDS
        ZWRXBWADRZWTXEUHWQXFXAWQVRDRXFWQVRDAWEWEVQJAJWEWEUIUMTWEWEJUNADEFGHIJKL
        NOPQUJJWEWEUKULUOUPVRVTDUQULURWSBWADUSULXBXDWMBDXBWGDTZUEZXCWKWSWLXCWGV
        RTZWGVTTZUEXHWKWGVRVTVDXHXIWIXJWJXHDVQEFGHIJKLWGNOPAJKIUTWPXAXGQVAZXBXG
        VBZAWPXAXGVCZVEXHDVSEFGHIJKLWGNOPXKXLWQXAXGVFVEVGVHXHDWBEFGHIJKLWGNOPXK
        XLXHWBDVIADVITWPXAXGADEFGHIJKLNOPQVJVAXHVQDRWBDRXHVQDXMUPVQVSDUQULVKVEV
        LVNVMVHVNWMCBWEDVOVPVNWNMBWEDVOVP $.
    $}

    ${
      $d B i j k l m s t x $.  $d I k l m x $.  $d ph i j k l s t x $.
      $( The closure of the union of any pair is a subset of the union of
         closures if and only if the union of any pair belonging to the
         convergents of a point implies at least one of the pair belongs to the
         the convergents of that point.  (Contributed by RP, 19-Jun-2021.) $)
      ntrneix3 $p |- ( ph -> ( A. s e. ~P B A. t e. ~P B ( I ` ( s u. t ) )
                                                 C_ ( ( I ` s ) u. ( I ` t ) )
                 <-> A. x e. B A. s e. ~P B A. t e. ~P B
                                ( ( s u. t ) e. ( N ` x )
                               -> ( s e. ( N ` x ) \/ t e. ( N ` x ) ) ) ) ) $=
        ( wral wcel elpwid cv cun cfv wss cpw wo wi wa dfss3 wb co wf ntrneiiex
        cmap ad2antrr elmapi syl cvv ntrneibex simplr simpr unssd sselpwd ralss
        ffvelrnd wbr ad3antrrr simpllr ntrneiel orbi12d syl5bb imbi12d ralbidva
        elun bitrd ralcom bitrdi ) AMUAZCUAZUBZJUCZVRJUCZVSJUCZUBZUDZCDUEZRZMWF
        RVTBUAZKUCZSZVRWISZVSWISZUFZUGZCWFRZBDRZMWFRWOMWFRBDRAWGWPMWFAVRWFSZUHZ
        WGWNBDRZCWFRWPWRWEWSCWFWEWHWDSZBWARZWRVSWFSZUHZWSBWAWDUIXCXAWHWASZWTUGZ
        BDRZWSXCWADUDXAXFUJXCWADXCWFWFVTJXCJWFWFUNUKSZWFWFJULAXGWQXBADEFGHIJKLN
        OPQUMUOJWFWFUPUQXCVTDURADURSZWQXBADEFGHIJKLNOPQUSZUOXCVRVSDXCVRDAWQXBUT
        TXCVSDWRXBVATVBVCVETWTBWADVDUQXCXEWNBDXCWHDSZUHZXDWJWTWMXKDVTEFGHIJKLWH
        NOPAJKIVFWQXBXJQVGZXCXJVAZXKVTDURAXHWQXBXJXIVGXKVRVSDXKVRDAWQXBXJVHZTXK
        VSDWRXBXJUTZTVBVCVIWTWHWBSZWHWCSZUFXKWMWHWBWCVNXKXPWKXQWLXKDVREFGHIJKLW
        HNOPXLXMXNVIXKDVSEFGHIJKLWHNOPXLXMXOVIVJVKVLVMVOVKVMWNCBWFDVPVQVMWOMBWF
        DVPVQ $.
    $}

    ${
      $d B i j k l m s t x $.  $d I k l m x $.  $d ph i j k l s t x $.
      $( The interior of the intersection of any pair equals intersection of
         interiors if and only if the intersection of any pair belonging to the
         neighborhood of a point is equivalent to both of the pair belonging to
         the neighborhood of that point.  (Contributed by RP, 19-Jun-2021.) $)
      ntrneik13 $p |- ( ph -> ( A. s e. ~P B A. t e. ~P B ( I ` ( s i^i t ) ) =
                                                    ( ( I ` s ) i^i ( I ` t ) )
                  <-> A. x e. B A. s e. ~P B A. t e. ~P B
                                ( ( s i^i t ) e. ( N ` x )
                              <-> ( s e. ( N ` x ) /\ t e. ( N ` x ) ) ) ) ) $=
        ( wral wcel wa cv cin cfv wceq cpw wb wss wi dfss3 wf cmap co ntrneiiex
        elmapi syl ad2antrr cvv ntrneibex simplr elpwi ssinss1 sselpwd ffvelrnd
        3syl elpwid ralss syl5bb ffvelrnda adantr anbi12d ralbiim wbr ad3antrrr
        eqss 3bitr4g simpr ntrneiel elin simpllr bibi12d ralbidva ralcom bitrdi
        bitrd ) AMUAZCUAZUBZJUCZWEJUCZWFJUCZUBZUDZCDUEZRZMWMRWGBUAZKUCZSZWEWPSZ
        WFWPSZTZUFZCWMRZBDRZMWMRXBMWMRBDRAWNXCMWMAWEWMSZTZWNXABDRZCWMRXCXEWLXFC
        WMXEWFWMSZTZWLWOWHSZWOWKSZUFZBDRZXFXHWHWKUGZWKWHUGZTXIXJUHBDRZXJXIUHBDR
        ZTWLXLXHXMXOXNXPXMXJBWHRZXHXOBWHWKUIXHWHDUGXQXOUFXHWHDXHWMWMWGJAWMWMJUJ
        ZXDXGAJWMWMUKULSXRADEFGHIJKLNOPQUMJWMWMUNUOZUPXHWGDUQADUQSZXDXGADEFGHIJ
        KLNOPQURZUPXHXDWEDUGZWGDUGZAXDXGUSWEDUTWEWFDVAZVDVBVCVEXJBWHDVFUOVGXNXI
        BWKRZXHXPBWKWHUIXHWKDUGZYEXPUFXEYFXGXEWIDUGYFXEWIDAWMWMWEJXSVHVEWIWJDVA
        UOVIXIBWKDVFUOVGVJWHWKVNXIXJBDVKVOXHXKXABDXHWODSZTZXIWQXJWTYHDWGEFGHIJK
        LWONOPAJKIVLXDXGYGQVMZXHYGVPZXEWGWMSXGYGXEWGDUQAXTXDYAVIXEYBYCXEWEDAXDV
        PVEYDUOVBUPVQXJWOWISZWOWJSZTYHWTWOWIWJVRYHYKWRYLWSYHDWEEFGHIJKLWONOPYIY
        JAXDXGYGVSVQYHDWFEFGHIJKLWONOPYIYJXEXGYGUSVQVJVGVTWAWDWAXACBWMDWBWCWAXB
        MBWMDWBWC $.
    $}

    ${
      $d B i j k l m s t x $.  $d I k l m x $.  $d ph i j k l s t x $.
      $( The closure of the union of any pair is equal to the union of closures
         if and only if the union of any pair belonging to the convergents of a
         point if equivalent to at least one of the pain belonging to the
         convergents of that point.  (Contributed by RP, 19-Jun-2021.) $)
      ntrneix13 $p |- ( ph -> ( A. s e. ~P B A. t e. ~P B ( I ` ( s u. t ) )
                                                   = ( ( I ` s ) u. ( I ` t ) )
                  <-> A. x e. B A. s e. ~P B A. t e. ~P B
                                ( ( s u. t ) e. ( N ` x )
                              <-> ( s e. ( N ` x ) \/ t e. ( N ` x ) ) ) ) ) $=
        ( wral wcel elpwid cv cun cfv wceq cpw wo wb wa wss wi dfss3 cmap co wf
        ntrneiiex ad2antrr elmapi syl cvv ntrneibex simplr simpr unssd ffvelrnd
        sselpwd ralss syl5bb anbi12d eqss ralbiim 3bitr4g wbr ad3antrrr simpllr
        ntrneiel elun orbi12d bibi12d ralbidva bitrd ralcom bitrdi ) AMUAZCUAZU
        BZJUCZWCJUCZWDJUCZUBZUDZCDUEZRZMWKRWEBUAZKUCZSZWCWNSZWDWNSZUFZUGZCWKRZB
        DRZMWKRWTMWKRBDRAWLXAMWKAWCWKSZUHZWLWSBDRZCWKRXAXCWJXDCWKXCWDWKSZUHZWJW
        MWFSZWMWISZUGZBDRZXDXFWFWIUIZWIWFUIZUHXGXHUJBDRZXHXGUJBDRZUHWJXJXFXKXMX
        LXNXKXHBWFRZXFXMBWFWIUKXFWFDUIXOXMUGXFWFDXFWKWKWEJXFJWKWKULUMSZWKWKJUNA
        XPXBXEADEFGHIJKLNOPQUOUPJWKWKUQURZXFWEDUSADUSSZXBXEADEFGHIJKLNOPQUTZUPX
        FWCWDDXFWCDAXBXEVAZTXFWDDXCXEVBZTVCVEVDTXHBWFDVFURVGXLXGBWIRZXFXNBWIWFU
        KXFWIDUIYBXNUGXFWGWHDXFWGDXFWKWKWCJXQXTVDTXFWHDXFWKWKWDJXQYAVDTVCXGBWID
        VFURVGVHWFWIVIXGXHBDVJVKXFXIWSBDXFWMDSZUHZXGWOXHWRYDDWEEFGHIJKLWMNOPAJK
        IVLXBXEYCQVMZXFYCVBZYDWEDUSAXRXBXEYCXSVMYDWCWDDYDWCDAXBXEYCVNZTYDWDDXCX
        EYCVAZTVCVEVOXHWMWGSZWMWHSZUFYDWRWMWGWHVPYDYIWPYJWQYDDWCEFGHIJKLWMNOPYE
        YFYGVOYDDWDEFGHIJKLWMNOPYEYFYHVOVQVGVRVSVTVSWSCBWKDWAWBVSWTMBWKDWAWB $.
    $}

    ${
      $d B i j k l m s x $.  $d I k l m x $.  $d ph i j k l s x $.
      $( Idempotence of the interior function is equivalent to saying a set is
         a neighborhood of a point if and only if the interior of the set is a
         neighborhood of a point.  (Contributed by RP, 11-Jul-2021.) $)
      ntrneik4w $p |- ( ph -> ( A. s e. ~P B ( I ` ( I ` s ) ) = ( I ` s )
              <-> A. x e. B A. s e. ~P B (
              s e. ( N ` x ) <-> ( I ` s ) e. ( N ` x ) ) ) ) $=
        ( wral wcel cvv adantr cv cfv wceq cpw wb wal dfcleq eqcom ralv 3bitr4i
        wa wss ssv a1i cdif wn vex eldif mpbiran cmap co wf ntrneiiex ffvelrnda
        elmapi syl elpwid con3dimp ffvelrnd 2falsed ex syl5bi ralrimiv raldifeq
        sseld wbr simplr ntrneiel bibi12d ralbidva bitr3d syl5bb ralcom bitrdi
        simpr ) ALUAZIUBZIUBZWGUCZLCUDZQWFBUAZJUBZRZWGWLRZUEZBCQZLWJQWOLWJQBCQA
        WIWPLWJWIWKWGRZWKWHRZUEZBSQZAWFWJRZUKZWPWGWHUCWSBUFWIWTBWGWHUGWHWGUHWSB
        UIUJXBWSBCQWTWPXBWSBCSCSULXBCUMUNXBWSBSCUOZWKXCRZWKCRZUPZXBWSXDWKSRXFBU
        QWKSCURUSXBXFWSXBXFUKWQWRXBWQXEXBWGCWKXBWGCAWJWJWFIAIWJWJUTVARWJWJIVBZA
        CDEFGHIJKMNOPVCIWJWJVEVFZVDZVGVOVHXBWRXEXBWHCWKXBWHCXBWJWJWGIAXGXAXHTXI
        VIVGVOVHVJVKVLVMVNXBWSWOBCXBXEUKZWQWMWRWNXJCWFDEFGHIJKWKMNOXBIJHVPZXEAX
        KXAPTTZXBXEWEZAXAXEVQVRXJCWGDEFGHIJKWKMNOXLXMXBWGWJRXEXITVRVSVTWAWBVTWO
        LBWJCWCWD $.
    $}

    ${
      $d B i j k l m s x y $.  $d I k l m x y $.  $d ph i j k l s x $.
      $d B s x u y $.  $d N u y $.  $d ph u y $.
      $( Idempotence of the interior function is equivalent to stating a set,
         ` s ` , is a neighborhood of a point, ` x ` is equivalent to there
         existing a special neighborhood, ` u ` , of ` x ` such that a point is
         an element of the special neighborhood if and only if ` s ` is also a
         neighborhood of the point.  (Contributed by RP, 11-Jul-2021.) $)
      ntrneik4 $p |- ( ph -> ( A. s e. ~P B ( I ` ( I ` s ) ) = ( I ` s )
              <-> A. x e. B A. s e. ~P B
              ( s e. ( N ` x ) <-> E. u e. ( N ` x ) A. y e. B
                                    ( y e. u <-> s e. ( N ` y ) ) ) ) ) $=
        ( wral wcel cv cfv wceq cpw wel wrex ntrneik4w wbr ad2antrr simplr cmap
        wb wa co wf ntrneiiex elmapi ffvelrnda adantlr ntrneiel simpr ntrneiel2
        syl bitr3d bibi2d ralbidva bitrd ) ANUAZKUBZKUBZVIUCNEUDZSVHBUAZLUBZTZV
        IVMTZULZNVKSZBESVNCDUEVHCUALUBTULCESDVMUFZULZNVKSZBESABEFGHIJKLMNOPQRUG
        AVQVTBEAVLETZUMZVPVSNVKWBVHVKTZUMZVOVRVNWDVLVJTVOVRWDEVIFGHIJKLMVLOPQAK
        LJUHWAWCRUIZAWAWCUJZAWCVIVKTWAAVKVKVHKAKVKVKUKUNTVKVKKUOAEFGHIJKLMOPQRU
        PKVKVKUQVCURUSUTWDCDEVHFGHIJKLMVLOPQWEWFWBWCVAVBVDVEVFVFVG $.
    $}
  $}

  ${
    clsneibex.d $e |- D = ( P ` B ) $.
    clsneibex.h $e |- H = ( F o. D ) $.
    clsneibex.r $e |- ( ph -> K H N ) $.
    $( If (pseudo-)closure and (pseudo-)neighborhood functions are related by
       the composite operator, ` H ` , then the base set exists.  (Contributed
       by RP, 4-Jun-2021.) $)
    clsneibex $p |- ( ph -> B e. _V ) $=
      ( cfv ccom wbr c0 wne cvv crn cin eqtrdi wcel wceq coeq2i eqtri a1i brne0
      breqdi wn cdm fvprc rneqd rn0 ineq2d in0 coemptyd necon1ai 3syl ) AGHEBDL
      ZMZNUSOPBQUAZAFUSGHFUSUBAFECMUSJCUREIUCUDUEKUGGHUSUFUTUSOUTUHZEURVAEUIZUR
      RZSVBOSOVAVCOVBVAVCOROVAUROBDUJUKULTUMVBUNTUOUPUQ $.

    $( The relative complement of the class ` S ` exists as a subset of the
       base set.  (Contributed by RP, 26-Jun-2021.) $)
    clsneircomplex $p |- ( ph -> ( B \ S ) e. ~P B ) $=
      ( cdif cvv clsneibex difssd sselpwd ) ABEMBNABCDFGHIJKLOABEPQ $.
  $}

  ${
    clsnei.o $e |- O = ( i e. _V , j e. _V |-> ( k e. ( ~P j ^m i ) |->
                         ( l e. j |-> { m e. i | l e. ( k ` m ) } ) ) ) $.
    clsnei.p $e |- P = ( n e. _V |-> ( p e. ( ~P n ^m ~P n ) |->
                        ( o e. ~P n |-> ( n \ ( p ` ( n \ o ) ) ) ) ) ) $.
    clsnei.d $e |- D = ( P ` B ) $.
    clsnei.f $e |- F = ( ~P B O B ) $.
    clsnei.h $e |- H = ( F o. D ) $.
    clsnei.r $e |- ( ph -> K H N ) $.

    ${
      $d B i j k l m $.  $d B n o p $.  $d ph i j k l $.  $d ph n o p $.
      $( If a (pseudo-)closure function and a (pseudo-)neighborhood function
         are related by the ` H ` operator, then the operator is a one-to-one,
         onto mapping.  (Contributed by RP, 5-Jun-2021.) $)
      clsneif1o $p |- ( ph -> H : ( ~P B ^m ~P B )
                                   -1-1-onto-> ( ~P ~P B ^m B ) ) $=
        ( cpw cmap co cfv ccom wf1o cvv wcel clsneibex wa pwexg adantl fsovf1od
        simpr eqid dssmapf1od f1oco syl2anc mpdan wb coeq12i eqtri f1oeq1 ax-mp
        wceq sylibr ) ABUDZVJUEUFZVJUDBUEUFZVJBOUFZBDUGZUHZUIZVKVLLUIZABUJUKZVP
        ABCDKLMNTUBUCULAVRUMZVKVLVMUIVKVKVNUIVPVSHQVJBGVMOUJUJEFRVRVJUJUKABUJUN
        UOAVRUQZVMURUPVSBVNPDUJJISVNURVTUSVKVKVLVMVNUTVAVBLVOVHVQVPVCLKCUHVOUBK
        VMCVNUATVDVEVKVLLVOVFVGVI $.
    $}

    ${
      $d B i j k l m $.  $d B n o p $.  $d ph i j k l $.  $d ph n o p $.
      $( If a (pseudo-)closure function and a (pseudo-)neighborhood function
         are related by the ` H ` operator, then the converse of the operator
         is known.  (Contributed by RP, 5-Jun-2021.) $)
      clsneicnv $p |- ( ph -> `' H = ( D o. ( B O ~P B ) ) ) $=
        ( ccnv ccom cpw co cnveqi cnvco eqtri wcel wceq clsneibex wa dssmapnvod
        cvv simpr pwexg adantl eqid fsovcnvd coeq12d mpdan syl5eq ) ALUDZCUDZKU
        DZUEZCBBUFZOUGZUEZVEKCUEZUDVHLVLUBUHKCUIUJABUPUKZVHVKULABCDKLMNTUBUCUMA
        VMUNZVFCVGVJVNBCPDUPJISTAVMUQZUOVNHQVIBGKVJOUPUPEFRVMVIUPUKABUPURUSVOUA
        VJUTVAVBVCVD $.
    $}

    ${
      $d B i j k l m $.  $d B n o p $.  $d ph i j k l $.  $d ph n o p $.
      $( If closure and neighborhoods functions are related, the closure
         function exists.  (Contributed by RP, 27-Jun-2021.) $)
      clsneikex $p |- ( ph -> K e. ( ~P B ^m ~P B ) ) $=
        ( cfv wbr cvv wcel wa clsneibex cpw cmap co wf1o wfn pwexg adantl simpr
        fsovf1od f1ofn wf dssmapf1od f1of ccom adantr breqi sylib brcoffn mpdan
        syl simpld ntrclsiex ) ABCIJPMMCUDZDSTAMVLCUEZVLNKUEZABUFUGZVMVNUHABCDK
        LMNTUBUCUIAVOUHZMNKCBUJZVQUKULZVRVPVRVQUJBUKULZKUMKVRUNVPHQVQBGKOUFUFEF
        RVOVQUFUGABUFUOUPAVOUQZUAURVRVSKUSVIVPVRVRCUMVRVRCUTVPBCPDUFJISTVTVAVRV
        RCVBVIVPMNLUEZMNKCVCZUEAWAVOUCVDMNLWBUBVEVFVGVHVJVK $.
    $}

    ${
      $d B i j k l m $.  $d B n o p $.  $d ph i j k l $.  $d ph n o p $.
      $( If closure and neighborhoods functions are related, the neighborhoods
         function exists.  (Contributed by RP, 27-Jun-2021.) $)
      clsneinex $p |- ( ph -> N e. ( ~P ~P B ^m B ) ) $=
        ( cfv wbr cvv wcel wa clsneibex cpw cmap co wf1o wfn pwexg adantl simpr
        fsovf1od f1ofn wf dssmapf1od f1of ccom adantr breqi sylib brcoffn mpdan
        syl simprd ntrneinex ) ABEFGHKMCUDZNOQRUAAMVLCUEZVLNKUEZABUFUGZVMVNUHAB
        CDKLMNTUBUCUIAVOUHZMNKCBUJZVQUKULZVRVPVRVQUJBUKULZKUMKVRUNVPHQVQBGKOUFU
        FEFRVOVQUFUGABUFUOUPAVOUQZUAURVRVSKUSVIVPVRVRCUMVRVRCUTVPBCPDUFJISTVTVA
        VRVRCVBVIVPMNLUEZMNKCVCZUEAWAVOUCVDMNLWBUBVEVFVGVHVJVK $.
    $}

    ${
      clsneiel.x $e |- ( ph -> X e. B ) $.
      clsneiel.s $e |- ( ph -> S e. ~P B ) $.
      ${
        $d B i j k l m $.  $d B n o p $.  $d D i j k l m $.  $d D n o p $.
        $d F i j k l $.  $d F n o p $.  $d K i j k l m $.  $d K n o p $.
        $d N i j k l $.  $d N n o p $.  $d S m $.  $d S o $.  $d X l m $.
        $d ph i j k l $.  $d ph n o p $.
        $( If a (pseudo-)closure function and a (pseudo-)neighborhood function
           are related by the ` H ` operator, then membership in the closure of
           a subset is equivalent to the complement of the subset not being a
           neighborhood of the point.  (Contributed by RP, 7-Jun-2021.) $)
        clsneiel1 $p |- ( ph -> ( X e. ( K ` S )
                                  <-> -. ( B \ S ) e. ( N ` X ) ) ) $=
          ( cvv wcel wa cfv wbr cdif wn wb clsneibex ancli cpw cmap simpr pwexd
          co fsovfd ffnd wf1o wf dssmapf1od f1of syl breqi sylib adantr brcoffn
          ccom simprl ad2antrr ntrclselnel1 simprr simplr difssd sselpwd notbid
          ntrneiel bitrd syl2anc2 ) AABUHUIZUJZNNCUKZCULZWHOLULZUJZQENUKUIZBEUM
          ZQOUKUIZUNZUOAWFABCDLMNOUBUDUEUPUQWGNOLCBURZWPUSVBZWQWGWQWPURBUSVBLWG
          ISWPBHLPUHUHFGTWGBUHAWFUTZVAWRUCVCVDWGWQWQCVEWQWQCVFWGBCRDUHKJUAUBWRV
          GWQWQCVHVIANOLCVNZULZWFANOMULWTUENOMWSUDVJVKVLVMWGWKUJZWLQWMWHUKUIZUN
          WOXABCEJKRNWHDQUAUBWGWIWJVOAQBUIWFWKUFVPZAEWPUIWFWKUGVPVQXAXBWNXABWMF
          GHILWHOPQSTUCWGWIWJVRXCXAWMBUHAWFWKVSXABEVTWAWCWBWDWE $.
      $}

      ${
        $d B i j k l m $.  $d B n o p $.  $d D i j k l m $.  $d D n o p $.
        $d F i j k l $.  $d F n o p $.  $d K i j k l m $.  $d K n o p $.
        $d N i j k l $.  $d N n o p $.  $d S m $.  $d S o $.  $d X l m $.
        $d ph i j k l $.  $d ph n o p $.
        $( If a (pseudo-)closure function and a (pseudo-)neighborhood function
           are related by the ` H ` operator, then membership in the closure of
           the complement of a subset is equivalent to the subset not being a
           neighborhood of the point.  (Contributed by RP, 7-Jun-2021.) $)
        clsneiel2 $p |- ( ph -> ( X e. ( K ` ( B \ S ) )
                                  <-> -. S e. ( N ` X ) ) ) $=
          ( cdif cfv wcel clsneircomplex clsneiel1 wss wceq elpwid dfss4 eleq1d
          wn sylib notbid bitrd ) AQBEUHZNUIUJBVBUHZQOUIZUJZUREVDUJZURABCDVBFGH
          IJKLMNOPQRSTUAUBUCUDUEUFABCDELMNOUBUDUEUKULAVEVFAVCEVDAEBUMVCEUNAEBUG
          UOEBUPUSUQUTVA $.
      $}
    $}

    ${
      $d B i j k l m s $.  $d B n o p s $.  $d D i j k l m $.  $d D n o p $.
      $d F i j k l $.  $d F n o p $.  $d K i j k l m $.  $d K n o p $.
      $d N i j k l s $.  $d N n o p s $.  $d X l m s $.  $d ph i j k l s $.
      $d ph n o p s $.
      clsneifv.x $e |- ( ph -> X e. B ) $.
      $( Value of the neighborhoods (convergents) in terms of the closure
         (interior) function.  (Contributed by RP, 27-Jun-2021.) $)
      clsneifv3 $p |- ( ph -> ( N ` X )
                              = { s e. ~P B | -. X e. ( K ` ( B \ s ) ) } ) $=
        ( cpw cfv cin cv wcel crab cdif wn dfin5 wss wceq cmap clsneinex elmapi
        co wf syl ffvelrnd elpwid sseqin2 sylib wa wbr adantr clsneiel2 con2bid
        simpr rabbidva 3eqtr3a ) ABUGZPNUHZUIZQUJZVQUKZQVPULVQPBVSUMMUHUKZUNZQV
        PULQVPVQUOAVQVPUPVRVQUQAVQVPABVPUGZPNANWCBURVAUKBWCNVBABCDEFGHIJKLMNORS
        TUAUBUCUDUEUSNWCBUTVCUFVDVEVQVPVFVGAVTWBQVPAVSVPUKZVHZWAVTWEBCDVSEFGHIJ
        KLMNOPRSTUAUBUCUDAMNLVIWDUEVJAPBUKWDUFVJAWDVMVKVLVNVO $.
    $}

    ${
      $d B i j k l m x $.  $d B n o p x $.  $d D i j k l m $.  $d D n o p $.
      $d F i j k l $.  $d F n o p $.  $d K i j k l m x $.  $d K n o p x $.
      $d N i j k l $.  $d N n o p $.  $d S m x $.  $d S o x $.
      $d ph i j k l x $.  $d ph n o p x $.
      clsneifv.s $e |- ( ph -> S e. ~P B ) $.
      $( Value of the closure (interior) function in terms of the neighborhoods
         (convergents) function.  (Contributed by RP, 27-Jun-2021.) $)
      clsneifv4 $p |- ( ph -> ( K ` S )
                              = { x e. B | -. ( B \ S ) e. ( N ` x ) } ) $=
        ( cfv cin cv wcel crab cdif wn dfin5 wss wceq cpw cmap clsneikex elmapi
        co wf syl ffvelrnd elpwid sseqin2 sylib wa wbr simpr clsneiel1 rabbidva
        adantr 3eqtr3a ) ACFOUGZUHZBUIZVOUJZBCUKVOCFULVQPUGUJUMZBCUKBCVOUNAVOCU
        OVPVOUPAVOCACUQZVTFOAOVTVTURVAUJVTVTOVBACDEGHIJKLMNOPQRSTUAUBUCUDUEUSOV
        TVTUTVCUFVDVEVOCVFVGAVRVSBCAVQCUJZVHCDEFGHIJKLMNOPQVQRSTUAUBUCUDAOPNVIW
        AUEVMAWAVJAFVTUJWAUFVMVKVLVN $.
    $}
  $}

  ${
    neicvgbex.d $e |- D = ( P ` B ) $.
    neicvgbex.h $e |- H = ( F o. ( D o. G ) ) $.
    neicvgbex.r $e |- ( ph -> N H M ) $.
    $( If (pseudo-)neighborhood and (pseudo-)convergent functions are related
       by the composite operator, ` H ` , then the base set exists.
       (Contributed by RP, 4-Jun-2021.) $)
    neicvgbex $p |- ( ph -> B e. _V ) $=
      ( cfv ccom c0 cdm crn cin eqtrdi coemptyd wbr wne wcel wceq coeq1i coeq2i
      cvv eqtri a1i breqdi brne0 wn fvprc dmeqd dm0 ineq1d 0in rneqd rn0 ineq2d
      in0 necon1ai 3syl ) AIHEBDMZFNZNZUAVFOUBBUGUCZAGVFIHGVFUDAGECFNZNVFKVHVEE
      CVDFJUEUFUHUILUJIHVFUKVGVFOVGULZEVEVIEPZVEQZRVJOROVIVKOVJVIVKOQOVIVEOVIVD
      FVIVDPZFQZROVMROVIVLOVMVIVLOPOVIVDOBDUMUNUOSUPVMUQSTURUSSUTVJVASTVBVC $.

    $( The relative complement of the class ` S ` exists as a subset of the
       base set.  (Contributed by RP, 26-Jun-2021.) $)
    neicvgrcomplex $p |- ( ph -> ( B \ S ) e. ~P B ) $=
      ( cdif cvv neicvgbex difssd sselpwd ) ABENBOABCDFGHIJKLMPABEQR $.
  $}

  ${
    neicvg.o $e |- O = ( i e. _V , j e. _V |-> ( k e. ( ~P j ^m i ) |->
                         ( l e. j |-> { m e. i | l e. ( k ` m ) } ) ) ) $.
    neicvg.p $e |- P = ( n e. _V |-> ( p e. ( ~P n ^m ~P n ) |->
                        ( o e. ~P n |-> ( n \ ( p ` ( n \ o ) ) ) ) ) ) $.
    neicvg.d $e |- D = ( P ` B ) $.
    neicvg.f $e |- F = ( ~P B O B ) $.
    neicvg.g $e |- G = ( B O ~P B ) $.
    neicvg.h $e |- H = ( F o. ( D o. G ) ) $.
    neicvg.r $e |- ( ph -> N H M ) $.

    ${
      $d B i j k l m $.  $d B n o p $.  $d ph i j k l $.  $d ph n o p $.
      $( If neighborhood and convergent functions are related by operator
         ` H ` , it is a one-to-one onto relation.  (Contributed by RP,
         11-Jun-2021.) $)
      neicvgf1o $p |- ( ph -> H : ( ~P ~P B ^m B )
                                   -1-1-onto-> ( ~P ~P B ^m B ) ) $=
        ( cpw cmap co ccom wf1o cvv neicvgbex pwexd fsovf1od dssmapf1od syl2anc
        f1oco wceq wb f1oeq1 ax-mp sylibr ) ABUFZUFBUGUHZVDKCLUIZUIZUJZVDVDMUJZ
        AVCVCUGUHZVDKUJVDVIVEUJZVGAHRVCBGKPUKUKEFSABUKABCDKLMNOUAUDUEULZUMZVKUB
        UNAVIVICUJVDVILUJVJABCQDUKJITUAVKUOAHRBVCGLPUKUKEFSVKVLUCUNVDVIVICLUQUP
        VDVIVDKVEUQUPMVFURVHVGUSUDVDVDMVFUTVAVB $.
    $}

    ${
      $d B i j k l m $.  $d B n o p $.  $d ph i j k l $.  $d ph n o p $.
      $( If neighborhood and convergent functions are related by operator
         ` H ` , it is its own converse function.  (Contributed by RP,
         11-Jun-2021.) $)
      neicvgnvo $p |- ( ph -> `' H = H ) $=
        ( ccnv ccom cnveqi cnvco coeq1i 3eqtri cpw cvv neicvgbex pwexd fsovcnvd
        dssmapnvod coeq12d syl5eq coass eqtr4i eqtrdi ) AMUFZKCUGZLUGZMAVCLUFZC
        UFZUGZKUFZUGZVEVCKCLUGZUGZUFVKUFZVIUGVJMVLUDUHKVKUIVMVHVICLUIUJUKAVHVDV
        ILAVFKVGCAHRBBULZGLKPUMUMEFSABCDKLMNOUAUDUEUNZABUMVOUOZUCUBUPABCQDUMJIT
        UAVOUQURAHRVNBGKLPUMUMEFSVPVOUBUCUPURUSVEVLMKCLUTUDVAVB $.
    $}

    ${
      $d B i j k l m $.  $d B n o p $.  $d ph i j k l $.  $d ph n o p $.
      $( If neighborhood and convergent functions are related by operator
         ` H ` , the relationship holds with the functions swapped.
         (Contributed by RP, 11-Jun-2021.) $)
      neicvgnvor $p |- ( ph -> M H N ) $=
        ( ccnv wbr neicvgnvo breqd mpbird wrel ccom relco releqi mpbir relbrcnv
        sylib ) AONMUFZUGZNOMUGAUSONMUGUEAURMONABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUH
        UIUJONMMUKKCLULZULZUKKUTUMMVAUDUNUOUPUQ $.
    $}

    ${
      $d B i j k l m $.  $d B n o p $.  $d ph i j k l $.  $d ph n o p $.
      $( If the neighborhoods and convergents functions are related, the
         convergents function exists.  (Contributed by RP, 27-Jun-2021.) $)
      neicvgmex $p |- ( ph -> M e. ( ~P ~P B ^m B ) ) $=
        ( cfv wbr cvv wcel w3a neicvgbex wa cpw cmap co wf1o pwexg adantl simpr
        wfn fsovf1od f1ofn syl dssmapf1od f1of fsovfd ccom breqi sylib brcofffn
        wf adantr mpdan simp3d ntrneinex ) ABEFGHKOLUFZCUFZNPRSUBAOVPLUGZVPVQCU
        GZVQNKUGZABUHUIZVRVSVTUJABCDKLMNOUAUDUEUKAWAULZONKCLBUMZUMBUNUOZWCWCUNU
        OZWEWBWEWDKUPKWEUTWBHRWCBGKPUHUHEFSWAWCUHUIABUHUQURZAWAUSZUBVAWEWDKVBVC
        WBWEWECUPWEWECVKWBBCQDUHJITUAWGVDWEWECVEVCWBHRBWCGLPUHUHEFSWGWFUCVFAONK
        CLVGVGZUGZWAAONMUGWIUEONMWHUDVHVIVLVJVMVNVO $.
    $}

    ${
      $d B i j k l m $.  $d B n o p $.  $d ph i j k l $.  $d ph n o p $.
      $( If the neighborhoods and convergents functions are related, the
         neighborhoods function exists.  (Contributed by RP, 27-Jun-2021.) $)
      neicvgnex $p |- ( ph -> N e. ( ~P ~P B ^m B ) ) $=
        ( neicvgnvor neicvgmex ) ABCDEFGHIJKLMONPQRSTUAUBUCUDABCDEFGHIJKLMNOPQR
        STUAUBUCUDUEUFUG $.
    $}

    ${
      neicvgel.x $e |- ( ph -> X e. B ) $.
      neicvgel.s $e |- ( ph -> S e. ~P B ) $.
      ${
        $d B i j k l m $.  $d B n o p $.  $d D i j k l m $.  $d D n o p $.
        $d F i j k l $.  $d F n o p $.  $d G i j k l m $.  $d G n o p $.
        $d M i j k l $.  $d M n o p $.  $d N i j k l m $.  $d N n o p $.
        $d S m $.  $d S o $.  $d X l m $.  $d ph i j k l $.  $d ph n o p $.
        $( A subset being an element of a neighborhood of a point is equivalent
           to the complement of that subset not being a element of the
           convergent of that point.  (Contributed by RP, 12-Jun-2021.) $)
        neicvgel1 $p |- ( ph -> ( S e. ( N ` X )
                                  <-> -. ( B \ S ) e. ( M ` X ) ) ) $=
          ( cfv wbr w3a wcel cdif wn wb cvv neicvgbex wa cpw cmap co wf1o simpr
          wfn pwexd fsovf1od f1ofn syl dssmapf1od f1of fsovfd ccom breqi adantr
          wf sylib brcofffn mpdan simpr2 ntrclselnel1 eqid simpr1 ccnv a1i wrel
          id pwexg f1orel relbrcnvg 3syl fsovcnvd breqd 3bitr2d ntrneiel simpr3
          mpbid difssd sselpwd notbid 3bitr3d ) APPMUJZMUKZXBXBCUJZCUKZXDOLUKZU
          LZERPUJUMZBEUNZROUJUMZUOZUPABUQUMZXGABCDLMNOPUCUFUGURZAXLUSZPOLCMBUTZ
          UTBVAVBZXOXOVAVBZXQXNXQXPLVCLXQVEXNITXOBHLQUQUQFGUAXNBUQAXLVDZVFZXRUD
          VGXQXPLVHVIXNXQXQCVCXQXQCVPXNBCSDUQKJUBUCXRVJXQXQCVKVIXNITBXOHMQUQUQF
          GUAXRXSUEVLAPOLCMVMVMZUKZXLAPONUKYAUGPONXTUFVNVQVOVRVSAXGUSZREXBUJUMR
          XIXDUJUMZUOXHXKYBBCEJKSXBXDDRUBUCAXCXEXFVTARBUMXGUHVOZAEXOUMXGUIVOZWA
          YBBEFGHIXOBQVBZXBPQRTUAYFWBZYBXCXBPYFUKZAXCXEXFWCYBXCPXBBXOQVBZUKZXBP
          YIWDZUKZYHXCYJUPYBPXBMYIUEVNWEYBXPXQYIVCZYIWFYLYJUPYBXLYMAXLXGXMVOZXL
          ITBXOHYIQUQUQFGUAXLWGZBUQWHZYIWBZVGVIXPXQYIWIXBPYIWJWKYBXLYLYHUPYNXLY
          KYFXBPXLITBXOHYIYFQUQUQFGUAYOYPYQYGWLWMVIWNWQYDYEWOYBYCXJYBBXIFGHILXD
          OQRTUAUDAXCXEXFWPYDAXIXOUMXGAXIBUQXMABEWRWSVOWOWTXAVS $.
      $}

      ${
        $d B i j k l m $.  $d B n o p $.  $d D i j k l m $.  $d D n o p $.
        $d F i j k l $.  $d F n o p $.  $d G i j k l m $.  $d G n o p $.
        $d M i j k l $.  $d M n o p $.  $d N i j k l m $.  $d N n o p $.
        $d S m $.  $d S o $.  $d X l m $.  $d ph i j k l $.  $d ph n o p $.
        $( The complement of a subset being an element of a neighborhood at a
           point is equivalent to that subset not being a element of the
           convergent at that point.  (Contributed by RP, 12-Jun-2021.) $)
        neicvgel2 $p |- ( ph -> ( ( B \ S ) e. ( N ` X )
                                  <-> -. S e. ( M ` X ) ) ) $=
          ( cdif cfv wcel neicvgrcomplex neicvgel1 wss wceq elpwid dfss4 eleq1d
          wn sylib notbid bitrd ) ABEUJZRPUKULBVDUJZROUKZULZUTEVFULZUTABCDVDFGH
          IJKLMNOPQRSTUAUBUCUDUEUFUGUHABCDELMNOPUCUFUGUMUNAVGVHAVEEVFAEBUOVEEUP
          AEBUIUQEBURVAUSVBVC $.
      $}
    $}

    ${
      $d B i j k l m s $.  $d B n o p s $.  $d D i j k l m $.  $d D n o p $.
      $d F i j k l $.  $d F n o p $.  $d G i j k l m $.  $d G n o p $.
      $d M i j k l $.  $d M n o p $.  $d N i j k l m s $.  $d N n o p s $.
      $d X l m s $.  $d ph i j k l s $.  $d ph n o p s $.
      neicvgfv.x $e |- ( ph -> X e. B ) $.
      $( The value of the neighborhoods (convergents) in terms of the the
         convergents (neighborhoods) function.  (Contributed by RP,
         27-Jun-2021.) $)
      neicvgfv $p |- ( ph -> ( N ` X )
                             = { s e. ~P B | -. ( B \ s ) e. ( M ` X ) } ) $=
        ( cpw cfv cin cv wcel crab cdif wn dfin5 wss wceq cmap neicvgnex elmapi
        co wf syl ffvelrnd elpwid sseqin2 sylib wa wbr simpr neicvgel1 rabbidva
        adantr 3eqtr3a ) ABUIZQOUJZUKZRULZVRUMZRVQUNVRBVTUOQNUJUMUPZRVQUNRVQVRU
        QAVRVQURVSVRUSAVRVQABVQUIZQOAOWCBUTVCUMBWCOVDABCDEFGHIJKLMNOPSTUAUBUCUD
        UEUFUGVAOWCBVBVEUHVFVGVRVQVHVIAWAWBRVQAVTVQUMZVJBCDVTEFGHIJKLMNOPQSTUAU
        BUCUDUEUFAONMVKWDUGVOAQBUMWDUHVOAWDVLVMVNVP $.
    $}
  $}

  ${
    ntrrn.x $e |- X = U. J $.
    ntrrn.i $e |- I = ( int ` J ) $.

    ${
      $d J s $.  $d X s $.
      $( The range of the interior function of a topology a subset of the open
         sets of the topology.  (Contributed by RP, 22-Apr-2021.) $)
      ntrrn $p |- ( J e. Top -> ran I C_ J ) $=
        ( vs ctop wcel crn cnt cfv rneqi cpw wfn cv wral wss cin cuni cvv vpwex
        cmpt inex2 uniex rgenw nfcv fnmptf mp1i ntrfval fneq1d mpbird ntropn ex
        elpwi syl5 ralrimiv fnfvrnss syl2anc eqsstrid ) BGHZAIBJKZIZBAVAELUTVAC
        MZNZFOZVAKBHZFVCPVBBQUTVDFVCBVEMZRZSZUBZVCNZVITHZFVCPVKUTVLFVCVHVGBFUAU
        CUDUEFVCVITFVCUFUGUHUTVCVAVJFBCDUIUJUKUTVFFVCVEVCHVECQZUTVFVECUNUTVMVFV
        EBCDULUMUOUPFVCBVAUQURUS $.

      $( The interior function of a topology is a map from the powerset of the
         base set to the open sets of the topology.  (Contributed by RP,
         22-Apr-2021.) $)
      ntrf $p |- ( J e. Top -> I : ~P X --> J ) $=
        ( vs ctop wcel cpw wfn crn wss wf cv cin cuni cmpt vpwex inex2 uniex
        eqid fnmpti cnt cfv ntrfval syl5eq fneq1d mpbiri ntrrn df-f sylanbrc )
        BGHZACIZJZAKBLUMBAMULUNFUMBFNIZOZPZQZUMJFUMUQURUPUOBFRSTURUAUBULUMAURUL
        ABUCUDUREFBCDUEUFUGUHABCDEUIUMBAUJUK $.
    $}

    $( The interior function is a map from the powerset of the base set to
       itself.  (Contributed by RP, 22-Apr-2021.) $)
    ntrf2 $p |- ( J e. Top -> I : ~P X --> ~P X ) $=
      ( ctop wcel cpw ntrf c0 cpr wss ctopon cfv wa toptopon topgele sylbi fssd
      simprd ) BFGZCHZBUBAABCDEIUAJCKBLZBUBLZUABCMNGUCUDOBCDPBCQRTS $.

    $( The interior function is a map from the powerset of the base set to
       itself.  (Contributed by RP, 22-Apr-2021.) $)
    ntrelmap $p |- ( J e. Top -> I e. ( ~P X ^m ~P X ) ) $=
      ( ctop wcel cpw cmap co wf ntrf2 cvv topopn pwexd elmapd mpbird ) BFGZACH
      ZSIJGSSAKABCDELRSSAMMRCBBCDNOZTPQ $.
  $}

  ${
    clselmap.x $e |- X = U. J $.
    clselmap.k $e |- K = ( cls ` J ) $.
    $( The closure function is a map from the powerset of the base set to
       itself.  This is less precise than ~ clsf .  (Contributed by RP,
       22-Apr-2021.) $)
    clsf2 $p |- ( J e. Top -> K : ~P X --> ~P X ) $=
      ( ctop wcel cpw wfn crn wss wa wf ccld cfv ccl clsf feq1i df-f sylbb1 mpi
      cldss2 sstr2 anim2i 3syl sylibr ) AFGZBCHZIZBJZUHKZLZUHUHBMUGUHANOZAPOZMZ
      UIUJUMKZLZULACDQUHUMBMUOUQUHUMBUNERUHUMBSTUPUKUIUPUMUHKUKACDUBUJUMUHUCUAU
      DUEUHUHBSUF $.

    $( The closure function is a map from the powerset of the base set to
       itself.  (Contributed by RP, 22-Apr-2021.) $)
    clselmap $p |- ( J e. Top -> K e. ( ~P X ^m ~P X ) ) $=
      ( ctop wcel cpw cmap co wf clsf2 cvv topopn pwexd elmapd mpbird ) AFGZBCH
      ZSIJGSSBKABCDELRSSBMMRCAACDNOZTPQ $.
  $}

  ${
    dssmapclsntr.x $e |- X = U. J $.
    dssmapclsntr.k $e |- K = ( cls ` J ) $.
    dssmapclsntr.i $e |- I = ( int ` J ) $.
    dssmapclsntr.o $e |- O = ( b e. _V |-> ( f e. ( ~P b ^m ~P b ) |->
                            ( s e. ~P b |-> ( b \ ( f ` ( b \ s ) ) ) ) ) ) $.
    dssmapclsntr.d $e |- D = ( O ` X ) $.

    ${
      $d D t $.  $d I t $.  $d J b f s t $.  $d K f s t $.  $d X b f s t $.

      $( The interior and closure operators on a topology are duals of each
         other.  See also ~ kur14lem2 .  (Contributed by RP, 21-Apr-2021.) $)
      dssmapntrcls $p |- ( J e. Top -> I = ( D ` K ) ) $=
        ( vt wcel cpw cfv wfn cdif ctop cv cin cuni cmpt wral vpwex inex2 uniex
        cvv rgenw nfcv fnmptf mp1i ntrfval syl5eq fneq1d mpbird cmap co wf1o wf
        cnt topopn dssmapf1od f1of syl clselmap ffvelrnd elmapfn ccl wceq elpwi
        wss ntrval2 sylan2 fveq1i difeq2i 3eqtr4g adantr eqid dssmapfv3d eqtr4d
        wa simpr eqfnfvd ) DUAPZOGQZCEARZWGCWHSOWHDOUBZQZUCZUDZUEZWHSZWMUJPZOWH
        UFWOWGWPOWHWLWKDOUGUHUIUKOWHWMUJOWHULUMUNWGWHCWNWGCDVCRZWNLODGJUOUPUQUR
        WGWIWHWHUSUTZPWIWHSWGWRWREAWGWRWRAVAWRWRAVBWGGABFDHIMNDGJVDZVEWRWRAVFVG
        DEGJKVHZVIWIWHWHVJVGWGWJWHPZWDZWJCRZGGWJTZERZTZWJWIRZXBWJWQRZGXDDVKRZRZ
        TZXCXFXAWGWJGVNXHXKVLWJGVMWJDGJVOVPWJCWQLVQXEXJGXDEXIKVQVRVSXBGAWJXGBEW
        IFDHIMNWGGDPXAWSVTWGEWRPXAWTVTWIWAWGXAWEXGWAWBWCWF $.
    $}

    ${
      $d J b f s $.  $d K f s $.  $d X b f s $.
      $( The closure and interior operators on a topology are duals of each
         other.  See also ~ kur14lem2 .  (Contributed by RP, 22-Apr-2021.) $)
      dssmapclsntr $p |- ( J e. Top -> K = ( D ` I ) ) $=
        ( ctop wcel ccnv cfv wceq dssmapntrcls eqcomd cpw cmap co wi dssmapf1od
        wf1o topopn clselmap f1ocnvfv syl2anc mpd dssmapnvod fveq1d eqtr3d ) DO
        PZCAQZRZECARUPEARZCSZURESZUPCUSABCDEFGHIJKLMNTUAUPGUBZVBUCUDZVCAUGEVCPU
        TVAUEUPGABFDHIMNDGJUHZUFDEGJKUIVCVCECAUJUKULUPCUQAUPGABFDHIMNVDUMUNUO
        $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Generic Neighborhood Spaces
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Any neighborhood space is an open set topology and any open set topology is a
  neighborhood space.  Seifert and Threlfall define a generic neighborhood
  space which is a superset of what is now generally used and related concepts
  and the following will show that those definitions apply to elements of
  ` Top ` .

  Seifert and Threlfall do not allow neighborhood spaces on the empty set while
  ~ sn0top is an example of a topology with an empty base set.  This divergence
  is unlikely to pose serious problems.

$)

  ${
    gneispace.x $e |- X = U. J $.
    ${
      $d J n p $.  $d X n $.
      $( Each point ` p ` of the neighborhood space has at least one
         neighborhood; each neighborhood of ` p ` contains ` p ` .  Axiom A of
         Seifert and Threlfall.  (Contributed by RP, 5-Apr-2021.) $)
      gneispa $p |- ( J e. Top
                      -> A. p e. X ( ( ( nei ` J ) ` { p } ) =/= (/)
                                     /\ A. n e. ( ( nei ` J ) ` { p } )
                                           p e. n ) ) $=
        ( ctop wcel cv csn cnei cfv c0 wne wel wral wa wss snssi tpnei syl5ib
        imp ne0d elnei 3expia ralrimiv jca ralrimiva ) BFGZDHZIZBJKKZLMZDANZAUK
        OZPDCUHUICGZPZULUNUPUKCUHUOCUKGZUOUJCQUHUQUICRUJBCESTUAUBUPUMAUKUHUOAHZ
        UKGUMCUIBURUCUDUEUFUG $.
    $}

    ${
      $d J s $.  $d N s $.  $d P s $.  $d X s $.
      $( Given a neighborhood ` N ` of ` P ` , each subset of the neighborhood
         space containing this neighborhood is also a neighborhood of ` P ` .
         Axiom B of Seifert and Threlfall.  (Contributed by RP, 5-Apr-2021.) $)
      gneispb $p |- ( ( J e. Top /\ P e. X /\ N e. ( ( nei ` J ) ` { P } ) )
                      -> A. s e. ~P X ( N C_ s
                                        -> s e. ( ( nei ` J ) ` { P } ) ) ) $=
        ( ctop wcel csn cnei cfv w3a cv wss wi cpw wa 3simpb ad2antrr simpr
        simplr elpwid ssnei2 syl12anc exp31 ralrimiv ) BGHZADHZCAIZBJKKZHZLZCEM
        ZNZUMUJHZOEDPZULUMUPHZUNUOULUQQZUNQZUGUKQZUNUMDNUOULUTUQUNUGUHUKRSURUNT
        USUMDULUQUNUAUBUIBUMCDFUCUDUEUF $.
    $}
  $}

  ${
    gneispace.a $e |- A = { f | ( f : dom f -->
                                      ( ~P ( ~P dom f \ { (/) } ) \ { (/) } )
                                  /\ A. p e. dom f A. n e. ( f ` p ) ( p e. n
                            /\ A. s e. ~P dom f ( n C_ s -> s e. ( f ` p ) )
                               ) ) } $.

    ${
      $d F n p $.  $d F f s $.  $d f n p $.
      $( The predicate that ` F ` is a (generic) Seifert and Threlfall
         neighborhood space.  (Contributed by RP, 15-Apr-2021.) $)
      gneispace2 $p |- ( F e. V -> ( F e. A <-> ( F : dom F -->
                                      ( ~P ( ~P dom F \ { (/) } ) \ { (/) } )
                                  /\ A. p e. dom F A. n e. ( F ` p ) ( p e. n
                            /\ A. s e. ~P dom F ( n C_ s -> s e. ( F ` p ) )
                               ) ) ) ) $=
        ( cv cdm cpw cdif wf cfv wcel wi wral wa pweqd raleqbidv c0 csn wel wss
        wceq id dmeq difeq1d feq123d fveq1 eleq2d imbi2d anbi2d anbi12d elab2g
        ) BIZJZUQKZUAUBZLZKZUSLZUPMZGCUCZCIFIZUDZVEGIZUPNZOZPZFURQZRZCVHQZGUQQZ
        RDJZVOKZUSLZKZUSLZDMZVDVFVEVGDNZOZPZFVPQZRZCWAQZGVOQZRBDAEUPDUEZVCVTVNW
        GWHUQVOVBVSUPDWHUFUPDUGZWHVAVRUSWHUTVQWHURVPUSWHUQVOWISZUHSUHUIWHVMWFGU
        QVOWIWHVLWECVHWAVGUPDUJZWHVKWDVDWHVJWCFURVPWJWHVIWBVFWHVHWAVEWKUKULTUMT
        TUNHUO $.
    $}

    ${
      $d F n p $.  $d F f s $.  $d f n p $.
      $( The predicate that ` F ` is a (generic) Seifert and Threlfall
         neighborhood space.  (Contributed by RP, 15-Apr-2021.) $)
      gneispace3 $p |- ( F e. V -> ( F e. A <-> (
                       ( Fun F
                         /\ ran F C_ ( ~P ( ~P dom F \ { (/) } ) \ { (/) } ) )
                       /\ A. p e. dom F A. n e. ( F ` p ) (
                          p e. n
                          /\ A. s e. ~P dom F (
                             n C_ s -> s e. ( F ` p ) ) ) ) ) ) $=
        ( wcel cdm cpw c0 csn cdif wf cv wss wral wa anbi1i wel cfv wi wfun crn
        gneispace2 wfn df-f funfn bitr4i bitrdi ) DEIDAIDJZULKZLMZNKUNNZDOZGCUA
        CPFPZQUQGPDUBZIUCFUMRSCURRGULRZSDUDZDUEUOQZSZUSSABCDEFGHUFUPVBUSUPDULUG
        ZVASVBULUODUHUTVCVADUITUJTUK $.
    $}

    ${
      $d F n p $.  $d F f s $.  $d f n p $.  $d V p $.  $d F p x $.
      $( The predicate that ` F ` is a (generic) Seifert and Threlfall
         neighborhood space.  (Contributed by RP, 14-Apr-2021.) $)
      gneispace $p |- ( F e. V -> ( F e. A <-> ( Fun F /\ ran F C_ ~P ~P dom F
                       /\ A. p e. dom F ( ( F ` p ) =/= (/)
                          /\ A. n e. ( F ` p ) ( p e. n
                             /\ A. s e. ~P dom F ( n C_ s -> s e. ( F ` p ) )
                             )
                          ) ) ) ) $=
        ( vx wcel c0 wss wa cv wral syl cin wceq wn sylibr wfun crn cdm cpw csn
        cdif wel cfv wi gneispace3 simpll simplr difss sspwi sstri sstrdi simpr
        wne simpl fvelrn sylan ssel2 eldifsni syl2an2r ralrimiva r19.26 biimpri
        w3a 3jca simp1 nfv nfra1 nf3an wex 19.8ad ralimi 3ad2ant3 rsp wal df-ex
        wrex ralbii ralnex bitri 0el xchbinxr biimpi elinel1 nsyl disjdif2 syl6
        disjsn simp2 ex fvex elpw df-ss sylbb syl6an jcad indif2 eqeq1i ralrimi
        eqtr wfn wb funfnd sseq1 ralrn mpbird pwssb jca elrnrexdm nesym reldisj
        nsyli imp biimpd sylc impbii bitrdi ) DEJDAJDUAZDUBZDUCZUDZKUEZUFZUDZYF
        UFZLZMZGCUGZCNFNZLYMGNZDUHZJUIFYEOZMZCYOOZGYDOZMZYBYCYEUDZLZYOKURZYRMZG
        YDOZVHZABCDEFGHUJYTUUFYTYBUUBUUEYBYJYSUKYTYCYIUUAYBYJYSULYIYHUUAYHYFUMY
        GYEYEYFUMUNUOUPYKUUCGYDOZYSUUEYKUUCGYDYKYJYNYDJZYOYCJZUUCYBYJUQYKYBUUHU
        UIYBYJUSYNDUTZVAYJUUIMYOYIJUUCYCYIYOVBYOYHKVCPVDVEUUEUUGYSMZUUCYRGYDVFZ
        VGVAVIUUFYKYSUUFYBYJYBUUBUUEVJZUUFYCYHLZYCYFQKRZYJUUFINZYGLZIYCOZUUNUUF
        UURYOYGLZGYDOZUUFUUSGYDYBUUBUUEGYBGVKUUBGVKUUDGYDVLVMUUFUUHYOYEQZYFUFZU
        VARZUVAYORZMZUUSUUFUUHUVCUVDUUFUUHYLGVNZCYOOZUVCUUFUVGGYDOZUUHUVGUIUUEY
        BUVHUUBUUDUVGGYDUUDYRUVGUUCYRUQYQUVFCYOYQYLGYLYPUSVOVPPVPVQUVGGYDVRPUVG
        UVAYFQKRZUVCUVGKUVAJZSUVIUVGKYOJZUVJUVGUVKSUVGYLSGVSZCYOWAZUVKUVGUVLSZC
        YOOUVMSUVFUVNCYOYLGVTWBUVLCYOWCWDCGYOWEWFWGKYOYEWHWIUVAKWLTUVAYFWJPWKUU
        FUUBUUHUUIUVDYBUUBUUEWMUUFYBUUHUUIUIUUMYBUUHUUIUUJWNPUUBUUIMYOUUAJZUVDY
        CUUAYOVBUVOYOYELUVDYOYEYNDWOWPYOYEWQWRPWSWTUVEUVBYORZUUSUVBUVAYOXDUUSYO
        YGQZYORUVPYOYGWQUVQUVBYOYOYEYFXAXBWDTWKXCUUFDYDXEUURUUTXFUUFDUUMXGUUQUU
        SIGYDDUUPYOYGXHXIPXJIYCYGXKTUUFYBUUGMZUUOUUFYBUUGUUMUUEYBUUGUUBUUDUUCGY
        DUUCYRUSVPVQXLUVRKYCJZSZUUOYBUUGUVTYBUVSKYORZGYDWAZUUGGDKXMUUGUWASZGYDO
        UWBSUUCUWCGYDYOKXNWBUWAGYDWCWRXPXQYCKWLTPUUNUUOYJYCYFYHXOXRXSXLUUFUUKYS
        UUEYBUUKUUBUUEUUKUULWGVQUUGYSUQPXLXTYA $.
    $}

    ${
      $d F n p $.  $d F f s $.  $d f n p $.  $d P p $.  $d P n $.  $d N n $.
      $d S s $.
      $( A generic neighborhood space is a function with a range that is a
         subset of the powerset of the powerset of its domain.  (Contributed by
         RP, 15-Apr-2021.) $)
      gneispacef $p |- ( F e. A -> F : dom F
                         --> ( ~P ( ~P dom F \ { (/) } ) \ { (/) } ) ) $=
        ( wcel cdm cpw c0 csn cdif wf wel cv wss cfv wral wa wi gneispace2 ibi
        simpld ) DAHZDIZUFJZKLZMJUHMDNZFCOCPEPZQUJFPDRZHUAEUGSTCUKSFUFSZUEUIULT
        ABCDAEFGUBUCUD $.

      $( A generic neighborhood space is a function with a range that is a
         subset of the powerset of the powerset of its domain.  (Contributed by
         RP, 15-Apr-2021.) $)
      gneispacef2 $p |- ( F e. A -> F : dom F --> ~P ~P dom F ) $=
        ( wcel wfun crn cdm cpw wss cv cfv c0 wral wa cvv syl wne wel wi w3a wf
        wb elex gneispace ibi wfn simp1 funfnd simp2 df-f sylanbrc ) DAHZDIZDJD
        KZLZLZMZFNDOZPUAFCUBCNENZMVCVBHUCEUSQRCVBQRFURQZUDZURUTDUEZUPVEUPDSHUPV
        EUFDAUGABCDSEFGUHTUIVEDURUJVAVFVEDUQVAVDUKULUQVAVDUMURUTDUNUOT $.

      $( A generic neighborhood space is a function.  (Contributed by RP,
         15-Apr-2021.) $)
      gneispacefun $p |- ( F e. A -> Fun F ) $=
        ( wcel cdm cpw c0 csn cdif gneispacef ffund ) DAHDIZPJKLZMJQMDABCDEFGNO
        $.

      $( A generic neighborhood space has a range that is a subset of the
         powerset of the powerset of its domain.  (Contributed by RP,
         15-Apr-2021.) $)
      gneispacern $p |- ( F e. A -> ran F C_
                          ( ~P ( ~P dom F \ { (/) } ) \ { (/) } ) ) $=
        ( wcel cdm cpw c0 csn cdif gneispacef frnd ) DAHDIZPJKLZMJQMDABCDEFGNO
        $.

      $( A generic neighborhood space has a range that is a subset of the
         powerset of the powerset of its domain.  (Contributed by RP,
         15-Apr-2021.) $)
      gneispacern2 $p |- ( F e. A -> ran F C_ ~P ~P dom F ) $=
        ( wcel wfun crn cdm cpw wss cv cfv c0 wne wral wa cvv wel w3a gneispace
        wi wb elex syl ibi simp2d ) DAHZDIZDJDKZLZLMZFNDOZPQFCUACNENZMUPUOHUDEU
        MRSCUORSFULRZUJUKUNUQUBZUJDTHUJURUEDAUFABCDTEFGUCUGUHUI $.

      $( A generic neighborhood space has a nonempty set of neighborhoods for
         every point in its domain.  (Contributed by RP, 15-Apr-2021.) $)
      gneispace0nelrn $p |- ( F e. A -> A. p e. dom F ( F ` p ) =/= (/) ) $=
        ( wcel cv cfv c0 wne wel wss wi cpw wral wa cvv syl cdm wfun crn w3a wb
        elex gneispace ibi simp3d simpl ralimi ) DAHZFIDJZKLZFCMCIEIZNUOUMHOEDU
        AZPZQRCUMQZRZFUPQZUNFUPQULDUBZDUCUQPNZUTULVAVBUTUDZULDSHULVCUEDAUFABCDS
        EFGUGTUHUIUSUNFUPUNURUJUKT $.

      $( A generic neighborhood space has a nonempty set of neighborhoods for
         every point in its domain.  (Contributed by RP, 15-Apr-2021.) $)
      gneispace0nelrn2 $p |- ( ( F e. A /\ P e. dom F ) ->
                               ( F ` P ) =/= (/) ) $=
        ( wcel cdm cfv c0 wne cv wral wi gneispace0nelrn wceq fveq2 neeq1d syl
        rspccv imp ) EAIZBEJZIZBEKZLMZUDGNZEKZLMZGUEOUFUHPACDEFGHQUKUHGBUEUIBRU
        JUGLUIBESTUBUAUC $.

      $( A generic neighborhood space has a nonempty set of neighborhoods for
         every point in its domain.  (Contributed by RP, 15-Apr-2021.) $)
      gneispace0nelrn3 $p |- ( F e. A -> -. (/) e. ran F ) $=
        ( wcel crn cdm cpw c0 csn cdif wss wn gneispacern neldifsnd ssel mtod
        syl ) DAHDIZDJKLMZNKZUCNZOZLUBHZPABCDEFGQUFUGLUEHUFLUDRUBUELSTUA $.

      $( Every neighborhood of a point in a generic neighborhood space contains
         that point.  (Contributed by RP, 15-Apr-2021.) $)
      gneispaceel $p |- ( F e. A -> A. p e. dom F A. n e. ( F ` p ) p e. n ) $=
        ( wcel cdm cpw c0 csn cdif wf wel cv wss cfv wral wa gneispace2 2ralimi
        wi ibi simpl simpl2im ) DAHZDIZUHJZKLZMJUJMDNZFCOZCPEPZQUMFPDRZHUCEUISZ
        TZCUNSFUHSZULCUNSFUHSUGUKUQTABCDAEFGUAUDUPULFCUHUNULUOUEUBUF $.

      $( Every neighborhood of a point in a generic neighborhood space contains
         that point.  (Contributed by RP, 15-Apr-2021.) $)
      gneispaceel2 $p |- ( ( F e. A /\ P e. dom F /\ N e. ( F ` P ) ) ->
                           P e. N ) $=
        ( wcel cdm cfv cv wral wi wel gneispaceel wceq fveq2 rspccv eleq1 eleq2
        raleqbidv syl syl6 3imp ) EAJZBEKZJZFBELZJZBFJZUGUIBDMZJZDUJNZUKULOUGHD
        PZDHMZELZNZHUHNUIUOOACDEGHIQUSUOHBUHUQBRUPUNDURUJUQBESUQBUMUAUCTUDUNULD
        FUJUMFBUBTUEUF $.

      $( All supersets of a neighborhood of a point (limited to the domain of
         the neighborhood space) are also neighborhoods of that point.
         (Contributed by RP, 15-Apr-2021.) $)
      gneispacess $p |- ( F e. A -> A. p e. dom F
                                      A. n e. ( F ` p )
                                        A. s e. ~P dom F
                                          ( n C_ s -> s e. ( F ` p ) ) ) $=
        ( wcel cdm cpw c0 csn cdif wf wel cv wss cfv wral wa gneispace2 2ralimi
        wi ibi simpr simpl2im ) DAHZDIZUHJZKLZMJUJMDNZFCOZCPEPZQUMFPDRZHUCEUISZ
        TZCUNSFUHSZUOCUNSFUHSUGUKUQTABCDAEFGUAUDUPUOFCUHUNULUOUEUBUF $.

      $d n s $.  $d N s $.  $d p s $.  $d P s $.

      $( All supersets of a neighborhood of a point (limited to the domain of
         the neighborhood space) are also neighborhoods of that point.
         (Contributed by RP, 15-Apr-2021.) $)
      gneispacess2 $p |- ( ( ( F e. A /\ P e. dom F )
                           /\ ( N e. ( F ` P ) /\ S e. ~P dom F /\ N C_ S ) )
                           -> S e. ( F ` P ) ) $=
        ( wcel cfv wss cv wi wral wceq ralbidv rspccv syl6 cdm cpw fveq2 eleq2d
        w3a gneispacess imbi2d raleqbidv sseq1 imbi1d sseq2 eleq1 imbi12d 3impd
        syl imp31 ) FAKZBFUAZKZGBFLZKZCURUBZKZGCMZUEZCUTKZUQUSENZHNZMZVHUTKZOZH
        VBPZEUTPZVEVFOUQVIVHINZFLZKZOZHVBPZEVOPZIURPUSVMOADEFHIJUFVSVMIBURVNBQZ
        VRVLEVOUTVNBFUCZVTVQVKHVBVTVPVJVIVTVOUTVHWAUDUGRUHSUOVMVAVCVDVFVMVAGVHM
        ZVJOZHVBPZVCVDVFOZOVLWDEGUTVGGQZVKWCHVBWFVIWBVJVGGVHUIUJRSWCWEHCVBVHCQW
        BVDVJVFVHCGUKVHCUTULUMSTUNTUP $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Exploring Higher Homotopy via Kerodon
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  See ~ https://kerodon.net/ for a work in progress by Jacob Lurie.

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Simplicial Sets
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  See ~ https://kerodon.net/tag/0004 for introduction to the topological
  simplex of dimension ` N ` .

$)

  $( Application of ~ ssin to range of a function.  (Contributed by RP,
     1-Apr-2021.) $)
  k0004lem1 $p |- ( D = ( B i^i C ) ->
                   ( ( F : A --> B /\ ( F " A ) C_ C )
                     <-> F : A --> D ) ) $=
    ( cin wceq wf cima wss wfn crn fnima sseq1d anbi2d ssin bitrdi pm5.32i df-f
    wa anbi1i anass bitri 3bitr4i feq3 bitr4id ) DBCFZGABEHZEAIZCJZTZAUGEHZADEH
    EAKZELZBJZUJTZTZUMUNUGJZTUKULUMUPURUMUPUOUNCJZTURUMUJUSUOUMUIUNCAEMNOUNBCPQ
    RUKUMUOTZUJTUQUHUTUJABESUAUMUOUJUBUCAUGESUDDUGAEUEUF $.

  $( A mapping with a particular restricted range is also a mapping to that
     range.  (Contributed by RP, 1-Apr-2021.) $)
  k0004lem2 $p |- ( ( A e. U /\ B e. V /\ C C_ B ) ->
                   ( ( F e. ( B ^m A ) /\ ( F " A ) C_ C )
                     <-> F e. ( C ^m A ) ) ) $=
    ( wcel wss w3a wf cima wa cmap co cin wceq wb simp3 sseqin2 elmapd 3syl cvv
    biimpi eqcomd k0004lem1 simp2 simp1 anbi1d ssexd 3bitr4d ) ADGZBFGZCBHZIZAB
    EJZEAKCHZLZACEJZEBAMNGZUPLECAMNGUNUMCBCOZPUQURQUKULUMRZUMUTCUMUTCPCBSUCUDAB
    CCEUEUAUNUSUOUPUNBAEFDUKULUMUFZUKULUMUGZTUHUNCAEUBDUNCBFVBVAUIVCTUJ $.

  $( When the value of a mapping on a singleton is known, the mapping is a
     completely known singleton.  (Contributed by RP, 2-Apr-2021.) $)
  k0004lem3 $p |- ( ( A e. U /\ B e. V /\ C e. B ) ->
                   ( ( F e. ( B ^m { A } ) /\ ( F ` A ) = C )
                     <-> F = { <. A , C >. } ) ) $=
    ( wcel w3a csn cmap co cfv wceq wa wss syl syl5bb cvv wb snex cima cop sneq
    eqimss fvex snsssn impbii wfn elmapfn simpl1 fnsnfv syl2an2 sseq1d pm5.32da
    snidg simp2 simp3 snssd k0004lem2 mp3an2i wf elmap fsng 3adant2 3bitrd ) AD
    GZBFGZCBGZHZEBAIZJKGZAELZCMZNVKEVJUAZCIZOZNZEVOVJJKGZEACUBIMZVIVKVMVPVMVLIZ
    VOOZVIVKNZVPVMWAVMVTVOMWAVLCUCVTVOUDPVLCAEUEUFUGWBVTVNVOVKEVJUHVIAVJGZVTVNM
    EBVJUIWBVFWCVFVGVHVKUJADUOPVJAEUKULUMQUNVJRGVIVGVOBOVQVRSATZVFVGVHUPVICBVFV
    GVHUQURVJBVOREFUSUTVRVJVOEVAZVIVSVOVJECTWDVBVFVHWEVSSVGACDBEVCVDQVE $.

  ${
    $d n k $.  $d n t $.  $d N k $.  $d N t $.  $d N n $.  $d N v $.
    $( ` ( A `` n ) ` is the topological simplex of dimension ` n ` . $)
    k0004.a $e |- A = ( n e. NN0 |-> { t e. ( ( 0 [,] 1 )
                                              ^m ( 1 ... ( n + 1 ) ) )
                                     | sum_ k e. ( 1 ... ( n + 1 ) )
                                            ( t ` k )
                                       = 1 } ) $.
    $( The topological simplex of dimension ` N ` is the set of real vectors
       where the components are nonnegative and sum to 1.  (Contributed by RP,
       29-Mar-2021.) $)
    k0004val $p |- ( N e. NN0 -> ( A ` N ) = { t e. ( ( 0 [,] 1 )
                                                      ^m ( 1 ... ( N + 1 ) ) )
                                             | sum_ k e. ( 1 ... ( N + 1 ) )
                                                    ( t ` k )
                                               = 1 } ) $=
      ( c1 cv caddc co cfz cfv csu wceq cc0 cicc cmap crab cn0 oveq2d rabeqbidv
      oveq1 sumeq1d eqeq1d ovex rabex fvmpt ) DEGDHZGIJZKJZCHAHLZCMZGNZAOGPJZUJ
      QJZRGEGIJZKJZUKCMZGNZAUNUQQJZRSBUHENZUMUSAUOUTVAUJUQUNQVAUIUPGKUHEGIUBTZT
      VAULURGVAUJUQUKCVBUCUDUAFUSAUTUNUQQUEUFUG $.

    $( The topological simplex of dimension ` N ` is a subset of the real
       vectors of dimension ` ( N + 1 ) ` .  (Contributed by RP,
       29-Mar-2021.) $)
    k0004ss1 $p |- ( N e. NN0 -> ( A ` N ) C_ ( RR ^m ( 1 ... ( N + 1 ) ) )
                   ) $=
      ( cn0 wcel cfv cc0 c1 cicc co caddc cfz cmap cr cv cvv wss csu wceq simp2
      crab k0004val rabssdv eqsstrd reex unitssre mapss mp2an sstrdi ) EGHZEBIZ
      JKLMZKEKNMOMZPMZQUPPMZUMUNUPCRARZICUAKUBZAUQUDUQABCDEFUEUMUTAUQUQUMUSUQHU
      TUCUFUGQSHUOQTUQURTUHUIUOQUPSUJUKUL $.

    $( The topological simplex of dimension ` N ` is a subset of the base set
       of a real vector space of dimension ` ( N + 1 ) ` .  (Contributed by RP,
       29-Mar-2021.) $)
    k0004ss2 $p |- ( N e. NN0 -> ( A ` N )
                                 C_ ( Base ` ( RR^ ` ( 1 ... ( N + 1 ) ) ) )
                   ) $=
      ( vv cn0 wcel cfv cr c1 caddc co cfz cmap crrx cc0 cvv eqid cbs cv cfsupp
      k0004ss1 wbr crab ssidd wa wf elmapi adantl fzfid 0red fdmfifsupp ssrabdv
      wceq ovex rrxbase ax-mp sseqtrrdi sstrd ) EHIZEBJKLELMNZONZPNZVDQJZUAJZAB
      CDEFUDVBVEGUBZRUCUEZGVEUFZVGVBVIGVEVEVBVEUGVBVHVEIZUHZVDKVHKRVKVDKVHUIVBV
      HKVDUJUKVLLVCULVLUMUNUOVDSIVGVJUPLVCOUQVGGVFVDSVFTVGTURUSUTVA $.

    $( The topological simplex of dimension ` N ` is a subset of the base set
       of Euclidean space of dimension ` ( N + 1 ) ` .  (Contributed by RP,
       29-Mar-2021.) $)
    k0004ss3 $p |- ( N e. NN0 -> ( A ` N ) C_ ( Base ` ( EEhil ` ( N + 1 ) ) )
                   ) $=
      ( cn0 wcel cfv cr c1 caddc co cfz cmap cehl cbs k0004ss1 wceq peano2nn0
      eqid ehlbase syl sseqtrd ) EGHZEBIJKEKLMZNMOMZUFPIZQIZABCDEFRUEUFGHUGUISE
      TUHUFUHUAUBUCUD $.

    ${
      $d k t $.
      $( The topological simplex of dimension 0 is a singleton.  (Contributed
         by RP, 2-Apr-2021.) $)
      k0004val0 $p |- ( A ` 0 ) = { { <. 1 , 1 >. } } $=
        ( cc0 cfv c1 co cfz wceq cmap crab csn wcel ax-mp cz 1z eqtri cc cv csu
        caddc cicc cop cn0 0nn0 k0004val 0p1e1 oveq2i fzsn rabeqi sumeq1i wf wa
        elmapi wb fsn2g biimpi unitssre ax-resscn sstri sseli adantr 3syl fveq2
        cr sumsn sylancr syl5eq eqeq1d rabbiia rabeqsn cvv ovex k0004lem3 mp3an
        1elunit mpgbir ) FBGZHFHUCIZJIZCUAZAUAZGZCUBZHKZAFHUDIZWBLIZMZHHUENZNZF
        UFOVTWJKUGABCDFEUHPWJHWDGZHKZAWHHNZLIZMZWLWJWGAWPMWQWGAWIWPWBWOWHLWBHHJ
        IZWOWAHHJUIUJHQOZWRWOKRHUKPSZUJULWGWNAWPWDWPOZWFWMHXAWFWOWECUBZWMWBWOWE
        CWTUMXAWSWMTOZXBWMKRXAWOWHWDUNZWMWHOZWDHWMUENKZUOZXCWDWHWOUPXDXGWSXDXGU
        QRHWHWDQURPUSXEXCXFWHTWMWHVGTUTVAVBVCVDVEWEWMCHQWCHWDVFVHVIVJVKVLSWQWLK
        XAWNUOWDWKKUQZAWNAWPWKVMWSWHVNOHWHOXHRFHUDVOVRHWHHQWDVNVPVQVSSS $.
    $}
  $}

$( (End of Richard Penner's mathbox.) $)
$( End $[ set-mbox-rp.mm $] $)


$( Begin $[ set-mbox-sp.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Stanislas Polu
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  ${
    $d N k $.  $d k n $.
    $( Simple induction example.  (Contributed by Stanislas Polu,
       9-Mar-2020.) $)
    inductionexd $p |- ( N e. NN -> 3 || ( ( 4 ^ N ) + 5 ) ) $=
      ( c3 c4 cexp co c5 caddc cdvds wbr wceq oveq2 oveq1d breq2d wcel cmul 5cn
      c1 cz cmin a1i vk vn cv w3a 3z cn0 4z 1nn0 zexpcl 5nn nnzi zaddcl 3pm3.2i
      mp2an c9 3t3e9 numexp1 oveq1i 4cn 5p4e9 addcomli eqtri eqtr4i dvds0lem cn
      4nn0 wa 4nn nnnn0 nnexpcld nnzd adantr zaddcld simpr dvdsmultr1d dvdsmul1
      zmulcld dvds2subd cdc cc adddird 3cn 5t3e15 mulcomli oveq2d expp1d ax-1cn
      nncnd 3p1e4 eqcomi pncan3oi oveq2i subdii mulid1i 3eqtr3ri oveq12d mulcld
      5nn0 deccl nn0cni addsubassd eqtr4d 3eqtr4rd breqtrrd ex nnind ) BCUAUCZD
      EZFGEZHIBCQDEZFGEZHIZBCUBUCZDEZFGEZHIZBCXMQGEZDEZFGEZHIZBCADEZFGEZHIUAUBA
      XGQJZXIXKBHYCXHXJFGXGQCDKLMXGXMJZXIXOBHYDXHXNFGXGXMCDKLMXGXQJZXIXSBHYEXHX
      RFGXGXQCDKLMXGAJZXIYBBHYFXHYAFGXGACDKLMBRNZYGXKRNZUDBBOEZXKJXLYGYGYHUEUEX
      JRNZFRNZYHCRNZQUFNYJUGUHCQUIUNFUJUKZXJFULUNUMYIUOXKUPXKCFGEUOXJCFGCVFUQUR
      FCUOPUSUTVAVBVCBBXKVDUNXMVENZXPXTYNXPVGZBXOCOEZBFOEZSEZXSHYOBYPYQYGYOUETZ
      YOXOCYOXNFYNXNRNXPYNXNYNCXMCVENYNVHTXMVIZVJZVKVLYKYOYMTZVMZYLYOUGTZVQYOBF
      YSUUBVQYOBXOCYSUUCUUDYNXPVNVOBYQHIZYOYGYKUUEUEYMBFVPUNTVRYNXSYRJXPYNYPQFV
      SZSEXNCOEZFCOEZGEZUUFSEZYRXSYNYPUUIUUFSYNXNFCYNXNUUAWHZFVTNYNPTZCVTNYNUST
      ZWALYNYQUUFYPSYQUUFJYNFBUUFPWBWCWDTWEYNXSUUGUUHUUFSEZGEUUJYNXRUUGFUUNGYNC
      XMUUMYTWFFUUNJYNFUUHFBOEZSEZUUNFCBSEZOEFQOEUUPFUUQQFOUUQQBGEZBSEQCUURBSUU
      RCBQCWBWGWIVAWJURQBWGWBWKVBWLFCBPUSWBWMFPWNWOUUFUUOUUHSUUOUUFWCWJWLVCTWPY
      NUUGUUHUUFYNXNCUUKUUMWQYNFCUULUUMWQUUFVTNYNUUFQFUHWRWSWTTXAXBXCVLXDXEXF
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  IMO Problems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  IMO 1972 B2
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    wwlemuld.1 $e |- ( ph -> A e. RR ) $.
    wwlemuld.2 $e |- ( ph -> B e. RR ) $.
    wwlemuld.3 $e |- ( ph -> C e. RR ) $.
    wwlemuld.4 $e |- ( ph -> ( C x. A ) <_ ( C x. B ) ) $.
    wwlemuld.5 $e |- ( ph -> 0 < C ) $.
    $( Natural deduction form of ~ lemul2d .  (Contributed by Stanislas Polu,
       9-Mar-2020.) $)
    wwlemuld $p |- ( ph -> A <_ B ) $=
      ( cle wbr cmul co elrpd lemul2d mpbird ) ABCJKDBLMDCLMJKHABCDEFADGINOP $.
  $}

  ${
    leeq1d.1 $e |- ( ph -> A <_ C ) $.
    leeq1d.2 $e |- ( ph -> A = B ) $.
    leeq1d.3 $e |- ( ph -> A e. RR ) $.
    leeq1d.4 $e |- ( ph -> C e. RR ) $.
    $( Specialization of ~ breq1d to reals and less than.  (Contributed by
       Stanislas Polu, 9-Mar-2020.) $)
    leeq1d $p |- ( ph -> B <_ C ) $=
      ( cle eqbrtrrd ) ABCDIFEJ $.
  $}

  ${
    leeq2d.1 $e |- ( ph -> A <_ C ) $.
    leeq2d.2 $e |- ( ph -> C = D ) $.
    leeq2d.3 $e |- ( ph -> A e. RR ) $.
    leeq2d.4 $e |- ( ph -> C e. RR ) $.
    $( Specialization of ~ breq2d to reals and less than.  (Contributed by
       Stanislas Polu, 9-Mar-2020.) $)
    leeq2d $p |- ( ph -> A <_ D ) $=
      ( cle breqtrd ) ABCDIEFJ $.
  $}

  ${
    absmulrposd.1 $e |- ( ph -> 0 <_ A ) $.
    absmulrposd.2 $e |- ( ph -> A e. RR ) $.
    absmulrposd.3 $e |- ( ph -> B e. RR ) $.
    $( Specialization of absmuld with ~ absidd .  (Contributed by Stanislas
       Polu, 9-Mar-2020.) $)
    absmulrposd $p |- ( ph -> ( abs ` ( A x. B ) ) = ( A x. ( abs ` B ) ) ) $=
      ( cmul co cabs cfv recnd absmuld absidd oveq1d eqtrd ) ABCGHIJBIJZCIJZGHB
      QGHABCABEKACFKLAPBQGABEDMNO $.
  $}

  ${
    imadisjld.1 $e |- ( ph -> ( dom A i^i B ) = (/) ) $.
    $( Natural dduction form of one side of ~ imadisj .  (Contributed by
       Stanislas Polu, 9-Mar-2020.) $)
    imadisjld $p |- ( ph -> ( A " B ) = (/) ) $=
      ( cdm cin c0 wceq cima imadisj sylibr ) ABECFGHBCIGHDBCJK $.
  $}

  ${
    imadisjlnd.1 $e |- ( ph -> ( dom A i^i B ) =/= (/) ) $.
    $( Natural deduction form of one negated side of ~ imadisj .  (Contributed
       by Stanislas Polu, 9-Mar-2020.) $)
    imadisjlnd $p |- ( ph -> ( A " B ) =/= (/) ) $=
      ( cdm cin c0 wne cima wceq imadisj biimpi necon3i syl ) ABECFZGHBCIZGHDPG
      OGPGJOGJBCKLMN $.
  $}

  ${
    wnefimgd.1 $e |- ( ph -> A =/= (/) ) $.
    wnefimgd.2 $e |- ( ph -> F : A --> B ) $.
    $( The image of a mapping from A is nonempty if A is nonempty.
       (Contributed by Stanislas Polu, 9-Mar-2020.) $)
    wnefimgd $p |- ( ph -> ( F " A ) =/= (/) ) $=
      ( cdm cin wss wceq ssid fdmd sseqtrrid sseqin2 sylib eqnetrd imadisjlnd
      c0 ) ADBADGZBHZBRABSITBJABBSBKABCDFLMBSNOEPQ $.
  $}

  ${
    fco2d.1 $e |- ( ph -> G : A --> B ) $.
    fco2d.2 $e |- ( ph -> ( F |` B ) : B --> C ) $.
    $( Natural deduction form of ~ fco2 .  (Contributed by Stanislas Polu,
       9-Mar-2020.) $)
    fco2d $p |- ( ph -> ( F o. G ) : A --> C ) $=
      ( cres wf ccom fco2 syl2anc ) ACDECIJBCFJBDEFKJHGBCDEFLM $.
  $}

  ${
    wfximgfd.1 $e |- ( ph -> C e. A ) $.
    wfximgfd.2 $e |- ( ph -> F : A --> B ) $.
    $( The value of a function on its domain is in the image of the function.
       (Contributed by Stanislas Polu, 9-Mar-2020.) $)
    wfximgfd $p |- ( ph -> ( F ` C ) e. ( F " A ) ) $=
      ( ffnd fnfvimad ) ABDBEABCEGHFFI $.
  $}

  ${
    $d C x y $.  $d F x y $.  $d ph x y $.
    extoimad.1 $e |- ( ph -> F : RR --> RR ) $.
    extoimad.2 $e |- ( ph -> A. y e. RR ( abs ` ( F ` y ) ) <_ C ) $.
    $( If |f(x)| <= C for all x then it applies to all x in the image of |f(x)|
       (Contributed by Stanislas Polu, 9-Mar-2020.) $)
    extoimad $p |- ( ph -> A. x e. ( abs " ( F " RR ) ) x <_ C ) $=
      ( cv cle wbr cabs cr cima wral cfv wcel wceq wrex a1i cc ffvelrnda abscld
      wa recnd ccom imaco eleq2d wf absf wss ax-resscn fssresd fco2d ffnd ssidd
      fvelimabd wb eqcom rexbidv bitrd adantr simpr fvco3d eqcomd eqeq2d bitr4d
      rexbidva bitr3d breq1d ralxfr2d mpbird ) ABHZDIJZBKELMMZNCHZEOZKOZDIJZCLN
      GAVMVRBCVQVNLLAVOLPZUCZVPVTVPALLVOEFUAUDUBAVLKEUEZLMZPZVLVNPVLVQQZCLRZAWB
      VNVLWBVNQAKELUFSUGAWCVLVOWAOZQZCLRZWEAWCWFVLQZCLRWHACLLVLWAALLWAALLLKEFAT
      LLKTLKUHAUISLTUJAUKSULUMUNALUOUPAWIWGCLWIWGUQAWFVLURSUSUTAWDWGCLVTVQWFVLV
      TWFVQVTLLVOKEALLEUHVSFVAAVSVBVCVDVEVGVFVHAWDUCVLVQDIAWDVBVIVJVK $.
  $}

  ${
    $d F c x $.  $d F x y $.  $d c ph x $.  $d ph x y $.
    imo72b2lem0.1 $e |- ( ph -> F : RR --> RR ) $.
    imo72b2lem0.2 $e |- ( ph -> G : RR --> RR ) $.
    imo72b2lem0.3 $e |- ( ph -> A e. RR ) $.
    imo72b2lem0.4 $e |- ( ph -> B e. RR ) $.
    imo72b2lem0.5 $e |- ( ph -> ( ( F ` ( A + B ) ) + ( F ` ( A - B ) ) )
                        = ( 2 x. ( ( F ` A ) x. ( G ` B ) ) ) ) $.
    imo72b2lem0.6 $e |- ( ph -> A. y e. RR ( abs ` ( F ` y ) ) <_ 1 ) $.
    $( Lemma for ~ imo72b2 .  (Contributed by Stanislas Polu, 9-Mar-2020.) $)
    imo72b2lem0 $p |- ( ph -> ( ( abs ` ( F ` A ) ) x. ( abs ` ( G ` B ) ) )
                       <_ sup ( ( abs " ( F " RR ) ) , RR , < ) ) $=
      ( vx cfv co cabs cr c2 wi idi vc cmul cima clt csup ffvelrnd recnd mulcld
      cc wcel abscld ccom imaco eqcomi crn wss imassrn a1i wf ax-resscn fssresd
      absf fco2d frnd sstrd eqsstrid wne cc0 0re ne0ii wnefimgd necomd neeqtrrd
      c0 wceq cv cle wbr wral c1 1red wa simpr breq2d ralbidv extoimad rspcedvd
      suprcld caddc cmin fveq2d 2cnd eqeltrd readdcld resubcld remulcld abstrid
      2re fvco3d wfximgfd eleqtrrd eqeltrrd suprubd le2addd eqcomd leeq2d letrd
      2timesd leeq1d 0le2 absmulrposd 2pos wwlemuld absmuld ) ACENZDFNZUBOZPNZX
      OPNXPPNUBOZPEQUCUCZQUDUEZAXRYARAXQAXOXPAXOUIUJSAXOAQQCEGIUFZUGZTAXPUIUJSA
      XPAQQDFHJUFZUGZTUHZUKZAUAMXTAXTPEULZQUCZQYIXTPEQUMUNZAYIYHUOZQYIYKUPAYHQU
      QURAQQYHAQQQPEGAUIQQPUIQPUSAVBURQUIUPAUTURVAVCZVDVEVFZAVNXTAVNYIXTAYIVNAQ
      QYHQVNVGAVHQVIVJURYLVKVLXTYIVOZAYJURZVMVLZAMVPZUAVPZVQVRZMXTVSYQVTVQVRZMX
      TVSUAVTQAWAAYRVTVOZWBZYSYTMXTUUBYRVTYQVQAUUAWCWDWEAMBVTEGLWFWGZWHZRQUJAWR
      URZARXQUBOZPNZRXRUBORYAUBOZACDWIOZENZCDWJOZENZWIOZPNZUUGUUHAUUNUUJPNZUULP
      NZWIOZUUHAUUNUUGQAUUMUUFPAUUMUUFVOSKTWKZAUUFARXQAWLYFUHUKZWMZAUUOUUPAUUJA
      UUJAQQUUIEAQQEUSSGTZACDACQUJSITZADQUJSJTZWNZUFUGZUKZAUULAUULAQQUUKEUVAACD
      UVBUVCWOZUFUGZUKZWNZARYAUUEUUDWPZAUUJUULUVEUVHWQAUUQYAYAWIOZUUHAUUOUUPYAY
      AUVFUVIUUDUUDAUAMXTUUOYMYPUUCAUUIYHNZUUOXTAQQUUIPEGUVDWSAUVMYIXTAQQUUIYHU
      VDYLWTAYNSYOTXAXBXCAUAMXTUUPYMYPUUCAUUKYHNZUUPXTAQQUUKPEGUVGWSAUVNYIXTAQQ
      UUKYHUVGYLWTYOXAXBXCXDAUUHUVLAYAAYAUUDUGXHXEZUVJAUVLUUHQUVOUVKWMXFXGUURUU
      TUVKXIARXQVHRVQVRAXJURUUEAXOXPAXOQUJSYBTAXPQUJSYDTWPXKUUSUVKXIVHRUDVRAXLU
      RXMAXRXSVOSAXOXPYCYEXNTYGUUDXI $.
  $}

  ${
    $d A x y $.  $d A z $.  $d B z $.
    suprleubrd.1 $e |- ( ph -> A C_ RR ) $.
    suprleubrd.2 $e |- ( ph -> A =/= (/) ) $.
    suprleubrd.3 $e |- ( ph -> E. x e. RR A. y e. A y <_ x ) $.
    suprleubrd.4 $e |- ( ph -> B e. RR ) $.
    suprleubrd.5 $e |- ( ph -> A. z e. A z <_ B ) $.
    $( Natural deduction form of specialized ~ suprleub .  (Contributed by
       Stanislas Polu, 9-Mar-2020.) $)
    suprleubrd $p |- ( ph -> sup ( A , RR , < ) <_ B ) $=
      ( cv cle wbr wral cr clt csup wss c0 wne wrex wb suprleub syl31anc bicomd
      wcel biimpd imp mpdan ) ADLFMNDEOZEPQRFMNZKAUKULAUKULAULUKAEPSETUACLBLMNC
      EOBPUBFPUGULUKUCGHIJBCDEFUDUEUFUHUIUJ $.
  $}

  ${
    $d C c v z $.  $d C t z $.  $d F c v z $.  $d F t z $.  $d c ph v z $.
    $d ph t z $.
    imo72b2lem2.1 $e |- ( ph -> F : RR --> RR ) $.
    imo72b2lem2.2 $e |- ( ph -> C e. RR ) $.
    imo72b2lem2.3 $e |- ( ph -> A. z e. RR ( abs ` ( F ` z ) ) <_ C ) $.
    $( Lemma for ~ imo72b2 .  (Contributed by Stanislas Polu, 9-Mar-2020.) $)
    imo72b2lem2 $p |- ( ph -> sup ( ( abs " ( F " RR ) ) , RR , < ) <_ C ) $=
      ( vc vv vt cabs cr cima wss a1i cc c0 necomd wceq cle ccom eqcomi imassrn
      imaco crn wf absf ax-resscn fssresd fco2d frnd sstrd eqsstrid wne cc0 0re
      ne0ii wnefimgd neeqtrrd cv wral wa simpr breq2d ralbidv extoimad rspcedvd
      wbr suprleubrd ) AHIJKDLMMZCAVJKDUAZLMZLVLVJKDLUDUBZAVLVKUEZLVLVNNAVKLUCO
      ALLVKALLLKDEAPLLKPLKUFAUGOLPNAUHOUIUJZUKULUMAQVJAQVLVJAVLQALLVKLQUNAUOLUP
      UQOVOURRVJVLSAVMOUSRAIUTZHUTZTVHZIVJVAVPCTVHZIVJVAHCLFAVQCSZVBZVRVSIVJWAV
      QCVPTAVTVCVDVEAIBCDEGVFVGFAJBCDEGVFVI $.
  $}

  ${
    $d A x y $.  $d A z $.  $d B z $.
    suprlubrd.1 $e |- ( ph -> A C_ RR ) $.
    suprlubrd.2 $e |- ( ph -> A =/= (/) ) $.
    suprlubrd.3 $e |- ( ph -> E. x e. RR A. y e. A y <_ x ) $.
    suprlubrd.4 $e |- ( ph -> B e. RR ) $.
    suprlubrd.5 $e |- ( ph -> E. z e. A B < z ) $.
    $( Natural deduction form of specialized ~ suprlub .  (Contributed by
       Stanislas Polu, 9-Mar-2020.) $)
    suprlubrd $p |- ( ph -> B < sup ( A , RR , < ) ) $=
      ( cv clt wbr wrex cr csup wss c0 wne wral wcel wb suprlub syl31anc bicomd
      cle biimpd imp mpdan ) AFDLMNDEOZFEPMQMNZKAUKULAUKULAULUKAEPRESTCLBLUGNCE
      UABPOFPUBULUKUCGHIJBCDEFUDUEUFUHUIUJ $.
  $}

  ${
    $d F c t $.  $d F x z $.  $d F t y $.  $d c ph t $.  $d ph x z $.
    $d ph t y $.
    imo72b2lem1.1 $e |- ( ph -> F : RR --> RR ) $.
    imo72b2lem1.7 $e |- ( ph -> E. x e. RR ( F ` x ) =/= 0 ) $.
    imo72b2lem1.6 $e |- ( ph -> A. y e. RR ( abs ` ( F ` y ) ) <_ 1 ) $.
    $( Lemma for ~ imo72b2 .  (Contributed by Stanislas Polu, 9-Mar-2020.) $)
    imo72b2lem1 $p |- ( ph -> 0 < sup ( ( abs " ( F " RR ) ) , RR , < ) ) $=
      ( vc vt vz cabs cr cima cc0 cc a1i cv wbr c1 wa ccom imaco crn imassrn wf
      absf wss ax-resscn fssresd fco2d frnd sstrid eqsstrrid wne ne0ii wnefimgd
      c0 0re eqnetrrid cle wral 1red wceq breq2d ralbidv extoimad rspcedvd 0red
      simpr cfv clt wrex wcel adantr simprl fvco3d funfvima2d eleqtrdi eqeltrrd
      adantrr ffvelrnda recnd simprr absrpcld rpgt0d rexlimddv suprlubrd ) AHIJ
      KDLMMZNAWHKDUAZLMZLKDLUBZAWJWIUCLWILUDALLWIALLLKDEAOLLKOLKUEAUFPLOUGAUHPU
      IUJZUKULUMAWHWJUQWKALLWILUQUNANLURUOPWLUPUSAIQZHQZUTRZIWHVAWMSUTRZIWHVAHS
      LAVBAWNSVCZTZWOWPIWHWRWNSWMUTAWQVIVDVEAICSDEGVFVGAVHABQZDVJZNUNZNJQZVKRZJ
      WHVLBLFAWSLVMZXATZTZXCNWTKVJZVKRJXGWHXFWSWIVJZXGWHXFLLWSKDALLDUEXEEVNAXDX
      AVOVPXFXHWJWHAXDXHWJVMXAALLWIWSWLVQVTWKVRVSXFXBXGVCZTXBXGNVKXFXIVIVDXFXGX
      FWTXFWTAXDWTLVMXAALLWSDEWAVTWBAXDXAWCWDWEVGWFWG $.
  $}

  ${
    lemuldiv3d.1 $e |- ( ph -> ( B x. A ) <_ C ) $.
    lemuldiv3d.2 $e |- ( ph -> 0 < A ) $.
    lemuldiv3d.3 $e |- ( ph -> A e. RR ) $.
    lemuldiv3d.4 $e |- ( ph -> B e. RR ) $.
    lemuldiv3d.5 $e |- ( ph -> C e. RR ) $.
    $( 'Less than or equal to' relationship between division and
       multiplication.  (Contributed by Stanislas Polu, 9-Mar-2020.) $)
    lemuldiv3d $p |- ( ph -> B <_ ( C / A ) ) $=
      ( cmul co cle wbr cdiv cr wcel cc0 clt wb lemuldiv syl112anc mpbid ) ACBJ
      KDLMZCDBNKLMZEACOPDOPBOPQBRMUCUDSHIGFCDBTUAUB $.
  $}

  ${
    lemuldiv4d.1 $e |- ( ph -> B <_ ( C / A ) ) $.
    lemuldiv4d.2 $e |- ( ph -> 0 < A ) $.
    lemuldiv4d.3 $e |- ( ph -> A e. RR ) $.
    lemuldiv4d.4 $e |- ( ph -> B e. RR ) $.
    lemuldiv4d.5 $e |- ( ph -> C e. RR ) $.
    $( 'Less than or equal to' relationship between division and
       multiplication.  (Contributed by Stanislas Polu, 9-Mar-2020.) $)
    lemuldiv4d $p |- ( ph -> ( B x. A ) <_ C ) $=
      ( cdiv co cle wbr cmul cr wcel cc0 clt wb lemuldiv syl112anc bicomd mpbid
      ) ACDBJKLMZCBNKDLMZEAUEUDACOPDOPBOPQBRMUEUDSHIGFCDBTUAUBUC $.
  $}

  ${
    $d A x $.  $d B x $.  $d ch x $.  $d ph x $.
    rspcdvinvd.1 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    rspcdvinvd.2 $e |- ( ph -> A e. B ) $.
    rspcdvinvd.3 $e |- ( ph -> A. x e. B ps ) $.
    $( If something is true for all then it's true for some class.
       (Contributed by Stanislas Polu, 9-Mar-2020.) $)
    rspcdvinvd $p |- ( ph -> ch ) $=
      ( wral rspcdv mpd ) ABDFJCIABCDEFHGKL $.
  $}

  ${
    $d B c t $.  $d B u v $.  $d B x $.  $d B t y $.  $d F c t $.  $d F u v $.
    $d F x $.  $d F t y $.  $d G c t $.  $d G u v $.  $d G x $.  $d G t y $.
    $d c ph t $.  $d ph u v $.  $d ph x $.  $d ph t y $.  $d u y $.
    imo72b2.1 $e |- ( ph -> F : RR --> RR ) $.
    imo72b2.2 $e |- ( ph -> G : RR --> RR ) $.
    imo72b2.4 $e |- ( ph -> B e. RR ) $.
    imo72b2.5 $e |- ( ph -> A. u e. RR A. v e. RR ( ( F ` ( u + v ) ) + ( F ` (
                    u - v ) ) ) = ( 2 x. ( ( F ` u ) x. ( G ` v ) ) ) ) $.
    imo72b2.6 $e |- ( ph -> A. y e. RR ( abs ` ( F ` y ) ) <_ 1 ) $.
    imo72b2.7 $e |- ( ph -> E. x e. RR ( F ` x ) =/= 0 ) $.
    $( IMO 1972 B2.  (14th International Mathematical Olympiad in Poland,
       problem B2).  (Contributed by Stanislas Polu, 9-Mar-2020.) $)
    imo72b2 $p |- ( ph -> ( abs ` ( G ` B ) ) <_ 1 ) $=
      ( cfv c1 cr adantr co a1i vc vt cabs ffvelrnd recnd abscld 1red clt simpr
      wbr wa wf wcel cima csup cdiv cle cmul cc ax-resscn ccom imaco eqcomi crn
      wss imassrn absf fssresd fco2d frnd sstrd eqsstrid wne cc0 ne0ii wnefimgd
      c0 0re necomd wceq neeqtrrd wral breq2d ralbidv extoimad rspcedvd suprcld
      cv sselid mulcomd 0lt1 lttrd gt0ne0d redivcld caddc cmin c2 oveq2d fveq2d
      oveq12d eqeq12d wi ralcom biimpi imp rspcdvinvd r19.21bi adantlr ad2antrr
      mpdan imo72b2lem0 cxr 0xr 1xr rexrd simplr ffvelrnda lemuldiv3d ralrimiva
      imo72b2lem2 lemuldiv4d eqbrtrrd imo72b2lem1 sseldd dividd eqcomd breqtrrd
      xrlttrd wrex lensymd pm2.65da nltled ) AFHOZUCOZPAYMAYMAQQFHJKUDUEUFAUGZA
      PYNUHUJZYPAYPUIZAYPUKZYNPYRYMYRYMYRQQFHAQQHULZYPJRZAFQUMZYPKRZUDUEUFZAPQU
      MYPYORZYRYNUCGQUNUNZQUHUOZUUFUPSZPUQYRUUFYNUUFYRUUFYNURSYNUUFURSUUFUQYRUU
      FYNYRQUSUUFUTYRUAUBUUEYRUUEUCGVAZQUNZQUUIUUEUCGQVBVCZYRUUIUUHVDZQUUIUUKVE
      YRUUHQVFTYRQQUUHYRQQQUCGAQQGULZYPIRZYRUSQQUCUSQUCULYRVGTQUSVEYRUTTZVHVIZV
      JVKVLYRVQUUEYRVQUUIUUEYRUUIVQYRQQUUHQVQVMYRVNQVRVOTUUOVPVSUUEUUIVTYRUUJTW
      AVSYRUBWHZUAWHZUQUJZUBUUEWBUUPPUQUJZUBUUEWBZUAPQUUDYRUUQPVTZUKZUURUUSUBUU
      EUVBUUQPUUPUQYRUVAUIWCWDAUUTYPAUBCPGIMWERWFWGZWIYRQUSYNUTUUCWIWJYRYNUUFUU
      FYREUUFYNUPSZGUUMYRUUFYNUVCUUCYRYNYRVNPYNVNQUMYRVRTUUDUUCVNPUHUJZYRWKTYQW
      LZWMWNYREWHZGOZUCOZUVDUQUJEQYRUVGQUMZUKZYNUVIUUFUVKCUVGFGHYRUULUVJUUMRYRY
      SUVJYTRYRUVJUIYRUUAUVJUUBRAUVJUVGFWOSZGOZUVGFWPSZGOZWOSZWQUVHYMURSZURSZVT
      ZYPAUVSEQAUVGDWHZWOSZGOZUVGUVTWPSZGOZWOSZWQUVHUVTHOZURSZURSZVTZEQWBZUVSEQ
      WBDFQAUVTFVTZUKZUWIUVSEQUWLUWEUVPUWHUVRUWLUWBUVMUWDUVOWOUWLUWAUVLGUWLUVTF
      UVGWOAUWKUIZWRWSUWLUWCUVNGUWLUVTFUVGWPUWMWRWSWTUWLUWGUVQWQURUWLUWFYMUVHUR
      UWLUVTFHUWMWSWRWRXAWDKAUWIDQWBEQWBZUWJDQWBZLAUWNUWOUWNUWOXBAUWNUWOUWIEDQQ
      XCXDTXEXJXFXGXHACWHGOUCOPUQUJCQWBZYPUVJMXIXKUVKVNPYNVNXLUMUVKXMTPXLUMUVKX
      NTUVKYNYRYNQUMUVJUUCRZXOUVEUVKWKTAYPUVJXPYHUWQUVKUVHUVKUVHYRQQUVGGUUMXQUE
      UFYRUUFQUMUVJUVCRXRXSXTUVFUUCUVCUVCYAYBYRBCGUUMABWHGOVNVMBQYIYPNRAUWPYPMR
      YCZUVCUUCUVCXRYRUUGPYRUUFYRQUSUUFUUNUVCYDYRUUFUWRWMYEYFYGYJYKYL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  INT Inequalities Proof Generator
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This section formalizes theorems necessary to reproduce the equality and
  inequality generator described in "Neural Theorem Proving on Inequality
  Problems" ~ http://aitp-conference.org/2020/abstract/paper_18.pdf .

  Other theorems required: ~ 0red ~ 1red ~ readdcld ~ remulcld ~ eqcomd .

$)

  ${
    int-addcomd.1 $e |- ( ph -> B e. RR ) $.
    int-addcomd.2 $e |- ( ph -> C e. RR ) $.
    int-addcomd.3 $e |- ( ph -> A = B ) $.
    $( AdditionCommutativity generator rule.  (Contributed by Stanislas Polu,
       7-Apr-2020.) $)
    int-addcomd $p |- ( ph -> ( B + C ) = ( C + A ) ) $=
      ( caddc co recnd addcomd eqcomd oveq2d eqtrd ) ACDHIDCHIDBHIACDACEJADFJKA
      CBDHABCGLMN $.
  $}

  ${
    int-addassocd.1 $e |- ( ph -> A e. RR ) $.
    int-addassocd.2 $e |- ( ph -> C e. RR ) $.
    int-addassocd.3 $e |- ( ph -> D e. RR ) $.
    int-addassocd.4 $e |- ( ph -> A = B ) $.
    $( AdditionAssociativity generator rule.  (Contributed by Stanislas Polu,
       7-Apr-2020.) $)
    int-addassocd $p |- ( ph -> ( B + ( C + D ) ) = ( ( A + C ) + D ) ) $=
      ( caddc co recnd addassd oveq1d eqtr2d ) ABDJKEJKBDEJKZJKCPJKABDEABFLADGL
      AEHLMABCPJINO $.
  $}

  ${
    int-addsimpd.1 $e |- ( ph -> A e. RR ) $.
    int-addsimpd.2 $e |- ( ph -> A = B ) $.
    $( AdditionSimplification generator rule.  (Contributed by Stanislas Polu,
       7-Apr-2020.) $)
    int-addsimpd $p |- ( ph -> 0 = ( A - B ) ) $=
      ( cmin co cc0 recnd subeq0bd eqcomd ) ABCFGHABCABDIEJK $.
  $}

  ${
    int-mulcomd.1 $e |- ( ph -> B e. RR ) $.
    int-mulcomd.2 $e |- ( ph -> C e. RR ) $.
    int-mulcomd.3 $e |- ( ph -> A = B ) $.
    $( MultiplicationCommutativity generator rule.  (Contributed by Stanislas
       Polu, 7-Apr-2020.) $)
    int-mulcomd $p |- ( ph -> ( B x. C ) = ( C x. A ) ) $=
      ( cmul co recnd mulcomd eqcomd oveq2d eqtrd ) ACDHIDCHIDBHIACDACEJADFJKAC
      BDHABCGLMN $.
  $}

  ${
    int-mulassocd.1 $e |- ( ph -> B e. RR ) $.
    int-mulassocd.2 $e |- ( ph -> C e. RR ) $.
    int-mulassocd.3 $e |- ( ph -> D e. RR ) $.
    int-mulassocd.4 $e |- ( ph -> A = B ) $.
    $( MultiplicationAssociativity generator rule.  (Contributed by Stanislas
       Polu, 7-Apr-2020.) $)
    int-mulassocd $p |- ( ph -> ( B x. ( C x. D ) ) = ( ( A x. C ) x. D ) ) $=
      ( cmul co recnd mulassd eqcomd oveq1d eqtr3d ) ACDJKZEJKCDEJKJKBDJKZEJKAC
      DEACFLADGLAEHLMAQREJACBDJABCINOOP $.
  $}

  ${
    int-mulsimpd.1 $e |- ( ph -> B e. RR ) $.
    int-mulsimpd.2 $e |- ( ph -> A = B ) $.
    int-mulsimpd.3 $e |- ( ph -> B =/= 0 ) $.
    $( MultiplicationSimplification generator rule.  (Contributed by Stanislas
       Polu, 7-Apr-2020.) $)
    int-mulsimpd $p |- ( ph -> 1 = ( A / B ) ) $=
      ( cdiv co c1 recnd diveq1bd eqcomd ) ABCGHIABCACDJFEKL $.
  $}

  ${
    int-leftdistd.1 $e |- ( ph -> B e. RR ) $.
    int-leftdistd.2 $e |- ( ph -> C e. RR ) $.
    int-leftdistd.3 $e |- ( ph -> D e. RR ) $.
    int-leftdistd.4 $e |- ( ph -> A = B ) $.
    $( AdditionMultiplicationLeftDistribution generator rule.  (Contributed by
       Stanislas Polu, 7-Apr-2020.) $)
    int-leftdistd $p |- ( ph -> ( ( C + D ) x. B ) =
                        ( ( C x. A ) + ( D x. A ) ) ) $=
      ( caddc co cmul recnd adddird mulcld addcomd eqcomd oveq2d oveq12d eqtrd
      3eqtrd ) ADEJKCLKDCLKZECLKZJKZUCUBJKZDBLKZEBLKZJKZADECADGMZAEHMZACFMZNAUB
      UCADCUIUKOZAECUJUKOZPAUEUDUHAUCUBUMULPAUBUFUCUGJACBDLABCIQZRACBELUNRSTUA
      $.
  $}

  ${
    int-rightdistd.1 $e |- ( ph -> B e. RR ) $.
    int-rightdistd.2 $e |- ( ph -> C e. RR ) $.
    int-rightdistd.3 $e |- ( ph -> D e. RR ) $.
    int-rightdistd.4 $e |- ( ph -> A = B ) $.
    $( AdditionMultiplicationRightDistribution generator rule.  (Contributed by
       Stanislas Polu, 7-Apr-2020.) $)
    int-rightdistd $p |- ( ph -> ( B x. ( C + D ) ) =
                         ( ( A x. C ) + ( A x. D ) ) ) $=
      ( caddc co cmul recnd addcld mulcomd eqcomd eqtrd oveq12d joinlmuladdmuld
      oveq1d ) ACDEJKZLKUACLKBDLKZBELKZJKZACUAACFMZADEADGMZAEHMZNOADCEUDUFUEUGA
      DCLKZUBECLKZUCJAUHCDLKUBADCUFUEOACBDLABCIPZTQAUICELKUCAECUGUEOACBELUJTQRS
      Q $.
  $}

  ${
    int-sqdefd.1 $e |- ( ph -> B e. RR ) $.
    int-sqdefd.2 $e |- ( ph -> A = B ) $.
    $( SquareDefinition generator rule.  (Contributed by Stanislas Polu,
       7-Apr-2020.) $)
    int-sqdefd $p |- ( ph -> ( A x. B ) = ( A ^ 2 ) ) $=
      ( c2 cexp co cmul oveq1d recnd sqvald wceq eqcom imbi2i mpbi eqtrd eqcomd
      wi ) ABFGHZBCIHZATCFGHZUAABCFGEJAUBCCIHUAACACDKLACBCIABCMZSACBMZSEUCUDABC
      NOPJQQR $.
  $}

  ${
    int-mul11d.1 $e |- ( ph -> A e. RR ) $.
    int-mul11d.2 $e |- ( ph -> A = B ) $.
    $( First MultiplicationOne generator rule.  (Contributed by Stanislas Polu,
       7-Apr-2020.) $)
    int-mul11d $p |- ( ph -> ( A x. 1 ) = B ) $=
      ( c1 cmul co recnd mulid1d eqtrd ) ABFGHBCABABDIJEK $.
  $}

  ${
    int-mul12d.1 $e |- ( ph -> A e. RR ) $.
    int-mul12d.2 $e |- ( ph -> A = B ) $.
    $( Second MultiplicationOne generator rule.  (Contributed by Stanislas
       Polu, 7-Apr-2020.) $)
    int-mul12d $p |- ( ph -> ( 1 x. A ) = B ) $=
      ( c1 cmul co recnd mulid2d eqtrd ) AFBGHBCABABDIJEK $.
  $}

  ${
    int-add01d.1 $e |- ( ph -> A e. RR ) $.
    int-add01d.2 $e |- ( ph -> A = B ) $.
    $( First AdditionZero generator rule.  (Contributed by Stanislas Polu,
       7-Apr-2020.) $)
    int-add01d $p |- ( ph -> ( A + 0 ) = B ) $=
      ( cc0 caddc co recnd addid1d eqtrd ) ABFGHBCABABDIJEK $.
  $}

  ${
    int-add02d.1 $e |- ( ph -> A e. RR ) $.
    int-add02d.2 $e |- ( ph -> A = B ) $.
    $( Second AdditionZero generator rule.  (Contributed by Stanislas Polu,
       7-Apr-2020.) $)
    int-add02d $p |- ( ph -> ( 0 + A ) = B ) $=
      ( cc0 caddc co recnd addid2d eqtrd ) AFBGHBCABABDIJEK $.
  $}

  ${
    int-sqgeq0d.1 $e |- ( ph -> A e. RR ) $.
    int-sqgeq0d.2 $e |- ( ph -> B e. RR ) $.
    int-sqgeq0d.3 $e |- ( ph -> A = B ) $.
    $( SquareGEQZero generator rule.  (Contributed by Stanislas Polu,
       7-Apr-2020.) $)
    int-sqgeq0d $p |- ( ph -> 0 <_ ( A x. B ) ) $=
      ( cc0 c2 cexp co cmul cle sqge0d oveq1d recnd sqvald wceq wi eqcom eqtrd
      imbi2i mpbi breqtrd ) AGBHIJZBCKJZLABDMAUDCHIJZUEABCHIFNAUFCCKJUEACACEOPA
      CBCKABCQZRACBQZRFUGUHABCSUAUBNTTUC $.
  $}

  ${
    int-eqprincd.1 $e |- ( ph -> A = B ) $.
    int-eqprincd.2 $e |- ( ph -> C = D ) $.
    $( PrincipleOfEquality generator rule.  (Contributed by Stanislas Polu,
       7-Apr-2020.) $)
    int-eqprincd $p |- ( ph -> ( A + C ) = ( B + D ) ) $=
      ( caddc oveq12d ) ABCDEHFGI $.
  $}

  ${
    int-eqtransd.1 $e |- ( ph -> A = B ) $.
    int-eqtransd.2 $e |- ( ph -> B = C ) $.
    $( EqualityTransitivity generator rule.  (Contributed by Stanislas Polu,
       7-Apr-2020.) $)
    int-eqtransd $p |- ( ph -> A = C ) $=
      ( eqtrd ) ABCDEFG $.
  $}

  ${
    int-eqmvtd.1 $e |- ( ph -> C e. RR ) $.
    int-eqmvtd.2 $e |- ( ph -> D e. RR ) $.
    int-eqmvtd.3 $e |- ( ph -> A = B ) $.
    int-eqmvtd.4 $e |- ( ph -> A = ( C + D ) ) $.
    $( EquMoveTerm generator rule.  (Contributed by Stanislas Polu,
       7-Apr-2020.) $)
    int-eqmvtd $p |- ( ph -> C = ( B - D ) ) $=
      ( cmin co caddc eqtr3d oveq1d recnd pncand eqtrd eqcomd ) ACEJKZDASDELKZE
      JKDACTEJABCTHIMNADEADFOAEGOPQR $.
  $}

  ${
    int-eqineqd.1 $e |- ( ph -> B e. RR ) $.
    int-eqineqd.2 $e |- ( ph -> A = B ) $.
    $( EquivalenceImpliesDoubleInequality generator rule.  (Contributed by
       Stanislas Polu, 7-Apr-2020.) $)
    int-eqineqd $p |- ( ph -> B <_ A ) $=
      ( eqcomd eqled ) ACBDABCEFG $.
  $}

  ${
    int-ineqmvtd.1 $e |- ( ph -> B e. RR ) $.
    int-ineqmvtd.2 $e |- ( ph -> C e. RR ) $.
    int-ineqmvtd.3 $e |- ( ph -> D e. RR ) $.
    int-ineqmvtd.4 $e |- ( ph -> B <_ A ) $.
    int-ineqmvtd.5 $e |- ( ph -> A = ( C + D ) ) $.
    $( IneqMoveTerm generator rule.  (Contributed by Stanislas Polu,
       7-Apr-2020.) $)
    int-ineqmvtd $p |- ( ph -> ( B - D ) <_ C ) $=
      ( cmin co cle wbr caddc breqtrd lesubaddd mpbird ) ACEKLDMNCDEOLZMNACBSMI
      JPACEDFHGQR $.
  $}

  ${
    int-ineq1stprincd.1 $e |- ( ph -> A e. RR ) $.
    int-ineq1stprincd.2 $e |- ( ph -> B e. RR ) $.
    int-ineq1stprincd.3 $e |- ( ph -> C e. RR ) $.
    int-ineq1stprincd.4 $e |- ( ph -> D e. RR ) $.
    int-ineq1stprincd.5 $e |- ( ph -> B <_ A ) $.
    int-ineq1stprincd.6 $e |- ( ph -> D <_ C ) $.
    $( FirstPrincipleOfInequality generator rule.  (Contributed by Stanislas
       Polu, 7-Apr-2020.) $)
    int-ineq1stprincd $p |- ( ph -> ( B + D ) <_ ( A + C ) ) $=
      ( le2addd ) ACEBDGIFHJKL $.
  $}

  ${
    int-ineq2ndprincd.1 $e |- ( ph -> A e. RR ) $.
    int-ineq2ndprincd.2 $e |- ( ph -> B e. RR ) $.
    int-ineq2ndprincd.3 $e |- ( ph -> C e. RR ) $.
    int-ineq2ndprincd.4 $e |- ( ph -> B <_ A ) $.
    int-ineq2ndprincd.5 $e |- ( ph -> 0 <_ C ) $.
    $( SecondPrincipleOfInequality generator rule.  (Contributed by Stanislas
       Polu, 7-Apr-2020.) $)
    int-ineq2ndprincd $p |- ( ph -> ( B x. C ) <_ ( A x. C ) ) $=
      ( lemul1ad ) ACBDFEGIHJ $.
  $}

  ${
    int-ineqtransd.1 $e |- ( ph -> A e. RR ) $.
    int-ineqtransd.2 $e |- ( ph -> B e. RR ) $.
    int-ineqtransd.3 $e |- ( ph -> C e. RR ) $.
    int-ineqtransd.4 $e |- ( ph -> B <_ A ) $.
    int-ineqtransd.5 $e |- ( ph -> C <_ B ) $.
    $( InequalityTransitivity generator rule.  (Contributed by Stanislas Polu,
       7-Apr-2020.) $)
    int-ineqtransd $p |- ( ph -> C <_ A ) $=
      ( letrd ) ADCBGFEIHJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  N-Digit Addition Proof Generator
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This section formalizes theorems used in an n-digit addition proof generator.

  Other theorems required: ~ deccl ~ addcomli ~ 00id ~ addid1i ~ addid2i ~ eqid
  ~ dec0h ~ decadd ~ decaddc .

$)

  ${
    unitadd.1 $e |- ( A + B ) = F $.
    unitadd.2 $e |- ( C + 1 ) = B $.
    unitadd.3 $e |- A e. NN0 $.
    unitadd.4 $e |- C e. NN0 $.
    $( Theorem used in conjunction with ~ decaddc to absorb carry when
       generating n-digit addition synthetic proofs.  (Contributed by Stanislas
       Polu, 7-Apr-2020.) $)
    unitadd $p |- ( ( A + C ) + 1 ) = F $=
      ( caddc co c1 nn0cni ax-1cn addassi eqcomi oveq2i eqtr3i eqtri ) ACIJKIJA
      CKIJZIJZDACKAGLCHLMNABIJTDBSAISBFOPEQR $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  AM-GM (for k = 2,3,4)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    gsumws3.0 $e |- B = ( Base ` G ) $.
    gsumws3.1 $e |- .+ = ( +g ` G ) $.
    $( Valuation of a length 3 word in a monoid.  (Contributed by Stanislas
       Polu, 9-Sep-2020.) $)
    gsumws3 $p |- ( ( G e. Mnd /\ ( S e. B /\ ( T e. B /\ U e. B ) ) ) ->
                  ( G gsum <" S T U "> ) = ( S .+ ( T .+ U ) ) ) $=
      ( cmnd wcel wa cs3 cgsu co cs1 cs2 cconcat wceq s1s2 a1i simprrl gsumccat
      oveq2d cword simpl s1cld simprrr syl3anc gsumws1 ad2antrl gsumws2 adantrl
      simprl s2cld 3expb oveq12d 3eqtrd ) FIJZCAJZDAJZEAJZKZKZKZFCDELZMNFCOZDEP
      ZQNZMNZFVFMNZFVGMNZBNZCDEBNZBNVDVEVHFMVEVHRVDCDESTUCVDURVFAUDZJVGVNJVIVLR
      URVCUEVDCAURUSVBUMUFVDDEAURUSUTVAUAURUSUTVAUGUNABFVFVGGHUBUHVDVJCVKVMBUSV
      JCRURVBACFGUIUJURVBVKVMRZUSURUTVAVOABDEFGHUKUOULUPUQ $.
  $}

  ${
    gsumws4.0 $e |- B = ( Base ` G ) $.
    gsumws4.1 $e |- .+ = ( +g ` G ) $.
    $( Valuation of a length 4 word in a monoid.  (Contributed by Stanislas
       Polu, 10-Sep-2020.) $)
    gsumws4 $p |- ( ( G e. Mnd /\ ( S e. B /\ ( T e. B /\
                  ( U e. B /\ V e. B ) ) ) ) ->
                  ( G gsum <" S T U V "> ) = ( S .+ ( T .+ ( U .+ V ) ) ) ) $=
      ( cmnd wcel wa cs4 cgsu co cs1 cs3 wceq simprrl adantl cconcat a1i oveq2d
      s1s3 cword simpl simprl simprrr gsumccat syl3anc gsumws1 ad2antrl gsumws3
      s1cld s3cld adantrl oveq12d 3eqtrd ) FJKZCAKZDAKZEAKZGAKZLZLZLZLZFCDEGMZN
      OFCPZDEGQZUAOZNOZFVINOZFVJNOZBOZCDEGBOBOZBOVGVHVKFNVHVKRVGCDEGUDUBUCVGUSV
      IAUEZKVJVQKVLVORUSVFUFVGCAUSUTVEUGUNVGDEGAUSUTVAVDSVFVBUSUTVAVBVCSTVFVCUS
      UTVAVBVCUHTUOABFVIVJHIUIUJVGVMCVNVPBUTVMCRUSVEACFHUKULUSVEVNVPRUTABDEGFHI
      UMUPUQUR $.
  $}

  ${
    amgm2d.0 $e |- ( ph -> A e. RR+ ) $.
    amgm2d.1 $e |- ( ph -> B e. RR+ ) $.
    $( Arithmetic-geometric mean inequality for ` n = 2 ` , derived from
       ~ amgmlem .  (Contributed by Stanislas Polu, 8-Sep-2020.) $)
    amgm2d $p |- ( ph -> ( ( A x. B ) ^c ( 1 / 2 ) ) <_ ( ( A + B ) / 2 ) ) $=
      ( ccnfld cfv co c1 cc0 c2 cfzo cdiv ccxp cmul wcel crp cc wceq mp1i chash
      cmgp cs2 cgsu caddc cle eqid cfn fzofi a1i c0 cn lbfzo0 mpbir ne0ii cword
      wne 2nn wf s2cld wrdf s2len eqcomi oveq2i feq2i sylibr syl amgmlem cnring
      cmnd ringmgp rpcnd cnfldbas mgpbas cnfldmul mgpplusg gsumws2 syl3anc 2nn0
      crg cn0 hashfzo0 oveq2d oveq12d ringmnd cnfldadd 3brtr3d ) AFUBGZBCUCZUDH
      ZIJKLHZUAGZMHZNHFWIUDHZWLMHBCOHZIKMHZNHBCUEHZKMHUFAWKWIWHWHUGZWKUHPAJKUIU
      JWKUKUQAJWKJWKPKULPURKUMUNUOUJAWIQUPPZWKQWIUSZABCQDEUTWSJWIUAGZLHZQWIUSWT
      QWIVAWKXBQWIKXAJLXAKBCVBVCVDVEVFVGVHAWJWOWMWPNAWHVJPZBRPZCRPZWJWOSFVTPZXC
      AVIFWHWRVKTABDVLZACEVLZROBCWHRFWHWRVMVNFOWHWRVOVPVQVRAWLKIMKWAPWLKSAVSKWB
      TZWCWDAWNWQWLKMAFVJPZXDXEWNWQSXFXJAVIFWETXGXHRUEBCFVMWFVQVRXIWDWG $.
  $}

  ${
    amgm3d.0 $e |- ( ph -> A e. RR+ ) $.
    amgm3d.1 $e |- ( ph -> B e. RR+ ) $.
    amgm3d.2 $e |- ( ph -> C e. RR+ ) $.
    $( Arithmetic-geometric mean inequality for ` n = 3 ` .  (Contributed by
       Stanislas Polu, 11-Sep-2020.) $)
    amgm3d $p |- ( ph -> ( ( A x. ( B x. C ) ) ^c ( 1 / 3 ) ) <_
                 ( ( A + ( B + C ) ) / 3 ) ) $=
      ( ccnfld co c1 cc0 c3 cfzo cdiv cmul caddc wcel mp1i crp cc cmgp cfv cgsu
      cs3 chash ccxp cle eqid cfn fzofi a1i c0 wne cn 3nn lbfzo0 mpbir cword wf
      ne0i s3cld c2 wrdf s3len df-3 eqtri oveq2i feq2i sylib sylibr syl amgmlem
      cmnd wa wceq cnring ringmgp rpcnd jca32 cnfldbas mgpbas cnfldmul mgpplusg
      crg gsumws3 syl2anc 3nn0 hashfzo0 oveq2d oveq12d ringmnd cnfldadd 3brtr3d
      cn0 ) AHUAUBZBCDUDZUCIZJKLMIZUEUBZNIZUFIHWPUCIZWSNIBCDOIOIZJLNIZUFIBCDPIP
      IZLNIUGAWRWPWOWOUHZWRUIQAKLUJUKKWRQZWRULUMAXFLUNQUOLUPUQWRKUTRAWPSURQZWRS
      WPUSZABCDSEFGVAXGKVBJPIZMIZSWPUSZXHXGKWPUEUBZMIZSWPUSXKSWPVCXMXJSWPXLXIKM
      XLLXIBCDVDVEVFVGVHVIWRXJSWPLXIKMVEVGVHVJVKVLAWQXBWTXCUFAWOVMQZBTQZCTQZDTQ
      ZVNVNZWQXBVOHWDQZXNAVPHWOXEVQRAXOXPXQABEVRACFVRADGVRVSZTOBCDWOTHWOXEVTWAH
      OWOXEWBWCWEWFAWSLJNLWNQWSLVOAWGLWHRZWIWJAXAXDWSLNAHVMQZXRXAXDVOXSYBAVPHWK
      RXTTPBCDHVTWLWEWFYAWJWM $.
  $}

  ${
    amgm4d.0 $e |- ( ph -> A e. RR+ ) $.
    amgm4d.1 $e |- ( ph -> B e. RR+ ) $.
    amgm4d.2 $e |- ( ph -> C e. RR+ ) $.
    amgm4d.3 $e |- ( ph -> D e. RR+ ) $.
    $( Arithmetic-geometric mean inequality for ` n = 4 ` .  (Contributed by
       Stanislas Polu, 11-Sep-2020.) $)
    amgm4d $p |- ( ph -> ( ( A x. ( B x. ( C x. D ) ) ) ^c ( 1 / 4 ) ) <_
                 ( ( A + ( B + ( C + D ) ) ) / 4 ) ) $=
      ( ccnfld co cc0 c4 cdiv cmul caddc wcel mp1i crp cc cmgp cfv cgsu c1 cfzo
      cs4 chash ccxp cle eqid cfn fzofi a1i c0 wne cn 4nn lbfzo0 mpbir wf cword
      ne0i s4cld wrdf syl wceq s4len oveq2d feq2d mpbid amgmlem cmnd crg cnring
      ringmgp rpcnd jca jca32 cnfldbas mgpbas cnfldmul mgpplusg gsumws4 syl2anc
      wa cn0 4nn0 hashfzo0 oveq12d ringmnd cnfldadd 3brtr3d ) AJUAUBZBCDEUFZUCK
      ZUDLMUEKZUGUBZNKZUHKJWNUCKZWQNKBCDEOKOKOKZUDMNKZUHKBCDEPKPKPKZMNKUIAWPWNW
      MWMUJZWPUKQALMULUMLWPQZWPUNUOAXDMUPQUQMURUSWPLVBRALWNUGUBZUEKZSWNUTZWPSWN
      UTAWNSVAQXGABCDESFGHIVCSWNVDVEAXFWPSWNAXEMLUEXEMVFABCDEVGUMVHVIVJVKAWOWTW
      RXAUHAWMVLQZBTQZCTQZDTQZETQZWEZWEWEZWOWTVFJVMQZXHAVNJWMXCVORAXIXJXMABFVPA
      CGVPAXKXLADHVPAEIVPVQVRZTOBCDWMETJWMXCVSVTJOWMXCWAWBWCWDAWQMUDNMWFQWQMVFA
      WGMWHRZVHWIAWSXBWQMNAJVLQZXNWSXBVFXOXRAVNJWJRXPTPBCDJEVSWKWCWDXQWIWL $.
  $}

$( (End of Stanislas Polu's mathbox.) $)
$( End $[ set-mbox-sp.mm $] $)


$( Begin $[ set-mbox-rr.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Rohan Ridenour
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Misc
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $( ~ sp can be proven from the other classic axioms.  (Contributed by Rohan
       Ridenour, 3-Nov-2023.)  (Proof modification is discouraged.)  Use ~ sp
       instead.  (New usage is discouraged.) $)
    spALT $p |- ( A. x ph -> ph ) $=
      ( vy wal weq wi ax-1 axc4i axc10 syl ) ABDZBCEZKFZBDAAMBKLGHABCIJ $.
  $}

  ${
    elnelneqd.1 $e |- ( ph -> C e. A ) $.
    elnelneqd.2 $e |- ( ph -> -. C e. B ) $.
    $( Two classes are not equal if there is an element of one which is not an
       element of the other.  (Contributed by Rohan Ridenour, 11-Aug-2023.) $)
    elnelneqd $p |- ( ph -> -. A = B ) $=
      ( wceq wcel wa adantr simpr eleqtrd mtand ) ABCGZDCHFANIDBCADBHNEJANKLM
      $.
  $}

  ${
    elnelneq2d.1 $e |- ( ph -> A e. C ) $.
    elnelneq2d.2 $e |- ( ph -> -. B e. C ) $.
    $( Two classes are not equal if one but not the other is an element of a
       given class.  (Contributed by Rohan Ridenour, 12-Aug-2023.) $)
    elnelneq2d $p |- ( ph -> -. A = B ) $=
      ( wceq wcel wa simpr adantr eqeltrrd mtand ) ABCGZCDHFANIBCDANJABDHNEKLM
      $.
  $}

  ${
    $d ph x $.  $d x A $.
    rr-spce.1 $e |- ( ( ph /\ x = A ) -> ps ) $.
    rr-spce.2 $e |- ( ph -> A e. V ) $.
    $( Prove an existential.  (Contributed by Rohan Ridenour, 12-Aug-2023.) $)
    rr-spce $p |- ( ph -> E. x ps ) $=
      ( cv wceq wex cvv wcel elexd isset sylib ex eximdv mpd ) ACHDIZCJZBCJADKL
      TADEGMCDNOASBCASBFPQR $.
  $}

  ${
    $d A x $.  $d A y $.  $d ps y $.  $d th x $.  $d ph y $.  $d ch y $.
    rexlimdvaacbv.1 $e |- ( x = y -> ( ps <-> th ) ) $.
    rexlimdvaacbv.2 $e |- ( ( ph /\ ( y e. A /\ th ) ) -> ch ) $.
    $( Unpack a restricted existential antecedent while changing the variable
       with implicit substitution.  The equivalent of this theorem without the
       bound variable change is ~ rexlimdvaa .  (Contributed by Rohan Ridenour,
       3-Aug-2023.) $)
    rexlimdvaacbv $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( wrex cbvrexv rexlimdvaa syl5bi ) BEGJDFGJACBDEFGHKADCFGILM $.
  $}

  ${
    $d ph y $.  $d ps y $.  $d ch x $.  $d th y $.  $d x y A $.
    rexlimddvcbvw.1 $e |- ( ph -> E. x e. A th ) $.
    rexlimddvcbvw.2 $e |- ( ( ph /\ ( y e. A /\ ch ) ) -> ps ) $.
    rexlimddvcbvw.3 $e |- ( x = y -> ( th <-> ch ) ) $.
    $( Unpack a restricted existential assumption while changing the variable
       with implicit substitution.  Similar to ~ rexlimdvaacbv .  The
       equivalent of this theorem without the bound variable change is
       ~ rexlimddv .  Version of ~ rexlimddvcbv with a disjoint variable
       condition, which does not require ~ ax-13 .  (Contributed by Rohan
       Ridenour, 3-Aug-2023.)  (Revised by Gino Giotto, 2-Apr-2024.) $)
    rexlimddvcbvw $p |- ( ph -> ps ) $=
      ( wrex cbvrexvw rexlimdvaa syl5bi mpd ) ADEGKZBHPCFGKABDCEFGJLACBFGIMNO
      $.
  $}

  ${
    $d ph y $.  $d ps y $.  $d ch x $.  $d th y $.  $d x A $.  $d y A $.
    rexlimddvcbv.1 $e |- ( ph -> E. x e. A th ) $.
    rexlimddvcbv.2 $e |- ( ( ph /\ ( y e. A /\ ch ) ) -> ps ) $.
    rexlimddvcbv.3 $e |- ( x = y -> ( th <-> ch ) ) $.
    $( Unpack a restricted existential assumption while changing the variable
       with implicit substitution.  Similar to ~ rexlimdvaacbv .  The
       equivalent of this theorem without the bound variable change is
       ~ rexlimddv .  Usage of this theorem is discouraged because it depends
       on ~ ax-13 , see ~ rexlimddvcbvw for a weaker version that does not
       require it.  (Contributed by Rohan Ridenour, 3-Aug-2023.)
       (New usage is discouraged.) $)
    rexlimddvcbv $p |- ( ph -> ps ) $=
      ( wrex rexlimdvaacbv mpd ) ADEGKBHADBCEFGJILM $.
  $}

  ${
    $d D x $.  $d x A $.  $d x C $.  $d x ph $.
    rr-elrnmpt3d.1 $e |- F = ( x e. A |-> B ) $.
    rr-elrnmpt3d.2 $e |- ( ph -> C e. A ) $.
    rr-elrnmpt3d.3 $e |- ( ph -> D e. V ) $.
    rr-elrnmpt3d.4 $e |- ( ( ph /\ x = C ) -> B = D ) $.
    $( Elementhood in an image set.  (Contributed by Rohan Ridenour,
       11-Aug-2023.) $)
    rr-elrnmpt3d $p |- ( ph -> D e. ran F ) $=
      ( cv wceq wa eqcomd elrnmptdv ) ABCDEFGHIJKABMENODFLPQ $.
  $}

  ${
    $d ph x $.  $d A x $.  $d F x $.  $d Z x $.
    finnzfsuppd.1 $e |- ( ph -> F e. V ) $.
    finnzfsuppd.2 $e |- ( ph -> F Fn D ) $.
    finnzfsuppd.3 $e |- ( ph -> Z e. U ) $.
    finnzfsuppd.4 $e |- ( ph -> A e. Fin ) $.
    finnzfsuppd.5 $e |- ( ( ph /\ x e. D ) -> ( x e. A \/ ( F ` x ) = Z ) ) $.
    $( If a function is zero outside of a finite set, it has finite support.
       (Contributed by Rohan Ridenour, 13-May-2024.) $)
    finnzfsuppd $p |- ( ph -> F finSupp Z ) $=
      ( cfsupp wbr csupp wcel wa wb syl3anc co cfn cfv wceq wne wfn cvv fndmexd
      cv wo elsuppfn biimpa simpld syldan simprd neneqd olcnd ssrdv ssfid fnfun
      ex wfun syl funisfsupp mpbird ) AFHNOZFHPUAZUBQZACVGLABVGCABUIZVGQZVICQZA
      VJRZVKVIFUCZHUDZAVJVIDQZVKVNUJVLVOVMHUEZAVJVOVPRZAFDUFZDUGZQHEQZVJVQSJADF
      GIJUHKVIFVSEDHUKTULZUMMUNVLVMHVLVOVPWAUOUPUQVAURUSAFVBZFGQVTVFVHSAVRWBJDF
      UTVCIKFGEHVDTVE $.
  $}

  ${
    rr-phpd.1 $e |- ( ph -> A e. _om ) $.
    rr-phpd.2 $e |- ( ph -> B C_ A ) $.
    rr-phpd.3 $e |- ( ph -> A ~~ B ) $.
    $( Equivalent of ~ php without negation.  (Contributed by Rohan Ridenour,
       3-Aug-2023.) $)
    rr-phpd $p |- ( ph -> A = B ) $=
      ( cen wbr wceq wn com wcel wpss wss adantr simpr neqcomd dfpss2 sylanbrc
      wa php syl2an2r ex mt4d ) ABCGHZBCIZFAUFJZUEJZABKLUGCBMZUHDAUGTZCBNZCBIJU
      IAUKUGEOUJBCAUGPQCBRSBCUAUBUCUD $.
  $}

  ${
    suceqd.1 $e |- ( ph -> A = B ) $.
    $( Deduction associated with ~ suceq .  (Contributed by Rohan Ridenour,
       8-Aug-2023.) $)
    suceqd $p |- ( ph -> suc A = suc B ) $=
      ( wceq csuc suceq syl ) ABCEBFCFEDBCGH $.
  $}

  ${
    $d ps y $.  $d th x $.  $d et x $.  $d x A $.  $d ph x y $.
    tfindsd.1 $e |- ( x = (/) -> ( ps <-> ch ) ) $.
    tfindsd.2 $e |- ( x = y -> ( ps <-> th ) ) $.
    tfindsd.3 $e |- ( x = suc y -> ( ps <-> ta ) ) $.
    tfindsd.4 $e |- ( x = A -> ( ps <-> et ) ) $.
    tfindsd.5 $e |- ( ph -> ch ) $.
    tfindsd.6 $e |- ( ( ph /\ y e. On /\ th ) -> ta ) $.
    tfindsd.7 $e |- ( ( ph /\ Lim x /\ A. y e. x th ) -> ps ) $.
    tfindsd.8 $e |- ( ph -> A e. On ) $.
    $( Deduction associated with ~ tfinds .  (Contributed by Rohan Ridenour,
       8-Aug-2023.) $)
    tfindsd $p |- ( ph -> et ) $=
      ( con0 wcel cv wi 3exp com12 wlim wral tfinds3 mpcom ) IRSAFQBCDEFAGHIJKL
      MNAHTRSZDEUAAUHDEOUBUCAGTZUDZDHUIUEZBUAAUJUKBPUBUCUFUG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Monoid rings
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c MndRing $.

  $( Extend class notation with the monoid ring function. $)
  cmnring $a class MndRing $.

  ${
    $d m r v x y i a b $.
    $( Define the monoid ring function.  This takes a monoid ` M ` and a ring
       ` R ` and produces a free left module over ` R ` with a product
       extending the monoid function on ` M ` .  (Contributed by Rohan
       Ridenour, 13-May-2024.) $)
    df-mnring $a |- MndRing = ( r e. _V , m e. _V |->
      [_ ( r freeLMod ( Base ` m ) ) / v ]_
      ( v sSet <. ( .r ` ndx ) ,
        ( x e. ( Base ` v ) , y e. ( Base ` v ) |->
          ( v gsum ( a e. ( Base ` m ) , b e. ( Base ` m ) |->
            ( i e. ( Base ` m ) |-> if (
              i = ( a ( +g ` m ) b ) ,
              ( ( x ` a ) ( .r ` r ) ( y ` b ) ) ,
              ( 0g ` r )
            ) )
          )
        ) )
      >. ) ) $.
  $}

  ${
    $d .+ m r v $.  $d .0. m r v $.  $d .x. m r v $.  $d A m r v $.
    $d B m r v $.  $d V m r v $.  $d R a b i m r v x y $.
    $d M a b i m r v x y $.
    mnringvald.1 $e |- F = ( R MndRing M ) $.
    mnringvald.2 $e |- .x. = ( .r ` R ) $.
    mnringvald.3 $e |- .0. = ( 0g ` R ) $.
    mnringvald.4 $e |- A = ( Base ` M ) $.
    mnringvald.5 $e |- .+ = ( +g ` M ) $.
    mnringvald.6 $e |- V = ( R freeLMod A ) $.
    mnringvald.7 $e |- B = ( Base ` V ) $.
    mnringvald.8 $e |- ( ph -> R e. U ) $.
    mnringvald.9 $e |- ( ph -> M e. W ) $.
    $( Value of the monoid ring function.  (Contributed by Rohan Ridenour,
       14-May-2024.) $)
    mnringvald $p |- ( ph -> F = ( V sSet <. ( .r ` ndx ) ,
      ( x e. B , y e. B |->
        ( V gsum ( a e. A , b e. A |->
          ( i e. A |-> if (
            i = ( a .+ b ) ,
            ( ( x ` a ) .x. ( y ` b ) ) ,
            .0.
          ) )
        )
      ) ) >. ) ) $=
      ( vr vm vv cmnring co cnx cmulr cfv wceq cif cmpt cmpo cgsu cop csts wcel
      cv cvv elexd cbs cfrlm cplusg c0g csb wa nfcvd ovexd simpr simpll eqtr4di
      nfv fveq2 ad2antlr eqtrd fveq2d oveqd eqeq2d ad2antrr ifbieq12d mpteq12dv
      oveq12d mpoeq123dv opeq2d csbiedf df-mnring ovex ovmpoa syl2anc syl5eq )
      AKGLUJZUKZMULUMZUNZBCEEMPQDDJDJVCZPVCZQVCZFUKZUOZXABVCUNZXBCVCUNZHUKZOUPZ
      UQZURZUSZUKZURZUTZVAZUKZRAGVDZVBLXQVBWQXPUOAGIUEVEALNUFVEUGUHGLXQXQUIUGVC
      ZUHVCZVFZUNZVGZUKZUIVCZWSBCYDXTUNZYEYDPQYAYAJYAWTXAXBXSVHZUNZUKZUOZXEXFXR
      WRUNZUKZXRVIZUNZUPZUQZURZXKUKZURZUTZXOUKZVJXPWPXRGUOZXSLUOZVKZUIYCYTXPXQU
      UCUIVQUUCUIXPVLUUCXRYAYBVMUUCYDYCUOZVKZYDMYSXNXOUUEYDGDYBUKZMUUEYDYCUUFUU
      CUUDVNUUEXRGYADYBUUAUUBUUDVOUUBYADUOUUAUUDUUBYALXTUNDXSLXTVRUAVPVSZWGVTUC
      VPZUUEYRXMWSUUEBCYEYEYQEEXLUUEYEMXTUNEUUEYDMXTUUHWAUDVPZUUIUUEYDMYPXJXKUU
      HUUEPQYAYAYODDXIUUGUUGUUEJYAYNDXHUUGUUEYIXDYKYMXGOUUEYHXCWTUUBYHXCUOUUAUU
      DUUBYGFXAXBUUBYGLYFUNFXSLYFVRUBVPWBVSWCUUAYKXGUOUUBUUDUUAYJHXEXFUUAYJGWRU
      NHXRGWRVRSVPWBWDUUAYMOUOUUBUUDUUAYMGYLUNOXRGYLVRTVPWDWEWFWHWGWHWIWGWJBCUI
      JUHUGPQWKMXNXOWLWMWNWO $.
  $}

  ${
    $d R a b i x y $.  $d M a b i x y $.
    mnringnmulrd.1 $e |- F = ( R MndRing M ) $.
    mnringnmulrd.2 $e |- E = Slot ( E ` ndx ) $.
    mnringnmulrd.4 $e |- ( E ` ndx ) =/= ( .r ` ndx ) $.
    mnringnmulrd.5 $e |- A = ( Base ` M ) $.
    mnringnmulrd.6 $e |- V = ( R freeLMod A ) $.
    mnringnmulrd.7 $e |- ( ph -> R e. U ) $.
    mnringnmulrd.8 $e |- ( ph -> M e. W ) $.
    $( Components of a monoid ring other than its ring product match its
       underlying free module.  (Contributed by Rohan Ridenour, 14-May-2024.)
       (Revised by AV, 1-Nov-2024.) $)
    mnringnmulrd $p |- ( ph -> ( E ` V ) = ( E ` F ) ) $=
      ( cfv cv co eqid vx vy va vb cnx cmulr cbs cplusg wceq c0g cmpt cmpo cgsu
      vi cif cop csts setsnid mnringvald fveq2d eqtr4id ) AHEQHUEUFQZUAUBHUGQZV
      CHUCUDBBUNBUNRUCRZUDRZGUHQZSUIVDUARQVEUBRQCUFQZSCUJQZUOUKULUMSULZUPUQSZEQ
      FEQVIVBEHKLURAFVJEAUAUBBVCVFCVGDUNFGHIVHUCUDJVGTVHTMVFTNVCTOPUSUTVA $.
  $}

  ${
    $d R a b i x y $.  $d M a b i x y $.
    mnringnmulrdOLD.1 $e |- F = ( R MndRing M ) $.
    mnringnmulrdOLD.2 $e |- E = Slot N $.
    mnringnmulrdOLD.3 $e |- N e. NN $.
    mnringnmulrdOLD.4 $e |- N =/= ( .r ` ndx ) $.
    mnringnmulrdOLD.5 $e |- A = ( Base ` M ) $.
    mnringnmulrdOLD.6 $e |- V = ( R freeLMod A ) $.
    mnringnmulrdOLD.7 $e |- ( ph -> R e. U ) $.
    mnringnmulrdOLD.8 $e |- ( ph -> M e. W ) $.
    $( Obsolete version of ~ mnringnmulrd as of 1-Nov-2024.  Components of a
       monoid ring other than its ring product match its underlying free
       module.  (Contributed by Rohan Ridenour, 14-May-2024.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    mnringnmulrdOLD $p |- ( ph -> ( E ` V ) = ( E ` F ) ) $=
      ( cfv cv vx vy va vb cnx cmulr cbs cplusg wceq c0g cif cmpt cmpo cgsu cop
      vi co csts ndxid ndxarg eqnetri setsnid eqid mnringvald fveq2d eqtr4id )
      AIESIUEUFSZUAUBIUGSZVHIUCUDBBUPBUPTUCTZUDTZGUHSZUQUIVIUATSVJUBTSCUFSZUQCU
      JSZUKULUMUNUQUMZUOURUQZESFESVNVGEIEHLMUSUEESHVGEHLMUTNVAVBAFVOEAUAUBBVHVK
      CVLDUPFGIJVMUCUDKVLVCVMVCOVKVCPVHVCQRVDVEVF $.
  $}

  ${
    mnringbased.1 $e |- F = ( R MndRing M ) $.
    mnringbased.2 $e |- A = ( Base ` M ) $.
    mnringbased.3 $e |- V = ( R freeLMod A ) $.
    mnringbased.4 $e |- B = ( Base ` V ) $.
    mnringbased.5 $e |- ( ph -> R e. U ) $.
    mnringbased.6 $e |- ( ph -> M e. W ) $.
    $( The base set of a monoid ring.  (Contributed by Rohan Ridenour,
       14-May-2024.)  (Proof shortened by AV, 1-Nov-2024.) $)
    mnringbased $p |- ( ph -> B = ( Base ` F ) ) $=
      ( cbs cfv baseid basendxnmulrndx mnringnmulrd syl5eq ) ACHPQFPQMABDEPFGHI
      JRSKLNOTUA $.

    $( Obsolete version of ~ mnringnmulrd as of 1-Nov-2024.  The base set of a
       monoid ring.  (Contributed by Rohan Ridenour, 14-May-2024.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    mnringbasedOLD $p |- ( ph -> B = ( Base ` F ) ) $=
      ( cbs cfv c1 df-base c3 1nn cnx cmulr 1lt3 ltneii mulrndx mnringnmulrdOLD
      1re neeqtrri syl5eq ) ACHPQFPQMABDEPFGRHIJSUARTUBUCQRTUHUDUEUFUIKLNOUGUJ
      $.
  $}

  ${
    mnringbaserd.1 $e |- F = ( R MndRing M ) $.
    mnringbaserd.2 $e |- B = ( Base ` F ) $.
    mnringbaserd.3 $e |- A = ( Base ` M ) $.
    mnringbaserd.4 $e |- V = ( R freeLMod A ) $.
    mnringbaserd.5 $e |- ( ph -> R e. U ) $.
    mnringbaserd.6 $e |- ( ph -> M e. W ) $.
    $( The base set of a monoid ring.  Converse of ~ mnringbased .
       (Contributed by Rohan Ridenour, 14-May-2024.) $)
    mnringbaserd $p |- ( ph -> B = ( Base ` V ) ) $=
      ( cbs cfv eqid mnringbased eqtr4id ) ACFPQHPQZKABUADEFGHIJLMUARNOST $.
  $}

  ${
    mnringelbased.1 $e |- F = ( R MndRing M ) $.
    mnringelbased.2 $e |- B = ( Base ` F ) $.
    mnringelbased.3 $e |- A = ( Base ` M ) $.
    mnringelbased.4 $e |- C = ( Base ` R ) $.
    mnringelbased.5 $e |- .0. = ( 0g ` R ) $.
    mnringelbased.6 $e |- ( ph -> R e. U ) $.
    mnringelbased.7 $e |- ( ph -> M e. W ) $.
    $( Membership in the base set of a monoid ring.  (Contributed by Rohan
       Ridenour, 14-May-2024.) $)
    mnringelbased $p |- ( ph ->
      ( X e. B <-> ( X e. ( C ^m A ) /\ X finSupp .0. ) ) ) $=
      ( wcel co cfrlm cbs cfv cmap cfsupp wbr wa eqid mnringbaserd eleq2d fvexi
      cvv wb frlmelbas sylancl bitrd ) AJCSJEBUATZUBZUCZSZJDBUDTSJKUEUFUGZACUSJ
      ABCEFGHUQILMNUQUHZQRUIUJAEFSBULZSUTVAUMQBHURNUKUSEUQBDFVCJKVBOPUSUHUNUOUP
      $.
  $}

  ${
    mnringbasefd.1 $e |- F = ( R MndRing M ) $.
    mnringbasefd.2 $e |- B = ( Base ` F ) $.
    mnringbasefd.3 $e |- A = ( Base ` M ) $.
    mnringbasefd.4 $e |- C = ( Base ` R ) $.
    mnringbasefd.5 $e |- ( ph -> R e. U ) $.
    mnringbasefd.6 $e |- ( ph -> M e. W ) $.
    mnringbasefd.7 $e |- ( ph -> X e. B ) $.
    $( Elements of a monoid ring are functions.  (Contributed by Rohan
       Ridenour, 14-May-2024.) $)
    mnringbasefd $p |- ( ph -> X : A --> C ) $=
      ( cmap co wcel wf c0g cfv cfsupp wbr wa mnringelbased mpbid simpld elmapi
      eqid syl ) AJDBRSTZBDJUAAUMJEUBUCZUDUEZAJCTUMUOUFQABCDEFGHIJUNKLMNUNUKOPU
      GUHUIJDBUJUL $.
  $}

  ${
    mnringbasefsuppd.1 $e |- F = ( R MndRing M ) $.
    mnringbasefsuppd.2 $e |- B = ( Base ` F ) $.
    mnringbasefsuppd.3 $e |- .0. = ( 0g ` R ) $.
    mnringbasefsuppd.4 $e |- ( ph -> R e. U ) $.
    mnringbasefsuppd.5 $e |- ( ph -> M e. W ) $.
    mnringbasefsuppd.6 $e |- ( ph -> X e. B ) $.
    $( Elements of a monoid ring are finitely supported.  (Contributed by Rohan
       Ridenour, 14-May-2024.) $)
    mnringbasefsuppd $p |- ( ph -> X finSupp .0. ) $=
      ( cbs cfv cmap wcel eqid co cfsupp wbr wa mnringelbased mpbid simprd ) AH
      CPZQZFUHQZRUASZHIUBUCZAHBSUKULUDOAUJBUICDEFGHIJKUJTUITLMNUEUFUG $.
  $}

  ${
    mnringaddgd.1 $e |- F = ( R MndRing M ) $.
    mnringaddgd.2 $e |- A = ( Base ` M ) $.
    mnringaddgd.3 $e |- V = ( R freeLMod A ) $.
    mnringaddgd.4 $e |- ( ph -> R e. U ) $.
    mnringaddgd.5 $e |- ( ph -> M e. W ) $.
    $( The additive operation of a monoid ring.  (Contributed by Rohan
       Ridenour, 14-May-2024.)  (Proof shortened by AV, 1-Nov-2024.) $)
    mnringaddgd $p |- ( ph -> ( +g ` V ) = ( +g ` F ) ) $=
      ( cplusg plusgid plusgndxnmulrndx mnringnmulrd ) ABCDNEFGHIOPJKLMQ $.

    $( Obsolete version of ~ mnringaddgd as of 1-Nov-2024.  The additive
       operation of a monoid ring.  (Contributed by Rohan Ridenour,
       14-May-2024.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    mnringaddgdOLD $p |- ( ph -> ( +g ` V ) = ( +g ` F ) ) $=
      ( cplusg c2 df-plusg 2nn c3 cnx cmulr cfv 2re 2lt3 ltneii mnringnmulrdOLD
      mulrndx neeqtrri ) ABCDNEFOGHIPQORSTUAORUBUCUDUFUGJKLMUE $.
  $}

  ${
    $d ph x y $.  $d F x y $.  $d V x y $.
    mnring0gd.1 $e |- F = ( R MndRing M ) $.
    mnring0gd.2 $e |- A = ( Base ` M ) $.
    mnring0gd.3 $e |- V = ( R freeLMod A ) $.
    mnring0gd.4 $e |- ( ph -> R e. U ) $.
    mnring0gd.5 $e |- ( ph -> M e. W ) $.
    $( The additive identity of a monoid ring.  (Contributed by Rohan Ridenour,
       14-May-2024.) $)
    mnring0gd $p |- ( ph -> ( 0g ` V ) = ( 0g ` F ) ) $=
      ( vx vy cbs cfv eqidd cv wcel eqid mnringbased cplusg mnringaddgd oveqdr
      wa grpidpropd ) ANOGPQZGEAUHRABUHCDEFGHIJKUHUALMUBANSUHTOSUHTUFNOGUCZQEUI
      QABCDEFGHIJKLMUDUEUG $.
  $}

  ${
    mnring0g2d.1 $e |- F = ( R MndRing M ) $.
    mnring0g2d.2 $e |- .0. = ( 0g ` R ) $.
    mnring0g2d.3 $e |- A = ( Base ` M ) $.
    mnring0g2d.4 $e |- ( ph -> R e. Ring ) $.
    mnring0g2d.5 $e |- ( ph -> M e. W ) $.
    $( The additive identity of a monoid ring.  (Contributed by Rohan Ridenour,
       14-May-2024.) $)
    mnring0g2d $p |- ( ph -> ( A X. { .0. } ) = ( 0g ` F ) ) $=
      ( csn cxp cfrlm co c0g cfv crg wcel cvv wceq cbs fvexi eqid frlm0 sylancl
      mnring0gd eqtrd ) ABGMNZCBOPZQZRZDULRACSZTBUAZTUJUMUBKBEUCJUDCUKBUOGUKUEZ
      IUFUGABCUNDEUKFHJUPKLUHUI $.
  $}

  ${
    $d ph x y $.  $d A a b x y $.  $d R a b i x y $.  $d M a b i x y $.
    mnringmulrd.1 $e |- F = ( R MndRing M ) $.
    mnringmulrd.2 $e |- B = ( Base ` F ) $.
    mnringmulrd.3 $e |- .x. = ( .r ` R ) $.
    mnringmulrd.4 $e |- .0. = ( 0g ` R ) $.
    mnringmulrd.5 $e |- A = ( Base ` M ) $.
    mnringmulrd.6 $e |- .+ = ( +g ` M ) $.
    mnringmulrd.7 $e |- ( ph -> R e. U ) $.
    mnringmulrd.8 $e |- ( ph -> M e. W ) $.
    $( The ring product of a monoid ring.  (Contributed by Rohan Ridenour,
       14-May-2024.) $)
    mnringmulrd $p |- ( ph ->
      ( x e. B , y e. B |->
        ( F gsum ( a e. A , b e. A |->
          ( i e. A |-> if (
            i = ( a .+ b ) ,
            ( ( x ` a ) .x. ( y ` b ) ) ,
            .0.
          ) )
        )
      ) ) = ( .r ` F ) ) $=
      ( cv co wceq cfv cif cmpt cmpo cgsu cfrlm cbs cmulr eqid mnringbaserd cvv
      wcel fvexi mpoex a1i cmnring ovexi ovex eqtr3id cplusg mnringaddgd eqcomd
      gsumpropd mpoeq123dv cnx csts fvex mulrid setsid mp2an mnringvald eqtr4id
      cop fveq2d eqtrd ) ABCEEKOPDDJDJUEOUEZPUEZFUFUGWCBUEUHWDCUEUHHUFNUIUJZUKZ
      ULUFZUKBCGDUMUFZUNUHZWIWHWFULUFZUKZKUOUHZABCEEWGWIWIWJADEGIKLWHMQRUAWHUPZ
      UCUDUQZWNAWFKWHURURURWFURUSAOPDDWEDLUNUAUTZWOVAVBKURUSAKGLVCQVDVBWHURUSZA
      GDUMVEZVBAKUNUHEWIRWNVFAWHVGUHKVGUHADGIKLWHMQUAWMUCUDVHVIVJVKAWKWHVLUOUHW
      KVTVMUFZUOUHZWLWPWKURUSWKWSUGWQBCWIWIWJWHUNVNZWTVAURWKUOURWHVOVPVQAKWRUOA
      BCDWIFGHIJKLWHMNOPQSTUAUBWMWIUPUCUDVRWAVSWB $.
  $}

  ${
    mnringscad.1 $e |- F = ( R MndRing M ) $.
    mnringscad.2 $e |- ( ph -> R e. U ) $.
    mnringscad.3 $e |- ( ph -> M e. W ) $.
    $( The scalar ring of a monoid ring.  (Contributed by Rohan Ridenour,
       14-May-2024.)  (Proof shortened by AV, 1-Nov-2024.) $)
    mnringscad $p |- ( ph -> R = ( Scalar ` F ) ) $=
      ( cbs cfv cfrlm co csca wcel cvv wceq fvex eqid frlmsca scandxnmulrndx
      sylancl scaid mnringnmulrd eqtrd ) ABBEJKZLMZNKZDNKABCOUFPOBUHQHEJRBUGUFC
      PUGSZTUBAUFBCNDEUGFGUCUAUFSUIHIUDUE $.

    $( Obsolete version of ~ mnringscad as of 1-Nov-2024.  The scalar ring of a
       monoid ring.  (Contributed by Rohan Ridenour, 14-May-2024.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    mnringscadOLD $p |- ( ph -> R = ( Scalar ` F ) ) $=
      ( cbs cfv cfrlm co csca wcel cvv wceq eqid c5 c3 fvex frlmsca sylancl 5nn
      df-sca cnx cmulr 3re 3lt5 gtneii mulrndx neeqtrri mnringnmulrdOLD eqtrd )
      ABBEJKZLMZNKZDNKABCOUOPOBUQQHEJUABUPUOCPUPRZUBUCAUOBCNDESUPFGUEUDSTUFUGKT
      SUHUIUJUKULUORURHIUMUN $.
  $}

  ${
    mnringvscad.1 $e |- F = ( R MndRing M ) $.
    mnringvscad.2 $e |- B = ( Base ` M ) $.
    mnringvscad.3 $e |- V = ( R freeLMod B ) $.
    mnringvscad.4 $e |- ( ph -> R e. U ) $.
    mnringvscad.5 $e |- ( ph -> M e. W ) $.
    $( The scalar product of a monoid ring.  (Contributed by Rohan Ridenour,
       14-May-2024.)  (Proof shortened by AV, 1-Nov-2024.) $)
    mnringvscad $p |- ( ph -> ( .s ` V ) = ( .s ` F ) ) $=
      ( cvsca vscaid vscandxnmulrndx mnringnmulrd ) ABCDNEFGHIOPJKLMQ $.

    $( Obsolete version of ~ mnringvscad as of 1-Nov-2024.  The scalar product
       of a monoid ring.  (Contributed by Rohan Ridenour, 14-May-2024.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    mnringvscadOLD $p |- ( ph -> ( .s ` V ) = ( .s ` F ) ) $=
      ( cvsca c6 df-vsca 6nn c3 cnx cmulr cfv 3re 3lt6 neeqtrri mnringnmulrdOLD
      gtneii mulrndx ) ABCDNEFOGHIPQORSTUAROUBUCUFUGUDJKLMUE $.
  $}

  ${
    $d ph x y $.  $d R x y $.  $d F x y $.  $d M x y $.
    mnringlmodd.1 $e |- F = ( R MndRing M ) $.
    mnringlmodd.2 $e |- ( ph -> R e. Ring ) $.
    mnringlmodd.3 $e |- ( ph -> M e. U ) $.
    $( Monoid rings are left modules.  (Contributed by Rohan Ridenour,
       14-May-2024.) $)
    mnringlmodd $p |- ( ph -> F e. LMod ) $=
      ( vx vy cbs cfv cfrlm co wcel eqid syl2anc cv wa oveqdr clmod fvexd eqidd
      crg frlmlmod mnringbased cplusg mnringaddgd csca frlmsca mnringscad cvsca
      cvv wceq mnringvscad lmodpropd mpbid ) ABEKZLZMNZUAZOZDVAOABUDZOZUSUMZOZV
      BGAEURUBZBUTUSVEUTPZUEQAIJUTURLZBURLZBUTDAVIUCAUSVIBVCDEUTCFUSPZVHVIPGHUF
      AIRZVIOJRVIOZSIJUTUGZLDVNLAUSBVCDEUTCFVKVHGHUHTAVDVFBUTUILUNGVGBUTUSVCVEV
      HUJQABVCDECFGHUKVJPAVLVJOVMSIJUTULZLDVOLAUSBVCDEUTCFVKVHGHUOTUPUQ $.
  $}

  ${
    $d ph x y $.  $d .+ x y $.  $d .xb x y $.  $d .0b x y $.  $d F x y $.
    $d A a b x y $.  $d R a b i x y $.  $d M a b i x y $.  $d X a b i x y $.
    $d Y a b i x y $.
    mnringmulrvald.1 $e |- F = ( R MndRing M ) $.
    mnringmulrvald.2 $e |- B = ( Base ` F ) $.
    mnringmulrvald.3 $e |- .xb = ( .r ` R ) $.
    mnringmulrvald.4 $e |- .0b = ( 0g ` R ) $.
    mnringmulrvald.5 $e |- A = ( Base ` M ) $.
    mnringmulrvald.6 $e |- .+ = ( +g ` M ) $.
    mnringmulrvald.7 $e |- .x. = ( .r ` F ) $.
    mnringmulrvald.8 $e |- ( ph -> R e. U ) $.
    mnringmulrvald.9 $e |- ( ph -> M e. W ) $.
    mnringmulrvald.10 $e |- ( ph -> X e. B ) $.
    mnringmulrvald.11 $e |- ( ph -> Y e. B ) $.
    $( Value of multiplication in a monoid ring.  (Contributed by Rohan
       Ridenour, 14-May-2024.) $)
    mnringmulrvald $p |- ( ph -> ( X .x. Y ) =
      ( F gsum ( a e. A , b e. A |->
        ( i e. A |-> if (
          i = ( a .+ b ) ,
          ( ( X ` a ) .xb ( Y ` b ) ) ,
          .0b
        ) )
      ) ) ) $=
      ( vx vy cv co wceq cfv cif cmpt cmpo cvv cmulr mnringmulrd eqtr4di eqcomd
      cgsu fveq1 oveqan12d ifeq1d mpteq2dv mpoeq3dv oveq2d adantl ovexd ovmpod
      wa ) AUIUJMNCCJPQBBIBIUKPUKZQUKZDULUMZVNUIUKZUNZVOUJUKZUNZFULZOUOZUPZUQZV
      CZULZJPQBBIBVPVNMUNZVONUNZFULZOUOZUPZUQZWEULZGURAUIUJCCWFUQZGAWNJUSUNGAUI
      UJBCDEFHIJKLOPQRSTUAUBUCUEUFUTUDVAVBVQMUMZVSNUMZVMZWFWMUMAWQWDWLJWEWQPQBB
      WCWKWQIBWBWJWQVPWAWIOWOWPVRWGVTWHFVNVQMVDVOVSNVDVEVFVGVHVIVJUGUHAJWLWEVKV
      L $.
  $}

  ${
    $d B a b $.  $d F a b p $.  $d ph a b i p $.  $d A a b i p $.
    $d R a b i p $.  $d M a b i p $.  $d X a b i p $.  $d Y a b i p $.
    mnringmulrcld.2 $e |- F = ( R MndRing M ) $.
    mnringmulrcld.3 $e |- B = ( Base ` F ) $.
    mnringmulrcld.1 $e |- A = ( Base ` M ) $.
    mnringmulrcld.4 $e |- .x. = ( .r ` F ) $.
    mnringmulrcld.5 $e |- ( ph -> R e. Ring ) $.
    mnringmulrcld.6 $e |- ( ph -> M e. U ) $.
    mnringmulrcld.7 $e |- ( ph -> X e. B ) $.
    mnringmulrcld.8 $e |- ( ph -> Y e. B ) $.
    $( Monoid rings are closed under multiplication.  (Contributed by Rohan
       Ridenour, 14-May-2024.) $)
    mnringmulrcld $p |- ( ph -> ( X .x. Y ) e. B ) $=
      ( va wcel vb vi vp co cv cplusg cfv wceq cmulr c0g cif cmpt cmpo cgsu crg
      eqid mnringmulrvald cxp cvv clmod ccmn mnringlmodd lmodcmn syl fvexi xpex
      cbs a1i wral wf w3a cfsupp wbr 3ad2ant1 mnringbasefd simp2 ffvelrnd simp3
      cmap wa ringcl syl3anc ring0cl ifcld adantr fmpttd elmap sylibr sniffsupp
      jca mnringelbased mpbird 3expb ralrimivva fmpo sylib csupp mpoex ffnd cfn
      mnringbasefsuppd fsuppimpd xpfi syl2anc cop wex elxpi simpl 2eximi adantl
      wo nfv nfmpo1 nfcv nffv nfeq nfor nfmpo2 eqeltrrd opelxp wn ianor wne wfn
      wi wb elsuppfn biimprd mpand necon1bd orim12d imp sylan2b oveq1 sylan9eqr
      ringlz oveq2 ringrz eqidd exlimd jaodan mpteq2dv csn fconstmpt mnring0g2d
      ifeqda eqtr3id eqtrd syldan ex orrd 3adant3 bitrdi 3ad2ant3 simp2l simp2r
      eleq1 mptex fvmpopr2d mpd3an23 eqeq1d orbi12d syld3an2 3expia finnzfsuppd
      mpd gsumcl eqeltrd ) AIJEUDGSUABBUBBUBUEZSUEZUAUEZHUFUGZUDZUHZUVJIUGZUVKJ
      UGZDUIUGZUDZDUJZUGZUKZULZUMZUNUDCABCUVLDUVQEUOZUBGHFIJUVTSUAKLUVQUPZUVTUP
      ZMUVLUPNOPQRUQABBURZCUWCGUSZGUVSUGZLUWIUPZAGUTTGVATADFGHKOPVBGVCVDUWGUWHT
      ABBBHVGZMVEZUWLVFVHAUWBCTZUABVISBVIUWGCUWCVJAUWMSUABBAUVJBTZUVKBTZUWMAUWN
      UWOVKZUWMUWBDUWKUGZBVSUDTZUWBUVTVLVMZVTUWPUWRUWSUWPBUWQUWBVJUWRUWPUBBUWAU
      WQUWPUWAUWQTUVIBTUWPUVNUVRUVTUWQUWPDUWDTZUVOUWQTZUVPUWQTZUVRUWQTAUWNUWTUW
      OOVNZUWPBUWQUVJIAUWNBUWQIVJUWOABCUWQDUWDGHFIKLMUWQUPZOPQVOZVNAUWNUWOVPZVQ
      ZUWPBUWQUVKJAUWNBUWQJVJUWOABCUWQDUWDGHFJKLMUXDOPRVOZVNAUWNUWOVRZVQZUWQDUV
      QUVOUVPUXDUWEWAWBUWPUWTUVTUWQTUXCUWQDUVTUXDUWFWCVDZWDWEWFUWQBUWBUWQDUWKUX
      DVEUWLWGWHUWPUBUVRUWBBUWHUWQUVMUVTBUWHTZUWPUWLVHUXKUWBUPWIWJUWPBCUWQDUWDG
      HFUWBUVTKLMUXDUWFUXCAUWNHFTUWOPVNWKWLWMWNSUABBUWBCUWCUWCUPWOWPZAUCIUVTWQZ
      UDZJUVTUXNUDZURZUWGUWHUWCUWHUWIUWCUWHTASUABBUWBUWLUWLWRVHAUWGCUWCUXMWSUWI
      UWHTAUWIGUVSUWJVEVHAUXOWTZTUXPUXRTUXQUXRTAIUVTACDUWDGHFIUVTKLUWFOPQXAXBAJ
      UVTACDUWDGHFJUVTKLUWFOPRXAXBUXOUXPXCXDAUCUEZUWGTZVTZUXSUVJUVKXEZUHZUAXFZS
      XFZUXSUXQTZUXSUWCUGZUWIUHZXKZUXTUYEAUXTUYCUWNUWOVTZVTZUAXFSXFUYESUAUXSBBX
      GUYKUYCSUAUYCUYJXHXIVDXJUYAUYDUYISUYASXLUYFUYHSUYFSXLSUYGUWISUXSUWCSUABBU
      WBXMSUXSXNXOSUWIXNXPXQUYAUYCUYIUAUYAUAXLUYFUYHUAUYFUAXLUAUYGUWIUAUXSUWCSU
      ABBUWBXRUAUXSXNXOUAUWIXNXPXQAUXTUYCUYIAUYJUXTUYCUYIAUXTUYCVKZUYBUWGTUYJUY
      LUXSUYBUWGAUXTUYCVRAUXTUYCVPXSUVJUVKBBXTWPAUYJUYCVKZUYIUVJUXOTZUVKUXPTZVT
      ZUWBUWIUHZXKZAUYJUYRUYCAUWNUWOUYRUWPUYPUYQUWPUYPYAZUYQUWPUYSUVOUVTUHZUVPU
      VTUHZXKZUYQUYSUWPUYNYAZUYOYAZXKZVUBUYNUYOYBUWPVUEVUBUWPVUCUYTVUDVUAUWPUYN
      UVOUVTUWPUWNUVOUVTYCZUYNUXFAUWNUWNVUFVTZUYNYEUWOAUYNVUGAIBYDUXLUVTUWHTZUY
      NVUGYFABUWQIUXEWSUXLAUWLVHZVUHAUVTDUVSUWFVEVHZUVJIUWHUWHBUVTYGWBYHVNYIYJU
      WPUYOUVPUVTUWPUWOUVPUVTYCZUYOUXIAUWNUWOVUKVTZUYOYEUWOAUYOVULAJBYDUXLVUHUY
      OVULYFABUWQJUXHWSVUIVUJUVKJUWHUWHBUVTYGWBYHVNYIYJYKYLYMUWPVUBVTZUWBUBBUVT
      ULZUWIVUMUBBUWAUVTVUMUVNUVRUVTUVTVUMUVRUVTUHZUVNUWPUYTVUOVUAUYTUWPUVRUVTU
      VPUVQUDZUVTUVOUVTUVPUVQYNUWPUWTUXBVUPUVTUHUXCUXJUWQDUVQUVPUVTUXDUWEUWFYPX
      DYOVUAUWPUVRUVOUVTUVQUDZUVTUVPUVTUVOUVQYQUWPUWTUXAVUQUVTUHUXCUXGUWQDUVQUV
      OUVTUXDUWEUWFYRXDYOUUAWEVUMUVNYAVTUVTYSUUFUUBUWPVUNUWIUHZVUBAUWNVURUWOAVU
      NBUVTUUCURUWIUBBUVTUUDABDGHFUVTKUWFMOPUUEUUGVNWEUUHUUIUUJUUKWMUULUYMUYFUY
      PUYHUYQUYCAUYFUYPYFUYJUYCUYFUYBUXQTUYPUXSUYBUXQUUQUVJUVKUXOUXPXTUUMUUNUYM
      UYGUWBUWIUYMUWNUWOUYGUWBUHAUWNUWOUYCUUOAUWNUWOUYCUUPUYMBBUWBUXSUWCUWHSUAU
      YMUWCYSAUYJUYCVRUWBUWHTUYMUWNUWOVKUBBUWAUWLUURVHUUSUUTUVAUVBWLUVCUVDYTYTU
      VFUVEUVGUVH $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Shorter primitive equivalent of ax-groth
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Grothendieck universes are closed under collection
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    gru0eld.1 $e |- ( ph -> G e. Univ ) $.
    gru0eld.2 $e |- ( ph -> A e. G ) $.
    $( A nonempty Grothendieck universe contains the empty set.  (Contributed
       by Rohan Ridenour, 11-Aug-2023.) $)
    gru0eld $p |- ( ph -> (/) e. G ) $=
      ( cgru wcel c0 wss 0ss a1i gruss syl3anc ) ACFGBCGHBIZHCGDENABJKBHCLM $.
  $}

  ${
    grusucd.1 $e |- ( ph -> G e. Univ ) $.
    grusucd.2 $e |- ( ph -> A e. G ) $.
    $( Grothendieck universes are closed under ordinal successor.  (Contributed
       by Rohan Ridenour, 9-Aug-2023.) $)
    grusucd $p |- ( ph -> suc A e. G ) $=
      ( csuc csn cun df-suc cgru wcel grusn syl2anc gruun syl3anc eqeltrid ) AB
      FBBGZHZCBIACJKZBCKZQCKZRCKDEASTUADEBCLMBQCNOP $.
  $}

  ${
    r1rankcld.1 $e |- ( ph -> A e. ( R1 ` R ) ) $.
    $( Any rank of the cumulative hierarchy is closed under the rank function.
       (Contributed by Rohan Ridenour, 11-Aug-2023.) $)
    r1rankcld $p |- ( ph -> ( rank ` A ) e. ( R1 ` R ) ) $=
      ( cr1 cdm wcel crnk cfv wa wss onssr1 adantl rankr1ai adantr sseldd wn c0
      syl noel a1i ndmfv neleqtrrd pm2.21dd pm2.61dan ) ACEFGZBHIZCEIZGZAUFJCUH
      UGUFCUHKACLMAUGCGZUFABUHGZUJDBCNSOPAUFQZJUKUIAUKULDOULUKQAULUHRBBRGQULBTU
      ACEUBUCMUDUE $.
  $}

  ${
    $d ph x y $.  $d x y A $.  $d x y G $.
    grur1cld.1 $e |- ( ph -> G e. Univ ) $.
    grur1cld.2 $e |- ( ph -> A e. G ) $.
    $( Grothendieck universes are closed under the cumulative hierarchy
       function.  (Contributed by Rohan Ridenour, 8-Aug-2023.) $)
    grur1cld $p |- ( ph -> ( R1 ` A ) e. G ) $=
      ( vy con0 wcel cr1 cfv wa adantr wi c0 eleq1 fveq2 eleq1d imbi12d syl3anc
      wceq vx cv csuc r10 gru0eld eqeltrid a1d w3a simpl1 simpl2 cgru wss simpr
      syl sssucid a1i gruss mpd cpw r1suc 3ad2ant2 3ad2ant1 simp3 grupw syl2anc
      simpl3 eqeltrd wlim wral ciun r1lim simpl1l word limord ordelss ralrimiva
      ex ralim sylc gruiun tfindsd cdm r1fnon fndmi eleq2i ndmfv sylnbir adantl
      wn pm2.61dan ) ABGHZBIJZCHZAWKKZBCHZWMAWOWKELWNUAUBZCHZWPIJZCHZMNCHZNIJZC
      HZMFUBZCHZXCIJZCHZMZXCUCZCHZXHIJZCHZMWOWMMUAFBWPNTZWQWTWSXBWPNCOXLWRXACWP
      NIPQRWPXCTZWQXDWSXFWPXCCOXMWRXECWPXCIPQRWPXHTZWQXIWSXKWPXHCOXNWRXJCWPXHIP
      QRWPBTZWQWOWSWMWPBCOXOWRWLCWPBIPQRWNXBWTAXBWKAXANCUDABCDEUEZUFLUGWNXCGHZX
      GUHZXIXKXRXIKZWNXQXFXKWNXQXGXIUIZWNXQXGXIUJXSXDXFXSCUKHZXIXCXHULZXDXSWNYA
      XTAYAWKDLZUNXRXIUMYBXSXCUOUPXHXCCUQSWNXQXGXIVFURWNXQXFUHZXJXEUSZCXQWNXJYE
      TXFXCUTVAYDYAXFYECHWNXQYAXFYCVBWNXQXFVCXECVDVEVGSVQWNWPVHZXGFWPVIZUHZWQWS
      YHWQKZWRFWPXEVJZCYIWQYFWRYJTYHWQUMZWNYFYGWQUJZFWPCVKVEYIYAWQXFFWPVIZYJCHY
      IWNYAWNYFYGWQUIYCUNYKYIYGXDFWPVIZYMWNYFYGWQVFYIAYFWQYNAWKYFYGWQVLYLYKAYFW
      QUHZXDFWPYOXCWPHZKZYAWQXCWPULZXDYQAYAAYFWQYPUIDUNAYFWQYPVFYQWPVMZYPYRYQYF
      YSAYFWQYPUJWPVNUNYOYPUMWPXCVOVEWPXCCUQSVPSXDXFFWPVRVSFWPXECVTSVGVQAWKUMWA
      URAWKWIZKWLNCYTWLNTZAWKBIWBZHUUAUUBGBGIWCWDWEBIWFWGWHAWTYTXPLVGWJ $.
  $}

  ${
    grurankcld.1 $e |- ( ph -> G e. Univ ) $.
    grurankcld.2 $e |- ( ph -> A e. G ) $.
    $( Grothendieck universes are closed under the rank function.  (Contributed
       by Rohan Ridenour, 9-Aug-2023.) $)
    grurankcld $p |- ( ph -> ( rank ` A ) e. G ) $=
      ( crnk cfv con0 cin cr1 cgru wcel cima cuni wceq cvv elexd eleqtrrdi eqid
      unir1 grur1 syl2anc eleqtrd r1rankcld eleqtrrd ) ABFGCHIZJGZCABUFABCUGEAC
      KLCJHMNZLCUGODACPUHACKDQTRUFCUFSUAUBZUCUDUIUE $.
  $}

  ${
    grurankrcld.1 $e |- ( ph -> G e. Univ ) $.
    grurankrcld.2 $e |- ( ph -> ( rank ` A ) e. G ) $.
    grurankrcld.3 $e |- ( ph -> A e. V ) $.
    $( If a Grothendieck universe contains a set's rank, it contains that set.
       (Contributed by Rohan Ridenour, 9-Aug-2023.) $)
    grurankrcld $p |- ( ph -> A e. G ) $=
      ( cgru wcel crnk cfv cr1 wss grur1cld r1rankid syl gruss syl3anc ) ACHIBJ
      KZLKZCIBTMZBCIEASCEFNABDIUAGBDOPTBCQR $.
  $}

  $c Scott $.

  $( Extend class notation with the Scott's trick operation. $)
  cscott $a class Scott A $.

  ${
    $d x y A $.
    $( Define the Scott operation.  This operation constructs a subset of the
       input class which is nonempty whenever its input is using Scott's trick.
       (Contributed by Rohan Ridenour, 9-Aug-2023.) $)
    df-scott $a
      |- Scott A = { x e. A | A. y e. A ( rank ` x ) C_ ( rank ` y ) } $.
  $}

  ${
    $d ph x y $.  $d x y A $.  $d x y B $.
    scotteqd.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for the Scott operation.  (Contributed by Rohan
       Ridenour, 9-Aug-2023.) $)
    scotteqd $p |- ( ph -> Scott A = Scott B ) $=
      ( vx vy crnk cfv wss wral crab cscott wcel wceq adantr raleqdv rabeqbidva
      cv wa df-scott 3eqtr4g ) AERZGHFRGHIZFBJZEBKUCFCJZECKBLCLAUDUEEBCDAUBBMZS
      UCFBCABCNUFDOPQEFBTEFCTUA $.
  $}

  ${
    $( Closed form of ~ scotteqd .  (Contributed by Rohan Ridenour,
       9-Aug-2023.) $)
    scotteq $p |- ( A = B -> Scott A = Scott B ) $=
      ( wceq id scotteqd ) ABCZABFDE $.
  $}

  ${
    $d x y z $.  $d y z A $.
    nfscott.1 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for the Scott operation.  (Contributed
       by Rohan Ridenour, 11-Aug-2023.) $)
    nfscott $p |- F/_ x Scott A $=
      ( vy vz cscott crnk cfv wss wral crab df-scott nfv nfralw nfrabw nfcxfr
      cv ) ABFDQGHEQGHIZEBJZDBKDEBLSADBRAEBCRAMNCOP $.
  $}

  ${
    $d ps z w $.  $d ph y z w $.  $d x y z w $.
    scottabf.1 $e |- F/ x ps $.
    scottabf.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Value of the Scott operation at a class abstraction.  Variant of
       ~ scottab with a nonfreeness hypothesis instead of a disjoint variable
       condition.  (Contributed by Rohan Ridenour, 14-Aug-2023.) $)
    scottabf $p |- Scott { x | ph }
      = { x | ( ph /\ A. y ( ps -> ( rank ` x ) C_ ( rank ` y ) ) ) } $=
      ( vz vw cab cv crnk cfv wss wcel wa wi wal wceq wb eleq1w cscott df-scott
      wral crab df-rab abeq1 nfsab1 nfab1 nfv nfan vex abid bitr3id wsb df-clab
      nfralw sbiev bitr2i syl5bb adantl fveq2d sseq12d imbi12d cbvaldvaw df-ral
      simpl simpr bitr4di anbi12d elabf bicomi mpgbir 3eqtri ) ACIZUAGJZKLZHJZK
      LZMZHVNUCZGVNUDVOVNNZVTOZGIZABCJZKLZDJZKLZMZPZDQZOZCIZGHVNUBVTGVNUEWCWLRW
      BVOWLNZSGWBGWLUFWMWBWKWBCVOWAVTCACGUGVSCHVNACUHVSCUIUPUJGUKWDVORZAWAWJVTA
      WDVNNWNWAACULCGVNTUMWNWJVQVNNZVSPZHQVTWNWIWPDHWNWFVQRZOZBWOWHVSWQBWOSWNBW
      FVNNZWQWOWSACDUNBADCUOABCDEFUQURDHVNTUSUTWRWEVPWGVRWRWDVOKWNWQVFVAWRWFVQK
      WNWQVGVAVBVCVDVSHVNVEVHVIVJVKVLVM $.
  $}

  ${
    $d x y $.  $d ph y $.  $d ps x $.
    scottab.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Value of the Scott operation at a class abstraction.  (Contributed by
       Rohan Ridenour, 14-Aug-2023.) $)
    scottab $p |- Scott { x | ph }
      = { x | ( ph /\ A. y ( ps -> ( rank ` x ) C_ ( rank ` y ) ) ) } $=
      ( nfv scottabf ) ABCDBCFEG $.
  $}

  ${
    $d ph y $.  $d x y $.
    $( Value of the Scott operation at a class abstraction.  Variant of
       ~ scottab using explicit substitution.  (Contributed by Rohan Ridenour,
       14-Aug-2023.) $)
    scottabes $p |- Scott { x | ph }
      = { x | ( ph /\ A. y ( [ y / x ] ph -> ( rank ` x ) C_ ( rank ` y ) ) ) }
      $=
      ( wsb nfs1v sbequ12 scottabf ) AABCDBCABCEABCFG $.
  $}

  ${
    $d x y A $.
    $( Scott's trick produces a subset of the input class.  (Contributed by
       Rohan Ridenour, 11-Aug-2023.) $)
    scottss $p |- Scott A C_ A $=
      ( vx vy cv crnk cfv wss wral cscott df-scott ssrab3 ) BDEFCDEFGCAHBAAIBCA
      JK $.
  $}

  ${
    $d ps x $.  $d x y $.
    elscottab.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( An element of the output of the Scott operation applied to a class
       abstraction satisfies the class abstraction's predicate.  (Contributed
       by Rohan Ridenour, 14-Aug-2023.) $)
    elscottab $p |- ( y e. Scott { x | ph } -> ps ) $=
      ( cv cab cscott wcel scottss sseli vex elab sylib ) DFZACGZHZIOPIBQPOPJKA
      BCODLEMN $.
  $}

  ${
    $d x y A $.
    $( ~ scottex expressed using ` Scott ` .  (Contributed by Rohan Ridenour,
       9-Aug-2023.) $)
    scottex2 $p |- Scott A e. _V $=
      ( vx vy cscott cv crnk cfv wss wral crab cvv df-scott scottex eqeltri ) A
      DBEFGCEFGHCAIBAJKBCALBCAMN $.
  $}

  ${
    $d x A $.  $d y z A $.
    scotteld.1 $e |- ( ph -> E. x x e. A ) $.
    $( The Scott operation sends inhabited classes to inhabited sets.
       (Contributed by Rohan Ridenour, 11-Aug-2023.) $)
    scotteld $p |- ( ph -> E. x x e. Scott A ) $=
      ( vy vz cscott c0 wne cv wcel wex wceq n0 sylibr neneqd crnk cfv wss wral
      crab scott0 df-scott eqeq1i bitr4i sylnib neqned sylib ) ACGZHIBJZUIKBLAU
      IHACHMZUIHMZACHAUJCKBLCHIDBCNOPUKEJQRFJQRSFCTECUAZHMULEFCUBUIUMHEFCUCUDUE
      UFUGBUINUH $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    scottelrankd.1 $e |- ( ph -> B e. Scott A ) $.
    scottelrankd.2 $e |- ( ph -> C e. Scott A ) $.
    $( Property of a Scott's trick set.  (Contributed by Rohan Ridenour,
       11-Aug-2023.) $)
    scottelrankd $p |- ( ph -> ( rank ` B ) C_ ( rank ` C ) ) $=
      ( vy vx crnk cfv cv wss wceq fveq2 sseq2d wcel wral crab wa eleqtrdi syl
      cscott df-scott sseq1d ralbidv elrab sylib simprd elrabi rspcdva ) ACIJZG
      KZIJZLZUKDIJZLGBDULDMUMUOUKULDINOACBPZUNGBQZACHKZIJZUMLZGBQZHBRZPUPUQSACB
      UBZVBEHGBUCZTVAUQHCBURCMZUTUNGBVEUSUKUMURCINUDUEUFUGUHADVBPDBPADVCVBFVDTV
      AHDBUIUAUJ $.
  $}

  ${
    $d ph x $.  $d x A $.  $d x B $.
    scottrankd.1 $e |- ( ph -> B e. Scott A ) $.
    $( Rank of a nonempty Scott's trick set.  (Contributed by Rohan Ridenour,
       11-Aug-2023.) $)
    scottrankd $p |- ( ph -> ( rank ` Scott A ) = suc ( rank ` B ) ) $=
      ( vx cscott crnk cfv cv csuc ciun wceq scottex2 rankval4 a1i adantr simpr
      wcel wa scottelrankd eqssd suceqd iuneq2dv wne ne0d iunconst syl 3eqtr2d
      c0 ) ABFZGHZEUJEIZGHZJZKZEUJCGHZJZKZUQUKUOLAEUJBMNOAEUJUQUNAULUJRZSZUPUMU
      TUPUMUTBCULACUJRUSDPZAUSQZTUTBULCVBVATUAUBUCAUJUIUDURUQLAUJCDUEEUJUQUFUGU
      H $.
  $}

  ${
    gruscottcld.1 $e |- ( ph -> G e. Univ ) $.
    gruscottcld.2 $e |- ( ph -> B e. G ) $.
    gruscottcld.3 $e |- ( ph -> B e. Scott A ) $.
    $( If a Grothendieck universe contains an element of a Scott's trick set,
       it contains the Scott's trick set.  (Contributed by Rohan Ridenour,
       11-Aug-2023.) $)
    gruscottcld $p |- ( ph -> Scott A e. G ) $=
      ( cscott cvv crnk cfv csuc scottrankd grurankcld grusucd eqeltrd scottex2
      wcel a1i grurankrcld ) ABHZDIEAUAJKCJKZLDABCGMAUBDEACDEFNOPUAIRABQST $.
  $}

  $c Coll $.

  $( Extend class notation with the collection operation. $)
  ccoll $a class ( F Coll A ) $.

  ${
    $d x F $.  $d x A $.
    $( Define the collection operation.  This is similar to the image set
       operation ` " ` , but it uses Scott's trick to ensure the output is
       always a set.  (Contributed by Rohan Ridenour, 11-Aug-2023.) $)
    df-coll $a |- ( F Coll A ) = U_ x e. A Scott ( F " { x } ) $.
  $}

  ${
    $d x A $.  $d x y F $.
    $( Alternate definition of the collection operation.  (Contributed by Rohan
       Ridenour, 11-Aug-2023.) $)
    dfcoll2 $p |- ( F Coll A ) = U_ x e. A Scott { y | x F y } $=
      ( ccoll csn cima cscott ciun wbr cab df-coll wcel imasng scotteqd iuneq2i
      cv eqtri ) CDEACDAQZFGZHZIACSBQDJBKZHZIACDLACUAUCSCMTUBBSCDNOPR $.
  $}

  ${
    $d ph x $.  $d x A $.  $d x B $.  $d x F $.  $d x G $.
    colleq12d.1 $e |- ( ph -> F = G ) $.
    colleq12d.2 $e |- ( ph -> A = B ) $.
    $( Equality theorem for the collection operation.  (Contributed by Rohan
       Ridenour, 11-Aug-2023.) $)
    colleq12d $p |- ( ph -> ( F Coll A ) = ( G Coll B ) ) $=
      ( vx csn cima cscott ciun ccoll imaeq1d scotteqd iuneq12d df-coll 3eqtr4g
      cv ) AHBDHSIZJZKZLHCETJZKZLBDMCEMAHBCUBUDGAUAUCADETFNOPHBDQHCEQR $.
  $}

  ${
    $( Equality theorem for the collection operation.  (Contributed by Rohan
       Ridenour, 11-Aug-2023.) $)
    colleq1 $p |- ( F = G -> ( F Coll A ) = ( G Coll A ) ) $=
      ( wceq id eqidd colleq12d ) BCDZAABCHEHAFG $.
  $}

  ${
    $( Equality theorem for the collection operation.  (Contributed by Rohan
       Ridenour, 11-Aug-2023.) $)
    colleq2 $p |- ( A = B -> ( F Coll A ) = ( F Coll B ) ) $=
      ( wceq eqidd id colleq12d ) ABDZABCCHCEHFG $.
  $}

  ${
    $d x y $.  $d y A $.  $d y F $.
    nfcoll.1 $e |- F/_ x F $.
    nfcoll.2 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for the collection operation.
       (Contributed by Rohan Ridenour, 11-Aug-2023.) $)
    nfcoll $p |- F/_ x ( F Coll A ) $=
      ( vy ccoll csn cima cscott ciun df-coll nfcv nfima nfscott nfiun nfcxfr
      cv ) ABCGFBCFRHZIZJZKFBCLFABUAEATACSDASMNOPQ $.
  $}

  ${
    $d ph x $.  $d x A $.  $d x F $.
    collexd.1 $e |- ( ph -> A e. V ) $.
    $( The output of the collection operation is a set if the second input is.
       (Contributed by Rohan Ridenour, 11-Aug-2023.) $)
    collexd $p |- ( ph -> ( F Coll A ) e. _V ) $=
      ( ccoll csn cima cscott ciun cvv df-coll wcel wral scottex2 a1i ralrimivw
      vx cv iunexg syl2anc eqeltrid ) ABCFRBCRSGHZIZJZKRBCLABDMUDKMZRBNUEKMEAUF
      RBUFAUCOPQRBUDDKTUAUB $.
  $}

  ${
    $d x y z F $.  $d x y z A $.
    cpcolld.1 $e |- ( ph -> x e. A ) $.
    cpcolld.2 $e |- ( ph -> x F y ) $.
    $( Property of the collection operation.  (Contributed by Rohan Ridenour,
       11-Aug-2023.) $)
    cpcolld $p |- ( ph -> E. y e. ( F Coll A ) x F y ) $=
      ( vz cv ccoll wcel wbr wa wex wrex cab cscott vex breq2 sylibr 19.8ad jca
      elab ciun ssiun2 dfcoll2 sseqtrrdi sselda elscottab adantl ex eximdv sylc
      scotteld df-rex ) ACIZDEJZKZBIZUPELZMZCNZUTCUQOAUSDKZUPUSHIZELZHPZQZKZCNV
      BFACVFAUPVFKZCAUTVIGVEUTHUPCRVDUPUSESZUCTUAUNVCVHVACVCVHVAVCVHMURUTVCVGUQ
      UPVCVGBDVGUDUQBDVGUEBHDEUFUGUHVHUTVCVEUTHCVJUIUJUBUKULUMUTCUQUOT $.
  $}

  ${
    $d ph a $.  $d x y F a $.  $d x y A a $.
    cpcoll2d.1 $e |- ( ph -> x e. A ) $.
    cpcoll2d.2 $e |- ( ph -> E. y x F y ) $.
    $( ~ cpcolld with an extra existential quantifier.  (Contributed by Rohan
       Ridenour, 12-Aug-2023.) $)
    cpcoll2d $p |- ( ph -> E. y e. ( F Coll A ) x F y ) $=
      ( va cv wbr ccoll wrex wex breq2 cbvexvw sylibr wa wcel adantr simpr
      cpcolld cbvrexvw sylib exlimddv ) ABIZHIZEJZUECIZEJZCDEKZLZHAUICMUGHMGUGU
      IHCUFUHUEENZOPAUGQZUGHUJLUKUMBHDEAUEDRUGFSAUGTUAUGUIHCUJULUBUCUD $.
  $}

  $( Violates a DV condition on ~ cpcolld.
  @{
    @d ph a @.  @d x y z a @.
    @( ~ cp with an explicit witness, constructed using ` Coll ` .
       (Contributed by Rohan Ridenour, 11-Aug-2023.) @)
    cpcoll @p
      |- A. x e. z ( E. y ph -> E. y e. ( { <. x , y >. | ph } Coll z ) ph ) @=
  ( va wex cv copab ccoll wrex wsb wel nfs1v nfex wceq ax6e sbequ12r wbr nfcv
  wi biimprcd eximdv mpi exlimi wa simpl nfopab2 nfbr weq cop wcel df-br opabid
  bitri breq2 bitr3id biimpi adantl cpcolld nfcoll nfv cbvrexf sylibr rexbii ex
  sbiev sylib exlimdv syl5 rgen ) ACFZACDGZABCHZIZJZTBVLVKACEKZEFZBDLZVOAVQCVPC
  EACEMNAEGZCGZOZEFVQECPAWAVPEWAVPAAECQUAUBUCUDVRVPVOEVRVPVOVRVPUEZBGZVTVMRZCVN
  JZVOWBWCVSVMRZEVNJWEWBBEVLVMVRVPUFVPWFVRVPWFAWFCECWCVSVMCWCSABCUGZCVSSUHZAWDC
  EUIWFWDWCVTUJVMUKAWCVTVMULABCUMUNZVTVSWCVMUOZUPVFUQURUSWDWFCEVNCVLVMWGCVLSUTE
  VNSWDEVAWHWJVBVCWDACVNWIVDVGVEVHVIVJ @.
  @}

  @{
    @d ph w @.  @d x y z w @.
    @( Alternate proof of ~ cp using ~ cpcoll .  (Contributed by Rohan
       Ridenour, 11-Aug-2023.)  (Proof modification is discouraged.)  Use ~ cp
       instead.  (New usage is discouraged.) @)
    rr-cp @p |- E. w A. x e. z ( E. y ph -> E. y e. w ph ) @=
      ( wex cv wrex wral copab ccoll cvv wcel elex collexd elv wceq nfcv nfcoll
      wi nfopab1 nfeq2 nfopab2 rexeqf imbi2d ralbid cpcoll ceqsexv2d ) ACFZACEG
      ZHZTZBDGZIUIACUMABCJZKZHZTZBUMIEUOUOLMDUMLMUMUNLUMLNOPUJUOQZULUQBUMBUJUOB
      UMUNABCUABUMRSUBURUKUPUIACUJUOCUJRCUMUNABCUCCUMRSUDUEUFABCDUGUH @.
  @}
  $)

  ${
    $d ph x z $.  $d x z G $.  $d x y z A $.  $d x y z F $.
    grucollcld.1 $e |- ( ph -> G e. Univ ) $.
    grucollcld.2 $e |- ( ph -> F C_ ( G X. G ) ) $.
    grucollcld.3 $e |- ( ph -> A e. G ) $.
    $( A Grothendieck universe contains the output of a collection operation
       whenever its left input is a relation on the universe, and its right
       input is in the universe.  (Contributed by Rohan Ridenour,
       11-Aug-2023.) $)
    grucollcld $p |- ( ph -> ( F Coll A ) e. G ) $=
      ( vx vy vz ccoll cv wbr cab cscott wcel wa c0 simpr ad2antrr ciun dfcoll2
      cgru wral wceq gru0eld eqeltrd wn wex neq0 cxp breq2 elscottab adantl wss
      wi ssbrd mpd brxp simprbi syl gruscottcld expcom exlimiv impcom pm2.61dan
      sylbi ralrimiva gruiun syl3anc eqeltrid ) ABCKHBHLZILZCMZINZOZUAZDHIBCUBA
      DUCPZBDPZVPDPZHBUDVQDPEGAVTHBAVLBPZQZVPRUEZVTWBWCQZVPRDWBWCSWDBDAVRWAWCET
      AVSWAWCGTUFUGWCUHZWBVTWEJLZVPPZJUIWBVTUPZJVPUJWGWHJWBWGVTWBWGQZVOWFDAVRWA
      WGETWIVLWFDDUKZMZWFDPZWIVLWFCMZWKWGWMWBVNWMIJVMWFVLCULUMUNWICWJVLWFACWJUO
      WAWGFTUQURWKVLDPWLVLWFDDUSUTVAWBWGSVBVCVDVGVEVFVHHBVPDVIVJVK $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Minimal universes
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d z w v U f i k m n q p l $.  $d z w u U f i k m n r p l $.
    ismnu.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    $( The hypothesis of this theorem defines a class M of sets that we
       temporarily call "minimal universes", and which will turn out in
       ~ grumnueq to be exactly Grothendicek universes.  Minimal universes are
       sets which satisfy the predicate on ` y ` in ~ rr-groth , except for the
       ` x e. y ` clause.

       A minimal universe is closed under subsets ( ~ mnussd ), powersets
       ( ~ mnupwd ), and an operation which is similar to a combination of
       collection and union ( ~ mnuop3d ), from which closure under pairing
       ( ~ mnuprd ), unions ( ~ mnuunid ), and function ranges ( ~ mnurnd ) can
       be deduced, from which equivalence with Grothendieck universes
       ( ~ grumnueq ) can be deduced.  (Contributed by Rohan Ridenour,
       13-Aug-2023.) $)
    ismnu $p
      |- ( U e. V -> ( U e. M <-> A. z e. U ( ~P z C_ U /\ A. f E. w e. U
        ( ~P z C_ w /\ A. i e. z ( E. v e. U ( i e. v /\ v e. f )
          -> E. u e. f ( i e. u /\ U. u C_ w ) ) ) ) ) ) $=
  ( cv wss wa cpw wel wrex cuni wral wal wceq weq simpr pweqd simpl sseq12d w3a
  wi wb 3adant3 adantr simpl3 eleq12d simpl13 anbi12d simpl11 cbvrexdva2 unieqd
  simpl2 imbi12d 3expa simpll2 cbvraldva2 simpl1 cbvaldvaw elab2g ) PRZUAZHRZSZ
  VNJRZSZONUBZNIUBZTZNVOUCZOMUBZMRZUDZVQSZTZMIRZUCZUNZOVMUEZTZJVOUCZIUFZTZPVOUE
  ARZUAZESZWQBRZSZGCUBZCFUBZTZCEUCZGDUBZDRZUDZWSSZTZDFRZUCZUNZGWPUEZTZBEUCZFUFZ
  TZAEUEHEKLVOEUGZWOXQPAVOEXRPAUHZTZVPWRWNXPXTVNWQVOEXTVMWPXRXSUIUJZXRXSUKZULXT
  WMXOIFXRXSIFUHZWMXOUOXRXSYCUMZWLXNJBVOEYDJBUHZTZVRWTWKXMYFVNWQVQWSYDVNWQUGZYE
  XRXSYGYCYAUPUQYDYEUIULYFWJXLOGVMWPYDYEOGUHZWJXLUOYDYEYHUMZWBXDWIXKYIWAXCNCVOE
  YINCUHZTZVSXAVTXBYKORZGRZNRZCRZYDYEYHYJURYIYJUIZUSYKYNYOWHXJYPXRXSYCYEYHYJUTU
  SVAXRXSYCYEYHYJVBVCYIWGXIMDWHXJYIMDUHZTZWCXEWFXHYRYLYMWDXFYDYEYHYQURYIYQUIZUS
  YRWEXGVQWSYRWDXFYSVDYDYEYHYQVEULVAXRXSYCYEYHYQUTVCVFVGXRXSYCYEYHVHVIVAXRXSYCY
  EVJVCVGVKVAYBVIQVL $.
  $}

  ${
    $d z w A f i $.  $d z w v U f i k m n q p l $.
    $d z w u U f i k m n r p l $.
    mnuop123d.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnuop123d.2 $e |- ( ph -> U e. M ) $.
    mnuop123d.3 $e |- ( ph -> A e. U ) $.
    $( Operations of a minimal universe.  (Contributed by Rohan Ridenour,
       13-Aug-2023.) $)
    mnuop123d $p
      |- ( ph -> ( ~P A C_ U /\ A. f E. w e. U
        ( ~P A C_ w /\ A. i e. A ( E. v e. U ( i e. v /\ v e. f )
          -> E. u e. f ( i e. u /\ U. u C_ w ) ) ) ) ) $=
  ( wa vz cv cpw wss wel wrex cuni wi wral wal wceq pweq sseq1d anbi12d rexbidv
  raleq albidv wcel ismnu ibi syl rspcdva ) AUAUBZUCZFUDZVDBUBZUDZHCUECGUETCFUF
  HDUEDUBUGVFUDTDGUBUFUHZHVCUIZTZBFUFZGUJZTZEUCZFUDZVNVFUDZVHHEUIZTZBFUFZGUJZTU
  AFEVCEUKZVEVOVLVTWAVDVNFVCEULZUMWAVKVSGWAVJVRBFWAVGVPVIVQWAVDVNVFWBUMVHHVCEUP
  UNUOUQUNAFLURZVMUAFUIZRWCWDUABCDFGHIJKLLMNOPQUSUTVASVB $.
  $}

  ${
    $d w A f i $.  $d w v U f i k m n q p l $.  $d w u U f i k m n r p l $.
    mnussd.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnussd.2 $e |- ( ph -> U e. M ) $.
    mnussd.3 $e |- ( ph -> A e. U ) $.
    mnussd.4 $e |- ( ph -> B C_ A ) $.
    $( Minimal universes are closed under subsets.  (Contributed by Rohan
       Ridenour, 13-Aug-2023.) $)
    mnussd $p |- ( ph -> B e. U ) $=
      ( vi vv vf vu vw cpw wss cv wel wa wrex cuni wi wral wal mnuop123d simpld
      sselpwd sseldd ) ABUBZDCAUPDUCUPUAUDZUCQRUERSUEUFRDUGQTUETUDUHUQUCUFTSUDU
      GUIQBUJUFUADUGSUKAUARTBDSQEFGHIJKLMNOULUMACBDOPUNUO $.
  $}

  ${
    $d ph x $.  $d x A $.  $d x U $.  $d U k m n r p l $.  $d U k m n q p l $.
    mnuss2d.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnuss2d.2 $e |- ( ph -> U e. M ) $.
    mnuss2d.3 $e |- ( ph -> E. x e. U A C_ x ) $.
    $( ~ mnussd with arguments provided with an existential quantifier.
       (Contributed by Rohan Ridenour, 13-Aug-2023.) $)
    mnuss2d $p |- ( ph -> A e. U ) $=
      ( cv wss wcel wa adantr simprl simprr mnussd rexlimddv ) ACBPZQZCDRBDOAUE
      DRZUFSZSUECDEFGHIJKLMADHRUHNTAUGUFUAAUGUFUBUCUD $.
  $}

  ${
    $d U k m n r p l $.  $d U k m n q p l $.
    mnu0eld.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnu0eld.2 $e |- ( ph -> U e. M ) $.
    mnu0eld.3 $e |- ( ph -> A e. U ) $.
    $( A nonempty minimal universe contains the empty set.  (Contributed by
       Rohan Ridenour, 13-Aug-2023.) $)
    mnu0eld $p |- ( ph -> (/) e. U ) $=
      ( c0 wss 0ss a1i mnussd ) ABOCDEFGHIJKLMNOBPABQRS $.
  $}

  ${
    $d ph f $.  $d v F $.  $d f V $.  $d w A f i $.  $d w u f i F $.
    $d w v U f i k m n q p l $.  $d w u U f i k m n r p l $.
    mnuop23d.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnuop23d.2 $e |- ( ph -> U e. M ) $.
    mnuop23d.3 $e |- ( ph -> A e. U ) $.
    mnuop23d.4 $e |- ( ph -> F e. V ) $.
    $( Second and third operations of a minimal universe.  (Contributed by
       Rohan Ridenour, 13-Aug-2023.) $)
    mnuop23d $p
      |- ( ph -> E. w e. U ( ~P A C_ w /\ A. i e. A
        ( E. v e. U ( i e. v /\ v e. F ) -> E. u e. F ( i e. u /\ U. u C_ w ) )
      ) ) $=
  ( vf wcel cpw cv wss wel wa wrex cuni wi wral wal mnuop123d simprd wceq eleq2
  anbi2d rexbidv rexeq imbi12d ralbidv spcgv sylc ) AKMUCEUDZBUEZUFZGCUGZCUBUGZ
  UHZCFUIZGDUGDUEUJVFUFUHZDUBUEZUIZUKZGEULZUHZBFUIZUBUMZVGVHCUEZKUCZUHZCFUIZVLD
  KUIZUKZGEULZUHZBFUIZUAAVEFUFVSABCDEFUBGHIJLNOPQRSTUNUOVRWHUBKMVMKUPZVQWGBFWIV
  PWFVGWIVOWEGEWIVKWCVNWDWIVJWBCFWIVIWAVHVMKVTUQURUSVLDVMKUTVAVBURUSVCVD $.
  $}

  ${
    $d ph w $.  $d w A i $.  $d w v U i k m n q p l $.
    $d w u U i k m n r p l $.
    mnupwd.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnupwd.2 $e |- ( ph -> U e. M ) $.
    mnupwd.3 $e |- ( ph -> A e. U ) $.
    $( Minimal universes are closed under powersets.  (Contributed by Rohan
       Ridenour, 13-Aug-2023.) $)
    mnupwd $p |- ( ph -> ~P A e. U ) $=
      ( vw vi vv vu c0 wrex cpw cv wss wel wcel wa cuni wi cvv 0ex a1i mnuop23d
      wral simpl reximi syl mnuss2d ) AOBUAZCDEFGHIJKLMAUROUBZUCZPQUDQUBSUEUFQC
      TPRUDRUBUGUSUCUFRSTUHPBUMZUFZOCTUTOCTAOQRBCPDEFSGUIHIJKLMNSUIUEAUJUKULVBU
      TOCUTVAUNUOUPUQ $.
  $}

  ${
    $d U k m n r p l $.  $d U k m n q p l $.
    mnusnd.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnusnd.2 $e |- ( ph -> U e. M ) $.
    mnusnd.3 $e |- ( ph -> A e. U ) $.
    $( Minimal universes are closed under singletons.  (Contributed by Rohan
       Ridenour, 13-Aug-2023.) $)
    mnusnd $p |- ( ph -> { A } e. U ) $=
      ( cpw csn mnupwd wss snsspw a1i mnussd ) ABOZBPZCDEFGHIJKLMABCDEFGHIJKLMN
      QUCUBRABSTUA $.
  $}

  ${
    $d U k m n r p l $.  $d U k m n q p l $.
    mnuprssd.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnuprssd.2 $e |- ( ph -> U e. M ) $.
    mnuprssd.3 $e |- ( ph -> C e. U ) $.
    mnuprssd.4 $e |- ( ph -> A C_ C ) $.
    mnuprssd.5 $e |- ( ph -> B C_ C ) $.
    $( A minimal universe contains pairs of subsets of an element of the
       universe.  (Contributed by Rohan Ridenour, 13-Aug-2023.) $)
    mnuprssd $p |- ( ph -> { A , B } e. U ) $=
      ( cpw sselpwd cpr mnupwd prssd mnussd ) ADSZBCUAEFGHIJKLMNOADEFGHIJKLMNOP
      UBABCUEABDEPQTACDEPRTUCUD $.
  $}

  ${
    $d U k m n r p l $.  $d U k m n q p l $.
    mnuprss2d.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnuprss2d.2 $e |- ( ph -> U e. M ) $.
    mnuprss2d.3 $e |- ( ph -> C e. U ) $.
    mnuprss2d.4 $e |- A C_ C $.
    mnuprss2d.5 $e |- B C_ C $.
    $( Special case of ~ mnuprssd .  (Contributed by Rohan Ridenour,
       13-Aug-2023.) $)
    mnuprss2d $p |- ( ph -> { A , B } e. U ) $=
      ( wss a1i mnuprssd ) ABCDEFGHIJKLMNOPBDSAQTCDSARTUA $.
  $}

  ${
    $d v F $.  $d w A i $.  $d ph w v i $.  $d w u i F $.
    $d w v U i k m n q p l $.  $d w u U i k m n r p l $.
    mnuop3d.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnuop3d.2 $e |- ( ph -> U e. M ) $.
    mnuop3d.3 $e |- ( ph -> A e. U ) $.
    mnuop3d.4 $e |- ( ph -> F C_ U ) $.
    $( Third operation of a minimal universe.  (Contributed by Rohan Ridenour,
       13-Aug-2023.) $)
    mnuop3d $p |- ( ph -> E. w e. U A. i e. A
      ( E. v e. F i e. v -> E. u e. F ( i e. u /\ U. u C_ w ) ) ) $=
      ( cpw cv wss wel wcel wa wrex cuni wi wral sselpwd mnuop23d sseld adantrd
      pm3.22 jca2 reximdv2 imim1d ralimdv adantld reximdv mpd ) AEUABUBZUCZGCUD
      ZCUBZKUEZUFZCFUGZGDUDDUBUHVCUCUFDKUGZUIZGEUJZUFZBFUGVECKUGZVJUIZGEUJZBFUG
      ABCDEFGHIJKLFUAMNOPQRSAKFLRTUKULAVMVPBFAVLVPVDAVKVOGEAVNVIVJAVEVHCKFAVGVE
      UFVFFUEZVHAVGVQVEAKFVFTUMUNVGVEUOUPUQURUSUTVAVB $.
  $}

  ${
    $d ph a $.  $d w i $.  $d A a $.  $d F a $.  $d w u a $.  $d u i F $.
    mnuprdlem1.1 $e |- F = { { (/) , { A } } , { { (/) } , { B } } } $.
    mnuprdlem1.3 $e |- ( ph -> A e. U ) $.
    mnuprdlem1.4 $e |- ( ph -> B e. U ) $.
    mnuprdlem1.8 $e
      |- ( ph -> A. i e. { (/) , { (/) } } E. u e. F ( i e. u /\ U. u C_ w ) )
    $.
    $( Lemma for ~ mnuprd .  (Contributed by Rohan Ridenour, 11-Aug-2023.) $)
    mnuprdlem1 $p |- ( ph -> A e. w ) $=
      ( va cv wcel c0 cuni wa cpr wceq wss wrex csn eleq1 rexbidv 0ex prid1 a1i
      anbi1d rspcdva adantr wn simprl simpr 0nep0 snn0d necomd nelprd elnelneqd
      wne adantrr adantrl wo elpri eleq2s orcomd ord sylc unieqd cun snex unipr
      uncom un0 3eqtri eqtrdi simprrr snssg biimprd eleq2w unieq sseq1d anbi12d
      eqsstrrd rexlimddvcbvw ) ADBNZOZPMNZOZWHQZWFUAZRZPCNZOZWMQZWFUAZRZCMHAGNZ
      WMOZWPRZCHUBWQCHUBGPPUCZSZPWRPTZWTWQCHXCWSWNWPWRPWMUDUIUELPXBOAPXAUFUGUHU
      JAWHHOZWLRZRZDFOZDUCZWFUAZWGAXGXEJUKXFXHWJWFXFWJPXHSZQZXHXFWHXJXFXDWHXAEU
      CZSZTZULZWHXJTZAXDWLUMAWLXOXDAWIXOWKAWIRWHXMPAWIUNAPXMOULWIAPXAXLPXAUTAUO
      UHAXLPAEFKUPUQURUKUSVAVBXDXNXPXDXPXNXPXNVCWHXJXMSHWHXJXMVDIVEVFVGVHVIXKPX
      HVJXHPVJXHPXHUFDVKVLPXHVMXHVNVOVPAXDWIWKVQWDXGWGXIDWFFVRVSVHWMWHTZWNWIWPW
      KCMPVTXQWOWJWFWMWHWAWBWCWE $.
  $}

  ${
    $d ph a $.  $d w i $.  $d B a $.  $d F a $.  $d w u a $.  $d u i F $.
    mnuprdlem2.1 $e |- F = { { (/) , { A } } , { { (/) } , { B } } } $.
    mnuprdlem2.4 $e |- ( ph -> B e. U ) $.
    mnuprdlem2.5 $e |- ( ph -> -. A = (/) ) $.
    mnuprdlem2.8 $e
      |- ( ph -> A. i e. { (/) , { (/) } } E. u e. F ( i e. u /\ U. u C_ w ) )
    $.
    $( Lemma for ~ mnuprd .  (Contributed by Rohan Ridenour, 11-Aug-2023.) $)
    mnuprdlem2 $p |- ( ph -> B e. w ) $=
      ( va cv wcel c0 csn wa cpr wceq cuni wrex eleq1 anbi1d rexbidv p0ex prid2
      wss a1i rspcdva simpl simprl simpr wne 0nep0 necomi 0ex sneqr eqcomd nsyl
      wn neqned nelprd adantr elnelneqd adantrr adantrl elpri eleq2s ord unieqd
      wo sylc cun snex unipr df-pr eqtr4i eqtrdi simprrr eqsstrrd prssg sylancr
      cvv wb biimprd simprd eleq2w unieq sseq1d anbi12d rexlimddvcbvw ) AEBNZOZ
      PQZMNZOZWPUAZWMUHZRZWOCNZOZXAUAZWMUHZRZCMHAGNZXAOZXDRZCHUBXECHUBGPWOSZWOX
      FWOTZXHXECHXJXGXBXDXFWOXAUCUDUELWOXIOAPWOUFUGUIUJAWPHOZWTRZRZPWMOZWNXMAPE
      SZWMUHZXNWNRZAXLUKXMXOWRWMXMWRWOEQZSZUAZXOXMWPXSXMXKWPPDQZSZTZVAZWPXSTZAX
      KWTULAWTYDXKAWQYDWSAWQRWPYBWOAWQUMAWOYBOVAWQAWOPYAWOPUNAPWOUOUPUIAWOYAADP
      TWOYATZKYFPDPDUQURUSUTVBVCVDVEVFVGXKYCYEYCYEVLWPYBXSSHWPYBXSVHIVIVJVMVKXT
      WOXRVNXOWOXRUFEVOVPPEVQVRVSAXKWQWSVTWAAXQXPAPWDOEFOXQXPWEUQJPEWMWDFWBWCWF
      VMWGXAWPTZXBWQXDWSCMWOWHYGXCWRWMXAWPWIWJWKWL $.
  $}

  ${
    $d ph a $.  $d A a $.  $d B a $.  $d v i a $.  $d v F a $.
    mnuprdlem3.1 $e |- F = { { (/) , { A } } , { { (/) } , { B } } } $.
    mnuprdlem3.9 $e |- F/ i ph $.
    $( Lemma for ~ mnuprd .  (Contributed by Rohan Ridenour, 11-Aug-2023.) $)
    mnuprdlem3 $p |- ( ph -> A. i e. { (/) , { (/) } } E. v e. F i e. v ) $=
      ( va cv wcel wrex c0 csn cpr wa wceq prid1 a1i simplr elpri simpr 3eltr4d
      wo 0ex prex eleqtrri rspcime prid2 jaodan sylan2 elequ2 cbvrexvw sylib ex
      p0ex ralrimi ) AEJZBJKZBFLZEMMNZOZHAURVBKZUTAVCPURIJZKZIFLZUTVCAURMQZURVA
      QZUDVFURMVAUAAVGVFVHAVGPZVEIMCNZOZFVIVDVKQZPZMVKURVDMVKKVMMVJUERSAVGVLTVI
      VLUBUCVKFKVIVKVKVADNZOZOZFVKVOMVJUFRGUGSUHAVHPZVEIVOFVQVDVOQZPZVAVOURVDVA
      VOKVSVAVNUPRSAVHVRTVQVRUBUCVOFKVQVOVPFVKVOVAVNUFUIGUGSUHUJUKVEUSIBFIBEULU
      MUNUOUQ $.
  $}

  ${
    $d v F $.  $d w A a $.  $d w B a $.  $d v U a $.  $d ph w v i a $.
    $d w u i F a $.  $d w v U i k m n q p l $.  $d w u U i k m n r p l $.
    mnuprdlem4.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnuprdlem4.2 $e |- F = { { (/) , { A } } , { { (/) } , { B } } } $.
    mnuprdlem4.3 $e |- ( ph -> U e. M ) $.
    mnuprdlem4.4 $e |- ( ph -> A e. U ) $.
    mnuprdlem4.5 $e |- ( ph -> B e. U ) $.
    mnuprdlem4.6 $e |- ( ph -> -. A = (/) ) $.
    $( Lemma for ~ mnuprd .  General case.  (Contributed by Rohan Ridenour,
       13-Aug-2023.) $)
    mnuprdlem4 $p |- ( ph -> { A , B } e. U ) $=
      ( vi va vv vu vw cv wcel wa cpr wel wrex cuni wss csn wral mnu0eld mnusnd
      wi c0 0ss ssid mnuprss2d snsspr1 snsspr2 prssd eqsstrid mnuop3d simprl wb
      wceq eleq2w anbi12d adantl adantr nfv nfra1 mnuprdlem3 ralim ad2antll mpd
      nfan mnuprdlem1 mnuprdlem2 jca rspcedvd rexlimddv simprrl simprrr mnussd
      wn ) ABUAUEZUFZCWJUFZUGZBCUHZDUFUADATUBUIUBHUJZTUCUIUCUEUKUDUEZULUGUCHUJZ
      UQZTURURUMZUHZUNZWMUADUJUDDAUDUBUCWTDTEFGHIJKLMNPAURWSWSDEFGIJKLMNPAURDEF
      GIJKLMNPABDEFGIJKLMNPQUOUPWSUSWSUTVAAHURBUMZUHZWSCUMZUHZUHDOAXCXEDAURXBXB
      DEFGIJKLMNPABDEFGIJKLMNPQUPXBUSXBUTVAAWSXDURCUHDEFGIJKLMNPAURCCDEFGIJKLMN
      PRCUSCUTVAURCVBURCVCVAVDVEVFAWPDUFZXAUGZUGZWMBWPUFZCWPUFZUGZUAWPDAXFXAVGW
      JWPVIZWMXKVHXHXLWKXIWLXJUAUDBVJUAUDCVJVKVLXHXIXJXHUDUCBCDTHOABDUFXGQVMACD
      UFXGRVMZXHWOTWTUNZWQTWTUNZXHUBBCTHOAXGTATVNXFXATXFTVNWRTWTVOVTVTVPXAXNXOU
      QAXFWOWQTWTVQVRVSZWAXHUDUCBCDTHOXMABURVIWIXGSVMXPWBWCWDWEAWJDUFZWMUGZUGZW
      JWNDEFGIJKLMNADIUFXRPVMAXQWMVGXSBCWJAXQWKWLWFAXQWKWLWGVDWHWE $.
  $}

  ${
    $d U k m n r p l $.  $d U k m n q p l $.
    mnuprd.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnuprd.2 $e |- ( ph -> U e. M ) $.
    mnuprd.3 $e |- ( ph -> A e. U ) $.
    mnuprd.4 $e |- ( ph -> B e. U ) $.
    $( Minimal universes are closed under pairing.  (Contributed by Rohan
       Ridenour, 13-Aug-2023.) $)
    mnuprd $p |- ( ph -> { A , B } e. U ) $=
      ( c0 cpr wcel adantr wceq wa simpr 0ss eqsstrdi ssidd mnuprssd mnuprdlem4
      wn csn eqid pm2.61dan ) ABQUAZBCRDSAUMUBZBCCDEFGHIJKLMADHSZUMNTACDSZUMPTU
      NBQCAUMUCCUDUEUNCUFUGAUMUIZUBBCDEFGQBUJRQUJCUJRRZHIJKLMURUKAUOUQNTABDSUQO
      TAUPUQPTAUQUCUHUL $.
  $}

  ${
    $d v A $.  $d v U a $.  $d ph w v i a $.  $d w u A i a $.
    $d w v U i k m n q p l $.  $d w u U i k m n r p l $.
    mnuunid.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnuunid.2 $e |- ( ph -> U e. M ) $.
    mnuunid.3 $e |- ( ph -> A e. U ) $.
    $( Minimal universes are closed under union.  (Contributed by Rohan
       Ridenour, 13-Aug-2023.) $)
    mnuunid $p |- ( ph -> U. A e. U ) $=
      ( va vi cv wcel wss wi vv vu vw cuni csn wrex wa snssd mnuop3d simprl weq
      wral sseq2 adantl elssuni rgen simprr eleq2 rexsng syl wceq unieq anbi12d
      wb sseq1d imbi12d anclb bitr4di imbi2d pm5.4 bitrdi ralbidv2 adantr mpbid
      sstr2 ral2imi mpsyl unissb sylibr rspcedvd rexlimddv mnuss2d ) AOBUDZCDEF
      GHIJKLMAPQZUAQZRZUABUEZUFZWDUBQZRZWIUDZUCQZSZUGZUBWGUFZTZPBULZWCOQZSZOCUF
      UCCAUCUAUBBCPDEFWGGHIJKLMNABCNUHUIAWLCRZWQUGZUGZWSWCWLSZOWLCAWTWQUJOUCUKW
      SXCVDXBWRWLWCUMUNXBWDWLSZPBULZXCWDWCSZPBULXBXCPBULZXEXFPBWDBUOUPXBWQXGAWT
      WQUQAWQXGVDXAAWPXCPBBAWDBRZWPTXHXHXCTZTXIAWPXIXHAWPXHXHXCUGZTXIAWHXHWOXJA
      BCRZWHXHVDNWFXHUABCWEBWDURUSUTAXKWOXJVDNWNXJUBBCWIBVAZWJXHWMXCWIBWDURXLWK
      WCWLWIBVBVEVCUSUTVFXHXCVGVHVIXHXCVJVKVLVMVNXFXCXDPBWDWCWLVOVPVQPBWLVRVSVT
      WAWB $.
  $}

  ${
    $d U k m n r p l $.  $d U k m n q p l $.
    mnuund.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnuund.2 $e |- ( ph -> U e. M ) $.
    mnuund.3 $e |- ( ph -> A e. U ) $.
    mnuund.4 $e |- ( ph -> B e. U ) $.
    $( Minimal universes are closed under binary unions.  (Contributed by Rohan
       Ridenour, 13-Aug-2023.) $)
    mnuund $p |- ( ph -> ( A u. B ) e. U ) $=
      ( cpr cuni cun wcel wceq uniprg syl2anc mnuprd mnuunid eqeltrrd ) ABCQZRZ
      BCSZDABDTCDTUHUIUAOPBCDDUBUCAUGDEFGHIJKLMNABCDEFGHIJKLMNOPUDUEUF $.
  $}

  ${
    $d U k m n r p l $.  $d U k m n q p l $.
    mnutrcld.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnutrcld.2 $e |- ( ph -> U e. M ) $.
    mnutrcld.3 $e |- ( ph -> A e. U ) $.
    mnutrcld.4 $e |- ( ph -> B e. A ) $.
    $( Minimal universes contain the elements of their elements.  (Contributed
       by Rohan Ridenour, 13-Aug-2023.) $)
    mnutrcld $p |- ( ph -> B e. U ) $=
      ( cuni mnuunid wcel wss elssuni syl mnussd ) ABQZCDEFGHIJKLMNABDEFGHIJKLM
      NORACBSCUDTPCBUAUBUC $.
  $}

  ${
    $d ph x y $.  $d x y U $.  $d U k m n r p l $.  $d U k m n q p l $.
    mnutrd.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnutrd.2 $e |- ( ph -> U e. M ) $.
    $( Minimal universes are transitive.  (Contributed by Rohan Ridenour,
       13-Aug-2023.) $)
    mnutrd $p |- ( ph -> Tr U ) $=
      ( vx vy wel cv wcel wa wi wal wtr adantr simprr simprl mnutrcld ex sylibr
      alrimivv dftr2 ) AMNOZNPZBQZRZMPZBQZSZNTMTBUAAUPMNAUMUOAUMRUKUNBCDEFGHIJK
      ABFQUMLUBAUJULUCAUJULUDUEUFUHMNBUIUG $.
  $}

  ${
    $d v F $.  $d w u i a $.  $d v A i a $.  $d u A i a $.  $d u i F a $.
    mnurndlem1.3 $e |- ( ph -> F : A --> U ) $.
    mnurndlem1.4 $e |- A e. _V $.
    mnurndlem1.6 $e |- ( ph -> A. i e. A
      ( E. v e. ran ( a e. A |-> { a , { ( F ` a ) , A } } ) i e. v
        -> E. u e. ran ( a e. A |-> { a , { ( F ` a ) , A } } )
          ( i e. u /\ U. u C_ w ) ) ) $.
    $( Lemma for ~ mnurnd .  (Contributed by Rohan Ridenour, 12-Aug-2023.) $)
    mnurndlem1 $p |- ( ph -> ran F C_ w ) $=
      ( cv wcel wral wss wa cpr wceq cvv wfn cfv crn ffnd cuni cmpt wrex wi vex
      prid1 simpr eleqtrrid eqid id prex a1i preq1d preq12d adantl rr-elrnmpt3d
      fveq2 rspcime rgen ralim mpisyl wb rgenw eleq2 unieq sseq1d anbi12d ax-mp
      rexrnmptw wn simplrl prid2 elnotel elnelneq2d elpri orcomd fveq2d simplrr
      ord sylc unipr sseq1i unss bicomi simprbi sylbi fvex prss simplbi eqeltrd
      cun 3syl ex rexlimiva com12 ralimia syl fnfvrnss syl2anc ) AHEUAGMZHUBZBM
      ZNZGEOZHUCXFPAEFHJUDAXDDMZNZXIUEZXFPZQZDIEIMZXNHUBZERZRZUFZUCZUGZGEOZXHAX
      DCMZNZCXSUGZXTUHGEOYDGEOYALYDGEXDENZYCCXDXEERZRZXSYEYBYGSZQXDYGYBXDYFGUIU
      JYEYHUKULYEIEXQXDYGXRTXRUMZYEUNYGTNYEXDYFUOUPXNXDSZXQYGSYEYJXNXDXPYFYJUNY
      JXOXEEXNXDHVAUQURUSUTVBVCYDXTGEVDVEXTXGGEXTYEXGXTXDXQNZXQUEZXFPZQZIEUGZYE
      XGUHZXQTNZIEOXTYOVFYQIEXNXPUOVGXMYNIDEXQXRTYIXIXQSZXJYKXLYMXIXQXDVHYRXKYL
      XFXIXQVIVJVKVMVLYNYPIEXNENZYNQZYEXGYTYEQZXEXOXFUUAXDXNHUUAYKXDXPSZVNXDXNS
      ZYSYKYMYEVOUUAXDXPEYTYEUKXPENVNZUUAEXPNUUDXOEKVPEXPVQVLUPVRYKUUBUUCYKUUCU
      UBXDXNXPVSVTWCWDWAUUAYMXPXFPZXOXFNZYSYKYMYEWBYMXNXPWOZXFPZUUEYLUUGXFXNXPI
      UIXOEUOWEWFUUHXNXFPZUUEUUIUUEQUUHXNXPXFWGWHWIWJUUEUUFEXFNZUUFUUJQUUEXOEXF
      XNHWKKWLWHWMWPWNWQWRWJWSWTXAGEXFHXBXC $.
  $}

  ${
    $d v A $.  $d v F $.  $d v U a b $.  $d ph w v i a b $.  $d w u A i a b $.
    $d w u i F a b $.  $d w v U i k m n q p l $.  $d w u U i k m n r p l $.
    mnurndlem2.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnurndlem2.2 $e |- ( ph -> U e. M ) $.
    mnurndlem2.3 $e |- ( ph -> A e. U ) $.
    mnurndlem2.4 $e |- ( ph -> F : A --> U ) $.
    mnurndlem2.5 $e |- A e. _V $.
    $( Lemma for ~ mnurnd .  Deduction theorem input.  (Contributed by Rohan
       Ridenour, 13-Aug-2023.) $)
    mnurndlem2 $p |- ( ph -> ran F e. U ) $=
      ( va cv wcel vb vi vv vu vw crn cfv cpr cmpt wrex cuni wss wa wral adantr
      simpr mnutrcld ffvelrnda mnuprd ralrimiva eqid rnmptss syl mnuop3d simprl
      wi weq wb sseq2 adantl wf simprr mnurndlem1 rspcedvd rexlimddv mnuss2d )
      AUAGUFZCDEFHIJKLMNAUBSZUCSTUCRBRSZVSGUGZBUHZUHZUIZUFZUJVRUDSZTWEUKUESZULU
      MUDWDUJVFUBBUNZVQUASZULZUACUJUECAUEUCUDBCUBDEFWDHIJKLMNOAWBCTZRBUNWDCULAW
      JRBAVSBTZUMZVSWACDEFHIJKLMACHTWKNUOZWLBVSCDEFHIJKLMWMABCTWKOUOZAWKUPUQWLV
      TBCDEFHIJKLMWMABCVSGPURWNUSUSUTRBWBCWCWCVAVBVCVDAWFCTZWGUMZUMZWIVQWFULZUA
      WFCAWOWGVEUAUEVGWIWRVHWQWHWFVQVIVJWQUEUCUDBCUBGRABCGVKWPPUOQAWOWGVLVMVNVO
      VP $.
  $}

  ${
    $d U k m n r p l $.  $d U k m n q p l $.
    mnurnd.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnurnd.2 $e |- ( ph -> U e. M ) $.
    mnurnd.3 $e |- ( ph -> A e. U ) $.
    mnurnd.4 $e |- ( ph -> F : A --> U ) $.
    $( Minimal universes contain ranges of functions from an element of the
       universe to the universe.  (Contributed by Rohan Ridenour,
       13-Aug-2023.) $)
    mnurnd $p |- ( ph -> ran F e. U ) $=
      ( cvv wcel c0 wf cif elexd iftrued eqeltrd feq2d mpbird elimel mnurndlem2
      0ex ) ABQRZBSUAZCDEFGHIJKLMNAUKBCAUJBSABCOUBUCZOUDAUKCGTBCGTPAUKBCGULUEUF
      BSQUIUGUH $.
  $}

  ${
    $d ph x y $.  $d x y U $.  $d U k m n r p l $.  $d U k m n q p l $.
    mnugrud.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    mnugrud.2 $e |- ( ph -> U e. M ) $.
    $( Minimal universes are Grothendieck universes.  (Contributed by Rohan
       Ridenour, 13-Aug-2023.) $)
    mnugrud $p |- ( ph -> U e. Univ ) $=
      ( vx vy wcel cv wral wa adantr ralrimiva cgru wtr cpw cpr crn cuni co w3a
      cmap mnutrd simpr mnupwd ad2antrr mnuprd wf elmapi adantl mnuunid 3jca wb
      mnurnd elgrug syl mpbir2and ) ABUAOZBUBZMPZUCBOZVGNPZUDBOZNBQZVIUEZUFBOZN
      BVGUIUGZQZUHZMBQZABCDEFGHIJKLUJAVPMBAVGBOZRZVHVKVOVSVGBCDEFGHIJKABFOZVRLS
      AVRUKZULVSVJNBVSVIBOZRVGVIBCDEFGHIJKAVTVRWBLUMVSVRWBWASVSWBUKUNTVSVMNVNVS
      VIVNOZRZVLBCDEFGHIJKAVTVRWCLUMZWDVGBCDEVIFGHIJKWEVSVRWCWASWCVGBVIUOVSVIBV
      GUPUQVAURTUSTAVTVEVFVQRUTLMNBFVBVCVD $.
  $}

  ${
    $d G a $.  $d ph z a $.  $d z f h j G $.  $d ph w v f h i j $.
    $d w v u h i j F $.  $d z w v f i k m n G q p l $.
    $d z w u f i k m n G r p l $.
    grumnudlem.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    grumnudlem.2 $e |- ( ph -> G e. Univ ) $.
    grumnudlem.3 $e |- F = ( { <. b , c >. |
      E. d ( U. d = c /\ d e. f /\ b e. d ) } i^i ( G X. G ) ) $.
    grumnudlem.4 $e |- ( ( i e. G /\ h e. G )
      -> ( i F h <-> E. j ( U. j = h /\ j e. f /\ i e. j ) ) ) $.
    grumnudlem.5 $e
      |- ( ( h e. ( F Coll z ) /\ ( U. j = h /\ j e. f /\ i e. j ) )
        -> E. u e. f ( i e. u /\ U. u e. ( F Coll z ) ) ) $.
    $( Lemma for ~ grumnud .  (Contributed by Rohan Ridenour, 13-Aug-2023.) $)
    grumnudlem $p |- ( ph -> G e. M ) $=
      ( vw vv va wcel cv cpw wss wel wa wrex cuni wi wral wal cgru gruss 3expia
      syl3an1 alrimiv pwss ccoll cun wceq w3a ssun1 simp3 sseqtrrid simp1l3 wex
      sylibr wbr simp1r simpr unieqd simpl eqtr4d adantll simpll3 simprd simpld
      weq eqeltrd eleqtrrd 3jca simpl2 rr-spce simp1l1 syl simp2 gruuni syl2anc
      rspcime simpl1 gruel 3ad2ant1 sylan rexbidva mpbird rexex cpcoll2d adantr
      syl3anc cxp copab cin inss2 eqsstri a1i grucollcld syl2an2r mpbid rexcom4
      wb rexlimiva exlimiv sylbi elssuni ssun2 sstrdi adantl sseqtrrd ex anim2d
      reximdv sylc rexlimdv3a ralrimiva jca 3expa grupw gruun ismnu ) ALMUIZBUJ
      ZUKZLULZYTUFUJZULZFUJZUGUJZUIZUGDUMZUNZUGLUOUUDCUJZUIZUUIUPZUUBULZUNZCDUJ
      ZUOZUQZFYSURZUNZUFLUOZDUSZUNZBLURZAUVABLAYSLUIZUNZUUAUUTUVDUHUJZYSULZUVEL
      UIZUQZUHUSUUAUVDUVHUHAUVCUVFUVGALUTUIZUVCUVFUVGUBYSUVELVAVCVBVDUHYSLVEVOU
      VDUUSDUVDUURUFYTYSKVFZUPZVGZLAUVCUUBUVLVHZUURAUVCUVMVIZUUCUUQUVNUVLYTUUBY
      TUVKVJAUVCUVMVKVLUVNUUPFYSUVNFBUMZUNZUUHUUOUGLUVPUUELUIZUUHVIZUVMUUJUUKUV
      JUIZUNZCUUNUOZUUOAUVCUVMUVOUVQUUHVMUVRGUJZUPZEUJZVHZUWBUUNUIZUUDUWBUIZVIZ
      GVNZEUVJUOZUWAUVRUUDUWDKVPZEUVJUOUWJUVRFEYSKUVNUVOUVQUUHVQUVRUWKELUOZUWKE
      VNUVRUWLUWIELUOUVRUWIEUUEUPZLUVRUWDUWMVHZUNZUWHGUUELUWOGUGWFZUNZUWEUWFUWG
      UWNUWPUWEUVRUWNUWPUNZUWCUWMUWDUWRUWBUUEUWNUWPVRVSUWNUWPVTWAWBUWQUWBUUEUUN
      UWOUWPVRZUWQUUFUUGUVPUVQUUHUWNUWPWCZWDWGUWQUUDUUEUWBUWQUUFUUGUWTWEUWSWHWI
      UVPUVQUUHUWNWJWKUVRUVIUVQUWMLUIUVRAUVIAUVCUVMUVOUVQUUHWLZUBWMZUVPUVQUUHWN
      UUELWOWPWQUVRUWKUWIELUVRUUDLUIZUWDLUIZUWKUWIXRZUVPUVQUXCUUHUVPUVIUVCUVOUX
      CUVPAUVIAUVCUVMUVOWRUBWMAUVCUVMUVOWJZUVNUVOVRYSUUDLWSXGWTZUDXAXBXCUWKELXD
      WMXEUVRUWKUWIEUVJUVRUXCUWDUVJUIZUXDUXEUXGUVRUXHUNUVIUVJLUIZUXHUXDUVRUVIUX
      HUXBXFUVRAUXHUVCUXIUXAUVRUVCUXHUVPUVQUVCUUHUXFWTXFUVDYSKLAUVIUVCUBXFZKLLX
      HZULUVDKSUJZUPRUJVHUXLUUNUIQUJUXLUIVISVNQRXIZUXKXJUXKUCUXMUXKXKXLXMAUVCVR
      XNZXOUVRUXHVRUVJUWDLWSXGUDXOXBXPUWJUWHEUVJUOZGVNUWAUWHEGUVJXQUXOUWAGUWHUW
      AEUVJUEXSXTYAWMUVMUVTUUMCUUNUVMUVSUULUUJUVMUVSUULUVMUVSUNUUKUVLUUBUVSUUKU
      VLULUVMUVSUUKUVKUVLUUKUVJYBUVKYTYCYDYEUVMUVSVTYFYGYHYIYJYKYLYMYNUVDUVIYTL
      UIZUVKLUIZUVLLUIUXJAUVIUVCUXPUBYSLYOXAAUVIUVCUXIUXQUBUXNUVJLWOXOYTUVKLYPX
      GWQVDYMYLAUVIYRUVBXRUBBUFUGCLDFHIJMUTNOPTUAYQWMXC $.
  $}

  ${
    $d ph z f h i j $.  $d z u f h i j G $.  $d u f h i j b c d $.
    $d z f i k m n G q p l $.  $d z u f i k m n G r p l $.
    grumnud.1 $e |- M = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $.
    grumnud.2 $e |- ( ph -> G e. Univ ) $.
    $( Grothendieck universes are minimal universes.  (Contributed by Rohan
       Ridenour, 12-Aug-2023.) $)
    grumnud $p |- ( ph -> G e. M ) $=
      ( vu vj vd vc vb cv wcel wa vz vf vh cuni wceq w3a wex copab cxp cin eqid
      vi wbr brxp brin rbaib sylbir vex weq unieqd simplr eqeq12d elequ1 adantl
      wb simpr eleq12 adantlr 3anbi123d cbvexdvaw braba bitrdi simplr3 eleqtrrd
      ccoll simplr1 eqtrd simpll eqeltrd jca simpr2 rspcime grumnudlem ) AUAMUB
      UCULNBCDORZUDZPRZUEZWDUBRZSZQRZWDSZUFZOUGZQPUHZEEUIZUJZEFGHIQPOJKLWPUKULR
      ZESUCRZESTZWQWRWPUMZWQWRWNUMZNRZUDZWRUEZXBWHSZWQXBSZUFZNUGZWSWQWRWOUMZWTX
      AVEWQWREEUNWTXAXIWQWRWNWOUOUPUQWMXHQPWQWRWNULURUCURWJWQUEZWFWRUEZTZWLXGON
      XLONUSZTZWGXDWIXEWKXFXNWEXCWFWRXNWDXBXLXMVFUTXJXKXMVAVBXMWIXEVEXLONUBVCVD
      XJXMWKXFVEXKWJWQWDXBVGVHVIVJWNUKVKVLWRUARWPVOZSZXGTZWQMRZSZXRUDZXOSZTMXBW
      HXQMNUSZTZXSYAYCWQXBXRXDXEXFXPYBVMXQYBVFZVNYCXTWRXOYCXTXCWRYCXRXBYDUTXDXE
      XFXPYBVPVQXPXGYBVRVSVTXPXDXEXFWAWBWC $.
  $}

  ${
    $d x k m n r p l $.  $d x k m n q p l $.
    $( The class of Grothendieck universes is equal to the class of minimal
       universes.  (Contributed by Rohan Ridenour, 13-Aug-2023.) $)
    grumnueq $p |- Univ = { k | A. l e. k ( ~P l C_ k /\ A. m E. n e. k
      ( ~P l C_ n /\ A. p e. l ( E. q e. k ( p e. q /\ q e. m )
        -> E. r e. m ( p e. r /\ U. r C_ n ) ) ) ) } $=
      ( vx cgru cv cpw wss wcel wa wrex cuni wi wral wal id cab grumnud mnugrud
      eqid impbii eqriv ) HIGJZKZAJZLUHCJZLFJZEJZMULBJZMNEUIOUKDJZMUNPUJLNDUMOQ
      FUGRNCUIOBSNGUIRAUAZHJZIMZUPUOMZUQABCUPUODEFGUOUDZUQTUBURUPABCUODEFGUSURT
      UCUEUF $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Primitive equivalent of ax-groth
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    expandan.1 $e |- ( ph <-> ps ) $.
    expandan.2 $e |- ( ch <-> th ) $.
    $( Expand conjunction to primitives.  (Contributed by Rohan Ridenour,
       13-Aug-2023.) $)
    expandan $p |- ( ( ph /\ ch ) <-> -. ( ps -> -. th ) ) $=
      ( wa wn wi anbi12i df-an bitri ) ACGBDGBDHIHABCDEFJBDKL $.
  $}

  ${
    expandexn.1 $e |- ( ph <-> -. ps ) $.
    $( Expand an existential quantifier to primitives while contracting a
       double negation.  (Contributed by Rohan Ridenour, 13-Aug-2023.) $)
    expandexn $p |- ( E. x ph <-> -. A. x ps ) $=
      ( wex wn wal exbii exnal bitri ) ACEBFZCEBCGFAKCDHBCIJ $.
  $}

  ${
    expandral.1 $e |- ( ph <-> ps ) $.
    $( Expand a restricted universal quantifier to primitives.  (Contributed by
       Rohan Ridenour, 13-Aug-2023.) $)
    expandral $p |- ( A. x e. A ph <-> A. x ( x e. A -> ps ) ) $=
      ( wral cv wcel wi wal ralbii df-ral bitri ) ACDFBCDFCGDHBICJABCDEKBCDLM
      $.
  $}

  ${
    expandrexn.1 $e |- ( ph <-> -. ps ) $.
    $( Expand a restricted existential quantifier to primitives while
       contracting a double negation.  (Contributed by Rohan Ridenour,
       13-Aug-2023.) $)
    expandrexn $p |- ( E. x e. A ph <-> -. A. x ( x e. A -> ps ) ) $=
      ( wrex wn cv wcel wa wex wi wal rexbii df-rex exanali 3bitri ) ACDFBGZCDF
      CHDIZRJCKSBLCMGARCDENRCDOSBCPQ $.
  $}

  ${
    expandrex.1 $e |- ( ph <-> ps ) $.
    $( Expand a restricted existential quantifier to primitives.  (Contributed
       by Rohan Ridenour, 13-Aug-2023.) $)
    expandrex $p |- ( E. x e. A ph <-> -. A. x ( x e. A -> -. ps ) ) $=
      ( wn notnotb bitri expandrexn ) ABFZCDABJFEBGHI $.
  $}

  ${
    $d x A $.  $d x y B $.
    $( Expand ` U. A C_ B ` to primitives.  (Contributed by Rohan Ridenour,
       13-Aug-2023.) $)
    expanduniss $p
      |- ( U. A C_ B <-> A. x ( x e. A -> A. y ( y e. x -> y e. B ) ) ) $=
  ( cuni wss cv wral wcel wi wal unissb dfss2 expandral bitri ) CEDFAGZDFZACHPC
  IBGZPIRDIJBKZJAKACDLQSACBPDMNO $.
  $}

  ${
    $d v u $.  $d v i $.  $d u o $.  $d U f $.  $d z w v $.  $d z v t $.
    $d z v f $.  $d w v U $.  $d w o s $.
    $( Express the predicate on ` U ` in ~ ismnu using only primitives.
       (Contributed by Rohan Ridenour, 13-Aug-2023.) $)
    ismnuprim $p
      |- ( A. z e. U ( ~P z C_ U /\ A. f E. w e. U
        ( ~P z C_ w /\ A. i e. z ( E. v e. U ( i e. v /\ v e. f )
          -> E. u e. f ( i e. u /\ U. u C_ w ) ) ) )
      <-> A. z ( z e. U -> A. f -. A. w ( w e. U -> -.
        A. v -. ( ( A. t ( t e. v -> t e. z ) -> -. ( v e. U -> -. v e. w ) )
          -> -. A. i ( i e. z -> ( v e. U -> ( i e. v -> ( v e. f ->
            -. A. u ( u e. f -> ( i e. u ->
              -. A. o ( o e. u -> A. s ( s e. o -> s e. w ) ) ) ) ) ) ) ) ) ) )
      ) $=
  ( cv wss wel wa wrex wi wal wn bitri bitr3i cpw cuni wral wcel 19.28v r19.42v
  w3a 19.26 jcab albii pwss anbi12i 3bitr4i ralcom4 19.23v 3anass df-rex bitr4i
  wex exbii imbi1i ralbii anass dfss2 imbi12i 3impexp biid expanduniss expandan
  df-an expandrexn imbi2i expandral expandrex ) AKZUAZFLZVPBKZLZHCMZCGMZNZCFOZH
  DMZDKZUBVRLZNZDGKZOZPZHVOUCZNZBFOZGQNZVRFUDECMEAMPEQZCKZFUDZCBMZRPRZPZHAMWQVT
  WADGMWDIDMJIMJBMPJQPIQZRPZPDQRZPZPZPZPHQZRPRZCQZRPBQRZGQZAFWNVQWMNZGQXKVQWMGU
  EXLXJGXLVQWLNZBFOXJVQWLBFUFXMXIBFXMWPVOLZWQWRNZPZWQVTWAUGZWIPZHVOUCZNZCQZXIYA
  XPCQZXSCQZNZXMXPXSCUHYDVQVSNZWKNXMYBYEYCWKXNWQPZXNWRPZNZCQYFCQZYGCQZNYBYEYFYG
  CUHXPYHCXNWQWRUIUJVQYIVSYJCVOFUKCVOVRUKULUMYCXRCQZHVOUCWKXRHCVOUNYKWJHVOYKXQC
  USZWIPWJXQWICUOYLWCWIYLWQWBNZCUSWCXQYMCWQVTWAUPUTWBCFUQURVASVBTULVQVSWKVCSSXT
  XHCXPWTXSXGXNWOXOWSEWPVOVDWQWRVJVEXRXFHVOXRWQVTWAWIPZPZPXFWQVTWAWIVFYOXEWQYNX
  DVTWIXCWAWGXBDWHWDWDWFXAWDVGIJWEVRVHVIVKVLVLVLSVMVIUJTVNTUJTVM $.
  $}

  ${
    $d v u $.  $d u o $.  $d z v t $.  $d w o s $.
    $d y z w v f i k m n q p l $.  $d y z w u f i k m n r p l $.
    $( Express "every set is contained in a Grothendieck universe" using only
       primitives.  The right side (without the outermost universal quantifier)
       is proven as ~ rr-grothprim .  (Contributed by Rohan Ridenour,
       13-Aug-2023.) $)
    rr-grothprimbi $p |- ( A. x E. y e. Univ x e. y <->
      A. x -. A. y ( x e. y -> -. A. z ( z e. y
        -> A. f -. A. w ( w e. y -> -. A. v -.
          ( ( A. t ( t e. v -> t e. z ) -> -. ( v e. y -> -. v e. w ) )
            -> -. A. i ( i e. z -> ( v e. y -> ( i e. v -> ( v e. f ->
              -. A. u ( u e. f -> ( i e. u ->
                -. A. o ( o e. u -> A. s ( s e. o -> s e. w ) ) ) ) ) ) ) ) ) )
      ) ) ) $=
      ( cgru wrex cv wcel wi wal wn wa wss vk vm vn vr vq vp vl wel df-rex biid
      wex ancom cpw cuni wb cvv grumnueq ismnu elv ismnuprim expandan expandexn
      wral bitri albii ) ABUHZBLMZVFCNZBNZODNZVIOGNZENZOVKVHOPGQVLVIOZVLVJORPRP
      INZVHOVMVNVLOZVLHNZOZFNZVPOVNVROZJNZVROKNZVTOWAVJOPKQPJQRPPFQRPPPPIQRPREQ
      RPDQRHQPCQZRPZBQRZAVGVILOZVFSZBUKWDVFBLUIWFWCBWFVFWESWCRWEVFULVFVFWEWBVFU
      JWEVHUMZVITWGVJTVOVQSEVIMVSVRUNVJTSFVPMPIVHVCSDVIMHQSCVIVCZWBWEWHUOBCDEFV
      IHIUAUBUCLUPUDUEUFUGUAUBUCUDUEUFUGUQURUSCDEFGVIHIJKUTVDVAVDVBVDVE $.
  $}

  ${
    inagrud.1 $e |- ( ph -> I e. Inacc ) $.
    $( Inaccessible levels of the cumulative hierarchy are Grothendieck
       universes.  (Contributed by Rohan Ridenour, 13-Aug-2023.) $)
    inagrud $p |- ( ph -> ( R1 ` I ) e. Univ ) $=
      ( cr1 cfv ctsk wcel wtr cgru cina inatsk syl r1tr grutsk1 sylancl ) ABDEZ
      FGZPHPIGABJGQCBKLBMPNO $.
  $}

  ${
    $d x A $.
    $( Assuming the Tarski-Grothendieck axiom, every ordinal is contained in an
       inaccessible ordinal.  (Contributed by Rohan Ridenour, 13-Aug-2023.) $)
    inaex $p |- ( A e. On -> E. x e. Inacc A e. x ) $=
      ( con0 wcel cv cina csuc cdif cint wceq wa wss cwina inawina winaon ssriv
      syl onmindif c0 cvv mpan adantr simpr eleqtrrd difss sstri inaprc neli wi
      wne ssdif0 sucexg ssexg expcom syl5bir mtoi onint sylancr eldifad rspcime
      neqned ) BCDZBAEZDAFBGZHZIZFVBVCVFJZKBVFVCVBBVFDZVGFCLVBVHAFCVCFDVCMDVCCD
      VCNVCOQPZFBRUAUBVBVGUCUDVBVFFVDVBVECLVESUJVFVEDVEFCFVDUEVIUFVBVESVBVESJZF
      TDZFTUGUHVJFVDLZVBVKFVDUKVBVDTDZVLVKUIBCULVLVMVKFVDTUMUNQUOUPVAVEUQURUSUT
      $.
  $}

  ${
    $d x y z $.
    $( Assuming the Tarski-Grothendieck axiom, every set is contained in a
       Grothendieck universe.  (Contributed by Rohan Ridenour, 13-Aug-2023.) $)
    gruex $p |- E. y e. Univ x e. y $=
      ( vz crnk cfv wcel cina wrex cgru con0 rankon inaex ax-mp cr1 wceq simplr
      cv wa wb syl cwina inawina winaon ad2antrr vex rankr1a mpbird simpr simpl
      eleqtrrd inagrud rspcime rexlimiva ) AQZDEZCQZFZCGHZUNBQZFZBIHZUOJFURUNKC
      UOLMUQVACGUPGFZUQRZUTBUPNEZIVCUSVDOZRZUNVDUSVFUNVDFZUQVBUQVEPVFUPJFZVGUQS
      VBVHUQVEVBUPUAFVHUPUBUPUCTUDUNUPAUEUFTUGVCVEUHUJVCUPVBUQUIUKULUMM $.
  $}

  ${
    $d x y $.  $d y z w v f i k m n q p l $.  $d y z w u f i k m n r p l $.
    $( An equivalent of ~ ax-groth using only simple defined symbols.
       (Contributed by Rohan Ridenour, 13-Aug-2023.) $)
    rr-groth $p |- E. y ( x e. y /\ A. z e. y ( ~P z C_ y /\ A. f E. w e. y
      ( ~P z C_ w /\ A. i e. z ( E. v e. y ( i e. v /\ v e. f )
        -> E. u e. f ( i e. u /\ U. u C_ w ) ) ) ) ) $=
      ( vk vm vn vr vq cv wcel cgru wrex wss wa wex vp vl cpw cuni wi wal gruex
      wral df-rex exancom wb cvv grumnueq ismnu elv anbi2i exbii 3bitri mpbi )
      ANBNZOZBPQZVACNZUCZUTRVDDNZRHNZENZOVGGNZOSEUTQVFFNZOVIUDVERSFVHQUEHVCUHSD
      UTQGUFSCUTUHZSZBTZABUGVBUTPOZVASBTVAVMSZBTVLVABPUIVMVABUJVNVKBVMVJVAVMVJU
      KBCDEFUTGHIJKPULLMUAUBIJKLMUAUBUMUNUOUPUQURUS $.
  $}

  ${
    $d x y $.  $d u o $.  $d z v t $.  $d w o s $.  $d y z w v u f i $.
    $( An equivalent of ~ ax-groth using only primitives.  This uses only 123
       symbols, which is significantly less than the previous record of 163
       established by ~ grothprim (which uses some defined symbols, and
       requires 229 symbols if expanded to primitives).  (Contributed by Rohan
       Ridenour, 13-Aug-2023.) $)
    rr-grothprim $p |- -. A. y ( x e. y -> -. A. z ( z e. y
      -> A. f -. A. w ( w e. y -> -. A. v
        -. ( ( A. t ( t e. v -> t e. z ) -> -. ( v e. y -> -. v e. w ) )
          -> -. A. i ( i e. z -> ( v e. y -> ( i e. v -> ( v e. f
            -> -. A. u ( u e. f -> ( i e. u ->
              -. A. o ( o e. u -> A. s ( s e. o -> s e. w ) ) ) ) ) ) ) ) ) ) )
      ) $=
      ( wel cv wcel wi wal wn cgru wrex gruex ax-gen rr-grothprimbi mpbi spi )
      ABLZCMZBMZNDMZUGNGMZEMZNUIUFNOGPUJUGNZUJUHNQOQOIMZUFNUKULUJNUJHMZNFMZUMNU
      LUNNJMZUNNKMZUONUPUHNOKPOJPQOOFPQOOOOIPQOQEPQODPQHPOCPQOBPQZAUEBRSZAPUQAP
      URAABTUAABCDEFGHIJKUBUCUD $.
  $}

  ${
    $d U v $.  $d f g i w z $.  $d f g i v z $.  $d U f g i u w $.
    $( Express the predicate on ` U ` and ` z ` in ~ ismnu in a shorter form
       while avoiding complicated definitions.  (Contributed by Rohan Ridenour,
       10-Oct-2024.) $)
    ismnushort $p |- ( A. f e. ~P U E. w e. U
        ( ~P z C_ ( U i^i w ) /\ ( z i^i U. f ) C_ U. ( f i^i ~P ~P w ) )
      <-> ( ~P z C_ U /\ A. f E. w e. U
        ( ~P z C_ w /\ A. i e. z ( E. v e. U ( i e. v /\ v e. f )
          -> E. u e. f ( i e. u /\ U. u C_ w ) ) ) ) ) $=
      ( vg cv cpw cin wss cuni wa wrex wral wcel wi wal wex simpl reximi ralimi
      wel wtru 0elpw a1i wceq biidd rspcdv mptru inss1 sstr2 mpi syl rexex ax5e
      c0 3syl inex2 elpw mpbir unieq ineq2d ineq1 unieqd sseq12d anbi2d rexbidv
      vex rspcv ax-mp alrimiv inss2 an12 bicomi anbi2i bitri exbii df-rex eluni
      3bitr4i w3a simp1 biimpri 3adant1 sseldd sylib elinel1 elin2d elinel2 cvv
      elin elpwpw simprbi jca anim2i eximi sylibr 3expia ralrimiva anim12i sylg
      syl5bi elequ2 rexeq imbi12d ralbidv cbvalvw nfv nfa1 nfan elpwi sp biimpi
      ssin ex adantr simpl2 simprr simprl 3jca eximdv mpd 3anass bitr4i mpbiran
      simp3 imim12d ralimdv imbi1i impexp df-ral syl6ibr anim12d reximdv 3impia
      albii dfss2 3com23 syl3an2 3expa sylan2 ralrimia impbii ) AIZJZEBIZKZLZUU
      FFIZMZKZUUKUUHJJZKZMZLZNZBEOZFEJZPZUUGELZUUGUUHLZGCUDZCIZUUKQZNZCEOZGDUDZ
      DIZMUUHLZNZDUUKOZRZGUUFPZNZBEOZFSZNZUVAUVBUVRUVAUUJBEOZFUUTPZUVBBEOZUVBUU
      SUVTFUUTUURUUJBEUUJUUQUAUBUCUWAUVTUWBUWAUVTRUEZUVTUVTFURZUUTUWDUUTQUWCEUF
      UGUWCUUKUWDUHNUVTUIUJUKUUJUVBBEUUJUUIELUVBEUUHULUUGUUIEUMUNUBUOUWBUVBBTUV
      BUVBBEUPUVBBUQUOUSUVAUVCUVDUVEHIZQZNZCEOZUVLDUWEOZRZGUUFPZNZBEOZHSUVRUVAU
      UJUUFEUWEKZMZKZUWNUUNKZMZLZNZBEOZUWMHUVAUXAHUWNUUTQZUVAUXARUXBUWNELEUWEUL
      UWNEUWEEHVJUTVAVBUUSUXAFUWNUUTUUKUWNUHZUURUWTBEUXCUUQUWSUUJUXCUUMUWPUUPUW
      RUXCUULUWOUUFUUKUWNVCVDUXCUUOUWQUUKUWNUUNVEVFVGVHVIVKVLVMUWTUWLBEUUJUVCUW
      SUWKUUJUUIUUHLUVCEUUHVNUUGUUIUUHUMUNUWSUWJGUUFUWHGIZUWOQZUWSUXDUUFQZNUWIU
      VEEQZUWGNZCTUVDUVEUWNQZNZCTUWHUXEUXHUXJCUXHUVDUXGUWFNZNUXJUXGUVDUWFVOUXKU
      XIUVDUXIUXKUVEEUWEWMVPVQVRVSUWGCEVTCUXDUWNWAWBUWSUXFUXEUWIUWSUXFUXEWCZUVI
      UVJUWQQZNZDTZUWIUXLUXDUWRQUXOUXLUWPUWRUXDUWSUXFUXEWDUXFUXEUXDUWPQZUWSUXPU
      XFUXENUXDUUFUWOWMWEWFWGDUXDUWQWAWHUXOUVJUWEQZUVLNZDTUWIUXNUXRDUXNUVIUXQUV
      KNZNUXRUXMUXSUVIUXMUXQUVKUXMEUWEUVJUVJUWNUUNWIWJUXMUVJUUNQZUVKUVJUWNUUNWK
      UXTUVJWLQZUVKUVJUUHWNZWOUOWPWQUVIUXQUVKVOWHWRUVLDUWEVTWSUOWTXDXAXBUBXCUVQ
      UWMFHUUKUWEUHZUVPUWLBEUYCUVOUWKUVCUYCUVNUWJGUUFUYCUVHUWHUVMUWIUYCUVGUWGCE
      UYCUVFUWFUVDFHCXEVHVIUVLDUUKUWEXFXGXHVHVIXIWSWPUVSUUSFUUTUVBUVRFUVBFXJUVQ
      FXKXLUUKUUTQUVSUUKELZUUSUUKEXMUVBUVRUYDUUSUVRUVBUVQUYDUUSUVQFXNUVBUYDUVQU
      USUVBUYDUVQUUSUVBUYDNZUVPUURBEUYEUVCUUJUVOUUQUVBUVCUUJRUYDUVBUVCUUJUVBUVC
      NUUJUUGEUUHXPXOXQXRUYEUVOUXDUULQZUXDUUPQZRZGUUFPZUUQUYEUVNUYHGUUFUYEUYFUV
      HUVMUYGUVBUYDUYFUVHUVBUYDUYFWCZUXGUVDUVFWCZCTZUVHUYJUVGCTZUYLUYJUYFUYMUVB
      UYDUYFYHCUXDUUKWAWHUYJUVGUYKCUYJUVGUYKUYJUVGNZUXGUVDUVFUYNUUKEUVEUVBUYDUY
      FUVGXSUYJUVDUVFXTZWGUYJUVDUVFYAUYOYBXQYCYDUVHUXGUVGNZCTUYLUVGCEVTUYKUYPCU
      XGUVDUVFYEVSYFWSWTUVMUYGRUYEUYGUVMUVIUVJUUOQZNZDTUVJUUKQZUVLNZDTUYGUVMUYR
      UYTDUYRUVIUYSUVKNZNUYTUYQVUAUVIUYQUYSUXTNVUAUVJUUKUUNWMUXTUVKUYSUXTUYAUVK
      DVJUYBYGVQVRVQUYSUVIUVKVOYFVSDUXDUUOWAUVLDUUKVTWBWEUGYIYJUXDUUMQZUYGRZGSU
      XFUYHRZGSUUQUYIVUCVUDGVUCUXFUYFNZUYGRVUDVUBVUEUYGUXDUUFUULWMYKUXFUYFUYGYL
      VRYRGUUMUUPYSUYHGUUFYMWBYNYOYPYQYTUUAUUBUUCUUDUUE $.
  $}

  ${
    $d f i k l m n p r u w y z $.  $d f i k l m n p q v w y z $.
    $( Alternative definition of ` Univ ` using only simple defined symbols.
       (Contributed by Rohan Ridenour, 10-Oct-2024.) $)
    dfuniv2 $p |- Univ = { y | A. z e. y A. f e. ~P y E. w e. y
      ( ~P z C_ ( y i^i w ) /\ ( z i^i U. f ) C_ U. ( f i^i ~P ~P w ) ) } $=
      ( vi vv vu vk vm vn vr cv cpw cin wss cuni wa wrex wral wel vq vp vl cgru
      wcel wi wal wb cvv grumnueq ismnu elv ismnushort ralbii bitr4i abbi2i ) B
      LZMZALZCLZNOUQDLZPNVAUTMMNPOQCUSRDUSMSZBUSSZAUDZUSVDUEZURUSOURUTOEFTFDTQF
      USREGTGLPUTOQGVARUFEUQSQCUSRDUGQZBUSSZVCVEVGUHABCFGUSDEHIJVDUIKUAUBUCHIJK
      UAUBUCUJUKULVBVFBUSBCFGUSDEUMUNUOUP $.
  $}

  ${
    $d f w y z $.
    $( Express "every set is contained in a Grothendieck universe" in a short
       form while avoiding complicated definitions.  (Contributed by Rohan
       Ridenour, 8-Oct-2024.) $)
    rr-grothshortbi $p |- ( A. x E. y e. Univ x e. y <->
      A. x E. y ( x e. y /\ A. z e. y A. f e. ~P y E. w e. y
      ( ~P z C_ ( y i^i w ) /\ ( z i^i U. f ) C_ U. ( f i^i ~P ~P w ) ) ) ) $=
      ( wel cgru wrex cv cpw cin wss cuni wral wex wcel df-rex exancom dfuniv2
      wa abeq2i anbi2i exbii 3bitri albii ) ABFZBGZHZUFCIZJBIZDIZKLUIEIZMKULUKJ
      JKMLTDUJHEUJJNCUJNZTZBOZAUHUJUGPZUFTBOUFUPTZBOUOUFBUGQUPUFBRUQUNBUPUMUFUM
      BUGBCDESUAUBUCUDUE $.
  $}

  ${
    $d x y $.  $d f w y z $.
    $( A shorter equivalent of ~ ax-groth than ~ rr-groth using a few more
       simple defined symbols.  (Contributed by Rohan Ridenour, 8-Oct-2024.) $)
    rr-grothshort $p |- E. y ( x e. y /\ A. z e. y A. f e. ~P y E. w e. y
      ( ~P z C_ ( y i^i w ) /\ ( z i^i U. f ) C_ U. ( f i^i ~P ~P w ) ) ) $=
      ( wel cv cpw cin wss cuni wa wrex wral wex cgru wal gruex rr-grothshortbi
      ax-gen mpbi spi ) ABFZCGZHBGZDGZIJUDEGZKIUGUFHHIKJLDUEMEUEHNCUENLBOZAUCBP
      MZAQUHAQUIAABRTABCDESUAUB $.
  $}

$( (End of Rohan Ridenour's mathbox.) $)
$( End $[ set-mbox-rr.mm $] $)


$( Begin $[ set-mbox-sr.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Steve Rodriguez
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellanea
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( 'nand' is equivalent to the equivalence of inclusive and exclusive or.
     (Contributed by Steve Rodriguez, 28-Feb-2020.) $)
  nanorxor $p |- ( ( ph -/\ ps ) <->
                   ( ( ph \/ ps ) <-> ( ph \/_ ps ) ) ) $=
    ( wnan wa wn wo wxo wb df-nan xor2 rbaibr bibi2i wi pm4.71 simpl orcd con3i
    id ja sylbir sylbi impbii bitri ) ABCABDZEZABFZABGZHZABIUEUHUGUFUEABJZKUHUF
    UFUEDZHZUEUGUJUFUILUKUFUEMUEUFUENUFUEUEUDUFUDABABOPQUERSTUAUBUC $.

  $( Union of two disjoint restricted class abstractions; compare ~ unrab .
     (Contributed by Steve Rodriguez, 28-Feb-2020.) $)
  undisjrab $p |- ( ( { x e. A | ph } i^i { x e. A | ps } ) = (/) <->
                    ( { x e. A | ph } u. { x e. A | ps } ) =
                    { x e. A | ( ph \/_ ps ) } ) $=
    ( wa crab c0 wceq wo wxo cin cun wn wral rabeq0 wnan df-nan nanorxor eqeq1i
    wb bitr3i ralbii rabbi 3bitri inrab unrab 3bitr4i ) ABEZCDFZGHZABIZCDFZABJZ
    CDFZHZACDFZBCDFZKZGHUPUQLZUNHUJUHMZCDNUKUMTZCDNUOUHCDOUTVACDUTABPVAABQABRUA
    UBUKUMCDUCUDURUIGABCDUESUSULUNABCDUFSUG $.

  ${
    $d x y R $.  $d x y S $.
    $( The empty set is an ` R , S ` isomorphism from the empty set to the
       empty set.  (Contributed by Steve Rodriguez, 24-Oct-2015.) $)
    iso0 $p |- (/) Isom R , S ( (/) , (/) ) $=
      ( vx vy c0 wiso wf1o cv wbr cfv wb wral f1o0 ral0 df-isom mpbir2an ) EEAB
      EFEEEGCHZDHZAIQEJREJBIKDELZCELMSCNCDEEABEOP $.
  $}

  $( ` RR ` is a subset of both ` RR ` and ` CC ` .  (Contributed by Steve
     Rodriguez, 22-Nov-2015.) $)
  ssrecnpr $p |- ( S e. { RR , CC } -> RR C_ S ) $=
    ( cr cc cpr wcel wceq wo wss elpri eqimss2 ax-resscn sseq2 mpbiri jaoi syl
    ) ABCDEABFZACFZGBAHZABCIPRQBAJQRBCHKACBLMNO $.

  ${
    seff.s $e |- ( ph -> S e. { RR , CC } ) $.
    $( Let set ` S ` be the real or complex numbers.  Then the exponential
       function restricted to ` S ` is a mapping from ` S ` to ` S ` .
       (Contributed by Steve Rodriguez, 6-Nov-2015.) $)
    seff $p |- ( ph -> ( exp |` S ) : S --> S ) $=
      ( cr cc cpr wceq ce cres wf crp mp2b wb feq23 anidms mpbiri reseq2 mpbird
      feq1d eff wcel wo elpri wf1 reeff1 f1f wss rpssre fss mpan2 cdm wrel frel
      resdm fdmi reseq2i eqtr3i feq1i mpbi jaoi 3syl ) ABDEFUABDGZBEGZUBBBHBIZJ
      ZCBDEUCVBVEVCVBVEBBHDIZJZVBVGDDVFJZDKVFUDDKVFJZVHUEDKVFUFVIKDUGVHUHDKDVFU
      IUJLVBVGVHMBBDDVFNOPVBBBVDVFBDHQSRVCVEBBHEIZJZVCVKEEVJJZEEHJZVLTEEHVJHHUK
      ZIZHVJVMHULVOHGTEEHUMHUNLVNEHEEHTUOUPUQURUSVCVKVLMBBEEVJNOPVCBBVDVJBEHQSR
      UTVA $.
  $}

  ${
    sblpnf.s $e |- ( ph -> S e. { RR , CC } ) $.
    sblpnf.d $e |- D = ( ( abs o. - ) |` ( S X. S ) ) $.
    $( The infinity ball in the absolute value metric is just the whole space.
       ` S ` analogue of ~ blpnf .  (Contributed by Steve Rodriguez,
       8-Nov-2015.) $)
    sblpnf $p |- ( ( ph /\ P e. S ) -> ( P ( ball ` D ) +oo ) = S ) $=
      ( cmet cfv wcel wceq cr cc cabs cmin cxp cres xpeq12 anidms reseq2d wf co
      cpnf cbl cpr elpri ccom eqid remet fveq2 eleq12d mpbiri eqeltrid cdm wrel
      wo relco resdm ax-mp wss absf ax-resscn fss mp2an subf fco reseq2i eqtr3i
      fdmi cnmet eqeltrri jaoi 3syl blpnf sylan ) ABDGHZIZCDICUBBUCHUADJADKLUDI
      DKJZDLJZUOVPEDKLUEVQVPVRVQBMNUFZDDOZPZVOFVQWAVOIZVSKKOZPZKGHZIWDWDUGUHVQW
      AWDVOWEVQVTWCVSVQVTWCJDKDKQRSDKGUIUJUKULVRBWAVOFVRWBVSLLOZPZLGHZIVSWGWHVS
      VSUMZPZVSWGVSUNWJVSJMNUPVSUQURWIWFVSWFLVSLLMTZWFLNTWFLVSTLKMTKLUSWKUTVALK
      LMVBVCVDWFLLMNVEVCVHVFVGVIVJVRWAWGVOWHVRVTWFVSVRVTWFJDLDLQRSDLGUIUJUKULVK
      VLBCDVMVN $.
  $}

  ${
    $d n p A $.
    $( The primes are unbounded.  This generalizes ~ prmunb to real ` A ` with
       ~ arch and ~ lttrd : every real is less than some positive integer,
       itself less than some prime.  (Contributed by Steve Rodriguez,
       20-Jan-2020.) $)
    prmunb2 $p |- ( A e. RR -> E. p e. Prime A < p ) $=
      ( vn cr wcel cv clt wbr cprime wrex cn wa simplll nnre ad3antlr prmz zred
      ad2antlr sylibr c1 simprl simprr wral arch prmunb r19.29r sylancl r19.42v
      lttrd rgen rexbii reximddv2 c0 wne wb 1nn ne0i r19.9rzv mp2b ) ADEZABFZGH
      ZBIJZCKJZVCUTACFZGHZVEVAGHZLZVBCBKIUTVEKEZLZVAIEZLZVHLAVEVAUTVIVKVHMVIVED
      EUTVKVHVENOVKVADEVJVHVKVAVAPQRVLVFVGUAVLVFVGUBUIUTVFVGBIJZLZCKJZVHBIJZCKJ
      UTVFCKJVMCKUCVOACUDVMCKVEBUEUJVFVMCKUFUGVPVNCKVFVGBIUHUKSULTKEKUMUNVCVDUO
      UPKTUQVCCKURUSS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ratio test for infinite series convergence and divergence
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d i k ph $.  $d i k F $.  $d i k N $.  $d i k W $.  $d k M $.  $d k V $.
    $d k Z $.
    dvgrat.z $e |- Z = ( ZZ>= ` M ) $.
    dvgrat.w $e |- W = ( ZZ>= ` N ) $.
    dvgrat.n $e |- ( ph -> N e. Z ) $.
    dvgrat.f $e |- ( ph -> F e. V ) $.
    dvgrat.c $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    dvgrat.n0 $e |- ( ( ph /\ k e. W ) -> ( F ` k ) =/= 0 ) $.
    dvgrat.le $e |- ( ( ph /\ k e. W ) ->
        ( abs ` ( F ` k ) ) <_ ( abs ` ( F ` ( k + 1 ) ) ) ) $.
    $( Ratio test for divergence of a complex infinite series.  See e.g. remark
       "if ` ( abs `` ( ( a `` ( n + 1 ) ) / ( a `` n ) ) ) >_ 1 ` for all
       large n..." in ~ https://en.wikipedia.org/wiki/Ratio_test#The_test .
       (Contributed by Steve Rodriguez, 28-Feb-2020.) $)
    dvgrat $p |- ( ph -> seq M ( + , F ) e/ dom ~~> ) $=
      ( wcel cc0 cfv cabs wi vi caddc cseq cli cdm wn wnel wbr cle clt eleqtrdi
      cz cuz eluzelz syl uzid eleqtrrdi cv wceq wa eleq1d fveq2d breq2d imbi12d
      simpr wne cc wb eleq2i uztrn2 sylan2b sylan syldan absgt0 mpbid ex vtocld
      mpd 0red abscld ltnled cmpt adantr cvv fvexi mptex a1i adantlr eqidd fvex
      cr fvmptd climabs breqtrdi eqeltrd c1 2fveq3 imbi2d leidd expcom ad2antrr
      abs0 co peano2uzs ovex eleq1 anbi2d fveq2 vtocl sylan2 letrd sylan2br a2d
      chvarvv uzind4 impcom breqtrrd climlec2 mtand eluzel2 serf0 df-nel sylibr
      ) AUBCDUCZUDUEZPZUFYDYEUGAYFCQUDUHZAYGECRZSRZQUIUHZAQYIUJUHZYJUFAEGPZYKAE
      ULPZYLAEDUMRZPZYMAEHYNKIUKZDEUNUOZYMEEUMRZGEUPJUQUOABURZGPZQYSCRZSRZUJUHZ
      TYLYKTBEHKAYSEUSZUTZYTYLUUCYKUUEYSEGAUUDVEZVAUUEUUBYIQUJUUEUUAYHSUUEYSECU
      UFVBZVBVCVDAYTUUCAYTUTZUUAQVFZUUCNUUHUUAVGPZUUIUUCVHAYTYSHPZUUJAEHPZYTUUK
      KYTUULYSYRPZUUKGYRYSJVIZDYSEHIVJVKVLMVMZUUAVNUOVOVPVQVRAQYIAVSAYHAUULYHVG
      PZKAUUKUUJTUULUUPTBEHKUUEUUKUULUUJUUPUUEYSEHUUFVAUUEUUAYHVGUUGVAVDAUUKUUJ
      MVPVQVRVTZWAVOAYGUTZYIQBUAGUAURZCRZSRZWBZEGJAYMYGYQWCZAYIWKPZYGUUQWCUURUV
      BQSRQUDUURQBCUVBEWDGJAYGVEUVBWDPUURUAGUVAGEUMJWEWFWGUVCAYTUUJYGUUOWHZUURY
      TUTZUAYSUVAUUBGUVBWDUVFUVBWIUVFUUSYSUSZUTZUUTUUASUVHUUSYSCUVFUVGVEVBVBUUR
      YTVEUUBWDPUVFUUASWJWGWLZWMXBWNUVFYSUVBRZUUBWKUVIUVFUUAUVEVTWOUVFYIUUBUVJU
      IAYTYIUUBUIUHZYGYTAUUMUVKUUNUUMAUVKAYIUVAUIUHZTAYIYIUIUHZTAUVKTZAYIYSWPUB
      XCZCRZSRZUIUHZTUVNUABEYSUUSEUSZUVLUVMAUVSUVAYIYIUIUUSESCWQVCWRUVGUVLUVKAU
      VGUVAUUBYIUIUUSYSSCWQVCWRZUUSUVOUSZUVLUVRAUWAUVAUVQYIUIUUSUVOSCWQVCWRUVTA
      YMUVMAYMUTYIAUVDYMUUQWCWSWTUUMAUVKUVRAUUMUVKUVRTZUUMAYTUWBUUNUUHUVKUVRUUH
      UVKUTZYIUUBUVQAUVDYTUVKUUQXAUWCUUAUUHUUJUVKUUOWCVTUWCUVPUUHUVPVGPZUVKYTAU
      VOGPZUWDEYSGJXDAUUSGPZUTZUUTVGPZTZAUWEUTZUWDTUAUVOYSWPUBXEUWAUWGUWJUWHUWD
      UWAUWFUWEAUUSUVOGXFXGUWAUUTUVPVGUUSUVOCXHVAVDUUHUUJTUWIBUAYSUUSUSZUUHUWGU
      UJUWHUWKYTUWFAYSUUSGXFXGUWKUUAUUTVGYSUUSCXHVAVDUUOXNXIXJWCVTUUHUVKVEUUHUU
      BUVQUIUHUVKOWCXKVPXLWTXMXOXPVKWHUVIXQXRXSAYFUTBCDFHIADULPZYFAYOUWLYPDEXTU
      OWCACFPYFLWCAYFVEAUUKUUJYFMWHYAXSYDYEYBYC $.
  $}

  ${
    $d i k n r ph $.  $d i k n r F $.  $d i k n r L $.  $d i k n r N $.
    $d i k n W $.  $d k n R $.  $d k M $.  $d i V $.  $d k Z $.
    cvgdvgrat.z $e |- Z = ( ZZ>= ` M ) $.
    cvgdvgrat.w $e |- W = ( ZZ>= ` N ) $.
    cvgdvgrat.n $e |- ( ph -> N e. Z ) $.
    cvgdvgrat.f $e |- ( ph -> F e. V ) $.
    cvgdvgrat.c $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    cvgdvgrat.n0 $e |- ( ( ph /\ k e. W ) -> ( F ` k ) =/= 0 ) $.
    cvgdvgrat.r $e |- R = ( k e. W |-> ( abs ` ( ( F ` ( k + 1 ) ) /
        ( F ` k ) ) ) ) $.
    cvgdvgrat.cvg $e |- ( ph -> R ~~> L ) $.
    cvgdvgrat.n1 $e |- ( ph -> L =/= 1 ) $.
    $( Ratio test for convergence and divergence of a complex infinite series.
       If the ratio ` R ` of the absolute values of successive terms in an
       infinite sequence ` F ` converges to less than one, then the infinite
       sum of the terms of ` F ` converges to a complex number; and if ` R `
       converges _greater_ then the sum diverges.  This combined form of
       ~ cvgrat and ~ dvgrat directly uses the limit of the ratio.

       (It also demonstrates how to use ~ climi2 and ~ absltd to transform a
       limit to an inequality cf. ~ https://math.stackexchange.com/q/2215191 ,
       and how to use ~ r19.29a in a similar fashion to Mario Carneiro's proof
       sketch with ~ rexlimdva at
       ~ https://groups.google.com/g/metamath/c/2RPikOiXLMo .)  (Contributed by
       Steve Rodriguez, 28-Feb-2020.) $)
    cvgdvgrat $p |- ( ph -> ( L < 1 <-> seq M ( + , F ) e. dom ~~> ) ) $=
      ( c1 vr vn vi clt wbr caddc cseq cli cdm wcel wa cioo co wral cv cfv cabs
      cmul cle cuz eqid cr elioore ad3antlr w3a cxr wb cz eleqtrdi eluzelz cdiv
      syl cmpt wceq a1i cc peano2uzs wi ovex eleq1 anbi2d eleq1d imbi12d eleq2i
      fveq2 uztrn2 sylan2b syldan chvarvv sylan2 divcld abscld fvmpt2d climrecl
      sylan vtocl eqeltrd rexrd 1xr sylancl biimpa simplr ad3antrrr imp breq12d
      ex fveq2d rspccva adantll cmin wrex adantr crp difrp mpbid adantlr climi2
      anassrs adantllr cc0 wne absdivd resubcld absltd ad4antr ltsub1d eqbrtrrd
      cneg mpbird absrpcld rpcnd recnd breqtrd ralimdva reximdva mpd r19.29a wn
      ltled 1red elioo2 simp3d ad2antrr fvoveq1 oveq2d cvgrat ad4antlr remulcld
      simp2d syl2an simplbda ltdivmuld mulcomd ralrimiva ioon0 biimpar r19.3rzv
      c0 iserex wo lttri2d orcanai neeq1d dvgrat 1re sylancr mulid2d negsubdi2d
      wnel 1cnd simprbda ltmuldivd df-nel sylib mtbird impcon4bid ) AETUDUEZUFD
      FUGUHUIZUJZAUVQUVSAUVQUKZUVSUFDGUGZUVRUJZUVTUWBUWBUAETULUMZUNZAUWDUVQAUWB
      UAUWCAUAUOZUWCUJZUKZCUOZTUFUMZDUPZUQUPZUWEUWHDUPZUQUPZURUMZUSUEZCUBUOZUTU
      PZUNZUWBUBIUWGUWPIUJZUKZUWRUKZUWEUCDGUWPUWQILUWQVAZUWFUWEVBUJZAUWSUWRUWEE
      TVCZVDUWGUWETUDUEZUWSUWRUWGUXCEUWEUDUEZUXEAUWFUXCUXFUXEVEZAEVFUJZTVFUJZUW
      FUXGVGAEAECBGILAGFUTUPZUJGVHUJZAGJUXJMKVIFGVJVLZRAUWHIUJZUKZUWHBUPZUWJUWL
      VKUMZUQUPZVBACIUXQBVBBCIUXQVMVNAQVOUXNUXPUXNUWJUWLUXMAUWIIUJZUWJVPUJZGUWH
      ILVQAUCUOZIUJZUKZUXTDUPZVPUJZVRZAUXRUKZUXSVRUCUWIUWHTUFVSUXTUWIVNZUYBUYFU
      YDUXSUYGUYAUXRAUXTUWIIVTWAUYGUYCUWJVPUXTUWIDWEWBWCUXNUWLVPUJZVRUYECUCUWHU
      XTVNZUXNUYBUYHUYDUYIUXMUYAAUWHUXTIVTWAZUYIUWLUYCVPUWHUXTDWEZWBWCAUXMUWHJU
      JZUYHUXMAUWHGUTUPZUJZUYLIUYMUWHLWDAGJUJUYNUYLMFUWHGJKWFWOWGOWHZWIZWPWJZUY
      OPWKWLZWMZUYRWQWNZWRZWSETUWEUUAWTXAZUUBUUCUWGUWSUWRXBUXAUYAUYDAUYAUYDVRZU
      WFUWSUWRAUYAUYDUYPXFZXCXDUWRUXTUWQUJZUXTTUFUMDUPZUQUPZUWEUYCUQUPZURUMZUSU
      EZUWTUWOVUJCUXTUWQUYIUWKVUGUWNVUIUSUYIUWJVUFUQUWHUXTTDUFUUDXGZUYIUWMVUHUW
      EURUYIUWLUYCUQUYKXGZUUEXEXHXIUUFUWGUXQEXJUMZUQUPZUWEEXJUMZUDUEZCUWQUNZUBI
      XKUWRUBIXKUWGEUXQVUOUBCBGILAUXKUWFUXLXLUWGUXFVUOXMUJZUWGUXCUXFUXEVUBUUIAE
      VBUJZUXCUXFVURVGUWFUYTUXDEUWEXNUUJXOAUXMUXOUXQVNZUWFUYSXPABEUHUEZUWFRXLXQ
      UWGVUQUWRUBIUWTVUPUWOCUWQUWTUWHUWQUJZUKZVUPUWOVVCVUPUKZUWKUWNVVDUWJVVCUXS
      VUPAUWSVVBUXSUWFAUWSVVBUXSUWSVVBUKZAUXMUXSGUWHUWPILWFZUYQWJXRZXSZXLZWLZVV
      DUWEUWMUWFUXCAUWSVVBVUPUXDUUGZVVDUWLVVCUYHVUPAUWSVVBUYHUWFAUWSVVBUYHVVEAU
      XMUYHVVFUYOWJXRZXSZXLZWLUUHVVDUWKUWMUWEURUMZUWNUDVVDUWKUWMVKUMZUWEUDUEUWK
      VVOUDUEVVDUXQVVPUWEUDVVDUWJUWLVVIVVNVVCUWLXTYAZVUPAUWSVVBVVQUWFAUWSVVBVVQ
      VVEAUXMVVQVVFPWJXRZXSZXLZYBVVDUXQUWEUDUEVUMVUOUDUEZVVCVUPVUOYHVUMUDUEVWAV
      VCVUMVUOVVCUXQEVVCUXPVVCUWJUWLVVHVVMVVSWKWLAVUSUWFUWSVVBUYTXCZYCVVCUWEEUW
      FUXCAUWSVVBUXDVDVWBYCYDUUKVVDUXQUWEEVVDUXPVVDUWJUWLVVIVVNVVTWKWLVVKAVUSUW
      FUWSVVBVUPUYTYEYFYIYGVVDUWKUWEUWMVVJVVKVVDUWLVVNVVTYJZUULXOVVDUWMUWEVVDUW
      MVWCYKVVDUWEVVKYLUUMYMYSXFYNYOYPYQUUNXLUVTUWCUURYAZUWBUWDVGAVWDUVQAUXHUXI
      VWDUVQVGVUAWSETUUOWTUUPUWBUAUWCUUQVLYIAUVSUWBVGZUVQACDFGJKMOUUSZXLYIXFAUV
      QYRZUVSYRZAVWGTEUDUEZVWHAUVQVWIAETYAUVQVWIUUTSAETUYTAYTUVAXOUVBAVWIUKZUVS
      UWBVWJUWAUVRUVIZUWBYRVWJUWMUWKUSUEZCUWQUNZVWKUBIVWJUWSUKZVWMUKZUCDGUWPHUW
      QILUXBVWJUWSVWMXBADHUJVWIUWSVWMNXCVWOUYAUYDAVUCVWIUWSVWMVUDXCXDVWNVUEUYCX
      TYAZVWMAUWSVUEVWPVWIAUWSVUEVWPUWSVUEUKAUYAVWPGUXTUWPILWFUXNVVQVRUYBVWPVRC
      UCUYIUXNUYBVVQVWPUYJUYIUWLUYCXTUYKUVCWCPWIWJXRXSXPVWMVUEVUHVUGUSUEZVWNVWL
      VWQCUXTUWQUYIUWMVUHUWKVUGUSVULVUKXEXHXIUVDVWJVUNETXJUMZUDUEZCUWQUNZUBIXKV
      WMUBIXKVWJEUXQVWRUBCBGILAUXKVWIUXLXLAVWIVWRXMUJZATVBUJVUSVWIVXAVGUVEUYTTE
      XNUVFXAAUXMVUTVWIUYSXPAVVAVWIRXLXQVWJVWTVWMUBIVWNVWSVWLCUWQVWNVVBUKZVWSVW
      LVXBVWSUKZUWMUWKVXCUWLVXBUYHVWSAUWSVVBUYHVWIVVLXSZXLZWLVXCUWJVXBUXSVWSAUW
      SVVBUXSVWIVVGXSZXLZWLZVXCTUWMURUMZUWMUWKUDVXCUWMVXCUWMVXCUWLVXEVXBVVQVWSA
      UWSVVBVVQVWIVVRXSZXLZYJZYKUVGVXCVXIUWKUDUETVVPUDUEVXCTUXQVVPUDVXCTUXQUDUE
      TEXJUMZVUMUDUEVXCVWRYHZVXMVUMUDVXCETVXCEAVUSVWIUWSVVBVWSUYTYEZYLVXCUVJUVH
      VXBVWSVXNVUMUDUEVUMVWRUDUEVXBVUMVWRVXBUXQEVXBUXPVXBUWJUWLVXFVXDVXJWKWLAVU
      SVWIUWSVVBUYTXCZYCVXBETVXPVXBYTYCYDUVKYGVXCTUXQEVXCYTZVXCUXPVXCUWJUWLVXGV
      XEVXKWKWLVXOYFYIVXCUWJUWLVXGVXEVXKYBYMVXCTUWKUWMVXQVXHVXLUVLYIYGYSXFYNYOY
      PYQUWAUVRUVMUVNAVWEVWIVWFXLUVOWHXFUVP $.
  $}

  ${
    $d k n x ph $.  $d n x A $.  $d k n x G $.  $d k r x G $.  $d k x L $.
    $d k n Z $.  $d k D $.  $d k M $.
    $( pser.g $)
    radcnvrat.g $e |- G = ( x e. CC |-> ( n e. NN0 |->
        ( ( A ` n ) x. ( x ^ n ) ) ) ) $.
    $( radcnv.a $)
    radcnvrat.a $e |- ( ph -> A : NN0 --> CC ) $.
    $( radcnv.r $)
    radcnvrat.r $e |- R =
        sup ( { r e. RR | seq 0 ( + , ( G ` r ) ) e. dom ~~> } , RR* , < ) $.
    radcnvrat.rat $e |- D = ( k e. NN0 |->
        ( abs ` ( ( A ` ( k + 1 ) ) / ( A ` k ) ) ) ) $.
    radcnvrat.z $e |- Z = ( ZZ>= ` M ) $.
    radcnvrat.m $e |- ( ph -> M e. NN0 ) $.
    radcnvrat.n0 $e |- ( ( ph /\ k e. Z ) -> ( A ` k ) =/= 0 ) $.
    radcnvrat.l $e |- ( ph -> D ~~> L ) $.
    radcnvrat.ln0 $e |- ( ph -> L =/= 0 ) $.
    $( Let ` L ` be the limit, if one exists, of the ratio
       ` ( abs `` ( ( A `` ( k + 1 ) ) / ( A `` k ) ) ) ` (as in the ratio test
       ~ cvgdvgrat ) as ` k ` increases.  Then the radius of convergence of
       power series ` sum_ n e. NN0 ( ( A `` n ) x. ( x ^ n ) ) ` is
       ` ( 1 / L ) ` if ` L ` is nonzero.  Proof "The limit involved in the
       ratio test..." in ~ https://en.wikipedia.org/wiki/Radius_of_convergence
       &mdash;a few lines that evidently hide quite an involved process to
       confirm.  (Contributed by Steve Rodriguez, 8-Mar-2020.) $)
    radcnvrat $p |- ( ph -> R = ( 1 / L ) ) $=
      ( caddc cv cfv cc0 cseq cli cdm wcel cr crab cxr clt csup c1 cdiv wor a1i
      co cres nn0zd reseq2i wbr cvv wb cn0 cabs cmpt nn0ex mptex climres mpbird
      sylancl wa sylan ex ssrdv resmptd syl5eq fvexd cc sselda ffvelrnda syldan
      fvmpt2d sylan2 abscld eqeltrd rexrd simpr wne cle adantr adantl cmul wceq
      wn 1cnd recnd eqcom biimpa breqtrrd cdif syl fveq2 oveq1d imp adantlr wss
      wi ad2antrr eldifi cexp oveq12d ovexd fvmptd simplr expcld sylanl2 fveq2d
      ad2antlr oveq2d cmin 3eqtrd an32s biimpd impancom mpd cioo wrex iooss1 c0
      wral ioon0 ancoms r19.2zb sylib ssrexv sylbird syl2anc xrltso cuz eqeltri
      eqbrtrid reseq1i eluznn0 eqsstrid peano2uzs divcld climrecl rereccld recn
      elrabi ltlend simplbda biantrud lenltd 3bitr2d divmul3d 3bitr3g necon3bid
      cz crp fvres eqeltrrd absge0d breqtrd climge0 ne0gt0d elrpd ltmuldivd csn
      1red cin wo cun elun inundif eleq2i bitr3i elin simprbi elsni abs0 eqtrdi
      mul02d sylan9eqr 0lt1 radcnv0 eleq1 syl5ibrcom 2thd ax-resscn ssdif ax-mp
      eqbrtrdi sseli nn0uz oveq2 mulcld expne0d mulne0d eqnetrd fvoveq1 cbvmptv
      eldifsni eqtr3id 1nn0 nn0addcld divmuldivd nn0cnd pncan2d expsubd 3eqtr3d
      eqidd 3eqtr2d absmuld eqtr3d mulcomd climmulc2 eqbrtrrd cvgdvgrat seqeq3d
      exp1d eqcomd eleq1d elrab3 bitr4d jaodan bitr3d notbid bitrd con2d leabsd
      sylan2br ltletrd nsyld cneg renegcld eliooord simpld rgen mpi anasss sylc
      biimpar xrltnle xrltle ralrimiva recgt0d addgt0d subnegd posdifd adantlrr
      pm2.61dan w3a elioo2 absltd ltned impr expcom 3impb impcom eqsupd ) AEUBL
      UCZHUDZUEUFZUGUHZUIZLUJUKZULUMUNUOIUPUSZOABFULVVJVVKUMULUMUQAUUAURAVVKAIA
      IFDKUTZJKQAJRVAZAVVLDJUUBUDZUTZIUGKVVNDQVBAVVOIUGVCZDIUGVCZTAJUVBUIZDVDUI
      VVPVVQVEVVMDFVFFUCZUOUBUSZCUDZVVSCUDZUPUSZVGUDZVHZVDPFVFVWDVIVJUUCIDJVDVK
      VMVLUUDAVVSKUIZVNZVVSVVLUDZVWDUJAFKVWDVVLVDAVVLVWEKUTFKVWDVHDVWEKPUUEAFVF
      KVWDAKVVNVFQAFVVNVFAVVSVVNUIZVVSVFUIZAJVFUIZVWIVWJRVVSJUUFVOVPVQUUGZVRVSV
      WGVWCVGVTWEZVWGVWCVWGVWAVWBVWFAVVTKUIZVWAWAUIZJVVSKQUUHAVWNVVTVFUIZVWOAKV
      FVVTVWLWBAVFWAVVTCNWCWDWFZAVWFVWJVWBWAUIZAKVFVVSVWLWBZAVFWAVVSCNWCZWDZSUU
      IZWGWHZUUJZUAUUKZWIZABUCZVVJUIZVNVXHVVKVXGUMVCZWQZAVXHWJVXHAVXGUJUIZVXHVX
      JXJVVILVXGUJUUMAVXKVNZVXHVVKVXGVGUDZUMVCZVXIVXLVXNVXHVXLVXNVXHWQZVXLVXNVN
      VXMVVKWKZVXOVXLVXNVVKVXMWLVCZVXPVXLVVKVXMAVVKUJUIZVXKVXEWMZVXKVXMUJUIZAVX
      KVXGVXGUULWGWNZUUNZUUOVXLVXPVXNVXOVXLVXPVNZVXNVXOVYCVXNVXMVVKUMVCZWQZVXOV
      YCVXNVXQVXPVNZVXQVYEVXLVXNVYFVEVXPVYBWMVYCVXPVXQVXLVXPWJUUPVXLVXQVYEVEVXP
      VXLVVKVXMVXSVYAUUQWMUURVYCVYDVXHVXLVXPVXMIWOUSZUOWKZVYDVXHVEVXLVXPVYHVXLV
      XMVVKVYGUOVXLVVKVXMWPUOVYGWPVXMVVKWPVYGUOWPVXLUOVXMIVXLWRVXLVXMVYAWSAIWAU
      IVXKAIVXDWSZWMAIUEWKVXKUAWMUUSVVKVXMWTUOVYGWTUUTUVAXAVXLVYHVNVYGUOUMVCZVY
      DVXHVXLVYJVYDVEVYHVXLVXMUOIVYAVXLUVMAIUVCUIVXKAIVXDAIVXDAIFDJKQVVMTVWGVWH
      VVSDUDZUJVWFVWHVYKWPAVVSKDUVDWNZVXCUVEZVWGUEVWHVYKWLVWGUEVWDVWHWLVWGVWCVX
      BUVFVWMXBVYLUVGUVHUAUVIZUVJWMUVKWMAVYHVXKVYJVXHVEZVXKAVYHVNZVXGUJUEUVLZUV
      NZUIZVXGUJVYQXCZUIZUVOZVYOWUBVXGVYRVYTUVPZUIVXKVXGVYRVYTUVQWUCUJVXGUJVYQU
      VRUVSUVTVYPVYSVYOWUAAVYSVYOVYHVYSAVXGUEWPZVYOVYSVXGVYQUIZWUDVYSVXKWUEVXGU
      JVYQUWAUWBVXGUEUWCXDAWUDVNZVYJVXHWUFVYGUEUOUMWUDAVYGUEIWOUSUEWUDVXMUEIWOW
      UDVXMUEVGUDUEVXGUEVGXEUWDUWEXFAIVYIUWFUWGUWHUWPAWUDVXHAVXHWUDUEVVJUIABCGH
      LMNUWIVXGUEVVJUWJUWKXGUWLWFXHAWUAVYHVYOAWUAVNVYHVNVYJUBVXGHUDZUEUFZVVHUIZ
      VXHWUAAVXGWAVYQXCZUIZVYHVYJWUIVEVYTWUJVXGUJWAXIVYTWUJXIUWMUJWAVYQUWNUWOUW
      QAWUKVNZVYHVNZGKGUCZUOUBUSWUGUDZWUNWUGUDZUPUSZVGUDZVHZFWUGVYGUEJVDKVFUWRQ
      AVWKWUKVYHRXKWUMVXGHVTWULVWJVVSWUGUDZWAUIZVYHWUKAVXGWAUIZVWJWVAVXGWAVYQXL
      ZAWVBVNZVWJVNZWUTVWBVXGVVSXMUSZWOUSZWAWVEGVVSWUNCUDZVXGWUNXMUSZWOUSZWVGVF
      WUGVDWVDWUGGVFWVJVHZWPZVWJABWAWVKHVDHBWAWVKVHWPAMURWVKVDUIWVDGVFWVJVIVJUR
      WEZWMWUNVVSWPZWVJWVGWPZWVEWVNWVHVWBWVIWVFWOWUNVVSCXEWUNVVSVXGXMUWSXNZWNWV
      DVWJWJZWVEVWBWVFWOXOXPZWVEVWBWVFAVWJVWRWVBVWTXHWVEVXGVVSAWVBVWJXQWVQXRUWT
      WHXSXHWULVWFWUTUEWKVYHWULVWFVNZWUTWVGUEWUKAWVBVWFWUTWVGWPZWVCWVDVWFVWJWVT
      AVWFVWJWVBVWSXHZWVRWDXSWVSVWBWVFAVWFVWRWUKVXAXHZWVSVXGVVSWULWVBVWFWUKWVBA
      WVCWNZWMZAVWFVWJWUKVWSXHZXRZAVWFVWBUEWKWUKSXHZWVSVXGVVSWWDWUKVXGUEWKAVWFV
      XGWAUEUXFYAZWVSVVSWWEVAZUXAZUXBUXCXHGFKWURVVTWUGUDZWUTUPUSZVGUDZWVNWUQWWL
      VGWVNWUOWWKWUPWUTUPWUNVVSUOWUGUBUXDWUNVVSWUGXEXNXTZUXEWULWUSVYGUGVCVYHWUL
      GVFWURVHZVVNUTZWUSVYGUGWULWWPWWOKUTWUSKVVNWWOQVBWULGVFKWURAKVFXIWUKVWLWMV
      RUXGWULWWPVYGUGVCZWWOVYGUGVCZWULIVXMFDWWOJVDKQAVVRWUKVVMWMZAVVQWUKTWMWULV
      XMWULVXGWWCWGWSZWWOVDUIZWULGVFWURVIVJZURAVWFVYKWAUIWUKVWGVYKVYMWSXHZWVSVV
      SWWOUDZVWDVXMWOUSZVYKVXMWOUSVXMVYKWOUSWVSWXDWWMVWCVXGWOUSZVGUDWXEWVSGVVSW
      URWWMVFWWOVDWVSWWOUXOWVNWURWWMWPWVSWWNWNWWEWVSWWLVGVTXPWVSWWLWXFVGWVSWWLV
      WAVXGVVTXMUSZWOUSZWVGUPUSZVWCWXGWVFUPUSZWOUSWXFWUKAWVBVWFWWLWXIWPWVCWVDVW
      FVNZWWKWXHWUTWVGUPWXKGVVTWVJWXHVFWUGVDWVDWVLVWFWVMWMZWXKWUNVVTWPZVNZWVHVW
      AWVIWXGWOWXNWUNVVTCWXKWXMWJZXTWXNWUNVVTVXGXMWXOYBXNWXKVVSUOWWAUOVFUIWXKUX
      HURUXIZWXKVWAWXGWOXOXPWXKGVVSWVJWVGVFWUGVDWXLWVNWVOWXKWVPWNWWAWXKVWBWVFWO
      XOXPXNXSWVSVWAVWBWXGWVFAVWFVWOWUKVWQXHWWBWVSVXGVVTWWDWUKAWVBVWFVWPWVCWXPX
      SZXRWWFWWGWWJUXJWVSWXJVXGVWCWOWVSVXGVVTVVSYCUSZXMUSVXGUOXMUSWXJVXGWVSWXRU
      OVXGXMWVSVVSUOWVSVVSWWEUXKWVSWRUXLYBWVSVXGVVTVVSWWDWWHWWIWVSVVTWXQVAUXMWV
      SVXGWWDUYDUXNYBUXPXTWVSVWCVXGAVWFVWCWAUIWUKVXBXHWWDUXQYDWVSVWDVYKVXMWOWVS
      VYKVWDAVWFVYKVWDWPWUKVWGVWHVYKVWDVYLVWMUXRXHUYEXFWVSVYKVXMWXCWULVXMWAUIVW
      FWWTWMUXSYDUXTWULVVRWXAWWQWWRVEWWSWXBVYGWWOJVDVKVMVLUYAWMWULVYHWJUYBXSWUA
      VXHWUIVEZAVYHWUAVXKWXSVXGUJVYQXLVVIWUILVXGUJVVEVXGWPZVVGWUHVVHWXTVVFWUGUB
      UEVVEVXGHXEUYCUYFUYGXDYAUYHYEUYIUYOYEUYJWDZUYKUYLYFYGYHVPUYMVXLVXIVXNVXLV
      XIVNZVVKVXGVXMVXLVXRVXIVXSWMAVXKVXIXQZVXLVXTVXIVYAWMVXLVXIWJWYBVXGWYCUYNU
      YPVPUYQWFYHAVXGULUIZVXGVVKUMVCZVNZVNZVXGVVSUMVCZFVVKUYRZVVKYIUSZYJZWYHFVV
      JYJZWYGWYIVXGWLVCZWYKWYGWYMVNVXGVVKYIUSZWYJXIZWYHFWYNYJZWYKAWYMWYOWYFAWYI
      ULUIZWYMWYOAWYIAVVKVXEUYSZWIZWYIVXGVVKYKVOXHWYGWYPWYMAWYDWYEWYPAWYDVNZWYE
      VNZWYHFWYNYMZWYPWYHFWYNVVSWYNUIZWYHVVSVVKUMVCVVSVXGVVKUYTVUAZVUBXUAWYNYLW
      KZXUBWYPXJWYTXUEWYEWYDAXUEWYEVEZAWYDVVKULUIZXUFVXFVXGVVKYNWFYOVUFWYHFWYNY
      PYQVUCVUDWMWYHFWYNWYJYRVUEAWYDWYMWQZWYKWYEWYTXUHVNZWYHFWYJYMZWYKXUIWYHFWY
      JXUIVVSWYJUIVNXUCWYHXUIWYJWYNVVSXUIWYDVXGWYIWLVCZWYJWYNXIAWYDXUHXQWYTXUHX
      UKWYDAXUHXUKXJZAWYDWYQXULWYSWYDWYQVNXUHVXGWYIUMVCXUKVXGWYIVUGVXGWYIVUHYSW
      FYOXGVXGWYIVVKYKYTWBXUDXDVUIAXUJWYKXJZWYDXUHAWYJYLWKZXUMAXUNWYIVVKUMVCZAX
      UOUEVVKWYIYCUSZUMVCAUEVVKVVKUBUSXUPUMAVVKVVKVXEVXEAIVXDVYNVUJZXUQVUKAVVKV
      VKAVVKVXEWSZXURVULXBAWYIVVKWYRVXEVUMVLAWYQXUGXUNXUOVEWYSVXFWYIVVKYNYTVLWY
      HFWYJYPYQXKYHVUNVUOAWYKWYLXJZWYFAWYJVVJXIXUSABWYJVVJAVXGWYJUIZVXHAXUTVXKW
      YIVXGUMVCZWYEVUPZVXHAXUTXVBAWYQXUGXUTXVBVEWYSVXFWYIVVKVXGVUQYTXAXVBAVXHVX
      KXVAWYEAVXHXJAVXKXVAWYEVNZVNVXHAVXKXVCVXHVXLXVCVYDVXHVXLVXGVVKAVXKWJVXSVU
      RVXLVYDVXHVXLVYDVNZVXPVXHXVDVXMVVKVXLVXTVYDVYAWMVXLVYDWJVUSVXLVXPVYDVXHVY
      CVYDVXHWYAYFYGYHVPYSVUTVVAVVBVVCWDVPVQWYHFWYJVVJYRXDWMYHVVDVS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Multiples
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( The divides relation is in fact a relation.  (Contributed by Steve
       Rodriguez, 20-Jan-2020.) $)
    reldvds $p |- Rel || $=
      ( vx vy vz cv cz wcel wa cmul co wceq wrex cdvds df-dvds relopabiv ) ADZE
      FBDZEFGCDOHIPJCEKGABLABCMN $.
  $}

  ${
    $d x N $.  $d x ph $.
    nznngen.n $e |- ( ph -> N e. ZZ ) $.
    $( All positive integers in the set of multiples of _n_,
       <HTML><i>n</i>&#x2124;,</HTML> are the absolute value of _n_ or greater.
       (Contributed by Steve Rodriguez, 20-Jan-2020.) $)
    nznngen $p |- ( ph -> ( ( || " { N } ) i^i NN ) C_ ( ZZ>= ` ( abs ` N ) )
        ) $=
      ( vx cdvds csn cima cn cin cabs cfv cuz cv wcel wbr wa cz syl2an sylan2b
      wb crab cab wrel reldvds relimasn ax-mp ineq1i dfrab2 eqtr4i eleq2i rabid
      wceq cle nnz absdvdsb wi zabscl syl dvdsle sylan sylbid impr simplbi nnzd
      eluz mpbird ex ssrdv ) ADEBFGZHIZBJKZLKZADMZVJNZVMVLNZVNAVMBVMEOZDHUAZNZV
      OVJVQVMVJVPDUBZHIVQVIVSHEUCVIVSULUDDBEUEUFUGVPDHUHUIUJAVRPVOVKVMUMOZVRAVM
      HNZVPPVTVPDHUKZAWAVPVTAWAPVPVKVMEOZVTABQNZVMQNZVPWCTWACVMUNBVMUORAVKQNZWA
      WCVTUPAWDWFCBUQURZVKVMUSUTVAVBSAWFWEVOVTTVRWGVRVMVRWAVPWBVCVDVKVMVERVFSVG
      VH $.
  $}

  ${
    $d x y n $.  $d n x M $.  $d n x N $.
    nzss.m $e |- ( ph -> M e. ZZ ) $.
    nzss.n $e |- ( ph -> N e. V ) $.
    $( The set of multiples of _m_, <HTML><i>m</i>&#x2124;,</HTML> is a subset
       of those of _n_, <HTML><i>n</i>&#x2124;,</HTML> iff _n_ divides _m_.
       Lemma 2.1(a) of
       ~ https://www.mscs.dal.ca/~~selinger/3343/handouts/ideals.pdf p. 5,
       with <HTML><i>m</i>&#x2124;</HTML> and <HTML><i>n</i>&#x2124;</HTML> as
       images of the divides relation under _m_ and _n_.
       (Contributed by Steve Rodriguez, 20-Jan-2020.) $)
    nzss $p |- ( ph -> ( ( || " { M } ) C_ ( || " { N } ) <-> N || M ) ) $=
      ( vx vn vy cz wcel cdvds wss wbr wa breq2 wceq crab cc0 breq1 csn cima wb
      wi cv iddvds elabg mpbird wrel reldvds relimasn ax-mp eleqtrrdi ssel syl5
      cab elab2g mpbidi com12 adantr ssid simpl dvdszrcl simprd 0dvds sylan9bbr
      syl mpbid breq1d sylan9bb rabbidva 0z rabsn eqtrdi rabbidv rabbiia adantl
      eqtri sseq12d mpbiri cdiv co cmul cc zcnd ad2antrr simpld simplr divcan2d
      wne w3a dvdsval2 biimpd 3expa sylan imp anabss1 muldvds1 sylbird ss2rabdv
      3com23 cbvrabv 3sstr3g pm2.61dane abbidv eqeq12d simpr ancri impbii elrab
      jca vex elab 3bitr4i eqriv vtoclg syl5ib sseq12i syl6ibr impbid syl2anc )
      ABJKZCDKZLBUAUBZLCUAUBZMZCBLNZUCEFYBYCOZYFYGYBYFYGUDYCYFYBYGYBBYEKZYGYFYB
      BYDKYFYIYBBBGUEZLNZGUPZYDYBBYLKBBLNZBUFYKYMGBJYJBBLPUGUHLUIZYDYLQUJGBLUKU
      LZUMYDYEBUNUOCYJLNZYGGBYEJYJBCLPYNYEYPGUPZQUJGCLUKULZUQURUSUTYHYGYLYQMZYF
      YGYKGJRZYPGJRZMZYHYSYGUUBCSYGCSQZOZUUBSUAZUUEMUUEVAUUDYTUUEUUAUUEUUDYTYJS
      QZGJRZUUEUUDYKUUFGJUUDYKSYJLNZYJJKUUFUUDBSYJLUUDYGBSQZYGUUCVBUUCYGSBLNZYG
      UUICSBLTYGYBUUJUUIUCYGCJKZYBCBVCZVDZBVEVGVFVHVIYJVEZVJVKSJKUUGUUEQVLGJSVM
      ULZVNUUCUUAUUEQYGUUCUUAUUHGJRZUUEUUCYPUUHGJCSYJLTVOUUPUUGUUEUUHUUFGJUUNVP
      UUOVRVNVQVSVTYGCSWJZOZBHUEZLNZHJRCUUSLNZHJRYTUUAUURUUTUVAHJUURUUSJKZOZUUT
      CBCWAWBZWCWBZUUSLNZUVAUVCUVEBUUSLUVCBCYGBWDKUUQUVBYGBUUMWEWFYGCWDKUUQUVBY
      GCYGUUKYBUULWGZWEWFYGUUQUVBWHWIVIUURUUKUVDJKZOUVBUVFUVAUDZUURUUKUVHYGUUKU
      UQUVGUTYGUUQUVHUURYGUVHYGUUKYBOUUQYGUVHUDZUULUUKYBUUQUVJUUKUUQYBUVJUUKUUQ
      YBWKYGUVHCBWLWMXAWNWOWPWQXKUUKUVHUVBUVICUVDUUSWRWNWOWSWTUUTYKHGJUUSYJBLPX
      BUVAYPHGJUUSYJCLPXBXCXDYHYTYLUUAYQYBYTYLQZYCUUSYJLNZGJRZUVLGUPZQZUVKHBJUU
      SBQZUVMYTUVNYLUVPUVLYKGJUUSBYJLTZVOUVPUVLYKGUVQXEXFIUVMUVNIUEZJKZUUSUVRLN
      ZOZUVTUVRUVMKUVRUVNKUWAUVTUVSUVTXGUVTUVSUVTUVBUVSUUSUVRVCVDXHXIUVLUVTGUVR
      JYJUVRUUSLPZXJUVLUVTGUVRIXLUWBXMXNXOZXPUTYCUUAYQQZYBUVOUWDHCDUUSCQZUVMUUA
      UVNYQUWEUVLYPGJUUSCYJLTZVOUWEUVLYPGUWFXEXFUWCXPVQVSXQYDYLYEYQYOYRXRXSXTYA
      $.
  $}

  ${
    $d n M $.  $d n N $.
    nzin.m $e |- ( ph -> M e. ZZ ) $.
    nzin.n $e |- ( ph -> N e. ZZ ) $.
    $( The intersection of the set of multiples of _m_,
       <HTML><i>m</i>&#x2124;,</HTML> and those of _n_,
       <HTML><i>n</i>&#x2124;,</HTML> is the set of multiples of their least
       common multiple.  Roughly Lemma 2.1(c) of
       ~ https://www.mscs.dal.ca/~~selinger/3343/handouts/ideals.pdf p. 5 and
       Problem 1(b) of
       ~ https://people.math.binghamton.edu/mazur/teach/40107/40107h16sol.pdf
       p. 1, with <HTML><i>m</i>&#x2124;</HTML> and
       <HTML><i>n</i>&#x2124;</HTML> as images of the divides relation under
       _m_ and _n_.
       (Contributed by Steve Rodriguez, 20-Jan-2020.) $)
    nzin $p |- ( ph -> ( ( || " { M } ) i^i ( || " { N } ) ) =
        ( || " { ( M lcm N ) } ) ) $=
      ( vn cdvds csn cima wss wa wcel cz dvdszrcl wb reldvds elrelimasn syl2anc
      wbr ax-mp clcm co cv anim12i anandir sylibr ancomd wi lcmdvds 3expb mpcom
      cin elin wrel anbi12i bitri 3imtr4i ssriv dvdslcm simpld lcmcl nn0zd nzss
      a1i cn0 mpbird simprd ssind eqssd ) AGBHIZGCHIZULZGBCUAUBZHIZVLVNJAFVLVNB
      FUCZGSZCVOGSZKZVMVOGSZVOVLLZVOVNLZVOMLZBMLZCMLZKZKVRVSVRWEWBVRWCWBKZWDWBK
      ZKWEWBKVPWFVQWGBVONCVONUDWCWDWBUEUFUGWBWCWDVRVSUHVOBCUIUJUKVTVOVJLZVOVKLZ
      KVRVOVJVKUMWHVPWIVQGUNZWHVPOPBVOGQTWJWIVQOPCVOGQTUOUPWJWAVSOPVMVOGQTUQURV
      DAVNVJVKAVNVJJBVMGSZAWKCVMGSZAWCWDWKWLKDEBCUSRZUTAVMBMAVMAWCWDVMVELDEBCVA
      RVBZDVCVFAVNVKJWLAWKWLWMVGAVMCMWNEVCVFVHVI $.
  $}

  ${
    nzprmdif.m $e |- ( ph -> M e. Prime ) $.
    nzprmdif.n $e |- ( ph -> N e. Prime ) $.
    nzprmdif.ne $e |- ( ph -> M =/= N ) $.
    $( Subtract one prime's multiples from an unequal prime's.  (Contributed by
       Steve Rodriguez, 20-Jan-2020.) $)
    nzprmdif $p |- ( ph -> ( ( || " { M } ) \ ( || " { N } ) ) =
        ( ( || " { M } ) \ ( || " { ( M x. N ) } ) ) ) $=
      ( cdvds csn cima cdif co cmul cprime wcel cz prmz syl difeq2d syl2anc c1
      clcm cin difin nzin eqtr3id cgcd cabs cfv wceq lcmgcd wne wb prmrp mpbird
      oveq2d cn0 lcmcl nn0cnd mulid1d eqtrd zred remulcld prmnn nn0ge0d mulge0d
      cn nnnn0d absidd 3eqtr3d sneqd imaeq2d ) AGBHIZGCHIZJZVLGBCUAKZHZIZJZVLGB
      CLKZHZIZJAVNVLVLVMUBZJVRVLVMUCAWBVQVLABCABMNZBONZDBPQZACMNZCONZECPQZUDRUE
      AVQWAVLAVPVTGAVOVSAVOBCUFKZLKZVSUGUHZVOVSAWDWGWJWKUIWEWHBCUJSAWJVOTLKVOAW
      ITVOLAWITUIZBCUKZFAWCWFWLWMULDEBCUMSUNUOAVOAVOAWDWGVOUPNWEWHBCUQSURUSUTAV
      SABCABWEVAZACWHVAZVBABCWNWOABABAWCBVFNDBVCQVGVDACACAWFCVFNECVCQVGVDVEVHVI
      VJVKRUT $.
  $}

  ${
    $d x J $.  $d x K $.  $d x N $.
    hashnzfz.n $e |- ( ph -> N e. NN ) $.
    hashnzfz.j $e |- ( ph -> J e. ZZ ) $.
    hashnzfz.k $e |- ( ph -> K e. ( ZZ>= ` ( J - 1 ) ) ) $.
    $( Special case of ~ hashdvds : the count of multiples in
       <HTML><i>n</i>&#x2124;</HTML> restricted to an interval.
       (Contributed by Steve Rodriguez, 20-Jan-2020.) $)
    hashnzfz $p |- ( ph -> ( # ` ( ( || " { N } ) i^i ( J ... K ) ) ) =
        ( ( |_ ` ( K / N ) ) - ( |_ ` ( ( J - 1 ) / N ) ) ) ) $=
      ( vx cc0 cmin co cdvds chash cfv cdiv cfl cin wcel zcnd subid1d cv wbr c1
      cfz crab csn cima 0zd hashdvds wceq elfzelz breq2d rabbiia dfrab3 reldvds
      cab wrel relimasn ax-mp ineq2i incom eqtr3i 3eqtri fveq2i a1i cuz eluzelz
      cz syl fvoveq1d peano2zm oveq12d 3eqtr3d ) ADHUAZIJKZLUBZHBCUDKZUEZMNZCIJ
      KZDOKPNZBUCJKZIJKZDOKPNZJKLDUFUGZVQQZMNZCDOKPNZWBDOKPNZJKAHBCIDEFGAUHUIVS
      WGUJAVRWFMVRDVNLUBZHVQUEVQWJHUPZQZWFVPWJHVQVNVQRZVOVNDLWMVNWMVNVNBCUKSTUL
      UMWJHVQUNVQWEQWLWFWEWKVQLUQWEWKUJUOHDLURUSUTVQWEVAVBVCVDVEAWAWHWDWIJAVTCD
      POACACACWBVFNRCVHRGWBCVGVISTVJAWCWBDPOAWBAWBABVHRWBVHRFBVKVISTVJVLVM $.
  $}

  ${
    hashnzfz2.n $e |- ( ph -> N e. ( ZZ>= ` 2 ) ) $.
    hashnzfz2.k $e |- ( ph -> K e. NN ) $.
    $( Special case of ~ hashnzfz : the count of multiples in
       <HTML><i>n</i>&#x2124;,</HTML> _n_ greater than one, restricted to an
       interval starting at two.
       (Contributed by Steve Rodriguez, 20-Jan-2020.) $)
    hashnzfz2 $p |- ( ph -> ( # ` ( ( || " { N } ) i^i ( 2 ... K ) ) ) =
        ( |_ ` ( K / N ) ) ) $=
      ( c2 co cfv cdiv cfl c1 cmin cc0 cuz cn wcel cz 2m1e1 wbr clt csn cfz cin
      cdvds cima chash wss 2nn uznnssnn ax-mp sselid a1i fveq2i eqtr4i eleqtrdi
      2z nnuz hashnzfz oveq1i wceq cle caddc 0red nnrecred nnred nngt0d recgt0d
      ltled eluzle syl nnzd zlem1lt sylancr mpbid eqbrtrrid nnrpd recgt1d 0p1e1
      wb breqtrrdi cr wa 0z flbi sylancl mpbir2and syl5eq oveq2d nndivred flcld
      zcnd subid1d 3eqtrd ) AUDCUAUEFBUBGUCUFHBCIGZJHZFKLGZCIGZJHZLGWOMLGWOAFBC
      AFNHZOCFOPWSOUGUHFUIUJDUKZFQPZAUPULABOWPNHZEOKNHXBUQWPKNRUMUNUOURAWRMWOLA
      WRKCIGZJHZMWQXCJWPKCIRUSUMAXDMUTZMXCVASZXCMKVBGZTSZAMXCAVCACWTVDZACACWTVE
      ACWTVFVGVHAXCKXGTAKCTSXCKTSAKWPCTRAFCVASZWPCTSZACWSPXJDFCVIVJAXACQPXJXKVS
      UPACWTVKFCVLVMVNVOACACWTVPVQVNVRVTAXCWAPMQPXEXFXHWBVSXIWCXCMWDWEWFWGWHAWO
      AWOAWNABCABEVEWTWIWJWKWLWM $.
  $}

  ${
    $d k x J $.  $d k x M $.  $d k x ph $.
    hashnzfzclim.m $e |- ( ph -> M e. NN ) $.
    hashnzfzclim.j $e |- ( ph -> J e. ZZ ) $.
    $( As the upper bound ` K ` of the constraint interval ` ( J ... K ) ` in
       ~ hashnzfz increases, the resulting count of multiples tends to
       ` ( K / M ) ` &mdash;that is, there are approximately ` ( K / M ) `
       multiples of ` M ` in a finite interval of integers.  (Contributed by
       Steve Rodriguez, 20-Jan-2020.) $)
    hashnzfzclim $p |- ( ph -> ( k e. ( ZZ>= ` ( J - 1 ) ) |->
        ( ( # ` ( ( || " { M } ) i^i ( J ... k ) ) ) / k ) ) ~~> ( 1 / M ) ) $=
      ( c1 cmin co cfv cdiv cmpt cli wcel cn cz wbr cvv wceq adantl vx cuz cima
      cdvds csn cv cfz cin chash cfl adantr simpr hashnzfz oveq1d mpteq2dva cc0
      wa nnuz 1z a1i cxp cc nncnd nnne0d eqimss2i nnex climconst2 sylancl mptex
      reccld ax-1cn divcnv mp1i fvconst2 eqeltrd cr eqidd oveq2 fvmptd nnrecred
      ovex ovexd recnd oveq2d oveq12d eqtr4d climsub subid1d breqtrd nnre nnne0
      wne rereccld resubcld fvoveq1 nndivred reflcl syl redivcld cle divsubdird
      id clt 1cnd nncn cmul divrecd divcan3d eqtrd 1red crp nnrp caddc readdcld
      flle flflp1 syl2anc mpbid ltsub1dd pncand ltdiv1dd eqbrtrrd ltled 3brtr4d
      fvoveq1d lediv1dd eqbrtrd climsqz zred flcld zcnd divcld 3eqtr4d cres wss
      wb resmpt ax-mp breq1i climres uzssz zsubcld bitr3id reseq2i nnssz mpbird
      zex mp2an 3bitr3i bitr4di ) ABCGHIZUBJZUDDUEUCCBUFZUGIUHUIJZUUMKIZLBUULUU
      MDKIUJJZUUKDKIZUJJZHIZUUMKIZLZGDKIZMABUULUUOUUTAUUMUULNZUQZUUNUUSUUMKUVDC
      UUMDADONZUVCEUKACPNUVCFUKAUVCULUMUNUOAUVAUVBMQZBOUUTLZUVBMQZAUVGUVBUPHIZU
      VBMAUVBUPUABOUUPUUMKIZLZBOUURUUMKIZLZUVGGROURGPNZAUSUTZAUVBUABOUVBGUUMKIZ
      HIZLZUVKGROURUVOAUVRUVIUVBMAUVBUPUAOUVBUEVAZBOUVPLZUVRGROURUVOAUVBVBNZUVN
      UVSUVBMQADADEVCZADEVDZVJZUSUVBGOOGUBJZURVEVFVGVHUVRRNABOUVQVFVIUTGVBNUVTU
      PMQAVKGBVLVMAUAUFZONZUQZUWFUVSJZUVBVBUWGUWIUVBSAOUVBUWFGDKWAVNTZAUWAUWGUW
      DUKZVOUWHUWFUVTJZUWHUWLGUWFKIZVPUWHBUWFUVPUWMOUVTRUWHUVTVQUUMUWFSZUVPUWMS
      UWHUUMUWFGKVRZTAUWGULZUWHGUWFKWBVSZUWHUWFUWPVTVOWCUWHUWFUVRJZUVBUWMHIZUWI
      UWLHIUWHBUWFUVQUWSOUVRRUWHUVRVQUWNUVQUWSSUWHUWNUVPUWMUVBHUWOWDTUWPUWHUVBU
      WMHWBVSZUWHUWIUVBUWLUWMHUWJUWQWEWFWGAUVBUWDWHZWIUVKRNABOUVJVFVIUTUWHUWRUW
      SVPUWTUWHUVBUWMAUVBVPNUWGADEVTUKUWHUWFUWGUWFVPNAUWFWJTZUWGUWFUPWLAUWFWKTZ
      WMWNZVOUWHUWFUVKJZUWFDKIZUJJZUWFKIZVPUWHBUWFUVJUXHOUVKRUWHUVKVQZUWNUVJUXH
      SUWHUWNUUPUXGUUMUWFKUUMUWFDUJKWOZUWNXBZWETUWPUWHUXGUWFKWBZVSZUWHUXGUWFUWH
      UXFVPNZUXGVPNUWHUWFDUXBAUVEUWGEUKWPZUXFWQWRZUXBUXCWSZVOZUWHUWSUXHUWRUXEWT
      UWHUWSUXHUXDUXQUWHUXFGHIZUWFKIZUWSUXHXCUWHUXTUXFUWFKIZUWMHIUWSUWHUXFGUWFU
      WHUXFUXOWCUWHXDZUWGUWFVBNAUWFXETZUXCXAUWHUYAUVBUWMHUWHUYAUWFUVBXFIZUWFKIU
      VBUWHUXFUYDUWFKUWHUWFDUYCADVBNUWGUWBUKADUPWLUWGUWCUKXGUNUWHUVBUWFUWKUYCUX
      CXHXIZUNXIUWHUXSUXGUWFUWHUXFGUXOUWHXJZWNUXPUWGUWFXKNAUWFXLTZUWHUXSUXGGXMI
      ZGHIUXGXCUWHUXFUYHGUXOUWHUXGGUXPUYFXNUYFUWHUXGUXFWTQZUXFUYHXCQZUWHUXNUYIU
      XOUXFXOWRZUWHUXNUXNUYIUYJYPUXOUXOUXFUXFXPXQXRXSUWHUXGGUWHUXGUXPWCZUYBXTWI
      YAYBYCUWTUWHBUWFUVJUXHOUVKRUXIUWHUWNUQZUUPUXGUUMUWFKUYMUUMUWFDUJKUWHUWNUL
      ZYEUYNWEUWPUXLVSZYDUWHUXEUXHUVBWTUYOUWHUXHUYAUVBWTUWHUXGUXFUWFUXPUXOUYGUY
      KYFUYEWIYGYHUVGRNABOUUTVFVIUTAUURVBNZUVMUPMQAUURAUUQAUUKDACGACFYIAXJWNEWP
      YJYKZUURBVLWRUWHUXEUXRWCUWHUWFUVMJZUURUWFKIZVBUWHBUWFUVLUYSOUVMRUWHUVMVQU
      WNUVLUYSSUWHUUMUWFUURKVRTUWPUWHUURUWFKWBVSZUWHUURUWFAUYPUWGUYQUKZUYCUXCYL
      VOUWHUXGUURHIZUWFKIZUXHUYSHIUWFUVGJUXEUYRHIUWHUXGUURUWFUYLVUAUYCUXCXAUWHB
      UWFUUTVUCOUVGRUWHUVGVQUWNUUTVUCSUWHUWNUUSVUBUUMUWFKUWNUUPUXGUURHUXJUNUXKW
      ETUWPUWHVUBUWFKWBVSUWHUXEUXHUYRUYSHUXMUYTWEYMWGUXAWIAUVFBPUUTLZUVBMQZUVHU
      VFVUDUULYNZUVBMQZAVUEVUFUVAUVBMUULPYOVUFUVASUUKUUABPUULUUTYQYRYSAUUKPNVUD
      RNZVUGVUEYPACGFUVOUUBBPUUTUUGVIZUVBVUDUUKRYTVHUUCVUDOYNZUVBMQVUDUWEYNZUVB
      MQZUVHVUEVUJVUKUVBMOUWEVUDURUUDYSVUJUVGUVBMOPYOVUJUVGSUUEBPOUUTYQYRYSUVNV
      UHVULVUEYPUSVUIUVBVUDGRYTUUHUUIUUJUUFYG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Function operations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d w x y z F $.  $d w A $.  $d w x y z G $.  $d w x y z H $.
    $d w x y z R $.  $d w x y z ph $.  $d x y z S $.  $d x y z T $.
    caofcan.1 $e |- ( ph -> A e. V ) $.
    caofcan.2 $e |- ( ph -> F : A --> T ) $.
    caofcan.3 $e |- ( ph -> G : A --> S ) $.
    caofcan.4 $e |- ( ph -> H : A --> S ) $.
    caofcan.5 $e |- ( ( ph /\ ( x e. T /\ y e. S /\ z e. S ) ) -> ( ( x R y ) =
        ( x R z ) <-> y = z ) ) $.
    $( Transfer a cancellation law like ~ mulcan to the function operation.
       (Contributed by Steve Rodriguez, 16-Nov-2015.) $)
    caofcan $p |- ( ph -> ( ( F oF R G ) = ( F oF R H ) <-> G = H ) ) $=
      ( vw cfv wceq cv cof co wral wcel wa ffnd inidm eqidd ofval eqeq12d simpl
      wb ffvelrnda caovcang syl13anc bitrd ralbidva offn eqfnfv syl2anc 3bitr4d
      wfn ) ARUAZIJFUBZUCZSZVDIKVEUCZSZTZREUDZVDJSZVDKSZTZREUDZVFVHTZJKTZAVJVNR
      EAVDEUEZUFZVJVDISZVLFUCZVTVMFUCZTZVNVSVGWAVIWBAEEVTVLFEIJLLVDAEHINUGZAEGJ
      OUGZMMEUHZVSVTUIZVSVLUIUJAEEVTVMFEIKLLVDWDAEGKPUGZMMWFWGVSVMUIUJUKVSAVTHU
      EVLGUEVMGUEWCVNUMAVRULAEHVDINUNAEGVDJOUNAEGVDKPUNABCDVTVLVMGHFQUOUPUQURAV
      FEVCVHEVCVPVKUMAEEFEIJLLWDWEMMWFUSAEEFEIKLLWDWHMMWFUSREVFVHUTVAAJEVCKEVCV
      QVOUMWEWHREJKUTVAVB $.
  $}

  ${
    $d x A $.  $d x F $.  $d x V $.
    $( Function analogue of ~ subid .  (Contributed by Steve Rodriguez,
       5-Nov-2015.) $)
    ofsubid $p |- ( ( A e. V /\ F : A --> CC ) ->
                    ( F oF - F ) = ( A X. { 0 } ) ) $=
      ( vx wcel cc wf wa cv cfv cmin cc0 csn cxp simpl wfn ffn adantl c0ex wceq
      fconst mp1i eqidd co ffvelrn subidd adantll fvconst2 eqtr4d offveq ) ACEZ
      AFBGZHZDADIZBJZUOKBBALMZNZCUKULOULBAPUKAFBQRZURAUPUQGUQAPUMALSUAAUPUQQUBU
      MUNAEZHZUOUCZVAUTUOUOKUDZLUNUQJZULUSVBLTUKULUSHUOAFUNBUEUFUGUSVCLTUMALUNS
      UHRUIUJ $.
  $}

  ${
    $d x A $.  $d x F $.  $d x G $.  $d x H $.  $d x V $.
    $( Function analogue of ~ mul12 .  (Contributed by Steve Rodriguez,
       13-Nov-2015.) $)
    ofmul12 $p |- ( ( ( A e. V /\ F : A --> CC ) /\ ( G : A --> CC /\ H : A
      --> CC ) ) -> ( F oF x. ( G oF x. H ) ) = ( G oF x. ( F oF x. H ) ) ) $=
      ( vx wcel cc wf wa cv cfv cmul co cof ffnd offn eqidd ofval ffvelrnda
      simpll simplr simprl simprr inidm mul12d eqtr4d offveq ) AEGZAHBIZJZAHCIZ
      AHDIZJZJZFAFKZBLZUPCLZUPDLZMNZMBCDMOZNCBDVANZVANZEUIUJUNUAZUOAHBUIUJUNUBZ
      PZUOAAMACDEEUOAHCUKULUMUCZPZUOAHDUKULUMUDZPZVDVDAUEZQUOAAMACVBEEVHUOAAMAB
      DEEVFVJVDVDVKQZVDVDVKQUOUPAGJZUQRZUOAAURUSMACDEEUPVHVJVDVDVKVMURRZVMUSRZS
      VMUQUTMNURUQUSMNZMNUPVCLVMUQURUSUOAHUPBVETUOAHUPCVGTUOAHUPDVITUFUOAAURVQM
      ACVBEEUPVHVLVDVDVKVOUOAAUQUSMABDEEUPVFVJVDVDVKVNVPSSUGUH $.
  $}

  ${
    $d x A $.  $d x F $.  $d x G $.  $d x V $.
    $( Function analogue of ~ divrec , a division analogue of ~ ofnegsub .
       (Contributed by Steve Rodriguez, 3-Nov-2015.) $)
    ofdivrec $p |- ( ( A e. V /\ F : A --> CC /\ G : A --> ( CC \ { 0 } ) )
      -> ( F oF x. ( ( A X. { 1 } ) oF / G ) ) = ( F oF / G ) ) $=
      ( vx wcel cc wf cc0 csn w3a cfv c1 cdiv co cmul ffnd offn wa eqidd cv cxp
      cdif cof simp1 simp2 wfn ax-1cn fnconstg mp1i simp3 1cnd ofc1 wne ffvelrn
      inidm sylan eldifsn sylib divrec eqcomd 3expb syl2anc ofval eqtr4d offveq
      wceq ) ADFZAGBHZAGIJUCZCHZKZEAEUAZBLZMVMCLZNOZPBAMJUBZCNUDZOBCVROZDVHVIVK
      UEZVLAGBVHVIVKUFZQZVLAANAVQCDDMGFVQAUGVLUHAMGUIUJVLAVJCVHVIVKUKZQZVTVTAUP
      ZRVLAANABCDDWBWDVTVTWERVLVMAFZSZVNTZVLAMVONCDGVMVTVLULWDWGVOTZUMWGVNVPPOZ
      VNVONOZVMVSLWGVNGFZVOGFZVOIUNZSZWJWKVGZVLVIWFWLWAAGVMBUOUQVLVKWFWOWCVKWFS
      VOVJFWOAVJVMCUOVOGIURUSUQWLWMWNWPWLWMWNKWKWJVNVOUTVAVBVCVLAAVNVONABCDDVMW
      BWDVTVTWEWHWIVDVEVF $.

    $( Function analogue of ~ divcan4 .  (Contributed by Steve Rodriguez,
       4-Nov-2015.) $)
    ofdivcan4 $p |- ( ( A e. V /\ F : A --> CC /\ G : A --> ( CC \ { 0 } ) )
      -> ( ( F oF x. G ) oF / G ) = F ) $=
      ( vx wcel cc wf cc0 csn cdif cfv cmul co cdiv ffnd wa eqidd ffvelrn sylan
      w3a cof simp1 simp2 simp3 inidm offn ofval wne wceq eldifsn sylib divcan4
      cv 3expb syl2anc offveq ) ADFZAGBHZAGIJKZCHZUAZEAEUNZBLZVCCLZMNZVEOBCMUBN
      CBDURUSVAUCZVBAAMABCDDVBAGBURUSVAUDZPZVBAUTCURUSVAUEZPZVGVGAUFZUGVKVIVBAA
      VDVEMABCDDVCVIVKVGVGVLVBVCAFZQZVDRVNVERZUHVOVNVDGFZVEGFZVEIUIZQZVFVEONVDU
      JZVBUSVMVPVHAGVCBSTVBVAVMVSVJVAVMQVEUTFVSAUTVCCSVEGIUKULTVPVQVRVTVDVEUMUO
      UPUQ $.
  $}

  ${
    $d x A $.  $d x F $.  $d x G $.  $d x H $.  $d x V $.
    $( Function analogue of ~ divdiv2 .  (Contributed by Steve Rodriguez,
       23-Nov-2015.) $)
    ofdivdiv2 $p |- ( ( ( A e. V /\ F : A --> CC ) /\ ( G : A --> ( CC \ { 0 }
        ) /\ H : A --> ( CC \ { 0 } ) ) ) -> ( F oF / ( G oF / H ) ) = ( ( F oF
        x. H ) oF / G ) ) $=
      ( wcel cc wf wa cc0 cfv cdiv co cmul ffnd offn eqidd ffvelrn sylan ofval
      vx csn cdif cv cof simpll simplr simprl simprr inidm wceq eldifsn divdiv2
      wne sylib syl3anc oveq2d 3eqtr4d offveq ) AEFZAGBHZIZAGJUBUCZCHZAVCDHZIZI
      ZUAAUAUDZBKZVHCDLUEZMZKZLBVKBDNUEMZCVJMZEUTVAVFUFZVGAGBUTVAVFUGZOZVGAALAC
      DEEVGAVCCVBVDVEUHZOZVGAVCDVBVDVEUIZOZVOVOAUJZPVGAALAVMCEEVGAANABDEEVQWAVO
      VOWBPZVSVOVOWBPVGVHAFZIZVIQZWEVLQWEVIVHCKZVHDKZLMZLMZVIWHNMZWGLMZVIVLLMVH
      VNKWEVIGFZWGGFWGJUNIZWHGFWHJUNIZWJWLUKVGVAWDWMVPAGVHBRSVGVDWDWNVRVDWDIWGV
      CFWNAVCVHCRWGGJULUOSVGVEWDWOVTVEWDIWHVCFWOAVCVHDRWHGJULUOSVIWGWHUMUPWEVLW
      IVILVGAAWGWHLACDEEVHVSWAVOVOWBWEWGQZWEWHQZTUQVGAAWKWGLAVMCEEVHWCVSVOVOWBV
      GAAVIWHNABDEEVHVQWAVOVOWBWFWQTWPTURUS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( Example of the Fundamental Theorem of Calculus, part two ( ~ ftc2 ):
       ` S. ( 1 (,) 2 ) ( ( x ^ 2 ) - 3 ) _d x = -u ( 2 / 3 ) ` .  Section 4.4
       example 1a of [LarsonHostetlerEdwards] p. 311.  (The book teaches ~ ftc2
       as simply the "Fundamental Theorem of Calculus", then ~ ftc1 as the
       "Second Fundamental Theorem of Calculus".)  (Contributed by Steve
       Rodriguez, 28-Oct-2015.)  (Revised by Steve Rodriguez, 31-Oct-2015.) $)
    lhe4.4ex1a $p |- S. ( 1 (,) 2 ) ( ( x ^ 2 ) - 3 ) _d x = -u ( 2 / 3 ) $=
      ( vy c1 c2 co cr c3 cexp cdiv cmul cmin cmpt cdv wceq wtru wcel a1i cc c6
      3cn cioo cv cicc cfv citg cneg 1red 2re cle wbr 1le2 ccncf crn ctg ccnfld
      ctopn cvv cpr reelprrecn recn cn0 3nn0 expcl mpan2 syl cc0 wne 3ne0 divcl
      mp3an23 mulcl sylancr subcld adantl wa ovexd divrec2 mpteq2ia oveq2i cres
      wf wss cdm eqid fmpti ssid ax-resscn ovex dvexp ax-mp 3m1e2 mpteq2i eqtri
      3nn dmmpti mp4an resmpt 3eqtr3i ax-1cn divcli dvmptcmul mptru 3syl 3eqtri
      cn 3t1e3 eqtrdi dvmptsub 1re mp2an w3a 3pm3.2i dvcn rescncf eqeltrri cibl
      mp3an oveq1 oveq1d fvmpt c4 leidi elicc2i mpbir3an oveq2 oveq12d c8 3t2e6
      mp2 oveq1i oveq12i 2cn 6cn addcomli eqtr4i 4cn subaddrii divsubdir eqtr3i
      caddc sseqtrri dvres3 reseq1i sqcl divcan3 eqtr3d 3ex dvmptid iccssre cnt
      tgioo2 iccntr dvmptres2 ioossicc sstri subcl cnelprrecn 2nn c0ex eqeltrdi
      dvmptc cvol ioombl cniccibl iblss eqeltrd ftc2 itgeq2 cu2 divdiri divmuli
      mprg 6p2e8 mpbir subsub3 4p2e6 cz 3z 1exp sub4 pm3.2i 2m1e1 dividi divneg
      3p1e4 negsubdi2i negeqi ) ACDUAEZAUBZFBCDUCEZBUBZGHEZGIEZGUWKJEZKEZLZMEZU
      DZUEZDUWPUDZCUWPUDZKEZAUWHUWIDHEZGKEZUEZDGIEZUFZUWSUXBNOACDUWPOUGDFPZOUHQ
      CDUIUJZOUKQOUWQBUWHUWKDHEZGKEZLZUWHRULEZOBUWOUXKFUAUMUNUDZUOUPUDZUQFUWHUW
      JFFRURZPZOUSQZUWKFPZUWORPOUXSUWMUWNUXSUWLRPZUWMRPZUXSUWKRPZUXTUWKUTZUYBGV
      APUXTVBUWKGVCVDZVEZUXTGRPZGVFVGZUYATVHUWLGVIVJVEZUXSUYFUYBUWNRPZTUYCGUWKV
      KVLZVMZVNOUXSVOZUXJGKVPOBUWMUXJUWNGFUQUQFUXRUXSUYAOUYHVNUYLUWKDHVPFBFUWML
      ZMEZBFUXJLZNOUYNFBFCGIEZUWLJEZLZMEZBFUYPGUXJJEZJEZLZUYOUYMUYRFMBFUWMUYQUX
      SUXTUWMUYQNZUYEUXTUYFUYGVUCTVHUWLGVQVJVEVRVSUYSVUBNOBUWLUYTUYPFUQFUXRUXSU
      XTOUYEVNUYLGUXJJVPFBFUWLLZMEZBFUYTLZNOFBRUWLLZFVTZMEZRVUGMEZFVTZVUEVUFUXQ
      RRVUGWARRWBZFVUJWCZWBVUIVUKNUSBRRUWLVUGVUGWDUYDWERWFZFRVUMWGBRUYTVUJGUXJJ
      WHVUJBRGUWKGCKEZHEZJEZLZBRUYTLZGXEPVUJVURNWNBGWIWJBRVUQUYTVUPUXJGJVUODUWK
      HWKVSVSWLWMZWOUUARFVUGUUBWPVUHVUDFMFRWBZVUHVUDNWGBRFUWLWQWJVSVUKVUSFVTZVU
      FVUJVUSFVUTUUCVVAVVBVUFNWGBRFUYTWQWJWMWRQUYPRPZOCGWSTVHWTZQXAXBBFVUAUXJUX
      SUYTGIEZVUAUXJUXSUYBUYTRPZVVEVUANZUYCUYBUYFUXJRPZVVFTUWKUUDZGUXJVKVLVVFUY
      FUYGVVGTVHUYTGVQVJXCUXSUYBVVHVVEUXJNZUYCVVIVVHUYFUYGVVJTVHUXJGUUEVJXCUUFV
      RXDQUXSUYIOUYJVNGUQPUYLUUGQOFBFUWNLMEBFGCJEZLBFGLOBUWKCGFFFUXRUXSUYBOUYCV
      NUYLUGOBFUXRUUHUYFOTQZXABFVVKGXFWLXGXHZUWJFWBZOCFPZUXHVVNXIUHCDUUIXJZQUXO
      UXOWDZUUKVVQUWJUXNUUJUDUDUWHNZOVVOUXHVVRXIUHCDUULXJQUUMZBUWJUXKLZUWHVTZUX
      LUXMUWHUWJWBZVWAUXLNCDUUNZBUWJUWHUXKWQWJVWBVVTUWJRULEZPZVWAUXMPVWCBRUXKLZ
      UWJVTZVVTVWDUWJRWBZVWGVVTNUWJFRVVPWGUUOZBRUWJUXKWQWJVWHVWFRRULEPZVWGVWDPV
      WIVULRRVWFWAZVULXKRVWFMEZWCRNVWJVULVWKVULVUNBRRUXKVWFVWFWDUYBVVHUXKRPZVVI
      VVHUYFVWMTUXJGUUPVDVEWEVUNXLBRDUWKDCKEZHEZJEZVFKEZVWLVWPVFKWHVWLBRVWQLNOB
      UXJVWPGVFRUQUQRRUXPPOUUQQZUYBVVHOVVIVNOUYBVOZDVWOJVPRBRUXJLMEBRVWPLNZODXE
      PVWTUURBDWIWJQUYFVWSTQVFUQPVWSUUSQOBGRVWRVVLUVAXHXBWORRVWFXMXJRRUWJVWFXNY
      IXOZUWJRUWHVVTXNYIXOUUTOUWQUXLXPVVSOBUWHUWJUXKUQVWBOVWCQUWHUVBWCPOCDUVCQO
      UWKUWJPVOUXJGKVPVVTXPPZOVVOUXHVWEVXBXIUHVXACDVVTUVDXQQUVEUVFUWPVWDPOBFUWO
      LZUWJVTZUWPVWDVVNVXDUWPNVVPBFUWJUWOWQWJVVNVXCFRULEPZVXDVWDPVVPVVAFRVXCWAZ
      FFWBZXKFVXCMEZWCFNVXEVVAVXFVXGWGBFRUWOVXCVXCWDUYKWEFWFXLBFUXKVXHUXJGKWHVX
      HBFUXKLNVVMXBWOFFVXCXMXJFRUWJVXCXNYIXOQUVGXBUWRUXDNUWSUXENAUWHAUWHUWRUXDU
      VHBUWIUXKUXDUWHUWQUWKUWINUXJUXCGKUWKUWIDHXRXSUWQUXLNVVSXBUXCGKWHXTUVLUXBC
      GKEZGIEZUXGUXBUYPGGIEZKEZVXJUXBUYPCKEZVXLUXBUXFYAKEZUYPGKEZKEZUXFUYPKEZYA
      GKEZKEZVXMUWTVXNUXAVXOKDUWJPZUWTVXNNVXTUXHUXIDDUIUJUHUKDUHYBCDDXIUHYCYDBD
      UWOVXNUWJUWPUWKDNZUWODGHEZGIEZGDJEZKEZVXNVYAUWMVYCUWNVYDKVYAUWLVYBGIUWKDG
      HXRXSUWKDGJYEYFVYEYGGIEZSKEZUXFSDKEZKEZVXNVYCVYFVYDSKVYBYGGIUVIYJYHYKVYGU
      XFDYTEZSKEZVYIVYFVYJSKDSYTEZGIEUXFSGIEZYTEVYFVYJDSGYLYMTVHUVJVYLYGGISDYGY
      MYLUVMYNYJVYMDUXFYTVYMDNVYDSNYHSGDYMTYLVHUVKUVNVSWRYJUXFRPZSRPDRPZVYIVYKN
      DGYLTVHWTZYMYLUXFSDUVOXQYOVYHYAUXFKSDYAYMYLYPYADSYPYLUVPYNYQVSXDXGUWPWDZU
      XFYAKWHXTWJCUWJPZUXAVXONVYRVVOCCUIUJUXIXICXIYBUKCDCXIUHYCYDBCUWOVXOUWJUWP
      UWKCNZUWOCGHEZGIEZVVKKEVXOVYSUWMWUAUWNVVKKVYSUWLVYTGIUWKCGHXRXSUWKCGJYEYF
      WUAUYPVVKGKVYTCGIGUVQPVYTCNUVRGUVSWJYJXFYKXGVYQUYPGKWHXTWJYKVYNYARPVVCUYF
      VXPVXSNVYPYPVVDTUXFYAUYPGUVTWPVXQUYPVXRCKVWNGIEZVXQUYPVYOCRPZUYFUYGVOZWUB
      VXQNYLWSUYFUYGTVHUWAZDCGYRXQVWNCGIUWBYJYSYAGCYPTWSUWEYQYKXDVXKCUYPKGTVHUW
      CVSYOWUCUYFWUDVXJVXLNWSTWUECGGYRXQYOUXGDUFZGIEZVXJVYOUYFUYGUXGWUGNYLTVHDG
      UWDXQVXIWUFGIVUOUFVXIWUFGCTWSUWFVUODWKUWGYSYJYOYOWR $.
  $}

  $( Derivative of a constant function on the real or complex numbers.  The
     function may return a complex ` A ` even if ` S ` is ` RR ` .
     (Contributed by Steve Rodriguez, 11-Nov-2015.) $)
  dvsconst $p |- ( ( S e. { RR , CC } /\ A e. CC ) -> ( S _D ( S X. { A } ) )
    = ( S X. { 0 } ) ) $=
    ( cr cc cpr wcel wa csn cxp cres cdv co cc0 wss cdm wceq adantr xpssres syl
    wf fconst6g anim2i recnprss c0ex fconst fdmi sseqtrrdi dvconst adantl dmeqd
    sseqtrrd ssid jctil dvres3 syl2anc oveq2d reseq1d eqtrd 3eqtr3d ) BCDEFZADF
    ZGZBDAHZIZBJZKLZDVDKLZBJZBBVCIZKLZBMHZIZVBUTDDVDTZGDDNZBVGOZNZGVFVHPVAVMUTD
    ADUAUBVBVPVNVBBDVKIZOZVOUTBVRNVAUTBDVRBUCZDVKVQDMUDUEUFUGQVBVGVQVAVGVQPUTAU
    HUIZUJUKDULUMDBVDUNUOUTVFVJPVAUTVEVIBKUTBDNZVEVIPVSDVCBRSUPQVBVHVQBJZVLVBVG
    VQBVTUQUTWBVLPZVAUTWAWCVSDVKBRSQURUS $.

  $( Derivative of the identity function on the real or complex numbers.
     (Contributed by Steve Rodriguez, 11-Nov-2015.) $)
  dvsid $p |- ( S e. { RR , CC } -> ( S _D ( _I |` S ) ) = ( S X. { 1 } ) ) $=
    ( cr cc cpr wcel cid cres cdv co c1 csn cxp wf wa wss cdm wceq wfn crn dvid
    fnresi rnresi eqimssi df-f mpbir2an jctr recnprss 1ex fconst fdmi sseqtrrdi
    dmeqi eqtri jctil dvres3 syl2anc resabs1d oveq2d reseq1i xpssres syl5eq syl
    ssid 3eqtr3d ) ABCDEZAFCGZAGZHIZCVFHIZAGZAFAGZHIAJKZLZVEVECCVFMZNCCOZAVIPZO
    ZNVHVJQVEVNVNVFCRVFSZCOCUAVRCCUBUCCCVFUDUEUFVEVQVOVEACVPAUGZVPCVLLZPCVIVTTU
    LCVLVTCJUHUIUJUMUKCVCUNCAVFUOUPVEVGVKAHVEFACVSUQURVEACOZVJVMQVSWAVJVTAGVMVI
    VTATUSCVLAUTVAVBVD $.

  $( Derivative of the exponential function on the real or complex numbers.
     (Contributed by Steve Rodriguez, 12-Nov-2015.) $)
  dvsef $p |- ( S e. { RR , CC } -> ( S _D ( exp |` S ) ) = ( exp |` S ) ) $=
    ( cr cc cpr wcel ce cres cdv co wf wa wss cdm wceq jctr recnprss dvef dmeqi
    eff fdmi eqtri sseqtrrdi ssid jctil dvres3 syl2anc reseq1i eqtrdi ) ABCDEZA
    FAGZHIZCFHIZAGZUJUIUICCFJZKCCLZAULMZLZKUKUMNUIUNSOUIUQUOUIACUPAPUPFMCULFQRC
    CFSTUAUBCUCUDCAFUEUFULFAQUGUH $.

  ${
    $d t y C $.  $d t y K $.  $d t y S $.  $d x y K $.  $d x y ph $.
    expgrowthi.s $e |- ( ph -> S e. { RR , CC } ) $.
    expgrowthi.k $e |- ( ph -> K e. CC ) $.
    expgrowthi.y0 $e |- ( ph -> C e. CC ) $.
    expgrowthi.yt $e |- Y = ( t e. S |-> ( C x. ( exp ` ( K x. t ) ) ) ) $.
    $( Exponential growth and decay model.  See ~ expgrowth for more
       information.  (Contributed by Steve Rodriguez, 4-Nov-2015.) $)
    expgrowthi $p |- ( ph -> ( S _D Y ) = ( ( S X. { K } ) oF x. Y ) ) $=
      ( vy cdv co cmul ce cmpt wceq wcel cc cr vx cfv csn cxp cof fveq2d oveq2d
      cv oveq2 cbvmptv eqtri oveq2i cvv cpr wo wi elpri recn syl6bi biimpd jaoi
      eleq2 3syl imp wa mulcl sylan efcl syl syldan ovexd cnelprrecn a1i adantr
      adantl c1 1cnd dvmptid dvmptcmul mulid1d mpteq2dv eqtrd dvef wfn wf ax-mp
      eff ffn dffn5 mpbi 3eqtr3i fveq2 dvmptco mulcom syl2anr anabss5 mpteq2dva
      w3a 3anim123i 3anidm12 mul12 syl5eq fconstmpt offval2 eqtr4d ) ADFLMZKDEC
      EKUHZNMZOUBZNMZNMZPZDEUCUDZFNUEMAXFDKDXJPZLMZXLFXNDLFBDCEBUHZNMZOUBZNMZPX
      NJBKDXSXJXPXGQZXRXICNXTXQXHOXPXGENUIUFUGUJUKZULAXOKDCEXINMZNMZPXLAKXIYBCD
      UMDGAXGDRZXGSRZXISRZAYDYEADTSUNZRDTQZDSQZUOYDYEUPZGDTSUQYHYJYIYHYDXGTRYED
      TXGVBXGURUSYIYDYEDSXGVBUTVAVCVDZAYEVEXHSRZYFAESRZYEYLHEXGVFVGZXHVHVIVJZAY
      DVEZEXINVKADKDXIPLMKDXIENMZPKDYBPAKUAXHEUAUHZOUBZYSDSXIXISSDSGSYGRAVLVMAY
      DYEYLYKYNVJAYMYDHVNZYRSRYSSRAYRVHVOZUUAADKDXHPLMKDEVPNMZPKDEPZAKXGVPEDSDG
      YKYPVQAKDGVRHVSAKDUUBEAEHVTWAWBSUASYSPZLMZUUDQASOLMOUUEUUDWCOUUDSLOSWDZOU
      UDQSSOWEUUFWGSSOWHWFUASOWIWJZULUUGWKVMYRXHOWLZUUHWMAKDYQYBAYDYQYBQZYPYFYM
      UUIAYOHXIEWNWOWPWQWBIVSAKDYCXKYPCSRZYMYFWRZYCXKQAYDUUKAYPUUKAUUJAYMYPYFIH
      YOWSWTWPCEXIXAVIWQWBXBAKDEXJNXMFYGSUMGYTYPCXINVKXMUUCQAKDEXCVMFXNQAYAVMXD
      XE $.
  $}

  ${
    $d c x S $.  $d c x Y $.  $d x y S $.  $d x y ph $.  $d y Y $.
    dvconstbi.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvconstbi.y $e |- ( ph -> Y : S --> CC ) $.
    dvconstbi.dy $e |- ( ph -> dom ( S _D Y ) = S ) $.
    $( The derivative of a function on ` S ` is zero iff it is a constant
       function.  Roughly a biconditional ` S ` analogue of ~ dvconst and
       ~ dveq0 .  Corresponds to integration formula " ` S. 0 _d x = C ` " in
       section 4.1 of [LarsonHostetlerEdwards] p. 278.  (Contributed by Steve
       Rodriguez, 11-Nov-2015.) $)
    dvconstbi $p |- ( ph -> ( ( S _D Y ) = ( S X. { 0 } ) <-> E. c e. CC Y =
      ( S X. { c } ) ) ) $=
      ( vx co cc0 cxp wceq cc wa cfv wcel cr syl adantr 3adant2 vy cdv csn wrex
      cv wf wo cpr elpri 0re eleq2 mpbiri 0cn jaoi ffvelrn syl2anc wfn ffnd cvv
      fvex fnconstg mp1i fvconst2 w3a cmin cabs cle wbr cmul cpnf ccom cres cbl
      adantl eqid sblpnf mpdan eleq2d biimpar eleqtrrd ssidd cxr a1i cdm eqtr4d
      pnfxr wss eqimss biimpa fveq1 c0ex sylan9eq eqeltrdi abs00bd eqle 3adant1
      abscld syld3an3 3expa dvlip2 sylanr1 3impdi syl3an3 sseld subcl mpan syl6
      recnprss imp recnd breqtrd anim12dan sylan 3impb syl3an2 3anidm12 absge0d
      mul02d letri3 sylancl mpbir2and abs00ad subeq0 eqtr2d eqfnfvd sneq xpeq2d
      wb mpbid rspceeqv oveq2 3ad2ant3 dvsconst 3adant3 eqtrd rexlimdv3a impbid
      ex eqeq2d cbvrexvw bitr4di ) ABCUBIZBJUCKZLZCBHUEZUCZKZLZHMUDZCBDUEZUCZKZ
      LZDMUDAUUDUUIAUUDUUIAUUDNZJCOZMPZCBUUOUCZKZLUUIAUUPUUDABMCUFZJBPZUUPFABQL
      ZBMLZUGZUUTABQMUHPZUVCEBQMUIRUVAUUTUVBUVAUUTJQPZUJBQJUKULUVBUUTJMPZUMBMJU
      KULUNRZBMJCUOZUPSUUNUABCUURACBUQUUDABMCFURSUUOUSPUURBUQUUNJCUTZBUUOUSVAVB
      UUNUAUEZBPZNUVJUUROZUUOUVJCOZUVKUVLUUOLUUNBUUOUVJUVIVCVNAUUDUVKUUOUVMLZAU
      UDUVKVDZUUOUVMVEIZJLZUVNUVOUVPVFOZJLZUVQUVOUVSUVRJVGVHZJUVRVGVHZUVOUVRJJU
      VJVEIZVFOZVIIZJVGAUUDUVKUVRUWDVGVHZAUUDAUVKNZUWEUWFAUUDUVJJVJVFVEVKBBKVLZ
      VMOIZPZUWEAUWIUVKAUWHBUVJAUUTUWHBLZUVGAUWGJBEUWGVOZVPVQZVRVSAUUDUWIUWEAUU
      NJUWHPUWIUWEAJBUWHUVGUWLVTUUNHJUWHVJBCUWGJBJUVJAUVDUUDESUWKUUNBWAAUUSUUDF
      SAUUTUUDUVGSVJWBPUUNWFWCUWHVOUUNUWHUUBWDZLUWHUWMWGUUNUWHBUWMAUWJUUDUWLSAU
      WMBLUUDGSWEUWHUWMWHRUVEUUNUJWCAUUDUUEUWHPZUUEUUBOZVFOZJVGVHZAUUDUWNUUEBPZ
      UWQAUWNUWRUUDAUWNUWRAUWHBUUEUWLVRWITUUDUWRUWQAUUDUWRNZUWPQPUWPJLUWQUWSUWO
      UWSUWOJMUUDUWRUWOUUEUUCOJUUEUUBUUCWJBJUUEWKVCWLZUMWMWQUWSUWOUWTWNUWPJWOUP
      WPWRWSWTXAXBXCWSXBAUVKUWDJLUUDUWFUWCUWFUWCAUVKUWCQPZAUVKUVJMPZUXAABMUVJAU
      VDBMWGEBXHRXDUVFUXBUXAUMUVFUXBNUWBJUVJXEWQXFXGXIXJXRTXKAUVKUWAUUDUWFUVPUW
      FUUPUVMMPZNZUVPMPAUVKUXDAAUUTUVKUXDUVGAUUTUVKUXDAUUSUUTUVKNUXDFUUSUUTUUPU
      VKUXCUVHBMUVJCUOXLXMXNXOXPZUUOUVMXERZXQTAUVKUVSUVTUWANYHZUUDUWFUVRQPUVEUX
      GUWFUVPUXFWQUJUVRJXSXTTYAAUVKUVSUVQYHUUDUWFUVPUXFYBTYIAUVKUVQUVNYHZUUDUWF
      UXDUXHUXEUUOUVMYCRTYIWSYDYEHUUOMUUGUURCUUEUUOLUUFUUQBUUEUUOYFYGYJUPYRAUUH
      UUDHMAUUEMPZUUHVDUUBBUUGUBIZUUCUUHAUUBUXJLUXICUUGBUBYKYLAUXIUXJUUCLZUUHAU
      VDUXIUXKEUUEBYMXMYNYOYPYQUUMUUHDHMUUJUUELZUULUUGCUXLUUKUUFBUUJUUEYFYGYSYT
      UUA $.
  $}

  ${
    $d c t u x K $.  $d c t u x S $.  $d c x Y $.  $d u x y z K $.
    $d u x y z ph $.  $d y z S $.  $d y z Y $.
    expgrowth.s $e |- ( ph -> S e. { RR , CC } ) $.
    expgrowth.k $e |- ( ph -> K e. CC ) $.
    expgrowth.y $e |- ( ph -> Y : S --> CC ) $.
    expgrowth.dy $e |- ( ph -> dom ( S _D Y ) = S ) $.
    $( Exponential growth and decay model.  The derivative of a function _y_ of
       variable _t_ equals a constant _k_ times _y_ itself, iff _y_ equals some
       constant _C_ times the exponential of _kt_.  This theorem and
       ~ expgrowthi illustrate one of the simplest and most crucial classes of
       _differential equations_, equations that relate functions to their
       derivatives.

       Section 6.3 of [Strang] p. 242 calls _y_' = _ky_ "the most important
       differential equation in applied mathematics".  In the field of
       population ecology it is known as the _Malthusian growth model_ or
       _exponential law_, and _C_, _k_, and _t_ correspond to initial
       population size, growth rate, and time respectively
       ( ~ https://en.wikipedia.org/wiki/Malthusian_growth_model ); and in
       finance, the model appears in a similar role in _continuous compounding_
       with _C_ as the initial amount of money.  In _exponential decay_ models,
       _k_ is often expressed as the negative of a positive constant &lambda;.

       Here _y_' is given as ` ( S _D Y ) ` , _C_ as ` c ` , and _ky_ as
       ` ( ( S X. { K } ) oF x. Y ) ` . ` ( S X. { K } ) ` is the constant
       function that maps any real or complex input to _k_ and ` oF x. ` is
       multiplication as a function operation.

       The leftward direction of the biconditional is as given in
       ~ http://www.saylor.org/site/wp-content/uploads/2011/06/MA221-2.1.1.pdf
       pp. 1-2, which also notes the reverse direction ("While we will not
       prove this here, it turns out that these are the only functions that
       satisfy this equation.").  The rightward direction is Theorem 5.1 of
       [LarsonHostetlerEdwards] p. 375 (which notes " _C_ is the _initial
       value_ of _y_, and _k_ is the _proportionality constant_. _Exponential
       growth_ occurs when _k_ > 0, and _exponential decay_ occurs when _k_ <
       0."); its proof here closely follows the proof of _y_' = _y_ in
       ~ https://proofwiki.org/wiki/Exponential_Growth_Equation/Special_Case .

       Statements for this and ~ expgrowthi formulated by Mario Carneiro.
       (Contributed by Steve Rodriguez, 24-Nov-2015.) $)
    expgrowth $p |- ( ph -> ( ( S _D Y ) = ( ( S X. { K } ) oF x. Y ) <-> E. c
        e. CC Y = ( t e. S |-> ( c x. ( exp ` ( K x. t ) ) ) ) ) ) $=
      ( vu vx vy co cmul wceq ce cc wcel adantr vz cdv csn cxp cof cv cmpt wrex
      cfv wa cneg cc0 caddc cr cpr cnelprrecn a1i wss recnprss syl sseld syl6an
      mulcl imp negcld efcl adantl c1 ax-1cn dvmptid dvmptcmul mulid1d mpteq2dv
      eqtrd dvmptneg dvef wfn wf eff ffn ax-mp dffn5 mpbi 3eqtr3i fveq2 dvmptco
      oveq2i oveq2d mulcld fmpttd feq1d mpbird mulcom eqtr3d fconst6g fconstmpt
      caofcom eqidd offval2 cdm dmeqd eqid dmmptd dvmulf 3eqtr4rd ofmul12 oveq1
      syl22anc oveq1d sylan9eq w3a mulass caofass eqeq2d inidm off caofdir cmin
      adddir ofnegsub syl3anc neg1cn fconst6 ofc12 mulm1d sneqd ofsubid syl2anc
      wb xpeq2d mpbid wi cdiv wne efne0 cvv mpteq2dva sylan2 oveq2 weq 0cnd 0cn
      3eqtr3d mul02 caofid2 fdmi eqtrdi dvconstbi cdif eldifsn ofdivcan4 eqeq1d
      sylanbrc syl5ib vex ovexd efneg ax-1ne0 pm3.2i divdiv2 mp3an2 div1d an32s
      jca ancoms sylibd reximdva mpd simprl expgrowthi 3impb eqeq12d rexlimdv3a
      ex 3ad2ant3 impbid fveq2d cbvmptv syl5eq cbvrexvw bitrdi ) ACEUBNZCDUCUDZ
      EOUEZNZPZEKCLUFZDKUFZONZQUIZONZUGZPZLRUHZEBCFUFZDBUFZONZQUIZONZUGZPZFRUHA
      UWFUWNAUWFUWNAUWFUJZEKCUWIUKZQUIZUGZUWDNZCUWGUCUDZPZLRUHZUWNUXBCUXFUBNZCU
      LUCZUDZPUXIUXBUXJUXLUXEUWDNZUXLUXBUXJUWECDUKZUCZUDZEUWDNZUMUEZNZUXEUWDNZP
      ZUXJUXMPZUXBUYAUXJUWEUXEUWDNZUXQUXEUWDNZUXRNZPZUXBUYFUXJUYCUXPUXFUWDNZUXR
      NZPZAUWFUXJUWBUXEUWDNZUYGUXRNZUYHAUXJUYJEUXPUXEUWDNZUWDNZUXRNZUYKAUYJEKCU
      XDUXNONZUGZUWDNZUXRNUYJCUXEUBNZEUWDNZUXRNUYNUXJAUYQUYSUYJUXRAEUYRUWDNUYQU
      YSAUYRUYPEUWDAKMUXCUXNMUFZQUIZVUACRUXDUXDRRCRGRUNRUOZSAUPUQAUWHCSZUJZUWIA
      VUCUWIRSZADRSZVUCUWHRSZVUEHACRUWHACVUBSZCRURGCUSUTVAZDUWHVCVBVDZVEZAUXNRS
      ZVUCADHVEZTZUYTRSZVUARSAUYTVFVGZVUPAKUWIDCRCGVUJAVUFVUCHTACKCUWIUGUBNKCDV
      HONZUGKCDUGAKUWHVHDCRCGAVUCVUGVUIVDVHRSZVUDVIUQAKCGVJHVKAKCVUQDADHVLVMVNV
      ORMRVUAUGZUBNZVUSPARQUBNQVUTVUSVPQVUSRUBQRVQZQVUSPRRQVRVVAVSRRQVTWAMRQWBW
      CZWGVVBWDUQUYTUXCQWEZVVCWFZWHALMCOREUYRVUBGIACRUYRVRCRUYPVRAKCUYORVUDUXDU
      XNVUDUXCRSZUXDRSZVUKUXCVFZUTZVUNWIZWJACRUYRUYPVVDWKWLUWGRSZVUOUJZUWGUYTON
      ZUYTUWGONPAUWGUYTWMVGZWQWNWHAUYMUYQUYJUXRAUYLUYPEUWDAUYLUXEUXPUWDNUYPALMC
      ORUXPUXEVUBGAVULCRUXPVRZVUMCUXNRWOUTZAKCUXDRVVHWJZVVMWQAKCUXDUXNOUXEUXPVU
      BRRGVVHVUNAUXEWRUXPKCUXNUGPAKCUXNWPUQWSVNWHWHACEUXECGIVVPJAUYRWTUYPWTCAUY
      RUYPVVDXAAKUYPCUYORUYPXBVVIXCVNXDXEAUYMUYGUYJUXRAVUHCREVRZVVNCRUXEVRUYMUY
      GPGIVVOVVPCEUXPUXEVUBXFXHWHVNUWFUYJUYCUYGUXRUWBUWEUXEUWDXGXIXJAUYFUYIYIUW
      FAUYEUYHUXJAUYDUYGUYCUXRALMUACOOROUXPEUXEOVUBGVVOIVVPVVJVUOUAUFZRSXKZVVLV
      VRONUWGUYTVVRONZONPAUWGUYTVVRXLVGZXMWHXNTWLAUYAUYFYIUWFAUXTUYEUXJALMUACUM
      ROUXEUWEUXQRUMVUBGVVPALMCCCORRRUWCEVUBVUBVVKVVLRSAUWGUYTVCVGZAVUFCRUWCVRH
      CDRWOUTZIGGCXOZXPZALMCCCORRRUXPEVUBVUBVWBVVOIGGVWDXPVVSUWGUYTUMNVVRONUWGV
      VRONVVTUMNPAUWGUYTVVRXSVGXQXNTWLAUYAUYBYIUWFAUXTUXMUXJAUXSUXLUXEUWDAUWECV
      HUKZUCUDZUWEUWDNZUXRNZUWEUWEXRUENZUXSUXLAVUHCRUWEVRZVWKVWIVWJPGVWEVWECUWE
      UWEVUBXTYAAVWHUXQUWEUXRAVWGUWCUWDNZEUWDNVWHUXQALMUACOOROVWGUWCEOVUBGCRVWG
      VRACVWFRYBYCUQVWCIVWAXMAVWLUXPEUWDAVWLCVWFDONZUCZUDUXPACVWFDOVUBRRGVWFRSA
      YBUQHYDAVWNUXOCAVWMUXNADHYEYFYJVNXIWNWHAVUHVWKVWJUXLPGVWECUWEVUBYGYHUUCXI
      XNTYKAUXMUXLPUWFALCULULORUXEVUBRRGVVPAUUAZVWOVVJULUWGONULPAUWGUUDVGUUETVN
      ZUXBCUXFLAVUHUWFGTACRUXFVRUWFALMCCCORRREUXEVUBVUBVWBIVVPGGVWDXPTUXBUXJWTU
      XLWTCUXBUXJUXLVWPXACRUXLCULRUUBYCUUFUUGUUHYKAUXIUWNYLUWFAUXHUWMLRAVVJUJZU
      XHEUXGUXEYMUEZNZPZUWMAUXHVWTYLVVJUXHUXFUXEVWRNZVWSPAVWTUXFUXGUXEVWRXGAVXA
      EVWSAVUHVVQCRUXKUUIZUXEVRVXAEPGIAKCUXDVXBVUDVVEUXDVXBSZVUKVVEVVFUXDULYNVX
      CVVGUXCYOUXDRULUUJUUMUTWJCEUXEVUBUUKYAUULUUNTVWQVWSUWLEVWQVWSKCUWGVHUWJYM
      NZYMNZUGZUWLAVWSVXFPVVJAKCUWGVXDYMUXGUXEVUBYPYPGUWGYPSVUDLUUOUQVUDVHUWJYM
      UUPUXGKCUWGUGPAKCUWGWPUQAKCUXDVXDVUDVUEUXDVXDPVUJUWIUUQUTYQWSTVWQKCVXEUWK
      AVUCVVJVXEUWKPZVVJVUDVXGVVJVUDUJZVXEUWKVHYMNZUWKVUDVVJUWJRSZUWJULYNZUJZVX
      EVXIPZVUDVUEVXLVUJVUEVXJVXKUWIVFZUWIYOUVDUTVVJVURVHULYNZUJVXLVXMVURVXOVIU
      URUUSUWGVHUWJUUTUVAYRVXHUWKVUDVVJVXJUWKRSVUDVUEVXJVUJVXNUTUWGUWJVCYRUVBVN
      UVEUVCYQVNXNUVFUVGTUVHUVNAUWMUWFLRAVVJUWMXKUWFCUWLUBNZUWCUWLUWDNZPZAVVJUW
      MVXRAVVJUWMUJZUJKUWGCDUWLAVUHVXSGTAVUFVXSHTAVVJUWMUVIUWLXBUVJUVKUWMAUWFVX
      RYIVVJUWMUWBVXPUWEVXQEUWLCUBYSEUWLUWCUWDYSUVLUVOWLUVMUVPUWMUXALFRLFYTZUWL
      UWTEVXTUWLBCUWGUWRONZUGUWTKBCUWKVYAKBYTZUWJUWRUWGOVYBUWIUWQQUWHUWPDOYSUVQ
      WHUVRVXTBCVYAUWSUWGUWOUWROXGVMUVSXNUVTUWA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  The generalized binomial coefficient operation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c _Cc $.
  $( Extend class notation to include the generalized binomial coefficient
     operation. $)
  cbcc $a class _Cc $.

  ${
    $d c k $.
    $( Define a generalized binomial coefficient operation, which unlike
       ~ df-bc allows complex numbers for the first argument.  (Contributed by
       Steve Rodriguez, 22-Apr-2020.) $)
    df-bcc $a |- _Cc = ( c e. CC , k e. NN0 |->
        ( ( c FallFac k ) / ( ! ` k ) ) ) $.
  $}

  ${
    $d c k ph $.  $d c k C $.  $d c k K $.
    bccval.c $e |- ( ph -> C e. CC ) $.
    bccval.k $e |- ( ph -> K e. NN0 ) $.
    $( Value of the generalized binomial coefficient, ` C ` choose ` K ` .
       (Contributed by Steve Rodriguez, 22-Apr-2020.) $)
    bccval $p |- ( ph -> ( C _Cc K ) = ( ( C FallFac K ) / ( ! ` K ) ) ) $=
      ( vc vk cc cn0 cv cfallfac co cfa cfv cdiv cbcc cvv wceq wa oveq12d ovexd
      cmpo df-bcc a1i simprl simprr fveq2d ovmpod ) AFGBCHIFJZGJZKLZUJMNZOLZBCK
      LZCMNZOLPQPFGHIUMUBRAGFUCUDAUIBRZUJCRZSSZUKUNULUOOURUIBUJCKAUPUQUEAUPUQUF
      ZTURUJCMUSUGTDEAUNUOOUAUH $.

    $( Closure of the generalized binomial coefficient.  (Contributed by Steve
       Rodriguez, 22-Apr-2020.) $)
    bcccl $p |- ( ph -> ( C _Cc K ) e. CC ) $=
      ( cbcc co cfallfac cfa cfv cdiv cc bccval wcel fallfaccl syl2anc cn faccl
      cn0 syl nncnd nnne0d divcld eqeltrd ) ABCFGBCHGZCIJZKGLABCDEMAUEUFABLNCSN
      ZUELNDEBCOPAUFAUGUFQNECRTZUAAUFUHUBUCUD $.

    $( The generalized binomial coefficient ` C ` choose ` K ` is zero iff
       ` C ` is an integer between zero and ` ( K - 1 ) ` inclusive.
       (Contributed by Steve Rodriguez, 22-Apr-2020.) $)
    bcc0 $p |- ( ph -> ( ( C _Cc K ) = 0 <-> C e. ( 0 ... ( K - 1 ) ) ) ) $=
      ( vk co cc0 wceq cfv cmin wcel eqeq1d cc cn0 syl2anc wne adantl ad2antrr
      wa cbcc cfallfac cfa cdiv c1 cfz bccval fallfaccl cn faccl nncnd diveq0ad
      syl facne0 cprod fallfacval cuz elfzuz3 nn0uz elfznn0 nn0cn subcld biimpi
      cv eqcom subeq0bd fprodeq0 mpdan ex wn fzfid nn0cnd nelne2 necomd adantll
      ancoms subne0d fprodn0 necon4bd impbid bitr4d 3bitrd ) ABCUAGZHIBCUBGZCUC
      JZUDGZHIWDHIZBHCUEKGZUFGZLZAWCWFHABCDEUGMAWDWEABNLZCOLZWDNLDEBCUHPAWEAWLW
      EUILECUJUMUKAWLWEHQECUNUMULAWGWIBFVDZKGZFUOZHIZWJAWDWOHAWKWLWDWOIDEBFCUPP
      MAWJWPAWJWPAWJTZWHBUQJLZWPWJWRABHWHURRWQWNFWHHBOUSWJBOLABWHUTRWQWMOLZTBWM
      AWKWJWSDSWSWMNLZWQWMVARVBWQWMBIZTBWMAWKWJXADSXABWMIZWQXAXBWMBVEVCRVFVGVHV
      IAWJWOHAWJVJZWOHQAXCTZWIWNFXDHWHVKXDWMWILZTZBWMAWKXCXEDSZXEWTXDXEWMWMWHUT
      VLRZVBXFBWMXGXHXCXEBWMQZAXEXCXIXEXCTWMBWMBWIVMVNVPVOVQVRVIVSVTWAWB $.

    $( Generalized binomial coefficient: ` C ` choose ` ( K + 1 ) ` .
       (Contributed by Steve Rodriguez, 22-Apr-2020.) $)
    bccp1k $p |- ( ph -> ( C _Cc ( K + 1 ) ) = ( ( C _Cc K ) x.
        ( ( C - K ) / ( K + 1 ) ) ) ) $=
      ( co cbcc cfallfac cfa cfv cdiv cmul cc wcel cn0 wceq syl2anc syl bccval
      cn c1 caddc cmin fallfacp1 facp1 oveq12d peano2nn0 fallfaccl faccl nn0cnd
      nncnd subcld nnne0d nn0p1nn divmuldivd 3eqtr4d oveq1d eqtr4d ) ABCUAUBFZG
      FZBCHFZCIJZKFZBCUCFZUSKFZLFZBCGFZVELFABUSHFZUSIJZKFVAVDLFZVBUSLFZKFUTVFAV
      HVJVIVKKABMNZCONZVHVJPDEBCUDQAVMVIVKPECUERUFABUSDAVMUSONECUGRZSAVAVBVDUSA
      VLVMVAMNDEBCUHQAVBAVMVBTNECUIRZUKABCDACEUJULAUSVNUJAVBVOUMAUSAVMUSTNECUNR
      UMUOUPAVGVCVELABCDESUQUR $.
  $}

  ${
    bccm1k.c $e |- ( ph -> C e. ( CC \ { ( K - 1 ) } ) ) $.
    bccm1k.k $e |- ( ph -> K e. NN ) $.
    $( Generalized binomial coefficient: ` C ` choose ` ( K - 1 ) ` , when
       ` C ` is not ` ( K - 1 ) ` .  (Contributed by Steve Rodriguez,
       22-Apr-2020.) $)
    bccm1k $p |- ( ph -> ( C _Cc ( K - 1 ) ) = ( ( C _Cc K ) /
        ( ( C - ( K - 1 ) ) / K ) ) ) $=
      ( c1 cmin co cdiv cbcc csn eldifad nncnd 1cnd subcld wcel syl cmul oveq2d
      cc nnne0d divcld cn cn0 nnm1nn0 bcccl cdif eldifsni subne0d divne0d caddc
      wne bccp1k npcand 3eqtr3d mulcomd eqtr2d mvllmuld ) ABCFGHZGHZCIHZBUSJHZB
      CJHZAUTCABUSABTUSKZDLZACFACEMZANZOZOZVFACEUAZUBZABUSVEACUCPUSUDPECUEQZUFZ
      AUTCVIVFABUSVEVHABTVDUGPBUSULDBTUSUHQUIVJUJAVCVBVARHZVAVBRHABUSFUKHZJHVBU
      TVOIHZRHVCVNABUSVEVLUMAVOCBJACFVFVGUNZSAVPVAVBRAVOCUTIVQSSUOAVBVAVMVKUPUQ
      UR $.
  $}

  ${
    bccn0.c $e |- ( ph -> C e. CC ) $.
    $( Generalized binomial coefficient: ` C ` choose ` 0 ` .  (Contributed by
       Steve Rodriguez, 22-Apr-2020.) $)
    bccn0 $p |- ( ph -> ( C _Cc 0 ) = 1 ) $=
      ( cc0 cbcc co cfallfac cfa cfv cdiv c1 cn0 wcel 0nn0 bccval wceq fallfac0
      a1i cc syl fac0 oveq12d 1div1e1 eqtrdi eqtrd ) ABDEFBDGFZDHIZJFZKABDCDLMA
      NROAUHKKJFKAUFKUGKJABSMUFKPCBQTUGKPAUARUBUCUDUE $.

    $( Generalized binomial coefficient: ` C ` choose ` 1 ` .  (Contributed by
       Steve Rodriguez, 22-Apr-2020.) $)
    bccn1 $p |- ( ph -> ( C _Cc 1 ) = C ) $=
      ( c1 cbcc co cmul cc0 caddc cmin cdiv cn0 wcel 0nn0 a1i bccp1k wceq 0p1e1
      oveq12d eqtrd oveq2i bccn0 subid1d div1d 3eqtr3d mulid2d ) ABDEFZDBGFZBAB
      HDIFZEFZBHEFZBHJFZUIKFZGFUGUHABHCHLMANOPUJUGQAUIDBERUAOAUKDUMBGABCUBAUMBD
      KFBAULBUIDKABCUCUIDQAROSABCUDTSUEABCUFT $.
  $}

  ${
    bccbc.c $e |- ( ph -> N e. NN0 ) $.
    bccbc.k $e |- ( ph -> K e. NN0 ) $.
    $( The binomial coefficient and generalized binomial coefficient are equal
       when their arguments are nonnegative integers.  (Contributed by Steve
       Rodriguez, 22-Apr-2020.) $)
    bccbc $p |- ( ph -> ( N _Cc K ) = ( N _C K ) ) $=
      ( cc0 cfz co wcel wceq wa cfv adantr adantl eqtr4d wbr c1 cn0 cz syldan
      cbcc cbc cfallfac cfa cdiv nn0cnd bccval bcfallfac clt caddc cuz nn0split
      wn cun wo syl eleqtrd elun sylib orcanai cle eluzle nn0zd zltp1le syl2anc
      wb mpbird nn0ge0d cfzo 0zd syl3anc biimpar cmin fzoval eleq2d biimpa bcc0
      elfzo sylanr1 anabss5 jca bcval3 3expa sylan pm2.61dan ) ABFCGHZIZCBUAHZC
      BUBHZJAWGKWHCBUCHBUDLUEHZWIAWHWJJWGACBACDUFZEUGMWGWIWJJABCUHNOAWGUMZKWHFW
      IAWLCBUIPZWHFJZAWLBCQUJHZUKLZIZWMAWGWQABWFWPUNZIWGWQUOABRWREACRIZRWRJDCUL
      UPUQBWFWPURUSUTAWQKWMWOBVAPZWQWTAWOBVBNAWMWTVFZWQACSIZBSIZXAACDVCZABEVCZC
      BVDVEMVGTAWMWNAAFCVAPZWMWNACDVHAXFWMKZCFBVIHZIZWNAXIXGAXBFSIXCXIXGVFXDAVJ
      XECFBVRVKVLAXICFBQVMHGHZIZWNAXIXKAXHXJCAXCXHXJJXEFBVNUPVOVPAWNXKACBWKEVQV
      LTTVSVTTAWSXCKWLWIFJZAWSXCDXEWAWSXCWLXLBCWBWCWDOWE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Binomial series
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y N $.  $d x y Z $.  $d y ph $.  $d x C $.  $d y F $.  $d y M $.
    $d y W $.
    uzmptshftfval.f $e |- F = ( x e. Z |-> B ) $.
    uzmptshftfval.b $e |- B e. _V $.
    uzmptshftfval.c $e |- ( x = ( y - N ) -> B = C ) $.
    uzmptshftfval.z $e |- Z = ( ZZ>= ` M ) $.
    uzmptshftfval.w $e |- W = ( ZZ>= ` ( M + N ) ) $.
    uzmptshftfval.m $e |- ( ph -> M e. ZZ ) $.
    uzmptshftfval.n $e |- ( ph -> N e. ZZ ) $.
    $( When ` F ` is a maps-to function on some set of upper integers ` Z `
       that returns a set ` B ` , ` ( F shift N ) ` is another maps-to function
       on the shifted set of upper integers ` W ` .  (Contributed by Steve
       Rodriguez, 22-Apr-2020.) $)
    uzmptshftfval $p |- ( ph -> ( F shift N ) = ( y e. W |-> C ) ) $=
      ( cfv wcel cc cshi co cmpt wfn wceq cmin crab fnmpti zcnd cvv fvexi mptex
      cv cuz eqeltri shftfn sylancr shftuz syl2anc eleq2i rabbii 3eqtr4g fneq2d
      caddc cz mpbid dffn5 sylib uzssz eqsstri zsscn sstri sseli shftval syl2an
      wa jca eluzsub 3expa sylan sylan2b eleqtrrdi fvmpt3i syl eqtrd mpteq2dva
      ) AFHUAUBZCICUMZWGRZUCZCIEUCAWGIUDZWGWJUEAWGWHHUFUBZJSZCTUGZUDZWKAFJUDHTS
      ZWOBJDFLKUHAHQUIZCHJFFBJDUCUJKBJDJGUNNUKULUOZUPUQAWNIWGAWLGUNRZSZCTUGZGHV
      DUBZUNRZWNIAHVESZGVESZXAXCUEQPCHGURUSWMWTCTJWSWLNUTVAOVBVCVFCIWGVGVHACIWI
      EAWHISZVPZWIWLFRZEAWPWHTSWIXHUEXFWQITWHIVETIXCVEOXBVIVJVKVLVMHWHFWRVNVOXG
      WMXHEUEXGWLWSJXFAWHXCSZWTIXCWHOUTAXEXDVPXIWTAXEXDPQVQXEXDXIWTHGWHVRVSVTWA
      NWBBWLDEJFMKLWCWDWEWFWE $.
  $}

  ${
    $d m r x X $.  $d m n x A $.  $d n X $.  $d m ph $.  $d r G $.  $d m H $.
    dvradcnv2.g $e |- G = ( x e. CC |-> ( n e. NN0 |-> ( ( A ` n ) x. ( x ^ n
        ) ) ) ) $.
    dvradcnv2.r $e |- R = sup ( { r e. RR | seq 0 ( + , ( G ` r ) ) e. dom ~~>
        } , RR* , < ) $.
    dvradcnv2.h $e |- H = ( n e. NN |->
        ( ( n x. ( A ` n ) ) x. ( X ^ ( n - 1 ) ) ) ) $.
    dvradcnv2.a $e |- ( ph -> A : NN0 --> CC ) $.
    dvradcnv2.x $e |- ( ph -> X e. CC ) $.
    dvradcnv2.l $e |- ( ph -> ( abs ` X ) < R ) $.
    $( The radius of convergence of the (formal) derivative ` H ` of the power
       series ` G ` is (at least) as large as the radius of convergence of
       ` G ` .  This version of ~ dvradcnv uses a shifted version of ` H ` to
       match the sum form of ` ( CC _D F ) ` in ~ pserdv2 (and shows how to use
       ~ uzmptshftfval to shift a maps-to function on a set of upper integers).
       (Contributed by Steve Rodriguez, 22-Apr-2020.) $)
    dvradcnv2 $p |- ( ph -> seq 1 ( + , H ) e. dom ~~> ) $=
      ( caddc c1 cc0 co cmul vm cseq cneg cmin cli cdm 0cn ax-1cn subnegi 0p1e1
      wceq eqtri seqeq1 ax-mp cshi cfv wbr wcel cv cexp cmpt cn ovex id oveq12d
      cn0 fveq2 oveq1 oveq2d nnuz cuz nn0uz 1pneg1e0 fveq2i eqtr4i 1zzd znegcld
      uzmptshftfval wa nn0cn adantl 1cnd subnegd fveq2d oveq1d pncand mpteq2dva
      cc eqtrd seqeq3d oveq2 cbvmptv mpteq2i eqid dvradcnv eqeltrd climdm sylib
      cz 0z neg1z cvv nnex mptex eqeltri seqshft mp2an breq1i wb seqex climshft
      bitri fvex breldm sylbi syl eqeltrrid ) APGQUBZPGRQUCZUDSZUBZUEUFZXTQUKYA
      XRUKXTRQPSQRQUGUHUIUJULPGXTQUMUNAPGXSUOSZRUBZYDUEUPZUEUQZYAYBURZAYDYBURYF
      AYDPUAVFUAUSZQPSZYICUPZTSZHYHUTSZTSZVAZRUBYBAYCYNPRAYCUAVFYHXSUDSZYOCUPZT
      SZHYOQUDSZUTSZTSZVAYNAEUAEUSZUUACUPZTSZHUUAQUDSZUTSZTSZYTGQXSVFVBLUUCUUET
      VCUUAYOUKZUUCYQUUEYSTUUGUUAYOUUBYPTUUGVDUUAYOCVGVEUUGUUDYRHUTUUAYOQUDVHVI
      VEVJVFRVKUPQXSPSZVKUPVLUUHRVKVMVNVOAVPZAQUUIVQVRAUAVFYTYMAYHVFURZVSZYQYKY
      SYLTUUKYOYIYPYJTUUKYHQUUJYHWHURAYHVTWAZUUKWBZWCZUUKYOYICUUNWDVEUUKYRYHHUT
      UUKYRYIQUDSYHUUKYOYIQUDUUNWEUUKYHQUULUUMWFWIVIVEWGWIWJABCDUAFYNHIFBWHEVFU
      UBBUSZUUAUTSZTSZVAZVABWHUAVFYHCUPZUUOYHUTSZTSZVAZVAJBWHUURUVBEUAVFUUQUVAU
      UAYHUKUUBUUSUUPUUTTUUAYHCVGUUAYHUUOUTWKVEWLWMULKYNWNMNOWOWPYDWQWRYFYAYEUE
      UQZYGYFYAXSUOSZYEUEUQZUVCYDUVDYEUERWSURXSWSURZYDUVDUKWTXAPGRXSGEVBUUFVAXB
      LEVBUUFXCXDXEXFXGXHUVFYAXBURUVEUVCXIXAPGXTXJZYEYAXSXBXKXGXLYAYEUEUVGYDUEX
      MXNXOXPXQ $.
  $}

  ${
    binomcxplem.c $e |- ( ph -> C e. CC ) $.
    binomcxplem.k $e |- ( ph -> K e. NN ) $.
    $( Lemma for ~ binomcxp .  The lemma in the Wikibooks proof.  (Contributed
       by Steve Rodriguez, 22-Apr-2020.) $)
    binomcxplemwb $p |- ( ph -> ( ( ( C - K ) x. ( C _Cc K ) ) + ( ( C -
        ( K - 1 ) ) x. ( C _Cc ( K - 1 ) ) ) ) = ( C x. ( C _Cc K ) ) ) $=
      ( cfallfac co cmul cfa cfv cdiv cmin caddc c1 oveq1d wcel oveq2d 3eqtr4rd
      cc syl nncnd npcand subcld nnnn0d fallfaccl syl2anc adddird eqtr3d bccval
      cbcc cn0 faccl cc0 facne0 divassd eqtr4d mulcld divdird cn nnm1nn0 nnne0d
      wne divcan5d 1cnd fveq2d wceq facp1 mulcomd 3eqtr4d fallfacp1 oveq12d ) A
      BBCFGZHGZCIJZKGZBCLGZVLHGZCVLHGZMGZVNKGZBBCUJGZHGZVPWAHGZBCNLGZLGZBWDUJGZ
      HGZMGZAVMVSVNKAVPCMGZVLHGVMVSAWIBVLHABCDACEUAZUBOAVPCVLABCDWJUCZWJABSPZCU
      KPZVLSPDACEUDZBCUEUFZUGUHOAWBBVLVNKGZHGVOAWAWPBHABCDWNUIZQABVLVNDWOAWMVNS
      PWNWMVNCULUATZAWMVNUMVBWNCUNTZUOUPAVQVNKGZVRVNKGZMGVPWPHGZXAMGVTWHAWTXBXA
      MAVPVLVNWKWOWRWSUOOAVQVRVNAVPVLWKWOUQACVLWJWOUQWRWSURAWCXBWGXAMAWAWPVPHWQ
      QAVRCWDIJZHGZKGVLXCKGZXAWGAVLXCCWOAWDUKPZXCSPACUSPXFECUTTZXFXCWDULUATZWJA
      XFXCUMVBXGWDUNTZACEVAVCAVNXDVRKAWDNMGZIJZVNXDAXJCIACNWJAVDZUBZVEAXCXJHGZX
      CCHGXKXDAXJCXCHXMQAXFXKXNVFXGWDVGTACXCWJXHVHVIUHQAWEBWDFGZHGZXCKGWEXOXCKG
      ZHGXEWGAWEXOXCABWDDACNWJXLUCUCZAWLXFXOSPDXGBWDUEUFZXHXIUOAVLXPXCKAVLXOWEH
      GZXPABXJFGZVLXTAXJCBFXMQAWLXFYAXTVFDXGBWDVJUFUHAWEXOXRXSVHUPOAWFXQWEHABWD
      DXGUIQRRVKRR $.
  $}

  ${
    binomcxp.a $e |- ( ph -> A e. RR+ ) $.
    binomcxp.b $e |- ( ph -> B e. RR ) $.
    binomcxp.lt $e |- ( ph -> ( abs ` B ) < ( abs ` A ) ) $.
    binomcxp.c $e |- ( ph -> C e. CC ) $.
    $( TODO: how to generalize to complex summands A and B? $)
    ${
      $d j k ph $.  $d j k A $.  $d j k B $.  $d j k C $.
      $( Lemma for ~ binomcxp .  When ` C ` is a nonnegative integer, the
         binomial's finite sum value by the standard binomial theorem ~ binom
         equals this generalized infinite sum: the generalized binomial
         coefficient and exponentiation operators give exactly the same values
         in the standard index set ` ( 0 ... C ) ` , and when the index set is
         widened beyond ` C ` the additional values are just zeroes.
         (Contributed by Steve Rodriguez, 22-Apr-2020.) $)
      binomcxplemnn0 $p |- ( ( ph /\ C e. NN0 ) -> ( ( A + B ) ^c C ) = sum_
           k e. NN0 ( ( C _Cc k ) x. ( ( A ^c ( C - k ) ) x. ( B ^ k ) ) ) ) $=
        ( cn0 wcel cc0 co cmul caddc cc wceq ad2antrr c1 cr vj wa cfz cbcc cmin
        cv ccxp cexp csu cbc rpcnd recnd binom 3expia syl2anc imp adantr addcld
        simpr cxpexp elfznn0 simplr sylan2 cle wbr elfzle2 adantl nn0sub ancoms
        wi bccbc adantll mpbid oveq1d oveq12d sumeq2dv 3eqtr4d eqeltrrd addid1d
        wb cxpcld cuz cfv cmpt nn0uz eqid 1nn0 a1i nn0addcld eqidd oveq2d bcccl
        nn0cnd subcld expcld mulcld fvmptd csn cxp peano2nn0 wf c0ex 0red snssd
        fconst fssd ffvelrnda eqeltrd cseq cli wrel climrel xpeq1i seqeq3 ax-mp
        cdm cz 0z serclim0 eqbrtri releldm mp2an eluznn0 sylan syldan 0zd nn0zd
        cabs 1zzd zsubcld nn0ge0d eluzle zred 1red nn0red leaddsub elfzd mul02d
        syl3anc eqtrd bcc0 eluzelcn abs00bd 0re eqeltrdi eqle breqtrrd cvgcmpce
        mpbird isumsplit 1cnd pncand sumeq1d wss cfn wo ssid orci eqtrdi 3eqtrd
        sumz 3eqtr4rd ) ADJKZUBZLDUCMZDEUFZUDMZBDUVFUEMZUGMZCUVFUHMZNMZNMZEUIZL
        OMZUVMJUVLEUIZBCOMZDUGMZUVDUVMUVDUVQUVMPUVDUVPDUHMZUVEDUVFUJMZBUVHUHMZU
        VJNMZNMZEUIZUVQUVMAUVCUVRUWCQZABPKZCPKZUVCUWDVJABFUKZACGULZUWEUWFUVCUWD
        BCEDUMUNUOUPUVDUVPPKUVCUVQUVRQUVDBCAUWEUVCUWGUQAUWFUVCUWHUQURZAUVCUSZUV
        PDUTUOUVDUVEUVLUWBEUVDUVFUVEKZUBZUVGUVSUVKUWANUWKUVDUVFJKZUVGUVSQUVFDVA
        ZUVDUWMUBZUVFDAUVCUWMVBUVDUWMUSZVKVCUWLUVIUVTUVJNUWLUWEUVHJKZUVIUVTQAUW
        EUVCUWKUWGRUWLUVFDVDVEZUWQUWKUWRUVDUVFLDVFVGUWKUVDUWMUWRUWQVTZUWNUVCUWM
        UWSAUWMUVCUWSUVFDVHVIVLVCVMBUVHUTUOVNVOVPVQZUVDUVPDUWIADPKZUVCIUQZWAVRV
        SUVDUVOLDSOMZSUEMZUCMZUVLEUIZUXCWBWCZUVLEUIZOMUVMUXHOMUVNUVDUVLEUAJDUAU
        FZUDMZBDUXIUEMZUGMZCUXIUHMZNMZNMZWDZLUXCUXGJWEUXGWFUVDDSUWJSJKUVDWGWHWI
        UWOUAUVFUXOUVLJUXPPUWOUXPWJUWOUXIUVFQZUBZUXJUVGUXNUVKNUXRUXIUVFDUDUWOUX
        QUSZWKUXRUXLUVIUXMUVJNUXRUXKUVHBUGUXRUXIUVFDUEUXSWKWKUXRUXIUVFCUHUXSWKV
        OVOUWPUWOUVGUVKUWODUVFAUXAUVCUWMIRZUWPWLUWOUVIUVJUWOBUVHAUWEUVCUWMUWGRU
        WODUVFUXTUWOUVFUWPWMWNWAUWOCUVFAUWFUVCUWMUWHRUWPWOWPWPZWQZUYAUVDLEJLWRZ
        WSZUXPLUXCJWEUVCUXCJKZADWTVGZUVDJTUVFUYDUVDJUYCTUYDJUYCUYDXAUVDJLXBXEWH
        UVDLTUVDXCZXDXFXGZUWOUVFUXPWCZUVLPUYBUYAXHOUYDLXIZXJXPKZUVDXJXKUYJLXJVE
        UYKXLUYJOLWBWCZUYCWSZLXIZLXJUYDUYMQUYJUYNQJUYLUYCWEXMOUYDUYMLXNXOLXQKUY
        NLXJVEXRLXSXOXTUYJLXJYAYBWHUYGUVDUVFUXGKZUBZUYIYHWCZLLUVFUYDWCZNMVDUYPU
        YQTKUYQLQUYQLVDVEUYPUYQLTUYPUYIUYPUYIUVLLUVDUYOUWMUYIUVLQUVDUYEUYOUWMUY
        FUVFUXCYCYDZUYBYEUYPUVLLUVKNMLUYPUVGLUVKNUYPUVGLQDLUVFSUEMZUCMKUYPDLUYT
        UYPYFUYPUVFSUYPUVFUYSYGUYPYIYJUVDDXQKUYOUVDDUWJYGUQZUVDLDVDVEUYOUVDDUWJ
        YKUQUYPUXCUVFVDVEZDUYTVDVEZUYOVUBUVDUXCUVFYLVGUYPDTKSTKUVFTKVUBVUCVTUYP
        DVUAYMUYPYNUYPUVFUYSYODSUVFYPYSVMYQUYPDUVFAUXAUVCUYOIRZUYSUUAUUIVNUYPUV
        KUYPUVIUVJUYPBUVHAUWEUVCUYOUWGRUYPDUVFVUDUYOUVFPKUVDUXCUVFUUBVGWNWAUYPC
        UVFAUWFUVCUYOUWHRUYSWOWPYRYTZYTUUCZUUDUUEVUFUYQLUUFUOUYPUYRUVDUYOUWMUYR
        PKUYSUWOUYRUYHULYEYRUUGUUHUUJUVDUXFUVMUXHOUVDUXEUVEUVLEUVDUXDDLUCUVDDSU
        XBUVDUUKUULWKUUMVNUVDUXHLUVMOUVDUXHUXGLEUIZLUVDUXGUVLLEVUEVPUXGUXGUUNZU
        XGUUOKZUUPVUGLQVUHVUIUXGUUQUURUXGEUXCUVAXOUUSWKUUTUWTUVB $.
    $}

    ${
      $d k x ph $.  $d k x C $.
      $( Lemma for ~ binomcxp .  As ` k ` increases, this ratio's absolute
         value converges to one.  Part of equation "Since continuity of the
         absolute value..." in the Wikibooks proof (proven for the inverse
         ratio, which we later show is no problem).  (Contributed by Steve
         Rodriguez, 22-Apr-2020.) $)
      binomcxplemrat $p |- ( ph -> ( k e. NN0 |->
          ( abs ` ( ( C - k ) / ( k + 1 ) ) ) ) ~~> 1 ) $=
        ( cn0 cmin co c1 cdiv cabs cfv cc0 cvv cc wcel vx caddc cmpt cneg nn0uz
        cv cli cof 0zd peano2cn syl 1zzd nn0ex mptex wa eqidd wceq simpr oveq1d
        a1i oveq2d ovexd fvmptd divcnvshft wbr csn cxp nn0cn 1cnd addcld nnne0d
        nn0p1nn dividd mpteq2ia fconstmpt eqtr4i ax-1cn cuz eqimss2i climconst2
        cz 0z mp2an eqbrtri adantr nn0cnd wne adantl divcld eqeltrd oveq12d wfn
        ovex eqid fnmpti inidm ofval climsub offval2 divsubdird pnpcan2d eqtr3d
        mpteq2dva eqtrd df-neg eqcomi 3brtr3d oveq2 oveq1 subcld fveq2d climabs
        fvexd eqtr4d absnegi abs1 eqtri breqtrdi ) AEJDEUFZKLZXSMUBLZNLZOPZUCZM
        UDZOPZMUGAYEUAEJYBUCZYDQRJUEAEJDMUBLZYANLZUCZEJYAYANLZUCZKUHZLZQMKLZYGY
        EUGAQMUAYJYLYNQRJUEAUIZAYHMUAYJQRJUEYPADSTZYHSTZIDUJUKZAULYJRTAEJYIUMUN
        UTAUAUFZJTZUOZEYTYIYHYTMUBLZNLZJYJRUUBYJUPUUBXSYTUQZUOZYAUUCYHNUUFXSYTM
        UBUUBUUEURUSZVAAUUAURZUUBYHUUCNVBVCZVDAYJYLYMVBYLMUGVEAYLJMVFVGZMUGYLEJ
        MUCUUJEJYKMXSJTZYAUUKXSMXSVHZUUKVIVJZUUKYAXSVLVKZVMVNEJMVOVPMSTQWATUUJM
        UGVEVQWBMQJJQVRPUEVSUMVTWCWDUTUUBYTYJPZUUDSUUIUUBYHUUCUUBDMAYQUUAIWEZUU
        BVIZVJUUBYTMUUBYTUUHWFZUUQVJZUUAUUCQWGAUUAUUCYTVLVKWHZWIWJUUBYTYLPZUUCU
        UCNLZSUUBEYTYKUVBJYLRUUBYLUPUUFYAUUCYAUUCNUUGUUGWKUUHUUBUUCUUCNVBVCUUBU
        UCUUCUUSUUSUUTWIWJAJJUUOUVAKJYJYLRRYTYJJWLAEJYIYJYHYANWMYJWNWOUTYLJWLAE
        JYKYLYAYANWMYLWNWOUTJRTAUMUTZUVCJWPUUBUUOUPUUBUVAUPWQWRAYNEJYIYKKLZUCYG
        AEJYIYKKYJYLRRRUVCAUUKUOZYHYANVBUVEYAYANVBAYJUPAYLUPWSAEJUVDYBUVEYHYAKL
        ZYANLUVDYBUVEYHYAYAAYRUUKYSWEUUKYASTAUUMWHZUVGUUKYAQWGAUUNWHWTUVEUVFXTY
        ANUVEDXSMAYQUUKIWEUUKXSSTAUULWHUVEVIXAUSXBXCXDYOYEUQAYEYOMXEXFUTXGYDRTA
        EJYCUMUNUTYPUUBYTYGPZDYTKLZUUCNLZSUUBEYTYBUVJJYGRUUBYGUPUUEYBUVJUQUUBUU
        EXTUVIYAUUCNXSYTDKXHXSYTMUBXIWKZWHUUHUUBUVIUUCNVBVCZUUBUVIUUCUUBDYTUUPU
        URXJUUSUUTWIWJUUBYTYDPUVJOPZUVHOPUUBEYTYCUVMJYDRUUBYDUPUUEYCUVMUQUUBUUE
        YBUVJOUVKXKWHUUHUUBUVJOXMVCUUBUVHUVJOUVLXKXNXLYFMOPMMVQXOXPXQXR $.
    $}

    ${
      binomcxplem.f $e |- F = ( j e. NN0 |-> ( C _Cc j ) ) $.
      ${
        $d j k ph $.  $d j k C $.
        $( Lemma for ~ binomcxp . ~ binomcxplemrat implies that when ` C ` is
           not a nonnegative integer, the absolute value of the ratio
           ` ( ( F `` ( k + 1 ) ) / ( F `` k ) ) ` converges to one.  The rest
           of equation "Since continuity of the absolute value..." in the
           Wikibooks proof.  (Contributed by Steve Rodriguez, 22-Apr-2020.) $)
        binomcxplemfrat $p |- ( ( ph /\ -. C e. NN0 ) -> ( k e. NN0 |->
            ( abs ` ( ( F ` ( k + 1 ) ) / ( F ` k ) ) ) ) ~~> 1 ) $=
          ( cn0 wcel wa c1 co wceq cbcc cc0 wn cv caddc cfv cdiv cabs cmpt cmin
          cli cmul cc adantr simpr bccp1k cvv a1i oveq2d nn0addcld ovexd fvmptd
          1nn0 oveq1d 3eqtr4d adantlr eqcomd bcccl eqeltrd nn0cnd subcld addcld
          1cnd wne nn0p1nn nnne0d adantl divcld cfz elfznn0 con3i ad2antlr bcc0
          mulcld necon3abid mpbird eqnetrd divmuld mpteq2dva wbr binomcxplemrat
          fveq2d eqbrtrd ) ADMNZUAZOZFMFUBZPUCQZGUDZWOGUDZUEQZUFUDZUGFMDWOUHQZW
          PUEQZUFUDZUGZPUIWNFMWTXCWNWOMNZOZWSXBUFXFWSXBRWRXBUJQZWQRXFWQXGAXEWQX
          GRWMAXEOZDWPSQZDWOSQZXBUJQWQXGXHDWOADUKNZXEKULZAXEUMZUNXHEWPDEUBZSQZX
          IMGUOGEMXOUGRXHLUPZXHXNWPRZOXNWPDSXHXQUMUQXHWOPXMPMNXHVAUPURXHDWPSUSU
          TXHWRXJXBUJXHEWOXOXJMGUOXPXHXNWORZOXNWODSXHXRUMUQXMXHDWOSUSUTZVBVCVDZ
          VEXFWQWRXBXFWQXGUKXTXFWRXBAXEWRUKNWMXHWRXJUKXSXHDWOXLXMVFVGVDZXFXAWPX
          FDWOAXEXKWMXLVDZXFWOWNXEUMZVHZVIXFWOPYDXFVKVJXEWPTVLWNXEWPWOVMVNVOVPZ
          WBVGYAYEXFWRXJTAXEWRXJRWMXSVDXFXJTVLDTWOPUHQZVQQNZUAZWMYHAXEYGWLDYFVR
          VSVTXFYGXJTXFDWOYBYCWAWCWDWEWFWDWJWGAXDPUIWHWMABCDFHIJKWIULWK $.
      $}

      binomcxplem.s $e |- S = ( b e. CC |-> ( k e. NN0 |-> ( ( F ` k ) x.
          ( b ^ k ) ) ) ) $.
      binomcxplem.r $e |- R = sup ( { r e. RR | seq 0 ( + , ( S ` r ) )
          e. dom ~~> } , RR* , < ) $.
      ${
        $d i k x y C $.  $d b k x y F $.  $d i k x y F $.  $d i j k ph $.
        $d i j k C $.  $d i r x S $.  $d i x y S $.  $d x y ph $.
        $( Lemma for ~ binomcxp .  By ~ binomcxplemfrat and ~ radcnvrat the
           radius of convergence of power series
           ` sum_ k e. NN0 ( ( F `` k ) x. ( b ^ k ) ) ` is one.  (Contributed
           by Steve Rodriguez, 22-Apr-2020.) $)
        binomcxplemradcnv $p |- ( ( ph /\ -. C e. NN0 ) -> R = 1 ) $=
          ( cn0 co vx vi vy wcel wn wa c1 cdiv cv caddc cfv cabs cmpt cexp cmul
          cc0 cc wceq simpl oveq1d oveq2d mpteq2dva fveq2 oveq2 oveq12d cbvmptv
          eqtrdi eqtri cbcc ad2antrr simpr bcccl fmptd fvoveq1 fveq2d nn0uz a1i
          0nn0 cvv ovexd fvmptd wne cmin cfz elfznn0 con3i ad2antlr adantr bcc0
          wb necon3abid adantlr mpbird eqnetrd binomcxplemfrat ax-1ne0 1div1e1
          radcnvrat ) ADSUDZUEZUFZEUGUGUHTUGXAUAIHSHUIZUGUJTIUKZXBIUKZUHTZULUKZ
          UMEUBUCFUGUPSJFKUQHSXDKUIZXBUNTZUOTZUMZUMUAUQUCSUCUIZIUKZUAUIZXKUNTZU
          OTZUMZUMQKUAUQXJXPXGXMURZXJHSXDXMXBUNTZUOTZUMXPXQHSXIXSXQXBSUDZUFZXHX
          RXDUOYAXGXMXBUNXQXTUSUTVAVBHUCSXSXOXBXKURXDXLXRXNUOXBXKIVCXBXKXMUNVDV
          EVFVGVFVHXAGSDGUIZVITZUQIXAYBSUDZUFDYBADUQUDZWTYDOVJXAYDVKVLPVMRHUBSX
          FUBUIZUGUJTIUKZYFIUKZUHTZULUKXBYFURZXEYIULYJXCYGXDYHUHXBYFUGIUJVNXBYF
          IVCVEVOVFVPUPSUDXAVRVQXAYFSUDZUFZYHDYFVITZUPYLGYFYCYMSIVSIGSYCUMURYLP
          VQYLYBYFURZUFYBYFDVIYLYNVKVAXAYKVKYLDYFVIVTWAYLYMUPWBZDUPYFUGWCTZWDTU
          DZUEZWTYRAYKYQWSDYPWEWFWGAYKYOYRWJWTAYKUFZYQYMUPYSDYFAYEYKOWHAYKVKWIW
          KWLWMWNABCDGHILMNOPWOUGUPWBXAWPVQWRWQVG $.
      $}

      binomcxplem.e $e |- E = ( b e. CC |-> ( k e. NN |->
          ( ( k x. ( F ` k ) ) x. ( b ^ ( k - 1 ) ) ) ) ) $.
      binomcxplem.d $e |- D = ( `' abs " ( 0 [,) R ) ) $.
      ${
        $d j k ph $.  $d x y ph $.  $d b k C $.  $d j k C $.  $d x y C $.
        $d x y D $.  $d b k F $.  $d x ph $.  $d r S $.  $d b r $.  $d b y $.
        $( Lemma for ~ binomcxp .  By the power and chain rules, calculate the
           derivative of ` ( ( 1 + b ) ^c -u C ) ` , with respect to ` b ` in
           the disk of convergence ` D ` .  We later multiply the derivative in
           the later ~ binomcxplemdvsum by this derivative to show that
           ` ( ( 1 + b ) ^c C ) ` (with a nonnegated ` C ` ) and the later sum,
           since both at ` b = 0 ` equal one, are the same.  (Contributed by
           Steve Rodriguez, 22-Apr-2020.) $)
        binomcxplemdvbinom $p |- ( ( ph /\ -. C e. NN0 ) ->
            ( CC _D ( b e. D |-> ( ( 1 + b ) ^c -u C ) ) ) =
            ( b e. D |-> ( -u C x. ( ( 1 + b ) ^c ( -u C - 1 ) ) ) ) ) $=
          ( vy vx cn0 wcel wn wa cc c1 cv caddc co cneg ccxp cmpt cdv cmin cmul
          cabs ccnv cc0 cico cima nfcv cfv cseq cli cdm cr crab cxr csup nfmpt1
          clt cexp nfcxfr nffv nfseq nfel1 nfrabw nfsup nfov nfima oveq2 oveq1d
          wceq cbvmptf oveq2i cvv cmnf cioc cdif cpr cnelprrecn a1i crp wi 1cnd
          wss cnvimass eqsstri absf fdmi sseqtri sselda addcld simpr wbr adantr
          pncan2d 1red resubcld eqeltrrd 1pneg1e0 renegcld cle w3a wfn elpreima
          wf ffn mp2b simprbi eleq2s 0re ssrab2 ax-mp eqeltri mp2an adantl eqid
          wb negcld cxpcld ccnfld ctopn cbvmptv oveq1 oveq2d ressxr sstri sylib
          supxrcl elico2 simp3d binomcxplemradcnv breqtrd absltd mpbid ltadd2dd
          simpld eqbrtrrid syldan elrpd ex ellogdm sylanbrc eldifi ovexd dvmptc
          c0ex dvmptid dvmptadd 0p1e1 mpteq2i crest fvex ctps cnfldtps cnfldbas
          eqtrdi cuni tpsuni restid eqcomi ctop cnfldtop ccom cnbl0 eqtri cxmet
          cnt cbl cnxmet cnfldtopn blopn mp3an isopn3i dvmptres2 eqidd dvcncxp1
          0cn 3eqtr3g syl dvmptco subcld mulcld mulid1d mpteq2dva 3eqtrd syl5eq
          ) ADUEUFUGZUHZUIMEUJMUKZULUMZDUNZUOUMZUPZUQUMUIUCEUJUCUKZULUMZUXGUOUM
          ZUPZUQUMZMEUXGUXFUXGUJURUMZUOUMZUSUMZUPZUXIUXMUIUQMUCEUXHUXLMEUTVAZVB
          FVCUMZVDZUBMUXSUXTMUXSVEMVBFVCMVBVEZMVCVEMFULLUKZGVFZVBVGZVHVIZUFZLVJ
          VKZVLVOVMZTMUYHVLVOUYGMLVJMUYEUYFMULUYDVBUYBMULVEMUYCGMGMUIIUEIUKZKVF
          UXEUYJVPUMUSUMUPZUPSMUIUYKVNVQMUYCVEVRVSVTMVJVEWAMVLVEMVOVEWBVQWCWDVQ
          ZUCEVEZUCUXHVEMUXLVEUXEUXJWGUXFUXKUXGUOUXEUXJUJULWEWFWHWIUXDUXNUCEUXG
          UXKUXOUOUMZUSUMZUJUSUMZUPUCEUYOUPZUXRUXDUCUDUXKUJUDUKZUXGUOUMZUXGUYRU
          XOUOUMZUSUMZUIUIUXLUYOUIWJEUIWKVBWLUMZWMZUIVJUIWNUFUXDWOWPZVUDUXDUXJE
          UFZUHZUXKUIUFUXKVJUFZUXKWQUFZWRUXKVUCUFVUFUJUXJVUFWSZUXDEUIUXJEUIWTUX
          DEUTVIZUIEUYAVUJUBUTUXTXAXBUIVJUTXCXDXEWPZXFZXGZVUFVUGVUHVUFVUGUHZUXK
          VUFVUGXHZVUFVUGUXJVJUFZVBUXKVOXIVUNUXKUJURUMUXJVJVUNUJUXJVUNWSVUFUXJU
          IUFZVUGVULXJXKVUNUXKUJVUOVUNXLXMXNVUFVUPUHZVBUJUJUNZULUMUXKVOXOVURVUS
          UXJUJVURUJVURXLZXPVUFVUPXHZVUTVURVUSUXJVOXIZUXJUJVOXIZVURUXJUTVFZUJVO
          XIZVVBVVCUHVUFVVEVUPVUFVVDFUJVOVUEVVDFVOXIZUXDVUEVVDVJUFZVBVVDXQXIZVV
          FVUEVVDUXTUFZVVGVVHVVFXRZVVIUXJUYAEUXJUYAUFZVUQVVIUIVJUTYAUTUIXSVVKVU
          QVVIUHYMXCUIVJUTYBUIUXJUXTUTXTYCYDUBYEVBVJUFFVLUFZVVIVVJYMYFFUYIVLTUY
          HVLWTUYIVLUFUYHVJVLUYGLVJYGUUAUUBUYHUUDYHYIZVBFVVDUUEYJUUCUUFYKUXDFUJ
          WGVUEABCDFGHIKLMNOPQRSTUUGXJUUHXJVURUXJUJVVAVUTUUIUUJUULUUKUUMUUNUUOU
          UPUXKVUCVUCYLZUUQUURVUIUXDUYRVUCUFZUHZUYRUXGVVOUYRUIUFZUXDUYRUIVUBUUS
          YKUXDUXGUIUFZVVOUXDDADUIUFZUXCQXJZYNZXJYOVVPUXGUYTUSUUTUXDUIUDEUJUYRU
          LUMZUPZUQUMUDEUJUPUIUCEUXKUPZUQUMUCEUJUPUXDUDVWBUJUIYPYQVFZVWEUIUIEEV
          UDUXDVVQUHZUJUYRVWFWSZUXDVVQXHZXGVWGUXDUIUDUIVWBUPUQUMUDUIVBUJULUMZUP
          UDUIUJUPUXDUDUJVBUYRUJUIWJUIUIVUDVWGVBWJUFVWFUVBWPUXDUDUJUIVUDUXDWSUV
          AVWHVWGUXDUDUIVUDUVCUVDUDUIVWIUJUVEUVFUVLVUKVWEUIUVGUMZVWEVWEWJUFVWJV
          WEWGYPYQUVHVWEWJUIYPUVIUFUIVWEUVMWGUVJUIVWEYPUVKVWEYLZUVNYHUVOYHUVPVW
          KEVWEUWCVFVFEWGZUXDVWEUVQUFEVWEUFVWLVWEVWKUVREVBFUTURUVSZUWDVFUMZVWEE
          UYAVWNUBVVLUYAVWNWGVVMVWMFVWMYLUVTYHUWAVWMUIUWBVFUFVBUIUFVVLVWNVWEUFU
          WEUWMVVMVWMVBFVWEUIVWEVWKUWFUWGUWHYIEVWEUWIYJWPUWJVWCVWDUIUQUDUCEVWBU
          XKUYRUXJUJULWEYRWIUDUCEUJUJUYRUXJWGUJUWKYRUWNUXDVVRUIUDVUCUYSUPUQUMUD
          VUCVUAUPWGVWAUDUXGVUCVVNUWLUWOUYRUXKUXGUOYSUYRUXKWGUYTUYNUXGUSUYRUXKU
          XOUOYSYTUWPUXDUCEUYPUYOVUFUYOVUFUXGUYNVUFDUXDVVSVUEVVTXJYNZVUFUXKUXOV
          UMVUFUXGUJVWOVUIUWQYOUWRUWSUWTUYQUXRWGUXDUCMEUYOUXQUYMUYLMUYOVEUCUXQV
          EUXJUXEWGZUYNUXPUXGUSVWPUXKUXFUXOUOUXJUXEUJULWEWFYTWHWPUXAUXB $.
      $}

      ${
        $d b k ph $.  $d b k F $.  $d b k J $.  $d b r J $.  $d j ph $.
        $d r S $.
        $( Lemma for ~ binomcxp .  The sum in ~ binomcxplemnn0 and its
           derivative (see the next theorem, ~ binomcxplemdvsum ) converge, as
           long as their base ` J ` is within the disk of convergence.  Part of
           remark "This convergence allows us to apply term-by-term
           differentiation..." in the Wikibooks proof.  (Contributed by Steve
           Rodriguez, 22-Apr-2020.) $)
        binomcxplemcvg $p |- ( ( ph /\ J e. D ) ->
            ( seq 0 ( + , ( S ` J ) ) e. dom ~~> /\
              seq 1 ( + , ( E ` J ) ) e. dom ~~> ) ) $=
          ( wcel wa caddc cfv cc0 cseq cli cdm c1 cc wf cv cbcc co adantr simpr
          cn0 bcccl fmptd cabs cico ccnv cima eleq2i wfn absf ffn elpreima mp2b
          cr bitri simplbi adantl clt wbr simprbi cle cxr w3a 0re crab csup wss
          wb ssrab2 ressxr sstri supxrcl ax-mp eqeltri elico2 mp2an simp3bi syl
          radcnvlt2 cn cmul cmin cexp cmpt wceq cvv a1i simplr oveq1d mpteq2dva
          oveq2d nnex mptex fvmptd sylan2 seqeq3d eqid dvradcnv2 eqeltrd jca )
          ALEUDZUEZUFLGUGUHUIUJUKZUDUFLJUGZULUIZYBUDYANKFIGLMTAUTUMKUNXTAHUTDHU
          OZUPUQUMKAYEUTUDZUEDYEADUMUDYFRURAYFUSVASVBURZUAXTLUMUDZAXTYHLVCUGZUH
          FVDUQZUDZXTLVCVEYJVFZUDZYHYKUEZEYLLUCVGUMVMVCUNVCUMVHYMYNWGVIUMVMVCVJ
          UMLYJVCVKVLVNZVOZVPZXTYIFVQVRZAXTYKYRXTYHYKYOVSYKYIVMUDZUHYIVTVRZYRUH
          VMUDFWAUDYKYSYTYRWBWGWCFUFMUOGUGUHUIYBUDZMVMWDZWAVQWEZWAUAUUBWAWFUUCW
          AUDUUBVMWAUUAMVMWHWIWJUUBWKWLWMUHFYIWNWOWPWQVPZWRYAYDUFIWSIUOZUUEKUGW
          TUQZLUUEULXAUQZXBUQZWTUQZXCZULUIYBYAYCUUJUFULXTAYHYCUUJXDYPAYHUEZNLIW
          SUUFNUOZUUGXBUQZWTUQZXCZUUJUMJXEJNUMUUOXCXDUUKUBXFUUKUULLXDZUEZIWSUUN
          UUIUUQUUEWSUDZUEZUUMUUHUUFWTUUSUULLUUGXBUUKUUPUURXGXHXJXIAYHUSUUJXEUD
          UUKIWSUUIXKXLXFXMXNXOYANKFIGUUJLMTUAUUJXPYGYQUUDXQXRXS $.
      $}

      binomcxplem.p $e |- P = ( b e. D |-> sum_ k e. NN0 ( ( S ` b ) ` k ) ) $.
      ${
        $d b k m n x y z F $.  $d b k m n x y ph $.  $d b k m n w y F $.
        $d m n x y D $.  $d b k r z F $.  $d m n y z S $.  $d j k ph $.
        $d n y E $.  $d j C $.  $d x P $.
        $( Lemma for ~ binomcxp .  The derivative of the generalized sum in
           ~ binomcxplemnn0 .  Part of remark "This convergence allows us to
           apply term-by-term differentiation..." in the Wikibooks proof.
           (Contributed by Steve Rodriguez, 22-Apr-2020.) $)
        binomcxplemdvsum $p |- ( ph -> ( CC _D P ) =
            ( b e. D |-> sum_ k e. NN ( ( E ` b ) ` k ) ) ) $=
          ( vy vn vx vz vw vm cc cdv co cn cfv csu cmpt cmul cmin cexp cc0 cabs
          cv c1 caddc cn0 cseq cli cdm wcel crab cxr clt csup cdiv cif ccom cbl
          cr c2 ccnv cico cima nfcv nfmpt1 nfcxfr nffv nfseq nfel1 nfrabw nfsup
          nfov nfima nfsum wceq simpl fveq2d fveq1d sumeq2dv nfmpt fveq2 eqtrdi
          wa cbvsumi cbvmptf eqtri cbcc cvv ovexd a1i simpr oveq2d adantr bcccl
          fvmptd eqeltrd fmpt2d nfv seqeq3d eleq1d cbvrabw supeq1i fveq1i ax-mp
          seqeq3 eleq1i rabbii 3eqtrri oveq2i oveq1i ifbieq12i mpteq2dv cbvmptv
          eqid oveq1 pserdv2 cnvimass oveq1d mpteq2dva oveq12d absf fdmi simplr
          eqsstri sseqtri sseli nnex mptex sylan2 eqtr4d ) AUKFULUMZUEEUNUFVCZU
          EVCZKUOZUOZUFUPZUQZNEUNJVCZNVCZKUOZUOZJUPZUQAUUKUEEUNUULUULLUOZURUMZU
          UMUULVDUSUMZUTUMZURUMZUFUPZUQUUQANUELVAUGVCVBUOZVEUHVCZUIUKJVFUURLUOZ
          UIVCZUURUTUMZURUMZUQZUQZUOZVAVGZVHVIZVJZUHVSVKZVLVMVNZVSVJZUVIUWBVEUM
          ZVTVOUMZUVIVDVEUMZVPZVEUMZVTVOUMZVBUSVQVRUOZUMGEUJUFJFHVEUVJNUKJVFUVK
          UUSUURUTUMZURUMZUQZUQZUOZVAVGZUVSVJZUHVSVKZVLVMVNZVSVJZUVIUWSVEUMZVTV
          OUMZUWFVPZUHUGTFNEVFUURUUSHUOZUOZJUPZUQUEEVFUJVCZUUMHUOZUOZUJUPZUQUDN
          UEEUXFUXJNEVBWAZVAGWBUMZWCZUCNUXKUXLNUXKWDNVAGWBNVAWDZNWBWDNGVEMVCZHU
          OZVAVGZUVSVJZMVSVKZVLVMVNZUANUXSVLVMUXRNMVSNUXQUVSNVEUXPVAUXNNVEWDNUX
          OHNHUWNTNUKUWMWEWFZNUXOWDWGWHWINVSWDWJNVLWDNVMWDWKWFWLWMWFZUEEWDZUEUX
          FWDNVFUXIUJNVFWDNUXGUXHNUUMHUYANUUMWDZWGNUXGWDWGWNUUSUUMWOZUXFVFUURUX
          HUOZJUPUXJUYEVFUXEUYFJUYEUURVFVJZXCZUURUXDUXHUYHUUSUUMHUYEUYGWPWQWRWS
          VFUYFUXIJUJUJUYFWDJUXGUXHJUUMHJHUWNTJNUKUWMJUKWDZJVFUWLWEWTWFJUUMWDWG
          JUXGWDWGUURUXGUXHXAXDXBXEXFAIJVFDIVCZXGUMZUKLXHAUYJVFVJXCDUYJXGXILIVF
          UYKUQWOZASXJAUYGXCZUVKDUURXGUMZUKUYMIUURUYKUYNVFLUKUYLUYMSXJUYMUYJUUR
          WOZXCUYJUURDXGUYMUYOXKXLAUYGXKZUYMDUURADUKVJUYGRXMUYPXNZXOUYQXPXQGUXT
          VEUVJHUOZVAVGZUVSVJZUHVSVKZVLVMVNZUAVLUXSVUAVMUXRUYTMUHVSMVSWDUHVSWDU
          XRUHXRMUYSUVSMVEUYRVAMVAWDMVEWDMUVJHMHUWNTMUWNWDWFMUVJWDWGWHWIUXOUVJW
          OZUXQUYSUVSVUCUXPUYRVEVAUXOUVJHXAXSXTYAYBZXFUCUWTGVSVJUXBUWFUVIGVEUMZ
          VTVOUMUWFUWSGVSGUXTVUBUWSUAVUDVLVUAUWRVMUYTUWQUHVSUYSUWPUVSUYRUWOWOUY
          SUWPWOUVJHUWNTYCVEUYRUWOVAYEYDYFYGYBYHZYFUXAVUEVTVOUWSGUVIVEVUFYIYJUW
          FYNZYKUWIUVIUXCVEUMZVTVOUMVAUWJUWHVUHVTVOUWGUXCUVIVEUWCUWTUWEUWFUXBUW
          FUWBUWSVSVLUWAUWRVMUVTUWQUHVSUVRUWPUVSUVQUWOWOUVRUWPWOUVJUVPUWNUINUKU
          VOUWMUVLUUSWOZJVFUVNUWLVUIUVMUWKUVKURUVLUUSUURUTYOXLYLYMYCVEUVQUWOVAY
          EYDYFYGYBZYFUWDUXAVTVOUWBUWSUVIVEVUJYIYJVUGYKYIYJYIYPAUEEUUPUVHUUMEVJ
          AUUMUKVJZUUPUVHWOEUKUUMEVBVIZUKEUXMVULUCVBUXLYQUUDUKVSVBUUAUUBUUEUUFA
          VUKXCZUNUUOUVGUFVUMUULUNVJZXCZJUULUURUVKURUMZUUMUURVDUSUMZUTUMZURUMZU
          VGUNUUNXHVUMUUNJUNVUSUQZWOVUNVUMNUUMJUNVUPUUSVUQUTUMZURUMZUQZVUTUKKXH
          KNUKVVCUQZWOVUMUBXJVUMUYEXCZJUNVVBVUSVVEUURUNVJZXCZVVAVURVUPURVVGUUSU
          UMVUQUTVUMUYEVVFUUCYRXLYSAVUKXKVUTXHVJVUMJUNVUSUUGUUHXJXOXMVUOUURUULW
          OZXCZVUPUVDVURUVFURVVIUURUULUVKUVCURVUOVVHXKZVVIUURUULLVVJWQYTVVIVUQU
          VEUUMUTVVIUURUULVDUSVVJYRXLYTVUMVUNXKVUOUVDUVFURXIXOWSUUIYSUUJUENEUUP
          UVBUYCUYBNUNUUOUFNUNWDNUULUUNNUUMKNKVVDUBNUKVVCWEWFUYDWGNUULWDWGWNUEU
          VBWDUUMUUSWOZUUPUNUULUUTUOZUFUPUVBVVKUNUUOVVLUFVVKVUNXCZUULUUNUUTVVMU
          UMUUSKVVKVUNWPWQWRWSUNVVLUVAUFJJUULUUTJUUSKJKVVDUBJNUKVVCUYIJUNVVBWEW
          TWFJUUSWDWGJUULWDWGUFUVAWDUULUURUUTXAXDXBXEXB $.
      $}

      ${
        $d b k r x A $.  $d b k r x B $.  $d b j k ph $.  $d b j k C $.
        $d b k x C $.  $d b x y C $.  $d b k r F $.  $d k r x S $.
        $d x y ph $.  $d j k D $.  $d k x D $.  $d x y D $.  $d j k E $.
        $d k x E $.  $d x y P $.
        $( Lemma for ~ binomcxp .  When ` C ` is not a nonnegative integer, the
           generalized sum in ~ binomcxplemnn0 &mdash;which we will call ` P `
           &mdash;is a convergent power series: its base ` b ` is always of
           smaller absolute value than the radius of convergence.

           ~ pserdv2 gives the derivative of ` P ` , which by ~ dvradcnv also
           converges in that radius.  When ` A ` is fixed at one, ` ( A + b ) `
           times that derivative equals ` ( C x. P ) ` and fraction
           ` ( P / ( ( A + b ) ^c C ) ) ` is always defined with derivative
           zero, so the fraction is a constant&mdash;specifically one, because
           ` ( ( 1 + 0 ) ^c C ) = 1 ` .  Thus
           ` ( ( 1 + b ) ^c C ) = ( P `` b ) ` .

           Finally, let ` b ` be ` ( B / A ) ` , and multiply both the binomial
           ` ( ( 1 + ( B / A ) ) ^c C ) ` and the sum ` ( P `` ( B / A ) ) ` by
           ` ( A ^c C ) ` to get the result.  (Contributed by Steve Rodriguez,
           22-Apr-2020.) $)
        binomcxplemnotnn0 $p |- ( ( ph /\ -. C e. NN0 ) ->
            ( ( A + B ) ^c C ) = sum_ k e. NN0 ( ( C _Cc k ) x.
              ( ( A ^c ( C - k ) ) x. ( B ^ k ) ) ) ) $=
          ( vx cn0 wcel wa c1 cdiv co caddc ccxp cmul cv cbcc cexp csu cmin cfv
          cvv cmpt wceq cabs cc0 nfcv cseq cli cr cxr clt cc nfcxfr nffv fveq2d
          nfel1 fveq1d sumeq2dv cbvmptf eqtri a1i simplr recnd adantr wne mpbid
          abscld wbr cle wb wss ax-mp mp2an wf absf sumex fvmptd cneg adantl wi
          nfv nfim eleq1d imbi12d nn0uz eqidd mptex fvmpt2d ovexd oveq2d oveq1d
          simpr adantlr eqtrd ad2antrr bcccl expcld mulcld eqeltrd fveq2 isumcl
          adantllr 1cnd negcld cxpcld cdv eqtrdi fmpt3d subcld nnuz sylan2 cshi
          cn 3eqtr3d 3eqtrd mpteq2dva oveq12d cuz eqtr4d offval2f ccnv cico cdm
          vy wn cima crab csup nfmpt1 nfseq nfrabw nfsup nfov nfima nfsum simpl
          rpcnd 0red absge0d lelttrd gt0ne0d abs00ad necon3bid mulid1d breqtrrd
          divcld 1red elrpd ltdivmuld absdivd binomcxplemradcnv 3brtr4d w3a 0re
          mpbird ssrab2 ressxr supxrcl eqeltri elico2 syl3anbrc eleq2i elpreima
          sstri wfn ffn mp2b bitri sylanbrc cof ccom cbl eqid cnbl0 mulcl nfcri
          0cnd nfan eleq1 0zd cnvimass eqsstri fdmi sseqtri sseli nn0ex sylanl2
          anbi2d ad2antlr seqeq3d anbi12d binomcxplemcvg chvarvv simpld chvarfv
          fmptd addcld oveq2 cnex fex cnvex imaexg inidm off csn cxp 1ex fconst
          fconstmpt feq1i mpbi ax-1cn snssi fss cpr cnelprrecn binomcxplemdvsum
          fdmd binomcxplemdvbinom dvmulf 1zzd ad3antrrr 1nn0 iserex adddid nnex
          feqmptd nnm1nn0 bccp1k nn0cnd npcand divassd divcan2d 3eqtr2d mulcomd
          nnnn0 nnne0 ovex 1pneg1e0 fveq2i eqtr4i znegcld uzmptshftfval cbvmptv
          oveq1 subnegd pncand nncn mul12d expp1d eqtr3id climrel simprd climdm
          nn0cn wrel sylib cz 0z neg1z fvex seqshft subnegi 0p1e1 seqeq1 oveq1i
          0cn breq1i climshft releldm sylancr isermulc2 isumadd adddird mulid2d
          seqex sylibr isumshft cbvsumv pncan2d isum1p 0nn0 subid1d bccn0 exp0d
          eqcomi sumeq1i eqeltrrd addassd 3eqtr4rd binomcxplemwb mulassd syl5eq
          isummulc2 3eqtrrd simprbi eleq2s simp3bi syl absnegd eqcomd abssubne0
          3brtr3d mp3an2 syl2anc eqnetrrd divmuld div23d eqtr3d 3eqtr4d cxpsubd
          1re mul32d div32d cxp1d eqtr2d mulneg1d negidd c0ex snid ccnfld ctopn
          eqtr4di dvconst oveq2i 3eqtr3i crest ctps cuni cnfldtps tpsuni restid
          cnfldbas cnt ctop cnfldtop cxmet cnxmet cnfldtopn blopn mp3an isopn3i
          dvmptres2 3eqtr3g crp eqeltrdi blcntr mp3an12 eleqtrrdi anbi1d vtoclf
          1rp nfel2 syldanl syldan 1t1e1 0expd mul01d cfn wo eqimssi orci 1p0e1
          sumz 1cxpd ffnd ofval mpdan fveq1i dv11cn cdif neeq1d cxpne0d eldifsn
          fvconst2 ofdivcan4 syl3anc cxpnegd negnegd rerpdivcld readdcld df-neg
          rpne0d absrpcld div1d eqbrtrd ltdiv23d ltled renegcld eqbrtrrid rpred
          absled lesubaddd rpge0d mulcxpd divcan1d divrecd reccld mulexpd nn0zd
          isummulc1 exprecd cxpexp ) ADUFUGUUEZUHZUICBUJUKZULUKZDUMUKZBDUMUKZUN
          UKZUFDJUOZUPUKZWYFWYKUQUKZUNUKZJURZWYIUNUKZBCULUKZDUMUKZUFWYLBDWYKUSU
          KZUMUKZCWYKUQUKZUNUKUNUKZJURZWYEWYHWYOWYIUNWYEWYFFUTUFWYKWYFHUTZUTZJU
          RZWYHWYOWYEUEWYFUFWYKUEUOZHUTZUTZJURZXUFEFVAFUEEXUJVBZVCZWYEFNEUFWYKN
          UOZHUTZUTZJURZVBZXUKUDNUEEXUPXUJNEVDUUAZVEGUUBUKZUUFZUCNXURXUSNXURVFN
          VEGUUBNVEVFZNUUBVFNGULMUOZHUTZVEVGZVHUUCZUGZMVIUUGZVJVKUUHZUANXVGVJVK
          XVFNMVINXVDXVENULXVCVEXVANULVFZNXVBHNHNVLJUFWYKLUTZXUMWYKUQUKZUNUKZVB
          ZVBZTNVLXVMUUIVMZNXVBVFVNUUJVPNVIVFUUKNVJVFNVKVFUULVMUUMUUNVMZUEEVFZU
          EXUPVFNUFXUIJNUFVFNWYKXUHNXUGHXVONXUGVFZVNNWYKVFZVNUUOZXUMXUGVCZUFXUO
          XUIJXWAWYKUFUGZUHZWYKXUNXUHXWCXUMXUGHXWAXWBUUPVOVQVRZVSVTZWAWYEXUGWYF
          VCZUHZUFXUIXUEJXWGXWBUHZWYKXUHXUDXWHXUGWYFHWYEXWFXWBWBVOVQVRWYEWYFVLU
          GZWYFVDUTZXUSUGZWYFEUGZWYECBACVLUGZWYDACPWCZWDZABVLUGZWYDABOUUQZWDZWY
          EBVDUTZVEWEBVEWEZWYEXWSWYEVECVDUTZXWSWYEUURWYECXWOWGZWYEBXWRWGZWYECXW
          OUUSAXXAXWSVKWHWYDQWDZUUTZUVAWYEXWSVEBVEWYEBXWRUVBUVCWFZUVFZWYEXWJVIU
          GZVEXWJWIWHZXWJGVKWHZXWKWYEWYFXXGWGWYEWYFXXGUUSWYEXXAXWSUJUKZUIXWJGVK
          WYEXXKUIVKWHXXAXWSUIUNUKZVKWHWYEXXAXWSXXLVKXXDWYEXWSWYEXWSXXCWCUVDUVE
          WYEXXAUIXWSXXBWYEUVGZWYEXWSXXCXXEUVHUVIUVOWYECBXWOXWRXXFUVJABCDGHIJLM
          NOPQRSTUAUVKZUVLVEVIUGZGVJUGZXWKXXHXXIXXJUVMWJUVNGXVHVJUAXVGVJWKXVHVJ
          UGXVGVIVJXVFMVIUVPUVQUWDXVGUVRWLUVSZVEGXWJUVTWMUWAXWLWYFXUTUGZXWIXWKU
          HZEXUTWYFUCUWBVLVIVDWNZVDVLUWEZXXRXXSWJWOVLVIVDUWFZVLWYFXUSVDUWCUWGUW
          HUWIZXUFVAUGWYEUFXUEJWPWAWQWYEUEWYFUIXUGULUKZDUMUKZWYHEFVLWYEFNEUIXUM
          ULUKZDUMUKZVBZUEEXYEVBWYEFNEUIXYFDWRZUMUKZUJUKZVBZXYHWYEFNEXYJVBZUNUW
          JZUKZXYMUJUWJZUKZNEUIVBZXYMXYPUKFXYLWYEXYOXYRXYMXYPWYEVEVEGXYOXYREEXU
          TVEGVDUSUWKZUWLUTUKZUCXXPXUTXYTVCXXQXYSGXYSUWMUWNWLVTZWYEUWQZXXPWYEXX
          QWAWYEUEUUDEEEUNVLVLVLFXYMVAVAXUGVLUGZUUDUOZVLUGUHXUGYUDUNUKVLUGWYEXU
          GYUDUWOWSWYEUEEXUJVLFWYEXUMEUGZUHZXUPVLUGZWTWYEXUGEUGZUHZXUJVLUGZWTNU
          EYUIYUJNWYEYUHNWYENXAZNUEEXVPUWPUWRZNXUJVLXVTVPXBXWAYUFYUIYUGYUJXWAYU
          EYUHWYEXUMXUGEUWSUXHZXWAXUPXUJVLXWDXCXDYUFXUOJXUNVEUFXEYUFUWTZYUFXWBU
          HZXUOXFAYUEXWBXUOVLUGZWYDAYUEUHZXWBUHZXUOWYLXVKUNUKZVLYUEAXUMVLUGZXWB
          XUOYUSVCZEVLXUMEVDUUCZVLEXUTYVBUCVDXUSUXAUXBVLVIVDWOUXCUXDZUXEZAYUTUH
          ZXWBUHZXUOXVLYUSYVEJUFXVLXUNVAANVLXVMHVAHXVNVCZATWAXVMVAUGZYVEJUFXVLU
          XFXGZWAXHYVFXVJXVKUNXIXHAXWBXVLYUSVCZYUTAXWBUHZXVJWYLXVKUNYVKIWYKDIUO
          ZUPUKZWYLUFLVALIUFYVMVBVCZYVKSWAYVKYVLWYKVCZUHYVLWYKDUPYVKYVOXLXJAXWB
          XLZYVKDWYKUPXIWQZXKZXMXNUXGZYURWYLXVKYURDWYKADVLUGZYUEXWBRXOYUQXWBXLZ
          XPYURXUMWYKYUEYUTAXWBYVDUXIYWAXQXRXSZYBAYUEULXUNVEVGZXVEUGZWYDYUQYWDU
          LXUMKUTZUIVGZXVEUGZAYUHUHZULXUHVEVGZXVEUGZULXUGKUTZUIVGZXVEUGZUHZWTYU
          QYWDYWGUHZWTUENXUGXUMVCZYWHYUQYWNYWOYWPYUHYUEAXUGXUMEUWSUXHYWPYWJYWDY
          WMYWGYWPYWIYWCXVEYWPXUHXUNULVEXUGXUMHXTUXJXCYWPYWLYWFXVEYWPYWKYWEULUI
          XUGXUMKXTUXJXCUXKXDABCDEGHIJKLXUGMNOPQRSTUAUBUCUXLUXMZUXNZXMZYAZUXOXW
          EUXPZWYEUEEXYDXYIUMUKZVLXYMYUIXYDXYIYUIUIXUGYUIYCZYUHYUCWYEEVLXUGYVCU
          XEWSUXQZYUIDAYVTWYDYUHRXOYDZYEZNUEEXYJYXBXVPXVQUEXYJVFNYXBVFXWAXYFXYD
          XYIUMXUMXUGUIULUXRZXKVSZUXPZEVAUGZWYEEXUTVAUCXURVAUGXUTVAUGVDXXTVLVAU
          GVDVAUGWOUXSVLVIVAVDUXTWMUYAXURXUSVAUYBWLUVSWAZYXKEUYCZUYDEVLXYRWNZWY
          EEUIUYEZXYRWNZYXNVLWKZYXMEYXNEYXNUYFZWNYXOEUIUYGUYHEYXNYXQXYRYXQUEEUI
          VBZXYRUEEUIUYIUENEUIUIXVQXVPNUIVFUEUIVFYWPUIXFVSZVTZUYJUYKUIVLUGZYXPU
          YLUIVLUYMWLEYXNVLXYRUYNWMWAWYEEVEUYEZVLXYOYFUKZWYEUEEVEYYBYYCWYEYYCNE
          VEVBZUEEVEVBZWYEYYCNEDXYFUJUKZXUPUNUKZXYJUNUKZXYIXYFXYIUIUSUKZUMUKZUN
          UKZXUPUNUKZULUKZVBZYYDWYEYYCVLFYFUKZXYMXYNUKZVLXYMYFUKZFXYNUKZULUWJZU
          KNEYYFVBZFXYNUKZXYMXYNUKZNEYYKVBZFXYNUKZYYSUKYYNWYEVLFXYMEVLVIVLUYOUG
          WYEUYPWAZYXAYXIWYEEVAYYOWYEUEEYMWYKYWKUTZJURZVAYYOWYEYYONEYMWYKYWEUTZ
          JURZVBZUEEUUUGVBAYYOUUUJVCWYDABCDEFGHIJKLMNOPQRSTUAUBUCUDUYQWDZNUEEUU
          UIUUUGXVPXVQUEUUUIVFNYMUUUFJNYMVFNWYKYWKNXUGKNKNVLJYMWYKXVJUNUKZXUMWY
          KUIUSUKZUQUKZUNUKZVBZVBZUBNVLUUUPUUIVMXVRVNXVSVNUUOXWAYMUUUHUUUFJXWAW
          YKYMUGZUHZWYKYWEYWKUUUSXUMXUGKXWAUUURUUPVOVQVRVSYGUUUGVAUGYUIYMUUUFJW
          PWAYHUYRWYEEVLYYQWYEUEEXYIXYDYYIUMUKZUNUKZVLYYQWYEYYQUUUCUEEUUVAVBABC
          DEGHIJKLMNOPQRSTUAUBUCUYSZNUEEYYKUUVAXVPXVQUEYYKVFNUUVAVFXWAYYJUUUTXY
          IUNXWAXYFXYDYYIUMYXGXKXJVSYGYUIXYIUUUTYXEYUIXYDYYIYXDYUIXYIUIYXEYXCYI
          YEXRYHUYRUYTWYEYYPUUUBYYRUUUDYYSWYEYYOUUUAXYMXYNWYEUUUJNEYYGVBYYOUUUA
          WYENEUUUIYYGYUFDXUPUNUKZXYFUJUKZUUUIYYGYUFUUVDUUUIVCXYFUUUIUNUKZUUVCV
          CYUFUUVEDUIYMYUSJURZULUKZUNUKZUUVCYUFDUIUNUKZDUUVFUNUKZULUKDUUVJULUKZ
          UUVHUUVEYUFUUVIDUUVJULYUFDAYVTWYDYUERXOZUVDZXKYUFDUIUUVFUUVLYUFYCZYUF
          YUSJXUNUIYMYJYUFVUAZAYUEUUURYVAWYDUUURYUQXWBYVAWYKVUPZYVSYKYBZYUFUUUR
          UHZWYLXVKUUURYUFXWBWYLVLUGZUUVPYUODWYKAYVTWYDYUEXWBRVUBZYUFXWBXLZXPZY
          KZUUURYUFXWBXVKVLUGUUVPYUOXUMWYKYUFYUTXWBYUEYUTWYEYVDWSZWDUUWAXQZYKZX
          RZAYUEULXUNUIVGXVEUGZWYDYUQYWDUUWHYWRYUQJXUNVEUIUFXEUIUFUGZYUQVUCWAYW
          BVUDWFXMZYAVUEYUFUUVEDYMWYSWYLUNUKZDUUUMUSUKZDUUUMUPUKZUNUKZULUKZXVKU
          NUKZJURZULUKZDYMDWYLUNUKZXVKUNUKZJURZULUKZUUVKYUFDYMUUWKXVKUNUKZUUWNX
          VKUNUKZULUKZJURZULUKDYMUUXCJURZYMUUXDJURZULUKZULUKZUUWRUUVEYUFUUXFUUX
          IDULYUFUUXCUUXDJYWEUIWRZYLUKZIYMXUMYVLYWEUTZUNUKZVBZUIYMYJUUVOUUURYUF
          XWBWYKUUXLUTZUUXCVCUUVPYUFJUFUUXCUUXLVAYUFUUXLJUFDWYKUUXKUSUKZUIUSUKZ
          USUKZDUUXRUPUKZUNUKZXUMUUXRUQUKZUNUKZVBZJUFUUXCVBYUFUUXLJYMUUWNUUUNUN
          UKZVBZUUXKYLUKIUFDYVLUUXKUSUKZUIUSUKZUSUKZDUUYHUPUKZUNUKZXUMUUYHUQUKZ
          UNUKZVBZUUYDYUFYWEUUYFUUXKYLYUFYWEJYMUUUHVBUUYFYUFJYMVAYWEYUFJYMUUUOV
          AYWEAYUEYWEUUUPVCZWYDYUEAYUTUUYOYVDANVLUUUPKVAKUUUQVCAUBWAUUUPVAUGYVE
          JYMUUUOVUFXGWAXHZYKXMUUVRUUULUUUNUNXIYHVUGYUFJYMUUUHUUYEAYUEUUURUUUHU
          UYEVCZWYDYUEAYUTUUURUUYQYVDYVEUUURUHZUUUHWYKWYLUNUKZUUUNUNUKZUUWMUUWL
          UNUKZUUUNUNUKZUUYEUUYRUUUHUUUOUUYTYVEJYMUUUOYWEVAUUYPUUYRUUULUUUNUNXI
          XHAUUURUUUOUUYTVCYUTAUUURUHZUUULUUYSUUUNUNUVUCXVJWYLWYKUNUUURAXWBXVJW
          YLVCZUUVPYVQYKXJXKXMXNAUUURUUYTUVUBVCYUTUVUCUUYSUVUAUUUNUNUVUCUUYSWYK
          UUWMUUWLWYKUJUKZUNUKZUNUKWYKUVUAWYKUJUKZUNUKUVUAUVUCWYLUVUFWYKUNUVUCD
          UUUMUIULUKZUPUKUUWMUUWLUVUHUJUKZUNUKWYLUVUFUVUCDUUUMAYVTUUURRWDZUUURU
          UUMUFUGZAWYKVUHZWSZVUIUVUCUVUHWYKDUPUVUCWYKUIUVUCWYKUUURXWBAUUVPWSVUJ
          ZUVUCYCZVUKZXJUVUCUVUIUVUEUUWMUNUVUCUVUHWYKUUWLUJUVUPXJXJYNXJUVUCUVUG
          UVUFWYKUNUVUCUUWMUUWLWYKUVUCDUUUMUVUJUVUMXPZUVUCDUUUMUVUJUVUCWYKUIUVU
          NUVUOYIYIZUVUNUUURWYKVEWEAWYKVUQWSZVULXJUVUCUVUAWYKUVUCUUWMUUWLUVUQUV
          URXRUVUNUVUSVUMVUNXKXMUUYRUVUAUUWNUUUNUNUUYRUUWMUUWLAUUURUUWMVLUGYUTU
          VUQXMAUUURUUWLVLUGYUTUVURXMVUOXKYOZUXGYBZYPXNXKYUFJIUUYEUUYMUUYFUIUUX
          KUFYMUUYFUWMUUWNUUUNUNVURWYKUUYGVCZUUWNUUYKUUUNUUYLUNUVVBUUWLUUYIUUWM
          UUYJUNUVVBUUUMUUYHDUSWYKUUYGUIUSVVEZXJUVVBUUUMUUYHDUPUVVCXJYQUVVBUUUM
          UUYHXUMUQUVVCXJYQYJUFVEYRUTUIUUXKULUKZYRUTXEUVVDVEYRVUSVUTVVAUUVOYUFU
          IUUVOVVBVVCUUYNUUYDVCYUFIJUFUUYMUUYCYVOUUYKUUYAUUYLUUYBUNYVOUUYIUUXSU
          UYJUUXTUNYVOUUYHUUXRDUSYVOUUYGUUXQUIUSYVLWYKUUXKUSVVEXKZXJYVOUUYHUUXR
          DUPUVVEXJYQYVOUUYHUUXRXUMUQUVVEXJYQVVDWAYOYUFJUFUUYCUUXCYUOUUYAUUWKUU
          YBXVKUNYUOUUXSWYSUUXTWYLUNYUOUUXRWYKDUSXWBUUXRWYKVCYUFXWBUUXRWYKUIULU
          KZUIUSUKWYKXWBUUXQUVVFUIUSXWBWYKUIWYKVVOZXWBYCZVVFXKXWBWYKUIUVVGUVVHV
          VGXNWSZXJYUOUUXRWYKDUPUVVIXJYQYUOUUXRWYKXUMUQUVVIXJYQYPXNZYUOUUWKXVKU
          NXIXHZYKZUUURYUFXWBUUXCVLUGUUVPYUOUUWKXVKYUOWYSWYLYUODWYKUUVTXWBWYKVL
          UGZYUFUVVGWSZYIUUWBXRUUWEXRZYKZYUFJYMUUXDUUXOVAYUFUUXOJYMXUMUUUHUNUKZ
          VBJYMUUXDVBJIYMUVVQUUXNWYKYVLVCUUUHUUXMXUMUNWYKYVLYWEXTXJVVDYUFJYMUVV
          QUUXDUUVRUVVQXUMUUYEUNUKZUUXDUUVRUUUHUUYEXUMUNUVVAXJUUVRUVVRUUWNXUMUU
          UNUNUKZUNUKUUXDUUVRXUMUUWNUUUNYUFYUTUUURUUWDWDZUUVRUUWLUUWMUUVRDUUUMA
          YVTWYDYUEUUURRVUBZUUVRWYKUIUUURUVVMYUFWYKVVHWSZUUVRYCYIYIUUVRDUUUMUVW
          AUUURUVUKYUFUVULWSZXPXRZUUVRXUMUUUMUVVTUVWCXQZVVIUUVRUVVSXVKUUWNUNUUV
          RUVVSUUUNXUMUNUKXUMUVUHUQUKXVKUUVRXUMUUUNUVVTUVWEVUOUUVRXUMUUUMUVVTUV
          WCVVJUUVRUVUHWYKXUMUQWYEUUURUVUHWYKVCZYUEAUUURUVWFWYDUVUPXMXMXJVUNXJX
          NZXNZYPVVKUUVRUUWNXVKUNXIXHZUUVRUUWNXVKUVWDUUWFXRYUFULUUXLVEVGZXVEUGZ
          ULUUXLUIVGXVEUGYUFVHVVPZUVWJYWFVHUTZVHWHZUVWKVVLYUFYWFUVWMVHWHZUVWNYU
          FYWGUVWOAYUEYWGWYDYUQYWDYWGYWQVVMXMZYWFVVNVVQZUVWNYWFUUXKYLUKZUVWMVHW
          HZUVWOUVWJUVWRUVWMVHUVWJULYWEVEUUXKUSUKZVGZUUXKYLUKZUVWRVEVVRUGUUXKVV
          RUGZUVWJUVXBVCVVSVVTULYWEVEUUXKXUMKVWAVWBWMUVXAYWFUUXKYLUVWTUIVCUVXAY
          WFVCUVWTVEUIULUKZUIVEUIVWGUYLVWCVWDVTULYWEUVWTUIVWEWLVWFVTVWHUVXCYWFV
          AUGUVWSUVWOWJVVTULYWEUIVWPUVWMYWFUUXKVAVWIWMUWHVWQUVWJUVWMVHVWJVWKZYU
          FJUUXLVEUIUFXEUUWIYUFVUCWAYUOUUXPUUXCVLUVVKUVVOXSVUDWFZYUFUVWLULUUXOU
          IVGZXUMUVWMUNUKZVHWHUVXGXVEUGVVLYUFUVWMXUMJYWEUUXOUIYMYJUUVOUUWDUVWQU
          UVRUUUHUUYEVLUVVAUUVRUUWNUUUNUVWDUVWEXRZXSZUUVRWYKUUXOUTUUXDUVVQUVWIU
          VWHYSVWLUVXGUVXHVHVWJVWKVWMXJYUFUUWQUUXFDULYUFYMUUWPUUXEJUUVRUUWKUUWN
          XVKUUVRWYSWYLUUVRDWYKUVWAUVWBYIUUWCXRUVWDUUWFVWNVRXJYUFUUVEYMUUYEJURZ
          UUXHULUKZDUUXGULUKZUUXHULUKUUXJYUFUUVEXYFUVXKUNUKZUIUVXKUNUKZXUMUVXKU
          NUKZULUKUVXLAYUEUUVEUVXNVCZWYDYUEAYUTUVXQYVDYVEUUUIUVXKXYFUNYVEYMUUUH
          UUYEJUVUTVRXJYKXMYUFUIXUMUVXKUUVNUUWDYUFUUYEJYWEUIYMYJUUVOUVVAUVXIUVW
          PYAZVWNYUFUVXOUVXKUVXPUUXHULYUFUVXKUVXRVWOYUFUVXPYMUVVRJURUUXHYUFUUYE
          XUMJYWEUIYMYJUUVOUVVAUVXIUVWPUUWDVXNYUFYMUVVRUUXDJUVWGVRXNZYQYOYUFUVX
          KUVXMUUXHULYUFUVXKUFUUXCJURZVEUUXLUTZUVXDYRUTZUUXCJURZULUKUVXMYUFUVXK
          UFDUIYVLULUKZUIUSUKZUSUKZDUVYEUPUKZUNUKZXUMUVYEUQUKZUNUKZIURZUFDUIWYK
          ULUKZUIUSUKZUSUKZDUVYMUPUKZUNUKZXUMUVYMUQUKZUNUKZJURZUVXTYUFUUYEUVYJJ
          IUIVEYMUFXEYMUIYRUTZUVYBYJUVXDUIYRVWDVUTVVAZWYKUVYDVCZUUWNUVYHUUUNUVY
          IUNUWUBUUWLUVYFUUWMUVYGUNUWUBUUUMUVYEDUSWYKUVYDUIUSVVEZXJUWUBUUUMUVYE
          DUPUWUCXJYQUWUBUUUMUVYEXUMUQUWUCXJYQUUVOYUNUVXIVWRUVYKUVYSVCYUFUFUVYJ
          UVYRIJYVOUVYHUVYPUVYIUVYQUNYVOUVYFUVYNUVYGUVYOUNYVOUVYEUVYMDUSYVOUVYD
          UVYLUIUSYVLWYKUIULUXRXKZXJYVOUVYEUVYMDUPUWUDXJYQYVOUVYEUVYMXUMUQUWUDX
          JYQVWSWAYUFUFUVYRUUXCJYUOUVYPUUWKUVYQXVKUNYUOUVYNWYSUVYOWYLUNYUOUVYMW
          YKDUSYUOUIWYKYUOYCUVVNVWTZXJYUOUVYMWYKDUPUWUEXJYQYUOUVYMWYKXUMUQUWUEX
          JYQVRYOYUFUUXCJUUXLVEUFXEYUNUVVKUVVOUVXEVXAYUFUVYADUVYCUUXGULYUFUVYAD
          VEUSUKZDVEUPUKZUNUKZXUMVEUQUKZUNUKZUUVIDYUFJVEUUXCUWUJUFUUXLVAUVVJYUF
          WYKVEVCZUHZUUWKUWUHXVKUWUIUNUWULWYSUWUFWYLUWUGUNUWULWYKVEDUSYUFUWUKXL
          ZXJUWULWYKVEDUPUWUMXJYQUWULWYKVEXUMUQUWUMXJZYQVEUFUGZYUFVXBWAZYUFUWUH
          UWUIUNXIWQYUFUWUHDUWUIUIUNYUFUWUHUUVIDYUFUWUFDUWUGUIUNYUFDUUVLVXCYUFD
          UUVLVXDZYQUUVMXNYUFXUMUUWDVXEZYQUUVMYOUVYCUUXGVCYUFUVYBYMUUXCJYMUVYBU
          WUAVXFZVXGWAYQYOXKYUFDUUXGUUXHUUVLYUFUUXCJUUXLUIYMYJUUVOUVVLUVVPUVXFY
          AYUFUVXPUUXHVLUVXSYUFXUMUVXKUUWDUVXRXRVXHVXIYOVXJAUUWRUUXBVCWYDYUEAUU
          WQUUXADULAYMUUWPUUWTJUVUCUUWOUUWSXVKUNUVUCDWYKUVUJAUUURXLVXKXKVRXJXOY
          UFUUXAUUVJDULYUFUUXAYMDYUSUNUKZJURUUVJYUFYMUUWTUWUTJUUVRDWYLXVKUVWAUU
          WCUUWFVXLVRYUFYUSDJXUNUIYMYJUUVOUUVQUUWGUUWJUUVLVXNYSXJYOVXJYUFUUVGXU
          PDUNYUFXUPUFXVLJURVEXUNUTZUVYBXVLJURZULUKUUVGYUFUFXUOXVLJYUFJUFXVLXUN
          VAYUEWYEYUTXUNXVMVCYVDWYENVLXVMHVAYVGWYETWAZYVHWYEYUTUHYVIWAXHYKZYUOX
          VJXVKUNXIXHZVRYUFXVLJXUNVEUFXEYUNUWVEYUOXVJXVKWYEXWBXVJVLUGZYUEAXWBUW
          VFWYDYVKXVJWYLVLYVQYVKDWYKAYVTXWBRWDYVPXPZXSXMXMUUWEXRYWSVXAYUFUWVAUI
          UWVBUUVFULYUFUWVAVELUTZUWUIUNUKZUIUIUNUKZUIYUFJVEXVLUWVIUFXUNVAUWVDUW
          ULXVJUWVHXVKUWUIUNUWULWYKVELUWUMVOUWUNYQUWUPYUFUWVHUWUIUNXIWQYUFUWVHU
          IUWUIUIUNYUFUWVHUWUGUIAUWVHUWUGVCWYDYUEAIVEYVMUWUGUFLVAYVNASWAAYVLVEV
          CZUHYVLVEDUPAUWVKXLXJUWUOAVXBWAADVEUPXIWQXOUWUQXNUWURYQYUFUIUUVNUVDYO
          YUFUWVBYMXVLJURUUVFUVYBYMXVLJUWUSVXGYUFYMXVLYUSJAYUEUUURYVJWYDUUURYUQ
          XWBYVJUUVPAXWBYVJYUEYVRXMYKYBVRVXMYQVXOXJXNYUFUUVCXYFUUUIYUFDXUPUUVLY
          WTXRYUFUIXUMUUVNUUWDUXQZYUFUUUHJYWEUIYMYJUUVOUUVRUUUHXFUVXJUVWPYAYUFU
          IXUMWRZUSUKZXYFVEYUFUIXUMUUVNUUWDVVFYUFUWVMVLUGZUWVMVDUTZUIVKWHZUWVNV
          EWEZYUFXUMUUWDYDYUFXUMVDUTZGUWVPUIVKYUEUWVSGVKWHZWYEYUEUWVSXUSUGZUWVT
          UWWAXUMXUTEXUMXUTUGZYUTUWWAXXTXYAUWWBYUTUWWAUHWJWOXYBVLXUMXUSVDUWCUWG
          VXPUCVXQUWWAUWVSVIUGZVEUWVSWIWHZUWVTXXOXXPUWWAUWWCUWWDUWVTUVMWJUVNXXQ
          VEGUWVSUVTWMVXRVXSWSYUFUWVPUWVSYUFXUMUUWDVXTVYAWYEGUIVCYUEXXNWDVYCUWV
          OUIVIUGUWVQUWVRVYLUWVMUIVYBVYDVYEVYFZVYGUVOYUFDXUPXYFUUVLYWTUWVLUWWEV
          YHVYIYPUUUKWYENEYYFXUPUNYYTFVAVAVAYUKXVPYXKYUFDXYFUJXIXUPVAUGYUFUFXUO
          JWPWAZWYEYYTXFFXUQVCWYEUDWAZYTZVYJXKWYEYYQUUUCFXYNUUVBXKYQWYENEYYHYYL
          ULUUUBUUUDVAVAVAYUKXVPYXKYUFYYGXYJUNXIYUFYYKXUPUNXIWYENEYYGXYJUNUUUAX
          YMVAVAVAYUKXVPYXKYUFYYFXUPUNXIYUFXYFXYIUMXIUWWHWYEXYMXFZYTWYENEYYKXUP
          UNUUUCFVAVAVAYUKXVPYXKYUFXYIYYJUNXIUWWFWYEUUUCXFUWWGYTYTYOZWYENEYYMVE
          YUFYYMDYYJUNUKZXUPUNUKZUWWLWRZULUKVEYUFYYHUWWLYYLUWWMULYUFYYHYYFXYJUN
          UKZXUPUNUKUWWLYUFYYFXUPXYJYUFDXYFUUVLUWVLUWWEUVFYWTYUFXYFXYIUWVLYUFDU
          UVLYDZYEZVYMYUFUWWNUWWKXUPUNYUFUWWNDXYJXYFUJUKZUNUKUWWKYUFDXYFXYJUUVL
          UWVLUWWPUWWEVYNYUFUWWQYYJDUNYUFYYJXYJXYFUIUMUKZUJUKUWWQYUFXYFXYIUIUWV
          LUWWEUWWOUUVNVYKYUFUWWRXYFXYJUJYUFXYFUWVLVYOXJVYPXJXNXKXNYUFYYLUWWKWR
          ZXUPUNUKUWWMYUFYYKUWWSXUPUNYUFDYYJUUVLYUFXYFYYIUWVLYUFXYIUIUWWOUUVNYI
          YEZVYQXKYUFUWWKXUPYUFDYYJUUVLUWWTXRZYWTVYQXNYQYUFUWWLYUFUWWKXUPUWXAYW
          TXRVYRXNYPZXNUENEVEVEXVQXVPXVAUEVEVFYWPVEXFVSZWUCVEYYBUGYUIVEVYSVYTWA
          YHUYRWYEYYNYYDYYCVLXYRYFUKZUWXBUWWJWYEVLYXRYFUKYYEUWXDYYDWYEUEUIVEVLW
          UAWUBUTZUWXEVLVLEEUUUEWYEYUCUHZYCUWXFUWQVLUEVLUIVBZYFUKZUEVLVEVBZVCWY
          EVLVLYXNUYFZYFUKZVLYYBUYFZUWXHUWXIYYAUWXKUWXLVCUYLUIWUDWLUWXJUWXGVLYF
          UEVLUIUYIWUEUEVLVEUYIWUFWAEVLWKWYEYVCWAUWXEVLWUGUKZUWXEUWXEVAUGUWXMUW
          XEVCWUAWUBVWAUWXEVAVLWUAWUHUGVLUWXEWUIVCWUJVLUWXEWUAWUMUWXEUWMZWUKWLW
          ULWLVXFUWXNEUWXEWUNUTUTEVCZWYEUWXEWUOUGEUWXEUGUWXOUWXEUWXNWUPEXYTUWXE
          YUAXYSVLWUQUTUGZVEVLUGZXXPXYTUWXEUGWURVWGXXQXYSVEGUWXEVLUWXEUWXNWUSWU
          TWVAUVSEUWXEWVBWMWAWVCYXRXYRVLYFYXSWUEUWXCWVDVYJWYEVEXYTEWYEGWVEUGZVE
          XYTUGZWYEGUIWVEXXNWVLWVFUWXPUWXQUWXRUWXSWURVWGXYSVEGVLWVGWVHVXSYUAWVI
          ZWYEUFWYKVEHUTZUTZJURZUIVEULUKZXYIUMUKZUNUKZUIVEXYOUTZVEXYRUTZWYEUWYF
          UWYDUIUNUKZUIWYEUWYCUWYDUWYEUIUNWYEUWYCVEUWYAUTZUVYBUWYBJURZULUKUWYDW
          YEUWYBJUWYAVEUFXEWYEUWTZWYEXWBUHZUWYBXFAWYDVEEUGZXWBUWYBVLUGZUWXTYURY
          UPWTAUWYNUHZXWBUHZUWYOWTNVEUWYQUWYONUWYPXWBNAUWYNNANXANVEEXVPWVMUWRZX
          WBNXAUWRNUWYBVLNWYKUWYANVEHXVOXVAVNZXVSVNVPXBVYSXUMVEVCZYURUWYQYUPUWY
          OUWYTYUQUWYPXWBUWYTYUEUWYNAXUMVEEUWSUXHZWVJUWYTXUOUWYBVLUWYTWYKXUNUWY
          AXUMVEHXTZVQXCXDYWBWVKWVNAWYDUWYNULUWYAVEVGZXVEUGZUWXTYUQYWDWTUWYPUXU
          DWTNVEUWYPUXUDNUWYRNUXUCXVENULUWYAVEXVAXVIUWYSUUJVPXBVYSUWYTYUQUWYPYW
          DUXUDUXUAUWYTYWCUXUCXVEUWYTXUNUWYAULVEUXUBUXJXCXDYWRWVKWVOVXAWYEUWYJU
          IUWYKVEULWYEUWYJUWUGVEVEUQUKZUNUKZUWVJUIWYEJVEWYLVEWYKUQUKZUNUKZUXUFU
          FUWYAVAWYENVEXVMJUFUXUHVBZVLHVAUWVCWYEUWYTUHZJUFXVLUXUHUXUJXWBUHZXVJW
          YLXVKUXUGUNWYEXWBUVUDUWYTAXWBUVUDWYDYVQXMZXMUXUKXUMVEWYKUQWYEUWYTXWBW
          BXKYQYPYUBUXUIVAUGWYEJUFUXUHUXFXGWAWQZWYEUWUKUHZWYLUWUGUXUGUXUEUNUXUN
          WYKVEDUPWYEUWUKXLZXJUXUNWYKVEVEUQUXUOXJYQUWUOWYEVXBWAWYEUWUGUXUEUNXIW
          QWYEUWUGUIUXUEUIUNWYEDAYVTWYDRWDZVXDWYEVEYUBVXEYQUWVJUIVCWYEWVPWAYOWY
          EYMUWYBJURYMVEJURZUWYKVEWYEYMUWYBVEJWYEUUURUHZUWYBUXUHWYLVEUNUKVEUUUR
          WYEXWBUWYBUXUHVCUUVPWYEJUFUXUHUWYAVAUXUMUWYMWYLUXUGUNXIXHYKUXURUXUGVE
          WYLUNUXURWYKWYEUUURXLWVQXJUXURWYLUUURWYEXWBUUVSUUVPAXWBUUVSWYDUWVGXMZ
          YKWVRYOVRYMUVYBUWYBJUWUAVXGYMUVYTWKZYMWVSUGZWVTUXUQVEVCUXUTUXVAYMUVYT
          YJWWAWWBYMJUIWWDWLWVDYQXNWYEUWYEUIXYIUMUKUIUWYDUIXYIUMWWCVWFWYEXYIWYE
          DUXUPYDWWEVXMYQUWYIUWVJUIUWYDUIUIUNWWCVWFWVPVTYGWYEUWYNUWYGUWYFVCUWXT
          WYEEEUWYCUWYEUNEFXYMVAVAVEWYEEVLFYXAWWFWYEEVLXYMYXIWWFYXKYXKYXLWYEUWY
          NUHZUEVEXUJUWYCEFVAXULUXVBXWEWAUXVBXUGVEVCZUHZUFXUIUWYBJUXVDXWBUHZWYK
          XUHUWYAUXVEXUGVEHUXVBUXVCXWBWBVOVQVRWYEUWYNXLZUWYCVAUGUXVBUFUWYBJWPWA
          WQUXVBUEVEYXBUWYEEXYMVAXYMUEEYXBVBVCUXVBYXHWAUXVDXYDUWYDXYIUMUXVDXUGV
          EUIULUXVBUXVCXLXJXKUXVFUXVBUWYDXYIUMXIWQWWGWWHWYEUWYHVEYXQUTZUIVEYXQX
          YRYXTWWIWYEUWYNUXVGUIVCUWXTEUIVEUYGWWOVXSVVKVYJWWJXKWYEYXJEVLFWNEVLYY
          BWWKZXYMWNXYQFVCYXKYXAWYEUEEYXBUXVHXYMYUIYXBVLUGYXBVEWEYXBUXVHUGYXFYU
          IXYDXYIYXDYUFXYFVEWEZWTYUIXYDVEWEZWTNUEYUIUXVJNYULUXVJNXAXBXWAYUFYUIU
          XVIUXVJYUMXWAXYFXYDVEYXGWWLXDUWWEUXOYXEWWMYXBVLVEWWNUWIYXHUXPEFXYMVAW
          WPWWQWYENEUIXYJUJXYRXYMVAVLVLYUKXVPYXKUUVNUWWPWYEXYRXFUWWIYTYNWYENEXY
          KXYGYUFXYFXYIWRZUMUKXYKXYGYUFXYFXYIUWVLUWWEUWWOWWRYUFUXVKDXYFUMYUFDUU
          VLWWSXJVYIYPXNNUEEXYGXYEXVPXVQUEXYGVFNXYEVFXWAXYFXYDDUMYXGXKVSYGXWGXY
          DWYGDUMXWGXUGWYFUIULWYEXWFXLXJXKXYCWYEWYGDWYEUIWYFWYEYCZXXGUXQUXUPYEW
          QWYEUFXUEWYNJWYEJUFWYNXUDVAWYENWYFXVMJUFWYNVBZVLHVAUWVCWYEXUMWYFVCZUH
          ZJUFXVLWYNUXVOXWBUHZXVJWYLXVKWYMUNWYEXWBUVUDUXVNUXULXMUXVPXUMWYFWYKUQ
          WYEUXVNXWBWBXKYQYPXXGUXVMVAUGWYEJUFWYNUXFXGWAWQUWYMWYLWYMUNXIXHZVRYNX
          KWYEWYGBUNUKZDUMUKWYJWYRWYEWYGBDWYEUIWYFXXMAWYFVIUGWYDACBPOWWTZWDWXAA
          VEWYGWIWHZWYDAVEWYFUSUKZUIWIWHUXVTAUXWAWYFWRZUIWIWYFWXBAUUXKUXWBWIWHZ
          UXWBUIWIWHZAUXWBVDUTZUIWIWHUXWCUXWDUHAUXWEUIAUXWBAWYFAWYFUXVSWCZYDWGA
          UVGZAUXWEXXKUIVKAUXWEXWJXXKAWYFUXWFVXTACBXWNXWQABOWXCZUVJXNAXXAUIXWSA
          CXWNWGZUIWVEUGAWVLWAABXWQUXWHWXDAXXAUIUJUKXXAXWSVKAXXAAXXAUXWIWCWXEQW
          XFWXGWXFWXHAUXWBUIAWYFUXVSWXIUXWGWXLWFVVMWXJAVEWYFUIAUURUXVSUXWGWXMWF
          WDWYEBABWVEUGWYDOWDZWXKWYEBUXWJWXNUXUPWXOWYEUXVRWYQDUMWYEUXVRUIBUNUKZ
          WYFBUNUKZULUKWYQWYEUIWYFBUXVLXXGXWRVWNWYEUXWKBUXWLCULWYEBXWRVWOWYECBX
          WOXWRXXFWXPYQXNXKVYIWYEWYPUFWYNWYIUNUKZJURXUCWYEWYNWYIJXUDVEUFXEUWYLU
          XVQUWYMWYLWYMUXUSUWYMWYFWYKWYEXWIXWBXXGWDWYEXWBXLZXQXRAWYDXWLULXUDVEV
          GXVEUGZXYCAXWLUHUXWOULWYFKUTUIVGXVEUGABCDEGHIJKLWYFMNOPQRSTUAUBUCUXLU
          XNWVOWYEBDXWRUXUPYEZWYAWYEUFUXWMXUBJUWYMUXWMWYLWYTUNUKXUAUNUKZXUBUWYM
          UXWMWYLXUAUNUKZWYIUIBUJUKZWYKUQUKZUNUKZUNUKZUXWRWYTUNUKUXWQUWYMUXWMUX
          WRUXWTUNUKZWYIUNUKUXWRWYIUNUKUXWTUNUKUXXBUWYMWYNUXXCWYIUNUWYMWYNWYLXU
          AUXWTUNUKZUNUKUXXCUWYMWYMUXXDWYLUNUWYMWYMCUXWSUNUKZWYKUQUKUXXDUWYMWYF
          UXXEWYKUQUWYMCBAXWMWYDXWBXWNXOZAXWPWYDXWBXWQXOZAXWTWYDXWBUXWHXOZWXQXK
          UWYMCUXWSWYKUXXFUWYMBUXXGUXXHWXRZUXWNWXSXNXJUWYMWYLXUAUXWTUXUSUWYMCWY
          KUXXFUXWNXQZUWYMUXWSWYKUXXIUXWNXQZVXLYSXKUWYMUXWRUXWTWYIUWYMWYLXUAUXU
          SUXXJXRZUXXKWYEWYIVLUGXWBUXWPWDZVYMUWYMUXWRWYIUXWTUXXLUXXMUXXKVXLYOUW
          YMUXXAWYTUXWRUNUWYMWYIBWYKUMUKZUJUKWYIUIUXXNUJUKZUNUKWYTUXXAUWYMWYIUX
          XNUXXMUWYMBWYKUXXGUWYMWYKUXWNVUJZYEUWYMBWYKUXXGUXXHUXXPWWMWXQUWYMBDWY
          KUXXGUXXHAYVTWYDXWBRXOZUXXPVYKUWYMUXWTUXXOWYIUNUWYMUXWTUIBWYKUQUKZUJU
          KUXXOUWYMBWYKUXXGUXXHUWYMWYKUXWNWXTWYBUWYMUXXNUXXRUIUJUWYMXWPXWBUXXNU
          XXRVCUXXGUXWNBWYKWYCVYEXJYSXJVXJXJUWYMWYLXUAWYTUXUSUXXJUWYMBWYSUXXGUW
          YMDWYKUXXQUXXPYIYEZVYMYOUWYMWYLWYTXUAUXUSUXXSUXXJVXLXNVRXNYN $.
      $}
    $}

    ${
      $d b j k r x C $.  $d b j k ph $.  $d b k r A $.  $d b k r B $.
      $d j k y C $.
      $( Generalize the binomial theorem ~ binom to positive real summand
         ` A ` , real summand ` B ` , and complex exponent ` C ` .  Proof in
         ~ https://en.wikibooks.org/wiki/Advanced_Calculus ; see also
         ~ https://en.wikipedia.org/wiki/Binomial_series ,
         ~ https://en.wikipedia.org/wiki/Binomial_theorem (sections "Newton's
         generalized binomial theorem" and "Future generalizations"), and proof
         "General Binomial Theorem" in
         ~ https://proofwiki.org/wiki/Binomial_Theorem .  (Contributed by Steve
         Rodriguez, 22-Apr-2020.) $)
      binomcxp $p |- ( ph -> ( ( A + B ) ^c C ) = sum_ k e. NN0
          ( ( C _Cc k ) x. ( ( A ^c ( C - k ) ) x. ( B ^ k ) ) ) ) $=
        ( vb vx cn0 co cv cbcc cexp cmul cc0 cmpt cfv vr vj wcel caddc ccxp csu
        vy cmin wceq binomcxplemnn0 cabs ccnv cc cseq cli cdm crab cxr clt csup
        cr cico cima cn c1 eqid fveq2 oveq2 oveq12d cbvmptv mpteq2i a1i fveq12d
        id oveq1 oveq2d fveq1i oveq1i seqeq3 ax-mp eleq1i rabbii supeq1i oveq2i
        imaeq2i binomcxplemnotnn0 pm2.61dan ) ADLUCBCUDMDUEMLDENZOMBDWHUHMUEMCW
        HPMQMQMEUFUIABCDEFGHIUJABCDUKULZRUDUANZJUMKLKNZKLDWKOMZSZTZJNZWKPMZQMZS
        ZSZTZRUNZUOUPZUCZUAVAUQZURUSUTZVBMZVCZJXGLWHWOJUMKLWKUBLDUBNZOMZSZTZWPQ
        MZSZSZTTEUFSZUDWJXNTZRUNZXBUCZUAVAUQZURUSUTZXNUBEJUMKVDWKWKUGLDUGNZOMZS
        ZTZQMZWOWKVEUHMZPMZQMZSZSXJUAJFGHIXJVFJUMXMELWHXJTZWOWHPMZQMZSKELXLYLWK
        WHUIZXKYJWPYKQWKWHXJVGWKWHWOPVHVIVJVKXTVFJUMYIEVDWHYJQMZWOWHVEUHMZPMZQM
        ZSKEVDYHYQYMYEYNYGYPQYMWKWHYDYJQYMVNZYMWKWHYCXJYCXJUIYMUGUBLYBXIYAXHDOV
        HVJVLYRVMVIYMYFYOWOPWKWHVEUHVOVPVIVJVKXFRXTVBMWIXEXTRVBURXDXSUSXCXRUAVA
        XAXQXBWTXPUIXAXQUIWJWSXNJUMWRXMKLWQXLWNXKWPQWKWMXJKUBLWLXIWKXHDOVHVJVQV
        RVKVKVQUDWTXPRVSVTWAWBWCWDWEXOVFWFWG $.
    $}
  $}

$( (End of Steve Rodriguez's mathbox.) $)
$( End $[ set-mbox-sr.mm $] $)


$( Begin $[ set-mbox-ats.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Andrew Salmon
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Principia Mathematica * 10
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d ph x $.
    $( Theorem *10.12 in [WhiteheadRussell] p. 146.  In *10, this is treated as
       an axiom, and the proofs in *10 are based on this theorem.  (Contributed
       by Andrew Salmon, 17-Jun-2011.) $)
    pm10.12 $p |- ( A. x ( ph \/ ps ) -> ( ph \/ A. x ps ) ) $=
      ( wo wal 19.32v biimpi ) ABDCEABCEDABCFG $.
  $}

  $( Theorem *10.14 in [WhiteheadRussell] p. 146.  (Contributed by Andrew
     Salmon, 17-Jun-2011.) $)
  pm10.14 $p |- ( ( A. x ph /\ A. x ps ) -> ( [ y / x ] ph /\ [ y / x ] ps )
    ) $=
    ( wal wsb stdpc4 anim12i ) ACEACDFBCEBCDFACDGBCDGH $.

  $( Theorem *10.251 in [WhiteheadRussell] p. 149.  (Contributed by Andrew
     Salmon, 17-Jun-2011.) $)
  pm10.251 $p |- ( A. x -. ph -> -. A. x ph ) $=
    ( wn wal wex alnex 19.2 con3i sylbi ) ACBDABEZCABDZCABFKJABGHI $.

  $( Theorem *10.252 in [WhiteheadRussell] p. 149.  (Contributed by Andrew
     Salmon, 17-Jun-2011.)  (New usage is discouraged.) $)
  pm10.252 $p |- ( -. E. x ph <-> A. x -. ph ) $=
    ( wn wal wex df-ex bicomi con1bii ) ACBDZABEZJICABFGH $.

  $( Theorem *10.253 in [WhiteheadRussell] p. 149.  (Contributed by Andrew
     Salmon, 17-Jun-2011.) $)
  pm10.253 $p |- ( -. A. x ph <-> E. x -. ph ) $=
    ( wn wex wal alex bicomi con1bii ) ACBDZABEZJICABFGH $.

  $( Theorem *10.301 in [WhiteheadRussell] p. 151.  (Contributed by Andrew
     Salmon, 24-May-2011.) $)
  albitr $p |- ( ( A. x ( ph <-> ps ) /\ A. x ( ps <-> ch ) ) ->
        A. x ( ph <-> ch ) ) $=
    ( wb bitr alanimi ) ABEBCEACEDABCFG $.

  $( Theorem *10.42 in [WhiteheadRussell] p. 155.  (Contributed by Andrew
     Salmon, 17-Jun-2011.) $)
  pm10.42 $p |- ( ( E. x ph \/ E. x ps ) <-> E. x ( ph \/ ps ) ) $=
    ( wo wex 19.43 bicomi ) ABDCEACEBCEDABCFG $.

  ${
    $d ps x $.
    $( Theorem *10.52 in [WhiteheadRussell] p. 155.  (Contributed by Andrew
       Salmon, 24-May-2011.) $)
    pm10.52 $p |- ( E. x ph -> ( A. x ( ph -> ps ) <-> ps ) ) $=
      ( wi wal wex 19.23v pm5.5 syl5bb ) ABDCEACFZBDJBABCGJBHI $.
  $}

  $( Theorem *10.53 in [WhiteheadRussell] p. 155.  (Contributed by Andrew
     Salmon, 24-May-2011.) $)
  pm10.53 $p |- ( -. E. x ph -> A. x ( ph -> ps ) ) $=
    ( wex wn wal wi pm2.21 19.38 syl ) ACDZEKBCFZGABGCFKLHABCIJ $.

  ${
    $d ch x $.
    $( Theorem *10.541 in [WhiteheadRussell] p. 155.  (Contributed by Andrew
       Salmon, 24-May-2011.) $)
    pm10.541 $p |- ( A. x ( ph -> ( ch \/ ps ) ) <->
        ( ch \/ A. x ( ph -> ps ) ) ) $=
      ( wn wi wal wo bi2.04 albii 19.21v bitri df-or imbi2i 3bitr4i ) ACEZBFZFZ
      DGZPABFZDGZFZACBHZFZDGCUAHSPTFZDGUBRUEDAPBIJPTDKLUDRDUCQACBMNJCUAMO $.
  $}

  ${
    $d ch x $.
    $( Theorem *10.542 in [WhiteheadRussell] p. 156.  (Contributed by Andrew
       Salmon, 24-May-2011.) $)
    pm10.542 $p |- ( A. x ( ph -> ( ch -> ps ) ) <->
        ( ch -> A. x ( ph -> ps ) ) ) $=
      ( wi wal bi2.04 albii 19.21v bitri ) ACBEEZDFCABEZEZDFCLDFEKMDACBGHCLDIJ
      $.
  $}

  $( Theorem *10.55 in [WhiteheadRussell] p. 156.  (Contributed by Andrew
     Salmon, 24-May-2011.) $)
  pm10.55 $p |- ( ( E. x ( ph /\ ps ) /\ A. x ( ph -> ps ) ) <->
        ( E. x ph /\ A. x ( ph -> ps ) ) ) $=
    ( wa wex wi wal exsimpl anim1i exintr imdistanri impbii ) ABDCEZABFCGZDACEZ
    NDMONABCHINOMABCJKL $.

  $( Theorem *10.56 in [WhiteheadRussell] p. 156.  (Contributed by Andrew
     Salmon, 24-May-2011.) $)
  pm10.56 $p |- ( ( A. x ( ph -> ps ) /\
        E. x ( ph /\ ch ) ) -> E. x ( ps /\ ch ) ) $=
    ( wi wal wa wex pm3.45 aleximi imp ) ABEZDFACGZDHBCGZDHLMNDABCIJK $.

  $( Theorem *10.57 in [WhiteheadRussell] p. 156.  (Contributed by Andrew
     Salmon, 24-May-2011.) $)
  pm10.57 $p |- ( A. x ( ph -> ( ps \/ ch ) ) ->
        ( A. x ( ph -> ps ) \/ E. x ( ph /\ ch ) ) ) $=
    ( wo wi wal wa wex wn alnex imnan pm2.53 con1d imim3i syl5bir al2imi orrd )
    ABCEZFZDGZABFZDGZACHZDIZUAUEUCUEJUDJZDGUAUCUDDKTUFUBDUFACJZFTUBACLSUGBASBCB
    CMNOPQPNR $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Principia Mathematica * 11
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    2alanimi.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Removes two universal quantifiers from a statement.  (Contributed by
       Andrew Salmon, 24-May-2011.) $)
    2alanimi $p |- ( ( A. x A. y ph /\ A. x A. y ps ) -> A. x A. y ch ) $=
      ( wal alanimi ) AEGBEGCEGDABCEFHH $.
  $}

  ${
    2al2imi.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Removes two universal quantifiers from a statement.  (Contributed by
       Andrew Salmon, 24-May-2011.) $)
    2al2imi $p |- ( A. x A. y ph -> ( A. x A. y ps -> A. x A. y ch ) ) $=
      ( wal al2imi ) AEGBEGCEGDABCEFHH $.
  $}

  ${
    pm11.11.1 $e |- ph $.
    $( Theorem *11.11 in [WhiteheadRussell] p. 159.  (Contributed by Andrew
       Salmon, 17-Jun-2011.) $)
    pm11.11 $p |- A. z A. w [ z / x ] [ w / y ] ph $=
      ( wsb wal 2stdpc4 ax-gen mpg gen2 ) ACEGBDGZDEACHMBABCDEIACFJKL $.
  $}

  ${
    $d ph x $.  $d ph y $.
    $( Theorem *11.12 in [WhiteheadRussell] p. 159.  (Contributed by Andrew
       Salmon, 17-Jun-2011.) $)
    pm11.12 $p |- ( A. x A. y ( ph \/ ps ) -> ( ph \/ A. x A. y ps ) ) $=
      ( wo wal pm10.12 alimi syl ) ABEDFZCFABDFZEZCFAKCFEJLCABDGHAKCGI $.
  $}

  ${
    $d ps x $.  $d ps y $.
    $( Compare Theorem *11.3 in [WhiteheadRussell] p. 161.  Special case of
       theorem 19.21 of [Margaris] p. 90 with two quantifiers.  See ~ 19.21v .
       (Contributed by Andrew Salmon, 24-May-2011.) $)
    19.21vv $p |- ( A. x A. y ( ps -> ph ) <-> ( ps -> A. x A. y ph ) ) $=
      ( wi wal 19.21v albii bitri ) BAEDFZCFBADFZEZCFBKCFEJLCBADGHBKCGI $.
  $}

  $( Theorem *11.32 in [WhiteheadRussell] p. 162.  Theorem 19.20 of [Margaris]
     p. 90 with 2 quantifiers.  (Contributed by Andrew Salmon, 24-May-2011.) $)
  2alim $p |- ( A. x A. y ( ph -> ps ) ->
        ( A. x A. y ph -> A. x A. y ps ) ) $=
    ( wi id 2al2imi ) ABEZABCDHFG $.

  $( Theorem *11.33 in [WhiteheadRussell] p. 162.  Theorem 19.15 of [Margaris]
     p. 90 with 2 quantifiers.  (Contributed by Andrew Salmon, 24-May-2011.) $)
  2albi $p |- ( A. x A. y ( ph <-> ps ) ->
        ( A. x A. y ph <-> A. x A. y ps ) ) $=
    ( wb wal albi alimi syl ) ABEDFZCFADFZBDFZEZCFKCFLCFEJMCABDGHKLCGI $.

  $( Theorem *11.34 in [WhiteheadRussell] p. 162.  Theorem 19.22 of [Margaris]
     p. 90 with 2 quantifiers.  (Contributed by Andrew Salmon, 24-May-2011.) $)
  2exim $p |- ( A. x A. y ( ph -> ps ) ->
        ( E. x E. y ph -> E. x E. y ps ) ) $=
    ( wi wal wex exim aleximi ) ABEDFADGBDGCABDHI $.

  $( Theorem *11.341 in [WhiteheadRussell] p. 162.  Theorem 19.18 of [Margaris]
     p. 90 with 2 quantifiers.  (Contributed by Andrew Salmon, 24-May-2011.) $)
  2exbi $p |- ( A. x A. y ( ph <-> ps ) ->
        ( E. x E. y ph <-> E. x E. y ps ) ) $=
    ( wb wal wex exbi alimi syl ) ABEDFZCFADGZBDGZEZCFLCGMCGEKNCABDHILMCHJ $.

  $( Theorem *11.36 in [WhiteheadRussell] p. 162.  (Contributed by Andrew
     Salmon, 24-May-2011.) $)
  spsbce-2 $p |- ( [ z / x ] [ w / y ] ph -> E. x E. y ph ) $=
    ( wsb wex spsbe eximi syl ) ACEFZBDFKBGACGZBGKBDHKLBACEHIJ $.

  $( Theorem *11.421 in [WhiteheadRussell] p. 163.  Theorem 19.33 of [Margaris]
     p. 90 with 2 quantifiers.  (Contributed by Andrew Salmon, 24-May-2011.) $)
  19.33-2 $p |- ( ( A. x A. y ph \/ A. x A. y ps ) ->
        A. x A. y ( ph \/ ps ) ) $=
    ( wal wo orc 2alimi olc jaoi ) ADECEABFZDECEBDECEAKCDABGHBKCDBAIHJ $.

  ${
    $d ps x $.  $d ps y $.
    $( Theorem *11.43 in [WhiteheadRussell] p. 163.  Theorem 19.36 of
       [Margaris] p. 90 with 2 quantifiers.  (Contributed by Andrew Salmon,
       25-May-2011.) $)
    19.36vv $p |- ( E. x E. y ( ph -> ps ) <-> ( A. x A. y ph -> ps ) ) $=
      ( wi wex wal 19.36v exbii bitri ) ABEDFZCFADGZBEZCFLCGBEKMCABDHILBCHJ $.
  $}

  ${
    $d ps x $.  $d ps y $.
    $( Theorem *11.44 in [WhiteheadRussell] p. 163.  Theorem 19.31 of
       [Margaris] p. 90 with 2 quantifiers.  (Contributed by Andrew Salmon,
       24-May-2011.) $)
    19.31vv $p |- ( A. x A. y ( ph \/ ps ) <-> ( A. x A. y ph \/ ps ) ) $=
      ( wo wal 19.31v albii bitri ) ABEDFZCFADFZBEZCFKCFBEJLCABDGHKBCGI $.
  $}

  ${
    $d ps x $.  $d ps y $.
    $( Theorem *11.46 in [WhiteheadRussell] p. 164.  Theorem 19.37 of
       [Margaris] p. 90 with 2 quantifiers.  (Contributed by Andrew Salmon,
       24-May-2011.) $)
    19.37vv $p |- ( E. x E. y ( ps -> ph ) <-> ( ps -> E. x E. y ph ) ) $=
      ( wi wex 19.37v exbii bitri ) BAEDFZCFBADFZEZCFBKCFEJLCBADGHBKCGI $.
  $}

  ${
    $d ps x $.  $d ps y $.
    $( Theorem *11.47 in [WhiteheadRussell] p. 164.  Theorem 19.28 of
       [Margaris] p. 90 with 2 quantifiers.  (Contributed by Andrew Salmon,
       24-May-2011.) $)
    19.28vv $p |- ( A. x A. y ( ps /\ ph ) <-> ( ps /\ A. x A. y ph ) ) $=
      ( wa wal 19.28v albii bitri ) BAEDFZCFBADFZEZCFBKCFEJLCBADGHBKCGI $.
  $}

  $( Theorem *11.52 in [WhiteheadRussell] p. 164.  (Contributed by Andrew
     Salmon, 24-May-2011.) $)
  pm11.52 $p |- ( E. x E. y ( ph /\ ps ) <->
        -. A. x A. y ( ph -> -. ps ) ) $=
    ( wa wex wn wi wal df-an 2exbii 2nalexn bitr4i ) ABEZDFCFABGHZGZDFCFODICIGN
    PCDABJKOCDLM $.

  ${
    $d ph y $.  $d ps x $.
    $( Theorem *11.56 in [WhiteheadRussell] p. 165.  Special case of ~ aaan .
       (Contributed by Andrew Salmon, 24-May-2011.) $)
    aaanv $p |- ( ( A. x ph /\ A. y ps ) <-> A. x A. y ( ph /\ ps ) ) $=
      ( wa wal nfv aaan bicomi ) ABEDFCFACFBDFEABCDADGBCGHI $.
  $}

  ${
    $d ph y $.
    $( Theorem *11.57 in [WhiteheadRussell] p. 165.  (Contributed by Andrew
       Salmon, 24-May-2011.) $)
    pm11.57 $p |- ( A. x ph <-> A. x A. y ( ph /\ [ y / x ] ph ) ) $=
      ( wal wsb wa nfv nfal sp stdpc4 jca alrimi axc4i simpl sps alimi impbii )
      ABDZAABCEZFZCDZBDAUABRTCACBACGHRASABIABCJKLMUAABTACASNOPQ $.
  $}

  ${
    $d ph y $.
    $( Theorem *11.58 in [WhiteheadRussell] p. 165.  (Contributed by Andrew
       Salmon, 24-May-2011.) $)
    pm11.58 $p |- ( E. x ph <-> E. x E. y ( ph /\ [ y / x ] ph ) ) $=
      ( wsb wa wex 19.8a nfv sb8e sylib pm4.71i 19.42v bitr4i exbii ) AAABCDZEC
      FZBAAOCFZEPAQAABFQABGABCACHIJKAOCLMN $.
  $}

  ${
    $d ph y $.  $d ps y $.
    $( Theorem *11.59 in [WhiteheadRussell] p. 165.  (Contributed by Andrew
       Salmon, 25-May-2011.) $)
    pm11.59 $p |- ( A. x ( ph -> ps ) ->
        A. y A. x ( ( ph /\ [ y / x ] ph ) -> ( ps /\ [ y / x ] ps ) ) ) $=
      ( wi wal wsb wa nfv nfal sp spsbim anim12d axc4i alrimi ) ABEZCFZAACDGZHB
      BCDGZHEZCFDPDCPDIJPTCQABRSPCKABCDLMNO $.
  $}

  ${
    $d ps x $.  $d ch y $.
    $( Theorem *11.6 in [WhiteheadRussell] p. 165.  (Contributed by Andrew
       Salmon, 25-May-2011.) $)
    pm11.6 $p |- ( E. x ( E. y ( ph /\ ps ) /\ ch ) <->
        E. y ( E. x ( ph /\ ch ) /\ ps ) ) $=
      ( wa wex excom an32 2exbii bitri 19.41v exbii 3bitr3i ) ABFZCFZEGZDGZACFZ
      BFZDGZEGZOEGCFZDGSDGBFZEGRPDGEGUBPDEHPTEDABCIJKQUCDOCELMUAUDESBDLMN $.
  $}

  ${
    $d ph y $.
    $( Theorem *11.61 in [WhiteheadRussell] p. 166.  (Contributed by Andrew
       Salmon, 24-May-2011.) $)
    pm11.61 $p |- ( E. y A. x ( ph -> ps ) -> A. x ( ph -> E. y ps ) ) $=
      ( wi wal wex 19.12 19.37v biimpi alimi syl ) ABEZCFDGMDGZCFABDGEZCFMDCHNO
      CNOABDIJKL $.
  $}

  ${
    $d ph y $.
    $( Theorem *11.62 in [WhiteheadRussell] p. 166.  Importation combined with
       the rearrangement with quantifiers.  (Contributed by Andrew Salmon,
       24-May-2011.) $)
    pm11.62 $p |- ( A. x A. y ( ( ph /\ ps ) -> ch ) <->
        A. x ( ph -> A. y ( ps -> ch ) ) ) $=
      ( wa wi wal impexp albii 19.21v bitri ) ABFCGZEHZABCGZEHGZDNAOGZEHPMQEABC
      IJAOEKLJ $.
  $}

  $( Theorem *11.63 in [WhiteheadRussell] p. 166.  (Contributed by Andrew
     Salmon, 24-May-2011.) $)
  pm11.63 $p |- ( -. E. x E. y ph -> A. x A. y ( ph -> ps ) ) $=
    ( wex wn wal wi 2nexaln pm2.21 2alimi sylbi ) ADECEFAFZDGCGABHZDGCGACDIMNCD
    ABJKL $.

  $( Theorem *11.7 in [WhiteheadRussell] p. 166.  (Contributed by Andrew
     Salmon, 24-May-2011.) $)
  pm11.7 $p |- ( E. x E. y ( ph \/ ph ) <-> E. x E. y ph ) $=
    ( wo oridm 2exbii ) AADABCAEF $.

  ${
    $d ph y $.  $d ps y $.  $d ch x $.  $d th x $.
    $( Theorem *11.71 in [WhiteheadRussell] p. 166.  (Contributed by Andrew
       Salmon, 24-May-2011.) $)
    pm11.71 $p |- ( ( E. x ph /\ E. y ch ) ->
        ( ( A. x ( ph -> ps ) /\ A. y ( ch -> th ) ) <->
        A. x A. y ( ( ph /\ ch ) -> ( ps /\ th ) ) ) ) $=
      ( wex wa wal nfv nfex exim 19.42v 3imtr3g imim2i syl9 syl5 alimd 19.41v
      wi aaan anim12 2alimi sylbir pm3.21 simpl adantl ax-11 pm3.2 simpr adantr
      jcad impbid2 ) AEGZCFGZHZABTZEIZCDTZFIZHZACHZBDHZTZFIZEIZVAUQUSHZFIEIVFUQ
      USEFUQFJUSEJUAVGVDEFABCDUBUCUDUPVFURUTUOVFURTUNUOVEUQECEFCEJKVEAUOHZBDFGZ
      HZTZUOUQVEVBFGVCFGVHVJVBVCFLACFMBDFMNUOAVHVKBUOAUEVJBVHBVIUFOPQRUGUNVFUTT
      UOVFVDEIZFIUNUTVDEFUHUNVLUSFAFEAFJKVLUNCHZBEGZDHZTZUNUSVLVBEGVCEGVMVOVBVC
      ELACESBDESNUNCVMVPDUNCUIVODVMVNDUJOPQRQUKULUM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Predicate Calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x z $.
    $( If ` x = y ` always implies ` x = z ` , then ` y = z ` .  (Contributed
       by Andrew Salmon, 2-Jun-2011.) $)
    sbeqal1 $p |- ( A. x ( x = y -> x = z ) -> y = z ) $=
      ( weq wi wal wsb sb2 equsb3 sylib ) ABDACDZEAFKABGBCDKABHABCIJ $.

    sbeqal1i.1 $e |- ( x = y -> x = z ) $.
    $( Suppose you know ` x = y ` implies ` x = z ` , assuming ` x ` and ` z `
       are distinct.  Then, ` y = z ` .  (Contributed by Andrew Salmon,
       3-Jun-2011.) $)
    sbeqal1i $p |- y = z $=
      ( weq wi sbeqal1 mpg ) ABEACEFBCEAABCGDH $.

    $( If ` x = y ` implies ` x = z ` , then we can infer ` z = y ` .
       (Contributed by Andrew Salmon, 3-Jun-2011.) $)
    sbeqal2i $p |- z = y $=
      ( cv sbeqal1i eqcomi ) BECEABCDFG $.
  $}

  $( Proof of a theorem that can act as a sole axiom for pure predicate
     calculus with ~ ax-gen as the inference rule.  This proof extends the idea
     of ~ axc5c711 and related theorems.  (Contributed by Andrew Salmon,
     14-Jul-2011.) $)
  axc5c4c711 $p |- ( ( A. x A. y -. A. x A. y ( A. y ph -> ps ) -> ( ph ->
      A. y ( A. y ph -> ps ) ) ) -> ( A. y ph -> A. y ps ) ) $=
    ( wal wi wn axc4 hbn1 axc7 con1i alrimih ax-11 syl nsyl4 pm2.21 spsd ja ) A
    DEZBFZDEZCEGZDECEZAUAFSBDEZFZUAUEUCABDHZUAGZUBCEZDEUCUGUHDTDIUHUAUACJKLUBDC
    MNOAUAUEAGAUDDAUDPQUFRR $.

  ${
    $d x y $.
    $( Rederivation of ~ sp from ~ axc5c4c711 .  Note that ~ ax6 is used for
       the rederivation.  (Contributed by Andrew Salmon, 14-Jul-2011.)  Revised
       to use ~ ax6v instead of ~ ax6 , so that this rederivation requires only
       ~ ax6v and propositional calculus.  (Revised by BJ, 14-Sep-2019.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    axc5c4c711toc5 $p |- ( A. x ph -> ph ) $=
      ( vy wal wn cv wceq ax6v wi pm2.21 ax-1 axc5c4c711 3syl mtoi con4i ) AABD
      ZAEZPBFCFGEZBDZBCHQAPRIBDZIZTBDEBDBDZUAIPSIATJUAUBKARBBLMNO $.
  $}

  $( Rederivation of ~ axc4 from ~ axc5c4c711 .  Note that only propositional
     calculus is required for the rederivation.  (Contributed by Andrew Salmon,
     14-Jul-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  axc5c4c711toc4 $p |- ( A. x ( A. x ph -> ps ) -> ( A. x ph -> A. x ps ) ) $=
    ( wal wi wn ax-1 axc5c4c711 3syl ) ACDZBECDZAKEZKCDFCDCDZLEJBCDEKAGLMGABCCH
    I $.

  $( Rederivation of ~ axc7 from ~ axc5c4c711 .  Note that neither ~ axc7 nor
     ~ ax-11 are required for the rederivation.  (Contributed by Andrew Salmon,
     14-Jul-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  axc5c4c711toc7 $p |- ( -. A. x -. A. x ph -> ph ) $=
    ( wal wn wi ax-1 alimi axc4i con3i sps pm2.21 axc5c4c711 syl sp syl6 pm2.27
    id mpg 3syl ) ABCZDZBCZDAAEZBCZAEZBCZBCZDZBCZBCZDZUEAUJUBUIUBBUHUABTUGAUFBA
    UEBAUDFGHIGJIUKUDTAUKUJUCUFEZEUDTEUJULKUCABBLMABNOUCUEAEBUDAPAQRS $.

  $( Rederivation of ~ ax-11 from ~ axc5c4c711 .  Note that ~ ax-11 is not
     required for the rederivation.  (Contributed by Andrew Salmon,
     14-Jul-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  axc5c4c711to11 $p |- ( A. x A. y ph -> A. y A. x ph ) $=
    ( wal wi ax-1 2alimi wn axc5c4c711toc7 con4i pm2.21 axc5c4c711 sp syl alimi
    syl6 nsyl4 pm2.27 id mpg 3syl ) ACDZBDAAEZCDZAEZCDZBDZUEBDZCDZABDCDAUEBCAUD
    FGUGUGHZCDZHZCDZUIUMUGUJCIJULUHCUKBDZHZBDUHUKUOUEBUOUNUCUFEZEZUEUNUPKUQUDUB
    AUCABCLACMPNOUKBIQONUEACBUCUEAECUDARASTGUA $.

  ${
    $d x z w $.
    $( This theorem shows that, given ~ axextb , we can derive a version of
       ~ axc11n .  However, it is weaker than ~ axc11n because it has a
       distinct variable requirement.  (Contributed by Andrew Salmon,
       16-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    axc11next $p |- ( A. x x = z -> A. z z = x ) $=
      ( vw cv wcel wb wal wceq wi alimi ax9 axc4i wex nfa1 19.23 elequ2 cbvexvw
      19.8a sylib imim12i ax-ext ax-11 biimpr stdpc5v syl syl9 alimdv sps mpcom
      syl5 cbvalivw sylbi alcoms alrimiv spimvw sp impbid axextb albii 3imtr4i
      3syl ) CDZADZEZVBBDZEZFZCGZAGZVFVDFZCGZBGZVCVEHZAGZVEVCHZBGVIVDVDAGZIZCGZ
      AGZVFVFBGZIZCGZBGVLVHVRAVNVIVRVHVMAABCUAJVMVIVRIAVIVGAGZCGVMVRVGACUBVMWCV
      QCVMVDVFWCVPABCKZWCVFVDIZAGVFVPIVGWEAVDVFUCJVFVDAUDUEUFUGUJUHUILVSWBBVQWB
      CAVQAGZWACWFVDAMZVPIWAVDVPAVDANOVFWGVPVTVFVFBMZWGVFBRZVFVDBABACPQSVDVFABW
      DUKTULJUMUNWBVKBWAVKCBWABGZVJCWJWHVTIZVJVFVTBVFBNOWKVFVDVFWHVTVDWIVFVDBAB
      ACKUOTVDWHVTVFVDWGWHVDARVDVFABABCPQSVFBUPTUQULJUMLVAVMVHAABCURUSVOVKBBACU
      RUSUT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Principia Mathematica * 13 and * 14
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( One result of theorem *13.13 in [WhiteheadRussell] p. 178.  A note on the
     section - to make the theorems more usable, and because inequality is
     notation for set theory (it is not defined in the predicate calculus
     section), this section will use classes instead of sets.  (Contributed by
     Andrew Salmon, 3-Jun-2011.) $)
  pm13.13a $p |- ( ( ph /\ x = A ) -> [. A / x ]. ph ) $=
    ( cv wceq wsbc sbceq1a biimpac ) BDCEAABCFABCGH $.

  $( Theorem *13.13 in [WhiteheadRussell] p. 178 with different variable
     substitution.  (Contributed by Andrew Salmon, 3-Jun-2011.) $)
  pm13.13b $p |- ( ( [. A / x ]. ph /\ x = A ) -> ph ) $=
    ( cv wceq wsbc sbceq1a biimparc ) BDCEAABCFABCGH $.

  $( Theorem *13.14 in [WhiteheadRussell] p. 178.  (Contributed by Andrew
     Salmon, 3-Jun-2011.) $)
  pm13.14 $p |- ( ( [. A / x ]. ph /\ -. ph ) -> x =/= A ) $=
    ( wsbc wn cv wne wceq sbceq1a biimprcd necon3bd imp ) ABCDZAEBFZCGMANCNCHAM
    ABCIJKL $.

  ${
    $d x y A $.
    $( Theorem *13.192 in [WhiteheadRussell] p. 179.  (Contributed by Andrew
       Salmon, 3-Jun-2011.)  (Revised by NM, 4-Jan-2017.) $)
    pm13.192 $p |- ( E. y ( A. x ( x = A <-> x = y ) /\ ph ) <->
      [. A / y ]. ph ) $=
      ( cv wceq weq wb wal wa wex wsbc biimpr alimi eqeq1 equsalvw sylib eqcoms
      wi eqeq2 alrimiv impbii anbi1i exbii sbc5 bitr4i ) BEZDFZBCGZHZBIZAJZCKCE
      ZDFZAJZCKACDLULUOCUKUNAUKUNUKUIUHSZBIUNUJUPBUHUIMNUHUNBCUGUMDOPQUNUJBUJDU
      MDUMUGTRUAUBUCUDACDUEUF $.
  $}

  $( Theorem *13.193 in [WhiteheadRussell] p. 179.  (Contributed by Andrew
     Salmon, 3-Jun-2011.) $)
  pm13.193 $p |- ( ( ph /\ x = y ) <-> ( [ y / x ] ph /\ x = y ) ) $=
    ( weq wsb sbequ12 pm5.32ri ) BCDAABCEABCFG $.

  $( Theorem *13.194 in [WhiteheadRussell] p. 179.  (Contributed by Andrew
     Salmon, 3-Jun-2011.) $)
  pm13.194 $p |- ( ( ph /\ x = y ) <-> ( [ y / x ] ph /\ ph /\ x = y ) ) $=
    ( weq wa wsb w3a wsbc pm13.13a sbsbc sylibr simpl simpr 3jca 3simpc impbii
    cv ) ABCDZEZABCFZARGSTARSABCQZHTABUAIABCJKARLARMNTAROP $.

  ${
    $d y A $.
    $( Theorem *13.195 in [WhiteheadRussell] p. 179.  This theorem is very
       similar to ~ sbc5 .  (Contributed by Andrew Salmon, 3-Jun-2011.)
       (Revised by NM, 4-Jan-2017.) $)
    pm13.195 $p |- ( E. y ( y = A /\ ph ) <-> [. A / y ]. ph ) $=
      ( wsbc cv wceq wa wex sbc5 bicomi ) ABCDBECFAGBHABCIJ $.
  $}

  ${
    $d x y $.  $d ph y $.
    $( Theorem *13.196 in [WhiteheadRussell] p. 179.  The only difference is
       the position of the substituted variable.  (Contributed by Andrew
       Salmon, 3-Jun-2011.) $)
    pm13.196a $p |- ( -. ph <-> A. y ( [ y / x ] ph -> y =/= x ) ) $=
      ( wn weq wsb wa wex wi wal wne sbelx sbalex sbn imbi2i con2b df-ne bicomi
      cv 3bitri albii ) ADZCBEZUBBCFZGCHUCUDIZCJABCFZCSZBSZKZIZCJUBCBLUDCBMUEUJ
      CUEUCUFDZIUFUCDZIUJUDUKUCABCNOUCUFPULUIUFUIULUGUHQROTUAT $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d x y ph $.
    $( Theorem *13.21 in [WhiteheadRussell] p. 179.  (Contributed by Andrew
       Salmon, 3-Jun-2011.) $)
    2sbc6g $p |- ( ( A e. C /\ B e. D ) -> ( A. z A. w ( ( z = A /\
      w = B ) -> ph ) <-> [. A / z ]. [. B / w ]. ph ) ) $=
      ( vx vy wcel cv wceq wa wi wal wsbc wb weq eqeq2 imbi1d anbi2d dfsbcq vex
      2albidv sbcbidv bibi12d anbi1d 19.21v impexp albii imbi2i 3bitr4ri bitr2i
      sbc6 vtocl2g ancoms ) EGJDFJBKZDLZCKZELZMZANZCOBOZACEPZBDPZQZBHRZCIRZMZAN
      ZCOZBOZACIKZPZBHKZPZQVGUTMZANZCOBOZVDBVOPZQVFIHEDGFVMELZVLVSVPVTWAVJVRBCW
      AVIVQAWAVHUTVGVMEUSSUATUDWAVNVDBVOACVMEUBUEUFVODLZVSVCVTVEWBVRVBBCWBVQVAA
      WBVGURUTVODUQSUGTUDVDBVODUBUFVPVGVNNZBOVLVNBVOHUCUNWCVKBVGVHANZNZCOVGWDCO
      ZNVKWCVGWDCUHVJWECVGVHAUIUJVNWFVGACVMIUCUNUKULUJUMUOUP $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d x y ph $.
    $( Theorem *13.22 in [WhiteheadRussell] p. 179.  (Contributed by Andrew
       Salmon, 3-Jun-2011.) $)
    2sbc5g $p |- ( ( A e. C /\ B e. D ) -> ( E. z E. w ( ( z = A /\ w = B )
      /\ ph ) <-> [. A / z ]. [. B / w ]. ph ) ) $=
      ( vx vy wcel cv wceq wa wex wsbc wb weq eqeq2 anbi1d 2exbidv sbcbidv sbc5
      anbi2d dfsbcq bibi12d 19.42v anass anbi2i 3bitr4ri bitr2i vtocl2g ancoms
      exbii ) EGJDFJBKZDLZCKZELZMZAMZCNBNZACEOZBDOZPZBHQZCIQZMZAMZCNZBNZACIKZOZ
      BHKZOZPVDUQMZAMZCNBNZVABVLOZPVCIHEDGFVJELZVIVPVMVQVRVGVOBCVRVFVNAVRVEUQVD
      VJEUPRUCSTVRVKVABVLACVJEUDUAUEVLDLZVPUTVQVBVSVOUSBCVSVNURAVSVDUOUQVLDUNRS
      STVABVLDUDUEVMVDVKMZBNVIVKBVLUBVTVHBVDVEAMZMZCNVDWACNZMVHVTVDWACUFVGWBCVD
      VEAUGUMVKWCVDACVJUBUHUIUMUJUKUL $.
  $}

  ${
    $d x y $.  $d ph y $.
    $( Equivalence between two different forms of ` iota ` .  (Contributed by
       Andrew Salmon, 15-Jul-2011.) $)
    iotain $p |- ( E! x ph -> |^| { x | ph } = ( iota x ph ) ) $=
      ( vy weu cv wceq wb wal wex cab cio eu6 csn vex intsn abbi1 df-sn eqtr4di
      cint inteqd iotaval 3eqtr4a exlimiv sylbi ) ABDABECEZFZGBHZCIABJZSZABKZFZ
      ABCLUGUKCUGUEMZSUEUIUJUECNOUGUHULUGUHUFBJULAUFBPBUEQRTABCUAUBUCUD $.
  $}

  ${
    $d y ph $.  $d y x $.
    $( The iota class exists.  This theorem does not require ~ ax-nul for its
       proof.  (Contributed by Andrew Salmon, 11-Jul-2011.) $)
    iotaexeu $p |- ( E! x ph -> ( iota x ph ) e. _V ) $=
      ( vy cv wceq wb wal wex cio weu cvv wcel iotaval eqcomd eximi eu6 3imtr4i
      isset ) ABDCDZEFBGZCHSABIZEZCHABJUAKLTUBCTUASABCMNOABCPCUARQ $.
  $}

  ${
    $d x y $.  $d ph y $.
    $( Definition *14.01 in [WhiteheadRussell] p. 184.  In Principia
       Mathematica, Russell and Whitehead define ` iota ` in terms of a
       function of ` ( iota x ph ) ` .  Their definition differs in that a
       function of ` ( iota x ph ) ` evaluates to "false" when there isn't a
       single ` x ` that satisfies ` ph ` .  (Contributed by Andrew Salmon,
       11-Jul-2011.) $)
    iotasbc $p |- ( E! x ph -> ( [. ( iota x ph ) / y ]. ps <->
         E. y ( A. x ( ph <-> x = y ) /\ ps ) ) ) $=
      ( cio wsbc cv wceq wa wex weu wb wal sbc5 wi cvv wcel iotaexeu eueq sylib
      eu6 iotaval eqcomd ancri eximi sylbi eupick syl2anc impbid1 anbi1d exbidv
      syl5bb ) BDACEZFDGZUMHZBIZDJACKZACGUNHLCMZBIZDJBDUMNUQUPUSDUQUOURBUQUOURU
      QUODKZUOURIZDJZUOUROUQUMPQUTACRDUMSTUQURDJVBACDUAURVADURUOURUMUNACDUBUCZU
      DUEUFUOURDUGUHVCUIUJUKUL $.
  $}

  ${
    $d x y z $.  $d ph y z $.  $d ps y z $.
    $( Theorem *14.111 in [WhiteheadRussell] p. 184.  (Contributed by Andrew
       Salmon, 11-Jul-2011.) $)
    iotasbc2 $p |- ( ( E! x ph /\ E! x ps ) -> ( [. ( iota x ph ) / y ].
        [. ( iota x ps ) / z ]. ch <-> E. y E. z ( A. x ( ph <-> x = y ) /\
        A. x ( ps <-> x = z ) /\ ch ) ) ) $=
      ( weu cio wsbc weq wb wal wa wex w3a iotasbc anbi2d 3anass exbii 19.42v
      bitr2i bitrdi exbidv sylan9bb ) ADGCFBDHIZEADHIADEJKDLZUEMZENBDGZUFBDFJKD
      LZCOZFNZENAUEDEPUHUGUKEUHUGUFUICMZFNZMZUKUHUEUMUFBCDFPQUKUFULMZFNUNUJUOFU
      FUICRSUFULFTUAUBUCUD $.
  $}

  ${
    $d ph y $.  $d x y $.
    $( Theorem *14.12 in [WhiteheadRussell] p. 184.  (Contributed by Andrew
       Salmon, 11-Jul-2011.) $)
    pm14.12 $p |- ( E! x ph
        -> A. x A. y ( ( ph /\ [. y / x ]. ph ) -> x = y ) ) $=
      ( weu wmo cv wsbc wa weq wi wal eumo wsb sbsbc anbi2i imbi1i 2albii bitri
      nfv mo3 sylib ) ABDABEZAABCFGZHZBCIZJZCKBKZABLUBAABCMZHZUEJZCKBKUGABCACST
      UJUFBCUIUDUEUHUCAABCNOPQRUA $.
  $}

  ${
    $d y x A $.  $d ph y $.
    $( Theorem *14.122 in [WhiteheadRussell] p. 185.  (Contributed by Andrew
       Salmon, 9-Jun-2011.) $)
    pm14.122a $p |- ( A e. V -> ( A. x ( ph <-> x = A )
        <-> ( A. x ( ph -> x = A ) /\ [. A / x ]. ph ) ) ) $=
      ( cv wceq wb wal wi wa wcel wsbc albiim sbc6g bicomd anbi2d syl5bb ) ABEC
      FZGBHARIBHZRAIBHZJCDKZSABCLZJARBMUATUBSUAUBTABCDNOPQ $.

    $( Theorem *14.122 in [WhiteheadRussell] p. 185.  (Contributed by Andrew
       Salmon, 9-Jun-2011.) $)
    pm14.122b $p |- ( A e. V -> ( ( A. x ( ph -> x = A ) /\ [. A / x ]. ph )
        <-> ( A. x ( ph -> x = A ) /\ E. x ph ) ) ) $=
      ( vy wcel cv wceq wi wal wsbc wex weq imbi2d albidv dfsbcq bibi1d imbi12d
      wb eqeq2 wa sbc5 nfa1 simpr ancr sps impbid2 exbid syl5bb vtoclg pm5.32d
      ) CDFABGZCHZIZBJZABCKZABLZABEMZIZBJZABEGZKZUQSZIUOUPUQSZIECDVACHZUTUOVCVD
      VEUSUNBVEURUMAVACULTNOVEVBUPUQABVACPQRVBURAUAZBLUTUQABVAUBUTVFABUSBUCUTVF
      AURAUDUSAVFIBAURUEUFUGUHUIUJUK $.

    $( Theorem *14.122 in [WhiteheadRussell] p. 185.  (Contributed by Andrew
       Salmon, 9-Jun-2011.) $)
    pm14.122c $p |- ( A e. V -> ( A. x ( ph <-> x = A ) <->
                    ( A. x ( ph -> x = A ) /\ E. x ph ) ) ) $=
      ( wcel cv wceq wb wal wi wsbc wa wex pm14.122a pm14.122b bitrd ) CDEABFCG
      ZHBIAQJBIZABCKLRABMLABCDNABCDOP $.
  $}

  ${
    $d w A z $.  $d w B z $.
    $( Theorem *14.123 in [WhiteheadRussell] p. 185.  (Contributed by Andrew
       Salmon, 9-Jun-2011.) $)
    pm14.123a $p |- ( ( A e. V /\ B e. W ) -> ( A. z A. w ( ph <->
      ( z = A /\ w = B ) ) <-> ( A. z A. w ( ph -> ( z = A /\ w = B ) ) /\
      [. A / z ]. [. B / w ]. ph ) ) ) $=
      ( cv wceq wa wb wal wi wcel wsbc 2albiim 2sbc6g anbi2d syl5bb ) ABHDICHEI
      JZKCLBLATMCLBLZTAMCLBLZJDFNEGNJZUAACEOBDOZJATBCPUCUBUDUAABCDEFGQRS $.

    $( Theorem *14.123 in [WhiteheadRussell] p. 185.  (Contributed by Andrew
       Salmon, 9-Jun-2011.) $)
    pm14.123b $p |- ( ( A e. V /\ B e. W ) -> ( ( A. z A. w ( ph ->
      ( z = A /\ w = B ) ) /\ [. A / z ]. [. B / w ]. ph ) <->
      ( A. z A. w ( ph -> ( z = A /\ w = B ) ) /\ E. z E. w ph ) ) ) $=
      ( wcel wa cv wceq wi wal wsbc wex wb 2sbc5g adantr nfa1 exbid simpr ancrd
      nfa2 2sp impbid2 adantl bitr3d pm5.32da ) DFHEGHIZABJDKCJEKIZLZCMZBMZACEN
      BDNZACOZBOZUIUMIUJAIZCOZBOZUNUPUIUSUNPUMABCDEFGQRUMUSUPPUIUMURUOBULBSUMUQ
      ACUKCBUCUMUQAUJAUAUMAUJUKBCUDUBUETTUFUGUH $.

    $( Theorem *14.123 in [WhiteheadRussell] p. 185.  (Contributed by Andrew
       Salmon, 9-Jun-2011.) $)
    pm14.123c $p |- ( ( A e. V /\ B e. W ) -> ( A. z A. w ( ph <->
      ( z = A /\ w = B ) ) <-> ( A. z A. w ( ph -> ( z = A /\ w = B ) ) /\
      E. z E. w ph ) ) ) $=
      ( wcel wa cv wceq wb wal wi wsbc wex pm14.123a pm14.123b bitrd ) DFHEGHIA
      BJDKCJEKIZLCMBMATNCMBMZACEOBDOIUAACPBPIABCDEFGQABCDEFGRS $.
  $}

  $( Theorem *14.18 in [WhiteheadRussell] p. 189.  (Contributed by Andrew
     Salmon, 11-Jul-2011.) $)
  pm14.18 $p |- ( E! x ph -> ( A. x ps -> [. ( iota x ph ) / x ]. ps ) ) $=
    ( weu cio cvv wcel wal wsbc wi iotaexeu spsbc syl ) ACDACEZFGBCHBCNIJACKBCN
    FLM $.

  ${
    $d x y $.
    $( Theorem *14.2 in [WhiteheadRussell] p. 189.  (Contributed by Andrew
       Salmon, 11-Jul-2011.) $)
    iotaequ $p |- ( iota x x = y ) = y $=
      ( cv wceq wb cio iotaval biid mpg ) ACBCZDZKEKAFJDAKABGKHI $.
  $}

  ${
    $d x y z $.  $d ph z $.
    $( Theorem *14.202 in [WhiteheadRussell] p. 189.  A biconditional version
       of ~ iotaval .  (Contributed by Andrew Salmon, 11-Jul-2011.) $)
    iotavalb $p |- ( E! x ph -> ( A. x ( ph <-> x = y ) <->
        ( iota x ph ) = y ) ) $=
      ( vz weu weq wb wal cio cv wceq iotaval wa wex wsbc iotasbc wcel iotaexeu
      cvv eqsbc1 bitr3d equequ2 bibi2d albidv biimpac exlimiv syl6bir impbid2
      syl ) ABEZABCFZGZBHZABIZCJZKZABCLUJUPABDFZGZBHZDCFZMZDNZUMUJUTDUNOZVBUPAU
      TBDPUJUNSQVCUPGABRDUNUOSTUIUAVAUMDUTUSUMUTURULBUTUQUKADCBUBUCUDUEUFUGUH
      $.
  $}

  ${
    $d x y $.  $d ph y $.
    $( Theorem *14.205 in [WhiteheadRussell] p. 190.  (Contributed by Andrew
       Salmon, 11-Jul-2011.) $)
    iotasbc5 $p |- ( E! x ph -> ( [. ( iota x ph ) / y ]. ps <->
        E. y ( y = ( iota x ph ) /\ ps ) ) ) $=
      ( cio wsbc cv wceq wa wex wb weu sbc5 a1i ) BDACEZFDGOHBIDJKACLBDOMN $.
  $}

  ${
    $d y x $.  $d y ph $.
    $( Theorem *14.24 in [WhiteheadRussell] p. 191.  (Contributed by Andrew
       Salmon, 12-Jul-2011.) $)
    pm14.24 $p |- ( E! x ph
        -> A. y ( [. y / x ]. ph <-> y = ( iota x ph ) ) ) $=
      ( weu cv wsbc cio wb weq wal nfeu1 nfsbc1v wa wi pm14.12 19.21bbi ancomsd
      wceq ex impbid expdimp pm13.13b adantl alrimd iotaval eqcomd iota4 dfsbcq
      syl6 syl5ibrcom alrimiv ) ABDZABCEZFZUMABGZRZHCULUNUPULUNABCIZHZBJZUPULUN
      URBABKABUMLULUNURULUNMAUQULUNAUQULAUNUQULAUNMUQNBCABCOPQUAUNUQANULUNUQAAB
      UMUBSUCTSUDUSUOUMABCUEUFUIULUNUPABUOFABUGABUMUOUHUJTUK $.
  $}

  ${
    $d x y $.  $d ph y $.
    $( Theorem *14.242 in [WhiteheadRussell] p. 192.  (Contributed by Andrew
       Salmon, 11-Jul-2011.) $)
    iotavalsb $p |- ( A. x ( ph <-> x = y ) -> ( [. y / z ]. ps <->
        [. ( iota x ph ) / z ]. ps ) ) $=
      ( cv wceq wb wal wex wsbc cio 19.8a weu eu6 iotavalb dfsbcq eqcoms syl6bi
      wi sylbir mpcom ) ACFDFZGHCIZDJZUDBEUCKBEACLZKHZUDDMUEACNZUDUGTACDOUHUDUF
      UCGUGACDPUGUCUFBEUCUFQRSUAUB $.
  $}

  ${
    $d x y $.  $d ph y $.  $d ps y $.
    $( Theorem *14.25 in [WhiteheadRussell] p. 192.  (Contributed by Andrew
       Salmon, 12-Jul-2011.) $)
    sbiota1 $p |- ( E! x ph
        -> ( A. x ( ph -> ps ) <-> [. ( iota x ph ) / x ]. ps ) ) $=
      ( vy weu wi wal cio wsbc cv wceq wb wex eu6 wsb sbsbc dfsbcq sylc wa cvv
      biimpi iota4 iotaval eqcomd spsbim 3imtr3g imbi12d com23 syl exlimiv wcel
      syl5ib anbi12d imbi1d sbcan spesbc sylbir vtoclg expd anc2li eupicka syl6
      iotaexeu impbid ) ACEZABFCGZBCACHZIZVEACJDJZKLCGZDMZACVGIZVFVHFZVEVKACDNU
      AACUBZVJVLVMFZDVJVIVGKZVOVJVGVIACDUCUDVPVFVLVHVFACVIIZBCVIIZFVPVLVHFVFACD
      OBCDOVQVRABCDUEACDPBCDPUFVPVQVLVRVHACVIVGQZBCVIVGQZUGULUHUIUJRVEVHVEABSZC
      MZSVFVEVHWBVEVGTUKZVLVHWBFACVCVNWCVLVHWBVQVRSZWBFVLVHSZWBFDVGTVPWDWEWBVPV
      QVLVRVHVSVTUMUNWDWACVIIWBABCVIUOWACVIUPUQURUSRUTABCVAVBVD $.
  $}

  $( Theorem *14.26 in [WhiteheadRussell] p. 192.  (Contributed by Andrew
     Salmon, 12-Jul-2011.) $)
  sbaniota $p |- ( E! x ph
      -> ( E. x ( ph /\ ps ) <-> [. ( iota x ph ) / x ]. ps ) ) $=
    ( weu wa wex wi wal cio wsbc eupickbi sbiota1 bitrd ) ACDABECFABGCHBCACIJAB
    CKABCLM $.

  $( Obsolete proof of ~ eubi as of 7-Oct-2022.  (Contributed by Andrew Salmon,
     11-Jul-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  eubiOLD $p |- ( A. x ( ph <-> ps ) -> ( E! x ph <-> E! x ps ) ) $=
    ( wb wal nfa1 sp eubid ) ABDZCEABCICFICGH $.

  $( Theorem *14.272 in [WhiteheadRussell] p. 193.  (Contributed by Andrew
     Salmon, 11-Jul-2011.) $)
  iotasbcq $p |- ( A. x ( ph <-> ps ) -> ( [. ( iota x ph ) / y ]. ch <->
      [. ( iota x ps ) / y ]. ch ) ) $=
    ( wb wal cio iotabi sbceq1d ) ABFDGCEADHBDHABDIJ $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Set Theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x $.
    $( Any set that contains one element less than the universe is not equal to
       it.  (Contributed by Andrew Salmon, 16-Jun-2011.) $)
    elnev $p |- ( A e. _V <-> { x | -. x = A } =/= _V ) $=
      ( cvv wcel cv wceq wex wn cab wne isset df-v eqeq2i wal equid albii alnex
      wb tbt bitri abbi 3bitr3ri necon2abii ) BCDAEZBFZAGZUEHZAIZCJABKUFUHCUHCF
      UHUDUDFZAIZFZUFHZCUJUHALMUGANUGUIRZANULUKUGUMAUIUGAOSPUEAQUGUIAUAUBTUCT
      $.
  $}

  $( A version of Russell's paradox which is proven using proper substitution.
     (Contributed by Andrew Salmon, 18-Jun-2011.)  (New usage is discouraged.)
     (Proof modification is discouraged.) $)
  rusbcALT $p |- { x | x e/ x } e/ _V $=
    ( cv wnel cab cvv wcel wn wb pm5.19 wsbc csb sbcnel12g sbc8g df-nel csbvarg
    eleq12d notbid syl5bb 3bitr3d mto mpbir ) ABZUBCZADZECUDEFZGUEUDUDFZUFGZHUF
    IUEUCAUDJAUDUBKZUHCZUFUGAUDUBUBELUCAUDEMUIUHUHFZGUEUGUHUHNUEUJUFUEUHUDUHUDA
    UDEOZUKPQRSTUDENUA $.

  ${
    $d x A $.
    $( Equality between two ways of saying "the complement of ` A ` ".
       (Contributed by Andrew Salmon, 15-Jul-2011.) $)
    compeq $p |- ( _V \ A ) = { x | -. x e. A } $=
      ( cv wcel wn cvv cdif velcomp abbi2i ) ACBDEAFBGABHI $.
  $}

  $( The complement of ` A ` is not equal to ` A ` .  (Contributed by Andrew
     Salmon, 15-Jul-2011.)  (Proof shortened by BJ, 11-Nov-2021.) $)
  compne $p |- ( _V \ A ) =/= A $=
    ( cvv c0 wne cdif wceq id difeq1 difabs difid 3eqtr3g eqtr3d difeq2d eqtrdi
    vn0 dif0 necon3i ax-mp ) BCDBAEZADOSABCSAFZSBCTSBCEBTACBTSACTGTSAEAAESCSAAH
    BAIAJKZLMBPNUALQR $.

  $( Two ways of saying "the complement of a class abstraction".  (Contributed
     by Andrew Salmon, 15-Jul-2011.)  (Proof shortened by Mario Carneiro,
     11-Dec-2016.) $)
  compab $p |- ( _V \ { z | ph } ) = { z | -. ph } $=
    ( cvv cdif wn wceq cv wcel wb nfcv nfab1 nfdif cleqf notbii velcomp 3bitr4i
    cab abid mpgbir ) CABQZDZAEZBQZFBGZUAHZUDUCHZIBBUAUCBCTBCJABKLUBBKMUDTHZEUB
    UEUFUGAABRNBTOUBBRPS $.

  $( Contrapositive law for subsets.  (Contributed by Andrew Salmon,
     15-Jul-2011.) $)
  conss2 $p |- ( A C_ ( _V \ B ) <-> B C_ ( _V \ A ) ) $=
    ( cvv wss cdif wb ssv ssconb mp2an ) ACDBCDACBEDBCAEDFAGBGABCHI $.

  $( Contrapositive law for subsets.  (Contributed by Andrew Salmon,
     15-Jul-2011.) $)
  conss1 $p |- ( ( _V \ A ) C_ B <-> ( _V \ B ) C_ A ) $=
    ( cvv difcom ) CABD $.

  ${
    ralbidar.1 $e |- ( ph -> A. x e. A ph ) $.
    ralbidar.2 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( More general form of ~ ralbida .  (Contributed by Andrew Salmon,
       25-Jul-2011.) $)
    ralbidar $p |- ( ph -> ( A. x e. A ps <-> A. x e. A ch ) ) $=
      ( cv wcel wi wal wral wb ex ralimi syl df-ral sylib pm2.43 pm5.74d alimi
      albi 3syl 3bitr4g ) ADHEIZBJZDKZUECJZDKZBDELCDELAUEUEBCMZJZJZDKZUFUHMZDKU
      GUIMAUKDELZUMAADELUOFAUKDEAUEUJGNOPUKDEQRULUNDULUEBCUEUJSTUAUFUHDUBUCBDEQ
      CDEQUD $.

    $( More general form of ~ rexbida .  (Contributed by Andrew Salmon,
       25-Jul-2011.) $)
    rexbidar $p |- ( ph -> ( E. x e. A ps <-> E. x e. A ch ) ) $=
      ( cv wcel wa wex wrex wb wi wal wral ex ralimi syl df-rex sylib exbi 3syl
      df-ral pm2.43 pm5.32d alimi 3bitr4g ) ADHEIZBJZDKZUICJZDKZBDELCDELAUIUIBC
      MZNZNZDOZUJULMZDOUKUMMAUODEPZUQAADEPUSFAUODEAUIUNGQRSUODEUDUAUPURDUPUIBCU
      IUNUEUFUGUJULDUBUCBDETCDETUH $.
  $}

  ${
    $d ph w $.  $d w x $.  $d w y $.  $d w z $.
    $( Theorem to aid use of the distinctor reduction theorem with ordered pair
       class abstraction.  (Contributed by Andrew Salmon, 25-Jul-2011.) $)
    dropab1 $p |- ( A. x x = y -> { <. x , z >. | ph } =
        { <. y , z >. | ph } ) $=
      ( vw cv wceq wal cop wa wex cab copab opeq1 sps eqeq2d anbi1d drex2 drex1
      df-opab abbidv 3eqtr4g ) BFZCFZGZBHZEFZUCDFZIZGZAJZDKZBKZELUGUDUHIZGZAJZD
      KZCKZELABDMACDMUFUMUREULUQBCUKUPBCDUFUJUOAUFUIUNUGUEUIUNGBUCUDUHNOPQRSUAA
      BDETACDETUB $.

    $( Theorem to aid use of the distinctor reduction theorem with ordered pair
       class abstraction.  (Contributed by Andrew Salmon, 25-Jul-2011.) $)
    dropab2 $p |- ( A. x x = y -> { <. z , x >. | ph } =
        { <. z , y >. | ph } ) $=
      ( vw cv wceq wal cop wa wex cab copab opeq2 sps eqeq2d anbi1d drex1 drex2
      df-opab abbidv 3eqtr4g ) BFZCFZGZBHZEFZDFZUCIZGZAJZBKZDKZELUGUHUDIZGZAJZC
      KZDKZELADBMADCMUFUMUREULUQBCDUKUPBCUFUJUOAUFUIUNUGUEUIUNGBUCUDUHNOPQRSUAA
      DBETADCETUB $.
  $}

  ${
    $d x A $.
    $( If the identity relation partially orders any class, then that class is
       the null class.  (Contributed by Andrew Salmon, 25-Jul-2011.) $)
    ipo0 $p |- ( _I Po A <-> A = (/) ) $=
      ( vx cid wpo c0 wceq cv wcel wbr weq equid vex ideq mpbir wn poirr eq0rdv
      ex mt2i po0 poeq2 mpbiri impbii ) ACDZAEFZUDBAUDBGZAHZUFUFCIZUHBBJBKUFUFB
      LMNUDUGUHOAUFCPRSQUEUDECDCTAECUAUBUC $.

    $( A class that is founded by the identity relation is null.  (Contributed
       by Andrew Salmon, 25-Jul-2011.) $)
    ifr0 $p |- ( _I Fr A <-> A = (/) ) $=
      ( vx cid wfr c0 wceq cv wcel wbr equid ideq mpbir wn frirr ex mt2i eq0rdv
      vex fr0 freq2 mpbiri impbii ) ACDZAEFZUCBAUCBGZAHZUEUECIZUGUEUEFBJUEUEBRK
      LUCUFUGMAUECNOPQUDUCECDCSAECTUAUB $.

    $( ~ ordelpss with an antecedent removed.  (Contributed by Andrew Salmon,
       25-Jul-2011.) $)
    ordpss $p |- ( Ord B -> ( A e. B -> A C. B ) ) $=
      ( word wcel wa wpss ordelord ex ancrd ordelpss ancoms biimpd expimpd syld
      wb ) BCZABDZACZQEABFZPQRPQRBAGHIPRQSPREQSRPQSOABJKLMN $.
  $}

  ${
    $d A x y $.  $d F x y $.
    $( Explicit substitution of a value of a function into a wff.  (Contributed
       by Andrew Salmon, 1-Aug-2011.) $)
    fvsb $p |- ( E! y A F y -> ( [. ( F ` A ) / x ]. ph <->
        E. x ( A. y ( A F y <-> y = x ) /\ ph ) ) ) $=
      ( cfv wsbc cv wbr cio weu wceq wb wal wa wex df-fv dfsbcq ax-mp iotasbc
      syl5bb ) ABDEFZGZABDCHZEIZCJZGZUECKUEUDBHLMCNAOBPUBUFLUCUGMCDEQABUBUFRSUE
      ACBTUA $.

    fveqsb.2 $e |- ( x = ( F ` A ) -> ( ph <-> ps ) ) $.
    fveqsb.3 $e |- F/ x ps $.
    $( Implicit substitution of a value of a function into a wff.  (Contributed
       by Andrew Salmon, 1-Aug-2011.) $)
    fveqsb $p |- ( E! y A F y -> ( ps <->
        E. x ( A. y ( A F y <-> y = x ) /\ ph ) ) ) $=
      ( cfv wsbc cv wbr weu weq wb wal wa wex cvv wcel fvex sbciegf ax-mp fvsb
      bitr3id ) BACEFIZJZEDKFLZDMUHDCNODPAQCRUFSTUGBOEFUAABCUFSHGUBUCACDEFUDUE
      $.
  $}

  $( A Cartesian product exists iff its converse does.  Corollary 6.9(1) in
     [TakeutiZaring] p. 26.  (Contributed by Andrew Salmon, 13-Nov-2011.) $)
  xpexb $p |- ( ( A X. B ) e. _V <-> ( B X. A ) e. _V ) $=
    ( cxp cvv wcel ccnv cnvxp cnvexg eqeltrrid impbii ) ABCZDEZBACZDEZLMKFDABGK
    DHINKMFDBAGMDHIJ $.

  $( An element of a transitive set is a proper subset of it.  Theorem 7.2 in
     [TakeutiZaring] p. 35.  Unlike ~ tz7.2 , ~ ax-reg is required for its
     proof.  (Contributed by Andrew Salmon, 13-Nov-2011.) $)
  trelpss $p |- ( ( Tr A /\ B e. A ) -> B C. A ) $=
    ( wtr wcel wa wss wne wpss cep wfr zfregfr tz7.2 mp3an2 df-pss sylibr ) ACZ
    BADZEBAFBAGEZBAHPAIJQRAKABLMBANO $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Arithmetic
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Generalization of commutative law for addition.  Simplifies proofs dealing
     with vectors.  However, it is dependent on our particular definition of
     ordered pair.  (Contributed by Andrew Salmon, 28-Jan-2012.)  (Revised by
     Mario Carneiro, 6-May-2015.) $)
  addcomgi $p |- ( A + B ) = ( B + A ) $=
    ( cc wcel wa caddc co wceq addcom cxp ax-addf fdmi ndmovcom pm2.61i ) ACDBC
    DEABFGBAFGHABIABCFCCJCFKLMN $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Geometry
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c +r -r .v PtDf RR3 $( plane3 $) line3 $.

  $( Introduce the operation of vector addition. $)
  cplusr $a class +r $.

  $( Introduce the operation of vector subtraction. $)
  cminusr $a class -r $.

  $( Introduce the operation of scalar multiplication. $)
  ctimesr $a class .v $.

  $( ` PtDf ` is a predicate that is crucial for the definition of lines as
     well as proving a number of important theorems. $)
  cptdfc $a class PtDf ( A , B ) $.

  $( ` RR3 ` is a class. $)
  crr3c $a class RR3 $.

  $( ` plane3 ` is a class. $)
  $( cplane3 $a class plane3 $. $)

  $( ` line3 ` is a class. $)
  cline3 $a class line3 $.

  ${
    $d v x y A $.  $d v x y B $.
    $( Define the operation of vector addition.  (Contributed by Andrew Salmon,
       27-Jan-2012.) $)
    df-addr $a |- +r = ( x e. _V , y e. _V |->
        ( v e. RR |-> ( ( x ` v ) + ( y ` v ) ) ) ) $.

    $( Define the operation of vector subtraction.  (Contributed by Andrew
       Salmon, 27-Jan-2012.) $)
    df-subr $a |- -r = ( x e. _V , y e. _V |->
        ( v e. RR |-> ( ( x ` v ) - ( y ` v ) ) ) ) $.

    $( Define the operation of scalar multiplication.  (Contributed by Andrew
       Salmon, 27-Jan-2012.) $)
    df-mulv $a |- .v = ( x e. _V , y e. _V |->
        ( v e. RR |-> ( x x. ( y ` v ) ) ) ) $.

    $( Value of the operation of vector addition.  (Contributed by Andrew
       Salmon, 27-Jan-2012.) $)
    addrval $p |- ( ( A e. C /\ B e. D ) -> ( A +r B ) =
      ( v e. RR |-> ( ( A ` v ) + ( B ` v ) ) ) ) $=
      ( vx vy wcel cvv cplusr co cr cv cfv caddc cmpt wceq elex wa fveq1 ovmpoa
      oveqan12d mpteq2dv df-addr reex mptex syl2an ) BDHBIHCIHBCJKALAMZBNZUHCNZ
      OKZPZQCEHBDRCERFGBCIIALUHFMZNZUHGMZNZOKZPULJUMBQZUOCQZSALUQUKURUSUNUIUPUJ
      OUHUMBTUHUOCTUBUCFGAUDALUKUEUFUAUG $.

    $( Value of the operation of vector subtraction.  (Contributed by Andrew
       Salmon, 27-Jan-2012.) $)
    subrval $p |- ( ( A e. C /\ B e. D ) -> ( A -r B ) =
      ( v e. RR |-> ( ( A ` v ) - ( B ` v ) ) ) ) $=
      ( vx vy wcel cvv cminusr co cr cv cfv cmin cmpt wceq elex wa fveq1 ovmpoa
      oveqan12d mpteq2dv df-subr reex mptex syl2an ) BDHBIHCIHBCJKALAMZBNZUHCNZ
      OKZPZQCEHBDRCERFGBCIIALUHFMZNZUHGMZNZOKZPULJUMBQZUOCQZSALUQUKURUSUNUIUPUJ
      OUHUMBTUHUOCTUBUCFGAUDALUKUEUFUAUG $.

    $( Value of the operation of scalar multiplication.  (Contributed by Andrew
       Salmon, 27-Jan-2012.) $)
    mulvval $p |- ( ( A e. C /\ B e. D ) -> ( A .v B ) =
      ( v e. RR |-> ( A x. ( B ` v ) ) ) ) $=
      ( vx vy wcel cvv ctimesr co cr cv cfv cmul cmpt wceq elex wa fveq1 oveq12
      sylan2 mpteq2dv df-mulv reex mptex ovmpoa syl2an ) BDHBIHCIHBCJKALBAMZCNZ
      OKZPZQCEHBDRCERFGBCIIALFMZUIGMZNZOKZPULJUMBQZUNCQZSALUPUKURUQUOUJQUPUKQUI
      UNCTUMBUOUJOUAUBUCFGAUDALUKUEUFUGUH $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x D $.
    $( Vector addition at a value.  The operation takes each vector ` A ` and
       ` B ` and forms a new vector whose values are the sum of each of the
       values of ` A ` and ` B ` .  (Contributed by Andrew Salmon,
       27-Jan-2012.) $)
    addrfv $p |- ( ( A e. E /\ B e. D /\ C e. RR ) -> ( ( A +r B ) ` C ) =
        ( ( A ` C ) + ( B ` C ) ) ) $=
      ( vx wcel cr cplusr co caddc wceq wa cv cmpt addrval fveq1d fveq2 oveq12d
      cfv eqid ovex fvmpt sylan9eq 3impa ) AEGZBDGZCHGZCABIJZTZCATZCBTZKJZLUFUG
      MZUHUJCFHFNZATZUOBTZKJZOZTUMUNCUIUSFABEDPQFCURUMHUSUOCLUPUKUQULKUOCARUOCB
      RSUSUAUKULKUBUCUDUE $.

    $( Vector subtraction at a value.  (Contributed by Andrew Salmon,
       27-Jan-2012.) $)
    subrfv $p |- ( ( A e. E /\ B e. D /\ C e. RR ) -> ( ( A -r B ) ` C ) =
        ( ( A ` C ) - ( B ` C ) ) ) $=
      ( vx wcel cr cminusr co cmin wceq wa cv cmpt subrval fveq1d fveq2 oveq12d
      cfv eqid ovex fvmpt sylan9eq 3impa ) AEGZBDGZCHGZCABIJZTZCATZCBTZKJZLUFUG
      MZUHUJCFHFNZATZUOBTZKJZOZTUMUNCUIUSFABEDPQFCURUMHUSUOCLUPUKUQULKUOCARUOCB
      RSUSUAUKULKUBUCUDUE $.

    $( Scalar multiplication at a value.  (Contributed by Andrew Salmon,
       27-Jan-2012.) $)
    mulvfv $p |- ( ( A e. E /\ B e. D /\ C e. RR ) -> ( ( A .v B ) ` C ) =
        ( A x. ( B ` C ) ) ) $=
      ( vx wcel cr ctimesr co cfv cmul wceq wa cmpt mulvval fveq1d fveq2 oveq2d
      cv eqid ovex fvmpt sylan9eq 3impa ) AEGZBDGZCHGZCABIJZKZACBKZLJZMUFUGNZUH
      UJCFHAFTZBKZLJZOZKULUMCUIUQFABEDPQFCUPULHUQUNCMUOUKALUNCBRSUQUAAUKLUBUCUD
      UE $.

    $( Vector addition produces a function.  (Contributed by Andrew Salmon,
       27-Jan-2012.) $)
    addrfn $p |- ( ( A e. C /\ B e. D ) -> ( A +r B ) Fn RR ) $=
      ( vx wcel wa cplusr co cr wfn cv cfv cmpt ovex eqid fnmpti addrval fneq1d
      caddc mpbiri ) ACFBDFGZABHIZJKEJELZAMZUDBMZTIZNZJKEJUGUHUEUFTOUHPQUBJUCUH
      EABCDRSUA $.

    $( Vector subtraction produces a function.  (Contributed by Andrew Salmon,
       27-Jan-2012.) $)
    subrfn $p |- ( ( A e. C /\ B e. D ) -> ( A -r B ) Fn RR ) $=
      ( vx wcel wa cminusr co wfn cfv cmin cmpt ovex eqid fnmpti subrval fneq1d
      cr cv mpbiri ) ACFBDFGZABHIZSJESETZAKZUDBKZLIZMZSJESUGUHUEUFLNUHOPUBSUCUH
      EABCDQRUA $.

    $( Scalar multiplication producees a function.  (Contributed by Andrew
       Salmon, 27-Jan-2012.) $)
    mulvfn $p |- ( ( A e. C /\ B e. D ) -> ( A .v B ) Fn RR ) $=
      ( vx wcel wa ctimesr co wfn cfv cmul cmpt ovex eqid fnmpti mulvval fneq1d
      cr cv mpbiri ) ACFBDFGZABHIZSJESAETBKZLIZMZSJESUEUFAUDLNUFOPUBSUCUFEABCDQ
      RUA $.

    $( Vector addition is commutative.  (Contributed by Andrew Salmon,
       28-Jan-2012.) $)
    addrcom $p |- ( ( A e. C /\ B e. D ) -> ( A +r B ) = ( B +r A ) ) $=
      ( vx wcel wa cplusr co cr wfn wceq addrfn ancoms cv cfv wral caddc addrfv
      w3a addcomgi 3com12 3eqtr4a 3expia ralrimiv eqfnfv syl5ibrcom mp2and ) AC
      FZBDFZGZABHIZJKZBAHIZJKZULUNLZABCDMUJUIUOBADCMNUKUPUMUOGEOZULPZUQUNPZLZEJ
      QUKUTEJUIUJUQJFZUTUIUJVATUQAPZUQBPZRIVCVBRIZURUSVBVCUAABUQDCSUJUIVAUSVDLB
      AUQCDSUBUCUDUEEJULUNUFUGUH $.
  $}

  ${
    $d x y z A $.  $d x B $.
    $( Define the predicate ` PtDf ` , which is a utility definition used to
       shorten definitions and simplify proofs.  (Contributed by Andrew Salmon,
       15-Jul-2012.) $)
    df-ptdf $a |- PtDf ( A , B ) = ( x e. RR |-> ( ( ( x .v ( B -r A ) )
        +v A ) " { 1 , 2 , 3 } ) ) $.

    $( Define the set of all points ` RR3 ` .  We define each point ` A ` as a
       function to allow the use of vector addition and subtraction as well as
       scalar multiplication in our proofs.  (Contributed by Andrew Salmon,
       15-Jul-2012.) $)
    df-rr3 $a |- RR3 = ( RR ^m { 1 , 2 , 3 } ) $.

    $( Define the set of all lines.  A line is an infinite subset of ` RR3 `
       that satisfies a ` PtDf ` property.  (Contributed by Andrew Salmon,
       15-Jul-2012.) $)
    df-line3 $a |- line3 = { x e. ~P RR3 | ( 2o ~<_ x /\
        A. y e. x A. z e. x ( z =/= y -> ran PtDf ( y , z ) = x ) ) } $.
  $}

$( (End of Andrew Salmon's mathbox.) $)
$( End $[ set-mbox-ats.mm $] $)


$( Begin $[ set-mbox-as.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Alan Sare
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  We are sad to report the passing of long-time contributor Alan Sare
  (Nov. 9, 1954 - Mar. 23, 2019).

  Alan's first contribution to Metamath was a shorter proof for ~ tfrlem8 in
  2008.

  He developed a tool called "completeusersproof" that assists developing
  proofs using his "virtual deduction" method:
  ~ https://us.metamath.org/other.html#completeusersproof .
  His virtual deduction method is explained in the comment for ~ wvd1 .

  Below are some excerpts from his first emails to NM in 2007:

  ...I have been interested in proving set theory theorems for many years for
  mental exercise.  I enjoy it.  I have used a book by Martin Zuckerman.  It is
  informal.  I am interested in completely and perfectly proving theorems.  Mr.
  Zuckerman leaves out most of the steps of a proof, of course, like most
  authors do, as you have noted.  A complete proof for higher theorems would
  require a volume of writing similar to the Metamath documents.  So I am
  frustrated when I am not capable of constructing a proof and Zuckerman leaves
  out steps I do not understand.  I could search for the steps in other texts,
  but I don't do that too much.  Metamath may be the answer for me....

  ...If we go beyond mathematics, I believe that it is possible to write down
  all human knowledge in a way similar to the way you have explicated large
  areas of mathematics.  Of course, that would be a much, much more difficult
  job.  For example, it is possible to take a hard science like physics,
  construct axioms based on experimental results, and to cast all of physics
  into a collection of axioms and theorems.  Maybe this has already been
  attempted, although I am not familiar with it.  When one then moves on to the
  soft sciences such as social science, this job gets much more difficult.  The
  key is:  All human thought consists of logical operations on abstract
  objects.  Usually, these logical operations are done informally.  There is no
  reason why one cannot take any subject and explicate it and take it down to
  the indivisible postulates in a formal rigorous way....

  ...When I read a math book or an engineering book I come across something I
  don't understand and I am compelled to understand it.  But, often it is
  hopeless.  I don't have the time.  Or, I would have to read the same thing by
  multiple authors in the hope that different authors would give parts of the
  working proof that others have omitted.  It is very inefficient.  Because I
  have always been inclined to "get to the bottom" for a 100% fully understood
  proof....

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Auxiliary theorems for the Virtual Deduction tool
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    idiALT.1 $e |- ph $.
    $( Placeholder for ~ idi .  Though unnecessary, this theorem is sometimes
       used in proofs in this mathbox for pedagogical purposes.  (Contributed
       by Alan Sare, 31-Dec-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    idiALT $p |- ph $=
      (  ) B $.
  $}

  $( Exportation implication also converting the consequent from a
     biconditional to an implication.  Derived automatically from ~ exbirVD .
     (Contributed by Alan Sare, 31-Dec-2011.) $)
  exbir $p |- ( ( ( ph /\ ps ) -> ( ch <-> th ) ) ->
              ( ph -> ( ps -> ( th -> ch ) ) ) ) $=
    ( wa wb wi biimpr imim2i expd ) ABEZCDFZGABDCGZLMKCDHIJ $.

  $( Version of ~ 3impexp where in addition the consequent is commuted.
     (Contributed by Alan Sare, 31-Dec-2011.) $)
  3impexpbicom $p |- ( ( ( ph /\ ps /\ ch ) -> ( th <-> ta ) ) <->
                     ( ph -> ( ps -> ( ch -> ( ta <-> th ) ) ) ) ) $=
    ( w3a wb wi bicom imbi2 biimpcd mpi 3expd 3impexp biimpri syl6ibr impbii )
    ABCFZDEGZHZABCEDGZHHHZTABCUATSUAGZRUAHZDEIZUCTUDSUARJKLMUBRUASUDUBABCUANOUE
    PQ $.

  ${
    3impexpbicomi.1 $e |- ( ( ph /\ ps /\ ch ) -> ( th <-> ta ) ) $.
    $( Inference associated with ~ 3impexpbicom .  Derived automatically from
       ~ 3impexpbicomiVD .  (Contributed by Alan Sare, 31-Dec-2011.) $)
    3impexpbicomi $p |- ( ph -> ( ps -> ( ch -> ( ta <-> th ) ) ) ) $=
      ( wb w3a bicomd 3exp ) ABCEDGABCHDEFIJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Supplementary unification deductions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    bi1imp.1 $e |- ( ph <-> ( ps -> ch ) ) $.
    $( Importation inference similar to ~ imp , except the outermost
       implication of the hypothesis is a biconditional.  (Contributed by Alan
       Sare, 6-Nov-2017.) $)
    bi1imp $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wi biimpi imp ) ABCABCEDFG $.
  $}

  ${
    bi2imp.1 $e |- ( ph <-> ( ps <-> ch ) ) $.
    $( Importation inference similar to ~ imp , except both implications of the
       hypothesis are biconditionals.  (Contributed by Alan Sare,
       6-Nov-2017.) $)
    bi2imp $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wb biimpi biimpa ) ABCABCEDFG $.
  $}

  ${
    bi3impb.1 $e |- ( ( ph /\ ( ps /\ ch ) ) <-> th ) $.
    $( Similar to ~ 3impb with implication in hypothesis replaced by
       biconditional.  (Contributed by Alan Sare, 6-Nov-2017.) $)
    bi3impb $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wa biimpi 3impb ) ABCDABCFFDEGH $.
  $}

  ${
    bi3impa.1 $e |- ( ( ( ph /\ ps ) /\ ch ) <-> th ) $.
    $( Similar to ~ 3impa with implication in hypothesis replaced by
       biconditional.  (Contributed by Alan Sare, 6-Nov-2017.) $)
    bi3impa $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wa biimpi 3impa ) ABCDABFCFDEGH $.
  $}

  ${
    bi23impib.1 $e |- ( ph -> ( ( ps /\ ch ) <-> th ) ) $.
    $( ~ 3impib with the inner implication of the hypothesis a biconditional.
       (Contributed by Alan Sare, 6-Nov-2017.) $)
    bi23impib $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wa biimpd 3impib ) ABCDABCFDEGH $.
  $}

  ${
    bi13impib.1 $e |- ( ph <-> ( ( ps /\ ch ) -> th ) ) $.
    $( ~ 3impib with the outer implication of the hypothesis a biconditional.
       (Contributed by Alan Sare, 6-Nov-2017.) $)
    bi13impib $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wa wi biimpi 3impib ) ABCDABCFDGEHI $.
  $}

  ${
    bi123impib.1 $e |- ( ph <-> ( ( ps /\ ch ) <-> th ) ) $.
    $( ~ 3impib with the implications of the hypothesis biconditionals.
       (Contributed by Alan Sare, 6-Nov-2017.) $)
    bi123impib $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wa wb biimpi bi23impib ) ABCDABCFDGEHI $.
  $}

  ${
    bi13impia.1 $e |- ( ( ph /\ ps ) <-> ( ch -> th ) ) $.
    $( ~ 3impia with the outer implication of the hypothesis a biconditional.
       (Contributed by Alan Sare, 6-Nov-2017.) $)
    bi13impia $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wa wi biimpi 3impia ) ABCDABFCDGEHI $.
  $}

  ${
    bi123impia.1 $e |- ( ( ph /\ ps ) <-> ( ch <-> th ) ) $.
    $( ~ 3impia with the implications of the hypothesis biconditionals.
       (Contributed by Alan Sare, 6-Nov-2017.) $)
    bi123impia $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wa wb biimpi biimp3a ) ABCDABFCDGEHI $.
  $}

  ${
    bi33imp12.1 $e |- ( ph -> ( ps -> ( ch <-> th ) ) ) $.
    $( ~ 3imp with innermost implication of the hypothesis a biconditional.
       (Contributed by Alan Sare, 6-Nov-2017.) $)
    bi33imp12 $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wb wi biimp syl6 3imp ) ABCDABCDFCDGECDHIJ $.
  $}

  ${
    bi23imp13.1 $e |- ( ph -> ( ps <-> ( ch -> th ) ) ) $.
    $( ~ 3imp with middle implication of the hypothesis a biconditional.
       (Contributed by Alan Sare, 6-Nov-2017.) $)
    bi23imp13 $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wi biimpd 3imp ) ABCDABCDFEGH $.
  $}

  ${
    bi13imp23.1 $e |- ( ph <-> ( ps -> ( ch -> th ) ) ) $.
    $( ~ 3imp with outermost implication of the hypothesis a biconditional.
       (Contributed by Alan Sare, 6-Nov-2017.) $)
    bi13imp23 $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wi biimpi 3imp ) ABCDABCDFFEGH $.
  $}

  ${
    bi13imp2.1 $e |- ( ph <-> ( ps -> ( ch <-> th ) ) ) $.
    $( Similar to ~ 3imp except the outermost and innermost implications are
       biconditionals.  (Contributed by Alan Sare, 6-Nov-2017.) $)
    bi13imp2 $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wb wi biimpi bi33imp12 ) ABCDABCDFGEHI $.
  $}

  ${
    bi12imp3.1 $e |- ( ph <-> ( ps <-> ( ch -> th ) ) ) $.
    $( Similar to ~ 3imp except all but innermost implication are
       biconditionals.  (Contributed by Alan Sare, 6-Nov-2017.) $)
    bi12imp3 $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wi wb biimpi bi23imp13 ) ABCDABCDFGEHI $.
  $}

  ${
    bi23imp1.1 $e |- ( ph -> ( ps <-> ( ch <-> th ) ) ) $.
    $( Similar to ~ 3imp except all but outermost implication are
       biconditionals.  (Contributed by Alan Sare, 6-Nov-2017.) $)
    bi23imp1 $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wb wi biimp syl6bi 3imp ) ABCDABCDFCDGECDHIJ $.
  $}

  ${
    bi23imp0.1 $e |- ( ph <-> ( ps <-> ( ch <-> th ) ) ) $.
    $( Similar to ~ 3imp except all implications are biconditionals.
       (Contributed by Alan Sare, 6-Nov-2017.) $)
    bi123imp0 $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wb wi biimp syl6 sylbi 3imp ) ABCDABCDFZFZBCDGZGEMBLNBLHCDHIJK $.
  $}

  ${
    4animp1.1 $e |- ( ( ph /\ ps /\ ch ) -> ( ta <-> th ) ) $.
    $( A single hypothesis unification deduction with an assertion which is an
       implication with a 4-right-nested conjunction antecedent.  (Contributed
       by Alan Sare, 30-May-2018.) $)
    4animp1 $p |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ta ) $=
      ( wa simpr wb ad4ant123 mpbird ) ABGCGZDGEDLDHABCEDIDFJK $.
  $}

  ${
    4an31.1 $e |- ( ( ( ( ch /\ ps ) /\ ph ) /\ th ) -> ta ) $.
    $( A rearrangement of conjuncts for a 4-right-nested conjunction.
       (Contributed by Alan Sare, 30-May-2018.) $)
    4an31 $p |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ta ) $=
      ( wa an31 sylanb ) ABGCGCBGAGDEABCHFI $.
  $}

  ${
    4an4132.1 $e |- ( ( ( ( th /\ ch ) /\ ps ) /\ ph ) -> ta ) $.
    $( A rearrangement of conjuncts for a 4-right-nested conjunction.
       (Contributed by Alan Sare, 30-May-2018.) $)
    4an4132 $p |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ta ) $=
      ( wa simpr simplr jca simpllr simplll syl21anc ) ABGZCGZDGZDCGBAEPDCODHNC
      DIJABCDKABCDLFM $.
  $}

  $( Biconditional form of ~ expcomd .  (Contributed by Alan Sare,
     22-Jul-2012.)  (New usage is discouraged.) $)
  expcomdg $p |- ( ( ph -> ( ( ps /\ ch ) -> th ) ) <->
                                          ( ph -> ( ch -> ( ps -> th ) ) ) ) $=
    ( wa wi ancomst impexp bitri imbi2i ) BCEDFZCBDFFZAKCBEDFLBCDGCBDHIJ $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Conventional Metamath proofs, some derived from VD proofs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( ~ idn3 without virtual deduction connectives.  Special theorem needed for
     the Virtual Deduction translation tool.  (Contributed by Alan Sare,
     23-Jul-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  iidn3 $p |- ( ph -> ( ps -> ( ch -> ch ) ) ) $=
    ( wi id 2a1i ) CCDABCEF $.

  ${
    ee222.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee222.2 $e |- ( ph -> ( ps -> th ) ) $.
    ee222.3 $e |- ( ph -> ( ps -> ta ) ) $.
    ee222.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( ~ e222 without virtual deduction connectives.  Special theorem needed
       for the Virtual Deduction translation tool.  (Contributed by Alan Sare,
       7-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee222 $p |- ( ph -> ( ps -> et ) ) $=
      ( wa imp syl3c ex ) ABFABKCDEFABCGLABDHLABEILJMN $.
  $}

  ${
    ee3bir.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    ee3bir.2 $e |- ( ta <-> th ) $.
    $( Right-biconditional form of ~ e3 without virtual deduction connectives.
       Special theorem needed for the Virtual Deduction translation tool.
       (Contributed by Alan Sare, 22-Jul-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ee3bir $p |- ( ph -> ( ps -> ( ch -> ta ) ) ) $=
      ( biimpri syl8 ) ABCDEFEDGHI $.
  $}

  ${
    ee13.1 $e |- ( ph -> ps ) $.
    ee13.2 $e |- ( ph -> ( ch -> ( th -> ta ) ) ) $.
    ee13.3 $e |- ( ps -> ( ta -> et ) ) $.
    $( ~ e13 without virtual deduction connectives.  Special theorem needed for
       the Virtual Deduction translation tool.  (Contributed by Alan Sare,
       28-Oct-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee13 $p |- ( ph -> ( ch -> ( th -> et ) ) ) $=
      ( wi syl syl6d ) ACDEFHABEFJGIKL $.
  $}

  ${
    ee121.1 $e |- ( ph -> ps ) $.
    ee121.2 $e |- ( ph -> ( ch -> th ) ) $.
    ee121.3 $e |- ( ph -> ta ) $.
    ee121.4 $e |- ( ps -> ( th -> ( ta -> et ) ) ) $.
    $( ~ e121 without virtual deductions.  (Contributed by Alan Sare,
       13-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee121 $p |- ( ph -> ( ch -> et ) ) $=
      ( a1d ee222 ) ACBDEFABCGKHAECIKJL $.
  $}

  ${
    ee122.1 $e |- ( ph -> ps ) $.
    ee122.2 $e |- ( ph -> ( ch -> th ) ) $.
    ee122.3 $e |- ( ph -> ( ch -> ta ) ) $.
    ee122.4 $e |- ( ps -> ( th -> ( ta -> et ) ) ) $.
    $( ~ e122 without virtual deductions.  (Contributed by Alan Sare,
       13-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee122 $p |- ( ph -> ( ch -> et ) ) $=
      ( a1d ee222 ) ACBDEFABCGKHIJL $.
  $}

  ${
    ee333.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    ee333.2 $e |- ( ph -> ( ps -> ( ch -> ta ) ) ) $.
    ee333.3 $e |- ( ph -> ( ps -> ( ch -> et ) ) ) $.
    ee333.4 $e |- ( th -> ( ta -> ( et -> ze ) ) ) $.
    $( ~ e333 without virtual deductions.  (Contributed by Alan Sare,
       17-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee333 $p |- ( ph -> ( ps -> ( ch -> ze ) ) ) $=
      ( w3a 3imp syl3c 3exp ) ABCGABCLDEFGABCDHMABCEIMABCFJMKNO $.
  $}

  ${
    ee323.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    ee323.2 $e |- ( ph -> ( ps -> ta ) ) $.
    ee323.3 $e |- ( ph -> ( ps -> ( ch -> et ) ) ) $.
    ee323.4 $e |- ( th -> ( ta -> ( et -> ze ) ) ) $.
    $( ~ e323 without virtual deductions.  (Contributed by Alan Sare,
       17-Apr-2012.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee323 $p |- ( ph -> ( ps -> ( ch -> ze ) ) ) $=
      ( a1dd ee333 ) ABCDEFGHABECILJKM $.
  $}

  $( If the second and third disjuncts of a true triple disjunction are false,
     then the first disjunct is true.  Automatically derived from
     ~ 3ornot23VD .  (Contributed by Alan Sare, 31-Dec-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  3ornot23 $p |- ( ( -. ph /\ -. ps ) -> ( ( ch \/ ph \/ ps ) -> ch ) ) $=
    ( wn w3o wi idd pm2.21 3jaao 3anidm12 ) ADZBDZCABECFKCCKALBKCGACHBCHIJ $.

  $( ~ orbi1 with order of disjuncts reversed.  Derived from ~ orbi1rVD .
     (Contributed by Alan Sare, 31-Dec-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  orbi1r $p |- ( ( ph <-> ps ) -> ( ( ch \/ ph ) <-> ( ch \/ ps ) ) ) $=
    ( wb id orbi2d ) ABDZABCGEF $.

  $( ~ pm4.39 with a 3-conjunct antecedent.  This proof is ~ 3orbi123VD
     automatically translated and minimized.  (Contributed by Alan Sare,
     31-Dec-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  3orbi123 $p |- ( ( ( ph <-> ps ) /\ ( ch <-> th ) /\ ( ta <-> et ) ) ->
                 ( ( ph \/ ch \/ ta ) <-> ( ps \/ th \/ et ) ) ) $=
    ( wb w3a simp1 simp2 simp3 3orbi123d ) ABGZCDGZEFGZHABCDEFMNOIMNOJMNOKL $.

  $( Closed form of ~ syl5 .  Derived automatically from ~ syl5impVD .
     (Contributed by Alan Sare, 31-Dec-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  syl5imp $p |- ( ( ph -> ( ps -> ch ) ) -> ( ( th -> ps ) ->
                ( ph -> ( th -> ch ) ) ) ) $=
    ( wi pm2.04 imim2d com34 ) ABCEEZDBEDACIBACEDABCFGH $.

  $( The following User's Proof is a Virtual Deduction proof completed
     automatically by the tools program completeusersproof.cmd, which invokes
     Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.  After the
     User's Proof was completed, it was minimized.  The completed User's Proof
     before minimization is not shown.  (Contributed by Alan Sare,
     18-Mar-2012.)  (Proof modification is discouraged.)
     (New usage is discouraged.)
     <HTML> <TABLE>
     <TR> <TD> 1::    <TD> ` |- ( ( ( ps /\ ch ) -> th ) <-> ( ps -> ( ch -> `
     ` th ) ) ) `
     <TR> <TD> qed:1: <TD> ` |- ( ( ph -> ( ( ps /\ ch ) -> th ) ) <-> ( ph `
     ` -> ( ps -> ( ch -> th ) ) ) ) `
     </TABLE> </HTML> $)
  impexpd $p |- ( ( ph -> ( ( ps /\ ch ) -> th ) ) <->
                 ( ph -> ( ps -> ( ch -> th ) ) ) ) $=
    ( wa wi impexp imbi2i ) BCEDFBCDFFABCDGH $.

  $( The following User's Proof is a Virtual Deduction proof completed
     automatically by the tools program completeusersproof.cmd, which invokes
     Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant. The
     completed Virtual Deduction Proof (not shown) was minimized.  The
     minimized proof is shown.
     (Contributed by Alan Sare, 18-Mar-2012.)
     (Proof modification is discouraged.)  (New usage is discouraged.)
     <HTML> <TABLE>
     <TR> <TD> 1::      <TD> ` |- ( ( ph -> ( ps -> ( ch -> th ) ) ) `
     ` -> ( ph -> ( ch -> ( ps -> th ) ) ) ) `
     <TR> <TD> 2::      <TD> ` |- ( ( ph -> ( ch -> ( ps -> th ) ) ) `
     ` -> ( ch -> ( ph -> ( ps -> th ) ) ) ) `
     <TR> <TD> 3:1,2:   <TD> ` |- ( ( ph -> ( ps -> ( ch -> th ) ) ) `
     ` -> ( ch -> ( ph -> ( ps -> th ) ) ) ) `
     <TR> <TD> 4::      <TD> ` |- ( ( ch -> ( ph -> ( ps -> th ) ) ) `
     ` -> ( ph -> ( ch -> ( ps -> th ) ) ) ) `
     <TR> <TD> 5::      <TD> ` |- ( ( ph -> ( ch -> ( ps -> th ) ) ) `
     ` -> ( ph -> ( ps -> ( ch -> th ) ) ) ) `
     <TR> <TD> 6:4,5:   <TD> ` |- ( ( ch -> ( ph -> ( ps -> th ) ) ) `
     ` -> ( ph -> ( ps -> ( ch -> th ) ) ) ) `
     <TR> <TD> qed:3,6: <TD> ` |- ( ( ph -> ( ps -> ( ch -> th ) ) ) `
     ` <-> ( ch -> ( ph -> ( ps -> th ) ) ) ) `
     </TABLE> </HTML> $)
  com3rgbi $p |- ( ( ph -> ( ps -> ( ch -> th ) ) ) <->
                 ( ch -> ( ph -> ( ps -> th ) ) ) ) $=
    ( wi pm2.04 com24 com34 impbii ) ABCDEZEEZCABDEZEEZKBACDABJFGMACBDCALFHI $.

  $( The following User's Proof is a Virtual Deduction proof completed
     automatically by the tools program completeusersproof.cmd, which invokes
     Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.  The
     completed Virtual Deduction Proof (not shown) was minimized.  The
     minimized proof is shown.  (Contributed by Alan Sare, 18-Mar-2012.)
     (Proof modification is discouraged.)  (New usage is discouraged.)
     <HTML> <TABLE>
     <TR> <TD> 1::      <TD> ` |- ( ( ph -> ( ( ps /\ ch ) -> th ) ) `
     ` <-> ( ph -> ( ps -> ( ch -> th ) ) ) ) `
     <TR> <TD> 2::      <TD> ` |- ( ( ps -> ( ch -> ( ph -> th ) ) ) `
     ` <-> ( ph -> ( ps -> ( ch -> th ) ) ) ) `
     <TR> <TD> qed:1,2: <TD> ` |- ( ( ph -> ( ( ps /\ ch ) -> th ) ) `
     ` <-> ( ps -> ( ch -> ( ph -> th ) ) ) ) `
     </TABLE> </HTML> $)
  impexpdcom $p |- ( ( ph -> ( ( ps /\ ch ) -> th ) ) <->
                      ( ps -> ( ch -> ( ph -> th ) ) ) ) $=
    ( wa wi impexpd com3rgbi bitr4i ) ABCEDFFABCDFFFBCADFFFABCDGBCADHI $.

  ${
    ee1111.1 $e |- ( ph -> ps ) $.
    ee1111.2 $e |- ( ph -> ch ) $.
    ee1111.3 $e |- ( ph -> th ) $.
    ee1111.4 $e |- ( ph -> ta ) $.
    ee1111.5 $e |- ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) $.
    $( Non-virtual deduction form of ~ e1111 .  (Contributed by Alan Sare,
       18-Mar-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.)
       The following User's Proof is a Virtual Deduction proof
       completed automatically by the tools program completeusersproof.cmd,
       which invokes Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof
       Assistant.  The completed Virtual Deduction Proof (not shown) was
       minimized.  The minimized proof is shown.
       <HTML> <TABLE>
       <TR> <TD> h1::     <TD> ` |- ( ph -> ps )  `
       <TR> <TD> h2::     <TD> ` |- ( ph -> ch ) `
       <TR> <TD> h3::     <TD> ` |- ( ph -> th ) `
       <TR> <TD> h4::     <TD> ` |- ( ph -> ta ) `
       <TR> <TD> h5::    <TD> ` |- ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) `
       <TR> <TD> 6:1,5:  <TD> ` |- ( ph -> ( ch -> ( th -> ( ta -> et ) ) ) ) `
       <TR> <TD> 7:6:    <TD> ` |- ( ch -> ( ph -> ( th -> ( ta -> et ) ) ) ) `
       <TR> <TD> 8:2,7:  <TD> ` |- ( ph -> ( ph -> ( th -> ( ta -> et ) ) ) ) `
       <TR> <TD> 9:8:     <TD> ` |- ( ph -> ( th -> ( ta -> et ) ) ) `
       <TR> <TD> 10:9:    <TD> ` |- ( th -> ( ph -> ( ta -> et ) ) ) `
       <TR> <TD> 11:3,10: <TD> ` |- ( ph -> ( ph -> ( ta -> et ) ) ) `
       <TR> <TD> 12:11:   <TD> ` |- ( ph -> ( ta -> et ) ) `
       <TR> <TD> 13:12:   <TD> ` |- ( ta -> ( ph -> et ) ) `
       <TR> <TD> 14:4,13: <TD> ` |- ( ph -> ( ph -> et ) ) `
       <TR> <TD> qed:14:  <TD> ` |- ( ph -> et )  `
       </TABLE> </HTML> $)
    ee1111 $p |- ( ph -> et ) $=
      ( wi syl3c mpd ) AEFJABCDEFLGHIKMN $.
  $}

  $( Logical equivalence of a 2-left-nested implication and a 1-left-nested
     implicated
     when two antecedents of the former implication are identical.
     (Contributed by Alan Sare, 18-Mar-2012.)
     (Proof modification is discouraged.)  (New usage is discouraged.)
     The following User's Proof is a Virtual Deduction proof completed
     automatically by the tools program completeusersproof.cmd, which invokes
     Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant. The
     completed Virtual
     Deduction Proof (not shown) was minimized.  The minimized proof is
     shown.
     <HTML> <TABLE>
     <TR> <TD> 1::      <TD> ` |- ( ( ph -> ( ps -> ( ph -> ch ) ) ) `
     ` -> ( ph -> ( ph -> ( ps -> ch ) ) ) ) `
     <TR> <TD> 2::      <TD> ` |- ( ( ph -> ( ph -> ( ps -> ch ) ) ) `
     ` -> ( ph -> ( ps -> ch ) ) ) `
     <TR> <TD> 3:1,2:   <TD> ` |- ( ( ph -> ( ps -> ( ph -> ch ) ) ) `
     ` -> ( ph -> ( ps -> ch ) ) ) `
     <TR> <TD> 4::      <TD> ` |- ( ( ph -> ( ps -> ch ) ) -> ( ps `
     ` -> ( ph -> ch ) ) ) `
     <TR> <TD> 5:3,4:   <TD> ` |- ( ( ph -> ( ps -> ( ph -> ch ) ) ) `
     ` -> ( ps -> ( ph -> ch ) ) ) `
     <TR> <TD> 6::      <TD> ` |- ( ( ps -> ( ph -> ch ) ) -> ( ph `
     ` -> ( ps -> ( ph -> ch ) ) ) ) `
     <TR> <TD> qed:5,6: <TD> ` |- ( ( ph -> ( ps -> ( ph -> ch ) ) ) `
     ` <-> ( ps -> ( ph -> ch ) ) ) `
     </TABLE> </HTML> $)
  pm2.43bgbi $p |- ( ( ph -> ( ps -> ( ph -> ch ) ) ) <->
               ( ps -> ( ph -> ch ) ) ) $=
    ( wi mercolem6 ax-1 impbii ) ABACDDZDHABCEHAFG $.

  $( Logical equivalence of a 3-left-nested implication and a 2-left-nested
     implicated when two antecedents of the former implication are identical.
     (Contributed by Alan Sare, 18-Mar-2012.)
     (Proof modification is discouraged.)  (New usage is discouraged.)
     The following User's Proof is
     a Virtual Deduction proof completed automatically by the tools program
     completeusersproof.cmd, which invokes Mel L. O'Cat's mmj2 and Norm
     Megill's Metamath Proof Assistant.  The completed Virtual Deduction Proof
     (not shown) was minimized.  The minimized proof is shown.
     <HTML> <TABLE>
     <TR> <TD> 1::      <TD> ` |- ( ( ph -> ( ps -> ( ch -> ( ph -> th ) ) ) `
     ` ) -> ( ph -> ( ps -> ( ph -> ( ch -> th ) ) ) ) ) `
     <TR> <TD> 2::      <TD> ` |- ( ( ph -> ( ps -> ( ph -> ( ch -> th ) ) ) `
     ` ) -> ( ps -> ( ph -> ( ch -> th ) ) ) ) `
     <TR> <TD> 3:1,2:   <TD> ` |- ( ( ph -> ( ps -> ( ch -> ( ph -> th ) ) ) `
     ` ) -> ( ps -> ( ph -> ( ch -> th ) ) ) ) `
     <TR> <TD> 4::      <TD> ` |- ( ( ps -> ( ph -> ( ch -> th ) ) )  `
     ` -> ( ps -> ( ch -> ( ph -> th ) ) ) ) `
     <TR> <TD> 5:3,4:   <TD> ` |- ( ( ph -> ( ps -> ( ch -> ( ph -> th ) ) ) `
     ` ) -> ( ps -> ( ch -> ( ph -> th ) ) ) )  `
     <TR> <TD> 6::      <TD> ` |- ( ( ps -> ( ch -> ( ph -> th ) ) )  `
     ` -> ( ph -> ( ps -> ( ch -> ( ph -> th ) ) ) ) ) `
     <TR> <TD> qed:5,6: <TD> ` |- ( ( ph -> ( ps -> ( ch -> ( ph -> th ) ) ) `
     ` ) <-> ( ps -> ( ch -> ( ph -> th ) ) ) ) `
     </TABLE> </HTML> $)
  pm2.43cbi $p |- ( ( ph -> ( ps -> ( ch -> ( ph -> th ) ) ) ) <->
                   ( ps -> ( ch -> ( ph -> th ) ) ) ) $=
    ( wi wn pm2.24 com4l id ja ax-1 impbii ) ABCADEEEZEMAMMAAFBCDABCDEEGHMIJMAK
    L $.

  ${
    ee233.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee233.2 $e |- ( ph -> ( ps -> ( th -> ta ) ) ) $.
    ee233.3 $e |- ( ph -> ( ps -> ( th -> et ) ) ) $.
    ee233.4 $e |- ( ch -> ( ta -> ( et -> ze ) ) ) $.
    $( Non-virtual deduction form of ~ e233 .  (Contributed by Alan Sare,
       18-Mar-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.)
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant. The
       completed Virtual
       Deduction Proof (not shown) was minimized.  The minimized proof is
       shown.
       <HTML> <TABLE>
       <TR> <TD> h1::     <TD> ` |- ( ph -> ( ps -> ch ) )   `
       <TR> <TD> h2::     <TD> ` |- ( ph -> ( ps -> ( th -> ta ) ) )  `
       <TR> <TD> h3::     <TD> ` |- ( ph -> ( ps -> ( th -> et ) ) )  `
       <TR> <TD> h4::     <TD> ` |- ( ch -> ( ta -> ( et -> ze ) ) ) `
       <TR> <TD> 5:1,4:   <TD> ` |- ( ph -> ( ps -> ( ta -> ( et -> ze ) ) ) `
       ` ) `
       <TR> <TD> 6:5:     <TD> ` |- ( ta -> ( ph -> ( ps -> ( et -> ze ) ) ) `
       ` ) `
       <TR> <TD> 7:2,6:   <TD> ` |- ( ph -> ( ps -> ( th -> ( ph -> ( ps  `
       ` -> ( et -> ze ) ) ) ) ) ) `
       <TR> <TD> 8:7:     <TD> ` |- ( ps -> ( th -> ( ph -> ( ps -> ( et  `
       ` -> ze ) ) ) ) ) `
       <TR> <TD> 9:8:     <TD> ` |- ( th -> ( ph -> ( ps -> ( et -> ze ) ) ) `
       ` ) `
       <TR> <TD> 10:9:    <TD> ` |- ( ph -> ( ps -> ( th -> ( et -> ze ) ) ) `
       ` ) `
       <TR> <TD> 11:10:   <TD> ` |- ( et -> ( ph -> ( ps -> ( th -> ze ) ) ) `
       ` ) `
       <TR> <TD> 12:3,11: <TD> ` |- ( ph -> ( ps -> ( th -> ( ph -> ( ps  `
       ` -> ( th -> ze ) ) ) ) ) ) `
       <TR> <TD> 13:12:   <TD> ` |- ( ps -> ( th -> ( ph -> ( ps -> ( th  `
       ` -> ze ) ) ) ) ) `
       <TR> <TD> 14:13:   <TD> ` |- ( th -> ( ph -> ( ps -> ( th -> ze ) ) ) `
       ` ) `
       <TR> <TD> qed:14:  <TD> ` |- ( ph -> ( ps -> ( th -> ze ) ) ) `
       </TABLE> </HTML> $)
    ee233 $p |- ( ph -> ( ps -> ( th -> ze ) ) ) $=
      ( wi syl6 com3r syl8 pm2.43cbi mpbi com14 ) DABDGLZLZLZLZUABUBLZUBAUCLUCA
      BDFUAJDABFGBDABFGLZLZLZLZLZUGAUHLUHABDEUFIABEUDABCEUDLHKMNOABDUEPQBDAUDPQ
      ROABDTPQBDASPQDABGPQ $.
  $}

  $( Join three logical equivalences to form equivalence of implications.
     ~ imbi13 is ~ imbi13VD without virtual deductions and was automatically
     derived from ~ imbi13VD using the tools program
     translate..without..overwriting.cmd and Metamath's minimize command.
     (Contributed by Alan Sare, 18-Mar-2012.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  imbi13 $p |- ( ( ph <-> ps ) -> ( ( ch <-> th ) -> ( ( ta <-> et ) ->
               ( ( ph -> ( ch -> ta ) ) <-> ( ps -> ( th -> et ) ) ) ) ) ) $=
    ( wb wi imbi12 syl9r ) CDGEFGCEHZDFHZGABGAKHBLHGCDEFIABKLIJ $.

  ${
    ee33.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    ee33.2 $e |- ( ph -> ( ps -> ( ch -> ta ) ) ) $.
    ee33.3 $e |- ( th -> ( ta -> et ) ) $.
    $( Non-virtual deduction form of ~ e33 .  (Contributed by Alan Sare,
       18-Mar-2012.)  (Proof modification is discouraged.)
       (New usage is discouraged.)
       The following User's Proof is a Virtual Deduction proof
       completed automatically by the tools program completeusersproof.cmd,
       which invokes Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof
       Assistant.  The completed Virtual Deduction Proof (not shown) was
       minimized.  The minimized proof is shown.
       <HTML> <TABLE>
       <TR> <TD> h1::   <TD> ` |- ( ph -> ( ps -> ( ch -> th ) ) )  `
       <TR> <TD> h2::   <TD> ` |- ( ph -> ( ps -> ( ch -> ta ) ) )  `
       <TR> <TD> h3::   <TD> ` |- ( th -> ( ta -> et ) ) `
       <TR> <TD> 4:1,3: <TD> ` |- ( ph -> ( ps -> ( ch -> ( ta -> et ) ) ) ) `
       <TR> <TD> 5:4:   <TD> ` |- ( ta -> ( ph -> ( ps -> ( ch -> et ) ) ) ) `
       <TR> <TD> 6:2,5: <TD> ` |- ( ph -> ( ps -> ( ch -> ( ph -> ( ps -> `
       ` ( ch -> et ) ) ) ) ) ) `
       <TR> <TD> 7:6:   <TD> ` |- ( ps -> ( ch -> ( ph -> ( ps -> ( ch -> `
       ` et ) ) ) ) ) `
       <TR> <TD> 8:7:   <TD> ` |- ( ch -> ( ph -> ( ps -> ( ch -> et ) ) ) ) `
       <TR> <TD> qed:8: <TD> ` |- ( ph -> ( ps -> ( ch -> et ) ) ) `
       </TABLE> </HTML> $)
    ee33 $p |- ( ph -> ( ps -> ( ch -> et ) ) ) $=
      ( wi imim3i syl6c ) ABCDJCEJCFJGHDEFCIKL $.
  $}

  $( Biconditional contraposition variation.  This proof is ~ con5VD
     automatically translated and minimized.  (Contributed by Alan Sare,
     21-Apr-2013.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  con5 $p |- ( ( ph <-> -. ps ) -> ( -. ph -> ps ) ) $=
    ( wn wb biimpr con1d ) ABCZDBAAGEF $.

  ${
    con5i.1 $e |- ( ph <-> -. ps ) $.
    $( Inference form of ~ con5 .  (Contributed by Alan Sare, 21-Apr-2013.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    con5i $p |- ( -. ph -> ps ) $=
      ( wn wb wi con5 ax-mp ) ABDEADBFCABGH $.
  $}

  ${
    exlimexi.1 $e |- ( ps -> A. x ps ) $.
    exlimexi.2 $e |- ( E. x ph -> ( ph -> ps ) ) $.
    $( Inference similar to Theorem 19.23 of [Margaris] p. 90.  (Contributed by
       Alan Sare, 21-Apr-2013.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    exlimexi $p |- ( E. x ph -> ps ) $=
      ( wex hbe1 exlimdh pm2.43i ) ACFZBJABCACGDEHI $.
  $}

  ${
    $d x y $.
    $( Equivalence for substitution.  Alternate proof of ~ sb5 .  This proof is
       ~ sb5ALTVD automatically translated and minimized.  (Contributed by Alan
       Sare, 21-Apr-2013.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sb5ALT $p |- ( [ y / x ] ph <-> E. x ( x = y /\ ph ) ) $=
      ( wsb weq wa wex equsb1 sban simplbi2com mpi spsbe syl wi simpr a1i simpl
      hbs1 sbequ1 com12 syl6c exlimexi impbii ) ABCDZBCEZAFZBGZUDUFBCDZUGUDUEBC
      DZUHBCHUHUIUDUEABCIJKUFBCLMUFUDBABCRUGUFAUEUDUFANUGUEAOPUFUENUGUEAQPUEAUD
      ABCSTUAUBUC $.
  $}

  ${
    eexinst01.1 $e |- E. x ps $.
    eexinst01.2 $e |- ( ph -> ( ps -> ch ) ) $.
    eexinst01.3 $e |- ( ph -> A. x ph ) $.
    eexinst01.4 $e |- ( ch -> A. x ch ) $.
    $( ~ exinst01 without virtual deductions.  (Contributed by Alan Sare,
       21-Apr-2013.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    eexinst01 $p |- ( ph -> ch ) $=
      ( wex exlimdh mpi ) ABDICEABCDGHFJK $.
  $}

  ${
    eexinst11.1 $e |- ( ph -> E. x ps ) $.
    eexinst11.2 $e |- ( ph -> ( ps -> ch ) ) $.
    eexinst11.3 $e |- ( ph -> A. x ph ) $.
    eexinst11.4 $e |- ( ch -> A. x ch ) $.
    $( ~ exinst11 without virtual deductions.  (Contributed by Alan Sare,
       21-Apr-2013.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    eexinst11 $p |- ( ph -> ch ) $=
      ( wex exlimdh syl5com pm2.43i ) ACABDIACEABCDGHFJKL $.
  $}

  ${
    vk15.4j.1 $e |- -. ( E. x -. ph /\ E. x ( ps /\ -. ch ) ) $.
    vk15.4j.2 $e |- ( A. x ch -> -. E. x ( th /\ ta ) ) $.
    vk15.4j.3 $e |- -. A. x ( ta -> ph ) $.
    $( Excercise 4j of Unit 15 of "Understanding Symbolic Logic", Fifth Edition
       (2008), by Virginia Klenk.  This proof is the minimized Hilbert-style
       axiomatic version of the Fitch-style Natural Deduction proof found on
       page 442 of Klenk and was automatically derived from that proof.
       ~ vk15.4j is ~ vk15.4jVD automatically translated and minimized.
       (Contributed by Alan Sare, 21-Apr-2013.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    vk15.4j $p |- ( -. E. x -. th -> -. A. x ps ) $=
      ( wn wex wal wa wi exanali 19.21bi a1i 19.8a syl6 hbe1 mpbir alex biimpri
      simpl syl6an notnot con3 mpsylsyld hbn hbn1 eexinst01 exnal sylibr pm3.13
      wo ax-mp simpr syl pm2.53 mpsyl con5i con3d eexinst11 sylib ) DJZFKZJZBJZ
      FKZBFLJVGCJZVIFVGCFLZJZVJFKVGEAJZMZVLFVNFKEANFLJIEAFOUAZVKDEMZFKZJZNVGVNV
      RJZVLHVGVNVQVSVGDVNEVQVGDFDFLVGDFUBUCPVNENVGEVMUDQVPFRUEVQUFSVKVRUGUHVFFV
      EFTUIZCFUJUKCFULUMVGVJVHVIVGBCVGBCNZFVGBVJMFKZJZWAFLZVMFKZJZWCUOZVGWFJZWC
      WEWBMJWGGWEWBUNUPVGWEWHVGVNWEFVOVGVNVMWEVNVMNVGEVMUQQVMFRSVTVMFTUKWEUFURW
      FWCUSUTWBWDBCFOVAURPVBVHFRSVTVHFTVCBFULVD $.
  $}

  $( Converse of double negation.  Alternate proof of ~ notnotr .  This proof
     is ~ notnotrALTVD automatically translated and minimized.  (Contributed by
     Alan Sare, 21-Apr-2013.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  notnotrALT $p |- ( -. -. ph -> ph ) $=
    ( wn id pm2.21 mt4d ) ABZBZGAGCFGBDE $.

  $( Contraposition.  Alternate proof of ~ con3 .  This proof is ~ con3ALTVD
     automatically translated and minimized.  (Contributed by Alan Sare,
     21-Apr-2013.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  con3ALT2 $p |- ( ( ph -> ps ) -> ( -. ps -> -. ph ) ) $=
    ( wi wn notnotr imim1i con1d ) ABCADZBHDABAEFG $.

  ${
    $d A x $.  $d B x $.  $d C x $.  $d C y $.  $d D x $.  $d D y $.
    $( Quantification restricted to a subclass for two quantifiers. ~ ssralv
       for two quantifiers.  The proof of ~ ssralv2 was automatically generated
       by minimizing the automatically translated proof of ~ ssralv2VD .  The
       automatic translation is by the tools program
       translate__without__overwriting.cmd.  (Contributed by Alan Sare,
       18-Feb-2012.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ssralv2 $p |- ( ( A C_ B /\ C C_ D ) -> ( A. x e. B A. y e. D ph ->
                    A. x e. A A. y e. C ph ) ) $=
      ( wss wa wral nfv nfra1 cv wcel wi wal ssralv adantr df-ral syl6ib adantl
      sp syl6 syl6d ralrimd ) DEHZFGHZIZACGJZBEJZACFJZBDUHBKUIBELUHUJBMDNZUIUKU
      HUJULUIOZBPZUMUHUJUIBDJZUNUFUJUOOUGUIBDEQRUIBDSTUMBUBUCUGUIUKOUFACFGQUAUD
      UE $.
  $}

  $( ~ sbcor with a 3-disjuncts.  This proof is ~ sbc3orgVD automatically
     translated and minimized.  (Contributed by Alan Sare, 31-Dec-2011.)
     (Revised by NM, 24-Aug-2018.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  sbc3or $p |- ( [. A / x ]. ( ph \/ ps \/ ch ) <->
                ( [. A / x ]. ph \/ [. A / x ]. ps \/ [. A / x ]. ch ) ) $=
    ( w3o wsbc wo sbcor df-3or bicomi sbcbii orbi1i 3bitr3i bitr4i ) ABCFZDEGZA
    DEGZBDEGZHZCDEGZHZRSUAFABHZCHZDEGUCDEGZUAHQUBUCCDEIUDPDEPUDABCJKLUETUAABDEI
    MNRSUAJO $.

  ${
    $d x ps $.  $d x ch $.
    $( Closed form of ~ alrimi with 2 additional conjuncts having no
       occurrences of the quantifying variable.  This proof is
       ~ 19.21a3con13vVD automatically translated and minimized.  (Contributed
       by Alan Sare, 31-Dec-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    alrim3con13v $p |- ( ( ph -> A. x ph ) ->
                        ( ( ps /\ ph /\ ch ) -> A. x ( ps /\ ph /\ ch ) ) ) $=
      ( wal w3a simp1 a1i ax-5 syl6 simp2 imim1i simp3 3jcad 19.26-3an syl6ibr
      wi ) AADEZQZBACFZBDEZRCDEZFTDESTUARUBSTBUATBQSBACGHBDIJTARBACKLSTCUBTCQSB
      ACMHCDIJNBACDOP $.
  $}

  ${
    $d A y $.  $d B x $.  $d D x y $.
    $( ~ rspsbc with two quantifying variables.  This proof is ~ rspsbc2VD
       automatically translated and minimized.  (Contributed by Alan Sare,
       31-Dec-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    rspsbc2 $p |- ( A e. B -> ( C e. D -> ( A. x e. B A. y e. D ph ->
                  [. C / y ]. [. A / x ]. ph ) ) ) $=
      ( wcel wral wsbc idd wi rspsbc a1d sbcralg biimpd syl6d syl10 ) DEHZFGHZT
      ACGIZBEIZABDJZCGIZUCCFJSTKSTUBUABDJZUDSUBUELTUABDEMNSUEUDABCDGEOPQUCCFGMR
      $.
  $}

  ${
    $d x y $.
    $( Substitution of a setvar variable for another setvar variable in a
       3-conjunct formula.  Derived automatically from ~ sbcoreleleqVD .
       (Contributed by Alan Sare, 31-Dec-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    sbcoreleleq $p |- ( A e. V -> ( [. A / y ]. ( x e. y \/ y e. x \/ x = y )
                <-> ( x e. A \/ A e. x \/ x = A ) ) ) $=
      ( wcel wel weq w3o wsbc cv sbc3or wb sbcel2gv sbcel1v a1i eqsbc2 3orbi123
      wceq 3impexpbicomi syl3c bitr4id ) CDEZABFZBAFZABGZHBCIUCBCIZUDBCIZUEBCIZ
      HZAJZCEZCUJEZUJCRZHZUCUDUEBCKUBUFUKLZUGULLZUHUMLZUNUILBUJCDMUPUBBCUJNOBCU
      JDPUOUPUQUIUNUFUKUGULUHUMQSTUA $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( If a class is transitive and any two distinct elements of the class are
       E-comparable, then every element of that class is transitive.  Derived
       automatically from ~ tratrbVD .  (Contributed by Alan Sare,
       31-Dec-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    tratrb $p |- ( ( Tr A /\ A. x e. A A. y e. A ( x e. y \/ y e. x \/ x = y )
                 /\ B e. A ) -> Tr B ) $=
      ( wtr wel weq w3o wral wcel w3a cv wa wi wal nfv nf3an wn a1i con3 nfra2w
      nfra1 simpl simpr pm3.2an3 syl6c en3lp syl6mpi eleq2 biimprcd pm3.2 syl10
      wceq syl6 en2lp wsbc simp3 simp1 trel ee121 ee122 ralcom 3ad2ant2 rspsbc2
      biimpi wb equid sbceq1a ax-mp syl6ibr sbcoreleleq biimpd sylsyld 3ornot23
      expd ex ee222 alrimi dftr2 sylibr ) CEZABFZBAFZABGHZBCIZACIZDCJZKZWBBLZDJ
      ZMZALZDJZNZBOZAODEWHWOAWAWFWGAWAAPWEACUBWGAPQWHWNBWAWFWGBWABPWDABCCUAWGBP
      QWHWKDWLJZRZWLDUMZRZWMWPWRHZWMWHWKWPWBWJWPKZNZXARWQWHWKWBWJXBWKWBNWHWBWJU
      CSZWKWJNWHWBWJUDSZWBWJWPUEUFWLWIDUGWPXATUHWHWKWRWBWCMZNXERWSWHWKWBWRWCXEX
      CWHWKWJWRWCNXDWRWCWJWLDWIUIUJUNWBWCUKULWLWIUOWRXETUHWHWGWKWDBDUPZWTWAWFWG
      UQZWHWKXFAWLUPZXFWHWGWKWLCJZWDACIBCIZXHXGWHWAWKWBWICJZXIWAWFWGURZXCWHWAWK
      WJWGXKXLXDXGWAWJWGXKCWIDUSVOUTWAWBXKXICWLWIUSVOVAWFWAXJWGWFXJWDABCCVBVEVC
      WDBADCWLCVDUTAAGXFXHVFAVGXFAWLVHVIVJWGXFWTABDCVKVLVMWQWSWTWMNWPWRWMVNVPVQ
      VRVRABDVSVT $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( An element of an ordinal class is ordinal.  Proposition 7.6 of
       [TakeutiZaring] p. 36.  This is an alternate proof of ~ ordelord using
       the Axiom of Regularity indirectly through ~ dford2 . dford2 is a weaker
       definition of ordinal number.  Given the Axiom of Regularity, it need
       not be assumed that ` _E Fr A ` because this is inferred by the Axiom of
       Regularity. ~ ordelordALT is ~ ordelordALTVD without virtual deductions
       and was automatically derived from ~ ordelordALTVD using the tools
       program translate..without..overwriting.cmd and Metamath's minimize
       command.  (Contributed by Alan Sare, 18-Feb-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ordelordALT $p |- ( ( Ord A /\ B e. A ) -> Ord B ) $=
      ( vx vy word wcel wa wtr wel weq wral ordtr adantr dford2 simprbi 3orcomb
      w3o 2ralbii sylib simpr tratrb syl3anc wss trss wi ssralv2 syl3c sylanbrc
      sylc ex ) AEZBAFZGZBHZCDIZCDJZDCIZQZDBKCBKZBEUMAHZUOUQUPQZDAKCAKZULUNUKUT
      ULALMZUMURDAKCAKZVBUKVDULUKUTVDCDANOMZURVACDAAUOUPUQPRSUKULTZCDABUAUBUMBA
      UCZVGVDUSUMUTULVGVCVFABUDUIZVHVEVGVGVDUSUEURCDBABAUFUJUGCDBNUH $.
  $}

  $( Distribution of class substitution over a left-nested implication.
     Similar to ~ sbcimg . ~ sbcim2g is ~ sbcim2gVD without virtual deductions
     and was automatically derived from ~ sbcim2gVD using the tools program
     translate..without..overwriting.cmd and Metamath's minimize command.
     (Contributed by Alan Sare, 18-Mar-2012.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  sbcim2g $p |- ( A e. V -> ( [. A / x ]. ( ph -> ( ps -> ch ) ) <->
         ( [. A / x ]. ph -> ( [. A / x ]. ps -> [. A / x ]. ch ) ) ) ) $=
    ( wcel wi wsbc wb sbcimg biimpd imbi2 biimpcd syl6ci idd biimpr ee13 impbid
    sylibrd ) EFGZABCHZHDEIZADEIZBDEICDEIHZHZUAUCUDUBDEIZHZUGUEJZUFUAUCUHAUBDEF
    KZLBCDEFKZUIUHUFUGUEUDMNOUAUFUHUCUAUIUFUDUEUGUKUAUFPUGUEQRUJTS $.

  $( Implication form of ~ sbcbii . ~ sbcbi is ~ sbcbiVD without virtual
     deductions and was automatically derived from ~ sbcbiVD using the tools
     program translate..without..overwriting.cmd and Metamath's minimize
     command.  (Contributed by Alan Sare, 18-Mar-2012.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  sbcbi $p |- ( A e. V -> ( A. x ( ph <-> ps ) -> ( [. A / x ]. ph <->
                  [. A / x ]. ps ) ) ) $=
    ( wcel wb wal wsbc spsbc sbcbig sylibd ) DEFABGZCHMCDIACDIBCDIGMCDEJABCDEKL
    $.

  ${
    $d A x y z $.  $d V y z $.
    $( Formula-building inference rule for class substitution, substituting a
       class variable for the setvar variable of the transitivity predicate.
       ~ trsbc is ~ trsbcVD without virtual deductions and was automatically
       derived from ~ trsbcVD using the tools program
       translate..without..overwriting.cmd and Metamath's minimize command.
       (Contributed by Alan Sare, 18-Mar-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    trsbc $p |- ( A e. V -> ( [. A / x ]. Tr x <-> Tr A ) ) $=
      ( vz vy wcel wel wa wi wal wsbc cv wtr sbcal sbcel2gv pm3.31 pm3.3 impbii
      wb sbcbii sbcim2g imbi13 syl3c bitrd 3bitr3g albidv syl5bb dftr2 3bitr4g
      sbcg ) BCFZDEGZEAGZHDAGZIZEJZDJZABKZULELZBFZHDLZBFZIZEJZDJZALZMZABKBMURUP
      ABKZDJUKVEUPDABNUKVHVDDVHUOABKZEJUKVDUOEABNUKVIVCEUKULUMUNIIZABKZULUTVBII
      ZVIVCUKVKULABKZUMABKZUNABKZIIZVLULUMUNABCUAUKVMULSVNUTSVOVBSVPVLSULABCUJA
      USBCOAVABCOVMULVNUTVOVBUBUCUDVJUOABVJUOULUMUNPULUMUNQRTVLVCULUTVBPULUTVBQ
      RUEUFUGUFUGVGUQABDEVFUHTDEBUHUI $.
  $}

  ${
    $d A q x y z $.
    $( The union of a class of transitive sets is transitive.  Alternate proof
       of ~ truni . ~ truniALT is ~ truniALTVD without virtual deductions and
       was automatically derived from ~ truniALTVD using the tools program
       translate..without..overwriting.cmd and Metamath's minimize command.
       (Contributed by Alan Sare, 18-Mar-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    truniALT $p |- ( A. x e. A Tr x -> Tr U. A ) $=
      ( vz vy vq cv wtr wral wel cuni wcel wa wi wal simpr a1i syl6ib 2a1i ee33
      simpl wex eluni wsbc rspsbc com12 syl6d trsbc biimpd expdcom ee233 elunii
      trel ex alrimdv 19.23v mpdd alrimivv dftr2 sylibr ) AFGZABHZCDIZDFZBJZKZL
      ZCFZVDKZMZDNCNVDGVAVICDVAVFDEIZEFZBKZLZEUAZVHVAVFVEVNVFVEMVAVBVEOPEVCBUBQ
      VAVFVMVHMZENVNVHMVAVFVOEVAVFVMCEIZVLVHVAVFVBVMVJVKGZVPVFVBMVAVBVETPVMVJMV
      AVFVJVLTRVAVFVMVLUTAVKUCZVQVMVLMVAVFVJVLORZVAVFVMVLVRVSVLVAVRUTAVKBUDUEUF
      VLVRVQAVKBUGUHSVQVBVJVPVKVGVCULUIUJVSVPVLVHVGVKBUKUMSUNVMVHEUOQUPUQCDVDUR
      US $.
  $}

  ${
    $d a b y $.  $d b x y $.
    $( Lemma for ~ onfrALT .  (Contributed by Alan Sare, 22-Jul-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    onfrALTlem5 $p |- ( [. ( a i^i x ) / b ]. ( ( b C_ ( a i^i x )
      /\ b =/= (/) ) -> E. y e. b ( b i^i y ) = (/) )
        <-> ( ( ( a i^i x ) C_ ( a i^i x ) /\ ( a i^i x ) =/= (/) ) ->
              E. y e. ( a i^i x ) ( ( a i^i x ) i^i y ) = (/) ) ) $=
      ( cv cin wss c0 wne wa wceq wrex wi wsbc cvv wb ax-mp bitri wex csb inex1
      wcel vex sbcimg sbcan sseq1 sbcie wn df-ne sbcbii sbcng bicomd necon3bbii
      eqsbc1 3bitr2i anbi12i wel df-rex sbcel2gv sbceqg csbin csbvarg csbconstg
      ineq12i eqtri csb0 eqeq12i exbii sbcex2 3bitr4i imbi12i ) DEZCEZAEZFZGZVL
      HIZJZVLBEZFZHKZBVLLZMDVONZVRDVONZWBDVONZMZVOVOGZVOHIZJZVOVSFZHKZBVOLZMVOO
      UBZWCWFPVMVNCUCUAZVRWBDVOOUDQWDWIWEWLWDVPDVONZVQDVONZJWIVPVQDVOUEWOWGWPWH
      VPWGDVOWNVLVOVOUFUGWPVLHKZUHZDVONZWQDVONZUHZWHVQWRDVOVLHUIUJWMXAWSPWNWMWS
      XAWQDVOOUKULQWTVOHWMWTVOHKPWNDVOHOUNQUMUOUPRWEBDUQZWAJZBSZDVONZWLWBXDDVOW
      ABVLURUJXCDVONZBSVSVOUBZWKJZBSXEWLXFXHBXFXBDVONZWADVONZJXHXBWADVOUEXIXGXJ
      WKWMXIXGPWNDVSVOOUSQXJDVOVTTZDVOHTZKZWKWMXJXMPWNDVOVTHOUTQXKWJXLHXKDVOVLT
      ZDVOVSTZFWJDVOVLVSVAXNVOXOVSWMXNVOKWNDVOOVBQWMXOVSKWNDVOVSOVCQVDVEDVOVFVG
      RUPRVHXCBDVOVIWKBVOURVJRVKR $.
  $}

  ${
    $d a x $.
    $( Lemma for ~ onfrALT .  (Contributed by Alan Sare, 22-Jul-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    onfrALTlem4 $p |- ( [. y / x ]. ( x e. a /\ ( a i^i x ) = (/) ) <->
                        ( y e. a /\ ( a i^i y ) = (/) ) ) $=
      ( wel cv cin c0 wceq wa wsbc sbcan sbcel1v csb wcel wb sbceqg ax-mp bitri
      cvv vex csbin csbconstg csbvarg ineq12i eqtri csb0 eqeq12i anbi12i ) ACDZ
      CEZAEZFZGHZIABEZJUIAUNJZUMAUNJZIBCDZUJUNFZGHZIUIUMAUNKUOUQUPUSAUNUJLUPAUN
      ULMZAUNGMZHZUSUNSNZUPVBOBTZAUNULGSPQUTURVAGUTAUNUJMZAUNUKMZFURAUNUJUKUAVE
      UJVFUNVCVEUJHVDAUNUJSUBQVCVFUNHVDAUNSUCQUDUEAUNUFUGRUHR $.
  $}

  ${
    $d a b y $.  $d b x y $.
    $( Lemma for ~ onfrALT .  (Contributed by Alan Sare, 22-Jul-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    onfrALTlem3 $p |- ( ( a C_ On /\ a =/= (/) ) ->
                        ( ( x e. a /\ -. ( a i^i x ) = (/) ) ->
                        E. y e. ( a i^i x ) ( ( a i^i x ) i^i y ) = (/) ) ) $=
      ( vb cv con0 wss c0 wne wa cin wceq wrex mpsylsyld cvv wcel cep wwe syl6
      wi wel wn ssid simpr a1i df-ne syl6ibr pm3.2 wsbc wal vex inex2 wfr inss2
      word simpl ssel syl2im eloni ordwe wess dfepfr syl6ib spsbc onfrALTlem5
      wefr mpdd ) CEZFGZVHHIZJZACUAZVHAEZKZHLUBZJZVNVNGZVNHIZJZVNBEZKHLBVNMZVQV
      KVPVRVSVNUCVKVPVOVRVPVOTVKVLVOUDUEVNHUFUGVQVRUHNVKVPDEZVNGWBHIJWBVTKHLBWB
      MTZDVNUIZVSWATVNOPVKVPWCDUJZWDVMVHAUKULVKVPVNQUMZWEVKVPVNQRZWFVNVMGVKVPVM
      QRZWGVHVMUNVKVPVMUOZWHVKVPVMFPZWIVKVIVPVLWJVIVJUPVLVOUPVHFVMUQURVMUSSVMUT
      SVNVMQVANVNQVFSDBVNVBVCWCDVNOVDNABCDVEVCVG $.
  $}

  ${
    $d ch x $.  $d ph x $.  $d ps x $.
    ggen31.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( ~ gen31 without virtual deductions.  (Contributed by Alan Sare,
       22-Jul-2012.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ggen31 $p |- ( ph -> ( ps -> ( ch -> A. x th ) ) ) $=
      ( wal wi wa imp alrimdv ex ) ABCDEGHABICDEABCDHFJKL $.
  $}

  ${
    $d a y z $.  $d x y z $.
    $( Lemma for ~ onfrALT .  (Contributed by Alan Sare, 22-Jul-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    onfrALTlem2 $p |- ( ( a C_ On /\ a =/= (/) ) -> ( ( x e. a /\
                      -. ( a i^i x ) = (/) ) -> E. y e. a ( a i^i y ) =
                      (/) ) ) $=
      ( vz cv con0 wss c0 wa wel cin wceq wex wcel 2a1i sseli syl8 simpl ee33
      wi wne wrex wal simpr inss2 inss1 wtr word ssel syl2im eloni ordtr simpll
      wn syl6 trel expcomd ee233 elin simplbi2 simplbi2com exp4a ggen31 biimpri
      dfss2 sseq0 pm3.21 alrimdv onfrALTlem3 df-rex syl6ib exim syl6c syl6ibr
      ex ) CEZFGZVPHUAZIZACJZVPAEZKZHLUNZIZBCJZVPBEZKZHLZIZBMZWHBVPUBVSWDWFWBNZ
      WBWFKZHLZIZWITZBUCWNBMZWJVSWDWOBVSWDWNWHWEWIVSWDWNWGWLGZWMWHVSWDWNDEZWGNZ
      WRWLNZTZDUCZWQVSWDWNXADVSWDWNWSWTVSWDWNWSIZDBJZWRWBNZWTVSWDXCWSXDXCWSTVSW
      DWNWSUDOZWGWFWRVPWFUEPQZVSWDXCDCJZDAJZXEVSWDXCWSXHXFWGVPWRVPWFUFPQVSWDWAU
      GZXCBAJZXDXIVSWDWAUHZXJVSWDWAFNZXLVSVQWDVTXMVQVRRVTWCRVPFWAUIUJWAUKUOWAUL
      UOVSWDXCWKXKXCWKTVSWDWKWMWSUMOWBWAWFVPWAUEPQXGXJXDXKXIWAWRWFUPUQURXEXHXIW
      RVPWAUSUTSWTXEXDWRWBWFUSVASVBVCWQXBDWGWLVEVDQWNWMTVSWDWKWMUDOWQWMWHWGWLVF
      VOSVSWDWNWKWEWNWKTVSWDWKWMROWBVPWFVPWAUFPQWHWEVGSVHVSWDWMBWBUBWPABCVIWMBW
      BVJVKWNWIBVLVMWHBVPVJVN $.
  $}

  ${
    $d ph y $.
    $( A theorem pertaining to the substitution for an existentially quantified
       variable when the substituted variable does not occur in the quantified
       wff.  (Contributed by Alan Sare, 22-Jul-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    cbvexsv $p |- ( E. x ph <-> E. y [ y / x ] ph ) $=
      ( cvv wrex wsb wex cbvrexsv rexv 3bitr3i ) ABDEABCFZCDEABGKCGABCDHABIKCIJ
      $.
  $}

  ${
    $d a x y $.
    $( Lemma for ~ onfrALT .  (Contributed by Alan Sare, 22-Jul-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    onfrALTlem1 $p |- ( ( a C_ On /\ a =/= (/) ) -> ( ( x e. a /\ ( a i^i x ) =
                      (/) ) -> E. y e. a ( a i^i y ) = (/) ) ) $=
      ( cv con0 wss c0 wne wa wel cin wceq wex wrex wsb wi 19.8a cbvexsv syl6ib
      a1i wsbc sbsbc onfrALTlem4 bitri exbii df-rex syl6ibr ) CDZEFUHGHIZACJUHA
      DKGLIZBCJUHBDZKGLZIZBMZULBUHNUIUJUJABOZBMZUNUIUJUJAMZUPUJUQPUIUJAQTUJABRS
      UOUMBUOUJAUKUAUMUJABUBABCUCUDUESULBUHUFUG $.
  $}

  ${
    $d a x y $.
    $( The membership relation is foundational on the class of ordinal numbers.
       ~ onfrALT is an alternate proof of ~ onfr . ~ onfrALTVD is the Virtual
       Deduction proof from which ~ onfrALT is derived.  The Virtual Deduction
       proof mirrors the working proof of ~ onfr which is the main part of the
       proof of Theorem 7.12 of the first edition of TakeutiZaring.  The proof
       of the corresponding Proposition 7.12 of [TakeutiZaring] p. 38 (second
       edition) does not contain the working proof equivalent of ~ onfrALTVD .
       This theorem does not rely on the Axiom of Regularity.  (Contributed by
       Alan Sare, 22-Jul-2012.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    onfrALT $p |- _E Fr On $=
      ( va vy vx con0 cep wfr cv wss c0 wne wa cin wceq wi dfepfr simpr wel wex
      wrex expd n0 wn onfrALTlem1 onfrALTlem2 pm2.61 exlimdv syl5bi mpd mpgbir
      syl6c ) DEFAGZDHZUKIJZKZUKBGLIMBUKSZNAABDOUNUMUOULUMPUMCAQZCRUNUOCUKUAUNU
      PUOCUNUPUKCGLIMZUONUQUBZUONUOUNUPUQUOCBAUCTUNUPURUOCBAUDTUQUOUEUJUFUGUHUI
      $.
  $}

  $( Closed form of right-to-left implication of ~ 19.41 , Theorem 19.41 of
     [Margaris] p. 90.  Derived from ~ 19.41rgVD .  (Contributed by Alan Sare,
     8-Feb-2014.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  19.41rg $p |- ( A. x ( ps -> A. x ps ) -> ( ( E. x ph /\ ps ) ->
                  E. x ( ph /\ ps ) ) ) $=
    ( wal wi wex wa sp pm3.21 a1i al2imi exim syl6 syld com23 impd ) BBCDZEZCDZ
    ACFZBABGZCFZSBTUBSBQTUBEZRCHSQAUAEZCDUCRBUDCBUDERBAIJKAUACLMNOP $.

  ${
    $d u x $.  $d u y $.  $d v x $.  $d v y $.
    $( Ordered pair membership in a class abstraction of ordered pairs.
       Compare to ~ elopab .  (Contributed by Alan Sare, 8-Feb-2014.)  (Revised
       by Mario Carneiro, 6-May-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    opelopab4 $p |- ( <. u , v >. e. { <. x , y >. | ph } <->
                     E. x E. y ( ( x = u /\ y = v ) /\ ph ) ) $=
      ( cv cop copab wcel wceq wex elopab vex eqcom bitr3i anbi1i 2exbii bitr4i
      wa opth ) EFZDFZGZABCHIUCBFZCFZGZJZASZCKBKUDUAJUEUBJSZASZCKBKABCUCLUJUHBC
      UIUGAUIUFUCJUGUDUEUAUBBMCMTUFUCNOPQR $.
  $}

  $( ~ pm13.193 for two variables. ~ pm13.193 is Theorem *13.193 in
     [WhiteheadRussell] p. 179.  Derived from ~ 2pm13.193VD .  (Contributed by
     Alan Sare, 8-Feb-2014.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  2pm13.193 $p |- ( ( ( x = u /\ y = v ) /\ [ u / x ] [ v / y ] ph ) <->
                    ( ( x = u /\ y = v ) /\ ph ) ) $=
    ( weq wa wsb simpll simplr simpr sbequ2 sylc jca31 sbequ1 impbii ) BEFZCDFZ
    GZACDHZBEHZGZSAGZUBQRAQRUAIZQRUAJZUBRTAUEUBQUATUDSUAKTBELMACDLMNUCQRUAQRAIZ
    QRAJZUCQTUAUFUCRATUGSAKACDOMTBEOMNP $.

  $( A closed form of ~ hbn . ~ hbnt is another closed form of ~ hbn .
     (Contributed by Alan Sare, 8-Feb-2014.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  hbntal $p |- ( A. x ( ph -> A. x ph ) -> A. x ( -. ph -> A. x -. ph ) ) $=
    ( wal wi wn hba1 axc7 con1i con3 al2imi syl5 alimi syl ) AABCZDZBCZPBCAEZQB
    CZDZBCOBFPSBQNEZBCZPRUAAABGHOTQBANIJKLM $.

  $( A closed form of ~ hbim .  Derived from ~ hbimpgVD .  (Contributed by Alan
     Sare, 8-Feb-2014.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  hbimpg $p |- ( ( A. x ( ph -> A. x ph ) /\ A. x ( ps -> A. x ps ) ) ->
                  A. x ( ( ph -> ps ) -> A. x ( ph -> ps ) ) ) $=
    ( wal wi wa hba1 hban wn hbntal adantr 19.21bi pm2.21 alimi syl6 simpr ax-1
    jad alrimih ) AACDEZCDZBBCDZEZCDZFZABEZUFCDZECUAUDCTCGUCCGHUEABUGUEAIZUHCDZ
    UGUEUHUIEZCUAUJCDUDACJKLUHUFCABMNOUEBUBUGUEUCCUAUDPLBUFCBAQNORS $.

  $( Closed form of ~ hbal .  Derived from ~ hbalgVD .  (Contributed by Alan
     Sare, 8-Feb-2014.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  hbalg $p |- ( A. y ( ph -> A. x ph ) ->
                  A. y ( A. y ph -> A. x A. y ph ) ) $=
    ( wal wi alim ax-11 syl6 axc4i ) AABDZEZACDZLBDZECKCDLJCDMAJCFACBGHI $.

  $( Closed form of ~ nfex .  Derived from ~ hbexgVD .  (Contributed by Alan
     Sare, 8-Feb-2014.)  (Revised by Mario Carneiro, 12-Dec-2016.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  hbexg $p |- ( A. x A. y ( ph -> A. x ph ) ->
                  A. x A. y ( E. y ph -> A. x E. y ph ) ) $=
    ( wal wi wex nfa2 wnf sp alimi nf5 sylibr nfexd sylib alrimi alcom ) AABDEZ
    CDZBDZACFZTBDEZBDZCDUACDBDSUBCQCBGZSTBHUBSABCUCSQBDABHRQBQCIJABKLMTBKNOUACB
    PN $.

  ${
    $d u x $.  $d u y $.  $d v x $.  $d v y $.
    $( Alternate form of ~ ax6e for non-distinct ` x ` , ` y ` and ` u = v ` .
       ~ ax6e2eq is derived from ~ ax6e2eqVD .  (Contributed by Alan Sare,
       25-Mar-2014.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ax6e2eq $p |- ( A. x x = y -> ( u = v ->
                  E. x E. y ( x = u /\ y = v ) ) ) $=
      ( weq wal wa wex ax6ev hbae ax7 sps ancld eximdh mpi axc4i axc11 mpd syl
      wi 19.2 excomim equtrr anim2d 2eximdv syl5com ) ABEZAFZADEZBDEZGZBHAHZDCE
      ZUIBCEZGZBHAHUHUKAHZBHZULUHUPBFZUQUHUPAFURUGUPAUHUIAHUPADIUHUIUKAABAJUHUI
      UJUGUIUJTAABDKLMNOPUPABQRUPBUASUKBAUBSUMUKUOABUMUJUNUIDCBUCUDUEUF $.
  $}

  ${
    $d u x $.  $d u y $.  $d v x z $.  $d y z $.
    $( If at least two sets exist ( ~ dtru ) , then the same is true expressed
       in an alternate form similar to the form of ~ ax6e . ~ ax6e2nd is
       derived from ~ ax6e2ndVD .  (Contributed by Alan Sare, 25-Mar-2014.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ax6e2nd $p |- ( -. A. x x = y ->
                       E. x E. y ( x = u /\ y = v ) ) $=
      ( vz weq wal wn wa wex wi cv cvv wcel vex id ax-5 syl idiALT alimi pm3.2i
      ax6e 19.42v biimpri ax-mp isset anbi1i exbii mpbi hbn1 wb equequ1 dvelimh
      hbnae 19.41rg exim pm2.27 mpsyl excomim ) ABFZAGHZADFZBCFZIZBJAJZKVAVDAJZ
      BJZVEVBAJZVCIZBJZVAVJVGKZVGDLZMNZVCIZBJZVJVMVCBJZIZVOVMVPDOBCUBUAVOVQVMVC
      BUCUDUEVNVIBVMVHVCAVLUFUGUHUIVAVIVFKZBGZVKVAVAVSVAPZVAVABGVSABBUNVAVRBVAV
      RKVAVCVCAGKZAGZVRVAVAWBVTVAVAAGWBUTAUJVAWAAVAWAKVAVAWAVTECFZVCABEWCAQVCEQ
      EBFZWCVCUKZKWDWDWEWDPEBCULRSUMRSTRRVBVCAUORSTRRVIVFBUPRVJVGUQURVDBAUSRS
      $.
  $}

  ${
    $d u x $.  $d u y $.  $d v x $.  $d v y $.
    $( "At least two sets exist" expressed in the form of ~ dtru is logically
       equivalent to the same expressed in a form similar to ~ ax6e if ~ dtru
       is false implies ` u = v ` . ~ ax6e2ndeq is derived from ~ ax6e2ndeqVD .
       (Contributed by Alan Sare, 25-Mar-2014.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ax6e2ndeq $p |- ( ( -. A. x x = y \/ u = v ) <->
                        E. x E. y ( x = u /\ y = v ) ) $=
      ( cv wceq wal wn wo wa wex a1d wne biimprcd syl6 eximdv nfnae 19.9 syl6ib
      wi ax6e2nd ax6e2eq pm2.61i jaoi olc excom neeq1 adantrd simpr neeq2 syl6c
      a1i sp necon3ai syl5bi orc pm2.61ine impbii ) AEZBEZFZAGZHZDEZCEZFZIZUSVD
      FZUTVEFZJZBKAKZVCVKVFABCDUAZVBVFVKTABCDUBVCVKVFVLLUCUDVKVGTVDVEVFVGVKVFVC
      UELVDVEMZVKVCVGVMVKVCBKZVCVKVJAKZBKVMVNVJABUFVMVOVCBVMVOVCAKVCVMVJVCAVMVJ
      USUTMZVCVMVJUSVEMZVIVPVMVHVQVIVHVQVMUSVDVEUGNUHVJVITVMVHVIUIULVIVPVQUTVEU
      SUJNUKVBUSUTVAAUMUNOPVCAABAQRSPUOVCBABBQRSVCVFUPOUQUR $.
  $}

  ${
    $d u x $.  $d u y $.  $d v x $.  $d v y $.
    $( Equivalence for double substitution ~ 2sb5 without distinct ` x ` ,
       ` y ` requirement. ~ 2sb5nd is derived from ~ 2sb5ndVD .  (Contributed
       by Alan Sare, 30-Apr-2014.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    2sb5nd $p |- ( ( -. A. x x = y \/ u = v ) -> ( [ u / x ] [ v / y ] ph
                 <-> E. x E. y ( ( x = u /\ y = v ) /\ ph ) ) ) $=
      ( cv wceq wal wn wo wa wex wsb wb ax6e2ndeq wi exbii nfs1v 19.41 bitr3i
      anabs5 2pm13.193 nfsb bitr2i anbi2i pm5.32 mpbir sylbi ) BFZCFZGBHIEFZDFZ
      GJUIUKGUJULGKZCLZBLZACDMZBEMZUMAKZCLZBLZNZBCDEOUOVAPUOUQKZUOUTKZNVBUOVBKV
      CUOUQUAVBUTUOUTUNUQKZBLVBUSVDBUSUMUQKZCLVDVEURCABCDEUBQUMUQCUPBECACDRUCST
      QUNUQBUPBERSUDUETUOUQUTUFUGUH $.
  $}

  ${
    $d u x $.  $d u y $.  $d v x $.  $d v y $.
    2uasbanh.1 $e |- ( ch <-> ( E. x E. y ( ( x = u /\ y = v ) /\ ph ) /\
                     E. x E. y ( ( x = u /\ y = v ) /\ ps ) ) ) $.
    $( Distribute the unabbreviated form of proper substitution in and out of a
       conjunction. ~ 2uasbanh is derived from ~ 2uasbanhVD .  (Contributed by
       Alan Sare, 31-May-2014.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    2uasbanh $p |- ( E. x E. y ( ( x = u /\ y = v ) /\ ( ph /\ ps ) ) <->
                ( E. x E. y ( ( x = u /\ y = v ) /\ ph ) /\
                E. x E. y ( ( x = u /\ y = v ) /\ ps ) ) ) $=
      ( weq wa wex simpl jca 2eximi wsb wb syl 2sb5nd mpbird sban simprl simprr
      simplbi wal wn ax6e2ndeq sylibr simprbi sbbii bitri sylanbrc mpbid sylbir
      wo impbii ) DGIEFIJZABJZJZEKDKZUPAJZEKDKZUPBJZEKDKZJZUSVAVCURUTDEURUPAUPU
      QLZUPABUAMNURVBDEURUPBVEUPABUBMNMVDCUSHCUQEFOZDGOZUSCAEFOZDGOZBEFOZDGOZVG
      CVIVACVAVCHUCZCDEIDUDUEGFIUNZVIVAPCUPEKDKZVMCVAVNVLUTUPDEUPALNQDEFGUFUGZA
      DEFGRQSCVKVCCVAVCHUHCVMVKVCPVOBDEFGRQSVGVHVJJZDGOVIVKJVFVPDGABEFTUIVHVJDG
      TUJUKCVMVGUSPVOUQDEFGRQULUMUO $.
  $}

  ${
    $d u x $.  $d u y $.  $d v x $.  $d v y $.
    $( Distribute the unabbreviated form of proper substitution in and out of a
       conjunction.  (Contributed by Alan Sare, 31-May-2014.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    2uasban $p |- ( E. x E. y ( ( x = u /\ y = v ) /\ ( ph /\ ps ) ) <->
               ( E. x E. y ( ( x = u /\ y = v ) /\ ph ) /\
               E. x E. y ( ( x = u /\ y = v ) /\ ps ) ) ) $=
      ( cv wceq wa wex biid 2uasbanh ) ABCGFGHDGEGHIZAIDJCJMBIDJCJIZCDEFNKL $.
  $}

  $( Absorption of an existential quantifier of a double existential quantifier
     of non-distinct variables. ~ e2ebind is derived from ~ e2ebindVD .
     (Contributed by Alan Sare, 27-Nov-2014.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  e2ebind $p |- ( A. x x = y -> ( E. x E. y ph <-> E. y ph ) ) $=
    ( wex wb wceq wal biidd drex1 drex2 excom bitrdi nfe1 19.9 bitr3di aecoms
    cv ) ACDZBDZRECBCQBQFCGZRCDZSRTUAABDZCDSRUBCBCAACBTAHIJACBKLRCACMNOP $.

  ${
    elpwgded.1 $e |- ( ph -> A e. _V ) $.
    elpwgded.2 $e |- ( ps -> A C_ B ) $.
    $( ~ elpwgdedVD in conventional notation.  (Contributed by Alan Sare,
       23-Apr-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    elpwgded $p |- ( ( ph /\ ps ) -> A e. ~P B ) $=
      ( cvv wcel wss cpw elpwg biimpar syl2an ) ACGHZCDIZCDJHZBEFNPOCDGKLM $.
  $}

  ${
    trelded.1 $e |- ( ph -> Tr A ) $.
    trelded.2 $e |- ( ps -> B e. C ) $.
    trelded.3 $e |- ( ch -> C e. A ) $.
    $( Deduction form of ~ trel .  In a transitive class, the membership
       relation is transitive.  (Contributed by Alan Sare, 3-Dec-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    trelded $p |- ( ( ph /\ ps /\ ch ) -> B e. A ) $=
      ( wtr wcel trel 3impib syl3an ) ADJZBEFKZCFDKZEDKZGHIOPQRDEFLMN $.
  $}

  ${
    jaoded.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jaoded.2 $e |- ( th -> ( ta -> ch ) ) $.
    jaoded.3 $e |- ( et -> ( ps \/ ta ) ) $.
    $( Deduction form of ~ jao .  Disjunction of antecedents.  (Contributed by
       Alan Sare, 3-Dec-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    jaoded $p |- ( ( ph /\ th /\ et ) -> ch ) $=
      ( wi wo jao 3imp syl3an ) ABCJZDECJZFBEKZCGHIOPQCBCELMN $.
  $}

  ${
    sbtT.1 $e |- ( T. -> ph ) $.
    $( A substitution into a theorem remains true. ~ sbt with the existence of
       no virtual hypotheses for the hypothesis expressed as the empty virtual
       hypothesis collection.  (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    sbtT $p |- [ y / x ] ph $=
      ( mptru sbt ) ABCADEF $.
  $}

  $( If a double conjunction is false and the second conjunct is true, then the
     first conjunct is false.
     ~ https://us.metamath.org/other/completeusersproof/not12an2impnot1vd.html
     is the Virtual Deduction proof verified by automatically transforming it
     into the Metamath proof of ~ not12an2impnot1 using completeusersproof,
     which is verified by the Metamath program.
     ~ https://us.metamath.org/other/completeusersproof/not12an2impnot1ro.html
     is a form of the completed proof which preserves the Virtual Deduction
     proof's step numbers and their ordering.  (Contributed by Alan Sare,
     13-Jun-2018.) $)
  not12an2impnot1 $p |- ( ( -. ( ph /\ ps ) /\ ps ) -> -. ph ) $=
    ( wa wn pm3.21 con3rr3 imp ) ABCZDBADBAHBAEFG $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  What is Virtual Deduction?
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c (. $. $( Left parenthesis for virtual deduction for virtual hypotheses.
      [21-Apr-2011] $)

  $c ). $. $( Right parenthesis for virtual deduction.
      [9-Nov-2011] $)

  $c ->. $. $( Symbol for virtual inference.
      [9-Nov-2011] $)

  $c ->.. $. $( Bold arrow of Kleene's classical system G1.
      [19-May-2013] $)

  $c ,. $. $( Comma between two adjacent virtual hypotheses.
      [28-Jul-2016] $)

  $( A Virtual Deduction proof in a Hilbert-style deductive system is the
     analogue of a sequent calculus proof.  A theorem is proven in a Gentzen
     system in order to prove it more directly, which may be more intuitive
     and easier for some people.  The analogue of this proof in Metamath's
     Hilbert-style system is verified by the Metamath program.

     <HTML> <TABLE> </TABLE> </HTML>

     Natural Deduction is a well-known proof method originally proposed by
     Gentzen in 1935 and comprehensively summarized by Prawitz in his 1965
     monograph "Natural deduction: a proof-theoretical study".  Gentzen
     wished to construct "a formalism that comes as close as possible to
     natural reasoning".  Natural deduction is a response to dissatisfaction
     with axiomatic proofs such as Hilbert-style axiomatic proofs, which the
     proofs of Metamath are.  In 1926, in Poland, Lukasiewicz advocated a
     more natural treatment of logic.  Jaskowski made the earliest attempts
     at defining a more natural deduction.  Natural deduction in its modern
     form was independently proposed by Gentzen.

     Sequent calculus, the chief alternative to Natural Deduction, was
     created by Gentzen.  The following is an excerpt from Stephen Cole
     Kleene's seminal 1952 book "Introduction to Metamathematics", which
     contains the first formulation of sequent calculus in the modern style.
     Kleene states on page 440:

     . . . the proof of his (Gentzen's) Hauptsatz or normal form theorem
     breaks down into a list of
     cases, each of which is simple to handle. . . .  Gentzen's normal form
     for proofs in the predicate calculus requires a different classification
     of the deductive steps than is given by the postulates of the formal
     system of predicate calculus of Chapter IV (Section 19).  The
     implication symbol ` -> ` (the Metamath symbol for implication has been
     substituted here for the symbol used by Kleene) has to be separated in
     its role of mediating inferences from its role as a component symbol of
     the formula being proved.  In the former role it will be replaced by a
     new formal symbol ` ->.. ` (read "gives" or "entails"), to which
     properties will be assigned similar to those of the informal symbol
     ` |- ` in our former derived rules.

     Gentzen's classification of the deductive operations is made explicit
     by setting up a new formal system of the predicate calculus.  The formal
     system of propositional and predicate calculus studied previously
     (Chapters IV ff.) we call now a "Hilbert-type system", and denote by
     H.  Precisely, H denotes any one or a particular one of several
     systems, according to whether we are considering propositional calculus
     or predicate calculus, in the classical or the intuitionistic version
     (Section 23), and according to the sense in which we are using "term"
     and "formula" (Sections 117, 25, 31, 37, 72-76).  The same respective
     choices will apply to the "Gentzen-type system G1" which we introduce
     now and the G2, G3 and G3a later.

     The transformation or deductive rules of G1 will apply to objects which
     are not formulas of the system H, but are built from them by an
     additional formation rule, so we use a new term "sequent" for these
     objects.  (Gentzen says "Sequenz", which we translate as "sequent",
     because we have already used "sequence" for any succession of objects,
     where the German is "Folge".)  A sequent is a formal expression of the
     form ` ph , ... , ps ->.. ch , ... , th ` where ` ph , ... , ps ` and
     ` ch , ... , th ` are seqences of a finite
     number of 0 or more formulas (substituting Metamath notation for
     Kleene's notation).  The part ` ph , ... , ps ` is the antecedent,
     and ` ch , ... , th ` the succedent of the sequent
     ` ph , ... , ps ->.. ch , ... , th ` .

     When the antecedent and the succedent each have a finite number of 1 or
     more formulas, the sequent ` ph , ... , ps ->.. ch , ... , th ` has the
     same interpretation for G1 as the formula
     ` ( ( ph /\ ... /\ ps ) -> ( ch \/ ... \/ th ) ) ` for H.
     The interpretation extends to the case of an antecedent of 0 formulas by
     regarding ` ( ph /\ ... /\ ps ) ` for 0 formulas (the
     "empty conjunction") as true and ` ( ch \/ ... \/ th ) ` for 0
     formulas (the "empty disjunction") as false.

     . . . As in Chapter V, we use Greek capitals . . . to stand for finite
     sequences of zero or more formulas, but now also as antecedent
     (succedent), or parts of antecedent (succedent), with separating formal
     commas included. . . .  (End of Kleene excerpt)

     In chapter V entitled "Formal Deduction" Kleene states, on page 86:

     Section 20.  Formal deduction.  Formal proofs of even quite elementary
     theorems tend to be long.  As a price for having analyzed logical
     deduction into simple steps, more of those steps have to be used.

     The purpose of formalizing a theory is to get an explicit definition of
     what constitutes proof in the theory.  Having achieved this, there is no
     need always to appeal directly to the definition.  The labor required to
     establish the formal provability of formulas can be greatly lessened by
     using metamathematical theorems concerning the existence of formal
     proofs.  If the demonstrations of those theorems do have the finitary
     character which metamathematics is supposed to have, the demonstrations
     will indicate, at least implicitly, methods for obtaining the formal
     proofs.  The use of the metamathematical theorems then amounts to
     abbreviation, often of very great extent, in the presentation of formal
     proofs.

     The simpler of such metamathematical theorems we shall call derived
     rules, since they express principles which can be said to be derived
     from the postulated rules by showing that the use of them as additional
     methods of inference does not increase the class of provable formulas.
     We shall seek by means of derived rules to bring the methods for
     establishing the facts of formal provability as close as possible to the
     informal methods of the theory which is being formalized.

     In setting up the formal system, proof was given the simplest possible
     structure, consisting of a single sequence of formulas.  Some of our
     derived rules, called "direct rules", will serve to abbreviate for us
     whole segments of such a sequence; we can then, so to speak, use these
     segments as prefabricated units in building proofs.

     But also, in mathematical practice, proofs are common which have a more
     complicated structure, employing "subsidiary deduction", i.e., deduction
     under assumptions for the sake of the argument, which assumptions are
     subsequently discharged.  For example, subsidiary deduction is used in a
     proof by reductio ad absurdum, and less obtrusively when we place the
     hypothesis of a theorem on a par with proved propositions to deduce the
     conclusion.  Other derived rules, called "subsidiary deduction rules",
     will give us this kind of procedure.

     We now introduce, by a metamathematical definition, the notion of
     "formal deducibility under assumptions".  Given a list
     ` ph , ... , ps ` of 0 or more (occurrences of) formulas, a finite
     sequence of one or more (occurrences of) formulas is called a (formal)
     deduction from
     the assumption formulas ` ph , ... , ps ` , if each formula of the
     sequence is either one of the formulas ` ph , ... , ps ` , or an
     axiom, or an immediate consequence of preceding formulas of a sequence.
     A deduction is said to be deducible from the assumption formulas (in
     symbols, ` ph , ... , ps |- ch ` ), and is called the conclusion
     (or endformula) of the deduction.  (The symbol ` |- ` may be read
     "yields".)  (End of Kleene excerpt)

     Gentzen's normal form is a certain direct fashion for proofs and
     deductions.  His sequent calculus, formulated in the modern style by
     Kleene, is the classical system G1.  In this system, the new formal
     symbol ` ->.. ` has properties similar to the informal symbol ` |- ` of
     Kleene's above language of formal deducibility under assumptions.

     Kleene states on page 440:

     . . .  This leads us to inquire whether there may not be a theorem about
     the predicate calculus asserting that, if a formula is provable (or
     deducible from other formulas), it is provable (or deducible) in a
     certain direct fashion; in other words, a theorem giving a normal form
     for proofs and deductions, the proofs and deduction in normal form being
     in some sense direct.  (End of Kleene excerpt)

     There is such a theorem, which was proven by Kleene.

     Formal proofs in H of even quite elementary theorems tend to be long.  As
     a price for having analyzed logical deduction into simple steps, more of
     those steps have to be used. The proofs of Metamath are fully detailed
     formal proofs.  We wish to have a means of writing rigorously verifiable
     mathematical proofs in a more direct fashion.  Natural Deduction is a
     system for proving theorems and deductions in a more direct fashion.
     However, Natural Deduction is not compatible for use with Metamath,
     which uses a Hilbert-type system.  Instead, Kleene's classical system G1
     may be used for proving Metamath deductions and theorems in a more
     direct fashion.

     The system of Metamath is an H system, not a Gentzen system.  Therefore,
     proofs in Kleene's classical system G1 ("G1") cannot be included in
     Metamath's system H, which we shall henceforth call "system H" or "H".
     However, we may translate proofs in G1 into proofs in H.

     By Kleene's THEOREM 47 (page 446)

     <HTML> <TABLE>
     <TR> <TD> if ` |- ->.. ph ` in G1 then ` |- ph ` in H
     </TABLE> </HTML>

     By Kleene's COROLLARY of THEOREM 47 (page 448)

     <HTML> <TABLE>
     <TR> <TD> if ` |- ph ->.. ps ` in G1 then ` |- (. ph ->. ps ). ` in H
     <TR> <TD> if ` |- ph ,. ps ->.. ch ` in G1 then
     ` |- (. (. ph ,. ps ). ->. ch ). ` in H
     <TR> <TD> if ` |- ph ,. ps ,. ch ->.. th ` in G1 then
     ` |- (. (. ph ,. ps ,. ch ). ->. th ). ` in H
     </TABLE> </HTML>

     ` ->. ` denotes the same connective denoted by ` -> ` . " , " , in the
     context of Virtual Deduction, denotes the same connective denoted by
     ` /\ ` .  This Virtual Deduction notation is specified by the following
     set.mm definitions:

     <HTML> <TABLE>
     <TR> <TD> ~ df-vd1 <TD> ` |- ( (. ph ->. ps ). <-> ( ph -> ps ) ) `
     <TR> <TD> ~ dfvd2an <TD> ` |- ( (. (. ph ,. ps ). ->. ch ). <-> `
     ` ( ( ph /\ ps ) -> ch ) ) `
     <TR> <TD> ~ dfvd3an <TD> ` |- ( (. (. ph ,. ps ,. ch ). ->. th ). <-> `
     ` ( ( ph /\ ps /\ ch ) -> th ) ) `
     </TABLE> </HTML>

     ` ->. ` replaces ` ->.. ` in the analogue in H of a sequent in G1 having
     a nonempty antecedent.  If ` ->. ` occurs as the outermost connective
     denoted by ` ->. ` or ` -> ` and occurs exactly once, we call the analogue
     in H of a sequent in G1 a "virtual deduction" because the corresponding
     ` ->.. ` of the sequent is assigned properties similar to ` |- ` .

     While sequent calculus proofs (proofs in G1) may have as steps
     sequents with 0, 1, or more formulas in the succedent, we shall only
     prove in G1 using sequents with exactly 1 formula in the succedent.

     The User proves in G1 in order to obtain the benefits of more direct
     proving using sequent calculus, then translates the proof in G1 into a
     proof in H.  The reference theorems and deductions to be used for proving
     in G1 are translations of theorems and deductions in set.mm.

     Each theorem ` |- ph ` in set.mm corresponds to the theorem
     ` |- ->.. ph ` in G1.  Deductions in G1 corresponding to deductions in H
     are similarly determined.  Theorems in H with one or more occurrences of
     either ` ->. ` or ` -> ` may also be translated into theorems in G1 for
     by replacing the outermost occurrence of ` ->. ` or ` -> ` of the theorem
     in H with ` ->.. ` .  Deductions in H may be translated into deductions
     in G1 in a similar manner.  The only theorems and deductions in H useful
     for proving in G1 for the purpose of obtaining proofs in H are those in
     which, for each hypothesis or assertion, there are 0 or 1 occurrences of
     ` ->. ` and it is the outermost occurrence of ` ->. ` or ` -> ` .
     Kleene's THEOREM 46 and its COROLLARY 2 are used for translating from H to
     G1.  By Kleene's THEOREM 46 (page 445)

     <HTML> <TABLE>
     <TR> <TD> if ` |- ph ` in H then ` |- ->.. ph ` in G1
     </TABLE> </HTML>

     By Kleene's COROLLARY 2 of THEOREM 46 (page 446)

     <HTML> <TABLE>
     <TR> <TD> if ` |- (. ph ->. ps ). ` in H  then ` |- ph ->.. ps ` in G1
     <TR> <TD> if ` |- (. (. ph ,. ps ). ->. ch ). ` in H then
     ` |- ph ,. ps ->.. ch ` in G1
     <TR> <TD> if ` |- (. (. ph ,. ps ,. ch ). ->. th ). ` in H then
     ` |- ph ,. ps ,. ch ->.. th ` in G1
     </TABLE> </HTML>

     To prove in H, the User simply proves in G1 and translates each G1-proof
     step into a H-proof step.  The translation is trivial and immediate.
     The proof in H is in Virtual Deduction notation.  It is a working proof
     in the sense that, if it has no errors, each theorem and deduction of
     the proof is true, but may or may not, after being translated into
     conventional notation, unify with any theorem or deduction scheme in
     set.mm.  Each theorem or deduction scheme in set.mm has a particular
     form.  The working proof written by the User (the "User's Proof" or
     "Virtual Deduction Proof") may contain theorems and deductions which
     would unify with a variant of a theorem or deduction scheme in set.mm,
     but not with any particular form of that theorem or deduction scheme
     in set.mm.

     The computer program completeusersproof.c may be applied to a Virtual
     Deduction proof to automatically add steps to the proof ("technical
     steps") which, if possible, transforms the form of a theorem or
     deduction of the Virtual Deduction proof not unifiable with a theorem or
     deduction scheme in set.mm into a variant form which is.  For theorems
     and deductions of the Virtual Deduction proof which are completable in
     this way, completeusersproof saves the User the extra work involved in
     satisfying the constraint that the theorem or deduction is in a form
     which unifies with a theorem or deduction scheme in set.mm.  mmj2, which
     is invoked by completeusersproof, automatically finds one of the
     reference theorems or deductions in set.mm which unifies with each
     theorem and deduction in the proof satisfying this constraint and labels
     the theorem or the assertion step of the deduction.

     The analogs in H of the postulates of G1 are the set.mm postulates.
     The postulates in G1 corresponding to the Metamath postulates are not
     the classical system G1 postulates of Kleene (pages 442 and 443).  set.mm
     has the predicate calculus postulates and other posulates.  The
     Kleene classical system G1 postulates correspond to predicate
     calculus postulates which differ from the Metamath system G1 postulates
     corresponding to the predicate calculus postulates of Metamath's system
     H.  Metamath's predicate calculus G1 postulates are presumably
     deducible from the Kleene classical G1 postulates and the Kleene
     classical G1 postulates are deducible from Metamath's G1 postulates.  It
     should be recognized that, because of the different postulates, the
     classical G1 system corresponding to Metamath's system H is not
     identical to Kleene's classical system G1.

     Why not create a separate database (setg.mm) of proofs in G1, avoiding
     the need to translate from H to G1 and from G1 back to H? The
     translations are trivial.  Sequents make the language more complex than
     is necessary.  More direct proving using sequent calculus may be done as
     a means towards the end of constructing proofs in H.  Then, the language
     may be kept as simple as possible.  A system G1 database would be
     redundant because it would duplicate the information contained in the
     corresponding system H database.

     For earlier proofs, each "User's Proof" in the web page description of
     a Virtual Deduction proof in set.mm is the analogue in H of the User's
     working proof in G1.  The User's Proof is automatically completed by
     completeusersproof.cmd (superseded by completeusersproof.c in September
     of 2016).  The completed proof is the Virtual Deduction proof, which is
     the analogue in H of the corresponding fully detailed proof in G1.  The
     completed Virtual Deduction proof of these earlier proofs may be
     automatically translated into a conventional Metamath proof.

     The input for completeusersproof.c is a Virtual Deduction proof.  Unlike
     completeusersproof.cmd, the completed proof is in conventional notation.
     completeusersproof.c eliminates the virtual deduction notation of the
     Virtual Deduction proof after utilizing the information it provides.

     Applying mmj2's unify command is essential to completeusersproof.  The
     mmj2 program is invoked within the completeusersproof.c function
     mmj2Unify().  The original mmj2 program was written by Mel L. O'Cat.
     Mario Carneiro has enhanced it.  mmj2Unify() is called multiple times
     during the execution of completeusersproof.

     A Virtual Deduction proof is a Metamath-specific version of a Natural
     Deduction Proof.  In order for mmj2 to complete a Virtual Deduction
     proof it is necessary that each theorem or deduction of the proof
     is in a form which unifies with a theorem or deduction scheme in set.mm.
     completeusersproof weakens this constraint.

     The User may write a Virtual Deduction proof and automatically transform
     it into a complete Metamath proof using the completeusersproof tool.
     The completed proof has been checked by the Metamath program.  The task
     of writing a complete Metamath proof is reduced to writing what is
     essentially a Natural Deduction Proof.

     The completeusersproof program and all associated files necessary to
     use it may be downloaded from the Metamath web site.  All syntax
     definitions, theorems, and deductions necessary to create Virtual
     Deduction proofs are contained in set.mm.  Examples of Virtual Deduction
     proofs in mmj2 Proof Worksheet .txt format are included in the
     completeusersproof download.

     ~ https://us.metamath.org/other/completeusersproof/suctrvd.html ,
     ~ https://us.metamath.org/other/completeusersproof/sineq0altvd.html ,
     ~ https://us.metamath.org/other/completeusersproof/iunconlem2vd.html ,
     ~ https://us.metamath.org/other/completeusersproof/isosctrlem1altvd.html ,
     and
     ~ https://us.metamath.org/other/completeusersproof/chordthmaltvd.html
     are examples of Virtual Deduction proofs.

     Generally, proving using Virtual Deduction and completeusersproof
     reduces the amount of Metamath-specific knowledge required by the User.
     Often, no knowledge of the specific theorems and deductions in set.mm
     is required to write some of the subproofs of a Virtual Deduction
     proof.  Often, no knowledge of the Metamath-specific names of reference
     theorems and deductions in set.mm is required for writing some of the
     subproofs of a User's Proof.  Often, the User may write subproofs of
     a proof using theorems or deductions commonly used in mathematics and
     correctly assume that some form of each is contained in set.mm and that
     completeusersproof will automatically generate the technical steps
     necessary to utilize them to complete the subproofs.  Often, the fraction
     of the work which may be considered tedious is reduced and the total
     amount of work is reduced. $)
  wvd1 $a wff (. ph ->. ps ). $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Virtual Deduction Theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Definition of virtual deduction.  (Contributed by Alan Sare, 21-Apr-2011.)
     (New usage is discouraged.) $)
  df-vd1 $a |- ( (. ph ->. ps ). <-> ( ph -> ps ) ) $.

  ${
    in1.1 $e |- (. ph ->. ps ). $.
    $( Inference form of ~ df-vd1 .  Virtual deduction introduction rule of
       converting the virtual hypothesis of a 1-virtual hypothesis virtual
       deduction into an antecedent.  (Contributed by Alan Sare, 14-Nov-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    in1 $p |- ( ph -> ps ) $=
      ( wvd1 wi df-vd1 mpbi ) ABDABECABFG $.
  $}

  ${
    iin1.1 $e |- ( ph -> ps ) $.
    $( ~ in1 without virtual deductions.  (Contributed by Alan Sare,
       23-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    iin1 $p |- ( ph -> ps ) $=
      (  ) C $.
  $}

  ${
    dfvd1ir.1 $e |- ( ph -> ps ) $.
    $( Inference form of ~ df-vd1 with the virtual deduction as the assertion.
       (Contributed by Alan Sare, 14-Nov-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    dfvd1ir $p |- (. ph ->. ps ). $=
      ( wvd1 wi df-vd1 mpbir ) ABDABECABFG $.
  $}

  $( Virtual deduction identity rule which is ~ id with virtual deduction
     symbols.  (Contributed by Alan Sare, 24-Jun-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  idn1 $p |- (. ph ->. ph ). $=
    ( id dfvd1ir ) AAABC $.

  $( Left-to-right part of definition of virtual deduction.  (Contributed by
     Alan Sare, 21-Apr-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  dfvd1imp $p |- ( (. ph ->. ps ). -> ( ph -> ps ) ) $=
    ( wvd1 wi df-vd1 biimpi ) ABCABDABEF $.

  $( Right-to-left part of definition of virtual deduction.  (Contributed by
     Alan Sare, 21-Apr-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  dfvd1impr $p |- ( ( ph -> ps ) -> (. ph ->. ps ). ) $=
    ( wvd1 wi df-vd1 biimpri ) ABCABDABEF $.

  $( Syntax for a 2-hypothesis virtual deduction.
     (New usage is discouraged.) $)
  wvd2 $a wff (. ph ,. ps ->. ch ). $.

  $( Definition of a 2-hypothesis virtual deduction.  (Contributed by Alan
     Sare, 14-Nov-2011.)  (New usage is discouraged.) $)
  df-vd2 $a |- ( (. ph ,. ps ->. ch ). <-> ( ( ph /\ ps ) -> ch ) ) $.

  $( Definition of a 2-hypothesis virtual deduction.  (Contributed by Alan
     Sare, 14-Nov-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  dfvd2 $p |- ( (. ph ,. ps ->. ch ). <-> ( ph -> ( ps -> ch ) ) ) $=
    ( wvd2 wa wi df-vd2 impexp bitri ) ABCDABECFABCFFABCGABCHI $.

  $( Syntax for a 2-element virtual hypotheses collection.  (Contributed by
     Alan Sare, 23-Apr-2015.)  (New usage is discouraged.) $)
  wvhc2 $a wff (. ph ,. ps ). $.

  $( Definition of a 2-element virtual hypotheses collection.  (Contributed by
     Alan Sare, 23-Apr-2015.)  (New usage is discouraged.) $)
  df-vhc2 $a |- ( (. ph ,. ps ). <-> ( ph /\ ps ) ) $.

  $( Definition of a 2-hypothesis virtual deduction in vd conjunction form.
     (Contributed by Alan Sare, 23-Apr-2015.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  dfvd2an $p |- ( (. (. ph ,. ps ). ->. ch ). <-> ( ( ph /\ ps ) -> ch ) ) $=
    ( wvhc2 wvd1 wi wa df-vd1 df-vhc2 imbi1i bitri ) ABDZCELCFABGZCFLCHLMCABIJK
    $.

  ${
    dfvd2ani.1 $e |- (. (. ph ,. ps ). ->. ch ). $.
    $( Inference form of ~ dfvd2an .  (Contributed by Alan Sare, 23-Apr-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    dfvd2ani $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wvhc2 wvd1 wa wi dfvd2an mpbi ) ABECFABGCHDABCIJ $.
  $}

  ${
    dfvd2anir.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Right-to-left inference form of ~ dfvd2an .  (Contributed by Alan Sare,
       23-Apr-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    dfvd2anir $p |- (. (. ph ,. ps ). ->. ch ). $=
      ( wvhc2 wvd1 wa wi dfvd2an mpbir ) ABECFABGCHDABCIJ $.
  $}

  ${
    dfvd2i.1 $e |- (. ph ,. ps ->. ch ). $.
    $( Inference form of ~ dfvd2 .  (Contributed by Alan Sare, 14-Nov-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    dfvd2i $p |- ( ph -> ( ps -> ch ) ) $=
      ( wvd2 wi dfvd2 mpbi ) ABCEABCFFDABCGH $.
  $}

  ${
    dfvd2ir.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Right-to-left inference form of ~ dfvd2 .  (Contributed by Alan Sare,
       14-Nov-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    dfvd2ir $p |- (. ph ,. ps ->. ch ). $=
      ( wvd2 wi dfvd2 mpbir ) ABCEABCFFDABCGH $.
  $}

  $( Syntax for a 3-hypothesis virtual deduction.
     (New usage is discouraged.) $)
  wvd3 $a wff (. ph ,. ps ,. ch ->. th ). $.

  $( Syntax for a 3-element virtual hypotheses collection.  (Contributed by
     Alan Sare, 13-Jun-2015.)  (New usage is discouraged.) $)
  wvhc3 $a wff (. ph ,. ps ,. ch ). $.

  $( Definition of a 3-element virtual hypotheses collection.  (Contributed by
     Alan Sare, 13-Jun-2015.)  (New usage is discouraged.) $)
  df-vhc3 $a |- ( (. ph ,. ps ,. ch ). <-> ( ph /\ ps /\ ch ) ) $.

  $( Definition of a 3-hypothesis virtual deduction.  (Contributed by Alan
     Sare, 14-Nov-2011.)  (New usage is discouraged.) $)
  df-vd3 $a |- ( (. ph ,. ps ,. ch ->. th ). <->
               ( ( ph /\ ps /\ ch ) -> th ) ) $.

  $( Definition of a 3-hypothesis virtual deduction.  (Contributed by Alan
     Sare, 14-Nov-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  dfvd3 $p |- ( (. ph ,. ps ,. ch ->. th ). <->
               ( ph -> ( ps -> ( ch -> th ) ) ) ) $=
    ( wvd3 w3a wi df-vd3 wa df-3an imbi1i impexp bitri ) ABCDEABCFZDGZABCDGZGGZ
    ABCDHOABIZPGZQORCIZDGSNTDABCJKRCDLMABPLMM $.

  ${
    dfvd3i.1 $e |- (. ph ,. ps ,. ch ->. th ). $.
    $( Inference form of ~ dfvd3 .  (Contributed by Alan Sare, 14-Nov-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    dfvd3i $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      ( wvd3 wi dfvd3 mpbi ) ABCDFABCDGGGEABCDHI $.
  $}

  ${
    dfvd3ir.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( Right-to-left inference form of ~ dfvd3 .  (Contributed by Alan Sare,
       14-Nov-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    dfvd3ir $p |- (. ph ,. ps ,. ch ->. th ). $=
      ( wvd3 wi dfvd3 mpbir ) ABCDFABCDGGGEABCDHI $.
  $}

  $( Definition of a 3-hypothesis virtual deduction in vd conjunction form.
     (Contributed by Alan Sare, 13-Jun-2015.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  dfvd3an $p |- ( (. (. ph ,. ps ,. ch ). ->. th ). <->
                ( ( ph /\ ps /\ ch ) -> th ) ) $=
    ( wvhc3 wvd1 wi w3a df-vd1 df-vhc3 imbi1i bitri ) ABCEZDFMDGABCHZDGMDIMNDAB
    CJKL $.

  ${
    dfvd3ani.1 $e |- (. (. ph ,. ps ,. ch ). ->. th ). $.
    $( Inference form of ~ dfvd3an .  (Contributed by Alan Sare, 13-Jun-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    dfvd3ani $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wvhc3 wvd1 w3a wi dfvd3an mpbi ) ABCFDGABCHDIEABCDJK $.
  $}

  ${
    dfvd3anir.1 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( Right-to-left inference form of ~ dfvd3an .  (Contributed by Alan Sare,
       13-Jun-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    dfvd3anir $p |- (. (. ph ,. ps ,. ch ). ->. th ). $=
      ( wvhc3 wvd1 w3a wi dfvd3an mpbir ) ABCFDGABCHDIEABCDJK $.
  $}

  ${
    vd01.1 $e |- ph $.
    $( A virtual hypothesis virtually infers a theorem.  (Contributed by Alan
       Sare, 14-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    vd01 $p |- (. ps ->. ph ). $=
      ( a1i dfvd1ir ) BAABCDE $.
  $}

  ${
    vd02.1 $e |- ph $.
    $( Two virtual hypotheses virtually infer a theorem.  (Contributed by Alan
       Sare, 14-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    vd02 $p |- (. ps ,. ch ->. ph ). $=
      ( wi a1i dfvd2ir ) BCACAEBACDFFG $.
  $}

  ${
    vd03.1 $e |- ph $.
    $( A theorem is virtually inferred by the 3 virtual hypotheses.
       (Contributed by Alan Sare, 12-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    vd03 $p |- (. ps ,. ch ,. th ->. ph ). $=
      ( wi a1i dfvd3ir ) BCDACDAFZFBICADEGGGH $.
  $}

  ${
    vd12.1 $e |- (. ph ->. ps ). $.
    $( A virtual deduction with 1 virtual hypothesis virtually inferring a
       virtual conclusion infers that the same conclusion is virtually inferred
       by the same virtual hypothesis and an additional hypothesis.
       (Contributed by Alan Sare, 12-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    vd12 $p |- (. ph ,. ch ->. ps ). $=
      ( in1 a1d dfvd2ir ) ACBABCABDEFG $.
  $}

  ${
    vd13.1 $e |- (. ph ->. ps ). $.
    $( A virtual deduction with 1 virtual hypothesis virtually inferring a
       virtual conclusion infers that the same conclusion is virtually inferred
       by the same virtual hypothesis and a two additional hypotheses.
       (Contributed by Alan Sare, 12-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    vd13 $p |- (. ph ,. ch ,. th ->. ps ). $=
      ( in1 a1d a1dd dfvd3ir ) ACDBACBDABCABEFGHI $.
  $}

  ${
    vd23.1 $e |- (. ph ,. ps ->. ch ). $.
    $( A virtual deduction with 2 virtual hypotheses virtually inferring a
       virtual conclusion infers that the same conclusion is virtually inferred
       by the same 2 virtual hypotheses and a third hypothesis.  (Contributed
       by Alan Sare, 12-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    vd23 $p |- (. ph ,. ps ,. th ->. ch ). $=
      ( dfvd2i a1dd dfvd3ir ) ABDCABCDABCEFGH $.
  $}

  $( The virtual deduction form of a 2-antecedent nested implication implies
     the 2-antecedent nested implication.  (Contributed by Alan Sare,
     21-Apr-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  dfvd2imp $p |- ( (. ph ,. ps ->. ch ). -> ( ph -> ( ps -> ch ) ) ) $=
    ( wvd2 wi dfvd2 biimpi ) ABCDABCEEABCFG $.

  $( A 2-antecedent nested implication implies its virtual deduction form.
     (Contributed by Alan Sare, 21-Apr-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  dfvd2impr $p |- ( ( ph -> ( ps -> ch ) ) -> (. ph ,. ps ->. ch ). ) $=
    ( wvd2 wi dfvd2 biimpri ) ABCDABCEEABCFG $.

  ${
    in2.1 $e |- (. ph ,. ps ->. ch ). $.
    $( The virtual deduction introduction rule of converting the end virtual
       hypothesis of 2 virtual hypotheses into an antecedent.  (Contributed by
       Alan Sare, 21-Apr-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    in2 $p |- (. ph ->. ( ps -> ch ) ). $=
      ( wi dfvd2i dfvd1ir ) ABCEABCDFG $.
  $}

  ${
    int2.1 $e |- (. (. ph ,. ps ). ->. ch ). $.
    $( The virtual deduction introduction rule of converting the end virtual
       hypothesis of 2 virtual hypotheses into an antecedent.  Conventional
       form of ~ int2 is ~ ex .  (Contributed by Alan Sare, 23-Apr-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    int2 $p |- (. ph ->. ( ps -> ch ) ). $=
      ( wi dfvd2ani ex dfvd1ir ) ABCEABCABCDFGH $.
  $}

  ${
    iin2.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( ~ in2 without virtual deductions.  (Contributed by Alan Sare,
       20-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    iin2 $p |- ( ph -> ( ps -> ch ) ) $=
      (  ) D $.
  $}

  ${
    in2an.1 $e |- (. ph ,. ( ps /\ ch ) ->. th ). $.
    $( The virtual deduction introduction rule converting the second conjunct
       of the second virtual hypothesis into the antecedent of the conclusion.
       ~ expd is the non-virtual deduction form of ~ in2an .  (Contributed by
       Alan Sare, 30-Jun-2012.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    in2an $p |- (. ph ,. ps ->. ( ch -> th ) ). $=
      ( wi wa dfvd2i expd dfvd2ir ) ABCDFABCDABCGDEHIJ $.
  $}

  ${
    in3.1 $e |- (. ph ,. ps ,. ch ->. th ). $.
    $( The virtual deduction introduction rule of converting the end virtual
       hypothesis of 3 virtual hypotheses into an antecedent.  (Contributed by
       Alan Sare, 12-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    in3 $p |- (. ph ,. ps ->. ( ch -> th ) ). $=
      ( wi dfvd3i dfvd2ir ) ABCDFABCDEGH $.
  $}

  ${
    iin3.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( ~ in3 without virtual deduction connectives.  Special theorem needed for
       the Virtual Deduction translation tool.  (Contributed by Alan Sare,
       23-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    iin3 $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      (  ) E $.
  $}

  ${
    in3an.1 $e |- (. ph ,. ps ,. ( ch /\ th ) ->. ta ). $.
    $( The virtual deduction introduction rule converting the second conjunct
       of the third virtual hypothesis into the antecedent of the conclusion.
       ~ exp4a is the non-virtual deduction form of ~ in3an .  (Contributed by
       Alan Sare, 25-Jun-2012.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    in3an $p |- (. ph ,. ps ,. ch ->. ( th -> ta ) ). $=
      ( wi wa dfvd3i exp4a dfvd3ir ) ABCDEGABCDEABCDHEFIJK $.
  $}

  ${
    int3.1 $e |- (. (. ph ,. ps ,. ch ). ->. th ). $.
    $( The virtual deduction introduction rule of converting the end virtual
       hypothesis of 3 virtual hypotheses into an antecedent.  Conventional
       form of ~ int3 is ~ 3expia .  (Contributed by Alan Sare, 13-Jun-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    int3 $p |- (. (. ph ,. ps ). ->. ( ch -> th ) ). $=
      ( wi dfvd3ani 3expia dfvd2anir ) ABCDFABCDABCDEGHI $.
  $}

  $( Virtual deduction identity rule which is ~ idd with virtual deduction
     symbols.  (Contributed by Alan Sare, 21-Apr-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  idn2 $p |- (. ph ,. ps ->. ps ). $=
    ( idd dfvd2ir ) ABBABCD $.

  $( Virtual deduction identity rule. ~ simpr in conjunction form Virtual
     Deduction notation.  (Contributed by Alan Sare, 5-Sep-2016.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  iden2 $p |- (. (. ph ,. ps ). ->. ps ). $=
    ( wvhc2 wvd1 wa wi simpr dfvd2an mpbir ) ABCBDABEBFABGABBHI $.

  $( Virtual deduction identity rule for three virtual hypotheses.
     (Contributed by Alan Sare, 11-Jun-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  idn3 $p |- (. ph ,. ps ,. ch ->. ch ). $=
    ( wi idd a1i dfvd3ir ) ABCCBCCDDABCEFG $.

  ${
    $d x ph $.
    gen11.1 $e |- (. ph ->. ps ). $.
    $( Virtual deduction generalizing rule for one quantifying variable and one
       virtual hypothesis. ~ alrimiv is ~ gen11 without virtual deductions.
       (Contributed by Alan Sare, 21-Apr-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    gen11 $p |- (. ph ->. A. x ps ). $=
      ( wal wi wvd1 dfvd1imp ax-mp alrimiv dfvd1impr ) ABCEZFALGABCABGABFDABHIJ
      ALKI $.
  $}

  ${
    gen11nv.1 $e |- ( ph -> A. x ph ) $.
    gen11nv.2 $e |- (. ph ->. ps ). $.
    $( Virtual deduction generalizing rule for one quantifying variable and one
       virtual hypothesis without distinct variables. ~ alrimih is ~ gen11nv
       without virtual deductions.  (Contributed by Alan Sare, 12-Dec-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    gen11nv $p |- (. ph ->. A. x ps ). $=
      ( wal in1 alrimih dfvd1ir ) ABCFABCDABEGHI $.
  $}

  ${
    $d x ph $.  $d y ph $.
    gen12.1 $e |- (. ph ->. ps ). $.
    $( Virtual deduction generalizing rule for two quantifying variables and
       one virtual hypothesis. ~ gen12 is ~ alrimivv with virtual deductions.
       (Contributed by Alan Sare, 2-May-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    gen12 $p |- (. ph ->. A. x A. y ps ). $=
      ( wal in1 alrimivv dfvd1ir ) ABDFCFABCDABEGHI $.
  $}

  ${
    $d x ph $.  $d x ps $.
    gen21.1 $e |- (. ph ,. ps ->. ch ). $.
    $( Virtual deduction generalizing rule for one quantifying variables and
       two virtual hypothesis. ~ gen21 is ~ alrimdv with virtual deductions.
       (Contributed by Alan Sare, 25-Jul-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    gen21 $p |- (. ph ,. ps ->. A. x ch ). $=
      ( wal dfvd2i alrimdv dfvd2ir ) ABCDFABCDABCEGHI $.
  $}

  ${
    gen21nv.1 $e |- ( ph -> A. x ph ) $.
    gen21nv.2 $e |- ( ps -> A. x ps ) $.
    gen21nv.3 $e |- (. ph ,. ps ->. ch ). $.
    $( Virtual deduction form of ~ alrimdh .  (Contributed by Alan Sare,
       31-Dec-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    gen21nv $p |- (. ph ,. ps ->. A. x ch ). $=
      ( wal dfvd2i alrimdh dfvd2ir ) ABCDHABCDEFABCGIJK $.
  $}

  ${
    $d ch x $.  $d ph x $.  $d ps x $.
    gen31.1 $e |- (. ph ,. ps ,. ch ->. th ). $.
    $( Virtual deduction generalizing rule for one quantifying variable and
       three virtual hypothesis. ~ gen31 is ~ ggen31 with virtual deductions.
       (Contributed by Alan Sare, 22-Jun-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    gen31 $p |- (. ph ,. ps ,. ch ->. A. x th ). $=
      ( wal dfvd3i ggen31 dfvd3ir ) ABCDEGABCDEABCDFHIJ $.
  $}

  ${
    $d x ph $.  $d y ph $.  $d x ps $.  $d y ps $.
    gen22.1 $e |- (. ph ,. ps ->. ch ). $.
    $( Virtual deduction generalizing rule for two quantifying variables and
       two virtual hypothesis.  (Contributed by Alan Sare, 25-Jul-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    gen22 $p |- (. ph ,. ps ->. A. x A. y ch ). $=
      ( wal dfvd2i alrimdv dfvd2ir ) ABCEGZDGABKDABCEABCFHIIJ $.
  $}

  ${
    $d x ph $.  $d y ph $.  $d x ps $.  $d y ps $.
    ggen22.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( ~ gen22 without virtual deductions.  (Contributed by Alan Sare,
       25-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ggen22 $p |- ( ph -> ( ps -> A. x A. y ch ) ) $=
      ( wal alrimdv ) ABCEGDABCEFHH $.
  $}

  ${
    exinst.1 $e |- ( ps -> A. x ps ) $.
    exinst.2 $e |- (. E. x ph ,. ph ->. ps ). $.
    $( Existential Instantiation.  Virtual deduction form of ~ exlimexi .
       (Contributed by Alan Sare, 21-Apr-2013.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    exinst $p |- ( E. x ph -> ps ) $=
      ( wex dfvd2i exlimexi ) ABCDACFABEGH $.
  $}

  ${
    exinst01.1 $e |- E. x ps $.
    exinst01.2 $e |- (. ph ,. ps ->. ch ). $.
    exinst01.3 $e |- ( ph -> A. x ph ) $.
    exinst01.4 $e |- ( ch -> A. x ch ) $.
    $( Existential Instantiation.  Virtual Deduction rule corresponding to a
       special case of the Natural Deduction Sequent Calculus rule called Rule
       C in [Margaris] p. 79 and E ` E. ` in Table 1 on page 4 of the paper
       "Extracting information from intermediate T-systems" (2000) presented at
       IMLA99 by Mauro Ferrari, Camillo Fiorentini, and Pierangelo Miglioli.
       (Contributed by Alan Sare, 21-Apr-2013.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    exinst01 $p |- (. ph ->. ch ). $=
      ( dfvd2i eexinst01 dfvd1ir ) ACABCDEABCFIGHJK $.
  $}

  ${
    exinst11.1 $e |- (. ph ->. E. x ps ). $.
    exinst11.2 $e |- (. ph ,. ps ->. ch ). $.
    exinst11.3 $e |- ( ph -> A. x ph ) $.
    exinst11.4 $e |- ( ch -> A. x ch ) $.
    $( Existential Instantiation.  Virtual Deduction rule corresponding to a
       special case of the Natural Deduction Sequent Calculus rule called Rule
       C in [Margaris] p. 79 and E ` E. ` in Table 1 on page 4 of the paper
       "Extracting information from intermediate T-systems" (2000) presented at
       IMLA99 by Mauro Ferrari, Camillo Fiorentini, and Pierangelo Miglioli.
       (Contributed by Alan Sare, 21-Apr-2013.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    exinst11 $p |- (. ph ->. ch ). $=
      ( wex in1 dfvd2i eexinst11 dfvd1ir ) ACABCDABDIEJABCFKGHLM $.
  $}

  ${
    e1a.1 $e |- (. ph ->. ps ). $.
    e1a.2 $e |- ( ps -> ch ) $.
    $( A Virtual deduction elimination rule. ~ syl is ~ e1a without virtual
       deductions.  (Contributed by Alan Sare, 11-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    e1a $p |- (. ph ->. ch ). $=
      ( in1 syl dfvd1ir ) ACABCABDFEGH $.
  $}

  ${
    el1.1 $e |- (. ph ->. ps ). $.
    el1.2 $e |- ( ps -> ch ) $.
    $( A Virtual deduction elimination rule. ~ syl is ~ el1 without virtual
       deductions.  (Contributed by Alan Sare, 23-Apr-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    el1 $p |- (. ph ->. ch ). $=
      ( in1 syl dfvd1ir ) ACABCABDFEGH $.
  $}

  ${
    e1bi.1 $e |- (. ph ->. ps ). $.
    e1bi.2 $e |- ( ps <-> ch ) $.
    $( Biconditional form of ~ e1a . ~ sylib is ~ e1bi without virtual
       deductions.  (Contributed by Alan Sare, 15-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    e1bi $p |- (. ph ->. ch ). $=
      ( biimpi e1a ) ABCDBCEFG $.
  $}

  ${
    e1bir.1 $e |- (. ph ->. ps ). $.
    e1bir.2 $e |- ( ch <-> ps ) $.
    $( Right biconditional form of ~ e1a . ~ sylibr is ~ e1bir without virtual
       deductions.  (Contributed by Alan Sare, 24-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    e1bir $p |- (. ph ->. ch ). $=
      ( biimpri e1a ) ABCDCBEFG $.
  $}

  ${
    e2.1 $e |- (. ph ,. ps ->. ch ). $.
    e2.2 $e |- ( ch -> th ) $.
    $( A virtual deduction elimination rule. ~ syl6 is ~ e2 without virtual
       deductions.  (Contributed by Alan Sare, 21-Apr-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    e2 $p |- (. ph ,. ps ->. th ). $=
      ( dfvd2i syl6 dfvd2ir ) ABDABCDABCEGFHI $.
  $}

  ${
    e2bi.1 $e |- (. ph ,. ps ->. ch ). $.
    e2bi.2 $e |- ( ch <-> th ) $.
    $( Biconditional form of ~ e2 . ~ syl6ib is ~ e2bi without virtual
       deductions.  (Contributed by Alan Sare, 10-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    e2bi $p |- (. ph ,. ps ->. th ). $=
      ( biimpi e2 ) ABCDECDFGH $.
  $}

  ${
    e2bir.1 $e |- (. ph ,. ps ->. ch ). $.
    e2bir.2 $e |- ( th <-> ch ) $.
    $( Right biconditional form of ~ e2 . ~ syl6ibr is ~ e2bir without virtual
       deductions.  (Contributed by Alan Sare, 29-Apr-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    e2bir $p |- (. ph ,. ps ->. th ). $=
      ( biimpri e2 ) ABCDEDCFGH $.
  $}

  ${
    ee223.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee223.2 $e |- ( ph -> ( ps -> th ) ) $.
    ee223.3 $e |- ( ph -> ( ps -> ( ta -> et ) ) ) $.
    ee223.4 $e |- ( ch -> ( th -> ( et -> ze ) ) ) $.
    $( ~ e223 without virtual deductions.  (Contributed by Alan Sare,
       12-Dec-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee223 $p |- ( ph -> ( ps -> ( ta -> ze ) ) ) $=
      ( wi syl6 com34 com23 com12 syl8 pm2.43a pm2.43d mpdd ) ABDEGLIABEDGABEDG
      LZLABEBUABAEBUALZLABEAUBABEFAUBLJAFUBABFUAABDFGABCDFGLLHKMNOPQNRNSNT $.
  $}

  ${
    e223.1 $e |- (. ph ,. ps ->. ch ). $.
    e223.2 $e |- (. ph ,. ps ->. th ). $.
    e223.3 $e |- (. ph ,. ps ,. ta ->. et ). $.
    e223.4 $e |- ( ch -> ( th -> ( et -> ze ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       12-Dec-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e223 $p |- (. ph ,. ps ,. ta ->. ze ). $=
      ( wi in2 in1 in3 ee223 dfvd3ir ) ABEGABCDEFGABCLABCHMNABDLABDIMNABEFLZLAB
      RABEFJOMNKPQ $.
  $}

  ${
    e222.1 $e |- (. ph ,. ps ->. ch ). $.
    e222.2 $e |- (. ph ,. ps ->. th ). $.
    e222.3 $e |- (. ph ,. ps ->. ta ). $.
    e222.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       12-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e222 $p |- (. ph ,. ps ->. et ). $=
      ( wa dfvd2i imp wi syl2im pm2.43i syl5com ex dfvd2ir ) ABFABFABKZFTETFABE
      ABEILMTEFNZTCTDUAABCABCGLMABDABDHLMJOPQPRS $.
  $}

  ${
    e220.1 $e |- (. ph ,. ps ->. ch ). $.
    e220.2 $e |- (. ph ,. ps ->. th ). $.
    e220.3 $e |- ta $.
    e220.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e220 $p |- (. ph ,. ps ->. et ). $=
      ( vd02 e222 ) ABCDEFGHEABIKJL $.
  $}

  ${
    ee220.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee220.2 $e |- ( ph -> ( ps -> th ) ) $.
    ee220.3 $e |- ta $.
    ee220.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( ~ e220 without virtual deductions.  (Contributed by Alan Sare,
       12-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee220 $p |- ( ph -> ( ps -> et ) ) $=
      ( 2a1i ee222 ) ABCDEFGHEABIKJL $.
  $}

  ${
    e202.1 $e |- (. ph ,. ps ->. ch ). $.
    e202.2 $e |- th $.
    e202.3 $e |- (. ph ,. ps ->. ta ). $.
    e202.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e202 $p |- (. ph ,. ps ->. et ). $=
      ( vd02 e222 ) ABCDEFGDABHKIJL $.
  $}

  ${
    ee202.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee202.2 $e |- th $.
    ee202.3 $e |- ( ph -> ( ps -> ta ) ) $.
    ee202.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( ~ e202 without virtual deductions.  (Contributed by Alan Sare,
       13-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee202 $p |- ( ph -> ( ps -> et ) ) $=
      ( wi a1i ee222 ) ABCDEFGBDKADBHLLIJM $.
  $}

  ${
    e022.1 $e |- ph $.
    e022.2 $e |- (. ps ,. ch ->. th ). $.
    e022.3 $e |- (. ps ,. ch ->. ta ). $.
    e022.4 $e |- ( ph -> ( th -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e022 $p |- (. ps ,. ch ->. et ). $=
      ( vd02 e222 ) BCADEFABCGKHIJL $.
  $}

  ${
    ee022.1 $e |- ph $.
    ee022.2 $e |- ( ps -> ( ch -> th ) ) $.
    ee022.3 $e |- ( ps -> ( ch -> ta ) ) $.
    ee022.4 $e |- ( ph -> ( th -> ( ta -> et ) ) ) $.
    $( ~ e022 without virtual deductions.  (Contributed by Alan Sare,
       13-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee022 $p |- ( ps -> ( ch -> et ) ) $=
      ( wi a1i ee222 ) BCADEFCAKBACGLLHIJM $.
  $}

  ${
    e002.1 $e |- ph $.
    e002.2 $e |- ps $.
    e002.3 $e |- (. ch ,. th ->. ta ). $.
    e002.4 $e |- ( ph -> ( ps -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e002 $p |- (. ch ,. th ->. et ). $=
      ( vd02 e222 ) CDABEFACDGKBCDHKIJL $.
  $}

  ${
    ee002.1 $e |- ph $.
    ee002.2 $e |- ps $.
    ee002.3 $e |- ( ch -> ( th -> ta ) ) $.
    ee002.4 $e |- ( ph -> ( ps -> ( ta -> et ) ) ) $.
    $( ~ e002 without virtual deductions.  (Contributed by Alan Sare,
       13-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee002 $p |- ( ch -> ( th -> et ) ) $=
      ( wi a1i ee222 ) CDABEFDAKCADGLLDBKCBDHLLIJM $.
  $}

  ${
    e020.1 $e |- ph $.
    e020.2 $e |- (. ps ,. ch ->. th ). $.
    e020.3 $e |- ta $.
    e020.4 $e |- ( ph -> ( th -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e020 $p |- (. ps ,. ch ->. et ). $=
      ( vd02 e222 ) BCADEFABCGKHEBCIKJL $.
  $}

  ${
    ee020.1 $e |- ph $.
    ee020.2 $e |- ( ps -> ( ch -> th ) ) $.
    ee020.3 $e |- ta $.
    ee020.4 $e |- ( ph -> ( th -> ( ta -> et ) ) ) $.
    $( ~ e020 without virtual deductions.  (Contributed by Alan Sare,
       13-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee020 $p |- ( ps -> ( ch -> et ) ) $=
      ( wi a1i ee222 ) BCADEFCAKBACGLLHCEKBECILLJM $.
  $}

  ${
    e200.1 $e |- (. ph ,. ps ->. ch ). $.
    e200.2 $e |- th $.
    e200.3 $e |- ta $.
    e200.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e200 $p |- (. ph ,. ps ->. et ). $=
      ( vd02 e222 ) ABCDEFGDABHKEABIKJL $.
  $}

  ${
    ee200.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee200.2 $e |- th $.
    ee200.3 $e |- ta $.
    ee200.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( ~ e200 without virtual deductions.  (Contributed by Alan Sare,
       13-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee200 $p |- ( ph -> ( ps -> et ) ) $=
      ( wi a1i ee222 ) ABCDEFGBDKADBHLLBEKAEBILLJM $.
  $}

  ${
    e221.1 $e |- (. ph ,. ps ->. ch ). $.
    e221.2 $e |- (. ph ,. ps ->. th ). $.
    e221.3 $e |- (. ph ->. ta ). $.
    e221.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e221 $p |- (. ph ,. ps ->. et ). $=
      ( vd12 e222 ) ABCDEFGHAEBIKJL $.
  $}

  ${
    ee221.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee221.2 $e |- ( ph -> ( ps -> th ) ) $.
    ee221.3 $e |- ( ph -> ta ) $.
    ee221.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( ~ e221 without virtual deductions.  (Contributed by Alan Sare,
       13-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee221 $p |- ( ph -> ( ps -> et ) ) $=
      ( a1d ee222 ) ABCDEFGHAEBIKJL $.
  $}

  ${
    e212.1 $e |- (. ph ,. ps ->. ch ). $.
    e212.2 $e |- (. ph ->. th ). $.
    e212.3 $e |- (. ph ,. ps ->. ta ). $.
    e212.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e212 $p |- (. ph ,. ps ->. et ). $=
      ( vd12 e222 ) ABCDEFGADBHKIJL $.
  $}

  ${
    ee212.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee212.2 $e |- ( ph -> th ) $.
    ee212.3 $e |- ( ph -> ( ps -> ta ) ) $.
    ee212.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( ~ e212 without virtual deductions.  (Contributed by Alan Sare,
       13-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee212 $p |- ( ph -> ( ps -> et ) ) $=
      ( a1d ee222 ) ABCDEFGADBHKIJL $.
  $}

  ${
    e122.1 $e |- (. ph ->. ps ). $.
    e122.2 $e |- (. ph ,. ch ->. th ). $.
    e122.3 $e |- (. ph ,. ch ->. ta ). $.
    e122.4 $e |- ( ps -> ( th -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e122 $p |- (. ph ,. ch ->. et ). $=
      ( vd12 e222 ) ACBDEFABCGKHIJL $.
  $}

  ${
    e112.1 $e |- (. ph ->. ps ). $.
    e112.2 $e |- (. ph ->. ch ). $.
    e112.3 $e |- (. ph ,. th ->. ta ). $.
    e112.4 $e |- ( ps -> ( ch -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e112 $p |- (. ph ,. th ->. et ). $=
      ( vd12 e222 ) ADBCEFABDGKACDHKIJL $.
  $}

  ${
    ee112.1 $e |- ( ph -> ps ) $.
    ee112.2 $e |- ( ph -> ch ) $.
    ee112.3 $e |- ( ph -> ( th -> ta ) ) $.
    ee112.4 $e |- ( ps -> ( ch -> ( ta -> et ) ) ) $.
    $( ~ e112 without virtual deductions.  (Contributed by Alan Sare,
       13-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee112 $p |- ( ph -> ( th -> et ) ) $=
      ( a1d ee222 ) ADBCEFABDGKACDHKIJL $.
  $}

  ${
    e121.1 $e |- (. ph ->. ps ). $.
    e121.2 $e |- (. ph ,. ch ->. th ). $.
    e121.3 $e |- (. ph ->. ta ). $.
    e121.4 $e |- ( ps -> ( th -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e121 $p |- (. ph ,. ch ->. et ). $=
      ( vd12 e222 ) ACBDEFABCGKHAECIKJL $.
  $}

  ${
    e211.1 $e |- (. ph ,. ps ->. ch ). $.
    e211.2 $e |- (. ph ->. th ). $.
    e211.3 $e |- (. ph ->. ta ). $.
    e211.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e211 $p |- (. ph ,. ps ->. et ). $=
      ( vd12 e222 ) ABCDEFGADBHKAEBIKJL $.
  $}

  ${
    ee211.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee211.2 $e |- ( ph -> th ) $.
    ee211.3 $e |- ( ph -> ta ) $.
    ee211.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( ~ e211 without virtual deductions.  (Contributed by Alan Sare,
       13-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee211 $p |- ( ph -> ( ps -> et ) ) $=
      ( a1d ee222 ) ABCDEFGADBHKAEBIKJL $.
  $}

  ${
    e210.1 $e |- (. ph ,. ps ->. ch ). $.
    e210.2 $e |- (. ph ->. th ). $.
    e210.3 $e |- ta $.
    e210.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e210 $p |- (. ph ,. ps ->. et ). $=
      ( vd01 e211 ) ABCDEFGHEAIKJL $.
  $}

  ${
    ee210.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee210.2 $e |- ( ph -> th ) $.
    ee210.3 $e |- ta $.
    ee210.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( ~ e210 without virtual deductions.  (Contributed by Alan Sare,
       14-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee210 $p |- ( ph -> ( ps -> et ) ) $=
      ( a1d wi a1i ee222 ) ABCDEFGADBHKBELAEBIMMJN $.
  $}

  ${
    e201.1 $e |- (. ph ,. ps ->. ch ). $.
    e201.2 $e |- th $.
    e201.3 $e |- (. ph ->. ta ). $.
    e201.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e201 $p |- (. ph ,. ps ->. et ). $=
      ( vd01 e211 ) ABCDEFGDAHKIJL $.
  $}

  ${
    ee201.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee201.2 $e |- th $.
    ee201.3 $e |- ( ph -> ta ) $.
    ee201.4 $e |- ( ch -> ( th -> ( ta -> et ) ) ) $.
    $( ~ e201 without virtual deductions.  (Contributed by Alan Sare,
       14-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee201 $p |- ( ph -> ( ps -> et ) ) $=
      ( wi a1i a1d ee222 ) ABCDEFGBDKADBHLLAEBIMJN $.
  $}

  ${
    e120.1 $e |- (. ph ->. ps ). $.
    e120.2 $e |- (. ph ,. ch ->. th ). $.
    e120.3 $e |- ta $.
    e120.4 $e |- ( ps -> ( th -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       10-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e120 $p |- (. ph ,. ch ->. et ). $=
      ( vd12 e220 ) ACBDEFABCGKHIJL $.
  $}

  ${
    ee120.1 $e |- ( ph -> ps ) $.
    ee120.2 $e |- ( ph -> ( ch -> th ) ) $.
    ee120.3 $e |- ta $.
    ee120.4 $e |- ( ps -> ( th -> ( ta -> et ) ) ) $.
    $( Virtual deduction rule ~ e120 without virtual deduction symbols.
       (Contributed by Alan Sare, 14-Jul-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ee120 $p |- ( ph -> ( ch -> et ) ) $=
      ( a1d wi a1i ee222 ) ACBDEFABCGKHCELAECIMMJN $.
  $}

  ${
    e021.1 $e |- ph $.
    e021.2 $e |- (. ps ,. ch ->. th ). $.
    e021.3 $e |- (. ps ->. ta ). $.
    e021.4 $e |- ( ph -> ( th -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e021 $p |- (. ps ,. ch ->. et ). $=
      ( vd01 e121 ) BACDEFABGKHIJL $.
  $}

  ${
    ee021.1 $e |- ph $.
    ee021.2 $e |- ( ps -> ( ch -> th ) ) $.
    ee021.3 $e |- ( ps -> ta ) $.
    ee021.4 $e |- ( ph -> ( th -> ( ta -> et ) ) ) $.
    $( ~ e021 without virtual deductions.  (Contributed by Alan Sare,
       14-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee021 $p |- ( ps -> ( ch -> et ) ) $=
      ( wi a1i a1d ee222 ) BCADEFCAKBACGLLHBECIMJN $.
  $}

  ${
    e012.1 $e |- ph $.
    e012.2 $e |- (. ps ->. ch ). $.
    e012.3 $e |- (. ps ,. th ->. ta ). $.
    e012.4 $e |- ( ph -> ( ch -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e012 $p |- (. ps ,. th ->. et ). $=
      ( vd01 e112 ) BACDEFABGKHIJL $.
  $}

  ${
    ee012.1 $e |- ph $.
    ee012.2 $e |- ( ps -> ch ) $.
    ee012.3 $e |- ( ps -> ( th -> ta ) ) $.
    ee012.4 $e |- ( ph -> ( ch -> ( ta -> et ) ) ) $.
    $( ~ e012 without virtual deductions.  (Contributed by Alan Sare,
       14-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee012 $p |- ( ps -> ( th -> et ) ) $=
      ( wi a1i a1d ee222 ) BDACEFDAKBADGLLBCDHMIJN $.
  $}

  ${
    e102.1 $e |- (. ph ->. ps ). $.
    e102.2 $e |- ch $.
    e102.3 $e |- (. ph ,. th ->. ta ). $.
    e102.4 $e |- ( ps -> ( ch -> ( ta -> et ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e102 $p |- (. ph ,. th ->. et ). $=
      ( vd01 e112 ) ABCDEFGCAHKIJL $.
  $}

  ${
    ee102.1 $e |- ( ph -> ps ) $.
    ee102.2 $e |- ch $.
    ee102.3 $e |- ( ph -> ( th -> ta ) ) $.
    ee102.4 $e |- ( ps -> ( ch -> ( ta -> et ) ) ) $.
    $( ~ e102 without virtual deductions.  (Contributed by Alan Sare,
       14-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee102 $p |- ( ph -> ( th -> et ) ) $=
      ( a1d wi a1i ee222 ) ADBCEFABDGKDCLACDHMMIJN $.
  $}

  ${
    e22.1 $e |- (. ph ,. ps ->. ch ). $.
    e22.2 $e |- (. ph ,. ps ->. th ). $.
    e22.3 $e |- ( ch -> ( th -> ta ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       2-May-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e22 $p |- (. ph ,. ps ->. ta ). $=
      ( wi a1i e222 ) ABCCDEFFGCDEIICHJK $.
  $}

  ${
    e22an.1 $e |- (. ph ,. ps ->. ch ). $.
    e22an.2 $e |- (. ph ,. ps ->. th ). $.
    e22an.3 $e |- ( ( ch /\ th ) -> ta ) $.
    $( Conjunction form of ~ e22 .  (Contributed by Alan Sare, 11-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    e22an $p |- (. ph ,. ps ->. ta ). $=
      ( ex e22 ) ABCDEFGCDEHIJ $.
  $}

  ${
    ee22an.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee22an.2 $e |- ( ph -> ( ps -> th ) ) $.
    ee22an.3 $e |- ( ( ch /\ th ) -> ta ) $.
    $( ~ e22an without virtual deductions.  (Contributed by Alan Sare,
       8-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee22an $p |- ( ph -> ( ps -> ta ) ) $=
      ( ex syl6c ) ABCDEFGCDEHIJ $.
  $}

  ${
    e111.1 $e |- (. ph ->. ps ). $.
    e111.2 $e |- (. ph ->. ch ). $.
    e111.3 $e |- (. ph ->. th ). $.
    e111.4 $e |- ( ps -> ( ch -> ( th -> ta ) ) ) $.
    $( A virtual deduction elimination rule (see ~ syl3c ).  (Contributed by
       Alan Sare, 14-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e111 $p |- (. ph ->. ta ). $=
      ( in1 wi syl2im pm2.43i syl5com dfvd1ir ) AEAEADAEADHJADEKZABACPABFJACGJI
      LMNMO $.
  $}

  ${
    e1111.1 $e |- (. ph ->. ps ). $.
    e1111.2 $e |- (. ph ->. ch ). $.
    e1111.3 $e |- (. ph ->. th ). $.
    e1111.4 $e |- (. ph ->. ta ). $.
    e1111.5 $e |- ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       6-Mar-2012.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e1111 $p |- (. ph ->. et ). $=
      ( in1 ee1111 dfvd1ir ) AFABCDEFABGLACHLADILAEJLKMN $.
  $}

  ${
    e110.1 $e |- (. ph ->. ps ). $.
    e110.2 $e |- (. ph ->. ch ). $.
    e110.3 $e |- th $.
    e110.4 $e |- ( ps -> ( ch -> ( th -> ta ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e110 $p |- (. ph ->. ta ). $=
      ( vd01 e111 ) ABCDEFGDAHJIK $.
  $}

  ${
    ee110.1 $e |- ( ph -> ps ) $.
    ee110.2 $e |- ( ph -> ch ) $.
    ee110.3 $e |- th $.
    ee110.4 $e |- ( ps -> ( ch -> ( th -> ta ) ) ) $.
    $( ~ e110 without virtual deductions.  (Contributed by Alan Sare,
       22-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee110 $p |- ( ph -> ta ) $=
      ( a1i syl3c ) ABCDEFGDAHJIK $.
  $}

  ${
    e101.1 $e |- (. ph ->. ps ). $.
    e101.2 $e |- ch $.
    e101.3 $e |- (. ph ->. th ). $.
    e101.4 $e |- ( ps -> ( ch -> ( th -> ta ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e101 $p |- (. ph ->. ta ). $=
      ( vd01 e111 ) ABCDEFCAGJHIK $.
  $}

  ${
    ee101.1 $e |- ( ph -> ps ) $.
    ee101.2 $e |- ch $.
    ee101.3 $e |- ( ph -> th ) $.
    ee101.4 $e |- ( ps -> ( ch -> ( th -> ta ) ) ) $.
    $( ~ e101 without virtual deductions.  (Contributed by Alan Sare,
       23-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee101 $p |- ( ph -> ta ) $=
      ( a1i syl3c ) ABCDEFCAGJHIK $.
  $}

  ${
    e011.1 $e |- ph $.
    e011.2 $e |- (. ps ->. ch ). $.
    e011.3 $e |- (. ps ->. th ). $.
    e011.4 $e |- ( ph -> ( ch -> ( th -> ta ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e011 $p |- (. ps ->. ta ). $=
      ( vd01 e111 ) BACDEABFJGHIK $.
  $}

  ${
    ee011.1 $e |- ph $.
    ee011.2 $e |- ( ps -> ch ) $.
    ee011.3 $e |- ( ps -> th ) $.
    ee011.4 $e |- ( ph -> ( ch -> ( th -> ta ) ) ) $.
    $( ~ e011 without virtual deductions.  (Contributed by Alan Sare,
       25-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee011 $p |- ( ps -> ta ) $=
      ( a1i syl3c ) BACDEABFJGHIK $.
  $}

  ${
    e100.1 $e |- (. ph ->. ps ). $.
    e100.2 $e |- ch $.
    e100.3 $e |- th $.
    e100.4 $e |- ( ps -> ( ch -> ( th -> ta ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e100 $p |- (. ph ->. ta ). $=
      ( vd01 e111 ) ABCDEFCAGJDAHJIK $.
  $}

  ${
    ee100.1 $e |- ( ph -> ps ) $.
    ee100.2 $e |- ch $.
    ee100.3 $e |- th $.
    ee100.4 $e |- ( ps -> ( ch -> ( th -> ta ) ) ) $.
    $( ~ e100 without virtual deductions.  (Contributed by Alan Sare,
       23-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee100 $p |- ( ph -> ta ) $=
      ( a1i syl3c ) ABCDEFCAGJDAHJIK $.
  $}

  ${
    e010.1 $e |- ph $.
    e010.2 $e |- (. ps ->. ch ). $.
    e010.3 $e |- th $.
    e010.4 $e |- ( ph -> ( ch -> ( th -> ta ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e010 $p |- (. ps ->. ta ). $=
      ( vd01 e111 ) BACDEABFJGDBHJIK $.
  $}

  ${
    ee010.1 $e |- ph $.
    ee010.2 $e |- ( ps -> ch ) $.
    ee010.3 $e |- th $.
    ee010.4 $e |- ( ph -> ( ch -> ( th -> ta ) ) ) $.
    $( ~ e010 without virtual deductions.  (Contributed by Alan Sare,
       23-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee010 $p |- ( ps -> ta ) $=
      ( a1i syl3c ) BACDEABFJGDBHJIK $.
  $}

  ${
    e001.1 $e |- ph $.
    e001.2 $e |- ps $.
    e001.3 $e |- (. ch ->. th ). $.
    e001.4 $e |- ( ph -> ( ps -> ( th -> ta ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e001 $p |- (. ch ->. ta ). $=
      ( vd01 e111 ) CABDEACFJBCGJHIK $.
  $}

  ${
    ee001.1 $e |- ph $.
    ee001.2 $e |- ps $.
    ee001.3 $e |- ( ch -> th ) $.
    ee001.4 $e |- ( ph -> ( ps -> ( th -> ta ) ) ) $.
    $( ~ e001 without virtual deductions.  (Contributed by Alan Sare,
       23-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee001 $p |- ( ch -> ta ) $=
      ( a1i syl3c ) CABDEACFJBCGJHIK $.
  $}

  ${
    e11.1 $e |- (. ph ->. ps ). $.
    e11.2 $e |- (. ph ->. ch ). $.
    e11.3 $e |- ( ps -> ( ch -> th ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       14-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e11 $p |- (. ph ->. th ). $=
      ( wi a1i e111 ) ABBCDEEFBCDHHBGIJ $.
  $}

  ${
    e11an.1 $e |- (. ph ->. ps ). $.
    e11an.2 $e |- (. ph ->. ch ). $.
    e11an.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( Conjunction form of ~ e11 .  (Contributed by Alan Sare, 15-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    e11an $p |- (. ph ->. th ). $=
      ( ex e11 ) ABCDEFBCDGHI $.
  $}

  ${
    ee11an.1 $e |- ( ph -> ps ) $.
    ee11an.2 $e |- ( ph -> ch ) $.
    ee11an.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( ~ e11an without virtual deductions. ~ syl22anc is also ~ e11an without
       virtual deductions, exept with a different order of hypotheses.
       (Contributed by Alan Sare, 8-Jul-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ee11an $p |- ( ph -> th ) $=
      ( ex sylc ) ABCDEFBCDGHI $.
  $}

  ${
    e01.1 $e |- ph $.
    e01.2 $e |- (. ps ->. ch ). $.
    e01.3 $e |- ( ph -> ( ch -> th ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       25-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e01 $p |- (. ps ->. th ). $=
      ( vd01 e11 ) BACDABEHFGI $.
  $}

  ${
    e01an.1 $e |- ph $.
    e01an.2 $e |- (. ps ->. ch ). $.
    e01an.3 $e |- ( ( ph /\ ch ) -> th ) $.
    $( Conjunction form of ~ e01 .  (Contributed by Alan Sare, 11-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    e01an $p |- (. ps ->. th ). $=
      ( ex e01 ) ABCDEFACDGHI $.
  $}

  ${
    ee01an.1 $e |- ph $.
    ee01an.2 $e |- ( ps -> ch ) $.
    ee01an.3 $e |- ( ( ph /\ ch ) -> th ) $.
    $( ~ e01an without virtual deductions. ~ sylancr is also a form of ~ e01an
       without virtual deduction, except the order of the hypotheses is
       different.  (Contributed by Alan Sare, 25-Jul-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ee01an $p |- ( ps -> th ) $=
      ( sylancr ) BACDEFGH $.
  $}

  ${
    e10.1 $e |- (. ph ->. ps ). $.
    e10.2 $e |- ch $.
    e10.3 $e |- ( ps -> ( ch -> th ) ) $.
    $( A virtual deduction elimination rule (see ~ mpisyl ).  (Contributed by
       Alan Sare, 14-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e10 $p |- (. ph ->. th ). $=
      ( vd01 e11 ) ABCDECAFHGI $.
  $}

  ${
    e10an.1 $e |- (. ph ->. ps ). $.
    e10an.2 $e |- ch $.
    e10an.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( Conjunction form of ~ e10 .  (Contributed by Alan Sare, 15-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    e10an $p |- (. ph ->. th ). $=
      ( ex e10 ) ABCDEFBCDGHI $.
  $}

  ${
    ee10an.1 $e |- ( ph -> ps ) $.
    ee10an.2 $e |- ch $.
    ee10an.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( ~ e10an without virtual deductions. ~ sylancl is also ~ e10an without
       virtual deductions, except the order of the hypotheses is different.
       (Contributed by Alan Sare, 25-Jul-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ee10an $p |- ( ph -> th ) $=
      ( sylancl ) ABCDEFGH $.
  $}

  ${
    e02.1 $e |- ph $.
    e02.2 $e |- (. ps ,. ch ->. th ). $.
    e02.3 $e |- ( ph -> ( th -> ta ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       14-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e02 $p |- (. ps ,. ch ->. ta ). $=
      ( vd02 e22 ) BCADEABCFIGHJ $.
  $}

  ${
    e02an.1 $e |- ph $.
    e02an.2 $e |- (. ps ,. ch ->. th ). $.
    e02an.3 $e |- ( ( ph /\ th ) -> ta ) $.
    $( Conjunction form of ~ e02 .  (Contributed by Alan Sare, 15-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    e02an $p |- (. ps ,. ch ->. ta ). $=
      ( ex e02 ) ABCDEFGADEHIJ $.
  $}

  ${
    ee02an.1 $e |- ph $.
    ee02an.2 $e |- ( ps -> ( ch -> th ) ) $.
    ee02an.3 $e |- ( ( ph /\ th ) -> ta ) $.
    $( ~ e02an without virtual deductions.  (Contributed by Alan Sare,
       8-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee02an $p |- ( ps -> ( ch -> ta ) ) $=
      ( ex mpsylsyld ) ABCDEFGADEHIJ $.
  $}

  ${
    eel021.1 $e |- ph $.
    eel021.2 $e |- ( ( ps /\ ch ) -> th ) $.
    eel021.3 $e |- ( ( ph /\ th ) -> ta ) $.
    $( ~ el021old without virtual deductions.  (Contributed by Alan Sare,
       13-Jun-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    eel021old $p |- ( ( ps /\ ch ) -> ta ) $=
      ( wa sylancr ) BCIADEFGHJ $.
  $}

  ${
    el021old.1 $e |- ph $.
    el021old.2 $e |- (. (. ps ,. ch ). ->. th ). $.
    el021old.3 $e |- ( ( ph /\ th ) -> ta ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       13-Jun-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    el021old $p |- (. (. ps ,. ch ). ->. ta ). $=
      ( wa dfvd2ani sylancr dfvd2anir ) BCEBCIADEFBCDGJHKL $.
  $}

  ${
    eel132.1 $e |- ( ph -> ps ) $.
    eel132.2 $e |- ( ( ch /\ th ) -> ta ) $.
    eel132.3 $e |- ( ( ps /\ ta ) -> et ) $.
    $( ~ syl2an with antecedents in standard conjunction form.  (Contributed by
       Alan Sare, 26-Aug-2016.) $)
    eel132 $p |- ( ( ph /\ ch /\ th ) -> et ) $=
      ( wa syl2an 3impb ) ACDFABEFCDJGHIKL $.
  $}

  ${
    eel000cT.1 $e |- ph $.
    eel000cT.2 $e |- ps $.
    eel000cT.3 $e |- ch $.
    eel000cT.4 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eel000cT $p |- ( T. -> th ) $=
      ( wtru mp3an1 mpan ax-mp a1i ) DICDGBCDFABCDEHJKLM $.
  $}

  ${
    eel0TT.1 $e |- ph $.
    eel0TT.2 $e |- ( T. -> ps ) $.
    eel0TT.3 $e |- ( T. -> ch ) $.
    eel0TT.4 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eel0TT $p |- th $=
      ( wtru wa truan mp3an1 sylan sylbir syl mptru ) DICDGCICJDCKIBCDFABCDEHLM
      NOP $.
  $}

  ${
    eelT00.1 $e |- ( T. -> ph ) $.
    eelT00.2 $e |- ps $.
    eelT00.3 $e |- ch $.
    eelT00.4 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eelT00 $p |- th $=
      ( wa wtru w3a 3anass truan bitri syl3an1 sylbir mpan ax-mp ) CDGBCDFBCIZJ
      BCKZDTJSISJBCLSMNJABCDEHOPQR $.
  $}

  ${
    eelTTT.1 $e |- ( T. -> ph ) $.
    eelTTT.2 $e |- ( T. -> ps ) $.
    eelTTT.3 $e |- ( T. -> ch ) $.
    eelTTT.4 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eelTTT $p |- th $=
      ( wtru wa truan w3a 3anass bitri syl3an1 sylbir sylan syl mptru ) DICDGCI
      CJDCKIBCDFBCJZIBCLZDUAITJTIBCMTKNIABCDEHOPQPRS $.
  $}

  ${
    eelT11.1 $e |- ( T. -> ph ) $.
    eelT11.2 $e |- ( ps -> ch ) $.
    eelT11.3 $e |- ( ps -> th ) $.
    eelT11.4 $e |- ( ( ph /\ ch /\ th ) -> ta ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eelT11 $p |- ( ps -> ta ) $=
      ( wtru w3a wa 3anass truan anidm 3bitri syl3an1 syl3an2 syl3an3 sylbir )
      BJBBKZEUAJBBLZLUBBJBBMUBNBOPBJBDEHBJCDEGJACDEFIQRST $.
  $}

  ${
    eelT1.1 $e |- ( T. -> ph ) $.
    eelT1.2 $e |- ( ps -> ch ) $.
    eelT1.3 $e |- ( ( ph /\ ch ) -> th ) $.
    $( Syllogism inference combined with modus ponens.  (Contributed by Jeff
       Madsen, 2-Sep-2009.)  (Revised by Alan Sare, 23-Dec-2016.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eelT1 $p |- ( ps -> th ) $=
      ( mptru sylancr ) BACDAEHFGI $.
  $}

  ${
    eelT12.1 $e |- ( T. -> ph ) $.
    eelT12.2 $e |- ( ps -> ch ) $.
    eelT12.3 $e |- ( th -> ta ) $.
    eelT12.4 $e |- ( ( ph /\ ch /\ ta ) -> et ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eelT12 $p |- ( ( ps /\ th ) -> et ) $=
      ( wa wtru w3a 3anass truan bitri syl3an1 syl3an2 syl3an3 sylbir ) BDKZLBD
      MZFUBLUAKUALBDNUAOPDLBEFIBLCEFHLACEFGJQRST $.
  $}

  ${
    eelTT1.1 $e |- ( T. -> ph ) $.
    eelTT1.2 $e |- ( T. -> ps ) $.
    eelTT1.3 $e |- ( ch -> th ) $.
    eelTT1.4 $e |- ( ( ph /\ ps /\ th ) -> ta ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eelTT1 $p |- ( ch -> ta ) $=
      ( wtru w3a wa 3anass anabs5 truan 3bitri syl3an1 syl3an2 syl3an3 sylbir )
      CJJCKZEUAJJCLZLUBCJJCMJCNCOPCJJDEHJJBDEGJABDEFIQRST $.
  $}

  ${
    eelT01.1 $e |- ( T. -> ph ) $.
    eelT01.2 $e |- ps $.
    eelT01.3 $e |- ( ch -> th ) $.
    eelT01.4 $e |- ( ( ph /\ ps /\ th ) -> ta ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eelT01 $p |- ( ch -> ta ) $=
      ( wtru w3a wa 3anass truan simpr jctl impbii 3bitri syl3an1 syl3an3
      sylbir ) CJBCKZEUBJBCLZLUCCJBCMUCNUCCBCOCBGPQRCJBDEHJABDEFISTUA $.
  $}

  ${
    eel0T1.1 $e |- ph $.
    eel0T1.2 $e |- ( T. -> ps ) $.
    eel0T1.3 $e |- ( ch -> th ) $.
    eel0T1.4 $e |- ( ( ph /\ ps /\ th ) -> ta ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eel0T1 $p |- ( ch -> ta ) $=
      ( wtru w3a wa 3anass simpr jctl impbii truan 3bitri syl3an2 syl3an3
      sylbir ) CAJCKZEUBAJCLZLZUCCAJCMUDUCAUCNUCAFOPCQRCAJDEHJABDEGISTUA $.
  $}

  ${
    eel12131.1 $e |- ( ph -> ps ) $.
    eel12131.2 $e |- ( ( ph /\ ch ) -> th ) $.
    eel12131.3 $e |- ( ( ph /\ ta ) -> et ) $.
    eel12131.4 $e |- ( ( ps /\ th /\ et ) -> ze ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 17-Oct-2017.) $)
    eel12131 $p |- ( ( ph /\ ch /\ ta ) -> ze ) $=
      ( wi wa 3exp syl2imc ex pm2.43b com13 syl 3imp231 ) EACGEACGLZAEAUALZAEMF
      UBJCAFGCAFGLZACAUCLABACMDUCHIBDFGKNOPQRSPQT $.
  $}

  ${
    eel2131.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    eel2131.2 $e |- ( ( ph /\ th ) -> ta ) $.
    eel2131.3 $e |- ( ( ch /\ ta ) -> et ) $.
    $( ~ syl2an with antecedents in standard conjunction form.  (Contributed by
       Alan Sare, 26-Aug-2016.) $)
    eel2131 $p |- ( ( ph /\ ps /\ th ) -> et ) $=
      ( wa syl2an 3impdi ) ABDFABJCEFADJGHIKL $.
  $}

  ${
    eel3132.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    eel3132.2 $e |- ( ( th /\ ps ) -> ta ) $.
    eel3132.3 $e |- ( ( ch /\ ta ) -> et ) $.
    $( ~ syl2an with antecedents in standard conjunction form.  (Contributed by
       Alan Sare, 27-Aug-2016.) $)
    eel3132 $p |- ( ( ph /\ th /\ ps ) -> et ) $=
      ( wa syl2an 3impdir ) ABDFABJCEFDBJGHIKL $.
  $}

  ${
    eel0321old.1 $e |- ph $.
    eel0321old.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    eel0321old.3 $e |- ( ( ph /\ ta ) -> et ) $.
    $( ~ el0321old without virtual deductions.  (Contributed by Alan Sare,
       13-Jun-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    eel0321old $p |- ( ( ps /\ ch /\ th ) -> et ) $=
      ( w3a sylancr ) BCDJAEFGHIK $.
  $}

  ${
    el0321old.1 $e |- ph $.
    el0321old.2 $e |- (. (. ps ,. ch ,. th ). ->. ta ). $.
    el0321old.3 $e |- ( ( ph /\ ta ) -> et ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       13-Jun-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    el0321old $p |- (. (. ps ,. ch ,. th ). ->. et ). $=
      ( dfvd3ani eel0321old dfvd3anir ) BCDFABCDEFGBCDEHJIKL $.
  $}

  ${
    eel2122old.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    eel2122old.2 $e |- ( ps -> th ) $.
    eel2122old.3 $e |- ( ps -> ta ) $.
    eel2122old.4 $e |- ( ( ch /\ th /\ ta ) -> et ) $.
    $( ~ el2122old without virtual deductions.  (Contributed by Alan Sare,
       13-Jun-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    eel2122old $p |- ( ( ph /\ ps ) -> et ) $=
      ( wi wa 3exp syl syl5 syl7 ex pm2.43d imp ) ABFABFABBFKZABBTKBEABLZBFIBDU
      AEFKZHUACDUBKGCDEFJMNOPQRRS $.
  $}

  ${
    el2122old.1 $e |- (. (. ph ,. ps ). ->. ch ). $.
    el2122old.2 $e |- (. ps ->. th ). $.
    el2122old.3 $e |- (. ps ->. ta ). $.
    el2122old.4 $e |- ( ( ch /\ th /\ ta ) -> et ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       13-Jun-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    el2122old $p |- (. (. ph ,. ps ). ->. et ). $=
      ( dfvd2ani in1 eel2122old dfvd2anir ) ABFABCDEFABCGKBDHLBEILJMN $.
  $}

  ${
    eel0000.1 $e |- ph $.
    eel0000.2 $e |- ps $.
    eel0000.3 $e |- ch $.
    eel0000.4 $e |- th $.
    eel0000.5 $e |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ta ) $.
    $( Elimination rule similar to ~ mp4an , except with a left-nested
       conjunction unification theorem.  (Contributed by Alan Sare,
       17-Oct-2017.) $)
    eel0000 $p |- ta $=
      ( wi exp41 mp2 ) CDEHIABCDEKKFGABCDEJLMM $.
  $}

  ${
    eel00001.1 $e |- ph $.
    eel00001.2 $e |- ps $.
    eel00001.3 $e |- ch $.
    eel00001.4 $e |- th $.
    eel00001.5 $e |- ( ta -> et ) $.
    eel00001.6 $e |- ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ et ) -> ze ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 17-Oct-2017.) $)
    eel00001 $p |- ( ta -> ze ) $=
      ( wi wa exp41 mp2an mp2 syl ) EFGLCDFGNZJKABCDTNNHIABOCDFGMPQRS $.
  $}

  ${
    eel00000.1 $e |- ph $.
    eel00000.2 $e |- ps $.
    eel00000.3 $e |- ch $.
    eel00000.4 $e |- th $.
    eel00000.5 $e |- ta $.
    eel00000.6 $e |- ( ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) /\ ta ) -> et ) $.
    $( Elimination rule similar ~ eel0000 , except with five hpothesis steps.
       (Contributed by Alan Sare, 17-Oct-2017.) $)
    eel00000 $p |- et $=
      ( wi wa exp41 mpan mp2 ) DEFJKBCDEFMMZHIABCRMGABNCDEFLOPQQ $.
  $}

  ${
    eel11111.1 $e |- ( ph -> ps ) $.
    eel11111.2 $e |- ( ph -> ch ) $.
    eel11111.3 $e |- ( ph -> th ) $.
    eel11111.4 $e |- ( ph -> ta ) $.
    eel11111.5 $e |- ( ph -> et ) $.
    eel11111.6 $e |- ( ( ( ( ( ps /\ ch ) /\ th ) /\ ta ) /\ et ) -> ze ) $.
    $( Five-hypothesis elimination deduction for an assertion with a singleton
       virtual hypothesis collection.  Similar to ~ syl113anc except the
       unification theorem uses left-nested conjunction.  (Contributed by Alan
       Sare, 17-Oct-2017.) $)
    eel11111 $p |- ( ph -> ze ) $=
      ( wi wa exp41 ex syl3c mp2d ) AEFGKLABCDEFGNNZHIJBCDTNBCODEFGMPQRS $.
  $}

  ${
    e12.1 $e |- (. ph ->. ps ). $.
    e12.2 $e |- (. ph ,. ch ->. th ). $.
    e12.3 $e |- ( ps -> ( th -> ta ) ) $.
    $( A virtual deduction elimination rule (see ~ sylsyld ).  (Contributed by
       Alan Sare, 21-Apr-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e12 $p |- (. ph ,. ch ->. ta ). $=
      ( vd12 e22 ) ACBDEABCFIGHJ $.
  $}

  ${
    e12an.1 $e |- (. ph ->. ps ). $.
    e12an.2 $e |- (. ph ,. ch ->. th ). $.
    e12an.3 $e |- ( ( ps /\ th ) -> ta ) $.
    $( Conjunction form of ~ e12 (see ~ syl6an ).  (Contributed by Alan Sare,
       11-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e12an $p |- (. ph ,. ch ->. ta ). $=
      ( ex e12 ) ABCDEFGBDEHIJ $.
  $}

  ${
    el12.1 $e |- (. ph ->. ps ). $.
    el12.2 $e |- (. ta ->. ch ). $.
    el12.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( Virtual deduction form of ~ syl2an .  (Contributed by Alan Sare,
       23-Apr-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    el12 $p |- (. (. ph ,. ta ). ->. th ). $=
      ( in1 syl2an dfvd2anir ) AEDABCDEABFIECGIHJK $.
  $}

  ${
    e20.1 $e |- (. ph ,. ps ->. ch ). $.
    e20.2 $e |- th $.
    e20.3 $e |- ( ch -> ( th -> ta ) ) $.
    $( A virtual deduction elimination rule (see ~ syl6mpi ).  (Contributed by
       Alan Sare, 14-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e20 $p |- (. ph ,. ps ->. ta ). $=
      ( vd02 e22 ) ABCDEFDABGIHJ $.
  $}

  ${
    e20an.1 $e |- (. ph ,. ps ->. ch ). $.
    e20an.2 $e |- th $.
    e20an.3 $e |- ( ( ch /\ th ) -> ta ) $.
    $( Conjunction form of ~ e20 .  (Contributed by Alan Sare, 15-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    e20an $p |- (. ph ,. ps ->. ta ). $=
      ( ex e20 ) ABCDEFGCDEHIJ $.
  $}

  ${
    ee20an.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee20an.2 $e |- th $.
    ee20an.3 $e |- ( ( ch /\ th ) -> ta ) $.
    $( ~ e20an without virtual deductions.  (Contributed by Alan Sare,
       8-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee20an $p |- ( ph -> ( ps -> ta ) ) $=
      ( ex syl6mpi ) ABCDEFGCDEHIJ $.
  $}

  ${
    e21.1 $e |- (. ph ,. ps ->. ch ). $.
    e21.2 $e |- (. ph ->. th ). $.
    e21.3 $e |- ( ch -> ( th -> ta ) ) $.
    $( A virtual deduction elimination rule (see ~ syl6ci ).  (Contributed by
       Alan Sare, 12-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e21 $p |- (. ph ,. ps ->. ta ). $=
      ( vd12 e22 ) ABCDEFADBGIHJ $.
  $}

  ${
    e21an.1 $e |- (. ph ,. ps ->. ch ). $.
    e21an.2 $e |- (. ph ->. th ). $.
    e21an.3 $e |- ( ( ch /\ th ) -> ta ) $.
    $( Conjunction form of ~ e21 .  (Contributed by Alan Sare, 15-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    e21an $p |- (. ph ,. ps ->. ta ). $=
      ( ex e21 ) ABCDEFGCDEHIJ $.
  $}

  ${
    ee21an.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee21an.2 $e |- ( ph -> th ) $.
    ee21an.3 $e |- ( ( ch /\ th ) -> ta ) $.
    $( ~ e21an without virtual deductions.  (Contributed by Alan Sare,
       8-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee21an $p |- ( ph -> ( ps -> ta ) ) $=
      ( ex syl6ci ) ABCDEFGCDEHIJ $.
  $}

  ${
    e333.1 $e |- (. ph ,. ps ,. ch ->. th ). $.
    e333.2 $e |- (. ph ,. ps ,. ch ->. ta ). $.
    e333.3 $e |- (. ph ,. ps ,. ch ->. et ). $.
    e333.4 $e |- ( th -> ( ta -> ( et -> ze ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       12-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e333 $p |- (. ph ,. ps ,. ch ->. ze ). $=
      ( w3a dfvd3i 3imp wi syl2im pm2.43i syl5com 3exp dfvd3ir ) ABCGABCGABCLZG
      UAFUAGABCFABCFJMNUAFGOZUADUAEUBABCDABCDHMNABCEABCEIMNKPQRQST $.
  $}

  ${
    e33.1 $e |- (. ph ,. ps ,. ch ->. th ). $.
    e33.2 $e |- (. ph ,. ps ,. ch ->. ta ). $.
    e33.3 $e |- ( th -> ( ta -> et ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       12-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e33 $p |- (. ph ,. ps ,. ch ->. et ). $=
      ( wi a1i e333 ) ABCDDEFGGHDEFJJDIKL $.
  $}

  ${
    e33an.1 $e |- (. ph ,. ps ,. ch ->. th ). $.
    e33an.2 $e |- (. ph ,. ps ,. ch ->. ta ). $.
    e33an.3 $e |- ( ( th /\ ta ) -> et ) $.
    $( Conjunction form of ~ e33 .  (Contributed by Alan Sare, 15-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    e33an $p |- (. ph ,. ps ,. ch ->. et ). $=
      ( ex e33 ) ABCDEFGHDEFIJK $.
  $}

  ${
    ee33an.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    ee33an.2 $e |- ( ph -> ( ps -> ( ch -> ta ) ) ) $.
    ee33an.3 $e |- ( ( th /\ ta ) -> et ) $.
    $( ~ e33an without virtual deductions.  (Contributed by Alan Sare,
       8-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee33an $p |- ( ph -> ( ps -> ( ch -> et ) ) ) $=
      ( ex ee33 ) ABCDEFGHDEFIJK $.
  $}

  ${
    e3.1 $e |- (. ph ,. ps ,. ch ->. th ). $.
    e3.2 $e |- ( th -> ta ) $.
    $( Meta-connective form of ~ syl8 .  (Contributed by Alan Sare,
       15-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e3 $p |- (. ph ,. ps ,. ch ->. ta ). $=
      ( wi a1i e33 ) ABCDDEFFDEHDGIJ $.
  $}

  ${
    e3bi.1 $e |- (. ph ,. ps ,. ch ->. th ). $.
    e3bi.2 $e |- ( th <-> ta ) $.
    $( Biconditional form of ~ e3 . ~ syl8ib is ~ e3bi without virtual
       deductions.  (Contributed by Alan Sare, 15-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    e3bi $p |- (. ph ,. ps ,. ch ->. ta ). $=
      ( biimpi e3 ) ABCDEFDEGHI $.
  $}

  ${
    e3bir.1 $e |- (. ph ,. ps ,. ch ->. th ). $.
    e3bir.2 $e |- ( ta <-> th ) $.
    $( Right biconditional form of ~ e3 .  (Contributed by Alan Sare,
       15-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e3bir $p |- (. ph ,. ps ,. ch ->. ta ). $=
      ( biimpri e3 ) ABCDEFEDGHI $.
  $}

  ${
    e03.1 $e |- ph $.
    e03.2 $e |- (. ps ,. ch ,. th ->. ta ). $.
    e03.3 $e |- ( ph -> ( ta -> et ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       12-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e03 $p |- (. ps ,. ch ,. th ->. et ). $=
      ( vd03 e33 ) BCDAEFABCDGJHIK $.
  $}

  ${
    ee03.1 $e |- ph $.
    ee03.2 $e |- ( ps -> ( ch -> ( th -> ta ) ) ) $.
    ee03.3 $e |- ( ph -> ( ta -> et ) ) $.
    $( ~ e03 without virtual deductions.  (Contributed by Alan Sare,
       17-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee03 $p |- ( ps -> ( ch -> ( th -> et ) ) ) $=
      ( a1i a1d a1dd ee33 ) BCDAEFBCADBACABGJKLHIM $.
  $}

  ${
    e03an.1 $e |- ph $.
    e03an.2 $e |- (. ps ,. ch ,. th ->. ta ). $.
    e03an.3 $e |- ( ( ph /\ ta ) -> et ) $.
    $( Conjunction form of ~ e03 .  (Contributed by Alan Sare, 12-Jun-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    e03an $p |- (. ps ,. ch ,. th ->. et ). $=
      ( ex e03 ) ABCDEFGHAEFIJK $.
  $}

  ${
    ee03an.1 $e |- ph $.
    ee03an.2 $e |- ( ps -> ( ch -> ( th -> ta ) ) ) $.
    ee03an.3 $e |- ( ( ph /\ ta ) -> et ) $.
    $( Conjunction form of ~ ee03 .  (Contributed by Alan Sare, 18-Jul-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ee03an $p |- ( ps -> ( ch -> ( th -> et ) ) ) $=
      ( ex ee03 ) ABCDEFGHAEFIJK $.
  $}

  ${
    e30.1 $e |- (. ph ,. ps ,. ch ->. th ). $.
    e30.2 $e |- ta $.
    e30.3 $e |- ( th -> ( ta -> et ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       12-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e30 $p |- (. ph ,. ps ,. ch ->. et ). $=
      ( vd03 e33 ) ABCDEFGEABCHJIK $.
  $}

  ${
    ee30.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    ee30.2 $e |- ta $.
    ee30.3 $e |- ( th -> ( ta -> et ) ) $.
    $( ~ e30 without virtual deductions.  (Contributed by Alan Sare,
       17-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee30 $p |- ( ph -> ( ps -> ( ch -> et ) ) ) $=
      ( wi a1i ee33 ) ABCDEFGBCEJZJAMBECHKKKIL $.
  $}

  ${
    e30an.1 $e |- (. ph ,. ps ,. ch ->. th ). $.
    e30an.2 $e |- ta $.
    e30an.3 $e |- ( ( th /\ ta ) -> et ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e30an $p |- (. ph ,. ps ,. ch ->. et ). $=
      ( ex e30 ) ABCDEFGHDEFIJK $.
  $}

  ${
    ee30an.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    ee30an.2 $e |- ta $.
    ee30an.3 $e |- ( ( th /\ ta ) -> et ) $.
    $( Conjunction form of ~ ee30 .  (Contributed by Alan Sare, 17-Jul-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ee30an $p |- ( ph -> ( ps -> ( ch -> et ) ) ) $=
      ( ex ee30 ) ABCDEFGHDEFIJK $.
  $}

  ${
    e13.1 $e |- (. ph ->. ps ). $.
    e13.2 $e |- (. ph ,. ch ,. th ->. ta ). $.
    e13.3 $e |- ( ps -> ( ta -> et ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       13-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e13 $p |- (. ph ,. ch ,. th ->. et ). $=
      ( vd13 e33 ) ACDBEFABCDGJHIK $.
  $}

  ${
    e13an.1 $e |- (. ph ->. ps ). $.
    e13an.2 $e |- (. ph ,. ch ,. th ->. ta ). $.
    e13an.3 $e |- ( ( ps /\ ta ) -> et ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e13an $p |- (. ph ,. ch ,. th ->. et ). $=
      ( ex e13 ) ABCDEFGHBEFIJK $.
  $}

  ${
    ee13an.1 $e |- ( ph -> ps ) $.
    ee13an.2 $e |- ( ph -> ( ch -> ( th -> ta ) ) ) $.
    ee13an.3 $e |- ( ( ps /\ ta ) -> et ) $.
    $( ~ e13an without virtual deductions.  (Contributed by Alan Sare,
       8-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee13an $p |- ( ph -> ( ch -> ( th -> et ) ) ) $=
      ( ex ee13 ) ABCDEFGHBEFIJK $.
  $}

  ${
    e31.1 $e |- (. ph ,. ps ,. ch ->. th ). $.
    e31.2 $e |- (. ph ->. ta ). $.
    e31.3 $e |- ( th -> ( ta -> et ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       13-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e31 $p |- (. ph ,. ps ,. ch ->. et ). $=
      ( vd13 e33 ) ABCDEFGAEBCHJIK $.
  $}

  ${
    ee31.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    ee31.2 $e |- ( ph -> ta ) $.
    ee31.3 $e |- ( th -> ( ta -> et ) ) $.
    $( ~ e31 without virtual deductions.  (Contributed by Alan Sare,
       25-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee31 $p |- ( ph -> ( ps -> ( ch -> et ) ) ) $=
      ( wi a1d ee33 ) ABCDEFGACEJBAECHKKIL $.
  $}

  ${
    e31an.1 $e |- (. ph ,. ps ,. ch ->. th ). $.
    e31an.2 $e |- (. ph ->. ta ). $.
    e31an.3 $e |- ( ( th /\ ta ) -> et ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e31an $p |- (. ph ,. ps ,. ch ->. et ). $=
      ( ex e31 ) ABCDEFGHDEFIJK $.
  $}

  ${
    ee31an.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    ee31an.2 $e |- ( ph -> ta ) $.
    ee31an.3 $e |- ( ( th /\ ta ) -> et ) $.
    $( ~ e31an without virtual deductions.  (Contributed by Alan Sare,
       14-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee31an $p |- ( ph -> ( ps -> ( ch -> et ) ) ) $=
      ( wi a1d ee33an ) ABCDEFGACEJBAECHKKIL $.
  $}

  ${
    e23.1 $e |- (. ph ,. ps ->. ch ). $.
    e23.2 $e |- (. ph ,. ps ,. th ->. ta ). $.
    e23.3 $e |- ( ch -> ( ta -> et ) ) $.
    $( A virtual deduction elimination rule (see ~ syl10 ).  (Contributed by
       Alan Sare, 12-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e23 $p |- (. ph ,. ps ,. th ->. et ). $=
      ( vd23 e33 ) ABDCEFABCDGJHIK $.
  $}

  ${
    e23an.1 $e |- (. ph ,. ps ->. ch ). $.
    e23an.2 $e |- (. ph ,. ps ,. th ->. ta ). $.
    e23an.3 $e |- ( ( ch /\ ta ) -> et ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e23an $p |- (. ph ,. ps ,. th ->. et ). $=
      ( ex e23 ) ABCDEFGHCEFIJK $.
  $}

  ${
    ee23an.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee23an.2 $e |- ( ph -> ( ps -> ( th -> ta ) ) ) $.
    ee23an.3 $e |- ( ( ch /\ ta ) -> et ) $.
    $( ~ e23an without virtual deductions.  (Contributed by Alan Sare,
       14-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee23an $p |- ( ph -> ( ps -> ( th -> et ) ) ) $=
      ( a1dd ee33an ) ABDCEFABCDGJHIK $.
  $}

  ${
    e32.1 $e |- (. ph ,. ps ,. ch ->. th ). $.
    e32.2 $e |- (. ph ,. ps ->. ta ). $.
    e32.3 $e |- ( th -> ( ta -> et ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       12-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e32 $p |- (. ph ,. ps ,. ch ->. et ). $=
      ( vd23 e33 ) ABCDEFGABECHJIK $.
  $}

  ${
    ee32.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    ee32.2 $e |- ( ph -> ( ps -> ta ) ) $.
    ee32.3 $e |- ( th -> ( ta -> et ) ) $.
    $( ~ e32 without virtual deductions.  (Contributed by Alan Sare,
       18-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee32 $p |- ( ph -> ( ps -> ( ch -> et ) ) ) $=
      ( a1dd ee33 ) ABCDEFGABECHJIK $.
  $}

  ${
    e32an.1 $e |- (. ph ,. ps ,. ch ->. th ). $.
    e32an.2 $e |- (. ph ,. ps ->. ta ). $.
    e32an.3 $e |- ( ( th /\ ta ) -> et ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       24-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e32an $p |- (. ph ,. ps ,. ch ->. et ). $=
      ( ex e32 ) ABCDEFGHDEFIJK $.
  $}

  ${
    ee32an.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    ee32an.2 $e |- ( ph -> ( ps -> ta ) ) $.
    ee32an.3 $e |- ( ( th /\ ta ) -> et ) $.
    $( ~ e33an without virtual deductions.  (Contributed by Alan Sare,
       14-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee32an $p |- ( ph -> ( ps -> ( ch -> et ) ) ) $=
      ( a1dd ee33an ) ABCDEFGABECHJIK $.
  $}

  ${
    e123.1 $e |- (. ph ->. ps ). $.
    e123.2 $e |- (. ph ,. ch ->. th ). $.
    e123.3 $e |- (. ph ,. ch ,. ta ->. et ). $.
    e123.4 $e |- ( ps -> ( th -> ( et -> ze ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       12-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e123 $p |- (. ph ,. ch ,. ta ->. ze ). $=
      ( vd13 vd23 e333 ) ACEBDFGABCEHLACDEIMJKN $.
  $}

  ${
    ee123.1 $e |- ( ph -> ps ) $.
    ee123.2 $e |- ( ph -> ( ch -> th ) ) $.
    ee123.3 $e |- ( ph -> ( ch -> ( ta -> et ) ) ) $.
    ee123.4 $e |- ( ps -> ( th -> ( et -> ze ) ) ) $.
    $( ~ e123 without virtual deductions.  (Contributed by Alan Sare,
       25-Jul-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ee123 $p |- ( ph -> ( ch -> ( ta -> ze ) ) ) $=
      ( wi a1d a1dd ee333 ) ACEBDFGAEBLCABEHMMACDEINJKO $.
  $}

  ${
    el123.1 $e |- (. ph ->. ps ). $.
    el123.2 $e |- (. ch ->. th ). $.
    el123.3 $e |- (. ta ->. et ). $.
    el123.4 $e |- ( ( ps /\ th /\ et ) -> ze ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       13-Jun-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    el123 $p |- (. (. ph ,. ch ,. ta ). ->. ze ). $=
      ( in1 syl3an dfvd3anir ) ACEGABCDEFGABHLCDILEFJLKMN $.
  $}

  ${
    e233.1 $e |- (. ph ,. ps ->. ch ). $.
    e233.2 $e |- (. ph ,. ps ,. th ->. ta ). $.
    e233.3 $e |- (. ph ,. ps ,. th ->. et ). $.
    e233.4 $e |- ( ch -> ( ta -> ( et -> ze ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       29-Feb-2012.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e233 $p |- (. ph ,. ps ,. th ->. ze ). $=
      ( dfvd2i dfvd3i ee233 dfvd3ir ) ABDGABCDEFGABCHLABDEIMABDFJMKNO $.
  $}

  ${
    e323.1 $e |- (. ph ,. ps ,. ch ->. th ). $.
    e323.2 $e |- (. ph ,. ps ->. ta ). $.
    e323.3 $e |- (. ph ,. ps ,. ch ->. et ). $.
    e323.4 $e |- ( th -> ( ta -> ( et -> ze ) ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       17-Apr-2012.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e323 $p |- (. ph ,. ps ,. ch ->. ze ). $=
      ( dfvd3i dfvd2i ee323 dfvd3ir ) ABCGABCDEFGABCDHLABEIMABCFJLKNO $.
  $}

  ${
    e000.1 $e |- ph $.
    e000.2 $e |- ps $.
    e000.3 $e |- ch $.
    e000.4 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( A virtual deduction elimination rule.  The non-virtual deduction form of
       ~ e000 is the virtual deduction form.  (Contributed by Alan Sare,
       14-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e000 $p |- th $=
      ( wi mp2 ax-mp ) CDGABCDIEFHJK $.
  $}

  ${
    e00.1 $e |- ph $.
    e00.2 $e |- ps $.
    e00.3 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Elimination rule identical to ~ mp2 .  The non-virtual deduction form is
       the virtual deduction form, which is ~ mp2 .  (Contributed by Alan Sare,
       14-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e00 $p |- ch $=
      ( mp2 ) ABCDEFG $.
  $}

  ${
    e00an.1 $e |- ph $.
    e00an.2 $e |- ps $.
    e00an.3 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Elimination rule identical to ~ mp2an .  The non-virtual deduction form
       is the virtual deduction form, which is ~ mp2an .  (Contributed by Alan
       Sare, 15-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e00an $p |- ch $=
      ( mp2an ) ABCDEFG $.
  $}

  ${
    eel00cT.1 $e |- ph $.
    eel00cT.2 $e |- ps $.
    eel00cT.3 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eel00cT $p |- ( T. -> ch ) $=
      ( wtru mpan ax-mp a1i ) CGBCEABCDFHIJ $.
  $}

  ${
    eelTT.1 $e |- ( T. -> ph ) $.
    eelTT.2 $e |- ( T. -> ps ) $.
    eelTT.3 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eelTT $p |- ch $=
      ( wtru wa truan sylan sylbir syl mptru ) CGBCEBGBHCBIGABCDFJKLM $.
  $}

  ${
    e0a.1 $e |- ph $.
    e0a.2 $e |- ( ph -> ps ) $.
    $( Elimination rule identical to ~ ax-mp .  The non-virtual deduction form
       is the virtual deduction form, which is ~ ax-mp .  (Contributed by Alan
       Sare, 14-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e0a $p |- ps $=
      ( ax-mp ) ABCDE $.
  $}

  ${
    eelT.1 $e |- ( T. -> ph ) $.
    eelT.2 $e |- ( ph -> ps ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 5-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eelT $p |- ps $=
      ( wtru syl mptru ) BEABCDFG $.
  $}

  ${
    eel0cT.1 $e |- ph $.
    eel0cT.2 $e |- ( ph -> ps ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eel0cT $p |- ( T. -> ps ) $=
      ( wtru ax-mp a1i ) BEABCDFG $.
  $}

  ${
    eelT0.1 $e |- ( T. -> ph ) $.
    eelT0.2 $e |- ps $.
    eelT0.3 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An elimination deduction.  (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    eelT0 $p |- ch $=
      ( wtru sylan mpan2 mptru ) CGBCEGABCDFHIJ $.
  $}

  ${
    e0bi.1 $e |- ph $.
    e0bi.2 $e |- ( ph <-> ps ) $.
    $( Elimination rule identical to ~ mpbi .  The non-virtual deduction form
       is the virtual deduction form, which is ~ mpbi .  (Contributed by Alan
       Sare, 15-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e0bi $p |- ps $=
      ( mpbi ) ABCDE $.
  $}

  ${
    e0bir.1 $e |- ph $.
    e0bir.2 $e |- ( ps <-> ph ) $.
    $( Elimination rule identical to ~ mpbir .  The non-virtual deduction form
       is the virtual deduction form, which is ~ mpbir .  (Contributed by Alan
       Sare, 15-Jun-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    e0bir $p |- ps $=
      ( mpbir ) BACDE $.
  $}

  ${
    uun0.1.1 $e |- ( T. -> ph ) $.
    uun0.1.2 $e |- ( ps -> ch ) $.
    uun0.1.3 $e |- ( ( T. /\ ps ) -> th ) $.
    $( Convention notation form of ~ un0.1 .  (Contributed by Alan Sare,
       23-Apr-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    uun0.1 $p |- ( ps -> th ) $=
      ( wtru wi tru wa pm3.2i simpri ex ax-mp ) HBDIJHBDHAIZBCIZKZHBKDIZRSPQEFL
      GLMNO $.
  $}

  ${
    un0.1.1 $e |- (. T. ->. ph ). $.
    un0.1.2 $e |- (. ps ->. ch ). $.
    un0.1.3 $e |- (. (. T. ,. ps ). ->. th ). $.
    $( ` T. ` is the constant true, a tautology (see ~ df-tru ).  Kleene's
       "empty conjunction" is logically equivalent to ` T. ` .  In a virtual
       deduction we shall interpret ` T. ` to be the empty wff or the empty
       collection of virtual hypotheses. ` T. ` in a virtual deduction
       translated into conventional notation we shall interpret to be Kleene's
       empty conjunction.  If ` th ` is true given the empty collection of
       virtual hypotheses and another collection of virtual hypotheses, then it
       is true given only the other collection of virtual hypotheses.
       (Contributed by Alan Sare, 23-Apr-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    un0.1 $p |- (. ps ->. th ). $=
      ( wtru in1 dfvd2ani uun0.1 dfvd1ir ) BDABCDHAEIBCFIHBDGJKL $.
  $}

  ${
    uunT1.1 $e |- ( ( T. /\ ph ) -> ps ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 3-Dec-2015.)  Proof was revised to
       accommodate a possible future version of ~ df-tru .  (Revised by David
       A. Wheeler, 8-May-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    uunT1 $p |- ( ph -> ps ) $=
      ( wtru wn wo orc tru biid 2th exmid a1i biidd impbii bitri sylibr mpancom
      wb ) DABAAAEZFZDASGDAARZTDUAHAIJUATTUAAKLTAMNOPCQ $.
  $}

  ${
    uunT1p1.1 $e |- ( ( ph /\ T. ) -> ps ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uunT1p1 $p |- ( ph -> ps ) $=
      ( wtru wa ancom truan bitri sylbir ) AADEZBJDAEAADFAGHCI $.
  $}

  ${
    uunT21.1 $e |- ( ( T. /\ ( ph /\ ps ) ) -> ch ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 3-Dec-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uunT21 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa uunT1 ) ABECDF $.
  $}

  ${
    uun121.1 $e |- ( ( ph /\ ( ph /\ ps ) ) -> ch ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uun121 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa anabs5 sylbir ) ABEZAHECABFDG $.
  $}

  ${
    uun121p1.1 $e |- ( ( ( ph /\ ps ) /\ ph ) -> ch ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uun121p1 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa anabs1 sylbir ) ABEZHAECABFDG $.
  $}

  ${
    uun132.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uun132 $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( w3a wa 3anass sylbi ) ABCFABCGGDABCHEI $.
  $}

  ${
    uun132p1.1 $e |- ( ( ( ps /\ ch ) /\ ph ) -> th ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uun132p1 $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( w3a wa 3anass ancom bitri sylbi ) ABCFZBCGZAGZDLAMGNABCHAMIJEK $.
  $}

  ${
    anabss7p1.1 $e |- ( ( ( ps /\ ph ) /\ ph ) -> ch ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       This would have been named uun221 if the 0th permutation did not exist
       in set.mm as ~ anabss7 .  (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    anabss7p1 $p |- ( ( ps /\ ph ) -> ch ) $=
      ( anabss3 ) BACDE $.
  $}

  ${
    un10.1 $e |- (. (. ph ,. T. ). ->. ps ). $.
    $( A unionizing deduction.  (Contributed by Alan Sare, 28-Apr-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    un10 $p |- (. ph ->. ps ). $=
      ( wtru wa tru jctr dfvd2ani syl dfvd1ir ) ABAADEBADFGADBCHIJ $.
  $}

  ${
    un01.1 $e |- (. (. T. ,. ph ). ->. ps ). $.
    $( A unionizing deduction.  (Contributed by Alan Sare, 28-Apr-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    un01 $p |- (. ph ->. ps ). $=
      ( wtru wa tru jctl dfvd2ani syl dfvd1ir ) ABADAEBADFGDABCHIJ $.
  $}

  ${
    un2122.1 $e |- ( ( ( ph /\ ps ) /\ ps /\ ps ) -> ch ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 3-Dec-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    un2122 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa w3a 3anass anandir ancom anabs7 bitri bitr3i sylbir ) ABEZNBBFZCONBB
      EEZNNBBGPNBEZNABBHQBNENNBIABJKLKDM $.
  $}

  ${
    uun2131.1 $e |- ( ( ( ph /\ ps ) /\ ( ph /\ ch ) ) -> th ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uun2131 $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( 3impdi ) ABCDEF $.
  $}

  ${
    uun2131p1.1 $e |- ( ( ( ph /\ ch ) /\ ( ph /\ ps ) ) -> th ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uun2131p1 $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wa ancom sylbi 3impdi ) ABCDABFZACFZFKJFDJKGEHI $.
  $}

  ${
    uunTT1.1 $e |- ( ( T. /\ T. /\ ph ) -> ps ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uunTT1 $p |- ( ph -> ps ) $=
      ( wtru w3a wa 3anass anabs5 truan 3bitri sylbir ) ADDAEZBLDDAFZFMADDAGDAH
      AIJCK $.
  $}

  ${
    uunTT1p1.1 $e |- ( ( T. /\ ph /\ T. ) -> ps ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uunTT1p1 $p |- ( ph -> ps ) $=
      ( wtru w3a wa 3ancomb 3anass anabs5 3bitri truan bitri sylbir ) ADADEZBND
      AFZANDDAEDOFODADGDDAHDAIJAKLCM $.
  $}

  ${
    uunTT1p2.1 $e |- ( ( ph /\ T. /\ T. ) -> ps ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uunTT1p2 $p |- ( ph -> ps ) $=
      ( wtru w3a wa 3anrot 3anass anabs5 3bitri truan bitri sylbir ) AADDEZBNDA
      FZANDDAEDOFOADDGDDAHDAIJAKLCM $.
  $}

  ${
    uunT11.1 $e |- ( ( T. /\ ph /\ ph ) -> ps ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uunT11 $p |- ( ph -> ps ) $=
      ( wtru w3a wa 3anass truan anidm 3bitri sylbir ) ADAAEZBLDAAFZFMADAAGMHAI
      JCK $.
  $}

  ${
    uunT11p1.1 $e |- ( ( ph /\ T. /\ ph ) -> ps ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uunT11p1 $p |- ( ph -> ps ) $=
      ( wtru w3a wa 3anrot 3anass truan 3bitri anidm bitri sylbir ) AADAEZBNAAF
      ZANDAAEDOFOADAGDAAHOIJAKLCM $.
  $}

  ${
    uunT11p2.1 $e |- ( ( ph /\ ph /\ T. ) -> ps ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uunT11p2 $p |- ( ph -> ps ) $=
      ( wtru w3a wa 3anrev 3anass truan 3bitri anidm bitri sylbir ) AAADEZBNAAF
      ZANDAAEDOFOAADGDAAHOIJAKLCM $.
  $}

  ${
    uunT12.1 $e |- ( ( T. /\ ph /\ ps ) -> ch ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uunT12 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa wtru w3a 3anass truan bitri sylbir ) ABEZFABGZCMFLELFABHLIJDK $.
  $}

  ${
    uunT12p1.1 $e |- ( ( T. /\ ps /\ ph ) -> ch ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uunT12p1 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa wtru w3a 3anass truan bitri ancom bitr4i sylbir ) ABEZFBAGZCOBAEZNOF
      PEPFBAHPIJABKLDM $.
  $}

  ${
    uunT12p2.1 $e |- ( ( ph /\ T. /\ ps ) -> ch ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uunT12p2 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa wtru w3a 3anrot 3anass bitri truan ancom bitr4i sylbir ) ABEZAFBGZCP
      BAEZOPFQEZQPFBAGRAFBHFBAIJQKJABLMDN $.
  $}

  ${
    uunT12p3.1 $e |- ( ( ps /\ T. /\ ph ) -> ch ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uunT12p3 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa wtru w3a 3ancoma 3anass bitri truan ancom bitr4i sylbir ) ABEZBFAGZC
      PBAEZOPFQEZQPFBAGRBFAHFBAIJQKJABLMDN $.
  $}

  ${
    uunT12p4.1 $e |- ( ( ph /\ ps /\ T. ) -> ch ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uunT12p4 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa wtru w3a 3anrot 3anass bitr3i truan bitri sylbir ) ABEZABFGZCOFNEZNO
      FABGPFABHFABIJNKLDM $.
  $}

  ${
    uunT12p5.1 $e |- ( ( ps /\ ph /\ T. ) -> ch ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uunT12p5 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa wtru w3a 3anrev 3anass bitri truan sylbir ) ABEZBAFGZCNFMEZMNFABGOBA
      FHFABIJMKJDL $.
  $}

  ${
    uun111.1 $e |- ( ( ph /\ ph /\ ph ) -> ps ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uun111 $p |- ( ph -> ps ) $=
      ( w3a wa 3anass anabs5 anidm 3bitri sylbir ) AAAADZBKAAAEZELAAAAFAAGAHICJ
      $.
  $}

  ${
    3anidm12p1.1 $e |- ( ( ph /\ ps /\ ph ) -> ch ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       ~ 3anidm12 denotes the deduction which would have been named uun112 if
       it did not pre-exist in set.mm.  This second permutation's name is based
       on this pre-existing name.  (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    3anidm12p1 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( 3anidm13 ) ABCDE $.
  $}

  ${
    3anidm12p2.1 $e |- ( ( ps /\ ph /\ ph ) -> ch ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    3anidm12p2 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( w3a 3anrot sylbir 3anidm12 ) ABCAABEBAAECBAAFDGH $.
  $}

  ${
    uun123.1 $e |- ( ( ph /\ ch /\ ps ) -> th ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uun123 $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( w3a 3ancomb sylbir ) ABCFACBFDACBGEH $.
  $}

  ${
    uun123p1.1 $e |- ( ( ps /\ ph /\ ch ) -> th ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uun123p1 $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( 3com12 ) BACDEF $.
  $}

  ${
    uun123p2.1 $e |- ( ( ch /\ ph /\ ps ) -> th ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uun123p2 $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( 3coml ) CABDEF $.
  $}

  ${
    uun123p3.1 $e |- ( ( ps /\ ch /\ ph ) -> th ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uun123p3 $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( 3comr ) BCADEF $.
  $}

  ${
    uun123p4.1 $e |- ( ( ch /\ ps /\ ph ) -> th ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uun123p4 $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( 3com13 ) CBADEF $.
  $}

  ${
    uun2221.1 $e |- ( ( ph /\ ph /\ ( ps /\ ph ) ) -> ch ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 30-Dec-2016.)
       (Proof modification is discouraged.)  (New usage is discouraged.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uun2221 $p |- ( ( ps /\ ph ) -> ch ) $=
      ( wa w3a wi 3anass anabs5 bitri ancom anbi2i bitr4i imbi1i mpbi ) AABAEZF
      ZCGPCGDQPCQAABEZEZPQAPEZSQATETAAPHAPIJRPAABKZLMSRPABIUAJJNO $.
  $}

  ${
    uun2221p1.1 $e |- ( ( ph /\ ( ps /\ ph ) /\ ph ) -> ch ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uun2221p1 $p |- ( ( ps /\ ph ) -> ch ) $=
      ( wa w3a 3anrot imbi1i mpbir 3anass anabs5 bitri ancom anbi2i bitr4i mpbi
      wi ) AABAEZFZCQZRCQTARAFZCQDSUACAARGHISRCSAABEZEZRSAREZUCSAUDEUDAARJARKLU
      BRAABMZNOUCUBRABKUELLHP $.
  $}

  ${
    uun2221p2.1 $e |- ( ( ( ps /\ ph ) /\ ph /\ ph ) -> ch ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    uun2221p2 $p |- ( ( ps /\ ph ) -> ch ) $=
      ( wa w3a 3anrev imbi1i mpbir 3anass anabs5 bitri ancom anbi2i bitr4i mpbi
      wi ) AABAEZFZCQZRCQTRAAFZCQDSUACAARGHISRCSAABEZEZRSAREZUCSAUDEUDAARJARKLU
      BRAABMZNOUCUBRABKUELLHP $.
  $}

  ${
    3impdirp1.1 $e |- ( ( ( ch /\ ps ) /\ ( ph /\ ps ) ) -> th ) $.
    $( A deduction unionizing a non-unionized collection of virtual hypotheses.
       Commuted version of ~ 3impdir .  (Contributed by Alan Sare, 4-Feb-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    3impdirp1 $p |- ( ( ph /\ ch /\ ps ) -> th ) $=
      ( wa ancom sylbir 3impdir ) ABCDABFZCBFZFKJFDKJGEHI $.
  $}

  ${
    3impcombi.1 $e |- ( ( ph /\ ps /\ ph ) -> ( ch <-> th ) ) $.
    $( A 1-hypothesis propositional calculus deduction.  (Contributed by Alan
       Sare, 25-Sep-2017.) $)
    3impcombi $p |- ( ( ps /\ ph /\ ch ) -> th ) $=
      ( wi w3a biimpd 3anidm13 ancoms 3impia ) BACDABCDFZABLABAGCDEHIJK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Theorems proved using Virtual Deduction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.
    $( Virtual deduction proof of the left-to-right implication of ~ dftr4 .  A
       transitive class is a subset of its power class.  This proof corresponds
       to the virtual deduction proof of ~ dftr4 without accumulating results.
       (Contributed by Alan Sare, 29-Apr-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    trsspwALT $p |- ( Tr A -> A C_ ~P A ) $=
      ( vx wtr cpw wss cv wcel wi wal wb dfss2 idn1 idn2 trss e12 vex e2bir in2
      elpw gen11 biimpr e01 in1 ) ACZAADZEZUFBFZAGZUGUEGZHZBIZJUDUKUFBAUEKUDUJB
      UDUHUIUDUHUGAEZUIUDUDUHUHULUDLUDUHMAUGNOUGABPSQRTUFUKUAUBUC $.
  $}

  ${
    $d x A $.
    $( Virtual deduction proof of ~ trsspwALT .  This proof is the same as the
       proof of ~ trsspwALT except each virtual deduction symbol is replaced by
       its non-virtual deduction symbol equivalent.  A transitive class is a
       subset of its power class.  (Contributed by Alan Sare, 23-Jul-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    trsspwALT2 $p |- ( Tr A -> A C_ ~P A ) $=
      ( vx wtr cpw wss wi cv wcel wal wb dfss2 id idd trss sylsyld elpw syl6ibr
      vex idiALT alrimiv biimpr mpsyl ) ACZAADZEZFUEBGZAHZUFUDHZFZBIZJUCUJUEBAU
      DKUCUIBUCUIFUCUGUFAEZUHUCUCUGUGUKUCLUCUGMAUFNOUFABRPQSTUEUJUAUBS $.
  $}

  ${
    $d x A $.
    $( Short predicate calculus proof of the left-to-right implication of
       ~ dftr4 .  A transitive class is a subset of its power class.  This
       proof was constructed by applying Metamath's minimize command to the
       proof of ~ trsspwALT2 , which is the virtual deduction proof ~ trsspwALT
       without virtual deductions.  (Contributed by Alan Sare, 30-Apr-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    trsspwALT3 $p |- ( Tr A -> A C_ ~P A ) $=
      ( vx wtr cpw cv wcel wss trss vex elpw syl6ibr ssrdv ) ACZBAADZMBEZAFOAGO
      NFAOHOABIJKL $.
  $}

  ${
    $d z A $.  $d y A $.  $d z y $.
    $( Virtual deduction proof of the right-to-left implication of ~ dftr4 .  A
       class which is a subclass of its power class is transitive.  This proof
       corresponds to the virtual deduction proof of ~ sspwtr without
       accumulating results.  (Contributed by Alan Sare, 2-May-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    sspwtr $p |- ( A C_ ~P A -> Tr A ) $=
      ( vz vy cpw wss wtr cv wcel wa wi wal wb dftr2 idn1 idn2 simpr ssel elpwi
      e2 e12 simpl e22 in2 gen12 biimpr e01 in1 ) AADZEZAFZUJBGZCGZHZULAHZIZUKA
      HZJZCKBKZLUIURUJBCAMUIUQBCUIUOUPUIUOULAEZUMUPUIUOULUHHZUSUIUIUOUNUTUINUIU
      OUOUNUIUOOZUMUNPSAUHULQTULARSUIUOUOUMVAUMUNUASULAUKQUBUCUDUJURUEUFUG $.
  $}

  ${
    $d z A $.  $d y A $.  $d z y $.
    $( Virtual deduction proof of ~ sspwtr .  This proof is the same as the
       proof of ~ sspwtr except each virtual deduction symbol is replaced by
       its non-virtual deduction symbol equivalent.  A class which is a
       subclass of its power class is transitive.  (Contributed by Alan Sare,
       3-May-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sspwtrALT $p |- ( A C_ ~P A -> Tr A ) $=
      ( vz vy cpw wss wtr wi wel cv wcel wa wal wb dftr2 simpr ssel elpwi syl56
      idd simpl syl6 syl6c alrimivv biimpr mpsyl idiALT ) AADZEZAFZGUIBCHZCIZAJ
      ZKZBIZAJZGZCLBLZMUHUQUIBCANUHUPBCUHUMUKAEZUJUOUMULUHUKUGJURUJULOAUGUKPUKA
      QRUHUMUMUJUHUMSUJULTUAUKAUNPUBUCUIUQUDUEUF $.
  $}

  ${
    $d z A $.  $d y A $.  $d z y $.
    $( Short predicate calculus proof of the right-to-left implication of
       ~ dftr4 .  A class which is a subclass of its power class is transitive.
       This proof was constructed by applying Metamath's minimize command to
       the proof of ~ sspwtrALT , which is the virtual deduction proof ~ sspwtr
       without virtual deductions.  (Contributed by Alan Sare, 3-May-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    sspwtrALT2 $p |- ( A C_ ~P A -> Tr A ) $=
      ( vz vy cpw wss cv wcel wa wi wal wtr ssel adantld elpwi syl6 simpl syl6c
      a1i alrimivv dftr2 sylibr ) AADZEZBFZCFZGZUEAGZHZUDAGZIZCJBJAKUCUJBCUCUHU
      EAEZUFUIUCUHUEUBGZUKUCUGULUFAUBUELMUEANOUHUFIUCUFUGPRUEAUDLQSBCATUA $.
  $}

  ${
    $d z A $.  $d y A $.  $d z y $.
    $( Virtual deduction proof of ~ pwtr ; see ~ pwtrrVD for the converse.
       (Contributed by Alan Sare, 25-Aug-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    pwtrVD $p |- ( Tr A -> Tr ~P A ) $=
      ( vz vy wtr cpw cv wcel wa wi wal wb dftr2 idn1 idn2 simpr e2 elpwi simpl
      wss ssel e22 trss e12 vex elpw e2bir in2 gen12 biimpr e01 in1 ) ADZAEZDZU
      NBFZCFZGZUPUMGZHZUOUMGZIZCJBJZKULVBUNBCUMLULVABCULUSUTULUSUOASZUTULULUSUO
      AGZVCULMULUSUPASZUQVDULUSURVEULUSUSURULUSNZUQUROPUPAQPULUSUSUQVFUQURRPUPA
      UOTUAAUOUBUCUOABUDUEUFUGUHUNVBUIUJUK $.
  $}

  ${
    $d z A $.  $d y A $.  $d z y $.
    pwtrrVD.1 $e |- A e. _V $.
    $( Virtual deduction proof of ~ pwtr ; see ~ pwtrVD for the converse.
       (Contributed by Alan Sare, 25-Aug-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    pwtrrVD $p |- ( Tr ~P A -> Tr A ) $=
      ( vz vy cpw wtr cv wcel wa wi wal wb dftr2 wss idn1 idn2 simpr pwid trel
      e2 expd e120 elpwi simpl ssel e22 in2 gen12 biimpr e01 in1 ) AEZFZAFZUNCG
      ZDGZHZUPAHZIZUOAHZJZDKCKZLUMVBUNCDAMUMVACDUMUSUTUMUSUPANZUQUTUMUSUPULHZVC
      UMUMUSURAULHZVDUMOUMUSUSURUMUSPZUQURQTABRUMURVEVDULUPASUAUBUPAUCTUMUSUSUQ
      VFUQURUDTUPAUOUEUFUGUHUNVBUIUJUK $.
  $}

  ${
    $d y z A $.
    $( The successor of a transitive class is transitive.  The proof of
       ~ https://us.metamath.org/other/completeusersproof/suctrvd.html is a
       Virtual Deduction proof verified by automatically transforming it into
       the Metamath proof of ~ suctrALT using completeusersproof, which is
       verified by the Metamath program.  The proof of
       ~ https://us.metamath.org/other/completeusersproof/suctrro.html is a
       form of the completed proof which preserves the Virtual Deduction
       proof's step numbers and their ordering.  See ~ suctr for the original
       proof.  (Contributed by Alan Sare, 11-Apr-2009.)  (Revised by Alan Sare,
       12-Jun-2018.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    suctrALT $p |- ( Tr A -> Tr suc A ) $=
      ( vz vy wtr cv wcel csuc wa wi wal wceq w3a sssucid id simpld trel sselid
      adantl ex syl 3impib idiALT syl3an 3expia adantr eleqtrd wo simprd elsuci
      mpjaod alrimivv dftr2 biimpri ) ADZBEZCEZFZUPAGZFZHZUOURFZIZCJBJZURDZUNVB
      BCUNUTVAUNUTHUPAFZVAUPAKZUNUTVEVAUNUTVELAURUOAMZUNUNUTUQVEVEUOAFZUNNUTUQU
      SUTNZOZVENUNUQVELVHIUNUQVEVHAUOUPPUAUBUCQUDUTVFVAIUNUTVFVAUTVFHZAURUOVGVK
      UOUPAUTUQVFVJUEVFVFUTVFNRUFQSRUTVEVFUGZUNUTUSVLUTUQUSVIUHUPAUITRUJSUKVDVC
      BCURULUMT $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Virtual deduction proof of ~ snssiALT .  (Contributed by Alan Sare,
       11-Sep-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    snssiALTVD $p |- ( A e. B -> { A } C_ B ) $=
      ( vx wcel csn wss cv wi wal wb dfss2 wceq idn1 idn2 velsn e2bi eleq1a e12
      in2 gen11 biimpr e01 in1 ) ABDZAEZBFZUFCGZUEDZUGBDZHZCIZJUDUKUFCUEBKUDUJC
      UDUHUIUDUDUHUGALZUIUDMUDUHUHULUDUHNCAOPABUGQRSTUFUKUAUBUC $.
  $}

  ${
    $d A x $.  $d B x $.
    $( If a class is an element of another class, then its singleton is a
       subclass of that other class.  Alternate proof of ~ snssi .  This
       theorem was automatically generated from ~ snssiALTVD using a
       translation program.  (Contributed by Alan Sare, 11-Sep-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    snssiALT $p |- ( A e. B -> { A } C_ B ) $=
      ( vx wcel cv csn wi wal wss wceq velsn eleq1a syl5bi alrimiv dfss2 sylibr
      ) ABDZCEZAFZDZRBDZGZCHSBIQUBCTRAJQUACAKABRLMNCSBOP $.
  $}

  ${
    snsslVD.1 $e |- A e. _V $.
    $( Virtual deduction proof of ~ snssl .  (Contributed by Alan Sare,
       25-Aug-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    snsslVD $p |- ( { A } C_ B -> A e. B ) $=
      ( csn wss wcel idn1 snid ssel2 e10an in1 ) ADZBEZABFZMMALFNMGACHLBAIJK $.
  $}

  ${
    snssl.1 $e |- A e. _V $.
    $( If a singleton is a subclass of another class, then the singleton's
       element is an element of that other class.  This theorem is the
       right-to-left implication of the biconditional ~ snss .  The proof of
       this theorem was automatically generated from ~ snsslVD using a tools
       command file, translateMWO.cmd, by translating the proof into its
       non-virtual deduction form and minimizing it.  (Contributed by Alan
       Sare, 25-Aug-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    snssl $p |- ( { A } C_ B -> A e. B ) $=
      ( csn wss wcel snid ssel2 mpan2 ) ADZBEAJFABFACGJBAHI $.
  $}

  $( Virtual deduction proof of ~ snelpwi .  (Contributed by Alan Sare,
     25-Aug-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  snelpwrVD $p |- ( A e. B -> { A } e. ~P B ) $=
    ( wcel csn cpw cvv wss snex idn1 snssi e1a elpwg biimprd e01 in1 ) ABCZADZB
    ECZQFCZPQBGZRAHPPTPIABJKSRTQBFLMNO $.

  ${
    $d A x $.
    $( Virtual deduction proof of ~ unipwr .  (Contributed by Alan Sare,
       25-Aug-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    unipwrVD $p |- A C_ U. ~P A $=
      ( vx cpw cuni wcel csn vex snid idn1 snelpwi e1a elunii e01an in1 ssriv
      cv ) BAACZDZBPZAEZSREZSSFZETUBQEZUASBGHTTUCTISAJKSUBQLMNO $.
  $}

  ${
    $d A x $.
    $( A class is a subclass of the union of its power class.  This theorem is
       the right-to-left subclass lemma of ~ unipw .  The proof of this theorem
       was automatically generated from ~ unipwrVD using a tools command file ,
       translateMWO.cmd , by translating the proof into its non-virtual
       deduction form and minimizing it.  (Contributed by Alan Sare,
       25-Aug-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    unipwr $p |- A C_ U. ~P A $=
      ( vx cpw cuni cv wcel csn vex snid snelpwi elunii sylancr ssriv ) BAACZDZ
      BEZAFPPGZFQNFPOFPBHIPAJPQNKLM $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Virtual deduction proof of ~ sstrALT2 .  (Contributed by Alan Sare,
       11-Sep-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sstrALT2VD $p |- ( ( A C_ B /\ B C_ C ) -> A C_ C ) $=
      ( vx wss wa cv wcel wi wal wb dfss2 idn1 simpr e1a simpl idn2 ssel2 e12an
      in2 gen11 biimpr e01 in1 ) ABEZBCEZFZACEZUHDGZAHZUICHZIZDJZKUGUMUHDACLUGU
      LDUGUJUKUGUFUJUIBHZUKUGUGUFUGMZUEUFNOUGUEUJUJUNUGUGUEUOUEUFPOUGUJQABUIRSB
      CUIRSTUAUHUMUBUCUD $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Virtual deduction proof of ~ sstr , transitivity of subclasses, Theorem
       6 of [Suppes] p. 23.  This theorem was automatically generated from
       ~ sstrALT2VD using the command file
       translate__without__overwriting.cmd .  It was not minimized because the
       automated minimization excluding duplicates generates a minimized proof
       which, although not directly containing any duplicates, indirectly
       contains a duplicate.  That is, the trace back of the minimized proof
       contains a duplicate.  This is undesirable because some step(s) of the
       minimized proof use the proven theorem.  (Contributed by Alan Sare,
       11-Sep-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sstrALT2 $p |- ( ( A C_ B /\ B C_ C ) -> A C_ C ) $=
      ( vx wss cv wi wal wb wa dfss2 id simpr syl simpl idd ssel2 syl6an idiALT
      wcel alrimiv biimpr mpsyl ) ACEZDFZATZUECTZGZDHZIABEZBCEZJZUIUDDACKULUHDU
      LUHGULUKUFUEBTZUGULULUKULLZUJUKMNULUJUFUFUMULULUJUNUJUKONULUFPABUEQRBCUEQ
      RSUAUDUIUBUC $.
  $}

  ${
    $d z A $.  $d y A $.  $d z y $.
    $( Virtual deduction proof of ~ suctrALT2 .  (Contributed by Alan Sare,
       11-Sep-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    suctrALT2VD $p |- ( Tr A -> Tr suc A ) $=
      ( vz vy wtr csuc cv wcel wa wi wal wb dftr2 wceq wss sssucid idn3 e03 in3
      wo e2 idn1 idn2 simpl trel expd e123 ssel eleq2 biimpcd simpr elsuci e222
      e23 jao in2 gen12 biimpr e01 in1 ) ADZAEZDZVBBFZCFZGZVDVAGZHZVCVAGZIZCJBJ
      ZKUTVJVBBCVALUTVIBCUTVGVHUTVGVDAGZVHIVDAMZVHIVKVLSZVHUTVGVKVHAVANZUTVGVKV
      CAGZVHAOZUTUTVGVEVKVKVOUTUAUTVGVGVEUTVGUBZVEVFUCTZUTVGVKPUTVEVKVOAVCVDUDU
      EUFAVAVCUGZQRUTVGVLVHVNUTVGVLVOVHVPUTVGVEVLVLVOVRUTVGVLPVLVEVOVDAVCUHUIUM
      VSQRUTVGVFVMUTVGVGVFVQVEVFUJTVDAUKTVKVHVLUNULUOUPVBVJUQURUS $.
  $}

  ${
    $d z A $.  $d y A $.  $d z y $.
    $( Virtual deduction proof of ~ suctr .  The sucessor of a transitive class
       is transitive.  This proof was generated automatically from the virtual
       deduction proof ~ suctrALT2VD using the tools command file
       translate__without__overwriting__minimize__excluding__duplicates.cmd .
       (Contributed by Alan Sare, 11-Sep-2011.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    suctrALT2 $p |- ( Tr A -> Tr suc A ) $=
      ( vz vy wtr wel cv csuc wcel wa wi wal wceq wo wss sssucid trel expd ee03
      a1i syl6 adantrd ssel simpl eleq2 biimpcd simpr elsuci jao ee222 alrimivv
      dftr2 sylibr ) ADZBCEZCFZAGZHZIZBFZUPHZJZCKBKUPDUMVABCUMURUOAHZUTJUOALZUT
      JVBVCMZUTAUPNZUMURVBUSAHZUTAOZUMUNVBVFJUQUMUNVBVFAUSUOPQUAAUPUSUBZRVEUMUR
      VCVFUTVGUMURUNVCVFJURUNJUMUNUQUCSVCUNVFUOAUSUDUETVHRUMURUQVDURUQJUMUNUQUF
      SUOAUGTVBUTVCUHUIUJBCUPUKUL $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Virtual deduction proof of ~ elex2 .  (Contributed by Alan Sare,
       25-Sep-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    elex2VD $p |- ( A e. B -> E. x x e. B ) $=
      ( wcel cv wex wceq wi wal idn1 idn2 eleq1a e12 in2 gen11 elisset e1a exim
      e11 in1 ) BCDZAEZCDZAFZUAUBBGZUCHZAIUEAFZUDUAUFAUAUEUCUAUAUEUEUCUAJZUAUEK
      BCUBLMNOUAUAUGUHABCPQUEUCARST $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Virtual deduction proof of ~ elex22 .  (Contributed by Alan Sare,
       24-Oct-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    elex22VD $p |- ( ( A e. B /\ A e. C ) -> E. x ( x e. B /\ x e. C ) ) $=
      ( wcel wa cv wex wceq wi idn1 simpl e1a elisset wal idn2 eleq1a e12 simpr
      pm3.2 e22 in2 gen11 exim pm2.27 e11 in1 ) BCEZBDEZFZAGZCEZUKDEZFZAHZUJUKB
      IZAHZUQUOJZUOUJUHUQUJUJUHUJKZUHUILMZABCNMUJUPUNJZAOURUJVAAUJUPUNUJUPULUMU
      NUJUHUPUPULUTUJUPPZBCUKQRUJUIUPUPUMUJUJUIUSUHUISMVBBDUKQRULUMTUAUBUCUPUNA
      UDMUQUOUEUFUG $.
  $}

  ${
    $d x C $.
    $( Virtual deduction proof of ~ eqsbc2 .  (Contributed by Alan Sare,
       24-Oct-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    eqsbc2VD $p |- ( A e. B -> ( [. A / x ]. C = x <-> C = A ) ) $=
      ( wcel cv wceq wsbc wb wi idn1 eqsbc1 e1a eqcom sbcbii idn2 biimp e12 in2
      biimpr a1i e2bi e2bir impbi e11 in1 ) BCEZDAFZGZABHZDBGZIZUGUJUKJUKUJJULU
      GUJUKUGUJBDGZUKUGUHDGZABHZUMIZUJUOUMUGUGUPUGKZABDCLMZUGUJUOIZUJUJUOUGUGUS
      UQUSUGUIUNABDUHNOUAMZUGUJPUJUOQRUOUMQRBDNZUBSUGUKUJUGUSUKUOUJUTUGUPUKUMUO
      URUGUKUKUMUGUKPVAUCUOUMTRUJUOTRSUJUKUDUEUF $.
  $}

  ${
    $d x y A $.
    $( Virtual deduction proof of ~ zfregs2 .  (Contributed by Alan Sare,
       24-Oct-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    zfregs2VD $p |- ( A =/= (/) -> -. A. x e. A E. y ( y e. A /\ y e. x ) ) $=
      ( c0 wne cv wcel wa wex wral wn wrex wal cin wceq idn1 zfregs rexbii e1bi
      wi e1a incom eqeq1i disj1 alinexa dfrex2 notnotr notnot impbii ralbii in1
      notbii ) CDEZBFZCGZUNAFZGZHBIZACJZKZUMURKZKZACJZKZUTUMVAACLZVDUMUOUQKTBMZ
      ACLZVEUMCUPNZDOZACLZVGUMUPCNZDOZACLZVJUMUMVMUMPACQUAVLVIACVKVHDUPCUBUCRSV
      IVFACBCUPUDRSVFVAACUOUQBUERSVAACUFSVCUSVBURACVBURURUGURUHUIUJULSUK $.
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x D $.
    $( Virtual deduction proof of ~ tpid3g .  (Contributed by Alan Sare,
       24-Oct-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    tpid3gVD $p |- ( A e. B -> A e. { C , D , A } ) $=
      ( vx wcel ctp cv wceq wex wi wal idn2 w3o cab 3mix3 e2 abid e2bir dftp2
      eleq2i eleq1 biimpd e22 in2 gen11 19.23v e1bi idn1 elisset e1a id e11 in1
      ) ABFZACDAGZFZUOEHZAIZEJZUQKZUTUQUOUSUQKZELVAUOVBEUOUSUQUOUSUSURUPFZUQUOU
      SMZUOUSURURCIZURDIZUSNZEOZFZVCUOUSVGVIUOUSUSVGVDUSVEVFPQVGERSUPVHURECDATU
      ASUSVCUQURAUPUBUCUDUEUFUSUQEUGUHUOUOUTUOUIEABUJUKVAULUMUN $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Virtual deduction proof of ~ en3lplem1 .  (Contributed by Alan Sare,
       24-Oct-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    en3lplem1VD $p |- ( ( A e. B /\ B e. C /\ C e. A ) ->
                    ( x = A -> E. y ( y e. { A , B , C } /\ y e. x ) ) ) $=
      ( wcel w3a cv wceq ctp wa wex wi idn1 simp3 e1a tpid3g idn2 eleq2 biimprd
      e21 pm3.2 e12 elex22 e2 in2 in1 ) CDFZDEFZECFZGZAHZCIZBHZCDEJZFUNULFKBLZM
      UKUMUPUKUMEUOFZEULFZKZUPUKUQUMURUSUKUJUQUKUKUJUKNUHUIUJOPZECCDQPUKUMUMUJU
      RUKUMRUTUMURUJULCESTUAUQURUBUCBEUOULUDUEUFUG $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Virtual deduction proof of ~ en3lplem2 .  (Contributed by Alan Sare,
       24-Oct-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    en3lplem2VD $p |- ( ( A e. B /\ B e. C /\ C e. A ) -> ( x e. { A , B , C }
                    -> E. y ( y e. { A , B , C } /\ y e. x ) ) ) $=
      ( wcel w3a cv ctp wa wex wi wceq wo idn3 en3lplem1VD e13 in3 eleq2i e2bi
      idn1 3anrot e1bi tprot anbi1i exbii e3bir jao e22 e1bir e3bi w3o cab idn2
      dftp2 abid df-3or e222 in2 in1 ) CDFZDEFZECFZGZAHZCDEIZFZBHZVFFZVHVEFZJZB
      KZLVDVGVLVDVGVECMZVEDMZNZVLLZVEEMZVLLVOVQNZVLVDVGVMVLLVNVLLVPVDVGVMVLVDVD
      VGVMVMVLVDUAZVDVGVMOABCDEPQRVDVGVNVLVDVGVNVHDECIZFZVJJZBKZVLVDVBVCVAGZVGV
      NVNWCVDVDWDVSVAVBVCUBUCVDVGVNOABDECPQVKWBBVIWAVJVFVTVHCDEUDSUEUFUGRVMVLVN
      UHUIVDVGVQVLVDVGVQVHECDIZFZVJJZBKZVLVDVCVAVBGZVGVQVQWHVDVDWIVSVCVAVBUBUJV
      DVGVQOABECDPQWGVKBWFVIVJWEVFVHECDUDSUEUFUKRVDVGVMVNVQULZVRVDVGVEWJAUMZFZW
      JVDVGVGWLVDVGUNVFWKVEACDEUOSTWJAUPTVMVNVQUQTVOVLVQUHURUSUT $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Virtual deduction proof of ~ en3lp .  (Contributed by Alan Sare,
       24-Oct-2011.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    en3lpVD $p |- -. ( A e. B /\ B e. C /\ C e. A ) $=
      ( vy vx ctp c0 wne wceq wo wcel w3a wn pm2.1 df-ne bicomi orbi1i cv con3i
      e1a mpbi wa wex wral zfregs2 wi wal en3lplem2VD alrimiv df-ral sylibr syl
      idn1 noel eleq2 notbid biimprd e10 tpid3g simp3 in1 jaoi ax-mp ) ABCFZGHZ
      VDGIZJZABKZBCKZCAKZLZMZVFMZVFJVGVFNVMVEVFVEVMVDGOPQUAVEVLVFVEDRZVDKVNERZK
      UBDUCZEVDUDZMVLEDVDUEVKVQVKVOVDKVPUFZEUGVQVKVREEDABCUHUIVPEVDUJUKSULVFVLV
      FVJMZVLVFCVDKZMZVSVFVFCGKZMZWAVFUMCUNVFWAWCVFVTWBVDGCUOUPUQURVJVTCAABUSST
      VKVJVHVIVJUTSTVAVBVC $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Theorems proved using Virtual Deduction with mmj2 assistance
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    pm3.26bi2VD.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Virtual deduction proof of ~ simplbi2 .  The following user's proof is
       completed by invoking mmj2's unify command and using mmj2's StepSelector
       to pick all remaining steps of the Metamath proof.
       <HTML> <TABLE>
       <TR> <TD> h1::        <TD> ` |- ( ph <-> ( ps /\ ch ) ) `
       <TR> <TD> 3:1,?: ~ e0a   <TD> ` |- ( ( ps /\ ch ) -> ph )  `
       <TR> <TD> qed:3,?: ~ e0a <TD> ` |- ( ps -> ( ch -> ph ) ) `
       </TABLE> </HTML>
       The proof of ~ simplbi2 was automatically derived from it.
       (Contributed by Alan Sare, 31-Dec-2011.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    simplbi2VD $p |- ( ps -> ( ch -> ph ) ) $=
      ( wa wi wb biimpr e0a pm3.3 ) BCEZAFZBCAFFAKGLDAKHIBCAJI $.
  $}

  $( Virtual deduction proof of ~ 3ornot23 .  The following user's proof is
     completed by invoking mmj2's unify command and using mmj2's StepSelector
     to pick all remaining steps of the Metamath proof.
     <HTML> <TABLE>
     <TR> <TD> 1::            <TD> ` |- (. ( -. ph /\ -. ps ) ->. ( -. ph `
     ` /\ -. ps ) ). `
     <TR> <TD> 2::            <TD> ` |- (. ( -. ph /\ -. ps ) ,. ( ch \/ ph `
     ` \/ ps ) ->. ( ch \/ ph \/ ps ) ). `
     <TR> <TD> 3:1,?: ~ e1a    <TD> ` |- (. ( -. ph /\ -. ps ) ->. -. ph ). `
     <TR> <TD> 4:1,?: ~ e1a    <TD> ` |- (. ( -. ph /\ -. ps ) ->. -. ps ). `
     <TR> <TD> 5:3,4,?: ~ e11  <TD> ` |- (. ( -. ph /\ -. ps ) ->. -. ( ph `
     ` \/ ps ) ). `
     <TR> <TD> 6:2,?: ~ e2     <TD> ` |- (. ( -. ph /\ -. ps ) ,. ( ch \/ ph `
     ` \/ ps ) ->. ( ch \/ ( ph \/ ps ) ) ).  `
     <TR> <TD> 7:5,6,?: ~ e12  <TD> ` |- (. ( -. ph /\ -. ps ) ,. ( ch \/ ph `
     ` \/ ps ) ->. ch ). `
     <TR> <TD> 8:7:           <TD> ` |- (. ( -. ph /\ -. ps ) ->. ( ( ch `
     ` \/ ph \/ ps ) -> ch ) ). `
     <TR> <TD> qed:8:         <TD> ` |- ( ( -. ph /\ -. ps ) -> ( ( ch `
     ` \/ ph \/ ps ) -> ch ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 31-Dec-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  3ornot23VD $p |- ( ( -. ph /\ -. ps ) -> ( ( ch \/ ph \/ ps ) -> ch ) ) $=
    ( wn wa w3o wi wo idn1 simpl e1a simpr ioran simplbi2 idn2 3orass biimpi e2
    e11 orel2 e12 in2 in1 ) ADZBDZEZCABFZCGUFUGCUFABHZDZUGCUHHZCUFUDUEUIUFUFUDU
    FIZUDUEJKUFUFUEUKUDUELKUIUDUEABMNSUFUGUGUJUFUGOUGUJCABPQRUHCTUAUBUC $.

  $( Virtual deduction proof of ~ orbi1r .  The following user's proof is
     completed by invoking mmj2's unify command and using mmj2's StepSelector
     to pick all remaining steps of the Metamath proof.
     <HTML> <TABLE>
     <TR> <TD> 1::         <TD> ` |- (. ( ph <-> ps ) ->. ( ph <-> ps ) ). `
     <TR> <TD> 2::         <TD> ` |- (. ( ph <-> ps ) ,. ( ch \/ ph ) `
     ` ->. ( ch \/ ph ) ). `
     <TR> <TD> 3:2,?: ~ e2    <TD> ` |- (. ( ph <-> ps ) ,. ( ch \/ ph ) `
     ` ->. ( ph \/ ch ) ). `
     <TR> <TD> 4:1,3,?: ~ e12 <TD> ` |- (. ( ph <-> ps ) ,. ( ch \/ ph ) `
     ` ->. ( ps \/ ch ) ). `
     <TR> <TD> 5:4,?: ~ e2    <TD> ` |- (. ( ph <-> ps ) ,. ( ch \/ ph ) `
     ` ->. ( ch \/ ps ) ). `
     <TR> <TD> 6:5:        <TD> ` |- (. ( ph <-> ps ) ->. ( ( ch \/ ph ) `
     ` -> ( ch \/ ps ) ) ). `
     <TR> <TD> 7::         <TD> ` |- (. ( ph <-> ps ) ,. ( ch \/ ps ) `
     ` ->. ( ch \/ ps ) ). `
     <TR> <TD> 8:7,?: ~ e2    <TD> ` |- (. ( ph <-> ps ) ,. ( ch \/ ps ) `
     ` ->. ( ps \/ ch ) ). `
     <TR> <TD> 9:1,8,?: ~ e12 <TD> ` |- (. ( ph <-> ps ) ,. ( ch \/ ps ) `
     ` ->. ( ph \/ ch ) ). `
     <TR> <TD> 10:9,?: ~ e2   <TD> ` |- (. ( ph <-> ps ) ,. ( ch \/ ps ) `
     ` ->. ( ch \/ ph ) ). `
     <TR> <TD> 11:10:      <TD> ` |- (. ( ph <-> ps ) ->. ( ( ch \/ ps ) `
     ` -> ( ch \/ ph ) ) ). `
     <TR> <TD> 12:6,11,?: ~ e11 <TD> ` |- (. ( ph <-> ps ) ->. ( ( ch `
     ` \/ ph ) <-> ( ch \/ ps ) ) ). `
     <TR> <TD> qed:12:     <TD> ` |- ( ( ph <-> ps ) -> ( ( ch \/ ph ) `
     ` <-> ( ch \/ ps ) ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 31-Dec-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  orbi1rVD $p |- ( ( ph <-> ps ) -> ( ( ch \/ ph ) <-> ( ch \/ ps ) ) ) $=
    ( wb wo wi idn1 idn2 pm1.4 e2 orbi1 biimpd e12 in2 biimprd impbi e11 in1 )
    ABDZCAEZCBEZDZSTUAFUATFUBSTUASTBCEZUASSTACEZUCSGZSTTUDSTHCAIJSUDUCABCKZLMBC
    IJNSUATSUAUDTSSUAUCUDUESUAUAUCSUAHCBIJSUDUCUFOMACIJNTUAPQR $.

  $( Virtual deduction proof of ~ bitr3 .  The following user's proof is
     completed by invoking mmj2's unify command and using mmj2's StepSelector
     to pick all remaining steps of the Metamath proof.
     <HTML> <TABLE>
     <TR> <TD> 1::           <TD> ` |- (. ( ph <-> ps ) ->. ( ph `
     ` <-> ps ) ). `
     <TR> <TD> 2:1,?: ~ e1a     <TD> ` |- (. ( ph <-> ps ) ->. ( ps `
     ` <-> ph ) ). `
     <TR> <TD> 3::           <TD> ` |- (. ( ph <-> ps ) ,. ( ph <-> ch ) `
     ` ->. ( ph <-> ch ) ). `
     <TR> <TD> 4:3,?: ~ e2      <TD> ` |- (. ( ph <-> ps ) ,. ( ph <-> ch ) `
     ` ->. ( ch <-> ph ) ). `
     <TR> <TD> 5:2,4,?: ~ e12   <TD> ` |- (. ( ph <-> ps ) ,. ( ph <-> ch ) `
     ` ->. ( ps <-> ch ) ). `
     <TR> <TD> 6:5:          <TD> ` |- (. ( ph <-> ps ) ->. ( ( ph `
     ` <-> ch ) -> ( ps <-> ch ) ) ). `
     <TR> <TD> qed:6:        <TD> ` |- ( ( ph <-> ps ) -> ( ( ph <-> ch ) `
     ` -> ( ps <-> ch ) ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 31-Dec-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  bitr3VD $p |- ( ( ph <-> ps ) -> ( ( ph <-> ch ) -> ( ps <-> ch ) ) ) $=
    ( wb id bicomd biantr ex syl2im ) ABDZBADZACDZCADZBCDZJABJEFLACLEFKMNBACGHI
    $.

  $( Virtual deduction proof of ~ 3orbi123 .  The following user's proof is
     completed by invoking mmj2's unify command and using mmj2's StepSelector
     to pick all remaining steps of the Metamath proof.
     <HTML> <TABLE>
     <TR> <TD> 1::         <TD> ` |- (. ( ( ph <-> ps ) /\ ( ch <-> th ) `
     ` /\ ( ta <-> et ) )  ->. ( ( ph <-> ps ) /\ ( ch <-> th ) /\ `
     ` ( ta <-> et ) ) ). `
     <TR> <TD> 2:1,?: ~ e1a   <TD> ` |- (. ( ( ph <-> ps ) /\ ( ch <-> th ) `
     ` /\ ( ta <-> et ) ) ->. ( ph <-> ps ) ). `
     <TR> <TD> 3:1,?: ~ e1a   <TD> ` |- (. ( ( ph <-> ps ) /\ ( ch <-> th ) `
     ` /\ ( ta <-> et ) ) ->. ( ch <-> th ) ). `
     <TR> <TD> 4:1,?: ~ e1a   <TD> ` |- (. ( ( ph <-> ps ) /\ ( ch <-> th ) `
     ` /\ ( ta <-> et ) ) ->. ( ta <-> et ) ). `
     <TR> <TD> 5:2,3,?: ~ e11 <TD> ` |- (. ( ( ph <-> ps ) /\ ( ch <-> th ) `
     ` /\ ( ta <-> et ) ) ->. ( ( ph \/ ch ) <-> ( ps \/ th ) ) ). `
     <TR> <TD> 6:5,4,?: ~ e11 <TD> ` |- (. ( ( ph <-> ps ) /\ ( ch <-> th ) `
     ` /\ ( ta <-> et ) ) ->. ( ( ( ph \/ ch ) \/ ta )  <-> ( ( ps \/ th ) `
     ` \/ et ) ) ). `
     <TR> <TD> 7:?:        <TD> ` |- ( ( ( ph \/ ch ) \/ ta ) <-> ( ph `
     ` \/ ch \/ ta ) ) `
     <TR> <TD> 8:6,7,?: ~ e10 <TD> ` |- (. ( ( ph <-> ps ) /\ ( ch <-> th ) `
     ` /\ ( ta <-> et ) ) ->. ( ( ph \/ ch \/ ta )  <-> ( ( ps \/ th ) `
     ` \/ et ) ) ). `
     <TR> <TD> 9:?:        <TD> ` |- ( ( ( ps \/ th ) \/ et ) <-> `
     ` ( ps \/ th \/ et ) ) `
     <TR> <TD> 10:8,9,?: ~ e10 <TD> ` |- (. ( ( ph <-> ps ) /\ ( ch `
     ` <-> th ) /\ ( ta <-> et ) ) ->. ( ( ph \/ ch \/ ta ) <-> ( ps \/ `
     ` th \/ et ) ) ). `
     <TR> <TD> qed:10:       <TD> ` |- ( ( ( ph <-> ps ) /\ ( ch <-> th ) `
     ` /\ ( ta <-> et ) ) -> ( ( ph \/ ch \/ ta ) <-> ( ps \/ th `
     ` \/ et ) ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 31-Dec-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  3orbi123VD $p |- ( ( ( ph <-> ps ) /\ ( ch <-> th ) /\ ( ta <-> et ) ) ->
                             ( ( ph \/ ch \/ ta ) <-> ( ps \/ th \/ et ) ) ) $=
    ( wb w3a w3o wo idn1 simp1 e1a simp2 pm4.39 ex e11 df-3or bicomi e10 simp3
    bitr3 com12 bitr in1 ) ABGZCDGZEFGZHZACEIZBDFIZGZUIUJBDJZFJZGZUNUKGZULUIACJ
    ZEJZUNGZURUJGZUOUIUQUMGZUHUSUIUFUGVAUIUIUFUIKZUFUGUHLMUIUIUGVBUFUGUHNMUFUGV
    AACBDOPQUIUIUHVBUFUGUHUAMVAUHUSUQEUMFOPQUJURACERSUTUSUOURUJUNUBUCTUKUNBDFRS
    UOUPULUJUNUKUDPTUE $.

  $( Virtual deduction proof of the analogue of ~ sbcor with three disjuncts.
     The following user's proof is
     completed by invoking mmj2's unify command and using mmj2's StepSelector
     to pick all remaining steps of the Metamath proof.
     <HTML> <TABLE>
     <TR> <TD> 1::           <TD> ` |- (. A e. B ->. A e. B ). `
     <TR> <TD> 2:1,?: ~ e1a     <TD> ` |- (. A e. B ->. ( [. A / x ]. ( ( ph `
     ` \/ ps ) \/ ch ) <-> ( [. A / x ]. ( ph \/ ps ) `
     ` \/ [. A / x ]. ch ) ) ). `
     <TR> <TD> 3::           <TD> ` |- ( ( ( ph \/ ps ) \/ ch ) <-> ( ph `
     ` \/ ps \/ ch ) ) `
     <TR> <TD> 32:3:         <TD> ` |- A. x ( ( ( ph \/ ps ) \/ ch ) `
     ` <-> ( ph \/ ps \/ ch ) ) `
     <TR> <TD> 33:1,32,?: ~ e10 <TD> ` |- (. A e. B ->. [. A / x ]. ( ( ( ph `
     ` \/ ps ) \/ ch ) <-> ( ph \/ ps \/ ch ) ) ). `
     <TR> <TD> 4:1,33,?: ~ e11  <TD> ` |- (. A e. B ->. ( [. A / x ]. ( ( ph `
     ` \/ ps ) \/ ch ) <-> [. A / x ]. ( ph \/ ps \/ ch ) ) ). `
     <TR> <TD> 5:2,4,?: ~ e11   <TD> ` |- (. A e. B ->. ( [. A / x ]. ( ph `
     ` \/ ps \/ ch ) <-> ( [. A / x ]. ( ph \/ ps ) \/ [. A / x ]. ch ) ) ). `
     <TR> <TD> 6:1,?: ~ e1a     <TD> ` |- (. A e. B ->. ( [. A / x ]. ( ph `
     ` \/ ps ) <-> ( [. A / x ]. ph \/ [. A / x ]. ps ) ) ). `
     <TR> <TD> 7:6,?: ~ e1a     <TD> ` |- (. A e. B ->. ( ( [. A / x ]. ( ph `
     ` \/ ps ) \/ [. A / x ]. ch ) <-> ( ( [. A / x ]. ph \/ [. A / x ]. ps ) `
     ` \/ [. A / x ]. ch ) ) ). `
     <TR> <TD> 8:5,7,?: ~ e11   <TD> ` |- (. A e. B ->. ( [. A / x ]. ( ph `
     ` \/ ps \/ ch ) <-> ( ( [. A / x ]. ph \/ [. A / x ]. ps ) `
     ` \/ [. A / x ]. ch ) ) ). `
     <TR> <TD> 9:?:          <TD> ` |- ( ( ( [. A / x ]. ph `
     ` \/ [. A / x ]. ps ) \/ [. A / x ]. ch ) <-> ( [. A / x ]. ph `
     ` \/ [. A / x ]. ps \/ [. A / x ]. ch ) ) `
     <TR> <TD> 10:8,9,?: ~ e10  <TD> ` |- (. A e. B ->. ( [. A / x ]. ( ph `
     ` \/ ps \/ ch ) <-> ( [. A / x ]. ph \/ [. A / x ]. ps `
     ` \/ [. A / x ]. ch ) ) ). `
     <TR> <TD> qed:10:       <TD> ` |- ( A e. B -> ( [. A / x ]. ( ph `
     ` \/ ps \/ ch ) <-> ( [. A / x ]. ph \/ [. A / x ]. ps `
     ` \/ [. A / x ]. ch ) ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 31-Dec-2011.)  (Proof modification is
     discouraged.)  (New usage is discouraged.) $)
  sbc3orgVD $p |- ( A e. B -> ( [. A / x ]. ( ph \/ ps \/ ch ) <->
                  ( [. A / x ]. ph \/ [. A / x ]. ps \/ [. A / x ]. ch ) ) ) $=
    ( wcel w3o wsbc wb wo sbcor a1i e1a df-3or bicomi e10 e11 bibi1 biimprd wal
    idn1 ax-gen spsbc sbcbig biimpd bitr3 com12 orbi1 in1 ) EFGZABCHZDEIZADEIZB
    DEIZCDEIZHZJZUKUMUNUOKZUPKZJZUTUQJZURUKUMABKZDEIZUPKZJZVEUTJZVAUKVCCKZDEIZV
    EJZVIUMJZVFUKUKVJUKUBZVJUKVCCDELMNUKUKVHULJZDEIZVKVLUKUKVMDUAVNVLVMDULVHABC
    OPUCVMDEFUDQUKVNVKVHULDEFUEUFRVKVJVFVIUMVEUGUHRUKVDUSJZVGUKUKVOVLVOUKABDELM
    NVDUSUPUINVFVAVGUMVEUTSTRUQUTUNUOUPOPVAURVBUMUTUQSTQUJ $.

  ${
    $d x ps $.  $d x ch $.
    $( Virtual deduction proof of ~ alrim3con13v .  The following user's
       proof is completed by invoking mmj2's unify command and using mmj2's
       StepSelector to pick all remaining steps of the Metamath proof.
       <HTML> <TABLE>
       <TR> <TD> 1::            <TD> ` |- (. ( ph -> A. x ph ) `
       ` ->. ( ph -> A. x ph ) ). `
       <TR> <TD> 2::            <TD> ` |- (. ( ph -> A. x ph ) ,. ( ps /\ ph `
       ` /\
       ch ) ->. ( ps /\ ph /\ ch ) ). `
       <TR> <TD> 3:2,?: ~ e2       <TD> ` |- (. ( ph -> A. x ph ) ,. ( ps `
       ` /\ ph /\ ch ) ->. ps ). `
       <TR> <TD> 4:2,?: ~ e2       <TD> ` |- (. ( ph -> A. x ph ) ,. ( ps `
       ` /\ ph /\ ch ) ->. ph ). `
       <TR> <TD> 5:2,?: ~ e2       <TD> ` |- (. ( ph -> A. x ph ) ,. ( ps `
       ` /\ ph /\ ch ) ->. ch ). `
       <TR> <TD> 6:1,4,?: ~ e12    <TD> ` |- (. ( ph -> A. x ph ) ,. ( ps `
       ` /\ ph /\ ch ) ->. A. x ph ). `
       <TR> <TD> 7:3,?: ~ e2       <TD> ` |- (. ( ph -> A. x ph ) ,. ( ps `
       ` /\ ph /\ ch ) ->. A. x ps ). `
       <TR> <TD> 8:5,?: ~ e2       <TD> ` |- (. ( ph -> A. x ph ) ,. ( ps `
       ` /\ ph /\ ch ) ->. A. x ch ). `
       <TR> <TD> 9:7,6,8,?: ~ e222 <TD> ` |- (. ( ph -> A. x ph ) ,. ( ps `
       ` /\ ph /\ ch ) ->. ( A. x ps /\ A. x ph /\ A. x ch ) ). `
       <TR> <TD> 10:9,?: ~ e2      <TD> ` |- (. ( ph -> A. x ph ) ,. ( ps `
       ` /\ ph /\ ch ) ->. A. x ( ps /\ ph /\ ch ) ). `
       <TR> <TD> 11:10:in2      <TD> ` |- (. ( ph -> A. x ph ) ->. ( ( ps `
       ` /\ ph /\ ch ) -> A. x ( ps /\ ph /\ ch ) ) ). `
       <TR> <TD> qed:11:in1     <TD> ` |- ( ( ph -> A. x ph ) -> ( ( ps `
       ` /\ ph /\ ch ) -> A. x ( ps /\ ph /\ ch ) ) ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 31-Dec-2011.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    19.21a3con13vVD $p |- ( ( ph -> A. x ph ) ->
                         ( ( ps /\ ph /\ ch ) -> A. x ( ps /\ ph /\ ch ) ) ) $=
      ( wal wi w3a idn2 simp1 e2 ax-5 idn1 simp2 id e12 pm3.2an3 e222 19.26-3an
      simp3 biimpri in2 in1 ) AADEZFZBACGZUEDEZFUDUEUFUDUEBDEZUCCDEZGZUFUDUEUGU
      CUHUIUDUEBUGUDUEUEBUDUEHZBACIJBDKJUDUDUEAUCUDLUDUEUEAUJBACMJUDNOUDUECUHUD
      UEUECUJBACSJCDKJUGUCUHPQUFUIBACDRTJUAUB $.
  $}

  $( Virtual deduction proof of ~ exbir .  The following user's proof is
     completed by invoking mmj2's unify command and using mmj2's StepSelector
     to pick all remaining steps of the Metamath proof.
     <HTML> <TABLE>
     <TR> <TD> 1::         <TD> ` |- (. ( ( ph /\ ps ) -> ( ch <-> th ) ) `
     ` ->. ( ( ph /\ ps ) -> ( ch <-> th ) ) ). `
     <TR> <TD> 2::         <TD> ` |- (. ( ( ph /\ ps ) -> ( ch <-> th ) ) ,. `
     ` ( ph /\ ps ) ->. ( ph /\ ps ) ). `
     <TR> <TD> 3::         <TD> ` |- (. ( ( ph /\ ps ) -> ( ch <-> th ) ) ,. `
     ` ( ph /\ ps ) , th ->. th ). `
     <TR> <TD> 5:1,2,?: ~ e12 <TD> ` |- (. ( ( ph /\ ps ) -> ( ch `
     ` <-> th ) ) , ( ph /\ ps )  ->. ( ch <-> th ) ). `
     <TR> <TD> 6:3,5,?: ~ e32 <TD> ` |- (. ( ( ph /\ ps ) -> ( ch `
     ` <-> th ) ) , ( ph /\ ps ) , th ->. ch ). `
     <TR> <TD> 7:6:        <TD> ` |- (. ( ( ph /\ ps ) -> ( ch `
     ` <-> th ) ) , ( ph /\ ps ) ->. ( th -> ch ) ). `
     <TR> <TD> 8:7:        <TD> ` |- (. ( ( ph /\ ps ) -> ( ch <-> th ) ) `
     ` ->. ( ( ph /\ ps ) -> ( th -> ch ) ) ). `
     <TR> <TD> 9:8,?: ~ e1a   <TD> ` |- (. ( ( ph /\ ps ) -> ( ch `
     ` <-> th ) ) ->. ( ph -> ( ps -> ( th -> ch ) ) ) ). `
     <TR> <TD> qed:9:      <TD> ` |- ( ( ( ph /\ ps ) -> ( ch <-> th ) ) `
     ` -> ( ph -> ( ps -> ( th -> ch ) ) ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 13-Dec-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  exbirVD $p |- ( ( ( ph /\ ps ) -> ( ch <-> th ) ) ->
                                          ( ph -> ( ps -> ( th -> ch ) ) ) ) $=
    ( wa wb wi idn3 idn1 idn2 id e12 biimpr com12 e32 in3 in2 pm3.3 e1a in1 ) A
    BEZCDFZGZABDCGZGGZUCUAUDGUEUCUAUDUCUADCUCUADDUBCUCUADHUCUCUAUAUBUCIUCUAJUCK
    LUBDCCDMNOPQABUDRST $.

  ${
    exbiriVD.1 $e |- ( ( ph /\ ps ) -> ( ch <-> th ) ) $.
    $( Virtual deduction proof of ~ exbiri .  The following user's proof is
       completed by invoking mmj2's unify command and using mmj2's StepSelector
       to pick all remaining steps of the Metamath proof.
       <HTML> <TABLE>
       <TR> <TD> h1::        <TD> ` |- ( ( ph /\ ps ) -> ( ch <-> th ) ) `
       <TR> <TD> 2::         <TD> ` |- (. ph ->. ph ). `
       <TR> <TD> 3::         <TD> ` |- (. ph ,. ps ->. ps ). `
       <TR> <TD> 4::         <TD> ` |- (. ph ,. ps ,. th ->. th ). `
       <TR> <TD> 5:2,1,?: ~ e10 <TD> ` |- (. ph ->. ( ps -> ( ch <-> th ) ) ).
       `
       <TR> <TD> 6:3,5,?: ~ e21 <TD> ` |- (. ph ,. ps ->. ( ch <-> th ) ). `
       <TR> <TD> 7:4,6,?: ~ e32 <TD> ` |- (. ph ,. ps ,. th ->. ch ). `
       <TR> <TD> 8:7:        <TD> ` |- (. ph ,. ps ->. ( th -> ch ) ). `
       <TR> <TD> 9:8:        <TD> ` |- (. ph ->. ( ps -> ( th -> ch ) ) ). `
       <TR> <TD> qed:9:      <TD> ` |- ( ph -> ( ps -> ( th -> ch ) ) ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 31-Dec-2011.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    exbiriVD $p |- ( ph -> ( ps -> ( th -> ch ) ) ) $=
      ( wi wb idn3 idn2 wa idn1 pm3.3 com12 e10 pm2.27 e21 biimpr e32 in3 in2
      in1 ) ABDCFZFABUBABDCABDDCDGZCABDHABBBUCFZUCABIAAABJUCFZUDAKEUEAUDABUCLMN
      BUCOPUCDCCDQMRSTUA $.
  $}

  ${
    $d A y $.  $d B x $.  $d D x y $.
    $( Virtual deduction proof of ~ rspsbc2 .  The following user's proof is
       completed by invoking mmj2's unify command and using mmj2's StepSelector
       to pick all remaining steps of the Metamath proof.
       <HTML> <TABLE>
       <TR> <TD> 1::            <TD> ` |- (. A e. B ->. A e. B ). `
       <TR> <TD> 2::            <TD> ` |- (. A e. B ,. C e. D ->. C e. D ). `
       <TR> <TD> 3::            <TD> ` |- (. A e. B ,. C e. D ,. A. x e. B `
       ` A. y e. D ph ->. A. x e. B A. y e. D ph ). `
       <TR> <TD> 4:1,3,?: ~ e13    <TD> ` |- (. A e. B ,. C e. D ,. A. x e. B `
       ` A. y e. D ph ->. [. A / x ]. A. y e. D ph ). `
       <TR> <TD> 5:1,4,?: ~ e13    <TD> ` |- (. A e. B ,. C e. D ,. A. x e. B `
       ` A. y e. D ph ->. A. y e. D [. A / x ]. ph ). `
       <TR> <TD> 6:2,5,?: ~ e23    <TD> ` |- (. A e. B ,. C e. D ,. A. x e. B `
       ` A. y e. D ph ->. [. C / y ]. [. A / x ]. ph ). `
       <TR> <TD> 7:6:           <TD> ` |- (. A e. B ,. C e. D ->. ( A. x e. B `
       ` A. y e. D ph -> [. C / y ]. [. A / x ]. ph ) ). `
       <TR> <TD> 8:7:           <TD> ` |- (. A e. B ->. ( C e. D `
       ` -> ( A. x e. B A. y e. D ph -> [. C / y ]. [. A / x ]. ph ) ) ). `
       <TR> <TD> qed:8:         <TD> ` |- ( A e. B -> ( C e. D `
       ` -> ( A. x e. B A. y e. D ph -> [. C / y ]. [. A / x ]. ph ) ) ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 31-Dec-2011.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    rspsbc2VD $p |- ( A e. B -> ( C e. D -> ( A. x e. B A. y e. D ph ->
                                            [. C / y ]. [. A / x ]. ph ) ) ) $=
      ( wcel wral wsbc wi idn2 idn1 idn3 rspsbc e13 sbcralg biimpd e23 in3 in2
      in1 ) DEHZFGHZACGIZBEIZABDJZCFJZKZKUCUDUIUCUDUFUHUCUDUDUFUGCGIZUHUCUDLUCU
      CUDUFUEBDJZUJUCMZUCUCUDUFUFUKULUCUDUFNUEBDEOPUCUKUJABCDGEQRPUGCFGOSTUAUB
      $.
  $}

  $( Virtual deduction proof of ~ 3impexp .  The following user's proof is
     completed by invoking mmj2's unify command and using mmj2's StepSelector
     to pick all remaining steps of the Metamath proof.
     <HTML> <TABLE>
     <TR> <TD> 1::                <TD> ` |- (. ( ( ph /\ ps /\ ch ) `
     ` -> th ) ->. ( ( ph /\ ps /\ ch ) -> th ) ).  `
     <TR> <TD> 2::                <TD> ` |- ( ( ph /\ ps /\ ch ) `
     ` <-> ( ( ph /\ ps ) /\ ch ) )  `
     <TR> <TD> 3:1,2,?: ~ e10        <TD> ` |- (. ( ( ph /\ ps /\ ch ) `
     ` -> th ) ->. ( ( ( ph /\ ps ) /\ ch ) -> th ) ). `
     <TR> <TD> 4:3,?: ~ e1a          <TD> ` |- (. ( ( ph /\ ps /\ ch ) `
     ` -> th ) ->. ( ( ph /\ ps ) -> ( ch -> th ) ) ). `
     <TR> <TD> 5:4,?: ~ e1a          <TD> ` |- (. ( ( ph /\ ps /\ ch ) `
     ` -> th ) ->. ( ph -> ( ps -> ( ch -> th ) ) ) ). `
     <TR> <TD> 6:5:               <TD> ` |- ( ( ( ph /\ ps /\ ch ) -> th ) `
     ` -> ( ph -> ( ps -> ( ch -> th ) ) ) ) `
     <TR> <TD> 7::                <TD> ` |- (. ( ph -> ( ps -> ( ch `
     ` -> th ) ) ) ->. ( ph -> ( ps -> ( ch -> th ) ) ) ). `
     <TR> <TD> 8:7,?: ~ e1a          <TD> ` |- (. ( ph -> ( ps -> ( ch `
     ` -> th ) ) ) ->. ( ( ph /\ ps ) -> ( ch -> th ) ) ). `
     <TR> <TD> 9:8,?: ~ e1a          <TD> ` |- (. ( ph -> ( ps -> ( ch `
     ` -> th ) ) ) ->. ( ( ( ph /\ ps ) /\ ch ) -> th ) ). `
     <TR> <TD> 10:2,9,?: ~ e01       <TD> ` |- (. ( ph -> ( ps -> ( ch `
     ` -> th ) ) ) ->. ( ( ph /\ ps /\ ch ) -> th ) ). `
     <TR> <TD> 11:10:             <TD> ` |- ( ( ph -> ( ps -> ( ch `
     ` -> th ) ) ) -> ( ( ph /\ ps /\ ch ) -> th ) ) `
     <TR> <TD> qed:6,11,?: ~ e00     <TD> ` |- ( ( ( ph /\ ps /\ ch ) `
     ` -> th ) <-> ( ph -> ( ps -> ( ch -> th ) ) ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 31-Dec-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  3impexpVD $p |- ( ( ( ph /\ ps /\ ch ) -> th ) <->
                                          ( ph -> ( ps -> ( ch -> th ) ) ) ) $=
    ( w3a wi wb wa idn1 df-3an imbi1 biimpcd e10 pm3.3 e1a pm3.31 biimprd impbi
    in1 e01 e00 ) ABCEZDFZABCDFZFFZFUEUCFUCUEGUCUEUCABHZUDFZUEUCUFCHZDFZUGUCUCU
    BUHGZUIUCIABCJZUJUCUIUBUHDKZLMUFCDNOABUDNOSUEUCUJUEUIUCUKUEUGUIUEUEUGUEIABU
    DPOUFCDPOUJUCUIULQTSUCUERUA $.

  $( Virtual deduction proof of ~ 3impexpbicom .  The following user's proof is
     completed by invoking mmj2's unify command and using mmj2's StepSelector
     to pick all remaining steps of the Metamath proof.
     <HTML> <TABLE>
     <TR> <TD> 1::                <TD> ` |- (. ( ( ph /\ ps /\ ch ) `
     ` -> ( th <-> ta ) ) ->. ( ( ph /\ ps /\ ch ) -> ( th <-> ta ) ) ). `
     <TR> <TD> 2::                <TD> ` |- ( ( th <-> ta ) <-> ( ta `
     ` <-> th ) ) `
     <TR> <TD> 3:1,2,?: ~ e10        <TD> ` |- (. ( ( ph /\ ps /\ ch ) `
     ` -> ( th <-> ta ) ) ->. ( ( ph /\ ps /\ ch ) -> ( ta <-> th ) ) ). `
     <TR> <TD> 4:3,?: ~ e1a          <TD> ` |- (. ( ( ph /\ ps /\ ch ) `
     ` -> ( th <-> ta ) ) ->. ( ph -> ( ps -> ( ch -> ( ta `
     ` <-> th ) ) ) ) ). `
     <TR> <TD> 5:4:               <TD> ` |- ( ( ( ph /\ ps /\ ch ) `
     ` -> ( th <-> ta ) ) -> ( ph -> ( ps -> ( ch -> ( ta `
     ` <-> th ) ) ) ) ) `
     <TR> <TD> 6::                <TD> ` |- (. ( ph -> ( ps -> ( ch `
     ` -> ( ta <-> th ) ) ) ) ->. ( ph -> ( ps -> ( ch -> ( ta `
     ` <-> th ) ) ) ) ). `
     <TR> <TD> 7:6,?: ~ e1a          <TD> ` |- (. ( ph -> ( ps -> ( ch `
     ` -> ( ta <-> th ) ) ) ) ->. ( ( ph /\ ps /\ ch ) -> ( ta `
     ` <-> th ) ) ). `
     <TR> <TD> 8:7,2,?: ~ e10        <TD> ` |- (. ( ph -> ( ps -> ( ch `
     ` -> ( ta <-> th ) ) ) ) ->. ( ( ph /\ ps /\ ch ) -> ( th `
     ` <-> ta ) ) ). `
     <TR> <TD> 9:8:               <TD> ` |- ( ( ph -> ( ps -> ( ch `
     ` -> ( ta <-> th ) ) ) ) -> ( ( ph /\ ps /\ ch ) -> ( th `
     ` <-> ta ) ) ) `
     <TR> <TD> qed:5,9,?: ~ e00      <TD> ` |- ( ( ( ph /\ ps /\ ch ) `
     ` -> ( th <-> ta ) ) <-> ( ph -> ( ps -> ( ch -> ( ta `
     ` <-> th ) ) ) ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 31-Dec-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  3impexpbicomVD $p |- ( ( ( ph /\ ps /\ ch ) -> ( th <-> ta ) ) <->
                               ( ph -> ( ps -> ( ch -> ( ta <-> th ) ) ) ) ) $=
    ( w3a wb wi bicom imbi2 biimpcd e10 3impexp biimpi e1a in1 biimpri biimprcd
    idn1 impbi e00 ) ABCFZDEGZHZABCEDGZHHHZHUFUDHUDUFGUDUFUDUBUEHZUFUDUDUCUEGZU
    GUDSDEIZUHUDUGUCUEUBJZKLUGUFABCUEMZNOPUFUDUFUGUHUDUFUFUGUFSUGUFUKQOUIUHUDUG
    UJRLPUDUFTUA $.

  ${
    3impexpbicomiVD.1 $e |- ( ( ph /\ ps /\ ch ) -> ( th <-> ta ) ) $.
    $( Virtual deduction proof of ~ 3impexpbicomi .  The following user's proof
       is completed by invoking mmj2's unify command and using mmj2's
       StepSelector to pick all remaining steps of the Metamath proof.
       <HTML> <TABLE>
       <TR> <TD> h1::               <TD> ` |- ( ( ph /\ ps /\ ch ) -> ( th `
       ` <-> ta ) ) `
       <TR> <TD> qed:1,?: ~ e0a        <TD> ` |- ( ph -> ( ps -> ( ch `
       ` -> ( ta <-> th ) ) ) ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 31-Dec-2011.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    3impexpbicomiVD $p |- ( ph -> ( ps -> ( ch -> ( ta <-> th ) ) ) ) $=
      ( w3a wb wi 3impexpbicom biimpi e0a ) ABCGDEHIZABCEDHIIIZFMNABCDEJKL $.
  $}

  ${
    $d x y $.
    $( Virtual deduction proof of ~ sbcoreleleq .  The following user's proof
       is completed by invoking mmj2's unify command and using mmj2's
       StepSelector to pick all remaining steps of the Metamath proof.
       <HTML> <TABLE>
       <TR> <TD> 1::            <TD> ` |- (. A e. B ->. A e. B ). `
       <TR> <TD> 2:1,?: ~ e1a      <TD> ` |- (. A e. B ->. ( [. A / y ]. x e. `
       ` y <-> x e. A ) ). `
       <TR> <TD> 3:1,?: ~ e1a      <TD> ` |- (. A e. B ->. ( [. A / y ]. y e. `
       ` x <-> A e. x ) ). `
       <TR> <TD> 4:1,?: ~ e1a      <TD> ` |- (. A e. B ->. ( [. A / y ]. x = `
       ` y <-> x = A ) ). `
       <TR> <TD> 5:2,3,4,?: ~ e111 <TD> ` |- (. A e. B ->. ( ( x e. A `
       ` \/ A e. x \/ x = A ) <-> ( [. A / y ]. x e. y \/ [. A / y ]. y e. x `
       ` \/ [. A / y ]. x = y ) ) ). `
       <TR> <TD> 6:1,?: ~ e1a      <TD> ` |- (. A e. B `
       ` ->. ( [. A / y ]. ( x e. y \/ y e. x \/ x = y ) <-> ( [. A / y ]. x `
       ` e. y \/ [. A / y ]. y e. x \/ [. A / y ]. x = y ) ) ). `
       <TR> <TD> 7:5,6: ~ e11      <TD> ` |- (. A e. B ->. ( [. A / y ]. ( x `
       ` e. y \/ y e. x \/ x = y ) <-> ( x e. A \/ A e. x \/ x = A ) ) ).  `
       <TR> <TD> qed:7:         <TD> ` |- ( A e. B -> ( [. A / y ]. ( x e. y `
       ` \/ y e. x \/ x = y ) <-> ( x e. A \/ A e. x \/ x = A ) ) )  `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 31-Dec-2011.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    sbcoreleleqVD $p |- ( A e. B
                        -> ( [. A / y ]. ( x e. y \/ y e. x \/ x = y )
                                       <-> ( x e. A \/ A e. x \/ x = A ) ) ) $=
      ( wcel cv wceq w3o wsbc wb sbcor a1i df-3or bicomi sbcbii 3bitr3d bitr4di
      wo orbi1d dfvd1ir sbcel2gv sbcel1v eqsbc2 3impexpbicomi e101 biantr e11an
      3orbi123 in1 ) CDEZAFZBFZEZULUKEZUKULGZHZBCIZUKCEZCUKEZUKCGZHZJZUJUQUMBCI
      ZUNBCIZUOBCIZHZJZVAVFJZVBUJVGUJUQVCVDRZVERZVFUJUMUNRZUORZBCIZVKBCIZVERZUQ
      VJVMVOJUJVKUOBCKLVMUQJUJVLUPBCUPVLUMUNUOMNOLUJVNVIVEVNVIJUJUMUNBCKLSPVCVD
      VEMQTUJVCURJZVDUSJZVEUTJZVHUJVPBUKCDUATBCUKUBUJVRBCUKDUCTVPVQVRVFVAVCURVD
      USVEUTUHUDUEUQVFVAUFUGUI $.
  $}

  ${
    $d A y $.  $d B x $.  $d x y $.
    $( Virtual deduction proof of ~ nfra2 .  The following user's proof is
       completed by invoking mmj2's unify command and using mmj2's
       StepSelector to pick all remaining steps of the Metamath proof.
       <HTML> <TABLE>
       <TR> <TD> 1::              <TD> ` |- ( A. y e. B A. x e. A ph -> `
       ` A. y A. y e. B A. x e. A ph ) `
       <TR> <TD> 2::              <TD> ` |- ( A. x e. A A. y e. B ph <-> `
       ` A. y e. B A. x e. A ph ) `
       <TR> <TD> 3:1,2,?: ~ e00   <TD> ` |- ( A. x e. A A. y e. B ph -> `
       ` A. y A. y e. B A. x e. A ph ) `
       <TR> <TD> 4:2:             <TD> ` |- A. y ( A. x e. A A. y e. B ph <-> `
       ` A. y e. B A. x e. A ph ) `
       <TR> <TD> 5:4,?: ~ e0a     <TD> ` |- ( A. y A. x e. A A. y e. B ph <-> `
       ` A. y A. y e. B A. x e. A ph ) `
       <TR> <TD> qed:3,5,?: ~ e00 <TD> ` |- ( A. x e. A A. y e. B ph -> `
       ` A. y A. x e. A A. y e. B ph ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 31-Dec-2011.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    hbra2VD $p |- ( A. x e. A A. y e. B ph -> A. y A. x e. A A. y e. B ph ) $=
      ( wral ralcom hbra1 hbxfrbi ) ACEFBDFABDFZCEFCABCDEGJCEHI $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Virtual deduction proof of ~ tratrb .  The following user's proof is
       completed by invoking mmj2's unify command and using mmj2's StepSelector
       to pick all remaining steps of the Metamath proof.
       <HTML> <TABLE>
       <TR> <TD> 1::                <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) `
       ` ->. ( Tr A /\ A. x e. A A. y e. A ( x e. y \/ y e. x \/ x = y ) `
       ` /\ B e. A ) ). `
       <TR> <TD> 2:1,?: ~ e1a          <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) ->. Tr A ). `
       <TR> <TD> 3:1,?: ~ e1a          <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) `
       ` ->. A. x e. A A. y e. A ( x e. y \/ y e. x \/ x = y ) ). `
       <TR> <TD> 4:1,?: ~ e1a          <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) ->. B e. A ). `
       <TR> <TD> 5::                <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) ->. ( x e. y /\ y e. B ) ). `
       <TR> <TD> 6:5,?: ~ e2           <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) ->. x e. y ). `
       <TR> <TD> 7:5,?: ~ e2           <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) ->. y e. B ). `
       <TR> <TD> 8:2,7,4,?: ~ e121     <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) ->. y e. A ). `
       <TR> <TD> 9:2,6,8,?: ~ e122     <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) ->. x e. A ).  `
       <TR> <TD> 10::               <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) , B e. x ->. B e. x ). `
       <TR> <TD> 11:6,7,10,?: ~ e223   <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) , B e. x ->. ( x e. y /\ y e. B /\ B e. x ) ). `
       <TR> <TD> 12:11:             <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) ->. ( B e. x -> ( x e. y /\ y e. B /\ B e. x ) ) ). `
       <TR> <TD> 13::               <TD> ` |- -. ( x e. y /\ y e. B `
       ` /\ B e. x ) `
       <TR> <TD> 14:12,13,?: ~ e20     <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) ->. -. B e. x ). `
       <TR> <TD> 15::               <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) , x = B ->. x = B ). `
       <TR> <TD> 16:7,15,?: ~ e23      <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) , x = B ->. y e. x ). `
       <TR> <TD> 17:6,16,?: ~ e23      <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) , x = B ->. ( x e. y /\ y e. x ) ). `
       <TR> <TD> 18:17:             <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) ->. ( x = B -> ( x e. y /\ y e. x ) ) ). `
       <TR> <TD> 19::               <TD> ` |- -. ( x e. y /\ y e. x ) `
       <TR> <TD> 20:18,19,?: ~ e20     <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) ->. -. x = B ). `
       <TR> <TD> 21:3,?: ~ e1a         <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) ->. A. y e. A `
       ` A. x e. A ( x e. y \/ y e. x \/ x = y ) ). `
       <TR> <TD> 22:21,9,4,?: ~ e121   <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) ->. [. x / x ]. [. B / y ]. ( x e. y \/ y e. x `
       ` \/ x = y ) ). `
       <TR> <TD> 23:22,?: ~ e2         <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) ->. [. B / y ]. ( x e. y \/ y e. x \/ x = y ) ). `
       <TR> <TD> 24:4,23,?: ~ e12      <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) ->. ( x e. B \/ B e. x \/ x = B ) ). `
       <TR> <TD> 25:14,20,24,?: ~ e222 <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) , ( x e. y `
       ` /\ y e. B ) ->. x e. B ). `
       <TR> <TD> 26:25:             <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) ->. ( ( x e. y `
       ` /\ y e. B ) -> x e. B ) ). `
       <TR> <TD> 27::               <TD> ` |- ( A. x e. A A. y e. A ( x e. y `
       ` \/ y e. x \/ x = y ) -> A. y A. x e. A A. y e. A ( x e. y \/ `
       ` y e. x \/ x = y ) ) `
       <TR> <TD> 28:27,?: ~ e0a        <TD> ` |- ( ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) `
       ` -> A. y ( Tr A /\ A. x e. A A. y e. A ( x e. y \/ y e. x `
       ` \/ x = y ) /\ B e. A ) ) `
       <TR> <TD> 29:28,26:          <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) `
       ` ->. A. y ( ( x e. y /\ y e. B ) -> x e. B ) ). `
       <TR> <TD> 30::               <TD> ` |- ( A. x e. A A. y e. A ( x e. y `
       ` \/ y e. x \/ x = y ) -> A. x A. x e. A A. y e. A ( x e. y `
       ` \/ y e. x \/ x = y ) ) `
       <TR> <TD> 31:30,?: ~ e0a        <TD> ` |- ( ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) -> A. x ( Tr A `
       ` /\ A. x e. A A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) ) `
       <TR> <TD> 32:31,29:          <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) ->. A. x `
       ` A. y ( ( x e. y /\ y e. B ) -> x e. B ) ). `
       <TR> <TD> 33:32,?: ~ e1a        <TD> ` |- (. ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) ->. Tr B ). `
       <TR> <TD> qed:33:            <TD> ` |- ( ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) -> Tr B ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 31-Dec-2011.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    tratrbVD $p |- ( ( Tr A /\ A. x e. A A. y e. A
                         ( x e. y \/ y e. x \/ x = y ) /\ B e. A ) -> Tr B ) $=
      ( wtr wel weq w3o wral wcel w3a cv wa wi wal hbra1 alrim3con13v wn e2 e1a
      e0a ax-5 hbral wceq idn2 simpl simpr idn3 pm3.2an3 e223 in3 con3 biimprcd
      en3lp e20 eleq2 e23 pm3.2 en2lp wsbc idn1 simp3 simp2 ralcom biimpi simp1
      trel expd e121 e122 rspsbc2 com13 wb equid sbceq2a sbcoreleleq biimpd e12
      ax-mp 3ornot23 ex e222 in2 gen11nv dftr2 biimpri in1 ) CEZABFZBAFZABGHZBC
      IZACIZDCJZKZDEZWOWIBLZDJZMZALZDJZNZBOZAOZWPWOXCAWMWMAONWOWOAONWLACPWMWHWN
      AQUAWOXBBWMWMBONWOWOBONWLBACWTCJZBUBWKBCPUCWMWHWNBQUAWOWSXAWOWSDWTJZRZWTD
      UDZRZXAXFXHHZXAWOWSXFWIWRXFKZNXKRXGWOWSXFXKWOWSWIWRXFXFXKWOWSWSWIWOWSUEZW
      IWRUFSZWOWSWSWRXLWIWRUGSZWOWSXFUHWIWRXFUIUJUKWTWQDUNXFXKULUOWOWSXHWIWJMZN
      XORXIWOWSXHXOWOWSWIXHWJXOXMWOWSWRXHXHWJXNWOWSXHUHXHWJWRWTDWQUPUMUQWIWJURU
      QUKWTWQUSXHXOULUOWOWNWSWKBDUTZXJWOWOWNWOVAZWHWMWNVBTZWOWSXPAWTUTZXPWOWKAC
      IBCIZWSXEWNXSWOWMXTWOWOWMXQWHWMWNVCTWMXTWKABCCVDVETWOWHWSWIWQCJZXEWOWOWHX
      QWHWMWNVFTZXMWOWHWSWRWNYAYBXNXRWHWRWNYACWQDVGVHVIWHWIYAXECWTWQVGVHVJXRWNX
      EXTXSWKBADCWTCVKVLVIXSXPAAGXSXPVMAVNXPAWTVOVSVESWNXPXJABDCVPVQVRXGXIXJXAN
      XFXHXAVTWAWBWCWDWDWPXDABDWEWFTWG $.
  $}

  $( Virtual deduction proof of ~ al2im .  The following user's proof is
     completed by invoking mmj2's unify command and using mmj2's StepSelector
     to pick all remaining steps of the Metamath proof.
     <HTML> <TABLE>
     <TR> <TD> 1::         <TD> ` |- (. A. x ( ph -> ( ps -> ch ) ) `
     ` ->. A. x ( ph -> ( ps -> ch ) ) ). `
     <TR> <TD> 2:1,?: ~ e1a   <TD> ` |- (. A. x ( ph -> ( ps -> ch ) ) `
     ` ->. ( A. x ph -> A. x ( ps -> ch ) ) ). `
     <TR> <TD> 3::         <TD> ` |- ( A. x ( ps -> ch ) -> ( A. x ps `
     ` -> A. x ch ) ) `
     <TR> <TD> 4:2,3,?: ~ e10 <TD> ` |- (. A. x ( ph -> ( ps -> ch ) ) `
     ` ->. ( A. x ph -> ( A. x ps -> A. x ch ) ) ). `
     <TR> <TD> qed:4:      <TD> ` |- ( A. x ( ph -> ( ps -> ch ) ) `
     ` -> ( A. x ph -> ( A. x ps -> A. x ch ) ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 31-Dec-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  al2imVD $p |- ( A. x ( ph -> ( ps -> ch ) ) ->
                                     ( A. x ph -> ( A. x ps -> A. x ch ) ) ) $=
    ( wi wal idn1 alim e1a imim1 e10 in1 ) ABCEZEDFZADFZBDFCDFEZEZNOMDFZEZRPEQN
    NSNGAMDHIBCDHORPJKL $.

  $( Virtual deduction proof of ~ syl5imp .  The following user's proof is
     completed by invoking mmj2's unify command and using mmj2's StepSelector
     to pick all remaining steps of the Metamath proof.
     <HTML> <TABLE>
     <TR> <TD> 1::         <TD> ` |- (. ( ph -> ( ps -> ch ) ) ->. ( ph `
     ` -> ( ps -> ch ) ) ). `
     <TR> <TD> 2:1,?: ~ e1a   <TD> ` |- (. ( ph -> ( ps -> ch ) ) ->. ( ps `
     ` -> ( ph -> ch ) ) ). `
     <TR> <TD> 3::         <TD> ` |- (. ( ph -> ( ps -> ch ) ) ,. ( th `
     ` -> ps ) ->. ( th -> ps ) ). `
     <TR> <TD> 4:3,2,?: ~ e21 <TD> ` |- (. ( ph -> ( ps -> ch ) ) ,. ( th `
     ` -> ps )  ->. ( th -> ( ph -> ch ) ) ). `
     <TR> <TD> 5:4,?: ~ e2    <TD> ` |- (. ( ph -> ( ps -> ch ) ) ,. ( th `
     ` -> ps )  ->. ( ph -> ( th -> ch ) ) ). `
     <TR> <TD> 6:5:        <TD> ` |- (. ( ph -> ( ps -> ch ) ) ->. ( ( th `
     ` -> ps ) -> ( ph -> ( th -> ch ) ) ) ). `
     <TR> <TD> qed:6:      <TD> ` |- ( ( ph -> ( ps -> ch ) ) -> ( ( th `
     ` -> ps ) -> ( ph -> ( th -> ch ) ) ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 31-Dec-2011.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  syl5impVD $p |- ( ( ph -> ( ps -> ch ) ) ->
                                ( ( th -> ps ) -> ( ph -> ( th -> ch ) ) ) ) $=
    ( wi idn2 idn1 pm2.04 e1a imim1 e21 e2 in2 in1 ) ABCEEZDBEZADCEEZEOPQOPDACE
    ZEZQOPPBREZSOPFOOTOGABCHIDBRJKDACHLMN $.

  ${
    idiVD.1 $e |- ph $.
    $( Virtual deduction proof of ~ idiALT .  The following user's
       proof is completed by invoking mmj2's unify command and using mmj2's
       StepSelector to pick all remaining steps of the Metamath proof.
       <HTML> <TABLE>
       <TR> <TD> h1::        <TD> ` |- ph `
       <TR> <TD> qed:1,?: ~ e0a <TD> ` |- ph `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 31-Dec-2011.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    idiVD $p |- ph $=
      ( id e0a ) AABACD $.
  $}

  $( Closed form of ~ ancoms .  The following user's proof is completed by
     invoking mmj2's unify command and using mmj2's StepSelector to pick all
     remaining steps of the Metamath proof.
     <HTML> <TABLE>
     <TR> <TD> 1::         <TD> ` |- ( ( ph /\ ps ) <-> ( ps /\ ph ) )  `
     <TR> <TD> qed:1,?: ~ e0a <TD> ` |- ( ( ( ph /\ ps ) -> ch ) <-> ( ( ps `
     ` /\ ph ) -> ch ) ) `
     </TABLE> </HTML>
     The proof of ~ ancomst is derived automatically from it.  (Contributed by
     Alan Sare, 25-Dec-2011.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  ancomstVD $p |- ( ( ( ph /\ ps ) -> ch ) <-> ( ( ps /\ ph ) -> ch ) ) $=
    ( wa wb wi ancom imbi1 e0a ) ABDZBADZEJCFKCFEABGJKCHI $.

  ${
    $d A x $.  $d B x $.  $d C x $.  $d C y $.  $d D x $.  $d D y $.
    $( Quantification restricted to a subclass for two quantifiers.  ~ ssralv
       for two quantifiers.  The following User's Proof is a Virtual Deduction
       proof completed automatically by the tools program
       completeusersproof.cmd, which invokes Mel L. O'Cat's mmj2 and Norm
       Megill's Metamath Proof Assistant.  ~ ssralv2 is ~ ssralv2VD without
       virtual deductions and was automatically derived from ~ ssralv2VD .
       <HTML> <TABLE>
       <TR> <TD> 1::          <TD> ` |- (. ( A C_ B /\ C C_ D ) ->. ( A C_ B `
       ` /\ C C_ D ) ). `
       <TR> <TD> 2::          <TD> ` |- (. ( A C_ B /\ C C_ D ) ,. A. x e. B `
       ` A. y e. D ph ->. A. x e. B A. y e. D ph ). `
       <TR> <TD> 3:1:         <TD> ` |- (. ( A C_ B /\ C C_ D ) ->. A C_ B ). `
       <TR> <TD> 4:3,2:       <TD> ` |- (. ( A C_ B /\ C C_ D ) ,. A. x e. B `
       ` A. y e. D ph ->. A. x e. A A. y e. D ph ). `
       <TR> <TD> 5:4:         <TD> ` |- (. ( A C_ B /\ C C_ D ) ,. A. x e. B `
       ` A. y e. D ph ->. A. x ( x e. A -> A. y e. D ph ) ). `
       <TR> <TD> 6:5:         <TD> ` |- (. ( A C_ B /\ C C_ D ) ,. A. x e. B `
       ` A. y e. D ph ->. ( x e. A -> A. y e. D ph ) ). `
       <TR> <TD> 7::          <TD> ` |- (. ( A C_ B /\ C C_ D ) ,. A. x e. B `
       ` A. y e. D ph , x e. A ->. x e. A ). `
       <TR> <TD> 8:7,6:       <TD> ` |- (. ( A C_ B /\ C C_ D ) ,. A. x e. B `
       ` A. y e. D ph , x e. A ->. A. y e. D ph ). `
       <TR> <TD> 9:1:         <TD> ` |- (. ( A C_ B /\ C C_ D ) ->. C C_ D ). `
       <TR> <TD> 10:9,8:      <TD> ` |- (. ( A C_ B /\ C C_ D ) ,. A. x e. B `
       ` A. y e. D ph , x e. A ->. A. y e. C ph ). `
       <TR> <TD> 11:10:       <TD> ` |- (. ( A C_ B /\ C C_ D ) ,. A. x e. B `
       ` A. y e. D ph ->. ( x e. A -> A. y e. C ph ) ). `
       <TR> <TD> 12::         <TD> ` |- ( ( A C_ B /\ C C_ D ) `
       ` -> A. x ( A C_ B /\ C C_ D ) ) `
       <TR> <TD> 13::         <TD> ` |- ( A. x e. B A. y e. D ph `
       ` -> A. x A. x e. B A. y e. D ph ) `
       <TR> <TD> 14:12,13,11: <TD> ` |- (. ( A C_ B /\ C C_ D ) ,. A. x e. B `
       ` A. y e. D ph ->. A. x ( x e. A -> A. y e. C ph ) ). `
       <TR> <TD> 15:14:       <TD> ` |- (. ( A C_ B /\ C C_ D ) ,. A. x e. B `
       ` A. y e. D ph ->. A. x e. A A. y e. C ph ). `
       <TR> <TD> 16:15:       <TD> ` |- (. ( A C_ B /\ C C_ D ) `
       ` ->. ( A. x e. B A. y e. D ph -> A. x e. A A. y e. C ph ) ). `
       <TR> <TD> qed:16:      <TD> ` |- ( ( A C_ B /\ C C_ D ) `
       ` -> ( A. x e. B A. y e. D ph -> A. x e. A A. y e. C ph ) ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 10-Feb-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    ssralv2VD $p |- ( ( A C_ B /\ C C_ D ) ->
                      ( A. x e. B A. y e. D ph -> A. x e. A A. y e. C ph ) ) $=
      ( wss wa wral wi cv wcel wal ax-5 hbra1 e1a ssralv df-ral e2 simpr biimpi
      idn1 idn3 simpl idn2 e12 sp pm2.27 e32 e13 in3 gen21nv biimpri in2 in1 )
      DEHZFGHZIZACGJZBEJZACFJZBDJZKUSVAVCUSVABLDMZVBKZBNZVCUSVAVEBUSBOUTBEPUSVA
      VDVBUSURVAVDUTVBUSUSURUSUCZUQURUAQUSVAVDVDVDUTKZUTUSVAVDUDUSVAVHBNZVHUSVA
      UTBDJZVIUSUQVAVAVJUSUSUQVGUQURUEQUSVAUFUTBDERUGVJVIUTBDSUBTVHBUHTVDUTUIUJ
      ACFGRUKULUMVCVFVBBDSUNTUOUP $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( An element of an ordinal class is ordinal.  Proposition 7.6 of
       [TakeutiZaring] p. 36.  This is an alternate proof of ~ ordelord using
       the Axiom of Regularity indirectly through ~ dford2 .  dford2 is a
       weaker definition of ordinal number.  Given the Axiom of Regularity, it
       need not be assumed that ` _E Fr A ` because this is inferred by the
       Axiom of Regularity.  The following User's Proof is a Virtual Deduction
       proof completed automatically by the tools program
       completeusersproof.cmd, which invokes Mel L. O'Cat's mmj2 and Norm
       Megill's Metamath Proof Assistant.  ~ ordelordALT is ~ ordelordALTVD
       without virtual deductions and was automatically derived from
       ~ ordelordALTVD using the tools program
       translate..without..overwriting.cmd and the Metamath program "MM-PA>
       MINIMIZE__WITH *" command.
       <HTML> <TABLE>
       <TR> <TD> 1::        <TD> ` |- (. ( Ord A /\ B e. A ) ->. ( Ord A `
       ` /\ B e. A ) ). `
       <TR> <TD> 2:1:       <TD> ` |- (. ( Ord A /\ B e. A ) ->. Ord A ). `
       <TR> <TD> 3:1:       <TD> ` |- (. ( Ord A /\ B e. A ) ->. B e. A ). `
       <TR> <TD> 4:2:       <TD> ` |- (. ( Ord A /\ B e. A ) ->. Tr A ). `
       <TR> <TD> 5:2:       <TD> ` |- (. ( Ord A /\ B e. A ) ->. A. x e. A `
       ` A. y e. A ( x e. y \/ x = y \/ y e. x ) ). `
       <TR> <TD> 6:4,3:     <TD> ` |- (. ( Ord A /\ B e. A ) ->. B C_ A ). `
       <TR> <TD> 7:6,6,5:   <TD> ` |- (. ( Ord A /\ B e. A ) ->. A. x e. B `
       ` A. y e. B ( x e. y \/ x = y \/ y e. x ) ). `
       <TR> <TD> 8::        <TD> ` |- ( ( x e. y \/ x = y \/ y e. x ) `
       ` <-> ( x e. y \/ y e. x \/ x = y ) ) `
       <TR> <TD> 9:8:       <TD> ` |- A. y ( ( x e. y \/ x = y \/ y e. x ) `
       ` <-> ( x e. y \/ y e. x \/ x = y ) ) `
       <TR> <TD> 10:9:      <TD> ` |- A. y e. A ( ( x e. y \/ x = y `
       ` \/ y e. x ) <-> ( x e. y \/ y e. x \/ x = y ) ) `
       <TR> <TD> 11:10:     <TD> ` |- ( A. y e. A ( x e. y \/ x = y `
       ` \/ y e. x ) <-> A. y e. A ( x e. y \/ y e. x \/ x = y ) ) `
       <TR> <TD> 12:11:     <TD> ` |- A. x ( A. y e. A ( x e. y \/ x = y `
       ` \/ y e. x ) <-> A. y e. A ( x e. y \/ y e. x \/ x = y ) ) `
       <TR> <TD> 13:12:     <TD> ` |- A. x e. A ( A. y e. A ( x e. y `
       ` \/ x = y \/ y e. x ) <-> A. y e. A ( x e. y \/ y e. x \/ x = y ) ) `
       <TR> <TD> 14:13:     <TD> ` |- ( A. x e. A A. y e. A ( x e. y `
       ` \/ x = y \/ y e. x ) <-> A. x e. A A. y e. A ( x e. y \/ y e. x `
       ` \/ x = y ) ) `
       <TR> <TD> 15:14,5:   <TD> ` |- (. ( Ord A /\ B e. A ) ->. A. x e. A `
       ` A. y e. A ( x e. y \/ y e. x \/ x = y ) ). `
       <TR> <TD> 16:4,15,3: <TD> ` |- (. ( Ord A /\ B e. A ) ->. Tr B ). `
       <TR> <TD> 17:16,7:   <TD> ` |- (. ( Ord A /\ B e. A ) ->. Ord B ). `
       <TR> <TD> qed:17:    <TD> ` |- ( ( Ord A /\ B e. A ) -> Ord B ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 12-Feb-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    ordelordALTVD $p |- ( ( Ord A /\ B e. A ) -> Ord B ) $=
      ( vx vy word wcel wtr cv w3o wral e1a dford2 wb wal ax-gen alral e0a e111
      ralbi e11 wa wceq idn1 simpl ordtr simprbi 3orcomb e1bi simpr tratrb 3exp
      wss trss wi ssralv2 ex simplbi2 in1 ) AEZBAFZUAZBEZVABGZCHZDHZFZVDVEUBZVE
      VDFZIZDBJCBJZVBVAAGZVFVHVGIZDAJZCAJZUTVCVAUSVKVAVAUSVAUCZUSUTUDKZAUEKZVAV
      IDAJZCAJZVNVAUSVSVPUSVKVSCDALUFKZVRVMMZCAJZVSVNMWACNWBWACVIVLMZDAJZWAWCDN
      WDWCDVFVGVHUGOWCDAPQVIVLDASQOWACAPQVRVMCASQUHVAVAUTVOUSUTUIKZVKVNUTVCCDAB
      UJUKRVABAULZWFVSVJVAVKUTWFVQWEABUMTZWGVTWFWFVSVJUNVICDBABAUOUPRVBVCVJCDBL
      UQTUR $.
  $}

  $( If a class equals the union of two other classes, then it equals the union
     of those two classes commuted.  The following User's Proof is a Virtual
     Deduction proof completed automatically by the tools program
     completeusersproof.cmd, which invokes Mel L. O'Cat's mmj2 and Norm
     Megill's Metamath Proof Assistant.  ~ equncom is ~ equncomVD without
     virtual deductions and was automatically derived from ~ equncomVD .
     <HTML> <TABLE>
     <TR> <TD> 1::    <TD> ` |- (. A = ( B u. C ) ->. A = ( B u. C ) ). `
     <TR> <TD> 2::    <TD> ` |- ( B u. C ) = ( C u. B ) `
     <TR> <TD> 3:1,2: <TD> ` |- (. A = ( B u. C ) ->. A = ( C u. B ) ). `
     <TR> <TD> 4:3:   <TD> ` |- ( A = ( B u. C ) -> A = ( C u. B ) ) `
     <TR> <TD> 5::    <TD> ` |- (. A = ( C u. B ) ->. A = ( C u. B ) ). `
     <TR> <TD> 6:5,2: <TD> ` |- (. A = ( C u. B ) ->. A = ( B u. C ) ). `
     <TR> <TD> 7:6:   <TD> ` |- ( A = ( C u. B ) -> A = ( B u. C ) ) `
     <TR> <TD> 8:4,7: <TD> ` |- ( A = ( B u. C ) <-> A = ( C u. B ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 17-Feb-2012.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  equncomVD $p |- ( A = ( B u. C ) <-> A = ( C u. B ) ) $=
    ( cun wceq idn1 uncom eqeq1 biimprd e10 in1 eqeq2 biimprcd impbii ) ABCDZEZ
    ACBDZEZPRPPOQEZRPFBCGZPRSAOQHIJKRPRRSPRFTSPROQALMJKN $.

  ${
    equncomiVD.1 $e |- A = ( B u. C ) $.
    $( Inference form of ~ equncom .  The following User's Proof is a
       Virtual Deduction proof completed automatically by the tools program
       completeusersproof.cmd, which invokes Mel L. O'Cat's mmj2 and Norm
       Megill's Metamath Proof Assistant.  ~ equncomi is ~ equncomiVD without
       virtual deductions and was automatically derived from ~ equncomiVD .
       <HTML> <TABLE>
       <TR> <TD> h1::   <TD> ` |- A = ( B u. C ) `
       <TR> <TD> qed:1: <TD> ` |- A = ( C u. B ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 18-Feb-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    equncomiVD $p |- A = ( C u. B ) $=
      ( cun wceq equncom biimpi e0a ) ABCEFZACBEFZDJKABCGHI $.
  $}

  ${
    sucidALTVD.1 $e |- A e. _V $.
    $( A set belongs to its successor.  Alternate proof of ~ sucid .
       The following User's Proof is a Virtual Deduction proof
       completed automatically by the tools program
       completeusersproof.cmd, which invokes Mel L. O'Cat's mmj2 and Norm
       Megill's Metamath Proof Assistant.  ~ sucidALT is ~ sucidALTVD
       without virtual deductions and was automatically derived from
       ~ sucidALTVD . This proof illustrates that
       completeusersproof.cmd will generate a Metamath proof from any
       User's Proof which is "conventional" in the sense that no step
       is a virtual deduction, provided that all necessary unification
       theorems and transformation deductions are in set.mm.
       completeusersproof.cmd automatically converts such a
       conventional proof into a Virtual Deduction proof for which each
       step happens to be a 0-virtual hypothesis virtual deduction.
       The user does not need to search for reference theorem labels or
       deduction labels nor does he(she) need to use theorems and
       deductions which unify with reference theorems and deductions in
       set.mm.  All that is necessary is that each theorem or deduction
       of the User's Proof unifies with some reference theorem or
       deduction in set.mm or is a semantic variation of some theorem
       or deduction which unifies with some reference theorem or
       deduction in set.mm.  The definition of "semantic variation" has
       not been precisely defined.  If it is obvious that a theorem or
       deduction has the same meaning as another theorem or deduction,
       then it is a semantic variation of the latter theorem or
       deduction.  For example, step 4 of the User's Proof is a
       semantic variation of the definition (axiom)
       ` suc A = ( A u. { A } ) ` , which unifies with ~ df-suc , a
       reference definition (axiom) in set.mm.  Also, a theorem or
       deduction is said to be a semantic variation of another
       theorem or deduction if it is obvious upon cursory inspection
       that it has the same meaning as a weaker form of the latter
       theorem or deduction.  For example, the deduction ` Ord A `
       infers  ` A. x e. A A. y e. A ( x e. y \/ x = y \/ y e. x ) ` is a
       semantic variation of the theorem ` ( Ord A <-> ( Tr A /\ A. x e. A `
       ` A. y e. A ( x e. y \/ x = y \/ y e. x ) ) ) ` , which unifies with
       the set.mm reference definition (axiom) ~ dford2 .
       <HTML> <TABLE>
       <TR> <TD> h1::     <TD> ` |- A e. _V   `
       <TR> <TD> 2:1:     <TD> ` |- A e. { A } `
       <TR> <TD> 3:2:     <TD> ` |- A e. ( { A } u. A ) `
       <TR> <TD> 4::      <TD> ` |- suc A = ( { A } u. A ) `
       <TR> <TD> qed:3,4: <TD> ` |- A e. suc A  `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 18-Feb-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    sucidALTVD $p |- A e. suc A $=
      ( csn cun csuc wcel snid elun1 e0a df-suc equncomi eleqtrri ) AACZADZAEZA
      MFANFABGAMAHIOAMAJKL $.
  $}

  ${
    sucidALT.1 $e |- A e. _V $.
    $( A set belongs to its successor.  This proof was automatically derived
       from ~ sucidALTVD using translate__without__overwriting.cmd and
       minimizing.  (Contributed by Alan Sare, 18-Feb-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    sucidALT $p |- A e. suc A $=
      ( csn cun csuc wcel snid elun1 ax-mp df-suc equncomi eleqtrri ) AACZADZAE
      ZAMFANFABGAMAHIOAMAJKL $.
  $}

  ${
    sucidVD.1 $e |- A e. _V $.
    $( A set belongs to its successor.  The following User's Proof is a
       Virtual Deduction proof completed automatically by the tools
       program completeusersproof.cmd, which invokes Mel L. O'Cat's mmj2
       and Norm Megill's Metamath Proof Assistant.
       ~ sucid is ~ sucidVD without virtual deductions and was automatically
       derived from ~ sucidVD .
       <HTML> <TABLE>
       <TR> <TD> h1::     <TD> ` |- A e. _V   `
       <TR> <TD> 2:1:     <TD> ` |- A e. { A } `
       <TR> <TD> 3:2:     <TD> ` |- A e. ( A u. { A } ) `
       <TR> <TD> 4::      <TD> ` |- suc A = ( A u. { A } ) `
       <TR> <TD> qed:3,4: <TD> ` |- A e. suc A  `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 18-Feb-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    sucidVD $p |- A e. suc A $=
      ( csn cun csuc wcel snid elun2 e0a df-suc eleqtrri ) AAACZDZAEALFAMFABGAL
      AHIAJK $.
  $}

  $( Implication form of ~ imbi12i .  The following User's Proof is a Virtual
     Deduction proof completed automatically by the tools program
     completeusersproof.cmd, which invokes Mel L. O'Cat's mmj2 and Norm
     Megill's Metamath Proof Assistant.  ~ imbi12 is ~ imbi12VD without virtual
     deductions and was automatically derived from ~ imbi12VD .
     <HTML> <TABLE>
     <TR> <TD> 1::      <TD> ` |- (. ( ph <-> ps ) ->. ( ph <-> ps ) ). `
     <TR> <TD> 2::      <TD> ` |- (. ( ph <-> ps ) ,. ( ch <-> th ) `
     ` ->. ( ch <-> th ) ). `
     <TR> <TD> 3::      <TD> ` |- (. ( ph <-> ps ) ,. ( ch <-> th ) ,. ( ph `
     ` -> ch ) ->. ( ph -> ch ) ). `
     <TR> <TD> 4:1,3:   <TD> ` |- (. ( ph <-> ps ) ,. ( ch <-> th ) ,. ( ph `
     ` -> ch ) ->. ( ps -> ch ) ). `
     <TR> <TD> 5:2,4:   <TD> ` |- (. ( ph <-> ps ) ,. ( ch <-> th ) ,. ( ph `
     ` -> ch ) ->. ( ps -> th ) ). `
     <TR> <TD> 6:5:     <TD> ` |- (. ( ph <-> ps ) ,. ( ch <-> th ) `
     ` ->. ( ( ph -> ch ) -> ( ps -> th ) ) ). `
     <TR> <TD> 7::      <TD> ` |- (. ( ph <-> ps ) ,. ( ch <-> th ) ,. ( ps `
     ` -> th ) ->. ( ps -> th ) ). `
     <TR> <TD> 8:1,7:   <TD> ` |- (. ( ph <-> ps ) ,. ( ch <-> th ) ,. ( ps `
     ` -> th ) ->. ( ph -> th ) ). `
     <TR> <TD> 9:2,8:   <TD> ` |- (. ( ph <-> ps ) ,. ( ch <-> th ) ,. ( ps `
     ` -> th ) ->. ( ph -> ch ) ). `
     <TR> <TD> 10:9:    <TD> ` |- (. ( ph <-> ps ) ,. ( ch <-> th ) `
     ` ->. ( ( ps -> th ) -> ( ph -> ch ) ) ). `
     <TR> <TD> 11:6,10: <TD> ` |- (. ( ph <-> ps ) ,. ( ch <-> th ) `
     ` ->. ( ( ph -> ch ) <-> ( ps -> th ) ) ). `
     <TR> <TD> 12:11:   <TD> ` |- (. ( ph <-> ps ) ->. ( ( ch <-> th ) `
     ` -> ( ( ph -> ch ) <-> ( ps -> th ) ) ) ). `
     <TR> <TD> qed:12:  <TD> ` |- ( ( ph <-> ps ) -> ( ( ch <-> th ) `
     ` -> ( ( ph -> ch ) <-> ( ps -> th ) ) ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 18-Mar-2012.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  imbi12VD $p |- ( ( ph <-> ps ) ->
                    ( ( ch <-> th ) -> ( ( ph -> ch ) <-> ( ps -> th ) ) ) ) $=
    ( wb wi idn2 idn1 idn3 biimpr imim1d e13 biimp imim2d e23 in3 impbi e22 in2
    in1 ) ABEZCDEZACFZBDFZEZFUAUBUEUAUBUCUDFUDUCFUEUAUBUCUDUAUBUBUCBCFZUDUAUBGZ
    UAUAUBUCUCUFUAHZUAUBUCIUABACABJKLUBCDBCDMNOPUAUBUDUCUAUBUBUDADFZUCUGUAUAUBU
    DUDUIUHUAUBUDIUAABDABMKLUBDCACDJNOPUCUDQRST $.

  $( Join three logical equivalences to form equivalence of implications.  The
     following User's Proof is a Virtual Deduction proof completed
     automatically by the tools program completeusersproof.cmd, which invokes
     Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.  ~ imbi13
     is ~ imbi13VD without virtual deductions and was automatically derived
     from ~ imbi13VD .
     <HTML> <TABLE>
     <TR> <TD> 1::      <TD> ` |- (. ( ph <-> ps ) ->. ( ph <-> ps ) ). `
     <TR> <TD> 2::      <TD> ` |- (. ( ph <-> ps ) ,. ( ch <-> th ) `
     ` ->. ( ch <-> th ) ). `
     <TR> <TD> 3::      <TD> ` |- (. ( ph <-> ps ) ,. ( ch <-> th ) ,. ( ta `
     ` <-> et ) ->. ( ta <-> et ) ). `
     <TR> <TD> 4:2,3:   <TD> ` |- (. ( ph <-> ps ) ,. ( ch <-> th ) ,. ( ta `
     ` <-> et ) ->. ( ( ch -> ta ) <-> ( th -> et ) ) ). `
     <TR> <TD> 5:1,4:   <TD> ` |- (. ( ph <-> ps ) ,. ( ch <-> th ) ,. ( ta `
     ` <-> et ) ->. ( ( ph -> ( ch -> ta ) ) <-> ( ps -> ( th -> et ) ) ) ). `
     <TR> <TD> 6:5:     <TD> ` |- (. ( ph <-> ps ) ,. ( ch <-> th ) `
     ` ->. ( ( ta <-> et ) -> ( ( ph -> ( ch -> ta ) ) <-> ( ps -> ( th `
     ` -> et ) ) ) ) ). `
     <TR> <TD> 7:6:     <TD> ` |- (. ( ph <-> ps ) ->. ( ( ch <-> th ) `
     ` -> ( ( ta <-> et ) -> ( ( ph -> ( ch -> ta ) ) <-> ( ps -> ( th `
     ` -> et ) ) ) ) ) ).  `
     <TR> <TD> qed:7:   <TD> ` |- ( ( ph <-> ps ) -> ( ( ch <-> th ) `
     ` -> ( ( ta <-> et ) -> ( ( ph -> ( ch -> ta ) ) <-> ( ps -> ( th `
     ` -> et ) ) ) ) ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 18-Mar-2012.)  (Proof modification is
     discouraged.)  (New usage is discouraged.) $)
  imbi13VD $p |- ( ( ph <-> ps ) -> ( ( ch <-> th ) -> ( ( ta <-> et ) ->
                 ( ( ph -> ( ch -> ta ) ) <-> ( ps -> ( th -> et ) ) ) ) ) ) $=
    ( wb wi idn1 idn2 idn3 imbi12 e23 e13 in3 in2 in1 ) ABGZCDGZEFGZACEHZHBDFHZ
    HGZHZHRSUDRSTUCRRSTUAUBGZUCRIRSSTTUERSJRSTKCDEFLMABUAUBLNOPQ $.

  $( Distribution of class substitution over a left-nested implication.
     Similar to ~ sbcimg .
     The following User's Proof is a Virtual Deduction proof completed
     automatically by the tools program completeusersproof.cmd, which invokes
     Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
     ~ sbcim2g is ~ sbcim2gVD without virtual deductions and was automatically
     derived from ~ sbcim2gVD .
     <HTML> <TABLE>
     <TR> <TD> 1::      <TD> ` |- (. A e. B ->. A e. B ). `
     <TR> <TD> 2::      <TD> ` |- (. A e. B ,. [. A / x ]. ( ph -> ( ps `
     ` -> ch ) ) ->. [. A / x ]. ( ph -> ( ps -> ch ) ) ). `
     <TR> <TD> 3:1,2:   <TD> ` |- (. A e. B ,. [. A / x ]. ( ph -> ( ps `
     ` -> ch ) ) ->. ( [. A / x ]. ph -> [. A / x ]. ( ps -> ch ) ) ). `
     <TR> <TD> 4:1:     <TD> ` |- (. A e. B ->. ( [. A / x ]. ( ps -> ch ) `
     ` <-> ( [. A / x ]. ps -> [. A / x ]. ch ) ) ). `
     <TR> <TD> 5:3,4:   <TD> ` |- (. A e. B ,. [. A / x ]. ( ph -> ( ps `
     ` -> ch ) ) ->. ( [. A / x ]. ph -> ( [. A / x ]. ps `
     ` -> [. A / x ]. ch ) ) ). `
     <TR> <TD> 6:5:     <TD> ` |- (. A e. B ->. ( [. A / x ]. ( ph -> ( ps `
     ` -> ch ) ) -> ( [. A / x ]. ph -> ( [. A / x ]. ps `
     ` -> [. A / x ]. ch ) ) ) ). `
     <TR> <TD> 7::      <TD> ` |- (. A e. B ,. ( [. A / x ]. ph `
     ` -> ( [. A / x ]. ps -> [. A / x ]. ch ) ) ->. ( [. A / x ]. ph `
     ` -> ( [. A / x ]. ps -> [. A / x ]. ch ) ) ). `
     <TR> <TD> 8:4,7:   <TD> ` |- (. A e. B ,. ( [. A / x ]. ph `
     ` -> ( [. A / x ]. ps -> [. A / x ]. ch ) ) ->. ( [. A / x ]. ph `
     ` -> [. A / x ]. ( ps -> ch ) ) ). `
     <TR> <TD> 9:1:     <TD> ` |- (. A e. B ->. ( [. A / x ]. ( ph -> ( ps `
     ` -> ch ) ) <-> ( [. A / x ]. ph -> [. A / x ]. ( ps -> ch ) ) ) ). `
     <TR> <TD> 10:8,9:  <TD> ` |- (. A e. B ,. ( [. A / x ]. ph `
     ` -> ( [. A / x ]. ps -> [. A / x ]. ch ) ) ->. [. A / x ]. ( ph -> ( ps `
     ` -> ch ) ) ). `
     <TR> <TD> 11:10:   <TD> ` |- (. A e. B ->. ( ( [. A / x ]. ph `
     ` -> ( [. A / x ]. ps -> [. A / x ]. ch ) ) -> [. A / x ]. ( ph -> ( ps `
     ` -> ch ) ) ) ). `
     <TR> <TD> 12:6,11: <TD> ` |- (. A e. B ->. ( [. A / x ]. ( ph `
     ` -> ( ps -> ch ) ) <-> ( [. A / x ]. ph -> ( [. A / x ]. ps `
     ` -> [. A / x ]. ch ) ) ) ). `
     <TR> <TD> qed:12:  <TD> ` |- ( A e. B -> ( [. A / x ]. ( ph -> ( ps `
     ` -> ch ) ) <-> ( [. A / x ]. ph -> ( [. A / x ]. ps `
     ` -> [. A / x ]. ch ) ) ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 18-Mar-2012.)  (Proof modification is
     discouraged.)  (New usage is discouraged.) $)
  sbcim2gVD $p |- ( A e. B -> ( [. A / x ]. ( ph -> ( ps -> ch ) ) <->
              ( [. A / x ]. ph -> ( [. A / x ]. ps -> [. A / x ]. ch ) ) ) ) $=
    ( wcel wi wsbc wb idn1 idn2 sbcimg biimpd e12 e1a imbi2 e21 in2 biimpr e11
    biimpcd imim2d com12 impbi in1 ) EFGZABCHZHDEIZADEIZBDEICDEIHZHZJZUGUIULHUL
    UIHUMUGUIULUGUIUJUHDEIZHZUNUKJZULUGUGUIUIUOUGKZUGUILUGUIUOAUHDEFMZNOUGUGUPU
    QBCDEFMPZUPUOULUNUKUJQUBRSUGULUIUGULUOUIUOJZUIUGUPULULUOUSUGULLUPUKUNUJUNUK
    TUCOUGUGUTUQURPUTUOUIUIUOTUDRSUIULUEUAUF $.

  $( Implication form of ~ sbcbii .
     The following User's Proof is a Virtual Deduction proof completed
     automatically by the tools program completeusersproof.cmd, which invokes
     Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
     ~ sbcbi is ~ sbcbiVD without virtual deductions and was automatically
     derived from ~ sbcbiVD .
     <HTML> <TABLE>
     <TR> <TD> 1::           <TD> ` |- (. A e. B ->. A e. B ).  `
     <TR> <TD> 2::           <TD> ` |- (. A e. B ,. A. x ( ph <-> ps ) `
     ` ->. A. x ( ph <-> ps ) ). `
     <TR> <TD> 3:1,2:        <TD> ` |- (. A e. B ,. A. x ( ph <-> ps ) `
     ` ->. [. A / x ]. ( ph <-> ps ) ). `
     <TR> <TD> 4:1,3:        <TD> ` |- (. A e. B ,. A. x ( ph <-> ps ) `
     ` ->. ( [. A / x ]. ph <-> [. A / x ]. ps ) ). `
     <TR> <TD> 5:4:          <TD> ` |- (. A e. B ->. ( A. x ( ph <-> ps ) `
     ` -> ( [. A / x ]. ph <-> [. A / x ]. ps ) ) ). `
     <TR> <TD> qed:5:        <TD> ` |- ( A e. B -> ( A. x ( ph <-> ps ) `
     ` -> ( [. A / x ]. ph <-> [. A / x ]. ps ) ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 18-Mar-2012.)  (Proof modification is
     discouraged.)  (New usage is discouraged.) $)
  sbcbiVD $p |- ( A e. B ->
           ( A. x ( ph <-> ps ) -> ( [. A / x ]. ph <-> [. A / x ]. ps ) ) ) $=
    ( wcel wb wal wsbc wi idn1 idn2 spsbc e12 sbcbig biimpd in2 in1 ) DEFZABGZC
    HZACDIBCDIGZJSUAUBSSUATCDIZUBSKZSSUAUAUCUDSUALTCDEMNSUCUBABCDEOPNQR $.

  ${
    $d A x y z $.  $d B y z $.
    $( Formula-building inference rule for class substitution, substituting a
       class variable for the setvar variable of the transitivity predicate.
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ trsbc is ~ trsbcVD without virtual deductions and was automatically
       derived from ~ trsbcVD .
       <HTML> <TABLE>
       <TR> <TD> 1::        <TD> ` |- (. A e. B ->. A e. B ). `
       <TR> <TD> 2:1:       <TD> ` |- (. A e. B ->. ( [. A / x ]. z e. y `
       ` <-> z e. y ) ). `
       <TR> <TD> 3:1:       <TD> ` |- (. A e. B ->. ( [. A / x ]. y e. x `
       ` <-> y e. A ) ). `
       <TR> <TD> 4:1:       <TD> ` |- (. A e. B ->. ( [. A / x ]. z e. x `
       ` <-> z e. A ) ). `
       <TR> <TD> 5:1,2,3,4: <TD> ` |- (. A e. B ->. ( ( [. A / x ]. z e. y `
       ` -> ( [. A / x ]. y e. x -> [. A / x ]. z e. x ) ) <-> ( z e. y `
       ` -> ( y e. A ->  z e. A ) ) ) ). `
       <TR> <TD> 6:1:       <TD> ` |- (. A e. B ->. ( [. A / x ]. ( z e. y `
       ` -> ( y e. x ->  z e. x ) )  <-> ( [. A / x ]. z e. y -> `
       ` ( [. A / x ]. y e. x -> [. A / x ]. z e. x ) ) ) ). `
       <TR> <TD> 7:5,6:     <TD> ` |- (. A e. B ->. ( [. A / x ]. ( z e. y `
       ` -> ( y e. x ->  z e. x ) )  <-> ( z e. y -> ( y e. A `
       ` -> z e. A ) ) ) ). `
       <TR> <TD> 8::        <TD> ` |- ( ( z e. y -> ( y e. A `
       ` ->  z e. A ) ) <-> ( ( z e. y /\ y e. A ) ->  z e. A ) ) `
       <TR> <TD> 9:7,8:     <TD> ` |- (. A e. B ->. ( [. A / x ]. ( z e. y `
       ` -> ( y e. x ->  z e. x ) )  <-> ( ( z e. y /\ y e. A ) `
       ` ->  z e. A ) ) ). `
       <TR> <TD> 10::       <TD> ` |- ( ( z e. y -> ( y e. x `
       ` ->  z e. x ) ) <-> ( ( z e. y /\ y e. x ) ->  z e. x ) ) `
       <TR> <TD> 11:10:     <TD> ` |- A. x ( ( z e. y -> ( y e. x `
       ` ->  z e. x ) ) <-> ( ( z e. y /\ y e. x ) ->  z e. x ) ) `
       <TR> <TD> 12:1,11:   <TD> ` |- (. A e. B ->. ( [. A / x ]. ( z e. y `
       ` -> ( y e. x ->  z e. x ) ) <-> [. A / x ]. ( ( z e. y /\ y e. x ) `
       ` ->  z e. x ) ) ). `
       <TR> <TD> 13:9,12:   <TD> ` |- (. A e. B ->. ( [. A / x ]. ( ( z e. y `
       ` /\ y e. x ) ->  z e. x ) <-> ( ( z e. y /\ y e. A ) `
       ` ->  z e. A ) ) ). `
       <TR> <TD> 14:13:     <TD> ` |- (. A e. B ->. A. y ( [. A / x ]. ( ( z `
       ` e. y /\ y e. x ) ->  z e. x ) <-> ( ( z e. y /\ y e. A ) `
       ` ->  z e. A ) ) ). `
       <TR> <TD> 15:14:     <TD> ` |- (. A e. B ->. ( A. y [. A / x ]. ( ( z `
       ` e. y /\ y e. x ) ->  z e. x ) <->  A. y ( ( z e. y /\ y e. A ) `
       ` ->  z e. A ) ) ).  `
       <TR> <TD> 16:1:      <TD> ` |- (. A e. B ->. ( [. A / x ]. A. y ( ( z `
       ` e. y /\ y e. x ) ->  z e. x ) <-> A. y [. A / x ]. ( ( z e. y `
       ` /\ y e. x ) -> z e. x ) ) ). `
       <TR> <TD> 17:15,16:  <TD> ` |- (. A e. B ->. ( [. A / x ]. A. y ( ( z `
       ` e. y /\ y e. x ) ->  z e. x ) <-> A. y ( ( z e. y /\ y e. A ) `
       ` ->  z e. A ) ) ). `
       <TR> <TD> 18:17:     <TD> ` |- (. A e. B ->. A. z ( [. A / x ]. A. y ( (
       `
       ` z e. y /\ y e. x ) ->  z e. x ) <-> A. y ( ( z e. y /\ y e. A ) `
       ` ->  z e. A ) ) ). `
       <TR> <TD> 19:18:     <TD> ` |- (. A e. B ->. ( A. z [. A / x ]. A. y ( (
       `
       ` z e. y /\ y e. x ) ->  z e. x ) <-> A. z A. y ( ( z e. y `
       ` /\ y e. A ) -> z e. A ) ) ). `
       <TR> <TD> 20:1:      <TD> ` |- (. A e. B ->. ( [. A / x ]. A. z A. y ( (
       `
       ` z e. y /\ y e. x ) ->  z e. x ) <-> A. z [. A / x ]. A. y ( ( z `
       ` e. y /\ y e. x ) ->  z e. x ) ) ). `
       <TR> <TD> 21:19,20:  <TD> ` |- (. A e. B ->. ( [. A / x ]. A. z A. y ( (
       `
       ` z e. y /\ y e. x ) ->  z e. x ) <-> A. z A. y ( ( z e. y `
       ` /\ y e. A )  -> z e. A ) ) ). `
       <TR> <TD> 22::       <TD> ` |- ( Tr A <-> A. z A. y ( ( z e. y `
       ` /\ y e. A ) ->  z e. A ) ) `
       <TR> <TD> 23:21,22:  <TD> ` |- (. A e. B ->. ( [. A / x ]. A. z A. y ( (
       `
       ` z e. y /\ y e. x ) ->  z e. x ) <-> Tr A ) ). `
       <TR> <TD> 24::       <TD> ` |- ( Tr x <-> A. z A. y ( ( z e. y /\ y `
       ` e. x ) ->  z e. x ) ) `
       <TR> <TD> 25:24:     <TD> ` |- A. x ( Tr x <-> A. z A. y ( ( z e. y `
       ` /\ y e. x ) ->  z e. x ) ) `
       <TR> <TD> 26:1,25:   <TD> ` |- (. A e. B ->. ( [. A / x ]. Tr x `
       ` <-> [. A  / x ]. A. z A. y ( ( z e. y /\ y e. x ) ->  z e. x ) ) ). `
       <TR> <TD> 27:23,26:  <TD> ` |- (. A e. B ->. ( [. A / x ]. Tr x `
       ` <-> Tr A ) ). `
       <TR> <TD> qed:27:    <TD> ` |- ( A e. B -> ( [. A / x ]. Tr x `
       ` <-> Tr A ) ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 18-Mar-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    trsbcVD $p |- ( A e. B -> ( [. A / x ]. Tr x <-> Tr A ) ) $=
      ( vz vy wcel cv wtr wsbc wb wa wi wal e1a sbcel2gv a1i bibi1 biimprcd e11
      e10 idn1 sbcg imbi13 e1111 sbcim2g pm3.31 pm3.3 impbii ax-gen sbcbi bitr3
      biimprd com12 gen11 albi sbcal dftr2 biantr ex in1 ) BCFZAGZHZABIZBHZJZVA
      DGZEGZFZVHVBFZKVGVBFZLZEMZDMZABIZVEJZVDVOJZVFVAVOVIVHBFZKVGBFZLZEMZDMZJZV
      EWBJZVPVAVMABIZDMZWBJZVOWFJZWCVAWEWAJZDMWGVAWIDVAVLABIZEMZWAJZWEWKJZWIVAW
      JVTJZEMWLVAWNEVAVIVJVKLLZABIZVTJZWPWJJZWNVAWPVIVRVSLLZJZWSVTJZWQVAVIABIZV
      JABIZVKABIZLLZWSJZWPXEJZWTVAVAXBVIJZXCVRJZXDVSJZXFVAUAZVAVAXHXKVIABCUBNVA
      VAXIXKAVHBCONVAVAXJXKAVGBCONXHXIXJXFLLLVAXBVIXCVRXDVSUCPUDVAVAXGXKVIVJVKA
      BCUENXGWTXFWPXEWSQRSWSVTVIVRVSUFVIVRVSUGUHWTWQXAWPWSVTQULTVAVAWOVLJZAMWRX
      KXLAWOVLVIVJVKUFVIVJVKUGUHUIWOVLABCUJTWRWQWNWPWJVTUKUMSUNWJVTEUONVAVAWMXK
      WMVAVLEABUPPNWMWIWLWEWKWAQRSUNWEWADUONVAVAWHXKWHVAVMDABUPPNWHWCWGVOWFWBQR
      SDEBUQWCWDVPVOWBVEURUSTVAVAVCVNJZAMVQXKXMADEVBUQUIVCVNABCUJTVQVFVPVDVOVEQ
      RSUT $.
  $}

  ${
    $d A q x y z $.
    $( The union of a class of transitive sets is transitive.
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ truniALT is ~ truniALTVD without virtual deductions and was
       automatically derived from ~ truniALTVD .
       <HTML> <TABLE>
       <TR> <TD> 1::        <TD> ` |- (. A. x e. A Tr x ->. A. x e. A `
       ` Tr x ). `
       <TR> <TD> 2::        <TD> ` |- (. A. x e. A Tr x ,. ( z e. y `
       ` /\ y e. U. A ) ->. ( z e. y /\ y e. U. A ) ).  `
       <TR> <TD> 3:2:       <TD> ` |- (. A. x e. A Tr x ,. ( z e. y `
       ` /\ y e. U. A ) ->. z e. y ). `
       <TR> <TD> 4:2:       <TD> ` |- (. A. x e. A Tr x ,. ( z e. y `
       ` /\ y e. U. A ) ->. y e. U. A ). `
       <TR> <TD> 5:4:       <TD> ` |- (. A. x e. A Tr x ,. ( z e. y `
       ` /\ y e. U. A ) ->. E. q ( y e. q /\ q e. A ) ). `
       <TR> <TD> 6::        <TD> ` |- (. A. x e. A Tr x ,. ( z e. y `
       ` /\ y e. U. A ) , ( y e. q /\ q e. A ) ->. ( y e. q /\ q e. A ) ). `
       <TR> <TD> 7:6:       <TD> ` |- (. A. x e. A Tr x ,. ( z e. y `
       ` /\ y e. U. A ) , ( y e. q /\ q e. A ) ->. y e. q ). `
       <TR> <TD> 8:6:       <TD> ` |- (. A. x e. A Tr x ,. ( z e. y `
       ` /\ y e. U. A ) , ( y e. q /\ q e. A ) ->. q e. A ). `
       <TR> <TD> 9:1,8:     <TD> ` |- (. A. x e. A Tr x ,. ( z e. y `
       ` /\ y e. U. A ) , ( y e. q /\ q e. A ) ->. [ q / x ] Tr x ). `
       <TR> <TD> 10:8,9:    <TD> ` |- (. A. x e. A Tr x ,. ( z e. y `
       ` /\ y e. U. A ) , ( y e. q /\ q e. A ) ->. Tr q ). `
       <TR> <TD> 11:3,7,10: <TD> ` |- (. A. x e. A Tr x ,. ( z e. y `
       ` /\ y e. U. A ) , ( y e. q /\ q e. A ) ->. z e. q ). `
       <TR> <TD> 12:11,8:   <TD> ` |- (. A. x e. A Tr x ,. ( z e. y `
       ` /\ y e. U. A ) , ( y e. q /\ q e. A ) ->. z e. U. A ). `
       <TR> <TD> 13:12:     <TD> ` |- (. A. x e. A Tr x ,. ( z e. y `
       ` /\ y e. U. A ) ->. ( ( y e. q /\ q e. A ) -> z e. U. A ) ). `
       <TR> <TD> 14:13:     <TD> ` |- (. A. x e. A Tr x ,. ( z e. y `
       ` /\ y e. U. A ) ->. A. q ( ( y e. q /\ q e. A ) -> z e. U. A ) ). `
       <TR> <TD> 15:14:     <TD> ` |- (. A. x e. A Tr x ,. ( z e. y `
       ` /\ y e. U. A ) ->. ( E. q ( y e. q /\ q e. A ) -> z e. U. A ) ). `
       <TR> <TD> 16:5,15:   <TD> ` |- (. A. x e. A Tr x ,. ( z e. y `
       ` /\ y e. U. A ) ->. z e. U. A ). `
       <TR> <TD> 17:16:     <TD> ` |- (. A. x e. A Tr x ->. ( ( z e. y `
       ` /\ y e. U. A ) -> z e. U. A ) ). `
       <TR> <TD> 18:17:     <TD> ` |- (. A. x e. A Tr x `
       ` ->. A. z A. y ( ( z e. y /\ y e. U. A ) -> z e. U. A ) ). `
       <TR> <TD> 19:18:     <TD> ` |- (. A. x e. A Tr x ->. Tr U. A ). `
       <TR> <TD> qed:19:    <TD> ` |- ( A. x e. A Tr x -> Tr U. A ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 18-Mar-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    truniALTVD $p |- ( A. x e. A Tr x -> Tr U. A ) $=
      ( vz vy vq cv wtr wral cuni wel wcel wa wi wal simpr e2 biimpi simpl e33
      e3 wex idn2 eluni idn3 wsbc idn1 rspsbc com12 e13 trsbc trel expdcom e233
      biimpd elunii in3 gen21 19.23v pm2.27 e22 in2 gen12 dftr2 biimpri e1a in1
      ex ) AFGZABHZBIZGZVICDJZDFZVJKZLZCFZVJKZMZDNCNZVKVIVRCDVIVOVQVIVODEJZEFZB
      KZLZEUAZWDVQMZVQVIVOVNWDVIVOVOVNVIVOUBZVLVNOPVNWDEVMBUCQPVIVOWCVQMZENZWEV
      IVOWGEVIVOWCVQVIVOWCCEJZWBVQVIVOVLWCVTWAGZWIVIVOVOVLWFVLVNRPVIVOWCWCVTVIV
      OWCUDZVTWBRTVIVOWCWBVHAWAUEZWJVIVOWCWCWBWKVTWBOTZVIVIVOWCWBWLVIUFWMWBVIWL
      VHAWABUGUHUIWBWLWJAWABUJUNSWJVLVTWIWAVPVMUKULUMWMWIWBVQVPWABUOVGSUPUQWHWE
      WCVQEURQPWDVQUSUTVAVBVKVSCDVJVCVDVEVF $.
  $}

  ${
    ee33VD.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    ee33VD.2 $e |- ( ph -> ( ps -> ( ch -> ta ) ) ) $.
    ee33VD.3 $e |- ( th -> ( ta -> et ) ) $.
    $( Non-virtual deduction form of ~ e33 .
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ ee33 is ~ ee33VD without virtual deductions and was automatically
       derived from ~ ee33VD .
       <HTML> <TABLE>
       <TR> <TD> h1::   <TD> ` |- ( ph -> ( ps -> ( ch -> th ) ) )  `
       <TR> <TD> h2::   <TD> ` |- ( ph -> ( ps -> ( ch -> ta ) ) )  `
       <TR> <TD> h3::   <TD> ` |- ( th -> ( ta -> et ) ) `
       <TR> <TD> 4:1,3: <TD> ` |- ( ph -> ( ps -> ( ch -> ( ta -> et ) ) ) ) `
       <TR> <TD> 5:4:   <TD> ` |- ( ta -> ( ph -> ( ps -> ( ch -> et ) ) ) ) `
       <TR> <TD> 6:2,5: <TD> ` |- ( ph -> ( ps -> ( ch -> ( ph -> ( ps `
       ` -> ( ch -> et ) ) ) ) ) ) `
       <TR> <TD> 7:6:   <TD> ` |- ( ps -> ( ch -> ( ph -> ( ps -> ( ch `
       ` -> et ) ) ) ) ) `
       <TR> <TD> 8:7:   <TD> ` |- ( ch -> ( ph -> ( ps -> ( ch -> et ) ) ) ) `
       <TR> <TD> qed:8: <TD> ` |- ( ph -> ( ps -> ( ch -> et ) ) ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 18-Mar-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ee33VD $p |- ( ph -> ( ps -> ( ch -> et ) ) ) $=
      ( wi syl8 com4r pm2.43cbi biimpi e0a ) CABCFJZJZJZJZRBSJZSATJZTABCERHABCE
      FABCDEFJGIKLKUATABCQMNOTSBCAPMNOSRCABFMNO $.
  $}

  ${
    $d A q x y z $.
    $( The intersection of a class of transitive sets is transitive.  Virtual
       deduction proof of ~ trintALT .
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ trintALT is ~ trintALTVD without virtual deductions and was
       automatically derived from ~ trintALTVD .
       <HTML> <TABLE>
       <TR> <TD> 1::        <TD> ` |- (. A. x e. A Tr x ->. A. x e. A Tr x ). `
       <TR> <TD> 2::        <TD> ` |- (. A. x e. A Tr x ,. ( z e. y /\ y e. `
       ` |^| A ) ->. ( z e. y /\ y e. |^| A ) ). `
       <TR> <TD> 3:2:       <TD> ` |- (. A. x e. A Tr x ,. ( z e. y /\ y e. `
       ` |^| A ) ->. z e. y ). `
       <TR> <TD> 4:2:       <TD> ` |- (. A. x e. A Tr x ,. ( z e. y /\ y e. `
       ` |^| A ) ->. y e. |^| A ). `
       <TR> <TD> 5:4:       <TD> ` |- (. A. x e. A Tr x ,. ( z e. y /\ y e. `
       ` |^| A ) ->. A. q e. A y e. q ). `
       <TR> <TD> 6:5:       <TD> ` |- (. A. x e. A Tr x ,. ( z e. y /\ y e. `
       ` |^| A ) ->. ( q e. A -> y e. q ) ). `
       <TR> <TD> 7::        <TD> ` |- (. A. x e. A Tr x ,. ( z e. y /\ y e. `
       ` |^| A ) , q e. A ->. q e. A ). `
       <TR> <TD> 8:7,6:     <TD> ` |- (. A. x e. A Tr x ,. ( z e. y /\ y e. `
       ` |^| A ) , q e. A ->. y e. q ). `
       <TR> <TD> 9:7,1:     <TD> ` |- (. A. x e. A Tr x ,. ( z e. y /\ y e. `
       ` |^| A ) , q e. A ->. [ q / x ] Tr x ). `
       <TR> <TD> 10:7,9:    <TD> ` |- (. A. x e. A Tr x ,. ( z e. y /\ y e. `
       ` |^| A ) , q e. A ->. Tr q ). `
       <TR> <TD> 11:10,3,8: <TD> ` |- (. A. x e. A Tr x ,. ( z e. y /\ y e. `
       ` |^| A ) , q e. A ->. z e. q ). `
       <TR> <TD> 12:11:     <TD> ` |- (. A. x e. A Tr x ,. ( z e. y /\ y e. `
       ` |^| A ) ->. ( q e. A -> z e. q ) ). `
       <TR> <TD> 13:12:     <TD> ` |- (. A. x e. A Tr x ,. ( z e. y /\ y e. `
       ` |^| A ) ->. A. q ( q e. A -> z e. q ) ). `
       <TR> <TD> 14:13:     <TD> ` |- (. A. x e. A Tr x ,. ( z e. y /\ y e. `
       ` |^| A ) ->. A. q e. A z e. q ). `
       <TR> <TD> 15:3,14:   <TD> ` |- (. A. x e. A Tr x ,. ( z e. y /\ y e. `
       ` |^| A ) ->. z e. |^| A ). `
       <TR> <TD> 16:15:     <TD> ` |- (. A. x e. A Tr x ->. ( ( z e. y /\ y `
       ` e. |^| A ) -> z e. |^| A ) ). `
       <TR> <TD> 17:16:     <TD> ` |- (. A. x e. A Tr x ->. A. z A. y ( ( z `
       ` e. y /\ y e. |^| A ) -> z e. |^| A ) ). `
       <TR> <TD> 18:17:     <TD> ` |- (. A. x e. A Tr x ->. Tr |^| A ). `
       <TR> <TD> qed:18:    <TD> ` |- ( A. x e. A Tr x -> Tr |^| A ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 17-Apr-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    trintALTVD $p |- ( A. x e. A Tr x -> Tr |^| A ) $=
      ( vz vy vq cv wtr wral cint wcel wa wi wal idn2 simpl e2 wsbc idn3 elintg
      biimpri idn1 rspsbc e31 trsbc biimpd e33 simpr ibi rsp e32 trel expd e323
      pm2.27 in3 gen21 df-ral biimprd e22 in2 gen12 dftr2 e1a in1 ) AFGZABHZBIZ
      GZVFCFZDFZJZVJVGJZKZVIVGJZLZDMCMZVHVFVOCDVFVMVNVFVMVKVIEFZJZEBHZVNVFVMVMV
      KVFVMNZVKVLOPZVFVMVQBJZVRLZEMZVSVFVMWCEVFVMWBVRVFVMWBVQGZVKVJVQJZVRVFVMWB
      WBVEAVQQZWEVFVMWBRZVFVMWBWBVFWGWHVFUAVEAVQBUBUCWBWGWEAVQBUDUEUFWAVFVMWBWB
      WBWFLZWFWHVFVMWFEBHZWIVFVMVLWJVFVMVMVLVTVKVLUGPVLWJEVJBVGSUHPWFEBUIPWBWFU
      NUJWEVKWFVRVQVIVJUKULUMUOUPVSWDVREBUQTPVKVNVSEVIBVJSURUSUTVAVHVPCDVGVBTVC
      VD $.
  $}

  ${
    $d A q x y z $.
    $( The intersection of a class of transitive sets is transitive.  Exercise
       5(b) of [Enderton] p. 73. ~ trintALT is an alternate proof of ~ trint .
       ~ trintALT is ~ trintALTVD without virtual deductions and was
       automatically derived from ~ trintALTVD using the tools program
       translate..without..overwriting.cmd and the Metamath program "MM-PA>
       MINIMIZE__WITH *" command.  (Contributed by Alan Sare, 17-Apr-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    trintALT $p |- ( A. x e. A Tr x -> Tr |^| A ) $=
      ( vz vy vq cv wtr wral wel cint wcel wa wi wal simpl a1i wsbc elintg syl6
      iidn3 id rspsbc ee31 trsbc biimpd ee33 simpr ibi trel expd ee323 ralrimdv
      rsp biimprd syl6c alrimivv dftr2 sylibr ) AFGZABHZCDIZDFZBJZKZLZCFZVCKZMZ
      DNCNVCGUTVHCDUTVEVACEIZEBHZVGVEVAMUTVAVDOPZUTVEVIEBUTVEEFZBKZVLGZVADEIZVI
      UTVEVMVMUSAVLQZVNUTVEVMTZUTVEVMVMUTVPVQUTUAUSAVLBUBUCVMVPVNAVLBUDUEUFVKUT
      VEVOEBHZVMVOMUTVEVDVRVEVDMUTVAVDUGPVDVREVBBVCRUHSVOEBUMSVNVAVOVIVLVFVBUIU
      JUKULVAVGVJEVFBVBRUNUOUPCDVCUQUR $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( The first equality of Exercise 13 of [TakeutiZaring] p. 22.  Virtual
       deduction proof of ~ undif3 .
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ undif3 is ~ undif3VD without virtual deductions and was automatically
       derived from ~ undif3VD .
       <HTML> <TABLE>
       <TR> <TD> 1::       <TD> ` |- ( x e. ( A u. ( B \ C ) ) <-> ( x e. A `
       ` \/ x e. ( B \ C ) ) ) `
       <TR> <TD> 2::       <TD> ` |- ( x e. ( B \ C ) <-> ( x e. B /\ -. x e. `
       ` C ) ) `
       <TR> <TD> 3:2:      <TD> ` |- ( ( x e. A \/ x e. ( B \ C ) ) <-> ( x `
       ` e. A \/ ( x e. B /\ -. x e. C ) ) ) `
       <TR> <TD> 4:1,3:    <TD> ` |- ( x e. ( A u. ( B \ C ) ) <-> ( x e. A `
       ` \/ ( x e. B /\ -. x e. C ) ) ) `
       <TR> <TD> 5::       <TD> ` |- (. x e. A ->. x e. A ). `
       <TR> <TD> 6:5:      <TD> ` |- (. x e. A ->. ( x e. A \/ x e. B ) ). `
       <TR> <TD> 7:5:      <TD> ` |- (. x e. A ->. ( -. x e. C \/ x e. A ) ). `
       <TR> <TD> 8:6,7:    <TD> ` |- (. x e. A ->. ( ( x e. A \/ x e. B ) /\ `
       ` ( -. x e. C \/ x e. A ) ) ). `
       <TR> <TD> 9:8:      <TD> ` |- ( x e. A -> ( ( x e. A \/ x e. B ) /\ ( `
       ` -. x e. C \/ x e. A ) ) ) `
       <TR> <TD> 10::      <TD> ` |- (. ( x e. B /\ -. x e. C ) ->. ( x e. B `
       ` /\ -. x e. C ) ). `
       <TR> <TD> 11:10:    <TD> ` |- (. ( x e. B /\ -. x e. C ) ->. x e. B ). `
       <TR> <TD> 12:10:    <TD> ` |- (. ( x e. B /\ -. x e. C ) ->. -. x e. C `
       ` ). `
       <TR> <TD> 13:11:    <TD> ` |- (. ( x e. B /\ -. x e. C ) ->. ( x e. A `
       ` \/ x e. B ) ). `
       <TR> <TD> 14:12:    <TD> ` |- (. ( x e. B /\ -. x e. C ) ->. ( -. x e. `
       ` C \/ x e. A ) ). `
       <TR> <TD> 15:13,14: <TD> ` |- (. ( x e. B /\ -. x e. C ) ->. ( ( x e. `
       ` A \/ x e. B ) /\ ( -. x e. C \/ x e. A ) ) ). `
       <TR> <TD> 16:15:    <TD> ` |- ( ( x e. B /\ -. x e. C ) -> ( ( x e. A `
       ` \/ x e. B ) /\ ( -. x e. C \/ x e. A ) ) ) `
       <TR> <TD> 17:9,16:  <TD> ` |- ( ( x e. A \/ ( x e. B /\ -. x e. C ) ) `
       ` -> ( ( x e. A \/ x e. B ) /\ ( -. x e. C \/ x e. A ) ) ) `
       <TR> <TD> 18::      <TD> ` |- (. ( x e. A /\ -. x e. C ) ->. ( x e. A `
       ` /\ -. x e. C ) ). `
       <TR> <TD> 19:18:    <TD> ` |- (. ( x e. A /\ -. x e. C ) ->. x e. A ). `
       <TR> <TD> 20:18:    <TD> ` |- (. ( x e. A /\ -. x e. C ) ->. -. x e. C `
       ` ). `
       <TR> <TD> 21:18:    <TD> ` |- (. ( x e. A /\ -. x e. C ) ->. ( x e. A `
       ` \/ ( x e. B /\ -. x e. C ) ) ). `
       <TR> <TD> 22:21:    <TD> ` |- ( ( x e. A /\ -. x e. C ) -> ( x e. A \/ `
       ` ( x e. B /\ -. x e. C ) ) ) `
       <TR> <TD> 23::      <TD> ` |- (. ( x e. A /\ x e. A ) ->. ( x e. A /\ `
       ` x e. A ) ). `
       <TR> <TD> 24:23:    <TD> ` |- (. ( x e. A /\ x e. A ) ->. x e. A ). `
       <TR> <TD> 25:24:    <TD> ` |- (. ( x e. A /\ x e. A ) ->. ( x e. A \/ `
       ` ( x e. B /\ -. x e. C ) ) ). `
       <TR> <TD> 26:25:    <TD> ` |- ( ( x e. A /\ x e. A ) -> ( x e. A \/ ( `
       ` x e. B /\ -. x e. C ) ) ) `
       <TR> <TD> 27:10:    <TD> ` |- (. ( x e. B /\ -. x e. C ) ->. ( x e. A `
       ` \/ ( x e. B /\ -. x e. C ) ) ). `
       <TR> <TD> 28:27:    <TD> ` |- ( ( x e. B /\ -. x e. C ) -> ( x e. A \/ `
       ` ( x e. B /\ -. x e. C ) ) ) `
       <TR> <TD> 29::      <TD> ` |- (. ( x e. B /\ x e. A ) ->. ( x e. B /\ `
       ` x e. A ) ). `
       <TR> <TD> 30:29:    <TD> ` |- (. ( x e. B /\ x e. A ) ->. x e. A ). `
       <TR> <TD> 31:30:    <TD> ` |- (. ( x e. B /\ x e. A ) ->. ( x e. A \/ `
       ` ( x e. B /\ -. x e. C ) ) ). `
       <TR> <TD> 32:31:    <TD> ` |- ( ( x e. B /\ x e. A ) -> ( x e. A \/ ( `
       ` x e. B /\ -. x e. C ) ) ) `
       <TR> <TD> 33:22,26: <TD> ` |- ( ( ( x e. A /\ -. x e. C ) \/ ( x e. A `
       ` /\ x e. A ) ) -> ( x e. A \/ ( x e. B /\ -. x e. C ) ) ) `
       <TR> <TD> 34:28,32: <TD> ` |- ( ( ( x e. B /\ -. x e. C ) \/ ( x e. B `
       ` /\ x e. A ) ) -> ( x e. A \/ ( x e. B /\ -. x e. C ) ) ) `
       <TR> <TD> 35:33,34: <TD> ` |- ( ( ( ( x e. A /\ -. x e. C ) \/ ( x e. `
       ` A /\ x e. A ) ) \/ ( ( x e. B /\ -. x e. C ) \/ ( x e. B /\ x e. A ) )
       ) `
       ` -> ( x e. A \/ ( x e. B /\ -. x e. C ) ) ) `
       <TR> <TD> 36::      <TD> ` |- ( ( ( ( x e. A /\ -. x e. C ) \/ ( x e. `
       ` A /\ x e. A ) ) \/ ( ( x e. B /\ -. x e. C ) \/ ( x e. B /\ x e. A ) )
       ) `
       ` <-> ( ( x e. A \/ x e. B ) /\ ( -. x e. C \/ x e. A ) ) ) `
       <TR> <TD> 37:36,35: <TD> ` |- ( ( ( x e. A \/ x e. B ) /\ ( -. x e. C `
       ` \/ x e. A ) ) -> ( x e. A \/ ( x e. B /\ -. x e. C ) ) ) `
       <TR> <TD> 38:17,37: <TD> ` |- ( ( x e. A \/ ( x e. B /\ -. x e. C ) ) `
       ` <-> ( ( x e. A \/ x e. B ) /\ ( -. x e. C \/ x e. A ) ) ) `
       <TR> <TD> 39::      <TD> ` |- ( x e. ( C \ A ) <-> ( x e. C /\ -. x e. `
       ` A ) ) `
       <TR> <TD> 40:39:    <TD> ` |- ( -. x e. ( C \ A ) <-> -. ( x e. C /\ `
       ` -. x e. A ) ) `
       <TR> <TD> 41::      <TD> ` |- ( -. ( x e. C /\ -. x e. A ) <-> ( -. x `
       ` e. C \/ x e. A ) ) `
       <TR> <TD> 42:40,41: <TD> ` |- ( -. x e. ( C \ A ) <-> ( -. x e. C \/ x `
       ` e. A ) ) `
       <TR> <TD> 43::      <TD> ` |- ( x e. ( A u. B ) <-> ( x e. A \/ x e. B `
       ` ) ) `
       <TR> <TD> 44:43,42: <TD> ` |- ( ( x e. ( A u. B ) /\ -. x e. ( C \ A ) `
       ` ) <-> ( ( x e. A \/ x e. B ) /\ ( -. x e. C /\ x e. A ) ) ) `
       <TR> <TD> 45::      <TD> ` |- ( x e. ( ( A u. B ) \ ( C \ A ) ) <-> ( `
       ` x e. ( A u. B ) /\ -. x e. ( C \ A ) ) ) `
       <TR> <TD> 46:45,44: <TD> ` |- ( x e. ( ( A u. B ) \ ( C \ A ) ) <-> ( `
       ` ( x e. A \/ x e. B ) /\ ( -. x e. C \/ x e. A ) ) ) `
       <TR> <TD> 47:4,38:  <TD> ` |- ( x e. ( A u. ( B \ C ) ) <-> ( ( x e. A `
       ` \/ x e. B ) /\ ( -. x e. C \/ x e. A ) ) ) `
       <TR> <TD> 48:46,47: <TD> ` |- ( x e. ( A u. ( B \ C ) ) <-> x e. ( ( A `
       ` u. B ) \ ( C \ A ) ) ) `
       <TR> <TD> 49:48:    <TD> ` |- A. x ( x e. ( A u. ( B \ C ) ) <-> x e. `
       ` ( ( A u. B ) \ ( C \ A ) ) ) `
       <TR> <TD> qed:49:   <TD> ` |- ( A u. ( B \ C ) ) = ( ( A u. B ) \ ( C `
       ` \ A ) ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 17-Apr-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    undif3VD $p |- ( A u. ( B \ C ) ) = ( ( A u. B ) \ ( C \ A ) ) $=
      ( vx cdif cun wcel wo wn elun eldif bitri idn1 orc e1a olc in1 simpl jaoi
      wa cv wb wal wceq orbi2i pm3.2 e11 simpr bicomi orcd sylbir impbii notbii
      anddi pm4.53 anbi12i bitr4i ax-gen dfcleq biimpri e0a ) DUAZABCEZFZGZVBAB
      FZCAEZEZGZUBZDUCZVDVHUDZVJDVEVBAGZVBBGZHZVBCGZIZVMHZTZVIVEVMVNVQTZHZVSVEV
      MVBVCGZHWAVBAVCJWBVTVMVBBCKUELWAVSVMVSVTVMVSVMVOVRVSVMVMVOVMMZVMVNNOVMVMV
      RWCVMVQPOVOVRUFZUGQVTVSVTVOVRVSVTVNVOVTVTVNVTMZVNVQROVNVMPOVTVQVRVTVTVQWE
      VNVQUHOVQVMNOWDUGQSVSVMVQTZVMVMTZHZVTVNVMTZHZHZWAVSWKVMVNVQVMUNUIWHWAWJWF
      WAWGWFWAWFWFWAWFMWFVMVTVMVQRUJOQWGWAWGVMWAWGWGVMWGMVMVMROVMVTNZOQSVTWAWIV
      TWAVTVTWAWEVTVMPOQWIWAWIVMWAWIWIVMWIMVNVMUHOWLOQSSUKULLVIVBVFGZVBVGGZIZTV
      SVBVFVGKWMVOWOVRVBABJWOVPVMITZIVRWNWPVBCAKUMVPVMUOLUPLUQURVLVKDVDVHUSUTVA
      $.
  $}

  ${
    $d A y $.  $d B y $.  $d C y $.  $d D y $.  $d x y $.
    $( Virtual deduction proof of ~ sbcssg .
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ sbcssg is ~ sbcssgVD without virtual deductions and was automatically
       derived from ~ sbcssgVD .
       <HTML> <TABLE>
       <TR> <TD> 1::       <TD> ` |- (. A e. B ->. A e. B ). `
       <TR> <TD> 2:1:      <TD> ` |- (. A e. B ->. ( [. A / x ]. y e. C <-> y `
       ` e. [_ A / x ]_ C ) ). `
       <TR> <TD> 3:1:      <TD> ` |- (. A e. B ->. ( [. A / x ]. y e. D <-> y `
       ` e. [_ A / x ]_ D ) ). `
       <TR> <TD> 4:2,3:    <TD> ` |- (. A e. B ->. ( ( [. A / x ]. y e. C -> `
       ` [. A / x ]. y e. D ) <-> ( y e. [_ A / x ]_ C -> y e. [_ A / x ]_ D `
       `  ) ) ). `
       <TR> <TD> 5:1:      <TD> ` |- (. A e. B ->. ( [. A / x ]. ( y e. C -> `
       ` y e. D ) <-> ( [. A / x ]. y e. C -> [. A / x ]. y e. D ) ) ). `
       <TR> <TD> 6:4,5:    <TD> ` |- (. A e. B ->. ( [. A / x ]. ( y e. C -> `
       ` y e. D ) <-> ( y e. [_ A / x ]_ C -> y e. [_ A / x ]_ D ) ) ). `
       <TR> <TD> 7:6:      <TD> ` |- (. A e. B ->. A. y ( [. A / x ]. ( y e. `
       ` C -> y e. D ) <-> ( y e. [_ A / x ]_ C -> y e. [_ A / x ]_ D ) ) ). `
       <TR> <TD> 8:7:      <TD> ` |- (. A e. B ->. ( A. y [. A / x ]. ( y e. `
       ` C -> y e. D ) <-> A. y ( y e. [_ A / x ]_ C -> y e. [_ A / x ]_ D ) `
       ` ) ). `
       <TR> <TD> 9:1:      <TD> ` |- (. A e. B ->. ( [. A / x ]. A. y ( y e. `
       ` C -> y e. D ) <-> A. y [. A / x ]. ( y e. C -> y e. D ) ) ). `
       <TR> <TD> 10:8,9:   <TD> ` |- (. A e. B ->. ( [. A / x ]. A. y ( y e. `
       ` C -> y e. D ) <-> A. y ( y e. [_ A / x ]_ C -> y e. [_ A / x ]_ D ) `
       ` ) ). `
       <TR> <TD> 11::      <TD> ` |- ( C C_ D <-> A. y ( y e. C -> y e. D ) ) `
       <TR> <TD> 110:11:   <TD> ` |- A. x ( C C_ D <-> A. y ( y e. C -> y e. `
       ` D ) ) `
       <TR> <TD> 12:1,110: <TD> ` |- (. A e. B ->. ( [. A / x ]. C C_ D <-> `
       ` [. A / x ]. A. y ( y e. C -> y e. D ) ) ). `
       <TR> <TD> 13:10,12: <TD> ` |- (. A e. B ->. ( [. A / x ]. C C_ D <-> `
       ` A. y ( y e. [_ A / x ]_ C -> y e. [_ A / x ]_ D ) ) ). `
       <TR> <TD> 14::      <TD> ` |- ( [_ A / x ]_ C C_ [_ A / x ]_ D <-> A. `
       ` y ( y e. [_ A / x ]_ C -> y e. [_ A / x ]_ D ) ) `
       <TR> <TD> 15:13,14: <TD> ` |- (. A e. B ->. ( [. A / x ]. C C_ D <-> `
       ` [_ A / x ]_ C C_ [_ A / x ]_ D ) ). `
       <TR> <TD> qed:15:   <TD> ` |- ( A e. B -> ( [. A / x ]. C C_ D <-> [_ `
       ` A / x ]_ C C_ [_ A / x ]_ D ) ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 22-Jul-2012.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    sbcssgVD $p |- ( A e. B -> ( [. A / x ]. C C_ D
          <-> [_ A / x ]_ C C_ [_ A / x ]_ D ) ) $=
      ( vy wcel wss wsbc csb wb wi wal sbcel2 a1i e1a e11 bibi1 biimprcd dfss2
      cv idn1 imbi12 sbcimg gen11 albi sbcal ax-gen sbcbi e10 biantr ex in1 ) B
      CGZDEHZABIZABDJZABEJZHZKZUNUPFUAZUQGZVAURGZLZFMZKZUSVEKZUTUNVADGZVAEGZLZF
      MZABIZVEKZUPVLKZVFUNVJABIZFMZVEKZVLVPKZVMUNVOVDKZFMVQUNVSFUNVHABIZVIABIZL
      ZVDKZVOWBKZVSUNVTVBKZWAVCKZWCUNUNWEUNUBZWEUNABVADNOPUNUNWFWGWFUNABVAENOPV
      TVBWAVCUCQUNUNWDWGVHVIABCUDPWDVSWCVOWBVDRSQUEVOVDFUFPUNUNVRWGVRUNVJFABUGO
      PVRVMVQVLVPVERSQUNUNUOVKKZAMVNWGWHAFDETUHUOVKABCUIUJVNVFVMUPVLVERSQFUQURT
      VFVGUTUPVEUSUKULUJUM $.
  $}

  ${
    $d A y $.  $d B y $.  $d C y $.  $d D y $.  $d x y $.
    $( Virtual deduction proof of ~ csbin .
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ csbin is ~ csbingVD without virtual deductions and was
       automatically derived from ~ csbingVD .
       <HTML> <TABLE>
       <TR> <TD> 1::       <TD> ` |- (. A e. B ->. A e. B ). `
       <TR> <TD> 2::       <TD> ` |- ( C i^i D ) = { y | ( y e. C /\ y e. D ) `
       ` } `
       <TR> <TD> 20:2:     <TD> ` |- A. x ( C i^i D ) = { y | ( y e. C /\ y `
       ` e. D ) } `
       <TR> <TD> 30:1,20:  <TD> ` |- (. A e. B ->. [. A / x ]. ( C i^i D ) = `
       ` { y | ( y e. C /\ y e. D ) } ). `
       <TR> <TD> 3:1,30:   <TD> ` |- (. A e. B ->. [_ A / x ]_ ( C i^i D ) = `
       ` [_ A / x ]_ { y | ( y e. C /\ y e. D ) } ). `
       <TR> <TD> 4:1:      <TD> ` |- (. A e. B ->. [_ A / x ]_ { y | ( y e. C `
       ` /\ y e. D ) } = { y | [. A / x ]. ( y e. C /\ y e. D ) } ). `
       <TR> <TD> 5:3,4:    <TD> ` |- (. A e. B ->. [_ A / x ]_ ( C i^i D ) = `
       ` { y | [. A / x ]. ( y e. C /\ y e. D ) } ). `
       <TR> <TD> 6:1:      <TD> ` |- (. A e. B ->. ( [. A / x ]. y e. C <-> y `
       ` e. [_ A / x ]_ C ) ). `
       <TR> <TD> 7:1:      <TD> ` |- (. A e. B ->. ( [. A / x ]. y e. D <-> y `
       ` e. [_ A / x ]_ D ) ). `
       <TR> <TD> 8:6,7:    <TD> ` |- (. A e. B ->. ( ( [. A / x ]. y e. C /\ `
       ` [. A / x ]. y e. D ) <-> ( y e. [_ A / x ]_ C /\ y e. [_ A / x ]_ D `
       ` ) ) ). `
       <TR> <TD> 9:1:      <TD> ` |- (. A e. B ->. ( [. A / x ]. ( y e. C /\ `
       ` y e. D ) <-> ( [. A / x ]. y e. C /\ [. A / x ]. y e. D ) ) ). `
       <TR> <TD> 10:9,8:   <TD> ` |- (. A e. B ->. ( [. A / x ]. ( y e. C /\ `
       ` y e. D ) <-> ( y e. [_ A / x ]_ C /\ y e. [_ A / x ]_ D ) ) ). `
       <TR> <TD> 11:10:    <TD> ` |- (. A e. B ->. A. y ( [. A / x ]. ( y e. `
       ` C /\ y e. D ) <-> ( y e. [_ A / x ]_ C /\ y e. [_ A / x ]_ D ) ) ). `
       <TR> <TD> 12:11:    <TD> ` |- (. A e. B ->. { y | [. A / x ]. ( y e. C `
       ` /\ y e. D ) } = { y | ( y e. [_ A / x ]_ C /\ y e. [_ A / x ]_ D ) }
       ). `
       <TR> <TD> 13:5,12:  <TD> ` |- (. A e. B ->. [_ A / x ]_ ( C i^i D ) = `
       ` { y | ( y e. [_ A / x ]_ C /\ y e. [_ A / x ]_ D ) } ). `
       <TR> <TD> 14::      <TD> ` |- ( [_ A / x ]_ C i^i [_ A / x ]_ D ) = { `
       ` y | ( y e. [_ A / x ]_ C /\ y e. [_ A / x ]_ D ) } `
       <TR> <TD> 15:13,14: <TD> ` |- (. A e. B ->. [_ A / x ]_ ( C i^i D ) = `
       ` ( [_ A / x ]_ C i^i [_ A / x ]_ D ) ). `
       <TR> <TD> qed:15:   <TD> ` |- ( A e. B -> [_ A / x ]_ ( C i^i D ) = ( `
       ` [_ A / x ]_ C i^i [_ A / x ]_ D ) ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 22-Jul-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    csbingVD $p |- ( A e. B -> [_ A / x ]_ ( C i^i D ) =
                                       ( [_ A / x ]_ C i^i [_ A / x ]_ D ) ) $=
      ( vy wcel cin csb wceq wa cab wsbc wal df-in e11 a1i e1a biimprd wb spsbc
      cv idn1 ax-gen e10 sbceqg biimpd csbab eqeq1 sbcan sbcel2 pm4.38 ex bibi1
      gen11 abbi biimpi eqeq2 biimprcd in1 ) BCGZABDEHZIZABDIZABEIZHZJZVAVCFUBZ
      VDGZVHVEGZKZFLZJZVFVLJZVGVAVCVHDGZVHEGZKZABMZFLZJZVSVLJZVMVAVCABVQFLZIZJZ
      WCVSJZVTVAVAVBWBJZABMZWDVAUCZVAVAWFANWGWHWFAFDEOUDWFABCUAUEVAWGWDABVBWBCU
      FUGPVAVAWEWHWEVAVQAFBUHQRWDVTWEVCWCVSUISPVAVRVKTZFNZWAVAWIFVAVRVOABMZVPAB
      MZKZTZWMVKTZWIVAVAWNWHWNVAVOVPABUJQRVAWKVITZWLVJTZWOVAVAWPWHWPVAABVHDUKQR
      VAVAWQWHWQVAABVHEUKQRWPWQWOWKWLVIVJULUMPWNWIWOVRWMVKUNSPUOWJWAVRVKFUPUQRV
      TVMWAVCVSVLUISPFVDVEOVNVGVMVFVLVCURUSUEUT $.
  $}

  ${
    $d a b y $.  $d b x y $.
    $( Virtual deduction proof of ~ onfrALTlem5 .
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ onfrALTlem5 is ~ onfrALTlem5VD without virtual deductions and was
       automatically derived from ~ onfrALTlem5VD .
       <HTML> <TABLE>
       <TR> <TD> 1::        <TD> ` |- a e. _V `
       <TR> <TD> 2:1:       <TD> ` |- ( a i^i x ) e. _V `
       <TR> <TD> 3:2:       <TD> ` |- ( [. ( a i^i x ) / b ]. b = (/) <-> ( a `
       ` i^i x ) = (/) ) `
       <TR> <TD> 4:3:       <TD> ` |- ( -. [. ( a i^i x ) / b ]. b = (/) <-> `
       ` -. ( a i^i x ) = (/) ) `
       <TR> <TD> 5::        <TD> ` |- ( ( a i^i x ) =/= (/) <-> -. ( a i^i x `
       ` ) = (/) ) `
       <TR> <TD> 6:4,5:     <TD> ` |- ( -. [. ( a i^i x ) / b ]. b = (/) <-> `
       ` ( a i^i x ) =/= (/) ) `
       <TR> <TD> 7:2:       <TD> ` |- ( -. [. ( a i^i x ) / b ]. b = (/) <-> `
       ` [. ( a i^i x ) / b ]. -. b = (/) ) `
       <TR> <TD> 8::        <TD> ` |- ( b =/= (/) <-> -. b = (/) ) `
       <TR> <TD> 9:8:       <TD> ` |- A. b ( b =/= (/) <-> -. b = (/) ) `
       <TR> <TD> 10:2,9:    <TD> ` |- ( [. ( a i^i x ) / b ]. b =/= (/) <-> `
       ` [. ( a i^i x ) / b ]. -. b = (/) ) `
       <TR> <TD> 11:7,10:   <TD> ` |- ( -. [. ( a i^i x ) / b ]. b = (/) <-> `
       ` [. ( a i^i x ) / b ]. b =/= (/) ) `
       <TR> <TD> 12:6,11:   <TD> ` |- ( [. ( a i^i x ) / b ]. b =/= (/) <-> ( `
       ` a i^i x ) =/= (/) ) `
       <TR> <TD> 13:2:      <TD> ` |- ( [. ( a i^i x ) / b ]. b C_ ( a i^i x `
       ` ) <-> ( a i^i x ) C_ ( a i^i x ) ) `
       <TR> <TD> 14:12,13:  <TD> ` |- ( ( [. ( a i^i x ) / b ]. b C_ ( a i^i `
       ` x ) /\ [. ( a i^i x ) / b ]. b =/= (/) ) <-> ( ( a i^i x ) C_ ( a `
       ` i^i x ) /\ ( a i^i x ) =/= (/) ) ) `
       <TR> <TD> 15:2:      <TD> ` |- ( [. ( a i^i x ) / b ]. ( b C_ ( a i^i `
       ` x ) /\ b =/= (/) ) <-> ( [. ( a i^i x ) / b ]. b C_ ( a i^i x ) /\ `
       ` [. ( a i^i x ) / b ]. b =/= (/) ) ) `
       <TR> <TD> 16:15,14:  <TD> ` |- ( [. ( a i^i x ) / b ]. ( b C_ ( a i^i `
       ` x ) /\ b =/= (/) ) <-> ( ( a i^i x ) C_ ( a i^i x ) /\ ( a i^i x ) `
       ` =/= (/) ) ) `
       <TR> <TD> 17:2:      <TD> ` |- [_ ( a i^i x ) / b ]_ ( b i^i y ) = ( `
       ` [_ ( a i^i x ) / b ]_ b i^i [_ ( a i^i x ) / b ]_ y ) `
       <TR> <TD> 18:2:      <TD> ` |- [_ ( a i^i x ) / b ]_ b = ( a i^i x ) `
       <TR> <TD> 19:2:      <TD> ` |- [_ ( a i^i x ) / b ]_ y = y `
       <TR> <TD> 20:18,19:  <TD> ` |- ( [_ ( a i^i x ) / b ]_ b i^i [_ ( a `
       ` i^i x ) / b ]_ y ) = ( ( a i^i x ) i^i y ) `
       <TR> <TD> 21:17,20:  <TD> ` |- [_ ( a i^i x ) / b ]_ ( b i^i y ) = ( ( `
       ` a i^i x ) i^i y ) `
       <TR> <TD> 22:2:      <TD> ` |- ( [. ( a i^i x ) / b ]. ( b i^i y ) = `
       ` (/) <-> [_ ( a i^i x ) / b ]_ ( b i^i y ) = [_ ( a i^i x ) / b ]_ `
       ` (/) ) `
       <TR> <TD> 23:2:      <TD> ` |- [_ ( a i^i x ) / b ]_ (/) = (/) `
       <TR> <TD> 24:21,23:  <TD> ` |- ( [_ ( a i^i x ) / b ]_ ( b i^i y ) = `
       ` [_ ( a i^i x ) / b ]_ (/) <-> ( ( a i^i x ) i^i y ) = (/) ) `
       <TR> <TD> 25:22,24:  <TD> ` |- ( [. ( a i^i x ) / b ]. ( b i^i y ) = `
       ` (/) <-> ( ( a i^i x ) i^i y ) = (/) ) `
       <TR> <TD> 26:2:      <TD> ` |- ( [. ( a i^i x ) / b ]. y e. b <-> y e. `
       ` ( a i^i x ) ) `
       <TR> <TD> 27:25,26:  <TD> ` |- ( ( [. ( a i^i x ) / b ]. y e. b /\ [. `
       ` ( a i^i x ) / b ]. ( b i^i y ) = (/) ) <-> ( y e. ( a i^i x ) /\ ( ( `
       ` a i^i x ) i^i y ) = (/) ) ) `
       <TR> <TD> 28:2:      <TD> ` |- ( [. ( a i^i x ) / b ]. ( y e. b /\ ( b `
       ` i^i y ) = (/) ) <-> ( [. ( a i^i x ) / b ]. y e. b /\ [. ( a i^i x ) `
       ` / b ]. ( b i^i y ) = (/) ) ) `
       <TR> <TD> 29:27,28:  <TD> ` |- ( [. ( a i^i x ) / b ]. ( y e. b /\ ( b `
       ` i^i y ) = (/) ) <-> ( y e. ( a i^i x ) /\ ( ( a i^i x ) i^i y ) = `
       ` (/) ) ) `
       <TR> <TD> 30:29:     <TD> ` |- A. y ( [. ( a i^i x ) / b ]. ( y e. b `
       ` /\ ( b i^i y ) = (/) ) <-> ( y e. ( a i^i x ) /\ ( ( a i^i x ) i^i `
       ` y ) = (/) ) ) `
       <TR> <TD> 31:30:     <TD> ` |- ( E. y [. ( a i^i x ) / b ]. ( y e. b `
       ` /\ ( b i^i y ) = (/) ) <-> E. y ( y e. ( a i^i x ) /\ ( ( a i^i x ) `
       ` i^i y ) = (/) ) ) `
       <TR> <TD> 32::       <TD> ` |- ( E. y e. ( a i^i x ) ( ( a i^i x ) i^i `
       ` y ) = (/) <-> E. y ( y e. ( a i^i x ) /\ ( ( a i^i x ) i^i y ) = (/) `
       ` ) ) `
       <TR> <TD> 33:31,32:  <TD> ` |- ( E. y [. ( a i^i x ) / b ]. ( y e. b `
       ` /\ ( b i^i y ) = (/) ) <-> E. y e. ( a i^i x ) ( ( a i^i x ) i^i y ) `
       ` = (/) ) `
       <TR> <TD> 34:2:      <TD> ` |- ( E. y [. ( a i^i x ) / b ]. ( y e. b `
       ` /\ ( b i^i y ) = (/) ) <-> [. ( a i^i x ) / b ]. E. y ( y e. b /\ ( `
       ` b i^i y ) = (/) ) ) `
       <TR> <TD> 35:33,34:  <TD> ` |- ( [. ( a i^i x ) / b ]. E. y ( y e. b `
       ` /\ ( b i^i y ) = (/) ) <-> E. y e. ( a i^i x ) ( ( a i^i x ) i^i y `
       ` ) = (/) ) `
       <TR> <TD> 36::       <TD> ` |- ( E. y e. b ( b i^i y ) = (/) <-> E. y `
       ` ( y e. b /\ ( b i^i y ) = (/) ) ) `
       <TR> <TD> 37:36:     <TD> ` |- A. b ( E. y e. b ( b i^i y ) = (/) <-> `
       ` E. y ( y e. b /\ ( b i^i y ) = (/) ) ) `
       <TR> <TD> 38:2,37:   <TD> ` |- ( [. ( a i^i x ) / b ]. E. y e. b ( b `
       ` i^i y ) = (/) <-> [. ( a i^i x ) / b ]. E. y ( y e. b /\ ( b i^i y ) `
       ` = (/) ) ) `
       <TR> <TD> 39:35,38:  <TD> ` |- ( [. ( a i^i x ) / b ]. E. y e. b ( b `
       ` i^i y ) = (/) <-> E. y e. ( a i^i x ) ( ( a i^i x ) i^i y ) = (/) ) `
       <TR> <TD> 40:16,39:  <TD> ` |- ( ( [. ( a i^i x ) / b ]. ( b C_ ( a `
       ` i^i x ) /\ b =/= (/) ) -> [. ( a i^i x ) / b ]. E. y e. b ( b i^i `
       ` y ) = (/) ) <-> ( ( ( a i^i x ) C_ ( a i^i x ) /\ ( a i^i x ) =/= `
       ` (/) ) -> E. y e. ( a i^i x ) ( ( a i^i x ) i^i y ) = (/) ) ) `
       <TR> <TD> 41:2:      <TD> ` |- ( [. ( a i^i x ) / b ]. ( ( b C_ ( a `
       ` i^i x ) /\ b =/= (/) ) -> E. y e. b ( b i^i y ) = (/) ) <-> ( [. ( a `
       ` i^i x ) / b ]. ( b C_ ( a i^i x ) /\ b =/= (/) ) -> [. ( a i^i x ) / `
       ` b ]. E. y e. b ( b i^i y ) = (/) ) ) `
       <TR> <TD> qed:40,41: <TD> ` |- ( [. ( a i^i x ) / b ]. ( ( b C_ ( a `
       ` i^i x ) /\ b =/= (/) ) -> E. y e. b ( b i^i y ) = (/) ) <-> ( ( ( a `
       ` i^i x ) C_ ( a i^i x ) /\ ( a i^i x ) =/= (/) ) -> E. y e. ( a i^i x `
       ` ) ( ( a i^i x ) i^i y ) = (/) ) ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 22-Jul-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    onfrALTlem5VD $p |- ( [. ( a i^i x ) / b ].
       ( ( b C_ ( a i^i x ) /\ b =/= (/) ) -> E. y e. b ( b i^i y ) = (/) ) <->
           ( ( ( a i^i x ) C_ ( a i^i x ) /\ ( a i^i x ) =/= (/) ) ->
                         E. y e. ( a i^i x ) ( ( a i^i x ) i^i y ) = (/) ) ) $=
      ( cv cin wss c0 wne wa wceq wi wsbc cvv wcel wb e0a bitri wex csb wrex wn
      vex inex1 sbcimg sbcan sseq1 sbcie df-ne sbcbii bicomd necon3bbii 3bitr2i
      sbcng eqsbc1 anbi12i df-rex sbcel2gv sbceqg csbin csbvarg csbconstg eqtri
      ineq12i csb0 eqeq12i exbii sbcex2 3bitr4i imbi12i ) DEZCEZAEZFZGZVKHIZJZV
      KBEZFZHKZBVKUAZLDVNMZVQDVNMZWADVNMZLZVNVNGZVNHIZJZVNVRFZHKZBVNUAZLVNNOZWB
      WEPVLVMCUCUDZVQWADVNNUEQWCWHWDWKWCVODVNMZVPDVNMZJWHVOVPDVNUFWNWFWOWGVOWFD
      VNWMVKVNVNUGUHWOVKHKZUBZDVNMZWPDVNMZUBZWGVPWQDVNVKHUIUJWLWTWRPWMWLWRWTWPD
      VNNUNUKQWSVNHWLWSVNHKPWMDVNHNUOQULUMUPRWDVRVKOZVTJZBSZDVNMZWKWAXCDVNVTBVK
      UQUJXBDVNMZBSVRVNOZWJJZBSXDWKXEXGBXEXADVNMZVTDVNMZJXGXAVTDVNUFXHXFXIWJWLX
      HXFPWMDVRVNNURQXIDVNVSTZDVNHTZKZWJWLXIXLPWMDVNVSHNUSQXJWIXKHXJDVNVKTZDVNV
      RTZFWIDVNVKVRUTXMVNXNVRWLXMVNKWMDVNNVAQWLXNVRKWMDVNVRNVBQVDVCDVNVEVFRUPRV
      GXBBDVNVHWJBVNUQVIRVJR $.
  $}

  ${
    $d a x $.
    $( Virtual deduction proof of ~ onfrALTlem4 .
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ onfrALTlem4 is ~ onfrALTlem4VD without virtual deductions and was
       automatically derived from ~ onfrALTlem4VD .
       <HTML> <TABLE>
       <TR> <TD> 1::        <TD> ` |- y e. _V `
       <TR> <TD> 2:1:       <TD> ` |- ( [. y / x ]. ( a i^i x ) = (/) <-> [_ `
       ` y / x ]_ ( a i^i x ) = [_ y / x ]_ (/) ) `
       <TR> <TD> 3:1:       <TD> ` |- [_ y / x ]_ ( a i^i x ) = ( [_ y / x ]_ `
       ` a i^i [_ y / x ]_ x ) `
       <TR> <TD> 4:1:       <TD> ` |- [_ y / x ]_ a = a `
       <TR> <TD> 5:1:       <TD> ` |- [_ y / x ]_ x = y `
       <TR> <TD> 6:4,5:     <TD> ` |- ( [_ y / x ]_ a i^i [_ y / x ]_ x ) = ( `
       ` a i^i y ) `
       <TR> <TD> 7:3,6:     <TD> ` |- [_ y / x ]_ ( a i^i x ) = ( a i^i y ) `
       <TR> <TD> 8:1:       <TD> ` |- [_ y / x ]_ (/) = (/) `
       <TR> <TD> 9:7,8:     <TD> ` |- ( [_ y / x ]_ ( a i^i x ) = [_ y / x ]_ `
       ` (/) <-> ( a i^i y ) = (/) ) `
       <TR> <TD> 10:2,9:    <TD> ` |- ( [. y / x ]. ( a i^i x ) = (/) <-> ( a `
       ` i^i y ) = (/) ) `
       <TR> <TD> 11:1:      <TD> ` |- ( [. y / x ]. x e. a <-> y e. a ) `
       <TR> <TD> 12:11,10:  <TD> ` |- ( ( [. y / x ]. x e. a /\ [. y / x ]. ( `
       ` a i^i x ) = (/) )  <-> ( y e. a /\ ( a i^i y ) = (/) ) ) `
       <TR> <TD> 13:1:      <TD> ` |- ( [. y / x ]. ( x e. a /\ ( a i^i x ) = `
       ` (/) ) <-> ( [. y / x ]. x e. a /\ [. y / x ]. ( a i^i x ) = (/) ) ) `
       <TR> <TD> qed:13,12: <TD> ` |- ( [. y / x ]. ( x e. a /\ ( a i^i x ) = `
       ` (/) ) <-> ( y e. a /\ ( a i^i y ) = (/) ) ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 22-Jul-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    onfrALTlem4VD $p |- ( [. y / x ]. ( x e. a /\ ( a i^i x ) = (/) ) <->
                                           ( y e. a /\ ( a i^i y ) = (/) ) ) $=
      ( wel cv cin c0 wceq wa wsbc sbcan sbcel1v csb cvv sbceqg csbin csbconstg
      wb elv bitri vex csbvargi ineq12i eqtri csb0 eqeq12i anbi12i ) ACDZCEZAEZ
      FZGHZIABEZJUHAUMJZULAUMJZIBCDZUIUMFZGHZIUHULAUMKUNUPUOURAUMUILUOAUMUKMZAU
      MGMZHZURUOVARBAUMUKGNOSUSUQUTGUSAUMUIMZAUMUJMZFUQAUMUIUJPVBUIVCUMVBUIHBAU
      MUINQSAUMBUAUBUCUDAUMUEUFTUGT $.
  $}

  ${
    $d a b y $.  $d b x y $.
    $( Virtual deduction proof of ~ onfrALTlem3 .
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ onfrALTlem3 is ~ onfrALTlem3VD without virtual deductions and was
       automatically derived from ~ onfrALTlem3VD .
       <HTML> <TABLE>
       <TR> <TD> 1::          <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ->. ( a `
       ` C_ On /\ a =/= (/) ) ). `
       <TR> <TD> 2::          <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. ( x e. a /\ -. ( a i^i x ) = (/) ) ).
       `
       <TR> <TD> 3:2:         <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. x e. a ). `
       <TR> <TD> 4:1:         <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ->. a C_ `
       ` On ). `
       <TR> <TD> 5:3,4:       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. x e. On ). `
       <TR> <TD> 6:5:         <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. Ord x ). `
       <TR> <TD> 7:6:         <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. _E We x ). `
       <TR> <TD> 8::          <TD> ` |- ( a i^i x ) C_ x `
       <TR> <TD> 9:7,8:       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. _E We ( a i^i x ) ). `
       <TR> <TD> 10:9:        <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. _E Fr ( a i^i x ) ). `
       <TR> <TD> 11:10:       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. A. b ( ( b C_ ( a i^i x ) /\ b =/= `
       ` (/) ) -> E. y e. b ( b i^i y ) = (/) ) ). `
       <TR> <TD> 12::         <TD> ` |- x e. _V `
       <TR> <TD> 13:12,8:     <TD> ` |- ( a i^i x ) e. _V `
       <TR> <TD> 14:13,11:    <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. [. ( a i^i x ) / b ]. ( ( b C_ ( a `
       ` i^i x ) /\ b =/= (/) ) -> E. y e. b ( b i^i y ) = (/) ) ). `
       <TR> <TD> 15::         <TD> ` |- ( [. ( a i^i x ) / b ]. ( ( b C_ ( a `
       ` i^i x ) /\ b =/= (/) ) -> E. y e. b ( b i^i y ) = (/) ) <-> ( ( ( a
       i^i `
       ` x ) C_ ( a i^i x ) /\ ( a i^i x ) =/= (/) ) -> E. y e. ( a i^i x ) ( `
       ` ( a i^i x ) i^i y ) = (/) ) ) `
       <TR> <TD> 16:14,15:    <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. ( ( ( a i^i x ) C_ ( a i^i x ) /\ ( `
       ` a i^i x ) =/= (/) ) -> E. y e. ( a i^i x ) ( ( a i^i x ) i^i y ) = `
       ` (/) ) ). `
       <TR> <TD> 17::         <TD> ` |- ( a i^i x ) C_ ( a i^i x ) `
       <TR> <TD> 18:2:        <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. -. ( a i^i x ) = (/) ). `
       <TR> <TD> 19:18:       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. ( a i^i x ) =/= (/) ). `
       <TR> <TD> 20:17,19:    <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. ( ( a i^i x ) C_ ( a i^i x ) /\ ( a
       i^i `
       ` x ) =/= (/) ) ). `
       <TR> <TD> qed:16,20:   <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. E. y e. ( a i^i x ) ( ( a i^i x ) i^i
       y `
       ` ) = (/) ). `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 22-Jul-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    onfrALTlem3VD $p |- (. ( a C_ On /\ a =/= (/) ) ,.
                         ( x e. a /\ -. ( a i^i x ) = (/) ) ->.
                          E. y e. ( a i^i x ) ( ( a i^i x ) i^i y ) = (/) ). $=
      ( vb cv con0 wss c0 wne wa wcel cin wceq wrex wi cvv cep wwe simpl e2 wal
      wn wsbc vex inss2 ssexi wfr word idn2 idn1 e1a ssel com12 e21 eloni ordwe
      wess e20 wefr dfepfr biimpi spsbc e02 onfrALTlem5 e2bi ssid simpr biimpri
      df-ne pm3.2 id e22 ) CEZFGZVMHIZJZAEZVMKZVMVQLZHMUBZJZVSVSGZVSHIZJZVSBEZL
      HMBVSNZOZWDWFVPWADEZVSGWHHIJWHWELHMBWHNOZDVSUCZWGVSPKVPWAWIDUAZWJVSVQAUDV
      MVQUEZUFVPWAVSQUGZWKVPWAVSQRZWMVPWAVQQRZVSVQGZWNVPWAVQUHZWOVPWAVQFKZWQVPW
      AVRVNWRVPWAWAVRVPWAUIZVRVTSTVPVPVNVPUJVNVOSUKVNVRWRVMFVQULUMUNVQUOTVQUPTW
      LWPWOWNVSVQQUQUMURVSQUSTWMWKDBVSUTVATWIDVSPVBVCABCDVDVEWBVPWAWCWDVSVFVPWA
      VTWCVPWAWAVTWSVRVTVGTWCVTVSHVIVHTWBWCVJVCWGVKVL $.
  $}

  $( Virtual deduction proof of ~ simplbi2comt .
     The following User's Proof is a Virtual Deduction proof completed
     automatically by the tools program completeusersproof.cmd, which invokes
     Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
     ~ simplbi2comt is ~ simplbi2comtVD without virtual deductions and was
     automatically derived from ~ simplbi2comtVD .
     <HTML> <TABLE>
     <TR> <TD> 1::    <TD> ` |- (. ( ph <-> ( ps /\ ch ) ) ->. ( ph <-> ( `
     ` ps /\ ch ) ) ). `
     <TR> <TD> 2:1:   <TD> ` |- (. ( ph <-> ( ps /\ ch ) ) ->. ( ( ps /\ ch `
     ` ) -> ph ) ). `
     <TR> <TD> 3:2:   <TD> ` |- (. ( ph <-> ( ps /\ ch ) ) ->. ( ps -> ( ch `
     ` -> ph ) ) ). `
     <TR> <TD> 4:3:   <TD> ` |- (. ( ph <-> ( ps /\ ch ) ) ->. ( ch -> ( ps `
     ` -> ph ) ) ). `
     <TR> <TD> qed:4: <TD> ` |- ( ( ph <-> ( ps /\ ch ) ) -> ( ch -> ( ps `
     ` -> ph ) ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 22-Jul-2012.)  (Proof modification is
     discouraged.)  (New usage is discouraged.) $)
  simplbi2comtVD $p |- ( ( ph <-> ( ps /\ ch ) ) -> ( ch -> ( ps -> ph ) ) ) $=
    ( wa wb wi idn1 biimpr e1a pm3.3 pm2.04 in1 ) ABCDZEZCBAFFZNBCAFFZONMAFZPNN
    QNGAMHIBCAJIBCAKIL $.

  ${
    $d a y z $.  $d x y z $.
    $( Virtual deduction proof of ~ onfrALTlem2 .
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ onfrALTlem2 is ~ onfrALTlem2VD without virtual deductions and was
       automatically derived from ~ onfrALTlem2VD .
       <HTML> <TABLE>
       <TR> <TD> 1::          <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( ( y e. ( a i^i x ) /\ ( ( a i^i x )
       i^i `
       ` y ) = (/) ) /\ z e. ( a i^i y ) ) ->. ( ( y e. ( a i^i x ) /\ ( ( a
       i^i `
       ` x ) i^i y ) = (/) ) /\ z e. ( a i^i y ) ) ). `
       <TR> <TD> 2:1:         <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( ( y e. ( a i^i x ) /\ ( ( a i^i x )
       i^i `
       ` y ) = (/) ) /\ z e. ( a i^i y ) ) ->. z e. ( a i^i y ) ). `
       <TR> <TD> 3:2:         <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( ( y e. ( a i^i x ) /\ ( ( a i^i x )
       i^i `
       ` y ) = (/) ) /\ z e. ( a i^i y ) ) ->. z e. a ). `
       <TR> <TD> 4::          <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ->. ( a `
       ` C_ On /\ a =/= (/) ) ). `
       <TR> <TD> 5::          <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. ( x e. a /\ -. ( a i^i x ) = (/) ) ).
       `
       <TR> <TD> 6:5:         <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. x e. a ). `
       <TR> <TD> 7:4:         <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ->. a C_ `
       ` On ). `
       <TR> <TD> 8:6,7:       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. x e. On ). `
       <TR> <TD> 9:8:         <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. Ord x ). `
       <TR> <TD> 10:9:        <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. Tr x ). `
       <TR> <TD> 11:1:        <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( ( y e. ( a i^i x ) /\ ( ( a i^i x )
       i^i `
       ` y ) = (/) ) /\ z e. ( a i^i y ) ) ->.  y e. ( a i^i x ) ). `
       <TR> <TD> 12:11:       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( ( y e. ( a i^i x ) /\ ( ( a i^i x )
       i^i `
       ` y ) = (/) ) /\ z e. ( a i^i y ) ) ->. y e. x ). `
       <TR> <TD> 13:2:        <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( ( y e. ( a i^i x ) /\ ( ( a i^i x )
       i^i `
       ` y ) = (/) ) /\ z e. ( a i^i y ) ) ->. z e. y ). `
       <TR> <TD> 14:10,12,13: <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( ( y e. ( a i^i x ) /\ ( ( a i^i x )
       i^i `
       ` y ) = (/) ) /\ z e. ( a i^i y ) ) ->. z e. x ). `
       <TR> <TD> 15:3,14:     <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( ( y e. ( a i^i x ) /\ ( ( a i^i x )
       i^i `
       ` y ) = (/) ) /\ z e. ( a i^i y ) ) ->. z e. ( a i^i x ) ). `
       <TR> <TD> 16:13,15:    <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( ( y e. ( a i^i x ) /\ ( ( a i^i x )
       i^i `
       ` y ) = (/) ) /\ z e. ( a i^i y ) ) ->. z e. ( ( a i^i x ) i^i y ) ). `
       <TR> <TD> 17:16:       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( y e. ( a i^i x ) /\ ( ( a i^i x ) i^i
       y `
       ` ) = (/) ) ->. ( z e. ( a i^i y ) -> z e. ( ( a i^i x ) i^i y ) ) ). `
       <TR> <TD> 18:17:       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( y e. ( a i^i x ) /\ ( ( a i^i x ) i^i
       y `
       ` ) = (/) ) ->. A. z ( z e. ( a i^i y ) -> z e. ( ( a i^i x ) i^i y ) )
       ). `
       <TR> <TD> 19:18:       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( y e. ( a i^i x ) /\ ( ( a i^i x ) i^i
       y `
       ` ) = (/) ) ->. ( a i^i y ) C_ ( ( a i^i x ) i^i y ) ). `
       <TR> <TD> 20::         <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( y e. ( a i^i x ) /\ ( ( a i^i x ) i^i
       y `
       ` ) = (/) ) ->. ( y e. ( a i^i x ) /\ ( ( a i^i x ) i^i y ) = (/) ) ). `
       <TR> <TD> 21:20:       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( y e. ( a i^i x ) /\ ( ( a i^i x ) i^i
       y `
       ` ) = (/) ) ->. ( ( a i^i x ) i^i y ) = (/) ). `
       <TR> <TD> 22:19,21:    <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( y e. ( a i^i x ) /\ ( ( a i^i x ) i^i
       y `
       ` ) = (/) ) ->. ( a i^i y ) = (/) ). `
       <TR> <TD> 23:20:       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( y e. ( a i^i x ) /\ ( ( a i^i x ) i^i
       y `
       ` ) = (/) ) ->. y e. ( a i^i x ) ). `
       <TR> <TD> 24:23:       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( y e. ( a i^i x ) /\ ( ( a i^i x ) i^i
       y `
       ` ) = (/) ) ->. y e. a ). `
       <TR> <TD> 25:22,24:    <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) , ( y e. ( a i^i x ) /\ ( ( a i^i x ) i^i
       y `
       ` ) = (/) ) ->. ( y e. a /\ ( a i^i y ) = (/) ) ). `
       <TR> <TD> 26:25:       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. ( ( y e. ( a i^i x ) /\ ( ( a i^i x )
       `
       ` i^i y ) = (/) ) -> ( y e. a /\ ( a i^i y ) = (/) ) ) ). `
       <TR> <TD> 27:26:       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. A. y ( ( y e. ( a i^i x ) /\ ( ( a i^i
       x `
       ` ) i^i y ) = (/) ) -> ( y e. a /\ ( a i^i y ) = (/) ) ) ). `
       <TR> <TD> 28:27:       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. ( E. y ( y e. ( a i^i x ) /\ ( ( a i^i
       x `
       ` ) i^i y ) = (/) ) -> E. y ( y e. a /\ ( a i^i y ) = (/) ) ) ). `
       <TR> <TD> 29::         <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. E. y e. ( a i^i x ) ( ( a i^i x ) i^i
       y `
       ` ) = (/) ). `
       <TR> <TD> 30:29:       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. E. y ( y e. ( a i^i x ) /\ ( ( a i^i x
       ) `
       ` i^i y ) = (/) ) ). `
       <TR> <TD> 31:28,30:    <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. E. y ( y e. a /\ ( a i^i y ) = (/) )
       ). `
       <TR> <TD> qed:31:      <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. `
       ` a /\ -. ( a i^i x ) = (/) ) ->. E. y e. a ( a i^i y ) = (/) ). `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 22-Jul-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    onfrALTlem2VD $p |- (. ( a C_ On /\ a =/= (/) ) ,.
       ( x e. a /\ -. ( a i^i x ) = (/) ) ->. E. y e. a ( a i^i y ) = (/) ). $=
      ( vz cv con0 wss c0 wa wcel cin wceq wex wrex wi e3 sseli simpl e2 e33 wn
      wne wal idn3 simpr inss2 inss1 wtr word idn2 idn1 ssel com12 eloni simpll
      e1a ordtr trel expcomd e233 elin simplbi2 simplbi2com in3an gen31 biimpri
      e21 dfss2 sseq0 ex pm3.21 in3 gen21 exim onfrALTlem3VD df-rex biimpi e22
      id ) CEZFGZVTHUBZIZAEZVTJZVTWDKZHLUAZIZBEZVTJZVTWIKZHLZIZBMZWLBVTNZWCWHWI
      WFJZWFWIKZHLZIZBMZWNOZWTWNWCWHWSWMOZBUCXAWCWHXBBWCWHWSWMWCWHWSWLWJWMWCWHW
      SWKWQGZWRWLWCWHWSDEZWKJZXDWQJZOZDUCZXCWCWHWSXGDWCWHWSXEXFWCWHWSXEIZXDWIJZ
      XDWFJZXFWCWHXIXEXJWCWHXIXIXEWCWHXIUDZWSXEUEPZWKWIXDVTWIUFQPZWCWHXIXDVTJZX
      DWDJZXKWCWHXIXEXOXMWKVTXDVTWIUGQPWCWHWDUHZXIWIWDJZXJXPWCWHWDUIZXQWCWHWDFJ
      ZXSWCWHWEWAXTWCWHWHWEWCWHUJWEWGRSWCWCWAWCUKWAWBRUPWAWEXTVTFWDULUMVGWDUNSW
      DUQSWCWHXIWPXRWCWHXIXIWPXLWPWRXEUOPWFWDWIVTWDUFQPXNXQXJXRXPWDXDWIURUSUTXK
      XOXPXDVTWDVAVBTXFXKXJXDWFWIVAVCTVDVEXCXHDWKWQVHVFPWCWHWSWSWRWCWHWSUDZWPWR
      UEPXCWRWLWKWQVIVJTWCWHWSWPWJWCWHWSWSWPYAWPWRRPWFVTWIVTWDUGQPWLWJVKTVLVMWS
      WMBVNSWCWHWRBWFNZWTABCVOYBWTWRBWFVPVQSXAVSVRWOWNWLBVTVPVFS $.
  $}

  ${
    $d a x y $.
    $( Virtual deduction proof of ~ onfrALTlem1 .
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ onfrALTlem1 is ~ onfrALTlem1VD without virtual deductions and was
       automatically derived from ~ onfrALTlem1VD .
       <HTML> <TABLE>
       <TR> <TD> 1::      <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. a /\
       `
       ` ( a i^i x ) = (/) ) ->. ( x e. a /\ ( a i^i x ) = (/) ) ). `
       <TR> <TD> 2:1:     <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. a /\
       `
       ` ( a i^i x ) = (/) ) ->. E. x ( x e. a /\ ( a i^i x ) = (/) ) ). `
       <TR> <TD> 3:2:     <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. a /\
       `
       ` ( a i^i x ) = (/) ) ->. E. y [ y / x ] ( x e. a /\ ( a i^i x ) = (/) )
       `
       ` ). `
       <TR> <TD> 4::      <TD> ` |- ( [ y / x ] ( x e. a /\ ( a i^i x ) = (/) `
       ` ) <-> ( y e. a /\ ( a i^i y ) = (/) ) ) `
       <TR> <TD> 5:4:     <TD> ` |- A. y ( [ y / x ] ( x e. a /\ ( a i^i x ) `
       ` = (/) ) <-> ( y e. a /\ ( a i^i y ) = (/) ) ) `
       <TR> <TD> 6:5:     <TD> ` |- ( E. y [ y / x ] ( x e. a /\ ( a i^i x ) `
       ` = (/) ) <-> E. y ( y e. a /\ ( a i^i y ) = (/) ) ) `
       <TR> <TD> 7:3,6:   <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. a /\
       `
       ` ( a i^i x ) = (/) ) ->. E. y ( y e. a /\ ( a i^i y ) = (/) ) ). `
       <TR> <TD> 8::      <TD> ` |- ( E. y e. a ( a i^i y ) = (/) <-> E. y ( `
       ` y e. a /\ ( a i^i y ) = (/) ) ) `
       <TR> <TD> qed:7,8: <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. a /\
       `
       ` ( a i^i x ) = (/) ) ->. E. y e. a ( a i^i y ) = (/) ). `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 22-Jul-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    onfrALTlem1VD $p |- (. ( a C_ On /\ a =/= (/) ) ,.
          ( x e. a /\ ( a i^i x ) = (/) ) ->. E. y e. a ( a i^i y ) = (/) ). $=
      ( cv con0 wss c0 wne wa wcel cin wceq wex wrex wsb idn2 19.8a e2 cbvexsv
      wb biimpi wal wsbc sbsbc onfrALTlem4 bitri ax-gen exbi e2bi df-rex e2bir
      e0a ) CDZEFUMGHIZADZUMJUMUOKGLIZBDZUMJUMUQKGLZIZBMZURBUMNUNUPUPABOZBMZUTU
      NUPUPAMZVBUNUPUPVCUNUPPUPAQRVCVBUPABSUARVAUSTZBUBVBUTTVDBVAUPAUQUCUSUPABU
      DABCUEUFUGVAUSBUHULUIURBUMUJUK $.
  $}

  ${
    $d a x y $.
    $( Virtual deduction proof of ~ onfrALT .
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ onfrALT is ~ onfrALTVD without virtual deductions and was
       automatically derived from ~ onfrALTVD .
       <HTML> <TABLE>
       <TR> <TD> 1::       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. a `
       ` /\ -. ( a i^i x ) = (/) ) ->. E. y e. a ( a i^i y ) = (/) ). `
       <TR> <TD> 2::       <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. ( x e. a `
       ` /\ ( a i^i x ) = (/) ) ->. E. y e. a ( a i^i y ) = (/) ). `
       <TR> <TD> 3:1:      <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. x e. a ->.
       `
       ` ( -. ( a i^i x ) = (/) -> E. y e. a ( a i^i y ) = (/) ) ). `
       <TR> <TD> 4:2:      <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. x e. a ->.
       `
       ` ( ( a i^i x ) = (/) -> E. y e. a ( a i^i y ) = (/) ) ). `
       <TR> <TD> 5::       <TD> ` |- ( ( a i^i x ) = (/) \/ -. ( a i^i x ) = `
       ` (/) ) `
       <TR> <TD> 6:5,4,3:  <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ,. x e. a ->.
       `
       ` E. y e. a ( a i^i y ) = (/) ). `
       <TR> <TD> 7:6:      <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ->. ( x e. a `
       ` -> E. y e. a ( a i^i y ) = (/) ) ). `
       <TR> <TD> 8:7:      <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ->. A. x ( x `
       ` e. a -> E. y e. a ( a i^i y ) = (/) ) ). `
       <TR> <TD> 9:8:      <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ->. ( E. x x `
       ` e. a -> E. y e. a ( a i^i y ) = (/) ) ). `
       <TR> <TD> 10::      <TD> ` |- ( a =/= (/) <-> E. x x e. a ) `
       <TR> <TD> 11:9,10:  <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ->. ( a =/= `
       ` (/) -> E. y e. a ( a i^i y ) = (/) ) ). `
       <TR> <TD> 12::      <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ->. ( a C_ `
       ` On /\ a =/= (/) ) ). `
       <TR> <TD> 13:12:    <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ->. a =/= `
       ` (/) ). `
       <TR> <TD> 14:13,11: <TD> ` |- (. ( a C_ On /\ a =/= (/) ) ->. E. y e. `
       ` a ( a i^i y ) = (/) ). `
       <TR> <TD> 15:14:    <TD> ` |- ( ( a C_ On /\ a =/= (/) ) -> E. y e. a `
       ` ( a i^i y ) = (/) ) `
       <TR> <TD> 16:15:    <TD> ` |- A. a ( ( a C_ On /\ a =/= (/) ) -> E. y `
       ` e. a ( a i^i y ) = (/) ) `
       <TR> <TD> qed:16:   <TD> ` |- _E Fr On `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 22-Jul-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    onfrALTVD $p |- _E Fr On $=
      ( va vy vx cv con0 wss c0 wne wa cin wceq wrex wal cep wfr idn1 simpr e1a
      wi in2an wcel wex wb wn exmid onfrALTlem1VD onfrALTlem2VD pm2.61 a1i e022
      wo in2 gen11 19.23v biimpi n0 imbi1 biimprcd e10 pm2.27 e11 ax-gen dfepfr
      in1 biimpri e0a ) ADZEFZVGGHZIZVGBDJGKBVGLZSZAMZENOZVLAVJVKVJVIVIVKSZVKVJ
      VJVIVJPVHVIQRVJCDZVGUAZCUBZVKSZVIVRUCZVOVJVQVKSZCMZVSVJWACVJVQVKVGVPJGKZW
      CUDZUKZVJVQWCVKSZWDVKSZVKWCUEVJVQWCVKCBAUFTVJVQWDVKCBAUGTWFWGVKSSWEWCVKUH
      UIUJULUMWBVSVQVKCUNUORCVGUPVTVOVSVIVRVKUQURUSVIVKUTVAVDVBVNVMABEVCVEVF $.
  $}

  $( Virtual deduction proof of ~ csbeq2 .
     The following User's Proof is a Virtual Deduction proof completed
     automatically by the tools program completeusersproof.cmd, which invokes
     Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
     ~ csbeq2 is ~ csbeq2gVD without virtual deductions and was
     automatically derived from ~ csbeq2gVD .
     <HTML> <TABLE>
     <TR> <TD> 1::       <TD> ` |- (. A e. V ->. A e. V  ). `
     <TR> <TD> 2:1:      <TD> ` |- (. A e. V ->. ( A. x B = C -> [. A / x ]. `
     ` B = C ) ). `
     <TR> <TD> 3:1:      <TD> ` |- (. A e. V ->. ( [. A / x ]. B = C <-> [_ A `
     ` / x ]_ B = [_ A / x ]_ C ) ). `
     <TR> <TD> 4:2,3:    <TD> ` |- (. A e. V ->. ( A. x B = C -> [_ A / x `
     ` ]_ B = [_ A / x ]_ C ) ). `
     <TR> <TD> qed:4:    <TD> ` |- ( A e. V -> ( A. x B = C -> [_ A / x ]_ `
     ` B = [_ A / x ]_ C ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 10-Nov-2012.)  (Proof modification is
     discouraged.)  (New usage is discouraged.) $)
  csbeq2gVD $p |- ( A e. V -> ( A. x B = C ->
                                           [_ A / x ]_ B = [_ A / x ]_ C ) ) $=
    ( wcel wceq wal csb wi wsbc wb idn1 spsbc e1a sbceqg imbi2 biimpcd e11 in1
    ) BEFZCDGZAHZABCIABDIGZJZUAUCUBABKZJZUFUDLZUEUAUAUGUAMZUBABENOUAUAUHUIABCDE
    POUHUGUEUFUDUCQRST $.

  ${
    $d A y $.  $d B y $.  $d V y $.  $d x y $.
    $( Virtual deduction proof of ~ csbsng .
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ csbsng is ~ csbsngVD without virtual deductions and was automatically
       derived from ~ csbsngVD .
       <HTML> <TABLE>
       <TR> <TD> 1::           <TD> ` |- (. A e. V ->. A e. V ). `
       <TR> <TD> 2:1:          <TD> ` |- (. A e. V ->. ( [. A / x ]. y = B `
       ` <-> [_ A / x ]_ y = [_ A / x ]_ B ) ). `
       <TR> <TD> 3:1:          <TD> ` |- (. A e. V ->. [_ A / x ]_ y = y ). `
       <TR> <TD> 4:3:          <TD> ` |- (. A e. V ->. ( [_ A / x ]_ y = [_ A `
       ` / x ]_ B <-> y = [_ A / x ]_ B ) ). `
       <TR> <TD> 5:2,4:        <TD> ` |- (. A e. V ->. ( [. A / x ]. y = B `
       ` <-> y = [_ A / x ]_ B ) ). `
       <TR> <TD> 6:5:          <TD> ` |- (. A e. V ->. A. y ( [. A / x ]. y `
       ` = B <-> y = [_ A / x ]_ B ) ). `
       <TR> <TD> 7:6:          <TD> ` |- (. A e. V ->. { y | [. A / x ]. y = `
       ` B } = { y | y = [_ A / x ]_ B } ). `
       <TR> <TD> 8:1:          <TD> ` |- (. A e. V ->. { y | [. A / x ]. y = `
       ` B } = [_ A / x ]_ { y |  y = B } ). `
       <TR> <TD> 9:7,8:        <TD> ` |- (. A e. V ->. [_ A / x ]_ { y |  y `
       ` = B } = { y | y = [_ A / x ]_ B } ). `
       <TR> <TD> 10::          <TD> ` |- { B } = { y |  y = B } `
       <TR> <TD> 11:10:        <TD> ` |- A. x { B } = { y |  y = B } `
       <TR> <TD> 12:1,11:      <TD> ` |- (. A e. V ->. [_ A / x ]_ { B } = [_ `
       ` A / x ]_ { y |  y = B } ). `
       <TR> <TD> 13:9,12:      <TD> ` |- (. A e. V ->. [_ A / x ]_ { B } = { `
       ` y | y = [_ A / x ]_ B } ). `
       <TR> <TD> 14::          <TD> ` |- { [_ A / x ]_  B } = { y |  y = [_ A `
       ` / x ]_ B } `
       <TR> <TD> 15:13,14:     <TD> ` |- (. A e. V ->. [_ A / x ]_ { B } = { `
       ` [_ A / x ]_ B } ). `
       <TR> <TD> qed:15:       <TD> ` |- ( A e. V -> [_ A / x ]_ { B } = { [_ `
       ` A / x ]_ B } ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 10-Nov-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    csbsngVD $p |- ( A e. V -> [_ A / x ]_ { B } = { [_ A / x ]_ B } ) $=
      ( vy wcel csn csb wceq cv cab wb wal e1a eqeq1 e11 a1i df-sn e10 eqeq2 wi
      wsbc idn1 sbceqg csbconstg bibi1 biimprd gen11 abbi biimpi eqcomd biimpcd
      csbab ax-gen csbeq2 biimpd biimprcd in1 ) BDFZABCGZHZABCHZGZIZUSVAEJZVBIZ
      EKZIZVCVGIZVDUSABVECIZEKZHZVGIZVAVLIZVHUSVJABUBZEKZVGIZVPVLIZVMUSVOVFLZEM
      ZVQUSVSEUSVOABVEHZVBIZLZWBVFLZVSUSUSWCUSUCZABVECDUDNUSWAVEIZWDUSUSWFWEABV
      EDUENWAVEVBONWCVSWDVOWBVFUFUGPUHVTVQVOVFEUIUJNUSUSVRWEUSVLVPVLVPIUSVJAEBU
      MQUKNVRVQVMVPVLVGOULPUSUSUTVKIZAMZVNWEWGAECRUNWHVNUAUSABUTVKUOQSVMVNVHVLV
      GVATUPPEVBRVIVDVHVCVGVATUQSUR $.
  $}

  ${
    $d A w y z $.  $d B w y z $.  $d C w y z $.  $d V w y z $.  $d w x y z $.
    $( Virtual deduction proof of ~ csbxp .
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ csbxp is ~ csbxpgVD without virtual deductions and was
       automatically derived from ~ csbxpgVD .
       <HTML> <TABLE>
       <TR> <TD> 1::       <TD> ` |- (. A e. V ->. A e. V ). `
       <TR> <TD> 2:1:      <TD> ` |- (. A e. V ->. ( [. A / x ]. w e. B <-> `
       ` [_ A / x ]_ w e. [_ A / x ]_ B ) ). `
       <TR> <TD> 3:1:      <TD> ` |- (. A e. V ->. [_ A / x ]_ w = w ). `
       <TR> <TD> 4:3:      <TD> ` |- (. A e. V ->. ( [_ A / x ]_ w e. [_ A / `
       ` x ]_ B <-> w e. [_ A / x ]_ B ) ). `
       <TR> <TD> 5:2,4:    <TD> ` |- (. A e. V ->. ( [. A / x ]. w e. B <-> w `
       ` e. [_ A / x ]_ B ) ). `
       <TR> <TD> 6:1:      <TD> ` |- (. A e. V ->. ( [. A / x ]. y e. C <-> `
       ` [_ A / x ]_ y e. [_ A / x ]_ C ) ). `
       <TR> <TD> 7:1:      <TD> ` |- (. A e. V ->. [_ A / x ]_ y = y ). `
       <TR> <TD> 8:7:      <TD> ` |- (. A e. V ->. ( [_ A / x ]_ y e. [_ A / `
       ` x ]_ C <-> y e. [_ A / x ]_ C ) ). `
       <TR> <TD> 9:6,8:    <TD> ` |- (. A e. V ->. ( [. A / x ]. y e. C <-> y `
       ` e. [_ A / x ]_ C ) ). `
       <TR> <TD> 10:5,9:   <TD> ` |- (. A e. V ->. ( ( [. A / x ]. w e. B /\ `
       ` [. A / x ]. y e. C ) <-> ( w e. [_ A / x ]_ B /\ `
       ` y e. [_ A / x ]_ C ) ) ). `
       <TR> <TD> 11:1:     <TD> ` |- (. A e. V ->. ( [. A / x ]. ( w e. B /\ `
       ` y e. C ) <-> ( [. A / x ]. w e. B /\ [. A / x ]. y e. C ) ) ). `
       <TR> <TD> 12:10,11: <TD> ` |- (. A e. V ->. ( [. A / x ]. ( w e. B /\ `
       ` y e. C ) <-> ( w e. [_ A / x ]_ B /\ y e. [_ A / x ]_ C ) ) ). `
       <TR> <TD> 13:1:     <TD> ` |- (. A e. V ->. ( [. A / x ]. z = <. w ,. `
       ` y >. <-> z = <. w , y >. ) ). `
       <TR> <TD> 14:12,13: <TD> ` |- (. A e. V ->. ( ( [. A / x ]. z = <. w `
       ` ,. y >. /\ [. A / x ]. ( w e. B /\ y e. C ) ) <-> ( z = <. w , y >. `
       ` /\ ( w e. [_ A / x ]_ B /\ y e. [_ A / x ]_ C ) ) ) ). `
       <TR> <TD> 15:1:     <TD> ` |- (. A e. V ->. ( [. A / x ]. ( z = <. w `
       ` ,. y >. /\ ( w e. B /\ y e. C ) ) <-> ( [. A / x ]. z = <. w , y >. `
       ` /\ [. A / x ]. ( w e. B /\ y e. C ) ) ) ). `
       <TR> <TD> 16:14,15: <TD> ` |- (. A e. V ->. ( [. A / x ]. ( z = <. w `
       ` ,. y >. /\ ( w e. B /\ y e. C ) ) <-> ( z = <. w , y >. /\ `
       ` ( w e. [_ A / x ]_ B /\ y e. [_ A / x ]_ C ) ) ) ). `
       <TR> <TD> 17:16:    <TD> ` |- (. A e. V ->. A. y ( [. A / x ]. ( z = `
       ` <. w , y >. /\ ( w e. B /\ y e. C ) ) <-> ( z = <. w , y >. /\ `
       ` ( w e. [_ A / x ]_ B /\ y e. [_ A / x ]_ C ) ) ) ). `
       <TR> <TD> 18:17:    <TD> ` |- (. A e. V ->. ( E. y [. A / x ]. ( z = `
       ` <. w , y >. /\ ( w e. B /\ y e. C ) ) <-> E. y ( z = <. w , y >. /\ `
       ` ( w e. [_ A / x ]_ B /\ y e. [_ A / x ]_ C ) ) ) ). `
       <TR> <TD> 19:1:     <TD> ` |- (. A e. V ->. ( [. A / x ]. E. y ( z = `
       ` <. w , y >. /\ ( w e. B /\ y e. C ) ) <-> E. y [. A / x ]. ( z = `
       ` <. w , y >. /\ ( w e. B /\ y e. C ) ) ) ). `
       <TR> <TD> 20:18,19: <TD> ` |- (. A e. V ->. ( [. A / x ]. E. y ( z = `
       ` <. w , y >. /\ ( w e. B /\ y e. C ) ) <-> E. y ( z = <. w , y >. /\ `
       ` ( w e. [_ A / x ]_ B /\ y e. [_ A / x ]_ C ) ) ) ). `
       <TR> <TD> 21:20:    <TD> ` |- (. A e. V ->. A. w ( [. A / x ]. E. y ( `
       ` z = <. w , y >. /\ ( w e. B /\ y e. C ) ) <-> E. y ( z = `
       ` <. w , y >. /\ ( w e. [_ A / x ]_ B /\ y e. [_ A / x ]_ C ) ) ) ). `
       <TR> <TD> 22:21:    <TD> ` |- (. A e. V ->. ( E. w [. A / x ]. E. y ( `
       ` z = <. w , y >. /\ ( w e. B /\ y e. C ) ) <-> E. w E. y ( z = `
       ` <. w , y >. /\ ( w e. [_ A / x ]_ B /\ y e. [_ A / x ]_ C ) ) ) ). `
       <TR> <TD> 23:1:     <TD> ` |- (. A e. V ->. ( [. A / x ]. E. w E. y ( `
       ` z = <. w , y >. /\ ( w e. B /\ y e. C ) ) <-> E. w [. A / x ]. E. y `
       ` ( z = <. w , y >. /\ ( w e. B /\ y e. C ) ) ) ). `
       <TR> <TD> 24:22,23: <TD> ` |- (. A e. V ->. ( [. A / x ]. E. w E. y ( `
       ` z = <. w , y >. /\ ( w e. B /\ y e. C ) ) <-> E. w E. y ( z = `
       ` <. w , y >. /\ ( w e. [_ A / x ]_ B /\ y e. [_ A / x ]_ C ) ) ) ). `
       <TR> <TD> 25:24:    <TD> ` |- (. A e. V ->. A. z ( [. A / x ]. E. w E. `
       ` y ( z = <. w , y >. /\ ( w e. B /\ y e. C ) ) <-> E. w E. y ( z = `
       ` <. w , y >. /\ ( w e. [_ A / x ]_ B /\ y e. [_ A / x ]_ C ) ) ) ). `
       <TR> <TD> 26:25:    <TD> ` |- (. A e. V ->. { z | [. A / x ]. E. w E. `
       ` y ( z = <. w , y >. /\ ( w e. B /\ y e. C ) ) } = { z | E. w E. y ( `
       ` z = <. w , y >. /\ ( w e. [_ A / x ]_ B /\ y e. [_ A / x ]_ C ) ) } `
       ` ). `
       <TR> <TD> 27:1:     <TD> ` |- (. A e. V ->. [_ A / x ]_ { z |  E. w E. `
       ` y ( z = <. w , y >. /\ ( w e. B /\ y e. C ) ) } = { z | [. A / x ]. `
       ` E. w E. y ( z = <. w , y >. /\ ( w e. B /\ y e. C ) ) } ). `
       <TR> <TD> 28:26,27: <TD> ` |- (. A e. V ->. [_ A / x ]_ { z |  E. w E. `
       ` y ( z = <. w , y >. /\ ( w e. B /\ y e. C ) ) } = { z | E. w E. y ( `
       ` z = <. w , y >. /\ ( w e. [_ A / x ]_ B /\ y e. [_ A / x ]_ C ) ) } `
       ` ). `
       <TR> <TD> 29::      <TD> ` |- { <. w ,. y >. | ( w e. B /\ y e. C ) } `
       ` = { z |  E. w E. y ( z = <. w , y >. /\ ( w e. B /\ y e. C ) ) } `
       <TR> <TD> 30::      <TD> ` |- ( B X. C ) = { <. w ,. y >. | ( w e. B `
       ` /\ y e. C ) } `
       <TR> <TD> 31:29,30: <TD> ` |- ( B X. C ) = { z |  E. w E. y ( z = <. w `
       ` , y >. /\ ( w e. B /\ y e. C ) ) } `
       <TR> <TD> 32:31:    <TD> ` |- A. x ( B X. C ) = { z |  E. w E. y ( z = `
       ` <. w , y >. /\ ( w e. B /\ y e. C ) ) } `
       <TR> <TD> 33:1,32:  <TD> ` |- (. A e. V ->.  [_ A / x ]_ ( B X. C ) = `
       ` [_ A / x ]_ { z |  E. w E. y ( z = <. w , y >. /\ ( w e. B /\ `
       ` y e. C ) ) } ). `
       <TR> <TD> 34:28,33: <TD> ` |- (. A e. V ->.  [_ A / x ]_ ( B X. C ) = `
       ` { z | E. w E. y ( z = <. w , y >. /\ ( w e. [_ A / x ]_ B /\ `
       ` y e. [_ A / x ]_ C ) ) } ). `
       <TR> <TD> 35::      <TD> ` |- { <. w ,. y >. | ( w e. [_ A / x ]_ B /\ `
       ` y e. [_ A / x ]_ C ) } = { z | E. w E. y ( z = <. w , y >. /\ `
       ` ( w e. [_ A / x ]_ B /\ y e. [_ A / x ]_ C ) ) } `
       <TR> <TD> 36::      <TD> ` |- ( [_ A / x ]_ B X. [_ A / x ]_ C ) = { `
       ` <. w , y >. | ( w e. [_ A / x ]_ B /\ y e. [_ A / x ]_ C ) } `
       <TR> <TD> 37:35,36: <TD> ` |- ( [_ A / x ]_ B X. [_ A / x ]_ C ) = { z `
       ` | E. w E. y ( z = <. w , y >. /\ ( w e. [_ A / x ]_ B /\ `
       ` y e. [_ A / x ]_ C ) ) } `
       <TR> <TD> 38:34,37: <TD> ` |- (. A e. V ->.  [_ A / x ]_ ( B X. C ) = `
       ` ( [_ A / x ]_ B X. [_ A / x ]_ C ) ). `
       <TR> <TD> qed:38:   <TD> ` |- ( A e. V ->  [_ A / x ]_ ( B X. C ) = ( `
       ` [_ A / x ]_ B X. [_ A / x ]_ C ) ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 10-Nov-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    csbxpgVD $p |- ( A e. V -> [_ A / x ]_ ( B X. C ) =
                                        ( [_ A / x ]_ B X. [_ A / x ]_ C ) ) $=
      ( vz vw vy wcel csb wceq wa wex wsbc wb a1i e1a bibi1 e11 biimprcd cxp cv
      cop cab wal idn1 sbcel12 csbconstg eleq1 biimprd pm4.38 sbcan sbcg expcom
      ex gen11 exbi sbcex2 biimpi csbab eqeq2 biimpd copab df-xp df-opab ax-gen
      abbi eqtri wi csbeq2 e10 in1 ) BEIZABCDUAZJZABCJZABDJZUAZKZVMVOFUBGUBZHUB
      ZUCKZVTVPIZWAVQIZLZLZHMZGMZFUDZKZVRWIKZVSVMABWBVTCIZWADIZLZLZHMZGMZFUDZJZ
      WIKZVOWSKZWJVMWQABNZFUDZWIKZWSXCKZWTVMXBWHOZFUEZXDVMXFFVMWPABNZGMZWHOZXBX
      IOZXFVMXHWGOZGUEXJVMXLGVMWOABNZHMZWGOZXHXNOZXLVMXMWFOZHUEXOVMXQHVMWBABNZW
      NABNZLZWFOZXMXTOZXQVMXSWEOZXRWBOZYAVMWLABNZWMABNZLZWEOZXSYGOZYCVMYEWCOZYF
      WDOZYHVMYEABVTJZVPIZOZYMWCOZYJVMVMYNVMUFZYNVMABVTCUGPQVMYLVTKZYOVMVMYQYPA
      BVTEUHQYLVTVPUIQYNYJYOYEYMWCRUJSVMYFABWAJZVQIZOZYSWDOZYKVMVMYTYPYTVMABWAD
      UGPQVMYRWAKZUUAVMVMUUBYPABWAEUHQYRWAVQUIQYTYKUUAYFYSWDRUJSYJYKYHYEYFWCWDU
      KUOSVMVMYIYPYIVMWLWMABULPQYIYCYHXSYGWERTSVMVMYDYPWBABEUMQYDYCYAXRXSWBWEUK
      UNSVMVMYBYPYBVMWBWNABULPQYBXQYAXMXTWFRTSUPXMWFHUQQVMVMXPYPXPVMWOHABURPQXP
      XLXOXHXNWGRTSUPXHWGGUQQVMVMXKYPXKVMWPGABURPQXKXFXJXBXIWHRTSUPXGXDXBWHFVGU
      SQVMVMXEYPXEVMWQAFBUTPQXDXEWTXCWIWSVAVBSVMVMVNWRKZAUEZXAYPUUCAVNWNGHVCWRG
      HCDVDWNGHFVEVHVFUUDXAVIVMABVNWRVJPVKWTXAWJWSWIVOVAVBSVRWEGHVCWIGHVPVQVDWE
      GHFVEVHWKVSWJVRWIVOVATVKVL $.
  $}

  $( Virtual deduction proof of ~ csbres .
     The following User's Proof is a Virtual Deduction proof completed
     automatically by the tools program completeusersproof.cmd, which invokes
     Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
     ~ csbres is ~ csbresgVD without virtual deductions and was
     automatically derived from ~ csbresgVD .
     <HTML> <TABLE>
     <TR> <TD> 1::       <TD> ` |- (. A e. V ->. A e. V ). `
     <TR> <TD> 2:1:      <TD> ` |- (. A e. V ->. [_ A / x ]_  _V = _V ). `
     <TR> <TD> 3:2:      <TD> ` |- (. A e. V ->. ( [_ A / x ]_ C X. [_ A / `
     ` x ]_  _V ) = ( [_ A / x ]_ C X. _V ) ). `
     <TR> <TD> 4:1:      <TD> ` |- (. A e. V ->. [_ A / x ]_ ( C X. _V ) = `
     ` ( [_ A / x ]_ C X. [_ A / x ]_  _V ) ). `
     <TR> <TD> 5:3,4:    <TD> ` |- (. A e. V ->. [_ A / x ]_ ( C X. _V ) = `
     ` ( [_ A / x ]_ C X. _V ) ). `
     <TR> <TD> 6:5:      <TD> ` |- (. A e. V ->. ( [_ A / x ]_ B i^i [_ A / `
     ` x ]_ ( C X. _V ) ) = `
     ` ( [_ A / x ]_ B i^i ( [_ A / x ]_ C X. _V ) ) ). `
     <TR> <TD> 7:1:      <TD> ` |- (. A e. V ->. [_ A / x ]_ ( B i^i ( C X. `
     ` _V ) ) = ( [_ A / x ]_ B i^i [_ A / x ]_ ( C X. _V ) ) ). `
     <TR> <TD> 8:6,7:    <TD> ` |- (. A e. V ->. [_ A / x ]_ ( B i^i ( C X. `
     ` _V ) ) = ( [_ A / x ]_ B i^i ( [_ A / x ]_ C X. _V ) ) ). `
     <TR> <TD> 9::       <TD> ` |- ( B |`` C ) = ( B i^i ( C X. _V ) ) `
     <TR> <TD> 10:9:     <TD> ` |- A. x ( B |`` C ) = ( B i^i ( C X. _V ) ) `
     <TR> <TD> 11:1,10:  <TD> ` |- (. A e. V ->. [_ A / x ]_ ( B |`` C ) = `
     ` [_ A / x ]_ ( B i^i ( C X. _V ) ) ). `
     <TR> <TD> 12:8,11:  <TD> ` |- (. A e. V ->. [_ A / x ]_ ( B |`` C ) `
     ` = ( `
     ` [_ A / x ]_ B i^i ( [_ A / x ]_ C X. _V ) ) ). `
     <TR> <TD> 13::      <TD> ` |- ( [_ A / x ]_ B |`` [_ A / x ]_ C ) = ( `
     ` [_ A / x ]_ B i^i ( [_ A / x ]_ C X. _V ) ) `
     <TR> <TD> 14:12,13: <TD> ` |- (. A e. V ->. [_ A / x ]_ ( B |`` C ) = `
     ` ( `
     ` [_ A / x ]_ B |`` [_ A / x ]_ C ) ). `
     <TR> <TD> qed:14:   <TD> ` |- ( A e. V -> [_ A / x ]_ ( B |`` C ) = ( `
     ` [_ A / x ]_ B |`` [_ A / x ]_ C ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 10-Nov-2012.)  (Proof modification is
     discouraged.)  (New usage is discouraged.) $)
  csbresgVD $p |- ( A e. V -> [_ A / x ]_ ( B |` C ) =
                                        ( [_ A / x ]_ B |` [_ A / x ]_ C ) ) $=
    ( wcel cres csb wceq cvv cxp cin idn1 e1a a1i eqeq2 biimpd e11 df-res e10
    csbconstg xpeq2 csbxp ineq2 csbin wal ax-gen wi csbeq2 biimprcd in1 ) BEFZA
    BCDGZHZABCHZABDHZGZIZULUNUOUPJKZLZIZUQUTIZURULABCDJKZLZHZUTIZUNVEIZVAULUOAB
    VCHZLZUTIZVEVIIZVFULVHUSIZVJULUPABJHZKZUSIZVHVNIZVLULVMJIZVOULULVQULMZABJEU
    ANVMJUPUBNULULVPVRVPULABDJUCONVOVPVLVNUSVHPQRVHUSUOUDNULULVKVRVKULABCVCUEON
    VJVKVFVIUTVEPQRULULUMVDIZAUFZVGVRVSACDSUGVTVGUHULABUMVDUIOTVFVGVAVEUTUNPQRU
    OUPSVBURVAUQUTUNPUJTUK $.

  ${
    $d A w y $.  $d B w y $.  $d V w y $.  $d x w y $.
    $( Virtual deduction proof of ~ csbrn .
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ csbrn is ~ csbrngVD without virtual deductions and was
       automatically derived from ~ csbrngVD .
       <HTML> <TABLE>
       <TR> <TD> 1::       <TD> ` |- (. A e. V ->. A e. V ). `
       <TR> <TD> 2:1:      <TD> ` |- (. A e. V ->. ( [. A / x ]. <. w ,. y >. `
       ` e. B <-> [_ A / x ]_ <. w , y >. e. [_ A / x ]_ B ) ). `
       <TR> <TD> 3:1:      <TD> ` |- (. A e. V ->. [_ A / x ]_ <. w ,. y >. = `
       ` <. w , y >. ). `
       <TR> <TD> 4:3:      <TD> ` |- (. A e. V ->. ( [_ A / x ]_ <. w ,. y >. `
       ` e. [_ A / x ]_ B <->  <. w , y >. e. [_ A / x ]_ B ) ). `
       <TR> <TD> 5:2,4:    <TD> ` |- (. A e. V ->. ( [. A / x ]. <. w ,. y >. `
       ` e. B <-> <. w , y >. e. [_ A / x ]_ B ) ). `
       <TR> <TD> 6:5:      <TD> ` |- (. A e. V ->. A. w ( [. A / x ]. <. w ,. `
       ` y >. e. B <-> <. w , y >. e. [_ A / x ]_ B ) ). `
       <TR> <TD> 7:6:      <TD> ` |- (. A e. V ->. ( E. w [. A / x ]. <. w ,. `
       ` y >. e. B <-> E. w <. w , y >. e. [_ A / x ]_ B ) ). `
       <TR> <TD> 8:1:      <TD> ` |- (. A e. V ->. ( E. w [. A / x ]. <. w ,. `
       ` y >. e. B <-> [. A / x ]. E. w  <. w , y >. e. B ) ). `
       <TR> <TD> 9:7,8:    <TD> ` |- (. A e. V ->. ( [. A / x ]. E. w  <. w `
       ` ,. y >. e. B <-> E. w <. w , y >. e. [_ A / x ]_ B ) ). `
       <TR> <TD> 10:9:     <TD> ` |- (. A e. V ->. A. y ( [. A / x ]. E. w `
       `  <. w , y >. e. B <-> E. w <. w , y >. e. [_ A / x ]_ B ) ). `
       <TR> <TD> 11:10:    <TD> ` |- (. A e. V ->. { y | [. A / x ]. E. w  <. `
       ` w , y >. e. B } = { y | E. w <. w , y >. e. [_ A / x ]_ B } ). `
       <TR> <TD> 12:1:     <TD> ` |- (. A e. V ->. [_ A / x ]_ { y |  E. w `
       ` <. w , y >. e. B } = { y | [. A / x ]. E. w  <. w , y >. e. B } ). `
       <TR> <TD> 13:11,12: <TD> ` |- (. A e. V ->. [_ A / x ]_ { y |  E. w `
       ` <. w , y >. e. B } = { y | E. w <. w , y >. e. [_ A / x ]_ B } ). `
       <TR> <TD> 14::      <TD> ` |- ran B = { y |  E. w  <. w ,. y >. e. B } `
       <TR> <TD> 15:14:    <TD> ` |- A. x ran B = { y |  E. w  <. w ,. y >. `
       ` e. B } `
       <TR> <TD> 16:1,15:  <TD> ` |- (. A e. V ->. [_ A / x ]_ ran B = [_ A / `
       ` x ]_ { y |  E. w  <. w , y >. e. B } ). `
       <TR> <TD> 17:13,16: <TD> ` |- (. A e. V ->. [_ A / x ]_ ran B = { y | `
       ` E. w <. w , y >. e. [_ A / x ]_ B } ). `
       <TR> <TD> 18::      <TD> ` |- ran [_ A / x ]_ B = { y |  E. w  <. w `
       ` ,. y >. e. [_ A / x ]_ B } `
       <TR> <TD> 19:17,18: <TD> ` |- (. A e. V ->. [_ A / x ]_ ran B = ran [_ `
       ` A / x ]_ B ). `
       <TR> <TD> qed:19:   <TD> ` |- ( A e. V -> [_ A / x ]_ ran B = ran [_ A `
       ` / x ]_ B ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 10-Nov-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    csbrngVD $p |- ( A e. V -> [_ A / x ]_ ran B = ran [_ A / x ]_ B ) $=
      ( vw vy wcel crn csb wceq cv wex cab wsbc wb wal a1i e1a e11 eqeq2 sbcex2
      cop idn1 sbcel12 csbconstg eleq1 bibi1 gen11 exbi bicomd bitr3 com12 abbi
      biimprd biimpi csbab biimpd dfrn3 ax-gen wi csbeq2 e10 biimprcd in1 ) BDG
      ZABCHZIZABCIZHZJZVEVGEKFKUBZVHGZELZFMZJZVIVNJZVJVEABVKCGZELZFMZIZVNJZVGVT
      JZVOVEVRABNZFMZVNJZVTWDJZWAVEWCVMOZFPZWEVEWGFVEVQABNZELZVMOZWJWCOZWGVEWIV
      LOZEPWKVEWMEVEWIABVKIZVHGZOZWOVLOZWMVEVEWPVEUCZWPVEABVKCUDQRVEWNVKJZWQVEV
      EWSWRABVKDUERWNVKVHUFRWPWMWQWIWOVLUGUNSUHWIVLEUIRVEVEWLWRVEWCWJWCWJOVEVQE
      ABUAQUJRWLWKWGWJWCVMUKULSUHWHWEWCVMFUMUORVEVEWFWRWFVEVRAFBUPQRWEWFWAWDVNV
      TTUQSVEVEVFVSJZAPZWBWRWTAEFCURUSXAWBUTVEABVFVSVAQVBWAWBVOVTVNVGTUQSEFVHUR
      VPVJVOVIVNVGTVCVBVD $.
  $}

  $( Virtual deduction proof of ~ csbima12 .
     The following User's Proof is a Virtual Deduction proof completed
     automatically by the tools program completeusersproof.cmd, which invokes
     Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
     ~ csbima12 is ~ csbima12gALTVD without virtual deductions and was
     automatically derived from ~ csbima12gALTVD .
     <HTML> <TABLE>
     <TR> <TD> 1::       <TD> ` |- (. A e. C ->. A e. C ). `
     <TR> <TD> 2:1:      <TD> ` |- (. A e. C ->. [_ A / x ]_ ( F |`` B ) = `
     ` ( `
     ` [_ A / x ]_ F |`` [_ A / x ]_ B ) ). `
     <TR> <TD> 3:2:      <TD> ` |- (. A e. C ->. `
     ` ran [_ A / x ]_ ( F |`` B ) `
     ` = ran ( [_ A / x ]_ F |`` [_ A / x ]_ B ) ). `
     <TR> <TD> 4:1:      <TD> ` |- (. A e. C ->. `
     ` [_ A / x ]_ ran ( F |`` B ) `
     ` = ran [_ A / x ]_ ( F |`` B ) ). `
     <TR> <TD> 5:3,4:    <TD> ` |- (. A e. C ->. `
     ` [_ A / x ]_ ran ( F |`` B ) `
     ` = ran ( [_ A / x ]_ F |`` [_ A / x ]_ B ) ). `
     <TR> <TD> 6::       <TD> ` |- ( F " B ) = ran ( F |`` B ) `
     <TR> <TD> 7:6:      <TD> ` |- A. x ( F " B ) = ran ( F |`` B ) `
     <TR> <TD> 8:1,7:    <TD> ` |- (. A e. C ->. [_ A / x ]_ ( F " B ) = [_ `
     ` A / x ]_ ran ( F |`` B ) ). `
     <TR> <TD> 9:5,8:    <TD> ` |- (. A e. C ->. [_ A / x ]_ ( F " B ) = `
     ` ran ( [_ A / x ]_ F |`` [_ A / x ]_ B ) ). `
     <TR> <TD> 10::      <TD> ` |- ( [_ A / x ]_ F " [_ A / x ]_ B ) = ran `
     ` ( [_ A / x ]_ F |`` [_ A / x ]_ B ) `
     <TR> <TD> 11:9,10:  <TD> ` |- (. A e. C ->. [_ A / x ]_ ( F " B ) = ( `
     ` [_ A / x ]_ F " [_ A / x ]_ B ) ). `
     <TR> <TD> qed:11:   <TD> ` |- ( A e. C -> [_ A / x ]_ ( F " B ) = ( [_ `
     ` A / x ]_ F " [_ A / x ]_ B ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 10-Nov-2012.)  (Proof modification is
     discouraged.)  (New usage is discouraged.) $)
  csbima12gALTVD $p |- ( A e. C -> [_ A / x ]_ ( F " B ) =
                                         ( [_ A / x ]_ F " [_ A / x ]_ B ) ) $=
    ( wcel cima csb wceq cres crn idn1 csbres a1i e1a eqeq2 biimpd e11 df-ima
    e10 rneq csbrn wal ax-gen wi csbeq2 biimprcd in1 ) BDFZABECGZHZABEHZABCHZGZ
    IZUIUKULUMJZKZIZUNUQIZUOUIABECJZKZHZUQIZUKVBIZURUIABUTHZKZUQIZVBVFIZVCUIVEU
    PIZVGUIUIVIUILZVIUIABECMNOVEUPUAOUIUIVHVJVHUIABUTUBNOVGVHVCVFUQVBPQRUIUIUJV
    AIZAUCZVDVJVKAECSUDVLVDUEUIABUJVAUFNTVCVDURVBUQUKPQRULUMSUSUOURUNUQUKPUGTUH
    $.

  ${
    $d A y z $.  $d B y z $.  $d V y z $.  $d x y z $.
    $( Virtual deduction proof of ~ csbuni .
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ csbuni is ~ csbunigVD without virtual deductions and was
       automatically derived from ~ csbunigVD .
       <HTML> <TABLE>
       <TR> <TD> 1::       <TD> ` |- (. A e. V ->. A e. V ). `
       <TR> <TD> 2:1:      <TD> ` |- (. A e. V ->. ( [. A / x ]. z e. y <-> z `
       ` e. y ) ). `
       <TR> <TD> 3:1:      <TD> ` |- (. A e. V ->. ( [. A / x ]. y e. B <-> y `
       ` e. [_ A / x ]_ B ) ). `
       <TR> <TD> 4:2,3:    <TD> ` |- (. A e. V ->. ( ( [. A / x ]. z e. y /\ `
       ` [. A / x ]. y e. B ) <-> ( z e. y /\ y e. [_ A / x ]_ B ) ) ). `
       <TR> <TD> 5:1:      <TD> ` |- (. A e. V ->. ( [. A / x ]. ( z e. y /\ `
       ` y e. B ) <-> ( [. A / x ]. z e. y /\ [. A / x ]. y e. B ) ) ). `
       <TR> <TD> 6:4,5:    <TD> ` |- (. A e. V ->. ( [. A / x ]. ( z e. y /\ `
       ` y e. B ) <-> ( z e. y /\ y e. [_ A / x ]_ B ) ) ). `
       <TR> <TD> 7:6:      <TD> ` |- (. A e. V ->. A. y ( [. A / x ]. ( z e. `
       ` y /\ y e. B ) <-> ( z e. y /\ y e. [_ A / x ]_ B ) ) ). `
       <TR> <TD> 8:7:      <TD> ` |- (. A e. V ->. ( E. y [. A / x ]. ( z e. `
       ` y /\ y e. B ) <-> E. y ( z e. y /\ y e. [_ A / x ]_ B ) ) ). `
       <TR> <TD> 9:1:      <TD> ` |- (. A e. V ->. ( [. A / x ]. E. y ( z e. `
       ` y /\ y e. B ) <-> E. y [. A / x ]. ( z e. y /\ y e. B ) ) ). `
       <TR> <TD> 10:8,9:   <TD> ` |- (. A e. V ->. ( [. A / x ]. E. y ( z e. `
       ` y /\ y e. B ) <-> E. y ( z e. y /\ y e. [_ A / x ]_ B ) ) ). `
       <TR> <TD> 11:10:    <TD> ` |- (. A e. V ->. A. z ( [. A / x ]. E. y ( `
       ` z e. y /\ y e. B ) <-> E. y ( z e. y /\ y e. [_ A / x ]_ B ) ) ). `
       <TR> <TD> 12:11:    <TD> ` |- (. A e. V ->. { z | [. A / x ]. E. y ( `
       ` z e. y /\ y e. B ) } = { z | E. y ( z e. y /\ `
       ` y e. [_ A / x ]_ B ) } ). `
       <TR> <TD> 13:1:     <TD> ` |- (. A e. V ->. [_ A / x ]_ { z | E. y ( z `
       ` e. y /\ y e. B ) } = { z | [. A / x ]. E. y ( z e. y /\ y e. B ) } `
       ` ). `
       <TR> <TD> 14:12,13: <TD> ` |- (. A e. V ->. [_ A / x ]_ { z | E. y ( z `
       ` e. y /\ y e. B ) } = { z | E. y ( z e. y /\ `
       ` y e. [_ A / x ]_ B ) } ). `
       <TR> <TD> 15::      <TD> ` |- U. B = { z | E. y ( z e. y /\ y e. B ) } `
       <TR> <TD> 16:15:    <TD> ` |- A. x U. B = { z | E. y ( z e. y /\ y e. `
       ` B ) } `
       <TR> <TD> 17:1,16:  <TD> ` |- (. A e. V ->. [. A / x ]. U. B = { z | `
       ` E. y ( z e. y /\ y e. B ) } ). `
       <TR> <TD> 18:1,17:  <TD> ` |- (. A e. V ->. [_ A / x ]_ U. B = [_ A / `
       ` x ]_ { z | E. y ( z e. y /\ y e. B ) } ). `
       <TR> <TD> 19:14,18: <TD> ` |- (. A e. V ->. [_ A / x ]_ U. B = { z | `
       ` E. y ( z e. y /\ y e. [_ A / x ]_ B ) } ). `
       <TR> <TD> 20::      <TD> ` |- U. [_ A / x ]_ B = { z | E. y ( z e. y `
       ` /\ y e. [_ A / x ]_ B ) } `
       <TR> <TD> 21:19,20: <TD> ` |- (. A e. V ->. [_ A / x ]_ U. B = U. [_ A `
       ` / x ]_ B ). `
       <TR> <TD> qed:21:   <TD> ` |- ( A e. V -> [_ A / x ]_ U. B = U. [_ A / `
       ` x ]_ B ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 10-Nov-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    csbunigVD $p |- ( A e. V -> [_ A / x ]_ U. B = U. [_ A / x ]_ B ) $=
      ( vz vy wcel csb wceq wa wex cab wsbc wb wal e1a a1i e11 biimprcd eqeq2
      cuni cv idn1 sbcg sbcel2 pm4.38 sbcan bibi1 gen11 exbi sbcex2 abbi biimpi
      ex csbab biimpd df-uni ax-gen spsbc e10 sbceqg in1 ) BDGZABCUAZHZABCHZUAZ
      IZVCVEEUBFUBZGZVIVFGZJZFKZELZIZVGVNIZVHVCABVJVICGZJZFKZELZHZVNIZVEWAIZVOV
      CVSABMZELZVNIZWAWEIZWBVCWDVMNZEOZWFVCWHEVCVRABMZFKZVMNZWDWKNZWHVCWJVLNZFO
      WLVCWNFVCVJABMZVQABMZJZVLNZWJWQNZWNVCWOVJNZWPVKNZWRVCVCWTVCUCZVJABDUDPVCV
      CXAXBXAVCABVICUEQPWTXAWRWOWPVJVKUFUNRVCVCWSXBWSVCVJVQABUGQPWSWNWRWJWQVLUH
      SRUIWJVLFUJPVCVCWMXBWMVCVRFABUKQPWMWHWLWDWKVMUHSRUIWIWFWDVMEULUMPVCVCWGXB
      WGVCVSAEBUOQPWFWGWBWEVNWATUPRVCVCVDVTIZABMZWCXBVCVCXCAOXDXBXCAEFCUQURXCAB
      DUSUTVCXDWCABVDVTDVAUPRWBWCVOWAVNVETUPREFVFUQVPVHVOVGVNVETSUTVB $.
  $}

  ${
    $d A y $.  $d F y $.  $d B y $.  $d C y $.  $d x y $.
    $( Virtual deduction proof of ~ csbfv12 .
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ csbfv12 is ~ csbfv12gALTVD without virtual deductions and was
       automatically derived from ~ csbfv12gALTVD .
       <HTML> <TABLE>
       <TR> <TD> 1::           <TD> ` |- (. A e. C ->. A e. C ). `
       <TR> <TD> 2:1:          <TD> ` |- (. A e. C ->. [_ A / x ]_ { y } = { `
       ` y } ). `
       <TR> <TD> 3:1:          <TD> ` |- (. A e. C ->. [_ A / x ]_ ( F " { B `
       ` } ) = ( [_ A / x ]_ F " [_ A / x ]_ { B } ) ). `
       <TR> <TD> 4:1:          <TD> ` |- (. A e. C ->. [_ A / x ]_ { B } = { `
       ` [_ A / x ]_ B } ). `
       <TR> <TD> 5:4:          <TD> ` |- (. A e. C ->. ( [_ A / x ]_ F " [_ A `
       ` / x ]_ { B } ) = ( [_ A / x ]_ F " { [_ A / x ]_ B } ) ). `
       <TR> <TD> 6:3,5:        <TD> ` |- (. A e. C ->. [_ A / x ]_ ( F " { B `
       ` } ) = ( [_ A / x ]_ F " { [_ A / x ]_ B } ) ). `
       <TR> <TD> 7:1:          <TD> ` |- (. A e. C ->. ( [. A / x ]. ( F " { `
       ` B } ) = { y } <-> [_ A / x ]_ ( F " { B } ) = [_ A / x ]_ { y } ) ). `
       <TR> <TD> 8:6,2:        <TD> ` |- (. A e. C ->. ( [_ A / x ]_ ( F " { `
       ` B } ) = [_ A / x ]_ { y } <-> ( [_ A / x ]_ F " { [_ A / x ]_ B } ) `
       ` = { y } ) ). `
       <TR> <TD> 9:7,8:        <TD> ` |- (. A e. C ->. ( [. A / x ]. ( F " { `
       ` B } ) = { y } <-> ( [_ A / x ]_ F " { [_ A / x ]_ B } ) = { y } ) `
       ` ). `
       <TR> <TD> 10:9:         <TD> ` |- (. A e. C ->. A. y ( [. A / x ]. ( F `
       ` " { B } ) = { y } <-> ( [_ A / x ]_ F " { [_ A / x ]_ B } ) = `
       ` { y } ) ). `
       <TR> <TD> 11:10:        <TD> ` |- (. A e. C ->. { y | [. A / x ]. ( F `
       ` " { B } ) = { y } } = { y | ( [_ A / x ]_ F " { [_ A / x ]_ B } ) = `
       ` { y } } ). `
       <TR> <TD> 12:1:         <TD> ` |- (. A e. C ->. [_ A / x ]_ { y | ( F `
       ` " { B } ) = { y } } = { y | [. A / x ]. ( F " { B } ) = { y } } ). `
       <TR> <TD> 13:11,12:     <TD> ` |- (. A e. C ->. [_ A / x ]_ { y | ( F `
       ` " { B } ) = { y } } = { y | ( [_ A / x ]_ F " { [_ A / x ]_ B } ) = `
       ` { y `
       ` } } ). `
       <TR> <TD> 14:13:        <TD> ` |- (. A e. C ->. U. [_ A / x ]_ { y | ( `
       ` F " { B } ) = { y } } = U. { y | ( [_ A / x ]_ F " `
       ` { [_ A / x ]_ B } ) = `
       ` { y } } ). `
       <TR> <TD> 15:1:         <TD> ` |- (. A e. C ->. [_ A / x ]_ U. { y | ( `
       ` F " { B } ) = { y } } = U. [_ A / x ]_ { y | ( F " { B } ) = `
       ` { y } } ). `
       <TR> <TD> 16:14,15:     <TD> ` |- (. A e. C ->. [_ A / x ]_ U. { y | ( `
       ` F " { B } ) = { y } } = `
       ` U. { y | ( [_ A / x ]_ F " { [_ A / x ]_ B } ) = `
       ` { y } } ). `
       <TR> <TD> 17::          <TD> ` |- ( F `` B ) = `
       ` U. { y | ( F " { B } ) = `
       ` { y } } `
       <TR> <TD> 18:17:        <TD> ` |- A. x ( F `` B ) = U. { y | ( F " { B `
       ` } ) = { y } } `
       <TR> <TD> 19:1,18:      <TD> ` |- (. A e. C ->. [_ A / x ]_ ( F `` B ) `
       ` = [_ A / x ]_ U. { y | ( F " { B } ) = { y } } ). `
       <TR> <TD> 20:16,19:     <TD> ` |- (. A e. C ->. [_ A / x ]_ ( F `` B ) `
       ` = U. { y | ( [_ A / x ]_ F " { [_ A / x ]_ B } ) = { y } } ). `
       <TR> <TD> 21::          <TD> ` |- ( [_ A / x ]_ F `` [_ A / x ]_ B ) = `
       ` U. { y | ( [_ A / x ]_ F " { [_ A / x ]_ B } ) = { y } } `
       <TR> <TD> 22:20,21:     <TD> ` |- (. A e. C ->. [_ A / x ]_ ( F `` B ) `
       ` = ( [_ A / x ]_ F `` [_ A / x ]_ B ) ). `
       <TR> <TD> qed:22:       <TD> ` |- ( A e. C -> [_ A / x ]_ ( F `` B ) = `
       ` ( [_ A / x ]_ F `` [_ A / x ]_ B ) ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 10-Nov-2012.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    csbfv12gALTVD $p |- ( A e. C -> [_ A / x ]_ ( F ` B ) =
                                         ( [_ A / x ]_ F ` [_ A / x ]_ B ) ) $=
      ( vy cfv csb wceq csn cima cab cuni wb wal e1a a1i e11 eqeq2 biimpd eqeq1
      wcel cv wsbc sbceqg csbima12 csbsng imaeq2 biimprd csbconstg eqeq12 bibi1
      idn1 ex gen11 abbi biimpi csbab unieq csbuni dffv4 ax-gen csbeq2 biimprcd
      wi e10 in1 ) BDUBZABCEGZHZABCHZABEHZGZIZVHVJVLVKJZKZFUCJZIZFLZMZIZVMVTIZV
      NVHABECJZKZVQIZFLZMZHZVTIZVJWHIZWAVHABWFHZMZVTIZWHWLIZWIVHWKVSIZWMVHWEABU
      DZFLZVSIZWKWQIZWOVHWPVRNZFOZWRVHWTFVHWPABWDHZABVQHZIZNZXDVRNZWTVHVHXEVHUM
      ZABWDVQDUEPVHXBVPIZXCVQIZXFVHXBVLABWCHZKZIZXKVPIZXHVHVHXLXGXLVHABWCEUFQPV
      HXJVOIZXMVHVHXNXGABCDUGPXJVOVLUHPXLXHXMXBXKVPUAUIRVHVHXIXGABVQDUJPXHXIXFX
      BVPXCVQUKUNRXEWTXFWPXDVRULUIRUOXAWRWPVRFUPUQPVHVHWSXGWSVHWEAFBURQPWRWSWOW
      QVSWKSTRWKVSUSPVHVHWNXGWNVHABWFUTQPWMWNWIWLVTWHSTRVHVHVIWGIZAOZWJXGXOAFCE
      VAVBXPWJVEVHABVIWGVCQVFWIWJWAWHVTVJSTRFVKVLVAWBVNWAVMVTVJSVDVFVG $.
  $}

  $( Virtual deduction proof of ~ con5 .
     The following User's Proof is a Virtual Deduction proof completed
     automatically by the tools program completeusersproof.cmd, which invokes
     Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
     ~ con5 is ~ con5VD without virtual deductions and was automatically
     derived from ~ con5VD .
     <HTML> <TABLE>
     <TR> <TD> 1::    <TD> ` |- (. ( ph <-> -. ps ) ->. ( ph <-> -. ps ) ). `
     <TR> <TD> 2:1:   <TD> ` |- (. ( ph <-> -. ps ) ->. ( -. ps -> ph ) ). `
     <TR> <TD> 3:2:   <TD> ` |- (. ( ph <-> -. ps ) ->. ( -. ph -> -. -. ps `
     ` ) ). `
     <TR> <TD> 4::    <TD> ` |- ( ps <-> -. -. ps ) `
     <TR> <TD> 5:3,4: <TD> ` |- (. ( ph <-> -. ps ) ->. ( -. ph -> ps ) ). `
     <TR> <TD> qed:5: <TD> ` |- ( ( ph <-> -. ps ) -> ( -. ph -> ps ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 21-Apr-2013.)  (Proof modification is
     discouraged.)  (New usage is discouraged.) $)
  con5VD $p |- ( ( ph <-> -. ps ) -> ( -. ph -> ps ) ) $=
    ( wn wb wi idn1 biimpr e1a con3 notnotb imbi2 biimprcd e10 in1 ) ABCZDZACZB
    EZPQOCZEZBSDZRPOAEZTPPUBPFAOGHOAIHBJUARTBSQKLMN $.

  ${
    $d ph z $.  $d u v x z $.  $d u v y z $.
    $( Virtual deduction proof of ~ relopab .
       The following User's Proof is a Virtual Deduction proof completed
       automatically by the tools program completeusersproof.cmd, which invokes
       Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
       ~ relopab is ~ relopabVD without virtual deductions and was
       automatically derived from ~ relopabVD .
       <HTML> <TABLE>
       <TR> <TD> 1::          <TD> ` |- (. y = v ->. y = v ). `
       <TR> <TD> 2:1:         <TD> ` |- (. y = v ->. <. x ,. y >. = <. x ,. v `
       ` >. ). `
       <TR> <TD> 3::          <TD> ` |- (. y = v ,. x = u ->. x = u ). `
       <TR> <TD> 4:3:         <TD> ` |- (. y = v ,. x = u ->. <. x ,. v >. = <.
       `
       ` u , v >. ). `
       <TR> <TD> 5:2,4:       <TD> ` |- (. y = v ,. x = u ->. <. x ,. y >. = <.
       `
       ` u , v >. ). `
       <TR> <TD> 6:5:         <TD> ` |- (. y = v ,. x = u ->. ( z = <. x ,. y `
       ` >. -> z = <. u , v >. ) ). `
       <TR> <TD> 7:6:         <TD> ` |- (. y = v ->. ( x = u -> ( z = <. x ,. `
       ` y >. -> z = <. u , v >. ) ) ). `
       <TR> <TD> 8:7:         <TD> ` |- ( y = v -> ( x = u -> ( z = <. x ,. y `
       ` >. -> z = <. u , v >. ) ) ) `
       <TR> <TD> 9:8:         <TD> ` |- ( E. v y = v ->  E. v ( x = u -> ( z `
       ` = <. x , y >. -> z = <. u , v >. ) ) ) `
       <TR> <TD> 90::         <TD> ` |- ( v = y <-> y = v ) `
       <TR> <TD> 91:90:       <TD> ` |- ( E. v v = y <-> E. v y = v ) `
       <TR> <TD> 92::         <TD> ` |- E. v v = y `
       <TR> <TD> 10:91,92:    <TD> ` |- E. v y = v `
       <TR> <TD> 11:9,10:     <TD> ` |- E. v ( x = u -> ( z = <. x ,. y >. -> `
       ` z = <. u , v >. ) ) `
       <TR> <TD> 12:11:       <TD> ` |- ( x = u -> E. v ( z = <. x ,. y >. -> `
       ` z = <. u , v >. ) ) `
       <TR> <TD> 13::         <TD> ` |- ( E. v ( z = <. x ,. y >. -> z = <. u `
       ` , v >. ) -> ( z = <. x , y >. -> E. v z = <. u , v >. ) ) `
       <TR> <TD> 14:12,13:    <TD> ` |- ( x = u -> ( z = <. x ,. y >. -> E. v `
       ` z = <. u , v >. ) ) `
       <TR> <TD> 15:14:       <TD> ` |- ( E. u x = u -> E. u ( z = <. x ,. y `
       ` >. -> E. v z = <. u , v >. ) ) `
       <TR> <TD> 150::        <TD> ` |- ( u = x <-> x = u ) `
       <TR> <TD> 151:150:     <TD> ` |- ( E. u u = x <-> E. u x = u ) `
       <TR> <TD> 152::        <TD> ` |- E. u u = x `
       <TR> <TD> 16:151,152:  <TD> ` |- E. u x = u `
       <TR> <TD> 17:15,16:    <TD> ` |- E. u ( z = <. x ,. y >. -> E. v z = <.
       `
       ` u , v >. ) `
       <TR> <TD> 18:17:       <TD> ` |- ( z = <. x ,. y >. -> E. u E. v z = <.
       `
       ` u , v >. ) `
       <TR> <TD> 19:18:       <TD> ` |- ( E. y z = <. x ,. y >. -> E. y E. u `
       ` E. v z = <. u , v >. ) `
       <TR> <TD> 20::         <TD> ` |- ( E. y E. u E. v z = <. u ,. v >. -> `
       ` E. u E. v z = <. u , v >. ) `
       <TR> <TD> 21:19,20:    <TD> ` |- ( E. y z = <. x ,. y >. -> E. u E. v z
       `
       ` = <. u , v >. ) `
       <TR> <TD> 22:21:       <TD> ` |- ( E. x E. y z = <. x ,. y >. -> E. x `
       ` E. u E. v z = <. u , v >. ) `
       <TR> <TD> 23::         <TD> ` |- ( E. x E. u E. v z = <. u ,. v >. -> `
       ` E. u E. v z = <. u , v >. ) `
       <TR> <TD> 24:22,23:    <TD> ` |- ( E. x E. y z = <. x ,. y >. -> E. u `
       ` E. v z = <. u , v >. ) `
       <TR> <TD> 25:24:       <TD> ` |- { z | E. x E. y z = <. x ,. y >. } C_ `
       ` { z | E. u E. v z = <. u , v >. } `
       <TR> <TD> 26::         <TD> ` |- x e. _V `
       <TR> <TD> 27::         <TD> ` |- y e. _V `
       <TR> <TD> 28:26,27:    <TD> ` |- ( x e. _V /\ y e. _V ) `
       <TR> <TD> 29:28:       <TD> ` |- ( z = <. x ,. y >. <-> ( z = <. x ,. y
       `
       ` >. /\ ( x e. _V /\ y e. _V ) ) ) `
       <TR> <TD> 30:29:       <TD> ` |- ( E. y z = <. x ,. y >. <-> E. y ( z =
       `
       ` <. x , y >. /\ ( x e. _V /\ y e. _V ) ) ) `
       <TR> <TD> 31:30:       <TD> ` |- ( E. x E. y z = <. x ,. y >. <-> E. x `
       ` E. y ( z = <. x , y >. /\ ( x e. _V /\ y e. _V ) ) ) `
       <TR> <TD> 32:31:       <TD> ` |- { z | E. x E. y z = <. x ,. y >. } = {
       `
       ` z | E. x E. y ( z = <. x , y >. /\ ( x e. _V /\ y e. _V ) ) } `
       <TR> <TD> 320:25,32:   <TD> ` |- { z | E. x E. y ( z = <. x ,. y >. /\ `
       ` ( x e. _V /\ y e. _V ) ) } C_ { z | E. u E. v z = <. u , v >. } `
       <TR> <TD> 33::         <TD> ` |- u e. _V `
       <TR> <TD> 34::         <TD> ` |- v e. _V `
       <TR> <TD> 35:33,34:    <TD> ` |- ( u e. _V /\ v e. _V ) `
       <TR> <TD> 36:35:       <TD> ` |- ( z = <. u ,. v >. <-> ( z = <. u ,. v
       `
       ` >. /\ ( u e. _V /\ v e. _V ) ) ) `
       <TR> <TD> 37:36:       <TD> ` |- ( E. v z = <. u ,. v >. <-> E. v ( z =
       `
       ` <. u , v >. /\ ( u e. _V /\ v e. _V ) ) ) `
       <TR> <TD> 38:37:       <TD> ` |- ( E. u E. v z = <. u ,. v >. <-> E. u `
       ` E. v ( z = <. u , v >. /\ ( u e. _V /\ v e. _V ) ) ) `
       <TR> <TD> 39:38:       <TD> ` |- { z | E. u E. v z = <. u ,. v >. } = {
       `
       ` z | E. u E. v ( z = <. u , v >. /\ ( u e. _V /\ v e. _V ) ) } `
       <TR> <TD> 40:320,39:   <TD> ` |- { z | E. x E. y ( z = <. x ,. y >. /\ `
       ` ( x e. _V /\ y e. _V ) ) } C_ { z | E. u E. v ( z = <. u , v >. /\ `
       ` ( u e. _V /\ v e. _V ) ) } `
       <TR> <TD> 41::         <TD> ` |- { <. x ,. y >. | ( x e. _V /\ y e. _V `
       ` ) } = { z | E. x E. y ( z = <. x , y >. /\ ( x e. _V /\ y e. _V ) ) `
       ` } `
       <TR> <TD> 42::         <TD> ` |- { <. u ,. v >. | ( u e. _V /\ v e. _V `
       ` ) } = { z | E. u E. v ( z = <. u , v >. /\ ( u e. _V /\ v e. _V ) ) `
       ` } `
       <TR> <TD> 43:40,41,42: <TD> ` |- { <. x ,. y >. | ( x e. _V /\ y e. _V `
       ` ) } C_ { <. u , v >. | ( u e. _V /\ v e. _V ) } `
       <TR> <TD> 44::         <TD> ` |- { <. u ,. v >. | ( u e. _V /\ v e. _V `
       ` ) } = ( _V X. _V ) `
       <TR> <TD> 45:43,44:    <TD> ` |- { <. x ,. y >. | ( x e. _V /\ y e. _V `
       ` ) } C_ ( _V X. _V ) `
       <TR> <TD> 46:28:       <TD> ` |- ( ph -> ( x e. _V /\ y e. _V ) ) `
       <TR> <TD> 47:46:       <TD> ` |- { <. x ,. y >. | ph } C_ { <. x ,. y >.
       `
       ` | ( x e. _V /\ y e. _V ) } `
       <TR> <TD> 48:45,47:    <TD> ` |- { <. x ,. y >. | ph } C_ ( _V X. _V ) `
       <TR> <TD> qed:48:      <TD> ` |- Rel { <. x ,. y >. | ph } `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 9-Jul-2013.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    relopabVD $p |- Rel { <. x , y >. | ph } $=
      ( vu vv vz copab cvv cv wcel wa vex cop wceq wex cab exbii eximi biimpi
      wi cxp wss wrel pm3.2i a1i ssopab2i biantru abbii ax6ev equcom mpbi opeq2
      idn1 e1a idn2 opeq1 eqeq1 biimprd e12 eqeq2 biimpd in2 in1 19.37iv 19.37v
      e2 ax-mp 19.9v ss2abi eqsstrri sseqtri df-opab 3sstr4i df-xp eqcomi sstri
      syl df-rel biimpri e0a ) ABCGZHHUAZUBZWAUCZWABIZHJZCIZHJZKZBCGZWBAWIBCWIA
      WFWHBLCLUDZUEUFWJDIZHJZEIZHJZKZDEGZWBFIZWEWGMZNZWIKZCOZBOZFPZWRWLWNMZNZWP
      KZEOZDOZFPZWJWQXDXFEOZDOZFPZXJXDWTCOZBOZFPXMXOXCFXNXBBWTXACWIWTWKUGQQUHXO
      XLFXOXLBOZXLXNXLBXNXLCOZXLWTXLCWTXKDWEWLNZDOZWTXKTZDOWLWENZDOXSDBUIYAXRDD
      BUJQUKXRXTDXRWTXFTZEOZXTXRYBEWGWNNZEOZXRYBTZEOWNWGNZEOYEECUIYGYDEECUJQUKY
      DYFEYDYFYDXRYBYDXRWSXENZYBYDWSWEWNMZNZXRYIXENZYHYDYDYJYDUMWGWNWEULUNYDXRX
      RYKYDXRUOWEWLWNUPVFYJYHYKWSYIXEUQURUSYHWTXFWSXEWRUTVAVFVBVCRVGVDYCXTWTXFE
      VESVQRVGVDRXQXLXLCVHSVQRXPXLXLBVHSVQVIVJXLXIFXKXHDXFXGEWPXFWMWODLELUDUGQQ
      UHVKWIBCFVLWPDEFVLVMWBWQDEHHVNVOVKVPWDWCWAVRVSVT $.
  $}

  $( Virtual deduction proof of ~ 19.41rg .
     The following User's Proof is a Virtual Deduction proof completed
     automatically by the tools program completeusersproof.cmd, which invokes
     Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.  ~ 19.41rg
     is ~ 19.41rgVD without virtual deductions and was automatically derived
     from ~ 19.41rgVD .  (Contributed by Alan Sare, 8-Feb-2014.)
     (Proof modification is discouraged.)  (New usage is discouraged.)
     <HTML> <TABLE>
     <TR> <TD> 1::       <TD> ` |- ( ps -> ( ph -> ( ph /\ ps ) ) ) `
     <TR> <TD> 2:1:      <TD> ` |- ( ( ps -> A. x ps ) -> ( ps -> ( ph -> ( `
     ` ph /\ ps ) ) ) ) `
     <TR> <TD> 3:2:      <TD> ` |- A. x ( ( ps -> A. x ps ) -> ( ps -> ( ph `
     ` -> ( ph /\ ps ) ) ) ) `
     <TR> <TD> 4:3:      <TD> ` |- ( A. x ( ps -> A. x ps ) -> ( A. x ps -> `
     ` A. x ( ph -> ( ph /\ ps ) ) ) ) `
     <TR> <TD> 5::       <TD> ` |- (. A. x ( ps -> A. x ps ) ->. A. x ( ps `
     ` -> A. x ps ) ). `
     <TR> <TD> 6:4,5:    <TD> ` |- (. A. x ( ps -> A. x ps ) ->. ( A. x ps `
     ` -> A. x ( ph -> ( ph /\ ps ) ) ) ). `
     <TR> <TD> 7::       <TD> ` |- (. A. x ( ps -> A. x ps ) ,. A. x ps ->. `
     ` A. x ps ). `
     <TR> <TD> 8:6,7:    <TD> ` |- (. A. x ( ps -> A. x ps ) ,. A. x ps ->. `
     ` A. x ( ph -> ( ph /\ ps ) ) ). `
     <TR> <TD> 9:8:      <TD> ` |- (. A. x ( ps -> A. x ps ) ,. A. x ps ->. `
     ` ( E. x ph -> E. x ( ph /\ ps ) ) ). `
     <TR> <TD> 10:9:     <TD> ` |- (. A. x ( ps -> A. x ps ) ->. ( A. x ps `
     ` -> ( E. x ph -> E. x ( ph /\ ps ) ) ) ). `
     <TR> <TD> 11:5:     <TD> ` |- (. A. x ( ps -> A. x ps ) ->. ( ps -> A. `
     ` x ps ) ). `
     <TR> <TD> 12:10,11: <TD> ` |- (. A. x ( ps -> A. x ps ) ->. ( ps -> ( `
     ` E. x ph -> E. x ( ph /\ ps ) ) ) ). `
     <TR> <TD> 13:12:    <TD> ` |- (. A. x ( ps -> A. x ps ) ->. ( E. x ph `
     ` -> ( ps -> E. x ( ph /\ ps ) ) ) ). `
     <TR> <TD> 14:13:    <TD> ` |- (. A. x ( ps -> A. x ps ) ->. ( ( E. x `
     ` ph /\ ps ) -> E. x ( ph /\ ps ) ) ). `
     <TR> <TD> qed:14:   <TD> ` |- ( A. x ( ps -> A. x ps ) -> ( ( E. x ph `
     ` /\ ps ) -> E. x ( ph /\ ps ) ) ) `
     </TABLE> </HTML> $)
  19.41rgVD $p |- ( A. x ( ps -> A. x ps ) ->
                                ( ( E. x ph /\ ps ) -> E. x ( ph /\ ps ) ) ) $=
    ( wal wi wex wa idn1 pm3.2 com12 a1i ax-gen al2im e0a e1a idn2 id e12 exim
    e2 in2 sp imim2 e11 pm2.04 pm3.31 in1 ) BBCDZEZCDZACFZBGABGZCFZEZUJUKBUMEEZ
    UNUJBUKUMEZEZUOUJUHUPEUIUQUJUHUPUJUHAULEZCDZUPUJUHUSEZUHUHUSUJUJUTUJHZUIBUR
    EZEZCDUJUTEVCCVBUIABULABIJKLUIBURCMNOUJUHPUTQRAULCSTUAUJUJUIVAUICUBOUHUPBUC
    UDBUKUMUEOUKBUMUFOUG $.

  $( Virtual deduction proof of ~ 2pm13.193 .
     The following User's Proof is a Virtual Deduction proof completed
     automatically by the tools program completeusersproof.cmd, which invokes
     Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.
     ~ 2pm13.193 is ~ 2pm13.193VD without virtual deductions and was
     automatically derived from ~ 2pm13.193VD .  (Contributed by Alan Sare,
     8-Feb-2014.)
     (Proof modification is discouraged.)  (New usage is discouraged.)
     <HTML> <TABLE>
     <TR> <TD> 1::        <TD> ` |- (. ( ( x = u /\ y = v ) /\ [ u / x ] [ `
     ` v / y ] ph ) ->. ( ( x = u /\ y = v ) /\ [ u / x ] [ v / y ] ph ) ). `
     <TR> <TD> 2:1:       <TD> ` |- (. ( ( x = u /\ y = v ) /\ [ u / x ] [ `
     ` v / y ] ph ) ->. ( x = u /\ y = v ) ). `
     <TR> <TD> 3:2:       <TD> ` |- (. ( ( x = u /\ y = v ) /\ [ u / x ] [ `
     ` v / y ] ph ) ->. x = u ). `
     <TR> <TD> 4:1:       <TD> ` |- (. ( ( x = u /\ y = v ) /\ [ u / x ] [ `
     ` v / y ] ph ) ->. [ u / x ] [ v / y ] ph ). `
     <TR> <TD> 5:3,4:     <TD> ` |- (. ( ( x = u /\ y = v ) /\ [ u / x ] [ `
     ` v / y ] ph ) ->. ( [ u / x ] [ v / y ] ph /\ x = u ) ). `
     <TR> <TD> 6:5:       <TD> ` |- (. ( ( x = u /\ y = v ) /\ [ u / x ] [ `
     ` v / y ] ph ) ->. ( [ v / y ] ph /\ x = u ) ). `
     <TR> <TD> 7:6:       <TD> ` |- (. ( ( x = u /\ y = v ) /\ [ u / x ] [ `
     ` v / y ] ph ) ->. [ v / y ] ph ). `
     <TR> <TD> 8:2:       <TD> ` |- (. ( ( x = u /\ y = v ) /\ [ u / x ] [ `
     ` v / y ] ph ) ->. y = v ). `
     <TR> <TD> 9:7,8:     <TD> ` |- (. ( ( x = u /\ y = v ) /\ [ u / x ] [ `
     ` v / y ] ph ) ->. ( [ v / y ] ph /\ y = v ) ). `
     <TR> <TD> 10:9:      <TD> ` |- (. ( ( x = u /\ y = v ) /\ [ u / x ] [ `
     ` v / y ] ph ) ->. ( ph /\ y = v ) ). `
     <TR> <TD> 11:10:     <TD> ` |- (. ( ( x = u /\ y = v ) /\ [ u / x ] [ `
     ` v / y ] ph ) ->. ph ). `
     <TR> <TD> 12:2,11:   <TD> ` |- (. ( ( x = u /\ y = v ) /\ [ u / x ] [ `
     ` v / y ] ph ) ->. ( ( x = u /\ y = v ) /\ ph ) ). `
     <TR> <TD> 13:12:     <TD> ` |- ( ( ( x = u /\ y = v ) /\ [ u / x ] [ v `
     ` / y ] ph ) -> ( ( x = u /\ y = v ) /\ ph ) ) `
     <TR> <TD> 14::       <TD> ` |- (. ( ( x = u /\ y = v ) /\ ph ) ->. ( ( `
     ` x = u /\ y = v ) /\ ph ) ). `
     <TR> <TD> 15:14:     <TD> ` |- (. ( ( x = u /\ y = v ) /\ ph ) ->. ( x `
     ` = u /\ y = v ) ). `
     <TR> <TD> 16:15:     <TD> ` |- (. ( ( x = u /\ y = v ) /\ ph ) ->. y = `
     ` v ). `
     <TR> <TD> 17:14:     <TD> ` |- (. ( ( x = u /\ y = v ) /\ ph ) ->. ph `
     ` ). `
     <TR> <TD> 18:16,17:  <TD> ` |- (. ( ( x = u /\ y = v ) /\ ph ) ->. ( `
     ` ph /\ y = v ) ). `
     <TR> <TD> 19:18:     <TD> ` |- (. ( ( x = u /\ y = v ) /\ ph ) ->. ( [ `
     ` v / y ] ph /\ y = v ) ). `
     <TR> <TD> 20:15:     <TD> ` |- (. ( ( x = u /\ y = v ) /\ ph ) ->. x = `
     ` u ). `
     <TR> <TD> 21:19:     <TD> ` |- (. ( ( x = u /\ y = v ) /\ ph ) ->. [ v `
     ` / y ] ph ). `
     <TR> <TD> 22:20,21:  <TD> ` |- (. ( ( x = u /\ y = v ) /\ ph ) ->. ( [ `
     ` v / y ] ph /\ x = u ) ). `
     <TR> <TD> 23:22:     <TD> ` |- (. ( ( x = u /\ y = v ) /\ ph ) ->. ( [ `
     ` u / x ] [ v / y ] ph /\ x = u ) ). `
     <TR> <TD> 24:23:     <TD> ` |- (. ( ( x = u /\ y = v ) /\ ph ) ->. [ u `
     ` / x ] [ v / y ] ph ). `
     <TR> <TD> 25:15,24:  <TD> ` |- (. ( ( x = u /\ y = v ) /\ ph ) ->. ( ( `
     ` x = u /\ y = v ) /\ [ u / x ] [ v / y ] ph ) ). `
     <TR> <TD> 26:25:     <TD> ` |- ( ( ( x = u /\ y = v ) /\ ph ) -> ( ( x `
     ` = u /\ y = v ) /\ [ u / x ] [ v / y ] ph ) ) `
     <TR> <TD> qed:13,26: <TD> ` |- ( ( ( x = u /\ y = v ) /\ [ u / x ] [ v `
     ` / y ] ph ) <-> ( ( x = u /\ y = v ) /\ ph ) ) `
     </TABLE> </HTML> $)
  2pm13.193VD $p |- ( ( ( x = u /\ y = v ) /\ [ u / x ] [ v / y ] ph ) <->
                                              ( ( x = u /\ y = v ) /\ ph ) ) $=
    ( cv wceq wa wsb idn1 simpl e1a simpr pm3.21 sbequ2 imdistanri pm3.2 sbequ1
    e11 in1 impbii ) BFEFGZCFDFGZHZACDIZBEIZHZUDAHZUGUHUGUDAUHUGUGUDUGJZUDUFKLZ
    UGAUCHZAUGUEUCHZUKUGUEUCULUGUEUBHZUEUGUFUBHZUMUGUBUFUNUGUDUBUJUBUCKZLUGUGUF
    UIUDUFMLUBUFNSUBUFUEUEBEOPLUEUBKLUGUDUCUJUBUCMZLUEUCQSUCUEAACDOPLAUCKLUDAQS
    TUHUGUHUDUFUGUHUHUDUHJZUDAKLZUHUNUFUHUMUNUHUBUEUMUHUDUBURUOLUHULUEUHUKULUHU
    CAUKUHUDUCURUPLUHUHAUQUDAMLUCANSUCAUEACDRPLUEUCKLUBUENSUBUEUFUEBERPLUFUBKLU
    DUFQSTUA $.

  $( Virtual deduction proof of ~ hbimpg .
     The following User's Proof is a Virtual Deduction proof completed
     automatically by the tools program completeusersproof.cmd, which invokes
     Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.  ~ hbimpg
     is ~ hbimpgVD without virtual deductions and was automatically derived
     from ~ hbimpgVD .  (Contributed by Alan Sare, 8-Feb-2014.)
     (Proof modification is discouraged.)  (New usage is discouraged.)
     <HTML> <TABLE>
     <TR> <TD> 1::       <TD> ` |- (. ( A. x ( ph -> A. x ph ) /\ A. x ( ps `
     ` -> A. x ps ) ) ->. ( A. x ( ph -> A. x ph ) /\ A. x ( ps -> `
     ` A. x ps ) ) ). `
     <TR> <TD> 2:1:      <TD> ` |- (. ( A. x ( ph -> A. x ph ) /\ A. x ( ps `
     ` -> A. x ps ) ) ->. A. x ( ph -> A. x ph ) ). `
     <TR> <TD> 3::       <TD> ` |- (. ( A. x ( ph -> A. x ph ) /\ A. x ( ps `
     ` -> A. x ps ) ) , -. ph ->. -. ph ). `
     <TR> <TD> 4:2:      <TD> ` |- (. ( A. x ( ph -> A. x ph ) /\ A. x ( ps `
     ` -> A. x ps ) ) ->. A. x ( -. ph -> A. x -. ph ) ). `
     <TR> <TD> 5:4:      <TD> ` |- (. ( A. x ( ph -> A. x ph ) /\ A. x ( ps `
     ` -> A. x ps ) ) ->. ( -. ph -> A. x -. ph ) ). `
     <TR> <TD> 6:3,5:    <TD> ` |- (. ( A. x ( ph -> A. x ph ) /\ A. x ( ps `
     ` -> A. x ps ) ) , -. ph ->. A. x -. ph ). `
     <TR> <TD> 7::       <TD> ` |- ( -. ph -> ( ph -> ps ) ) `
     <TR> <TD> 8:7:      <TD> ` |- ( A. x -. ph -> A. x ( ph -> ps ) ) `
     <TR> <TD> 9:6,8:    <TD> ` |- (. ( A. x ( ph -> A. x ph ) /\ A. x ( ps `
     ` -> A. x ps ) ) , -. ph ->. A. x ( ph -> ps ) ). `
     <TR> <TD> 10:9:     <TD> ` |- (. ( A. x ( ph -> A. x ph ) /\ A. x ( ps `
     ` -> A. x ps ) ) ->. ( -. ph -> A. x ( ph -> ps ) ) ). `
     <TR> <TD> 11::      <TD> ` |- ( ps -> ( ph -> ps ) ) `
     <TR> <TD> 12:11:    <TD> ` |- ( A. x ps -> A. x ( ph -> ps ) ) `
     <TR> <TD> 13:1:     <TD> ` |- (. ( A. x ( ph -> A. x ph ) /\ A. x ( ps `
     ` -> A. x ps ) ) ->. A. x ( ps -> A. x ps ) ). `
     <TR> <TD> 14:13:    <TD> ` |- (. ( A. x ( ph -> A. x ph ) /\ A. x ( ps `
     ` -> A. x ps ) ) ->. ( ps -> A. x ps ) ). `
     <TR> <TD> 15:14,12: <TD> ` |- (. ( A. x ( ph -> A. x ph ) /\ A. x ( ps `
     ` -> A. x ps ) ) ->. ( ps -> A. x ( ph -> ps ) ) ). `
     <TR> <TD> 16:10,15: <TD> ` |- (. ( A. x ( ph -> A. x ph ) /\ A. x ( ps `
     ` -> A. x ps ) ) ->. ( ( -. ph \/ ps ) -> A. x ( ph -> ps ) ) ). `
     <TR> <TD> 17::      <TD> ` |- ( ( ph -> ps ) <-> ( -. ph \/ ps ) ) `
     <TR> <TD> 18:16,17: <TD> ` |- (. ( A. x ( ph -> A. x ph ) /\ A. x ( ps `
     ` -> A. x ps ) ) ->. ( ( ph -> ps ) -> A. x ( ph -> ps ) ) ). `
     <TR> <TD> 19::      <TD> ` |- ( A. x ( ph -> A. x ph ) -> A. x A. x ( `
     ` ph -> A. x ph ) ) `
     <TR> <TD> 20::      <TD> ` |- ( A. x ( ps -> A. x ps ) -> A. x A. x ( `
     ` ps -> A. x ps ) ) `
     <TR> <TD> 21:19,20: <TD> ` |- ( ( A. x ( ph -> A. x ph ) /\ A. x ( ps `
     ` -> A. x ps ) ) -> A. x ( A. x ( ph -> A. x ph ) /\ A. x ( ps -> `
     ` A. x ps ) ) ) `
     <TR> <TD> 22:21,18: <TD> ` |- (. ( A. x ( ph -> A. x ph ) /\ A. x ( ps `
     ` -> A. x ps ) ) ->. A. x ( ( ph -> ps ) -> A. x ( ph -> ps ) ) ). `
     <TR> <TD> qed:22:   <TD> ` |- ( ( A. x ( ph -> A. x ph ) /\ A. x ( ps `
     ` -> A. x ps ) ) -> A. x ( ( ph -> ps ) -> A. x ( ph -> ps ) ) ) `
     </TABLE> </HTML> $)
  hbimpgVD $p |- ( ( A. x ( ph -> A. x ph ) /\ A. x ( ps -> A. x ps ) ) ->
                                A. x ( ( ph -> ps ) -> A. x ( ph -> ps ) ) ) $=
    ( wal wi wa hba1 hban wn wo wb idn2 idn1 simpl e1a hbntal pm2.27 alimi e10
    sp e21 pm2.21 in2 simpr ax-1 imim1 jao e11 imor imbi1 biimprcd gen11nv in1
    e2 ) AACDEZCDZBBCDZEZCDZFZABEZVACDZEZCDUTVCCUPUSCUOCGURCGHUTAIZBJZVBEZVAVEK
    ZVCUTVDVBEBVBEZVFUTVDVBUTVDVDCDZVBUTVDVDVDVIEZVIUTVDLUTVJCDZVJUTUPVKUTUTUPU
    TMZUPUSNOACPOVJCTOVDVIQUAVDVACABUBRUNUCUTURUQVBEVHUTUSURUTUTUSVLUPUSUDOURCT
    OBVACBAUERBUQVBUFSVDVBBUGUHABUIVGVCVFVAVEVBUJUKSULUM $.

  $( Virtual deduction proof of ~ hbalg .
     The following User's Proof is a Virtual Deduction proof completed
     automatically by the tools program completeusersproof.cmd, which invokes
     Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.  ~ hbalg
     is ~ hbalgVD without virtual deductions and was automatically derived
     from ~ hbalgVD .  (Contributed by Alan Sare, 8-Feb-2014.)
     (Proof modification is discouraged.)  (New usage is discouraged.)
     <HTML> <TABLE>
     <TR> <TD> 1::        <TD> ` |- (. A. y ( ph -> A. x ph ) ->. A. y ( ph `
     ` -> A. x ph ) ). `
     <TR> <TD> 2:1:       <TD> ` |- (. A. y ( ph -> A. x ph ) ->. ( A. y ph `
     ` -> A. y A. x ph ) ). `
     <TR> <TD> 3::        <TD> ` |- ( A. y A. x ph -> A. x A. y ph ) `
     <TR> <TD> 4:2,3:     <TD> ` |- (. A. y ( ph -> A. x ph ) ->. ( A. y ph `
     ` -> A. x A. y ph ) ). `
     <TR> <TD> 5::        <TD> ` |- ( A. y ( ph -> A. x ph ) -> A. y A. y ( `
     ` ph -> A. x ph ) ) `
     <TR> <TD> 6:5,4:     <TD> ` |- (. A. y ( ph -> A. x ph ) ->. A. y ( A. `
     ` y ph -> A. x A. y ph ) ). `
     <TR> <TD> qed:6:     <TD> ` |- ( A. y ( ph -> A. x ph ) -> A. y ( A. y `
     ` ph -> A. x A. y ph ) ) `
     </TABLE> </HTML> $)
  hbalgVD $p |- ( A. y ( ph -> A. x ph ) ->
                                          A. y ( A. y ph -> A. x A. y ph ) ) $=
    ( wal wi hba1 idn1 alim e1a ax-11 imim1 e10 gen11nv in1 ) AABDZEZCDZACDZRBD
    ZEZCDQTCPCFQROCDZEZUASETQQUBQGAOCHIACBJRUASKLMN $.

  $( Virtual deduction proof of ~ hbexg .
     The following User's Proof is a Virtual Deduction proof completed
     automatically by the tools program completeusersproof.cmd, which invokes
     Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof Assistant.  ~ hbexg
     is ~ hbexgVD without virtual deductions and was automatically derived
     from ~ hbexgVD .  (Contributed by Alan Sare, 8-Feb-2014.)
     (Proof modification is discouraged.)  (New usage is discouraged.)
     <HTML> <TABLE>
     <TR> <TD> 1::        <TD> ` |- (. A. x A. y ( ph -> A. x ph ) ->. A. x `
     ` A. y ( ph -> A. x ph ) ). `
     <TR> <TD> 2:1:       <TD> ` |- (. A. x A. y ( ph -> A. x ph ) ->. A. y `
     ` A. x ( ph -> A. x ph ) ). `
     <TR> <TD> 3:2:       <TD> ` |- (. A. x A. y ( ph -> A. x ph ) ->. A. x `
     ` ( ph -> A. x ph ) ). `
     <TR> <TD> 4:3:       <TD> ` |- (. A. x A. y ( ph -> A. x ph ) ->. A. x `
     ` ( -. ph -> A. x -. ph ) ). `
     <TR> <TD> 5::        <TD> ` |- ( A. x A. y ( ph -> A. x ph ) <-> A. y `
     ` A. x ( ph -> A. x ph ) ) `
     <TR> <TD> 6::        <TD> ` |- ( A. y A. x ( ph -> A. x ph ) -> A. y `
     ` A. y A. x ( ph -> A. x ph ) ) `
     <TR> <TD> 7:5:       <TD> ` |- ( A. y A. x A. y ( ph -> A. x ph ) <-> `
     ` A. y A. y A. x ( ph -> A. x ph ) ) `
     <TR> <TD> 8:5,6,7:   <TD> ` |- ( A. x A. y ( ph -> A. x ph ) -> A. y `
     ` A. x A. y ( ph -> A. x ph ) ) `
     <TR> <TD> 9:8,4:     <TD> ` |- (. A. x A. y ( ph -> A. x ph ) ->. A. y `
     ` A. x ( -. ph -> A. x -. ph ) ). `
     <TR> <TD> 10:9:      <TD> ` |- (. A. x A. y ( ph -> A. x ph ) ->. A. x `
     ` A. y ( -. ph -> A. x -. ph ) ). `
     <TR> <TD> 11:10:     <TD> ` |- (. A. x A. y ( ph -> A. x ph ) ->. A. y `
     ` ( -. ph -> A. x -. ph ) ). `
     <TR> <TD> 12:11:     <TD> ` |- (. A. x A. y ( ph -> A. x ph ) ->. A. y `
     ` ( A. y -. ph -> A. x A. y -. ph ) ). `
     <TR> <TD> 13:12:     <TD> ` |- (. A. x A. y ( ph -> A. x ph ) ->. ( A. `
     ` y -. ph -> A. x A. y -. ph ) ). `
     <TR> <TD> 14::       <TD> ` |- ( A. x A. y ( ph -> A. x ph ) -> A. x `
     ` A. x A. y ( ph -> A. x ph ) ) `
     <TR> <TD> 15:13,14:  <TD> ` |- (. A. x A. y ( ph -> A. x ph ) ->. A. x `
     ` ( A. y -. ph -> A. x A. y -. ph ) ). `
     <TR> <TD> 16:15:     <TD> ` |- (. A. x A. y ( ph -> A. x ph ) ->. A. x `
     ` ( -. A. y -. ph -> A. x -. A. y -. ph ) ). `
     <TR> <TD> 17:16:     <TD> ` |- (. A. x A. y ( ph -> A. x ph ) ->. ( -. `
     ` A. y -. ph -> A. x -. A. y -. ph ) ). `
     <TR> <TD> 18::       <TD> ` |- ( E. y ph <-> -. A. y -. ph ) `
     <TR> <TD> 19:17,18:  <TD> ` |- (. A. x A. y ( ph -> A. x ph ) ->. ( E. `
     ` y ph -> A. x -. A. y -. ph ) ). `
     <TR> <TD> 20:18:     <TD> ` |- ( A. x E. y ph <-> A. x -. A. y -. ph ) `
     <TR> <TD> 21:19,20:  <TD> ` |- (. A. x A. y ( ph -> A. x ph ) ->. ( E. `
     ` y ph -> A. x E. y ph ) ). `
     <TR> <TD> 22:8,21:   <TD> ` |- (. A. x A. y ( ph -> A. x ph ) ->. A. y `
     ` ( E. y ph -> A. x E. y ph ) ). `
     <TR> <TD> 23:14,22:  <TD> ` |- (. A. x A. y ( ph -> A. x ph ) ->. A. x `
     ` A. y ( E. y ph -> A. x E. y ph ) ). `
     <TR> <TD> qed:23:    <TD> ` |- (. A. x A. y ( ph -> A. x ph ) ->. A. x `
     ` A. y ( E. y ph -> A. x E. y ph ) ). `
     </TABLE> </HTML> $)
  hbexgVD $p |- ( A. x A. y ( ph -> A. x ph ) ->
                                     A. x A. y ( E. y ph -> A. x E. y ph ) ) $=
    ( wal wi wex hba1 alcom albii 3imtr4i wn wb idn1 ax-11 e1a gen11nv biimprcd
    sp hbntal e10 hbalg df-ex imbi1 imbi2 in1 ) AABDEZCDZBDZACFZUIBDZEZCDZBDUHU
    LBUGBGZUHUKCUFBDZCDZUOCDUHUHCDUNCGUFBCHZUHUOCUPIJZUHUIAKZCDZKZBDZEZUJVALZUK
    UHUTVAEZUIUTLZVBUHVDBDZVDUHUSUSBDEZBDVFUHVGBUMUHVGCDZVGUHURURBDEZCDZVHUHVJB
    DZVJUHVIBDZCDVKUHVLCUQUHUNVLUHUOUNUHUHUOUHMUFBCNOUNCROABSOPVICBNOVJBROURBCU
    AOVGCROPUSBSOVDBROACUBZVEVBVDUIUTVAUCQTUIUTBVMIVCUKVBUJVAUIUDQTPPUE $.

  ${
    $d u x $.  $d u y $.  $d v x $.  $d v y $.
    $( The following User's Proof is a Virtual Deduction proof (see ~ wvd1 )
       completed automatically by a Metamath tools program invoking mmj2 and
       the Metamath Proof Assistant.  ~ ax6e2eq is ~ ax6e2eqVD without virtual
       deductions and was automatically derived from ~ ax6e2eqVD .
       (Contributed by Alan Sare, 25-Mar-2014.)
       (Proof modification is discouraged.)  (New usage is discouraged.)
       <HTML> <TABLE>
       <TR> <TD> 1::        <TD> ` |- (. A. x x = y ->. A. x x = y ). `
       <TR> <TD> 2::        <TD> ` |- (. A. x x = y ,. x = u ->. x = u ). `
       <TR> <TD> 3:1:       <TD> ` |- (. A. x x = y ->. x = y ). `
       <TR> <TD> 4:2,3:     <TD> ` |- (. A. x x = y ,. x = u ->. y = u ). `
       <TR> <TD> 5:2,4:     <TD> ` |- (. A. x x = y ,. x = u ->. ( x = u /\ y `
       ` = u ) ). `
       <TR> <TD> 6:5:       <TD> ` |- (. A. x x = y ->. ( x = u -> ( x = u /\ `
       ` y = u ) ) ). `
       <TR> <TD> 7:6:       <TD> ` |- ( A. x x = y -> ( x = u -> ( x = u /\ y `
       ` = u ) ) ) `
       <TR> <TD> 8:7:       <TD> ` |- ( A. x A. x x = y -> A. x ( x = u -> ( `
       ` x = u /\ y = u ) ) ) `
       <TR> <TD> 9::        <TD> ` |- ( A. x x = y <-> A. x A. x x = y ) `
       <TR> <TD> 10:8,9:    <TD> ` |- ( A. x x = y -> A. x ( x = u -> ( x = u `
       ` /\ y = u ) ) ) `
       <TR> <TD> 11:1,10:   <TD> ` |- (. A. x x = y ->. A. x ( x = u -> ( x = `
       ` u /\ y = u ) ) ). `
       <TR> <TD> 12:11:     <TD> ` |- (. A. x x = y ->. ( E. x x = u -> E. x `
       ` ( x = u /\ y = u ) ) ). `
       <TR> <TD> 13::       <TD> ` |- E. x x = u `
       <TR> <TD> 14:13,12:  <TD> ` |- (. A. x x = y ->. E. x ( x = u /\ y = u `
       ` ) ). `
       <TR> <TD> 140:14:    <TD> ` |- ( A. x x = y -> E. x ( x = u /\ y = u ) `
       ` ) `
       <TR> <TD> 141:140:   <TD> ` |- ( A. x x = y -> A. x E. x ( x = u /\ y `
       ` = u ) ) `
       <TR> <TD> 15:1,141:  <TD> ` |- (. A. x x = y ->. A. x E. x ( x = u /\ `
       ` y = u ) ). `
       <TR> <TD> 16:1,15:   <TD> ` |- (. A. x x = y ->. A. y E. x ( x = u /\ `
       ` y = u ) ). `
       <TR> <TD> 17:16:     <TD> ` |- (. A. x x = y ->. E. y E. x ( x = u /\ `
       ` y = u ) ). `
       <TR> <TD> 18:17:     <TD> ` |- (. A. x x = y ->. E. x E. y ( x = u /\ `
       ` y = u ) ). `
       <TR> <TD> 19::       <TD> ` |- (. u = v ->. u = v ). `
       <TR> <TD> 20::       <TD> ` |- (. u = v ,. ( x = u /\ y = u ) ->. ( x =
       `
       ` u /\ y = u ) ). `
       <TR> <TD> 21:20:     <TD> ` |- (. u = v ,. ( x = u /\ y = u ) ->. y = u
       `
       ` ). `
       <TR> <TD> 22:19,21:  <TD> ` |- (. u = v ,. ( x = u /\ y = u ) ->. y = v
       `
       ` ). `
       <TR> <TD> 23:20:     <TD> ` |- (. u = v ,. ( x = u /\ y = u ) ->. x = u
       `
       ` ). `
       <TR> <TD> 24:22,23:  <TD> ` |- (. u = v ,. ( x = u /\ y = u ) ->. ( x =
       `
       ` u /\ y = v ) ). `
       <TR> <TD> 25:24:     <TD> ` |- (. u = v ->. ( ( x = u /\ y = u ) -> ( `
       ` x = u /\ y = v ) ) ). `
       <TR> <TD> 26:25:     <TD> ` |- (. u = v ->. A. y ( ( x = u /\ y = u ) `
       ` -> ( x = u /\ y = v ) ) ). `
       <TR> <TD> 27:26:     <TD> ` |- (. u = v ->. ( E. y ( x = u /\ y = u ) `
       ` -> E. y ( x = u /\ y = v ) ) ). `
       <TR> <TD> 28:27:     <TD> ` |- (. u = v ->. A. x ( E. y ( x = u /\ y = `
       ` u ) -> E. y ( x = u /\ y = v ) ) ). `
       <TR> <TD> 29:28:     <TD> ` |- (. u = v ->. ( E. x E. y ( x = u /\ y = `
       ` u ) -> E. x E. y ( x = u /\ y = v ) ) ). `
       <TR> <TD> 30:29:     <TD> ` |- ( u = v -> ( E. x E. y ( x = u /\ y = u `
       ` ) -> E. x E. y ( x = u /\ y = v ) ) ) `
       <TR> <TD> 31:18,30:  <TD> ` |- (. A. x x = y ->. ( u = v -> E. x E. y `
       ` ( x = u /\ y = v ) ) ). `
       <TR> <TD> qed:31:    <TD> ` |- ( A. x x = y -> ( u = v -> E. x E. y ( `
       ` x = u /\ y = v ) ) ) `
       </TABLE> </HTML> $)
    ax6e2eqVD $p |- ( A. x x = y ->
                                 ( u = v -> E. x E. y ( x = u /\ y = v ) ) ) $=
      ( cv wceq wal wa wex wi idn1 sp idn2 e1a com12 e22 in2 in1 exim e2 impbii
      ax6ev hba1 ax7 e21 pm3.2 alimi sylbi pm2.27 e01 axc4i axc11 excomim simpr
      e11 19.2 equtrr e12 simpl pm3.21 gen11 pm2.04 e10 ) AEZBEZFZAGZDEZCEZFZVD
      VHFZVEVIFZHZBIZAIZJZVGVKVEVHFZHZBIZAIZVJVTVOJZJZVPVGVRAIZBIZVTVGWCBGZWDVG
      VGWCAGZWEVGKZVGVGWFWGVFWCAVGWCVKAIZVGWHWCJZWCADUBVGVKVRJZAGZWIVGVGWKWGVGV
      GAGZWKVGWLVFAUCVGALUAVGWJAVGWJVGVKVRVGVKVKVQVRVGVKMZVGVKVKVFVQWMVGVGVFWGV
      FALNVFVKVQABDUDOUEVKVQUFPQRUGUHNVKVRASNWHWCUIUJRUKNWCABULUOWCBUPNVRBAUMNV
      JWAVJVSVNJZAGWAVJWNAVJVRVMJZBGWNVJWOBVJVRVMVJVRVLVKVMVJVJVRVQVLVJKVJVRVRV
      QVJVRMZVKVQUNTDCBUQURVJVRVRVKWPVKVQUSTVLVKUTPQVAVRVMBSNVAVSVNASNRWBVTVPVJ
      VTVOVBOVCR $.
  $}

  ${
    $d u x $.  $d u y $.  $d v x z $.  $d y z $.
    $( The following User's Proof is a Virtual Deduction proof (see ~ wvd1 )
       completed automatically by a Metamath tools program invoking mmj2 and
       the Metamath Proof Assistant.  ~ ax6e2nd is ~ ax6e2ndVD without virtual
       deductions and was automatically derived from ~ ax6e2ndVD .
       (Contributed by Alan Sare, 25-Mar-2014.)
       (Proof modification is discouraged.)  (New usage is discouraged.)
       <HTML> <TABLE>
       <TR> <TD> 1::          <TD> ` |- E. y y = v `
       <TR> <TD> 2::          <TD> ` |- u e. _V `
       <TR> <TD> 3:1,2:       <TD> ` |- ( u e. _V /\ E. y y = v ) `
       <TR> <TD> 4:3:         <TD> ` |- E. y ( u e. _V /\ y = v ) `
       <TR> <TD> 5::          <TD> ` |- ( u e. _V <-> E. x x = u ) `
       <TR> <TD> 6:5:         <TD> ` |- ( ( u e. _V /\ y = v ) <-> ( E. x x = `
       ` u /\ y = v ) ) `
       <TR> <TD> 7:6:         <TD> ` |- ( E. y ( u e. _V /\ y = v ) <-> E. y `
       ` ( E. x x = u /\ y = v ) ) `
       <TR> <TD> 8:4,7:       <TD> ` |- E. y ( E. x x = u /\ y = v ) `
       <TR> <TD> 9::          <TD> ` |- ( z = v -> A. x z = v ) `
       <TR> <TD> 10::         <TD> ` |- ( y = v -> A. z y = v ) `
       <TR> <TD> 11::         <TD> ` |- (. z = y ->. z = y ). `
       <TR> <TD> 12:11:       <TD> ` |- (. z = y ->. ( z = v <-> y = v ) ). `
       <TR> <TD> 120:11:      <TD> ` |- ( z = y -> ( z = v <-> y = v ) ) `
       <TR> <TD> 13:9,10,120: <TD> ` |- ( -. A. x x = y -> ( y = v -> A. x y `
       ` = v ) ) `
       <TR> <TD> 14::         <TD> ` |- (. -. A. x x = y ->. -. A. x x = y ). `
       <TR> <TD> 15:14,13:    <TD> ` |- (. -. A. x x = y ->. ( y = v -> A. x `
       ` y = v ) ). `
       <TR> <TD> 16:15:       <TD> ` |- ( -. A. x x = y -> ( y = v -> A. x y `
       ` = v ) ) `
       <TR> <TD> 17:16:       <TD> ` |- ( A. x -. A. x x = y -> A. x ( y = v `
       ` -> A. x y = v ) ) `
       <TR> <TD> 18::         <TD> ` |- ( -. A. x x = y -> A. x -. A. x x = y `
       ` ) `
       <TR> <TD> 19:17,18:    <TD> ` |- ( -. A. x x = y -> A. x ( y = v -> A. `
       ` x y = v ) ) `
       <TR> <TD> 20:14,19:    <TD> ` |- (. -. A. x x = y ->. A. x ( y = v -> `
       ` A. x y = v ) ). `
       <TR> <TD> 21:20:       <TD> ` |- (. -. A. x x = y ->. ( ( E. x x = u `
       ` /\ y = v ) -> E. x ( x = u /\ y = v ) ) ). `
       <TR> <TD> 22:21:       <TD> ` |- ( -. A. x x = y -> ( ( E. x x = u /\ `
       ` y = v ) -> E. x ( x = u /\ y = v ) ) ) `
       <TR> <TD> 23:22:       <TD> ` |- ( A. y -. A. x x = y -> A. y ( ( E. x `
       ` x = u /\ y = v ) -> E. x ( x = u /\ y = v ) ) ) `
       <TR> <TD> 24::         <TD> ` |- ( -. A. x x = y -> A. y -. A. x x = y `
       ` ) `
       <TR> <TD> 25:23,24:    <TD> ` |- ( -. A. x x = y -> A. y ( ( E. x x = `
       ` u /\ y = v ) -> E. x ( x = u /\ y = v ) ) ) `
       <TR> <TD> 26:14,25:    <TD> ` |- (. -. A. x x = y ->. A. y ( ( E. x x `
       ` = u /\ y = v ) -> E. x ( x = u /\ y = v ) ) ). `
       <TR> <TD> 27:26:       <TD> ` |- (. -. A. x x = y ->. ( E. y ( E. x x `
       ` = u /\ y = v ) -> E. y E. x ( x = u /\ y = v ) ) ). `
       <TR> <TD> 28:8,27:     <TD> ` |- (. -. A. x x = y ->.  E. y E. x ( x = `
       ` u /\ y = v ) ). `
       <TR> <TD> 29:28:       <TD> ` |- (. -. A. x x = y ->.  E. x E. y ( x = `
       ` u /\ y = v ) ). `
       <TR> <TD> qed:29:      <TD> ` |- ( -. A. x x = y -> E. x E. y ( x = u `
       ` /\ y = v ) ) `
       </TABLE> </HTML> $)
    ax6e2ndVD $p |- ( -. A. x x = y -> E. x E. y ( x = u /\ y = v ) ) $=
      ( vz cv wceq wal wn wa wex wi cvv wcel idn1 ax-5 e1a in1 alimi syl pm3.2i
      vex ax6e 19.42v biimpri e0a isset anbi1i exbii mpbi hbnae hbn1 wb equequ1
      dvelimh 19.41rg exim pm2.27 e01 excomim ) AFZBFZGZAHIZVADFZGZVBCFZGZJZBKA
      KZVDVIAKZBKZVJVFAKZVHJZBKZVDVOVLLZVLVEMNZVHJZBKZVOVQVHBKZJZVSVQVTDUBBCUCU
      AVSWAVQVHBUDUEUFVRVNBVQVMVHAVEUGUHUIUJVDVNVKLZBHZVPVDVDWCVDOZVDVDBHWCABBU
      KVDWBBVDWBVDVHVHAHLZAHZWBVDVDWFWDVDVDAHWFVCAULVDWEAVDWEVDVDWEWDEFZVGGZVHA
      BEWHAPVHEPWGVBGZWHVHUMZWIWIWJWIOEBCUNQRUOQRSTQVFVHAUPQRSTQVNVKBUQQVOVLURU
      SVIBAUTQR $.
  $}

  ${
    $d u x $.  $d u y $.  $d v x $.  $d v y $.
    $( The following User's Proof is a Virtual Deduction proof (see ~ wvd1 )
       completed automatically by a Metamath tools program invoking mmj2 and
       the Metamath Proof Assistant. ~ ax6e2eq is ~ ax6e2ndeqVD without virtual
       deductions and was automatically derived from ~ ax6e2ndeqVD .
       (Contributed by Alan Sare, 25-Mar-2014.)
       (Proof modification is discouraged.)  (New usage is discouraged.)
       <HTML> <TABLE>
       <TR> <TD> 1::          <TD> ` |- (. u =/= v ->. u =/= v ). `
       <TR> <TD> 2::          <TD> ` |- (. u =/= v ,. ( x = u /\ y = v ) ->. (
       `
       ` x = u /\ y = v ) ). `
       <TR> <TD> 3:2:         <TD> ` |- (. u =/= v ,. ( x = u /\ y = v ) ->. x
       `
       ` = u ). `
       <TR> <TD> 4:1,3:       <TD> ` |- (. u =/= v ,. ( x = u /\ y = v ) ->. x
       `
       ` =/= v ). `
       <TR> <TD> 5:2:         <TD> ` |- (. u =/= v ,. ( x = u /\ y = v ) ->. y
       `
       ` = v ). `
       <TR> <TD> 6:4,5:       <TD> ` |- (. u =/= v ,. ( x = u /\ y = v ) ->. x
       `
       ` =/= y ). `
       <TR> <TD> 7::          <TD> ` |- ( A. x x = y -> x = y ) `
       <TR> <TD> 8:7:         <TD> ` |- ( -. x = y -> -. A. x x = y ) `
       <TR> <TD> 9::          <TD> ` |- ( -. x = y <-> x =/= y ) `
       <TR> <TD> 10:8,9:      <TD> ` |- ( x =/= y -> -. A. x x = y ) `
       <TR> <TD> 11:6,10:     <TD> ` |- (. u =/= v ,. ( x = u /\ y = v ) ->. `
       ` -. A. x x = y ). `
       <TR> <TD> 12:11:       <TD> ` |- (. u =/= v ->. ( ( x = u /\ y = v ) `
       ` -> -. A. x x = y ) ). `
       <TR> <TD> 13:12:       <TD> ` |- (. u =/= v ->. A. x ( ( x = u /\ y = `
       ` v ) -> -. A. x x = y ) ). `
       <TR> <TD> 14:13:       <TD> ` |- (. u =/= v ->. ( E. x ( x = u /\ y = `
       ` v ) -> E. x -. A. x x = y ) ). `
       <TR> <TD> 15::         <TD> ` |- ( -. A. x x = y -> A. x -. A. x x = y `
       ` ) `
       <TR> <TD> 19:15:       <TD> ` |- ( E. x -. A. x x = y <-> -. A. x x = `
       ` y ) `
       <TR> <TD> 20:14,19:    <TD> ` |- (. u =/= v ->. ( E. x ( x = u /\ y = `
       ` v ) -> -. A. x x = y ) ). `
       <TR> <TD> 21:20:       <TD> ` |- (. u =/= v ->. A. y ( E. x ( x = u /\ `
       ` y = v ) -> -. A. x x = y ) ). `
       <TR> <TD> 22:21:       <TD> ` |- (. u =/= v ->. ( E. y E. x ( x = u /\ `
       ` y = v ) -> E. y -. A. x x = y ) ). `
       <TR> <TD> 23::         <TD> ` |- ( E. x E. y ( x = u /\ y = v ) <-> E. `
       ` y E. x ( x = u /\ y = v ) ) `
       <TR> <TD> 24:22,23:    <TD> ` |- (. u =/= v ->. ( E. x E. y ( x = u /\ `
       ` y = v ) -> E. y -. A. x x = y ) ). `
       <TR> <TD> 25::         <TD> ` |- ( -. A. x x = y -> A. y -. A. x x = y `
       ` ) `
       <TR> <TD> 26:25:       <TD> ` |- ( E. y -. A. x x = y -> E. y A. y -. `
       ` A. x x = y ) `
       <TR> <TD> 260::        <TD> ` |- ( A. y -. A. x x = y -> A. y A. y -. `
       ` A. x x = y ) `
       <TR> <TD> 27:260:      <TD> ` |- ( E. y A. y -. A. x x = y <-> A. y -. `
       ` A. x x = y ) `
       <TR> <TD> 270:26,27:   <TD> ` |- ( E. y -. A. x x = y -> A. y -. A. x `
       ` x = y ) `
       <TR> <TD> 28::         <TD> ` |- ( A. y -. A. x x = y -> -. A. x x = y `
       ` ) `
       <TR> <TD> 29:270,28:   <TD> ` |- ( E. y -. A. x x = y -> -. A. x x = y `
       ` ) `
       <TR> <TD> 30:24,29:    <TD> ` |- (. u =/= v ->. ( E. x E. y ( x = u /\ `
       ` y = v ) -> -. A. x x = y ) ). `
       <TR> <TD> 31:30:       <TD> ` |- (. u =/= v ->. ( E. x E. y ( x = u /\ `
       ` y = v ) -> ( -. A. x x = y \/ u = v ) ) ). `
       <TR> <TD> 32:31:       <TD> ` |- ( u =/= v -> ( E. x E. y ( x = u /\ y `
       ` = v ) -> ( -. A. x x = y \/ u = v ) ) ) `
       <TR> <TD> 33::         <TD> ` |- (. u = v ->. u = v ). `
       <TR> <TD> 34:33:       <TD> ` |- (. u = v ->. ( E. x E. y ( x = u /\ y `
       ` = v ) -> u = v ) ). `
       <TR> <TD> 35:34:       <TD> ` |- (. u = v ->. ( E. x E. y ( x = u /\ y `
       ` = v ) -> ( -. A. x x = y \/ u = v ) ) ). `
       <TR> <TD> 36:35:       <TD> ` |- ( u = v -> ( E. x E. y ( x = u /\ y = `
       ` v ) -> ( -. A. x x = y \/ u = v ) ) ) `
       <TR> <TD> 37::         <TD> ` |- ( u = v \/ u =/= v ) `
       <TR> <TD> 38:32,36,37: <TD> ` |- ( E. x E. y ( x = u /\ y = v ) -> ( `
       ` -. A. x x = y \/ u = v ) ) `
       <TR> <TD> 39::         <TD> ` |- ( A. x x = y -> ( u = v -> E. x E. y `
       ` ( x = u /\ y = v ) ) ) `
       <TR> <TD> 40::         <TD> ` |- ( -. A. x x = y -> E. x E. y ( x = u `
       ` /\ y = v ) ) `
       <TR> <TD> 41:40:       <TD> ` |- ( -. A. x x = y -> ( u = v -> E. x E. `
       ` y ( x = u /\ y = v ) ) ) `
       <TR> <TD> 42::         <TD> ` |- ( A. x x = y \/ -. A. x x = y ) `
       <TR> <TD> 43:39,41,42: <TD> ` |- ( u = v -> E. x E. y ( x = u /\ y = v `
       ` ) ) `
       <TR> <TD> 44:40,43:    <TD> ` |- ( ( -. A. x x = y \/ u = v ) -> E. x `
       ` E. y ( x = u /\ y = v ) ) `
       <TR> <TD> qed:38,44:   <TD> ` |- ( ( -. A. x x = y \/ u = v ) <-> E. x `
       ` E. y ( x = u /\ y = v ) ) `
       </TABLE> </HTML> $)
    ax6e2ndeqVD $p |- ( ( -. A. x x = y \/ u = v ) <->
                                              E. x E. y ( x = u /\ y = v ) ) $=
      ( cv wceq wal wn wo wex wi jao e000 wne wb idn1 e2 biimprcd e1a e10 exmid
      wa ax6e2nd ax6e2eq a1d jaoi idn2 simpl neeq1 e12 simpr neeq2 df-ne bicomi
      e22 sp con3i sylbir gen11 exim nfnae 19.9 imbi2 biimpcd excom imbi1 hbnae
      in2 eximi nfa1 sylib syl imim1 orc imim2i in1 ax-1 exmidne com12 impbii
      olc ) AEZBEZFZAGZHZDEZCEZFZIZWBWGFZWCWHFZUBZBJAJZWFWNWIABCDUCZWEWIWNKZKWF
      WPKWEWFIWPABCDUDWFWNWIWOUEWEUAWEWPWFLMUFWGWHNZWNWJKZKZWIWRKZWIWQIZWRWQWRW
      QWNWFKZWRWQWNWFBJZKZXCWFKXBWQWMAJZBJZXCKZWNXFOZXDWQXEWFKZBGXGWQXIBWQXEWFA
      JZKZXJWFOZXIWQWMWFKZAGXKWQXMAWQWMWFWQWMWBWCNZWFWQWMWBWHNZWLXNWQWQWMWKXOWQ
      PWQWMWMWKWQWMUGZWKWLUHQWKXOWQWBWGWHUIRUJWQWMWMWLXPWKWLUKQWLXNXOWCWHWBULRU
      OXNWDHZWFXNXQWBWCUMUNWEWDWDAUPUQURQVHUSWMWFAUTSWFAABAVAVBXLXKXIXJWFXEVCVD
      TUSXEWFBUTSWMABVEXHXDXGWNXFXCVFRTXCWFBGZWFXCXRBJXRWFXRBABBVGVIXRBWFBVJVBV
      KWFBUPVLWNXCWFVMTWFWJWNWFWIVNVOSVPWIWRWIWNWIKZWRWIWIXSWIPWIWNVQSWIWJWNWIW
      FWAVOSVPWGWHVRWTWSXAWRKWIWRWQLVSMVT $.
  $}

  ${
    $d u x $.  $d u y $.  $d v x $.  $d v y $.
    $( The following User's Proof is a Virtual Deduction proof (see ~ wvd1 )
       completed automatically by a Metamath tools program invoking mmj2 and
       the Metamath Proof Assistant.  ~ 2sb5nd is ~ 2sb5ndVD without virtual
       deductions and was automatically derived from ~ 2sb5ndVD .
       (Contributed by Alan Sare, 30-Apr-2014.)
       (Proof modification is discouraged.)  (New usage is discouraged.)
       <HTML> <TABLE>
       <TR> <TD> 1::          <TD> ` |- ( ( ( x = u /\ y = v ) /\ [ u / x ] [ `
       ` v / y ] ph ) <-> ( ( x = u /\ y = v ) /\ ph ) ) `
       <TR> <TD> 2:1:         <TD> ` |- ( E. y ( ( x = u /\ y = v ) /\ [ u / `
       ` x ] [ v / y ] ph ) <-> E. y ( ( x = u /\ y = v ) /\ ph ) ) `
       <TR> <TD> 3::          <TD> ` |- ( [ v / y ] ph -> A. y [ v / y ] ph ) `
       <TR> <TD> 4:3:         <TD> ` |- [ u / x ] ( [ v / y ] ph -> A. y [ v `
       ` / y ] ph ) `
       <TR> <TD> 5:4:         <TD> ` |- ( [ u / x ] [ v / y ] ph -> [ u / x ] `
       ` A. y [ v / y ] ph ) `
       <TR> <TD> 6::          <TD> ` |- (. -. A. x x = y ->. -. A. x x = y ). `
       <TR> <TD> 7::          <TD> ` |- ( A. y y = x -> A. x x = y ) `
       <TR> <TD> 8:7:         <TD> ` |- ( -. A. x x = y -> -. A. y y = x ) `
       <TR> <TD> 9:6,8:       <TD> ` |- (. -. A. x x = y ->. -. A. y y = x ). `
       <TR> <TD> 10:9:        <TD> ` |- ( [ u / x ] A. y [ v / y ] ph <-> A. `
       ` y [ u / x ] [ v / y ] ph ) `
       <TR> <TD> 11:5,10:     <TD> ` |- ( [ u / x ] [ v / y ] ph -> A. y [ u `
       ` / x ] [ v / y ] ph ) `
       <TR> <TD> 12:11:       <TD> ` |- ( -. A. x x = y -> ( [ u / x ] [ v / `
       ` y ] ph -> A. y [ u / x ] [ v / y ] ph ) ) `
       <TR> <TD> 13::         <TD> ` |- ( [ u / x ] [ v / y ] ph -> A. x [ u `
       ` / x ] [ v / y ] ph ) `
       <TR> <TD> 14::         <TD> ` |- (. A. x x = y ->. A. x x = y ). `
       <TR> <TD> 15:14:       <TD> ` |- (. A. x x = y ->. ( A. x [ u / x ] [ `
       ` v / y ] ph -> A. y [ u / x ] [ v / y ] ph ) ). `
       <TR> <TD> 16:13,15:    <TD> ` |- (. A. x x = y ->. ( [ u / x ] [ v / y `
       ` ] ph -> A. y [ u / x ] [ v / y ] ph ) ). `
       <TR> <TD> 17:16:       <TD> ` |- ( A. x x = y -> ( [ u / x ] [ v / y ] `
       ` ph -> A. y [ u / x ] [ v / y ] ph ) ) `
       <TR> <TD> 19:12,17:    <TD> ` |- ( [ u / x ] [ v / y ] ph -> A. y [ u `
       ` / x ] [ v / y ] ph ) `
       <TR> <TD> 20:19:       <TD> ` |- ( E. y ( ( x = u /\ y = v ) /\ [ u / `
       ` x ] [ v / y ] ph )  <-> ( E. y ( x = u /\ y = v ) /\ `
       ` [ u / x ] [ v / y ] ph ) ) `
       <TR> <TD> 21:2,20:     <TD> ` |- ( E. y ( ( x = u /\ y = v ) /\ ph ) `
       ` <-> ( E. y ( x = u /\ y = v ) /\ [ u / x ] [ v / y ] ph ) ) `
       <TR> <TD> 22:21:       <TD> ` |- ( E. x E. y ( ( x = u /\ y = v ) /\ `
       ` ph ) <-> E. x ( E. y ( x = u /\ y = v ) /\ `
       ` [ u / x ] [ v / y ] ph ) ) `
       <TR> <TD> 23:13:       <TD> ` |- ( E. x ( E. y ( x = u /\ y = v ) /\ [ `
       ` u / x ] [ v / y ] ph ) <-> ( E. x E. y ( x = u /\ y = v ) /\ `
       ` [ u / x ] [ v / y ] ph ) ) `
       <TR> <TD> 24:22,23:    <TD> ` |- ( ( E. x E. y ( x = u /\ y = v ) /\ [ `
       ` u / x ] [ v / y ] ph ) <-> E. x E. y ( ( x = u /\ y = v ) /\ ph ) ) `
       <TR> <TD> 240:24:      <TD> ` |- ( ( E. x E. y ( x = u /\ y = v ) /\ ( `
       ` E. x E. y ( x = u /\ y = v ) /\ [ u / x ] [ v / y ] ph ) ) <-> `
       ` ( E. x E. y ( x = u /\ y = v ) /\ E. x E. y ( ( x = u /\ y = v ) /\ `
       ` ph ) ) ) `
       <TR> <TD> 241::        <TD> ` |- ( ( E. x E. y ( x = u /\ y = v ) /\ ( `
       ` E. x E. y ( x = u /\ y = v ) /\ [ u / x ] [ v / y ] ph ) ) <-> `
       ` ( E. x E. y ( x = u /\ y = v ) /\ [ u / x ] [ v / y ] ph ) ) `
       <TR> <TD> 242:241,240: <TD> ` |- ( ( E. x E. y ( x = u /\ y = v ) /\ [ `
       ` u / x ] [ v / y ] ph ) <-> ( E. x E. y ( x = u /\ y = v ) /\ `
       ` E. x E. y ( ( x = u /\ y = v ) /\ ph ) ) ) `
       <TR> <TD> 243::        <TD> ` |- ( ( E. x E. y ( x = u /\ y = v ) -> ( `
       ` [ u / x ] [ v / y ] ph <-> E. x E. y ( ( x = u /\ y = v ) /\ `
       ` ph ) ) ) <->  ( ( E. x E. y ( x = u /\ y = v ) /\ `
       ` [ u / x ] [ v / y ] ph ) <-> ( E. x E. y ( x = u /\ y = v ) /\ `
       ` E. x E. y ( ( x = u /\ y = v ) /\ ph ) ) ) ) `
       <TR> <TD> 25:242,243:  <TD> ` |- ( E. x E. y ( x = u /\ y = v ) -> ( [ `
       ` u / x ] [ v / y ] ph <-> E. x E. y ( ( x = u /\ y = v ) /\ ph ) ) ) `
       <TR> <TD> 26::         <TD> ` |- ( ( -. A. x x = y \/ u = v ) <-> E. x `
       ` E. y ( x = u /\ y = v ) ) `
       <TR> <TD> qed:25,26:   <TD> ` |- ( ( -. A. x x = y \/ u = v ) -> ( [ u `
       ` / x ] [ v / y ] ph <-> E. x E. y ( ( x = u /\ y = v ) /\ ph ) ) ) `
       </TABLE> </HTML> $)
    2sb5ndVD $p |- ( ( -. A. x x = y \/ u = v ) ->
                        ( [ u / x ] [ v / y ] ph <->
                                  E. x E. y ( ( x = u /\ y = v ) /\ ph ) ) ) $=
      ( cv wceq wal wn wa wex wsb wb wi exbii hbs1 idn1 e1a e01 in1 axc11 imim1
      wo ax6e2ndeq anabs5 2pm13.193 sbt sbi1 axc11n con3i sbal2 biimpcd pm2.61i
      e0a imbi2 nf5i 19.41 bitr3i bitr2i anbi2i pm5.32 mpbir sylbi ) BFZCFZGBHZ
      IZEFZDFZGUCVDVHGVEVIGJZCKZBKZACDLZBELZVJAJZCKZBKZMZBCDEUDVLVRNVLVNJZVLVQJ
      ZMVSVLVSJVTVLVNUEVSVQVLVQVKVNJZBKVSVPWABVPVJVNJZCKWAWBVOCABCDEUFOVJVNCVNC
      VFVNVNCHZNZVFWDVNVNBHZNVFWEWCNZWDVMBEPZVFVFWFVFQVNBCUARVNWEWCUBSTVGWDVNVM
      CHZBELZNZVGWIWCMZWDVMWHNZBELWJWLBEACDPUGVMWHBEUHUNVGVEVDGCHZIZWKVGVGWNVGQ
      WMVFCBUIUJRVMCBEUKRWKWJWDWIWCVNUOULSTUMUPUQUROVKVNBVNBWGUPUQUSUTURVLVNVQV
      AVBVC $.
  $}

  ${
    $d u x $.  $d u y $.  $d v x $.  $d v y $.
    2uasbanhVD.1 $e |- ( ch <-> ( E. x E. y ( ( x = u /\ y = v ) /\ ph ) /\
                                  E. x E. y ( ( x = u /\ y = v ) /\ ps ) ) ) $.
    $( The following User's Proof is a Virtual Deduction proof (see ~ wvd1 )
       completed automatically by a Metamath tools program invoking mmj2 and
       the Metamath Proof Assistant.  ~ 2uasbanh is ~ 2uasbanhVD without
       virtual deductions and was automatically derived from ~ 2uasbanhVD .
       (Contributed by Alan Sare, 31-May-2014.)
       (Proof modification is discouraged.)  (New usage is discouraged.)
       <HTML> <TABLE>
       <TR> <TD> h1::         <TD> ` |- ( ch <-> ( E. x E. y ( ( x = u /\ y = `
       ` v ) /\ ph ) /\ E. x E. y ( ( x = u /\ y = v ) /\ ps ) ) ) `
       <TR> <TD> 100:1:       <TD> ` |- ( ch -> ( E. x E. y ( ( x = u /\ y = `
       ` v ) /\ ph ) /\ E. x E. y ( ( x = u /\ y = v ) /\ ps ) ) ) `
       <TR> <TD> 2:100:       <TD> ` |- (. ch ->. ( E. x E. y ( ( x = u /\ y `
       ` = v ) /\ ph ) /\ E. x E. y ( ( x = u /\ y = v ) /\ ps ) ) ). `
       <TR> <TD> 3:2:         <TD> ` |- (. ch ->. E. x E. y ( ( x = u /\ y = `
       ` v ) /\ ph ) ). `
       <TR> <TD> 4:3:         <TD> ` |- (. ch ->. E. x E. y ( x = u /\ y = v `
       ` ) ). `
       <TR> <TD> 5:4:         <TD> ` |- (. ch ->. ( -. A. x x = y \/ u = v ) `
       ` ). `
       <TR> <TD> 6:5:         <TD> ` |- (. ch ->. ( [ u / x ] [ v / y ] ph `
       ` <-> E. x E. y ( ( x = u /\ y = v ) /\ ph ) ) ). `
       <TR> <TD> 7:3,6:       <TD> ` |- (. ch ->. [ u / x ] [ v / y ] ph ). `
       <TR> <TD> 8:2:         <TD> ` |- (. ch ->. E. x E. y ( ( x = u /\ y = `
       ` v ) /\ ps ) ). `
       <TR> <TD> 9:5:         <TD> ` |- (. ch ->. ( [ u / x ] [ v / y ] ps `
       ` <-> E. x E. y ( ( x = u /\ y = v ) /\ ps ) ) ). `
       <TR> <TD> 10:8,9:      <TD> ` |- (. ch ->. [ u / x ] [ v / y ] ps ). `
       <TR> <TD> 101::        <TD> ` |- ( [ v / y ] ( ph /\ ps ) <-> ( [ v / `
       ` y ] ph /\ [ v / y ] ps ) ) `
       <TR> <TD> 102:101:     <TD> ` |- ( [ u / x ] [ v / y ] ( ph /\ ps ) `
       ` <-> [ u / x ] ( [ v / y ] ph /\ [ v / y ] ps ) ) `
       <TR> <TD> 103::        <TD> ` |- ( [ u / x ] ( [ v / y ] ph /\ [ v / y `
       ` ] ps ) <-> ( [ u / x ] [ v / y ] ph /\ [ u / x ] [ v / y ] ps ) ) `
       <TR> <TD> 104:102,103: <TD> ` |- ( [ u / x ] [ v / y ] ( ph /\ ps ) `
       ` <->  ( [ u / x ] [ v / y ] ph /\ [ u / x ] [ v / y ] ps ) ) `
       <TR> <TD> 11:7,10,104: <TD> ` |- (. ch ->. [ u / x ] [ v / y ] ( ph /\ `
       ` ps ) ). `
       <TR> <TD> 110:5:       <TD> ` |- (. ch ->. ( [ u / x ] [ v / y ] ( ph `
       ` /\ ps ) <-> E. x E. y ( ( x = u /\ y = v ) /\ ( ph /\ ps ) ) ) ). `
       <TR> <TD> 12:11,110:   <TD> ` |- (. ch ->. E. x E. y ( ( x = u /\ y = `
       ` v ) /\ ( ph /\ ps ) ) ). `
       <TR> <TD> 120:12:      <TD> ` |- ( ch -> E. x E. y ( ( x = u /\ y = v `
       ` ) /\ ( ph /\ ps ) ) ) `
       <TR> <TD> 13:1,120:    <TD> ` |- ( ( E. x E. y ( ( x = u /\ y = v ) /\ `
       ` ph ) /\ E. x E. y ( ( x = u /\ y = v ) /\ ps ) ) -> `
       ` E. x E. y ( ( x = u `
       ` /\ y = v ) /\ ( ph /\ ps ) ) ) `
       <TR> <TD> 14::         <TD> ` |- (. ( ( x = u /\ y = v ) /\ ( ph /\ ps `
       ` ) ) ->. ( ( x = u /\ y = v ) /\ ( ph /\ ps ) ) ). `
       <TR> <TD> 15:14:       <TD> ` |- (. ( ( x = u /\ y = v ) /\ ( ph /\ ps `
       ` ) ) ->. ( x = u /\ y = v ) ). `
       <TR> <TD> 16:14:       <TD> ` |- (. ( ( x = u /\ y = v ) /\ ( ph /\ ps `
       ` ) ) ->. ( ph /\ ps ) ). `
       <TR> <TD> 17:16:       <TD> ` |- (. ( ( x = u /\ y = v ) /\ ( ph /\ ps `
       ` ) ) ->. ph ). `
       <TR> <TD> 18:15,17:    <TD> ` |- (. ( ( x = u /\ y = v ) /\ ( ph /\ ps `
       ` ) ) ->. ( ( x = u /\ y = v ) /\ ph ) ). `
       <TR> <TD> 19:18:       <TD> ` |- ( ( ( x = u /\ y = v ) /\ ( ph /\ ps `
       ` ) ) -> ( ( x = u /\ y = v ) /\ ph ) ) `
       <TR> <TD> 20:19:       <TD> ` |- ( E. y ( ( x = u /\ y = v ) /\ ( ph `
       ` /\ ps ) ) -> E. y ( ( x = u /\ y = v ) /\ ph ) ) `
       <TR> <TD> 21:20:       <TD> ` |- ( E. x E. y ( ( x = u /\ y = v ) /\ ( `
       ` ph /\ ps ) ) -> E. x E. y ( ( x = u /\ y = v ) /\ ph ) ) `
       <TR> <TD> 22:16:       <TD> ` |- (. ( ( x = u /\ y = v ) /\ ( ph /\ ps `
       ` ) ) ->. ps ). `
       <TR> <TD> 23:15,22:    <TD> ` |- (. ( ( x = u /\ y = v ) /\ ( ph /\ ps `
       ` ) ) ->. ( ( x = u /\ y = v ) /\ ps ) ). `
       <TR> <TD> 24:23:       <TD> ` |- ( ( ( x = u /\ y = v ) /\ ( ph /\ ps `
       ` ) ) -> ( ( x = u /\ y = v ) /\ ps ) ) `
       <TR> <TD> 25:24:       <TD> ` |- ( E. y ( ( x = u /\ y = v ) /\ ( ph `
       ` /\ ps ) ) -> E. y ( ( x = u /\ y = v ) /\ ps ) ) `
       <TR> <TD> 26:25:       <TD> ` |- ( E. x E. y ( ( x = u /\ y = v ) /\ ( `
       ` ph /\ ps ) ) -> E. x E. y ( ( x = u /\ y = v ) /\ ps ) ) `
       <TR> <TD> 27:21,26:    <TD> ` |- ( E. x E. y ( ( x = u /\ y = v ) /\ ( `
       ` ph /\ ps ) ) -> ( E. x E. y ( ( x = u /\ y = v ) /\ ph ) /\ `
       ` E. x E. y ( `
       ` ( x = u /\ y = v ) /\ ps ) ) ) `
       <TR> <TD> qed:13,27:   <TD> ` |- ( E. x E. y ( ( x = u /\ y = v ) /\ ( `
       ` ph /\ ps ) ) <-> ( E. x E. y ( ( x = u /\ y = v ) /\ ph ) /\ `
       ` E. x E. y ( `
       ` ( x = u /\ y = v ) /\ ps ) ) ) `
       </TABLE> </HTML> $)
    2uasbanhVD $p |- ( E. x E. y ( ( x = u /\ y = v ) /\ ( ph /\ ps ) ) <->
                                ( E. x E. y ( ( x = u /\ y = v ) /\ ph ) /\
                                  E. x E. y ( ( x = u /\ y = v ) /\ ps ) ) ) $=
      ( cv wceq wa wex simpl e1a simpr e11 in1 eximi wsb wb idn1 biimpi dfvd1ir
      pm3.2 jca wal wn 2eximi ax6e2ndeq biimpri 2sb5nd biimpr com12 sbbii bitri
      wo sban simplbi2comt com13 e110 biimp sylbir impbii ) DIZGIZJEIZFIZJKZABK
      ZKZELZDLZVHAKZELZDLZVHBKZELZDLZKZVLVOVRVKVNDVJVMEVJVMVJVHAVMVJVJVHVJUAZVH
      VIMNZVJVIAVJVJVIVTVHVIONZABMNVHAUDPQRRVKVQDVJVPEVJVPVJVHBVPWAVJVIBWBABONV
      HBUDPQRRUEVSCVLHCVLCVIEFSZDGSZWDVLTZVLCAEFSZDGSZBEFSZDGSZWDWGWIKZTZWDCVOW
      GVOTZWGCVSVOCVSCVSHUBUCZVOVRMNZCVDVFJDUFUGVEVGJUPZWLCVHELDLZWOCVOWPWNVMVH
      DEVHAMUHNWOWPDEFGUIUJNZADEFGUKNWLVOWGWGVOULUMPCVRWIVRTZWICVSVRWMVOVRONCWO
      WRWQBDEFGUKNWRVRWIWIVRULUMPWDWFWHKZDGSWJWCWSDGABEFUQUNWFWHDGUQUOWKWIWGWDW
      DWGWIURUSUTCWOWEWQVIDEFGUKNWEWDVLWDVLVAUMPQVBVC $.
  $}

  $( The following User's Proof is a Virtual Deduction proof (see ~ wvd1 )
     completed automatically by a Metamath tools program invoking mmj2 and the
     Metamath Proof Assistant.  ~ e2ebind is ~ e2ebindVD without virtual
     deductions and was automatically derived from ~ e2ebindVD .
     <HTML> <TABLE>
     <TR> <TD> 1::          <TD> ` |- ( ph <-> ph ) `
     <TR> <TD> 2:1:         <TD> ` |- ( A. y y = x -> ( ph <-> ph ) ) `
     <TR> <TD> 3:2:         <TD> ` |- ( A. y y = x -> ( E. y ph <-> E. x ph `
     ` ) ) `
     <TR> <TD> 4::          <TD> ` |- (. A. y y = x ->. A. y y = x ). `
     <TR> <TD> 5:3,4:       <TD> ` |- (. A. y y = x ->. ( E. y ph <-> E. x `
     ` ph ) ). `
     <TR> <TD> 6::          <TD> ` |- ( A. y y = x -> A. y A. y y = x ) `
     <TR> <TD> 7:5,6:       <TD> ` |- (. A. y y = x ->. A. y ( E. y ph <-> `
     ` E. x ph ) ). `
     <TR> <TD> 8:7:         <TD> ` |- (. A. y y = x ->. ( E. y E. y ph <-> `
     ` E. y E. x ph ) ). `
     <TR> <TD> 9::          <TD> ` |- ( E. y E. x ph <-> E. x E. y ph ) `
     <TR> <TD> 10:8,9:      <TD> ` |- (. A. y y = x ->. ( E. y E. y ph <-> `
     ` E. x E. y ph ) ). `
     <TR> <TD> 11::         <TD> ` |- ( E. y ph -> A. y E. y ph ) `
     <TR> <TD> 12:11:       <TD> ` |- ( E. y E. y ph <-> E. y ph ) `
     <TR> <TD> 13:10,12:    <TD> ` |- (. A. y y = x ->. ( E. x E. y ph <-> `
     ` E. y ph ) ). `
     <TR> <TD> 14:13:       <TD> ` |- ( A. y y = x -> ( E. x E. y ph <-> E. `
     ` y ph ) ) `
     <TR> <TD> 15::         <TD> ` |- ( A. y y = x <-> A. x x = y ) `
     <TR> <TD> qed:14,15:   <TD> ` |- ( A. x x = y -> ( E. x E. y ph <-> E. `
     ` y ph ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 27-Nov-2014.)  (Proof modification is
     discouraged.)  (New usage is discouraged.) $)
  e2ebindVD $p |- ( A. x x = y -> ( E. x E. y ph <-> E. y ph ) ) $=
    ( cv wceq wal wex wb axc11n hba1 idn1 biid a1i drex1 e1a gen11nv exbi excom
    bibi1 e10 biimprd nfe1 19.9 bitr3 in1 syl ) BDZCDZEBFUHUGEZCFZACGZBGZUKHZBC
    IUJUMUJUKCGZULHZUNUKHUMUJUNABGZCGZHZUQULHZUOUJUKUPHZCFURUJUTCUICJUJUJUTUJKA
    ACBAAHUJALMNOPUKUPCQOACBRURUOUSUNUQULSUATUKCACUBUCUNULUKUDTUEUF $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Virtual Deduction transcriptions of textbook proofs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( The following User's Proof is a Natural Deduction Sequent Calculus
       transcription of the Fitch-style Natural Deduction proof of Unit 20
       Excercise 3.a., which is ~ sb5 , found in the "Answers to Starred
       Exercises" on page 457 of "Understanding Symbolic Logic", Fifth
       Edition (2008), by Virginia Klenk.  The same proof may also be
       interpreted as a Virtual Deduction Hilbert-style axiomatic proof.  It
       was completed automatically by the tools program completeusersproof.cmd,
       which invokes Mel L. O'Cat's mmj2 and Norm Megill's Metamath Proof
       Assistant.  ~ sb5ALT is ~ sb5ALTVD without virtual deductions and
       was automatically derived from ~ sb5ALTVD .
       <HTML> <TABLE>
       <TR> <TD> 1::        <TD> ` |- (. [ y / x ] ph ->. [ y / x ] ph ). `
       <TR> <TD> 2::        <TD> ` |- [ y / x ] x = y `
       <TR> <TD> 3:1,2:     <TD> ` |- (. [ y / x ] ph ->. [ y / x ] ( x = y `
       ` /\ ph ) ). `
       <TR> <TD> 4:3:       <TD> ` |- (. [ y / x ] ph ->.  E. x ( x = y /\ ph `
       ` ) ). `
       <TR> <TD> 5:4:       <TD> ` |- ( [ y / x ] ph -> E. x ( x = y /\ ph ) `
       ` ) `
       <TR> <TD> 6::        <TD> ` |- (. E. x ( x = y /\ ph ) ->. E. x ( x = `
       ` y /\ ph ) ). `
       <TR> <TD> 7::        <TD> ` |- (. E. x ( x = y /\ ph ) ,. ( x = y /\ ph
       `
       ` ) ->. ( x = y /\ ph ) ). `
       <TR> <TD> 8:7:       <TD> ` |- (. E. x ( x = y /\ ph ) ,. ( x = y /\ ph
       `
       ` ) ->. ph ). `
       <TR> <TD> 9:7:       <TD> ` |- (. E. x ( x = y /\ ph ) ,. ( x = y /\ ph
       `
       ` ) ->. x = y ). `
       <TR> <TD> 10:8,9:    <TD> ` |- (. E. x ( x = y /\ ph ) ,. ( x = y /\ ph
       `
       ` ) ->. [ y / x ] ph ). `
       <TR> <TD> 101::      <TD> ` |- ( [ y / x ] ph -> A. x [ y / x ] ph ) `
       <TR> <TD> 11:101,10: <TD> ` |- ( E. x ( x = y /\ ph ) -> [ y / x ] ph `
       ` ) `
       <TR> <TD> 12:5,11:   <TD> ` |- ( ( [ y / x ] ph ->  E. x ( x = y /\ ph `
       ` ) ) /\ ( E. x ( x = y /\ ph ) -> [ y / x ] ph ) ) `
       <TR> <TD> qed:12:    <TD> ` |- ( [ y / x ] ph <-> E. x ( x = y /\ ph ) `
       ` ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 21-Apr-2013.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    sb5ALTVD $p |- ( [ y / x ] ph <-> E. x ( x = y /\ ph ) ) $=
      ( wsb cv wceq wa wex wi wb idn1 equsb1 sban simplbi2com e10 spsbe e1a in1
      hbs1 e2 idn2 simpr simpl sbequ1 com12 e22 exinst pm3.2i impbi imp e0a ) A
      BCDZBECEFZAGZBHZIZUOULIZGULUOJZUPUQULUOULUNBCDZUOULULUMBCDZUSULKBCLUSUTUL
      UMABCMNOUNBCPQRUNULBABCSUOUNAUMULUOUNUNAUOUNUAZUMAUBTUOUNUNUMVAUMAUCTUMAU
      LABCUDUEUFUGUHUPUQURULUOUIUJUK $.
  $}

  ${
    vk15.4jVD.1 $e |- -. ( E. x -. ph /\ E. x ( ps /\ -. ch ) ) $.
    vk15.4jVD.2 $e |- ( A. x ch -> -. E. x ( th /\ ta ) ) $.
    vk15.4jVD.3 $e |- -. A. x ( ta -> ph ) $.
    $( The following User's Proof is a Natural Deduction Sequent Calculus
       transcription of the Fitch-style Natural Deduction proof of Unit 15
       Excercise 4.f. found in the "Answers to Starred Exercises" on page 442
       of "Understanding Symbolic Logic", Fifth Edition (2008), by Virginia
       Klenk.  The same proof may also be interpreted to be a Virtual Deduction
       Hilbert-style axiomatic proof.  It was completed automatically by the
       tools program completeusersproof.cmd, which invokes Mel L. O'Cat's mmj2
       and Norm Megill's Metamath Proof Assistant.  ~ vk15.4j is ~ vk15.4jVD
       without virtual deductions and was automatically derived
       from ~ vk15.4jVD .  Step numbers greater than 25 are additional steps
       necessary for the sequent calculus proof not contained in the
       Fitch-style proof.  Otherwise, step i of the User's Proof corresponds to
       step i of the Fitch-style proof.
       <HTML> <TABLE>
       <TR> <TD> h1::               <TD> ` |- -. ( E. x -. ph /\ E. x ( ps /\ `
       ` -. ch ) ) `
       <TR> <TD> h2::               <TD> ` |- ( A. x ch -> -. E. x ( th /\ ta `
       ` ) ) `
       <TR> <TD> h3::               <TD> ` |- -. A. x ( ta -> ph ) `
       <TR> <TD> 4::                <TD> ` |- (. -. E. x -. th ->. -. E. x -. `
       ` th ). `
       <TR> <TD> 5:4:               <TD> ` |- (. -. E. x -. th ->. A. x th ). `
       <TR> <TD> 6:3:               <TD> ` |- E. x ( ta /\ -. ph ) `
       <TR> <TD> 7::                <TD> ` |- (. -. E. x -. th ,. ( ta /\ -. `
       ` ph ) ->. ( ta /\ -. ph ) ). `
       <TR> <TD> 8:7:               <TD> ` |- (. -. E. x -. th ,. ( ta /\ -. `
       ` ph ) ->. ta ). `
       <TR> <TD> 9:7:               <TD> ` |- (. -. E. x -. th ,. ( ta /\ -. `
       ` ph ) ->. -. ph ). `
       <TR> <TD> 10:5:              <TD> ` |- (. -. E. x -. th ->. th ). `
       <TR> <TD> 11:10,8:           <TD> ` |- (. -. E. x -. th ,. ( ta /\ -. `
       ` ph ) ->. ( th /\ ta ) ). `
       <TR> <TD> 12:11:             <TD> ` |- (. -. E. x -. th ,. ( ta /\ -. `
       ` ph ) ->. E. x ( th /\ ta ) ). `
       <TR> <TD> 13:12:             <TD> ` |- (. -. E. x -. th ,. ( ta /\ -. `
       ` ph ) ->. -. -. E. x ( th /\ ta ) ). `
       <TR> <TD> 14:2,13:           <TD> ` |- (. -. E. x -. th ,. ( ta /\ -. `
       ` ph ) ->. -. A. x ch ). `
       <TR> <TD> 140::              <TD> ` |- ( E. x -. th -> A. x E. x -. th `
       ` ) `
       <TR> <TD> 141:140:           <TD> ` |- ( -. E. x -. th -> A. x -. E. x `
       ` -. th ) `
       <TR> <TD> 142::              <TD> ` |- ( A. x ch -> A. x A. x ch ) `
       <TR> <TD> 143:142:           <TD> ` |- ( -. A. x ch -> A. x -. A. x ch `
       ` ) `
       <TR> <TD> 144:6,14,141,143:  <TD> ` |- (. -. E. x -. th ->. -. A. x ch `
       ` ). `
       <TR> <TD> 15:1:              <TD> ` |- ( -. E. x -. ph \/ -. E. x ( ps `
       ` /\ -. ch ) ) `
       <TR> <TD> 16:9:              <TD> ` |- (. -. E. x -. th ,. ( ta /\ -. `
       ` ph ) ->. E. x -. ph ). `
       <TR> <TD> 161::              <TD> ` |- ( E. x -. ph -> A. x E. x -. ph `
       ` ) `
       <TR> <TD> 162:6,16,141,161:  <TD> ` |- (. -. E. x -. th ->. E. x -. ph `
       ` ). `
       <TR> <TD> 17:162:            <TD> ` |- (. -. E. x -. th ->. -. -. E. x `
       ` -. ph ). `
       <TR> <TD> 18:15,17:          <TD> ` |- (. -. E. x -. th ->. -. E. x ( `
       ` ps /\ -. ch ) ). `
       <TR> <TD> 19:18:             <TD> ` |- (. -. E. x -. th ->. A. x ( ps `
       ` -> ch ) ). `
       <TR> <TD> 20:144:            <TD> ` |- (. -. E. x -. th ->. E. x -. ch `
       ` ). `
       <TR> <TD> 21::               <TD> ` |- (. -. E. x -. th ,. -. ch ->. -.
       `
       ` ch ). `
       <TR> <TD> 22:19:             <TD> ` |- (. -. E. x -. th ->. ( ps -> ch `
       ` ) ). `
       <TR> <TD> 23:21,22:          <TD> ` |- (. -. E. x -. th ,. -. ch ->. -.
       `
       ` ps ). `
       <TR> <TD> 24:23:             <TD> ` |- (. -. E. x -. th ,. -. ch ->. E.
       `
       ` x -. ps ). `
       <TR> <TD> 240::              <TD> ` |- ( E. x -. ps -> A. x E. x -. ps `
       ` ) `
       <TR> <TD> 241:20,24,141,240: <TD> ` |- (. -. E. x -. th ->. E. x -. ps `
       ` ). `
       <TR> <TD> 25:241:            <TD> ` |- (. -. E. x -. th ->. -. A. x ps `
       ` ). `
       <TR> <TD> qed:25:            <TD> ` |- ( -. E. x -. th -> -. A. x ps ) `
       </TABLE> </HTML>
       (Contributed by Alan Sare, 21-Apr-2013.)  (Proof modification is
       discouraged.)  (New usage is discouraged.) $)
    vk15.4jVD $p |- ( -. E. x -. th -> -. A. x ps ) $=
      ( wn wex wal wa wi exanali biimpri e1a e2 19.8a hbe1 idn1 alex idn2 simpl
      e0a sp pm3.2 e12 notnot con3 e02 hbn hba1 exinst01 exnal wo pm3.13 pm2.53
      simpr e01 con5i com12 e21 exinst11 biimpi in1 ) DJZFKZJZBFLJZVIBJZFKZVJVI
      CJZVLFVICFLZJZVMFKZVIEAJZMZVOFEANFLJZVRFKZIVTVSEAFOPUEZVNDEMZFKZJZNVIVRWD
      JZVOHVIVRWCWEVIVRWBWCVIDVREWBVIDFLZDVIVIWFVIUAWFVIDFUBPQDFUFQVIVRVREVIVRU
      CZEVQUDRDEUGUHWBFSRWCUIRVNWDUJUKVHFVGFTULZVNFCFUMULUNVPVOCFUOPQVIVMVKVLVI
      VMVMBCNZVKVIVMUCVIWIFLZWIVIBVMMFKZJZWJVQFKZJZWLUPZVIWNJZWLWMWKMJWOGWMWKUQ
      UEVIWMWPVIVRWMFWAVIVRVQWMVIVRVRVQWGEVQUSRVQFSRWHVQFTUNWMUIQWNWLURUTWKWJBC
      FOVAQWIFUFQWIVMVKBCUJVBVCVKFSRWHVKFTVDVLVJBFUOVEQVF $.
  $}

  $( The following User's Proof is a Natural Deduction Sequent Calculus
     transcription of the Fitch-style Natural Deduction proof of Theorem 5 of
     Section 14 of [Margaris] p. 59 (which is ~ notnotr ).  The same proof
     may also be interpreted as a Virtual Deduction Hilbert-style
     axiomatic proof.  It was completed automatically by the tools program
     completeusersproof.cmd, which invokes Mel L. O'Cat's mmj2 and Norm
     Megill's Metamath Proof Assistant.  ~ notnotrALT is ~ notnotrALTVD
     without virtual deductions and was automatically derived
     from ~ notnotrALTVD .  Step i of the User's Proof corresponds to
     step i of the Fitch-style proof.
     <HTML> <TABLE>
     <TR> <TD> 1::    <TD> ` |- (. -. -. ph ->. -. -. ph ). `
     <TR> <TD> 2::    <TD> ` |- ( -. -. ph -> ( -. ph -> -. -. -. ph ) ) `
     <TR> <TD> 3:1:   <TD> ` |- (. -. -. ph ->. ( -. ph -> -. -. -. ph ) ). `
     <TR> <TD> 4::    <TD> ` |- ( ( -. ph -> -. -. -. ph ) -> ( -. -. ph -> `
     ` ph ) ) `
     <TR> <TD> 5:3:   <TD> ` |- (. -. -. ph ->. ( -. -. ph -> ph ) ). `
     <TR> <TD> 6:5,1: <TD> ` |- (. -. -. ph ->. ph ). `
     <TR> <TD> qed:6: <TD> ` |- ( -. -. ph -> ph ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 21-Apr-2013.)  (Proof modification is
     discouraged.)  (New usage is discouraged.) $)
  notnotrALTVD $p |- ( -. -. ph -> ph ) $=
    ( wn wi idn1 pm2.21 e1a con4 id e11 in1 ) ABZBZALLACZLALKLBZCZMLLOLDZKNEFAL
    GFPMHIJ $.

  $( The following User's Proof is a Natural Deduction Sequent Calculus
     transcription of the Fitch-style Natural Deduction proof of Theorem 7 of
     Section 14 of [Margaris] p. 60 (which is ~ con3 ).  The same proof may
     also be interpreted to be a Virtual Deduction Hilbert-style axiomatic
     proof.  It was completed automatically by the tools program
     completeusersproof.cmd, which invokes Mel L. O'Cat's mmj2 and Norm
     Megill's Metamath Proof Assistant.  ~ con3ALT2 is ~ con3ALTVD without
     virtual deductions and was automatically derived from ~ con3ALTVD .
     Step i of the User's Proof corresponds to step i of the Fitch-style proof.
     <HTML> <TABLE>
     <TR> <TD> 1::     <TD> ` |- (. ( ph -> ps ) ->. ( ph -> ps ) ). `
     <TR> <TD> 2::     <TD> ` |- (. ( ph -> ps ) ,. -. -. ph ->. -. -. ph ). `
     <TR> <TD> 3::     <TD> ` |- ( -. -. ph -> ph ) `
     <TR> <TD> 4:2:    <TD> ` |- (. ( ph -> ps ) ,. -. -. ph ->. ph ). `
     <TR> <TD> 5:1,4:  <TD> ` |- (. ( ph -> ps ) ,. -. -. ph ->. ps ). `
     <TR> <TD> 6::     <TD> ` |- ( ps -> -. -. ps ) `
     <TR> <TD> 7:6,5:  <TD> ` |- (. ( ph -> ps ) ,. -. -. ph ->. -. -. ps ). `
     <TR> <TD> 8:7:    <TD> ` |- (. ( ph -> ps ) ->. ( -. -. ph -> -. -. ps `
     ` ) ). `
     <TR> <TD> 9::     <TD> ` |- ( ( -. -. ph -> -. -. ps ) -> ( -. ps -> `
     ` -. ph ) ) `
     <TR> <TD> 10:8:   <TD> ` |- (. ( ph -> ps ) ->. ( -. ps -> -. ph ) ). `
     <TR> <TD> qed:10: <TD> ` |- ( ( ph -> ps ) -> ( -. ps -> -. ph ) ) `
     </TABLE> </HTML>
     (Contributed by Alan Sare, 21-Apr-2013.)  (Proof modification is
     discouraged.)  (New usage is discouraged.) $)
  con3ALTVD $p |- ( ( ph -> ps ) -> ( -. ps -> -. ph ) ) $=
    ( wi wn idn1 idn2 notnotr e2 id e12 notnot in2 con4 e1a in1 ) ABCZBDZADZCZP
    RDZQDZCSPTUAPTBUAPPTABPEPTTAPTFAGHPIJBKHLRQMNO $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Theorems proved using conjunction-form Virtual Deduction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    elpwgdedVD.1 $e |- (. ph ->. A e. _V ). $.
    elpwgdedVD.2 $e |- (. ps ->. A C_ B ). $.
    $( Membership in a power class.  Theorem 86 of [Suppes] p. 47.  Derived
       from ~ elpwg .  In form of VD deduction with ` ph ` and ` ps ` as
       variable virtual hypothesis collections based on Mario Carneiro's
       metavariable concept. ~ elpwgded is ~ elpwgdedVD using conventional
       notation.  (Contributed by Alan Sare, 23-Apr-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    elpwgdedVD $p |- (. (. ph ,. ps ). ->. A e. ~P B ). $=
      ( cvv wcel wss cpw elpwg biimpar el12 ) ACGHZCDIZCDJHZBEFNPOCDGKLM $.
  $}

  ${
    $d x A $.  $d x B $.
    $( If a class is a subclass of another class, then its power class is a
       subclass of that other class's power class.  Left-to-right implication
       of Exercise 18 of [TakeutiZaring] p. 18.  For the biconditional, see
       ~ sspwb .  The proof ~ sspwimp , using conventional notation, was
       translated from virtual deduction form, ~ sspwimpVD , using a
       translation program.  (Contributed by Alan Sare, 23-Apr-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    sspwimp $p |- ( A C_ B -> ~P A C_ ~P B ) $=
      ( vx wss cpw cv wcel wi wal cvv wa wtru vex a1i id syl sstr ancoms syl2an
      elpwi elpwgded uun0.1 ex alrimiv dfss2 biimpri iin1 ) ABDZAEZBEZDZUHCFZUI
      GZULUJGZHZCIZUKUHUOCUHUMUNULJGZUHUMKZULBDZUNUQLCMNZUHUHULADZUSUMUHOUMUMVA
      UMOULATPVAUHUSULABQRSZLURULBUTVBUAUBUCUDUKUPCUIUJUEUFPUG $.
  $}

  ${
    $d x A $.  $d x B $.
    $( The following User's Proof is a Virtual Deduction proof (see ~ wvd1 )
       using conjunction-form virtual hypothesis collections.  It was completed
       manually, but has the potential to be completed automatically by a tools
       program which would invoke Mel L. O'Cat's mmj2 and Norm Megill's
       Metamath Proof Assistant.
       ~ sspwimp is ~ sspwimpVD without virtual deductions and was derived
       from ~ sspwimpVD .  (Contributed by Alan Sare, 23-Apr-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.)
       <HTML> <TABLE>
       <TR> <TD> 1::    <TD> ` |- (. A C_ B ->. A C_ B ). `
       <TR> <TD> 2::    <TD> ` |- (. ` .............. ` x e. ~P A `
       ` ->. x e. ~P A ). `
       <TR> <TD> 3:2:   <TD> ` |- (. ` .............. ` x e. ~P A `
       ` ->. x C_ A ). `
       <TR> <TD> 4:3,1: <TD> ` |- (. (. A C_ B ,. x e. ~P A ). ->. x C_ B ). `
       <TR> <TD> 5::    <TD> ` |- x e. _V `
       <TR> <TD> 6:4,5: <TD> ` |- (. (. A C_ B ,. x e. ~P A ). ->. x e. ~P B `
       ` ). `
       <TR> <TD> 7:6:   <TD> ` |- (. A C_ B ->. ( x e. ~P A -> x e. ~P B ) `
       ` ). `
       <TR> <TD> 8:7:   <TD> ` |- (. A C_ B ->. A. x ( x e. ~P A -> x e. `
       ` ~P B ) ). `
       <TR> <TD> 9:8:   <TD> ` |- (. A C_ B ->. ~P A C_ ~P B ). `
       <TR> <TD> qed:9: <TD> ` |- ( A C_ B -> ~P A C_ ~P B ) `
       </TABLE> </HTML> $)
    sspwimpVD $p |- ( A C_ B -> ~P A C_ ~P B ) $=
      ( vx wss cpw cv wcel wi wal cvv wvhc2 wtru vex vd01 idn1 elpwi el1 ancoms
      sstr el12 elpwgdedVD un0.1 int2 gen11 dfss2 biimpri in1 ) ABDZAEZBEZDZUHC
      FZUIGZULUJGZHZCIZUKUHUOCUHUMUNULJGZUHUMKZULBDZUNUQLCMNZUHUHULADZUSUMUHOUM
      UMVAUMOULAPQVAUHUSULABSRTZLURULBUTVBUAUBUCUDUKUPCUIUJUEUFQUG $.
  $}

  ${
    $d x A $.  $d x B $.
    $( If a class is a subclass of another class, then its power class is a
       subclass of that other class's power class.  Left-to-right implication
       of Exercise 18 of [TakeutiZaring] p. 18. ~ sspwimpcf , using
       conventional notation, was translated from its virtual deduction form,
       ~ sspwimpcfVD , using a translation program.  (Contributed by Alan Sare,
       13-Jun-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    sspwimpcf $p |- ( A C_ B -> ~P A C_ ~P B ) $=
      ( vx wss cpw cv wcel wi wal cvv vex elpwi syl sstr2 impcom syl2an biimpar
      id elpwg eel021old ex alrimiv dfss2 biimpri iin1 ) ABDZAEZBEZDZUFCFZUGGZU
      JUHGZHZCIZUIUFUMCUFUKULUJJGZUFUKUJBDZULCKUFUFUJADZUPUKUFRUKUKUQUKRUJALMUQ
      UFUPUJABNOPUOULUPUJBJSQTUAUBUIUNCUGUHUCUDMUE $.
  $}

  ${
    $d x A $.  $d x B $.
    $( The following User's Proof is a Virtual Deduction proof (see ~ wvd1 )
       using conjunction-form virtual hypothesis collections.  It was completed
       automatically by a tools program which would invokes Mel L. O'Cat's mmj2
       and Norm Megill's Metamath Proof Assistant.
       ~ sspwimpcf is ~ sspwimpcfVD without virtual deductions and was derived
       from ~ sspwimpcfVD .
       The version of completeusersproof.cmd used is capable of only generating
       conjunction-form unification theorems, not unification deductions.
       (Contributed by Alan Sare, 13-Jun-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.)
       <HTML> <TABLE>
       <TR> <TD> 1::    <TD> ` |- (. A C_ B ->. A C_ B ). `
       <TR> <TD> 2::    <TD> ` |- (. ` ........... ` x e. ~P A `
       ` ->. x e. ~P A ). `
       <TR> <TD> 3:2:   <TD> ` |- (. ` ........... ` x e. ~P A `
       ` ->. x C_ A ). `
       <TR> <TD> 4:3,1: <TD> ` |- (. (. A C_ B ,. x e. ~P A ). ->. x C_ B ). `
       <TR> <TD> 5::    <TD> ` |- x e. _V `
       <TR> <TD> 6:4,5: <TD> ` |- (. (. A C_ B ,. x e. ~P A ). ->. x e. ~P B `
       ` ). `
       <TR> <TD> 7:6:   <TD> ` |- (. A C_ B ->. ( x e. ~P A -> x e. ~P B ) `
       ` ). `
       <TR> <TD> 8:7:   <TD> ` |- (. A C_ B ->. A. x ( x e. ~P A -> x e. `
       ` ~P B ) ). `
       <TR> <TD> 9:8:   <TD> ` |- (. A C_ B ->. ~P A C_ ~P B ). `
       <TR> <TD> qed:9: <TD> ` |- ( A C_ B -> ~P A C_ ~P B ) `
       </TABLE> </HTML> $)
    sspwimpcfVD $p |- ( A C_ B -> ~P A C_ ~P B ) $=
      ( vx wss cpw cv wcel wal cvv vex idn1 elpwi el1 sstr2 impcom el12 biimpar
      wi elpwg el021old int2 gen11 dfss2 biimpri in1 ) ABDZAEZBEZDZUFCFZUGGZUJU
      HGZRZCHZUIUFUMCUFUKULUJIGZUFUKUJBDZULCJUFUFUJADZUPUKUFKUKUKUQUKKUJALMUQUF
      UPUJABNOPUOULUPUJBISQTUAUBUIUNCUGUHUCUDMUE $.
  $}

  ${
    $d z A $.  $d y A $.  $d z y A $.
    $( The sucessor of a transitive class is transitive. ~ suctrALTcf , using
       conventional notation, was translated from virtual deduction form,
       ~ suctrALTcfVD , using a translation program.  (Contributed by Alan
       Sare, 13-Jun-2015.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    suctrALTcf $p |- ( Tr A -> Tr suc A ) $=
      ( vz vy wtr csuc cv wcel wa wi wal wceq wo wss sssucid id syl trel 3impib
      simpl ex syl3an ssel2 eel0321old 3expia eleq2 biimpac syl2an simpr elsuci
      eel021old jao 3imp eel2122old alrimivv dftr2 biimpri iin1 ) ADZAEZDZURBFZ
      CFZGZVBUSGZHZVAUSGZIZCJBJZUTURVGBCURVEVFURVEVBAGZVFIZVBAKZVFIZVIVKLZVFURV
      EVIVFAUSMZURVEVIVAAGZVFANZURURVEVCVIVIVOUROVEVEVCVEOZVCVDSPZVIOURVCVIVOAV
      AVBQRUAAUSVAUBZUCUDVEVKVFVNVEVKVOVFVPVEVCVKVOVKVRVKOVKVCVOVBAVAUEUFUGVSUJ
      TVEVDVMVEVEVDVQVCVDUHPVBAUIPVJVLVMVFVIVFVKUKULUMTUNUTVHBCUSUOUPPUQ $.
  $}

  ${
    $d z A $.  $d y A $.  $d z y A $.
    $( The following User's Proof is a Virtual Deduction proof (see ~ wvd1 )
       using conjunction-form virtual hypothesis collections.  The
       conjunction-form version of completeusersproof.cmd.  It allows the User
       to avoid superflous virtual hypotheses.  This proof was completed
       automatically by a tools program which invokes Mel L. O'Cat's
       mmj2 and Norm Megill's Metamath Proof Assistant. ~ suctrALTcf
       is ~ suctrALTcfVD without virtual deductions and was derived
       automatically from ~ suctrALTcfVD .  The version of
       completeusersproof.cmd used is capable of only generating
       conjunction-form unification theorems, not unification deductions.
       (Contributed by Alan Sare, 13-Jun-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.)
       <HTML> <TABLE>
       <TR> <TD> 1::         <TD> ` |- (. Tr A ->. Tr A ). `
       <TR> <TD> 2::         <TD> ` |- (. ` ......... ` ( z e. y /\ y e. `
       ` suc A ) ->. ( z e. y /\ y e. suc A ) ). `
       <TR> <TD> 3:2:        <TD> ` |- (. ` ......... ` ( z e. y /\ y e. `
       ` suc A )  ->. z e. y ). `
       <TR> <TD> 4::         <TD> ` |- (. ` ...................................
       ....... ` y e. A ->. y e. A ). `
       <TR> <TD> 5:1,3,4:    <TD> ` |- (. (. Tr A ,. ( z e. y /\ y e. suc A ) `
       ` , y e. A ). ->. z e. A ). `
       <TR> <TD> 6::         <TD> ` |- A C_ suc A `
       <TR> <TD> 7:5,6:      <TD> ` |- (. (. Tr A ,. ( z e. y /\ y e. suc A ) `
       ` , y e. A ). ->. z e. suc A ). `
       <TR> <TD> 8:7:        <TD> ` |- (. (. Tr A ,. ( z e. y /\ y e. suc A ) `
       ` ). ->. ( y e. A -> z e. suc A ) ). `
       <TR> <TD> 9::         <TD> ` |- (. ` ...................................
       ...... ` y = A ->. y = A ). `
       <TR> <TD> 10:3,9:     <TD> ` |- (. ` ........ ` (. ( z e. y /\ y e. `
       ` suc A ) , y = A ). ->. z e. A ). `
       <TR> <TD> 11:10,6:    <TD> ` |- (. ` ........ ` (. ( z e. y /\ y e. `
       ` suc A ) , y = A ). ->. z e. suc A ). `
       <TR> <TD> 12:11:      <TD> ` |- (. ` .......... ` ( z e. y /\ y e. `
       ` suc A ) ->. ( y = A -> z e. suc A ) ). `
       <TR> <TD> 13:2:       <TD> ` |- (. ` .......... ` ( z e. y /\ y e. `
       ` suc A )  ->. y e. suc A ). `
       <TR> <TD> 14:13:      <TD> ` |- (. ` .......... ` ( z e. y /\ y e. `
       ` suc A ) ->. ( y e. A \/ y = A ) ). `
       <TR> <TD> 15:8,12,14: <TD> ` |- (. (. Tr A ,. ( z e. y /\ y e. suc A ) `
       ` ). ->. z e. suc A ). `
       <TR> <TD> 16:15:      <TD> ` |- ` ` (. Tr A ->. ( ( z e. y /\ y e. `
       ` suc A ) -> z e. suc A ) ). `
       <TR> <TD> 17:16:      <TD> ` |- ` ` (. Tr A ->. A. z A. y ( ( z e. `
       ` y /\ y e. suc A ) -> z e. suc A ) ). `
       <TR> <TD> 18:17:      <TD> ` |- ` ` (. Tr A ->. Tr suc A ). `
       <TR> <TD> qed:18:     <TD> ` |- ( Tr A -> Tr suc A ) `
       </TABLE> </HTML> $)
    suctrALTcfVD $p |- ( Tr A -> Tr suc A ) $=
      ( vz vy wtr csuc cv wcel wa wi wal wceq wss sssucid idn1 simpl el1 3impib
      wo trel int2 el123 ssel2 el0321old int3 eleq2 biimpac el12 el021old simpr
      elsuci jao 3imp el2122old gen12 dftr2 biimpri in1 ) ADZAEZDZURBFZCFZGZVBU
      SGZHZVAUSGZIZCJBJZUTURVGBCURVEVFURVEVBAGZVFIZVBAKZVFIZVIVKRZVFURVEVIVFAUS
      LZURVEVIVAAGZVFAMZURURVEVCVIVIVOURNVEVEVCVENZVCVDOPZVINURVCVIVOAVAVBSQUAA
      USVAUBZUCUDVEVKVFVNVEVKVOVFVPVEVCVKVOVKVRVKNVKVCVOVBAVAUEUFUGVSUHTVEVDVMV
      EVEVDVQVCVDUIPVBAUJPVJVLVMVFVIVFVKUKULUMTUNUTVHBCUSUOUPPUQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Theorems with a VD proof in conventional notation derived from a VD proof
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d z A $.  $d y A $.  $d z y A $.
    $( The successor of a transitive class is transitive. ~ suctrALT3 is the
       completed proof in conventional notation of the Virtual Deduction proof
       ~ https://us.metamath.org/other/completeusersproof/suctralt3vd.html .
       It was completed manually.  The potential for automated derivation from
       the VD proof exists.  See ~ wvd1 for a description of Virtual Deduction.
       Some sub-theorems of the proof were completed using a unification
       deduction (e.g., the sub-theorem whose assertion is step 19 used
       ~ jaoded ).  Unification deductions employ Mario Carneiro's metavariable
       concept.  Some sub-theorems were completed using a unification theorem
       (e.g., the sub-theorem whose assertion is step 24 used ~ dftr2 ) .
       (Contributed by Alan Sare, 3-Dec-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    suctrALT3 $p |- ( Tr A -> Tr suc A ) $=
      ( vz vy wtr csuc wi cv wcel wa wal wceq w3a sssucid simpld trelded sselid
      id 3expia ex syl eleq2 biimpac syl2an simprd elsuci jaoded alrimivv dftr2
      wo un2122 biimpri idiALT ) ADZAEZDZFUMBGZCGZHZUQUNHZIZUPUNHZFZCJBJZUOUMVB
      BCUMUTVAUMUTVAUMUTIUQAHZVAUTUQAKZUTUMUTVDVAUMUTVDLAUNUPAMZUMUTVDAUPUQUMQU
      TURUSUTQZNZVDQOPRUTVEVAUTVEIAUNUPVFUTURVEUPAHZVEVHVEQVEURVIUQAUPUAUBUCPSU
      TUSVDVEUIUTURUSVGUDUQAUETUFUJSUGUOVCBCUNUHUKTUL $.
  $}

  ${
    $d x A $.  $d x B $.
    $( If a class is a subclass of another class, then its power class is a
       subclass of that other class's power class.  Left-to-right implication
       of Exercise 18 of [TakeutiZaring] p. 18. ~ sspwimpALT is the completed
       proof in conventional notation of the Virtual Deduction proof
       ~ https://us.metamath.org/other/completeusersproof/sspwimpaltvd.html .
       It was completed manually.  The potential for automated derivation from
       the VD proof exists.  See ~ wvd1 for a description of Virtual Deduction.
       Some sub-theorems of the proof were completed using a unification
       deduction (e.g., the sub-theorem whose assertion is step 9 used
       ~ elpwgded ).  Unification deductions employ Mario Carneiro's
       metavariable concept.  Some sub-theorems were completed using a
       unification theorem (e.g., the sub-theorem whose assertion is step 5
       used ~ elpwi ).  (Contributed by Alan Sare, 3-Dec-2015.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    sspwimpALT $p |- ( A C_ B -> ~P A C_ ~P B ) $=
      ( vx wss cpw wi cv wcel wal wa wtru cvv vex a1i id syl sylan9ssr elpwgded
      elpwi uunT1 ex alrimiv dfss2 biimpri idiALT ) ABDZAEZBEZDZFUFCGZUGHZUJUHH
      ZFZCIZUIUFUMCUFUKULUFUKJZULKUOUJBUJLHKCMNUKUFUJABUKUKUJADUKOUJASPUFOQRTUA
      UBUIUNCUGUHUCUDPUE $.
  $}

  ${
    $d q x A $.
    unisnALT.1 $e |- A e. _V $.
    $( A set equals the union of its singleton.  Theorem 8.2 of [Quine] p. 53.
       The User manually input on a mmj2 Proof Worksheet, without labels, all
       steps of ~ unisnALT except 1, 11, 15, 21, and 30.  With execution of the
       mmj2 unification command, mmj2 could find labels for all steps except
       for 2, 12, 16, 22, and 31 (and the then non-existing steps 1, 11, 15,
       21, and 30). mmj2 could not find reference theorems for those five steps
       because the hypothesis field of each of these steps was empty and none
       of those steps unifies with a theorem in set.mm.  Each of these five
       steps is a semantic variation of a theorem in set.mm and is 2-step
       provable. mmj2 does not have the ability to automatically generate the
       semantic variation in set.mm of a theorem in a mmj2 Proof Worksheet
       unless the theorem in the Proof Worksheet is labeled with a 1-hypothesis
       deduction whose hypothesis is a theorem in set.mm which unifies with the
       theorem in the Proof Worksheet.  The stepprover.c program, which invokes
       mmj2, has this capability. stepprover.c automatically generated steps 1,
       11, 15, 21, and 30, labeled all steps, and generated the RPN proof of
       ~ unisnALT .  Roughly speaking, stepprover.c added to the Proof
       Worksheet a labeled duplicate step of each non-unifying theorem for each
       label in a text file, labels.txt, containing a list of labels provided
       by the User.  Upon mmj2 unification, stepprover.c identified a label for
       each of the five theorems which 2-step proves it.  For ~ unisnALT , the
       label list is a list of all 1-hypothesis propositional calculus
       deductions in set.mm. stepproverp.c is the same as stepprover.c except
       that it intermittently pauses during execution, allowing the User to
       observe the changes to a text file caused by the execution of particular
       statements of the program.  (Contributed by Alan Sare, 19-Aug-2016.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    unisnALT $p |- U. { A } = A $=
      ( vx vq csn cuni cv wcel wi wal wss wa biimpi id syl ax-gen ax-mp sylancl
      dfss2 biimpri eluni simpl simpr elsni eleq2 biimpac syl2anc 19.23v pm3.35
      wex wceq snid elunii eqssi ) AEZFZACGZUPHZUQAHZIZCJZUPAKZUTCURUQDGZHZVCUO
      HZLZDUJZVGUSIZUSURVGDUQUOUAMVFUSIZDJZVHVIDVFVDVCAUKZUSVFVFVDVFNZVDVEUBOVF
      VEVKVFVFVEVLVDVEUCOVCAUDOVKVDUSVCAUQUEUFUGPVJVHVFUSDUHMQVGUSUIRPVBVACUPAS
      TQUSURIZCJZAUPKZVMCUSUSAUOHURUSNABULUQAUOUMRPVOVNCAUPSTQUN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Theorems with a proof in conventional notation derived from a VD proof
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Theorems with a proof in conventional notation automatically derived by
  completeusersproof.c from a Virtual Deduction User's Proof.

$)

  $( Converse of double negation.  Theorem *2.14 of [WhiteheadRussell] p. 102.
     Proof derived by completeusersproof.c from User's Proof in
     VirtualDeductionProofs.txt.  (Contributed by Alan Sare, 11-Sep-2016.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  notnotrALT2 $p |- ( -. -. ph -> ph ) $=
    ( notnotr ) AB $.

  ${
    $d x A $.  $d x B $.
    $( If a class is a subclass of another class, then its power class is a
       subclass of that other class's power class.  Left-to-right implication
       of Exercise 18 of [TakeutiZaring] p. 18.  Proof derived by
       completeusersproof.c from User's Proof in VirtualDeductionProofs.txt.
       The User's Proof in html format is displayed in
       ~ https://us.metamath.org/other/completeusersproof/sspwimpaltvd.html .
       (Contributed by Alan Sare, 11-Sep-2016.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    sspwimpALT2 $p |- ( A C_ B -> ~P A C_ ~P B ) $=
      ( vx wss cpw cv wa cvv vex elpwi id sylan9ssr elpwg biimpar sylancr ssrdv
      wcel ex ) ABDZCAEZBEZSCFZTQZUBUAQZSUCGUBHQZUBBDZUDCIUCSUBABUBAJSKLUEUDUFU
      BBHMNORP $.
  $}

  $( Absorption of an existential quantifier of a double existential quantifier
     of non-distinct variables.  The proof is derived by completeusersproof.c
     from User's Proof in VirtualDeductionProofs.txt.  The User's Proof in html
     format is displayed in ~ e2ebindVD .  (Contributed by Alan Sare,
     11-Sep-2016.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  e2ebindALT $p |- ( A. x x = y -> ( E. x E. y ph <-> E. y ph ) ) $=
    ( weq wal wex wb axc11n nfe1 19.9 excom nfa1 id a1i drex1 syl alrimi impcom
    biid sylancr exbi bitr ex bitr3 ) BCDBECBDZCEZACFZBFZUGGZBCHUFUGCFZUGGZUJUH
    GZUIUGCACIJUFABFZCFZUHGZUJUNGZULACBKUFUGUMGZCEUPUFUQCUECLUFUFUQUFMAACBAAGUF
    ASNOPQUGUMCUAPUPUOULUPUOULUJUNUHUBUCRTULUKUIUJUHUGUDRTP $.

  ${
    $d u x $.  $d u y $.  $d v x z $.  $d y z $.
    $( If at least two sets exist ( ~ dtru ) , then the same is true expressed
       in an alternate form similar to the form of ~ ax6e .  The proof is
       derived by completeusersproof.c from User's Proof in
       VirtualDeductionProofs.txt.  The User's Proof in html format is
       displayed in ~ ax6e2ndVD .  (Contributed by Alan Sare, 11-Sep-2016.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    ax6e2ndALT $p |- ( -. A. x x = y -> E. x E. y ( x = u /\ y = v ) ) $=
      ( vz cv wceq wal wn wa wex wi cvv wcel ax-mp id ax-5 syl idiALT alimi vex
      ax6e pm3.2i 19.42v biimpri isset anbi1i exbii mpbi hbnae hbn1 equequ1 a1i
      wb dvelimh 19.41rg exim pm3.35 sylancr excomim ) AFZBFZGZAHIZVADFZGZVBCFZ
      GZJZBKAKZLVDVIAKZBKZVJVDVFAKZVHJZBKZVOVLLZVLVEMNZVHJZBKZVOVQVHBKZJZVSVQVT
      DUABCUBUCVSWAVQVHBUDUEOVRVNBVQVMVHAVEUFUGUHUIVDVNVKLZBHZVPVDVDWCVDPZVDVDB
      HWCABBUJVDWBBVDWBLVDVHVHAHLZAHZWBVDVDWFWDVDVDAHWFVCAUKVDWEAVDWELVDVDWEWDE
      FZVGGZVHABEWHAQVHEQWGVBGZWILZWIWHVHUNLZWIPWKWJEBCULUMOUORSTRRVFVHAUPRSTRR
      VNVKBUQRVOVLURUSVIBAUTRS $.
  $}

  ${
    $d u x $.  $d u y $.  $d v x $.  $d v y $.
    $( "At least two sets exist" expressed in the form of ~ dtru is logically
       equivalent to the same expressed in a form similar to ~ ax6e if ~ dtru
       is false implies ` u = v ` .  Proof derived by completeusersproof.c from
       User's Proof in VirtualDeductionProofs.txt.  The User's Proof in html
       format is displayed in ~ ax6e2ndeqVD .  (Contributed by Alan Sare,
       11-Sep-2016.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    ax6e2ndeqALT $p |- ( ( -. A. x x = y \/ u = v ) <->
                        E. x E. y ( x = u /\ y = v ) ) $=
      ( cv wceq wal wn wo wa wex wi jao mp3an wne nfa1 19.9 sp syl sylancr 3imp
      ax6e2nd ax6e2eq a1d exmid jaoi hbnae eximi sylib wb excom nfn simpr simpl
      pm13.181 ancoms syl2an2r neeq2 biimparc syl2anc df-ne bicomi con3i sylbir
      id ex alrimiv exim imbi2 biimpa biimpar pm3.34 orc imim2i idiALT ax-1 olc
      imbi1 exmidne 3imp21 impbii ) AEZBEZFZAGZHZDEZCEZFZIZWBWGFZWCWHFZJZBKAKZW
      FWNWIABCDUBZWEWIWNLZLZWFWPLZWEWFIZWPABCDUCWFWNWIWOUDWEUEWQWRWSWPWEWPWFMUA
      NUFWGWHOZWNWJLZLZWIXALZWIWTIZXAXBWTWNWFLZXAWTWFBKZWFLWNXFLZXEXFWFBGZWFXFX
      HBKXHWFXHBABBUGUHXHBWFBPQUIWFBRSWTWNWMAKZBKZUJZXJXFLZXGWMABUKWTXIWFLZBGXL
      WTXMBWTWFAKZWFUJZXIXNLZXMWFAWEAWDAPULQWTWMWFLZAGXPWTXQAWTWMWFWTWMJZWBWCOZ
      WFXRWBWHOZWLXSWTWTWMWKXTWTVEXRWMWKWTWMUMZWKWLUNSWKWTXTWBWGWHUOUPUQXRWMWLY
      AWKWLUMSWLXSXTWCWHWBURUSUTXSWDHZWFXSYBWBWCVAVBWEWDWDARVCVDSVFVGWMWFAVHSXO
      XPXMXNWFXIVIVJTVGXIWFBVHSXKXGXLWNXJXFVRVKTWNXFWFVLTWFWJWNWFWIVMVNSVOXCWIW
      NWILZXAWIWIYCWIVEWIWNVPSWIWJWNWIWFVQVNSVOWGWHVSXCXBXDXAWIXAWTMVTNWA $.
  $}

  ${
    $d u x $.  $d u y $.  $d v x $.  $d v y $.
    $( Equivalence for double substitution ~ 2sb5 without distinct ` x ` ,
       ` y ` requirement. ~ 2sb5nd is derived from ~ 2sb5ndVD .  The proof is
       derived by completeusersproof.c from User's Proof in
       VirtualDeductionProofs.txt.  The User's Proof in html format is
       displayed in ~ 2sb5ndVD .  (Contributed by Alan Sare, 19-Sep-2016.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    2sb5ndALT $p |- ( ( -. A. x x = y \/ u = v ) -> ( [ u / x ] [ v / y ] ph
                 <-> E. x E. y ( ( x = u /\ y = v ) /\ ph ) ) ) $=
      ( cv wceq wal wn wa wex wsb wb wi exbii hbs1 id syl sylancr 19.41 wo sbi1
      ax6e2ndeq anabs5 2pm13.193 axc11 pm3.33 ax-mp con3i sbal2 biimpac pm2.61i
      sbt axc11n imbi2 nf5i bitr3i nfs1v bitr2i anbi2i pm5.32 mpbir sylbi ) BFZ
      CFZGBHZIZEFZDFZGUAVDVHGVEVIGJZCKZBKZACDLZBELZVJAJZCKZBKZMZBCDEUCVLVRNVLVN
      JZVLVQJZMVSVLVSJVTVLVNUDVSVQVLVQVKVNJZBKVSVPWABVPVJVNJZCKWAWBVOCABCDEUEOV
      JVNCVNCVFVNVNCHZNZVFVNVNBHZNWEWCNZWDVMBEPVFVFWFVFQVNBCUFRVNWEWCUGSVGVNVMC
      HZBELZNZWHWCMZWDVMWGNZBELWIWKBEACDPUMVMWGBEUBUHVGVEVDGCHZIZWJVGVGWMVGQWLV
      FCBUNUIRVMCBEUJRWJWIWDWHWCVNUOUKSULUPTUQOVKVNBVMBEURTUSUTUQVLVNVQVAVBVC
      $.
  $}

  ${
    $d A v w x y $.  $d B v w x y $.  $d C v w x y $.  $d D v w x y $.
    $d F v w $.  $d ph v w $.  $d P v w x y $.
    chordthmALT.angdef $e |- F = ( x e. ( CC \ { 0 } ) , y e. ( CC \ { 0 } )
                                  |-> ( Im ` ( log ` ( y / x ) ) ) ) $.
    chordthmALT.A $e |- ( ph -> A e. CC ) $.
    chordthmALT.B $e |- ( ph -> B e. CC ) $.
    chordthmALT.C $e |- ( ph -> C e. CC ) $.
    chordthmALT.D $e |- ( ph -> D e. CC ) $.
    chordthmALT.P $e |- ( ph -> P e. CC ) $.
    chordthmALT.AneP $e |- ( ph -> A =/= P ) $.
    chordthmALT.BneP $e |- ( ph -> B =/= P ) $.
    chordthmALT.CneP $e |- ( ph -> C =/= P ) $.
    chordthmALT.DneP $e |- ( ph -> D =/= P ) $.
    chordthmALT.APB $e |- ( ph -> ( ( A - P ) F ( B - P ) ) = _pi ) $.
    chordthmALT.CPD $e |- ( ph -> ( ( C - P ) F ( D - P ) ) = _pi ) $.
    chordthmALT.Q $e |- ( ph -> Q e. CC ) $.
    chordthmALT.ABcirc $e |- ( ph -> ( abs ` ( A - Q ) ) =
                              ( abs ` ( B - Q ) ) ) $.
    chordthmALT.ACcirc $e |- ( ph -> ( abs ` ( A - Q ) ) =
                              ( abs ` ( C - Q ) ) ) $.
    chordthmALT.ADcirc $e |- ( ph -> ( abs ` ( A - Q ) ) =
                              ( abs ` ( D - Q ) ) ) $.
    $( The intersecting chords theorem. If points A, B, C, and D lie on a
       circle (with center Q, say), and the point P is on the interior of the
       segments AB and CD, then the two products of lengths PA ` x. ` PB and
       PC ` x. ` PD are equal. The Euclidean plane is identified with the
       complex plane, and the fact that P is on AB and on CD is expressed by
       the hypothesis that the angles APB and CPD are equal to ` _pi ` . The
       result is proven by using ~ chordthmlem5 twice to show that PA
       ` x. ` PB and PC ` x. ` PD both equal BQ<HTML><sup>2</sup></HTML> ` - `
       PQ<HTML><sup>2</sup></HTML>. This is similar to the proof of the
       theorem given in Euclid's _Elements_, where it is Proposition III.35.
       Proven by David Moews on 28-Feb-2017 as ~ chordthm .
       ~ https://us.metamath.org/other/completeusersproof/chordthmaltvd.html is
       a Virtual
       Deduction User's Proof transcription of ~ chordthm . That VD User's
       Proof was input into completeusersproof, automatically generating this
       ~ chordthmALT Metamath proof.  (Contributed by Alan Sare, 19-Sep-2017.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    chordthmALT $p |- ( ph -> ( ( abs ` ( P - A ) ) x.
                       ( abs ` ( P - B ) ) ) = ( ( abs ` ( P - C ) ) x.
                       ( abs ` ( P - D ) ) ) ) $=
      ( vv vw cv cc0 c1 cioo co wcel cmul cmin caddc wceq wex cabs cfv wrex cpi
      wa necomd angpieqvd mpbid df-rex biimpi syl adantr w3a cexp eqtr3d oveq1d
      c2 3ad2ant1 cc cicc ioossicc 3ad2ant2 3ad2ant3 chordthmlem5 3expb 3adant2
      id sselid 3adant3 3eqtr4d 3expia exlimdv mpd ex ) AUGUIZUJUKULUMZUNZHWNFU
      OUMUKWNUPUMGUOUMUQUMURZVDZUGUSZHDUPUMUTVAHEUPUMUTVAUOUMZHFUPUMUTVAHGUPUMU
      TVAUOUMZURZAWQUGWOVBZWSAFHUPUMGHUPUMJUMVCURXCUBABCUGFHGJKNPOSAGHTVEVFVGXC
      WSWQUGWOVHVIVJAWRXBUGAWRXBAWRVDZUHUIZWOUNZHXEDUOUMUKXEUPUMEUOUMUQUMURZVDZ
      UHUSZXBAXIWRAXGUHWOVBZXIADHUPUMEHUPUMJUMVCURXJUAABCUHDHEJKLPMQAEHRVEVFVGX
      JXIXGUHWOVHVIVJVKXDXHXBUHAWRXHXBAWRXHVLEIUPUMUTVAZVPVMUMZHIUPUMUTVAVPVMUM
      ZUPUMZGIUPUMUTVAZVPVMUMZXMUPUMZWTXAAWRXNXQURXHAXLXPXMUPAXKXOVPVMADIUPUMUT
      VAZXKXOUDUFVNVOVOVQAXHWTXNURZWRAXFXGXSAXFXGVLDEHIXEAXFDVRUNXGLVQAXFEVRUNX
      GMVQAXFIVRUNZXGUCVQXFAXEUJUKVSUMZUNXGXFWOYAXEUJUKVTZXFWFWGWAXGAXGXFXGWFWB
      AXFXRXKURXGUDVQWCWDWEAWRXAXQURZXHAWPWQYCAWPWQVLFGHIWNAWPFVRUNWQNVQAWPGVRU
      NWQOVQAWPXTWQUCVQWPAWNYAUNWQWPWOYAWNYBWPWFWGWAWQAWQWPWQWFWBAWPFIUPUMUTVAZ
      XOURWQAXRYDXOUEUFVNVQWCWDWHWIWJWKWLWMWKWL $.
  $}

  $( Lemma for ~ isosctr .  This proof was automatically derived by
     completeusersproof from its Virtual Deduction proof counterpart
     ~ https://us.metamath.org/other/completeusersproof/isosctrlem1altvd.html .
     As it is verified by the Metamath program, ~ isosctrlem1ALT verifies
     ~ https://us.metamath.org/other/completeusersproof/isosctrlem1altvd.html .
     (Contributed by Alan Sare, 22-Apr-2018.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  isosctrlem1ALT $p |- ( ( A e. CC /\ ( abs ` A ) = 1 /\ -. 1 = A ) ->
                         ( Im ` ( log ` ( 1 - A ) ) ) =/= _pi ) $=
    ( cc wcel cfv c1 wceq cmin co cpi cr wa ax-1cn a1i adantr cc0 wi idiALT cle
    pire wbr cabs wn w3a clog cim id subcld subeq0 biimpd sylancr con3d biimpri
    wne df-ne syl6 imp logcld imcld 3adant2 c2 cdiv 2re 2ne0 redivcli cneg cicc
    cxr neghalfpirx rexri cre recld recnd subidd releabsd adantl breqtrd lesub1
    1re ax-mp 3impcombi mp3an2ani eqbrtrrd wtru rered mptru oveq1 eqcomd syl5eq
    resub argrege0 3coml 3com13 eel12131 iccleub mp3an12i pipos elrpii rphalflt
    clt crp lelttrd ltned ) ABCZAUADZEFZEAFZUBZUCZEAGHZUDDZUEDZIXCXGXKJCXEXCXGK
    ZXJXLXIXCXIBCZXGXCEAEBCZXCLMXCUFZUGZNXCXGXIOUMZXCXGXIOFZUBZXQXCXRXFXCXNXCXR
    XFPZLXOXNXCKZXTPYAXRXFEAUHUIQUJUKXQXSXIOUNULUOUPZUQURUSZXHXKIUTVAHZIYCYDJCX
    HIUTSVBVCVDZMIJCXHSMYDVEZVGCYDVGCXHXKYFYDVFHCZXKYDRTVHYDYEVIXCXMXEOXIVJDZRT
    ZXGXQYGXPXCXEKZOEAVJDZGHZYHRYJYKYKGHZOYLRXCYMOFXEXCYKXCYKXCAXOVKZVLVMNEJCZX
    CYKJCZXEYKERTZYMYLRTZXNYOLYOXNVRMVSZYNYJYKXDERXCYKXDRTXEXCAXOVNNXEXEXCXEUFV
    OVPYOYPYQUCYRPYPYOYQYRYKEYKVQVTQWAWBXCYLYHFXEXCYLEVJDZYKGHZYHYTEFZYLUUAFUUB
    WCEYOWCYSMWDWEUUBUUAYLYTEYKGWFWGVSXCXNXCUUAYHFZLXOYAUUCPYAYHUUAEAWIWGQUJWHN
    VPYBXQYIXMYGXMXQYIYGXIWJWKWLWMYFYDXKWNWOYDIWSTZXHIWTCUUDISWPWQIWRVSMXAXB $.

  ${
    $d k u v ph $.  $d k u w $.  $d A k $.  $d A u $.  $d A v $.  $d A w $.
    $d B u $.  $d B v $.  $d B w $.  $d J k $.  $d J u $.  $d J v $.  $d P k $.
    $d X k $.  $d X u $.  $d X v $.
    iunconnlem2.1 $e |- ( ps <-> ( ( ( ( ( ( ph /\ u e. J ) /\ v e. J ) /\
    ( u i^i U_ k e. A B ) =/= (/) ) /\ ( v i^i U_ k e. A B ) =/= (/) ) /\
    ( u i^i v ) C_ ( X \ U_ k e. A B ) ) /\ U_ k e. A B C_ ( u u. v ) ) ) $.
    iunconnlem2.2 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    iunconnlem2.3 $e |- ( ( ph /\ k e. A ) -> B C_ X ) $.
    iunconnlem2.4 $e |- ( ( ph /\ k e. A ) -> P e. B ) $.
    iunconnlem2.5 $e |- ( ( ph /\ k e. A ) -> ( J |`t B ) e. Conn ) $.
    $( The indexed union of connected overlapping subspaces sharing a common
       point is connected.  This proof was automatically derived by
       completeusersproof from its Virtual Deduction proof counterpart
       ~ https://us.metamath.org/other/completeusersproof/iunconlem2vd.html .
       As it is verified by the Metamath program, ~ iunconnlem2 verifies
       ~ https://us.metamath.org/other/completeusersproof/iunconlem2vd.html .
       (Contributed by Alan Sare, 22-Apr-2018.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    iunconnlem2 $p |- ( ph -> ( J |`t U_ k e. A B ) e. Conn ) $=
      ( wcel c0 syl wa nfcv vw ctopon cfv ciun wss cv cin wne cdif w3a cun wral
      wn wi crest co cconn ex ralrimiv iunss biimpri biimpi simprd wrex simp-4r
      wo wex n0 inss2 sselid eliun rexn0 exlimiv wnf nfan nfiu1 nfin nfne nfdif
      id nfv nfss nfbii mpbir simp-6l ralrimi r19.2z ancoms syl2anc sseldd elun
      sylan sylbir simp-6r simp-5r simpllr simplr iunconnlem eqsstrid sseqtrrdi
      incom uncom pm4.56 idiALT pm2.65da ex3 3impd 3expia impd connsub biimp3ar
      ralrimivv syl3anc ) AIJUBUCPZHEFUDZJUEZDUFZXOUGZQUHZCUFZXOUGZQUHZXQXTUGZJ
      XOUIZUEZUJXOXQXTUKZUEZUMZUNZCIULDIULZIXOUOUPUQPZLAFJUEZHEULZXPAYLHEAHUFEP
      ZYLMURUSXPYMHEFJUTVARAYIDCIIAXQIPZXTIPZYIAYOYPYIUNAYOYPYIAYOYPUJXSYBYEYHA
      YOYPXSYBYEYHUNZUNAYOSZYPSZXSSZYBYQYTYBSZYEYHUUAYESZYGGXQPZGXTPZVFZUUBYGSZ
      BUUEKBGYFPZUUEBXOYFGBUUBYGBUUFKVBZVCZBGFPZHEVDZGXOPZBEQUHZUUJHEULZUUKBUAU
      FZXRPZUAVGZUUMBXSUUQBUUFXSUUHYSXSYBYEYGVERZXSUUQUAXRVHVBRUUPUUMUAUUPUUOFP
      ZHEVDZUUMUUPUUOXOPZUUTUUPXRXOUUOXQXOVIUUPVTVJUVAUUTHUUOEFVKVBRUUSHEVLRVMR
      BUUJHEBHVNUUFHVNUUBYGHUUAYEHYTYBHYSXSHYRYPHYRHWAYPHWAVOHXRQHXQXOHXQTHEFVP
      ZVQHQTZVRVOHYAQHXTXOHXTTUVBVQUVCVRVOHYCYDHYCTHJXOHJTUVBVSWBVOHXOYFUVBHYFT
      WBVOBUUFHKWCWDZBYNUUJBAYNUUJBUUFAUUHAYOYPXSYBYEYGWERZNWLZURWFUUNUUMUUKUUM
      UUNUUKUUJHEWGWHWHWIUULUUKHGEFVKVARWJUUGUUEGXQXTWKVBRWMUUFBUUEUMZKBUUCUMZU
      UDUMZUVGBEFGXQHIXTJBAXNUVELRZBAYNYLUVEMWLZUVFBAYNIFUOUPUQPUVEOWLZBUUFYOUU
      HAYOYPXSYBYEYGWNRZBUUFYPUUHYRYPXSYBYEYGWORZBUUFYBUUHYTYBYEYGWPRBUUFYEUUHU
      UAYEYGWQRZUUIUVDWRBEFGXTHIXQJUVJUVKUVFUVLUVNUVMUURBXTXQUGYCYDXTXQXAUVOWSB
      XOYFXTXQUKUUIXTXQXBWTUVDWRUVHUVISZUVGUNUVPUVGUUCUUDXCVBXDWIWMXEURURXFXGXH
      URXIXLXNXPYKYJDCXOIJXJXKXM $.
  $}

  ${
    $d k u v ph $.  $d A k u v $.  $d B u v $.  $d J k u v $.  $d P k $.
    $d X k u v $.
    iunconnALT.1 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    iunconnALT.2 $e |- ( ( ph /\ k e. A ) -> B C_ X ) $.
    iunconnALT.3 $e |- ( ( ph /\ k e. A ) -> P e. B ) $.
    iunconnALT.4 $e |- ( ( ph /\ k e. A ) -> ( J |`t B ) e. Conn ) $.
    $( The indexed union of connected overlapping subspaces sharing a common
       point is connected.  This proof was automatically derived by
       completeusersproof from its Virtual Deduction proof counterpart
       ~ https://us.metamath.org/other/completeusersproof/iunconaltvd.html .
       As it is verified by the Metamath program, ~ iunconnALT verifies
       ~ https://us.metamath.org/other/completeusersproof/iunconaltvd.html .
       (Contributed by Alan Sare, 22-Apr-2018.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    iunconnALT $p |- ( ph -> ( J |`t U_ k e. A B ) e. Conn ) $=
      ( vu vv cv wcel wa cin c0 wne wss ciun cdif cun biid iunconnlem2 ) AALNZF
      OPMNZFOPUFEBCUAZQRSPUGUHQRSPUFUGQGUHUBTPUHUFUGUCTPZMLBCDEFGUIUDHIJKUE $.
  $}

  $( A complex number whose sine is zero is an integer multiple of ` _pi ` .
     The Virtual Deduction form of the proof is
     ~ https://us.metamath.org/other/completeusersproof/sineq0altvd.html .  The
     Metamath form of the proof is ~ sineq0ALT .  The Virtual Deduction proof
     is based on Mario Carneiro's revision of Norm Megill's proof of ~ sineq0 .
     The Virtual Deduction proof is verified by automatically transforming it
     into the Metamath form of the proof using completeusersproof, which is
     verified by the Metamath program.  The proof of
     ~ https://us.metamath.org/other/completeusersproof/sineq0altro.html is a
     form of the completed proof which preserves the Virtual Deduction proof's
     step numbers and their ordering.  (Contributed by Alan Sare, 13-Jun-2018.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  sineq0ALT $p |- ( A e. CC -> ( ( sin ` A ) = 0 <-> ( A / _pi ) e. ZZ ) ) $=
    ( cc wcel csin cfv cc0 wceq cpi co wa c2 cmul a1i adantr ci ce c1 fveq2d wn
    cabs cdiv cz crp cr cmo pire pipos elrpii wne 2cn 2re ax-mp id mulcld caddc
    2ne0 ax-icn mul12d 2timesd eqtr3d efadd syl2anc eqtrd cneg sinval sylan9req
    cmin efcl syl negicn subcld 2mulicn 2muline0 diveq0ad mpbid subeq0ad oveq2d
    eqtr4d adddird negidi oveq1i eqtr3di mul02d ef0 3eqtrd abs1 eqtrdi biimparc
    wb absefib ancoms syl2an2r mulre 4animp1 4an31 syl1111anc clt wbr wo modcld
    w3a cioo recnd sincld cfl cle 0re ltleii gt0ne0 3com23 mp3an redivcld flcld
    3adant3 znegcld wi abssinper eqcomd ex mpd zcnd negcld recni mulcomd negeqd
    mulneg1d oveq2 ad3antrrr 4an4132 negsubd modval mpan2 abs0 cxr rexri notbii
    sylib sylancr biimp3a mp3an2i adantl abs00d bicomi ltne neneqd expcom con3i
    notnotb mpi sylbir sinq12gt0 elioo2 mp2an 3anan12 modlt jca not12an2impnot1
    nsyl modge0 leloe idiALT pm2.53 imp mod0 3com12 divcan1d sinkpi impbid ) AB
    CZADEZFGZAHUAIZUBCZUVIUVKUVMHUCCZUVIUVKJZAUDCZAHUEIZFGZUVMHUFUGUHZUVOKFUIZK
    UDCZUVIKALIZUDCZUVPUVTUVOUPMUWAUVOKBCZUWAUJUWAUWDUKMULMUVIUVIUVKUVIUMZNZUVI
    UWBBCZUVKOUWBLIZPEZTEZQGZUWCUVIKAUWDUVIUJMZUWEUNUVOUWJQTEQUVOUWIQTUVOUWIOAL
    IZPEZUWNLIZQUVIUWIUWOGUVKUVIUWIUWMUWMUOIZPEZUWOUVIUWHUWPPUVIKUWMLIUWHUWPUVI
    KOAUWLOBCUVIUQMZUWEURUVIUWMUVIOAUWRUWEUNZUSUTRUVIUWMBCZUWTUWQUWOGUWSUWSUWMU
    WMVAVBVCNUVOUWOUWMOVDZALIZUOIZPEZFPEZQUVOUWOUWNUXBPEZLIZUXDUVOUWNUXFUWNLUVO
    UWNUXFVGIZFGZUWNUXFGZUVOUXHKOLIZUAIZFGZUXIUVIUVKUXLUVJFAVEUVKUMZVFUVIUXMUXI
    WIUVKUVIUXHUXKUVIUWNUXFUVIUWTUWNBCUWSUWMVHVIZUVIUXBBCZUXFBCUVIUXAAUXABCUVIV
    JMZUWEUNZUXBVHVIZVKUXKBCUVIVLMUXKFUIUVIVMMVNNVOUVIUXIUXJWIUVKUVIUWNUXFUXOUX
    SVPNVOVQUVIUXDUXGGZUVKUVIUWTUXPUXTUWSUXRUWMUXBVAVBNVRUVIUXDUXEGUVKUVIUXCFPU
    VIUXCFALIZFUVIOUXAUOIZALIUXCUYAUVIOUXAAUWRUXQUWEVSUYBFALOUQVTWAWBUVIAUWEWCV
    CRNUXEQGUVOWDMWEVCRWFWGUWKUWGUWCUWGUWCUWKUWBWJWHWKWLUVTUWAUVIUWCUVPUVIUWAUV
    TUWCUVPAKWMWNWOWPZUVOFUVQUVOFUVQWQWRZSZUYDFUVQGZWSZUYFUVOUYDUVQUDCZUVQHWQWR
    ZJZJZSZUYJUYEUVOUYHUYDUYIXAZSZUYLUVOUVQFHXBICZSUYNUVOFUVQDEZWQWRZUYOUVOUYPF
    GZUYQSZUVOUYPUVOUVQUVOUVQUVOAHUYCUVNUVOUVSMWTZXCXDUVOUVJTEZUYPTEZFUVOVUAAHU
    VLXEEZLIZVGIZDEZTEZVUBUVOVUAAVUCVDZHLIZUOIZDEZTEZVUGUVOVUHUBCZVUAVULGZUVOVU
    CUVOUVLUVOAHUYCHUDCZUVOUFMHFUIZUVOVUOFHXFWRZFHWQWRZVUPUFFHXGUFUGXHUGVUOVURV
    UQVUPVUOVURVUPVUQHXIXNXJXKZMXLXMZXOUVIVUMVUNXPUVKUVIVUMVUNUVIVUMJVULVUAAVUH
    XQXRXSNXTUVOVUKVUFTUVOVUJVUEDUVOVUJAVUDVDZUOIZVUEUVOUVIVUIBCZVVABCZVUIVVAGZ
    VUJVVBGZUWFUVOVUHHUVOVUCUVOVUCVUTYAZYBHBCZUVOHUFYCZMZUNUVOVUDUVOHVUCVVJVVGU
    NZYBUVOVUIVUCHLIZVDVVAUVOVUCHVVGVVJYFUVOVVLVUDUVOVUCHVVGVVJYDYEVCUVIVVCVVDV
    VEVVFVVEVVFVVDVVCUVIVUIVVAAUOYGYHYIWPUVOAVUDUWFVVKYJVCRRVCUVOUVPVUBVUGGZUYC
    UVPUVNVVMUVSUVPUVNJZUYPVUFTVVNUVQVUEDAHYKRRYLVIVRUVKVUAFGUVIUVKVUAFTEFUVKUV
    JFTUXNRYMWGUUAUTUUBUYRUYRSZSZUYSUYRVVPUYRUUHUUCUYQVVOUYQFUDCZVVOXGVVQUYQVVO
    VVQUYQJUYPFFUYPUUDUUEUUFUUIUUGUUJVIUVQUUKUURUYOUYMFYNCHYNCUYOUYMWIFXGYOHUFY
    OFHUVQUULUUMYPYQUYMUYKUYHUYDUYIUUNYPYQUVOUYHUYIUYTUVOUVNUVPUYIUVSUYCUVPUVNU
    YIAHUUOWKYRUUPUYDUYJUUQVBVVQUVOUYHFUVQXFWRZUYGXGUYTUVOUVNUVPVVRUVSUYCUVPUVN
    VVRAHUUSWKYRVVQUYHVVRXAUYGXPVVQUYHVVRUYGFUVQUUTYSUVAYTUYGUYEUYFUYGUYEUYFUYD
    UYFUVBUVCWKVBXRUVPUVNUVRUVMUVPUVNUVRUVMAHUVDYSUVEYTXSUVIUVMUVKUVIUVMUVJUVLH
    LIZDEZFUVIVVSADUVIAHUWEVVHUVIVVIMVUPUVIVUSMUVFRUVMUVMVVTFGUVMUMUVLUVGVIVFXS
    UVH $.

$( (End of Alan Sare's mathbox.) $)
$( End $[ set-mbox-as.mm $] $)


$( Begin $[ set-mbox-gs.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Glauco Siliprandi
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellanea
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d a b x y $.  $d a b F $.  $d a b J $.  $d a b X $.  $d a b ph $.
    $d b K $.
    evth2f.1 $e |- F/_ x F $.
    evth2f.2 $e |- F/_ y F $.
    evth2f.3 $e |- F/_ x X $.
    evth2f.4 $e |- F/_ y X $.
    evth2f.5 $e |- X = U. J $.
    evth2f.6 $e |- K = ( topGen ` ran (,) ) $.
    evth2f.7 $e |- ( ph -> J e. Comp ) $.
    evth2f.8 $e |- ( ph -> F e. ( J Cn K ) ) $.
    evth2f.9 $e |- ( ph -> X =/= (/) ) $.
    $( A version of ~ evth2 using bound-variable hypotheses instead of distinct
       variable conditions.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    evth2f $p |- ( ph -> E. x e. X A. y e. X ( F ` x ) <_ ( F ` y ) ) $=
      ( va vb cle nfcv cv cfv wbr wral wrex evth2 nffv nfbr nfralw fveq2 breq1d
      nfv weq ralbidv cbvrexfw breq2d cbvralfw rexbii bitri sylib ) AQUAZDUBZRU
      AZDUBZSUCZRGUDZQGUEZBUAZDUBZCUAZDUBZSUCZCGUDZBGUEZAQRDEFGLMNOPUFVGVIVDSUC
      ZRGUDZBGUEVNVFVPQBGQGTJVEBRGJBVBVDSBVADHBVATUGBSTBVCDHBVCTUGUHUIVPQULQBUM
      ZVEVORGVQVBVIVDSVAVHDUJUKUNUOVPVMBGVOVLRCGRGTKCVIVDSCVHDICVHTUGCSTCVCDICV
      CTUGUHVLRULRCUMVDVKVISVCVJDUJUPUQURUSUT $.
  $}

  ${
    $d x y $.  $d y A B $.
    elunif.1 $e |- F/_ x A $.
    elunif.2 $e |- F/_ x B $.
    $( A version of ~ eluni using bound-variable hypotheses instead of distinct
       variable conditions.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    elunif $p |- ( A e. U. B <-> E. x ( A e. x /\ x e. B ) ) $=
      ( vy cuni wcel cv wex eluni nfcv nfel nfan nfv weq eleq2w eleq1w anbi12d
      wa cbvexv1 bitri ) BCGHBFIZHZUCCHZTZFJBAIZHZUGCHZTZAJFBCKUFUJFAUDUEAABUCD
      AUCLZMAUCCUKEMNUJFOFAPUDUHUEUIFABQFACRSUAUB $.
  $}

  ${
    rzalf.1 $e |- F/ x A = (/) $.
    $( A version of ~ rzal using bound-variable hypotheses instead of distinct
       variable conditions.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    rzalf $p |- ( A = (/) -> A. x e. A ph ) $=
      ( c0 wceq cv wcel ne0i necon2bi pm2.21d ralrimi ) CEFZABCDMBGZCHZAOCECNIJ
      KL $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y F $.
    fvelrnbf.1 $e |- F/_ x A $.
    fvelrnbf.2 $e |- F/_ x B $.
    fvelrnbf.3 $e |- F/_ x F $.
    $( A version of ~ fvelrnb using bound-variable hypotheses instead of
       distinct variable conditions.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    fvelrnbf $p |- ( F Fn A -> ( B e. ran F <-> E. x e. A ( F ` x ) = B ) ) $=
      ( vy wfn crn wcel cv cfv wceq wrex fvelrnb nfcv nffv nfeq nfv cbvrexfw
      fveqeq2 bitrdi ) DBICDJKHLZDMZCNZHBOALZDMCNZABOHBCDPUFUHHABHBQEAUECAUDDGA
      UDQRFSUHHTUDUGCDUBUAUC $.
  $}

  ${
    $d y F $.  $d y J $.  $d y K $.  $d y X $.
    rfcnpre1.1 $e |- F/_ x B $.
    rfcnpre1.2 $e |- F/_ x F $.
    rfcnpre1.3 $e |- F/ x ph $.
    rfcnpre1.4 $e |- K = ( topGen ` ran (,) ) $.
    rfcnpre1.5 $e |- X = U. J $.
    rfcnpre1.6 $e |- A = { x e. X | B < ( F ` x ) } $.
    rfcnpre1.7 $e |- ( ph -> B e. RR* ) $.
    rfcnpre1.8 $e |- ( ph -> F e. ( J Cn K ) ) $.
    $( If F is a continuous function with respect to the standard topology,
       then the preimage A of the values greater than a given extended real B
       is an open set.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    rfcnpre1 $p |- ( ph -> A e. J ) $=
      ( cpnf wcel cr wb vy ccnv cioo co cima cfv clt crab nfcnv nfcv nfov nfima
      cv wbr nfrab1 wral ccn ctopon ctop cuni wceq cntop1 syl istopon sylanblrc
      wa wf crn ctg retopon eqeltri sylancl mpbid simpld ffvelrnda cxr elioopnf
      iscn baibd syldan pm5.32da wfn ffn elpreima 3syl a1i 3bitr4d eqrd eqtr4di
      rabid iooretop eleqtrri cnima eqeltrrd ) AEUBZDQUCUDZUEZCFAWQDBUMZEUFZUGU
      NZBHUHZCABWQXAKBWOWPBEJUIBDQUCIBUCUJBQUJUKULWTBHUOAWRHRZWSWPRZVFZXBWTVFZW
      RWQRZWRXARZAXBXCWTAXBWSSRZXCWTTAHSWREAHSEVGZWOUAUMUEFRUAGUPZAEFGUQUDRZXIX
      JVFZPAFHURUFRZGSURUFZRXKXLTAFUSRZHFUTVAXMAXKXOPEFGVBVCMHFVDVEGUCVHVIUFZXN
      LVJVKUAEFGHSVRVLVMVNZVOAXCXHWTADVPRXCXHWTVFTODWSVQVCVSVTWAAXIEHWBXFXDTXQH
      SEWCHWRWPEWDWEXGXETAWTBHWJWFWGWHNWIAXKWPGRWQFRPWPXPGDQWKLWLWPEFGWMVLWN $.
  $}

  ${
    $d x y A $.  $d x y U $.
    $( If U belongs to A and U is an upper bound, then U is the sup of A.
       (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    ubelsupr $p |- ( ( A C_ RR /\ U e. A /\ A. x e. A x <_ U ) ->
          U = sup ( A , RR , < ) ) $=
      ( vy cr wss wcel cv cle wbr wral w3a clt csup wceq wne wrex simp1 syl2anc
      c0 simp2 ne0d sseldd simp3 brralrspcev 3jca suprub suprleub mpbird suprcl
      wb syl letri3d mpbir2and ) BEFZCBGZAHZCIJABKZLZCBEMNZOCUTIJZUTCIJZUSUOBTP
      ZUQDHIJABKDEQZLZUPVAUSUOVCVDUOUPURRZUSBCUOUPURUAZUBUSCEGZURVDUSBECVFVGUCZ
      UOUPURUDZDAUQCIEBUESUFZVGDABCUGSUSVBURVJUSVEVHVBURUKVKVIDAABCUHSUIUSCUTVI
      USVEUTEGVKDABUJULUMUN $.
  $}

  ${
    $d k x y A $.  $d k y J $.  $d k y K $.  $d k x y X $.  $d k y ph $.
    $d y B $.
    fsumcnf.1 $e |- K = ( TopOpen ` CCfld ) $.
    fsumcnf.2 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    fsumcnf.3 $e |- ( ph -> A e. Fin ) $.
    fsumcnf.4 $e |- ( ( ph /\ k e. A ) -> ( x e. X |-> B ) e. ( J Cn K ) ) $.
    $( A finite sum of functions to complex numbers from a common topological
       space is continuous, without disjoint var constraint x ph.  The class
       expression for B normally contains free variables k and x to index it.
       (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    fsumcnf $p |- ( ph -> ( x e. X |-> sum_ k e. A B ) e. ( J Cn K ) ) $=
      ( vy csu cmpt cv csb ccn nfcv cbvmpt nfcsb1v nfsum csbeq1a sumeq2sdv wcel
      co weq wa eqeltrrid fsumcn eqeltrid ) ABHCDENZOMHCBMPZDQZENZOFGRUFZBMHULU
      OMULSBCUNEBCSBUMDUAZUBBMUGCDUNEBUMDUCZUDTAMCUNEFGHIJKAEPCUEUHMHUNOBHDOUPB
      MHDUNMDSUQURTLUIUJUK $.
  $}

  $( The product of a negative and a positive number is negative.  (Contributed
     by Glauco Siliprandi, 20-Apr-2017.) $)
  mulltgt0 $p |- ( ( ( A e. RR /\ A < 0 ) /\ ( B e. RR /\ 0 < B ) ) ->
    ( A x. B ) < 0 ) $=
    ( cr wcel cc0 clt wbr wa cmul co cneg renegcl ad2antrr lt0neg1 biimpa simpr
    adantr mulgt0 cc recn syl21anc ad2antrl mulneg1d breqtrd ad2ant2r lt0neg1d
    remulcl mpbird ) ACDZAEFGZHZBCDZEBFGZHZHZABIJZEFGEUPKZFGUOEAKZBIJZUQFUOURCD
    ZEURFGZUNEUSFGUIUTUJUNALMUKVAUNUIUJVAANOQUKUNPURBRUAUOABUIASDUJUNATMULBSDUK
    UMBTUBUCUDUOUPUIULUPCDUJUMABUGUEUFUH $.

  ${
    rspcegf.1 $e |- F/ x ps $.
    rspcegf.2 $e |- F/_ x A $.
    rspcegf.3 $e |- F/_ x B $.
    rspcegf.4 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( A version of ~ rspcev using bound-variable hypotheses instead of
       distinct variable conditions.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    rspcegf $p |- ( ( A e. B /\ ps ) -> E. x e. B ph ) $=
      ( wcel wa cv wex wrex nfel nfan wceq eleq1 anbi12d spcegf anabsi5 df-rex
      sylibr ) DEJZBKZCLZEJZAKZCMZACENUDBUIUHUECDEGUDBCCDEGHOFPUFDQUGUDABUFDERI
      STUAACEUBUC $.
  $}

  ${
    rabexgf.1 $e |- F/_ x A $.
    $( A version of ~ rabexg using bound-variable hypotheses instead of
       distinct variable conditions.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    rabexgf $p |- ( A e. V -> { x e. A | ph } e. _V ) $=
      ( crab wss cvv cv wa cab df-rab simpl ss2abi abid2f sseqtri eqsstri ssexg
      wcel mpan ) ABCFZCGCDSUAHSUABICSZAJZBKZCABCLUDUBBKCUCUBBUBAMNBCEOPQUACDRT
      $.
  $}

  ${
    fcnre.1 $e |- K = ( topGen ` ran (,) ) $.
    fcnre.3 $e |- T = U. J $.
    sfcnre.5 $e |- C = ( J Cn K ) $.
    fcnre.6 $e |- ( ph -> F e. C ) $.
    $( A function continuous with respect to the standard topology, is a real
       mapping.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    fcnre $p |- ( ph -> F : T --> RR ) $=
      ( ctopon cfv wcel cr ccn co wf ctop eleqtrdi cntop1 syl toptopon cioo crn
      sylib ctg retopon eqeltri a1i cnf2 syl3anc ) AECKLMZFNKLZMZDEFOPZMZCNDQAE
      RMZULAUPUQADBUOJISZDEFTUAECHUBUEUNAFUCUDUFLUMGUGUHUIURDEFCNUJUK $.
  $}

  ${
    $d k m n M $.  $d m n A $.  $d m n B $.  $d m n ph $.
    sumsnd.1 $e |- ( ph -> F/_ k B ) $.
    sumsnd.2 $e |- F/ k ph $.
    sumsnd.3 $e |- ( ( ph /\ k = M ) -> A = B ) $.
    sumsnd.4 $e |- ( ph -> M e. V ) $.
    sumsnd.5 $e |- ( ph -> B e. CC ) $.
    $( A sum of a singleton is the term.  The deduction version of ~ sumsn .
       (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    sumsnd $p |- ( ph -> sum_ k e. { M } A = B ) $=
      ( vm csn c1 cfv cn wcel 1nn wceq cc vn csu caddc cop cseq cv nfcv nfcsb1v
      csb csbeq1a cbvsumi csbeq1 a1i wf1o cfz co f1osng sylancr cz wb 1z f1oeq2
      fzsn sylibr wa elsni adantl csbeq1d csbiedf adantr eqeltrd elfz1eq fveq2d
      mp2b fvsng sylan9eqr 3eqtr4rd fsum syl5eq seq1i eqtrd ) AEMZBDUBZNUCNCUDM
      ZNUEOZCAWCWBDLUFZBUIZLUBWEWBBWGDLLBUGDWFBUHDWFBUJUKAWBWGDUAUFZNEUDMZOZBUI
      ZLUAWIWDNDWFWJBULNPQZARUMANMZWBWIUNZNNUOUPZWBWIUNZAWLEFQZWNRJNEPFUQURNUSQ
      WOWMSWPWNUTVANVCWOWMWBWIVBVNVDAWFWBQZVEZWGDEBUIZTWSDWFEBWRWFESAWFEVFVGVHW
      SWTCTAWTCSZWRADEBCFHGJIVIZVJACTQZWRKVJVKVKAWHWOQZVEZWTCWKWHWDOZAXAXDXBVJX
      EDWJEBXDAWJNWIOZEXDWHNWIWHNVLZVMAWLWQXGESRJNEPFVOURVPVHXDAXFNWDOZCXDWHNWD
      XHVMAWLXCXICSRKNCPTVOURZVPVQVRVSACUCWDNVAXJVTWA $.
  $}

  ${
    $d a b y $.  $d a x y $.  $d a b F $.  $d a b J $.  $d a b X $.
    $d a b ph $.  $d b K $.
    evthf.1 $e |- F/_ x F $.
    evthf.2 $e |- F/_ y F $.
    evthf.3 $e |- F/_ x X $.
    evthf.4 $e |- F/_ y X $.
    evthf.5 $e |- F/ x ph $.
    evthf.6 $e |- F/ y ph $.
    evthf.7 $e |- X = U. J $.
    evthf.8 $e |- K = ( topGen ` ran (,) ) $.
    evthf.9 $e |- ( ph -> J e. Comp ) $.
    evthf.10 $e |- ( ph -> F e. ( J Cn K ) ) $.
    evthf.11 $e |- ( ph -> X =/= (/) ) $.
    $( A version of ~ evth using bound-variable hypotheses instead of distinct
       variable conditions.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    evthf $p |- ( ph -> E. x e. X A. y e. X ( F ` y ) <_ ( F ` x ) ) $=
      ( va cle vb cv cfv wbr wral wrex evth nfcv nffv nfbr nfv weq fveq2 breq1d
      cbvralfw rexbii nfralw breq2d ralbidv cbvrexfw bitri sylib ) AUAUBZDUCZSU
      BZDUCZTUDZUAGUEZSGUFZCUBZDUCZBUBZDUCZTUDZCGUEZBGUFZASUADEFGNOPQRUGVIVKVFT
      UDZCGUEZSGUFVPVHVRSGVGVQUACGUAGUHKCVDVFTCVCDICVCUHUICTUHCVEDICVEUHUIUJVQU
      AUKUACULVDVKVFTVCVJDUMUNUOUPVRVOSBGSGUHJVQBCGJBVKVFTBVJDHBVJUHUIBTUHBVEDH
      BVEUHUIUJUQVOSUKSBULZVQVNCGVSVFVMVKTVEVLDUMURUSUTVAVB $.
  $}

  ${
    $d f y J $.  $d f y K $.
    $( The class of continuous functions between two topologies is a set.
       (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    cnfex $p |- ( ( J e. Top /\ K e. Top ) -> ( J Cn K ) e. _V ) $=
      ( vf vy ctop wcel wa co cuni cvv ctopon cfv wceq eqid jctr istopon sylibr
      cv syl2an uniexg ccn ccnv cima wral cmap crab cnfval wf cab mapvalg mapex
      syl2anr eqeltrd rabexg syl ) AEFZBEFZGZABUAHZCRZUBDRUCAFDBUDZCBIZAIZUEHZU
      FZJUPAVCKLFZBVBKLFZUSVEMUQUPUPVCVCMZGVFUPVHVCNOVCAPQUQUQVBVBMZGVGUQVIVBNO
      VBBPQDCABVCVBUGSURVDJFVEJFURVDVCVBUTUHCUIZJUQVBJFZVCJFZVDVJMUPBETZAETZVBV
      CJJCUJULUPVLVKVJJFUQVNVMVCVBJJCUKSUMVACVDJUNUOUM $.
  $}

  ${
    $d f g w x y z $.  $d f u x y $.  $d f w x y z A $.
    $( For a finite set, a choice function exists, without using the axiom of
       choice.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    fnchoice $p |- ( A e. Fin -> E. f ( f Fn A /\ A. x e. A ( x =/= (/) ->
                                  ( f ` x ) e. x ) ) ) $=
      ( vw cv wfn c0 wcel wral wa wex wceq anbi12d cvv a1i simplr adantr jca ex
      syl vy vz vg vu wne cfv wi csn cun fneq2 raleq exbidv 0ex fneq1 fn0 mpbir
      eqid ceqsexv2d ral0 exan cfn wn cop wf biimpi ad2antrl vex simpllr fsnunf
      dffn2 syl121anc sylibr simprr nfra1 nfan simpr nelne2 necomd fvunsn neeq1
      nfv fveq2 eleq1d eleq2w bitrd imbi12d rspcv syl5bir syl3c eqeltrd simp-4l
      cbvralvw w3a elsni 3ad2ant2 simp1 eqtrd simp3 pm2.21ddne syl3anc wo sylib
      elun mpjaodan ralrimi syl21anc eximdv snex unex fveq1 ralbidv spcev eximi
      imbi2d syl6 ax5e imp an32s cbvexvw neq0 exdistrv simprrl simprrr ad5ant12
      simpl simplrl fndmd neleqtrrd fsnunfv 3eltr4d 2eximdv exlimiv findcard2s
      cdm pm2.61dan ) CEZDEZFZAEZGUEZYSYPUFZYSHZUGZAYQIZJZCKYPGFZUUCAGIZJZCKYPU
      AEZFZUUCAUUIIZJZCKZYPUUIUBEZUHZUIZFZUUCAUUPIZJZCKZYPBFZUUCABIZJZCKDUAUBBY
      QGLZUUEUUHCUVDYRUUFUUDUUGYQGYPUJUUCAYQGUKMULYQUUILZUUEUULCUVEYRUUJUUDUUKY
      QUUIYPUJUUCAYQUUIUKMULYQUUPLZUUEUUSCUVFYRUUQUUDUURYQUUPYPUJUUCAYQUUPUKMUL
      YQBLZUUEUVCCUVGYRUVAUUDUVBYQBYPUJUUCAYQBUKMULUUFUUGCUUFGGFZCGUMGYPGUNUVHG
      GLGUQGUOUPURUUCAUSUTUUIVAHZUUNUUIHVBZJZUUMUUTUVKUUMJZUUNGLZUUTUVLUVMJUCEZ
      UUPFZYTYSUVNUFZYSHZUGZAUUPIZJZUCKZUUTUVKUVMUUMUWAUVKUVMJZUUMUWAUWBUUMUWAC
      KZUWAUWBUUMYPUUNYQVCZUHZUIZUUPFZYTYSUWFUFZYSHZUGZAUUPIZJZCKUWCUWBUULUWLCU
      WBUULUWLUWBUULJZUWGUWKUWMUUPNUWFVDZUWGUWMUUINYPVDZUUNNHZUVJYQNHZUWNUUJUWO
      UWBUUKUUJUWOUUIYPVJZVEVFUWPUWMUBVGZOUVIUVJUVMUULVHZUWQUWMDVGZOUUINYPNUUNY
      QVIZVKUUPUWFVJZVLUWMUVMUVJUUKUWKUVKUVMUULPUWTUWBUUJUUKVMUVMUVJJZUUKJZUWJA
      UUPUXDUUKAUXDAWAUUCAUUIVNZVOUXEYSUUPHZUWJUXEUXGJZYTUWIUXHYTJZYSUUIHZUWIYS
      UUOHZUXIUXJJZUWHUUAYSUXLUUNYSUEZUWHUUALZUXLUXJUVJJZUXMUXLUXJUVJUXIUXJVPZU
      XIUVJUXJUXHUVJYTUVMUVJUUKUXGVHQQRUXOYSUUNYSUUNUUIVQVRZTYPUUNYQYSVSZTUXLUX
      JUUKYTUUBUXPUXIUUKUXJUXDUUKUXGYTVHQUXHYTUXJPUUKUDEZGUEZUXSYPUFZUXSHZUGZUD
      UUIIUXJUUCUYCUUCUDAUUIUXSYSLZUXTYTUYBUUBUXSYSGVTUYDUYBUUAUXSHUUBUYDUYAUUA
      UXSUXSYSYPWBWCUDAUUAWDWEWFZWLUYCUUCUDYSUUIUYEWGWHZWIWJUXIUXKJUVMUXKYTUWIU
      XIUVMUXKUVMUVJUUKUXGYTWKQUXIUXKVPUXHYTUXKPUVMUXKYTWMZUWIYSGUYGYSUUNGUXKUV
      MYSUUNLZYTYSUUNWNZWOUVMUXKYTWPWQUVMUXKYTWRWSWTUXIUXGUXJUXKXAZUXEUXGYTPYSU
      UIUUOXCZXBXDSSXEXFRSXGUWLUWACUVTUWLUCUWFYPUWECVGUWDXHXIUVNUWFLZUVOUWGUVSU
      WKUUPUVNUWFUNUYLUVRUWJAUUPUYLUVQUWIYTUYLUVPUWHYSYSUVNUWFXJWCXNXKMXLZXMXOU
      WACXPZXOXQXRUUSUVTCUCYPUVNLZUUQUVOUURUVSUUPYPUVNUNUYOUUCUVRAUUPUYOUUBUVQY
      TUYOUUAUVPYSYSYPUVNXJWCXNXKMXSZVLUVLUVMVBZJZUVJYQUUNHZDKZUUMJZJZUUTUYRUVJ
      VUAUVIUVJUUMUYQVHUYRUYTUUMUYRUYQUYTUVLUYQVPDUUNXTXBUVKUUMUYQPRRVUBUWAUUTV
      UBUWCDKZUWAUVJVUAVUCVUAUYSUULJZCKDKUVJVUCUYSUULDCYAUVJVUDUWADCUVJVUDUWAUV
      JVUDJZUWLUWAVUEUWGUWKVUEUWNUWGVUEUWOUWPUVJUWQUWNVUEUUJUWOUVJUYSUUJUUKYBZU
      WRXBUWPVUEUWSOUVJVUDYEUWQVUEUXAOUXBVKUXCVLVUEUWJAUUPUVJVUDAUVJAWAUYSUULAU
      YSAWAUUJUUKAUUJAWAUXFVOVOVOVUEUXGUWJVUEUXGJZYTUWIVUGYTJZUXJUWIUXKVUHUXJJZ
      UWHUUAYSVUIUXOUXNVUIUXJUVJVUHUXJVPZUVJVUDUXGYTUXJWKRUXOUXMUXNUXQUXRTTVUIU
      XJUUKYTUUBVUJUVJVUDUUKUXGYTUXJUVJUYSUUJUUKYCYDVUGYTUXJPUYFWIWJVUHUXKJZYQU
      UNUWHYSVUHUYSUXKVUGUYSYTUVJUYSUULUXGYFQQVUKUWHUUNUWFUFZYQVUKUYHUWHVULLVUK
      UXKUYHVUHUXKVPUYITZYSUUNUWFWBTVUKUWPUWQUUNYPYNZHVBVULYQLUWPVUKUWSOUWQVUKU
      XAOVUKVUNUUIUUNUVJVUDUXGYTUXKWKVUKUUIYPUVJVUDUUJUXGYTUXKVUFYDYGYHYPNNUUNY
      QYIWTWQVUMYJVUHUXGUYJVUEUXGYTPUYKXBXDSSXERUYMTSYKWHXQUWCUWADUYNYLTUYPVLTY
      OSYM $.
  $}

  ${
    $d k x y A $.  $d k x J $.  $d k x y X $.  $d k y ph $.  $d y B $.
    refsumcn.1 $e |- F/ x ph $.
    refsumcn.2 $e |- K = ( topGen ` ran (,) ) $.
    refsumcn.3 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    refsumcn.4 $e |- ( ph -> A e. Fin ) $.
    refsumcn.5 $e |- ( ( ph /\ k e. A ) -> ( x e. X |-> B ) e. ( J Cn K ) ) $.
    $( A finite sum of continuous real functions, from a common topological
       space, is continuous.  The class expression for B normally contains free
       variables k and x to index it.  See ~ fsumcn for the analogous theorem
       on continuous complex functions.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    refsumcn $p |- ( ph -> ( x e. X |-> sum_ k e. A B ) e. ( J Cn K ) ) $=
      ( vy cfv cr co wcel wa a1i csu cmpt ccnfld ctopn ccn eqid cv cioo crn ctg
      crest tgioo2 eqtri oveq2i eleqtrdi cc ctopon wss wb cnfldtopon wf retopon
      adantr eqeltri cnf2 syl3anc frnd ax-resscn cnrest2 fsumcnf wceq wrex wral
      mpbird wfn cfn simpll simpr jca simplr wi fmpt sylibr rsp syl fsumrecl ex
      sylc ralrimi fnmpt nfcv nfmpt1 fvelrnbf biimpa nfrn nfcri nfan w3a fvmpt2
      3adant3 simp3 eqtr3d eqeltrrd 3adant1r 3exp rexlimd ssrdv mpbid eleqtrrdi
      mpd ) ABHCDEUAZUBZFUCUDOZPUKQZUEQZFGUEQZAXLFXMUEQZRZXLXORZABCDEFXMHXMUFZK
      LAEUGCRZSZBHDUBZXQRZYCXORZYBYCXPXOMGXNFUEGUHUIUJOZXNJXMXTULUMUNZUOYBXMUPU
      QORZYCUIPURPUPURZYDYEUSYHYBXMXTUTZTYBHPYCYBFHUQORZGPUQOZRZYCXPRHPYCVAZAYK
      YAKVCYMYBGYFYLJVBVDTMYCFGHPVEVFZVGYIYBVHTPYCFXMUPVIVFVNVJAYHXLUIZPURYIXRX
      SUSYHAYJTANYPPANUGZYPRZYQPRZAYRSZBUGZXLOZYQVKZBHVLZYSAYRUUDAXLHVOZYRUUDUS
      AXKPRZBHVMUUEAUUFBHIAUUAHRZUUFAUUGSZCDEACVPRUUGLVCUUHYASZYBUUGDPRZUUIAYAA
      UUGYAVQUUHYAVRVSAUUGYAVTYBUUJBHVMZUUGUUJWAYBYNUUKYOBHPDYCYCUFWBWCUUJBHWDW
      EWHWFZWGWIBHXKXLPXLUFZWJWEBHYQXLBHWKBYQWKBHXKWLZWMWEWNYTUUCYSBHAYRBIBNYPB
      XLUUNWOWPWQBNPBPWKWPYTUUGUUCYSAUUGUUCYSYRAUUGUUCWRZXKYQPUUOUUBXKYQAUUGUUB
      XKVKZUUCUUHUUGUUFSUUPUUHUUGUUFAUUGVRUULVSBHXKPXLUUMWSWEWTAUUGUUCXAXBAUUGU
      UFUUCUULWTXCXDXEXFXJWGXGYIAVHTPXLFXMUPVIVFXHYGXI $.
  $}

  ${
    rfcnpre2.1 $e |- F/_ x B $.
    rfcnpre2.2 $e |- F/_ x F $.
    rfcnpre2.3 $e |- F/ x ph $.
    rfcnpre2.4 $e |- K = ( topGen ` ran (,) ) $.
    rfcnpre2.5 $e |- X = U. J $.
    rfcnpre2.6 $e |- A = { x e. X | ( F ` x ) < B } $.
    rfcnpre2.7 $e |- ( ph -> B e. RR* ) $.
    rfcnpre2.8 $e |- ( ph -> F e. ( J Cn K ) ) $.
    $( If ` F ` is a continuous function with respect to the standard topology,
       then the preimage A of the values smaller than a given extended real
       ` B ` , is an open set.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    rfcnpre2 $p |- ( ph -> A e. J ) $=
      ( cmnf cioo wcel cr ccnv co cima cfv clt wbr crab nfcnv nfcv nfima nfrab1
      cv nfov wa wb ccn eqid fcnre ffvelrnda cxr elioomnf baibd syldan pm5.32da
      syl wfn ffn elpreima 3syl rabid a1i 3bitr4d eqrd eqtr4di crn ctg iooretop
      wf eleqtrrdi cnima syl2anc eqeltrrd ) AEUAZQDRUBZUCZCFAWEBULZEUDZDUEUFZBH
      UGZCABWEWIKBWCWDBEJUHBQDRBQUIBRUIIUMUJWHBHUKAWFHSZWGWDSZUNZWJWHUNZWFWESZW
      FWISZAWJWKWHAWJWGTSZWKWHUOAHTWFEAFGUPUBZHEFGLMWQUQPURZUSAWKWPWHADUTSWKWPW
      HUNUOODWGVAVEVBVCVDAHTEVREHVFWNWLUOWRHTEVGHWFWDEVHVIWOWMUOAWHBHVJVKVLVMNV
      NAEWQSWDGSWEFSPAWDRVOVPUDZGWDWSSAQDVQVKLVSWDEFGVTWAWB $.
  $}

  ${
    $d s t x y F $.  $d s t x y T $.  $d s t x y ph $.  $d t x J $.  $d t K $.
    cncmpmax.1 $e |- T = U. J $.
    cncmpmax.2 $e |- K = ( topGen ` ran (,) ) $.
    cncmpmax.3 $e |- ( ph -> J e. Comp ) $.
    cncmpmax.4 $e |- ( ph -> F e. ( J Cn K ) ) $.
    cncmpmax.5 $e |- ( ph -> T =/= (/) ) $.
    $( When the hypothesis for the extreme value theorem hold, then the sup of
       the range of the function belongs to the range, it is real and it an
       upper bound of the range.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    cncmpmax $p |- ( ph -> ( sup ( ran F , RR , < ) e. ran F /\
          sup ( ran F , RR , < ) e. RR /\
          A. t e. T ( F ` t ) <_ sup ( ran F , RR , < ) ) ) $=
      ( vy vs cv cle wbr wral cr wcel wa cfv crn clt csup w3a evth wss wceq ccn
      vx co eqid fcnre frnd adantr wfun cdm ffund simpr wf fdmd eleqtrrd fvelrn
      syl2anc adantrr wex wrex wfn ffn fvelrnb 3syl biimpa df-rex sylib adantlr
      wb simprr simpllr simprl fveq2 breq1d rspccva eqbrtrrd exlimddv ralrimiva
      adantrl ubelsupr syl3anc eqcomd eqeltrd sseldd sylancom breqtrrd cbvralvw
      simplrr sylibr 3jca rexlimddv ) ABNZDUAZUJNZDUAZOPZBCQZDUBZRUCUDZXESZXFRS
      ZWTXFOPZBCQZUEUJCAUJBDEFCGHIJKUFAXACSZXDTZTZXGXHXJXMXFXBXEXMXBXFXMXERUGZX
      BXESZLNZXBOPZLXEQZXBXFUHAXNXLACRDAEFUIUKZCDEFHGXSULJUMZUNUOZAXKXOXDAXKTZD
      UPZXADUQZSXOAYCXKACRDXTURUOYBXACYDAXKUSYBCRDACRDUTZXKXTUOVAVBXADVCVDVEZAX
      DXRXKAXDTZXQLXEYGXPXESZTZMNZCSZYJDUAZXPUHZTZXQMAYHYNMVFZXDAYHTYMMCVGZYOAY
      HYPAYEDCVHYHYPVPXTCRDVIMCXPDVJVKVLYMMCVMVNVOYIYNTZYLXPXBOYIYKYMVQYQXDYKYL
      XBOPZAXDYHYNVRYIYKYMVSXCYRBYJCWSYJUHZWTYLXBOWSYJDVTZWAWBZVDWCWDWEWFLXEXBW
      GWHWIZYFWJZXMXERXFYAUUCWKXMYLXFOPZMCQXJXMUUDMCXMYKTYLXBXFOXMYKXDYRAXKXDYK
      WOUUAWLXMXFXBUHYKUUBUOWMWEXIUUDBMCYSWTYLXFOYTWAWNWPWQWR $.
  $}

  ${
    $d s t B $.  $d s F $.  $d s t T $.  $d s ph $.
    rfcnpre3.2 $e |- F/_ t F $.
    rfcnpre3.3 $e |- K = ( topGen ` ran (,) ) $.
    rfcnpre3.4 $e |- T = U. J $.
    rfcnpre3.5 $e |- A = { t e. T | B <_ ( F ` t ) } $.
    rfcnpre3.6 $e |- ( ph -> B e. RR ) $.
    rfcnpre3.8 $e |- ( ph -> F e. ( J Cn K ) ) $.
    $( If F is a continuous function with respect to the standard topology,
       then the preimage A of the values greater than or equal to a given real
       B is a closed set.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    rfcnpre3 $p |- ( ph -> A e. ( Clsd ` J ) ) $=
      ( cpnf ccld cfv cle wcel cr vs ccnv cico co cima cv wbr crab wa wf wfn wb
      ccn eqid fcnre ffn elpreima cxr clt w3a rexrd adantr pnfxr elico1 sylancl
      3syl ffvelrnda simpr ltpnf syl 3jca impbida bitrd pm5.32da nfcv nffv nfbr
      simpr2 weq fveq2 breq2d elrabf bitr4di eqrdv eqtr4di crn icopnfcld fveq2i
      cioo ctg eleqtrrdi cnclima syl2anc eqeltrrd ) AFUBDOUCUDZUEZCGPQZAWPDBUFZ
      FQZRUGZBEUHZCAUAWPXAAUAUFZWPSZXBESZDXBFQZRUGZUIZXBXASAXCXDXEWOSZUIZXGAETF
      UJFEUKXCXIULAGHUMUDZEFGHJKXJUNNUOZETFUPEXBWOFUQVFAXDXHXFAXDUIZXHXEURSZXFX
      EOUSUGZUTZXFXLDURSZOURSXHXOULAXPXDADMVAVBVCDOXEVDVEXLXOXFXLXMXFXNVRXLXFUI
      ZXMXFXNXLXMXFXLXEAETXBFXKVGZVAVBXLXFVHXQXETSZXNXLXSXFXRVBXEVIVJVKVLVMVNVM
      WTXFBXBEBXBVOZBEVOBDXERBDVOBRVOBXBFIXTVPVQBUAVSWSXEDRWRXBFVTWAWBWCWDLWEAF
      XJSWOHPQZSWPWQSNAWOWIWFWJQZPQZYAADTSWOYCSMDWGVJHYBPJWHWKWOFGHWLWMWN $.
  $}

  ${
    $d s t B $.  $d s F $.  $d s t T $.  $d s ph $.
    rfcnpre4.1 $e |- F/_ t F $.
    rfcnpre4.2 $e |- K = ( topGen ` ran (,) ) $.
    rfcnpre4.3 $e |- T = U. J $.
    rfcnpre4.4 $e |- A = { t e. T | ( F ` t ) <_ B } $.
    rfcnpre4.5 $e |- ( ph -> B e. RR ) $.
    rfcnpre4.6 $e |- ( ph -> F e. ( J Cn K ) ) $.
    $( If F is a continuous function with respect to the standard topology,
       then the preimage A of the values less than or equal to a given real B
       is a closed set.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    rfcnpre4 $p |- ( ph -> A e. ( Clsd ` J ) ) $=
      ( cmnf ccld cfv cle wcel cr vs ccnv cioc co cima cv wbr crab wa wf wfn wb
      ccn eqid fcnre ffn elpreima cxr clt w3a mnfxr rexrd adantr elioc1 sylancr
      3syl ffvelrnda mnflt syl simpr 3jca impbida bitrd pm5.32da nfcv nffv nfbr
      simpr3 weq fveq2 breq1d elrabf bitr4di eqrdv eqtr4di crn iocmnfcld fveq2i
      cioo ctg eleqtrrdi cnclima syl2anc eqeltrrd ) AFUBODUCUDZUEZCGPQZAWPBUFZF
      QZDRUGZBEUHZCAUAWPXAAUAUFZWPSZXBESZXBFQZDRUGZUIZXBXASAXCXDXEWOSZUIZXGAETF
      UJFEUKXCXIULAGHUMUDZEFGHJKXJUNNUOZETFUPEXBWOFUQVFAXDXHXFAXDUIZXHXEURSZOXE
      USUGZXFUTZXFXLOURSDURSZXHXOULVAAXPXDADMVBVCODXEVDVEXLXOXFXLXMXNXFVRXLXFUI
      ZXMXNXFXLXMXFXLXEAETXBFXKVGZVBVCXQXETSZXNXLXSXFXRVCXEVHVIXLXFVJVKVLVMVNVM
      WTXFBXBEBXBVOZBEVOBXEDRBXBFIXTVPBRVOBDVOVQBUAVSWSXEDRWRXBFVTWAWBWCWDLWEAF
      XJSWOHPQZSWPWQSNAWOWIWFWJQZPQZYAADTSWOYCSMDWGVIHYBPJWHWKWOFGHWLWMWN $.
  $}

  ${
    $d k A $.  $d k B $.  $d k ph $.
    sumpair.1 $e |- ( ph -> F/_ k D ) $.
    sumpair.3 $e |- ( ph -> F/_ k E ) $.
    sumupair.1 $e |- ( ph -> A e. V ) $.
    sumupair.2 $e |- ( ph -> B e. W ) $.
    sumupair.3 $e |- ( ph -> D e. CC ) $.
    sumupair.4 $e |- ( ph -> E e. CC ) $.
    sumupair.5 $e |- ( ph -> A =/= B ) $.
    sumupair.8 $e |- ( ( ph /\ k = A ) -> C = D ) $.
    sumupair.9 $e |- ( ( ph /\ k = B ) -> C = E ) $.
    $( Sum of two distinct complex values.  The class expression for ` A ` and
       ` B ` normally contain free variable ` k ` to index it.  (Contributed by
       Glauco Siliprandi, 20-Apr-2017.) $)
    sumpair $p |- ( ph -> sum_ k e. { A , B } C = ( D + E ) ) $=
      ( wcel cc cpr csu csn caddc co wne cin wceq disjsn2 syl cun df-pr a1i cfn
      c0 prfi cv wo elpri wa adantr eqeltrd jaodan sylan2 fsumsplit nfv oveq12d
      sumsnd eqtrd ) ABCUAZDFUBBUCZDFUBZCUCZDFUBZUDUEEGUDUEAVKVMDVJFABCUFVKVMUG
      UOUHPBCUIUJVJVKVMUKUHABCULUMVJUNSABCUPUMFUQZVJSAVOBUHZVOCUHZURDTSZVOBCUSA
      VPVRVQAVPUTDETQAETSVPNVAVBAVQUTDGTRAGTSVQOVAVBVCVDVEAVLEVNGUDADEFBHJAFVFZ
      QLNVHADGFCIKVSRMOVHVGVI $.
  $}

  ${
    $d n s t T $.  $d n s F $.  $d s t J $.  $d s ph $.  $d t K $.
    rfcnnnub.1 $e |- F/_ t F $.
    rfcnnnub.2 $e |- F/ t ph $.
    rfcnnnub.3 $e |- K = ( topGen ` ran (,) ) $.
    rfcnnnub.4 $e |- ( ph -> J e. Comp ) $.
    rfcnnnub.5 $e |- T = U. J $.
    rfcnnnub.6 $e |- ( ph -> T =/= (/) ) $.
    rfcnnnub.7 $e |- C = ( J Cn K ) $.
    rfcnnnub.8 $e |- ( ph -> F e. C ) $.
    $( Given a real continuous function ` F ` defined on a compact topological
       space, there is always a positive integer that is a strict upper bound
       of its range.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    rfcnnnub $p |- ( ph -> E. n e. NN A. t e. T ( F ` t ) < n ) $=
      ( vs wex wa nfcv cv cfv clt wbr wral cn wrex cr wcel cle w3a nfv eleqtrdi
      ccn co evthf df-rex sylib fcnre ffvelrnda ex anim1d eximdv ralrimi 19.41v
      mpd sylanbrc df-3an exbii sylibr nffv nfel1 nfra1 nf3an nfbr nfan simpll3
      simpr rsp sylc simpll1 simplrl nnred simpl2 r19.21bi simplrr lelttrd arch
      3ad2ant1 reximddv eximi syl 19.9v ) ABUAZFUBZEUAZUCUDZBDUEZEUFUGZQRZWSAQU
      AZFUBZUHUIZWOXBUJUDZBDUEZWOUHUIZBDUEZUKZQRZWTAXCXESZXGSZQRZXIAXJQRZXGXLAX
      ADUIZXESZQRZXMAXEQDUGXPAQBFGHDQFTIQDTBDTAQULJMKLAFCGHUNUOPOUMNUPXEQDUQURA
      XOXJQAXNXCXEAXNXCADUHXAFACDFGHKMOPUSZUTVAVBVCVFAXFBDJAWNDUIZXFADUHWNFXQUT
      VAVDXJXGQVEVGXHXKQXCXEXGVHVIVJXHWSQXHXBWPUCUDZWREUFXHWPUFUIZXSSZSZWQBDXHY
      ABXCXEXGBBXBUHBXAFIBXATVKZVLXDBDVMXFBDVMVNXTXSBXTBULBXBWPUCYCBUCTBWPTVOVP
      VPYBXRWQYBXRSZWOXBWPYDXGXRXFXCXEXGYAXRVQYBXRVRXFBDVSVTXCXEXGYAXRWAYDWPXHX
      TXSXRWBWCYBXDBDXCXEXGYAWDWEXHXTXSXRWFWGVAVDXCXEXSEUFUGXGXBEWHWIWJWKWLWSQW
      MUR $.
  $}

  ${
    $d k x J $.  $d k F $.  $d k G $.  $d k x K $.  $d k x X $.  $d k ph $.
    refsum2cnlem1.1 $e |- F/_ x A $.
    refsum2cnlem1.2 $e |- F/_ x F $.
    refsum2cnlem1.3 $e |- F/_ x G $.
    refsum2cnlem1.4 $e |- F/ x ph $.
    refsum2cnlem1.5 $e |- A = ( k e. { 1 , 2 } |-> if ( k = 1 , F , G ) ) $.
    refsum2cnlem1.6 $e |- K = ( topGen ` ran (,) ) $.
    refsum2cnlem1.7 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    refsum2cnlem1.8 $e |- ( ph -> F e. ( J Cn K ) ) $.
    refsum2cnlem1.9 $e |- ( ph -> G e. ( J Cn K ) ) $.
    $( This is the core Lemma for ~ refsum2cn : the sum of two continuous real
       functions (from a common topological space) is continuous.  (Contributed
       by Glauco Siliprandi, 20-Apr-2017.) $)
    refsum2cnlem1 $p |- ( ph -> ( x e. X |->
          ( ( F ` x ) + ( G ` x ) ) ) e. ( J Cn K ) ) $=
      ( c1 wceq c2 cpr cv cfv csu cmpt caddc co ccn wcel wnfc cif nfmpt1 nfcxfr
      wa cc nfcv nffv a1i 1cnd 2cnd prid1 ifcld eqeq1 ifbid fvmptg sylancr eqid
      1ex iftruei eqtrdi adantr fveq1d cuni cnf syl ctopon toponuni eqcomd cioo
      cr wf crn unieqi uniretop eqtr4i feq23d mpbid anim1i ffvelrn recn eqeltrd
      ctg 3syl 2ex prid2 nesymi iffalsei wne fveq2 adantl sumpair oveq12d eqtrd
      1ne2 mpteq2da cfn prfi wal wral ax-gen fveq1 a1d ralrimi mpteq12f retopon
      nfeq wfn eqeltri cnf2 syl3anc dffn5f sylib eqtr4d adantlr wo simpr fvmpt2
      ffnd syl2anc iftrue sylan9eq neeq2 mpbiri necomd neneqd iffalsed mpjaodan
      orcd wn olcd elpri refsumcn eqeltrrd ) ABISUAUBZBUCZDUCZCUDZUDZDUEZUFBIUU
      FEUDZUUFFUDZUGUHZUFGHUIUHZABIUUJUUMMAUUFIUJZUOZUUJUUFSCUDZUDZUUFUACUDZUDZ
      UGUHUUMUUPSUAUUIUURDUUTUPUPDUURUKUUPDUUFUUQDSCDCDUUEUUGSTZEFULZUFNDUUEUVB
      UMUNZDSUQURDUUFUQZURUSDUUTUKUUPDUUFUUSDUACUVCDUAUQURUVDURUSUUPUTUUPVAUUPU
      URUUKUPUUPUUFUUQEAUUQETUUOAUUQSSTZEFULZEASUUEUJUVFUUNUJUUQUVFTSUAVIVBAUVE
      EFUUNQRVCDSUVBUVFUUEUUNCUVAUVAUVEEFUUGSSVDVENVFVGUVEEFSVHVJVKVLVMZUUPIWAE
      WBZUUOUOUUKWAUJUUKUPUJAUVHUUOAGVNZHVNZEWBZUVHAEUUNUJZUVKQEGHUVIUVJUVIVHZU
      VJVHZVOVPAUVIUVJIWAEAIUVIAGIVQUDUJZIUVITPIGVRVPVSZUVJWATAUVJVTWCWMUDZVNWA
      HUVQOWDWEWFUSZWGWHWIIWAUUFEWJUUKWKWNWLUUPUUTUULUPUUPUUFUUSFAUUSFTUUOAUUSU
      ASTZEFULZFAUAUUEUJUVTUUNUJUUSUVTTSUAWOWPAUVSEFUUNQRVCDUAUVBUVTUUEUUNCUUGU
      ATZUVAUVSEFUUGUASVDVENVFVGUVSEFSUAXEWQWRVKVLVMZUUPIWAFWBZUUOUOUULWAUJUULU
      PUJAUWCUUOAUVIUVJFWBZUWCAFUUNUJZUWDRFGHUVIUVJUVMUVNVOVPAUVIUVJIWAFUVPUVRW
      GWHWIIWAUUFFWJUULWKWNWLSUAWSZUUPXEUSUVAUUIUURTUUPUVAUUFUUHUUQUUGSCWTVMXAU
      WAUUIUUTTUUPUWAUUFUUHUUSUUGUACWTVMXAXBUUPUURUUKUUTUULUGUVGUWBXCXDXFABUUEU
      UIDGHIMOPUUEXGUJASUAXHUSAUUGUUEUJZUOZUUHETZBIUUIUFZUUNUJZUUHFTZAUWIUWKUWG
      AUWIUOZUWJEUUNUWMUWJBIUUKUFZEUWIUWJUWNTZAUWIIITZBXIZUUIUUKTZBIXJUWOUWPBIV
      HXKZUWIUWRBIBUUHEBUUGCJBUUGUQURZKXQUWIUWRUUOUUFUUHEXLXMXNBIUUIIUUKXOVGXAA
      EUWNTZUWIAEIXRUXAAIWAEAUVOHWAVQUDZUJZUVLUVHPUXCAHUVQUXBOXPXSUSZQEGHIWAXTY
      AYIBIEKYBYCVLYDAUVLUWIQVLWLYEAUWLUWKUWGAUWLUOZUWJFUUNUXEUWJBIUULUFZFUWLUW
      JUXFTZAUWLUWQUUIUULTZBIXJUXGUWSUWLUXHBIBUUHFUWTLXQUWLUXHUUOUUFUUHFXLXMXNB
      IUUIIUULXOVGXAAFUXFTZUWLAFIXRUXIAIWAFAUVOUXCUWEUWCPUXDRFGHIWAXTYAYIBIFLYB
      YCVLYDAUWEUWLRVLWLYEUWHUVAUWIUWLYFUWAUWHUVAUOUWIUWLUWHUVAUUHUVBEUWHUWGUVB
      UUNUJZUUHUVBTZAUWGYGAUXJUWGAUVAEFUUNQRVCVLDUUEUVBUUNCNYHYJZUVAEFYKYLYSUWH
      UWAUOZUWLUWIUXMUUHUVBFUWHUXKUWAUXLVLUXMUVAEFUWAUVAYTUWHUWAUUGSUWASUUGUWAS
      UUGWSUWFXEUUGUASYMYNYOYPXAYQXDUUAUWGUVAUWAYFAUUGSUAUUBXAYRYRUUCUUD $.
  $}

  ${
    $d k x J $.  $d k F $.  $d k G $.  $d k x K $.  $d k x X $.  $d k ph $.
    refsum2cn.1 $e |- F/_ x F $.
    refsum2cn.2 $e |- F/_ x G $.
    refsum2cn.3 $e |- F/ x ph $.
    refsum2cn.4 $e |- K = ( topGen ` ran (,) ) $.
    refsum2cn.5 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    refsum2cn.6 $e |- ( ph -> F e. ( J Cn K ) ) $.
    refsum2cn.7 $e |- ( ph -> G e. ( J Cn K ) ) $.
    $( The sum of two continuus real functions (from a common topological
       space) is continuous.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    refsum2cn $p |- ( ph
        -> ( x e. X |-> ( ( F ` x ) + ( G ` x ) ) ) e. ( J Cn K ) ) $=
      ( vk c1 c2 cpr cv wceq cif cmpt nfcv nfv nfif nfmpt eqid refsum2cnlem1 )
      ABOPQRZOSPTZCDUAZUBZOCDEFGBOUIUKBUIUCUJBCDUJBUDHIUEUFHIJULUGKLMNUH $.
  $}

  $( A member of a union that is not a member of the second class, is a member
     of the first class.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  elunnel2 $p |- ( ( A e. ( B u. C ) /\ -. A e. C ) -> A e. B ) $=
    ( cun wcel wo elun biimpi orcomd orcanai ) ABCDEZACEZABEZKMLKMLFABCGHIJ $.

  ${
    adantlllr.1 $e |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ta ) $.
    $( Deduction adding a conjunct to antecedent.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    adantlllr $p |- ( ( ( ( ( ph /\ et ) /\ ps ) /\ ch ) /\ th ) -> ta ) $=
      ( adantl3r ) ABCDEFGH $.
  $}

  ${
    3adantlr3.1 $e |- ( ( ( ph /\ ( ps /\ ch ) ) /\ th ) -> ta ) $.
    $( Deduction adding a conjunct to antecedent.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    3adantlr3 $p |- ( ( ( ph /\ ( ps /\ ch /\ et ) ) /\ th ) -> ta ) $=
      ( w3a wa simpll simplr1 simplr2 jca simpr syl21anc ) ABCFHZIZDIZABCIDEAPD
      JRBCBCFADKBCFADLMQDNGO $.
  $}

  ${
    nnxrd.1 $e |- ( ph -> A e. NN ) $.
    $( A natural number is an extended real.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    nnxrd $p |- ( ph -> A e. RR* ) $=
      ( nnred rexrd ) ABABCDE $.
  $}

  ${
    3adantll2.1 $e |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ta ) $.
    $( Deduction adding a conjunct to antecedent.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    3adantll2 $p |- ( ( ( ( ph /\ et /\ ps ) /\ ch ) /\ th ) -> ta ) $=
      ( w3a wa simpll1 simpll3 jca simplr simpr syl21anc ) AFBHZCIZDIZABICDERAB
      AFBCDJAFBCDKLPCDMQDNGO $.
  $}

  ${
    3adantll3.1 $e |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ta ) $.
    $( Deduction adding a conjunct to antecedent.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    3adantll3 $p |- ( ( ( ( ph /\ ps /\ et ) /\ ch ) /\ th ) -> ta ) $=
      ( w3a wa simpll1 simpll2 jca simplr simpr syl21anc ) ABFHZCIZDIZABICDERAB
      ABFCDJABFCDKLPCDMQDNGO $.
  $}

  $( If not element of a set, then not element of a subset.  (Contributed by
     Glauco Siliprandi, 11-Dec-2019.) $)
  ssnel $p |- ( ( A C_ B /\ -. C e. B ) -> -. C e. A ) $=
    ( wss wcel ssel2 stoic1a ) ABDCAECBEABCFG $.

  ${
    $d A x y z $.  $d B y z $.
    $( Elementhood in an image set.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    elabrexg $p |- ( ( x e. A /\ B e. V ) -> B e. { y | E. x e. A y = B } ) $=
      ( vz cv wcel csb wceq wrex cab wtru tru csbeq1a equcoms trud 2thd rspcev
      wa mpan2 adantr wb eqeq1 rexbidv elabg adantl mpbird nfcsb1v nfeq2 eqeq2d
      nfv cbvrexw abbii eleqtrrdi ) AGZCHZDEHZTZDBGZAFGZDIZJZFCKZBLZUTDJZACKZBL
      USDVEHZDVBJZFCKZUQVJURUQMVJNVIMFUPCVAUPJZVIMVIAFAVADOZPVKQRSUAUBURVHVJUCU
      QVDVJBDEVFVCVIFCUTDVBUDUEUFUGUHVGVDBVFVCAFCVFFULAUTVBAVADUIUJUPVAJDVBUTVL
      UKUMUNUO $.
  $}

  $( A singleton is closed w.r.t. the standard topology on the reals.
     (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  sncldre $p |- ( A e. RR -> { A } e. ( Clsd ` ( topGen ` ran (,) ) ) ) $=
    ( cioo crn ctg cfv cha wcel cr csn ccld rehaus uniretop sncld mpan ) BCDEZF
    GAHGAIOJEGKAOHLMN $.

  $( A polynomial with a nonzero coefficient is not the zero polynomial.
     (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
  n0p $p |- ( ( P e. ( Poly ` ZZ ) /\ N e. NN0 /\ ( ( coeff ` P ) ` N ) =/= 0 )
     -> P =/= 0p ) $=
    ( cz cply cfv wcel cn0 ccoe cc0 wne w3a c0p wceq csn cxp fveq2 eqtrd adantr
    wa coe0 a1i fveq1d adantl id c0ex fvconst2 syl 3ad2antl2 wn neneq 3ad2antl3
    pm2.65da neqned ) ACDEFZBGFZBAHEZEZIJZKZALUSALMZUQIMZUOUNUTVAURUOUTSUQBGINO
    ZEZIUTUQVCMUOUTBUPVBUTUPLHEZVBALHPVDVBMUTTUAQUBUCUOVCIMZUTUOUOVEUOUDGIBUEUF
    UGRQUHURUNUTVAUIZUOURVFUTUQIUJRUKULUM $.

  ${
    pm2.65ni.1 $e |- ( -. ph -> ps ) $.
    pm2.65ni.2 $e |- ( -. ph -> -. ps ) $.
    $( Inference rule for proof by contradiction.  (Contributed by Glauco
       Siliprandi, 5-Apr-2020.) $)
    pm2.65ni $p |- ph $=
      ( wn pm2.65i notnotri ) AAEBCDFG $.
  $}

  ${
    $d A x $.
    $( Every element of the power set of ` A ` is finite if and only if ` A `
       is finite.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    pwssfi $p |- ( A e. V -> ( A e. Fin <-> ~P A C_ Fin ) ) $=
      ( vx wcel cfn cpw wi cv wral wa simpl elpwi adantl ssfi syl2anc ralrimiva
      wss dfss3 sylibr a1i pwidg adantr biimpi eleq1 rspcva ex impbid ) ABDZAED
      ZAFZEQZUIUKGUHUICHZEDZCUJIZUKUIUMCUJUIULUJDZJUIULAQZUMUIUOKUOUPUIULALMAUL
      NOPCUJERZSTUHUKUIUHUKJAUJDZUNUIUHURUKABUAUBUKUNUHUKUNUQUCMUMUICAUJULAEUDU
      EOUFUG $.
  $}

  ${
    iuneq2df.1 $e |- F/ x ph $.
    iuneq2df.2 $e |- ( ( ph /\ x e. A ) -> B = C ) $.
    $( Equality deduction for indexed union.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    iuneq2df $p |- ( ph -> U_ x e. A B = U_ x e. A C ) $=
      ( wceq wral ciun cv wcel ex ralrimi iuneq2 syl ) ADEHZBCIBCDJBCEJHAQBCFAB
      KCLQGMNBCDEOP $.
  $}

  ${
    $d A f $.
    $( There exists a mapping from ` NN ` onto any (nonempty) countable set.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    nnfoctb $p |- ( ( A ~<_ _om /\ A =/= (/) ) -> E. f f : NN -onto-> A ) $=
      ( com cdom wbr c0 wne wa csdm cn cv wfo wex simpr wb cvv wcel wrel adantr
      a1i reldom brrelex1 mpancom 0sdomg syl mpbird nnenom ensymi domentr mpdan
      cen fodomr syl2anc ) ACDEZAFGZHZFAIEZAJDEZJABKLBMUPUQUOUNUONUNUQUOOZUOUNA
      PQZUSDRZUNUTVAUNUATACDUBUCAPUDUESUFUNURUOUNCJUKEZURVBUNJCUGUHTACJUIUJSJAB
      ULUM $.
  $}

  ${
    ssinss1d.1 $e |- ( ph -> A C_ C ) $.
    $( Intersection preserves subclass relationship.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    ssinss1d $p |- ( ph -> ( A i^i B ) C_ C ) $=
      ( wss cin ssinss1 syl ) ABDFBCGDFEBCDHI $.
  $}

  $( An element of the powerset of ` B ` intersected with anything, is a subset
     of ` B ` .  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
  elpwinss $p |- ( A e. ( ~P B i^i C ) -> A C_ B ) $=
    ( cpw cin wcel elinel1 elpwid ) ABDZCEFABAICGH $.

  ${
    unidmex.f $e |- ( ph -> F e. V ) $.
    unidmex.x $e |- X = U. dom F $.
    $( If ` F ` is a set, then ` U. dom F ` is a set.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    unidmex $p |- ( ph -> X e. _V ) $=
      ( cdm cuni cvv wcel dmexg uniexg 3syl eqeltrid ) ADBGZHZIFABCJOIJPIJEBCKO
      ILMN $.
  $}

  ${
    $d A x y $.  $d B y $.  $d C x $.
    ndisj2.1 $e |- ( x = y -> B = C ) $.
    $( A non-disjointness condition.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    ndisj2 $p |- ( -. Disj_ x e. A B <-> E. x e. A E. y e. A ( x =/= y /\ ( B
       i^i C ) =/= (/) ) ) $=
      ( wdisj wn cv wceq cin c0 wo wral wrex wne wa rexnal df-ne rexbii anbi12i
      disjor notbii ioran bitr4i bitr3i 3bitr2i ) ACDGZHAIZBIZJZDEKZLJZMZBCNZAC
      NZHUOHZACOUIUJPZULLPZQZBCOZACOUHUPCDEABFUBUCUOACRUQVAACUQUNHZBCOVAUNBCRVB
      UTBCVBUKHZUMHZQUTUKUMUDURVCUSVDUIUJSULLSUAUETUFTUG $.
  $}

  $( The set of integer numbers is equinumerous to omega (the set of finite
     ordinal numbers).  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
  zenom $p |- ZZ ~~ _om $=
    ( cz cn com znnen nnenom entri ) ABCDEF $.

  ${
    $d M i k $.  $d S i j k $.  $d i k ph $.  $d i ps $.
    uzwo4.1 $e |- F/ j ps $.
    uzwo4.2 $e |- ( j = k -> ( ph <-> ps ) ) $.
    $( Well-ordering principle: any nonempty subset of an upper set of integers
       has the least element.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    uzwo4 $p |- ( ( S C_ ( ZZ>= ` M ) /\ E. j e. S ph ) -> E. j e. S ( ph /\ A.
       k e. S ( k < j -> -. ps ) ) ) $=
      ( vi wss wrex wa cv wbr wral clt wi adantr syl2anc wcel cuz cfv cle wn c0
      crab wne ssrab2 a1i id sstrd rabn0 bicomi biimpi adantl uzwo wsbc 3adant1
      w3a sseli nfcv nfsbc1 sbceq1a elrabf simprd nfv nfra1 nf3an simpl13 simpr
      simpl2 simpll sylibr adantll rspa syl21anc cr sselda eluzelz zred 3adant3
      cz syl 3ad2ant1 ssel2 3ad2antl1 simp3 simp2 simp1 ltnled syl3anc pm2.65da
      mpbid 3exp ralrimi jca nfim nfralw nfan wceq breq2 imbi1d ralbidv anbi12d
      nfn rspce rexlimdv mpd ) CFUAUBZJZADCKZLZIMZEMZUCNZEADCUFZOZIXPKZAXNDMZPN
      ZBUDZQZECOZLZDCKZXLXPXIJZXPUEUGZXRXJYFXKXJXPCXIXPCJXJADCUHZUIXJUJUKZRXKYG
      XJXKYGYGXKADCULUMUNUOXPIEFUPSXJXRYEQXKXJXQYEIXPXJXMXPTZXQYEXJYJXQUSZXMCTZ
      ADXMUQZXNXMPNZYAQZECOZLZYEYJXQYLXJYJYLXQXPCXMYHUTRURYKYMYPYJXQYMXJYJYMXQY
      JYLYMYJYLYMLAYMDXMCDXMVAZDCVAZADXMYRVBZADXMVCZVDUNVERURYKYOECXJYJXQEXJEVF
      YJEVFXOEXPVGVHYKXNCTZYNYAYKUUBYNUSZBXOUUCBLXQUUBBXOXJYJXQUUBYNBVIYKUUBYNB
      VKUUCBVJXQUUBLBLXQXNXPTZXOXQUUBBVLUUBBUUDXQUUBBLZUUEUUDUUEUJABDXNCDXNVAYS
      GHVDVMVNXOEXPVOSVPUUCXOUDZBUUCXMVQTZXNVQTZYNUUFYKUUBUUGYNXJYJUUGXQXJYJLZX
      MUUIXMXITXMWBTXJXPXIXMYIVRFXMVSWCVTWAWDYKUUBUUHYNXJYJUUBUUHXQXJUUBLZXNUUJ
      XNXITXNWBTCXIXNWEFXNVSWCVTWFWAYKUUBYNWGUUGUUHYNUSZYNUUFUUGUUHYNWGUUKXNXMU
      UGUUHYNWHUUGUUHYNWIWJWMWKRWLWNWOWPYDYQDXMCYMYPDYTYODECYSYNYADYNDVFBDGXEWQ
      WRWSXSXMWTZAYMYCYPUUAUULYBYOECUULXTYNYAXSXMXNPXAXBXCXDXFSWNXGRXH $.
  $}

  $( The union of the singleton of the empty set is the empty set.
     (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
  unisn0 $p |- U. { (/) } = (/) $=
    ( c0 csn cuni wceq wss ssid uni0b mpbir ) ABZCADIIEIFIGH $.
  $( If two classes are disjoint, two respective subclasses are disjoint.
     (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
  ssin0 $p |- ( ( ( A i^i B ) = (/) /\ C C_ A /\ D C_ B ) -> ( C i^i D ) = (/)
     ) $=
    ( cin c0 wceq wss w3a ss2in 3adant1 eqimss 3ad2ant1 sstrd ss0 syl ) ABEZFGZ
    CAHZDBHZIZCDEZFHUBFGUAUBQFSTUBQHRCADBJKRSQFHTQFLMNUBOP $.
  $( Absorption law for intersection.  (Contributed by Glauco Siliprandi,
     17-Aug-2020.) $)
  inabs3 $p |- ( C C_ B -> ( ( A i^i B ) i^i C ) = ( A i^i C ) ) $=
    ( wss cin inass wceq sseqin2 biimpi ineq2d syl5eq ) CBDZABECEABCEZEACEABCFL
    MCALMCGCBHIJK $.
  $( Relationship between power class and union.  (Contributed by Glauco
     Siliprandi, 17-Aug-2020.) $)
  pwpwuni $p |- ( A e. V -> ( A e. ~P ~P B <-> U. A e. ~P B ) ) $=
    ( wcel cpw wss cuni elpwg wb sspwuni a1i cvv uniexg syl bicomd 3bitrd ) ACD
    ZABEZEDARFZAGZBFZTRDZARCHSUAIQABJKQUBUAQTLDUBUAIACMTBLHNOP $.

  ${
    $d A x $.  $d C x $.  $d D x $.  $d E x $.
    disjiun2.1 $e |- ( ph -> Disj_ x e. A B ) $.
    disjiun2.2 $e |- ( ph -> C C_ A ) $.
    disjiun2.3 $e |- ( ph -> D e. ( A \ C ) ) $.
    disjiun2.4 $e |- ( x = D -> B = E ) $.
    $( In a disjoint collection, an indexed union is disjoint from an
       additional term.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    disjiun2 $p |- ( ph -> ( U_ x e. C B i^i E ) = (/) ) $=
      ( ciun csn cin c0 cdif wcel wceq iunxsng wss syl ineq2d wdisj eldifi 3syl
      snssi wn eldifbd disjsn sylibr disjiun syl13anc eqtr3d ) ABEDLZBFMZDLZNZU
      NGNOAUPGUNAFCEPZQZUPGRJBFDGURKSUAUBABCDUCECTUOCTZEUONORZUQORHIAUSFCQUTJFC
      EUDFCUFUEAFEQUGVAAFCEJUHEFUIUJBCDEUOUKULUM $.
  $}

  $( The empty set is in any power set, and it's finite.  (Contributed by
     Glauco Siliprandi, 17-Aug-2020.) $)
  0pwfi $p |- (/) e. ( ~P A i^i Fin ) $=
    ( c0 cpw cfn 0elpw 0fin elini ) BACDAEFG $.
  ${
    ssinss2d.1 $e |- ( ph -> B C_ C ) $.
    $( Intersection preserves subclass relationship.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    ssinss2d $p |- ( ph -> ( A i^i B ) C_ C ) $=
      ( cin incom ssinss1d eqsstrid ) ABCFCBFDBCGACBDEHI $.
  $}

  $( The set of integer numbers is countable.  (Contributed by Glauco
     Siliprandi, 17-Aug-2020.) $)
  zct $p |- ZZ ~<_ _om $=
    ( cz com cen wbr cdom zenom endom ax-mp ) ABCDABEDFABGH $.

  $( A finite set always belongs to a power class.  (Contributed by Glauco
     Siliprandi, 17-Aug-2020.) $)
  pwfin0 $p |- ( ~P A i^i Fin ) =/= (/) $=
    ( c0 cpw cfn cin wcel wne 0pwfi ne0i ax-mp ) BACDEZFKBGAHKBIJ $.
  ${
    uzct.1 $e |- Z = ( ZZ>= ` N ) $.
    $( An upper integer set is countable.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    uzct $p |- Z ~<_ _om $=
      ( cz cdom wbr com wss cuz cfv uzssz eqsstri cvv wcel zex ssdomg ax-mp zct
      wi domtr mp2an ) BDEFZDGEFBGEFBDHZUBBAIJDCAKLDMNUCUBSOBDMPQQRBDGTUA $.
  $}

  ${
    $d A x $.
    iunxsnf.1 $e |- F/_ x C $.
    iunxsnf.2 $e |- A e. _V $.
    iunxsnf.3 $e |- ( x = A -> B = C ) $.
    $( A singleton index picks out an instance of an indexed union's argument.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    iunxsnf $p |- U_ x e. { A } B = C $=
      ( cvv wcel csn ciun wceq iunxsngf ax-mp ) BHIABJCKDLFABCDHEGMN $.
  $}

  ${
    $d A u v w x $.  $d B u v w $.  $d B w y z $.  $d D u v w x $.
    $d D w x y z $.  $d ph u v w $.  $d ph w y z $.  $d u w x z $.
    fiiuncl.xph $e |- F/ x ph $.
    fiiuncl.b $e |- ( ( ph /\ x e. A ) -> B e. D ) $.
    fiiuncl.un $e |- ( ( ph /\ y e. D /\ z e. D ) -> ( y u. z ) e. D ) $.
    fiiuncl.a $e |- ( ph -> A e. Fin ) $.
    fiiuncl.n0 $e |- ( ph -> A =/= (/) ) $.
    $( If a set is closed under the union of two sets, then it is closed under
       finite indexed union.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    fiiuncl $p |- ( ph -> U_ x e. A B e. D ) $=
      ( c0 wcel wi cun wceq eleq1d imbi12d wa vv vw vu wne ciun cv neeq1 iuneq1
      csn neirr pm2.21i a1i wss csb iunxun nfcsb1v csbeq1a iunxsnf uneq2i eqtri
      cdif vex 0iun eqtrd uneq1d 0un unidm eqtr4i adantl simpl eldifi nfan nfcv
      nfel nfim eleq1 anbi2d chvarfv eqeltrid syl2anc adantr eqeltrd adantlr wn
      nfv simplll ad3antlr neqne mpd adantll w3a 3adant3 simp3 simp1 3jca uneq2
      3anbi3d imbi2d 3anbi2d uneq1 vtoclg syl3c syl3anc pm2.61dan ex findcard2d
      a1d adantrl ) AEMUDZBEFUEZGNZLAUAUFZMUDZBXLFUEZGNZOMMUDZBMFUEZGNZOZUBUFZM
      UDZBXTFUEZGNZOZXTUCUFZUIZPZMUDZBYGFUEZGNZOZXIXKOUAUBUCEXLMQZXMXPXOXRXLMMU
      GYLXNXQGBXLMFUHRSXLXTQZXMYAXOYCXLXTMUGYMXNYBGBXLXTFUHRSXLYGQZXMYHXOYJXLYG
      MUGYNXNYIGBXLYGFUHRSXLEQZXMXIXOXKXLEMUGYOXNXJGBXLEFUHRSXSAXPXRMUJUKULAYEE
      XTVANZYDYKOXTEUMAYPTZYDYKYQYDTZYJYHYRYIYBBYEFUNZPZGYIYBBYFFUEZPYTBXTYFFUO
      UUAYSYBBYEFYSBYEFUPZUCVBBYEFUQZURUSUTYRXTMQZYTGNZYQUUDUUEYDYQUUDTYTYSYSPZ
      GUUDYTUUFQYQUUDYTMYSPZUUFUUDYBMYSUUDYBXQMBXTMFUHXQMQUUDBFVCULVDVEUUGUUFQU
      UDUUGYSUUFYSVFYSVGZVHULVDVIYQUUFGNZUUDYQAYEENZUUIAYPVJYPUUJAYEEXTVKZVIAUU
      JTZUUFYSGUUHABUFZENZTZFGNZOUULYSGNZOBUCUULUUQBAUUJBHUUJBWEVLBYSGUUBBGVMVN
      VOUUMYEQZUUOUULUUPUUQUURUUNUUJAUUMYEEVPVQUURFYSGUUCRSIVRZVSVTWAWBWCYRUUDW
      DZTAUUJYCUUEAYPYDUUTWFYPUUJAYDUUTUUKWGYDUUTYCYQYDUUTTYAYCUUTYAYDXTMWHVIYD
      UUTVJWIWJAUUJYCWKZUUQYCAYCUUQWKZUUEAUUJUUQYCUUSWLZAUUJYCWMZUVAAYCUUQAUUJY
      CWNUVDUVCWOYCAYCDUFZGNZWKZYBUVEPZGNZOZOYCUVBUUEOZODYSGUVEYSQZUVJUVKYCUVLU
      VGUVBUVIUUEUVLUVFUUQAYCUVEYSGVPWQUVLUVHYTGUVEYSYBWPRSWRACUFZGNZUVFWKZUVMU
      VEPZGNZOUVJCYBGUVMYBQZUVOUVGUVQUVIUVRUVNYCAUVFUVMYBGVPWSUVRUVPUVHGUVMYBUV
      EWTRSJXAXAXBXCXDVSXGXEXHKXFWI $.
  $}

  ${
    $d M k $.  $d N k $.
    iunp1.1 $e |- F/_ k B $.
    iunp1.2 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    iunp1.3 $e |- ( k = ( N + 1 ) -> A = B ) $.
    $( The addition of the next set to a union indexed by a finite set of
       sequential integers.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    iunp1 $p |- ( ph -> U_ k e. ( M ... ( N + 1 ) ) A = ( U_ k e. ( M ... N ) A
       u. B ) ) $=
      ( c1 caddc co cfz ciun csn cun cuz cfv wceq a1i wcel fzsuc iuneq1d iunxun
      syl ovex iunxsnf uneq2d 3eqtrd ) ADEFJKLZMLZBNDEFMLZUJOZPZBNZDULBNZDUMBNZ
      PZUPCPADUKUNBAFEQRUAUKUNSHEFUBUEUCUOURSADULUMBUDTAUQCUPUQCSADUJBCGFJKUFIU
      GTUHUI $.
  $}

  ${
    $d A x y z $.  $d ph x y z $.
    fiunicl.1 $e |- ( ( ph /\ x e. A /\ y e. A ) -> ( x u. y ) e. A ) $.
    fiunicl.2 $e |- ( ph -> A e. Fin ) $.
    fiunicl.3 $e |- ( ph -> A =/= (/) ) $.
    $( If a set is closed under the union of two sets, then it is closed under
       finite union.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    fiunicl $p |- ( ph -> U. A e. A ) $=
      ( vz cuni cv ciun uniiun nfv wcel simpr fiiuncl eqeltrid ) ADIHDHJZKDHDLA
      HBCDRDAHMARDNOEFGPQ $.
  $}

  ${
    ixpeq2d.1 $e |- F/ x ph $.
    ixpeq2d.2 $e |- ( ( ph /\ x e. A ) -> B = C ) $.
    $( Equality theorem for infinite Cartesian product.  (Contributed by Glauco
       Siliprandi, 11-Oct-2020.) $)
    ixpeq2d $p |- ( ph -> X_ x e. A B = X_ x e. A C ) $=
      ( wceq wral cixp cv wcel ex ralrimi ixpeq2 syl ) ADEHZBCIBCDJBCEJHAQBCFAB
      KCLQGMNBCDEOP $.
  $}

  ${
    $d A x y z $.  $d B y z $.  $d C y z $.  $d ph y z $.
    disjxp1.1 $e |- ( ph -> Disj_ x e. A B ) $.
    $( The sets of a cartesian product are disjoint if the sets in the first
       argument are disjoint.  (Contributed by Glauco Siliprandi,
       11-Oct-2020.) $)
    disjxp1 $p |- ( ph -> Disj_ x e. A ( B X. C ) ) $=
      ( vy vz cv wceq cxp csb cin c0 wo wral wdisj wcel wa csbxp wne ineq12i wn
      animorrl simpll simplrl simplrr jca31 simpr neneqd disjors sylib r19.21bi
      ord sylc xpdisj1 syl syl5eq olcd pm2.61dane ralrimivva sylibr ) AGIZHIZJZ
      BVCDEKZLZBVDVFLZMZNJZOZHCPGCPBCVFQAVKGHCCAVCCRZVDCRZSZSZVKVCVDVOVEVJUDVOV
      CVDUAZSZVJVEVQVIBVCDLZBVCELZKZBVDDLZBVDELZKZMZNVGVTVHWCBVCDETBVDDETUBVQVR
      WAMNJZWDNJVQAVLSZVMSZVEUCWEVQAVLVMAVNVPUEAVLVMVPUFAVLVMVPUGUHVQVCVDVOVPUI
      UJWGVEWEWFVEWEOZHCAWHHCPZGCABCDQWIGCPFBCDGHUKULUMUMUNUOVRWAVSWBUPUQURUSUT
      VABCVFGHUKVB $.
  $}

  ${
    $d A j $.
    $( The sets in the cartesian product of singletons with other sets, are
       disjoint.  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    disjsnxp $p |- Disj_ j e. A ( { j } X. B ) $=
      ( cv csn cxp wdisj wtru sndisj a1i disjxp1 mptru ) CACDEZBFGHCAMBCAMGHCAI
      JKL $.
  $}

  ${
    $d A x $.  $d B x $.  $d D x $.  $d K x $.
    eliind.a $e |- ( ph -> A e. |^|_ x e. B C ) $.
    eliind.k $e |- ( ph -> K e. B ) $.
    eliind.d $e |- ( x = K -> ( A e. C <-> A e. D ) ) $.
    $( Membership in indexed intersection.  (Contributed by Glauco Siliprandi,
       24-Dec-2020.) $)
    eliind $p |- ( ph -> A e. D ) $=
      ( wcel ciin wral wb eliin syl mpbid rspcdva ) ACEKZCFKBDGJACBDELZKZSBDMZH
      AUAUAUBNHBCDETOPQIR $.
  $}

  ${
    rspcef.1 $e |- F/ x ps $.
    rspcef.2 $e |- F/_ x A $.
    rspcef.3 $e |- F/_ x B $.
    rspcef.4 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Restricted existential specialization, using implicit substitution.
       (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    rspcef $p |- ( ( A e. B /\ ps ) -> E. x e. B ph ) $=
      ( rspcegf ) ABCDEFGHIJ $.
  $}

  ${
    inn0f.1 $e |- F/_ x A $.
    inn0f.2 $e |- F/_ x B $.
    $( A nonempty intersection.  (Contributed by Glauco Siliprandi,
       24-Dec-2020.) $)
    inn0f $p |- ( ( A i^i B ) =/= (/) <-> E. x e. A x e. B ) $=
      ( cv cin wcel wex wa c0 wne wrex elin exbii nfin n0f df-rex 3bitr4i ) AFZ
      BCGZHZAITBHTCHZJZAIUAKLUCABMUBUDATBCNOAUAABCDEPQUCABRS $.
  $}

  ${
    $d A x $.  $d C x $.
    ixpssmapc.x $e |- F/ x ph $.
    ixpssmapc.c $e |- ( ph -> C e. V ) $.
    ixpssmapc.b $e |- ( ( ph /\ x e. A ) -> B C_ C ) $.
    $( An infinite Cartesian product is a subset of set exponentiation.
       (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    ixpssmapc $p |- ( ph -> X_ x e. A B C_ ( C ^m A ) ) $=
      ( cixp ciun cmap co cvv wcel wss wral cv ex ralrimi sylibr ixpssmap2g syl
      iunss ssexd mapss syl2anc sstrd ) ABCDJZBCDKZCLMZECLMZAUJNOUIUKPAUJEFHADE
      PZBCQUJEPZAUMBCGABRCOUMISTBCDEUDUAZUEBCDNUBUCAEFOUNUKULPHUOUJECFUFUGUH $.
  $}

  ${
    $d A x $.  $d B x $.
    $( A nonempty intersection.  (Contributed by Glauco Siliprandi,
       24-Dec-2020.) $)
    inn0 $p |- ( ( A i^i B ) =/= (/) <-> E. x e. A x e. B ) $=
      ( nfcv inn0f ) ABCABDACDE $.
  $}

  ${
    $d A x $.  $d B x $.
    elintd.1 $e |- F/ x ph $.
    elintd.2 $e |- ( ph -> A e. V ) $.
    elintd.3 $e |- ( ( ph /\ x e. B ) -> A e. x ) $.
    $( Membership in class intersection.  (Contributed by Glauco Siliprandi,
       3-Jan-2021.) $)
    elintd $p |- ( ph -> A e. |^| B ) $=
      ( cint wcel cv wral ex ralrimi wb elintg syl mpbird ) ACDIJZCBKZJZBDLZAUA
      BDFATDJUAHMNACEJSUBOGBCDEPQR $.
  $}

  ${
    $d A x $.  $d B x $.
    ssdf.1 $e |- F/ x ph $.
    ssdf.2 $e |- ( ( ph /\ x e. A ) -> x e. B ) $.
    $( A sufficient condition for a subclass relationship.  (Contributed by
       Glauco Siliprandi, 3-Jan-2021.) $)
    ssdf $p |- ( ph -> A C_ B ) $=
      ( cv wcel wral wss ex ralrimi dfss3 sylibr ) ABGZDHZBCICDJAPBCEAOCHPFKLBC
      DMN $.
  $}

  ${
    brneqtrd.1 $e |- ( ph -> -. A R B ) $.
    brneqtrd.2 $e |- ( ph -> B = C ) $.
    $( Substitution of equal classes into the negation of a binary relation.
       (Contributed by Glauco Siliprandi, 3-Jan-2021.) $)
    brneqtrd $p |- ( ph -> -. A R C ) $=
      ( wbr breq2d mtbid ) ABCEHBDEHFACDBEGIJ $.
  $}

  ${
    ssnct.1 $e |- ( ph -> -. A ~<_ _om ) $.
    ssnct.2 $e |- ( ph -> A C_ B ) $.
    $( A set containing an uncountable set is itself uncountable.  (Contributed
       by Glauco Siliprandi, 3-Jan-2021.) $)
    ssnct $p |- ( ph -> -. B ~<_ _om ) $=
      ( com cdom wbr wss ssct sylan wn adantr pm2.65da ) ACFGHZBFGHZABCIOPEBCJK
      APLODMN $.
  $}

  ${
    $d A x $.  $d B x $.
    ssuniint.x $e |- F/ x ph $.
    ssuniint.a $e |- ( ph -> A e. V ) $.
    ssuniint.b $e |- ( ( ph /\ x e. B ) -> A e. x ) $.
    $( Sufficient condition for being a subclass of the union of an
       intersection.  (Contributed by Glauco Siliprandi, 3-Jan-2021.) $)
    ssuniint $p |- ( ph -> A C_ U. |^| B ) $=
      ( cint wcel cuni wss elintd elssuni syl ) ACDIZJCPKLABCDEFGHMCPNO $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.
    elintdv.1 $e |- ( ph -> A e. V ) $.
    elintdv.2 $e |- ( ( ph /\ x e. B ) -> A e. x ) $.
    $( Membership in class intersection.  (Contributed by Glauco Siliprandi,
       3-Jan-2021.) $)
    elintdv $p |- ( ph -> A e. |^| B ) $=
      ( nfv elintd ) ABCDEABHFGI $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.
    ssd.1 $e |- ( ( ph /\ x e. A ) -> x e. B ) $.
    $( A sufficient condition for a subclass relationship.  (Contributed by
       Glauco Siliprandi, 3-Jan-2021.) $)
    ssd $p |- ( ph -> A C_ B ) $=
      ( nfv ssdf ) ABCDABFEG $.
  $}

  $( Introducing any antecedent in a restricted universal quantification.
     (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
  ralimralim $p |- ( A. x e. A ph -> A. x e. A ( ps -> ph ) ) $=
    ( wral wi nfra1 cv wcel wa rspa ax-1 syl ex ralrimi ) ACDEZBAFZCDACDGPCHDIZ
    QPRJAQACDKABLMNO $.
  ${
    $d A y $.  $d B y $.  $d ph y $.  $d x y $.
    snelmap.a $e |- ( ph -> A e. V ) $.
    snelmap.b $e |- ( ph -> B e. W ) $.
    snelmap.n $e |- ( ph -> A =/= (/) ) $.
    snelmap.e $e |- ( ph -> ( A X. { x } ) e. ( B ^m A ) ) $.
    $( Membership of the element in the range of a constant map.  (Contributed
       by Glauco Siliprandi, 3-Mar-2021.) $)
    snelmap $p |- ( ph -> x e. B ) $=
      ( vy cv wcel wex c0 wne n0 sylib wa csn cxp cfv wceq vex eqcomd adantl wf
      fvconst2 cmap co wb elmapg syl2anc mpbid adantr simpr ffvelrnd eqeltrd ex
      exlimdv mpd ) AKLZCMZKNZBLZDMZACOPVDIKCQRAVCVFKAVCVFAVCSZVEVBCVETUAZUBZDV
      CVEVIUCAVCVIVECVEVBBUDUHUEUFVGCDVBVHACDVHUGZVCAVHDCUIUJMZVJJADFMCEMVKVJUK
      HGDCVHFEULUMUNUOAVCUPUQURUSUTVA $.
  $}

  ${
    xrnmnfpnf.1 $e |- ( ph -> A e. RR* ) $.
    xrnmnfpnf.2 $e |- ( ph -> -. A e. RR ) $.
    xrnmnfpnf.3 $e |- ( ph -> A =/= -oo ) $.
    $( An extended real that is neither real nor minus infinity, is plus
       infinity.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    xrnmnfpnf $p |- ( ph -> A = +oo ) $=
      ( cr wcel cpnf wceq wo wn cxr cmnf wne wa jca xrnemnf sylib pm2.53 sylc )
      ABFGZBHIZJZUAKUBABLGZBMNZOUCAUDUECEPBQRDUAUBST $.
  $}

  ${
    $d C x $.
    nelrnmpt.x $e |- F/ x ph $.
    nelrnmpt.f $e |- F = ( x e. A |-> B ) $.
    nelrnmpt.c $e |- ( ph -> C e. V ) $.
    nelrnmpt.n $e |- ( ( ph /\ x e. A ) -> C =/= B ) $.
    $( Non-membership in the range of a function in maps-to notaion.
       (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    nelrnmpt $p |- ( ph -> -. C e. ran F ) $=
      ( crn wcel wceq wrex wn wral cv wa neneqd ex ralrimi ralnex sylib elrnmpt
      wb syl mtbird ) AEFLMZEDNZBCOZAUJPZBCQUKPAULBCHABRCMZULAUMSEDKTUAUBUJBCUC
      UDAEGMUIUKUFJBCDEFGIUEUGUH $.
  $}

  ${
    $d A x $.  $d B x $.
    iuneq1i.1 $e |- A = B $.
    $( Equality theorem for indexed union.  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    iuneq1i $p |- U_ x e. A C = U_ x e. B C $=
      ( wceq ciun iuneq1 ax-mp ) BCFABDGACDGFEABCDHI $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Negation of subclass relationship.  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    nssrex $p |- ( -. A C_ B <-> E. x e. A -. x e. B ) $=
      ( wss wn cv wcel wa wex wrex nss df-rex bitr4i ) BCDEAFZBGNCGEZHAIOABJABC
      KOABLM $.
  $}

  ${
    $d F m n $.  $d M m n $.  $d N m n $.  $d m n ph $.
    ssinc.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    ssinc.2 $e |- ( ( ph /\ m e. ( M ..^ N ) ) -> ( F ` m ) C_ ( F ` ( m + 1 )
       ) ) $.
    $( Inclusion relation for a monotonic sequence of sets.  (Contributed by
       Glauco Siliprandi, 8-Apr-2021.) $)
    ssinc $p |- ( ph -> ( F ` M ) C_ ( F ` N ) ) $=
      ( cz wcel wa cle wbr w3a cfv wss wi wceq fveq2 sseq2d imbi2d eluzel2 zred
      vn cuz syl eluzelz jca eluzle leidd id cv c1 caddc co ssidd a1i clt simpr
      simpl pm3.35 syl2anc 3adant1 simplll simplr1 simplr2 eluz2 sylibr simpllr
      3jca cfzo simplr3 elfzo2 3adant2 sstrd 3exp fzind sylc ) ADHIZEHIZJZVSDEK
      LZEEKLZMZJADCNZECNZOZAVTWCAVRVSAEDUDNZIZVRFDEUAUEAWHVSFDEUFUEZUGAVSWAWBWI
      AWHWAFDEUHUEAEAEWIUBUIVIUGAUJAWDUCUKZCNZOZPAWDWDOZPZAWDBUKZCNZOZPZAWDWOUL
      UMUNZCNZOZPAWFPUCBEDEWJDQZWLWMAXBWKWDWDWJDCRSTWJWOQZWLWQAXCWKWPWDWJWOCRST
      WJWSQZWLXAAXDWKWTWDWJWSCRSTWJEQZWLWFAXEWKWEWDWJECRSTWNVRVSWAMAWDUOUPVTWOH
      IZDWOKLZWOEUQLZMZJZWRAXAXJWRAMWDWPWTWRAWQXJWRAJAWRWQWRAURWRAUSAWQUTVAVBXJ
      AWPWTOZWRXJAJZAWODEVJUNIZXKXJAURXLWOWGIZVSXHMXMXLXNVSXHXLVRXFXGMXNXLVRXFX
      GVRVSXIAVCXFXGXHVTAVDXFXGXHVTAVEVIDWOVFVGVRVSXIAVHXFXGXHVTAVKVIWODEVLVGGV
      AVMVNVOVPVQ $.
  $}

  ${
    $d F m n $.  $d M m n $.  $d N m n $.  $d m n ph $.
    ssdec.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    ssdec.2 $e |- ( ( ph /\ m e. ( M ..^ N ) ) -> ( F ` ( m + 1 ) ) C_ ( F ` m
       ) ) $.
    $( Inclusion relation for a monotonic sequence of sets.  (Contributed by
       Glauco Siliprandi, 8-Apr-2021.) $)
    ssdec $p |- ( ph -> ( F ` N ) C_ ( F ` M ) ) $=
      ( cz wcel wa cle wbr w3a cfv wss wi wceq fveq2 sseq1d imbi2d eluzel2 zred
      vn cuz syl eluzelz jca eluzle leidd 3jca cv c1 caddc ssidd a1i cfzo simpr
      clt simplll simplr1 simplr2 sylibr simpllr simplr3 elfzo2 syl2anc 3adant2
      co eluz2 simpl pm3.35 3adant1 sstrd 3exp fzind mpcom ) DHIZEHIZJZVRDEKLZE
      EKLZMZJAECNZDCNZOZAVSWBAVQVRAEDUDNZIZVQFDEUAUEAWGVRFDEUFUEZUGAVRVTWAWHAWG
      VTFDEUHUEAEAEWHUBUIUJUGAUCUKZCNZWDOZPAWDWDOZPZABUKZCNZWDOZPZAWNULUMVHZCNZ
      WDOZPAWEPUCBEDEWIDQZWKWLAXAWJWDWDWIDCRSTWIWNQZWKWPAXBWJWOWDWIWNCRSTWIWRQZ
      WKWTAXCWJWSWDWIWRCRSTWIEQZWKWEAXDWJWCWDWIECRSTWMVQVRVTMAWDUNUOVSWNHIZDWNK
      LZWNEURLZMZJZWQAWTXIWQAMWSWOWDXIAWSWOOZWQXIAJZAWNDEUPVHIZXJXIAUQXKWNWFIZV
      RXGMXLXKXMVRXGXKVQXEXFMXMXKVQXEXFVQVRXHAUSXEXFXGVSAUTXEXFXGVSAVAUJDWNVIVB
      VQVRXHAVCXEXFXGVSAVDUJWNDEVEVBGVFVGWQAWPXIWQAJAWQWPWQAUQWQAVJAWPVKVFVLVMV
      NVOVP $.
  $}

  ${
    $d A x $.  $d B x $.  $d F x $.
    $( Membership in an infinite Cartesian product of a constant ` B ` .
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    elixpconstg $p |- ( F e. V -> ( F e. X_ x e. A B <-> F : A --> B ) ) $=
      ( wcel cixp wf wfn cv cfv wral ixpfn cvv elixp2 simp3bi ffnfv sylanbrc wa
      adantl elex adantr ffn simprbi syl3anbrc ex impbid2 ) DEFZDABCGFZBCDHZUID
      BIZAJDKCFABLZUJABCDMUIDNFZUKULABCDOZPABCDQZRUHUJUIUHUJSUMUKULUIUHUMUJDEUA
      UBUJUKUHBCDUCTUJULUHUJUKULUOUDTUNUEUFUG $.
  $}

  ${
    $d A x $.  $d B x $.
    iineq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for indexed intersection.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    iineq1d $p |- ( ph -> |^|_ x e. A C = |^|_ x e. B C ) $=
      ( wceq ciin iineq1 syl ) ACDGBCEHBDEHGFBCDEIJ $.
  $}

  $( A metric is a pseudometric.  (Contributed by Glauco Siliprandi,
     8-Apr-2021.) $)
  metpsmet $p |- ( D e. ( Met ` X ) -> D e. ( PsMet ` X ) ) $=
    ( cmet cfv wcel cxmet cpsmet metxmet xmetpsmet syl ) ABCDEABFDEABGDEABHABIJ
    $.
  ${
    ixpssixp.1 $e |- F/ x ph $.
    ixpssixp.2 $e |- ( ( ph /\ x e. A ) -> B C_ C ) $.
    $( Subclass theorem for infinite Cartesian product.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    ixpssixp $p |- ( ph -> X_ x e. A B C_ X_ x e. A C ) $=
      ( wss wral cixp cv wcel ex ralrimi ss2ixp syl ) ADEHZBCIBCDJBCEJHAQBCFABK
      CLQGMNBCDEOP $.
  $}

  ${
    $d A x $.  $d D x $.  $d P x $.  $d R x $.
    ballss3.y $e |- F/ x ph $.
    ballss3.d $e |- ( ph -> D e. ( PsMet ` X ) ) $.
    ballss3.p $e |- ( ph -> P e. X ) $.
    ballss3.r $e |- ( ph -> R e. RR* ) $.
    ballss3.a $e |- ( ( ph /\ x e. X /\ ( P D x ) < R ) -> x e. A ) $.
    $( A sufficient condition for a ` ball ` being a subset.  (Contributed by
       Glauco Siliprandi, 8-Apr-2021.) $)
    ballss3 $p |- ( ph -> ( P ( ball ` D ) R ) C_ A ) $=
      ( cv wcel cbl cfv co wral wa syl3anc wss clt simpl simpr wb cpsmet elblps
      wbr cxr adantr mpbid simpld simprd ex ralrimi dfss3 sylibr ) ABMZCNZBEFDO
      PQZRUTCUAAUSBUTHAURUTNZUSAVASZAURGNZEURDQFUBUHZUSAVAUCVBVCVDVBVAVCVDSZAVA
      UDAVAVEUEZVAADGUFPNEGNFUINVFIJKURDEFGUGTUJUKZULVBVCVDVGUMLTUNUOBUTCUPUQ
      $.
  $}

  ${
    $d F m n $.  $d F n x $.  $d M m n $.  $d M n x $.  $d N m n $.
    $d N n x $.  $d m n ph $.  $d ph x $.
    iunincfi.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    iunincfi.2 $e |- ( ( ph /\ n e. ( M ..^ N ) ) -> ( F ` n ) C_ ( F ` ( n + 1
       ) ) ) $.
    $( Given a sequence of increasing sets, the union of a finite subsequence,
       is its last element.  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    iunincfi $p |- ( ph -> U_ n e. ( M ... N ) ( F ` n ) = ( F ` N ) ) $=
      ( vx vm co cv cfv wcel wss adantl wa cuz c1 caddc syl cfz ciun wral eliun
      wrex biimpi elfzuz3 cfzo simpll elfzuz fzoss1 adantr simpr sseldd adantll
      wi wceq eleq1w anbi2d fveq2 fvoveq1 sseq12d imbi12d chvarvv syl2anc ssinc
      w3a 3adant3 simp3 3exp rexlimdv imp syldan ralrimiva dfss3 sylibr eluzfz2
      ssiun2s eqssd ) ABDEUAJZBKZCLZUBZECLZAHKZWDMZHWCUCWCWDNAWFHWCAWEWCMZWEWBM
      ZBVTUEZWFWGWIAWGWIBWEVTWBUDUFOAWIWFAWHWFBVTAWAVTMZWHWFAWJWHVGWBWDWEAWJWBW
      DNWHAWJPZICWAEWJEWAQLMAWADEUGOWKIKZWAEUHJZMZPAWLDEUHJZMZWLCLZWLRSJCLZNZAW
      JWNUIWJWNWPAWJWNPWMWOWLWJWMWONZWNWJWADQLZMWTWADEUJWADEUKTULWJWNUMUNUOAWAW
      OMZPZWBWARSJCLZNZUPAWPPZWSUPBIWAWLUQZXCXFXEWSXGXBWPABIWOURUSXGWBWQXDWRWAW
      LCUTWAWLRCSVAVBVCGVDVEVFVHAWJWHVIUNVJVKVLVMVNHWCWDVOVPAEVTMZWDWCNAEXAMXHF
      DEVQTBVTWBEWDWAECUTVRTVS $.
  $}

  $( If it's not a subclass, it's not a subclass of a smaller one.
     (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
  nsstr $p |- ( ( -. A C_ B /\ C C_ B ) -> -. A C_ C ) $=
    ( wss wn wa sstr ancoms adantll simpll pm2.65da ) ABDZEZCBDZFACDZLNOLMONLAC
    BGHIMNOJK $.

  ${
    $d M j $.  $d Z j k $.  $d ch j $.  $d j ps $.  $d k ta $.  $d k th $.
    rexanuz3.1 $e |- F/ j ph $.
    rexanuz3.2 $e |- Z = ( ZZ>= ` M ) $.
    rexanuz3.3 $e |- ( ph -> E. j e. Z A. k e. ( ZZ>= ` j ) ch ) $.
    rexanuz3.4 $e |- ( ph -> E. j e. Z A. k e. ( ZZ>= ` j ) ps ) $.
    rexanuz3.5 $e |- ( k = j -> ( ch <-> th ) ) $.
    rexanuz3.6 $e |- ( k = j -> ( ps <-> ta ) ) $.
    $( Combine two different upper integer properties into one, for a single
       integer.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    rexanuz3 $p |- ( ph -> E. j e. Z ( th /\ ta ) ) $=
      ( wa cv wral wrex wcel cuz cfv jca rexanuz2 sylibr wi eleq2i eluzelz uzid
      biimpi 3syl adantr simpr wceq anbi12d rspcva syl2anc adantll reximdai mpd
      cz ex ) ACBPZGFQZUAUBZRZFISZDEPZFISACGVERFISZBGVERFISZPVGAVIVJLMUCCBFGHIK
      UDUEAVFVHFIJAVDITZVFVHUFAVKPVFVHVKVFVHAVKVFPVDVETZVFVHVKVLVFVKVDHUAUBZTZV
      DVATVLVKVNIVMVDKUGUJHVDUHVDUIUKULVKVFUMVCVHGVDVEGQVDUNCDBENOUOUPUQURVBVBU
      SUT $.
  $}

  ${
    $d A u $.  $d B u w y $.  $d C u $.  $d E u $.  $d u w x y $.
    cbvmpo2.1 $e |- F/_ y A $.
    cbvmpo2.2 $e |- F/_ w A $.
    cbvmpo2.3 $e |- F/_ w C $.
    cbvmpo2.4 $e |- F/_ y E $.
    cbvmpo2.5 $e |- ( y = w -> C = E ) $.
    $( Rule to change the second bound variable in a maps-to function, using
       implicit substitution.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    cbvmpo2 $p |- ( x e. A , y e. B |-> C ) = ( x e. A , w e. B |-> E ) $=
      ( vu cv wcel wa wceq coprab nfcri nfan cmpo nfcv nfv eleq1w anbi2d eqeq2d
      nfeq2 anbi12d cbvoprab2 df-mpo 3eqtr4i ) ANDOZBNZEOZPZMNZFQZPZABMRULCNZEO
      ZPZUPGQZPZACMRABDEFUAACDEGUAURVCABMCUOUQCULUNCCADISCBECEUBSTCUPFJUGTVAVBB
      ULUTBBADHSUTBUCTBUPGKUGTUMUSQZUOVAUQVBVDUNUTULBCEUDUEVDFGUPLUFUHUIABMDEFU
      JACMDEGUJUK $.
  $}

  ${
    $d A u x z $.  $d B u $.  $d C u $.  $d E u $.  $d u x y z $.
    cbvmpo1.1 $e |- F/_ x B $.
    cbvmpo1.2 $e |- F/_ z B $.
    cbvmpo1.3 $e |- F/_ z C $.
    cbvmpo1.4 $e |- F/_ x E $.
    cbvmpo1.5 $e |- ( x = z -> C = E ) $.
    $( Rule to change the first bound variable in a maps-to function, using
       implicit substitution.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    cbvmpo1 $p |- ( x e. A , y e. B |-> C ) = ( z e. A , y e. B |-> E ) $=
      ( vu cv wcel wa wceq coprab cmpo nfan nfcri nfeq2 eleq1w anbi1d cbvoprab1
      nfv eqeq2d anbi12d df-mpo 3eqtr4i ) ANZDOZBNEOZPZMNZFQZPZABMRCNZDOZUMPZUO
      GQZPZCBMRABDEFSCBDEGSUQVBABMCUNUPCULUMCULCUFCBEIUATCUOFJUBTUTVAAUSUMAUSAU
      FABEHUATAUOGKUBTUKURQZUNUTUPVAVCULUSUMACDUCUDVCFGUOLUGUHUEABMDEFUICBMDEGU
      IUJ $.
  $}

  ${
    $d A x $.  $d V x $.  $d Z x $.  $d Z y $.
    eliuniin.1 $e |- A = U_ x e. B |^|_ y e. C D $.
    $( Indexed union of indexed intersections.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    eliuniin $p |- ( Z e. V -> ( Z e. A <-> E. x e. B A. y e. C Z e. D ) ) $=
      ( wcel wral wrex ciin ciun eleq2i eliun sylbb wi eliin sylibr ibi reximdv
      a1i mpd cv w3a simp2 biimpar rspe 3imp3i2an rexlimdv3a impbid2 ) HGJZHCJZ
      HFJBEKZADLZUNHBEFMZJZADLZUPUNHADUQNZJZUSCUTHIOZAHDUQPZQUNURUOADURUORUNURU
      OBHEFUQSUAUCUBUDUMUOUNADUMAUEDJZUOUFZVAUNVEUSVAUMVDUOVDURUSUMVDUOUGUMURUO
      BHEFGSUHURADUIUJVCTVBTUKUL $.
  $}

  ${
    ssabf.1 $e |- F/_ x A $.
    $( Subclass of a class abstraction.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    ssabf $p |- ( A C_ { x | ph } <-> A. x ( x e. A -> ph ) ) $=
      ( cab wss cv wcel wi wal abid2f sseq1i ss2ab bitr3i ) CABEZFBGCHZBEZOFPAI
      BJQCOBCDKLPABMN $.
  $}

  ${
    pssnssi.1 $e |- A C. B $.
    $( A proper subclass does not include the other class.  (Contributed by
       Glauco Siliprandi, 26-Jun-2021.) $)
    pssnssi $p |- -. B C_ A $=
      ( wss wn wpss wa dfpss3 mpbi simpri ) ABDZBADEZABFKLGCABHIJ $.
  $}

  $( Membership in a restricted abstraction, implication.  (Contributed by
     Glauco Siliprandi, 26-Jun-2021.) $)
  rabidim2 $p |- ( x e. { x e. A | ph } -> ph ) $=
    ( cv crab wcel rabid simprbi ) BDZABCEFICFAABCGH $.

  ${
    $d A B $.
    eluni2f.1 $e |- F/_ x A $.
    eluni2f.2 $e |- F/_ x B $.
    $( Membership in class union.  Restricted quantifier version.  (Contributed
       by Glauco Siliprandi, 26-Jun-2021.) $)
    eluni2f $p |- ( A e. U. B <-> E. x e. B A e. x ) $=
      ( cv wcel wa wex cuni wrex exancom elunif df-rex 3bitr4i ) BAFZGZPCGZHAIR
      QHAIBCJGQACKQRALABCDEMQACNO $.
  $}

  ${
    $d A x y $.  $d B y $.  $d C y $.
    eliin2f.1 $e |- F/_ x B $.
    $( Membership in indexed intersection.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    eliin2f $p |- ( B =/= (/) -> ( A e. |^|_ x e. B C <-> A. x e. B A e. C ) )
               $=
      ( vy c0 wne cvv wcel ciin wral wb adantl wn wa prcnel wrex wex sylibr csb
      eliin cv n0 biimpi adantr wi a1d ancld eximdv mpd df-rex nfcv nfv nfcsb1v
      nfel2 nfn csbeq1a eleq2d notbid cbvrexfw rexnal sylib 2falsed pm2.61dan
      weq ) CGHZBIJZBACDKZJZBDJZACLZMZVHVMVGABCDIUBNVGVHOZPZVJVLVNVJOVGBVIQNVOV
      KOZACRZVLOVOBAFUCZDUAZJZOZFCRZVQVOVRCJZWAPZFSZWBVOWCFSZWEVGWFVNVGWFFCUDUE
      UFVOWCWDFVOWCWAVNWCWAUGVGVNWAWCBVSQUHNUIUJUKWAFCULTVPWAAFCEFCUMVPFUNVTAAB
      VSAVRDUOUPUQAFVFZVKVTWGDVSBAVRDURUSUTVATVKACVBVCVDVE $.
  $}

  ${
    $d A x $.  $d B x $.  $d X x $.
    nssd.1 $e |- ( ph -> X e. A ) $.
    nssd.2 $e |- ( ph -> -. X e. B ) $.
    $( Negation of subclass relationship.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    nssd $p |- ( ph -> -. A C_ B ) $=
      ( vx cv wcel wn wa wex wss jca wceq eleq1 notbid anbi12d spcegv sylc nss
      sylibr ) AGHZBIZUCCIZJZKZGLZBCMJADBIZUIDCIZJZKZUHEAUIUKEFNUGULGDBUCDOZUDU
      IUFUKUCDBPUMUEUJUCDCPQRSTGBCUAUB $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.
    iineq12dv.1 $e |- ( ph -> A = B ) $.
    iineq12dv.2 $e |- ( ( ph /\ x e. B ) -> C = D ) $.
    $( Equality deduction for indexed intersection.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    iineq12dv $p |- ( ph -> |^|_ x e. A C = |^|_ x e. B D ) $=
      ( ciin iineq1d iineq2dv eqtrd ) ABCEIBDEIBDFIABCDEGJABDEFHKL $.
  $}

  ${
    supxrcld.1 $e |- ( ph -> A C_ RR* ) $.
    $( The supremum of an arbitrary set of extended reals is an extended real.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    supxrcld $p |- ( ph -> sup ( A , RR* , < ) e. RR* ) $=
      ( cxr wss clt csup wcel supxrcl syl ) ABDEBDFGDHCBIJ $.
  $}

  ${
    $d A x $.  $d B x $.  $d J x $.  $d X x $.
    elrestd.1 $e |- ( ph -> J e. V ) $.
    elrestd.2 $e |- ( ph -> B e. W ) $.
    elrestd.3 $e |- ( ph -> X e. J ) $.
    elrestd.4 $e |- A = ( X i^i B ) $.
    $( A sufficient condition for being an open set of a subspace topology.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    elrestd $p |- ( ph -> A e. ( J |`t B ) ) $=
      ( vx crest co wcel cv cin wceq wrex syl2anc a1i rspceeqv wb elrest mpbird
      ineq1 ) ABDCMNOZBLPZCQZRLDSZAGDOBGCQZRZUJJULAKUALGDUIUKBUHGCUFUBTADEOCFOU
      GUJUCHILBCDEFUDTUE $.
  $}

  ${
    $d B x $.  $d C y $.  $d Z x $.
    eliuniincex.1 $e |- B = { (/) } $.
    eliuniincex.2 $e |- C = (/) $.
    eliuniincex.3 $e |- D = (/) $.
    eliuniincex.4 $e |- Z = _V $.
    $( Counterexample to show that the additional conditions in ~ eliuniin and
       ~ eliuniin2 are actually needed.  Notice that the definition of ` A ` is
       not even needed (it can be any class).  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    eliuniincex $p |- -. ( Z e. A <-> E. x e. B A. y e. C Z e. D ) $=
      ( wcel wn wral wrex wb c0 nfcv mp2an wa cvv nvel eqneltri csn snid nfcxfr
      0ex eleqtrri ral0 nfel nfral wceq raleqi a1i rspce pm3.22 olcd xor sylibr
      cv wo ) GCLZMZGFLZBENZADOZVBVFPMZGUACKCUBUCQDLVDBQNZVFQQUDDQUGUEHUHVDBUIV
      EVHAQDVDABQAQRZAGFAGRAFQJVIUFUJUKVEVHPAUTQULVDBEQIUMUNUOSVCVFTZVBVFMTZVFV
      CTZVAVGVJVLVKVCVFUPUQVBVFURUSS $.
  $}

  ${
    $d A x $.  $d B x $.
    eliinct.1 $e |- A = _V $.
    eliinct.2 $e |- B = (/) $.
    $( Counterexample to show that the additional conditions in ~ eliin and
       ~ eliin2 are actually needed.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    eliincex $p |- -. ( A e. |^|_ x e. B C <-> A. x e. B A e. C ) $=
      ( ciin wcel wn wral wb cvv nvel eqneltri c0 ral0 raleqi mpbir wa wo mp2an
      pm3.22 olcd xor sylibr ) BACDGZHZIZBDHZACJZUGUJKIZBLUFEUFMNUJUIAOJUIAPUIA
      COFQRUHUJSZUGUJISZUJUHSZTUKULUNUMUHUJUBUCUGUJUDUEUA $.
  $}

  ${
    $d A x $.
    $( Membership in an indexed intersection implies membership in any
       intersected set.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    eliinid $p |- ( ( A e. |^|_ x e. B C /\ x e. B ) -> A e. C ) $=
      ( ciin wcel cv wral wa simpl wb eliin adantr mpbid rspa sylancom ) BACDEZ
      FZAGCFZBDFZACHZTRSIRUARSJRRUAKSABCDQLMNTACOP $.
  $}

  ${
    abssf.1 $e |- F/_ x A $.
    $( Class abstraction in a subclass relationship.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    abssf $p |- ( { x | ph } C_ A <-> A. x ( ph -> x e. A ) ) $=
      ( cab wss cv wcel wi wal abid2f sseq2i ss2ab bitr3i ) ABEZCFOBGCHZBEZFAPI
      BJQCOBCDKLAPBMN $.
  $}

  ${
    supxrubd.1 $e |- ( ph -> A C_ RR* ) $.
    supxrubd.2 $e |- ( ph -> B e. A ) $.
    supxrubd.3 $e |- S = sup ( A , RR* , < ) $.
    $( A member of a set of extended reals is less than or equal to the set's
       supremum.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    supxrubd $p |- ( ph -> B <_ S ) $=
      ( cxr clt csup cle wss wcel wbr supxrub syl2anc breqtrrdi ) ACBHIJZDKABHL
      CBMCRKNEFBCOPGQ $.
  $}

  ${
    ssrabf.1 $e |- F/_ x B $.
    ssrabf.2 $e |- F/_ x A $.
    $( Subclass of a restricted class abstraction.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    ssrabf $p |- ( B C_ { x e. A | ph } <-> ( B C_ A /\ A. x e. B ph ) ) $=
      ( crab wss cv wcel wa cab wi wal wral df-rab sseq2i ssabf dfss3f anbi1i
      r19.26 df-ral 3bitr2ri 3bitri ) DABCGZHDBIZCJZAKZBLZHUFDJUHMBNZDCHZABDOZK
      ZUEUIDABCPQUHBDERUMUGBDOZULKUHBDOUJUKUNULBDCEFSTUGABDUAUHBDUBUCUD $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Membership in indexed intersection.  See ~ eliincex for a counterexample
       showing that the precondition ` B =/= (/) ` cannot be simply dropped.
       ~ eliin uses an alternative precondition (and it doesn't have a disjoint
       var constraint between ` B ` and ` x ` ; see ~ eliin2f ).  (Contributed
       by Glauco Siliprandi, 26-Jun-2021.) $)
    eliin2 $p |- ( B =/= (/) -> ( A e. |^|_ x e. B C <-> A. x e. B A e. C ) )
             $=
      ( nfcv eliin2f ) ABCDACEF $.
  $}

  ${
    ssrab2f.1 $e |- F/_ x A $.
    $( Subclass relation for a restricted class.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    ssrab2f $p |- { x e. A | ph } C_ A $=
      ( crab wss cv wcel nfrab1 dfss3f rabidim1 mprgbir ) ABCEZCFBGCHBMBMCABCID
      JABCKL $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d ph x y z $.
    restuni3.1 $e |- ( ph -> A e. V ) $.
    restuni3.2 $e |- ( ph -> B e. W ) $.
    $( The underlying set of a subspace induced by the subspace operator
       ` |``t ` .  The result can be applied, for instance, to topologies and
       sigma-algebras.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    restuni3 $p |- ( ph -> U. ( A |`t B ) = ( U. A i^i B ) ) $=
      ( vx vz vy cv wcel wa wrex adantl wi simpr syl2anc adantr mpd co cuni cin
      crest wral wss eluni2 biimpi w3a wb elrest mpbid 3adant3 simpl eleqtrd ex
      wceq 3ad2ant3 reximdv rexlimdv elinel1 elunii elinel2 rexlimdva ralrimiva
      3exp elind dfss3 sylibr sylib eqid 3adant1r simp3 simp1r syl eleq2 rspcev
      elrestd eqelssd ) AHBCUDUAZUBZBUBZCUCZAHKZWCLZHWAUEWAWCUFAWEHWAAWDWALZMZW
      DIKZCUCZLZIBNZWEWGWDJKZLZJVTNZWKWFWNAWFWNJWDVTUGZUHOAWNWKPWFAWMWKJVTAWLVT
      LZWMWKAWPWMUIZWLWIUQZIBNZWKAWPWSWMAWPMWPWSAWPQAWPWSUJZWPABDLZCELZWTFGIWLC
      BDEUKRSULUMWQWRWJIBWMAWRWJPWPWMWRWJWMWRMWDWLWIWMWRUNWMWRQUOUPURUSTVFUTSTW
      GWJWEIBWHBLZWJWEPWGXCWJWEXCWJMZWBCWDXDWDWHLZXCWDWBLZWJXEXCWDWHCVAOXCWJUNW
      DWHBVBRWJWDCLZXCWDWHCVCOVGUPOVDTVEHWAWCVHVIAWEMZWNWFXHXEIBNZWNWEXIAWEXFXI
      WDWBCVAIWDBUGVJOXHXEWNIBXHXCXEWNXHXCXEUIZWIVTLZWJWNAXCXEXKWEAXCXKXEAXCMWI
      CBDEWHAXAXCFSAXBXCGSAXCQWIVKVRUMVLXJXEXGWJXHXCXEVMXJWEXGAWEXCXEVNWDWBCVCV
      OXEXGMWHCWDXEXGUNXEXGQVGRWMWJJWIVTWLWIWDVPVQRVFUTTWOVIVS $.
  $}

  ${
    rabssf.1 $e |- F/_ x B $.
    $( Restricted class abstraction in a subclass relationship.  (Contributed
       by Glauco Siliprandi, 26-Jun-2021.) $)
    rabssf $p |- ( { x e. A | ph } C_ B <-> A. x e. A ( ph -> x e. B ) ) $=
      ( crab wss cv wcel wa cab wi wral df-rab sseq1i abssf impexp albii df-ral
      wal bitr4i 3bitri ) ABCFZDGBHZCIZAJZBKZDGUFUDDIZLZBTZAUHLZBCMZUCUGDABCNOU
      FBDEPUJUEUKLZBTULUIUMBUEAUHQRUKBCSUAUB $.
  $}

  ${
    $d A x $.  $d C y $.  $d Z x $.  $d Z y $.
    eliuniin2.1 $e |- F/_ x C $.
    eliuniin2.2 $e |- A = U_ x e. B |^|_ y e. C D $.
    $( Indexed union of indexed intersections.  See ~ eliincex for a
       counterexample showing that the precondition ` C =/= (/) ` cannot be
       simply dropped.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    eliuniin2 $p |- ( C =/= (/) -> ( Z e. A <-> E. x e. B A. y e. C Z e. D ) )
                 $=
      ( c0 wne wcel wral wrex ciin ciun eleq2i eliun sylbb sylibr eliin ibi a1i
      wi reximdv mpd nfcv nfne nfv w3a simp2 eliin2 biimpar rspe 3imp3i2an 3exp
      cv rexlimd impbid2 ) EJKZGCLZGFLBEMZADNZVAGBEFOZLZADNZVCVAGADVDPZLZVFCVGG
      IQZAGDVDRZSVAVEVBADVEVBUDVAVEVBBGEFVDUAUBUCUEUFUTVBVAADAEJHAJUGUHVAAUIUTA
      UQDLZVBVAUTVKVBUJZVHVAVLVFVHUTVKVBVKVEVFUTVKVBUKUTVEVBBGEFULUMVEADUNUOVJT
      VITUPURUS $.
  $}

  ${
    restuni4.1 $e |- ( ph -> A e. V ) $.
    restuni4.2 $e |- ( ph -> B C_ U. A ) $.
    $( The underlying set of a subspace induced by the ` |``t ` operator.  The
       result can be applied, for instance, to topologies and sigma-algebras.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    restuni4 $p |- ( ph -> U. ( A |`t B ) = B ) $=
      ( cuni cin crest wceq incom a1i wss dfss sylib cvv uniexd ssexd restuni3
      co 3eqtr4rd ) ACBGZHZUBCHZCBCITGUCUDJACUBKLACUBMCUCJFCUBNOABCDPEACUBPABDE
      QFRSUA $.
  $}

  ${
    restuni6.1 $e |- ( ph -> A e. V ) $.
    restuni6.2 $e |- ( ph -> B e. W ) $.
    $( The underlying set of a subspace topology.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    restuni6 $p |- ( ph -> U. ( A |`t B ) = ( U. A i^i B ) ) $=
      ( crest co cuni cin wcel wceq eqid restin syl2anc unieqd wss inss2 a1i
      restuni4 incom 3eqtrd ) ABCHIZJBCBJZKZHIZJUFUECKZAUDUGABDLCELUDUGMFGCBDEU
      EUENOPQABUFDFUFUERACUESTUAUFUHMACUEUBTUC $.
  $}

  ${
    restuni5.1 $e |- X = U. J $.
    $( The underlying set of a subspace induced by the ` |``t ` operator.  The
       result can be applied, for instance, to topologies and sigma-algebras.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    restuni5 $p |- ( ( J e. V /\ A C_ X ) -> A = U. ( J |`t A ) ) $=
      ( wcel wss wa crest co cuni simpl id sseqtrdi adantl restuni4 eqcomd ) BC
      FZADGZHZBAIJKATBACRSLSABKZGRSADUASMENOPQ $.
  $}

  ${
    unirestss.1 $e |- ( ph -> A e. V ) $.
    unirestss.2 $e |- ( ph -> B e. W ) $.
    $( The union of an elementwise intersection is a subset of the underlying
       set.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    unirestss $p |- ( ph -> U. ( A |`t B ) C_ U. A ) $=
      ( crest co cuni cin restuni6 inss1 eqsstrdi ) ABCHIJBJZCKOABCDEFGLOCMN $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Indexed intersection of intersection.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    iniin1 $p |- ( A =/= (/) -> ( |^|_ x e. A C i^i B ) = |^|_ x e. A ( C i^i B
       ) ) $=
      ( c0 wne cin ciin iinin1 eqcomd ) BEFABDCGHABDHCGABCDIJ $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Indexed intersection of intersection.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    iniin2 $p |- ( A =/= (/) -> ( B i^i |^|_ x e. A C ) = |^|_ x e. A ( B i^i C
       ) ) $=
      ( c0 wne cin ciin iinin2 eqcomd ) BEFABCDGHCABDHGABCDIJ $.
  $}

  ${
    $d A y $.  $d B x $.  $d ph y $.  $d ps x $.
    cbvrabv2.1 $e |- ( x = y -> A = B ) $.
    cbvrabv2.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( A more general version of ~ cbvrabv .  Usage of this theorem is
       discouraged because it depends on ~ ax-13 .  Use of ~ cbvrabv2w is
       preferred.  (Contributed by Glauco Siliprandi, 23-Oct-2021.)
       (New usage is discouraged.) $)
    cbvrabv2 $p |- { x e. A | ph } = { y e. B | ps } $=
      ( nfcv nfv cbvrabcsf ) ABCDEFDEICFIADJBCJGHK $.
  $}

  ${
    $d A y $.  $d B x $.  $d ph y $.  $d ps x $.  $d x y $.
    cbvrabv2w.1 $e |- ( x = y -> A = B ) $.
    cbvrabv2w.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( A more general version of ~ cbvrabv .  Version of ~ cbvrabv2 with a
       disjoint variable condition, which does not require ~ ax-13 .
       (Contributed by Glauco Siliprandi, 23-Oct-2021.)  (Revised by Gino
       Giotto, 16-Apr-2024.) $)
    cbvrabv2w $p |- { x e. A | ph } = { y e. B | ps } $=
      ( nfcv nfv cbvrabcsfw ) ABCDEFDEICFIADJBCJGHK $.
  $}
  $( $j usage 'cbvrabv2w' avoids 'ax-13'; $)

  ${
    $d A y $.  $d B y $.  $d C y $.  $d ph y $.  $d x y $.
    iinssiin.1 $e |- F/ x ph $.
    iinssiin.2 $e |- ( ( ph /\ x e. A ) -> B C_ C ) $.
    $( Subset implication for an indexed intersection.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    iinssiin $p |- ( ph -> |^|_ x e. A B C_ |^|_ x e. A C ) $=
      ( vy ciin cv wcel wa wral nfii1 nfcri nfan wss adantlr eliinid adantll ex
      sseldd ralrimi wb cvv eliin elv sylibr ssd ) AHBCDIZBCEIZAHJZUJKZLZULEKZB
      CMZULUKKZUNUOBCAUMBFBHUJBCDNOPUNBJCKZUOUNURLDEULAURDEQUMGRUMURULDKABULCDS
      TUBUAUCUQUPUDHBULCEUEUFUGUHUI $.
  $}

  ${
    $d A x $.
    eliind2.1 $e |- F/ x ph $.
    eliind2.2 $e |- ( ph -> A e. V ) $.
    eliind2.3 $e |- ( ( ph /\ x e. B ) -> A e. C ) $.
    $( Membership in indexed intersection.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    eliind2 $p |- ( ph -> A e. |^|_ x e. B C ) $=
      ( ciin wcel wral cv ex ralrimi wb eliin syl mpbird ) ACBDEJKZCEKZBDLZAUAB
      DGABMDKUAINOACFKTUBPHBCDEFQRS $.
  $}

  ${
    $d A x $.  $d C x $.  $d D x $.  $d X x $.
    iinssd.1 $e |- ( ph -> X e. A ) $.
    iinssd.2 $e |- ( x = X -> B = D ) $.
    iinssd.3 $e |- ( ph -> D C_ C ) $.
    $( Subset implication for an indexed intersection.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    iinssd $p |- ( ph -> |^|_ x e. A B C_ C ) $=
      ( wss wrex ciin wcel cv wceq sseq1d rspcev syl2anc iinss syl ) ADEKZBCLZB
      CDMEKAGCNFEKZUCHJUBUDBGCBOGPDFEIQRSBCDETUA $.
  $}

  ${
    rabbida2.1 $e |- F/ x ph $.
    rabbida2.2 $e |- ( ph -> A = B ) $.
    rabbida2.3 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal restricted class abstractions.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    rabbida2 $p |- ( ph -> { x e. A | ps } = { x e. B | ch } ) $=
      ( cv wcel wa cab crab eleq2d anbi12d abbid df-rab 3eqtr4g ) ADJZEKZBLZDMT
      FKZCLZDMBDENCDFNAUBUDDGAUAUCBCAEFTHOIPQBDERCDFRS $.
  $}

  ${
    $d A x $.
    iinexd.1 $e |- ( ph -> A =/= (/) ) $.
    iinexd.2 $e |- ( ph -> A. x e. A B e. C ) $.
    $( The existence of an indexed union. ` x ` is normally a free-variable
       parameter in ` B ` , which should be read ` B ( x ) ` .  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    iinexd $p |- ( ph -> |^|_ x e. A B e. _V ) $=
      ( c0 wne wcel wral ciin cvv iinexg syl2anc ) ACHIDEJBCKBCDLMJFGBCDENO $.
  $}

  ${
    rabexf.1 $e |- F/_ x A $.
    rabexf.2 $e |- A e. V $.
    $( Separation Scheme in terms of a restricted class abstraction.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    rabexf $p |- { x e. A | ph } e. _V $=
      ( wcel crab cvv rabexgf ax-mp ) CDGABCHIGFABCDEJK $.
  $}

  ${
    rabbida3.1 $e |- F/ x ph $.
    rabbida3.2 $e |- ( ph -> ( ( x e. A /\ ps ) <-> ( x e. B /\ ch ) ) ) $.
    $( Equivalent wff's yield equal restricted class abstractions.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    rabbida3 $p |- ( ph -> { x e. A | ps } = { x e. B | ch } ) $=
      ( cv wcel wa cab crab abbid df-rab 3eqtr4g ) ADIZEJBKZDLQFJCKZDLBDEMCDFMA
      RSDGHNBDEOCDFOP $.
  $}

  ${
    r19.36vf.1 $e |- F/ x ps $.
    $( Restricted quantifier version of one direction of ~ 19.36 .
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    r19.36vf $p |- ( E. x e. A ( ph -> ps ) -> ( A. x e. A ph -> ps ) ) $=
      ( wi wrex wral r19.35 cv wcel idd rexlimi imim2i sylbi ) ABFCDGACDHZBCDGZ
      FPBFABCDIQBPBBCDECJDKBLMNO $.
  $}

  ${
    raleqd.a $e |- F/_ x A $.
    raleqd.b $e |- F/_ x B $.
    raleqd.e $e |- ( ph -> A = B ) $.
    $( Equality deduction for restricted universal quantifier.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    raleqd $p |- ( ph -> ( A. x e. A ps <-> A. x e. B ps ) ) $=
      ( wceq wral wb raleqf syl ) ADEIBCDJBCEJKHBCDEFGLM $.
  $}

  ${
    $d A y $.  $d B y $.  $d C y $.  $d x y $.
    iinssf.1 $e |- F/_ x C $.
    $( Subset implication for an indexed intersection.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    iinssf $p |- ( E. x e. A B C_ C -> |^|_ x e. A B C_ C ) $=
      ( vy wss wrex ciin cv wcel wral wb cvv eliin elv wi ssel reximi nfcri syl
      r19.36vf syl5bi ssrdv ) CDGZABHZFABCIZDFJZUGKZUHCKZABLZUFUHDKZUIUKMFAUHBC
      NOPUFUJULQZABHUKULQUEUMABCDUHRSUJULABAFDETUBUAUCUD $.
  $}

  ${
    iinssdf.a $e |- F/_ x A $.
    iinssdf.n $e |- F/_ x X $.
    iinssdf.c $e |- F/_ x C $.
    iinssdf.d $e |- F/_ x D $.
    iinssdf.x $e |- ( ph -> X e. A ) $.
    iinssdf.b $e |- ( x = X -> B = D ) $.
    iinssdf.s $e |- ( ph -> D C_ C ) $.
    $( Subset implication for an indexed intersection.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    iinssdf $p |- ( ph -> |^|_ x e. A B C_ C ) $=
      ( wss wrex ciin wcel nfss cv wceq sseq1d rspcef syl2anc iinssf syl ) ADEO
      ZBCPZBCDQEOAGCRFEOZUHLNUGUIBGCBFEKJSIHBTGUADFEMUBUCUDBCDEJUEUF $.
  $}

  ${
    resabs2i.1 $e |- B C_ C $.
    $( Absorption law for restriction.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    resabs2i $p |- ( ( A |` B ) |` C ) = ( A |` B ) $=
      ( wss cres wceq resabs2 ax-mp ) BCEABFZCFJGDABCHI $.
  $}

  ${
    ssdf2.p $e |- F/ x ph $.
    ssdf2.a $e |- F/_ x A $.
    ssdf2.b $e |- F/_ x B $.
    ssdf2.x $e |- ( ( ph /\ x e. A ) -> x e. B ) $.
    $( A sufficient condition for a subclass relationship.  (Contributed by
       Glauco Siliprandi, 2-Jan-2022.) $)
    ssdf2 $p |- ( ph -> A C_ B ) $=
      ( cv wcel ex ssrd ) ABCDEFGABIZCJMDJHKL $.
  $}

  ${
    rabssd.1 $e |- F/ x ph $.
    rabssd.2 $e |- F/_ x B $.
    rabssd.3 $e |- ( ( ph /\ x e. A /\ ch ) -> x e. B ) $.
    $( Restricted class abstraction in a subclass relationship.  (Contributed
       by Glauco Siliprandi, 2-Jan-2022.) $)
    rabssd $p |- ( ph -> { x e. A | ch } C_ B ) $=
      ( cv wcel wi wral crab wss 3exp ralrimi rabssf sylibr ) ABCIZEJZKZCDLBCDM
      ENAUACDFASDJBTHOPBCDEGQR $.
  $}

  ${
    rexnegd.1 $e |- ( ph -> A e. RR ) $.
    $( Minus a real number.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    rexnegd $p |- ( ph -> -e A = -u A ) $=
      ( cr wcel cxne cneg wceq rexneg syl ) ABDEBFBGHCBIJ $.
  $}

  ${
    rexlimd3.1 $e |- F/ x ph $.
    rexlimd3.2 $e |- F/ x ch $.
    rexlimd3.3 $e |- ( ( ( ph /\ x e. A ) /\ ps ) -> ch ) $.
    $( * Inference from Theorem 19.23 of [Margaris] p. 90 (restricted
       quantifier version).  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    rexlimd3 $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( cv wcel exp31 rexlimd ) ABCDEFGADIEJBCHKL $.
  $}

  ${
    resabs1i.1 $e |- B C_ C $.
    $( Absorption law for restriction.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    resabs1i $p |- ( ( A |` C ) |` B ) = ( A |` B ) $=
      ( wss cres wceq resabs1 ax-mp ) BCEACFBFABFGDABCHI $.
  $}

  $( Membership in an intersection implies membership in the first set.
     (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
  nel1nelin $p |- ( -. A e. B -> -. A e. ( B i^i C ) ) $=
    ( cin wcel elinel1 con3i ) ABCDEABEABCFG $.

  $( Membership in an intersection implies membership in the second set.
     (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
  nel2nelin $p |- ( -. A e. C -> -. A e. ( B i^i C ) ) $=
    ( cin wcel elinel2 con3i ) ABCDEACEABCFG $.

  ${
    nel1nelini.1 $e |- -. A e. B $.
    $( Membership in an intersection implies membership in the first set.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    nel1nelini $p |- -. A e. ( B i^i C ) $=
      ( wcel wn cin nel1nelin ax-mp ) ABEFABCGEFDABCHI $.
  $}

  ${
    nel2nelini.1 $e |- -. A e. C $.
    $( Membership in an intersection implies membership in the second set.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    nel2nelini $p |- -. A e. ( B i^i C ) $=
      ( wcel wn cin nel2nelin ax-mp ) ACEFABCGEFDABCHI $.
  $}

  ${
    $d C x $.
    $( Membership in indexed union.  (Contributed by Glauco Siliprandi,
       5-Feb-2022.) $)
    eliunid $p |- ( ( x e. A /\ C e. B ) -> C e. U_ x e. A B ) $=
      ( cv wcel wa wrex ciun rspe eliun sylibr ) AEBFDCFZGMABHDABCIFMABJADBCKL
      $.
  $}

  ${
    $d ph x $.
    reximddv3.1 $e |- ( ( ( ph /\ x e. A ) /\ ps ) -> ch ) $.
    reximddv3.2 $e |- ( ph -> E. x e. A ps ) $.
    $( Deduction from Theorem 19.22 of [Margaris] p. 90.  (Contributed by
       Glauco Siliprandi, 5-Feb-2022.) $)
    reximddv3 $p |- ( ph -> E. x e. A ch ) $=
      ( cv wcel anasss reximddv ) ABCDEADHEIBCFJGK $.
  $}

  ${
    reximdd.1 $e |- F/ x ph $.
    reximdd.2 $e |- ( ( ph /\ x e. A /\ ps ) -> ch ) $.
    reximdd.3 $e |- ( ph -> E. x e. A ps ) $.
    $( Deduction from Theorem 19.22 of [Margaris] p. 90.  (Contributed by
       Glauco Siliprandi, 5-Feb-2022.) $)
    reximdd $p |- ( ph -> E. x e. A ch ) $=
      ( wrex cv wcel 3exp reximdai mpd ) ABDEICDEIHABCDEFADJEKBCGLMN $.
  $}

  ${
    unfid.1 $e |- ( ph -> A e. Fin ) $.
    unfid.2 $e |- ( ph -> B e. Fin ) $.
    $( The union of two finite sets is finite.  (Contributed by Glauco
       Siliprandi, 5-Feb-2022.) $)
    unfid $p |- ( ph -> ( A u. B ) e. Fin ) $=
      ( cfn wcel cun unfi syl2anc ) ABFGCFGBCHFGDEBCIJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    feq1dd.eq $e |- ( ph -> F = G ) $.
    feq1dd.f $e |- ( ph -> F : A --> B ) $.
    $( Equality deduction for functions.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    feq1dd $p |- ( ph -> G : A --> B ) $=
      ( wf feq1d mpbid ) ABCDHBCEHGABCDEFIJ $.
  $}

  $( A function does not change when restricted to a set that contains its
     domain.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  fnresdmss $p |- ( ( F Fn A /\ A C_ B ) -> ( F |` B ) = F ) $=
    ( wfn wrel wss cdm cres wceq fnrel wa fndm adantr eqsstrd relssres syl2an2r
    simpr ) CADZCEABFZCGZBFCBHCIACJRSKTABRTAISACLMRSQNCBOP $.

  ${
    $d A x $.  $d B x $.
    $( Maps-to notation and Cartesian product for a singleton function.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fmptsnxp $p |- ( ( A e. V /\ B e. W ) -> ( x e. { A } |-> B ) = ( { A } X.
       { B } ) ) $=
      ( wcel wa csn cxp cop cmpt xpsng fmptsn eqtr2d ) BDFCEFGBHZCHIBCJHAOCKBCD
      ELABCDEMN $.
  $}

  ${
    $d A x $.
    fvmpt2bd.1 $e |- ( ph -> F = ( x e. A |-> B ) ) $.
    $( Value of a function given by the maps-to notation.  Deduction version.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fvmpt2bd $p |- ( ( ph /\ x e. A /\ B e. C ) -> ( F ` x ) = B ) $=
      ( cv wcel w3a cfv cmpt wceq fveq1d 3ad2ant1 eqid fvmpt2 3adant1 eqtrd ) A
      BHZCIZDEIZJTFKZTBCDLZKZDAUAUCUEMUBATFUDGNOUAUBUEDMABCDEUDUDPQRS $.
  $}

  ${
    $d B x $.
    rnmptfi.a $e |- A = ( x e. B |-> C ) $.
    $( The range of a function with finite domain is finite.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    rnmptfi $p |- ( B e. Fin -> ran A e. Fin ) $=
      ( cfn wcel crn cmpt mptfi eqeltrid rnfi syl ) CFGZBFGBHFGNBACDIFEACDJKBLM
      $.
  $}

  $( Restriction of a function with respect to the intersection with its
     domain.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  fresin2 $p |- ( F : A --> B -> ( F |` ( C i^i A ) ) = ( F |` C ) ) $=
    ( cin cres cdm fdm eqcomd ineq2d reseq2d wrel wceq frel resindm syl eqtrd
    wf ) ABDRZDCAEZFDCDGZEZFZDCFZSTUBDSAUACSUAAABDHIJKSDLUCUDMABDNDCOPQ $.

  $( A function with finite domain is finite.  (Contributed by Glauco
     Siliprandi, 11-Dec-2019.) $)
  ffi $p |- ( ( F : A --> B /\ A e. Fin ) -> F e. Fin ) $=
    ( wf wfn cfn wcel ffn fnfi sylan ) ABCDCAEAFGCFGABCHACIJ $.

  ${
    $d A x z $.  $d B z $.  $d F y z $.  $d ph x y z $.
    suprnmpt.a $e |- ( ph -> A =/= (/) ) $.
    suprnmpt.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    suprnmpt.bnd $e |- ( ph -> E. y e. RR A. x e. A B <_ y ) $.
    suprnmpt.f $e |- F = ( x e. A |-> B ) $.
    suprnmpt.c $e |- C = sup ( ran F , RR , < ) $.
    $( An explicit bound for the range of a bounded function.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    suprnmpt $p |- ( ph -> ( C e. RR /\ A. x e. A B <_ C ) ) $=
      ( vz cr wcel cle wbr wral cv wrex crn clt csup wss c0 wne rnmptss syl nfv
      ralrimiva rnmptn0 nfre1 w3a wa wex simp2 simpl1 simpl3 cvv wb vex elrnmpt
      wceq ax-mp biimpi simp3 nfra1 nf3an wi rspa 3adant3 eqbrtrd 3exp 3ad2ant2
      adantl rexlimd syl3anc 19.8a syl2anc df-rex sylibr suprcl eqeltrid adantr
      mpd simpr elrnmpt1 ne0d suprub syl31anc breqtrrdi jca ) AFNOEFPQZBDRAFGUA
      ZNUBUCZNLAWNNUDZWNUEUFZMSZCSZPQZMWNRZCNTZWONOAENOZBDRWPAXCBDIUJBDENGKUGUH
      ZABDEGNABUIZIKHUKAEWSPQZBDRZCNTXBJAXGXBCNACUIXACNULAWSNOZXGXBAXHXGUMZXHXA
      UNZCUOZXBXIXHXAXKAXHXGUPXIWTMWNXIWRWNOZUNAXGWREVCZBDTZWTAXHXGXLUQAXHXGXLU
      RXLXNXIXLXNWRUSOXLXNUTMVABDEWRGUSKVBVDVEVOAXGXNUMZXNWTAXGXNVFXOXMWTBDAXGX
      NBXEXFBDVGXMBDULVHWTBUIXGABSDOZXMWTVIVIXNXGXPXMWTXGXPXMUMWREWSPXGXPXMVFXG
      XPXFXMXFBDVJVKVLVMVNVPWEVQUJXJCVRVSXACNVTWAVMVPWEZCMWNWBVQWCAWMBDAXPUNZEW
      OFPXRWPWQXBEWNOZEWOPQAWPXPXDWDXRWNEXRXPXCXSAXPWFIBDEGNKWGVSZWHAXBXPXQWDXT
      CMWNEWIWJLWKUJWL $.
  $}

  $( The range of a function with finite domain is finite.  (Contributed by
     Glauco Siliprandi, 11-Dec-2019.) $)
  rnffi $p |- ( ( F : A --> B /\ A e. Fin ) -> ran F e. Fin ) $=
    ( wf cfn wcel wa crn ffi rnfi syl ) ABCDAEFGCEFCHEFABCICJK $.

  ${
    $d A x $.  $d C x $.  $d ph x $.
    mptelpm.b $e |- ( ( ph /\ x e. A ) -> B e. C ) $.
    mptelpm.a $e |- ( ph -> A C_ D ) $.
    mptelpm.c $e |- ( ph -> C e. V ) $.
    mptelpm.d $e |- ( ph -> D e. W ) $.
    $( A function in maps-to notation is a partial map .  (Contributed by
       Glauco Siliprandi, 5-Apr-2020.) $)
    mptelpm $p |- ( ph -> ( x e. A |-> B ) e. ( C ^pm D ) ) $=
      ( cmpt cpm co wcel cdm wf wss wa fmpttd dmmptd eqcomd feq2d mpbid eqsstrd
      eqid jca wb elpm2g syl2anc mpbird ) ABCDMZEFNOPZUMQZEUMRZUOFSZTZAUPUQACEU
      MRUPABCDEIUAACUOEUMAUOCABUMCDEUMUGIUBZUCUDUEAUOCFUSJUFUHAEGPFHPUNURUIKLEF
      UMGHUJUKUL $.
  $}

  ${
    $d A x $.  $d B x $.  $d D x y $.  $d E x y $.  $d F y $.  $d ph y $.
    rnmptpr.a $e |- ( ph -> A e. V ) $.
    rnmptpr.b $e |- ( ph -> B e. W ) $.
    rnmptpr.f $e |- F = ( x e. { A , B } |-> C ) $.
    rnmptpr.d $e |- ( x = A -> C = D ) $.
    rnmptpr.e $e |- ( x = B -> C = E ) $.
    $( Range of a function defined on an unordered pair.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    rnmptpr $p |- ( ph -> ran F = { D , E } ) $=
      ( vy cpr cv wceq wcel crn wo wb eqeq2d rexprg syl2anc cvv elrnmpt elv vex
      wrex elpr 3bitr4g eqrdv ) APHUAZFGQZAPRZESZBCDQZUKZUQFSZUQGSZUBZUQUOTZUQU
      PTACITDJTUTVCUCKLURVAVBBCDIJBRZCSEFUQNUDVEDSEGUQOUDUEUFVDUTUCPBUSEUQHUGMU
      HUIUQFGPUJULUMUN $.
  $}

  ${
    $d A x $.  $d B x $.
    resmpti.1 $e |- B C_ A $.
    $( Restriction of the mapping operation.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    resmpti $p |- ( ( x e. A |-> C ) |` B ) = ( x e. B |-> C ) $=
      ( wss cmpt cres wceq resmpt ax-mp ) CBFABDGCHACDGIEABCDJK $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d F x y $.
    $( Union expressed as an indexed union, when a map onto is given.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    founiiun $p |- ( F : A -onto-> B -> U. B = U_ x e. A ( F ` x ) ) $=
      ( vy wfo cuni cv ciun cfv uniiun wss wrex wral wcel wa wceq syl ralrimiva
      iunss2 foelrni eqimss2 reximi ffvelrnda ssidd sseq2 rspcev syl2anc syl5eq
      fof eqssd ) BCDFZCGECEHZIZABAHZDJZIZECKULUNUQULUMUPLZABMZECNUNUQLULUSECUL
      UMCOPUPUMQZABMUSABCDUMUAUTURABUMUPUBUCRSEACBUMUPTRULUPUMLZECMZABNUQUNLULV
      BABULUOBOPZUPCOUPUPLZVBULBCUODBCDUJUDVCUPUEVAVDEUPCUMUPUPUFUGUHSAEBCUPUMT
      RUKUI $.
  $}

  $( Distribution law for range of a restriction over a union.  (Contributed by
     Glauco Siliprandi, 17-Aug-2020.) $)
  rnresun $p |- ran ( F |` ( A u. B ) ) = ( ran ( F |` A ) u. ran ( F |` B ) )
             $=
    ( cun cres crn resundi rneqi rnun eqtri ) CABDEZFCAEZCBEZDZFLFMFDKNCABGHLMI
    J $.

  ${
    $d A w x y $.  $d B x y $.  $d F w y $.
    dffo3f.1 $e |- F/_ x F $.
    $( An onto mapping expressed in terms of function values.  As ~ dffo3 but
       with less disjoint vars constraints.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    dffo3f $p |- ( F : A -onto-> B <-> ( F : A --> B /\ A. y e. B E. x e. A y =
       ( F ` x ) ) ) $=
      ( vw wfo wceq wa cv cfv wrex cab wb nfcv nfv wcel wal wi wf crn dffo2 wfn
      wral ffn fnrnfv nffv nfeq2 fveq2 eqeq2d cbvrexw abbii eqtrdi eqeq1d dfbi2
      syl simpr ffvelrn adantr eqeltrd rexlimd3 biantrurd bitr4id albidv df-ral
      nff abeq1 3bitr4g bitrd pm5.32i bitri ) CDEHCDEUAZEUBZDIZJVMBKZAKZELZIZAC
      MZBDUEZJCDEUCVMVOWAVMVOVTBNZDIZWAVMECUDZVOWCOCDEUFWDVNWBDWDVNVPGKZELZIZGC
      MZBNWBGBCEUGWHVTBWGVSGACAVPWFAWEEFAWEPUHUIVSGQWEVQIWFVRVPWEVQEUJUKULUMUNU
      OUQVMVTVPDRZOZBSWIVTTZBSWCWAVMWJWKBVMWJVTWITZWKJWKVTWIUPVMWLWKVMVSWIACACD
      EFACPADPVGWIAQVMVQCRJZVSJVPVRDWMVSURWMVRDRVSCDVQEUSUTVAVBVCVDVEVTBDVHVTBD
      VFVIVJVKVL $.
  $}

  ${
    $d A y $.  $d B y $.  $d C y $.  $d x y $.
    elrnmptf.1 $e |- F/_ x C $.
    elrnmptf.2 $e |- F = ( x e. A |-> B ) $.
    $( The range of a function in maps-to notation.  Same as ~ elrnmpt , but
       using bound-variable hypotheses instead of distinct variable conditions.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    elrnmptf $p |- ( C e. V -> ( C e. ran F <-> E. x e. A C = B ) ) $=
      ( vy cv wceq wrex crn nfeq2 eqeq1 rexbid rnmpt elab2g ) IJZCKZABLDCKZABLI
      DEMFSDKTUAABASDGNSDCOPAIBCEHQR $.
  $}

  ${
    $d A x $.  $d B y $.  $d C x $.  $d D x $.  $d ph x $.  $d x y $.
    rnmptssrn.b $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    rnmptssrn.y $e |- ( ( ph /\ x e. A ) -> E. y e. C B = D ) $.
    $( Inclusion relation for two ranges expressed in maps-to notation.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    rnmptssrn $p |- ( ph -> ran ( x e. A |-> B ) C_ ran ( y e. C |-> D ) ) $=
      ( cmpt crn wcel wral wss cv wa eqid elrnmptd ralrimiva rnmptss syl ) AECF
      GKZLZMZBDNBDEKZLUDOAUEBDABPDMQCFGEUCHUCRJISTBDEUDUFUFRUAUB $.
  $}

  ${
    $d A w x y z $.  $d B w y z $.  $d F z $.  $d V x y z $.  $d ph y z $.
    disjf1.xph $e |- F/ x ph $.
    disjf1.f $e |- F = ( x e. A |-> B ) $.
    disjf1.b $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    disjf1.n0 $e |- ( ( ph /\ x e. A ) -> B =/= (/) ) $.
    disjf1.dj $e |- ( ph -> Disj_ x e. A B ) $.
    $( A 1 to 1 mapping built from disjoint, nonempty sets.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    disjf1 $p |- ( ph -> F : A -1-1-> V ) $=
      ( vy vz vw cv wcel wceq wi wa c0 csb wral wf1 nfan nfcsb1v nfcv nfel nfim
      nfv eleq1w anbi2d csbeq1a eleq1d imbi12d chvarfv ralrimiva cin eqcomi a1i
      wn inidm ineq2 ad2antlr wdisj wne cbvdisj ad3antrrr simpllr adantl csbeq1
      sylib disji2 syl3anc 3eqtrd nfne neeq1d adantrr ad2antrr neneqd condan ex
      neqne ralrimivva jca cmpt cbvmpt eqtri f1mpt sylibr ) ABLOZDUAZFPZLCUBZWK
      BMOZDUAZQZWJWNQZRZMCUBLCUBZSCFEUCAWMWSAWLLCABOZCPZSZDFPZRAWJCPZSZWLRBLXEW
      LBAXDBGXDBUIUDZBWKFBWJDUEZBFUFUGUHWTWJQZXBXEXCWLXHXAXDABLCUJUKZXHDWKFBWJD
      ULZUMUNIUOUPAWRLMCCAXDWNCPZSZSZWPWQXMWPSZWQWKTQXNWQUTZSZWKWKWKUQZWKWOUQZT
      WKXQQXPXQWKWKVAURUSWPXQXRQXMXOWKWOWKVBVCXPNCBNOZDUAZVDZXLWJWNVEZXRTQAYAXL
      WPXOABCDVDYAKBNCDXTNDUFBXSDUEBXSDULVFVKVGAXLWPXOVHXOYBXNWJWNWBVINCXTWKWOW
      JWNBXSWJDVJBXSWNDVJVLVMVNXPWKTXMWKTVEZWPXOAXDYCXKXBDTVEZRXEYCRBLXEYCBXFBW
      KTXGBTUFVOUHXHXBXEYDYCXIXHDWKTXJVPUNJUOVQVRVSVTWAWCWDLMCFWKWOEEBCDWELCWKW
      EHBLCDWKLDUFXGXJWFWGBWJWNDVJWHWI $.
  $}

  ${
    $d A x $.  $d F x $.
    rnsnf.1 $e |- ( ph -> A e. V ) $.
    rnsnf.2 $e |- ( ph -> F : { A } --> B ) $.
    $( The range of a function whose domain is a singleton.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    rnsnf $p |- ( ph -> ran F = { ( F ` A ) } ) $=
      ( vx crn cfv cop csn cv cmpt wcel elsni fveq2d mpteq2ia cvv wceq feqmptd
      fvexd fmptsn syl2anc 3eqtr4a rneqd rnsnopg syl eqtrd ) ADIBBDJZKLZIZUJLZA
      DUKAHBLZHMZDJZNHUNUJNZDUKHUNUPUJUOUNOUOBDUOBPQRAHUNCDGUAABEOZUJSOUKUQTFAB
      DUBHBUJESUCUDUEUFAURULUMTFBUJEUGUHUI $.
  $}

  ${
    $d A t u v w $.  $d A t u v x $.  $d F a b t w $.  $d F t u v w $.
    $d F t u v x y z $.  $d G a b t w $.  $d G t u v w $.  $d R a b t w $.
    $d R t u v w $.  $d R t u v x y z $.  $d a b ph t w $.  $d ph t u w $.
    wessf1ornlem.f $e |- ( ph -> F Fn A ) $.
    wessf1ornlem.a $e |- ( ph -> A e. V ) $.
    wessf1ornlem.r $e |- ( ph -> R We A ) $.
    wessf1ornlem.g $e |- G = ( y e. ran F |-> ( iota_ x e. ( `' F " { y } ) A.
       z e. ( `' F " { y } ) -. z R x ) ) $.
    $( Given a function ` F ` on a well-ordered domain ` A ` there exists a
       subset of ` A ` such that ` F ` restricted to such subset is injective
       and onto the range of ` F ` (without using the axiom of choice).
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    wessf1ornlem $p |- ( ph -> E. x e. ~P A ( F |` x ) : x -1-1-onto-> ran F )
       $=
      ( vv vt vu vw wcel wa wceq vb va crn cres wf1o cpw wrex wbr ccnv csn cima
      cv wn wral crio wss cdm cnvimass fndmd adantr sseqtrid wreu wwe cvv ssexd
      c0 wne inisegn0 biimpi adantl wereu syl13anc riotacl syl sseldd ralrimiva
      cmpt sneq imaeq2d raleqdv riotaeqbidv breq1 notbid cbvralvw breq2 ralbidv
      weq syl5bb cbvriotavw eqtrdi cbvmptv eqtri rnmptss sselpwd wf1 wfo wf cfv
      wfn dffn3 sylib fssresd w3a fvres eqcomd ad2antrr simpr ad2antlr 3adantl1
      3eqtrd simpl1 simpl3 simpl2 eleq1w 3anbi3d eqeq2d anbi12d imbi12d 3anbi2d
      wi fveq2 fveqeq2 3adant3 mpbird syl2anc 3adant1r sselda 3ad2ant1 fniniseg
      id mpbid simprd mpbir2and chvarvv sylanbrc eleq1 reseq2 eqidd f1oeq123d
      wb elrnmpt 3ad2antl2 simp3 simp11 eqtr2di 3ad2ant3 cbvreuvw riota1 simpld
      elv syld3an1 simp2 riota2 3adant2 3syl eqtrd rspa rexlimdv3a mpd syl31anc
      weso 3ad2antl1 sotrieq2 syl12anc syldan ex 3expb ralrimivva dff13 riotaex
      wor rgenw fnmpt mp1i ffvelrnda fvresd fvmptd3 eqeltrd fvex bibi12d imbi2d
      a1i vtocl eqtr2d rspceeqv dffo3 df-f1o rspcev cbvrexvw ) ANULZGUCZGUWJUDZ
      UEZNEUFZUGZBULZUWKGUWPUDZUEZBUWNUGAHUCZUWNRUWSUWKGUWSUDZUEZUWOAUWSEIKAOUL
      ZUWJFUHZUMZOGUIZPULZUJZUKZUNZNUXHUOZERZPUWKUNUWSEUPAUXKPUWKAUXFUWKRZSZUXH
      EUXJUXMGUQZUXHEGUXGURZAUXNETUXLAEGJUSZUTVAZUXMUXINUXHVBZUXJUXHRUXMEFVCZUX
      HVDRZUXHEUPUXHVFVGZUXRAUXSUXLLUTAUXTUXLAUXHEIKAUXNUXHEUXOUXPVAVEUTUXQUXLU
      YAAUXLUYAUXFGVHVIVJNOEUXHFVDVKVLZUXINUXHVMVNZVOVPPUWKUXJEHHCUWKDULZUWPFUH
      ZUMZDUXECULZUJZUKZUNZBUYIUOZVQPUWKUXJVQMCPUWKUYKUXJCPWGZUYKUYFDUXHUNZBUXH
      UOUXJUYLUYJUYMBUYIUXHUYLUYHUXGUXEUYGUXFVRVSZUYLUYFDUYIUXHUYNVTWAUYMUXIBNU
      XHUYMUXBUWPFUHZUMZOUXHUNBNWGZUXIUYFUYPDOUXHDOWGUYEUYOUYDUXBUWPFWBWCWDUYQU
      YPUXDOUXHUYQUYOUXCUWPUWJUXBFWEWCWFWHWIWJZWKWLZWMVNZWNAUWSUWKUWTWOZUWSUWKU
      WTWPZUXAAUWSUWKUWTWQZQULZUWTWRZUXBUWTWRZTZQOWGZXTZOUWSUNQUWSUNVUAAEUWKUWS
      GAGEWSZEUWKGWQJEGWTXAUYTXBZAVUIQOUWSUWSAVUDUWSRZUXBUWSRZVUIAVULVUMXCZVUGV
      UHVUNVUGVUDGWRZUXBGWRZTZVUHVULVUMVUGVUQAVULVUMSZVUGSVUOVUEVUFVUPVULVUOVUE
      TVUMVUGVULVUEVUOVUDUWSGXDXEXFVURVUGXGVUMVUFVUPTVULVUGUXBUWSGXDXHXJXIVUNVU
      QSZVUHVUDUXBFUHZUMZUXBVUDFUHZUMZVUSAVUMVULVUPVUOTZVVAAVULVUMVUQXKAVULVUMV
      UQXLAVULVUMVUQXMVUQVVDVUNVUQVUOVUPVUQYJXEZVJAVUMUAULZUWSRZXCZVUPVVFGWRZTZ
      SZVVFUXBFUHZUMZXTZAVUMVULXCZVVDSZVVAXTUAQUAQWGZVVKVVPVVMVVAVVQVVHVVOVVJVV
      DVVQVVGVULAVUMUAQUWSXNXOVVQVVIVUOVUPVVFVUDGYAXPXQVVQVVLVUTVVFVUDUXBFWBWCX
      RAUBULZUWSRZVVGXCZVVRGWRZVVITZSZVVFVVRFUHZUMZXTZVVNUBOUBOWGZVWCVVKVWEVVMV
      WGVVTVVHVWBVVJVWGVVSVUMAVVGUBOUWSXNXSVVRUXBVVIGYBXQVWGVWDVVLVVRUXBVVFFWEW
      CXRAVVSVUMXCZVWAVUPTZSZUXBVVRFUHZUMZXTZVWFOUAOUAWGZVWJVWCVWLVWEVWNVWHVVTV
      WIVWBVWNVUMVVGAVVSOUAUWSXNXOVWNVUPVVIVWAUXBVVFGYAXPXQVWNVWKVWDUXBVVFVVRFW
      BWCXRVUSVVCXTVWMQUBQUBWGZVUSVWJVVCVWLVWOVUNVWHVUQVWIVWOVULVVSAVUMQUBUWSXN
      XSVUDVVRVUPGYBXQVWOVVBVWKVUDVVRUXBFWEWCXRVUSVUDUXJTZPUWKUGZVVCVULAVUQVWQV
      UMVULVWQVUQVULVWQVULVWQYTQPUWKUXJVUDHVDUYSUUAUUJVIUTUUBVUSVWPVVCPUWKVUSUX
      LVWPXCZVVCOUXHUNZUXBUXHRZVVCVUNUXLVWPVWSVUQVUNUXLVWPXCZVWSUXJVUDTZVXAVUDU
      XJVUNUXLVWPUUCXEVXAVUDUXHRZUXRVWSVXBYTAUXLVUNVWPVXCAVULVUMUXLVWPUUDZAUXLV
      WPXCZVXCVWSVXEVXCVWSSZVWSQUXHUOZVUDTZVWPAVXHUXLVWPVUDUXJVXGVWPYJUXIVWSNQU
      XHNQWGZUXDVVCOUXHVXIUXCVVBUWJVUDUXBFWEWCWFZWIUUEUUFAUXLVXFVXHYTZVWPUXMVWS
      QUXHVBZVXKUXMUXRVXLUYBUXIVWSNQUXHVXJUUGXAVWSQUXHUUHVNYCYDUUIUUKZVXAAUXLUX
      RVXDVUNUXLVWPUULUYBYEUXIVWSNUXHVUDVXJUUMYEYDYFVWRVWTUXBERZVUPUXFTZVUSUXLV
      XNVWPVUNVXNVUQAVUMVXNVULAUWSEUXBUYTYGUUNUTZYHVWRVUPVUOUXFVUSUXLVVDVWPVUQV
      VDVUNUXLVVEXHYCVUNUXLVWPVUOUXFTZVUQVXAVUDERZVXQVXAVXCVXRVXQSZVXMVXAAVUJVX
      CVXSYTZVXDJEUXFVUDGYIZUUOYKYLYFUUPVUSUXLVWTVXNVXOSYTZVWPVUNVYBVUQUXLAVULV
      YBVUMAVUJVYBJEUXFUXBGYIVNYHXFYCYMVVCOUXHUUQYEUURUUSZYNYNYNYNUUTVYCVUSEFUV
      KZVXRVXNVUHVVAVVCSYTAVULVUQVYDVUMAVYDVUQAUXSVYDLEFUVAVNUTUVBVUNVXRVUQAVUL
      VXRVUMAUWSEVUDUYTYGYCUTVXPEVUDUXBFUVCUVDYMUVEUVFUVGUVHQOUWSUWKUWTUVIYOAVU
      CUXFVUETQUWSUGZPUWKUNVUBVUKAVYEPUWKUXMUXFHWRZUWSRUXFVYFUWTWRZTVYEAUWKUWSU
      XFHAHUWKWSZUWKUWSHWQUXJVDRZPUWKUNVYHAVYIPUWKUXINUXHUVJZUVLPUWKUXJHVDUYSUV
      MUVNUWKHWTXAUVOZUXMVYGVYFGWRZUXFUXMVYFUWSGVYKUVPUXMVYFERZVYLUXFTZUXMVYFUX
      HRZVYMVYNSZUXMVYFUXJUXHUXMCUXFUYKUXJUWKHVDMUYRAUXLXGVYIUXMVYJUWBUVQUYCUVR
      AVYOVYPYTZUXLAVXTXTAVYQXTQVYFUXFHUVSVUDVYFTZVXTVYQAVYRVXCVYOVXSVYPVUDVYFU
      XHYPVYRVXRVYMVXQVYNVUDVYFEYPVUDVYFUXFGYBXQUVTUWAAVUJVXTJVYAVNUWCUTYKYLUWD
      QVYFUWSVUEVYGUXFVUDVYFUWTYAUWEYEVPQPUWSUWKUWTUWFYOUWSUWKUWTUWGYOUWMUXANUW
      SUWNUWJUWSTZUWJUWSUWKUWKUWLUWTUWJUWSGYQVYSYJVYSUWKYRYSUWHYEUWMUWRNBUWNNBW
      GZUWJUWPUWKUWKUWLUWQUWJUWPGYQVYTYJVYTUWKYRYSUWIXA $.
  $}

  ${
    $d A x $.  $d F x y z $.  $d R x y z $.
    wessf1orn.f $e |- ( ph -> F Fn A ) $.
    wessf1orn.a $e |- ( ph -> A e. V ) $.
    wessf1orn.r $e |- ( ph -> R We A ) $.
    $( Given a function ` F ` on a well-ordered domain ` A ` there exists a
       subset of ` A ` such that ` F ` restricted to such subset is injective
       and onto the range of ` F ` (without using the axiom of choice).
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    wessf1orn $p |- ( ph -> E. x e. ~P A ( F |` x ) : x -1-1-onto-> ran F ) $=
      ( vy vz crn cv wbr wn ccnv csn cima wral crio cmpt eqid wessf1ornlem ) AB
      JKCDEJELKMBMDNOKEPJMQRZSBUDTUAZFGHIUEUBUC $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.  $d F y $.
    foelrnf.1 $e |- F/_ x F $.
    $( Property of a surjective function.  As ~ foelrn but with less disjoint
       vars constraints.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    foelrnf $p |- ( ( F : A -onto-> B /\ C e. B ) -> E. x e. A C = ( F ` x ) )
               $=
      ( vy wfo cv cfv wceq wrex wral wcel dffo3f simprbi eqeq1 rexbidv rspccva
      wf sylan ) BCEHZGIZAIEJZKZABLZGCMZDCNDUDKZABLZUBBCETUGAGBCEFOPUFUIGDCUCDK
      UEUHABUCDUDQRSUA $.
  $}

  $( If ` A ` is not in the range, it is not in the range of any restriction.
     (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
  nelrnres $p |- ( -. A e. ran B -> -. A e. ran ( B |` C ) ) $=
    ( cres crn wss wcel wn rnresss ssnel mpan ) BCDEZBEZFAMGHALGHBCILMAJK $.

  ${
    $d A u x z $.  $d A v w x z $.  $d B u z $.  $d B v w z $.  $d F v w y $.
    $d F v w z $.
    disjrnmpt2.1 $e |- F = ( x e. A |-> B ) $.
    $( Disjointness of the range of a function in maps-to notation.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    disjrnmpt2 $p |- ( Disj_ x e. A B -> Disj_ y e. ran F y ) $=
      ( vz vw vv vu cv wdisj wn wne c0 wa wrex wceq id wi crn csb ndisj2 biimpi
      cin cbvdisjv sylnbi wcel elrnmpt cmpt nfcv nfcsb1v csbeq1a cbvmpt anim12i
      ibi eqtri nfv nfeq2 reean sylibr adantr nfmpt1 nfcxfr nfcri simpll adantl
      nfrn nfan eqcomd ad2antlr 3eqtrd adantll neneqd pm2.65da adantlr ad2antrl
      neqned ad2antll ineq12d simpl eqnetrd jca ex reximdv a1d reximdai mpd a1i
      rexlimdvv csbeq1 nfin nfne nfrex neeq1 csbid eqtrdi ineq1d neeq1d anbi12d
      rexbidv cbvrexw bitri cbvdisj xchnxbir con4i ) BEUAZBKZLZACDLZXIMZAKZGKZN
      ZDAXMDUBZUEZONZPZGCQZACQZXJMXKHKZIKZNZYAYBUEZONZPZIXGQHXGQZXTXIHXGYALZYGB
      HXGXHYAXHYARSUFYHMYGHIXGYAYBYAYBRZSUCUDUGXKYFXTHIXGXGYAXGUHZYBXGUHZPZYFXT
      TTXKYLYFXTYLYFPZYADRZYBXORZPZGCQZACQZXTYLYRYFYLYNACQZYOGCQZPYRYJYSYKYTYJY
      SACDYAEXGFUIUPYKYTGCXOYBEXGEACDUJZGCXOUJFAGCDXOGDUKAXMDULZAXMDUMZUNUQUIUP
      UOYNYOAGCCYNGURAYBXOUUBUSUTVAVBYMYQXSACYLYFAYJYKAAHXGAEAEUUAFACDVCVDVHZVE
      AIXGUUDVEVIYFAURVIYMYQXSTXLCUHYMYPXRGCYFYPXRTYLYFYPXRYFYPPXNXQYCYPXNYEYCY
      PPZXLXMUUEXLXMRZYIYPUUFYIYCYPUUFPYADXOYBYNYOUUFVFUUFDXORYPUUCVGYOXOYBRZYN
      UUFYOYBXOYOSVJZVKVLVMUUEUUFPYAYBYCYPUUFVFVNVOVRVPYEYPXQYCYEYPPZXPYDOUUIDY
      AXOYBYNDYARYEYOYNYADYNSVJVQYOUUGYEYNUUHVSVTYEYPWAWBVMWCWDVGWEWFWGWHWDWIWJ
      WHJCAJKZDUBZLZXTXJUULMUUJXMNZUUKXOUEZONZPZGCQZJCQXTJGCUUKXOAUUJXMDWKUCUUQ
      XSJACUUPAGCACUKUUMUUOAUUMAURAUUNOAUUKXOAUUJDULZUUBWLAOUKWMVIWNXSJURUUJXLR
      ZUUPXRGCUUSUUMXNUUOXQUUJXLXMWOUUSUUNXPOUUSUUKDXOUUSUUKAXLDUBDAUUJXLDWKADW
      PWQWRWSWTXAXBXCAJCDUUKJDUKUURAUUJDUMXDXEVAXF $.
  $}

  ${
    $d A x $.  $d D x $.
    elrnmpt1sf.1 $e |- F/_ x C $.
    elrnmpt1sf.2 $e |- F = ( x e. A |-> B ) $.
    elrnmpt1sf.3 $e |- ( x = D -> B = C ) $.
    $( Elementhood in an image set.  Same as ~ elrnmpt1s , but using
       bound-variable hypotheses instead of distinct variable conditions.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    elrnmpt1sf $p |- ( ( D e. A /\ C e. V ) -> C e. ran F ) $=
      ( wcel wceq wrex crn eqid nfeq cv eqeq2d rspce mpan2 elrnmptf biimparc
      sylan ) EBKZDCLZABMZDGKZDFNKZUDDDLZUFDOUEUIAEBADDHHPAQELCDDJRSTUGUHUFABCD
      FGHIUAUBUC $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d F x y $.
    $( Union expressed as an indexed union, when a map onto is given.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    founiiun0 $p |- ( F : A -onto-> ( B u. { (/) } ) -> U. B = U_ x e. A ( F `
       x ) ) $=
      ( vy c0 cun wfo cuni cv ciun wss wrex wral wcel wceq syl ralrimiva adantl
      wa csn cfv uniiun elun1 foelrni sylan2 eqimss2 reximi iunss2 simpl wb 0un
      uneq1 eqtrdi foeq3 mpbid founiiun unisn0 eqtr3di 0ss eqsstrdi ssid rspcev
      sseq2 mpan2 fof ffvelrnda elunnel1 sylan elsni adantllr wex biimpi adantr
      wn wi id anim1ci eximdv mpd df-rex sylibr ad4ant24 syldan pm2.61dan eqssd
      neq0 ex syl5eq ) BCFUAZGZDHZCIECEJZKZABAJZDUBZKZECUCWLWNWQWLWMWPLZABMZECN
      WNWQLWLWSECWLWMCOZTWPWMPZABMZWSWTWLWMWKOXBWMCWJUDABWKDWMUEUFXAWRABWMWPUGU
      HQREACBWMWPUIQWLCFPZWQWNLZWLXCTZBWJDHZXDXEWLXFWLXCUJXEWKWJPZWLXFUKXCXGWLX
      CWKFWJGWJCFWJUMWJULUNSWKWJBDUOQUPXFWQFWNXFWJIWQFABWJDUQURUSWNUTVAQWLXCVOZ
      TZWPWMLZECMZABNXDXIXKABXIWOBOZTZWPCOZXKXNXKXMXNWPWPLZXKWPVBXJXOEWPCWMWPWP
      VDVCVESXMXNVOZWPFPZXKWLXLXPXQXHWLXLTZXPTWPWJOZXQXRWPWKOXPXSWLBWKWODBWKDVF
      VGWPCWJVHVIWPFVJQVKXHXQXKWLXLXHXQTZWTXJTZEVLZXKXTWTEVLZYBXHYCXQXHYCECWGVM
      VNXTWTYAEXQWTYAVPXHXQWTYAXQXJWTXQWPFWMXQVQWMUTVAVRWHSVSVTXJECWAWBWCWDWERA
      EBCWPWMUIQWEWFWI $.
  $}

  ${
    $d A x $.  $d B y $.  $d C x y $.  $d D x y $.  $d V x $.  $d ph y $.
    disjf1o.xph $e |- F/ x ph $.
    disjf1o.f $e |- F = ( x e. A |-> B ) $.
    disjf1o.b $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    disjf1o.dj $e |- ( ph -> Disj_ x e. A B ) $.
    disjf1o.d $e |- C = { x e. A | B =/= (/) } $.
    disjf1o.e $e |- D = ( ran F \ { (/) } ) $.
    $( A bijection built from disjoint sets.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    disjf1o $p |- ( ph -> ( F |` C ) : C -1-1-onto-> D ) $=
      ( vy wcel wa c0 adantl syl cres wf1o cmpt crn wf1 eqid cv wne crab ssrab2
      simpl eqsstri id sselid syl2anc eleqtrdi rabid a1i mpbid simprd wss wdisj
      wb disjss1 sylc disjf1 f1f1orn wceq reseq1d resmptd eqtrd eqidd wral wrex
      csn cdif eldifsni eldifi elrnmpt nfv nfan nfcv nfmpt1 nfrn nfel w3a simp3
      cvv simp2 eqcomd eqnetrd 3adant2 sylibr eqcomi eqvisset 3ad2ant3 elrnmpt1
      jca eleqtrd eqeltrd 3adant1l 3exp rexlimd syl21anc ralrimiva dfss3 biimpi
      imp ax-mp simpr adantr 3adant1 wn nelsn eldifd eleqtrrdi f1oeq123d mpbird
      vex eqelssd ) AEFGEUAZUBEBEDUCZUDZYBUBZAEHYBUEYDABEDYBHIYBUFZABUGZEPZQAYF
      CPZDHPAYGUKYGYHAYGECYFEDRUHZBCUIZCMYIBCUJULZYGUMZUNZSKUOYGYIAYGYHYIYGYFYJ
      PZYHYIQZYGYFEYJYLMUPYNYOVCYGYIBCUQZURUSUTZSAECVAZBCDVBBEDVBYRAYKURZLBECDV
      DVEVFEHYBVGTAEEFYCYAYBAYABCDUCZEUAYBAGYTEGYTVHAJURVIABCEDYSVJVKAEVLAOFYCA
      OUGZYCPZOFVMFYCVAAUUBOFAUUAFPZQAUUARUHZUUADVHZBCVNZUUBAUUCUKUUCUUDAUUCUUA
      GUDZRVOZVPZPZUUDUUCUUAFUUIUUCUMNUPZUUAUUGRVQTSUUCUUFAUUCUUAUUGPZUUFUUCUUJ
      UULUUKUUAUUGUUHVRTZUUCUULUULUUFVCUUMBCDUUAGUUGJVSTUSSAUUDQZUUFUUBUUNUUEUU
      BBCAUUDBIUUDBVTWABUUAYCBUUAWBBYBBEDWCWDWEUUNYHUUEUUBUUDYHUUEUUBAUUDYHUUEW
      FZUUADYCUUDYHUUEWGUUOYGDWHPZDYCPUUOYFYJEUUOYOYNUUOYHYIUUDYHUUEWIUUDUUEYIY
      HUUDUUEQDUUARUUEDUUAVHUUDUUEUUADUUEUMWJSUUDUUEUKWKWLWRYPWMYJEVHUUOEYJMWNU
      RWSUUEUUDUUPYHODWOZWPBEDYBWHYEWQUOWTXAXBXCXHXDXEOFYCXFWMAUUBQAUUEBEVNZUUC
      AUUBUKUUBUURAUUBUURUUAWHPUUBUURVCOXSBEDUUAYBWHYEVSXIXGSAUURUUCAUUEUUCBEIU
      UCBVTAYGUUEUUCAYGUUEWFZUUAUUIFUUSUUAUUGUUHYGUUEUULAYGUUEQZUUADUUGYGUUEXJZ
      UUTYHUUPDUUGPYGYHUUEYMXKUUTUUEUUPUVAUUQTBCDGWHJWQUOWTXLYGUUEUUAUUHPXMZAUU
      TUUDUVBUUTUUADRUVAYGYIUUEYQXKWKUUARXNTXLXONXPXBXCXHUOXTXQXR $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C y $.  $d F y $.
    fompt.1 $e |- F = ( x e. A |-> C ) $.
    $( Express being onto for a mapping operation.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    fompt $p |- ( F : A -onto-> B <-> ( A. x e. A C e. B /\ A. y e. B E. x e. A
       y = C ) ) $=
      ( wcel wral cv wceq wrex wa biimpi wi nfcv simpr syl2anc adantr ex wfo wf
      cfv cmpt nfmpt1 nfcxfr dffo3f simplbi fmpt bicomi syl foelrnf nffo fvmpt2
      r19.21bi eqtrd reximdai mpd ralrimiva jca nfv nfra1 nfan rspa adantll w3a
      simpll simp3 eqcomd 3adant3 3exp imp ralrimi sylibr impbii ) CDFUAZEDHZAC
      IZBJZEKZACLZBDIZMZVPVRWBVPCDFUBZVRVPWDVSAJZFUCZKZACLZBDIZABCDFAFACEUDGACE
      UEUFZUGZUHWDVRVRWDACDEFGUIZUJNUKZVPWABDVPVSDHZMWHWAACDVSFWJULVPWHWAOWNVPW
      GVTACACDFWJACPADPUMVPWECHZWGVTOVPWOMZWGVTWPWGMVSWFEWPWGQWPWFEKZWGWPWOVQWQ
      VPWOQVPVQACWMUOACEDFGUNZRSUPTTUQSURUSUTWCWDWIMVPWCWDWIVRWDWBVRWDWLNSWCWHB
      DVRWBBVRBVAWABDVBVCWCWNWHWCWNMVRWAWHVRWBWNVGWBWNWAVRWABDVDVEVRWAWHVRVTWGA
      CVQACVBVRWOVTWGVRWOVTVFVSEWFVRWOVTVHVRWOEWFKVTVRWOMZWFEWSWOVQWQVRWOQVQACV
      DWRRVIVJUPVKUQVLRTVMUTWKVNVO $.
  $}

  ${
    $d A w x y z $.  $d B w y z $.  $d C w x y z $.  $d V x $.  $d ph w x y $.
    disjinfi.b $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    disjinfi.d $e |- ( ph -> Disj_ x e. A B ) $.
    disjinfi.c $e |- ( ph -> C e. Fin ) $.
    $( Only a finite number of disjoint sets can have a nonempty intersection
       with a finite set ` C ` .  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    disjinfi $p |- ( ph -> { x e. A | ( B i^i C ) =/= (/) } e. Fin ) $=
      ( vy vw vz cin wcel c0 wral wceq wa wi csb cmpt crn cuni cfn wne crab wbr
      cdom wss inss2 ssfi sylancl cvv cv crio wfo a1i ssexd wrex elinel1 eluni2
      wreu wsb biimpi eqid elrnmpt elv adantr nfmpt1 nfrn nfcri nfv simpl simpr
      wb nfan eleqtrd ex a1d adantl reximdai mpd rexlimdv nfuni nfcv nfin nfre1
      elinel2 simp2 elind rspe 3imp3i2an 3exp rexlimd wo wn wdisj disjors sylib
      nfcsb1v nfcsb1 nfeq1 nfralw equequ1 csbeq1a ineq1d eqeq1d orbi12d ralbidv
      syl nfor sylibr r19.21bi rspa orcomd sylan wsbc sbsbc sbcel2 csbin eleq2i
      cbvralw 3bitri ralrimiva reu2 sylanbrc eleq2d elrabf simplbi simprbi nfne
      sylbi neeq1d wex nfim anbi2d imbi12d syl2anc csbconstg eqtri ne0d 3syl n0
      inelcm neneqd syl2an pm2.53 syl2im riotacl2 nfriota1 simplr eleq1w eleq1d
      nfel1 chvarfv elrnmpt1 equcoms eqcomd cbvmpt rneqi eleqtrdi elunii simpll
      cbvriotaw adantll sbequ ineq2i bitri 3bitrd cbvralvw ralbii anbi1d csbcow
      equequ2 ineq12i 3bitrri anbi2i imbi1i 2ralbii riota1 mpbi2and eqtr2id jca
      sylan2 eximdv df-rex fompt fodomg sylc domfi ) ABCDUAZUBZUCZEMZUDNZDEMZOU
      EZBCUFZUWNUHUGZUWRUDNAEUDNUWNEUIZUWOIUWMEUJZEUWNUKULAUWNUMNUWNUWRJUWNJUNZ
      UWPNZBCUOZUAZUPZUWSAUWNEUDIUWTAUXAUQURAUXDUWRNZJUWNPKUNZUXDQZJUWNUSZKUWRP
      UXFAUXGJUWNAUXBUWNNZRZUXCBCVBZUXDUXCBCUFNZUXGUXLUXCBCUSZUXCUXCBKVCZRZBUNZ
      UXHQZSZKCPZBCPZUXMUXLUXBDNZBCUSZUXOUXKUYDAUXKUXBUWMNZUYDUXBUWMEUTUYEUXBUX
      HNZKUWLUSZUYDUYEUYGKUXBUWLVAVDUYEUYFUYDKUWLUXHUWLNZUYFUYDSSUYEUYHUYFUYDUY
      HUYFRZUXHDQZBCUSZUYDUYHUYKUYFUYHUYKUYHUYKVOKBCDUXHUWKUMUWKVEVFVGVDVHUYIUY
      JUYCBCUYHUYFBBKUWLBUWKBCDVIVJZVKUYFBVLVPUYFUXRCNZUYJUYCSZSUYHUYFUYNUYMUYF
      UYJUYCUYFUYJRUXBUXHDUYFUYJVMUYFUYJVNVQVRVSVTWAWBVRUQWCWBXJVTUXLUYCUXOBCAU
      XKBABVLBJUWNBUWMEBUWLUYLWDBEWEZWFVKVPUXCBCWGUXKUYMUYCUXOSSZAUXKUXBENZUYPU
      XBUWMEWHUYQUYMUYCUXOUYQUYMUYCUYMUXCUXOUYQUYMUYCWIUYQUYCRDEUXBUYQUYCVNUYQU
      YCVMWJUXCBCWKWLWMXJVTWNWBAUYBUXKAUYABCAUYMRZUXTKCUYRUXHCNZRDBUXHDTZMZOQZU
      XSWOZUXQVUBWPZUXSUYRUXSVUBWOZKCPZUYSVUCAVUFBCALUNZUXHQZBVUGDTZUYTMZOQZWOZ
      KCPZLCPZVUFBCPABCDWQVUNHBCDLKWRWSVUFVUMBLCVUFLVLVULBKCBCWEZVUHVUKBVUHBVLB
      VUJOBVUIUYTBVUGDWTZBUXHDBUXHWEZXAZWFXBXKXCUXRVUGQZVUEVULKCVUSUXSVUHVUBVUK
      BLKXDVUSVUAVUJOVUSDVUIUYTBVUGDXEXFXGXHXIYBXLXMVUFUYSRUXSVUBVUEKCXNXOXPUXC
      UYCUXBUYTNZVUDUXPUXBDEUTUXPUXBUYTBUXHETZMZNZVUTUXPUXCBUXHXQUXBBUXHUWPTZNV
      VCUXCBKXRBUXHUXBUWPXSVVDVVBUXBBUXHDEXTYAYCUXBUYTVVAUTYLUYCVUTRVUAOUXBDUYT
      UUDUUEUUFVUBUXSUUGUUHYDYDVHZUXCBKCYEYFUXCBCUUIUXNUXDCNZBUXDDTZEMZOUEZUXGU
      XNVVFUXBVVHNZUXCVVJBUXDCUXCBCUUJZVUOBJVVHBVVGEBUXDDVVKXAUYOWFZVKUXRUXDQZU
      WPVVHUXBVVMDVVGEBUXDDXEXFZYGYHZYIUXNVVHUXBUXNVVFVVJVVOYJUUAUWQVVIBUXDCVVK
      VUOBVVHOVVLBOWEZYKVVMUWPVVHOVVNYMYHYFUUBYDAUXJKUWRAUXHUWRNZRZUXKUXIRZJYNZ
      UXJVVRUXBUYTEMZNZJYNZVVTVVQVWCAVVQVWAOUEZVWCVVQUYSVWDUWQVWDBUXHCVUQVUOBVW
      AOBUYTEVURUYOWFZVVPYKUXSUWPVWAOUXSDUYTEBUXHDXEZXFZYMYHZYJJVWAUUCWSVTVVRVW
      BVVSJVVQAUYSVWBVVSSVVQUYSVWDVWHYIAUYSRZVWBVVSVWIVWBRZUXKUXIVWJUWMEUXBVWJV
      UTUYTUWLNUYEVWBVUTVWIUXBUYTEUTVTVWJUYTKCUYTUAZUBZUWLVWJUYSUYTFNZUYTVWLNAU
      YSVWBUUKZVWIVWMVWBUYRDFNZSVWIVWMSBKVWIVWMBVWIBVLBUYTFVURUUNYOUXSUYRVWIVWO
      VWMUXSUYMUYSABKCUULYPUXSDUYTFVWFUUMYQGUUOVHKCUYTVWKFVWKVEUUPYRVWKUWKKBCUY
      TDVURKDWEUXHUXRQDUYTDUYTQBKVWFUUQUURUUSUUTUVAUXBUYTUWLUVBYRVWBUYQVWIUXBUY
      TEWHVTWJZVWJUXDVWBKCUOZUXHUXCVWBBKCUXCKVLBJVWAVWEVKZUXSUWPVWAUXBVWGYGZUVD
      VWJUYSVWBVWQUXHQZVWNVWIVWBVNVWJVWBKCVBZUYSVWBRVWTVOVWJVWBKCUSZVWBVWBKLVCZ
      RZUXHVUGQZSZLCPKCPZVXAUYSVWBVXBAVWBKCWKUVEVWJAUXKVXGAUYSVWBUVCVWPUXLUYBVX
      GVVEUYBUXCUXBVUIEMZNZRZVUSSZLCPZBCPVWBVXIRZVXESZLCPZKCPVXGUYAVXLBCUXTVXKK
      LCVXEUXQVXJUXSVUSVXEUXPVXIUXCVXEUXPUXCBLVCZUXCBVUGXQZVXIUXCKLBUVFVXPVXQVO
      VXEUXCBLXRUQVXQVXIVOVXEVXQUXBBVUGUWPTZNVXIBVUGUXBUWPXSVXRVXHUXBVXRVUIBVUG
      ETZMVXHBVUGDEXTVXSEVUIVXSEQLBVUGEUMYSVGUVGYTYAUVHUQUVIYPKLBUVNYQUVJUVKVXL
      VXOBKCVXLKVLVXNBLCVUOVXMVXEBVWBVXIBVWRBJVXHBVUIEVUPUYOWFVKVPVXEBVLYOXCUXS
      VXKVXNLCUXSVXJVXMVUSVXEUXSUXCVWBVXIVWSUVLBKLXDYQXIYBVXNVXFKLCCVXMVXDVXEVX
      IVXCVWBVXCVWBKVUGXQUXBKVUGVWATZNVXIVWBKLXRKVUGUXBVWAXSVXTVXHUXBVXTKVUGUYT
      TZKVUGETZMVXHKVUGUYTEXTVYAVUIVYBEBKVUGDUVMVYBEQLKVUGEUMYSVGUVOYTYAUVPUVQU
      VRUVSYCWSYRVWBKLCYEYFVWBKCUVTXJUWAUWBUWCVRUWDUWEWBUXIJUWNUWFXLYDJKUWNUWRU
      XDUXEUXEVEUWGYFUWNUWRUXEUMUWHUWIUWNUWRUWJYR $.
  $}

  ${
    fvovco.1 $e |- ( ph -> F : X --> ( V X. W ) ) $.
    fvovco.2 $e |- ( ph -> Y e. X ) $.
    $( Value of the composition of an operator, with a given function.
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    fvovco $p |- ( ph -> ( ( O o. F ) ` Y ) = ( ( 1st ` ( F ` Y ) ) O ( 2nd ` (
       F ` Y ) ) ) ) $=
      ( cfv c1st c2nd cop ccom co cxp wcel wceq ffvelrnd 1st2nd2 fveq2d syl2anc
      syl wf fvco3 df-ov a1i 3eqtr4d ) AGBJZCJZUIKJZUILJZMZCJZGCBNJZUKULCOZAUIU
      MCAUIDEPZQUIUMRAFUQGBHISUIDETUCUAAFUQBUDGFQUOUJRHIFUQGCBUEUBUPUNRAUKULCUF
      UGUH $.
  $}

  ${
    $d A f g x $.
    $( There exists a bijection between a subset of ` NN ` and a given nonempty
       countable set.  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    ssnnf1octb $p |- ( ( A ~<_ _om /\ A =/= (/) ) -> E. f ( dom f C_ NN /\ f :
       dom f -1-1-onto-> A ) ) $=
      ( vg vx wa wex cdm wss wf1o clt cvv wcel a1i wceq adantl adantr f1oeq123d
      cn cv eqidd com cdom wbr c0 wne wfo nnfoctb wi crn cres cpw wrex fofn wwe
      nnex ltwenn wessf1orn f1odm elpwi eqsstrd 3adant1 simpr eqcomd forn mpbid
      w3a 3adant2 vex resex dmeq sseq1d anbi12d spcev syl2anc 3exp rexlimdv mpd
      id exlimdv ) AUAUBUCAUDUEEZRACSZUFZCFBSZGZRHZWDAWCIZEZBFZACUGVTWBWHCWBWHU
      HVTWBDSZWAUIZWAWIUJZIZDRUKZULWHWBDRJWAKRAWAUMRKLWBUOMRJUNWBUPMUQWBWLWHDWM
      WBWIWMLZWLWHWBWNWLVFWKGZRHZWOAWKIZWHWNWLWPWBWNWLEWOWIRWLWOWINWNWIWJWKURZO
      WNWIRHWLWIRUSPUTVAWBWLWQWNWBWLEZWLWQWBWLVBWSWIWOWJAWKWKWSWKTWLWIWONWBWLWO
      WIWRVCOWBWJANWLRAWAVDPQVEVGWGWPWQEBWKWAWICVHVIWCWKNZWEWPWFWQWTWDWORWCWKVJ
      ZVKWTWDWOAAWCWKWTVRXAWTATQVLVMVNVOVPVQMVSVQ $.
  $}

  $( There is a bijection between the set of positive integers and the
     Cartesian product of the set of positive integers with itself.
     (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
  nnf1oxpnn $p |- E. f f : NN -1-1-onto-> ( NN X. NN ) $=
    ( cn cxp cen wbr cv wf1o wex xpnnen ensymi bren mpbi ) BBBCZDEBMAFGAHMBIJBM
    AKL $.

  ${
    $d A x $.  $d C x $.
    rnmptssd.1 $e |- F/ x ph $.
    rnmptssd.2 $e |- F = ( x e. A |-> B ) $.
    rnmptssd.3 $e |- ( ( ph /\ x e. A ) -> B e. C ) $.
    $( The range of an operation given by the maps-to notation as a subset.
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    rnmptssd $p |- ( ph -> ran F C_ C ) $=
      ( wcel wral crn wss ralrimia rnmptss syl ) ADEJZBCKFLEMAQBCGINBCDEFHOP $.
  $}

  ${
    $d A x y $.  $d A y z $.  $d B x y $.  $d B y z $.  $d F y z $.  $d V y $.
    $d ph y z $.
    projf1o.1 $e |- ( ph -> A e. V ) $.
    projf1o.2 $e |- F = ( x e. B |-> <. A , x >. ) $.
    $( A biijection from a set to a projection in a two dimensional space.
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    projf1o $p |- ( ph -> F : B -1-1-onto-> ( { A } X. B ) ) $=
      ( vy vz cv wceq wral cop wcel wa adantr simpr cvv sylanbrc csn cxp wf1 wf
      wfo wf1o cfv snidg syl opelxpd cmpt opeq2 cbvmptv eqtri fmptd w3a fvmptd3
      simpl1 eqcomd 3adant3 opex a1i 3adant2 3eqtrd vex opthg2 syl2anc simplbda
      wi wb ex 3expb ralrimivva dff13 wrex elsnxp biimpa adantl eqtr2d reximdva
      id adantlr mpd ralrimiva dffo3 df-f1o ) ADCUAZDUBZEUCZDWHEUEZDWHEUFADWHEU
      DZIKZEUGZJKZEUGZLZWLWNLZVIZJDMIDMWIAIDCWLNZWHEAWLDOZPZCWLWGDACWGOZWTACFOZ
      XBGCFUHUIQAWTRZUJZEBDCBKZNZUKIDWSUKHBIDXGWSXFWLCULZUMUNZUOZAWRIJDDAWTWNDO
      ZWRAWTXKUPZWPWQXLWPPZAWSCWNNZLZWQAWTXKWPURXMWSWMWOXNXLWSWMLZWPAWTXPXKXAWM
      WSXABWLXGWSDEWHHXHXDXEUQZUSUTQXLWPRXLWOXNLZWPAXKXRWTAXKPZIWNWSXNDESXIWLWN
      CULAXKRXNSOXSCWNVAVBUQVCQVDAXOCCLZWQAXCWNSOZXOXTWQPVJGYAAJVEVBCWLCWNFSVFV
      GVHVGVKVLVMIJDWHEVNTAWKWNWMLZIDVOZJWHMWJXJAYCJWHAWNWHOZPZWNWSLZIDVOZYCAYD
      YGAXCYDYGVJGIDFCWNVPUIVQYEYFYBIDAWTYFYBVIYDXAYFYBXAYFPWMWSWNXAWMWSLYFXQQY
      FWSWNLXAYFWNWSYFWAUSVRVSVKWBVTWCWDIJDWHEWETDWHEWFT $.
  $}

  ${
    fvmap.a $e |- ( ph -> A e. V ) $.
    fvmap.b $e |- ( ph -> B e. W ) $.
    fvmap.f $e |- ( ph -> F e. ( A ^m B ) ) $.
    fvmap.c $e |- ( ph -> C e. B ) $.
    $( Function value for a member of a set exponentiation.  (Contributed by
       Glauco Siliprandi, 21-Nov-2020.) $)
    fvmap $p |- ( ph -> ( F ` C ) e. A ) $=
      ( wcel cfv id cmap co wf wb elmapg syl2anc mpbid ffvelrnda ) AADCLDEMBLAN
      KACBDEAEBCOPLZCBEQZJABFLCGLUCUDRHIBCEFGSTUAUBT $.
  $}

  ${
    $d A x $.  $d F x $.
    $( Projection of a factor of an indexed Cartesian product.  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    fvixp2 $p |- ( ( F e. X_ x e. A B /\ x e. A ) -> ( F ` x ) e. B ) $=
      ( cixp wcel cv cfv cvv wfn wral elixp2 simp3bi r19.21bi ) DABCEFZAGDHCFZA
      BODIFDBJPABKABCDLMN $.
  $}

  ${
    fidmfisupp.1 $e |- ( ph -> F : D --> R ) $.
    fidmfisupp.2 $e |- ( ph -> D e. Fin ) $.
    fidmfisupp.3 $e |- ( ph -> Z e. V ) $.
    $( A function with a finite domain is finitely supported.  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    fidmfisupp $p |- ( ph -> F finSupp Z ) $=
      ( cfsupp wbr csupp co cfn wcel ccnv cvv csn cdif cima suppimacnv fisuppfi
      wceq fexd syl2anc eqeltrd wfun wb ffund funisfsupp syl3anc mpbird ) ADFJK
      ZDFLMZNOZAUNDPQFRSZTZNADQOZFEOZUNUQUCABCNDGHUDZIDQEFUAUEABCUPDHGUBUFADUGU
      RUSUMUOUHABCDGUIUTIDQEFUJUKUL $.
  $}

  ${
    $d A f g x $.  $d A g x y $.  $d B f g $.  $d B g y $.  $d g ph x y $.
    choicefi.a $e |- ( ph -> A e. Fin ) $.
    choicefi.b $e |- ( ( ph /\ x e. A ) -> B e. W ) $.
    choicefi.n $e |- ( ( ph /\ x e. A ) -> B =/= (/) ) $.
    $( For a finite set, a choice function exists, without using the axiom of
       choice.  (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    choicefi $p |- ( ph -> E. f ( f Fn A /\ A. x e. A ( f ` x ) e. B ) ) $=
      ( vg vy cv cfv wcel wral wa syl wceq cvv syl2anc cmpt crn wfn wne wex cfn
      c0 wi mptfi rnfi fnchoice simpl simprl nfv nfra1 nfan rspa adantll wb vex
      wrex eqid elrnmpt ax-mp biimpi adantl simp3 3adant3 eqnetrd 3exp rexlimdv
      w3a adantr mpd adantlr id imp ex ralrimi rsp adantrl ccom mptexd 3ad2ant1
      a1i coexg wss simpr ralrimiva fnmpt ssidd fnco syl3anc nfcv nfmpt1 nfralw
      nfrn nffn nf3an wfun cdm funmpt dmmptd eqcomd eleqtrd fvmpt2 fveq2d eqtrd
      fvco 3ad2antl1 elrnmpt1 simpl3 fveq2 eleq12d rspcva eqeltrd jca nfco nfeq
      fneq1 fveq1 eleq1d ralbid anbi12d spcegv sylc exlimdv ) AJLZBCDUAZUBZUCZK
      LZUGUDZYLYHMZYLNZUHZKYJOZPZJUEZELZCUCZBLZYTMZDNZBCOZPZEUEZAYJUFNZYSAYIUFN
      ZUUHACUFNUUIGBCDUIQYIUJQKYJJUKQAYRUUGJAYRUUGAYRPAYKYOKYJOZUUGAYRULAYKYQUM
      AYQUUJYKAYQPZYOKYJAYQKAKUNYPKYJUOUPZUUKUUJYLYJNZYOUHUUKYOKYJUULUUKUUMYOUU
      KUUMPYPYMYOYQUUMYPAYPKYJUQURAUUMYMYQAUUMPYLDRZBCVAZYMUUMUUOAUUMUUOYLSNUUM
      UUOUSKUTBCDYLYISYIVBZVCVDVEVFAUUOYMUHUUMAUUNYMBCAUUBCNZUUNYMAUUQUUNVLYLDU
      GAUUQUUNVGAUUQDUGUDUUNIVHVIVJVKVMVNVOYPYMYOYPVPVQTVRVSYOKYJVTQVSWAAYKUUJV
      LZYHYIWBZSNZUUSCUCZUUBUUSMZDNZBCOZPZUUGAYKUUTUUJAYHSNZYISNUUTUVFAJUTWEABC
      DUFGWCYHYISSWFTWDUURUVAUVDAYKUVAUUJAYKPZYKYICUCZYJYJWGUVAAYKWHAUVHYKADFNZ
      BCOUVHAUVIBCHWIBCDYIFUUPWJQVMUVGYJWKYJCYHYIWLWMVHUURUVCBCAYKUUJBABUNBYJYH
      BYHWNZBYIBCDWOZWQZWRYOBKYJUVLYOBUNWPWSUURUUQUVCUURUUQPZUVBDYHMZDAYKUUQUVB
      UVNRUUJAUUQPZUVBUUBYIMZYHMZUVNUVOYIWTZUUBYIXAZNUVBUVQRUVRUVOBCDXBWEUVOUUB
      CUVSAUUQWHZACUVSRUUQAUVSCABYICDFUUPHXCXDVMXEUUBYHYIXITUVOUVPDYHUVOUUQUVIU
      VPDRUVTHBCDFYIUUPXFTXGXHXJUVMDYJNZUUJUVNDNZAYKUUQUWAUUJUVOUUQUVIUWAUVTHBC
      DYIFUUPXKTXJAYKUUJUUQXLYOUWBKDYJUUNYNUVNYLDYLDYHXMUUNVPXNXOTXPVRVSXQUUFUV
      EEUUSSYTUUSRZUUAUVAUUEUVDCYTUUSXTUWCUUDUVCBCBYTUUSBYTWNBYHYIUVJUVKXRXSUWC
      UUCUVBDUUBYTUUSYAYBYCYDYEYFWMVRYGVN $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d ph x y z $.
    mpct.a $e |- ( ph -> A ~<_ _om ) $.
    mpct.b $e |- ( ph -> B e. Fin ) $.
    $( The exponentiation of a countable set to a finite set is countable.
       (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    mpct $p |- ( ph -> ( A ^m B ) ~<_ _om ) $=
      ( vy vz cv cmap co com cdom wbr c0 wceq oveq2 breq1d cvv wcel a1i csn cun
      ctex syl mapdm0 cfn snfi fict ax-mp eqbrtrd wss cdif cxp cen cin vex snex
      vx wa ad2antrr wn eldifn disjsn sylibr ad2antlr mapunen syl31anc mapsnend
      adantl simpr endomtr syl2anc xpct ex findcard2d ) ABURHZIJZKLMBNIJZKLMBFH
      ZIJZKLMZBVSGHZUAZUBZIJZKLMZBCIJZKLMURFGCVPNOVQVRKLVPNBIPQVPVSOVQVTKLVPVSB
      IPQVPWDOVQWEKLVPWDBIPQVPCOVQWGKLVPCBIPQAVRNUAZKLABRSZVRWHOABKLMZWIDBUCUDZ
      BRUEUDWHKLMZAWHUFSWLNUGWHUHUITUJAVSCUKZWBCVSULSZUSZUSZWAWFWPWAUSZWEVTBWCI
      JZUMZUNMZWSKLMZWFWQVSRSZWCRSZWIVSWCUONOZWTXBWQFUPTXCWQWBUQTAWIWOWAWKUTWOX
      DAWAWNXDWMWNWBVSSVAXDWBCVSVBVSWBVCVDVIVEVSWCBRRRVFVGWQWAWRKLMZXAWPWAVJAXE
      WOWAAWRBUNMWJXEABWBRRWKWBRSAGUPTVHDWRBKVKVLUTVTWRVMVLWEWSKVKVLVNEVO $.
  $}

  ${
    cnmetcoval.d $e |- D = ( abs o. - ) $.
    cnmetcoval.f $e |- ( ph -> F : A --> ( CC X. CC ) ) $.
    cnmetcoval.b $e |- ( ph -> B e. A ) $.
    $( Value of the distance function of the metric space of complex numbers,
       composed with a function.  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    cnmetcoval $p |- ( ph -> ( ( D o. F ) ` B ) = ( abs ` ( ( 1st ` ( F ` B ) )
       - ( 2nd ` ( F ` B ) ) ) ) ) $=
      ( ccom cfv c1st c2nd co cmin cabs cc fvovco wcel wceq syl cxp xp1st xp2nd
      ffvelrnd cnmetdval syl2anc eqtrd ) ACDEIJCEJZKJZUHLJZDMZUIUJNMOJZAEDPPBCG
      HQAUIPRZUJPRZUKULSAUHPPUAZRZUMABUOCEGHUDZUHPPUBTAUPUNUQUHPPUCTUIUJDFUEUFU
      G $.
  $}

  ${
    $d A x $.  $d C x $.  $d D x $.  $d F x $.  $d G x $.
    fcomptss.a $e |- ( ph -> F : A --> B ) $.
    fcomptss.b $e |- ( ph -> B C_ C ) $.
    fcomptss.g $e |- ( ph -> G : C --> D ) $.
    $( Express composition of two functions as a maps-to applying both in
       sequence.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    fcomptss $p |- ( ph -> ( G o. F ) = ( x e. A |-> ( G ` ( F ` x ) ) ) ) $=
      ( wf ccom cv cfv cmpt wceq fssd fcompt syl2anc ) AEFHLCEGLHGMBCBNGOHOPQKA
      CDEGIJRBHGCEFST $.
  $}

  ${
    $d A x $.  $d B x $.  $d F x $.  $d ph x $.
    elmapsnd.1 $e |- ( ph -> F Fn { A } ) $.
    elmapsnd.2 $e |- ( ph -> B e. V ) $.
    elmapsnd.3 $e |- ( ph -> ( F ` A ) e. B ) $.
    $( Membership in a set exponentiated to a singleton.  (Contributed by
       Glauco Siliprandi, 3-Mar-2021.) $)
    elmapsnd $p |- ( ph -> F e. ( B ^m { A } ) ) $=
      ( vx csn cmap co wcel wf wfn cv cfv wral wa cvv wceq fveq2d adantl adantr
      elsni eqeltrd ralrimiva jca ffnfv sylibr snex a1i elmapd mpbird ) ADCBJZK
      LMUOCDNZADUOOZIPZDQZCMZIUORZSUPAUQVAFAUTIUOAURUOMZSUSBDQZCVBUSVCUAAVBURBD
      URBUEUBUCAVCCMVBHUDUFUGUHIUOCDUIUJACUODETGUOTMABUKULUMUN $.
  $}

  ${
    $d A w x y $.  $d B x y $.  $d C w x y $.  $d ph w x y $.
    mapss2.a $e |- ( ph -> A e. V ) $.
    mapss2.b $e |- ( ph -> B e. W ) $.
    mapss2.c $e |- ( ph -> C e. Z ) $.
    mapss2.n $e |- ( ph -> C =/= (/) ) $.
    $( Subset inheritance for set exponentiation.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    mapss2 $p |- ( ph -> ( A C_ B <-> ( A ^m C ) C_ ( B ^m C ) ) ) $=
      ( vx vy vw wa wcel adantr ex cv simplr wss cmap co simpr mapss syl2anc c0
      wex wne sylib wral cmpt cfv wceq cvv eqidd vex a1i fvmptd eqcomd ad4ant13
      fmpttd elmapd mpbird adantlr sseldd elmapi syl ffvelrnd eqeltrd ralrimiva
      n0 wf dfss3 sylibr exlimdv mpd impbid ) ABCUAZBDUBUCZCDUBUCZUAZAVSWBAVSOC
      FPZVSWBAWCVSIQAVSUDBCDFUEUFRAWBVSAWBOZLSZDPZLUHZVSAWGWBADUGUIWGKLDVLUJQWD
      WFVSLWDWFVSWDWFOZMSZCPZMBUKVSWHWJMBWHWIBPZOZWIWENDWIULZUMZCAWFWIWNUNWBWKA
      WFOZWNWIWONWEWIWIDWMUOWOWMUPWONSZWEUNOWIUPAWFUDWIUOPWOMUQURUSUTVAWLDCWEWM
      WDWKDCWMVMZWFWDWKOZWMWAPWQWRVTWAWMAWBWKTAWKWMVTPZWBAWKOZWSDBWMVMWTNDWIBAW
      KWPDPTVBWTBDWMEGABEPWKHQADGPWKJQVCVDVEVFWMCDVGVHVEWDWFWKTVIVJVKMBCVNVORVP
      VQRVR $.
  $}

  ${
    $d A x $.  $d B x $.  $d F x $.  $d G x $.  $d ph x $.
    fsneq.a $e |- ( ph -> A e. V ) $.
    fsneq.b $e |- B = { A } $.
    fsneq.f $e |- ( ph -> F Fn B ) $.
    fsneq.g $e |- ( ph -> G Fn B ) $.
    $( Equality condition for two functions defined on a singleton.
       (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    fsneq $p |- ( ph -> ( F = G <-> ( F ` A ) = ( G ` A ) ) ) $=
      ( vx wceq cfv wfn syl2anc wa wcel fveq2 ex fveq2d cv wral wb eqfnfv snidg
      csn syl eqcomi a1i eleqtrd adantr simpr eqeq12d rspcva simpl eleq2i velsn
      biimpi sylib adantl 3eqtr4d adantll ralrimiva impbid bitrd ) ADELZKUAZDMZ
      VGEMZLZKCUBZBDMZBEMZLZADCNECNVFVKUCIJKCDEUDOAVKVNAVKVNAVKPBCQZVKVNAVOVKAB
      BUFZCABFQBVPQGBFUEUGVPCLACVPHUHUIUJUKAVKULVJVNKBCVGBLZVHVLVIVMVGBDRVGBERU
      MUNOSAVNVKAVNPVJKCVNVGCQZVJAVNVRPVLVMVHVIVNVRUOVRVHVLLVNVRVGBDVRVGVPQZVQV
      RVSCVPVGHUPURKBUQUSZTUTVRVIVMLVNVRVGBEVTTUTVAVBVCSVDVE $.
  $}

  ${
    $d A f x $.  $d B f x $.  $d C f x $.  $d f ph x $.
    difmap.a $e |- ( ph -> A e. V ) $.
    difmap.b $e |- ( ph -> B e. W ) $.
    difmap.v $e |- ( ph -> C e. Z ) $.
    difmap.n $e |- ( ph -> C =/= (/) ) $.
    $( Difference of two sets exponentiations.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    difmap $p |- ( ph -> ( ( A \ B ) ^m C ) C_ ( ( A ^m C ) \ ( B ^m C ) ) ) $=
      ( vf vx cmap co wcel wss wa adantr simpr cv cdif wral difssd mapss sseldd
      syl2anc wf wex wn c0 wne sylib cfv simpl ffvelrnd adantll elmapi ad4ant23
      n0 eldifn syl pm2.65da ex exlimdv wb elmapg mtbird eldifd ralrimiva dfss3
      mpd sylibr ) ALUAZBDNOZCDNOZUBZPZLBCUBZDNOZUCVTVQQAVRLVTAVNVTPZRZVNVOVPWB
      VTVOVNAVTVOQZWAABEPVSBQWCHABCUDVSBDEUEUGSAWATUFWBVNVPPZDCVNUHZWBMUAZDPZMU
      IZWEUJZAWHWAADUKULWHKMDUTUMSWBWGWIMWBWGWIWBWGRWEWFVNUNZCPZWGWEWKWBWGWERDC
      WFVNWGWETWGWEUOUPUQWAWGWKUJZAWEWAWGRZWJVSPWLWMDVSWFVNWADVSVNUHWGVNVSDURSW
      AWGTUPWJBCVAVBUSVCVDVEVLAWDWEVFZWAACFPDGPWNIJCDVNFGVGUGSVHVIVJLVTVQVKVM
      $.
  $}

  ${
    $d A g x $.  $d X f g x $.  $d g ph x $.
    unirnmap.a $e |- ( ph -> A e. V ) $.
    unirnmap.x $e |- ( ph -> X C_ ( B ^m A ) ) $.
    $( Given a subset of a set exponentiation, the base set can be restricted.
       (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    unirnmap $p |- ( ph -> X C_ ( ran U. X ^m A ) ) $=
      ( vg vx vf cv crn cmap co wcel wral wa wf sylibr cvv cuni wss wfn elmapfn
      cfv sselda ciun wrex simplr dffn3 sylib ffvelrnda wceq rneq eleq2d rspcev
      syl2anc eliun rnuni eleqtrrdi ralrimiva ffnfv wb ovexd ssexd uniexd rnexg
      syl jca elmapd adantr mpbird dfss3 ) AHKZEUAZLZBMNZOZHEPEVQUBAVRHEAVNEOZQ
      ZVRBVPVNRZVTVNBUCZIKZVNUEZVPOZIBPZQWAVTWBWFVTVNCBMNZOWBAEWGVNGUFVNCBUDVHZ
      VTWEIBVTWCBOZQZWDJEJKZLZUGZVPWJWDWLOZJEUHZWDWMOWJVSWDVNLZOZWOAVSWIUIVTBWP
      WCVNVTWBBWPVNRWHBVNUJUKULWNWQJVNEWKVNUMWLWPWDWKVNUNUOUPUQJWDEWLURSJEUSUTV
      AVIIBVPVNVBSAVRWAVCVSAVPBVNTDAVOTOVPTOAETAEWGTACBMVDGVEVFVOTVGVHFVJVKVLVA
      HEVQVMS $.
  $}

  ${
    $d A f $.  $d B f $.  $d C f $.  $d f ph $.
    inmap.a $e |- ( ph -> A e. V ) $.
    inmap.b $e |- ( ph -> B e. W ) $.
    inmap.c $e |- ( ph -> C e. Z ) $.
    $( Intersection of two sets exponentiations.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    inmap $p |- ( ph -> ( ( A ^m C ) i^i ( B ^m C ) ) = ( ( A i^i B ) ^m C ) )
             $=
      ( vf cmap co cin wcel wss wa wf elmapi syl cv wral elinel1 elinel2 sylibr
      jca fin adantl wb cvv inss1 a1i ssexd elmapd adantr ralrimiva dfss3 mapss
      mpbird syl2anc inss2 ssind eqssd ) ABDLMZCDLMZNZBCNZDLMZAKUAZVHOZKVFUBVFV
      HPAVJKVFAVIVFOZQVJDVGVIRZVKVLAVKDBVIRZDCVIRZQVLVKVMVNVKVIVDOVMVIVDVEUCVIB
      DSTVKVIVEOVNVIVDVEUDVICDSTUFDBCVIUGUEUHAVJVLUIVKAVGDVIUJGAVGBEHVGBPZABCUK
      ULZUMJUNUOUSUPKVFVHUQUEAVHVDVEABEOVOVHVDPHVPVGBDEURUTACFOVGCPZVHVEPIVQABC
      VAULVGCDFURUTVBVC $.
  $}

  ${
    fcoss.f $e |- ( ph -> F : A --> B ) $.
    fcoss.c $e |- ( ph -> C C_ A ) $.
    fcoss.g $e |- ( ph -> G : D --> C ) $.
    $( Composition of two mappings.  Similar to ~ fco , but with a weaker
       condition on the domain of ` F ` .  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    fcoss $p |- ( ph -> ( F o. G ) : D --> B ) $=
      ( wf ccom fssd fco syl2anc ) ABCFKEBGKECFGLKHAEDBGJIMEBCFGNO $.
  $}

  ${
    fsneqrn.a $e |- ( ph -> A e. V ) $.
    fsneqrn.b $e |- B = { A } $.
    fsneqrn.f $e |- ( ph -> F Fn B ) $.
    fsneqrn.g $e |- ( ph -> G Fn B ) $.
    $( Equality condition for two functions defined on a singleton.
       (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    fsneqrn $p |- ( ph -> ( F = G <-> ( F ` A ) e. ran G ) ) $=
      ( wceq cfv crn wcel wa wfn wf eleqtrd adantr cvv dffn3 sylib snidg eqcomd
      csn syl a1i ffvelrnd simpr rneqd ex dffn2 feq2d mpbid rnsnf mpbird impbid
      elsni fsneq ) ADEKZBDLZEMZNZAUTVCAUTOZVADMZVBAVAVENUTACVEBDADCPZCVEDQICDU
      AUBABBUEZCABFNZBVGNGBFUCUFACVGCVGKAHUGZUDRUHSVDDEAUTUIUJRUKAVCUTAVCOZUTVA
      BELZKZVJVAVKUEZNVLVJVAVBVMAVCUIAVBVMKVCABTEFGACTEQZVGTEQAECPZVNJCEULUBACV
      GTEVIUMUNUOSRVAVKURUFVJBCDEFAVHVCGSHAVFVCISAVOVCJSUSUPUKUQ $.
  $}

  ${
    $d A f $.  $d B f $.  $d C f $.  $d f ph $.
    difmapsn.a $e |- ( ph -> A e. V ) $.
    difmapsn.b $e |- ( ph -> B e. W ) $.
    difmapsn.v $e |- ( ph -> C e. Z ) $.
    $( Difference of two sets exponentiatiated to a singleton.  (Contributed by
       Glauco Siliprandi, 3-Mar-2021.) $)
    difmapsn $p |- ( ph -> ( ( A ^m { C } ) \ ( B ^m { C } ) ) = ( ( A \ B ) ^m
       { C } ) ) $=
      ( vf cmap co wcel wa wf wb adantr mpbird cvv csn cdif cv wral wss cfv cop
      wceq eldifi adantl elmapi fsn2g mpbid simpld syldan simpr simprd ad2antrr
      syl jca a1i elmapd eldifn ad2antlr pm2.65da eldifd difssd ssexd ralrimiva
      snex wn dfss3 sylibr snn0d difmap eqssd ) ABDUAZLMZCVQLMZUBZBCUBZVQLMZAKU
      CZWBNZKVTUDVTWBUEAWDKVTAWCVTNZOZWDVQWAWCPZWFWGDWCUFZWANZWCDWHUGUAUHZOZWFW
      IWJWFWHBCAWEWCVRNZWHBNZWEWLAWCVRVSUIUJZAWLOZWMWJWOVQBWCPZWMWJOZWLWPAWCBVQ
      UKUJAWPWQQZWLADGNZWRJDBWCGULUSRUMZUNUOWFWHCNZWCVSNZWFXAOZXBVQCWCPZXCXDXAW
      JOZXCXAWJWFXAUPWFWJXAAWEWLWJWNWOWMWJWTUQUOZRUTAXDXEQZWEXAAWSXGJDCWCGULUSU
      RSXCCVQWCFTACFNWEXAIURVQTNZXCDVJZVAVBSWEXBVKAXAWCVRVSVCVDVEVFXFUTAWGWKQZW
      EAWSXJJDWAWCGULUSRSAWDWGQWEAWAVQWCTTAWABEHABCVGVHXHAXIVAZVBRSVIKVTWBVLVMA
      BCVQEFTHIXKADGJVNVOVP $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d ph x $.
    mapssbi.a $e |- ( ph -> A e. V ) $.
    mapssbi.b $e |- ( ph -> B e. W ) $.
    mapssbi.c $e |- ( ph -> C e. Z ) $.
    mapssbi.n $e |- ( ph -> C =/= (/) ) $.
    $( Subset inheritance for set exponentiation.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    mapssbi $p |- ( ph -> ( A C_ B <-> ( A ^m C ) C_ ( B ^m C ) ) ) $=
      ( vx wss cmap co wa wcel adantr syl2anc wn simpr mapss simplr wrex nssrex
      ex cv biimpi adantl wi w3a csn cxp fconst6g elmapg mpbird 3adant3 snelmap
      wf wb wne adantlr pm2.65da 3adant2 nelss 3exp rexlimdv mpd condan impbid
      c0 ) ABCMZBDNOZCDNOZMZAVLVOAVLPCFQZVLVOAVPVLIRAVLUABCDFUBSUFAVOVLAVOPVLVO
      AVOVLTZUCAVQVOTZVOAVQPZLUGZCQZTZLBUDZVRVQWCAVQWCLBCUEUHUIVSWBVRLBAVTBQZWB
      VRUJUJVQAWDWBVRAWDWBUKDVTULUMZVMQZWEVNQZTZVRAWDWFWBAWDPWFDBWEUSZWDWIADVTB
      UNUIAWFWIUTZWDABEQDGQZWJHJBDWEEGUOSRUPUQAWBWHWDAWBPWGWAAWGWAWBAWGPLDCGFAW
      KWGJRAVPWGIRADVKVAWGKRAWGUAURVBAWBWGUCVCVDWEVMVNVESVFRVGVHVBVIUFVJ $.
  $}

  ${
    $d A f $.  $d C f g $.  $d X f g $.  $d f g ph $.
    unirnmapsn.A $e |- ( ph -> A e. V ) $.
    unirnmapsn.b $e |- ( ph -> B e. W ) $.
    unirnmapsn.C $e |- C = { A } $.
    unirnmapsn.x $e |- ( ph -> X C_ ( B ^m C ) ) $.
    $( Equality theorem for a subset of a set exponentiation, where the
       exponent is a singleton.  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    unirnmapsn $p |- ( ph -> X = ( ran U. X ^m C ) ) $=
      ( vg vf cmap co cvv wcel a1i wa adantr cuni crn csn snex eqeltri unirnmap
      cv wrex ciun simpl equid rnuni oveq1i eleq12i biimpi adantl wf wral ovexd
      cfv ssexd rnexg iunexg syl2anc elmapd biimpa snidg syl eleqtrrdi ffvelrnd
      rgen eliun sylib wfn wi elmapfn wceq simp3 3ad2ant1 oveq2i sseqtrdi simpr
      w3a wss sseldd mpbid 3adant3 rnsnf eleqtrd fvex elsn simp1r adantlr fsneq
      3adant1r mpbird simp2 eqeltrd 3exp rexlimdv mpd eqelssd ) ALGGUAUBZDNOZAD
      CPGDPQADBUCZPJBUDZUERZKUFALUGZXDQZSZBXHUTZMUGZUBZQZMGUHZXHGQZXJAXHMGXMUIZ
      DNOZQZXOAXIUJZXIXSAXIXSXHXHXDXRLUKXCXQDNMGULUMUNUOUPAXSSZXKXQQXOYADXQBXHA
      XSDXQXHUQAXQDXHPPAGPQXMPQZMGURZXQPQAGCDNOZPACDNUSKVAYCAYBMGXLGVBVKRMGXMPP
      VCVDXGVEVFABDQXSABXEDABEQZBXEQHBEVGVHJVITVJMXKGXMVLVMVDXJXNXPMGXJAXHDVNZX
      LGQZXNXPVOVOXTXIYFAXHXCDVPUPAYFSZYGXNXPYHYGXNWCZXHXLGYIXHXLVQXKBXLUTZVQZA
      YGXNYKYFAYGXNWCZXKYJUCZQYKYLXKXMYMAYGXNVRYLBCXLEAYGYEXNHVSAYGXECXLUQZXNAY
      GSZXLCXENOZQYNYOGYPXLAGYPWDYGAGYDYPKDXECNJVTZWATAYGWBWEZYOCXEXLFPACFQYGIT
      XEPQYOXFRVEWFWGWHWIXKYJBXHWJWKVMWOYIBDXHXLEYHYGYEXNAYEYFHTVSJAYFYGXNWLYHY
      GXLDVNZXNAYGYSYFYOXLYDQYSYOXLYPYDYRYQVIXLCDVPVHWMWGWNWPYHYGXNWQWRWSVDWTXA
      XB $.
  $}

  ${
    $d A x $.  $d C x $.
    iunmapss.x $e |- F/ x ph $.
    iunmapss.a $e |- ( ph -> A e. V ) $.
    iunmapss.b $e |- ( ( ph /\ x e. A ) -> B e. W ) $.
    $( The indexed union of set exponentiations is a subset of the set
       exponentiation of the indexed union.  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    iunmapss $p |- ( ph -> U_ x e. A ( B ^m C ) C_ ( U_ x e. A B ^m C ) ) $=
      ( cmap co ciun wss wral wcel cvv ex ralrimi syl2anc cv iunexg mapss nfiu1
      wa adantr ssiun2 adantl nfcv nfov iunssf sylibr ) ADEKLZBCDMZEKLZNZBCOBCU
      MMUONAUPBCHABUACPZUPAUQUEUNQPZDUNNZUPAURUQACFPDGPZBCOURIAUTBCHAUQUTJRSBCD
      FGUBTUFUQUSABCDUGUHDUNEQUCTRSBCUMUOBUNEKBCDUDBKUIBEUIUJUKUL $.
  $}

  ${
    $d A f g $.  $d C f g $.  $d D g $.  $d f g ph $.
    ssmapsn.f $e |- F/_ f D $.
    ssmapsn.a $e |- ( ph -> A e. V ) $.
    ssmapsn.c $e |- ( ph -> C C_ ( B ^m { A } ) ) $.
    ssmapsn.d $e |- D = U_ f e. C ran f $.
    $( A subset ` C ` of a set exponentiation to a singleton, is its projection
       ` D ` exponentiated to the singleton.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    ssmapsn $p |- ( ph -> C = ( D ^m { A } ) ) $=
      ( vg wcel cmap wceq wa cvv syl a1i adantr cv csn co wb wal wf sselda ffnd
      elmapi crn ciun wral ovexd ssexd rnexg rgen jca iunexg eqeltrd cfv ssiun2
      wss adantl wfn snidg fnfvelrn syl2anc sseldd eleqtrrdi elmapsnd wrex snex
      ex simpr fvmap idi rneq cbviunv eqtri eleqtrdi eliun sylib w3a simp3 eqid
      simp1l simp1r elmapfn 3adant3 3adant1r fsneqrn mpbird simp2 3exp rexlimdv
      mpd impbid alrimiv nfcv nfov cleqf sylibr ) AFUAZDMZXCEBUBZNUCZMZUDZFUEDX
      FOAXHFAXDXGAXDXGAXDPZBEXCQXIXECXCXIXCCXENUCZMXECXCUFADXJXCJUGXCCXEUIRUHZA
      EQMZXDAEFDXCUJZUKZQEXNOZAKSADQMZXMQMZFDULZPXNQMAXPXRADXJQACXENUMJUNXRAXQF
      DXCDUOUPSUQFDXMQQURRUSZTXIBXCUTZXNEXIXMXNXTXDXMXNVBAFDXMVAVCXIXCXEVDZBXEM
      ZXTXMMXKAYBXDABGMZYBIBGVERZTXEBXCVFVGVHKVIVJVMAXGXDAXGPZXTLUAZUJZMZLDVKZX
      DYEXTLDYGUKZMYIYEXTEYJYEEXEBXCQQAXLXGXSTXEQMYEBVLSAXGVNAYBXGYDTVOEXNYJXOK
      VPFLDXMYGXCYFVQVRVSVTLXTDYGWAWBYEYHXDLDYEYFDMZYHXDYEYKYHWCZXCYFDYLXCYFOYH
      YEYKYHWDYLBXEXCYFGYLAYCAXGYKYHWFIRXEWEYLXGYAAXGYKYHWGXCEXEWHRAYKYHYFXEVDZ
      XGAYKYMYHAYKPYFXJMYMADXJYFJUGYFCXEWHRWIWJWKWLYEYKYHWMUSWNWOWPVMWQWRFDXFFD
      WSFEXENHFNWSFXEWSWTXAXB $.
  $}

  ${
    $d A f x y $.  $d B f y $.  $d C f x y $.  $d f ph y $.
    iunmapsn.x $e |- F/ x ph $.
    iunmapsn.a $e |- ( ph -> A e. V ) $.
    iunmapsn.b $e |- ( ( ph /\ x e. A ) -> B e. W ) $.
    iunmapsn.c $e |- ( ph -> C e. Z ) $.
    $( The indexed union of set exponentiations to a singleton is equal to the
       set exponentiation of the indexed union.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    iunmapsn $p |- ( ph -> U_ x e. A ( B ^m { C } ) = ( U_ x e. A B ^m { C } )
       ) $=
      ( vf vy cv wcel wa wrex wceq adantr csn cmap co ciun iunmapss cop cab cvv
      simpr wral ex ralrimi iunexg syl2anc mapsnd eleqtrd abid sylib w3a biimpi
      wi eliun 3ad2ant2 nfcv nfiu1 nfel nfv nf3an ancoms sylibr adantll 3adant2
      rspe eqcomd 3adant3 3adant1r 3exp reximdai mpd rexlimdv eqelssd ) AMBCDEU
      AZUBUCZUDZBCDUDZWBUBUCZABCDWBFGIJKUEAMOZWFPZQZWGWCPZBCRZWGWDPWIWGENOZUFUA
      SZNWERZWKWIWGWNMUGZPWNWIWGWFWOAWHUIAWFWOSWHANWEEMUHHACFPDGPZBCUJWEUHPJAWP
      BCIABOCPZWPKUKULBCDFGUMUNLUOTUPWNMUQURAWNWKVAWHAWMWKNWEAWLWEPZWMWKAWRWMUS
      ZWLDPZBCRZWKWRAXAWMWRXABWLCDVBUTVCWSWTWJBCAWRWMBIBWLWEBWLVDBCDVEVFWMBVGVH
      AWMWQWTWJVAVAWRAWMQZWQWTWJXBWQWTUSWGWMNDRZMUGZWCXBWTWGXDPZWQWMWTXEAWMWTQX
      CXEWTWMXCWMNDVMVIXCMUQVJVKVLAWQWTXDWCSZWMAWQXFWTAWQQZWCXDXGNDEMGHKAEHPWQL
      TUOVNVOVPUPVQVLVRVSVQVTTVSBWGCWCVBVJWA $.
  $}

  $( Mapping domain and codomain of the absolute value function.  (Contributed
     by Glauco Siliprandi, 3-Mar-2021.) $)
  absfico $p |- abs : CC --> ( 0 [,) +oo ) $=
    ( vx cc cc0 cpnf cico co cv ccj cfv cmul csqrt cabs df-abs wcel cxr 0xr a1i
    cr cle wbr pnfxr absval abscl eqeltrrd rexrd cjmulrcl sqrtge0 ltpnfd elicod
    cjmulge0 syl2anc fmpti ) ABCDEFAGZUMHIJFZKIZLAMUMBNZCDUOCONUPPQDONUPUAQUPUO
    UPUMLIUORUMUBUMUCUDZUEUPUNRNCUNSTCUOSTUMUFUMUJUNUGUKUPUOUQUHUIUL $.
  ${
    $d x y z $.
    $( The set of left-closed right-open intervals of extended reals maps to
       subsets of extended reals.  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    icof $p |- [,) : ( RR* X. RR* ) --> ~P RR* $=
      ( vx vz vy cv cle wbr clt wa cxr crab cpw wcel wral cxp cico wf eqidd wss
      ssrab2 xrex rabex elpw mpbir eqeltrrdi rgen2 df-ico fmpo mpbi ) ADZBDZEFU
      JCDZGFHZBIJZIKZLZCIMAIMIINUNOPUOACIIUIILUKILHZUMUMUNUPUMQUOUMIRULBISUMIUL
      BITUAUBUCUDUEACIIUMUNOACBUFUGUH $.
  $}

  $( The range of a partial function.  (Contributed by Glauco Siliprandi,
     26-Jun-2021.) $)
  elpmrn $p |- ( F e. ( A ^pm B ) -> ran F C_ A ) $=
    ( cpm co wcel cdm wf wss elpmi simpld frnd ) CABDEFZCGZACMNACHNBIABCJKL $.
  ${
    imaexi.1 $e |- A e. V $.
    $( The image of a set is a set.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    imaexi $p |- ( A " B ) e. _V $=
      ( wcel cima cvv imaexg ax-mp ) ACEABFGEDABCHI $.
  $}

  ${
    $d X f g z $.  $d X g x z $.  $d g ph z $.
    axccdom.1 $e |- ( ph -> X ~<_ _om ) $.
    axccdom.2 $e |- ( ( ph /\ z e. X ) -> z =/= (/) ) $.
    $( Relax the constraint on ax-cc to dominance instead of equinumerosity.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    axccdom $p |- ( ph -> E. f ( f Fn X /\ A. z e. X ( f ` z ) e. z ) ) $=
      ( vg vx wcel cv cfv wral wa wex simpr adantlr com cen wbr cvv cfn wfn wne
      c0 choicefi cdom csdm adantr isfinite2 con3i adantl jca bren2 sylibr ctex
      wn syl wceq breq1 raleq exbidv imbi12d ax-cc vtoclg sylc cmpt mptexd fvex
      wi rgenw eqid fnmpt ax-mp a1i nfv nfra1 id fvmpt2 syl2anc adantll eqeltrd
      nfan rspa ex ralrimi fneq1 nfcv nfmpt1 fveq1 eleq1d ralbid anbi12d spcegv
      nfeq exlimdv mpd syldan pm2.61dan ) ADUAIZCJZDUBZBJZWTKZXBIZBDLZMZCNZAWSM
      ZBDXBCDAWSOXHXBDIZOAXIXBUDUCZWSFPUEAWSUPZDQRSZXGAXKMZDQUFSZDQUGSZUPZMXLXM
      XNXPAXNXKEUHXKXPAXOWSDUIUJUKULDQUMUNAXLMZXJXBGJZKZXBIZVIZBDLZGNZXGXQDTIZX
      LYCAYDXLAXNYDEDUOUQZUHAXLOHJZQRSZYABYFLZGNZVIXLYCVIHDTYFDURZYGXLYIYCYFDQR
      USYJYHYBGYABYFDUTVAVBHBGVCVDVEXQYBXGGXQYBXGAYBXGXLAYBMZBDXSVFZTIZYLDUBZXB
      YLKZXBIZBDLZMZXGAYMYBABDXSTYEVGUHYKYNYQYNYKXSTIZBDLYNYSBDXBXRVHZVJBDXSYLT
      YLVKZVLVMVNYKYPBDAYBBABVOYABDVPWBYKXIYPYKXIMZYOXSXBXIYOXSURZYKXIXIYSUUCXI
      VQYSXIYTVNBDXSTYLUUAVRVSUKUUBYAXJXTYBXIYAAYABDWCVTAXIXJYBFPYAVQVEWAWDWEUL
      XFYRCYLTWTYLURZXAYNXEYQDWTYLWFUUDXDYPBDBWTYLBWTWGBDXSWHWNUUDXCYOXBXBWTYLW
      IWJWKWLWMVEPWDWOWPWQWR $.
  $}

  ${
    $d B x $.
    dmmptdf.x $e |- F/ x ph $.
    dmmptdf.a $e |- A = ( x e. B |-> C ) $.
    dmmptdf.c $e |- ( ( ph /\ x e. B ) -> C e. V ) $.
    $( The domain of the mapping operation, deduction form.  (Contributed by
       Glauco Siliprandi, 26-Jun-2021.) $)
    dmmptdf $p |- ( ph -> dom A = B ) $=
      ( cdm cvv wcel crab dmmpt wral wceq cv wa elexd ralrimia rabid2 eqtr4id
      sylibr ) ACJEKLZBDMZDBDECHNAUDBDODUEPAUDBDGABQDLREFISTUDBDUAUCUB $.
  $}

  $( The domain of a partial function.  (Contributed by Glauco Siliprandi,
     26-Jun-2021.) $)
  elpmi2 $p |- ( F e. ( A ^pm B ) -> dom F C_ B ) $=
    ( cpm co wcel cdm wf wss elpmi simprd ) CABDEFCGZACHLBIABCJK $.

  ${
    $d A x y $.  $d B x y $.  $d C y $.  $d F x y $.  $d R x y $.  $d S x y $.
    dmrelrnrel.x $e |- F/ x ph $.
    dmrelrnrel.y $e |- F/ y ph $.
    dmrelrnrel.i $e |- ( ph -> A. x e. A A. y e. A ( x R y -> ( F ` x ) S ( F `
       y ) ) ) $.
    dmrelrnrel.b $e |- ( ph -> B e. A ) $.
    dmrelrnrel.c $e |- ( ph -> C e. A ) $.
    dmrelrnrel.r $e |- ( ph -> B R C ) $.
    $( A relation preserving function.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    dmrelrnrel $p |- ( ph -> ( F ` B ) S ( F ` C ) ) $=
      ( wcel wa wbr wi nfv cfv id jca31 nfan nfim wceq eleq1 anbi2d breq2 fveq2
      cv breq2d imbi12d imbi2d anbi1d breq1 breq1d wral r19.21bi vtoclg1f sylc
      mp2d ) AAEDPZQZFDPZQZEFGRZEIUAZFIUAZHRZAAVCVEAUBMNUCOAVEVCVFVGVJSZSZNMVCV
      DCUKZDPZQZEVMGRZVHVMIUAZHRZSZSZSVCVLSCFDVCVLCVCCTZVFVKCVDVECAVCCKWAUDVECT
      UDVKCTUEUEVMFUFZVTVLVCWBVOVFVSVKWBVNVEVDVMFDUGUHWBVPVGVRVJVMFEGUIWBVQVIVH
      HVMFIUJULUMUMUNABUKZDPZQZVNQZWCVMGRZWCIUAZVQHRZSZSVTBEDVOVSBVDVNBAVCBJVCB
      TUDVNBTUDVSBTUEWCEUFZWFVOWJVSWKWEVDVNWKWDVCAWCEDUGUHUOWKWGVPWIVRWCEVMGUPW
      KWHVHVQHWCEIUJUQUMUMWEWJCDAWJCDURBDLUSUSUTUTVAVB $.
  $}

  ${
    fvcod.g $e |- ( ph -> Fun G ) $.
    fvcod.a $e |- ( ph -> A e. dom G ) $.
    fvcod.h $e |- H = ( F o. G ) $.
    $( Value of a function composition.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    fvcod $p |- ( ph -> ( H ` A ) = ( F ` ( G ` A ) ) ) $=
      ( cfv ccom wceq fveq1i a1i wfun cdm wcel fvco syl2anc eqtrd ) ABEIZBCDJZI
      ZBDICIZTUBKABEUAHLMADNBDOPUBUCKFGBCDQRS $.
  $}

  ${
    $d A x y $.  $d B x y $.
    elrnmpoid.1 $e |- F = ( x e. A , y e. B |-> C ) $.
    $( Membership in the range of an operation class abstraction.  (Contributed
       by Glauco Siliprandi, 26-Jun-2021.) $)
    elrnmpoid $p |- ( ( x e. A /\ y e. B /\ A. x e. A A. y e. B C e. V ) -> (
       x F y ) e. ran F ) $=
      ( cv wcel wral w3a cxp wfn co crn fnmpo 3ad2ant3 simp1 simp2 syl3anc
      fnovrn ) AIZCJZBIZDJZEGJBDKACKZLFCDMNZUDUFUCUEFOFPJUGUDUHUFABCDEFGHQRUDUF
      UGSUDUFUGTCDUCUEFUBUA $.
  $}

  ${
    $d A f x y $.  $d f ph x $.
    axccd.1 $e |- ( ph -> A ~~ _om ) $.
    axccd.2 $e |- ( ( ph /\ x e. A ) -> x =/= (/) ) $.
    $( An alternative version of the axiom of countable choice.  (Contributed
       by Glauco Siliprandi, 26-Jun-2021.) $)
    axccd $p |- ( ph -> E. f A. x e. A ( f ` x ) e. x ) $=
      ( vy cv c0 wne wcel wi wral wex com cen wbr cvv mpd wa simpld breq1 raleq
      cfv encv wceq exbidv imbi12d ax-cc vtoclg 3syl nfra1 nfan adantlr adantll
      nfv rspa ralrimia ex eximdv ) ABHZIJZVADHUDVAKZLZBCMZDNZVCBCMZDNACOPQZVFE
      AVHCRKZVHVFLZEVHVIORKCOUEUAGHZOPQZVDBVKMZDNZLVJGCRVKCUFZVLVHVNVFVKCOPUBVO
      VMVEDVDBVKCUCUGUHGBDUIUJUKSAVEVGDAVEVGAVETZVCBCAVEBABUPVDBCULUMVPVACKZTVB
      VCAVQVBVEFUNVEVQVDAVDBCUQUOSURUSUTS $.
  $}

  ${
    $d A f x $.  $d f ph x $.
    axccd2.1 $e |- ( ph -> A ~<_ _om ) $.
    axccd2.2 $e |- ( ( ph /\ x e. A ) -> x =/= (/) ) $.
    $( An alternative version of the axiom of countable choice.  (Contributed
       by Glauco Siliprandi, 26-Jun-2021.) $)
    axccd2 $p |- ( ph -> E. f A. x e. A ( f ` x ) e. x ) $=
      ( com csdm wbr cv cfv wcel wral wex wa wfn cfn isfinite2 simpr adantlr c0
      adantl wne choicefi wi a1i eximdv mpd cen cdom anim1i bren2 sylibr syldan
      wn axccd pm2.61dan ) ACGHIZBJZDJZKUSLBCMZDNZAUROZUTCPZVAOZDNVBVCBCUSDCURC
      QLACRUBVCUSCLZSAVFUSUAUCZURFTUDVCVEVADVEVAUEVCVDVASUFUGUHAURUOZCGUIIZVBAV
      HOCGUJIZVHOVIAVJVHEUKCGULUMAVIOBCDAVISAVFVGVIFTUPUNUQ $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d F x y $.  $d ph y $.
    funimassd.1 $e |- F/ x ph $.
    funimassd.2 $e |- ( ph -> Fun F ) $.
    funimassd.3 $e |- ( ( ph /\ x e. A ) -> ( F ` x ) e. B ) $.
    $( Sufficient condition for the image of a function being a subclass.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    funimassd $p |- ( ph -> ( F " A ) C_ B ) $=
      ( vy cima cv wcel wa cfv wceq wrex wfun fvelima nfv wi nfan w3a id eqcomd
      sylan 3ad2ant3 3adant3 eqeltrd 3exp adantr rexlimd mpd ssd ) AIECJZDAIKZU
      NLZMZBKZENZUOOZBCPZUODLZAEQUPVAGBUOCERUEUQUTVBBCAUPBFUPBSUAVBBSAURCLZUTVB
      TTUPAVCUTVBAVCUTUBUOUSDUTAUOUSOVCUTUSUOUTUCUDUFAVCUSDLUTHUGUHUIUJUKULUM
      $.
  $}

  ${
    fimassd.1 $e |- ( ph -> F : A --> B ) $.
    $( The image of a class is a subset of its codomain.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    fimassd $p |- ( ph -> ( F " X ) C_ B ) $=
      ( wf cima wss fimass syl ) ABCDGDEHCIFBCDEJK $.
  $}

  ${
    $d C x $.
    feqresmptf.1 $e |- F/_ x F $.
    feqresmptf.2 $e |- ( ph -> F : A --> B ) $.
    feqresmptf.3 $e |- ( ph -> C C_ A ) $.
    $( Express a restricted function as a mapping.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    feqresmptf $p |- ( ph -> ( F |` C ) = ( x e. C |-> ( F ` x ) ) ) $=
      ( cres cv cfv cmpt nfcv nfres fssresd feqmptdf fvres mpteq2ia eqtrdi ) AF
      EJZBEBKZUALZMBEUBFLZMABEDUABENZBFEGUEOACDEFHIPQBEUCUDUBEFRST $.
  $}

  ${
    elrnmpt1d.1 $e |- F = ( x e. A |-> B ) $.
    elrnmpt1d.2 $e |- ( ph -> x e. A ) $.
    elrnmpt1d.3 $e |- ( ph -> B e. V ) $.
    $( Elementhood in an image set.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    elrnmpt1d $p |- ( ph -> B e. ran F ) $=
      ( cv wcel crn elrnmpt1 syl2anc ) ABJCKDFKDELKHIBCDEFGMN $.
  $}

  $( The domain of a restriction is a subset of the original domain.
     (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
  dmresss $p |- dom ( A |` B ) C_ dom A $=
    ( cres cdm cin dmres inss2 eqsstri ) ABCDBADZEIABFBIGH $.

  ${
    dmmptssf.1 $e |- F/_ x A $.
    dmmptssf.2 $e |- F = ( x e. A |-> B ) $.
    $( The domain of a mapping is a subset of its base class.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    dmmptssf $p |- dom F C_ A $=
      ( cdm cvv wcel crab dmmpt ssrab2f eqsstri ) DGCHIZABJBABCDFKNABELM $.
  $}

  ${
    dmmptdf2.x $e |- F/ x ph $.
    dmmptdf2.b $e |- F/_ x B $.
    dmmptdf2.a $e |- A = ( x e. B |-> C ) $.
    dmmptdf2.c $e |- ( ( ph /\ x e. B ) -> C e. V ) $.
    $( The domain of the mapping operation, deduction form.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    dmmptdf2 $p |- ( ph -> dom A = B ) $=
      ( cdm cvv wcel crab dmmpt wral wceq cv wa elexd ralrimia rabid2f eqtr4id
      sylibr ) ACKELMZBDNZDBDECIOAUEBDPDUFQAUEBDGABRDMSEFJTUAUEBDHUBUDUC $.
  $}

  $( Domain of the upper integers function.  (Contributed by Glauco Siliprandi,
     23-Oct-2021.) $)
  dmuz $p |- dom ZZ>= = ZZ $=
    ( cz cpw cuz uzf fdmi ) AABCDE $.

  ${
    $d A x $.  $d C x $.
    fmptd2f.1 $e |- F/ x ph $.
    fmptd2f.2 $e |- ( ( ph /\ x e. A ) -> B e. C ) $.
    $( Domain and codomain of the mapping operation; deduction form.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    fmptd2f $p |- ( ph -> ( x e. A |-> B ) : A --> C ) $=
      ( cmpt eqid fmptdf ) ABCDEBCDHZFGKIJ $.
  $}

  ${
    mpteq1df.1 $e |- F/ x ph $.
    mpteq1df.2 $e |- ( ph -> A = B ) $.
    $( An equality theorem for the maps-to notation.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.)  (Proof shortened by SN, 11-Nov-2024.) $)
    mpteq1df $p |- ( ph -> ( x e. A |-> C ) = ( x e. B |-> C ) ) $=
      ( eqidd mpteq12df ) ABCEDEFGAEHI $.
    $( $j usage 'mpteq1df' avoids 'ax-10'; $)

    $( Obsolete version of ~ mpteq1df as of 11-Nov-2024.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    mpteq1dfOLD $p |- ( ph -> ( x e. A |-> C ) = ( x e. B |-> C ) ) $=
      ( wceq wal wral cmpt alrimi eqid rgenw mpteq12f sylancl ) ACDHZBIEEHZBCJB
      CEKBDEKHAQBFGLRBCEMNBCEDEOP $.
  $}

  ${
    mptexf.1 $e |- F/_ x A $.
    mptexf.2 $e |- A e. _V $.
    $( If the domain of a function given by maps-to notation is a set, the
       function is a set.  Inference version of ~ mptexg .  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    mptexf $p |- ( x e. A |-> B ) e. _V $=
      ( cvv wcel cmpt mptexgf ax-mp ) BFGABCHFGEABCFDIJ $.
  $}

  ${
    $d A x $.
    $( Value of a function given by the maps-to notation.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    fvmpt4 $p |- ( ( x e. A /\ B e. C ) -> ( ( x e. A |-> B ) ` x ) = B ) $=
      ( cmpt eqid fvmpt2 ) ABCDABCEZHFG $.
  $}

  ${
    $d A x y $.  $d B y $.  $d C y $.
    fmptf.1 $e |- F/_ x B $.
    fmptf.2 $e |- F = ( x e. A |-> C ) $.
    $( Functionality of the mapping operation.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    fmptf $p |- ( A. x e. A C e. B <-> F : A --> B ) $=
      ( vy wcel wral cv csb wf nfv nfcsb1v nfel weq csbeq1a eleq1d cmpt cbvralw
      nfcv cbvmpt eqtri fmpt bitri ) DCIZABJAHKZDLZCIZHBJBCEMUGUJAHBUGHNAUICAUH
      DOZFPAHQDUICAUHDRZSUAHBCUIEEABDTHBUITGAHBDUIHDUBUKULUCUDUEUF $.
  $}

  $( The image of a restriction is a subset of the original image.
     (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
  resimass $p |- ( ( A |` B ) " C ) C_ ( A " C ) $=
    ( cres wss cima resss imass1 ax-mp ) ABDZAEJCFACFEABGJACHI $.

  ${
    $d A y $.  $d B y $.  $d C y $.  $d x y $.
    mptssid.1 $e |- F/_ x A $.
    mptssid.2 $e |- C = { x e. A | B e. _V } $.
    $( The mapping operation expressed with its actual domain.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    mptssid $p |- ( x e. A |-> B ) = ( x e. C |-> B ) $=
      ( vy cv wcel wceq copab cmpt cvv crab eqvisset anim2i rabid sylibr df-mpt
      wa eleqtrrdi simpr ssrab2f eqsstri sseli anim1i impbii opabbii 3eqtr4i
      jca ) AHZBIZGHCJZTZAGKUKDIZUMTZAGKABCLADCLUNUPAGUNUPUNUOUMUNUKCMIZABNZDUN
      ULUQTUKURIUMUQULGCOPUQABQRFUAULUMUBUJUOULUMDBUKDURBFUQABEUCUDUEUFUGUHAGBC
      SAGDCSUI $.
  $}

  ${
    mptfnd.1 $e |- F/_ x A $.
    mptfnd.2 $e |- F/ x ph $.
    mptfnd.3 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    $( The maps-to notation defines a function with domain.  (Contributed by
       NM, 9-Apr-2013.)  (Revised by Thierry Arnoux, 10-May-2017.) $)
    mptfnd $p |- ( ph -> ( x e. A |-> B ) Fn A ) $=
      ( cvv wcel wral cmpt wfn cv ex elex syl6 ralrimi mptfnf sylib ) ADIJZBCKB
      CDLCMAUABCGABNCJZDEJZUAAUBUCHODEPQRBCDFST $.
  $}

  ${
    mpteq12daOLD.1 $e |- F/ x ph $.
    mpteq12daOLD.2 $e |- ( ph -> A = C ) $.
    mpteq12daOLD.3 $e |- ( ( ph /\ x e. A ) -> B = D ) $.
    $( Obsolete version of ~ mpteq12da as of 11-Nov-2024.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    mpteq12daOLD $p |- ( ph -> ( x e. A |-> B ) = ( x e. C |-> D ) ) $=
      ( wceq wal wral cmpt alrimi ralrimia mpteq12f syl2anc ) ACEJZBKDFJZBCLBCD
      MBEFMJARBGHNASBCGIOBCDEFPQ $.
  $}

  ${
    $d A w y z $.  $d B w y z $.  $d ph w z $.  $d w x y z $.
    rnmptlb.1 $e |- ( ph -> E. y e. RR A. x e. A y <_ B ) $.
    $( Boundness below of the range of a function in maps-to notation.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    rnmptlb $p |- ( ph -> E. y e. RR A. z e. ran ( x e. A |-> B ) y <_ z ) $=
      ( vw cv cle wbr wral cr wrex wcel wa wceq breq1 ralbidv cbvrexvw cmpt crn
      wb cvv eqid elrnmpt elv nfra1 nfv w3a rspa 3adant3 simp3 breqtrrd rexlimd
      3exp imp adantll sylan2b ralrimiva sylib reximddv3 ) AHIZDIZJKZDBEFUAZUBZ
      LZHMNCIZVDJKZDVGLZCMNAVCFJKZBELZVHHMAVCMOPZVMPZVEDVGVDVGOZVOVDFQZBENZVEVP
      VRUCDBEFVDVFUDVFUEUFUGVMVRVEVNVMVRVEVMVQVEBEVLBEUHVEBUIVMBIEOZVQVEVMVSVQU
      JVCFVDJVMVSVLVQVLBEUKULVMVSVQUMUNUPUOUQURUSUTAVIFJKZBELZCMNVMHMNGWAVMCHMV
      IVCQVTVLBEVIVCFJRSTVAVBVHVKHCMVCVIQVEVJDVGVCVIVDJRSTVA $.
  $}

  ${
    $d A z $.  $d B z $.  $d ph y z $.  $d x y z $.
    rnmptbddlem.x $e |- F/ x ph $.
    rnmptbddlem.b $e |- ( ph -> E. y e. RR A. x e. A B <_ y ) $.
    $( Boundness of the range of a function in maps-to notation.  (Contributed
       by Glauco Siliprandi, 23-Oct-2021.) $)
    rnmptbddlem $p |- ( ph -> E. y e. RR A. z e. ran ( x e. A |-> B ) z <_ y )
                   $=
      ( cv cle wbr wral cmpt crn cr wcel wa nfv nfan wi wceq wb cvv elrnmpt elv
      wrex eqid nfra1 w3a simp3 rspa 3adant3 eqbrtrd adantl rexlimd imp sylan2b
      3exp ralrimiva reximddv3 ) AFCIZJKZBELZDIZVAJKZDBEFMZNZLCOAVAOPZQZVCQZVED
      VGVDVGPZVJVDFUAZBEUFZVEVKVMUBDBEFVDVFUCVFUGUDUEVJVMVEVJVLVEBEVIVCBAVHBGVH
      BRSVBBEUHSVEBRVCBIEPZVLVETTVIVCVNVLVEVCVNVLUIVDFVAJVCVNVLUJVCVNVBVLVBBEUK
      ULUMURUNUOUPUQUSHUT $.
  $}

  ${
    $d A v w y z $.  $d B v w y z $.  $d ph v w $.  $d v w x y z $.
    rnmptbdd.x $e |- F/ x ph $.
    rnmptbdd.b $e |- ( ph -> E. y e. RR A. x e. A B <_ y ) $.
    $( Boundness of the range of a function in maps-to notation.  (Contributed
       by Glauco Siliprandi, 23-Oct-2021.) $)
    rnmptbdd $p |- ( ph -> E. y e. RR A. z e. ran ( x e. A |-> B ) z <_ y ) $=
      ( vw vv cv cle wbr wral cr wrex weq breq2 ralbidv cbvrexvw cmpt crn sylib
      rnmptbddlem breq1 cbvralvw bitrdi ) AIKZJKZLMZIBEFUAUBZNZJOPDKZCKZLMZDUKN
      ZCOPABJIEFGAFUNLMZBENZCOPFUILMZBENZJOPHURUTCJOCJQUQUSBEUNUIFLRSTUCUDULUPJ
      COJCQZULUHUNLMZIUKNUPVAUJVBIUKUIUNUHLRSVBUOIDUKUHUMUNLUEUFUGTUC $.
  $}

  ${
    $d A x $.  $d C x $.
    mptima2.1 $e |- ( ph -> C C_ A ) $.
    $( Image of a function in maps-to notation.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    mptima2 $p |- ( ph -> ( ( x e. A |-> B ) " C ) = ran ( x e. C |-> B ) ) $=
      ( cmpt cima cin crn mptima wss wceq sseqin2 sylib mpteq1d rneqd syl5eq )
      ABCDGEHBCEIZDGZJBEDGZJBCDEKATUAABSEDAECLSEMFECNOPQR $.
  $}

  ${
    $d A x $.  $d F x $.  $d G x $.
    funimaeq.x $e |- F/ x ph $.
    funimaeq.f $e |- ( ph -> Fun F ) $.
    funimaeq.g $e |- ( ph -> Fun G ) $.
    funimaeq.a $e |- ( ph -> A C_ dom F ) $.
    funimaeq.d $e |- ( ph -> A C_ dom G ) $.
    funimaeq.e $e |- ( ( ph /\ x e. A ) -> ( F ` x ) = ( G ` x ) ) $.
    $( Membership relation for the values of a function whose image is a
       subclass.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    funimaeq $p |- ( ph -> ( F " A ) = ( G " A ) ) $=
      ( cima wcel cfv cdm wfn wss funfnd adantr fnfvima cv wa syl3anc funimassd
      simpr eqeltrd eqeltrrd eqssd ) ADCLZECLZABCUJDFGABUAZCMZUBZUKDNZUKENZUJKU
      MEEOZPZCUPQZULUOUJMAUQULAEHRSAURULJSAULUEZUPCEUKTUCUFUDABCUIEFHUMUNUOUIKU
      MDDOZPZCUTQZULUNUIMAVAULADGRSAVBULISUSUTCDUKTUCUGUDUH $.
  $}

  ${
    $d A x $.
    rnmptssf.1 $e |- F/_ x C $.
    rnmptssf.2 $e |- F = ( x e. A |-> B ) $.
    $( The range of an operation given by the maps-to notation as a subset.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    rnmptssf $p |- ( A. x e. A B e. C -> ran F C_ C ) $=
      ( wcel wral wf crn wss fmptf frn sylbi ) CDHABIBDEJEKDLABDCEFGMBDENO $.
  $}

  ${
    $d A z $.  $d B z $.  $d ph y z $.  $d x y z $.
    rnmptbd2lem.x $e |- F/ x ph $.
    rnmptbd2lem.b $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    $( Boundness below of the range of a function in maps-to notation.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    rnmptbd2lem $p |- ( ph -> ( E. y e. RR A. x e. A y <_ B <-> E. y e. RR A. z
       e. ran ( x e. A |-> B ) y <_ z ) ) $=
      ( cv cle wbr wral cr wrex wa wcel wceq ex reximdv cmpt crn wb cvv elrnmpt
      eqid elv nfra1 nfv wi rspa simpl id eqcomd adantl breqtrd syl rexlimd imp
      adantll sylan2b ralrimiva nfmpt1 nfrn nfralw breq2 simplr simpr elrnmpt1d
      nfan adantlr rspcdva ralrimia impbid ) ACJZFKLZBEMZCNOVODJZKLZDBEFUAZUBZM
      ZCNOAVQWBCNAVQWBAVQPZVSDWAVRWAQZWCVRFRZBEOZVSWDWFUCDBEFVRVTUDVTUFZUEUGVQW
      FVSAVQWFVSVQWEVSBEVPBEUHVSBUIZVQBJEQZWEVSUJZVQWIPVPWJVPBEUKVPWEVSVPWEPVOF
      VRKVPWEULWEFVRRVPWEVRFWEUMUNUOUPSUQSURUSUTVAVBSTAWBVQCNAWBVQAWBPZVPBEAWBB
      HVSBDWABVTBEFVCVDWHVEVJWKWIPZVSVPDWAFVRFVOKVFAWBWIVGWLBEFVTGWGWKWIVHAWIFG
      QWBIVKVIVLVMSTVN $.
  $}

  ${
    $d A u w y z $.  $d B u w y z $.  $d ph u w $.  $d u w x y z $.
    rnmptbd2.x $e |- F/ x ph $.
    rnmptbd2.b $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    $( Boundness below of the range of a function in maps-to notation.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    rnmptbd2 $p |- ( ph -> ( E. y e. RR A. x e. A y <_ B <-> E. y e. RR A. z e.
       ran ( x e. A |-> B ) y <_ z ) ) $=
      ( vw vu cv cle wbr wral cr wrex wb weq breq1 cmpt crn ralbidv rnmptbd2lem
      cbvrexvw a1i breq2 cbvralvw bitrdi 3bitrd ) ACLZFMNZBEOZCPQZJLZFMNZBEOZJP
      QZUOKLZMNZKBEFUAUBZOZJPQZUKDLZMNZDVAOZCPQZUNURRAUMUQCJPCJSULUPBEUKUOFMTUC
      UEUFABJKEFGHIUDVCVGRAVBVFJCPJCSZVBUKUSMNZKVAOVFVHUTVIKVAUOUKUSMTUCVIVEKDV
      AUSVDUKMUGUHUIUEUFUJ $.
  $}

  ${
    $d A w x y z $.  $d B w y z $.  $d ph w z $.
    infnsuprnmpt.x $e |- F/ x ph $.
    infnsuprnmpt.a $e |- ( ph -> A =/= (/) ) $.
    infnsuprnmpt.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    infnsuprnmpt.l $e |- ( ph -> E. y e. RR A. x e. A y <_ B ) $.
    $( The indexed infimum of real numbers is the negative of the indexed
       supremum of the negative values.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    infnsuprnmpt $p |- ( ph -> inf ( ran ( x e. A |-> B ) , RR , < ) = -u sup (
       ran ( x e. A |-> -u B ) , RR , < ) ) $=
      ( vw vz cr clt cv cneg wcel wrex wceq wa cvv cmpt crn cinf wss c0 wne cle
      crab csup wral eqid rnmptssd rnmptn0 rnmptlb infrenegsup syl3anc rabidim2
      wbr wb wal adantl negex elrnmpt ax-mp sylib nfcv nfneg nfmpt1 nfrn nfrabw
      nfel nfan wi rabidim1 w3a negeq eqcomd 3ad2ant3 simp1r negnegd syl eqtr2d
      recn 3exp syldan reximdai mpd simpr elrnmptd ex vex biimpi simp3 renegcld
      3adant3 eqeltrd simp2 negeqd recnd eqtrd rspe syl2anc a1i jca rexlimd imp
      rabid sylibr impbid alrimiv nfrab1 cleqf supeq1d eqidd 3eqtrd ) ABDEUAZUB
      ZLMUCZJNZOZXQPZJLUHZLMUIZOZBDEOZUAZUBZLMUIZOZYIAXQLUDXQUEUFCNKNUGURKXQUJC
      LQXRYDRABDELXPFXPUKZHULABDEXPLFHYJGUMABCKDEIUNCKJXQUOUPAYCYHALYBYGMAXSYBP
      ZXSYGPZUSZJUTYBYGRAYMJAYKYLAYKYLAYKSZBDYEXSYFYBYFUKZYNXTERZBDQZXSYERZBDQZ
      YNYAYQYKYAAYAJLUQVAXTTPZYAYQUSXSVBZBDEXTXPTYJVCVDVEYNYPYRBDAYKBFBXSYBBXSV
      FZYABJLBXTXQBXSUUBVGBXPBDEVHVIVKZBLVFZVJVKVLAYKXSLPZBNDPZYPYRVMVMYKUUEAYA
      JLVNVAAUUESZUUFYPYRUUGUUFYPVOZYEXTOZXSYPUUGYEUUIRUUFYPUUIYEXTEVPVQVRUUHUU
      EUUIXSRAUUEUUFYPVSUUEXSXSWCVTWAWBWDWEWFWGAYKWHWIWJAYLYKAYLSUUEYASZYKAYLYS
      UUJYLYSAYLYSXSTPYLYSUSJWKBDYEXSYFTYOVCVDWLVAAYSUUJAYRUUJBDFUUEYABBXSLUUBU
      UDVKUUCVLAUUFYRUUJAUUFYRVOZUUEYAUUKXSYELAUUFYRWMZAUUFYELPYRAUUFSZEHWNWOWP
      UUKBDEXTXPTYJUUKUUFYPYQAUUFYRWQUUKXTYEOZEUUKXSYEUULWRAUUFUUNERYRUUMEUUMEH
      WSVTWOWTYPBDXAXBYTUUKUUAXCWIXDWDXEXFWEYAJLXGXHWJXIXJJYBYGYAJLXKJYGVFXLXHX
      MWRAYIXNXO $.
  $}

  ${
    $d A x y z $.  $d B y z $.
    suprclrnmpt.x $e |- F/ x ph $.
    suprclrnmpt.n $e |- ( ph -> A =/= (/) ) $.
    suprclrnmpt.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    suprclrnmpt.y $e |- ( ph -> E. y e. RR A. x e. A B <_ y ) $.
    $( Closure of the indexed supremum of a nonempty bounded set of reals.
       Range of a function in maps-to notation can be used, to express an
       indexed supremum.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    suprclrnmpt $p |- ( ph -> sup ( ran ( x e. A |-> B ) , RR , < ) e. RR ) $=
      ( vz cmpt crn cr eqid rnmptssd rnmptn0 rnmptbdd suprcld ) ACJBDEKZLABDEMS
      FSNZHOABDESMFHTGPABCJDEFIQR $.
  $}

  ${
    $d A w x y $.  $d B w y $.  $d C x $.  $d D x $.
    suprubrnmpt2.x $e |- F/ x ph $.
    suprubrnmpt2.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    suprubrnmpt2.l $e |- ( ph -> E. y e. RR A. x e. A B <_ y ) $.
    suprubrnmpt2.c $e |- ( ph -> C e. A ) $.
    suprubrnmpt2.d $e |- ( ph -> D e. RR ) $.
    suprubrnmpt2.i $e |- ( x = C -> B = D ) $.
    $( A member of a nonempty indexed set of reals is less than or equal to the
       set's upper bound.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    suprubrnmpt2 $p |- ( ph -> D <_ sup ( ran ( x e. A |-> B ) , RR , < ) ) $=
      ( vw cmpt crn cr eqid rnmptssd wcel elrnmpt1s syl2anc rnmptbdd suprubd
      ne0d ) ACNBDEOZPZGABDEQUFHUFRZISAUGGAFDTGQTGUGTKLBDEGFUFQUHMUAUBZUEABCNDE
      HJUCUIUD $.
  $}

  ${
    $d A w x y $.  $d B w y $.
    suprubrnmpt.x $e |- F/ x ph $.
    suprubrnmpt.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    suprubrnmpt.e $e |- ( ph -> E. y e. RR A. x e. A B <_ y ) $.
    $( A member of a nonempty indexed set of reals is less than or equal to the
       set's upper bound.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    suprubrnmpt $p |- ( ( ph /\ x e. A ) -> B <_ sup ( ran ( x e. A |-> B ) ,
       RR , < ) ) $=
      ( vw cv wcel wa cmpt crn cr wss eqid rnmptssd adantr simpr ne0d wral wrex
      elrnmpt1 syl2anc cle wbr rnmptbdd suprubd ) ABJDKZLZCIBDEMZNZEAUMOPUJABDE
      OULFULQZGRSUKUMEUKUJEOKEUMKAUJTGBDEULOUNUDUEZUAAIJCJUFUGIUMUBCOUCUJABCIDE
      FHUHSUOUI $.
  $}

  ${
    $d A x $.
    rnmptssdf.1 $e |- F/ x ph $.
    rnmptssdf.2 $e |- F/_ x C $.
    rnmptssdf.3 $e |- F = ( x e. A |-> B ) $.
    rnmptssdf.4 $e |- ( ( ph /\ x e. A ) -> B e. C ) $.
    $( The range of an operation given by the maps-to notation as a subset.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    rnmptssdf $p |- ( ph -> ran F C_ C ) $=
      ( wcel wral crn wss ralrimia rnmptssf syl ) ADEKZBCLFMENARBCGJOBCDEFHIPQ
      $.
  $}

  ${
    $d A y z $.  $d B y z $.  $d x y z $.
    rnmptbdlem.x $e |- F/ x ph $.
    rnmptbdlem.y $e |- F/ y ph $.
    rnmptbdlem.b $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    $( Boundness above of the range of a function in maps-to notation.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    rnmptbdlem $p |- ( ph -> ( E. y e. RR A. x e. A B <_ y <-> E. y e. RR A. z
       e. ran ( x e. A |-> B ) z <_ y ) ) $=
      ( cv cle wbr wral cr wrex wa nfan simpr wcel cmpt crn nfcv nfra1 rnmptbdd
      nfrex ex wi nfmpt1 nfrn nfv nfralw breq1 simplr adantlr elrnmpt1d rspcdva
      eqid ralrimia a1d reximdai impbid ) AFCKZLMZBENZCOPZDKZVCLMZDBEFUAZUBZNZC
      OPZAVFVLAVFQBCDEFAVFBHVEBCOBOUCVDBEUDUFRAVFSUEUGAVKVECOIAVKVEUHVCOTAVKVEA
      VKQZVDBEAVKBHVHBDVJBVIBEFUIUJVHBUKULRVMBKETZQZVHVDDVJFVGFVCLUMAVKVNUNVOBE
      FVIGVIURVMVNSAVNFGTVKJUOUPUQUSUGUTVAVB $.
  $}

  ${
    $d A u w y z $.  $d B u w y z $.  $d ph w $.  $d u w x y z $.
    rnmptbd.x $e |- F/ x ph $.
    rnmptbd.b $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    $( Boundness above of the range of a function in maps-to notation.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    rnmptbd $p |- ( ph -> ( E. y e. RR A. x e. A B <_ y <-> E. y e. RR A. z e.
       ran ( x e. A |-> B ) z <_ y ) ) $=
      ( vw vu cv cle wbr wral cr wrex wb weq breq2 crn ralbidv cbvrexvw a1i nfv
      cmpt rnmptbdlem breq1 cbvralvw bitrdi 3bitrd ) AFCLZMNZBEOZCPQZFJLZMNZBEO
      ZJPQZKLZUPMNZKBEFUFUAZOZJPQZDLZULMNZDVBOZCPQZUOUSRAUNURCJPCJSUMUQBEULUPFM
      TUBUCUDABJKEFGHAJUEIUGVDVHRAVCVGJCPJCSZVCUTULMNZKVBOVGVIVAVJKVBUPULUTMTUB
      VJVFKDVBUTVEULMUHUIUJUCUDUK $.
  $}

  ${
    $d A x $.
    rnmptss2.1 $e |- F/ x ph $.
    rnmptss2.3 $e |- ( ph -> A C_ B ) $.
    rnmptss2.4 $e |- ( ( ph /\ x e. A ) -> C e. V ) $.
    $( The range of an operation given by the maps-to notation as a subset.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    rnmptss2 $p |- ( ph -> ran ( x e. A |-> C ) C_ ran ( x e. B |-> C ) ) $=
      ( cmpt crn nfmpt1 nfrn eqid cv wcel wa sselda elrnmpt1d rnmptssdf ) ABCEB
      DEJZKBCEJZGBUABDELMUBNABOZCPQBDEUAFUANACDUCHRIST $.
  $}

  ${
    $d A x $.  $d C x $.  $d D x $.
    $( The image of a function in maps-to notation.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    elmptima $p |- ( C e. V -> ( C e. ( ( x e. A |-> B ) " D ) <-> E. x e. ( A
       i^i D ) C = B ) ) $=
      ( wcel cmpt cima cin crn wceq wrex mptima a1i eleq2d eqid elrnmpt bitrd )
      DFGZDABCHEIZGDABEJZCHZKZGDCLAUBMTUAUDDUAUDLTABCENOPAUBCDUCFUCQRS $.
  $}

  ${
    $d A x y $.  $d B y $.  $d ch y $.  $d ps x $.
    ralrnmpt3.1 $e |- F/ x ph $.
    ralrnmpt3.2 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    ralrnmpt3.3 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( A restricted quantifier over an image set.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    ralrnmpt3 $p |- ( ph -> ( A. y e. ran ( x e. A |-> B ) ps <-> A. x e. A ch
       ) ) $=
      ( wcel wral cmpt crn wb ralrimia eqid ralrnmptw syl ) AGHLZDFMBEDFGNZOMCD
      FMPAUADFIJQBCDEFGUBHUBRKST $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d F x $.
    $( Function value in an image.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    fvelima2 $p |- ( ( F Fn A /\ B e. ( F " C ) ) -> E. x e. ( A i^i C ) ( F `
       x ) = B ) $=
      ( cima wcel wfn cv wbr wa wex cfv wceq cin wrex elimag df-rex adantrl imp
      ibi sylib fnbr simprl elind wfun fnfun funbrfv sylan jca ex eximdv sylibr
      sylan2 ) CEDFZGZEBHZAIZDGZURCEJZKZALZUREMCNZABDOZPZUPUTADPZVBUPVFACEDUOQU
      AUTADRUBUQVBKURVDGZVCKZALZVEUQVBVIUQVAVHAUQVAVHUQVAKZVGVCVJBDURUQUTURBGUS
      BURCEUCSUQUSUTUDUEUQUTVCUSUQEUFZUTVCBEUGVKUTVCURCEUHTUISUJUKULTVCAVDRUMUN
      $.
  $}

  ${
    $d A x $.  $d C x $.
    rnmptssbi.1 $e |- F/ x ph $.
    rnmptssbi.2 $e |- F = ( x e. A |-> B ) $.
    rnmptssbi.3 $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    $( The range of an operation given by the maps-to notation as a subset.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    rnmptssbi $p |- ( ph -> ( ran F C_ C <-> A. x e. A B e. C ) ) $=
      ( crn wss wcel wral wa cmpt nfmpt1 nfcxfr nfrn nfcv nfss cv simpr adantlr
      nfan simplr elrnmpt1d sseldd ralrimia rnmptss adantl impbida ) AFKZELZDEM
      ZBCNZAUNOZUOBCAUNBHBUMEBFBFBCDPIBCDQRSBETUAUEUQBUBCMZOZUMEDAUNURUFUSBCDFG
      IUQURUCAURDGMUNJUDUGUHUIUPUNABCDEFIUJUKUL $.
  $}

  ${
    fnfvelrnd.1 $e |- ( ph -> F Fn A ) $.
    fnfvelrnd.2 $e |- ( ph -> B e. A ) $.
    $( A function's value belongs to its range.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    fnfvelrnd $p |- ( ph -> ( F ` B ) e. ran F ) $=
      ( wfn wcel cfv crn fnfvelrn syl2anc ) ADBGCBHCDIDJHEFBCDKL $.
  $}

  ${
    imass2d.1 $e |- ( ph -> A C_ B ) $.
    $( Subset theorem for image.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    imass2d $p |- ( ph -> ( C " A ) C_ ( C " B ) ) $=
      ( wss cima imass2 syl ) ABCFDBGDCGFEBCDHI $.
  $}

  ${
    $d A x $.  $d C x $.  $d D x $.
    imassmpt.1 $e |- F/ x ph $.
    imassmpt.2 $e |- ( ( ph /\ x e. ( A i^i C ) ) -> B e. V ) $.
    imassmpt.3 $e |- F = ( x e. A |-> B ) $.
    $( Membership relation for the values of a function whose image is a
       subclass.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    imassmpt $p |- ( ph -> ( ( F " C ) C_ D <-> A. x e. ( A i^i C ) B e. D ) )
                $=
      ( cima wss cin cmpt crn wcel wral cres eqtri df-ima reseq1i resmpt3 rneqi
      sseq1i eqid rnmptssbi syl5bb ) GELZFMBCENZDOZPZFMADFQBUJRUIULFUIGESZPULGE
      UAUMUKUMBCDOZESUKGUNEKUBBCEDUCTUDTUEABUJDFUKHIUKUFJUGUH $.
  $}

  ${
    fpmd.a $e |- ( ph -> A e. V ) $.
    fpmd.b $e |- ( ph -> B e. W ) $.
    fpmd.c $e |- ( ph -> C C_ A ) $.
    fpmd.f $e |- ( ph -> F : C --> B ) $.
    $( A total function is a partial function.  (Contributed by Glauco
       Siliprandi, 5-Feb-2022.) $)
    fpmd $p |- ( ph -> F e. ( B ^pm A ) ) $=
      ( wcel wf wss cpm co elpm2r syl22anc ) ACGLBFLDCEMDBNECBOPLIHKJCBDEGFQR
      $.
  $}

  ${
    $d A x $.  $d B x $.
    fconst7.p $e |- F/ x ph $.
    fconst7.x $e |- F/_ x F $.
    fconst7.f $e |- ( ph -> F Fn A ) $.
    fconst7.b $e |- ( ph -> B e. V ) $.
    fconst7.e $e |- ( ( ph /\ x e. A ) -> ( F ` x ) = B ) $.
    $( An alternative way to express a constant function.  (Contributed by
       Glauco Siliprandi, 5-Feb-2022.) $)
    fconst7 $p |- ( ph -> F = ( A X. { B } ) ) $=
      ( csn wf cxp wceq wfn wcel cvv syl nfcv cv wral wa fvexd eqeltrrd eqeltrd
      cfv snidg ralrimia ffnfvf sylanbrc wb fconst2g mpbid ) ACDLZEMZECUONOZAEC
      PBUAZEUGZUOQZBCUBUPIAUTBCGAURCQUCZUSDUOKVADRQDUOQVAUSDRKVAUREUDUEDRUHSUFU
      IBCUOEBCTBUOTHUJUKADFQUPUQULJCDFEUMSUN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ordering on real numbers - Real and complex numbers basic operations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Subtracting from a number, twice the number itself, gives negative the
     number.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  sub2times $p |- ( A e. CC -> ( A - ( 2 x. A ) ) = -u A ) $=
    ( cc wcel c2 cmul co cmin caddc cneg 2times oveq2d id addcld negsubd negdid
    negcl addassd cc0 negid 3eqtr2d oveq1d addid2d eqtrd ) ABCZADAEFZGFAAAHFZGF
    AUFIZHFZAIZUDUEUFAGAJKUDAUFUDLZUDAAUJUJMNUDUHAUIUIHFZHFAUIHFZUIHFZUIUDUGUKA
    HUDAAUJUJOKUDAUIUIUJAPZUNQUDUMRUIHFUIUDULRUIHASUAUDUIUNUBUCTT $.

  $( The distance of two distinct complex number is a strictly positive real.
     (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  abssubrp $p |- ( ( A e. CC /\ B e. CC /\ A =/= B ) -> ( abs ` ( A - B ) ) e.
     RR+ ) $=
    ( cc wcel wne w3a cmin co subcl 3adant3 simp1 simp2 simp3 subne0d absrpcld
    ) ACDZBCDZABEZFZABGHZPQTCDRABIJSABPQRKPQRLPQRMNO $.

  $( Relationship between membership in a half-open finite set of sequential
     integers and membership in a finite set of sequential intergers.
     (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  elfzfzo $p |- ( A e. ( M ..^ N ) <-> ( A e. ( M ... N ) /\ A < N ) ) $=
    ( cfzo co wcel cfz clt wbr wa elfzofz elfzolt2 jca cuz cfv cz elfzuz adantr
    elfzel2 simpr elfzo2 syl3anbrc impbii ) ABCDEFZABCGEFZACHIZJZUDUEUFABCKABCL
    MUGABNOFZCPFZUFUDUEUHUFABCQRUEUIUFABCSRUEUFTABCUAUBUC $.

  $( Odd number representation by using the floor function.  (Contributed by
     Glauco Siliprandi, 11-Dec-2019.) $)
  oddfl $p |- ( ( K e. ZZ /\ ( K mod 2 ) =/= 0 ) -> K = ( ( 2 x. ( |_ ` ( K / 2
     ) ) ) + 1 ) ) $=
    ( cz wcel c2 co cc0 wa cdiv cmul c1 caddc cmin wbr clt a1i rehalfcld oveq1d
    wceq adantr wb cmo wne cfl cfv cle zre 1red resubcld crp 2rp lem1d lediv1dd
    rpreccld ltaddrpd zcn recnd 2cnd rpne0d divsubdird halfcld reccld subadd23d
    1mhlfehlf oveq2i 3eqtrrd breqtrd jca cr wn npcand simpr neneqd mod0 syl2anc
    mtbid eqneltrd simpl 1zzd zsubcld zeo2 mpbird flbi oveq2d subcld divcan2d
    syl ) ABCZADUAEZFUBZGZDADHEZUCUDZIEZJKEDAJLEZDHEZIEZJKEZWNJKEZAWJWMWPJKWJWL
    WODIWJWLWORZWOWKUEMZWKWOJKEZNMZGZWGXCWIWGWTXBWGWNADWGAJAUFZWGUGZUHXDDUICZWG
    UJOZWGAXDUKULWGWKWKJDHEZKEZXANWGWKXHWGAXDPWGDXGUMUNWGXAWKXHLEZJKEWKJXHLEZKE
    ZXIWGWOXJJKWGAJDAUOZWGJXEUPZWGUQZWGDXGURZUSQWGWKXHJWGAXMUTWGDXOXPVAXNVBXLXI
    RWGXKXHWKKVCVDOVEVFVGSWJWKVHCWOBCZWSXCTWJAWGAVHCZWIXDSPWJXQWRDHEZBCVIZWJXSW
    KBWGXSWKRWIWGWRADHWGAJXMXNVJZQSWJWHFRZWKBCZWJWHFWGWIVKVLWGYBYCTZWIWGXRXFYDX
    DXGADVMVNSVOVPWJWNBCXQXTTWJAJWGWIVQWJVRVSWNVTWFWAWKWOWBVNWAWCQWGWQWRRWIWGWP
    WNJKWGWNDWGAJXMXNWDXOXPWEQSWGWRARWIYASVE $.

  $( Bound for the absolute value of the cosine of a real number.  (Contributed
     by Glauco Siliprandi, 11-Dec-2019.) $)
  abscosbd $p |- ( A e. RR -> ( abs ` ( cos ` A ) ) <_ 1 ) $=
    ( cr wcel ccos cfv cabs c1 cle wbr cneg cosbnd recoscl 1red absled mpbird
    wa ) ABCZADEZFEGHIGJRHIRGHIPAKQRGALQMNO $.

  ${
    mul13d.1 $e |- ( ph -> A e. CC ) $.
    mul13d.2 $e |- ( ph -> B e. CC ) $.
    mul13d.3 $e |- ( ph -> C e. CC ) $.
    $( Commutative/associative law that swaps the first and the third factor in
       a triple product.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    mul13d $p |- ( ph -> ( A x. ( B x. C ) ) = ( C x. ( B x. A ) ) ) $=
      ( cmul co mul12d mulassd mulcld mulcomd 3eqtr2d ) ABCDHIHICBDHIHICBHIZDHI
      DOHIABCDEFGJACBDFEGKAODACBFELGMN $.
  $}

  $( Negative ` _pi ` is negative.  (Contributed by Glauco Siliprandi,
     11-Dec-2019.) $)
  negpilt0 $p |- -u _pi < 0 $=
    ( cc0 cpi clt wbr cneg pipos cr wcel wb pire lt0neg2 ax-mp mpbi ) ABCDZBEAC
    DZFBGHNOIJBKLM $.

  ${
    $d A x y $.  $d ph y $.
    dstregt0.1 $e |- ( ph -> A e. ( CC \ RR ) ) $.
    $( A complex number ` A ` that is not real, has a distance from the reals
       that is strictly larger than ` 0 ` .  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    dstregt0 $p |- ( ph -> E. x e. RR+ A. y e. RR x < ( abs ` ( A - y ) ) ) $=
      ( cim cfv cabs c2 cdiv co crp wcel cmin clt wbr cr cc cc0 syl imcld recnd
      cv wral wrex eldifad eldifbd wb reim0b mtbid neqned absrpcld rphalfcld wa
      wceq adantr recn adantl imsubd simpr reim0d oveq2d subid1d 3eqtrrd fveq2d
      oveq1d eqeltrrd abscld rehalfcld subcld wne eqnetrrd rphalflt cle absimle
      ltletrd eqbrtrd ralrimiva breq1 ralbidv rspcev syl2anc ) ADFGZHGZIJKZLMWE
      DCUCZNKZHGZOPZCQUDZBUCZWHOPZCQUDZBLUEAWDAWCAWCADADRQEUFZUAUBZAWCSADQMZWCS
      UOZADRQEUGADRMZWPWQUHWNDUITUJUKZULUMAWICQAWFQMZUNZWEWGFGZHGZIJKZWHOXAWDXC
      IJXAWCXBHXAXBWCWFFGZNKWCSNKWCXADWFAWRWTWNUPZWTWFRMAWFUQURZUSXAXESWCNXAWFA
      WTUTVAVBXAWCAWCRMWTWOUPZVCVDZVEVFXAXDXCWHXAXCXAXBXAWCXBRXIXHVGZVHZVIXKXAW
      GXADWFXFXGVJZVHXAXCLMXDXCOPXAXBXJXAWCXBSXIAWCSVKWTWSUPVLULXCVMTXAWGRMXCWH
      VNPXLWGVOTVPVQVRWMWJBWELWKWEUOWLWICQWKWEWHOVSVTWAWB $.
  $}

  ${
    subadd4b.1 $e |- ( ph -> A e. CC ) $.
    subadd4b.2 $e |- ( ph -> B e. CC ) $.
    subadd4b.3 $e |- ( ph -> C e. CC ) $.
    subadd4b.4 $e |- ( ph -> D e. CC ) $.
    $( Rearrangement of 4 terms in a mixed addition and subtraction.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    subadd4b $p |- ( ph -> ( ( A - B ) + ( C - D ) ) = ( ( A - D ) + ( C - B )
       ) ) $=
      ( co caddc subadd4d subcld subsub2d addcomd oveq2d addsub4d eqtrd 3eqtr3d
      cmin ) ABCTJZEDTJTJBDKJZCEKJZTJZUADETJKJBETJDCTJKJZABCEDFGIHLAUAEDABCFGMI
      HNAUDUBECKJZTJUEAUCUFUBTACEGIOPABDECFHIGQRS $.
  $}

  ${
    xrlttri5d.a $e |- ( ph -> A e. RR* ) $.
    xrlttri5d.b $e |- ( ph -> B e. RR* ) $.
    xrlttri5d.aneb $e |- ( ph -> A =/= B ) $.
    xrlttri5d.nlt $e |- ( ph -> -. B < A ) $.
    $( Not equal and not larger implies smaller.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    xrlttri5d $p |- ( ph -> A < B ) $=
      ( clt wbr wn wo wa wceq neneqd cxr wcel wb xrlttri3 syl2anc mtbid sylibr
      oran jca pm5.61 sylib simpld ) ABCHIZCBHIZJZAUGUHKZUILUGUILAUJUIAUGJUILZJ
      UJABCMZUKABCFNABOPCOPULUKQDEBCRSTUGUHUBUAGUCUGUHUDUEUF $.
  $}

  $( The negative of a positive number is less than the number itself.
     (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  neglt $p |- ( A e. RR+ -> -u A < A ) $=
    ( crp wcel cneg cc0 rpre renegcld 0red clt wbr rpgt0 lt0neg2d mpbid lttrd )
    ABCZADZEAOAAFZGOHQOEAIJPEIJAKZOAQLMRN $.

  ${
    zltlesub.n $e |- ( ph -> N e. ZZ ) $.
    zltlesub.a $e |- ( ph -> A e. RR ) $.
    zltlesub.nlea $e |- ( ph -> N <_ A ) $.
    zltlesub.b $e |- ( ph -> B e. RR ) $.
    zltlesub.blt1 $e |- ( ph -> B < 1 ) $.
    zltlesub.asb $e |- ( ph -> ( A - B ) e. ZZ ) $.
    $( If an integer ` N ` is less than or equal to a real, and we subtract a
       quantity less than ` 1 ` , then ` N ` is less than or equal to the
       result.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    zltlesub $p |- ( ph -> N <_ ( A - B ) ) $=
      ( co cle wbr c1 caddc zred cr wcel recnd cz cmin readdcld peano2re npcand
      clt syl breqtrrd 1red ltadd2dd lelttrd wb zleltp1 syl2anc mpbird ) ADBCUA
      KZLMZDUONOKZUEMZADUOCOKZUQADEPAUOCAUOJPZHUBAUOQRUQQRUTUOUCUFADBUSLGABCABF
      SACHSUDUGACNUOHAUHUTIUIUJADTRUOTRUPURUKEJDUOULUMUN $.
  $}

  ${
    divlt0gt0d.1 $e |- ( ph -> A e. RR ) $.
    divlt0gt0d.2 $e |- ( ph -> B e. RR+ ) $.
    divlt0gt0d.3 $e |- ( ph -> A < 0 ) $.
    $( The ratio of a negative numerator and a positive denominator is
       negative.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    divlt0gt0d $p |- ( ph -> ( A / B ) < 0 ) $=
      ( cdiv co cc0 clt wbr cle wn ltnled mpbid ge0divd mtbid rerpdivcld mpbird
      0red ) ABCGHZIJKIUALKZMAIBLKZUBABIJKUCMFABIDATZNOABCDEPQAUAIABCDERUDNS $.
  $}

  ${
    subsub23d.1 $e |- ( ph -> A e. CC ) $.
    subsub23d.2 $e |- ( ph -> B e. CC ) $.
    subsub23d.3 $e |- ( ph -> C e. CC ) $.
    $( Swap subtrahend and result of subtraction.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    subsub23d $p |- ( ph -> ( ( A - B ) = C <-> ( A - C ) = B ) ) $=
      ( cc wcel cmin co wceq wb subsub23 syl3anc ) ABHICHIDHIBCJKDLBDJKCLMEFGBC
      DNO $.
  $}

  $( Double of a positive real is larger than the real itself.  (Contributed by
     Glauco Siliprandi, 11-Dec-2019.) $)
  2timesgt $p |- ( A e. RR+ -> A < ( 2 x. A ) ) $=
    ( crp wcel caddc co c2 cmul clt rpre id ltaddrp2d cc wceq 2times eqcomd syl
    rpcn breqtrd ) ABCZAAADEZFAGEZHSAAAISJKSALCZTUAMAQUBUATANOPR $.

  $( The reals are open with respect to the standard topology.  (Contributed by
     Glauco Siliprandi, 11-Dec-2019.) $)
  reopn $p |- RR e. ( topGen ` ran (,) ) $=
    ( cioo crn ctg cfv ctop wcel cr retop uniretop topopn ax-mp ) ABCDZEFGLFHLG
    IJK $.

  $( A member in a half-open integer interval plus 1 is less than or equal to
     the upper bound.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  elfzop1le2 $p |- ( K e. ( M ..^ N ) -> ( K + 1 ) <_ N ) $=
    ( cfzo co wcel clt wbr c1 caddc cle elfzolt2 cz wb elfzoelz zltp1le syl2anc
    elfzoel2 mpbid ) ABCDEFZACGHZAIJECKHZABCLTAMFCMFUAUBNABCOABCRACPQS $.

  $( Swap the first and third terms in a double subtraction.  (Contributed by
     Glauco Siliprandi, 11-Dec-2019.) $)
  sub31 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) -> ( A - ( B - C ) ) = ( C -
     ( B - A ) ) ) $=
    ( cc wcel cmin co caddc simp1 wa simpr simpl subcld 3adant1 addcomd subsub2
    w3a simp3 simp2 subsubd 3eqtr4d ) ADEZBDEZCDEZQZACBFGZHGUFAHGABCFGFGCBAFGFG
    UEAUFUBUCUDIZUCUDUFDEUBUCUDJCBUCUDKUCUDLMNOABCPUECBAUBUCUDRUBUCUDSUGTUA $.

  $( A positive integer which is not 1 is greater than or equal to 2.
     (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  nnne1ge2 $p |- ( ( N e. NN /\ N =/= 1 ) -> 2 <_ N ) $=
    ( cn wcel c1 wne wa cn0 cc0 c2 cle wbr nnnn0 nnne0 simpr nn0n0n1ge2 syl3anc
    adantr ) ABCZADEZFAGCZAHEZSIAJKRTSALQRUASAMQRSNAOP $.

  ${
    lefldiveq.a $e |- ( ph -> A e. RR ) $.
    lefldiveq.b $e |- ( ph -> B e. RR+ ) $.
    lefldiveq.c $e |- ( ph -> C e. ( ( A - ( A mod B ) ) [,] A ) ) $.
    $( A closed enough, smaller real ` C ` has the same floor of ` A ` when
       both are divided by ` B ` .  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    lefldiveq $p |- ( ph -> ( |_ ` ( A / B ) ) = ( |_ ` ( C / B ) ) ) $=
      ( cdiv co cfl cfv wceq cle wbr cz wcel cr rerpdivcld syl syl3anc cmo cmin
      crp moddiffl syl2anc eqeltrd flid eqtr2d modcld resubcld cicc wss iccssre
      flcld sseldd cxr rexrd iccgelb lediv1dd flwordi eqbrtrd iccleub mpbir2and
      reflcl letri3d ) ABCHIZJKZDCHIZJKZLVGVIMNVIVGMNZAVGBBCUAIZUBIZCHIZJKZVIMA
      VNVMVGAVMOPVNVMLAVMVGOABQPZCUCPVMVGLEFBCUDUEZAVFABCEFRZUNUFVMUGSVPUHAVMQP
      VHQPZVMVHMNVNVIMNAVLCABVKEABCEFUIUJZFRADCAVLBUKIZQDAVLQPVOVTQULVSEVLBUMUE
      GUOZFRZAVLDCVSWAFAVLUPPZBUPPZDVTPZVLDMNAVLVSUQZABEUQZGVLBDURTUSVMVHUTTVAA
      VRVFQPZVHVFMNVJWBVQADBCWAEFAWCWDWEDBMNWFWGGVLBDVBTUSVHVFUTTAVGVIAWHVGQPVQ
      VFVDSAVRVIQPWBVHVDSVEVC $.
  $}

  ${
    negsubdi3d.1 $e |- ( ph -> A e. CC ) $.
    negsubdi3d.2 $e |- ( ph -> B e. CC ) $.
    $( Distribution of negative over subtraction.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    negsubdi3d $p |- ( ph -> -u ( A - B ) = ( -u A - -u B ) ) $=
      ( cmin co cneg negsubdi2d neg2subd eqtr4d ) ABCFGHCBFGBHCHFGABCDEIABCDEJK
      $.
  $}

  ${
    ltdiv2dd.a $e |- ( ph -> A e. RR+ ) $.
    ltdiv2dd.b $e |- ( ph -> B e. RR+ ) $.
    ltdiv2dd.c $e |- ( ph -> C e. RR+ ) $.
    ltdiv2dd.altb $e |- ( ph -> A < B ) $.
    $( Division of a positive number by both sides of 'less than'.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    ltdiv2dd $p |- ( ph -> ( C / B ) < ( C / A ) ) $=
      ( clt wbr cdiv co ltdiv2d mpbid ) ABCIJDCKLDBKLIJHABCDEFGMN $.
  $}

  $( Bound for the absolute value of the sine of a real number.  (Contributed
     by Glauco Siliprandi, 11-Dec-2019.) $)
  abssinbd $p |- ( A e. RR -> ( abs ` ( sin ` A ) ) <_ 1 ) $=
    ( cr wcel csin cfv cabs c1 cle wbr cneg sinbnd resincl 1red absled mpbird
    wa ) ABCZADEZFEGHIGJRHIRGHIPAKQRGALQMNO $.

  $( Floor of ` ( 1 / 2 ) ` .  (Contributed by Glauco Siliprandi,
     11-Dec-2019.) $)
  halffl $p |- ( |_ ` ( 1 / 2 ) ) = 0 $=
    ( c1 c2 cdiv co cfl cfv cc0 cle wbr caddc clt halfre halfgt0 ltleii halflt1
    wceq 0re 1e0p1 breqtri wcel cr cz wa wb 0z flbi mp2an mpbir2an ) ABCDZEFGPZ
    GUIHIZUIGAJDZKIZGUIQLMNUIAULKORSUIUATGUBTUJUKUMUCUDLUEUIGUFUGUH $.

  ${
    $d F j k $.  $d I k $.  $d J k $.  $d M j k $.  $d N j k $.  $d j k ph $.
    monoords.fk $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. RR ) $.
    monoords.flt $e |- ( ( ph /\ k e. ( M ..^ N ) ) -> ( F ` k ) < ( F ` ( k +
       1 ) ) ) $.
    monoords.i $e |- ( ph -> I e. ( M ... N ) ) $.
    monoords.j $e |- ( ph -> J e. ( M ... N ) ) $.
    monoords.iltj $e |- ( ph -> I < J ) $.
    $( Ordering relation for a strictly monotonic sequence, increasing case.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    monoords $p |- ( ph -> ( F ` I ) < ( F ` J ) ) $=
      ( co wcel wa cr wbr syl zred adantr vj cfv c1 caddc cfz ancli cv wi eleq1
      wceq anbi2d fveq2 eleq1d imbi12d vtoclg sylc cfzo cuz cz clt cle elfzelzd
      elfzel1 elfzle1 syl3anbrc elfzuz2 eluzelz elfzle2 ltletrd fzofzp1 fvoveq1
      eluz2 elfzo2 breq12d peano2zd zltp1le syl2anc mpbid elfzelz ltp1d lelttrd
      wb adantl ltled letrd elfzd syldan cmin peano2rem ltm1d peano2zm lesub1dd
      1red simpr fzoval eqcomd eleqtrd simpl jca chvarvv monoord ) ADCUBZDUCUDM
      ZCUBZECUBZADFGUEMZNZAXGOZXBPNZJAXGJUFABUGZXFNZOZXJCUBZPNZUHZXHXIUHBDXFXJD
      UJZXLXHXNXIXPXKXGAXJDXFUIUKXPXMXBPXJDCULZUMUNHUOUPAXCXFNZAXROZXDPNZADFGUQ
      MZNZXRADFURUBZNZGUSNZDGUTQYBAFUSNZDUSNZFDVAQZYDAXGYFJDFGVCRZADFGJVBZAXGYH
      JDFGVDRZFDVLVEAGYCNZYEAXGYLJDFGVFRFGVGRZADEGADYJSZAEAEFGKVBZSZAGYMSZLAEXF
      NZEGVAQZKEFGVHRZVIDFGVMVEZFGDVJRZAXRUUBUFXOXSXTUHBXCXFXJXCUJZXLXSXNXTUUCX
      KXRAXJXCXFUIUKUUCXMXDPXJXCCULUMUNHUOUPAYRAYROZXEPNZKAYRKUFXOUUDUUEUHBEXFX
      JEUJZXLUUDXNUUEUUFXKYRAXJEXFUIUKUUFXMXEPXJECULUMUNHUOUPAYBAYBOZXBXDUTQZUU
      AAYBUUAUFAXJYANZOZXMXJUCUDMZCUBZUTQZUHUUGUUHUHBDYAXPUUJUUGUUMUUHXPUUIYBAX
      JDYAUIUKXPXMXBUULXDUTXQXJDUCCUDVKVNUNIUOUPABCXCEAXCUSNEUSNZXCEVAQZEXCURUB
      NADYJVOZYOADEUTQZUUOLAYGUUNUUQUUOWBYJYODEVPVQVRXCEVLVEAXJXCEUEMNZXKXNAUUR
      OZXJFGAYFUURYITZAYEUURYMTZUURXJUSNZAXJXCEVSWCZUUSFXJUUSFUUTSZUUSXJUVCSZUU
      SFXCXJUVDAXCPNZUURAXCUUPSZTZUVEUUSFDXCUVDADPNUURYNTZUVHAYHUURYKTUUSDUVIVT
      WAUURXCXJVAQZAXJXCEVDWCVIWDUUSXJEGUVEAEPNZUURYPTUUSGUVASUURXJEVAQAXJXCEVH
      WCAYSUURYTTWEWFHWGAXJXCEUCWHMZUEMNZOZXMUULAUVMXKXNUVNXJFGAYFUVMYITZAYEUVM
      YMTZUVMUVBAXJXCUVLVSWCZUVNFXJUVNFUVOSZUVNXJUVQSZUVNFXCXJUVRAUVFUVMUVGTUVS
      AFXCUTQUVMAFDXCAFYISYNUVGYKADYNVTWATUVMUVJAXJXCUVLVDWCVIWDZUVNXJGUVSUVNGU
      VPSZUVNXJUVLGUVSAUVLPNZUVMAUVKUWBYPEWIRTZUWAUVMXJUVLVAQAXJXCUVLVHWCZUVNUV
      LEGUWCAUVKUVMYPTZUWAUVNEUWEWJAYSUVMYTTVIWAWDWFHWGAUVMXJFGUCWHMZUEMZNZUULP
      NZUVNXJFUWFUVOUVNYEUWFUSNUVPGWKRZUVQUVTUVNXJUVLUWFUVSUWCUVNUWFUWJSUWDAUVL
      UWFVAQUVMAEGUCYPYQAWMYTWLTWEWFZAUWHOZUUKXFNZAUWMOZUWIUWLUUIUWMUWLXJUWGYAA
      UWHWNAUWGYAUJUWHAYAUWGAYEYAUWGUJYMFGWORWPTWQZFGXJVJRZUWLAUWMAUWHWRUWPWSAU
      AUGZXFNZOZUWQCUBZPNZUHZUWNUWIUHUAUUKXFUWQUUKUJZUWSUWNUXAUWIUXCUWRUWMAUWQU
      UKXFUIUKUXCUWTUULPUWQUUKCULUMUNXOUXBBUAXJUWQUJZXLUWSXNUXAUXDXKUWRAXJUWQXF
      UIUKUXDXMUWTPXJUWQCULUMUNHWTUOUPWGAUVMUWHUUMUWKAUWHUUIUUMUWOIWGWGWDXAVI
      $.
  $}

  $( The size of a subset of a finite set is less than the size of the
     containing set.  (Contributed by Glauco Siliprandi, 11-Dec-2019.)  TODO
     (NM): usage (2 times) should be replaced by ~ hashss , and ~ hashssle
     should be deleted afterwards. $)
  hashssle $p |- ( ( A e. Fin /\ B C_ A ) -> ( # ` B ) <_ ( # ` A ) ) $=
    ( cfn hashss ) ABCD $.

  ${
    lttri5d.a $e |- ( ph -> A e. RR ) $.
    lttri5d.b $e |- ( ph -> B e. RR ) $.
    lttri5d.aneb $e |- ( ph -> A =/= B ) $.
    lttri5d.nlt $e |- ( ph -> -. B < A ) $.
    $( Not equal and not larger implies smaller.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    lttri5d $p |- ( ph -> A < B ) $=
      ( rexrd xrlttri5d ) ABCABDHACEHFGI $.
  $}

  ${
    $d H f g h $.  $d M f g h $.  $d N f g h $.  $d g h ph $.
    fzisoeu.h $e |- ( ph -> H e. Fin ) $.
    fzisoeu.or $e |- ( ph -> < Or H ) $.
    fzisoeu.m $e |- ( ph -> M e. ZZ ) $.
    fzisoeu.4 $e |- N = ( ( # ` H ) + ( M - 1 ) ) $.
    $( A finite ordered set has a unique order isomorphism to a generic finite
       sequence of integers.  This theorem generalizes ~ fz1iso for the base
       index and also states the uniqueness condition.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    fzisoeu $p |- ( ph -> E! f f Isom < , < ( ( M ... N ) , H ) ) $=
      ( vg vh cfz co clt wex c1 wcel wceq c0 caddc wiso wmo weu ccnv ccom chash
      cv cfv wa wor cfn cr wss cz fzssz zssre sstri ltso soss fzfi fz1iso mp2an
      mp2 wb cc0 cmin fveq2 eqtrdi oveq1d syl5eq oveq2d adantl zcnd 1cnd subcld
      hash0 addid2d wbr ltm1d peano2zm syl fzn syl2anc mpbid eqtrd adantr eqcom
      zred biimpi 3eqtrd fveq2d wn cneg cuz cle pncan3d eqcomd 1red cn hashnncl
      wne neqne mpbird nnred nnge1d leadd1dd breqtrrdi eqbrtrd hashcl nn0z 3syl
      cn0 zaddcld eqeltrid eluz hashfz oveq1i nn0cnd addsubassd negcld mvrladdd
      negsubd npcand isoeq4 biimpd eximdv mpi exdistrv sylanbrc isocnv ad2antrl
      pm2.61dan simprr isotr ex 2eximdv mpd wi vex cnvex spcev a1i exlimdvv wwe
      coex isoeq1 ltwefz wemoiso mp1i df-eu ) ADELMZCNNBUGZUAZBOZUUMBUBZUUMBUCA
      UUKCNNJUGZKUGZUDZUEZUAZJOKOZUUNAPCUFUHZLMZUUKNNUUQUAZUVCCNNUUPUAZUIZJOKOZ
      UVAAUVDKOZUVEJOZUVGAPUUKUFUHZLMZUUKNNUUQUAZKOZUVHUUKNUJZUUKUKQUVMUUKULUMU
      LNUJUVNUUKUNULDEUOUPUQURUUKULNUSVCDEUTUUKNKVAVBAUVLUVDKAUVLUVDAUVKUVCRUVL
      UVDVDAUVJUVBPLACSRZUVJUVBRAUVOUIZUUKCUFUVPUUKDVEDPVFMZTMZLMZSCUVOUUKUVSRA
      UVOEUVRDLUVOEUVBUVQTMZUVRIUVOUVBVEUVQTUVOUVBSUFUHVECSUFVGVPVHVIVJVKVLAUVS
      SRUVOAUVSDUVQLMZSAUVRUVQDLAUVQADPADHVMZAVNZVOZVQVKAUVQDNVRZUWASRZADADHWHV
      SADUNQZUVQUNQZUWEUWFVDHAUWGUWHHDVTWAZDUVQWBWCWDWEWFUVOSCRZAUVOUWJCSWGWIVL
      WJWKAUVOWLZUIZUVJEDVFMZPTMZUVBPWMZTMZPTMZUVBUWLEDWNUHQZUVJUWNRUWLUWRDEWOV
      RZUWLDPUVQTMZEWOADUWTRUWKAUWTDAPDUWCUWBWPWQWFUWLUWTUVTEWOUWLPUVBUVQUWLWRU
      WLUVBUWLUVBWSQZCSXAZUWKUXBACSXBVLUWLCUKQZUXAUXBVDAUXCUWKFWFCWTWAXCZXDAUVQ
      ULQUWKAUVQUWIWHWFUWLUVBUXDXEXFIXGXHUWLUWGEUNQZUWRUWSVDAUWGUWKHWFAUXEUWKAE
      UVTUNIAUVBUVQAUXCUVBXLQZUVBUNQFCXIZUVBXJXKUWIXMXNWFDEXOWCXCDEXPWAAUWNUWQR
      UWKAUWMUWPPTAUWMUVBUVQDVFMZTMZUWPAUWMUVTDVFMUXIEUVTDVFIXQAUVBUVQDAUVBAUXC
      UXFFUXGWAXRZUWDUWBXSVJAUXHUWOUVBTAUVQDUWOUWBAPUWCXTADUWOTMUVQADPUWBUWCYBW
      QYAVKWEVIWFAUWQUVBRUWKAUWQUVBPVFMZPTMUVBAUWPUXKPTAUVBPUXJUWCYBVIAUVBPUXJU
      WCYCWEWFWJYLVKUVKUUKUVCNNUUQYDWAYEYFYGACNUJUXCUVIGFCNJVAWCUVDUVEKJYHYIAUV
      FUUTKJAUVFUUTAUVFUIUUKUVCNNUURUAZUVEUUTUVDUXLAUVEUVCUUKNNUUQYJYKAUVDUVEYM
      UUKUVCCNNNUUPUURYNWCYOYPYQAUUTUUNKJUUTUUNYRAUUMUUTBUUSUUPUURJYSUUQKYSYTUU
      EUUKCNNUUSUULUUFUUAUUBUUCYQUUKNUUDUUOADEUUGUUKCNNBUUHUUIUUMBUUJYI $.
  $}

  ${
    lt3addmuld.a $e |- ( ph -> A e. RR ) $.
    lt3addmuld.b $e |- ( ph -> B e. RR ) $.
    lt3addmuld.c $e |- ( ph -> C e. RR ) $.
    lt3addmuld.d $e |- ( ph -> D e. RR ) $.
    lt3addmuld.altd $e |- ( ph -> A < D ) $.
    lt3addmuld.bltd $e |- ( ph -> B < D ) $.
    lt3addmuld.cltd $e |- ( ph -> C < D ) $.
    $( If three real numbers are less than a fourth real number, the sum of the
       three real numbers is less than three times the third real number.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    lt3addmuld $p |- ( ph -> ( ( A + B ) + C ) < ( 3 x. D ) ) $=
      ( caddc co c2 cmul c3 clt a1i recnd readdcld wcel 2re remulcld lt2addmuld
      cr lt2addd c1 adddirp1d wceq 2p1e3 oveq1d eqtr3d breqtrd ) ABCMNZDMNOEPNZ
      EMNZQEPNZRAUODUPEABCFGUAHAOEOUFUBAUCSZIUDIABCEFGIJKUELUGAOUHMNZEPNUQURAOE
      AOUSTAEITUIAUTQEPUTQUJAUKSULUMUN $.
  $}

  ${
    absnpncan2d.a $e |- ( ph -> A e. CC ) $.
    absnpncan2d.b $e |- ( ph -> B e. CC ) $.
    absnpncan2d.c $e |- ( ph -> C e. CC ) $.
    absnpncan2d.d $e |- ( ph -> D e. CC ) $.
    $( Triangular inequality, combined with cancellation law for subtraction
       (applied twice).  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    absnpncan2d $p |- ( ph -> ( abs ` ( A - D ) ) <_ ( ( ( abs ` ( A - B ) ) +
       ( abs ` ( B - C ) ) ) + ( abs ` ( C - D ) ) ) ) $=
      ( cmin co cabs cfv caddc subcld abscld readdcld abs3difd leadd1dd letrd )
      ABEJKZLMBDJKZLMZDEJKZLMZNKBCJKZLMZCDJKZLMZNKZUENKAUAABEFIOPAUCUEAUBABDFHO
      PZAUDADEHIOPZQAUJUEAUGUIAUFABCFGOPAUHACDGHOPQZULQABEDFIHRAUCUJUEUKUMULABD
      CFHGRST $.
  $}

  ${
    $d F m n $.  $d F m x $.  $d N n $.  $d T m n $.  $d T m x $.  $d X m n $.
    $d X m x $.  $d m n ph $.  $d ph x $.
    fperiodmullem.f $e |- ( ph -> F : RR --> CC ) $.
    fperiodmullem.t $e |- ( ph -> T e. RR ) $.
    fperiodmullem.n $e |- ( ph -> N e. NN0 ) $.
    fperiodmullem.x $e |- ( ph -> X e. RR ) $.
    fperiodmullem.per $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x
       ) ) $.
    $( A function with period ` T ` is also periodic with period nonnegative
       multiple of ` T ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fperiodmullem $p |- ( ph -> ( F ` ( X + ( N x. T ) ) ) = ( F ` X ) ) $=
      ( wcel cmul co caddc cfv wceq wi oveq2d cr vn vm cn0 cv c1 oveq1 fveqeq2d
      cc0 imbi2d recnd mul02d addid1d eqtrd fveq2d w3a simp3 simp1 wa simpr mpd
      simpl 3adant1 cc nn0cn adantl 1cnd adantr adddird addassd mulid2d 3eqtr2d
      mulcld 3adant3 nn0re remulcld readdcld ex imdistani eleq1 fvoveq1 eqeq12d
      anbi2d fveq2 imbi12d vtoclg sylc 3eqtrd syl3anc 3exp nn0ind mpcom ) EUCLA
      FECMNZONZDPFDPZQZIAFUAUDZCMNZONZDPWNQZRAFUHCMNZONZDPWNQZRAFUBUDZCMNZONZDP
      ZWNQZRZAFXCUEONZCMNZONZDPZWNQZRAWORUAUBEWPUHQZWSXBAXNWRXAWNDXNWQWTFOWPUHC
      MUFSUGUIWPXCQZWSXGAXOWRXEWNDXOWQXDFOWPXCCMUFSUGUIWPXIQZWSXMAXPWRXKWNDXPWQ
      XJFOWPXICMUFSUGUIWPEQZWSWOAXQWRWMWNDXQWQWLFOWPECMUFSUGUIAXAFDAXAFUHONFAWT
      UHFOACACHUJZUKSAFAFJUJZULUMUNXCUCLZXHAXMXTXHAUOAXTXGXMXTXHAUPXTXHAUQXHAXG
      XTXHAURAXGXHAUSXHAVAUTVBAXTXGUOXLXECONZDPZXFWNAXTXLYBQXGAXTURZXKYADYCXKFX
      DUECMNZONZONXEYDONYAYCXJYEFOYCXCUECXTXCVCLAXCVDVEZYCVFZACVCLXTXRVGZVHSYCF
      XDYDAFVCLXTXSVGYCXCCYFYHVLYCUECYGYHVLVIYCYDCXEOYCCYHVJSVKUNVMAXTYBXFQZXGY
      CXETLZAYJURZYIYCFXDAFTLXTJVGYCXCCXTXCTLAXCVNVEACTLXTHVGVOVPZAXTYJAXTYJYLV
      QVRABUDZTLZURZYMCONDPZYMDPZQZRYKYIRBXETYMXEQZYOYKYRYIYSYNYJAYMXETVSWBYSYP
      YBYQXFYMXECDOVTYMXEDWCWAWDKWEWFVMAXTXGUPWGWHWIWJWK $.
  $}

  ${
    $d F x $.  $d N x $.  $d T x $.  $d X x $.  $d ph x $.
    fperiodmul.f $e |- ( ph -> F : RR --> CC ) $.
    fperiodmul.t $e |- ( ph -> T e. RR ) $.
    fperiodmul.n $e |- ( ph -> N e. ZZ ) $.
    fperiodmul.x $e |- ( ph -> X e. RR ) $.
    fperiodmul.per $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x ) )
       $.
    $( A function with period T is also periodic with period multiple of T.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fperiodmul $p |- ( ph -> ( F ` ( X + ( N x. T ) ) ) = ( F ` X ) ) $=
      ( wcel co caddc cfv wceq cr adantr cmin recnd cmul wa cc wf simpr adantlr
      cn0 cv fperiodmullem wn cneg mulcld subnegd mulneg1d eqcomd oveq2d eqtr3d
      zcnd fveq2d cz cn znnn0nn nnnn0d renegcld remulcld resubcld negcld npcand
      sylan zred 3eqtr2d pm2.61dan ) AEUGLZFECUAMZNMZDOZFDOZPAVMUBBCDEFAQUCDUDZ
      VMGRACQLZVMHRAVMUEAFQLZVMJRABUHZQLZWACNMDOWADOPZVMKUFUIAVMUJZUBZVPFEUKZCU
      AMZSMZDOZWHWGNMZDOVQAVPWIPWDAVOWHDAFVNUKZSMVOWHAFVNAFJTAECAEIURZACHTZULUM
      AWKWGFSAWGWKAECWLWMUNUOUPUQUSRWEBCDWFWHAVRWDGRAVSWDHRZWEWFAEUTLZWDWFVALIE
      VBVIVCWEFWGAVTWDJRZWEWFCWEEWEEAWOWDIRVJZVDWNVEVFAWBWCWDKUFUIWEWJFDWEFWGWE
      FWPTWEWFCWEEWEEWQTVGWECWNTULVHUSVKVL $.
  $}

  ${
    $d A w x y z $.  $d B w y z $.  $d ph w x y $.
    upbdrech.a $e |- ( ph -> A =/= (/) ) $.
    upbdrech.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    upbdrech.bd $e |- ( ph -> E. y e. RR A. x e. A B <_ y ) $.
    upbdrech.c $e |- C = sup ( { z | E. x e. A z = B } , RR , < ) $.
    $( Choice of an upper bound for a nonempty bunded set (image set version).
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    upbdrech $p |- ( ph -> ( C e. RR /\ A. x e. A B <_ C ) ) $=
      ( vw cr wcel cle wbr wral cv wceq wrex cab clt wss c0 wne ralrimiva nfra1
      csup nfv w3a simp3 rspa 3adant3 eqeltrd 3exp rexlimd abssdv syl wex eqidd
      rgen r19.2z sylancl nfre1 nfex wa simpr cvv elex isset sylib rspe syl2anc
      rexcom4 mpd abn0 sylibr vex eqeq1 rexbidv elab biimpi adantl nfsab simp1r
      nfan wi eqbrtrd adantr 3adant2 reximdvai suprcl syl3anc eqeltrid elabrexg
      simp2 suprub syl31anc breqtrrdi jca ) AGMNFGOPZBEQAGDRZFSZBETZDUAZMUBUHZM
      KAXEMUCZXEUDUEZLRZCRZOPZLXEQZCMTZXFMNAFMNZBEQZXGAXNBEIUFXOXDDMXOXCXBMNZBE
      XNBEUGXPBUIXOBRENZXCXPXOXQXCUJXBFMXOXQXCUKXOXQXNXCXNBEULUMUNUOUPUQURZAXDD
      USZXHAFFSZBETZXSAEUDUEXTBEQYAHXTBEXQFUTVAXTBEVBVCAXTXSBEABUIZXDBDXCBEVDZV
      EAXQXTXSAXQXSXTAXQVFZXCDUSZBETZXSYDXQYEYFAXQVGZYDFVHNZYEYDXNYHIFMVIURDFVJ
      VKYEBEVLVMXCBDEVNVKZUMUOUPVOXDDVPZVQAFXJOPZBEQZCMTXMJAYLXLCMAXJMNZYLXLAYL
      XLYMAYLVFZXKLXEYNXIXENZVFZXIFSZBETZXKYOYRYNYOYRXDYRDXILVRXBXISXCYQBEXBXIF
      VSVTWAWBWCYPYQXKBEYNYOBAYLBYBYKBEUGWFXDBDLYCWDWFXKBUIYNXQYQXKWGWGYOYNXQYQ
      XKYNXQYQUJZXIFXJOYNXQYQUKYSYLXQYKAYLXQYQWEYNXQYQWPYKBEULVMWHUOWIUPVOUFWJU
      OWKVOZCLXEWLWMWNAXABEYDFXFGOYDXGXHXMFXENZFXFOPAXGXQXRWIYDXSXHYIYJVQAXMXQY
      TWIYDXQXNUUAYGIBDEFMWOVMCLXEFWQWRKWSUFWT $.
  $}

  ${
    lt4addmuld.a $e |- ( ph -> A e. RR ) $.
    lt4addmuld.b $e |- ( ph -> B e. RR ) $.
    lt4addmuld.c $e |- ( ph -> C e. RR ) $.
    lt4addmuld.d $e |- ( ph -> D e. RR ) $.
    lt4addmuld.e $e |- ( ph -> E e. RR ) $.
    lt4addmuld.alte $e |- ( ph -> A < E ) $.
    lt4addmuld.blte $e |- ( ph -> B < E ) $.
    lt4addmuld.clte $e |- ( ph -> C < E ) $.
    lt4addmuld.dlte $e |- ( ph -> D < E ) $.
    $( If four real numbers are less than a fifth real number, the sum of the
       four real numbers is less than four times the fifth real number.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    lt4addmuld $p |- ( ph -> ( ( ( A + B ) + C ) + D ) < ( 4 x. E ) ) $=
      ( caddc co c3 cmul c4 clt readdcld cr 3re a1i remulcld lt3addmuld lt2addd
      wcel c1 wceq df-4 oveq1d recnd adddirp1d eqtr2d breqtrd ) ABCPQZDPQZEPQRF
      SQZFPQZTFSQZUAAUSEUTFAURDABCGHUBIUBJARFRUCUIAUDUEZKUFKABCDFGHIKLMNUGOUHAV
      BRUJPQZFSQVAATVDFSTVDUKAULUEUMARFARVCUNAFKUNUOUPUQ $.
  $}

  ${
    absnpncan3d.a $e |- ( ph -> A e. CC ) $.
    absnpncan3d.b $e |- ( ph -> B e. CC ) $.
    absnpncan3d.c $e |- ( ph -> C e. CC ) $.
    absnpncan3d.d $e |- ( ph -> D e. CC ) $.
    absnpncan3d.e $e |- ( ph -> E e. CC ) $.
    $( Triangular inequality, combined with cancellation law for subtraction
       (applied three times).  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    absnpncan3d $p |- ( ph -> ( abs ` ( A - E ) ) <_ ( ( ( ( abs ` ( A - B ) )
       + ( abs ` ( B - C ) ) ) + ( abs ` ( C - D ) ) ) + ( abs ` ( D - E ) ) )
       ) $=
      ( cmin co cabs cfv caddc subcld abscld readdcld abs3difd leadd1dd letrd
      absnpncan2d ) ABFLMZNOBELMZNOZEFLMZNOZPMBCLMZNOZCDLMZNOZPMZDELMZNOZPMZUHP
      MAUDABFGKQRAUFUHAUEABEGJQRZAUGAEFJKQRZSAUPUHAUMUOAUJULAUIABCGHQRAUKACDHIQ
      RSAUNADEIJQRSZURSABFEGKJTAUFUPUHUQUSURABCDEGHIJUCUAUB $.
  $}

  ${
    $d A x y z $.  $d B y z $.  $d ph x y $.
    upbdrech2.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    upbdrech2.bd $e |- ( ph -> E. y e. RR A. x e. A B <_ y ) $.
    upbdrech2.c $e |- C = if ( A = (/) , 0 , sup ( { z | E. x e. A z = B } , RR
       , < ) ) $.
    $( Choice of an upper bound for a possibly empty bunded set (image set
       version).  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    upbdrech2 $p |- ( ph -> ( C e. RR /\ A. x e. A B <_ C ) ) $=
      ( cr wcel cle wbr wral c0 wceq cc0 cv adantl wrex cab clt csup cif iftrue
      0red eqeltrd wn simpr iffalsed neqned adantlr adantr eqid upbdrech simpld
      wa pm2.61dan eqeltrid rzal simprd wb iffalse syl5eq breq2d ralbidv mpbird
      jca ) AGKLFGMNZBEOZAGEPQZRDSFQBEUADUBKUCUDZUEZKJAVLVNKLZVLVOAVLVNRKVLRVMU
      FVLUGUHTAVLUIZURZVNVMKVQVLRVMAVPUJZUKVQVMKLZFVMMNZBEOZVQBCDEFVMVQEPVRULAB
      SELFKLVPHUMAFCSMNBEOCKUAVPIUNVMUOUPZUQUHUSUTAVLVKVLVKAVJBEVATVQVKWAVQVSWA
      WBVBVPVKWAVCAVPVJVTBEVPGVMFMVPGVNVMJVLRVMVDVEVFVGTVHUSVI $.
  $}

  ${
    $d A u v x y z $.  $d A u w x z $.  $d B u v x y $.  $d B u w x $.
    $d C x $.  $d ph u v x y z $.  $d ph u w x z $.
    ssfiunibd.fi $e |- ( ph -> A e. Fin ) $.
    ssfiunibd.b $e |- ( ( ph /\ z e. U. A ) -> B e. RR ) $.
    ssfiunibd.bd $e |- ( ( ph /\ x e. A ) -> E. y e. RR A. z e. x B <_ y ) $.
    ssfiunibd.ssun $e |- ( ph -> C C_ U. A ) $.
    $( A finite union of bounded sets is bounded.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    ssfiunibd $p |- ( ph -> E. w e. RR A. z e. C B <_ w ) $=
      ( vu vv wrex cr cle wcel wa nfv cv wceq cc0 cab clt csup cif wbr wral cfn
      c0 cuni simpll 19.8a ancoms eluni sylibr adantll syl2anc upbdrech2 simpld
      wex eqid ralrimiva fimaxre3 nfcv nfre1 nfab nfsup nfif nfbr nfralw sselda
      nfan sylib exancom df-rex ad4ant14 nfra1 wi w3a 3impa 3adant1r n0i adantl
      iffalsed eqcomd 3adant1 3adant3 eqeltrd simp1lr wss wne nfab1 abid biimpi
      wn nfsab simp3 3exp adantr rexlimd mpd ex ssrd elabrexg ne0d eqeq1 cbvabv
      rexbidv eleq2s eqbrtrd reximdv suprub syl31anc 3adant1l ralrimi reximdva
      rspa letrd ) ABUAZUKUBZUCMUAZGUBZDYAOZMUDZPUEUFZUGZEUAZQUHZBFUIZEPOZGYIQU
      HZDHUIZEPOAFUJRYHPRZBFUIYLIAYOBFAYAFRZSZYOGYHQUHDYAUIYQDCMYAGYHYQDUAZYARZ
      SAYRFULZRZGPRZAYPYSUMYPYSUUAAYPYSSZYSYPSZBVBZUUAYSYPUUEUUDBUNUOBYRFUPZUQU
      RJUSZKYHVCUTVAZVDEBFYHVEUSAYKYNEPAYIPRZSZYKYNUUJYKSZYMDHUUJYKDUUJDTYJDBFD
      FVFDYHYIQYBDUCYGYBDTDUCVFDYFPUEYEDMYDDYAVGZVHDPVFDUEVFVIVJDQVFDYIVFVKVLVN
      UUKYRHRZYMUUKUUMSZYSBFOZYMAUUMUUOUUIYKAUUMSZUUCBVBZUUOUUPUUEUUQUUPUUAUUEA
      HYTYRLVMUUFVOYSYPBVPVOYSBFVQUQVRUUNYSYMBFUUKUUMBUUJYKBUUJBTYJBFVSVNUUMBTV
      NYMBTUUKYPYSYMVTVTUUMUUKYPYSYMUUKYPYSWAGYGYIUUJYPYSUUBYKAYPYSUUBUUIAYPYSU
      UBUUGWBZWCWCUUJYPYSYGPRZYKAYPYSUUSUUIAYPYSWAZYGYHPYPYSYGYHUBZAUUCYHYGUUCY
      BUCYGYSYBWQYPYAYRWDWEWFWGZWHAYPYOYSUUHWIWJWCWCAUUIYKYPYSWKUUJYPYSGYGQUHZY
      KAYPYSUVCUUIUUTYFPWLZYFUKWMNUAZCUAZQUHZNYFUIZCPOZGYFRZUVCAYPUVDYSYQMYFPYQ
      MTYEMWNMPVFYQYCYFRZYCPRZYQUVKSZYEUVLUVKYEYQUVKYEYEMWOWPWEUVMYDUVLDYAYQUVK
      DYQDTZYEDMMUULWRVNUVLDTYQYSYDUVLVTVTUVKYQYSYDUVLYQYSYDWAYCGPYQYSYDWSYQYSU
      UBYDUUGWIWJWTXAXBXCXDXEWIUUTYFGUUTYSUUBUVJAYPYSWSUURDMYAGPXFUSZXGAYPUVIYS
      YQGUVFQUHZDYAUIZCPOUVIKYQUVQUVHCPYQUVQUVHYQUVQSZUVGNYFUVRUVEYFRZSZUVEGUBZ
      DYAOZUVGUVSUWBUVRUWBUVEUWBNUDZYFUVEUWCRUWBUWBNWOWPYEUWBMNYCUVEUBYDUWADYAY
      CUVEGXHXJXIXKWEUVTUWAUVGDYAUVRUVSDYQUVQDUVNUVPDYAVSVNYEDMNUULWRVNUVGDTUVR
      YSUWAUVGVTVTZUVSUVQUWDYQUVQYSUWAUVGUVQYSUWAWAUVEGUVFQUVQYSUWAWSUVQYSUVPUW
      AUVPDYAXSWIXLWTWEXAXBXCVDXDXMXCWIUVOCNYFGXNXOWCWCYKYPYSYGYIQUHUUJYKYPYSWA
      YGYHYIQYPYSUVAYKUVBWHYKYPYJYSYJBFXSWIXLXPXTWTXAXBXCXDXQXDXRXC $.
  $}

  $( Remove a successor from the end of a finite set of sequential integers.
     Similar to ~ fzdifsuc , but with a weaker condition.  (Contributed by
     Glauco Siliprandi, 5-Apr-2020.) $)
  fzdifsuc2 $p |- ( N e. ( ZZ>= ` ( M - 1 ) ) -> ( M ... N ) = ( ( M ... ( N +
     1 ) ) \ { ( N + 1 ) } ) ) $=
    ( c1 co cuz cfv wcel cfz caddc cdif wceq wa c0 clt ad2antlr ad2antrr adantl
    wbr wn wne cmin cz csn simpr cr zre ltm1d eqbrtrd wb simplr eluzelz syl2anc
    fzn mpbid difid a1i eqcomd oveq1 recnd 1cnd npcand eqtrd oveq2d fzsn eqtr2d
    cc sneqd difeq12d 3eqtrd cle w3a 1red resubcld eluzle neqne leneltd zlem1lt
    zred mpbird 3jca eluz2 sylibr fzdifsuc pm2.61dan eluzel2 con3i fzn0 sylnibr
    syl nne sylib difeq1d 0dif ) BACUADZEFGZAUBGZABHDZABCIDZHDZWRUCZJZKZWOWPLZB
    WNKZXBXCXDLZWQMAUCZXFJZXAXEBANRZWQMKZXEBWNANXCXDUDXEAWPAUEGZWOXDAUFZOUGUHXE
    WPBUBGZXHXIUIWOWPXDUJWOXLWPXDWNBUKZPABUMULUNXEXGMXGMKXEXFUOUPUQXEXFWSXFWTXE
    WSAAHDZXFXEWRAAHXEWRWNCIDZAXDWRXOKXCBWNCIURQXEACWPAVFGWOXDWPAXKUSOXEUTVAVBZ
    VCWPXNXFKWOXDAVDOVEXEAWRXEWRAXPUQVGVHVIXCXDSZLZBAEFZGZXBXRWPXLABVJRZVKXTXRW
    PXLYAWOWPXQUJZWOXLWPXQXMPZXRYAWNBNRZXRWNBXRACWPXJWOXQXKOXRVLVMXRBYCVRWOWNBV
    JRWPXQWNBVNPXQBWNTXCBWNVOQVPXRWPXLYAYDUIYBYCABVQULVSVTABWAWBABWCWIWDWPSZXBW
    OYEWQMXAYEWQMTZSXIYEXTYFXTWPABWEWFABWGWHWQMWJWKYEXAMWTJZMYEWSMWTYEWSMTZSWSM
    KYEWRXSGZYHYIWPAWRWEWFAWRWGWHWSMWJWKWLYGMKYEWTWMUPVEVBQWD $.

  $( A finite sequence of integers is a set of complex numbers.  (Contributed
     by Glauco Siliprandi, 5-Apr-2020.) $)
  fzsscn $p |- ( M ... N ) C_ CC $=
    ( cfz co cz cc fzssz zsscn sstri ) ABCDEFABGHI $.

  ${
    divcan8d.a $e |- ( ph -> A e. CC ) $.
    divcan8d.b $e |- ( ph -> B e. CC ) $.
    divcan8d.a0 $e |- ( ph -> A =/= 0 ) $.
    divcan8d.b0 $e |- ( ph -> B =/= 0 ) $.
    $( A cancellation law for division.  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    divcan8d $p |- ( ph -> ( B / ( A x. B ) ) = ( 1 / A ) ) $=
      ( cmul co cdiv c1 mulcld mulne0d mulne0bbd divcan7d eqcomd dividd oveq12d
      divcan4d eqidd 3eqtrd ) ACBCHIZJIZCCJIZUBCJIZJIZKBJIZUGAUFUCACUBCEABCDELE
      ABCDEFGMZABCDEUHNOPAUDKUEBJACEGQABCDEGSRAUGTUA $.
  $}

  ${
    dmmcand.a $e |- ( ph -> A e. CC ) $.
    dmmcand.b $e |- ( ph -> B e. CC ) $.
    dmmcand.c $e |- ( ph -> C e. CC ) $.
    dmmcand.bn0 $e |- ( ph -> B =/= 0 ) $.
    $( Cancellation law for division and multiplication.  (Contributed by
       Glauco Siliprandi, 5-Apr-2020.) $)
    dmmcand $p |- ( ph -> ( ( A / B ) x. ( B x. C ) ) = ( A x. C ) ) $=
      ( cdiv co cmul mulcld div32d divcan3d oveq2d eqidd 3eqtrd ) ABCIJCDKJZKJB
      RCIJZKJBDKJZTABCREFACDFGLHMASDBKADCGFHNOATPQ $.
  $}

  $( A finite sequence of integers is a set of real numbers.  (Contributed by
     Glauco Siliprandi, 5-Apr-2020.) $)
  fzssre $p |- ( M ... N ) C_ RR $=
    ( cfz co cz cr fzssz zssre sstri ) ABCDEFABGHI $.

  ${
    bccld.n $e |- ( ph -> N e. NN0 ) $.
    bccld.k $e |- ( ph -> K e. ZZ ) $.
    $( A binomial coefficient, in its extended domain, is a nonnegative
       integer.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    bccld $p |- ( ph -> ( N _C K ) e. NN0 ) $=
      ( cn0 wcel cz cbc co bccl syl2anc ) ACFGBHGCBIJFGDEBCKL $.
  $}

  ${
    leadd12dd.a $e |- ( ph -> A e. RR ) $.
    leadd12dd.b $e |- ( ph -> B e. RR ) $.
    leadd12dd.c $e |- ( ph -> C e. RR ) $.
    leadd12dd.d $e |- ( ph -> D e. RR ) $.
    leadd12dd.ac $e |- ( ph -> A <_ C ) $.
    leadd12dd.bd $e |- ( ph -> B <_ D ) $.
    $( Addition to both sides of 'less than or equal to'.  (Contributed by
       Glauco Siliprandi, 5-Apr-2020.) $)
    leadd12dd $p |- ( ph -> ( A + B ) <_ ( C + D ) ) $=
      ( caddc co readdcld leadd1dd leadd2dd letrd ) ABCLMDCLMDELMABCFGNADCHGNAD
      EHINABDCFHGJOACEDGIHKPQ $.
  $}

  $( A finite set of sequential integers that is a subset of ` NN0 ` .
     (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
  fzssnn0 $p |- ( 0 ... N ) C_ NN0 $=
    ( cc0 cfz co cuz cfv cn0 fzssuz nn0uz eqcomi sseqtri ) BACDBEFZGBAHGLIJK $.

  $( Equality implies 'less than or equal to'.  (Contributed by Glauco
     Siliprandi, 17-Aug-2020.) $)
  xreqle $p |- ( ( A e. RR* /\ A = B ) -> A <_ B ) $=
    ( cxr wcel wceq wa cle wbr xrleid adantr simpr breq2 biimpac syl2anc ) ACDZ
    ABEZFAAGHZPABGHZOQPAIJOPKPQRABAGLMN $.

  ${
    xaddid2d.1 $e |- ( ph -> A e. RR* ) $.
    $( ` 0 ` is a left identity for extended real addition.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    xaddid2d $p |- ( ph -> ( 0 +e A ) = A ) $=
      ( cxr wcel cc0 cxad co wceq xaddid2 syl ) ABDEFBGHBICBJK $.
  $}

  ${
    xadd0ge.a $e |- ( ph -> A e. RR* ) $.
    xadd0ge.b $e |- ( ph -> B e. ( 0 [,] +oo ) ) $.
    $( A number is less than or equal to itself plus a nonnegative extended
       real.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    xadd0ge $p |- ( ph -> A <_ ( A +e B ) ) $=
      ( cc0 cxad co cle cxr wcel wceq xaddid1 syl eqcomd wa wbr a1i jca cpnf
      cicc iccssxr sselid xrleidd pnfxr iccgelb syl3anc xle2add sylc eqbrtrd
      0xr ) ABBFGHZBCGHZIAULBABJKZULBLDBMNOAUNFJKZPZUNCJKZPZPBBIQZFCIQZPULUMIQA
      UPURAUNUODUOAUKRZSAUNUQDAFTUAHZJCFTUBEUCSSAUSUTABDUDAUOTJKZCVBKUTVAVCAUER
      EFTCUFUGSBFBCUHUIUJ $.
  $}

  $( A member in a half-open integer interval is less than or equal to the
     upper bound minus 1 .  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
  elfzolem1 $p |- ( K e. ( M ..^ N ) -> K <_ ( N - 1 ) ) $=
    ( cfzo co wcel cz c1 cmin cle wbr id elfzoel2 cfz simpl wceq fzoval eleqtrd
    wa adantl elfzle2 syl syl2anc ) ABCDEZFZUECGFZACHIEZJKZUELABCMUEUFSZABUGNEZ
    FUHUIAUDUJUEUFOUFUDUJPUEBCQTRABUGUAUBUC $.
  ${
    xrgtned.1 $e |- ( ph -> A e. RR* ) $.
    xrgtned.2 $e |- ( ph -> B e. RR* ) $.
    xrgtned.3 $e |- ( ph -> A < B ) $.
    $( 'Greater than' implies not equal.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    xrgtned $p |- ( ph -> B =/= A ) $=
      ( cxr wcel clt wbr wne xrltne syl3anc ) ABGHCGHBCIJCBKDEFBCLM $.
  $}

  ${
    xrleneltd.a $e |- ( ph -> A e. RR* ) $.
    xrleneltd.b $e |- ( ph -> B e. RR* ) $.
    xrleneltd.alb $e |- ( ph -> A <_ B ) $.
    xrleneltd.anb $e |- ( ph -> A =/= B ) $.
    $( 'Less than or equal to' and 'not equals' implies 'less than', for
       extended reals.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    xrleneltd $p |- ( ph -> A < B ) $=
      ( clt wbr wne necomd cxr wcel cle wb xrleltne syl3anc mpbird ) ABCHIZCBJZ
      ABCGKABLMCLMBCNISTODEFBCPQR $.
  $}

  ${
    xaddcomd.1 $e |- ( ph -> A e. RR* ) $.
    xaddcomd.2 $e |- ( ph -> B e. RR* ) $.
    $( The extended real addition operation is commutative.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    xaddcomd $p |- ( ph -> ( A +e B ) = ( B +e A ) ) $=
      ( cxr wcel cxad co wceq xaddcom syl2anc ) ABFGCFGBCHICBHIJDEBCKL $.
  $}

  ${
    $d A x y $.
    $( The supremum of a nonempty set of reals, is real if and only if it is
       bounded-above .  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    supxrre3 $p |- ( ( A C_ RR /\ A =/= (/) ) -> ( sup ( A , RR* , < ) e. RR
       <-> E. x e. RR A. y e. A y <_ x ) ) $=
      ( cr wss c0 wne wa cxr clt csup wcel cpnf wbr cv cle wral wrex supxrre1
      wb id rexr ssriv a1i sstrd supxrbnd2 syl bicomd adantr bitrd ) CDEZCFGZHC
      IJKZDLUMMJNZBOAOZPNBCQADRZCSUKUNUPTULUKUPUNUKCIEUPUNTUKCDIUKUADIEUKADIUOU
      BUCUDUEABCUFUGUHUIUJ $.
  $}

  ${
    $d A j $.  $d A k $.  $d A x y $.  $d M j $.  $d M k $.  $d Z k $.
    $d j ph $.
    uzfissfz.m $e |- ( ph -> M e. ZZ ) $.
    uzfissfz.z $e |- Z = ( ZZ>= ` M ) $.
    uzfissfz.a $e |- ( ph -> A C_ Z ) $.
    uzfissfz.fi $e |- ( ph -> A e. Fin ) $.
    $( For any finite subset of the upper integers, there is a finite set of
       sequential integers that includes it.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    uzfissfz $p |- ( ph -> E. k e. Z A C_ ( M ... k ) ) $=
      ( vj vy vx c0 wceq cv cfz wss wcel cz adantr co wrex cuz cfv uzid syl a1i
      wa eqcomd eleqtrd id 0ss eqsstrd adantl oveq2 sseq2d rspcev syl2anc wn cr
      clt csup wne cfn uzssz eqsstri sstrd necon3bi suprfinzcl syl3anc ad2antrr
      sseldd wral sselid sselda cle eluzle adantlr zssre sstrdi fimaxre2 suprub
      wbr simpr syl31anc elfzd ralrimiva dfss3 sylibr pm2.61dan ) ABMNZBDCOZPUA
      ZQZCEUBZAWKUHDERZBDDPUAZQZWOAWPWKADDUCUDZEADSRZDWSRFDUEUFAEWSEWSNZAGUGUIU
      JTWKWRAWKBMWQWKUKZMWQQWKWQULUGUMUNWNWRCDEWLDNWMWQBWLDDPUOUPUQURAWKUSZUHZB
      UTVAVBZERBDXEPUAZQZWOXDBEXEABEQXCHTXDBSQZBMVCZBVDRZXEBRAXHXCABESHESQAEWSS
      GDVEVFZUGVGZTZXCXIAWKBMXBVHUNZAXJXCITBVIVJVLZXDJOZXFRZJBVMXGXDXQJBXDXPBRZ
      UHZXPDXEAWTXCXRFVKXDXESRXRXDESXEXKXOVNTXDBSXPXMVOAXRDXPVPWCZXCAXRUHZXPWSR
      XTYAXPEWSABEXPHVOXAYAGUGUJDXPVQUFVRXSBUTQZXIKOLOVPWCKBVMLUTUBZXRXPXEVPWCA
      YBXCXRABSUTXLVSVTZVKXDXIXRXNTAYCXCXRAYBXJYCYDILKBWAURVKXDXRWDLKBXPWBWEWFW
      GJBXFWHWIWNXGCXEEWLXENWMXFBWLXEDPUOUPUQURWJ $.
  $}

  ${
    xleadd2d.1 $e |- ( ph -> A e. RR* ) $.
    xleadd2d.2 $e |- ( ph -> B e. RR* ) $.
    xleadd2d.3 $e |- ( ph -> C e. RR* ) $.
    xleadd2d.4 $e |- ( ph -> A <_ B ) $.
    $( Addition of extended reals preserves the "less than or equal to"
       relation, in the right slot.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    xleadd2d $p |- ( ph -> ( C +e A ) <_ ( C +e B ) ) $=
      ( cxr wcel cle wbr cxad co xleadd2a syl31anc ) ABIJCIJDIJBCKLDBMNDCMNKLEF
      GHBCDOP $.
  $}

  ${
    $d A x y $.  $d A z $.  $d X z $.
    suprltrp.a $e |- ( ph -> A C_ RR ) $.
    suprltrp.n0 $e |- ( ph -> A =/= (/) ) $.
    suprltrp.bnd $e |- ( ph -> E. x e. RR A. y e. A y <_ x ) $.
    suprltrp.x $e |- ( ph -> X e. RR+ ) $.
    $( The supremum of a nonempty bounded set of reals can be approximated from
       below by elements of the set.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    suprltrp $p |- ( ph -> E. z e. A ( sup ( A , RR , < ) - X ) < z ) $=
      ( cr clt csup cmin co wbr cv wrex wss wcel c0 wne cle wral suprcl syl3anc
      ltsubrpd wb rpred resubcld suprlub syl31anc mpbid ) AEKLMZFNOZUNLPZUODQLP
      DERZAUNFAEKSZEUAUBZCQBQUCPCEUDBKRZUNKTGHIBCEUEUFZJUGAURUSUTUOKTUPUQUHGHIA
      UNFVAAFJUIUJBCDEUOUKULUM $.
  $}

  ${
    xleadd1d.1 $e |- ( ph -> A e. RR* ) $.
    xleadd1d.2 $e |- ( ph -> B e. RR* ) $.
    xleadd1d.3 $e |- ( ph -> C e. RR* ) $.
    xleadd1d.4 $e |- ( ph -> A <_ B ) $.
    $( Addition of extended reals preserves the "less than or equal to"
       relation, in the left slot.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    xleadd1d $p |- ( ph -> ( A +e C ) <_ ( B +e C ) ) $=
      ( cxr wcel cle wbr cxad co xleadd1a syl31anc ) ABIJCIJDIJBCKLBDMNCDMNKLEF
      GHBCDOP $.
  $}

  ${
    xreqled.1 $e |- ( ph -> A e. RR* ) $.
    xreqled.2 $e |- ( ph -> A = B ) $.
    $( Equality implies 'less than or equal to'.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    xreqled $p |- ( ph -> A <_ B ) $=
      ( cxr wcel wceq cle wbr xreqle syl2anc ) ABFGBCHBCIJDEBCKL $.
  $}

  ${
    xrgepnfd.1 $e |- ( ph -> A e. RR* ) $.
    xrgepnfd.2 $e |- ( ph -> +oo <_ A ) $.
    $( An extended real greater than or equal to ` +oo ` is ` +oo `
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    xrgepnfd $p |- ( ph -> A = +oo ) $=
      ( cpnf cxr wcel pnfxr a1i cle wbr pnfge syl xrletrid ) ABECEFGAHIABFGBEJK
      CBLMDN $.
  $}

  ${
    xrge0nemnfd.1 $e |- ( ph -> A e. ( 0 [,] +oo ) ) $.
    $( A nonnegative extended real is not minus infinity.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    xrge0nemnfd $p |- ( ph -> A =/= -oo ) $=
      ( cmnf cxr wcel mnfxr a1i cc0 cpnf cicc iccssxr sselid 0xr clt wbr mnflt0
      co cle pnfxr iccgelb syl3anc xrltletrd xrgtned ) ADBDEFAGHZAIJKRZEBIJLCMZ
      ADIBUEIEFZANHZUGDIOPAQHAUHJEFZBUFFIBSPUIUJATHCIJBUAUBUCUD $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d ph y $.
    supxrgere.xph $e |- F/ x ph $.
    supxrgere.a $e |- ( ph -> A C_ RR* ) $.
    supxrgere.b $e |- ( ph -> B e. RR ) $.
    supxrgere.y $e |- ( ( ph /\ x e. RR+ ) -> E. y e. A ( B - x ) < y ) $.
    $( If a real number can be approximated from below by members of a set,
       then it is less than or equal to the supremum of the set.  (Contributed
       by Glauco Siliprandi, 17-Aug-2020.) $)
    supxrgere $p |- ( ph -> B <_ sup ( A , RR* , < ) ) $=
      ( cxr clt cpnf wbr wa wcel syl adantr wn cmnf c1 csup wceq cle rexr pnfxr
      cr a1i ltpnf xrltled id eqcomd adantl breqtrd simpl cmin co cv crp 1rp wi
      wrex nfcv nfv nfan nfim eleq1 anbi2d oveq2 breq1d rexbidv imbi12d vtoclgf
      ax-mp mpan2 w3a mnfxr sselda 3adant3 wss supxrcl 3ad2ant1 peano2rem rexrd
      3ad2antl1 simpl3 simpr wb xrlenlt mpbird 3adantl3 xrltletrd nltmnf condan
      syl2anc supxrub 3exp rexlimdv mpd nltpnft mtbid notnotrd xrrebnd ad2antrr
      jca simprd ltnled simpll resubcld cc0 posdifd mpbid cvv ovex cc ad3antrrr
      elrpd nncand eqbrtrd ex reximdva wral xrlenltd ralrimiva ralnex pm2.61dan
      recnd sylib ) ADJKUAZLUBZEYHUCMZAYINELYHUCAELUCMZYIAEUFOZYKHYLELEUDLJOYLU
      EUGEUHUIPQYILYHUBAYIYHLYIUJUKULUMAYIRZNZAYHUFOZYJAYMUNYNYOSYHKMZYHLKMZNZY
      NYPYQYNETUOUPZCUQZKMZCDVAZYPAUUBYMATUROZUUBUSUUCAUUCNZUUBUTZUSABUQZUROZNZ
      EUUFUOUPZYTKMZCDVAZUTZUUEBTURBTVBUUDUUBBAUUCBFUUCBVCVDUUBBVCVEUUFTUBZUUHU
      UDUUKUUBUUMUUGUUCAUUFTURVFVGUUMUUJUUACDUUMUUIYSYTKUUFTEUOVHVIVJVKIVLVMVNQ
      YNUUAYPCDAYTDOZUUAYPUTUTYMAUUNUUAYPAUUNUUAVOZSYTYHSJOZUUOVPUGAUUNYTJOZUUA
      ADJYTGVQZVRZAUUNYHJOZUUAADJVSZUUTGDVTZPZWAUUOSYTKMZYSSKMZUUOUVDRZNZYSYTSA
      UUNUVFYSJOZUUAAUVHUVFAYSAYLYSUFOHEWBPWCZQWDUUOUUQUVFUUSQUUPUVGVPUGAUUNUUA
      UVFWEAUUNUVFYTSUCMZUUAAUUNNZUVFNZUVJUVFUVKUVFWFUVLUUQUUPUVJUVFWGUVKUUQUVF
      UURQUUPUVLVPUGYTSWHWNWIWJWKAUUNUVFUVERZUUAAUVMUVFAUVHUVMUVIYSWLPQWDWMAUUN
      YTYHUCMZUUAUVKUVAUUNUVNAUVAUUNGQZAUUNWFDYTWOWNZVRWKWPQWQWRYNYQYNYIYQRZAYM
      WFAYIUVQWGZYMAUUTUVRUVCYHWSPQWTXAXDYNUUTYOYRWGAUUTYMUVCQYHXBPWIAYONZYJYHY
      TKMZCDVAZUVSYJRZNZUVSYHEKMZUWAUVSUWBUNZUWCUWDUWBUVSUWBWFUWCYHEUWCAYOUWEXE
      AYLYOUWBHXCXFWIUVSUWDNZEEYHUOUPZUOUPZYTKMZCDVAZUWAUWFAUWGUROZUWJAYOUWDXGZ
      UWFUWGUVSUWGUFOUWDUVSEYHAYLYOHQAYOWFZXHQUWFUWDXIUWGKMUVSUWDWFUWFYHEUVSYOU
      WDUWMQUWFAYLUWLHPXJXKXPUWGXLOAUWKNZUWJUTZEYHUOXMUULUWOBUWGXLBUWGVBUWNUWJB
      AUWKBFUWKBVCVDUWJBVCVEUUFUWGUBZUUHUWNUUKUWJUWPUUGUWKAUUFUWGURVFVGUWPUUJUW
      ICDUWPUUIUWHYTKUUFUWGEUOVHVIVJVKIVLVMWNUWFUWIUVTCDUWFUWIUVTUTUUNUWFUWIUVT
      UWFUWINZYHUWHYTKUWQUWHYHUWQEYHAEXNOYOUWDUWIAEHYFXOUVSYHXNOUWDUWIUVSYHUWMY
      FXCXQUKUWFUWIWFXRXSQXTWRWNAUWARZYOUWBAUVTRZCDYAUWRAUWSCDUVKUVNUWSUVPUVKYT
      YHUURUVKUVAUUTUVOUVBPYBXKYCUVTCDYDYGXCWMWNYE $.
  $}

  ${
    $d A m x $.  $d B m x $.  $d N n x $.  $d Z m n x $.
    iuneqfzuzlem.z $e |- Z = ( ZZ>= ` N ) $.
    $( Lemma for ~ iuneqfzuz : here, inclusion is proven; aiuneqfzuz uses this
       lemma twice, to prove equality.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    iuneqfzuzlem $p |- ( A. m e. Z U_ n e. ( N ... m ) A = U_ n e. ( N ... m )
       B -> U_ n e. Z A C_ U_ n e. Z B ) $=
      ( vx cv ciun wceq wral wcel wss wa wrex nfcv eleq2i eliun syl cfz nfcsb1v
      co csb csbeq1a cbviun bitri biimpi adantl wi nfra1 nfv simp2 rspa 3adant3
      w3a id cuz cfv fzssuz eqcomi sseqtri iunss1 mp1i eqsstrd 3ad2ant2 eluzel2
      simp3 cz eluzelz cle wbr eluzle zred leid elfzd eleq2d rspce sylan sylibr
      cr nfel 3adant2 sseldd syl3anc 3exp rexlimd adantr mpd ralrimiva dfss3 )
      DECIZUAUCZAJZDWMBJZKZCFLZHIZDFBJZMZHDFAJZLXAWSNWQWTHXAWQWRXAMZOWRDWLAUDZM
      ZCFPZWTXBXEWQXBXEXBWRCFXCJZMXEXAXFWRDCFAXCCAQDWLAUBZDWLAUEZUFRCWRFXCSUGUH
      UIWQXEWTUJXBWQXDWTCFWPCFUKWTCULWQWLFMZXDWTWQXIXDUPXIWPXDWTWQXIXDUMWQXIWPX
      DWPCFUNUOWQXIXDVHXIWPXDUPWNWSWRWPXIWNWSNXDWPWNWOWSWPUQWMFNWOWSNWPWMEURUSZ
      FEWLUTFXJGVAVBDWMFBVCVDVEVFXIXDWRWNMZWPXIXDOWRAMZDWMPZXKXIWLWMMXDXMXIWLEW
      LXIWLXJMZEVIMXIXNFXJWLGRUHZEWLVGTXIXNWLVIMXOEWLVJTZXPXIXNEWLVKVLXOEWLVMTX
      IWLWAMWLWLVKVLXIWLXPVNWLVOTVPXLXDDWLWMDWRXCDWRQXGWBDIWLKAXCWRXHVQVRVSDWRW
      MASVTWCWDWEWFWGWHWIWJHXAWSWKVT $.
  $}

  ${
    $d A m $.  $d B m $.  $d N n $.  $d Z m n $.
    iuneqfzuz.z $e |- Z = ( ZZ>= ` N ) $.
    $( If two unions indexed by upper integers are equal if they agree on any
       partial indexed union.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    iuneqfzuz $p |- ( A. m e. Z U_ n e. ( N ... m ) A = U_ n e. ( N ... m ) B
       -> U_ n e. Z A = U_ n e. Z B ) $=
      ( cv cfz co ciun wceq wral iuneqfzuzlem wss eqcom ralbii biimpi syl eqssd
      ) DECHIJZAKZDUABKZLZCFMZDFAKZDFBKZABCDEFGNUEUCUBLZCFMZUGUFOUEUIUDUHCFUBUC
      PQRBACDEFGNST $.
  $}

  ${
    xle2addd.1 $e |- ( ph -> A e. RR* ) $.
    xle2addd.2 $e |- ( ph -> B e. RR* ) $.
    xle2addd.3 $e |- ( ph -> C e. RR* ) $.
    xle2addd.4 $e |- ( ph -> D e. RR* ) $.
    xle2addd.5 $e |- ( ph -> A <_ C ) $.
    xrle2addd.6 $e |- ( ph -> B <_ D ) $.
    $( Adding both side of two inequalities.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    xle2addd $p |- ( ph -> ( A +e B ) <_ ( C +e D ) ) $=
      ( cxad co xaddcld xleadd2d xleadd1d xrletrd ) ABCLMBELMDELMABCFGNABEFINAD
      EHINACEBGIFKOABDEFHIJPQ $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d ph y $.
    supxrgelem.xph $e |- F/ x ph $.
    supxrgelem.a $e |- ( ph -> A C_ RR* ) $.
    supxrgelem.b $e |- ( ph -> B e. RR* ) $.
    supxrgelem.y $e |- ( ( ph /\ x e. RR+ ) -> E. y e. A B < ( y +e x ) ) $.
    $( If an extended real number can be approximated from below by members of
       a set, then it is less than or equal to the supremum of the set.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    supxrgelem $p |- ( ph -> B <_ sup ( A , RR* , < ) ) $=
      ( cxr clt cpnf wceq wbr wa wcel syl adantr cmnf c1 csup cle eqcomd adantl
      pnfge id breqtrd wn cr simpl cv cxad co wrex crp 1rp nfcv nfan nfim eleq1
      nfv anbi2d oveq2 breq2d rexbidv imbi12d vtoclgf ax-mp mpan2 w3a mnfxr a1i
      wi sselda 3adant3 wss supxrcl 3ad2ant1 simpl3 simpr ngtmnft mpbird oveq1d
      wb wne 1xr 1re renepnf xaddmnf2 syl2anc 3adantl3 nltmnf 3ad2antl1 supxrub
      eqtrd condan xrltletrd 3exp rexlimdv mpd nltpnft notnotrd xrrebnd xrltnle
      mtbid jca adantlr cmin simpll mnfle ad2antrr xrlelttrd xaddcl pnfxr simp3
      sylancl resubcld cc0 posdifd mpbid elrpd cvv ovex adantll simplll sylanl1
      ltpnf ad5ant15 simplr oveq1 ad3antrrr ad5antr 3adant1r ad5ant135 ad5ant13
      rexrd caddc recnd cc pm2.61dan rexadd readdcld eqeltrd ltsub1dd addsub12d
      subidd subcld mvrladdd breq12d syl21anc ex reximdva wral ralrimiva ralnex
      xrlenltd sylib ) ADJKUAZLMZEUURUBNZAUUSOELUURUBAELUBNZUUSAEJPZUVAHEUEQRUU
      SLUURMAUUSUURLUUSUFUCUDUGAUUSUHZOZAUURUIPZUUTAUVCUJUVDUVESUURKNZUURLKNZOZ
      UVDUVFUVGUVDECUKZTULUMZKNZCDUNZUVFAUVLUVCATUOPZUVLUPUVMAUVMOZUVLVMZUPABUK
      ZUOPZOZEUVIUVPULUMZKNZCDUNZVMZUVOBTUOBTUQUVNUVLBAUVMBFUVMBVAURUVLBVAUSUVP
      TMZUVRUVNUWAUVLUWCUVQUVMAUVPTUOUTVBUWCUVTUVKCDUWCUVSUVJEKUVPTUVIULVCVDVEV
      FIVGVHZVIZRUVDUVKUVFCDAUVIDPZUVKUVFVMVMUVCAUWFUVKUVFAUWFUVKVJZSUVIUURSJPZ
      UWGVKVLAUWFUVIJPZUVKADJUVIGVNZVOZAUWFUURJPZUVKADJVPZUWLGDVQZQZVRUWGSUVIKN
      ZESKNZUWGUWPUHZOEUVJSKAUWFUVKUWRVSAUWFUWRUVJSMUVKAUWFOZUWROZUVJSTULUMZSUW
      TUVISTULUWTUVISMZUWRUWSUWRVTUWTUWIUXBUWRWDUWSUWIUWRUWJRUVIWAQWBZWCUWTTJPZ
      TLWEZUXASMUXDUWTWFVLUXEUWTTUIPUXEWGTWHVHVLTWIWJWOWKUGAUWFUWRUWQUHZUVKAUXF
      UWRAUVBUXFHEWLQZRWMWPAUWFUVIUURUBNZUVKUWSUWMUWFUXHAUWMUWFGRZAUWFVTDUVIWNW
      JZVOWQWRRWSWTUVDUVGUVDUUSUVGUHZAUVCVTAUUSUXKWDZUVCAUWLUXLUWOUURXAQRXEXBXF
      UVDUWLUVEUVHWDAUWLUVCUWORUURXCQWBAUVEOZUUTUURUVIKNZCDUNZUXMUUTUHZOZUXMUUR
      EKNZUXOUXMUXPUJUXQUXRUXPUXMUXPVTAUXPUXRUXPWDZUVEAUXPOUWLUVBUXSAUWLUXPUWOR
      AUVBUXPHRUUREXDWJXGWBUXMUXROZEUVIEUURXHUMZULUMZKNZCDUNZUXOUXTAUYAUOPZUYDA
      UVEUXRXIZUXTUYAUXTEUURUXTEUIPZSEKNZELKNZOZUXTUYHUYIUXTSUUREUWHUXTVKVLUXTA
      UWLUYFUWOQUXTAUVBUYFHQZASUURUBNZUVEUXRAUWLUYLUWOUURXJQXKUXMUXRVTZXLZUXTUV
      LUYIAUVLUVEUXRAAUVMUVLAUFUVMAUPVLUWDWJXKUXTAUVLUYIVMUYFAUVKUYICDAUWFUVKUY
      IUWGEUVJLAUWFUVBUVKHVRUWGUWIUXDOUVJJPZUWGUWIUXDUWKUXDUWGWFVLXFUVITXMZQLJP
      UWGXNVLAUWFUVKXOAUWFUVJLUBNZUVKUWSUYOUYQUWSUWIUXDUYOUWJWFUYPXPUVJUEQVOWQW
      RWSZQWTXFUXTUVBUYGUYJWDUYKEXCQZWBZUXMUVEUXRAUVEVTZRZXQZUXTUXRXRUYAKNUYMUX
      TUUREVUBUXTUYGUYJUXTUYHUYIUYNAUYIUVEUXRAUVLUYIUWEUYRWTXKXFUYSWBZXSXTYAUYA
      YBPAUYEOZUYDVMZEUURXHYCUWBVUFBUYAYBBUYAUQVUEUYDBAUYEBFUYEBVAURUYDBVAUSUVP
      UYAMZUVRVUEUWAUYDVUGUVQUYEAUVPUYAUOUTVBVUGUVTUYCCDVUGUVSUYBEKUVPUYAUVIULV
      CVDVEVFIVGVHWJUXTUYCUXNCDUXTUWFOZUYCUXNVUHUYCOZUVILMZUXNUXMVUJUXNUXRUWFUY
      CUVEVUJUXNAUVEVUJOUURLUVIKUVEUVGVUJUURYGRVUJLUVIMUVEVUJUVILVUJUFUCUDUGYDY
      HVUIVUJUHZOZUXTUVIUIPZUYCUXNUXTUWFUYCVUKYEVULVUMUWPUVILKNZOZVULUWPVUNVUIU
      WPVUKVUIUWPUWQVUIUWROVUIUXBUWQVUIUWRUJVUHUWRUXBUYCUXTAUWFUWRUXBUYFUXCYFXG
      VUIUXBOZEUYBSKVUHUYCUXBYIVUPUYBSUYAULUMZSUXBUYBVUQMVUIUVISUYAULYJUDVUPUYA
      JPZUYALWEZVUQSMUXTVURUWFUYCUXBUXTUYAUXTEUURVUDVUBXQYPYKUXTVUSUWFUYCUXBUXT
      UYAUIPZVUSVUCUYAWHQYKUYAWIWJWOUGWJAUXFUVEUXRUWFUYCUWRUXGYLWPRUXMUWFVUKVUN
      UXRUYCAUWFVUKVUNUVEAUWFVUKVJZVUNVVAVUJVUNUHZAUWFVUKXOVVAUWIVUJVVBWDAUWFUW
      IVUKUWJVOUVIXAQXEXBYMYNXFVULUWIVUMVUOWDUXMUWFUWIUXRUYCVUKAUWFUWIUVEUWJXGY
      OUVIXCQWBVUHUYCVUKYIUXTVUMOZUYCOZUXNXRUVIUURXHUMZKNZVVDEEXHUMZUYBEXHUMZKN
      VVFVVDEUYBEUXTUYGVUMUYCUYTXKZVVCUYBUIPUYCVVCUYBUVIUYAYQUMZUIVVCVUMVUTUYBV
      VJMUXTVUMVTZUXTVUTVUMVUCRZUVIUYAUUAWJZVVCUVIUYAVVKVVLUUBUUCRVVIVVCUYCVTUU
      DVVDVVGXRVVHVVEKUXTVVGXRMVUMUYCUXTEUXTEUYTYRZUUFXKVVCVVHVVEMUYCVVCUYBEVVE
      UXTEYSPVUMVVNRZVVCUVIUURVVCUVIVVKYRZUXMUURYSPUXRVUMUXMUURVUAYRXKZUUGVVCUY
      BVVJEVVEYQUMVVMVVCUVIEUURVVPVVOVVQUUEWOUUHRUUIXTVVDUURUVIUXTUVEVUMUYCVUBX
      KUXTVUMUYCYIXSWBUUJYTUUKUULWTWJAUXOUHZUVEUXPAUXNUHZCDUUMVVRAVVSCDUWSUXHVV
      SUXJUWSUVIUURUWJUWSUWMUWLUXIUWNQUUPXTUUNUXNCDUUOUUQXKWPWJYT $.
  $}

  ${
    $d A w x y $.  $d B w x y $.  $d ph w y $.
    supxrge.xph $e |- F/ x ph $.
    supxrge.a $e |- ( ph -> A C_ RR* ) $.
    supxrge.b $e |- ( ph -> B e. RR* ) $.
    supxrge.y $e |- ( ( ph /\ x e. RR+ ) -> E. y e. A B <_ ( y +e x ) ) $.
    $( If an extended real number can be approximated from below by members of
       a set, then it is less than or equal to the supremum of the set.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    supxrge $p |- ( ph -> B <_ sup ( A , RR* , < ) ) $=
      ( cpnf wcel cxr clt cle wbr wa syl adantr wceq cmnf vw pnfge wss supxrpnf
      csup simpr syl2anc eqcomd breqtrd supxrcl mnfle eqbrtrd adantlr wne simpl
      wn neqne adantl nfv cv crp c2 cdiv co cxad wrex rphalfcl cvv wi ovex nfcv
      nfan eleq1 anbi2d oveq2 breq2d rexbidv imbi12d vtoclgf ax-mp w3a cr neneq
      wb ngtmnft mtbid notnotrd ad4ant13 3ad2ant1 caddc mnfxr a1i simpl3 sselda
      nfim mpbird adantllr rpxrd rpred renepnf xaddmnf2 ad2antrr eqtrd adantl3r
      oveq1d 3adantl3 ad3antrrr 3ad2antl1 simpllr neneqd condan nltpnft eqeltrd
      xrletrid 3adantl2 simpl2 ad5ant125 3adant3 ad5ant15 rexadd readdcld rexrd
      jca xrrebnd pnfxr ltpnfd xrlelttrd rpre rphalflt ltadd2dd breq12d lelttrd
      simp3 3exp reximdai mpd supxrgelem pm2.61dan ) AJDKZEDLMUEZNOZAYSPZEJYTNA
      EJNOZYSAELKZUUCHEUBQRUUBYTJUUBDLUCZYSYTJSAUUEYSGRAYSUFDUDUGUHUIAYSUPZPZET
      SZUUAAUUHUUAUUFAUUHPETYTNAUUHUFATYTNOZUUHAYTLKZUUIAUUEUUJGDUJQYTUKQRULUMU
      UGUUHUPZPUUGETUNZUUAUUGUUKUOUUKUULUUGETUQURUUGUULPZUACDEUUMUAUSUUGUUEUULA
      UUEUUFGRRUUGUUDUULAUUDUUFHRRZUUMUAUTZVAKZPZECUTZUUOVBVCVDZVEVDZNOZCDVFZEU
      URUUOVEVDZMOZCDVFUUGUUPUVBUULAUUPUVBUUFAUUPPZAUUSVAKZUVBAUUPUOUUPUVFAUUOV
      GZURUUSVHKAUVFPZUVBVIZUUOVBVCVJABUTZVAKZPZEUURUVJVEVDZNOZCDVFZVIUVIBUUSVH
      BUUSVKUVHUVBBAUVFBFUVFBUSVLUVBBUSWOUVJUUSSZUVLUVHUVOUVBUVPUVKUVFAUVJUUSVA
      VMVNUVPUVNUVACDUVPUVMUUTENUVJUUSUURVEVOVPVQVRIVSVTUGUMUMUUQUVAUVDCDUUQCUS
      UUQUURDKZUVAUVDUUQUVQUVAWAZEUUTUVCUVREWBKZTEMOZEJMOZPZUVRUVTUWAUUQUVQUVTU
      VAAUULUVTUUFUUPAUULPZUVTUWCUUHUVTUPZUULUUKAETWCURUWCUUDUUHUWDWDAUUDUULHRE
      WEQWFWGWHWIUVREUUTJUUQUVQUUDUVAUUMUUDUUPUUNRWIZUVRUUTUVRUUTUURUUSWJVDZWBU
      VRUURWBKZUUSWBKZUUTUWFSUVRUWGTUURMOZUURJMOZPZUVRUWIUWJUVRUWIUUHUVRUWIUPZP
      ZETUVRUUDUWLUWERTLKUWMWKWLUWMEUUTTNUUQUVQUVAUWLWMUUQUVQUWLUUTTSZUVAUUGUUP
      UVQUWLUWNUULAUUPUVQUWLUWNUUFUVEUVQPUWLPUUTTUUSVEVDZTAUVQUWLUUTUWOSUUPAUVQ
      PZUWLPZUURTUUSVEUWQUURTSZUWLUWPUWLUFUWQUURLKZUWRUWLWDUWPUWSUWLADLUURGWNZR
      UURWEQWPXEWQUVEUWOTSZUVQUWLUUPUXAAUUPUUSLKUUSJUNZUXAUUPUUSUVGWRUUPUWHUXBU
      UPUUSUVGWSZUUSWTQUUSXAUGURXBXCXDXDXFUIUUQUVQUWLTENOZUVAUUGUXDUULUUPUWLAUX
      DUUFAUUDUXDHEUKQRXGXHXNUWMETUUQUVQUWLUULUVAUUGUULUUPUWLXIXHXJXKUUQUVQUWJU
      VAAUUFUVQUWJUULUUPAUUFUVQWAUWJYSAUVQUWJUPZYSUUFUWPUXEPZJUURDUXFUURJUXFUUR
      JSZUXEUWPUXEUFUXFUWSUXGUXEWDUWPUWSUXEUWTRUURXLQWPUHUWPUVQUXEAUVQUFRXMXOAU
      UFUVQUXEXPXKXQXRYCUVRUWSUWGUWKWDUUQUVQUWSUVAAUVQUWSUUFUULUUPUWTXSXRUURYDQ
      WPZUUQUVQUWHUVAUUPUWHUUMUXCURWIZUURUUSXTUGZUVRUURUUSUXHUXIYAXMZYBJLKUVRYE
      WLUUQUVQUVAYMZUVRUUTUXKYFYGYCUVRUUDUVSUWBWDUWEEYDQWPUXKUVRUVCUURUUOWJVDZW
      BUVRUWGUUOWBKZUVCUXMSUXHUUQUVQUXNUVAUUPUXNUUMUUOYHURWIZUURUUOXTUGZUVRUURU
      UOUXHUXOYAXMUXLUVRUUTUVCMOUWFUXMMOUVRUUSUUOUURUXIUXOUXHUUQUVQUUSUUOMOZUVA
      UUPUXQUUMUUOYIURWIYJUVRUUTUWFUVCUXMMUXJUXPYKWPYLYNYOYPYQUGYRYR $.
  $}

  ${
    $d A r w x $.  $d A w x z $.  $d B w x y z $.  $d ph w x z $.
    suplesup.a $e |- ( ph -> A C_ RR ) $.
    suplesup.b $e |- ( ph -> B C_ RR* ) $.
    suplesup.c $e |- ( ph -> A. x e. A A. y e. RR+ E. z e. B ( x - y ) < z ) $.
    $( If any element of ` A ` can be approximated from below by members of
       ` B ` , then the supremum of ` A ` is less than or equal to the supremum
       of ` B ` .  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    suplesup $p |- ( ph -> sup ( A , RR* , < ) <_ sup ( B , RR* , < ) ) $=
      ( cxr clt wceq wbr wa wcel cr adantr wrex co cmin vw vr csup cpnf cle wss
      ressxr sstrdi supxrcl syl eqidd simpr cv wral c1 caddc peano2re adantl wb
      supxrunb2 mpbird breq1 rexbidv rspcva syl2anc wi w3a crp 1rp a1i r19.21bi
      oveq2 breq1d adantlr 3adant3 simp11r sselid sselda 1red resubcld 3ad2ant1
      nfv 3ad2antl1 simp3 simp1r ltaddsubd mpbid xrlttrd 3exp reximdai rexlimdv
      ad2antrr xrltled ex adantllr reximdva ralrimiva supxrunb1 3eqtr4d xreqled
      mpd wn cmnf supeq1 xrsup0 eqtrd mnfle eqbrtrd simpll wne neqne supxrgtmnf
      simpl nltpnft 3syl mtbid notnotr jca xrrebnd cdiv rphalfcld ltsubrpd rpre
      c0 c2 2re 2ne0 redivcld supxrlub rphalfcl 3ad2ant2 3adant2 ad5ant134 recn
      cc0 cc recnd halfcld ad3antrrr pm2.61dan subsub4d 2halvesd oveq2d adantll
      eqtr2d sylanl2 ad2antlr simp-6l simplr simp-6r ad5antlr rehalfcld simp-4r
      simpllr ltsub1dd rexlimdva2 supxrgere ) AEJKUCZUDLZUURFJKUCZUEMZAUUSNZUUR
      UUTAUURJOZUUSAEJUFZUVCAEPJGUGUHZEUIUJZQUVBUDUDUURUUTUVBUDUKAUUSULZUVBUAUM
      ZDUMZUEMZDFRZUAPUNZUUTUDLZUVBUVKUAPUVBUVHPOZNZUVHUVIKMZDFRZUVKUVOUVHUOUPS
      ZBUMZKMZBERZUVQUVOUVRPOZUBUMZUVSKMZBERZUBPUNZUWAUVNUWBUVBUVHUQURUVBUWFUVN
      UVBUWFUUSUVGUVBUVDUWFUUSUSAUVDUUSUVEQUBBEUTUJVAQUWEUWAUBUVRPUWCUVRLUWDUVT
      BEUWCUVRUVSKVBVCVDVEUVOUVTUVQBEAUVNUVSEOZUVTUVQVFVFUUSAUVNNZUWGUVTUVQUWHU
      WGUVTVGZUVSUOTSZUVIKMZDFRZUVQUWHUWGUWLUVTAUWGUWLUVNAUWGNZUOVHOZUVSCUMZTSZ
      UVIKMZDFRZCVHUNZUWLUWNUWMVIVJAUWSBEIVKZUWRUWLCUOVHUWOUOLZUWQUWKDFUXAUWPUW
      JUVIKUWOUOUVSTVLVMVCVDVEVNVOUWIUWKUVPDFUWIDWBUWIUVIFOZUWKUVPUWIUXBUWKVGZU
      VHUWJUVIUXCPJUVHUGAUVNUWGUVTUXBUWKVPVQUXCPJUWJUGUWIUXBUWJPOZUWKUWHUWGUXDU
      VTAUWGUXDUVNUWMUVSUOAEPUVSGVRZUWMVSVTVNVOWAVQUWIUXBUVIJOZUWKUWHUWGUXBUXFU
      VTAUXBUXFUVNAFJUVIHVRZVNZWCVOUWIUXBUVHUWJKMZUWKUWIUVTUXIUWHUWGUVTWDUWIUVH
      UOUVSAUVNUWGUVTWEUWIVSUWHUWGUVSPOZUVTAUWGUXJUVNUXEVNZVOWFWGWAUWIUXBUWKWDW
      HWIWJXAWIVNWKXAUVOUVPUVJDFAUVNUXBUVPUVJVFUUSUWHUXBNZUVPUVJUXLUVPNUVHUVIUW
      HUVHJOUXBUVPAPJUVHPJUFAUGVJVRWLUXLUXFUVPUXHQUXLUVPULWMWNWOWPXAWQAUVLUVMUS
      ZUUSAFJUFZUXMHUADFWRUJQWGWSWTAUUSXBZNZEYDLZUVAAUXQUVAUXOAUXQNUURXCUUTUEUX
      QUURXCLAUXQUURYDJKUCZXCJEYDKXDUXRXCLUXQXEVJXFURAXCUUTUEMZUXQAUUTJOZUXSAUX
      NUXTHFUIUJUUTXGUJQXHVNUXPUXQXBZNZAUURPOZUVAAUXOUYAXIZUYBUYCXCUURKMZUURUDK
      MZNZUYBUYEUYFAUYAUYEUXOAUYANEPUFZEYDXJZUYEAUYHUYAGQUYAUYIAEYDXKUREXLVEVNU
      XPUYFUYAUXPUYFXBZXBUYFUXPUUSUYJAUXOULUXPAUVCUUSUYJUSAUXOXMUVFUURXNXOXPUYF
      XQUJQXRUYBUVCUYCUYGUSUYBAUVCUYDUVFUJUURXSUJVAAUYCNZUADFUURUYKUAWBAUXNUYCH
      QAUYCULZUYKUVHVHOZNZUURUVHYEXTSZTSZUVSKMZBERZUURUVHTSZUVIKMZDFRZUYNUYPUUR
      KMZUYRUYNUURUYOUYKUYCUYMUYLQZUYNUVHUYKUYMULYAYBUYNUVDUYPJOVUBUYRUSAUVDUYC
      UYMUVEWLUYNPJUYPUGUYNUURUYOVUCUYMUYOPOZUYKUYMUVHYEUVHYCZYEPOUYMYFVJYEYOXJ
      UYMYGVJYHZURZVTZVQBEUYPYIVEWGUYNUYQVUABEUYNUWGNZUYQNZUVSUYOTSZUVIKMZDFRZV
      UAAUYMUWGVUMUYCUYQAUYMUWGVGUYOVHOZUWSVUMUYMAVUNUWGUVHYJYKAUWGUWSUYMUWTYLU
      WRVUMCUYOVHUWOUYOLZUWQVULDFVUOUWPVUKUVIKUWOUYOUVSTVLVMVCVDVEYMVUJVULUYTDF
      VUJUXBNZVULUYTVUPVULNZUYSUYPUYOTSZUVIKVUIUYSVURLZUYQUXBVULUYNVUSUWGUYCUYM
      VUSAUYCUYMNZVURUURUYOUYOUPSZTSZUYSVUTUURUYOUYOUYCUURYPOUYMUURYNQVUTUVHUYM
      UVHYPOUYCUYMUVHVUEYQZURYRZVVDUUAUYMVVBUYSLUYCUYMVVAUVHUURTUYMUVHVVCUUBUUC
      URUUEUUDQYSVUQVURVUKUVIVUQPJVURUGVUIVURPOZUYQUXBVULUYNVVEUWGUYNUYPUYOVUHV
      UGVTQYSVQVUQPJVUKUGVUIVUKPOZUYQUXBVULAUYMUWGVVFUYCAUYMNUWGNUVSUYOUYMAUVNU
      WGUXJVUEUXKUUFUYMVUDAUWGVUFUUGVTWOYSVQVUQAUXBUXFAUYCUYMUWGUYQUXBVULUUHZVU
      JUXBVULUUIUXGVEVUQUYPUVSUYOVUQUURUYOAUYCUYMUWGUYQUXBVULUUJVUQUVHUYMUVNUYK
      UWGUYQUXBVULVUEUUKUULZVTVUQAUWGUXJVVGUYNUWGUYQUXBVULUUMUXEVEVVHVUIUYQUXBV
      ULUUNUUOVUPVULULWHXHWNWPXAUUPXAUUQVEYTYT $.
  $}

  ${
    $d A x y z $.  $d B x $.
    $( The infimum of a set of extended reals is less than an extended real if
       and only if the set contains a smaller number.  (Contributed by Glauco
       Siliprandi, 11-Oct-2020.) $)
    infxrglb $p |- ( ( A C_ RR* /\ B e. RR* ) -> ( inf ( A , RR* , < ) < B <->
       E. x e. A x < B ) ) $=
      ( vz vy cxr wss clt wor xrltso a1i xrinfmss id infglbb ) BFGZDEAFBCHFHIOJ
      KDEABLOMN $.
  $}

  ${
    xadd0ge2.a $e |- ( ph -> A e. RR* ) $.
    xadd0ge2.b $e |- ( ph -> B e. ( 0 [,] +oo ) ) $.
    $( A number is less than or equal to itself plus a nonnegative extended
       real.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    xadd0ge2 $p |- ( ph -> A <_ ( B +e A ) ) $=
      ( cxad co cle xadd0ge cc0 cpnf cicc cxr iccssxr sselid xaddcomd breqtrd )
      ABBCFGCBFGHABCDEIABCDAJKLGMCJKNEOPQ $.
  $}

  ${
    nepnfltpnf.1 $e |- ( ph -> A =/= +oo ) $.
    nepnfltpnf.2 $e |- ( ph -> A e. RR* ) $.
    $( An extended real that is not ` +oo ` is less than ` +oo ` .
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    nepnfltpnf $p |- ( ph -> A < +oo ) $=
      ( cpnf clt wbr wn wceq neneqd cxr wcel nltpnft syl mtbid notnotb sylibr
      wb ) ABEFGZHZHSABEIZTABECJABKLUATRDBMNOSPQ $.
  $}

  ${
    ltadd12dd.a $e |- ( ph -> A e. RR ) $.
    ltadd12dd.b $e |- ( ph -> B e. RR ) $.
    ltadd12dd.c $e |- ( ph -> C e. RR ) $.
    ltadd12dd.d $e |- ( ph -> D e. RR ) $.
    ltadd12dd.ac $e |- ( ph -> A < C ) $.
    ltadd12dd.bd $e |- ( ph -> B < D ) $.
    $( Addition to both sides of 'less than'.  (Contributed by Glauco
       Siliprandi, 11-Oct-2020.) $)
    ltadd12dd $p |- ( ph -> ( A + B ) < ( C + D ) ) $=
      ( caddc co readdcld ltadd1dd ltadd2dd lttrd ) ABCLMDCLMDELMABCFGNADCHGNAD
      EHINABDCFHGJOACEDGIHKPQ $.
  $}

  $( An extended real that is not minus infinity, is larger than minus
     infinity.  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
  nemnftgtmnft $p |- ( ( A e. RR* /\ A =/= -oo ) -> -oo < A ) $=
    ( cxr wcel cmnf wne wa clt wbr wn wceq simpr neneqd wb ngtmnft adantr mtbid
    notnotb sylibr ) ABCZADEZFZDAGHZIZIUBUAADJZUCUAADSTKLSUDUCMTANOPUBQR $.

  $( 'Greater than' is a strict ordering on the extended reals.  (Contributed
     by Glauco Siliprandi, 11-Oct-2020.) $)
  xrgtso $p |- `' < Or RR* $=
    ( cxr clt wor ccnv xrltso cnvso mpbi ) ABCABDCEABFG $.

  $( The positive reals form a set.  (Contributed by Glauco Siliprandi,
     11-Oct-2020.) $)
  rpex $p |- RR+ e. _V $=
    ( crp ccnfld cmgp cfv cc cc0 csn cdif cress co csubg eqid rpmsubg elexi ) A
    BCDEFGHIJZKDOOLMN $.

  $( A nonnegative extended real is nonnegative.  (Contributed by Glauco
     Siliprandi, 11-Oct-2020.) $)
  xrge0ge0 $p |- ( A e. ( 0 [,] +oo ) -> 0 <_ A ) $=
    ( cc0 cpnf cicc co wcel cxr cle wbr wa elxrge0 biimpi simprd ) ABCDEFZAGFZB
    AHIZNOPJAKLM $.

  ${
    xrssre.1 $e |- ( ph -> A C_ RR* ) $.
    xrssre.2 $e |- ( ph -> -. +oo e. A ) $.
    xrssre.3 $e |- ( ph -> -. -oo e. A ) $.
    $( A subset of extended reals that does not contain ` +oo ` and ` -oo ` is
       a subset of the reals.  (Contributed by Glauco Siliprandi,
       11-Oct-2020.) $)
    xrssre $p |- ( ph -> A C_ RR ) $=
      ( cpnf wcel cmnf wo cr wss wn w3o cxr ssxr syl 3orass sylib orcomd wa jca
      ioran sylibr wi df-or biimpi sylc ) AFBGZHBGZIZBJKZIZUJLZUKAUKUJAUKUHUIMZ
      UKUJIABNKUNCBOPUKUHUIQRSAUHLZUILZTUMAUOUPDEUAUHUIUBUCULUMUKUDUJUKUEUFUG
      $.
  $}

  ${
    $d A k $.  $d M k $.  $d k ph $.
    ssuzfz.1 $e |- Z = ( ZZ>= ` M ) $.
    ssuzfz.2 $e |- ( ph -> A C_ Z ) $.
    ssuzfz.3 $e |- ( ph -> A e. Fin ) $.
    $( A finite subset of the upper integers is a subset of a finite set of
       sequential integers.  (Contributed by Glauco Siliprandi,
       11-Oct-2020.) $)
    ssuzfz $p |- ( ph -> A C_ ( M ... sup ( A , RR , < ) ) ) $=
      ( vk cv cr clt csup wcel wss cz sselda syl a1i sstrd adantr cfz co wa cuz
      wral cfv eleqtrdi eluzel2 uzssz eqsstri c0 wne cfn ne0i adantl suprfinzcl
      syl3anc sseldd eluzle zssre simpr eqidd supfirege elfzd ex ralrimiv dfss3
      cle wbr sylibr ) AHIZCBJKLZUAUBZMZHBUEBVMNAVNHBAVKBMZVNAVOUCZVKCVLVPVKCUD
      UFZMZCOMVPVKDVQABDVKFPEUGZCVKUHQVPBOVLABONZVOABDOFDONADVQOECUIUJRSZTZVPVT
      BUKULZBUMMZVLBMWBVOWCABVKUNUOAWDVOGTZBUPUQURABOVKWAPVPVRCVKVHVIVSCVKUSQVP
      BVKVLABJNVOABOJWAOJNAUTRSTWEAVOVAVPVLVBVCVDVEVFHBVMVGVJ $.
  $}

  $( The absolute value is a function.  (Contributed by Glauco Siliprandi,
     11-Oct-2020.) $)
  absfun $p |- Fun abs $=
    ( cc cr cabs wf wfun absf ffun ax-mp ) ABCDCEFABCGH $.

  ${
    $d A x y $.  $d A z $.  $d B z $.  $d ph z $.
    infrpge.xph $e |- F/ x ph $.
    infrpge.a $e |- ( ph -> A C_ RR* ) $.
    infrpge.an0 $e |- ( ph -> A =/= (/) ) $.
    infrpge.bnd $e |- ( ph -> E. x e. RR A. y e. A x <_ y ) $.
    infrpge.b $e |- ( ph -> B e. RR+ ) $.
    $( The infimum of a nonempty, bounded subset of extended reals can be
       approximated from above by an element of the set.  (Contributed by
       Glauco Siliprandi, 11-Oct-2020.) $)
    infrpge $p |- ( ph -> E. z e. A z <_ ( inf ( A , RR* , < ) +e B ) ) $=
      ( cxr clt cpnf cle wbr wa wcel adantr syl2anc cinf wceq cv cxad co wex c0
      wrex wne biimpi syl nfv simpr wss sseldd pnfge adantlr oveq1 adantl rpxrd
      n0 cmnf cr rpred renemnf xaddpnf2 eqtr2d breqtrd jca ex mpd df-rex sylibr
      eximd simpl wral w3a mnfxr a1i rexr 3ad2ant2 infxrcl 3ad2ant1 mnflt simp3
      wn wb infxrgelb 3adant3 mpbird xrltletrd rexlimd neqne nepnfltpnf xrrebnd
      3exp caddc crp ltaddrpd rexadd eqcomd xaddcld mpbid mtbid rexnal ad2antrr
      xrltnle wi xrltled reximdva pm2.61dan ) AELMUAZNUBZDUCZXLFUDUEZOPZDEUHZAX
      MQZXNERZXPQZDUFZXQXRXSDUFZYAAYBXMAEUGUIZYBIYCYBDEVAUJUKSXRXSXTDXRDULXRXSX
      TXRXSQZXSXPXRXSUMYDXNNXOOAXSXNNOPZXMAXSQZXNLRZYEYFELXNAELUNZXSHSAXSUMUOZX
      NUPUKUQXRNXOUBXSXRXONFUDUEZNXMXOYJUBAXLNFUDURUSAYJNUBZXMAFLRFVBUIZYKAFKUT
      ZAFVCRZYLAFKVDZFVEUKFVFTSVGSVHVIVJVNVKXPDEVLVMAXMWFZQZXOXNOPZWFZDEUHZXQYQ
      AXOXLOPZWFZYTAYPVOZYQAXLVCRZUUBUUCYQUUDVBXLMPZXLNMPZQZYQUUEUUFAUUEYPABUCZ
      CUCOPCEVPZBVCUHUUEJAUUIUUEBVCGUUEBULAUUHVCRZUUIUUEAUUJUUIVQZVBUUHXLVBLRUU
      KVRVSUUJAUUHLRZUUIUUHVTZWAAUUJXLLRZUUIAYHUUNHEWBUKZWCUUJAVBUUHMPUUIUUHWDW
      AUUKUUHXLOPZUUIAUUJUUIWEAUUJUUPUUIWGZUUIAUUJQYHUULUUQAYHUUJHSUUJUULAUUMUS
      CEUUHWHTWIWJWKWPWLVKSYQXLYPXLNUIAXLNWMUSAUUNYPUUOSWNVIAUUDUUGWGZYPAUUNUUR
      UUOXLWOUKSWJAUUDQZXLXOMPZUUBUUSXLXLFWQUEZXOMUUSXLFAUUDUMZAFWRRUUDKSWSUUSX
      OUVAUUSUUDYNXOUVAUBUVBAYNUUDYOSXLFWTTXAVHUUSUUNXOLRZUUTUUBWGAUUNUUDUUOSAU
      VCUUDAXLFUUOYMXBZSXLXOXGTXCTAUUBQZYRDEVPZWFYTUVEUUAUVFAUUBUMUVEAUUAUVFWGZ
      AUUBVOAYHUVCUVGHUVDDEXOWHTUKXDYRDEXEVMTYQYSXPDEAXSYSXPXHYPYFYSXPYFYSQZXNX
      OYFYGYSYISZAUVCXSYSUVDXFZUVHXNXOMPZYSYFYSUMUVHYGUVCUVKYSWGUVIUVJXNXOXGTWJ
      XIVJUQXJVKXK $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.
    xrlexaddrp.1 $e |- ( ph -> A e. RR* ) $.
    xrlexaddrp.2 $e |- ( ph -> B e. RR* ) $.
    xrlexaddrp.3 $e |- ( ( ph /\ x e. RR+ ) -> A <_ ( B +e x ) ) $.
    $( If an extended real number ` A ` can be approximated from above, adding
       positive reals to ` B ` , then ` A ` is less than or equal to ` B ` .
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    xrlexaddrp $p |- ( ph -> A <_ B ) $=
      ( cpnf wceq cle wbr wa wcel adantr adantl cmnf simpr c1 cxad syl2anc sylc
      cxr pnfge syl id eqcomd breqtrd wn wne simpl neqne eqbrtrd adantlr simpll
      mnfle cr wo jca xrnepnf sylib pm2.53 co crp 1rp a1i cv wi 1re elexi eleq1
      anbi2d oveq2 breq2d imbi12d vtocl ad2antrr clt oveq1 ltpnf ax-mp xaddmnf2
      ltneii mp2an eqtr2d nemnftgtmnft wb xaddcld xrltnle mpbid pm2.65da neqned
      1xr ad4ant13 neneqd condan caddc wral rpre rexadd adantll xralrple mpbird
      ralrimiva pm2.61dan ) ADHIZCDJKZAXELCHDJACHJKZXEACUBMZXGECUCUDNXEHDIAXEDH
      XEUEUFOUGAXEUHZLADHUIZXFAXIUJXIXJADHUKOAXJLZCPIZXFAXLXFXJAXLLCPDJAXLQAPDJ
      KZXLADUBMZXMFDUOUDNULUMXKXLUHZLXKCPUIZXFXKXOUJXOXPXKCPUKOXKXPLZADUPMZXFAX
      JXPUNXQXRDPIZXKXRUHZXSXPXKXTLXRXSUQZXTXSXKYAXTXKXNXJLYAXKXNXJAXNXJFNAXJQU
      RDUSUTNXKXTQXRXSVAUAUMXQXTLDPAXPDPUIXJXTAXPLZDPYBXSCDRSVBZJKZAYDXPXSAARVC
      MZYDAUEYEAVDVEABVFZVCMZLZCDYFSVBZJKZVGAYELZYDVGBRRUPVHVIYFRIZYHYKYJYDYLYG
      YEAYFRVCVJVKYLYIYCCJYFRDSVLVMVNGVOTVPYBXSLZYCCVQKZYDUHZYMYCPCVQYMPYCXSPYC
      IYBXSYCPRSVBZPDPRSVRYPPIZXSRUBMZRHUIYQWLRHVHRUPMRHVQKVHRVSVTWBRWAWCVEWDOU
      FYBPCVQKZXSYBXHXPYSAXHXPENAXPQCWETNULYMYCUBMXHYNYOWFYMDRAXNXPXSFVPYRYMWLV
      EWGAXHXPXSEVPYCCWHTWIWJWKWMWNWOAXRLZXFCDYFWPVBZJKZBVCWQZYTUUBBVCYTYGLCYIU
      UAJAYGYJXRGUMXRYGYIUUAIZAXRYGLXRYFUPMZUUDXRYGUJYGUUEXRYFWRODYFWSTWTUGXCYT
      XHXRXFUUCWFAXHXRENAXRQBCDXATXBTTXDTXD $.
  $}

  ${
    $d A v x y z $.  $d B v x y z $.  $d ph v z $.
    supsubc.a1 $e |- ( ph -> A C_ RR ) $.
    supsubc.a2 $e |- ( ph -> A =/= (/) ) $.
    supsubc.a3 $e |- ( ph -> E. x e. RR A. y e. A y <_ x ) $.
    supsubc.b $e |- ( ph -> B e. RR ) $.
    supsubc.c $e |- C = { z | E. v e. A z = ( v - B ) } $.
    $( The supremum function distributes over subtraction in a sense similar to
       that in ~ supaddc .  (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    supsubc $p |- ( ph -> ( sup ( A , RR , < ) - B ) = sup ( C , RR , < ) ) $=
      ( cr clt csup cv co wceq wrex cneg caddc cab cmin wcel wa sselda recnd cc
      adantr negsubd eqcomd eqeq2d rexbidva abbidv 3eqtrd supeq1d renegcld eqid
      a1i eqidd supaddc wss c0 wne cle wbr wral suprcl syl3anc 3eqtrrd ) AHNOPD
      QZEQZGUAZUBRZSZEFTZDUCZNOPZFNOPZVNUBRZVTGUDRANHVROAHVLVMGUDRZSZEFTZDUCZVR
      VRHWESAMUTAWDVQDAWCVPEFAVMFUEZUFZWBVOVLWGVOWBWGVMGWGVMAFNVMIUGUHAGUIUEWFA
      GLUHZUJUKULUMUNUOAVRVAUPUQAWAVSABCDEFVNVRIJKAGLURVRUSVBULAVTGAVTAFNVCFVDV
      ECQBQVFVGCFVHBNTVTNUEIJKBCFVIVJUHWHUKVK $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d ph y $.
    xralrple2.x $e |- F/ x ph $.
    xralrple2.a $e |- ( ph -> A e. RR* ) $.
    xralrple2.b $e |- ( ph -> B e. ( 0 [,) +oo ) ) $.
    $( Show that ` A ` is less than ` B ` by showing that there is no positive
       bound on the difference.  A variant on ~ xralrple .  (Contributed by
       Glauco Siliprandi, 21-Nov-2020.) $)
    xralrple2 $p |- ( ph -> ( A <_ B <-> A. x e. RR+ A <_ ( ( 1 + x ) x. B ) )
       ) $=
      ( cle wbr c1 caddc co cmul crp wa wcel cc0 adantl adantr wceq vy wral nfv
      cv nfan cxr ad2antrr cpnf cico icossxr sselid 1red rpre readdcld rge0ssre
      cr remulcld rexrd adantlr simplr 0xr pnfxr icogelb syl3anc ltaddrpd ltled
      a1i id syl lemulge12d xrletrd ex ralrimi ad3antrrr eqeltrd adantll c2 1rp
      oveq2 oveq1d breq2d rspcva syl2anc 1p1e2 breqtrd simpr simpl mul01d eqtrd
      0red 2cnd ad4ant24 clt rpgt0 oveq1 recnd addid2d eqtr2d xrlelttrd xrltled
      cc wne necon3bi leneltd elrpd ad4ant14 cdiv rpdivcld simpll adantlll 1cnd
      rpcn rpne0 divcld adddird mulid2d divcan1d oveq12d eqidd 3eqtrd pm2.61dan
      wn ralrimiva wb xralrple mpbird impbid ) ACDHIZCJBUDZKLZDMLZHIZBNUBZAYHYM
      AYHOZYLBNAYHBEYHBUCUEYNYINPZYLYNYOOZCDYKACUFPZYHYOFUGYPQUHUILZUFDQUHUJADY
      RPZYHYOGUGUKAYOYKUFPYHAYOOZYKYTYJDYTJYIYTULYOYIUPPAYIUMZRUNADUPPZYOAYRUPD
      UOGUKZSUQURUSAYHYOUTYPDYJAUUBYHYOUUCUGYOYJUPPYNYOJYIYOULZUUAUNZRAQDHIZYHY
      OAYSUUFGYSQUFPZUHUFPZYSUUFUUGYSVAVGUUHYSVBVGYSVHQUHDVCVDVIZUGYOJYJHIYNYOJ
      YJUUDUUEYOJYIUUDYOVHVEVFRVJVKVLVMVLAYMYHAYMOZYHCDUAUDZKLZHIZUANUBZUUJUUMU
      ANUUJUUKNPZOZDQTZUUMUUPUUQOZCUULAYQYMUUOUUQFVNZUUOUUQUULUFPUUJUUOUUQOZUUL
      UUTDUUKUUQUUBUUOUUQDQUPUUQVHZUUQWJVORUUOUUKUPPUUQUUKUMZSUNURVPZUURCQUULUU
      SUUGUURVAVGUVCYMUUQCQHIZAUUOYMUUQOCVQDMLZHIZUUQUVDYMUVFUUQYMCJJKLZDMLZUVE
      HYMJNPZYMCUVHHIZUVIYMVRVGYMVHYLUVJBJNYIJTZYKUVHCHUVKYJUVGDMYIJJKVSVTWAWBW
      CYMUVGVQDMUVGVQTYMWDVGVTWESYMUUQWFUVFUUQOCUVEQHUVFUUQWGUUQUVEQTUVFUUQUVEV
      QQMLQDQVQMVSUUQVQUUQWKWHWIRWEWCWLUUOUUQQUULWMIUUJUUTQUUKUULWMUUOQUUKWMIUU
      QUUKWNSUUTUULQUUKKLZUUKUUQUULUVLTUUODQUUKKWORUUTUUKUUOUUKXAPZUUQUUOUUKUVB
      WPZSWQWRWEVPWSWTUUPUUQYBZOUUPDNPZUUMUUPUVOWGAUVOUVPYMUUOAUVOOZDAUUBUVOUUC
      SZUVQQDUVQWJUVRAUUFUVOUUISUVODQXBZAUUQDQUVAXCRXDXEXFUUPUVPOCJUUKDXGLZKLZD
      MLZUULHYMUUOUVPCUWBHIZAYMUUOOZUVPOZUVTNPYMUWCUWEUUKDYMUUOUVPUTUWDUVPWFXHY
      MUUOUVPXIYLUWCBUVTNYIUVTTZYKUWBCHUWFYJUWADMYIUVTJKVSVTWAWBWCXJUUOUVPUWBUU
      LTUUJUUOUVPOZUWBJDMLZUVTDMLZKLUULUULUWGJUVTDUWGXKUWGUUKDUUOUVMUVPUVNSZUVP
      DXAPUUODXLRZUVPUVSUUODXMRZXNUWKXOUWGUWHDUWIUUKKUWGDUWKXPUWGUUKDUWJUWKUWLX
      QXRUWGUULXSXTVPWEWCYAYCAYHUUNYDZYMAYQUUBUWMFUUCUACDYEWCSYFVLYG $.
  $}

  $( The first ` N ` elements of the set of nonnegative integers are distinct
     from any later members.  (Contributed by Glauco Siliprandi,
     21-Nov-2020.) $)
  nnuzdisj $p |- ( ( 1 ... N ) i^i ( ZZ>= ` ( N + 1 ) ) ) = (/) $=
    ( c1 cfz co caddc cuz cfv cin cc0 wss c0 fz1ssfz0 ssrin ax-mp nn0disj sseq0
    wceq mp2an ) BACDZABEDFGZHZIACDZTHZJZUCKQUAKQSUBJUDALSUBTMNAOUAUCPR $.
  ${
    ltdivgt1.1 $e |- ( ph -> A e. RR+ ) $.
    ltdivgt1.2 $e |- ( ph -> B e. RR+ ) $.
    $( Divsion by a number greater than 1.  (Contributed by Glauco Siliprandi,
       21-Nov-2020.) $)
    ltdivgt1 $p |- ( ph -> ( 1 < B <-> ( A / B ) < A ) ) $=
      ( c1 clt wbr cdiv co crp wcel 1rp a1i ltdiv2d rpcnd div1d breq2d bitrd )
      AFCGHBCIJZBFIJZGHTBGHAFCBFKLAMNEDOAUABTGABABDPQRS $.
  $}

  ${
    xrltned.1 $e |- ( ph -> A e. RR* ) $.
    xrltned.2 $e |- ( ph -> B e. RR* ) $.
    xrltned.3 $e |- ( ph -> A < B ) $.
    $( 'Less than' implies not equal.  (Contributed by Glauco Siliprandi,
       21-Nov-2020.) $)
    xrltned $p |- ( ph -> A =/= B ) $=
      ( xrgtned necomd ) ACBABCDEFGH $.
  $}

  $( Express the set of positive integers as the disjoint (see ~ nnuzdisj )
     union of the first ` N ` values and the rest.  (Contributed by Glauco
     Siliprandi, 21-Nov-2020.) $)
  nnsplit $p |- ( N e. NN -> NN = ( ( 1 ... N ) u. ( ZZ>= ` ( N + 1 ) ) ) ) $=
    ( cn wcel c1 cuz cfv caddc cmin cfz cun wceq nnuz peano2nn eleqtrdi uzsplit
    co a1i syl nncn 1cnd pncand oveq2d uneq1d 3eqtrd ) ABCZBDEFZDADGPZDHPZIPZUG
    EFZJZDAIPZUJJBUFKUELQUEUGUFCUFUKKUEUGBUFAMLNDUGORUEUIULUJUEUHADIUEADASUETUA
    UBUCUD $.

  ${
    divdiv3d.1 $e |- ( ph -> A e. CC ) $.
    divdiv3d.2 $e |- ( ph -> B e. CC ) $.
    divdiv3d.3 $e |- ( ph -> C e. CC ) $.
    divdiv3d.4 $e |- ( ph -> B =/= 0 ) $.
    divdiv3d.5 $e |- ( ph -> C =/= 0 ) $.
    $( Division into a fraction.  (Contributed by Glauco Siliprandi,
       24-Dec-2020.) $)
    divdiv3d $p |- ( ph -> ( ( A / B ) / C ) = ( A / ( C x. B ) ) ) $=
      ( cdiv co cmul divdiv1d mulcomd oveq2d eqtrd ) ABCJKDJKBCDLKZJKBDCLKZJKAB
      CDEFGHIMAQRBJACDFGNOP $.
  $}

  ${
    abslt2sqd.a $e |- ( ph -> A e. RR ) $.
    abslt2sqd.b $e |- ( ph -> B e. RR ) $.
    abslt2sqd.l $e |- ( ph -> ( abs ` A ) < ( abs ` B ) ) $.
    $( Comparison of the square of two numbers.  (Contributed by Glauco
       Siliprandi, 24-Dec-2020.) $)
    abslt2sqd $p |- ( ph -> ( A ^ 2 ) < ( B ^ 2 ) ) $=
      ( cabs cfv c2 cexp co clt wbr cr wcel cc0 cle recnd abscld absge0d wb syl
      lt2sq syl22anc mpbid wceq absresq breq12d ) ABGHZIJKZCGHZIJKZLMZBIJKZCIJK
      ZLMAUIUKLMZUMFAUINOPUIQMUKNOPUKQMUPUMUAABABDRZSABUQTACACERZSACURTUIUKUCUD
      UEAUJUNULUOLABNOUJUNUFDBUGUBACNOULUOUFECUGUBUHUE $.
  $}

  $( The set of rational numbers is equinumerous to omega (the set of finite
     ordinal numbers).  (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
  qenom $p |- QQ ~~ _om $=
    ( cq cn com qnnen nnenom entri ) ABCDEF $.
  $( The set of rational numbers is countable.  (Contributed by Glauco
     Siliprandi, 24-Dec-2020.) $)
  qct $p |- QQ ~<_ _om $=
    ( cq com cen wbr cdom qenom endom ax-mp ) ABCDABEDFABGH $.

  ${
    xrltnled.1 $e |- ( ph -> A e. RR* ) $.
    xrltnled.2 $e |- ( ph -> B e. RR* ) $.
    $( 'Less than' in terms of 'less than or equal to'.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    xrltnled $p |- ( ph -> ( A < B <-> -. B <_ A ) ) $=
      ( cxr wcel clt wbr cle wn wb xrltnle syl2anc ) ABFGCFGBCHICBJIKLDEBCMN $.
  $}

  ${
    lenlteq.1 $e |- ( ph -> A e. RR ) $.
    lenlteq.2 $e |- ( ph -> B e. RR ) $.
    lenlteq.3 $e |- ( ph -> A <_ B ) $.
    lenlteq.4 $e |- ( ph -> -. A < B ) $.
    $( 'less than or equal to' but not 'less than' implies 'equal' .
       (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    lenlteq $p |- ( ph -> A = B ) $=
      ( wceq cle wbr clt wn wa jca cr wcel wb eqlelt syl2anc mpbird ) ABCHZBCIJ
      ZBCKJLZMZAUBUCFGNABOPCOPUAUDQDEBCRST $.
  $}

  ${
    xrred.1 $e |- ( ph -> A e. RR* ) $.
    xrred.2 $e |- ( ph -> A =/= -oo ) $.
    xrred.3 $e |- ( ph -> A =/= +oo ) $.
    $( An extended real that is neither minus infinity, nor plus infinity, is
       real.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    xrred $p |- ( ph -> A e. RR ) $=
      ( cr wcel cpnf wceq wo wn cxr cmnf wne wa jca xrnemnf sylib neneqd pm2.53
      con1d sylc ) ABFGZBHIZJZUDKUCABLGZBMNZOUEAUFUGCDPBQRABHESUEUCUDUCUDTUAUB
      $.
  $}

  $( The cartesian square of ` RR ` is a subset of the cartesian square of
     ` CC ` .  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
  rr2sscn2 $p |- ( RR X. RR ) C_ ( CC X. CC ) $=
    ( cr cc wss cxp ax-resscn xpss12 mp2an ) ABCZHAADBBDCEEABABFG $.
  ${
    $d A x y $.  $d B x y $.
    infxr.x $e |- F/ x ph $.
    infxr.y $e |- F/ y ph $.
    infxr.a $e |- ( ph -> A C_ RR* ) $.
    infxr.b $e |- ( ph -> B e. RR* ) $.
    infxr.n $e |- ( ph -> A. x e. A -. x < B ) $.
    infxr.e $e |- ( ph -> A. x e. RR ( B < x -> E. y e. A y < x ) ) $.
    $( The infimum of a set of extended reals.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    infxr $p |- ( ph -> inf ( A , RR* , < ) = B ) $=
      ( cxr wcel clt wbr wi wa cpnf cmnf c1 cv wn wral wrex cr r19.21bi adantlr
      cinf wceq simplll simpllr simplr wne mnfxr a1i ad2antrr cle syl xrlelttrd
      mnfle simpr xrgtned xrnmnfpnf w3a simpl id 1re mnflt eqbrtrdi adantl 1red
      ax-mp breq2 rexbidv imbi12d rspcva syl2anc sylc nfv sselda ad4ant13 pnfxr
      1xr eqeltrdi ltpnf eqcomd breqtrd xrlttrd ex reximdai adantr mpd 3adantl3
      nfan caddc co 3ad2antl1 necon3bi 3adant1 xrltned xrred readdcld jca ltp1d
      nf3an rexrd 3adant3 ad3antrrr ltpnfd 3ad2antl2 pm2.61dan syl3anc wtru wor
      ralrimi xrltso eqinf mptru ) AELMZBUAZENOUBBDUCZEXTNOZCUAZXTNOZCDUDZPZBLU
      CZDLNUHEUIZIJAYFBLFAXTLMZYFAYIQZXTUEMZYFAYKYFYIAYFBUEKUFUGYJYKUBZQZYBYEYM
      YBQZAXTRUIZYBYEAYIYLYBUJYNXTAYIYLYBUKYJYLYBULYJYBXTSUMYLYJYBQZSXTSLMYPUNU
      OZAYIYBULZYPSEXTYQAXSYIYBIUPYRASEUQOZYIYBAXSYSIEUTURUPYJYBVAUSVBUGVCYMYBV
      AAYOYBVDZESUIZYEAYOUUAYEYBAYOQZUUAQYCTNOZCDUDZYEAUUAUUDYOAUUAQAETNOZUUDAU
      UAVEUUAUUEAUUAESTNUUAVFZTUEMZSTNOVGTVHVLVIVJAUUGYFBUEUCZUUEUUDPZAVKKYFUUI
      BTUEXTTUIZYBUUEYEUUDXTTENVMUUJYDUUCCDXTTYCNVMVNVOVPVQVRUGUUBUUDYEPUUAUUBU
      UCYDCDAYOCGYOCVSZWNUUBYCDMZUUCYDPUUBUULQZUUCYDUUMUUCQZYCTXTAUULYCLMZYOUUC
      ADLYCHVTZWATLMUUNWCUOUUBYIUULUUCYOYIAYOXTRLYOVFZWBWDVJZUPUUMUUCVAUUBTXTNO
      ZUULUUCYOUUSAYOTRXTNTRNOZYOUUGUUTVGTWEVLUOYOXTRUUQWFZWGVJUPWHWIWIWJWKWLWM
      YTUUAUBZQZYCETWOWPZNOZCDUDZYEUVCUVDUEMZUUHQEUVDNOZUVFUVCUVGUUHUVCETUVCEAY
      OUVBXSYBAXSUVBIWKWQZUVBESUMYTUUAESUUFWRVJUVCERUVIRLMUVCWBUOYTERNOZUVBYOYB
      UVJAYOYBQEXTRNYOYBVAYOYBVEWGWSWKWTXAZUUGUVCVGUOXBZAYOUVBUUHYBAUUHUVBKWKWQ
      XCUVCEUVKXDYFUVHUVFPBUVDUEXTUVDUIZYBUVHYEUVFXTUVDENVMUVMYDUVECDXTUVDYCNVM
      VNVOVPVRUVCUVEYDCDYTUVBCAYOYBCGUUKYBCVSXEUVBCVSWNUVCUULUVEYDPUVCUULQZUVEY
      DUVNUVEQYCUVDXTYTUULUUOUVBUVEAYOUULUUOYBUUPWQWAUVNUVDLMUVEUVNUVDUVCUVGUUL
      UVLWKXFWKYTYIUVBUULUVEAYOYIYBUURXGXHUVNUVEVAUVCUVDXTNOUULUVEUVCUVDRXTNUVC
      UVDUVLXIYOAUVBRXTUIZYBYOUVOUVBUVAWKXJWGUPWHWIWIWJWLXKXLWIXKWIXOXSYAYGVDYH
      PXMBCLDENLNXNXMXPUOXQXRXL $.
  $}

  ${
    $d A w y z $.  $d A x y $.
    $( The infimum of an unbounded-below set of extended reals is minus
       infinity.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    infxrunb2 $p |- ( A C_ RR* -> ( A. x e. RR E. y e. A y < x <-> inf ( A ,
       RR* , < ) = -oo ) ) $=
      ( vz vw cxr cv clt wbr wrex cr wral cmnf nfv nfan simpl wcel a1i adantl
      wa wss cinf wceq nfra1 nfcv nfre1 nfralw mnfxr ssel2 nltmnf syl ralrimiva
      wn adantr wi ralimralim infxr ex rexr eqbrtrd adantll wor xrltso xrinfmss
      mnflt ad2antrr infglb mp2and impbid ) CFUAZBGZAGZHIZBCJZAKLZCFHUBZMUCZVJV
      OVQVJVOTZABCMVJVOAVJANVNAKUDOVJVOBVJBNVNBAKBKUEVMBCUFUGOVJVOPMFQVRUHRVJVL
      MHIUMZACLVOVJVSACVJVLCQTVLFQZVSCFVLUIVLUJUKULUNVOMVLHIZVNUOAKLVJVNWAAKUPS
      UQURVJVQVOVJVQTZVNAKWBVLKQZTZVTVPVLHIZVNWCVTWBVLUSSVQWCWEVJVQWCTVPMVLHVQW
      CPWCWAVQVLVESUTVAWDDEBFCVLHFHVBWDVCRVJEGZDGZHIUMECLWGWFHIVKWFHIBCJUOEFLTD
      FJVQWCDEBCVDVFVGVHULURVI $.
  $}

  ${
    $d A x y $.
    $( The infimum of a bounded-below set of extended reals is greater than
       minus infinity.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    infxrbnd2 $p |- ( A C_ RR* -> ( E. x e. RR A. y e. A x <_ y <-> -oo < inf (
       A , RR* , < ) ) ) $=
      ( cxr wss cv cle wbr wral cr wrex cmnf clt cinf wn wceq ralnex wcel wa wb
      ssel2 simpl simpr xrltnled syl2an an32s rexbidva bitr2di ralbidva bitr3id
      rexr rexnal infxrunb2 infxrcl ngtmnft syl 3bitrd con4bid ) CDEZAFZBFZGHZB
      CIZAJKZLCDMNZMHZUSVDOZVAUTMHZBCKZAJIZVELPZVFOZVGVCOZAJIUSVJVCAJQUSVMVIAJU
      SUTJRZSZVIVBOZBCKVMVOVHVPBCUSVACRZVNVHVPTZUSVQSVADRZUTDRZVRVNCDVAUAUTUKVS
      VTSVAUTVSVTUBVSVTUCUDUEUFUGVBBCULUHUIUJABCUMUSVEDRVKVLTCUNVEUOUPUQUR $.
  $}

  ${
    infleinflem1.a $e |- ( ph -> A C_ RR* ) $.
    infleinflem1.b $e |- ( ph -> B C_ RR* ) $.
    infleinflem1.w $e |- ( ph -> W e. RR+ ) $.
    infleinflem1.x $e |- ( ph -> X e. B ) $.
    infleinflem1.i $e |- ( ph -> X <_ ( inf ( B , RR* , < ) +e ( W / 2 ) ) ) $.
    infleinflem1.z $e |- ( ph -> Z e. A ) $.
    infleinflem1.l $e |- ( ph -> Z <_ ( X +e ( W / 2 ) ) ) $.
    $( Lemma for ~ infleinf , case ` B =/= (/) /\ -oo < inf ( B , RR* , < ) ` .
       (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    infleinflem1 $p |- ( ph -> inf ( A , RR* , < ) <_ ( inf ( B , RR* , < ) +e
       W ) ) $=
      ( cxr cxad co wcel syl cle cpnf clt wss infxrcl id sseldd crp xaddcld wbr
      cinf rpxr infxrlb syl2anc c2 cdiv sselda mpdan rpred rehalfcld rexrd wceq
      wa pnfge adantr oveq1 adantl cmnf cr rpre renemnf xaddpnf2 eqtr2d breqtrd
      wn rphalfcl rpxrd xleadd1d neqne renepnf 3syl xaddass2 syl222anc rehalfcl
      wne caddc rexaddd cc recn 2halves eqtrd oveq2d pm2.61dan xrletrd ) ABNUAU
      IZFCNUAUIZDOPZAWMNQZWPABNUBZWPGBUCRWPUDRABNFGLUEZAWNDACNUBWNNQZHCUCRZADUF
      QZDNQZIDUJZRUGZAWQFBQWMFSUHGLBFUKULAFEDUMUNPZOPZWOWRAEXEAECQENQJACNEHUOUP
      AXEADADIUQURUSZUGZXDMAWNTUTZXFWOSUHAXIVAZXFTWOSAXFTSUHZXIAXFNQXKXHXFVBRVC
      XJWOTDOPZTXIWOXLUTAWNTDOVDVEAXLTUTZXIAXAXMIXAXBDVFWCZXMXCXADVGQZXNDVHZDVI
      RDVJULRVCVKVLAXIVMZVAZXFWNXEOPZXEOPZWOSAXFXTSUHXQAEXSXEACNEHJUEAWNXEWTXGU
      GAXEAXAXEUFQZIDVNZRVOZKVPVCXRXTWNXEXEOPZOPZWOXRWSWNTWCZXENQZXETWCZYGYHXTY
      EUTAWSXQWTVCXQYFAWNTVQVEAYGXQYCVCZXRXAYHAXAXQIVCZXAYAXEVGQYHYBXEVHXEVRVSR
      ZYIYKWNXEXEVTWAXRXAXOYEWOUTYJXPXOYDDWNOXOYDXEXEWDPZDXOXEXEDWBZYMWEXODWFQY
      LDUTDWGDWHRWIWJVSWIVLWKWLWL $.
  $}

  ${
    infleinflem2.a $e |- ( ph -> A C_ RR* ) $.
    infleinflem2.b $e |- ( ph -> B C_ RR* ) $.
    infleinflem2.r $e |- ( ph -> R e. RR ) $.
    infleinflem2.x $e |- ( ph -> X e. B ) $.
    infleinflem2.t $e |- ( ph -> X < ( R - 2 ) ) $.
    infleinflem2.z $e |- ( ph -> Z e. A ) $.
    infleinflem2.l $e |- ( ph -> Z <_ ( X +e 1 ) ) $.
    $( Lemma for ~ infleinf , when ` inf ( B , RR* , < ) = -oo ` .
       (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    infleinflem2 $p |- ( ph -> Z < R ) $=
      ( cmnf clt wbr wa wcel adantr c1 cr simpr mnflt eqbrtrd syl2anc wne simpl
      wceq wn neqne adantl c2 cmin co cxad cle cxr id sselda cpnf a1i peano2rem
      pnfxr rexrd syl sseldd 1xr xaddcld w3a oveq1 renepnf ax-mp xaddmnf2 mp2an
      eqtrd mnfltd adantlr 3adantl3 simpl2 simp2 resubcld 3ad2ant1 simp3 ltpnfd
      1re xrlttrd xrltned xrred caddc ad2antlr ad2antrr 1red ltadd1dd recn 2cnd
      2re cc subsubd 2m1e1 oveq2i eqtr3d breqtrd wb rexaddd breq1d mpbird an32s
      3adantl2 pm2.61dan syl3anc xrlelttrd simpl3 mnfxr eqeltrdi xrltnled mpbid
      1cnd rexr 3ad2antl1 pm2.65da neqned jca31 simplr simp-4r readdcld eqeltrd
      ad4antr ad3antlr ad3antrrr ltm1d lttrd lelttrd syl21anc ) AFNUHZFDOPZAYNQ
      DUARZYNYOAYPYNISAYNUBYPYNQFNDOYPYNUBYPNDOPYNDUCSUDUEAYNUIZQAFNUFZYOAYQUGY
      QYRAFNUJUKAYRQZYPEUARZQZEDULUMUNZOPZQZFUARZFETUOUNZUPPZYOYSYPYTUUCAYPYRIS
      YSEAEUQRZYRAAECRUUHAURZJACUQEHUSUEZSZYSUUEUUHUUGENUFZYSFAFUQRZYRAAFBRUUMU
      UILABUQFGUSUEZSAYRUBAFUTUFYRAFUTUUNUTUQRZAVCVAZAFDTUMUNZUTUUNAYPUUQUQRIYP
      UUQDVBZVDVEZUUPAFUUFUUQUUNAUUHUUFUQRACUQEHJVFZUUHETUUHURTUQRZUUHVGVAVHVEU
      USMAYPUUHUUCUUFUUQOPZIUUTKYPUUHUUCVIZENUHZUVBYPUUHUVDUVBUUCYPUVDUVBUUHYPU
      VDQUUFNUUQOUVDUUFNUHZYPUVDUUFNTUOUNZNENTUOVJUVFNUHZUVDUVATUTUFZUVGVGTUARZ
      UVHWETVKVLTVMVNVAVOZUKYPNUUQOPUVDYPUUQUURVPSUDVQVRUVCUVDUIZQZUVCYTUVBUVCU
      VKUGUVLEYPUUHUUCUVKVSUVKUULUVCENUJUKUVCEUTUFZUVKUVCEUTYPUUHUUCVTZUUOUVCVC
      VAZUVCEUUBUTUVNYPUUHUUBUQRUUCYPUUBYPDULYPURZULUARYPWPVAWAZVDWBUVOYPUUHUUC
      WCYPUUHUUBUTOPUUCYPUUBUVQWDWBWFWGZSWHYPUUCYTUVBUUHYPYTUUCUVBUUDUVBETWIUNZ
      UUQOPZUUDUVSUUBTWIUNZUUQOUUDEUUBTYTYTYPUUCYTURZWJZYPUUBUARYTUUCUVQWKUUDYT
      UVIUWCYTWLZVEUUAUUCUBWMYPUWAUUQUHZYTUUCYPDWQRZUWEDWNUWFDULTUMUNZUMUNZUWAU
      UQUWFDULTUWFURUWFWOUWFXQWRUWHUUQUHUWFUWGTDUMWSWTVAXAVEWKXBYTUVBUVTXCYPUUC
      YTUUFUVSUUQOYTETUWBUWDXDZXEWJXFZXGXHUEXIXJXKAYPUUQUTOPIYPUUQUURWDVEWFWGSW
      HZUUKAUUGYRMSZUUEUUHUUGVIZENUWMUVDUUGUUEUUHUUGUVDXLUUEUUHUVDUUGUIZUUGUUEU
      VDQZUUFFOPUWNUWOUUFNFOUVDUVEUUEUVJUKZUUENFOPUVDFUCSUDUWOUUFFUWOUUFNUQUWPX
      MXNUUEUUMUVDFXRSXOXPXSXTYAXJAUVMYRAYPUUHUUCUVMIUUJKUVRXJSWHAUUCYRKSYBUWKU
      WLUUDUUEQZUUGQZFUUFDUUDUUEUUGYCUWRYTUUFUARZYPYTUUCUUEUUGYDYTUUFUVSUAUWIYT
      ETUWBUWDYEYFZVEYPYPYTUUCUUEUUGUVPYGUWQUUGUBUWQUUFDOPUUGUWQUUFUUQDYTUWSYPU
      UCUUEUWTYHYPUUQUARYTUUCUUEUURYIYPYPYTUUCUUEUVPYIZUUDUVBUUEUWJSUWQDUXAYJYK
      SYLYMUEXI $.
  $}

  ${
    $d A r x y z $.  $d A w x y z $.  $d B b w x $.  $d B r x y z $.
    $d b ph w x $.  $d ph r x y z $.
    infleinf.a $e |- ( ph -> A C_ RR* ) $.
    infleinf.b $e |- ( ph -> B C_ RR* ) $.
    infleinf.c $e |- ( ( ph /\ x e. B /\ y e. RR+ ) -> E. z e. A z <_ ( x +e y
       ) ) $.
    $( If any element of ` B ` can be approximated from above by members of
       ` A ` , then the infimum of ` A ` is less than or equal to the infimum
       of ` B ` .  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    infleinf $p |- ( ph -> inf ( A , RR* , < ) <_ inf ( B , RR* , < ) ) $=
      ( wceq cxr clt cle wbr wa wcel syl cmnf wrex cr vr vw vb c0 cinf cpnf wss
      infxrcl pnfge adantr infeq1 xrinf0 a1i eqtrd eqcomd adantl breqtrd wn wne
      neqne cv wral c2 cmin co id 2re resubcld simpr wb infxrunb2 breq2 rexbidv
      mpbird rspcva syl2anc wi w3a c1 cxad crp simpl 1rp 1ex eleq1 oveq2 breq2d
      3anbi3d imbi12d vtocl syl3anc adantlr 3adant3 simp1l simp1r simp2 simpll3
      ad2antrr simplr infleinflem2 reximdva mpd rexlimdv ralrimiva mpbid eqtr4d
      ex 3exp xreqled mnfxr mnfle necomd xrleneltd cdiv nfv ad3antrrr infxrbnd2
      simpllr ad4ant13 rphalfcld infrpge simpll rphalfcl ad2antlr simp11 simprd
      ovex simp11l simp12 simp3 3ad2ant1 infleinflem1 ad4ant14 syldan pm2.61dan
      xrlexaddrp ) AFUDJZEKLUEZFKLUEZMNZAYQOYRUFYSMAYRUFMNZYQAYRKPZUUAAEKUGZUUB
      GEUHQZYRUIQUJYQUFYSJAYQYSUFYQYSUDKLUEZUFKFUDLUKUUEUFJYQULUMUNUOUPUQAYQURZ
      FUDUSZYTUUFUUGAFUDUTUPAUUGOZYSRJZYTAUUIYTUUGAUUIOZYRYSAUUBUUIUUDUJUUJYRRY
      SUUJDVAZUAVAZLNZDESZUATVBZYRRJZUUJUUNUATUUJUULTPZOZBVAZUULVCVDVEZLNZBFSZU
      UNUURUUTTPZUUSCVAZLNZBFSZCTVBZUVBUUQUVCUUJUUQUULVCUUQVFVCTPUUQVGUMVHUPUUJ
      UVGUUQUUJUVGUUIAUUIVIZAUVGUUIVJZUUIAFKUGZUVIHCBFVKQUJVNUJUVFUVBCUUTTUVDUU
      TJUVEUVABFUVDUUTUUSLVLVMVOVPUURUVAUUNBFAUUQUUSFPZUVAUUNVQVQUUIAUUQOZUVKUV
      AUUNUVLUVKUVAVRZUUKUUSVSVTVEZMNZDESZUUNUVLUVKUVPUVAAUVKUVPUUQAUVKOZAUVKVS
      WAPZUVPAUVKWBAUVKVIUVRUVQWCUMAUVKUVDWAPZVRZUUKUUSUVDVTVEZMNZDESZVQZAUVKUV
      RVRZUVPVQCVSWDUVDVSJZUVTUWEUWCUVPUWFUVSUVRAUVKUVDVSWAWEWHUWFUWBUVODEUWFUW
      AUVNUUKMUVDVSUUSVTWFWGVMWIIWJWKWLWMUVMUVOUUMDEUVMUUKEPZOZUVOUUMUWHUVOOZEF
      UULUUSUUKUWIAUUCUVMAUWGUVOAUUQUVKUVAWNWRZGQUWIAUVJUWJHQUVMUUQUWGUVOAUUQUV
      KUVAWOWRUVMUVKUWGUVOUVLUVKUVAWPWRUVLUVKUVAUWGUVOWQUVMUWGUVOWSUWHUVOVIWTXG
      XAXBXHWLXCXBXDAUUOUUPVJZUUIAUUCUWKGUADEVKQUJXEUVHXFXIWLUUHUUIURZRYSLNZYTU
      UHUWLOZRYSARKPZUUGUWLUWOAXJUMWRAYSKPZUUGUWLAUVJUWPHFUHQZWRZUWNUWPRYSMNUWR
      YSXKQUWLRYSUSUUHUWLYSRYSRUTXLUPXMUUHUWMOZUBYRYSAUUBUUGUWMUUDWRAUWPUUGUWMU
      WQWRUWSUBVAZWAPZOZUUSYSUWTVCXNVEZVTVEMNZBFSZYRYSUWTVTVEMNZUXBUCBBFUXCUXBU
      CXOAUVJUUGUWMUXAHXPAUUGUWMUXAXRAUWMUCVAUUSMNBFVBUCTSZUUGUXAAUWMOUXGUWMAUW
      MVIAUXGUWMVJZUWMAUVJUXHHUCBFXQQUJVNXSUXBUWTUWSUXAVIXTYAAUXAUXEUXFVQUUGUWM
      AUXAOZUXDUXFBFUXIUVKUXDUXFUXIUVKUXDVRZUUKUUSUXCVTVEZMNZDESZUXFUXIUVKUXMUX
      DUXIUVKOAUVKUXCWAPZUXMAUXAUVKYBUXIUVKVIUXAUXNAUVKUWTYCYDUWDAUVKUXNVRZUXMV
      QCUXCUWTVCXNYGUVDUXCJZUVTUXOUWCUXMUXPUVSUXNAUVKUVDUXCWAWEWHUXPUWBUXLDEUXP
      UWAUXKUUKMUVDUXCUUSVTWFWGVMWIIWJWKWMUXJUXLUXFDEUXJUWGUXLUXFUXJUWGUXLVRZEF
      UWTUUSUUKUXQAUUCAUXAUVKUXDUWGUXLYHZGQUXQAUVJUXRHQUXQAUXAUXIUVKUXDUWGUXLYE
      YFUXIUVKUXDUWGUXLYIUXJUWGUXDUXLUXIUVKUXDYJYKUXJUWGUXLWPUXJUWGUXLYJYLXHXCX
      BXHXCYMXBYPYNYOYNYO $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d N x y $.  $d ph x y $.
    xralrple4.a $e |- ( ph -> A e. RR* ) $.
    xralrple4.b $e |- ( ph -> B e. RR ) $.
    xralrple4.n $e |- ( ph -> N e. NN ) $.
    $( Show that ` A ` is less than ` B ` by showing that there is no positive
       bound on the difference.  (Contributed by Glauco Siliprandi,
       8-Apr-2021.) $)
    xralrple4 $p |- ( ph -> ( A <_ B <-> A. x e. RR+ A <_ ( B + ( x ^ N ) ) ) )
                  $=
      ( vy cle wbr cexp co caddc crp wa wcel cr adantr adantlr cv wral ad2antrr
      cxr rexrd adantl cn0 nnnn0d reexpcld readdcld simplr cc0 expge0d addge01d
      rpre rpge0 mpbid xrletrd ralrimiva ex simpr nnrpd rpreccld rpred rpcxpcld
      c1 cdiv ccxp wceq oveq1 oveq2d breq2d syl2anc cc cn rpcnd cxproot breqtrd
      rspcva wb xralrple mpbird impbid ) ACDJKZCDBUAZELMZNMZJKZBOUBZAWDWIAWDPZW
      HBOWJWEOQZPZCDWGACUDQZWDWKFUCADUDQWDWKADGUEUCWLWGWLDWFADRQZWDWKGUCAWKWFRQ
      WDAWKPZWEEWKWERQAWEUOUFZAEUGQWKAEHUHSZUIZTUJUEAWDWKUKAWKDWGJKZWDWOULWFJKW
      SWOWEEWPWQWKULWEJKAWEUPUFUMWODWFAWNWKGSWRUNUQTURUSUTAWIWDAWIPZWDCDIUAZNMZ
      JKZIOUBZWTXCIOWTXAOQZPZCDXAVFEVGMZVHMZELMZNMZXBJXFXHOQZWICXJJKZAXEXKWIAXE
      PZXAXGAXEVAZAXGRQXEAXGAEAEHVBVCVDSVETAWIXEUKWHXLBXHOWEXHVIZWGXJCJXOWFXIDN
      WEXHELVJVKVLVSVMAXEXJXBVIWIXMXIXADNXMXAVNQEVOQZXIXAVIXMXAXNVPAXPXEHSXAEVQ
      VMVKTVRUSAWDXDVTZWIAWMWNXQFGICDWAVMSWBUTWC $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.  $d ph x y $.
    xralrple3.a $e |- ( ph -> A e. RR* ) $.
    xralrple3.b $e |- ( ph -> B e. RR ) $.
    xralrple3.c $e |- ( ph -> C e. RR ) $.
    xralrple3.g $e |- ( ph -> 0 <_ C ) $.
    $( Show that ` A ` is less than ` B ` by showing that there is no positive
       bound on the difference.  (Contributed by Glauco Siliprandi,
       8-Apr-2021.) $)
    xralrple3 $p |- ( ph -> ( A <_ B <-> A. x e. RR+ A <_ ( B + ( C x. x ) ) )
       ) $=
      ( cle wbr cmul co caddc crp wa wcel cc0 wceq c1 vy cv wral ad2antrr rexrd
      cxr cr rpre adantl remulcld readdcld simplr adantr rpge0 mulge0d addge01d
      mpbid adantlr xrletrd ralrimiva ex 1rp oveq2d breq2d rspcva mpan ad2antlr
      oveq2 oveq1 0cn mulid1i a1i eqtrd cc recnd addid1d breqtrd wne neqne 0red
      wn simpr leneltd elrpd syldan cdiv simpl rpdivcld adantll simpll adantlll
      syl2anc rpcnd rpne0d divcan2d wb xralrple mpbird pm2.61dan impbid ) ACDJK
      ZCDEBUBZLMZNMZJKZBOUCZAXAXFAXAPZXEBOXGXBOQZPZCDXDACUFQZXAXHFUDADUFQXAXHAD
      GUEUDXIXDXIDXCADUGQZXAXHGUDXIEXBAEUGQZXAXHHUDXHXBUGQZXGXBUHZUIUJUKUEAXAXH
      ULAXHDXDJKZXAAXHPZRXCJKXOXPEXBAXLXHHUMZXHXMAXNUIZAREJKZXHIUMXHRXBJKAXBUNU
      IUOXPDXCAXKXHGUMXPEXBXQXRUJUPUQURUSUTVAAXFXAAXFPZERSZXAXTYAPCDETLMZNMZDJX
      FCYCJKZAYATOQXFYDVBXEYDBTOXBTSZXDYCCJYEXCYBDNXBTELVHVCVDVEVFVGAYAYCDSXFAY
      APZYCDRNMZDYAYCYGSAYAYBRDNYAYBRTLMZRERTLVIYHRSYARVJVKVLVMVCUIYFDADVNQYAAD
      GVOUMVPVMURVQXTYAWAZEOQZXAAYIYJXFAYIERVRZYJYIYKAERVSUIAYKPZEAXLYKHUMZYLRE
      YLVTYMAXSYKIUMAYKWBWCWDWEURXTYJPZXACDUAUBZNMZJKZUAOUCZYNYQUAOYNYOOQZPZCDE
      YOEWFMZLMZNMZYPJXFYJYSCUUCJKZAXFYJPYSPUUAOQZXFUUDYJYSUUEXFYJYSPZYOEYJYSWB
      ZYJYSWGZWHWIXFYJYSWJXEUUDBUUAOXBUUASZXDUUCCJUUIXCUUBDNXBUUAELVHVCVDVEWLWK
      YTUUBYODNYJYSUUBYOSXTUUFYOEUUFYOUUGWMUUFEUUHWMUUFEUUHWNWOWIVCVQUTAXAYRWPZ
      XFYJAXJXKUUJFGUACDWQWLUDWRWEWSVAWT $.
  $}

  ${
    eluzelzd.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    $( A member of an upper set of integers is an integer.  (Contributed by
       Glauco Siliprandi, 8-Apr-2021.) $)
    eluzelzd $p |- ( ph -> N e. ZZ ) $=
      ( cuz cfv wcel cz eluzelz syl ) ACBEFGCHGDBCIJ $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d ph x y $.
    suplesup2.a $e |- ( ph -> A C_ RR* ) $.
    suplesup2.b $e |- ( ph -> B C_ RR* ) $.
    suplesup2.c $e |- ( ( ph /\ x e. A ) -> E. y e. B x <_ y ) $.
    $( If any element of ` A ` is less than or equal to an element in ` B ` ,
       then the supremum of ` A ` is less than or equal to the supremum of
       ` B ` .  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    suplesup2 $p |- ( ph -> sup ( A , RR* , < ) <_ sup ( B , RR* , < ) ) $=
      ( cxr clt csup cle wbr cv wcel wa sselda syl2anc wss syl wral wrex simp1l
      w3a 3ad2ant1 simp2 supxrcl simp3 adantr supxrub xrletrd 3exp rexlimdv mpd
      simpr ralrimiva wb supxrleub mpbird ) ADIJKEIJKZLMZBNZUTLMZBDUAZAVCBDAVBD
      OZPZVBCNZLMZCEUBVCHVFVHVCCEVFVGEOZVHVCVFVIVHUDZVBVGUTVFVIVBIOVHADIVBFQUEV
      JAVIVGIOAVEVIVHUCZVFVIVHUFZAEIVGGQRVJAUTIOZVKAEISZVMGEUGTZTVFVIVHUHVJAVIV
      GUTLMZVKVLAVIPVNVIVPAVNVIGUIAVIUOEVGUJRRUKULUMUNUPADISVMVAVDUQFVOBDUTURRU
      S $.
  $}

  ${
    recnnltrp.1 $e |- N = ( ( |_ ` ( 1 / E ) ) + 1 ) $.
    $( ` N ` is a natural number large enough that its reciprocal is smaller
       than the given positive ` E ` .  (Contributed by Glauco Siliprandi,
       8-Apr-2021.) $)
    recnnltrp $p |- ( E e. RR+ -> ( N e. NN /\ ( 1 / N ) < E ) ) $=
      ( crp wcel cn c1 cdiv co clt wbr cfl cfv caddc cn0 cr cc0 cle rpreccl syl
      rpred rpge0d flge0nn0 syl2anc nn0p1nn flltp1 breqtrrdi nnrpd ltrecd mpbid
      eqeltrid rpcn rpne0 recrecd breqtrd jca ) ADEZBFEGBHIZAJKUQBGAHIZLMZGNIZF
      CUQUTOEZVAFEUQUSPEZQUSRKVBUQUSASZUAZUQUSVDUBUSUCUDUTUETUKZUQURGUSHIZAJUQU
      SBJKURVGJKUQUSVABJUQVCUSVAJKVEUSUFTCUGUQUSBVDUQBVFUHUIUJUQAAULAUMUNUOUP
      $.
  $}

  $( The set of positive integers is nonempty.  (Contributed by Glauco
     Siliprandi, 8-Apr-2021.) $)
  nnn0 $p |- NN =/= (/) $=
    ( c1 cn 1nn ne0ii ) ABCD $.
  $( A finite set of sequential integer is countable.  (Contributed by Glauco
     Siliprandi, 8-Apr-2021.) $)
  fzct $p |- ( N ... M ) ~<_ _om $=
    ( cfz co cz wss com cdom wbr fzssz zct ssct mp2an ) BACDZEFEGHINGHIBAJKNELM
    $.
  ${
    $d A n $.
    $( Any positive real number is greater than the reciprocal of a positive
       integer.  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    rpgtrecnn $p |- ( A e. RR+ -> E. n e. NN ( 1 / n ) < A ) $=
      ( crp wcel c1 cdiv co cfl cfv caddc cn clt wbr cv wrex cn0 cr cc0 syl2anc
      syl rpreccl rpred rpge0d flge0nn0 nn0p1nn flltp1 nnrpd ltrecd mpbid rpne0
      cle rpcn recrecd breqtrd wceq oveq2 breq1d rspcev ) ACDZEAFGZHIZEJGZKDZEV
      BFGZALMZEBNZFGZALMZBKOUSVAPDZVCUSUTQDZRUTUKMVIUSUTAUAZUBZUSUTVKUCUTUDSVAU
      ETZUSVDEUTFGZALUSUTVBLMZVDVNLMUSVJVOVLUTUFTUSUTVBVKUSVBVMUGUHUIUSAAULAUJU
      MUNVHVEBVBKVFVBUOVGVDALVFVBEFUPUQURS $.
  $}

  $( A half-open integer interval is a subset of an upper set of integers.
     (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
  fzossuz $p |- ( M ..^ N ) C_ ( ZZ>= ` M ) $=
    ( cfzo co cfz cuz cfv fzossfz fzssuz sstri ) ABCDABEDAFGABHABIJ $.

  ${
    $d A x y $.
    $( The real and extended real infima match when the set is finite.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    infxrrefi $p |- ( ( A C_ RR /\ A e. Fin /\ A =/= (/) ) -> inf ( A , RR* , <
       ) = inf ( A , RR , < ) ) $=
      ( vx vy cr wss cfn wcel c0 wne w3a cv cle wbr wral wrex cxr clt cinf wceq
      simp1 simp3 fiminre2 3adant3 infxrre syl3anc ) ADEZAFGZAHIZJUFUHBKCKLMCAN
      BDOZAPQRADQRSUFUGUHTUFUGUHUAUFUGUIUHBCAUBUCBCAUDUE $.
  $}

  ${
    $d A n x $.  $d B n x $.  $d ph x $.
    xrralrecnnle.n $e |- F/ n ph $.
    xrralrecnnle.a $e |- ( ph -> A e. RR* ) $.
    xrralrecnnle.b $e |- ( ph -> B e. RR ) $.
    $( Show that ` A ` is less than ` B ` by showing that there is no positive
       bound on the difference.  (Contributed by Glauco Siliprandi,
       8-Apr-2021.) $)
    xrralrecnnle $p |- ( ph -> ( A <_ B <-> A. n e. NN A <_ ( B + ( 1 / n ) ) )
       ) $=
      ( vx cle wbr co cn wa nfv wcel cxr ad2antrr adantl crp ex c1 cv cdiv wral
      caddc nfan adantr nnrecre readdcld rexrd adantlr rexr syl simplr clt nnrp
      cr rpreccl ltaddrpd xrlelttrd xrltled ralrimi wrex rpgtrecnn nfra1 simpll
      wi rspa adantll jca simpr ad4antr rpre ad5ant13 ad5ant14 simp-4r ad2antlr
      ltadd2dd adantl3r syl21anc rexlimd mpd ralrimiva wb syl2anc mpbird impbid
      xralrple ) ABCIJZBCUADUBZUCKZUEKZIJZDLUDZAWIWNAWIMZWMDLAWIDEWIDNUFWOWJLOZ
      WMWOWPMZBWLABPOZWIWPFQZAWPWLPOZWIAWPMZWLXACWKACUQOZWPGUGZWPWKUQOZAWJUHZRU
      IUJZUKZWQBCWLWSACPOZWIWPAXBXHGCULUMQXGAWIWPUNAWPCWLUOJWIXACWKXCWPWKSOZAWP
      WJSOXIWJUPWJURUMRUSUKUTVATVBTAWNWIAWNMZWIBCHUBZUEKZIJZHSUDZXJXMHSXJXKSOZM
      ZWKXKUOJZDLVCZXMXOXRXJXKDVDRXPXQXMDLXJXODAWNDEWMDLVEUFXODNUFXMDNXPWPXQXMV
      GZXPWPMAWMMZXOWPXSXJWPXTXOXJWPMAWMAWNWPVFWNWPWMAWMDLVHVIVJUKXJXOWPUNXPWPV
      KXTXOMWPMZXQXMYAXQMZBXLAWRWMXOWPXQFVLZAXOXLPOWMWPXQAXOMZXLYDCXKAXBXOGUGZX
      OXKUQOZAXKVMRZUIUJVNZYBBWLXLYCAWPWTWMXOXQXFVOYHAWMXOWPXQVPAXOWPXQWLXLUOJW
      MYDWPMZXQMWKXKCWPXDYDXQXEVQYDYFWPXQYGQYDXBWPXQYEQYIXQVKVRVSUTVATVTTWAWBWC
      AWIXNWDZWNAWRXBYJFGHBCWHWEUGWFTWG $.
  $}

  $( A finite set of sequential integer is countable.  (Contributed by Glauco
     Siliprandi, 8-Apr-2021.) $)
  fzoct $p |- ( N ..^ M ) ~<_ _om $=
    ( cfzo co cz wss com cdom wbr fzossz zct ssct mp2an ) BACDZEFEGHINGHIBAJKNE
    LM $.

  ${
    frexr.1 $e |- ( ph -> F : A --> RR ) $.
    $( A function taking real values, is a function taking extended real
       values.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    frexr $p |- ( ph -> F : A --> RR* ) $=
      ( cr cxr wss ressxr a1i fssd ) ABEFCDEFGAHIJ $.
  $}

  $( The reciprocal of a positive natural number is a positive real number.
     (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
  nnrecrp $p |- ( N e. NN -> ( 1 / N ) e. RR+ ) $=
    ( cn wcel crp c1 cdiv co nnrp rpreccl syl ) ABCADCEAFGDCAHAIJ $.

  ${
    reclt0d.1 $e |- ( ph -> A e. RR ) $.
    reclt0d.2 $e |- ( ph -> A < 0 ) $.
    $( The reciprocal of a negative number is negative.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    reclt0d $p |- ( ph -> ( 1 / A ) < 0 ) $=
      ( c1 cdiv co cc0 clt wbr wn wa cle simpr 0red wcel adantr lenltd mpbird
      cr 0lt1 a1i 1red lt0ne0d redivcld cmul wceq recnd recidd eqcomd ltled jca
      wo orcd wb mulle0b syl2anc eqbrtrd mpbid syldan condan ) AEBFGZHIJZHEIJZV
      DAVCKZLZUAUBAVEHVBMJZVDKZVFVGVEAVENVFHVBVFOAVBTPZVEAEBAUCZCABDUDZUEZQRSAV
      GLZEHMJVHVMEBVBUFGZHMAEVNUGVGAVNEABABCUHVKUIUJQVMVNHMJZBHMJZVGLZHBMJVBHMJ
      LZUMZVMVQVRVMVPVGAVPVGABHCAODUKQAVGNULUNAVOVSUOZVGABTPVIVTCVLBVBUPUQQSURV
      MEHAETPVGVJQVMORUSUTVA $.
  $}

  ${
    lt0neg1dd.1 $e |- ( ph -> A e. RR ) $.
    lt0neg1dd.2 $e |- ( ph -> A < 0 ) $.
    $( If a number is negative, its negative is positive.  (Contributed by
       Glauco Siliprandi, 26-Jun-2021.) $)
    lt0neg1dd $p |- ( ph -> 0 < -u A ) $=
      ( cc0 clt wbr cneg lt0neg1d mpbid ) ABEFGEBHFGDABCIJ $.
  $}

  ${
    mnfled.1 $e |- ( ph -> A e. RR* ) $.
    $( Minus infinity is less than or equal to any extended real.  (Contributed
       by Glauco Siliprandi, 26-Jun-2021.) $)
    mnfled $p |- ( ph -> -oo <_ A ) $=
      ( cxr wcel cmnf cle wbr mnfle syl ) ABDEFBGHCBIJ $.
  $}

  ${
    infxrcld.1 $e |- ( ph -> A C_ RR* ) $.
    $( The infimum of an arbitrary set of extended reals is an extended real.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    infxrcld $p |- ( ph -> inf ( A , RR* , < ) e. RR* ) $=
      ( cxr wss clt cinf wcel infxrcl syl ) ABDEBDFGDHCBIJ $.
  $}

  ${
    $d A n $.  $d B n $.
    xrralrecnnge.n $e |- F/ n ph $.
    xrralrecnnge.a $e |- ( ph -> A e. RR ) $.
    xrralrecnnge.b $e |- ( ph -> B e. RR* ) $.
    $( Show that ` A ` is less than ` B ` by showing that there is no positive
       bound on the difference.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    xrralrecnnge $p |- ( ph -> ( A <_ B <-> A. n e. NN ( A - ( 1 / n ) ) <_ B )
       ) $=
      ( cle wbr c1 co cn wa wcel cxr adantr adantl ad2antrr cpnf cmnf cdiv cmin
      cv wral nfv nfan nnrecre resubcld rexrd adantlr clt crp rpreccld ltsubrpd
      cr nnrp simplr xrltletrd xrltled ex ralrimi wceq pnfxr a1i ltpnfd breqtrd
      id eqcomd wn wne 1nn oveq2 oveq2d breq1d rspcva syl2anc simpr adantll cc0
      ax-1ne0 redivcld mnfltd mnfxr xrltnled mpbid pm2.65da neqned xrralrecnnle
      neqne xrred caddc lesubaddd bicomd ralbida bitr2d biimpd imp an32s syldan
      1red pm2.61dan impbid ) ABCHIZBJDUCZUAKZUBKZCHIZDLUDZAXCXHAXCMZXGDLAXCDEX
      CDUEUFXIXDLNZXGXIXJMZXFCAXJXFONXCAXJMZXFXLBXEABUONZXJFPZXJXEUONZAXDUGZQUH
      UIUJZACONZXCXJGRZXKXFBCXQABONZXCXJABFUIZRXSAXJXFBUKIXCXLBXEXNXJXEULNAXJXD
      XDUPUMQUNUJAXCXJUQURUSUTVAUTAXHXCAXHMZCSVBZXCYBYCMBSCHABSHIXHYCABSYASONAV
      CVDABFVEUSRYCSCVBYBYCCSYCVGVHQVFYBYCVIZCUONZXCYBYDMCAXRXHYDGRYBCTVJYDYBCT
      YBCTVBZBJJUAKZUBKZTHIZXHYFYIAXHYFMYHCTHXHYHCHIZYFXHJLNZXHYJYKXHVKVDXHVGXG
      YJDJLXDJVBZXFYHCHYLXEYGBUBXDJJUAVLVMVNVOVPPXHYFVQVFVRAYIVIZXHYFATYHUKIYMA
      YHABYGFAJJAWTZYNJVSVJAVTVDWAUHZWBATYHTONAWCVDAYHYOUIWDWERWFWGPYDCSVJYBCSW
      IQWJAYEXHXCAYEMZXHXCYPXHXCYPXCBCXEWKKHIZDLUDXHYPBCDAYEDEYEDUEUFZAXTYEYAPA
      YEVQZWHYPYQXGDLYRYPXJMZXGYQYTBXECAXJXMYEXNUJXJXOYPXPQYPYEXJYSPWLWMWNWOWPW
      QWRWSXAUTXB $.
  $}

  ${
    reclt0.1 $e |- ( ph -> A e. RR ) $.
    reclt0.2 $e |- ( ph -> A =/= 0 ) $.
    $( The reciprocal of a negative number is negative.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    reclt0 $p |- ( ph -> ( A < 0 <-> ( 1 / A ) < 0 ) ) $=
      ( cc0 clt wbr c1 cdiv co wa cr wcel adantr simpr reclt0d ex wn 0red wne
      necomd lttri5d cle rereccld recgt0d ltled lenltd mpbid syldan imp impbid
      con4d ) ABEFGZHBIJZEFGZAUMUOAUMKBABLMZUMCNAUMOPQAUOUMAUOUMAUMUOAUMRZUORZA
      UQEBFGZURAUQKZEBUTSAUPUQCNAEBTUQABEDUANAUQOUBAUSKZEUNUCGURVAEUNVASZAUNLMU
      SABCDUDNZVABAUPUSCNAUSOUEUFVAEUNVBVCUGUHUIQULUJQUK $.
  $}

  ${
    ltmulneg.a $e |- ( ph -> A e. RR ) $.
    ltmulneg.b $e |- ( ph -> B e. RR ) $.
    ltmulneg.c $e |- ( ph -> C e. RR ) $.
    ltmulneg.n $e |- ( ph -> C < 0 ) $.
    $( Multiplying by a negative number, swaps the order.  (Contributed by
       Glauco Siliprandi, 26-Jun-2021.) $)
    ltmulneg $p |- ( ph -> ( A < B <-> ( B x. C ) < ( A x. C ) ) ) $=
      ( clt cneg cmul co negelrpd ltmul1d remulcld recnd mulneg2d oveq2d eqtr3d
      wbr renegcld ltnegd negnegd breq12d 3bitrd ) ABCITBDJZKLZCUFKLZITUHJZUGJZ
      ITCDKLZBDKLZITABCUFEFADGHMNAUGUHABUFEADGUAZOACUFFUMOUBAUIUKUJULIACUFJZKLU
      IUKACUFACFPAUFUMPZQAUNDCKADADGPUCZRSABUNKLUJULABUFABEPUOQAUNDBKUPRSUDUE
      $.
  $}

  ${
    $d X m n $.
    allbutfi.z $e |- Z = ( ZZ>= ` M ) $.
    allbutfi.a $e |- A = U_ n e. Z |^|_ m e. ( ZZ>= ` n ) B $.
    $( For all but finitely many.  Some authors say "cofinitely many".  Some
       authors say "ultimately".  Compare with ~ eliuniin and ~ eliuniin2
       (here, the precondition can be dropped; see ~ eliuniincex ).
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    allbutfi $p |- ( X e. A <-> E. n e. Z A. m e. ( ZZ>= ` n ) X e. B ) $=
      ( wcel cv cuz cfv wral wrex ciin ciun eleq2i biimpi eliun sylib nfcv nfel
      nfiu1 nfcxfr wi eliin biimpd a1d reximdai mpd wa simpr wb c0 eluzelz uzid
      wne cz 3syl ne0d eliin2 syl adantr mpbird reximia sylibr eleqtrrdi impbii
      ex ) FAJZFBJCDKZLMZNZDGOZVKFCVMBPZJZDGOZVOVKFDGVPQZJZVRVKVTAVSFIRSDFGVPTZ
      UAVKVQVNDGDFADFUBDAVSIDGVPUDUEUCVKVQVNUFVLGJZVKVQVNCFVMBAUGUHUIUJUKVOFVSA
      VOVRVTVNVQDGWBVNVQWBVNULVQVNWBVNUMWBVQVNUNZVNWBVMUOURWCWBVMVLWBVLELMZJZVL
      USJVLVMJWBWEGWDVLHRSEVLUPVLUQUTVACFVMBVBVCVDVEVJVFWAVGIVHVI $.
  $}

  ${
    ltdiv23neg.1 $e |- ( ph -> A e. RR ) $.
    ltdiv23neg.2 $e |- ( ph -> B e. RR ) $.
    ltdiv23neg.3 $e |- ( ph -> B < 0 ) $.
    ltdiv23neg.4 $e |- ( ph -> C e. RR ) $.
    ltdiv23neg.5 $e |- ( ph -> C < 0 ) $.
    $( Swap denominator with other side of 'less than', when both are negative.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    ltdiv23neg $p |- ( ph -> ( ( A / B ) < C <-> ( A / C ) < B ) ) $=
      ( cdiv co clt wbr cmul cc0 cr wcel cc recn syl redivcld ltmulneg divcan1d
      breq2d c1 remulcl syl2anc rereccld reclt0d divrecd eqcomd mulcld wne wceq
      ltned divcan3 3expb syl12anc eqtr3d breq12d bitrd 3bitrd ) ABCJKZDLMDCNKZ
      VCCNKZLMVDBLMZBDJKZCLMZAVCDCABCEFACOFGUOZUAHFGUBAVEBVDLABCABPQBRQEBSTZACP
      QZCRQZFCSTZVIUCUDAVFBUEDJKZNKZVDVNNKZLMVHAVDBVNADPQZVKVDPQHFDCUFUGEADHADO
      HIUOZUHADHIUIUBAVOVGVPCLAVGVOABDVJAVQDRQZHDSTZVRUJUKAVDDJKZVPCAVDDADCVTVM
      ULVTVRUJAVLVSDOUMZWACUNZVMVTVRVLVSWBWCCDUPUQURUSUTVAVB $.
  $}

  ${
    xreqnltd.1 $e |- ( ph -> A e. RR* ) $.
    xreqnltd.2 $e |- ( ph -> A = B ) $.
    $( A consequence of trichotomy.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    xreqnltd $p |- ( ph -> -. A < B ) $=
      ( clt wbr wn wceq wa cxr wcel wb eqeltrrd xrlttri3 syl2anc mpbid simpld )
      ABCFGHZCBFGHZABCIZSTJZEABKLCKLUAUBMDABCKEDNBCOPQR $.
  $}

  $( Minus infinity is not a real number.  (Contributed by Glauco Siliprandi,
     23-Oct-2021.) $)
  mnfnre2 $p |- -. -oo e. RR $=
    ( cmnf cr mnfnre neli ) ABCD $.
  $( The integers are a subset of the extended reals.  (Contributed by Glauco
     Siliprandi, 23-Oct-2021.) $)
  zssxr $p |- ZZ C_ RR* $=
    ( cz cr cxr zssre ressxr sstri ) ABCDEF $.
  ${
    $d A x $.  $d B x $.
    fisupclrnmpt.x $e |- F/ x ph $.
    fisupclrnmpt.r $e |- ( ph -> R Or A ) $.
    fisupclrnmpt.b $e |- ( ph -> B e. Fin ) $.
    fisupclrnmpt.n $e |- ( ph -> B =/= (/) ) $.
    fisupclrnmpt.c $e |- ( ( ph /\ x e. B ) -> C e. A ) $.
    $( A nonempty finite indexed set contains its supremum.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    fisupclrnmpt $p |- ( ph -> sup ( ran ( x e. B |-> C ) , A , R ) e. A ) $=
      ( cmpt crn csup eqid rnmptssd wor cfn wcel c0 wne wss rnmptfi syl rnmptn0
      fisupcl syl13anc sseldd ) ABDELZMZCUJCFNZABDECUIGUIOZKPZACFQUJRSZUJTUAUJC
      UBUKUJSHADRSUNIBUIDEULUCUDABDEUICGKULJUEUMCUJFUFUGUH $.
  $}

  ${
    $d A w x y $.
    $( The supremum of an unbounded-above set of extended reals is plus
       infinity.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    supxrunb3 $p |- ( A C_ RR* -> ( A. x e. RR E. y e. A x <_ y <-> sup ( A ,
       RR* , < ) = +oo ) ) $=
      ( vw cxr cv cle wbr wrex cr wral clt wceq wa wcel nfv nfan wi ex simpr c1
      wss csup cpnf caddc co peano2re adantl simpl breq1 rexbidv rspcva syl2anc
      adantll nfcv nfre1 nfralw w3a simp1r rexrd simp1l simp2 ssel2 ltp1d simp3
      rexr syl xrltletrd 3exp adantlr reximdai ralrimiva cbvralvw biimpi simpll
      mpd nfra1 rspa ad3antlr adantr adantllr xrltled reximdva syl21anc ralrimi
      sylan2 impbid supxrunb2 bitrd ) CEUBZAFZBFZGHZBCIZAJKZDFZWLLHZBCIZDJKZCEL
      UCUDMWJWOWSWJWOWSWJWONZWRDJWTWPJOZNZWPUAUEUFZWLGHZBCIZWRWOXAXEWJWOXANXCJO
      ZWOXEXAXFWOWPUGZUHWOXAUIWNXEAXCJWKXCMWMXDBCWKXCWLGUJUKULUMUNXBXDWQBCWTXAB
      WJWOBWJBPWNBAJBJUOWMBCUPUQQXABPQWJXAWLCOZXDWQRRWOWJXANZXHXDWQXIXHXDURZWPX
      CWLXJXAWPEOWJXAXHXDUSZWPVFVGXJXAXCEOXKXAXCXGUTVGXJWJXHWLEOZWJXAXHXDVAXIXH
      XDVBCEWLVCZUMXJWPXKVDXIXHXDVEVHVIVJVKVPVLSWJWSWOWSWJWKWLLHZBCIZAJKZWOWSXP
      WRXODAJWPWKMWQXNBCWPWKWLLUJUKVMVNWJXPNZWNAJWJXPAWJAPXOAJVQQXQWKJOZWNXQXRN
      ZWJXRWNWNWJXPXRVOXQXRTXSXOWNXPXRXOWJXOAJVRUNWJXRXOWNRXPWJXRNZXNWMBCXTXHNZ
      XNWMYAXNNWKWLXRWKEOWJXHXNWKVFVSWJXHXNXLXRWJXHNXLXNXMVTWAYAXNTWBSWCVJVPXTW
      NTWDSWEWFSWGDBCWHWI $.
  $}

  ${
    elfzod.1 $e |- ( ph -> K e. ( ZZ>= ` M ) ) $.
    elfzod.2 $e |- ( ph -> N e. ZZ ) $.
    elfzod.3 $e |- ( ph -> K < N ) $.
    $( Membership in a half-open integer interval.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    elfzod $p |- ( ph -> K e. ( M ..^ N ) ) $=
      ( cuz cfv wcel cz clt wbr cfzo co elfzo2 syl3anbrc ) ABCHIJDKJBDLMBCDNOJE
      FGBCDPQ $.
  $}

  ${
    $d A x y $.  $d B y $.
    fimaxre4.1 $e |- F/ x ph $.
    fimaxre4.2 $e |- ( ph -> A e. Fin ) $.
    fimaxre4.3 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    $( A nonempty finite set of real numbers is bounded (image set version).
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    fimaxre4 $p |- ( ph -> E. y e. RR A. x e. A B <_ y ) $=
      ( cfn wcel cr wral cv cle wbr wrex ex ralrimi fimaxre3 syl2anc ) ADIJEKJZ
      BDLECMNOBDLCKPGAUABDFABMDJUAHQRCBDEST $.
  $}

  $( The set of reals is nonempty.  (Contributed by Glauco Siliprandi,
     23-Oct-2021.) $)
  ren0 $p |- RR =/= (/) $=
    ( cc0 cr 0re ne0ii ) ABCD $.
  ${
    eluzelz2.1 $e |- Z = ( ZZ>= ` M ) $.
    $( A member of an upper set of integers is an integer.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    eluzelz2 $p |- ( N e. Z -> N e. ZZ ) $=
      ( wcel cuz cfv cz eleq2i biimpi eluzelz syl ) BCEZBAFGZEZBHEMOCNBDIJABKL
      $.
  $}

  ${
    resabs2d.1 $e |- ( ph -> B C_ C ) $.
    $( Absorption law for restriction.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    resabs2d $p |- ( ph -> ( ( A |` B ) |` C ) = ( A |` B ) ) $=
      ( wss cres wceq resabs2 syl ) ACDFBCGZDGKHEBCDIJ $.
  $}

  $( Membership of the least member in an upper set of integers.  (Contributed
     by Glauco Siliprandi, 23-Oct-2021.) $)
  uzid2 $p |- ( M e. ( ZZ>= ` N ) -> M e. ( ZZ>= ` M ) ) $=
    ( cuz cfv wcel cz eluzelz uzid syl ) ABCDEAFEAACDEBAGAHI $.

  ${
    $d A x z $.  $d B z $.  $d C x z $.
    supxrleubrnmpt.x $e |- F/ x ph $.
    supxrleubrnmpt.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    supxrleubrnmpt.c $e |- ( ph -> C e. RR* ) $.
    $( The supremum of a nonempty bounded indexed set of extended reals is less
       than or equal to an upper bound.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    supxrleubrnmpt $p |- ( ph -> ( sup ( ran ( x e. A |-> B ) , RR* , < ) <_ C
       <-> A. x e. A B <_ C ) ) $=
      ( vz cxr cle wbr cv wral wcel wb syl2anc wa ex wi cmpt csup eqid rnmptssd
      crn clt wss supxrleub nfmpt1 nfrn nfv nfralw nfan elrnmpt1 adantlr simplr
      simpr breq1 rspcva ralrimi wceq cvv vex elrnmpt ax-mp biimpi adantl nfra1
      wrex rspa biimprcd syl rexlimd adantr mpd ralrimiva a1i impbid bitrd ) AB
      CDUAZUEZJUFUBEKLZIMZEKLZIWANZDEKLZBCNZAWAJUGEJOWBWEPABCDJVTFVTUCZGUDHIWAE
      UHQAWEWGAWEWGAWERZWFBCAWEBFWDBIWABVTBCDUIUJWDBUKZULUMWIBMCOZWFWIWKRDWAOZW
      EWFAWKWLWEAWKRWKDJOWLAWKUQGBCDVTJWHUNQUOAWEWKUPWDWFIDWAWCDEKURZUSQSUTSWGW
      ETAWGWDIWAWGWCWAOZRWCDVAZBCVIZWDWNWPWGWNWPWCVBOWNWPPIVCBCDWCVTVBWHVDVEVFV
      GWGWPWDTWNWGWOWDBCWFBCVHWJWGWKWOWDTZWGWKRWFWQWFBCVJWOWDWFWMVKVLSVMVNVOVPV
      QVRVS $.
  $}

  ${
    uzssre2.1 $e |- Z = ( ZZ>= ` M ) $.
    $( An upper set of integers is a subset of the Reals.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    uzssre2 $p |- Z C_ RR $=
      ( cuz cfv cr cz uzssz zssre sstri eqsstri ) BADEZFCLGFAHIJK $.
  $}

  ${
    uzssd.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    $( Subset relationship for two sets of upper integers.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    uzssd $p |- ( ph -> ( ZZ>= ` N ) C_ ( ZZ>= ` M ) ) $=
      ( cuz cfv wcel wss uzss syl ) ACBEFZGCEFKHDBCIJ $.
  $}

  ${
    eluzd.1 $e |- Z = ( ZZ>= ` M ) $.
    eluzd.2 $e |- ( ph -> M e. ZZ ) $.
    eluzd.3 $e |- ( ph -> N e. ZZ ) $.
    eluzd.4 $e |- ( ph -> M <_ N ) $.
    $( Membership in an upper set of integers.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    eluzd $p |- ( ph -> N e. Z ) $=
      ( cuz cfv cz wcel cle wbr eluz2 syl3anbrc eleqtrrdi ) ACBIJZDABKLCKLBCMNC
      RLFGHBCOPEQ $.
  $}

  ${
    $d A x $.  $d C x $.  $d D x $.
    infxrlbrnmpt2.x $e |- F/ x ph $.
    infxrlbrnmpt2.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    infxrlbrnmpt2.c $e |- ( ph -> C e. A ) $.
    infxrlbrnmpt2.d $e |- ( ph -> D e. RR* ) $.
    infxrlbrnmpt2.e $e |- ( x = C -> B = D ) $.
    $( A member of a nonempty indexed set of reals is greater than or equal to
       the set's lower bound.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    infxrlbrnmpt2 $p |- ( ph -> inf ( ran ( x e. A |-> B ) , RR* , < ) <_ D )
       $=
      ( cmpt crn cxr wss wcel clt cinf cle syl2anc wbr eqid rnmptssd elrnmpt1s
      infxrlb ) ABCDLZMZNOFUGPZUGNQRFSUAABCDNUFGUFUBZHUCAECPFNPUHIJBCDFEUFNUIKU
      DTUGFUET $.
  $}

  $( An extended real is real iff it is not an infinty.  (Contributed by Glauco
     Siliprandi, 23-Oct-2021.) $)
  xrre4 $p |- ( A e. RR* -> ( A e. RR <-> ( A =/= -oo /\ A =/= +oo ) ) ) $=
    ( cxr wcel cr cmnf wne wa renemnf adantl renepnf jca ex simpl simprl simprr
    cpnf xrred impbid ) ABCZADCZAEFZAPFZGZSTUCSTGUAUBTUASAHITUBSAJIKLSUCTSUCGAS
    UCMSUAUBNSUAUBOQLR $.

  $( The upper integers function applied to a non-integer, is the empty set.
     (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
  uz0 $p |- ( -. M e. ZZ -> ( ZZ>= ` M ) = (/) ) $=
    ( cz wcel wn cuz cdm cfv c0 wceq dmuz eqcomi eleq2i notbii biimpi ndmfv syl
    ) ABCZDZAEFZCZDZAEGHIRUAQTBSASBJKLMNAEOP $.
  ${
    eluzelz2d.1 $e |- Z = ( ZZ>= ` M ) $.
    eluzelz2d.2 $e |- ( ph -> N e. Z ) $.
    $( A member of an upper set of integers is an integer.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    eluzelz2d $p |- ( ph -> N e. ZZ ) $=
      ( wcel cz eluzelz2 syl ) ACDGCHGFBCDEIJ $.
  $}

  ${
    $d A x y $.  $d B x y $.
    infleinf2.x $e |- F/ x ph $.
    infleinf2.p $e |- F/ y ph $.
    infleinf2.a $e |- ( ph -> A C_ RR* ) $.
    infleinf2.b $e |- ( ph -> B C_ RR* ) $.
    infleinf2.y $e |- ( ( ph /\ x e. B ) -> E. y e. A y <_ x ) $.
    $( If any element in ` B ` is greater than or equal to an element in
       ` A ` , then the infimum of ` A ` is less than or equal to the infimum
       of ` B ` .  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    infleinf2 $p |- ( ph -> inf ( A , RR* , < ) <_ inf ( B , RR* , < ) ) $=
      ( cxr clt cinf cle wbr cv wcel wa nfv 3adant1r wral w3a infxrcld 3ad2ant1
      wrex nfan sselda 3adant3 wss adantr simpr infxrlb syl2anc xrletrd rexlimd
      simp3 3exp mpd ralrimia wb infxrgelb mpbird ) ADKLMZEKLMNOZVCBPZNOZBEUAZA
      VFBEFAVEEQZRZCPZVENOZCDUEVFJVIVKVFCDAVHCGVHCSUFVFCSVIVJDQZVKVFVIVLVKUBVCV
      JVEAVLVKVCKQZVHAVLVMVKADHUCZUDTAVLVKVJKQZVHAVLVOVKADKVJHUGUHTVIVLVEKQVKAE
      KVEIUGUDAVLVKVCVJNOZVHAVLVPVKAVLRDKUIZVLVPAVQVLHUJAVLUKDVJULUMUHTVIVLVKUP
      UNUQUOURUSAEKUIVMVDVGUTIVNBEVCVAUMVB $.
  $}

  ${
    $d A w x y $.
    $( "Unbounded below" expressed with ` < ` and with ` <_ ` .  (Contributed
       by Glauco Siliprandi, 23-Oct-2021.) $)
    unb2ltle $p |- ( A C_ RR* -> ( A. w e. RR E. y e. A y < w <-> A. x e. RR E.
       y e. A y <_ x ) ) $=
      ( cxr cv wbr wrex cr wral cle wa wcel simpll simpr adantll ad4ant13 rexrd
      simpllr ex wss clt nfv nfra1 nfan rspa xrltled reximdva syl21anc ralrimia
      ssel2 wceq breq2 rexbidv cbvralvw sylib c1 cmin co peano2rem adantl simpl
      imp rspcva syl2anc syl ltm1d xrlelttrd ralrimiva impbid ) DEUAZBFZCFZUBGZ
      BDHZCIJZVLAFZKGZBDHZAIJZVKVPVTVKVPLZVLVMKGZBDHZCIJVTWAWCCIVKVPCVKCUCVOCIU
      DUEWAVMIMZLVKWDVOWCVKVPWDNWAWDOVPWDVOVKVOCIUFPVKWDLZVOWCWEVNWBBDWEVLDMZLZ
      VNWBWGVNLZVLVMVKWFVLEMZWDVNDEVLUKZQWHVMVKWDWFVNSRWGVNOUGTUHVCUIUJWCVSCAIV
      MVQULWBVRBDVMVQVLKUMUNUOUPTVKVTVPVKVTLZVOCIWKWDLVKWDVLVMUQURUSZKGZBDHZVOV
      KVTWDNWKWDOVTWDWNVKVTWDLWLIMZVTWNWDWOVTVMUTZVAVTWDVBVSWNAWLIVQWLULVRWMBDV
      QWLVLKUMUNVDVEPWEWNVOWEWMVNBDWGWMVNWGWMLZVLWLVMVKWFWIWDWMWJQWQWDWLEMVKWDW
      FWMSZWDWLWPRVFWQVMWRRWGWMOWQVMWRVGVHTUHVCUIVITVJ $.
  $}

  ${
    uzidd2.1 $e |- ( ph -> M e. ZZ ) $.
    uzidd2.2 $e |- Z = ( ZZ>= ` M ) $.
    $( Membership of the least member in an upper set of integers.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    uzidd2 $p |- ( ph -> M e. Z ) $=
      ( cuz cfv uzidd eleqtrrdi ) ABBFGCABDHEI $.
  $}

  ${
    uzssd2.1 $e |- Z = ( ZZ>= ` M ) $.
    uzssd2.2 $e |- ( ph -> N e. Z ) $.
    $( Subset relationship for two sets of upper integers.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    uzssd2 $p |- ( ph -> ( ZZ>= ` N ) C_ Z ) $=
      ( cuz cfv eleqtrdi uzssd sseqtrrdi ) ACGHBGHZDABCACDLFEIJEK $.
  $}

  ${
    $d A w y z $.  $d B w y z $.  $d ph w y z $.  $d w x y z $.
    rexabslelem.1 $e |- F/ x ph $.
    rexabslelem.2 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    $( An indexed set of absolute values of real numbers is bounded if and only
       if the original values are bounded above and below.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    rexabslelem $p |- ( ph -> ( E. y e. RR A. x e. A ( abs ` B ) <_ y <-> ( E.
       w e. RR A. x e. A B <_ w /\ E. z e. RR A. x e. A z <_ B ) ) ) $=
      ( cv cle wbr wral cr wa wcel ex syl2anc cneg nfan cabs cfv wrex w3a simp2
      nfv nfra1 nf3an 3ad2antl1 recnd abscld adantr leabsd rspa 3ad2antl3 letrd
      cc ralrimi brralrspcev renegcld adantlr simplr absle 3adantl3 simpld wceq
      wb mpbid breq1 ralbidv rspcev jca 3exp rexlimdv wi cif adantl simpl ifcld
      renegcl ad5ant24 ad5ant23 simpllr ad5ant15 lenegd negnegd breqtrd adantll
      max2 recn adantl3r simp-4r ad4ant24 max1 3adant2 3adant3 absled ad5ant135
      mpbird exp31 imp anasss impbid ) AGUAUBZCJZKLZBFMZCNUCZGEJZKLZBFMZENUCZDJ
      ZGKLZBFMZDNUCZOZAXGXQCNAXENPZXGXQAXRXGUDZXLXPXSXRGXEKLZBFMXLAXRXGUEZXSXTB
      FAXRXGBHXRBUFXFBFUGUHZXSBJFPZXTXSYCOZGXDXEAXRYCGNPZXGIUIZYDGAXRYCGUQPXGAY
      COGIUJUIUKXSXRYCYAULYDGYFUMXGAYCXFXRXFBFUNUOZUPQUREBGXEKNFUSRXSXESZNPYHGK
      LZBFMZXPXSXEYAUTXSYIBFYBXSYCYIYDYIXTYDXFYIXTOZYGAXRYCXFYKVGZXGAXROYCOYEXR
      YLAYCYEXRIVAAXRYCVBGXEVCRVDVHVEQURXOYJDYHNXMYHVFXNYIBFXMYHGKVIVJVKRVLVMVN
      AXQXHAXLXPXHAXLOZXPXHYMXOXHDNAXLXMNPZXOXHVOVOZAXKYOENAXINPZXKYOAYPOZXKOZY
      NXOXHYRYNOZXOOZXIXMSZKLZUUAXIVPZNPZXDUUCKLZBFMXHYPYNUUDAXKXOYPYNOZUUBUUAX
      INYNUUANPZYPXMVTVQZYPYNVRZVSZWAYTUUEBFYSXOBYRYNBYQXKBAYPBHYPBUFTXJBFUGTYN
      BUFTXNBFUGTYTYCUUEYTYCOZUUEUUCSZGKLZGUUCKLZOZUUKUUMUUNYQYNXOYCUUMXKYQYNOZ
      XOOYCOZUULXMGUUQUUCYPYNUUDAXOYCUUJWBUTYQYNXOYCWCAYCYEYPYNXOIWDYPYNUULXMKL
      AXOYCUUFUULUUASZXMKUUFUUAUUCKLZUULUURKLUUFYPUUGUUSUUIUUHXIUUAWIRUUFUUAUUC
      UUHUUJWEVHUUFXMYNXMUQPYPXMWJVQWFWGWBXOYCXNUUPXNBFUNWHUPWKYSYCUUNXOYSYCOGX
      IUUCAYCYEYPXKYNIWDAYPXKYNYCWLYPYNUUDAXKYCUUJWAXKYCXJYQYNXJBFUNWMYPYNXIUUC
      KLZAXKYCUUFYPUUGUUTUUIUUHXIUUAWNRWAUPVAVLYQYNYCUUEUUOVGXKXOYQYNYCUDGUUCYQ
      YCYEYNAYCYEYPIVAWOYQYNUUDYCYPYNUUDAUUJWHWPWQWRWSQURCBXDUUCKNFUSRWTWTVNXAV
      NXAXBQXC $.
  $}

  ${
    $d A a b c $.  $d A b w $.  $d A a y $.  $d A c z $.  $d B a b c $.
    $d B b w $.  $d B a y $.  $d B c z $.  $d a b c ph $.  $d a b c x $.
    $d w x $.  $d x y $.  $d x z $.
    rexabsle.1 $e |- F/ x ph $.
    rexabsle.2 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    $( An indexed set of absolute values of real numbers is bounded if and only
       if the original values are bounded above and below.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    rexabsle $p |- ( ph -> ( E. y e. RR A. x e. A ( abs ` B ) <_ y <-> ( E. w
       e. RR A. x e. A B <_ w /\ E. z e. RR A. x e. A z <_ B ) ) ) $=
      ( va vb vc cv cle wbr wral cr wrex wceq cbvrexvw cabs cfv wa wb nfv breq2
      ralbid a1i rexabslelem ralbidv breq1 anbi12i 3bitrd ) AGUAUBZCMZNOZBFPZCQ
      RZUNJMZNOZBFPZJQRZGKMZNOZBFPZKQRZLMZGNOZBFPZLQRZUCZGEMZNOZBFPZEQRZDMZGNOZ
      BFPZDQRZUCZURVBUDAUQVACJQUOUSSZUPUTBFWABUEUOUSUNNUFUGTUHABJLKFGHIUIVKVTUD
      AVFVOVJVSVEVNKEQVCVLSVDVMBFVCVLGNUFUJTVIVRLDQVGVPSVHVQBFVGVPGNUKUJTULUHUM
      $.
  $}

  ${
    $d B n $.  $d X m n $.  $d Z m n $.
    allbutfiinf.z $e |- Z = ( ZZ>= ` M ) $.
    allbutfiinf.a $e |- A = U_ n e. Z |^|_ m e. ( ZZ>= ` n ) B $.
    allbutfiinf.x $e |- ( ph -> X e. A ) $.
    allbutfiinf.n $e |- N = inf ( { n e. Z | A. m e. ( ZZ>= ` n ) X e. B } , RR
       , < ) $.
    $( Given a "for all but finitely many" condition, the condition holds from
       ` N ` on.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    allbutfiinf $p |- ( ph -> ( N e. Z /\ A. m e. ( ZZ>= ` N ) X e. B ) ) $=
      ( wcel cuz cfv cr clt a1i nfcv wral crab ssrab2 cinf wceq wss wne sseqtri
      cv c0 wrex allbutfi sylib wi nfrab1 nfne rabid bicomi biimpi ne0d rexlimi
      wa ex mpd infssuzcl syl2anc eqeltrd sselid nfinf nfcxfr nffv nfralw nfra1
      nfv nfrabw fveq2 raleqd elrabf simprd syl jca ) AGINZHCNZDGOPZUAZAWCDEUIZ
      OPZUAZEIUBZIGWHEIUCZAGWIQRUDZWIGWKUEAMSAWIFOPZUFZWIUJUGZWKWINWMAWIIWLWJJU
      HSAWHEIUKZWNAHBNWOLBCDEFHIJKULUMWOWNUNAWHWNEIEWIUJWHEIUOZEUJTUPWFINZWHWNW
      QWHVBZWIWFWRWFWINZWSWRWHEIUQURUSUTVCVASVDWIFVEVFVGZVHAGWINZWEWTXAWBWEXAWB
      WEVBWHWEEGIEGWKMEWIQRWPEQTERTVIVJZEITWCEDWDEGOEOTXBVKWCEVNVLWFGUEWCDWGWDD
      WGTDGODOTDGWKMDWIQRWHDEIWCDWGVMDITVODQTDRTVIVJVKWFGOVPVQVRUSVSVTWA $.
  $}

  ${
    $d A x y z $.  $d B y z $.
    supxrrernmpt.x $e |- F/ x ph $.
    supxrrernmpt.a $e |- ( ph -> A =/= (/) ) $.
    supxrrernmpt.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    supxrrernmpt.y $e |- ( ph -> E. y e. RR A. x e. A B <_ y ) $.
    $( The real and extended real indexed suprema match when the indexed real
       supremum exists.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    supxrrernmpt $p |- ( ph -> sup ( ran ( x e. A |-> B ) , RR* , < ) = sup (
       ran ( x e. A |-> B ) , RR , < ) ) $=
      ( vz cmpt crn cr wss c0 wne cv cle clt csup wbr wral cxr rnmptssd rnmptn0
      wrex wceq eqid rnmptbdd supxrre syl3anc ) ABDEKZLZMNUMOPJQCQRUAJUMUBCMUFU
      MUCSTUMMSTUGABDEMULFULUHZHUDABDEULMFHUNGUEABCJDEFIUICJUMUJUK $.
  $}

  ${
    $d A w x y $.  $d A x z $.  $d B w y $.  $d B z $.  $d C x z $.
    suprleubrnmpt.x $e |- F/ x ph $.
    suprleubrnmpt.a $e |- ( ph -> A =/= (/) ) $.
    suprleubrnmpt.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    suprleubrnmpt.e $e |- ( ph -> E. y e. RR A. x e. A B <_ y ) $.
    suprleubrnmpt.c $e |- ( ph -> C e. RR ) $.
    $( The supremum of a nonempty bounded indexed set of reals is less than or
       equal to an upper bound.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    suprleubrnmpt $p |- ( ph -> ( sup ( ran ( x e. A |-> B ) , RR , < ) <_ C
       <-> A. x e. A B <_ C ) ) $=
      ( vz vw cr cle wbr cv wral wcel wa cmpt crn clt csup wss c0 wne wrex eqid
      wb rnmptssd rnmptn0 rnmptbdd suprleub syl31anc nfmpt1 nfrn nfv nfan simpr
      nfralw elrnmpt1 syl2anc adantlr simplr breq1 rspcva ex ralrimi wi cvv vex
      wceq elrnmpt ax-mp biimpi adantl nfra1 rspa biimprcd syl adantr ralrimiva
      rexlimd mpd a1i impbid bitrd ) ABDEUAZUBZNUCUDFOPZLQZFOPZLWJRZEFOPZBDRZAW
      JNUEWJUFUGMQCQOPMWJRCNUHFNSWKWNUJABDENWIGWIUIZIUKABDEWINGIWQHULABCMDEGJUM
      KCMLWJFUNUOAWNWPAWNWPAWNTZWOBDAWNBGWMBLWJBWIBDEUPUQWMBURZVAUSWRBQDSZWOWRW
      TTEWJSZWNWOAWTXAWNAWTTWTENSXAAWTUTIBDEWINWQVBVCVDAWNWTVEWMWOLEWJWLEFOVFZV
      GVCVHVIVHWPWNVJAWPWMLWJWPWLWJSZTWLEVMZBDUHZWMXCXEWPXCXEWLVKSXCXEUJLVLBDEW
      LWIVKWQVNVOVPVQWPXEWMVJXCWPXDWMBDWOBDVRWSWPWTXDWMVJZWPWTTWOXFWOBDVSXDWMWO
      XBVTWAVHWDWBWEWCWFWGWH $.
  $}

  ${
    $d A x y z $.  $d B y z $.  $d C y z $.  $d ph y z $.
    infrnmptle.x $e |- F/ x ph $.
    infrnmptle.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    infrnmptle.c $e |- ( ( ph /\ x e. A ) -> C e. RR* ) $.
    infrnmptle.l $e |- ( ( ph /\ x e. A ) -> B <_ C ) $.
    $( An indexed infimum of extended reals is smaller than another indexed
       infimum of extended reals, when every indexed element is smaller than
       the corresponding one.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    infrnmptle $p |- ( ph -> inf ( ran ( x e. A |-> B ) , RR* , < ) <_ inf (
       ran ( x e. A |-> C ) , RR* , < ) ) $=
      ( vy vz cmpt crn nfv cxr eqid cv wcel cle wbr rnmptssd wa wceq cvv wb vex
      wrex elrnmpt ax-mp biimpi adantl nfmpt1 nfrn nfrex simpr elrnmpt1 syl2anc
      wi w3a 3adant3 id eqcomd 3ad2ant3 breqtrd breq1 rspcev rexlimd adantr mpd
      3exp infleinf2 ) AJKBCDLZMZBCELZMZAJNAKNABCDOVLFVLPZGUAABCEOVNFVNPZHUAAJQ
      ZVORZUBVREUCZBCUGZKQZVRSTZKVMUGZVSWAAVSWAVRUDRVSWAUEJUFBCEVRVNUDVQUHUIUJU
      KAWAWDURVSAVTWDBCFWCBKVMBVLBCDULUMWCBNUNABQCRZVTWDAWEVTUSZDVMRZDVRSTZWDAW
      EWGVTAWEUBWEDORWGAWEUOGBCDVLOVPUPUQUTWFDEVRSAWEDESTVTIUTVTAEVRUCWEVTVREVT
      VAVBVCVDWCWHKDVMWBDVRSVEVFUQVJVGVHVIVK $.
  $}

  ${
    $d A w x y $.
    $( The infimum of an unbounded-below set of extended reals is minus
       infinity.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    infxrunb3 $p |- ( A C_ RR* -> ( A. x e. RR E. y e. A y <_ x <-> inf ( A ,
       RR* , < ) = -oo ) ) $=
      ( vw cxr wss cv clt wbr wrex wral cle cinf cmnf unb2ltle infxrunb2 bitr3d
      cr wceq ) CEFBGZDGHIBCJDRKTAGLIBCJARKCEHMNSABDCODBCPQ $.
  $}

  ${
    uzn0d.1 $e |- ( ph -> M e. ZZ ) $.
    uzn0d.2 $e |- Z = ( ZZ>= ` M ) $.
    $( The upper integers are all nonempty.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    uzn0d $p |- ( ph -> Z =/= (/) ) $=
      ( uzidd2 ne0d ) ACBABCDEFG $.
  $}

  ${
    uzssd3.1 $e |- Z = ( ZZ>= ` M ) $.
    $( Subset relationship for two sets of upper integers.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    uzssd3 $p |- ( N e. Z -> ( ZZ>= ` N ) C_ Z ) $=
      ( wcel id uzssd2 ) BCEZABCDHFG $.
  $}

  ${
    $d A y $.  $d B y $.  $d x y $.
    rexabsle2.1 $e |- F/ x ph $.
    rexabsle2.2 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    $( An indexed set of absolute values of real numbers is bounded if and only
       if the original values are bounded above and below.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    rexabsle2 $p |- ( ph -> ( E. y e. RR A. x e. A ( abs ` B ) <_ y <-> ( E. y
       e. RR A. x e. A B <_ y /\ E. y e. RR A. x e. A y <_ B ) ) ) $=
      ( rexabsle ) ABCCCDEFGH $.
  $}

  ${
    $d A x y z $.  $d B y z $.
    infxrunb3rnmpt.1 $e |- F/ x ph $.
    infxrunb3rnmpt.2 $e |- F/ y ph $.
    infxrunb3rnmpt.3 $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    $( The infimum of an unbounded-below set of extended reals is minus
       infinity.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    infxrunb3rnmpt $p |- ( ph -> ( A. y e. RR E. x e. A B <_ y <-> inf ( ran (
       x e. A |-> B ) , RR* , < ) = -oo ) ) $=
      ( vz cv cle wbr wrex cr wral cxr wceq nfv wcel wi cmpt crn cinf cmnf nfrn
      clt nfmpt1 nfrex w3a wa simpr elrnmpt1 syl2anc 3adant3 simp3 breq1 rspcev
      eqid 3exp rexlimd cvv vex elrnmpt ax-mp biimpi biimpcd a1d reximdai com12
      wb syl rexlimi a1i impbid ralbid wss rnmptssd infxrunb3 bitrd ) AECJZKLZB
      DMZCNOIJZVTKLZIBDEUAZUBZMZCNOZWFPUFUCUDQZAWBWGCNGAWBWGAWAWGBDFWDBIWFBWEBD
      EUGUEWDBRZUHABJDSZWAWGAWKWAUIEWFSZWAWGAWKWLWAAWKUJWKEPSWLAWKUKHBDEWEPWEUR
      ZULUMUNAWKWAUOWDWAIEWFWCEVTKUPZUQUMUSUTWGWBTAWDWBIWFWBIRWCWFSZWCEQZBDMZWD
      WBTWOWQWCVASWOWQVJIVBBDEWCWEVAWMVCVDVEWDWQWBWDWPWABDWJWDWPWATWKWPWDWAWNVF
      VGVHVIVKVLVMVNVOAWFPVPWHWIVJABDEPWEFWMHVQCIWFVRVKVS $.
  $}

  ${
    $d A x y z $.  $d B y z $.
    supxrre3rnmpt.x $e |- F/ x ph $.
    supxrre3rnmpt.a $e |- ( ph -> A =/= (/) ) $.
    supxrre3rnmpt.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    $( The indexed supremum of a nonempty set of reals, is real if and only if
       it is bounded-above .  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    supxrre3rnmpt $p |- ( ph -> ( sup ( ran ( x e. A |-> B ) , RR* , < ) e. RR
       <-> E. y e. RR A. x e. A B <_ y ) ) $=
      ( vz cmpt crn cxr clt csup cr cv cle wbr wral wrex wss c0 wne wb rnmptssd
      wcel eqid rnmptn0 supxrre3 syl2anc rnmptbd bitr4d ) ABDEJZKZLMNOUFZIPCPZQ
      RIUNSCOTZEUPQRBDSCOTAUNOUAUNUBUCUOUQUDABDEOUMFUMUGZHUEABDEUMOFHURGUHCIUNU
      IUJABCIDEOFHUKUL $.
  $}

  ${
    $d B x $.  $d B y $.  $d K j y $.  $d M j y $.  $d X x $.  $d Z x $.
    $d j x $.
    uzublem.1 $e |- F/ j ph $.
    uzublem.2 $e |- F/_ j X $.
    uzublem.3 $e |- ( ph -> M e. ZZ ) $.
    uzublem.4 $e |- Z = ( ZZ>= ` M ) $.
    uzublem.5 $e |- ( ph -> Y e. RR ) $.
    uzublem.6 $e |- W = sup ( ran ( j e. ( M ... K ) |-> B ) , RR , < ) $.
    uzublem.7 $e |- X = if ( W <_ Y , Y , W ) $.
    uzublem.8 $e |- ( ph -> K e. Z ) $.
    uzublem.9 $e |- ( ( ph /\ j e. Z ) -> B e. RR ) $.
    uzublem.10 $e |- ( ph -> A. j e. ( ZZ>= ` K ) B <_ Y ) $.
    $( A set of reals, indexed by upper integers, is bound if and only if any
       upper part is bound.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    uzublem $p |- ( ph -> E. x e. RR A. j e. Z B <_ x ) $=
      ( vy cr wcel cle wbr wral cv wrex cif cfz cmpt crn clt csup wceq a1i ltso
      co wor fzfid eluzelz2 syl zred leidd cuz cfv eleqtrdi eluzle elfzd fzssuz
      cz eqcomi sseqtri id sselid sylan2 fisupclrnmpt eqeltrd ifcld eqeltrid wa
      ne0d ad2antrr eqid ad2antlr simpr eluzd rspa syl2anc max2 breqtrrdi letrd
      adantr wn uzssre eqsstri sseli ltnled mpbird eqeltrrid simpll cfzo eleq2i
      biimpi elfzod elfzouz 3syl ltled cfn ralrimia fimaxre3 suprubrnmpt syldan
      max1 pm2.61dan ex ralrimi nfv nfcv nfeq breq2 ralbid rspce ) AHUBUCZCHUDU
      EZDJUFZCBUGZUDUEZDJUFZBUBUHAHGIUDUEZIGUIZUBQAYJIGUBOAGDFEUJURZCUKULUBUMUN
      ZUBGYMUOAPUPADUBYLCUMKUBUMUSAUQUPAFEUTZAYLFAFFEMAEJUCEVKUCZRFEJNVAVBZMAFA
      FMVCVDAEFVEVFZUCFEUDUEAEJYQRNVGFEVHVBVIWBDUGZYLUCZAYRJUCZCUBUCZYSYLJYRYLY
      QJFEVJJYQNVLZVMYSVNVOSVPZVQVRZVSVTZAYEDJKAYTYEAYTWAZEYRUDUEZYEUUFUUGWAZCI
      HUUFUUAUUGSWMAIUBUCZYTUUGOWCAYDYTUUGUUEWCUUHCIUDUEZDEVEVFZUFZYRUUKUCUUJAU
      ULYTUUGTWCUUHEYRUUKUUKWDAYOYTUUGYPWCYTYRVKUCZAUUGFYRJNVAZWEUUFUUGWFWGUUJD
      UUKWHWIAIHUDUEYTUUGAIYKHUDAGUBUCZUUIIYKUDUEUUDOGIWJWIQWKWCWLUUFUUGWNZYREU
      MUEZYEUUFUUPWAZUUQUUPUUFUUPWFUURYREYTYRUBUCZAUUPJUBYRJYQUBNFWOWPZWQZWEAEU
      BUCZYTUUPAJUBEUUTRVOZWCWRWSUUFUUQWAZCGHUUFUUAUUQSWMAUUOYTUUQAGYMUBPAYMGUB
      PUUDWTVTZWCAYDYTUUQAHYKUBQAYJIGUBOUVEVSVTWCUVDCYMGUDUVDAYSCYMUDUEAYTUUQXA
      UVDYRFEAFVKUCYTUUQMWCAYOYTUUQYPWCZUVDYRFEXBURUCZYTUUMUVDYRFEYTYRYQUCZAUUQ
      YTUVHJYQYRNXCXDZWEUVFUUFUUQWFZXEZUVGYRYQJYRFEXFUUBVGZUUNXGYTFYRUDUEZAUUQY
      TUVHUVMUVIFYRVHVBWEUVDYREUVDUVGYTUUSUVKUVLUVAXGAUVBYTUUQUVCWCUVJXHVIADUAY
      LCKUUCAYLXIUCUUADYLUFCUAUGUDUEDYLUFUAUBUHYNAUUADYLKUUCXJUADYLCXKWIXLWIPWK
      AGHUDUEYTUUQAGYKHUDAUUOUUIGYKUDUEUUDOGIXNWIQWKWCWLXMXOXPXQYIYFBHUBYFBXRYG
      HUOYHYEDJDYGHDYGXSLXTYGHCUDYAYBYCWI $.
  $}

  ${
    $d B i k w x $.  $d B i w y $.  $d M i j w $.  $d Z i j k w x $.
    $d Z i j w y $.  $d i ph w y $.
    uzub.1 $e |- F/ j ph $.
    uzub.2 $e |- ( ph -> M e. ZZ ) $.
    uzub.3 $e |- Z = ( ZZ>= ` M ) $.
    uzub.12 $e |- ( ( ph /\ j e. Z ) -> B e. RR ) $.
    $( A set of reals, indexed by upper integers, is bound if and only if any
       upper part is bound.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    uzub $p |- ( ph -> ( E. x e. RR E. k e. Z A. j e. ( ZZ>= ` k ) B <_ x <->
       E. x e. RR A. j e. Z B <_ x ) ) $=
      ( vw vi cv cle cuz wral wrex cr wcel vy wbr cfv wb fveq2 raleqdv cbvrexvw
      wceq a1i breq2 ralbidv rexbidv bitrd biimpi cfz cmpt crn clt csup cif nfv
      wa co nfan nfra1 nfmpt1 nfrn nfcv nfbr nfif ad3antrrr simpllr eqid simplr
      nfsup ad5ant15 simpr uzublem rexlimdva2 imp sylan2 uzidd2 ad2antrr raleqi
      cz ex adantl rspce syl2anc reximdva impbid 3bitrd ) ACBNZOUBZDENZPUCZQZEG
      RZBSRZCLNZOUBZDMNZPUCZQZMGRZLSRZXADGQZLSRZWNDGQZBSRZWSXFUDAWRXEBLSWMWTUHZ
      WRWNDXCQZMGRZXEWRXMUDXKWQXLEMGWOXBUHWNDWPXCWOXBPUEUFUGUIXKXLXDMGXKWNXADXC
      WMWTCOUJUKULUMUGUIAXFXHAXFXHXFACUANZOUBZDXCQZMGRZUASRZXHXFXRXEXQLUASWTXNU
      HZXDXPMGXSXAXODXCWTXNCOUJUKULUGUNAXRXHAXQXHUASAXNSTZVBZXQXHYAXPXHMGYAXBGT
      ZVBZXPVBLCDXBFDFXBUOVCZCUPZUQZSURUSZYGXNOUBZXNYGUTZXNGYCXPDYAYBDAXTDHXTDV
      AVDYBDVAVDXODXCVEVDYHDXNYGDYGXNODYFSURDYEDYDCVFVGDSVHDURVHVOZDOVHDXNVHZVI
      YKYJVJAFWETXTYBXPIVKJAXTYBXPVLYGVMYIVMYAYBXPVNADNGTCSTXTYBXPKVPYCXPVQVRVS
      VTVSVTWAWFAXGXELSAWTSTZVBZXGXEYMXGVBFGTZXADFPUCZQZXEAYNYLXGAFGIJWBWCXGYPY
      MXGYPXADGYOJWDUNWGXDYPMFGYPMVAXBFUHXADXCYOXBFPUEUFWHWIWFWJWKXHXJUDAXGXILB
      SWTWMUHXAWNDGWTWMCOUJUKUGUIWL $.
  $}

  ${
    ssrexr.1 $e |- ( ph -> A C_ RR ) $.
    $( A subset of the reals is a subset of the extended reals.  (Contributed
       by Glauco Siliprandi, 2-Jan-2022.) $)
    ssrexr $p |- ( ph -> A C_ RR* ) $=
      ( cr cxr ressxr sstrdi ) ABDECFG $.
  $}

  $( Removing minus infinity from a set does not affect its supremum.
     (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
  supxrmnf2 $p |- ( A C_ RR* -> sup ( ( A \ { -oo } ) , RR* , < ) = sup ( A ,
     RR* , < ) ) $=
    ( cxr wss cmnf wcel csn cdif clt csup wceq cun ssdifss supxrmnf syl difsnid
    wa adantr supeq1d adantl eqtr3d wn difsn pm2.61dan ) ABCZDAEZADFZGZBHIZABHI
    ZJZUDUEPUGUFKZBHIZUHUIUDULUHJZUEUDUGBCUMABUFLUGMNQUEULUIJUDUEBUKAHADORSTUEU
    AZUJUDUNBUGAHDAUBRSUC $.
  ${
    supxrcli.1 $e |- A C_ RR* $.
    $( The supremum of an arbitrary set of extended reals is an extended real.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    supxrcli $p |- sup ( A , RR* , < ) e. RR* $=
      ( cxr wss clt csup wcel supxrcl ax-mp ) ACDACEFCGBAHI $.
  $}

  ${
    uzid3.1 $e |- Z = ( ZZ>= ` M ) $.
    $( Membership of the least member in an upper set of integers.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    uzid3 $p |- ( N e. Z -> N e. ( ZZ>= ` N ) ) $=
      ( wcel cuz cfv eleq2i biimpi uzid2 syl ) BCEZBAFGZEZBBFGELNCMBDHIBAJK $.
  $}

  ${
    $d A x $.  $d ph x $.
    infxrlesupxr.1 $e |- ( ph -> A C_ RR* ) $.
    infxrlesupxr.2 $e |- ( ph -> A =/= (/) ) $.
    $( The supremum of a nonempty set is greater than or equal to the infimum.
       The second condition is needed, see ~ supxrltinfxr .  (Contributed by
       Glauco Siliprandi, 2-Jan-2022.) $)
    infxrlesupxr $p |- ( ph -> inf ( A , RR* , < ) <_ sup ( A , RR* , < ) ) $=
      ( vx cv wcel wex cxr clt cinf csup cle wbr c0 wne n0 biimpi syl adantr wa
      infxrcld supxrcld wss simpr infxrlb syl2anc eqid supxrubd xrletrd exlimdv
      sselda ex mpd ) AEFZBGZEHZBIJKZBIJLZMNZABOPZUQDVAUQEBQRSAUPUTEAUPUTAUPUAZ
      URUOUSAURIGUPABCUBTABIUOCULAUSIGUPABCUCTVBBIUDZUPURUOMNAVCUPCTZAUPUEZBUOU
      FUGVBBUOUSVDVEUSUHUIUJUMUKUN $.
  $}

  ${
    xnegeqd.1 $e |- ( ph -> A = B ) $.
    $( Equality of two extended numbers with ` -e ` in front of them.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    xnegeqd $p |- ( ph -> -e A = -e B ) $=
      ( wceq cxne xnegeq syl ) ABCEBFCFEDBCGH $.
  $}

  $( The extended real negative of a real number is real.  (Contributed by
     Glauco Siliprandi, 2-Jan-2022.) $)
  xnegrecl $p |- ( A e. RR -> -e A e. RR ) $=
    ( cr wcel cxne cneg rexneg renegcl eqeltrd ) ABCADAEBAFAGH $.
  ${
    xnegnegi.1 $e |- A e. RR* $.
    $( Extended real version of ~ negneg .  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    xnegnegi $p |- -e -e A = A $=
      ( cxr wcel cxne wceq xnegneg ax-mp ) ACDAEEAFBAGH $.
  $}

  ${
    xnegeqi.1 $e |- A = B $.
    $( Equality of two extended numbers with ` -e ` in front of them.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    xnegeqi $p |- -e A = -e B $=
      ( wceq cxne xnegeq ax-mp ) ABDAEBEDCABFG $.
  $}

  ${
    nfxnegd.1 $e |- ( ph -> F/_ x A ) $.
    $( Deduction version of ~ nfxneg .  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    nfxnegd $p |- ( ph -> F/_ x -e A ) $=
      ( cxne cpnf wceq cmnf cneg cif df-xneg nfcvd nfeqd nfnegd nfifd nfcxfrd )
      ABCECFGZHCHGZFCIZJZJCKAQBHTABCFDABFLZMABHLZARBFSABCHDUBMUAABCDNOOP $.
  $}

  ${
    xnegnegd.1 $e |- ( ph -> A e. RR* ) $.
    $( Extended real version of ~ negnegd .  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    xnegnegd $p |- ( ph -> -e -e A = A ) $=
      ( cxr wcel cxne wceq xnegneg syl ) ABDEBFFBGCBHI $.
  $}

  ${
    uzred.1 $e |- Z = ( ZZ>= ` M ) $.
    uzred.2 $e |- ( ph -> A e. Z ) $.
    $( An upper integer is a real number.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    uzred $p |- ( ph -> A e. RR ) $=
      ( cz cr zssre eluzelz2d sselid ) AGHBIACBDEFJK $.
  $}

  ${
    xnegcli.1 $e |- A e. RR* $.
    $( Closure of extended real negative.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    xnegcli $p |- -e A e. RR* $=
      ( cxr wcel cxne xnegcl ax-mp ) ACDAECDBAFG $.
  $}

  ${
    $d A w x y z $.  $d B w y z $.  $d ph w $.
    supminfrnmpt.x $e |- F/ x ph $.
    supminfrnmpt.a $e |- ( ph -> A =/= (/) ) $.
    supminfrnmpt.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    supminfrnmpt.y $e |- ( ph -> E. y e. RR A. x e. A B <_ y ) $.
    $( The indexed supremum of a bounded-above set of reals is the negation of
       the indexed infimum of that set's image under negation.  (Contributed by
       Glauco Siliprandi, 2-Jan-2022.) $)
    supminfrnmpt $p |- ( ph -> sup ( ran ( x e. A |-> B ) , RR , < ) = -u inf (
       ran ( x e. A |-> -u B ) , RR , < ) ) $=
      ( vw vz cr clt cv cneg wcel wrex wceq wa adantr cmpt crn csup crab wss c0
      cinf wne cle wral eqid rnmptssd rnmptn0 rnmptbdd supminf syl3anc wi simpr
      wbr wb renegcl elrnmpt syl mpbid adantll nfan negeq eqcomd adantl negnegd
      nfv recn eqtr2d ex recnd adantlr impbid rexbida simplr elrnmptd ralrimiva
      eqtrd rabss sylibr nfcv nfmpt1 nfrn nfel nfrabw renegcld elrnmpt1 syl2anc
      eleq1d eqeltrd elrabd rnmptssdf eqssd infeq1d negeqd ) ABDEUAZUBZLMUCZJNZ
      OZXAPZJLUDZLMUGZOZBDEOZUAZUBZLMUGZOAXALUEXAUFUHKNCNUIUSKXAUJCLQXBXHRABDEL
      WTFWTUKZHULABDEWTLFHXMGUMABCKDEFIUNCKJXAUOUPAXGXLALXFXKMAXFXKAXEXCXKPZUQZ
      JLUJXFXKUEAXOJLAXCLPZSZXEXNXQXESZBDXIXCXJLXJUKZXRXDERZBDQZXCXIRZBDQZXPXEY
      AAXPXESXEYAXPXEURXPXEYAUTZXEXPXDLPYDXCVABDEXDWTLXMVBVCTVDVEXQYAYCUTXEXQXT
      YBBDAXPBFXPBVKVFXQBNDPZSXTYBXQXTYBUQZYEXPYFAXPXTYBXPXTSXIXDOZXCXTXIYGRXPX
      TYGXIXDEVGVHVIXPYGXCRXTXPXCXCVLVJTVMVNVITAYEYBXTUQXPAYESZYBXTYHYBSXDXIOZE
      YBXDYIRYHXCXIVGZVIYHYIERYBYHEYHEHVOVJZTWBVNVPVQVRTVDAXPXEVSVTVNWAXEJLXKWC
      WDABDXIXFXJFXEBJLBXDXABXDWEBWTBDEWFWGWHBLWEWIXSYHXEYIXAPJXILYBXDYIXAYJWMY
      HEHWJYHYIEXAYKYHYEELPEXAPAYEURHBDEWTLXMWKWLWNWOWPWQWRWSWB $.
  $}

  ${
    $d A x y $.
    $( Adding plus infinity to a set does not affect its infimum.  (Contributed
       by Glauco Siliprandi, 2-Jan-2022.) $)
    infxrpnf $p |- ( A C_ RR* -> inf ( ( A u. { +oo } ) , RR* , < ) = inf ( A ,
       RR* , < ) ) $=
      ( vx cxr wss cpnf cun clt cinf wcel pnfxr a1i cle wbr syl2anc wceq xrinf0
      vy c0 wa syl csn snssi ax-mp unssd infxrcld infxrcl ssun1 infxrss eqeltri
      infeq1 eqeltrd wor xrltso infsn mp2an eqcomi eqtrdi uneq1 infeq1d 3eqtr4d
      id 0un eqtrd xreqled adantl wn wne neqne nfv simpl cv simpr ssel2 xrleidd
      wrex breq1 rspcev ad4ant14 simpll elsni adantll wral simplr pnfge adantlr
      elunnel1 breqtrrd ralrimiva r19.2z pm2.61dan infleinf2 sylan2 xrletrid )
      ACDZAEUAZFZCGHZACGHZWNWPWNAWOCWNVAWOCDZWNECIZWSJECUBUCKUDZUEAUFWNAWPDZWPC
      DZWQWRLMXBWNAWOUGKXAAWPUHNWNAROZWRWQLMZXDXEWNXDWRWQXDWRRCGHZCCARGUJZXFCIX
      DXFECPJUIKUKXDEWOCGHZWRWQEXHOXDXHECGULWTXHEOUMJCEGUNUOUPKXDWRXFEXGPUQXDCW
      PWOGXDWPRWOFZWOARWOURXIWOOXDWOVBKVCUSUTVDVEXDVFWNARVGZXEARVHWNXJSZBQAWPXK
      BVIXKQVIWNXJVJZXKWNXCXLXATXKBVKZWPIZSZXMAIZQVKZXMLMZQAVOZWNXPXSXJXNWNXPSZ
      XPXMXMLMZXSWNXPVLXTXMACXMVMVNXRYAQXMAXQXMXMLVPVQNVRXOXPVFZSXKXMEOZXSXKXNY
      BVSXNYBYCXKXNYBSXMWOIYCXMAWOWFXMEVTTWAXKYCSXJXRQAWBZXSWNXJYCWCWNYCYDXJWNY
      CSZXRQAYEXQAIZSXQEXMLWNYFXQELMZYCWNYFSXQCIYGACXQVMXQWDTWEWNYCYFWCWGWHWEXR
      QAWINNWJWKWLWJWM $.
  $}

  ${
    $d A x $.
    infxrrnmptcl.1 $e |- F/ x ph $.
    infxrrnmptcl.2 $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    $( The infimum of an arbitrary indexed set of extended reals is an extended
       real.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    infxrrnmptcl $p |- ( ph -> inf ( ran ( x e. A |-> B ) , RR* , < ) e. RR* )
                    $=
      ( cmpt crn cxr eqid rnmptssd infxrcld ) ABCDGZHABCDIMEMJFKL $.
  $}

  ${
    leneg2d.1 $e |- ( ph -> A e. RR ) $.
    leneg2d.2 $e |- ( ph -> B e. RR ) $.
    $( Negative of one side of 'less than or equal to'.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    leneg2d $p |- ( ph -> ( A <_ -u B <-> B <_ -u A ) ) $=
      ( cneg cle wbr renegcld lenegd recnd negnegd breq1d bitrd ) ABCFZGHOFZBFZ
      GHCQGHABODACEIJAPCQGACACEKLMN $.
  $}

  $( The supremum of the empty set is strictly smaller than the infimum of the
     empty set.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
  supxrltinfxr $p |- sup ( (/) , RR* , < ) < inf ( (/) , RR* , < ) $=
    ( cmnf cpnf c0 cxr clt csup cinf mnfltpnf xrsup0 xrinf0 3brtr4i ) ABCDEFCDE
    GEHIJK $.
  ${
    max1d.1 $e |- ( ph -> A e. RR ) $.
    max1d.2 $e |- ( ph -> B e. RR ) $.
    $( A number is less than or equal to the maximum of it and another.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    max1d $p |- ( ph -> A <_ if ( A <_ B , B , A ) ) $=
      ( cr wcel cle wbr cif max1 syl2anc ) ABFGCFGBBCHICBJHIDEBCKL $.
  $}

  ${
    $d A y $.  $d B y $.  $d C y $.  $d ph y $.  $d x y $.
    supxrleubrnmptf.x $e |- F/ x ph $.
    supxrleubrnmptf.a $e |- F/_ x A $.
    supxrleubrnmptf.n $e |- F/_ x C $.
    supxrleubrnmptf.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    supxrleubrnmptf.c $e |- ( ph -> C e. RR* ) $.
    $( The supremum of a nonempty bounded indexed set of extended reals is less
       than or equal to an upper bound.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    supxrleubrnmptf $p |- ( ph -> ( sup ( ran ( x e. A |-> B ) , RR* , < ) <_ C
       <-> A. x e. A B <_ C ) ) $=
      ( vy cmpt cxr clt cle wbr nfcv wcel wi wceq crn csup wral nfcsb1v csbeq1a
      cv csb wb cbvmptf rneqi supeq1i breq1i a1i nfv wa nfcri nfan nfel1 eleq1w
      nfim anbi2d eleq1d imbi12d chvarfv supxrleubrnmpt nfbr eqcom imbi1i bitri
      imbi2i mpbi breq1d cbvralfw 3bitrd ) ABCDLZUAZMNUBZEOPZKCBKUFZDUGZLZUAZMN
      UBZEOPZVTEOPZKCUCZDEOPZBCUCZVRWDUHAVQWCEOMVPWBNVOWABKCDVTGKCQZKDQBVSDUDZB
      VSDUEZUIUJUKULUMAKCVTEAKUNABUFZCRZUOZDMRZSAVSCRZUOZVTMRZSBKWQWRBAWPBFBKCG
      UPUQBVTMWJURUTWLVSTZWNWQWOWRWSWMWPABKCUSVAWSDVTMWKVBVCIVDJVEWFWHUHAWEWGKB
      CWIGBVTEOWJBOQHVFWGKUNVSWLTZVTDEOWSDVTTZSZWTVTDTZSZWKXBWTXASXDWSWTXAWLVSV
      GVHXAXCWTDVTVGVJVIVKVLVMUMVN $.
  $}

  ${
    nleltd.1 $e |- ( ph -> A e. RR ) $.
    nleltd.2 $e |- ( ph -> B e. RR ) $.
    nleltd.3 $e |- ( ph -> -. B <_ A ) $.
    $( 'Not less than or equal to' implies 'grater than'.  (Contributed by
       Glauco Siliprandi, 2-Jan-2022.) $)
    nleltd $p |- ( ph -> A < B ) $=
      ( clt wbr cle wn ltnled mpbird ) ABCGHCBIHJFABCDEKL $.
  $}

  ${
    zxrd.1 $e |- ( ph -> A e. ZZ ) $.
    $( An integer is an extended real number.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    zxrd $p |- ( ph -> A e. RR* ) $=
      ( zred rexrd ) ABABCDE $.
  $}

  ${
    $d A x z $.  $d B z $.  $d C x z $.
    infxrgelbrnmpt.x $e |- F/ x ph $.
    infxrgelbrnmpt.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    infxrgelbrnmpt.c $e |- ( ph -> C e. RR* ) $.
    $( The infimum of an indexed set of extended reals is greater than or equal
       to a lower bound.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    infxrgelbrnmpt $p |- ( ph -> ( C <_ inf ( ran ( x e. A |-> B ) , RR* , < )
       <-> A. x e. A C <_ B ) ) $=
      ( vz cxr cle wbr cv wral wcel wb syl2anc wa ex cvv cmpt crn clt cinf eqid
      wss rnmptssd infxrgelb nfmpt1 nfrn nfv nfralw nfan simpr elrnmpt1 adantlr
      simplr breq2 rspcva ralrimi wceq vex elrnmpt ax-mp biimpi adantl wi nfra1
      wrex rspa biimprcd syl rexlimd adantr mpd ralrimiva impbida bitrd ) AEBCD
      UAZUBZJUCUDKLZEIMZKLZIVTNZEDKLZBCNZAVTJUFEJOWAWDPABCDJVSFVSUEZGUGHIVTEUHQ
      AWDWFAWDRZWEBCAWDBFWCBIVTBVSBCDUIUJWCBUKZULUMWHBMCOZWEWHWJRDVTOZWDWEAWJWK
      WDAWJRWJDJOWKAWJUNGBCDVSJWGUOQUPAWDWJUQWCWEIDVTWBDEKURZUSQSUTWFWDAWFWCIVT
      WFWBVTOZRWBDVAZBCVIZWCWMWOWFWMWOWBTOWMWOPIVBBCDWBVSTWGVCVDVEVFWFWOWCVGWMW
      FWNWCBCWEBCVHWIWFWJWNWCVGZWFWJRWEWPWEBCVJWNWCWEWLVKVLSVMVNVOVPVFVQVR $.
  $}

  ${
    rphalfltd.1 $e |- ( ph -> A e. RR+ ) $.
    $( Half of a positive real is less than the original number.  (Contributed
       by Glauco Siliprandi, 2-Jan-2022.) $)
    rphalfltd $p |- ( ph -> ( A / 2 ) < A ) $=
      ( crp wcel c2 cdiv co clt wbr rphalflt syl ) ABDEBFGHBIJCBKL $.
  $}

  ${
    uzssz2.1 $e |- Z = ( ZZ>= ` M ) $.
    $( An upper set of integers is a subset of all integers.  (Contributed by
       Glauco Siliprandi, 2-Jan-2022.) $)
    uzssz2 $p |- Z C_ ZZ $=
      ( cuz cfv cz uzssz eqsstri ) BADEFCAGH $.
  $}

  ${
    leneg3d.1 $e |- ( ph -> A e. RR ) $.
    leneg3d.2 $e |- ( ph -> B e. RR ) $.
    $( Negative of one side of 'less than or equal to'.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    leneg3d $p |- ( ph -> ( -u A <_ B <-> -u B <_ A ) ) $=
      ( cneg cle wbr renegcld lenegd recnd negnegd breq2d bitrd ) ABFZCGHCFZOFZ
      GHPBGHAOCABDIEJAQBPGABABDKLMN $.
  $}

  ${
    max2d.1 $e |- ( ph -> A e. RR ) $.
    max2d.2 $e |- ( ph -> B e. RR ) $.
    $( A number is less than or equal to the maximum of it and another.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    max2d $p |- ( ph -> B <_ if ( A <_ B , B , A ) ) $=
      ( cr wcel cle wbr cif max2 syl2anc ) ABFGCFGCBCHICBJHIDEBCKL $.
  $}

  $( The upper integers function needs to be applied to an integer, in order to
     return a nonempty set.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
  uzn0bi $p |- ( ( ZZ>= ` M ) =/= (/) <-> M e. ZZ ) $=
    ( cuz cfv c0 wne cz wcel wceq wn uz0 adantl neneq adantr condan eqid impbii
    id uzn0d ) ABCZDEZAFGZTUASDHZUAIZUBTAJKTUBIUCSDLMNUAASUAQSORP $.
  $( If the extended real negative is real, then the number itself is real.
     (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
  xnegrecl2 $p |- ( ( A e. RR* /\ -e A e. RR ) -> A e. RR ) $=
    ( cxr wcel cxne cr wa wceq xnegneg adantr xnegrecl adantl eqeltrrd ) ABCZAD
    ZECZFNDZAEMPAGOAHIOPECMNJKL $.
  ${
    nfxneg.1 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for the negative of an extended real
       number.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    nfxneg $p |- F/_ x -e A $=
      ( cxne wnfc wtru a1i nfxnegd mptru ) ABDEFABABEFCGHI $.
  $}

  ${
    uzxrd.1 $e |- Z = ( ZZ>= ` M ) $.
    uzxrd.2 $e |- ( ph -> A e. Z ) $.
    $( An upper integer is an extended real.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    uzxrd $p |- ( ph -> A e. RR* ) $=
      ( cr cxr ressxr uzred sselid ) AGHBIABCDEFJK $.
  $}

  $( Removing plus infinity from a set does not affect its infimum.
     (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
  infxrpnf2 $p |- ( A C_ RR* -> inf ( ( A \ { +oo } ) , RR* , < ) = inf ( A ,
     RR* , < ) ) $=
    ( cxr wss cpnf wcel csn cdif clt cinf wceq cun ssdifss infxrpnf syl difsnid
    wa adantr infeq1d adantl eqtr3d wn difsn pm2.61dan ) ABCZDAEZADFZGZBHIZABHI
    ZJZUDUEPUGUFKZBHIZUHUIUDULUHJZUEUDUGBCUMABUFLUGMNQUEULUIJUDUEBUKAHADORSTUEU
    AZUJUDUNBUGAHDAUBRSUC $.
  ${
    $d A v w x y z $.  $d ph v y z $.
    supminfxr.1 $e |- ( ph -> A C_ RR ) $.
    $( The extended real suprema of a set of reals is the extended real
       negative of the extended real infima of that set's image under negation.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    supminfxr $p |- ( ph -> sup ( A , RR* , < ) = -e inf ( { x e. RR | -u x e.
       A } , RR* , < ) ) $=
      ( vz vy vw c0 wceq cxr clt cneg wcel cr wa cmnf a1i cpnf wbr wb csup crab
      vv cv cinf cxne supeq1 xrsup0 eqtrd adantl eleq2 rabbidv wral noel rabeq0
      wn rgen mpbir infeq1d xrinf0 xnegeqd xnegpnf eqtr4d wne cle wrex ad2antrr
      neqne wss simplr simpr w3a negn0 ublbneg ssrab2 infrenegsup mp3an1 syl2an
      3impa elrabi ssel2 negeq eleq1d elrab3 renegcl recn negnegd 3bitrd eqrdav
      supeq1d 3ad2ant1 negeqd infrecl suprcl cc negcon2 syl2anc syl3anc supxrre
      syl infxrre sylanl1 rexnegd 3eqtr4d sselda adantlr ltnled rexbidva rexnal
      mpbid bitrd ralbidva ralnex adantr mpbird xnegmnf eqcomi ressxr supxrunb2
      sstrd simpl breq1 rexbidv rspcva adantll renegcld ad4ant13 eqeltrd elrabd
      wi recnd ad3antlr ltnegd simpllr negneg 3syl breqtrd rexlimdva2 pm2.61dan
      rspcev mpd ralrimiva sstri infxrunb2 ax-mp sylib syldan sylan2 ) ACHIZCJK
      UAZBUDZLZCMZBNUBZJKUEZUFZIZAUUIOUUJPUUPUUIUUJPIAUUIUUJHJKUAZPJCHKUGUURPIU
      UIUHQUIUJUUIUUPPIAUUIUUPRUFZPUUIUUORUUIUUOHJKUEZRUUIJUUNHKUUIUUNUULHMZBNU
      BZHUUIUUMUVABNCHUULUKULUVBHIZUUIUVCUVAUPZBNUMUVDBNUVDUUKNMUULUNQUQUVABNUO
      URQUIUSUUTRIUUIUTQUIVAUUSPIUUIVBQUIUJVCUUIUPACHVDZUUQCHVHAUVEOZEUDZFUDZVE
      SZECUMZFNVFZUUQUVFUVKOZCNKUAZUUNNKUEZLZUUJUUPUVLCNVIZUVEUVKUVMUVOIZAUVPUV
      EUVKDVGZAUVEUVKVJZUVFUVKVKZUVPUVEUVKVLZUVNUVMLZIZUVQUWAUVNGUDZLZUUNMZGNUB
      ZNKUAZLZUWBUVPUVEUVKUVNUWIIZUVPUVEOZUUNHVDZUVHUVGVESEUUNUMFNVFZUWJUVKBCVM
      ZFEBCVNZUUNNVIZUWLUWMUWJUUMBNVOZFEGUUNVPVQVRVSUWAUWHUVMUVPUVEUWHUVMIUVKUV
      PNUWGCKUVPFUWGCNUVHUWGMZUVHNMZUVPUWFGUVHNVTUJCNUVHWAUWSUWRUVHCMZTUVPUWSUW
      RUVHLZUUNMZUXALZCMZUWTUWFUXBGUVHNUWDUVHIUWEUXAUUNUWDUVHWBWCWDUWSUXANMUXBU
      XDTUVHWEUUMUXDBUXANUUKUXAIUULUXCCUUKUXAWBWCWDWTUWSUXCUVHCUWSUVHUVHWFWGWCW
      HUJWIWJWKWLUIUWAUVNNMZUVMNMZUWCUVQTZUVPUVEUVKUXEUWKUWLUWMUXEUVKUWNUWOUWPU
      WLUWMUXEUWQFEUUNWMVQVRZVSFECWNUXEUVNWOMUVMWOMUXGUXFUVNWFUVMWFUVNUVMWPVRWQ
      XJWRUVLUVPUVEUVKUUJUVMIUVRUVSUVTFECWSWRUVLUUPUVNUFUVOUVLUUOUVNUVLUWPUWLUW
      MUUOUVNIUWPUVLUWQQUVLUVPUVEUWLUVRUVSUWNWQUVLUVKUWMUVTUWOWTFEUUNXAWRVAUVLU
      VNAUVPUVEUVKUXEDUXHXBXCUIXDAUVKUPZUUQUVEAUXIUVHUVGKSZECVFZFNUMZUUQAUXIOUX
      LUXIAUXIVKAUXLUXITUXIAUXLUVJUPZFNUMZUXIAUXKUXMFNAUWSOZUXKUVIUPZECVFZUXMUX
      OUXJUXPECUXOUVGCMZOUVHUVGAUWSUXRVJAUXRUVGNMZUWSACNUVGDXEZXFXGXHUXQUXMTUXO
      UVIECXIQXKXLUXNUXITAUVJFNXMQXKXNXOAUXLOZRPUFZUUJUUPRUYBIUYAUYBRXPXQQUYAUX
      LUUJRIZAUXLVKAUXLUYCTZUXLACJVIUYDACNJDNJVIAXRQXTFECXSWTXNXJUYAUUOPUYAUWDU
      CUDZKSZGUUNVFZUCNUMZUUOPIZUYAUYGUCNUYAUYENMZOUYELZUVGKSZECVFZUYGUXLUYJUYM
      AUXLUYJOUYKNMZUXLUYMUYJUYNUXLUYEWEZUJUXLUYJYAUXKUYMFUYKNUVHUYKIUXJUYLECUV
      HUYKUVGKYBYCYDWQYEAUYJUYMUYGYJUXLAUYJOZUYLUYGECUYPUXROZUYLOZUVGLZUUNMUYSU
      YEKSZUYGUYRUUMUYSLZCMZBUYSNUUKUYSIUULVUACUUKUYSWBWCAUXRUYSNMUYJUYLAUXROZU
      VGUXTYFYGAUXRVUBUYJUYLVUCVUAUVGCVUCUVGVUCUVGUXTYKWGAUXRVKYHYGYIUYRUYSUYKL
      ZUYEKUYRUYLUYSVUDKSUYQUYLVKUYRUYKUVGUYJUYNAUXRUYLUYOYLAUXRUXSUYJUYLUXTYGY
      MXJUYRUYJUYEWOMVUDUYEIAUYJUXRUYLYNUYEWFUYEYOYPYQUYFUYTGUYSUUNUWDUYSUYEKYB
      YTWQYRXFUUAUUBUUNJVIUYHUYITUUNNJUWQXRUUCUCGUUNUUDUUEUUFVAXDUUGXFYSUUHYS
      $.
  $}

  ${
    $d A w x y $.  $d A w x z $.  $d B w y $.  $d B w z $.  $d C w x $.
    $d ph w z $.
    infrpgernmpt.x $e |- F/ x ph $.
    infrpgernmpt.a $e |- ( ph -> A =/= (/) ) $.
    infrpgernmpt.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    infrpgernmpt.y $e |- ( ph -> E. y e. RR A. x e. A y <_ B ) $.
    infrpgernmpt.c $e |- ( ph -> C e. RR+ ) $.
    $( The infimum of a nonempty, bounded below, indexed subset of extended
       reals can be approximated from above by an element of the set.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    infrpgernmpt $p |- ( ph -> E. x e. A B <_ ( inf ( ran ( x e. A |-> B ) ,
       RR* , < ) +e C ) ) $=
      ( vw cv cxr clt cle wbr wrex wa nfcv cmpt crn cinf cxad nfv eqid rnmptssd
      vz co rnmptn0 wral wceq breq1 ralbidv cbvrexvw sylib rnmptlb infrpge wcel
      cr simpll simpr cvv wb vex elrnmpt ax-mp biimpi ad2antlr nfmpt1 nfrn nfov
      nfinf nfbr wi id eqcomd adantl simpl eqbrtrd ex a1d reximdai imp syl21anc
      nfan rexlimdva2 mpd ) ALMZBDEUAZUBZNOUCZFUDUIZPQZLWKREWMPQZBDRZALUHLWKFAL
      UEABDENWJGWJUFZIUGABDEWJNGIWQHUJABLUHDEACMZEPQZBDUKZCUTRWIEPQZBDUKZLUTRJW
      TXBCLUTWRWIULWSXABDWRWIEPUMUNUOUPUQKURAWNWPLWKAWIWKUSZSZWNSAWNWIEULZBDRZW
      PAXCWNVAXDWNVBXCXFAWNXCXFWIVCUSXCXFVDLVEBDEWIWJVCWQVFVGVHVIAWNSZXFWPXGXEW
      OBDAWNBGBWIWMPBWITBPTBWLFUDBWKNOBWJBDEVJVKBNTBOTVMBUDTBFTVLVNWFWNBMDUSZXE
      WOVOZVOAWNXIXHWNXEWOWNXESEWIWMPXEEWIULWNXEWIEXEVPVQVRWNXEVSVTWAWBVRWCWDWE
      WGWH $.
  $}

  $( An extended real is real if and only if its extended negative is real.
     (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
  xnegre $p |- ( A e. RR* -> ( A e. RR <-> -e A e. RR ) ) $=
    ( cxr wcel cr cxne xnegrecl adantl xnegrecl2 impbida ) ABCZADCZAEDCZKLJAFGA
    HI $.
  ${
    xnegrecl2d.1 $e |- ( ph -> A e. RR* ) $.
    xnegrecl2d.2 $e |- ( ph -> -e A e. RR ) $.
    $( If the extended real negative is real, then the number itself is real.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    xnegrecl2d $p |- ( ph -> A e. RR ) $=
      ( cxr wcel cxne cr xnegrecl2 syl2anc ) ABEFBGHFBHFCDBIJ $.
  $}

  $( An upper integer is an extended real.  (Contributed by Glauco Siliprandi,
     2-Jan-2022.) $)
  uzxr $p |- ( A e. ( ZZ>= ` M ) -> A e. RR* ) $=
    ( cuz cfv wcel eqid id uzxrd ) ABCDZEZABIIFJGH $.
  ${
    $d A x y $.
    supminfxr2.1 $e |- ( ph -> A C_ RR* ) $.
    $( The extended real suprema of a set of extended reals is the extended
       real negative of the extended real infima of that set's image under
       extended real negation.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    supminfxr2 $p |- ( ph -> sup ( A , RR* , < ) = -e inf ( { x e. RR* | -e x
       e. A } , RR* , < ) ) $=
      ( vy cxr clt cxne wcel cinf cpnf wceq wa cmnf a1i wss adantl wn cr adantr
      csup cv xnegmnf eqcomi supxrpnf sylan ssrab2 xnegeq eqtrd eleq1d mnfxr id
      crab elrabd infxrmnf syl2anc xnegeqd 3eqtr4d csn cdif cneg ssdifssd ssnel
      difssd neldifsnd xrssre supminfxr supxrmnf2 syl eqcomd wi wral rexr simpl
      rexnegd eldifi eqeltrd jca rabid sylibr wne renepnf elsni necon3ai eldifd
      rgen nfrab1 nfcv nfdif rabssf nfv sselid simprbi biimpac adantll pm2.65da
      simpll neqned sylan2 eldifsni xrred ssdf2 eqtr2d xnegneg neneqd ralrimiva
      eqeltrrd ssrabf eqssd infeq1d infxrpnf2 pm2.61dan cbvrabv infeq1i xnegeqi
      ex ax-mp ) ACFGUAZEUBZHZCIZEFUMZFGJZHZBUBZHZCIZBFUMZFGJZHZAKCIZXRYDLAYKMZ
      KNHZXRYDKYMLYLYMKUCUDOACFPZYKXRKLDCUEUFYLYCNYKYCNLZAYKYBFPZNYBIYOYPYKYAEF
      UGZOYKYAYKENFXSNLZXTKCYRXTYMKXSNUHYMKLZYRUCOUIUJZNFIYKUKOYKULUNYBUOUPQUQU
      RAYKRZMZCNUSZUTZFGUAZXSVAZUUDIZESUMZFGJZHZXRYDUUBEUUDUUBUUDAUUDFPUUAACFUU
      CDVBTUUAKUUDIRZAUUAUUDCPUUAUUKUUACUUCVDUUAULUUDCKVCUPQUUBNCVEVFVGAXRUUELU
      UAAUUEXRAYNUUEXRLDCVHVIVJTUUAYDUUJLAUUAYCUUIUUAUUIYBKUSZUTZFGJZYCUUAFUUHU
      UMGUUAUUHUUMUUAUUGXSUUMIZVKZESVLZUUHUUMPUUQUUAUUPESXSSIZUUGUUOUURUUGMZXSY
      BUULUUSXSFIZYAMXSYBIZUUSUUTYAUURUUTUUGXSVMTUUSXTUUFCUUSXSUURUUGVNZVOUUGUU
      FCIUURUUFCUUCVPQVQVRYAEFVSZVTUUSUURXSUULIZRZUVBUURXSKWAZUVEXSWBUVDXSKXSKW
      CWDVIVIWEXPWFOUUGESUUMEYBUULYAEFWGEUULWHWIZWJVTUUAUUMSPZUUGEUUMVLZMUUMUUH
      PUUAUVHUVIUUAEUUMSUUAEWKUVGESWHZUUAUUOMZXSUUOUUTUUAUUOYBFXSYQXSYBUULVPZWL
      ZQUUOUUAYAXSNWAUUOUVAYAUVLUVAUUTYAUVCWMVIZUUAYAMZXSNUVOYRYKYAYRYKUUAYRYAY
      KYTWNWOUUAYAYRWQWPWRWSUUOUVFUUAXSYBKWTZQXAZXBUUAUUGEUUMUVKXTUUFUUDUVKXSUV
      QVOUVKXTCUUCUUOYAUUAUVNQUUOXTUUCIZRUUAUUOUVRXSKLZUUOUVRMUUTXTNLZUVSUUOUUT
      UVRUVMTUVRUVTUUOXTNWCQUUTUVTMKXTHZXSUVTKUWALUUTUVTUWAYMKXTNUHYSUVTUCOXCQU
      UTUWAXSLUVTXSXDTXCUPUUOUVSRUVRUUOXSKUVPXETWPQWEXGXFVRUUGESUUMUVGUVJXHVTXI
      XJUUNYCLZUUAYPUWBYQYBXKXQOXCUQQURXLYDYJLAYCYIFYBYHGYAYGEBFXSYELXTYFCXSYEU
      HUJXMXNXOOUI $.
  $}

  ${
    xnegred.1 $e |- ( ph -> A e. RR* ) $.
    $( An extended real is real if and only if its extended negative is real.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    xnegred $p |- ( ph -> ( A e. RR <-> -e A e. RR ) ) $=
      ( cxr wcel cr cxne wb xnegre syl ) ABDEBFEBGFEHCBIJ $.
  $}

  ${
    $d A x y $.  $d B y $.
    supminfxrrnmpt.x $e |- F/ x ph $.
    supminfxrrnmpt.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    $( The indexed supremum of a set of reals is the negation of the indexed
       infimum of that set's image under negation.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    supminfxrrnmpt $p |- ( ph -> sup ( ran ( x e. A |-> B ) , RR* , < ) = -e
       inf ( ran ( x e. A |-> -e B ) , RR* , < ) ) $=
      ( vy cmpt crn cxr clt cv cxne wcel cinf eqid wceq wrex cvv wa rnmptssd wi
      csup crab supminfxr2 wss wral xnegex elrnmpt biimpi xnegneg eqcomd adantr
      wb ax-mp xnegeq adantl eqtrd reximdv imp simpl elrnmptd sylan2 rgen rabss
      ex biimpri a1i nfcv nfmpt1 nfrn nfrabw eleq1d xnegcld syl simpr elrnmpt1d
      nfel eqeltrd elrabd rnmptssdf eqssd infeq1d xnegeqd ) ABCDHZIZJKUCGLZMZWF
      NZGJUDZJKOZMBCDMZHZIZJKOZMAGWFABCDJWEEWEPZFUAUEAWKWOAJWJWNKAWJWNWJWNUFZAW
      IWGWNNZUBZGJUGZWQWSGJWGJNZWIWRWIXAWHDQZBCRZWRWIXCWHSNWIXCUNWGUHBCDWHWESWP
      UIUOUJXAXCTBCWLWGWMJWMPZXAXCWGWLQZBCRXAXBXEBCXAXBXEXAXBTWGWHMZWLXAWGXFQXB
      XAXFWGWGUKULUMXBXFWLQXAWHDUPUQURVFUSUTXAXCVAVBVCVFVDWQWTWIGJWNVEVGUOVHABC
      WLWJWMEWIBGJBWHWFBWHVIBWEBCDVJVKVRBJVIVLXDABLCNZTZWIWLMZWFNGWLJXEWHXIWFWG
      WLUPVMXHDFVNXHXIDWFXHDJNXIDQFDUKVOXHBCDWEJWPAXGVPFVQVSVTWAWBWCWDUR $.
  $}

  ${
    min1d.1 $e |- ( ph -> A e. RR ) $.
    min1d.2 $e |- ( ph -> B e. RR ) $.
    $( The minimum of two numbers is less than or equal to the first.
       (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    min1d $p |- ( ph -> if ( A <_ B , A , B ) <_ A ) $=
      ( cr wcel cle wbr cif min1 syl2anc ) ABFGCFGBCHIBCJBHIDEBCKL $.
  $}

  ${
    min2d.1 $e |- ( ph -> A e. RR ) $.
    min2d.2 $e |- ( ph -> B e. RR ) $.
    $( The minimum of two numbers is less than or equal to the second.
       (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    min2d $p |- ( ph -> if ( A <_ B , A , B ) <_ B ) $=
      ( cr wcel cle wbr cif min2 syl2anc ) ABFGCFGBCHIBCJCHIDEBCKL $.
  $}

  ${
    pnfged.1 $e |- ( ph -> A e. RR* ) $.
    $( Plus infinity is an upper bound for extended reals.  (Contributed by
       Glauco Siliprandi, 5-Feb-2022.) $)
    pnfged $p |- ( ph -> A <_ +oo ) $=
      ( cxr wcel cpnf cle wbr pnfge syl ) ABDEBFGHCBIJ $.
  $}

  ${
    xrnpnfmnf.1 $e |- ( ph -> A e. RR* ) $.
    xrnpnfmnf.2 $e |- ( ph -> -. A e. RR ) $.
    xrnpnfmnf.3 $e |- ( ph -> A =/= +oo ) $.
    $( An extended real that is neither real nor plus infinity, is minus
       infinity.  (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    xrnpnfmnf $p |- ( ph -> A = -oo ) $=
      ( cr wcel cmnf wceq wo wn cxr cpnf wne wa jca xrnepnf sylib pm2.53 sylc )
      ABFGZBHIZJZUAKUBABLGZBMNZOUCAUDUECEPBQRDUAUBST $.
  $}

  $( An upper set of integers is a subset of the complex numbers.  (Contributed
     by Glauco Siliprandi, 5-Feb-2022.) $)
  uzsscn $p |- ( ZZ>= ` M ) C_ CC $=
    ( cuz cfv cr cc uzssre ax-resscn sstri ) ABCDEAFGH $.
  ${
    absimnre.1 $e |- ( ph -> A e. CC ) $.
    absimnre.2 $e |- ( ph -> -. A e. RR ) $.
    $( The absolute value of the imaginary part of a non-real, complex number,
       is strictly positive.  (Contributed by Glauco Siliprandi,
       5-Feb-2022.) $)
    absimnre $p |- ( ph -> ( abs ` ( Im ` A ) ) e. RR+ ) $=
      ( cim cfv imcld recnd cc0 cr wcel wceq cc wb reim0b mtbid neqned absrpcld
      syl ) ABEFZATABCGHATIABJKZTILZDABMKUAUBNCBOSPQR $.
  $}

  ${
    uzsscn2.1 $e |- Z = ( ZZ>= ` M ) $.
    $( An upper set of integers is a subset of the complex numbers.
       (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    uzsscn2 $p |- Z C_ CC $=
      ( cuz cfv cc uzsscn eqsstri ) BADEFCAGH $.
  $}

  $( The standard topologies on the extended reals and on the complex numbers,
     coincide when restricted to the reals.  (Contributed by Glauco Siliprandi,
     5-Feb-2022.) $)
  xrtgcntopre $p |- ( ( ordTop ` <_ ) |`t RR ) = ( ( TopOpen ` CCfld ) |`t RR )
                  $=
    ( cioo crn ctg cfv cle cordt cr crest co ccnfld ctopn xrtgioo tgioo2 eqtr3i
    eqid ) ABCDEFDGHIZJKDZGHIPPOLQQOMN $.
  ${
    absimlere.1 $e |- ( ph -> A e. CC ) $.
    absimlere.2 $e |- ( ph -> B e. RR ) $.
    $( The absolute value of the imaginary part of a complex number is a lower
       bound of the distance to any real number.  (Contributed by Glauco
       Siliprandi, 5-Feb-2022.) $)
    absimlere $p |- ( ph -> ( abs ` ( Im ` A ) ) <_ ( abs ` ( B - A ) ) ) $=
      ( cmin co cim cfv cabs cle wcel wbr recnd subcld absimle syl cc0 imsubd
      cc reim0d oveq2d imcld subid1d 3eqtrrd fveq2d abssubd 3brtr4d ) ABCFGZHIZ
      JIZUIJIZBHIZJICBFGJIKAUITLUKULKMABCDACENZOUIPQAUMUJJAUJUMCHIZFGUMRFGUMABC
      DUNSAUORUMFACEUAUBAUMAUMABDUCNUDUEUFACBUNDUGUH $.
  $}

  $( The positive reals are a subset of the extended reals.  (Contributed by
     Glauco Siliprandi, 5-Feb-2022.) $)
  rpssxr $p |- RR+ C_ RR* $=
    ( crp cr cxr rpssre ressxr sstri ) ABCDEF $.

  ${
    $d F k n $.  $d F n x $.  $d M k n $.  $d M n x $.  $d N k n $.
    $d N n x $.  $d k n ph $.  $d ph x $.
    monoordxrv.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    monoordxrv.2 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. RR* ) $.
    monoordxrv.3 $e |- ( ( ph /\ k e. ( M ... ( N - 1 ) ) ) -> ( F ` k ) <_ ( F
       ` ( k + 1 ) ) ) $.
    $( Ordering relation for a monotonic sequence, increasing case.
       (Contributed by Glauco Siliprandi, 13-Feb-2022.) $)
    monoordxrv $p |- ( ph -> ( F ` M ) <_ ( F ` N ) ) $=
      ( co wcel cfv cle wbr syl wi c1 wceq eleq1 fveq2 cxr vx vn cfz eluzfz2 cv
      cuz caddc breq2d imbi12d imbi2d cz eluzfz1 ralrimiva eleq1d rspcv xrleidd
      wral sylc a1d wa simprl simprr peano2fzr syl2anc expr imim1d cmin eluzelz
      a1i elfzuz3 eluzp1m1 elfzuzb adantr fvoveq1 breq12d xrletr syl3anc mpan2d
      sylanbrc animpimp2impd uzind4 mpcom mpd ) AEDEUCIZJZDCKZECKZLMZAEDUFKZJZW
      EFDEUDNWJAWEWHOZFAUAUEZWDJZWFWLCKZLMZOZOADWDJZWFWFLMZOZOZAUBUEZWDJZWFXACK
      ZLMZOZOAXAPUGIZWDJZWFXFCKZLMZOZOAWKOUAUBDEWLDQZWPWSAXKWMWQWOWRWLDWDRXKWNW
      FWFLWLDCSUHUIUJWLXAQZWPXEAXLWMXBWOXDWLXAWDRXLWNXCWFLWLXACSUHUIUJWLXFQZWPX
      JAXMWMXGWOXIWLXFWDRXMWNXHWFLWLXFCSUHUIUJWLEQZWPWKAXNWMWEWOWHWLEWDRXNWNWGW
      FLWLECSUHUIUJWTDUKJAWRWQAWFAWQBUEZCKZTJZBWDUQZWFTJZAWJWQFDEULNAXQBWDGUMZX
      QXSBDWDXODQXPWFTXODCSUNUOURZUPUSVIXAWIJZAXEXGXIXDAYBUTXGXBXDAYBXGXBAYBXGU
      TZUTZYBXGXBAYBXGVAZAYBXGVBZXADEVCVDZVEVFYDXDXCXHLMZXIYDXADEPVGIZUCIZJZXPX
      OPUGICKZLMZBYJUQZYHYDYBYIXAUFKJZYKYEYDXAUKJZEXFUFKJZYOYDYBYPYEDXAVHNYDXGY
      QYFXFDEVJNXAEVKVDXADYIVLVSAYNYCAYMBYJHUMVMYMYHBXAYJXOXAQZXPXCYLXHLXOXACSZ
      XOXAPCUGVNVOUOURYDXSXCTJZXHTJZXDYHUTXIOAXSYCYAVMYDXBXRYTYGAXRYCXTVMZXQYTB
      XAWDYRXPXCTYSUNUOURYDXGXRUUAYFUUBXQUUABXFWDXOXFQXPXHTXOXFCSUNUOURWFXCXHVP
      VQVRVTWAWBWC $.
  $}

  ${
    $d F j $.  $d M j k $.  $d N j k $.  $d j ph $.
    monoordxr.p $e |- F/ k ph $.
    monoordxr.k $e |- F/_ k F $.
    monoordxr.n $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    monoordxr.x $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. RR* ) $.
    monoordxr.l $e |- ( ( ph /\ k e. ( M ... ( N - 1 ) ) ) -> ( F ` k ) <_ ( F
       ` ( k + 1 ) ) ) $.
    $( Ordering relation for a monotonic sequence, increasing case.
       (Contributed by Glauco Siliprandi, 13-Feb-2022.) $)
    monoordxr $p |- ( ph -> ( F ` M ) <_ ( F ` N ) ) $=
      ( vj co wcel wa cfv cxr wi nfcv c1 cle cfz nfv nfan nffv nfel nfim eleq1w
      cv wceq anbi2d fveq2 eleq1d imbi12d chvarfv cmin wbr nfbr fvoveq1 breq12d
      caddc monoordxrv ) AKCDEHABUHZDEUALZMZNZVBCOZPMZQAKUHZVCMZNZVHCOZPMZQBKVJ
      VLBAVIBFVIBUBUCBVKPBVHCGBVHRUDZBPRUEUFVBVHUIZVEVJVGVLVNVDVIABKVCUGUJVNVFV
      KPVBVHCUKZULUMIUNAVBDESUOLUALZMZNZVFVBSUTLCOZTUPZQAVHVPMZNZVKVHSUTLZCOZTU
      PZQBKWBWEBAWABFWABUBUCBVKWDTVMBTRBWCCGBWCRUDUQUFVNVRWBVTWEVNVQWAABKVPUGUJ
      VNVFVKVSWDTVOVBVHSCUTURUSUMJUNVA $.
  $}

  ${
    $d F k n $.  $d M k n $.  $d N k n $.  $d k n ph $.
    monoord2xrv.n $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    monoord2xrv.x $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. RR* ) $.
    monoord2xrv.l $e |- ( ( ph /\ k e. ( M ... ( N - 1 ) ) ) -> ( F ` ( k + 1 )
       ) <_ ( F ` k ) ) $.
    $( Ordering relation for a monotonic sequence, decreasing case.
       (Contributed by Glauco Siliprandi, 13-Feb-2022.) $)
    monoord2xrv $p |- ( ph -> ( F ` N ) <_ ( F ` M ) ) $=
      ( vn cfv cle wbr cxne cfz co cxr wcel c1 wceq syl cv wa xnegcld ffvelrnda
      cmpt fmpttd cmin caddc wral fvoveq1 fveq2 breq12d cbvralvw sylib r19.21bi
      ralrimiva wb fzp1elp1 adantl cc cuz cz eluzelz zcnd ax-1cn sylancl oveq2d
      npcan adantr eleqtrd eleq1d rspcv sylc fzssp1 sselda xleneg syl2anc mpbid
      sseqtrid xnegeqd eqid xnegex fvmpt 3brtr4d eluzfz1 eluzfz2 3brtr3d mpbird
      monoordxrv ) AECJZDCJZKLZWKMZWJMZKLZADBDENOZBUAZCJZMZUEZJZEWTJZWMWNKAIWTD
      EFAWPPIUAZWTABWPWSPAWQWPQUBWRGUCUFUDAXCDERUGOZNOZQZUBZXCCJZMZXCRUHOZCJZMZ
      XCWTJZXJWTJZKXGXKXHKLZXIXLKLZAXOIXEAWQRUHOCJZWRKLZBXEUIXOIXEUIAXRBXEHUPXR
      XOBIXEWQXCSZXQXKWRXHKWQXCRCUHUJWQXCCUKZULUMUNUOXGXKPQZXHPQZXOXPUQXGXJWPQZ
      WRPQZBWPUIZYAXGXJDXDRUHOZNOZWPXFXJYGQAXCDXDURUSAYGWPSXFAYFEDNAEUTQRUTQYFE
      SAEAEDVAJQZEVBQFDEVCTVDVEERVHVFVGZVIVJZAYEXFAYDBWPGUPZVIZYDYABXJWPWQXJSZW
      RXKPWQXJCUKZVKVLVMXGXCWPQZYEYBAXEWPXCAYGXEWPDXDVNYIVSVOZYLYDYBBXCWPXSWRXH
      PXTVKVLVMXKXHVPVQVRXGYOXMXISYPBXCWSXIWPWTXSWRXHXTVTWTWAZXHWBWCTXGYCXNXLSY
      JBXJWSXLWPWTYMWRXKYNVTYQXKWBWCTWDWIADWPQZXAWMSAYHYRFDEWETZBDWSWMWPWTWQDSZ
      WRWKWQDCUKZVTYQWKWBWCTAEWPQZXBWNSAYHUUBFDEWFTZBEWSWNWPWTWQESZWRWJWQECUKZV
      TYQWJWBWCTWGAWJPQZWKPQZWLWOUQAUUBYEUUFUUCYKYDUUFBEWPUUDWRWJPUUEVKVLVMAYRY
      EUUGYSYKYDUUGBDWPYTWRWKPUUAVKVLVMWJWKVPVQWH $.
  $}

  ${
    $d F j $.  $d M j k $.  $d N j k $.  $d j ph $.
    monoord2xr.p $e |- F/ k ph $.
    monoord2xr.k $e |- F/_ k F $.
    monoord2xr.n $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    monoord2xr.x $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. RR* ) $.
    monoord2xr.l $e |- ( ( ph /\ k e. ( M ... ( N - 1 ) ) ) -> ( F ` ( k + 1 )
       ) <_ ( F ` k ) ) $.
    $( Ordering relation for a monotonic sequence, decreasing case.
       (Contributed by Glauco Siliprandi, 13-Feb-2022.) $)
    monoord2xr $p |- ( ph -> ( F ` N ) <_ ( F ` M ) ) $=
      ( vj co wcel wa cfv cxr wi nfcv c1 cle cfz nfv nfan nffv nfel nfim eleq1w
      cv wceq anbi2d fveq2 eleq1d imbi12d chvarfv cmin wbr nfbr fvoveq1 breq12d
      caddc monoord2xrv ) AKCDEHABUHZDEUALZMZNZVBCOZPMZQAKUHZVCMZNZVHCOZPMZQBKV
      JVLBAVIBFVIBUBUCBVKPBVHCGBVHRUDZBPRUEUFVBVHUIZVEVJVGVLVNVDVIABKVCUGUJVNVF
      VKPVBVHCUKZULUMIUNAVBDESUOLUALZMZNZVBSUTLCOZVFTUPZQAVHVPMZNZVHSUTLZCOZVKT
      UPZQBKWBWEBAWABFWABUBUCBWDVKTBWCCGBWCRUDBTRVMUQUFVNVRWBVTWEVNVQWAABKVPUGU
      JVNVSWDVFVKTVBVHSCUTURVOUSUMJUNVA $.
  $}

  ${
    $d A x $.
    $( An extended real is plus infinity iff it's larger than all real numbers.
       (Contributed by Glauco Siliprandi, 13-Feb-2022.) $)
    xrpnf $p |- ( A e. RR* -> ( A = +oo <-> A. x e. RR x <_ A ) ) $=
      ( cxr wcel cpnf wceq cle wbr cr wa adantl id a1i adantr clt simpl wn cmnf
      cc0 pm2.65da cv wral rexr pnfxr eqeltrd breqtrrd xrltled ralrimiva simpll
      ltpnf wne 0red breq1 rspcva syl2anc simpr breqtrd adantll mnflt0 wb mnfxr
      xrltnle mp2an mpbi neqned xrltned adantlr xrred c1 caddc co peano2re ltp1
      0xr ltnled mpbid ad2antlr nltpnft mpbird impbida ) BCDZBEFZAUAZBGHZAIUBZW
      BWEWAWBWDAIWBWCIDZJZWCBWFWCCDWBWCUCKWBWAWFWBBECWBLECDZWBUDMUENWGWCEBOWFWC
      EOHWBWCUJKWBWFPUFUGUHKWAWEJZWBBEOHZQZWIWJBIDZWIWJJBWAWEWJUIWIBRUKWJWIBRWI
      BRFZSRGHZWEWMWNWAWEWMJSBRGWESBGHZWMWESIDWEWOWEULWELWDWOASIWCSBGUMUNUONWEW
      MUPUQURWNQZWIWMJRSOHZWPUSRCDSCDWQWPUTVAVNRSVBVCVDMTVENWAWJBEUKWEWAWJJZBEW
      AWJPWHWRUDMWAWJUPVFVGVHWEWLQWAWJWEWLBVIVJVKZBGHZWEWLJWSIDZWEWTWLXAWEBVLZK
      WEWLPWDWTAWSIWCWSBGUMUNUOWLWTQZWEWLBWSOHXCBVMWLBWSWLLXBVOVPKTVQTWAWBWKUTW
      EBVRNVSVT $.
  $}

  $( Extended real version of ~ lenegcon1 .  (Contributed by Glauco Siliprandi,
     23-Apr-2023.) $)
  xlenegcon1 $p |- ( ( A e. RR* /\ B e. RR* ) -> ( -e A <_ B <-> -e B <_ A ) )
                $=
    ( cxr wcel wa cxne cle wbr xnegcl xleneg sylan xnegneg breq2d adantr bitrd
    wb ) ACDZBCDZEAFZBGHZBFZSFZGHZUAAGHZQSCDRTUCPAISBJKQUCUDPRQUBAUAGALMNO $.

  $( Extended real version of ~ lenegcon2 .  (Contributed by Glauco Siliprandi,
     23-Apr-2023.) $)
  xlenegcon2 $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A <_ -e B <-> B <_ -e A ) )
                $=
    ( cxr wcel wa cxne cle wbr xnegcl xleneg sylan2 xnegneg breq1d adantl bitrd
    wb ) ACDZBCDZEABFZGHZSFZAFZGHZBUBGHZRQSCDTUCPBIASJKRUCUDPQRUABUBGBLMNO $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Real intervals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    gtnelioc.a $e |- ( ph -> A e. RR* ) $.
    gtnelioc.b $e |- ( ph -> B e. RR ) $.
    gtnelioc.c $e |- ( ph -> C e. RR* ) $.
    gtnelioc.bltc $e |- ( ph -> B < C ) $.
    $( A real number larger than the upper bound of a left-open right-closed
       interval is not an element of the interval.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    gtnelioc $p |- ( ph -> -. C e. ( A (,] B ) ) $=
      ( cioc co wcel cr clt wbr cle w3a wn cxr wb syl2anc rexrd mpbid intn3an3d
      xrltnle elioc2 mtbird ) ADBCIJKZDLKZBDMNZDCONZPZAUJUHUIACDMNZUJQZHACRKDRK
      ULUMSACFUAGCDUDTUBUCABRKCLKUGUKSEFBCDUETUF $.
  $}

  ${
    $d A w x y z $.  $d B w x y z $.
    $( An open interval is a subset of its right closure.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    ioossioc $p |- ( A (,) B ) C_ ( A (,] B ) $=
      ( vx vy vz vw cioc clt cle cioo df-ioo df-ioc cxr wcel cv wa wbr ixxssixx
      idd xrltle ) CDEFABGHHHIJCDEKCDELAMNFOZMNPAUAHQSUABTR $.
  $}

  $( A condition for two open intervals not to be disjoint.  (Contributed by
     Glauco Siliprandi, 11-Dec-2019.) $)
  ioondisj2 $p |- ( ( ( ( A e. RR* /\ B e. RR* /\ A < B ) /\ ( C e. RR* /\ D e.
     RR* /\ C < D ) ) /\ ( A < D /\ D <_ B ) ) -> ( ( A (,) B ) i^i ( C (,) D )
     ) =/= (/) ) $=
    ( cxr wcel clt wbr w3a wa cle cioo co cin cif c0 wceq simpr eqbrtrd eqnetrd
    simpll1 simpll2 simplr1 simplr2 iooin simprr xrmineq syl3anc oveq2d iftrued
    syl22anc simplr3 adantr wn iffalsed simplrl pm2.61dan wb ifcld ioon0 mpbird
    wne syl2anc ) AEFZBEFZABGHZIZCEFZDEFZCDGHZIZJZADGHZDBKHZJZJZABLMCDLMNZACKHZ
    CAOZBDKHBDOZLMZPVPVDVEVHVIVQWAQVDVEVFVKVOUAZVDVEVFVKVOUBZVHVIVJVGVOUCZVHVIV
    JVGVOUDZABCDUEUKVPWAVSDLMZPVPVTDVSLVPVEVIVNVTDQWCWEVLVMVNUFBDUGUHUIVPWFPVBZ
    VSDGHZVPVRWHVPVRJZVSCDGWIVRCAVPVRRUJVPVJVRVHVIVJVGVOULUMSVPVRUNZJZVSADGWKVR
    CAVPWJRUOVLVMVNWJUPSUQVPVSEFVIWGWHURVPVRCAEWDWBUSWEVSDUTVCVATT $.

  $( A condition for two open intervals not to be disjoint.  (Contributed by
     Glauco Siliprandi, 11-Dec-2019.) $)
  ioondisj1 $p |- ( ( ( ( A e. RR* /\ B e. RR* /\ A < B ) /\ ( C e. RR* /\ D e.
     RR* /\ C < D ) ) /\ ( A <_ C /\ C < B ) ) -> ( ( A (,) B ) i^i ( C (,) D )
     ) =/= (/) ) $=
    ( cxr wcel clt wbr w3a wa cle cioo co cin cif c0 wceq wb mpbird eqnetrd wne
    simpll1 simpll2 simplr1 simplr2 iooin syl22anc simprl iftrued oveq1d simprr
    simplr3 jca xrltmin syl3anc ifcld ioon0 syl2anc ) AEFZBEFZABGHZIZCEFZDEFZCD
    GHZIZJZACKHZCBGHZJZJZABLMCDLMNZVHCAOZBDKHZBDOZLMZPVKUSUTVCVDVLVPQUSUTVAVFVJ
    UBUSUTVAVFVJUCZVCVDVEVBVJUDZVCVDVEVBVJUEZABCDUFUGVKVPCVOLMZPVKVMCVOLVKVHCAV
    GVHVIUHUIUJVKVTPUAZCVOGHZVKWBVIVEJZVKVIVEVGVHVIUKVCVDVEVBVJULUMVKVCUTVDWBWC
    RVRVQVSCBDUNUOSVKVCVOEFWAWBRVRVKVNBDEVQVSUPCVOUQURSTT $.

  $( An element of a closed interval is greater than its lower bound.
     (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  ioogtlb $p |- ( ( A e. RR* /\ B e. RR* /\ C e. ( A (,) B ) ) -> A < C ) $=
    ( cxr wcel cioo co clt wbr wa cr w3a elioo2 simp2 syl6bi 3impia ) ADEZBDEZC
    ABFGEZACHIZQRJSCKEZTCBHIZLTABCMUATUBNOP $.

  ${
    $d A w z $.  $d A x y $.  $d B w z $.  $d B x y $.  $d F w z $.
    $d F x y $.  $d ph w z $.  $d ph x y $.
    evthiccabs.a $e |- ( ph -> A e. RR ) $.
    evthiccabs.b $e |- ( ph -> B e. RR ) $.
    evthiccabs.aleb $e |- ( ph -> A <_ B ) $.
    evthiccabs.f $e |- ( ph -> F e. ( ( A [,] B ) -cn-> RR ) ) $.
    $( Extreme Value Theorem on y closed interval, for the absolute value of y
       continuous function.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    evthiccabs $p |- ( ph -> ( E. x e. ( A [,] B ) A. y e. ( A [,] B ) ( abs `
       ( F ` y ) ) <_ ( abs ` ( F ` x ) ) /\ E. z e. ( A [,] B ) A. w e. ( A
       [,] B ) ( abs ` ( F ` z ) ) <_ ( abs ` ( F ` w ) ) ) ) $=
      ( cfv cabs cle cc cr wcel wa adantr cv wbr cicc wral wrex ccncf ax-resscn
      co ccom wss ssid cncfss mp2an sselid abscncf a1i cncfco evthicc wceq wfun
      simpld cdm wf cncff ffun simpr fdm eqcomd eleqtrd syl2anc adantlr breq12d
      3syl fvco ralbidva rexbidva mpbid simprd jca ) ACUAZHMNMZBUAZHMNMZOUBZCFG
      UCUHZUDZBWEUEZDUAZHMNMZEUAZHMNMZOUBZEWEUDZDWEUEZAVTNHUIZMZWBWOMZOUBZCWEUD
      ZBWEUEZWGAWTWHWOMZWJWOMZOUBZEWEUDZDWEUEZABCDEFGWOIJKAWEPQHNAWEQUFUHZWEPUF
      UHZHQPUJPPUJXFXGUJUGPUKWEQPULUMLUNNPQUFUHRAUOUPUQURZVAAWSWFBWEAWBWERZSZWR
      WDCWEXJVTWERZSWPWAWQWCOAXKWPWAUSZXIAXKSZHUTZVTHVBZRXLAXNXKAHXFRZWEQHVCZXN
      LWEQHVDZWEQHVEVMZTXMVTWEXOAXKVFAWEXOUSZXKAXOWEAXPXQXOWEUSLXRWEQHVGVMVHZTV
      IVTNHVNVJVKXJWQWCUSZXKXJXNWBXORYBAXNXIXSTXJWBWEXOAXIVFAXTXIYATVIWBNHVNVJT
      VLVOVPVQAXEWNAWTXEXHVRAXDWMDWEAWHWERZSZXCWLEWEYDWJWERZSXAWIXBWKOYDXAWIUSZ
      YEYDXNWHXORYFAXNYCXSTYDWHWEXOAYCVFAXTYCYATVIWHNHVNVJTAYEXBWKUSZYCAYESZXNW
      JXORYGAXNYEXSTYHWJWEXOAYEVFAXTYEYATVIWJNHVNVJVKVLVOVPVQVS $.
  $}

  ${
    ltnelicc.a $e |- ( ph -> A e. RR ) $.
    ltnelicc.b $e |- ( ph -> B e. RR* ) $.
    ltnelicc.c $e |- ( ph -> C e. RR* ) $.
    ltnelicc.clta $e |- ( ph -> C < A ) $.
    $( A real number smaller than the lower bound of a closed interval is not
       an element of the interval.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    ltnelicc $p |- ( ph -> -. C e. ( A [,] B ) ) $=
      ( cicc co wcel cle wbr wa clt wn cxr wb rexrd xrltnle mpbid elicc4 mtbird
      syl2anc intnanrd syl3anc ) ADBCIJKZBDLMZDCLMZNZAUHUIADBOMZUHPZHADQKZBQKZU
      KULRGABESZDBTUDUAUEAUNCQKUMUGUJRUOFGBCDUBUFUC $.
  $}

  ${
    eliood.1 $e |- ( ph -> A e. RR* ) $.
    eliood.2 $e |- ( ph -> B e. RR* ) $.
    eliood.3 $e |- ( ph -> C e. RR ) $.
    eliood.4 $e |- ( ph -> A < C ) $.
    eliood.5 $e |- ( ph -> C < B ) $.
    $( Membership in an open real interval.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    eliood $p |- ( ph -> C e. ( A (,) B ) ) $=
      ( cioo co wcel cr clt wbr cxr w3a wb elioo2 syl2anc mpbir3and ) ADBCJKLZD
      MLZBDNOZDCNOZGHIABPLCPLUBUCUDUEQREFBCDSTUA $.
  $}

  ${
    iooabslt.1 $e |- ( ph -> A e. RR ) $.
    iooabslt.2 $e |- ( ph -> B e. RR ) $.
    iooabslt.3 $e |- ( ph -> C e. ( ( A - B ) (,) ( A + B ) ) ) $.
    $( An upper bound for the distance from the center of an open interval.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    iooabslt $p |- ( ph -> ( abs ` ( A - C ) ) < B ) $=
      ( cabs cmin co cfv clt cc wcel wceq recnd cr eqid syl2anc cbl elioore syl
      ccom caddc cioo cnmetdval wbr wa cin cxp bl2ioo eleqtrrd cxmet cxr cnxmet
      cres a1i elind rexrd blres syl3anc eleqtrd elin sylib simpld mpbid simprd
      wb elbl eqbrtrrd ) ABDHIUCZJZBDIJHKZCLABMNZDMNZVLVMOABEPZADADBCIJZBCUDJZU
      EJZNDQNZGDVQVRUAUBPBDVKVKRUFSAVOVLCLUGZADBCVKTKJZNZVOWAUHZAWCVTADWBQUIZNW
      CVTUHADBCVKQQUJUPZTKJZWEADVSWGGABQNCQNWGVSOEFBCWFWFRZUKSULAVKMUMKNZBMQUIN
      CUNNZWGWEOWIAUOUQZAMQBVPEURACFUSZWFVKBCMQWHUTVAVBDWBQVCVDVEAWIVNWJWCWDVHW
      KVPWLDVKBCMVIVAVFVGVJ $.
  $}

  ${
    gtnelicc.a $e |- ( ph -> A e. RR* ) $.
    gtnelicc.b $e |- ( ph -> B e. RR ) $.
    gtnelicc.c $e |- ( ph -> C e. RR* ) $.
    gtnelicc.bltc $e |- ( ph -> B < C ) $.
    $( A real number greater than the upper bound of a closed interval is not
       an element of the interval.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    gtnelicc $p |- ( ph -> -. C e. ( A [,] B ) ) $=
      ( cicc co wcel cle wbr wa clt wn cxr wb rexrd xrltnle mpbid elicc4 mtbird
      syl2anc intnand syl3anc ) ADBCIJKZBDLMZDCLMZNZAUIUHACDOMZUIPZHACQKZDQKZUK
      ULRACFSZGCDTUDUAUEABQKUMUNUGUJREUOGBCDUBUFUC $.
  $}

  ${
    $d A x $.  $d B x $.
    $( An open interval has empty intersection with its bounds.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    iooinlbub $p |- ( ( A (,) B ) i^i { A , B } ) = (/) $=
      ( vx cioo co cpr cin c0 wceq cv wcel wn disjr wo elpri lbioo eleq1 mtbiri
      ubioo jaoi syl mprgbir ) ABDEZABFZGHICJZUCKZLZCUDCUCUDMUEUDKUEAIZUEBIZNUG
      UEABOUHUGUIUHUFAUCKABPUEAUCQRUIUFBUCKABSUEBUCQRTUAUB $.
  $}

  $( An element of a left-open right-closed interval is larger than its lower
     bound.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  iocgtlb $p |- ( ( A e. RR* /\ B e. RR* /\ C e. ( A (,] B ) ) -> A < C ) $=
    ( cxr wcel cioc co clt wbr wa cle w3a elioc1 simp2 syl6bi 3impia ) ADEZBDEZ
    CABFGEZACHIZQRJSCDEZTCBKIZLTABCMUATUBNOP $.

  $( An element of a left-open right-closed interval is smaller than or equal
     to its upper bound.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  iocleub $p |- ( ( A e. RR* /\ B e. RR* /\ C e. ( A (,] B ) ) -> C <_ B ) $=
    ( cxr wcel cioc co cle wbr wa clt w3a elioc1 simp3 syl6bi 3impia ) ADEZBDEZ
    CABFGEZCBHIZQRJSCDEZACKIZTLTABCMUAUBTNOP $.

  ${
    eliccd.1 $e |- ( ph -> A e. RR ) $.
    eliccd.2 $e |- ( ph -> B e. RR ) $.
    eliccd.3 $e |- ( ph -> C e. RR ) $.
    eliccd.4 $e |- ( ph -> A <_ C ) $.
    eliccd.5 $e |- ( ph -> C <_ B ) $.
    $( Membership in a closed real interval.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    eliccd $p |- ( ph -> C e. ( A [,] B ) ) $=
      ( cicc co wcel cr cle wbr w3a wb elicc2 syl2anc mpbir3and ) ADBCJKLZDMLZB
      DNOZDCNOZGHIABMLCMLUAUBUCUDPQEFBCDRST $.
  $}

  $( A member of a closed interval of reals is real.  (Contributed by Glauco
     Siliprandi, 11-Dec-2019.) $)
  eliccre $p |- ( ( A e. RR /\ B e. RR /\ C e. ( A [,] B ) ) -> C e. RR ) $=
    ( cr wcel cicc co w3a cle wbr elicc2 biimp3a simp1d ) ADEZBDEZCABFGEZHCDEZA
    CIJZCBIJZNOPQRSHABCKLM $.

  ${
    eliooshift.a $e |- ( ph -> A e. RR ) $.
    eliooshift.b $e |- ( ph -> B e. RR ) $.
    eliooshift.c $e |- ( ph -> C e. RR ) $.
    eliooshift.d $e |- ( ph -> D e. RR ) $.
    $( Element of an open interval shifted by a displacement.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    eliooshift $p |- ( ph -> ( A e. ( B (,) C ) <-> ( A + D ) e. ( ( B + D )
       (,) ( C + D ) ) ) ) $=
      ( caddc co cr wcel clt wbr w3a cioo readdcld cxr rexrd 2thd bicomd elioo2
      ltadd1d 3anbi123d wb syl2anc 3bitr4rd ) ABEJKZLMZCEJKZUINOZUIDEJKZNOZPZBL
      MZCBNOZBDNOZPZUIUKUMQKMZBCDQKMZAUJUPULUQUNURAUJUPABEFIRFUAAUQULACBEGFIUDU
      BAURUNABDEFHIUDUBUEAUKSMUMSMUTUOUFAUKACEGIRTAUMADEHIRTUKUMUIUCUGACSMDSMVA
      USUFACGTADHTCDBUCUGUH $.
  $}

  ${
    eliocd.a $e |- ( ph -> A e. RR* ) $.
    eliocd.b $e |- ( ph -> B e. RR* ) $.
    eliocd.c $e |- ( ph -> C e. RR* ) $.
    eliocd.altc $e |- ( ph -> A < C ) $.
    eliocd.cleb $e |- ( ph -> C <_ B ) $.
    $( Membership in a left-open right-closed interval.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    eliocd $p |- ( ph -> C e. ( A (,] B ) ) $=
      ( cioc co wcel cxr clt wbr cle w3a wb elioc1 syl2anc mpbir3and ) ADBCJKLZ
      DMLZBDNOZDCPOZGHIABMLCMLUBUCUDUEQREFBCDSTUA $.
  $}

  $( An element of a left-closed right-open interval is less than its upper
     bound.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  icoltub $p |- ( ( A e. RR* /\ B e. RR* /\ C e. ( A [,) B ) ) -> C < B ) $=
    ( cxr wcel cico co clt wbr wa cle w3a elico1 simp3 syl6bi 3impia ) ADEZBDEZ
    CABFGEZCBHIZQRJSCDEZACKIZTLTABCMUAUBTNOP $.

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.
    $( A member of a left-open right-closed interval of reals is real.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    eliocre $p |- ( ( B e. RR /\ C e. ( A (,] B ) ) -> C e. RR ) $=
      ( vx vy vz cr wcel cioc co cxr cmnf clt wbr cle w3a simpld adantl simprd
      wa df-ioc elixx3g biimpi simp3d simpl mnfxr a1i simp1d syl xrlelttrd xrre
      mnfle syl22anc ) BGHZCABIJHZTCKHZUNLCMNZCBONZCGHUOUPUNUOAKHZBKHZUPUOUSUTU
      PPZACMNZURTZUOVAVCTDEFABCMOIDEFUAUBUCZQZUDZRUNUOUEUOUQUNUOLACLKHUOUFUGUOU
      SUTUPVEUHZVFUOUSLAONVGAULUIUOVBURUOVAVCVDSZQUJRUOURUNUOVBURVHSRCBUKUM $.
  $}

  $( An element of an open interval is less than its upper bound.  (Contributed
     by Glauco Siliprandi, 11-Dec-2019.) $)
  iooltub $p |- ( ( A e. RR* /\ B e. RR* /\ C e. ( A (,) B ) ) -> C < B ) $=
    ( cxr wcel cioo co clt wbr wa cr w3a elioo2 simp3 syl6bi 3impia ) ADEZBDEZC
    ABFGEZCBHIZQRJSCKEZACHIZTLTABCMUAUBTNOP $.

  $( The interior of an interval in the standard topology on ` RR ` is the open
     interval itself.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  ioontr $p |- ( ( int ` ( topGen ` ran (,) ) ) ` ( A (,) B ) ) = ( A (,) B )
     $=
    ( cioo co crn ctg cfv wcel cnt wceq iooretop ctop cr retop ioossre uniretop
    wss wb isopn3 mp2an mpbi ) ABCDZCEFGZHZUBUCIGGUBJZABKUCLHUBMQUDUERNABOUBUCM
    PSTUA $.

  ${
    $d A w x y z $.  $d B w x y z $.
    $( The closure of one end of an open real interval.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    snunioo1 $p |- ( ( A e. RR* /\ B e. RR* /\ A < B ) -> ( ( A (,) B ) u. { A
       } ) = ( A [,) B ) ) $=
      ( vx vy vz vw cxr wcel clt wbr w3a cioo co cicc cun cico wceq 3ad2ant1 wa
      cle csn uncom iccid uneq2d simp1 simp2 xrleid simp3 df-icc df-ioo xrltnle
      cv df-ico xrlelttr simpl1 simpl3 simprr xrltled ex ixxun syl32anc 3eqtr3a
      ) AGHZBGHZABIJZKZABLMZAANMZOVHVGOZVGAUAZOABPMZVGVHUBVFVHVJVGVCVDVHVJQVEAU
      CRUDVFVCVCVDAATJZVEVIVKQVCVDVEUEZVMVCVDVEUFVCVDVLVEAUGRVCVDVEUHCDEFAABLPT
      TIINTICDEUICDEUJAFULZUKCDEUMVNABUNVCVCVNGHZKZVLAVNIJZSZAVNTJVPVRSAVNVCVCV
      OVRUOVCVCVOVRUPVPVLVQUQURUSUTVAVB $.
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( A left-open right-closed interval does not contain its left endpoint.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    lbioc $p |- -. A e. ( A (,] B ) $=
      ( vx vy vz cioc co wcel clt wbr cxr w3a cle df-ioc elixx3g biimpi simprld
      wa wn cv crab elmpocl1 xrltnr syl pm2.65i ) AABFGHZAAIJZUFAKHZBKHUHLZUGAB
      MJZUFUIUGUJRRCDEABAIMFCDENZOPQUFUHUGSCDKKCTETZIJULDTMJREKUAABFAUKUBAUCUDU
      E $.
  $}

  $( The midpoint is an element of the open interval.  (Contributed by Glauco
     Siliprandi, 11-Dec-2019.) $)
  ioomidp $p |- ( ( A e. RR /\ B e. RR /\ A < B ) -> ( ( A + B ) / 2 ) e. ( A
     (,) B ) ) $=
    ( cr wcel clt wbr w3a caddc co c2 cdiv cxr rexr 3ad2ant1 3ad2ant2 rehalfcld
    wa readdcl 3adant3 biimp3a avglt1 avglt2 eliood ) ACDZBCDZABEFZGABABHIZJKIZ
    UDUEALDUFAMNUEUDBLDUFBMOUDUEUHCDUFUDUEQUGABRPSUDUEUFAUHEFABUATUDUEUFUHBEFAB
    UBTUC $.

  $( If the open inverval is removed from the closed interval, only the bounds
     are left.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  iccdifioo $p |- ( ( A e. RR* /\ B e. RR* /\ A <_ B ) -> ( ( A [,] B ) \ ( A
     (,) B ) ) = { A , B } ) $=
    ( cxr wcel cle wbr w3a cicc co cioo cdif cpr cun prunioo uncom eqtr3di wceq
    a1i cin c0 difeq1d difun2 incom iooinlbub eqtr3i disj3 mpbi eqcomi 3eqtrd )
    ACDBCDABEFGZABHIZABJIZKABLZULMZULKZUMULKZUMUJUKUNULUJULUMMUKUNABNULUMOPUAUO
    UPQUJUMULUBRUPUMQUJUMUPUMULSZTQUMUPQULUMSUQTULUMUCABUDUEUMULUFUGUHRUI $.

  $( An open interval is the closed interval without the bounds.  (Contributed
     by Glauco Siliprandi, 11-Dec-2019.) $)
  iccdifprioo $p |- ( ( A e. RR* /\ B e. RR* ) -> ( ( A [,] B ) \ { A , B } )
     = ( A (,) B ) ) $=
    ( cxr wcel wa cle wbr cicc co cpr cdif cioo wceq w3a c0 wn wb adantr mpbird
    cun prunioo eqcomd difeq1d difun2 cin iooinlbub disj3 mpbi eqtr4i 3expa wss
    eqtrdi difssd clt simpr xrlenlt notnotrd icc0 sseqtrd ss0 syl simplr simpll
    mtbid xrltled ioo0 eqtr4d pm2.61dan ) ACDZBCDZEZABFGZABHIZABJZKZABLIZMZVIVJ
    VLVQVIVJVLNZVOVPVNTZVNKZVPVRVMVSVNVRVSVMABUAUBUCVTVPVNKZVPVPVNUDVPVNUEOMVPW
    AMABUFVPVNUGUHUIULUJVKVLPZEZVOOVPWCVOOUKVOOMWCVOVMOWCVMVNUMWCVMOMZBAUNGZWCW
    EWCVLWEPZVKWBUOVKVLWFQWBABUPRVDUQZVKWDWEQWBABURRSUSVOUTVAWCVPOMZBAFGZWCBAVI
    VJWBVBVIVJWBVCWGVEVKWHWIQWBABVFRSVGVH $.

  ${
    $d A w x y z $.  $d B w x y z $.  $d C w x y z $.  $d D w x y z $.
    ioossioobi.a $e |- ( ph -> A e. RR* ) $.
    ioossioobi.b $e |- ( ph -> B e. RR* ) $.
    ioossioobi.c $e |- ( ph -> C e. RR* ) $.
    ioossioobi.d $e |- ( ph -> D e. RR* ) $.
    ioossioobi.cltd $e |- ( ph -> C < D ) $.
    $( Biconditional form of ~ ioossioo .  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    ioossioobi $p |- ( ph -> ( ( C (,) D ) C_ ( A (,) B ) <-> ( A <_ C /\ D <_
       B ) ) ) $=
      ( vx vy vz cioo cle wbr wa cxr clt adantr vw co cinf simpr df-ioo ixxssxr
      wss infxrss sylancl wcel c0 wne wceq ioon0 syl2anc mpbird ssn0 idd xrltle
      wb cv ixxlb syl3anc 3brtr3d csup supxrss ixxub jca simprl simprr ioossioo
      syl22anc impbida ) ADENUBZBCNUBZUGZBDOPZECOPZQZAVPQZVQVRVTVORSUCZVNRSUCZB
      DOVTVPVORUGZWAWBOPAVPUDZKLMBCSSNKLMUEZUFZVNVOUHUIVTBRUJZCRUJZVOUKULZWABUM
      AWGVPFTZAWHVPGTZVTVPVNUKULZWIWDAWLVPAWLDESPZJADRUJZERUJZWLWMUTHIDEUNUOUPT
      ZVNVOUQUOZKLMUABCSSNWEUAVAZRUJZWHQWRCSPURZWRCUSZWGWSQBWRSPURZBWRUSZVBVCVT
      WNWOWLWBDUMAWNVPHTZAWOVPITZWPKLMUADESSNWEWSWOQWRESPURZWREUSZWNWSQDWRSPURZ
      DWRUSZVBVCVDVTVNRSVEZVORSVEZECOVTVPWCXJXKOPWDWFVNVOVFUIVTWNWOWLXJEUMXDXEW
      PKLMUADESSNWEXFXGXHXIVGVCVTWGWHWIXKCUMWJWKWQKLMUABCSSNWEWTXAXBXCVGVCVDVHA
      VSQWGWHVQVRVPAWGVSFTAWHVSGTAVQVRVIAVQVRVJBCDEVKVLVM $.
  $}

  ${
    $d A w x z $.  $d B w x z $.  $d T w x z $.  $d ph x z $.
    iccshift.1 $e |- ( ph -> A e. RR ) $.
    iccshift.2 $e |- ( ph -> B e. RR ) $.
    iccshift.3 $e |- ( ph -> T e. RR ) $.
    $( A closed interval shifted by a real number.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    iccshift $p |- ( ph -> ( ( A + T ) [,] ( B + T ) ) = { w e. CC | E. z e. (
       A [,] B ) w = ( z + T ) } ) $=
      ( caddc co wceq cc wcel wa w3a cr cle wbr adantr vx cv cicc eqeq1 rexbidv
      wrex crab elrab simprr nfre1 nfan wi simp3 iccssred sselda readdcld simpr
      nfv wb elicc2 syl2anc simp2d leadd1dd simp3d 3jca 3adant3 3ad2ant1 mpbird
      mpbid eqeltrd 3exp rexlimd mpd sylan2b eliccre recnd cmin resubcld pncand
      syl3anc eqcomd lesub1dd eqbrtrd breqtrd eliccd npcand oveq1 impbida eqrdv
      rspceeqv sylanbrc ) ACUBZBUBZFJKZLZBDEUCKZUFZCMUGZDFJKZEFJKZUCKZAUAWRXAAU
      AUBZWRNZXBXANZXCAXBMNZXBWNLZBWPUFZOZXDWQXGCXBMWLXBLWOXFBWPWLXBWNUDUEUHZAX
      HOZXGXDAXEXGUIXJXFXDBWPAXHBABURXEXGBXEBURXFBWPUJUKUKXDBURAWMWPNZXFXDULULX
      HAXKXFXDAXKXFPZXBWNXAAXKXFUMXLWNXANZWNQNZWSWNRSZWNWTRSZPZAXKXQXFAXKOZXNXO
      XPXRWMFAWPQWMADEGHUNUOZAFQNZXKITZUPXRDWMFADQNZXKGTZXSYAXRWMQNZDWMRSZWMERS
      ZXRXKYDYEYFPZAXKUQXRYBEQNZXKYGUSYCAYHXKHTZDEWMUTVAVIZVBVCXRWMEFXSYIYAXRYD
      YEYFYJVDVCVEVFXLWSQNZWTQNZXMXQUSAXKYKXFADFGIUPZVGAXKYLXFAEFHIUPZVGWSWTWNU
      TVAVHVJVKTVLVMVNAXDOZXEXGXCYOXBYOYKYLXDXBQNZAYKXDYMTZAYLXDYNTZAXDUQZWSWTX
      BVOVTZVPZYOXBFVQKZWPNXBUUBFJKZLXGYODEUUBAYBXDGTAYHXDHTYOXBFYTAXTXDITZVRYO
      DWSFVQKZUUBRADUUELXDAUUEDADFADGVPAFIVPZVSWATYOWSXBFYQYTUUDYOYPWSXBRSZXBWT
      RSZYOXDYPUUGUUHPZYSYOYKYLXDUUIUSYQYRWSWTXBUTVAVIZVBWBWCYOUUBWTFVQKZERYOXB
      WTFYTYRUUDYOYPUUGUUHUUJVDWBAUUKELXDAEFAEHVPUUFVSTWDWEYOUUCXBYOXBFUUAAFMNX
      DUUFTWFWABUUBWPWNUUCXBWMUUBFJWGWJVAXIWKWHWIWA $.
  $}

  ${
    iccsuble.1 $e |- ( ph -> A e. RR ) $.
    iccsuble.2 $e |- ( ph -> B e. RR ) $.
    iccsuble.3 $e |- ( ph -> C e. ( A [,] B ) ) $.
    iccsuble.4 $e |- ( ph -> D e. ( A [,] B ) ) $.
    $( An upper bound to the distance of two elements in a closed interval.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    iccsuble $p |- ( ph -> ( C - D ) <_ ( B - A ) ) $=
      ( cr wcel eliccre syl3anc cle wbr w3a wb elicc2 syl2anc mpbid cicc simp3d
      co simp2d le2subd ) ADBCEABJKZCJKZDBCUAUCZKZDJKZFGHBCDLMFGAUFUGEUHKZEJKZF
      GIBCELMAUJBDNOZDCNOZAUIUJUMUNPZHAUFUGUIUOQFGBCDRSTUBAULBENOZECNOZAUKULUPU
      QPZIAUFUGUKURQFGBCERSTUDUE $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d ph x $.
    iocopn.a $e |- ( ph -> A e. RR* ) $.
    iocopn.c $e |- ( ph -> C e. RR* ) $.
    iocopn.b $e |- ( ph -> B e. RR ) $.
    iocopn.k $e |- K = ( topGen ` ran (,) ) $.
    iocopn.j $e |- J = ( K |`t ( A (,] B ) ) $.
    iocopn.alec $e |- ( ph -> A <_ C ) $.
    iocopn.6 $e |- ( ph -> B e. RR ) $.
    $( A left-open right-closed interval is an open set of the standard
       topology restricted to an interval that contains the original interval
       and has the same upper bound.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    iocopn $p |- ( ph -> ( C (,] B ) e. J ) $=
      ( cpnf co wcel a1i syl3anc cxr adantr vx cioo cioc cin crest ctop cvv crn
      ctg cfv retop eqeltri ovexd iooretop eleqtrri elrestr cv wa rexrd elinel1
      elioore syl adantl clt wbr ioogtlb cle elinel2 iocleub eliocd wss iocssre
      cr pnfxr syl2anc sselda simpr iocgtlb ltpnfd eliood xrlelttrd elind eqrdv
      impbida wceq eqcomi 3eltr3d ) ADNUBOZBCUCOZUDZFWIUEOZDCUCOZEAFUFPZWIUGPWH
      FPZWJWKPWMAFUBUHUIUJZUFJUKULQABCUCUMWNAWHWOFDNUNJUOQWHWIFUFUGUPRAUAWJWLAU
      AUQZWJPZWPWLPZAWQURZDCWPADSPZWQHTZACSPZWQACIUSZTZWQWPSPAWQWPWQWPWHPZWPVMP
      WPWHWIUTZWPDNVAVBUSVCWSWTNSPZXEDWPVDVEZXAXGWSVNQWQXEAXFVCDNWPVFRWSBSPZXBW
      PWIPZWPCVGVEZAXIWQGTXDWQXJAWPWHWIVHVCBCWPVIRVJAWRURZWHWIWPXLDNWPAWTWRHTZX
      GXLVNQAWLVMWPAWTCVMPWLVMVKHMDCVLVOVPZXLWTXBWRXHXMAXBWRXCTZAWRVQZDCWPVRRZX
      LWPXNVSVTXLBCWPAXIWRGTZXOXLWPXNUSZXLBDWPXRXMXSABDVGVEWRLTXQWAXLWTXBWRXKXM
      XOXPDCWPVIRVJWBWDWCWKEWEAEWKKWFQWG $.
  $}

  ${
    eliccelioc.a $e |- ( ph -> A e. RR ) $.
    eliccelioc.b $e |- ( ph -> B e. RR ) $.
    eliccelioc.c $e |- ( ph -> C e. RR* ) $.
    $( Membership in a closed interval and in a left-open right-closed
       interval.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    eliccelioc $p |- ( ph -> ( C e. ( A (,] B ) <-> ( C e. ( A [,] B ) /\ C =/=
       A ) ) ) $=
      ( cioc co wcel wa cr adantr cxr wbr rexrd simpr syl3anc adantrr cle sseli
      cicc wne iocssicc adantl clt iocgtlb gtned iccssred sselda iccgelb simprr
      jca leneltd iccleub eliocd impbida ) ADBCHIZJZDBCUBIZJZDBUCZKZAUSKZVAVBUS
      VAAURUTDBCUDUAUEVDBDABLJZUSEMVDBNJZCNJZUSBDUFOAVFUSABEPZMVDCACLJUSFMPAUSQ
      BCDUGRUHUMAVCKZBCDAVFVCVHMAVGVCACFPZMADNJVCGMVIBDAVEVCEMAVADLJVBAUTLDABCE
      FUIUJSAVABDTOZVBAVAKZVFVGVAVKAVFVAVHMZAVGVAVJMZAVAQZBCDUKRSAVAVBULUNAVADC
      TOZVBVLVFVGVAVPVMVNVOBCDUORSUPUQ $.
  $}

  ${
    $d A w x z $.  $d B w x z $.  $d T w x z $.  $d ph x z $.
    iooshift.1 $e |- ( ph -> A e. RR ) $.
    iooshift.2 $e |- ( ph -> B e. RR ) $.
    iooshift.3 $e |- ( ph -> T e. RR ) $.
    $( An open interval shifted by a real number.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    iooshift $p |- ( ph -> ( ( A + T ) (,) ( B + T ) ) = { w e. CC | E. z e. (
       A (,) B ) w = ( z + T ) } ) $=
      ( caddc co wceq cc wcel wa cxr rexrd adantr cr clt cioo wrex crab rexbidv
      vx cv eqeq1 elrab simprr nfv nfre1 nfan wi w3a simp3 readdcld wss ioossre
      a1i sselda wbr simpr ioogtlb syl3anc ltadd1dd iooltub eliood 3adant3 3exp
      eqeltrd rexlimd mpd sylan2b elioore adantl recnd resubcld pncand ltsub1dd
      cmin eqcomd eqbrtrd breqtrd oveq1 rspceeqv syl2anc sylanbrc impbida eqrdv
      npcand ) ACUFZBUFZFJKZLZBDEUAKZUBZCMUCZDFJKZEFJKZUAKZAUEWQWTAUEUFZWQNZXAW
      TNZXBAXAMNZXAWMLZBWOUBZOZXCWPXFCXAMWKXALWNXEBWOWKXAWMUGUDUHZAXGOZXFXCAXDX
      FUIXIXEXCBWOAXGBABUJXDXFBXDBUJXEBWOUKULULXCBUJAWLWONZXEXCUMUMXGAXJXEXCAXJ
      XEUNXAWMWTAXJXEUOAXJWMWTNXEAXJOZWRWSWMAWRPNZXJAWRADFGIUPZQZRAWSPNZXJAWSAE
      FHIUPZQZRXKWLFAWOSWLWOSUQADEURUSUTZAFSNZXJIRZUPXKDWLFADSNXJGRZXRXTXKDPNZE
      PNZXJDWLTVAXKDYAQZXKEAESNXJHRZQZAXJVBZDEWLVCVDVEXKWLEFXRYEXTXKYBYCXJWLETV
      AYDYFYGDEWLVFVDVEVGVHVJVIRVKVLVMAXCOZXDXFXBYHXAXCXASNAXAWRWSVNVOZVPZYHXAF
      VTKZWONXAYKFJKZLXFYHDEYKAYBXCADGQRAYCXCAEHQRYHXAFYIAXSXCIRZVQYHDWRFVTKZYK
      TADYNLXCAYNDADFADGVPAFIVPZVRWARYHWRXAFAWRSNXCXMRYIYMYHXLXOXCWRXATVAAXLXCX
      NRZAXOXCXQRZAXCVBZWRWSXAVCVDVSWBYHYKWSFVTKZETYHXAWSFYIAWSSNXCXPRYMYHXLXOX
      CXAWSTVAYPYQYRWRWSXAVFVDVSAYSELXCAEFAEHVPYOVRRWCVGYHYLXAYHXAFYJAFMNXCYORW
      JWABYKWOWMYLXAWLYKFJWDWEWFXHWGWHWIWA $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Intersection of two adiacent closed intervals is a singleton.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    iccintsng $p |- ( ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\ ( A <_ B /\ B
       <_ C ) ) -> ( ( A [,] B ) i^i ( B [,] C ) ) = { B } ) $=
      ( vx cxr wcel w3a cle wbr wa cicc co syl3anc syl jca adantr simpr eqeltrd
      ex syl31anc cin csn cv wceq wi simpl1 simpl2 simprl iccleub simpl3 simprr
      iccgelb eliccxr xrletri3 mpbir2and simpll1 simpll2 simplrl ubicc2 simpll3
      wb simplrr lbicc2 impbid elin velsn 3bitr4g eqrdv ) AEFZBEFZCEFZGZABHIZBC
      HIZJZJZDABKLZBCKLZUAZBUBZVPDUCZVQFZWAVRFZJZWABUDZWAVSFWAVTFVPWDWEVLWDWEUE
      VOVLWDWEVLWDJZWEWABHIZBWAHIZWFVIVJWBWGVIVJVKWDUFVIVJVKWDUGZVLWBWCUHZABWAU
      IMWFVJVKWCWHWIVIVJVKWDUJVLWBWCUKBCWAULMWFWAEFZVJJWEWGWHJVAWFWKVJWFWBWKWJW
      AABUMNWIOWABUNNUOSPVPWEWDVPWEJZWBWCWLVIVJVMWEWBVIVJVKVOWEUPVIVJVKVOWEUQZV
      LVMVNWEURVPWEQZVIVJVMGZWEJWABVQWOWEQWOBVQFWEABUSPRTWLVJVKVNWEWCWMVIVJVKVO
      WEUTVLVMVNWEVBWNVJVKVNGZWEJWABVRWPWEQWPBVRFWEBCVCPRTOSVDWAVQVRVEDBVFVGVH
      $.
  $}

  ${
    $d A x $.  $d B x $.
    $( Left-closed right-open interval gotten by a closed iterval taking away
       the upper bound.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    icoiccdif $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A [,) B ) = ( ( A [,] B ) \
       { B } ) ) $=
      ( vx cxr wcel cico cicc csn cdif wbr cle w3a simplr simp3d syl3anc necomd
      wa co adantl wb wss icossicc a1i sselda wceq clt wne elico1 biimpa simp1d
      cv xrltne neneqd velsn sylnibr eldifd ex simpll eldifi eliccxr syl elicc1
      ssrdv adantr mpbid simp2d eldifsni xrleltne mpbird elicod eqelssd ) ADEZB
      DEZQZCABFRZABGRZBHZIZVNCVOVRVNCUKZVOEZVSVREZVNVTQZVSVPVQVNVOVPVSVOVPUAVNA
      BUBUCUDWBVSBUEVSVQEWBVSBWBBVSWBVSDEZVMVSBUFJZBVSUGZWBWCAVSKJZWDVNVTWCWFWD
      LABVSUHUIZUJVLVMVTMWBWCWFWDWGNVSBULOPUMCBUNUOUPUQVCVNWAQZABVSVLVMWAURVLVM
      WAMZWAWCVNWAVSVPEZWCVSVPVQUSZVSABUTVASZWHWCWFVSBKJZWHWJWCWFWMLZWAWJVNWKSV
      NWJWNTWAABVSVBVDVEZVFWHWDWEWAWEVNWAVSBVSVPBVGPSWHWCVMWMWDWETWLWIWHWCWFWMW
      ONVSBVHOVIVJVK $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d ph x $.
    icoopn.a $e |- ( ph -> A e. RR ) $.
    icoopn.c $e |- ( ph -> C e. RR* ) $.
    icoopn.b $e |- ( ph -> B e. RR* ) $.
    icoopn.k $e |- K = ( topGen ` ran (,) ) $.
    icoopn.j $e |- J = ( K |`t ( A [,) B ) ) $.
    icoopn.cleb $e |- ( ph -> C <_ B ) $.
    $( A left-closed right-open interval is an open set of the standard
       topology restricted to an interval that contains the original interval
       and has the same lower bound.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    icoopn $p |- ( ph -> ( A [,) C ) e. J ) $=
      ( cmnf co wcel a1i syl3anc cxr adantr cr cioo cico cin crest ctop cvv crn
      vx ctg cfv retop eqeltri ovexd iooretop eleqtrri elrestr cv rexrd elinel1
      elioore syl adantl cle wbr elinel2 icogelb clt iooltub elicod wss icossre
      wa mnfxr syl2anc sselda mnfltd simpr icoltub eliood xrltletrd elind eqrdv
      impbida wceq eqcomi 3eltr3d ) AMDUANZBCUBNZUCZFWHUDNZBDUBNZEAFUEOZWHUFOWG
      FOZWIWJOWLAFUAUGUIUJZUEJUKULPABCUBUMWMAWGWNFMDUNJUOPWGWHFUEUFUPQAUHWIWKAU
      HUQZWIOZWOWKOZAWPVLZBDWOABROZWPABGURZSZADROZWPHSZWPWOROAWPWOWPWOWGOZWOTOW
      OWGWHUSZWOMDUTVAURVBWRWSCROZWOWHOZBWOVCVDZXAAXFWPISWPXGAWOWGWHVEVBBCWOVFQ
      WRMROZXBXDWODVGVDZXIWRVMPXCWPXDAXEVBMDWOVHQVIAWQVLZWGWHWOXKMDWOXIXKVMPAXB
      WQHSZAWKTWOABTOXBWKTVJGHBDVKVNVOZXKWOXMVPXKWSXBWQXJAWSWQWTSZXLAWQVQZBDWOV
      RQZVSXKBCWOXNAXFWQISZXKWOXMURZXKWSXBWQXHXNXLXOBDWOVFQXKWODCXRXLXQXPADCVCV
      DWQLSVTVIWAWCWBWJEWDAEWJKWEPWF $.
  $}

  $( A left-closed, right-open interval does not contain its upper bound.
     (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
  icoub $p |- ( A e. RR* -> -. B e. ( A [,) B ) ) $=
    ( cxr wcel cico co clt wbr wa simpl icossxr id sselid simpr icoltub syl3anc
    adantl wn xrltnr syl pm2.65da ) ACDZBABEFZDZBBGHZUBUDIUBBCDZUDUEUBUDJUDUFUB
    UDUCCBABKUDLMZQUBUDNABBOPUDUERZUBUDUFUHUGBSTQUA $.
  ${
    eliccxrd.1 $e |- ( ph -> A e. RR* ) $.
    eliccxrd.2 $e |- ( ph -> B e. RR* ) $.
    eliccxrd.3 $e |- ( ph -> C e. RR* ) $.
    eliccxrd.4 $e |- ( ph -> A <_ C ) $.
    eliccxrd.5 $e |- ( ph -> C <_ B ) $.
    $( Membership in a closed real interval.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    eliccxrd $p |- ( ph -> C e. ( A [,] B ) ) $=
      ( cicc co wcel cle wbr wa jca cxr wb elicc4 syl3anc mpbird ) ADBCJKLZBDMN
      ZDCMNZOZAUCUDHIPABQLCQLDQLUBUEREFGBCDSTUA $.
  $}

  $( ` +oo ` is a nonnegative extended real.  (Contributed by Glauco
     Siliprandi, 17-Aug-2020.) $)
  pnfel0pnf $p |- +oo e. ( 0 [,] +oo ) $=
    ( cc0 cxr wcel cpnf cle wbr cicc co 0xr pnfxr 0lepnf ubicc2 mp3an ) ABCDBCA
    DEFDADGHCIJKADLM $.

  ${
    eliccnelico.1 $e |- ( ph -> A e. RR* ) $.
    eliccnelico.b $e |- ( ph -> B e. RR* ) $.
    eliccnelico.c $e |- ( ph -> C e. ( A [,] B ) ) $.
    eliccnelico.nel $e |- ( ph -> -. C e. ( A [,) B ) ) $.
    $( An element of a closed interval that is not a member of the left-closed
       right-open interval, must be the upper bound.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    eliccnelico $p |- ( ph -> C = B ) $=
      ( cicc co wcel cxr eliccxr syl cle wbr iccleub syl3anc wn adantr cico clt
      wa iccgelb simpr wb xrltnle syl2anc mpbird elicod condan xrletrid ) ADCAD
      BCIJKZDLKZGDBCMNZFABLKZCLKZUMDCOPEFGBCDQRACDOPZDBCUAJKZAURSZUCZBCDAUPUTET
      AUQUTFTAUNUTUOTABDOPZUTAUPUQUMVBEFGBCDUDRTVADCUBPZUTAUTUEAVCUTUFZUTAUNUQV
      DUOFDCUGUHTUIUJAUSSUTHTUKUL $.
  $}

  ${
    eliccelicod.a $e |- ( ph -> A e. RR* ) $.
    eliccelicod.b $e |- ( ph -> B e. RR* ) $.
    eliccelicod.c $e |- ( ph -> C e. ( A [,] B ) ) $.
    eliccelicod.d $e |- ( ph -> C =/= B ) $.
    $( A member of a closed interval that is not the upper bound, is a member
       of the left-closed, right-open interval.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    eliccelicod $p |- ( ph -> C e. ( A [,) B ) ) $=
      ( cicc co wcel cxr eliccxr syl cle wbr iccgelb syl3anc iccleub xrleneltd
      elicod ) ABCDEFADBCIJKZDLKGDBCMNZABLKZCLKZUBBDOPEFGBCDQRADCUCFAUDUEUBDCOP
      EFGBCDSRHTUA $.
  $}

  $( A nonnegative extended real that is not ` +oo ` is a real.  (Contributed
     by Glauco Siliprandi, 17-Aug-2020.) $)
  ge0xrre $p |- ( ( A e. ( 0 [,] +oo ) /\ A =/= +oo ) -> A e. RR ) $=
    ( cc0 cpnf cicc co wcel wne wa cr rge0ssre cxr 0xr a1i pnfxr eliccxr adantr
    cico cle wbr id iccgelb syl3anc pnfge syl simpr xrleneltd elicod sselid ) A
    BCDEFZACGZHZBCQEIAJUKBCABKFZUKLMCKFZUKNMZUIAKFZUJABCOZPZUIBARSZUJUIULUMUIUR
    ULUILMUMUINMUITBCAUAUBPUKACUQUNUIACRSZUJUIUOUSUPAUCUDPUIUJUEUFUGUH $.

  ${
    ge0lere.a $e |- ( ph -> A e. RR ) $.
    ge0lere.b $e |- ( ph -> B e. ( 0 [,] +oo ) ) $.
    ge0lere.l $e |- ( ph -> B <_ A ) $.
    $( A nonnegative extended Real number smaller than or equal to a Real
       number, is a Real number.  (Contributed by Glauco Siliprandi,
       24-Dec-2020.) $)
    ge0lere $p |- ( ph -> B e. RR ) $=
      ( cc0 cpnf cicc co wcel wne cr cxr iccssxr sselid pnfxr a1i rexrd ltpnfd
      xrlelttrd xrltned ge0xrre syl2anc ) ACGHIJZKCHLCMKEACHAUENCGHOEPZHNKAQRZA
      CBHUFABDSUGFABDTUAUBCUCUD $.
  $}

  ${
    $d A x y $.  $d x y z $.
    $( Membership in a left-closed, right-open interval with real bounds.
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    elicores $p |- ( A e. ran ( [,) |` ( RR X. RR ) ) <-> E. x e. RR E. y e. RR
       A = ( x [,) y ) ) $=
      ( vz cico cr cxp cres crn wcel cv cle wbr cxr cmpo wceq wrex ressxr sseli
      wa clt crab df-ico reseq1i wss resmpo mp2an eqtri rneqi eleq2i eqid rabex
      co xrex elrnmpo adantr adantl icoval syl2anc eqcomd eqeq2d rexbiia 3bitri
      rexbidva ) CEFFGZHZIZJCABFFAKZDKZLMVIBKZUAMTZDNUBZOZIZJCVLPZBFQZAFQCVHVJE
      UMZPZBFQZAFQVGVNCVFVMVFABNNVLOZVEHZVMEVTVEABDUCUDFNUEZWBWAVMPRRABNNFFVLUF
      UGUHUIUJABFFVLCVMVMUKVKDNUNULUOVPVSAFVHFJZVOVRBFWCVJFJZTZVLVQCWEVQVLWEVHN
      JZVJNJZVQVLPWCWFWDFNVHRSUPWDWGWCFNVJRSUQDVHVJURUSUTVAVDVBVC $.
  $}

  ${
    $d A x $.  $d B x $.  $d S x $.  $d ph x $.
    inficc.a $e |- ( ph -> A e. RR* ) $.
    inficc.b $e |- ( ph -> B e. RR* ) $.
    inficc.s $e |- ( ph -> S C_ ( A [,] B ) ) $.
    inficc.n0 $e |- ( ph -> S =/= (/) ) $.
    $( The infimum of a nonempty set, included in a closed interval, is a
       member of the interval.  (Contributed by Glauco Siliprandi,
       11-Oct-2020.) $)
    inficc $p |- ( ph -> inf ( S , RR* , < ) e. ( A [,] B ) ) $=
      ( vx cxr clt cinf wss wcel cicc cle wbr adantr syl3anc syl2anc co iccssxr
      a1i sstrd infxrcl cv wral wa sselda iccgelb ralrimiva wb infxrgelb mpbird
      syl wex c0 n0 sylib sselid simpr infxrlb iccleub xrletrd exlimdv eliccxrd
      wne ex mpd ) ABCDJKLZEFADJMZVJJNZADBCOUAZJGVMJMABCUBZUCUDZDUEUOZABVJPQZBI
      UFZPQZIDUGZAVSIDAVRDNZUHZBJNZCJNZVRVMNZVSAWCWAERZAWDWAFRZADVMVRGUIZBCVRUJ
      SUKAVKWCVQVTULVOEIDBUMTUNAWAIUPZVJCPQZADUQVGWIHIDURUSAWAWJIAWAWJWBVJVRCAV
      LWAVPRWBVMJVRVNWHUTWGWBVKWAVJVRPQAVKWAVORAWAVADVRVBTWBWCWDWEVRCPQWFWGWHBC
      VRVCSVDVHVEVIVF $.
  $}

  ${
    $d A q $.  $d B q $.  $d ph q $.
    qinioo.a $e |- ( ph -> A e. RR* ) $.
    qinioo.b $e |- ( ph -> B e. RR* ) $.
    $( The rational numbers are dense in ` RR ` .  (Contributed by Glauco
       Siliprandi, 24-Dec-2020.) $)
    qinioo $p |- ( ph -> ( ( QQ i^i ( A (,) B ) ) = (/) <-> B <_ A ) ) $=
      ( vq cq cin c0 wceq wbr wa wn clt biimpar wcel wrex cxr adantr ad2antrr
      cioo co cle simplr wne xrltnled cv simpr qbtwnxr syl3anc wi cr qre simprl
      ad2antlr simprr eliood ex adantlr reximdva sylibr syldan neneqd condan wb
      mpd inn0 ioo0 syl2anc ineq2 in0 eqtrdi syl impbida ) AGBCUAUBZHZIJZCBUCKZ
      AVQLVRVQAVQVRMZUDAVSVQMVQAVSLVPIAVSBCNKZVPIUEZAVTVSABCDEUFOAVTLZFUGZVOPZF
      GQZWAWBBWCNKZWCCNKZLZFGQZWEWBBRPZCRPZVTWIAWJVTDSAWKVTESAVTUHFBCUIUJWBWHWD
      FGAWCGPZWHWDUKVTAWLLZWHWDWMWHLBCWCAWJWLWHDTAWKWLWHETWLWCULPAWHWCUMUOWMWFW
      GUNWMWFWGUPUQURUSUTVFFGVOVGVAVBVCUSVDAVRLVOIJZVQAWNVRAWJWKWNVRVEDEBCVHVIO
      WNVPGIHIVOIGVJGVKVLVMVN $.
  $}

  ${
    lenelioc.1 $e |- ( ph -> A e. RR* ) $.
    lenelioc.2 $e |- ( ph -> B e. RR* ) $.
    lenelioc.3 $e |- ( ph -> C e. RR* ) $.
    lenelioc.4 $e |- ( ph -> C <_ A ) $.
    $( A real number smaller than or equal to the lower bound of a left-open
       right-closed interval is not an element of the interval.  (Contributed
       by Glauco Siliprandi, 3-Jan-2021.) $)
    lenelioc $p |- ( ph -> -. C e. ( A (,] B ) ) $=
      ( cioc co wcel cxr clt wbr cle w3a wn xrlenltd mpbid intn3an2d wb syl2anc
      elioc1 mtbird ) ADBCIJKZDLKZBDMNZDCONZPZAUGUFUHADBONUGQHADBGERSTABLKCLKUE
      UIUAEFBCDUCUBUD $.
  $}

  ${
    ioonct.b $e |- ( ph -> A e. RR* ) $.
    ioonct.c $e |- ( ph -> B e. RR* ) $.
    ioonct.l $e |- ( ph -> A < B ) $.
    ioonct.a $e |- C = ( A (,) B ) $.
    $( A nonempty open interval is uncountable.  (Contributed by Glauco
       Siliprandi, 3-Jan-2021.) $)
    ioonct $p |- ( ph -> -. C ~<_ _om ) $=
      ( com cdom wbr cioo c0 wceq cfv a1i cn syl2anc cxr wcel co wa crn ctg cnt
      ioontr cr wss ioossre breq1i biimpi nnenom ensymi adantl rectbntr0 eqtr3d
      cen domentr wn wne clt wb ioon0 mpbird neneqd adantr pm2.65da ) ADIJKZBCL
      UAZMNZAVHUBZVILUCUDOUEOOZVIMVLVINVKBCUFPVKVIUGUHZVIQJKZVLMNVMVKBCUIPVHVNA
      VHVIIJKZIQUQKZVNVHVODVIIJHUJUKVPVHQIULUMPVIIQURRUNVIUORUPAVJUSVHAVIMAVIMU
      TZBCVAKZGABSTCSTVQVRVBEFBCVCRVDVEVFVG $.
  $}

  ${
    xrgtnelicc.1 $e |- ( ph -> A e. RR* ) $.
    xrgtnelicc.2 $e |- ( ph -> B e. RR* ) $.
    xrgtnelicc.3 $e |- ( ph -> C e. RR* ) $.
    xrgtnelicc.4 $e |- ( ph -> B < C ) $.
    $( A real number greater than the upper bound of a closed interval is not
       an element of the interval.  (Contributed by Glauco Siliprandi,
       3-Jan-2021.) $)
    xrgtnelicc $p |- ( ph -> -. C e. ( A [,] B ) ) $=
      ( cicc co wcel cle wbr wa clt wn cxr wb xrltnle syl2anc intnand syl3anc
      mpbid elicc4 mtbird ) ADBCIJKZBDLMZDCLMZNZAUHUGACDOMZUHPZHACQKZDQKZUJUKRF
      GCDSTUCUAABQKULUMUFUIREFGBCDUDUBUE $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d ph x $.
    iccdificc.a $e |- ( ph -> A e. RR* ) $.
    iccdificc.b $e |- ( ph -> B e. RR* ) $.
    iccdificc.c $e |- ( ph -> C e. RR* ) $.
    iccdificc.4 $e |- ( ph -> A <_ B ) $.
    $( The difference of two closed intervals with the same lower bound.
       (Contributed by Glauco Siliprandi, 3-Jan-2021.) $)
    iccdificc $p |- ( ph -> ( ( A [,] C ) \ ( A [,] B ) ) = ( B (,] C ) ) $=
      ( vx cicc co wcel wa cxr adantr sselid adantl wbr cle syl3anc cdif cv wss
      cioc wral iccssxr eldifi clt wn ad2antrr iccgelb simpr wb xrlenltd mpbird
      eliccxrd eldifn ad2antlr condan iccleub eliocd ralrimiva dfss3 iocssxr id
      sylibr iocgtlb xrlelttrd xrltled iocleub xrgtnelicc eldifd eqelssd ) AIBD
      JKZBCJKZUAZCDUDKZAIUBZVQLZIVPUEVPVQUCAVSIVPAVRVPLZMZCDVRACNLZVTFOZADNLZVT
      GOZVTVRNLZAVTVNNVRBDUFVRVNVOUGZPQZWACVRUHRZVRVOLZWAWIUIZMZBCVRABNLZVTWKEU
      JWAWBWKWCOWAWFWKWHOWABVRSRZWKWAWMWDVRVNLZWNAWMVTEOZWEVTWOAWGQZBDVRUKTOWLV
      RCSRZWKWAWKULWAWRWKUMWKWAVRCWHWCUNOUOUPVTWJUIAWKVRVNVOUQURUSWAWMWDWOVRDSR
      ZWPWEWQBDVRUTTVAVBIVPVQVCVFAVSMZVRVNVOWTBDVRAWMVSEOZAWDVSGOZVSWFAVSVQNVRC
      DVDVSVEPQZWTBVRXAXCWTBCVRXAAWBVSFOZXCABCSRVSHOWTWBWDVSWIXDXBAVSULZCDVRVGT
      ZVHVIWTWBWDVSWSXDXBXECDVRVJTUPWTBCVRXAXDXCXFVKVLVM $.
  $}

  ${
    iocnct.a $e |- ( ph -> A e. RR* ) $.
    iocnct.b $e |- ( ph -> B e. RR* ) $.
    iocnct.l $e |- ( ph -> A < B ) $.
    iocnct.c $e |- C = ( A (,] B ) $.
    $( A nonempty left-open, right-closed interval is uncountable.
       (Contributed by Glauco Siliprandi, 3-Jan-2021.) $)
    iocnct $p |- ( ph -> -. C ~<_ _om ) $=
      ( cioo co eqid ioonct wss cioc ioossioc sseqtrri a1i ssnct ) ABCIJZDABCSE
      FGSKLSDMASBCNJDBCOHPQR $.
  $}

  ${
    iccnct.a $e |- ( ph -> A e. RR* ) $.
    iccnct.b $e |- ( ph -> B e. RR* ) $.
    iccnct.l $e |- ( ph -> A < B ) $.
    iccnct.c $e |- C = ( A [,] B ) $.
    $( A closed interval, with more than one element is uncountable.
       (Contributed by Glauco Siliprandi, 3-Jan-2021.) $)
    iccnct $p |- ( ph -> -. C ~<_ _om ) $=
      ( cioo co eqid ioonct wss cicc ioossicc sseqtrri a1i ssnct ) ABCIJZDABCSE
      FGSKLSDMASBCNJDBCOHPQR $.
  $}

  ${
    $d A n x $.  $d B n x $.  $d n ph x $.
    iooiinicc.a $e |- ( ph -> A e. RR ) $.
    iooiinicc.b $e |- ( ph -> B e. RR ) $.
    $( A closed interval expressed as the indexed intersection of open
       intervals.  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    iooiinicc $p |- ( ph -> |^|_ n e. NN ( ( A - ( 1 / n ) ) (,) ( B + ( 1 / n
       ) ) ) = ( A [,] B ) ) $=
      ( vx cn c1 co caddc wcel wral wss wa cr adantr wbr adantl clt cv cdiv 1nn
      cmin cioo ciin cicc wrex ioossre oveq2 oveq2d oveq12d sseq1d rspcev mp2an
      wceq iinss ax-mp a1i simpr sseldd cle nfcv nfii1 nfel simpll iinss2 simpl
      nfv nfan adantll adantlr elioore nnrecre readdcld resubcld simplr ioogtlb
      cxr rexrd syl3anc ltsubaddd mpbid syl21anc ex ralrimi xrralrecnnle mpbird
      ltled iooltub eliccd ralrimiva sylibr crp nnrp rpdivcld ltsubrpd ltaddrpd
      dfss3 1rp iccssioo syl22anc ssiin eqssd ) ADHBIDUAZUBJZUDJZCXFKJZUEJZUFZB
      CUGJZAGUAZXKLZGXJMXJXKNAXMGXJAXLXJLZOZBCXLABPLZXNEQZACPLZXNFQZXOXJPXLXJPN
      ZXOXIPNZDHUHZXTIHLBIIUBJZUDJZCYCKJZUEJZPNZYBUCYDYEUIYAYGDIHXEIUPZXIYFPYHX
      GYDXHYEUEYHXFYCBUDXEIIUBUJZUKYHXFYCCKYIUKULUMUNUODHXIPUQURUSAXNUTVAZXOBXL
      VBRBXLXFKJZVBRZDHMXOYLDHAXNDADVIDXLXJDXLVCDHXIVDVEVJZXOXEHLZYLXOYNOZAXLXI
      LZYNYLAXNYNVFZXNYNYPAXNYNOXJXIXLYNXJXINXNDHXIVGSXNYNVHVAVKZXOYNUTZAYPOZYN
      OZBYKAYNXPYPAXPYNEQZVLZYPYNYKPLAYPYNOXLXFYPXLPLZYNXLXGXHVMQZYNXFPLZYPXEVN
      ZSVOVKUUAXGXLTRZBYKTRUUAXGVSLZXHVSLZYPUUHAYNUUIYPAYNOZXGUUKBXFUUBYNUUFAUU
      GSZVPVTZVLZAYNUUJYPUUKXHUUKCXFAXRYNFQZUULVOZVTZVLZAYPYNVQZXGXHXLVRWAUUABX
      FXLUUCYNUUFYTUUGSYPYNUUDAUUEVKZWBWCWIWDWEWFXOBXLDYMXOBXQVTYJWGWHXOXLCVBRX
      LXHVBRZDHMXOUVADHYMXOYNUVAYOAYPYNUVAYQYRYSUUAXLXHUUTAYNXHPLYPUUPVLUUAUUIU
      UJYPXLXHTRUUNUURUUSXGXHXLWJWAWIWDWEWFXOXLCDYMXOXLYJVTXSWGWHWKWLGXJXKWSWMA
      XKXINZDHMXKXJNAUVBDHUUKUUIUUJXGBTRCXHTRUVBUUMUUQUUKBXFUUBYNXFWNLAYNIXEIWN
      LYNWTUSXEWOWPSZWQUUKCXFUUOUVCWRXGXHBCXAXBWLDHXIXKXCWMXD $.
  $}

  ${
    iccgelbd.1 $e |- ( ph -> A e. RR* ) $.
    iccgelbd.2 $e |- ( ph -> B e. RR* ) $.
    iccgelbd.3 $e |- ( ph -> C e. ( A [,] B ) ) $.
    $( An element of a closed interval is more than or equal to its lower
       bound.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    iccgelbd $p |- ( ph -> A <_ C ) $=
      ( cxr wcel cicc co cle wbr iccgelb syl3anc ) ABHICHIDBCJKIBDLMEFGBCDNO $.
  $}

  ${
    iooltubd.1 $e |- ( ph -> A e. RR* ) $.
    iooltubd.2 $e |- ( ph -> B e. RR* ) $.
    iooltubd.3 $e |- ( ph -> C e. ( A (,) B ) ) $.
    $( An element of an open interval is less than its upper bound.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    iooltubd $p |- ( ph -> C < B ) $=
      ( cxr wcel cioo co clt wbr iooltub syl3anc ) ABHICHIDBCJKIDCLMEFGBCDNO $.
  $}

  ${
    icoltubd.1 $e |- ( ph -> A e. RR* ) $.
    icoltubd.2 $e |- ( ph -> B e. RR* ) $.
    icoltubd.3 $e |- ( ph -> C e. ( A [,) B ) ) $.
    $( An element of a left-closed right-open interval is less than its upper
       bound.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    icoltubd $p |- ( ph -> C < B ) $=
      ( cxr wcel cico co clt wbr icoltub syl3anc ) ABHICHIDBCJKIDCLMEFGBCDNO $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.
    qelioo.1 $e |- ( ph -> A e. RR* ) $.
    qelioo.2 $e |- ( ph -> B e. RR* ) $.
    qelioo.3 $e |- ( ph -> A < B ) $.
    $( The rational numbers are dense in ` RR* ` : any two extended real
       numbers have a rational between them.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    qelioo $p |- ( ph -> E. x e. QQ x e. ( A (,) B ) ) $=
      ( cv clt wbr wa cq wrex cioo co wcel cxr qbtwnxr syl3anc ad2antrr qre mpd
      cr ad2antlr simprl simprr eliood ex reximdva ) ACBHZIJZUJDIJZKZBLMZUJCDNO
      PZBLMACQPZDQPZCDIJUNEFGBCDRSAUMUOBLAUJLPZKZUMUOUSUMKCDUJAUPURUMETAUQURUMF
      TURUJUCPAUMUJUAUDUSUKULUEUSUKULUFUGUHUIUB $.
  $}

  ${
    $d A q $.
    tgqioo2.1 $e |- J = ( topGen ` ran (,) ) $.
    tgqioo2.2 $e |- ( ph -> A e. J ) $.
    $( Every open set of reals is the (countable) union of open interval with
       rational bounds.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    tgqioo2 $p |- ( ph -> E. q ( q C_ ( (,) " ( QQ X. QQ ) ) /\ A = U. q ) )
             $=
      ( cioo cq cxp cima ctg cfv wcel cv wss cuni wceq wa cvv ax-mp eqid tgqioo
      wex crn 3eqtri a1i eleqtrd wb iooex imaexg eltg3 sylib ) ABGHHIZJZKLZMZDN
      ZUNOBUQPQRDUCZABCUOFCUOQACGUDKLUOUOEUOUOUAZUBUSUEUFUGUNSMZUPURUHGSMUTUIGU
      MSUJTDBUNSUKTUL $.
  $}

  ${
    iccleubd.1 $e |- ( ph -> A e. RR* ) $.
    iccleubd.2 $e |- ( ph -> B e. RR* ) $.
    iccleubd.3 $e |- ( ph -> C e. ( A [,] B ) ) $.
    $( An element of a closed interval is less than or equal to its upper
       bound.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    iccleubd $p |- ( ph -> C <_ B ) $=
      ( cxr wcel cicc co cle wbr iccleub syl3anc ) ABHICHIDBCJKIDCLMEFGBCDNO $.
  $}

  ${
    elioored.1 $e |- ( ph -> A e. ( B (,) C ) ) $.
    $( A member of an open interval of reals is a real.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    elioored $p |- ( ph -> A e. RR ) $=
      ( cioo co wcel cr elioore syl ) ABCDFGHBIHEBCDJK $.
  $}

  ${
    ioogtlbd.1 $e |- ( ph -> A e. RR* ) $.
    ioogtlbd.2 $e |- ( ph -> B e. RR* ) $.
    ioogtlbd.3 $e |- ( ph -> C e. ( A (,) B ) ) $.
    $( An element of a closed interval is greater than its lower bound.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    ioogtlbd $p |- ( ph -> A < C ) $=
      ( cxr wcel cioo co clt wbr ioogtlb syl3anc ) ABHICHIDBCJKIBDLMEFGBCDNO $.
  $}

  $( ` (,) ` is a function.  (Contributed by Glauco Siliprandi,
     26-Jun-2021.) $)
  ioofun $p |- Fun (,) $=
    ( cxr cxp cr cpw cioo wf wfun ioof ffun ax-mp ) AABZCDZEFEGHKLEIJ $.
  ${
    $d A x $.  $d ph x $.
    icomnfinre.1 $e |- ( ph -> A e. RR* ) $.
    $( A left-closed, right-open, interval of extended reals, intersected with
       the Reals.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    icomnfinre $p |- ( ph -> ( ( -oo [,) A ) i^i RR ) = ( -oo (,) A ) ) $=
      ( vx cmnf cico co cr cin cioo cv wcel cxr mnfxr a1i adantr elinel2 adantl
      wa mnfltd elinel1 icoltubd eliood ssd wss ioossico ioossre ssini eqssd )
      AEBFGZHIZEBJGZADUKULADKZUKLZSZEBUMEMLUONOZABMLUNCPZUNUMHLAUMUJHQRZUOUMURT
      UOEBUMUPUQUNUMUJLAUMUJHUARUBUCUDULUKUEAULUJHEBUFEBUGUHOUI $.
  $}

  ${
    sqrlearg.1 $e |- ( ph -> A e. RR ) $.
    $( The square compared with its argument.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    sqrlearg $p |- ( ph -> ( ( A ^ 2 ) <_ A <-> A e. ( 0 [,] 1 ) ) ) $=
      ( co cle wbr cc0 c1 wcel wa cr 0re a1i clt simpr 1red adantr cmul mpbid
      wn c2 cexp cicc ltnled mpbird 0lt1 lttrd elrpd ltmul2dd wceq recnd sqvald
      mulid1d eqcomd breq12d syldan adantlr resqcld lenltd condan sqge0d eliccd
      letrd ex unitssre sseli rexrd id iccgelbd iccleubd lemul2ad adantl impbid
      cxr 0xr ) ABUAUBDZBEFZBGHUCDZIZAVQVSAVQJZGHBGKIZVTLMZAVQBHEFZHKIVTWCBVPNF
      ZAWCTZWDVQAWEHBNFZWDAWEJZWFWEAWEOWGHBWGPABKIZWECQUDUEAWFJZBHRDZBBRDZNFWDW
      IHBBWIPZAWHWFCQZWIBWMWIGHBWAWILMWLWMGHNFWIUFMAWFOZUGUHWNUIWIWJBWKVPNAWJBU
      JZWFABABCUKZUMZQAWKVPUJZWFAVPWKABWPULUNZQUOSUPUQVTWDTZWEVTVQWTAVQOZVTVPBA
      VPKIVQABCURQZAWHVQCQZUSSQUTZAWCJPUPXCVTGVPBWBXBXCVTBXCVAXAVCXDVBVDAVSVQAV
      SJZWKWJEFZVQVSXFAVSBHBVRKBVEVFZVSPZXGVSGHBGVNIVSVOMZVSHXHVGZVSVHZVIVSGHBX
      IXJXKVJVKVLXEWKVPWJBEAWRVSWSQAWOVSWQQUOSVDVM $.
  $}

  ${
    $d A x $.  $d I x $.  $d ph x $.
    ressiocsup.a $e |- ( ph -> A C_ RR ) $.
    ressiocsup.s $e |- S = sup ( A , RR* , < ) $.
    ressiocsup.e $e |- ( ph -> S e. A ) $.
    ressiocsup.5 $e |- I = ( -oo (,] S ) $.
    $( If the supremum belongs to a set of reals, the set is a subset of the
       unbounded below, right-closed interval, with upper bound equal to the
       supremum.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    ressiocsup $p |- ( ph -> A C_ I ) $=
      ( vx cv wcel wral wss wa cmnf cxr a1i cr adantr cle cioc mnfxr clt ressxr
      co sstrd supxrcld eqeltrid sselda simpr sseldd mnfltd wbr supxrub syl2anc
      csup wceq eqcomd breqtrd eliocd eleqtrrdi ralrimiva dfss3 sylibr ) AIJZDK
      ZIBLBDMAVFIBAVEBKZNZVEOCUAUEDVHOCVEOPKVHUBQVHCBPUCUPZPFVHBABPMZVGABRPERPM
      AUDQUFZSZUGUHABPVEVKUIVHVEVHBRVEABRMVGESAVGUJZUKULVHVEVICTVHVJVGVEVITUMVL
      VMBVEUNUOVHCVICVIUQVHFQURUSUTHVAVBIBDVCVD $.
  $}

  ${
    $d A x $.  $d I x $.  $d ph x $.
    ressioosup.a $e |- ( ph -> A C_ RR ) $.
    ressioosup.s $e |- S = sup ( A , RR* , < ) $.
    ressioosup.n $e |- ( ph -> -. S e. A ) $.
    ressioosup.i $e |- I = ( -oo (,) S ) $.
    $( If the supremum does not belong to a set of reals, the set is a subset
       of the unbounded below, right-open interval, with upper bound equal to
       the supremum.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    ressioosup $p |- ( ph -> A C_ I ) $=
      ( vx wcel wss wa cmnf cxr a1i cr adantr cle wceq eqcomd cv wral mnfxr clt
      cioo co ressxr sstrd supxrcld eqeltrid simpr sseldd mnfltd sselda supxrub
      csup syl2anc breqtrd id adantl simpl eqeltrd adantll wn ad2antrr pm2.65da
      wbr neqned xrleneltd eliood eleqtrrdi ralrimiva dfss3 sylibr ) AIUAZDJZIB
      UBBDKAVPIBAVOBJZLZVOMCUEUFDVRMCVOMNJVRUCOVRCBNUDUPZNFVRBABNKZVQABPNEPNKAU
      GOUHZQZUIUJZVRBPVOABPKVQEQAVQUKZULZVRVOWEUMVRVOCABNVOWAUNWCVRVOVSCRVRVTVQ
      VOVSRVGWBWDBVOUOUQVRCVSCVSSVRFOTURVRVOCVRVOCSZCBJZVQWFWGAVQWFLCVOBWFCVOSV
      QWFVOCWFUSTUTVQWFVAVBVCAWGVDVQWFGVEVFVHVIVJHVKVLIBDVMVN $.
  $}

  ${
    $d A n x $.  $d B n x $.  $d n ph x $.
    iooiinioc.1 $e |- ( ph -> A e. RR* ) $.
    iooiinioc.2 $e |- ( ph -> B e. RR ) $.
    $( A left-open, right-closed interval expressed as the indexed intersection
       of open intervals.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    iooiinioc $p |- ( ph -> |^|_ n e. NN ( A (,) ( B + ( 1 / n ) ) ) = ( A (,]
       B ) ) $=
      ( vx cn c1 cdiv co wcel wss wa adantr cr rexrd a1i wbr adantl cv cioo cxr
      caddc ciin cioc wral wrex 1nn wceq oveq2 oveq2d sseq1d rspcev mp2an iinss
      ioossre ax-mp sseldd clt 1red cc0 wne ax-1ne0 redivcld readdcld id eleq2d
      simpr eliind ioogtlb syl3anc cle nfcv nfii1 nfel nfan simpll iinss2 simpl
      nfv adantll elioore nnrecre adantlr simplr iooltub ltled syl21anc ralrimi
      ex xrralrecnnle mpbird eliocd ralrimiva dfss3 sylibr xrleidd crp 1rp nnrp
      rpdivcld ltaddrpd iocssioo syl22anc ssiin eqssd ) ADHBCIDUAZJKZUDKZUBKZUE
      ZBCUFKZAGUAZXMLZGXLUGXLXMMAXOGXLAXNXLLZNZBCXNABUCLZXPEOZXQCACPLZXPFOZQXQX
      NXQXLPXNXLPMZXQXKPMZDHUHZYBIHLZBCIIJKZUDKZUBKZPMZYDUIBYGUQYCYIDIHXHIUJZXK
      YHPYJXJYGBUBYJXIYFCUDXHIIJUKULULZUMUNUODHXKPUPURRAXPVIUSQZXQXRYGUCLZXNYHL
      ZBXNUTSXSAYMXPAYGACYFFAIIAVAZYOIVBVCAVDRVEVFQOXPYNAXPDXNHXKYHIXPVGYEXPUIR
      YJXKYHXNYKVHVJTBYGXNVKVLXQXNCVMSXNXJVMSZDHUGXQYPDHAXPDADWADXNXLDXNVNDHXKV
      OVPVQZXQXHHLZYPXQYRNAXNXKLZYRYPAXPYRVRXPYRYSAXPYRNXLXKXNYRXLXKMXPDHXKVSTX
      PYRVTUSWBXQYRVIAYSNYRNZXNXJYSYRXNPLZAYSUUAYRXNBXJWCOWBAYRXJPLYSAYRNZCXIAX
      TYRFOZYRXIPLAXHWDTVFZWEYTXRXJUCLZYSXNXJUTSAYRXRYSAXRYREOZWEAYRUUEYSUUBXJU
      UDQZWEAYSYRWFBXJXNWGVLWHWIWKWJXQXNCDYQYLYAWLWMWNWOGXLXMWPWQAXMXKMZDHUGXMX
      LMAUUHDHUUBXRUUEBBVMSZCXJUTSUUHUUFUUGAUUIYRABEWROUUBCXIUUCYRXIWSLAYRIXHIW
      SLYRWTRXHXAXBTXCBXJBCXDXEWODHXKXMXFWQXG $.
  $}

  ${
    $d A x $.  $d I x $.  $d ph x $.
    ressiooinf.a $e |- ( ph -> A C_ RR ) $.
    ressiooinf.s $e |- S = inf ( A , RR* , < ) $.
    ressiooinf.n $e |- ( ph -> -. S e. A ) $.
    ressiooinf.i $e |- I = ( S (,) +oo ) $.
    $( If the infimum does not belong to a set of reals, the set is a subset of
       the unbounded above, left-open interval, with lower bound equal to the
       infimum.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    ressiooinf $p |- ( ph -> A C_ I ) $=
      ( vx cv wcel wss wa cpnf cxr cr a1i adantr cle wceq wral cioo co clt cinf
      ressxr sstrd infxrcld eqeltrid pnfxr simpr sseldd sselda infxrlb eqbrtrid
      wbr syl2anc id eqcomd adantl simpl eqeltrd adantll ad2antrr neqned necomd
      wn pm2.65da xrleneltd ltpnfd eliood eleqtrrdi ralrimiva dfss3 sylibr ) AI
      JZDKZIBUABDLAVQIBAVPBKZMZVPCNUBUCDVSCNVPVSCBOUDUEZOFVSBABOLZVRABPOEPOLAUF
      QUGZRZUHUIZNOKVSUJQVSBPVPABPLVRERAVRUKZULZVSCVPWDABOVPWBUMVSCVTVPSFVSWAVR
      VTVPSUPWCWEBVPUNUQUOVSVPCVSVPCVSVPCTZCBKZVRWGWHAVRWGMCVPBWGCVPTVRWGVPCWGU
      RUSUTVRWGVAVBVCAWHVGVRWGGVDVHVEVFVIVSVPWFVJVKHVLVMIBDVNVO $.
  $}

  ${
    icogelbd.1 $e |- ( ph -> A e. RR* ) $.
    icogelbd.2 $e |- ( ph -> B e. RR* ) $.
    icogelbd.3 $e |- ( ph -> C e. ( A [,) B ) ) $.
    $( An element of a left-closed right-open interval is greater than or equal
       to its lower bound.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    icogelbd $p |- ( ph -> A <_ C ) $=
      ( cxr wcel cico co cle wbr icogelb syl3anc ) ABHICHIDBCJKIBDLMEFGBCDNO $.
  $}

  ${
    iocleubd.1 $e |- ( ph -> A e. RR* ) $.
    iocleubd.2 $e |- ( ph -> B e. RR* ) $.
    iocleubd.3 $e |- ( ph -> C e. ( A (,] B ) ) $.
    $( An element of a left-open right-closed interval is smaller than or equal
       to its upper bound.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    iocleubd $p |- ( ph -> C <_ B ) $=
      ( cxr wcel cioc co cle wbr iocleub syl3anc ) ABHICHIDBCJKIDCLMEFGBCDNO $.
  $}

  ${
    $d M k $.  $d Z k $.  $d k ph $.
    uzinico.1 $e |- ( ph -> M e. ZZ ) $.
    uzinico.2 $e |- Z = ( ZZ>= ` M ) $.
    $( An upper interval of integers is the intersection of the integers with
       an upper part of the reals.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    uzinico $p |- ( ph -> Z = ( ZZ i^i ( M [,) +oo ) ) ) $=
      ( vk wcel cz cpnf wa adantl cxr adantr pnfxr a1i cr zssre sselid wbr ex
      cv cico co cin wb wal wceq eluzelz2 rexrd ressxr sstri cle cuz cfv eleq2i
      zred biimpi eluzle syl ltpnfd elicod elind elinel1 elinel2 simpr icogelbd
      clt syldan eluzd impbid alrimiv dfcleq sylibr ) AFUAZCGZVNHBIUBUCZUDZGZUE
      ZFUFCVQUGAVSFAVOVRAVOVRAVOJZHVPVNVOVNHGZABVNCEUHZKVTBIVNABLGZVOABABDUPUIZ
      MILGZVTNOVOVNLGAVOHLVNHPLQUJUKWBRKVOBVNULSZAVOVNBUMUNZGZWFVOWHCWGVNEUOUQB
      VNURUSKVOVNIVGSAVOVNVOHPVNQWBRUTKVAVBTAVRVOAVRJBVNCEABHGVRDMVRWAAVNHVPVCK
      AVRVNVPGZWFVRWIAVNHVPVDKAWIJZBIVNAWCWIWDMWEWJNOAWIVEVFVHVITVJVKFCVQVLVM
      $.
  $}

  ${
    $d A x $.  $d B x $.  $d F x $.  $d ph x $.
    preimaiocmnf.1 $e |- ( ph -> F : A --> RR ) $.
    preimaiocmnf.2 $e |- ( ph -> B e. RR* ) $.
    $( Preimage of a right-closed interval, unbounded below.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    preimaiocmnf $p |- ( ph -> ( `' F " ( -oo (,] B ) ) = { x e. A | ( F ` x )
       <_ B } ) $=
      ( ccnv cmnf wcel crab wbr cr wa cxr mnfxr a1i adantr simpr ex cioc co cfv
      cima cv cle wfn wceq ffnd fncnvima2 syl wi iocleubd adantlr ffvelrnda clt
      rexrd mnfltd eliocd impbid rabbidva eqtrd ) AEHIDUAUBZUDZBUEZEUCZVCJZBCKZ
      VFDUFLZBCKAECUGVDVHUHACMEFUIBCVCEUJUKAVGVIBCAVECJZNZVGVIAVGVIULVJAVGVIAVG
      NZIDVFIOJZVLPQADOJZVGGRAVGSUMTRVKVIVGVKVINZIDVFVMVOPQAVIVNVJAVNVIGRUNVKVF
      OJVIVKVFACMVEEFUOZUQRVKIVFUPLVIVKVFVPURRVKVISUSTUTVAVB $.
  $}

  ${
    uzinico2.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    $( An upper interval of integers is the intersection of a larger upper
       interval of integers with an upper part of the reals.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    uzinico2 $p |- ( ph -> ( ZZ>= ` N ) = ( ( ZZ>= ` M ) i^i ( N [,) +oo ) ) )
                $=
      ( cuz cfv cz cin cpnf cico co wceq inass a1i incom wss uzssz eqcomd df-ss
      mpbi sseldd eqid uzinico ineq1d uzssd sylib 3eqtrd 3eqtrrd ineq1i 3eqtr3d
      ) ACEFZGHZBEFZGHZCIJKZHZUKUMUOHZAUPUMGUOHZHZUKULUPUSLAUMGUOMNAUSURUMHZUKU
      MHZUKUSUTLAUMURONAURUKUMAUKURACUKAUMGCUMGPZABQZNDUAUKUBUCRUDAUKUMPVAUKLAB
      CDUEUKUMSUFUGAULUKULUKLZAUKGPVDCQUKGSTNZRUHVEUPUQLAUNUMUOVBUNUMLVCUMGSTUI
      NUJ $.
  $}

  ${
    uzinico3.1 $e |- ( ph -> M e. ZZ ) $.
    uzinico3.2 $e |- Z = ( ZZ>= ` M ) $.
    $( An upper interval of integers doesn't change when it's intersected with
       a left-closed, unbounded above interval, with the same lower bound.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    uzinico3 $p |- ( ph -> Z = ( Z i^i ( M [,) +oo ) ) ) $=
      ( cpnf cico co cin wceq cuz cfv uzidd uzinico2 a1i ineq1d eqeq12d mpbird
      ) ACCBFGHZIZJBKLZUASIZJABBABDMNACUATUBCUAJAEOZACUASUCPQR $.
  $}

  ${
    icossico2.1 $e |- ( ph -> B e. RR* ) $.
    icossico2.2 $e |- ( ph -> C e. RR* ) $.
    icossico2.3 $e |- ( ph -> B <_ A ) $.
    $( Condition for a closed-below, open-above interval to be a subset of a
       closed-below, open-above interval.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    icossico2 $p |- ( ph -> ( A [,) C ) C_ ( B [,) C ) ) $=
      ( cxr wcel cle wbr cico co wss xrleidd icossico syl22anc ) ACHIDHICBJKDDJ
      KBDLMCDLMNEFGADFOCDBDPQ $.
  $}

  ${
    $d x y z $.
    $( The domain of the closed-below, open-above interval function.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    dmico $p |- dom [,) = ( RR* X. RR* ) $=
      ( vx vy vz cxr cxp cpw cico cle clt df-ico ixxf fdmi ) DDEDFGABCHIGABCJKL
      $.
  $}

  $( The closed-below, open-above interval function's value is empty outside of
     its domain.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
  ndmico $p |- ( -. ( A e. RR* /\ B e. RR* ) -> ( A [,) B ) = (/) ) $=
    ( cxr cico dmico ndmov ) ABCDEF $.
  ${
    $d M k $.  $d X k $.  $d Z k $.
    uzubioo.1 $e |- ( ph -> M e. ZZ ) $.
    uzubioo.2 $e |- Z = ( ZZ>= ` M ) $.
    uzubioo.3 $e |- ( ph -> X e. RR ) $.
    $( The upper integers are unbounded above.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    uzubioo $p |- ( ph -> E. k e. ( X (,) +oo ) k e. Z ) $=
      ( cceil cfv c1 co cle wbr cpnf wcel cr zred ifcld syl2anc caddc cioo wrex
      cif cv rexrd cxr pnfxr ceilcld 1zzd zaddcld ceilged ltp1d lelttrd ltletrd
      a1i max2d ltpnfd eliood cz max1 eluzd eleq1 rspcev ) ACDIJZKUALZMNZVFCUDZ
      DOUBLZPVHEPZBUEZEPZBVIUCADOVHADHUFOUGPAUHUPAVGVFCQAVFAVEKADHUIZAUJUKZRZAC
      FRZSZADVFVHHVOVQADVEVFHAVEVMRZVOADHULAVEVRUMUNACVFVPVOUQUOAVHVQURUSACVHEG
      FAVGVFCUTVNFSACQPVFQPCVHMNVPVOCVFVATVBVLVJBVHVIVKVHEVCVDT $.
  $}

  ${
    $d M k $.  $d X k $.  $d Z k $.
    uzubico.1 $e |- ( ph -> M e. ZZ ) $.
    uzubico.2 $e |- Z = ( ZZ>= ` M ) $.
    uzubico.3 $e |- ( ph -> X e. RR ) $.
    $( The upper integers are unbounded above.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    uzubico $p |- ( ph -> E. k e. ( X [,) +oo ) k e. Z ) $=
      ( cv wcel cpnf cioo co wrex cico uzubioo wss wi ioossico ssrexv ax-mp syl
      ) ABIEJZBDKLMZNZUCBDKOMZNZABCDEFGHPUDUFQUEUGRDKSUCBUDUFTUAUB $.
  $}

  ${
    $d M k $.  $d Z k x y $.  $d ph y $.
    uzubioo2.1 $e |- ( ph -> M e. ZZ ) $.
    uzubioo2.2 $e |- Z = ( ZZ>= ` M ) $.
    $( The upper integers are unbounded above.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    uzubioo2 $p |- ( ph -> A. x e. RR E. k e. ( x (,) +oo ) k e. Z ) $=
      ( vy cv wcel cpnf cioo co wrex cr wral wa cz adantr simpr ralrimiva oveq1
      uzubioo wceq rexeqdv cbvralvw sylibr ) ACIEJZCHIZKLMZNZHOPUHCBIZKLMZNZBOP
      AUKHOAUIOJZQCDUIEADRJUOFSGAUOTUCUAUNUKBHOULUIUDUHCUMUJULUIKLUBUEUFUG $.
  $}

  ${
    $d M k $.  $d Z k x $.
    uzubico2.1 $e |- ( ph -> M e. ZZ ) $.
    uzubico2.2 $e |- Z = ( ZZ>= ` M ) $.
    $( The upper integers are unbounded above.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    uzubico2 $p |- ( ph -> A. x e. RR E. k e. ( x [,) +oo ) k e. Z ) $=
      ( cv wcel cpnf cioo co wrex cr wral cico uzubioo2 wss wi ioossico ssrexv
      ax-mp ralimi syl ) ACHEIZCBHZJKLZMZBNOUECUFJPLZMZBNOABCDEFGQUHUJBNUGUIRUH
      UJSUFJTUECUGUIUAUBUCUD $.
  $}

  ${
    iocgtlbd.1 $e |- ( ph -> A e. RR* ) $.
    iocgtlbd.2 $e |- ( ph -> B e. RR* ) $.
    iocgtlbd.3 $e |- ( ph -> C e. ( A (,] B ) ) $.
    $( An element of a left-open right-closed interval is larger than its lower
       bound.  (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    iocgtlbd $p |- ( ph -> A < C ) $=
      ( cxr wcel cioc co clt wbr iocgtlb syl3anc ) ABHICHIDBCJKIBDLMEFGBCDNO $.
  $}

  $( The topology on the extended reals coincides with the standard topology on
     the reals, when restricted to ` RR ` .  (Contributed by Glauco Siliprandi,
     5-Feb-2022.) $)
  xrtgioo2 $p |- ( topGen ` ran (,) ) = ( ( ordTop ` <_ ) |`t RR ) $=
    ( cle cordt cfv cr crest co eqid xrtgioo ) ABCDEFZIGH $.
  $( The standard topology on the reals is a subspace of the complex metric
     topology.  (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
  tgioo4 $p |- ( topGen ` ran (,) ) = ( ( TopOpen ` CCfld ) |`t RR ) $=
    ( ccnfld ctopn cfv eqid tgioo2 ) ABCZFDE $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Finite sums
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A j k $.  $d B j $.  $d C j k $.  $d j ph $.
    fsummulc1f.ph $e |- F/ k ph $.
    fsummulclf.a $e |- ( ph -> A e. Fin ) $.
    fsummulclf.c $e |- ( ph -> C e. CC ) $.
    fsummulclf.b $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    $( Closure of a finite sum of complex numbers ` A ( k ) ` .  A version of
       ~ fsummulc1 using bound-variable hypotheses instead of distinct variable
       conditions.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    fsummulc1f $p |- ( ph -> ( sum_ k e. A B x. C ) = sum_ k e. A ( B x. C ) )
       $=
      ( vj csu cmul co cv wceq nfcv cbvsum wcel cc wi csbeq1a nfcsb1v oveq1i wa
      csb a1i nfv nfan nfel1 nfim eleq1w anbi2d imbi12d chvarfv fsummulc1 eqcom
      eleq1d imbi1i imbi2i bitri mpbi oveq1d nfov 3eqtrd ) ABCEKZDLMZBEJNZCUEZJ
      KZDLMZBVHDLMZJKZBCDLMZEKZVFVJOAVEVIDLBCVHEJEVGCUAZJBPZEBPZJCPEVGCUBZQUCUF
      ABVHDJGHAENZBRZUDZCSRZTAVGBRZUDZVHSRZTEJWDWEEAWCEFWCEUGUHEVHSVRUIUJVSVGOZ
      WAWDWBWEWFVTWCAEJBUKULWFCVHSVOUQUMIUNUOVLVNOABVKVMJEVGVSOZVHCDLWFCVHOZTZW
      GVHCOZTZVOWIWGWHTWKWFWGWHVSVGUPURWHWJWGCVHUPUSUTVAVBVQVPEVHDLVRELPEDPVCJV
      MPQUFVD $.
  $}

  ${
    $d A j k $.  $d B j $.  $d j k ph $.
    fsumnncl.an0 $e |- ( ph -> A =/= (/) ) $.
    fsumnncl.afi $e |- ( ph -> A e. Fin ) $.
    fsumnncl.b $e |- ( ( ph /\ k e. A ) -> B e. NN ) $.
    $( Closure of a nonempty, finite sum of positive integers.  (Contributed by
       Glauco Siliprandi, 5-Apr-2020.) $)
    fsumnncl $p |- ( ph -> sum_ k e. A B e. NN ) $=
      ( vj csu cn0 wcel cc0 clt wbr wa cn cv fsumnn0cl adantr cc nnnn0d wex wne
      c0 n0 sylib csn cdif csb caddc co 0red nfv nfcsb1v nfel1 nfim wceq eleq1w
      wi anbi2d csbeq1a eleq1d imbi12d chvarfv nnred readdcld cr cfn syl eldifi
      diffi adantl syldan nn0red nnrpd ltaddrpd cle nn0ge0d ltletrd cun difsnid
      eqcomd sumeq1d simpr neldifsnd simpl syl2anc nncnd adantlr wss nnsscn a1i
      leadd1dd sseldd fsumsplitsn eqtr2d breqtrd ex exlimdv mpd elnnnn0b sylibr
      jca ) ABCDIZJKZLXDMNZOXDPKAXEXFABCDFADQZBKZOZCGUAZRAHQZBKZHUBZXFABUDUCXME
      HBUEUFAXLXFHAXLXFAXLOZLBXKUGZUHZCDIZDXKCUIZUJUKZXDMXNLLXRUJUKXSXNULZXNLXR
      XTXNXRXICPKZUSXNXRPKZUSDHXNYBDXNDUMZDXRPDXKCUNZUOUPXGXKUQZXIXNYAYBYEXHXLA
      DHBURUTYECXRPDXKCVAZVBVCGVDZVEZVFXNXQXRAXQVGKXLAXQAXPCDABVHKXPVHKZFBXOVKV
      IZAXGXPKZXHCJKYKXHAXGBXOVJVLZXJVMRZVNSZYHVFXNLXRXTXNXRYGVOVPXNLXQXRXTYNYH
      ALXQVQNXLAXQYMVRSWMVSXNXDXPXOVTZCDIXSXNBYOCDXNYOBXLYOBUQABXKWAVLWBWCXNXPX
      KCXRDBYCYDAYIXLYJSAXLWDXNXKBWEAYKCTKXLAYKOZCYPAXHYAAYKWFYLGWGWHWIYFXNPTXR
      PTWJXNWKWLYGWNWOWPWQWRWSWTXCXDXAXB $.
  $}

  ${
    $d A k $.  $d k ph $.
    fsumge0cl.a $e |- ( ph -> A e. Fin ) $.
    fsumge0cl.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,) +oo ) ) $.
    $( The finite sum of nonnegative reals is a nonnegative real.  (Contributed
       by Glauco Siliprandi, 17-Aug-2020.) $)
    fsumge0cl $p |- ( ph -> sum_ k e. A B e. ( 0 [,) +oo ) ) $=
      ( cc0 cpnf csu cxr wcel 0xr a1i pnfxr cv wa cico co cr rge0ssre rexrd cle
      sselid fsumrecl wbr icogelb syl3anc fsumge0 ltpnfd elicod ) AGHBCDIZGJKZA
      LMHJKZANMAUKABCDEADOBKPZGHQRZSCTFUCZUDZUAABCDEUPUNULUMCUOKGCUBUEULUNLMUMU
      NNMFGHCUFUGUHAUKUQUIUJ $.
  $}

  ${
    $d A i j k $.  $d B i j n $.  $d C j n $.  $d D i j k $.  $d F j n $.
    $d G i k $.  $d i j ph $.  $d k n $.
    fsumf1of.1 $e |- F/ k ph $.
    fsumf1of.2 $e |- F/ n ph $.
    fsumf1of.3 $e |- ( k = G -> B = D ) $.
    fsumf1of.4 $e |- ( ph -> C e. Fin ) $.
    fsumf1of.5 $e |- ( ph -> F : C -1-1-onto-> A ) $.
    fsumf1of.6 $e |- ( ( ph /\ n e. C ) -> ( F ` n ) = G ) $.
    fsumf1of.7 $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    $( Re-index a finite sum using a bijection.  Same as ~ fsumf1o , but using
       bound-variable hypotheses instead of distinct variable conditions.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    fsumf1of $p |- ( ph -> sum_ k e. A B = sum_ n e. C D ) $=
      ( vi vj wceq nfcv csu cv csb csbeq1a nfcsb1v cbvsum a1i wi nfv nfeq eqeq1
      nfim eqeq1d imbi12d eqeq2d chvarfv wcel wa cfv nfan eleq1w anbi2d eqeq12d
      fveq2 cc nfel1 eleq1d fsumf1o eqcomi 3eqtrd ) ABCFUAZBFQUBZCUCZQUAZDGRUBZ
      EUCZRUAZDEGUAZVKVNSABCVMFQFVLCUDZQBTFBTQCTFVLCUEZUFUGABVMDVPQRHGVOIUCZFUB
      ZWASZCVPSZUHZVLWASZVMVPSZUHFQWFWGFWFFUIFVMVPVTFVPTUJULWBVLSZWCWFWDWGWBVLW
      AUKWHCVMVPVSUMUNWBISZCESZUHWEGRWCWDGGWBWAGWBTGVOIUEZUJGCVPGCTGVOEUEZUJULG
      UBZVOSZWIWCWJWDWNIWAWBGVOIUDZUOWNEVPCGVOEUDZUOUNLUPUPMNAWMDUQZURZWMHUSZIS
      ZUHAVODUQZURZVOHUSZWASZUHGRXBXDGAXAGKXAGUIUTGXCWAGXCTWKUJULWNWRXBWTXDWNWQ
      XAAGRDVAVBWNWSXCIWAWMVOHVDWOVCUNOUPAWBBUQZURZCVEUQZUHAVLBUQZURZVMVEUQZUHF
      QXIXJFAXHFJXHFUIUTFVMVEVTVFULWHXFXIXGXJWHXEXHAFQBVAVBWHCVMVEVSVGUNPUPVHVQ
      VRSAVRVQDEVPGRWPRDTGDTRETWLUFVIUGVJ $.
  $}

  ${
    $d A k x y $.  $d A x y z $.  $d B k y $.  $d B y z $.  $d C x y $.
    $d D k x y $.  $d D x y z $.  $d V x $.  $d k ph x y $.
    fsumiunss.b $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    fsumiunss.dj $e |- ( ph -> Disj_ x e. A B ) $.
    fsumiunss.c $e |- ( ( ph /\ x e. A /\ k e. B ) -> C e. CC ) $.
    fsumiunss.fi $e |- ( ph -> D e. Fin ) $.
    $( Sum over a disjoint indexed union, intersected with a finite set ` D ` .
       Similar to ~ fsumiun , but here ` A ` and ` B ` need not be finite.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    fsumiunss $p |- ( ph -> sum_ k e. U_ x e. A ( B i^i D ) C = sum_ x e. { x
       e. A | ( B i^i D ) =/= (/) } sum_ k e. ( B i^i D ) C ) $=
      ( vy csu c0 wceq nfcv a1i wcel wi vz cin ciun cv csb crab nfcsb1v csbeq1a
      wne nfin ineq1d cbviun sumeq1i wss wral wrex wa eliun biimpi df-rex sylib
      wex nfiu1 nfel simpl ne0i adantl jca nfci nfne neeq1d elrabf sylibr simpr
      nfv eximd rgen dfss3 mpbir elrabi ssriv iunss1 ax-mp eqssi disjinfi inss2
      mpd cfn ssfi syl2anc adantr wdisj inss1 rgenw eqcom imbi1i imbi2i cbvdisj
      bitri mpbi disjss2 sylc disjss1 cc ad2antrl sseli w3a nf3an eleq1w eleq2d
      3anbi23d imbi1d chvarfv syl3anc fsumiun sumeq1d nfrab1 nfsum cbvsum eqtrd
      nfim 3eqtrd ) ABCDFUBZUCZEGNZMCBMUDZDUEZFUBZUCZEGNZMYCOUIZBCUFZYHUCZEGNZY
      LYCEGNZBNZYEYJPAYDYIEGBMCYCYHMYCQBYGFBYFDUGZBFQUJZBUDZYFPZDYGFBYFDUHZUKZU
      LUMRYJYNPAYIYMEGYIYMYIYMUNUAUDZYMSZUAYIUOUUDUAYIUUCYISZUUCYHSZMYLUPZUUDUU
      EYFYLSZUUFUQZMVBZUUGUUEYFCSZUUFUQZMVBZUUJUUEUUFMCUPZUUMUUEUUNMUUCCYHURUSU
      UFMCUTVAUUEUULUUIMMUUCYIMUUCQMCYHVCVDUULUUITUUEUULUUHUUFUULUUKYHOUIZUQUUH
      UULUUKUUOUUKUUFVEUUFUUOUUKYHUUCVFVGVHYKUUOBYFCBYFQBMCUUKBVOZVIBYHOYRBOQVJ
      YTYCYHOUUBVKVLVMUUKUUFVNVHRVPWGUUFMYLUTVMMUUCYLYHURVMVQUAYIYMVRVSYLCUNZYM
      YIUNMYLCYKBYFCVTZWAZMYLCYHWBWCWDUMRAYNYLYHEGNZMNZYPAMYLYHEGABCDFHIJLWEAYH
      WHSZUUHAFWHSYHFUNZUVBLUVCAYGFWFRFYHWIWJWKAUUQMCYHWLZMYLYHWLUUQAUUSRAYHYGU
      NZMCUOZMCYGWLZUVDUVFAUVEMCYGFWMZWNRABCDWLUVGJMBCYGDYQMDQYTDYGPZTZYFYSPZYG
      DPZTZUUAUVJUVKUVITUVMYTUVKUVIYSYFWOWPUVIUVLUVKDYGWOWQWSWTZWRVMMCYHYGXAXBM
      YLCYHXCXBAUUHGUDZYHSZUQZUQAUUKUVOYGSZEXDSZAUVQVEUUHUUKAUVPUURXEUVQUVRAUVP
      UVRUUHYHYGUVOUVHXFVGVGAYSCSZUVODSZXGZUVSTAUUKUVRXGZUVSTBMUWCUVSBAUUKUVRBA
      BVOUUPBUVOYGBUVOQYQVDXHUVSBVOYAYTUWBUWCUVSYTUVTUUKUWAUVRABMCXIYTDYGUVOUUA
      XJXKXLKXMXNXOUVAYPPAYLUUTYOMBUVKYHYCEGUVKYGDFUVNUKXPYKBCXQMYLQBYHEGYRBEQX
      RMYOQXSRXTYB $.
  $}

  ${
    $d A j k $.  $d B j $.  $d j ph $.
    fsumreclf.k $e |- F/ k ph $.
    fsumreclf.a $e |- ( ph -> A e. Fin ) $.
    fsumreclf.b $e |- ( ( ph /\ k e. A ) -> B e. RR ) $.
    $( Closure of a finite sum of reals.  (Contributed by Glauco Siliprandi,
       21-Nov-2020.) $)
    fsumreclf $p |- ( ph -> sum_ k e. A B e. RR ) $=
      ( vj csu cv csb cr wceq csbeq1a nfcv nfcsb1v cbvsum wcel wa wi nfan nfel1
      a1i nfv nfim eleq1w anbi2d eleq1d imbi12d chvarfv fsumrecl eqeltrd ) ABCD
      IZBDHJZCKZHIZLUMUPMABCUODHDUNCNZHBODBOHCODUNCPZQUCABUOHFADJZBRZSZCLRZTAUN
      BRZSZUOLRZTDHVDVEDAVCDEVCDUDUADUOLURUBUEUSUNMZVAVDVBVEVFUTVCADHBUFUGVFCUO
      LUQUHUIGUJUKUL $.
  $}

  ${
    $d A j k $.  $d B j $.  $d C j k $.  $d j ph $.
    fsumlessf.k $e |- F/ k ph $.
    fsumge0.a $e |- ( ph -> A e. Fin ) $.
    fsumge0.b $e |- ( ( ph /\ k e. A ) -> B e. RR ) $.
    fsumge0.l $e |- ( ( ph /\ k e. A ) -> 0 <_ B ) $.
    fsumless.c $e |- ( ph -> C C_ A ) $.
    $( A shorter sum of nonnegative terms is smaller than a longer one.
       (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    fsumlessf $p |- ( ph -> sum_ k e. C B <_ sum_ k e. A B ) $=
      ( vj cv csu cle wbr wcel cr wi cc0 nfcv csb wa nfv nfan nfcsb1v nfim wceq
      nfel1 eleq1w anbi2d csbeq1a eleq1d imbi12d chvarfv breq2d fsumless cbvsum
      nfbr breq12i sylibr ) ADEKLZCUAZKMZBVBKMZNODCEMZBCEMZNOABVBDKGAELZBPZUBZC
      QPZRAVABPZUBZVBQPZREKVLVMEAVKEFVKEUCUDZEVBQEVACUEZUHUFVGVAUGZVIVLVJVMVPVH
      VKAEKBUIUJZVPCVBQEVACUKZULUMHUNVISCNOZRVLSVBNOZREKVLVTEVNESVBNESTENTVOURU
      FVPVIVLVSVTVQVPCVBSNVRUOUMIUNJUPVEVCVFVDNDCVBEKVRKDTEDTKCTZVOUQBCVBEKVRKB
      TEBTWAVOUQUSUT $.
  $}

  ${
    $d A k $.  $d F k $.  $d k ph $.
    fsumsupp0.a $e |- ( ph -> A e. Fin ) $.
    fsumsupp0.f $e |- ( ph -> F : A --> CC ) $.
    $( Finite sum of function values, for a function of finite support.
       (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    fsumsupp0 $p |- ( ph -> sum_ k e. ( F supp 0 ) ( F ` k ) = sum_ k e. A ( F
       ` k ) ) $=
      ( cc0 csupp co cv cfv wne cfn wcel cr wceq cc wa adantr wn crab ffnd 0red
      wfn suppvalfn syl3anc ssrab2 eqsstrdi sselda ffvelrnd eldifi neqne adantl
      wf jca rabid sylibr adantll eleq2d ad2antrr mpbird eldifn ad2antlr condan
      cdif wb fsumss ) ADGHIZBCJZDKZCAVHVJGLZCBUAZBADBUDBMNGONVHVLPABQDFUBEAUCC
      DMOBGUEUFZVKCBUGUHZAVIVHNZRBQVIDABQDUNVOFSAVHBVIVNUIUJAVIBVHVENZRZVJGPZVO
      VQVRTZRVOVIVLNZVPVSVTAVPVSRZVIBNZVKRVTWAWBVKVPWBVSVIBVHUKSVSVKVPVJGULUMUO
      VKCBUPUQURAVOVTVFVPVSAVHVLVIVMUSUTVAVPVOTAVSVIBVHVBVCVDEVG $.
  $}

  ${
    $d A j m $.  $d A m n $.  $d A j x $.  $d F m $.  $d G m $.  $d M j k m $.
    $d M k m n $.  $d M j k x $.  $d Z j k m $.  $d Z k m n $.  $d Z j k x $.
    $d j k m ph $.  $d ph x $.
    fsumsermpt.m $e |- ( ph -> M e. ZZ ) $.
    fsumsermpt.z $e |- Z = ( ZZ>= ` M ) $.
    fsumsermpt.a $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
    fsumsermpt.f $e |- F = ( n e. Z |-> sum_ k e. ( M ... n ) A ) $.
    fsumsermpt.g $e |- G = seq M ( + , ( k e. Z |-> A ) ) $.
    $( A finite sum expressed in terms of a partial sum of an infinite series.
       (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    fsumsermpt $p |- ( ph -> F = G ) $=
      ( vm vj cv cc wcel wa wceq vx cfz csu wral wfn fzfid simpl cuz cfv elfzuz
      co eleqtrrdi adantl syl2anc fsumcl adantr ralrimiva oveq2 sumeq1d cbvmptv
      cmpt eqtri fnmpt syl caddc cseq csb simpr wi nfv nfcv nfcsb1 nfel1 eleq1w
      nfim anbi2d csbeq1a eleq1d imbi12d chvarfv eqid fvmptf eqeltrd addcl seqf
      ffnd fneq1d mpbird fvmpt2 cbvsum eqtrd adantlr id eleqtrdi fsumser fveq1i
      a1i eqcomi 3eqtrd eqfnfvd ) ANHEFAGNPZUBUKZBCUCZQRZNHUDEHUEAXDNHAXDXAHRZA
      XBBCAGXAUFACPZXBRZSAXFHRZBQRZAXGUGXGXHAXGXFGUHUIZHXFGXAUJJULUMKUNUOUPZUQN
      HXCEQEDHGDPZUBUKZBCUCZVANHXCVALDNHXNXCXLXATXMXBBCXLXAGUBURUSUTVBZVCVDAFHU
      EVECHBVAZGVFZHUEAHQXQAOUAVEQXPGHJIAOPZHRZSZXRXPUIZCXRBVGZQXTXSYBQRZYAYBTZ
      AXSVHAXHSZXIVIXTYCVICOXTYCCXTCVJCYBQCXRBCXRVKZVLZVMVOXFXRTZYEXTXIYCYHXHXS
      ACOHVNVPYHBYBQCXRBVQZVRVSKVTZCXRBYBHXPQYFYGYIXPWAWBUNZYJWCXRQRUAPZQRSXRYL
      VEUKQRAXRYLWDUMWEWFAHFXQFXQTAMWQWGWHAXESZXAEUIZXBYBOUCZXAXQUIZXAFUIZYMYNX
      CYOYMXEXDYNXCTAXEVHXKNHXCQEXOWIUNXCYOTYMXBBYBCOYIOXBVKCXBVKOBVKYGWJWQWKYM
      YBOXPGXAAXRXBRZYDXEAYRSZAXSYDAYRUGZYRXSAYRXRXJHXRGXAUJJULUMZYKUNWLXEXAXJR
      AXEXAHXJXEWMJWNUMAYRYCXEYSAXSYCYTUUAYJUNWLWOYPYQTYMYQYPXAFXQMWPWRWQWSWT
      $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Finite multiplication of numbers and finite multiplication of functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d i j k L $.  $d i j k M $.  $d j k l A $.  $d j k l ph $.  $d k l B $.
    $d k K $.  $d l L $.  $d l M $.
    fmul01.1 $e |- F/_ i B $.
    fmul01.2 $e |- F/ i ph $.
    fmul01.3 $e |- A = seq L ( x. , B ) $.
    fmul01.4 $e |- ( ph -> L e. ZZ ) $.
    fmul01.5 $e |- ( ph -> M e. ( ZZ>= ` L ) ) $.
    fmul01.6 $e |- ( ph -> K e. ( L ... M ) ) $.
    fmul01.7 $e |- ( ( ph /\ i e. ( L ... M ) ) -> ( B ` i ) e. RR ) $.
    fmul01.8 $e |- ( ( ph /\ i e. ( L ... M ) ) -> 0 <_ ( B ` i ) ) $.
    fmul01.9 $e |- ( ( ph /\ i e. ( L ... M ) ) -> ( B ` i ) <_ 1 ) $.
    $( Multiplying a finite number of values in [ 0 , 1 ] , gives the final
       product itself a number in [ 0 , 1 ].  (Contributed by Glauco
       Siliprandi, 20-Apr-2017.) $)
    fmul01 $p |- ( ph -> ( 0 <_ ( A ` K ) /\ ( A ` K ) <_ 1 ) ) $=
      ( wcel cc0 cle c1 vk vj vl cfz co cfv wbr wa cv caddc fveq2 breq2d breq1d
      wi wceq anbi12d imbi2d cuz cz eluzelz zred leidd eluz syl2anc mpbid elfzd
      syl ancli nfv nfan nfcv nffv nfbr nfim eleq1 anbi2d imbi12d vtoclg1f sylc
      wb cmul cseq fveq1i seq1 syl5eq breqtrrd eqbrtrd jca a1i cfzo w3a elfzouz
      cr 3ad2ant1 simpl3 wss elfzouz2 fzss2 sselda nfel1 eleq1d chvarfv remulcl
      adantl seqcl simp3 fzofzp1 anabsi7 pm3.35 ancoms 3adant1 breqtrdi mulge0d
      simpl simp1 seqp1 breqtrrdi remulcld lemul2ad recnd mulid1d breqtrd simp2
      1red simprd eqbrtrrid letrd eqbrtrid 3exp fzind2 mpcom ) EFGUDUEZQAREBUFZ
      SUGZYMTSUGZUHZMARUAUIZBUFZSUGZYRTSUGZUHZUNARFBUFZSUGZUUBTSUGZUHZUNZARUBUI
      ZBUFZSUGZUUHTSUGZUHZUNZARUUGTUJUEZBUFZSUGZUUNTSUGZUHZUNAYPUNUAUBEFGYQFUOZ
      UUAUUEAUURYSUUCYTUUDUURYRUUBRSYQFBUKZULUURYRUUBTSUUSUMUPUQYQUUGUOZUUAUUKA
      UUTYSUUIYTUUJUUTYRUUHRSYQUUGBUKZULUUTYRUUHTSUVAUMUPUQYQUUMUOZUUAUUQAUVBYS
      UUOYTUUPUVBYRUUNRSYQUUMBUKZULUVBYRUUNTSUVCUMUPUQYQEUOZUUAYPAUVDYSYNYTYOUV
      DYRYMRSYQEBUKZULUVDYRYMTSUVEUMUPUQUUFGFURUFZQZAUUCUUDARFCUFZUUBSAFYLQZAUV
      IUHZRUVHSUGZAFFGKAUVGGUSQZLFGUTVGZKAFAFKVAVBAUVGFGSUGZLAFUSQZUVLUVGUVNVTK
      UVMFGVCVDVEVFZAUVIUVPVHZADUIZYLQZUHZRUVRCUFZSUGZUNZUVJUVKUNDFYLUVJUVKDAUV
      IDIUVIDVIVJZDRUVHSDRVKZDSVKZDFCHDFVKVLZVMVNUVRFUOZUVTUVJUWBUVKUWHUVSUVIAU
      VRFYLVOVPZUWHUWAUVHRSUVRFCUKZULVQOVRVSAUUBFWACFWBZUFZUVHFBUWKJWCAUVOUWLUV
      HUOKWACFWDVGWEZWFAUUBUVHTSUWMAUVIUVJUVHTSUGZUVPUVQUVTUWATSUGZUNZUVJUWNUND
      FYLUVJUWNDUWDDUVHTSUWGUWFDTVKZVMVNUWHUVTUVJUWOUWNUWIUWHUWAUVHTSUWJUMVQPVR
      VSWGWHWIUUGFGWJUEQZUULAUUQUWRUULAWKZUUOUUPUWSRUUMUWKUFZUUNSUWSRUUGUWKUFZU
      UMCUFZWAUEZUWTSUWSUXAUXBUWSUAUCWAWMCFUUGUWRUULUUGUVFQZAUUGFGWLWNZUWSYQFUU
      GUDUEZQZUHAYQYLQZYQCUFZWMQZUWRUULAUXGWOUWSUXFYLYQUWRUULUXFYLWPZAUWRGUUGUR
      UFQUXKUUGFGWQUUGFGWRVGWNWSUVTUWAWMQZUNZAUXHUHZUXJUNDUAUXNUXJDAUXHDIUXHDVI
      VJDUXIWMDYQCHDYQVKVLWTVNUVRYQUOZUVTUXNUXLUXJUXOUVSUXHAUVRYQYLVOVPUXOUWAUX
      IWMUVRYQCUKXAVQNXBVDYQWMQUCUIZWMQUHYQUXPWAUEWMQUWSYQUXPXCXDXEZUWSAUUMYLQZ
      UXBWMQZUWRUULAXFZUWRUULUXRAFGUUGXGZWNZAUXRUXSUXMAUXRUHZUXSUNDUUMYLUYCUXSD
      AUXRDIUXRDVIVJZDUXBWMDUUMCHDUUMVKVLZWTVNUVRUUMUOZUVTUYCUXLUXSUYFUVSUXRAUV
      RUUMYLVOVPZUYFUWAUXBWMUVRUUMCUKZXAVQNVRXHVDZUWSRUUHUXASUULAUUIUWRUULAUHUU
      KUUIAUULUUKAUUKXIZXJUUIUUJXNVGXKUUGBUWKJWCZXLZUWSAUWRRUXBSUGZUXTUWRUULAXO
      AUWRUHZUXRUYCUYMUWRUXRAUYAXDZUYNAUXRAUWRXNUYOWHUWCUYCUYMUNDUUMYLUYCUYMDUY
      DDRUXBSUWEUWFUYEVMVNUYFUVTUYCUWBUYMUYGUYFUWAUXBRSUYHULVQOVRVSVDXMUWSUXDUW
      TUXCUOUXEWACFUUGXPVGZWFUUMBUWKJWCZXQUWSUUNUWTTSUYQUWSUWTUXCTSUYPUWSUXCUXA
      TUWSUXAUXBUXQUYIXRUXQUWSYDZUWSUXCUXATWAUEUXASUWSUXBTUXAUYIUYRUXQUYLUWSUXR
      UYCUXBTSUGZUYBUWSAUXRUXTUYBWHUWPUYCUYSUNDUUMYLUYCUYSDUYDDUXBTSUYEUWFUWQVM
      VNUYFUVTUYCUWOUYSUYGUYFUWAUXBTSUYHUMVQPVRVSXSUWSUXAUWSUXAUXQXTYAYBUWSUXAU
      UHTSUYKUWSAUULUUJUXTUWRUULAYCAUULUHUUIUUJUYJYEVDYFYGWGYHWHYIYJYK $.
  $}

  ${
    $d f g h l t T $.  $d f g h l Y $.  $d f g h l ph $.  $d h N $.
    $d h l P $.  $d h l U $.
    fmulcl.1 $e |- P = ( f e. Y , g e. Y |-> ( t e. T |-> ( ( f ` t ) x. ( g `
                   t ) ) ) ) $.
    fmulcl.2 $e |- X = ( seq 1 ( P , U ) ` N ) $.
    fmulcl.4 $e |- ( ph -> N e. ( 1 ... M ) ) $.
    fmulcl.5 $e |- ( ph -> U : ( 1 ... M ) --> Y ) $.
    fmulcl.6 $e |- ( ( ph /\ f e. Y /\ g e. Y ) -> ( t e. T |-> ( ( f ` t ) x.
                   ( g ` t ) ) ) e. Y ) $.
    fmulcl.7 $e |- ( ph -> T e. _V ) $.
    $( If ' Y ' is closed under the multiplication of two functions, then Y is
       closed under the multiplication ( ' X ' ) of a finite number of
       functions.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    fmulcl $p |- ( ph -> X e. Y ) $=
      ( c1 cfv wcel vh vl cseq cfz co cuz elfzuz syl cv wss elfzuz3 3syl sselda
      fzss2 ffvelrnda syldan wa cmul cmpt cvv simprl simprr adantr mptexg fveq1
      oveqan12d mpteq2dv ovmpoga syl3anc 3simpc wi eleq1w 3anbi2d oveq1d eleq1d
      wceq imbi12d 3anbi3d oveq2d vtocl2g mpcom 3expb eqeltrd seqcl eqeltrid
      w3a ) AJICERUCSKMAUAUBCKERIAIRHUDUEZTZIRUFSTNIRHUGUHAUAUIZRIUDUEZTWIWGTWI
      ESKTAWJWGWIAWHHIUFSTWJWGUJNIRHUKIRHUNULUMAWGKWIEOUOUPAWIKTZUBUIZKTZUQZUQZ
      WIWLCUEZBDBUIZWISZWQWLSZURUEZUSZKWOWKWMXAUTTZWPXAVPAWKWMVAAWKWMVBWODUTTZX
      BAXCWNQVCBDWTUTVDUHFGWIWLKKBDWQFUIZSZWQGUIZSZURUEZUSZXACUTXDWIVPZXFWLVPZU
      QBDXHWTXJXKXEWRXGWSURWQXDWIVEZWQXFWLVEZVFVGLVHVIAWKWMXAKTZWNAWKWMWFZXNAWK
      WMVJAXDKTZXFKTZWFZXIKTZVKAWKXQWFZBDWRXGURUEZUSZKTZVKXOXNVKFGWIWLKKXJXRXTX
      SYCXJXPWKAXQFUAKVLVMXJXIYBKXJBDXHYAXJXEWRXGURXLVNVGVOVQXKXTXOYCXNXKXQWMAW
      KGUBKVLVRXKYBXAKXKBDYAWTXKXGWSWRURXMVSVGVOVQPVTWAWBWCWDWE $.
  $}

  ${
    $d f g h l t T $.  $d f h l t N $.  $d f h l t U $.  $d f g h l Y $.
    $d h l P $.  $d h l ph $.  $d i j t U $.  $d i j M $.  $d j t N $.
    $d j t T $.  $d j ph $.
    fmuldfeqlem1.1 $e |- F/ f ph $.
    fmuldfeqlem1.2 $e |- F/ g ph $.
    fmuldfeqlem1.3 $e |- F/_ t Y $.
    fmuldfeqlem1.5 $e |- P = ( f e. Y , g e. Y |-> ( t e. T |-> ( ( f ` t ) x.
                         ( g ` t ) ) ) ) $.
    fmuldfeqlem1.6 $e |- F = ( t e. T |-> ( i e. ( 1 ... M ) |-> ( ( U ` i ) `
                         t ) ) ) $.
    fmuldfeqlem1.7 $e |- ( ph -> T e. _V ) $.
    fmuldfeqlem1.8 $e |- ( ph -> U : ( 1 ... M ) --> Y ) $.
    fmuldfeqlem1.9 $e |- ( ( ph /\ f e. Y /\ g e. Y ) -> ( t e. T |-> ( ( f ` t
                         ) x. ( g ` t ) ) ) e. Y ) $.
    fmuldfeqlem1.10 $e |- ( ph -> N e. ( 1 ... M ) ) $.
    fmuldfeqlem1.11 $e |- ( ph -> ( N + 1 ) e. ( 1 ... M ) ) $.
    fmuldfeqlem1.12 $e |- ( ph -> ( ( seq 1 ( P , U ) ` N ) ` t ) = ( seq 1 (
                          x. , ( F ` t ) ) ` N ) ) $.
    fmuldfeqlem1.13 $e |- ( ( ph /\ f e. Y ) -> f : T --> RR ) $.
    $( induction step for the proof of ~ fmuldfeq .  (Contributed by Glauco
       Siliprandi, 20-Apr-2017.) $)
    fmuldfeqlem1 $p |- ( ( ph /\ t e. T ) ->
          ( ( seq 1 ( P , U ) ` ( N + 1 ) ) ` t ) =
          ( seq 1 ( x. , ( F ` t ) ) ` ( N + 1 ) ) ) $=
      ( vj vh vl cv wcel wa cmul cfv c1 cseq caddc co cfz cr cmpt wceq cvv ovex
      mptex fvmpt2 mpan2 fveq2 fveq1d eqtrdi adantl adantr wf ffvelrnd ancli wi
      cbvmptv nfcv nfan nfim eleq1 anbi2d feq1 imbi12d vtoclgf ffvelrnda fvmptd
      nfv sylc oveq2d cuz elfzuz syl seqp1 cmpo fveq1 oveqan12d mpteq2dv cbvmpo
      eqtri a1i nfmpt1 nfmpo nfcxfr nfseq nffv nfeq2 ad2antrr ad2antlr mpteq2da
      oveq12d eqid w3a 3simpc nf3an 3anbi2d oveq1d eleq1d vtocl2gf mpcom fmulcl
      3anbi3d mptexg ovmpod eqtrd nfmpo1 nfel1 nff remulcld fvmpt2d 3eqtr4rd )
      ABUHZDUIZUJZKUKYJIULZUMUNZULZKUMUOUPZYMULZUKUPZYOYJYPEULZULZUKUPZYPYNULZY
      JYPCEUMUNZULZULZYLYQYTYOUKYLUEYPYJUEUHZEULZULZYTUMJUQUPZYMURYKYMUEUUIUUHU
      SZUTAYKYMHUUIYJHUHZEULZULZUSZUUJYKUUNVAUIYMUUNUTHUUIUUMUMJUQVBVCBDUUNVAIQ
      VDVEHUEUUIUUMUUHUUKUUFUTYJUULUUGUUKUUFEVFVGVOVHVIUUFYPUTZUUHYTUTYLUUOYJUU
      GYSUUFYPEVFVGVIAYPUUIUIYKUBVJADURYJYSAYSLUIZAUUPUJZDURYSVKZAUUILYPESUBVLZ
      AUUPUUSVMAFUHZLUIZUJZDURUUTVKZVNZUUQUURVNFYSLFYSVPUUQUURFAUUPFMUUPFWFVQUU
      RFWFVRUUTYSUTZUVBUUQUVCUURUVEUVAUUPAUUTYSLVSVTDURUUTYSWAWBUDWCWGWDZWEWHAU
      UBYRUTZYKAKUMWIULUIZUVGAKUUIUIUVHUAKUMJWJWKZUKYMUMKWLWKVJYLUUEYJKUUCULZUL
      ZYTUKUPZUUAABDUVLUUDURAUUDUVJYSCUPZBDUVLUSZAUVHUUDUVMUTUVICEUMKWLWKAUFUGU
      VJYSLLBDYJUFUHZULZYJUGUHZULZUKUPZUSZUVNCVACUFUGLLUVTWMZUTACFGLLBDYJUUTULZ
      YJGUHZULZUKUPZUSZWMZUWAPFGUFUGLLUWFUVTUFUWFVPUGUWFVPFUVTVPGUVTVPUUTUVOUTZ
      UWCUVQUTZUJBDUWEUVSUWHUWIUWBUVPUWDUVRUKYJUUTUVOWNZYJUWCUVQWNZWOWPWQWRZWSU
      VOUVJUTZUVQYSUTZUJZUVTUVNUTAUWOBDUVSUVLUWMUWNBBUVOUVJBKUUCBCEUMBUMVPBCUWG
      PFGBLLUWFOOBDUWEWTXAXBBEVPXCBKVPXDXEUWNBWFVQUWOYKUJUVPUVKUVRYTUKUWMUVPUVK
      UTUWNYKYJUVOUVJWNXFUWNUVRYTUTUWMYKYJUVQYSWNXGXIXHVIABCDEUFUGJKUVJLUWLUVJX
      JUASUVOLUIZUVQLUIZUJAUWPUWQXKZUVTLUIZAUWPUWQXLAUVAUWCLUIZXKZUWFLUIZVNAUWP
      UWTXKZBDUVPUWDUKUPZUSZLUIZVNUWRUWSVNFGUVOUVQLLFUVOVPGUVOVPGUVQVPUXCUXFFAU
      WPUWTFMUWPFWFUWTFWFXMUXFFWFVRUWRUWSGAUWPUWQGNUWPGWFUWQGWFXMUWSGWFVRUWHUXA
      UXCUXBUXFUWHUVAUWPAUWTUUTUVOLVSXNUWHUWFUXELUWHBDUWEUXDUWHUWBUVPUWDUKUWJXO
      WPXPWBUWIUXCUWRUXFUWSUWIUWTUWQAUWPUWCUVQLVSXTUWIUXEUVTLUWIBDUXDUVSUWIUWDU
      VRUVPUKUWKWHWPXPWBTXQXRRXSZUUSADVAUIUVNVAUIRBDUVLVAYAWKYBYCYLUVKYTADURYJU
      VJAUVJLUIZAUXHUJZDURUVJVKZUXGAUXHUXGVMUVDUXIUXJVNFUVJLFKUUCFCEUMFUMVPFCUW
      GPFGLLUWFYDXBFEVPXCFKVPXDZUXIUXJFAUXHFMFUVJLUXKYEVQFDURUVJUXKFDVPFURVPYFV
      RUUTUVJUTZUVBUXIUVCUXJUXLUVAUXHAUUTUVJLVSVTDURUUTUVJWAWBUDWCWGWDUVFYGYHAU
      VLUUAUTYKAUVKYOYTUKUCXOVJYCYI $.
  $}

  ${
    $d b k t T $.  $d b k F $.  $d b k ph $.  $d f g n t T $.  $d f i t T $.
    $d f g n F $.  $d f g n M $.  $d f g n t U $.  $d f g Y $.  $d f g n ph $.
    $d i k t T $.  $d i k M $.  $d i t U $.  $d m n t T $.  $d m n F $.
    $d m n M $.  $d m n P $.  $d m n t U $.  $d m n ph $.
    fmuldfeq.1 $e |- F/ i ph $.
    fmuldfeq.2 $e |- F/_ t Y $.
    fmuldfeq.3 $e |- P = ( f e. Y , g e. Y |-> ( t e. T |-> ( ( f ` t ) x. ( g
                     ` t ) ) ) ) $.
    fmuldfeq.4 $e |- X = ( seq 1 ( P , U ) ` M ) $.
    fmuldfeq.5 $e |- F = ( t e. T |-> ( i e. ( 1 ... M ) |-> ( ( U ` i ) ` t )
                     ) ) $.
    fmuldfeq.6 $e |- Z = ( t e. T |-> ( seq 1 ( x. , ( F ` t ) ) ` M ) ) $.
    fmuldfeq.7 $e |- ( ph -> T e. _V ) $.
    fmuldfeq.8 $e |- ( ph -> M e. NN ) $.
    fmuldfeq.9 $e |- ( ph -> U : ( 1 ... M ) --> Y ) $.
    fmuldfeq.10 $e |- ( ( ph /\ f e. Y ) -> f : T --> RR ) $.
    fmuldfeq.11 $e |- ( ( ph /\ f e. Y /\ g e. Y ) -> ( t e. T |-> ( ( f ` t )
                      x. ( g ` t ) ) ) e. Y ) $.
    $( X and Z are two equivalent definitions of the finite product of real
       functions.  Y is a set of real functions from a common domain T, Y is
       closed under function multiplication and U is a finite sequence of
       functions in Y. M is the number of functions multiplied together.
       (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    fmuldfeq $p |- ( ( ph /\ t e. T ) -> ( X ` t ) = ( Z ` t ) ) $=
      ( vm vn vk vb cv wcel wa c1 cseq cfv cmul cfz co wceq 1zzd cz nnzd adantr
      cle wbr nnge1d cn cr nnre leid 3syl elfzd 3ad2ant1 wi caddc eleq1 3anbi3d
      w3a fveq2 fveq1d eqeq12d imbi12d weq 1z seq1 ax-mp cmpt 1le1 a1i nfv nfcv
      nfmpt1 nfmpt nfcxfr nffv nffvmpt1 nfeq nfim imbi2d cvv mptex fvmpt2 mpan2
      ovex vtoclg1f syl imp eqid wf ffvelrnd anbi2d feq1 vtoclga sylc ffvelrnda
      ancli fvmptd3 eqtrd fveq1i eqtr4di eqtr2id simp31 cuz simp1 simp33 elnnuz
      3adant3 jca biimpi anim1i peano2fzr simp32 simp2 nfseq nf3an nfan adantlr
      mp3and simpr syl2anc eqeltrd 3jca cmpo nfmpo1 nfmpo2 simpr1 simpr2 simpr3
      3adant1r fmuldfeqlem1 syl21anc 3exp nnind mpcom mpd3an3 sylib nfel1 simpl
      eleq1d ad2antlr simplr chvarfv remulcl adantl seqcl 3eqtr4d ) ABUIZDUJZUK
      ZUVFJCEULUMZUNZUNZJUOUVFIUNZULUMZUNZUVFKUNZUVFMUNZAUVGJULJUPUQZUJZUVKUVNU
      RZUVHJULJUVHUSAJUTUJUVGAJUAVAZVBZUWAAULJVCVDUVGAJUAVEZVBAJJVCVDZUVGAJVFUJ
      ZJVGUJUWCUAJVHJVIVJVBVKUWDAUVGUVRVQZUVSAUVGUWDUVRUAVLAUVGUEUIZUVQUJZVQZUV
      FUWFUVIUNZUNZUWFUVMUNZURZVMAUVGULUVQUJZVQZUVFULUVIUNZUNZULUVMUNZURZVMAUVG
      UFUIZUVQUJZVQZUVFUWSUVIUNZUNZUWSUVMUNZURZVMZAUVGUWSULVNUQZUVQUJZVQZUVFUXG
      UVIUNZUNZUXGUVMUNZURZVMUWEUVSVMUEUFJUWFULURZUWHUWNUWLUWRUXNUWGUWMAUVGUWFU
      LUVQVOVPUXNUWJUWPUWKUWQUXNUVFUWIUWOUWFULUVIVRVSUWFULUVMVRVTWAUEUFWBZUWHUX
      AUWLUXEUXOUWGUWTAUVGUWFUWSUVQVOVPUXOUWJUXCUWKUXDUXOUVFUWIUXBUWFUWSUVIVRVS
      UWFUWSUVMVRVTWAUWFUXGURZUWHUXIUWLUXMUXPUWGUXHAUVGUWFUXGUVQVOVPUXPUWJUXKUW
      KUXLUXPUVFUWIUXJUWFUXGUVIVRVSUWFUXGUVMVRVTWAUWFJURZUWHUWEUWLUVSUXQUWGUVRA
      UVGUWFJUVQVOVPUXQUWJUVKUWKUVNUXQUVFUWIUVJUWFJUVIVRVSUWFJUVMVRVTWAAUVGUWRU
      WMUVHUWQULUVLUNZUWPULUTUJZUWQUXRURWCUOUVLULWDWEUVHUXRUVFULEUNZUNZUWPUVHUX
      RULHUVQUVFHUIZEUNZUNZWFZUNZUYAAUVGUXRUYFURZAUWMUVGUYGVMZAULULJAUSZUVTUYIU
      LULVCVDAWGWHUWBVKZUVGUYBUVLUNZUYBUYEUNZURZVMUYHHULUVQUVGUYGHUVGHWIZHUXRUY
      FHULUVLHUVFIHIBDUYEWFRHBDUYEHDWJHUVQUYDWKWLWMHUVFWJWNZHULWJWNHUVQUYDULWOW
      PWQUYBULURZUYMUYGUVGUYPUYKUXRUYLUYFUYBULUVLVRUYBULUYEVRVTWRUVGUYBUVLUYEUV
      GUYEWSUJUVLUYEURHUVQUYDULJUPXCWTBDUYEWSIRXAXBVSZXDXEXFUVHHULUYDUYAUVQUYEV
      GUYEXGZUYPUVFUYCUXTUYBULEVRVSAUWMUVGUYJVBADVGUVFUXTAUXTLUJZAUYSUKZDVGUXTX
      HZAUVQLULEUBUYJXIZAUYSVUBXOAFUIZLUJZUKZDVGVUCXHZVMZUYTVUAVMFUXTLVUCUXTURZ
      VUEUYTVUFVUAVUHVUDUYSAVUCUXTLVOXJDVGVUCUXTXKWAVUGVUDUCWHZXLXMXNXPXQUVFUWO
      UXTUXSUWOUXTURWCCEULWDWEXRXSXTYFUWSVFUJZUXFUXIUXMVUJUXFUXIVQZAUWTUXHUXEVQ
      ZUVGUXMVUJUXFAUVGUXHYAZVUKUWTUXHUXEVUKVUJUXHUKUWSULYBUNZUJZUXHUKUWTVUKVUJ
      UXHVUJUXFUXIYCVUJUXFAUVGUXHYDZYGVUJVUOUXHVUJVUOUWSYEYHYIUWSULJYJVJZVUPVUK
      AUVGUWTUXEVUMVUJUXFAUVGUXHYKZVUQVUJUXFUXIYLYQUUAVURAVULUKBCDEFGHIJUWSLAVU
      LFAFWIUWTUXHUXEFUWTFWIUXHFWIFUXCUXDFUVFUXBFUWSUVIFCEULFULWJFCFGLLBDUVFVUC
      UNUVFGUIZUNUOUQWFZUUBZPFGLLVUTUUCWMFEWJYMFUWSWJWNFUVFWJWNFUXDWJWPYNYOAVUL
      GAGWIUWTUXHUXEGUWTGWIUXHGWIGUXCUXDGUVFUXBGUWSUVIGCEULGULWJGCVVAPFGLLVUTUU
      DWMGEWJYMGUWSWJWNGUVFWJWNGUXDWJWPYNYOOPRADWSUJVULTVBAUVQLEXHVULUBVBAVUDVU
      SLUJVUTLUJVULUDUUHAUWTUXHUXEUUEAUWTUXHUXEUUFAUWTUXHUXEUUGAVUDVUFVULUCYPUU
      IUUJUUKUULUUMUUNUVOUVKURUVHUVFKUVJQXRWHUVHUVGUVNVGUJUVPUVNURAUVGYRUVHUGUH
      UOVGUVLULJAJVUNUJZUVGAUWDVVBUAJYEUUOVBUVHUYBUVQUJZUKZUYKVGUJZVMUVHUGUIZUV
      QUJZUKZVVFUVLUNZVGUJZVMHUGVVHVVJHUVHVVGHAUVGHNUYNYOVVGHWIYOHVVIVGHVVFUVLU
      YOHVVFWJWNUUPWQHUGWBZVVDVVHVVEVVJVVKVVCVVGUVHUYBVVFUVQVOXJVVKUYKVVIVGUYBV
      VFUVLVRUURWAVVDUYKUYLVGUVGUYMAVVCUYQUUSVVDUYLUYDVGVVDVVCUYDVGUJUYLUYDURUV
      HVVCYRVVDDVGUVFUYCAVVCDVGUYCXHZUVGAVVCUKZUYCLUJZAVVNUKZVVLAUVQLUYBEUBXNZV
      VMAVVNAVVCUUQVVPYGVUGVVOVVLVMFUYCLVUCUYCURZVUEVVOVUFVVLVVQVUDVVNAVUCUYCLV
      OXJDVGVUCUYCXKWAVUIXLXMYPAUVGVVCUUTXIZHUVQUYDVGUYEUYRXAYSVVRYTYTUVAVVFVGU
      JUHUIZVGUJUKVVFVVSUOUQVGUJUVHVVFVVSUVBUVCUVDBDUVNVGMSXAYSUVE $.
  $}

  ${
    $d i j L $.  $d i j M $.  $d j k l B $.  $d j k l ph $.  $d k l L $.
    $d k l M $.
    fmul01lt1lem1.1 $e |- F/_ i B $.
    fmul01lt1lem1.2 $e |- F/ i ph $.
    fmul01lt1lem1.3 $e |- A = seq L ( x. , B ) $.
    fmul01lt1lem1.4 $e |- ( ph -> L e. ZZ ) $.
    fmul01lt1lem1.5 $e |- ( ph -> M e. ( ZZ>= ` L ) ) $.
    fmul01lt1lem1.6 $e |- ( ( ph /\ i e. ( L ... M ) ) -> ( B ` i ) e. RR ) $.
    fmul01lt1lem1.7 $e |- ( ( ph /\ i e. ( L ... M ) ) -> 0 <_ ( B ` i ) ) $.
    fmul01lt1lem1.8 $e |- ( ( ph /\ i e. ( L ... M ) ) -> ( B ` i ) <_ 1 ) $.
    fmul01lt1lem1.9 $e |- ( ph -> E e. RR+ ) $.
    fmul01lt1lem1.10 $e |- ( ph -> ( B ` L ) < E ) $.
    $( Given a finite multiplication of values betweeen 0 and 1, a value larger
       than its first element is larger the whole multiplication.  (Contributed
       by Glauco Siliprandi, 20-Apr-2017.) $)
    fmul01lt1lem1 $p |- ( ph -> ( A ` M ) < E ) $=
      ( wcel adantr cr vj vk vl wceq cfv clt wbr wa cmul cseq fveq2d a1i fveq1d
      simpr cz seq1 syl 3eqtrd eqbrtrd wn wne neqned cle w3a wb zred cuz eluzle
      eluzelz 3jca leltne mpbird fveq1i c1 caddc co cv remulcl cc recn 3ad2ant1
      adantl 3ad2ant2 3ad2ant3 mulassd olcd jca lttri2 neneqd uzp1 ord mpd uzid
      wo cfz wi nfv nfan nfcv nffv nfel1 nfim eleq1 anbi2d fveq2 eleq1d imbi12d
      chvarfv adantlr seqsplit eluzfz1 ancli sylc eqeltrd elfzelz lep1d elfzle1
      vtoclg1f peano2re letrd elfzle2 elfzd syldan seqcl remulcld 1red cc0 nfbr
      rpred breq2d breqtrrd peano2zd gtned orel1 zltp1le syl2anc mpbid ad2antrr
      eqid leidd simpll fmul01 simprd lemul2ad mulid1d breqtrd lelttrd eqbrtrid
      recnd pm2.61dan ) AGFUDZGBUEZEUFUGZAUUKUHZUULFCUEZEUFUUNUULFBUEFUICFUJZUE
      ZUUOUUNGFBAUUKUNUKUUNFBUUPBUUPUDUUNJULUMAUUQUUOUDZUUKAFUORZUURKUICFUPUQZS
      URAUUOEUFUGUUKQSUSAUUKUTZFGUFUGZUUMAUVAUHZUVBGFVAZUVCGFAUVAUNVBUVCFTRZGTR
      ZFGVCUGZVDZUVBUVDVEAUVHUVAAUVEUVFUVGAFKVFZAGAGFVGUEZRZGUORZLFGVIUQZVFZAUV
      KUVGLFGVHUQVJSFGVKUQVLAUVBUHZUULGUUPUEZEUFGBUUPJVMUVOUVPUUQGUICFVNVOVPZUJ
      ZUEZUIVPZEUFUVOUAUBUCUITCFFGUAVQZTRZUBVQZTRZUHUWAUWCUIVPZTRUVOUWAUWCVRWBZ
      UWBUWDUCVQZTRZVDZUWEUWGUIVPUWAUWCUWGUIVPUIVPUDUVOUWIUWAUWCUWGUWBUWDUWAVSR
      UWHUWAVTWAUWDUWBUWCVSRUWHUWCVTWCUWHUWBUWGVSRUWDUWGVTWDWEWBUVOUVAGUVQVGUER
      ZUVOGFUVOUVDGFUFUGZUVBWNZUVOUVBUWKAUVBUNZWFUVOUVFUVEUHZUVDUWLVEAUWNUVBAUV
      FUVEUVNUVIWGSGFWHUQVLWIUVOUUKUWJAUUKUWJWNZUVBAUVKUWOLFGWJZUQSWKWLZUVOUUSF
      UVJRAUUSUVBKSZFWMUQAUWAFGWOVPZRZUWACUEZTRZUVBADVQZUWSRZUHZUXCCUEZTRZWPZAU
      WTUHZUXBWPDUAUXIUXBDAUWTDIUWTDWQWRDUXATDUWACHDUWAWSWTXAXBUXCUWAUDZUXEUXIU
      XGUXBUXJUXDUWTAUXCUWAUWSXCXDUXJUXFUXATUXCUWACXEXFXGMXHZXIXJUVOUVTUUQEUVOU
      UQUVSAUUQTRUVBAUUQUUOTUUTAFUWSRZAUXLUHZUUOTRZAUVKUXLLFGXKUQZAUXLUXOXLZUXH
      UXMUXNWPDFUWSUXMUXNDAUXLDIUXLDWQWRZDUUOTDFCHDFWSWTZXAXBUXCFUDZUXEUXMUXGUX
      NUXSUXDUXLAUXCFUWSXCXDZUXSUXFUUOTUXCFCXEZXFXGMXRXMXNZSZUVOUAUBUITCUVQGUWQ
      AUWAUVQGWOVPZRZUXBUVBAUYEUWTUXBAUYEUHZUWAFGAUUSUYEKSAUVLUYEUVMSUYEUWAUORA
      UWAUVQGXOZWBUYFFUVQUWAAUVEUYEUVISAUVQTRZUYEAUVEUYHUVIFXSZUQZSUYEUWBAUYEUW
      AUYGVFWBAFUVQVCUGZUYEAFUVIXPZSUYEUVQUWAVCUGAUWAUVQGXQWBXTUYEUWAGVCUGAUWAU
      VQGYAWBYBUXKYCXIUWFYDZYEUYCAETRUVBAEPYISUVOUVTUUQVNUIVPZUUQVCUVOUVSVNUUQU
      YMUVOYFUYCAYGUUQVCUGUVBAYGUUOUUQVCAUXLUXMYGUUOVCUGZUXOUXPUXEYGUXFVCUGZWPU
      XMUYOWPDFUWSUXMUYODUXQDYGUUOVCDYGWSDVCWSUXRYHXBUXSUXEUXMUYPUYOUXTUXSUXFUU
      OYGVCUYAYJXGNXRXMUUTYKSUVOYGUVSVCUGUVSVNVCUGUVOUVRCDGUVQGHAUVBDIUVBDWQWRU
      VRYSAUVQUORUVBAFKYLSZUVOUVAUWOUWJUVOGFUVOFGAUVEUVBUVISUWMYMWIUVOUVKUWOAUV
      KUVBLSUWPUQUUKUWJYNXMUVOGUVQGUYQAUVLUVBUVMSZUYRUVOUVBUVQGVCUGZUWMUVOUUSUV
      LUVBUYSVEUWRUYRFGYOYPYQUVOGAUVFUVBUVNSYTYBAUXCUYDRZUXGUVBAUYTUXDUXGAUYTUH
      ZUXCFGAUUSUYTKSAUVLUYTUVMSUYTUXCUORZAUXCUVQGXOZWBVUAFUVQUXCAUVEUYTUVISZVU
      AUVEUYHVUDUYIUQUYTUXCTRZAUYTUXCVUCVFZWBAUYKUYTUYLSUYTUVQUXCVCUGZAUXCUVQGX
      QZWBXTUYTUXCGVCUGZAUXCUVQGYAZWBYBMYCXIUVOUYTUHZAUXDUYPAUVBUYTUUAZVUKUXCFG
      AUUSUVBUYTKYRAUVLUVBUYTUVMYRUYTVUBUVOVUCWBVUKFUVQUXCAUVEUVBUYTUVIYRAUYHUV
      BUYTUYJYRUYTVUEUVOVUFWBAUYKUVBUYTUYLYRUYTVUGUVOVUHWBXTUYTVUIUVOVUJWBYBZNY
      PVUKAUXDUXFVNVCUGVULVUMOYPUUBUUCUUDAUYNUUQUDUVBAUUQAUUQUYBUUIUUESUUFAUUQE
      UFUGUVBAUUQUUOEUFUUTQUSSUUGUSUUHYCUUJ $.
  $}

  ${
    $d a b c B $.  $d a i J $.  $d a j B $.  $d a b c L $.  $d a b c M $.
    $d a b c ph $.  $d b c J $.  $d i L $.  $d i M $.  $d j J $.  $d j L $.
    $d j ph $.
    fmul01lt1lem2.1 $e |- F/_ i B $.
    fmul01lt1lem2.2 $e |- F/ i ph $.
    fmul01lt1lem2.3 $e |- A = seq L ( x. , B ) $.
    fmul01lt1lem2.4 $e |- ( ph -> L e. ZZ ) $.
    fmul01lt1lem2.5 $e |- ( ph -> M e. ( ZZ>= ` L ) ) $.
    fmul01lt1lem2.6 $e |- ( ( ph /\ i e. ( L ... M ) ) -> ( B ` i ) e. RR ) $.
    fmul01lt1lem2.7 $e |- ( ( ph /\ i e. ( L ... M ) ) -> 0 <_ ( B ` i ) ) $.
    fmul01lt1lem2.8 $e |- ( ( ph /\ i e. ( L ... M ) ) -> ( B ` i ) <_ 1 ) $.
    fmul01lt1lem2.9 $e |- ( ph -> E e. RR+ ) $.
    fmul01lt1lem2.10 $e |- ( ph -> J e. ( L ... M ) ) $.
    fmul01lt1lem2.11 $e |- ( ph -> ( B ` J ) < E ) $.
    $( Given a finite multiplication of values betweeen 0 and 1, a value ` E `
       larger than any multiplicand, is larger than the whole multiplication.
       (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    fmul01lt1lem2 $p |- ( ph -> ( A ` M ) < E ) $=
      ( wcel va vj vb vc wceq cfv clt wbr wa nfv nfan cz adantr cuz cfz adantlr
      cv co cr cc0 cle crp simpr fveq2d eqbrtrrd fmul01lt1lem1 cmul cseq fveq1i
      c1 wn wi nfcv nffv nfel1 nfim eleq1w anbi2d fveq2 imbi12d chvarfv remulcl
      eleq1d seqcl elfzuz3 syl eluzelz elfzelz zred elfzle1 letrd elfzle2 elfzd
      adantl syldan rpred cmin caddc w3a simp1 recnd simp2 simp3 mulassd npcand
      zcnd 1cnd eleqtrrd 1zzd zsubcld wo eqcom sylnib leloed mpbid sylc zltlem1
      orel2 syl2anc eluz2 syl3anbrc seqsplit seqeq1d fveq1d eqtrd 1red resubcld
      wb oveq2d lem1d eqid eluzfz2 fmul01 simpld 3jca jca elfz2 sylanbrc simprd
      letr lemul1ad eqbrtrd mulid2d breqtrd lelttrd eqbrtrid pm2.61dan ) AFGUEZ
      HBUFZEUGUHAUUHUIZBCDEGHIAUUHDJUUHDUJUKKAGULTZUUHLUMAHGUNUFZTZUUHMUMADUQZG
      HUOURZTZUUNCUFZUSTZUUHNUPAUUPUTUUQVAUHZUUHOUPAUUPUUQVJVAUHZUUHPUPAEVBTUUH
      QUMUUJFCUFZGCUFEUGUUJFGCAUUHVCVDAUVAEUGUHUUHSUMVEVFAUUHVKZUIZUUIHVGCGVHZU
      FZEUGHBUVDKVIUVCUVEHVGCFVHZUFZEAUVEUSTUVBAUAUBVGUSCGHMAUUPUIZUURVLAUAUQZU
      UOTZUIZUVICUFZUSTZVLDUAUVKUVMDAUVJDJUVJDUJZUKDUVLUSDUVICIDUVIVMVNVOZVPUUN
      UVIUEZUVHUVKUURUVMUVPUUPUVJADUAUUOVQZVRUVPUUQUVLUSUUNUVICVSWCZVTNWAUVIUST
      ZUBUQZUSTUIZUVIUVTVGURUSTZAUVIUVTWBZWNZWDUMAUVGUSTUVBAUAUBVGUSCFHAFUUOTZH
      FUNUFZTZRFGHWEWFZAUUNFHUOURZTZUIZUURVLAUVIUWITZUIZUVMVLDUAUWMUVMDAUWLDJUW
      LDUJUKUVOVPUVPUWKUWMUURUVMUVPUWJUWLADUAUWIVQVRUVRVTAUWJUUPUURUWKUUNGHAUUK
      UWJLUMAHULTZUWJAUUMUWNMGHWGWFZUMUWJUUNULTZAUUNFHWHZWNUWKGFUUNAGUSTUWJAGLW
      IZUMAFUSTZUWJAFAUWEFULTZRFGHWHWFZWIZUMUWJUUNUSTZAUWJUUNUWQWIWNAGFVAUHZUWJ
      AUWEUXDRFGHWJWFZUMUWJFUUNVAUHAUUNFHWJWNWKUWJUUNHVAUHAUUNFHWLWNWMZNWOZWAUW
      DWDUMZAEUSTUVBAEQWPUMUVCUVEVJUVGVGURZUVGVAUVCUVEFVJWQURZUVDUFZUVGVGURZUXI
      VAUVCUVEUXKHVGCUXJVJWRURZVHZUFZVGURUXLUVCUAUCUDVGUSCGUXJHUVSUCUQZUSTZUIUV
      IUXPVGURZUSTUVCUVIUXPWBWNUVSUXQUDUQZUSTZWSZUXRUXSVGURUVIUXPUXSVGURVGURUEU
      VCUYAUVIUXPUXSUYAUVIUVSUXQUXTWTXAUYAUXPUVSUXQUXTXBXAUYAUXSUVSUXQUXTXCXAXD
      WNAHUXMUNUFZTUVBAHUWFUYBUWHAUXMFUNAFVJAFUXAXFAXGXEZVDXHUMUVCUUKUXJULTZGUX
      JVAUHZUXJUULTAUUKUVBLUMZUVCFVJAUWTUVBUXAUMZUVCXIXJUVCGFUGUHZUYEUVCGFUEZVK
      UYHUYIXKZUYHUVCUUHUYIAUVBVCFGXLXMAUYJUVBAUXDUYJUXEAGFUWRUXBXNXOUMUYIUYHXR
      XPAUYHUYEYHZUVBAUUKUWTUYKLUXAGFXQXSUMXOZGUXJXTYAZUVCUUPUIZUURVLUVCUVJUIZU
      VMVLDUAUYOUVMDUVCUVJDAUVBDJUVBDUJUKZUVNUKUVOVPUVPUYNUYOUURUVMUVPUUPUVJUVC
      UVQVRUVRVTAUUPUURUVBNUPZWAYBUVCUXOUVGUXKVGUVCHUXNUVFUVCUXMFVGCAUXMFUEUVBU
      YCUMYCYDYIYEUVCUXKVJUVGUVCUAUBVGUSCGUXJUYMUVCUUNGUXJUOURZTZUIZUURVLUVCUVI
      UYRTZUIZUVMVLDUAVUBUVMDUVCVUADUYPVUADUJUKUVOVPUVPUYTVUBUURUVMUVPUYSVUAUVC
      DUAUYRVQVRUVRVTAUYSUURUVBAUYSUUPUURAUYSUIZUUNGHAUUKUYSLUMAUWNUYSUWOUMUYSU
      WPAUUNGUXJWHZWNUYSGUUNVAUHAUUNGUXJWJWNVUCUUNFHUYSUXCAUYSUUNVUDWIWNZAUWSUY
      SUXBUMZAHUSTZUYSAHUWOWIZUMVUCUUNUXJFVUEAUXJUSTZUYSAFVJUXBAYFYGZUMVUFUYSUU
      NUXJVAUHAUUNGUXJWLWNAUXJFVAUHZUYSAFUXBYJUMWKAFHVAUHZUYSAUWEVULRFGHWLWFZUM
      WKWMNWOUPWAUWAUWBUVCUWCWNWDUVCYFUXHUVCUTUVGVAUHUVGVJVAUHUVCUVFCDHFHIUYPUV
      FYKZUYGAUWGUVBUWHUMAHUWITZUVBAUWGVUOUWHFHYLWFUMAUWJUURUVBUXGUPAUWJUUSUVBA
      UWJUUPUUSUXFOWOZUPAUWJUUTUVBAUWJUUPUUTUXFPWOZUPYMYNUVCUTUXKVAUHUXKVJVAUHU
      VCUVDCDUXJGHIUYPUVDYKUYFAUUMUVBMUMUVCUUKUWNUYDWSZUYEUXJHVAUHZUIUXJUUOTAVU
      RUVBAUUKUWNUYDLUWOAFVJUXAAXIXJYOUMUVCUYEVUSUYLUVCVUIUWSVUGWSZVUKVULUIVUSA
      VUTUVBAVUIUWSVUGVUJUXBVUHYOUMUVCVUKVULUVCFAUWSUVBUXBUMYJAVULUVBVUMUMYPUXJ
      FHYTXPYPUXJGHYQYRUYQAUUPUUSUVBOUPAUUPUUTUVBPUPYMYSUUAUUBUVCUVGUVCUVGUXHXA
      UUCUUDAUVGEUGUHUVBAUVFCDEFHIJVUNUXAUWHUXGVUPVUQQSVFUMUUEUUFUUG $.
  $}

  ${
    $d i j E $.  $d i j M $.  $d j ph $.
    fmul01lt1.1 $e |- F/_ i B $.
    fmul01lt1.2 $e |- F/ i ph $.
    fmul01lt1.3 $e |- F/_ j A $.
    fmul01lt1.4 $e |- A = seq 1 ( x. , B ) $.
    fmul01lt1.5 $e |- ( ph -> M e. NN ) $.
    fmul01lt1.6 $e |- ( ph -> B : ( 1 ... M ) --> RR ) $.
    fmul01lt1.7 $e |- ( ( ph /\ i e. ( 1 ... M ) ) -> 0 <_ ( B ` i ) ) $.
    fmul01lt1.8 $e |- ( ( ph /\ i e. ( 1 ... M ) ) -> ( B ` i ) <_ 1 ) $.
    fmul01lt1.9 $e |- ( ph -> E e. RR+ ) $.
    fmul01lt1.10 $e |- ( ph -> E. j e. ( 1 ... M ) ( B ` j ) < E ) $.
    $( Given a finite multiplication of values betweeen 0 and 1, a value E
       larger than any multiplicand, is larger than the whole multiplication.
       (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    fmul01lt1 $p |- ( ph -> ( A ` M ) < E ) $=
      ( clt nfcv wcel cv cfv wbr c1 cfz co wrex nfv nffv nfbr w3a nf3an 1zzd cn
      cuz elnnuz sylib 3ad2ant1 ffvelrnda 3ad2antl1 cc0 cle simp2 fmul01lt1lem2
      cr crp simp3 3exp rexlimd mpd ) AEUAZCUBZFRUCZEUDGUEUFZUGGBUBZFRUCZQAVMVP
      EVNAEUHEVOFREGBJEGSUIERSEFSUJAVKVNTZVMVPAVQVMUKZBCDFVKUDGHAVQVMDIVQDUHDVL
      FRDVKCHDVKSUIDRSDFSUJULKVRUMAVQGUDUOUBTZVMAGUNTVSLGUPUQURAVQDUAZVNTZVTCUB
      ZVETVMAVNVEVTCMUSUTAVQWAVAWBVBUCVMNUTAVQWAWBUDVBUCVMOUTAVQFVFTVMPURAVQVMV
      CAVQVMVGVDVHVIVJ $.
  $}

  ${
    $d x y C $.  $d y A $.  $d y F $.
    cncfmptss.1 $e |- F/_ x F $.
    cncfmptss.2 $e |- ( ph -> F e. ( A -cn-> B ) ) $.
    cncfmptss.3 $e |- ( ph -> C C_ A ) $.
    $( A continuous complex function restricted to a subset is continuous,
       using maps-to notation.  (Contributed by Glauco Siliprandi,
       29-Jun-2017.) $)
    cncfmptss $p |- ( ph -> ( x e. C |-> ( F ` x ) ) e. ( C -cn-> B ) ) $=
      ( vy cv cfv cmpt cres ccncf co resmptd wcel nfcv nffv syl feqmptd reseq1d
      wf cncff wceq fveq2 cbvmpt a1i 3eqtr4rd wss rescncf sylc eqeltrd ) ABEBKZ
      FLZMZFENZEDOPZAJCJKZFLZMZENJEVAMZURUQAJCEVAIQAFVBEAJCDFAFCDOPRZCDFUDHCDFU
      EUAUBUCUQVCUFABJEUPVAJUOFJFSJUOSTBUTFGBUTSTUOUTFUGUHUIUJAECUKVDURUSRIHCDE
      FULUMUN $.
  $}

  $( The positive reals are a subset of the complex numbers.  (Contributed by
     Glauco Siliprandi, 29-Jun-2017.) $)
  rrpsscn $p |- RR+ C_ CC $=
    ( vx crp cc cv rpcn ssriv ) ABCADEF $.

  ${
    $d t x A $.  $d t x B $.  $d t F $.  $d t ph $.
    mulc1cncfg.1 $e |- F/_ x F $.
    mulc1cncfg.2 $e |- F/ x ph $.
    mulc1cncfg.3 $e |- ( ph -> F e. ( A -cn-> CC ) ) $.
    mulc1cncfg.4 $e |- ( ph -> B e. CC ) $.
    $( A version of ~ mulc1cncf using bound-variable hypotheses instead of
       distinct variable conditions.  (Contributed by Glauco Siliprandi,
       30-Jun-2017.) $)
    mulc1cncfg $p |- ( ph -> ( x e. A |-> ( B x. ( F ` x ) ) ) e.
      ( A -cn-> CC ) ) $=
      ( vt cc cv cmul co cmpt cfv wceq wcel syl nfcv ccom ccncf mulc1cncf cncff
      wf eqid fcompt syl2anc ffvelrnda adantr mulcld nffv nfov fvmptf mpteq2dva
      wa oveq2 fveq2 oveq2d cbvmpt eqtrdi eqtrd cncfco eqeltrrd ) ABKDBLZMNZOZE
      UAZBCDVEEPZMNZOZCKUBNZAVHJCJLZEPZVGPZOZVKAKKVGUEZCKEUEZVHVPQAVGKKUBNRZVQA
      DKRZVSIBDVGVGUFZUCSZKKVGUDSAEVLRVRHCKEUDSZJVGECKKUGUHAVPJCDVNMNZOVKAJCVOW
      DAVMCRZUPZVNKRWDKRVOWDQACKVMEWCUIZWFDVNAVTWEIUJWGUKBVNVFWDKVGKBVMEFBVMTUL
      ZBDVNMBDTBMTWHUMZVEVNDMUQWAUNUHUOJBCWDVJWIJDVIMJDTJMTJVITUMVMVEQVNVIDMVMV
      EEURUSUTVAVBACKKEVGHWBVCVD $.
  $}

  ${
    $d x y z $.  $d A x $.  $d A y $.  $d A z $.  $d B z $.
    $( The infimum of a nonempty bounded set of reals is the greatest lower
       bound.  (Contributed by Glauco Siliprandi, 29-Jun-2017.)  (Revised by
       AV, 15-Sep-2020.) $)
    infrglb $p |- ( ( ( A C_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A x <_ y )
      /\ B e. RR ) -> ( inf ( A , RR , < ) < B <-> E. z e. A z < B ) ) $=
      ( cr wss c0 wne cv cle wbr wral wrex w3a clt wor ltso a1i infm3 infglbb
      simp1 ) DFGZDHIZAJBJKLBDMAFNZOZABCFDEPFPQUFRSABCDTUCUDUEUBUA $.
  $}

  ${
    $d t x $.  $d A t $.  $d A x $.  $d F t $.  $d N t $.  $d N x $.
    $d ph t $.  $d ph x $.
    expcnfg.1 $e |- F/_ x F $.
    expcnfg.2 $e |- ( ph -> F e. ( A -cn-> CC ) ) $.
    expcnfg.3 $e |- ( ph -> N e. NN0 ) $.
    $( If ` F ` is a complex continuous function and N is a fixed number, then
       F^N is continuous too.  A generalization of ~ expcncf .  (Contributed by
       Glauco Siliprandi, 29-Jun-2017.) $)
    expcnfg $p |- ( ph -> ( x e. A |-> ( ( F ` x ) ^ N ) ) e. ( A -cn-> CC ) )
                $=
      ( vt cv cfv cexp co cmpt cc ccncf nfcv wceq wcel wa ccom nffv nfov oveq1d
      fveq2 cbvmpt wf cncff syl ffvelrnda cn0 adantr expcld eqid fvmptf syl2anc
      oveq1 eqcomd mpteq2dva syl5eq fmpttd fcompt eqtr4d expcncf cncfco eqeltrd
      simpr ) ABCBJZDKZELMZNZBOVHELMZNZDUAZCOPMZAVKICIJZDKZVMKZNZVNAVKICVQELMZN
      VSBICVJVTIVJQBVQELBVPDFBVPQUBZBLQBEQUCZVHVPRVIVQELVHVPDUEUDUFAICVTVRAVPCS
      ZTZVRVTWDVQOSVTOSVRVTRACOVPDADVOSCODUGZGCODUHUIZUJZWDVQEWGAEUKSZWCHULUMBV
      QVLVTOVMOWAWBVHVQELUQVMUNUOUPURUSUTAOOVMUGWEVNVSRABOVLOAVHOSZTVHEAWIVGAWH
      WIHULUMVAWFIVMDCOOVBUPVCACOODVMGAWHVMOOPMSHBEVDUIVEVF $.
  $}

  ${
    $d A k $.  $d k ph $.
    prodeq2ad.1 $e |- ( ph -> B = C ) $.
    $( Equality deduction for product.  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    prodeq2ad $p |- ( ph -> prod_ k e. A B = prod_ k e. A C ) $=
      ( wceq ralrimivw prodeq2d ) ABCDEACDGEBFHI $.
  $}

  ${
    $d A k $.  $d C k $.  $d D k $.  $d k ph $.
    fprodsplit1.a $e |- ( ph -> A e. Fin ) $.
    fprodsplit1.b $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fprodsplit1.c $e |- ( ph -> C e. A ) $.
    fprodsplit1.d $e |- ( ( ph /\ k = C ) -> B = D ) $.
    $( Separate out a term in a finite product.  (Contributed by Glauco
       Siliprandi, 5-Apr-2020.) $)
    fprodsplit1 $p |- ( ph -> prod_ k e. A B = ( D x. prod_ k e. ( A \ { C } )
       B ) ) $=
      ( nfv nfcvd fprodsplit1f ) ABCDEFAFKAFELGHIJM $.
  $}

  ${
    $d A k x y z $.  $d B x y z $.  $d N k x y z $.  $d ph x y z $.
    fprodexp.kph $e |- F/ k ph $.
    fprodexp.n $e |- ( ph -> N e. NN0 ) $.
    fprodexp.a $e |- ( ph -> A e. Fin ) $.
    fprodexp.b $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    $( Positive integer exponentiation of a finite product.  (Contributed by
       Glauco Siliprandi, 5-Apr-2020.) $)
    fprodexp $p |- ( ph -> prod_ k e. A ( B ^ N ) = ( prod_ k e. A B ^ N ) ) $=
      ( cexp co cprod wceq c0 prodeq1 oveq1d c1 wcel wa cc vx vy vz csn eqeq12d
      cv cun cz nn0zd 1exp syl eqcomd prod0 a1i oveq1i 3eqtr4d wss cdif csb cn0
      cmul nfv cfn adantr simpr syl2anc adantrr simpll sselda adantlrr fprodclf
      nfan ssfi simpl simprr eldifad wi nfcsb1v nfel1 nfim eleq1w anbi2d eleq1d
      csbeq1a imbi12d chvarfv mulexp syl3anc nfcv eldifbd ad2antrr fprodsplitsn
      nfov expcld oveq1 adantl eqtrd ex findcard2d ) AUAUFZCEJKZDLZWTCDLZEJKZMN
      XADLZNCDLZEJKZMUBUFZXADLZXHCDLZEJKZMZXHUCUFZUDUGZXADLZXNCDLZEJKZMZBXADLZB
      CDLZEJKZMUAUBUCBWTNMZXBXEXDXGWTNXADOYBXCXFEJWTNCDOPUEWTXHMZXBXIXDXKWTXHXA
      DOYCXCXJEJWTXHCDOPUEWTXNMZXBXOXDXQWTXNXADOYDXCXPEJWTXNCDOPUEWTBMZXBXSXDYA
      WTBXADOYEXCXTEJWTBCDOPUEAQQEJKZXEXGAYFQAEUHRYFQMAEGUIEUJUKULXEQMAXADUMUNX
      GYFMAXFQEJCDUMUOUNUPAXHBUQZXMBXHURZRZSZSZXLXRYKXLSZXKDXMCUSZEJKZVAKZXJYMV
      AKZEJKZXOXQYKYOYQMXLYKYQYOYKXJTRYMTRZEUTRZYQYOMYKXHCDAYJDFYJDVBVLZAYGXHVC
      RZYIAYGSZBVCRZYGUUAAUUCYGHVDAYGVEZBXHVMVFVGZAYGDUFZXHRZCTRZYIUUBUUGSZAUUF
      BRZUUHAYGUUGVHUUBXHBUUFUUDVIIVFZVJZVKYKAXMBRZYRAYJVNYKXMBXHAYGYIVOZVPAUUJ
      SZUUHVQAUUMSZYRVQDUCUUPYRDAUUMDFUUMDVBVLDYMTDXMCVRZVSVTUUFXMMZUUOUUPUUHYR
      UURUUJUUMADUCBWAWBUURCYMTDXMCWDZWCWEIWFVFZAYSYJGVDZXJYMEWGWHULVDYLXOXIYNV
      AKZYOYKXOUVBMXLYKXHXMXAYNDYHYTDYMEJUUQDJWIDEWIWMUUEUUNYKXMBXHUUNWJZAYGUUG
      XATRYIUUICEUUKAYSYGUUGGWKWNVJUURCYMEJUUSPYKYMEUUTUVAWNWLVDXLUVBYOMYKXIXKY
      NVAWOWPWQYLXPYPEJYKXPYPMXLYKXHXMCYMDYHYTUUQUUEUUNUVCUULUUSUUTWLVDPUPWRHWS
      $.
  $}

  ${
    $d A k x y z $.  $d B x y z $.  $d k ph x y z $.
    fprodabs2.a $e |- ( ph -> A e. Fin ) $.
    fprodabs2.b $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    $( The absolute value of a finite product .  (Contributed by Glauco
       Siliprandi, 5-Apr-2020.) $)
    fprodabs2 $p |- ( ph -> ( abs ` prod_ k e. A B ) = prod_ k e. A ( abs ` B )
       ) $=
      ( vz cv cprod cabs cfv wceq c0 prodeq1 fveq2d eqeq12d wcel wa cmul adantr
      vx vy csn cun c1 abs1 prod0 fveq2i 3eqtr4i a1i wss cdif csb eqidd nfcsb1v
      co nfv cfn simpr syl2anc adantrr simprr eldifbd cc simpll sselda adantlrr
      ssfi csbeq1a simpl eldifad nfim eleq1w anbi2d eleq1d imbi12d fprodsplitsn
      nfel1 chvarfv fprodclf absmuld oveq1 adantl 3eqtrd nfcv nffv abscld recnd
      wi 3eqtr4d ex findcard2d ) AUAHZCDIZJKZWMCJKZDIZLMCDIZJKZMWPDIZLZUBHZCDIZ
      JKZXBWPDIZLZXBGHZUCUDZCDIZJKZXHWPDIZLZBCDIZJKZBWPDIZLUAUBGBWMMLZWOWSWQWTX
      PWNWRJWMMCDNOWMMWPDNPWMXBLZWOXDWQXEXQWNXCJWMXBCDNOWMXBWPDNPWMXHLZWOXJWQXK
      XRWNXIJWMXHCDNOWMXHWPDNPWMBLZWOXNWQXOXSWNXMJWMBCDNOWMBWPDNPXAAUEJKUEWSWTU
      FWRUEJCDUGUHWPDUGUIUJAXBBUKZXGBXBULZQZRZRZXFXLYDXFRZXEDXGCUMZJKZSUPZYHXJX
      KYEYHUNYEXJXCYFSUPZJKZXDYGSUPZYHYEXIYIJYDXIYILXFYDXBXGCYFDYAYDDUQZDXGCUOZ
      AXTXBURQZYBAXTRZBURQZXTYNAYPXTETAXTUSZBXBVHUTVAZAXTYBVBZYDXGBXBYSVCZYDDHZ
      XBQZRZAUUABQZCVDQZAYCUUBVEAXTUUBUUDYBYOXBBUUAYQVFVGFUTZDXGCVIZYDAXGBQZYFV
      DQZAYCVJYDXGBXBYSVKAUUDRZUUEWIAUUHRZUUIWIDGUUKUUIDUUKDUQDYFVDYMVRVLUUAXGL
      ZUUJUUKUUEUUIUULUUDUUHADGBVMVNUULCYFVDUUGVOVPFVSUTZVQTOYDYJYKLXFYDXCYFYDX
      BCDYLYRUUFVTUUMWATXFYKYHLYDXDXEYGSWBWCWDYDXKYHLXFYDXBXGWPYGDYAYLDYFJDJWEY
      MWFYRYSYTUUCWPUUCCUUFWGWHUULCYFJUUGOYDYGYDYFUUMWGWHVQTWJWKEWL $.
  $}

  ${
    $d A k $.  $d K k $.
    fprod0.kph $e |- F/ k ph $.
    fprod0.kc $e |- F/_ k C $.
    fprod0.a $e |- ( ph -> A e. Fin ) $.
    fprod0.b $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fprod0.bc $e |- ( k = K -> B = C ) $.
    fprod0.k $e |- ( ph -> K e. A ) $.
    fprod0.c $e |- ( ph -> C = 0 ) $.
    $( A finite product with a zero term is zero.  (Contributed by Glauco
       Siliprandi, 5-Apr-2020.) $)
    fprod0 $p |- ( ph -> prod_ k e. A B = 0 ) $=
      ( cprod cmul co cc0 wceq adantl wcel csn cdif wnfc cv fprodsplit1f oveq1d
      a1i cfn diffi syl wa cc simpl eldifi syl2anc fprodclf mul02d 3eqtrd ) ABC
      ENDBFUAZUBZCENZOPQVAOPQABCFDEGEDUCAHUGIJLEUDZFRCDRAKSUEADQVAOMUFAVAAUTCEG
      ABUHTUTUHTIBUSUIUJAVBUTTZUKAVBBTZCULTAVCUMVCVDAVBBUSUNSJUOUPUQUR $.
  $}

  ${
    $d A k $.  $d B b k $.  $d C b k $.  $d D k $.  $d k ph $.
    mccllem.a $e |- ( ph -> A e. Fin ) $.
    mccllem.c $e |- ( ph -> C C_ A ) $.
    mccllem.d $e |- ( ph -> D e. ( A \ C ) ) $.
    mccllem.b $e |- ( ph -> B e. ( NN0 ^m ( C u. { D } ) ) ) $.
    mccllem.6 $e |- ( ph -> A. b e. ( NN0 ^m C ) ( ( ! ` sum_ k e. C ( b ` k )
       ) / prod_ k e. C ( ! ` ( b ` k ) ) ) e. NN ) $.
    $( * Induction step for ~ mccl .  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    mccllem $p |- ( ph -> ( ( ! ` sum_ k e. ( C u. { D } ) ( B ` k ) ) / prod_
       k e. ( C u. { D } ) ( ! ` ( B ` k ) ) ) e. NN ) $=
      ( cfv cfa cdiv co cmul wcel syl cn0 csn cun cv csu cprod cn cdif nfv nfcv
      c1 cfn wss ssfi syl2anc wn eldifn wa wf cmap elmapi adantr elun1 ffvelrnd
      adantl faccld nncnd 2fveq3 snidg elun2 fprodsplitsn snssi unssd ffvelrnda
      oveq2d eldifad fsumnn0cl mulcld nnne0d fprodn0 mulne0d divcld mulid2d cc0
      fprodclf eqcomd wne nnne0 dividd mulcomd divdiv1d eqtrd oveq12d divmul13d
      3eqtrd cbc cmin csb caddc nfcsb1v nn0cnd csbeq1a cc csbfv a1i fsumsplitsn
      wceq eqeltrd oveq1d pncan2d 3eqtrrd cfz 0zd nn0zd nn0ge0d cle wbr breqtrd
      fveq2d nn0red cr addge01d mpbid elfzd bcval2 bccl2 ssun1 elmapssres fveq1
      wral cres fvres sumeq2dv prodeq2dv eleq1d rspccva nnmulcld ) ADEUAZUBZFUC
      ZCMZFUDZNMZYRYTNMZFUEZOPZUUBECMZNMZOPZDYTFUDZNMZOPZUUJDUUCFUEZOPZQPZUFAUU
      EUUBUULUUGQPZOPZUJUUPQPZUUNAUUDUUOUUBOADEUUCUUGFBDUGZAFUHZFUUGUIABUKRZDBU
      LDUKRHIBDUMUNZJAEUURRZEDRUOJEBDUPSZAYSDRZUQZUUCUVEYTUVEYRTYSCAYRTCURZUVDA
      CTYRUSPRZUVFKCTYRUTSZVAUVDYSYRRAYSDYQVBVDVCZVEZVFZYSENCVGAUUGAUUFAYRTECUV
      HAEYQRZEYRRAUVBUVLJEUURVHSEYQDVISVCZVEZVFZVJVNAUUQUUPAUUPAUUBUUOAUUBAUUAA
      YRYTFAUUTYRBULYRUKRHADYQBIAEBRYQBULAEBDJVOZEBVKSVLBYRUMUNAYRTYSCUVHVMVPZV
      EVFZAUULUUGADUUCFUUSUVAUVKWDZUVOVQAUULUUGUVSUVOADUUCFUVAUVKUVEUUCUVJVRVSZ
      AUUGUVNVRZVTWAWBWEAUUQUUJUUJOPZUUHUULOPZQPUUNAUJUWBUUPUWCQAUWBUJAUUJAUUJA
      UUIADYTFUVAUVIVPZVEZVFZAUUJUFRUUJWCWFUWEUUJWGSZWHWEAUUPUUBUUGUULQPZOPZUWC
      AUUOUWHUUBOAUULUUGUVSUVOWIVNAUWCUWIAUUBUUGUULUVRUVOUVSUWAUVTWJWEWKWLAUUJU
      UJUUHUULUWFUWFAUUBUUGUVRUVOUWAWAUVSUWGUVTWMWKWNAUUKUUMAUUKUUAUUIWOPZUFAUU
      KUUBUUGUUJQPZOPUUBUUAUUIWPPZNMZUUJQPZOPZUWJAUUBUUGUUJUVRUVOUWFUWAUWGWJAUW
      KUWNUUBOAUUGUWMUUJQAUUFUWLNAUWLUUIFEYTWQZWRPZUUIWPPUWPUUFAUUAUWQUUIWPADEY
      TUWPFBUUSFEYTWSUVAUVPUVCUVEYTUVIWTFEYTXAAUWPUUFXBUWPUUFXFAFECXCXDZAUUFUVM
      WTXGZXEZXHAUUIUWPAUUIUWDWTUWSXIUWRXJXRXHVNAUWJUWOAUUIWCUUAXKPRZUWJUWOXFAU
      UIWCUUAAXLAUUAUVQXMAUUIUWDXMAUUIUWDXNAUUIUWQUUAXOAWCUWPXOXPUUIUWQXOXPAWCU
      UFUWPXOAUUFUVMXNAUWPUUFUWRWEXQAUUIUWPAUUIUWDXSAUWPUUFXTUWRAUUFUVMXSXGYAYB
      AUUAUWQUWTWEXQYCZUUIUUAYDSWEWNAUXAUWJUFRUXBUUIUUAYESXGADYSGUCZMZFUDZNMZDU
      XDNMZFUEZOPZUFRZGTDUSPZYICDYJZUXKRZUUMUFRZLAUVGDYRULZUXMKUXOADYQYFXDCTYRD
      YGUNUXJUXNGUXLUXKUXCUXLXFZUXIUUMUFUXPUXFUUJUXHUULOUXPUXEUUINUXPDUXDYTFUXP
      UVDUQZUXDYSUXLMZYTUXPUXDUXRXFUVDYSUXCUXLYHVAUVDUXRYTXFUXPYSDCYKVDWKZYLXRU
      XPDUXGUUCFUXQUXDYTNUXSXRYMWLYNYOUNYPXG $.
  $}

  ${
    $d A a b c d k $.  $d B b $.  $d a b c d k ph $.  $d b c e j k $.
    mccl.kb $e |- F/_ k B $.
    mccl.a $e |- ( ph -> A e. Fin ) $.
    mccl.b $e |- ( ph -> B e. ( NN0 ^m A ) ) $.
    $( A multinomial coefficient, in its standard domain, is a positive
       integer.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    mccl $p |- ( ph -> ( ( ! ` sum_ k e. A ( B ` k ) ) / prod_ k e. A ( ! ` ( B
       ` k ) ) ) e. NN ) $=
      ( vb vj cfv csu cfa cprod cdiv co cn wcel cn0 wral wceq va vc vd ve cv c0
      cmap csn sumeq1 fveq2d prodeq1 oveq12d eleq1d ralbidv oveq2 raleqdv bitrd
      cun wa cc0 sum0 fveq2i fac0 eqtri prod0 oveq12i 1div1e1 eqeltri ralrimiva
      c1 1nn a1i wss cdif nfra1 nfan simpll fveq2 cbvsumv fveq1 sumeq2sdv eqtrd
      2fveq3 cbvprodv prodeq2ad cbvralvw biimpi ad2antlr simpr ad3antrrr simprl
      nfv cfn ad2antrr simprr eleq1i ralbii mccllem syl21anc ralrimi findcard2d
      ex nfcv nfeq a1d sumeq2d prodeq2d rspccva syl2anc ) ABDUEZHUEZJZDKZLJZBXL
      LJZDMZNOZPQZHRBUGOZSZCXSQBXJCJZDKZLJZBYALJZDMZNOZPQZAUAUEZXLDKZLJZYHXODMZ
      NOZPQZHRYHUGOZSZUFXLDKZLJZUFXODMZNOZPQZHRUFUGOZSZUBUEZXLDKZLJZUUCXODMZNOZ
      PQZHRUUCUGOZSZUUCUCUEZUHURZXLDKZLJZUULXODMZNOZPQZHRUULUGOZSZXTUAUBUCBYHUF
      TZYOYTHYNSUUBUUTYMYTHYNUUTYLYSPUUTYJYQYKYRNUUTYIYPLYHUFXLDUIUJYHUFXODUKUL
      UMUNUUTYTHYNUUAYHUFRUGUOUPUQYHUUCTZYOUUHHYNSUUJUVAYMUUHHYNUVAYLUUGPUVAYJU
      UEYKUUFNUVAYIUUDLYHUUCXLDUIUJYHUUCXODUKULUMUNUVAUUHHYNUUIYHUUCRUGUOUPUQYH
      UULTZYOUUQHYNSUUSUVBYMUUQHYNUVBYLUUPPUVBYJUUNYKUUONUVBYIUUMLYHUULXLDUIUJY
      HUULXODUKULUMUNUVBUUQHYNUURYHUULRUGUOUPUQYHBTZYOXRHYNSXTUVCYMXRHYNUVCYLXQ
      PUVCYJXNYKXPNUVCYIXMLYHBXLDUIUJYHBXODUKULUMUNUVCXRHYNXSYHBRUGUOUPUQAYTHUU
      AYTAXKUUAQUSYSVJPYSVJVJNOVJYQVJYRVJNYQUTLJVJYPUTLXLDVAVBVCVDXODVEVFVGVDVK
      VHVLVIAUUCBVMZUUKBUUCVNQZUSZUSZUUJUUSUVGUUJUSZUUQHUURUVGUUJHUVGHWLUUHHUUI
      VOVPUVHXKUURQZUUQUVHUVIUSUVGUUCIUEZUDUEZJZIKZLJZUUCUVLLJZIMZNOZPQZUDUUISZ
      UVIUUQUVGUUJUVIVQUUJUVSUVGUVIUUJUVSUUHUVRHUDUUIXKUVKTZUUGUVQPUVTUUEUVNUUF
      UVPNUVTUUDUVMLUVTUUDUUCUVJXKJZIKZUVMUUDUWBTUVTUUCXLUWADIXJUVJXKVRVSVLUVTU
      UCUWAUVLIUVJXKUVKVTZWAWBUJUVTUUFUUCUWALJZIMZUVPUUFUWETUVTUUCXOUWDDIXJUVJL
      XKWCWDVLUVTUUCUWDUVOIUVTUWAUVLLUWCUJWEWBULUMWFWGWHUVHUVIWIUVGUVSUSZUVIUSB
      XKUUCUUKDUDABWMQUVFUVSUVIFWJUVGUVDUVSUVIAUVDUVEWKWNUVGUVEUVSUVIAUVDUVEWOW
      NUWFUVIWIUVSUUCXJUVKJZDKZLJZUUCUWGLJZDMZNOZPQZUDUUISZUVGUVIUVSUWNUVRUWMUD
      UUIUVQUWLPUVNUWIUVPUWKNUVMUWHLUUCUVLUWGIDUVJXJUVKVRVSVBUUCUVOUWJIDUVJXJLU
      VKWCWDVFWPWQWGWHWRWSXBWTXBFXAGXRYGHCXSXKCTZXQYFPUWOXNYCXPYENUWOXMYBLUWOBX
      LYADUWOXLYATZDBDXKCDXKXCEXDZUWOUWPXJBQZXJXKCVTZXEWTXFUJUWOBXOYDDUWOXOYDTZ
      DBUWQUWOUWTUWRUWOXLYALUWSUJXEWTXGULUMXHXI $.
  $}

  ${
    $d A k $.  $d J k x $.  $d K k x $.  $d W k x $.  $d X k x $.  $d Z k $.
    $d ph x $.
    fprodcnlem.1 $e |- F/ k ph $.
    fprodcnlem.k $e |- K = ( TopOpen ` CCfld ) $.
    fprodcnlem.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    fprodcnlem.a $e |- ( ph -> A e. Fin ) $.
    fprodcnlem.b $e |- ( ( ph /\ k e. A ) -> ( x e. X |-> B ) e. ( J Cn K ) )
                      $.
    fprodcnlem.z $e |- ( ph -> Z C_ A ) $.
    fprodcnlem.w $e |- ( ph -> W e. ( A \ Z ) ) $.
    fprodcnlem.p $e |- ( ph -> ( x e. X |-> prod_ k e. Z B ) e. ( J Cn K ) ) $.
    $( A finite product of functions to complex numbers from a common
       topological space is continuous.  Induction step.  (Contributed by
       Glauco Siliprandi, 8-Apr-2021.) $)
    fprodcnlem $p |- ( ph -> ( x e. X |-> prod_ k e. ( Z u. { W } ) B ) e. ( J
       Cn K ) ) $=
      ( wcel cc csn cun cprod cmpt csb cmul co ccn cv cdif nfv nfan nfcsb1v cfn
      wa ssfid adantr eldifbd sselda adantlr wral wf ctopon cfv cnfldtopon cnf2
      syl3anc eqid fmpt sylibr simplr rspa syl2anc syldan csbeq1a eldifad simpr
      a1i nfcv nfel1 nfim wceq eleq1 anbi2d eleq1d imbi12d vtoclgf fprodsplitsn
      wi mpcom mpdan mpteq2dva nfmpt nfel mpteq2dv idi anabsi7 cnmpt12f eqeltrd
      ctx mulcn ) ABIJHUAUBDEUCZUDBIJDEUCZEHDUEZUFUGZUDFGUHUGZABIXBXEABUIISZUOZ
      JHDXDECJUJZAXGEKXGEUKULZEHDUMZAJUNSXGACJNPUPUQAHXISXGQUQZXHHCJXLURXHEUIZJ
      SZXMCSZDTSZAXNXOXGAJCXMPUSUTXHXOUOZXPBIVAZXGXPAXOXRXGAXOUOZITBIDUDZVBZXRX
      SFIVCVDSZGTVCVDSZXTXFSZYAAYBXOMUQYCXSGLVEVROXTFGITVFVGBITDXTXTVHVIVJUTAXG
      XOVKXPBIVLVMZVNEHDVOZXHHCSZXDTSZXHHCJXLVPYGXHYGUOZYHXHYGVQXQXPWIYIYHWIEHC
      EHVSZYIYHEXHYGEXJYGEUKZULEXDTXKVTWAXMHWBZXQYIXPYHYLXOYGXHXMHCWCZWDYLDXDTY
      FWEWFYEWGWJWKWHWLABXCXDUFFGGGIMRAYGBIXDUDZXFSZAHCJQVPAYGYOXSYDWIZAYGUOZYO
      WIEHCYJYQYOEAYGEKYKULEYNXFEBIXDEIVSXKWMEXFVSWNWAYLXSYQYDYOYLXOYGAYMWDYLXT
      YNXFYLBIDXDYFWOWEWFYPOWPWGWQWKUFGGWTUGGUHUGSAGLXAVRWRWS $.
  $}

  ${
    $d A k w x y z $.  $d B w y z $.  $d J k w y z $.  $d K k w y z $.
    $d X k w x y z $.  $d ph w y z $.
    fprodcn.d $e |- F/ k ph $.
    fprodcn.k $e |- K = ( TopOpen ` CCfld ) $.
    fprodcn.j $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    fprodcn.a $e |- ( ph -> A e. Fin ) $.
    fprodcn.b $e |- ( ( ph /\ k e. A ) -> ( x e. X |-> B ) e. ( J Cn K ) ) $.
    $( A finite product of functions to complex numbers from a common
       topological space is continuous.  The class expression for ` B `
       normally contains free variables ` k ` and ` x ` to index it.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    fprodcn $p |- ( ph -> ( x e. X |-> prod_ k e. A B ) e. ( J Cn K ) ) $=
      ( vy cprod cmpt wcel wceq c1 nfcv vz vw cv ccn co c0 csn prodeq1 mpteq2dv
      cun eleq1d prod0 mpteq2i eqidd cbvmptv eqtri a1i cc ctopon cfv cnfldtopon
      1cnd cnmptc eqeltrd wss cdif csb nfcsb1v nfcprod csbeq1a prodeq2ad cbvmpt
      nfv nfan nfcprod1 nfmpt nfel ad2antrr cfn eqcomi ad4ant14 simplrl simplrr
      wa prodeq2sdv eleq1i biimpi adantl fprodcnlem ex findcard2d ) ABHNUCZDEOZ
      PZFGUDUEZQBHUFDEOZPZWOQBHUAUCZDEOZPZWOQZBHWRUBUCZUGUJZDEOZPZWOQZBHCDEOZPZ
      WOQNUAUBCWLUFRZWNWQWOXIBHWMWPWLUFDEUHUIUKWLWRRZWNWTWOXJBHWMWSWLWRDEUHUIUK
      WLXCRZWNXEWOXKBHWMXDWLXCDEUHUIUKWLCRZWNXHWOXLBHWMXGWLCDEUHUIUKAWQNHSPZWOW
      QXMRAWQBHSPXMBHWPSDEULUMBNHSSBUCWLRZSUNUOUPUQANSFGHURKGURUSUTQAGJVAUQAVBV
      CVDAWRCVEZXBCWRVFQZWDZWDZXAXFXRXAWDZXENHXCBWLDVGZEOZPZWOXEYBRXSBNHXDYANXD
      TBXCXTEBXCTBWLDVHZVIXNXCDXTEBWLDVJZVKVLUQXSNCXTEFGXBHWRXRXAEAXQEIXQEVMVNE
      WTWOEBHWSEHTWRDEEWRTVOVPEWOTVQVNJAFHUSUTQXQXAKVRACVSQXQXALVRAEUCCQZNHXTPZ
      WOQXQXAAYEWDZYFBHDPZWOYFYHRYGYHYFBNHDXTNDTYCYDVLVTUQMVDWAAXOXPXAWBAXOXPXA
      WCXANHWRXTEOZPZWOQZXRXAYKWTYJWOBNHWSYINWSTBWRXTEBWRTYCVIXNWRDXTEYDWEVLWFW
      GWHWIVDWJLWK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Limits
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d k n ph $.  $d A k $.  $d A n $.  $d B k $.  $d B n $.  $d F k $.
    clim1fr1.1 $e |- F = ( n e. NN |-> ( ( ( A x. n ) + B ) / ( A x. n ) ) ) $.
    clim1fr1.2 $e |- ( ph -> A e. CC ) $.
    clim1fr1.3 $e |- ( ph -> A =/= 0 ) $.
    clim1fr1.4 $e |- ( ph -> B e. CC ) $.
    $( A class of sequences of fractions that converge to 1.  (Contributed by
       Glauco Siliprandi, 29-Jun-2017.) $)
    clim1fr1 $p |- ( ph -> F ~~> 1 ) $=
      ( c1 cc0 caddc co cn cmpt cdiv cvv wcel cc adantr cli cmul nnuz 1zzd nnex
      vk cv mptex a1i 1cnd cfv wceq eqidd wa id fvmptd adantl climconst eqeltri
      nncn wne nnne0 divdiv1d mpteq2dva wbr divcld divcnv syl eqbrtrrd wf fmpti
      eqid mulcld mulne0d fmpttd oveq2 oveq1d oveq12d simpr nncnd addcld nnne0d
      ffvelrnda fvmptd3 divdird dividd eqtrd eqcomd oveq2d 3eqtrd climadd 1p0e1
      breqtrdi ) AEJKLMJUAAJKUFDNJOZDNCBDUGZUBMZPMZOZEJQNUCAUDZAJUFWNJQNUCWSWNQ
      RADNJUEUHUIAUJUFUGZNRZWTWNUKZJULAXADWTJJNWNSXAWNUMXAWOWTULZUNJUMXAUOXAUJU
      PUQZUREQRAEDNWPCLMZWPPMZOQFDNXFUEUHUSUIADNCBPMZWOPMZOZWRKUAADNXHWQAWONRZU
      NZCBWOACSRZXJITZABSRZXJGTZXJWOSRAWOUTUQZABKVAZXJHTZXJWOKVAAWOVBUQZVCVDAXG
      SRXIKUAVEACBIGHVFXGDVGVHVIANSWTWNNSWNVJADNSJWNWNVLXJUJVKUIWCANSWTWRADNWQS
      XKCWPXMXKBWOXOXPVMXKBWOXOXPXRXSVNVFVOWCAXAUNZWTEUKBWTUBMZCLMZYAPMZJCYAPMZ
      LMZXBWTWRUKZLMXTDWTXFYCNESFXCXEYBWPYAPXCWPYACLWOWTBUBVPZVQYGVRAXAVSZXTYBY
      AXTYACXTBWTAXNXAGTZXTWTYHVTZVMZAXLXAITZWAYKXTBWTYIYJAXQXAHTXTWTYHWBVNZVFW
      DXTYCYAYAPMZYDLMYEXTYACYAYKYLYKYMWEXTYNJYDLXTYAYKYMWFVQWGXTJXBYDYFLXTXBJX
      DWHXTYFYDXTDWTWQYDNWRSXTWRUMXTXCUNZWPYACPYOWOWTBUBXTXCVSWIWIYHXTCYAYLYKYM
      VFUPWHVRWJWKWLWM $.
  $}

  ${
    $d k ph $.  $d F k $.  $d M k $.  $d Z k $.
    isumneg.1 $e |- Z = ( ZZ>= ` M ) $.
    isumneg.2 $e |- ( ph -> M e. ZZ ) $.
    isumneg.3 $e |- ( ph -> sum_ k e. Z A e. CC ) $.
    isumneg.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.
    isumneg.5 $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
    isumneg.6 $e |- ( ph -> seq M ( + , F ) e. dom ~~> ) $.
    $( Negation of a converging sum.  (Contributed by Glauco Siliprandi,
       29-Jun-2017.) $)
    isumneg $p |- ( ph -> sum_ k e. Z -u A = -u sum_ k e. Z A ) $=
      ( cneg csu c1 cmul co cv wcel mulm1d wa eqcomd sumeq2dv isummulc2 3eqtr2d
      1cnd negcld ) AFBMZCNFOMZBPQZCNUIFBCNZPQUKMAFUHUJCACRFSUAZUJUHULBKTUBUCAB
      UICDEFGHJKLAOAUFUGUDAUKITUE $.
  $}

  ${
    $d k w x y z ph $.  $d A k $.  $d A w $.  $d A x $.  $d A y $.  $d A z $.
    $d G k $.  $d G w $.  $d G y $.  $d G z $.  $d H k $.  $d H x $.  $d Z k $.
    $d Z w $.  $d Z y $.
    climrec.1 $e |- Z = ( ZZ>= ` M ) $.
    climrec.2 $e |- ( ph -> M e. ZZ ) $.
    climrec.3 $e |- ( ph -> G ~~> A ) $.
    climrec.4 $e |- ( ph -> A =/= 0 ) $.
    climrec.5 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) e. ( CC \ { 0 } ) ) $.
    climrec.6 $e |- ( ( ph /\ k e. Z ) -> ( H ` k ) = ( 1 / ( G ` k ) ) ) $.
    climrec.7 $e |- ( ph -> H e. W ) $.
    $( Limit of the reciprocal of a converging sequence.  (Contributed by
       Glauco Siliprandi, 29-Jun-2017.) $)
    climrec $p |- ( ph -> H ~~> ( 1 / A ) ) $=
      ( cc c1 cdiv co cfv vw vx vy vz cc0 csn cdif cmpt cli wbr wcel climcl syl
      cv wceq neneqd c0ex elsn2 sylnibr eldifd wa eqidd oveq2d eldifad eldifsni
      simpr wne adantl reccld fvmptd eqeltrd crp cmin cabs clt wi wral wrex cle
      cmul cif eqid reccn2 sylan eldifi ad2antlr ad4antr oveq12d fveq2d simpllr
      c2 mp2d eqbrtrd exp41 ralimdv2 reximdv mpd oveq2 eqtr4d climcn1 breqtrd
      id ) AEBUAPUEUFZUGZQUAUNZRSZUHZTZQBRSZUIAUBUCUDBXDCXGDEFGHIJABPXCADBUIUJB
      PUKKBDULUMZABUEUOBXCUKABUELUPBUEUQURUSUTZAUDUNZXDUKZVAZXLXGTZQXLRSZPXNUAX
      LXFXPXDXGPXNXGVBXNXEXLUOZVAXEXLQRXNXQVFVCAXMVFZXNXLXNXLPXCXRVDXMXLUEVGAXL
      PUEVEZVHVIZVJXTVKKOAUBUNZVLUKZVAZXLBVMSVNTUCUNVOUJZXPXIVMSZVNTZYAVOUJZVPZ
      UDXDVQZUCVLVRZYDXOXHVMSZVNTZYAVOUJZVPZUDXDVQZUCVLVRABXDUKYBYJXKUCUDBYAQBV
      NTZYAVTSZVSUJQYQWAYPWKRSVTSZYRWBWCWDYCYIYOUCVLYCYHYNUDXDXDYCXMYHVPZXMYDYM
      YCYSVAZXMVAZYDVAZYLYFYAVOUUBYKYEVNUUBXOXPXHXIVMXMXOXPUOYTYDXMUAXLXFXPXDXG
      PXMXGVBXMXQVAXEXLQRXMXQVFVCXMXBZXMXLXLPXCWEXSVIVJWFAXHXIUOYBYSXMYDAUABXFX
      IXDXGPAXGVBAXEBUOZVAXEBQRAUUDVFVCXKABXJLVIVJZWGWHWIUUBXMYDYGXMXMYTYDUUCWF
      UUAYDVFYCYSXMYDWJWLWMWNWOWPWQMACUNZHUKVAZUUFETQUUFDTZRSZUUHXGTNUUGUAUUHXF
      UUIXDXGPUUGXGVBXEUUHUOXFUUIUOUUGXEUUHQRWRVHMUUGUUHUUGUUHPXCMVDUUGUUHXDUKU
      UHUEVGMUUHPUEVEUMVIVJWSWTUUEXA $.
  $}

  ${
    $d j k $.  $d j ph $.  $d A j $.  $d B j $.  $d F j $.  $d G j $.
    $d H j $.  $d M j $.  $d Z j $.  $d Z k $.
    climmulf.1 $e |- F/ k ph $.
    climmulf.2 $e |- F/_ k F $.
    climmulf.3 $e |- F/_ k G $.
    climmulf.4 $e |- F/_ k H $.
    climmulf.5 $e |- Z = ( ZZ>= ` M ) $.
    climmulf.6 $e |- ( ph -> M e. ZZ ) $.
    climmulf.7 $e |- ( ph -> F ~~> A ) $.
    climmulf.8 $e |- ( ph -> H e. X ) $.
    climmulf.9 $e |- ( ph -> G ~~> B ) $.
    climmulf.10 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    climmulf.11 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) e. CC ) $.
    climmulf.12 $e |- ( ( ph /\ k e. Z ) -> ( H ` k ) = ( ( F ` k ) x. ( G ` k
                      ) ) ) $.
    $( A version of ~ climmul using bound-variable hypotheses instead of
       distinct variable conditions.  (Contributed by Glauco Siliprandi,
       29-Jun-2017.) $)
    climmulf $p |- ( ph -> H ~~> ( A x. B ) ) $=
      ( vj cv wcel wa cfv cc nfcv nfel1 nfan nffv nfim wceq eleq1w anbi2d fveq2
      wi eleq1d imbi12d chvarfv cmul co nfov nfeq oveq12d eqeq12d climmul ) ABC
      UCEFGHIJOPQRSADUDZJUEZUFZVIEUGZUHUEZURAUCUDZJUEZUFZVNEUGZUHUEZURDUCVPVRDA
      VODKDVNJDVNUIZUJUKZDVQUHDVNELVSULZUJUMVIVNUNZVKVPVMVRWBVJVOADUCJUOUPZWBVL
      VQUHVIVNEUQZUSUTTVAVKVIFUGZUHUEZURVPVNFUGZUHUEZURDUCVPWHDVTDWGUHDVNFMVSUL
      ZUJUMWBVKVPWFWHWCWBWEWGUHVIVNFUQZUSUTUAVAVKVIGUGZVLWEVBVCZUNZURVPVNGUGZVQ
      WGVBVCZUNZURDUCVPWPDVTDWNWODVNGNVSULDVQWGVBWADVBUIWIVDVEUMWBVKVPWMWPWCWBW
      KWNWLWOVIVNGUQWBVLVQWEWGVBWDWJVFVGUTUBVAVH $.
  $}

  ${
    $d j k $.  $d j x ph $.  $d A j $.  $d A x $.  $d F j $.  $d F x $.
    $d H j $.  $d N j $.  $d N k $.  $d N x $.  $d Z j $.  $d Z k $.  $d Z x $.
    climexp.1 $e |- F/ k ph $.
    climexp.2 $e |- F/_ k F $.
    climexp.3 $e |- F/_ k H $.
    climexp.4 $e |- Z = ( ZZ>= ` M ) $.
    climexp.5 $e |- ( ph -> M e. ZZ ) $.
    climexp.6 $e |- ( ph -> F : Z --> CC ) $.
    climexp.7 $e |- ( ph -> F ~~> A ) $.
    climexp.8 $e |- ( ph -> N e. NN0 ) $.
    climexp.9 $e |- ( ph -> H e. V ) $.
    climexp.10 $e |- ( ( ph /\ k e. Z ) -> ( H ` k ) = ( ( F ` k ) ^ N ) ) $.
    $( The limit of natural powers, is the natural power of the limit.
       (Contributed by Glauco Siliprandi, 29-Jun-2017.) $)
    climexp $p |- ( ph -> H ~~> ( A ^ N ) ) $=
      ( cc vx vj cexp co cli wbr cmpt ccom cfv ccnfld ctopn ccn ccncf wcel eqid
      cv cn0 expcn cncfcn1 eleqtrrdi climcl climcncf eqidd wceq wa simpr oveq1d
      syl expcld fvmptd breqtrd cvv cnex mptex wf cuz fvexi fex sylancl sylancr
      coexg ffvelrnda adantr fvco3 sylan wi nfv nfan nfcv nffv nfov nfeq eleq1w
      nfim anbi2d fveq2 eqeq12d imbi12d chvarfv 3eqtr4rd climeq mpbird ) AEBGUC
      UDZUEUFUATUAUPZGUCUDZUGZDUHZXCUEUFAXGBXFUIXCUEATTBXFDFIMNAXFUJUKUIZXHULUD
      ZTTUMUDAGUQUNZXFXIUNQUAXHGXHUOZURVHXHXKUSUTOPADBUEUFBTUNPBDVAVHZVBAUABXEX
      CTXFTAXFVCAXDBVDZVEXDBGUCAXMVFVGXLABGXLQVIVJVKAXCUBEXGFHVLIMRAXFVLUNDVLUN
      ZXGVLUNUATXEVMVNAITDVOZIVLUNXNOIFVPMVQITVLDVRVSXFDVLVLWAVTNAUBUPZIUNZVEZX
      PDUIZXFUIZXSGUCUDZXPXGUIZXPEUIZXRUAXSXEYATXFTXRXFVCXRXDXSVDZVEXDXSGUCXRYD
      VFVGAITXPDOWBZXRXSGYEAXJXQQWCVIVJAXOXQYBXTVDOITXPXFDWDWEACUPZIUNZVEZYFEUI
      ZYFDUIZGUCUDZVDZWFXRYCYAVDZWFCUBXRYMCAXQCJXQCWGWHCYCYACXPELCXPWIZWJCXSGUC
      CXPDKYNWJCUCWICGWIWKWLWNYFXPVDZYHXRYLYMYOYGXQACUBIWMWOYOYIYCYKYAYFXPEWPYO
      YJXSGUCYFXPDWPVGWQWRSWSWTXAXB $.
  $}

  ${
    $d j k n y ph $.  $d k x y $.  $d F j $.  $d F k $.  $d F n $.  $d F x $.
    $d F y $.  $d M j $.  $d Z j $.  $d Z k $.  $d Z n $.  $d Z x $.  $d Z y $.
    climinf.3 $e |- Z = ( ZZ>= ` M ) $.
    climinf.4 $e |- ( ph -> M e. ZZ ) $.
    climinf.5 $e |- ( ph -> F : Z --> RR ) $.
    climinf.6 $e |- ( ( ph /\ k e. Z ) -> ( F ` ( k + 1 ) ) <_ ( F ` k ) ) $.
    climinf.7 $e |- ( ph -> E. x e. RR A. k e. Z x <_ ( F ` k ) ) $.
    $( A bounded monotonic nonincreasing sequence converges to the infimum of
       its range.  (Contributed by Glauco Siliprandi, 29-Jun-2017.)  (Revised
       by AV, 15-Sep-2020.) $)
    climinf $p |- ( ph -> F ~~> inf ( ran F , RR , < ) ) $=
      ( vy vn cr clt wbr cfv co wcel cle vj crn cinf cli cv cmin cabs wral wrex
      cuz crp wa caddc wss c0 wne w3a frnd wfn ffnd uzid syl eleqtrrdi fnfvelrn
      cz syl2anc ne0d wb breq2 ralrn rexbidv mpbird 3jca infrecl simpr ltaddrpd
      adantr rpre adantl readdcld infrglb mpbid sselda adantlr ad2antlr ltsub1d
      syl3anc recnd ad2antrr pncand breq2d bitrd biimpd reximdva mpd wceq oveq1
      cc breq1d rexrn biimpa syldan wi wf uztrn2 syl2an simpl simprr cfz fzssuz
      ffvelrn uzss sseqtrrdi eleq2s ad2antrl sstrid ralrimiva ssralv c1 fvoveq1
      sylc r19.21bi fveq2 breq12d sylan monoord2 lesub1dd resubcld lelttr mpand
      rspccva ltsub23 sseldd infrelb abssubge0d 3imtr4d anassrs ralrimdva fvexi
      cvv fex sylancl eqidd ffvelrnda clim2c ) ADDUBZNOUCZUDPCUEZDQZUUGUFRZUGQZ
      LUEZOPZCUAUEZUJQZUHZUAFUIZLUKUHAUUQLUKAUULUKSZULZUUNDQZUULUFRZUUGOPZUAFUI
      ZUUQAUURUUHUULUFRZUUGOPZCUUFUIZUVCUUSUUHUUGUULUMRZOPZCUUFUIZUVFUUSUUGUVGO
      PZUVIUUSUUGUULUUSUUFNUNZUUFUOUPZBUEZUULTPZLUUFUHZBNUIZUQZUUGNSZAUVQUURAUV
      KUVLUVPAFNDIURZAUUFEDQZADFUSZEFSUVTUUFSAFNDIUTZAEEUJQZFAEVESEUWCSHEVAVBGV
      CFEDVDVFVGZAUVPUVMUUITPZCFUHZBNUIZKAUWAUVPUWGVHUWBUWAUVOUWFBNUVNUWELCFDUU
      LUUIUVMTVIVJVKVBVLZVMVQZBLUUFVNZVBZAUURVOVPUUSUVQUVGNSUVJUVIVHUWIUUSUUGUU
      LUWKUURUULNSZAUULVRZVSVTBLCUUFUVGWAVFWBUUSUVHUVECUUFUUSUUHUUFSZULZUVHUVEU
      WOUVHUVDUVGUULUFRZOPUVEUWOUUHUVGUULAUWNUUHNSUURAUUFNUUHUVSWCWDUWOUUGUULUU
      SUVRUWNUWKVQUURUWLAUWNUWMWEZVTUWQWFUWOUWPUUGUVDOUWOUUGUULAUUGWRSUURUWNAUU
      GAUVKUVLUVPUVRUVSUWDUWHUWJWGZWHZWIUWOUULUWQWHWJWKWLWMWNWOAUVFUVCAUWAUVFUV
      CVHUWBUVEUVBCUAFDUUHUUTWPUVDUVAUUGOUUHUUTUULUFWQWSWTVBXAXBUUSUVBUUPUAFUUS
      UUNFSZULUVBUUMCUUOUUSUWTUUHUUOSZUVBUUMXCUUSUWTUXAULZULZUUTUUGUFRZUULOPZUU
      JUULOPZUVBUUMUXCUUJUXDTPZUXEUXFUXCUUIUUTUUGUUSFNDXDZUUHFSZUUINSUXBAUXHUUR
      IVQZEUUHUUNFGXEZFNUUHDXKXFZUUSUXHUWTUUTNSZUXBUXJUWTUXAXGFNUUNDXKXFZAUVRUU
      RUXBUWRWIZUXCMDUUNUUHUUSUWTUXAXHUXCMUEZDQZNSZMUUNUUHXIRZUXCUXSFUNUXRMFUHZ
      UXRMUXSUHUXCUXSUUOFUUNUUHXJUWTUUOFUNZUUSUXAUYAUUNUWCFUUNUWCSUUOUWCFEUUNXL
      GXMGXNXOZXPAUXTUURUXBAUXHUXTIUXHUXRMFFNUXPDXKXQVBWIUXRMUXSFXRYAYBUXCUXPUU
      NUUHXSUFRZXIRZSUXPFSZUXPXSUMRDQZUXQTPZUXCUYDFUXPUXCUYDUUOFUUNUYCXJUYBXPWC
      UXCUUHXSUMRDQZUUITPZCFUHZUYEUYGAUYJUURUXBAUYICFJXQWIUYIUYGCUXPFUUHUXPWPUY
      HUYFUUIUXQTUUHUXPXSDUMXTUUHUXPDYCYDYKYEXBYFYGUXCUUJNSUXDNSUWLUXGUXEULUXFX
      CUXCUUIUUGUXLUXOYHUXCUUTUUGUXNUXOYHUURUWLAUXBUWMWEZUUJUXDUULYIWGYJUXCUXMU
      WLUVRUVBUXEVHUXNUYKUXOUUTUULUUGYLWGUXCUUKUUJUULOUXCUUGUUIUXOUXCUUFNUUIAUV
      KUURUXBUVSWIZUUSUWAUXIUUIUUFSZUXBAUWAUURUWBVQUXKFUUHDVDXFZYMUXCUVKUVPUYMU
      UGUUITPUYLAUVPUURUXBUWHWIUYNBLUUIUUFYNWGYOWSYPYQYRWNWOXQALUUGUUIUACDEYTFG
      HAUXHFYTSDYTSIFEUJGYSFNYTDUUAUUBAUXIULZUUIUUCUWSUYOUUIAFNUUHDIUUDWHUUEVL
      $.
  $}

  ${
    $d j k ph $.  $d I j $.  $d I k $.  $d K j $.  $d M j $.  $d M k $.
    $d Z j $.  $d Z k $.
    climsuselem1.1 $e |- Z = ( ZZ>= ` M ) $.
    climsuselem1.2 $e |- ( ph -> M e. ZZ ) $.
    climsuselem1.3 $e |- ( ph -> ( I ` M ) e. Z ) $.
    climsuselem1.4 $e |- ( ( ph /\ k e. Z ) -> ( I ` ( k + 1 ) ) e. ( ZZ>= ` (
                         ( I ` k ) + 1 ) ) ) $.
    $( The subsequence index ` I ` has the expected properties: it belongs to
       the same upper integers as the original index, and it is always greater
       than or equal to the original index.  (Contributed by Glauco Siliprandi,
       29-Jun-2017.) $)
    climsuselem1 $p |- ( ( ph /\ K e. Z ) -> ( I ` K ) e. ( ZZ>= ` K ) ) $=
      ( wcel wa cuz cfv wi c1 wceq fveq2 eleq12d imbi2d vj eleq2i biimpi adantl
      simpl cv caddc co cz eleqtrdi a1i simpr simpll simplr mpd w3a cle eluzelz
      wbr 3ad2ant2 peano2zd zred eluzelre 3ad2ant3 1red readdcld eqimss2i sseld
      cr wss imdistani syl 3adant3 eluzle leadd1dd letrd wb eluz syl2anc mpbird
      syl3anc exp31 uzind4 sylc ) ADFKZLDEMNZKZADCNZDMNZKZWEWGAWEWGFWFDGUBUCUDA
      WEUEAUAUFZCNZWKMNZKZOAECNZWFKZOZABUFZCNZWRMNZKZOZAWRPUGUHZCNZXCMNZKZOAWJO
      UABEDWKEQZWNWPAXGWLWOWMWFWKECRWKEMRSTWKWRQZWNXAAXHWLWSWMWTWKWRCRWKWRMRSTW
      KXCQZWNXFAXIWLXDWMXEWKXCCRWKXCMRSTWKDQZWNWJAXJWLWHWMWIWKDCRWKDMRSTWQEUIKA
      WOFWFIGUJUKWRWFKZXBAXFXKXBLZALZAXKXAXFXLAULZXKXBAUMXMAXAXNXKXBAUNUOAXKXAU
      PZXFXCXDUQUSZXOXCWSPUGUHZXDXOXCXOWRXKAWRUIKXAEWRURUTZVAZVBXOWSPXAAWSVIKXK
      WRWSVCVDZXOVEZVFXOXDXOXDXQMNKZXDUIKZAXKYBXAAXKLAWRFKZLYBAXKYDAWFFWRWFFVJA
      FWFGVGUKVHVKJVLVMZXQXDURVLZVBXOWRWSPXOWRXRVBXTYAXAAWRWSUQUSXKWRWSVNVDVOXO
      YBXQXDUQUSYEXQXDVNVLVPXOXCUIKYCXFXPVQXSYFXCXDVRVSVTWAWBWCWD $.
  $}

  ${
    $d h i j x $.  $d i k $.  $d i j l x ph $.  $d A h $.  $d A i $.  $d A j $.
    $d A l $.  $d A x $.  $d F h $.  $d F i $.  $d F j $.  $d F x $.  $d G i $.
    $d G j $.  $d G l $.  $d G x $.  $d I h $.  $d I i $.  $d M i $.  $d M l $.
    $d Z i $.  $d Z k $.
    climsuse.1 $e |- F/ k ph $.
    climsuse.3 $e |- F/_ k F $.
    climsuse.2 $e |- F/_ k G $.
    climsuse.4 $e |- F/_ k I $.
    climsuse.5 $e |- Z = ( ZZ>= ` M ) $.
    climsuse.6 $e |- ( ph -> M e. ZZ ) $.
    climsuse.7 $e |- ( ph -> F e. X ) $.
    climsuse.8 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    climsuse.9 $e |- ( ph -> F ~~> A ) $.
    climsuse.10 $e |- ( ph -> ( I ` M ) e. Z ) $.
    climsuse.11 $e |- ( ( ph /\ k e. Z ) -> ( I ` ( k + 1 ) ) e.
      ( ZZ>= ` ( ( I ` k ) + 1 ) ) ) $.
    climsuse.12 $e |- ( ph -> G e. Y ) $.
    climsuse.13 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) = ( F ` ( I ` k ) ) ) $.
    $( A subsequence ` G ` of a converging sequence ` F ` , converges to the
       same limit. ` I ` is the strictly increasing and it is used to index the
       subsequence.  (Contributed by Glauco Siliprandi, 29-Jun-2017.) $)
    climsuse $p |- ( ph -> G ~~> A ) $=
      ( vi vx vl vj vh cli wbr cc wcel cv cfv cmin co cabs clt wa cuz wral wrex
      cz crp climcl syl nfv cle cif simpllr wn ad4antr ifclda nfra1 simp-4l jca
      nfan simpr wss anim1i adantr eluz mpbird simpll uzid 3syl sseqtrrdi sseld
      wb uzss sylc wceq wi nfcv nffv nfeq weq eleq1 anbi2d fveq2 2fveq3 eqeq12d
      nfim imbi12d chvarfv eleq2i biimpi adantl caddc nfov nfel fvoveq1 eleq12d
      c1 fvoveq1d climsuselem1 sseldd eleqtrrdi ex imdistani nfci nfel1 vtoclgf
      eleq1d eqeltrd syl2anc breq1d anbi12d cbvralvw cr zre eluzelz zred eluzle
      3ad2ant3 letrd simprd ralrimi eqidd clim ad2antlr w3a 3ad2ant2 simp3 max1
      simp1 simpl2 eluzelre max2 simp2 syl3anc rspccva eqbrtrd raleqdv r19.21bi
      rspcev mpbid r19.29a mpbir2and ) AEBUIUJBUKULZUDUMZEUNZUKULZUVBBUOUPUQUNZ
      UEUMZURUJZUSZUDUFUMZUTUNZVAZUFVCVBZUEVDVAADBUIUJZUUTSBDVEVFAUVKUEVDAUEVGA
      UVEVDULZUVKAUVMUSZUVADUNZUKULZUVOBUOUPUQUNZUVEURUJZUSZUDUGUMZUTUNZVAZUVKU
      GVCUVNUVTVCULZUSZUWBUSZGUVTVHUJZUVTGVIZVCULUVGUDUWGUTUNZVAZUVKUWEUWFUVTGV
      CUVNUWCUWBUWFVJAGVCULZUVMUWCUWBUWFVKZPVLVMUWEUVGUDUWHUWDUWBUDUWDUDVGUVSUD
      UWAVNVQUWEUVAUWHULZUVGUWEUWLUSZUVCUVFUWMAUVAJULZUVCAUVMUWCUWBUWLVOZUWMAUW
      CUSZUWLUWNUWMAUWCUWOUVNUWCUWBUWLVJZVPUWEUWLVRZUWPUWHJUVAUWPUWHGUTUNZJUWPU
      WGUWSULUWHUWSVSUWPUWFUVTGUWSUWPUWFUSZUVTUWSULZUWFUWPUWFVRUWTUWJUWCUSZUXAU
      WFWIUWPUXBUWFAUWJUWCPVTWAGUVTWBVFWCUWPUWKUSAUWJGUWSULAUWCUWKWDPGWEWFVMGUW
      GWJVFOWGWHWKZAUWNUSZUVBUVAFUNZDUNZUKACUMZJULZUSZUXGEUNZUXGFUNZDUNZWLZWMUX
      DUVBUXFWLZWMCUDUXDUXNCAUWNCKUWNCVGZVQZCUVBUXFCUVAEMCUVAWNZWOCUXEDLCUVAFNU
      XQWOZWOZWPXCCUDWQZUXIUXDUXMUXNUXTUXHUWNAUXGUVAJWRWSZUXTUXJUVBUXLUXFUXGUVA
      EWTUXGUVADFXAXBXDUCXEZUXDUXEJULZAUYCUSZUXFUKULZUXDUXEUWSJUXDUVAUTUNZUWSUX
      EUXDUVAUWSULZUYFUWSVSUWNUYGAUWNUYGJUWSUVAOXFXGXHGUVAWJVFAUDFUVAGJOPTUXIUX
      GXNXIUPFUNZUXKXNXIUPUTUNZULZWMUXDUVAXNXIUPZFUNZUXEXNXIUPZUTUNZULZWMCUDUXD
      UYOCUXPCUYLUYNCUYKFNCUYKWNWOCUYMUTCUTWNCUXEXNXIUXRCXIWNCXNWNXJWOXKXCUXTUX
      IUXDUYJUYOUYAUXTUYHUYLUYIUYNUXGUVAXNFXIXLUXTUXKUXEXNUTXIUXGUVAFWTXOXMXDUA
      XEXPZXQZOXRZAUWNUYCAUWNUYCUYRXSXTUXIUXGDUNZUKULZWMUYDUYEWMCUXEJUXRUYDUYEC
      AUYCCKCUXEJUXRCUDJUXOYAXKVQCUXFUKUXSYBXCUXGUXEWLZUXIUYDUYTUYEVUAUXHUYCAUX
      GUXEJWRWSVUAUYSUXFUKUXGUXEDWTYDXDRYCWKYEYFUWMUVDUXFBUOUPUQUNZUVEURUWMUVBU
      XFBUQUOUWMAUWNUXNUWOUXCUYBYFXOUWMUHUMZDUNZUKULZVUDBUOUPUQUNZUVEURUJZUSZUH
      UWAVAZUXEUWAULZVUBUVEURUJZUWBVUIUWDUWLUWBVUIUVSVUHUDUHUWAUDUHWQZUVPVUEUVR
      VUGVULUVOVUDUKUVAVUCDWTZYDVULUVQVUFUVEURVULUVOVUDBUQUOVUMXOYGYHYIXGUUAUWM
      AUWCUWLVUJUWOUWQUWRAUWCUWLUUBZVUJUVTUXEVHUJZVUNUVTUVAUXEUWCAUVTYJULZUWLUV
      TYKUUCZVUNUWLUVAVCULZUVAYJULAUWCUWLUUDUWGUVAYLZUVAYKWFZVUNUXDUXEUWSULUXEY
      JULVUNAUWNAUWCUWLUUFZVUNUVAUWSJVUNUYGGUVAVHUJZVUNGUWGUVAVUNAGYJULZVVAAGPY
      MVFZVUNUWFUVTGYJVUNUWFUSUVTAUWCUWLUWFUUGYMVUNVVCUWKVVDWAVMZVUTVUNVVCVUPGU
      WGVHUJVVDVUQGUVTUUEYFUWLAUWGUVAVHUJUWCUWGUVAYNYOZYPVUNUWJVURUYGVVBWIVUNAU
      WJVVAPVFUWLAVURUWCVUSYOGUVAWBYFWCOXRVPZUYQGUXEUUHWFVUNUVTUWGUVAVUQVVEVUTV
      UNVVCVUPUVTUWGVHUJVVDVUQGUVTUUIYFVVFYPVUNUXDUXEUYFULZUVAUXEVHUJVVGUYPUVAU
      XEYNWFYPVUNUWCUXEVCULZVUJVUOWIAUWCUWLUUJVUNUXDVVHVVIVVGUYPUVAUXEYLWFUVTUX
      EWBYFWCUUKVUIVUJUSUYEVUKVUHUYEVUKUSUHUXEUWAVUCUXEWLZVUEUYEVUGVUKVVJVUDUXF
      UKVUCUXEDWTZYDVVJVUFVUBUVEURVVJVUDUXFBUQUOVVKXOYGYHUULYQYFUUMVPXSYRUVJUWI
      UFUWGVCUVHUWGWLUVGUDUVIUWHUVHUWGUTWTUUNUUPYFAUWBUGVCVBZUEVDAUUTVVLUEVDVAZ
      AUVLUUTVVMUSSAUEBUVOUGUDDHQAVURUSZUVOYSYTUUQYQUUOUURXSYRAUEBUVBUFUDEIUBVV
      NUVBYSYTUUS $.
  $}

  ${
    $d j k $.  $d j ph $.  $d A j $.  $d G j $.  $d H j $.  $d Z j $.
    $d Z k $.
    climrecf.1 $e |- F/ k ph $.
    climrecf.2 $e |- F/_ k G $.
    climrecf.3 $e |- F/_ k H $.
    climrecf.4 $e |- Z = ( ZZ>= ` M ) $.
    climrecf.5 $e |- ( ph -> M e. ZZ ) $.
    climrecf.6 $e |- ( ph -> G ~~> A ) $.
    climrecf.7 $e |- ( ph -> A =/= 0 ) $.
    climrecf.8 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) e. ( CC \ { 0 } ) ) $.
    climrecf.9 $e |- ( ( ph /\ k e. Z ) -> ( H ` k ) = ( 1 / ( G ` k ) ) ) $.
    climrecf.10 $e |- ( ph -> H e. W ) $.
    $( A version of ~ climrec using bound-variable hypotheses instead of
       distinct variable conditions.  (Contributed by Glauco Siliprandi,
       29-Jun-2017.) $)
    climrecf $p |- ( ph -> H ~~> ( 1 / A ) ) $=
      ( vj c1 cv wcel wa cfv cc cc0 csn cdif nfv nfan nfcv nffv nfel1 nfim wceq
      wi eleq1w anbi2d fveq2 eleq1d imbi12d chvarfv cdiv co nfov oveq2d eqeq12d
      nfeq climrec ) ABSDEFGHLMNOACUAZHUBZUCZVJDUDZUEUFUGUHZUBZUPASUAZHUBZUCZVP
      DUDZVNUBZUPCSVRVTCAVQCIVQCUIUJZCVSVNCVPDJCVPUKZULZUMUNVJVPUOZVLVRVOVTWDVK
      VQACSHUQURZWDVMVSVNVJVPDUSZUTVAPVBVLVJEUDZTVMVCVDZUOZUPVRVPEUDZTVSVCVDZUO
      ZUPCSVRWLCWACWJWKCVPEKWBULCTVSVCCTUKCVCUKWCVEVHUNWDVLVRWIWLWEWDWGWJWHWKVJ
      VPEUSWDVMVSTVCWFVFVGVAQVBRVI $.
  $}

  ${
    $d j k $.  $d j ph $.  $d Z j $.  $d Z k $.
    climneg.1 $e |- F/ k ph $.
    climneg.2 $e |- F/_ k F $.
    climneg.3 $e |- Z = ( ZZ>= ` M ) $.
    climneg.4 $e |- ( ph -> M e. ZZ ) $.
    climneg.5 $e |- ( ph -> F ~~> A ) $.
    climneg.6 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    $( Complex limit of the negative of a sequence.  (Contributed by Glauco
       Siliprandi, 29-Jun-2017.) $)
    climneg $p |- ( ph -> ( k e. Z |-> -u ( F ` k ) ) ~~> -u A ) $=
      ( cfv cneg c1 cmul cvv wcel wceq cc vj cv cmpt cli nfmpt1 cuz fvexi mptex
      co a1i 1cnd negcld eqidd wa id fvmptd adantl climconst neg1cn eqid fvmpt2
      mpan2 eqeltrdi simpr syl2anc mulm1d eqcomd oveq1d 3eqtr2d climmulf climcl
      wbr syl breqtrd ) ACFCUBZDMZNZUCZONZBPUIBNUDAVSBCCFVSUCZDVREQFGCFVSUEHCFV
      QUEIJAVSUAVTEQFIJVTQRACFVSFEUFIUGZUHUJAOAUKULUAUBZFRZWBVTMVSSAWCCWBVSVSFV
      TTWCVTUMWCVOWBSUNVSUMWCUOWCOWCUKULUPUQURVRQRACFVQWAUHUJKVOFRZVOVTMZTRAWDW
      EVSTWDVSTRWEVSSUSCFVSTVTVTUTVAVBZUSVCUQLAWDUNZVOVRMZVQVSVPPUIWEVPPUIWGWDV
      QTRWHVQSAWDVDWGVPLULCFVQTVRVRUTVAVEWGVPLVFWGVSWEVPPWDVSWESAWDWEVSWFVGUQVH
      VIVJABADBUDVLBTRKBDVKVMVFVN $.
  $}

  ${
    $d j k x $.  $d j ph $.  $d F j $.  $d F x $.  $d Z j $.  $d Z k $.
    $d Z x $.
    climinff.1 $e |- F/ k ph $.
    climinff.2 $e |- F/_ k F $.
    climinff.3 $e |- Z = ( ZZ>= ` M ) $.
    climinff.4 $e |- ( ph -> M e. ZZ ) $.
    climinff.5 $e |- ( ph -> F : Z --> RR ) $.
    climinff.6 $e |- ( ( ph /\ k e. Z ) -> ( F ` ( k + 1 ) ) <_ ( F ` k ) ) $.
    climinff.7 $e |- ( ph -> E. x e. RR A. k e. Z x <_ ( F ` k ) ) $.
    $( A version of ~ climinf using bound-variable hypotheses instead of
       distinct variable conditions.  (Contributed by Glauco Siliprandi,
       29-Jun-2017.)  (Revised by AV, 15-Sep-2020.) $)
    climinff $p |- ( ph -> F ~~> inf ( ran F , RR , < ) ) $=
      ( vj cfv cle wbr wi nfcv cr cv wcel wa caddc nfv nfan nffv nfbr nfim wceq
      c1 co eleq1w anbi2d fvoveq1 breq12d imbi12d chvarfv wral wrex nfci nfralw
      fveq2 nfrex wb breq2d cbvralw a1i rexbidv imbi2d climinf ) ABNDEFIJKACUAZ
      FUBZUCZVLUKUDULDOZVLDOZPQZRANUAZFUBZUCZVRUKUDULZDOZVRDOZPQZRCNVTWDCAVSCGV
      SCUEZUFCWBWCPCWADHCWASUGCPSZCVRDHCVRSUGZUHUIVLVRUJZVNVTVQWDWHVMVSACNFUMUN
      WHVOWBVPWCPVLVRUKDUDUOVLVRDVCZUPUQLURABUAZVPPQZCFUSZBTUTZRAWJWCPQZNFUSZBT
      UTZRCNAWPCGWOCBTCTSWNCNFCNFWEVACWJWCPCWJSWFWGUHZVBVDUIWHWMWPAWHWLWOBTWLWO
      VEWHWKWNCNFWKNUEWQWHVPWCWJPWIVFVGVHVIVJMURVK $.
  $}

  ${
    $d Z k $.
    climdivf.1 $e |- F/ k ph $.
    climdivf.2 $e |- F/_ k F $.
    climdivf.3 $e |- F/_ k G $.
    climdivf.4 $e |- F/_ k H $.
    climdivf.5 $e |- Z = ( ZZ>= ` M ) $.
    climdivf.6 $e |- ( ph -> M e. ZZ ) $.
    climdivf.7 $e |- ( ph -> F ~~> A ) $.
    climdivf.8 $e |- ( ph -> H e. X ) $.
    climdivf.9 $e |- ( ph -> G ~~> B ) $.
    climdivf.10 $e |- ( ph -> B =/= 0 ) $.
    climdivf.11 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    climdivf.12 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) e. ( CC \ { 0 } ) ) $.
    climdivf.13 $e |- ( ( ph /\ k e. Z ) -> ( H ` k ) =
      ( ( F ` k ) / ( G ` k ) ) ) $.
    $( Limit of the ratio of two converging sequences.  (Contributed by Glauco
       Siliprandi, 29-Jun-2017.) $)
    climdivf $p |- ( ph -> H ~~> ( A / B ) ) $=
      ( c1 cdiv co cmul cli cv cfv cmpt nfmpt1 cvv wcel wa cc simpr cc0 eldifad
      wceq csn cdif wne eldifsni syl reccld eqid fvmpt2 syl2anc cuz fvexi mptex
      a1i climrecf eqeltrd divrecd eqcomd oveq2d 3eqtrd climmulf wbr breqtrrd
      climcl ) AGBUDCUEUFZUGUFBCUEUFUHABWDDEDJUDDUIZFUJZUEUFZUKZGHIJKLDJWGULZNO
      PQRACDFWHHUMJKMWIOPSTUBAWEJUNZUOZWJWGUPUNWEWHUJZWGUTAWJUQWKWFWKWFUPURVAZU
      BUSZWKWFUPWMVBUNWFURVCUBWFUPURVDVEZVFZDJWGUPWHWHVGVHVIZWHUMUNADJWGJHVJOVK
      VLVMVNUAWKWLWGUPWQWPVOWKWEGUJWEEUJZWFUEUFWRWGUGUFWRWLUGUFUCWKWRWFUAWNWOVP
      WKWGWLWRUGWKWLWGWQVQVRVSVTABCAEBUHWABUPUNQBEWCVEAFCUHWACUPUNSCFWCVETVPWB
      $.
  $}

  ${
    $d n ph $.  $d A n $.  $d F n $.  $d M n $.  $d Z n $.
    climreeq.1 $e |- R = ( ~~>t ` ( topGen ` ran (,) ) ) $.
    climreeq.2 $e |- Z = ( ZZ>= ` M ) $.
    climreeq.3 $e |- ( ph -> M e. ZZ ) $.
    climreeq.4 $e |- ( ph -> F : Z --> RR ) $.
    $( If ` F ` is a real function, then ` F ` converges to ` A ` with respect
       to the standard topology on the reals if and only if it converges to
       ` A ` with respect to the standard topology on complex numbers.  In the
       theorem, ` R ` is defined to be convergence w.r.t. the standard topology
       on the reals and then ` F R A ` represents the statement " ` F `
       converges to ` A ` , with respect to the standard topology on the
       reals".  Notice that there is no need for the hypothesis that ` A ` is a
       real number.  (Contributed by Glauco Siliprandi, 2-Jul-2017.) $)
    climreeq $p |- ( ph -> ( F R A <-> F ~~> A ) ) $=
      ( vn wbr cfv wcel cc cr a1i wa simpr adantr cioo crn ctg clm breqi ccnfld
      cli ctopn cz wss ax-resscn fssd eqid lmclimf syl2anc cvv tgioo2 reex ctop
      wf wb cnfldtop lmss pm5.32da biimpa cv ffvelrnda adantlr climrecl impbid2
      ex ancrd ctopon retopon lmcl 3bitr3d bitr3d bitr4id ) ADBCLDBUAUBUCMZUDMZ
      LZDBUGLZDBCVTGUEADBUFUHMZUDMLZWBWAAEUINZFODUTWDWBVAIAFPODJPOUJAUKQULBDWCE
      FWCUMZHUNUOZABPNZWDRZWHWARZWDWAAWHWDWAAWHRZBDWCVSEUPPFWCWFUQHPUPNWKURQWCU
      SNWKWCWFVBQAWHSAWEWHITAFPDUTWHJTVCVDAWIWDWHWDSAWDWHAWDWHAWDRBKDEFHAWEWDIT
      AWDWBWGVEAKVFZFNWLDMPNWDAFPWLDJVGVHVIVKVLVJAWJWAWHWASAWAWHAWAWHAWARZVSPVM
      MNZWAWHWNWMVNQAWASBDVSPVOUOVKVLVJVPVQVR $.
  $}

  ${
    $d A x $.  $d B x y $.  $d F x y $.  $d K x $.  $d ph x $.
    ellimciota.f $e |- ( ph -> F : A --> CC ) $.
    ellimciota.a $e |- ( ph -> A C_ CC ) $.
    ellimciota.b $e |- ( ph -> B e. ( ( limPt ` K ) ` A ) ) $.
    ellimciota.4 $e |- ( ph -> ( F limCC B ) =/= (/) ) $.
    ellimciota.k $e |- K = ( TopOpen ` CCfld ) $.
    $( An explicit value for the limit, when the limit exists at a limit point.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    ellimciota $p |- ( ph -> ( iota x x e. ( F limCC B ) ) e. ( F limCC B ) )
       $=
      ( vy cv climc co wcel cio eleq1 cbviotavw cvv wceq weu iotaex wex wmo wne
      wb c0 n0 sylib limcmo df-eu sylanbrc iota2 sylancr mpbiri eqeltrid ) ABMZ
      EDNOZPZBQZLMZUSPZLQZUSUTVCBLURVBUSRSZAVDUSPZVAVDUAZVEAVDTPUTBUBZVFVGUGVCL
      UCAUTBUDZUTBUEVHAUSUHUFVIJBUSUIUJABCDEFGHIKUKUTBULUMUTVFBVDTURVDUSRUNUOUP
      UQ $.
  $}

  ${
    $d A j $.  $d B j $.  $d F j $.  $d G j $.  $d H j $.  $d M j $.
    $d Z j k $.  $d j ph $.
    climaddf.1 $e |- F/ k ph $.
    climaddf.2 $e |- F/_ k F $.
    climaddf.3 $e |- F/_ k G $.
    climaddf.4 $e |- F/_ k H $.
    climaddf.5 $e |- Z = ( ZZ>= ` M ) $.
    climaddf.6 $e |- ( ph -> M e. ZZ ) $.
    climaddf.7 $e |- ( ph -> F ~~> A ) $.
    climaddf.8 $e |- ( ph -> H e. X ) $.
    climaddf.9 $e |- ( ph -> G ~~> B ) $.
    climaddf.10 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. CC ) $.
    climaddf.11 $e |- ( ( ph /\ k e. Z ) -> ( G ` k ) e. CC ) $.
    climaddf.12 $e |- ( ( ph /\ k e. Z ) -> ( H ` k ) = ( ( F ` k ) + ( G ` k )
       ) ) $.
    $( A version of ~ climadd using bound-variable hypotheses instead of
       distinct variable conditions.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    climaddf $p |- ( ph -> H ~~> ( A + B ) ) $=
      ( vj cv wcel wa cfv cc wi nfv nfan nfcv nffv nfel1 nfim wceq eleq1w fveq2
      anbi2d eleq1d imbi12d chvarfv caddc co nfov nfeq oveq12d eqeq12d climadd
      ) ABCUCEFGHIJOPQRSADUDZJUEZUFZVJEUGZUHUEZUIAUCUDZJUEZUFZVOEUGZUHUEZUIDUCV
      QVSDAVPDKVPDUJUKZDVRUHDVOELDVOULZUMZUNUOVJVOUPZVLVQVNVSWCVKVPADUCJUQUSZWC
      VMVRUHVJVOEURZUTVATVBVLVJFUGZUHUEZUIVQVOFUGZUHUEZUIDUCVQWIDVTDWHUHDVOFMWA
      UMZUNUOWCVLVQWGWIWDWCWFWHUHVJVOFURZUTVAUAVBVLVJGUGZVMWFVCVDZUPZUIVQVOGUGZ
      VRWHVCVDZUPZUIDUCVQWQDVTDWOWPDVOGNWAUMDVRWHVCWBDVCULWJVEVFUOWCVLVQWNWQWDW
      CWLWOWMWPVJVOGURWCVMVRWFWHVCWEWKVGVHVAUBVBVI $.
  $}

  ${
    $d A a b e f y z $.  $d A a b w y z $.  $d A x y z $.  $d D a b e f y z $.
    $d D a b w y z $.  $d D x y z $.  $d F a c d y z $.  $d F a e f y z $.
    $d G b d y z $.  $d G b e f y z $.  $d H a b w y z $.
    $d X a b c d w y z $.  $d X a b e f y z $.  $d X x y z $.
    $d Y a b c d w y z $.  $d Y a b e f y z $.  $d a b e f ph y z $.
    $d ph w y z $.  $d ph x y z $.
    mullimc.f $e |- F = ( x e. A |-> B ) $.
    mullimc.g $e |- G = ( x e. A |-> C ) $.
    mullimc.h $e |- H = ( x e. A |-> ( B x. C ) ) $.
    mullimc.b $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    mullimc.c $e |- ( ( ph /\ x e. A ) -> C e. CC ) $.
    mullimc.x $e |- ( ph -> X e. ( F limCC D ) ) $.
    mullimc.y $e |- ( ph -> Y e. ( G limCC D ) ) $.
    $( Limit of the product of two functions.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    mullimc $p |- ( ph -> ( X x. Y ) e. ( H limCC D ) ) $=
      ( cc crp vz vy vw vc va vd vb ve vf cmul climc wcel wne cmin cabs cfv clt
      co cv wbr wa wi wral limccl sselid mulcld simpr adantr mulcn2 syl3anc w3a
      wrex fmptd cdm dmmptd wf wss limcrcl simp2d eqsstrrd simp3d ellimc3 mpbid
      syl simprd r19.21bi adantrr adantrl reeanv sylanbrc cle cif ifcl 3ad2ant2
      nfv nfra1 nfan nf3an simp11l simp1rl 3ad2ant1 simp12 simp13l jca31 simp1r
      simp2 simp3l simplll simp1lr simp3r simp1l sselda syl2anc cr rpre ltletrd
      jca syl211anc rsp 3exp ralrimi rexlimdvv mpd wceq cmpt nfmpt1 nfcxfr nfcv
      syl3c nffv anbi2d fveq2 oveq12d imbi12d fvmpt2 fvoveq1d ffvelrnda fvoveq1
      eqcomd breq1d subcld abscld ad2antrl ad2antll ifcld min1 syld3an1 syl3an1
      min2 brimralrspcev adantlr 3adant3 ad2antrr nfov nfeq nfim eleq1w eqeq12d
      simp3 eqtrd chvarfv simpll3 3adant1l anbi1d oveq1 oveq2 rspc2v eqbrtrd ex
      3imp reximdva ralrimiva mpbir2and ) AJKUJURZIFUKURULUVNSULUAUSZFUMZUVOFUN
      URZUOUPZUBUSZUQUTVAZUVOIUPZUVNUNURUOUPZUCUSZUQUTZVBZUACVCZUBTVLZUCTVCAJKA
      GFUKURZSJFGVDQVEZAHFUKURZSKFHVDRVEZVFAUWGUCTAUWCTULZVAZUDUSZJUNURUOUPZUEU
      SZUQUTZUFUSZKUNURUOUPZUGUSZUQUTZVAZUWNUWRUJURZUVNUNURUOUPZUWCUQUTZVBZUFSV
      CUDSVCZUGTVLUETVLZUWGUWMUWLJSULZKSULZUXHAUWLVGAUXIUWLUWIVHAUXJUWLUWKVHUEU
      GUFUDUWCJKVIVJUWMUXGUWGUEUGTTUWMUWPTULZUWTTULZVAZUXGUWGUWMUXMUXGVKZUVTUVO
      GUPZJUNURUOUPZUWPUQUTZUVOHUPZKUNURUOUPZUWTUQUTZVAZVBZUACVCZUBTVLZUWGUWMUX
      MUYDUXGAUXMUYDUWLAUXMVAZUVPUVRUHUSZUQUTZVAZUXQVBZUACVCZUVPUVRUIUSZUQUTZVA
      ZUXTVBZUACVCZVAZUITVLUHTVLZUYDUYEUYJUHTVLZUYOUITVLZUYQAUXKUYRUXLAUYRUETAU
      XIUYRUETVCZAJUWHULZUXIUYTVAQAUEUHUACFJGABCDSGOLVMZACGVNZSABGCDSLOVOAVUCSG
      VPZVUCSVQZFSULZAVUAVUDVUEVUFVKQFJGVRWDZVSVTZAVUDVUEVUFVUGWAZWBWCWEWFWGAUX
      LUYSUXKAUYSUGTAUXJUYSUGTVCZAKUWJULUXJVUJVARAUGUIUACFKHABCESHPMVMZVUHVUIWB
      WCWEWFWHUYJUYOUHUITTWIWJUYEUYPUYDUHUITTUYEUYFTULZUYKTULZVAZUYPUYDUYEVUNUY
      PVKZUYFUYKWKUTZUYFUYKWLZTULZUVPUVRVUQUQUTZVAZUYAVBZUACVCUYDVUNUYEVURUYPVU
      PUYFUYKTWMWNVUOVVAUACUYEVUNUYPUAUYEUAWOVUNUAWOUYJUYOUAUYIUACWPUYNUACWPWQW
      RVUOUVOCULZVUTUYAVUOVVBVUTVKZUXQUXTAUXKVAZVUNVAZUYJVAZVVBVUOVUTUXQVVCVVDV
      UNUYJVVCAUXKAUXMVUNUYPVVBVUTWSVUOVVBUXKVUTUXKUXLAVUNUYPWTZXAXQUYEVUNUYPVV
      BVUTXBUYJUYOUYEVUNVVBVUTXCXDVVFVVBVUTVKZUYJVVBUYHUXQVVEUYJVVBVUTXEVVFVVBV
      UTXFZVVHUVPUYGVVFVVBUVPVUSXGVVHAVUNVVBVUSUYGVVFVVBAVUTAUXKVUNUYJXHXAVVDVU
      NUYJVVBVUTXIVVIVVFVVBUVPVUSXJAVUNVAZVVBVUSVKZUVRVUQUYFVVKUVQVVKUVOFVVKAVV
      BUVOSULAVUNVVBVUSXKZVVJVVBVUSXFACSUVOVUHXLXMVVKAVUFVVLVUIWDUUAUUBZVVKVUPU
      YFUYKXNVVJVVBUYFXNULZVUSVULVVNAVUMUYFXOUUCXAZVVJVVBUYKXNULZVUSVUMVVPAVULU
      YKXOUUDXAZUUEZVVOVVJVVBVUSUUSZVVKVVNVVPVUQUYFWKUTVVOVVQUYFUYKUUFXMXPXRXQU
      YIUACXSYIUUGVUOVVEUYOVAZVVBVUTUXTVUOVVDVUNUYOVUOAUXKAUXMVUNUYPXKVVGXQUYEV
      UNUYPXFUYEVUNUYJUYOXJXDVVTVVBVUTVKZUYOVVBUYMUXTVVEUYOVVBVUTXEVVTVVBVUTXFZ
      VWAUVPUYLVVTVVBUVPVUSXGVWAAVUNVVBVUSUYLVVTVVBAVUTAUXKVUNUYOXHXAVVDVUNUYOV
      VBVUTXIVWBVVTVVBUVPVUSXJVVKUVRVUQUYKVVMVVRVVQVVSVVKVVNVVPVUQUYKWKUTVVOVVQ
      UYFUYKUUIXMXPXRXQUYNUACXSYIUUHXQXTYAUVPUYAUBUAUVRVUQUQTCUUJXMXTYBYCUUKUUL
      UXNUYCUWFUBTUXNUVSTULZVAZUYCUWFVWDUYCVAZUWEUACVWDUYCUAVWDUAWOUYBUACWPWQVW
      EVVBUVTUWDVWEVVBUVTVKZUWBUXOUXRUJURZUVNUNURUOUPZUWCUQVWFAVVBUWBVWHYDVWEVV
      BAUVTUXNAVWCUYCAUWLUXMUXGXKUUMXAZVWEVVBUVTXFZAVVBVAZUWAVWGUVNUOUNABUSZCUL
      ZVAZVWLIUPZVWLGUPZVWLHUPZUJURZYDZVBVWKUWAVWGYDZVBBUAVWKVWTBVWKBWOBUWAVWGB
      UVOIBIBCDEUJURZYENBCVXAYFYGBUVOYHZYJBUXOUXRUJBUVOGBGBCDYELBCDYFYGVXBYJBUJ
      YHBUVOHBHBCEYEMBCEYFYGVXBYJUUNUUOUUPVWLUVOYDZVWNVWKVWSVWTVXCVWMVVBABUACUU
      QYKVXCVWOUWAVWRVWGVWLUVOIYLVXCVWPUXOVWQUXRUJVWLUVOGYLVWLUVOHYLYMUURYNVWNV
      WOVXAVWRVWNVWMVXASULVWOVXAYDAVWMVGZVWNDEOPVFZBCVXASINYOXMVWNDVWPEVWQUJVWN
      VWPDVWNVWMDSULVWPDYDVXDOBCDSGLYOXMYSVWNVWQEVWNVWMESULVWQEYDVXDPBCESHMYOXM
      YSYMUUTUVAYPXMVWFUXOSULZUXRSULZVAZUXGUYAVWHUWCUQUTZVWFAVVBVXHVWIVWJVWKVXF
      VXGACSUVOGVUBYQACSUVOHVUKYQXQXMVWEVVBUXGUVTUWMUXMUXGVWCUYCUVBXAUYCVVBUVTU
      YAVWDUYCVVBUVTUYAUYBUACXSUVJUVCUXFUYAVXIVBUXQUXAVAZUXOUWRUJURZUVNUNURUOUP
      ZUWCUQUTZVBUDUFUXOUXRSSUWNUXOYDZUXBVXJUXEVXMVXNUWQUXQUXAVXNUWOUXPUWPUQUWN
      UXOJUOUNYRYTUVDVXNUXDVXLUWCUQVXNUXCVXKUVNUOUNUWNUXOUWRUJUVEYPYTYNUWRUXRYD
      ZVXJUYAVXMVXIVXOUXAUXTUXQVXOUWSUXSUWTUQUWRUXRKUOUNYRYTYKVXOVXLVWHUWCUQVXO
      VXKVWGUVNUOUNUWRUXRUXOUJUVFYPYTYNUVGYIUVHXTYAUVIUVKYCXTYBYCUVLAUCUBUACFUV
      NIABCVXASIVXENVMVUHVUIWBUVM $.
  $}

  ${
    $d A w y z $.  $d A x $.  $d C w y z $.  $d C x $.  $d D w y z $.
    $d F w y z $.  $d G w y z $.  $d ph w y z $.  $d ph x $.
    ellimcabssub0.f $e |- F = ( x e. A |-> B ) $.
    ellimcabssub0.g $e |- G = ( x e. A |-> ( B - C ) ) $.
    ellimcabssub0.a $e |- ( ph -> A C_ CC ) $.
    ellimcabssub0.b $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    ellimcabssub0.p $e |- ( ph -> D e. CC ) $.
    ellimcabssub0.c $e |- ( ph -> C e. CC ) $.
    $( An equivalent condition for being a limit.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    ellimcabssub0 $p |- ( ph -> ( C e. ( F limCC D ) <-> 0 e. ( G limCC D ) ) )
       $=
      ( vz vw cc wcel cmin co vy cv wne cabs cfv clt wbr wa wral crp wrex climc
      wi cc0 0cnd 2thd csb adantr subcld fmptd ffvelrnda subid1d wceq simpr cvv
      csbov1g elv wsb sban nfv sbf clelsb1 anbi12i bitri nfth sbim sylbb1 ax-mp
      syl5bir wsbc sbsbc wb sbcel1g sylib fvmpts syl2anc oveq1d eqtr4id 3eqtrrd
      eqeltrid fveq2d breq1d ralbidva rexbidv ralbidv anbi12d ellimc3 3bitr4d
      imbi2d ) AEQRZOUBZFUCXAFSTUDUEPUBUFUGUHZXAGUEZESTZUDUEZUAUBZUFUGZUMZOCUIZ
      PUJUKZUAUJUIZUHUNQRZXBXAHUEZUNSTZUDUEZXFUFUGZUMZOCUIZPUJUKZUAUJUIZUHEGFUL
      TRUNHFULTRAWTXLXKXTAWTXLNAUOUPAXJXSUAUJAXIXRPUJAXHXQOCAXACRZUHZXGXPXBYBXE
      XOXFUFYBXDXNUDYBXNXMBXADESTZUQZXDYBXMACQXAHABCYCQHABUBCRZUHZDELAWTYENURUS
      JUTZVAVBYBYAYDQRXMYDVCAYAVDZYBYDBXADUQZESTZQYDYJVCOBXADESVEVFVGZYBYIEYBDQ
      RZBOVHZYIQRZYFYLUMZYBYMUMLYBYFBOVHZYOYMYPABOVHZYEBOVHZUHYBAYEBOVIYQAYRYAA
      BOABVJVKBOCVLVMVNYOBOVHYOYPYMUMYOBOYOBLVOVKYFYLBOVPVQVSVRYMYLBXAVTZYNYLBO
      WAYSYNWBOBXADQVEWCVGVNWDZAWTYANURUSWJBXAYCCHQJWEWFYBYDYJXDYKYBXCYIESYBYAY
      NXCYIVCYHYTBXADCGQIWEWFWGWHWIWKWLWSWMWNWOWPAUAPOCFEGABCDQGLIUTKMWQAUAPOCF
      UNHYGKMWQWR $.
  $}

  ${
    $d B w x y z $.  $d F w x y z $.  $d ph w x y z $.
    limcdm0.f $e |- ( ph -> F : (/) --> CC ) $.
    limcdm0.b $e |- ( ph -> B e. CC ) $.
    $( If a function has empty domain, every complex number is a limit.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    limcdm0 $p |- ( ph -> ( F limCC B ) = CC ) $=
      ( vz vw vy co cc cv wcel wa cfv clt wbr c0 wral crp c1 climc limccl sseli
      vx adantl wne cmin cabs wrex simpr 1rp ral0 brimralrspcev mp2an rgenw a1i
      wi wf adantr wss 0ss ellimc3 mpbir2and impbida eqrdv ) AUDCBUAIZJAUDKZVFL
      ZVGJLZVHVIAVFJVGBCUBUCUEAVIMZVHVIFKZBUFZVKBUGIUHNZGKOPMVKCNVGUGIUHNHKOPZU
      QFQRGSUIZHSRZAVIUJVPVJVOHSTSLVLVMTOPMVNUQZFQRVOUKVQFULVLVNGFVMTOSQUMUNUOU
      PVJHGFQBVGCAQJCURVIDUSQJUTVJJVAUPABJLVIEUSVBVCVDVE $.
  $}

  ${
    $d A a b n $.  $d B a b n v $.  $d B a b u v $.  $d J a b n v $.
    $d a b n ph v $.
    islptre.1 $e |- J = ( topGen ` ran (,) ) $.
    islptre.2 $e |- ( ph -> A C_ RR ) $.
    islptre.3 $e |- ( ph -> B e. RR ) $.
    $( An equivalence condition for a limit point w.r.t. the standard topology
       on the reals.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    islptre $p |- ( ph -> ( B e. ( ( limPt ` J ) ` A ) <-> A. a e. RR* A. b e.
       RR* ( B e. ( a (,) b ) -> ( ( a (,) b ) i^i ( A \ { B } ) ) =/= (/) ) )
       ) $=
      ( vn vv cfv wcel cioo cxr cr wss wa wrex nfv vu clp csn cdif cin wne cnei
      cv c0 wral co ctop crn ctg ctopon retopon eqeltri topontopi a1i toponunii
      wi wb islp2 syl3anc w3a simp1r iooretop eleqtrri snssi adantl ssidd sseq2
      sseq1 anbi12d rspcev syl12anc ioossre jctil elioore snssd sylancr 3adant1
      wceq isnei mpbird neeq1d rspccva syl2anc ralrimivv simplbda eleq2i biimpi
      ineq1 3ad2ant2 simp1 simp3l simpr adantr snssg syl jca tg2 cxp cpw wf wfn
      3exp ioof ovelrn mp2b simpll eleqtrd simplr eqsstrrd ex reximdv rexlimiva
      ffn mpd 3syl simpl3r expcom anim2d reximdva rexlimdv adantlr nfra1 nfra2w
      sstr nfan inss1 simp3r sstrid inss2 ssind simpllr 3ad2ant1 simp2 rexlimd
      rsp2 syl3c ssn0 ralrimiva impbida bitrd ) ACBDUBLLMZJUHZBCUCZUDZUEZUIUFZJ
      UUHDUGLLZUJZCEUHZFUHZNUKZMZUUPUUIUEZUIUFZVAZFOUJZEOUJZADULMZBPQCPMZUUFUUM
      VBUVCAPDDNUMZUNLZPUOLGUPUQZURZUSHICBJDPPDUVGUTZVCVDAUUMUVBAUUMRZUUTEFOOUV
      JUUNOMZUUOOMZRZUUQUUSUVJUVMUUQVEUUMUUPUULMZUUSAUUMUVMUUQVFUVMUUQUVNUVJUVM
      UUQRZUVNUUPPQZUUHKUHZQZUVQUUPQZRZKDSZRZUVOUWAUVPUVOUUPDMZUUHUUPQZUUPUUPQZ
      UWAUWCUVOUUPUVFDUUNUUOVGGVHUSUUQUWDUVMCUUPVIVJUVOUUPVKUVTUWDUWERKUUPDUVQU
      UPWCUVRUWDUVSUWEUVQUUPUUHVLUVQUUPUUPVMVNVOVPUUNUUOVQVRUVOUVCUUHPQZUVNUWBV
      BUVHUUQUWFUVMUUQCPCUUNUUOVSVTVJUUHKDUUPPUVIWDWAWEWBUUKUUSJUUPUULUUGUUPWCU
      UJUURUIUUGUUPUUIWMWFWGWHXGWIAUVBRZUUKJUULUWGUUGUULMZRZUUQUUPUUGQZRZFOSZEO
      SZUUKAUWHUWMUVBAUWHRUVRUVQUUGQZRZKDSZUWMAUWHUUGPQZUWPAUVCUWFUWHUWQUWPRVBU
      VHACPIVTUUHKDUUGPUVIWDWAWJAUWPUWMVAUWHAUWOUWMKDAUVQDMZUWOUWMAUWRUWOVEZUUQ
      UUPUVQQZRZFOSZEOSZUWMUWSUVQUVFMZCUVQMZRCUAUHZMZUXFUVQQZRZUAUVESUXCUWSUXDU
      XEUWRAUXDUWOUWRUXDDUVFUVQGWKWLWNUWSAUVRUXEAUWRUWOWOAUWRUVRUWNWPAUVRRZUXEU
      VRAUVRWQUXJUVDUXEUVRVBAUVDUVRIWRCUVQPWSWTWEWHXAUAUVQUVECXBUXIUXCUAUVEUXFU
      VEMZUXIRZUXFUUPWCZFOSZEOSZUXCUXKUXOUXIUXKUXOOOXCZPXDZNXENUXPXFUXKUXOVBXHU
      XPUXQNXREFOOUXFNXIXJWLWRUXLUXNUXBEOUXLUXMUXAFOUXIUXMUXAVAUXKUXIUXMUXAUXIU
      XMRZUUQUWTUXRCUXFUUPUXGUXHUXMXKUXIUXMWQZXLUXRUUPUXFUVQUXSUXGUXHUXMXMXNXAX
      OVJXPXPXSXQXTUWSUXBUWLEOUWSUVKRZUXAUWKFOUXTUVLRZUWTUWJUUQUYAUWNUWTUWJVAUX
      TUWNUVLUVRUWNAUWRUVKYAWRUWTUWNUWJUUPUVQUUGYIYBWTYCYDYDXSXGYEWRXSYFUWIUWLU
      UKEOUWGUWHEAUVBEAETUVAEOYGYJUWHETYJUUKETUWIUVKUWLUUKVAUWIUVKRZUWKUUKFOUWI
      UVKFUWGUWHFAUVBFAFTUUTEFOOYHYJUWHFTYJUVKFTYJUUKFTUYBUVLUWKUUKUYBUVLUWKVEZ
      UURUUJQUUSUUKUYCUURUUGUUIUYCUURUUPUUGUUPUUIYKUYBUVLUUQUWJYLYMUURUUIQUYCUU
      PUUIYNUSYOUYCUVBUVMUUQUUSUYBUVLUVBUWKAUVBUWHUVKYPYQUYCUVKUVLUWIUVKUVLUWKV
      FUYBUVLUWKYRXAUYBUVLUUQUWJWPUUTEFOOYTUUAUURUUJUUBWHXGYSXOYSXSUUCUUDUUE $.
  $}

  ${
    $d A u v w $.  $d B u v w $.  $d C u v w $.  $d F u v w $.  $d G u v w $.
    $d ph u v w $.
    limccog.1 $e |- ( ph -> ran F C_ ( dom G \ { B } ) ) $.
    limccog.2 $e |- ( ph -> B e. ( F limCC A ) ) $.
    limccog.3 $e |- ( ph -> C e. ( G limCC B ) ) $.
    $( Limit of the composition of two functions.  If the limit of ` F ` at
       ` A ` is ` B ` and the limit of ` G ` at ` B ` is ` C ` , then the limit
       of ` G o. F ` at ` A ` is ` C ` .  With respect to ~ limcco and
       ~ limccnp , here we drop continuity assumptions.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    limccog $p |- ( ph -> C e. ( ( G o. F ) limCC A ) ) $=
      ( vu vw vv climc co wcel cc cima wss wa wf ccom cv cdm csn cdif cin ctopn
      ccnfld cfv wrex wi limccl sselid w3a limcrcl simp1d simp2d simp3d ellimc2
      wral syl mpbid simprd r19.21bi imp simp1ll simp2 simp3l syl21anc ad2antrr
      imaco simpl3r adantr simpr crn imassrn sstrid ssind imass2 adantlr simplr
      eqid sstrd eqsstrid anim2d reximdva rexlimdv3a ralrimiva wfun ffund fdmrn
      ex mpd sylib difss2d fssd fco syl2anc mpbir2and ) ADFEUAZBMNODPOZDJUBZOZB
      KUBZOZWTXDEUCZBUDUEUFZQZXBRZSZKUHUGUIZUJZUKZJXKUTAFCMNZPDCFULIUMAXMJXKAXB
      XKOZSZXCXLXPXCSZCLUBZOZFXRFUCZCUDZUEZUFZQZXBRZSZLXKUJZXLXPXCYGAXCYGUKZJXK
      AXAYHJXKUTZADXNOZXAYISIALJXTCDFXKAXTPFTZXTPRZCPOZAYJYKYLYMUNICDFUOVAZUPZA
      YKYLYMYNUQAYKYLYMYNURXKWBZUSVBVCVDVEXQYFXLLXKXQXRXKOZYFUNZXEEXGQZXRRZSZKX
      KUJZXLYRAYQXSUUBAXOXCYQYFVFZXQYQYFVGXQYQXSYEVHAYQSXSUUBAXSUUBUKZLXKAYMUUD
      LXKUTZACEBMNOZYMUUESHAKLXFBCEXKAXFPETZXFPRZBPOZAUUFUUGUUHUUIUNHBCEUOVAZUP
      ZAUUGUUHUUIUUJUQZAUUGUUHUUIUUJURZYPUSVBVCVDVEVIYRUUAXJKXKYRXDXKOZSZYTXIXE
      UUOYTXIUUOYTSZXHFYSQZXBFEXGVKUUPAYEYTUUQXBRYRAUUNYTUUCVJUUOYEYTXSYEXQYQUU
      NVLVMUUOYTVNAYESYTSUUQYDXBAYTUUQYDRZYEAYTSZYSYCRUURUUSYSXRYBAYTVNAYSYBRYT
      AYSEVOZYBEXGVPGVQVMVRYSYCFVSVAVTAYEYTWAWCVIWDWLWEWFWMWGWMWLWHAKJXFBDWTXKA
      YKXFXTETXFPWTTYOAXFUUTXTEAEWIXFUUTETAXFPEUUKWJEWKWNAUUTXTYAGWOWPXFXTPFEWQ
      WRUULUUMYPUSWS $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.
    limciccioolb.1 $e |- ( ph -> A e. RR ) $.
    limciccioolb.2 $e |- ( ph -> B e. RR ) $.
    limciccioolb.3 $e |- ( ph -> A < B ) $.
    limciccioolb.4 $e |- ( ph -> F : ( A [,] B ) --> CC ) $.
    $( The limit of a function at the lower bound of a closed interval only
       depends on the values in the inner open interval.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    limciccioolb $p |-
                  ( ph -> ( ( F |` ( A (,) B ) ) limCC A ) = ( F limCC A ) ) $=
      ( vx co cfv wss a1i cr eqid cnt cmnf wcel wbr wceq cicc cioo ccnfld ctopn
      csn cun crest ioossicc cc iccssred ax-resscn sstrdi cico crn ctg cdif cin
      ctop cuni retop rexrd icossre syl2anc difssd unssd uniretop sseqtrdi wral
      cxr cv wa wo cle clt elioore ad2antlr simpr w3a mnfxr adantr elioo2 mpbid
      wb simp3d ad2antrr elico2 mpbir3and orcd wn intnanrd elicc4 mtbird eldifd
      syl3anc olcd pm2.61dan elun sylibr ralrimiva dfss3 mnfltd eliood iooretop
      ntrss isopn3i eleqtrrd sseldd leidd ltled eliccd elind restntr rerest syl
      icossicc eqcomd fveq2d fveq1d eleqtrd snssd ssequn2 sylib snunioo eqtr2id
      oveq2d uncom fveq12d limcres ) ABCUAJZBBCUBJZDUCUDKZYIBUEZUFZUGJZYKHYJYIL
      ABCUHMAYINUIABCEFUJZUKULYKOZYNOABBCUMJZYKYIUGJZPKZKZYJYLUFZYNPKZKABYQUBUN
      UOKZYIUGJZPKZKZYTABYQNYIUPZUFZUUCPKZKZYIUQZUUFAUUJYIBAQCUBJZUUIKZUUJBAUUC
      URRZUUHUUCUSZLUULUUHLZUUMUUJLUUNAUTMZAUUHNUUOAYQUUGNABNRZCVIRZYQNLEACFVAZ
      BCVBVCANYIVDVEVFVGAIVJZUUHRZIUULVHUUPAUVBIUULAUVAUULRZVKZUVAYQRZUVAUUGRZV
      LZUVBUVDBUVAVMSZUVGUVDUVHVKZUVEUVFUVIUVEUVANRZUVHUVACVNSZUVCUVJAUVHUVAQCV
      OZVPUVDUVHVQUVDUVKUVHUVDUVJQUVAVNSZUVKUVDUVCUVJUVMUVKVRZAUVCVQUVDQVIRZUUS
      UVCUVNWCUVOUVDVSMAUUSUVCUUTVTQCUVAWAVCWBWDVTUVIUURUUSUVEUVJUVHUVKVRWCAUUR
      UVCUVHEWEAUUSUVCUVHUUTWEBCUVAWFVCWGWHUVDUVHWIZVKZUVFUVEUVQUVANYIUVCUVJAUV
      PUVLVPZUVQUVAYIRZUVHUVACVMSZVKZUVQUVHUVTUVDUVPVQWJUVQBVIRZUUSUVAVIRUVSUWA
      WCAUWBUVCUVPABEVAZWEAUUSUVCUVPUUTWEUVQUVAUVRVABCUVAWKWNWLWMWOWPUVAYQUUGWQ
      WRWSIUULUUHWTWRUUHUULUUCUUOUUOOXDWNABUULUUMAQCBUVOAVSMUUTEABEXAGXBAUUNUUL
      UUCRZUUMUULTUUQUWDAQCXCMUULUUCXEVCXFXGABCBEFEABEXHABCEFGXIXJZXKAUUNYINLZY
      QYILZUUFUUKTUUQYOUWGABCXOMYQUUCUUDNYIVFUUDOXLWNXFAYQUUEYSAUUDYRPAYRUUDAUW
      FYRUUDTYOYIUUCYKYPUUCOXMXNXPXQXRXSAYQUUAYSUUBAYRYNPAYIYMYKUGAYMYIAYLYILYM
      YITABYIUWEXTYLYIYAYBXPYEXQAUUAYLYJUFZYQYJYLYFAUWBUUSBCVNSUWHYQTUWCUUTGBCY
      CWNYDYGXSYH $.
  $}

  ${
    $d A f j k x y $.  $d F f j x y $.  $d j k ph x $.
    climf.nf $e |- F/_ k F $.
    climf.f $e |- ( ph -> F e. V ) $.
    climf.fv $e |- ( ( ph /\ k e. ZZ ) -> ( F ` k ) = B ) $.
    $( Express the predicate:  The limit of complex number sequence ` F ` is
       ` A ` , or ` F ` converges to ` A ` .  Similar to ~ clim , but without
       the disjoint var constraint ` F k ` .  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    climf $p |- ( ph -> ( F ~~> A <-> ( A e. CC /\ A. x e. RR+ E. j e. ZZ A. k
       e. ( ZZ>= ` j ) ( B e. CC /\ ( abs ` ( B - A ) ) < x ) ) ) ) $=
      ( cc wcel cv cfv cmin cabs wa wral cz vy vf cli wbr co clt cuz crp cvv wi
      wrex climrel brrelex2i a1i elex adantr wceq simpr eleq1d nfeq2 nfan fveq1
      wb nfv oveq12 sylan fveq2d breq1d anbi12d ralbid rexbidv brabga pm5.21ndd
      df-clim ex syl eluzelz fvoveq1d sylan2 ralbidva ralbidv anbi2d bitrd ) AG
      CUCUDZCLMZFNZGOZLMZWGCPUEZQOZBNZUFUDZRZFENZUGOZSZETUKZBUHSZRZWEDLMZDCPUEQ
      OZWKUFUDZRZFWOSZETUKZBUHSZRACUIMZWDWSWDXGUJAGCUCULUMUNWSXGUJAWEXGWRCLUOUP
      UNAGHMZXGWDWSVCZUJJXHXGXIUANZLMZWFUBNZOZLMZXMXJPUEZQOZWKUFUDZRZFWOSZETUKZ
      BUHSZRWSUBUAGCUCHUIXLGUQZXJCUQZRZXKWEYAWRYDXJCLYBYCURUSYDXTWQBUHYDBVDYDXS
      WPETYDXRWMFWOYBYCFFXLGIUTYCFVDVAYDXNWHXQWLYDXMWGLYBXMWGUQZYCWFXLGVBZUPUSY
      DXPWJWKUFYDXOWIQYBYEYCXOWIUQYFXMWGXJCPVEVFVGVHVIVJVKVJVIBUAUBEFVNVLVOVPVM
      AWRXFWEAWQXEBUHAWPXDETAWMXCFWOWFWOMAWFTMZWMXCVCWNWFVQAYGRZWHWTWLXBYHWGDLK
      USYHWJXAWKUFYHWGDCQPKVRVHVIVSVTVKWAWBWC $.
  $}

  ${
    $d A a b e f y z $.  $d A a b w y z $.  $d A x y z $.
    $d B a b c d w y z $.  $d B a b e f y z $.  $d B x y z $.
    $d C a b c d w y z $.  $d C a b e f y z $.  $d D a b e f y z $.
    $d D a b w y z $.  $d D x y z $.  $d F a c d y z $.  $d F a e f y z $.
    $d F x y z $.  $d G b d y z $.  $d G b e f y z $.  $d G x y z $.
    $d H a b w y z $.  $d a b e f ph y z $.  $d ph w y z $.  $d ph x y z $.
    mullimcf.f $e |- ( ph -> F : A --> CC ) $.
    mullimcf.g $e |- ( ph -> G : A --> CC ) $.
    mullimcf.h $e |- H = ( x e. A |-> ( ( F ` x ) x. ( G ` x ) ) ) $.
    mullimcf.b $e |- ( ph -> B e. ( F limCC D ) ) $.
    mullimcf.c $e |- ( ph -> C e. ( G limCC D ) ) $.
    $( Limit of the multiplication of two functions.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    mullimcf $p |- ( ph -> ( B x. C ) e. ( H limCC D ) ) $=
      ( vz wcel cc clt wa crp vy vw vc va vd vb ve vf cmul co climc cv wne cmin
      cabs cfv wbr wi wral limccl sselid mulcld simpr adantr mulcn2 syl3anc w3a
      wrex cdm fdmd wss limcrcl syl simp2d eqsstrrd simp3d ellimc3 mpbid simprd
      r19.21bi adantrr adantrl reeanv sylanbrc cle cif ifcl 3ad2ant2 nfra1 nfan
      nfv nf3an simp11l simp1rl 3ad2ant1 jca simp12 simp13l jca31 simp1r simp3l
      simp2 simplll simp1lr simp3r simp1l sselda syl2anc subcld abscld ad2antrl
      wf cr rpre ad2antll ifcld simp3 min1 ltletrd syl211anc rsp syl3c syld3an1
      min2 syl3an1 ralrimi brimralrspcev rexlimdvv mpd adantlr 3adant3 ad2antrr
      3exp wceq fveq2 ffvelrnda fvoveq1d fvoveq1 breq1d imbi12d oveq12d fvmptd3
      simpll3 3imp 3adant1l anbi1d oveq1 anbi2d oveq2 rspc2v reximdva ralrimiva
      eqbrtrd ex fmptd mpbir2and ) ADEUIUJZIFUKUJPUUQQPOULZFUMZUURFUNUJZUOUPZUA
      ULZRUQSZUURIUPZUUQUNUJUOUPZUBULZRUQZURZOCUSZUATVHZUBTUSADEAGFUKUJZQDFGUTM
      VAZAHFUKUJZQEFHUTNVAZVBAUVJUBTAUVFTPZSZUCULZDUNUJUOUPZUDULZRUQZUEULZEUNUJ
      UOUPZUFULZRUQZSZUVQUWAUIUJZUUQUNUJUOUPZUVFRUQZURZUEQUSUCQUSZUFTVHUDTVHZUV
      JUVPUVODQPZEQPZUWKAUVOVCAUWLUVOUVLVDAUWMUVOUVNVDUDUFUEUCUVFDEVEVFUVPUWJUV
      JUDUFTTUVPUVSTPZUWCTPZSZUWJUVJUVPUWPUWJVGZUVCUURGUPZDUNUJUOUPZUVSRUQZUURH
      UPZEUNUJUOUPZUWCRUQZSZURZOCUSZUATVHZUVJUVPUWPUXGUWJAUWPUXGUVOAUWPSZUUSUVA
      UGULZRUQZSZUWTURZOCUSZUUSUVAUHULZRUQZSZUXCURZOCUSZSZUHTVHUGTVHZUXGUXHUXMU
      GTVHZUXRUHTVHZUXTAUWNUYAUWOAUYAUDTAUWLUYAUDTUSZADUVKPZUWLUYCSMAUDUGOCFDGJ
      ACGVIZQACQGJVJAUYEQGXLZUYEQVKZFQPZAUYDUYFUYGUYHVGMFDGVLVMZVNVOZAUYFUYGUYH
      UYIVPZVQVRVSVTWAAUWOUYBUWNAUYBUFTAUWMUYBUFTUSZAEUVMPUWMUYLSNAUFUHOCFEHKUY
      JUYKVQVRVSVTWBUXMUXRUGUHTTWCWDUXHUXSUXGUGUHTTUXHUXITPZUXNTPZSZUXSUXGUXHUY
      OUXSVGZUXIUXNWEUQZUXIUXNWFZTPZUUSUVAUYRRUQZSZUXDURZOCUSUXGUYOUXHUYSUXSUYQ
      UXIUXNTWGWHUYPVUBOCUXHUYOUXSOUXHOWKUYOOWKUXMUXROUXLOCWIUXQOCWIWJWLUYPUURC
      PZVUAUXDUYPVUCVUAVGZUWTUXCAUWNSZUYOSZUXMSZVUCUYPVUAUWTVUDVUEUYOUXMVUDAUWN
      AUWPUYOUXSVUCVUAWMUYPVUCUWNVUAUWNUWOAUYOUXSWNZWOWPUXHUYOUXSVUCVUAWQUXMUXR
      UXHUYOVUCVUAWRWSVUGVUCVUAVGZUXMVUCUXKUWTVUFUXMVUCVUAWTVUGVUCVUAXBZVUIUUSU
      XJVUGVUCUUSUYTXAVUIAUYOVUCUYTUXJVUGVUCAVUAAUWNUYOUXMXCWOVUEUYOUXMVUCVUAXD
      VUJVUGVUCUUSUYTXEAUYOSZVUCUYTVGZUVAUYRUXIVULUUTVULUURFVULAVUCUURQPAUYOVUC
      UYTXFZVUKVUCUYTXBACQUURUYJXGXHVULAUYHVUMUYKVMXIXJZVULUYQUXIUXNXMVUKVUCUXI
      XMPZUYTUYMVUOAUYNUXIXNXKWOZVUKVUCUXNXMPZUYTUYNVUQAUYMUXNXNXOWOZXPZVUPVUKV
      UCUYTXQZVULVUOVUQUYRUXIWEUQVUPVURUXIUXNXRXHXSXTWPUXLOCYAYBYCUYPVUFUXRSZVU
      CVUAUXCUYPVUEUYOUXRUYPAUWNAUWPUYOUXSXFVUHWPUXHUYOUXSXBUXHUYOUXMUXRXEWSVVA
      VUCVUAVGZUXRVUCUXPUXCVUFUXRVUCVUAWTVVAVUCVUAXBZVVBUUSUXOVVAVUCUUSUYTXAVVB
      AUYOVUCUYTUXOVVAVUCAVUAAUWNUYOUXRXCWOVUEUYOUXRVUCVUAXDVVCVVAVUCUUSUYTXEVU
      LUVAUYRUXNVUNVUSVURVUTVULVUOVUQUYRUXNWEUQVUPVURUXIUXNYDXHXSXTWPUXQOCYAYBY
      EWPYMYFUUSUXDUAOUVAUYRRTCYGXHYMYHYIYJYKUWQUXFUVIUATUWQUVBTPZSZUXFUVIVVEUX
      FSZUVHOCVVEUXFOVVEOWKUXEOCWIWJVVFVUCUVCUVGVVFVUCUVCVGZUVEUWRUXAUIUJZUUQUN
      UJUOUPZUVFRVVGAVUCUVEVVIYNVVFVUCAUVCUWQAVVDUXFAUVOUWPUWJXFYLWOZVVFVUCUVCX
      BZAVUCSZUVDVVHUUQUOUNVVLBUURBULZGUPZVVMHUPZUIUJZVVHCIQLVVMUURYNVVNUWRVVOU
      XAUIVVMUURGYOVVMUURHYOUUAAVUCVCVVLUWRUXAACQUURGJYPZACQUURHKYPZVBUUBYQXHVV
      GUWRQPZUXAQPZSZUWJUXDVVIUVFRUQZVVGAVUCVWAVVJVVKVVLVVSVVTVVQVVRWPXHVVFVUCU
      WJUVCUVPUWPUWJVVDUXFUUCWOUXFVUCUVCUXDVVEUXFVUCUVCUXDUXEOCYAUUDUUEUWIUXDVW
      BURUWTUWDSZUWRUWAUIUJZUUQUNUJUOUPZUVFRUQZURUCUEUWRUXAQQUVQUWRYNZUWEVWCUWH
      VWFVWGUVTUWTUWDVWGUVRUWSUVSRUVQUWRDUOUNYRYSUUFVWGUWGVWEUVFRVWGUWFVWDUUQUO
      UNUVQUWRUWAUIUUGYQYSYTUWAUXAYNZVWCUXDVWFVWBVWHUWDUXCUWTVWHUWBUXBUWCRUWAUX
      AEUOUNYRYSUUHVWHVWEVVIUVFRVWHVWDVVHUUQUOUNUWAUXAUWRUIUUIYQYSYTUUJYBUUMYMY
      FUUNUUKYIYMYHYIUULAUBUAOCFUUQIABCVVPQIAVVMCPSVVNVVOACQVVMGJYPACQVVMHKYPVB
      LUUOUYJUYKVQUUP $.
  $}

  ${
    $d A v w y $.  $d A x $.  $d B v w y $.  $d B x $.  $d C v w y $.
    $d F v w y $.  $d ph v w y $.  $d ph x $.
    constlimc.f $e |- F = ( x e. A |-> B ) $.
    constlimc.a $e |- ( ph -> A C_ CC ) $.
    constlimc.b $e |- ( ph -> B e. CC ) $.
    constlimc.c $e |- ( ph -> C e. CC ) $.
    $( Limit of constant function.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    constlimc $p |- ( ph -> B e. ( F limCC C ) ) $=
      ( vv co wcel cc cmin cabs cfv clt crp cc0 vw vy climc cv wne wa wral wrex
      wbr wi c1 1rp a1i wceq csb simpr cvv wnfc vex csbtt mp2an eqeltrid adantr
      nfcv fvmpts syl2anc oveq1d oveq1i eqtrdi fveq2d subidd abs0 adantlr rpgt0
      3eqtrd ad2antlr eqbrtrd ralrimiva brimralrspcev fmptd ellimc3 mpbir2and
      a1d ) ADFEUCLMDNMZKUDZEUEZWEEOLPQZUAUDRUIUFWEFQZDOLZPQZUBUDZRUIZUJKCUGUAS
      UHZUBSUGIAWMUBSAWKSMZUFZUKSMZWFWGUKRUIUFZWLUJZKCUGWMWPWOULUMWOWRKCWOWECMZ
      UFZWLWQWTWJTWKRAWSWJTUNWNAWSUFZWJDDOLZPQZTPQZTXAWIXBPXAWIBWEDUOZDOLXBXAWH
      XEDOXAWSXENMZWHXEUNAWSUPAXFWSAXEDNWEUQMBDURXEDUNKUSBDVDBWEDUQUTVAZIVBVCBW
      EDCFNGVEVFVGXEDDOXGVHVIVJAXCXDUNWSAXBTPADIVKVJVCXDTUNXAVLUMVOVMWNTWKRUIAW
      SWKVNVPVQWCVRWFWLUAKWGUKRSCVSVFVRAUBUAKCEDFABCDNFAWDBUDCMIVCGVTHJWAWB $.
  $}

  ${
    $d A y $.  $d ch x y $.
    rexlim2d.x $e |- F/ x ph $.
    rexlim2d.y $e |- F/ y ph $.
    rexlim2d.3 $e |- ( ph -> ( ( x e. A /\ y e. B ) -> ( ps -> ch ) ) ) $.
    $( Inference removing two restricted quantifiers.  Same as ~ rexlimdvv ,
       but with bound-variable hypotheses instead of distinct variable
       restrictions.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    rexlim2d $p |- ( ph -> ( E. x e. A E. y e. B ps -> ch ) ) $=
      ( wrex nfv cv wcel wi wa nfan expdimp rexlimd ex ) ABEGKZCDFHCDLADMFNZUAC
      OAUBPBCEGAUBEIUBELQCELAUBEMGNBCOJRSTS $.
  $}

  ${
    $d A w x y z $.  $d F w y z $.  $d X w x y z $.  $d ph w x y z $.
    idlimc.a $e |- ( ph -> A C_ CC ) $.
    idlimc.f $e |- F = ( x e. A |-> x ) $.
    idlimc.x $e |- ( ph -> X e. CC ) $.
    $( Limit of the identity function.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    idlimc $p |- ( ph -> X e. ( F limCC X ) ) $=
      ( vz vy vw co cmin cabs cfv clt wbr wa crp nfcv climc wcel cc cv wne wral
      wi wrex simpr wceq fvmpt2 syl2anc fvoveq1d adantr eqbrtrd adantrl adantlr
      ex ralrimiva nfne nfv nfan nfim cmpt nfmpt1 nfcxfr nffv nfov nfbr fvoveq1
      neeq1 breq1d anbi12d imbrov2fvoveq cbvralw brimralrspcev sselda mpbir2and
      sylib fmptd ellimc3 ) AEDEUALUBEUCUBIUDZEUEZWBEMLNOZJUDPQRWBDOZEMLZNOZKUD
      ZPQZUGICUFJSUHZKSUFHAWJKSAWHSUBZRZWKWCWDWHPQZRZWIUGZICUFZWJAWKUIWLBUDZEUE
      ZWQEMLNOZWHPQZRZWQDOZEMLNOZWHPQZUGZBCUFWPWLXEBCAWQCUBZXEWKAXFRZXAXDXGWTXD
      WRXGWTRXCWSWHPXGXCWSUJWTXGXBWQENMXGXFXFXBWQUJAXFUIZXHBCWQCDGUKULUMUNXGWTU
      IUOUPURUQUSXEWOBICXAXDIWRWTIIWQEIWQTIETUTWTIVAVBXDIVAVCWNWIBWNBVABWGWHPBW
      FNBNTBWEEMBWBDBDBCWQVDGBCWQVEVFBWBTVGBMTBETVHVGBPTBWHTVIVCXAWNWHPMNDEWQWB
      WQWBUJZWRWCWTWMWQWBEVKXIWSWDWHPWQWBENMVJVLVMVNVOVSWCWIJIWDWHPSCVPULUSAKJI
      CEEDABCWQUCDACUCWQFVQGVTFHWAVR $.
  $}

  ${
    $d A m n $.  $d M n $.
    $( The sequence of reciprocals of positive integers, multiplied by the
       factor ` A ` , converges to zero.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    divcnvg $p |- ( ( A e. CC /\ M e. NN ) -> ( n e. ( ZZ>= ` M ) |-> ( A / n )
       ) ~~> 0 ) $=
      ( vm cc wcel cn wa cuz cfv cv cdiv co cmpt cc0 cli wceq cvv wbr eqid nnzd
      eluznn eqidd oveq2 adantl id ovexd fvmptd eqcomd adantll mpteq2dva divcnv
      syl adantr cz wb simpr nnex mptex climmpt sylancl mpbid eqbrtrd ) AEFZCGF
      ZHZBCIJZABKZLMZNBVGVHDGADKZLMZNZJZNZOPVFBVGVIVMVEVHVGFZVIVMQZVDVEVOHVHGFZ
      VPVHCUBVQVMVIVQDVHVKVIGVLRVQVLUCVJVHQVKVIQVQVJVHALUDUEVQUFVQAVHLUGUHUIUMU
      JUKVFVLOPSZVNOPSZVDVRVEADULUNVFCUOFVLRFVRVSUPVFCVDVEUQUADGVKURUSOBVLVNCRV
      GVGTVNTUTVAVBVC $.
  $}

  ${
    $d A b w x y z $.  $d B b w z $.  $d C b w x y z $.  $d D b w x y z $.
    $d F b w x y z $.  $d T b w x y z $.  $d b ph w x y z $.
    limcperiod.f $e |- ( ph -> F : dom F --> CC ) $.
    limcperiod.assc $e |- ( ph -> A C_ CC ) $.
    limcperiod.3 $e |- ( ph -> A C_ dom F ) $.
    limcperiod.t $e |- ( ph -> T e. CC ) $.
    limcperiod.b $e |- B = { x e. CC | E. y e. A x = ( y + T ) } $.
    limcperiod.bss $e |- ( ph -> B C_ dom F ) $.
    limcperiod.fper $e |- ( ( ph /\ y e. A ) -> ( F ` ( y + T ) ) = ( F ` y ) )
       $.
    limcperiod.clim $e |- ( ph -> C e. ( ( F |` A ) limCC D ) ) $.
    $( If ` F ` is a periodic function with period ` T ` , the limit doesn't
       change if we shift the limiting point by ` T ` .  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    limcperiod $p |- ( ph -> C e. ( ( F |` B ) limCC ( D + T ) ) ) $=
      ( co cc cmin vb vz vw cres caddc climc wcel cv wne cabs cfv clt wbr wa wi
      wral crp wrex limccl sselid cdm fssresd wf wss w3a limcrcl simp3d ellimc3
      syl mpbid simprd r19.21bi wceq simpl1l adantr simplr crab id oveq1 eqeq2d
      cbvrexvw eqeq1 rexbidv syl5bb cbvrabv eqtri eleqtrdi elrab sylib 3ad2ant3
      adantl sselda pncand 3adant3 eqtrd simp2 eqeltrd 3exp rexlimdv mpd ssrab3
      a1i npcand eqcomd rspceeqv syl2anc nfv nfrab1 nfcxfr nfcri nfan nfcv nffv
      nfres nfov nfbr simp3 fveq2d 3ad2ant1 eqeltrrd fvresd eleq1w anbi2d fveq2
      fvoveq1 eqeq12d imbi12d chvarvv eqtr4d 3eqtrd fvoveq1d simpll3 jca neneqd
      simp1rl sylan9eq mtand neqned eqbrtrd ralrimiva oveq1d simp1rr neeq1 sylc
      pnpcan2d eqtr2d breq1d anbi12d imbrov2fvoveq rspccva rexlimd ex reximdvai
      addcld mpbir2and ) AFIEUDZGHUERZUFRUGFSUGZUAUHZUUQUIZUUSUUQTRZUJUKZUBUHZU
      LUMZUNZUUSUUPUKZFTRZUJUKZUCUHZULUMZUOZUAEUPZUBUQURZUCUQUPAIDUDZGUFRZSFGUV
      NUSQUTAUVMUCUQAUVIUQUGZUNZCUHZGUIZUVRGTRUJUKZUVCULUMZUNZUVRUVNUKFTRUJUKUV
      IULUMUOZCDUPZUBUQURZUVMAUWEUCUQAUURUWEUCUQUPZAFUVOUGZUURUWFUNQAUCUBCDGFUV
      NAIVAZSDIJLVBKAUVNVAZSUVNVCZUWISVDZGSUGZAUWGUWJUWKUWLVEQGFUVNVFVIVGZVHVJV
      KVLUVQUWDUVLUBUQUVQUVCUQUGZUWDUVLUVQUWNUWDVEZUVKUAEUWOUUSEUGZUNZUVEUVJUWQ
      UVEUNZUUSBUHZHUERZVMZBDURZUVJUWRAUWPUXBUWQAUVEAUVPUWNUWDUWPVNVOZUWOUWPUVE
      VPZAUWPUNZUUSHTRZDUGZUUSUXFHUERZVMUXBUXEUUSUVCHUERZVMZUBDURZUXGUWPUXKAUWP
      UUSSUGZUXKUWPUUSUVIUXIVMZUBDURZUCSVQZUGUXLUXKUNUWPUUSEUXOUWPVREUWSUVRHUER
      ZVMZCDURZBSVQZUXONUXRUXNBUCSUXRUWSUXIVMZUBDURUWSUVIVMZUXNUXQUXTCUBDUVRUVC
      VMUXPUXIUWSUVRUVCHUEVSVTWAUYAUXTUXMUBDUWSUVIUXIWBWCWDWEWFWGUXNUXKUCUUSSUV
      IUUSVMUXMUXJUBDUVIUUSUXIWBWCWHWIVKWKUXEUXJUXGUBDAUVCDUGZUXJUXGUOUOUWPAUYB
      UXJUXGAUYBUXJVEZUXFUVCDUYCUXFUXIHTRZUVCUXJAUXFUYDVMUYBUUSUXIHTVSWJAUYBUYD
      UVCVMUXJAUYBUNUVCHADSUVCKWLAHSUGZUYBMVOWMWNWOAUYBUXJWPWQWRVOWSWTUXEUXHUUS
      UXEUUSHAESUUSESVDAUXRBSENXAXBZWLAUYEUWPMVOXCXDBUXFDUWTUXHUUSUWSUXFHUEVSXE
      XFXFUWRUXAUVJBDUWQUVEBUWOUWPBUWOBXGBUAEBEUXSNUXRBSXHXIZXJXKUVEBXGXKBUVHUV
      IULBUVGUJBUJXLBUVFFTBUUSUUPBIEBIXLUYGXNBUUSXLXMBTXLBFXLXOXMBULXLBUVIXLXPU
      WRUWSDUGZUXAUVJUWRUYHUXAVEZUVHUWSUVNUKZFTRUJUKZUVIULUYIUVFUYJFUJTUYIUVFUW
      TUUPUKUWTIUKZUYJUYIUUSUWTUUPUWRUYHUXAXQZXRUYIUWTEIUYIUUSUWTEUYMUWRUYHUWPU
      XAUXDXSXTYAUYIUYLUWSIUKZUYJUYIAUYHUYLUYNVMZUWRUYHAUXAUXCXSZUWRUYHUXAWPZAU
      VRDUGZUNZUXPIUKZUVRIUKZVMZUOAUYHUNZUYOUOCBUVRUWSVMZUYSVUCVUBUYOVUDUYRUYHA
      CBDYBYCVUDUYTUYLVUAUYNUVRUWSHIUEYEUVRUWSIYDYFYGPYHXFUYIUWSDIUYQYAYIYJYKUY
      IUWDUYHUNUWSGUIZUWSGTRZUJUKZUVCULUMZUNZUYKUVIULUMZUYIUWDUYHUWRUYHUWDUXAUV
      QUWNUWDUWPUVEYLXSUYQYMUYIVUEVUHUYIUWSGUYIUWSGVMZUUSUUQVMUYIUUSUUQUUTUVDUW
      QUYHUXAYOYNUYIVUKUUSUWTUUQUYMUWSGHUEVSYPYQYRUYIVUGUVBUVCULUYIVUFUVAUJUYIU
      VAUWTUUQTRVUFUYIUUSUWTUUQTUYMUUAUYIUWSGHUYIAUYHUWSSUGUYPUYQADSUWSKWLXFUYI
      AUWLUYPUWMVIUYIAUYEUYPMVIUUEUUFXRUUTUVDUWQUYHUXAUUBYSYMUWCVUIVUJUOCUWSDUW
      BVUIUVIULTUJUVNFUVRUWSVUDUVSVUEUWAVUHUVRUWSGUUCVUDUVTVUGUVCULUVRUWSGUJTYE
      UUGUUHUUIUUJUUDYSWRUUKWTUULYTWRUUMWTYTAUCUBUAEUUQFUUPAUWHSEIJOVBUYFAGHUWM
      MUUNVHUUO $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d F w x y z $.  $d L w x y z $.
    $d ph w x y z $.
    limcrecl.1 $e |- ( ph -> F : A --> RR ) $.
    limcrecl.2 $e |- ( ph -> A C_ CC ) $.
    limcrecl.3 $e |- ( ph -> B e. ( ( limPt ` ( TopOpen ` CCfld ) ) ` A ) ) $.
    limcrecl.4 $e |- ( ph -> L e. ( F limCC B ) ) $.
    $( If ` F ` is a real-valued function, ` B ` is a limit point of its
       domain, and the limit of ` F ` at ` B ` exists, then this limit is real.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    limcrecl $p |- ( ph -> L e. RR ) $=
      ( vz vx vw cr wcel co wa cc cfv clt crp vy climc adantr wne cmin cabs wbr
      wn cv wi wral wrex limccl sselid simpr eldifd dstregt0 csn ccom cbl cxmet
      cdif wss ccnfld ctopn clp cnxmet ad4antr ssdifssd ctop cuni eqid cnfldtop
      a1i unicntop sseqtrdi lpdifsn syl2anc mpbid cnfldtopn lpbl syl31anc eldif
      wb anbi1i anass bitri rexbii2 sylib simprl velsn necon3bbii simplr simprr
      simp-5l w3a simp3 lpss sseldd 3ad2ant1 rpxr 3ad2ant2 elbl syl3anc abssubd
      cxr simpld wceq cnmetdval simprd eqbrtrrd eqbrtrd adantlr simp-5r simp-4r
      rpre ad2antlr ffvelrnda recnd ad2antrr ad3antrrr subcld abscld nfra1 nfan
      jca rspa adantll ax-resscn sselda breqtrd ex ralrimi fvoveq1 breq2d rspcv
      nfv reximdva mpd rexnal sylc ltnsymd syl21anc jcnd nrexdv intnand ellimc3
      fssd mtbird condan ) AEMNZEDCUBOZNZAUUMUUKUHZIUCAUUNPZUUMEQNZJUIZCUDZUUQC
      UEOUFRZUAUIZSUGZPZUUQDRZEUEOZUFRZKUIZSUGZUJZJBUKZUATULZKTUKZPZUUOUVKUUPUU
      OUVJUHZKTULZUVKUHUUOUVFELUIZUEOUFRZSUGZLMUKZKTULUVNUUOKLEUUOEQMAUUPUUNAUU
      LQECDUMIUNZUCAUUNUOUPUQUUOUVRUVMKTUUOUVFTNZPZUVRUVMUWAUVRPZUVIUATUWBUUTTN
      ZPZUVHUHZJBULZUVIUHUWDUUQCURZNZUHZUUQCUUTUFUEUSZUTRONZPZJBULZUWFUWDUWKJBU
      WGVBZULZUWMUWDUWJQVARNZUWNQVCCUWNVDVERZVFRZRNZUWCUWOUWPUWDVGVNUWDBQUWGABQ
      VCZUUNUVTUVRUWCGVHVIAUWSUUNUVTUVRUWCACBUWRRZNZUWSHAUWQVJNZBUWQVKZVCUXBUWS
      WDUXCAUWQUWQVLZVMVNZABQUXDGVOVPCBUWQUXDUXDVLVQVRVSVHUWBUWCUOJUWJCUUTUWNUW
      QQUWQUXEVTWAWBUWKUWLJUWNBUUQUWNNZUWKPUUQBNZUWIPZUWKPUXHUWLPUXGUXIUWKUUQBU
      WGWCWEUXHUWIUWKWFWGWHWIUWDUWLUWEJBUWDUXHPZUWLUWEUXJUWLPZUVBUVGUWDUWLUVBUX
      HUWDUWLPZUURUVAUXLUWIUURUWDUWIUWKWJUWHUUQCJCWKWLWIUXLAUWCUWKUVAAUUNUVTUVR
      UWCUWLWOZUWBUWCUWLWMUWDUWIUWKWNAUWCUWKWPZUUSCUUQUEOUFRZUUTSUXNUUQCUXNUUQQ
      NZCUUQUWJOZUUTSUGZUXNUWKUXPUXRPZAUWCUWKWQUXNUWPCQNZUUTXFNZUWKUXSWDUWPUXNV
      GVNAUWCUXTUWKAUXAQCAUXCUWTUXAQVCUXFGBUWQQVOWRVRHWSZWTZUWCAUYAUWKUUTXAXBUU
      QUWJCUUTQXCXDVSZXGZUYCXEUXNUXQUXOUUTSUXNUXTUXPUXQUXOXHUYCUYECUUQUWJUWJVLX
      IVRUXNUXPUXRUYDXJXKXLXDYFXMUXKAUXHPZUVTUVRUVGUHUXKAUXHUWDUWLAUXHUXMXMUWDU
      XHUWLWMYFUUOUVTUVRUWCUXHUWLXNUWAUVRUWCUXHUWLXOUYFUVTPUVRPZUVFUVEUVTUVFMNU
      YFUVRUVFXPXQUYGUVDUYGUVCEUYFUVCQNUVTUVRUYFUVCABMUUQDFXRZXSXTAUUPUXHUVTUVR
      UVSYAYBYCUYFUVRUVFUVESUGZUVTUYFUVRPUVCMNZUVFUVOEUEOUFRZSUGZLMUKZUYIUYFUYJ
      UVRUYHUCAUVRUYMUXHAUVRPZUYLLMAUVRLALYQUVQLMYDYEUYNUVOMNZUYLUYNUYOPUVFUVPU
      YKSUVRUYOUVQAUVQLMYGYHAUYOUVPUYKXHUVRAUYOPEUVOAUUPUYOUVSUCAMQUVOMQVCAYIVN
      ZYJXEXMYKYLYMXMUYLUYILUVCMUVOUVCXHUYKUVEUVFSUVOUVCEUFUEYNYOYPUUAXMUUBUUCU
      UDYLYRYSUVHJBYTWIUUEYLYRYSUVJKTYTWIUUFAUUMUVLWDUUNAKUAJBCEDABMQDFUYPUUHGU
      YBUUGUCUUIUUJ $.
  $}

  ${
    $d C j $.  $d F i j k n $.  $d i j k m n $.  $d i j k n ph $.
    $d i k x y $.
    sumnnodd.1 $e |- ( ph -> F : NN --> CC ) $.
    sumnnodd.even0 $e |- ( ( ph /\ k e. NN /\ ( k / 2 ) e. NN ) -> ( F ` k ) =
       0 ) $.
    sumnnodd.sc $e |- ( ph -> seq 1 ( + , F ) ~~> B ) $.
    $( A series indexed by ` NN ` with only odd terms.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    sumnnodd $p |- ( ph -> ( seq 1 ( + , ( k e. NN |-> ( F ` ( ( 2 x. k ) - 1
       ) ) ) ) ~~> B /\ sum_ k e. NN ( F ` k ) = sum_ k e. NN ( F ` ( ( 2 x. k
       ) - 1 ) ) ) ) $=
      ( vj caddc cn c2 co c1 cmin cfv wceq wcel a1i adantl wa vn vi cC vx vy vm
      cv cmul cmpt cseq cli wbr csu cvv nfcv nfmpt1 nnuz seqex cc ffvelrnda 1nn
      1zzd oveq2 oveq1d ovex ax-mp 2t1e2 oveq1i 2m1e1 cuz cz cle 2z nnz zmulcld
      zsubcld cr 2cnd 1cnd oveq2i eqtrdi mulcld 3eqtrrd breqtrd eluz2 syl3anbrc
      2re cbvmptv fvmpt2 npcand eqtrd fveq2d cfz cdiv cin c0 wss mp1i cun fzfid
      eqtr2i wf adantr elfznn ffvelrnd adantlr cc0 simpl sseli oveq1 eleq1d syl
      elrab wi cfn syl2anc wral elfzelz zred elfzle1 lemul2ad lesub1dd eqbrtrid
      1red 0le2 wn zcnd 2ne0 clt eqidd id ovexd fvmptd eqcomd ad2antrr ad2antlr
      simpr sylanbrc nnred readdcld nfv nfseq serf eqid 3eqtri eqeltri peano2zd
      fvmpt nnre remulcld lep1d nncn adddid addsubassd peano2nn fvmptd3 3eltr4d
      mpdan crab cdif incom inss2 ssrin eqsstri disjdif sseqtri uncom fsumsplit
      ss0 inundif ssrab2 sselid simprbi vtoclga eleq1w 3anbi23d fveqeq2 imbi12d
      w3a chvarvv syl3anc sumeq2dv inss1 ssfi olcd sumz oveq2d fzfi difss mp2an
      wo sylan2 fsumcl addid1d fveq2 cbvsumv wf1 wfo 1re remulcli elfzle2 elfzd
      wf1o wne divcan3d rereccld halflt1 ltsub2dd crp rpreccl ltsubrpd breqtrrd
      divsubdird 2rp btwnnz nsyl eqneltrd intnand eldifd fmpttd 3eqtrd subcan2d
      sylnibr mulcanad syldan adantll ralrimivva dff13 wrex elfzelzd zeo eldifn
      ex nngt0d 2pos divgt0d elnnz mtand pm2.53 1p1e2 2div2e1 leadd1dd lediv1dd
      elfzel2 nncnd peano2cn divcan2d pncan1 eqtr2d rspceeqv reximdva ralrimiva
      sylc mpd dffo3 df-f1o anbi2d fsumf1o mpan2 sumeq1d 0red eqeltrid resubcld
      breqtrid ltletrd eleqtrdi fsumser eqeltrd simpll eleqtrd 3eqtr3d climsuse
      0lt1 nnge1 isum cdm climrel releldmi climdm sylib climuni releldm seqeq3d
      wrel eqcom 3imtr3i eleqtrrdi eqtr4d jca ) AICJKCUGZUHLZMNLZDOZUIZMUJZBUKU
      LZJVWJDOZCUMZJVWMCUMZPABCIDMUJZVWOCJVWLUIZMUNUNJACUUACVWTUOCIVWNMCMUOCIUO
      CJVWMUPUUBCJVWLUPUQAVBZVWTUNQAIDMURRAJUSVWJVWTACDMJUQVXBAJUSVWJDEUTZUUCUT
      GMVXAOZJQAVXDMJVXDKMUHLZMNLZKMNLZMMJQVXDVXFPVACMVWLVXFJVXAVWJMPVWKVXEMNVW
      JMKUHVCVDVXAUUDZVXEMNVEUUHVFVXEKMNVGVHZVIUUEVAUUFRVWJJQZVWJMILZVXAOZVWJVX
      AOZMILZVJOZQAVXJKVXKUHLZMNLZVWKVJOZVXLVXOVXJVWKVKQVXQVKQVWKVXQVLULVXQVXRQ
      VXJKVWJKVKQZVXJVMRZVWJVNZVOZVXJVXPMVXJKVXKVXTVXJVWJVYAUUGVOVXJVBZVPZVXJVW
      KVWKMILZVXQVLVXJVWKVXJKVWJKVQQZVXJWGRZVWJUUIZUUJZUUKVXJVXQVWKKILZMNLVWKVX
      GILZVYEVXJVXPVYJMNVXJVXPVWKVXEILVYJVXJKVWJMVXJVRZVWJUULZVXJVSZUUMVXEKVWKI
      VGVTWAVDVXJVWKKMVXJKVWJVYLVYMWBZVYLVYNUUNVYKVYEPVXJVXGMVWKIVIVTRWCWDVWKVX
      QWEWFVXJHVXKKHUGZUHLZMNLZVXQJVXAVKCHJVWLVYRVWJVYPPZVWKVYQMNVWJVYPKUHVCVDZ
      WHVYPVXKPVYQVXPMNVYPVXKKUHVCVDVWJUUOVYDUUPVXJVXNVWKVJVXJVXNVWLMILZVWKVXJV
      XMVWLMIVXJVWLVKQZVXMVWLPZVXJVWKMVYBVYCVPZCJVWLVKVXAVXHWIUURZVDVXJVWKMVYOV
      YNWJWKWLUUQSVWOUNQAIVWNMURRAVXJTZMVWJWMLZVYRDOZHUMZMVXMWMLZVYPDOZHUMZVWJV
      WOOVXMVWTOWUFWUIMVWLWMLZWUKHUMZWULWUFWUNWUMUAUGZKWNLZJQZUAJUUSZUUTZWUKHUM
      ZWUMWURWOZWUKHUMZILZWUSUBUGZDOZUBUMZWUIWUFWUSWVAWUKWUMHWUSWVAWOZWPWQWVGWP
      PWUFWVGWURWUSWOZWPWVGWVAWUSWOZWVHWUSWVAUVAWVAWURWQWVIWVHWQWUMWURUVBZWVAWU
      RWUSUVCVFUVDWURWUMUVEUVFWVGUVIWRWUMWUSWVAWSZPWUFWVKWVAWUSWSWUMWUSWVAUVGWU
      MWURUVJXARWUFMVWLWTAVYPWUMQZWUKUSQZVXJAWVLTJUSVYPDAJUSDXBZWVLEXCWVLVYPJQZ
      AVYPVWLXDZSXEZXFUVHWUFWVCWUTXGILZWVFWUFWVBXGWUTIAWVBXGPVXJAWVBWVAXGHUMZXG
      AWVAWUKXGHAVYPWVAQZTAWVOVYPKWNLZJQZWUKXGPZAWVTXHWVTWVOAWVTWURJVYPWUQUAJUV
      KWVAWURVYPWVJXIZUVLSWVTWWBAWVTVYPWURQZWWBWWDVWJKWNLZJQZWWBCVYPWURVYSWWFWW
      AJVWJVYPKWNXJXKZVWJWURQVXJWWGWUQWWGUAVWJJWUOVWJPWUPWWFJWUOVWJKWNXJXKXMUVM
      UVNXLSAVXJWWGUVSZVWQXGPZXNAWVOWWBUVSZWWCXNCHVYSWWIWWKWWJWWCVYSVXJWVOWWGWW
      BACHJUVOWWHUVPVWJVYPXGDUVQUVRFUVTUWAUWBAWVAUCVJOWQZWVAXOQZUWKWVSXGPAWWMWW
      LAWUMXOQZWVAWUMWQZWWMAMVWLWTWWOAWUMWURUWCRWUMWVAUWDXPUWEWVAHUCUWFXLWKXCUW
      GWUFWVRWUTWVFWUFWUTWUFWUSWUKHWUSXOQZWUFWWNWUSWUMWQWWPMVWLUWHWUMWURUWIZWUM
      WUSUWDUWJRAVYPWUSQZWVMVXJWWRAWVLWVMWUSWUMVYPWWQXIZWVQUWLXFZUWMUWNWUSWUKWV
      EHUBVYPWVDDUWOZUWPWAWKWUFWUSWVEWUGWUHUBHUBWUGKWVDUHLZMNLZUIZVYRWVDVYRDUWO
      WUFMVWJWTVXJWUGWUSWXDUXCZAVXJWUGWUSWXDUWQZWUGWUSWXDUWRZWXEVXJWUGWUSWXDXBZ
      UDUGZWXDOZUEUGZWXDOZPZWXIWXKPZXNZUEWUGXQUDWUGXQWXFVXJUBWUGWXCWUSVXJWVDWUG
      QZTZWXCWUMWURWXQWXCMVWLWXQVBVXJWUBWXPWUDXCWXPWXCVKQVXJWXPWXBMWXPKWVDVXSWX
      PVMRWVDMVWJXRZVOZWXPVBZVPSWXPMWXCVLULVXJWXPMVXFWXCVLVXFVXGMVXIVIXAZWXPVXE
      WXBMVXEVQQZWXPKMWGUWSUWTZRWXPWXBWXSXSZWXPYDZWXPMWVDKWYEWXPWVDWXRXSZVYFWXP
      WGRZXGKVLULZWXPYERWVDMVWJXTYAYBYCSWXQWXBVWKMWXPWXBVQQVXJWYDSVXJVWKVQQWXPV
      YIXCWXQYDWXQWVDVWJKWXPWVDVQQVXJWYFSVXJVWJVQQWXPVYHXCVYFWXQWGRWYHWXQYERWXP
      WVDVWJVLULVXJWVDMVWJUXASYAYBUXBWXPWXCWURQZYFVXJWXPWXCJQZWXCKWNLZJQZTWYIWX
      PWYLWYJWXPWYKWVDMKWNLZNLZJWXPWYKWXBKWNLZWYMNLWYNWXPWXBMKWXPWXBWXSYGWXPVSZ
      WXPVRZKXGUXDZWXPYHRZUXMWXPWYOWVDWYMNWXPWVDKWXPWVDWXRYGZWYQWYSUXEVDWKWXPWY
      NVKQZWYNJQWXPWVDMNLZVKQXUBWYNYIULWYNXUBMILZYIULXUAYFWXPWVDMWXRWXTVPWXPWYM
      MWVDWXPKWYGWYSUXFWYEWYFWYMMYIULWXPUXGRUXHWXPWYNWVDXUCYIWXPWVDWYMWYFKUXIQZ
      WYMUXIQWXPUXNKUXJWRUXKWXPWVDMWYTWYPWJUXLXUBWYNUXOUWAWYNVNUXPUXQUXRWUQWYLU
      AWXCJWUOWXCPWUPWYKJWUOWXCKWNXJXKXMUYCSUXSUXTZVXJWXOUDUEWUGWUGVXJWXIWUGQZW
      XKWUGQZTZTWXMWXNXUHWXMWXNVXJXUHWXMKWXIUHLZMNLZKWXKUHLZMNLZPZWXNXUHWXMTXUJ
      WXJWXLXULXUFXUJWXJPXUGWXMXUFWXJXUJXUFUBWXIWXCXUJWUGWXDUNXUFWXDYJWVDWXIPZW
      XCXUJPXUFXUNWXBXUIMNWVDWXIKUHVCVDSXUFYKXUFXUIMNYLYMYNYOXUHWXMYQXUGWXLXULP
      XUFWXMXUGUBWXKWXCXULWUGWXDUNXUGWXDYJWVDWXKPZWXCXULPXUGXUOWXBXUKMNWVDWXKKU
      HVCVDSXUGYKXUGXUKMNYLYMYPUYAXUHXUMXUIXUKPZWXNXUHXUMTZXUIXUKMXUFXUIUSQXUGX
      UMXUFKWXIXUFVRXUFWXIWXIMVWJXRYGZWBYOXUGXUKUSQXUFXUMXUGKWXKXUGVRXUGWXKWXKM
      VWJXRYGZWBYPXUQVSXUHXUMYQUYBXUHXUPTZWXIWXKKXUFWXIUSQXUGXUPXURYOXUGWXKUSQX
      UFXUPXUSYPXUTVRWYRXUTYHRXUHXUPYQUYDUYEUYEUYFUYMUYGUDUEWUGWUSWXDUYHYRVXJWX
      HVYPUFUGZWXDOZPZUFWUGUYIZHWUSXQWXGXUEVXJXVDHWUSVXJWWRTZVYPKXVAUHLZMNLZPZU
      FWUGUYIZXVDXVEVYPMILZKWNLZWUGQVYPKXVKUHLZMNLZPZXVIXVEXVKMVWJXVEVBVXJVWJVK
      QWWRVYAXCXVEWWAVKQZXVKVKQZUWKZXVOYFZXVPWWRXVQVXJWWRVYPVKQXVQWWRVYPMVWLWWS
      UYJVYPUYKXLSWWRXVRVXJWWRXVOWWEVYPWUMWURUYLWWRXVOTZWVOWWBWWEWWRWVOXVOWWRWV
      LWVOWWSWVPXLZXCZXVSXVOXGWWAYIULWWBWWRXVOYQXVSVYPKXVSVYPXWAYSVYFXVSWGRXVSV
      YPXWAUYNXGKYIULXVSUYORUYPWWAUYQYRWUQWWBUAVYPJWUOVYPPWUPWWAJWUOVYPKWNXJXKX
      MYRUYRSXVOXVPUYSVUMWWRMXVKVLULZVXJWWRWVLXWBWWSWVLMMMILZKWNLZXVKVLXWDKKWNL
      MXWCKKWNUYTVHVUAXAWVLXWCXVJKWVLMMWVLYDZXWEYTWVLVYPMWVLVYPWVPYSZXWEYTZXUDW
      VLUXNRZWVLMVYPMXWEXWFXWEVYPMVWLXTVUBVUCYCXLSWWRVXJWVLXVKVWJVLULWWSVXJWVLT
      ZXVKWUAKWNLZVWJVLWVLXVKXWJVLULVXJWVLXVJWUAKXWGWVLVWLMWVLVWLVYPMVWLVUDXSZX
      WEYTXWHWVLVYPVWLMXWFXWKXWEVYPMVWLUXAVUBVUCSXWIXWJVWKKWNLZVWJXWIWUAVWKKWNX
      WIVWKMVXJVWKUSQWVLVYOXCXWIVSWJVDVXJXWLVWJPWVLVXJVWJKVYMVYLWYRVXJYHRUXEXCW
      KWDUWLUXBWWRXVNVXJWWRVYPUSQZXVNWWRVYPXVTVUEXWMXVMXVJMNLVYPXWMXVLXVJMNXWMX
      VJKVYPVUFXWMVRWYRXWMYHRVUGVDVYPVUHVUIXLSUFXVKWUGXVGXVMVYPXVAXVKPXVFXVLMNX
      VAXVKKUHVCVDVUJXPXVEXVHXVCUFWUGXVAWUGQZXVHXVCXNXVEXWNXVHXVCXWNXVHTZXVBXVG
      VYPXWOUBXVAWXCXVGWUGWXDUNXWOWXDYJWVDXVAPZWXCXVGPXWOXWPWXBXVFMNWVDXVAKUHVC
      VDSXWNXVHXHXWOXVFMNYLYMXVHXVGVYPPXWNXVHVYPXVGXVHYKYNSVUIUYMSVUKVUNVULUFHW
      UGWUSWXDVUOYRWUGWUSWXDVUPYRSVYPWUGQZVYPWXDOVYRPWUFXWQUBVYPWXCVYRWUGWXDUNX
      WQWXDYJWVDVYPPZWXCVYRPXWQXWRWXBVYQMNWVDVYPKUHVCVDSXWQYKXWQVYQMNYLYMSWUFWW
      RTZWVMXNWUFWVDWUSQZTZWVEUSQZXNHUBVYPWVDPZXWSXXAWVMXXBXXCWWRXWTWUFHUBWUSUV
      OVUQXXCWUKWVEUSWXAXKUVRWWTUVTVURWCVXJWUNWULPAVXJWUMWUJWUKHVXJWUJWUMVXJVXM
      VWLMWMVXJVWLUNQWUCVWKMNVECJVWLUNVXAVXHWIVUSUWGZYNVUTSWKWUFWUHHVWNMVWJWUFX
      WQTWVOWUHUSQZVYPVWNOWUHPXWQWVOWUFVYPVWJXDZSAXWQXXEVXJAXWQTJUSVYRDAWVNXWQE
      XCXWQVYRJQZAXWQVYRVKQXGVYRYIULXXGXWQVYQMXWQKVYPVXSXWQVMRVYPMVWJXRVOZXWQVB
      VPZXWQXGVXFVYRXWQVVAXWQVXEMXWQVXEKVQVGVYFXWQWGRZVVBZXWQYDZVVCXWQVYRXXIXSX
      WQXGMVXFYIVVMMVXFPXWQWYARVVDXWQVXEVYQMXXKXWQVYQXXHXSXXLXWQMVYPKXXLXWQVYPX
      XFYSXXJWYHXWQYERVYPMVWJXTYAYBVVEVYRUYQYRSXEXFZHJWUHUSVWNCHJVWMWUHVYSVWLVY
      RDVYTWLZWHZWIXPWUFVWJJMVJOZAVXJYQZUQVVFXXMVVGWUFWUKHDMVXMWUFVYPWUJQZTZWUK
      YJVXJVXMXXPQAVXJVXMVWLXXPWUEVXJMVKQWUBMVWLVLULVWLXXPQVYCWUDVXJMVXFVWLVLWY
      AVXJVXEVWKMWYBVXJWYCRVYIVXJYDZVXJMVWJKXXTVYHVYGWYHVXJYERVWJVVNYAYBYCMVWLW
      EWFZVVHSXXSAWVLWVMAVXJXXRVVIVXJXXRWVLAVXJXXRTVYPWUJWUMVXJXXRYQVXJWUJWUMPX
      XRXXDXCVVJUYFWVQXPVVGVVKVVLZAVWRVWTUKOZBVWSAVWQCDMJUQVXBWUFVWQYJVXCVVOAVW
      TXYCUKULZVWTBUKULZXYCBPAVWTUKVVPZQZXYDAXYEXYGGVWTBUKVVQVVRXLVWTVVSVVTGXYC
      BVWTVWAXPABIHJWUHUIZMUJZUKOZVWSAVWPVWOXYJUKULBXYJPXYBAVWOVWOUKOZXYJUKAVWO
      XYFQZVWOXYKUKULAUKVWDZVWPXYLXYMAVVQRXYBVWOBUKVWBXPVWOVVSVVTAVWOXYIUKAVWNX
      YHIMVWNXYHPAXXORVWCWLWDBXYJVWOVWAXPAVWMCXYHMJUQVXBWUFHVWJWUHVWMJXYHUSWUFX
      YHYJVYPVWJPZWUHVWMPZWUFVYSVWMWUHPXYNXYOXXNVWJVYPVWEVWMWUHVWEVWFSXXQWUFJUS
      VWLDAWVNVXJEXCVXJVWLJQAVXJVWLXXPJXYAUQVWGSXEZYMXYPVVOVWHUYAVWI $.
  $}

  ${
    $d A a b $.  $d A x $.  $d B a b $.  $d B x $.  $d J a b $.  $d a b ph $.
    $d ph x $.
    lptioo2.1 $e |- J = ( topGen ` ran (,) ) $.
    lptioo2.2 $e |- ( ph -> A e. RR* ) $.
    lptioo2.3 $e |- ( ph -> B e. RR ) $.
    lptioo2.4 $e |- ( ph -> A < B ) $.
    $( The upper bound of an open interval is a limit point of the interval.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    lptioo2 $p |- ( ph -> B e. ( ( limPt ` J ) ` ( A (,) B ) ) ) $=
      ( va vb vx cioo wcel c0 cxr wa wceq adantl wbr clt co clp cfv cv csn cdif
      cin wi wral difssd simpr wn ubioo eleq1 biimpcd mtoi velsn sylnibr eldifd
      wne eqelssd ineq2d ad2antrr cle cif simplrl simplrr elioo3g biimpi simpld
      simp3d iooin syl22anc iftrue ad3antrrr eqbrtrd iffalse ad2antlr pm2.61dan
      w3a simprd simp2d xrltnle syl2anc mpbid syl eqcomd breqtrd ifcld eqeltrrd
      wb ioon0 mpbird eqnetrd ex ralrimivva cr wss ioossre a1i islptre ) ACBCLU
      AZDUBUCUCMCIUDZJUDZLUAZMZXEXBCUEZUFZUGZNUTZUHZJOUIIOUIAXKIJOOAXCOMZXDOMZP
      ZPZXFXJXOXFPZXIXEXBUGZNAXIXQQXNXFAXHXBXEAKXHXBAXBXGUJAKUDZXBMZPZXRXBXGAXS
      UKXTXRCQZXRXGMXSYAULAXSYACXBMZBCUMYAXSYBXRCXBUNUOUPRKCUQURUSVAVBVCXPXQXCB
      VDSZBXCVEZXDCVDSZXDCVEZLUAZNXPXLXMBOMZCOMZXQYGQAXLXMXFVFZAXLXMXFVGAYHXNXF
      FVCZXFYIXOXFXLXMYIXFXLXMYIVTZXCCTSZCXDTSZPZXFYLYOPXCXDCVHVIZVJZVKZRZXCXDB
      CVLVMXPYGNUTZYDYFTSZXPYDCYFTXPYCYDCTSXPYCPYDBCTYCYDBQXPYCBXCVNRABCTSXNXFY
      CHVOVPXPYCULZPYDXCCTUUBYDXCQXPYCBXCVQRXFYMXOUUBXFYMYNXFYLYOYPWAZVJVRVPVSX
      FCYFQXOXFYFCXFYEULZYFCQXFYNUUDXFYMYNUUCWAXFYIXMYNUUDWKYRXFXLXMYIYQWBCXDWC
      WDWEYEXDCVQWFWGRZWHXPYDOMYFOMYTUUAWKXPYCBXCOYKYJWIXPCYFOUUEYSWJYDYFWLWDWM
      WNWNWOWPAXBCDIJEXBWQWRABCWSWTGXAWM $.
  $}

  ${
    $d A a b $.  $d A x $.  $d B a b $.  $d B x $.  $d J a b $.  $d a b ph $.
    $d ph x $.
    lptioo1.1 $e |- J = ( topGen ` ran (,) ) $.
    lptioo1.2 $e |- ( ph -> A e. RR ) $.
    lptioo1.3 $e |- ( ph -> B e. RR* ) $.
    lptioo1.4 $e |- ( ph -> A < B ) $.
    $( The lower bound of an open interval is a limit point of the interval.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    lptioo1 $p |- ( ph -> A e. ( ( limPt ` J ) ` ( A (,) B ) ) ) $=
      ( va vb vx cioo wcel c0 cxr wa wceq adantl wbr clt co clp cfv cv csn cdif
      cin wi wral difssd simpr wn lbioo eleq1 biimpcd mtoi velsn sylnibr eldifd
      wne eqelssd ad2antrr cle cif simplrl simplrr rexrd jca iooin syl21anc w3a
      ineq2d elioo3g biimpi simpld simp1d simp3d simprd xrltled ad2antlr iftrue
      iftrued eqcomd breqtrd ad3antrrr iffalse pm2.61dan wb adantr ifclda ioon0
      eqbrtrd syl2anc mpbird eqnetrd ex ralrimivva cr wss ioossre a1i islptre )
      ABBCLUAZDUBUCUCMBIUDZJUDZLUAZMZXFXCBUEZUFZUGZNUTZUHZJOUIIOUIAXLIJOOAXDOMZ
      XEOMZPZPZXGXKXPXGPZXJXFXCUGZNAXJXRQXOXGAXIXCXFAKXIXCAXCXHUJAKUDZXCMZPZXSX
      CXHAXTUKYAXSBQZXSXHMXTYBULAXTYBBXCMZBCUMYBXTYCXSBXCUNUOUPRKBUQURUSVAVLVBX
      QXRXDBVCSZBXDVDZXECVCSZXECVDZLUAZNXQXMXNBOMZCOMZPZXRYHQAXMXNXGVEZAXMXNXGV
      FZAYKXOXGAYIYJABFVGZGVHVBXDXEBCVIVJXQYHNUTZYEYGTSZXQYEBYGTXGYEBQXPXGYDBXD
      XGXDBXGXMXNYIXGXMXNYIVKZXDBTSZBXETSZPZXGYQYTPXDXEBVMVNZVOZVPXGXMXNYIUUBVQ
      XGYRYSXGYQYTUUAVRZVOVSWBRXQYFBYGTSXQYFPBXEYGTXGYSXPYFXGYRYSUUCVRVTYFXEYGQ
      XQYFYGXEYFXECWAWCRWDXQYFULZPBCYGTABCTSXOXGUUDHWEUUDCYGQXQUUDYGCYFXECWFWCR
      WDWGWLXQYEOMYGOMYOYPWHXQYDBXDOAYIXOXGYDYNWEXQXMYDULYLWIWJXQYFXECOXQXNYFYM
      WIAYJXOXGUUDGWEWJYEYGWKWMWNWOWOWPWQAXCBDIJEXCWRWSABCWTXAFXBWN $.
  $}

  $( A member of an unordered pair that is not the "first", must be the
     "second".  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  elprn1 $p |- ( ( A e. { B , C } /\ A =/= B ) -> A = C ) $=
    ( cpr wcel wne wa wceq wn neneq adantl wo elpri adantr ord mpd ) ABCDEZABFZ
    GZABHZIZACHZRUAQABJKSTUBQTUBLRABCMNOP $.

  $( A member of an unordered pair that is not the "second", must be the
     "first".  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  elprn2 $p |- ( ( A e. { B , C } /\ A =/= C ) -> A = B ) $=
    ( cpr wcel wne wa wceq wn neneq adantl wo wi elpri adantr orcom df-or bitri
    sylib mpd ) ABCDEZACFZGZACHZIZABHZUBUEUAACJKUCUFUDLZUEUFMZUAUGUBABCNOUGUDUF
    LUHUFUDPUDUFQRST $.

  ${
    $d A x $.  $d ph x $.
    limcmptdm.f $e |- F = ( x e. A |-> B ) $.
    limcmptdm.b $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    limcmptdm.c $e |- ( ph -> C e. ( F limCC D ) ) $.
    $( The domain of a maps-to function with a limit.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    limcmptdm $p |- ( ph -> A C_ CC ) $=
      ( cdm cc dmmptd wf wss wcel climc co w3a limcrcl syl simp2d eqsstrrd ) AC
      GKZLABGCDLHIMAUDLGNZUDLOZFLPZAEGFQRPUEUFUGSJFEGTUAUBUC $.
  $}

  ${
    $d A j k x $.  $d F j x $.  $d M j $.  $d Z j k $.  $d j k ph x $.
    nf $e |- F/_ k F $.
    clim2f.z $e |- Z = ( ZZ>= ` M ) $.
    clim2f.m $e |- ( ph -> M e. ZZ ) $.
    clim2f.f $e |- ( ph -> F e. V ) $.
    clim2f.b $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = B ) $.
    $( Express the predicate:  The limit of complex number sequence ` F ` is
       ` A ` , or ` F ` converges to ` A ` , with more general quantifier
       restrictions than ~ clim .  Similar to ~ clim2 , but without the
       disjoint var constraint ` F k ` .  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    clim2f $p |- ( ph -> ( F ~~> A <-> ( A e. CC /\ A. x e. RR+ E. j e. Z A. k
       e. ( ZZ>= ` j ) ( B e. CC /\ ( abs ` ( B - A ) ) < x ) ) ) ) $=
      ( cc wcel cfv wa wral cli wbr cv cmin co cabs clt cuz cz wrex eqidd climf
      wb uztrn2 eleq1d fvoveq1d breq1d anbi12d sylan2 anassrs ralbidva rexbidva
      crp rexuz3 syl bitr3d ralbidv anbi2d bitr4d ) AGCUAUBCPQZFUCZGRZPQZVLCUDU
      EUFRZBUCZUGUBZSZFEUCZUHRZTZEUIUJZBVCTZSVJDPQZDCUDUEUFRZVOUGUBZSZFVSTZEJUJ
      ZBVCTZSABCVLEFGIKNAVKUIQSVLUKULAWIWBVJAWHWABVCAVTEJUJZWHWAAVTWGEJAVRJQZSV
      QWFFVSAWKVKVSQZVQWFUMZWKWLSAVKJQZWMHVKVRJLUNAWNSZVMWCVPWEWOVLDPOUOWOVNWDV
      OUGWOVLDCUFUDOUPUQURUSUTVAVBAHUIQWJWAUMMVQEFHJLVDVEVFVGVHVI $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.
    limcicciooub.1 $e |- ( ph -> A e. RR ) $.
    limcicciooub.2 $e |- ( ph -> B e. RR ) $.
    limcicciooub.3 $e |- ( ph -> A < B ) $.
    limcicciooub.4 $e |- ( ph -> F : ( A [,] B ) --> CC ) $.
    $( The limit of a function at the upper bound of a closed interval only
       depends on the values in the inner open interval.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    limcicciooub $p |- ( ph -> ( ( F |` ( A (,) B ) ) limCC B ) = ( F limCC B )
       ) $=
      ( vx co cfv crest wss cr eqid cnt cpnf wcel wbr wceq cicc cioo ccnfld csn
      ctopn cun ioossicc a1i cc iccssred ax-resscn sstrdi cioc crn ctg cdif cin
      ctop cuni retop rexrd iocssre syl2anc difssd unssd uniretop sseqtrdi wral
      cxr cv wa wo cle clt elioore ad2antlr w3a simplr wb ad2antrr pnfxr elioo2
      sylancl mpbid simp2d simpr elioc2 mpbir3and orcd w3o 3ianor sylibr adantl
      wn 3mix3 elicc2 mtbird eldifd olcd pm2.61dan elun ralrimiva dfss3 syl3anc
      ntrss ltpnfd eliood iooretop isopn3i eleqtrrd sseldd ltled elind iocssicc
      ubicc2 restntr rerest syl eqcomd fveq2d fveq1d eleqtrd snssd sylib oveq2d
      ssequn2 ioounsn fveq12d limcres ) ABCUAJZCBCUBJZDUCUEKZYJCUDZUFZLJZYLHYKY
      JMABCUGUHAYJNUIABCEFUJZUKULYLOZYOOACBCUMJZYLYJLJZPKZKZYKYMUFZYOPKZKACYRUB
      UNUOKZYJLJZPKZKZUUAACYRNYJUPZUFZUUDPKZKZYJUQZUUGAUUKYJCABQUBJZUUJKZUUKCAU
      UDURRZUUIUUDUSZMUUMUUIMZUUNUUKMUUOAUTUHZAUUINUUPAYRUUHNABVIRZCNRZYRNMABEV
      AZFBCVBVCANYJVDVEVFVGAIVJZUUIRZIUUMVHUUQAUVCIUUMAUVBUUMRZVKZUVBYRRZUVBUUH
      RZVLZUVCUVEUVBCVMSZUVHUVEUVIVKZUVFUVGUVJUVFUVBNRZBUVBVNSZUVIUVDUVKAUVIUVB
      BQVOZVPUVJUVKUVLUVBQVNSZUVJUVDUVKUVLUVNVQZAUVDUVIVRUVJUUSQVIRZUVDUVOVSAUU
      SUVDUVIUVAVTZWABQUVBWBWCWDWEUVEUVIWFUVJUUSUUTUVFUVKUVLUVIVQVSUVQAUUTUVDUV
      IFVTBCUVBWGVCWHWIUVEUVIWNZVKZUVGUVFUVSUVBNYJUVDUVKAUVRUVMVPUVSUVBYJRZUVKB
      UVBVMSZUVIVQZUVRUWBWNZUVEUVRUVKWNZUWAWNZUVRWJUWCUVRUWDUWEWOUVKUWAUVIWKWLW
      MUVSBNRZUUTUVTUWBVSAUWFUVDUVREVTAUUTUVDUVRFVTBCUVBWPVCWQWRWSWTUVBYRUUHXAW
      LXBIUUMUUIXCWLUUIUUMUUDUUPUUPOXEXDACUUMUUNABQCUVAUVPAWAUHFGACFXFXGAUUOUUM
      UUDRUUNUUMTUURBQXHUUMUUDXIWCXJXKAUUSCVIRZBCVMSCYJRUVAACFVAZABCEFGXLBCXOXD
      ZXMAUUOYJNMZYRYJMZUUGUULTUURYPUWKABCXNUHYRUUDUUENYJVFUUEOXPXDXJAYRUUFYTAU
      UEYSPAYSUUEAUWJYSUUETYPYJUUDYLYQUUDOXQXRXSXTYAYBAYRUUBYTUUCAYSYOPAYJYNYLL
      AYNYJAYMYJMYNYJTACYJUWIYCYMYJYFYDXSYEXTAUUBYRAUUSUWGBCVNSUUBYRTUVAUWHGBCY
      GXDXSYHYBYI $.
  $}

  ${
    ltmod.a $e |- ( ph -> A e. RR ) $.
    ltmod.b $e |- ( ph -> B e. RR+ ) $.
    ltmod.c $e |- ( ph -> C e. ( ( A - ( A mod B ) ) [,) A ) ) $.
    $( A sufficient condition for a "less than" relationship for the ` mod `
       operator.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    ltmod $p |- ( ph -> ( C mod B ) < ( A mod B ) ) $=
      ( cdiv co cfl cfv cmul cmin cmo clt cr wcel cxr rexrd syl2anc cico modcld
      wss resubcld icossre rpred rerpdivcld flcld zred remulcld icoltub syl3anc
      sseldd ltsub1dd cicc icossicc sselid lefldiveq eqcomd oveq2d breqtrd wceq
      wbr crp modval 3brtr4d ) ADCDCHIZJKZLIZMIZBCBCHIJKZLIZMIZDCNIZBCNIZOAVJBV
      IMIVMOADBVIABVOMIZBUAIZPDAVPPQBRQZVQPUCABVOEABCEFUBUDZABESZVPBUETGUMZEACV
      HACFUFAVHAVGADCWAFUGUHUIUJAVPRQVRDVQQDBOVCAVPVSSVTGVPBDUKULUNAVIVLBMAVHVK
      CLAVKVHABCDEFAVQVPBUOIDVPBUPGUQURUSUTUTVAADPQCVDQZVNVJVBWAFDCVETABPQWBVOV
      MVBEFBCVETVF $.
  $}

  ${
    $d P e n x $.  $d S e n x $.  $d e n ph x $.
    islpcn.s $e |- ( ph -> S C_ CC ) $.
    islpcn.p $e |- ( ph -> P e. CC ) $.
    $( A characterization for a limit point for the standard topology on the
       complex numbers.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    islpcn $p |- ( ph -> ( P e. ( ( limPt ` ( TopOpen ` CCfld ) ) ` S ) <-> A.
       e e. RR+ E. x e. ( S \ { P } ) ( abs ` ( x - P ) ) < e ) ) $=
      ( vn cfv wcel co clt crp cc a1i syl3anc wa adantr adantlr nfv ccnfld cdif
      ctopn clp cv csn cin c0 wne cnei wral cmin cabs wbr wrex ctop wss wb eqid
      cnfldtop unicntop islp2 wex cbl cxmet cnxmet simpr cnfldtopn blnei simplr
      ccom wceq ineq1 neeq1d rspcva syl2anc sylib elinel2 adantl eldifad sseldd
      n0 abssubd cnmetdval eqtr4d elinel1 cxr rpxr ad2antlr elbl simprd eqbrtrd
      wi mpbid jca eximdv mpd df-rex sylibr ralrimiva neibl simplbda nfra1 nfan
      ex w3a simp1l simp2 rspa adantll 3adant3 simp3 biimpi nfre1 adantrr eqtrd
      eldifi simprr mpbird simprl elind eximd syl21anc rexlimd impbida bitrd
      3exp ) ACDUAUCIZUDIIJZHUEZDCUFZUBZUGZUHUIZHYKYHUJIIZUKZBUEZCULKUMIZEUEZLU
      NZBYLUOZEMUKZAYHUPJZDNUQZCNJZYIYPURUUCAYHYHUSZUTOFGCDHYHNVAVBPAYPUUBAYPQZ
      UUAEMUUGYSMJZQZYQYLJZYTQZBVCZUUAUUIYQCYSUMULVKZVDIKZYLUGZJZBVCZUULUUIUUOU
      HUIZUUQUUIUUNYOJZYPUURAUUHUUSYPAUUHQZUUMNVEIJZUUEUUHUUSUVAUUTVFOAUUEUUHGR
      ZAUUHVGUUMCYSYHNYHUUFVHZVIPSAYPUUHVJYNUURHUUNYOYJUUNVLYMUUOUHYJUUNYLVMVNV
      OVPBUUOWBVQUUIUUPUUKBAUUHUUPUUKWMYPUUTUUPUUKUUTUUPQZUUJYTUUPUUJUUTYQUUNYL
      VRZVSUVDYRCYQUUMKZYSLAUUPYRUVFVLUUHAUUPQZYRCYQULKUMIZUVFUVGYQCUVGDNYQAUUD
      UUPFRUUPYQDJZAUUPYQDYKUVEVTVSWAZAUUEUUPGRZWCUVGUUEYQNJZUVFUVHVLZUVKUVJCYQ
      UUMUUMUSWDZVPWESUVDUVLUVFYSLUNZUVDYQUUNJZUVLUVOQZUUPUVPUUTYQUUNYLWFVSUVDU
      VAUUEYSWGJZUVPUVQURZUVAUVDVFOUUTUUEUUPUVBRUUHUVRAUUPYSWHZWIYQUUMCYSNWJZPW
      NWKWLWOXESWPWQYTBYLWRZWSWTAUUBQZYNHYOUWCYJYOJZQZUUNYJUQZEMUOZYNAUWDUWGUUB
      AUWDYJNUQZUWGAUVAUUEUWDUWHUWGQURUVAAVFOGUUMCYHYJNEUVCXAVPXBSUWEUWFYNEMUWC
      UWDEAUUBEAETUUAEMXCXDUWDETXDYNETUWCUUHUWFYNWMWMUWDUWCUUHUWFYNUWCUUHUWFXFZ
      UUTUUAUWFYNUWIAUUHAUUBUUHUWFXGUWCUUHUWFXHWOUWCUUHUUAUWFUUBUUHUUAAUUAEMXIX
      JXKUWCUUHUWFXLUUTUUAQZUWFQZYQYMJZBVCZYNUWKUULUWMUUAUULUUTUWFUUAUULUWBXMWI
      UWKUUKUWLBUWJUWFBUUTUUABUUTBTYTBYLXNXDUWFBTXDUUTUWFUUKUWLWMUUAUUTUWFQZUUK
      UWLUWNUUKQZYJYLYQUWOUUNYJYQUUTUWFUUKVJUUTUUKUVPUWFUUTUUKQZUVPUVQAUUKUVQUU
      HAUUKQZUVLUVOAUUJUVLYTAUUJQZDNYQAUUDUUJFRUUJUVIAYQDYKXQVSWAZXOUWQUVFYRYSL
      AUUJUVFYRVLYTUWRUVFUVHYRUWRUUEUVLUVMAUUEUUJGRZUWSUVNVPUWRCYQUWTUWSWCXPXOA
      UUJYTXRWLWOSUWPUVAUUEUVRUVSUVAUWPVFOUUTUUEUUKUVBRUUHUVRAUUKUVTWIUWAPXSSWA
      UWNUUJYTXTYAXESYBWQBYMWBWSYCYGRYDWQWTYEYF $.
  $}

  ${
    $d A a b w x $.  $d A w x y $.  $d E a b w x $.  $d E w x y $.
    $d J a b w x $.  $d J w x y $.  $d a b ph w x $.  $d ph w x y $.
    lptre2pt.j $e |- J = ( topGen ` ran (,) ) $.
    lptre2pt.a $e |- ( ph -> A C_ RR ) $.
    lptre2pt.x $e |- ( ph -> ( ( limPt ` J ) ` A ) =/= (/) ) $.
    lptre2pt.e $e |- ( ph -> E e. RR+ ) $.
    $( If a set in the real line has a limit point than it contains two
       distinct points that are closer than a given distance.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    lptre2pt $p |- ( ph -> E. x e. A E. y e. A ( x =/= y /\ ( abs ` ( x - y ) )
       < E ) ) $=
      ( wcel cmin co wa cioo cxr cr adantr adantl recnd vw va vb cv clp cfv wne
      cabs clt wbr wrex c0 wex n0 sylib c2 cdiv caddc csn cdif cin wi simpr wss
      wral ctop crn ctg eqeltri cuni uniretop unieqi eqtr4i lpss sylancr sseldd
      retop islptre mpbid rpred rehalfcld resubcld rexrd readdcld crp rphalfcld
      ltsubrpd ltaddrpd eliood oveq1 eleq2d ineq1d neeq1d imbi12d oveq2 syl2anc
      wceq rspc2v mp2d elinel2 eldifad elinel1 wn eldifbd eldifd jca eximdv mpd
      ex df-rex sylibr eldifi elioore syl eldifsni resubcl abscld 3adant3 simp2
      w3a cc 3ad2ant1 simp3 syl3anc subcld cc0 cle simpl1 simpl2 simpl3 oveq12d
      oveq2d eleqtrd simpl breqtrd ltled ad3antrrr sylan2 3adant1 iooabslt recn
      subne0d absrpcld subge0d abssubge0d 3ad2ant3 ancoms iooltub pncan3d gtned
      cneg 0red ltnled mpbird absnidd negsubdi2d 3adantl3 nncand oveq1d ioogtlb
      eqtrd pm2.61dan adantll adantllr adantlr abs3difd ad2antrr simpll abssubd
      ltned eqbrtrd 3jca 3ad2antl2 lttrd syl2an ltleaddd 2halvesd lelttrd jca32
      reximdv exlimddv ) AUAUDZDFUEUFUFZKZBUDZCUDZUGZUWEUWFLMZUHUFZEUIUJZNZCDUK
      ZBDUKZUAAUWCULUGUWDUAUMIUAUWCUNUOAUWDNZUWEUWBEUPUQMZLMZUWBUWOURMZOMZUWBUS
      ZUTKZBDUKZUWMUWNUWEDKZUWTNZBUMZUXAUWNUWEUWRDUWSUTZVAZKZBUMZUXDUWNUXFULUGZ
      UXHUWNUWBUBUDZUCUDZOMZKZUXLUXEVAZULUGZVBZUCPVEUBPVEZUWBUWRKZUXIUWNUWDUXQA
      UWDVCZUWNDUWBFUBUCGADQVDZUWDHRZUWNUWCQUWBUWNFVFKUXTUWCQVDFOVGVHUFZVFGVQVI
      UYADFQQUYBVJFVJVKFUYBGVLVMVNVOUXSVPZVRVSZUWNUWPUWQUWBUWNUWPUWNUWBUWOUYCUW
      NEAEQKZUWDAEJVTZRWAZWBWCZUWNUWQUWNUWBUWOUYCUYGWDWCZUYCUWNUWBUWOUYCAUWOWEK
      UWDAEJWFRZWGUWNUWBUWOUYCUYJWHWIUWNUWPPKUWQPKUXQUXRUXIVBZVBUYHUYIUXPUYKUWB
      UWPUXKOMZKZUYLUXEVAZULUGZVBUBUCUWPUWQPPUXJUWPWQZUXMUYMUXOUYOUYPUXLUYLUWBU
      XJUWPUXKOWJZWKUYPUXNUYNULUYPUXLUYLUXEUYQWLWMWNUXKUWQWQZUYMUXRUYOUXIUYRUYL
      UWRUWBUXKUWQUWPOWOZWKUYRUYNUXFULUYRUYLUWRUXEUYSWLWMWNWRWPWSBUXFUNUOUWNUXG
      UXCBUWNUXGUXCUWNUXGNZUXBUWTUXGUXBUWNUXGUWEDUWSUWEUWRUXEWTZXASUYTUWEUWRUWS
      UXGUWEUWRKZUWNUWEUWRUXEXBSUXGUWEUWSKXCUWNUXGUWEDUWSVUAXDSXEXFXIXGXHUWTBDX
      JXKUWNUWTUWLBDUWNUWTUWLUWNUWTNZUWFDKZUWKNZCUMZUWLVUCUWFUWBUWEUWBLMZUHUFZL
      MZUWBVUHURMZOMZUXEVAZKZCUMZVUFVUCVULULUGZVUNVUCUXQUWBVUKKZVUOUWNUXQUWTUYD
      RVUCUWEQKZUWBQKZUWEUWBUGZVUPUWTVUQUWNUWTVUBVUQUWEUWRUWSXLZUWEUWPUWQXMZXNZ
      SZUWNVURUWTUYCRZUWTVUSUWNUWEUWRUWBXOSVUQVURVUSXTZVUIVUJUWBVUQVURVUIPKZVUS
      VUQVURNZVUIVVGUWBVUHVUQVURVCZVVGVUGVVGVUGUWEUWBXPZTZXQZWBWCXRVUQVURVUJPKZ
      VUSVVGVUJVVGUWBVUHVVHVVKWDWCXRVUQVURVUSXSZVVEUWBVUHVVMVVEVUGVUQVURVUGYAKV
      USVVJXRVVEUWEUWBVUQVURUWEYAKZVUSUWEUUAZYBVVEUWBVVMTVUQVURVUSYCUUBUUCZWGVV
      EUWBVUHVVMVVPWHWIYDVUCVVFVVLUXQVUPVUOVBZVBVUCVUIVUCUWBVUHVVDVUCVUGVUCUWEU
      WBUWTVVNUWNUWTUWEVVBTSVUCUWBVVDTZYEXQZWBWCVUCVUJVUCUWBVUHVVDVVSWDWCUXPVVQ
      UWBVUIUXKOMZKZVVTUXEVAZULUGZVBUBUCVUIVUJPPUXJVUIWQZUXMVWAUXOVWCVWDUXLVVTU
      WBUXJVUIUXKOWJZWKVWDUXNVWBULVWDUXLVVTUXEVWEWLWMWNUXKVUJWQZVWAVUPVWCVUOVWF
      VVTVUKUWBUXKVUJVUIOWOZWKVWFVWBVULULVWFVVTVUKUXEVWGWLWMWNWRWPWSCVULUNUOVUC
      VUMVUECVUCVUMVUEVUCVUMNZVUDUWGUWJVUMVUDVUCVUMUWFDUWSUWFVUKUXEWTXASVWHVURV
      UQUWFVUKKZUWGVUCVURVUMVVDRVUCVUQVUMVVCRZVUMVWIVUCUWFVUKUXEXBZSVURVUQVWIXT
      ZYFVUGYGUJZUWGVWLVWMNZVURVUQUWFUWBVUGLMZUWBVUGURMZOMZKZUWGVURVUQVWIVWMYHZ
      VURVUQVWIVWMYIZVWNUWFVUKVWQVURVUQVWIVWMYJVWNVUIVWOVUJVWPOVWNVUHVUGUWBLVWN
      UWBUWEVWSVWTVWNVWMUWBUWEYGUJVWLVWMVCVWNUWEUWBVWTVWSUUDVSUUEZYLVWNVUHVUGUW
      BURVXAYLYKYMVURVUQVWRXTZUWFUWEVWRVURUWFQKZVUQUWFVWOVWPXMUUFVXBUWFVWPUWEUI
      VXBVWOPKZVWPPKZVWRUWFVWPUIUJVURVUQVXDVWRVURVUQNZVWOVXFUWBVUGVURVUQYNZVUQV
      URVUGQKZVVIUUGZWBWCXRVURVUQVXEVWRVXFVWPVXFUWBVUGVXGVXIWDWCXRVURVUQVWRYCVW
      OVWPUWFUUHYDVURVUQVWPUWEWQVWRVXFUWBUWEVXFUWBVXGTZVUQVVNVURVVOSZUUIXRYOUUJ
      YDVWLVWMXCZNZVURVUQUWFUWBUWBUWELMZLMZUWBVXNURMZOMZKZUWGVURVUQVWIVXLYHVURV
      UQVWIVXLYIVXMUWFVUKVXQVURVUQVWIVXLYJVURVUQVXLVUKVXQWQVWIVXFVXLNZVUIVXOVUJ
      VXPOVXSVUHVXNUWBLVXSVUHVUGUUKVXNVXSVUGVXFVXHVXLVXIRZVXSVUGYFVXTVXSUULZVXS
      VUGYFUIUJVXLVXFVXLVCVXSVUGYFVXTVYAUUMUUNYPUUOVXSUWEUWBVXFVVNVXLVXKRVXFUWB
      YAKZVXLVXJRUUPUVAZYLVXSVUHVXNUWBURVYCYLYKUUQYMVURVUQVXRXTZUWEUWFVURVUQVXR
      XSZVYDUWEPKVXPPKZUWFUWEVXPOMZKUWEUWFUIUJVYDUWEVYEWCVURVUQVYFVXRVXFVXPVXFU
      WBVXNVXGUWBUWEXPWDWCXRVYDUWFVXQVYGVURVUQVXRYCVURVUQVXQVYGWQVXRVXFVXOUWEVX
      POVXFUWBUWEVXJVXKUURUUSXRYMUWEVXPUWFUUTYDUVJYDUVBYDVWHUWIVUHUWBUWFLMZUHUF
      ZURMZEAUWTVUMUWIQKUWDAUWTNVUMNUWHUWTVUMUWHYAKAUWTVUMNZUWHVYKUWEUWFUWTVUQV
      UMVVBRVUMVXCUWTVUMVWIVXCVWKUWFVUIVUJXMZXNZSWBTUVCXQUVDVWHVUHVYIVUCVUHQKZV
      UMVVSRZUWNVUMVYIQKZUWTUWNVUMNZVYHVYQVYHVYQUWBUWFUWNVURVUMUYCRVUMVXCUWNVYM
      SWBTXQUVEZWDAUYEUWDUWTVUMUYFYQVWHUWEUWFUWBVWHUWEVWJTVUMUWFYAKVUCVUMUWFVYM
      TSVUCVYBVUMVVRRUVFVWHVYJUWOUWOURMZEUIVWHVUHVYIUWOUWOVYOVYRUWNUWOQKZUWTVUM
      UYGUVGZWUAVUCVUHUWOUIUJZVUMVUCAVURVUBWUBAUWDUWTUVHZVVDUWTVUBUWNVUTSZAVURV
      UBXTZVUHVXNUHUFZUWOUIVURVUBVUHWUFWQAVURVUBNZUWEUWBVUBVURVUQVVNVVAVXKYRZVU
      BVURVUQVYBVVAVXJYRZUVIYSWUEUWBUWOUWEAVURVUBXSAVURVYTVUBAEUYFWAYBZAVURVUBY
      CYTUVKZYDRVUCWUEVWIVYIUWOYGUJVUMVUCAVURVUBWUCVVDWUDUVLVWKWUEVWINZVYIUWOVU
      RAVWIVYPVUBVURVWINZVYHWUMVYHWUMUWBUWFVURVWIYNVWIVXCVURVYLSWBTXQUVMZWUEVYT
      VWIWUJRZWULVYIVUHUWOWUNWUEVYNVWIVURVUBVYNAWUGVUGWUGUWEUWBWUHWUIYEXQYSRZWU
      OWULUWBVUHUWFAVURVUBVWIYIWUPWUEVWIVCYTWUEWUBVWIWUKRUVNYPUVOUVPAVYSEWQUWDU
      WTVUMAEAEUYFTUVQYQYOUVRUVSXIXGXHUWKCDXJXKXIUVTXHUWA $.
  $}

  ${
    $d B h i j k $.  $d F b h i j k $.  $d b h i j k ph $.
    limsupre.1 $e |- ( ph -> B C_ RR ) $.
    limsupre.2 $e |- ( ph -> sup ( B , RR* , < ) = +oo ) $.
    limsupre.f $e |- ( ph -> F : B --> RR ) $.
    limsupre.bnd $e |- ( ph -> E. b e. RR E. k e. RR A. j e. B ( k <_ j -> (
       abs ` ( F ` j ) ) <_ b ) ) $.
    $( If a sequence is bounded, then the limsup is real.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.)  (Revised by AV, 13-Sep-2020.) $)
    limsupre $p |- ( ph -> ( limsup ` F ) e. RR ) $=
      ( vi vh cr wcel clt wbr cle wi wral cxr clsp cfv cmnf cpnf cabs wrex cneg
      cv mnfxr a1i renegcl rexrd ad2antlr cvv reex ssexd fexd limsupcl ad2antrr
      wa syl mnfltd wss wf ressxr fssd csup wceq simpr nfv nfre1 nfan w3a nfra1
      nf3an simp13 simp2 simp3 rspa imp syl21anc simp11l syl2anc simp11r absled
      ffvelrnda mpbid simpld ralrimi adantr reximdai breq2 fveq2 breq2d imbi12d
      3exp mpd cbvralvw breq1 imbi1d ralbidv syl5bb sylibr limsupbnd2 xrltletrd
      cbvrexvw r19.29a rexr pnfxr simprd breq1d limsupbnd1 xrlelttrd wb xrrebnd
      ltpnf mpbir2and ) AEUAUBZMNZUCXROPZXRUDOPZADUHZCUHZQPZYCEUBZUEUBFUHZQPZRZ
      CBSZDMUFZXTFMAYFMNZUTZYJUTZUCYFUGZXRUCTNYMUIUJYKYNTNAYJYKYNYFUKZULUMZAXRT
      NZYKYJAEUNNYQABMUNEIABMUNMUNNAUOUJGUPUQEUNURVAZUSZYKUCYNOPAYJYKYNYOVBUMYM
      YNBKLEABMVCYKYJGUSZABTEVDYKYJABMTEIMTVCAVEUJVFUSZYPABTOVGUDVHYKYJHUSYMYDY
      NYEQPZRZCBSZDMUFZLUHZKUHZQPZYNUUGEUBZQPZRZKBSZLMUFYMYJUUEYLYJVIZYMYIUUDDM
      YLYJDYLDVJYIDMVKVLZYLYBMNZYIUUDRRYJYLUUOYIUUDYLUUOYIVMZUUCCBYLUUOYICYLCVJ
      UUOCVJYHCBVNVOZUUPYCBNZYDUUBUUPUURYDVMZUUBYEYFQPZUUSYGUUBUUTUTUUSYIUURYDY
      GYLUUOYIUURYDVPUUPUURYDVQZUUPUURYDVRYIUURUTYDYGYHCBVSVTWAUUSYEYFUUSAUURYE
      MNAYKUUOYIUURYDWBUVAABMYCEIWFWCAYKUUOYIUURYDWDWEWGZWHWPWIWPWJWKWQUULUUDLD
      MUULUUFYCQPZUUBRZCBSUUFYBVHZUUDUUKUVDKCBUUGYCVHZUUHUVCUUJUUBUUGYCUUFQWLZU
      VFUUIYEYNQUUGYCEWMZWNWOWRUVEUVDUUCCBUVEUVCYDUUBUUFYBYCQWSZWTXAXBXFXCXDXEJ
      XGAYJYAFMYMXRYFUDYSYKYFTNAYJYFXHUMZUDTNYMXIUJYMYFBKLEYTUUAUVJYMYDUUTRZCBS
      ZDMUFZUUHUUIYFQPZRZKBSZLMUFYMYJUVMUUMYMYIUVLDMUUNYLUUOYIUVLRRYJYLUUOYIUVL
      UUPUVKCBUUQUUPUURYDUUTUUSUUBUUTUVBXJWPWIWPWJWKWQUVPUVLLDMUVPUVCUUTRZCBSUV
      EUVLUVOUVQKCBUVFUUHUVCUVNUUTUVGUVFUUIYEYFQUVHXKWOWRUVEUVQUVKCBUVEUVCYDUUT
      UVIWTXAXBXFXCXLYKYFUDOPAYJYFXPUMXMJXGAYQXSXTYAUTXNYRXRXOVAXQ $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d D x $.  $d ph x $.
    limcresiooub.f $e |- ( ph -> F : A --> CC ) $.
    limcresiooub.b $e |- ( ph -> B e. RR* ) $.
    limcresiooub.c $e |- ( ph -> C e. RR ) $.
    limcresiooub.bltc $e |- ( ph -> B < C ) $.
    limcresiooub.bcss $e |- ( ph -> ( B (,) C ) C_ A ) $.
    limcresiooub.d $e |- ( ph -> D e. RR* ) $.
    limcresiooub.cled $e |- ( ph -> D <_ B ) $.
    $( The left limit doesn't change if the function is restricted to a smaller
       open interval.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    limcresiooub $p |- ( ph -> ( ( F |` ( B (,) C ) ) limCC C ) = ( ( F |` ( D
       (,) C ) ) limCC C ) ) $=
      ( co wcel wbr a1i syl3anc cr adantr vx cioo cres climc cxr cle wss iooss1
      syl2anc resabs1d eqcomd oveq1d cin ccnfld ctopn cfv csn cun cc fresin syl
      crest wf ssind inss2 ioosscn sstri eqid cioc cnt clt rexrd ubioc1 ioounsn
      wceq fveq2d ctop cvv cnfldtop ovex inex2 snex unex resttop mp2an crn cpnf
      ctg cv pnfxr xrleidd ltpnfd iocssioo syl22anc wral simpr snidg elun2 3syl
      eqeltrd adantlr simpll iocssre sselda iocgtlb ad2antrr iocleub wne adantl
      wa wn neqne necomd eliood elun1 pm2.61dan ralrimiva dfss3 sylibr ioossioc
      leneltd sseld elinel1 elioored ad2antlr ioogtlb elinel2 id velsn elunnel2
      sylnibr syl2an sselid adantll iooltub ex impbid eqrdv retop eleqtrd snssd
      iooretop elrestr tgioo2 oveq1i ioossre reex restabs syl5eq isopn3i eqtr2d
      unssd limcres eqtrd ) AFCDUBNZUCZDUDNFEDUBNZUCZUUOUCZDUDNUURDUDNAUUPUUSDU
      DAUUSUUPAFUUOUUQAEUEOZECUFPUUOUUQUGLMECDUHUIZUJUKULABUUQUMZDUUOUURUNUOUPZ
      UVBDUQZURZVBNZUVCABUSFVCUVBUSUURVCGBUSFUUQUTVAAUUOBUUQKUVAVDZUVBUSUGAUVBU
      UQUSBUUQVEZEDVFVGQUVCVHZUVFVHADCDVINZUUOUVDURZUVFVJUPZUPZACUEOZDUEOZCDVKP
      ZDUVJOZHADIVLZJCDVMRZAUVMUVJUVLUPZUVJAUVKUVJUVLAUVNUVOUVPUVKUVJVOHUVRJCDV
      NRVPAUVFVQOZUVJUVFOUVTUVJVOUWAAUVCVQOZUVEVROZUWAUVCUVIVSZUVBUVDUUQBEDUBVT
      WADWBWCZUVEUVCVRWDWEQAUVJUBWFWHUPZUVEVBNZUVFAUVJCWGUBNZUVEUMZUWGAUAUVJUWI
      AUAWIZUVJOZUWJUWIOZAUVJUWIUWJAUVJUWHUVEAUVNWGUEOZCCUFPDWGVKPUVJUWHUGHUWMA
      WJQACHWKADIWLCWGCDWMWNAUWJUVEOZUAUVJWOUVJUVEUGAUWNUAUVJAUWKXJZUWJDVOZUWNA
      UWPUWNUWKAUWPXJZUWJDUVEAUWPWPZADUVEOZUWPADSOZDUVDOUWSIDSWQDUVDUVBWRWSTWTX
      AUWOUWPXKZXJZAUWJUUOOZUWNAUWKUXAXBUXBCDUWJUWOUVNUXAAUVNUWKHTZTUWOUVOUXAAU
      VOUWKUVRTZTUWOUWJSOZUXAAUVJSUWJAUVNUWTUVJSUGHICDXCUIXDTZUWOCUWJVKPZUXAUWO
      UVNUVOUWKUXHUXDUXEAUWKWPZCDUWJXERTUXBUWJDUXGAUWTUWKUXAIXFUWOUWJDUFPZUXAUW
      OUVNUVOUWKUXJUXDUXEUXICDUWJXGRTUXBUWJDUXAUWJDXHUWOUWJDXLXIXMYAXNAUXCXJUWJ
      UVBOZUWNAUUOUVBUWJUVGXDUWJUVBUVDXOVAUIXPXQUAUVJUVEXRXSVDYBAUWLUWKAUWLXJZU
      WPUWKAUWPUWKUWLUWQUWJDUVJUWRAUVQUWPUVSTWTXAUXLUXAXJZUUOUVJUWJCDXTUXMCDUWJ
      AUVNUWLUXAHXFZAUVOUWLUXAUVRXFZUWLUXFAUXAUWLUWJCWGUWJUWHUVEYCZYDYEUXMUVNUW
      MUWJUWHOZUXHUXNUWMUXMWJQUWLUXQAUXAUXPYECWGUWJYFRUXMUUTUVOUWJUUQOZUWJDVKPA
      UUTUWLUXALXFUXOUWLUXAUXRAUWLUXAXJUVBUUQUWJUVHUWLUWNUWJUVDOZXKUXKUXAUWJUWH
      UVEYGUXAUWPUXSUXAYHUADYIYKUWJUVBUVDYJYLYMYNEDUWJYORXNYMXPYPYQYRAUWFVQOZUW
      CUWHUWFOZUWIUWGOUXTAYSQUWCAUWEQUYAACWGUUBQUWHUVEUWFVQVRUUCRWTAUWGUVCSVBNZ
      UVEVBNZUVFUWFUYBUVEVBUVCUVIUUDUUEAUWBUVESUGSVROZUYCUVFVOUWBAUWDQAUVBUVDSU
      VBSUGAUVBUUQSUVHEDUUFVGQADSIUUAUULUYDAUUGQUVESUVCVQVRUUHRUUIYTUVJUVFUUJUI
      UUKYTUUMUUN $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d D x $.  $d ph x $.
    limcresioolb.f $e |- ( ph -> F : A --> CC ) $.
    limcresioolb.b $e |- ( ph -> B e. RR ) $.
    limcresioolb.c $e |- ( ph -> C e. RR* ) $.
    limcresioolb.bltc $e |- ( ph -> B < C ) $.
    limcresioolb.bcss $e |- ( ph -> ( B (,) C ) C_ A ) $.
    limcresioolb.d $e |- ( ph -> D e. RR* ) $.
    limcresioolb.cled $e |- ( ph -> C <_ D ) $.
    $( The right limit doesn't change if the function is restricted to a
       smaller open interval.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    limcresioolb $p |- ( ph -> ( ( F |` ( B (,) C ) ) limCC B ) = ( ( F |` ( B
       (,) D ) ) limCC B ) ) $=
      ( co wcel a1i syl3anc wa adantr cr cioo cres climc cxr cle wbr wss iooss2
      vx syl2anc resabs1d eqcomd oveq1d cin ccnfld ctopn cfv crest cc wf fresin
      csn cun syl ssind inss2 ioosscn sstri eqid cico cnt clt rexrd lbico1 wceq
      snunioo1 fveq2d ctop cvv cnfldtop ovex inex2 snex unex resttop mp2an cmnf
      crn ctg mnfxr icossre sselda mnfltd simpr icoltub eliood snidg elun2 3syl
      cv eqeltrd adantlr simpll ad2antrr icogelb wne neqne adantl leneltd elun1
      wn pm2.61dan elind ioossico elinel1 elioored ad2antlr elinel2 id elunnel2
      velsn sylnibr syl2an adantll ioogtlb iooltub impbida eqrdv retop iooretop
      sselid elrestr tgioo2 oveq1i ioossre snssd unssd reex restabs eleqtrd
      syl5eq isopn3i eqtr2d limcres eqtrd ) AFCDUANZUBZCUCNFCEUANZUBZUUFUBZCUCN
      UUICUCNAUUGUUJCUCAUUJUUGAFUUFUUHAEUDOZDEUEUFUUFUUHUGLMCDEUHUJZUKULUMABUUH
      UNZCUUFUUIUOUPUQZUUMCVBZVCZURNZUUNABUSFUTUUMUSUUIUTGBUSFUUHVAVDAUUFBUUHKU
      ULVEZUUMUSUGAUUMUUHUSBUUHVFZCEVGVHPUUNVIZUUQVIACCDVJNZUUFUUOVCZUUQVKUQZUQ
      ZACUDOZDUDOZCDVLUFZCUVAOZACHVMZIJCDVNQZAUVDUVAUVCUQZUVAAUVBUVAUVCAUVEUVFU
      VGUVBUVAVOUVIIJCDVPQVQAUUQVROZUVAUUQOUVKUVAVOUVLAUUNVROZUUPVSOZUVLUUNUUTV
      TZUUMUUOUUHBCEUAWAWBCWCWDZUUPUUNVSWEWFPAUVAUAWHWIUQZUUPURNZUUQAUVAWGDUANZ
      UUPUNZUVRAUIUVAUVTAUIWTZUVAOZUWAUVTOZAUWBRZUVSUUPUWAUWDWGDUWAWGUDOZUWDWJP
      AUVFUWBISZAUVATUWAACTOZUVFUVATUGHICDWKUJWLZUWDUWAUWHWMUWDUVEUVFUWBUWADVLU
      FZAUVEUWBUVISZUWFAUWBWNZCDUWAWOQZWPUWDUWACVOZUWAUUPOZAUWMUWNUWBAUWMRZUWAC
      UUPAUWMWNZACUUPOZUWMAUWGCUUOOUWQHCTWQCUUOUUMWRWSSXAXBUWDUWMXKZRZAUWAUUFOZ
      UWNAUWBUWRXCUWSCDUWAUWDUVEUWRUWJSUWDUVFUWRUWFSUWDUWATOZUWRUWHSZUWSCUWAAUW
      GUWBUWRHXDUXBUWDCUWAUEUFZUWRUWDUVEUVFUWBUXCUWJUWFUWKCDUWAXEQSUWRUWACXFUWD
      UWACXGXHXIUWDUWIUWRUWLSWPAUWTRUWAUUMOZUWNAUUFUUMUWAUURWLUWAUUMUUOXJVDUJXL
      XMAUWCRZUWMUWBAUWMUWBUWCUWOUWACUVAUWPAUVHUWMUVJSXAXBUXEUWRRZUUFUVAUWACDXN
      UXFCDUWAAUVEUWCUWRUVIXDZAUVFUWCUWRIXDUWCUXAAUWRUWCUWAWGDUWAUVSUUPXOZXPXQU
      XFUVEUUKUWAUUHOZCUWAVLUFUXGAUUKUWCUWRLXDUWCUWRUXIAUWCUWRRUUMUUHUWAUUSUWCU
      WNUWAUUOOZXKUXDUWRUWAUVSUUPXRUWRUWMUXJUWRXSUICYAYBUWAUUMUUOXTYCYKYDCEUWAY
      EQUXEUWIUWRUXEUWEUVFUWAUVSOZUWIUWEUXEWJPAUVFUWCISUWCUXKAUXHXHWGDUWAYFQSWP
      YKXLYGYHAUVQVROZUVNUVSUVQOZUVTUVROUXLAYIPUVNAUVPPUXMAWGDYJPUVSUUPUVQVRVSY
      LQXAAUVRUUNTURNZUUPURNZUUQUVQUXNUUPURUUNUUTYMYNAUVMUUPTUGTVSOZUXOUUQVOUVM
      AUVOPAUUMUUOTUUMTUGAUUMUUHTUUSCEYOVHPACTHYPYQUXPAYRPUUPTUUNVRVSYSQUUAYTUV
      AUUQUUBUJUUCYTUUDUUE $.
  $}

  ${
    $d A a b x y z $.  $d B a b x y z $.  $d F a b x y z $.  $d L a b x y z $.
    $d R b x y z $.  $d a b ph x y z $.
    limcleqr.k $e |- K = ( TopOpen ` CCfld ) $.
    limcleqr.a $e |- ( ph -> A C_ RR ) $.
    limcleqr.j $e |- J = ( topGen ` ran (,) ) $.
    limcleqr.f $e |- ( ph -> F : A --> CC ) $.
    limcleqr.b $e |- ( ph -> B e. RR ) $.
    limcleqr.l $e |- ( ph -> L e. ( ( F |` ( -oo (,) B ) ) limCC B ) ) $.
    limcleqr.r $e |- ( ph -> R e. ( ( F |` ( B (,) +oo ) ) limCC B ) ) $.
    limcleqr.leqr $e |- ( ph -> L = R ) $.
    $( If the left and the right limits are equal, the limit of the function
       exits and the three limits coincide.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    limcleqr $p |- ( ph -> L e. ( F limCC B ) ) $=
      ( vz wcel wa crp vy vx va vb climc co cc cv wne cmin cabs cfv clt wi wral
      wbr wrex cmnf cioo cres limccl sselid cin cpnf cle cif simp-4r simplr nfv
      ifcld nfan nfra1 w3a wceq simp-6l 3ad2antl1 simpl2 simpr cxr a1i 3ad2ant1
      mnfxr rexrd sselda 3adant3 mnfltd simp3 eliood fvres oveq1d eqcomd fveq2d
      cr syl3anc syl elind jca simpl3l adantr simpl1 simprr recnd subcld abscld
      simpl3r syl2anc rpre adantl 3adant1 simprl min1 ltletrd rspa sylc eqbrtrd
      syl32anc wn necomd ad2antrr 3ad2antl3 lttri5d pnfxr fvoveq1d simpl1r min2
      id ltpnfd syldan pm2.61dan wf fresin wss inss2 sstri ellimc3 mpbid simprd
      r19.21bi r19.29a ax-resscn ralrimi brimralrspcev ioosscn wb oveq2d breq1d
      3exp imbi2d rexralbidv mpbird ioossre sstrid ralrimiva sstrdi mpbir2and )
      AHECUEUFRHUGRZQUHZCUIZUUQCUJUFZUKULZUAUHUMUPSUUQEULZHUJUFZUKULZUBUHZUMUPZ
      UNQBUOUATUQZUBTUOAEURCUSUFZUTZCUEUFZUGHCUVHVANVBAUVFUBTAUVDTRZSZUURUUTUCU
      HZUMUPZSZUUQUVHULZHUJUFZUKULZUVDUMUPZUNZQBUVGVCZUOZUVFUCTUVKUVLTRZSZUWASZ
      UURUUTUDUHZUMUPZSZUUQECVDUSUFZUTZULZHUJUFZUKULZUVDUMUPZUNZQBUWHVCZUOZUVFU
      DTUWDUWETRZSZUWPSZUVLUWEVEUPZUVLUWEVFZTRUURUUTUXAUMUPZSZUVEUNZQBUOUVFUWSU
      WTUVLUWETUVKUWBUWAUWQUWPVGZUWDUWQUWPVHZVJUWSUXDQBUWRUWPQUWDUWQQUWCUWAQUVK
      UWBQUVKQVIUWBQVIVKUVSQUVTVLVKUWQQVIVKUWNQUWOVLVKUWSUUQBRZUXCUVEUWSUXGUXCV
      MZUUQCUMUPZUVEUXHUXISZUVCUVQUVDUMUXJUUQUVGRZUVCUVQVNUXJAUXGUXIUXKUWSUXGUX
      IAUXCAUVJUWBUWAUWQUWPUXIVOVPZUWSUXGUXCUXIVQZUXHUXIVRAUXGUXIVMZURCUUQURVSR
      UXNWBVTAUXGCVSRZUXIACMWCZWAAUXGUUQWMRZUXIABWMUUQJWDZWEZUXNUUQUXSWFAUXGUXI
      WGWHWNZUXKUVBUVPUKUXKUVPUVBUXKUVOUVAHUJUUQUVGEWIWJWKWLWOUXJUWAUUQUVTRZSUV
      NUVRUXJUWAUYAUWSUXGUXIUWAUXCUWCUWAUWQUWPUXIVGVPUXJBUVGUUQUXMUXTWPWQUXJUUR
      UVMUURUXBUWSUXGUXIWRUXJAUWBUWQUXBUXGUVMUXLUWSUXGUXIUWBUXCUWSUWBUXIUXEWSVP
      UWSUXGUXIUWQUXCUWSUWQUXIUXFWSVPUURUXBUWSUXGUXIXEUXMAUWBUWQVMZUXBUXGSZSZUU
      TUXAUVLUYDAUXGUUTWMRAUWBUWQUYCWTUYBUXBUXGXAAUXGSZUUSUYEUUQCUYEUUQUXRXBACU
      GRUXGACMXBZWSXCXDXFZUYBUXAWMRZUYCUWBUWQUYHAUWBUWQSUWTUVLUWEWMUWBUVLWMRZUW
      QUVLXGWSZUWQUWEWMRZUWBUWEXGXHZVJXIWSZUYBUYIUYCUWBUWQUYIAUYJXIZWSUYBUXBUXG
      XJZUYBUXAUVLVEUPZUYCUYBUYIUYKUYPUYNUWBUWQUYKAUYLXIZUVLUWEXKXFWSXLXPWQUVSQ
      UVTXMXNXOUXHUXIXQZCUUQUMUPZUVEUXHUYRSZCUUQUYTACWMRUWSUXGUYRAUXCAUVJUWBUWA
      UWQUWPUYRVOVPZMWOUYTAUXGUXQVUAUWSUXGUXCUYRVQUXRXFUXCUWSUYRCUUQUIZUXGUURVU
      BUXBUYRUURUUQCUURYFXRXSXTUXHUYRVRYAUXHUYSSZUVCUWLUVDUMVUCUUQUWHRZUVCUWLVN
      VUCAUXGUYSVUDUWSUXGUYSAUXCAUVJUWBUWAUWQUWPUYSVOVPZUWSUXGUXCUYSVQZUXHUYSVR
      AUXGUYSVMZCVDUUQAUXGUXOUYSUXPWAVDVSRVUGYBVTAUXGUXQUYSUXRWEZAUXGUYSWGVUGUU
      QVUHYGWHWNZVUDUVAUWJHUKUJVUDUWJUVAUUQUWHEWIWKYCWOVUCUWPUUQUWORZSUWGUWMVUC
      UWPVUJUWRUWPUXGUXCUYSYDVUCBUWHUUQVUFVUIWPWQVUCUURUWFUURUXBUWSUXGUYSWRVUCA
      UWBUWQUXBUXGUWFVUEUWSUXGUYSUWBUXCUWSUWBUYSUXEWSVPUWSUXGUYSUWQUXCUWSUWQUYS
      UXFWSVPUURUXBUWSUXGUYSXEVUFUYDUUTUXAUWEUYGUYMUYBUYKUYCUYQWSUYOUYBUXAUWEVE
      UPZUYCUYBUYIUYKVUKUYNUYQUVLUWEYEXFWSXLXPWQUWNQUWOXMXNXOYHYIUUGUUAUURUVEUA
      QUUTUXAUMTBUUBXFUVKUWPUDTUQZUWBUWAUVKVULUWGUWJDUJUFZUKULZUVDUMUPZUNZQUWOU
      OUDTUQZAVUQUBTADUGRZVUQUBTUOZADUWICUEUFRVURVUSSOAUBUDQUWOCDUWIABUGEYJZUWO
      UGUWIYJLBUGEUWHYKWOUWOUGYLAUWOUWHUGBUWHYMCVDUUCYNVTUYFYOYPYQYRAVULVUQUUDU
      VJAUWNVUPUDQTUWOAUWMVUOUWGAUWLVUNUVDUMAUWKVUMUKAHDUWJUJPUUEWLUUFUUHUUIWSU
      UJXSYSAUWAUCTUQZUBTAUUPVVAUBTUOZAHUVIRUUPVVBSNAUBUCQUVTCHUVHAVUTUVTUGUVHY
      JLBUGEUVGYKWOAUVTWMUGUVTUVGWMBUVGYMURCUUKYNWMUGYLAYTVTUULUYFYOYPYQYRYSUUM
      AUBUAQBCHELABWMUGJYTUUNUYFYOUUO $.
  $}

  ${
    lptioo2cn.1 $e |- J = ( TopOpen ` CCfld ) $.
    lptioo2cn.2 $e |- ( ph -> A e. RR* ) $.
    lptioo2cn.3 $e |- ( ph -> B e. RR ) $.
    lptioo2cn.4 $e |- ( ph -> A < B ) $.
    $( The upper bound of an open interval is a limit point of the interval,
       wirth respect to the standard topology on complex numbers.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    lptioo2cn $p |- ( ph -> B e. ( ( limPt ` J ) ` ( A (,) B ) ) ) $=
      ( cioo co ccnfld ctopn cfv clp wcel cr cin eqid wss eleqtrdi crn ctg ctop
      wa lptioo2 cuni wceq cnfldtop cc ax-resscn unicntop sseqtri tgioo2 restlp
      ioossre mp3an elin sylib simpld eqcomi fveq2i fveq1i ) ACBCIJZKLMZNMZMZVC
      DNMZMACVFOZCPOZACVFPQZOVHVIUDACVCIUAUBMZNMMZVJABCVKVKRFGHUEVDUCOPVDUFZSVC
      PSVLVJUGVDVDRZUHPUIVMUJUKULBCUOVCVDVKVMPVMRVDVNUMUNUPTCVFPUQURUSVCVEVGVDD
      NDVDEUTVAVBT $.
  $}

  ${
    lptioo1cn.1 $e |- J = ( TopOpen ` CCfld ) $.
    lptioo1cn.2 $e |- ( ph -> B e. RR* ) $.
    lptioo1cn.3 $e |- ( ph -> A e. RR ) $.
    lptioo1cn.4 $e |- ( ph -> A < B ) $.
    $( The lower bound of an open interval is a limit point of the interval,
       wirth respect to the standard topology on complex numbers.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    lptioo1cn $p |- ( ph -> A e. ( ( limPt ` J ) ` ( A (,) B ) ) ) $=
      ( cioo co ccnfld ctopn cfv clp wcel cr cin eqid wss a1i crn ctg ctop cuni
      wa lptioo1 wceq cnfldtop ax-resscn unicntop sseqtri ioossre tgioo2 restlp
      cc syl3anc eleqtrd elin sylib simpld eqcomi fveq2i fveq1i eleqtrdi ) ABBC
      IJZKLMZNMZMZVEDNMZMABVHOZBPOZABVHPQZOVJVKUEABVEIUAUBMZNMMZVLABCVMVMRGFHUF
      AVFUCOZPVFUDZSZVEPSZVNVLUGVOAVFVFRZUHTVQAPUOVPUIUJUKTVRABCULTVEVFVMVPPVPR
      VFVSUMUNUPUQBVHPURUSUTVEVGVIVFDNDVFEVAVBVCVD $.
  $}

  ${
    $d A v w y $.  $d A v x $.  $d C v w y $.  $d D v w y $.  $d F v w y $.
    $d G v w y $.  $d ph v w y $.  $d ph v x $.
    neglimc.f $e |- F = ( x e. A |-> B ) $.
    neglimc.g $e |- G = ( x e. A |-> -u B ) $.
    neglimc.b $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    neglimc.c $e |- ( ph -> C e. ( F limCC D ) ) $.
    $( Limit of the negative function.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    neglimc $p |- ( ph -> -u C e. ( G limCC D ) ) $=
      ( vv vw vy wcel cc cfv wa crp cneg climc co cv wne cmin cabs clt wbr wral
      wi limccl sselid negcld fmptd limcmptdm cdm wf wss w3a limcrcl syl simp3d
      wrex ellimc3 mpbid simprd r19.21bi simplll 3ad2ant1 simp1r simp3 mpd wceq
      simp2 cmpt nfmpt1 nfcxfr nfcv nffv nfneg nfeq eleq1w anbi2d fveq2 eqeq12d
      nfv nfim negeqd imbi12d simpr fvmpt2 syl2anc eqtr4d chvarfv oveq1d adantr
      ffvelrnda negsubdi3d fveq2d subcld absnegd eqbrtrd syl21anc 3exp ralimdva
      eqtrd reximdva ralrimiva mpbir2and ) AEUAZHFUBUCPXKQPMUDZFUEXLFUFUCUGRNUD
      ZUHUISZXLHRZXKUFUCZUGRZOUDZUHUIZUKZMCUJZNTVDZOTUJAEAGFUBUCZQEFGULLUMZUNAY
      BOTAXRTPZSZXNXLGRZEUFUCZUGRZXRUHUIZUKZMCUJZNTVDZYBAYMOTAEQPZYMOTUJZAEYCPZ
      YNYOSLAONMCFEGABCDQGKIUOZABCDEFGIKLUPZAGUQZQGURZYSQUSZFQPZAYPYTUUAUUBUTLF
      EGVAVBVCZVEVFVGVHYFYLYANTYFXMTPZSZYKXTMCUUEXLCPZSZYKXNXSUUGYKXNUTZAUUFYJX
      SUUGYKAXNAYEUUDUUFVIVJUUEUUFYKXNVKUUHXNYJUUGYKXNVLUUGYKXNVOVMAUUFSZYJSXQY
      IXRUHUUIXQYIVNYJUUIXQYHUAZUGRYIUUIXPUUJUGUUIXPYGUAZXKUFUCUUJUUIXOUUKXKUFA
      BUDZCPZSZUULHRZUULGRZUAZVNZUKUUIXOUUKVNZUKBMUUIUUSBUUIBWGBXOUUKBXLHBHBCDU
      AZVPJBCUUTVQVRBXLVSZVTBYGBXLGBGBCDVPIBCDVQVRUVAVTWAWBWHUULXLVNZUUNUUIUURU
      USUVBUUMUUFABMCWCWDUVBUUOXOUUQUUKUULXLHWEUVBUUPYGUULXLGWEWIWFWJUUNUUOUUTU
      UQUUNUUMUUTQPUUOUUTVNAUUMWKZUUNDKUNZBCUUTQHJWLWMUUNUUPDUUNUUMDQPUUPDVNUVC
      KBCDQGIWLWMWIWNWOWPUUIYGEACQXLGYQWRZAYNUUFYDWQZWSWNWTUUIYHUUIYGEUVEUVFXAX
      BXGWQUUIYJWKXCXDXEXFXHVMXIAONMCFXKHABCUUTQHUVDJUOYRUUCVEXJ $.
  $}

  ${
    $d A a b v w y $.  $d A v x $.  $d A a b v y z $.  $d D a b v w y $.
    $d D a b v y z $.  $d E a b v w y $.  $d E a b v y z $.  $d F a b v z $.
    $d G a b v z $.  $d H a b v w y $.  $d I a b v w y $.  $d I a b v y z $.
    $d a b ph v w y $.  $d ph v x $.  $d ph v y z $.
    addlimc.f $e |- F = ( x e. A |-> B ) $.
    addlimc.g $e |- G = ( x e. A |-> C ) $.
    addlimc.h $e |- H = ( x e. A |-> ( B + C ) ) $.
    addlimc.b $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    addlimc.c $e |- ( ( ph /\ x e. A ) -> C e. CC ) $.
    addlimc.e $e |- ( ph -> E e. ( F limCC D ) ) $.
    addlimc.i $e |- ( ph -> I e. ( G limCC D ) ) $.
    $( Sum of two limits.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    addlimc $p |- ( ph -> ( E + I ) e. ( H limCC D ) ) $=
      ( wcel crp vv vw vy va vb vz caddc co climc cc cv wne cmin cfv clt wbr wa
      cabs wi wral wrex limccl sselid addcld c2 cdiv fmptd limcmptdm cdm wf wss
      w3a limcrcl syl simp3d mpbid simprd rphalfcl wceq breq2 imbi2d rexralbidv
      ellimc3 rspccva syl2an reeanv sylanbrc cle ifcl 3ad2ant2 nfra1 nfan nf3an
      cif nfv cr simp11l jca rpre adantl 3ad2ant1 simp13l simp3l sselda syl2anc
      simp2 subcld abscld rpred simpl simp3r simpr min1 ltletrd rsp syl3c jca31
      simp13r min2 ffvelrnda ad3antrrr simp-4l readdcld cmpt nfmpt1 nfcxfr nfcv
      simpllr nffv nfov nfeq nfim eleq1w anbi2d fveq2 oveq12d fvmpt2 eqtrd 3exp
      eqcomd eqeq12d imbi12d chvarfv oveq1d addsub4d abstrid eqbrtrd lt2halvesd
      fveq2d simplr lelttrd ralrimi brimralrspcev rexlimdvv ralrimiva mpbir2and
      mpd ) AGKUGUHZJFUIUHSUURUJSZUAUKZFULZUUTFUMUHZURUNZUBUKUOUPUQUUTJUNZUURUM
      UHZURUNZUCUKZUOUPZUSUACUTUBTVAZUCTUTAGKAHFUIUHZUJGFHVBQVCZAIFUIUHZUJKFIVB
      RVCZVDZAUVIUCTAUVGTSZUQZUVAUVCUDUKZUOUPZUQZUUTHUNZGUMUHZURUNZUVGVEVFUHZUO
      UPZUSZUACUTZUVAUVCUEUKZUOUPZUQZUUTIUNZKUMUHZURUNZUWCUOUPZUSZUACUTZUQZUETV
      AUDTVAZUVIUVPUWFUDTVAZUWOUETVAZUWQAUVSUWBUFUKZUOUPZUSZUACUTUDTVAZUFTUTZUW
      CTSZUWRUVOAGUJSZUXDAGUVJSZUXFUXDUQQAUFUDUACFGHABCDUJHOLVGZABCDGFHLOQVHZAH
      VIZUJHVJZUXJUJVKZFUJSZAUXGUXKUXLUXMVLQFGHVMVNVOZWCVPVQUVGVRZUXCUWRUFUWCTU
      WTUWCVSZUXBUWEUDUATCUXPUXAUWDUVSUWTUWCUWBUOVTWAWBWDWEAUWIUWLUWTUOUPZUSZUA
      CUTUETVAZUFTUTZUXEUWSUVOAKUJSZUXTAKUVLSUYAUXTUQRAUFUEUACFKIABCEUJIPMVGZUX
      IUXNWCVPVQUXOUXSUWSUFUWCTUXPUXRUWNUEUATCUXPUXQUWMUWIUWTUWCUWLUOVTWAWBWDWE
      UWFUWOUDUETTWFWGUVPUWPUVIUDUETTUVPUVQTSZUWGTSZUQZUWPUVIUVPUYEUWPVLZUVQUWG
      WHUPZUVQUWGWNZTSZUVAUVCUYHUOUPZUQZUVHUSZUACUTUVIUYEUVPUYIUWPUYGUVQUWGTWIW
      JZUYFUYLUACUVPUYEUWPUAUVPUAWOUYEUAWOUWFUWOUAUWEUACWKUWNUACWKWLWMUYFUUTCSZ
      UYKUVHUYFUYNUYKVLZAUYNUQZUVGWPSZUQZUWDUQZUWMUVHUYOUYPUYQUWDUYOAUYNAUVOUYE
      UWPUYNUYKWQZUYFUYNUYKXFZWRUYFUYNUYQUYKUVPUYEUYQUWPUVOUYQAUVGWSWTXAXAUYOUW
      FUYNUVSUWDUWFUWOUVPUYEUYNUYKXBVUAUYOUVAUVRUYFUYNUVAUYJXCZUYOUVCUYHUVQUYOU
      VBUYOUUTFUYOAUYNUUTUJSUYTVUAACUJUUTUXIXDXEUYOAUXMUYTUXNVNXGXHZUYFUYNUYHWP
      SUYKUYFUYHUYMXIXAZUYFUYNUVQWPSZUYKUYEUVPVUEUWPUYEUVQUYCUYDXJXIZWJXAUYFUYN
      UVAUYJXKZUYFUYNUYHUVQWHUPZUYKUYEUVPVUHUWPUYEVUEUWGWPSZVUHVUFUYEUWGUYCUYDX
      LXIZUVQUWGXMXEWJXAXNWRUWEUACXOXPXQUYOUWOUYNUWIUWMUWFUWOUVPUYEUYNUYKXRVUAU
      YOUVAUWHVUBUYOUVCUYHUWGVUCVUDUYFUYNVUIUYKUYEUVPVUIUWPVUJWJXAVUGUYFUYNUYHU
      WGWHUPZUYKUYEUVPVUKUWPUYEVUEVUIVUKVUFVUJUVQUWGXSXEWJXAXNWRUWNUACXOXPUYSUW
      MUQZUVFUWBUWLUGUHZUVGVULUVEVULUVDUURUYPUVDUJSUYQUWDUWMACUJUUTJABCDEUGUHZU
      JJABUKZCSZUQZDEOPVDZNVGZXTYAVULAUUSAUYNUYQUWDUWMYBZUVNVNXGXHVULUWBUWLVULU
      WAVULUVTGUYPUVTUJSUYQUWDUWMACUJUUTHUXHXTYAZVULAUXFVUTUVKVNZXGZXHZVULUWKVU
      LUWJKUYPUWJUJSUYQUWDUWMACUJUUTIUYBXTYAZVULAUYAVUTUVMVNZXGZXHZYCUYPUYQUWDU
      WMYHZVULUVFUWAUWKUGUHZURUNVUMWHVULUVEVVJURVULUVEUVTUWJUGUHZUURUMUHVVJVULU
      VDVVKUURUMUYPUVDVVKVSZUYQUWDUWMVUQVUOJUNZVUOHUNZVUOIUNZUGUHZVSZUSUYPVVLUS
      BUAUYPVVLBUYPBWOBUVDVVKBUUTJBJBCVUNYDNBCVUNYEYFBUUTYGZYIBUVTUWJUGBUUTHBHB
      CDYDLBCDYEYFVVRYIBUGYGBUUTIBIBCEYDMBCEYEYFVVRYIYJYKYLVUOUUTVSZVUQUYPVVQVV
      LVVSVUPUYNABUACYMYNVVSVVMUVDVVPVVKVUOUUTJYOVVSVVNUVTVVOUWJUGVUOUUTHYOVUOU
      UTIYOYPUUAUUBVUQVVMVUNVVPVUQVUPVUNUJSVVMVUNVSAVUPXLZVURBCVUNUJJNYQXEVUQDV
      VNEVVOUGVUQVVNDVUQVUPDUJSVVNDVSVVTOBCDUJHLYQXEYTVUQVVOEVUQVUPEUJSVVOEVSVV
      TPBCEUJIMYQXEYTYPYRUUCYAUUDVULUVTUWJGKVVAVVEVVBVVFUUEYRUUIVULUWAUWKVVCVVG
      UUFUUGVULUWBUWLUVGVVDVVHVVIUYRUWDUWMUUJUYSUWMXLUUHUUKXEYSUULUVAUVHUBUAUVC
      UYHUOTCUUMXEYSUUNUUQUUOAUCUBUACFUURJVUSUXIUXNWCUUP $.
  $}

  ${
    $d A u v w y z $.  $d A v x $.  $d D u v w y z $.  $d E u v w y z $.
    $d F u v w $.  $d G u v y z $.  $d H u v w y z $.  $d ph u v w y z $.
    $d ph v x $.
    0ellimcdiv.f $e |- F = ( x e. A |-> B ) $.
    0ellimcdiv.g $e |- G = ( x e. A |-> C ) $.
    0ellimcdiv.h $e |- H = ( x e. A |-> ( B / C ) ) $.
    0ellimcdiv.b $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    0ellimcdiv.c $e |- ( ( ph /\ x e. A ) -> C e. ( CC \ { 0 } ) ) $.
    0ellimcdiv.0limf $e |- ( ph -> 0 e. ( F limCC E ) ) $.
    0ellimcdiv.d $e |- ( ph -> D e. ( G limCC E ) ) $.
    0ellimcdiv.dne0 $e |- ( ph -> D =/= 0 ) $.
    $( If the numerator converges to 0 and the denominator converges to a
       nonzero number, then the fraction converges to 0.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    0ellimcdiv $p |- ( ph -> 0 e. ( H limCC E ) ) $=
      ( wcel crp vv vw vy vz vu cc0 climc co cc cv wne cmin cabs cfv clt wbr wa
      wi wral wrex 0cnd c2 cdiv csn eldifad fmptd limcmptdm cdm wss w3a limcrcl
      wf syl simp3d ellimc3 mpbid simprd simpld absrpcld rphalfcld breq2 imbi2d
      rexralbidv rspccva syl2anc simpr caddc rpcnd eqcomd a1i absdivd cr oveq2d
      wceq cle 3ad2ant1 adantr abscld 3adant3 ffvelrnda subcld readdcld eqbrtrd
      fveq2d simp3 mpd cmul eleq1 anbi2d imbi12d simp12 simp2 ifcld nfra1 nf3an
      nfv jca31 rpred ltletrd rspa jca cmpt nfmpt1 nfcxfr nfcv nffv nfim fvmpt2
      fveq2 chvarfv subid1d oveq12d eqtrd adantlr rerpdivcld simpllr rexlimdv3a
      ad2antrr c1 syl21anc simpl1l simpl3 simpl2 mp2d 2halvesd oveq1d 2cnd 2ne0
      2re 0le2 absidd eqtr2d pncand 3eqtr3rd rehalfcld pncan3d abstrid ltadd2dd
      abssubd lelttrd ltsubaddd mpbird syl3anc 3exp1 ralimdv2 reximdva rpmulcld
      ex imdistani r19.21bi vtoclg simp111 simp112 simp3l sseldd simp3r simp113
      sylc cif min1 mp2and simp13 nfel1 eleq1d eqeltrd mpd3an23 simp-7l simp-4r
      min2 cdif eldifsni divcld nfov nfeq eqeq12d simp-6l simplr neeq1d eqnetrd
      nfne absne0d redivcld rpre ad2antlr remulcld simp-4l ltdiv1dd divassd 1rp
      recnd 1red div1d ltdiv23d adantllr ltmul2dd mulid1d breqtrd lttrd ralrimi
      3exp brimralrspcev ralrimiva mpbir2and ) AUFJGUGUHSUFUISZUAUJZGUKZUYEGULU
      HZUMUNZUBUJZUOUPUQUYEJUNZUFULUHZUMUNZUCUJZUOUPZURUACUSUBTUTZUCTUSAVAAUYOU
      CTAUYMTSZUQZUYFUYHUDUJZUOUPZUQZFUMUNZVBVCUHZUYEIUNZUMUNZUOUPZURZUACUSZUDT
      UTZUYOAVUHUYPAUYTVUCFULUHUMUNZVUBUOUPZURZUACUSZUDTUTZVUHAUYTVUIUYMUOUPZUR
      ZUACUSUDTUTZUCTUSZVUBTSVUMAFUISZVUQAFIGUGUHSZVURVUQUQQAUCUDUACGFIABCEUIIA
      BUJZCSZUQZEUIUFVDZOVEZLVFZABCDUFGHKNPVGZAIVHZUIIVLZVVGUIVIZGUISZAVUSVVHVV
      IVVJVJQGFIVKVMVNZVOVPZVQAVUAAFAVURVUQVVLVRZRVSZVTZVUPVUMUCVUBTUYMVUBWNZVU
      OVUKUDUATCVVPVUNVUJUYTUYMVUBVUIUOWAWBWCWDWEAVULVUGUDTAUYRTSZUQZVUKVUFUACC
      VVRUYECSZVUKURZVVSUYTVUEVVRVVTVVSVJZUYTUQZAVVSVUJVUEAVVQVVTVVSUYTUUAVVRVV
      TVVSUYTUUBZVWBVVSUYTVUJVWCVWAUYTWFVVRVVTVVSUYTUUCUUDAVVSVUJVJZVUBVUAFVBVC
      UHUMUNZULUHZVUDUOAVVSVUBVWFWNVUJAVUAVUBULUHZVUBVUBWGUHZVUBULUHVWFVUBAVUAV
      WHVUBULAVWHVUAAVUAAVUAVVNWHUUEWIUUFAVUBVWEVUAULAVWEVUAVBUMUNZVCUHVUBAFVBV
      VMAUUGVBUFUKAUUHWJWKAVWIVBVUAVCAVBVBWLSAUUIWJUFVBWOUPAUUJWJUUKWMUULZWMAVU
      BVUBAVUBVVOWHZVWKUUMUUNWPVWDVWFVWGVUDUOVWDVWEVUBVUAULAVVSVWEVUBWNVUJAVUBV
      WEVWJWIWPWMVWDVWGVUDUOUPVUAVUDVUBWGUHZUOUPVWDVUAVUDFVUCULUHZUMUNZWGUHZVWL
      AVVSVUAWLSVUJAVVSUQZFAVURVVSVVMWQZWRWSZVWDVUDVWNVWDVUCAVVSVUCUISVUJACUIUY
      EIVVEWTZWSZWRZVWDVWMVWDFVUCAVVSVURVUJVVMWPZVWTXAWRZXBVWDVUDVUBVXAVWDVUAVW
      RUUOZXBAVVSVUAVWOWOUPVUJVWPVUAVUCVWMWGUHZUMUNVWOWOVWPFVXEUMVWPVXEFVWPVUCF
      VWSVWQUUPWIXDVWPVUCVWMVWSVWPFVUCVWQVWSXAUUQXCWSVWDVWNVUBVUDVXCVXDVXAVWDVW
      NVUIVUBUOVWDFVUCVXBVWTUUSAVVSVUJXEXCUURUUTVWDVUAVUBVUDVWRVXDAVVSVUDWLSVUJ
      VWPVUCVWSWRZWSUVAUVBXCXCUVCUVDUVEUVFXFWQUYQVUGUYOUDTUYQVVQVUGVJZUYFUYHUEU
      JZUOUPZUQZUYEHUNZUFULUHZUMUNZUYMVUBXGUHZUOUPZURZUACUSZUETUTZUYOUYQVVQVXRV
      UGUYQVXNTSZAVXSUQZVXRUYQUYMVUBAUYPWFUYQVUAUYQFAVURUYPVVMWQAFUFUKUYPRWQVSV
      TUVGZAUYPVXSAUYPVXSVYAUVHUVIAUYITSZUQZVXJVXMUYIUOUPZURZUACUSUETUTZURVXTVX
      RURUBVXNTUYIVXNWNZVYCVXTVYFVXRVYGVYBVXSAUYIVXNTXHXIVYGVYEVXPUEUATCVYGVYDV
      XOVXJUYIVXNVXMUOWAWBWCXJAVYFUBTAUYDVYFUBTUSZAUFHGUGUHSUYDVYHUQPAUBUEUACGU
      FHABCDUIHNKVFVVFVVKVOVPVQUVJUVKUVRWPVXGVXQUYOUETVXGVXHTSZVXQVJZUYRVXHWOUP
      ZUYRVXHUVSZTSUYFUYHVYLUOUPZUQZUYNURZUACUSUYOVYJVYKUYRVXHTUYQVVQVUGVYIVXQX
      KVXGVYIVXQXLXMVYJVYOUACVXGVYIVXQUAUYQVVQVUGUAUYQUAXPVVQUAXPVUFUACXNXOVYIU
      AXPVXPUACXNXOVYJVVSVYNUYNVYJVVSVYNVJZUYQVVQUQVYIUQZVVSUQUYFUQZVUEVXKUMUNZ
      VXNUOUPZUYNVYPVYQVVSUYFVYPUYQVVQVYIUYQVVQVUGVYIVXQVVSVYNUVLZUYQVVQVUGVYIV
      XQVVSVYNUVMZVXGVYIVXQVVSVYNXKZXQVYJVVSVYNXLZVYJVVSUYFVYMUVNZXQVYPUYFUYSVU
      EWUEVYPUYHVYLUYRVYPUYGVYPUYEGVYPCUIUYEVYJVVSCUIVIZVYNVXGVYIWUFVXQUYQVVQWU
      FVUGAWUFUYPVVFWQWPWPWPWUDUVOVYJVVSVVJVYNVXGVYIVVJVXQUYQVVQVVJVUGAVVJUYPVV
      KWQWPWPWPXAWRZVYPVYKUYRVXHWLVYPUYRWUBXRZVYPVXHWUCXRZXMZWUHVYJVVSUYFVYMUVP
      ZVYPUYRWLSZVXHWLSZVYLUYRWOUPWUHWUIUYRVXHUVTWEXSVYPVUGVVSVUFUYQVVQVUGVYIVX
      QVVSVYNUVQWUDVUFUACXTWEUWAVYPVXPVXJVYTVYPVXQVVSVXPVXGVYIVXQVVSVYNUWBWUDVX
      PUACXTWEVYPUYFVXIWUEVYPUYHVYLVXHWUGWUJWUIWUKVYPWULWUMVYLVXHWOUPWUHWUIUYRV
      XHUWIWEXSYAVYPVXPVXJVJZVYSVXMVXNUOWUNAVVSVYSVXMWNVYPVXPAVXJVYPAUYPWUAVRWP
      VYJVVSVYNVXPVXJXKVWPVXKVXLUMVWPVXLVXKVWPVXKVVBVUTHUNZUISZURVWPVXKUISZURBU
      AVWPWUQBVWPBXPZBVXKUIBUYEHBHBCDYBKBCDYCYDBUYEYEZYFZUWCYGVUTUYEWNZVVBVWPWU
      PWUQWVAVVAVVSAVUTUYECXHXIZWVAWUOVXKUIVUTUYEHYIZUWDXJVVBWUODUIVVBVVADUISWU
      ODWNAVVAWFZNBCDUIHKYHWEZNUWEYJZYKWIXDWEWUNVXJVXOVYPVXPVXJXEVYPVXPVXJXLXFX
      CUWFVYRVUEUQZVYTUQZUYLVXKVUCVCUHZUMUNZUYMUOWVHAVVSUYLWVJWNAUYPVVQVYIVVSUY
      FVUEVYTUWGVYQVVSUYFVUEVYTUWHZVWPUYKWVIUMVWPUYKUYJWVIVWPUYJACUIUYEJABCDEVC
      UHZUIJVVBDENVVDVVBEUIVVCUWJZSZEUFUKOEUIUFUWKVMZUWLZMVFZWTYKVVBVUTJUNZWUOV
      UTIUNZVCUHZWNZURVWPUYJWVIWNZURBUAVWPWWBBWURBUYJWVIBUYEJBJBCWVLYBMBCWVLYCY
      DWUSYFBVXKVUCVCWUTBVCYEBUYEIBIBCEYBLBCEYCYDWUSYFZUWMUWNYGWVAVVBVWPWWAWWBW
      VBWVAWVRUYJWVTWVIVUTUYEJYIWVAWUOVXKWVSVUCVCWVCVUTUYEIYIZYLUWOXJVVBWVRWVLW
      VTVVBVVAWVLUISWVRWVLWNWVDWVPBCWVLUIJMYHWEVVBDWUOEWVSVCVVBWUODWVEWIVVBWVSE
      VVBVVAWVNWVSEWNWVDOBCEWVMILYHWEZWIYLYMYJYMXDWEWVHUYQVVSUQZVUEVYTWVJUYMUOU
      PWVHUYQVVSUYQVVQVYIVVSUYFVUEVYTUWPWVKYAVYRVUEVYTUWQWVGVYTWFWWFVUEUQZVYTUQ
      ZWVJVYSVUDVCUHZUYMUOWWFWVJWWIWNZVUEVYTAVVSWWJUYPVWPVXKVUCWVFVWSVVBWVSUFUK
      ZURVWPVUCUFUKZURBUAVWPWWLBWURBVUCUFWWCBUFYEUWTYGWVAVVBVWPWWKWWLWVBWVAWVSV
      UCUFWWDUWRXJVVBWVSEUFWWEWVOUWSYJZWKYNYRWWHWWIVXNVUDVCUHZUYMWWFWWIWLSZVUEV
      YTAVVSWWOUYPVWPVYSVUDVWPVXKWVFWRZVXFVWPVUCVWSWWMUXAZUXBYNYRWWHVXNVUDWWFVX
      NWLSVUEVYTWWFUYMVUBUYPUYMWLSZAVVSUYMUXCUXDZAVUBWLSZUYPVVSAVUBVVOXRZYRZUXE
      YRZWWFVUDTSZVUEVYTAVVSWXDUYPVWPVUCVWSWWMVSZYNZYRZYOWWFWWRVUEVYTWWSYRWWHVY
      SVXNVUDWWHAVVSVYSWLSAUYPVVSVUEVYTUXFUYQVVSVUEVYTYPWWPWEWXCWXGWWGVYTWFUXGW
      WGWWNUYMUOUPVYTWWGWWNUYMYSXGUHZUYMUOWWGWWNUYMVUBVUDVCUHZXGUHZWXHUOWWFWWNW
      XJWNVUEWWFUYMVUBVUDWWFUYMWWSUXJZAVUBUISUYPVVSVWKYRWWFVUDWXFWHAVVSVUDUFUKU
      YPWWQYNUXHWQWWGWXIYSUYMWWFWXIWLSVUEWWFVUBVUDWXBWXFYOWQWWGUXKAUYPVVSVUEYPA
      VVSVUEWXIYSUOUPUYPVWPVUEUQZVUBYSVUDAWWTVVSVUEWXAYRYSTSWXLUXIWJVWPWXDVUEWX
      EWQWXLVUBYSVCUHZVUBVUDUOAWXMVUBWNVVSVUEAVUBVWKUXLYRVWPVUEWFXCUXMUXNUXOXCW
      WFWXHUYMWNVUEWWFUYMWXKUXPWQUXQWQUXRXCYTXCYTUXTUXSUYFUYNUBUAUYHVYLUOTCUYAW
      EYQXFYQXFUYBAUCUBUACGUFJWVQVVFVVKVOUYC $.
  $}

  ${
    $d A j k x $.  $d F j x $.  $d M j $.  $d Z j k $.  $d j k ph x $.
    clim2cf.nf $e |- F/_ k F $.
    clim2cf.z $e |- Z = ( ZZ>= ` M ) $.
    clim2cf.m $e |- ( ph -> M e. ZZ ) $.
    clim2cf.f $e |- ( ph -> F e. V ) $.
    clim2cf.fv $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = B ) $.
    clim2cf.a $e |- ( ph -> A e. CC ) $.
    clim2cf.b $e |- ( ( ph /\ k e. Z ) -> B e. CC ) $.
    $( Express the predicate ` F ` converges to ` A ` .  Similar to ~ clim2 ,
       but without the disjoint var constraint ` F k ` .  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    clim2cf $p |- ( ph -> ( F ~~> A <-> A. x e. RR+ E. j e. Z A. k e. ( ZZ>= `
       j ) ( abs ` ( B - A ) ) < x ) ) $=
      ( wcel wa wral cc cmin cabs cfv clt wbr cuz wrex crp cli biantrurd uztrn2
      co cv wb sylan2 anassrs ralbidva rexbidva ralbidv clim2f 3bitr4rd ) ADUAR
      ZDCUBUMUCUDBUNUEUFZSZFEUNZUGUDZTZEJUHZBUITZCUARZVJSVDFVGTZEJUHZBUITGCUJUF
      AVKVJPUKAVMVIBUIAVLVHEJAVFJRZSVDVEFVGAVNFUNZVGRZVDVEUOZVNVPSAVOJRZVQHVOVF
      JLULAVRSVCVDQUKUPUQURUSUTABCDEFGHIJKLMNOVAVB $.
  $}

  ${
    $d A a b u v z $.  $d A a b v w x y z $.  $d B a b u v z $.
    $d B a b v w x y z $.  $d F a b v w x y z $.  $d L a b v w y z $.
    $d R a b v w y z $.  $d a b ph u v z $.  $d ph v w x y z $.
    limclner.k $e |- K = ( TopOpen ` CCfld ) $.
    limclner.a $e |- ( ph -> A C_ RR ) $.
    limclner.j $e |- J = ( topGen ` ran (,) ) $.
    limclner.f $e |- ( ph -> F : A --> CC ) $.
    limclner.blp1 $e |- ( ph -> B e. ( ( limPt ` J ) ` ( A i^i ( -oo (,) B ) )
       ) ) $.
    limclner.blp2 $e |- ( ph -> B e. ( ( limPt ` J ) ` ( A i^i ( B (,) +oo ) )
       ) ) $.
    limclner.l $e |- ( ph -> L e. ( ( F |` ( -oo (,) B ) ) limCC B ) ) $.
    limclner.r $e |- ( ph -> R e. ( ( F |` ( B (,) +oo ) ) limCC B ) ) $.
    limclner.lner $e |- ( ph -> L =/= R ) $.
    $( For a limit point, both from the left and from the right, of the domain,
       the limit of the function exits only if the left and the right limits
       are equal.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    limclner $p |- ( ph -> ( F limCC B ) = (/) ) $=
      ( wcel clt wa vx vw vz vy vb va vv vu climc co cv cc wne cmin cabs cfv wi
      wbr wral crp wrex wn cdiv cmul cpnf cioo cres limccl sselid ad2antrr cmnf
      c4 subcld 4re a1i nfv nfra1 nfan wceq simpr rspa w3a cin fresin syl inss2
      wf wss ioosscn sstri clp cr ctop ioossre cuni unieqi eqtr4i ellimc3 mpbid
      simprd r19.21bi 3ad2ant1 cdif simp11l simp12 simp2 cle breq2 inss1 restlp
      rexbidv syl3anc fveq1i 3sstr4d sseldd islpcn 3adant1 adantr rpre 3ad2ant2
      rspcdva abscld ltletrd jca ex reximdva simprl breq1d imbrov2fvoveq rspcva
      mpd anbi12d imp syl21anc eqbrtrd 3exp syl2anc rexlimdv caddc readdcld crn
      necomd subne0d absrpcld 4pos elrpii rpdivcld nfim ovex eleq1 oveq2 breq2d
      2rexbidv imbi12d imbi2d simpll adantll retop eqeltri uniretop mp2an recnd
      ctg lpss csn ccnfld ctopn cnfldtop ax-resscn unicntop crest tgioo2 eqcomi
      cif eqtri fveq2i ifcl eldifi sselda 3ad2antl1 rpred syl2an 3ad2ant3 min2d
      sylan2 nfre1 elin1d simp113 eldifsni fvoveq1 simp13 elinel2 fvresd eqcomd
      min1 neeq1 fvoveq1d 3impia 3adant1l ralrimi adantrl rspe syl12anc rexlimd
      anim1i adantllr ad6antr simp-6l simplr ffvelrnda simp-6r simp-4r ad5antlr
      remulcld absnpncan3d abssubd simp-5r ad5ant14 simplrl lt4addmuld adantl3r
      simprr simplrr lelttrd min2 reximddv3 vtoclf abssubrp rpcnd 4ne0 divcan2d
      4cn cc0 breqtrd rexlimdvv ltnrd pm2.65da imnan sylib sstrd mtbird eq0rdv
      a1d ) AUAECUIUJZAUAUKZVUDRVUEULRZUBUKZCUMZVUGCUNUJUOUPZUCUKZSURZTZVUGEUPZ
      VUEUNUJUOUPUDUKZSURUQZUBBUSZUCUTVAZUDUTUSZTZAVUFVURVBZUQVUSVBAVUFVUTAVUFT
      ZVURDHUNUJZUOUPZVVCSURZVVAVURTZVVCVLVVCVLVCUJZVDUJZSURZUEBVAUFBVAZVVDVVEV
      VFUTRZVVIVVEVVCVLVVEVVBVVEDHADULRZVUFVURAECVEVFUJZVGZCUIUJZULDCVVMVHPVIZV
      JZAHULRZVUFVURAEVKCVFUJZVGZCUIUJZULHCVVSVHOVIZVJZVMZVVEDHVVPVWBADHUMZVUFV
      URAHDQUUBZVJUUCUUDVLUTRVVEVLVNUUEUUFVOUUGVVEVUNUTRZVVCVLVUNVDUJZSURZUEBVA
      ZUFBVAZUQZUQVVEVVJVVIUQZUQUDVVFVVEVWLUDVVAVURUDVVAUDVPVUQUDUTVQVRVWLUDVPU
      UHVVCVLVCUUIVUNVVFVSZVWKVWLVVEVWMVWFVVJVWJVVIVUNVVFUTUUJVWMVWHVVHUFUEBBVW
      MVWGVVGVVCSVUNVVFVLVDUUKUULUUMUUNUUOVVEVWFVWJVVEVWFTVVAVWFVUQVWJVVAVURVWF
      UUPVVEVWFVTVURVWFVUQVVAVUQUDUTWAUUQVVAVWFTZVUQTZUFUKZEUPZVUEUNUJUOUPZVUNS
      URZVWQHUNUJZUOUPZVUNSURZTZVWIUFBVWOVWPBRZTVXCTZUEUKZEUPZVUEUNUJZUOUPZVUNS
      URZVXGDUNUJUOUPZVUNSURZTZUEBVAZVWIVWOVXNVXDVXCAVWFVUQVXNVUFAVWFTZVUQVXNVX
      OVUPVXNUCUTVXOVUJUTRZVUPVXNVXOVXPVUPWBZVUHVUIUGUKZSURZTZVUGVVMUPZDUNUJUOU
      PZVUNSURZUQZUBBVVLWCZUSZUGUTVAZVXNVXOVXPVYGVUPAVYGUDUTAVVKVYGUDUTUSZADVVN
      RVVKVYHTPAUDUGUBVYECDVVMABULEWGZVYEULVVMWGLBULEVVLWDWEVYEULWHAVYEVVLULBVV
      LWFZCVEWIWJVOZACABVVRWCZFWKUPZUPZWLCFWMRVYLWLWHZVYNWLWHFVFUUAUVCUPZWMKUUR
      UUSVYLVVRWLBVVRWFZVKCWNWJZVYLFWLWLVYPWOFWOUUTFVYPKWPWQUVDUVAMVIUVBZWRWSWT
      XAXBVXQVYFVXNUGUTVXQVXRUTRZVYFVXNVXQVYTVYFWBZVXFCUNUJZUOUPZVUJSURZWUCVXRS
      URZTZUEVYECUVEZXCZVAZVXNWUAAVXPVYTWUIAVWFVXPVUPVYTVYFXDZVXOVXPVUPVYTVYFXE
      VXQVYTVYFXFAVXPVYTWBZWUCVUJVXRXGURZVUJVXRUVNZSURZUEWUHVAZWUIWUKWUCUHUKZSU
      RZUEWUHVAZWUOUHUTWUMWUPWUMVSZWUQWUNUEWUHWUPWUMWUCSXHXKAVXPWURUHUTUSZVYTAC
      VYEUVFUVGUPZWKUPZUPZRWUTAVYEVYMUPZWVCCAVYEGWKUPZUPZWLWCZWVFWVDWVCWVGWVFWH
      AWVFWLXIVOAGWMRZWLULWHZVYEWLWHZWVDWVGVSWVHAGIUVHVOZWVIAUVIVOZWVJAVYEVVLWL
      VYJCVEWNWJZVOVYEGFULWLULWVAWOGWOUVJGWVAIWPWQZFVYPGWLUVKUJKGIUVLUVOZXJXLWV
      CWVFVSAVYEWVBWVEWVAGWKGWVAIUVMUVPZXMVOXNNXOAUECVYEUHVYKVYSXPWSXBVXPVYTWUM
      UTRAWULVUJVXRUTUVQXQZYAWUKWUNWUFUEWUHVXFWUHRZWUKVXFWLRZWUNWUFUQWVRVYEWLVX
      FWVMVXFVYEWUGUVRZVIWUKWVSTZWUNWUFWWAWUNTZWUDWUEWWBWUCWUMVUJWWAWUCWLRZWUNA
      VXPWVSWWCVYTAWVSTZWUBWWDVXFCAWLULVXFWVLUVSACULRZWVSVYSXRVMYBUVTXRZWUKWUMW
      LRZWVSWUNWUKWUMWVQUWAZVJZWUKVUJWLRZWVSWUNVXPAWWJVYTVUJXSZXTZVJZWWAWUNVTZW
      UKWUMVUJXGURZWVSWUNVXPVYTWWOAVXPWWJVXRWLRZWWOVYTWWKVXRXSZVUJVXRUWOUWBXQZV
      JYCWWBWUCWUMVXRWWFWWIWUKWWPWVSWUNVYTAWWPVXPWWQUWCZVJZWWNWWBVUJVXRWWMWWTUW
      DYCYDYEUWEYFYKXLWUAWUFVXNUEWUHWUAUEVPVXMUEBUWFWUAWVRWUFVXNWUAWVRWUFWBZVXF
      BRZVXJVXLVXNWVRWUAWXBWUFWVRBVVLVXFWVTUWGXTZWXAWXBVUPVXFCUMZWUDTZVXJWXCVXO
      VXPVUPVYTVYFWVRWUFUWHWVRWUFWXEWUAWVRWUFTWXDWUDWVRWXDWUFVXFVYECUWIZXRWVRWU
      DWUEYGYDXQWXBVUPTWXEVXJVUOWXEVXJUQUBVXFBVULWXEVUNSUNUOEVUEVUGVXFVUGVXFVSZ
      VUHWXDVUKWUDVUGVXFCUWPZWXGVUIWUCVUJSVUGVXFCUOUNUWJZYHYLYIYJYMYNWXAVXFVYER
      ZVXTVUMDUNUJUOUPZVUNSURZUQZUBVYEUSZWXDWUETZVXLWVRWUAWXJWUFWVTXTWXAAVYFWXN
      WUAWVRAWUFWUJXBVXQVYTVYFWVRWUFUWKAVYFTZWXMUBVYEAVYFUBAUBVPZVYDUBVYEVQVRWX
      PVUGVYERZVXTWXLWXPWXRVXTWBWXKVYBVUNSWXRWXPWXKVYBVSVXTWXRVUMVYADUOUNWXRVYA
      VUMWXRVUGVVLEVUGBVVLUWLUWMUWNUWQXTVYFWXRVXTVYCAVYFWXRVXTVYCVYDUBVYEWAUWRU
      WSYOYPUWTYQWVRWUFWXOWUAWVRWUEWXOWUDWVRWXDWUEWXFUXEUXAXQWXJWXNTWXOVXLWXMWX
      OVXLUQUBVXFVYEVXTWXOVUNSUNUOEDVUGVXFWXGVUHWXDVXSWUEWXHWXGVUIWUCVXRSWXIYHY
      LYIYJYMYNVXMUEBUXBUXCYPUXDYKYPYRYKYPYRYMUXFVJVXEVXMVWHUEBVWNVXDVXCWXBVXMV
      WHUQVUQVWNVXDTZVXCTZWXBTZVXMVWHWYAVXMTZVVCDVXGUNUJZUOUPZVXIYSUJZVUEVWQUNU
      JZUOUPZYSUJZVXAYSUJVWGWYBVVBWYBDHAVVKVUFVWFVXDVXCWXBVXMVVOUXGZAVVQVUFVWFV
      XDVXCWXBVXMVWAUXGZVMYBWYBWYHVXAWYBWYEWYGWYBWYDVXIWYBWYCWYBDVXGWYIWYBAWXBV
      XGULRAVUFVWFVXDVXCWXBVXMUXHZWXTWXBVXMUXIABULVXFELUXJYQZVMYBZWYBVXHWYBVXGV
      UEWYLAVUFVWFVXDVXCWXBVXMUXKZVMYBZYTWYBWYFWYBVUEVWQWYNWYBAVXDVWQULRZWYKVWN
      VXDVXCWXBVXMUXLABULVWPELUXJZYQZVMYBZYTWYBVWTWYBVWQHWYRWYJVMYBZYTWYBVLVUNV
      LWLRWYBVNVOVWFVUNWLRVVAVXDVXCWXBVXMVUNXSUXMZUXNWYBDVXGVUEVWQHWYIWYLWYNWYR
      WYJUXOWYBWYDVXIWYGVXAVUNWYMWYOWYSWYTXUAWYBWYDVXKVUNSWYBDVXGWYIWYLUXPWYAVX
      JVXLUYBYOWYAVXJVXLYGWYAWYGVUNSURVXMWYAWYGVWRVUNSWYAVUEVWQAVUFVWFVXDVXCWXB
      UXQWXTWYPWXBAVXDWYPVUFVWFVXCWYQUXRXRUXPWXSVWSVXBWXBUXSYOXRWYAVXBVXMWXSVWS
      VXBWXBUYCXRUXTUYDYEUYAYFYKAVWFVUQVXCUFBVAZVUFVXOVUQXUBVXOVUPXUBUCUTVXOVXP
      VUPXUBVXQVXTVUGVVSUPZHUNUJUOUPZVUNSURZUQZUBVYLUSZUGUTVAZXUBVXOVXPXUHVUPAX
      UHUDUTAVVQXUHUDUTUSZAHVVTRVVQXUITOAUDUGUBVYLCHVVSAVYIVYLULVVSWGLBULEVVRWD
      WEVYLULWHAVYLVVRULVYQVKCWIWJVOZVYSWRWSWTXAXBVXQXUGXUBUGUTVXQVYTXUGXUBVXQV
      YTXUGWBZVWPCUNUJZUOUPZVUJSURZXUMVXRSURZTZUFVYLWUGXCZVAZXUBXUKAVXPVYTXURAV
      WFVXPVUPVYTXUGXDZVXOVXPVUPVYTXUGXEVXQVYTXUGXFWUKXUMWUMSURZUFXUQVAZXURWUKX
      UMWUPSURZUFXUQVAZXVAUHUTWUMWUSXVBXUTUFXUQWUPWUMXUMSXHXKAVXPXVCUHUTUSZVYTA
      CVYLWVBUPZRXVDAVYNXVECAVYLWVEUPZWLWCZXVFVYNXVEXVGXVFWHAXVFWLXIVOAWVHWVIVY
      OVYNXVGVSWVKWVLVYOAVYRVOVYLGFULWLWVNWVOXJXLXVEXVFVSAVYLWVBWVEWVPXMVOXNMXO
      AUFCVYLUHXUJVYSXPWSXBWVQYAWUKXUTXUPUFXUQVWPXUQRZWUKVWPWLRZXUTXUPUQXVHVYLW
      LVWPVYRVWPVYLWUGUVRZVIWUKXVITZXUTXUPXVKXUTTZXUNXUOXVLXUMWUMVUJXVKXUMWLRZX
      UTAVXPXVIXVMVYTAXVITZXULXVNVWPCAWLULVWPWVLUVSAWWEXVIVYSXRVMYBUVTXRZWUKWWG
      XVIXUTWWHVJZWUKWWJXVIXUTWWLVJXVKXUTVTZWUKWWOXVIXUTWWRVJYCXVLXUMWUMVXRXVOX
      VPWUKWWPXVIXUTWWSVJXVQWUKWUMVXRXGURZXVIXUTVXPVYTXVRAVXPWWJWWPXVRVYTWWKWWQ
      VUJVXRUYEUWBXQVJYCYDYEUWEYFYKXLXUKXUPXUBUFXUQXUKUFVPVXCUFBUWFXUKXVHXUPXUB
      XUKXVHXUPWBZVXDVWSVXBXUBXVHXUKVXDXUPXVHBVVRVWPXVJUWGXTZXVSVXDVUPVWPCUMZXU
      NTZVWSXVTVXOVXPVUPVYTXUGXVHXUPUWHXVHXUPXWBXUKXVHXUPTXWAXUNXVHXWAXUPVWPVYL
      CUWIZXRXVHXUNXUOYGYDXQVXDVUPTXWBVWSVUOXWBVWSUQUBVWPBVULXWBVUNSUNUOEVUEVUG
      VWPVUGVWPVSZVUHXWAVUKXUNVUGVWPCUWPZXWDVUIXUMVUJSVUGVWPCUOUNUWJZYHYLYIYJYM
      YNXVSVWPVYLRZVXTVUMHUNUJUOUPZVUNSURZUQZUBVYLUSZXWAXUOTZVXBXVHXUKXWGXUPXVJ
      XTXVSAXUGXWKXUKXVHAXUPXUSXBVXQVYTXUGXVHXUPUWKAXUGTZXWJUBVYLAXUGUBWXQXUFUB
      VYLVQVRXWMVUGVYLRZVXTXWIXWMXWNVXTWBXWHXUDVUNSXWNXWMXWHXUDVSVXTXWNVUMXUCHU
      OUNXWNXUCVUMXWNVUGVVREVUGBVVRUWLUWMUWNUWQXTXUGXWNVXTXUEAXUGXWNVXTXUEXUFUB
      VYLWAUWRUWSYOYPUWTYQXVHXUPXWLXUKXVHXUOXWLXUNXVHXWAXUOXWCUXEUXAXQXWGXWKTXW
      LVXBXWJXWLVXBUQUBVWPVYLVXTXWLVUNSUNUOEHVUGVWPXWDVUHXWAVXSXUOXWEXWDVUIXUMV
      XRSXWFYHYLYIYJYMYNVXCUFBUXBUXCYPUXDYKYPYRYKYPYRYMUXFUYFYNYEUYGYKVVEVVHVVD
      UFUEBBAVXDWXBTZVVHVVDUQZUQVUFVURAXWPXWOAVVHVVDAVVHTZVVCVVGVVCSAVVHVTXWQVV
      CVLAVVCULRVVHAVVCAVVKVVQVWDVVCUTRVVOVWAVWEDHUYHXLUYIXRVLULRXWQUYLVOVLUYMU
      MXWQUYJVOUYKUYNYEVUCVJUYOYKVVEVVCVVEVVBVWCYBUYPUYQYEVUFVURUYRUYSAUDUCUBBC
      VUEELABWLULJWVLUYTVYSWRVUAVUB $.
  $}

  ${
    $d A x $.  $d ph x $.
    sublimc.f $e |- F = ( x e. A |-> B ) $.
    sublimc.2 $e |- G = ( x e. A |-> C ) $.
    sublimc.3 $e |- H = ( x e. A |-> ( B - C ) ) $.
    sublimc.4 $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    sublimc.5 $e |- ( ( ph /\ x e. A ) -> C e. CC ) $.
    sublimc.6 $e |- ( ph -> E e. ( F limCC D ) ) $.
    sublimc.7 $e |- ( ph -> I e. ( G limCC D ) ) $.
    $( Subtraction of two limits.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    sublimc $p |- ( ph -> ( E - I ) e. ( H limCC D ) ) $=
      ( co climc cneg caddc cmpt cmin eqid cv wcel wa negcld neglimc addlimc cc
      limccl sselid negsubd eqcomd mpteq2dva syl5eq oveq1d 3eltr4d ) AGKUAZUBSZ
      BCDEUAZUBSZUCZFTSGKUDSZJFTSABCDVCFGHBCVCUCZVEVALVGUEZVEUEOABUFCUGUHZEPUIQ
      ABCEKFIVGMVHPRUJUKAVBVFAGKAHFTSULGFHUMQUNAIFTSULKFIUMRUNUOUPAJVEFTAJBCDEU
      DSZUCVENABCVJVDVIVDVJVIDEOPUOUPUQURUSUT $.
  $}

  ${
    $d A x $.  $d C x $.  $d D x $.  $d ph x $.
    reclimc.f $e |- F = ( x e. A |-> B ) $.
    reclimc.g $e |- G = ( x e. A |-> ( 1 / B ) ) $.
    reclimc.b $e |- ( ( ph /\ x e. A ) -> B e. ( CC \ { 0 } ) ) $.
    reclimc.c $e |- ( ph -> C e. ( F limCC D ) ) $.
    reclimc.cne0 $e |- ( ph -> C =/= 0 ) $.
    $( Limit of the reciprocal of a function.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    reclimc $p |- ( ph -> ( 1 / C ) e. ( G limCC D ) ) $=
      ( co climc wcel cc0 cmpt eqid cc c1 cdiv cmin cv limccl sselid adantr csn
      cmul wa eldifad subcld mulcld wceq cdif wne eldifsni mulne0d neneqd elsng
      syl wb mtbird eldifd caddc negcld limcmptdm cdm wf wss w3a limcrcl simp3d
      constlimc neglimc addlimc negidd negsubd mpteq2dva oveq1d 3eltr3d mullimc
      0ellimcdiv divsubdivd mulid2d oveq12d eqtr2d eleqtrd reccld ellimcabssub0
      cneg 1cnd mpbird ) AUAEUBNZHFONPQBCUADUBNZWNUCNZRZFONZPAQBCEDUCNZDEUINZUB
      NZRZFONWRABCWSWTEEUINFBCWSRZBCWTRZXBXCSXDSZXBSABUDCPZUJZEDAETPXFAGFONZTEF
      GUELUFZUGZXGDTQUHZKUKZULXGWTTXKXGDEXLXJUMZXGWTXKPZWTQUNZXGWTQXGDEXLXJXGDT
      XKUOPDQUPKDTQUQVAZAEQUPXFMUGZURUSXGWTTPXNXOVBXMWTQTUTVAVCVDAEEWKZVENBCEDW
      KZVENZRZFONQXCFONABCEXSFEBCERZBCXSRZYAXRYBSZYCSZYASXJXGDXLVFABCEFYBYDABCD
      EFGIXLLVGZXIAGVHZTGVIZYGTVJZFTPZAEXHPYHYIYJVKLFEGVLVAVMZVNZABCDEFGYCIYEXL
      LVOVPAEXIVQAYAXCFOABCXTWSXGEDXJXLVRVSVTWAABCDEFGYBXDEEIYDXEXLXJLYLWBAEEXI
      XIMMURWCAXBWQFOABCXAWPXGWPUAEUINZUADUINZUCNZWTUBNXAXGUADUAEXGWLZXLYPXJXPX
      QWDXGYOWSWTUBXGYMEYNDUCXGEXJWEXGDXLWEWFVTWGVSVTWHABCWOWNFHWQJWQSYFXGDXLXP
      WIYKAEXIMWIWJWM $.
  $}

  ${
    $d F j x $.  $d M j $.  $d Z j k $.  $d j k ph x $.
    clim0cf.nf $e |- F/_ k F $.
    clim0cf.z $e |- Z = ( ZZ>= ` M ) $.
    clim0cf.m $e |- ( ph -> M e. ZZ ) $.
    clim0cf.f $e |- ( ph -> F e. V ) $.
    clim0cf.fv $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = B ) $.
    clim0cf.b $e |- ( ( ph /\ k e. Z ) -> B e. CC ) $.
    $( Express the predicate ` F ` converges to ` 0 ` .  Similar to ~ clim ,
       but without the disjoint var constraint ` F k ` .  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    clim0cf $p |- ( ph -> ( F ~~> 0 <-> A. x e. RR+ E. j e. Z A. k e. ( ZZ>= `
       j ) ( abs ` B ) < x ) ) $=
      ( cc0 wbr cabs cfv wral cli cmin co cv clt cuz wrex crp 0cnd clim2cf wcel
      wa wb uztrn2 subid1d fveq2d breq1d sylan2 anassrs ralbidva rexbidva bitrd
      ralbidv ) AFPUAQCPUBUCZRSZBUDZUEQZEDUDZUFSZTZDIUGZBUHTCRSZVFUEQZEVITZDIUG
      ZBUHTABPCDEFGHIJKLMNAUIOUJAVKVOBUHAVJVNDIAVHIUKZULVGVMEVIAVPEUDZVIUKZVGVM
      UMZVPVRULAVQIUKZVSGVQVHIKUNAVTULZVEVLVFUEWAVDCRWACOUOUPUQURUSUTVAVCVB $.
  $}

  ${
    limclr.k $e |- K = ( TopOpen ` CCfld ) $.
    limclr.a $e |- ( ph -> A C_ RR ) $.
    limclr.j $e |- J = ( topGen ` ran (,) ) $.
    limclr.f $e |- ( ph -> F : A --> CC ) $.
    limclr.lp1 $e |- ( ph -> B e. ( ( limPt ` J ) ` ( A i^i ( -oo (,) B ) ) ) )
       $.
    limclr.lp2 $e |- ( ph -> B e. ( ( limPt ` J ) ` ( A i^i ( B (,) +oo ) ) ) )
       $.
    limclr.l $e |- ( ph -> L e. ( ( F |` ( -oo (,) B ) ) limCC B ) ) $.
    limclr.r $e |- ( ph -> R e. ( ( F |` ( B (,) +oo ) ) limCC B ) ) $.
    $( For a limit point, both from the left and from the right, of the domain,
       the limit of the function exits only if the left and the right limits
       are equal.  In this case, the three limits coincide.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    limclr $p |- ( ph -> ( ( ( F limCC B ) =/= (/) <-> L = R ) /\ ( L = R -> L
       e. ( F limCC B ) ) ) ) $=
      ( co wcel cr adantr climc c0 wne wceq wb wi wn neqne wa wss cmnf cioo cin
      cc wf clp cfv cpnf cres simpr limclner nne sylibr sylan2 ex con4d crn ctg
      ctop retop eqeltri inss2 ioossre sstri uniretop eqcomi unieqi eqtri mp2an
      cuni lpss sselid limcleqr ne0d impbid jca ) AECUAQZUBUCZHDUDZUEWIHWGRZUFA
      WHWIAWIWHAWIUGZWHUGZWKAHDUCZWLHDUHAWMUIZWGUBUDWLWNBCDEFGHIABSUJZWMJTKABUN
      EUOZWMLTACBUKCULQZUMZFUPUQZUQZRWMMTACBCURULQZUMWSUQRWMNTAHEWQUSCUAQRZWMOT
      ADEXAUSCUAQRZWMPTAWMUTVAWGUBVBVCVDVEVFAWIWHAWIUIZWGHXDBCDEFGHIAWOWIJTKAWP
      WILTACSRWIAWTSCFVIRWRSUJWTSUJFULVGVHUQZVIKVJVKWRWQSBWQVLUKCVMVNWRFSSXEVTF
      VTVOXEFFXEKVPVQVRWAVSMWBTAXBWIOTAXCWIPTAWIUTWCZWDVEWEAWIWJXFVEWF $.
  $}

  ${
    $d A x $.  $d D x $.  $d X x $.  $d Y x $.  $d ph x $.
    divlimc.f $e |- F = ( x e. A |-> B ) $.
    divlimc.g $e |- G = ( x e. A |-> C ) $.
    divlimc.h $e |- H = ( x e. A |-> ( B / C ) ) $.
    divlimc.b $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    divlimc.c $e |- ( ( ph /\ x e. A ) -> C e. ( CC \ { 0 } ) ) $.
    divlimc.x $e |- ( ph -> X e. ( F limCC D ) ) $.
    divlimc.y $e |- ( ph -> Y e. ( G limCC D ) ) $.
    divlimc.yne0 $e |- ( ph -> Y =/= 0 ) $.
    divlimc.cne0 $e |- ( ( ph /\ x e. A ) -> C =/= 0 ) $.
    $( Limit of the quotient of two functions.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    divlimc $p |- ( ph -> ( X / Y ) e. ( H limCC D ) ) $=
      ( c1 cdiv co cmul cmpt climc eqid cv wa cc cc0 csn eldifad reccld reclimc
      wcel mullimc limccl sselid divrecd mpteq2dva syl5eq oveq1d 3eltr4d ) AJUA
      KUBUCZUDUCBCDUAEUBUCZUDUCZUEZFUFUCJKUBUCIFUFUCABCDVFFGBCVFUEZVHJVELVIUGZV
      HUGOABUHCUPUIZEVKEUJUKULPUMZTUNQABCEKFHVIMVJPRSUOUQAJKAGFUFUCUJJFGURQUSAH
      FUFUCUJKFHURRUSSUTAIVHFUFAIBCDEUBUCZUEVHNABCVMVGVKDEOVLTUTVAVBVCVD $.
  $}

  ${
    $d A m n $.  $d F m $.
    expfac.f $e |- F = ( n e. NN0 |-> ( ( A ^ n ) / ( ! ` n ) ) ) $.
    $( Factorial grows faster than exponential.  (Contributed by Glauco
       Siliprandi, 5-Apr-2020.) $)
    expfac $p |- ( A e. CC -> F ~~> 0 ) $=
      ( vm cc wcel cc0 cvv cn0 nn0uz 0zd cv cexp co cfa cfv cdiv cmpt nn0ex a1i
      mptex eqeltri efcllem wa oveq2 fveq2 oveq12d simpr eftcl fvmptd3 eqeltrd
      wceq serf0 ) AFGZECHIJKUOLCIGUOCBJABMZNOZUPPQZROZSIDBJUSTUBUCUAABCDUDUOEM
      ZJGZUEZUTCQAUTNOZUTPQZROZFVBBUTUSVEJCFDUPUTUMUQVCURVDRUPUTANUFUPUTPUGUHUO
      VAUIAUTUJZUKVFULUN $.
  $}

  ${
    $d A x $.  $d Z x $.
    climconstmpt.m $e |- ( ph -> M e. ZZ ) $.
    climconstmpt.z $e |- Z = ( ZZ>= ` M ) $.
    climconstmpt.a $e |- ( ph -> A e. CC ) $.
    $( A constant sequence converges to its value.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    climconstmpt $p |- ( ph -> ( x e. Z |-> A ) ~~> A ) $=
      ( cmpt csn cxp cli fconstmpt cc wcel cz wbr cuz cfv eqcomi ssid eqbrtrrid
      eqsstri fvexi climconst2 syl2anc ) ABECIECJKZCLBECMACNODPOUGCLQHFCDEDRSZE
      EEUHGTEUAUCEDRGUDUEUFUB $.
  $}

  ${
    $d N x $.  $d Z x $.
    climresmpt.z $e |- Z = ( ZZ>= ` M ) $.
    climresmpt.f $e |- F = ( x e. Z |-> A ) $.
    climresmpt.n $e |- ( ph -> N e. Z ) $.
    climresmpt.g $e |- G = ( x e. ( ZZ>= ` N ) |-> A ) $.
    $( A function restricted to upper integers converges iff the original
       function converges.  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    climresmpt $p |- ( ph -> ( G ~~> B <-> F ~~> B ) ) $=
      ( cli wbr cuz wceq a1i wcel cvv cres cmpt reseq1i eleqtrdi uzss sseqtrrdi
      cfv wss resmpt eqcomi 3eqtrrd breq1d cz wb eluzelz fvexi eqeltrid climres
      syl mptex syl2anc bitrd ) AFDNOEHPUGZUAZDNOZEDNOZAFVDDNAVDBICUBZVCUAZBVCC
      UBZFVDVHQAEVGVCKUCRAVCIUHVHVIQAVCGPUGZIAHVJSZVCVJUHAHIVJLJUDZGHUEUSJUFBIV
      CCUIUSVIFQAFVIMUJRUKULAHUMSZETSVEVFUNAVKVMVLGHUOUSAEVGTKVGTSABICIGPJUPUTR
      UQDEHTURVAVB $.
  $}

  ${
    $d A j $.  $d B j $.  $d C j $.  $d D j $.  $d M j $.  $d Z j k $.
    $d j ph $.
    climsubmpt.k $e |- F/ k ph $.
    climsubmpt.z $e |- Z = ( ZZ>= ` M ) $.
    climsubmpt.m $e |- ( ph -> M e. ZZ ) $.
    climsubmpt.a $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
    climsubmpt.b $e |- ( ( ph /\ k e. Z ) -> B e. CC ) $.
    climsubmpt.c $e |- ( ph -> ( k e. Z |-> A ) ~~> C ) $.
    climsubmpt.d $e |- ( ph -> ( k e. Z |-> B ) ~~> D ) $.
    $( Limit of the difference of two converging sequences.  (Contributed by
       Glauco Siliprandi, 8-Apr-2021.) $)
    climsubmpt $p |- ( ph -> ( k e. Z |-> ( A - B ) ) ~~> ( C - D ) ) $=
      ( vj cmin cvv wcel cc cmpt co cuz fvexi mptex a1i cv wa cfv wceq simpr wi
      csb nfv nfan nfcv nfcsb1 nfel1 nfim eleq1w anbi2d csbeq1a imbi12d chvarfv
      eleq1d eqid fvmptf syl2anc eqeltrd nfel ovexd nfov oveq12d eqtr4d climsub
      ) ADEPFHBUAZFHCUAZFHBCQUBZUAZGRHJKNVSRSAFHVRHGUCJUDUEUFOAPUGZHSZUHZVTVPUI
      ZFVTBUMZTWBWAWDTSZWCWDUJAWAUKZAFUGZHSZUHZBTSZULWBWEULFPWBWEFAWAFIWAFUNUOZ
      FWDTFVTBFVTUPZUQZURUSWGVTUJZWIWBWJWEWNWHWAAFPHUTVAZWNBWDTFVTBVBZVEVCLVDZF
      VTBWDHVPTWLWMWPVPVFVGVHZWQVIWBVTVQUIZFVTCUMZTWBWAWTTSZWSWTUJWFWICTSZULWBX
      AULFPWBXAFWKFWTTFVTCWLUQZFTUPVJUSWNWIWBXBXAWOWNCWTTFVTCVBZVEVCMVDZFVTCWTH
      VQTWLXCXDVQVFVGVHZXEVIWBVTVSUIZWDWTQUBZWCWSQUBWBWAXHRSXGXHUJWFWBWDWTQVKFV
      TVRXHHVSRWLFWDWTQWMFQUPXCVLWNBWDCWTQWPXDVMVSVFVGVHWBWCWDWSWTQWRXFVMVNVO
      $.
  $}

  ${
    $d B k $.  $d Z k $.
    climsubc2mpt.k $e |- F/ k ph $.
    climsubc2mpt.z $e |- Z = ( ZZ>= ` M ) $.
    climsubc2mpt.m $e |- ( ph -> M e. ZZ ) $.
    climsubc2mpt.a $e |- ( ( ph /\ k e. Z ) -> A e. CC ) $.
    climsubc2mpt.c $e |- ( ph -> ( k e. Z |-> A ) ~~> C ) $.
    climsubc2mpt.b $e |- ( ph -> B e. CC ) $.
    $( Limit of the difference of two converging sequences.  (Contributed by
       Glauco Siliprandi, 8-Apr-2021.) $)
    climsubc2mpt $p |- ( ph -> ( k e. Z |-> ( A - B ) ) ~~> ( C - B ) ) $=
      ( cc wcel cv adantr climconstmpt climsubmpt ) ABCDCEFGHIJKACNOEPGOMQLAECF
      GJIMRS $.
  $}

  ${
    $d A k $.  $d Z k $.
    climsubc1mpt.k $e |- F/ k ph $.
    climsubc1mpt.z $e |- Z = ( ZZ>= ` M ) $.
    climsubc1mpt.m $e |- ( ph -> M e. ZZ ) $.
    climsubc1mpt.b $e |- ( ph -> A e. CC ) $.
    climsubc1mpt.a $e |- ( ( ph /\ k e. Z ) -> B e. CC ) $.
    climsubc1mpt.c $e |- ( ph -> ( k e. Z |-> B ) ~~> C ) $.
    $( Limit of the difference of two converging sequences.  (Contributed by
       Glauco Siliprandi, 8-Apr-2021.) $)
    climsubc1mpt $p |- ( ph -> ( k e. Z |-> ( A - B ) ) ~~> ( A - C ) ) $=
      ( cc wcel cv adantr climconstmpt climsubmpt ) ABCBDEFGHIJABNOEPGOKQLAEBFG
      JIKRMS $.
  $}

  ${
    $d D y $.  $d F y $.  $d X m y $.  $d Z x y $.  $d m x y $.  $d ph y $.
    fnlimfv.1 $e |- F/_ x D $.
    fnlimfv.2 $e |- F/_ x F $.
    fnlimfv.3 $e |- G = ( x e. D |-> ( ~~> ` ( m e. Z |-> ( ( F ` m ) ` x ) ) )
       ) $.
    fnlimfv.4 $e |- ( ph -> X e. D ) $.
    $( The value of the limit function ` G ` at any point of its domain ` D ` .
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    fnlimfv $p |- ( ph -> ( G ` X ) = ( ~~> ` ( m e. Z |-> ( ( F ` m ) ` X ) )
       ) ) $=
      ( vy cv cfv cmpt cli nfcv nffv wceq cvv nfmpt fveq2 mpteq2dv fveq2d eqtri
      cbvmptf fvexd fvmptd3 ) AMGDHMNZDNZEOZOZPZQOZDHGULOZPZQOCFUAFBCDHBNZULOZP
      ZQOZPMCUOPKBMCVAUOIMCRMVARBUNQBQRBDHUMBHRBUJULBUKEJBUKRSBUJRSUBSURUJTZUTU
      NQVBDHUSUMURUJULUCUDUEUGUFUJGTZUNUQQVCDHUMUPUJGULUCUDUELAUQQUHUI $.
  $}

  ${
    $d A j $.  $d F j $.  $d M j $.  $d Z j k $.  $d j ph $.
    climreclf.k $e |- F/ k ph $.
    climreclf.f $e |- F/_ k F $.
    climreclf.z $e |- Z = ( ZZ>= ` M ) $.
    climreclf.m $e |- ( ph -> M e. ZZ ) $.
    climreclf.a $e |- ( ph -> F ~~> A ) $.
    climreclf.r $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) e. RR ) $.
    $( The limit of a convergent real sequence is real.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    climreclf $p |- ( ph -> A e. RR ) $=
      ( vj cv wcel wa cfv cr wi nfcv nfv nfan nffv nfel nfim wceq eleq1w anbi2d
      fveq2 eleq1d imbi12d chvarfv climrecl ) ABMDEFIJKACNZFOZPZUNDQZROZSAMNZFO
      ZPZUSDQZROZSCMVAVCCAUTCGUTCUAUBCVBRCUSDHCUSTUCCRTUDUEUNUSUFZUPVAURVCVDUOU
      TACMFUGUHVDUQVBRUNUSDUIUJUKLULUM $.
  $}

  ${
    $d F k $.  $d G k $.  $d Z k $.  $d k ph $.
    climeldmeq.z $e |- Z = ( ZZ>= ` M ) $.
    climeldmeq.f $e |- ( ph -> F e. V ) $.
    climeldmeq.g $e |- ( ph -> G e. W ) $.
    climeldmeq.m $e |- ( ph -> M e. ZZ ) $.
    climeldmeq.e $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = ( G ` k ) ) $.
    $( Two functions that are eventually equal, either both are convergent or
       both are divergent.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    climeldmeq $p |- ( ph -> ( F e. dom ~~> <-> G e. dom ~~> ) ) $=
      ( cli wcel wa cfv cvv wbr adantr cdm fvexd climdm a1i biimpa climeq mpbid
      wb breldmg syl3anc ex biimpi adantl cv eqcomd impbid ) ACNUAZOZDUQOZAURUS
      AURPZDGOZCNQZRODVBNSZUSAVAURKTUTCNUBUTCVBNSZVCAURVDURVDUHACUCUDUEAVDVCUHU
      RAVBBCDEFGHIJKLMUFTUGDVBGRNUIUJUKAUSURAUSPZCFOZDNQZROCVGNSZURAVFUSJTVEDNU
      BVEDVGNSZVHUSVIAUSVIDUCULUMAVIVHUHUSAVGBDCEGFHIKJLABUNZHOPVJCQVJDQMUOUFTU
      GCVGFRNUIUJUKUP $.
  $}

  ${
    $d A f j k x y $.  $d F f j x y $.  $d j ph x $.
    climf2.1 $e |- F/ k ph $.
    climf2.nf $e |- F/_ k F $.
    climf2.f $e |- ( ph -> F e. V ) $.
    climf2.fv $e |- ( ( ph /\ k e. ZZ ) -> ( F ` k ) = B ) $.
    $( Express the predicate:  The limit of complex number sequence ` F ` is
       ` A ` , or ` F ` converges to ` A ` .  Similar to ~ clim , but without
       the disjoint var constraint ` ph k ` and ` F k ` .  (Contributed by
       Glauco Siliprandi, 26-Jun-2021.) $)
    climf2 $p |- ( ph -> ( F ~~> A <-> ( A e. CC /\ A. x e. RR+ E. j e. ZZ A. k
       e. ( ZZ>= ` j ) ( B e. CC /\ ( abs ` ( B - A ) ) < x ) ) ) ) $=
      ( cc wcel cv cfv cmin wa wral cz vy vf cli wbr co cabs clt cuz crp cvv wi
      wrex climrel brrelex2i a1i elex adantr wceq simpr eleq1d nfeq2 nfan fveq1
      wb nfv oveq12 sylan fveq2d breq1d anbi12d ralbid rexbidv brabga pm5.21ndd
      df-clim ex syl eluzelz fvoveq1d sylan2 ralbida ralbidv anbi2d bitrd ) AGC
      UCUDZCMNZFOZGPZMNZWHCQUEZUFPZBOZUGUDZRZFEOZUHPZSZETULZBUISZRZWFDMNZDCQUEU
      FPZWLUGUDZRZFWPSZETULZBUISZRACUJNZWEWTWEXHUKAGCUCUMUNUOWTXHUKAWFXHWSCMUPU
      QUOAGHNZXHWEWTVDZUKKXIXHXJUAOZMNZWGUBOZPZMNZXNXKQUEZUFPZWLUGUDZRZFWPSZETU
      LZBUISZRWTUBUAGCUCHUJXMGURZXKCURZRZXLWFYBWSYEXKCMYCYDUSUTYEYAWRBUIYEBVEYE
      XTWQETYEXSWNFWPYCYDFFXMGJVAYDFVEVBYEXOWIXRWMYEXNWHMYCXNWHURZYDWGXMGVCZUQU
      TYEXQWKWLUGYEXPWJUFYCYFYDXPWJURYGXNWHXKCQVFVGVHVIVJVKVLVKVJBUAUBEFVOVMVPV
      QVNAWSXGWFAWRXFBUIAWQXEETAWNXDFWPIWGWPNAWGTNZWNXDVDWOWGVRAYHRZWIXAWMXCYIW
      HDMLUTYIWKXBWLUGYIWHDCUFQLVSVIVJVTWAVLWBWCWD $.
  $}

  ${
    $d F y $.  $d X m y $.  $d Z x y $.  $d m x y $.  $d n x y $.
    fnlimcnv.1 $e |- F/_ x F $.
    fnlimcnv.2 $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F ` m )
       | ( m e. Z |-> ( ( F ` m ) ` x ) ) e. dom ~~> } $.
    fnlimcnv.3 $e |- G = ( x e. D |-> ( ~~> ` ( m e. Z |-> ( ( F ` m ) ` x ) )
       ) ) $.
    fnlimcnv.4 $e |- ( ph -> X e. D ) $.
    $( The sequence of function values converges to the value of the limit
       function ` G ` at any point of its domain ` D ` .  (Contributed by
       Glauco Siliprandi, 26-Jun-2021.) $)
    fnlimcnv $p |- ( ph -> ( m e. Z |-> ( ( F ` m ) ` X ) ) ~~> ( G ` X ) )
             $=
      ( vy cv cfv cmpt cli wcel nfcv cdm wbr cuz ciin ciun wa wceq fveq2 eleq1d
      mpteq2dv crab nffv nfdm nfiin nfiun nfmpt nfel cbvrabw eqtri elrab2 sylib
      nfv simprd climdm nfrab1 nfcxfr fnlimfv eqcomd breqtrd ) ADIHDOZFPZPZQZVM
      RPZHGPZRAVMRUAZSZVMVNRUBAHEIDEOUCPZVKUAZUDZUEZSZVQAHCSWBVQUFMDINOZVKPZQZV
      PSZVQNHWACWCHUGZWEVMVPWGDIWDVLWCHVKUHUJUICDIBOZVKPZQZVPSZBWAUKZWFNWAUKKWK
      WFBNWAEBIVTBITZDBVRVSBVRTBVKBVJFJBVJTULZUMUNUONWATWKNVBBWEVPBDIWDWMBWCVKW
      NBWCTULUPBVPTUQWHWCUGZWJWEVPWODIWIWDWHWCVKUHUJUIURUSUTVAVCVMVDVAAVOVNABCD
      FGHIBCWLKWKBWAVEVFJLMVGVHVI $.
  $}

  ${
    $d A j k $.  $d B j $.  $d C j k $.  $d D j $.  $d V k $.  $d W k $.
    $d Z j k $.  $d j ph $.
    climeldmeqmpt.k $e |- F/ k ph $.
    climeldmeqmpt.m $e |- ( ph -> M e. ZZ ) $.
    climeldmeqmpt.z $e |- Z = ( ZZ>= ` M ) $.
    climeldmeqmpt.a $e |- ( ph -> A e. R ) $.
    climeldmeqmpt.i $e |- ( ph -> Z C_ A ) $.
    climeldmeqmpt.b $e |- ( ( ph /\ k e. A ) -> B e. V ) $.
    climeldmeqmpt.t $e |- ( ph -> C e. S ) $.
    climeldmeqmpt.l $e |- ( ph -> Z C_ C ) $.
    climeldmeqmpt.c $e |- ( ( ph /\ k e. C ) -> D e. W ) $.
    climeldmeqmpt.e $e |- ( ( ph /\ k e. Z ) -> B = D ) $.
    $( Two functions that are eventually equal, either both are convergent or
       both are divergent.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    climeldmeqmpt $p |- ( ph -> ( ( k e. A |-> B ) e. dom ~~> <-> ( k e. C |->
       D ) e. dom ~~> ) ) $=
      ( vj cmpt cvv mptexd cv wcel wa csb cfv wceq nfv nfan nfcsb1v nfcv nfcsb1
      nfeq nfim eleq1w anbi2d csbeq1a eqeq12d imbi12d sselda nfel eleq1d syldan
      wi chvarfv eqid fvmptf syl2anc 3eqtr4d climeldmeq ) AUCHBCUDZHDEUDZIUEUEL
      OAHBCFPUFAHDEGSUFNAUCUGZLUHZUIZHVRCUJZHVREUJZVRVPUKZVRVQUKZAHUGZLUHZUIZCE
      ULZVIVTWAWBULZVIHUCVTWIHAVSHMVSHUMUNHWAWBHVRCUOZHVREHVRUPZUQZURUSWEVRULZW
      GVTWHWIWMWFVSAHUCLUTVAWMCWAEWBHVRCVBZHVREVBZVCVDUBVJVTVRBUHZWAJUHZWCWAULA
      LBVRQVEZAVSWPWQWRAWEBUHZUIZCJUHZVIAWPUIZWQVIHUCXBWQHAWPHMWPHUMUNHWAJWJHJU
      PVFUSWMWTXBXAWQWMWSWPAHUCBUTVAWMCWAJWNVGVDRVJVHHVRCWABVPJWKHVRCWKUQWNVPVK
      VLVMVTVRDUHZWBKUHZWDWBULALDVRTVEZAVSXCXDXEAWEDUHZUIZEKUHZVIAXCUIZXDVIHUCX
      IXDHAXCHMXCHUMUNHWBKWLHKUPVFUSWMXGXIXHXDWMXFXCAHUCDUTVAWMEWBKWOVGVDUAVJVH
      HVREWBDVQKWKWLWOVQVKVLVMVNVO $.
  $}

  ${
    $d F k $.  $d G k $.  $d Z k $.  $d k ph $.
    climfveq.1 $e |- Z = ( ZZ>= ` M ) $.
    climfveq.2 $e |- ( ph -> F e. V ) $.
    climfveq.3 $e |- ( ph -> G e. W ) $.
    climfveq.4 $e |- ( ph -> M e. ZZ ) $.
    climfveq.5 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = ( G ` k ) ) $.
    $( Two functions that are eventually equal to one another have the same
       limit.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    climfveq $p |- ( ph -> ( ~~> ` F ) = ( ~~> ` G ) ) $=
      ( cli wcel cfv wceq wa wbr adantr climdm biimpi adantl sylibr mpbid sylib
      cdm wb climeldmeq cz cv eqcomd adantlr climeq climuni syl2anc wn c0 ndmfv
      simpr mtbid syl eqtr4d pm2.61dan ) ACNUGZOZCNPZDNPZQZAVFRZCVGNSZCVHNSZVIV
      FVKAVFVKCUAZUBUCZVJDVHNSZVLVJDVEOZVOVJVFVPVJVKVFVNVMUDAVFVPUHZVFABCDEFGHI
      JKLMUIZTUEDUAUFVJVHBDCEGFHIADGOVFKTACFOVFJTAEUJOVFLTABUKZHOZVSDPZVSCPZQVF
      AVTRWBWAMULUMUNUEVGVHCUOUPAVFUQZRZVGURVHWCVGURQACNUSUCWDVPUQVHURQWDVFVPAW
      CUTAVQWCVRTVADNUSVBVCVD $.
  $}

  ${
    $d A j k x $.  $d F j x $.  $d M j $.  $d Z j k $.  $d j ph x $.
    clim2f2.p $e |- F/ k ph $.
    clim2f2.k $e |- F/_ k F $.
    clim2f2.z $e |- Z = ( ZZ>= ` M ) $.
    clim2f2.m $e |- ( ph -> M e. ZZ ) $.
    clim2f2.f $e |- ( ph -> F e. V ) $.
    clim2f2.b $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = B ) $.
    $( Express the predicate:  The limit of complex number sequence ` F ` is
       ` A ` , or ` F ` converges to ` A ` , with more general quantifier
       restrictions than ~ clim .  Similar to ~ clim2 , but without the
       disjoint var constraint ` F k ` .  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    clim2f2 $p |- ( ph -> ( F ~~> A <-> ( A e. CC /\ A. x e. RR+ E. j e. Z A. k
       e. ( ZZ>= ` j ) ( B e. CC /\ ( abs ` ( B - A ) ) < x ) ) ) ) $=
      ( cc wcel cfv wa cli wbr cv cmin co cabs clt cuz wral cz crp eqidd climf2
      wrex nfan wb uztrn2 eleq1d fvoveq1d breq1d anbi12d sylan2 anassrs ralbida
      nfv rexbidva rexuz3 syl bitr3d ralbidv anbi2d bitr4d ) AGCUAUBCQRZFUCZGSZ
      QRZVOCUDUEUFSZBUCZUGUBZTZFEUCZUHSZUIZEUJUNZBUKUIZTVMDQRZDCUDUEUFSZVRUGUBZ
      TZFWBUIZEJUNZBUKUIZTABCVOEFGIKLOAVNUJRTVOULUMAWLWEVMAWKWDBUKAWCEJUNZWKWDA
      WCWJEJAWAJRZTVTWIFWBAWNFKWNFVEUOAWNVNWBRZVTWIUPZWNWOTAVNJRZWPHVNWAJMUQAWQ
      TZVPWFVSWHWRVODQPURWRVQWGVRUGWRVODCUFUDPUSUTVAVBVCVDVFAHUJRWMWDUPNVTEFHJM
      VGVHVIVJVKVL $.
  $}

  ${
    $d A j k $.  $d B j $.  $d C j k $.  $d D j $.  $d V k $.  $d W k $.
    $d Z j k $.  $d j ph $.
    climfveqmpt.k $e |- F/ k ph $.
    climfveqmpt.m $e |- ( ph -> M e. ZZ ) $.
    climfveqmpt.z $e |- Z = ( ZZ>= ` M ) $.
    climfveqmpt.A $e |- ( ph -> A e. R ) $.
    climfveqmpt.i $e |- ( ph -> Z C_ A ) $.
    climfveqmpt.b $e |- ( ( ph /\ k e. A ) -> B e. V ) $.
    climfveqmpt.t $e |- ( ph -> C e. S ) $.
    climfveqmpt.l $e |- ( ph -> Z C_ C ) $.
    climfveqmpt.c $e |- ( ( ph /\ k e. C ) -> D e. W ) $.
    climfveqmpt.e $e |- ( ( ph /\ k e. Z ) -> B = D ) $.
    $( Two functions that are eventually equal to one another have the same
       limit.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    climfveqmpt $p |- ( ph -> ( ~~> ` ( k e. A |-> B ) ) = ( ~~> ` ( k e. C |->
       D ) ) ) $=
      ( vj cmpt cvv mptexd cv wcel wa csb cfv wceq wi nfv nfan nfcv nfcsb1 nfeq
      nfim eleq1w anbi2d csbeq1a eqeq12d imbi12d chvarfv wss adantr sseldd nfel
      simpr eleq1d eqid fvmptf syl2anc syldan 3eqtr4d climfveq ) AUCHBCUDZHDEUD
      ZIUEUELOAHBCFPUFAHDEGSUFNAUCUGZLUHZUIZHVTCUJZHVTEUJZVTVRUKZVTVSUKZAHUGZLU
      HZUIZCEULZUMWBWCWDULZUMHUCWBWKHAWAHMWAHUNUOHWCWDHVTCHVTUPZUQZHVTEWLUQZURU
      SWGVTULZWIWBWJWKWOWHWAAHUCLUTVAWOCWCEWDHVTCVBZHVTEVBZVCVDUBVEAWAVTBUHZWEW
      CULZWBLBVTALBVFWAQVGAWAVJZVHAWRUIZWRWCJUHZWSAWRVJAWGBUHZUIZCJUHZUMXAXBUMH
      UCXAXBHAWRHMWRHUNUOHWCJWMHJUPVIUSWOXDXAXEXBWOXCWRAHUCBUTVAWOCWCJWPVKVDRVE
      HVTCWCBVRJWLWMWPVRVLVMVNVOAWAVTDUHZWFWDULZWBLDVTALDVFWATVGWTVHAXFUIZXFWDK
      UHZXGAXFVJAWGDUHZUIZEKUHZUMXHXIUMHUCXHXIHAXFHMXFHUNUOHWDKWNHKUPVIUSWOXKXH
      XLXIWOXJXFAHUCDUTVAWOEWDKWQVKVDUAVEHVTEWDDVSKWLWNWQVSVLVMVNVOVPVQ $.
  $}

  ${
    $d A j k x $.  $d B x $.  $d F j x $.  $d M j $.  $d X j k x $.
    $d Z j k x $.  $d j ph x $.
    climd.1 $e |- F/ k ph $.
    climd.2 $e |- F/_ k F $.
    climd.3 $e |- Z = ( ZZ>= ` M ) $.
    climd.4 $e |- ( ph -> M e. ZZ ) $.
    climd.5 $e |- ( ph -> F ~~> A ) $.
    climd.6 $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = B ) $.
    climd.7 $e |- ( ph -> X e. RR+ ) $.
    $( Express the predicate:  The limit of complex number sequence ` F ` is
       ` A ` , or ` F ` converges to ` A ` .  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    climd $p |- ( ph -> E. j e. Z A. k e. ( ZZ>= ` j ) ( B e. CC /\ ( abs ` ( B
       - A ) ) < X ) ) $=
      ( vx crp wcel clt cc cmin co cabs cfv cv wbr wa cuz wral wrex cli climrel
      cvv brrelex1i clim2f2 mpbid simprd breq2 anbi2d rexralbidv rspcva syl2anc
      syl wceq ) AHRSCUASZCBUBUCUDUEZQUFZTUGZUHZEDUFUIUEZUJDIUKZQRUJZVFVGHTUGZU
      HZEVKUJDIUKZPABUASZVMAFBULUGZVQVMUHNAQBCDEFGUNIJKLMAVRFUNSNFBULUMUOVDOUPU
      QURVLVPQHRVHHVEZVJVODEIVKVSVIVNVFVHHVGTUSUTVAVBVC $.
  $}

  ${
    $d A j k x $.  $d B x $.  $d F j x $.  $d M j $.  $d X j k x $.
    $d Z j k x $.  $d j ph x $.
    clim2d.k $e |- F/ k ph $.
    clim2d.f $e |- F/_ k F $.
    clim2d.m $e |- ( ph -> M e. ZZ ) $.
    clim2d.z $e |- Z = ( ZZ>= ` M ) $.
    clim2d.c $e |- ( ph -> F ~~> A ) $.
    clim2d.b $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = B ) $.
    clim2d.x $e |- ( ph -> X e. RR+ ) $.
    $( The limit of complex number sequence ` F ` is eventually approximated.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    clim2d $p |- ( ph -> E. j e. Z A. k e. ( ZZ>= ` j ) ( B e. CC /\ ( abs ` (
       B - A ) ) < X ) ) $=
      ( vx crp wcel clt cc cmin co cabs cfv cv wbr wa cuz wral wrex cli climrel
      cvv wrel brrelex1 syl2anc clim2f2 mpbid simprd wceq breq2 ralbidv rexbidv
      a1i anbi2d rspcva ) AHRSCUASZCBUBUCUDUEZQUFZTUGZUHZEDUFUIUEZUJZDIUKZQRUJZ
      VHVIHTUGZUHZEVMUJZDIUKZPABUASZVPAFBULUGZWAVPUHNAQBCDEFGUNIJKMLAULUOZWBFUN
      SWCAUMVENFBULUPUQOURUSUTVOVTQHRVJHVAZVNVSDIWDVLVREVMWDVKVQVHVJHVITVBVFVCV
      DVGUQ $.
  $}

  ${
    $d F j n $.  $d X j m n $.  $d X m n x $.  $d Z j m n $.  $d Z m n x $.
    $d j n ph $.
    fnlimfvre.p $e |- F/ m ph $.
    fnlimfvre.m $e |- F/_ m F $.
    fnlimfvre.n $e |- F/_ x F $.
    fnlimfvre.z $e |- Z = ( ZZ>= ` M ) $.
    fnlimfvre.f $e |- ( ( ph /\ m e. Z ) -> ( F ` m ) : dom ( F ` m ) --> RR )
                   $.
    fnlimfvre.d $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F ` m )
       | ( m e. Z |-> ( ( F ` m ) ` x ) ) e. dom ~~> } $.
    fnlimfvre.x $e |- ( ph -> X e. D ) $.
    $( The limit function of real functions, applied to elements in its domain,
       evaluates to Real values.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    fnlimfvre $p |- ( ph -> ( ~~> ` ( m e. Z |-> ( ( F ` m ) ` X ) ) ) e. RR )
                 $=
      ( vj wcel cvv wa cv cuz cfv cdm ciin wrex cmpt cli cr ciun crab nfcv nffv
      nfdm nfiin nfiun ssrab2f eqsstri sseli eliun sylib syl nfv w3a nfii1 nfel
      nf3an uzssz eleq2i biimpi sselid 3ad2ant2 eqid fvexi a1i wss uztrn2 fvexd
      ssd ssidd eqidd climfveqmpt wbr nfmpt fveq2 mpteq2dv eleq1d elrabf simprd
      cz wceq adantr nfmpt1 nfci nfrabw nfcxfr nfan adantl climeldmeqmpt climdm
      mpbid sylan 3adant3 simpl1 simpl2 dmeqd cbviin simpr eliinid 3ad2antl3 id
      syl2anc fveq1d fvmptf wf simpll adantll wi nff nfim eleq1w anbi2d imbi12d
      feq12d chvarfv 3adantl3 simpl3 ffvelrnd eqeltrd syl31anc climrecl rexlimd
      3exp mpd ) AHDEUAZUBUCZDUAZFUCZUDZUEZRZEIUFZDIHYRUCZUGZUHUCZUIRZAHCRZUUBP
      UUGHEIYTUJZRZUUBCUUHHCDIBUAZYRUCZUGZUHUDZRZBUUHUKZUUHOUUNBUUHEBIYTBIULZDB
      YPYSBYPULBYRBYQFLBYQULUMZUNUOUPZUQURUSEHIYTUTVAVBAUUAUUFEIAEVCUUFEVCAYOIR
      ZUUAUUFAUUSUUAVDZUUEDYPUUCUGZUHUCZUIUUTIUUCYPUUCSSDYOSSYPAUUSUUADJUUSDVCZ
      DHYTDHULZDYPYSVEZVFVGUUSAYOWJRZUUAUUSGUBUCZWJYOGVHUUSYOUVGRIUVGYOMVIVJVKZ
      VLZYPVMZISRZUUTIGUBMVNZVOUUSAYPIVPZUUAUUSQYPIGQUAZYOIMVQZVSZVLUUTYQIRZTHY
      RVRUUTYOUBVRUUTYPVTUUTYQYPRZTZHYRVRUVSUUCWAWBUUTUVBQUVAYOYPUVJUVIAUUSUVAU
      VBUHWCZUUAAUUGUUSUVTPUUGUUSTZUVAUUMRZUVTUWAUUDUUMRZUWBUUGUWCUUSUUGHUUORZU
      WCUUGUWDCUUOHOVIVJUWDUUIUWCUWDUUIUWCTUUNUWCBHUUHBHULZUURBUUDUUMBDIUUCUUPB
      HYRUUQUWEUMWDBUUMULVFUUJHWKZUULUUDUUMUWFDIUUKUUCUUJHYRWEWFWGWHVJWIVBWLUWA
      IUUCYPUUCSSDYOSSYPUUGUUSDDHCUVDDCUUOOUUNDBUUHDUULUUMDIUUKWMDUUMULVFEDIYTD
      QIUVNIRZDVCZWNUVEUPWOWPVFUVCWQUUSUVFUUGUVHWRUVJUVKUWAUVLVOUUSUVMUUGUVPWRU
      WAUVQTHYRVRUWAYOUBVRUWAYPVTUWAUVRTZHYRVRUWIUUCWAWSXAUVAWTVAXBXCUUTUVNYPRZ
      TAUUSHUVNFUCZUDZRZUWJUVNUVAUCZUIRAUUSUUAUWJXDAUUSUUAUWJXEUUAAUWJUWMUUSUUA
      UWJTHQYPUWLUEZRZUWJUWMUUAUWPUWJUUAUWPYTUWOHDQYPYSUWLQYSULDUWKDUVNFKDUVNUL
      ZUMZUNZYQUVNWKZYRUWKYQUVNFWEZXFZXGVIVJWLUUAUWJXHQHYPUWLXIXLXJUUTUWJXHAUUS
      UWMVDZUWJTZUWNHUWKUCZUIUWJUWNUXEWKZUXCUWJUWJUXESRUXFUWJXKUWJHUWKVRDUVNUUC
      UXEYPUVASUWQDHUWKUWRUVDUMUWTHYRUWKUXAXMUVAVMXNXLWRUXDUWLUIHUWKAUUSUWJUWLU
      IUWKXOZUWMAUUSTUWJTAUWGUXGAUUSUWJXPUUSUWJUWGAUVOXQAUVQTZYSUIYRXOZXRAUWGTZ
      UXGXRDQUXJUXGDAUWGDJUWHWQDUWLUIUWKUWRUWSDUIULXSXTUWTUXHUXJUXIUXGUWTUVQUWG
      ADQIYAYBUWTYSUWLUIYRUWKUXAUXBYDYCNYEXLYFAUUSUWMUWJYGYHYIYJYKYIYMYLYN $.
  $}

  ${
    $d X m n $.  $d Z j $.  $d Z m $.  $d j n $.  $d n ph $.
    allbutfifvre.1 $e |- F/ m ph $.
    allbutfifvre.2 $e |- Z = ( ZZ>= ` M ) $.
    allbutfifvre.3 $e |- ( ( ph /\ m e. Z ) -> ( F ` m ) : dom ( F ` m ) --> RR
       ) $.
    allbutfifvre.4 $e |- D = U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F ` m ) $.
    allbutfifvre.5 $e |- ( ph -> X e. D ) $.
    $( Given a sequence of real-valued functions, and ` X ` that belongs to all
       but finitely many domains, then its function value is ultimately a real
       number.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    allbutfifvre $p |- ( ph -> E. n e. Z A. m e. ( ZZ>= ` n ) ( ( F ` m ) ` X )
       e. RR ) $=
      ( vj cv cfv wcel wral wrex wa cdm cuz cr ciin ciun eleqtrdi eqid allbutfi
      sylib nfv nfan wi simpll uztrn2 sselda adantll ffvelrnda syl2anc ralimdaa
      ssd ex reximdva mpd ) AGCOZEPZUAZQZCDOZUBPZRZDHSZGVEPUCQZCVIRZDHSAGDHCVIV
      FUDUEZQVKAGBVNMLUFVNVFCDFGHJVNUGUHUIAVJVMDHAVHHQZTZVGVLCVIAVOCIVOCUJUKVPV
      DVIQZTAVDHQZVGVLULAVOVQUMVOVQVRAVOVIHVDVONVIHFNOVHHJUNUTUOUPAVRTZVGVLVSVF
      UCGVEKUQVAURUSVBVC $.
  $}

  ${
    $d A j k $.  $d F j $.  $d N j k $.  $d X j k $.  $d Z j $.  $d j ph $.
    climleltrp.k $e |- F/ k ph $.
    climleltrp.f $e |- F/_ k F $.
    climleltrp.z $e |- Z = ( ZZ>= ` M ) $.
    climleltrp.n $e |- ( ph -> N e. Z ) $.
    climleltrp.r $e |- ( ( ph /\ k e. ( ZZ>= ` N ) ) -> ( F ` k ) e. RR ) $.
    climleltrp.a $e |- ( ph -> F ~~> A ) $.
    climleltrp.c $e |- ( ph -> C e. RR ) $.
    climleltrp.l $e |- ( ph -> A <_ C ) $.
    climleltrp.x $e |- ( ph -> X e. RR+ ) $.
    $( The limit of complex number sequence ` F ` is eventually approximated.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    climleltrp $p |- ( ph -> E. j e. Z A. k e. ( ZZ>= ` j ) ( ( F ` k ) e. RR
       /\ ( F ` k ) < ( C + X ) ) ) $=
      ( wcel cuz cfv wss cv cr caddc co clt wbr wa wral wrex eleqtrdi sseqtrrdi
      uzss syl cc cmin cabs cz uzssz sselid eqid eqidd clim2d nfv nfan ad2antlr
      simplll simpr sseldd adantr eqeltrd wceq cli climcl recnd eqcomd eqeltrrd
      pncan3d ad2antrr climreclf resubcld readdcld rpred leadd1dd subcld abscld
      cle leabsd lelttrd ltadd2dd eqbrtrd syl21anc adantrl ex ralimdaa reximdva
      jca mpd ssrexv sylc ) AHUAUBZJUCEUDZFUBZUETZXECIUFUGZUHUIZUJZEDUDZUAUBZUK
      ZDXCULZXLDJULAXCGUAUBZJAHXNTXCXNUCAHJXNNMUMZGHUOUPMUNAXEUQTZXEBURUGZUSUBZ
      IUHUIZUJZEXKUKZDXCULXMABXEDEFHIXCKLAXNUTHGVAXOVBZXCVCZPAXDXCTZUJZXEVDZSVE
      AYAXLDXCAXJXCTZUJZXTXIEXKAYGEKYGEVFVGYHXDXKTZUJZXTXIYJXSXIXPYJXSUJAYDXSXI
      AYGYIXSVIYJYDXSYJXKXCXDYGXKXCUCAYIHXJUOVHYHYIVJVKVLYJXSVJYEXSUJZXFXHYEXFX
      SYEXEXEUEYFOVMZVLZYKXEBXQUFUGZXGUHYEXEYNVNXSYEYNXEYEBXEABUQTZYDAFBVOUIYOP
      BFVPUPVLZYEXEYLVQZVTVRVLZYKYNCXQUFUGXGYKXEYNUEYRYMVSYKCXQACUETYDXSQWAZYKX
      EBYMABUETYDXSABEFHXCKLYCYBPOWBWAZWCZWDYKCIYSAIUETYDXSAISWEWAZWDYKBCXQYTYS
      UUAABCWIUIYDXSRWAWFYKXQICUUAUUBYSYKXQXRIUUAYKXQYKXEBYEXPXSYQVLYEYOXSYPVLW
      GWHUUBYKXQUUAWJYEXSVJWKWLWKWMWSWNWOWPWQWRWTXLDXCJXAXB $.
  $}

  ${
    $d D z $.  $d F n z $.  $d X m n x z $.  $d Z m n x z $.  $d n ph $.
    fnlimfvre2.p $e |- F/ m ph $.
    fnlimfvre2.m $e |- F/_ m F $.
    fnlimfvre2.n $e |- F/_ x F $.
    fnlimfvre2.z $e |- Z = ( ZZ>= ` M ) $.
    fnlimfvre2.f $e |- ( ( ph /\ m e. Z ) -> ( F ` m ) : dom ( F ` m ) --> RR )
                     $.
    fnlimfvre2.d $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F ` m
       ) | ( m e. Z |-> ( ( F ` m ) ` x ) ) e. dom ~~> } $.
    fnlimfvre2.g $e |- G = ( x e. D |-> ( ~~> ` ( m e. Z |-> ( ( F ` m ) ` x )
       ) ) ) $.
    fnlimfvre2.x $e |- ( ph -> X e. D ) $.
    $( The limit function of real functions, applied to elements in its domain,
       evaluates to Real values.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    fnlimfvre2 $p |- ( ph -> ( G ` X ) e. RR ) $=
      ( cfv cli vz cmpt cvv cdm wcel cuz ciin ciun crab nfrab1 nfcxfr nfcv nffv
      cv cr nfmpt fveq2 mpteq2dv fveq2d cbvmptf eqtri eqcom imbi1i imbi2i bitri
      wceq wi mpbi fvexd fvmptd3 fnlimfvre eqeltrd ) AIGSDJIDUNZFSZSZUBZTSZUOAU
      AIDJUAUNZVNSZUBZTSZVQCGUCGBCDJBUNZVNSZUBZTSZUBUACWAUBQBUACWEWABCWDTUDUEZB
      EJDEUNUFSVNUDUGUHZUIPWFBWGUJUKUACULUAWEULBVTTBTULBDJVSBJULBVRVNBVMFMBVMUL
      UMBVRULUMUPUMWBVRVFZWDVTTWHDJWCVSWBVRVNUQURUSUTVAVRIVFZVTVPTIVRVFZVPVTVFZ
      VGZWIVTVPVFZVGZWJDJVOVSIVRVNUQURWLWIWKVGWNWJWIWKIVRVBVCWKWMWIVPVTVBVDVEVH
      USRAVPTVIVJABCDEFHIJKLMNOPRVKVL $.
  $}

  ${
    $d D m n z $.  $d F n z $.  $d Z m n x z $.  $d n ph z $.
    fnlimf.p $e |- F/ m ph $.
    fnlimf.m $e |- F/_ m F $.
    fnlimf.n $e |- F/_ x F $.
    fnlimf.z $e |- Z = ( ZZ>= ` M ) $.
    fnlimf.f $e |- ( ( ph /\ m e. Z ) -> ( F ` m ) : dom ( F ` m ) --> RR ) $.
    fnlimf.d $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F ` m ) |
       ( m e. Z |-> ( ( F ` m ) ` x ) ) e. dom ~~> } $.
    fnlimf.g $e |- G = ( x e. D |-> ( ~~> ` ( m e. Z |-> ( ( F ` m ) ` x ) ) )
       ) $.
    $( The limit function of real functions, is a real-valued function.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    fnlimf $p |- ( ph -> G : D --> RR ) $=
      ( vz cfv cli nfcv cv cmpt cr wcel wa nfv nfan cdm adantlr simpr fnlimfvre
      wf cuz ciin ciun crab nfrab1 nfcxfr nffv nfmpt wceq fveq2 mpteq2dv fveq2d
      cbvmptf eqtri fmptd ) AQCDIQUAZDUAZFRZRZUBZSRZUCGAVHCUDZUEBCDEFHVHIAVNDJV
      NDUFUGKLMAVIIUDVJUHZUCVJULVNNUIOAVNUJUKGBCDIBUAZVJRZUBZSRZUBQCVMUBPBQCVSV
      MBCVRSUHUDZBEIDEUAUMRVOUNUOZUPOVTBWAUQURQCTQVSTBVLSBSTBDIVKBITBVHVJBVIFLB
      VITUSBVHTUSUTUSVPVHVAZVRVLSWBDIVQVKVPVHVJVBVCVDVEVFVG $.
  $}

  ${
    $d F j l $.  $d F j n $.  $d F n y $.  $d G j n $.  $d M n $.
    $d X j l m $.  $d X j m n $.  $d Y j m n $.  $d Z j l m $.  $d Z j m n $.
    $d Z m n x y $.  $d j l ph $.  $d n ph $.
    fnlimabslt.p $e |- F/ m ph $.
    fnlimabslt.f $e |- F/_ m F $.
    fnlimabslt.n $e |- F/_ x F $.
    fnlimabslt.m $e |- ( ph -> M e. ZZ ) $.
    fnlimabslt.z $e |- Z = ( ZZ>= ` M ) $.
    fnlimabslt.b $e |- ( ( ph /\ m e. Z ) -> ( F ` m ) : dom ( F ` m ) --> RR )
                     $.
    fnlimabslt.d $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F ` m
       ) | ( m e. Z |-> ( ( F ` m ) ` x ) ) e. dom ~~> } $.
    fnlimabslt.g $e |- G = ( x e. D |-> ( ~~> ` ( m e. Z |-> ( ( F ` m ) ` x )
       ) ) ) $.
    fnlimabslt.x $e |- ( ph -> X e. D ) $.
    fnlimabslt.y $e |- ( ph -> Y e. RR+ ) $.
    $( A sequence of function values, approximates the corresponding limit
       function value, all but finitely many times.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    fnlimabslt $p |- ( ph -> E. n e. Z A. m e. ( ZZ>= ` n ) ( ( ( F ` m ) ` X )
       e. RR /\ ( abs ` ( ( ( F ` m ) ` X ) - ( G ` X ) ) ) < Y ) ) $=
      ( vy vj vl cv cfv cr wcel cuz wral wrex cmin co cabs clt wbr wa ciin ciun
      cdm eqid cmpt cli crab nfcv nffv nfdm nfiin nfiun nfv nfmpt nfel mpteq2dv
      wceq fveq2 eleq1d cbvrabw ssrab2 eqsstri sselid allbutfifvre fnlimcnv cvv
      cc fveq1d cbvmpt simpr fvexd fvmptd3 climd nfmpt1 nfrabw nfcxfr nfov nfbr
      nfii1 fvoveq1d breq1d anbi12d cbvralw rexbii sylibr a1i ralimdaa reximdva
      nfan wi mpd jca rexanuz2 ) AIDUEZFUFZUFZUGUHZDEUEZUIUFZUJEKUKZXMIGUFZULUM
      UNUFZJUOUPZDXPUJZEKUKZUQXNXTUQDXPUJEKUKAXQYBAEKDXPXLUTZURZUSZDEFHIKLPQYEV
      AACYEICDKBUEZXLUFZVBZVCUTZUHZBYEVDZYERYKDKUBUEZXLUFZVBZYIUHZUBYEVDYEYJYOB
      UBYEEBKYDBKVEZDBXPYCBXPVEBXLBXKFNBXKVEVFZVGVHVIUBYEVEYJUBVJBYNYIBDKYMYPBY
      LXLYQBYLVEVFVKBYIVEVLYFYLVNZYHYNYIYRDKYGYMYFYLXLVOVMVPVQYOUBYEVRVSVSTVTWA
      AXMWDUHZXTUQZDXPUJZEKUKZYBAIUCUEZFUFZUFZWDUHZUUEXRULUMZUNUFZJUOUPZUQZUCXP
      UJZEKUKUUBAXRUUEEUCDKXMVBZHJKAUCVJUCUULVEPOABCDEFGIKNRSTWBAUUCKUHZUQZUDUU
      CIUDUEZFUFZUFZUUEKUULWCDUDKXMUUQUDXMVEDIUUPDUUOFMDUUOVEVFDIVEZVFXKUUOVNIX
      LUUPXKUUOFVOWEWFUUOUUCVNIUUPUUDUUOUUCFVOWEAUUMWGUUNIUUDWHWIUAWJUUAUUKEKYT
      UUJDUCXPYTUCVJUUFUUIDDUUEWDDIUUDDUUCFMDUUCVEVFUURVFZDWDVEVLDUUHJUODUUGUND
      UNVEDUUEXRULUUSDULVEDIGDGBCYHVCUFZVBSDBCUUTDCYKRYJDBYEDYHYIDKYGWKZDYIVEVL
      EDKYDDKVEDXPYCWPVIWLWMDYHVCDVCVEUVAVFVKWMUURVFWNVFDUOVEDJVEWOXFXKUUCVNZYS
      UUFXTUUIUVBXMUUEWDUVBIXLUUDXKUUCFVOWEZVPUVBXSUUHJUOUVBXMUUEXRUNULUVCWQWRW
      SWTXAXBAUUAYAEKAXOKUHZUQZYTXTDXPAUVDDLUVDDVJXFYTXTXGUVEXKXPUHUQYSXTWGXCXD
      XEXHXIXNXTEDHKPXJXB $.
  $}

  ${
    $d F j $.  $d G j $.  $d Z j k $.  $d j ph $.
    climfveqf.p $e |- F/ k ph $.
    climfveqf.n $e |- F/_ k F $.
    climfveqf.o $e |- F/_ k G $.
    climfveqf.z $e |- Z = ( ZZ>= ` M ) $.
    climfveqf.f $e |- ( ph -> F e. V ) $.
    climfveqf.g $e |- ( ph -> G e. W ) $.
    climfveqf.m $e |- ( ph -> M e. ZZ ) $.
    climfveqf.e $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = ( G ` k ) ) $.
    $( Two functions that are eventually equal to one another have the same
       limit.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    climfveqf $p |- ( ph -> ( ~~> ` F ) = ( ~~> ` G ) ) $=
      ( cli wcel cfv wceq vj cdm wa wbr climdm biimpi adantl sylibr wb cv nfel1
      nfcv nfan nffv nfeq nfim eleq1w anbi2d eqeq12d imbi12d chvarfv climeldmeq
      wi fveq2 adantr mpbid sylib cz eqcomd adantlr climuni syl2anc wn c0 ndmfv
      climeq simpr mtbid syl eqtr4d pm2.61dan ) ACQUBZRZCQSZDQSZTZAWCUCZCWDQUDZ
      CWEQUDZWFWCWHAWCWHCUEZUFUGZWGDWEQUDZWIWGDWBRZWLWGWCWMWGWHWCWKWJUHAWCWMUIZ
      WCAUACDEFGHLMNOABUJZHRZUCZWOCSZWODSZTZVCAUAUJZHRZUCZXACSZXADSZTZVCBUAXCXF
      BAXBBIBXAHBXAULZUKUMBXDXEBXACJXGUNBXADKXGUNUOUPWOXATZWQXCWTXFXHWPXBABUAHU
      QURXHWRXDWSXEWOXACVDWOXADVDUSUTPVAZVBZVEVFDUEVGWGWEUADCEGFHLADGRWCNVEACFR
      WCMVEAEVHRWCOVEAXBXEXDTWCXCXDXEXIVIVJVPVFWDWECVKVLAWCVMZUCZWDVNWEXKWDVNTA
      CQVOUGXLWMVMWEVNTXLWCWMAXKVQAWNXKXJVEVRDQVOVSVTWA $.
  $}

  ${
    $d A j $.  $d F j $.  $d Z j k $.
    climmptf.k $e |- F/_ k F $.
    climmptf.m $e |- ( ph -> M e. ZZ ) $.
    climmptf.f $e |- ( ph -> F e. V ) $.
    climmptf.z $e |- Z = ( ZZ>= ` M ) $.
    climmptf.g $e |- G = ( k e. Z |-> ( F ` k ) ) $.
    $( Exhibit a function ` G ` with the same convergence properties as the
       not-quite-function ` F ` .  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    climmptf $p |- ( ph -> ( F ~~> A <-> G ~~> A ) ) $=
      ( vj wcel cli wbr cv cfv cmpt cz wb nfcv nffv fveq2 eqtri climmpt syl2anc
      cbvmpt ) AFUAODGODBPQEBPQUBJKBNDEFGHLECHCRZDSZTNHNRZDSZTMCNHUKUMNUKUCCULD
      ICULUCUDUJULDUEUIUFUGUH $.
  $}

  ${
    $d A j k $.  $d B j $.  $d C j k $.  $d D j $.  $d U k $.  $d Z j k $.
    $d j ph $.
    climfveqmpt3.k $e |- F/ k ph $.
    climfveqmpt3.m $e |- ( ph -> M e. ZZ ) $.
    climfveqmpt3.z $e |- Z = ( ZZ>= ` M ) $.
    climfveqmpt3.a $e |- ( ph -> A e. V ) $.
    climfveqmpt3.c $e |- ( ph -> C e. W ) $.
    climfveqmpt3.i $e |- ( ph -> Z C_ A ) $.
    climfveqmpt3.s $e |- ( ph -> Z C_ C ) $.
    climfveqmpt3.b $e |- ( ( ph /\ k e. Z ) -> B e. U ) $.
    climfveqmpt3.d $e |- ( ( ph /\ k e. Z ) -> B = D ) $.
    $( Two functions that are eventually equal to one another have the same
       limit.  TODO: this is more general than ~ climfveqmpt and should replace
       it.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    climfveqmpt3 $p |- ( ph -> ( ~~> ` ( k e. A |-> B ) ) = ( ~~> ` ( k e. C
       |-> D ) ) ) $=
      ( vj cmpt cvv mptexd cv wcel wa csb cfv wceq wi nfv nfan nfcv nfcsb1 nfeq
      nfim eleq1w anbi2d csbeq1a eqeq12d imbi12d chvarfv wss adantr sseldd nfel
      simpr eleq1d eqid fvmptf syl2anc eqeltrrd 3eqtr4d climfveq ) AUAGBCUBZGDE
      UBZHUCUCKNAGBCIOUDAGDEJPUDMAUAUEZKUFZUGZGVRCUHZGVREUHZVRVPUIZVRVQUIZAGUEZ
      KUFZUGZCEUJZUKVTWAWBUJZUKGUAVTWIGAVSGLVSGULUMZGWAWBGVRCGVRUNZUOZGVREWKUOZ
      UPUQWEVRUJZWGVTWHWIWNWFVSAGUAKURUSZWNCWAEWBGVRCUTZGVREUTZVAVBTVCZVTVRBUFW
      AFUFZWCWAUJVTKBVRAKBVDVSQVEAVSVHZVFWGCFUFZUKVTWSUKGUAVTWSGWJGWAFWLGFUNVGU
      QWNWGVTXAWSWOWNCWAFWPVIVBSVCZGVRCWABVPFWKWLWPVPVJVKVLVTVRDUFWBFUFWDWBUJVT
      KDVRAKDVDVSRVEWTVFVTWAWBFWRXBVMGVREWBDVQFWKWMWQVQVJVKVLVNVO $.
  $}

  ${
    $d F j $.  $d G j $.  $d Z j k $.  $d j ph $.
    climeldmeqf.p $e |- F/ k ph $.
    climeldmeqf.n $e |- F/_ k F $.
    climeldmeqf.o $e |- F/_ k G $.
    climeldmeqf.z $e |- Z = ( ZZ>= ` M ) $.
    climeldmeqf.f $e |- ( ph -> F e. V ) $.
    climeldmeqf.g $e |- ( ph -> G e. W ) $.
    climeldmeqf.m $e |- ( ph -> M e. ZZ ) $.
    climeldmeqf.e $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = ( G ` k ) ) $.
    $( Two functions that are eventually equal, either both are convergent or
       both are divergent.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    climeldmeqf $p |- ( ph -> ( F e. dom ~~> <-> G e. dom ~~> ) ) $=
      ( vj cv cfv wceq wcel wa nfv nfan nfcv nffv nfeq nfim eleq1w anbi2d fveq2
      wi eqeq12d imbi12d chvarfv climeldmeq ) AQCDEFGHLMNOABRZHUAZUBZUQCSZUQDSZ
      TZULAQRZHUAZUBZVCCSZVCDSZTZULBQVEVHBAVDBIVDBUCUDBVFVGBVCCJBVCUEZUFBVCDKVI
      UFUGUHUQVCTZUSVEVBVHVJURVDABQHUIUJVJUTVFVAVGUQVCCUKUQVCDUKUMUNPUOUP $.
  $}

  ${
    $d Z k $.
    climreclmpt.k $e |- F/ k ph $.
    climreclmpt.m $e |- ( ph -> M e. ZZ ) $.
    climreclmpt.z $e |- Z = ( ZZ>= ` M ) $.
    climreclmpt.a $e |- ( ( ph /\ k e. Z ) -> A e. RR ) $.
    climreclmpt.b $e |- ( ph -> ( k e. Z |-> A ) ~~> B ) $.
    $( The limit of B convergent real sequence is real.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    climreclmpt $p |- ( ph -> B e. RR ) $=
      ( cmpt nfmpt1 cv wcel wa cfv cr eqidd fvmpt2d eqeltrd climreclf ) ACDDFBL
      ZEFGDFBMIHKADNZFOPUDUCQBRADFBUCRAUCSJTJUAUB $.
  $}

  ${
    $d A b i j k x y $.  $d F b i k x y $.  $d i ph x y $.
    limsupref.j $e |- F/_ j F $.
    limsupref.a $e |- ( ph -> A C_ RR ) $.
    limsupref.s $e |- ( ph -> sup ( A , RR* , < ) = +oo ) $.
    limsupref.f $e |- ( ph -> F : A --> RR ) $.
    limsupref.b $e |- ( ph -> E. b e. RR E. k e. RR A. j e. A ( k <_ j -> ( abs
       ` ( F ` j ) ) <_ b ) ) $.
    $( If a sequence is bounded, then the limsup is real.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    limsupref $p |- ( ph -> ( limsup ` F ) e. RR ) $=
      ( vx vi vy cv cle wbr cfv cabs cr wi wral wrex breq2 imbi2d ralbidv breq1
      wceq imbi1d wb nfv nfcv nffv nfbr 2fveq3 breq1d imbi12d cbvralw a1i bitrd
      nfim cbvrex2vw sylib limsupre ) ABLMENHIJADOZCOZPQZVFERSRZFOZPQZUAZCBUBZD
      TUCFTUCMOZLOZPQZVNERZSRZNOZPQZUAZLBUBZMTUCNTUCKVLWAVGVHVRPQZUAZCBUBZFDNMT
      TVIVRUHZVKWCCBWEVJWBVGVIVRVHPUDUEUFVEVMUHZWDVMVFPQZWBUAZCBUBZWAWFWCWHCBWF
      VGWGWBVEVMVFPUGUIUFWIWAUJWFWHVTCLBWHLUKVOVSCVOCUKCVQVRPCVPSCSULCVNEGCVNUL
      UMUMCPULCVRULUNVAVFVNUHZWGVOWBVSVFVNVMPUDWJVHVQVRPVFVNSEUOUPUQURUSUTVBVCV
      D $.
  $}

  ${
    $d A i j k l $.  $d B i j k l $.  $d F i k l $.  $d i l ph $.
    limsupbnd1f.1 $e |- F/_ j F $.
    limsupbnd1f.2 $e |- ( ph -> B C_ RR ) $.
    limsupbnd1f.3 $e |- ( ph -> F : B --> RR* ) $.
    limsupbnd1f.4 $e |- ( ph -> A e. RR* ) $.
    limsupbnd1f.5 $e |- ( ph -> E. k e. RR A. j e. B ( k <_ j -> ( F ` j ) <_ A
       ) ) $.
    $( If a sequence is eventually at most ` A ` , then the limsup is also at
       most ` A ` .  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupbnd1f $p |- ( ph -> ( limsup ` F ) <_ A ) $=
      ( vl vi cv cle wbr wi wral cr nfcv cfv wrex wceq breq1 imbi1d ralbidv nfv
      wb nffv nfbr nfim breq2 fveq2 breq1d imbi12d cbvralw bitrd cbvrexvw sylib
      a1i limsupbnd1 ) ABCLMFHIJAENZDNZOPZVCFUAZBOPZQZDCRZESUBMNZLNZOPZVJFUAZBO
      PZQZLCRZMSUBKVHVOEMSVBVIUCZVHVIVCOPZVFQZDCRZVOVPVGVRDCVPVDVQVFVBVIVCOUDUE
      UFVSVOUHVPVRVNDLCVRLUGVKVMDVKDUGDVLBODVJFGDVJTUIDOTDBTUJUKVCVJUCZVQVKVFVM
      VCVJVIOULVTVEVLBOVCVJFUMUNUOUPUTUQURUSVA $.
  $}

  ${
    $d F j x $.  $d M j k x $.  $d Z j k x $.
    climbddf.1 $e |- F/_ k F $.
    climbddf.2 $e |- Z = ( ZZ>= ` M ) $.
    $( A converging sequence of complex numbers is bounded.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    climbddf $p |- ( ( M e. ZZ /\ F e. dom ~~> /\ A. k e. Z ( F ` k ) e. CC )
       -> E. x e. RR A. k e. Z ( abs ` ( F ` k ) ) <_ x ) $=
      ( vj wcel cv cfv cc wral cabs cle wbr cr wrex nfv nfcv cz cli simp1 simp2
      cdm w3a nffv nfel wceq fveq2 eleq1d cbvralw 3ad2ant3 climbdd syl3anc nfbr
      biimpi 2fveq3 breq1d rexbii sylib ) DUAIZCUBUEIZBJZCKZLIZBEMZUFZHJZCKZNKZ
      AJZOPZHEMZAQRZVENKZVLOPZBEMZAQRVHVBVCVJLIZHEMZVOVBVCVGUCVBVCVGUDVGVBVTVCV
      GVTVFVSBHEVFHSBVJLBVICFBVITUGZBLTUHVDVIUIVEVJLVDVICUJUKULUQUMAHCDEGUNUOVN
      VRAQVMVQHBEBVKVLOBVJNBNTWAUGBOTBVLTUPVQHSVIVDUIVKVPVLOVIVDNCURUSULUTVA $.
  $}

  ${
    $d A j $.  $d F j $.  $d G j $.  $d Z j k $.  $d j ph $.
    climeqf.p $e |- F/ k ph $.
    climeqf.k $e |- F/_ k F $.
    climeqf.n $e |- F/_ k G $.
    climeqf.m $e |- ( ph -> M e. ZZ ) $.
    climeqf.z $e |- Z = ( ZZ>= ` M ) $.
    climeqf.f $e |- ( ph -> F e. V ) $.
    climeqf.g $e |- ( ph -> G e. W ) $.
    climeqf.e $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = ( G ` k ) ) $.
    $( Two functions that are eventually equal to one another have the same
       limit.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    climeqf $p |- ( ph -> ( F ~~> A <-> G ~~> A ) ) $=
      ( vj cfv wceq cv wcel wa nfv nfan nfcv nffv nfeq nfim eleq1w anbi2d fveq2
      wi eqeq12d imbi12d chvarfv climeq ) ABRDEFGHINOPMACUAZIUBZUCZURDSZURESZTZ
      UMARUAZIUBZUCZVDDSZVDESZTZUMCRVFVICAVECJVECUDUECVGVHCVDDKCVDUFZUGCVDELVJU
      GUHUIURVDTZUTVFVCVIVKUSVEACRIUJUKVKVAVGVBVHURVDDULURVDEULUNUOQUPUQ $.
  $}

  ${
    $d A j k $.  $d B j $.  $d C j k $.  $d D j $.  $d U k $.  $d Z j k $.
    $d j ph $.
    climeldmeqmpt3.k $e |- F/ k ph $.
    climeldmeqmpt3.m $e |- ( ph -> M e. ZZ ) $.
    climeldmeqmpt3.z $e |- Z = ( ZZ>= ` M ) $.
    climeldmeqmpt3.a $e |- ( ph -> A e. V ) $.
    climeldmeqmpt3.c $e |- ( ph -> C e. W ) $.
    climeldmeqmpt3.i $e |- ( ph -> Z C_ A ) $.
    climeldmeqmpt3.s $e |- ( ph -> Z C_ C ) $.
    climeldmeqmpt3.b $e |- ( ( ph /\ k e. Z ) -> B e. U ) $.
    climeldmeqmpt3.e $e |- ( ( ph /\ k e. Z ) -> B = D ) $.
    $( Two functions that are eventually equal, either both are convergent or
       both are divergent.  TODO: this is more general than ~ climeldmeqmpt and
       should replace it.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    climeldmeqmpt3 $p |- ( ph -> ( ( k e. A |-> B ) e. dom ~~> <-> ( k e. C |->
       D ) e. dom ~~> ) ) $=
      ( vj cmpt cvv mptexd cv wcel wa csb cfv wceq nfv nfan nfcsb1v nfcv nfcsb1
      nfeq nfim eleq1w anbi2d csbeq1a eqeq12d imbi12d sselda nfel eleq1d fvmptf
      wi chvarfv eqid syl2anc eqeltrrd 3eqtr4d climeldmeq ) AUAGBCUBZGDEUBZHUCU
      CKNAGBCIOUDAGDEJPUDMAUAUEZKUFZUGZGVPCUHZGVPEUHZVPVNUIZVPVOUIZAGUEZKUFZUGZ
      CEUJZVGVRVSVTUJZVGGUAVRWGGAVQGLVQGUKULZGVSVTGVPCUMZGVPEGVPUNZUOZUPUQWCVPU
      JZWEVRWFWGWLWDVQAGUAKURUSZWLCVSEVTGVPCUTZGVPEUTZVAVBTVHZVRVPBUFVSFUFZWAVS
      UJAKBVPQVCWECFUFZVGVRWQVGGUAVRWQGWHGVSFWIGFUNVDUQWLWEVRWRWQWMWLCVSFWNVEVB
      SVHZGVPCVSBVNFWJGVPCWJUOWNVNVIVFVJVRVPDUFVTFUFWBVTUJAKDVPRVCVRVSVTFWPWSVK
      GVPEVTDVOFWJWKWOVOVIVFVJVLVM $.
  $}

  ${
    limsupcld.1 $e |- ( ph -> F e. V ) $.
    $( Closure of the superior limit.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    limsupcld $p |- ( ph -> ( limsup ` F ) e. RR* ) $=
      ( wcel clsp cfv cxr limsupcl syl ) ABCEBFGHEDBCIJ $.
  $}

  $( The limit of a convergent sequence, expressed as the function value of the
     convergence relation.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
  climfv $p |- ( F ~~> A -> A = ( ~~> ` F ) ) $=
    ( cli wbr cfv wceq id cdm cvv climrel a1i brrelex1 syl2anc brrelex2 breldmg
    wcel wrel syl3anc climdm sylib climuni ) BACDZUBBBCEZCDZAUCFUBGZUBBCHPZUDUB
    BIPZAIPZUBUFUBCQZUBUGUIUBJKZUEBACLMUBUIUBUHUJUEBACNMUEBAIICORBSTAUCBUAM $.
  ${
    $d F k $.
    limsupval3.1 $e |- F/ k ph $.
    limsupval3.2 $e |- ( ph -> A e. V ) $.
    limsupval3.3 $e |- ( ph -> F : A --> RR* ) $.
    limsupval3.4 $e |- G = ( k e. RR |-> sup ( ( F " ( k [,) +oo ) ) , RR* , <
       ) ) $.
    $( The superior limit of an infinite sequence ` F ` of extended real
       numbers.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupval3 $p |- ( ph -> ( limsup ` F ) = inf ( ran G , RR* , < ) ) $=
      ( cr cxr clt csup cmpt crn cinf cvv wcel wceq clsp cfv cpnf cico cima cin
      cv co fexd eqid limsupval syl a1i wss fimassd df-ss eqcomd supeq1d adantr
      sylib mpteq2da eqtr2d rneqd infeq1d eqtrd ) ADUAUBZCKDCUGZUCUDUHZUEZLUFZL
      MNZOZPZLMQZEPZLMQADRSVFVNTABLFDIHUICDVLRVLUJUKULALVMVOMAVLEAECKVILMNZOZVL
      EVQTAJUMACKVPVKGAVPVKTVGKSALVIVJMAVJVIAVILUNVJVITABLDVHIUOVILUPUTUQURUSVA
      VBVCVDVE $.
  $}

  ${
    $d A k $.  $d B k $.  $d Z k $.
    climfveqmpt2.k $e |- F/ k ph $.
    climfveqmpt2.m $e |- ( ph -> M e. ZZ ) $.
    climfveqmpt2.z $e |- Z = ( ZZ>= ` M ) $.
    climfveqmpt2.a $e |- ( ph -> A e. V ) $.
    climfveqmpt2.c $e |- ( ph -> B e. W ) $.
    climfveqmpt2.s $e |- ( ph -> Z C_ A ) $.
    climfveqmpt2.i $e |- ( ph -> Z C_ B ) $.
    climfveqmpt2.b $e |- ( ( ph /\ k e. Z ) -> C e. U ) $.
    $( Two functions that are eventually equal to one another have the same
       limit.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    climfveqmpt2 $p |- ( ph -> ( ~~> ` ( k e. A |-> C ) ) = ( ~~> ` ( k e. B
       |-> C ) ) ) $=
      ( cmpt wcel cvv nfmpt1 mptexd cv wa cfv wceq sselda fvmpt2 syl2anc eqtr4d
      eqid climfveqf ) AFFBDSZFCDSZGUAUAJKFBDUBFCDUBMAFBDHNUCAFCDIOUCLAFUDZJTUE
      ZUPUNUFZDUPUOUFZUQUPBTDETZURDUGAJBUPPUHRFBDEUNUNULUIUJUQUPCTUTUSDUGAJCUPQ
      UHRFCDEUOUOULUIUJUKUM $.
  $}

  $( The superior limit of the empty set.  (Contributed by Glauco Siliprandi,
     23-Oct-2021.) $)
  limsup0 $p |- ( limsup ` (/) ) = -oo $=
    ( vx c0 clsp cfv cr cpnf cico cxr cin clt csup cinf cmnf cvv wcel wceq wtru
    cv co eqtri cima cmpt crn csn 0ex eqid limsupval 0ima ineq1i supeq1i xrsup0
    ax-mp 0in mpteq2i wne a1i rnmptc mptru infeq1i wor xrltso mnfxr infsn mp2an
    ren0 3eqtri ) BCDZAEBARFGSZUAZHIZHJKZUBZUCZHJLZMUDZHJLZMBNOVGVNPUEABVLNVLUF
    UGULHVMVOJVMVOPQAEMVLAEVKMVKBHJKMHVJBJVJBHIBVIBHVHUHUIHUMTUJUKTUNEBUOQVEUPU
    QURUSHJUTMHOVPMPVAVBHMJVCVDVF $.
  ${
    $d A k $.  $d B k $.  $d Z k $.
    climeldmeqmpt2.k $e |- F/ k ph $.
    climeldmeqmpt2.m $e |- ( ph -> M e. ZZ ) $.
    climeldmeqmpt2.z $e |- Z = ( ZZ>= ` M ) $.
    climeldmeqmpt2.a $e |- ( ph -> A e. W ) $.
    climeldmeqmpt2.t $e |- ( ph -> B e. V ) $.
    climeldmeqmpt2.i $e |- ( ph -> Z C_ A ) $.
    climeldmeqmpt2.l $e |- ( ph -> Z C_ B ) $.
    climeldmeqmpt2.b $e |- ( ( ph /\ k e. Z ) -> C e. U ) $.
    $( Two functions that are eventually equal, either both are convergent or
       both are divergent.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    climeldmeqmpt2 $p |- ( ph -> ( ( k e. A |-> C ) e. dom ~~> <-> ( k e. B
       |-> C ) e. dom ~~> ) ) $=
      ( cmpt wcel cvv nfmpt1 mptexd cv wa cfv wceq sselda fvmpt4 syl2anc eqtr4d
      climeldmeqf ) AFFBDSZFCDSZGUAUAJKFBDUBFCDUBMAFBDINUCAFCDHOUCLAFUDZJTUEZUO
      UMUFZDUOUNUFZUPUOBTDETZUQDUGAJBUOPUHRFBDEUIUJUPUOCTUSURDUGAJCUOQUHRFCDEUI
      UJUKUL $.
  $}

  ${
    $d F k $.
    limsupresre.1 $e |- ( ph -> F e. V ) $.
    $( The supremum limit of a function only depends on the real part of its
       domain.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupresre $p |- ( ph -> ( limsup ` ( F |` RR ) ) = ( limsup ` F ) ) $=
      ( vk cr cpnf cima cxr cin clt csup cmpt crn cinf clsp cfv wceq wcel syl
      cres cv cico co wss id pnfxr a1i icossre syl2anc resima2 supeq1d mpteq2ia
      ineq1d rneqd infeq1d cvv resexd eqid limsupval 3eqtr4d ) AEFBFUAZEUBZGUCU
      DZHZIJZIKLZMZNZIKOZEFBVDHZIJZIKLZMZNZIKOZVBPQZBPQZAIVIVOKAVHVNVHVNRAEFVGV
      MVCFSZIVFVLKVSVEVKIVSVDFUEZVEVKRVSVSGISZVTVSUFWAVSUGUHVCGUIUJBVDFUKTUNULU
      MUHUOUPAVBUQSVQVJRABFCDUREVBVHUQVHUSUTTABCSVRVPRDEBVNCVNUSUTTVA $.
  $}

  ${
    $d A x $.  $d B x $.  $d Z x $.
    climeqmpt.x $e |- F/ x ph $.
    climeqmpt.a $e |- ( ph -> A e. V ) $.
    climeqmpt.b $e |- ( ph -> B e. W ) $.
    climeqmpt.m $e |- ( ph -> M e. ZZ ) $.
    climeqmpt.z $e |- Z = ( ZZ>= ` M ) $.
    climeqmpt.s $e |- ( ph -> Z C_ A ) $.
    climeqmpt.t $e |- ( ph -> Z C_ B ) $.
    climeqmpt.c $e |- ( ( ph /\ x e. Z ) -> C e. U ) $.
    $( Two functions that are eventually equal to one another have the same
       limit.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    climeqmpt $p |- ( ph -> ( ( x e. A |-> C ) ~~> D <-> ( x e. B |-> C ) ~~> D
       ) ) $=
      ( wcel cmpt cvv nfmpt1 mptexd cv wa cfv wceq wss adantr simpr sseldd eqid
      fvmpt2 syl2anc eqcomd eqtrd climeqf ) AFBBCEUAZBDEUAZHUBUBKLBCEUCBDEUCOPA
      BCEIMUDABDEJNUDABUEZKTZUFZVAUSUGZEVAUTUGZVCVACTEGTZVDEUHVCKCVAAKCUIVBQUJA
      VBUKZULSBCEGUSUSUMUNUOVCVEEVCVADTVFVEEUHVCKDVAAKDUIVBRUJVGULSBDEGUTUTUMUN
      UOUPUQUR $.
  $}

  ${
    climfvd.1 $e |- ( ph -> F ~~> A ) $.
    $( The limit of a convergent sequence, expressed as the function value of
       the convergence relation.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    climfvd $p |- ( ph -> A = ( ~~> ` F ) ) $=
      ( cli wbr cfv wceq climfv syl ) ACBEFBCEGHDBCIJ $.
  $}

  ${
    $d F k $.  $d K k $.  $d k ph $.
    limsuplesup.1 $e |- ( ph -> F e. V ) $.
    limsuplesup.2 $e |- ( ph -> K e. RR ) $.
    $( An upper bound for the superior limit.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    limsuplesup $p |- ( ph -> ( limsup ` F ) <_ sup ( ( ( F " ( K [,) +oo ) )
       i^i RR* ) , RR* , < ) ) $=
      ( vk cr cpnf cico co cima cxr cin clt csup wcel wceq wss inss2 cfv cv crn
      clsp cmpt cinf cle limsupval syl nfv wa a1i supxrcld oveq1 imaeq2d ineq1d
      eqid supeq1d infxrlbrnmpt2 eqbrtrd ) ABUDUAZGHBGUBZIJKZLZMNZMOPZUEZUCMOUF
      ZBCIJKZLZMNZMOPZUGABDQVAVHREGBVGDVGUQUHUIAGHVFCVLAGUJAVBHQUKZVEVEMSVMVDMT
      ULUMFAVKVKMSAVJMTULUMVBCRZMVEVKOVNVDVJMVNVCVIBVBCIJUNUOUPURUSUT $.
  $}

  ${
    $d F k $.  $d Z k y $.  $d k ph y $.
    limsupresico.1 $e |- ( ph -> M e. RR ) $.
    limsupresico.2 $e |- Z = ( M [,) +oo ) $.
    limsupresico.3 $e |- ( ph -> F e. V ) $.
    $( The superior limit doesn't change when a function is restricted to the
       upper part of the reals.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    limsupresico $p |- ( ph -> ( limsup ` ( F |` Z ) ) = ( limsup ` F ) ) $=
      ( vk cr cpnf cima cxr clt csup cmpt wcel wceq a1i adantr vy cres cico cin
      cv co cinf clsp cfv crn wa wss rexrd ad2antrr pnfxr ressxr icossre eleq2i
      syl2anc biimpi adantl sseldd simpr elicore sselid cle wbr icogelbd ltpnfd
      letrd elicod eleqtrrdi ssd resima2 ineq1d supeq1d mpteq2dva rneqd mptima2
      syl eqsstrid 3eqtr4d infeq1d eqid resexd supeq1i renepnfd icopnfsup eqtrd
      cvv wne limsupval2 ) AIJBEUBZIUEZKUCUFZLZMUDZMNOZPZELZMNUGIJBWOLZMUDZMNOZ
      PZELZMNUGWMUHUIBUHUIAMWTXENAIEWRPZUJIEXCPZUJWTXEAXFXGAIEWRXCAWNEQZUKZMWQX
      BNXIWPXAMXIWOEULWPXARXIUAWOEXIUAUEZWOQZUKZXJCKUCUFZEXLCKXJACMQZXHXKACFUMZ
      UNKMQZXLUOSZXLJMXJUPXLWNJQZXKXJJQXIXRXKXIXMJWNAXMJULZXHACJQZXPXSFXPAUOSCK
      UQUSZTXHWNXMQZAXHYBEXMWNGURUTVAZVBTZXIXKVCZWNKXJVDUSZVEXLCWNXJAXTXHXKFUNY
      DYFXICWNVFVGXKXICKWNAXNXHXOTXPXIUOSYCVHTXLWNKXJXLJMWNUPYDVEXQYEVHVJXLXJYF
      VIVKGVLVMBWOEVNVTVOVPVQVRAIJWREAEXMJGYAWAZVSAIJXCEYGVSWBWCAEIWMWSWJWSWDAB
      EDHWEYGAEMNOZXMMNOZKYHYIRAMEXMNGWFSAXNCKWKYIKRXOACFWGCWHUSWIZWLAEIBXDDXDW
      DHYGYJWLWB $.
  $}

  ${
    $d F j k x y $.  $d j k ph x $.
    limsuppnfdlem.a $e |- ( ph -> A C_ RR ) $.
    limsuppnfdlem.f $e |- ( ph -> F : A --> RR* ) $.
    limsuppnfdlem.u $e |- ( ph -> A. x e. RR A. k e. RR E. j e. A ( k <_ j /\ x
       <_ ( F ` j ) ) ) $.
    limsuppnfdlem.g $e |- G = ( k e. RR |-> sup ( ( ( F " ( k [,) +oo ) ) i^i
       RR* ) , RR* , < ) ) $.
    $( If the restriction of a function to every upper interval is unbounded
       above, its ` limsup ` is ` +oo ` .  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    limsuppnfdlem $p |- ( ph -> ( limsup ` F ) = +oo ) $=
      ( vy cxr clt cpnf cvv wcel wceq cr wa clsp cfv crn cinf csn reex a1i fexd
      ssexd limsupval syl cmpt cv cico cima cin csup cle wbr wrex wral wfun cdm
      ffund adantr simpr fdmd eleqtrrd jca ad4ant13 simpllr rexrd ssrexr sselda
      pnfxr ltpnfd elicod funfvima sylc ffvelrnda elind adantllr adantrr simprr
      co breq2 rspcev syl2anc r19.21bi an32s r19.29a ralrimiva wss wb supxrunb3
      inss2 mp1i mpbid mpteq2dva syl5eq rneqd eqid c0 ren0 rnmptc eqtrd infeq1d
      wne wor xrltso infsn mp2an 3eqtrd ) AFUAUBZGUCZMNUDZOUEZMNUDZOAFPQXNXPRAC
      MPFIACSPSPQAUFUGHUIUHEFGPKUJUKAMXOXQNAXOESOULZUCXQAGXSAGESFEUMZOUNWEZUOZM
      UPZMNUQZULXSKAESYDOAXTSQZTZBUMZLUMZURUSZLYCUTZBSVAZYDORZYFYJBSYFYGSQZTZXT
      DUMZURUSZYGYOFUBZURUSZTZYJDCYNYOCQZTZYSTYQYCQZYRYJUUAYPUUBYRYFYTYPUUBYMYF
      YTTZYPTZYBMYQUUDFVBZYOFVCZQZTZYOYAQYQYBQAYTUUHYEYPAYTTZUUEUUGAUUEYTACMFIV
      DVEUUIYOCUUFAYTVFAUUFCRYTACMFIVGVEVHVIVJUUDXTOYOUUDXTAYEYTYPVKVLOMQZUUDVO
      UGAYTYOMQYEYPACMYOACHVMVNVJUUCYPVFAYTYOONUSYEYPUUIYOACSYOHVNVPVJVQYAYOFVR
      VSAYTYQMQYEYPACMYOFIVTVJWAWBWCUUAYPYRWDYIYRLYQYCYHYQYGURWFWGWHAYMYEYSDCUT
      ZAYMTUUKESAUUKESVABSJWIWIWJWKWLYCMWMYKYLWNYFYBMWPBLYCWOWQWRWSWTXAAESOXSXS
      XBSXCXHAXDUGXEXFXGXRORZAMNXIUUJUULXJVOMONXKXLUGXM $.
  $}

  ${
    $d A i j k l x y $.  $d F i k l x y $.  $d i l ph y $.
    limsuppnfd.j $e |- F/_ j F $.
    limsuppnfd.a $e |- ( ph -> A C_ RR ) $.
    limsuppnfd.f $e |- ( ph -> F : A --> RR* ) $.
    limsuppnfd.u $e |- ( ph -> A. x e. RR A. k e. RR E. j e. A ( k <_ j /\ x <_
       ( F ` j ) ) ) $.
    $( If the restriction of a function to every upper interval is unbounded
       above, its ` limsup ` is ` +oo ` .  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    limsuppnfd $p |- ( ph -> ( limsup ` F ) = +oo ) $=
      ( vy vl vi cr cv cle wbr wa wrex wral cpnf cico co cima cxr cin csup cmpt
      clt cfv wceq breq1 anbi2d rexbidv anbi1d wb nfv nfcv nffv nfbr nfan breq2
      fveq2 breq2d anbi12d cbvrexw a1i bitrd cbvral2vw sylib eqid limsuppnfdlem
      ) AKCLMFMNFMOZUAUBUCUDUEUFUEUIUGUHZHIAEOZDOZPQZBOZVPFUJZPQZRZDCSZENTBNTVM
      LOZPQZKOZWCFUJZPQZRZLCSZMNTKNTJWBWIVQWEVSPQZRZDCSZBEKMNNVRWEUKZWAWKDCWMVT
      WJVQVRWEVSPULUMUNVOVMUKZWLVMVPPQZWJRZDCSZWIWNWKWPDCWNVQWOWJVOVMVPPULUOUNW
      QWIUPWNWPWHDLCWPLUQWDWGDWDDUQDWEWFPDWEURDPURDWCFGDWCURUSUTVAVPWCUKZWOWDWJ
      WGVPWCVMPVBWRVSWFWEPVPWCFVCVDVEVFVGVHVIVJVNVKVL $.
  $}

  ${
    limsupresuz.m $e |- ( ph -> M e. ZZ ) $.
    limsupresuz.z $e |- Z = ( ZZ>= ` M ) $.
    limsupresuz.f $e |- ( ph -> F e. V ) $.
    limsupresuz.d $e |- ( ph -> dom ( F |` RR ) C_ ZZ ) $.
    $( If the real part of the domain of a function is a subset of the
       integers, the superior limit doesn't change when the function is
       restricted to an upper set of integers.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    limsupresuz $p |- ( ph -> ( limsup ` ( F |` Z ) ) = ( limsup ` F ) ) $=
      ( cres cr clsp cfv wceq a1i cz eqcomd cvv resexd eqtrd rescom fveq2i cpnf
      cico co cin wrel cdm wss relssres syl2anc reseq1d uzinico reseq2d 3eqtrrd
      relres resres fveq2d zred eqid limsupresico limsupresre 3eqtr3d ) ABEJZKJ
      ZLMZBKJZLMZVDLMBLMAVFVGEJZLMZVHVFVJNAVEVILBEKUAUBOAVJVGCUCUDUEZJZLMVHAVIV
      LLAVLVGPJZVKJZVGPVKUFZJZVIAVGVMVKAVMVGAVGUGZVGUHPUIVMVGNVQABKUPOIVGPUJUKQ
      ULVNVPNAVGPVKUQOAVOEVGAEVOACEFGUMQUNUOURAVGCRVKACFUSVKUTABKDHSVATTAVDRABE
      DHSVBABDHVBVC $.
  $}

  ${
    $d A j k x $.  $d F k x $.  $d k ph x $.
    limsupub.j $e |- F/ j ph $.
    limsupub.e $e |- F/_ j F $.
    limsupub.a $e |- ( ph -> A C_ RR ) $.
    limsupub.f $e |- ( ph -> F : A --> RR* ) $.
    limsupub.n $e |- ( ph -> ( limsup ` F ) =/= +oo ) $.
    $( If the limsup is not ` +oo ` , then the function is eventually bounded.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupub $p |- ( ph -> E. x e. RR E. k e. RR A. j e. A ( k <_ j -> ( F ` j
       ) <_ x ) ) $=
      ( cv wbr wral cr wrex wn wa cxr wcel cle cfv wi clt clsp cpnf wceq adantr
      wss nfv nfan simprl simpllr rexr ffvelrnda ad4ant13 simpr xrltled adantrl
      wf syl jca reximdai ralimdv ralimdva imp limsuppnfd neneqd pm2.65da imnan
      ex ralbii ralnex bitri rexbii rexnal sylibr ad4ant14 rexrd imbi2d ralbida
      xrlenltd rexbidva mpbird ) AELZDLZUAMZWFFUBZBLZUAMZUCZDCNZEOPZBOPWGWIWHUD
      MZQZUCZDCNZEOPZBOPZAWGWNRZDCPZEONZBONZQZWSAXCFUEUBZUFUGZAXCRBCDEFHACOUIXC
      IUHACSFUTXCJUHAXCWGWIWHUAMZRZDCPZEONZBONAXBXJBOAWIOTZRZXAXIEOXLWTXHDCAXKD
      GXKDUJUKZXLWFCTZWTXHUCXLXNRZWTXHXOWTRWGXGXOWGWNULXOWNXGWGXOWNRZWIWHXPXKWI
      STAXKXNWNUMWIUNVAAXNWHSTZXKWNACSWFFJUOZUPXOWNUQURUSVBVKVKVCVDVEVFVGAXFQXC
      AXEUFKVHUHVIWSXBQZBOPXDWRXSBOWRXAQZEOPXSWQXTEOWQWTQZDCNXTWPYADCWGWNVJVLWT
      DCVMVNVOXAEOVPVNVOXBBOVPVNVQAWMWRBOXLWLWQEOXLWEOTZRZWKWPDCXLYBDXMYBDUJUKY
      CXNRZWJWOWGYDWHWIAXNXQXKYBXRVRYDWIAXKYBXNUMVSWBVTWAWCWCWD $.
  $}

  ${
    $d C k $.  $d F k $.  $d k ph $.
    limsupres.1 $e |- ( ph -> F e. V ) $.
    $( The superior limit of a restriction is less than or equal to the
       original superior limit.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    limsupres $p |- ( ph -> ( limsup ` ( F |` C ) ) <_ ( limsup ` F ) ) $=
      ( vk clsp cfv cle wbr cr cima cxr cin clt csup cmpt crn wcel wss cres nfv
      cv cpnf cico co cinf wa resimass a1i ssrind adantl inss2 supxrcld supxrss
      sstrd syl2anc infrnmptle cvv wceq resexd eqid limsupval breq12d mpbird
      syl ) ACBUAZGHZCGHZIJFKVGFUCZUDUEUFZLZMNZMOPZQZRMOUGZFKCVKLZMNZMOPZQZRMOU
      GZIJAFKVNVSAFUBAVJKSZUHZVMWCVMVRMWBVMVRTZAWBVLVQMVLVQTWBCBVKUIUJUKULZVRMT
      ZWCVQMUMUJZUPUNWCVRWGUNWCWDWFVNVSIJWEWGVMVRUOUQURAVHVPVIWAIAVGUSSVHVPUTAC
      BDEVAFVGVOUSVOVBVCVFACDSVIWAUTEFCVTDVTVBVCVFVDVE $.
  $}

  ${
    $d F k x y $.  $d Z k x y $.  $d k ph x y $.
    climinf2lem.1 $e |- Z = ( ZZ>= ` M ) $.
    climinf2lem.2 $e |- ( ph -> M e. ZZ ) $.
    climinf2lem.3 $e |- ( ph -> F : Z --> RR ) $.
    climinf2lem.4 $e |- ( ( ph /\ k e. Z ) -> ( F ` ( k + 1 ) ) <_ ( F ` k ) )
                     $.
    climinf2lem.5 $e |- ( ph -> E. x e. RR A. k e. Z x <_ ( F ` k ) ) $.
    $( A convergent, nonincreasing sequence, converges to the infimum of its
       range.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    climinf2lem $p |- ( ph -> F ~~> inf ( ran F , RR* , < ) ) $=
      ( vy cr cv cle wrex wcel wa wi ex crn clt cinf cxr cli climinf wss c0 wne
      wbr wral wceq frnd cfv ffnd uzidd2 fnfvelrn syl2anc ne0d simpr wb fvelrnb
      wfn syl adantr mpbid adantlr nfra1 nfan rspa simpl breqtrd adantl rexlimd
      nfv mpd ralrimiva reximdva infxrre syl3anc breqtrrd ) ADDUAZMUBUCZWBUDUBU
      CZUEABCDEFGHIJKUFAWBMUGWBUHUIBNZLNZOUJZLWBUKZBMPZWDWCULAFMDIUMAWBEDUNZADF
      VCZEFQWJWBQAFMDIUOZAEFHGUPFEDUQURUSAWECNZDUNZOUJZCFUKZBMPWIKAWPWHBMAWEMQZ
      RWPWHAWPWHWQAWPRZWGLWBWRWFWBQZRWNWFULZCFPZWGAWSXAWPAWSRWSXAAWSUTAWSXAVAZW
      SAWKXBWLCFWFDVBVDVEVFVGWRXAWGSWSWRWTWGCFAWPCACVOWOCFVHVIWGCVOWPWMFQZWTWGS
      ZSAWPXCXDWPXCRWOXDWOCFVJWOWTWGWOWTRWEWNWFOWOWTVKWOWTUTVLTVDTVMVNVEVPVQVGT
      VRVPBLWBVSVTWA $.
  $}

  ${
    $d F j x y $.  $d Z j k x y $.  $d j ph y $.
    climinf2.k $e |- F/ k ph $.
    climinf2.n $e |- F/_ k F $.
    climinf2.z $e |- Z = ( ZZ>= ` M ) $.
    climinf2.m $e |- ( ph -> M e. ZZ ) $.
    climinf2.f $e |- ( ph -> F : Z --> RR ) $.
    climinf2.l $e |- ( ( ph /\ k e. Z ) -> ( F ` ( k + 1 ) ) <_ ( F ` k ) ) $.
    climinf2.e $e |- ( ph -> E. x e. RR A. k e. Z x <_ ( F ` k ) ) $.
    $( A convergent, nonincreasing sequence, converges to the infimum of its
       range.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    climinf2 $p |- ( ph -> F ~~> inf ( ran F , RR* , < ) ) $=
      ( vy vj cv cfv cle wbr nfcv wcel wa c1 caddc nfv nfan nffv nfbr nfim wceq
      co wi eleq1w anbi2d fvoveq1 fveq2 breq12d imbi12d chvarfv wral wrex breq1
      cr ralbidv wb breq2d cbvralw a1i bitrd cbvrexvw sylib climinf2lem ) ANODE
      FIJKACPZFUAZUBZVMUCUDUKDQZVMDQZRSZULAOPZFUAZUBZVSUCUDUKZDQZVSDQZRSZULCOWA
      WECAVTCGVTCUEUFCWCWDRCWBDHCWBTUGCRTZCVSDHCVSTUGZUHUIVMVSUJZVOWAVRWEWHVNVT
      ACOFUMUNWHVPWCVQWDRVMVSUCDUDUOVMVSDUPZUQURLUSABPZVQRSZCFUTZBVCVANPZWDRSZO
      FUTZNVCVAMWLWOBNVCWJWMUJZWLWMVQRSZCFUTZWOWPWKWQCFWJWMVQRVBVDWRWOVEWPWQWNC
      OFWQOUECWMWDRCWMTWFWGUHWHVQWDWMRWIVFVGVHVIVJVKVL $.
  $}

  ${
    $d F i n $.  $d F k n $.  $d Z i n $.  $d Z k n $.  $d n ph $.
    limsupvaluz.m $e |- ( ph -> M e. ZZ ) $.
    limsupvaluz.z $e |- Z = ( ZZ>= ` M ) $.
    limsupvaluz.f $e |- ( ph -> F : Z --> RR* ) $.
    $( The superior limit, when the domain of the function is a set of upper
       integers (the first condition is needed, otherwise the l.h.s. would be
       ` -oo ` and the r.h.s. would be ` +oo ` ).  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    limsupvaluz $p |- ( ph -> ( limsup ` F ) = inf ( ran ( k e. Z |-> sup ( ran
       ( F |` ( ZZ>= ` k ) ) , RR* , < ) ) , RR* , < ) ) $=
      ( vi vn cfv cxr cin clt csup cmpt cuz crn a1i wceq clsp cr cpnf cico cima
      cv co cinf cres cvv eqid wcel fvexi fexd wss uzssre eqsstri cz limsupval2
      uzsup syl mptima2 oveq1 imaeq2d ineq1d supeq1d cbvmptv wa wf fimass df-ss
      biimpi adantr df-ima cdm wrel freld incom ineq1i eqtri fdmd ineq2d eleq2i
      resindm adantl uzinico2 3eqtr4d reseq2d eqtr3d rneqd 3eqtrd eqtrd infeq1d
      mpteq2dva fveq2 rneqi infeq1i ) ACUAKIUBCIUFZUCUDUGZUEZLMZLNOZPZEUEZLNUHJ
      ECJUFZQKZUIZRZLNOZPZRZLNUHZBECBUFZQKZUIZRZLNOZPZRZLNUHZAEICXCUJXCUKAELUJC
      HEUJULAEDQGUMSUNEUBUOAEDQKZUBGDUPUQSZADURULELNOUCTFDEGUTVAUSALXDXKNAXDIEX
      BPZRXKAIUBXBEYBVBAYCXJAYCJECXEUCUDUGZUEZLMZLNOZPZXJYCYHTAIJEXBYGWRXETZLXA
      YFNYIWTYELYIWSYDCWRXEUCUDVCVDVEVFVGSAJEYGXIAXEEULZVHZLYFXHNYKYFYECYDUIZRZ
      XHAYFYETZYJAYELUOZYNAELCVIYOHELCYDVJVAYOYNYELVKVLVAVMYEYMTYKCYDVNSYKYLXGY
      KCYDCVOZMZUIZYLXGAYRYLTZYJACVPYSAELCHVQCYDWDVAVMYKYQXFCYKYDEMZYAYDMZYQXFY
      TUUATYKYTEYDMUUAYDEVREYAYDGVSVTSAYQYTTYJAYPEYDAELCHWAWBVMYKDXEYJXEYAULZAY
      JUUBEYAXEGWCVLWEWFWGWHWIWJWKVFWNWLWJWLWMXLXTTALXKXSNXJXRJBEXIXQXEXMTZLXHX
      PNUUCXGXOUUCXFXNCXEXMQWOWHWJVFVGWPWQSWK $.
  $}

  ${
    limsupresuz2.1 $e |- ( ph -> M e. ZZ ) $.
    limsupresuz2.2 $e |- Z = ( ZZ>= ` M ) $.
    limsupresuz2.3 $e |- ( ph -> F e. V ) $.
    limsupresuz2.4 $e |- ( ph -> dom F C_ ZZ ) $.
    $( If the domain of a function is a subset of the integers, the superior
       limit doesn't change when the function is restricted to an upper set of
       integers.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupresuz2 $p |- ( ph -> ( limsup ` ( F |` Z ) ) = ( limsup ` F ) ) $=
      ( cr cres cdm cz wss dmresss a1i sstrd limsupresuz ) ABCDEFGHABJKLZBLZMST
      NABJOPIQR $.
  $}

  ${
    $d A j k x $.  $d F k x $.  $d j k ph x $.
    limsuppnflem.j $e |- F/_ j F $.
    limsuppnflem.a $e |- ( ph -> A C_ RR ) $.
    limsuppnflem.f $e |- ( ph -> F : A --> RR* ) $.
    $( If the restriction of a function to every upper interval is unbounded
       above, its ` limsup ` is ` +oo ` .  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    limsuppnflem $p |- ( ph -> ( ( limsup ` F ) = +oo <-> A. x e. RR A. k e. RR
       E. j e. A ( k <_ j /\ x <_ ( F ` j ) ) ) ) $=
      ( cpnf wbr wa wrex cr wral wn wcel cxr adantr cvv clsp cfv wceq cv cle wi
      clt imnan ralbii ralnex bitri rexbii rexnal biimpri w3a simp1 imp 3adant1
      id ffvelrnda ad4ant14 simpllr syl simpr ad4ant13 ad3antlr xrltnled mpbird
      rexr adantllr xrltled syl2anc 3exp ralimdva reximdva syl2an reex a1i fexd
      ssexd limsupcld ad2antrr ad2antlr wss wf limsupbnd1f xrlelttrd rexlimdva2
      pnfxr syldan adantlr eqeltrd xreqnltd adantl condan ex limsuppnfd impbid
      ltpnf ) AFUAUBZJUCZEUDZDUDZUEKZBUDZXCFUBZUEKZLZDCMZENOZBNOZAXAXKAXALZXKWT
      JUGKZAXKPZXMXAAXNXDXFXEUEKZUFZDCOZENMZBNMZXMAAXDXGPZUFZDCOZENMZBNMZXSXNAU
      SYDXNYDXJPZBNMXNYCYEBNYCXIPZENMYEYBYFENYBXHPZDCOYFYAYGDCXDXGUHUIXHDCUJUKU
      LXIENUMUKULXJBNUMUKUNAYDXSAYCXRBNAXENQZLZYBXQENYIXBNQZLZYAXPDCYKXCCQZLZYA
      XDXOYMYAXDUOYMXTXOYMYAXDUPYAXDXTYMYAXDXTYAUSUQURYMXTLXFXEYMXFRQZXTAYLYNYH
      YJACRXCFIUTZVASYMXERQZXTYMYHYPAYHYJYLVBXEVIZVCSYIYLXTXFXEUGKZYJYIYLLZXTLZ
      YRXTYSXTVDYTXFXEAYLYNYHXTYOVEYHYPAYLXTYQVFVGVHVJVKVLVMVNVOVOUQVPAXSXMAXRX
      MBNYIXRLZWTXEJAWTRQYHXRAFTACRTFIACNTNTQAVQVRHVTVSWAWBYHYPAXRYQWCZJRQZUUAW
      IVRUUAXECDEFGACNWDZYHXRHWBACRFWEZYHXRIWBUUBYIXRVDWFYHXEJUGKAXRXEWSWCWGWHU
      QWJWKXLXMPZXNXAUUFAXAWTJXAWTJRXAUSZUUCXAWIVRWLUUGWMWNSWOWPAXKXAAXKLBCDEFG
      AUUDXKHSAUUEXKISAXKVDWQWPWR $.
  $}

  ${
    $d A i j k l x y $.  $d F i k l x y $.  $d i l ph y $.
    limsuppnf.j $e |- F/_ j F $.
    limsuppnf.a $e |- ( ph -> A C_ RR ) $.
    limsuppnf.f $e |- ( ph -> F : A --> RR* ) $.
    $( If the restriction of a function to every upper interval is unbounded
       above, its ` limsup ` is ` +oo ` .  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    limsuppnf $p |- ( ph -> ( ( limsup ` F ) = +oo <-> A. x e. RR A. k e. RR E.
       j e. A ( k <_ j /\ x <_ ( F ` j ) ) ) ) $=
      ( vi vl vy wceq cv cle wbr wa wrex cr wral clsp cpnf nfcv limsuppnflem wb
      cfv breq1 anbi1d rexbidv nfv nffv nfbr breq2 fveq2 breq2d anbi12d cbvrexw
      nfan a1i bitrd cbvralvw anbi2d ralbidv ) AFUAUFUBMJNZKNZOPZLNZVEFUFZOPZQZ
      KCRZJSTZLSTZENZDNZOPZBNZVOFUFZOPZQZDCRZESTZBSTZALCKJFKFUCHIUDVMWCUEAVLWBL
      BSVGVQMZVLVPVGVROPZQZDCRZESTZWBVLWHUEWDVKWGJESVDVNMZVKVNVEOPZVIQZKCRZWGWI
      VJWKKCWIVFWJVIVDVNVEOUGUHUIWLWGUEWIWKWFKDCWJVIDWJDUJDVGVHODVGUCDOUCDVEFGD
      VEUCUKULURWFKUJVEVOMZWJVPVIWEVEVOVNOUMWMVHVRVGOVEVOFUNUOUPUQUSUTVAUSWDWGW
      AESWDWFVTDCWDWEVSVPVGVQVROUGVBUIVCUTVAUSUT $.
  $}

  ${
    $d F b $.  $d F x $.  $d M b j $.  $d N b j $.  $d X x $.  $d Z x $.
    $d b ph $.  $d j x $.
    limsupubuzlem.j $e |- F/ j ph $.
    limsupubuzlem.e $e |- F/_ j X $.
    limsupubuzlem.m $e |- ( ph -> M e. ZZ ) $.
    limsupubuzlem.z $e |- Z = ( ZZ>= ` M ) $.
    limsupubuzlem.f $e |- ( ph -> F : Z --> RR ) $.
    limsupubuzlem.y $e |- ( ph -> Y e. RR ) $.
    limsupubuzlem.k $e |- ( ph -> K e. RR ) $.
    limsupubuzlem.b $e |- ( ph -> A. j e. Z ( K <_ j -> ( F ` j ) <_ Y ) ) $.
    limsupubuzlem.n $e |- N = if ( ( |^ ` K ) <_ M , M , ( |^ ` K ) ) $.
    limsupubuzlem.w $e |- W = sup ( ran ( j e. ( M ... N ) |-> ( F ` j ) ) , RR
       , < ) $.
    limsupubuzlem.x $e |- X = if ( W <_ Y , Y , W ) $.
    $( If the limsup is not ` +oo ` , then the function is bounded.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupubuzlem $p |- ( ph -> E. x e. RR A. j e. Z ( F ` j ) <_ x ) $=
      ( vb cr wcel cfv cle wbr wral wrex cif cfz cmpt crn clt csup wceq a1i wor
      cv co ltso fzfid cuz eqid cceil cz ceilcl ifcld eqeltrd zred max2 syl2anc
      syl eqcomd breqtrd eluzd eluzfz2 ne0d wa wf adantr elfzelz adantl elfzle1
      eleqtrrdi ffvelrnd fisupclrnmpt eqeltrid ffvelrnda ad2antrr simpll eleq2i
      eluzelz2 ad2antlr biimpi eluzle simpr fimaxre4 suprubrnmpt breqtrrdi max1
      elfzd letrd wn uzssre eqsstri sseli sselid ceilge ltnled lelttrd ltled wi
      mpbird r19.21bi mpd syldan pm2.61dan ex ralrimi nfv nfcv nfeq breq2 rspce
      ralbid ) AIUDUEZCUTZDUFZIUGUHZCKUIZYJBUTZUGUHZCKUIZBUDUJAIHJUGUHZJHUKZUDU
      BAYPJHUDQAHCFGULVAZYJUMUNUDUOUPZUDHYSUQAUAURACUDYRYJUOLUDUOUSAVBURAFGVCZA
      YRGAGFVDUFZUEGYRUEAFGUUAUUAVEZNAGEVFUFZFUGUHZFUUCUKZVGGUUEUQATURZAUUDFUUC
      VGNAEUDUEZUUCVGUEREVHVNZVIVJZAFUUEGUGAUUCUDUEZFUDUEZFUUEUGUHAUUCUUHVKZAFN
      VKZUUCFVLVMAGUUEUUFVOZVPVQZFGVRVNVSAYIYRUEZVTZKUDYIDAKUDDWAUUPPWBUUQYIUUA
      KUUQFYIUUAUUBAFVGUEZUUPNWBUUPYIVGUEZAYIFGWCWDUUPFYIUGUHZAYIFGWEWDVQOWFWGZ
      WHVJZVIWIZAYKCKLAYIKUEZYKAUVDVTZYIGUGUHZYKUVEUVFVTZYJHIUVEYJUDUEZUVFAKUDY
      IDPWJZWBAHUDUEZUVDUVFUVBWKAYHUVDUVFUVCWKUVGAUUPYJHUGUHAUVDUVFWLUVGYIFGAUU
      RUVDUVFNWKAGVGUEUVDUVFUUIWKUVDUUSAUVFFYIKOWNWOUVDUUTAUVFUVDYIUUAUEZUUTUVD
      UVKKUUAYIOWMWPFYIWQVNWOUVEUVFWRXCUUQYJYSHUGACUCYRYJLUVAACUCYRYJLYTUVAWSWT
      UAXAVMAHIUGUHUVDUVFAHYQIUGAUVJJUDUEZHYQUGUHUVBQHJXBVMUBXAWKXDUVEUVFXEZEYI
      UGUHZYKUVEUVMVTZEYIAUUGUVDUVMRWKZUVDYIUDUEAUVMKUDYIKUUAUDOFXFZXGXHWOZUVOE
      GYIUVPAGUDUEUVDUVMAUUAUDGUVQUUOXIZWKZUVRAEGUGUHUVDUVMAEUUCGRUULUVSAUUGEUU
      CUGUHREXJVNAUUCUUEGUGAUUJUUKUUCUUEUGUHUULUUMUUCFXBVMUUNVPXDWKUVOGYIUOUHUV
      MUVEUVMWRUVOGYIUVTUVRXKXOXLXMUVEUVNVTZYJJIUVEUVHUVNUVIWBAUVLUVDUVNQWKAYHU
      VDUVNUVCWKUWAUVNYJJUGUHZUVEUVNWRUVEUVNUWBXNZUVNAUWCCKSXPWBXQAJIUGUHUVDUVN
      AJYQIUGAUVJUVLJYQUGUHUVBQHJVLVMUBXAWKXDXRXSXTYAYOYLBIUDYLBYBYMIUQYNYKCKCY
      MICYMYCMYDYMIYJUGYEYGYFVM $.
  $}

  ${
    $d F i k l y $.  $d F k l x y $.  $d M k l x y $.  $d Z i k l y $.
    $d Z j l x $.  $d k l ph y $.
    limsupubuz.j $e |- F/_ j F $.
    limsupubuz.z $e |- Z = ( ZZ>= ` M ) $.
    limsupubuz.f $e |- ( ph -> F : Z --> RR ) $.
    limsupubuz.n $e |- ( ph -> ( limsup ` F ) =/= +oo ) $.
    $( For a real-valued function on a set of upper integers, if the superior
       limit is not ` +oo ` , then the function is bounded above.  (Contributed
       by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupubuz $p |- ( ph -> E. x e. RR A. j e. Z ( F ` j ) <_ x ) $=
      ( vl vk cv cfv cle wbr wral cr nfv nfcv vy vi wrex cz wcel wss cuz uzssre
      wa eqsstri a1i frexr limsupub adantr cceil cif cfz cmpt crn clt csup nfan
      wi co nfra1 nfmpt1 nfrn nfsup nfbr nfif wceq breq2 fveq2 imbi12d cbvralvw
      breq1d biimpi adantl simp-4r syldan wf ad4antr simpllr simplr biimpri syl
      eqid limsupubuzlem rexlimdva2 rexlimdva mpd wn c0 uz0 eqtrd cc0 0red rzal
      brralrspcev syl2anc pm2.61dan nffv cbvralw rexbii sylib ) AKMZDNZBMZOPZKF
      QZBRUCZCMZDNZXHOPZCFQZBRUCAEUDUEZXKAXPUIZLMZXFOPZXGUAMZOPZVCZKFQZLRUCZUAR
      UCZXKAYEXPAUAFKLDAKSZKDTFRUFAFEUGNZRHEUHUJUKAFDIULJUMUNXQYDXKUARXQXTRUEZU
      IZYCXKLRYIXRRUEZUIZYCUIZBKDXREXRUONZEOPEYMUPZKEYNUQVDZXGURZUSZRUTVAZYRXTO
      PZXTYRUPZXTFYKYCKYIYJKXQYHKAXPKYFXPKSVBYHKSVBYJKSVBYBKFVEVBYSKXTYRKYRXTOK
      YQRUTKYPKYOXGVFVGKRTKUTTVHZKOTKXTTZVIUUBUUAVJYKYCXRUBMZOPZUUCDNZXTOPZVCZU
      BFQZXPYCUUHYKYCUUHYBUUGKUBFXFUUCVKZXSUUDYAUUFXFUUCXROVLUUIXGUUEXTOXFUUCDV
      MVPVNVOZVQVRZAXPYHYJUUHVSVTHYKYCUUHFRDWAZUUKAUULXPYHYJUUHIWBVTYKYCUUHYHUU
      KXQYHYJUUHWCVTYKYCUUHYJUUKYIYJUUHWDVTYLUUHYCUUKYCUUHUUJWEWFYNWGYRWGYTWGWH
      WIWJWKXPWLZXKAUUMFWMVKZXKUUMFYGWMFYGVKUUMHUKEWNWOUUNWPRUEXGWPOPZKFQXKUUNW
      QUUOKFWRBKXGWPORFWSWTWFVRXAXJXOBRXIXNKCFCXGXHOCXFDGCXFTXBCOTCXHTVIXNKSXFX
      LVKXGXMXHOXFXLDVMVPXCXDXE $.
  $}

  ${
    $d B i j $.  $d B i x $.  $d C k $.  $d M i x $.  $d Z i j k $.
    $d Z i k x $.  $d i ph $.
    climinf2mpt.p $e |- F/ k ph $.
    climinf2mpt.j $e |- F/ j ph $.
    climinf2mpt.m $e |- ( ph -> M e. ZZ ) $.
    climinf2mpt.z $e |- Z = ( ZZ>= ` M ) $.
    climinf2mpt.b $e |- ( ( ph /\ k e. Z ) -> B e. RR ) $.
    climinf2mpt.c $e |- ( k = j -> B = C ) $.
    climinf2mpt.l $e |- ( ( ph /\ k e. Z /\ j = ( k + 1 ) ) -> C <_ B ) $.
    climinf2mpt.e $e |- ( ph -> ( k e. Z |-> B ) e. dom ~~> ) $.
    $( A bounded below, monotonic nonincreasing sequence converges to the
       infimum of its range.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    climinf2mpt $p |- ( ph -> ( k e. Z |-> B ) ~~> inf ( ran ( k e. Z |-> B ) ,
       RR* , < ) ) $=
      ( vi cr wcel cle wceq vx cmpt nfv nfcv fmptd2f cv wa c1 caddc cfv wbr csb
      co nfan nfim eleq1 anbi2d oveq1 csbeq1d eqidd csbcow csbid eqtr2i cbvcsbw
      eqtri csbeq2i a1i csbeq1 3eqtrd breq12d imbi12d simpl simpr nf3an nfcsb1v
      wi w3a nfbr eqeq1 3anbi3d csbeq1a breq1d vtoclf syl3anc chvarfv peano2uzs
      ovex mpbird adantl nfcsb1 nfel1 eleq1d sylan2 eqid syl2anc nfel wral wrex
      fvmptf cabs cz cli cdm cc recnd ralrimiva climbddf rexabsle2 mpbid simprd
      eqeltrd climinf2 ) AUAPEGBUBZFGAPUCZPXMUDZKJAEGBQHLUEAPUFZGRZUGZXPUHUIUMZ
      XMUJZXPXMUJZSUKEXSBULZDXPCULZSUKZXRYDDXSCULZYCSUKZAEUFZGRZUGZDYGUHUIUMZCU
      LZBSUKZVPXRYFVPEPXRYFEAXQEHXQEUCUNYFEUCUOYGXPTZYIXRYLYFYMYHXQAYGXPGUPUQYM
      YKYEBYCSYMDYJXSCYGXPUHUIURUSYMBBDYGCULZYCYMBUTBYNTYMBDYGEDUFZBULZULZYNYQE
      YGBULBEDYGBVAEBVBVCDYGYPCYPDYOCULCEDYOBCDBUDZECUDZMVDDCVBVEVFVEVGDYGXPCVH
      VIZVJVKYIAYHYJYJTZYLAYHVLAYHVMYIYJUTAYHYOYJTZVQZCBSUKZVPAYHUUAVQZYLVPDYJU
      UEYLDAYHUUADIYHDUCUUADUCVNDYKBSDYJCVODSUDYRVRUOYGUHUIWGUUBUUCUUEUUDYLUUBU
      UBUUAAYHYOYJYJVSVTUUBCYKBSDYJCWAWBVKNWCWDWEXRYBYEYCYCSYBYETXREDXSBCYRYSMV
      DVGXRYCUTVJWHXRXTYBYAYCSXRXSGRZYBQRZXTYBTXQUUFAFXPGKWFZWIXQAUUFUUGUUHYIBQ
      RZVPZAUUFUGZUUGVPEXSUUKUUGEAUUFEHUUFEUCUNEYBQEXSBEXSUDZWJZWKUOXPUHUIWGYGX
      STZYIUUKUUIUUGUUNYHUUFAYGXSGUPUQUUNBYBQEXSBWAZWLVKLWCWMEXSBYBGXMQUULUUMUU
      OXMWNZWSWOXRXQYCQRZYAYCTAXQVMAYOGRZUGZCQRZVPZXRUUQVPDPXRUUQDAXQDIXQDUCUND
      YCQDXPCVODQUDWPUOYOXPTZUUSXRUUTUUQUVBUURXQAYOXPGUPUQUVBCYCQDXPCWAWLVKUUJU
      VAEDUUSUUTEAUUREHUUREUCUNUUTEUCUOYGYOTZYIUUSUUIUUTUVCYHUURAYGYOGUPUQUVCBC
      QMWLVKLWEWEZEXPBYCGXMQEXPUDEYCUDYTUUPWSWOZVJWHAYAUAUFZSUKPGWQUAQWRZUVFYAS
      UKPGWQUAQWRZAYAWTUJUVFSUKPGWQUAQWRZUVGUVHUGAFXARXMXBXCRYAXDRZPGWQUVIJOAUV
      JPGXRYAXRYAYCQUVEUVDXKZXEXFUAPXMFGXOKXGWDAPUAGYAXNUVKXHXIXJXL $.
  $}

  ${
    $d B i j $.  $d B x y $.  $d C k $.  $d Z i j k $.  $d Z k x y $.
    $d i ph y $.
    climinfmpt.p $e |- F/ k ph $.
    climinfmpt.j $e |- F/ j ph $.
    climinfmpt.m $e |- ( ph -> M e. ZZ ) $.
    climinfmpt.z $e |- Z = ( ZZ>= ` M ) $.
    climinfmpt.b $e |- ( ( ph /\ k e. Z ) -> B e. RR ) $.
    climinfmpt.c $e |- ( k = j -> B = C ) $.
    climinfmpt.l $e |- ( ( ph /\ k e. Z /\ j = ( k + 1 ) ) -> C <_ B ) $.
    climinfmpt.e $e |- ( ph -> E. x e. RR A. k e. Z x <_ B ) $.
    $( A bounded below, monotonic nonincreasing sequence converges to the
       infimum of its range.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    climinfmpt $p |- ( ph -> ( k e. Z |-> B ) ~~> inf ( ran ( k e. Z |-> B ) ,
       RR* , < ) ) $=
      ( nfv cr cle wceq vy vi cmpt nfcv fmptd2f cv wcel wa c1 caddc cfv wbr csb
      co nfan nfim eleq1 anbi2d oveq1 csbeq1d eqidd csbcow csbid eqtr2i cbvcsbw
      eqtri csbeq2i a1i csbeq1 3eqtrd breq12d imbi12d simpl simpr nf3an nfcsb1v
      wi w3a nfbr eqeq1 3anbi3d csbeq1a breq1d vtoclf syl3anc chvarfv peano2uzs
      ovex mpbird adantl nfcsb1 nfel1 eleq1d sylan2 eqid syl2anc nfel wral wrex
      fvmptf breq1 ralbidv cbvrexvw sylib wb nfmpt1 nffv breq2d cbvralw fvmpt2d
      fveq2 ralbida bitrd rexbidv climinf2 ) AUAUBFHCUCZGHAUBQUBXPUDLKAFHCRIMUE
      AUBUFZHUGZUHZXQUIUJUNZXPUKZXQXPUKZSULFXTCUMZEXQDUMZSULZXSYEEXTDUMZYDSULZA
      FUFZHUGZUHZEYHUIUJUNZDUMZCSULZVQXSYGVQFUBXSYGFAXRFIXRFQUOYGFQUPYHXQTZYJXS
      YMYGYNYIXRAYHXQHUQURYNYLYFCYDSYNEYKXTDYHXQUIUJUSUTYNCCEYHDUMZYDYNCVACYOTY
      NCEYHFEUFZCUMZUMZYOYRFYHCUMCFEYHCVBFCVCVDEYHYQDYQEYPDUMDFEYPCDECUDZFDUDZN
      VEEDVCVFVGVFVHEYHXQDVIVJZVKVLYJAYIYKYKTZYMAYIVMAYIVNYJYKVAAYIYPYKTZVRZDCS
      ULZVQAYIUUBVRZYMVQEYKUUFYMEAYIUUBEJYIEQUUBEQVOEYLCSEYKDVPESUDYSVSUPYHUIUJ
      WHUUCUUDUUFUUEYMUUCUUCUUBAYIYPYKYKVTWAUUCDYLCSEYKDWBWCVLOWDWEWFXSYCYFYDYD
      SYCYFTXSFEXTCDYSYTNVEVHXSYDVAVKWIXSYAYCYBYDSXSXTHUGZYCRUGZYAYCTXRUUGAGXQH
      LWGZWJXRAUUGUUHUUIYJCRUGZVQZAUUGUHZUUHVQFXTUULUUHFAUUGFIUUGFQUOFYCRFXTCFX
      TUDZWKZWLUPXQUIUJWHYHXTTZYJUULUUJUUHUUOYIUUGAYHXTHUQURUUOCYCRFXTCWBZWMVLM
      WDWNFXTCYCHXPRUUMUUNUUPXPWOZWTWPXSXRYDRUGZYBYDTAXRVNAYPHUGZUHZDRUGZVQZXSU
      URVQEUBXSUUREAXREJXREQUOEYDREXQDVPERUDWQUPYPXQTZUUTXSUVAUURUVCUUSXRAYPXQH
      UQURUVCDYDREXQDWBWMVLUUKUVBFEUUTUVAFAUUSFIUUSFQUOUVAFQUPYHYPTZYJUUTUUJUVA
      UVDYIUUSAYHYPHUQURUVDCDRNWMVLMWFWFFXQCYDHXPRFXQUDZFYDUDUUAUUQWTWPVKWIAUAU
      FZYBSULZUBHWRZUARWSUVFCSULZFHWRZUARWSZABUFZCSULZFHWRZBRWSUVKPUVNUVJBUARUV
      LUVFTUVMUVIFHUVLUVFCSXAXBXCXDAUVHUVJUARAUVHUVFYHXPUKZSULZFHWRZUVJUVHUVQXE
      AUVGUVPUBFHFUVFYBSFUVFUDFSUDFXQXPFHCXFUVEXGVSUVPUBQXQYHTYBUVOUVFSXQYHXPXK
      XHXIVHAUVPUVIFHIYJUVOCUVFSAFHCXPRXPXPTAUUQVHMXJXHXLXMXNWIXO $.
  $}

  ${
    $d F x y $.  $d M k x $.  $d Z k x y $.  $d ph x $.
    climinf3.1 $e |- F/ k ph $.
    climinf3.2 $e |- F/_ k F $.
    climinf3.3 $e |- ( ph -> M e. ZZ ) $.
    climinf3.4 $e |- Z = ( ZZ>= ` M ) $.
    climinf3.5 $e |- ( ph -> F : Z --> RR ) $.
    climinf3.6 $e |- ( ( ph /\ k e. Z ) -> ( F ` ( k + 1 ) ) <_ ( F ` k ) ) $.
    climinf3.7 $e |- ( ph -> F e. dom ~~> ) $.
    $( A convergent, nonincreasing sequence, converges to the infimum of its
       range.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    climinf3 $p |- ( ph -> F ~~> inf ( ran F , RR* , < ) ) $=
      ( vy vx cle wbr wral cr wcel wa cv cfv cabs cz cli cdm cc ffvelrnda recnd
      wrex ralrimia climbddf syl3anc cneg renegcl ad2antlr nfv nfan nfra1 simpr
      simpll rspa adantll ad4ant13 simpllr absled mpbid simpld syl21anc ralrimi
      ex wceq breq1 ralbidv rspcev syl2anc rexlimdva2 mpd climinf2 ) AMBCDEFGIH
      JKABUAZCUBZUCUBNUAZOPZBEQZNRUJZMUAZWAOPZBEQZMRUJZADUDSCUEUFSWAUGSZBEQWEHL
      AWJBEFAVTESZTWAAERVTCJUHZUIUKNBCDEGIULUMAWDWINRAWBRSZTZWDTZWBUNZRSZWPWAOP
      ZBEQZWIWMWQAWDWBUOUPWOWRBEWNWDBAWMBFWMBUQURWCBEUSURWOWKWRWOWKTWNWKWCWRWNW
      DWKVAWOWKUTWDWKWCWNWCBEVBVCWNWKTZWCTZWRWAWBOPZXAWCWRXBTWTWCUTXAWAWBAWKWAR
      SWMWCWLVDAWMWKWCVEVFVGVHVIVKVJWHWSMWPRWFWPVLWGWRBEWFWPWAOVMVNVOVPVQVRVS
      $.
  $}

  ${
    $d B k $.  $d Z j k $.
    limsupvaluzmpt.j $e |- F/ j ph $.
    limsupvaluzmpt.m $e |- ( ph -> M e. ZZ ) $.
    limsupvaluzmpt.z $e |- Z = ( ZZ>= ` M ) $.
    limsupvaluzmpt.b $e |- ( ( ph /\ j e. Z ) -> B e. RR* ) $.
    $( The superior limit, when the domain of the function is a set of upper
       integers (the first condition is needed, otherwise the l.h.s. would be
       ` -oo ` and the r.h.s. would be ` +oo ` ).  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    limsupvaluzmpt $p |- ( ph -> ( limsup ` ( j e. Z |-> B ) ) = inf ( ran ( k
       e. Z |-> sup ( ran ( j e. ( ZZ>= ` k ) |-> B ) , RR* , < ) ) , RR* , < )
       ) $=
      ( cmpt clsp cfv cv crn cxr clt csup cinf rneqd cuz cres fmptd2f wceq wcel
      limsupvaluz uzssd3 resmptd supeq1d mpteq2ia a1i infeq1d eqtrd ) ACFBKZLMD
      FUNDNZUAMZUBZOZPQRZKZOZPQSDFCUPBKZOZPQRZKZOZPQSADUNEFHIACFBPGJUCUFAPVAVFQ
      AUTVEUTVEUDADFUSVDUOFUEZPURVCQVGUQVBVGCFUPBEUOFIUGUHTUIUJUKTULUM $.
  $}

  ${
    $d K j $.
    limsupequzmpt2.j $e |- F/ j ph $.
    limsupequzmpt2.o $e |- F/_ j A $.
    limsupequzmpt2.p $e |- F/_ j B $.
    limsupequzmpt2.a $e |- A = ( ZZ>= ` M ) $.
    limsupequzmpt2.b $e |- B = ( ZZ>= ` N ) $.
    limsupequzmpt2.k $e |- ( ph -> K e. A ) $.
    limsupequzmpt2.e $e |- ( ph -> K e. B ) $.
    limsupequzmpt2.c $e |- ( ( ph /\ j e. ( ZZ>= ` K ) ) -> C e. V ) $.
    $( Two functions that are eventually equal to one another have the same
       superior limit.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupequzmpt2 $p |- ( ph -> ( limsup ` ( j e. A |-> C ) ) = ( limsup ` ( j
       e. B |-> C ) ) ) $=
      ( wcel clsp cfv cvv crab cmpt cuz cres wss wceq cv wa uzssd2 adantr simpr
      wral sseldd elexd jca rabid sylibr ralrimi nfcv nfrab1 dfss3f resmptf syl
      eqcomd fveq2d eluzelz2d eqid fvexi rabexf mptexf a1i cdm dmmptssf ssrab2f
      ex uzssz eqsstri sstri limsupresuz2 eqtr2d eqtr4d mptssid fveq2i 3eqtr4d
      cz ) AEDUARZEBUBZDUCZSTZEWGECUBZDUCZSTZEBDUCZSTZECDUCZSTZAWJEFUDTZDUCZSTZ
      WMAWTWIWRUEZSTWJAWSXASAXAWSAWRWHUFZXAWSUGAEUHZWHRZEWRUMXBAXDEWRJAXCWRRZXD
      AXEUIZXCBRZWGUIXDXFXGWGXFWRBXCAWRBUFXEAGFBMOUJUKAXEULZUNXFDIQUOZUPWGEBUQU
      RVPUSEWRWHEWRUTZWGEBVAZVBUREWHWRDXKXJVCVDVEVFAWIFUAWRAGFBMOVGZWRVHZWIUARA
      EWHDXKWGEBUAKBGUDMVIVJVKVLWIVMZWFUFAXNWHWFEWHDWIXKWIVHVNWHBWFWGEBKVOBGUDT
      WFMGVQVRVSVSVLVTWAAWTWLWRUEZSTWMAWSXOSAXOWSAWRWKUFZXOWSUGAXCWKRZEWRUMXPAX
      QEWRJAXEXQXFXCCRZWGUIXQXFXRWGXFWRCXCAWRCUFXEAHFCNPUJUKXHUNXIUPWGECUQURVPU
      SEWRWKXJWGECVAZVBUREWKWRDXSXJVCVDVEVFAWLFUAWRXLXMWLUARAEWKDXSWGECUALCHUDN
      VIVJVKVLWLVMZWFUFAXTWKWFEWKDWLXSWLVHVNWKCWFWGECLVOCHUDTWFNHVQVRVSVSVLVTWA
      WBWOWJUGAWNWISEBDWHKWHVHWCWDVLWQWMUGAWPWLSECDWKLWKVHWCWDVLWE $.
  $}

  ${
    $d B x y $.  $d M j y $.  $d Z j x y $.  $d ph y $.
    limsupubuzmpt.j $e |- F/ j ph $.
    limsupubuzmpt.z $e |- Z = ( ZZ>= ` M ) $.
    limsupubuzmpt.b $e |- ( ( ph /\ j e. Z ) -> B e. RR ) $.
    limsupubuzmpt.n $e |- ( ph -> ( limsup ` ( j e. Z |-> B ) ) =/= +oo ) $.
    $( If the limsup is not ` +oo ` , then the function is eventually bounded.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupubuzmpt $p |- ( ph -> E. x e. RR A. j e. Z B <_ x ) $=
      ( vy cv cle wbr wral cr wrex cmpt cfv wceq nfmpt1 eqid limsupubuz wcel wa
      fmptdf fvmpt2d breq1d ralbida rexbidv mpbid breq2 ralbidv cbvrexvw sylib
      a1i ) ACKLZMNZDFOZKPQZCBLZMNZDFOZBPQADLZDFCRZSZUQMNZDFOZKPQUTAKDVEEFDFCUA
      HADFCPVEGIVEUBZUFJUCAVHUSKPAVGURDFGAVDFUDUEVFCUQMADFCVEPVEVETAVIUPIUGUHUI
      UJUKUSVCKBPUQVATURVBDFUQVACMULUMUNUO $.
  $}

  ${
    $d A j y $.  $d F j k x y $.  $d j k ph x y $.
    limsupmnflem.a $e |- ( ph -> A C_ RR ) $.
    limsupmnflem.f $e |- ( ph -> F : A --> RR* ) $.
    limsupmnflem.g $e |- G = ( k e. RR |-> sup ( ( F " ( k [,) +oo ) ) , RR* ,
       < ) ) $.
    $( The superior limit of a function is ` -oo ` if and only if every real
       number is the upper bound of the restriction of the function to an upper
       interval of real numbers.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    limsupmnflem $p |- ( ph -> ( ( limsup ` F ) = -oo <-> A. x e. RR E. k e. RR
       A. j e. A ( k <_ j -> ( F ` j ) <_ x ) ) ) $=
      ( vy wceq cr cpnf cxr clt cle wcel a1i wa clsp cfv cmnf cv cico cima csup
      co cmpt crn cinf wbr wrex wral wi cvv reex ssexd limsupval3 rneqi infeq1i
      nfv eqtrd eqeq1d wss fimassd adantr supxrcld infxrunb3rnmpt ressxr sselda
      supxrleub syl2anc wfn ffnd ad3antrrr simplr sseli ad3antlr pnfxr ad4ant13
      wb sseldd simpr ltpnfd elicod fnfvimad adantllr simpllr breq1 adantl4r ex
      rspcva ralrimiva cin nfcv fvelimad ad4ant14 nfra1 elinel2 adantl icogelbd
      nfan adantlr elinel1 rspa syldan adantll id eqcomd simpl eqbrtrd adantlll
      mpd syl rexlimd imp ad2antrr mpbird sylibd impbid bitrd rexbidva ralbidva
      3bitr2d ) AFUAUBZUCLEMFEUDZNUEUHZUFZOPUGZUIZUJZOPUKZUCLYJBUDZQULZEMUMZBMU
      NYGDUDZQULZYQFUBZYNQULZUOZDCUNZEMUMZBMUNAYFYMUCAYFGUJZOPUKZYMACEFGUPAEVBZ
      ACMUPMUPRAUQSHURIJUSUUEYMLAOUUDYLPGYKJUTVASVCVDAEBMYJUUFABVBAYGMRZTZYIAYI
      OVEZUUGACOFYHIVFZVGVHVIAYPUUCBMAYNMRZTZYOUUBEMUULUUGTZYOKUDZYNQULZKYIUNZU
      UBUULYOUUPWBZUUGUULUUIYNORUUQAUUIUUKUUJVGAMOYNMOVEZAVJSVKKYIYNVLVMZVGZUUM
      UUPUUBUUMUUPUUBUUMUUPTZUUADCUVAYQCRZTYRYTAUUKUUGUUPUVBYRYTUUHUUPTUVBTYRTY
      SYIRZUUPYTUUHUVBYRUVCUUPUUHUVBTZYRTZCYQYHFAFCVNZUUGUVBYRACOFIVOZVPUUHUVBY
      RVQUVEYGNYQUUGYGORZAUVBYRMOYGVJVRZVSNORZUVEVTSAUVBYQORUUGYRAUVBTZMOYQUURU
      VKVJSACMYQHVKZWCWAUVDYRWDAUVBYQNPULUUGYRUVKYQUVLWEWAWFWGWHUUHUUPUVBYRWIUU
      OYTKYSYIUUNYSYNQWJWMVMWKWLWNWLUUMUUBYOUUPUUMUUBYOUUMUUBTYOUUPAUUGUUBUUPUU
      KUUHUUBTZUUOKYIUVMUUNYIRZYSUUNLZDCYHWOZUMZUUOAUVNUVQUUGUUBAUVNTDCYHUUNFDF
      WPAUVFUVNUVGVGAUVNWDWQWRUVMUVQUUOUVMUVOUUODUVPUUHUUBDUUHDVBUUADCWSXCUUODV
      BUVMYQUVPRZUVOUUOUOZUUGUUBUVRUVSAUUGUUBTUVRTZYTUVSUVTYRYTUUGUVRYRUUBUUGUV
      RTZYGNYQUUGUVHUVRUVIVGUVJUWAVTSUVRYQYHRUUGYQCYHWTXAXBXDUUBUVRUUAUUGUUBUVR
      UVBUUAUVRUVBUUBYQCYHXEXAUUADCXFXGXHXNYTUVOUUOYTUVOTUUNYSYNQUVOUUNYSLYTUVO
      YSUUNUVOXIXJXAYTUVOXKXLWLXOXMWLXPXQXGWNWHUULUUQUUGUUBUUSXRXSWLUUTXTYAYBYC
      YDYE $.
  $}

  ${
    $d A i j k l x y $.  $d F i k l x y $.  $d i l ph y $.
    limsupmnf.j $e |- F/_ j F $.
    limsupmnf.a $e |- ( ph -> A C_ RR ) $.
    limsupmnf.f $e |- ( ph -> F : A --> RR* ) $.
    $( The superior limit of a function is ` -oo ` if and only if every real
       number is the upper bound of the restriction of the function to an upper
       interval of real numbers.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    limsupmnf $p |- ( ph -> ( ( limsup ` F ) = -oo <-> A. x e. RR E. k e. RR A.
       j e. A ( k <_ j -> ( F ` j ) <_ x ) ) ) $=
      ( vi vl vy cfv wceq cv cle wbr wi wral cr clsp cmnf wrex cpnf cico co cxr
      cima clt csup cmpt eqid limsupmnflem wb breq2 imbi2d ralbidv breq1 imbi1d
      rexbidv nfv nfcv nffv nfbr nfim fveq2 breq1d imbi12d cbvralw a1i cbvrexvw
      bitrd cbvralvw ) AFUAMUBNJOZKOZPQZVOFMZLOZPQZRZKCSZJTUCZLTSZEOZDOZPQZWEFM
      ZBOZPQZRZDCSZETUCZBTSZALCKJFJTFVNUDUEUFUHUGUIUJUKZHIWNULUMWCWMUNAWBWLLBTV
      RWHNZWBVPVQWHPQZRZKCSZJTUCZWLWOWAWRJTWOVTWQKCWOVSWPVPVRWHVQPUOUPUQUTWSWLU
      NWOWRWKJETVNWDNZWRWDVOPQZWPRZKCSZWKWTWQXBKCWTVPXAWPVNWDVOPURUSUQXCWKUNWTX
      BWJKDCXAWPDXADVADVQWHPDVOFGDVOVBVCDPVBDWHVBVDVEWJKVAVOWENZXAWFWPWIVOWEWDP
      UOXDVQWGWHPVOWEFVFVGVHVIVJVLVKVJVLVMVJVL $.
  $}

  ${
    $d F k $.  $d G k $.  $d K k $.  $d M k $.  $d N k $.
    limsupequzlem.1 $e |- F/ k ph $.
    limsupequzlem.2 $e |- ( ph -> M e. ZZ ) $.
    limsupequzlem.4 $e |- ( ph -> F Fn ( ZZ>= ` M ) ) $.
    limsupequzlem.5 $e |- ( ph -> N e. ZZ ) $.
    limsupequzlem.6 $e |- ( ph -> G Fn ( ZZ>= ` N ) ) $.
    limsupequzlem.7 $e |- ( ph -> K e. ZZ ) $.
    limsupequzlem.8 $e |- ( ( ph /\ k e. ( ZZ>= ` K ) ) -> ( F ` k ) = ( G ` k
       ) ) $.
    $( Two functions that are eventually equal to one another have the same
       superior limit.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupequzlem $p |- ( ph -> ( limsup ` F ) = ( limsup ` G ) ) $=
      ( cxr cuz cfv clsp wcel cz ctp clt csup cres wceq cv wral wa eqid eluzelz
      adantr adantl cr zred rexrd zssxr wss tpssi syl3anc wor cfn c0 wne xrltso
      a1i tpfi tpnzd fisupcl syl13anc sseldd sselid eluzelre cle wbr tpid3g syl
      sstrd supxrubd eluzle xrletrd eluzd syldan ralrimia wb tpid1g uzss tpid2g
      wfn fvreseq0 syl22anc mpbird cvv fvexd fnexd cdm fndmd uzssz limsupresuz2
      fveq2d eqsstrdi 3eqtr3d ) ACFGEUAZOUBUCZPQZUDZRQDXDUDZRQCRQDRQAXEXFRAXEXF
      UEZBUFZCQXHDQUEZBXDUGZAXIBXDHAXHXDSZXHEPQZSXIAXKUHZEXHXLXLUIAETSZXKMUKXKX
      HTSAXCXHUJULXMEXCXHXMEAEUMSXKAEMUNUKUOAXCOSXKATOXCUPAXBTXCAFTSZGTSZXNXBTU
      QIKMFGETURUSZAOUBUTZXBVASZXBVBVCXBOUQXCXBSXRAVDVEXSAFGEVFVEAFGETIVGAXBTOX
      QTOUQAUPVEVQZOXBUBVHVIVJZVKUKXMXHXKXHUMSAXCXHVLULUOAEXCVMVNXKAXBEXCXTAXNE
      XBSMETFGVOVPXCUIZVRUKXKXCXHVMVNAXCXHVSULVTWANWBWCACFPQZWHDGPQZWHXDYCUQZXD
      YDUQZXGXJWDJLAXCYCSYEAFXCYCYCUIIYAAXBFXCXTAXOFXBSIFTGEWEVPYBVRWAFXCWFVPAX
      CYDSYFAGXCYDYDUIKYAAXBGXCXTAXPGXBSKGTFEWGVPYBVRWAGXCWFVPBYCXDYDCDWIWJWKWS
      ACXCWLXDYAXDUIZAYCCWLJAFPWMWNACWOYCTAYCCJWPFWQWTWRADXCWLXDYAYGAYDDWLLAGPW
      MWNADWOYDTAYDDLWPGWQWTWRXA $.
  $}

  ${
    $d F j $.  $d G j $.  $d K j k $.  $d M j $.  $d N j $.  $d j ph $.
    limsupequz.1 $e |- F/ k ph $.
    limsupequz.2 $e |- F/_ k F $.
    limsupequz.3 $e |- F/_ k G $.
    limsupequz.4 $e |- ( ph -> M e. ZZ ) $.
    limsupequz.5 $e |- ( ph -> F Fn ( ZZ>= ` M ) ) $.
    limsupequz.6 $e |- ( ph -> N e. ZZ ) $.
    limsupequz.7 $e |- ( ph -> G Fn ( ZZ>= ` N ) ) $.
    limsupequz.8 $e |- ( ph -> K e. ZZ ) $.
    limsupequz.9 $e |- ( ( ph /\ k e. ( ZZ>= ` K ) ) -> ( F ` k ) = ( G ` k ) )
                     $.
    $( Two functions that are eventually equal to one another have the same
       superior limit.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupequz $p |- ( ph -> ( limsup ` F ) = ( limsup ` G ) ) $=
      ( vj nfv cfv wceq cv cuz wcel wa wi nfan nfcv nffv nfeq nfim eleq1w fveq2
      anbi2d eqeq12d imbi12d chvarfv limsupequzlem ) AQCDEFGAQRKLMNOABUAZEUBSZU
      CZUDZURCSZURDSZTZUEAQUAZUSUCZUDZVECSZVEDSZTZUEBQVGVJBAVFBHVFBRUFBVHVIBVEC
      IBVEUGZUHBVEDJVKUHUIUJURVETZVAVGVDVJVLUTVFABQUSUKUMVLVBVHVCVIURVECULURVED
      ULUNUOPUPUQ $.
  $}

  ${
    $d A j k x $.  $d F k x $.  $d j k ph x $.
    limsupre2lem.1 $e |- F/_ j F $.
    limsupre2lem.2 $e |- ( ph -> A C_ RR ) $.
    limsupre2lem.3 $e |- ( ph -> F : A --> RR* ) $.
    $( Given a function on the extended reals, its supremum limit is real if
       and only if two condition holds: 1. there is a real number that is
       smaller than the function, at some point, in any upper part of the
       reals; 2. there is a real number that is eventually larger than the
       function.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupre2lem $p |- ( ph -> ( ( limsup ` F ) e. RR <-> ( E. x e. RR A. k e.
       RR E. j e. A ( k <_ j /\ x < ( F ` j ) ) /\ E. x e. RR E. k e. RR A. j
       e. A ( k <_ j -> ( F ` j ) < x ) ) ) ) $=
      ( cr wcel wa wbr wrex wral cxr wb a1i wn bitri clsp cfv cmnf wne cpnf cle
      cv clt wi cvv reex ssexd fexd limsupcld xrre4 wceq df-ne limsupmnf notbid
      annim rexbii rexnal ralbii ralnex bitr2i simplr rexrd wf adantr ffvelrnda
      syl xrltnled bicomd anbi2d rexbidva ralbidv bitrd 3bitrd limsuppnf imbi2d
      ralbidva rexbidv imnan bitr2d anbi12d ) AFUAUBZJKZWFUCUDZWFUEUDZLZEUGDUGZ
      UFMZBUGZWKFUBZUHMZLZDCNZEJOZBJNZWLWNWMUHMZUIZDCOZEJNZBJNZLAWFPKWGWJQAFUJA
      CPUJFIACJUJJUJKAUKRHULUMUNWFUOVKAWHWSWIXDAWHWFUCUPZSZWLWNWMUFMZUIZDCOZEJN
      ZBJOZSZWSWHXFQAWFUCUQRAXEXKABCDEFGHIURUSAXLWLXGSZLZDCNZEJOZBJNZWSXLXQQAXQ
      XJSZBJNXLXPXRBJXPXISZEJOXRXOXSEJXOXHSZDCNXSXNXTDCWLXGUTVAXHDCVBTVCXIEJVDT
      VAXJBJVBVERAXPWRBJAWMJKZLZXOWQEJYBXNWPDCYBWKCKZLZXMWOWLYDWOXMYDWMWNYDWMAY
      AYCVFVGZYBCPWKFACPFVHYAIVIVJZVLVMVNVOVPVOVQVRAWIWFUEUPZSZWLWMWNUFMZLZDCNZ
      EJOZBJOZSZXDWIYHQAWFUEUQRAYGYMABCDEFGHIVSUSAXDWLYISZUIZDCOZEJNZBJNZYNAXCY
      RBJYBXBYQEJYBXAYPDCYDWTYOWLYDWNWMYFYEVLVTWAWBVOYSYNQAYSYLSZBJNYNYRYTBJYRY
      KSZEJNYTYQUUAEJYQYJSZDCOUUAYPUUBDCWLYIWCVCYJDCVDTVAYKEJVBTVAYLBJVBTRWDVRW
      EVQ $.
  $}

  ${
    $d A i j k l x y $.  $d F i k l x y $.  $d i l ph y $.
    limsupre2.1 $e |- F/_ j F $.
    limsupre2.2 $e |- ( ph -> A C_ RR ) $.
    limsupre2.3 $e |- ( ph -> F : A --> RR* ) $.
    $( Given a function on the extended reals, its supremum limit is real if
       and only if two condition holds: 1. there is a real number that is
       smaller than the function, at some point, in any upper part of the
       reals; 2. there is a real number that is eventually larger than the
       function.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupre2 $p |- ( ph -> ( ( limsup ` F ) e. RR <-> ( E. x e. RR A. k e. RR
       E. j e. A ( k <_ j /\ x < ( F ` j ) ) /\ E. x e. RR E. k e. RR A. j e. A
       ( k <_ j -> ( F ` j ) < x ) ) ) ) $=
      ( vi vl vy cr cv wbr clt wa wrex wral wb clsp wcel nfcv limsupre2lem wceq
      cfv cle wi breq1 anbi2d rexbidv ralbidv anbi1d nffv nfbr nfan breq2 fveq2
      nfv breq2d anbi12d cbvrexw a1i bitrd cbvralvw cbvrexvw imbi2d imbi1d nfim
      breq1d imbi12d cbvralw ) AFUAUFMUBJNZKNZUGOZLNZVNFUFZPOZQZKCRZJMSZLMRZVOV
      QVPPOZUHZKCSZJMRZLMRZQENZDNZUGOZBNZWIFUFZPOZQZDCRZEMSZBMRZWJWLWKPOZUHZDCS
      ZEMRZBMRZQALCKJFKFUCHIUDAWBWQWGXBWBWQTAWAWPLBMVPWKUEZWAVOWKVQPOZQZKCRZJMS
      ZWPXCVTXFJMXCVSXEKCXCVRXDVOVPWKVQPUIUJUKULXGWPTXCXFWOJEMVMWHUEZXFWHVNUGOZ
      XDQZKCRZWOXHXEXJKCXHVOXIXDVMWHVNUGUIZUMUKXKWOTXHXJWNKDCXIXDDXIDUSZDWKVQPD
      WKUCZDPUCZDVNFGDVNUCUNZUOUPWNKUSVNWIUEZXIWJXDWMVNWIWHUGUQZXQVQWLWKPVNWIFU
      RZUTVAVBVCVDVEVCVDVFVCWGXBTAWFXALBMXCWFVOVQWKPOZUHZKCSZJMRZXAXCWEYBJMXCWD
      YAKCXCWCXTVOVPWKVQPUQVGULUKYCXATXCYBWTJEMXHYBXIXTUHZKCSZWTXHYAYDKCXHVOXIX
      TXLVHULYEWTTXHYDWSKDCXIXTDXMDVQWKPXPXOXNUOVIWSKUSXQXIWJXTWRXRXQVQWLWKPXSV
      JVKVLVCVDVFVCVDVFVCVAVD $.
  $}

  ${
    $d F i j k x $.  $d M j k $.  $d Z i j k x $.  $d i j k ph x $.
    limsupmnfuzlem.1 $e |- ( ph -> M e. ZZ ) $.
    limsupmnfuzlem.2 $e |- Z = ( ZZ>= ` M ) $.
    limsupmnfuzlem.3 $e |- ( ph -> F : Z --> RR* ) $.
    $( The superior limit of a function is ` -oo ` if and only if every real
       number is the upper bound of the restriction of the function to a set of
       upper integers.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupmnfuzlem $p |- ( ph -> ( ( limsup ` F ) = -oo <-> A. x e. RR E. k e.
       Z A. j e. ( ZZ>= ` k ) ( F ` j ) <_ x ) ) $=
      ( cfv wceq cle wbr wral cr wcel wa adantl adantr vi clsp cmnf cv wrex cuz
      wi nfcv wss uzssre eqsstri limsupmnf breq1 imbi1d ralbidv cbvrexvw biimpi
      a1i w3a cceil cif iftrue cz ad2antrr ad2antlr simpr eluzd eqeltrd iffalse
      ceilcl wn uzidd2 pm2.61dan 3adant3 nfv nfra1 nf3an simplr sselid eluzelre
      zred ceilge max2 syl2anc letrd eluzle 3adantl3 simpl3 eluzelz max1 syl2an
      rspa mpd ex ralrimi fveq2 raleqdv rspcev 3exp rexlimdv sylan2 rexss ax-mp
      imp wb nfan simp1r eqid eluzelz2 3ad2ant1 3ad2ant2 simp3 3adant1r reximdv
      impbid bitrd ) AEUBKUCLDUDZCUDZMNZXREKBUDMNZUGZCGOZDPUEZBPOXTCXQUFKZOZDGU
      EZBPOABGCDECEUHGPUIZAGFUFKPIFUJUKZURJULAYCYFBPAYCYFAYCYFYCAUAUDZXRMNZXTUG
      ZCGOZUAPUEZYFYCYMYBYLDUAPXQYILZYAYKCGYNXSYJXTXQYIXRMUMUNUOUPUQAYMYFAYLYFU
      APAYIPQZYLYFAYOYLUSZFYIUTKZMNZYQFVAZGQZXTCYSUFKZOZYFAYOYTYLAYORZYRYTUUCYR
      RZYSYQGYRYSYQLUUCYRYQFVBSUUDFYQGIAFVCQZYOYRHVDYOYQVCQAYRYIVJZVEUUCYRVFVGV
      HUUCYRVKZRYSFGUUGYSFLUUCYRYQFVISAFGQYOUUGAFGHIVLZVDVHVMZVNYPXTCUUAAYOYLCA
      CVOYOCVOYKCGVPVQYPXRUUAQZXTYPUUJRZYJXTAYOUUJYJYLUUCUUJRZYIYSXRAYOUUJVRUUC
      YSPQUUJUUCGPYSYHUUIVSZTZUUJXRPQUUCYSXRVTSZUUCYIYSMNUUJUUCYIYQYSAYOVFYOYQP
      QZAYOYQUUFWAZSZUUMYOYIYQMNAYIWBSUUCFPQZUUPYQYSMNAUUSYOAGPFYHUUHVSZTZUURFY
      QWCWDWETUUJYSXRMNUUCYSXRWFSZWEWGUUKYLXRGQZYKAYOYLUUJWHAYOUUJUVCYLUULFXRGI
      AUUEYOUUJHVDUUJXRVCQZUUCYSXRWISUULFYSXRUUCUUSUUJUVATUUNUUOUUCFYSMNZUUJAUU
      SUUPUVEYOUUTUUQFYQWJWKTUVBWEVGWGYKCGWLWDWMWNWOYEUUBDYSGXQYSLXTCYDUUAXQYSU
      FWPWQWRWDWSWTXDXAWNAYFYCYFAXQGQZYERZDPUEZYCYFUVHYGYFUVHXEYHYEDGPXBXCUQAUV
      HYCAUVGYBDPUVGYBUGAUVGYACGUVFYECUVFCVOXTCYDVPXFUVGUVCXSXTUVGUVCXSUSYEXRYD
      QZXTUVFYEUVCXSXGUVFUVCXSUVIYEUVFUVCXSUSXQXRYDYDXHUVFUVCXQVCQXSFXQGIXIXJUV
      CUVFUVDXSFXRGIXIXKUVFUVCXSXLVGXMXTCYDWLWDWSWOURXNXDXAWNXOUOXP $.
  $}

  ${
    $d F i k l x y $.  $d M i l $.  $d Z i k l x y $.  $d i j k l x y $.
    $d i l ph y $.
    limsupmnfuz.1 $e |- F/_ j F $.
    limsupmnfuz.2 $e |- ( ph -> M e. ZZ ) $.
    limsupmnfuz.3 $e |- Z = ( ZZ>= ` M ) $.
    limsupmnfuz.4 $e |- ( ph -> F : Z --> RR* ) $.
    $( The superior limit of a function is ` -oo ` if and only if every real
       number is the upper bound of the restriction of the function to a set of
       upper integers.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupmnfuz $p |- ( ph -> ( ( limsup ` F ) = -oo <-> A. x e. RR E. k e. Z
       A. j e. ( ZZ>= ` k ) ( F ` j ) <_ x ) ) $=
      ( vl vy vi cfv wceq cv cle wbr wral clsp cmnf cuz cr limsupmnfuzlem breq2
      wrex wb ralbidv rexbidv fveq2 raleqdv nfcv nffv nfbr breq1d cbvralw bitrd
      nfv a1i cbvrexvw cbvralvw ) AEUAOUBPLQZEOZMQZRSZLNQZUCOZTZNGUGZMUDTZCQZEO
      ZBQZRSZCDQZUCOZTZDGUGZBUDTZAMLNEFGIJKUEVKVTUHAVJVSMBUDVEVNPZVJVDVNRSZLVHT
      ZNGUGZVSWAVIWCNGWAVFWBLVHVEVNVDRUFUIUJWDVSUHWAWCVRNDGVGVPPZWCWBLVQTZVRWEW
      BLVHVQVGVPUCUKULWFVRUHWEWBVOLCVQCVDVNRCVCEHCVCUMUNCRUMCVNUMUOVOLUSVCVLPVD
      VMVNRVCVLEUKUPUQUTURVAUTURVBUTUR $.
  $}

  ${
    $d A j $.  $d B j $.  $d K j $.  $d M j $.  $d N j $.
    limsupequzmptlem.j $e |- F/ j ph $.
    limsupequzmptlem.m $e |- ( ph -> M e. ZZ ) $.
    limsupequzmptlem.n $e |- ( ph -> N e. ZZ ) $.
    limsupequzmptlem.a $e |- A = ( ZZ>= ` M ) $.
    limsupequzmptlem.b $e |- B = ( ZZ>= ` N ) $.
    limsupequzmptlem.c $e |- ( ( ph /\ j e. A ) -> C e. V ) $.
    limsupequzmptlem.d $e |- ( ( ph /\ j e. B ) -> C e. W ) $.
    limsupequzmptlem.k $e |- K = if ( M <_ N , N , M ) $.
    $( Two functions that are eventually equal to one another have the same
       superior limit.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupequzmptlem $p |- ( ph -> ( limsup ` ( j e. A |-> C ) ) = ( limsup ` (
       j e. B |-> C ) ) ) $=
      ( cfv wcel cmpt nfmpt1 cuz eqcomi eleq2i biimpi sylan2 mpteq1i fnmptd cle
      cv bicomi wbr cif cz ifcld eqeltrid wa wceq wss eqid cr zred max1 syl2anc
      breqtrrdi eluzd uzssd a1i sseqtrd adantr sseldd syldan fvmpt2 max2 eqtr4d
      simpr limsupequz ) AEEBDUAZECDUAZFGHKEBDUBECDUBLAEGUCSZDVSIKEUKZWATZAWBBT
      ZDITZWCWDWABWBBWANUDZUEUFPUGEBWADNUHUIMAEHUCSZDVTJKWBWGTZAWBCTZDJTWHWIWIW
      HCWGWBOUEULUFQUGECWGDOUHUIAFGHUJUMZHGUNZUORAWJHGUOMLUPUQZAWBFUCSZTZURZWBV
      SSZDWBVTSZWOWDWEWPDUSWOWMBWBAWMBUTWNAWMWABAGFAGFWAWAVALWLAGWKFUJAGVBTZHVB
      TZGWKUJUMAGLVCZAHMVCZGHVDVERVFVGVHWABUSAWFVIVJVKAWNVQZVLZAWNWDWEXCPVMZEBD
      IVSVSVAVNVEWOWIWEWQDUSWOWMCWBAWMCUTWNAWMWGCAHFAHFWGWGVAMWLAHWKFUJAWRWSHWK
      UJUMWTXAGHVOVERVFVGVHWGCUSACWGOUDVIVJVKXBVLXDECDIVTVTVAVNVEVPVR $.
  $}

  ${
    $d A j $.  $d B j $.  $d M j $.  $d N j $.
    limsupequzmpt.j $e |- F/ j ph $.
    limsupequzmpt.m $e |- ( ph -> M e. ZZ ) $.
    limsupequzmpt.n $e |- ( ph -> N e. ZZ ) $.
    limsupequzmpt.a $e |- A = ( ZZ>= ` M ) $.
    limsupequzmpt.b $e |- B = ( ZZ>= ` N ) $.
    limsupequzmpt.c $e |- ( ( ph /\ j e. A ) -> C e. V ) $.
    limsupequzmpt.d $e |- ( ( ph /\ j e. B ) -> C e. W ) $.
    $( Two functions that are eventually equal to one another have the same
       superior limit.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupequzmpt $p |- ( ph -> ( limsup ` ( j e. A |-> C ) ) = ( limsup ` ( j
       e. B |-> C ) ) ) $=
      ( cle wbr cif eqid limsupequzmptlem ) ABCDEFGQRGFSZFGHIJKLMNOPUBTUA $.
  $}

  ${
    $d A j k w x y $.  $d B j k w y $.  $d j ph w $.
    limsupre2mpt.p $e |- F/ x ph $.
    limsupre2mpt.a $e |- ( ph -> A C_ RR ) $.
    limsupre2mpt.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    $( Given a function on the extended reals, its supremum limit is real if
       and only if two condition holds: 1. there is a real number that is
       smaller than the function, at some point, in any upper part of the
       reals; 2. there is a real number that is eventually larger than the
       function.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupre2mpt $p |- ( ph -> ( ( limsup ` ( x e. A |-> B ) ) e. RR <-> ( E. y
       e. RR A. k e. RR E. x e. A ( k <_ x /\ y < B ) /\ E. y e. RR E. k e. RR
       A. x e. A ( k <_ x -> B < y ) ) ) ) $=
      ( vj vw cr cv wbr clt wa wrex wral wi rexbidv cmpt cfv cle nfmpt1 fmptd2f
      clsp wcel cxr limsupre2 wceq fvmpt2d breq2d anbi2d rexbida ralbidv breq1d
      eqid imbi2d ralbida anbi12d wb breq1 anbi1d cbvralvw bitrd cbvrexvw breq2
      a1i imbi1d anbi12i 3bitrd ) ABDEUAZUFUBLUGJMZBMZUCNZKMZVNVLUBZONZPZBDQZJL
      RZKLQZVOVQVPONZSZBDRZJLQZKLQZPVOVPEONZPZBDQZJLRZKLQZVOEVPONZSZBDRZJLQZKLQ
      ZPZFMZVNUCNZCMZEONZPZBDQZFLRZCLQZWTEXAONZSZBDRZFLQZCLQZPZAKDBJVLBDEUDHABD
      EUHGIUEUIAWBWLWGWQAWAWKKLAVTWJJLAVSWIBDGAVNDUGPZVRWHVOXMVQEVPOABDEVLUHVLV
      LUJAVLUQVHIUKZULUMUNUOTAWFWPKLAWEWOJLAWDWNBDGXMWCWMVOXMVQEVPOXNUPURUSTTUT
      WRXLVAAWLXFWQXKWKXEKCLVPXAUJZWKVOXBPZBDQZJLRZXEXOWJXQJLXOWIXPBDXOWHXBVOVP
      XAEOVBUMTUOXRXEVAXOXQXDJFLVMWSUJZXPXCBDXSVOWTXBVMWSVNUCVBZVCTVDVHVEVFWPXJ
      KCLXOWPVOXGSZBDRZJLQZXJXOWOYBJLXOWNYABDXOWMXGVOVPXAEOVGURUOTYCXJVAXOYBXIJ
      FLXSYAXHBDXSVOWTXGXTVIUOVFVHVEVFVJVHVK $.
  $}

  ${
    $d A k $.  $d B k $.  $d C k $.  $d M k $.  $d N k $.  $d V j $.  $d W j $.
    $d j k $.  $d k ph $.
    limsupequzmptf.j $e |- F/ j ph $.
    limsupequzmptf.o $e |- F/_ j A $.
    limsupequzmptf.p $e |- F/_ j B $.
    limsupequzmptf.m $e |- ( ph -> M e. ZZ ) $.
    limsupequzmptf.n $e |- ( ph -> N e. ZZ ) $.
    limsupequzmptf.a $e |- A = ( ZZ>= ` M ) $.
    limsupequzmptf.b $e |- B = ( ZZ>= ` N ) $.
    limsupequzmptf.c $e |- ( ( ph /\ j e. A ) -> C e. V ) $.
    limsupequzmptf.d $e |- ( ( ph /\ j e. B ) -> C e. W ) $.
    $( Two functions that are eventually equal to one another have the same
       superior limit.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupequzmptf $p |- ( ph -> ( limsup ` ( j e. A |-> C ) ) = ( limsup ` ( j
       e. B |-> C ) ) ) $=
      ( vk wcel cv csb cmpt clsp cfv nfv wa wi nfan nfcsb1v nfcv nfel nfim wceq
      eleq1w anbi2d csbeq1a eleq1d imbi12d chvarfv limsupequzmpt cbvmptf fveq2i
      nfcri a1i 3eqtr4d ) ASBESUAZDUBZUCZUDUEZSCVHUCZUDUEZEBDUCZUDUEZECDUCZUDUE
      ZABCVHSFGHIASUFMNOPAEUAZBTZUGZDHTZUHAVGBTZUGZVHHTZUHESWBWCEAWAEJESBKVDUIE
      VHHEVGDUJZEHUKULUMVQVGUNZVSWBVTWCWEVRWAAESBUOUPWEDVHHEVGDUQZURUSQUTAVQCTZ
      UGZDITZUHAVGCTZUGZVHITZUHESWKWLEAWJEJESCLVDUIEVHIWDEIUKULUMWEWHWKWIWLWEWG
      WJAESCUOUPWEDVHIWFURUSRUTVAVNVJUNAVMVIUDESBDVHKSBUKSDUKZWDWFVBVCVEVPVLUNA
      VOVKUDESCDVHLSCUKWMWDWFVBVCVEVF $.
  $}

  ${
    $d A j k x y $.  $d F k x y $.  $d j k ph x y $.
    limsupre3lem.1 $e |- F/_ j F $.
    limsupre3lem.2 $e |- ( ph -> A C_ RR ) $.
    limsupre3lem.3 $e |- ( ph -> F : A --> RR* ) $.
    $( Given a function on the extended reals, its supremum limit is real if
       and only if two condition holds: 1. there is a real number that is less
       than or equal to the function, at some point, in any upper part of the
       reals; 2. there is a real number that is eventually greater than or
       equal to the function.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    limsupre3lem $p |- ( ph -> ( ( limsup ` F ) e. RR <-> ( E. x e. RR A. k e.
       RR E. j e. A ( k <_ j /\ x <_ ( F ` j ) ) /\ E. x e. RR E. k e. RR A. j
       e. A ( k <_ j -> ( F ` j ) <_ x ) ) ) ) $=
      ( vy cr wcel cv cle wbr clt wa wrex wral cxr clsp cfv limsupre2 w3a simp2
      wi nfv simp3l simp1r rexrd ffvelrnda adantlr 3adant3 xrltled 3adant3l jca
      simp3 reximdai ralimdv 3impia breq1 anbi2d rexbidv ralbidv rspcev syl2anc
      3exp wceq rexlimdv c1 cmin co peano2rem ad2antlr syl simp3r xrltletrd imp
      ltm1d rexlimdva2 impbid simplr adantr rexr ad3antlr simpr imim2d ralimdva
      ex reximdv breq2 imbi2d caddc peano2re ltp1 xrlelttrd anbi12d bitrd ) AFU
      AUBKLEMDMZNOZJMZWSFUBZPOZQZDCRZEKSZJKRZWTXBXAPOZUFZDCSZEKRZJKRZQWTBMZXBNO
      ZQZDCRZEKSZBKRZWTXBXMNOZUFZDCSZEKRZBKRZQAJCDEFGHIUCAXGXRXLYCAXGXRAXFXRJKA
      XAKLZXFXRAYDXFUDYDWTXAXBNOZQZDCRZEKSZXRAYDXFUEAYDXFYHAYDQZXEYGEKYIXDYFDCY
      IDUGYIWSCLZXDYFYIYJXDUDWTYEYIYJWTXCUHYIYJXCYEWTYIYJXCUDZXAXBYKXAAYDYJXCUI
      UJYIYJXBTLZXCAYJYLYDACTWSFIUKZULZUMYIYJXCUQUNUOUPVGURUSUTXQYHBXAKXMXAVHZX
      PYGEKYOXOYFDCYOXNYEWTXMXAXBNVAVBVCVDVEVFVGVIAXQXGBKAXMKLZQZXQQXMVJVKVLZKL
      ZWTYRXBPOZQZDCRZEKSZXGYPYSAXQXMVMZVNYQXQUUCYQXPUUBEKYQXOUUADCYQDUGYQYJXOU
      UAYQYJXOUDZWTYTYQYJWTXNUHUUEYRXMXBUUEYPYRTLAYPYJXOUIZYPYRUUDUJVOUUEXMUUFU
      JYQYJYLXOAYJYLYPYMULZUMUUEXMUUFVSYQYJWTXNVPVQUPVGURUSVRXFUUCJYRKXAYRVHZXE
      UUBEKUUHXDUUADCUUHXCYTWTXAYRXBPVAVBVCVDVEVFVTWAAXLYCAXKYCJKYIXKQYDWTXBXAN
      OZUFZDCSZEKRZYCAYDXKWBYIXKUULYIXJUUKEKYIXIUUJDCYIYJQZXHUUIWTUUMXHUUIUUMXH
      QXBXAUUMYLXHYNWCYDXATLAYJXHXAWDWEUUMXHWFUNWIWGWHWJVRYBUULBXAKYOYAUUKEKYOX
      TUUJDCYOXSUUIWTXMXAXBNWKWLVDVCVEVFVTAYBXLBKYQYBQXMVJWMVLZKLZWTXBUUNPOZUFZ
      DCSZEKRZXLYPUUOAYBXMWNZVNYQYBUUSYQYAUUREKYQXTUUQDCYQYJQZXSUUPWTUVAXSUUPUV
      AXSQXBXMUUNUVAYLXSUUGWCYPXMTLAYJXSXMWDWEYPUUNTLAYJXSYPUUNUUTUJWEUVAXSWFYP
      XMUUNPOAYJXSXMWOWEWPWIWGWHWJVRXKUUSJUUNKXAUUNVHZXJUUREKUVBXIUUQDCUVBXHUUP
      WTXAUUNXBPWKWLVDVCVEVFVTWAWQWR $.
  $}

  ${
    $d A i j k l x y $.  $d F i k l x y $.  $d i l ph y $.
    limsupre3.1 $e |- F/_ j F $.
    limsupre3.2 $e |- ( ph -> A C_ RR ) $.
    limsupre3.3 $e |- ( ph -> F : A --> RR* ) $.
    $( Given a function on the extended reals, its supremum limit is real if
       and only if two condition holds: 1. there is a real number that is less
       than or equal to the function, at some point, in any upper part of the
       reals; 2. there is a real number that is eventually greater than or
       equal to the function.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    limsupre3 $p |- ( ph -> ( ( limsup ` F ) e. RR <-> ( E. x e. RR A. k e. RR
       E. j e. A ( k <_ j /\ x <_ ( F ` j ) ) /\ E. x e. RR E. k e. RR A. j e.
       A ( k <_ j -> ( F ` j ) <_ x ) ) ) ) $=
      ( vi vl vy cr cv cle wbr wa wrex wral wb clsp wcel nfcv limsupre3lem wceq
      cfv wi breq1 anbi2d rexbidv ralbidv anbi1d nfv nffv nfbr nfan breq2 fveq2
      breq2d anbi12d cbvrexw bitrd cbvralvw cbvrexvw imbi2d imbi1d nfim imbi12d
      a1i breq1d cbvralw anbi12i ) AFUAUFMUBJNZKNZOPZLNZVNFUFZOPZQZKCRZJMSZLMRZ
      VOVQVPOPZUGZKCSZJMRZLMRZQZENZDNZOPZBNZWJFUFZOPZQZDCRZEMSZBMRZWKWMWLOPZUGZ
      DCSZEMRZBMRZQZALCKJFKFUCHIUDWHXDTAWBWRWGXCWAWQLBMVPWLUEZWAVOWLVQOPZQZKCRZ
      JMSZWQXEVTXHJMXEVSXGKCXEVRXFVOVPWLVQOUHUIUJUKXIWQTXEXHWPJEMVMWIUEZXHWIVNO
      PZXFQZKCRZWPXJXGXLKCXJVOXKXFVMWIVNOUHZULUJXMWPTXJXLWOKDCXKXFDXKDUMZDWLVQO
      DWLUCZDOUCZDVNFGDVNUCUNZUOUPWOKUMVNWJUEZXKWKXFWNVNWJWIOUQZXSVQWMWLOVNWJFU
      RZUSUTVAVIVBVCVIVBVDWFXBLBMXEWFVOVQWLOPZUGZKCSZJMRZXBXEWEYDJMXEWDYCKCXEWC
      YBVOVPWLVQOUQVEUKUJYEXBTXEYDXAJEMXJYDXKYBUGZKCSZXAXJYCYFKCXJVOXKYBXNVFUKY
      GXATXJYFWTKDCXKYBDXODVQWLOXRXQXPUOVGWTKUMXSXKWKYBWSXTXSVQWMWLOYAVJVHVKVIV
      BVDVIVBVDVLVIVB $.
  $}

  ${
    $d A j k w x y $.  $d B j k w y $.  $d j ph w $.
    limsupre3mpt.p $e |- F/ x ph $.
    limsupre3mpt.a $e |- ( ph -> A C_ RR ) $.
    limsupre3mpt.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    $( Given a function on the extended reals, its supremum limit is real if
       and only if two condition holds: 1. there is a real number that is less
       than or equal to the function, at some point, in any upper part of the
       reals; 2. there is a real number that is eventually greater than or
       equal to the function.  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    limsupre3mpt $p |- ( ph -> ( ( limsup ` ( x e. A |-> B ) ) e. RR <-> ( E. y
       e. RR A. k e. RR E. x e. A ( k <_ x /\ y <_ B ) /\ E. y e. RR E. k e. RR
       A. x e. A ( k <_ x -> B <_ y ) ) ) ) $=
      ( vj vw cr cv cle wbr wa wrex wral wi rexbidv cmpt cfv nfmpt1 cxr fmptd2f
      clsp wcel limsupre3 wceq a1i fvmpt2d breq2d anbi2d rexbida ralbidv breq1d
      eqid imbi2d ralbida anbi12d wb breq1 anbi1d cbvralvw bitrd cbvrexvw breq2
      imbi1d anbi12i 3bitrd ) ABDEUAZUFUBLUGJMZBMZNOZKMZVMVKUBZNOZPZBDQZJLRZKLQ
      ZVNVPVONOZSZBDRZJLQZKLQZPVNVOENOZPZBDQZJLRZKLQZVNEVONOZSZBDRZJLQZKLQZPZFM
      ZVMNOZCMZENOZPZBDQZFLRZCLQZWSEWTNOZSZBDRZFLQZCLQZPZAKDBJVKBDEUCHABDEUDGIU
      EUHAWAWKWFWPAVTWJKLAVSWIJLAVRWHBDGAVMDUGPZVQWGVNXLVPEVONABDEVKUDVKVKUIAVK
      UQUJIUKZULUMUNUOTAWEWOKLAWDWNJLAWCWMBDGXLWBWLVNXLVPEVONXMUPURUSTTUTWQXKVA
      AWKXEWPXJWJXDKCLVOWTUIZWJVNXAPZBDQZJLRZXDXNWIXPJLXNWHXOBDXNWGXAVNVOWTENVB
      UMTUOXQXDVAXNXPXCJFLVLWRUIZXOXBBDXRVNWSXAVLWRVMNVBZVCTVDUJVEVFWOXIKCLXNWO
      VNXFSZBDRZJLQZXIXNWNYAJLXNWMXTBDXNWLXFVNVOWTENVGURUOTYBXIVAXNYAXHJFLXRXTX
      GBDXRVNWSXFXSVHUOVFUJVEVFVIUJVJ $.
  $}

  ${
    $d F k x y $.  $d M j k $.  $d Z j k x y $.  $d j k ph x y $.
    limsupre3uzlem.1 $e |- F/_ j F $.
    limsupre3uzlem.2 $e |- ( ph -> M e. ZZ ) $.
    limsupre3uzlem.3 $e |- Z = ( ZZ>= ` M ) $.
    limsupre3uzlem.4 $e |- ( ph -> F : Z --> RR* ) $.
    $( Given a function on the extended reals, its supremum limit is real if
       and only if two condition holds: 1. there is a real number that is less
       than or equal to the function, infinitely often; 2. there is a real
       number that is eventually greater than or equal to the function.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupre3uzlem $p |- ( ph -> ( ( limsup ` F ) e. RR <-> ( E. x e. RR A. k
       e. Z E. j e. ( ZZ>= ` k ) x <_ ( F ` j ) /\ E. x e. RR E. k e. Z A. j e.
       ( ZZ>= ` k ) ( F ` j ) <_ x ) ) ) $=
      ( vy cr wcel cle wbr wa wrex wral syl2anc clsp cfv cuz wss uzssre eqsstri
      cv wi a1i limsupre3 wceq breq1 anbi1d rexbidv cbvralvw biimpi nfra1 simpr
      sselid rspa syldan nfv nfre1 w3a eqid cz eluzelz2 3ad2ant1 3ad2ant2 simp3
      eluzd 3adant3r simp3r rspe 3exp rexlimd imp ralrimia syl cceil cif iftrue
      adantl ad2antrr ceilcl eqeltrd wn iffalse uzidd2 adantr adantlr pm2.61dan
      ad2antlr simplr fveq2 rexeqdv rspcva nfci nfralw nfan eluzelz zred eluzle
      max1 letrd 3adant3 ceilge max2 jca mpd ralrimiva ex impbid ralrimi rspcev
      raleqdv rexlimdva2 sseli simp1r 3adant1r adantll rspceaimv anbi12d bitrd
      ) AEUAUBMNLUGZCUGZOPZBUGZYFEUBZOPZQZCGRZLMSZBMRZYGYIYHOPZUHZCGSZLMRZBMRZQ
      YJCDUGZUCUBZRZDGSZBMRZYOCUUASZDGRZBMRZQABGCLEHGMUDAGFUCUBMJFUEUFZUIKUJAYN
      UUDYSUUGAYMUUCBMAYMUUCYMUUCUHAYMYTYFOPZYJQZCGRZDMSZUUCYMUULYLUUKLDMYEYTUK
      ZYKUUJCGUUMYGUUIYJYEYTYFOULZUMUNUOUPUULUUBDGUUKDMUQUULYTGNZQZUUOUUKUUBUUL
      UUOURZUULUUOYTMNZUUKUUPGMYTUUHUUQUSUUKDMUTVAUUOUUKUUBUUOUUJUUBCGUUOCVBZYJ
      CUUAVCZUUOYFGNZUUJUUBUUOUVAUUJVDYFUUANZYJUUBUUOUVAUUIUVBYJUUOUVAUUIVDYTYF
      UUAUUAVEUUOUVAYTVFNUUIFYTGJVGVHUVAUUOYFVFNZUUIFYFGJVGVIUUOUVAUUIVJVKZVLUU
      OUVAUUIYJVMYJCUUAVNTVOVPVQTVRVSUIAUUCYMAUUCQZYLLMUVEYEMNZQZYJCFYEVTUBZOPZ
      UVHFWAZUCUBZRZYLUVGUVJGNZUUCUVLAUVFUVMUUCAUVFQZUVIUVMUVNUVIQZUVJUVHGUVIUV
      JUVHUKUVNUVIUVHFWBWCUVOFUVHGJAFVFNZUVFUVIIWDUVFUVHVFNAUVIYEWEZWMUVNUVIURV
      KWFAUVIWGZUVMUVFAUVRQUVJFGUVRUVJFUKAUVIUVHFWHWCAFGNUVRAFGIJWIZWJWFWKWLZWK
      AUUCUVFWNUUBUVLDUVJGYTUVJUKZYJCUUAUVKYTUVJUCWOZWPWQTUVGYJYLCUVKUVEUVFCAUU
      CCACVBZUUBCDGCDGUUSWRUUTWSWTUVFCVBZWTYKCGVCAUVFYFUVKNZYJYLUHUHUUCUVNUWEYJ
      YLUVNUWEYJVDZUVAYKYLUVNUWEUVAYJUVNUWEQZFYFGJAUVPUVFUWEIWDZUWEUVCUVNUVJYFX
      AWCZUWGFUVJYFUWGFUWHXBUVNUVJMNUWEUVNGMUVJUUHUVTUSZWJZUWGYFUWIXBZUVNFUVJOP
      ZUWEUVNFMNZUVHMNZUWMAUWNUVFAGMFUUHUVSUSWJZUVFUWOAUVFUVHUVQXBWCZFUVHXDTWJU
      WEUVJYFOPUVNUVJYFXCWCZXEVKZXFUWFYGYJUVNUWEYGYJUWGYEUVJYFAUVFUWEWNUWKUWLUV
      NYEUVJOPUWEUVNYEUVHUVJAUVFURUWQUWJUVFYEUVHOPAYEXGWCUVNUWNUWOUVHUVJOPUWPUW
      QFUVHXHTXEWJUWRXEZXFUVNUWEYJVJXIYKCGVNTVOWKVPXJXKXLXMUNAYRUUFBMAYRUUFAYQU
      UFLMUVNYQQZUVMYOCUVKSZUUFUVNUVMYQUVTWJUXAYOCUVKUVNYQCAUVFCUWCUWDWTYPCGUQW
      TUXAUWEYOUXAUWEQZYGYOUVNUWEYGYQUWTWKUXCYQUVAYPUVNYQUWEWNUVNUWEUVAYQUWSWKY
      PCGUTTXJXLXNUUEUXBDUVJGUWAYOCUUAUVKUWBXPXOTXQAUUEYRDGAUUOQUUEQUURUUIYOUHZ
      CGSZYRUUOUURAUUEGMYTUUHXRWMUUOUUEUXEAUUOUUEQZUXDCGUUOUUECUUSYOCUUAUQWTUXF
      UVAUUIYOUXFUVAUUIVDUUEUVBYOUUOUUEUVAUUIXSUUOUVAUUIUVBUUEUVDXTYOCUUAUTTVOX
      NYAYGUUIYOLCYTMGUUNYBTXQXMUNYCYD $.
  $}

  ${
    $d F i k l x y $.  $d M i l $.  $d Z i k l x y $.  $d i j k l x y $.
    $d i l ph y $.
    limsupre3uz.1 $e |- F/_ j F $.
    limsupre3uz.2 $e |- ( ph -> M e. ZZ ) $.
    limsupre3uz.3 $e |- Z = ( ZZ>= ` M ) $.
    limsupre3uz.4 $e |- ( ph -> F : Z --> RR* ) $.
    $( Given a function on the extended reals, its supremum limit is real if
       and only if two condition holds: 1. there is a real number that is less
       than or equal to the function, infinitely often; 2. there is a real
       number that is eventually greater than or equal to the function.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupre3uz $p |- ( ph -> ( ( limsup ` F ) e. RR <-> ( E. x e. RR A. k e. Z
       E. j e. ( ZZ>= ` k ) x <_ ( F ` j ) /\ E. x e. RR E. k e. Z A. j e. (
       ZZ>= ` k ) ( F ` j ) <_ x ) ) ) $=
      ( vy vl vi cr cv cle wbr wrex wral clsp cfv wcel cuz wa limsupre3uzlem wb
      nfcv wceq breq1 rexbidv ralbidv fveq2 rexeqdv nffv nfv breq2d cbvrexw a1i
      nfbr bitrd cbvralvw cbvrexvw breq2 raleqdv breq1d cbvralw anbi12i ) AEUAU
      BOUCLPZMPZEUBZQRZMNPZUDUBZSZNGTZLOSZVKVIQRZMVNTZNGSZLOSZUEZBPZCPZEUBZQRZC
      DPZUDUBZSZDGTZBOSZWEWCQRZCWHTZDGSZBOSZUEZALMNEFGMEUHIJKUFWBWPUGAVQWKWAWOV
      PWJLBOVIWCUIZVPWCVKQRZMVNSZNGTZWJWQVOWSNGWQVLWRMVNVIWCVKQUJUKULWTWJUGWQWS
      WINDGVMWGUIZWSWRMWHSZWIXAWRMVNWHVMWGUDUMZUNXBWIUGXAWRWFMCWHCWCVKQCWCUHZCQ
      UHZCVJEHCVJUHUOZUTWFMUPVJWDUIZVKWEWCQVJWDEUMZUQURUSVAVBUSVAVCVTWNLBOWQVTV
      KWCQRZMVNTZNGSZWNWQVSXJNGWQVRXIMVNVIWCVKQVDULUKXKWNUGWQXJWMNDGXAXJXIMWHTZ
      WMXAXIMVNWHXCVEXLWMUGXAXIWLMCWHCVKWCQXFXEXDUTWLMUPXGVKWEWCQXHVFVGUSVAVCUS
      VAVCVHUSVA $.
  $}

  ${
    $d F i k l x y $.  $d M i l $.  $d Z i j k l x y $.  $d i l ph y $.
    limsupreuz.1 $e |- F/_ j F $.
    limsupreuz.2 $e |- ( ph -> M e. ZZ ) $.
    limsupreuz.3 $e |- Z = ( ZZ>= ` M ) $.
    limsupreuz.4 $e |- ( ph -> F : Z --> RR ) $.
    $( Given a function on the reals, its supremum limit is real if and only if
       two condition holds: 1. there is a real number that is less than or
       equal to the function, infinitely often; 2. there is a real number that
       is greater than or equal to the function.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    limsupreuz $p |- ( ph -> ( ( limsup ` F ) e. RR <-> ( E. x e. RR A. k e. Z
       E. j e. ( ZZ>= ` k ) x <_ ( F ` j ) /\ E. x e. RR A. j e. Z ( F ` j ) <_
       x ) ) ) $=
      ( vl vi cr cle wbr wrex wral wb a1i vy clsp cfv wcel cv cuz wa nfcv frexr
      limsupre3uzlem wceq breq1 rexbidv ralbidv fveq2 rexeqdv nffv nfbr cbvrexw
      nfv breq2d bitrd cbvralvw cbvrexvw breq2 raleqdv breq1d cbvralw rexbii wf
      anbi12i adantr simpr ffvelrnd uzub eqcom imbi1i bicom imbi2i bitri 3bitrd
      wi mpbi anbi2d ) AEUBUCNUDZBUEZCUEZEUCZOPZCDUEZUFUCZQZDGRZBNQZWHWFOPZCWKR
      ZDGQZBNQZUGZWNWOCGRZBNQZUGAWEUAUEZLUEZEUCZOPZLMUEZUFUCZQZMGRZUANQZXDXBOPZ
      LXGRZMGQZUANQZUGZWSAUALMEFGLEUHIJAGEKUIUJXOWSSAXJWNXNWRXIWMUABNXBWFUKZXIW
      FXDOPZLXGQZMGRZWMXPXHXRMGXPXEXQLXGXBWFXDOULUMUNXSWMSXPXRWLMDGXFWJUKZXRXQL
      WKQZWLXTXQLXGWKXFWJUFUOZUPYAWLSXTXQWILCWKCWFXDOCWFUHZCOUHZCXCEHCXCUHUQZUR
      WILUTXCWGUKZXDWHWFOXCWGEUOZVAUSTVBVCTVBVDXMWQUABNXPXMXDWFOPZLXGRZMGQZWQXP
      XLYIMGXPXKYHLXGXBWFXDOVEUNUMYJWQSXPYIWPMDGXTYIYHLWKRZWPXTYHLXGWKYBVFYKWPS
      XTYHWOLCWKCXDWFOYEYDYCURWOLUTYFXDWHWFOYGVGVHTVBVDTVBVDVKTVBAWRXAWNAWRXFEU
      CZWFOPZMWKRZDGQZBNQZYMMGRZBNQZXAWRYPSAWQYOBNWPYNDGWOYMCMWKWOMUTZCYLWFOCXF
      EHCXFUHUQYDYCURZWGXFUKZWHYLWFOWGXFEUOVGZVHVIVITABYLMDFGAMUTIJAXFGUDZUGGNX
      FEAGNEVJUUCKVLAUUCVMVNVOYRXASAYQWTBNYMWOMCGYTYSUUAWOYMSZWBZXFWGUKZYMWOSZW
      BZUUBUUEUUFUUDWBUUHUUAUUFUUDWGXFVPVQUUDUUGUUFWOYMVRVSVTWCVHVITWAWDVB $.
  $}

  ${
    $d F i j x $.  $d F k n $.  $d F m n x $.  $d F n x y $.  $d M x $.
    $d Z i j x $.  $d Z k n $.  $d Z m n x $.  $d Z n x y $.  $d i n ph x $.
    $d j ph x $.  $d m n ph x $.
    limsupvaluz2.m $e |- ( ph -> M e. ZZ ) $.
    limsupvaluz2.z $e |- Z = ( ZZ>= ` M ) $.
    limsupvaluz2.f $e |- ( ph -> F : Z --> RR ) $.
    limsupvaluz2.r $e |- ( ph -> ( limsup ` F ) e. RR ) $.
    $( The superior limit, when the domain of a real-valued function is a set
       of upper integers, and the superior limit is real.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    limsupvaluz2 $p |- ( ph -> ( limsup ` F ) = inf ( ran ( k e. Z |-> sup (
       ran ( F |` ( ZZ>= ` k ) ) , RR* , < ) ) , RR , < ) ) $=
      ( vn vx vm cxr clt cr cle wrex wceq wcel wa vy vi vj clsp cfv cv cuz cres
      crn csup cmpt cinf frexr limsupvaluz wss c0 wne wbr wral wf adantr uzssd2
      id adantl feqresmpt rneqd supeq1d nfcv renepnfd limsupubuz ssralv reximdv
      wi syl mpd nfv cz eluzelz2 uzid ne0i sselda ffvelrnd supxrre3rnmpt mpbird
      3syl eqeltrd fmpttd frnd eqid uzn0d rnmptn0 limsupre3uz mpbid simp-4r w3a
      simpld rexrd 3ad2ant1 uztrn2 3adant1 ad5ant134 rnresss a1i sstrd supxrcld
      ressxr ad5ant13 simpr 3adant3 fvres eqcomd 3ad2ant3 fnssres syl2anc simp3
      wfn ffnd fnfvelrn supxrubd xrletrd rexlimdva2 ralimdva reximdva idi fveq2
      reseq2d eqcom imbi1i imbi2i bitri mpbi breq2d cbvralvw rexbii sylib elexd
      cvv rnmptbd2 infxrre syl3anc cbvmptv rneqi infeq1i 3eqtrd ) ACUDUEZJECJUF
      ZUGUEZUHZUIZMNUJZUKZUIZMNULZUULONULZBECBUFZUGUEZUHZUIZMNUJZUKZUIZONULZAJC
      DEFGAECHUMZUNAUULOUOUULUPUQKUFZUAUFPURUAUULUSKOQZUUMUUNRAEOUUKAJEUUJOAUUF
      ESZTZUUJLUUGLUFZCUEZUKZUIZMNUJZOUVGMUUIUVKNUVGUUHUVJUVGLEOUUGCAEOCUTZUVFH
      VAZUVFUUGEUOZAUVFDUUFEGUVFVCVBZVDZVEVFVGUVGUVLOSUVIUVDPURZLUUGUSZKOQZUVGU
      VRLEUSZKOQZUVTAUWBUVFAKLCDELCVHGHAUUEIVIVJVAUVGUWAUVSKOUVFUWAUVSVMZAUVFUV
      OUWCUVPUVRLUUGEVKVNVDVLVOUVGLKUUGUVIUVGLVPUVFUUGUPUQZAUVFUUFVQSUUFUUGSUWD
      DUUFEGVRUUFVSUUGUUFVTWEVDUVGUVHUUGSZTEOUVHCUVGUVMUWEUVNVAUVGUUGEUVHUVQWAW
      BWCWDWFZWGWHAJEUUJUUKOAJVPZUWFUUKWIADEFGWJWKAUVDUUJPURZJEUSZKOQZUVEAUVDCU
      BUFZUGUEZUHZUIZMNUJZPURZUBEUSZKOQZUWJAUWRVMAUVDUCUFZCUEZPURZUCUWLQZUBEUSZ
      KOQZUWRAUXDUWTUVDPURUCUWLUSUBEQKOQZAUUEOSUXDUXETIAKUCUBCDEUCCVHFGUVCWLWMW
      PAUXCUWQKOAUVDOSZTZUXBUWPUBEUXGUWKESZTZUXAUWPUCUWLUXIUWSUWLSZTZUXATZUVDUW
      TUWOUXLUVDAUXFUXHUXJUXAWNWQAUXHUXJUWTMSUXFUXAAUXHUXJWOZEMUWSCAUXHEMCUTUXJ
      UVCWRUXHUXJUWSESADUWSUWKEGWSWTWBXAAUXHUWOMSUXFUXJUXAAUXHTZUWNUXNUWNOMUXNU
      WNCUIZOUWNUXOUOUXNCUWLXBXCAUXOOUOUXHAEOCHWHVAXDOMUOUXNXFXCXDZXEXGUXKUXAXH
      AUXHUXJUWTUWOPURUXFUXAUXMUWNUWTUWOAUXHUWNMUOUXJUXPXIUXMUWTUWSUWMUEZUWNUXJ
      AUWTUXQRUXHUXJUXQUWTUWSUWLCXJXKXLUXMUWMUWLXPZUXJUXQUWNSAUXHUXRUXJUXNCEXPZ
      UWLEUOZUXRAUXSUXHAEOCHXQVAUXHUXTAUXHDUWKEGUXHVCVBVDEUWLCXMXNXIAUXHUXJXOUW
      LUWSUWMXRXNWFUWOWIXSXAXTYAYBYCVOYDUWQUWIKOUWPUWHUBJEUWKUUFRZUWOUUJUVDPUUF
      UWKRZUUJUWORZVMZUYAUWOUUJRZVMZUYBMUUIUWNNUYBUUHUWMUYBUUGUWLCUUFUWKUGYEYFV
      FVGUYDUYAUYCVMUYFUYBUYAUYCUUFUWKYGYHUYCUYEUYAUUJUWOYGYIYJYKYLYMYNYOAJKUAE
      UUJYQUWGUVGUUJOUWFYPYRWMKUAUULYSYTUUNUVBRAOUULUVANUUKUUTJBEUUJUUSUUFUUORZ
      MUUIUURNUYGUUHUUQUYGUUGUUPCUUFUUOUGYEYFVFVGUUAUUBUUCXCUUD $.
  $}

  ${
    $d B i k x y $.  $d Z i j k x y $.  $d i ph y $.
    limsupreuzmpt.j $e |- F/ j ph $.
    limsupreuzmpt.m $e |- ( ph -> M e. ZZ ) $.
    limsupreuzmpt.z $e |- Z = ( ZZ>= ` M ) $.
    limsupreuzmpt.b $e |- ( ( ph /\ j e. Z ) -> B e. RR ) $.
    $( Given a function on the reals, defined on a set of upper integers, its
       supremum limit is real if and only if two condition holds: 1. there is a
       real number that is less than or equal to the function, infinitely
       often; 2. there is a real number that is greater than or equal to the
       function.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    limsupreuzmpt $p |- ( ph -> ( ( limsup ` ( j e. Z |-> B ) ) e. RR <-> ( E.
       x e. RR A. k e. Z E. j e. ( ZZ>= ` k ) x <_ B /\ E. x e. RR A. j e. Z B
       <_ x ) ) ) $=
      ( vy vi cr cv cle wbr wrex wral wa cmpt cfv cuz nfmpt1 fmptd2f limsupreuz
      clsp wcel nfv nfan wceq simpll uztrn2 adantll eqid fvmpt2d syl2anc breq2d
      rexbida ralbidva rexbidv wb breq1 ralbidv fveq2 rexeqdv cbvralvw cbvrexvw
      a1i bitrd breq1d ralbida breq2 anbi12d ) ADGCUAZUGUBNUHLOZDOZVOUBZPQZDMOZ
      UCUBZRZMGSZLNRZVRVPPQZDGSZLNRZTBOZCPQZDEOZUCUBZRZEGSZBNRZCWHPQZDGSZBNRZTA
      LDMVOFGDGCUDIJADGCNHKUEUFAWDWNWGWQAWDVPCPQZDWARZMGSZLNRZWNAWCWTLNAWBWSMGA
      VTGUHZTZVSWRDWAAXBDHXBDUIUJXCVQWAUHZTZVRCVPPXEAVQGUHZVRCUKAXBXDULXBXDXFAF
      VQVTGJUMUNADGCVONVOVOUKAVOUOVIKUPZUQURUSUTVAXAWNVBAWTWMLBNVPWHUKZWTWIDWAR
      ZMGSZWMXHWSXIMGXHWRWIDWAVPWHCPVCVAVDXJWMVBXHXIWLMEGVTWJUKWIDWAWKVTWJUCVEV
      FVGVIVJVHVIVJAWGCVPPQZDGSZLNRZWQAWFXLLNAWEXKDGHAXFTVRCVPPXGVKVLVAXMWQVBAX
      LWPLBNXHXKWODGVPWHCPVMVDVHVIVJVNVJ $.
  $}

  ${
    $d F i j x $.  $d F k n $.  $d F m n x $.  $d F i n x y $.  $d M x $.
    $d Z i j x $.  $d Z k n $.  $d Z m n x $.  $d Z i n x y $.  $d i j ph x $.
    $d m n ph x $.
    supcnvlimsup.m $e |- ( ph -> M e. ZZ ) $.
    supcnvlimsup.z $e |- Z = ( ZZ>= ` M ) $.
    supcnvlimsup.f $e |- ( ph -> F : Z --> RR ) $.
    supcnvlimsup.r $e |- ( ph -> ( limsup ` F ) e. RR ) $.
    $( If a function on a set of upper integers has a real superior limit, the
       supremum of the rightmost parts of the function, converges to that
       superior limit.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    supcnvlimsup $p |- ( ph -> ( k e. Z |-> sup ( ran ( F |` ( ZZ>= ` k ) ) ,
       RR* , < ) ) ~~> ( limsup ` F ) ) $=
      ( vm vx cfv cxr clt cr wbr wcel adantl cle wceq vn vy vi vj cuz cres csup
      cv crn cmpt cinf cli clsp wa wf adantr wss uzssd2 feqresmpt rneqd supeq1d
      id wral wrex nfcv renepnfd limsupubuz wi ssralv syl reximdv mpd nfv c0 cz
      wne eluzelz2 uzid ne0i 3syl sselda supxrre3rnmpt mpbird eqeltrd fmpttd c1
      ffvelrnd caddc eqid peano2zd zred lep1 eluzd uzss ssres2 rnss rnresss a1i
      co frnd sstrd ressxr supxrss syl2anc eqidd fveq2 reseq2d peano2uzs xrltso
      cvv supex fvmptd breq12d frexr limsupre3uz mpbid simpld simp-4r rexrd w3a
      3ad2ant1 3adant1 ad5ant134 supxrcld ad5ant13 simpr 3adant3 fvres 3ad2ant3
      uztrn2 eqcomd wfn ffnd fnssres simp3 fnfvelrn supxrubd xrletrd rexlimdva2
      ralimdva reximdva ralbidva cbvrexvw sylibr climinf cbvmptv limsupvaluz2
      simpl ) AUAECUAUHZUELZUFZUIZMNUGZUJZUUNUIONUKZULPBECBUHZUELZUFZUIZMNUGZUJ
      ZCUMLZULPAUBUCUUNDEGFAUAEUUMOAUUIEQZUNZUUMJUUJJUHZCLZUJZUIZMNUGZOUVDMUULU
      VHNUVDUUKUVGUVDJEOUUJCAEOCUOZUVCHUPZUVCUUJEUQZAUVCDUUIEGUVCVBURZRZUSUTVAU
      VDUVIOQUVFKUHZSPZJUUJVCZKOVDZUVDUVPJEVCZKOVDZUVRAUVTUVCAKJCDEJCVEGHAUVBIV
      FVGUPUVDUVSUVQKOUVCUVSUVQVHZAUVCUVLUWAUVMUVPJUUJEVIVJRVKVLUVDJKUUJUVFUVDJ
      VMUVCUUJVNVPZAUVCUUIVOQUUIUUJQUWBDUUIEGVQUUIVRUUJUUIVSVTRUVDUVEUUJQZUNEOU
      VECUVDUVJUWCUVKUPUVDUUJEUVEUVNWAWGWBWCWDWEAUCUHZEQZUNZUWDWFWHWSZUUNLZUWDU
      UNLZSPCUWGUELZUFZUIZMNUGZCUWDUELZUFZUIZMNUGZSPZUWFUWLUWPUQZUWPMUQZUWRUWEU
      WSAUWEUWKUWOUQZUWSUWEUWJUWNUQZUXAUWEUWGUWNQUXBUWEUWDUWGUWNUWNWIDUWDEGVQZU
      WEUWDUXCWJUWEUWDOQUWDUWGSPUWEUWDUXCWKUWDWLVJWMUWDUWGWNVJUWJUWNCWOVJUWKUWO
      WPVJRUWFUWPOMUWFUWPCUIZOUWPUXDUQUWFCUWNWQWRAUXDOUQUWEAEOCHWTUPXAOMUQUWFXB
      WRXAZUWLUWPXCXDUWFUWHUWMUWIUWQSUWEUWHUWMTAUWEUAUWGUUMUWMEUUNXJUWEUUNXEZUU
      IUWGTZUUMUWMTUWEUXGMUULUWLNUXGUUKUWKUXGUUJUWJCUUIUWGUEXFXGUTVARDUWDEGXHUW
      MXJQUWEMUWLNXIXKWRXLRUWEUWIUWQTZAUWEUAUWDUUMUWQEUUNXJUXFUUIUWDTZUUMUWQTUW
      EUXIMUULUWPNUXIUUKUWOUXIUUJUWNCUUIUWDUEXFXGUTVARUWEVBZUWQXJQUWEMUWPNXIXKW
      RXLZRXMWCAUVOUWQSPZUCEVCZKOVDZUBUHZUWISPZUCEVCZUBOVDAUVOUDUHZCLZSPZUDUWNV
      DZUCEVCZKOVDZUXNAUYCUXSUVOSPUDUWNVCUCEVDKOVDZAUVBOQUYCUYDUNIAKUDUCCDEUDCV
      EFGAECHXNZXOXPXQAUYBUXMKOAUVOOQZUNZUYAUXLUCEUYGUWEUNZUXTUXLUDUWNUYHUXRUWN
      QZUNZUXTUNZUVOUXSUWQUYKUVOAUYFUWEUYIUXTXRXSAUWEUYIUXSMQUYFUXTAUWEUYIXTZEM
      UXRCAUWEEMCUOUYIUYEYAUWEUYIUXREQADUXRUWDEGYJYBWGYCAUWEUWQMQUYFUYIUXTUWFUW
      PUXEYDYEUYJUXTYFAUWEUYIUXSUWQSPUYFUXTUYLUWPUXSUWQAUWEUWTUYIUXEYGUYLUXSUXR
      UWOLZUWPUYIAUXSUYMTUWEUYIUYMUXSUXRUWNCYHYKYIUYLUWOUWNYLZUYIUYMUWPQAUWEUYN
      UYIUWFCEYLZUWNEUQZUYNAUYOUWEAEOCHYMUPUWEUYPAUWEDUWDEGUXJURREUWNCYNXDYGAUW
      EUYIYOUWNUXRUWOYPXDWDUWQWIYQYCYRYSYTUUAVLUXQUXMUBKOUXOUVOTZUXPUXLUCEUYQUW
      EUNUXOUVOUWIUWQSUYQUWEUUHUWEUXHUYQUXKRXMUUBUUCUUDUUEAUUNUVAUUOUVBULUUNUVA
      TAUABEUUMUUTUUIUUPTZMUULUUSNUYRUUKUURUYRUUJUUQCUUIUUPUEXFXGUTVAUUFWRAUVBU
      UOAUACDEFGHIUUGYKXMXP $.
  $}

  ${
    $d B k n $.  $d Z j k n $.  $d n ph $.
    supcnvlimsupmpt.j $e |- F/ j ph $.
    supcnvlimsupmpt.m $e |- ( ph -> M e. ZZ ) $.
    supcnvlimsupmpt.z $e |- Z = ( ZZ>= ` M ) $.
    supcnvlimsupmpt.b $e |- ( ( ph /\ j e. Z ) -> B e. RR ) $.
    supcnvlimsupmpt.r $e |- ( ph -> ( limsup ` ( j e. Z |-> B ) ) e. RR ) $.
    $( If a function on a set of upper integers has a real superior limit, the
       supremum of the rightmost parts of the function, converges to that
       superior limit.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    supcnvlimsupmpt $p |- ( ph -> ( k e. Z |-> sup ( ran ( j e. ( ZZ>= ` k )
       |-> B ) , RR* , < ) ) ~~> ( limsup ` ( j e. Z |-> B ) ) ) $=
      ( vn cv cuz cfv cmpt crn cxr clt csup cres clsp cli fveq2 mpteq1d supeq1d
      wceq rneqd cbvmptv wcel wss uzssd3 adantl resmptd eqcomd mpteq2dva syl5eq
      wa cr fmptd2f supcnvlimsup eqbrtrd ) ADFCDMZNOZBPZQZRSTZPZLFCFBPZLMZNOZUA
      ZQZRSTZPZVIUBOUCAVHLFCVKBPZQZRSTZPVODLFVGVRVCVJUGZRVFVQSVSVEVPVSCVDVKBVCV
      JNUDUEUHUFUIALFVRVNAVJFUJZURZRVQVMSWAVPVLWAVLVPWACFVKBVTVKFUKAEVJFIULUMUN
      UOUHUFUPUQALVIEFHIACFBUSGJUTKVAVB $.
  $}

  ${
    $d k m x $.
    $( If ` (/) ` is a complex number, then it converges to itself.  See ~ 0ncn
       and its comment; see also the comment in ~ climlimsupcex .  (Contributed
       by Glauco Siliprandi, 2-Jan-2022.) $)
    0cnv $p |- ( (/) e. CC -> (/) ~~> (/) ) $=
      ( vx vk vm c0 wcel cabs cfv cv clt wbr cuz wral crp cc0 wceq a1i jca wtru
      wa cz cc cmin co wrex cli 0zd simpl subid fveq2d abs0 eqtrd adantr adantl
      id rpgt0 eqbrtrd ralrimivw fveq2 raleqdv rspcev syl2anc ralrimiva cvv 0ex
      wb 0fv clim mptru sylibr ) DUAEZVJVJDDUBUCZFGZAHZIJZSZBCHZKGZLZCTUDZAMLZS
      ZDDUEJZVJVJVTVJUNVJVSAMVJVMMEZSZNTEVOBNKGZLZVSWDUFWDVOBWEWDVJVNVJWCUGWDVL
      NVMIVJVLNOWCVJVLNFGZNVJVKNFDUHUIWGNOVJUJPUKULWCNVMIJVJVMUOUMUPQUQVRWFCNTV
      PNOVOBVQWEVPNKURUSUTVAVBQWBWAVERADDCBDVCDVCERVDPBHZDGDORWHTESWHVFPVGVHVI
      $.
  $}

  ${
    $d A j k x $.  $d F j k x $.  $d M j $.  $d Z j k $.  $d j k ph x $.
    climuzlem.1 $e |- ( ph -> M e. ZZ ) $.
    climuzlem.2 $e |- Z = ( ZZ>= ` M ) $.
    climuzlem.3 $e |- ( ph -> F : Z --> CC ) $.
    $( Express the predicate:  The limit of complex number sequence ` F ` is
       ` A ` , or ` F ` converges to ` A ` .  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    climuzlem $p |- ( ph -> ( F ~~> A <-> ( A e. CC /\ A. x e. RR+ E. j e. Z A.
       k e. ( ZZ>= ` j ) ( abs ` ( ( F ` k ) - A ) ) < x ) ) ) $=
      ( cc wcel cv wral crp wa cz cvv adantr cli wbr cfv cmin cabs clt cuz wrex
      co climcl adantl id climrel brrelex1i eqidd clim mpbid simprd wi simpr wb
      rexuz3 syl mpbird ralimi reximi a1i mpd ralimdva jca simprl nfv nfre1 w3a
      uzssz2 sseli 3ad2ant2 simpll uztrn2 adantll ffvelrnda syl2anc 3impia rspe
      ex 3exp rexlimd ralimdv imp adantrl fvexi fexd impbida ) AFCUAUBZCLMZENZF
      UCZCUDUIUEUCBNZUFUBZEDNZUGUCZOZDHUHZBPOZQZAWNQZWOXDWNWOACFUJUKXFWQLMZWSQZ
      EXAOZDRUHZBPOZXDWNXKAWNWOXKWNWNWOXKQZWNULWNBCWQDEFSFCUAUMUNWNWPRMZQWQUOUP
      UQURUKAXKXDUSWNAXJXCBPAXJXCUSWRPMAXJXCAXJQZXIDHUHZXCXNXOXJAXJUTAXOXJVAZXJ
      AGRMXPIXHDEGHJVBVCTVDXOXCUSXNXIXBDHXHWSEXAXGWSUTVEVFVGVHWETVITVHVJAXEQZWN
      XLXQWOXKAWOXDVKAXDXKWOAXDXKAXCXJBPAXBXJDHADVLXIDRVMAWTHMZXBXJAXRXBVNWTRMZ
      XIXJXRAXSXBHRWTGHJVOVPVQAXRXBXIAXRQZWSXHEXAXTWPXAMZQZWSXHYBWSQXGWSYBXGWSY
      BAWPHMZXGAXRYAVRXRYAYCAGWPWTHJVSVTAHLWPFKWAWBTYBWSUTVJWEVIWCXIDRWDWBWFWGW
      HWIWJVJAWNXLVAXEABCWQDEFSAHLSFKHSMAHGUGJWKVGWLAXMQWQUOUPTVDWM $.
  $}

  ${
    $d A i j k l x y $.  $d F i j l x y $.  $d M i $.  $d Z i j l x y $.
    $d i l ph y $.
    climuz.k $e |- F/_ k F $.
    climuz.m $e |- ( ph -> M e. ZZ ) $.
    climuz.z $e |- Z = ( ZZ>= ` M ) $.
    climuz.f $e |- ( ph -> F : Z --> CC ) $.
    $( Express the predicate:  The limit of complex number sequence ` F ` is
       ` A ` , or ` F ` converges to ` A ` .  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    climuz $p |- ( ph -> ( F ~~> A <-> ( A e. CC /\ A. x e. RR+ E. j e. Z A. k
       e. ( ZZ>= ` j ) ( abs ` ( ( F ` k ) - A ) ) < x ) ) ) $=
      ( vl vi cv cfv cmin clt wral nfcv vy cli wbr cc wcel co cabs cuz wrex crp
      wa climuzlem wb wceq breq2 ralbidv rexbidv raleqdv nffv nfov nfv fvoveq1d
      fveq2 nfbr breq1d cbvralw a1i bitrd cbvrexvw cbvralvw anbi2i ) AFCUBUCCUD
      UEZMOZFPZCQUFZUGPZUAOZRUCZMNOZUHPZSZNHUIZUAUJSZUKZVLEOZFPZCQUFUGPZBOZRUCZ
      EDOZUHPZSZDHUIZBUJSZUKZAUACNMFGHJKLULWDWOUMAWCWNVLWBWMUABUJVQWHUNZWBVPWHR
      UCZMVTSZNHUIZWMWPWAWRNHWPVRWQMVTVQWHVPRUOUPUQWSWMUMWPWRWLNDHVSWJUNZWRWQMW
      KSZWLWTWQMVTWKVSWJUHVCURXAWLUMWTWQWIMEWKEVPWHREVOUGEUGTEVNCQEVMFIEVMTUSEQ
      TECTUTUSERTEWHTVDWIMVAVMWEUNZVPWGWHRXBVNWFCUGQVMWEFVCVBVEVFVGVHVIVGVHVJVK
      VGVH $.
  $}

  ${
    $d F j k u $.  $d J j k u $.  $d P j k u $.  $d X j k u $.  $d j k ph u $.
    lmbr3v.1 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    $( Express the binary relation "sequence ` F ` converges to point
       ` P ` " in a metric space using an arbitrary upper set of integers.
       (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    lmbr3v $p |- ( ph -> ( F ( ~~>t ` J ) P <-> ( F e. ( X ^pm CC ) /\ P e. X
       /\ A. u e. J ( P e. u -> E. j e. ZZ A. k e. ( ZZ>= ` j ) ( k e. dom F /\
       ( F ` k ) e. u ) ) ) ) ) $=
      ( clm cfv wcel cv cuz wral cc0 wrex wi w3a cz wbr cc cpm co wa eqid lmbr2
      cdm 0zd wb 0z rexuz3 ax-mp imbi2i ralbii 3anbi3i bitrdi ) AFCGJKUAFHUBUCU
      DLZCHLZCBMZLZEMZFUHLVBFKUTLUEZEDMNKOZDPNKZQZRZBGOZSURUSVAVDDTQZRZBGOZSABC
      DEFGPHVEIVEUFZAUIUGVHVKURUSVGVJBGVFVIVAPTLVFVIUJUKVCDEPVEVLULUMUNUOUPUQ
      $.
  $}

  ${
    $d A j k x $.  $d F j k x $.  $d M j $.  $d X j k x $.  $d Z j k $.
    $d j k ph x $.
    climisp.m $e |- ( ph -> M e. ZZ ) $.
    climisp.z $e |- Z = ( ZZ>= ` M ) $.
    climisp.f $e |- ( ph -> F : Z --> CC ) $.
    climisp.c $e |- ( ph -> F ~~> A ) $.
    climisp.x $e |- ( ph -> X e. RR+ ) $.
    climisp.l $e |- ( ( ph /\ k e. Z /\ ( F ` k ) =/= A ) -> X <_ ( abs ` ( ( F
       ` k ) - A ) ) ) $.
    $( If a sequence converges to an isolated point (w.r.t. the standard
       topology on the complex numbers) then the sequence eventually becomes
       that point.  (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    climisp $p |- ( ph -> E. j e. Z A. k e. ( ZZ>= ` j ) ( F ` k ) = A ) $=
      ( vx cc wcel wbr wa cz cv cfv cmin co cabs clt cuz wral nfv nfra1 simplll
      wceq nfan uztrn2 ad4ant24 simprd adantll w3a wn simpl3 wne neqne cr rpred
      rspa ad2antrr ffvelrnda wrex crp cli cvv fvexi a1i fexd eqidd clim simpld
      mpbid adantr subcld abscld 3expa lensymd sylan2 3adantl3 syl3anc ralrimia
      cle condan breq2 anbi2d rexralbidv rspcdva wb rexuz3 syl mpbird reximddv3
      ) ADUAZEUBZPQZWTBUCUDZUEUBZGUFRZSZDCUAZUGUBZUHZWTBULZDXGUHCHAXFHQZSZXHSZX
      IDXGXKXHDXKDUIXEDXGUJUMXLWSXGQZSAWSHQZXDXIAXJXHXMUKXJXMXNAXHFWSXFHJUNUOXH
      XMXDXKXHXMSXAXDXEDXGVEUPUQAXNXDURXIXDAXNXDXIUSZUTAXNXOXDUSZXDXOAXNSZWTBVA
      ZXPWTBVBXQXRSGXCAGVCQXNXRAGMVDVFXQXCVCQXRXQXBXQWTBAHPWSEKVGABPQZXNAXSXAXC
      OUAZUFRZSZDXGUHCTVHZOVIUHZAEBVJRXSYDSLAOBWTCDEVKAHPVKEKHVKQAHFUGJVLVMVNAW
      STQSWTVOVPVRZVQVSVTWAVSAXNXRGXCWHRNWBWCWDWEWIWFWGAXHCHVHZXHCTVHZAYCYGOVIG
      XTGULZYBXECDTXGYHYAXDXAXTGXCUFWJWKWLAXSYDYEUPMWMAFTQYFYGWNIXECDFHJWOWPWQW
      R $.
  $}

  ${
    $d F i j l u v $.  $d J i l u v $.  $d P i l u v $.  $d X i l v $.
    $d i j k l u v $.  $d i l ph v $.
    lmbr3.1 $e |- F/_ k F $.
    lmbr3.2 $e |- ( ph -> J e. ( TopOn ` X ) ) $.
    $( Express the binary relation "sequence ` F ` converges to point
       ` P ` " in a metric space using an arbitrary upper set of integers.
       (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    lmbr3 $p |- ( ph -> ( F ( ~~>t ` J ) P <-> ( F e. ( X ^pm CC ) /\ P e. X /\
       A. u e. J ( P e. u -> E. j e. ZZ A. k e. ( ZZ>= ` j ) ( k e. dom F /\ (
       F ` k ) e. u ) ) ) ) ) $=
      ( vv vl vi cfv wcel cv wa cuz wral cz clm wbr cc cpm co cdm wi w3a lmbr3v
      wrex weq eleq2w anbi2d rexralbidv raleqdv nfcv nfdm nfel nffv nfan eleq1w
      fveq2 nfv eleq1d anbi12d cbvralw bitrdi cbvrexvw imbi12d cbvralvw 3anbi3i
      ) AFCGUANUBFHUCUDUEOZCHOZCKPZOZLPZFUFZOZVPFNZVNOZQZLMPZRNZSMTUJZUGZKGSZUH
      VLVMCBPZOZEPZVQOZWIFNZWGOZQZEDPZRNZSZDTUJZUGZBGSZUHAKCMLFGHJUIWFWSVLVMWEW
      RKBGKBUKZVOWHWDWQKBCULWTWDVRVSWGOZQZLWCSZMTUJWQWTWAXBMLTWCWTVTXAVRKBVSULU
      MUNXCWPMDTMDUKZXCXBLWOSWPXDXBLWCWOWBWNRVBUOXBWMLEWOVRXAEEVPVQEVPUPZEFIUQU
      REVSWGEVPFIXEUSEWGUPURUTWMLVCLEUKZVRWJXAWLLEVQVAXFVSWKWGVPWIFVBVDVEVFVGVH
      VGVIVJVKVG $.
  $}

  ${
    $d F i j $.  $d F i k x $.  $d M i $.  $d Z i j $.  $d Z i k $.
    $d i k ph x $.
    climrescn.m $e |- ( ph -> M e. ZZ ) $.
    climrescn.z $e |- Z = ( ZZ>= ` M ) $.
    climrescn.f $e |- ( ph -> F Fn Z ) $.
    climrescn.c $e |- ( ph -> F e. dom ~~> ) $.
    $( A sequence converging w.r.t. the standard topology on the complex
       numbers, eventually becomes a sequence of complex numbers.  (Contributed
       by Glauco Siliprandi, 5-Feb-2022.) $)
    climrescn $p |- ( ph -> E. j e. Z ( F |` ( ZZ>= ` j ) ) : ( ZZ>= ` j ) -->
       CC ) $=
      ( vi vk vx cv cfv cc wrex wcel c1 wa cz cuz cres wf cli cmin cabs clt wbr
      co wral cdm nfv nfra1 nfan uztrn2 adantll fndmd ad2antrr eleqtrrd adantlr
      wceq rspa simpld adantlll jca ralrimia wfn wfun fnfun ffvresb 3syl mpbird
      wb crp breq2 anbi2d rexralbidv climdm sylib eqidd clim simprd 1rp rspcdva
      mpbid a1i rexuz3 syl reximddv3 fveq2 reseq2d feq12d cbvrexvw sylibr ) AJM
      ZUANZOCWPUBZUCZJEPBMZUANZOCWTUBZUCZBEPAKMZCNZOQZXDCUDNZUEUIUFNZRUGUHZSZKW
      PUJZWRJEAWOEQZSZXJSZWRXCCUKZQZXESZKWPUJZXMXPKWPXLXJKXLKULXIKWPUMUNXMXCWPQ
      ZSXOXEXLXRXOXJXLXRSXCEXNXKXRXCEQADXCWOEGUOUPAXNEVAXKXRAECHUQURUSUTXKXJXRX
      EAXKXJSXRSXEXHXJXRXIXKXIKWPVBUPVCVDVEVFAWRXQVMZXKXJACEVGCVHXSHECVIKWPOCVJ
      VKURVLAXJJEPZXJJTPZAXEXGLMZUGUHZSZKWPUJJTPZYALVNRYBRVAZYDXIJKTWPYFYCXHXEY
      BRXGUGVOVPVQAXFOQZYELVNUJZACXFUDUHZYGYHSACUDUKZQYIICVRVSALXFXDJKCYJIAXCTQ
      SXDVTWAWEWBRVNQAWCWFWDADTQXTYAVMFXIJKDEGWGWHVLWIXBWRBJEWSWOVAZWTWPOXAWQYK
      WTWPCWSWOUAWJZWKYLWLWMWN $.
  $}

  ${
    $d A j k x $.  $d D j k x $.  $d F j k x $.  $d M j $.  $d Z j k $.
    $d j k ph x $.
    climxrrelem.m $e |- ( ph -> M e. ZZ ) $.
    climxrrelem.z $e |- Z = ( ZZ>= ` M ) $.
    climxrrelem.f $e |- ( ph -> F : Z --> RR* ) $.
    climxrrelem.c $e |- ( ph -> F ~~> A ) $.
    climxrrelem.d $e |- ( ph -> D e. RR+ ) $.
    climxrrelem.p $e |- ( ( ph /\ +oo e. CC ) -> D <_ ( abs ` ( +oo - A ) ) )
                    $.
    climxrrelem.n $e |- ( ( ph /\ -oo e. CC ) -> D <_ ( abs ` ( -oo - A ) ) )
                    $.
    $( If a seqence ranging over the extended reals converges w.r.t. the
       standard topology on the complex numbers, then there exists an upper set
       of the integers over which the function is real-valued.  (Contributed by
       Glauco Siliprandi, 5-Feb-2022.) $)
    climxrrelem $p |- ( ph -> E. j e. Z ( F |` ( ZZ>= ` j ) ) : ( ZZ>= ` j )
       --> RR ) $=
      ( vk wcel clt wbr wa adantll vx cv cfv cc cmin co cabs cuz wral cr wf cdm
      cres nfv nfan uztrn2 wceq cxr fdmd ad2antrr eleqtrrd adantlrr simpll rspa
      nfra1 w3a ffvelrnda 3adant3 cmnf cle simpr simpl eqeltrrd syl2anc fvoveq1
      wn adantl eqbrtrrd adantlrl cz wrex crp cli cvv fvexi a1i fexd eqidd clim
      mpbid simpld subcld abscld rpred ltnled 3adant2 neqned cpnf xrred syl3anc
      pm2.65da jca ralrimia wb ffund ffvresb syl adantr mpbird breq2 rexralbidv
      wfun anbi2d simprd rspcdva rexuz3 reximddv ) AOUBZEUCZUDPZXSBUEUFUGUCZCQR
      ZSZODUBZUHUCZUIZYEUJEYEUMUKZDGAYDGPZYFSZSZYGXREULZPZXSUJPZSZOYEUIZYJYNOYE
      AYIOAOUNYHYFOYHOUNYCOYEVEUOUOYJXRYEPZSZYLYMAYHYPYLYFAYHSYPSXRGYKYHYPXRGPZ
      AFXRYDGIUPTZAYKGUQYHYPAGUREJUSUTVAVBYQAYRYCYMAYIYPVCAYHYPYRYFYSVBYIYPYCAY
      FYPYCYHYCOYEVDTTAYRYCVFZXSAYRXSURPYCAGURXREJVGVHYTXSVIAYCXSVIUQZVPYRAYCSZ
      UUACVIBUEUFZUGUCZVJRZAXTUUAUUEYBAXTSZUUASZAVIUDPZUUEAXTUUAVCXTUUAUUHAXTUU
      ASXSVIUDXTUUAVKXTUUAVLVMTZNVNVBUUBUUASZUUDCQRZUUEVPAYBUUAUUKXTYBUUAUUKAYB
      UUASYAUUDCQUUAYAUUDUQYBXSVIBUGUEVOVQYBUUAVLVRTVSUUJUUDCAXTUUAUUDUJPYBUUGU
      UCUUGVIBUUIABUDPZXTUUAAUULXTYAUAUBZQRZSZOYEUIDVTWAZUAWBUIZAEBWCRUULUUQSKA
      UABXSDOEWDAGURWDEJGWDPAGFUHIWEWFWGAXRVTPSXSWHWIWJZWKZUTWLWMVBACUJPZYCUUAA
      CLWNZUTWOWJXAWPWQYTXSWRAYCXSWRUQZVPYRUUBUVBCWRBUEUFZUGUCZVJRZAXTUVBUVEYBU
      UFUVBSZAWRUDPZUVEAXTUVBVCXTUVBUVGAXTUVBSXSWRUDXTUVBVKXTUVBVLVMTZMVNVBUUBU
      VBSZUVDCQRZUVEVPAYBUVBUVJXTYBUVBUVJAYBUVBSYAUVDCQUVBYAUVDUQYBXSWRBUGUEVOV
      QYBUVBVLVRTVSUVIUVDCAXTUVBUVDUJPYBUVFUVCUVFWRBUVHAUULXTUVBUUSUTWLWMVBAUUT
      YCUVBUVAUTWOWJXAWPWQWSWTXBXCAYGYOXDZYIAEXLUVKAGUREJXEOYEUJEXFXGXHXIAYFDGW
      AZYFDVTWAZAUUPUVMUAWBCUUMCUQZUUOYCDOVTYEUVNUUNYBXTUUMCYAQXJXMXKAUULUUQUUR
      XNLXOAFVTPUVLUVMXDHYCDOFGIXPXGXIXQ $.
  $}

  ${
    $d A j k x $.  $d F j k x $.  $d M j $.  $d Z j k $.  $d j k ph x $.
    climxrre.m $e |- ( ph -> M e. ZZ ) $.
    climxrre.z $e |- Z = ( ZZ>= ` M ) $.
    climxrre.f $e |- ( ph -> F : Z --> RR* ) $.
    climxrre.a $e |- ( ph -> A e. RR ) $.
    climxrre.c $e |- ( ph -> F ~~> A ) $.
    $( If a sequence ranging over the extended reals converges w.r.t. the
       standard topology on the complex numbers, then there exists an upper set
       of the integers over which the function is real-valued (the weaker
       hypothesis ` F e. dom ~~> ` is probably not enough, since in principle
       we could have ` +oo e. CC ` and ` -oo e. CC ` ).  (Contributed by Glauco
       Siliprandi, 5-Feb-2022.) $)
    climxrre $p |- ( ph -> E. j e. Z ( F |` ( ZZ>= ` j ) ) : ( ZZ>= ` j ) -->
       RR ) $=
      ( vk cpnf wcel wa cmnf wbr cz ad2antrr adantr vx cc cv cuz cfv cr cres wf
      wrex cmin co cabs cle cif cxr cli crp simpr subcld wne renepnf necomd syl
      recnd subne0d absrpcld renemnf ifcld rpred min1d min2d climxrrelem pm2.21
      adantlr leidd imp adantll pm2.61dan ad4ant24 ad4ant13 wral cdm nfra1 nfan
      wn nfv simp-4l uztrn2 wceq fdmd eleqtrrd syl2anc ffvelrnda simpllr nelne2
      rspa simp-4r xrred jca ralrimia wb wfun ffund ffvresb ad3antrrr mpbird c1
      clt r19.26 simplbi ad2antll breq2 anbi2d rexralbidv fvexi fexd eqidd clim
      cvv a1i mpbid simprd 1rp rspcdva reximddv rexuz3 ) AMUBNZCUCZUDUEZUFDYIUG
      UHZCFUIZAYGOZPUBNZYKYLYMOZBMBUJUKZULUEZPBUJUKZULUEZUMQZYPYRUNZCDEFAERNZYG
      YMGSHAFUODUHZYGYMISADBUPQZYGYMKSYNYSYPYRUQYLYPUQNZYMYLYOYLMBAYGURZABUBNZY
      GABJVDZTZUSYLMBUUEUUHAMBUTZYGABUFNZUUIJUUJBMBVAVBVCTVEVFZTZAYMYRUQNZYGAYM
      OZYQUUNPBAYMURZAUUFYMUUGTZUSUUNPBUUOUUPUUNUUJPBUTAUUJYMJTUUJBPBVGVBVCVEVF
      ZVNZVHYNYTYPUMQYGYNYPYRYNYPUULVIZYNYRUURVIZVJTYNYTYRUMQYMYNYPYRUUSUUTVKTV
      LYLYMWEZOBYPCDEFAUUAYGUVAGSHAUUBYGUVAISAUUCYGUVAKSYLUUDUVAUUKTYLYPYPUMQUV
      AYGYLYPYLYPUUKVIVOSUVAYMYSYLUVAYMYSYMYSVMVPVQVLVRAYGWEZOZYMYKUVCYMOBYRCDE
      FAUUAUVBYMGSHAUUBUVBYMISAUUCUVBYMKSAYMUUMUVBUUQVNUVBYGYRYPUMQZAYMUVBYGUVD
      YGUVDVMVPVSAYMYRYRUMQUVBYMUUNYRUUNYRUUQVIVOVTVLUVCUVAOZLUCZDUEZUBNZLYIWAZ
      YJCFUVEYHFNZUVIOZOZYJUVFDWBZNZUVGUFNZOZLYIWAZUVLUVPLYIUVEUVKLUVELWFUVJUVI
      LUVJLWFUVHLYIWCWDWDUVLUVFYINZOZUVNUVOUVSAUVFFNZUVNAUVBUVAUVKUVRWGZUVKUVRU
      VTUVEUVJUVRUVTUVIEUVFYHFHWHVNVQZAUVTOUVFFUVMAUVTURAUVMFWIUVTAFUODIWJTWKWL
      UVSUVGUVSAUVTUVGUONUWAUWBAFUOUVFDIWMWLUVSUVHUVAUVGPUTUVKUVRUVHUVEUVIUVRUV
      HUVJUVHLYIWPVQVQZUVCUVAUVKUVRWNUVGPUBWOWLUVSUVHUVBUVGMUTUWCAUVBUVAUVKUVRW
      QUVGMUBWOWLWRWSWTAYJUVQXAZUVBUVAUVKADXBUWDAFUODIXCLYIUFDXDVCXEXFAUVICFUIZ
      UVBUVAAUWEUVICRUIZAUVHUVGBUJUKULUEZXGXHQZOZLYIWAZUVICRUWJUVIAYHRNUWJUVIUW
      HLYIWAUVHUWHLYIXIXJXKAUVHUWGUAUCZXHQZOZLYIWACRUIZUWJCRUIUAUQXGUWKXGWIZUWM
      UWICLRYIUWOUWLUWHUVHUWKXGUWGXHXLXMXNAUUFUWNUAUQWAZAUUCUUFUWPOKAUABUVGCLDX
      SAFUOXSDIFXSNAFEUDHXOXTXPAUVFRNOUVGXQXRYAYBXGUQNAYCXTYDYEAUUAUWEUWFXAGUVH
      CLEFHYFVCXFSYEVRVR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Inferior limit (lim inf)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c liminf $.

  $( Extend class notation to include the liminf function.  (actually, it makes
     sense for any extended real function defined on a subset of RR which is
     not upper-bounded) $)
  clsi $a class liminf $.

  ${
    $d x k $.
    $( Define the inferior limit of a sequence of extended real numbers.
       (Contributed by GS, 2-Jan-2022.) $)
    df-liminf $a |- liminf = ( x e. _V |-> sup ( ran ( k e. RR |-> inf ( ( ( x
       " ( k [,) +oo ) ) i^i RR* ) , RR* , < ) ) , RR* , < ) ) $.
  $}

  ${
    $d A i k $.  $d B i $.  $d F i j $.  $d F i k $.  $d i ph $.
    limsuplt2.1 $e |- ( ph -> B C_ RR ) $.
    limsuplt2.2 $e |- ( ph -> F : B --> RR* ) $.
    limsuplt2.3 $e |- ( ph -> A e. RR* ) $.
    $( The defining property of the superior limit.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    limsuplt2 $p |- ( ph -> ( ( limsup ` F ) < A <-> E. k e. RR sup ( ( ( F " (
       k [,) +oo ) ) i^i RR* ) , RR* , < ) < A ) ) $=
      ( vi vj clt wbr cv cr cpnf cico co cima cxr cin clsp cfv csup cmpt wss wf
      wrex wcel wb eqid limsuplt syl3anc wa cvv wceq oveq1 imaeq2d ineq1d simpr
      supeq1d xrltso supex a1i fvmptd3 breq1d rexbidva cbvrexvw 3bitrd ) AEUAUB
      BKLZIMZJNEJMZOPQZRZSTZSKUCZUDZUBZBKLZINUGZEVJOPQZRZSTZSKUCZBKLZINUGZEDMZO
      PQZRZSTZSKUCZBKLZDNUGZACNUECSEUFBSUHVIVSUIFGHBCIJEVPVPUJZUKULAVRWDINAVJNU
      HZUMZVQWCBKWOJVJVOWCNVPUNWMVKVJUOZSVNWBKWPVMWASWPVLVTEVKVJOPUPUQURUTAWNUS
      WCUNUHWOSWBKVAVBVCVDVEVFWEWLUIAWDWKIDNVJWFUOZWCWJBKWQSWBWIKWQWAWHSWQVTWGE
      VJWFOPUPUQURUTVEVGVCVH $.
  $}

  ${
    $d A w x y z $.  $d B w x y z $.  $d F x $.
    $( Ordering property of the inferior limit function.  (Contributed by
       Glauco Siliprandi, 2-Jan-2022.) $)
    liminfgord $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) -> inf ( ( ( F " ( A
       [,) +oo ) ) i^i RR* ) , RR* , < ) <_ inf ( ( ( F " ( B [,) +oo ) ) i^i
       RR* ) , RR* , < ) ) $=
      ( vx vy vz vw cr wcel cle wbr cpnf cico co cima cxr cin clt cinf wss wral
      w3a cv wa inss2 a1i rexr 3ad2ant1 simp3 df-ico xrletr ixxss1 imass2 ssrin
      syl2anc sselda infxrlb ralrimiva wb infxrcl ax-mp infxrgelb mp2an sylibr
      3syl ) AHIZBHIZABJKZUBZCALMNZOZPQZPRSZDUCZJKZDCBLMNZOZPQZUAZVMVRPRSJKZVIV
      ODVRVIVNVRIUDZVLPTZVNVLIVOWBWAVKPUEZUFVIVRVLVNVIVPVJTZVQVKTVRVLTVIAPIZVHW
      DVFVGWEVHAUGUHVFVGVHUIDEFGABLMJRJMJDEFUJZWFABGUCUKULUOVPVJCUMVQVKPUNVEUPV
      LVNUQUOURVRPTVMPIZVTVSUSVQPUEWBWGWCVLUTVADVRVMVBVCVD $.
  $}

  ${
    $d F k $.
    limsupvald.1 $e |- ( ph -> F e. V ) $.
    limsupvald.2 $e |- G = ( k e. RR |-> sup ( ( ( F " ( k [,) +oo ) ) i^i RR*
       ) , RR* , < ) ) $.
    $( The superior limit of a sequence ` F ` of extended real numbers is the
       infimum of the set of suprema of all restrictions of ` F ` to an
       upperset of reals .  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    limsupvald $p |- ( ph -> ( limsup ` F ) = inf ( ran G , RR* , < ) ) $=
      ( wcel clsp cfv crn cxr clt cinf wceq limsupval syl ) ACEHCIJDKLMNOFBCDEG
      PQ $.
  $}

  ${
    $d A x $.  $d Z x $.
    limsupresicompt.a $e |- ( ph -> A e. V ) $.
    limsupresicompt.m $e |- ( ph -> M e. RR ) $.
    limsupresicompt.z $e |- Z = ( M [,) +oo ) $.
    $( The superior limit doesn't change when a function is restricted to the
       upper part of the reals.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    limsupresicompt $p |- ( ph -> ( limsup ` ( x e. A |-> B ) ) = ( limsup ` (
       x e. ( A i^i Z ) |-> B ) ) ) $=
      ( cmpt cres clsp cfv cin cvv mptexd limsupresico wceq resmpt3 a1i fveq2d
      eqtr3d ) ABCDKZGLZMNUDMNBCGODKZMNAUDEPGIJABCDFHQRAUEUFMUEUFSABCGDTUAUBUC
      $.
  $}

  ${
    limsupcli.1 $e |- F e. V $.
    $( Closure of the superior limit.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    limsupcli $p |- ( limsup ` F ) e. RR* $=
      ( wcel clsp cfv cxr limsupcl ax-mp ) ABDAEFGDCABHI $.
  $}

  ${
    liminfgf.1 $e |- G = ( k e. RR |-> inf ( ( ( F " ( k [,) +oo ) ) i^i RR* )
       , RR* , < ) ) $.
    $( Closure of the inferior limit function.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    liminfgf $p |- G : RR --> RR* $=
      ( cr cxr cv cpnf cico cima cin clt cinf wss wcel inss2 infxrcl mp1i fmpti
      co ) AEFBAGZHITJZFKZFLMZCDUCFNUDFOUAEOUBFPUCQRS $.
  $}

  ${
    $d F k x $.  $d G x $.  $d V x $.
    liminfval.1 $e |- G = ( k e. RR |-> inf ( ( ( F " ( k [,) +oo ) ) i^i RR* )
       , RR* , < ) ) $.
    $( The inferior limit of a set ` F ` .  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    liminfval $p |- ( F e. V -> ( liminf ` F ) = sup ( ran G , RR* , < ) ) $=
      ( vx wcel cr cv cima cxr cin clt cinf cmpt crn csup cvv wceq a1i mpteq2dv
      cpnf cico clsi df-liminf imaeq1 ineq1d infeq1d eqtr4d supeq1d elex xrltso
      co rneqd supex fvmptd3 ) BDGZFBAHFIZAIUBUCUMZJZKLZKMNZOZPZKMQCPZKMQZRUDRF
      AUEURBSZKVDVEMVGVCCVGVCAHBUSJZKLZKMNZOZCVGAHVBVJVGKVAVIMVGUTVHKURBUSUFUGU
      HUACVKSVGETUIUNUJBDUKVFRGUQKVEMULUOTUP $.
  $}

  ${
    $d F k m x $.  $d M k m x $.  $d Z k m x $.  $d k m ph x $.
    climlimsup.1 $e |- ( ph -> M e. ZZ ) $.
    climlimsup.2 $e |- Z = ( ZZ>= ` M ) $.
    climlimsup.3 $e |- ( ph -> F : Z --> RR ) $.
    $( A sequence of real numbers converges if and only if it converges to its
       superior limit.  The first hypothesis is needed (see ~ climlimsupcex for
       a counterexample).  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    climlimsup $p |- ( ph -> ( F e. dom ~~> <-> F ~~> ( limsup ` F ) ) ) $=
      ( vx vk vm cli cdm wcel clsp cfv wbr wa adantr cv wral cr wf cz cmin cabs
      co clt cuz wrex simpr climcau syl2anc caurcvg wrel climrel releldm adantl
      crp mpan impbida ) ABKLMZBBNOZKPZAVAQZHIJBCDFADUABUBVAGRVDCUCMZVAISBOJSZB
      OUDUFUEOHSUGPIVFUHOTJDUIHURTAVEVAERAVAUJHJIBCDFUKULUMVCVAAKUNVCVAUOBVBKUP
      USUQUT $.
  $}

  ${
    $d A i k $.  $d B i $.  $d F i j $.  $d F i k $.  $d i ph $.
    limsupge.b $e |- ( ph -> B C_ RR ) $.
    limsupge.f $e |- ( ph -> F : B --> RR* ) $.
    limsupge.a $e |- ( ph -> A e. RR* ) $.
    $( The defining property of the superior limit.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    limsupge $p |- ( ph -> ( A <_ ( limsup ` F ) <-> A. k e. RR A <_ sup ( ( (
       F " ( k [,) +oo ) ) i^i RR* ) , RR* , < ) ) ) $=
      ( vi vj cle wbr cv cpnf cico co cima cxr clt cr clsp cfv cin csup wral wf
      cmpt wss wcel wb eqid limsuple syl3anc wa cvv wceq imaeq2d ineq1d supeq1d
      oveq1 simpr xrltso supex a1i fvmptd3 breq2d ralbidva bitrd cbvralvw ) ABE
      UAUBKLZBEIMZNOPZQZRUCZRSUDZKLZITUEZBEDMZNOPZQZRUCZRSUDZKLZDTUEZAVJBVKJTEJ
      MZNOPZQZRUCZRSUDZUGZUBZKLZITUEZVQACTUHCREUFBRUIVJWMUJFGHBCIJEWJWJUKZULUMA
      WLVPITAVKTUIZUNZWKVOBKWPJVKWIVOTWJUOWNWEVKUPZRWHVNSWQWGVMRWQWFVLEWEVKNOUT
      UQURUSAWOVAVOUOUIWPRVNSVBVCVDVEVFVGVHVQWDUJAVPWCIDTVKVRUPZVOWBBKWRRVNWASW
      RVMVTRWRVLVSEVKVRNOUTUQURUSVFVIVDVH $.
  $}

  ${
    $d F k $.  $d M k $.
    liminfgval.1 $e |- G = ( k e. RR |-> inf ( ( ( F " ( k [,) +oo ) ) i^i RR*
       ) , RR* , < ) ) $.
    $( Value of the inferior limit function.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    liminfgval $p |- ( M e. RR -> ( G ` M ) = inf ( ( ( F " ( M [,) +oo ) ) i^i
       RR* ) , RR* , < ) ) $=
      ( cv cpnf cico co cima cxr cin clt cinf wceq oveq1 imaeq2d ineq1d infeq1d
      cr xrltso infex fvmpt ) ADBAFZGHIZJZKLZKMNBDGHIZJZKLZKMNTCUDDOZKUGUJMUKUF
      UIKUKUEUHBUDDGHPQRSEKUJMUAUBUC $.
  $}

  ${
    $d F k $.  $d V k $.
    $( Closure of the inferior limit.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    liminfcl $p |- ( F e. V -> ( liminf ` F ) e. RR* ) $=
      ( vk wcel clsi cfv cr cv cpnf cico co cima cxr cin clt cinf cmpt crn csup
      eqid liminfval nfv wss inss2 infxrcl ax-mp a1i rnmptssd supxrcld eqeltrd
      wa ) ABDZAEFCGACHZIJKLZMNZMOPZQZRZMOSMCAUQBUQTZUAULURULCGUPMUQULCUBUSUPMD
      ZULUMGDUKUOMUCUTUNMUDUOUEUFUGUHUIUJ $.
  $}

  ${
    $d F k $.
    liminfvald.1 $e |- ( ph -> F e. V ) $.
    liminfvald.2 $e |- G = ( k e. RR |-> inf ( ( ( F " ( k [,) +oo ) ) i^i RR*
       ) , RR* , < ) ) $.
    $( The inferior limit of a set ` F ` .  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    liminfvald $p |- ( ph -> ( liminf ` F ) = sup ( ran G , RR* , < ) ) $=
      ( wcel clsi cfv crn cxr clt csup wceq liminfval syl ) ACEHCIJDKLMNOFBCDEG
      PQ $.
  $}

  ${
    $d F k $.
    limsupval5.1 $e |- F/ k ph $.
    limsupval5.2 $e |- ( ph -> A e. V ) $.
    limsupval5.3 $e |- ( ph -> F : A --> RR* ) $.
    limsupval5.4 $e |- G = ( k e. RR |-> inf ( ( F " ( k [,) +oo ) ) , RR* , <
       ) ) $.
    $( The inferior limit of an infinite sequence ` F ` of extended real
       numbers.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    liminfval5 $p |- ( ph -> ( liminf ` F ) = sup ( ran G , RR* , < ) ) $=
      ( cr cxr clt cinf cmpt crn csup cvv wcel wceq clsi cfv cpnf cico cima cin
      cv co fexd eqid liminfval syl a1i wss fimassd df-ss eqcomd adantr infeq1d
      wa sylib mpteq2da eqtr2d rneqd supeq1d eqtrd ) ADUAUBZCKDCUGZUCUDUHZUEZLU
      FZLMNZOZPZLMQZEPZLMQADRSVGVOTABLFDIHUICDVMRVMUJUKULALVNVPMAVMEAECKVJLMNZO
      ZVMEVRTAJUMACKVQVLGAVHKSZUTLVJVKMAVJVKTVSAVKVJAVJLUNVKVJTABLDVIIUOVJLUPVA
      UQURUSVBVCVDVEVF $.
  $}

  ${
    $d A k x y $.  $d F k x y $.  $d k ph x y $.
    limsupresxr.1 $e |- ( ph -> F e. V ) $.
    limsupresxr.2 $e |- ( ph -> Fun F ) $.
    limsupresxr.3 $e |- A = ( `' F " RR* ) $.
    $( The superior limit of a function only depends on the restriction of that
       function to the preimage of the set of extended reals.  (Contributed by
       Glauco Siliprandi, 2-Jan-2022.) $)
    limsupresxr $p |- ( ph -> ( limsup ` ( F |` A ) ) = ( limsup ` F ) ) $=
      ( vk vy vx cr cv cima cxr cin clt cfv wcel wa syl cres cpnf cico csup crn
      co cmpt cinf clsp wss resimass a1i ssrind wral wceq cdm wrex wfn fvelima2
      funfnd elinel1 syl2an w3a ccnv 3ad2ant2 simpr elinel2 eqeltrd 3adant2 jca
      adantr 3adant1l simp1l elpreima mpbird eleqtrrdi 3expa fvresd eqtr2d wfun
      wb simplll funresd ad2antlr elind dmres funfvima rexlimdva2 mpd ralrimiva
      sylc dfss3 sylibr inss2 ssind eqssd supeq1d mpteq2dv rneqd infeq1d resexd
      cvv eqid limsupval 3eqtr4d ) AHKCBUAZHLUBUCUFZMZNOZNPUDZUGZUEZNPUHZHKCXGM
      ZNOZNPUDZUGZUEZNPUHZXFUIQZCUIQZANXLXRPAXKXQAHKXJXPANXIXOPAXIXOAXHXNNXHXNU
      JACBXGUKULUMAXOXHNAILZXHRZIXOUNXOXHUJAYCIXOAYBXORZSZJLZCQZYBUOZJCUPZXGOZU
      QZYCACYIURZYBXNRYKYDACFUTZYBXNNVAJYIYBXGCUSVBYEYHYCJYJYEYFYJRZSZYHSZYBYFX
      FQZXHYPYQYGYBYPYFBCYEYNYHYFBRYEYNYHVCZYFCVDNMZBYRYFYSRZYFYIRZYGNRZSZYDYNY
      HUUCAYDYNYHVCUUAUUBYNYDUUAYHYFYIXGVAZVEYDYHUUBYNYDYHSYGYBNYDYHVFYDYBNRYHY
      BXNNVGVKVHVIVJVLYRAYTUUCWAZAYDYNYHVMAYLUUEYMYIYFNCVNTTVOGVPVQZVRYOYHVFVSY
      PXFVTZYFXFUPZRZSYFXGRZYQXHRYPUUGUUIYPAUUGAYDYNYHWBABCFWCTYPYFBYIOUUHYPBYI
      YFUUFYNUUAYEYHUUDWDWECBWFVPVJYNUUJYEYHYFYIXGVGWDXGYFXFWGWKVHWHWIWJIXOXHWL
      WMXONUJAXNNWNULWOWPWQWRWSWTAXFXBRXTXMUOACBDEXAHXFXKXBXKXCXDTACDRYAXSUOEHC
      XQDXQXCXDTXE $.
  $}

  ${
    $d A k x y $.  $d F k x y $.  $d k ph x y $.
    liminfresxr.1 $e |- ( ph -> F e. V ) $.
    liminfresxr.2 $e |- ( ph -> Fun F ) $.
    liminfresxr.3 $e |- A = ( `' F " RR* ) $.
    $( The inferior limit of a function only depends on the preimage of the
       extended real part.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    liminfresxr $p |- ( ph -> ( liminf ` ( F |` A ) ) = ( liminf ` F ) ) $=
      ( vk vy vx cr cv cima cxr cin clt cfv wcel wa syl cres cpnf cico cinf crn
      co cmpt csup clsi wss resimass a1i ssrind wral wceq cdm wrex wfn fvelima2
      funfnd elinel1 syl2an w3a ccnv 3ad2ant2 simpr elinel2 eqeltrd 3adant2 jca
      adantr 3adant1l simp1l elpreima mpbird eleqtrrdi 3expa fvresd eqtr2d wfun
      wb simplll funresd ad2antlr elind dmres funfvima rexlimdva2 mpd ralrimiva
      sylc dfss3 sylibr inss2 ssind eqssd infeq1d mpteq2dv rneqd supeq1d resexd
      cvv eqid liminfval 3eqtr4d ) AHKCBUAZHLUBUCUFZMZNOZNPUDZUGZUEZNPUHZHKCXGM
      ZNOZNPUDZUGZUEZNPUHZXFUIQZCUIQZANXLXRPAXKXQAHKXJXPANXIXOPAXIXOAXHXNNXHXNU
      JACBXGUKULUMAXOXHNAILZXHRZIXOUNXOXHUJAYCIXOAYBXORZSZJLZCQZYBUOZJCUPZXGOZU
      QZYCACYIURZYBXNRYKYDACFUTZYBXNNVAJYIYBXGCUSVBYEYHYCJYJYEYFYJRZSZYHSZYBYFX
      FQZXHYPYQYGYBYPYFBCYEYNYHYFBRYEYNYHVCZYFCVDNMZBYRYFYSRZYFYIRZYGNRZSZYDYNY
      HUUCAYDYNYHVCUUAUUBYNYDUUAYHYFYIXGVAZVEYDYHUUBYNYDYHSYGYBNYDYHVFYDYBNRYHY
      BXNNVGVKVHVIVJVLYRAYTUUCWAZAYDYNYHVMAYLUUEYMYIYFNCVNTTVOGVPVQZVRYOYHVFVSY
      PXFVTZYFXFUPZRZSYFXGRZYQXHRYPUUGUUIYPAUUGAYDYNYHWBABCFWCTYPYFBYIOUUHYPBYI
      YFUUFYNUUAYEYHUUDWDWECBWFVPVJYNUUJYEYHYFYIXGVGWDXGYFXFWGWKVHWHWIWJIXOXHWL
      WMXONUJAXNNWNULWOWPWQWRWSWTAXFXBRXTXMUOACBDEXAHXFXKXBXKXCXDTACDRYAXSUOEHC
      XQDXQXCXDTXE $.
  $}

  ${
    $d A n x $.  $d F j k $.  $d G n x $.  $d j n ph x $.
    liminfval2.1 $e |- G = ( k e. RR |-> inf ( ( ( F " ( k [,) +oo ) ) i^i RR*
       ) , RR* , < ) ) $.
    liminfval2.2 $e |- ( ph -> F e. V ) $.
    liminfval2.3 $e |- ( ph -> A C_ RR ) $.
    liminfval2.4 $e |- ( ph -> sup ( A , RR* , < ) = +oo ) $.
    $( The superior limit, relativized to an unbounded set.  (Contributed by
       Glauco Siliprandi, 2-Jan-2022.) $)
    liminfval2 $p |- ( ph -> ( liminf ` F ) = sup ( ( G " A ) , RR* , < ) ) $=
      ( vj vx vn cxr clt wcel cr cle wbr wa clsi cfv crn csup cima wceq cv cpnf
      cico co cin cinf oveq1 imaeq2d ineq1d infeq1d cbvmptv eqtri liminfval syl
      cmpt wral wrex wb ssrexr supxrunb1 mpbird liminfgf ffvelrni simpll simprl
      wss ad2antlr sselda syl2anc imassrn wf frn ax-mp sstri supxrcl a1i simplr
      simprr liminfgord syl3anc liminfgval adantlr breq12d adantrr inss2 fnmptd
      wfn nfv infxrcl adantr simpr fnfvimad supxrub xrletrd rexlimdvaa ralimdva
      mpd xrltso infex rgenw fnmpt breq1 ralrn supxrleub mp2an supxrss xrletri3
      cvv sylibr sylanbrc eqtrd ) ADUAUBZEUCZNOUDZEBUEZNOUDZADFPXRXTUFHKDEFECQD
      CUGZUHUIUJZUEZNUKZNOULZVAKQDKUGZUHUIUJZUEZNUKZNOULZVAGCKQYGYLYCYHUFZNYFYK
      OYMYEYJNYMYDYIDYCYHUHUIUMUNUOUPUQURZUSUTAXTYBRSZYBXTRSZXTYBUFZALUGZYBRSZL
      XSVBZYOAMUGZEUBZYBRSZMQVBZYTAUUAYRRSZLBVCZMQVBZUUDAUUGBNOUDUHUFZJABNVLUUG
      UUHVDABIVEMLBVFUTVGAUUFUUCMQAUUAQPZTZUUEUUCLBUUJYRBPZUUETZTZUUBYREUBZYBUU
      IUUBNPAUULQNUUAEKDEYNVHZVIVMUUMAUUKUUNNPZAUUIUULVJZUUJUUKUUEVKZAUUKTZYRQP
      ZUUPABQYRIVNZQNYREUUOVIUTVOYBNPZUUMYANVLZUVBYAXSNEBVPZQNEVQXSNVLZUUOQNEVR
      VSZVTZYAWAVSZWBUUMUUBUUNRSZDUUAUHUIUJUENUKNOULZDYRUHUIUJUENUKNOULZRSZUUMU
      UIUUTUUEUVLAUUIUULWCUUMAUUKUUTUUQUURUVAVOUUJUUKUUEWDUUAYRDWEWFUUJUUKUVIUV
      LVDUUEUUJUUKTUUBUVJUUNUVKRUUIUUBUVJUFAUUKKDEUUAYNWGVMAUUKUUNUVKUFZUUIUUSU
      UTUVMUVAKDEYRYNWGUTWHWIWJVGUUMAUUKUUNYBRSZUUQUURUUSUVCUUNYAPUVNUVCUUSUVGW
      BUUSQYRBEAEQWMZUUKAKQYLENAKWNYLNPZAYHQPTYKNVLUVPYJNWKYKWOVSWBYNWLWPUVAAUU
      KWQWRYAUUNWSVOVOWTXAXBXCUVOYTUUDVDYLXNPZKQVBUVOUVQKQNYKOXDXEXFKQYLEXNYNXG
      VSYSUUCLMQEYRUUBYBRXHXIVSXOUVEUVBYOYTVDUVFUVHLXSYBXJXKXOAYAXSVLZUVEYPUVRA
      UVDWBUVEAUVFWBYAXSXLVOXTNPZUVBYQYOYPTVDUVEUVSUVFXSWAVSUVHXTYBXMXKXPXQ $.
  $}

  ${
    climlimsupcex.1 $e |- -. M e. ZZ $.
    climlimsupcex.2 $e |- Z = ( ZZ>= ` M ) $.
    climlimsupcex.3 $e |- F = (/) $.
    $( Counterexample for ~ climlimsup , showing that the first hypothesis is
       needed, if the empty set is a complex number (see ~ 0ncn and its
       comment).  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    climlimsupcex $p |- ( ( (/) e. CC /\ -. -oo e. CC ) -> ( F : Z --> RR /\ F
       e. dom ~~> /\ -. F ~~> ( limsup ` F ) ) ) $=
      ( c0 cc wcel cmnf wn wa cr wf cli clsp cfv wbr wceq adantr cdm f0 cuz uz0
      cz ax-mp eqtri feq12i mpbir a1i wrel climrel 0cnv releldm syl2anc adantlr
      eqbrtrid simpr fveq2i limsup0 breq12i biimpi climuni nelneq ad2antrr 3jca
      adantll pm2.65da ) GHIZJHIKZLZCMANZAOUAIZAAPQZORZKVLVKVLGMGNMUBCGMAGFCBUC
      QZGEBUEIKVPGSDBUDUFUGUHUIUJVIVMVJVIOUKZAGORVMVQVIULUJVIAGGOFUMUQAGOUNUOTV
      KVOGGORZVIVOVRVJVIVRVOUMTUPVKVOLVRGJSZVOVRVSVKVOVRLVRGJORZVSVOVRURVOVTVRV
      OVTAGVNJOFVNGPQJAGPFUSUTUGVAVBTGJGVCUOVGVKVSKVOVRGJHVDVEVHVHVF $.
  $}

  ${
    liminfcld.1 $e |- ( ph -> F e. V ) $.
    $( Closure of the inferior limit.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    liminfcld $p |- ( ph -> ( liminf ` F ) e. RR* ) $=
      ( wcel clsi cfv cxr liminfcl syl ) ABCEBFGHEDBCIJ $.
  $}

  ${
    $d F k $.  $d Z k y $.  $d k ph y $.
    liminfresico.1 $e |- ( ph -> M e. RR ) $.
    liminfresico.2 $e |- Z = ( M [,) +oo ) $.
    liminfresico.3 $e |- ( ph -> F e. V ) $.
    $( The inferior limit doesn't change when a function is restricted to an
       upperset of reals.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    liminfresico $p |- ( ph -> ( liminf ` ( F |` Z ) ) = ( liminf ` F ) ) $=
      ( vk cr cpnf cima cxr clt cmpt csup wcel wceq a1i adantr vy cres cico cin
      cv co cinf clsi cfv crn wa wss rexrd ad2antrr pnfxr ressxr icossre eleq2i
      syl2anc biimpi adantl sseldd simpr elicore sselid cle wbr icogelbd ltpnfd
      letrd elicod eleqtrrdi ssd resima2 ineq1d infeq1d mpteq2dva rneqd mptima2
      syl eqsstrid 3eqtr4d supeq1d eqid resexd supeq1i renepnfd icopnfsup eqtrd
      cvv wne liminfval2 ) AIJBEUBZIUEZKUCUFZLZMUDZMNUGZOZELZMNPIJBWOLZMUDZMNUG
      ZOZELZMNPWMUHUIBUHUIAMWTXENAIEWROZUJIEXCOZUJWTXEAXFXGAIEWRXCAWNEQZUKZMWQX
      BNXIWPXAMXIWOEULWPXARXIUAWOEXIUAUEZWOQZUKZXJCKUCUFZEXLCKXJACMQZXHXKACFUMZ
      UNKMQZXLUOSZXLJMXJUPXLWNJQZXKXJJQXIXRXKXIXMJWNAXMJULZXHACJQZXPXSFXPAUOSCK
      UQUSZTXHWNXMQZAXHYBEXMWNGURUTVAZVBTZXIXKVCZWNKXJVDUSZVEXLCWNXJAXTXHXKFUNY
      DYFXICWNVFVGXKXICKWNAXNXHXOTXPXIUOSYCVHTXLWNKXJXLJMWNUPYDVEXQYEVHVJXLXJYF
      VIVKGVLVMBWOEVNVTVOVPVQVRAIJWREAEXMJGYAWAZVSAIJXCEYGVSWBWCAEIWMWSWJWSWDAB
      EDHWEYGAEMNPZXMMNPZKYHYIRAMEXMNGWFSAXNCKWKYIKRXOACFWGCWHUSWIZWLAEIBXDDXDW
      DHYGYJWLWB $.
  $}

  ${
    $d K n $.  $d n ph $.
    limsup10exlem.1 $e |- F = ( n e. NN |-> if ( 2 || n , 0 , 1 ) ) $.
    limsup10exlem.2 $e |- ( ph -> K e. RR ) $.
    $( The range of the given function.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    limsup10exlem $p |- ( ph -> ( F " ( K [,) +oo ) ) = { 0 , 1 } ) $=
      ( cpnf cc0 c1 c2 wbr wcel cn wa cr 1re a1i cvv cle adantr cico co cpr wss
      cima cv cdvds cif cin wral prid1 elexi prid2 ifcli ralrimiva nfv imassmpt
      c0ex ifex mpbird cceil cfv cmul wceq cz ceilcld 1zzd ifcld 2teven syl2anc
      simpr iftrued 2nn eqid zred ceilged letrd iftrue adantl breqtrrd wn leidi
      cuz iffalse pm2.61dan eluzd nnuz eleqtrrdi nnmulcld fvmptd2 wfn rexrd cxr
      fnmpti pnfxr nnxrd nnred nleltd ltled eqcomd breqtrd crp clt 2timesgt syl
      nnrpd lelttrd ltpnfd elicod fnfvimad eqeltrrd caddc 2tp1odd peano2nnd 1xr
      iffalsed ltp1d lttrd prssd eqssd ) ACDGUAUBZUEZHIUCZAYBYCUDJBUFZUGKZHIUHZ
      YCLZBMYAUIZUJAYGBYHYGAYDYHLNZYEHIYCHIURUKHIIOPULZUMUNQUOABMYFYAYCCRABUPYF
      RLYIYEHIURYJUSZQEUQUTAHIYBAJIDSKZDVAVBZIUHZVCUBZCVBHYBABYOYFHMCREAYDYOVDZ
      NZYEHIYQYNVELZYPYEAYRYPAYLYMIVEADFVFZAVGZVHZTAYPVKYNYDVIVJVLAJYNJMLAVMQAY
      NIWCVBZMAIYNUUBUUBVNYTUUAAYLIYNSKAYLNZIYMYNSUUCIDYMIOLZUUCPQADOLZYLFTAYMO
      LYLAYMYSVOTAYLVKADYMSKYLADFVPTZVQYLYNYMVDAYLYMIVRVSZVTAYLWAZNZIIYNSIISKUU
      IIPWBQUUHYNIVDAYLYMIWDVSZVTWEWFWGWHZWIZHRLAURQWJAMYOYACCMWKABMYFCYKEWNQZU
      ULADGYOADFWLZGWMLAWOQZAYOUULWPADYOFAYOUULWQZADYNYOFAYNUUKWQUUPAYLDYNSKUUC
      DYMYNSUUFUUGVTUUIDIYNSUUIDIAUUEUUHFTZUUDUUIPQZUUIDIUUQUURAUUHVKWRWSUUIYNI
      UUJWTXAWEAYNXBLYNYOXCKAYNUUKXFYNXDXEXGZWSAYOUUPXHXIXJXKAYOIXLUBZCVBIYBABU
      UTYFIMCWMEAYDUUTVDZNZYEHIUVBYRUVAYEWAAYRUVAUUATAUVAVKYNYDXMVJXPAYOUULXNZI
      WMLAXOQWJAMUUTYACUUMUVCADGUUTUUNUUOAUUTUVCWPADUUTFAUUTUVCWQZADYOUUTFUUPUV
      DUUSAYOUUPXQXRWSAUUTUVDXHXIXJXKXSXT $.
  $}

  ${
    $d F k $.  $d k n $.
    limsup10ex.1 $e |- F = ( n e. NN |-> if ( 2 || n , 0 , 1 ) ) $.
    $( The superior limit of a function that alternates between two values.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    limsup10ex $p |- ( limsup ` F ) = 1 $=
      ( vk cr cv cxr clt csup cmpt crn c1 wceq wtru cn wcel a1i wbr cc0 1xr cfv
      clsp cpnf cico co cima cinf csn cvv nftru wf c2 cdvds cif 0xr ifcld fmpti
      nnex limsupval3 mptru cpr id limsup10exlem supeq1d wor xrltso suppr mp3an
      eqid cle wn 0le1 0re 1re lenlti mpbi iffalsei eqtri eqtrdi mpteq2ia rneqi
      c0 wne ren0 rnmptc infeq1i infsn mp2an 3eqtri ) BUBUAZDEBDFZUCUDUEUFZGHIZ
      JZKZGHUGZLUHZGHUGZLWJWPMNODBWNUIDUJOUIPNURQOGBUKNAOGULAFZUMRZSLUNBCWSOPZW
      TSLGSGPZXAUOQLGPZXATQUPUQQWNVIUSUTGWOWQHWODELJZKZWQWNXDDEWMLWKEPZWMSLVAZG
      HIZLXFGWLXGHXFABWKCXFVBVCVDXHLSHRZSLUNZLGHVEZXBXCXHXJMVFUOTGSLHVGVHXISLSL
      VJRXIVKVLSLVMVNVOVPVQVRVSVTWAXEWQMNDELXDXDVIEWBWCNWDQWEUTVRWFXKXCWRLMVFTG
      LHWGWHWI $.
  $}

  ${
    $d F k $.  $d k n $.
    liminf10ex.1 $e |- F = ( n e. NN |-> if ( 2 || n , 0 , 1 ) ) $.
    $( The inferior limit of a function that alternates between two values.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    liminf10ex $p |- ( liminf ` F ) = 0 $=
      ( vk cr cv cxr clt cinf cmpt crn csup cc0 wceq wtru cn wcel a1i c1 0xr co
      clsi cfv cpnf cico cima csn cvv nftru wf c2 cdvds wbr cif 1xr ifcld fmpti
      nnex liminfval5 mptru cpr id limsup10exlem infeq1d wor xrltso infpr mp3an
      eqid 0lt1 iftruei eqtri eqtrdi mpteq2ia rneqi c0 wne rnmptc supeq1i supsn
      ren0 mp2an 3eqtri ) BUBUCZDEBDFZUDUEUAUFZGHIZJZKZGHLZMUGZGHLZMWDWJNOPDBWH
      UHDUIPUHQOURRPGBUJOAPGUKAFZULUMZMSUNBCWMPQZWNMSGMGQZWOTRSGQZWOUORUPUQRWHV
      IUSUTGWIWKHWIDEMJZKZWKWHWRDEWGMWEEQZWGMSVAZGHIZMWTGWFXAHWTABWECWTVBVCVDXB
      MSHUMZMSUNZMGHVEZWPWQXBXDNVFTUOGMSHVGVHXCMSVJVKVLVMVNVOWSWKNODEMWRWRVIEVP
      VQOWARVRUTVLVSXEWPWLMNVFTGMHVTWBWC $.
  $}

  ${
    $d F i j k l $.  $d F i l y $.  $d i j l ph $.
    liminflelimsuplem.1 $e |- ( ph -> F e. V ) $.
    liminflelimsuplem.2 $e |- ( ph -> A. k e. RR E. j e. ( k [,) +oo ) ( ( F "
       ( j [,) +oo ) ) i^i RR* ) =/= (/) ) $.
    $( The superior limit is greater than or equal to the inferior limit.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    liminflelimsuplem $p |- ( ph -> ( liminf ` F ) <_ ( limsup ` F ) ) $=
      ( vi vy vl cle wbr cr cpnf cico cxr clt wcel ax-mp a1i clsi cfv clsp cima
      cv co cin cinf cmpt crn csup wral wa c0 wne cif simpr simpl ifcld adantll
      wrex ad2antrr wceq oveq1 rexeqdv rspcva syl2anc wss inss2 infxrcl supxrcl
      rexr pnfxr rexrd adantr icossxr id sselid max1 icogelbd xrletrd icossico2
      adantl imass2d ssrind infxrss infxrlesupxr ad2antlr ad5ant2345 rexlimdva2
      max2 supxrss mpd ralrimiva wb cvv nfv xrltso supex breq2 ralrnmpt3 mpbird
      imaeq2d ineq1d supeq1d cbvmptv rneqi raleqi mpbid rgenw rnmptss infxrgelb
      eqid nfcv nfmpt1 nfrn nfinf supxrleubrnmptf liminfvald limsupvald breq12d
      ) ADUAUBZDUCUBZKLHMDHUEZNOUFZUDZPUGZPQUHZUIZUJPQUKZHMYGPQUKZUIZUJZPQUHZKL
      ZAYOYHYNKLZHMULAYPHMAYDMRZUMZYPYHIUEZKLZIYMULZYRYTIJMDJUEZNOUFZUDZPUGZPQU
      KZUIZUJZULZUUAYRUUIYHUUFKLZJMULZYRUUJJMYRUUBMRZUMZDBUEZNOUFZUDZPUGZUNUOZB
      YDUUBKLZUUBYDUPZNOUFZVAZUUJUUMUUTMRZUURBCUEZNOUFZVAZCMULZUVBYQUULUVCAYQUU
      LUMZUUSUUBYDMYQUULUQYQUULURUSZUTAUVGYQUULGVBUVFUVBCUUTMUVDUUTVCUURBUVEUVA
      UVDUUTNOVDVEVFVGUUMUURUUJBUVAYQUULUUNUVARZUURUUJAUVHUVJUMZUURUMZYHUUQPQUH
      ZUUFYHPRZUVLYGPVHZUVNYFPVIZYGVJSZTUVMPRZUVLUUQPVHZUVRUUPPVIZUUQVJSTZUUFPR
      ZUVLUUEPVHZUWBUUDPVIZUUEVKSTZUVKYHUVMKLZUURUVKUUQYGVHUVOUWFUVKUUPYFPUVKUU
      OYEDUVKUUNYDNYQYDPRUULUVJYDVLVBZNPRUVKVMTZUVKYDUUTUUNUWGUVHUUTPRUVJUVHUUT
      UVIVNVOZUVJUUNPRUVHUVJUVAPUUNUUTNVPUVJVQVRWCZUVHYDUUTKLUVJYDUUBVSVOUVKUUT
      NUUNUWIUWHUVHUVJUQVTZWAWBWDWEUVOUVKUVPTUUQYGWFVGVOUVLUVMUUQPQUKZUUFUWAUWL
      PRZUVLUVSUWMUVTUUQVKSTUWEUVLUUQUVSUVLUVTTUVKUURUQWGUVKUWLUUFKLZUURUVKUUQU
      UEVHUWCUWNUVKUUPUUDPUVKUUOUUCDUVKUUNUUBNUULUUBPRYQUVJUUBVLWHZUWHUVKUUBUUT
      UUNUWOUWIUWJUVHUUBUUTKLUVJYDUUBWKVOUWKWAWBWDWEUWCUVKUWDTUUQUUEWLVGVOWAWAW
      IWJWMWNAUUIUUKWOYQAYTUUJJIMUUFWPAJWQUUFWPRAUULUMPUUEQWRWSTYSUUFYHKWTXAVOX
      BUUIUUAWOYRYTIUUHYMUUGYLJHMUUFYKUUBYDVCZPUUEYGQUWPUUDYFPUWPUUCYEDUUBYDNOV
      DXCXDXEXFXGXHTXIYRYMPVHZUVNYPUUAWOUWQYRYKPRZHMULUWQUWRHMUVOUWRUVPYGVKSXJH
      MYKPYLYLXMZXKSZTUVNYRUVQTZIYMYHXLVGXBWNAHMYHYNAHWQHMXNHYMPQHYLHMYKXOXPHPX
      NHQXNXQUXAYNPRZAUWQUXBUWTYMVJSTXRXBAYBYJYCYNKAHDYIEFYIXMXSAHDYLEFUWSXTYAX
      B $.
  $}

  ${
    $d F i j k l $.  $d l ph $.
    liminflelimsup.1 $e |- ( ph -> F e. V ) $.
    liminflelimsup.2 $e |- ( ph -> A. k e. RR E. j e. ( k [,) +oo ) ( ( F " ( j
       [,) +oo ) ) i^i RR* ) =/= (/) ) $.
    $( The superior limit is greater than or equal to the inferior limit.  The
       second hypothesis is needed (see ~ liminflelimsupcex for a
       counterexample).  The inequality can be strict, see ~ liminfltlimsupex .
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    liminflelimsup $p |- ( ph -> ( liminf ` F ) <_ ( limsup ` F ) ) $=
      ( vl vi cv cpnf cico co cima cxr cin c0 wne wrex cr wral oveq1 rexeqdv wb
      imaeq2d ineq1d neeq1d cbvrexvw a1i bitrd cbvralvw sylib liminflelimsuplem
      wceq ) AHIDEFADBJZKLMZNZOPZQRZBCJZKLMZSZCTUADHJZKLMZNZOPZQRZHIJZKLMZSZITU
      AGVBVJCITUTVHUNZVBUSBVISZVJVKUSBVAVIUTVHKLUBUCVLVJUDVKUSVGBHVIUOVCUNZURVF
      QVMUQVEOVMUPVDDUOVCKLUBUEUFUGUHUIUJUKULUM $.
  $}

  ${
    $d F j k x $.  $d X j k $.  $d Z j k x $.  $d j k ph x $.
    limsupgtlem.m $e |- ( ph -> M e. ZZ ) $.
    limsupgtlem.z $e |- Z = ( ZZ>= ` M ) $.
    limsupgtlem.f $e |- ( ph -> F : Z --> RR ) $.
    limsupgtlem.r $e |- ( ph -> ( limsup ` F ) e. RR ) $.
    limsupgtlem.x $e |- ( ph -> X e. RR+ ) $.
    $( For any positive real, the superior limit of F is larger than any of its
       values at large enough arguments, up to that positive real.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    limsupgtlem $p |- ( ph -> E. j e. Z A. k e. ( ZZ>= ` j ) ( ( F ` k ) - X )
       < ( limsup ` F ) ) $=
      ( vx cle wbr cxr wcel adantr cr wa cv cfv c2 cdiv cmin clsp cuz wral wrex
      co clt cres crn csup cmpt cinf cxad nfv uzn0d wss rnresss a1i frexr sstrd
      frnd supxrcld nfcv limsupreuz mpbid simpld rexr ad4antlr ad2antrr adantll
      wf uztrn2 ffvelrnd rexrd 3impa ad5ant134 ad4antr simpr wceq eqcomd adantl
      fvres wfn ffnd fnssres syl2anc fnfvelrnd eqeltrd eqid supxrubd rexlimdva2
      ssd xrletrd ralimdva reximdva mpd rphalfcld infrpgernmpt w3a simp3 oveq1d
      limsupvaluz 3ad2ant1 breqtrd caddc 3adantl3 simpl1 syl cvv fexd limsupcld
      fvexi rpred rehalfcld xaddcld simpl3 rexaddd wb lesubaddd mpbird syld3an3
      ralrimiva 3exp reximdai wi simpll ffvelrnda resubcld rphalfltd ltletrd ex
      ltsub2dd ) ACUAZDUBZFUCUDUJZUEUJZDUFUBZNOZCBUAZUGUBZUHZBGUIZYRFUEUJZUUAUK
      OZCUUDUHZBGUIADUUDULZUMZPUKUNZBGUULUOUMPUKUPZYSUQUJZNOZBGUIUUFABMGUULYSAB
      URZAEGHIUSAUULPQZUUCGQZAUUKAUUKDUMZPUUKUUSUTADUUDVAVBAGPDAGDJVCZVEVDZVFZR
      AMUAZYRNOZCUUDUIZBGUHZMSUIZUVCUULNOZBGUHZMSUIAUVGYRUVCNOCGUHMSUIZAUUASQZU
      VGUVJTKAMCBDEGCDVGHIJVHVIVJAUVFUVIMSAUVCSQZTZUVEUVHBGUVMUURTZUVDUVHCUUDUV
      NYQUUDQZTZUVDTUVCYRUULUVLUVCPQAUURUVOUVDUVCVKVLAUURUVOYRPQZUVLUVDAUURUVOU
      VQAUURTZUVOTZYRUVSGSYQDAGSDVOUURUVOJVMUURUVOYQGQZAEYQUUCGIVPVNZVQZVRZVSVT
      AUUQUVLUURUVOUVDUVBWAUVPUVDWBAUURUVOYRUULNOZUVLUVDAUURUVOUWDUVSUUKYRUULAU
      UKPUTUURUVOUVAVMUVSYRYQUUJUBZUUKUVOYRUWEWCUVRUVOUWEYRYQUUDDWFWDWEUVSUUDYQ
      UUJUVRUUJUUDWGZUVOUVRDGWGZUUDGUTUWFAUWGUURAGSDJWHRUVRCUUDGUWAWPGUUDDWIWJR
      UVRUVOWBWKWLUULWMWNZVSVTWQWOWRWSWTAFLXAXBAUUOUUEBGUUPAUURUUOUUEAUURUUOUUL
      UUAYSUQUJZNOZUUEAUURUUOXCUULUUNUWINAUURUUOXDAUURUUNUWIWCUUOAUUMUUAYSUQAUU
      AUUMABDEGHIUUTXFWDXEXGXHAUURUWJXCZUUBCUUDUWKUVOTZUUBYRUUAYSXIUJZNOZUWLYRU
      WIUWMNUWLYRUULUWIAUURUVOUVQUWJUWCXJUWLAUUQAUURUWJUVOXKZUVBXLUWLAUWIPQUWOA
      UUAYSADXMAGSXMDJGXMQAGEUGIXPVBXNXOAYSAFAFLXQZXRZVRXSXLAUURUVOUWDUWJUWHXJA
      UURUWJUVOXTWQUWLAUWIUWMWCUWOAUUAYSKUWQYAXLXHAUURUVOUUBUWNYBUWJUVSYRYSUUAU
      WBAYSSQZUURUVOUWQVMAUVKUURUVOKVMYCXJYDYFYEYGYHWTAUUEUUIBGUVRUUBUUHCUUDUVS
      AUVTUUBUUHYIAUURUVOYJUWAAUVTTZUUBUUHUWSUUBTUUGYTUUAUWSUUGSQUUBUWSYRFAGSYQ
      DJYKZAFSQUVTUWPRZYLRUWSYTSQUUBUWSYRYSUWTAUWRUVTUWQRZYLRAUVKUVTUUBKVMUWSUU
      GYTUKOUUBUWSYSFYRUXBUXAUWTAYSFUKOUVTAFLYMRYPRUWSUUBWBYNYOWJWRWSWT $.
  $}

  ${
    $d F i j l $.  $d X i j k l $.  $d Z i j l $.  $d i l ph $.
    limsupgt.k $e |- F/_ k F $.
    limsupgt.m $e |- ( ph -> M e. ZZ ) $.
    limsupgt.z $e |- Z = ( ZZ>= ` M ) $.
    limsupgt.f $e |- ( ph -> F : Z --> RR ) $.
    limsupgt.r $e |- ( ph -> ( limsup ` F ) e. RR ) $.
    limsupgt.x $e |- ( ph -> X e. RR+ ) $.
    $( Given a sequence of real numbers, there exists an upper part of the
       sequence that's appxoximated from below by the superior limit.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    limsupgt $p |- ( ph -> E. j e. Z A. k e. ( ZZ>= ` j ) ( ( F ` k ) - X ) < (
       limsup ` F ) ) $=
      ( vl vi cv cfv cmin clt nfcv clsp wbr cuz wral wrex limsupgtlem wceq nffv
      co nfov nfbr nfv fveq2 oveq1d breq1d cbvralw raleqdv bitrd cbvrexvw sylib
      wb a1i ) ANPZDQZFRUIZDUAQZSUBZNOPZUCQZUDZOGUECPZDQZFRUIZVFSUBZCBPZUCQZUDZ
      BGUEAONDEFGIJKLMUFVJVQOBGVHVOUGZVJVNCVIUDZVQVJVSVAVRVGVNNCVICVEVFSCVDFRCV
      CDHCVCTUHCRTCFTUJCSTCDUACUATHUHUKVNNULVCVKUGZVEVMVFSVTVDVLFRVCVKDUMUNUOUP
      VBVRVNCVIVPVHVOUCUMUQURUSUT $.
  $}

  ${
    liminfresre.1 $e |- ( ph -> F e. V ) $.
    $( The inferior limit of a function only depends on the real part of its
       domain.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    liminfresre $p |- ( ph -> ( liminf ` ( F |` RR ) ) = ( liminf ` F ) ) $=
      ( cr cres cc0 cpnf cico co clsi cfv wceq rge0ssre resabs1i fveq2i a1i cvv
      0red liminfresico eqid resexd 3eqtr3d ) ABEFZGHIJZFZKLZBUEFZKLZUDKLBKLUGU
      IMAUFUHKBUEENOPQAUDGRUEASZUEUAZABECDUBTABGCUEUJUKDTUC $.
  $}

  ${
    $d A x $.  $d Z x $.
    liminfresicompt.1 $e |- ( ph -> M e. RR ) $.
    liminfresicompt.2 $e |- Z = ( M [,) +oo ) $.
    liminfresicompt.3 $e |- ( ph -> A e. V ) $.
    $( The inferior limit doesn't change when a function is restricted to the
       upper part of the reals.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    liminfresicompt $p |- ( ph -> ( liminf ` ( x e. ( A i^i Z ) |-> B ) ) = (
       liminf ` ( x e. A |-> B ) ) ) $=
      ( cin cmpt clsi cfv cres wceq resmpt3 eqcomi a1i fveq2d cvv liminfresico
      mptexd eqtrd ) ABCGKDLZMNBCDLZGOZMNUFMNAUEUGMUEUGPAUGUEBCGDQRSTAUFEUAGHIA
      BCDFJUCUBUD $.
  $}

  ${
    liminfltlimsupex.1 $e |- F = ( n e. NN |-> if ( 2 || n , 0 , 1 ) ) $.
    $( An example where the ` liminf ` is strictly smaller than the
       ` limsup ` .  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    liminfltlimsupex $p |- ( liminf ` F ) < ( limsup ` F ) $=
      ( clsi cfv clsp clt wbr cc0 c1 0lt1 liminf10ex limsup10ex breq12i mpbir )
      BDEZBFEZGHIJGHKPIQJGABCLABCMNO $.
  $}

  ${
    $d F j k $.
    liminfgelimsup.1 $e |- ( ph -> F e. V ) $.
    liminfgelimsup.2 $e |- ( ph -> A. k e. RR E. j e. ( k [,) +oo ) ( ( F " ( j
       [,) +oo ) ) i^i RR* ) =/= (/) ) $.
    $( The inferior limit is greater than or equal to the superior limit if and
       only if they are equal.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    liminfgelimsup $p |- ( ph -> ( ( limsup ` F ) <_ ( liminf ` F ) <-> (
       liminf ` F ) = ( limsup ` F ) ) ) $=
      ( clsp cfv clsi cle wbr wceq wa liminfcld adantr limsupcld liminflelimsup
      cxr wcel simpr xrletrid id eqcomd adantl xreqled impbida ) ADHIZDJIZKLZUI
      UHMZAUJNUIUHAUISTUJADEFOPAUHSTZUJADEFQZPAUIUHKLUJABCDEFGRPAUJUAUBAUKNUHUI
      AULUKUMPUKUHUIMAUKUIUHUKUCUDUEUFUG $.
  $}

  ${
    $d A k y z $.  $d A x y $.  $d F k y z $.  $d k ph y z $.
    liminfvalxr.1 $e |- F/_ x F $.
    liminfvalxr.2 $e |- ( ph -> A e. V ) $.
    liminfvalxr.3 $e |- ( ph -> F : A --> RR* ) $.
    $( Alternate definition of ` liminf ` when ` F ` is an extended real-valued
       function.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    liminfvalxr $p |- ( ph -> ( liminf ` F ) = -e ( limsup ` ( x e. A |-> -e (
       F ` x ) ) ) ) $=
      ( vy vk vz cfv cxne cxr clt wceq wcel wa a1i cvv clsi cmpt clsp cpnf cico
      cv cr co cima cin cinf crn csup wtru nftru wss inss2 ax-mp supminfxrrnmpt
      infxrcl mptru crab tru supminfxr2 w3a wrex elinel1 nfmpt1 wfn xnegex eqid
      fnmpti adantr simpr fvelimad 3adant2 syl3an3 elinel2 fvmpt2 syl2anc eqtrd
      wi eqcomd adantll eqcom biimpi adantl wb simplr wf ffvelrnd adantlr mpbid
      xneg11 wfun cdm anim12i simpld fdmd eleqtrd jca funfvima ad4ant13 eqeltrd
      ffund syldan rexlimdva2 3adant3 mpd rabssdv ssrab2 ssind fvelima2 xnegeqd
      sylc ffnd simpl eqeltrrd reximdv syl elmptima sylibr sselda xnegcld elind
      ex ssrabdv eqssd infeq1d eqtr2d mpteq2dv rneqd liminfval mptexd limsupval
      fexd 3eqtr4d nfcv nffv nfxneg fveq2 cbvmpt fveq2i xnegeqi ) ADUALZICIUFZD
      LZMZUBZUCLZMZBCBUFZDLZMZUBZUCLZMZAJUGDJUFZUDUEUHZUIZNUJZNOUKZUBZULNOUMZJU
      GUUIUUSUIZNUJZNOUMZUBZULZNOUKZMZUUEUUKAUVDJUGUVBMZUBZULZNOUKZMZUVKUVDUVPP
      ZAUVQUNJUGUVBJUOUVBNQZUNUURUGQRUVANUPZUVRUUTNUQZUVAUTURSUSVASAUVOUVJANUVN
      UVIOAUVMUVHAJUGUVLUVGAUVGKUFZMZUVFQZKNVBZNOUKZMZUVLUVGUWFPZAUNUWGVCUNKUVF
      UVFNUPUNUVENUQSVDURSAUWEUVBANUWDUVAOAUWDUVAAUWDUUTNAUWCKNUUTAUWANQZUWCVEU
      UFUUILZUWBPZICUUSUJZVFZUWAUUTQZUWCAUWHUWBUVEQZUWLUWBUVENVGAUWNUWLUWHAUWNR
      ICUUSUWBUUIICUUHVHAUUICVIZUWNUWOAICUUHUUIUUGVJZUUIVKZVLSVMAUWNVNVOVPVQUWC
      AUWHUWBNQZUWLUWMWBZUWBUVENVRAUWHUWSUWRAUWHRZUWJUWMIUWKUWTUUFUWKQZRZUWJUUH
      UWBPZUWMUXAUWJUXCUWTUXAUWJRUUHUWIUWBUXAUUHUWIPUWJUXAUWIUUHUXAUUFCQZUUHTQZ
      UWIUUHPUUFCUUSVGZUXEUXAUWPSICUUHTUUIUWQVSVTWCVMUXAUWJVNWAWDUXBUXCRZUWAUUG
      UUTUXGUWBUUHPZUWAUUGPZUXCUXHUXBUXCUXHUUHUWBWEWFWGUXBUXHUXIWHZUXCUXBUWHUUG
      NQZUXJAUWHUXAWIAUXAUXKUWHAUXARZCNUUFDACNDWJUXAHVMUXAUXDAUXFWGZWKWLUWAUUGW
      NZVTVMWMAUXAUUGUUTQZUWHUXCUXLDWOZUUFDWPZQZRUUFUUSQZUXOUXLUXPUXRUXLUXPUXDA
      UXPUXAUXDACNDHXEUXFWQWRUXLUUFCUXQUXMACUXQPUXAAUXQCACNDHWSWCVMWTXAUXAUXSAU
      UFCUUSVRWGUUSUUFDXBXOXCXDXFXGXHVQXIXJUWDNUPAUWCKNXKSXLAUWCKNUVAUVSAUVTSZA
      UWAUVAQZRZUVENUWBUYBUXHIUWKVFZUWNUYBUUGUWAPZIUWKVFZUYCUYBDCVIZUWMUYEAUYFU
      YAACNDHXPVMUYAUWMAUWAUUTNVGWGICUWAUUSDXMVTUYAUYEUYCWBZAUYAUWHUYGUWAUUTNVR
      UWHUYDUXHIUWKUWHUYDUXHUWHUYDRZUWAUUGUYHUXHUXIUYHUWAUUGUYDUXIUWHUYDUXIUUGU
      WAWEWFWGZXNUYHUWHUXKUXJUWHUYDXQZUYHUWAUUGNUYIUYJXRUXNVTWMXNYFXSXTWGXIUWBT
      QUWNUYCWHUWAVJICUUHUWBUUSTYAURYBUYBUWAAUVANUWAUXTYCYDYEYGYHYIXNYJYKYLYIXN
      WAADTQUUEUVDPACNEDHGYPJDUVCTUVCVKYMXTAUUJUVJAUUITQUUJUVJPAICUUHEGYNJUUIUV
      HTUVHVKYOXTXNYQUUKUUQPAUUJUUPUUIUUOUCIBCUUHUUNBUUGBUUFDFBUUFYRYSYTIUUNYRU
      UFUULPUUGUUMUUFUULDUUAXNUUBUUCUUDSWA $.
  $}

  ${
    liminfresuz.m $e |- ( ph -> M e. ZZ ) $.
    liminfresuz.z $e |- Z = ( ZZ>= ` M ) $.
    liminfresuz.f $e |- ( ph -> F e. V ) $.
    liminfresuz.d $e |- ( ph -> dom ( F |` RR ) C_ ZZ ) $.
    $( If the real part of the domain of a function is a subset of the
       integers, the inferior limit doesn't change when the function is
       restricted to an upper set of integers.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    liminfresuz $p |- ( ph -> ( liminf ` ( F |` Z ) ) = ( liminf ` F ) ) $=
      ( cres cr clsi cfv wceq a1i cz eqcomd cvv resexd eqtrd rescom fveq2i cpnf
      cico co cin wrel cdm wss relssres syl2anc reseq1d uzinico reseq2d 3eqtrrd
      relres resres fveq2d zred eqid liminfresico liminfresre 3eqtr3d ) ABEJZKJ
      ZLMZBKJZLMZVDLMBLMAVFVGEJZLMZVHVFVJNAVEVILBEKUAUBOAVJVGCUCUDUEZJZLMVHAVIV
      LLAVLVGPJZVKJZVGPVKUFZJZVIAVGVMVKAVMVGAVGUGZVGUHPUIVMVGNVQABKUPOIVGPUJUKQ
      ULVNVPNAVGPVKUQOAVOEVGAEVOACEFGUMQUNUOURAVGCRVKACFUSVKUTABKDHSVATTAVDRABE
      DHSVBABDHVBVC $.
  $}

  ${
    $d F j k $.  $d M j $.  $d Z j k $.  $d j k ph $.
    liminflelimsupuz.1 $e |- ( ph -> M e. ZZ ) $.
    liminflelimsupuz.2 $e |- Z = ( ZZ>= ` M ) $.
    liminflelimsupuz.3 $e |- ( ph -> F : Z --> RR* ) $.
    $( The superior limit is greater than or equal to the inferior limit.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    liminflelimsupuz $p |- ( ph -> ( liminf ` F ) <_ ( limsup ` F ) ) $=
      ( vj vk cvv cxr wcel a1i cv cpnf cico co wrex cr wral cuz fvexi fexd cima
      cin c0 wne uzubico2 wa wi cfv wfn adantr simpr id uzxrd pnfxr xrleidd clt
      ffnd wbr uzred ltpnf elicod adantl fnfvimad ffvelrnda elind ne0d ad2antrr
      syl ex reximdva ralimdva mpd liminflelimsup ) AHIBJADKJBGDJLADCUAFUBMUCAH
      NZDLZHINZOPQZRZISTBVQOPQZUDZKUEZUFUGZHVTRZISTAIHCDEFUHAWAWFISAVSSLZUIVRWE
      HVTAVRWEUJWGVQVTLAVRWEAVRUIZWDVQBUKZWHWCKWIWHDVQWBBABDULVRADKBGUTUMAVRUNV
      RVQWBLAVRVQOVQVRVQCDFVRUOZUPZOKLVRUQMWKVRVQWKURVRVQSLVQOUSVAVRVQCDFWJVBVQ
      VCVKVDVEVFADKVQBGVGVHVIVLVJVMVNVOVP $.
  $}

  ${
    $d A x $.
    liminfvalxrmpt.1 $e |- F/ x ph $.
    liminfvalxrmpt.2 $e |- ( ph -> A e. V ) $.
    liminfvalxrmpt.3 $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    $( Alternate definition of ` liminf ` when ` F ` is an extended real-valued
       function.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    liminfvalxrmpt $p |- ( ph -> ( liminf ` ( x e. A |-> B ) ) = -e ( limsup `
       ( x e. A |-> -e B ) ) ) $=
      ( cmpt clsi cfv cv cxne clsp nfmpt1 cxr fmptd2f liminfvalxr wcel xnegeqd
      wa eqidd fvmpt2d mpteq2da fveq2d eqtrd ) ABCDIZJKBCBLZUGKZMZIZNKZMBCDMZIZ
      NKZMABCUGEBCDOGABCDPFHQRAULUOAUKUNNABCUJUMFAUHCSUAUIDABCDUGPAUGUBHUCTUDUE
      TUF $.
  $}

  ${
    liminfresuz2.1 $e |- ( ph -> M e. ZZ ) $.
    liminfresuz2.2 $e |- Z = ( ZZ>= ` M ) $.
    liminfresuz2.3 $e |- ( ph -> F e. V ) $.
    liminfresuz2.4 $e |- ( ph -> dom F C_ ZZ ) $.
    $( If the domain of a function is a subset of the integers, the inferior
       limit doesn't change when the function is restricted to an upper set of
       integers.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    liminfresuz2 $p |- ( ph -> ( liminf ` ( F |` Z ) ) = ( liminf ` F ) ) $=
      ( cr cres cdm cz wss dmresss a1i sstrd liminfresuz ) ABCDEFGHABJKLZBLZMST
      NABJOPIQR $.
  $}

  ${
    liminfgelimsupuz.1 $e |- ( ph -> M e. ZZ ) $.
    liminfgelimsupuz.2 $e |- Z = ( ZZ>= ` M ) $.
    liminfgelimsupuz.3 $e |- ( ph -> F : Z --> RR* ) $.
    $( The inferior limit is greater than or equal to the superior limit if and
       only if they are equal.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    liminfgelimsupuz $p |- ( ph -> ( ( limsup ` F ) <_ ( liminf ` F ) <-> (
       liminf ` F ) = ( limsup ` F ) ) ) $=
      ( clsp cfv clsi cle wbr wceq wa cxr wcel cvv cuz fvexi adantr a1i fexd id
      liminfcld limsupcld liminflelimsupuz simpr xrletrid eqcomd adantl xreqled
      impbida ) ABHIZBJIZKLZUNUMMZAUONUNUMAUNOPUOABQADOQBGDQPADCRFSUAUBZUDTAUMO
      PZUOABQUQUEZTAUNUMKLUOABCDEFGUFTAUOUGUHAUPNUMUNAURUPUSTUPUMUNMAUPUNUMUPUC
      UIUJUKUL $.
  $}

  ${
    $d A x $.  $d M x $.
    liminfval4.x $e |- F/ x ph $.
    liminfval4.a $e |- ( ph -> A e. V ) $.
    liminfval4.m $e |- ( ph -> M e. RR ) $.
    liminfval4.b $e |- ( ( ph /\ x e. ( A i^i ( M [,) +oo ) ) ) -> B e. RR ) $.
    $( Alternate definition of ` liminf ` when the given function is eventually
       real-valued.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    liminfval4 $p |- ( ph -> ( liminf ` ( x e. A |-> B ) ) = -e ( limsup ` ( x
       e. A |-> -u B ) ) ) $=
      ( cpnf cico co cin cmpt clsi cfv clsp cxne xnegeqd cneg cvv wss inss1 a1i
      ssexd cv wcel rexrd liminfvalxrmpt rexnegd mpteq2da eqtrd liminfresicompt
      wa fveq2d eqid eqcomd limsupresicompt 3eqtr4d ) ABCEKLMZNZDOPQZBVBDUAZOZR
      QZSZBCDOPQZBCVDORQZSAVCBVBDSZOZRQZSVGABVBDUBGAVBCFHVBCUCACVAUDUEUFABUGVBU
      HUOZDJUIUJAVLVFAVKVERABVBVJVDGVMDJUKULUPTUMAVCVHABCDEFVAIVAUQZHUNURAVIVFA
      BCVDEFVAHIVNUSTUT $.
  $}

  ${
    $d A x $.  $d M x $.
    liminfval3.x $e |- F/ x ph $.
    liminfval3.a $e |- ( ph -> A e. V ) $.
    liminfval3.m $e |- ( ph -> M e. RR ) $.
    liminfval3.b $e |- ( ( ph /\ x e. ( A i^i ( M [,) +oo ) ) ) -> B e. RR* )
                   $.
    $( Alternate definition of ` liminf ` when the given function is eventually
       extended real-valued.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    liminfval3 $p |- ( ph -> ( liminf ` ( x e. A |-> B ) ) = -e ( limsup ` ( x
       e. A |-> -e B ) ) ) $=
      ( cpnf cico co cin cmpt clsi cfv cxne clsp cvv inss1 ssexd liminfvalxrmpt
      wss a1i eqid liminfresicompt eqcomd limsupresicompt xnegeqd 3eqtr4d ) ABC
      EKLMZNZDOPQZBUMDRZOSQZRBCDOPQZBCUOOSQZRABUMDTGAUMCFHUMCUDACULUAUEUBJUCAUN
      UQABCDEFULIULUFZHUGUHAURUPABCUOEFULHIUSUIUJUK $.
  $}

  ${
    $d K j $.
    liminfequzmpt2.j $e |- F/ j ph $.
    liminfequzmpt2.o $e |- F/_ j A $.
    liminfequzmpt2.p $e |- F/_ j B $.
    liminfequzmpt2.a $e |- A = ( ZZ>= ` M ) $.
    liminfequzmpt2.b $e |- B = ( ZZ>= ` N ) $.
    liminfequzmpt2.k $e |- ( ph -> K e. A ) $.
    liminfequzmpt2.e $e |- ( ph -> K e. B ) $.
    liminfequzmpt2.c $e |- ( ( ph /\ j e. ( ZZ>= ` K ) ) -> C e. V ) $.
    $( Two functions that are eventually equal to one another have the same
       superior limit.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    liminfequzmpt2 $p |- ( ph -> ( liminf ` ( j e. A |-> C ) ) = ( liminf ` ( j
       e. B |-> C ) ) ) $=
      ( wcel clsi cfv cvv crab cmpt cuz cres wss wceq cv wa uzssd2 adantr simpr
      wral sseldd elexd jca rabid sylibr ralrimi nfcv nfrab1 dfss3f resmptf syl
      eqcomd fveq2d eluzelz2d eqid fvexi rabexf mptexf a1i cdm dmmptssf ssrab2f
      ex uzssz eqsstri sstri liminfresuz2 eqtr2d eqtr4d mptssid fveq2i 3eqtr4d
      cz ) AEDUARZEBUBZDUCZSTZEWGECUBZDUCZSTZEBDUCZSTZECDUCZSTZAWJEFUDTZDUCZSTZ
      WMAWTWIWRUEZSTWJAWSXASAXAWSAWRWHUFZXAWSUGAEUHZWHRZEWRUMXBAXDEWRJAXCWRRZXD
      AXEUIZXCBRZWGUIXDXFXGWGXFWRBXCAWRBUFXEAGFBMOUJUKAXEULZUNXFDIQUOZUPWGEBUQU
      RVPUSEWRWHEWRUTZWGEBVAZVBUREWHWRDXKXJVCVDVEVFAWIFUAWRAGFBMOVGZWRVHZWIUARA
      EWHDXKWGEBUAKBGUDMVIVJVKVLWIVMZWFUFAXNWHWFEWHDWIXKWIVHVNWHBWFWGEBKVOBGUDT
      WFMGVQVRVSVSVLVTWAAWTWLWRUEZSTWMAWSXOSAXOWSAWRWKUFZXOWSUGAXCWKRZEWRUMXPAX
      QEWRJAXEXQXFXCCRZWGUIXQXFXRWGXFWRCXCAWRCUFXEAHFCNPUJUKXHUNXIUPWGECUQURVPU
      SEWRWKXJWGECVAZVBUREWKWRDXSXJVCVDVEVFAWLFUAWRXLXMWLUARAEWKDXSWGECUALCHUDN
      VIVJVKVLWLVMZWFUFAXTWKWFEWKDWLXSWLVHVNWKCWFWGECLVOCHUDTWFNHVQVRVSVSVLVTWA
      WBWOWJUGAWNWISEBDWHKWHVHWCWDVLWQWMUGAWPWLSECDWKLWKVHWCWDVLWE $.
  $}

  ${
    $d M k $.  $d Z k $.
    liminfvaluz.k $e |- F/ k ph $.
    liminfvaluz.m $e |- ( ph -> M e. ZZ ) $.
    liminfvaluz.z $e |- Z = ( ZZ>= ` M ) $.
    liminfvaluz.b $e |- ( ( ph /\ k e. Z ) -> B e. RR* ) $.
    $( Alternate definition of ` liminf ` for an extended real-valued function,
       defined on a set of upper integers.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    liminfvaluz $p |- ( ph -> ( liminf ` ( k e. Z |-> B ) ) = -e ( limsup ` ( k
       e. Z |-> -e B ) ) ) $=
      ( cvv wcel cuz fvexi a1i zred cv cpnf cico co cin cxr simpr wceq uzinico3
      wa eqcomd adantr eleqtrd syldan liminfval3 ) ACEBDJFEJKAEDLHMNADGOACPZEDQ
      RSTZKZUKEKBUAKAUMUEUKULEAUMUBAULEUCUMAEULADEGHUDUFUGUHIUIUJ $.
  $}

  $( The inferior limit of the empty set.  (Contributed by Glauco Siliprandi,
     2-Jan-2022.) $)
  liminf0 $p |- ( liminf ` (/) ) = +oo $=
    ( vx c0 cv cfv cmpt clsi cxne clsp cpnf wceq wtru cc0 cvv wcel ax-mp fveq2i
    wn mpt0 cmnf eqtri nftru 0ex a1i 0red cico co cin cxr wi noel elinel1 con3i
    pm2.21 adantl liminfval3 mptru limsup0 xnegeqi xnegmnf 3eqtr3i ) ABACZBDZEZ
    FDZABVBGZEZHDZGZBFDIVDVHJKABVBLMAUABMNKUBUCKUDVABLIUEUFZUGNZVBUHNZKVJQZVJVK
    UIVABNZQVLVAUJVJVMVABVIUKULOVJVKUMOUNUOUPVCBFAVBRPVHSGIVGSVGBHDSVFBHAVERPUQ
    TURUSTUT $.

  ${
    $d A x $.  $d M x $.
    limsupval4.x $e |- F/ x ph $.
    limsupval4.a $e |- ( ph -> A e. V ) $.
    limsupval4.m $e |- ( ph -> M e. RR ) $.
    limsupval4.b $e |- ( ( ph /\ x e. ( A i^i ( M [,) +oo ) ) ) -> B e. RR* )
                   $.
    $( Alternate definition of ` liminf ` when the given a function is
       eventually extended real-valued.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    limsupval4 $p |- ( ph -> ( limsup ` ( x e. A |-> B ) ) = -e ( liminf ` ( x
       e. A |-> -e B ) ) ) $=
      ( cpnf cico cmpt clsp cfv cxne wcel cvv xnegnegd limsupresicompt cin clsi
      co cxr ovex inex2 mptex limsupcl ax-mp a1i eqcomd eqid xnegcld liminfval3
      cv wa mpteq2da fveq2d eqtrd xnegeqd 3eqtr4d ) ABCEKLUCZUAZDMZNOZVEPZPZBCD
      MNOBCDPZMUBOZPAVGVEAVEVEUDQZAVDRQVJBVCDVBCEKLUEUFUGVDRUHUIUJSUKABCDEFVBHI
      VBULZTAVIVFAVIBCVHPZMNOZPVFABCVHEFGHIABUOVCQUPZDJUMUNAVMVEAVMBVCVLMZNOVEA
      BCVLEFVBHIVKTAVOVDNABVCVLDGVNDJSUQURUSUTUSUTVA $.
  $}

  ${
    $d M k $.  $d Z k $.
    liminfvaluz2.k $e |- F/ k ph $.
    liminfvaluz2.m $e |- ( ph -> M e. ZZ ) $.
    liminfvaluz2.z $e |- Z = ( ZZ>= ` M ) $.
    liminfvaluz2.b $e |- ( ( ph /\ k e. Z ) -> B e. RR ) $.
    $( Alternate definition of ` liminf ` for a real-valued function, defined
       on a set of upper integers.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    liminfvaluz2 $p |- ( ph -> ( liminf ` ( k e. Z |-> B ) ) = -e ( limsup ` (
       k e. Z |-> -u B ) ) ) $=
      ( cmpt clsi cfv cxne clsp cneg cv wcel wa rexrd liminfvaluz rexnegd eqtrd
      mpteq2da fveq2d xnegeqd ) ACEBJKLCEBMZJZNLZMCEBOZJZNLZMABCDEFGHACPEQRZBIS
      TAUHUKAUGUJNACEUFUIFULBIUAUCUDUEUB $.
  $}

  ${
    $d M k $.  $d Z k $.
    liminfvaluz3.1 $e |- F/ k ph $.
    liminfvaluz3.2 $e |- F/_ k F $.
    liminfvaluz3.3 $e |- ( ph -> M e. ZZ ) $.
    liminfvaluz3.4 $e |- Z = ( ZZ>= ` M ) $.
    liminfvaluz3.5 $e |- ( ph -> F : Z --> RR* ) $.
    $( Alternate definition of ` liminf ` for an extended real-valued function,
       defined on a set of upper integers.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    liminfvaluz3 $p |- ( ph -> ( liminf ` F ) = -e ( limsup ` ( k e. Z |-> -e (
       F ` k ) ) ) ) $=
      ( clsi cfv cv cmpt cxne clsp cxr nfcv feqmptdf fveq2d liminfvaluz eqtrd
      ffvelrnda ) ACKLBEBMZCLZNZKLBEUEONPLOACUFKABEQCBERGJSTAUEBDEFHIAEQUDCJUCU
      AUB $.
  $}

  $( A counterexample for ~ liminflelimsup , showing that the second hypothesis
     is needed.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
  liminflelimsupcex $p |- ( limsup ` (/) ) < ( liminf ` (/) ) $=
    ( c0 clsp cfv clsi clt wbr cmnf cpnf mnfltpnf limsup0 liminf0 breq12i mpbir
    ) ABCZADCZEFGHEFINGOHEJKLM $.

  ${
    $d M k $.  $d Z k $.
    limsupvaluz3.k $e |- F/ k ph $.
    limsupvaluz3.m $e |- ( ph -> M e. ZZ ) $.
    limsupvaluz3.z $e |- Z = ( ZZ>= ` M ) $.
    limsupvaluz3.b $e |- ( ( ph /\ k e. Z ) -> B e. RR* ) $.
    $( Alternate definition of ` liminf ` for an extended real-valued function,
       defined on a set of upper integers.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    limsupvaluz3 $p |- ( ph -> ( limsup ` ( k e. Z |-> B ) ) = -e ( liminf ` (
       k e. Z |-> -e B ) ) ) $=
      ( cvv wcel cuz fvexi a1i zred cv cpnf cico co cin cxr simpr wceq uzinico3
      wa eqcomd adantr eleqtrd syldan limsupval4 ) ACEBDJFEJKAEDLHMNADGOACPZEDQ
      RSTZKZUKEKBUAKAUMUEUKULEAUMUBAULEUCUMAEULADEGHUDUFUGUHIUIUJ $.
  $}

  ${
    $d M k $.  $d Z k $.
    liminfvaluz4.1 $e |- F/ k ph $.
    liminfvaluz4.2 $e |- F/_ k F $.
    liminfvaluz4.3 $e |- ( ph -> M e. ZZ ) $.
    liminfvaluz4.4 $e |- Z = ( ZZ>= ` M ) $.
    liminfvaluz4.5 $e |- ( ph -> F : Z --> RR ) $.
    $( Alternate definition of ` liminf ` for a real-valued function, defined
       on a set of upper integers.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    liminfvaluz4 $p |- ( ph -> ( liminf ` F ) = -e ( limsup ` ( k e. Z |-> -u (
       F ` k ) ) ) ) $=
      ( clsi cfv cv cmpt cneg clsp cxne cr nfcv feqmptdf ffvelrnda liminfvaluz2
      fveq2d eqtrd ) ACKLBEBMZCLZNZKLBEUFONPLQACUGKABERCBESGJTUCAUFBDEFHIAERUEC
      JUAUBUD $.
  $}

  ${
    $d M k $.  $d Z k $.
    limsupvaluz4.k $e |- F/ k ph $.
    limsupvaluz4.m $e |- ( ph -> M e. ZZ ) $.
    limsupvaluz4.z $e |- Z = ( ZZ>= ` M ) $.
    limsupvaluz4.b $e |- ( ( ph /\ k e. Z ) -> B e. RR ) $.
    $( Alternate definition of ` liminf ` for a real-valued function, defined
       on a set of upper integers.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    limsupvaluz4 $p |- ( ph -> ( limsup ` ( k e. Z |-> B ) ) = -e ( liminf ` (
       k e. Z |-> -u B ) ) ) $=
      ( cmpt clsp cfv cxne clsi cneg cv wcel wa rexrd limsupvaluz3 fveq2d eqtrd
      rexnegd mpteq2da xnegeqd ) ACEBJKLCEBMZJZNLZMCEBOZJZNLZMABCDEFGHACPEQRZBI
      STAUHUKAUGUJNACEUFUIFULBIUCUDUAUEUB $.
  $}

  ${
    $d F k $.  $d M k $.  $d Z k $.  $d k ph $.
    climliminflimsupd.1 $e |- ( ph -> M e. ZZ ) $.
    climliminflimsupd.2 $e |- Z = ( ZZ>= ` M ) $.
    climliminflimsupd.3 $e |- ( ph -> F : Z --> RR ) $.
    climliminflimsupd.4 $e |- ( ph -> F e. dom ~~> ) $.
    $( If a sequence of real numbers converges, its inferior limit and its
       superior limit are equal.  (Contributed by Glauco Siliprandi,
       2-Jan-2022.) $)
    climliminflimsupd $p |- ( ph -> ( liminf ` F ) = ( limsup ` F ) ) $=
      ( vk clsi cfv cxr wcel cr cmpt cneg cli wbr recnd syl2anc clsp cv feqmptd
      cxne fveq2d cvv cuz fvexi mptex liminfcl ax-mp eqeltrd ffvelrnda renegcld
      a1i nfv wa limsupvaluz4 wceq wrel climrel nfcv climlimsup climneg releldm
      cdm mpbid fmpttd climuni negnegd eqtr4d xnegeqd 3eqtr3d climrecl eqeltrrd
      mpteq2dva xnegrecl2 rexnegd eqtr2d neg11d ) ABJKZBUAKZAWAAWALMWAUDZNMWANM
      AWAIDIUBZBKZOZJKZLABWFJAIDNBGUCZUEWGLMZAWFUFMWIIDWEDCUGFUHUIWFUFUJUKUOULA
      WBPZWCNAIDWEPZOZUAKZIDWKPZOZJKZUDWJWCAWKICDAIUPZEFAWDDMUQZWEADNWDBGUMZUNZ
      URAWLWMQRZWLWJQRZWMWJUSAWLQVFZMZXAAQUTZXBXDXEAVAUOAWBIBCDWQIBVBFEABXCMBWB
      QRHABCDEFGVCVGZWRWEWSSZVDZWLWJQVETAWLCDEFAIDWKNWTVHVCVGXHWMWJWLVITAWPWAAW
      OBJAWOWFBAIDWNWEWRWEXGVJVPWHVKUEVLVMZAWBAWBIBCDFEXFWSVNZUNVOWAVQTZSAWBXJS
      AWJWCWAPXIAWAXKVRVSVT $.
  $}

  ${
    $d F k x y $.  $d M j $.  $d Z j k x y $.  $d j k ph x y $.
    liminfreuzlem.1 $e |- F/_ j F $.
    liminfreuzlem.2 $e |- ( ph -> M e. ZZ ) $.
    liminfreuzlem.3 $e |- Z = ( ZZ>= ` M ) $.
    liminfreuzlem.4 $e |- ( ph -> F : Z --> RR ) $.
    $( Given a function on the reals, its inferior limit is real if and only if
       two condition holds: 1. there is a real number that is greater than or
       equal to the function, infinitely often; 2. there is a real number that
       is smaller than or equal to the function.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    liminfreuzlem $p |- ( ph -> ( ( liminf ` F ) e. RR <-> ( E. x e. RR A. k e.
       Z E. j e. ( ZZ>= ` k ) ( F ` j ) <_ x /\ E. x e. RR A. j e. Z x <_ ( F `
       j ) ) ) ) $=
      ( vy cfv cr wcel cle wbr wrex wral wa clsi cv cneg cmpt clsp cuz cxne nfv
      liminfvaluz4 eleq1d cxr cvv fvexi mptex limsupcl ax-mp a1i xnegred bitr4d
      ffvelrnda renegcld limsupreuzmpt renegcl ad2antlr simpllr ad2antrr uztrn2
      adantll ffvelrnd adantllr leneg2d rexbidva ralbidva biimpd imp wceq breq2
      wf rexbidv ralbidv rspcev syl2anc rexlimdva2 lenegd impbid adantlr simplr
      breq1 leneg3d brralrspcev anbi12d bitrd ) AEUAMZNOZCGCUBZEMZUCZUDZUEMZNOZ
      WPBUBZPQZCDUBZUFMZRZDGSZBNRZXAWPPQZCGSZBNRZTZAWNWSUGZNOWTAWMXLNACEFGACUHZ
      HIJKUIUJAWSWSUKOZAWRULOXNCGWQGFUFJUMUNWRULUOUPUQURUSAWTLUBZWQPQZCXDRZDGSZ
      LNRZWQXOPQZCGSZLNRZTXKALWQCDFGXMIJAWOGOZTWPAGNWOEKUTZVAVBAXSXGYBXJAXSXGAX
      RXGLNAXONOZTZXRTXOUCZNOZWPYGPQZCXDRZDGSZXGYEYHAXRXOVCZVDYFXRYKYFXRYKYFXQY
      JDGYFXCGOZTZXPYICXDYNWOXDOZTXOWPAYEYMYOVEAYMYOWPNOZYEAYMTYOTGNWOEAGNEVRYM
      YOKVFYMYOYCAFWOXCGJVGVHVIZVJVKVLVMVNVOXFYKBYGNXAYGVPZXEYJDGYRXBYICXDXAYGW
      PPVQVSVTWAWBWCAXFXSBNAXANOZTZXFTXAUCZNOZUUAWQPQZCXDRZDGSZXSYSUUBAXFXAVCZV
      DYTXFUUEYTXFUUEYTXEUUDDGYTYMTZXBUUCCXDUUGYOTWPXAAYMYOYPYSYQVJAYSYMYOVEWDV
      LVMVNVOXRUUELUUANXOUUAVPZXQUUDDGUUHXPUUCCXDXOUUAWQPWHVSVTWAWBWCWEAYBXJAYA
      XJLNYFYATYHYGWPPQZCGSZXJYEYHAYAYLVDYFYAUUJYFYAUUJYFXTUUICGYFYCTWPXOAYCYPY
      EYDWFAYEYCWGWIVMVNVOXIUUJBYGNYRXHUUICGXAYGWPPWHVTWAWBWCAXIYBBNYTXITUUBWQU
      UAPQZCGSZYBYSUUBAXIUUFVDYTXIUULYTXIUULYTXHUUKCGYTYCTXAWPAYSYCWGAYCYPYSYDW
      FWDVMVNVOLCWQUUAPNGWJWBWCWEWKWLWL $.
  $}

  ${
    $d F i k l x y $.  $d M l $.  $d Z i j k l x y $.  $d i l ph y $.
    liminfreuz.1 $e |- F/_ j F $.
    liminfreuz.2 $e |- ( ph -> M e. ZZ ) $.
    liminfreuz.3 $e |- Z = ( ZZ>= ` M ) $.
    liminfreuz.4 $e |- ( ph -> F : Z --> RR ) $.
    $( Given a function on the reals, its inferior limit is real if and only if
       two condition holds: 1. there is a real number that is greater than or
       equal to the function, infinitely often; 2. there is a real number that
       is smaller than or equal to the function.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    liminfreuz $p |- ( ph -> ( ( liminf ` F ) e. RR <-> ( E. x e. RR A. k e. Z
       E. j e. ( ZZ>= ` k ) ( F ` j ) <_ x /\ E. x e. RR A. j e. Z x <_ ( F ` j
       ) ) ) ) $=
      ( vl vy vi cr cv cle wbr wrex wral clsi cfv wcel wa nfcv liminfreuzlem wb
      cuz wceq breq2 rexbidv ralbidv fveq2 rexeqdv nffv nfbr nfv breq1d cbvrexw
      a1i bitrd cbvralvw cbvrexvw breq1 breq2d cbvralw anbi12i ) AEUAUBOUCLPZEU
      BZMPZQRZLNPZUHUBZSZNGTZMOSZVJVIQRZLGTZMOSZUDZCPZEUBZBPZQRZCDPZUHUBZSZDGTZ
      BOSZWCWBQRZCGTZBOSZUDZAMLNEFGLEUEIJKUFVTWMUGAVPWIVSWLVOWHMBOVJWCUIZVOVIWC
      QRZLVMSZNGTZWHWNVNWPNGWNVKWOLVMVJWCVIQUJUKULWQWHUGWNWPWGNDGVLWEUIZWPWOLWF
      SZWGWRWOLVMWFVLWEUHUMUNWSWGUGWRWOWDLCWFCVIWCQCVHEHCVHUEUOZCQUEZCWCUEZUPWD
      LUQVHWAUIZVIWBWCQVHWAEUMZURUSUTVAVBUTVAVCVRWKMBOWNVRWCVIQRZLGTZWKWNVQXELG
      VJWCVIQVDULXFWKUGWNXEWJLCGCWCVIQXBXAWTUPWJLUQXCVIWBWCQXDVEVFUTVAVCVGUTVA
      $.
  $}

  ${
    $d F j k $.  $d M k $.  $d X j k $.  $d Z j k $.  $d j k ph $.
    liminfltlem.m $e |- ( ph -> M e. ZZ ) $.
    liminfltlem.z $e |- Z = ( ZZ>= ` M ) $.
    liminfltlem.f $e |- ( ph -> F : Z --> RR ) $.
    liminfltlem.r $e |- ( ph -> ( liminf ` F ) e. RR ) $.
    liminfltlem.x $e |- ( ph -> X e. RR+ ) $.
    $( Given a sequence of real numbers, there exists an upper part of the
       sequence that's approximated from above by the inferior limit.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    liminfltlem $p |- ( ph -> E. j e. Z A. k e. ( ZZ>= ` j ) ( liminf ` F ) < (
       ( F ` k ) + X ) ) $=
      ( cfv cneg cmin co clt wbr cr wcel cv cmpt clsp cuz wral wrex clsi nfmpt1
      caddc wa ffvelrnda renegcld fmpttd cxr cvv fvexi mptex limsupcli a1i cxne
      nfv nfcv liminfvaluz4 eqeltrrd xnegrecl2d limsupgt wb simpll adantll wceq
      uztrn2 negex fvmpt4 mpan2 adantl oveq1d recnd rpred adantr negdi2d eqtr4d
      rexnegd eqtr2d negcon1ad eqcomd breq12d readdcld ltnegd ralbidva rexbidva
      bitr4d syl2anc mpbid ) ACUAZCGWNDMZNZUBZMZFOPZWQUCMZQRZCBUAZUDMZUEZBGUFDU
      GMZWOFUIPZQRZCXCUEZBGUFABCWQEFGCGWPUHHIACGWPSAWNGTZUJZWOAGSWNDJUKZULUMAWT
      WTUNTAWQUOCGWPGEUDIUPUQURUSAXEWTUTZSACDEGACVACDVBHIJVCZKVDVEZLVFAXDXHBGAX
      BGTZUJZXAXGCXCXPWNXCTZUJAXIXAXGVGAXOXQVHXOXQXIAEWNXBGIVKVIXJXAXFNZXENZQRX
      GXJWSXRWTXSQXJWSWPFOPXRXJWRWPFOXIWRWPVJZAXIWPUOTXTWOVLCGWPUOVMVNVOVPXJWOF
      XJWOXKVQXJFAFSTXIAFLVRVSZVQVTWAAWTXSVJXIAXSWTAWTXEAWTXNVQAXEXLWTNXMAWTXNW
      BWCWDWEVSWFXJXEXFAXESTXIKVSXJWOFXKYAWGWHWKWLWIWJWM $.
  $}

  ${
    $d F i j l $.  $d M l $.  $d X i j k l $.  $d Z i j l $.  $d i l ph $.
    liminflt.k $e |- F/_ k F $.
    liminflt.m $e |- ( ph -> M e. ZZ ) $.
    liminflt.z $e |- Z = ( ZZ>= ` M ) $.
    liminflt.f $e |- ( ph -> F : Z --> RR ) $.
    liminflt.r $e |- ( ph -> ( liminf ` F ) e. RR ) $.
    liminflt.x $e |- ( ph -> X e. RR+ ) $.
    $( Given a sequence of real numbers, there exists an upper part of the
       sequence that's approximated from above by the inferior limit.
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    liminflt $p |- ( ph -> E. j e. Z A. k e. ( ZZ>= ` j ) ( liminf ` F ) < ( (
       F ` k ) + X ) ) $=
      ( vl vi cfv cv caddc clt nfcv clsi co wbr cuz wral wrex liminfltlem fveq2
      wceq raleqdv wb nffv nfov nfbr oveq1d breq2d cbvralw bitrd cbvrexvw sylib
      nfv a1i ) ADUAPZNQZDPZFRUBZSUCZNOQZUDPZUEZOGUFVCCQZDPZFRUBZSUCZCBQZUDPZUE
      ZBGUFAONDEFGIJKLMUGVJVQOBGVHVOUIZVJVGNVPUEZVQVRVGNVIVPVHVOUDUHUJVSVQUKVRV
      GVNNCVPCVCVFSCDUACUATHULCSTCVEFRCVDDHCVDTULCRTCFTUMUNVNNVAVDVKUIZVFVMVCSV
      TVEVLFRVDVKDUHUOUPUQVBURUSUT $.
  $}

  ${
    climliminf.1 $e |- ( ph -> M e. ZZ ) $.
    climliminf.2 $e |- Z = ( ZZ>= ` M ) $.
    climliminf.3 $e |- ( ph -> F : Z --> RR ) $.
    $( A sequence of real numbers converges if and only if it converges to its
       inferior limit.  (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    climliminf $p |- ( ph -> ( F e. dom ~~> <-> F ~~> ( liminf ` F ) ) ) $=
      ( cli cdm wcel clsi cfv wbr wa clsp climlimsup biimpd imp cz adantr cr wf
      simpr climliminflimsupd breqtrrd climrel releldmi adantl impbida ) ABHIJZ
      BBKLZHMZAUJNZBBOLZUKHAUJBUNHMZAUJUOABCDEFGPQRUMBCDACSJUJETFADUABUBUJGTAUJ
      UCUDUEULUJABUKHUFUGUHUI $.
  $}

  ${
    $d F j k x $.  $d M j $.  $d Z j k x $.  $d j k ph x $.
    liminflimsupclim.1 $e |- ( ph -> M e. ZZ ) $.
    liminflimsupclim.2 $e |- Z = ( ZZ>= ` M ) $.
    liminflimsupclim.3 $e |- ( ph -> F : Z --> RR ) $.
    liminflimsupclim.4 $e |- ( ph -> ( liminf ` F ) e. RR ) $.
    liminflimsupclim.5 $e |- ( ph -> ( limsup ` F ) <_ ( liminf ` F ) ) $.
    $( A sequence of real numbers converges if its inferior limit is real, and
       it is greater than or equal to the superior limit (in such a case, they
       are actually equal, see ~ liminflelimsupuz ).  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    liminflimsupclim $p |- ( ph -> F e. dom ~~> ) $=
      ( vk vj cfv wbr wcel clt wral wrex wa cr adantr cli wrel clsp cdm climrel
      vx a1i cc cv cmin cabs cuz crp clsi fvexi fexd limsupcld liminflelimsupuz
      co cvv rexrd frexr xrletrid eqeltrd recnd cneg caddc cz wf simpr liminflt
      nfcv ad2antrr uztrn2 adantll ffvelrnd adantllr rpre syl ltsubadd2d bicomd
      eqcomd negsubdi2d breq1d resubcld ltnegcon1 bitrd oveq2d breq2d ad3antrrr
      wb syl2anc 3bitrd ralbidva rexbidva limsupgt ltsub23 syl3anc jca rexanuz2
      mpbid sylibr wi simplll simpllr ffvelrnda adantlr ad2antlr abslt syl21anc
      mpbird ralimdva reximdva mpd ralrimiva wss ax-resscn fssd climuz releldm
      ex ) AUAUBZBBUCLZUAMZBUAUDNYBAUEUGAYDYCUHNZJUIZBLZYCUJUSZUKLUFUIZOMZJKUIZ
      ULLZPZKDQZUFUMPZRAYEYOAYCAYCBUNLZSAYCYPABUTADSUTBGDUTNADCULFUOUGUPUQAYPHV
      AIABCDEFADBGVBURVCZHVDZVEZAYNUFUMAYIUMNZRZYIVFZYHOMZYHYIOMZRZJYLPZKDQZYNU
      UAUUCJYLPZKDQZUUDJYLPZKDQZRUUGUUAUUIUUKUUAYPYGYIVGUSOMZJYLPZKDQUUIUUAKJBC
      YIDJBVLZACVHNYTETZFADSBVIZYTGTZAYPSNZYTHTZAYTVJZVKUUAUUMUUHKDUUAYKDNZRZUU
      LUUCJYLUVBYFYLNZRZUULYPYGUJUSZYIOMZUUBYGYPUJUSZOMZUUCUVDUVFUULUVDYPYGYIUU
      AUURUVAUVCUUSVMZAUVAUVCYGSNZYTAUVARUVCRZDSYFBAUUPUVAUVCGVMUVAUVCYFDNZACYF
      YKDFVNZVOVPZVQZUVDYTYISNZUUAYTUVAUVCUUTVMYIVRZVSZVTWAUVDUVFUVGVFZYIOMZUVH
      UVDUVTUVFAUVAUVCUVTUVFWKYTUVKUVSUVEYIOUVKYGYPUVKYGUVNVEAYPUHNUVAUVCAYPYCU
      HAYCYPYQWBZYSVDVMWCWDVQWAUVDUVGSNUVPUVTUVHWKUVDYGYPUVOUVIWEUVRUVGYIWFWLWG
      AUVHUUCWKYTUVAUVCAUVGYHUUBOAYPYCYGUJUWAWHWIWJWMWNWOXAUUAYGYIUJUSYCOMZJYLP
      ZKDQUUKUUAKJBCYIDUUNUUOFUUQAYCSNZYTYRTZUUTWPUUAUWCUUJKDUVBUWBUUDJYLUVDUVJ
      UVPUWDUWBUUDWKUVOUVRUUAUWDUVAUVCUWEVMYGYIYCWQWRWNWOXAWSUUCUUDKJCDFWTXBUUA
      UUFYMKDUVBUUEYJJYLUVDAYTUVLUUEYJXCAYTUVAUVCXDAYTUVAUVCXEUVAUVCUVLUUAUVMVO
      UUAUVLRZUUEYJUWFUUERYJUUEUWFUUEVJUWFYJUUEWKZUUEUWFYHSNZUVPUWGAUVLUWHYTAUV
      LRYGYCADSYFBGXFAUWDUVLYRTWEXGYTUVPAUVLUVQXHYHYIXIWLTXKYAXJXLXMXNXOWSAUFYC
      KJBCDUUNEFADSUHBGSUHXPAXQUGXRXSXKBYCUAXTWL $.
  $}

  ${
    $d F k $.  $d M k $.  $d Z k $.  $d k ph $.
    climliminflimsup.1 $e |- ( ph -> M e. ZZ ) $.
    climliminflimsup.2 $e |- Z = ( ZZ>= ` M ) $.
    climliminflimsup.3 $e |- ( ph -> F : Z --> RR ) $.
    $( A sequence of real numbers converges if and only if its inferior limit
       is real and it is greater than or equal to its superior limit (in such a
       case, they are actually equal, see ~ liminfgelimsupuz ).  (Contributed
       by Glauco Siliprandi, 2-Jan-2022.) $)
    climliminflimsup $p |- ( ph -> ( F e. dom ~~> <-> ( ( liminf ` F ) e. RR /\
       ( limsup ` F ) <_ ( liminf ` F ) ) ) ) $=
      ( vk cli cdm wcel clsi cfv cr clsp cle wbr wa cz adantr climliminf biimpd
      cv wf ffvelrnda climrecl simpr limsupcld climliminflimsupd eqcomd xreqled
      imp jca simprl simprr liminflimsupclim impbida ) ABIJZKZBLMZNKZBOMZUTPQZR
      ZAUSRZVAVCVEUTHBCDFACSKZUSETZAUSBUTIQZAUSVHABCDEFGUAUBULVEDNHUCBADNBUDZUS
      GTZUEUFVEVBUTVEBURAUSUGZUHVEUTVBVEBCDVGFVJVKUIUJUKUMAVDRBCDAVFVDETFAVIVDG
      TAVAVCUNAVAVCUOUPUQ $.
  $}

  ${
    climliminflimsup2.1 $e |- ( ph -> M e. ZZ ) $.
    climliminflimsup2.2 $e |- Z = ( ZZ>= ` M ) $.
    climliminflimsup2.3 $e |- ( ph -> F : Z --> RR ) $.
    $( A sequence of real numbers converges if and only if its superior limit
       is real and it is less than or equal to its inferior limit (in such a
       case, they are actually equal, see ~ liminfgelimsupuz ).  (Contributed
       by Glauco Siliprandi, 2-Jan-2022.) $)
    climliminflimsup2 $p |- ( ph -> ( F e. dom ~~> <-> ( ( limsup ` F ) e. RR
       /\ ( limsup ` F ) <_ ( liminf ` F ) ) ) ) $=
      ( cli wcel cfv cr wa wceq adantr wf simprl simprr simpr eqeltrd jca frexr
      cdm clsi clsp cle wbr climliminflimsup liminflimsupclim climliminflimsupd
      cz eqcomd syldan cxr liminfgelimsupuz mpbid adantrl impbida bitrd ) ABHUB
      IZBUCJZKIZBUDJZUTUEUFZLZVBKIZVCLZABCDEFGUGAVDVFAVDLZVEVCVGVBUTKAVDUSVBUTM
      VGBCDACUJIZVDENFADKBOZVDGNAVAVCPZAVAVCQZUHAUSLZUTVBVLBCDAVHUSENFAVIUSGNAU
      SRUIUKULVJSVKTAVFLZVAVCVMUTVBKAVCUTVBMZVEAVCLZVCVNAVCRVOBCDAVHVCENFADUMBO
      VCADBGUANUNUOUPAVEVCPSAVEVCQTUQUR $.
  $}

  ${
    climliminflimsup3.1 $e |- ( ph -> M e. ZZ ) $.
    climliminflimsup3.2 $e |- Z = ( ZZ>= ` M ) $.
    climliminflimsup3.3 $e |- ( ph -> F : Z --> RR ) $.
    $( A sequence of real numbers converges if and only if its inferior limit
       is real and equal to its superior limit.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    climliminflimsup3 $p |- ( ph -> ( F e. dom ~~> <-> ( ( liminf ` F ) e. RR
       /\ ( liminf ` F ) = ( limsup ` F ) ) ) ) $=
      ( cli cdm wcel clsi cfv cr clsp cle wbr wa wceq climliminflimsup frexr
      liminfgelimsupuz anbi2d bitrd ) ABHIJBKLZMJZBNLZUDOPZQUEUDUFRZQABCDEFGSAU
      GUHUEABCDEFADBGTUAUBUC $.
  $}

  ${
    climliminflimsup4.1 $e |- ( ph -> M e. ZZ ) $.
    climliminflimsup4.2 $e |- Z = ( ZZ>= ` M ) $.
    climliminflimsup4.3 $e |- ( ph -> F : Z --> RR ) $.
    $( A sequence of real numbers converges if and only if its superior limit
       is real and equal to its inferior limit.  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    climliminflimsup4 $p |- ( ph -> ( F e. dom ~~> <-> ( ( limsup ` F ) e. RR
       /\ ( liminf ` F ) = ( limsup ` F ) ) ) ) $=
      ( cli cdm wcel clsp cfv cr clsi cle wbr wa wceq climliminflimsup2 frexr
      liminfgelimsupuz anbi2d bitrd ) ABHIJBKLZMJZUDBNLZOPZQUEUFUDRZQABCDEFGSAU
      GUHUEABCDEFADBGTUAUBUC $.
  $}

  ${
    $d A j k x $.  $d F k x $.  $d k ph x $.
    limsupub2.1 $e |- F/ j ph $.
    limsupub2.2 $e |- F/_ j F $.
    limsupub2.3 $e |- ( ph -> A C_ RR ) $.
    limsupub2.4 $e |- ( ph -> F : A --> RR* ) $.
    limsupub2.5 $e |- ( ph -> ( limsup ` F ) =/= +oo ) $.
    $( A extended real valued function, with limsup that is not ` +oo ` , is
       eventually less than ` +oo ` .  (Contributed by Glauco Siliprandi,
       23-Apr-2023.) $)
    limsupub2 $p |- ( ph -> E. k e. RR A. j e. A ( k <_ j -> ( F ` j ) < +oo )
       ) $=
      ( vx cv cle wbr wi cr cpnf wcel wa cxr cfv wral clt nfv ad5ant14 ad4antlr
      wrex nfan ffvelrnda rexr pnfxr simpr ltpnf xrlelttrd ex ralimdaa reximdva
      a1i imim2d imp limsupub r19.29a ) ADLZCLZMNZVDEUAZKLZMNZOZCBUBZDPUGZVEVFQ
      UCNZOZCBUBZDPUGZKPAVGPRZSZVKVOVQVJVNDPVQVCPRZSZVIVMCBVQVRCAVPCFVPCUDUHVRC
      UDUHVSVDBRZSZVHVLVEWAVHVLWAVHSZVFVGQAVTVFTRVPVRVHABTVDEIUIUEVPVGTRAVRVTVH
      VGUJUFQTRWBUKURWAVHULVPVGQUCNAVRVTVHVGUMUFUNUOUSUPUQUTAKBCDEFGHIJVAVB $.
  $}

  ${
    $d F k $.  $d M j $.  $d M k $.  $d Z j k $.  $d k ph $.
    limsupubuz2.1 $e |- F/ j ph $.
    limsupubuz2.2 $e |- F/_ j F $.
    limsupubuz2.3 $e |- ( ph -> M e. ZZ ) $.
    limsupubuz2.4 $e |- Z = ( ZZ>= ` M ) $.
    limsupubuz2.5 $e |- ( ph -> F : Z --> RR* ) $.
    limsupubuz2.6 $e |- ( ph -> ( limsup ` F ) =/= +oo ) $.
    $( A sequence with values in the extended reals, and with limsup that is
       not ` +oo ` , is eventually less than ` +oo ` .  (Contributed by Glauco
       Siliprandi, 23-Apr-2023.) $)
    limsupubuz2 $p |- ( ph -> E. k e. Z A. j e. ( ZZ>= ` k ) ( F ` j ) < +oo )
       $=
      ( cv cfv cpnf clt wbr wral wrex cr cuz cle wss uzssre2 a1i limsupub2 wcel
      wi cz wb rexuzre syl mpbird ) ABMZDNOPQZBCMZUANRCFSZUPUNUBQUOUHBFRCTSZAFB
      CDGHFTUCAEFJUDUEKLUFAEUIUGUQURUJIUOCBEFJUKULUM $.
  $}

  ${
    $d F i k l w x y $.  $d Z i k l w x y $.  $d i j k l w x y $.
    $d i l ph w y $.
    xlimpnfxnegmnf.1 $e |- F/_ j F $.
    xlimpnfxnegmnf.2 $e |- Z = ( ZZ>= ` M ) $.
    xlimpnfxnegmnf.3 $e |- ( ph -> F : Z --> RR* ) $.
    $( A sequence converges to ` +oo ` if and only if its negation converges to
       ` -oo ` .  (Contributed by Glauco Siliprandi, 23-Apr-2023.) $)
    xlimpnfxnegmnf $p |- ( ph -> ( A. x e. RR E. k e. Z A. j e. ( ZZ>= ` k ) x
       <_ ( F ` j ) <-> A. x e. RR E. k e. Z A. j e. ( ZZ>= ` k ) -e ( F ` j )
       <_ x ) ) $=
      ( vl vi cv cle wbr wral wrex cr wa wcel vy vw cfv cuz cxne weq rexralbidv
      wb breq1 fveq2 raleqdv nfv nfcv nffv nfbr breq2d bitrdi cbvrexvw cbvralvw
      cbvralw simpll simpr xnegrecl simpl wceq rspcva syl2an2 adantll wi uztrn2
      a1i cxr rexr ad2antlr adantlr xlenegcon1 syl2anc biimpd ralimdva reximdva
      ffvelrnda syl21anc ralrimiva xleneg biimprd impbida nfxneg xnegeqd breq1d
      imp breq2 3bitrd ) ABMZCMZEUCZNOZCDMZUDUCZPDGQZBRPZUAMZKMZEUCZNOZKLMZUDUC
      ZPZLGQZUARPZXCUEZUBMZNOZKXFPZLGQZUBRPZWOUEZWMNOZCWRPZDGQZBRPZWTXIUHAWSXHB
      UARBUAUFZWSXAWONOZCWRPZDGQXHYAWPYBDCGWRWMXAWONUIUGYCXGDLGDLUFZYCYBCXFPXGY
      DYBCWRXFWQXEUDUJUKYBXDCKXFYBKULCXAXCNCXAUMCNUMZCXBEHCXBUMUNZUOCKUFWOXCXAN
      WNXBEUJUPUTUQURUQUSVKAXIXOAXISZXNUBRYGXKRTZSAYHXKUEZXCNOZKXFPZLGQZXNAXIYH
      VAYGYHVBXIYHYLAYHYIRTXIXIYLXKVCXIYHVDXHYLUAYIRXAYIVEXDYJLKGXFXAYIXCNUIUGV
      FVGVHAYHSZYLXNYMYKXMLGYMXEGTZSZYJXLKXFYOXBXFTZSYMXBGTZYJXLVIYMYNYPVAYNYPY
      QYMFXBXEGIVJZVHYMYQSZYJXLYSXKVLTZXCVLTZYJXLUHYHYTAYQXKVMVNAYQUUAYHAGVLXBE
      JWAZVOXKXCVPVQVRVQVSVTWJWBWCAXOSZXHUARUUCXARTZSAUUDXJXAUEZNOZKXFPZLGQZXHA
      XOUUDVAUUCUUDVBXOUUDUUHAUUDUUERTXOXOUUHXAVCXOUUDVDXNUUHUBUUERXKUUEVEXLUUF
      LKGXFXKUUEXJNWKUGVFVGVHAUUDSZUUHXHUUIUUGXGLGUUIYNSZUUFXDKXFUUJYPSUUIYQUUF
      XDVIUUIYNYPVAYNYPYQUUIYRVHUUIYQSZXDUUFUUKXAVLTZUUAXDUUFUHUUDUULAYQXAVMVNA
      YQUUAUUDUUBVOXAXCWDVQWEVQVSVTWJWBWCWFXOXTUHAXNXSUBBRUBBUFZXNXJWMNOZKXFPZL
      GQXSUUMXLUUNLKGXFXKWMXJNWKUGUUOXRLDGLDUFZUUOUUNKWRPXRUUPUUNKXFWRXEWQUDUJU
      KUUNXQKCWRCXJWMNCXCYFWGYECWMUMUOXQKULKCUFZXJXPWMNUUQXCWOXBWNEUJWHWIUTUQUR
      UQUSVKWL $.
  $}

  ${
    $d F k $.  $d M j k $.  $d Z j k $.  $d k ph $.
    liminflbuz2.1 $e |- F/ j ph $.
    liminflbuz2.2 $e |- F/_ j F $.
    liminflbuz2.3 $e |- ( ph -> M e. ZZ ) $.
    liminflbuz2.4 $e |- Z = ( ZZ>= ` M ) $.
    liminflbuz2.5 $e |- ( ph -> F : Z --> RR* ) $.
    liminflbuz2.6 $e |- ( ph -> ( liminf ` F ) =/= -oo ) $.
    $( A sequence with values in the extended reals, and with liminf that is
       not ` -oo ` , is eventually greater than ` -oo ` .  (Contributed by
       Glauco Siliprandi, 23-Apr-2023.) $)
    liminflbuz2 $p |- ( ph -> E. k e. Z A. j e. ( ZZ>= ` k ) -oo < ( F ` j ) )
       $=
      ( cfv cxne cpnf cmnf wcel wa wceq cxr cv wne cuz wral clt wbr nfv nfan wi
      simpll uztrn2 adantll wn cle ffvelrnda adantr mnfxr a1i simpr xrnltled wb
      xlemnf syl mpbid xnegeq xnegmnf eqtrdi adantlr ad2antlr condan ex syl2anc
      neneq ralimdaa cmpt xnegcld pnfxr fvmpt2d eqbrtrrd xrltned nfmpt1 fmptd2f
      imp eqidd clsp clsi cvv fvexi fexd liminfcld xnegnegd liminfvaluz3 eqtr2d
      mptexd xneg11 nne eqcomd adantl xnegpnf 3eqtrd sylan2b neneqd limsupubuz2
      limsupcld eqnetrd reximddv3 ) ABUAZDMZNZOUBZBCUAZUCMZUDZPXHUEUFZBXLUDZCFA
      XKFQZRZXMXOXQXJXNBXLAXPBGXPBUGUHZXQXGXLQZRZAXGFQZXJXNUIAXPXSUJZXPXSYAAEXG
      XKFJUKULZAYARZXJXNYDXJRXNXIOSZYDXNUMZYEXJYDYFRZXHPSZYEYGXHPUNUFZYHYGXHPYD
      XHTQZYFAFTXGDKUOZUPZPTQYGUQURYDYFUSUTYGYJYIYHVAYLXHVBVCVDYHXIPNOXHPVEVFVG
      VCVHXJYEUMYDYFXIOVMVIVJVKVLVNWCAXGBFXIVOZMZOUEUFZBXLUDZXMCFXQYPXMXQYOXJBX
      LXRXTAYAYOXJUIYBYCYDYOXJYDYORZXIOYDXITQYOYDXHYKVPZUPOTQYQVQURYQYNXIOUEYDY
      NXISYOABFXIYMTAYMWDYRVRUPYDYOUSVSVTVKVLVNWCABCYMEFGBFXIWAIJABFXITGYRWBAYM
      WEMZDWFMZNZOAYSNZUUANZSZYSUUASZAUUCYTUUBAYTADWGAFTWGDKFWGQAFEUCJWHURZWIWJ
      ZWKZABDEFGHIJKWLWMAYSTQUUATQUUDUUEVAAYMWGABFXIWGUUFWNXDAYTUUGVPYSUUAWOVLV
      DAUUAOUBZYTPSZUUIUMZAUUAOSZUUJUUAOWPAUULRZYTUUCONZPAYTUUCSUULAUUCYTUUHWQU
      PUULUUCUUNSAUUAOVEWRUUNPSUUMWSURWTXAAUUJUMUUKAYTPLXBUPVJXEXCXFXF $.
  $}

  ${
    $d F k x $.  $d F l $.  $d M l $.  $d Z j k x $.  $d Z j l $.  $d l ph $.
    liminfpnfuz.1 $e |- F/_ j F $.
    liminfpnfuz.2 $e |- ( ph -> M e. ZZ ) $.
    liminfpnfuz.3 $e |- Z = ( ZZ>= ` M ) $.
    liminfpnfuz.4 $e |- ( ph -> F : Z --> RR* ) $.
    $( The inferior limit of a function is ` +oo ` if and only if every real
       number is the lower bound of the restriction of the function to a set of
       upper integers.  (Contributed by Glauco Siliprandi, 23-Apr-2023.) $)
    liminfpnfuz $p |- ( ph -> ( ( liminf ` F ) = +oo <-> A. x e. RR E. k e. Z
       A. j e. ( ZZ>= ` k ) x <_ ( F ` j ) ) ) $=
      ( vl cfv cpnf wceq cv cxne cmnf wral wcel clsi cmpt clsp cle wbr cuz wrex
      cr nfv nfcv liminfvaluz3 nffv nfxneg xnegeqd cbvmpt fveq2i xnegeqi eqtrdi
      fveq2 eqeq1d xnegmnf eqcomi a1i eqeq2d cxr wb fvexi mptex limsupcld mnfxr
      cvv xneg11 sylancl wa uztrn2 xnegex fvmpt4 breq1d ralbidva rexbiia ralbii
      bitrd nfmpt1 ffvelrnda xnegcld limsupmnfuz xlimpnfxnegmnf 3bitr4d 3bitrd
      fmptd ) AEUAMZNOCGCPZEMZQZUBZUCMZQZNOZWPROZBPZWMUDUECDPZUFMZSDGUGBUHSZAWK
      WQNAWKLGLPZEMZQZUBZUCMZQWQALEFGALUILEUJIJKUKXHWPXGWOUCLCGXFWNCXECXDEHCXDU
      JULUMLWNUJXDWLOXEWMXDWLEUSUNUOZUPUQURUTAWRWQRQZOZWSANXJWQNXJOAXJNVAVBVCVD
      AWPVETRVETXKWSVFAWOVKWOVKTACGWNGFUFJVGVHVCVIVJWPRVLVMWBAWLWOMZWTUDUEZCXBS
      ZDGUGZBUHSZWNWTUDUEZCXBSZDGUGZBUHSZWSXCXPXTVFAXOXSBUHXNXRDGXAGTZXMXQCXBYA
      WLXBTVNZXLWNWTUDYBWLGTWNVKTXLWNOFWLXAGJVOWMVPCGWNVKVQVMVRVSVTWAVCABCDWOFG
      CGWNWCIJALGXFVEWOAXDGTVNXEAGVEXDEKWDWEXGWOXIVBWJWFABCDEFGHJKWGWHWI $.
  $}

  ${
    $d F j k $.  $d M j k $.  $d Z j k $.  $d j k ph $.
    liminflimsupxrre.1 $e |- ( ph -> M e. ZZ ) $.
    liminflimsupxrre.2 $e |- Z = ( ZZ>= ` M ) $.
    liminflimsupxrre.3 $e |- ( ph -> F : Z --> RR* ) $.
    liminflimsupxrre.4 $e |- ( ph -> ( limsup ` F ) =/= +oo ) $.
    liminflimsupxrre.5 $e |- ( ph -> ( liminf ` F ) =/= -oo ) $.
    $( A sequence with values in the extended reals, and with real liminf and
       limsup, is eventually real.  (Contributed by Glauco Siliprandi,
       23-Apr-2023.) $)
    liminflimsupxrre $p |- ( ph -> E. k e. Z ( F |` ( ZZ>= ` k ) ) : ( ZZ>= ` k
       ) --> RR ) $=
      ( vj cpnf cmnf wa wral cr wcel simpr cxr adantr cv cfv clt wbr cuz wf cdm
      cres wi simpll uztrn2 adantll wceq fdmd eleqtrrd ad2antrr ffvelrnda mnfxr
      wne a1i xrgtned adantlr pnfxr xrltned xrred jca expl syl2anc ralimdva imp
      wb wfun ffvresb syl mpbird wrex nfv nfcv limsupubuz2 liminflbuz2 rexanuz2
      ffund sylanbrc reximddv3 ) AKUAZCUBZLUCUDZMWFUCUDZNZKBUAZUEUBZOZWKPCWKUHU
      FZBEAWJEQZNZWLNWMWECUGZQZWFPQZNZKWKOZWOWLWTWOWIWSKWKWOWEWKQZNAWEEQZWIWSUI
      AWNXAUJWNXAXBADWEWJEGUKULAXBNZWGWHWSXCWGNZWHNZWQWRXCWQWGWHXCWEEWPAXBRAWPE
      UMXBAESCHUNTUOUPXEWFXCWFSQZWGWHAESWECHUQZUPXCWHWFMUSWGXCWHNZMWFMSQXHURUTX
      CXFWHXGTXCWHRVAVBXDWFLUSWHXDWFLXCXFWGXGTLSQXDVCUTXCWGRVDTVEVFVGVHVIVJAWMW
      TVKZWNWLACVLXIAESCHWBKWKPCVMVNUPVOAWGKWKOBEVPWHKWKOBEVPWLBEVPAKBCDEAKVQZK
      CVRZFGHIVSAKBCDEXJXKFGHJVTWGWHBKDEGWAWCWD $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Limits for sequences of extended real numbers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Textbooks generally use a single symbol to denote the limit of a sequence of
  real numbers.
  But then, three distinct definitions are usually given: one for the case of
  convergence to a real number, one for the case of limit to ` +oo ` and one
  for the case of limit to ` -oo `.
  It turns out that these three definitions can be expressed as the limit
  w.r.t. to the standard topology on the extended reals.
  In this section, a relation ` ~~>* ` is defined that captures all three
  definitions (and can be applied to sequences of extended reals, also),
  see ~ dfxlim2 .

$)

  $c ~~>* $.

  $( Extend class notation with convergence relation for limits in the extended
     real numbers. $)
  clsxlim $a class ~~>* $.

  $( Define the convergence relation for extended real sequences.  (Contributed
     by Glauco Siliprandi, 5-Feb-2022.) $)
  df-xlim $a |- ~~>* = ( ~~>t ` ( ordTop ` <_ ) ) $.

  $( The limit on extended reals is a relation.  (Contributed by Glauco
     Siliprandi, 5-Feb-2022.) $)
  xlimrel $p |- Rel ~~>* $=
    ( clsxlim wrel cle cordt cfv clm lmrel df-xlim releqi mpbir ) ABCDEZFEZBKGA
    LHIJ $.
  ${
    xlimres.1 $e |- ( ph -> F e. ( RR* ^pm CC ) ) $.
    xlimres.2 $e |- ( ph -> M e. ZZ ) $.
    $( A function converges iff its restriction to an upper integers set
       converges.  (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    xlimres $p |- ( ph -> ( F ~~>* A <-> ( F |` ( ZZ>= ` M ) ) ~~>* A ) ) $=
      ( cle cordt cfv clm wbr cuz cres clsxlim cxr ctopon letopon df-xlim breqi
      wcel a1i lmres 3bitr4g ) ACBGHIZJIZKCDLIMZBUEKCBNKUFBNKABCUDDOUDOPITAQUAE
      FUBCBNUERSUFBNUERSUC $.
  $}

  $( The limit of a sequence of extended real numbers is an extended real
     number.  (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
  xlimcl $p |- ( F ~~>* A -> A e. RR* ) $=
    ( clsxlim wbr cle cordt cfv cxr ctopon wcel clm letopon df-xlim biimpi lmcl
    breqi sylancr ) BACDZEFGZHIGJBASKGZDZAHJLRUABACTMPNABSHOQ $.
  ${
    $d ch x $.  $d ph x $.
    rexlimddv2.1 $e |- ( ph -> E. x e. A ps ) $.
    rexlimddv2.2 $e |- ( ( ( ph /\ x e. A ) /\ ps ) -> ch ) $.
    $( Restricted existential elimination rule of natural deduction.
       (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    rexlimddv2 $p |- ( ph -> ch ) $=
      ( cv wcel anasss rexlimddv ) ABCDEFADHEIBCGJK $.
  $}

  ${
    xlimclim.m $e |- ( ph -> M e. ZZ ) $.
    xlimclim.z $e |- Z = ( ZZ>= ` M ) $.
    xlimclim.f $e |- ( ph -> F : Z --> RR ) $.
    xlimclim.a $e |- ( ph -> A e. RR ) $.
    $( Given a sequence of reals, it converges to a real number ` A ` w.r.t.
       the standard topology on the reals, if and only if it converges to ` A `
       w.r.t. to the standard topology on the extended reals (see ~ climreeq ).
       (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    xlimclim $p |- ( ph -> ( F ~~>* A <-> F ~~> A ) ) $=
      ( clsxlim wbr cle cordt cfv clm cioo a1i cvv cr wcel crn ctg cli wb breqi
      df-xlim xrtgioo2 reex ctop letop lmss eqid climreeq 3bitrd ) ACBJKZCBLMNZ
      ONZKZCBPUAUBNZONZKCBUCKUOURUDACBJUQUFUEQABCUPUSDRSEUGGSRTAUHQUPUITAUJQIFH
      UKABUTCDEUTULGFHUMUN $.
  $}

  ${
    $d A k $.  $d Z k $.
    xlimconst.p $e |- F/ k ph $.
    xlimconst.k $e |- F/_ k F $.
    xlimconst.m $e |- ( ph -> M e. ZZ ) $.
    xlimconst.z $e |- Z = ( ZZ>= ` M ) $.
    xlimconst.f $e |- ( ph -> F Fn Z ) $.
    xlimconst.a $e |- ( ph -> A e. RR* ) $.
    xlimconst.e $e |- ( ( ph /\ k e. Z ) -> ( F ` k ) = A ) $.
    $( A constant sequence converges to its value, w.r.t. the standard topology
       on the extended reals.  (Contributed by Glauco Siliprandi,
       5-Feb-2022.) $)
    xlimconst $p |- ( ph -> F ~~>* A ) $=
      ( cle cordt cfv wbr clsxlim cxr wcel clm csn fconst7 ctopon letopon breqi
      cxp cz lmconst mp3an2i eqbrtrd df-xlim sylibr ) ADBNOPZUAPZQDBRQADFBUBUGZ
      BUOACFBDSGHKLMUCUNSUDPTABSTEUHTUPBUOQUELIBUNESFJUIUJUKDBRUOULUFUM $.
  $}

  ${
    $d A k $.  $d F k $.  $d M k $.  $d Z k $.  $d k ph $.
    climxlim.m $e |- ( ph -> M e. ZZ ) $.
    climxlim.z $e |- Z = ( ZZ>= ` M ) $.
    climxlim.f $e |- ( ph -> F : Z --> RR ) $.
    climxlim.c $e |- ( ph -> F ~~> A ) $.
    $( A converging sequence in the reals is a converging sequence in the
       extended reals.  (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    climxlim $p |- ( ph -> F ~~>* A ) $=
      ( vk clsxlim wbr cli cr cv ffvelrnda climrecl xlimclim mpbird ) ACBKLCBML
      IABCDEFGHABJCDEGFIAENJOCHPQRS $.
  $}

  ${
    $d F j u $.  $d J u $.  $d M j u $.  $d P u $.  $d Z j k $.  $d k u $.
    xlimbr.k $e |- F/_ k F $.
    xlimbr.m $e |- ( ph -> M e. ZZ ) $.
    xlimbr.z $e |- Z = ( ZZ>= ` M ) $.
    xlimbr.f $e |- ( ph -> F : Z --> RR* ) $.
    xlimbr.j $e |- J = ( ordTop ` <_ ) $.
    $( Express the binary relation "sequence ` F ` converges to point
       ` P ` " w.r.t. the standard topology on the extended reals.
       (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    xlimbr $p |- ( ph -> ( F ~~>* P <-> ( P e. RR* /\ A. u e. J ( P e. u -> E.
       j e. Z A. k e. ( ZZ>= ` j ) ( k e. dom F /\ ( F ` k ) e. u ) ) ) ) ) $=
      ( cfv cxr cc wcel wa wral clsxlim wbr cle cordt clm cpm co cv cdm cz wrex
      cuz wi w3a wb df-xlim breqi a1i ctopon letopon lmbr3 simpr2 eqcomi raleqi
      rexuz3 bicomd imbi2d biimpd ralimdv syl imp sylan2b 3ad2antr3 jca elfvexd
      cvv cnex wss uzsscn2 fpmd adantr simprl biimprd sylib adantrl 3jca 3bitrd
      impbida ) AFCUAUBZFCUCUDOZUEOZUBZFPQUFUGRZCPRZCBUHZRZEUHZFUIRWQFOWORSZEDU
      HULOTZDUJUKZUMZBWJTZUNZWNWPWSDIUKZUMZBGTZSZWIWLUOAFCUAWKUPUQURABCDEFWJPJW
      JPUSORAUTURZVAAXCXGAXCSWNXFAWMWNXBVBAWMXBXFWNXBAXABGTZXFXABWJGGWJNVCVDAXI
      XFAHUJRZXIXFUMKXJXAXEBGXJXAXEXJWTXDWPXJXDWTWRDEHILVEVFVGZVHVIVJVKVLVMVNAX
      GSWMWNXBAWMXGAQPIFVPVPQVPRAVQURAWJUSPXHVOIQVRAHILVSURMVTWAAWNXFWBAXFXBWNA
      XFSXIXBAXFXIAXJXFXIUMKXJXEXABGXJXAXEXKWCVIVJVKXABGWJNVDWDWEWFWHWG $.
  $}

  ${
    fuzxrpmcn.1 $e |- Z = ( ZZ>= ` M ) $.
    fuzxrpmcn.2 $e |- ( ph -> F : Z --> RR* ) $.
    $( A function mapping from an upper set of integers to the extended reals
       is a partial map on the complex numbers.  (Contributed by Glauco
       Siliprandi, 5-Feb-2022.) $)
    fuzxrpmcn $p |- ( ph -> F e. ( RR* ^pm CC ) ) $=
      ( cc cxr cvv wcel cnex a1i xrex wss uzsscn2 fpmd ) AGHDBIIGIJAKLHIJAMLDGN
      ACDEOLFP $.
  $}

  ${
    $d A w y $.  $d A x y $.  $d B w y $.  $d C x $.  $d D w $.  $d X x y $.
    $d ph w y $.
    cnrefiisplem.a $e |- ( ph -> A e. CC ) $.
    cnrefiisplem.n $e |- ( ph -> -. A e. RR ) $.
    cnrefiisplem.b $e |- ( ph -> B e. Fin ) $.
    cnrefiisplem.c $e |- C = ( RR u. B ) $.
    cnrefiisplem.d $e |- D = ( { ( abs ` ( Im ` A ) ) } u. U_ y e. ( ( B i^i CC
       ) \ { A } ) { ( abs ` ( y - A ) ) } ) $.
    cnrefiisplem.x $e |- X = inf ( D , RR* , < ) $.
    $( Lemma for ~ cnrefiisp (some local definitions are used).  (Contributed
       by Glauco Siliprandi, 5-Feb-2022.) $)
    cnrefiisplem $p |- ( ph -> E. x e. RR+ A. y e. C ( ( y e. CC /\ y =/= A )
       -> x <_ ( abs ` ( y - A ) ) ) ) $=
      ( vw crp wcel cc wa cle cv wne cmin co cabs cfv wbr wi wral wrex cim wceq
      simpr absimnre adantr eqeltrd adantlr cin csn cdif simpll ciun cun eleq2i
      wn biimpi nelsn elunnel1 syl2an eliun sylib velsn rexbii adantll ad2antlr
      eldifi elin2d ad2antrr subcld eldifsni subne0d rexlimdva2 sylc pm2.61dane
      absrpcld ssd cxr clt cinf wor cfn c0 wss xrltso snfi inss1 ssdifssd ssfid
      a1i rgenw iunfi unfid eqeltrid fvex snid elun1 ax-mp eleqtrri ne0d rpssxr
      sylancl sstrdi fiinfcl syl13anc sseldd cr rpred imcld recnd abscld adantl
      recn infxrlb letrd eqbrtrid ad4ant14 sylanb ad4ant24 elind eldifd fvoveq1
      absimlere sneqd eliuni cbviunv eleqtrdi elun2 syl eleqtrrdi syl2anc breq1
      adantllr syldan pm2.61dan ex ralrimiva imbi2d ralbidv rspcev ) AHPQCUAZRQ
      ZUUJDUBZSZHUUJDUCUDZUEUFZTUGZUHZCFUIZUUMBUAZUUOTUGZUHZCFUIZBPUJAGPHAOGPAO
      UAZGQZSZUVCPQZUVCDUKUFZUEUFZAUVCUVHULZUVFUVDAUVISUVCUVHPAUVIUMAUVHPQUVIAD
      IJUNUOUPUQUVEUVCUVHUBZSAUVCUUOULZCERURZDUSZUTZUJZUVFAUVDUVJVAUVDUVJUVOAUV
      DUVJSZUVCUUOUSZQZCUVNUJZUVOUVPUVCCUVNUVQVBZQZUVSUVDUVCUVHUSZUVTVCZQZUVCUW
      BQVEUWAUVJUVDUWDGUWCUVCMVDVFUVCUVHVGUVCUWBUVTVHVICUVCUVNUVQVJVKUVRUVKCUVN
      OUUOVLVMVKVNAUVKUVFCUVNAUUJUVNQZSZUVKSZUVCUUOPUWFUVKUMUWGUUNUWGUUJDUWEUUK
      AUVKUWEERUUJUUJUVLUVMVPVQVOZADRQZUWEUVKIVRZVSUWGUUJDUWHUWJUWEUULAUVKUUJUV
      LDVTVOWAWEUPWBWCWDWFZAHGWGWHWIZGNAWGWHWJZGWKQGWLUBGWGWMZUWLGQUWMAWNWSAGUW
      CWKMAUWBUVTUWBWKQAUVHWOWSAUVNWKQUVQWKQZCUVNUIUVTWKQAEUVNKAUVLEUVMUVLEWMAE
      RWPWSWQWRUWOCUVNUUOWOWTCUVNUVQXAXKXBXCAGUVHUVHGQZAUVHUWCGUVHUWBQUVHUWCQUV
      HUVGUEXDXEUVHUWBUVTXFXGMXHZWSXIAGPWGUWKXJXLZWGGWHXMXNZXCXOAUUQCFAUUJFQZSZ
      UUMUUPUXAUUMSZUUJXPQZUUPAUXCUUPUWTUUMAUXCSZHUWLUUOTNUXDUWLUVHUUOAUWLXPQUX
      CAUWLAGPUWLUWKUWSXOXQUOUXDUVGAUVGRQUXCAUVGADIXRXSUOXTUXDUUNUXDUUJDUXCUUKA
      UUJYBYAAUWIUXCIUOZVSXTUXDUWNUWPUWLUVHTUGAUWNUXCUWRUOUWQGUVHYCXKUXDDUUJUXE
      AUXCUMYLYDYEYFUXBUXCVEZUUJEQZUUPUWTUXFUXGAUUMUWTUUJXPEVCZQUXFUXGFUXHUUJLV
      DUUJXPEVHYGYHAUUMUXGUUPUWTAUUMSUXGSZHUWLUUOTNUXIUWNUUOGQZUWLUUOTUGAUWNUUM
      UXGUWRVRUUMUXGUXJAUUMUXGSZUUOUWCGUXKUUOUVTQUUOUWCQUXKUUOOUVNUVCDUCUDUEUFZ
      USZVBZUVTUXKUWEUUOUVQQUUOUXNQUXKUUJUVLUVMUXKERUUJUUMUXGUMUUKUULUXGVAYIUUL
      UUJUVMQVEUUKUXGUUJDVGVOYJUUOUUNUEXDXEOUUJUXMUVQUVNUUOUVCUUJULUXLUUOUVCUUJ
      DUEUCYKYMZYNXKOCUVNUXMUVQUXOYOYPUUOUVTUWBYQYRMYSVNGUUOYCYTYEUUBUUCUUDUUEU
      UFUVBUURBHPUUSHULZUVAUUQCFUXPUUTUUPUUMUUSHUUOTUUAUUGUUHUUIYT $.
  $}

  ${
    $d A w x y $.  $d A w x z $.  $d B w x z $.  $d C w x y $.  $d ph w $.
    cnrefiisp.a $e |- ( ph -> A e. CC ) $.
    cnrefiisp.n $e |- ( ph -> -. A e. RR ) $.
    cnrefiisp.b $e |- ( ph -> B e. Fin ) $.
    cnrefiisp.c $e |- C = ( RR u. B ) $.
    $( A non-real, complex number is an isolated point w.r.t. the union of the
       reals with any finite set (the extended reals is an example of such a
       union).  (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    cnrefiisp $p |- ( ph -> E. x e. RR+ A. y e. C ( ( y e. CC /\ y =/= A ) -> x
       <_ ( abs ` ( y - A ) ) ) ) $=
      ( vw vz cv cc cmin co cabs cfv cle csn wcel wne wbr wral crp wrex cim cin
      wa wi cdif ciun cun cxr clt cinf weq fvoveq1 sneqd cbviunv uneq2i infeq1i
      cnrefiisplem eleq1w neeq1 anbi12d breq2d imbi12d cbvralvw rexbii sylib
      eqid ) AKMZNUAZVMDUBZUIZBMZVMDOPQRZSUCZUJZKFUDZBUEUFCMZNUAZWBDUBZUIZVQWBD
      OPQRZSUCZUJZCFUDZBUEUFABKDEFDUGRQRTZKENUHDTUKZVRTZULZUMZWJLWKLMZDOPQRZTZU
      LZUMZUNUOUPGHIJWNVLUNWSWNUOWRWMWJLKWKWQWLLKUQWPVRWOVMDQOURUSUTVAVBVCWAWIB
      UEVTWHKCFKCUQZVPWEVSWGWTVNWCVOWDKCNVDVMWBDVEVFWTVRWFVQSVMWBDQOURVGVHVIVJV
      K $.
  $}

  ${
    $d A j k u $.  $d F j k u $.  $d M j u $.  $d Z j k u $.  $d j ph $.
    xlimxrre.m $e |- ( ph -> M e. ZZ ) $.
    xlimxrre.z $e |- Z = ( ZZ>= ` M ) $.
    xlimxrre.f $e |- ( ph -> F : Z --> RR* ) $.
    xlimxrre.a $e |- ( ph -> A e. RR ) $.
    xlimxrre.c $e |- ( ph -> F ~~>* A ) $.
    $( If a sequence ranging over the extended reals converges w.r.t. the
       standard topology on the complex numbers, then there exists an upper set
       of the integers over which the function is real-valued (the weaker
       hypothesis ` F e. dom ~~> ` is probably not enough, since in principle
       we could have ` +oo e. CC ` and ` -oo e. CC ` ).  (Contributed by Glauco
       Siliprandi, 5-Feb-2022.) $)
    xlimxrre $p |- ( ph -> E. j e. Z ( F |` ( ZZ>= ` j ) ) : ( ZZ>= ` j ) -->
       RR ) $=
      ( vk vu cv wcel cfv co wa wral cr cdm c1 cmin caddc cioo cuz cres elioore
      wf anim2i ralimi adantl wb wfun cxr ffund ffvresb syl adantr adantrl wrex
      mpbird peano2rem rexrd peano2re ltm1d ltp1d eliood cle wi iooordt clsxlim
      cordt nfcv eqid xlimbr mpbid simprd wceq anbi2d rexralbidv imbi12d rspcva
      wbr eleq2 sylancr mpd reximddv ) ALNZDUAOZWIDPZBUBUCQZBUBUDQZUEQZOZRZLCNZ
      UFPZSZWRTDWRUGUIZCFAWSWTWQFOAWSRWTWJWKTOZRZLWRSZWSXCAWPXBLWRWOXAWJWKWLWMU
      HUJUKULAWTXCUMZWSADUNXDAFUODIUPLWRTDUQURUSVBUTABWNOZWSCFVAZAWLWMBAWLABTOZ
      WLTOJBVCURVDAWMAXGWMTOJBVEURVDJABJVFABJVGVHAWNVIVMPZOBMNZOZWJWKXIOZRZLWRS
      CFVAZVJZMXHSZXEXFVJZWLWMVKABUOOZXOADBVLWDXQXORKAMBCLDXHEFLDVNGHIXHVOVPVQV
      RXNXPMWNXHXIWNVSZXJXEXMXFXIWNBWEXRXLWPCLFWRXRXKWOWJXIWNWKWEVTWAWBWCWFWGWH
      $.
  $}

  ${
    $d F j k u $.  $d M j $.  $d X j k u $.  $d Z j k $.  $d j k ph $.
    xlimmnfvlem1.m $e |- ( ph -> M e. ZZ ) $.
    xlimmnfvlem1.z $e |- Z = ( ZZ>= ` M ) $.
    xlimmnfvlem1.f $e |- ( ph -> F : Z --> RR* ) $.
    xlimmnfvlem1.c $e |- ( ph -> F ~~>* -oo ) $.
    xlimmnfvlem1.x $e |- ( ph -> X e. RR ) $.
    $( Lemma for ~ xlimmnfv : the "only if" part of the biconditional.
       (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    xlimmnfvlem1 $p |- ( ph -> E. j e. Z A. k e. ( ZZ>= ` j ) ( F ` k ) <_ X )
                     $=
      ( vu cfv wbr wral cz wcel cmnf cxr cv cle cuz wrex cdm cico co icomnfordt
      wa cordt wi a1i cc cpm clm w3a clsxlim df-xlim breqi sylib ctopon letopon
      nfcv lmbr3 mpbid simp3d jca simp2d rexrd mnfltd lbico1 syl3anc wceq eleq2
      clt anbi2d ralbidv rexbidv imbi12d rspcva sylc nfv ffdmd ffvelrnda adantr
      adantrr simprr icoltubd xrltled ex ralimda a1d reximdai mpd wb rexuz3 syl
      mpbird ) ACUAZDNZFUBOZCBUAZUCNZPZBGUDZXDBQUDZAWSDUEZRZWTSFUFUGZRZUIZCXCPZ
      BQUDZXFAXIUBUJNZRZSMUAZRZXHWTXPRZUIZCXCPZBQUDZUKZMXNPZUISXIRZXMAXOYCXOAFU
      HULADTUMUNUGRZSTRZYCADSXNUONZOZYEYFYCUPADSUQOYHKDSUQYGURUSUTAMSBCDXNTCDVC
      XNTVANRAVBULVDVEZVFVGAYFFTRZSFVOOYDAYEYFYCYIVHZAFLVIZAFLVJSFVKVLYBYDXMUKM
      XIXNXPXIVMZXQYDYAXMXPXISVNYMXTXLBQYMXSXKCXCYMXRXJXHXPXIWTVNVPVQVRVSVTWAAX
      LXDBQABWBAXLXDUKXBQRAXKXACXCACWBAXKXAUKWSXCRAXKXAAXKUIZWTFAXHWTTRXJAXGTWS
      DAGTDJWCWDWFAYJXKYLWEZYNSFWTAYFXKYKWEYOAXHXJWGWHWIWJWEWKWLWMWNAEQRXEXFWOH
      XABCEGIWPWQWR $.
  $}

  ${
    $d F j k u x $.  $d M j $.  $d Z j k $.  $d ph u x $.
    xlimmnfvlem2.k $e |- F/ k ph $.
    xlimmnfvlem2.j $e |- F/ j ph $.
    xlimmnfvlem2.m $e |- ( ph -> M e. ZZ ) $.
    xlimmnfvlem2.z $e |- Z = ( ZZ>= ` M ) $.
    xlimmnfvlem2.f $e |- ( ph -> F : Z --> RR* ) $.
    xlimmnfvlem2.g $e |- ( ph -> A. x e. RR E. j e. Z A. k e. ( ZZ>= ` j ) ( F
       ` k ) < x ) $.
    $( Lemma for ~ xlimmnf : the "if" part of the biconditional.  (Contributed
       by Glauco Siliprandi, 5-Feb-2022.) $)
    xlimmnfvlem2 $p |- ( ph -> F ~~>* -oo ) $=
      ( cmnf cfv cxr wcel wa a1i nfv vu clsxlim wbr cle cordt clm cc cpm co cdm
      cv cuz wral cz wrex wi w3a cvv wf wss ctopon letopon elfvexd cnex uzsscn2
      elpm2r syl22anc mnfxr cico cr mnfnei adantll clt nfan simprr 3adant1 wceq
      uztrn2 fdmd 3ad2ant1 eleqtrrd ad5ant134 adantl4r simp-4r rexr syl simp-4l
      ad4ant23 ffvelrnda syl2anc mnfled simpr elicod adantl3r sseldd ex ralimda
      jca adantrr mpd 3impb r19.21bi adantr wb rexuz3 ad2antrr mpbid rexlimdva2
      reximdd ralrimiva 3jca nfcv lmbr3 mpbird df-xlim breqi ) AENUBUCZENUDUEOZ
      UFOZUCZAXTEPUGUHUIQZNPQZNUAUKZQZDUKZEUJZQZYEEOZYCQZRZDCUKZULOZUMZCUNUOZUP
      ZUAXRUMZUQAYAYBYPAPURQUGURQZGPEUSGUGUTZYAAXRVAPXRPVAOQAVBSZVCYQAVDSLYRAFG
      KVESPUGGEURURVFVGYBAVHSAYOUAXRAYCXRQZRZYDYNUUAYDRNBUKZVIUIZYCUTZBVJUOZYNY
      TYDUUEABYCVKVLAUUEYNUPYTYDAUUDYNBVJAUUBVJQZRZUUDRZYMCGUOZYNUUHYHUUBVMUCZD
      YLUMZYMCGUUGUUDCAUUFCIUUFCTVNUUDCTVNUUHYKGQZUUKYMUUHUULUUKRRUUKYMUUHUULUU
      KVOUUHUULUUKYMUPUUKUUHUULRZUUJYJDYLUUHUULDUUGUUDDAUUFDHUUFDTVNUUDDTVNUULD
      TVNUUMYEYLQZRZUUJYJUUOUUJRZYGYIAUUFUUDUULUUNUUJYGAUULUUNYGUUDUUJAUULUUNUQ
      YEGYFUULUUNYEGQZAFYEYKGKVRZVPAUULYFGVQUUNAGPELVSVTWAWBWCUUPUUCYCYHAUUFUUD
      UULUUNUUJUUDAUUDUULUUNUUJWDWCUUGUULUUNUUJYHUUCQUUDUUGUULRUUNRZUUJRZNUUBYH
      YBUUTVHSUUTUUFUUBPQAUUFUULUUNUUJWDUUBWEWFUUTAUUQYHPQAUUFUULUUNUUJWGUULUUN
      UUQUUGUUJUURWHAGPYEELWIWJZUUTYHUVAWKUUSUUJWLWMWNWOWRWPWQWSWTXAUUGUUKCGUOZ
      UUDAUVBBVJMXBXCXIAUUIYNXDZUUFUUDAFUNQUVCJYJCDFGKXEWFXFXGXHXFWTWPXJXKAUANC
      DEXRPDEXLYSXMXNXQXTXDAENUBXSXOXPSXN $.
  $}

  ${
    $d F j k x y $.  $d M j $.  $d Z j k x y $.  $d j k ph x y $.
    xlimmnfv.m $e |- ( ph -> M e. ZZ ) $.
    xlimmnfv.z $e |- Z = ( ZZ>= ` M ) $.
    xlimmnfv.f $e |- ( ph -> F : Z --> RR* ) $.
    $( A function converges to minus infinity if it eventually becomes (and
       stays) smaller than any given real number.  (Contributed by Glauco
       Siliprandi, 5-Feb-2022.) $)
    xlimmnfv $p |- ( ph -> ( F ~~>* -oo <-> A. x e. RR E. j e. Z A. k e. ( ZZ>=
       ` j ) ( F ` k ) <_ x ) ) $=
      ( vy wbr cv cle wral wrex cr wa wcel cxr cmnf clsxlim cfv cuz cz ad2antrr
      wf simplr simpr xlimmnfvlem1 ralrimiva nfcv nfra1 nfrex nfralw nfan nfre1
      nfv adantr clt c1 cmin co w3a 3ad2ant1 3adant1 ffvelrnd ad5ant134 simp-4r
      uztrn2 peano2rem rexrd rexr ad4antlr ltm1d xrlelttrd ex ralimdva adantl3r
      syl 3impa adantl simpl wceq breq2 ralbidv rexbidv syl2anc adantll reximdd
      imp rspcva xlimmnfvlem2 impbida ) AEUAUBLZDMZEUCZBMZNLZDCMZUDUCZOZCGPZBQO
      ZAWORZXCBQXEWRQSZRCDEFWRGAFUESZWOXFHUFIAGTEUGZWOXFJUFAWOXFUHXEXFUIUJUKAXD
      RZKCDEFGAXDDADURXCDBQDQULXBDCGDGULWSDXAUMUNUOUPAXDCACURXCCBQCQULXBCGUQUOU
      PZAXGXDHUSIAXHXDJUSXIWQKMZUTLZDXAOZCGPKQXIXKQSZRZWQXKVAVBVCZNLZDXAOZXMCGX
      IXNCXJXNCURUPXOWTGSZXRXMAXNXSXRXMXDAXNRXSRZXRXMXTXQXLDXAXTWPXASZRZXQXLYBX
      QRZWQXPXKAXSYAWQTSXNXQAXSYAVDGTWPEAXSXHYAJVEXSYAWPGSAFWPWTGIVJVFVGVHYCXNX
      PTSAXNXSYAXQVIZXNXPXKVKZVLVTXNXKTSAXSYAXQXKVMVNYBXQUIYCXKYDVOVPVQVRWKVSWA
      XDXNXRCGPZAXDXNRXPQSZXDYFXNYGXDYEWBXDXNWCXCYFBXPQWRXPWDZXBXRCGYHWSXQDXAWR
      XPWQNWEWFWGWLWHWIWJUKWMWN $.
  $}

  ${
    $d A k $.  $d N k $.
    xlimconst2.p $e |- F/ k ph $.
    xlimconst2.k $e |- F/_ k F $.
    xlimconst2.z $e |- Z = ( ZZ>= ` M ) $.
    xlimconst2.f $e |- ( ph -> F : Z --> RR* ) $.
    xlimconst2.n $e |- ( ph -> N e. Z ) $.
    xlimconst2.a $e |- ( ph -> A e. RR* ) $.
    xlimconst2.e $e |- ( ( ph /\ k e. ( ZZ>= ` N ) ) -> ( F ` k ) = A ) $.
    $( A sequence that eventually becomes constant, converges to its constant
       value (w.r.t. the standard topology on the extended reals).
       (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    xlimconst2 $p |- ( ph -> F ~~>* A ) $=
      ( clsxlim wbr cuz cfv cres nfcv nfres eluzelz2d eqid ffnd uzssd2 fnssresd
      cxr cv wcel wa wceq fvres adantl eqtrd xlimconst fuzxrpmcn xlimres mpbird
      ) ADBOPDFQRZSZBOPABCUTFUSHCDUSICUSTUAAEFGJLUBZUSUCAGUSDAGUGDKUDAEFGJLUEUF
      MACUHZUSUIZUJVBUTRZVBDRZBVCVDVEUKAVBUSDULUMNUNUOABDFADEGJKUPVAUQUR $.
  $}

  ${
    $d F j k u $.  $d M j $.  $d X j k u $.  $d Z j k $.  $d j k ph $.
    xlimpnfvlem1.m $e |- ( ph -> M e. ZZ ) $.
    xlimpnfvlem1.z $e |- Z = ( ZZ>= ` M ) $.
    xlimpnfvlem1.f $e |- ( ph -> F : Z --> RR* ) $.
    xlimpnfvlem1.c $e |- ( ph -> F ~~>* +oo ) $.
    xlimpnfvlem1.x $e |- ( ph -> X e. RR ) $.
    $( Lemma for ~ xlimpnfv : the "only if" part of the biconditional.
       (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    xlimpnfvlem1 $p |- ( ph -> E. j e. Z A. k e. ( ZZ>= ` j ) X <_ ( F ` k ) )
                     $=
      ( vu cfv wbr wral cz wcel cpnf cxr cv cle cuz wrex cdm cioc co iocpnfordt
      wa cordt wi a1i cc cpm clm w3a clsxlim df-xlim breqi sylib ctopon letopon
      nfcv lmbr3 mpbid simp3d jca rexrd simp2d ltpnfd ubioc1 syl3anc wceq eleq2
      clt anbi2d ralbidv rexbidv imbi12d rspcva sylc nfv adantr ffdmd ffvelrnda
      adantrr simprr iocgtlbd xrltled ex ralimda a1d reximdai mpd wb rexuz3 syl
      mpbird ) AFCUAZDNZUBOZCBUAZUCNZPZBGUDZXDBQUDZAWSDUEZRZWTFSUFUGZRZUIZCXCPZ
      BQUDZXFAXIUBUJNZRZSMUAZRZXHWTXPRZUIZCXCPZBQUDZUKZMXNPZUISXIRZXMAXOYCXOAFU
      HULADTUMUNUGRZSTRZYCADSXNUONZOZYEYFYCUPADSUQOYHKDSUQYGURUSUTAMSBCDXNTCDVC
      XNTVANRAVBULVDVEZVFVGAFTRZYFFSVOOYDAFLVHZAYEYFYCYIVIZAFLVJFSVKVLYBYDXMUKM
      XIXNXPXIVMZXQYDYAXMXPXISVNYMXTXLBQYMXSXKCXCYMXRXJXHXPXIWTVNVPVQVRVSVTWAAX
      LXDBQABWBAXLXDUKXBQRAXKXACXCACWBAXKXAUKWSXCRAXKXAAXKUIZFWTAYJXKYKWCZAXHWT
      TRXJAXGTWSDAGTDJWDWEWFYNFSWTYOAYFXKYLWCAXHXJWGWHWIWJWCWKWLWMWNAEQRXEXFWOH
      XABCEGIWPWQWR $.
  $}

  ${
    $d F j k u x $.  $d M j $.  $d Z j k $.  $d ph u x $.
    xlimpnfvlem2.k $e |- F/ k ph $.
    xlimpnfvlem2.j $e |- F/ j ph $.
    xlimpnfvlem2.m $e |- ( ph -> M e. ZZ ) $.
    xlimpnfvlem2.z $e |- Z = ( ZZ>= ` M ) $.
    xlimpnfvlem2.f $e |- ( ph -> F : Z --> RR* ) $.
    xlimpnfvlem2.g $e |- ( ph -> A. x e. RR E. j e. Z A. k e. ( ZZ>= ` j ) x <
       ( F ` k ) ) $.
    $( Lemma for ~ xlimpnfv : the "if" part of the biconditional.  (Contributed
       by Glauco Siliprandi, 5-Feb-2022.) $)
    xlimpnfvlem2 $p |- ( ph -> F ~~>* +oo ) $=
      ( cpnf cfv cxr wcel wa a1i nfv vu clsxlim wbr cle cordt clm cc cpm co cdm
      cv cuz wral cz wrex wi w3a cvv wf wss ctopon letopon elfvexd cnex uzsscn2
      elpm2r syl22anc pnfxr cioc cr pnfnei adantll clt nfan simprr 3adant1 wceq
      uztrn2 fdmd 3ad2ant1 eleqtrrd ad5ant134 adantl4r simp-4r rexr syl simp-4l
      ad4ant23 ffvelrnda syl2anc ffvelrnd pnfged eliocd adantl3r sseldd ralimda
      simpr jca ex adantrr mpd 3impb r19.21bi adantr reximdd wb rexuz3 ad2antrr
      mpbid rexlimdva2 ralrimiva 3jca nfcv lmbr3 mpbird df-xlim breqi ) AENUBUC
      ZENUDUEOZUFOZUCZAYAEPUGUHUIQZNPQZNUAUKZQZDUKZEUJZQZYFEOZYDQZRZDCUKZULOZUM
      ZCUNUOZUPZUAXSUMZUQAYBYCYQAPURQUGURQZGPEUSZGUGUTZYBAXSVAPXSPVAOQAVBSZVCYR
      AVDSLYTAFGKVESPUGGEURURVFVGYCAVHSAYPUAXSAYDXSQZRZYEYOUUCYERBUKZNVIUIZYDUT
      ZBVJUOZYOUUBYEUUGABYDVKVLAUUGYOUPUUBYEAUUFYOBVJAUUDVJQZRZUUFRZYNCGUOZYOUU
      JUUDYIVMUCZDYMUMZYNCGUUIUUFCAUUHCIUUHCTVNUUFCTVNUUJYLGQZUUMYNUUJUUNUUMRRU
      UMYNUUJUUNUUMVOUUJUUNUUMYNUPUUMUUJUUNRZUULYKDYMUUJUUNDUUIUUFDAUUHDHUUHDTV
      NUUFDTVNUUNDTVNUUOYFYMQZRZUULYKUUQUULRZYHYJAUUHUUFUUNUUPUULYHAUUNUUPYHUUF
      UULAUUNUUPUQZYFGYGUUNUUPYFGQZAFYFYLGKVRZVPZAUUNYGGVQUUPAGPELVSVTWAWBWCUUR
      UUEYDYIAUUHUUFUUNUUPUULUUFAUUFUUNUUPUULWDWCUUIUUNUUPUULYIUUEQUUFUUIUUNRUU
      PRZUULRZUUDNYIUVDUUHUUDPQAUUHUUNUUPUULWDUUDWEWFYCUVDVHSUVDAUUTYIPQAUUHUUN
      UUPUULWGUUNUUPUUTUUIUULUVAWHAGPYFELWIWJUVCUULWQAUUNUUPYINUDUCUUHUULUUSYIU
      USGPYFEAUUNYSUUPLVTUVBWKWLWBWMWNWOWRWSWPWTXAXBUUIUUMCGUOZUUFAUVEBVJMXCXDX
      EAUUKYOXFZUUHUUFAFUNQUVFJYKCDFGKXGWFXHXIXJXHXAWSXKXLAUANCDEXSPDEXMUUAXNXO
      XRYAXFAENUBXTXPXQSXO $.
  $}

  ${
    $d F j k x y $.  $d M j $.  $d Z j k x y $.  $d j k ph x y $.
    xlimpnfv.m $e |- ( ph -> M e. ZZ ) $.
    xlimpnfv.z $e |- Z = ( ZZ>= ` M ) $.
    xlimpnfv.f $e |- ( ph -> F : Z --> RR* ) $.
    $( A function converges to plus infinity if it eventually becomes (and
       stays) larger than any given real number.  (Contributed by Glauco
       Siliprandi, 5-Feb-2022.) $)
    xlimpnfv $p |- ( ph -> ( F ~~>* +oo <-> A. x e. RR E. j e. Z A. k e. ( ZZ>=
       ` j ) x <_ ( F ` k ) ) ) $=
      ( vy wbr cv cle wral wrex cr wa wcel cxr cpnf clsxlim cfv cuz cz ad2antrr
      wf simplr simpr xlimpnfvlem1 ralrimiva nfcv nfra1 nfrex nfralw nfan nfre1
      nfv adantr clt c1 caddc co simp-4r syl peano2re rexrd w3a 3ad2ant1 uztrn2
      3adant1 ffvelrnd ad5ant134 ltp1d xrltletrd ex ralimdva imp adantl3r 3impa
      rexr adantl simpl wceq breq1 ralbidv rexbidv syl2anc adantll xlimpnfvlem2
      rspcva reximdd impbida ) AEUAUBLZBMZDMZEUCZNLZDCMZUDUCZOZCGPZBQOZAWNRZXBB
      QXDWOQSZRCDEFWOGAFUESZWNXEHUFIAGTEUGZWNXEJUFAWNXEUHXDXEUIUJUKAXCRZKCDEFGA
      XCDADURXBDBQDQULXADCGDGULWRDWTUMUNUOUPAXCCACURXBCBQCQULXACGUQUOUPZAXFXCHU
      SIAXGXCJUSXHKMZWQUTLZDWTOZCGPKQXHXJQSZRZXJVAVBVCZWQNLZDWTOZXLCGXHXMCXIXMC
      URUPXNWSGSZXQXLAXMXRXQXLXCAXMRXRRZXQXLXSXPXKDWTXSWPWTSZRZXPXKYAXPRZXJXOWQ
      YBXMXJTSAXMXRXTXPVDZXJWAVEYBXMXOTSYCXMXOXJVFZVGVEAXRXTWQTSXMXPAXRXTVHGTWP
      EAXRXGXTJVIXRXTWPGSAFWPWSGIVJVKVLVMYBXJYCVNYAXPUIVOVPVQVRVSVTXCXMXQCGPZAX
      CXMRXOQSZXCYEXMYFXCYDWBXCXMWCXBYEBXOQWOXOWDZXAXQCGYGWRXPDWTWOXOWQNWEWFWGW
      KWHWIWLUKWJWM $.
  $}

  ${
    $d A j $.  $d F j $.  $d j ph $.
    xlimclim2lem.z $e |- Z = ( ZZ>= ` M ) $.
    xlimclim2lem.f $e |- ( ph -> F : Z --> RR* ) $.
    xlimclim2lem.a $e |- ( ph -> A e. RR ) $.
    xlimclim2lem.r $e |- ( ph -> E. j e. Z ( F |` ( ZZ>= ` j ) ) : ( ZZ>= ` j )
       --> RR ) $.
    $( Lemma for ~ xlimclim2 .  Here it is additionally assumed that the
       sequence will eventually become (and stay) real.  (Contributed by Glauco
       Siliprandi, 5-Feb-2022.) $)
    xlimclim2lem $p |- ( ph -> ( F ~~>* A <-> F ~~> A ) ) $=
      ( cuz cr clsxlim wbr cli wb wcel wa cxr cvv cv cfv wf cc cpm co fuzxrpmcn
      cres ad2antrr cz eluzelz2 ad2antlr xlimres eqid simpr xlimclim fvexi fexd
      a1i climres syl2anr adantr 3bitrd r19.29a ) ACUAZKUBZLDVFUHZUCZDBMNZDBONZ
      PCFAVEFQZRZVHRZVIVGBMNVGBONZVJVMBDVEADSUDUEUFQVKVHADEFGHUGUIVKVEUJQZAVHEV
      EFGUKZULZUMVMBVGVEVFVQVFUNVLVHUOABLQVKVHIUIUPVLVNVJPZVHVKVODTQVRAVPAFSTDH
      FTQAFEKGUQUSURBDVETUTVAVBVCJVD $.
  $}

  ${
    $d A j $.  $d F j $.  $d M j $.  $d Z j $.  $d j ph $.
    xlimclim2.m $e |- ( ph -> M e. ZZ ) $.
    xlimclim2.z $e |- Z = ( ZZ>= ` M ) $.
    xlimclim2.f $e |- ( ph -> F : Z --> RR* ) $.
    xlimclim2.a $e |- ( ph -> A e. RR ) $.
    $( Given a sequence of extended reals, it converges to a real number ` A `
       w.r.t. the standard topology on the reals (see ~ climreeq ), if and only
       if it converges to ` A ` w.r.t. to the standard topology on the extended
       reals.  In order for the first part of the statement to even make sense,
       the sequence will of course eventually become (and stay) real: showing
       this, is the key step of the proof.  (Contributed by Glauco Siliprandi,
       5-Feb-2022.) $)
    xlimclim2 $p |- ( ph -> ( F ~~>* A <-> F ~~> A ) ) $=
      ( vj clsxlim wbr cli wa simpr cxr wf adantr wcel xlimclim2lem cr xlimxrre
      cz mpbid climxrre mpbird impbida ) ACBKLZCBMLZAUHNZUHUIAUHOZUJBJCDEGAEPCQ
      ZUHHRZABUASZUHIRZUJBJCDEADUCSZUHFRGUMUOUKUBTUDAUINZUHUIAUIOZUQBJCDEGAULUI
      HRZAUNUIIRZUQBJCDEAUPUIFRGUSUTURUETUFUG $.
  $}

  ${
    $d F i j l x y $.  $d M i $.  $d Z i j l x y $.  $d i j k l x y $.
    $d i l ph y $.
    xlimmnf.k $e |- F/_ k F $.
    xlimmnf.m $e |- ( ph -> M e. ZZ ) $.
    xlimmnf.z $e |- Z = ( ZZ>= ` M ) $.
    xlimmnf.f $e |- ( ph -> F : Z --> RR* ) $.
    $( A function converges to minus infinity if it eventually becomes (and
       stays) smaller than any given real number.  (Contributed by Glauco
       Siliprandi, 5-Feb-2022.) $)
    xlimmnf $p |- ( ph -> ( F ~~>* -oo <-> A. x e. RR E. j e. Z A. k e. ( ZZ>=
       ` j ) ( F ` k ) <_ x ) ) $=
      ( vl vy vi wbr cv cfv cle cuz wral cmnf clsxlim xlimmnfv breq2 rexralbidv
      wrex cr weq fveq2 raleqdv nfcv nffv nfbr breq1d cbvralw cbvrexvw cbvralvw
      nfv bitrdi ) AEUAUBOLPZEQZMPZROZLNPZSQZTNGUFZMUGTDPZEQZBPZROZDCPZSQZTZCGU
      FZBUGTAMNLEFGIJKUCVFVNMBUGMBUHZVFVAVIROZLVETZNGUFVNVOVCVPNLGVEVBVIVARUDUE
      VQVMNCGNCUHZVQVPLVLTVMVRVPLVEVLVDVKSUIUJVPVJLDVLDVAVIRDUTEHDUTUKULDRUKDVI
      UKUMVJLURLDUHVAVHVIRUTVGEUIUNUOUSUPUSUQUS $.
  $}

  ${
    $d F i j l x y $.  $d M i $.  $d Z i j l x y $.  $d i j k l x y $.
    $d i l ph y $.
    xlimpnf.k $e |- F/_ k F $.
    xlimpnf.m $e |- ( ph -> M e. ZZ ) $.
    xlimpnf.z $e |- Z = ( ZZ>= ` M ) $.
    xlimpnf.f $e |- ( ph -> F : Z --> RR* ) $.
    $( A function converges to plus infinity if it eventually becomes (and
       stays) larger than any given real number.  (Contributed by Glauco
       Siliprandi, 5-Feb-2022.) $)
    xlimpnf $p |- ( ph -> ( F ~~>* +oo <-> A. x e. RR E. j e. Z A. k e. ( ZZ>=
       ` j ) x <_ ( F ` k ) ) ) $=
      ( vy vl vi wbr cv cfv cle cuz wral cpnf clsxlim xlimpnfv breq1 rexralbidv
      wrex cr weq fveq2 raleqdv nfcv nffv nfbr breq2d cbvralw cbvrexvw cbvralvw
      nfv bitrdi ) AEUAUBOLPZMPZEQZROZMNPZSQZTNGUFZLUGTBPZDPZEQZROZDCPZSQZTZCGU
      FZBUGTALNMEFGIJKUCVFVNLBUGLBUHZVFVGVBROZMVETZNGUFVNVOVCVPNMGVEUTVGVBRUDUE
      VQVMNCGNCUHZVQVPMVLTVMVRVPMVEVLVDVKSUIUJVPVJMDVLDVGVBRDVGUKDRUKDVAEHDVAUK
      ULUMVJMURMDUHVBVIVGRVAVHEUIUNUOUSUPUSUQUS $.
  $}

  ${
    $d B i j x y $.  $d F i y $.  $d Z i j k x y $.  $d i ph y $.
    xlimmnfmpt.k $e |- F/ k ph $.
    xlimmnfmpt.m $e |- ( ph -> M e. ZZ ) $.
    xlimmnfmpt.z $e |- Z = ( ZZ>= ` M ) $.
    xlimmnfmpt.b $e |- ( ( ph /\ k e. Z ) -> B e. RR* ) $.
    xlimmnfmpt.f $e |- F = ( k e. Z |-> B ) $.
    $( A function converges to plus infinity if it eventually becomes (and
       stays) larger than any given real number.  (Contributed by Glauco
       Siliprandi, 5-Feb-2022.) $)
    xlimmnfmpt $p |- ( ph -> ( F ~~>* -oo <-> A. x e. RR E. j e. Z A. k e. (
       ZZ>= ` j ) B <_ x ) ) $=
      ( vy vi wbr cv cle wral cr cmnf clsxlim cfv cuz wrex nfmpt1 nfcxfr fmptdf
      cmpt cxr xlimmnf wcel wa nfan uztrn2 adantll simpll syl2anc fvmpt2 breq1d
      nfv wceq ralbida rexbidva ralbidv breq2 rexralbidv fveq2 raleqdv cbvrexvw
      wb weq bitrdi cbvralvw a1i 3bitrd ) AFUAUBPEQZFUCZNQZRPZEOQZUDUCZSZOHUEZN
      TSCVSRPZEWBSZOHUEZNTSZCBQZRPZEDQZUDUCZSZDHUEZBTSZANOEFGHEFEHCUIMEHCUFUGJK
      AEHCUJFILMUHUKAWDWGNTAWCWFOHAWAHULZUMZVTWEEWBAWPEIWPEVAUNWQVQWBULZUMZVRCV
      SRWSVQHULZCUJULZVRCVBWPWRWTAGVQWAHKUOUPZWSAWTXAAWPWRUQXBLUREHCUJFMUSURUTV
      CVDVEWHWOVKAWGWNNBTNBVLZWGWJEWBSZOHUEWNXCWEWJOEHWBVSWICRVFVGXDWMODHODVLWJ
      EWBWLWAWKUDVHVIVJVMVNVOVP $.
  $}

  ${
    $d B i j x y $.  $d F i y $.  $d Z i j k x y $.  $d i ph y $.
    xlimpnfmpt.k $e |- F/ k ph $.
    xlimpnfmpt.m $e |- ( ph -> M e. ZZ ) $.
    xlimpnfmpt.z $e |- Z = ( ZZ>= ` M ) $.
    xlimpnfmpt.b $e |- ( ( ph /\ k e. Z ) -> B e. RR* ) $.
    xlimpnfmpt.f $e |- F = ( k e. Z |-> B ) $.
    $( A function converges to plus infinity if it eventually becomes (and
       stays) larger than any given real number.  (Contributed by Glauco
       Siliprandi, 5-Feb-2022.) $)
    xlimpnfmpt $p |- ( ph -> ( F ~~>* +oo <-> A. x e. RR E. j e. Z A. k e. (
       ZZ>= ` j ) x <_ B ) ) $=
      ( vy vi wbr cv cle wral cr cpnf clsxlim cfv cuz wrex nfmpt1 nfcxfr fmptdf
      cmpt cxr xlimpnf wcel wa nfan uztrn2 adantll simpll syl2anc fvmpt2 breq2d
      nfv wceq ralbida rexbidva ralbidv breq1 rexralbidv fveq2 raleqdv cbvrexvw
      wb weq bitrdi cbvralvw a1i 3bitrd ) AFUAUBPNQZEQZFUCZRPZEOQZUDUCZSZOHUEZN
      TSVQCRPZEWBSZOHUEZNTSZBQZCRPZEDQZUDUCZSZDHUEZBTSZANOEFGHEFEHCUIMEHCUFUGJK
      AEHCUJFILMUHUKAWDWGNTAWCWFOHAWAHULZUMZVTWEEWBAWPEIWPEVAUNWQVRWBULZUMZVSCV
      QRWSVRHULZCUJULZVSCVBWPWRWTAGVRWAHKUOUPZWSAWTXAAWPWRUQXBLUREHCUJFMUSURUTV
      CVDVEWHWOVKAWGWNNBTNBVLZWGWJEWBSZOHUEWNXCWEWJOEHWBVQWICRVFVGXDWMODHODVLWJ
      EWBWLWAWKUDVHVIVJVMVNVOVP $.
  $}

  ${
    $d A j k x $.  $d A k x y $.  $d F j k x $.  $d F k x y $.  $d Z j k x $.
    $d j k ph x $.
    climxlim2lem.1 $e |- ( ph -> M e. ZZ ) $.
    climxlim2lem.2 $e |- Z = ( ZZ>= ` M ) $.
    climxlim2lem.3 $e |- ( ph -> F : Z --> RR* ) $.
    climxlim2lem.4 $e |- ( ph -> F : Z --> CC ) $.
    climxlim2lem.5 $e |- ( ph -> F ~~> A ) $.
    $( In this lemma for ~ climxlim2 there is the additional assumption that
       the converging function is complex-valued on the whole domain.
       (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    climxlim2lem $p |- ( ph -> F ~~>* A ) $=
      ( vk vj vx wcel wbr wa adantr cxr cfv cc vy cr clsxlim cz simpr xlimclim2
      cli wf mpbird wn cv wceq cuz wral wne cmin co cabs cle wrex crp ffvelrnda
      anim1i adantllr simplr eleq1 neeq1 anbi12d fvoveq1 breq2d imbi12d syl2anc
      wi rspcva mpd ex ralrimiva ad4ant14 cpnf cmnf cpr climcl syl cfn prfi a1i
      df-xr cnrefiisp reximddv3 clt nfra1 nfan simpll uztrn2 adantll rspa neqne
      nfv ad5ant2345 ad2antrr ffvelrnd adantlr ad3antrrr subcld abscld adantl3r
      impel rpred ltnled condan ralrimia nfcv climuz simprd r19.21bi rexlimddv2
      mpbid w3a uzid3 weq fveq2 eqeq1d sylan 3adant1 3adant3 eqeltrrd ad4ant134
      xlimconst2 pm2.61dan ) ABUBNZCBUCOZAYJPZYKCBUGOZAYMYJJQYLBCDEADUDNYJFQGAE
      RCUHZYJHQAYJUEUFUIAYJUJZPZKUKZCSZBULZKLUKZUMSZUNZYKLEYPYRBUOZMUKZYRBUPUQZ
      URSZUSOZVMZKEUNZUUBLEUTZMVAYPUAUKZTNZUUKBUOZPZUUDUUKBUPUQURSZUSOZVMZUARUN
      ZUUIMVAAUURUUIYOUUDVANZAUURPZUUHKEUUTYQENZPZUUCUUGUVBUUCPYRTNZUUCPZUUGAUV
      AUUCUVDUURAUVAPUVCUUCAETYQCIVBVCVDUVBUVDUUGVMZUUCUVBYRRNUURUVEUUTERYQCAYN
      UURHQVBAUURUVAVEUUQUVEUAYRRUUKYRULZUUNUVDUUPUUGUVFUULUVCUUMUUCUUKYRTVFUUK
      YRBVGVHUVFUUOUUFUUDUSUUKYRBURUPVIVJVKVNVLQVOVPVQVRYPMUABVSVTWAZRABTNZYOAY
      MUVHJBCWBWCZQAYOUEUVGWDNYPVSVTWEWFWGWHWIAUUSUUIUUJYOAUUSPZUUIPZUUFUUDWJOZ
      KUUAUNZUUBLEUVKYTENZPZUVMPZYSKUUAUVOUVMKUVKUVNKUVJUUIKUVJKWRUUHKEWKWLUVNK
      WRWLUVLKUUAWKWLUVPYQUUANZPZYSUUGUVOUVQYSUJZUUGUVMUUIUVNUVQUVSUUGUVJUUIUVN
      PUVQPZUUCUUGUVSUVTUUIUVAUUHUUIUVNUVQWMUVNUVQUVAUUIDYQYTEGWNZWOUUHKEWPVLYR
      BWQXGWSVDUVRUUGUJZUVSUVJUVNUVMUVQUWBUUIUVJUVNPZUVMPUVQPZUVLUWBUVMUVQUVLUW
      CUVLKUUAWPWOUWDUUFUUDAUVNUVMUVQUUFUBNUUSAUVNPZUVMPUVQPZUUEUWFYRBUWEUVQUVC
      UVMUWEUVQPETYQCAETCUHUVNUVQIWTUVNUVQUVAAUWAWOXAXBAUVHUVNUVMUVQUVIXCXDXEXF
      UWDUUDUVJUUSUVNUVMUVQAUUSUEXCXHXIXQXFQXJXKUVJUVMLEUTZUUIAUWGMVAAUVHUWGMVA
      UNZAYMUVHUWHPJAMBLKCDEKCXLZFGIXMXQXNXOQWIVDXPYPUVNPZUUBPBKCDYTEUWJUUBKUWJ
      KWRYSKUUAWKWLUWIGAYNYOUVNUUBHXCYPUVNUUBVEAUVNUUBBRNYOAUVNUUBXRYTCSZBRUVNU
      UBUWKBULZAUVNYTUUANUUBUWLDYTEGXSYSUWLKYTUUAKLXTYRUWKBYQYTCYAYBVNYCYDAUVNU
      WKRNUUBAERYTCHVBYEYFYGUUBUVQYSUWJYSKUUAWPWOYHXPYI $.
  $}

  ${
    $d A j $.  $d F j $.  $d Z j $.  $d j ph $.
    climxlim2.m $e |- ( ph -> M e. ZZ ) $.
    climxlim2.z $e |- Z = ( ZZ>= ` M ) $.
    climxlim2.f $e |- ( ph -> F : Z --> RR* ) $.
    climxlim2.a $e |- ( ph -> F ~~> A ) $.
    $( A sequence of extended reals, converging w.r.t. the standard topology on
       the complex numbers is a converging sequence w.r.t. the standard
       topology on the extended reals.  This is non-trivial, because ` +oo `
       and ` -oo ` could, in principle, be complex numbers.  (Contributed by
       Glauco Siliprandi, 5-Feb-2022.) $)
    climxlim2 $p |- ( ph -> F ~~>* A ) $=
      ( vj cuz cc wf clsxlim wbr wcel cxr adantr cli cvv cv cres wa cz eluzelz2
      cfv ad2antlr wss uzssd3 adantl fssresd simpr wb fvexi a1i climres syl2anr
      eqid fexd mpbird climxlim2lem cpm co fuzxrpmcn xlimres cdm climcl breldmg
      ffnd syl syl3anc climrescn r19.29a ) AJUAZKUFZLCVOUBZMZCBNOZJEAVNEPZUCZVQ
      UCZVRVPBNOZWABVPVNVOVSVNUDPZAVQDVNEGUEZUGVOURVTVOQVPMVQVTEQVOCAEQCMVSHRVS
      VOEUHADVNEGUIUJUKRVTVQULVTVPBSOZVQVTWECBSOZAWFVSIRVSWCCTPZWEWFUMAWDAEQTCH
      ETPAEDKGUNUOUSZBCVNTUPUQUTRVAVTVRWBUMVQVTBCVNACQLVBVCPVSACDEGHVDRVSWCAWDU
      JVERUTAJCDEFGAEQCHVIAWGBLPZWFCSVFPWHAWFWIIBCVGVJICBTLSVHVKVLVM $.
  $}

  ${
    $d A j k $.  $d F j k x $.  $d Z j k x $.  $d j k ph $.
    dfxlim2v.1 $e |- ( ph -> M e. ZZ ) $.
    dfxlim2v.2 $e |- Z = ( ZZ>= ` M ) $.
    dfxlim2v.3 $e |- ( ph -> F : Z --> RR* ) $.
    $( An alternative definition for the convergence relation in the extended
       real numbers.  This resembles what's found in most textbooks: three
       distinct definitions for the same symbol (limit of a sequence).
       (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    dfxlim2v $p |- ( ph -> ( F ~~>* A <-> ( F ~~> A \/ ( A = -oo /\ A. x e. RR
       E. j e. Z A. k e. ( ZZ>= ` j ) ( F ` k ) <_ x ) \/ ( A = +oo /\ A. x e.
       RR E. j e. Z A. k e. ( ZZ>= ` j ) x <_ ( F ` k ) ) ) ) ) $=
      ( clsxlim wbr cmnf cv wral wa cpnf adantr simpr cli wceq cfv cle cuz wrex
      cr w3o wcel simplr wb cz cxr wf xlimclim2 adantlr mpbid 3mix1d wn breqtrd
      simpl adantll xlimmnf ad2antrr 3mix2 syl2anc simpll xlimcl ad3antlr neqne
      adantl xrnmnfpnf xlimpnf 3mix3 pm2.61dan climxlim2 biimpar adantrl simprl
      nfcv wne breqtrrd 3jaodan impbida ) AFCLMZFCUAMZCNUBZEOFUCZBOZUDMEDOUEUCZ
      PDHUFBUGPZQZCRUBZWIWHUDMEWJPDHUFBUGPZQZUHZAWEQZCUGUIZWPWQWRQZWFWLWOWSWEWF
      AWEWRUJAWRWEWFUKWEAWRQCFGHAGULUIZWRISJAHUMFUNZWRKSAWRTUOUPUQURWQWRUSZQZWG
      WPWQWGWPXBWQWGQZWGWKWPWQWGTXDFNLMZWKWEWGXEAWEWGQFCNLWEWGVAWEWGTUTVBAXEWKU
      KWEWGABDEFGHEFVTZIJKVCZVDUQWLWFWOVEVFUPXCWGUSZQZWQWMWPWQXBXHVGXICWECUMUIA
      XBXHCFVHVIWQXBXHUJXHCNWAXCCNVJVKVLWQWMQZWMWNWPWQWMTXJFRLMZWNWEWMXKAWEWMQF
      CRLWEWMVAWEWMTUTVBAXKWNUKWEWMABDEFGHXFIJKVMZVDUQWOWFWLVNVFVFVOVOAWFWEWLWO
      AWFQCFGHAWTWFISJAXAWFKSAWFTVPAWLQFNCLAWKXEWGAXEWKXGVQVRAWGWKVSWBAWOQFRCLA
      WNXKWMAXKWNXLVQVRAWMWNVSWBWCWD $.
  $}

  ${
    $d A i l $.  $d F i j l x y $.  $d Z i j l x y $.  $d i j k l x y $.
    $d i l ph $.
    dfxlim2.k $e |- F/_ k F $.
    dfxlim2.m $e |- ( ph -> M e. ZZ ) $.
    dfxlim2.z $e |- Z = ( ZZ>= ` M ) $.
    dfxlim2.f $e |- ( ph -> F : Z --> RR* ) $.
    $( An alternative definition for the convergence relation in the extended
       real numbers.  This resembles what's found in most textbooks: three
       distinct definitions for the same symbol (limit of a sequence).
       (Contributed by Glauco Siliprandi, 5-Feb-2022.) $)
    dfxlim2 $p |- ( ph -> ( F ~~>* A <-> ( F ~~> A \/ ( A = -oo /\ A. x e. RR
       E. j e. Z A. k e. ( ZZ>= ` j ) ( F ` k ) <_ x ) \/ ( A = +oo /\ A. x e.
       RR E. j e. Z A. k e. ( ZZ>= ` j ) x <_ ( F ` k ) ) ) ) ) $=
      ( vl vy vi wbr cv cle wral wrex clsxlim cli cmnf wceq cfv cuz cr cpnf w3o
      wa dfxlim2v biid weq breq2 rexralbidv fveq2 raleqdv nfcv nffv nfbr breq1d
      nfv cbvralw bitrdi cbvrexvw cbvralvw anbi2i breq1 breq2d 3orbi123i ) AFCU
      APFCUBPZCUCUDZMQZFUEZNQZRPZMOQZUFUEZSOHTZNUGSZUJZCUHUDZVOVNRPZMVRSOHTZNUG
      SZUJZUIVKVLEQZFUEZBQZRPZEDQZUFUEZSZDHTZBUGSZUJZWBWIWHRPZEWLSZDHTZBUGSZUJZ
      UIANCOMFGHJKLUKVKVKWAWPWFXAVKULVTWOVLVSWNNBUGNBUMZVSVNWIRPZMVRSZOHTWNXBVP
      XCOMHVRVOWIVNRUNUOXDWMODHODUMZXDXCMWLSWMXEXCMVRWLVQWKUFUPZUQXCWJMEWLEVNWI
      REVMFIEVMURUSZERURZEWIURZUTWJMVBMEUMZVNWHWIRVMWGFUPZVAVCVDVEVDVFVGWEWTWBW
      DWSNBUGXBWDWIVNRPZMVRSZOHTWSXBWCXLOMHVRVOWIVNRVHUOXMWRODHXEXMXLMWLSWRXEXL
      MVRWLXFUQXLWQMEWLEWIVNRXIXHXGUTWQMVBXJVNWHWIRXKVIVCVDVEVDVFVGVJVD $.
  $}

  ${
    climresd.1 $e |- ( ph -> M e. ZZ ) $.
    climresd.2 $e |- ( ph -> F e. V ) $.
    $( A function restricted to upper integers converges iff the original
       function converges.  (Contributed by Glauco Siliprandi, 23-Apr-2023.) $)
    climresd $p |- ( ph -> ( ( F |` ( ZZ>= ` M ) ) ~~> A <-> F ~~> A ) ) $=
      ( cz wcel cuz cfv cres cli wbr wb climres syl2anc ) ADHICEICDJKLBMNCBMNOF
      GBCDEPQ $.
  $}

  ${
    climresdm.1 $e |- ( ph -> M e. ZZ ) $.
    climresdm.2 $e |- ( ph -> F e. V ) $.
    $( A real function converges iff its restriction to an upper integers set
       converges.  (Contributed by Glauco Siliprandi, 23-Apr-2023.) $)
    climresdm $p |- ( ph -> ( F e. dom ~~> <-> ( F |` ( ZZ>= ` M ) ) e. dom ~~>
       ) ) $=
      ( cli cdm wcel cfv wa cvv adantl fvexd wbr climdm biimpi climresd breldmd
      adantr cuz cres resexg cz simpr mpbird mpbid impbida ) ABGHZIZBCUAJZUBZUI
      IZAUJKZULBGJZLLGUJULLIABUKUIUCMUNBGNUNULUOGOBUOGOZUJUPAUJUPBPQMUNUOBCUIAC
      UDIZUJETAUJUERUFSAUMKZBULGJZDLGABDIUMFTZURULGNURULUSGOZBUSGOUMVAAUMVAULPQ
      MURUSBCDAUQUMETUTRUGSUH $.
  $}

  ${
    dmclimxlim.1 $e |- ( ph -> M e. ZZ ) $.
    dmclimxlim.2 $e |- Z = ( ZZ>= ` M ) $.
    dmclimxlim.3 $e |- ( ph -> F : Z --> RR ) $.
    dmclimxlim.4 $e |- ( ph -> F e. dom ~~> ) $.
    $( A real valued sequence that converges w.r.t. the topology on the complex
       numbers, converges w.r.t. the topology on the extended reals
       (Contributed by Glauco Siliprandi, 23-Apr-2023.) $)
    dmclimxlim $p |- ( ph -> F e. dom ~~>* ) $=
      ( clsxlim wrel clsi cfv wbr cdm wcel xlimrel climliminf mpbid climxlim
      cli releldm sylancr ) AIJBBKLZIMBINOPAUCBCDEFGABTNOBUCTMHABCDEFGQRSBUCIUA
      UB $.
  $}

  ${
    $d F j k x $.  $d M k $.  $d Z j k x $.  $d j k ph x $.
    xlimmnflimsup2.m $e |- ( ph -> M e. ZZ ) $.
    xlimmnflimsup2.z $e |- Z = ( ZZ>= ` M ) $.
    xlimmnflimsup2.f $e |- ( ph -> F : Z --> RR* ) $.
    $( A sequence of extended reals converges to ` -oo ` if and only if its
       superior limit is also ` -oo ` .  (Contributed by Glauco Siliprandi,
       23-Apr-2023.) $)
    xlimmnflimsup2 $p |- ( ph -> ( F ~~>* -oo <-> ( limsup ` F ) = -oo ) ) $=
      ( vj vx vk cmnf clsxlim wbr cv cfv cle cuz wral wrex cr clsp limsupmnfuz
      wceq xlimmnfv nfcv bitr4d ) ABKLMHNBOINPMHJNQORJDSITRBUAOKUCAIJHBCDEFGUDA
      IHJBCDHBUEEFGUBUF $.
  $}

  ${
    xlimuni.1 $e |- ( ph -> F ~~>* A ) $.
    xlimuni.2 $e |- ( ph -> F ~~>* B ) $.
    $( An infinite sequence converges to at most one limit (w.r.t. to the
       standard topology on the extended reals).  (Contributed by Glauco
       Siliprandi, 23-Apr-2023.) $)
    xlimuni $p |- ( ph -> A = B ) $=
      ( cle cordt cfv cha wcel xrhaus a1i clsxlim wbr df-xlim breqi sylib lmmo
      clm ) ABCDGHIZUAJKALMADBNODBUATIZOEDBNUBPQRADCNODCUBOFDCNUBPQRS $.
  $}

  ${
    xlimclimdm.1 $e |- ( ph -> M e. ZZ ) $.
    xlimclimdm.2 $e |- Z = ( ZZ>= ` M ) $.
    xlimclimdm.3 $e |- ( ph -> F : Z --> RR* ) $.
    xlimclimdm.4 $e |- ( ph -> F ~~>* A ) $.
    xlimclimdm.5 $e |- ( ph -> A e. RR ) $.
    $( A sequence of extended reals that converges to a real w.r.t. the
       standard topology on the extended reals, also converges w.r.t. to the
       standard topology on the complex numbers.  (Contributed by Glauco
       Siliprandi, 23-Apr-2023.) $)
    xlimclimdm $p |- ( ph -> F e. dom ~~> ) $=
      ( cli wrel wbr cdm wcel climrel clsxlim xlimclim2 mpbid releldm sylancr )
      AKLCBKMZCKNOPACBQMUBIABCDEFGHJRSCBKTUA $.
  $}

  $( The convergence relation on the extended reals is a function.
     (Contributed by Glauco Siliprandi, 23-Apr-2023.) $)
  xlimfun $p |- Fun ~~>* $=
    ( clsxlim wfun cle cordt cfv clm cha wcel xrhaus lmfun ax-mp df-xlim funeqi
    mpbir ) ABCDEZFEZBZOGHQIOJKAPLMN $.
  ${
    $d F j k x $.  $d M k $.  $d Z j k x $.  $d j k ph x $.
    xlimmnflimsup.m $e |- ( ph -> M e. ZZ ) $.
    xlimmnflimsup.z $e |- Z = ( ZZ>= ` M ) $.
    xlimmnflimsup.f $e |- ( ph -> F : Z --> RR* ) $.
    xlimmnflimsup.c $e |- ( ph -> F ~~>* -oo ) $.
    $( If a sequence of extended reals converges to ` -oo ` then its superior
       limit is also ` -oo ` .  (Contributed by Glauco Siliprandi,
       23-Apr-2023.) $)
    xlimmnflimsup $p |- ( ph -> ( limsup ` F ) = -oo ) $=
      ( vj vx vk clsp cfv cmnf wceq cv cle wbr cuz wral wrex clsxlim mpbid nfcv
      cr xlimmnfv limsupmnfuz mpbird ) ABLMNOIPBMJPQRIKPSMTKDUAJUETZABNUBRUIHAJ
      KIBCDEFGUFUCAJIKBCDIBUDEFGUGUH $.
  $}

  $( Two ways to express that a function has a limit.  (The expression
     ` ( ~~>* `` F ) ` is sometimes useful as a shorthand for "the unique limit
     of the function ` F ` ").  (Contributed by Glauco Siliprandi,
     23-Apr-2023.) $)
  xlimdm $p |- ( F e. dom ~~>* <-> F ~~>* ( ~~>* ` F ) ) $=
    ( clsxlim wfun cdm wcel cfv wbr wb xlimfun funfvbrb ax-mp ) BCABDEAABFBGHIA
    BJK $.
  ${
    $d F k x $.  $d Z j k x $.  $d k ph $.
    xlimpnfxnegmnf2.j $e |- F/_ j F $.
    xlimpnfxnegmnf2.m $e |- ( ph -> M e. ZZ ) $.
    xlimpnfxnegmnf2.z $e |- Z = ( ZZ>= ` M ) $.
    xlimpnfxnegmnf2.f $e |- ( ph -> F : Z --> RR* ) $.
    $( A sequence converges to ` +oo ` if and only if its negation converges to
       ` -oo ` .  (Contributed by Glauco Siliprandi, 23-Apr-2023.) $)
    xlimpnfxnegmnf2 $p |- ( ph -> ( F ~~>* +oo <-> ( j e. Z |-> -e ( F ` j ) )
       ~~>* -oo ) ) $=
      ( vx vk cv cfv cle wbr wral wrex cr cxne wcel cpnf clsxlim xlimpnfxnegmnf
      cuz cmpt cmnf xlimpnf nfmpt1 cxr ffvelrnda xnegcld nfcv nffv nfxneg fveq2
      wa wceq xnegeqd cbvmpt fmptd xlimmnf wb uztrn2 xnegex fvmpt4 mpan2 breq1d
      cvv syl ralbidva rexbiia ralbii bitrdi 3bitr4d ) AJLZBLZCMZNOBKLZUDMZPKEQ
      JRPVQSZVONOZBVSPZKEQZJRPZCUAUBOBEVTUEZUFUBOZAJBKCDEFHIUCAJKBCDEFGHIUGAWFV
      PWEMZVONOZBVSPZKEQZJRPWDAJKBWEDEBEVTUHGHAKEVRCMZSZUIWEAVRETZUPWKAEUIVRCIU
      JUKBKEVTWLKVTULBWKBVRCFBVRULUMUNVPVRUQVQWKVPVRCUOURUSUTVAWJWCJRWIWBKEWMWH
      WABVSWMVPVSTUPVPETZWHWAVBDVPVREHVCWNWGVTVONWNVTVHTWGVTUQVQVDBEVTVHVEVFVGV
      IVJVKVLVMVN $.
  $}

  ${
    xlimresdm.1 $e |- ( ph -> F e. ( RR* ^pm CC ) ) $.
    xlimresdm.2 $e |- ( ph -> M e. ZZ ) $.
    $( A function converges in the extended reals iff its restriction to an
       upper integers set converges.  (Contributed by Glauco Siliprandi,
       23-Apr-2023.) $)
    xlimresdm $p |- ( ph -> ( F e. dom ~~>* <-> ( F |` ( ZZ>= ` M ) ) e. dom
       ~~>* ) ) $=
      ( clsxlim cdm wcel cuz cfv cres wbr xlimrel xlimdm adantr xlimres releldm
      wa wb sylancr wrel a1i biimpa cxr cc cpm co cz mpbid biimpi adantl mpbird
      impbida ) ABFGZHZBCIJKZUNHZAUORZFUAZUPBFJZFLZUQMURBUTFLZVAAUOVBUOVBSABNUB
      UCURUTBCABUDUEUFUGHUODOACUHHUOEOPUIUPUTFQTAUQRZUSBUPFJZFLZUOMVCVEUPVDFLZU
      QVFAUQVFUPNUJUKAVEVFSUQAVDBCDEPOULBVDFQTUM $.
  $}

  ${
    $d F j k x $.  $d M k $.  $d Z j k x $.  $d j k ph x $.
    xlimpnfliminf.m $e |- ( ph -> M e. ZZ ) $.
    xlimpnfliminf.z $e |- Z = ( ZZ>= ` M ) $.
    xlimpnfliminf.f $e |- ( ph -> F : Z --> RR* ) $.
    xlimpnfliminf.c $e |- ( ph -> F ~~>* +oo ) $.
    $( If a sequence of extended reals converges to ` +oo ` then its superior
       limit is also ` +oo ` .  (Contributed by Glauco Siliprandi,
       23-Apr-2023.) $)
    xlimpnfliminf $p |- ( ph -> ( liminf ` F ) = +oo ) $=
      ( vx vj vk clsi cfv cpnf wceq cv cle wbr cuz wral wrex clsxlim mpbid nfcv
      cr xlimpnfv liminfpnfuz mpbird ) ABLMNOIPJPBMQRJKPSMTKDUAIUETZABNUBRUIHAI
      KJBCDEFGUFUCAIJKBCDJBUDEFGUGUH $.
  $}

  ${
    $d F j k x $.  $d M k $.  $d Z j k x $.  $d j k ph x $.
    xlimpnfliminf2.m $e |- ( ph -> M e. ZZ ) $.
    xlimpnfliminf2.z $e |- Z = ( ZZ>= ` M ) $.
    xlimpnfliminf2.f $e |- ( ph -> F : Z --> RR* ) $.
    $( A sequence of extended reals converges to ` +oo ` if and only if its
       superior limit is also ` +oo ` .  (Contributed by Glauco Siliprandi,
       23-Apr-2023.) $)
    xlimpnfliminf2 $p |- ( ph -> ( F ~~>* +oo <-> ( liminf ` F ) = +oo ) ) $=
      ( vx vj vk cpnf clsxlim wbr cv cfv cle cuz wral wrex cr clsi liminfpnfuz
      wceq xlimpnfv nfcv bitr4d ) ABKLMHNINBOPMIJNQORJDSHTRBUAOKUCAHJIBCDEFGUDA
      HIJBCDIBUEEFGUBUF $.
  $}

  ${
    $d F j $.  $d F m $.  $d M j $.  $d M m $.  $d Z j $.  $d Z m $.
    $d j ph $.  $d m ph $.
    xlimliminflimsup.m $e |- ( ph -> M e. ZZ ) $.
    xlimliminflimsup.z $e |- Z = ( ZZ>= ` M ) $.
    xlimliminflimsup.f $e |- ( ph -> F : Z --> RR* ) $.
    $( A sequence of extended reals converges if and only if its inferior limit
       and its superior limit are equal.  (Contributed by Glauco Siliprandi,
       23-Apr-2023.) $)
    xlimliminflimsup $p |- ( ph -> ( F e. dom ~~>* <-> ( liminf ` F ) = (
       limsup ` F ) ) ) $=
      ( clsxlim wcel cfv wceq wa cr ad2antrr cxr simpr adantr cvv cpnf cmnf cdm
      vj vm clsi clsp cv cuz wf cz wbr xlimdm biimpi ad2antlr xlimxrre eluzelz2
      cres eqid frexr cc co fuzxrpmcn ad3antrrr adantl xlimres mpbid xlimclimdm
      cpm simpllr climliminflimsupd elexd wss ssd eqsstrd liminfresuz2 ad5ant14
      fdmd eqcomd limsupresuz2 3eqtr4d rexlimddv2 wn simpll liminfcld limsupcld
      breqtrd adantll cle liminflelimsupuz pnfged xlimpnfliminf syl2anc adantlr
      breqtrrd xrletrid simplll xlimcl syl simplr neqne xrnpnfmnf xlimmnflimsup
      wne adantlll mnfled eqbrtrd pm2.61dan mnfxr xlimmnflimsup2 mpbird breldmd
      a1i renepnfd eqeltrd renemnfd liminflimsupxrre ad4ant23 3ad2ant3 3ad2ant1
      cli simpl w3a simp2 syl3anc 3adant2 ad5ant124 climliminflimsup3 mpbir2and
      dmclimxlim ad4antr xlimresdm xrnmnfpnf eqtrd pnfxr xlimpnfliminf2 biimpar
      adantllr pm2.61dane impbida ) ABHUAZIZBUDJZBUEJZKZAYTLZBHJZMIZUUCUUDUUFLZ
      UBUFZUGJZMBUUIUPZUHZUUCUBDUUGUUEUBBCDACUIIZYTUUFENFADOBUHZYTUUFGNUUDUUFPY
      TBUUEHUJZAUUFYTUUNBUKULZUMZUNUUGUUHDIZLZUUKLZUUJUDJZUUJUEJZUUAUUBUUSUUJUU
      HUUIUUQUUHUIIZUUGUUKCUUHDFUOZUMZUUIUQZUURUUKPZUUSUUEUUJUUHUUIUVDUVEUUSUUI
      UUJUVFURUURUUJUUEHUJZUUKUURUUNUVGUUGUUNUUQUUPQUURUUEBUUHABOUSVGUTZIZYTUUF
      UUQABCDFGVAZVBUUQUVBUUGUVCVCVDVEQUUDUUFUUQUUKVHVFVIAUUQUUAUUTKYTUUFUUKAUU
      QLZUUTUUAUVKBUUHRUUIUUQUVBAUVCVCZUVEABRIZUUQABUVHUVJVJZQZABUAZUIVKZUUQAUV
      PDUIADOBGVPAUBDUIUVLVLVMZQZVNVQVOAUUQUUBUVAKYTUUFUUKUVKUVAUUBUVKBUUHRUUIU
      VLUVEUVOUVSVRVQVOVSVTUUDUUFWAZLZUUESKZUUCUUDUWBUUCUVTUUDUWBLABSHUJZUUCAYT
      UWBWBYTUWBUWCAYTUWBLBUUESHYTUUNUWBUUOQYTUWBPWEWFAUWCLZUUAUUBAUUAOIZUWCABU
      VHUVJWCZQAUUBOIZUWCABUVHUVJWDZQZAUUAUUBWGUJZUWCABCDEFGWHZQUWDUUBSUUAWGUWD
      UUBUWIWIUWDBCDAUULUWCEQFAUUMUWCGQAUWCPWJWMWNWKWLUWAUWBWAZLABTHUJZUUCAYTUV
      TUWLWOYTUVTUWLUWMAYTUVTLZUWLLZBUUETHYTUUNUVTUWLUUONUWOUUEYTUUEOIZUVTUWLYT
      UUNUWPUUOUUEBWPWQNYTUVTUWLWRUWLUUESXBUWNUUESWSVCWTWEXCAUWMLZUUAUUBAUWEUWM
      UWFQZAUWGUWMUWHQAUWJUWMUWKQUWQUUBTUUAWGUWQBCDAUULUWMEQFAUUMUWMGQAUWMPXAUW
      QUUAUWRXDXEWNWKXFXFAUUCLZYTUUBTAUUBTKZYTUUCAUWTLZBTROHAUVMUWTUVNQTOIUXAXG
      XKUXAUWMUWTAUWTPUXABCDAUULUWTEQFAUUMUWTGQXHXIXJWLUWSUUBTXBZLZUUBMIZYTUWSU
      XDYTUXBUWSUXDLZUCUFZUGJZMBUXGUPZUHZYTUCDUXEUCBCDAUULUUCUXDENFAUUMUUCUXDGN
      UXEUUBUWSUXDPZXLUXEUUAUXEUUAUUBMAUUCUXDWRUXJXMXNXOUXEUXFDIZLZUXILZYTUXHYS
      IUXMUXHUXFUXGUXKUXFUIIZUXEUXICUXFDFUOZUMZUXGUQZUXLUXIPZUXMUXHXSUAIUXHUDJZ
      MIZUXSUXHUEJZKZUXLUXTUXIUXLAUUAMIZUXKUXTAUUCUXDUXKWOUUCUXDUYCAUXKUUCUXDLU
      UAUUBMUUCUXDXTUUCUXDPXMXPUXEUXKPAUYCUXKYAZUXSUUAMUYDBUXFRUXGUXKAUXNUYCUXO
      XQUXQAUYCUVMUXKUVNXRAUYCUVQUXKUVRXRVNAUYCUXKYBXMYCQAUUCUXKUYBUXDUXIAUUCUX
      KYAUUAUUBUXSUYAAUUCUXKYBAUXKUXSUUAKUUCAUXKLZBUXFRUXGUXKUXNAUXOVCZUXQAUVMU
      XKUVNQZAUVQUXKUVRQZVNYDAUXKUYAUUBKUUCUYEBUXFRUXGUYFUXQUYGUYHVRYDVSYEUXMUX
      HUXFUXGUXPUXQUXRYFYGYHUXMBUXFAUVIUUCUXDUXKUXIUVJYIUXPYJXIVTWLUXCUXDWAZLZU
      WSUUASKZYTUWSUXBUYIWBUYJUUAUUBSAUUCUXBUYIVHAUXBUYIUUBSKUUCAUXBLZUYILUUBAU
      WGUXBUYIUWHNUYLUYIPAUXBUYIWRYKYPYLAUYKYTUUCAUYKLZBSROHAUVMUYKUVNQSOIUYMYM
      XKAUWCUYKABCDEFGYNYOXJWLWKXFYQYR $.
  $}

  ${
    xlimlimsupleliminf.1 $e |- ( ph -> M e. ZZ ) $.
    xlimlimsupleliminf.2 $e |- Z = ( ZZ>= ` M ) $.
    xlimlimsupleliminf.3 $e |- ( ph -> F : Z --> RR* ) $.
    $( A sequence of extended reals converges if and only if its superior limit
       is smaller than or equal to its inferior limit.  (Contributed by Glauco
       Siliprandi, 2-Dec-2023.) $)
    xlimlimsupleliminf $p |- ( ph -> ( F e. dom ~~>* <-> ( limsup ` F ) <_ (
       liminf ` F ) ) ) $=
      ( clsxlim cdm wcel clsi cfv clsp xlimliminflimsup liminfgelimsupuz bitr4d
      wceq cle wbr ) ABHIJBKLZBMLZQUATRSABCDEFGNABCDEFGOP $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Trigonometry
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( A complex number whose cosine is zero.  (Contributed by Glauco Siliprandi,
     11-Dec-2019.) $)
  coseq0 $p |- ( A e. CC -> ( ( cos ` A ) = 0 <-> ( ( A / _pi ) + ( 1 / 2 ) )
     e. ZZ ) ) $=
    ( cc wcel cpi c2 cdiv co caddc csin cfv cc0 wceq cz ccos c1 a1i halfcld wne
    wb oveq1d picn id addcld sineq0 syl sinhalfpip eqeq1d pire gt0ne0ii divdird
    pipos 2cnd 2ne0 divdiv32d dividd eqtrd divcld addcomd 3eqtrd eleq1d 3bitr3d
    1cnd ) ABCZDEFGZAHGZIJZKLZVEDFGZMCZANJZKLADFGZOEFGZHGZMCVCVEBCVGVISVCVDAVCD
    DBCVCUAPZQZVCUBZUCVEUDUEVCVFVJKAUFUGVCVHVMMVCVHVDDFGZVKHGVLVKHGVMVCVDADVOVP
    VNDKRVCDUHUKUIPZUJVCVQVLVKHVCVQDDFGZEFGVLVCDEDVNVCULVNEKRVCUMPVRUNVCVSOEFVC
    DVNVRUOTUPTVCVLVKVCOVCVBQVCADVPVNVRUQURUSUTVA $.

  $( Multiplication formula for sine and cosine.  (Contributed by Glauco
     Siliprandi, 11-Dec-2019.) $)
  sinmulcos $p |- ( ( A e. CC /\ B e. CC ) -> ( ( sin ` A ) x. ( cos ` B ) ) =
     ( ( ( sin ` ( A + B ) ) + ( sin ` ( A - B ) ) ) / 2 ) ) $=
    ( cc wcel wa caddc co csin cmin c2 cdiv ccos cmul simpl sincld wf ffvelrnda
    cfv a1i mulcld cosf coscld sinf ppncand sinadd oveq12d 2timesd 3eqtr4d 2cnd
    sinsub oveq1d cc0 wne 2ne0 divcan3d eqtr2d ) ACDZBCDZEZABFGHRZABIGHRZFGZJKG
    JAHRZBLRZMGZMGZJKGVEUSVBVFJKUSVEALRZBHRZMGZFGZVEVIIGZFGVEVEFGVBVFUSVEVIVEUS
    VCVDUSAUQURNZOUQCCBLCCLPUQUASQTZUSVGVHUSAVLUBUQCCBHCCHPUQUCSQTVMUDUSUTVJVAV
    KFABUEABUJUFUSVEVMUGUHUKUSVEJVMUSUIJULUMUSUNSUOUP $.

  ${
    $d K n $.
    $( The cosine of an integer multiple of negative ` _pi ` is either ` 1 ` or
       negative ` 1 ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    coskpi2 $p |- ( K e. ZZ -> ( cos ` ( K x. _pi ) ) = if ( 2 || K , 1 , -u 1
       ) ) $=
      ( vn cz wcel c2 cpi cmul co ccos cfv c1 wceq wa wi picn a1i adantr adantl
      eqtrd caddc cdvds wbr cneg cif cv wrex wb 2z divides mpan biimpa w3a 2cnd
      zcn cc mulassd eqcomd oveq1 eqtr2d fveq2d cos2kpi 3adant1 iftrue 3ad2ant1
      3exp rexlimdv mpd odd2np1 mulcld 1cnd adddird mulcomd mulid2i oveq12d 2cn
      wn oveq1d mulcli addcomd 3eqtrrd cosper cospi 3eqtrd iffalse pm2.61dan )
      ACDZEAUAUBZAFGHZIJZWGKKUCZUDZLZWFWGMZBUEZEGHZALZBCUFZWLWFWGWQECDWFWGWQUGU
      HBEAUIUJUKWMWPWLBCWGWNCDZWPWLNNWFWGWRWPWLWGWRWPULWIKWKWRWPWIKLWGWRWPMZWIW
      NEFGHZGHZIJZKWSWHXAIWSXAWOFGHZWHWRXAXCLWPWRXCXAWRWNEFWNUNZWRUMZFUODZWROPZ
      UPZUQQWPXCWHLWRWOAFGURRUSUTWRXBKLWPWNVAQSVBWGWRKWKLWPWGWKKWGKWJVCUQVDSVER
      VFVGWFWGVPZMZEWNGHZKTHZALZBCUFZWLWFXIXNBAVHUKXJXMWLBCXIWRXMWLNNWFXIWRXMWL
      XIWRXMULWIWJWKWRXMWIWJLXIWRXMMZWIFXATHZIJZFIJZWJXOWHXPIXOXPXLFGHZWHWRXPXS
      LXMWRXSXKFGHZKFGHZTHXAFTHXPWRXKKFWREWNXEXDVIWRVJXGVKWRXTXAYAFTWRXTXCXAWRX
      KWOFGWREWNXEXDVLVQXHSYAFLWRFOVMPVNWRXAFWRWNWTXDWTUODWREFVOOVRPVIXGVSVTQXM
      XSWHLWRXLAFGURRUSUTWRXQXRLZXMXFWRYBOFWNWAUJQXRWJLXOWBPWCVBXIWRWJWKLXMXIWK
      WJWGKWJWDUQVDSVERVFVGWE $.
  $}

  $( The cosine of negative ` _pi ` is negative ` 1 ` .  (Contributed by Glauco
     Siliprandi, 11-Dec-2019.) $)
  cosnegpi $p |- ( cos ` -u _pi ) = -u 1 $=
    ( cpi cneg ccos cfv c1 c2 cmul co caddc cmin 2cn picn mulcli mulm1i negsubi
    oveq2i cc wcel wceq sub2times ax-mp 3eqtrri fveq2i neg1z cosper mp2an cospi
    cz 3eqtri ) ABZCDAEBZFAGHZGHZIHZCDZACDZUKUJUNCUNAULBZIHAULJHZUJUMUQAIULFAKL
    MZNPAULLUSOAQRZURUJSLATUAUBUCUTUKUHRUOUPSLUDAUKUEUFUGUI $.

  $( If ` A ` in ` ( 0 , 2 _pi ) ` then ` sin ( A / 2 ) ` is not ` 0 ` .
     (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  sinaover2ne0 $p |- ( A e. ( 0 (,) ( 2 x. _pi ) ) -> ( sin ` ( A / 2 ) ) =/= 0
     ) $=
    ( cc0 c2 cpi cmul co wcel cdiv cz cc a1i wne pire pipos clt wbr 2re syl3anc
    c1 cxr cioo csin cfv wceq elioore recnd 2cnd picn 2ne0 gt0ne0ii divdiv1d wn
    caddc 0zd cr remulcli 0xr rexrd ioogtlb 2pos mulgt0ii divgt0d crp 1rp elrpd
    id div1d iooltub eqbrtrd ltdiv23d 1e0p1 breqtrdi btwnnz eqneltrd wb halfcld
    sineq0 syl mtbird neqned ) ABCDEFZUAFGZACHFZUBUCZBWBWDBUDZWCDHFZIGZWBWFAWAH
    FZIWBACDWBAABWAUEZUFZWBUGDJGWBUHKCBLWBUIKDBLWBDMNUJKUKWBBIGBWHOPWHBSUMFZOPW
    HIGULWBUNWBAWAWIWAUOGWBCDQMUPKZWBBTGZWATGZWBBAOPWMWBUQKZWBWAWLURZWBVFZBWAAU
    SRBWAOPWBCDQMUTNVAKZVBWBWHSWKOWBASWAWISVCGWBVDKWBWAWLWRVEWBASHFAWAOWBAWJVGW
    BWMWNWBAWAOPWOWPWQBWAAVHRVIVJVKVLBWHVMRVNWBWCJGWEWGVOWBAWJVPWCVQVRVSVT $.

  ${
    $d K n $.
    $( The cosine of an integer multiple of negative ` _pi ` is either ` 1 ` or
       negative ` 1 ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    cosknegpi $p |- ( K e. ZZ -> ( cos ` ( K x. -u _pi ) ) = if ( 2 || K , 1 ,
       -u 1 ) ) $=
      ( vn cz wcel c2 cpi cneg cmul co ccos cfv c1 wceq wa cc0 caddc 3eqtrd syl
      cc adantr cdvds wbr cif cv simpr wb 2z simpl divides sylancr mpbid wi w3a
      wrex zcn negcl 2cn picn mulcli a1i mulcld addid2d mulassd eqcomd mulneg1d
      2cnd id oveq1d mulneg12 syl2anc adantl 3eqtrrd fveq2d 3adant1 0cnd znegcl
      cosper 3ad2ant2 cos0 iftrue eqtr4id 3ad2ant1 3exp rexlimdv mpd wn odd2np1
      oveq1 biimpa 1cnd negpicn adddird mulneg2d mulcomd eqtr3d mulid2d oveq12d
      addcomd eqtrd 3adant1r cosnegpi iffalse rexlimdv3a pm2.61dan ) ACDZEAUAUB
      ZAFGZHIZJKZXFLLGZUCZMZXEXFNZBUDZEHIZAMZBCUNZXLXMXFXQXEXFUEXMECDXEXFXQUFUG
      XEXFUHBEAUIUJUKXMXPXLBCXFXNCDZXPXLULULXEXFXRXPXLXFXRXPUMXIOXNGZEFHIZHIZPI
      ZJKZOJKZXKXRXPXIYCMXFXRXPNZXHYBJYEYBXOGZFHIZXOXGHIZXHXRYBYGMZXPXRXNSDZYIX
      NUOZYJYBYAXSEHIZFHIZYGYJYAYJXSXTXNUPZXTSDYJEFUQURUSUTVAZVBYJYMYAYJXSEFYNY
      JVFZFSDZYJURUTZVCZVDYJYLYFFHYJXNEYJVGZYPVEVHQRTXRYGYHMZXPXRYJUUAYKYJXOSDY
      QUUAYJXNEYTYPVAYRXOFVIVJRTXPYHXHMXRXOAXGHWHVKVLVMVNXRXFYCYDMZXPXROSDXSCDZ
      UUBXRVOXNVPZOXSVQVJVRXFXRYDXKMXPXFYDLXKVSXFLXJVTWAWBQWCVKWDWEXEXFWFZNZEXN
      HIZLPIZAMZBCUNZXLXEUUEUUJBAWGWIUUFUUIXLBCUUFXRUUIUMXIXGYAPIZJKZXGJKZXKXEX
      RUUIXIUULMUUEXEXRUUIUMXHUUKJXRUUIXHUUKMXEXRUUINXHUUHXGHIZUUGXGHIZLXGHIZPI
      ZUUKUUIXHUUNMXRUUIUUNXHUUHAXGHWHVDVKXRUUNUUQMZUUIXRYJUURYKYJUUGLXGYJEXNYP
      YTVAZYJWJXGSDZYJWKUTZWLRTXRUUQUUKMZUUIXRYJUVBYKYJUUQYAXGPIUUKYJUUOYAUUPXG
      PYJUUOUUGGZFHIZYMYAYJUVDUUOYJUUGSDYQUVDUUOMUUSYRUUGFVIVJVDYJUVCYLFHYJEXSH
      IUVCYLYJEXNYPYTWMYJEXSYPYNWNWOVHYSQYJXGUVAWPWQYJYAXGYOUVAWRWSRTQVNVMWTXRU
      UFUULUUMMZUUIXRUUTUUCUVEWKUUDXGXSVQUJVRUUFXRUUMXKMZUUIUUEUVFXEUUEUUMXJXKX
      AXFLXJXBWAVKWBQXCWEXD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Continuous Functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d F x $.  $d G x $.  $d X x $.  $d ph x $.
    mulcncff.f $e |- ( ph -> F e. ( X -cn-> CC ) ) $.
    mulcncff.g $e |- ( ph -> G e. ( X -cn-> CC ) ) $.
    $( The multiplication of two continuous complex functions is continuous.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    mulcncff $p |- ( ph -> ( F oF x. G ) e. ( X -cn-> CC ) ) $=
      ( vx cmul co cfv cmpt cc cvv wcel wf cncff syl ffvelrnda feqmptd eqeltrrd
      cof cv ccncf wss cncfrss cnex ssex 3syl offval2 mulcncf eqeltrd ) ABCHUAI
      GDGUBZBJZULCJZHIKDLUCIZAGDUMUNHBCMLLABUONZDLUDDMNEDLBUEDLUFUGUHADLULBAUPD
      LBOEDLBPQZRADLULCACUONDLCOFDLCPQZRAGDLBUQSZAGDLCURSZUIAGUMUNDABGDUMKUOUSE
      TACGDUNKUOUTFTUJUK $.
  $}

  ${
    $d A x $.  $d C x $.  $d D x $.  $d ph x $.
    cncfmptssg.2 $e |- F = ( x e. A |-> E ) $.
    cncfmptssg.3 $e |- ( ph -> F e. ( A -cn-> B ) ) $.
    cncfmptssg.4 $e |- ( ph -> C C_ A ) $.
    cncfmptssg.5 $e |- ( ph -> D C_ B ) $.
    cncfmptssg.6 $e |- ( ( ph /\ x e. C ) -> E e. D ) $.
    $( A continuous complex function restricted to a subset is continuous,
       using maps-to notation.  This theorem generalizes ~ cncfmptss because it
       allows to establish a subset for the codomain also.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    cncfmptssg $p |- ( ph -> ( x e. C |-> E ) e. ( C -cn-> D ) ) $=
      ( cmpt ccncf co wcel cc wss syl2anc wf fmpttd wb cncfrss2 syl sstrd cv wa
      cfv wceq sselda fvmpt2 mpteq2dva nfmpt1 nfcxfr cncfmptss eqeltrrd mpbird
      cncffvrn ) ABEGNZEFOPQZEFUTUAZABEGFMUBAFRSUTEDOPZQVAVBUCAFDRLAHCDOPQDRSJC
      DHUDUEUFABEBUGZHUIZNUTVCABEVEGAVDEQUHVDCQGFQVEGUJAECVDKUKMBCGFHIULTUMABCD
      EHBHBCGNIBCGUNUOJKUPUQEDFUTUSTUR $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.
    constcncfg.a $e |- ( ph -> A C_ CC ) $.
    constcncfg.b $e |- ( ph -> B e. C ) $.
    constcncfg.c $e |- ( ph -> C C_ CC ) $.
    $( A constant function is a continuous function on ` CC ` .  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    constcncfg $p |- ( ph -> ( x e. A |-> B ) e. ( A -cn-> C ) ) $=
      ( wcel cc wss cmpt ccncf co cncfmptc syl3anc ) ADEICJKEJKBCDLCEMNIGFHBDCE
      OP $.
  $}

  ${
    $d A x $.  $d B x $.
    idcncfg.a $e |- ( ph -> A C_ B ) $.
    idcncfg.b $e |- ( ph -> B C_ CC ) $.
    $( The identity function is a continuous function on ` CC ` .  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    idcncfg $p |- ( ph -> ( x e. A |-> x ) e. ( A -cn-> B ) ) $=
      ( wss cc cv cmpt ccncf co wcel cncfmptid syl2anc ) ACDGDHGBCBIJCDKLMEFBCD
      NO $.
  $}

  ${
    $d A a b v w x z $.  $d A x y $.  $d B a v w x z $.  $d B x y $.
    $d F a b v w x z $.  $d G a v w z $.  $d T a b v w x z $.  $d T x y $.
    $d ph v w x z $.  $d ph x y $.
    cncfshift.a $e |- ( ph -> A C_ CC ) $.
    cncfshift.t $e |- ( ph -> T e. CC ) $.
    cncfshift.b $e |- B = { x e. CC | E. y e. A x = ( y + T ) } $.
    cncfshift.f $e |- ( ph -> F e. ( A -cn-> CC ) ) $.
    cncfshift.g $e |- G = ( x e. B |-> ( F ` ( x - T ) ) ) $.
    $( A periodic continuous function stays continuous if the domain is shifted
       a period.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    cncfshift $p |- ( ph -> G e. ( B -cn-> CC ) ) $=
      ( cc co cmin cabs cfv clt crp vv vz vw vb va ccncf wcel wf cv wbr wi wral
      wrex wa cncff syl adantr caddc wceq simpr eleqtrdi rabid sylib simprd w3a
      crab oveq1 3ad2ant3 sselda adantlr 3adant3 eqtrd simp2 eqeltrd rexlimdv3a
      pncand mpd ffvelrnd fmptd fvoveq1 breq1d imbrov2fvoveq rexralbidv ralbidv
      wss ssid elcncf sylancl mpbid rspcdva adantrr simprr rspa syl2anc simpl1l
      wb simp1rl ad2antrr simplr fvmpt2 imbi12d chvarvv fvmptd3 3adant2 oveq12d
      eleq1w anbi2d eleq1d fveq2d syl3anc simpld ssrab3 adantl nnncan2d eqbrtrd
      sseli syl1111anc oveq2 oveq2d simpll3 ralrimiva 3exp reximdvai ralrimivva
      fveq2 ex a1i nfcv nfv cmpt nfmpt1 nfcxfr nffv nfov nfbr nfim nfralw nfrex
      cbvralw bicomi anbi2i bitr4di mpbir2and ) AHENUFOUGZENHUHZBUIZUAUIZPOZQRZ
      UBUIZSUJZUUFHRZUUGHRZPOZQRZUCUIZSUJZUKZUAEULZUBTUMZUCTULZBEULZABEUUFFPOZG
      RZNHAUUFEUGZUNZDNUVCGADNGUHZUVEAGDNUFOUGZUVGLDNGUOUPZUQUVFUUFCUIZFUROZUSZ
      CDUMZUVCDUGZUVFUUFNUGZUVMUVFUUFUVMBNVFZUGUVOUVMUNUVFUUFEUVPAUVEUTZKVAUVMB
      NVBVCZVDUVFUVLUVNCDUVFUVJDUGZUVLVEZUVCUVJDUVTUVCUVKFPOZUVJUVLUVFUVCUWAUSU
      VSUUFUVKFPVGVHUVFUVSUWAUVJUSZUVLAUVSUWBUVEAUVSUNUVJFADNUVJIVIAFNUGZUVSJUQ
      VPVJVKVLUVFUVSUVLVMVNVOVQZVRZMVSAUUTBUCETAUVEUUPTUGZUNZUNZUVCUDUIZPOZQRZU
      UJSUJZUVDUWIGRZPOZQRZUUPSUJZUKZUDDULZUBTUMZUUTUWHUWSUCTULZUWFUWSAUVEUWTUW
      FUVFUEUIZUWIPOQRZUUJSUJZUXAGRUWMPOQRUUPSUJUKZUDDULUBTUMZUCTULZUWTUEDUVCUX
      AUVCUSZUXEUWSUCTUXGUXDUWQUBUDTDUXCUWLUUPSPQGUWMUXAUVCUXGUXBUWKUUJSUXAUVCU
      WIQPVTWAWBWCWDUVFUVGUXFUEDULZUVFUVHUVGUXHUNZAUVHUVELUQUVFDNWEZNNWEZUVHUXI
      WPAUXJUVEIUQNWFZUEUCUBUDDNGWGWHWIVDUWDWJWKAUVEUWFWLUWSUCTWMWNUWHUWRUUSUBT
      UWHUUJTUGZUWRUUSUWHUXMUWRVEZUURUAEUXNUUGEUGZUNZUUKUUQUXPUUKUNZUUOUVDUUGFP
      OZGRZPOZQRZUUPSUXQAUVEUXOUUOUYAUSUXPAUUKAUWGUXMUWRUXOWOUQZUXNUVEUXOUUKUVE
      UWFAUXMUWRWQWRZUXNUXOUUKWSZAUVEUXOVEZUUNUXTQUYEUULUVDUUMUXSPAUVEUULUVDUSZ
      UXOUVFUVEUVDNUGUYFUVQUWEBEUVDNHMWTWNVKAUXOUUMUXSUSUVEAUXOUNZBUUGUVDUXSEHN
      MUUFUUGFGPVTAUXOUTUYGDNUXRGAUVGUXOUVIUQUVFUVNUKUYGUXRDUGZUKBUAUUFUUGUSZUV
      FUYGUVNUYHUYIUVEUXOABUAEXFXGUYIUVCUXRDUUFUUGFPVGXHXAUWDXBZVRXCXDXEXIXJUXQ
      UVCUXRPOZQRZUUJSUJZUYAUUPSUJZUXQAUVEUXOUUKUYMUYBUYCUYDUXPUUKUTUVFUXOUNZUU
      KUNUYLUUIUUJSUYOUYLUUIUSUUKUYOUYKUUHQUYOUUFUUGFUVFUVOUXOUVFUVOUVMUVRXKUQU
      XOUUGNUGUVFENUUGUVMBNEKXLZXPXMAUWCUVEUXOJWRXNXIUQUYOUUKUTXOXQUXQUWQUYMUYN
      UKUDDUXRUWIUXRUSZUWLUYMUWPUYNUYQUWKUYLUUJSUYQUWJUYKQUWIUXRUVCPXRXIWAUYQUW
      OUYAUUPSUYQUWNUXTQUYQUWMUXSUVDPUWIUXRGYEXSXIWAXAUWHUXMUWRUXOUUKXTUXQAUXOU
      YHUYBUYDUYJWNWJVQXOYFYAYBYCVQYDAUUDUUEUXAUUGPOQRZUUJSUJZUXAHRZUUMPOZQRZUU
      PSUJZUKZUAEULZUBTUMZUCTULZUEEULZUNZUUEUVBUNAENWEZUXKUUDVUIWPVUJAUYPYGUXLU
      EUCUBUAENHWGWHUVBVUHUUEVUHUVBVUGUVAUEBEVUFBUCTBTYHZVUEBUBTVUKVUDBUAEBEYHU
      YSVUCBUYSBYIBVUBUUPSBVUAQBQYHBUYTUUMPBUXAHBHBEUVDYJMBEUVDYKYLZBUXAYHYMBPY
      HBUUGHVULBUUGYHYMYNYMBSYHBUUPYHYOYPYQYRYQUVAUEYIUXAUUFUSZVUFUUTUCTVUMVUDU
      URUBUATEUYSUUKUUPSPQHUUMUXAUUFVUMUYRUUIUUJSUXAUUFUUGQPVTWAWBWCWDYSYTUUAUU
      BUUC $.
  $}

  $( ` sin ` restricted to reals is continuous from reals to reals.
     (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  resincncf $p |- ( sin |` RR ) e. ( RR -cn-> RR ) $=
    ( vx csin cr cres ccncf co wcel wf wfn cv cfv wral wss sinf ax-mp ax-resscn
    cc ffn fnssres mp2an fvres resincl eqeltrd rgen ffnfv mpbir2an wb sincn mp2
    rescncf cncffvrn mpbir ) BCDZCCEFGZCCUMHZUOUMCIZAJZUMKZCGZACLBQIZCQMZUPQQBH
    UTNQQBROPQCBSTUSACUQCGURUQBKCUQCBUAUQUBUCUDACCUMUEUFVAUMCQEFGZUNUOUGPVABQQE
    FGVBPUHQQCBUJUICQCUMUKTUL $.

  ${
    $d A x $.  $d B x $.
    addccncf2.1 $e |- F = ( x e. A |-> ( B + x ) ) $.
    $( Adding a constant is a continuous function.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    addccncf2 $p |- ( ( A C_ CC /\ B e. CC ) -> F e. ( A -cn-> CC ) ) $=
      ( cc wss wcel wa cv caddc co cmpt ccncf simpl simpr ssidd constcncfg ssid
      cncfmptid mpan2 adantr addcncf eqeltrid ) BFGZCFHZIZDABCAJZKLMBFNLZEUGACU
      HBUGABCFUEUFOUEUFPUGFQRUEABUHMUIHZUFUEFFGUJFSABFTUAUBUCUD $.
  $}

  $( The empty set is a continuous function.  (Contributed by Glauco
     Siliprandi, 11-Dec-2019.) $)
  0cnf $p |- (/) e. ( { (/) } Cn { (/) } ) $=
    ( vx c0 csn ccn co wcel wf ccnv cv cima wral f0 cnv0 imaeq1i 0ima eqtri 0ex
    snid eqeltri sn0topon rgenw ctopon cfv wa wb iscn mp2an mpbir2an ) BBCZUIDE
    FZBBBGZBHZAIZJZUIFZAUIKZBLUOAUIUNBUIUNBUMJBULBUMMNUMOPBQRSUAUIBUBUCFZUQUJUK
    UPUDUETTABUIUIBBUFUGUH $.

  ${
    $d A k x $.  $d X k x $.  $d k ph $.
    fsumcncf.x $e |- ( ph -> X C_ CC ) $.
    fsumcncf.a $e |- ( ph -> A e. Fin ) $.
    fsumcncf.cncf $e |- ( ( ph /\ k e. A ) -> ( x e. X |-> B ) e. ( X -cn-> CC
       ) ) $.
    $( The finite sum of continuous complex function is continuous.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fsumcncf $p |- ( ph -> ( x e. X |-> sum_ k e. A B ) e. ( X -cn-> CC ) ) $=
      ( cmpt cfv crest co cc eqid ctopon wcel wss syl2anc wceq csu ccnfld ctopn
      ccn ccncf cnfldtopon a1i resttopon cv ssidd ctop cnfldtop unicntop restid
      wa ax-mp eqcomi cncfcn adantr eleqtrd fsumcnf eleqtrrd ) ABFCDEUAJUBUCKZF
      LMZVCUDMZFNUEMZABCDEVDVCFVCOZAVCNPKQZFNRZVDFPKQVHAVCVGUFUGGFVCNUHSHAEUICQ
      ZUOBFDJVFVEIAVFVETZVJAVINNRVKGANUJFNVCVDVCVGVDOVCNLMZVCVCUKQVLVCTVCVGULVC
      UKNUMUNUPUQURSZUSUTVAVMVB $.
  $}

  ${
    $d A a b w x z $.  $d A b v w x z $.  $d A x y $.  $d B v w x z $.
    $d B x y $.  $d F a b w x z $.  $d F b v w x z $.  $d F x y $.
    $d T a b w x z $.  $d T b v w x z $.  $d T x y $.  $d ph v w x z $.
    $d ph x y $.
    cncfperiod.a $e |- ( ph -> A C_ CC ) $.
    cncfperiod.t $e |- ( ph -> T e. RR ) $.
    cncfperiod.b $e |- B = { x e. CC | E. y e. A x = ( y + T ) } $.
    cncfperiod.f $e |- ( ph -> F : dom F --> CC ) $.
    cncfperiod.cssdmf $e |- ( ph -> B C_ dom F ) $.
    cncfperiod.fper $e |- ( ( ph /\ x e. A ) -> ( F ` ( x + T ) ) = ( F ` x ) )
       $.
    cncfperiod.fcn $e |- ( ph -> ( F |` A ) e. ( A -cn-> CC ) ) $.
    $( A periodic continuous function stays continuous if the domain is shifted
       a period.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    cncfperiod $p |- ( ph -> ( F |` B ) e. ( B -cn-> CC ) ) $=
      ( cc co wcel cmin cfv wceq vv vz vw vb va cres ccncf wf cabs clt wbr wral
      cv wi crp wrex fssresd wa fvoveq1 breq1d imbrov2fvoveq rexralbidv ralbidv
      cdm adantr wb ssidd elcncf syl2anc mpbid simprd caddc crab simpr eleqtrdi
      wss rabid sylib w3a oveq1 sselda recnd pncand adantlr 3adant3 eqtrd simp2
      3ad2ant3 eqeltrd rexlimdv3a rspcdva adantrr simprr simpl1l simp1rl simplr
      mpd fvres adantl ssrab3 sseli npcand eqcomd fveq2d simpl jca eleq1 anbi2d
      fveq2 eqeq12d imbi12d chvarvv vtoclg fvresd eqtr4d 3eqtrd 3adant2 oveq12d
      rspa sylc syl3anc simpld nnncan2d eqbrtrd syl1111anc oveq2 oveq2d simpll3
      eleq1d ex ralrimiva 3exp reximdvai ralrimivva a1i mpbir2and ) AGEUFZEOUGP
      QZEOYQUHZBUMZUAUMZRPZUISZUBUMZUJUKZYTYQSZUUAYQSZRPZUISZUCUMZUJUKZUNZUAEUL
      ZUBUOUPZUCUOULBEULZAGVDOEGKLUQAUUNBUCEUOAYTEQZUUJUOQZURZURZYTFRPZUDUMZRPZ
      UISZUUDUJUKZUUTGDUFZSZUVAUVESZRPZUISZUUJUJUKZUNZUDDULZUBUOUPZUUNUUSUVMUCU
      OULZUUQUVMAUUPUVNUUQAUUPURZUEUMZUVARPUISZUUDUJUKZUVPUVESUVGRPUISUUJUJUKUN
      ZUDDULUBUOUPZUCUOULZUVNUEDUUTUVPUUTTZUVTUVMUCUOUWBUVSUVKUBUDUODUVRUVDUUJU
      JRUIUVEUVGUVPUUTUWBUVQUVCUUDUJUVPUUTUVAUIRUSUTVAVBVCUVODOUVEUHZUWAUEDULZU
      VOUVEDOUGPQZUWCUWDURZAUWEUUPNVEUVODOVPZOOVPZUWEUWFVFAUWGUUPHVEUVOOVGUEUCU
      BUDDOUVEVHVIVJVKUVOYTCUMZFVLPZTZCDUPZUUTDQZUVOYTOQZUWLUVOYTUWLBOVMZQUWNUW
      LURUVOYTEUWOAUUPVNJVOUWLBOVQVRZVKUVOUWKUWMCDUVOUWIDQZUWKVSZUUTUWIDUWRUUTU
      WJFRPZUWIUWKUVOUUTUWSTUWQYTUWJFRVTWHUVOUWQUWSUWITZUWKAUWQUWTUUPAUWQURZUWI
      FADOUWIHWAAFOQZUWQAFIWBZVEWCWDWEWFUVOUWQUWKWGWIWJWQZWKWLAUUPUUQWMUVMUCUOX
      SVIUUSUVLUUMUBUOUUSUUDUOQZUVLUUMUUSUXEUVLVSZUULUAEUXFUUAEQZURZUUEUUKUXHUU
      EURZUUIUVFUUAFRPZUVESZRPZUISZUUJUJUXIAUUPUXGUUIUXMTUXHAUUEAUURUXEUVLUXGWN
      VEZUXHUUPUUEUXFUUPUXGUUPUUQAUXEUVLWOVEVEZUXFUXGUUEWPZAUUPUXGVSZUUHUXLUIUX
      QUUFUVFUUGUXKRAUUPUUFUVFTZUXGUVOUUFYTGSZUUTFVLPZGSZUVFUUPUUFUXSTAYTEGWRWS
      UVOYTUXTGUVOUXTYTUVOYTFUUPUWNAEOYTUWLBOEJWTZXAWSAUXBUUPUXCVEZXBXCXDUVOUYA
      UUTGSZUVFUVOUWMAUWMURZUYAUYDTZUXDUVOAUWMAUUPXEUXDXFUXAUWJGSZUWIGSZTZUNZUY
      EUYFUNCUUTDUWIUUTTZUXAUYEUYIUYFUYKUWQUWMAUWIUUTDXGXHUYKUYGUYAUYHUYDUWIUUT
      FGVLUSUWIUUTGXIXJXKAYTDQZURZYTFVLPGSZUXSTZUNUYJBCYTUWITZUYMUXAUYOUYIUYPUY
      LUWQAYTUWIDXGXHUYPUYNUYGUXSUYHYTUWIFGVLUSYTUWIGXIXJXKMXLXMXTUVOUUTDGUXDXN
      XOXPZWEAUXGUUGUXKTZUUPUVOUXRUNAUXGURZUYRUNBUAYTUUATZUVOUYSUXRUYRUYTUUPUXG
      AYTUUAEXGXHZUYTUUFUUGUVFUXKYTUUAYQXIYTUUAFUVERUSXJXKUYQXLXQXRXDYAUXIUUTUX
      JRPZUISZUUDUJUKZUXMUUJUJUKZUXIAUUPUXGUUEVUDUXNUXOUXPUXHUUEVNUVOUXGURZUUEU
      RVUCUUCUUDUJVUFVUCUUCTUUEVUFVUBUUBUIVUFYTUUAFUVOUWNUXGUVOUWNUWLUWPYBVEUXG
      UUAOQUVOEOUUAUYBXAWSUVOUXBUXGUYCVEYCXDVEVUFUUEVNYDYEUXIUVKVUDVUEUNUDDUXJU
      VAUXJTZUVDVUDUVJVUEVUGUVCVUCUUDUJVUGUVBVUBUIUVAUXJUUTRYFXDUTVUGUVIUXMUUJU
      JVUGUVHUXLUIVUGUVGUXKUVFRUVAUXJUVEXIYGXDUTXKUUSUXEUVLUXGUUEYHUXIAUXGUXJDQ
      ZUXNUXPUVOUWMUNUYSVUHUNBUAUYTUVOUYSUWMVUHVUAUYTUUTUXJDYTUUAFRVTYIXKUXDXLV
      IWKWQYDYJYKYLYMWQYNAEOVPZUWHYRYSUUOURVFVUIAUYBYOAOVGBUCUBUAEOYQVHVIYP $.
  $}

  ${
    $d F x $.  $d G x $.  $d X x $.  $d ph x $.
    subcncff.f $e |- ( ph -> F e. ( X -cn-> CC ) ) $.
    subcncff.g $e |- ( ph -> G e. ( X -cn-> CC ) ) $.
    $( The subtraction of two continuous complex functions is continuous.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    subcncff $p |- ( ph -> ( F oF - G ) e. ( X -cn-> CC ) ) $=
      ( vx cmin co cfv cmpt cc cvv wcel wf cncff syl ffvelrnda feqmptd eqeltrrd
      cof cv ccncf wss cncfrss cnex ssex 3syl offval2 subcncf eqeltrd ) ABCHUAI
      GDGUBZBJZULCJZHIKDLUCIZAGDUMUNHBCMLLABUONZDLUDDMNEDLBUEDLUFUGUHADLULBAUPD
      LBOEDLBPQZRADLULCACUONDLCOFDLCPQZRAGDLBUQSZAGDLCURSZUIAGUMUNDABGDUMKUOUSE
      TACGDUNKUOUTFTUJUK $.
  $}

  ${
    $d A x $.  $d ph x $.
    negcncfg.1 $e |- ( ph -> ( x e. A |-> B ) e. ( A -cn-> CC ) ) $.
    $( The opposite of a continuous function is continuous.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    negcncfg $p |- ( ph -> ( x e. A |-> -u B ) e. ( A -cn-> CC ) ) $=
      ( cneg cmpt cc0 cmin co cc ccncf wceq cv wcel wa df-neg a1i 0cn ssidd wss
      mpteq2dva eqid id constcncfg mp1i cncfrss syl cncfmptssg subcncf eqeltrd
      ) ABCDFZGBCHDIJZGCKLJZABCULUMULUMMABNCOPZDQRUBABHDCABKKCKHBKHGZUPUCHKOZUP
      KKLJOASUQBKHKUQKTZUQUDURUEUFABCDGZUNOCKUAECKUSUGUHAKTUQUOSRUIEUJUK $.
  $}

  ${
    $d A x $.  $d B x $.
    $( A function with a singleton domain is continuous.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    cnfdmsn $p |- ( ( A e. V /\ B e. W ) -> ( x e. { A } |-> B ) e. ( ~P { A }
       Cn ~P { B } ) ) $=
      ( wcel wa csn cmpt cxp cpw ccn fmptsnxp ctopon cfv cvv snex distopon mp1i
      co snidg adantl cnconst2 syl3anc eqeltrd ) BDFZCEFZGZABHZCIUICHZJZUIKZUJK
      ZLTZABCDEMUHULUINOFZUMUJNOFZCUJFZUKUNFUIPFUOUHBQUIPRSUJPFUPUHCQUJPRSUGUQU
      FCEUAUBCULUMUIUJUCUDUE $.
  $}

  ${
    $d A x $.  $d B y $.  $d C x y $.  $d D x $.  $d F x y $.  $d ph x $.
    cncfcompt.bcn $e |- ( ph -> ( x e. A |-> B ) e. ( A -cn-> C ) ) $.
    cncfcompt.f $e |- ( ph -> F e. ( C -cn-> D ) ) $.
    $( Composition of continuous functions.  A generalization of ~ cncfmpt1f to
       arbitrary domains.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    cncfcompt $p |- ( ph -> ( x e. A |-> ( F ` B ) ) e. ( A -cn-> D ) ) $=
      ( vy cfv cmpt ccncf co wcel wf cv syl cc wss wa adantr fvmptelrn ffvelrnd
      cncff fmpttd cncfrss2 ccom eqidd feqmptd fveq2 fmptco ssid cncfss sylancl
      wb sseldd cncfco eqeltrrd cncffvrn syl2anc mpbird ) ABCDGKZLZCFMNOZCFVDPZ
      ABCVCFABQCOZUAEFDGAEFGPZVGAGEFMNZOZVHIEFGUERZUBABCDEABCDLZCEMNOCEVLPHCEVL
      UERUCZUDUFAFSTZVDCSMNZOVEVFUPAVJVNIEFGUGRZAGVLUHVDVOABJCEDJQZGKVCVLGVMAVL
      UIAJEFGVKUJVQDGUKULACESVLGHAVIESMNZGAVNSSTVIVRTVPSUMEFSUNUOIUQURUSCSFVDUT
      VAVB $.
  $}

  ${
    $d F x $.  $d G x $.  $d X x $.  $d ph x $.
    addcncff.f $e |- ( ph -> F e. ( X -cn-> CC ) ) $.
    addcncff.g $e |- ( ph -> G e. ( X -cn-> CC ) ) $.
    $( The sum of two continuous complex functions is continuous.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    addcncff $p |- ( ph -> ( F oF + G ) e. ( X -cn-> CC ) ) $=
      ( vx caddc co cfv cmpt cc cvv wcel cncff syl ffvelrnda feqmptd eqeltrrd
      wf cof cv ccncf wss cncfrss cnex ssex 3syl offval2 addcncf eqeltrd ) ABCH
      UAIGDGUBZBJZULCJZHIKDLUCIZAGDUMUNHBCMLLABUONZDLUDDMNEDLBUEDLUFUGUHADLULBA
      UPDLBTEDLBOPZQADLULCACUONDLCTFDLCOPZQAGDLBUQRZAGDLCURRZUIAGUMUNDABGDUMKUO
      USESACGDUNKUOUTFSUJUK $.
  $}

  ${
    $d A x $.  $d B x $.  $d F x $.
    ioccncflimc.a $e |- ( ph -> A e. RR* ) $.
    ioccncflimc.b $e |- ( ph -> B e. RR ) $.
    ioccncflimc.altb $e |- ( ph -> A < B ) $.
    ioccncflimc.f $e |- ( ph -> F e. ( ( A (,] B ) -cn-> CC ) ) $.
    $( Limit at the upper bound of a continuous function defined on a left-open
       right-closed interval.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    ioccncflimc $p |- ( ph -> ( F ` B ) e. ( ( F |` ( A (,) B ) ) limCC B ) )
       $=
      ( vx cfv co cc cun crest wcel wss wceq eqid eleqtrd cnt climc rexrd leidd
      cioo cres cioc eliocd cnlimci ccnfld ctopn csn wf cv ccnp wral wa cncfrss
      ccn ccncf ssid cncfcn sylancl ctopon wb cnfldtopon resttopon sylancr ctop
      syl cnfldtop unicntop restid ax-mp cncnp mpbid simpld ioossioc cdif recnd
      a1i cin ntrtop undif sylib eqcomd fveq2d eqtr3id restntr syl3anc eleqtrrd
      elind snssd ssequn2 oveq2d cxr clt wbr ioounsn fveq12d limcres ) ACDJDCUA
      KDBCUDKZUECUAKABCUFKZCLDHABCCEACFUBZXCGACFUCUGZUHAXBCXADUIUJJZXBCUKZMZNKZ
      XEAXBLDULZDIUMXEXBNKZXELNKZUNKJOIXBUOZADXJXKURKZOZXIXLUPZADXBLUSKZXMHAXBL
      PZLLPXPXMQADXPOXQHXBLDUQVIZLUTXBLXEXJXKXERZXJRZXKRVAVBSAXJXBVCJOZXKLVCJZO
      XNXOVDAXEYBOXQYAXEXSVEXRXBXELVFVGXKXEVHOZXKXEQXEXSVJZXEVHLVKVLVMVEIDXJXKX
      BLVNVBVOVPXAXBPABCVQVTXRXSXHRACXBXJTJZJZXAXFMZXHTJZJACXBLXBVRMZXETJZJZXBW
      AZYFAYKXBCACLYKACFVSALLYJJZYKYCYMLQYDXELVKWBVMALYIYJAYILAXQYILQXRXBLWCWDW
      EWFWGSXDWKAYCXQXBXBPZYFYLQYCAYDVTXRYNAXBUTVTXBXEXJLXBVKXTWHWIWJAXBYGYEYHA
      XJXHTAXBXGXENAXGXBAXFXBPXGXBQACXBXDWLXFXBWMWDWEWNWFAYGXBABWOOCWOOBCWPWQYG
      XBQEXCGBCWRWIWEWSSWTWJ $.
  $}

  ${
    $d A b x $.  $d B b $.  $d F b x $.  $d b ph x $.
    cncfuni.acn $e |- ( ph -> A C_ CC ) $.
    cncfuni.f $e |- ( ph -> F : A --> CC ) $.
    cncfuni.auni $e |- ( ph -> A C_ U. B ) $.
    cncfuni.opn $e |- ( ( ph /\ b e. B ) -> ( A i^i b ) e. ( ( TopOpen ` CCfld
       ) |`t A ) ) $.
    cncfuni.fcn $e |- ( ( ph /\ b e. B ) -> ( F |` b ) e. ( ( A i^i b ) -cn->
       CC ) ) $.
    $( A complex function on a subset of the complex numbers is continuous if
       its domain is the union of relatively open subsets over which the
       function is continuous.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    cncfuni $p |- ( ph -> F e. ( A -cn-> CC ) ) $=
      ( vx cfv co cc wcel wa wb wceq wss syl2anc ccnfld ctopn crest ccncf wf cv
      ccn ccnp wral wrex cuni sselda eluni2 sylib w3a simp1l simp2 elin biimpri
      cin adantll 3adant2 cres cdm fdmd incom eqtr2di reseq2d wrel frel resindm
      ineq2d syl eqtrd inss1 a1i sstrd ssidd eqid ctop cnfldtop unicntop restid
      ax-mp eqcomi cncfcn eqcomd eleq12d adantr mpbird 3adant3 ctopon resttopon
      cnfldtopon 3ad2ant1 cncnp mpbid simprd rspa cvv cnex ssex restabs syl3anc
      simp3 oveq1d fveq1d eleqtrd resttop restuni sseqtrd isopn3 feq2d syl22anc
      cnt cnprest rexlimdv3a mpd ralrimiva mpbir2and ) ADUAUBLZBUCMZYAUGMZBNUDM
      ZADYCOZBNDUEZDKUFZYBYAUHMLOZKBUIZGAYHKBAYGBOZPZYGEUFZOZECUJZYHYKYGCUKZOYN
      ABYOYGHULEYGCUMUNYKYMYHECYKYLCOZYMUOAYPYGBYLUTZOZYHAYJYPYMUPYKYPYMUQYKYMY
      RYPYJYMYRAYRYJYMPYGBYLURUSVAVBAYPYRUOZYHDYQVCZYGYBYQUCMZYAUHMZLZOZYSYTYGY
      AYQUCMZYAUHMZLZUUCYSYTUUGOZKYQUIZYRUUHYSYQNYTUEZUUIYSYTUUEYAUGMZOZUUJUUIP
      ZAYPUULYRAYPPUULDYLVCZYQNUDMZOZJAUULUUPQYPAYTUUNUUKUUOAYTDYLDVDZUTZVCZUUN
      AYQUURDAUURYLBUTYQAUUQBYLABNDGVEVLYLBVFVGVHADVIZUUSUUNRAYFUUTGBNDVJVMDYLV
      KVMVNAUUOUUKAYQNSZNNSZUUOUUKRAYQBNYQBSZABYLVOVPZFVQZANVRZYQNYAUUEYAYAVSZU
      UEVSYANUCMZYAYAVTOZUVHYARYAUVGWAZYAVTNWBWCWDWEZWFTWGWHWIWJWKYSUUEYQWLLOZY
      ANWLLOZUULUUMQAYPUVLYRAUVMUVAUVLUVMAYAUVGWNZVPZUVEYQYANWMTWOUVMYSUVNVPKYT
      UUEYAYQNWPTWQWRAYPYRXEZUUHKYQWSTAYPUUGUUCRYRAYGUUFUUBAUUEUUAYAUHAUUAUUEAU
      VIUVCBWTOZUUAUUERUVIAUVJVPZUVDABNSZUVQFBNXAXBVMZYQBYAVTWTXCXDWGXFXGWOXHYS
      YBVTOZYQYBUKZSZYGYQYBXOLLZOUWBNDUEZYHUUDQAYPUWAYRAUVIUVQUWAUVRUVTBYAWTXIT
      WOZAYPUWCYRAYQBUWBUVDAUVIUVSBUWBRUVRFBYANWBXJTZXKWOZYSYGYQUWDUVPYSUWDYQYS
      YQYBOZUWDYQRZAYPUWIYRIWKYSUWAUWCUWIUWJQUWFUWHYQYBUWBUWBVSZXLTWQWGXHAYPUWE
      YRAYFUWEGABUWBNDUWGXMWQWOYQYGDYBYAUWBNUWKWBXPXNWJXDXQXRXSAYBBWLLOZUVMYEYF
      YIPQAUVMUVSUWLUVOFBYANWMTUVOKDYBYABNWPTXTAYDYCAUVSUVBYDYCRFUVFBNYAYBYAUVG
      YBVSUVKWFTWGXH $.
  $}

  ${
    $d A t w y z $.  $d A v w y $.  $d A x y z $.  $d B t w y z $.
    $d B v w y $.  $d B x y z $.  $d F t u w y z $.  $d F u v w y $.
    $d G t u w y z $.  $d G u v w y $.  $d J u v w y $.  $d K u v w y $.
    $d ph t u w y z $.  $d ph u x y z $.
    icccncfext.1 $e |- F/_ x F $.
    icccncfext.2 $e |- J = ( topGen ` ran (,) ) $.
    icccncfext.3 $e |- Y = U. K $.
    icccncfext.4 $e |- G = ( x e. RR |-> if ( x e. ( A [,] B ) , ( F ` x ) , if
       ( x < A , ( F ` A ) , ( F ` B ) ) ) ) $.
    icccncfext.5 $e |- ( ph -> A e. RR ) $.
    icccncfext.6 $e |- ( ph -> B e. RR ) $.
    icccncfext.7 $e |- ( ph -> A <_ B ) $.
    icccncfext.8 $e |- ( ph -> K e. Top ) $.
    icccncfext.9 $e |- ( ph -> F e. ( ( J |`t ( A [,] B ) ) Cn K ) ) $.
    $( A continuous function on a closed interval can be extended to a
       continuous function on the whole real line.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    icccncfext $p |- ( ph -> ( G e. ( J Cn ( K |`t ran F ) ) /\ ( G |` ( A [,]
       B ) ) = F ) ) $=
      ( wcel wa vy vu vv vw vz vt co wceq cr cv cfv wral clt wbr cif ctopon wss
      cioo sylancr ctop sylibr syl3anc sylib syl cxr cle eqcomd eleqtrd syl2anc
      wn adantr ifclda nfcv eleq1 fveq2 cima wi cin simplll simplr jca wb mpbid
      wrex anim1i cvv a1i w3a 3ad2ant1 simpllr jca31 cmnf cpnf simpll2 iooretop
      cun eleqtrri unopn mp3an13 sylnib adantlr ad3antrrr simpr eqtrd mpbir2and
      wo eqeltrd simpld ex elun syl21anc fvelima sylancom simp2 simp-5l simp-5r
      biimpi ad4ant14 simp-4l simp-4r elind ad3antlr ad2antrr adantl rexlimdv3a
      pm2.61dan elioore elioo3g iffalsed 3ad2ant2 simpll adantllr sylanbrc 3jca
      mpd simp3 ad2antlr nan mpbi mpbird crn crest ccn cicc cres wf wfn retopon
      ccnp ctg eqeltri iccssred resttopon cuni istopon cnf2 ffnd ffvelrnda wfun
      jctir dffn3 cdm fnfun rexrd lbicc2 fndmd fvelrn ubicc2 cmpt nfv nfif nffv
      ifcld breq1 ifbid ifbieq12d cbvmpt eqtri fmptd ccnv ssidd frnd cnima 3syl
      cnrest2 retop reex ssexd elrest simp1r mp3an simpl1l simpl1r simpll3 cdif
      difreicc eleq2d notbid biimpa eldif imnan notnotrd sselda ffvelrnd fvmpt2
      imp iftrued elpreima elin orrd orcomd imaundi wal toponss funmpt2 ad5antr
      an32s eqcom 3ad2ant3 simp1ll simp1lr anbi2d eqeq12d imbi12d simprd sseldd
      chvarvv adantl3r iffalse fvmptd adantl4r alrimiv dfss2 csn simp1l simprrd
      ltnle syl2anr elicc2 mtbird 3eqtr3d velsn ssrdv snssd sstrd sylan simprld
      intn3an2d lelttrd ltnsymd ltnled intn3an3d eqsstrid imaeq2 sseq1d anbi12d
      unssd eleq2 rspcev syl12anc simpll1 eqimss difcom stoic1a sylnibr elinel1
      inopn ioran eldifd simpl fveq2d pnfxr rexr mnflt mnfxr notbii mpdan leloe
      mpidan pm4.56 ltpnfd ssinss1 ioossre unima 3adant2 elinel2 xrnltled simp1
      3eqtrd ltled mpbir3and adantll simplbda 3adant3 3adant1r eqsstrd pm2.65da
      anim2i eqeq1d lenlt ltpnf ancom ancli vtoclg sylc sylan9eqr neqne leneltd
      wne necomd condan pm5.6 3adantll2 olci inss ralrimiva sseqtrrid funimass4
      ax-mp sseli eqeltrrd nelneq necon3bi ad4antlr simp2d necom inss2 ioossicc
      leltne sstri sslin 3exp rexlimdv dfss3 syld3an1 iscnp cncnp fnssres fvres
      simp3d eqfnfvd ) AFGHEUUAZUUBUGZUUCUGSZFCDUUDUGZUUEZEUHAWUDUIWUBFUUFZFUAU
      JZGWUCUUIUGUKSZUAUIULZAUAUIWUHWUESZWUHEUKZWUHCUMUNZCEUKZDEUKZUOZUOZWUBFAW
      UQWUBSWUHUISZAWUKWULWUPWUBAWUEWUBWUHEAEWUEUUGZWUEWUBEUUFAWUEIEAGWUEUUBUGZ
      WUEUPUKSZHIUPUKSZEWUTHUUCUGSZWUEIEUUFZAGUIUPUKZSZWUEUIUQZWVAGURUUAUUJUKZW
      VEKUUHUUKZACDNOUULZWUEGUIUUMUSAHUTSZIHUUNUHZTWVBAWVKWVLQLUUTIHUUOVAZREWUT
      HWUEIUUPVBZUUQZWUEEUVAVCUURAWUPWUBSWUKVJZAWUMWUNWUOWUBAEUUSZCEUVBZSWUNWUB
      SAWUSWVQWVOWUEEUVCVDZACWUEWVRACVESZDVESZCDVFUNZCWUESZACNUVDZADOUVDZPCDUVE
      VBZAWVRWUEAWUEEWVOUVFVGZVHCEUVGVIAWVQDWVRSWUOWUBSWVSADWUEWVRAWVTWWAWWBDWU
      ESZWWDWWEPCDUVHVBZWWGVHDEUVGVIUVMVKVLVKFBUIBUJZWUESZWWJEUKZWWJCUMUNZWUNWU
      OUOZUOZUVIUAUIWUQUVIZMBUAUIWWOWUQWWKUAWWLWWNWWKUAUVJUAWWLVMUAWWNVMUVKWUKB
      WULWUPWUKBUVJBWUHEJBWUHVMUVLWUMBWUNWUOWUMBUVJBCEJBCVMUVLBDEJBDVMUVLUVKUVK
      WWJWUHUHZWWKWUKWWLWWNWULWUPWWJWUHWUEVNWWJWUHEVOWWQWWMWUMWUNWUOWWJWUHCUMUV
      NUVOUVPUVQUVRZUVSZAWUIUAUIAWURTZWUIWUGWUHFUKZUBUJZSZWUHUCUJZSZFWXDVPZWXBU
      QZTZUCGWDZVQZUBWUCULZAWUGWURWWSVKWWTWXJUBWUCWWTWXBWUCSZTZWXCWXIWXMWXCTZEU
      VTWXBVPZUDUJZWUEVRZUHZUDGWDZWXIWXNWXOWUTSZWXSWXNAWXLTEWUTWUCUUCUGSZWXLTWX
      TWXNAWXLAWURWXLWXCVSZWWTWXLWXCVTWAAWYAWXLAWVCWYARAWVBWUBWUBUQWUBIUQZWVCWY
      AWBWVMAWUBUWAAWUEIEWVNUWBZWUBEWUTHIUWEVBWCWEWXBEWUTWUCUWCUWDWXNGUTSZWUEWF
      SZTZWXTWXSWBWXNAWYGWYBAWYEWYFWYEAGWVHUTKUWFUUKZWGAWUEUIWFUIWFSAUWGWGWVJUW
      HWAVDUDWXOWUEGUTWFUWIVDWCWXNWXRWXIUDGWWTWXCTZWXPGSZWXNWXRWXIWXNWYJWXRWHAW
      URWXCWXNWYJAWXRWYBWIWXNWYJWURWXRAWURWXLWXCWJWIWXMWXCWYJWXRUWJWKWYIWYJWXRW
      HZWUNWXBSZWXIWYKWYLTZWUOWXBSZWXIWYMWYNTZWXPWLCURUGZDWMURUGZWPZWPZGSZWUHWY
      SSZFWYSVPZWXBUQZWXIWYOWYJWYTWYIWYJWXRWYLWYNWNZWYEWYJWYRGSZWYTWYHWYEWYPGSZ
      WYQGSZXUEWYHWYPWVHGWLCWOKWQZWYQWVHGDWMWOKWQZWYPWYQGWRUWKWXPWYRGWRWSVDWYOW
      WTWXCWXRXUAWYMWWTWYNWWTWXCWYJWXRWYLUWLZVKZWYMWXCWYNWWTWXCWYJWXRWYLUWMVKWY
      IWYJWXRWYLWYNUWNZWYIWXRTZWUHWXPSZWUHWYRSZXFXUAXUMXUOXUNXUMXUOXUNXUMXUOVJZ
      XUNXUMXUPTZXUNWUKXUQWUHWXQSZXUNWUKTZXUQWUHWXOWXQWYIXUPWUHWXOSZWXRWYIXUPTZ
      XUTWUKWULWXBSZWWTXUPWUKWXCAXUPWURWUKAXUPTZWURTWUKXVCWURWVPVJZXVCWURWVPTZV
      JWURXVDVQXVCWUHUIWUEUWOZSZXVEAXUPXVGVJAXUOXVGAWYRXVFWUHAXVFWYRACUISZDUISZ
      XVFWYRUHZNOCDUWPZVIVGUWQUWRUWSWUHUIWUEUWTWTWURWVPUXAVAUXFUXBUXQXAZXVAWULW
      XAWXBXVAAWUKWULWXAUHZAWURWXCXUPVSZXVLAWUKTZWXAWULXVOWXAWUQWULXVOWURWUQISZ
      WXAWUQUHZAWUEUIWUHWVJUXCXVOWUKWULWUPIXVOWUEIWUHEAWVDWUKWVNVKUURXVOWVPTWUM
      WUNWUOIAWUNISZWUKWVPWUMAWUEICEWVNWWFUXDZXBAWUOISZWUKWVPWUMVJZAWUEIDEWVNWW
      IUXDZXBVLVLUAUIWUQIFWWRUXEZVIXVOWUKWULWUPAWUKXCZUXGXDZVGZVIWWTWXCXUPVTXGX
      VAWUSXUTWUKXVBTZWBZXVAAWUSXVNWVOVDWUEWUHWXBEUXHZVDXEXAWYIWXRXUPVTVHWUHWXP
      WUEUXIZVCXHXIUXJUXKWUHWXPWYRXJVAXKWYOXUBFWXPVPZFWYRVPZWPWXBFWXPWYRUXLWYOX
      WKXWLWXBWYOWUHXWKSZWUHWXBSZVQZUAUXMZXWKWXBUQWYOAWXPUIUQZTZWXRTZWYLWYNXWPW
      YOAXWQWXRWYOAWURXUKXHZWYOWVFWYJXWQWVIXUDWXPGUIUXNZUSXULWKWYKWYLWYNVTZWYMW
      YNXCZXWSWYLTZWYNTZXWOUAXXEXWMXWNXXEXWMTZUEUJZFUKZWUHUHZUEWXPWDZXWNXXEXWMF
      UUSZXXJAXXKXWQWXRWYLWYNXWMXXKABUIWWOFMUXOZWGZUXPUEWUHWXPFXLXMXXFXXIXWNUEW
      XPXXFXXGWXPSZXXIWHZWUHXXHWXBXXIXXFWUHXXHUHZXXNXXIXXPXXHWUHUXRXQZUXSXXOXXD
      WYNXXNXXHWXBSZXXDWYNXWMXXNXXIUXTXXDWYNXWMXXNXXIUYAXXFXXNXXIXNXXEXXNTZXXGW
      UESZXXRXXSXXTXWSXXNTZXXRXXSXXTTXWRWXRXXNXWRWXRWYLWYNXXNXXTXOXWRWXRWYLWYNX
      XNXXTXPXXEXXNXXTVTWKXYAXXTTZXXHXXGEUKZWXBAWXRXXNXXTXXHXYCUHZXWQAXXTXYDWXR
      XXNXVOWXAWULUHZVQZAXXTTZXYDVQUAUEWUHXXGUHZXVOXYGXYEXYDXYHWUKXXTAWUHXXGWUE
      VNZUYBXYHWXAXXHWULXYCWUHXXGFVOWUHXXGEVOZUYCUYDXWEUYGZXRUYHXYBAXWQXXGWXOSZ
      XYCWXBSZAXWQWXRXXNXXTXSAXWQWXRXXNXXTXTAWXRXXNXXTXYLXWQAWXRTZXXNTZXXTTZXXG
      WXQWXOXYPWXPWUEXXGXYNXXNXXTVTXYOXXTXCYAWXRWXQWXOUHZAXXNXXTWXRXYQWXOWXQUXR
      XQZYBVHUYHXWRXYLTZXXTXYMXYSXYLXXTXYMTZXWRXYLXCXYSWUSXYLXYTWBAWUSXWQXYLWVO
      YCWUEXXGWXBEUXHZVDWCUYEXKXGXMXWRWXRWYLWYNXXNXXTVJZXXRXWRWYLTZWYNTZXXNTZYU
      BAWYLTZWYNTZXXGUISZTZXXRYUEYUBTZYUFWYNYUHYUJAWYLAXWQWYLWYNXXNYUBXOXWRWYLW
      YNXXNYUBXTWAYUCWYNXXNYUBWJYUJWXPUIXXGAXWQWYLWYNXXNYUBXPYUDXXNYUBVTUYFWKYU
      IYUBTZXXHXXGCUMUNZWUNWUOUOZWXBYUKXXHXXTXYCYUMUOZYUMYUKUAXXGWUQYUNUIFWXBFW
      WPUHZYUKWWRWGXYHWUQYUNUHZYUKXYHWUKXXTWULWUPXYCYUMXYIXYJXYHWUMYULWUNWUOWUH
      XXGCUMUVNUVOUVPZYDYUGYUHYUBVTYUKYUNYUMWXBYUBYUNYUMUHYUIXXTXYCYUMUYIYDZYUK
      YULWUNWUOWXBAWYLWYNYUHYUBYULXPYUFWYNYUHYUBYULVJZXTVLZXGUYJYURXDYUTXGXMUYK
      YFXKXGYEYOXIUYLXKUAXWKWXBUYMVAWYOAWYLWYNXWLWXBUQXWTXXBXXCYUGXWLFWYPVPZFWY
      QVPZWPWXBFWYPWYQUXLYUGYVAYVBWXBYUFYVAWXBUQZWYNYUFYVAWUNUYNZWXBAYVAYVDUQWY
      LAUFYVAYVDAUFUJZYVASZYVEYVDSZAYVFTZYVEWUNUHZYVGYVHXXHYVEUHZUEWYPWDZYVIAYV
      FXXKYVKXXKYVHXXLWGUEYVEWYPFXLXMYVHYVJYVIUEWYPYVHXXGWYPSZYVJWHAYVLYVJYVIAY
      VFYVLYVJUYOYVHYVLYVJXNYVHYVLYVJYPAYVLTZYVJTXXHYUNYVEWUNYVMXXHYUNUHZYVJYVM
      UAXXGWUQYUNUIFIYUOYVMWWRWGXYHYUPYVMYUQYDYVLYUHAXXGWLCYGZYDYVMYUNWUNIYVMYU
      NYUMWUNYVMXXTXYCYUMYVMXXTYUHCXXGVFUNZXXGDVFUNZWHZYVMYVPYUHYVQYVMYULYVPVJZ
      YVLYULAYVLWLVESZWVTXXGVESZWHZWLXXGUMUNZYULYVLYWBYWCYULTZTZWLCXXGYHZXQUYPZ
      YDYVLYUHXVHYULYVSWBAYVONXXGCUYQUYRWCVUHYVMXVHXVITZXXTYVRWBZAYWHYVLAXVHXVI
      NOWAZVKCDXXGUYSZVDUYTYIZYVLYUMWUNUHAYVLYULWUNWUOYWGUXGYDZXDZAXVRYVLXVSVKX
      GUYJZVKYVMYVJXCYVMYUNWUNUHYVJYWNVKVUAXKYEYOUFWUNVUBVAXIVUCVKYUFWUNWXBAWYL
      XCVUDVUEZVKAWYNYVBWXBUQZWYLAWYNTZYVBWUOUYNZWXBAYVBYWSUQWYNAUFYVBYWSAYVEYV
      BSZYVEYWSSZAYWTTZYVEWUOUHZYXAYXBYVJUEWYQWDZYXCAXXKYWTYXDXXMUEYVEWYQFXLVUF
      YXBYVJYXCUEWYQYXBXXGWYQSZYVJWHAYXEYVJYXCAYWTYXEYVJUYOYXBYXEYVJXNYXBYXEYVJ
      YPAYXETZYVJTXXHYUNYVEWUOYXFYVNYVJYXFUAXXGWUQYUNUIFIYUOYXFWWRWGXYHYUPYXFYU
      QYDYXEYUHAXXGDWMYGYDZYXFXXTXYCYUMIAXXTXYCISYXEAWUEIXXGEWVNUURXAYXFYUMISYU
      BYXFYUMWUOIYXFYULWUNWUOYXFCXXGAXVHYXENVKZYXGYXFCDXXGYXHAXVIYXEOVKZYXGAWWB
      YXEPVKYXEDXXGUMUNZAYXEWWAWMVESZYWAWHZYXJXXGWMUMUNZYXEYXLYXJYXMTTDWMXXGYHX
      QVUGYDZVUIVUJYIZAXVTYXEXWBVKXGVKVLUYJVKYXFYVJXCYXFYUNWUOUHYVJYXFYUNYUMWUO
      YXFXXTXYCYUMYXFXXTYVRYXFYVQYUHYVPYXFYXJYVQVJYXNYXFDXXGYXIYXGVUKWCVULYXFYW
      HYWIAYWHYXEYWJVKYWKVDUYTYIYXOXDVKVUAXKYEYOUFWUOVUBVAXIVUCVKYWRWUOWXBAWYNX
      CVUDVUEZXAVUQVUMXKVUQVUMWXHXUAXUCTUCWYSGWXDWYSUHZWXEXUAWXGXUCWXDWYSWUHVUR
      YXQWXFXUBWXBWXDWYSFVUNVUOVUPVUSVUTWYMWYNVJZTZWXPWLDURUGZVRZWYPWPZGSZWUHYY
      BSZFYYBVPZWXBUQZWXIWYKYYCWYLYXRWYJWYIYYCWXRWYJWYEYYAGSZXUFYYCWYEWYJWYHWGZ
      WYEWYJYXTGSYYGWYHYXTWVHGWLDWOKWQWXPYXTGVVGWSXUFWYJXUHWGYYAWYPGWRVBYJYCYXS
      WYIWXRYXRYYDWYIWYJWXRWYLYXRVVAWYIWYJWXRWYLYXRUWNZWYMYXRXCXUMYXRTZWUHYYASZ
      WUHWYPSZXFYYDYYJYYLYYKYYJYYLYYKYYJYYLVJZYYKYYJYYMTZWXPYXTWUHYYNXUMWUKXUNX
      UMYXRYYMYKWYIYXRYYMWUKWXRWYIYXRTZYYMTZUIWYRUWOZWUEWUHYYOYYQWUEUQZYYMYYOYW
      HYYRAYWHWURWXCYXRYWJXBYWHXVFWYRUQZYYRYWHXVJYYSXVKXVFWYRVVBVDUIWUEWYRVVCVC
      VDVKYYPWUHUIWYRAWURWXCYXRYYMXTYYPYYLWUHWYQSZXFZXUOYYPYYMYYTVJZUUUAVJYYOYY
      MXCYYOUUUBYYMWYIYYTWYNAWXCYYTWYNWURAWXCTZYYTTWUOWXAWXBAYYTWUOWXAUHZWXCAYY
      TTZWXAWUOUUUEWXAWUQWUOUUUEWURXVPXVQYYTWURAWUHDWMYGYDZUUUEWUQWUOIUUUEWUQWU
      PWUOUUUEWUKWULWUPUUUEWUKWURCWUHVFUNZWUHDVFUNZWHZUUUEUUUHWURUUUGUUUEDWUHUM
      UNZUUUHVJZYYTUUUJAYYTWWAYXKWUHVESZWHZUUUJWUHWMUMUNZYYTUUUMUUUJUUUNTZTZDWM
      WUHYHZXQVUGYDZUUUEDWUHAXVIYYTOVKZUUUFVUKWCVULUUUEYWHWUKUUUIWBZAYWHYYTYWJV
      KCDWUHUYSZVDUYTYIUUUEWUMWUNWUOUUUECWUHAXVHYYTNVKZUUUFUUUECDWUHUUVBUUUSUUU
      FAWWBYYTPVKUUURVUIVUJYIXDZAXVTYYTXWBVKXGXWCVIUUVCXDZVGXAAWXCYYTVTXGYLVVDZ
      VKYYLYYTVVHYMWUHWYPWYQXJVVEVVIUYFYLXUMWUKTZXURXUNUUVFWUHWXOWXQUUVFAWXCWUK
      XUTAWURWXCWXRWUKXSWWTWXCWXRWUKWJXUMWUKXCUUUCWUKTZXUTWUKXVBUUUCWUKXCUUVGWU
      LWXAWXBAWUKXVMWXCXWFXAAWXCWUKVTXGUUVGWUSXWHAWUSWXCWUKWVOYCXWIVDXEZXKWYIWX
      RWUKVTVHWUHWXPWUEVVFZVDVIYYNWWTWXCYXRWUHYXTSZWWTWXCWXRYXRYYMXSWWTWXCWXRYX
      RYYMXTXUMYXRYYMVTYYOUUVJWYIUUVJVJZWYNWYIUUVKTWUOWXAWXBWWTUUVKUUUDWXCWWTUU
      VKTZWXAWUOUUVLWUHDUHZWXAWUOUHZAUUVMUUVNWURUUVKAUUVMTZWXAWULWUOUUVOAWUKXYE
      AUUVMVVJUUVOWUHDWUEAUUVMXCZAWWHUUVMWWIVKXGXWEVIUUVOWUHDEUUVPVVKXDXRUUVLUU
      VMVJZTZAYYTUUVNAWURUUVKUUVQVSUUVRUUUMUUUOYYTWWTUUUMUUVKUUVQWWTWWAYXKUUULA
      WWAWURWWEVKZYXKWWTVVLWGWURUUULAWUHVVMZYDZYNZYCUUVRUUUJUUUNUUVRUUUJUUUKUUV
      RUUUHWUHDUMUNZUUVMXFZUUVRUUWCVJZUUVQTUUWDVJUUVLUUWEUUVQUUVLWLWUHUMUNZUUWE
      WURUUWFAUUVKWUHVVNZYQUUVLUUWFUUWCTZVJZVQUUVLUUWFTUUWEVQWWTUUVKYVTWWAUUULW
      HZUUWIWWTYVTWWAUUULYVTWWTVVOWGZUUVSUUWAYNUUVLUUWJUUWHTZVJZVQUUVLUUWJTUUWI
      VQUUVKUUWMWWTUUVKUUWMUUVJUUWLWLDWUHYHVVPXQYDUUVLUUWJUUWHYRYSVVSUUVLUUWFUU
      WCYRYSVVQWEUUWCUUVMVVTVCUUVRWURXVITZUUUHUUWDWBWWTUUWNUUVKUUVQWWTWURXVIAWU
      RXCZAXVIWUROVKWAZYCWUHDVVRVDUYTUUVRXVIWURTZUUUJUUUKWBWWTUUWQUUVKUUVQAXVIW
      UROWEYCDWUHUYQVDYTUUVRWUHAWURUUVKUUVQWJVWAWAUUUQYMUUVDVIYFVGXAWWTWXCUUVKV
      TXGVVDUXBXKYAXIUXJUXKWUHYYAWYPXJVAXKYXSXWRWXRWYLYYFYXSAXWQWYMAYXRWYMAWURX
      UJXHVKYXSWVFWYJXWQWVIWYIWYJWXRWYLYXRWNXXAUSWAYYIWYKWYLYXRVTXXDYYEFYYAVPZY
      VAWPZWXBXXDFUIUUGZYYAUIUQZWYPUIUQZYYEUUWSUHAUUWTXWQWXRWYLAUIWUBFWWSUUQZXB
      XWQUUXAAWXRWYLWXPYXTUIVWBYBUUXBXXDWLCVWCWGUIYYAWYPFVWDVBXXDUUWRYVAWXBXXDU
      AUUWRWXBXXDWUHUUWRSZXWNXXDUUXDTZXXIUEYYAWDZXWNXXDUUXDXXKUUXFXXKUUXEXXLWGU
      EWUHYYAFXLXMUUXEXXIXWNUEYYAXXDXXGYYASZXXIXWNUUXDXXDUUXGXXIWHWUHXXHWXBXXIX
      XDXXPUUXGXXQUXSXXDUUXGXXRXXIXXDUUXGTZYVLXXRUUXHYVLTAWYLYVLXXRAXWQWXRWYLUU
      XGYVLXOXWSWYLUUXGYVLWJUUXHYVLXCAWYLYVLWHXXHWUNWXBAYVLXXHWUNUHZWYLYVMXXHYU
      NYUMWUNYWOYWLYWMVWIZVWEAWYLYVLXNXGVBUUXHYVLVJZTZXWSXXGWXQSZXXRXWSWYLUUXGU
      UXKVSUUXLAUUXGUUXKUUXMAXWQWXRWYLUUXGUUXKXOXXDUUXGUUXKVTUUXHUUXKXCAUUXGUUX
      KWHZWXPWUEXXGUUXGAXXNUUXKXXGWXPYXTVVFYJUUXNXXTYUHYVPYVQUUXGAYUHUUXKUUXGXX
      GYXTSZYUHXXGWXPYXTVWFZXXGWLDYGZVDYJZUUXNCXXGAUUXGWVTUUXKWWDWIZUUXNXXGUUXR
      UVDZUUXNYWCYUSUUXNYUHYWCUUXRXXGVVNVDUUXNYWDVJZVQUUXNYWCTYUSVQUUXNYWBUUYAU
      UXNYVTWVTYWAYVTUUXNVVOWGUUXSUUXTYNUUXNYWEVJVQUUXNYWBTUUYAVQUUXNYVLYWEAUUX
      GUUXKYPYWFWTUUXNYWBYWDYRYSVVQUUXNYWCYULYRYSVVQVWGUUXNAUUXOYVQAUUXGUUXKVWH
      UUXGAUUXOUUXKUUXPYJAUUXOTXXGDUUXOYUHAUUXQYDAXVIUUXOOVKUUXOXXGDUMUNZAUUXOY
      VTWWAYWAWHZYWCUUYBUUXOUUYCYWCUUYBTTWLDXXGYHXQUYPYDVWJVIUUXNYWHYWIAUUXGYWH
      UUXKYWJWIYWKVDVWKYAVBAWXRUUXMXXRXWQXYNUUXMTZXXHXYCWXBUUYDXYGXYDAUUXMXYGWX
      RUUXMXXTAXXGWXPWUEVWFVWRXAXYKVDUUYDWUSXYLXYMAWUSWXRUUXMWVOYCWXRUUXMXYLAWX
      RUUXMTXXGWXQWXOWXRUUXMXCWXRXYQUUXMXYRVKVHVWLWUSXYLXXTXYMYUAVWMVIXGYLVIYFV
      WNXGVWOYEYOXIVUCAWYLYVCXWQWXRYWPXRVUQVWPXKWXHYYDYYFTUCYYBGWXDYYBUHZWXEYYD
      WXGYYFWXDYYBWUHVURUUYEWXFYYEWXBWXDYYBFVUNVUOVUPVUSVUTYFWYKWYLVJZTZWYNWXIU
      UYGWYNTZWXPCWMURUGZVRZWYQWPZGSZWUHUUYKSZFUUYKVPZWXBUQZWXIUUYHWYJUUYLWYIWY
      JWXRUUYFWYNWNWYJWYEUUYJGSZXUGUUYLYYHWYEWYJUUYIGSUUYPWYHUUYIWVHGCWMWOKWQWX
      PUUYIGVVGWSXUGWYJXUIWGUUYJWYQGWRVBVDWYIWXRUUYFWYNUUYMWYJXUMUUYFTZWYNTZWUH
      UUYJSZYYTXFUUYMUUYRYYTUUYSUUYRUUUBTUUYSVQUUYRYYTUUYSXFVQUUYQUUUBUUYSWYNUU
      YQUUUBTZWXPUUYIWUHUUYTXURXUNUUYTWUHWXOWXQUUYTAWXCWUKXUTUUYTAWURUUYTWWTWXC
      WYIWXRUUYFUUUBVSZXHZXHWWTWXCWXRUUYFUUUBXTUUYTWUKWURUUUGUUUHAWURWXCWXRUUYF
      UUUBXPUUYTWYIUUYFUUUGUVUAXUMUUYFUUUBVTZWYIUUYFTZUUUGXWAUVUDWUMWYLUVUDWUMT
      WUNWXAWXBWWTWUMWUNWXAUHZWXCUUYFWWTWUMTZWXAWUNUVUFAYYLWXAWUNUHZAWURWUMYKUV
      UFYVTWVTUUULWHZUUWFWUMTZYYLWWTUVUHWUMWWTYVTWVTUUULUUWKAWVTWURWWDVKZUUWAYN
      ZVKWURWUMUVUIAWURUUWFWUMUUWGWEVWLWLCWUHYHZYMYVMUUXIVQAYYLTZUVUGVQUEUAXXGW
      UHUHZYVMUVUMUUXIUVUGUVUNYVLYYLAXXGWUHWYPVNUYBUVUNXXHWXAWUNXXGWUHFVOVWSUYD
      UUXJUYGZVIVGXRWWTWXCUUYFWUMWJXGWYIUUYFWUMVTVWQUVUDXVHWURTZUUUGXWAWBWWTUVU
      PWXCUUYFAXVHWURNWEYCCWUHVWTVDYTZVIUUYQUUUBWWTUUUHUVUBWWTUUUBTZUUUHUUUJVJZ
      UVURUUUNUVUSWURUUUNAUUUBWUHVXAZYQUVURUUUNUUUJTZVJUUUNUVUSVQUVURUUUOUVVAUV
      URUUUMUUUOVJZWWTUUUMUUUBUUWBVKUVURUUUPVJZUUUMUVVBVQUUUBUVVCWWTUUUBUVVCYYT
      UUUPUUUQVVPXQYDUUUMUUUOUXAVAYOUUUJUUUNVXBWTUUUNUUUJUXAVAYOUVURUUWNUUUHUVU
      SWBZWWTUUWNUUUBUUWPVKWUHDVWTZVDYTZXMUUYTYWHUUUTAYWHWURWXCWXRUUYFUUUBYWJUX
      PUUVAVDVWKUUVHXKWYIWXRUUYFUUUBWJVHUUVIVDUUYTWYIUUYFWUHUUYISZUVUAUVUCUVUDU
      VVGWYLUVUDUVVGVJZTWUNWXAWXBWWTUVVHUVUEWXCUUYFWWTUVVHTZWXAWUNUVVIWUHCUHZUV
      UGAUVVJUVUGWURUVVHUVVJAWXACFUKZWUNWUHCFVOZAXVHAWWCTZUVVKWUNUHZNAWWCWWFVXC
      XYFUVVMUVVNVQUACUIUVVJXVOUVVMXYEUVVNUVVJWUKWWCAWUHCWUEVNUYBUVVJWXAUVVKWUL
      WUNUVVLWUHCEVOZUYCUYDXWEVXDVXEVXFXRUVVIUVVJVJZTZAYYLUVUGAWURUVVHUVVPVSZUV
      VQUVUHUVUIYYLWWTUVUHUVVHUVVPUVUKYCUVVQUUWFWUMWURUUWFAUVVHUVVPUUWGYBUVVQWU
      HCAWURUVVHUVVPWJUVVQAXVHUVVRNVDUVVIWUHCVFUNUVVPUVVIWUHCWWTUUULUVVHUUWAVKZ
      AWVTWURUVVHWWDYCZUVVIUUUNCWUHUMUNZVJZWURUUUNAUVVHUVUTYQUVVIUUUNUVWATZVJVQ
      UVVIUUUNTUVWBVQUVVIUVWAUUUNTZUVWCUVVIUVVHWVTYXKUUULWHZUVWDVJZWWTUVVHXCUVV
      IWVTYXKUUULUVVTYXKUVVIVVLWGUVVSYNUVVHUVWEUVWDTZVJZVQUVVHUVWETUVWFVQUVVHUV
      WHUVVGUVWGCWMWUHYHZVVPXQUVVHUVWEUVWDYRYSVIUVWAUUUNVXBWTUVVIUUUNUVWAYRYSVV
      QVWGVKUVVPCWUHVXIUVVIUVVPWUHCWUHCVXGVXJYDVXHWAUVULYMUVUOVIYFVGXRWWTWXCUUY
      FUVVHWJXGWYIUUYFUVVHVTVXKVIYAXAUUYRYYTUUYSVXLYSUXKWUHUUYJWYQXJVAVXMUUYHAW
      XRWYNUUYOWYKAUUYFWYNAWURWXCWYJWXRUXTYCWYIWYJWXRUUYFWYNUWNUUYGWYNXCXYNWYNT
      ZUUYNFUUYJVPZYVBWPZWXBUVWJUUWTUUYJUIUQZWYQUIUQZUUYNUVWLUHAUUWTWXRWYNUUXCY
      CUVWMUVWJXWQUUYIUIUQZXFUVWMUVWOXWQCWMVWCVXNWXPUUYIUIVXOVXSZWGUVWNUVWJDWMV
      WCWGUIUUYJWYQFVWDVBUVWJUVWKYVBWXBUVWJUVWKWXBUQZWXCUAUUYJULZUVWJWXCUAUUYJU
      VWJUUYSTZUUUJWXCAWYNUUYSUUUJWXCWXRYWRUUYSTUUUJTWXAWUOWXBAUUYSUUUJUUVNWYNA
      UUYSTZUUUJTZAYYTUUVNAUUYSUUUJYKZUVXAUUUMUUUOYYTUVXAAWURUUUMUVXBUUYSWURAUU
      UJUUYJUIWUHUVWPVXTZYQUUWBVIUUYSUUUJUUUOAUUYSUUUJTUUUJUUUNUUYSUUUJXCUUYSUU
      UNUUUJUUYSWUHUVXCVWAVKWAVWLUUUQYMUUVDVIYLAWYNUUYSUUUJWJXGUYHUVWSUVUSTZWXA
      WULWXBUVXDAUUYSUVUSXYEAWXRWYNUUYSUVUSXSUVWJUUYSUVUSVTUVWSUVUSXCUVWTUVUSTZ
      AWUKXYEAUUYSUVUSYKZUVXEWUKWURUUUGUUUHUVWTWURUVUSUUYSWURAUVXCYDZVKZUVWTUUU
      GUVUSUVWTCWUHAXVHUUYSNVKUVXGUUYSUVWAAUUYSUVVGUVWAWUHWXPUUYIVWFUVVGUVWEUVW
      AUUUNUVVGUVWGUVWIXQVUGVDYDVWJVKUVXEUUUHUVUSUVWTUVUSXCUVXEUUWNUVVDUVXEAWUR
      UUWNUVXFUVXHUUWPVIUVVEVDYTUVXEYWHUUUTAYWHUUYSUVUSYWJYCUUVAVDVWKZXWEVIXKXY
      NUUYSUVUSXVBWYNXYNUUYSTUVUSTZWUKXVBUVXJXUTXWGUVXJWUHWXQWXOUVXJXUSXURAUUYS
      UVUSXUSWXRUVXEXUNWUKUUYSXUNAUVUSWUHWXPUUYIVVFYQUVXIWAYLXWJVAWXRXYQAUUYSUV
      USXYRYBVHUVXJWUSXWHAWUSWXRUUYSUVUSWVOXBXWIVDWCUYEYLXGYFVXPUVWJXXKUUYJFUVB
      ZUQZTZUVWQUVWRWBAUVXMWXRWYNAXXKUVXLXXMAUIUUYJUVXKUVWPAUIFUUXCUVFVXQWAYCUA
      UUYJWXBFVXRVDYTAWYNYWQWXRYXPXAVUQVWPXKWXHUUYMUUYOTUCUUYKGWXDUUYKUHZWXEUUY
      MWXGUUYOWXDUUYKWUHVURUVXNWXFUUYNWXBWXDUUYKFVUNVUOVUPVUSVUTUUYGYXRTZWXPCDU
      RUGZVRZGSZWUHUVXQSZFUVXQVPZWXBUQZWXIUVXOWYJUVXRWYIWYJWXRUUYFYXRWNWYEWYJUV
      XPGSUVXRWYHUVXPWVHGCDWOKWQWXPUVXPGVVGWSVDWYIWXRUUYFYXRUVXSWYJUUYQYXRTZWXP
      UVXPWUHUVYBXURXUNUVYBWUHWXOWXQUVYBXUTWUKXVBWYIUUYFYXRWUKWXRUVUDYXRTZWUKWU
      RUUUGUUUHAWURWXCUUYFYXRXTUVUDUUUGYXRUVUQVKWYIYXRUUUHUUYFYYOWWTUUUBUUUHWWT
      WXCYXRYKUUVEUVVFVIXAUVYCYWHUUUTUVYCAYWHAWURWXCUUYFYXRXSZYWJVDUUVAVDVWKZYL
      ZUVYBWXAWULWXBWYIUUYFYXRXYEWXRUVYCAWUKXYEUVYDUVYEXWEVIYLWWTWXCWXRUUYFYXRX
      TVYAZUVYBWUSXWHUVYBAWUSAWURWXCWXRUUYFYXRXOZWVOVDXWIVDXEWYIWXRUUYFYXRWJVHU
      UVIVDUVYBWWTWUKTZWUHCVXIZWUHDVXIZWUHUVXPSZUVYBAWURWUKUVYHAWURWXCWXRUUYFYX
      RXPUVYFWKUVYBXVBUUYFTWULWUNUHZVJUVYJUVYBXVBUUYFUVYGXUMUUYFYXRVTWAWULWUNWX
      BVYBUVYMWUHCUVVOVYCUWDUVYBXVBYXRTWULWUOUHZVJUVYKUVYBXVBYXRUVYGUUYQYXRXCWA
      WULWUOWXBVYBUVYNWUHDWUHDEVOVYCUWDUVYIUVYJTZUVYKTZWVTWWAUUULWHUVWAUUWCTUVY
      LUVYPWVTWWAUUULWWTWVTWUKUVYJUVYKUVUJXBWWTWWAWUKUVYJUVYKUUVSXBWURUUULAWUKU
      VYJUVYKUUVTVYDYNUVYPUVWAUUWCUVYOUVWAUVYKUVYOUVWAUVYJUVYIUVYJXCUVYOXVHWURU
      UUGWHZUVWAUVYJWBUVYIUVYQUVYJUVYIXVHWURUUUGAXVHWURWUKNYCAWURWUKVTZAWUKUUUG
      WURXVOWURUUUGUUUHXVOWUKUUUIXWDXVOYWHUUUTAYWHWUKYWJVKUUVAVDWCZVYEXAYNVKCWU
      HVYIVDYTVKUVYIUVYKUUWCUVYJUVYIUVYKTZUUWCDWUHVXIZUVYKUWUAUVYIUVYKUWUAWUHDV
      YFXQYDUVYTWURXVIUUUHWHZUUWCUWUAWBUVYIUWUBUVYKUVYIWURXVIUUUHUVYRAXVIWURWUK
      OYCAWUKUUUHWURXVOWURUUUGUUUHUVYSVYTXAYNVKWUHDVYIVDYTXAWACDWUHYHYMXKYAVXMW
      YKUVYAUUYFYXRWYIWXRUVYAWYJAWXRUVYAWURWXCXYNYVEWXBSZUFUVXTULUVYAXYNUWUCUFU
      VXTXYNYVEUVXTSZTZWXAYVEUHZUAUVXQWDZUWUCXYNUWUDXXKUWUGXXKUWUEXXLWGUAYVEUVX
      QFXLXMUWUEUWUFUWUCUAUVXQXYNUVXSUWUFUWUCVQVQUWUDXYNUVXSUWUFUWUCXYNUVXSUWUF
      WHZWXAYVEWXBXYNUVXSUWUFYPUWUHWXAWULWXBUWUHAWUKXYEAWXRUVXSUWUFUYOUVXSXYNWU
      KUWUFUVXQWUEWUHUVXQUVXPWUEWXPUVXPVYGCDVYHZVYJVXTYJXWEVIXYNUVXSXVBUWUFXYNU
      VXSTZWUKXVBUWUJXUTXWGWXRUVXSXUTAWXRUVXSTWUHWXQWXOUVXSXURWXRUVXQWXQWUHUVXP
      WUEUQUVXQWXQUQUWUIUVXPWUEWXPVYKVXSVXTYDWXRXYQUVXSXYRVKVHVWLUWUJWUSXWHAWUS
      WXRUVXSWVOYCXWIVDWCUYEVWNXGVYAVYLVKVYMYOVXPUFUVXTWXBVYNVAXRVWEYCWXHUVXSUV
      YATUCUVXQGWXDUVXQUHZWXEUVXSWXGUVYAWXDUVXQWUHVURUWUKWXFUVXTWXBWXDUVXQFVUNV
      UOVUPVUSVUTYFYFVYOYEYOXIVXPWWTWVFWUCWUBUPUKSZWURWUIWUGWXKTWBWVFWWTWVIWGAU
      WULWURAWVBWYCUWULWVMWYDWUBHIUUMVIZVKUUWOUCUBWUHFGWUCUIWUBVYPVBXEVXPAWVFUW
      ULWUDWUGWUJTWBWVIUWUMUAFGWUCUIWUBVYQUSXEAUAWUEWUFEAUUWTWVGWUFWUEUUGUUXCWV
      JUIWUEFVYRVIWVOXVOWUHWUFUKZWXAWULWUKUWUNWXAUHAWUHWUEFVYSYDXWEXDWUAWA $.
  $}

  ${
    $d A a b $.  $d A c d x $.  $d A c x y $.  $d A x z $.  $d B a b $.
    $d B c d x $.  $d B c x y $.  $d B x z $.  $d C c y $.  $d F a b $.
    $d F c d $.  $d F c y $.  $d F z $.  $d a b ph $.  $d c d ph x $.
    cncficcgt0.f $e |- F = ( x e. ( A [,] B ) |-> C ) $.
    cncficcgt0.a $e |- ( ph -> A e. RR ) $.
    cncficcgt0.b $e |- ( ph -> B e. RR ) $.
    cncficcgt0.aleb $e |- ( ph -> A <_ B ) $.
    cncficcgt0.fcn $e |- ( ph -> F e. ( ( A [,] B ) -cn-> ( RR \ { 0 } ) ) ) $.
    $( A the absolute value of a continuous function on a closed interval, that
       is never 0, has a strictly positive lower bound.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    cncficcgt0 $p |- ( ph -> E. y e. RR+ A. x e. ( A [,] B ) y <_ ( abs ` C ) )
       $=
      ( cv cabs cfv cle wcel wceq cr cc vc vd vz vb ccom wbr cicc wral crp wrex
      va co wa wfun cdm cc0 csn cdif ccncf wf cncff ffun 3syl adantr simpr fdmd
      syl eqcomd eleqtrd fvco syl2anc ffvelrnda eldifad recnd eldifsni absrpcld
      wne eqeltrd nfv nfcv cmpt nfmpt1 nfcxfr nfco nffv nfbr nfralw nfan breq2d
      fveq2 rspccva adantll absf a1i difss ax-resscn sstri fcompt fveq2d cbvmpt
      wss fssd feq1dd fvmptelrn fvmpt2d mpteq2dva 3eqtrd sselid abscld ad4ant14
      breqtrd ex ralrimi nfeq2 breq1 ralbid rspcev cncfss sseldd abscncf cncfco
      ssidd evthicc simprd r19.29a ) AUAMZNGUEZOZUBMZYGOZPUFZUBDEUGULZUHZCMZFNO
      ZPUFZBYLUHZCUIUJZUAYLAYFYLQZUMZYMUMZYHUIQZYHYOPUFZBYLUHZYRYTUUBYMYTYHYFGO
      ZNOZUIYTGUNZYFGUOZQYHUUFRAUUGYSAGYLSUPUQZURZUSULZQZYLUUJGUTZUUGLYLUUJGVAZ
      YLUUJGVBVCVDYTYFYLUUHAYSVEAYLUUHRYSAUUHYLAYLUUJGAUULUUMLUUNVGZVFVHVDVIYFN
      GVJVKYTUUEYTUUEYTUUESUUIAYLUUJYFGUUOVLZVMVNYTUUEUUJQUUEUPVQUUPUUESUPVOVGV
      PVRVDUUAUUCBYLYTYMBYTBVSYKBUBYLBYLVTBYHYJPBYFYGBNGBNVTZBGBYLFWAZHBYLFWBWC
      ZWDZBYFVTWEZBPVTBYIYGUUTBYIVTWEWFWGWHUUABMZYLQZUUCUUAUVCUMYHUVBYGOZYOPYMU
      VCYHUVDPUFZYTYKUVEUBUVBYLYIUVBRYJUVDYHPYIUVBYGWJWIWKWLAUVCUVDYORYSYMABYLY
      OYGSAYGUCYLUCMZGOZNOZWAZBYLUVBGOZNOZWAZBYLYOWAATSNUTZYLTGUTYGUVIRUVMAWMWN
      AYLUUJTGUUOUUJTXAZAUUJSTSUUIWOWPWQZWNZXBUCNGYLTSWRVKUVIUVLRAUCBYLUVHUVKBU
      VGNUUQBUVFGUUSBUVFVTWEWEUCUVKVTUVFUVBRUVGUVJNUVFUVBGWJWSWTWNABYLUVKYOAUVC
      UMZUVJFNABYLFGUUJGUURRAHWNZABYLFUUJAYLUUJGUURUVRUUOXCXDZXEWSXFXGUVQFUVQUU
      JTFUVOUVSXHXIXEXJXKXLXMYQUUDCYHUIYNYHRYPUUCBYLBYNYHUVAXNYNYHYOPXOXPXQVKAU
      DMYGOUKMYGOPUFUDYLUHUKYLUJYMUAYLUJAUKUDUAUBDEYGIJKAYLTSGNAUUKYLTUSULZGAUV
      NTTXAUUKUVTXAUVPATYBYLUUJTXRVKLXSNTSUSULQAXTWNYAYCYDYE $.
  $}

  ${
    $d A x $.  $d B x $.  $d F x $.
    icocncflimc.a $e |- ( ph -> A e. RR ) $.
    icocncflimc.b $e |- ( ph -> B e. RR* ) $.
    icocncflimc.altb $e |- ( ph -> A < B ) $.
    icocncflimc.f $e |- ( ph -> F e. ( ( A [,) B ) -cn-> CC ) ) $.
    $( Limit at the lower bound, of a continuous function defined on a
       left-closed right-open interval.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    icocncflimc $p |- ( ph -> ( F ` A ) e. ( ( F |` ( A (,) B ) ) limCC A ) )
       $=
      ( vx cfv co cc cun crest wcel wss wceq eqid a1i cnt climc cioo cres rexrd
      cico leidd elicod cnlimci ccnfld ctopn csn wf cv ccnp wral ccn wa cncfrss
      ccncf syl ssid cncfcn sylancl eleqtrd ctopon cnfldtopon resttopon syl2anc
      ctop cnfldtop unicntop restid ax-mp cncnp mpbid simpld ioossico cin recnd
      wb cdif ntrtop undif sylib eqcomd fveq2d eqtr3id restntr syl3anc eleqtrrd
      elind snssd ssequn2 oveq2d cxr clt wbr snunioo1 fveq12d limcres ) ABDJDBU
      AKDBCUBKZUCBUAKABCUEKZBLDHABCBABEUDZFXCABEUFGUGZUHAXBBXADUIUJJZXBBUKZMZNK
      ZXEAXBLDULZDIUMXEXBNKZXELNKZUNKJOIXBUOZADXJXKUPKZOZXIXLUQZADXBLUSKZXMHAXB
      LPZLLPXPXMQADXPOXQHXBLDURUTZLVAXBLXEXJXKXERZXJRZXKRVBVCVDAXJXBVEJOZXKLVEJ
      ZOXNXOVTAXEYBOZXQYAYCAXEXSVFSXRXBXELVGVHXKXEVIOZXKXEQXEXSVJZXEVILVKVLVMVF
      IDXJXKXBLVNVCVOVPXAXBPABCVQSXRXSXHRABXBXJTJZJZXAXFMZXHTJZJABXBLXBWAMZXETJ
      ZJZXBVRZYGAYLXBBABLYLABEVSALLYKJZYLYDYNLQYEXELVKWBVMALYJYKAYJLAXQYJLQXRXB
      LWCWDWEWFWGVDXDWKAYDXQXBXBPZYGYMQYDAYESXRYOAXBVASXBXEXJLXBVKXTWHWIWJAXBYH
      YFYIAXJXHTAXBXGXENAXGXBAXFXBPXGXBQABXBXDWLXFXBWMWDWEWNWFAYHXBABWOOCWOOBCW
      PWQYHXBQXCFGBCWRWIWEWSVDWTWJ $.
  $}

  ${
    $d A x $.  $d B x $.
    $( A complex function with a singleton domain is continuous.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    cncfdmsn $p |- ( ( A e. CC /\ B e. CC ) -> ( x e. { A } |-> B ) e. ( { A }
       -cn-> { B } ) ) $=
      ( cc wcel wa csn cmpt cpw ccn ccncf cfv crest wss wceq snssi eqid restsn2
      co sylancr cnfdmsn ccnfld ctopn cncfcn syl2an ctopon simpl oveq12d eqtr2d
      cnfldtopon simpr eleqtrd ) BDEZCDEZFZABGZCHUPIZCGZIZJSZUPURKSZABCDDUAUOVA
      UBUCLZUPMSZVBURMSZJSZUTUMUPDNURDNVAVEOUNBDPCDPUPURVBVCVDVBQZVCQVDQUDUEUOV
      CUQVDUSJUOVBDUFLEZUMVCUQOVBVFUJZUMUNUGBVBDRTUOVGUNVDUSOVHUMUNUKCVBDRTUHUI
      UL $.
  $}

  ${
    $d F x $.  $d G x $.  $d X x $.  $d ph x $.
    divcncff.f $e |- ( ph -> F e. ( X -cn-> CC ) ) $.
    divcncff.g $e |- ( ph -> G e. ( X -cn-> ( CC \ { 0 } ) ) ) $.
    $( The quotient of two continuous complex functions is continuous.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    divcncff $p |- ( ph -> ( F oF / G ) e. ( X -cn-> CC ) ) $=
      ( vx cdiv co cfv cmpt cc ccncf cvv wcel wf cncff syl ffvelrnda feqmptd cv
      cof cc0 csn cdif cncfrss cnex ssex 3syl offval2 eqeltrrd divcncf eqeltrd
      wss ) ABCHUBIGDGUAZBJZUOCJZHIKDLMIZAGDUPUQHBCNLLUCUDUEZABUROZDLUNDNOEDLBU
      FDLUGUHUIADLUOBAUTDLBPEDLBQRZSADUSUOCACDUSMIZODUSCPFDUSCQRZSAGDLBVATZAGDU
      SCVCTZUJAGUPUQDABGDUPKURVDEUKACGDUQKVBVEFUKULUM $.
  $}

  ${
    $d A w x y z $.  $d B w x y z $.  $d D x $.  $d F x $.  $d T w x y z $.
    $d ph x y z $.
    cncfshiftioo.a $e |- ( ph -> A e. RR ) $.
    cncfshiftioo.b $e |- ( ph -> B e. RR ) $.
    cncfshiftioo.c $e |- C = ( A (,) B ) $.
    cncfshiftioo.t $e |- ( ph -> T e. RR ) $.
    cncfshiftioo.d $e |- D = ( ( A + T ) (,) ( B + T ) ) $.
    cncfshiftioo.f $e |- ( ph -> F e. ( C -cn-> CC ) ) $.
    cncfshiftioo.g $e |- G = ( x e. D |-> ( F ` ( x - T ) ) ) $.
    $( A periodic continuous function stays continuous if the domain is an open
       interval that is shifted a period.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    cncfshiftioo $p |- ( ph -> G e. ( D -cn-> CC ) ) $=
      ( vz co cc ccncf vw vy cv caddc wceq cioo wrex crab cmin cfv cmpt ioosscn
      wss a1i recnd eqeq1 rexbidv oveq1 eqeq2d cbvrexvw bitrdi cbvrabv eleqtrdi
      oveq1i eqid cncfshift iooshift syl5eq mpteq1d oveq1d 3eltr4d ) ABUAUCZQUC
      ZGUDRZUEZQCDUFRZUGZUASUHZBUCZGUIRHUJZUKZVRSTRIFSTRABUBVPVRGHWAVPSUMACDULU
      NAGMUOVQVSUBUCZGUDRZUEZUBVPUGZUABSVLVSUEZVQVSVNUEZQVPUGWEWFVOWGQVPVLVSVNU
      PUQWGWDQUBVPVMWBUEVNWCVSVMWBGUDURUSUTVAVBAHESTRVPSTROEVPSTLVDVCWAVEVFAIBF
      VTUKWAPABFVRVTAFCGUDRDGUDRUFRVRNAQUACDGJKMVGVHZVIVHAFVRSTWHVJVK $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d F x $.  $d G y $.  $d L x $.  $d R x $.
    $d ph y $.
    cncfiooicclem1.x $e |- F/ x ph $.
    cncfiooicclem1.g $e |- G = ( x e. ( A [,] B ) |-> if ( x = A , R , if ( x =
       B , L , ( F ` x ) ) ) ) $.
    cncfiooicclem1.a $e |- ( ph -> A e. RR ) $.
    cncfiooicclem1.b $e |- ( ph -> B e. RR ) $.
    cncfiooicclem1.altb $e |- ( ph -> A < B ) $.
    cncfiooicclem1.f $e |- ( ph -> F e. ( ( A (,) B ) -cn-> CC ) ) $.
    cncfiooicclem1.l $e |- ( ph -> L e. ( F limCC B ) ) $.
    cncfiooicclem1.r $e |- ( ph -> R e. ( F limCC A ) ) $.
    $( A continuous function ` F ` on an open interval ` ( A (,) B ) ` can be
       extended to a continuous function ` G ` on the corresponding closed
       interval, if it has a finite right limit ` R ` in ` A ` and a finite
       left limit ` L ` in ` B ` . ` F ` can be complex-valued.  This lemma
       assumes ` A < B ` , the invoking theorem drops this assumption.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    cncfiooicclem1 $p |- ( ph -> G e. ( ( A [,] B ) -cn-> CC ) ) $=
      ( cfv cc wcel wceq vy ccnfld ctopn cicc co crest ccn ccncf wf cv ccnp cif
      wral wa climc limccl sselid ad2antrr wn ad3antrrr simplll cpr wo con3dimp
      cioo orel1 vex elpr sylnibr adantll cun simpllr cxr cle wbr rexrd prunioo
      syl ltled syl3anc eleqtrrd elun sylib orel2 sylc ffvelrnda syl2anc ifclda
      cncff fmptdf eleq2d bitr3id biimpar cres cmpt wss ioossicc fssres sylancl
      feqmptd nfcv fveq2 a1i adantl simpr adantr ifcld wne clt cr simpld neneqd
      nffv iffalsed eqtrd 3eqtrd eqid ctop unicntop cncfcn eqeltrd cuni restuni
      mp2an cvv restabs eqcomd oveq1d fveq1d eleqtrd wb sylancr uniretop iftrue
      cnt fvmptd3 cnplimc mpbir2and jaodan ctopon nfmpt1 nfcxfr nfres fvres w3a
      cbvmpt fvmpt2 elioo4g biimpi simp1d eliooord xrltne simprd ltned mpteq2da
      elioore ioosscn cnfldtop restid ax-mp eqcomi 3eltr3d cncnpi sylan resttop
      ssid ovex iccssred ax-resscn sseqtrd crn ctg cdif cin retop ioossre difss
      sstrdi unssi ssun1 ntrss ioontr eleqtrrdi sseldd elind tgioo2 reex fveq2d
      restntr feq2d mpbid cnprest mpbird elpri lbicc2 eqtr2d limciccioolb eqtr2
      syl22anc iffalse df-ne pm13.18 sylan2br iftruei pm2.61dan eliccd eqeltrid
      eqtr2di leidd gtned limcicciooub sylan2 syldan ralrimiva cnfldtopon cncnp
      resttopon ) AGUBUCQZCDUDUEZUFUEZUXRUGUEZUXSRUHUEZAGUYASZUXSRGUIZGUAUJZUXT
      UXRUKUEZQZSZUAUXSUMZABUXSBUJZCTZEUYJDTZHUYJFQZULZULZRGIAUYJUXSSZUNZUYKEUY
      NRAERSZUYPUYKAFCUOUEZRECFUPPUQZURUYQUYKUSZUNZUYLHUYMRAHRSZUYPVUAUYLAFDUOU
      EZRHDFUPOUQZUTVUBUYLUSZUNZAUYJCDVEUEZSZUYMRSZAUYPVUAVUFVAZVUGUYJCDVBZSZUS
      ZVUIVUMVCZVUIVUAVUFVUNUYQVUAVUFUNUYKUYLVCZVUMVUAVUPUYLUYKUYLVFVDUYJCDBVGV
      HVIVJVUGUYJVUHVULVKZSVUOVUGUYJUXSVUQAUYPVUAVUFVLVUGCVMSZDVMSZCDVNVOZVUQUX
      STZVUGAVURVUKACKVPZVRVUGAVUSVUKADLVPZVRVUGAVUTVUKACDKLMVSZVRCDVQZVTWAUYJV
      UHVULWBWCVUMVUIWDWEAVUHRUYJFAFVUHRUHUEZSVUHRFUINVUHRFWIVRZWFZWGWHWHJWJZAU
      YHUAUXSAUYEUXSSZUYEVUHSZUYEVULSZVCZUYHAVVMVVJVVMUYEVUQSAVVJUYEVUHVULWBAVU
      QUXSUYEAVURVUSVUTVVAVVBVVCVVDVVEVTWKWLWMAVVKUYHVVLAVVKUNZUYHGVUHWNZUYEUXT
      VUHUFUEZUXRUKUEZQZSZVVNVVOUYEUXRVUHUFUEZUXRUKUEZQZVVRAVVOVVTUXRUGUEZSVVKV
      VOVWBSAVVOBVUHUYMWOZVWCAVVOUAVUHUYEVVOQZWOZBVUHUYJVVOQZWOZVWDAUAVUHRVVOAU
      YDVUHUXSWPZVUHRVVOUIVVICDWQZUXSRVUHGWRWSWTVWFVWHTAUABVUHVWEVWGBUYEVVOBGVU
      HBGBUXSUYOWOJBUXSUYOUUAUUBBVUHXAUUCBUYEXAXMUAUYJVVOUAVVOXAUAUYJXAXMUYEUYJ
      VVOXBUUFXCABVUHVWGUYMIAVUIUNZVWGUYJGQZUYOUYMVUIVWGVWLTAUYJVUHGUUDXDVWKUYP
      UYORSVWLUYOTVWKVUHUXSUYJVWJAVUIXEUQVWKUYKEUYNRAUYRVUIUYTXFVWKUYLHUYMRAVUC
      VUIUYLVUEURVWKVUJVUFVVHXFWHXGBUXSUYORGJUUGWGVWKUYOUYNUYMVWKUYKEUYNVWKUYJC
      VUIUYJCXHZAVUIVURUYJVMSCUYJXIVOZVWMVUIVURVUSUYJXJSZVUIVURVUSVWOUUEZVWNUYJ
      DXIVOZUNZVUIVWPVWRUNCDUYJUUHUUIXKUUJVUIUYJUYJCDUUPZVPVUIVWNVWQUYJCDUUKZXK
      CUYJUULVTXDXLXNVUIUYNUYMTAVUIUYLHUYMVUIUYJDVUIUYJDVWSVUIVWNVWQVWTUUMUUNXL
      XNXDXOXPUUOXPZAFVVFVWDVWCNABVUHRFVVGWTZAVUHRWPZRRWPZVVFVWCTVXCACDUUQZXCRU
      VFZVUHRUXRVVTUXRUXRXQZVVTXQUXRRUFUEZUXRUXRXRSZVXHUXRTUXRVXGUURZUXRXRRXSUU
      SUUTUVAZXTWSUVBYAUYEVVOVVTUXRVUHVXIVXCVUHVVTYBTVXJVXEVUHUXRRXSYCYDUVCUVDV
      VNUYEVWAVVQVVNVVTVVPUXRUKVVNVVPVVTVVNVXIVWIUXSYESZVVPVVTTVXIVVNVXJXCVWIVV
      NVWJXCZVXLVVNCDUDUVGZXCVUHUXSUXRXRYEYFVTYGYHYIYJVVNUXTXRSZVUHUXTYBZWPZUYE
      VUHUXTYOQZQZSVXPRGUIZUYHVVSYKVXOVVNVXIVXLVXOVXJVXNUXSUXRYEUVEYDXCAVXQVVKA
      VUHUXSVXPVWIAVWJXCAVXIUXSRWPZUXSVXPTVXJAUXSXJRACDKLUVHZUVIUVRZUXSUXRRXSYC
      YLZUVJXFVVNUYEVUHVEUVKUVLQZUXSUFUEZYOQZQZVXSVVNUYEVUHXJUXSUVMZVKZVYEYOQZQ
      ZUXSUVNZVYHVVNVYLUXSUYEVVNVUHVYKQZVYLUYEVVNVYEXRSZVYJXJWPZVUHVYJWPZVYNVYL
      WPVYOVVNUVOXCZVYPVVNVUHVYIXJCDUVPXJUXSUVQUVSXCVYQVVNVUHVYIUVTXCVYJVUHVYEX
      JYMUWAVTVVNUYEVUHVYNAVVKXEZCDUWBUWCUWDVVNVUHUXSUYEVWJVYSUQUWEVVNVYOUXSXJW
      PZVWIVYHVYMTVYRAVYTVVKVYBXFVXMVUHVYEVYFXJUXSYMVYFXQUWIVTWAAVYHVXSTVVKAVUH
      VYGVXRAVYFUXTYOAVYFUXRXJUFUEZUXSUFUEZUXTAVYEWUAUXSUFVYEWUATAUXRVXGUWFXCYH
      AVXIVYTXJYESZWUBUXTTVXIAVXJXCVYBWUCAUWGXCUXSXJUXRXRYEYFVTXOUWHYIXFYJAVXTV
      VKAUYDVXTVVIAUXSVXPRGVYDUWJUWKXFVUHUYEGUXTUXRVXPRVXPXQXSUWLUWSUWMVVLAUYEC
      TZUYEDTZVCUYHUYECDUWNAWUDUYHWUEAWUDUNGCUYFQZUYGAGWUFSZWUDAWUGUYDCGQZGCUOU
      EZSZVVIAWUHEWUIABCUYOEUXSGUYSJUYKEUYNYNZAVURVUSVUTCUXSSZVVBVVCVVDCDUWOVTZ
      PYPAEVVOCUOUEZWUIAEUYSWUNPAFVVOCUOAVVOVWDFVXAAFVWDVXBYGUWPZYHYJACDGKLMVVI
      UWQYJYAAVYAWULWUGUYDWUJUNYKVYCWUMUXSCGUXTUXRVXGUXTXQZYQWGYRXFWUDWUFUYGTAW
      UDUYGWUFUYECUYFXBYGXDYJAWUEUNGDUYFQZUYGAGWUQSZWUEAWURUYDDGQZGDUOUEZSZVVIA
      WUSHWUTAWUSDCTZEDDTZHDFQZULZULZWVEHABDUYOWVFUXSGRJUYLUYKUYOWVFTUYLUYKUNZU
      YOEWVFUYKUYOETUYLWUKXDWVGWVBEWVFTUYJDCUWRWVBWVFEWVBEWVEYNYGVRXOUYLVUAUNZU
      YOUYNHWVFVUAUYOUYNTUYLUYKEUYNUWTXDUYLUYNHTVUAUYLHUYMYNXFWVHWVFWVEHWVHWVBE
      WVEWVHDCVUAUYLVWMDCXHUYJCUXAUYJDCUXBUXCXLXNWVCHWVDDXQUXDZUXHXPUXEACDDKLLV
      VDADLUXIUXFZAWVBEWVERUYTAWVEHRWVIVUEUXGXGYPAWVBEWVEADCACDKMUXJXLXNWVEHTAW
      VIXCXPAHVVODUOUEZWUTAHVUDWVKOAFVVODUOWUOYHYJACDGKLMVVIUXKYJYAAVYADUXSSWUR
      UYDWVAUNYKVYCWVJUXSDGUXTUXRVXGWUPYQWGYRXFWUEWUQUYGTAWUEUYGWUQUYEDUYFXBYGX
      DYJYSUXLYSUXMUXNAUXTUXSYTQSZUXRRYTQSZUYCUYDUYIUNYKAWVMVYAWVLUXRVXGUXOZVYC
      UXSUXRRUXQYLWVNUAGUXTUXRUXSRUXPWSYRAVYAVXDUYBUYATVYCVXFUXSRUXRUXTUXRVXGWU
      PVXKXTWSWA $.
  $}

  ${
    $d A x $.  $d B x $.  $d F x $.  $d L x $.  $d R x $.  $d ph x $.
    cncfiooicc.x $e |- F/ x ph $.
    cncfiooicc.g $e |- G = ( x e. ( A [,] B ) |-> if ( x = A , R , if ( x = B ,
       L , ( F ` x ) ) ) ) $.
    cncfiooicc.a $e |- ( ph -> A e. RR ) $.
    cncfiooicc.b $e |- ( ph -> B e. RR ) $.
    cncfiooicc.f $e |- ( ph -> F e. ( ( A (,) B ) -cn-> CC ) ) $.
    cncfiooicc.l $e |- ( ph -> L e. ( F limCC B ) ) $.
    cncfiooicc.r $e |- ( ph -> R e. ( F limCC A ) ) $.
    $( A continuous function ` F ` on an open interval ` ( A (,) B ) ` can be
       extended to a continuous function ` G ` on the corresponding closed
       interval, if it has a finite right limit ` R ` in ` A ` and a finite
       left limit ` L ` in ` B ` . ` F ` can be complex-valued.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    cncfiooicc $p |- ( ph -> G e. ( ( A [,] B ) -cn-> CC ) ) $=
      ( co cc wcel adantr c0 clt wbr cicc ccncf wa cr simpr cioo cncfiooicclem1
      nfv climc wn wceq csn wss limccl sselid snssd ssid cncfss syl2anc cmpt cv
      a1i cfv cif cxr rexrd iccid syl oveq2 sylan9req eqcomd eleqtrd mpteq12dva
      elsni iftrued syl5eq recnd cncfdmsn eqeltrd sseldd oveq1d simpll wo eqcom
      adantlr biimpi con3i adantl simplr pm4.56 lttrid mpbird ccnfld ctopn eqid
      ccn 0ss crest ctop cnfldtop rest0 ax-mp eqcomi cncfcn mp2an eqsstrri icc0
      wb mpteq1d mpt0 3eqtrd 0cnf eqeltrdi pm2.61dan ) ACDUAUBZGCDUCPZQUDPZRZAX
      QUEZBCDEFGHYABUJJACUFRZXQKSADUFRZXQLSAXQUGAFCDUHPQUDPRXQMSAHFDUKPRXQNSAEF
      CUKPZRXQOSUIAXQULZUEZCDUMZXTAYGXTYEAYGUEZGCUNZQUDPZXSYHYIEUNZUDPZYJGAYLYJ
      UOZYGAYKQUOQQUOZYMAEQAYDQECFUPOUQZURYNAQUSZVDYIYKQUTVASYHGBYIEVBZYLYHGBXR
      BVCZCUMZEYRDUMHYRFVEVFZVFZVBZYQJYHBXRUUAYIEYHYIXRAYGYICCUCPZXRACVGRZUUCYI
      UMACKVHZCVIVJCDCUCVKVLZVMZYHYRXRRZUEZYSEYTUUIYRYIRYSUUIYRXRYIYHUUHUGYHXRY
      IUMUUHUUGSVNYRCVPVJVQVOVRYHCQRZEQRZYQYLRAUUJYGACKVSSAUUKYGYOSBCEVTVAWAWBY
      HYIXRQUDUUFWCVNWGYFYGULZUEZADCUAUBZXTAYEUULWDZUUMUUNDCUMZXQWEULZUUMUUPULZ
      YEUUQUULUURYFUUPYGUUPYGDCWFWHWIWJAYEUULWKUURYEUEUUQUUPXQWLWHVAUUMDCUUMAYC
      UUOLVJUUMAYBUUOKVJWMWNAUUNUEZGTQUDPZXSUUSTUNZUVAWRPZUUTGUVBTTUDPZUUTTQUOZ
      UVDUVCUVBUMQWSZUVETTWOWPVEZUVAUVAUVFWQZUVFTWTPZUVAUVFXARUVHUVAUMUVFUVGXBU
      VFXCXDXEZUVIXFXGUVDYNUVCUUTUOUVEYPTTQUTXGXHUUSGTUVBUUSGUUBBTUUAVBZTGUUBUM
      UUSJVDUUSBXRTUUAUUSXRTUMZUUNAUUNUGUUSUUDDVGRZUVKUUNXJAUUDUUNUUESAUVLUUNAD
      LVHSCDXIVAWNZXKUVJTUMUUSBUUAXLVDXMXNXOUQUUSTXRQUDUUSXRTUVMVMWCVNVAXPXP $.
  $}

  ${
    $d A x $.  $d B x $.  $d F x $.  $d L x $.  $d R x $.  $d ph x $.
    cncfiooiccre.x $e |- F/ x ph $.
    cncfiooiccre.g $e |- G = ( x e. ( A [,] B ) |-> if ( x = A , R , if ( x = B
       , L , ( F ` x ) ) ) ) $.
    cncfiooiccre.a $e |- ( ph -> A e. RR ) $.
    cncfiooiccre.b $e |- ( ph -> B e. RR ) $.
    cncfiooiccre.altb $e |- ( ph -> A < B ) $.
    cncfiooiccre.f $e |- ( ph -> F e. ( ( A (,) B ) -cn-> RR ) ) $.
    cncfiooiccre.l $e |- ( ph -> L e. ( F limCC B ) ) $.
    cncfiooiccre.r $e |- ( ph -> R e. ( F limCC A ) ) $.
    $( A continuous function ` F ` on an open interval ` ( A (,) B ) ` can be
       extended to a continuous function ` G ` on the corresponding closed
       interval, if it has a finite right limit ` R ` in ` A ` and a finite
       left limit ` L ` in ` B ` . ` F ` is assumed to be real-valued.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    cncfiooiccre $p |- ( ph -> G e. ( ( A [,] B ) -cn-> RR ) ) $=
      ( cr wcel cc adantr cicc co ccncf wf cv wceq cfv cif wa iftrue cioo cncff
      adantl syl wss ioosscn ccnfld ctopn eqid rexrd lptioo1cn limcrecl eqeltrd
      adantlr wn iffalse sylan9eq adantll lptioo2cn ad2antrr adantllr ad3antrrr
      a1i cxr simpr eliccre syl3anc clt wbr cle iccgelb wne neqne necomd eliood
      leneltd iccleub ffvelrnd pm2.61dan fmptd wb ax-resscn cncfss mp2an sselid
      ssid cncfiooicc cncffvrn sylancr mpbird ) AGCDUAUBZQUCUBRZXAQGUDZABXABUEZ
      CUFZEXDDUFZHXDFUGZUHZUHZQGAXDXARZUIZXEXIQRZAXEXLXJAXEUIXIEQXEXIEUFAXEEXHU
      JUMAEQRXEACDUKUBZCFEAFXMQUCUBZRXMQFUDZNXMQFULUNZXMSUOACDUPVMZACDUQURUGZXR
      USZADLUTZKMVAPVBTVCVDXKXEVEZUIZXFXLAYAXFXLXJAYAUIXFUIXIHQYAXFXIHUFAYAXFXI
      XHHXEEXHVFZXFHXGUJVGVHAHQRYAXFAXMDFHXPXQACDXRXSACKUTZLMVIOVBVJVCVKYBXFVEZ
      UIZXIXGQYAYEXIXGUFXKYAYEXIXHXGYCXFHXGVFVGVHYFXMQXDFAXOXJYAYEXPVLYFCDXDACV
      NRZXJYAYEYDVLADVNRZXJYAYEXTVLXKXDQRZYAYEXKCQRZDQRZXJYIAYJXJKTAYKXJLTAXJVO
      ZCDXDVPVQZVJYBCXDVRVSYEYBCXDAYJXJYAKVJXKYIYAYMTYBYGYHXJCXDVTVSAYGXJYAYDVJ
      AYHXJYAXTVJXKXJYAYLTCDXDWAVQYAXDCWBXKXDCWCUMWFTXKYEXDDVRVSYAXKYEUIZXDDXKY
      IYEYMTAYKXJYELVJYNYGYHXJXDDVTVSAYGXJYEYDVJAYHXJYEXTVJXKXJYEYLTCDXDWGVQYED
      XDWBXKYEXDDXDDWCWDUMWFVDWEWHVCWIWIJWJAQSUOZGXASUCUBRXBXCWKWLABCDEFGHIJKLA
      XNXMSUCUBZFYOSSUOXNYPUOWLSWPXMQSWMWNNWOOPWQXASQGWRWSWT $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d F x $.  $d ph x $.
    cncfioobdlem.a $e |- ( ph -> A e. RR ) $.
    cncfioobdlem.b $e |- ( ph -> B e. RR ) $.
    cncfioobdlem.f $e |- ( ph -> F : ( A (,) B ) --> V ) $.
    cncfioobdlem.g $e |- G = ( x e. ( A [,] B ) |-> if ( x = A , R , if ( x = B
       , L , ( F ` x ) ) ) ) $.
    cncfioobdlem.c $e |- ( ph -> C e. ( A (,) B ) ) $.
    $( ` G ` actually extends ` F ` .  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    cncfioobdlem $p |- ( ph -> ( G ` C ) = ( F ` C ) ) $=
      ( wceq cr wcel adantr clt cv cfv cif cicc co cmpt a1i wa wbr cioo w3a cxr
      wb rexrd elioo2 syl2anc mpbid simp2d eqcom biimpi adantl breqtrd iffalsed
      gtned neneqd simpr elioored eqeltrd simp3d eqbrtrd fveq2d 3eqtrd ioossicc
      ltned sselid ffvelrnd fvmptd ) ABEBUAZCPZFVRDPZIVRGUBZUCZUCZEGUBZCDUDUEZH
      JHBWEWCUFPANUGAVREPZUHZWCWBWAWDWGVSFWBWGVRCWGCVRACQRWFKSWGCEVRTACETUIZWFA
      EQRZWHEDTUIZAECDUJUEZRZWIWHWJUKZOACULRDULRWLWMUMACKUNADLUNCDEUOUPUQZURSWF
      EVRPZAWFWOVREUSUTVAVBVDVEVCWGVTIWAWGVRDWGVRDWGVREQAWFVFZAWIWFAECDOVGSVHWG
      VREDTWPAWJWFAWIWHWJWNVISVJVNVEVCWGVREGWPVKVLAWKWEECDVMOVOAWKJEGMOVPVQ $.
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d F x y z $.  $d L x y z $.  $d R x y z $.
    $d ph x y z $.
    cncfioobd.a $e |- ( ph -> A e. RR ) $.
    cncfioobd.b $e |- ( ph -> B e. RR ) $.
    cncfioobd.f $e |- ( ph -> F e. ( ( A (,) B ) -cn-> CC ) ) $.
    cncfioobd.l $e |- ( ph -> L e. ( F limCC B ) ) $.
    cncfioobd.r $e |- ( ph -> R e. ( F limCC A ) ) $.
    $( A continuous function ` F ` on an open interval ` ( A (,) B ) ` with a
       finite right limit ` R ` in ` A ` and a finite left limit ` L ` in ` B `
       is bounded.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    cncfioobd $p |- ( ph -> E. x e. RR A. y e. ( A (,) B ) ( abs ` ( F ` y ) )
       <_ x ) $=
      ( vz wceq cfv cr wcel cc wa cv cicc cif cmpt cabs cle wbr wral wrex ccncf
      co cioo nfv eqid cncfiooicc cniccbdd syl3anc nfra1 cdm simpr wf cncff syl
      eqcomd adantr eleqtrd cncfioobdlem syldan fveq2d ad4ant14 simplr ioossicc
      nfan fdmd sselid rspa syl2anc eqbrtrd ex ralrimi reximdva mpd ) ACUAZNDEU
      BUKZNUAZDOFWEEOHWEGPUCUCUDZPZUEPZBUAZUFUGZCWDUHZBQUIZWCGPZUEPZWIUFUGZCDEU
      LUKZUHZBQUIADQRZEQRZWFWDSUJUKRWLIJANDEFGWFHANUMWFUNZIJKLMUOBCDEWFUPUQAWKW
      QBQAWIQRZTZWKWQXBWKTZWOCWPXBWKCXBCUMWJCWDURVMXCWCWPRZWOXCXDTZWNWHWIUFAXDW
      NWHOXAWKAXDTZWMWGUEXFWGWMAXDWCGUSZRZWGWMOXFWCWPXGAXDUTAWPXGOXDAXGWPAWPSGA
      GWPSUJUKRWPSGVAZKWPSGVBVCZVNZVDVEVFAXHTZNDEWCFGWFHSAWRXHIVEAWSXHJVEAXIXHX
      JVEWTXLWCXGWPAXHUTAXGWPOXHXKVEVFVGVHVDVIVJXEWKWCWDRWJXBWKXDVKXEWPWDWCDEVL
      XCXDUTVOWJCWDVPVQVRVSVTVSWAWB $.
  $}

  ${
    jumpncnp.k $e |- K = ( TopOpen ` CCfld ) $.
    jumpncnp.a $e |- ( ph -> A C_ RR ) $.
    jumpncnp.3 $e |- J = ( topGen ` ran (,) ) $.
    jumpncnp.f $e |- ( ph -> F : A --> CC ) $.
    jumpncnp.b $e |- ( ph -> B e. RR ) $.
    jumpncnp.lpt1 $e |- ( ph -> B e. ( ( limPt ` J ) ` ( A i^i ( -oo (,) B ) )
       ) ) $.
    jumpncnp.lpt2 $e |- ( ph -> B e. ( ( limPt ` J ) ` ( A i^i ( B (,) +oo ) )
       ) ) $.
    jumpncnp.8 $e |- ( ph -> L e. ( ( F |` ( -oo (,) B ) ) limCC B ) ) $.
    jumpncnp.9 $e |- ( ph -> R e. ( ( F |` ( B (,) +oo ) ) limCC B ) ) $.
    jumpncnp.lner $e |- ( ph -> L =/= R ) $.
    $( Jump discontinuity or discontinuity of the first kind: if the left and
       the right limit don't match, the function is discontinuous at the point.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    jumpncnp $p |- ( ph -> -. F e. ( ( J CnP ( TopOpen ` CCfld ) ) ` B ) ) $=
      ( cfv cr ccnfld ctopn ccnp co wcel cc wf climc wa c0 wn limclner necon2bi
      wceq ne0i syl intnand wss wb ax-resscn eqid cioo crn crest tgioo2 cnplimc
      ctg eqtri sylancr mtbird ) AECFUAUBSZUCUDSUEZTUFEUGZCESZECUHUDZUEZUIZAVPV
      MAVOUJUNVPUKABCDEFGHIJKLNOPQRULVPVOUJVOVNUOUMUPUQATUFURCTUEVLVQUSUTMTCEFV
      KVKVAZFVBVCVGSVKTVDUDKVKVRVEVHVFVIVJ $.
  $}

  ${
    $d A x y z $.
    $( The complex power function is continuous with respect to its second
       argument.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    cxpcncf2 $p |- ( A e. ( CC \ ( -oo (,] 0 ) ) -> ( x e. CC |-> ( A ^c x ) )
       e. ( CC -cn-> CC ) ) $=
      ( vy vz cc cmnf cc0 co wcel cv ccxp cmpt cfv ccn ctopon eqid a1i wss wceq
      mp2an cioc cdif ccnfld ctopn ccncf crest cnfldtopon wf difss resttopon id
      csn snidg adantr fmpttd cnconst syl22anc cnmptid ctx cxpcn oveq12 cnmpt12
      cmpo ssid toponrestid cncfcn eqcomi eleqtrd ) BEFGUAHZUBZIZAEBAJZKHZLUCUD
      MZVNNHZEEUEHZVKACDBVLCJZDJZKHZVMVNVNVJUFHZVNVNEVJEVNEOMIZVKVNVNPZUGZQZVKW
      AVTVJOMIZVKEBULZAEBLZUHWGVNVTNHIWDWEVKWAVJERWEWCEVIUIVJVNEUJTQZVKUKVKAEBW
      FVKBWFIVLEIBVJUMUNUOBWGVNVTEVJUPUQVKAVNEWDURWHWDCDVJEVSVCVTVNUSHVNNHIVKCD
      VJVNVTVJPWBVTPUTQVQBVRVLKVAVBVOVPSVKVPVOEERZWIVPVOSEVDZWJEEVNVNVNWBVNEWCV
      EZWKVFTVGQVH $.
  $}

  ${
    $d A k u x y z $.  $d A k w x y z $.  $d B k u x y z $.  $d B k w x y z $.
    $d C u y z $.  $d C w y z $.  $d k ph u x y z $.  $d ph w x y z $.
    fprodcncf.a $e |- ( ph -> A C_ CC ) $.
    fprodcncf.b $e |- ( ph -> B e. Fin ) $.
    fprodcncf.c $e |- ( ( ph /\ x e. A /\ k e. B ) -> C e. CC ) $.
    fprodcncf.cn $e |- ( ( ph /\ k e. B ) -> ( x e. A |-> C ) e. ( A -cn-> CC )
       ) $.
    $( The finite product of continuous complex functions is continuous.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    fprodcncf $p |- ( ph -> ( x e. A |-> prod_ k e. B C ) e. ( A -cn-> CC ) )
       $=
      ( vu cprod cmpt cc wcel wceq eleq1d wa nfcv adantr vw vz vy ccncf csn cun
      cv co c0 prodeq1 mpteq2dv c1 prod0 a1i 1cnd ssidd constcncfg eqeltrd cdif
      wss csb nfcsb1v nfcprod csbeq1a prodeq2dv cbvmpt cmul cvv nfv cfn syl2anc
      simpr ssfi adantrr vex eldifn ad2antll simplll simplr ad2antrr sseldd w3a
      wn nfim eleq1w 3anbi2d imbi12d chvarfv syl3anc simpll eldifi nfel 3anbi3d
      wi nfel1 syl21anc fprodsplitsn mpteq2dva eqcomi id adantl nfmpt eqeltrrid
      anbi2d syldan mulcncf ex findcard2d ) ABCUAUGZEFLZMZCNUDUHZOBCUIEFLZMZXLO
      BCUBUGZEFLZMZXLOZBCXOUCUGZUEUFZEFLZMZXLOZBCDEFLZMZXLOUAUBUCDXIUIPZXKXNXLY
      FBCXJXMXIUIEFUJUKQXIXOPZXKXQXLYGBCXJXPXIXOEFUJUKQXIXTPZXKYBXLYHBCXJYAXIXT
      EFUJUKQXIDPZXKYEXLYIBCXJYDXIDEFUJUKQAXNBCULMXLABCXMULXMULPAEFUMUNUKABCULN
      GAUOANUPUQURAXODUTZXSDXOUSOZRZRZXRYCYMXRRZYBKCXTBKUGZEVAZFLZMZXLYBYRPYNBK
      CYAYQKYASBXTYPFBXTSBYOEVBZVCBUGZYOPZXTEYPFUUAEYPPZFUGZXTOBYOEVDZTVEVFUNYN
      YRKCXOYPFLZFXSYPVAZVGUHZMZXLYMYRUUHPXRYMKCYQUUGYMYOCOZRZXOXSYPUUFFVHUUJFV
      IFXSYPVBZYMXOVJOZUUIAYJUULYKAYJRDVJOZYJUULAUUMYJHTAYJVLZDXOVMVKVNTXSVHOUU
      JUCVOUNYMXSXOOWCZUUIYKUUOAYJXSDXOVPVQTUUJUUCXOOZRZAUUIUUCDOZYPNOZAYLUUIUU
      PVRYMUUIUUPVSUUQXODUUCYMYJUUIUUPAYJYJYKUUNVNVTUUJUUPVLWAAYTCOZUURWBZENOZW
      NAUUIUURWBZUUSWNZBKUVCUUSBUVCBVIBYPNYSWOWDUUAUVAUVCUVBUUSUUAUUTUUIAUURBKC
      WEWFUUAEYPNUUDQWGIWHZWIFXSYPVDZUUJAXSDOZUUIUUFNOZAYLUUIWJYMUVGUUIYKUVGAYJ
      XSDXOWKVQZTYMUUIVLAUVGRZUUIRAUUIUVGUVHAUVGUUIWJUVJUUIVLAUVGUUIVSUVDAUUIUV
      GWBZUVHWNFUCUVKUVHFUVKFVIFUUFNUUKFNSWLWDUUCXSPZUVCUVKUUSUVHUVLUURUVGAUUIF
      UCDWEZWMUVLYPUUFNUVFQWGUVEWHWIWPWQWRTYNKUUEUUFCXRKCUUEMZXLOYMXRUVNXQXLUVN
      XQPXRXQUVNBKCXPUUEKXPSBXOYPFBXOSYSVCUUAXOEYPFUUAUUBUUPUUDTVEVFWSUNXRWTURX
      AYMKCUUFMZXLOZXRAYLUVGUVPUVIAUURRZKCYPMZXLOZWNUVJUVPWNFUCUVJUVPFUVJFVIFUV
      OXLFKCUUFFCSUUKXBFXLSWLWDUVLUVQUVJUVSUVPUVLUURUVGAUVMXDUVLUVRUVOXLUVLKCYP
      UUFUVLYPUUFPUUIUVFTWRQWGUVQUVRBCEMXLBKCEYPKESYSUUDVFJXCWHXETXFURURXGHXH
      $.
  $}

  ${
    $d A x $.  $d ph x $.
    add1cncf.a $e |- ( ph -> A e. CC ) $.
    add1cncf.f $e |- F = ( x e. CC |-> ( x + A ) ) $.
    $( Addition to a constant is a continuous function.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    add1cncf $p |- ( ph -> F e. ( CC -cn-> CC ) ) $=
      ( cc cv caddc co cmpt ccncf wcel wss ssid cncfmptid mp2an a1i id cncfmptc
      syl3anc syl addcncf eqeltrid ) ADBGBHZCIJKGGLJZFABUECGBGUEKUFMZAGGNZUHUGG
      OZUIBGGPQRACGMZBGCKUFMZEUJUJUHUHUKUJSUHUJUIRZULBCGGTUAUBUCUD $.
  $}

  ${
    $d A x $.  $d ph x $.
    add2cncf.a $e |- ( ph -> A e. CC ) $.
    add2cncf.f $e |- F = ( x e. CC |-> ( A + x ) ) $.
    $( Addition to a constant is a continuous function.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    add2cncf $p |- ( ph -> F e. ( CC -cn-> CC ) ) $=
      ( cc cv caddc co cmpt ccncf wcel wss ssid a1i cncfmptc mpd3an23 cncfmptid
      syl mp2an addcncf eqeltrid ) ADBGCBHZIJKGGLJZFABCUDGACGMZBGCKUEMZEUFGGNZU
      HUGUHUFGOZPZUJBCGGQRTBGUDKUEMZAUHUHUKUIUIBGGSUAPUBUC $.
  $}

  ${
    $d A x $.  $d ph x $.
    sub1cncfd.1 $e |- ( ph -> A e. CC ) $.
    sub1cncfd.2 $e |- F = ( x e. CC |-> ( x - A ) ) $.
    $( Subtracting a constant is a continuous function.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    sub1cncfd $p |- ( ph -> F e. ( CC -cn-> CC ) ) $=
      ( cc cv cmin co cmpt ccncf wcel wss ssid cncfmptid mp2an cncfmptc syl3anc
      a1i subcncf eqeltrid ) ADBGBHZCIJKGGLJZFABUCCGBGUCKUDMZAGGNZUFUEGOZUGBGGP
      QTACGMUFUFBGCKUDMEUFAUGTZUHBCGGRSUAUB $.
  $}

  ${
    $d A x $.  $d ph x $.
    sub2cncfd.1 $e |- ( ph -> A e. CC ) $.
    sub2cncfd.2 $e |- F = ( x e. CC |-> ( A - x ) ) $.
    $( Subtraction from a constant is a continuous function.  (Contributed by
       Glauco Siliprandi, 8-Apr-2021.) $)
    sub2cncfd $p |- ( ph -> F e. ( CC -cn-> CC ) ) $=
      ( cc cv cmin co cmpt ccncf wcel wss ssid cncfmptc syl3anc cncfmptid mp2an
      a1i subcncf eqeltrid ) ADBGCBHZIJKGGLJZFABCUCGACGMGGNZUEBGCKUDMEUEAGOZTZU
      GBCGGPQBGUCKUDMZAUEUEUHUFUFBGGRSTUAUB $.
  $}

  ${
    $d A k x $.  $d B x $.  $d ph x $.
    fprodsub2cncf.k $e |- F/ k ph $.
    fprodsub2cncf.a $e |- ( ph -> A e. Fin ) $.
    fprodsub2cncf.b $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fprodsub2cncf.f $e |- F = ( x e. CC |-> prod_ k e. A ( B - x ) ) $.
    $( ` F ` is continuous.  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    fprodsub2cncf $p |- ( ph -> F e. ( CC -cn-> CC ) ) $=
      ( cfv co cc cv cmpt wceq a1i eqid wcel eleqtrd ctopn ccn ccncf cmin cprod
      ccnfld ctopon cnfldtopon wa sub2cncfd cncfcn1 fprodcn eqeltrd eqcomd ) AF
      UFUAKZUOUBLZMMUCLZAFBMCDBNUDLZEUEOZUPFUSPAJQABCUREUOUOMGUORZUOMUGKSAUOUTU
      HQHAENCSUIZBMUROZUQUPVABDVBIVBRUJUQUPPZVAUOUTUKZQTULUMAUQUPVCAVDQUNT $.
  $}

  ${
    $d A k x $.  $d B x $.  $d ph x $.
    fprodadd2cncf.k $e |- F/ k ph $.
    fprodadd2cncf.a $e |- ( ph -> A e. Fin ) $.
    fprodadd2cncf.b $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fprodadd2cncf.f $e |- F = ( x e. CC |-> prod_ k e. A ( B + x ) ) $.
    $( ` F ` is continuous.  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    fprodadd2cncf $p |- ( ph -> F e. ( CC -cn-> CC ) ) $=
      ( cfv co cc cv cmpt wceq a1i eqid wcel eleqtrd ctopn ccn ccncf cnfldtopon
      ccnfld caddc cprod ctopon wa add2cncf cncfcn1 fprodcn eqeltrd eqcomd ) AF
      UEUAKZUOUBLZMMUCLZAFBMCDBNUFLZEUGOZUPFUSPAJQABCUREUOUOMGUORZUOMUHKSAUOUTU
      DQHAENCSUIZBMUROZUQUPVABDVBIVBRUJUQUPPZVAUOUTUKZQTULUMAUQUPVCAVDQUNT $.
  $}

  ${
    $d A k x $.  $d B x $.  $d F n $.  $d G n $.  $d k n x $.  $d n ph x $.
    fprodsubrecnncnvlem.k $e |- F/ k ph $.
    fprodsubrecnncnvlem.a $e |- ( ph -> A e. Fin ) $.
    fprodsubrecnncnvlem.b $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fprodsubrecnncnvlem.s $e |- S = ( n e. NN |-> prod_ k e. A ( B - ( 1 / n )
       ) ) $.
    fprodsubrecnncnvlem.f $e |- F = ( x e. CC |-> prod_ k e. A ( B - x ) ) $.
    fprodsubrecnncnvlem.g $e |- G = ( n e. NN |-> ( 1 / n ) ) $.
    $( The sequence ` S ` of finite products, where every factor is subtracted
       an "always smaller" amount, converges to the finite product of the
       factors.  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    fprodsubrecnncnvlem $p |- ( ph -> S ~~> prod_ k e. A B ) $=
      ( cc0 cc cn wcel wceq ccom cfv cli wbr cprod nnuz 1zzd fprodsub2cncf cdiv
      c1 cv co crp 1rp nnrp rpdivcld rpcnd adantl fmptd cmpt 1cnd divcnv breq1d
      a1i syl mpbird 0cnd climcncf wf cmin wa nfv nfan cfn adantr simplr subcld
      adantlr fprodclf fcompt syl2anc fvmpt2 fveq2d cvv oveq2 prodeq2ad fvmptd3
      id prodex eqtr2d mpteq2dva eqtrd eqtr4d ad2antlr subid1d ralrimi prodeq2d
      ex fvmptd breq12d mpbid ) AHIUAZPHUBZUCUDECDFUEZUCUDAQQPHIUJRUFAUGABCDFHJ
      KLNUHAGRUJGUKZUIULZQIXERSZXFQSZAXGXFXGUJXEUJUMSXGUNVDXEUOUPUQZURZOUSZAIPU
      CUDGRXFUTZPUCUDZAUJQSXMAVAUJGVBVEAIXLPUCIXLTAOVDVCVFAVGZVHAXBEXCXDUCAXBGR
      XEIUBZHUBZUTZEAQQHVIRQIVIXBXQTABQCDBUKZVJULZFUEZQHAXRQSZVKZCXSFAYAFJYAFVL
      VMACVNSYAKVOYBFUKCSZVKDXRAYCDQSYALVRAYAYCVPVQVSNUSXKGHIRQQVTWAAEGRCDXFVJU
      LZFUEZUTZXQEYFTAMVDAGRYEXPAXGVKZXPXFHUBZYEXGXPYHTAXGXOXFHXGXGXHXOXFTXGWHX
      IGRXFQIOWBWAWCURYGBXFXTYEQHWDNXRXFTCXSYDFXRXFDVJWEWFXJYEWDSYGCYDFWIVDWGWJ
      WKWLWMABPXTXDQHWDHBQXTUTTANVDAXRPTZVKZCXSDFYJXSDTZFCAYIFJYIFVLVMYJYCYKYJY
      CVKXSDPVJULZDYIXSYLTAYCXRPDVJWEWNAYCYLDTYIAYCVKDLWOVRWLWRWPWQXNXDWDSACDFW
      IVDWSWTXA $.
  $}

  ${
    $d A n x $.  $d X k n x $.  $d m n $.  $d n ph x $.
    fprodsubrecnncnv.1 $e |- F/ k ph $.
    fprodsubrecnncnv.2 $e |- ( ph -> X e. Fin ) $.
    fprodsubrecnncnv.3 $e |- ( ( ph /\ k e. X ) -> A e. CC ) $.
    fprodsubrecnncnv.4 $e |- S = ( n e. NN |-> prod_ k e. X ( A - ( 1 / n ) ) )
       $.
    $( The sequence ` S ` of finite products, where every factor is subtracted
       an "always smaller" amount, converges to the finite product of the
       factors.  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    fprodsubrecnncnv $p |- ( ph -> S ~~> prod_ k e. X A ) $=
      ( vx vm cc cv cmin co cmpt cn c1 cdiv cprod cbvmptv fprodsubrecnncnvlem
      eqid oveq2 ) AKFBCDEKMFBKNOPDUAQZLRSLNZTPZQGHIJUFUDLERUHSENZTPUGUISTUEUBU
      C $.
  $}

  ${
    $d A k x $.  $d B x $.  $d F n $.  $d G n $.  $d k n x $.  $d n ph x $.
    fprodaddrecnncnvlem.k $e |- F/ k ph $.
    fprodaddrecnncnvlem.a $e |- ( ph -> A e. Fin ) $.
    fprodaddrecnncnvlem.b $e |- ( ( ph /\ k e. A ) -> B e. CC ) $.
    fprodaddrecnncnvlem.s $e |- S = ( n e. NN |-> prod_ k e. A ( B + ( 1 / n )
       ) ) $.
    fprodaddrecnncnvlem.f $e |- F = ( x e. CC |-> prod_ k e. A ( B + x ) ) $.
    fprodaddrecnncnvlem.g $e |- G = ( n e. NN |-> ( 1 / n ) ) $.
    $( The sequence ` S ` of finite products, where every factor is added an
       "always smaller" amount, converges to the finite product of the factors.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    fprodaddrecnncnvlem $p |- ( ph -> S ~~> prod_ k e. A B ) $=
      ( cc0 cc cn wcel wceq ccom cfv cli wbr cprod nnuz 1zzd fprodadd2cncf cdiv
      c1 cv co crp 1rp nnrp rpdivcld rpcnd adantl fmptd cmpt 1cnd divcnv breq1d
      a1i syl mpbird 0cnd climcncf wf caddc wa nfv adantr adantlr simplr addcld
      nfan cfn fprodclf fcompt syl2anc fvmpt2 fveq2d cvv oveq2 prodeq2ad prodex
      id fvmptd3 eqtr2d mpteq2dva eqtrd eqtr4d ad2antlr addid1d prodeq2d fvmptd
      ex ralrimi breq12d mpbid ) AHIUAZPHUBZUCUDECDFUEZUCUDAQQPHIUJRUFAUGABCDFH
      JKLNUHAGRUJGUKZUIULZQIXERSZXFQSZAXGXFXGUJXEUJUMSXGUNVDXEUOUPUQZURZOUSZAIP
      UCUDGRXFUTZPUCUDZAUJQSXMAVAUJGVBVEAIXLPUCIXLTAOVDVCVFAVGZVHAXBEXCXDUCAXBG
      RXEIUBZHUBZUTZEAQQHVIRQIVIXBXQTABQCDBUKZVJULZFUEZQHAXRQSZVKZCXSFAYAFJYAFV
      LVQACVRSYAKVMYBFUKCSZVKDXRAYCDQSYALVNAYAYCVOVPVSNUSXKGHIRQQVTWAAEGRCDXFVJ
      ULZFUEZUTZXQEYFTAMVDAGRYEXPAXGVKZXPXFHUBZYEXGXPYHTAXGXOXFHXGXGXHXOXFTXGWH
      XIGRXFQIOWBWAWCURYGBXFXTYEQHWDNXRXFTCXSYDFXRXFDVJWEWFXJYEWDSYGCYDFWGVDWIW
      JWKWLWMABPXTXDQHWDHBQXTUTTANVDAXRPTZVKZCXSDFYJXSDTZFCAYIFJYIFVLVQYJYCYKYJ
      YCVKXSDPVJULZDYIXSYLTAYCXRPDVJWEWNAYCYLDTYIAYCVKDLWOVNWLWRWSWPXNXDWDSACDF
      WGVDWQWTXA $.
  $}

  ${
    $d A n x $.  $d X k n x $.  $d m n $.  $d n ph x $.
    fprodaddrecnncnv.1 $e |- F/ k ph $.
    fprodaddrecnncnv.2 $e |- ( ph -> X e. Fin ) $.
    fprodaddrecnncnv.3 $e |- ( ( ph /\ k e. X ) -> A e. CC ) $.
    fprodaddrecnncnv.4 $e |- S = ( n e. NN |-> prod_ k e. X ( A + ( 1 / n ) ) )
       $.
    $( The sequence ` S ` of finite products, where every factor is added an
       "always smaller" amount, converges to the finite product of the factors.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    fprodaddrecnncnv $p |- ( ph -> S ~~> prod_ k e. X A ) $=
      ( vx vm cc cv caddc co cmpt cn c1 cdiv cprod cbvmptv fprodaddrecnncnvlem
      eqid oveq2 ) AKFBCDEKMFBKNOPDUAQZLRSLNZTPZQGHIJUFUDLERUHSENZTPUGUISTUEUBU
      C $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Derivatives
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.  $d N x $.  $d N y $.  $d ph x $.  $d ph y $.
    dvsinexp.5 $e |- ( ph -> N e. NN ) $.
    $( The derivative of sin^N .  (Contributed by Glauco Siliprandi,
       29-Jun-2017.) $)
    dvsinexp $p |- ( ph -> ( CC _D ( x e. CC |-> ( ( sin ` x ) ^ N ) ) ) =
      ( x e. CC |-> ( ( N x. ( ( sin ` x ) ^ ( N - 1 ) ) ) x. ( cos ` x ) ) ) )
                 $=
      ( vy cv csin cfv ccos cexp co cmul cc wcel a1i ffvelrnda adantr cdv cmpt
      wf c1 cmin cr cpr cnelprrecn sinf cosf wa simpr cn0 nnnn0d expcld nnm1nn0
      nncnd cn syl mulcld dvsin feqmptd oveq2d 3eqtr3a wceq dvexp oveq1 dvmptco
      ) ABEBFZGHZVFIHZEFZCJKZCVICUAUBKZJKZLKZMMVGCJKCVGVKJKZLKMMMMMUCMUDNAUEOZV
      OAMMVFGMMGTAUFOZPAMMVFIMMITAUGOZPAVIMNZUHZVICAVRUIZACUJNVRACDUKQULVSCVLAC
      MNVRACDUNQVSVIVKVTAVKUJNZVRACUONZWADCUMUPQULUQAMGRKIMBMVGSZRKBMVHSURAGWCM
      RABMMGVPUSUTABMMIVQUSVAAWBMEMVJSRKEMVMSVBDECVCUPVIVGCJVDVIVGVBVLVNCLVIVGV
      KJVDUTVE $.
  $}

  $( The real derivative of the cosine.  (Contributed by Glauco Siliprandi,
     29-Jun-2017.) $)
  dvcosre $p |- ( RR _D ( x e. RR |-> ( cos ` x ) ) ) =
    ( x e. RR |-> -u ( sin ` x ) ) $=
    ( cr ccos cres cdv co cc cfv cmpt csin wcel wss wceq cosf reseq1i ax-resscn
    cv ax-mp resmpt eqtri cneg cpr wf cdm reelprrecn ssid crab wi nfrab1 dfss2f
    cvv nfcv recn sincld negcld elex rabid sylanbrc mpgbir dvcos dmmpt sseqtrri
    syl dvres3 mp4an wfn ffn dffn5 mpbi oveq2i 3eqtr3i ) BCBDZEFZGCEFZBDZBABAQZ
    CHZIZEFABVPJHZUAZIZBBGUBKGGCUCZGGLBVNUDZLVMVOMUENGUFBVTUKKZAGUGZWCBWELVPBKZ
    VPWEKZUHAABWEABULWDAGUIUJWFVPGKWDWGVPUMZWFVTGKWDWFVSWFVPWHUNUOVTGUPVCWDAGUQ
    URUSAGVTVNAUTZVAVBGBCVDVEVLVRBEVLAGVQIZBDZVRCWJBCGVFZCWJMWBWLNGGCVGRAGCVHVI
    OBGLZWKVRMPAGBVQSRTVJVOAGVTIZBDZWAVNWNBWIOWMWOWAMPAGBVTSRTVK $.

  ${
    $d A w y $.
    $( Derivative exercise: the derivative with respect to y of sin(Ay), given
       a constant ` A ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dvsinax $p |- ( A e. CC -> ( CC _D ( y e. CC |-> ( sin ` ( A x. y ) ) ) ) =
       ( y e. CC |-> ( A x. ( cos ` ( A x. y ) ) ) ) ) $=
      ( vw cc wcel cmul csin cfv cmpt cdv ccos wceq a1i syl2anc eqidd cdm eqtrd
      co cvv c1 cv ccom cof wf mulcl fmpttd fcompt wa oveq2 adantl simpr fvmptd
      sinf fveq2d mpteq2dva cbvmptv 3eqtrrd oveq2d cr cpr cnelprrecn dvsin cosf
      dmeqi fdmi eqtri csn cxp id oveq2i cnex snex xpexd mptex offval3 fconst6g
      cin fdmd eqid fmpti ineq12d inidm mpteq1d fvconst2g oveq12d dvmptid mptru
      wtru wral ax-1cn rgenw fmpt mpbi dvcmulf dmeqd ovexd fveq1i mpan2 eqeltrd
      adantr dmmptd 3eqtrd dvcof ccncf coscn crn wss frnd sseqtrrd dmcosseq syl
      coexg ovex dmmpti coscld simpl mulcomd coeq1i fveq1d wfun ffund eleqtrrdi
      fvco cc0 caddc 0cnd dvmptc dvmptmul mul02d mulid2d addid2d 3eqtr4d ) BDEZ
      DADBAUAZFRZGHZIZJRDGADYOIZUBZJRDGJRZYRUBZDYRJRZFUCZRZADBYOKHZFRZIZYMYQYSD
      JYMYSCDCUAZYRHZGHZIZCDBUUHFRZGHZIZYQYMDDGUDZDDYRUDYSUUKLUUOYMUMMZYMADYODB
      YNUEUFZCGYRDDDUGNYMCDUUJUUMYMUUHDEZUHZUUIUULGUUSAUUHYOUULDYRDUUSYROYNUUHL
      ZYOUULLUUSYNUUHBFUIZUJYMUURUKZBUUHUEZULZUNUOUUNYQLYMCADUUMYPUUHYNLZUULYOG
      UUHYNBFUIUNUPMUQURYMDDGYRDDDUSDUTEZYMVAMZUVGUUPUUQYTPZDLYMUVHKPDYTKVBVDDD
      KVCVEVFMZYMUUBPZDBVGZVHZDADYNIZJRZUUCRZPCUVLPZUVNPZVQZUUHUVLHZUUHUVNHZFRZ
      IZPZDYMUUBUVOYMUUBDUVLUVMUUCRZJRUVOYMYRUWDDJYMUWDUVLCDUUHIZUUCRZAUVPUWEPZ
      VQZYNUVLHZYNUWEHZFRZIZYRUWDUWFLYMUVMUWEUVLUUCACDYNUUHUUTVIUPVJMYMUVLSEZUW
      ESEZUWFUWLLYMDUVKSSDSEYMVKMUVKSEYMBVLMVMZUWNYMCDUUHVKVNMAFUVLUWESSVONYMUW
      LADUWKIYRYMAUWHDUWKYMUWHDDVQZDYMUVPDUWGDYMDDUVLDBDVPVRZUWGDLYMDDUWECDDUUH
      UWEUWEVSUURVIZVTVEMWAUWPDLYMDWBMZQWCYMADUWKYOYMYNDEZUHZUWIBUWJYNFDBYNDWDU
      WTUWJYNLYMUWTCYNUUHYNDUWEDUWTUWEOUWTUVEUKUWTVIZUXBULUJWEUOQUQURYMBDUVMDUV
      GDDUVMUDYMADDYNUVMUVMVSUXBVTMYMVIZUVQDLYMUVQADTIZPDUVNUXDUVNUXDLZWHADUVFW
      HVAMWFWGZVDDDUXDTDEZADWIDDUXDUDUXGADWJWKADDTUXDUXDVSWLWMVEVFMZWNQWOYMUVOU
      WBYMUWMUVNSEUVOUWBLUWOYMDUVMJWPCFUVLUVNSSVONWOYMUWCCDUWAIZPDYMUWBUXIYMCUV
      RDUWAYMUVRUWPDYMUVPDUVQDUWQUXHWAUWSQWCWOYMCUXIDUWADUXIVSUUSUWABTFRZDUUSUV
      SBUVTTFDBUUHDWDUURUVTTLYMUURUVTUUHUXDHZTUVTUXKLUURUUHUVNUXDUXFWQMUURAUUHT
      TDUXDDUURUXDOUURUUTUHTOUWRUXGUURWJMULQUJWEYMUXJDEZUURYMUXGUXLWJBTUEWRWTWS
      XAQXBZXCYMUUDCUUAPZUVJVQZUUHUUAHZUUHUUBHZFRZIZCDUXRIZUUGYMUUASEZUUBSEUUDU
      XSLYMYTDDXDRZEYRSEZUYAYMYTKUYBYTKLYMVBMKUYBEYMXEMWSUYCYMADYOVKVNMYTYRUYBS
      XLNYMDYRJWPCFUUAUUBSSVONYMCUXODUXRYMUXOUWPDYMUXNDUVJDYMUXNYRPZDYMYRXFZUVH
      XGUXNUYDLYMUYEDUVHYMDDYRUUQXHUVIXIYTYRXJXKUYDDLYMADYOYRBYNFXMYRVSXNZMQUXM
      WAUWSQWCYMCDUULKHZBFRZICDBUYGFRZIZUXTUUGYMCDUYHUYIUUSUYGBUUSUULUVCXOYMUUR
      XPZXQUOYMCDUXRUYHUUSUXPUYGUXQBFUUSUXPUUHKYRUBZHZUUIKHZUYGUUSUUHUUAUYLUUAU
      YLLUUSYTKYRVBXRMXSUUSYRXTZUUHUYDEUYMUYNLYMUYOUURYMDDYRUUQYAWTUUSUUHDUYDUV
      BUYFYBUUHKYRYCNUUSUUIUULKUVDUNXBUUSAUUHBBDUUBDYMUUBADBIZLUURYMUUBADYDYNFR
      ZTBFRZYERZIUYPYMABYDYNTDDDDUVGYMUWTXPZUXAYFYMABDUVGUXCYGYMUWTUKZUXGUXAWJM
      UXEYMUXFMYHYMADUYSBUXAUYSYDBYERBUXAUYQYDUYRBYEUXAYNVUAYIUXABUYTYJWEUXABUY
      TYKQUOQWTUUSUUTUHBOUVBUYKULWEUOUUGUYJLYMACDUUFUYIUUTUUEUYGBFUUTYOUULKUVAU
      NURUPMYLXBXB $.
  $}

  ${
    $d F x $.  $d G x $.  $d S x $.  $d X x $.  $d ph x $.
    dvsubf.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvsubf.f $e |- ( ph -> F : X --> CC ) $.
    dvsubf.g $e |- ( ph -> G : X --> CC ) $.
    dvsubf.fdv $e |- ( ph -> dom ( S _D F ) = X ) $.
    dvsubf.gdv $e |- ( ph -> dom ( S _D G ) = X ) $.
    $( The subtraction rule for everywhere-differentiable functions.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dvsubf $p |- ( ph -> ( S _D ( F oF - G ) ) = ( ( S _D F ) oF - ( S _D G ) )
       ) $=
      ( vx cfv cmin co cmpt cdv cc ffvelrnda wf feqmptd cv cof cdm cr wcel dvfg
      cpr syl feq2d mpbid oveq2d eqtr3d dvmptsub ovex eqeltrrdi offval2 3eqtr4d
      cvv dmex ) ABKEKUAZCLZUTDLZMNOZPNKEUTBCPNZLZUTBDPNZLZMNOBCDMUBZNZPNVDVFVH
      NAKVAVEVBVGBQQEFAEQUTCGRZAEQUTVDAVDUCZQVDSZEQVDSABUDQUGUEZVLFBCUFUHAVKEQV
      DIUIUJZRZAVDBKEVAOZPNKEVEOACVPBPAKEQCGTZUKAKEQVDVNTZULAEQUTDHRZAEQUTVFAVF
      UCZQVFSZEQVFSAVMWAFBDUFUHAVTEQVFJUIUJZRZAVFBKEVBOZPNKEVGOADWDBPAKEQDHTZUK
      AKEQVFWBTZULUMAVIVCBPAKEVAVBMCDURQQAEVKURIVDBCPUNUSUOZVJVSVQWEUPUKAKEVEVG
      MVDVFURQQWGVOWCVRWFUPUQ $.
  $}

  ${
    $d A x $.  $d B x $.  $d S x $.  $d ph x $.
    dvmptconst.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvmptconst.a $e |- ( ph -> A e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    dvmptconst.b $e |- ( ph -> B e. CC ) $.
    $( Function-builder for derivative: derivative of a constant.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    dvmptconst $p |- ( ph -> ( S _D ( x e. A |-> B ) ) = ( x e. A |-> 0 ) ) $=
      ( cc0 cfv cr cc wcel wa ctopon wss eqid wceq wi syl2anc ctopn crest co cv
      ccnfld adantr 0red dvmptc cnfldtopon a1i wo ax-resscn sseq1 mpbiri eqimss
      pm3.2i cpr elpri syl pm3.44 mpsyl resttopon toponss dvmptres ) ABDIEUEUAJ
      ZEUBUCZVEKECFADLMBUDEMZHUFAVGNUGABDEFHUHAVFEOJMZCVFMCEPAVELOJMZELPZVHVIAV
      EVEQZUIUJEKRZVJSZELRZVJSZNAVLVNUKZVJVMVOVLVJKLPULEKLUMUNELUOUPAEKLUQMVPFE
      KLURUSVJVLVNUTVAEVELVBTGCVFEVCTVFQVKGVD $.
  $}

  $( From compex differentiation to real differentiation.  (Contributed by
     Glauco Siliprandi, 11-Dec-2019.) $)
  dvcnre $p |- ( ( F : CC --> CC /\ RR C_ dom ( CC _D F ) ) -> ( RR _D ( F |`
     RR ) ) = ( ( CC _D F ) |` RR ) ) $=
    ( cc wf cr cdv co cdm wss wa cpr wcel cres reelprrecn a1i simpl ssidd simpr
    wceq dvres3 syl22anc ) BBACZDBAEFZGHZIZDDBJKZUABBHUCDADLEFUBDLRUEUDMNUAUCOU
    DBPUAUCQBDAST $.

  ${
    $d A x $.  $d S x $.  $d ph x $.
    dvmptidg.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvmptidg.a $e |- ( ph -> A e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    $( Function-builder for derivative: derivative of the identity.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dvmptidg $p |- ( ph -> ( S _D ( x e. A |-> x ) ) = ( x e. A |-> 1 ) ) $=
      ( cv c1 ccnfld cfv cr cc wceq wss wi wa wcel ctopon eqid syl2anc ctopn co
      crest wo ax-resscn sseq1 mpbiri eqimss pm3.2i cpr elpri syl pm3.44 sselda
      mpsyl 1red dvmptid cnfldtopon a1i resttopon toponss dvmptres ) ABBGZHDIUA
      JZDUCUBZVDKDCEADLVCDKMZDLNZOZDLMZVGOZPAVFVIUDZVGVHVJVFVGKLNUEDKLUFUGDLUHU
      IADKLUJQVKEDKLUKULVGVFVIUMUOZUNAVCDQPUPABDEUQAVEDRJQZCVEQCDNAVDLRJQZVGVMV
      NAVDVDSZURUSVLDVDLUTTFCVEDVATVESVOFVB $.
  $}

  ${
    dvresntr.s $e |- ( ph -> S C_ CC ) $.
    dvresntr.x $e |- ( ph -> X C_ S ) $.
    dvresntr.f $e |- ( ph -> F : X --> CC ) $.
    dvresntr.j $e |- J = ( K |`t S ) $.
    dvresntr.k $e |- K = ( TopOpen ` CCfld ) $.
    dvresntr.i $e |- ( ph -> ( ( int ` J ) ` X ) = Y ) $.
    $( Function-builder for derivative: expand the function from an open set to
       its closure.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dvresntr $p |- ( ph -> ( S _D F ) = ( S _D ( F |` Y ) ) ) $=
      ( cres cdv co cfv cc wss wceq cnt wf syl22anc wfn ffn fnresdm 3syl oveq2d
      dvres ctop wcel cuni crest cnfldtopon resttopon sylancr eqeltrid topontop
      ctopon toponuni sseqtrd eqid ntridm syl2anc fveq2d 3eqtr3d reseq2d ntrss2
      syl eqsstrrd sstrd 3eqtr4rd ) ABCFNZOPZBCOPZFDUAQZQZNZVOBCGNOPZABRSZFRCUB
      ZFBSZWBVNVRTHJIIFFBDCELKUIUCAVMCBOAWACFUDVMCTJFRCUEFCUFUGUHAVOGVPQZNZVOGN
      VSVRAWCGVOAVQVPQZVQWCGADUJUKZFDULZSZWEVQTADBUSQZUKZWFADEBUMPZWIKAERUSQUKV
      TWKWIUKELUNHBERUOUPUQZBDURVIZAFBWGIAWJBWGTWLBDUTVIVAZFDWGWGVBZVCVDAVQGVPM
      VEMVFVGAVTWAWBGBSVSWDTHJIAGFBAGVQFMAWFWHVQFSWMWNFDWGWOVHVDVJIVKFGBDCELKUI
      UCAVQGVOMVGVLVF $.
  $}

  ${
    $d F a b c d w x y $.  $d F x y z $.  $d G a b c d w y $.  $d G y z $.
    $d T a b c d w x y $.  $d T x y z $.  $d a b c d ph w x y $.
    fperdvper.f $e |- ( ph -> F : RR --> CC ) $.
    fperdvper.t $e |- ( ph -> T e. RR ) $.
    fperdvper.fper $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x ) )
       $.
    fperdvper.g $e |- G = ( RR _D F ) $.
    $( The derivative of a periodic function is periodic.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    fperdvper $p |- ( ( ph /\ x e. dom G ) -> ( ( x + T ) e. dom G /\ ( G ` ( x
       + T ) ) = ( G ` x ) ) ) $=
      ( wcel wa co cfv wceq cr cmin adantr cc cabs clt vz vy vw vc vb va vd cdm
      cv caddc wbr cdv cioo crn ctg cnt cdif cdiv cmpt climc dvbsss id eleqtrdi
      csn dmeqi sselid adantl readdcld reopn wss wb ssidd eqcomd eleqtrd a1i wf
      wfun funbrfv2b syl mpbir2and tgioo4 eqid ax-resscn eldv mpbid wne wi wral
      crp wrex eqidd fveq2 oveq1d oveq1 oveq12d eldifi recnd fveq2d resubcld ex
      cvv eleq1 anbi2d fvoveq1 eqeq12d imbi12d adantlr simpll ad2antlr ffvelrnd
      simpr subcld eldifsni fvmptd fvoveq1d ad4ant13 neeq1 breq1d imbrov2fvoveq
      syl2anc anbi12d simpllr ad4antr rspcdva ad2antrr eqbrtrd jca mpd adantllr
      wn eldifd adantrl ralrimiva ovexd pnpcan2d fmpttd ssdifssd ellimc3 mpbird
      dvlem ctop retop uniretop isopn3 sylancr mpbii fveq1i eqcomi ax-mp ccnfld
      dvf ffun ctopn simprd npcand ovex imdistani vtoclg mpsyl subsub4d addcomd
      eqtrd oveq2d eqtr2d sylan9eqr subadd2d neneqd neqned subne0d divcld elsni
      pm2.65da nsyl chvarvv addneintr2d impbida rexbidv ralbidv 3bitr4d cbvmptv
      nelsn eqrdv oveq1i eqtrdi breqd funeqd ) ABUIZEUHZJZKZUWGCUJLZUWGEMZEUKZU
      WKUWHJUWKEMUWLNKZUWJUWMUWKUWLODULLZUKZUWJUWPUWKOUMUNUOMZUPMMZJZUWLUAOUWKV
      DZUQZUAUIZDMZUWKDMZPLZUXBUWKPLZURLZUSZUWKUTLZJZUWJUWKOUWRUWJUWGCUWIUWGOJZ
      AUWIUWOUHZOUWGODVAUWIUWGUWHUXLUWIVBEUWOIVEVCZVFZVGZACOJZUWIGQVHZUWJUWROUW
      JOUWQJZUWRONZVIUWJUWQUUAJOOVJUXRUXSVKUUBUWJOVLZOUWQOUUCUUDUUEUUFVMVNUWJUW
      LUBOUWGVDZUQZUBUIZDMZUWGDMZPLZUYCUWGPLZURLZUSZUWGUTLZUXIUWJUWGUWRJZUWLUYJ
      JZUWJUWGUWLUWOUKZUYKUYLKUWJUYMUWGUXLJZUWGUWOMZUWLNZUWIUYNAUXMVGUYPUWJUWLU
      YOUWGEUWOIUUGUUHVOAUYMUYNUYPKVKZUWIAUWOVQZUYQUYRAUXLRUWOVPUYRDUUKUXLRUWOU
      ULUUIVOZUWGUWLUWOVRVSQVTUWJUBOUWGUWLOUWQDUYIUUJUUMMZWAUYTWBZUYIWBORVJZUWJ
      WCVOZAORDVPZUWIFQZUXTWDWEUUNUWJUYJUBUXAUYDUXDPLZUYCUWKPLZURLZUSZUWKUTLZUX
      IUWJUCUYJVUJUWJUCUIZRJZUDUIZUWGWFZVUMUWGPLZSMZUEUIZTUKZKZVUMUYIMZVUKPLSMZ
      UFUIZTUKZWGZUDUYBWHZUEWIWJZUFWIWHZKVULUGUIZUWKWFZVVHUWKPLZSMZVUQTUKZKZVVH
      VUIMZVUKPLSMZVVBTUKZWGZUGUXAWHZUEWIWJZUFWIWHZKVUKUYJJVUKVUJJUWJVVGVVTVULU
      WJVVFVVSUFWIUWJVVEVVRUEWIUWJVVEVVRUWJVVEKZVVQUGUXAVWAVVHUXAJZKZVVMVVPVWCV
      VMKVVOVVHCPLZDMZUYEPLZVWDUWGPLZURLZVUKPLSMZVVBTUWJVWBVVOVWINVVEVVMUWJVWBK
      ZVVNVWHVUKSPVWJUBVVHVUHVWHUXAVUIRVWJVUIWKUYCVVHNZVWJVUHVVHDMZUXDPLZVVJURL
      VWHVWKVUFVWMVUGVVJURVWKUYDVWLUXDPUYCVVHDWLWMUYCVVHUWKPWNWOVWJVWMVWFVVJVWG
      URVWJVWLVWEUXDUYEPAVWBVWLVWENUWIAVWBKZVWLVWDCUJLZDMZVWEVWNVVHVWODVWNVWOVV
      HVWNVVHCVWBVVHRJZAVWBVVHVVHOUWTWPZWQZVGACRJZVWBACGWQZQUUOVMWRVWDXAJVWNAVW
      DOJZKZVWPVWENZVVHCPUUPAVWBVXBAVWBVXBVWNVVHCVWBVVHOJZAVWRVGAUXPVWBGQWSZWTU
      UQAUXKKZUXDUYENZWGZVXCVXDWGBVWDXAUWGVWDNZVXGVXCVXHVXDVXJUXKVXBAUWGVWDOXBX
      CVXJUXDVWPUYEVWEUWGVWDCDUJXDUWGVWDDWLXEXFHUURUUSUVBXGVWJAUXKVXHAUWIVWBXHZ
      UWIUXKAVWBUXNXIHXTWOVWJVWGVVHCUWGUJLZPLVVJVWJVVHCUWGVWBVWQUWJVWSVGZVWJAVW
      TVXKVXAVSZUWJUWGRJZVWBUWJUWGUXOWQZQZUUTVWJVXLUWKVVHPVWJCUWGVXNVXQUVAUVCUV
      DZWOUVEUWJVWBXKVWJVWFVWGVWJVWEUYEAVWBVWERJUWIVWNORVWDDAVUDVWBFQVXFXJXGUWJ
      UYERJVWBUWJORUWGDVUEUXOXJQXLVWJVWDUWGVWJVVHCVXMVXNXLZVXQXLVWJVWDUWGVXSVXQ
      VWJVWDUWGVWJVWDUWGNZVVHUWKNVWJVXTKZUWKVVHVYAVXTUWKVVHNVWJVXTXKVYAVVHCUWGV
      WBVWQUWJVXTVWSXIVWJVWTVXTVXNQVWJVXOVXTVXQQUVFWEVMVYAVVHUWKVWBVVIUWJVXTVVH
      OUWKXMXIUVGUVLZUVHZUVIUVJZXNXOXPVWCVVLVWIVVBTUKZVVIVWCVVLKZVWDUWGWFZVWGSM
      ZVUQTUKZKZVWDUYIMZVUKPLSMZVVBTUKZWGZVYEVYFVVDVYNUDUYBVWDVUSVYJVVBTPSUYIVU
      KVUMVWDVUMVWDNZVUNVYGVURVYIVUMVWDUWGXQVYOVUPVYHVUQTVUMVWDUWGSPXDXRYAXSUWJ
      VVEVWBVVLYBVYFVWDOUYAVYFVVHCVWBVXEVWAVVLVWRXIAUXPUWIVVEVWBVVLGYCWSUWJVWBV
      WDUYAJZYJVVEVVLVWJVXTVYPVYBVWDUWGUVKUVMZXPYKYDUWJVWBVVLVYNVYEWGVVEVWJVVLK
      ZVYNVYEVYRVYNKZVWIVYLVVBTVYSVWHVYKVUKSPVWJVWHVYKNVVLVYNVWJVYKVWHVWJUBVWDU
      YHVWHUYBUYIRVWJUYIWKVWJUYCVWDNZKZUYFVWFUYGVWGURWUAUYDVWEUYEPWUAUYCVWDDVWJ
      VYTXKZWRWMWUAUYCVWDUWGPWUBWMWOVWJVWDOUYAVWJVVHCVWBVXEUWJVWRVGVWJAUXPVXKGV
      SWSVYQYKVYDXNVMYEXOVYSVYJVYMVYRVYJVYNVYRVYGVYIVWJVYGVVLVYCQVYRVYHVVKVUQTV
      YRVWGVVJSVWJVWGVVJNVVLVWJVVJVWGVXRVMQWRVWJVVLXKYFYGQVYRVYNXKYHYFWTYIYHYLY
      FWTYMUWJVVRKZVVDUDUYBWUCVUMUYBJZKZVUSVVCWUEVUSKVVAVUMDMZUYEPLZVUOURLZVUKP
      LSMZVVBTWUDVVAWUINWUCVUSWUDVUTWUHVUKSPWUDUBVUMUYHWUHUYBUYIXAWUDUYIWKUYCVU
      MNZUYHWUHNWUDWUJUYFWUGUYGVUOURWUJUYDWUFUYEPUYCVUMDWLWMUYCVUMUWGPWNWOVGWUD
      VBWUDWUGVUOURYNXNXOXIWUEVURWUIVVBTUKVUNWUEVURKZWUIVUMCUJLZDMZUXDPLZWULUWK
      PLZURLZVUKPLSMZVVBTUWJWUDWUIWUQNVVRVURUWJWUDKZWUHWUPVUKSPWURWUGWUNVUOWUOU
      RWURWUFWUMUYEUXDPWURAVUMOJZWUFWUMNAUWIWUDXHZWUDWUSUWJVUMOUYAWPZVGZAWUSKZW
      UMWUFVXIWVCWUMWUFNZWGBUDUWGVUMNZVXGWVCVXHWVDWVEUXKWUSAUWGVUMOXBXCWVEUXDWU
      MUYEWUFUWGVUMCDUJXDUWGVUMDWLXEXFHUVNVMXTWURUXDUYEWURAUXKVXHWUTUWIUXKAWUDU
      XNXIHXTVMWOWURWUOVUOWURVUMUWGCWURVUMWVBWQZUWJVXOWUDVXPQZWURAVWTWUTVXAVSZY
      OVMWOXOXPWUKWULUWKWFZWUOSMZVUQTUKZKZWULVUIMZVUKPLSMZVVBTUKZWGZWUQVVBTUKZW
      UKVVQWVPUGUXAWULVVMWVLVVBTPSVUIVUKVVHWULVVHWULNZVVIWVIVVLWVKVVHWULUWKXQWV
      RVVKWVJVUQTVVHWULUWKSPXDXRYAXSUWJVVRWUDVURYBWUKWULOUWTWUKVUMCWUDWUSWUCVUR
      WVAXIAUXPUWIVVRWUDVURGYCVHWUKWVIWULUWTJYJZUWJWUDWVIVVRVURWURVUMUWGCWVFWVG
      WVHWUDVUNUWJVUMOUWGXMVGUVOZXPWULUWKUWAZVSYKYDUWJWUDVURWVPWVQWGVVRWURVURKZ
      WVPWVQWWBWVPKZWUQWVNVVBTWWCWUPWVMVUKSPWURWUPWVMNVURWVPWURWVMWUPWURUBWULVU
      HWUPUXAVUIXAWURVUIWKUYCWULNZVUHWUPNWURWWDVUFWUNVUGWUOURWWDUYDWUMUXDPUYCWU
      LDWLWMUYCWULUWKPWNWOVGWURWULOUWTWURVUMCWVBWURAUXPWUTGVSVHWURWVIWVSWVTWWAV
      SYKWURWUNWUOURYNXNVMYEXOWWCWVLWVOWWBWVLWVPWWBWVIWVKWURWVIVURWVTQWWBWVJVUP
      VUQTWWBWUOVUOSWWBVUMUWGCWUDVUMRJUWJVURWUDVUMWVAWQXIWURVXOVURWVGQWURVWTVUR
      WVHQYOWRWURVURXKYFYGQWWBWVPXKYHYFWTYIYHYFYLYFWTYMUVPUVQUVRXCUWJUFUEUDUYBU
      WGVUKUYIUWJUBUYBUYHRUWJUYCUWGODVUEVUCUXOYTYPUWJORUYAVUCYQVXPYRUWJUFUEUGUX
      AUWKVUKVUIUWJUBUXAVUHRUWJUYCUWKODVUEVUCUXQYTYPUWJORUWTVUCYQUWJUWKUXQWQYRU
      VSUWBVUIUXHUWKUTUBUAUXAVUHUXGUYCUXBNZVUFUXEVUGUXFURWWEUYDUXCUXDPUYCUXBDWL
      WMUYCUXBUWKPWNWOUVTUWCUWDVNAUWPUWSUXJKVKUWIAUAOUWKUWLOUWQDUXHUYTWAVUAUXHW
      BVUBAWCVOFAOVLWDQVTUWJEUWOUWKUWLEUWONZUWJIVOUWEYSUWJEVQZUWMUWNVKAWWGUWIAW
      WGUYRUYSAEUWOWWFAIVOUWFYSQUWKUWLEVRVSWE $.
  $}

  ${
    $d A y $.  $d B y $.
    $( Derivative exercise: the derivative with respect to y of A x sin(By),
       given two constants ` A ` and ` B ` .  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    dvasinbx $p |- ( ( A e. CC /\ B e. CC ) -> ( CC _D ( y e. CC |-> ( A x. (
       sin ` ( B x. y ) ) ) ) ) = ( y e. CC |-> ( ( A x. B ) x. ( cos ` ( B x.
       y ) ) ) ) ) $=
      ( cc wcel wa cmul co cfv cmpt cdv cc0 caddc cnelprrecn a1i adantr adantll
      wceq mulcld eqtrd cv csin ccos cr cpr simpll id dvmptc mulcl sincld simpl
      coscld dvsinax adantl dvmptmul mul02d mul32d simpr mulcomd oveq1d oveq12d
      0cnd addid2d mpteq2dva ) BDEZCDEZFZDADBCAUAZGHZUBIZGHJKHADLVJGHZCVIUCIZGH
      ZBGHZMHZJADBCGHZVLGHZJVGABLVJVMDDDDDUDDUEEZVGNOVEVFVHDEZUFZVGVSFZVBVEDADB
      JKHADLJRVFVEABDVRVENOVEUGUHPVFVSVJDEVEVFVSFZVICVHUIZUJQZVFVSVMDEVEWBCVLVF
      VSUKZWBVIWCULZSQVFDADVJJKHADVMJRVEACUMUNUOVGADVOVQWAVOLVQMHVQWAVKLVNVQMWA
      VJWDUPWAVNCBGHZVLGHVQWACVLBVFVSVFVEWEQZVFVSVLDEVEWFQZVTUQWAWGVPVLGVGWGVPR
      VSVGCBVEVFURVEVFUKUSPUTTVAWAVQWAVPVLWABCVTWHSWISVCTVDT $.
  $}

  $( Restriction of a derivative to an open interval.  (Contributed by Glauco
     Siliprandi, 11-Dec-2019.) $)
  dvresioo $p |- ( ( A C_ RR /\ F : A --> CC ) -> ( RR _D ( F |` ( B (,) C ) )
     ) = ( ( RR _D F ) |` ( B (,) C ) ) ) $=
    ( cr wss cc wf wa cioo co cres cdv crn ctg cfv cnt wceq ax-resscn a1i simpr
    simpl ioossre ccnfld ctopn eqid tgioo2 dvres syl22anc ioontr reseq2i eqtrdi
    ) AEFZAGDHZIZEDBCJKZLMKZEDMKZUPJNOPZQPPZLZURUPLUOEGFZUNUMUPEFZUQVARVBUOSTUM
    UNUAUMUNUBVCUOBCUCTAUPEUSDUDUEPZVDUFZVDVEUGUHUIUTUPURBCUJUKUL $.

  ${
    $d F x $.  $d G x $.  $d S x $.  $d X x $.  $d ph x $.
    dvdivf.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvdivf.f $e |- ( ph -> F : X --> CC ) $.
    dvdivf.g $e |- ( ph -> G : X --> ( CC \ { 0 } ) ) $.
    dvdivf.fdv $e |- ( ph -> dom ( S _D F ) = X ) $.
    dvdivf.gdv $e |- ( ph -> dom ( S _D G ) = X ) $.
    $( The quotient rule for everywhere-differentiable functions.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    dvdivf $p |- ( ph -> ( S _D ( F oF / G ) ) = ( ( ( ( S _D F ) oF x. G ) oF
       - ( ( S _D G ) oF x. F ) ) oF / ( G oF x. G ) ) ) $=
      ( vx cfv cdiv co cmpt cdv cmul cc cvv offval2 cmin cexp cof ffvelrnda cdm
      cv c2 wf cpr wcel dvfg syl feq2d mpbid feqmptd oveq2d eqtr3d cc0 csn cdif
      cr dvmptdiv ovex eqeltrrdi wa ovexd eldifad sqcld mulcld sqvald mpteq2dva
      dmex eqtr4d 3eqtr4d ) ABKEKUFZCLZVODLZMNOZPNKEVOBCPNZLZVQQNZVOBDPNZLZVPQN
      ZUANZVQUGUBNZMNOBCDMUCZNZPNVSDQUCZNZWBCWINZUAUCNZDDWINZWGNAKVPVTVQWCBREFA
      ERVOCGUDZAERVOVSAVSUEZRVSUHZERVSUHABVARUIUJZWPFBCUKULAWOERVSIUMUNZUDZAVSB
      KEVPOZPNKEVTOACWTBPAKERCGUOZUPAKERVSWRUOZUQAERURUSZUTZVODHUDZAERVOWBAWBUE
      ZRWBUHZERWBUHAWQXGFBDUKULAXFERWBJUMUNZUDZAWBBKEVQOZPNKEWCOADXJBPAKEXDDHUO
      ZUPAKERWBXHUOZUQVBAWHVRBPAKEVPVQMCDSRXDAEWOSIVSBCPVCVLVDZWNXEXAXKTUPAKEWE
      WFMWLWMSSRXMAVOEUJVEZWAWDUAVFXNVQXNVQRXCXEVGZVHAKEWAWDUAWJWKSRRXMXNVTVQWS
      XOVIXNWCVPXIWNVIAKEVTVQQVSDSRRXMWSXOXBXKTAKEWCVPQWBCSRRXMXIWNXLXATTAWMKEV
      QVQQNZOKEWFOAKEVQVQQDDSXDXDXMXEXEXKXKTAKEWFXPXNVQXOVJVKVMTVN $.
  $}

  ${
    $d E b x $.  $d F b $.  $d Q b x $.  $d R b x $.  $d S x $.  $d T b x $.
    $d U b x $.  $d X b x $.  $d ph x $.
    dvdivbd.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvdivbd.a $e |- ( ( ph /\ x e. X ) -> A e. CC ) $.
    dvdivbd.adv $e |- ( ph -> ( S _D ( x e. X |-> A ) ) = ( x e. X |-> C ) ) $.
    dvdivbd.c $e |- ( ( ph /\ x e. X ) -> C e. CC ) $.
    dvdivbd.b $e |- ( ( ph /\ x e. X ) -> B e. CC ) $.
    dvdivbd.u $e |- ( ph -> U e. RR ) $.
    dvdivbd.r $e |- ( ph -> R e. RR ) $.
    dvdivbd.t $e |- ( ph -> T e. RR ) $.
    dvdivbd.q $e |- ( ph -> Q e. RR ) $.
    dvdivbd.cbd $e |- ( ( ph /\ x e. X ) -> ( abs ` C ) <_ U ) $.
    dvdivbd.bbd $e |- ( ( ph /\ x e. X ) -> ( abs ` B ) <_ R ) $.
    dvdivbd.dbd $e |- ( ( ph /\ x e. X ) -> ( abs ` D ) <_ T ) $.
    dvdivbd.abd $e |- ( ( ph /\ x e. X ) -> ( abs ` A ) <_ Q ) $.
    dvdivbd.bdv $e |- ( ph -> ( S _D ( x e. X |-> B ) ) = ( x e. X |-> D ) ) $.
    dvdivbd.d $e |- ( ( ph /\ x e. X ) -> D e. CC ) $.
    dvdivbd.e $e |- ( ph -> E e. RR+ ) $.
    dvdivbd.ele $e |- ( ph -> A. x e. X E <_ ( abs ` B ) ) $.
    dvdivbd.f $e |- F = ( S _D ( x e. X |-> ( A / B ) ) ) $.
    $( A sufficient condition for the derivative to be bounded, for the
       quotient of two functions.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    dvdivbd $p |- ( ph -> E. b e. RR A. x e. X ( abs ` ( F ` x ) ) <_ b ) $=
      ( cmul co caddc c2 cexp cdiv wcel cfv cabs cle wbr wral remulcld readdcld
      cr cv wrex rpred resqcld rpcnd rpgt0d gt0ne0d cz 2z expne0d redivcld cmin
      a1i wa cc cmpt cdv cc0 wne csn cdif wceq simpr abs00bd 0red adantr abscld
      clt r19.21bi ltletrd neneqd pm2.65da neqned sylanbrc syl5eq mulcld subcld
      eldifsn dvmptdiv sqcld sqne0 syl mpbird divcld fvmpt2d fveq2d absdivd crp
      wb rpexpcld absge0d abs2dif2d absmuld lemul12ad eqbrtrd le2addd letrd cn0
      leexp1a syl32anc absexpd breqtrrd lediv12ad ralrimiva brralrspcev syl2anc
      2nn0 ltled ) AKHUNUOZJGUNUOZUPUOZLUQURUOZUSUOZVHUTBVIZMVAZVBVAZUUAVCVDZBN
      VEUUDOVIVCVDBNVEOVHVJAYSYTAYQYRAKHUAUBVFZAJGUCUDVFZVGZALALUKVKZVLALUQALUK
      VMALALUKVNZVOUQVPUTZAVQWAVRVSAUUEBNAUUBNUTZWBZUUDEDUNUOZFCUNUOZVTUOZDUQUR
      UOZUSUOZVBVAZUUAVCUUMUUCUURVBABNUURMWCAMIBNCDUSUOWDWEUOBNUURWDUMABCEDFIWC
      NPQSRUUMDWCUTZDWFWGZDWCWFWHWIUTTUUMDWFUUMDWFWJZDVBVAZWFWJUUMUVBWBZDUUMUVB
      WKWLUVDUVCWFUUMUVCWFWGUVBUUMUVCUUMWFLUVCUUMWMZALVHUTZUULUUIWNZUUMDTWOZAWF
      LWPVDUULUUJWNZALUVCVCVDZBNULWQZWRVOWNWSWTXAZDWCWFXFXBUJUIXGXCUUMUUPUUQUUM
      UUNUUOUUMEDSTXDZUUMFCUJQXDZXEZUUMDTXHZUUMUUQWFWGZUVAUVLUUMUUTUVQUVAXQTDXI
      XJXKZXLXMXNUUMUUSUUPVBVAZUUQVBVAZUSUOUUAVCUUMUUPUUQUVOUVPUVRXOUUMUVSYSYTU
      VTUUMUUPUVOWOZAYSVHUTUULUUHWNZUUMLUQALXPUTUULUKWNUUKUUMVQWAXRUUMUUQUVPWOU
      UMUUPUVOXSUUMUVSUUNVBVAZUUOVBVAZUPUOYSUWAUUMUWCUWDUUMUUNUVMWOZUUMUUOUVNWO
      ZVGUWBUUMUUNUUOUVMUVNXTUUMUWCUWDYQYRUWEUWFAYQVHUTUULUUFWNAYRVHUTUULUUGWNU
      UMUWCEVBVAZUVCUNUOYQVCUUMEDSTYAUUMUWGKUVCHUUMESWOAKVHUTUULUAWNUVHAHVHUTUU
      LUBWNUUMESXSUUMDTXSUEUFYBYCUUMUWDFVBVAZCVBVAZUNUOYRVCUUMFCUJQYAUUMUWHJUWI
      GUUMFUJWOAJVHUTUULUCWNUUMCQWOAGVHUTUULUDWNUUMFUJXSUUMCQXSUGUHYBYCYDYEUUMY
      TUVCUQURUOZUVTVCUUMUVFUVCVHUTUQYFUTZWFLVCVDUVJYTUWJVCVDUVGUVHUWKUUMYOWAZU
      UMWFLUVEUVGUVIYPUVKLUVCUQYGYHUUMDUQTUWLYIYJYKYCYCYLOBUUDUUAVCVHNYMYN $.
  $}

  ${
    dvsubcncf.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvsubcncf.f $e |- ( ph -> F : X --> CC ) $.
    dvsubcncf.g $e |- ( ph -> G : X --> CC ) $.
    dvsubcncf.fdv $e |- ( ph -> ( S _D F ) e. ( X -cn-> CC ) ) $.
    dvsubcncf.gdv $e |- ( ph -> ( S _D G ) e. ( X -cn-> CC ) ) $.
    $( A sufficient condition for the derivative of a product to be continuous.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dvsubcncf $p |- ( ph -> ( S _D ( F oF - G ) ) e. ( X -cn-> CC ) ) $=
      ( co cdv cc wcel wf cdm wceq cncff fdm 3syl cmin cof ccncf dvsubf eqeltrd
      subcncff ) ABCDUAUBZKLKBCLKZBDLKZUGKEMUCKZABCDEFGHAUHUJNEMUHOUHPEQIEMUHRE
      MUHSTAUIUJNEMUIOUIPEQJEMUIREMUISTUDAUHUIEIJUFUE $.
  $}

  ${
    dvmulcncf.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvmulcncf.f $e |- ( ph -> F : X --> CC ) $.
    dvmulcncf.g $e |- ( ph -> G : X --> CC ) $.
    dvmulcncf.fdv $e |- ( ph -> ( S _D F ) e. ( X -cn-> CC ) ) $.
    dvmulcncf.gdv $e |- ( ph -> ( S _D G ) e. ( X -cn-> CC ) ) $.
    $( A sufficient condition for the derivative of a product to be continuous.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dvmulcncf $p |- ( ph -> ( S _D ( F oF x. G ) ) e. ( X -cn-> CC ) ) $=
      ( cof co cdv cc wcel wf cdm wceq wss cr cmul caddc ccncf cncff fdm dvmulf
      3syl wi wa wo ax-resscn sseq1 mpbiri eqimss pm3.2i cpr elpri pm3.44 mpsyl
      syl dvbsss eqsstrrdi dvcn syl31anc mulcncff addcncff eqeltrd ) ABCDUAKZLM
      LBCMLZDVHLZBDMLZCVHLZUBKLENUCLZABCDEFGHAVIVMOENVIPVIQZERZIENVIUDENVIUEUGZ
      AVKVMOENVKPVKQERZJENVKUDENVKUEUGZUFAVJVLEAVIDEIABNSZENDPEBSZVQDVMOBTRZVSU
      HZBNRZVSUHZUIAWAWCUJZVSWBWDWAVSTNSUKBTNULUMBNUNUOABTNUPOWEFBTNUQUTVSWAWCU
      RUSZHAEVNBVPBCVAVBZVREBDVCVDVEAVKCEJAVSENCPVTVOCVMOWFGWGVPEBCVCVDVEVFVG
      $.
  $}

  ${
    $d A x y $.
    $( Derivative exercise: the derivative with respect to x of cos(Ax), given
       a constant ` A ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dvcosax $p |- ( A e. CC -> ( CC _D ( x e. CC |-> ( cos ` ( A x. x ) ) ) ) =
       ( x e. CC |-> ( A x. -u ( sin ` ( A x. x ) ) ) ) ) $=
      ( vy cc wcel cmul co ccos cfv cmpt cdv csin cneg a1i cr cdm cc0 caddc cvv
      wceq cv ccom cof mulcl eqidd cosf feqmptd fmptco eqcomd oveq2d cnelprrecn
      wf fveq2 cpr fmpttd dvcos dmeqi dmmptg sincl negcld mprg eqtri simpl 0red
      c1 wa id dvmptc simpr 1red dvmptid dvmptmul dmeqd eqtrdi dvcof cin negeqd
      ovex oveq1d cnex mptex offval3 mp2an wral sincld ralrimiva ineq12d adantr
      syl inidm oveq2 fveq2d adantl negex fvmptd mul02 mulid2 oveqan12rd addid2
      eleqtrd eqtrd sylan9eqr oveq12d mulcomd syldan mpteq12dva 3eqtrd cbvmptv
      ) BDEZDADBAUAZFGZHIZJZKGZCDBBCUAZFGZLIZMZFGZJZADBXKLIZMZFGZJXIXNDHADXKJZU
      BZKGDHKGZYDUBZDYDKGZFUCZGZXTXIXMYEDKXIYEXMXIACDDXKXOHIXLYDHBXJUDZXIYDUEZX
      ICDDHDDHULXIUFNZUGXOXKHUMUHUIUJXIDDHYDDDDODUNEXIUKNZYNYMXIADXKDYKUOYFPZDT
      XIYOADXJLIZMZJZPZDYFYRAUPUQYQDEYSDTADADYQDURXJDEZYPXJUSUTVAVBNXIYHPZADQXJ
      FGZVEBFGZRGZJZPZDXIYHUUEXIABQXJVEDOODYNXIYTVCXIYTVFZVDXIABDYNXIVGVHXIYTVI
      UUGVJXIADYNVKVLZVMUUDSEZUUFDTADADUUDSURUUIYTUUBUUCRVRNVAVNZVOXIYJADYBJZYH
      YIGZCUUKPZUUAVPZXOUUKIZXOYHIZFGZJZXTXIYGUUKYHYIXIACDDXKXOLIZMZYBYDYFYKYLY
      FCDUUTJTXICUPNXOXKTUUSYAXOXKLUMVQUHVSUULUURTZXIUUKSEYHSEUVAADYBVTWADYDKVR
      CFUUKYHSSWBWCNXICUUNUUQDXSXIUUNDDVPDXIUUMDUUADXIYBDEZADWDUUMDTXIUVBADUUGY
      AUUGXKYKWEUTWFADYBDURWIUUJWGDWJVNZXIXOUUNEZXODEZUUQXSTXIUVDVFXOUUNDXIUVDV
      IXIUUNDTUVDUVCWHWTXIUVEVFZUUQXRBFGXSUVFUUOXRUUPBFUVEUUOXRTXIUVEAXOYBXRDUU
      KSUVEUUKUEXJXOTZYBXRTUVEUVGYAXQUVGXKXPLXJXOBFWKWLVQWMUVEVGXRSEUVEXQWNNWOW
      MUVFAXOUUDBDYHDXIYHUUETUVEUUHWHUVGUVFUUDQXOFGZUUCRGZBUVGUUBUVHUUCRXJXOQFW
      KVSUVFUVIQBRGZBUVEXIUVHQUUCBRXOWPBWQWRXIUVJBTUVEBWSWHXAXBXIUVEVIXIUVEVCZW
      OXCUVFXRBUVFXQUVFXPBXOUDWEUTUVKXDXAXEXFXGXGCADXSYCXOXJTZXRYBBFUVLXQYAUVLX
      PXKLXOXJBFWKWLVQUJXHVN $.
  $}

  ${
    $d G x y $.  $d ph x y $.
    dvdivcncf.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvdivcncf.f $e |- ( ph -> F : X --> CC ) $.
    dvdivcncf.g $e |- ( ph -> G : X --> ( CC \ { 0 } ) ) $.
    dvdivcncf.fdv $e |- ( ph -> ( S _D F ) e. ( X -cn-> CC ) ) $.
    dvdivcncf.gdv $e |- ( ph -> ( S _D G ) e. ( X -cn-> CC ) ) $.
    $( A sufficient condition for the derivative of a quotient to be
       continuous.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dvdivcncf $p |- ( ph -> ( S _D ( F oF / G ) ) e. ( X -cn-> CC ) ) $=
      ( cof co cdv cc wcel wf wceq wss cr cc0 vx cdiv cmul cmin ccncf cdm cncff
      vy fdm dvdivf wi wa wo ax-resscn sseq1 mpbiri eqimss pm3.2i cpr elpri syl
      3syl pm3.44 mpsyl csn cdif difssd fssd dvbsss eqsstrrdi syl31anc mulcncff
      dvcn subcncff cvv cv eldifi adantr adantl mulcld eldifsni mulne0d eldifsn
      wne sylanbrc ssexd inidm off wb cncffvrn syl2anc mpbird divcncff eqeltrd
      ) ABCDUBKZLMLBCMLZDUCKZLZBDMLZCWQLZUDKLZDDWQLZWOLENUELZABCDEFGHAWPXCOENWP
      PWPUFZEQZIENWPUGENWPUIVBZAWSXCOENWSPWSUFEQZJENWSUGENWSUIVBZUJAXAXBEAWRWTE
      AWPDEIABNRZENDPEBRZXGDXCOBSQZXIUKZBNQZXIUKZULAXKXMUMZXIXLXNXKXISNRUNBSNUO
      UPBNUQURABSNUSZOXOFBSNUTVAXIXKXMVCVDZAENTVEZVFZNDHANXRVGZVHAEXDBXFBCVIVJZ
      XHEBDVMVKZVLAWSCEJAXIENCPXJXECXCOXQGYAXFEBCVMVKVLVNAXBEXSUELOZEXSXBPZAUAU
      HEEEUCXSXSXSDDVOVOUAVPZXSOZUHVPZXSOZULZYEYGUCLZXSOZAYIYJNOYJTWDYKYIYEYGYF
      YENOYHYENXRVQVRZYHYGNOYFYGNXRVQVSZVTYIYEYGYLYMYFYETWDYHYENTWAVRYHYGTWDYFY
      GNTWAVSWBYJNTWCWEVSHHAEBXPFYAWFZYNEWGWHAXSNRXBXCOYCYDWIXTADDEYBYBVLENXSXB
      WJWKWLWMWN $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d D x $.  $d F x $.  $d K x $.
    $d ph x $.
    dvbdfbdioolem1.a $e |- ( ph -> A e. RR ) $.
    dvbdfbdioolem1.b $e |- ( ph -> B e. RR ) $.
    dvbdfbdioolem1.f $e |- ( ph -> F : ( A (,) B ) --> RR ) $.
    dvbdfbdioolem1.dmdv $e |- ( ph -> dom ( RR _D F ) = ( A (,) B ) ) $.
    dvbdfbdioolem1.k $e |- ( ph -> K e. RR ) $.
    dvbdfbdioolem1.dvbd $e |- ( ph -> A. x e. ( A (,) B ) ( abs ` ( ( RR _D F )
       ` x ) ) <_ K ) $.
    dvbdfbdioolem1.c $e |- ( ph -> C e. ( A (,) B ) ) $.
    dvbdfbdioolem1.d $e |- ( ph -> D e. ( C (,) B ) ) $.
    $( Given a function with bounded derivative, on an open interval, here is
       an absolute bound to the difference of the image of two points in the
       interval.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dvbdfbdioolem1 $p |- ( ph -> ( ( abs ` ( ( F ` D ) - ( F ` C ) ) ) <_ ( K
       x. ( D - C ) ) /\ ( abs ` ( ( F ` D ) - ( F ` C ) ) ) <_ ( K x. ( B - A
       ) ) ) ) $=
      ( cr co cfv wcel cicc cres cdv cmin cdiv wceq cioo wrex cabs cmul cle wbr
      cv wa ioossre sselid cxr clt rexrd ioogtlb syl3anc ccncf iooltub iccssioo
      wss syl22anc wf cc wb ax-resscn a1i cdm fssd dvcn syl31anc syl2anc mpbird
      cncffvrn rescncf sylc crn ctg sstrd ccnfld ctopn eqid tgioo2 dvres iccntr
      cnt reseq2d eqtrd dmeqd ltled ioossioo sseqtrrd ssdmres sylib mvth fveq1d
      w3a fvres sylan9eq eqcomd 3adant3 simp3 ubicc2 syl lbicc2 oveq1d 3ad2ant1
      3eqtrd sseldd ffvelrnd resubcld recnd dvfre feq2d mpbid adantr sselda cc0
      oveq12d wne posdifd gt0ne0d divmul3d fveq2d abssubge0d oveq2d abscld 0red
      absmuld wral rspa lemul1ad eqbrtrd syld3an3 absge0d le2subd lemul12ad jca
      rexlimdv3a mpd ) ABUMZQGEFUARZUBZUCRZSZFUUGSZEUUGSZUDRZFEUDRZUERZUFZBEFUG
      RZUHFGSZEGSZUDRZUISZHUUMUJRZUKULZUUTHDCUDRZUJRZUKULZUNZABEFUUGACDUGRZQECD
      UOZOUPZAEDUGRZQFEDUOPUPZAEUQTZDUQTZFUVJTZEFURULZAEUVIUSZADJUSZPEDFUTVAZAU
      UFUVGVEZGUVGQVBRTZUUGUUFQVBRTACUQTZUVMCEURULZFDURULZUVSACIUSZUVQAUWAUVMEU
      VGTUWBUWDUVQOCDEUTVAZAUVLUVMUVNUWCUVPUVQPEDFVCVAZCDEFVDVFZAUVTUVGQGVGZKAQ
      VHVEZGUVGVHVBRTZUVTUWHVIUWIAVJVKZAUWIUVGVHGVGZUVGQVEZQGUCRZVLZUVGUFUWJUWK
      AUVGQVHGKUWKVMZUWMAUVHVKZLUVGQGVNVOUVGVHQGVRVPVQUVGQUUFGVSVTAUUHVLUWNUUPU
      BZVLZUUPAUUHUWRAUUHUWNUUFUGWAWBSZWJSSZUBZUWRAUWIUWLUWMUUFQVEUUHUXBUFUWKUW
      PUWQAUUFUVGQUWGUWQWCUVGUUFQUWTGWDWESZUXCWFZUXCUXDWGWHVFAUXAUUPUWNAEQTFQTU
      XAUUPUFUVIUVKEFWIVPWKWLZWMAUUPUWOVEUWSUUPUFAUUPUVGUWOAUWAUVMCEUKULFDUKULU
      UPUVGVEUWDUVQACEIUVIUWEWNZAFDUVKJUWFWNZCDEFWOVFZLWPUUPUWNWQWRWLWSAUUOUVFB
      UUPAUUEUUPTZUUOXAZUVBUVEAUXIUUOUUEUWNSZUUSUUMUERZUFZUVBUXJUXKUUIUUNUXLAUX
      IUXKUUIUFUUOAUXIUNZUUIUXKAUXIUUIUUEUWRSUXKAUUEUUHUWRUXEWTUUEUUPUWNXBXCXDX
      EAUXIUUOXFAUXIUUNUXLUFUUOAUULUUSUUMUEAUUJUUQUUKUURUDAFUUFTZUUJUUQUFAUVLFU
      QTZEFUKULZUXOUVPAFUVKUSZAEFUVIUVKUVRWNZEFXGVAZFUUFGXBXHAEUUFTZUUKUURUFAUV
      LUXPUXQUYAUVPUXRUXSEFXIVAEUUFGXBXHYCXJXKXLZAUXIUXMXAZUUTUXKUISZUUMUJRZUVA
      UKUYCUUTUYDUUMUISZUJRZUYEUYCUUTUXKUUMUJRZUISZUYGUYCUUSUYHUIUYCUXLUXKUFUUS
      UYHUFUYCUXKUXLAUXIUXMXFXDUYCUUSUXKUUMAUXIUUSVHTUXMAUUSAUUQUURAUVGQFGKAUUF
      UVGFUWGUXTXMXNAUVGQEGKOXNXOXPXKAUXIUXKVHTUXMUXNUXKUXNUVGQUUEUWNAUVGQUWNVG
      ZUXIAUWOQUWNVGZUYJAUWHUWMUYKKUWQUVGGXQVPAUWOUVGQUWNLXRXSXTAUUPUVGUUEUXHYA
      ZXNXPZXEAUXIUUMVHTZUXMAUUMAFEUVKUVIXOZXPZXKAUXIUUMYBYDUXMAUUMAUVOYBUUMURU
      LUVRAEFUVIUVKYEXSZYFXKYGXSYHAUXIUYIUYGUFUXMUXNUXKUUMUYMAUYNUXIUYPXTZYMXEW
      LZAUXIUYGUYEUFUXMAUYFUUMUYDUJAEFUVIUVKUXSYIZYJXKWLAUXIUYEUVAUKULUXMUXNUYD
      HUUMUXNUXKUYMYKZAHQTUXIMXTZAUUMQTUXIUYOXTAYBUUMUKULUXIAYBUUMAYLUYOUYQWNXT
      UXNUYDHUKULZBUVGYNZUUEUVGTVUCAVUDUXINXTUYLVUCBUVGYOVPZYPXEYQYRAUXIUUOUXMU
      VEUYBUYCUUTUYGUVDUKUYSAUXIUYGUVDUKULUXMUXNUYDHUYFUVCVUAVUBUXNUUMUYRYKAUVC
      QTUXIADCJIXOXTUXNUXKUYMYSUXNUUMUYRYSVUEAUYFUVCUKULUXIAUYFUUMUVCUKUYTAFCDE
      UVKIJUVIUXGUXFYTYQXTUUAXEYQYRUUBUUCUUD $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d F x y $.  $d K x y $.  $d ph x y $.
    dvbdfbdioolem2.a $e |- ( ph -> A e. RR ) $.
    dvbdfbdioolem2.b $e |- ( ph -> B e. RR ) $.
    dvbdfbdioolem2.altb $e |- ( ph -> A < B ) $.
    dvbdfbdioolem2.f $e |- ( ph -> F : ( A (,) B ) --> RR ) $.
    dvbdfbdioolem2.dmdv $e |- ( ph -> dom ( RR _D F ) = ( A (,) B ) ) $.
    dvbdfbdioolem2.k $e |- ( ph -> K e. RR ) $.
    dvbdfbdioolem2.dvbd $e |- ( ph -> A. x e. ( A (,) B ) ( abs ` ( ( RR _D F )
       ` x ) ) <_ K ) $.
    dvbdfbdioolem2.m $e |- M = ( ( abs ` ( F ` ( ( A + B ) / 2 ) ) ) + ( K x. (
       B - A ) ) ) $.
    $( A function on an open interval, with bounded derivative, is bounded.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dvbdfbdioolem2 $p |- ( ph -> A. x e. ( A (,) B ) ( abs ` ( F ` x ) ) <_ M )
       $=
      ( cle wbr co wcel adantr vy cv cfv cabs cioo wa caddc cdiv cmin ffvelrnda
      c2 cmul cr recnd abscld rexrd readdcld rehalfcld clt avglt1 syl2anc mpbid
      wb avglt2 eliood ffvelrnd resubcld remulcld cc subcld abs2difd simpll cxr
      ad2antrr elioore adantl simpr iooltub syl3anc wf cdv cdm wceq wral 2fveq3
      breq1d cbvralvw sylib dvbdfbdioolem1 simprd wn cc0 fveq2 eqeltrd subeq0bd
      eqcomd abs00bd wss ioossre dvfre sylancl eleqtrrd absge0d rspccva posdifd
      letrd ltled mulge0d eqbrtrd ad4ant14 ad3antrrr nltled wne leneltd abssubd
      neqne ad2antlr pm2.61dan leadd1dd npcand mulcld addcomd 3brtr4d ralrimiva
      0red syl5eq ) ABUBZEUCZUDUCZGPQBCDUERZAYGYJSZUFZYICDUGRZUKUHRZEUCZUDUCZUI
      RZYPUGRZFDCUIRZULRZYPUGRZYIGPYLYQYTYPYLYIYPYLYHYLYHAYJUMYGEKUJUNZUOZAYPUM
      SYKAYOAYOAYJUMYNEKACDYNACHUPZADIUPZAYMACDHIUQURZACDUSQZCYNUSQZJACUMSZDUMS
      ZUUGUUHVCHICDUTVAVBAUUGYNDUSQZJAUUIUUJUUGUUKVCHICDVDVAVBZVEZVFUNZUOZTZVGZ
      YLFYSAFUMSZYKMTYLDCAUUJYKITAUUIYKHTVGVHZUUPYLYQYHYOUIRZUDUCZYTUUQYLUUTYLY
      HYOUUBAYOVISZYKUUNTZVJUOUUSYLYHYOUUBUVCVKYLYNYGUSQZUVAYTPQZYLUVDUFZAYGYND
      UERSZUVEAYKUVDVLUVFYNDYGAYNVMSYKUVDAYNUUFUPVNADVMSZYKUVDUUEVNYLYGUMSZUVDY
      KUVIAYGCDVOZVPZTYLUVDVQYLYGDUSQZUVDYLCVMSZUVHYKUVLAUVMYKUUDTAUVHYKUUETAYK
      VQZCDYGVRVSTVEAUVGUFZUVAFYGYNUIRULRPQUVEUVOUACDYNYGEFAUUIUVGHTAUUJUVGITAY
      JUMEVTZUVGKTAUMEWARZWBZYJWCZUVGLTAUURUVGMTAUAUBZUVQUCUDUCZFPQZUAYJWDZUVGA
      YGUVQUCUDUCZFPQZBYJWDZUWCNUWEUWBBUAYJYGUVTWCUWDUWAFPYGUVTUDUVQWEWFWGWHZTA
      YNYJSZUVGUUMTAUVGVQWIWJVAYLUVDWKZUFZYNYGWCZUVEAUWKUVEYKUWIAUWKUFZUVAWLYTP
      UWLUUTUWLYHYOUWLYHYOVIUWKYHYOWCAUWKYOYHYNYGEWMWPVPZAUVBUWKUUNTWNUWMWOWQUW
      LFYSAUURUWKMTUWLDCAUUJUWKITAUUIUWKHTVGAWLFPQUWKAWLYNUVQUCZUDUCZFAYEZAUWNA
      UWNAUVRUMYNUVQAUVPYJUMWRUVRUMUVQVTKCDWSYJEWTXAAYNYJUVRUUMLXBVFUNZUOMAUWNU
      WQXCAUWFUWHUWOFPQZNUUMUWEUWRBYNYJYGYNWCUWDUWOFPYGYNUDUVQWEWFXDVAXFTAWLYSP
      QUWKAWLYSUWPADCIHVGAUUGWLYSUSQJACDHIXEVBXGTXHXIXJUWJUWKWKZUFZYLYGYNUSQZUV
      EYLUWIUWSVLUWTYGYNYLUVIUWIUWSUVKVNAYNUMSZYKUWIUWSUUFXKUWJYGYNPQUWSUWJYGYN
      YLUVIUWIUVKTAUXBYKUWIUUFVNYLUWIVQXLTUWSYNYGXMUWJYNYGXPVPXNYLUXAUFZUVAYOYH
      UIRUDUCZYTPYLUVAUXDWCUXAYLYHYOUUBUVCXOTUXCUXDFYNYGUIRULRPQUXDYTPQUXCUACDY
      GYNEFAUUIYKUXAHVNAUUJYKUXAIVNAUVPYKUXAKVNAUVSYKUXALVNAUURYKUXAMVNAUWCYKUX
      AUWGVNYLYKUXAUVNTUXCYGDYNYKYGVMSAUXAYKYGUVJUPXQAUVHYKUXAUUEVNAUXBYKUXAUUF
      VNYLUXAVQAUUKYKUXAUULVNVEWIWJXIVAXRXRXFXSYLYRYIYLYIYPYLYIUUCUNYLYPUUPUNXT
      WPAGUUAWCYKAGYPYTUGRUUAOAYPYTAYPUUOUNAFYSAFMUNADCADIUNACHUNVJYAYBYFTYCYD
      $.
  $}

  ${
    $d A a b x y $.  $d B a b x y $.  $d F a b x y $.  $d a ph y $.
    dvbdfbdioo.a $e |- ( ph -> A e. RR ) $.
    dvbdfbdioo.b $e |- ( ph -> B e. RR ) $.
    dvbdfbdioo.altb $e |- ( ph -> A < B ) $.
    dvbdfbdioo.f $e |- ( ph -> F : ( A (,) B ) --> RR ) $.
    dvbdfbdioo.dmdv $e |- ( ph -> dom ( RR _D F ) = ( A (,) B ) ) $.
    dvbdfbdioo.dvbd $e |- ( ph -> E. a e. RR A. x e. ( A (,) B ) ( abs ` ( ( RR
       _D F ) ` x ) ) <_ a ) $.
    $( A function on an open interval, with bounded derivative, is bounded.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dvbdfbdioo $p |- ( ph -> E. b e. RR A. x e. ( A (,) B ) ( abs ` ( F ` x ) )
       <_ b ) $=
      ( vy cr co cfv cabs cle wbr cv cdv cioo wral wrex wcel wa caddc cdiv cmin
      c2 cmul rexrd readdcld rehalfcld clt avglt1 syl2anc mpbid avglt2 ffvelrnd
      wb eliood recnd abscld ad2antrr simplr resubcld remulcld wf 2fveq3 breq1d
      cdm wceq cbvralvw biimpi adantl eqid dvbdfbdioolem2 ralbidv syl5bb rspcev
      breq2 r19.29a ) ABUAZOEUBPZQRQZFUAZSTZBCDUCPZUDZWEEQRQZGUAZSTZBWJUDZGOUEZ
      FOAWHOUFZUGZWKUGZCDUHPZUKUIPZEQZRQZWHDCUJPZULPZUHPZOUFNUAZEQRQZXFSTZNWJUD
      ZWPWSXCXEAXCOUFWQWKAXBAXBAWJOXAEKACDXAACHUMADIUMAWTACDHIUNUOACDUPTZCXAUPT
      ZJACOUFZDOUFZXKXLVBHICDUQURUSAXKXADUPTZJAXMXNXKXOVBHICDUTURUSVCVAVDVEVFWS
      WHXDAWQWKVGZWSDCAXNWQWKIVFZAXMWQWKHVFZVHVIUNWSNCDEWHXFXRXQAXKWQWKJVFAWJOE
      VJWQWKKVFAWFVMWJVNWQWKLVFXPWKXGWFQRQZWHSTZNWJUDZWRWKYAWIXTBNWJWEXGVNZWGXS
      WHSWEXGRWFVKVLVOVPVQXFVRVSWOXJGXFOWOXHWMSTZNWJUDWMXFVNZXJWNYCBNWJYBWLXHWM
      SWEXGREVKVLVOYDYCXINWJWMXFXHSWCVTWAWBURMWD $.
  $}

  ${
    $d A i k w x z $.  $d A i x y z $.  $d B i k w x z $.  $d B i x y z $.
    $d F i j x $.  $d F i k w x z $.  $d F i x y z $.  $d K i j $.  $d K i k $.
    $d K i y $.  $d M i j x $.  $d M i k w x $.  $d R i j $.  $d R i k w $.
    $d R i y $.  $d S i k x $.  $d i j ph x $.  $d k ph x $.  $d ph x y $.
    ioodvbdlimc1lem1.a $e |- ( ph -> A e. RR ) $.
    ioodvbdlimc1lem1.b $e |- ( ph -> B e. RR ) $.
    ioodvbdlimc1lem1.altb $e |- ( ph -> A < B ) $.
    ioodvbdlimc1lem1.f $e |- ( ph -> F e. ( ( A (,) B ) -cn-> RR ) ) $.
    ioodvbdlimc1lem1.dmdv $e |- ( ph -> dom ( RR _D F ) = ( A (,) B ) ) $.
    ioodvbdlimc1lem1.dvbd $e |- ( ph -> E. y e. RR A. x e. ( A (,) B ) ( abs `
       ( ( RR _D F ) ` x ) ) <_ y ) $.
    ioodvbdlimc1lem1.m $e |- ( ph -> M e. ZZ ) $.
    ioodvbdlimc1lem1.r $e |- ( ph -> R : ( ZZ>= ` M ) --> ( A (,) B ) ) $.
    ioodvbdlimc1lem1.s $e |- S = ( j e. ( ZZ>= ` M ) |-> ( F ` ( R ` j ) ) ) $.
    ioodvbdlimc1lem1.rcnv $e |- ( ph -> R e. dom ~~> ) $.
    ioodvbdlimc1lem1.k $e |- K = inf ( { k e. ( ZZ>= ` M ) | A. i e. ( ZZ>= ` k
       ) ( abs ` ( ( R ` i ) - ( R ` k ) ) ) < ( x / ( sup ( ran ( z e. ( A (,)
       B ) |-> ( abs ` ( ( RR _D F ) ` z ) ) ) , RR , < ) + 1 ) ) } , RR , <
       ) $.
    $( If ` F ` has bounded derivative on ` ( A (,) B ) ` then a sequence of
       points in its image converges to its ` limsup ` .  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.)  (Revised by AV, 3-Oct-2020.) $)
    ioodvbdlimc1lem1 $p |- ( ph -> S ~~> ( limsup ` S ) ) $=
      ( vw cuz cfv eqid cv cr wcel wa cioo co wf ccncf cncff ffvelrnda ffvelrnd
      syl adantr fmptd cmin cabs clt wbr wral wrex crp cdv cmpt csup caddc cdiv
      crn c1 crab ssrab2 cinf wss c0 wne rpre adantl 2fveq3 cbvmptv supeq1i cle
      rneqi syl3anc cc cdm a1i syl2anc abscld simpld eqeltrid cc0 1red readdcld
      mpbid ltp1d simprd wceq sylibr breq1d rspcva elrpd sselid ad2antrr fveq2d
      fvmptd3 cmul recnd resubcld remulcld ad3antlr abssubd ad3antrrr cxr rexrd
      simpr iooltub eliood dvbdfbdioolem1 eqbrtrd posdifd ltmul1dd leabsd fveq2
      oveq2d raleqbidv lelttrd ltmuldiv2d mpbird lttrd wn pm2.61dan ralrimiva
      c2 ioomidp ne0d ioossre dvfre feq2d ax-resscn fssd suprnmpt peano2re 0red
      absge0d breq12d cbvralvw letrd leadd1dd ltletrd gt0ne0d redivcld rpgt0 cz
      divgt0d cli climcau breq2 rexralbidv rabn0 infssuzcl sylancr uzss oveq12d
      sselda subcld breqtrd elrab sylib oveq1d subidd sylan9eqr abs00bd adantlr
      r19.21bi simpll id eqcomd necon3bi simplr lttri5d rspcev caurcvg ) ABIKHN
      NUGUHZUWKUIZAJUWKJUJZGUHZLUHZUKHAUWMUWKULZUMEFUNUOZUKUWNLAUWQUKLUPZUWPALU
      WQUKUQUOULUWRRUWQUKLURVAZVBAUWKUWQUWMGUBUSUTUCVCAIUJZHUHZKUJZHUHZVDUOZVEU
      HZBUJZVFVGZIUXBUGUHZVHZKUWKVIZBVJAUXFVJULZUMZMUWKULZUXAMHUHZVDUOZVEUHZUXF
      VFVGZIMUGUHZVHZUXJUXLUWTGUHZUXBGUHZVDUOZVEUHZUXFDUWQDUJZUKLVKUOZUHVEUHZVL
      ZVPZUKVFVMZVQVNUOZVOUOZVFVGZIUXHVHZKUWKVRZUWKMUYMKUWKVSZUXLMUYNUKVFVTZUYN
      UEUXLUYNUWKWAUYNWBWCZUYPUYNULUYOUXLUYMKUWKVIZUYQUXLUYKVJULUYCUFUJZVFVGZIU
      XHVHKUWKVIZUFVJVHZUYRUXLUYKUXLUXFUYJUXKUXFUKULZAUXFWDZWEZUXLUYIUKULZUYJUK
      ULZAVUFUXKAUYIBUWQUXFUYEUHZVEUHZVLZVPZUKVFVMZUKUKUYHVUKVFUYGVUJDBUWQUYFVU
      IUYDUXFVEUYEWFWGWJWHZAVULUKULZVUIVULWIVGZBUWQVHZABCUWQVUIVULVUJAUWQEFVNUO
      UUAVOUOZAEUKULZFUKULZEFVFVGVUQUWQULZOPQEFUUBWKZUUCAUXFUWQULUMVUHAUWQWLUXF
      UYEAUWQUKWLUYEAUYEWMZUKUYEUPZUWQUKUYEUPAUWRUWQUKWAZVVCUWSVVDAEFUUDZWNUWQL
      UUEWOAVVBUWQUKUYESUUFXBUKWLWAAUUGWNUUHZUSWPTVUJUIVULUIUUIZWQWRZVBUYIUUJZV
      AZAUYJWSWCUXKAUYJAWSWSVQVNUOUYJAUUKZAWSVQVVKAWTZXAAVUFVUGVVHVVIVAZAWSVVKX
      CAWSUYIVQVVKVVHVVLAWSVUQUYEUHZVEUHZUYIVVKAVVNAUWQWLVUQUYEVVFVVAUTZWPVVHAV
      VNVVPUULAVUTCUJZUYEUHVEUHZUYIWIVGZCUWQVHZVVOUYIWIVGZVVAAVUPVVTAVUNVUPVVGX
      DVVSVUOCBUWQVVQUXFXEZVVRVUIUYIVULWIVVQUXFVEUYEWFUYIVULXEVWBVUMWNUUMUUNXFZ
      VVSVWACVUQUWQVVQVUQXEVVRVVOUYIWIVVQVUQVEUYEWFXGXHWOUUOUUPUUQZUURVBUUSZUXL
      UXFUYJVUEVVJUXKWSUXFVFVGZAUXFUUTZWEAWSUYJVFVGUXKVWDVBUVBXIUXLNUVAULZGUVCW
      MULZVUBAVWHUXKUAVBAVWIUXKUDVBUFKIGNUWKUWLUVDWOVUAUYRUFUYKVJUYSUYKXEUYTUYL
      KIUWKUXHUYSUYKUYCVFUVEUVFXHWOUYMKUWKUVGXFUYNNUVHUVIWRZXJZUXLUXQIUXRUXLUWT
      UXRULZUMZUXPUXTLUHZMGUHZLUHZVDUOZVEUHZUXFVFVWMUXOVWQVEVWMUXAVWNUXNVWPVDVW
      MJUWTUWOVWNUWKHUKUCUWMUWTLGWFUXLUXRUWKUWTUXLUXMUXRUWKWAVWKNMUVJVAUVLZVWMU
      WQUKUXTLAUWRUXKVWLUWSXKZVWMUWKUWQUWTGAUWKUWQGUPZUXKVWLUBXKZVWSUTZUTZXMVWM
      JMUWOVWPUWKHUKUCUWMMLGWFUXLUXMVWLVWKVBZVWMUWQUKVWOLVWTVWMUWKUWQMGVXBVXEUT
      ZUTZXMUVKXLVWMUXTVWOVFVGZVWRUXFVFVGZVWMVXHUMZVWRUYIVWOUXTVDUOZXNUOZUXFVWM
      VWRUKULZVXHVWMVWQVWMVWNVWPVWMVWNVXDXOZVWMVWPVXGXOZUVMWPZVBVXJUYIVXKVWMVUF
      VXHAVUFUXKVWLVVHXKZVBZVXJVWOUXTUXLVWOUKULZVWLVXHUXLUWQUKVWOVVEUXLUWKUWQMG
      AVXAUXKUBVBVWKUTZXJZXKZVWMUXTUKULZVXHVWMUWQUKUXTVVEVXCXJZVBZXPZXQZUXKVUCA
      VWLVXHVUDXRZVXJVWRVWPVWNVDUOVEUHZVXLWIVXJVWNVWPVWMVWNWLULVXHVXNVBVWMVWPWL
      ULVXHVXOVBXSVXJVYIVXLWIVGVYIUYIFEVDUOXNUOZWIVGVXJCEFUXTVWOLUYIAVURUXKVWLV
      XHOXTAVUSUXKVWLVXHPXTVWMUWRVXHVWTVBAVVBUWQXEZUXKVWLVXHSXTVXRAVVTUXKVWLVXH
      VWCXTVWMUXTUWQULZVXHVXCVBVXJUXTFVWOVWMUXTYAULVXHVWMUXTVYDYBVBVWMFYAULZVXH
      AVYMUXKVWLAFPYBZXKZVBVYBVWMVXHYCZUXLVWOFVFVGZVWLVXHUXLEYAULZVYMVWOUWQULZV
      YQAVYRUXKAEOYBZVBAVYMUXKVYNVBVXTEFVWOYDWKXKYEYFWQYGVXJVXLUYJVXKXNUOZUXFVY
      GVXJUYJVXKVXJVUFVUGVXRVVIVAZVYFXQVYHVXJUYIUYJVXKVXRWUBVXJVXKVYFVXJVXHWSVX
      KVFVGVYPVXJUXTVWOVYEVYBYHXBXIVXJUYIVXRXCYIVXJWUAUXFVFVGVXKUYKVFVGVXJVXKUX
      TVWOVDUOZVEUHZUYKVYFVWMWUDUKULZVXHVWMWUCVWMWUCVWMUXTVWOVYDVWMUWQUKVWOVVEV
      XFXJZXPZXOWPZVBUXLUYKUKULZVWLVXHVWEXKVXJVXKVXKVEUHWUDWIVXJVXKVYFYJVXJVWOU
      XTVXJVWOVYBXOVWMUXTWLULVXHVWMUXTVYDXOVBXSUVNVWMWUDUYKVFVGZVXHUXLWUJIUXRUX
      LUXMWUJIUXRVHZUXLMUYNULUXMWUKUMVWJUYMWUKKMUWKUXBMXEZUYLWUJIUXHUXRUXBMUGYK
      ZWULUYCWUDUYKVFWULUYBWUCVEWULUYAVWOUXTVDUXBMGYKYLXLXGYMUVOUVPXDUWBZVBYNVX
      JVXKUXFUYJVYFVYHAUYJVJULZUXKVWLVXHAUYJVVMVWDXIZXTYOYPYQYNVWMVXHYRZUMZUXTV
      WOXEZVXIVWMWUSVXIWUQVWMWUSUMZVWRWSUXFVFWUTVWQWUSVWMVWQVWPVWPVDUOWSWUSVWNV
      WPVWPVDUXTVWOLYKUVQVWMVWPVXOUVRUVSUVTUXKVWFAVWLWUSVWGXRYGUWAWURWUSYRZUMZV
      WMVWOUXTVFVGZVXIVWMWUQWVAUWCWVBVWOUXTVWMVXSWUQWVAWUFXKVWMVYCWUQWVAVYDXKWV
      AVWOUXTWCWURWUSVWOUXTVWOUXTXEZVWOUXTWVDUWDUWEUWFWEVWMWUQWVAUWGUWHVWMWVCUM
      ZVWRUYIWUCXNUOZUXFVWMVXMWVCVXPVBVWMWVFUKULWVCVWMUYIWUCVXQWUGXQVBZUXKVUCAV
      WLWVCVUDXRZWVEVWRWVFWIVGVWRVYJWIVGWVECEFVWOUXTLUYIAVURUXKVWLWVCOXTAVUSUXK
      VWLWVCPXTZVWMUWRWVCVWTVBAVYKUXKVWLWVCSXTAVUFUXKVWLWVCVVHXTZAVVTUXKVWLWVCV
      WCXTVWMVYSWVCVXFVBWVEVWOFUXTUXLVWOYAULVWLWVCUXLVWOVYAYBXKWVEFWVIYBVWMVYCW
      VCVYDVBZVWMWVCYCZVWMUXTFVFVGZWVCVWMVYRVYMVYLWVMAVYRUXKVWLVYTXKVYOVXCEFUXT
      YDWKVBYEYFWQWVEWVFUYJWUCXNUOZUXFWVGWVEUYJWUCWVEUYIVQWVJWVEWTXAWVEUXTVWOWV
      KVWMVXSWVCWUFVBZXPZXQWVHWVEUYIUYJWUCWVJWVEVUFVUGWVJVVIVAWVEWUCWVPWVEWVCWS
      WUCVFVGWVLWVEVWOUXTWVOWVKYHXBXIWVEUYIWVJXCYIWVEWVNUXFVFVGWUCUYKVFVGWVEWUC
      WUDUYKWVPVWMWUEWVCWUHVBUXLWUIVWLWVCVWEXKWVEWUCWVPYJVWMWUJWVCWUNVBYNWVEWUC
      UXFUYJWVPWVHAWUOUXKVWLWVCWUPXTYOYPYQYNWOYSYSYGYTUXIUXSKMUWKWULUXGUXQIUXHU
      XRWUMWULUXEUXPUXFVFWULUXDUXOVEWULUXCUXNUXAVDUXBMHYKYLXLXGYMUWIWOYTUWJ $.
  $}

  ${
    $d A b j k x $.  $d A h i j k l x z $.  $d A j m $.  $d A j w x z $.
    $d A b j x y $.  $d B b j k x $.  $d B h i j k l x z $.  $d B j m $.
    $d B j w x z $.  $d B b j x y $.  $d F b j k x $.  $d F h i j k l x z $.
    $d F j w x z $.  $d F b j x y $.  $d M i j k l x $.  $d M j m $.
    $d M i j l x y $.  $d N b c $.  $d N b j $.  $d N j z $.
    $d R h i j k l x $.  $d R h i j l x y $.  $d S a b c x $.  $d S b j k x $.
    $d S b j x y $.  $d S j k x z $.  $d Y w x $.  $d a b c ph x $.  $d ch w $.
    $d i j k ph x z $.  $d m ph $.  $d ph x y z $.
    ioodvbdlimc1lem2.a $e |- ( ph -> A e. RR ) $.
    ioodvbdlimc1lem2.b $e |- ( ph -> B e. RR ) $.
    ioodvbdlimc1lem2.altb $e |- ( ph -> A < B ) $.
    ioodvbdlimc1lem2.f $e |- ( ph -> F : ( A (,) B ) --> RR ) $.
    ioodvbdlimc1lem2.dmdv $e |- ( ph -> dom ( RR _D F ) = ( A (,) B ) ) $.
    ioodvbdlimc1lem2.dvbd $e |- ( ph -> E. y e. RR A. x e. ( A (,) B ) ( abs `
       ( ( RR _D F ) ` x ) ) <_ y ) $.
    ioodvbdlimc1lem2.y $e |- Y = sup ( ran ( x e. ( A (,) B ) |-> ( abs ` ( (
       RR _D F ) ` x ) ) ) , RR , < ) $.
    ioodvbdlimc1lem2.m $e |- M = ( ( |_ ` ( 1 / ( B - A ) ) ) + 1 ) $.
    ioodvbdlimc1lem2.s $e |- S = ( j e. ( ZZ>= ` M ) |-> ( F ` ( A + ( 1 / j )
       ) ) ) $.
    ioodvbdlimc1lem2.r $e |- R = ( j e. ( ZZ>= ` M ) |-> ( A + ( 1 / j ) ) ) $.
    ioodvbdlimc1lem2.n $e |- N = if ( M <_ ( ( |_ ` ( Y / ( x / 2 ) ) ) + 1 ) ,
       ( ( |_ ` ( Y / ( x / 2 ) ) ) + 1 ) , M ) $.
    ioodvbdlimc1lem2.ch $e |- ( ch <-> ( ( ( ( ( ph /\ x e. RR+ )
       /\ j e. ( ZZ>= ` N ) )
       /\ ( abs ` ( ( S ` j ) - ( limsup ` S ) ) ) < ( x / 2 ) )
       /\ z e. ( A (,) B ) ) /\ ( abs ` ( z - A ) ) < ( 1 / j ) ) ) $.
    $( Limit at the lower bound of an open interval, for a function with
       bounded derivative.  (Contributed by Glauco Siliprandi, 11-Dec-2019.)
       (Revised by AV, 3-Oct-2020.) $)
    ioodvbdlimc1lem2 $p |- ( ph -> ( limsup ` S ) e. ( F limCC A ) ) $=
      ( vk vb vw vc va vi vh vl clsp cfv co wcel cc cv wne cmin cabs clt wbr wa
      wi wral crp wrex cuz cr wss cz a1i cxr csup wceq c1 cdiv cn0 cc0 resubcld
      caddc cle mpbid gt0ne0d rereccld 0red syl2anc syl eqeltrid eqid wf adantr
      ltled rexrd adantl 1red readdcld zred flcld breqtrrdi letrd ltletrd elrpd
      eluzle lediv2ad oveq2i simprd recnd breqtrd eqcomd lelttrd ffvelrnd simpr
      0le1 fveq2d adantlr 2fveq3 breq1d rspccva eqbrtrd ralrimiva peano2zd cmpt
      c2 abscld ifcld eluz2 syl3anbrc fvoveq1d cmul sselid remulcld eqeltrd cli
      fveq2 cvv eqidd vm climc cioo uzssz zssre sstri cpnf cfl posdifd flge0nn0
      recgt0d peano2nn0 nn0zd uzsup eluzelre eluzel2 leadd1dd rpreccld ltaddrpd
      ltp1d nn0ge0d nn0red leadd2dd eqcomi 1rp fllelt ltdiv2dd recrecd ltadd2dd
      pncan3d 3brtr4d eliood fmptd dvbdfbdioo fvmpt2 simplr breq1 imbi1d rspcev
      a1d ralbidv ex reximdv mpd limsupre ad2antrr cif cdv ioomidp syl3anc ne0i
      crn cdm ioossre dvfre feq2d ffvelrnda suprnmpt simpld rpre rehalfcld 2cnd
      c0 2ne0 divne0d redivcld max1 biimpi simp-5l simplrd simp-5r uzss simp-4r
      rpne0 sseldd npncand abstrid abssubd breq2i ralbii sylibr cbvralvw leabsd
      ltsubadd2d dvbdfbdioolem1 absge0d breq12d rspcva ioogtlb ltsub2dd pncan2d
      rpred lemul2ad oveq1 mul02d sylan9eqr rphalfcld rpgt0d wn ne0gt0d divgt0d
      neqne rpne0d rprecred flltp1 max2 divrecd ddcand eqtr3d pm2.61dan simpllr
      syldan leltaddd 2halvesd sylbir adantrl brimralrspcev iftrued uzid ltnled
      iffalse mpbird eleq1d anbi12d crab cinf ccncf ax-resscn syl31anc cncffvrn
      wb fssd dvcn wrel climrel fvex mptex fvmptd climconst eqeltri cn elnnnn0b
      1cnd sylanbrc divcnvg oveq2 reccld oveq2d fvmptd3 oveq12d climadd addid1d
      releldm raleqbidv cbvrabv rgenw rabbi mpbi eqtri infeq1i ioodvbdlimc1lem1
      eqtr4d mpteq2dva syl5eq breq2 anbi2d rexralbidv r19.29a ioosscn mpbir2and
      clim ellimc3 ) AIUOUPZKFUUBUQURVXMUSURZEUTZFVAZVXOFVBUQZVCUPZDUTVDVEVFVXO
      KUPZVXMVBUQZVCUPZCUTZVDVEZVGEFGUUCUQZVHDVIVJZCVIVHAVXMALVKUPZJUGIUHVYFVLV
      MAVYFVNVLLUUDUUEUUFZVOALVNURZVYFVPVDVQUUGVRALALVSGFVBUQZVTUQZUUHUPZVSWDUQ
      ZWAUBAVYKWAURZVYLWAURAVYJVLURZWBVYJWEVEVYMAVYIAGFPOWCZAVYIAFGVDVEZWBVYIVD
      VEQAFGOPUUIWFZWGZWHZAWBVYJAWIZVYSAVYIVYOVYQUUKZWPVYJUUJWJZVYKUULWKWLZUUMZ
      LVYFVYFWMZUUNWKAJVYFFVSJUTZVTUQZWDUQZKUPZVLIAWUFVYFURZVFZVYDVLWUHKAVYDVLK
      WNZWUJRWOWUKFGWUHAFVPURZWUJAFOWQZWOAGVPURZWUJAGPWQZWOWUKFWUGAFVLURZWUJOWO
      ZWUKWUFWUJWUFVLURZALWUFUUOWRZWUKWUFWUKWBWBVSWDUQZWUFWUKWIWUJWVAVLURAWUJWB
      VSWUJWIZWUJWSWTWRZWUTWUJWBWVAVDVEAWUJWBWVBUUTWRWUKWVALWUFWVCWUJLVLURZAWUJ
      LLWUFUUPXAWRWUTAWVALWEVEWUJAWVAVYLLWEAWBVYKVSVYTAVYKAVYJVYSXBZXAZAWSZAVYK
      WUBUVAUUQZUBXCWOWUJLWUFWEVEZALWUFXGWRZXDXEZWGZWHZWTZWUKFWUGWURWUKWUFWUKWU
      FWUTWVKXFZUURUUSWUKWUHFVSLVTUQZWDUQZGWVNWUKFWVPWURAWVPVLURWUJALALWUCUVBZA
      LAWBVYLLVDAWBWVAVYLVYTAWBVSVYTWVGWTAVYKVSWVFWVGWTZAWBVYTUUTWVHXEZUBXCZWGW
      HZWOZWTAGVLURZWUJPWOWUKWUGWVPFWVMWWCWURWUKLWUFVSALVIURWUJALWVRWWAXFWOWVOW
      UKWSWBVSWEVEZWUKXQVOWVJXHUVCAWVQGVDVEWUJAFVSVYLVTUQZWDUQZFVYIWDUQZWVQGVDA
      WWFVYIFAWWFWVPVLVYLLVSVTLVYLUBUVDXIWWBWLVYOOAWWFVSVYJVTUQVYIVDAVYJVYLVSAV
      YJVYSWUAXFAVYLWVSWVTXFVSVIURAUVEVOAVYKVYJWEVEZVYJVYLVDVEZAVYNWWIWWJVFVYSV
      YJUVFWKXJUVGAVYIAVYIVYOXKVYRUVHXLUVIWVQWWGVRAWVPWWFFWDLVYLVSVTUBXIXIVOAWW
      HGAFGAFOXKZAGPXKUVJXMUVKWOXNZUVLZXOZUCUVMZAVYBKUPVCUPZUHUTZWEVEZCVYDVHZUH
      VLVJUGUTZWUFWEVEZWUFIUPZVCUPZWWQWEVEZVGZJVYFVHZUGVLVJZUHVLVJACFGKDUHOPQRS
      TUVNAWWSWXGUHVLAWWSWXGAWWSVFZWVDWVIWXDVGZJVYFVHZWXGAWVDWWSWVRWOWXHWXIJVYF
      WXHWUJVFZWXDWVIWXKWXCWUIVCUPZWWQWEAWUJWXCWXLVRWWSWUKWXBWUIVCWUKWUJWUIVLUR
      ZWXBWUIVRZAWUJXPZWWNJVYFWUIVLIUCUVOWJZXRXSWXKWWSWUHVYDURZWXLWWQWEVEZAWWSW
      UJUVPAWUJWXQWWSWWMXSWWRWXRCWUHVYDVYBWUHVRWWPWXLWWQWEVYBWUHVCKXTYAYBWJYCUV
      TYDWXFWXJUGLVLWWTLVRZWXEWXIJVYFWXSWXAWVIWXDWWTLWUFWEUVQUVRUWAUVSWJUWBUWCU
      WDUWEZXKZAVYECVIAVYBVIURZVFZWXBVXMVBUQZVCUPZVYBYGVTUQZVDVEZVYEJMVKUPZWYCW
      UFWYHURZVFZWYGVFZWUGVIURZVXPVXRWUGVDVEZVFZVYCVGZEVYDVHVYEWYJWYLWYGWYJWUGW
      YJWUFWYIWUSWYCMWUFUUOWRZWYJWUFWYJWBLWUFWYJWIWYCWVDWYIWYCLAVYHWYBALVYLVNUB
      AVYKWVEYEWLZWOZXAZWOZWYPAWBLVDVEZWYBWYIWWAUWFWYJLMWUFWYTWYCMVLURZWYIWYCMW
      YCMLNWYFVTUQZUUHUPZVSWDUQZWEVEZXUELUWGZVNUEWYCXUFXUELVNWYCXUDWYCXUCWYCNWY
      FANVLURZWYBANCVYDVYBVLKUWHUQZUPZVCUPZYFZUWLVLVDVQZVLUAAXUMVLURZXUKXUMWEVE
      ZCVYDVHZACDVYDXUKXUMXULAFGWDUQYGVTUQZVYDURZVYDUXCVAAWUQWWDVYPXUROPQFGUWIU
      WJZVYDXUQUWKWKAVYBVYDURVFZXUJXUTXUJAVYDVLVYBXUIAXUIUWMZVLXUIWNZVYDVLXUIWN
      AWULVYDVLVMZXVBRXVCAFGUWNZVOZVYDKUWOWJAXVAVYDVLXUISUWPWFZUWQXKYHTXULWMXUM
      WMUWRZUWSWLZWOWYBWYFVLURZAWYBVYBVYBUWTZUXAWRWYCVYBYGWYBVYBUSURAWYBVYBXVJX
      KWRWYCUXBWYBVYBWBVAAVYBUXNWRYGWBVAZWYCUXDVOUXEUXFXBYEZWYRYIWLZXAWOWYPWYCL
      MWEVEZWYIWYCLXUGMWEWYCWVDXUEVLURZLXUGWEVEWYSWYCXUEXVLXALXUEUXGWJUEXCZWOWY
      IMWUFWEVEZWYCMWUFXGZWRXDXEZWGWHWYJWUFWYPXVSUUKXFWOWYKWYOEVYDWYKVXOVYDURZV
      FZWYNVYCXWAWYMVYCVXPXWAWYMVFZBVYCUFBVYAVXSWXBVBUQZWYDWDUQZVCUPZVYBVDBVXTX
      WDVCBXWDVXTBVXSWXBVXMBVXSBVYDVLVXOKBAWULBXWBABXWBUFUXHZAWYBWYIWYGXVTWYMUX
      IWKZRWKZBWYKXVTWYMXWFUXJZXOZXKZBWXBBVYFVLWUFIBAVYFVLIWNXWGWWOWKBWYHVYFWUF
      BMVYFURZWYHVYFVMBAWYBXWLXWGBXWBWYBXWFAWYBWYIWYGXVTWYMUXKWKZWYCVYHMVNURZXV
      NXWLWYRXVMXVPLMYJYKWJZLMUXLWKBXWBWYIXWFWYCWYIWYGXVTWYMUXMWKZUXOZXOZXKZBAV
      XNXWGWYAWKUXPXMXRBXWEXWCVCUPZWYEWDUQZVYBBXWDBXWDBXWCWYDBVXSWXBXWJXWRWCZBW
      XBVXMXWRBAVXMVLURXWGWXTWKWCZWTXKYHBXWTWYEBXWCBXWCXXBXKZYHZBWYDBWYDXXCXKZY
      HZWTBVYBXWMUYLZBXWCWYDXXDXXFUXQBXXAWYFWYFWDUQVYBVDBXWTWYEWYFWYFXXEXXGBVYB
      XXHUXAZXXIBXWTWXBVXSVBUQVCUPZWYFWEBVXSWXBXWKXWSUXRBXXJWUIVXSVBUQZVCUPZWYF
      WEBWXBWUIVXSVCVBBAWUJWXNXWGXWQWXPWJYLBXXLNWUHVXOVBUQZYMUQZWYFBXXKBXXKBWUI
      VXSBAWUJWXMXWGXWQWWNWJXWJWCXKYHBNXXMBAXUHXWGXVHWKZBWUHVXOBAWUJWUHVLURZXWG
      XWQWVNWJZBVYDVLVXOXVDXWIYNZWCZYOZXXIBXXLXXNWEVEXXLNVYIYMUQWEVEBUIFGVXOWUH
      KNBAWUQXWGOWKZBAWWDXWGPWKXWHBAXVAVYDVRZXWGSWKXXOBXUKNWEVEZCVYDVHZUIUTZXUI
      UPVCUPZNWEVEZUIVYDVHBAXYDXWGAXUPXYDAXUNXUPXVGXJZXYCXUOCVYDNXUMXUKWEUAUXSU
      XTUYAWKXYGXYCUICVYDXYEVYBVRXYFXUKNWEXYEVYBVCXUIXTYAUYBUYAXWIBVXOGWUHBVXOX
      XRWQBAWUOXWGWUPWKZXXQBVXQWUGVDVEVXOWUHVDVEBVXQVXRWUGBVXOFXXRXYAWCZBVXQBVX
      QXYJXKYHBWUFBVYFVLWUFVYGXWQYNBAWUJWUFWBVAXWGXWQWVLWJWHZBVXQXYJUYCBXWAWYMX
      WFXJXNBVXOFWUGXXRXYAXYKUYDWFBAWUJWUHGVDVEXWGXWQWWLWJUVLUYEUWSBXXNNWUGYMUQ
      ZWYFXXTBNWUGXXOBAWUJWUGVLURZXWGXWQWVMWJZYOZXXIBXXMWUGNXXSXYKXXOBAWBNWEVEZ
      XWGAWBXUQXUIUPZVCUPZNVYTAXYQAXYQAVYDVLXUQXUIXVFXUSXOXKZYHXVHAXYQXYSUYFAXU
      RXUPXYRNWEVEZXUSXYHXUOXYTCXUQVYDVYBXUQVRZXUKXYRXUMNWEVYBXUQVCXUIXTXUMNVRY
      UANXUMUAUVDVOUYGUYHWJXDWKZBXXMWUGXXSXYKBXXMWUHFVBUQWUGVDBFVXOWUHXYAXXRXXQ
      BWUMWUOXVTFVXOVDVEBAWUMXWGWUNWKXYIXWIFGVXOUYIUWJUYJBFWUGBAFUSURZXWGWWKWKB
      WUGXYNXKZUYKXLWPUYMBNWBVRZXYLWYFWEVEZBYUEVFZXYLWYFBXYLVLURZYUEXYOWOBXVIYU
      EXXIWOYUGXYLWBWYFVDYUEBXYLWBWUGYMUQWBNWBWUGYMUYNBWUGYUDUYOUYPBWBWYFVDVEZY
      UEBWYFBVYBXWMUYQUYRZWOYCWPBYUEUYSZWBNVDVEZYUFBYUKVFNBXUHYUKXXOWOBXYPYUKYU
      BWOYUKNWBVABNWBVUBWRUYTBYULVFZXYLNVSMVTUQZYMUQZWYFBYUHYULXYOWOBYUOVLURYUL
      BNYUNXXOBMBVYFVLMVYGXWOYNZBMBWBLMBWIBAWYBWVDXWGXWMWYSWJYUPBAXUAXWGWWAWKBA
      WYBXVNXWGXWMXVPWJXEZWGWHZYOWOBXVIYULXXIWOZYUMWUGYUNNBXYMYULXYNWOBYUNVLURY
      ULYURWOZBXUHYULXXOWOZBXYPYULYUBWOZBWUGYUNWEVEYULBMWUFVSBMYUPYUQXFZBAWUJWU
      FVIURXWGXWQWVOWJBWSWWEBXQVOBWYIXVQXWPXVRWKXHWOUYMYUMYUONVSXUCVTUQZYMUQZWY
      FWEYUMYUNYVDNYUTYUMXUCYUMXUCBXUCVLURZYULBNWYFXXOXXIBVYBYGBVYBXXHXKZBUXBBV
      YBXWMVUCXVKBUXDVOUXEZUXFZWOZYUMNWYFYVAYUSBYULXPZBYUIYULYUJWOVUAZXFZVUDYVA
      YVBYUMXUCMVSYVMBMVIURYULYVCWOYUMWSWWEYUMXQVOBXUCMWEVEYULBXUCMYVIYUPBXUCXU
      EMYVIBXUEBXUDBXUCYVIXBYEZXAZBMBMXUGVNUEBXUFXUELVNYVNBAVYHXWGWYQWKYIWLXABY
      VFXUCXUEVDVEYVIXUCVUEWKBXUEXUGMWEBWVDXVOXUEXUGWEVEBAWVDXWGWVRWKYVOLXUEVUF
      WJUEXCXEWPWOXHUYMYUMNXUCVTUQYVEWYFYUMNXUCYUMNYVAXKZYUMXUCYVJXKYUMXUCYVLWG
      VUGYUMNWYFYVPYUMWYFYUSXKYUMNYVKWGBWYFWBVAYULYVHWOVUHVUIXLXDVULVUJXDXDYCYC
      BXWBWYGXWFWYJWYGXVTWYMVUKWKVUMBVYBYVGVUNXLXNYCVUOVUPUWBYDVXPVYCDEVXRWUGVD
      VIVYDVUQWJWYCUJUTZIUPZUSURZYVRVXMVBUQVCUPZWYFVDVEZVFZUJWWQVKUPZVHZWYGJWYH
      VJZUHVNWYCWWQVNURZVFZYWDVFZWWQMWEVEZMWWQUWGZWYHURZYWJIUPZVXMVBUQVCUPZWYFV
      DVEZYWEYWGYWKYWDYWGYWIYWKWYCYWIYWKYWFWYCYWIVFZYWJMWYHYWOYWIMWWQWYCYWIXPVU
      RWYCMWYHURZYWIWYCXWNYWPXVMMVUSWKWOYPXSYWGYWIUYSZVFZYWJWWQWYHYWQYWJWWQVRYW
      GYWIMWWQVVAWRYWRXWNYWFMWWQWEVEWWQWYHURWYCXWNYWFYWQXVMUWFZWYCYWFYWQUVPZYWR
      MWWQYWRMYWSXAZYWRWWQYWTXAZYWRMWWQVDVEYWQYWGYWQXPYWRMWWQYXAYXBVUTVVBWPMWWQ
      YJYKYPVUJWOYWHYWLUSURZYWNYWHYWDYWJYWCURZYXCYWNVFZYWGYWDXPYWGYXDYWDYWGYWFY
      WJVNURWWQYWJWEVEZYXDWYCYWFXPZYWGYWIMWWQVNWYCXWNYWFXVMWOZYXGYIYWGWWQVLURXU
      BYXFYWGWWQYXGXAYWGMYXHXAWWQMUXGWJWWQYWJYJYKWOYWBYXEUJYWJYWCYVQYWJVRZYVSYX
      CYWAYWNYXIYVRYWLUSYVQYWJIYRZVVCYXIYVTYWMWYFVDYXIYVRYWLVXMVCVBYXJYLYAVVDYB
      WJXJWYGYWNJYWJWYHWUFYWJVRZWYEYWMWYFVDYXKWXBYWLVXMVCVBWUFYWJIYRYLYAUVSWJWY
      CYVSYVTUKUTZVDVEZVFZUJYWCVHUHVNVJZUKVIVHZWYFVIURYWDUHVNVJZAYXPWYBAVXNYXPA
      IVXMYQVEVXNYXPVFAJVYFWUFHUPZKUPZYFZYXTUOUPIVXMYQACDEFGHYXTULJUGKUMUTZHUPZ
      UNUTZHUPZVBUQZVCUPZVYBEVYDVXOXUIUPVCUPYFUWLVLVDVQVSWDUQVTUQZVDVEZUMYYCVKU
      PZVHZUNVYFVVEZVLVDVVFLOPQAKVYDVLVVGUQURZWULRAVLUSVMZKVYDUSVVGUQURZYYLWULV
      VKYYMAVVHVOZAYYMVYDUSKWNXVCXYBYYNYYOAVYDVLUSKRYYOVVLZXVESVYDVLKVVMVVIVYDU
      SVLKVVJWJVVBSTWUDAJVYFWUHVYDHWWMUDUVMYXTWMAYQVVNZHFYQVEHYQUWMURYYQAVVOVOA
      HFWBWDUQFYQAFWBULJVYFFYFZJVYFWUGYFZHLYSVYFWUEWYQAFUUAYYRLYSVYFWUEWYQYYRYS
      URAJVYFFLVKVVPZVVQVOWWKAUUAUTZVYFURZVFZJUUUAFFVYFYYRVLUUUCYYRYTUUUCWUFUUU
      AVRVFFYTAUUUBXPAWUQUUUBOWOVVRVVSHYSURAHJVYFWUHYFYSUDJVYFWUHYYTVVQVVTVOAVS
      USURLVWAURZYYSWBYQVEAVWCALWAURXUAUUUDWUCWWALVWBVWDVSJLVWEWJAULUTZVYFURZVF
      ZUUUEYYRUPZFUSUUUGJUUUEFFVYFYYRVLUUUGYYRYTUUUGWUFUUUEVRZVFFYTAUUUFXPZAWUQ
      UUUFOWOZVVRZAYUCUUUFWWKWOYPUUUGUUUEYYSUPZVSUUUEVTUQZUSUUUGJUUUEWUGUUUNVYF
      YYSVLUUUGYYSYTUUUIWUGUUUNVRUUUGWUFUUUEVSVTVWFZWRUUUJUUUGUUUEUUUGVYFVLUUUE
      VYGUUUJYNZUUUGUUUEUUUGWBLUUUEUUUGWIAWVDUUUFWVRWOUUUPAXUAUUUFWWAWOUUUFLUUU
      EWEVEALUUUEXGWRXEWGZWHZVVRZUUUGUUUEUUUGUUUEUUUPXKUUUQVWGYPUUUGUUUEHUPZFUU
      UNWDUQZUUUHUUUMWDUQUUUGJUUUEWUHUUVAVYFHVLUDUUUIWUGUUUNFWDUUUOVWHUUUJUUUGF
      UUUNUUUKUUURWTVWIUUUGUUUHFUUUMUUUNWDUUULUUUSVWJVXBVWKAFWWKVWLXLHFYQVWMWJV
      LYYKUUUTWWTHUPZVBUQVCUPZYYGVDVEZULWWTVKUPZVHZUGVYFVVEZVDYYKYYBUUVBVBUQZVC
      UPZYYGVDVEZUMUUVEVHZUGVYFVVEZUUVGYYJUUVKUNUGVYFYYCWWTVRZYYHUUVJUMYYIUUVEY
      YCWWTVKYRUUVMYYFUUVIYYGVDUUVMYYEUUVHVCUUVMYYDUUVBYYBVBYYCWWTHYRVWHXRYAVWN
      VWOUUVKUUVFVVKZUGVYFVHUUVLUUVGVRUUVNUGVYFUUVJUUVDUMULUUVEYYAUUUEVRZUUVIUU
      VCYYGVDUUVOYYBUUUTUUVBVCVBYYAUUUEHYRYLYAUYBVWPUUVKUUVFUGVYFVWQVWRVWSVWTVX
      AAIJVYFWUIYFZYXTUCAJVYFWUIYXSWUKWUHYXRKWUKYXRWUHWUKWUJXXPYXRWUHVRWXOWVNJV
      YFWUHVLHUDUVOWJXMXRVXCVXDZAIYXTUOUUVQXRUVKAUKVXMYVRUHUJIYSIYSURAIUUVPYSUC
      JVYFWUIYYTVVQVVTVOAYVQVNURVFYVRYTVXKWFXJWOWYCVYBAWYBXPUYQYXOYXQUKWYFVIYXL
      WYFVRZYXNYWBUHUJVNYWCUUVRYXMYWAYVSYXLWYFYVTVDVXEVXFVXGYBWJVXHVXHYDACDEVYD
      FVXMKYYPVYDUSVMAFGVXIVOWWKVXLVXJ $.
  $}

  ${
    $d A j k x y z $.  $d B j k x y z $.  $d F j k x y z $.  $d j k ph x y z $.
    ioodvbdlimc1.a $e |- ( ph -> A e. RR ) $.
    ioodvbdlimc1.b $e |- ( ph -> B e. RR ) $.
    ioodvbdlimc1.f $e |- ( ph -> F : ( A (,) B ) --> RR ) $.
    ioodvbdlimc1.dmdv $e |- ( ph -> dom ( RR _D F ) = ( A (,) B ) ) $.
    ioodvbdlimc1.dvbd $e |- ( ph -> E. y e. RR A. x e. ( A (,) B ) ( abs ` ( (
       RR _D F ) ` x ) ) <_ y ) $.
    $( A real function with bounded derivative, has a limit at the upper bound
       of an open interval.  (Contributed by Glauco Siliprandi, 11-Dec-2019.)
       (Proof shortened by AV, 3-Oct-2020.) $)
    ioodvbdlimc1 $p |- ( ph -> ( F limCC A ) =/= (/) ) $=
      ( co c0 wbr wa cfv wcel cr adantr cc vj vk vz climc wne clt cmin cdiv cfl
      c1 caddc cuz cv cmpt clsp crp cioo cdv cabs crn csup c2 cle cif simpr cdm
      wceq wral wrex 2fveq3 cbvmptv rneqi supeq1i eqid oveq2 oveq2d fveq2d biid
      wf ioodvbdlimc1lem2 ne0d wss ax-resscn a1i fssd cxr wb rexrd ioo0 syl2anc
      mpbird feq2d mpbid recnd limcdm0 cc0 0cn ne0ii eqnetrd ltlecasei ) AFDUDL
      ZMUEDEADEUFNZOZXAUAUJEDUGLUHLUIPUJUKLZULPZDUJUAUMZUHLZUKLZFPZUNZUOPZXCXCB
      UMZUPQOUBUMZXDCDEUQLZCUMZRFURLZPUSPZUNZUTZRUFVAZXLVBUHLZUHLUIPUJUKLZVCNYB
      XDVDZULPQOXMXJPXKUGLUSPYAUFNOUCUMZXNQOYDDUGLUSPUJXMUHLZUFNOZBCUCDEUAXEXHU
      NXJUBFXDYCXTADRQXBGSAERQXBHSAXBVEAXNRFVSXBISAXPVFXNVGXBJSAXLXPPUSPZXOVCNB
      XNVHCRVIXBKSRXSBXNYGUNZUTUFXRYHCBXNXQYGXOXLUSXPVJVKVLVMXDVNUAUBXEXIDYEUKL
      ZFPXFXMVGZXHYIFYJXGYEDUKXFXMUJUHVOVPZVQVKUAUBXEXHYIYKVKYCVNYFVRVTWAAEDVCN
      ZOZXATMYMDFYMXNTFVSZMTFVSAYNYLAXNRTFIRTWBAWCWDWESYMXNMTFYMXNMVGZYLAYLVEYM
      DWFQZEWFQZYOYLWGAYPYLADGWHSAYQYLAEHWHSDEWIWJWKWLWMADTQYLADGWNSWOTMUEYMWPT
      WQWRWDWSGHWT $.
  $}

  ${
    $d A b j k x $.  $d A h i j k l x z $.  $d A j w x z $.  $d A b j x y $.
    $d B b j k x $.  $d B h i j k l x z $.  $d B j m $.  $d B j w x z $.
    $d B b j x y $.  $d F b j k x $.  $d F h i j k l x z $.  $d F j w x z $.
    $d F b j x y $.  $d M i j k l x $.  $d M j m $.  $d M i j l x y $.
    $d N b c $.  $d N b j $.  $d N j z $.  $d R h i j k l x $.
    $d R h i j l x y $.  $d S a b c x $.  $d S b j k x $.  $d S b j x y $.
    $d S j k x z $.  $d Y w x $.  $d a b c ph x $.  $d ch w $.
    $d i j k ph x z $.  $d m ph $.  $d ph x y z $.
    ioodvbdlimc2lem.a $e |- ( ph -> A e. RR ) $.
    ioodvbdlimc2lem.b $e |- ( ph -> B e. RR ) $.
    ioodvbdlimc2lem.altb $e |- ( ph -> A < B ) $.
    ioodvbdlimc2lem.f $e |- ( ph -> F : ( A (,) B ) --> RR ) $.
    ioodvbdlimc2lem.dmdv $e |- ( ph -> dom ( RR _D F ) = ( A (,) B ) ) $.
    ioodvbdlimc2lem.dvbd $e |- ( ph -> E. y e. RR A. x e. ( A (,) B ) ( abs ` (
       ( RR _D F ) ` x ) ) <_ y ) $.
    ioodvbdlimc2lem.y $e |- Y = sup ( ran ( x e. ( A (,) B ) |-> ( abs ` ( ( RR
       _D F ) ` x ) ) ) , RR , < ) $.
    ioodvbdlimc2lem.m $e |- M = ( ( |_ ` ( 1 / ( B - A ) ) ) + 1 ) $.
    ioodvbdlimc2lem.s $e |- S = ( j e. ( ZZ>= ` M ) |-> ( F ` ( B - ( 1 / j ) )
       ) ) $.
    ioodvbdlimc2lem.r $e |- R = ( j e. ( ZZ>= ` M ) |-> ( B - ( 1 / j ) ) ) $.
    ioodvbdlimc2lem.n $e |- N = if ( M <_ ( ( |_ ` ( Y / ( x / 2 ) ) ) + 1 ) ,
       ( ( |_ ` ( Y / ( x / 2 ) ) ) + 1 ) , M ) $.
    ioodvbdlimc2lem.ch $e |- ( ch <-> ( ( ( ( ( ph /\ x e. RR+ )
                /\ j e. ( ZZ>= ` N ) )
                /\ ( abs ` ( ( S ` j ) - ( limsup ` S ) ) ) < ( x / 2 ) )
                /\ z e. ( A (,) B ) ) /\ ( abs ` ( z - B ) ) < ( 1 / j ) ) ) $.
    $( Limit at the upper bound of an open interval, for a function with
       bounded derivative.  (Contributed by Glauco Siliprandi, 11-Dec-2019.)
       (Revised by AV, 3-Oct-2020.) $)
    ioodvbdlimc2lem $p |- ( ph -> ( limsup ` S ) e. ( F limCC B ) ) $=
      ( vk vb vw vc va vi vh vl clsp cfv co wcel cc cv wne cmin cabs clt wbr wa
      wi wral crp wrex cuz cr wss cz a1i cxr csup wceq c1 cdiv cn0 cc0 resubcld
      caddc cle mpbid gt0ne0d rereccld 0red syl2anc syl eqeltrid eqid wf adantr
      ltled rexrd adantl 1red readdcld zred flcld breqtrrdi letrd ltletrd elrpd
      eluzle simprd recnd breqtrd lediv2ad ffvelrnd simpr fveq2d adantlr 2fveq3
      0le1 breq1d rspccva eqbrtrd ralrimiva c2 peano2zd cmpt abscld ifcld eluz2
      syl3anc syl3anbrc oveq2d cmul sselid remulcld lemul2ad fveq2 fvoveq1d cli
      eqeltrd cvv eqidd vm climc cioo uzssz zssre cpnf posdifd recgt0d flge0nn0
      sstri peano2nn0 nn0zd uzsup eluzelre ltp1d eluzel2 leadd1dd nn0red eqcomi
      cfl nn0ge0d oveq2i 1rp fllelt ltdiv2dd recrecd ltsub2dd lesub2dd rpreccld
      nncand 3brtr3d ltsubrpd eliood fmptd dvbdfbdioo fvmpt2 simplr a1d ralbidv
      breq1 imbi1d rspcev ex reximdv mpd limsupre ad2antrr cif cdv ioomidp ne0i
      crn cdm ioossre dvfre feq2d ffvelrnda suprnmpt simpld rpre rehalfcld 2cnd
      c0 2ne0 divne0d redivcld max1 biimpi simp-5l simplrd simp-5r uzss simp-4r
      rpne0 sseldd npncand eqcomd rpred abstrid eqeltrrd breq2i ralbii cbvralvw
      sylibr leabsd abssubd lelttrd iooltub dvbdfbdioolem1 absge0d rspcva sub31
      ltsub23d breq12d oveq1 mul02d sylan9eqr rphalfcld rpgt0d wn neqne ne0gt0d
      rpne0d divgt0d flltp1 max2 divrecd ddcand eqtr3d syldan pm2.61dan simpllr
      rprecred leltaddd sylbir adantrl brimralrspcev iftrued uzid ltnled mpbird
      2halvesd iffalse eleq1d anbi12d crab cinf wb ax-resscn fssd dvcn syl31anc
      ccncf cncffvrn wrel climrel fvex mptex climconst eqeltri cn 1cnd elnnnn0b
      fvmptd sylanbrc divcnvg oveq2 reccld fvmpt oveq12d eqtr4d climsub subid1d
      ovex releldm raleqbidv cbvrabv rgenw rabbi eqtri infeq1i ioodvbdlimc1lem1
      mpbi mpteq2dva syl5eq 3brtr4d clim breq2 anbi2d r19.29a ioosscn mpbir2and
      rexralbidv ellimc3 ) AIUOUPZKGUUBUQURVXOUSURZEUTZGVAZVXQGVBUQZVCUPZDUTVDV
      EVFVXQKUPZVXOVBUQZVCUPZCUTZVDVEZVGEFGUUCUQZVHDVIVJZCVIVHAVXOALVKUPZJUGIUH
      VYHVLVMAVYHVNVLLUUDUUEUUJZVOALVNURZVYHVPVDVQUUFVRALALVSGFVBUQZVTUQZUUTUPZ
      VSWDUQZWAUBAVYMWAURZVYNWAURAVYLVLURZWBVYLWEVEVYOAVYKAGFPOWCZAVYKAFGVDVEZW
      BVYKVDVEQAFGOPUUGWFZWGZWHZAWBVYLAWIZWUAAVYKVYQVYSUUHZWPVYLUUIWJZVYMUUKWKW
      LZUULZLVYHVYHWMZUUMWKAJVYHGVSJUTZVTUQZVBUQZKUPZVLIAWUHVYHURZVFZVYFVLWUJKA
      VYFVLKWNZWULRWOWUMFGWUJAFVPURZWULAFOWQZWOAGVPURZWULAGPWQZWOWUMGWUIAGVLURZ
      WULPWOZWUMWUHWULWUHVLURZALWUHUUNWRZWUMWUHWUMWBWBVSWDUQZWUHWUMWIWULWVCVLUR
      AWULWBVSWULWIZWULWSWTWRZWVBWULWBWVCVDVEAWULWBWVDUUOWRWUMWVCLWUHWVEWULLVLU
      RZAWULLLWUHUUPXAWRWVBAWVCLWEVEWULAWVCVYNLWEAWBVYMVSWUBAVYMAVYLWUAXBZXAZAW
      SZAVYMWUDUVAUUQZUBXCWOWULLWUHWEVEZALWUHXGWRZXDXEZWGZWHZWCZWUMFGVSLVTUQZVB
      UQZWUJAFVLURZWULOWOWUMGWVQWUTAWVQVLURWULALALWUEUURZALAWBVYNLVDAWBWVCVYNWU
      BAWBVSWUBWVIWTAVYMVSWVHWVIWTZAWBWUBUUOWVJXEZUBXCZWGWHZWOZWCWVPAFWVRVDVEWU
      LAGVYKVBUQGVSVYNVTUQZVBUQZFWVRVDAWWFVYKGAWWFWVQVLVYNLVSVTLVYNUBUUSUVBZWWD
      WLVYQPAWWFVSVYLVTUQVYKVDAVYLVYNVSAVYLWUAWUCXFAVYNWWAWWBXFVSVIURAUVCVOAVYM
      VYLWEVEZVYLVYNVDVEZAVYPWWIWWJVFWUAVYLUVDWKXHUVEAVYKAVYKVYQXIVYTUVFXJUVGAG
      FAGPXIZAFOXIUVJWWGWVRVRAWWFWVQGVBWWHUVBVOUVKWOWUMWUIWVQGWVOWWEWUTWUMLWUHV
      SALVIURWULALWVTWWCXFWOWUMWUHWVBWVMXFZWUMWSWBVSWEVEZWUMXQVOWVLXKUVHXEWUMGW
      UIWUTWUMWUHWWLUVIUVLUVMZXLZUCUVNZAVYDKUPVCUPZUHUTZWEVEZCVYFVHZUHVLVJUGUTZ
      WUHWEVEZWUHIUPZVCUPZWWRWEVEZVGZJVYHVHZUGVLVJZUHVLVJACFGKDUHOPQRSTUVOAWWTW
      XHUHVLAWWTWXHAWWTVFZWVFWVKWXEVGZJVYHVHZWXHAWVFWWTWVTWOWXIWXJJVYHWXIWULVFZ
      WXEWVKWXLWXDWUKVCUPZWWRWEAWULWXDWXMVRWWTWUMWXCWUKVCWUMWULWUKVLURWXCWUKVRZ
      AWULXMZWWOJVYHWUKVLIUCUVPWJZXNXOWXLWWTWUJVYFURZWXMWWRWEVEZAWWTWULUVQAWULW
      XQWWTWWNXOWWSWXRCWUJVYFVYDWUJVRWWQWXMWWRWEVYDWUJVCKXPXRXSWJXTUVRYAWXGWXKU
      GLVLWXALVRZWXFWXJJVYHWXSWXBWVKWXEWXALWUHWEUVTUWAUVSUWBWJUWCUWDUWEUWFZXIZA
      VYGCVIAVYDVIURZVFZWXCVXOVBUQZVCUPZVYDYBVTUQZVDVEZVYGJMVKUPZWYCWUHWYHURZVF
      ZWYGVFZWUIVIURZVXRVXTWUIVDVEZVFZVYEVGZEVYFVHVYGWYJWYLWYGWYJWUIWYJWUHWYIWV
      AWYCMWUHUUNWRZWYJWUHWYJWBLWUHWYJWIWYCWVFWYIWYCLAVYJWYBALVYNVNUBAVYMWVGYCW
      LZWOZXAZWOZWYPAWBLVDVEZWYBWYIWWCUWGWYJLMWUHWYTWYCMVLURZWYIWYCMWYCMLNWYFVT
      UQZUUTUPZVSWDUQZWEVEZXUELUWHZVNUEWYCXUFXUELVNWYCXUDWYCXUCWYCNWYFANVLURZWY
      BANCVYFVYDVLKUWIUQZUPZVCUPZYDZUWLVLVDVQZVLUAAXUMVLURZXUKXUMWEVEZCVYFVHZAC
      DVYFXUKXUMXULAFGWDUQYBVTUQZVYFURZVYFUXCVAAWVSWUSVYRXUROPQFGUWJYHZVYFXUQUW
      KWKAVYDVYFURVFZXUJXUTXUJAVYFVLVYDXUIAXUIUWMZVLXUIWNZVYFVLXUIWNAWUNVYFVLVM
      ZXVBRXVCAFGUWNZVOZVYFKUWOWJAXVAVYFVLXUISUWPWFZUWQXIYETXULWMXUMWMUWRZUWSWL
      ZWOWYBWYFVLURZAWYBVYDVYDUWTZUXAWRWYCVYDYBWYBVYDUSURAWYBVYDXVJXIWRWYCUXBWY
      BVYDWBVAAVYDUXNWRYBWBVAZWYCUXDVOUXEUXFXBYCZWYRYFWLZXAWOWYPWYCLMWEVEZWYIWY
      CLXUGMWEWYCWVFXUEVLURZLXUGWEVEWYSWYCXUEXVLXALXUEUXGWJUEXCZWOWYIMWUHWEVEZW
      YCMWUHXGZWRXDXEZWGWHWYJWUHWYPXVSUUHXFWOWYKWYOEVYFWYKVXQVYFURZVFZWYNVYEXWA
      WYMVYEVXRXWAWYMVFZBVYEUFBVYCVYAWXCVBUQZWYDWDUQZVCUPZVYDVDBVYBXWDVCBXWDVYB
      BVYAWXCVXOBVYABVYFVLVXQKBAWUNBXWBABXWBUFUXHZAWYBWYIWYGXVTWYMUXIWKZRWKZBWY
      KXVTWYMXWFUXJZXLZXIBWXCBVYHVLWUHIBAVYHVLIWNXWGWWPWKBWYHVYHWUHBMVYHURZWYHV
      YHVMBAWYBXWKXWGBXWBWYBXWFAWYBWYIWYGXVTWYMUXKWKZWYCVYJMVNURZXVNXWKWYRXVMXV
      PLMYGYIWJZLMUXLWKBXWBWYIXWFWYCWYIWYGXVTWYMUXMWKZUXOZXLZXIBAVXPXWGWYAWKUXP
      UXQXNBXWEXWCVCUPZWYEWDUQZVYDBXWDBXWDBXWCWYDBVYAWXCXWJXWQWCZBWXCVXOXWQBAVX
      OVLURXWGWXTWKWCZWTXIYEBXWRWYEBXWCBXWCXWTXIZYEZBWYDBWYDXXAXIZYEZWTBVYDXWLU
      XRZBXWCWYDXXBXXDUXSBXWSWYFWYFWDUQVYDVDBXWRWYEWYFWYFXXCXXEBVYDXXFUXAZXXGBX
      WRVYAWUKVBUQZVCUPZWYFWEBXWCXXHVCBWXCWUKVYAVBBAWULWXNXWGXWPWXPWJYJXNZBXXIN
      VXQWUJVBUQZYKUQZWYFBXWRXXIVLXXJXXCUXTBNXXKBAXUHXWGXVHWKZBVXQWUJBVYFVLVXQX
      VDXWIYLZBAWULWUJVLURZXWGXWPWVPWJZWCZYMZXXGBXXIXXLWEVEXXINVYKYKUQWEVEBUIFG
      WUJVXQKNBAWVSXWGOWKBAWUSXWGPWKZXWHBAXVAVYFVRZXWGSWKXXMBXUKNWEVEZCVYFVHZUI
      UTZXUIUPVCUPZNWEVEZUIVYFVHBAXYBXWGAXUPXYBAXUNXUPXVGXHZXYAXUOCVYFNXUMXUKWE
      UAUYAUYBUYDWKXYEXYAUICVYFXYCVYDVRXYDXUKNWEXYCVYDVCXUIXPXRUYCUYDBAWULWXQXW
      GXWPWWNWJBWUJGVXQBWUJXXPWQBAWUQXWGWURWKZXXNBGVXQWUIXXSXXNBWUHBVYHVLWUHVYI
      XWPYLBAWULWUHWBVAXWGXWPWVNWJWHZBGVXQVBUQZVXTWUIBGVXQXXSXXNWCZBVXSBVXSBVXQ
      GXXNXXSWCXIYEXYHBXYIXYIVCUPVXTWEBXYIXYJUYEBGVXQBAGUSURZXWGWWKWKZBVXQXXNXI
      ZUYFXJBXWAWYMXWFXHUYGUYMBWUOWUQXVTVXQGVDVEZBAWUOXWGWUPWKXYGXWIFGVXQUYHYHZ
      UVMUYIUWSBXXLNWUIYKUQZWYFXXRBNWUIXXMBAWULWUIVLURZXWGXWPWVOWJZYMZXXGBXXKWU
      INXXQXYRXXMBAWBNWEVEZXWGAWBXUQXUIUPZVCUPZNWUBAYUAAYUAAVYFVLXUQXUIXVFXUSXL
      XIZYEXVHAYUAYUCUYJAXURXUPYUBNWEVEZXUSXYFXUOYUDCXUQVYFVYDXUQVRZXUKYUBXUMNW
      EVYDXUQVCXUIXPXUMNVRYUENXUMUAUUSVOUYNUYKWJXDWKZBXXKWUIXXQXYRBXXKWUIXYIVBU
      QZWUIVDBVXQUSURXYKWUIUSURXXKYUGVRXYMXYLBWUIXYRXIZVXQGWUIUYLYHBWUIXYIXYRBX
      YIXYJBXYNWBXYIVDVEXYOBVXQGXXNXXSUUGWFXFUVLXTWPYNBNWBVRZXYPWYFWEVEZBYUIVFZ
      XYPWYFBXYPVLURZYUIXYSWOBXVIYUIXXGWOYUKXYPWBWYFVDYUIBXYPWBWUIYKUQWBNWBWUIY
      KUYOBWUIYUHUYPUYQBWBWYFVDVEZYUIBWYFBVYDXWLUYRUYSZWOXTWPBYUIUYTZWBNVDVEZYU
      JBYUOVFNBXUHYUOXXMWOBXYTYUOYUFWOYUONWBVABNWBVUAWRVUBBYUPVFZXYPNVSMVTUQZYK
      UQZWYFBYULYUPXYSWOBYUSVLURYUPBNYURXXMBMBVYHVLMVYIXWNYLZBMBWBLMBWIBAWYBWVF
      XWGXWLWYSWJYUTBAXUAXWGWWCWKBAWYBXVNXWGXWLXVPWJXEZWGWHZYMWOBXVIYUPXXGWOZYU
      QWUIYURNBXYQYUPXYRWOBYURVLURYUPYVBWOZBXUHYUPXXMWOZBXYTYUPYUFWOZBWUIYURWEV
      EYUPBMWUHVSBMYUTYVAXFZBAWULWUHVIURXWGXWPWWLWJBWSWWMBXQVOBWYIXVQXWOXVRWKXK
      WOYNYUQYUSNVSXUCVTUQZYKUQZWYFWEYUQYURYVHNYVDYUQXUCYUQXUCBXUCVLURZYUPBNWYF
      XXMXXGBVYDYBBVYDXXFXIZBUXBBVYDXWLVUCXVKBUXDVOUXEZUXFZWOZYUQNWYFYVEYVCBYUP
      XMZBYUMYUPYUNWOVUDZXFZVUMYVEYVFYUQXUCMVSYVQBMVIURYUPYVGWOYUQWSWWMYUQXQVOB
      XUCMWEVEYUPBXUCMYVMYUTBXUCXUEMYVMBXUEBXUDBXUCYVMXBYCZXAZBMBMXUGVNUEBXUFXU
      ELVNYVRBAVYJXWGWYQWKYFWLXABYVJXUCXUEVDVEYVMXUCVUEWKBXUEXUGMWEBWVFXVOXUEXU
      GWEVEBAWVFXWGWVTWKYVSLXUEVUFWJUEXCXEWPWOXKYNYUQNXUCVTUQYVIWYFYUQNXUCYUQNY
      VEXIZYUQXUCYVNXIYUQXUCYVPWGVUGYUQNWYFYVTYUQWYFYVCXIYUQNYVOWGBWYFWBVAYUPYV
      LWOVUHVUIXJXDVUJVUKXDXDXTBXWBWYGXWFWYJWYGXVTWYMVULWKVUNBVYDYVKVVBXJUYGXTV
      UOVUPUWCYAVXRVYEDEVXTWUIVDVIVYFVUQWJWYCUJUTZIUPZUSURZYWBVXOVBUQVCUPZWYFVD
      VEZVFZUJWWRVKUPZVHZWYGJWYHVJZUHVNWYCWWRVNURZVFZYWHVFZWWRMWEVEZMWWRUWHZWYH
      URZYWNIUPZVXOVBUQVCUPZWYFVDVEZYWIYWKYWOYWHYWKYWMYWOWYCYWMYWOYWJWYCYWMVFZY
      WNMWYHYWSYWMMWWRWYCYWMXMVURWYCMWYHURZYWMWYCXWMYWTXVMMVUSWKWOYRXOYWKYWMUYT
      ZVFZYWNWWRWYHYXAYWNWWRVRYWKYWMMWWRVVCWRYXBXWMYWJMWWRWEVEWWRWYHURWYCXWMYWJ
      YXAXVMUWGZWYCYWJYXAUVQZYXBMWWRYXBMYXCXAZYXBWWRYXDXAZYXBMWWRVDVEYXAYWKYXAX
      MYXBMWWRYXEYXFVUTVVAWPMWWRYGYIYRVUKWOYWLYWPUSURZYWRYWLYWHYWNYWGURZYXGYWRV
      FZYWKYWHXMYWKYXHYWHYWKYWJYWNVNURWWRYWNWEVEZYXHWYCYWJXMZYWKYWMMWWRVNWYCXWM
      YWJXVMWOZYXKYFYWKWWRVLURXUBYXJYWKWWRYXKXAYWKMYXLXAWWRMUXGWJWWRYWNYGYIWOYW
      FYXIUJYWNYWGYWAYWNVRZYWCYXGYWEYWRYXMYWBYWPUSYWAYWNIYOZVVDYXMYWDYWQWYFVDYX
      MYWBYWPVXOVCVBYXNYPXRVVEXSWJXHWYGYWRJYWNWYHWUHYWNVRZWYEYWQWYFVDYXOWXCYWPV
      XOVCVBWUHYWNIYOYPXRUWBWJWYCYWCYWDUKUTZVDVEZVFZUJYWGVHUHVNVJZUKVIVHZWYFVIU
      RYWHUHVNVJZAYXTWYBAVXPYXTAIVXOYQVEVXPYXTVFAJVYHWUHHUPZKUPZYDZYYDUOUPIVXOY
      QACDEFGHYYDULJUGKUMUTZHUPZUNUTZHUPZVBUQZVCUPZVYDEVYFVXQXUIUPVCUPYDUWLVLVD
      VQVSWDUQVTUQZVDVEZUMYYGVKUPZVHZUNVYHVVFZVLVDVVGLOPQAKVYFVLVVMUQURZWUNRAVL
      USVMZKVYFUSVVMUQURZYYPWUNVVHYYQAVVIVOZAYYQVYFUSKWNXVCXXTYYRYYSAVYFVLUSKRY
      YSVVJZXVESVYFVLKVVKVVLVYFUSVLKVVNWJVVASTWUFAJVYHWUJVYFHWWNUDUVNYYDWMAYQVV
      OZHGYQVEHYQUWMURUUUAAVVPVOAHGWBVBUQGYQAGWBULJVYHGYDZJVYHWUIYDZHLYSVYHWUGW
      UFAGUUAUUUBLYSVYHWUGWUFUUUBYSURAJVYHGLVKVVQZVVRVOWWKAUUAUTZVYHURZVFZJUUUE
      GGVYHUUUBVLUUUGUUUBYTUUUGWUHUUUEVRVFGYTAUUUFXMAWUSUUUFPWOVWDVVSHYSURAHJVY
      HWUJYDYSUDJVYHWUJUUUDVVRVVTVOAVSUSURLVWAURZUUUCWBYQVEAVWBALWAURXUAUUUHWUE
      WWCLVWCVWEVSJLVWFWJAULUTZVYHURZVFZUUUIUUUBUPZUUUKUUULGVLUUUKJUUUIGGVYHUUU
      BVLUUUKUUUBYTUUUKWUHUUUIVRZVFGYTAUUUJXMZAWUSUUUJPWOZVWDZUUUOYRXIUUUKUUUIU
      UUCUPZVSUUUIVTUQZUSUUUKJUUUIWUIUUURVYHUUUCVLUUUKUUUCYTUUUMWUIUUURVRUUUKWU
      HUUUIVSVTVWGZWRUUUNUUUKUUUIUUUKVYHVLUUUIVYIUUUNYLZUUUKUUUIUUUKWBLUUUIUUUK
      WIAWVFUUUJWVTWOUUUTAXUAUUUJWWCWOUUUJLUUUIWEVEALUUUIXGWRXEWGZWHVWDZUUUKUUU
      IUUUKUUUIUUUTXIUUVAVWHYRUUUKUUUIHUPZGUUURVBUQZUUULUUUQVBUQUUUJUUVCUUVDVRA
      JUUUIWUJUUVDVYHHUUUMWUIUUURGVBUUUSYJUDGUUURVBVWNVWIWRUUUKUUULGUUUQUUURVBU
      UUPUUVBVWJVWKVWLAGWWKVWMXJHGYQVWOWJVLYYOUUVCWXAHUPZVBUQVCUPZYYKVDVEZULWXA
      VKUPZVHZUGVYHVVFZVDYYOYYFUUVEVBUQZVCUPZYYKVDVEZUMUUVHVHZUGVYHVVFZUUVJYYNU
      UVNUNUGVYHYYGWXAVRZYYLUUVMUMYYMUUVHYYGWXAVKYOUUVPYYJUUVLYYKVDUUVPYYIUUVKV
      CUUVPYYHUUVEYYFVBYYGWXAHYOYJXNXRVWPVWQUUVNUUVIVVHZUGVYHVHUUVOUUVJVRUUVQUG
      VYHUUVMUUVGUMULUUVHYYEUUUIVRZUUVLUUVFYYKVDUUVRYYFUUVCUUVEVCVBYYEUUUIHYOYP
      XRUYCVWRUUVNUUVIUGVYHVWSVXCVWTVXAVXBAIJVYHWUKYDZYYDUCAJVYHWUKYYCWUMWUJYYB
      KWUMYYBWUJWUMWULXXOYYBWUJVRWXOWVPJVYHWUJVLHUDUVPWJUXQXNVXDVXEZAIYYDUOUUVT
      XNVXFAUKVXOYWBUHUJIYSIYSURAIUUVSYSUCJVYHWUKUUUDVVRVVTVOAYWAVNURVFYWBYTVXG
      WFXHWOWYCVYDAWYBXMUYRYXSYYAUKWYFVIYXPWYFVRZYXRYWFUHUJVNYWGUUWAYXQYWEYWCYX
      PWYFYWDVDVXHVXIVXMXSWJVXJVXJYAACDEVYFGVXOKYYTVYFUSVMAFGVXKVOWWKVXNVXL $.
  $}

  ${
    $d A j k x y z $.  $d B j k x y z $.  $d F j k x y z $.  $d j ph x y z $.
    ioodvbdlimc2.a $e |- ( ph -> A e. RR ) $.
    ioodvbdlimc2.b $e |- ( ph -> B e. RR ) $.
    ioodvbdlimc2.f $e |- ( ph -> F : ( A (,) B ) --> RR ) $.
    ioodvbdlimc2.dmdv $e |- ( ph -> dom ( RR _D F ) = ( A (,) B ) ) $.
    ioodvbdlimc2.dvbd $e |- ( ph -> E. y e. RR A. x e. ( A (,) B ) ( abs ` ( (
       RR _D F ) ` x ) ) <_ y ) $.
    $( A real function with bounded derivative, has a limit at the upper bound
       of an open interval.  (Contributed by Glauco Siliprandi, 11-Dec-2019.)
       (Proof shortened by AV, 3-Oct-2020.) $)
    ioodvbdlimc2 $p |- ( ph -> ( F limCC B ) =/= (/) ) $=
      ( co c0 wbr wa cfv wcel cr adantr cc vk vj vz climc wne clt cmin cdiv cfl
      c1 caddc cuz cv cmpt clsp crp cioo cdv cabs crn csup c2 cle cif simpr cdm
      wceq wral wrex 2fveq3 cbvmptv rneqi supeq1i eqid oveq2 oveq2d fveq2d biid
      wf ioodvbdlimc2lem ne0d wss ax-resscn a1i fssd cxr wb ioo0 syl2anc mpbird
      rexrd feq2d mpbid recnd limcdm0 cc0 0cn ne0ii eqnetrd ltlecasei ) AFEUDLZ
      MUEDEADEUFNZOZXAUAUJEDUGLUHLUIPUJUKLZULPZEUJUAUMZUHLZUGLZFPZUNZUOPZXCXCBU
      MZUPQOUBUMZXDCDEUQLZCUMZRFURLZPUSPZUNZUTZRUFVAZXLVBUHLZUHLUIPUJUKLZVCNYBX
      DVDZULPQOXMXJPXKUGLUSPYAUFNOUCUMZXNQOYDEUGLUSPUJXMUHLZUFNOZBCUCDEUAXEXHUN
      XJUBFXDYCXTADRQXBGSAERQXBHSAXBVEAXNRFVSXBISAXPVFXNVGXBJSAXLXPPUSPZXOVCNBX
      NVHCRVIXBKSRXSBXNYGUNZUTUFXRYHCBXNXQYGXOXLUSXPVJVKVLVMXDVNUAUBXEXIEYEUGLZ
      FPXFXMVGZXHYIFYJXGYEEUGXFXMUJUHVOVPZVQVKUAUBXEXHYIYKVKYCVNYFVRVTWAAEDVCNZ
      OZXATMYMEFYMXNTFVSZMTFVSAYNYLAXNRTFIRTWBAWCWDWESYMXNMTFYMXNMVGZYLAYLVEYMD
      WFQZEWFQZYOYLWGAYPYLADGWKSAYQYLAEHWKSDEWHWIWJWLWMAETQYLAEHWNSWOTMUEYMWPTW
      QWRWDWSGHWT $.
  $}

  ${
    dvdmsscn.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvdmsscn.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    $( ` X ` is a subset of ` CC ` .  This statement is very often used when
       computing derivatives.  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    dvdmsscn $p |- ( ph -> X C_ CC ) $=
      ( cc cpw wcel wss ccnfld ctopn cfv crest co restsspw sselid elpwi syl cpr
      cr recnprss sstrd ) ACBFACBGZHCBIAJKLZBMNUCCBUDOEPCBQRABTFSHBFIDBUARUB $.
  $}

  ${
    $d A y $.  $d B y $.  $d C y $.  $d D y $.  $d S y $.  $d V x y $.
    $d W x y $.  $d X x y $.  $d ph y $.
    dvmptmulf.ph $e |- F/ x ph $.
    dvmptmulf.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvmptmulf.a $e |- ( ( ph /\ x e. X ) -> A e. CC ) $.
    dvmptmulf.b $e |- ( ( ph /\ x e. X ) -> B e. V ) $.
    dvmptmulf.ab $e |- ( ph -> ( S _D ( x e. X |-> A ) ) = ( x e. X |-> B ) )
       $.
    dvmptmulf.c $e |- ( ( ph /\ x e. X ) -> C e. CC ) $.
    dvmptmulf.d $e |- ( ( ph /\ x e. X ) -> D e. W ) $.
    dvmptmulf.cd $e |- ( ph -> ( S _D ( x e. X |-> C ) ) = ( x e. X |-> D ) )
       $.
    $( Function-builder for derivative, product rule.  A version of ~ dvmptmul
       using bound-variable hypotheses instead of distinct variable conditions.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    dvmptmulf $p |- ( ph -> ( S _D ( x e. X |-> ( A x. C ) ) ) = ( x e. X |-> (
       ( B x. C ) + ( D x. A ) ) ) ) $=
      ( vy wi cmul co cmpt cdv csb caddc wceq nfcv nfcsb1v nfov csbeq1a oveq12d
      cv cbvmpt oveq2i a1i wcel wa cc nfv nfan nfel1 nfim eleq1w anbi2d imbi12d
      eleq1d chvarfv nfcsb1 csbcow csbid eqtri eqtrd 3eqtrd eqcom imbi1i imbi2i
      nfel bitri mpbi dvmptmul ) AGBJCEUAUBZUCZUDUBZGSJBSUMZCUEZBWEEUEZUAUBZUCZ
      UDUBZSJBWEDUEZWGUAUBZBWEFUEZWFUAUBZUFUBZUCZBJDEUAUBZFCUAUBZUFUBZUCZWDWJUG
      AWCWIGUDBSJWBWHSWBUHBWFWGUABWECUIZBUAUHZBWEEUIZUJBUMZWEUGZCWFEWGUABWECUKZ
      BWEEUKZULUNUOUPASWFWKWGWMGHIJLAXDJUQZURZCUSUQZTAWEJUQZURZWFUSUQZTBSXLXMBA
      XKBKXKBUTVAZBWFUSXAVBVCXEXIXLXJXMXEXHXKABSJVDVEZXECWFUSXFVGVFMVHXIDHUQZTX
      LWKHUQZTBSXLXQBXNBWKHBWEDBWEUHZVIZBHUHVRVCXEXIXLXPXQXOXEDWKHBWEDUKZVGVFNV
      HAGSJWFUCZUDUBZGBJCUCZUDUBZBJDUCZSJWKUCZYBYDUGAYAYCGUDSBJWFCXASCUHWEXDUGZ
      WFSXDWFUEZCSXDWFUKYHCUGYGYHBXDCUECBSXDCVJBCVKVLUPVMZUNUOUPOYEYFUGABSJDWKS
      DUHXSXTUNUPVNXIEUSUQZTXLWGUSUQZTBSXLYKBXNBWGUSXCVBVCXEXIXLYJYKXOXEEWGUSXG
      VGVFPVHXIFIUQZTXLWMIUQZTBSXLYMBXNBWMIBWEFXRVIZBIUHVRVCXEXIXLYLYMXOXEFWMIB
      WEFUKZVGVFQVHAGSJWGUCZUDUBZGBJEUCZUDUBZBJFUCZSJWMUCZYQYSUGAYPYRGUDSBJWGEX
      CSEUHXEEWGUGZTZYGWGEUGZTZXGUUCYGUUBTUUEXEYGUUBXDWEVOZVPUUBUUDYGEWGVOVQVSV
      TZUNUOUPRYTUUAUGABSJFWMSFUHYNYOUNUPVNWAWPWTUGASBJWOWSBWLWNUFBWKWGUAXSXBXC
      UJBUFUHBWMWFUAYNXBXAUJUJSWSUHYGWLWQWNWRUFYGWKDWGEUAXEDWKUGZTZYGWKDUGZTZXT
      UUIYGUUHTUUKXEYGUUHUUFVPUUHUUJYGDWKVOVQVSVTUUGULYGWMFWFCUAXEFWMUGZTZYGWMF
      UGZTZYOUUMYGUULTUUOXEYGUULUUFVPUULUUNYGFWMVOVQVSVTYIULULUNUPVN $.
  $}

  ${
    $d A j k n $.  $d B j k $.  $d C j k x $.  $d M j k n x $.  $d S j k n x $.
    $d X j k n x $.  $d j k n ph x $.
    dvnmptdivc.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvnmptdivc.x $e |- ( ph -> X C_ S ) $.
    dvnmptdivc.a $e |- ( ( ph /\ x e. X ) -> A e. CC ) $.
    dvnmptdivc.b $e |- ( ( ph /\ x e. X /\ n e. ( 0 ... M ) ) -> B e. CC ) $.
    dvnmptdivc.dvn $e |- ( ( ph /\ n e. ( 0 ... M ) ) -> ( ( S Dn ( x e. X |->
       A ) ) ` n ) = ( x e. X |-> B ) ) $.
    dvnmptdivc.c $e |- ( ph -> C e. CC ) $.
    dvnmptdivc.cne0 $e |- ( ph -> C =/= 0 ) $.
    dvnmptdivc.8 $e |- ( ph -> M e. NN0 ) $.
    $( Function-builder for iterated derivative, division rule for constant
       divisor.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    dvnmptdivc $p |- ( ( ph /\ n e. ( 0 ... M ) ) -> ( ( S Dn ( x e. X |-> ( A
       / C ) ) ) ` n ) = ( x e. X |-> ( B / C ) ) ) $=
      ( cc0 wceq cc vk vj cv cfz co wcel wa cdiv cmpt cfv simpr simpl csb wi c1
      cdvn caddc fveq2 csbeq1 oveq1d mpteq2dv eqeq12d imbi2d csbeq1a eqcomd cuz
      equcoms wss cpm cr cpr recnprss syl cvv cnex a1i adantr wne divcld fmpttd
      wf elpm2r syl22anc dvn0 syl2anc id cn0 nn0uz eleqtrdi eluzfz1 nfv nfcsb1v
      nfcv nfmpt nfeq nfim c0ex eleq1 anbi2d imbi12d vtoclf fveq1d w3a 0re nfel
      3anbi3d eleq1d vtoclgf ax-mp syl3anc eqid fvmpt2 eqtr2d 3eqtrrd mpteq2dva
      eqtrd simp3 simp1 mpd 3adant1 cdv ad2antrr elfzofz elfznn0 ad2antlr dvnp1
      cfzo sylanl2 adantl sylan2 simplr 3jca nfcsb1 sylc fzofzp1 chvarfv oveq2d
      oveq2 jca 3eqtrd dvmptdivc syl21anc 3exp fzind2 ) AGUCZRHUDUEZUFZUGZUUGAU
      UEFBICEUHUEZUIZUPUEZUJZBIDEUHUEZUIZSZAUUGUKAUUGULAUAUCZUUKUJZBIGUUPDUMZEU
      HUEZUIZSZUNARUUKUJZBIGRDUMZEUHUEZUIZSZUNZAUBUCZUUKUJZBIGUVHDUMZEUHUEZUIZS
      ZUNZAUVHUOUQUEZUUKUJZBIGUVODUMZEUHUEZUIZSZUNAUUOUNUAUBUUERHUUPRSZUVAUVFAU
      WAUUQUVBUUTUVEUUPRUUKURUWABIUUSUVDUWAUURUVCEUHGUUPRDUSUTVAVBVCUUPUVHSZUVA
      UVMAUWBUUQUVIUUTUVLUUPUVHUUKURUWBBIUUSUVKUWBUURUVJEUHGUUPUVHDUSUTVAVBVCUU
      PUVOSZUVAUVTAUWCUUQUVPUUTUVSUUPUVOUUKURUWCBIUUSUVRUWCUURUVQEUHGUUPUVODUSU
      TVAVBVCUUPUUESZUVAUUOAUWDUUQUULUUTUUNUUPUUEUUKURUWDBIUUSUUMUWDUURDEUHUWDD
      UURDUURSGUAGUUPDVDVGVEUTVAVBVCUVGHRVFUJZUFZAUVBUUJUVEAFTVHZUUJTFVIUEZUFZU
      VBUUJSAFVJTVKZUFZUWGJFVLVMZATVNUFZUWKITUUJWAIFVHZUWIUWMAVOVPZJABIUUITABUC
      ZIUFZUGZCELAETUFZUWQOVQAERVRZUWQPVQVSVTKTFIUUJVNUWJWBWCZFUUJWDWEABIUUIUVD
      UWRCUVCEUHUWRUVCUWPRFBICUIZUPUEZUJZUJZUWPUXBUJZCUWRUXEUWPBIUVCUIZUJZUVCAU
      XEUXHSUWQAUWPUXDUXGAARUUFUFZUXDUXGSZAWFZAUWFUXIAHWGUWEQWHWIRHWJVMZUUHUUEU
      XCUJZBIDUIZSZUNZAUXIUGZUXJUNGRUXQUXJGUXQGWKGUXDUXGGUXDWMGBIUVCGIWMZGRDWLZ
      WNWOWPWQUUERSZUUHUXQUXOUXJUXTUUGUXIAUUERUUFWRZWSUXTUXMUXDUXNUXGUUERUXCURU
      XTBIDUVCGRDVDZVAVBWTNXAWEXBVQUWRUWQUVCTUFZUXHUVCSAUWQUKZUWRAUWQUXIUYCAUWQ
      ULUYDAUXIUWQUXLVQRVJUFAUWQUXIXCZUYCUNZXDAUWQUUGXCZDTUFZUNZUYFGRVJGRWMUYEU
      YCGUYEGWKGUVCTUXSGTWMZXEWPUXTUYGUYEUYHUYCUXTUUGUXIAUWQUYAXFUXTDUVCTUYBXGW
      TMXHXIXJBIUVCTUXGUXGXKXLWEXMAUXEUXFSUWQAUWPUXDUXBAUWGUXBUWHUFZUXDUXBSUWLA
      UWMUWKITUXBWAUWNUYKUWOJABICTLVTKTFIUXBVNUWJWBWCZFUXBWDWEXBVQUWRUWQCTUFUXF
      CSUYDLBICTUXBUXBXKXLWEXNUTXOXPVPUVHRHYGUEUFZUVNAUVTUYMUVNAXCAUYMUVMUVTUYM
      UVNAXQUYMUVNAXRUVNAUVMUYMUVNAUGAUVMUVNAUKUVNAULXSXTAUYMUGZUVMUGZUVPFUVIYA
      UEZFUVLYAUEZUVSUYOUWGUWIUVHWGUFZUVPUYPSZAUWGUYMUVMUWLYBAUWIUYMUVMUXAYBUYM
      AUVHUUFUFZUVMUYRUVHRHYCZUYTUYRAUVMUVHHYDZYEYHFUUJUVHYFZXJZUVMUYPUYQSUYNUV
      IUVLFYAYRYIZUYOUVSUVPUYPUYQUYOUVPUVSUYOUVPUYPUYQUVSUYNUYSUVMUYNUWGUWIUYRU
      YSAUWGUYMUWLVQZAUWIUYMUXAVQUYMAUYTUYRVUAAUYTUGZUYTUYRAUYTUKVUBVMYJZVUCXJV
      QVUEUYNUYQUVSSUVMUYNBUVJUVQEFTIAUWKUYMJVQUYMAUYTUWQUVJTUFZVUAVUGUWQUGZUYT
      AUWQUYTXCZVUIAUYTUWQYKZVUJAUWQUYTAAUYTUWQUXKYBZVUGUWQUKVULYLUYIVUKVUIUNGU
      VHUUFGUVHWMZVUKVUIGVUKGWKGUVJTGUVHDVUNYMZUYJXEWPUUEUVHSZUYGVUKUYHVUIVUPUU
      GUYTAUWQUUEUVHUUFWRZXFVUPDUVJTGUVHDVDZXGWTMXHYNYHUYNUWQUGZUVOUUFUFZAUWQVU
      TXCZUVQTUFZUYMVUTAUWQRHUVHYOZYEZVUSAUWQVUTUYMAUYTUWQAVUAVUMYHUYNUWQUKVVDY
      LUYIVVAVVBUNGUVOUUFGUVOWMZVVAVVBGVVAGWKGUVQTGUVODVVEYMZUYJXEWPUUEUVOSZUYG
      VVAUYHVVBVVGUUGVUTAUWQUUEUVOUUFWRZXFVVGDUVQTGUVODVDZXGWTMXHYNUYNFBIUVJUIZ
      YAUEFUVHUXCUJZYAUEZUVOUXCUJZBIUVQUIZUYNVVJVVKFYAUYNVVKVVJUYNAUYTVVKVVJSZA
      UYMULZUYMUYTAVUAYIUXPVUGVVOUNGUBVUGVVOGVUGGWKGVVKVVJGVVKWMGBIUVJUXRVUOWNW
      OWPVUPUUHVUGUXOVVOVUPUUGUYTAVUQWSVUPUXMVVKUXNVVJUUEUVHUXCURVUPBIDUVJVURVA
      VBWTNYPWEVEYQUYNVVMVVLUYNUWGUYKUYRVVMVVLSVUFUYNAUYKVVPUYLVMVUHFUXBUVHYFXJ
      VEUYNVUTAVUTUGZVVMVVNSZUYMVUTAVVCYIZUYNAVUTVVPVVSYSUXPVVQVVRUNGUVOUUFVVEV
      VQVVRGVVQGWKGVVMVVNGVVMWMGBIUVQUXRVVFWNWOWPVVGUUHVVQUXOVVRVVGUUGVUTAVVHWS
      VVGUXMVVMUXNVVNUUEUVOUXCURVVGBIDUVQVVIVAVBWTNXHYNYTAUWSUYMOVQAUWTUYMPVQUU
      AVQYTVEVUDVUEXNYTUUBUUCUUDYN $.
  $}

  $( If ` K ` divides ` N ` but ` K ` does not divide ` M ` , then ` K ` does
     not divide ` ( M + N ) ` .  (Contributed by Glauco Siliprandi,
     5-Apr-2020.) $)
  dvdsn1add $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) -> ( ( -. K || M /\ K ||
     N ) -> -. K || ( M + N ) ) ) $=
    ( cz wcel w3a cdvds wbr wn wa caddc co cmin simp1 zaddcl 3adant1 simp3 3jca
    ad2antrr cc pm3.22 adantll dvds2sub sylc zcn 3ad2ant2 zcnd breqtrd adantlrl
    pncand simplrl pm2.65da ex ) ADEZBDEZCDEZFZABGHZIZACGHZJZABCKLZGHZIUQVAJVCU
    RUQUTVCURUSUQUTJVCJZAVBCMLZBGVDUNVBDEZUPFZVCUTJZAVEGHUQVGUTVCUQUNVFUPUNUOUP
    NUOUPVFUNBCOPUNUOUPQZRSUTVCVHUQUTVCUAUBAVBCUCUDVDBCUQBTEZUTVCUOUNVJUPBUEUFS
    UQCTEUTVCUQCVIUGSUJUHUIUQUSUTVCUKULUM $.

  ${
    $d A x y $.  $d K x y $.  $d S x $.  $d X x $.  $d ph x y $.
    dvxpaek.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvxpaek.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    dvxpaek.a $e |- ( ph -> A e. CC ) $.
    dvxpaek.k $e |- ( ph -> K e. NN ) $.
    $( Derivative of the polynomial ` ( x + A ) ^ K ` .  (Contributed by Glauco
       Siliprandi, 5-Apr-2020.) $)
    dvxpaek $p |- ( ph -> ( S _D ( x e. X |-> ( ( x + A ) ^ K ) ) ) = ( x e. X
       |-> ( K x. ( ( x + A ) ^ ( K - 1 ) ) ) ) ) $=
      ( vy co cexp cmpt c1 cmul cc cr wcel adantr caddc cdv cmin cc0 cnelprrecn
      cv cpr a1i wss dvdmsscn simpr sseldd addcld 1red 0red readdcld cn0 nnnn0d
      wa expcld nn0cnd cn nnm1nn0 syl mulcld dvmptidg dvmptconst dvmptadd dvexp
      wceq oveq1 oveq2d dvmptco 1p0e1 oveq2i nncnd mulid1d eqtrd mpteq2dva ) AD
      BFBUFZCUALZEMLZNUBLBFEWAEOUCLZMLZPLZOUDUALZPLZNBFWENABKWAWFKUFZEMLZEWHWCM
      LZPLZDQWBWERQFQGQRQUGSAUEUHAVTFSZUSZVTCWMFQVTAFQUIWLADFGHUJTAWLUKULZACQSW
      LITZUMZWMOUDWMUNZWMUOZUPAWHQSZUSZWHEAWSUKZAEUQSWSAEJURTZUTWTEWJWTEXBVAWTW
      HWCXAAWCUQSZWSAEVBSZXCJEVCVDZTUTVEABVTOCUDDRRFGWNWQABFDGHVFWOWRABFCDGHIVG
      VHAXDQKQWINUBLKQWKNVJJKEVIVDWHWAEMVKWHWAVJWJWDEPWHWAWCMVKVLVMABFWGWEWMWGW
      EOPLZWEWGXFVJWMWFOWEPVNVOUHWMWEWMEWDAEQSWLAEJVPTWMWAWCWPAXCWLXETUTVEVQVRV
      SVR $.
  $}

  ${
    $d A m n x $.  $d N n $.  $d S m n x $.  $d X m n x $.  $d m n ph x $.
    dvnmptconst.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvnmptconst.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    dvnmptconst.a $e |- ( ph -> A e. CC ) $.
    dvnmptconst.n $e |- ( ph -> N e. NN ) $.
    $( The ` N ` -th derivative of a constant function.  (Contributed by Glauco
       Siliprandi, 5-Apr-2020.) $)
    dvnmptconst $p |- ( ph -> ( ( S Dn ( x e. X |-> A ) ) ` N ) = ( x e. X |->
       0 ) ) $=
      ( wcel co cfv wceq wi c1 fveq2 eqeq1d imbi2d cc vn vm cn cmpt cdvn cc0 id
      cv caddc cdv wss cpm cr cpr recnprss syl cvv adantr ccnfld ctopn restsspw
      cpw crest sselid elpwi cnex a1i mptelpm dvn1 syl2anc dvmptconst eqtrd w3a
      simp3 simp1 wa simpr simpl pm3.35 3adant1 3ad2ant1 nnnn0 3ad2ant2 syl3anc
      cn0 dvnp1 oveq2 3ad2ant3 0cnd 3eqtrd 3exp nnind sylc ) AEUCKAEDBFCUDZUELZ
      MZBFUFUDZNZJAUGAUAUHZWOMZWQNZOAPWOMZWQNZOAUBUHZWOMZWQNZOZAXDPUILZWOMZWQNZ
      OAWROUAUBEWSPNZXAXCAXKWTXBWQWSPWOQRSWSXDNZXAXFAXLWTXEWQWSXDWOQRSWSXHNZXAX
      JAXMWTXIWQWSXHWOQRSWSENZXAWRAXNWTWPWQWSEWOQRSAXBDWNUJLZWQADTUKZWNTDULLKZX
      BXONADUMTUNZKXPGDUOUPZABFCTDUQXRACTKBUHFKIURAFDVBZKFDUKAUSUTMZDVCLXTFDYAV
      AHVDFDVEUPTUQKAVFVGGVHZDWNVIVJABFCDGHIVKVLXDUCKZXGAXJYCXGAVMAYCXFXJYCXGAV
      NYCXGAVOXGAXFYCXGAVPAXGXFXGAVQXGAVRAXFVSVJVTAYCXFVMZXIDXEUJLZDWQUJLZWQYDX
      PXQXDWEKZXIYENAYCXPXFXSWAAYCXQXFYBWAYCAYGXFXDWBWCDWNXDWFWDXFAYEYFNYCXEWQD
      UJWGWHAYCYFWQNXFABFUFDGHAWIVKWAWJWDWKWLWM $.
  $}

  ${
    $d A m n x $.  $d F m n $.  $d K m n x $.  $d N n x $.  $d S m n x $.
    $d X m n x $.  $d m n ph x $.
    dvnxpaek.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvnxpaek.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    dvnxpaek.a $e |- ( ph -> A e. CC ) $.
    dvnxpaek.k $e |- ( ph -> K e. NN0 ) $.
    dvnxpaek.f $e |- F = ( x e. X |-> ( ( x + A ) ^ K ) ) $.
    $( The ` n ` -th derivative of the polynomial ` ( x + A ) ^ K ` .
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    dvnxpaek $p |- ( ( ph /\ N e. NN0 ) -> ( ( S Dn F ) ` N ) = ( x e. X |-> if
       ( K < N , 0 , ( ( ( ! ` K ) / ( ! ` ( K - N ) ) ) x. ( ( x + A ) ^ ( K -
       N ) ) ) ) ) ) $=
      ( co cc0 cmul wceq oveq2d wcel adantr vn vm cv cdvn cfv clt wbr cmin cdiv
      cfa caddc cexp cif cmpt fveq2 breq2 eqidd oveq2 fveq2d ifbieq12d mpteq2dv
      c1 oveq12d eqeq12d cc wss cpm cr cpr recnprss syl cvv wf a1i ccnfld ctopn
      cnex wa crest cpw restsspw id sselid elpwi sstrd sseldd addcld cn0 expcld
      simpr fmptd elpm2r syl22anc dvn0 syl2anc cle wn nn0ge0d 0red nn0red mpbid
      lenltd iffalsed nn0cnd subid1d cn faccl nncnd nnne0d dividd eqtrd mulid2d
      3eqtrrd mpteq2dva 3eqtrd cdv dvnp1 adantl iftrue 0cnd dvmptconst ad2antrr
      syl3anc nn0re ad2antlr ltled wb nn0zd zleltp1 iftrued eqcomd 3syl adantlr
      cz ad3antrrr wne mulcld oveq1d nnne0 pm2.61dan mpbird lttri3d subidd fac0
      simpl div1d exp0d mulid1d ltp1d oveq1 breqtrd simpll simplr neqne leneltd
      necomd nn0sub divcld posdifd elnnz sylibr nnm1nn0 dvxpaek dvmptmul mul02d
      jca addid2d zltp1le peano2re mulassd div32d facnn2 divcan8d 1cnd subsub4d
      divrecd eqtr2d mulcomd nn0indd ) AUAUCZDEUDNZUEZBHFUVTUFUGZOFUJUEZFUVTUHN
      ZUJUEZUINZBUCZCUKNZUWEULNZPNZUMZUNZQOUWAUEZBHFOUFUGZOUWDFOUHNZUJUEZUINZUW
      IUWPULNZPNZUMZUNZQUBUCZUWAUEZBHFUXCUFUGZOUWDFUXCUHNZUJUEZUINZUWIUXFULNZPN
      ZUMZUNZQZUXCVBUKNZUWAUEZBHFUXNUFUGZOUWDFUXNUHNZUJUEZUINZUWIUXQULNZPNZUMZU
      NZQGUWAUEZBHFGUFUGZOUWDFGUHNZUJUEZUINZUWIUYFULNZPNZUMZUNZQUAUBGUVTOQZUWBU
      WNUWMUXBUVTOUWAUOUYMBHUWLUXAUYMUWCUWOOUWKOUWTUVTOFUFUPUYMOUQUYMUWGUWRUWJU
      WSPUYMUWFUWQUWDUIUYMUWEUWPUJUVTOFUHURZUSRUYMUWEUWPUWIULUYNRVCUTVAVDUVTUXC
      QZUWBUXDUWMUXLUVTUXCUWAUOUYOBHUWLUXKUYOUWCUXEOUWKOUXJUVTUXCFUFUPUYOOUQUYO
      UWGUXHUWJUXIPUYOUWFUXGUWDUIUYOUWEUXFUJUVTUXCFUHURZUSRUYOUWEUXFUWIULUYPRVC
      UTVAVDUVTUXNQZUWBUXOUWMUYCUVTUXNUWAUOUYQBHUWLUYBUYQUWCUXPOUWKOUYAUVTUXNFU
      FUPUYQOUQUYQUWGUXSUWJUXTPUYQUWFUXRUWDUIUYQUWEUXQUJUVTUXNFUHURZUSRUYQUWEUX
      QUWIULUYRRVCUTVAVDUVTGQZUWBUYDUWMUYLUVTGUWAUOUYSBHUWLUYKUYSUWCUYEOUWKOUYJ
      UVTGFUFUPUYSOUQUYSUWGUYHUWJUYIPUYSUWFUYGUWDUIUYSUWEUYFUJUVTGFUHURZUSRUYSU
      WEUYFUWIULUYTRVCUTVAVDAUWNEBHUWIFULNZUNZUXBADVEVFZEVEDVGNSZUWNEQADVHVEVIZ
      SZVUCIDVJVKZAVEVLSZVUFHVEEVMHDVFZVUDVUHAVQVNIABHVUAVEEAUWHHSZVRZUWIFVUKUW
      HCVUKHVEUWHAHVEVFVUJAHDVEAHVOVPUEZDVSNZSZVUIJVUNHDVTZSVUIVUNVUMVUOHDVULWA
      VUNWBWCHDWDVKVKZVUGWETAVUJWJWFACVESZVUJKTWGZAFWHSZVUJLTWIZMWKVUPVEDHEVLVU
      EWLWMZDEWNWOEVUBQAMVNABHVUAUXAVUKUXAUWTVBVUAPNZVUAAUXAUWTQVUJAUWOOUWTAOFW
      PUGUWOWQAFLWRAOFAWSZAFLWTZXBXAXCTAUWTVVBQVUJAUWRVBUWSVUAPAUWRUWDUWDUINVBA
      UWQUWDUWDUIAUWPFUJAFAFLXDZXEZUSRAUWDAUWDAVUSUWDXFSLFXGVKZXHZAUWDVVGXIXJXK
      AUWPFUWIULVVFRVCTVUKVUAVUTXLXMXNXOAUXCWHSZVRZUXMVRUXODUXDXPNZDUXLXPNZUYCV
      VJUXOVVKQZUXMVVJVUCVUDVVIVVMAVUCVVIVUGTAVUDVVIVVATAVVIWJZDEUXCXQYCTUXMVVK
      VVLQVVJUXDUXLDXPURXRVVJVVLUYCQZUXMVVJUXEVVOVVJUXEVRZVVLDBHOUNZXPNZVVQUYCU
      XEVVLVVRQVVJUXEUXLVVQDXPUXEBHUXKOUXEOUXJXSVARXRAVVRVVQQVVIUXEABHODIJAXTYA
      YBVVPUYCVVQVVPBHUYBOVVPUXPOUYAVVPFUXCWPUGZUXPVVPFUXCAFVHSZVVIUXEVVDYBVVIU
      XCVHSZAUXEUXCYDZYEVVJUXEWJYFVVJVVSUXPYGZUXEVVJFYNSZUXCYNSZVWCAVWDVVIAFLYH
      TZVVJUXCVVNYHZFUXCYIWOTXAYJVAYKXOVVJUXEWQZVRZVVJUXCFWPUGZVVOVVJVWHUUEZVWI
      VWJVWHVVJVWHWJVWIUXCFVWIVVJVVIVWAVWKVVNVWBYLAVVTVVIVWHVVDYBXBUUAVVJVWJVRZ
      UXCFQZVVOVVJVWMVVOVWJVVJVWMVRZVVLDBHUXJUNZXPNZVVQUYCVWNUXLVWODXPVWNBHUXKU
      XJVWNUXEOUXJVWNUXCFUFUGZWQZVWHVRZVWHVWNVWMVWSVVJVWMWJVWNUXCFVVIVWAAVWMVWB
      YEAVVTVVIVWMVVDYBZUUBXAVWRVWHWJVKXCVARAVWMVWPVVQQVVIAVWMVRZVWPDBHUWDUNZXP
      NZVVQVXAVWOVXBDXPVXABHUXJUWDVXAVUJVRZUXJUWDVBPNZUWDVXDUXHUWDUXIVBPVXAUXHU
      WDQVUJVXAUXHUWDVBUINZUWDVXAUXGVBUWDUIVXAUXGFFUHNZUJUEZVBVWMUXGVXHQAVWMUXF
      VXGUJUXCFFUHURZUSXRAVXHVBQVWMAVXHOUJUEZVBAVXGOUJAFVVEUUCZUSVXJVBQAUUDVNXK
      TXKRAVXFUWDQVWMAUWDVVHUUFTXKTVXDUXIUWIOULNZVBVXAUXIVXLQVUJVXAUXFOUWIULVXA
      UXFVXGOVWMUXFVXGQAVXIXRAVXGOQVWMVXKTXKRTAVUJVXLVBQVWMVUKUWIVURUUGYMXKVCAV
      XEUWDQVWMVUJAUWDVVHUUHYBXKXNRAVXCVVQQVWMABHUWDDIJVVHYATXKYMVWNBHOUYBVWNUY
      BOVWNUXPOUYAVWNFFVBUKNZUXNUFVWNFVWTUUIVWMVXMUXNQVVJVWMUXNVXMUXCFVBUKUUJYK
      XRUUKYJYKVAXOYMVWLVWMWQZVRZVVJVWQVVOVVJVWJVXNUULZVXOUXCFVXOVVJVVIVWAVXPVV
      NVWBYLAVVTVVIVWJVXNVVDYOVVJVWJVXNUUMVXNFUXCYPVWLVXNUXCFUXCFUUNUUPXRUUOVVJ
      VWQVRZVVLVWPBHOUXIPNZUXFUWIUXFVBUHNZULNZPNZUXHPNZUKNZUNUYCVXQUXLVWODXPVXQ
      BHUXKUXJVXQUXEOUXJVXQVWJVWHVXQUXCFVVIVWAAVWQVWBYEZAVVTVVIVWQVVDYBZVVJVWQW
      JZYFZVXQUXCFVYDVYEXBXAXCVARVXQBUXHOUXIVYADVHVEHVVJVUFVWQAVUFVVIITTZVXQUXH
      VESVUJVXQUWDUXGAUWDVESVVIVWQVVHYBZVXQUXGVXQUXFWHSZUXGXFSVXQVWJVYJVYGVXQVV
      IVUSVWJVYJYGVVJVVIVWQVVNTAVUSVVIVWQLYBUXCFUUQWOXAZUXFXGVKZXHZVXQUXGVYLXIZ
      UURZTZAOVHSVVIVWQVUJVVCYOVXQBHUXHDVYHVVJVUNVWQAVUNVVIJTTZVYOYAVXQVUJVRZUW
      IUXFVVJVUJUWIVESZVWQAVUJVYSVVIVURYMYMZVXQVYJVUJVYKTZWIZVYRUXFVXTVYRUXFWUA
      XDZVYRUWIVXSVYTVXQVXSWHSZVUJVXQUXFXFSZWUDVXQUXFYNSZOUXFUFUGZVRWUEVXQWUFWU
      GVXQUXFVYKYHVXQVWQWUGVYFVXQUXCFVYDVYEUUSXAUVFUXFUUTUVAZUXFUVBZVKZTWIZYQZV
      XQBCDUXFHVYHVYQAVUQVVIVWQKYBWUHUVCUVDVXQBHVYCUYBVYRVYCOVYBUKNVYBUYBVYRVXR
      OVYBUKVYRUXIWUBUVEYRVYRVYBVYRVYAUXHWULVYPYQUVGVYRUYBUYAUXHVYAPNZVYBVYRUXP
      OUYAVXQUXPWQZVUJVXQUXNFWPUGZWUNVXQVWQWUOVYFVXQVWEVWDVWQWUOYGVVJVWEVWQVWGT
      VVJVWDVWQVWFTUXCFUVHWOXAVXQUXNFVXQVWAUXNVHSVYDUXCUVIVKVYEXBXATXCVYRWUMUXH
      UXFPNZVXTPNZUWDVBVXSUJUEZUINZPNZUXTPNUYAVYRWUQWUMVYRUXHUXFVXTVYPWUCWUKUVJ
      YKVYRWUPWUTVXTUXTPVXQWUPWUTQVUJVXQWUPUWDUXFUXGUINZPNWUTWUTVXQUWDUXGUXFVYI
      VYMVXQUXFWUHXHZVYNUVKVXQWVAWUSUWDPVXQWVAUXFWURUXFPNZUINWUSVXQUXGWVCUXFUIV
      XQWUEUXGWVCQWUHUXFUVLVKRVXQWURUXFVXQWUEWURVESWUHWUEWURWUEWUDWURXFSZWUIVXS
      XGZVKXHVKZWVBVXQWVDWUROYPVXQWUDWVDWUJWVEVKWURYSVKZVXQWUEUXFOYPWUHUXFYSVKU
      VMXKRVXQWUTUQXOTVVJVXTUXTQVWQVUJVVJVXSUXQUWIULVVJFUXCVBAFVESVVIVVETVVJUXC
      VVNXDVVJUVNUVOZRYBVCVYRWUTUXSUXTPVXQWUTUXSQVUJVXQUXSUWDWURUINWUTVXQUXRWUR
      UWDUIVXQUXQVXSUJVXQVXSUXQVVJVXSUXQQVWQWVHTYKUSRVXQUWDWURVYIWVFWVGUVPUVQTY
      RXMVYRUXHVYAVYPWULUVRXMXOXNXOWOYTWOYTTXOUVS $.
  $}

  ${
    $d A i k m n $.  $d B i k m n $.  $d C h i j x $.  $d C i m n x $.
    $d D h i j x $.  $d D i m n x $.  $d F k n $.  $d G j k $.  $d G k n $.
    $d N h i j k x $.  $d N i k m n x $.  $d S i j k x $.  $d S i k m n x $.
    $d X h i j k x $.  $d X i k m n x $.  $d h i j k ph x $.  $d m n ph x $.
    dvnmul.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvnmul.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    dvnmul.a $e |- ( ( ph /\ x e. X ) -> A e. CC ) $.
    dvnmul.cc $e |- ( ( ph /\ x e. X ) -> B e. CC ) $.
    dvnmul.n $e |- ( ph -> N e. NN0 ) $.
    dvnmulf $e |- F = ( x e. X |-> A ) $.
    dvnmul.f $e |- G = ( x e. X |-> B ) $.
    dvnmul.dvnf $e |- ( ( ph /\ k e. ( 0 ... N ) ) -> ( ( S Dn F ) ` k ) : X
       --> CC ) $.
    dvnmul.dvng $e |- ( ( ph /\ k e. ( 0 ... N ) ) -> ( ( S Dn G ) ` k ) : X
       --> CC ) $.
    dvnmul.c $e |- C = ( k e. ( 0 ... N ) |-> ( ( S Dn F ) ` k ) ) $.
    dvnmul.d $e |- D = ( k e. ( 0 ... N ) |-> ( ( S Dn G ) ` k ) ) $.
    $( Function-builder for the ` N ` -th derivative, product rule.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    dvnmul $p |- ( ph -> ( ( S Dn ( x e. X |-> ( A x. B ) ) ) ` N ) = ( x e. X
       |-> sum_ k e. ( 0 ... N ) ( ( N _C k ) x. ( ( ( C ` k ) ` x ) x. ( ( D `
       ( N - k ) ) ` x ) ) ) ) ) $=
      ( vn vj vh cmul co cmpt cfv cc0 cfz cv cbc cmin csu wceq cn0 wcel cuz syl
      wi eleq1 fveq2 oveq2 sumeq1d fveq1d oveq2d oveq12d eqeq12d imbi2d imbi12d
      eqtrd c1 caddc wa simpl simpll oveq1d fvoveq1d sumeq12rdv mpteq2dva cc cr
      cvv mulcld a1i syl2anc cz adantl fvexd adantr adantlr simpr fveq2d 3eqtrd
      nfv mulid2d 0re eqtr2d cdv fzfid elfzelz bccld nn0cnd adantll cle elfzle1
      wf wbr elfzle2 ltled elfzd feq1d mpbird ffvelrnd zsubcld subge0d resubcld
      zred ltletrd recnd ovex chvarfv vtocl 3expa peano2zd 1red letrd ffvelrnda
      anbi2d nfcv nffv nff nfim eqcomd nfov 1zzd ad2antlr vtoclf vm vi id nn0uz
      cdvn eleqtrdi eluzfz2 fvoveq1 sumeq2sdv mpteq2dv wss cpm cpr recnprss cpw
      oveq1 ccnfld ctopn crest restsspw sselid elpwi cnex mptelpm dvn0 csn fzsn
      0z ax-mp sumeq1i nfcvd 0nn0 cbvmptv eqtri eluzfz1 fvmptd3 eqeltrid fvmpt2
      bcn0 0m0e0 fveq1i eqidd mptexg eqeltrd fvmptd ad2antrr fvmpt2d sumsnd w3a
      cfzo simp3 simp1 simp2 pm3.35 elfzonn0 dvnp1 syl3anc 3adant3 0zd elfzoel2
      eqid clt elfzolt2 lelttrd nn0zd elfzel2 resubcl ltsub1dd lesub2dd subid1d
      nn0red breqtrd peano2re ltp1d leadd1dd elfzop1le2 lesub1dd mulcomd nfmpt1
      jca nfcxfr addcld eqeltrrd 3impa dvmptconst feqmptd elfznn0 fznn0sub 1cnd
      addsubd dvmptmul mul02d addid2d dvmptfsum an32s anass ancom anbi2i bicomi
      bitri imbi1i mpbi adddid sumeq2dv cfn fsumadd cbvsum nfel eleq1d fsumshft
      nfan 0p1e1 oveq1i cdif zcnd npcand subsub3d 0lt1 readdcld leidd crp elrpd
      simplr ltsubrpd eqcomi nn0ge0d eqbrtrd 3jca sylibr fsumsplit1 pncand bcnn
      eluz2 subidd fzofzp1 c0ex fveq2i eqtr2i eleqtrd fzdifsuc2 eleqtrrd wb wal
      1m1e0 eldifi cn wne eldifsni nnge1 ex wn gtned nelsn eldifd impbid alrimi
      elnnne0 dfcleq fzelp1 syldan fsumcl ssriv syl21anc add4d peano2zm addcomd
      bcpasc adddird peano2nn0 addassd 3eqtrrd fzdifsuc 3exp fzind2 vtoclg sylc
      sylancl mpd ) AAKGBLCDUGUHZUIZUUEUHZUJZBLUKKULUHZKHUMZUNUHZBUMZVYDEUJZUJZ
      VYFKVYDUOUHZFUJZUJZUGUHZUGUHZHUPZUIZUQZAUUCZAKURUSKVYCUSZAVYPVBZQAKUKUTUJ
      ZUSZVYRAKURVYTQUUDUUFZUKKUUGVAUDUMZVYCUSZAWUCVYAUJZBLUKWUCULUHZWUCVYDUNUH
      ZVYHVYFWUCVYDUOUHFUJZUJZUGUHZUGUHZHUPZUIZUQZVBZVBVYRVYSVBUDKURWUCKUQZWUDV
      YRWUOVYSWUCKVYCVCWUPWUNVYPAWUPWUEVYBWUMVYOWUCKVYAVDWUPBLWULVYNWUPWULVYCWU
      KHUPVYNWUPWUFVYCWUKHWUCKUKULVEVFWUPVYCWUKVYMHWUPWUGVYEWUJVYLUGWUCKVYDUNUU
      PWUPWUIVYKVYHUGWUPVYFWUHVYJWUCKVYDFUOUUHVGVHVIUUIVMUUJVJVKVLAUUAUMZVYAUJZ
      BLUKWUQULUHZWUQVYDUNUHZVYHVYFWUQVYDUOUHFUJZUJZUGUHZUGUHZHUPZUIZUQZVBAUKVY
      AUJZBLUKUKULUHZUKVYDUNUHZVYHVYFUKVYDUOUHZFUJZUJZUGUHZUGUHZHUPZUIZUQZVBZAU
      UBUMZVYAUJZBLUKWVTULUHZWVTVYDUNUHZVYHVYFWVTVYDUOUHZFUJZUJZUGUHZUGUHZHUPZU
      IZUQZVBZAWVTVNVOUHZVYAUJZBLUKWWMULUHZWWMVYDUNUHZVYHVYFWWMVYDUOUHZFUJZUJZU
      GUHZUGUHZHUPZUIZUQZVBWUOUUAUUBWUCUKKWUQUKUQZWVGWVRAWXEWURWVHWVFWVQWUQUKVY
      AVDWXEBLWVEWVPWXEVYFLUSZVPZWUSWVIWVDWVOHWXGWUQUKUKULWXEWXFVQVHWXGVYDWVIUS
      ZVPZWUTWVJWVCWVNUGWXIWUQUKVYDUNWXEWXFWXHVRZVSWXIWVBWVMVYHUGWXIVYFWVAWVLWX
      IWUQUKVYDFUOWXJVTVGVHVIWAWBVJVKWUQWVTUQZWVGWWKAWXKWURWWAWVFWWJWUQWVTVYAVD
      WXKBLWVEWWIWXKWXFVPZWUSWWBWVDWWHHWXLWUQWVTUKULWXKWXFVQVHWXLVYDWWBUSZVPZWU
      TWWCWVCWWGUGWXNWUQWVTVYDUNWXKWXFWXMVRZVSWXNWVBWWFVYHUGWXNVYFWVAWWEWXNWUQW
      VTVYDFUOWXOVTVGVHVIWAWBVJVKWUQWWMUQZWVGWXDAWXPWURWWNWVFWXCWUQWWMVYAVDWXPB
      LWVEWXBWXPWXFVPZWUSWWOWVDWXAHWXQWUQWWMUKULWXPWXFVQVHWXQVYDWWOUSZVPZWUTWWP
      WVCWWTUGWXSWUQWWMVYDUNWXPWXFWXRVRZVSWXSWVBWWSVYHUGWXSVYFWVAWWRWXSWUQWWMVY
      DFUOWXTVTVGVHVIWAWBVJVKWUQWUCUQZWVGWUNAWYAWURWUEWVFWUMWUQWUCVYAVDWYABLWVE
      WULWYAWXFVPZWUSWUFWVDWUKHWYBWUQWUCUKULWYAWXFVQVHWYBVYDWUFUSZVPZWUTWUGWVCW
      UJUGWYDWUQWUCVYDUNWYAWXFWYCVRZVSWYDWVBWUIVYHUGWYDVYFWVAWUHWYDWUQWUCVYDFUO
      WYEVTVGVHVIWAWBVJVKWVSWUAAWVHVXTWVQAGWCUUKZVXTWCGUULUHZUSZWVHVXTUQAGWDWCU
      UMZUSZWYFMGUUNZVAZABLVXSWCGWEWYIAWXFVPZCDOPWFZALGUUOZUSZLGUUKAUUQUURUJZGU
      USUHZWYOLGWYQUUTNUVAZLGUVBVAZWCWEUSAUVCWGZMUVDZGVXTUVEWHABLVXSWVPWYMWVPUK
      UVFZWVOHUPZVXSWVPXUDUQWYMWVIXUCWVOHUKWIUSZWVIXUCUQUVHUKUVGUVIUVJWGWYMWVOV
      XSHUKWDWYMHVXSUVKWYMHWQWYMVYDUKUQZVPZWVOVNVXSUGUHZVXSXUGWVJVNWVNVXSUGXUFW
      VJVNUQWYMXUFWVJUKUKUNUHZVNVYDUKUKUNVEXUIVNUQZXUFUKURUSXUJUVLUKUVSUVIWGVMW
      JXUGVYHCWVMDUGXUGVYHVYFIUJZCAXUFVYHXUKUQWXFAXUFVPZVYFVYGIXULVYGUKGIUUEUHZ
      UJZIXULVYGUKEUJZXUNXUFVYGXUOUQAVYDUKEVDZWJAXUOXUNUQXUFAUDUKWUCXUMUJZXUNVY
      CEWEEHVYCVYDXUMUJZUIZUDVYCXUQUIUBHUDVYCXURXUQVYDWUCXUMVDUVMUVNZWUCUKXUMVD
      AWUAUKVYCUSZWUBUKKUVOVAZAUKXUMWKUVPWLVMAXUNIUQZXUFAWYFIWYGUSZXVCWYLAIBLCU
      IWYGRABLCWCGWEWYIOWYTXUAMUVDUVQZGIUVEWHWLVMVGWMWYMXUKCUQZXUFWYMWXFCWCUSXV
      FAWXFWNOBLCWCIRUVRWHWLVMXUGWVMVYFUKFUJZUJZVYFJUJZDAXUFWVMXVHUQZWXFXUFXVJA
      XUFVYFWVLXVGXUFWVKUKFXUFWVKUKUKUOUHZUKVYDUKUKUOVEXVKUKUQXUFUVTWGVMWOVGWJW
      MAXVHXVIUQWXFXUFAVYFXVGJAXVGUKUDVYCWUCGJUUEUHZUJZUIZUJZJXVGXVOUQAUKFXVNFH
      VYCVYDXVLUJZUIZXVNUCHUDVYCXVPXVMVYDWUCXVLVDUVMUVNZUWAWGAUDUKXVMJVYCXVNWEA
      XVNUWBAWUCUKUQZVPXVMUKXVLUJZJXVSXVMXVTUQAWUCUKXVLVDWJAXVTJUQZXVSAWYFJWYGU
      SZXWAWYLAJBLDUIZWYGSABLDWCGWEWYIPWYTXUAMUVDUVQZGJUVEWHWLVMXVBAJXWCWEJXWCU
      QASWGZAWYPXWCWEUSWYSBLDWYOUWCVAUWDUWEVMVGUWFWYMXVIDUQXUFABLDJWCXWEPUWGWLW
      PVIVIWYMXUHVXSUQXUFWYMVXSWYNWRWLVMUKWDUSZWYMWSWGWYNUWHWTWBVMWGWVTUKKUWJUH
      USZWWLAWXDXWGWWLAUWIZAXWGWWKWXDXWGWWLAUWKZXWGWWLAUWLXWHAWWLWWKXWIXWGWWLAU
      WMAWWKUWNWHAXWGVPZWWKVPZWWNGWWAXAUHZGWWJXAUHZWXCXWJWWNXWLUQZWWKXWJWYFWYHW
      VTURUSZXWNAWYFXWGWYLWLAWYHXWGXUBWLXWGXWOAWVTKUWOZWJGVXTWVTUWPUWQWLXWKWWAW
      WJGXAXWJWWKWNVHXWJXWMWXCUQWWKXWJXWMBLWWBWWCVYFVYDVNVOUHZEUJZUJZWWFUGUHZWW
      TVOUHZUGUHZHUPZUIWXCXWJBWWHXXBGHWWBWYRWYQLWYRUXAWYQUXAAWYJXWGMWLALWYRUSZX
      WGNWLXWJUKWVTXBZXWJWXMWXFUWIZWWCWWGXWJWXMWWCWCUSZWXFXWGWXMXXGAXWGWXMVPZWW
      CXXHVYDWVTXWGXWOWXMXWPWLZWXMVYDWIUSZXWGVYDUKWVTXCZWJZXDXEXFZUWRZXXFVYHWWF
      XXFLWCVYFVYGXWJWXMLWCVYGXIZWXFXWJWXMVPZAVYDVYCUSZXXOAXWGWXMVRZXWGWXMXXQAX
      XHVYDUKKXXHUWSZXWGKWIUSZWXMWVTUKKUWTZWLZXXLWXMUKVYDXGXJZXWGVYDUKWVTXHZWJZ
      XXHVYDKXXHVYDXXLXTZXWGKWDUSZWXMXWGKXYAXTZWLZXXHVYDWVTKXYFXWGWVTWDUSZWXMXW
      GWVTXWPUXKZWLZXYIWXMVYDWVTXGXJZXWGVYDUKWVTXKZWJXWGWVTKUXBXJWXMWVTUKKUXCWL
      ZUXDXLXMXFZAXXQVPZXXOLWCXURXITXYQLWCVYGXURAHVYCXUREWEEXUSUQAUBWGXYQVYDXUM
      WKUWGZXNXOZWHZUWRXWJWXMWXFUWKZXPZXXFLWCVYFWWEXWJWXMLWCWWEXIZWXFXXPYUCLWCW
      WDXVLUJZXIZXXPAWWDVYCUSZYUEXXRXWGWXMYUFAXXHWWDUKKXXSXYBXXHWVTVYDXWGWVTWIU
      SZWXMXWGWVTXWPUXEZWLZXXLXQWXMUKWWDXGXJZXWGWXMYUJXYMXYNWXMWVTVYDWXMWVTVYDU
      KWVTUXFXTZWXMVYDXXKXTZXRXOWJXXHWWDKXXHWVTVYDXYLXYFXSZXYIXXHWWDKUKUOUHZKUX
      BXXHWWDVYIYUNYUMXXHKVYDXYIXYFXSZXXHXYGXWFVPYUNWDUSZXXHXYGXWFXYIXWFXXHWSWG
      ZUXTKUKUXGZVAXXHWVTKVYDXYLXYIXYFXYOUXHXXHUKVYDKYUQXYFXYIXYEUXIZYAXWGYUNKU
      QZWXMXWGKXWGKXYHYBUXJZWLZUXLXLXMZXFAUEUMZVYCUSZVPZLWCYVDXVLUJZXIZVBZAYUFV
      PZYUEVBUEWWDWVTVYDUOYCYVDWWDUQZYVFYVJYVHYUEYVKYVEYUFAYVDWWDVYCVCYKYVKLWCY
      VGYUDYVDWWDXVLVDXNVLXYQLWCXVPXIZVBYVIHUEYVIHWQVYDYVDUQZXYQYVFYVLYVHYVMXXQ
      YVEAVYDYVDVYCVCYKZYVMLWCXVPYVGVYDYVDXVLVDXNVLUAYDZYEWHXXPLWCWWEYUDXWGWXMW
      WEYUDUQAXXHUDWWDXVMYUDVYCFWEXVRWUCWWDXVLVDYVCXXHWWDXVLWKUVPXFZXNXOZUWRYUA
      XPZWFZWFXWJWXMWXFXXBWCUSXXPWXFVPZWWCXXAXWJWXMWXFXXGXXNYFZYVTXWTWWSVYHUGUH
      ZVOUHZXXAWCYVTYWBWWTXWTVOYVTWWSVYHXXPLWCVYFWWRXXPLWCWWRXIZLWCWWQXVLUJZXIZ
      XXPAWWQVYCUSZYWFXXRXWGWXMYWGAXXHWWQUKKXXSXYBXXHWWMVYDXXHWVTYUIYGXXLXQXXHU
      KWWQXGXJZVYDWWMXGXJZWXMYWIXWGWXMVYDWWMYULWXMXYJWWMWDUSZYUKWVTUXMZVAZWXMVY
      DXWQWWMYULWXMVYDWDUSZXWQWDUSZYULVYDUXMZVAZYWLWXMVYDYULUXNZWXMVYDWVTVNYULY
      UKWXMYHXYNUXOZYAXLWJXXHWWMVYDXXHXYJYWJXYLYWKVAZXYFXRXOXXHWWQVYIKXXHWWMVYD
      YWSXYFXSYUOXYIXXHWWMKVYDYWSXYIXYFXWGWWMKXGXJZWXMWVTUKKUXPZWLZUXQXXHVYIYUN
      KXGYUSYVBUXLYIXMXFZYVIAYWGVPZYWFVBUEWWQWWMVYDUOYCZYVDWWQUQZYVFYXDYVHYWFYX
      FYVEYWGAYVDWWQVYCVCYKZYXFLWCYVGYWEYVDWWQXVLVDXNVLYVOYEWHXXPLWCWWRYWEXXPUD
      WWQXVMYWEVYCFWEFXVNUQXXPXVRWGXXPWUCWWQUQZVPWUCWWQXVLXXPYXHWNWOYXCXXPWWQXV
      LWKUWEZXNXOZYJZXWJWXMWXFVYHWCUSZYUBYFZUXRVHZYVTXWTYWBYVTXWSWWFXXPLWCVYFXW
      RXXPAXWQVYCUSZLWCXWRXIZXXRXWGWXMYXOAXXHXWQUKKXXSXYBXXHVYDXXLYGWXMUKXWQXGX
      JXWGWXMUKXWQXWFWXMWSWGZYWPWXMUKVYDXWQYXQYULYWPXYDYWQUXDXLWJXXHXWQWWMKXXHY
      WMYWNXYFYWOVAYWSXYIWXMXWQWWMXGXJXWGYWRWJYXBYIXMXFZYVFLWCYVDEUJZXIZVBZAYXO
      VPZYXPVBUEXWQVYDVNVOYCYVDXWQUQZYVFYYBYXTYXPYYCYVEYXOAYVDXWQVYCVCYKYYCLWCY
      XSXWRYVDXWQEVDXNVLXYQXXOVBZYYAHUEYVFYXTHYVFHWQZHLWCYXSHYVDEHEXUSUBHVYCXUR
      UXSUYAZHYVDYLZYMZHLYLZHWCYLZYNYOYVMXYQYVFXXOYXTYVNYVMLWCVYGYXSVYDYVDEVDXN
      VLXYSYDZYEWHZYJZXWJWXMWXFWWFWCUSYVRYFZWFZYVTWWSVYHYXKYXMWFUYBZUYCZWFZUYDX
      XPGBLWWHUIXAUHBLUKWWGUGUHZYWCWWCUGUHZVOUHZUIBLXXBUIXXPBWWCUKWWGYWCGWDWCLX
      XPAWYJXXRMVAZYWAXWFYVTWSWGXXPBLWWCGUUUBXXPAXXDXXRNVAXXMUYEXWJWXMWXFWWGWCU
      SYVSYFZYYPXXPBVYHXWSWWFWWSGWCWCLUUUBYXMYYMXXPGBLVYHUIZXAUHGXURXAUHZXWQXUM
      UJZBLXWSUIZXXPUUUDXURGXAXXPXURVYGUUUDXXPVYGXURXXPAXXQVYGXURUQXXRXYPXYRWHY
      PXXPBLWCVYGXYTUYFWTVHXXPUUUFUUUEXXPWYFXVDVYDURUSZUUUFUUUEUQXXPWYJWYFUUUBW
      YKVAZXXPAXVDXXRXVEVAWXMUUUHXWJVYDWVTUYGWJGIVYDUWPUWQYPXXPUUUFXWRUUUGXXPXW
      RUUUFXXPUDXWQXUQUUUFVYCEWEXUTWUCXWQXUMVDYXRXXPXWQXUMWKUVPYPXXPBLWCXWRYYLU
      YFVMWPYYNYXKXXPGBLWWFUIZXAUHGYUDXAUHZWWDVNVOUHZXVLUJZBLWWSUIZXXPUUUJYUDGX
      AXXPYUDWWEUUUJXXPWWEYUDYVPYPXXPBLWCWWEYVQUYFWTVHXXPUUUMUUUKXXPWYFXWBWWDUR
      USZUUUMUUUKUQUUUIXXPAXWBXXRXWDVAWXMUUUOXWJVYDUKWVTUYHWJGJWWDUWPUWQYPXXPUU
      UMYWEWWRUUUNXWGWXMUUUMYWEUQAXXHUUULWWQXVLXXHWWQUUULXXHWVTVNVYDXXHWVTXYLYB
      XXHUYIXXHVYDXYFYBUYJYPWOXFXXPWWRYWEYXIYPXXPBLWCWWRYXJUYFWPWPUYKUYKXXPBLUU
      UAXXBYVTUUUAUKXXBVOUHXXBYVTYYSUKYYTXXBVOYVTWWGUUUCUYLYVTYYTXXAWWCUGUHXXBY
      VTYWCXXAWWCUGYXNVSYVTXXAWWCYYQYWAUXRVMVIYVTXXBYYRUYMVMWBVMUYNXWJBLXXCWXBX
      WJWXFVPZXXCWWBWWCXWTUGUHZWWCWWTUGUHZVOUHZHUPWWBUUUQHUPZWWBUUURHUPZVOUHZWX
      BUUUPWWBXXBUUUSHUUUPWXMVPZWWCXWTWWTXWJWXMXXGWXFXXMWMZXWJWXMWXFXWTWCUSYYOU
      YOZUUVCVYHWWSYVTYXLVBUUVCYXLVBYXMYVTUUVCYXLYVTXWJWXMWXFVPZVPZUUVCXWJWXMWX
      FUYPUUVGXWJWXFWXMVPZVPZUUVCUUVFUUVHXWJWXMWXFUYQUYRUUVCUUVIXWJWXFWXMUYPUYS
      UYTUYTZVUAVUBZYVTWWSWCUSZVBUUVCUUVLVBYXKYVTUUVCUUVLUUVJVUAVUBZWFZVUCVUDUU
      UPWWBUUUQUUURHXWJWWBVUEUSWXFXXEWLZUUVCWWCXWTUUVDUUVEWFZUUVCWWCWWTUUVDUUVN
      WFZVUFUUUPUUVBVYFWWMEUJZUJZXVHUGUHZVNWVTULUHZWVTYVDVNUOUHZUNUHZVYFYXSUJZV
      YFWWMYVDUOUHZFUJZUJZUGUHZUGUHZUEUPZVOUHZVYFXUOUJZVYFWWMFUJZUJZUGUHZUUWAUU
      URHUPZVOUHZVOUHUUVTUUWOVOUHZUUWJUUWPVOUHZVOUHZWXBUUUPUUUTUUWKUUVAUUWQVOUU
      UPUUUTUKVNVOUHZWWMULUHZUUWCVYFUUWBVNVOUHZEUJZUJZVYFWVTUUWBUOUHZFUJZUJZUGU
      HZUGUHZUEUPZVNWWMULUHZUUXJUEUPZUUWKUUUPUUUTWWBWVTUFUMZUNUHZVYFUUXNVNVOUHZ
      EUJZUJZVYFWVTUUXNUOUHZFUJZUJZUGUHZUGUHZUFUPZUUXKUUUTUUYDUQUUUPWWBUUUQUUYC
      HUFVYDUUXNUQZWWCUUXOXWTUUYBUGVYDUUXNWVTUNVEUUYEXWSUUXRWWFUUYAUGUUYEVYFXWR
      UUXQVYDUUXNVNEVOUUHVGUUYEVYFWWEUUXTUUYEWWDUUXSFVYDUUXNWVTUOVEWOVGVIVIZUFW
      WBYLHWWBYLZUFUUUQYLHUUXOUUYBUGHUUXOYLHUGYLZHUUXRUUYAUGHVYFUUXQHUUXPEYYFHU
      UXPYLYMHVYFYLZYMUUYHHVYFUUXTHUUXSFHFXVQUCHVYCXVPUXSUYAZHUUXSYLYMUUYIYMYQY
      QZVUGWGUUUPUUYCUUXJUFUEVNUKWVTUUUPYRXUEUUUPUVHWGXWGYUGAWXFYUHYSUUVCUUUQWC
      USZVBUUUPUUXNWWBUSZVPZUUYCWCUSZVBHUFUUYNUUYOHUUUPUUYMHUUUPHWQZHUUXNWWBHUU
      XNYLUUYGVUHVUKHUUYCWCUUYKYYJVUHYOUUYEUUVCUUYNUUYLUUYOUUYEWXMUUYMUUUPVYDUU
      XNWWBVCYKUUYEUUUQUUYCWCUUYFVUIVLUUVPYDUUXNUUWBUQZUUXOUUWCUUYBUUXIUGUUXNUU
      WBWVTUNVEUUYQUUXRUUXEUUYAUUXHUGUUYQVYFUUXQUUXDUUXNUUWBVNEVOUUHVGUUYQVYFUU
      XTUUXGUUYQUUXSUUXFFUUXNUUWBWVTUOVEWOVGVIVIVUJVMUUXKUUXMUQUUUPUUXBUUXLUUXJ
      UEUUXAVNWWMULVULVUMUVJWGUUUPUUXMUUXLUUWIUEUPZWVTWWMVNUOUHZUNUHZUUVSVYFWWM
      WWMUOUHZFUJZUJZUGUHZUGUHZUUXLWWMUVFZVUNZUUWIUEUPZVOUHUUWKXWGUUXMUUYRUQAWX
      FXWGUUXLUUXJUUWIUEXWGYVDUUXLUSZVPZUUXIUUWHUUWCUGUVUJUUXEUUWDUUXHUUWGUGUVU
      IUUXEUUWDUQXWGUVUIVYFUUXDYXSUVUIUUXCYVDEUVUIYVDVNUVUIYVDYVDVNWWMXCZVUOZUV
      UIUYIZVUPWOVGWJUVUJVYFUUXGUUWFUVUJUUXFUUWEFUVUJWVTYVDVNXWGWVTWCUSUVUIXWGW
      VTXYKYBZWLUVUIYVDWCUSXWGUVULWJUVUIVNWCUSXWGUVUMWJVUQWOVGVIVHVUDYSUUUPUUXL
      UUWIWWMUVUEUEUUUPUEWQUEUVUEYLUUUPVNWWMXBUUUPUVUIVPZUUWCUUWHXWJUVUIUUWCWCU
      SZWXFXWGUVUIUVUPAUVUJUUWCUVUJUUWBWVTXWGXWOUVUIXWPWLUVUJYVDVNUVUIYVDWIUSZX
      WGUVUKWJZUVUJYRXQXDXEXFWMUVUOUUWDUUWGUVUOLWCVYFYXSXWJUVUIYXTWXFXWJUVUIVPZ
      AYVEYXTAAXWGUVUIVYQUWFZXWGUVUIYVEAUVUJYVDUKKUVUJUWSZXWGXXTUVUIXYAWLZUVURU
      VUIUKYVDXGXJXWGUVUIUKYVDXWFUVUIWSWGZUVUIYVDUVUKXTZUVUIUKVNYVDUVVCUVUIYHUV
      VDUKVNUXBXJZUVUIVURWGYVDVNWWMXHYAZXLWJUVUJYVDWWMKUVUIYVDWDUSXWGUVVDWJZUVU
      JWVTVNXWGXYJUVUIXYKWLUVUJYHVUSZXWGXYGUVUIXYHWLZUVUIYVDWWMXGXJZXWGYVDVNWWM
      XKWJZXWGYWTUVUIYXAWLZYIXMXFYYKWHWMXWJWXFUVUIVVCZXPZUVUOLWCVYFUUWFXWJUVUIL
      WCUUWFXIZWXFUVUSAUUWEVYCUSZUVVOUVUTXWGUVUIUVVPAUVUJUUWEUKKUVVAUVVBUVUJWWM
      YVDUVUJWVTXWGYUGUVUIYUHWLYGUVURXQUVUJUKUUWEXGXJUVVJUVVKUVUJWWMYVDUVVHUVVG
      XRXOUVUJUUWEKUVUJWWMYVDUVVHUVVGXSZUVVIUVUJUUWEUUWEKUVVQUVVQUVVIUVUJUUWEUV
      VQVUTUVUJUUWEWWMKUVVQUVVHUVVIUVUJWWMYVDUVVHUVUIYVDVVAUSXWGUVUIYVDUVVDUVVF
      VVBWJVVDUVVLYAUXDXLXMXFXYQLWCVYDFUJZXIZVBZAUVVPVPZUVVOVBHUUWEUVWAUVVOHUVW
      AHWQHLWCUUWFHUUWEFUUYJHUUWEYLYMZYYIYYJYNYOWWMYVDUOYCVYDUUWEUQZXYQUVWAUVVS
      UVVOUVWCXXQUVVPAVYDUUWEVYCVCYKUVWCLWCUVVRUUWFVYDUUWEFVDXNVLXYQUVVSYVLUAXY
      QLWCUVVRXVPAHVYCXVPFWEFXVQUQAUCWGXYQVYDXVLWKUWGXNXOZYTWHWMUVVMXPZWFWFXWGW
      WMUUXLUSZAWXFXWGWWMVNUTUJUSZUVWFXWGVNWIUSZWWMWIUSZVNWWMXGXJZUWIUVWGXWGUVW
      HUVWIUVWJXWGYRXWGWVTYUHYGZXWGVNUUXAWWMXGVNUUXAUQXWGUUXAVNVULVVEWGXWGUKWVT
      VNXWFXWGWSWGXYKXWGYHXWGWVTXWPVVFUXOVVGVVHVNWWMVVMVVIVNWWMUUGVAYSYVDWWMUQZ
      UUWCUUYTUUWHUVUDUGUVWLUUWBUUYSWVTUNYVDWWMVNUOUUPVHUVWLUUWDUUVSUUWGUVUCUGU
      VWLVYFYXSUUVRYVDWWMEVDVGUVWLVYFUUWFUVUBUVWLUUWEUVUAFYVDWWMWWMUOVEWOVGVIVI
      VVJUUUPUVUEUUVTUVUHUUWJVOUUUPUVUEVNUUVTUGUHZUUVTXWGUVUEUVWMUQAWXFXWGUUYTV
      NUVUDUUVTUGXWGUUYTWVTWVTUNUHZVNXWGUUYSWVTWVTUNXWGWVTVNUVUNXWGUYIZVVKVHXWG
      XWOUVWNVNUQXWPWVTVVLVAVMXWGUVUCXVHUUVSUGXWGVYFUVUBXVGXWGUVUAUKFXWGWWMXWGW
      VTVNUVUNUVWOUYBZVVNWOZVGVHZVIYSUUUPUUVTUUUPUUVSXVHXWJLWCVYFUUVRXWJAWWMVYC
      USZLWCUUVRXIZAXWGVQZXWGUVWSAUKKWVTVVOWJZYYDAUVWSVPZUVWTVBHWWMUVXCUVWTHUVX
      CHWQZHLWCUUVRHWWMEYYFHWWMYLZYMZYYIYYJYNYOWVTVNVOYCZVYDWWMUQZXYQUVXCXXOUVW
      TUVXHXXQUVWSAVYDWWMVYCVCYKZUVXHLWCVYGUUVRVYDWWMEVDZXNVLXYSYTWHYJZXWJLWCVY
      FXVGALWCXVGXIZXWGAAXVAUVXLVYQXVBUVVTAXVAVPZUVXLVBHUKUVXMUVXLHUVXMHWQZHLWC
      XVGHUKFUUYJHUKYLZYMYYIYYJYNYOVVPXUFXYQUVXMUVVSUVXLXUFXXQXVAAVYDUKVYCVCYKZ
      XUFLWCUVVRXVGVYDUKFVDXNVLUVWDYTWHWLZYJWFZWRVMXWGUVUHUUWJUQAWXFXWGUVUGUUWA
      UUWIUEXWGUUWAUVUGXWGWVTVNVNUOUHZUTUJZUSUUWAUVUGUQXWGWVTURUVXTXWPURUVXTUQX
      WGUVXTVYTURUVXSUKUTVWDVVQURVYTUUDVVEZVVRWGVVSVNWVTVVTVAYPVFYSVIWPWPUUUPUU
      VAWVTUKUNUHZUUWLVYFWWMUKUOUHZFUJZUJZUGUHZUGUHZWWBXUCVUNZUUURHUPZVOUHZUVYB
      UUWOUGUHZUVYIVOUHZUUWQUUUPWWBUUURUKUVYGHUUYPHUVYBUVYFUGHUVYBYLUUYHHUUWLUV
      YEUGHVYFXUOHUKEYYFUVXOYMZUUYIYMUUYHHVYFUVYDHUVYCFUUYJHUVYCYLYMUUYIYMYQZYQ
      UUVOUUVQXWGUKWWBUSZAWXFXWGWVTVYTUSZUVYOXWGWVTURVYTXWPVYTURUQXWGUVYAWGZVWA
      ZUKWVTUVOVAYSZXUFWWCUVYBWWTUVYFUGVYDUKWVTUNVEXUFVYHUUWLWWSUVYEUGXUFVYFVYG
      XUOXUPVGXUFVYFWWRUVYDXUFWWQUVYCFVYDUKWWMUOVEWOVGVIZVIVVJXWGUVYJUVYLUQAWXF
      XWGUVYGUVYKUVYIVOXWGUVYFUUWOUVYBUGXWGUVYEUUWNUUWLUGXWGVYFUVYDUUWMXWGUVYCW
      WMFXWGWWMUVWPUXJWOVGVHZVHVSYSUUUPUVYKUUWOUVYIUUWPVOUUUPUVYKVNUUWOUGUHZUUW
      OXWGUVYKUWUBUQAWXFXWGUVYBVNUUWOUGXWGXWOUVYBVNUQXWPWVTUVSVAVSYSUUUPUUWOUUU
      PUUWLUUWNXWJLWCVYFXUOALWCXUOXIZXWGAAXVAUWUCVYQXVBYYDUVXMUWUCVBHUKUVXMUWUC
      HUVXNHLWCXUOUVYMYYIYYJYNYOVVPXUFXYQUVXMXXOUWUCUVXPXUFLWCVYGXUOXUPXNVLXYSY
      TWHWLYJXWJLWCVYFUUWMXWJAUVWSLWCUUWMXIZUVXAUVXBUVVTUVXCUWUDVBHWWMUVXCUWUDH
      UVXDHLWCUUWMHWWMFUUYJUVXEYMYYIYYJYNYOUVXGUVXHXYQUVXCUVVSUWUDUVXIUVXHLWCUV
      VRUUWMVYDWWMFVDXNVLUVWDYTWHYJWFZWRZVMXWGUVYIUUWPUQAWXFXWGUVYHUUWAUUURHXWG
      YVDUVYHUSZYVDUUWAUSZVWBZUEVWCUVYHUUWAUQZXWGUWUIUEXWGUEWQXWGUWUGUWUHXWGUWU
      GUWUHXWGUWUGVPZYVDVNWVTUWUKYRXWGYUGUWUGYUHWLUWUGUVUQXWGUWUGYVDWWBUSZUVUQY
      VDWWBXUCVWEZYVDUKWVTXCVAZWJUWUGVNYVDXGXJZXWGUWUGYVDVWFUSZUWUOUWUGYVDURUSZ
      YVDUKVWGZVPUWUPUWUGUWUQUWURUWUGUWULUWUQUWUMYVDWVTUYGVAYVDWWBUKVWHUXTYVDVW
      QVVIYVDVWIVAWJUWUGYVDWVTXGXJZXWGUWUGUWULUWUSUWUMYVDUKWVTXKVAWJXMVWJXWGUWU
      HUWUGUWUHUWUGXWGUWUHYVDWWBXUCUWUHYVDUKWVTUWUHUWSYVDVNWVTUXFYVDVNWVTXCZUWU
      HUKYVDXWFUWUHWSWGZUWUHYVDUWUTXTZUWUHUKVNYVDUWVAUWUHYHUWVBUVVEUWUHVURWGYVD
      VNWVTXHYAZXLYVDVNWVTXKXMZUWUHUWURYVDXUCUSVWKUWUHUKYVDUWVAUWVCVWLYVDUKVWMV
      AVWNWJZVWJVWOVWPUEUVYHUUWAVWRVVIZVFYSVIWPVIUUUPUUVTUUWJUUWOUUWPUVXRUUUPUU
      WAUUWIUEUUUPVNWVTXBZUUUPUWUHVPZUUWCUUWHXWJUWUHUVUPWXFXWGUWUHUVUPAXWGUWUHV
      PZUUWCUWVIUUWBWVTXWGXWOUWUHXWPWLUWVIYVDVNUWVIUWUGUVUQUWVEUWUNVAUWVIYRXQXD
      XEXFWMUWVHUUWDUUWGUWVHUUUPUVUIUUWDWCUSUUUPUWUHVQUWUHUVUIUUUPYVDVNWVTVWSWJ
      ZUVVNWHUUUPUWUHUVUIUUWGWCUSUWVJUVWEVWTWFWFVXAUWUEUUUPUUWAUUURHUWVGUUUPVYD
      UUWAUSZVPZWWCWWTXWJUWVKXXGWXFXWGUWVKXXGAXWGUWVKVPZWWCUWVMVYDWVTXWGXWOUWVK
      XWPWLZUWVKXXJXWGVYDVNWVTXCWJZXDXEZXFWMZUWVLVYHWWSUWVLXWJWXFWXMYXLXWJWXFUW
      VKVRXWJWXFUWVKVVCUWVKWXMUUUPUWVKUUWAWWBVYDUEUUWAWWBUWVDVXBUWVKUUCUVAWJZUU
      VKVXCUUUPUWVKWXMUUVLUWVRUUVMVWTWFZWFZVXAVXDUUUPUUWTUUWRUUWAWXAHUPZVOUHUUV
      TUUWOUWWAVOUHZVOUHZWXBUUUPUUWSUWWAUUWRVOUUUPUUWSUUWAWVTVYDVNUOUHZUNUHZWWT
      UGUHZHUPZUUWPVOUHZUUWAUWWFUUURVOUHZHUPZUWWAUUUPUUWJUWWGUUWPVOUUWJUWWGUQUU
      UPUUWAUUWIUWWFUEHYVDVYDUQZUUWCUWWEUUWHWWTUGUWWKUUWBUWWDWVTUNYVDVYDVNUOUUP
      VHUWWKUUWDVYHUUWGWWSUGUWWKVYFYXSVYGYVDVYDEVDVGUWWKVYFUUWFWWRUWWKUUWEWWQFY
      VDVYDWWMUOVEWOVGVIVIHUUWAYLUEUUWAYLHUUWCUUWHUGHUUWCYLUUYHHUUWDUUWGUGHVYFY
      XSYYHUUYIYMUUYHHVYFUUWFUVWBUUYIYMYQYQUEUWWFYLVUGWGVSUUUPUWWJUWWHUUUPUUWAU
      WWFUUURHUWVGUWVLUWWEWWTXWJUWVKUWWEWCUSZWXFXWGUWVKUWWLAUWVMUWWEUWVMUWWDWVT
      UWVNUWVMXXJUWWDWIUSUWVOVYDVXEVAXDXEZXFWMZUWVSWFUWVTVUFYPUUUPUUWAUWWIWXAHU
      WVLWXAUWWEWWCVOUHZWWTUGUHZUWWIXWJUWVKWXAUWWPUQZWXFXWGUWVKUWWQAUWVMWWPUWWO
      WWTUGUWVMUWWOWWCUWWEVOUHZWWPUWVMUWWEWWCUWWMUWVPVXFUWVMXWOXXJUWWRWWPUQUWVN
      UWVOVYDWVTVXGWHWTVSXFWMUWVLUWWEWWCWWTUWWNUWVQUWVSVXHWTVUDWPVHUUUPUUVTUUWO
      UWWAUVXRUWUEUUUPUUWAWXAHUWVGUWVLWWPWWTXWJUWVKWWPWCUSZWXFXWGUWVKUWWSAUWVMW
      WPUWVMVYDWWMUWVMXWOWWMURUSZUWVNWVTVXIZVAUWVOXDXEXFWMUWVSWFVXAVXJUUUPUWWCU
      UVTWWBWXAHUPZVOUHWWMWWMUNUHZUVUDUGUHZWWOUVUFVUNZWXAHUPZVOUHZWXBUUUPUWWBUW
      XBUUVTVOUUUPUWWBWWMUKUNUHZUVYFUGUHZUVYHWXAHUPZVOUHZUWXBUUUPUUWOUWXIUWWAUW
      XJVOUUUPUWXIUWUBUUWOXWGUWXIUWUBUQAWXFXWGUWXHVNUVYFUUWOUGXWGUWWTUWXHVNUQXW
      GXWOUWWTXWPUWXAVAZWWMUVSVAUWUAVIYSUWUFWTUUUPUUWAUVYHWXAHUUUPUVYHUUWAXWGUW
      UJAWXFUWVFYSYPVFVIUUUPUWXBUWXKUUUPWWBWXAUKUWXIHUUYPHUWXHUVYFUGHUWXHYLUUYH
      UVYNYQUUVOUUVCWWPWWTXWJWXMUWWSWXFXWGWXMUWWSAXXHWWPXXHVYDWWMXXHXWOUWWTXXIU
      WXAVAXXLXDXEXFWMUUVNWFUVYSXUFWWPUWXHWWTUVYFUGVYDUKWWMUNVEUVYTVIVVJYPVMVHU
      UUPUUVTUWXDUWXBUWXFVOUUUPUWXDVNUVUDUGUHUVUDUUVTUUUPUWXCVNUVUDUGXWGUWXCVNU
      QZAWXFXWGUWWTUWXMUWXLWWMVVLVAYSVSUUUPUVUDUUUPUUVSUVUCUVXKUUUPLWCVYFUVUBXW
      JLWCUVUBXIZWXFXWJUWXNUVXLUVXQXWJLWCUVUBXVGXWGUVUBXVGUQAUVWQWJXNXOWLXWJWXF
      WNXPWFWRXWGUVUDUUVTUQAWXFUVWRYSVXKXWGUWXBUWXFUQAWXFXWGWWBUWXEWXAHXWGUVYPW
      WBUWXEUQUVYRUKWVTVXLVAVFYSVIUUUPWXBUWXGUUUPWWOWXAWWMUWXDHUUYPHUWXCUVUDUGH
      UWXCYLUUYHHUUVSUVUCUGHVYFUUVRUVXFUUYIYMUUYHHVYFUVUBHUVUAFUUYJHUVUAYLYMUUY
      IYMYQYQUUUPUKWWMXBUUUPWXRVPZWWPWWTXWJWXRUWWSWXFXWGWXRUWWSAXWGWXRVPZWWPUWX
      PVYDWWMXWGUWWTWXRUWXLWLZWXRXXJXWGVYDUKWWMXCWJZXDXEXFWMUWXOVYHWWSUWXOLWCVY
      FVYGXWJWXRXXOWXFXWJWXRVPAXXQXXOXWJAWXRUVXAWLZXWGWXRXXQAUWXPVYDUKKXUEUWXPU
      VHWGZXWGXXTWXRXYAWLZUWXRWXRXYCXWGVYDUKWWMXHWJZUWXPVYDWWMKUWXPVYDUWXRXTZUW
      XPWWMUWXQUXKZXWGXYGWXRXYHWLZWXRYWIXWGVYDUKWWMXKWJZXWGYWTWXRYXAWLZYIXMXFXY
      SWHWMXWJWXFWXRVVCZXPUWXOLWCVYFWWRUWXOAYWGYWDXWJWXRAWXFUWXSWMXWJWXRYWGWXFX
      WGWXRYWGAUWXPWWQUKKUWXTUWYAUWXPWWMVYDXWGUVWIWXRUVWKWLUWXRXQUWXPYWHYWIUWYF
      UWXPWWMVYDUWYDUWYCXRXOUWXPWWQYUNKXGUWXPWWQVYIYUNUWXPWWMVYDUWYDUWYCXSUWXPK
      VYDUWYEUWYCXSUWXPXYGXWFYUPUWYEWSYURVXQUWXPWWMKVYDUWYDUWYEUWYCUWYGUXQUWXPU
      KVYDKXWFUWXPWSWGUWYCUWYEUWYBUXIYIXWGYUTWXRYVAWLUXLXMXFWMYVFLWCYVDFUJZXIZV
      BZYXDYWDVBUEWWQYXEYXFYVFYXDUWYJYWDYXGYXFLWCUWYIWWRYVDWWQFVDXNVLUVVTUWYKHU
      EYVFUWYJHYYEHLWCUWYIHYVDFUUYJYYGYMYYIYYJYNYOYVMXYQYVFUVVSUWYJYVNYVMLWCUVV
      RUWYIVYDYVDFVDXNVLUVWDYDYEWHUWYHXPWFWFXWGWWMWWOUSZAWXFXWGWWMVYTUSUWYLXWGW
      WMURVYTUWXLUVYQVWAUKWWMUUGVAYSUVXHWWPUWXCWWTUVUDUGVYDWWMWWMUNVEUVXHVYHUUV
      SWWSUVUCUGUVXHVYFVYGUUVRUVXJVGUVXHVYFWWRUVUBUVXHWWQUVUAFVYDWWMWWMUOVEWOVG
      VIVIVVJYPWPWPWPWPWBVMWLWPVXCVXMVXNVXOVXPVXR $.
  $}

  ${
    $d A j $.  $d D i j x $.  $d E i j x $.  $d F j $.  $d I i $.
    $d X i j x $.
    dvmptfprodlem.xph $e |- F/ x ph $.
    dvmptfprodlem.iph $e |- F/ i ph $.
    dvmptfprodlem.jph $e |- F/ j ph $.
    dvmptfprodlem.if $e |- F/_ i F $.
    dvmptfprodlem.jg $e |- F/_ j G $.
    dvmptfprodlem.a $e |- ( ( ph /\ i e. I /\ x e. X ) -> A e. CC ) $.
    dvmptfprodlem.d $e |- ( ph -> D e. Fin ) $.
    dvmptfprodlem.e $e |- ( ph -> E e. _V ) $.
    dvmptfprodlem.db $e |- ( ph -> -. E e. D ) $.
    dvmptfprodlem.ss $e |- ( ph -> ( D u. { E } ) C_ I ) $.
    dvmptfprodlem.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvmptfprodlem.c $e |- ( ( ( ph /\ x e. X ) /\ j e. D ) -> C e. CC ) $.
    dvmptfprodlem.dvp $e |- ( ph -> ( S _D ( x e. X |-> prod_ i e. D A ) ) = (
       x e. X |-> sum_ j e. D ( C x. prod_ i e. ( D \ { j } ) A ) ) ) $.
    dvmptfprodlem.14 $e |- ( ( ph /\ x e. X ) -> G e. CC ) $.
    dvmptfprodlem.dvf $e |- ( ph -> ( S _D ( x e. X |-> F ) ) = ( x e. X |-> G
       ) ) $.
    dvmptfprodlem.f $e |- ( i = E -> A = F ) $.
    dvmptfprodlem.cg $e |- ( j = E -> C = G ) $.
    $( Induction step for ~ dvmptfprod .  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    dvmptfprodlem $p |- ( ph -> ( S _D ( x e. X |-> prod_ i e. ( D u. { E } ) A
       ) ) = ( x e. X |-> sum_ j e. ( D u. { E } ) ( C x. prod_ i e. ( ( D u. {
       E } ) \ { j } ) A ) ) ) $=
      ( csn cun cprod cmpt cdv co cmul cv cdif csu caddc wcel wa nfcv nfel nfan
      wnfc a1i snfi unfi syl2anc adantr cc simpll sselda adantlr simplr syl3anc
      cfn cvv snidg elun2 wceq adantl fprodsplit1f c0 difundir wn difsn uneq12d
      syl difid un0 3eqtrd prodeq1d oveq2d eqtrd mpteq2da w3a sseldd simpl 3jca
      simpr wi nf3an nfim ancom imbi1i eqcom imbi2i bitri mpbi 3adantr2 3adant2
      nfv simp3 eleq1 3anbi2d imbi1d biimpa 3adant3 eqeltrd 3exp impbid vtoclgf
      mpd 2a1i sylc wss diffi eldifi syldan mulcld oveq12d eqcomd eqidd sylnibr
      fprodclf ex ralrimi elun1 fsumclf dvmptmulf nfov sneq difeq2d fsumsplitsn
      cin elsni adantll simpllr ad3antrrr pm2.65da velsn sylibr disjdif2 uneq2d
      id intnanrd eldif fprodsplitsn mulassd sumeq2d fsummulc1f addcomd 3eqtrrd
      wral disj ) AFBMEIUKZULZCGUMZUNZUOUPFBMJECGUMZUQUPZUNZUOUPBMKUVMUQUPZEDEH
      URZUKZUSZCGUMZUQUPZHUTZJUQUPZVAUPZUNBMUVJDUVJUVRUSZCGUMZUQUPZHUTZUNAUVLUV
      OFUOABMUVKUVNNABURZMVBZVCZUVKJUVJUVIUSZCGUMZUQUPZUVNUWKUVJCIJGAUWJGOGUWIM
      GUWIVDGMVDVEZVFZGJVGUWKQVHAUVJVSVBZUWJAEVSVBZUVIVSVBZUWQTUWSAIVIVHEUVIVJV
      KZVLUWKGURZUVJVBZVCAUXALVBZUWJCVMVBZAUWJUXBVNAUXBUXCUWJAUVJLUXAUCVOVPAUWJ
      UXBVQSVRZAIUVJVBZUWJAIUVIVBZUXFAIVTVBZUXGUAIVTWAWKIUVIEWBWKZVLUXAIWCZCJWC
      ZUWKUIWDZWEAUWNUVNWCUWJAUWMUVMJUQAUWLECGAUWLEUVIUSZUVIUVIUSZULZEWFULZEUWL
      UXOWCAEUVIUVIWGVHAUXMEUXNWFAIEVBZWHZUXMEWCUBIEWIWKUXNWFWCAUVIWLVHWJUXPEWC
      AEWMVHWNZWOZWPVLWQWRWPABJKUVMUWBFVMVMMNUDUWKILVBZAUYAUWJWSZJVMVBZAUYAUWJA
      UVJLIUCUXIWTVLZUWKAUYAUWJAUWJXAZUYDAUWJXCZXBAUXCUWJWSZUXDXDZUYBUYCXDZGILG
      IVDUYBUYCGAUYAUWJGOUYAGXOUWOXEGJVMQGVMVDVEXFUXJUYHUYIUXJUYHUYBUYCUXJUYHUY
      BWSZJCVMUXJUYBJCWCZUYHUXJAUWJUYKUYAUWKUXJVCZUXKXDZUXJUWKVCZUYKXDZUXLUYMUY
      NUXKXDUYOUYLUYNUXKUWKUXJXGXHUXKUYKUYNCJXIXJXKXLXMXNUYJUYBUXDUXJUYHUYBXPUX
      JUYHUYBUXDXDZUYBUXJUYHUYPUXJUYGUYBUXDUXJUXCUYAAUWJUXAILXQXRXSXTYAYFYBYCUY
      HUXJUYISYGYDSYEYHZUGUHUWKECGUWPUWKAUWRUYETWKZUWKUXAEVBZVCAUXCUWJUXDUWKAUY
      SUYEVLAUYSUXCUWJAUYSVCUVJLUXAAUVJLYIZUYSUCVLUYSUXBAUXAEUVIUUAWDWTVPUWKUWJ
      UYSUYFVLSVRZYRUWKEUWAHAUWJHPUWJHXOVFZUYRUWKUVQEVBZVCZDUVTUEUWKUVTVMVBVUCU
      WKUVSCGUWPAUVSVSVBZUWJAUWRVUETEUVRYJWKVLZUWKUXAUVSVBZUYSUXDVUGUYSUWKUXAEU
      VRYKWDVUAYLZYRVLZYMZUUBZUFUUCABMUWDUWHNUWKUWHEUWGHUTZKUWMUQUPZVAUPVUMVULV
      AUPUWDUWKEIUWGVUMHVTVUBHKUWMUQRHUQVDHUWMVDUUDUYRUWKAUXHUYEUAWKUWKAUXRUYEU
      BWKVUDDUWFUEUWKUWFVMVBVUCUWKUWECGUWPAUWEVSVBZUWJAUWQVUNUWTUVJUVRYJWKVLUWK
      UXAUWEVBZUXBUXDVUOUXBUWKUXAUVJUVRYKWDUXEYLYRVLYMUVQIWCZDKUWFUWMUQUJVUPUWE
      UWLCGVUPUVRUVIUVJUVQIUUEUUFWOYNUWKKUWMUGUWKUWLCGUWPAUWLVSVBUWJAUWLEVSUXST
      YBVLUWKUXAUWLVBZVCAUXCUWJUXDUWKAVUQUYEVLAVUQUXCUWJAVUQVCUVJLUXAAUYTVUQUCV
      LVUQUXBAUXAUVJUVIYKWDWTVPUWKUWJVUQUYFVLSVRYRYMZUUGUWKVULVUMUWKVULUWCVMUWK
      VULEUWAJUQUPZHUTZUWCUWCUWKEUWGVUSHUWKUWGVUSWCZHEVUBUWKVUCVVAVUDUWGDUVTJUQ
      UPZUQUPZVUSVUDUWFVVBDUQVUDUWFUVSUVIULZCGUMZVVBVVBAVUCUWFVVEWCUWJAVUCVCZUW
      EVVDCGVVFUWEUVSUVIUVRUSZULZVVDUWEVVHWCVVFEUVIUVRWGVHVVFVVGUVIUVSVVFUVIUVR
      UUHWFWCZVVGUVIWCVVFUWIUVRVBZWHZBUVIUVGVVIVVFVVKBUVIAVUCBNVUCBXOVFVVFUWIUV
      IVBZVVKVVFVVLVCZUWIUVQWCZVVJVVMVVNUXQVVMVVNVCIUVQEVVLVVNIUVQWCVVFVVLVVNVC
      ZIUWIUVQUVQVVLIUWIWCVVNVVLUWIIUWIIUUIYOVLVVLVVNXCVVOUVQYPWNUUJAVUCVVLVVNU
      UKYBAUXRVUCVVLVVNUBUULUUMBUVQUUNYQYSYTBUVIUVRUVHUUOUVIUVRUUPWKUUQWQWOVPVU
      DUVSICJGVTUWKVUCGUWPVUCGXOVFQUWKVUEVUCVUFVLVUDAUXHUWKAVUCUYEVLZUAWKVUDAIU
      VSVBZWHZVVPAUXRVVRUBUXRUXQIUVRVBWHZVCZVVQUXRUXRVVTWHUXRUURZUXRUXQVVSVWAUU
      SWKIEUVRUUTYQWKWKUWKVUGUXDVUCVUHVPUIUWKUYCVUCUYQVLZUVAVUDVVBYPWNWPVUDVUSV
      VCVUDDUVTJUEVUIVWBUVBYOWQYSYTUVCUWKUWCVUTUWKEUWAJHVUBUYRUYQVUJUVDYOUWKUWC
      YPWNZUWKUWBJVUKUYQYMYBVURUVEUWKVUMUVPVULUWCVAAVUMUVPWCUWJAUWMUVMKUQUXTWPV
      LVWCYNUVFWRWN $.
  $}

  ${
    $d A a b c j $.  $d C a b c i $.  $d I a b c i j x $.  $d S a b c i j x $.
    $d X a b c i j x $.  $d a b c ph x $.
    dvmptfprod.iph $e |- F/ i ph $.
    dvmptfprod.jph $e |- F/ j ph $.
    dvmptfprod.j $e |- J = ( K |`t S ) $.
    dvmptfprod.k $e |- K = ( TopOpen ` CCfld ) $.
    dvmptfprod.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvmptfprod.x $e |- ( ph -> X e. J ) $.
    dvmptfprod.i $e |- ( ph -> I e. Fin ) $.
    dvmptfprod.a $e |- ( ( ph /\ i e. I /\ x e. X ) -> A e. CC ) $.
    dvmptfprod.b $e |- ( ( ph /\ i e. I /\ x e. X ) -> B e. CC ) $.
    dvmptfprod.d $e |- ( ( ph /\ i e. I ) -> ( S _D ( x e. X |-> A ) ) = ( x e.
       X |-> B ) ) $.
    dvmptfprod.bc $e |- ( i = j -> B = C ) $.
    $( Function-builder for derivative, finite product rule.  (Contributed by
       Glauco Siliprandi, 5-Apr-2020.) $)
    dvmptfprod $p |- ( ph -> ( S _D ( x e. X |-> prod_ i e. I A ) ) = ( x e. X
       |-> sum_ j e. I ( C x. prod_ i e. ( I \ { j } ) A ) ) ) $=
      ( va vb vc cfn wcel wss wa cprod cmpt cdv co csn cdif cmul wceq ssid jctr
      cv csu wi cun sseq1 anbi2d prodeq1 mpteq2dv oveq2d sumeq1 difeq1 prodeq1d
      c0 sumeq2sdv eqtrd eqeq12d imbi12d a1d ralrimiv sumeq2d cc0 prod0 mpteq2i
      c1 oveq2i a1i ccnfld ctopn cfv crest oveq1i eleqtrdi 1cnd dvmptconst sum0
      eqtri eqcomi 3eqtrd adantr wn simp3 simp1r simpl ssun1 sstr2 ax-mp adantl
      w3a jca mpd 3adant1 csb nfv nfcv nfmpt1 nfov nfeq nfan nfmpt nfsum nfsum1
      nfcprod1 nfcsb1v cc ad2antrr 3ad2ant1 simp2 syl simplr simpr sseldd nf3an
      syl3anc nfim eleq1w 3anbi2d eleq1d chvarfv csbeq1a adantlr syl2anc cvv cr
      ssfi vex simpllr cpr ad3antrrr snid elun2 ad2antlr nfel csbcow idi sylan2
      id dvmptfprodlem syl21anc 3exp findcard2s sylc ) AIUGUHZAIIUIZUJZFBLICGUK
      ZULZUMUNZBLIEIHVAZUOZUPZCGUKZUQUNZHVBZULZURZSAUVCIUSUTAUDVAZIUIZUJZFBLUVP
      CGUKZULZUMUNZBLUVPEUVPUVIUPZCGUKZUQUNZHVBZULZURZVCAVMIUIZUJZFBLVMCGUKZULZ
      UMUNZBLVMEVMUVIUPZCGUKZUQUNZHVBZULZURZVCAUEVAZIUIZUJZFBLUWSCGUKZULZUMUNZB
      LUWSEUWSUVIUPZCGUKZUQUNZHVBZULZURZVCZAUWSUFVAZUOZVDZIUIZUJZFBLUXNCGUKZULZ
      UMUNZBLUXNEUXNUVIUPZCGUKZUQUNZHVBZULZURZVCUVDUVOVCUDUEUFIUVPVMURZUVRUWIUW
      GUWRUYFUVQUWHAUVPVMIVEVFUYFUWAUWLUWFUWQUYFUVTUWKFUMUYFBLUVSUWJUVPVMCGVGVH
      VIUYFBLUWEUWPUYFUWEVMUWDHVBUWPUVPVMUWDHVJUYFVMUWDUWOHUYFUWCUWNEUQUYFUWBUW
      MCGUVPVMUVIVKVLVIVNVOVHVPVQUVPUWSURZUVRUXAUWGUXJUYGUVQUWTAUVPUWSIVEVFUYGU
      WAUXDUWFUXIUYGUVTUXCFUMUYGBLUVSUXBUVPUWSCGVGVHVIUYGBLUWEUXHUYGUWEUWSUWDHV
      BUXHUVPUWSUWDHVJUYGUWSUWDUXGHUYGUWCUXFEUQUYGUWBUXECGUVPUWSUVIVKVLVIVNVOVH
      VPVQUVPUXNURZUVRUXPUWGUYEUYHUVQUXOAUVPUXNIVEVFUYHUWAUXSUWFUYDUYHUVTUXRFUM
      UYHBLUVSUXQUVPUXNCGVGVHVIUYHBLUWEUYCUYHUWEUXNUWDHVBUYCUVPUXNUWDHVJUYHUXNU
      WDUYBHUYHUWCUYAEUQUYHUWBUXTCGUVPUXNUVIVKVLVIVNVOVHVPVQUVPIURZUVRUVDUWGUVO
      UYIUVQUVCAUVPIIVEVFUYIUWAUVGUWFUVNUYIUVTUVFFUMUYIBLUVSUVEUVPICGVGVHVIUYIB
      LUWEUVMUYIUWEIUWDHVBUVMUVPIUWDHVJUYIIUWDUVLHUYIUWDUVLURZHIUYIUYJUVHIUHZUY
      IUWCUVKEUQUYIUWBUVJCGUVPIUVIVKVLVIVRVSVTVOVHVPVQAUWRUWHAUWLFBLWDULZUMUNZB
      LWAULZUWQUWLUYMURAUWKUYLFUMBLUWJWDCGWBWCWEWFABLWDFQALJWGWHWIZFWJUNZRJKFWJ
      UNUYPOKUYOFWJPWKWPWLAWMWNUYNUWQURABLWAUWPUWPWAUWOHWOWQWCWFWRWSUWSUGUHZUXL
      UWSUHWTZUJZUXKUXPUYEUYSUXKUXPXHUXPUYRUXJUYEUYSUXKUXPXAUYQUYRUXKUXPXBUXKUX
      PUXJUYSUXKUXPUJUXAUXJUXPUXAUXKUXPAUWTAUXOXCZUXOUWTAUWSUXNUIUXOUWTVCUWSUXM
      XDUWSUXNIXEXFXGZXIXGUXKUXPXCXJXKUXPUYRUJZUXJUJZBCEUWSFGHUXLGUXLCXLZHUXLEX
      LZILVUBUXJBVUBBXMBUXDUXIBFUXCUMBFXNBUMXNBLUXBXOXPBLUXHXOXQXRVUBUXJGUXPUYR
      GAUXOGMUXOGXMXRUYRGXMXRGUXDUXIGFUXCUMGFXNZGUMXNZGBLUXBGLXNZUWSCGGUWSXNZYB
      XSXPGBLUXHVUHGUWSUXGHVUIGEUXFUQGEXNGUQXNUXECGGUXEXNYBXPXTXSXQXRVUBUXJHUXP
      UYRHAUXOHNUXOHXMXRUYRHXMXRHUXDUXIHUXDXNHBLUXHHLXNZUWSUXGHHUWSXNYAXSXQXRGU
      XLCYCHUXLEYCZVUCGVAZIUHZBVALUHZXHAVUMVUNCYDUHVUCVUMAVUNUXPAUYRUXJUYTYEZYF
      VUCVUMVUNYGVUCVUMVUNXATYMVUCUVBUWTUYQVUCAUVBVUOSYHUXPUWTUYRUXJVUAYEZIUWSU
      UDUUAUXLUUBUHVUCUFUUEZWFUXPUYRUXJYIAUXOUYRUXJUUFAFUUCYDUUGUHUXOUYRUXJQUUH
      VUCVUNUJZUVHUWSUHZUJZAUYKVUNEYDUHZVUCAVUNVUSVUOYEVUTUWSIUVHVUCUWTVUNVUSVU
      PYEVURVUSYJYKVUCVUNVUSYIAVUMVUNXHZDYDUHZVCAUYKVUNXHZVVAVCZGHVVDVVAGAUYKVU
      NGMUYKGXMZVUNGXMYLVVAGXMYNVULUVHURZVVBVVDVVCVVAVVGVUMUYKAVUNGHIYOZYPVVGDE
      YDUCYQVQUAYRZYMVUBUXJYJVUBVUNVUEYDUHZUXJUXPVUNVVJUYRUXPVUNUJAUXLIUHZVUNVV
      JUXPAVUNUYTWSUXOVVKAVUNUXOUXNIUXLUXOUUPUXLUXNUHZUXOUXLUXMUHVVLUXLVUQUUIUX
      LUXMUWSUUJXFWFYKZUUKUXPVUNYJVVEAVVKVUNXHZVVJVCHUFVVNVVJHAVVKVUNHNVVKHXMZV
      UNHXMYLHVUEYDVUKHYDXNUULYNUVHUXLURZVVDVVNVVAVVJVVPUYKVVKAVUNHUFIYOZYPVVPE
      VUEYDHUXLEYSZYQVQVVIYRYMYTYTUXPFBLVUDULZUMUNZBLVUEULZURZUYRUXJUXOAVVKVWBV
      VMAUYKUJZFBLGUVHCXLZULZUMUNZBLEULZURZVCZAVVKUJZVWBVCHUFVWJVWBHAVVKHNVVOXR
      HVVTVWAHVVTXNHBLVUEVUJVUKXSXQYNVVPVWCVWJVWHVWBVVPUYKVVKAVVQVFVVPVWFVVTVWG
      VWAVVPVWEVVSFUMVVPBLVWDVUDVVPVWDHUXLVWDXLZVUDHUXLVWDYSVWKVUDURVVPGHUXLCUU
      MWFVOVHVIVVPBLEVUEVVRVHVPVQAVUMUJZFBLCULZUMUNZBLDULZURZVCVWIGHVWCVWHGAUYK
      GMVVFXRGVWFVWGGFVWEUMVUFVUGGBLVWDVUHGUVHCYCXSXPGVWGXNXQYNVVGVWLVWCVWPVWHV
      VGVUMUYKAVVHVFVVGVWNVWFVWOVWGVVGVWMVWEFUMVVGBLCVWDGUVHCYSVHVIVVGBLDEVVGDE
      URVCUCUUNVHVPVQUBYRYRUUOYEGUXLCYSVVRUUQUURUUSUUTUVA $.
  $}

  ${
    $d C c d k $.  $d C c e m $.  $d C c k p r $.  $d D c e t $.  $d D c p t $.
    $d J c d k $.  $d J c e m n t $.  $d J c k p r t $.  $d R c d k $.
    $d R c e m n t $.  $d R c k p r t $.  $d R c n s t $.  $d T r t $.
    $d T s t $.  $d Z c d k $.  $d Z c e m n t $.  $d Z c k p r t $.
    $d Z c n s t $.  $d c e m n ph t $.  $d k n ph t $.  $d p ph r t $.
    $d ph s t $.
    dvnprodlem1.c $e |- C = ( s e. ~P T |-> ( n e. NN0 |-> { c e. ( ( 0 ... n )
       ^m s ) | sum_ t e. s ( c ` t ) = n } ) ) $.
    dvnprodlem1.j $e |- ( ph -> J e. NN0 ) $.
    dvnprodlem1.d $e |- D = ( c e. ( ( C ` ( R u. { Z } ) ) ` J ) |-> <. ( J -
       ( c ` Z ) ) , ( c |` R ) >. ) $.
    dvnprodlem1.t $e |- ( ph -> T e. Fin ) $.
    dvnprodlem1.z $e |- ( ph -> Z e. T ) $.
    dvnprodlem1.zr $e |- ( ph -> -. Z e. R ) $.
    dvnprodlem1.rzt $e |- ( ph -> ( R u. { Z } ) C_ T ) $.
    $( ` D ` is bijective.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    dvnprodlem1 $p |- ( ph -> D : ( ( C ` ( R u. { Z } ) ) ` J ) -1-1-onto-> U_
       k e. ( 0 ... J ) ( { k } X. ( ( C ` R ) ` k ) ) ) $=
      ( wceq ve vd vr vm vp cfv cc0 cfz co cv wa wf wi wral cmin cres cop eqidd
      wcel adantr cmap wss csu crab cn0 cvv cmpt oveq2 rabeq syl eqeq1d rabbidv
      cz eqtrd wb cfn syl2anc mpbird a1i fvmptd3 oveq1d eqeq2 adantl ovex rabex
      fvmptd simpr ffvelrnd elfzelzd zsubcld cle wbr elfzle2 zred elfzle1 elfzd
      sseldd wfn nfv nfcv nffv nfel nfan ad2antrr cr adantlr fveq2 caddc eqcomd
      eleqtrd breqtrd eqeltrd ex ralrimi jca sylibr ovexd sumeq2d 3eqtrd fveq1d
      simpl elrab mpd c2nd opex fveq2d eqtr2d adantrr oveq2d c1st nncand eleq1w
      fveq1 cc pm2.61dan cif 3ad2antl1 iffalsed sseli rexlimd csn cun ciun wf1o
      cxp wf1 wfo wex 0zd nn0zd sumeq1 mpteq2dv ssexg elpwg nn0ex mptex eqsstrd
      cpw ssrab2 elmapi snidg elun2 subge0d subge02d mpbid elmapfn ssun1 nfsum1
      fnssres nfrabw nfmpt nfcxfr fvres sselda unssad fzssz zssre sstri fsumge1
      nfeq recnd fsumcl pncand wn fsumsplitsn cbvsumv rabid sylib simprd eqtr3d
      ffnfv ssexd elmapd eqcomi idi sumeq12rdv cbvmptv sumeq2sdv cbvrabv elnn0z
      vex resex opeq12 eqeq2d eleq1 eleq12d anbi12d spc2egv eliunxp fmptd nfcri
      ssfi adantlrr fvmpt2d op2nd fveq1i reseq1 opeq12d adantlrl elunnel1 elsni
      adantll nn0cnd op1st zsscn anbi2d feq1 imbi12d chvarvv adantrl ralrimivva
      ffnd eqfnfv dff13 wrex eliun biimpi nfiu1 w3a nf3an iftrue simp1 3ad2ant3
      nfxp simp2 xp2nd elfznn0 3adant3 syl3anc ffvelrnda eqneltrd xp1st 3adant1
      elrabi simpll elfzel2 3ad2antl2 sylan letrd eqbrtrd nn0ge0d 3adantl3 eqid
      simpl2 fmptdf ifbieq1d zcnd 3adant2 3ad2ant1 oveq12d 3ad2ant2 eqeq2i 3exp
      pncan3d ad2antlr resmptd mpteq2ia feqmptd eqtr4d rspceeqv ralrimiva dffo3
      1st2nd2 df-f1o ) AIEJUUAZUUBZCUFZUFZGUGIUHUIZGUJZUUAZVWJECUFZUFZUUEZUUCZD
      UUFZVWHVWODUUGZUKVWHVWODUUDAVWPVWQAVWHVWODULZLUJZDUFZUAUJZDUFZTZVWSVXATZU
      MZUAVWHUNLVWHUNZUKVWPAVWRVXFALVWHIJVWSUFZUOUIZVWSEUPZUQZVWODAVWSVWHUSZUKZ
      VXJVWJUBUJZUQZTZVWJVWIUSZVXMVWMUSZUKZUKZUBUUHGUUHZVXJVWOUSVXLVXJVXJTZVXHV
      WIUSZVXIVXHVWLUFZUSZUKZUKZVXTVXLVYAVYEVXLVXJURVXLVYBVYDVXLVXHUGIVXLUUIZAI
      VMUSZVXKAINUUJZUTZVXLIVXGVYJVXLVXGUGIVXLVWFVWIJVWSVXLVWSVWIVWFVAUIZUSZVWF
      VWIVWSULZVXLVWHVYKVWSAVWHVYKVBVXKAVWHVWFBUJZVWSUFZBVCZITZLVYKVDZVYKAHIVYP
      HUJZTZLUGVYSUHUIZVWFVAUIZVDZVYRVEVWGVFAKVWFHVEKUJZVYOBVCZVYSTZLWUAWUDVAUI
      ZVDZVGZHVEWUCVGZFUURZCVFMWUDVWFTZHVEWUHWUCWULWUHWUFLWUBVDZWUCWULWUGWUBTWU
      HWUMTWUDVWFWUAVAVHWUFLWUGWUBVIVJWULWUFVYTLWUBWULWUEVYPVYSWUDVWFVYOBUUKVKV
      LVNUULAVWFWUKUSZVWFFVBZSAVWFVFUSZWUNWUOVOAWUOFVPUSZWUPSPVWFFVPUUMVQZVWFFV
      FUUNVJVRWUJVFUSAHVEWUCUUOUUPVSVTVYSITZWUCVYRTAWUSWUCVYTLVYKVDZVYRWUSWUBVY
      KTWUCWUTTWUSWUAVWIVWFVAVYSIUGUHVHWAVYTLWUBVYKVIVJWUSVYTVYQLVYKVYSIVYPWBVL
      VNWCNVYRVFUSAVYQLVYKVWIVWFVAWDWEVSWFZVYRVYKVBAVYQLVYKUUSVSUUQUTAVXKWGZWQZ
      VWSVWIVWFUUTVJZAJVWFUSZVXKAJVWEUSZWVEAJFUSZWVFQJFUVAVJJVWEEUVBVJZUTWHZWIZ
      WJZVXLUGVXHWKWLZVXGIWKWLZVXLVXGVWIUSZWVMWVIVXGUGIWMVJVXLIVXGVXLIVYJWNZVXL
      VXGWVJWNZUVCVRZVXLUGVXGWKWLZVXHIWKWLVXLWVNWVRWVIVXGUGIWOVJVXLIVXGWVOWVPUV
      DUVEWPVXLVXIEVYNVXAUFZBVCZVXHTZUAUGVXHUHUIZEVAUIZVDZVYCVXLVXIWWCUSZEVYNVX
      IUFZBVCZVXHTZUKVXIWWDUSVXLWWEWWHVXLWWEEWWBVXIULZVXLVXIEWRZWWFWWBUSZBEUNZU
      KWWIVXLWWJWWLVXLVWSVWFWRZEVWFVBZWWJVXLVYLWWMWVCVWSVWIVWFUVFVJZWWNVXLEVWEU
      VGZVSZVWFEVWSUVIVQVXLWWKBEAVXKBABWSZBVWSVWHBVWSWTBIVWGBVWFCBCKWUKWUIVGMBK
      WUKWUIBWUKWTBHVEWUHBVEWTWUFBLWUGBWUEVYSWUDVYOBBWUDWTUVHBVYSWTUVTBWUGWTUVJ
      UVKUVKUVLZBVWFWTXABIWTXAZXBZXCZVXLVYNEUSZWWKVXLWXCUKZWWFVYOWWBWXCWWFVYOTZ
      VXLVYNEVWSUVMZWCZWXDVYOUGVXHVXLUGVMUSWXCVYGUTVXLVXHVMUSZWXCWVKUTWXDVYOUGI
      WXDVWFVWIVYNVWSVXLVYMWXCWVDUTVXLEVWFVYNWWQUVNWHZWIWXDVYOVWIUSUGVYOWKWLWXI
      VYOUGIWOVJWXDVYOEUCUJZVWSUFZUCVCZVXHWKWXDEWXKVYOUCVYNAEVPUSZVXKWXCAWUQEFV
      BZWXMPAEVWEFSUVOZFEUXLVQZXDVXLWXJEUSZWXKXEUSWXCVXLWXQUKZVWIXEWXKVWIXEVBWX
      RVWIVMXEUGIUVPZUVQUVRZVSWXRVWFVWIWXJVWSVXLVYMWXQWVDUTVXLEVWFWXJWWQUVNWHZW
      QZXFVXLWXQUGWXKWKWLZWXCWXRWXKVWIUSWYCWYAWXKUGIWOVJXFWXJVYNVWSXGZVXLWXCWGU
      VSVXLWXLVXHTZWXCVXLWXLVXGXHUIZVXGUOUIWXLVXHVXLWXLVXGVXLEWXKUCAWXMVXKWXPUT
      ZWXRWXKWYBUWAZUWBVXLVXGWVPUWAZUWCVXLWYFIVXGUOVXLWYFVWFWXKUCVCZIVXLWYJWYFV
      XLEJWXKVXGUCFVXLUCWSUCVXGWTWYGAWVGVXKQUTAJEUSZUWDZVXKRUTWYHWXJJVWSXGWYIUW
      EXIVXLWYJVYPIWYJVYPTVXLVWFWXKVYOUCBWYDUWFVSVXLVYLVYQVXLVWSVYRUSVYLVYQUKVX
      LVWSVWHVYRWVBAVWHVYRTVXKWVAUTXJVYQLVYKUWGUWHUWIVNVNWAUWJZUTXKWPXLXMXNXOBE
      WWBVXIUWKXPVXLWWBEVXIVFVFVXLUGVXHUHXQAEVFUSZVXKAEFVPPWXOUWLZUTUWMVRVXLWWG
      EVYOBVCZWXLVXHVXLEWWFVYOBVXLWXEBEWXBWXCWXEUMVXLWXFVSXNXRWYPWXLTVXLWXLWYPE
      WXKVYOUCBWYDUWFUWNVSVXLWYEUMWYMUWOXSXOWWAWWHUAVXIWWCVXAVXITZWVTWWGVXHWYQE
      EWVSWWFBWYQEURWYQWXCUKVYNVXAVXIWYQWXCYAXTUWPVKYBXPVXLVYCWWDVXLUDVXHWYPUDU
      JZTZLUGWYRUHUIZEVAUIZVDZWWDVEVWLVFVXLVWLHVEWYPVYSTZLWUAEVAUIZVDZVGZUDVEXU
      BVGZAVWLXUFTZVXKAKEWUIXUFWUKCVFMWUDETZHVEWUHXUEXUIWUHWUFLXUDVDZXUEXUIWUGX
      UDTWUHXUJTWUDEWUAVAVHWUFLWUGXUDVIVJXUIWUFXUCLXUDXUIWUEWYPVYSWUDEVYOBUUKVK
      VLVNUULAEWUKUSZWXNWXOAWYNXUKWXNVOWYOEFVFUUNVJVRXUFVFUSAHVEXUEUUOUUPVSVTZU
      TXUFXUGTVXLHUDVEXUEXUBVYSWYRTZXUEXUCLXUAVDZXUBXUMXUDXUATXUEXUNTXUMWUAWYTE
      VAVYSWYRUGUHVHWAXUCLXUDXUAVIVJXUMXUCWYSLXUAVYSWYRWYPWBVLVNUWQVSVNWYRVXHTZ
      XUBWWDTVXLXUOXUBWVTWYRTZUAXUAVDZXUPUAWWCVDZWWDXUBXUQTXUOWYSXUPLUAXUAVXDWY
      PWVTWYRVXDEVYOWVSBVYNVWSVXAYMUWRVKUWSVSXUOXUAWWCTXUQXURTXUOWYTWWBEVAWYRVX
      HUGUHVHWAXUPUAXUAWWCVIVJXUOXUPWWAUAWWCWYRVXHWVTWBVLXSWCVXLWXHWVLUKVXHVEUS
      VXLWXHWVLWVKWVQXOVXHUWTXPWWDVFUSVXLWWAUAWWCWWBEVAWDWEVSWFXIXJXOXOVXLVXHVF
      USVXIVFUSZVYFVXTUMVXLIVXGUOXQXUSVXLVWSELUXAUXBZVSVXSVYFGUBVXHVXIVFVFVWJVX
      HTZVXMVXITZUKZVXOVYAVXRVYEXVCVXNVXJVXJVWJVXMVXHVXIUXCUXDXVCVXPVYBVXQVYDXV
      AVXPVYBVOXVBVWJVXHVWIUXEUTXVCVXMVXIVWMVYCXVAXVBWGXVAVWMVYCTXVBVWJVXHVWLXG
      UTUXFUXGUXGUXHVQYCGUBVWIVWMVXJUXIXPOUXJZAVXELUAVWHVWHAVXKVXAVWHUSZUKZUKZV
      XCVXDXVGVXCUKZVXDVYOWVSTZBVWFUNZXVHXVIBVWFXVGVXCBAXVFBWWRVXKXVEBWXABUAVWH
      WWTUXKXCXCVXCBWSXCXVHVYNVWFUSZXVIXVHXVKUKZWXCXVIXVHWXCXVIXVKXVHWXCUKZVYOW
      WFVYNVWTYDUFZUFZWVSXVGWXCVYOWWFTZVXCAVXKWXCXVPXVEWXDWWFVYOWXGXIUXMXFXVGWW
      FXVOTZVXCWXCAVXKXVQXVEVXLXVOVYNVXJYDUFZUFZWWFVXLVYNXVNXVRVXLVWTVXJYDALVWH
      VXJDVFDLVWHVXJVGTZAOVSVXJVFUSVXLVXHVXIYEVSUXNZYFXTXVSWWFTVXLVYNXVRVXIVXHV
      XIIVXGUOWDZXUTUXOUXPVSYGYHXDXVMXVOVYNVXAEUPZUFZWVSXVMVYNXVNXWCXVMXVNIJVXA
      UFZUOUIZXWCUQZYDUFZXWCXVHXVNXWHTZWXCAXVEVXCXWIVXKAXVEUKZVXCUKZVWTXWGYDXWK
      VWTVXBXWGXWJVXCWGXWJVXBXWGTVXCXWJLVXAVXJXWGVWHDVFOVXDVXHXWFVXIXWCVXDVXGXW
      EIUOJVWSVXAYMYIVWSVXAEUXQUXRAXVEWGXWGVFUSXWJXWFXWCYEVSVTZUTVNYFUXSUTXWHXW
      CTXVMXWFXWCIXWEUOWDZVXAEUAUXAUXBZUXOVSVNXTWXCXWDWVSTXVHVYNEVXAUVMWCVNXSXF
      XVLWXCUWDZUKXVLVYNJTZXVIXVLXWOYAXVKXWOXWPXVHXVKXWOUKVYNVWEUSXWPVYNEVWEUXT
      VYNJUYAVJZUYBXVHXWPXVIXVKXVHXWPUKZVYOVXGXWEWVSXWRVYNJVWSXVHXWPWGYFXVHVXGX
      WETXWPXVHVXGIVXHUOUIZIVWTYJUFZUOUIZXWEXVGVXGXWSTZVXCAVXKXXBXVEVXLXWSVXGVX
      LIVXGAIYNUSZVXKAINUYCZUTWYIYKXIYHUTXVGXWSXXATZVXCAVXKXXEXVEVXLVXHXWTIUOVX
      LXWTVXJYJUFZVXHVXLVWTVXJYJXWAYFXXFVXHTVXLVXHVXIXWBXUTUYDVSYGYIYHUTAXVEVXC
      XXAXWETVXKXWKXXAIXWFUOUIZXWEXWEXWKXWTXWFIUOXWKXWTVXBYJUFZXWGYJUFZXWFVXCXW
      TXXHTXWJVWTVXBYJXGWCXWJXXHXXITVXCXWJVXBXWGYJXWLYFUTXXIXWFTXWKXWFXWCXWMXWN
      UYDVSXSYIXWJXXGXWETVXCXWJIXWEAXXCXVEXXDUTXWJVWIYNXWEVWIYNVBXWJVWIVMYNWXSU
      YEUVRZVSXWJVWFVWIJVXAVXLVYMUMXWJVWFVWIVXAULZUMLUAVXDVXLXWJVYMXXKVXDVXKXVE
      ALUAVWHYLUYFVWFVWIVWSVXAUYGUYHWVDUYIZAWVEXVEWVHUTWHWQYKUTXWKXWEURXSUXSXSU
      TXWPXWEWVSTXVHXWPWVSXWEVYNJVXAXGXIWCXSXFVQYOXMXNXVHWWMVXAVWFWRZVXDXVJVOXV
      GWWMVXCAVXKWWMXVEWWOYHUTXVGXXMVXCAXVEXXMVXKXWJVWFVWIVXAXXLUYLUYJUTBVWFVWS
      VXAUYMVQVRXMUYKXOLUAVWHVWODUYNXPAVWRUEUJZVWTTLVWHUYOZUEVWOUNZUKVWQAVWRXXP
      XVDAXXOUEVWOAXXNVWOUSZUKZBVWFWXCVYNXXNYDUFZUFZIXXNYJUFZUOUIZYPZVGZVWHUSXX
      NXYDDUFZTXXOXXRXYDVYRVWHXXRXXNVWNUSZGVWIUYOZXYDVYRUSZXXQXYGAXXQXYGGXXNVWI
      VWNUYPUYQZWCZXXRXYFXYHGVWIAXXQGAGWSGXXNVWOGXXNWTGVWIVWNUYRXBZXCZXYHGWSAVX
      PXYFXYHUMUMXXQAVXPXYFXYHAVXPXYFUYSZXYDVYKUSZVWFVYNUCVWFWXQWXJXXSUFZXYBYPZ
      VGZUFZBVCZITZUKXYHXYMXYNXYTXYMXYNVWFVWIXYDULXYMBVWFXYCVWIXYDAVXPXYFBWWRVX
      PBWSBXXNVWNBXXNWTBVWKVWMBVWKWTBVWJVWLBECWWSBEWTXABVWJWTXAVUDXBUYTZXYMXVKU
      KZXYCUGIYUBUUIAVXPXVKVYHXYFAVYHXVKVYIUTYQYUBWXCXYCVMUSZYUBWXCUKZXYCXXTVMW
      XCXYCXXTTZYUBWXCXXTXYBVUAZWCZYUDXXTUGVWJYUBEUGVWJUHUIZVYNXXSXYMEYUHXXSULZ
      XVKXYMXXSYUHEVAUIZUSZYUIXYMAVXPXXSWYPVWJTZLYUJVDZUSZYUKAVXPXYFVUBZAVXPXYF
      VUEXYMXXSVWMYUMXYFAXXSVWMUSVXPXXNVWKVWMVUFVUCAVXPVWMYUMTXYFAVXPUKZHVWJXUE
      YUMVEVWLVFAXUHVXPXULUTVYSVWJTZXUEYUMTYUPYUQXUEXUCLYUJVDZYUMYUQXUDYUJTXUEY
      URTYUQWUAYUHEVAVYSVWJUGUHVHWAXUCLXUDYUJVIVJYUQXUCYULLYUJVYSVWJWYPWBVLVNWC
      VXPVWJVEUSAVWJIVUGWCZYUMVFUSYUPYULLYUJYUHEVAWDWEVSWFVUHXJZYUNAYUKVXPYULLX
      XSYUJVUNVUCVUIXXSYUHEUUTVJZUTVUJWIXLYUBXWOUKZYUBXWPYUCYUBXWOYAXVKXWOXWPXY
      MXWQUYBZXYMXWPYUCXVKXYMXWPUKZXYCXYBVMAVXPXWPXYCXYBTXYFAXWPUKZWXCXXTXYBYVE
      VYNJEAXWPWGAWYLXWPRUTVUKZYRYQYVDIXYAAVXPXWPVYHXYFAVYHXWPVYIUTYQXYMXYAVMUS
      ZXWPVXPXYFYVGAVXPXYFUKZXYAVWJVMXYFXYAVWJTZVXPXYFXYAVWKUSYVIXXNVWKVWMVULXY
      AVWJUYAVJWCZVXPVWJVMUSXYFVWIVMVWJWXSYSUTXLVUMZUTWJXLXFVQYOZYUBWXCUGXYCWKW
      LZXYMWXCYVMXVKXYMWXCUKZUGXXTXYCWKYVNXXTYUHUSZUGXXTWKWLXYMEYUHVYNXXSYVAVUJ
      ZXXTUGVWJWOVJWXCXXTXYCTXYMWXCXYCXXTYUFXIWCXKXFYVBXYMXWPYVMXYMXVKXWOVUOZYV
      CYVDUGIVWJUOUIZXYCWKVXPAXWPUGYVRWKWLZXYFVXPYVSXWPVXPYVSVWJIWKWLZVWJUGIWMZ
      VXPIVWJVXPIVWJUGIVUPWNZVWIXEVWJWXTYSZUVCVRUTVUQYVDXYCXYBYVRYVDWXCXXTXYBXY
      MAXWPXWOYUOYVFVURYRXYMXYBYVRTXWPXYMXYAVWJIUOVXPXYFYVIAYVJVUMYIZUTYGZXKVQY
      OYUBWXCXYCIWKWLZYUDXYCXXTIWKYUGXYMWXCXXTIWKWLZXVKYVNYVOVXPYWGYVPAVXPXYFWX
      CVVDYVOVXPUKXXTVWJIYVOXXTXEUSVXPYVOXXTYUHVMXXTUGVWJUVPYSWNUTVXPVWJXEUSZYV
      OYWCWCVXPIXEUSZYVOYWBWCYVOXXTVWJWKWLVXPXXTUGVWJWMUTVXPYVTYVOYWAWCVUSVQXFV
      UTYVBXYMXWPYWFYVQYVCYVDXYCYVRIWKYVDYVRXYCYWEXIAVXPXWPYVRIWKWLZXYFYUPYWJXW
      PYUPUGVWJWKWLYWJYUPVWJYUSVVAYUPIVWJVXPYWIAYWBWCVXPYWHAYWCWCUVDUVEUTVVBVUT
      VQYOWPXYDVVCVVEXYMVWIVWFXYDVFVFXYMUGIUHXQXYMAWUPYUOWURVJUWMVRXYMXYSVWFXYC
      BVCEXYCBVCZWYKJXXSUFZXYBYPZXHUIZIXYMVWFXYRXYCBXYMXYRXYCTZBVWFYUAXYMXVKYWO
      YUBUCVYNXYPXYCVWFXYQVMYUBXYQURWXJVYNTZXYPXYCTYUBYWPWXQWXCXYOXXTXYBUCBEYLW
      XJVYNXXSXGVVFWCXYMXVKWGYVLWFXMXNXRXYMEJXYCYWMBFYUABYWMWTXYMAWXMYUOWXPVJXY
      MAWVGYUOQVJXYMAWYLYUORVJZYVNXYCXXTYNWXCYUEXYMYUFWCYVNXXTYVNXXTUGVWJYVPWIV
      VGXLXWPWXCWYKXXTYWLXYBVYNJEUXEVYNJXXSXGVVFXYMYWMXYBYNAXYFYWMXYBTVXPAXYFUK
      WYKYWLXYBAWYLXYFRUTYRVVHXYMXYBXYMIXYAAVXPVYHXYFVYIVVIYVKWJVVGXLUWEXYMYWNV
      WJYVRXHUIIXYMYWKVWJYWMYVRXHXYMYWKEXXTBVCZVWJXYMEXYCXXTBXYMYUEBEYUAWXCYUEU
      MXYMYUFVSXNXRXYMYUKYWRVWJTZXYMYUNYUKYWSUKYUTYULYWSLXXSYUJVWSXXSTZWYPYWRVW
      JYWTEEVYOXXTBYWTEURYWTWXCUKVYNVWSXXSYWTWXCYAXTUWPVKYBUWHUWIVNXYMYWMXYBYVR
      XYMWYKYWLXYBYWQYRYWDVNVVJXYMVWJIVXPAVWJYNUSXYFVWIYNVWJXXJYSVVKXYMAXXCYUOX
      XDVJVVNVNXSXOVYQXYTLXYDVYKVWSXYDTZVYPXYSIYXAVWSXYQTZVYPXYSTYXAYXBXYDXYQVW
      SBUCVWFXYCXYPVYNWXJTWXCWXQXXTXYOXYBBUCEYLVYNWXJXXSXGVVFUWQZVVLUYQYXBVWFVY
      OXYRBVYNVWSXYQYMUWRVJVKYBXPVVMUTYTYCAVYRVWHTXXQAVWHVYRWVAXIUTXJZXXRXYEXYA
      XXSUQZXXNXXRLXYDVXJYXEVWHDVFXVTXXROVSXXRYXAUKZVXHXYAVXIXXSYXFVXHIXYBUOUIZ
      XYAAYXAVXHYXGTXXQAYXAUKZVXGXYBIUOYXHUCJXYPXYBVWFVWSVFYXHVWSXYDXYQAYXAWGXY
      DXYQTYXHYXCVSVNAWXJJTZXYPXYBTYXAAYXIUKZWXQXYOXYBYXJWXJJEAYXIWGAWYLYXIRUTV
      UKYRXFAWVEYXAWVHUTYXHIXYAUOXQWFYIXFYXFIXYAAXXCXXQYXAXXDXDXXQXYAYNUSAYXAXX
      QXYAXXQXYAUGIXXQXYGXYAVWIUSZXYIXXQXYFYXKGVWIXYKYXKGWSVXPXYFYXKUMUMXXQVXPX
      YFYXKYVHVXPYVIYXKVXPXYFYAYVJVXPYVIUKXYAVWJVWIVXPYVIWGVXPYVIYAXLVQXMVSYTYC
      WIVVGVVOYKVNYXFVXIXYDEUPZBEXYCVGZXXSYXAVXIYXLTXXRVWSXYDEUXQWCYXFBVWFEXYCW
      WNYXFWWPVSVVPXXRYXMXXSTZYXAXXRXYGYXNXYJXXRXYFYXNGVWIXYLYXNGWSAVXPXYFYXNUM
      UMXXQAVXPXYFYXNXYMYXMBEXXTVGZXXSYXMYXOTXYMBEXYCXXTYUFVVQVSXYMBEYUHXXSYVAV
      VRVVSVVMUTYTYCUTXSUXRYXDYXEVFUSXXRXYAXXSYEVSWFXXRXYGYXEXXNTZXYJXXRXYFYXPG
      VWIXYLYXPGWSVXPXYFYXPUMZUMXXRYXQVXPXYFXXNYXEXXNVWKVWMVWCXIVSVSYTYCYGLXYDV
      WHVWTXYEXXNVWSXYDDXGVVTVQVWAXOLUEVWHVWODVWBXPXOVWHVWODVWDXP $.
  $}

  ${
    $d C c k p t $.  $d D c t $.  $d H c j k p t $.  $d H c k p t x $.
    $d H j k t y $.  $d J c j k p t $.  $d J c k n s t $.  $d J c k p t x $.
    $d N j t $.  $d R c k n s t $.  $d R c k p t x $.  $d R k t x y $.
    $d S c j k p t $.  $d S c k p t x $.  $d T j t $.  $d T s t $.
    $d X c j k p t $.  $d X c k p t x $.  $d X j k t y $.  $d Z c j k p t $.
    $d Z c k n s t $.  $d Z c k p t x $.  $d Z j k t y $.  $d c j k p ph t $.
    $d k z $.  $d n ph s t $.  $d ph t x $.
    dvnprodlem2.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvnprodlem2.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    dvnprodlem2.t $e |- ( ph -> T e. Fin ) $.
    dvnprodlem2.h $e |- ( ( ph /\ t e. T ) -> ( H ` t ) : X --> CC ) $.
    dvnprodlem2.n $e |- ( ph -> N e. NN0 ) $.
    dvnprodlem2.dvnh $e |- ( ( ph /\ t e. T /\ j e. ( 0 ... N ) ) -> ( ( S Dn (
       H ` t ) ) ` j ) : X --> CC ) $.
    dvnprodlem2.c $e |- C = ( s e. ~P T |-> ( n e. NN0 |-> { c e. ( ( 0 ... n )
       ^m s ) | sum_ t e. s ( c ` t ) = n } ) ) $.
    dvnprodlem2.r $e |- ( ph -> R C_ T ) $.
    dvnprodlem2.z $e |- ( ph -> Z e. ( T \ R ) ) $.
    dvnprodlem2.ind $e |- ( ph -> A. k e. ( 0 ... N ) ( ( S Dn ( x e. X |->
       prod_ t e. R ( ( H ` t ) ` x ) ) ) ` k ) = ( x e. X |-> sum_ c e. ( ( C
       ` R ) ` k ) ( ( ( ! ` k ) / prod_ t e. R ( ! ` ( c ` t ) ) ) x. prod_ t
       e. R ( ( ( S Dn ( H ` t ) ) ` ( c ` t ) ) ` x ) ) ) ) $.
    dvnprodlem2.j $e |- ( ph -> J e. ( 0 ... N ) ) $.
    dvnprodlem2.d $e |- D = ( c e. ( ( C ` ( R u. { Z } ) ) ` J ) |-> <. ( J -
       ( c ` Z ) ) , ( c |` R ) >. ) $.
    $( Induction step for ~ dvnprodlem2 .  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    dvnprodlem2 $p |- ( ph -> ( ( S Dn ( x e. X |-> prod_ t e. ( R u. { Z } ) (
       ( H ` t ) ` x ) ) ) ` J ) = ( x e. X |-> sum_ c e. ( ( C ` ( R u. { Z }
       ) ) ` J ) ( ( ( ! ` J ) / prod_ t e. ( R u. { Z } ) ( ! ` ( c ` t ) ) )
       x. prod_ t e. ( R u. { Z } ) ( ( ( S Dn ( H ` t ) ) ` ( c ` t ) ) ` x )
       ) ) ) $=
      ( vy vp cv cfv cprod cmpt cdvn co cmul cc0 cfz cbc cmin csu cfa cdiv wcel
      wa nfv nfcv cfn wss ssfi syl2anc adantr cc wf simpl adantlr ffvelrnd wceq
      fveq2 fveq1d id syl simpr wi eleq1 anbi2d feq1d imbi12d sylc fprodsplitsn
      vtoclg mpteq2dva cn0 elfznn0 eqid cmap crab cvv oveq2 rabeq rabbidv eqtrd
      oveq2d mpteq2dv wb mpbird oveq1d adantl fzfid fvmptd eqeltrd faccld nncnd
      a1i mpbid sseli elmapi sseldd fprodcl nnne0d divcld cle wbr 3jca adantllr
      w3a 3anbi3d mulcld zred eqcomd prodeq2ad oveq12d ovex 3eqtrd fveq2d wne
      cz vz csn cun cdif wn eldifbd sselda simplr eldifi fprodclf sumeq1 eqeq1d
      ssexg elpwg nn0ex mptex fvmptd3 eqeq2 mapfi ssrab2 ssexd sylancl ad2antlr
      cpw ssriv eleq2d fprodn0 ad4antr sylancom cuz elfzuz3 fzss2 nn0zd elfzle2
      eluz2 sylibr sstrd ad2antrr fvex vtocl syl3anc simpllr fsumcl fmpttd wral
      0zd elfzelz elfzle1 cr nn0red letrd elfzd 3anbi2d chvarvv feqmptd cbvmptv
      rspa oveq2i fveq1i mpteq2i dvnmul cxp ciun c1st c2nd r19.21bi ctopn crest
      ccnfld mptexg fvmpt2d an32s fvmpt2 elfzel2 zsubcld subge0d subge02d jca32
      syl5eq elfz2 anass ancom anbi2i bicomi bitri anbi1i imbi1i mpbi fsummulc1
      bccld nn0cnd fsummulc2 sumeq2dv cop vex op1std op2ndd adantrr anasss cres
      fsum2d resex snssd unssd rabex snfi unfi wf1o dvnprodlem1 opex wrex eliun
      biimpi nfiu1 nfel nfan xp1st elsni ex rexlimd eqsstrd mapss 3adant3 xp2nd
      mpd 3ad2ant3 3exp ffvelrnda cn nnne0 simpll simp1 3adant1 fznn0sub2 simp2
      fsumf1o eleqtrd snidg elun2 fzssz bcval2 recnd zsscn sstri divdiv1d fvres
      nncand prodeq2i oveq12i elun1 sylan div32d mulassd dmmcand div23d fveq12d
      fprodnncl fssd divmuldivd mulcomd eqidd ) AMGBOFPUUBZUUCZBUMZCUMZLUNZUNZC
      UOZUPZUQURZUNMGBOFVXGCUOZVXDPLUNZUNZUSURZUPZUQURZUNBOUTMVAURZMJUMZVBURZVX
      DVXRJVXQVXRGUKOFUKUMZVXFUNZCUOZUPZUQURZUNZUPZUNZUNZVXDMVXRVCURZJVXQVXRGUK
      OVXTVXLUNZUPZUQURZUNZUPZUNZUNZUSURZUSURZJVDZUPBOMVXCDUNZUNZMVEUNZVXCVXERU
      MZUNZVEUNZCUOZVFURVXCVXDWUDGVXFUQURZUNZUNZCUOZUSURZRVDZUPAMVXJVXPAVXIVXOG
      UQABOVXHVXNAVXDOVGZVHZFPVXGVXMCHFUUDZWUNCVIZCVXMVJAFVKVGZWUMAHVKVGZFHVLZW
      UQUAUFHFVMVNZVOZAPWUOVGZWUMUGVOAPFVGUUEZWUMAPHFUGUUFZVOZWUNVXEFVGZVHOVPVX
      DVXFAWVFOVPVXFVQZWUMAWVFVHAVXEHVGZWVGAWVFVRAFHVXEUFUUGZUBVNVSAWUMWVFUUHZV
      TZVXEPWAZVXDVXFVXLVXEPLWBZWCWUNOVPVXDVXLAOVPVXLVQZWUMAAPHVGZWVNAWDZAWVBWV
      OUGPHFUUIWEZAWVOVHZWVOWVRWVNAWVOWFWVRWDAWVHVHZWVGWGWVRWVNWGCPHWVLWVSWVRWV
      GWVNWVLWVHWVOAVXEPHWHZWIWVLOVPVXFVXLWVMWJWKUBWNWLVNZVOAWUMWFZVTZWMWOXFWCA
      BVXKVXMVYFVYNGJBOVXKUPZBOVXMUPZMOSTWUNFVXGCWUPWVAWVKUUJWWCAMUTNVAURZVGZMW
      PVGZUIMNWQWEZWWDWRWWEWRAVXRVXQVGZVHZOVPVXRGWWDUQURZUNZVQOVPBOVXRFDUNZUNZV
      XRVEUNZFWUECUOZVFURZFWUICUOZUSURZRVDZUPZVQWWKBOWXAVPWWKWUMVHZWWOWWTRWWKWW
      OVKVGZWUMWWKWWOFWUDCVDZVXRWAZRUTVXRVAURZFWSURZWTZVKWWKKVXRWXEKUMZWAZRUTWX
      JVAURZFWSURZWTZWXIWPWWNXAWWKQFKWPQUMZWUDCVDZWXJWAZRWXLWXOWSURZWTZUPZKWPWX
      NUPZHUVDZDXAUEWXOFWAZKWPWXSWXNWYCWXSWXQRWXMWTZWXNWYCWXRWXMWAWXSWYDWAWXOFW
      XLWSXBWXQRWXRWXMXCWEWYCWXQWXKRWXMWYCWXPWXEWXJWXOFWUDCUUKUULXDXEXGAFWYBVGZ
      WWJAWYEWUSUFAFXAVGZWYEWUSXHAWUSWURWYFUFUAFHVKUUMVNFHXAUUNWEXIVOWYAXAVGWWK
      KWPWXNUUOUUPXQUUQWXJVXRWAZWXNWXIWAWWKWYGWXNWXKRWXHWTZWXIWYGWXMWXHWAWXNWYH
      WAWYGWXLWXGFWSWXJVXRUTVAXBXJWXKRWXMWXHXCWEWYGWXKWXFRWXHWXJVXRWXEUURXDXEXK
      WWJVXRWPVGAVXRMWQZXKWWKWXIWXHVKAWXHVKVGZWWJAWXGVKVGWUQWYJAUTVXRXLWUTWXGFU
      USVNZVOWXIWXHVLZWWKWXFRWXHUUTZXQZUVAXMZAWXIVKVGZWWJAWYJWYLWYPWYKWYMWXHWXI
      VMUVBVOXNZVOWXCWUCWWOVGZVHZWWRWWSWWKWYRWWRVPVGWUMWWKWYRVHZWWPWWQWWJWWPVPV
      GAWYRWWJWWPWWJVXRWYIXOXPUVCWYTFWUECAWYRWUQWWJAWUQWYRWUTVOVSZWYTWVFVHZWUEX
      UBWUDXUBWXGWPWUDWXGWPVLXUBUUAWXGWPUUAUMVXRWQUVEXQXUBFWXGVXEWUCWYTFWXGWUCV
      QZWVFWYTWUCWXHVGZXUCWYTWUCWXIVGZXUDWYTWYRXUEWWKWYRWFWWKWYRXUEXHWYRWWKWWOW
      XIWUCWYOUVFVOXRWXIWXHWUCWYMXSWEWUCWXGFXTWEVOWYTWVFWFVTZYAXOZXPZYBWYTFWUEC
      XUAXUHXUBWUEXUGYCUVGYDVSWYSFWUICWWKWYRWUQWUMXUAVSWYSWVFVHZOVPVXDWUHXUIAWV
      HWUDWWFVGZOVPWUHVQZAAWWJWUMWYRWVFWVPUVHZWYSWVFAWVHXULWVIUVIWWKWYRWVFXUJWU
      MXUBWXGWWFWUDWWKWXGWWFVLWYRWVFWWKWXGVXQWWFWWJWXGVXQVLZAWWJMVXRUVJUNVGXUMV
      XRUTMUVKVXRUTMUVLWEZXKAVXQWWFVLZWWJANMUVJUNVGZXUOAMYTVGZNYTVGZMNYEYFZYIXU
      PAXUQXURXUSAMWWIUVMZANUCUVMZAWWGXUSUIMUTNUVNWEZYGMNUVOUVPMUTNUVLWEZVOUVQU
      VRXUFYAYHAWVHIUMZWWFVGZYIZOVPXVDWUGUNZVQZWGZAWVHXUJYIZXUKWGIWUDVXEWUCUVSX
      VDWUDWAZXVFXVJXVHXUKXVKXVEXUJAWVHXVDWUDWWFWHYJXVKOVPXVGWUHXVDWUDWUGWBWJWK
      UDUVTZUWAWWKWUMWYRWVFUWBVTYBYKZUWCZUWDWWKOVPWWMWXBWWKWWMWXBWAZJWWFUWEZVXR
      WWFVGZXVOAXVPWWJUHVOWWKVXRUTNWWKUWFAXURWWJXVAVOZWWJVXRYTVGAVXRUTMUWGZXKZW
      WJUTVXRYEYFZAVXRUTMUWHZXKWWKVXRMNWWKVXRXVTYLAMUWIVGZWWJAMWWIUWJZVOWWKNXVR
      YLWWJVXRMYEYFZAVXRUTMUVNZXKAXUSWWJXVBVOUWKUWLZXVOJWWFUWQVNWJXIWWKOVPVXRGW
      WEUQURZUNZVQOVPVXRGVXLUQURZUNZVQZWWKWVOAWVOXVQYIZXWLAWVOWWJWVQVOZWWKAWVOX
      VQAWWJVRZXWNXWGYGAWVHXVQYIZOVPVXRWUGUNZVQZWGZXWMXWLWGCPHWVLXWPXWMXWRXWLWV
      LWVHWVOAXVQWVTUWMWVLOVPXWQXWKWVLVXRWUGXWJWVLVXFVXLGUQWVMXFZWCWJWKXVIXWSIJ
      XVDVXRWAZXVFXWPXVHXWRXXAXVEXVQAWVHXVDVXRWWFWHYJXXAOVPXVGXWQXVDVXRWUGWBWJW
      KUDUWNWNWLZWWKOVPXWIXWKAXWIXWKWAWWJAVXRXWHXWJAWWEVXLGUQAVXLWWEABOVPVXLWWA
      UWOYMXFZWCVOWJXIJVXQVYEWWMVXRVYDWWLVYCWWDGUQUKBOVYBVXKVXTVXDWAFVYAVXGCVXT
      VXDVXFWBYNUWPUWRUWSZUWTJVXQVYMXWIVXRVYLXWHVYKWWEGUQUKBOVYJVXMVXTVXDVXLWBU
      WPUWRZUWSUWTUXAABOVYSWULWUNVYSVXQWWOVXSWWTVXDVYIXWJUNZUNZUSURZUSURZRVDZJV
      DJVXQVXRUUBZWWOUXBZUXCZMULUMZUXDUNZVBURZXXOVEUNZFVXEXXNUXEUNZUNZVEUNZCUOZ
      VFURZFVXDXXSWUGUNZUNZCUOZUSURZVXDMXXOVCURZXWJUNZUNZUSURZUSURZULVDZWULWUNV
      XQVYRXXJJWUNWWJVHZVYRVXSWXAXXGUSURZUSURVXSWWOXXHRVDZUSURXXJXYMVYQXYNVXSUS
      XYMVYHWXAVYPXXGUSXYMVYHVXDWXBUNZWXAXYMVXDVYGWXBAWWJVYGWXBWAWUMAJVXQWXBVYF
      XAAJVXQVYEWXBWWKVYEWWMWXBVYEWWMWAWWKXXDXQWWKAXVQXVOXWOXWGAXVOJWWFUHUXFVNX
      EWOAWXBXAVGZWWJAOUXIUXGUNGUXHURZVGXYQTBOWXAXYRUXJWEVOUXKVSWCXYMWUMWXAVPVG
      ZXYPWXAWAWUNWUMWWJWWBVOZAWWJWUMXYSXVNUXLBOWXAVPWXBWXBWRUXMVNXEXYMVXDVYOXX
      FAWWJVYOXXFWAWUMWWKIVYIXVDXWJUNZXXFVXQVYNXAAVYNIVXQYUAUPZWAWWJAVYNIVXQXVD
      VYLUNZUPZYUBVYNYUDWAAJIVXQVYMYUCVXRXVDVYLWBUWPXQAIVXQYUCYUAAXVDVYLXWJAVYL
      XWHXWJXXEXXCUXSWCXGXEVOXVDVYIWAZYUAXXFWAWWKXVDVYIXWJWBZXKWWKUTYTVGZXUQVYI
      YTVGZYIZUTVYIYEYFZVYIMYEYFZVHVHZVYIVXQVGZWWJYULAWWJYUIYUJYUKWWJYUGXUQYUHW
      WJUWFVXRUTMUXNZWWJMVXRYUNXVSUXOYGWWJYUJXWEXWFWWJMVXRWWJMYUNYLZWWJVXRWYIUW
      JZUXPXIWWJXWAYUKXWBWWJMVXRYUOYUPUXQXRUXRXKVYIUTMUXTUVPZXXFXAVGWWKVYIXWJUV
      SXQXMVSWCYOXFXYMXYNXYOVXSUSXYMWWOWWTXXGRAWWJWXDWUMWYQVSZXYMOVPVXDXXFAWWJO
      VPXXFVQZWUMWWKAYUMYUSXWOYUQAXVDVXQVGZVHZOVPYUAVQZWGZAYUMVHZYUSWGIVYIMVXRV
      CYPYUEYVAYVDYVBYUSYUEYUTYUMAXVDVYIVXQWHWIYUEOVPYUAXXFYUFWJWKWWKXWLWGYVCJI
      VXRXVDWAZWWKYVAXWLYVBYVEWWJYUTAVXRXVDVXQWHWIYVEOVPXWKYUAVXRXVDXWJWBWJWKXX
      BUWNUVTVNVSXYTVTZWYSWWTVPVGZWGXYMWYRVHZYVGWGXVMWYSYVHYVGWXCXYMWYRWXCAWWJW
      UMVHZVHZXYMAWWJWUMUYAYVJAWUMWWJVHZVHZXYMYVIYVKAWWJWUMUYBUYCXYMYVLAWUMWWJU
      YAUYDUYEUYEUYFUYGUYHZUYIXFXYMWWOXXHVXSRYURAWWJVXSVPVGZWUMWWKVXSWWKVXRMWWK
      AWWHXWOWWIWEXVTUYJUYKVSZYVHWWTXXGYVMXYMXXGVPVGWYRYVFVOYKZUYLYQUYMWUNULVXQ
      WWOXXIXYKJRXXNVXRWUCUYNWAZXXPVXSXYJXXHUSYVQXXOVXRMVBVXRWUCXXNJUYOZRUYOZUY
      PZXFYVQXYFWWTXYIXXGUSYVQXYBWWRXYEWWSUSYVQXXQWWPXYAWWQVFYVQXXOVXRVEYVTYRYV
      QFXXTWUECYVQXXSWUDVEYVQVXEXXRWUCVXRWUCXXNYVRYVSUYQWCZYRYNYOYVQFXYDWUICYVQ
      VXDXYCWUHYVQXXSWUDWUGYWAYRWCYNYOYVQVXDXYHXXFYVQXYGVYIXWJYVQXXOVXRMVCYVTXF
      YRWCYOYOWUNUTMXLYURWUNWWJWYRVHVHVXSXXHWUNWWJYVNWYRYVOUYRWUNWWJWYRXXHVPVGY
      VPUYSYKVUAWUNXYLWUAMMPWUCUNZVCURZVBURZYWCVEUNZFVXEWUCFUYTZUNZVEUNZCUOZVFU
      RZFVXDYWGWUGUNZUNZCUOZUSURZVXDMYWCVCURZXWJUNZUNZUSURZUSURZRVDWULWUNXXMXYK
      WUAYWSULREYWCYWFUYNZXXNYWTWAZXXPYWDXYJYWRUSYXAXXOYWCMVBYWCYWFXXNMYWBVCYPZ
      WUCFYVSVUBZUYPZXFYXAXYFYWNXYIYWQUSYXAXYBYWJXYEYWMUSYXAXXQYWEXYAYWIVFYXAXX
      OYWCVEYXDYRYXAFXXTYWHCYXAXXSYWGVEYXAVXEXXRYWFYWCYWFXXNYXBYXCUYQWCZYRYNYOY
      XAFXYDYWLCYXAVXDXYCYWKYXAXXSYWGWUGYXEYRWCYNYOYXAVXDXYHYWPYXAXYGYWOXWJYXAX
      XOYWCMVCYXDXFYRWCYOYOAWUAVKVGWUMAWUAVXCWUDCVDZMWAZRVXQVXCWSURZWTZVKAKMYXF
      WXJWAZRWXLVXCWSURZWTZYXIWPVYTXAAQVXCWXTKWPYXLUPZWYBDXAUEWXOVXCWAZKWPWXSYX
      LYXNWXSWXQRYXKWTZYXLYXNWXRYXKWAWXSYXOWAWXOVXCWXLWSXBWXQRWXRYXKXCWEYXNWXQY
      XJRYXKYXNWXPYXFWXJWXOVXCWUDCUUKUULXDXEXGAVXCWYBVGZVXCHVLZAFVXBHUFAPHWVQVU
      CVUDZAVXCXAVGYXPYXQXHAVXCHVKUAYXRUVAVXCHXAUUNWEXIYXMXAVGAKWPYXLUUOUUPXQUU
      QWXJMWAZYXLYXIWAAYXSYXLYXJRYXHWTZYXIYXSYXKYXHWAYXLYXTWAYXSWXLVXQVXCWSWXJM
      UTVAXBXJYXJRYXKYXHXCWEYXSYXJYXGRYXHWXJMYXFUURXDXEXKWWIYXIXAVGAYXGRYXHVXQV
      XCWSYPVUEXQXMZAYXHVKVGZYXIYXHVLZYXIVKVGAVXQVKVGVXCVKVGZYYBAUTMXLAWUQVXBVK
      VGZYYDWUTYYEAPVUFZXQFVXBVUGZVNZVXQVXCUUSVNYYCAYXGRYXHUUTZXQYXHYXIVMVNXNVO
      AWUAXXMEVUHWUMACDEFHJKMPQRUEWWIUJUAWVQWVDYXRVUIVOAWUCWUAVGZWUCEUNYWTWAZWU
      MAYYJVHZYYJYWTXAVGZYYKAYYJWFZYYMYYLYWCYWFVUJXQRWUAYWTXAEUJUXMVNVSWUNXXNXX
      MVGZVHZXXPXYJAYYOXXPVPVGWUMAYYOVHZXXPYYQXXOMAWWHYYOWWIVOYYQXXOVXQVGZXXOYT
      VGYYQXXNXXLVGZJVXQVUKZYYRYYOYYTAYYOYYTJXXNVXQXXLVULVUMXKZYYQYYSYYRJVXQAYY
      OJAJVIJXXNXXMJXXNVJJVXQXXLVUNVUOVUPZYYRJVIWWJYYSYYRWGWGYYQWWJYYSYYRWWJYYS
      VHXXOVXRVXQYYSXXOVXRWAZWWJYYSXXOXXKVGUUUCXXNXXKWWOVUQXXOVXRVURWEXKWWJYYSV
      RXNZVUSXQVUTVVEZXXOUTMUWGWEUYJUYKVSYYPXYFXYIYYPXYBXYEYYPXXQXYAAYYOXXQVPVG
      WUMYYQXXQYYQXXOYYQYYRXXOWPVGUUUEXXOMWQWEXOXPVSAYYOXYAVPVGWUMYYQFXXTCAWUQY
      YOWUTVOZYYQWVFVHZXXSVXQVGZXXTVPVGYYQFVXQVXEXXRYYQYYTFVXQXXRVQZUUUAYYQYYSU
      UUIJVXQUUUBUUUIJVIAWWJYYSUUUIWGWGYYOAWWJYYSUUUIAWWJYYSYIZXXRVXQFWSURZVGUU
      UIUUUJWWOUUUKXXRAWWJWWOUUUKVLYYSWWKWWOWXHUUUKWWKWWOWXIWXHWYOWYNVVAWWJWXHU
      UUKVLZAWWJVXQXAVGZXUMUUULUUUMWWJUTMVAYPXQXUNWXGVXQFXAVVBVNXKUVQVVCYYSAXXR
      WWOVGWWJXXNXXKWWOVVDVVFYAXXRVXQFXTWEVVGVOVUTVVEVVHZUUUHXXTUUUHXXSXXSMWQXO
      ZXPWEZYBVSAYYOXYAUTYSWUMYYQFXXTCUUUFUUUPUUUGXXTVVIVGZXXTUTYSUUUGUUUHUUUQU
      UUNUUUOWEXXTVVJWEUVGVSYDYYPFXYDCWUNWUQYYOWVAVOYYPWVFVHOVPVXDXYCAYYOWVFOVP
      XYCVQZWUMUUUGUUUHAWVHXXSWWFVGZYIZUUURUUUNUUUGAWVHUUUSAYYOWVFVVKZYYQWVFAWV
      HUUVAWVIUVIUUUGVXQWWFXXSUUUGAXUOUUVAXVCWEUUUNYAYGXVIUUUTUUURWGIXXSVXQXVDX
      XSWAZXVFUUUTXVHUUURUUVBXVEUUUSAWVHXVDXXSWWFWHYJUUVBOVPXVGXYCXVDXXSWUGWBWJ
      WKUDWNWLYHWUNWVFWUMYYOWVJVSVTYBYKYYPOVPVXDXYHAYYOOVPXYHVQZWUMYYQXYGVXQVGZ
      AWVOXYGWWFVGZYIZUUVCYYQYYTUUVDUUUAYYQYYSUUVDJVXQUUUBUUVDJVIAWWJYYSUUVDWGW
      GYYOAWWJYYSUUVDUUUJAYYRUUVDAWWJYYSVVLWWJYYSYYRAUUUDVVMYYRUUVDAXXOMVVNXKVN
      VVGVOVUTVVEZYYQAWVOUUVEAYYOVRZYYQAWVOUUVHWVQWEYYQVXQWWFXYGYYQAXUOUUVHXVCW
      EUUVGYAYGAWVOXVEYIZYVBWGZUUVFUUVCWGIXYGVXQXVDXYGWAZUUVIUUVFYVBUUVCUUVKXVE
      UUVEAWVOXVDXYGWWFWHYJUUVKOVPYUAXYHXVDXYGXWJWBWJWKUUVIWVOUUVIYVBAWVOXVEVVO
      UUVIWDXVIUUVJCPHWVLXVFUUVIXVHYVBWVLWVHWVOAXVEWVTUWMWVLOVPXVGYUAWVLXVDWUGX
      WJXWTWCWJWKUDWNWLZWNWLVSWUNWUMYYOWWBVOVTYKYKVVPWUNWUAYWSWUKRWUNYYJVHZYWSW
      UBYWBVEUNZVFURZYWEVFURZYWEWWSWWQVFURZVXDYWBXWJUNZUNZUSURZUSURZUSURUUVOUUV
      TUSURZWUKUUVMYWDUUVPYWRUUWAUSAYYJYWDUUVPWAWUMYYLYWDWUBYWOVEUNZYWEUSURZVFU
      RZWUBUUVNYWEUSURZVFURZUUVPYYLYWCVXQVGZYWDUUWEWAYYLAYWBVXQVGZUUWHAYYJVRZYY
      LVXCVXQPWUCYYLWUCYXHVGZVXCVXQWUCVQZYYLWUCYXIVGUUWKYYLWUCWUAYXIYYNAWUAYXIW
      AYYJYYAVOVVQYXIYXHWUCYYIXSWEWUCVXQVXCXTWEZAPVXCVGZYYJAPVXBVGZUUWNAWVOUUWO
      WVQPHVVRWEPVXBFVVSWEVOVTZAUUWIVHZYWCUTMUUWQUWFAXUQUUWIXUTVOZUUWQMYWBUUWRU
      UWIYWBYTVGAVXQYTYWBUTMVVTZXSXKZUXOUUWQUTYWCYEYFYWBMYEYFZUUWIUUXAAYWBUTMUV
      NXKUUWQMYWBAXWCUUWIXWDVOZUUWQYWBUUWTYLZUXPXIUUWQUTYWBYEYFZYWCMYEYFUUWIUUX
      DAYWBUTMUWHXKUUWQMYWBUUXBUUXCUXQXRUWLVNZYWCMVWAWEYYLUUWDUUWFWUBVFYYLUUWCU
      UVNYWEUSYYLYWOYWBVEYYLMYWBAMVPVGYYJAMXWDVWBVOYYLVXQVPYWBVXQVPVLYYLVXQYTVP
      UUWSVWCVWDXQUUWPYAVWGZYRXJXFYYLUUVPUUWGYYLWUBUUVNYWEAWUBVPVGZYYJAWUBAMWWI
      XOXPZVOYYLUUVNYYLYWBYYLUUWIYWBWPVGUUWPYWBMWQWEXOZXPZYYLYWEYYLYWCYYLUUWHYW
      CWPVGUUXEYWCMWQWEXOZXPZYYLUUVNUUXIYCZYYLYWEUUXKYCZVWEYMYQVSUUVMYWRYWEUUVQ
      USURZUUVSUSURUUWAUUVMYWNUUXOYWQUUVSUSUUVMYWNYWEWWQVFURZWWSUSURZUUXOAYYJYW
      NUUXQWAZWUMUUXRYYLYWJUUXPYWMWWSUSYWIWWQYWEVFFYWHWUECWVFYWGWUDVEVXEFWUCVWF
      ZYRVWHUWRFYWLWUICWVFVXDYWKWUHWVFYWGWUDWUGUUXSYRWCVWHVWIXQVSUUVMYWEWWQWWSA
      YYJYWEVPVGWUMUUXLVSZAYYJWWQVPVGWUMYYLFWUECYYLAWUQUUWJWUTWEZYYLWVFVHZWUEUU
      YBWUDUUYBVXQWPWUDVXQWPVLZUUYBJVXQWPWYIUVEZXQUUYBVXCVXQVXEWUCYYLUUWLWVFUUW
      MVOWVFVXEVXCVGZYYLVXEFVXBVWJXKVTZYAXOZXPZYBZVSZUUVMFWUICWUNWUQYYJWVAVOZUU
      VMWVFVHOVPVXDWUHAYYJWVFXUKWUMUUYBAWVHXUJXUKYYLAWVFUUWJVOZYYLAWVFWVHUUWJWV
      IVWKUUYBVXQWWFWUDUUYBAXUOUUYLXVCWEUUYFYAXVLUWAYHWUNWVFWUMYYJWVJVSVTZYBZAY
      YJWWQUTYSZWUMYYLWWQVVIVGUUYOYYLFWUECUUYAUUYGVWQWWQVVJWEVSZVWLXEAYYJYWQUUV
      SWAWUMYYLVXDYWPUUVRYYLYWOYWBXWJUUXFYRWCVSYOUUVMYWEUUVQUUVSUUXTUUVMWWSWWQU
      UYNUUYJUUYPYDZUUVMOVPVXDUUVRAYYJOVPUUVRVQZWUMYYLUUWIAWVOYWBWWFVGZYIZUUYRU
      UWPYYLAWVOUUYSUUWJYYLAWVOUUWJWVQWEZYYLVXQWWFYWBYYLAXUOUUWJXVCWEZUUWPYAYGU
      UVJUUYTUUYRWGIYWBVXQXVDYWBWAZUUVIUUYTYVBUUYRUVUCXVEUUYSAWVOXVDYWBWWFWHYJU
      VUCOVPYUAUUVRXVDYWBXWJWBWJWKUUVLWNWLVSWUNWUMYYJWWBVOZVTZVWMXEYOUUVMUUVOYW
      EUUVTUUVMWUBUUVNAUUXGWUMYYJUUXHUVRZAYYJUUVNVPVGWUMUUXJVSZAYYJUUVNUTYSWUMU
      UXMVSZYDUUXTUUVMUUVQUUVSUUYQUVUEYKAYYJYWEUTYSWUMUUXNVSVWNUUVMUUWBUUVOWUJW
      WQVFURZUSURWUBWUJUSURZUUVNWWQUSURZVFURZWUKUUVMUUVTUVUIUUVOUSUUVMUUVTWWSUU
      VSUSURZWWQVFURZUVUIUUVMUVUNUUVTUUVMWWSUUVSWWQUUYNUVUEUUYJUUYPVWOYMUUVMUVU
      MWUJWWQVFUUVMWUJUVUMUUVMFPWUIUUVSCHUUVMCVICUUVSVJUUYKAYYJWVOWUMUVUAVSWUNW
      VCYYJWVEVOUUYMWVLVXDWUHUUVRWVLWUDYWBWUGXWJXWTVXEPWUCWBZVWPWCUVUEWMYMXJXEX
      FUUVMWUBUUVNWUJWWQUVUFUVUGUUVMVXCWUICUUVMWUQYYEYYDUUYKYYFYYGUVBUUVMUUYEVH
      OVPVXDWUHAYYJUUYEXUKWUMYYLUUYEVHZAWVHXUJXUKYYLAUUYEUUWJVOAUUYEWVHYYJAVXCH
      VXEYXRUUGVSYYLVXCWWFVXEWUCYYLVXCVXQWWFWUCUUWMUVUBVWRVVHXVLUWAYHUUVMWUMUUY
      EUVUDVOVTYBZUUYJUVUHUUYPVWSUUVMUVULUVUJWUFVFURZWUKWUKAYYJUVULUVURWAWUMYYL
      UVUKWUFUVUJVFYYLUVUKWWQUUVNUSURZWUFYYLUUVNWWQUUXJUUYIVWTYYLWUFUVUSYYLFPWU
      EUUVNCHYYLCVICUUVNVJUUYAUVUAYYLAWVCUUWJWVDWEUUYHWVLWUDYWBVEUVUOYRUUXJWMYM
      XEXFVSUUVMWUBWUJWUFUVUFUVUQAYYJWUFVPVGWUMYYLVXCWUECYYLAYYDUUWJYYHWEZUVUPW
      UEUVUPWUDUVUPVXQWPWUDUUYCUVUPUUYDXQYYLVXCVXQVXEWUCUUWMVVHYAXOZXPZYBVSAYYJ
      WUFUTYSWUMYYLVXCWUECUVUTUVVBUVUPWUEUVVAYCUVGVSVWOUUVMWUKVXAYQYQYQUYMXEYQW
      OYQ $.
  $}

  ${
    $d C c $.  $d D c d h j k l r t z $.  $d D c d j k l n r s t x z $.
    $d D c d h k l r t y $.  $d F k s $.  $d H c d h j k l r t z $.
    $d H c d j k l n r s t x z $.  $d H c d h l r t u y $.
    $d N c h j k l r t z $.  $d N c j k l n r s t x z $.
    $d S c d h j k l r t z $.  $d S c d j k l n r s t x z $.
    $d S c d h l r t u y $.  $d T c h j k l r t z $.
    $d T c j k l n r s t x z $.  $d X c h j k l r t z $.
    $d X c j k l n r s t x z $.  $d X c h k l r t y $.
    $d c h j k l ph r t z $.  $d n ph r s t x z $.  $d n r s t u x y $.
    dvnprodlem3.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvnprodlem3.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    dvnprodlem3.t $e |- ( ph -> T e. Fin ) $.
    dvnprodlem3.h $e |- ( ( ph /\ t e. T ) -> ( H ` t ) : X --> CC ) $.
    dvnprodlem3.n $e |- ( ph -> N e. NN0 ) $.
    dvnprodlem3.dvnh $e |- ( ( ph /\ t e. T /\ j e. ( 0 ... N ) ) -> ( ( S Dn (
       H ` t ) ) ` j ) : X --> CC ) $.
    dvnprodlem3.f $e |- F = ( x e. X |-> prod_ t e. T ( ( H ` t ) ` x ) ) $.
    dvnprodlem3.d $e |- D = ( s e. ~P T |-> ( n e. NN0 |-> { c e. ( ( 0 ... n )
       ^m s ) | sum_ t e. s ( c ` t ) = n } ) ) $.
    dvnprodlem3.c $e |- C = ( n e. NN0 |-> { c e. ( ( 0 ... n ) ^m T ) | sum_ t
       e. T ( c ` t ) = n } ) $.
    $( The multinomial formula for the ` k ` -th derivative of a finite
       product.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    dvnprodlem3 $p |- ( ph -> ( ( S Dn F ) ` N ) = ( x e. X |-> sum_ c e. ( C `
       N ) ( ( ( ! ` N ) / prod_ t e. T ( ! ` ( c ` t ) ) ) x. prod_ t e. T ( (
       ( S Dn ( H ` t ) ) ` ( c ` t ) ) ` x ) ) ) ) $=
      ( vk vr vz vy vu vd vh vl cdvn co cfv cfa cv cprod cdiv cmul csu cmpt cc0
      wceq cfz wral c0 csn prodeq1 mpteq2dv oveq2d fveq1d fveq2 sumeq1d oveq12d
      wcel sumeq2sdv eqtrd eqeq12d ralbidv eqcomd wi wa c1 prod0 oveq2i fveq12d
      a1i id adantl cc wss cr syl wf ax-mp mpbird cpw jca cvv wb syl2anc adantr
      crab cn0 cmap oveq2 sylib sylibr biimpi mpbir rabeq sumeq1 eqeq1d rabbidv
      0ex nn0ex mptex fvmptd3 eqeq2 fvmptd eqtr4d 3eqtrd oveq1d ad2antlr ax-1cn
      eqid sum0 eqidd wn adantll ad2antrr prodeq2ad cbvprodv cbvmptv simpr cmin
      fveq2d ad3antrrr w3a cun mpteq2i cpm cpr recnprss cdm fmpttd rgenw dmmptg
      1cnd 1re feq2d ccnfld ctopn crest restsspw sselid elpwi eqsstrd cnex dvn0
      elpm2g cif wal wfn elmapfn fn0 velsn f0 ovex eqeltrd impbii ax-gen dfcleq
      elmap 0elpw 0nn0 p0ex rabex snidg pm3.2i elrab n0ii wo rabrsn iftrue fac0
      mtpor 1div1e1 eqtri eqtrdi 1t1e1 sumeq2dv sumsn a1d fveq1i cn wne elfznn0
      mp2an elnnne0 dvnmptconst simpll pm2.65da ralrimiva rabeq0 adantlr eqtr2d
      neqne ex pm2.61dan ralrimiv cdif fveq1 cbvsumv eqeq12i ralbii cop simp-4l
      cres cfn simplll simp2 simp3 eleq1w 3anbi3d feq1d imbi12d chvarvv syl3anc
      3ad2ant1 simprl simprr eqcomi cbvralvw reseq1 opeq12d syl21anc findcard2d
      dvnprodlem2 cuz nn0uz eleqtrdi eluzfz2 rspccva pwidg ) ALFJUMUNZUOZBMLGEU
      OZUOZLUPUOZGCUQZOUQZUOZUPUOZCURZUSUNZGBUQZVUNFVULKUOZUMUNZUOZUOZCURZUTUNZ
      OVAZVBZBMLDUOZVVDOVAZVBAUEUQZVUGUOZBMVVIVUIUOZVVIUPUOZVUPUSUNZVVCUTUNZOVA
      ZVBZVDZUEVCLVEUNZVFZLVVRVPZVUHVVFVDZAVVIFBMNUQZVURVUSUOZCURZVBZUMUNZUOZBM
      VVIVWBEUOZUOZVVLVWBVUOCURZUSUNZVWBVVBCURZUTUNZOVAZVBZVDZUEVVRVFVVIFBMVGVW
      CCURZVBZUMUNZUOZBMVVIVGEUOZUOZVVLVGVUOCURZUSUNZVGVVBCURZUTUNZOVAZVBZVDZUE
      VVRVFVVIFBMUFUQZVWCCURZVBZUMUNZUOZBMVVIVXJEUOZUOZVVLVXJVUOCURZUSUNZVXJVVB
      CURZUTUNZOVAZVBZVDZUEVVRVFZVVIFBMVXJUGUQZVHUUAZVWCCURZVBZUMUNZUOZBMVVIVYF
      EUOZUOZVVLVYFVUOCURZUSUNZVYFVVBCURZUTUNZOVAZVBZVDZUEVVRVFZVVSNUFUGGVWBVGV
      DZVWPVXIUEVVRWUAVWGVWTVWOVXHWUAVVIVWFVWSWUAVWEVWRFUMWUABMVWDVWQVWBVGVWCCV
      IVJVKVLWUABMVWNVXGWUAVWNVXBVWMOVAVXGWUAVWIVXBVWMOWUAVVIVWHVXAVWBVGEVMVLVN
      WUAVXBVWMVXFOWUAVWKVXDVWLVXEUTWUAVWJVXCVVLUSVWBVGVUOCVIVKVWBVGVVBCVIVOVQV
      RVJVSVTVWBVXJVDZVWPVYCUEVVRWUBVWGVXNVWOVYBWUBVVIVWFVXMWUBVWEVXLFUMWUBBMVW
      DVXKVWBVXJVWCCVIVJVKVLWUBBMVWNVYAWUBVWNVXPVWMOVAVYAWUBVWIVXPVWMOWUBVVIVWH
      VXOVWBVXJEVMVLVNWUBVXPVWMVXTOWUBVWKVXRVWLVXSUTWUBVWJVXQVVLUSVWBVXJVUOCVIV
      KVWBVXJVVBCVIVOVQVRVJVSVTVWBVYFVDZVWPVYSUEVVRWUCVWGVYJVWOVYRWUCVVIVWFVYIW
      UCVWEVYHFUMWUCBMVWDVYGVWBVYFVWCCVIVJVKVLWUCBMVWNVYQWUCVWNVYLVWMOVAVYQWUCV
      WIVYLVWMOWUCVVIVWHVYKVWBVYFEVMVLVNWUCVYLVWMVYPOWUCVWKVYNVWLVYOUTWUCVWJVYM
      VVLUSVWBVYFVUOCVIVKVWBVYFVVBCVIVOVQVRVJVSVTVWBGVDZVWPVVQUEVVRWUDVWGVVJVWO
      VVPWUDVVIVWFVUGWUDVWEJFUMWUDVWEBMGVWCCURZVBZJWUDBMVWDWUEVWBGVWCCVIVJWUDJW
      UFJWUFVDWUDUBWHWAVRVKVLWUDBMVWNVVOWUDVWNVVKVWMOVAVVOWUDVWIVVKVWMOWUDVVIVW
      HVUIVWBGEVMVLVNWUDVVKVWMVVNOWUDVWKVVMVWLVVCUTWUDVWJVUPVVLUSVWBGVUOCVIVKVW
      BGVVBCVIVOVQVRVJVSVTAVXIUEVVRAVVIVCVDZVVIVVRVPZVXIWBAWUGWCZVXIWUHWUIVWTVC
      FBMWDVBZUMUNZUOZWUJVXHWUGVWTWULVDAWUGVVIVCVWSWUKVWSWUKVDWUGVWRWUJFUMBMVWQ
      WDVWCCWEUUBWFZWHWUGWIWGWJAWULWUJVDZWUGAFWKWLZWUJWKFUUCUNVPZWUNAFWMWKUUDZV
      PZWUOPFUUEWNAWUPWUJUUFZWKWUJWOZWUSFWLZWCZAWUTWVAAWUTMWKWUJWOABMWDWKAVURMV
      PWCUUJUUGAWUSMWKWUJWUSMVDZAWDWMVPZBMVFWVCWVDBMUUKUUHBMWDWMUUIWPWHZUULWQAW
      USMFWVEAMFWRZVPMFWLAUUMUUNUOZFUUOUNZWVFMFWVGUUPQUUQMFUURWNUUSWSAWKWTVPZWU
      RWUPWVBXAWVIAUUTWHPWKFWUJWTWUQUVBXBWQFWUJUVAXBXCWUIVXHWUJWUIBMVXGWDWUIVXG
      VGVHZVXFOVAWVJWDOVAZWDWUIVXBWVJVXFOWUIVXBWUGWVJVGUVCZWVJWUIVXBVCVXAUOZVGV
      UNCVAZVCVDZOWVJXDZWVLWUGVXBWVMVDAVVIVCVXAVMWJAWVMWVPVDWUGAIVCWVNIUQZVDZOW
      VJXDZWVPXEVXAWTANVGIXEVWBVUNCVAZWVQVDZOVCWVQVEUNZVWBXFUNZXDZVBZIXEWVSVBZG
      WRZEWTUCWUAIXEWWDWVSWUAWWDWWAOWVJXDZWVSWUAWWCWVJVDWWDWWHVDWUAWWCWWBVGXFUN
      ZWVJVWBVGWWBXFXGWWIWVJVDZWUAWWJVURWWIVPZVURWVJVPZXAZBUVDWWMBWWKWWLWWKVURV
      GVDZWWLWWKVURVGUVEWWNVURWWBVGUVFVURUVGXHBVGUVHZXIWWLWWNWWKWWLWWNWWOXJWWNV
      URVGWWIWWNWIVGWWIVPZWWNWWPVGWWBVGWOWWBUVIWWBVGVGVCWVQVEUVJXPUVOXKWHUVKWNU
      VLUVMBWWIWVJUVNXKWHVRWWAOWWCWVJXLWNWUAWWAWVROWVJWUAWVTWVNWVQVWBVGVUNCXMXN
      XOVRVJVGWWGVPAGUVPWHWWFWTVPAIXEWVSXQXRWHXSZWVQVCVDZWVSWVPVDAWWRWVRWVOOWVJ
      WVQVCWVNXTXOWJVCXEVPAUVQWHWVPWTVPAWVOOWVJUVRUVSWHYAXCWUIWVPWVJWVLWVPWVJVD
      ZWUIWVPVGVDZWWSVGWVPVGWVPVPVGWVJVPZVCVCVDZWCWXAWXBVGWTVPZWXAXPVGWTUVTWPVC
      YGUWAWVOWXBOVGWVJVUMVGVDZWVNVCVCWVOWXDVUNCYHZWHXNUWBXKUWCWVPWVPVDWWTWWSUW
      DWVPYGWVOOVGWVPUWEWPUWHWHWUGWVLWVJVDAWUGWVJVGUWFWJZYBYCWXFVRVNWUIWVJVXFWD
      OWUIVUMWVJVPZWCZVXFWDWDUTUNZWDWUGVXFWXIVDAWXGWUGVXDWDVXEWDUTWUGVXDWDVXCUS
      UNZWDWUGVVLWDVXCUSWUGVVLVCUPUOZWDVVIVCUPVMWXKWDVDWUGUWGWHVRYDWXJWDWDUSUNW
      DVXCWDWDUSVUOCWEWFUWIUWJUWKVXEWDVDWUGVVBCWEWHVOYEWXIWDVDWXHUWLWHVRUWMWVKW
      DVDZWUIWXCWDWKVPZWXLXPYFWDWDOVGWTWXDWDYIUWNUWTWHYCVJWAYCUWOAWUGYJZWCZWUHV
      XIWXOWUHWCZVWTVVIWUKUOZBMVCVBVXHVWTWXQVDWXPVVIVWSWUKWUMUWPWHWXPBWDFVVIMWX
      OWURWUHAWURWXNPXCXCWXOMWVHVPZWUHAWXRWXNQXCXCWXMWXPYFWHWXNWUHVVIUWQVPZAWXN
      WUHWCZVVIXEVPZVVIVCUWRZWCWXSWXTWYAWYBWUHWYAWXNVVILUWSZWJWXNWYBWUHVVIVCUXI
      XCWSVVIUXAXIYKUXBWXPBMVCVXGWXPVXGVGVXFOVAZVCWXPVXBVGVXFOWXPIVVIWVSVGXEVXA
      WTAVXAWWFVDWXNWUHWWQYLWXOWVQVVIVDZWVSVGVDZWUHWXNWYEWYFAWXNWYEWCWVSWVNVVIV
      DZOWVJXDZVGWYEWVSWYHVDWXNWYEWVRWYGOWVJWVQVVIWVNXTXOWJWXNWYHVGVDZWYEWXNWYG
      YJZOWVJVFWYIWXNWYJOWVJWXNWXGWCWYGWUGWXGWYGWUGWXNWYGWUGWXGWYGVVIVVIWVNVCWY
      GVVIYIWYGWVNVVIWYGWIWAWVOWYGWXEWHYCWJYKWXNWXGWYGUXCUXDUXEWYGOWVJUXFXIXCVR
      YKUXGWUHWYAWXOWYCWJWXCWXPXPWHYAVNWYDVCVDWXPVXFOYHWHUXHVJYCUXJUXKUXLAVXJGW
      LZVYEGVXJUXMVPZWCZWCZVYDVYTWYNVYDWCZHUQZVYIUOZBMWYPVYKUOZWYPUPUOZVYMUSUNZ
      VYOUTUNZOVAZVBZVDZHVVRVFVYTWYOXUDHVVRWYOWYPVVRVPZWCWYNVVIFUHMVXJUHUQZUIUQ
      ZKUOZUOZUIURZVBZUMUNZUOZUHMVXPVVLVXJXUGUJUQZUOZUPUOZUIURZUSUNZVXJXUFXUOFX
      UHUMUNZUOZUOZUIURZUTUNZUJVAZVBZVDZUEVVRVFZXUEXUDWYNVYDXUEUXCVYDXVGWYNXUEV
      YDXVGVYCXVFUEVVRVXNXUMVYBXVEVVIVXMXULVXLXUKFUMBUHMVXKXUJVURXUFVDZVXKVXJXU
      FVUSUOZCURZXUJXVHVXJVWCXVICVURXUFVUSVMYMXVJXUJVDXVHVXJXVIXUICUIVULXUGVDZX
      UFVUSXUHVULXUGKVMZVLYNWHVRYOWFZUWPBUHMVYAXVDXVHVYAVXPVVLVXJXUGVUMUOZUPUOZ
      UIURZUSUNZVXJXUFXVNXUSUOZUOZUIURZUTUNZOVAZXVDXVHVXPVXTXWAOXVHVXRXVQVXSXVT
      UTVXRXVQVDXVHVXQXVPVVLUSVXJVUOXVOCUIXVKVUNXVNUPVULXUGVUMVMZYRYNWFWHXVHVXS
      VXJXUFVVAUOZCURZXVTXVHVXJVVBXWDCVURXUFVVAVMYMXWEXVTVDXVHVXJXWDXVSCUIXVKXU
      FVVAXVRXVKVUNXVNVUTXUSXVKVUSXUHFUMXVLVKXWCWGVLYNWHVRVOVQXWBXVDVDXVHVXPXWA
      XVCOUJVUMXUNVDZXVQXURXVTXVBUTXWFXVPXUQVVLUSXWFVXJXVOXUPUIXWFXVNXUOUPXUGVU
      MXUNUXNZYRYMVKXWFVXJXVSXVAUIXWFXUFXVRXUTXWFXVNXUOXUSXWGYRVLYMVOUXOWHVRYOZ
      UXPUXQXJYEWYOXUEYPWYNXVGWCZXUEWCZBCEUJWYRWYPVYEXUNUOZYQUNZXUNVXJUXTZUXRZV
      BVXJFGUKULIKWYPLMVYENOAWURWYMXVGXUEPYSAWXRWYMXVGXUEQYSAGUYAVPZWYMXVGXUERY
      SXWJVULGVPZWCAXWPMWKVUSWOAWYMXVGXUEXWPUXSXWJXWPYPSXBALXEVPWYMXVGXUETYSXWJ
      XWPUKUQZVVRVPZYTAXWPXWRMWKXWQVUTUOZWOZXWJXWPAXWRAWYMXVGXUEUYBUYKXWJXWPXWR
      UYCXWJXWPXWRUYDAXWPXUEYTZMWKWYPVUTUOZWOZWBAXWPXWRYTZXWTWBHUKWYPXWQVDZXXAX
      XDXXCXWTXXEXUEXWRAXWPHUKVVRUYEUYFXXEMWKXXBXWSWYPXWQVUTVMUYGUYHUAUYIUYJUCW
      YNWYKXVGXUEAWYKWYLUYLYLWYNWYLXVGXUEAWYKWYLUYMYLXVGULUQZVXMUOZBMXXFVXOUOZX
      XFUPUOZVXQUSUNZVXSUTUNZOVAZVBZVDZULVVRVFZWYNXUEXVGXXOXVFXXNUEULVVRVVIXXFV
      DZXUMXXGXVEXXMXXPVVIXXFXULVXMXULVXMVDXXPVXMXULXVMUYNWHXXPWIWGXXPXVEVYBXXM
      XVEVYBVDXXPVYBXVEXWHUYNWHXXPBMVYAXXLXXPVYAVXPXXKOVAXXLXXPVXPVXTXXKOXXPVXR
      XXJVXSUTXXPVVLXXIVXQUSVVIXXFUPVMYDYDVQXXPVXPXXHXXKOVVIXXFVXOVMVNVRVJVRVSU
      YOXJYEXWIXUEYPUJOWYRXWNWYPVYEVUMUOZYQUNZVUMVXJUXTZUXRXUNVUMVDZXWLXXRXWMXX
      SXXTXWKXXQWYPYQVYEXUNVUMUXNVKXUNVUMVXJUYPUYQYOUYTUYRUXEXUDVYSHUEVVRWYPVVI
      VDZWYQVYJXUCVYRWYPVVIVYIVMXYABMXUBVYQXYAXUBWYRVYPOVAVYQXYAWYRXUAVYPOXYAWY
      TVYNVYOUTXYAWYSVVLVYMUSWYPVVIUPVMYDYDVQXYAWYRVYLVYPOWYPVVIVYKVMVNVRVJVSUY
      OXHUXJRUYSALVCVUAUOZVPVVTALXEXYBTVUBVUCVCLVUDWNVVQVWAUELVVRVVILVDZVVJVUHV
      VPVVFVVILVUGVMXYCBMVVOVVEXYCVVOVUJVVNOVAVVEXYCVVKVUJVVNOVVILVUIVMVNXYCVUJ
      VVNVVDOXYCVVMVUQVVCUTXYCVVLVUKVUPUSVVILUPVMYDYDVQVRVJVSVUEXBABMVVEVVHAVUJ
      VVGVVDOALVUIDAVUIIXEGVUNCVAZWVQVDZOWWBGXFUNZXDZVBZDANGWWEXYHWWGEWTUCWUDIX
      EWWDXYGWUDWWDWWAOXYFXDZXYGWUDWWCXYFVDWWDXYIVDVWBGWWBXFXGWWAOWWCXYFXLWNWUD
      WWAXYEOXYFWUDWVTXYDWVQVWBGVUNCXMXNXOVRVJAXWOGWWGVPRGUYAVUFWNXYHWTVPAIXEXY
      GXQXRWHXSDXYHVDAUDWHYBVLVNVJVR $.
  $}

  ${
    $d C c e $.  $d F s $.  $d H c e n t x $.  $d H e k n s t x $.
    $d N c e n t x $.  $d N e k n s t x $.  $d S c e n t x $.
    $d S e k n s t x $.  $d T c e n t x $.  $d T e k n r s t x $.
    $d X e k n s t x $.  $d d e k m n r s t x $.  $d d e k n r s t u x $.
    $d e k n ph s t x $.
    dvnprod.s $e |- ( ph -> S e. { RR , CC } ) $.
    dvnprod.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    dvnprod.t $e |- ( ph -> T e. Fin ) $.
    dvnprod.h $e |- ( ( ph /\ t e. T ) -> ( H ` t ) : X --> CC ) $.
    dvnprod.n $e |- ( ph -> N e. NN0 ) $.
    dvnprod.dvnh $e |- ( ( ph /\ t e. T /\ k e. ( 0 ... N ) ) -> ( ( S Dn ( H `
       t ) ) ` k ) : X --> CC ) $.
    dvnprod.f $e |- F = ( x e. X |-> prod_ t e. T ( ( H ` t ) ` x ) ) $.
    dvnprod.c $e |- C = ( n e. NN0 |-> { c e. ( ( 0 ... n ) ^m T ) | sum_ t e.
       T ( c ` t ) = n } ) $.
    $( The multinomial formula for the ` N ` -th derivative of a finite
       product.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    dvnprod $p |- ( ph -> ( ( S Dn F ) ` N ) = ( x e. X |-> sum_ c e. ( C ` N )
       ( ( ( ! ` N ) / prod_ t e. T ( ! ` ( c ` t ) ) ) x. prod_ t e. T ( ( ( S
       Dn ( H ` t ) ) ` ( c ` t ) ) ` x ) ) ) ) $=
      ( ve vr vm vu vd vs cdvn co cfv cfa cprod cdiv cmul csu cmpt cpw cn0 wceq
      cv cc0 cfz cmap crab fveq2 cbvsumv eqeq1i rabbii sumeq2sdv eqeq1d cbvrabv
      fveq1 eqtri mpteq2i eqeq2 rabbidv oveq2 oveq1d rabeq eqtrd cbvmptv sumeq1
      syl mpteq2dv dvnprodlem3 fveq2d prodeq2ad oveq2d fveq1d oveq12d eqid a1i
      ) AKEIUHUIUJBLKDUJZKUKUJZFCUTZUBUTZUJZUKUJZCULZUMUIZFBUTZWQEWOJUJUHUIZUJZ
      UJZCULZUNUIZUBUOZUPZBLWMWNFWOMUTZUJZUKUJZCULZUMUIZFXAXJXBUJZUJZCULZUNUIZM
      UOZUPZABCDUCFUQZUDURUCUTZUEUTZUFUTZUJZUEUOZUDUTZUSZUFVAYFVBUIZYAVCUIZVDZU
      PZUPZEFGHIJKLUGUBNOPQRSTYLUCXTHURYAWQCUOZHUTZUSZUBVAYNVBUIZYAVCUIZVDZUPZU
      PUGXTHURUGUTZWQCUOZYNUSZUBYPYTVCUIZVDZUPZUPUCXTYKYSYKUDURYMYFUSZUBYIVDZUP
      YSUDURYJUUGYJYAWOYCUJZCUOZYFUSZUFYIVDUUGYGUUJUFYIYEUUIYFYAYDUUHUECYBWOYCV
      EVFVGVHUUJUUFUFUBYIYCWPUSZUUIYMYFUUKYAUUHWQCWOYCWPVLVIVJVKVMVNUDHURUUGYRY
      FYNUSZUUGYOUBYIVDZYRUULUUFYOUBYIYFYNYMVOVPUULYIYQUSUUMYRUSUULYHYPYAVCYFYN
      VAVBVQVRYOUBYIYQVSWCVTWAVMVNUCUGXTYSUUEYAYTUSZHURYRUUDUUNYRUUBUBYQVDZUUDU
      UNYOUUBUBYQUUNYMUUAYNYAYTWQCWBVJVPUUNYQUUCUSUUOUUDUSYAYTYPVCVQUUBUBYQUUCV
      SWCVTWDWAVMDHURFXJCUOZYNUSZMYPFVCUIZVDZUPHURFWQCUOZYNUSZUBUURVDZUPUAHURUU
      SUVBUUQUVAMUBUURXIWPUSZUUPUUTYNUVCFXJWQCWOXIWPVLVIVJVKVNVMWEXHXSUSABLXGXR
      XGXRXRWMXFXQUBMWPXIUSZWTXMXEXPUNUVDWSXLWNUMUVDFWRXKCUVDWQXJUKWOWPXIVLZWFW
      GWHUVDFXDXOCUVDXAXCXNUVDWQXJXBUVEWFWIWGWJVFXRWKVMVNWLVT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Integrals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d t x $.  $d C x $.
    itgsin0pilem1.1 $e |- C = ( t e. ( 0 [,] _pi ) |-> -u ( cos ` t ) ) $.
    $( Calculation of the integral for sine on the (0,&pi;) interval.
       (Contributed by Glauco Siliprandi, 29-Jun-2017.) $)
    itgsin0pilem1 $p |- S. ( 0 (,) _pi ) ( sin ` x ) _d x = 2 $=
      ( cc0 cpi co cfv c1 cneg cr cdv wceq wtru wcel cmpt ccos cc wss a1i cv c2
      cioo csin citg cmin cicc fveq2 negeqd cbvmptv eqtri oveq2i crn ctg ccnfld
      ctopn ax-resscn 0re pire iccssre mp2an wa sstri coscld adantl negcld eqid
      sseli tgioo2 cnt iccntr dvmptntr mptru cpr reelprrecn recn sincld dvcosre
      dvmptneg negnegd mpteq2ia eqtrdi iooretop dvmptres 3eqtri fveq1i itgeq2dv
      ioossre fvmpt2 mpdan syl5eq cle wbr pipos ltleii ccncf cncfmptss eqeltrid
      nfcv sincn cibl ioossicc cvol ioombl cniccibl mp3an syl2anc eqcomd nfmpt1
      cdm iblss coscn negfcncf ax-mp eqeltri ftc2 eqtr3i cxr rexri ubicc2 cospi
      0xr ax-1cn eqtrd 1ex fvmpt lbicc2 negex cos0 negeqi oveq12i caddc subnegi
      1p1e2 ) AEFUCGZAUAZUDHZUEZFCHZECHZUFGZIIJZUFGZUBAYOYPKCLGZHZUEZYRUUAUUFYR
      MNAYOUUEYQYPYOOZUUEYQMNUUGUUEYPAYOYQPZHZYQYPUUDUUHUUDKAEFUGGZYPQHZJZPZLGZ
      KAYOUULPLGZUUHCUUMKLCBUUJBUAZQHZJZPUUMDBAUUJUURUULUUPYPMUUQUUKUUPYPQUHUIU
      JUKZULUUNUUOMNAUULKUCUMUNHZUOUPHZUUJYOKRSNUQTUUJKSZNEKOZFKOZUVBURUSEFUTVA
      ZTNYPUUJOZVBUUKUVFUUKROZNUVFYPUUJRYPUUJKRUVEUQVCZVHZVDZVEVFUVAUVAVGZVIZUV
      KUUJUUTVJHHYOMZNUVCUVDUVMURUSEFVKVATVLVMUUOUUHMNAUULYQKUUTUVARKYOKKRVNONV
      OTZNYPKOZVBUUKUVOUVGNUVOYPYPVPZVDVEZVFUVOYQROZNUVOYPUVPVQZVENKAKUULPLGAKY
      QJZJZPAKYQPNAUUKUVTKRKUVNUVQUVOUVTRONUVOYQUVSVFVEKAKUUKPLGAKUVTPMNAVRTVSA
      KUWAYQUVOYQUVSVTWAWBYOKSNEFWHZTUVLUVKYOUUTONEFWCTWDVMWEZWFUUGUVRUUIYQMUUG
      YPYORYPYOKRUWBUQVCZVHVQAYOYQRUUHUUHVGWIWJWKVEWGVMUUFUUAMNAEFCUVCNURTUVDNU
      STEFWLWMZNEFURUSWNWOZTNUUDUUHYORWPGUWCNARRYOUDAUDWSZUDRRWPGZONWTTZYORSNUW
      DTWQWRNUUDUUHXAUWCNAYOUUJYQRYOUUJSNEFXBTYOXCXJONEFXDTUVFUVRNUVFYPUVIVQVEA
      UUJYQPZXAOZNUVCUVDUWJUUJRWPGZOZUWKURUSUWMNARRUUJUDUWGUWIUUJRSNUVHTZWQVMEF
      UWJXEXFTXKWRCUWLONCUUMUWLUUSUUMAUUJYPARUULPZHZPZUWLAUUJUULUWPUVFUWPUULUVF
      YPROUULROUWPUULMUVIUVFUUKUVJVFARUULRUWOUWOVGZWIXGXHWAUWQUWLONARRUUJUWOARU
      ULXIUWOUWHOZNQUWHOUWSXLARQUWOUWRXMXNTUWNWQVMXOXOTXPVMXQYSIYTUUBUFFUUJOZYS
      IMEXROZFXROZUWEUWTYBFUSXSZUWFEFXTXFBFUURIUUJCUUPFMZUURUUBJIUXDUUQUUBUXDUU
      QFQHUUBUUPFQUHYAWBUIUXDIIROUXDYCTVTYDDYEYFXNYTEQHZJZUUBEUUJOZYTUXFMUXAUXB
      UWEUXGYBUXCUWFEFYGXFBEUURUXFUUJCUUPEMUUQUXEUUPEQUHUIDUXEYHYFXNUXEIYIYJUKY
      KUUCIIYLGUBIIYCYCYMYNUKWE $.
  $}

  ${
    $d A x $.  $d B x $.  $d N x $.
    $( sin^n on a closed interval is integrable.  (Contributed by Glauco
       Siliprandi, 29-Jun-2017.) $)
    ibliccsinexp $p |- ( ( A e. RR /\ B e. RR /\ N e. NN0 ) ->
      ( x e. ( A [,] B ) |-> ( ( sin ` x ) ^ N ) ) e. L^1 ) $=
      ( cr wcel cn0 cicc co cv csin cfv cexp cmpt cc ccncf cibl w3a wa wceq a1i
      iccssre ax-resscn sstrdi sselda 3adantl3 sincld simpl3 expcld eqid fvmpt2
      syl2anc eqcomd mpteq2dva nfmpt1 sincn simp3 expcnfg wss 3adant3 cncfmptss
      nfcv eqeltrd cniccibl syld3an3 ) BEFZCEFZDGFZABCHIZAJZKLZDMIZNZVIOPIZFVMQ
      FVFVGVHRZVMAVIVJAOVLNZLZNVNVOAVIVLVQVOVJVIFZSZVQVLVSVJOFZVLOFVQVLTVFVGVRV
      TVHVFVGSZVIOVJWAVIEOBCUBUCUDZUEUFZVSVKDVSVJWCUGVFVGVHVRUHUIAOVLOVPVPUJUKU
      LUMUNVOAOOVIVPAOVLUOVOAOKDAKVBKOOPIFVOUPUAVFVGVHUQURVFVGVIOUSVHWBUTVAVCBC
      VMVDVE $.
  $}

  ${
    $d t x $.
    $( Calculation of the integral for sine on the (0,&pi;) interval.
       (Contributed by Glauco Siliprandi, 29-Jun-2017.) $)
    itgsin0pi $p |- S. ( 0 (,) _pi ) ( sin ` x ) _d x = 2 $=
      ( vt cc0 cpi cicc co cv ccos cfv cneg cmpt eqid itgsin0pilem1 ) ABBCDEFBG
      HIJKZNLM $.
  $}

  ${
    $d A x $.  $d B x $.  $d N x $.
    $( sin^n on an open integral is integrable.  (Contributed by Glauco
       Siliprandi, 29-Jun-2017.) $)
    iblioosinexp $p |- ( ( A e. RR /\ B e. RR /\ N e. NN0 ) ->
      ( x e. ( A (,) B ) |-> ( ( sin ` x ) ^ N ) ) e. L^1 ) $=
      ( cr wcel cn0 w3a cioo co cicc cv csin cfv cexp cc wss ioossicc a1i wa
      cvol ioombl iccssre ax-resscn sstrdi sselda 3adantl3 sincld simpl3 expcld
      cdm ibliccsinexp iblss ) BEFZCEFZDGFZHZABCIJZBCKJZALZMNZDOJPURUSQUQBCRSUR
      UAUKFUQBCUBSUQUTUSFZTZVADVCUTUNUOVBUTPFUPUNUOTZUSPUTVDUSEPBCUCUDUEUFUGUHU
      NUOUPVBUIUJABCDULUM $.
  $}

  ${
    $d x N $.  $d x ph $.
    itgsinexplem1.1 $e |- F = ( x e. CC |-> ( ( sin ` x ) ^ N ) ) $.
    itgsinexplem1.2 $e |- G = ( x e. CC |-> -u ( cos ` x ) ) $.
    itgsinexplem1.3 $e |- H = ( x e. CC |-> ( ( N x. ( ( sin ` x ) ^
      ( N - 1 ) ) ) x. ( cos ` x ) ) ) $.
    itgsinexplem1.4 $e
      |- I = ( x e. CC |-> ( ( ( sin ` x ) ^ N ) x. ( sin ` x ) ) ) $.
    itgsinexplem1.5 $e
      |- L = ( x e. CC |-> ( ( ( N x. ( ( sin ` x ) ^ ( N - 1 ) ) ) x.
      ( cos ` x ) ) x. -u ( cos ` x ) ) ) $.
    itgsinexplem1.6 $e |- M = ( x e. CC |-> ( ( ( cos ` x ) ^ 2 ) x.
       ( ( sin ` x ) ^ ( N - 1 ) ) ) ) $.
    itgsinexplem1.7 $e |- ( ph -> N e. NN ) $.
    $( Integration by parts is applied to integrate sin^(N+1).  (Contributed by
       Glauco Siliprandi, 29-Jun-2017.) $)
    itgsinexplem1 $p |- ( ph -> S. ( 0 (,) _pi ) ( ( ( sin ` x ) ^ N ) x.
      ( sin ` x ) ) _d x = ( N x. S. ( 0 (,) _pi ) ( ( ( cos ` x ) ^ 2 ) x.
      ( ( sin ` x ) ^ ( N - 1 ) ) ) _d x ) ) $=
      ( cc0 co cr cc cpi cioo cv csin cexp cmul citg cneg ccos c2 c1 cmin 0m0e0
      cfv oveq1i wcel 0re a1i pire cle wbr pipos ltleii cicc cmpt ccncf wa wceq
      wss pm3.2i ax-mp ax-resscn sstri sseli adantl sincld nnnn0d adantr expcld
      iccssre fvmpt2 syl2anc eqcomd mpteq2dva nfmpt1 nfcxfr nfcv sincn eqeltrid
      cn0 expcnfg cncfmptss eqeltrd coscld negcld coscn negfcncf syl constcncfg
      ssidd cn nnm1nn0 mulcncf cosf feqmptd eqeltrrdi ioosscn mulcld cncfmptssg
      nncnd wf ioossicc cdm cibl cniccibl syl3anc iblss eqid cdv oveq2i reseq1i
      cres resmpt eqtri eqtrdi dvmptres2 negnegd eqtrd fveq2 oveq1d id eqeltrdi
      0expd mul02d mulassd oveq2d sqcld 3eqtrd negeqd mulneg1d cvol ioombl sinf
      crn ctg ccnfld ctopn cpr reelprrecn recn sincl fmptd wi wal cvv crab elex
      rabid sylanbrc dmmpt eleqtrrdi alrimiv nfdm dfss2f dvsinexp 3eqtr4g dmeqd
      sylibr sseqtrrd dvres3 syl22anc reseq1d 3eqtr3d tgioo2 cnt iccntr dvcosre
      dvmptneg sin0 0cn coscl sinpi picn itgparts df-neg 3eqtr4a sqval mulneg2d
      ex mulcomd 3eqtr4d itgeq2dv 2nn0 itgmulc2 eqtr4d itgcl ) ABQUAUBRZBUCZUDU
      NZIUERZUWSUFRZUGZIUHZBUWQUWRUIUNZUJUERZUWSIUKULRZUERZUFRZUGZUFRZUHZIUXIUF
      RZUHZUHUXLAUXBBUWQIUXGUFRZUXDUFRZUXDUHZUFRZUGZUHZUXKAQQULRZUXRULRQUXRULRZ
      UXBUXSUXTQUXRULUMUOABUWTUXOUXPUWSQQQUAQSUPZAUQURZUASUPZAUSURZQUAUTVAAQUAU
      QUSVBVCURABQUAVDRZUWTVEBUYFUWRCUNZVEUYFTVFRZABUYFUWTUYGAUWRUYFUPZVGZUYGUW
      TUYJUWRTUPZUWTTUPUYGUWTVHUYIUYKAUYFTUWRUYFSTUYBUYDVGZUYFSVIZUYBUYDUQUSVJZ
      QUAVTVKZVLVMZVNZVOZUYJUWSIUYIUWSTUPZAUYIUWRUYQVPVOZAIWJUPZUYIAIPVQZVRVSZB
      TUWTTCJWAWBWCWDABTTUYFCBCBTUWTVEZJBTUWTWEWFACVUDTTVFRZJABTUDIBUDWGZUDVUEU
      PAWHURZVUBWKZWIUYFTVIAUYPURZWLWMABUYFUXPVEBUYFUWRDUNZVEUYHABUYFUXPVUJUYIU
      XPVUJVHAUYIVUJUXPUYIUYKUXPTUPZVUJUXPVHUYQUYIUXDUYIUWRUYQWNZWOZBTUXPTDKWAW
      BWCVOWDABTTUYFDBDBTUXPVEZKBTUXPWEWFAUIVUEUPZDVUEUPVUOAWPURZBTUIDKWQWRVUIW
      LWMABTTUWQTUXOELAEBTUXOVEZVUELABUXNUXDTABIUXGTABTITATWTZAIPXJZVURWSABTUDU
      XFVUFVUGAIXAUPZUXFWJUPZPIXBWRZWKZXCABTUXDVEUIVUEABTTUITTUIXKAXDURXEWPXFXC
      ZWIUWQTVIAQUAXGZURZVURAUWRUWQUPZVGZUXNUXDVVHIUXGAITUPZVVGVUSVRZVVHUWSUXFV
      VGUYSAVVGUWRUWQTUWRVVEVNZVPVOAVVAVVGVVBVRVSZXHZVVGUXDTUPZAVVGUWRVVKWNZVOZ
      XHZXIABTTUWQUDVUFVUGVVFWLABUWQUYFUXATUWQUYFVIAQUAXLURZUWQUUAXMUPAQUAUUBUR
      ZUYJUWTUWSVUCUYTXHZAUYBUYDBUYFUXAVEZUYHUPVWAXNUPUYCUYEAVWABUYFUWRFUNZVEUY
      HABUYFUXAVWBUYJVWBUXAUYJUYKUXATUPVWBUXAVHUYRVVTBTUXATFMWAWBWCWDABTTUYFFBF
      BTUXAVEZMBTUXAWEWFAFVWCVUEMABUWTUWSTVUHABTUWSVEUDVUEABTTUDTTUDXKAUUCURXEW
      HXFXCWIVUIWLWMQUAVWAXOXPXQABUWQUYFUXQTVVRVVSUYJUXOUXPUYJUXNUXDUYJIUXGAVVI
      UYIVUSVRUYJUWSUXFUYTAVVAUYIVVBVRVSZXHUYIVVNAVULVOXHUYIVUKAVUMVOXHZAUYBUYD
      BUYFUXQVEZUYHUPVWFXNUPUYCUYEABTTUYFTUXQGNAGBTUXQVEVUENABUXOUXPTVVDAVUOVUN
      VUEUPVUPBTUIVUNVUNXRWQWRXCWIVUIVURVWEXIQUAVWFXOXPXQABUWTUXOSUBUUDUUEUNZUU
      FUUGUNZTSUWQUYFSSTUUHUPZAUUIURZAUWRSUPZVGZUWSIVWKUYSAVWKUWRUWRUUJZVPZVOZA
      VUAVWKVUBVRVSVWLUXNUXDVWLIUXGAVVIVWKVUSVRVWLUWSUXFVWOAVVAVWKVVBVRVSXHVWKV
      VNAVWKUWRVWMWNZVOZXHZASCSYBZXSRZTCXSRZSYBZSBSUWTVEZXSRZBSUXOVEZAVWITTCXKT
      TVISVXAXMZVIVWTVXBVHVWJABTUWTTCAUYKVGUWSIUYKUYSAUWRUUKVOAVUAUYKVUBVRVSJUU
      LVURASEXMZVXFAVWKUWRVXGUPZUUMZBUUNSVXGVIAVXIBAVWKVXHVWLUWRUXOUUOUPZBTUUPZ
      VXGVWLUYKVXJUWRVXKUPVWKUYKAVWMVOVWLUXOTUPVXJVWRUXOTUUQWRVXJBTUURUUSBTUXOE
      LUUTUVAUWIUVBBSVXGBSWGBEBEVUQLBTUXOWEWFUVCUVDUVHAVXAEATVUDXSRVUQVXAEABIPU
      VECVUDTXSJXTLUVFZUVGUVITSCUVJUVKVWTVXDVHAVWSVXCSXSVWSVUDSYBZVXCCVUDSJYAST
      VIZVXMVXCVHVLBTSUWTYCVKYDXTURAVXBESYBZVXEAVXAESVXLUVLVXOVUQSYBZVXEEVUQSLY
      AVXNVXPVXEVHVLBTSUXOYCVKYDYEUVMUYMAUYOURZVWHVWHXRZUVNZVXRAUYLUYFVWGUVOUNU
      NUWQVHUYLAUYNURQUAUVPWRZYFABUXPUWSSVWGVWHTSUWQUYFVWJVWKVUKAVWKUXDVWPWOVOV
      WOASBSUXPVEXSRBSUWSUHZUHZVEBSUWSVEABUXDVYASTSVWJVWQVWKVYATUPAVWKUWSVWNWOV
      OSBSUXDVEXSRBSVYAVEVHABUVQURUVRABSVYBUWSVWKVYBUWSVHAVWKUWSVWNYGVOWDYHVXQV
      XSVXRVXTYFAUWRQVHZVGZUWTUXPUFRZQUXPUFRZQVYDUWTQUXPUFVYDUWTQIUERZQVYCUWTVY
      GVHZAVYCUWSQIUEVYCUWSQUDUNQUWRQUDYIUVSYEYJVOVYDIAVUTVYCPVRYMYHYJVYDUXPVYC
      VUKAVYCUYKVUKVYCUWRQTVYCYKUVTYLUYKUXDUWRUWAWOWRVOYNYHAUWRUAVHZVGZVYEVYFQV
      YJUWTQUXPUFVYJUWTVYGQVYIVYHAVYIUWSQIUEVYIUWSUAUDUNQUWRUAUDYIUWBYEYJVOVYJI
      AVUTVYIPVRYMYHYJVYJUXPVYIVUKAVYIUXDVYIUWRVYIUWRUATVYIYKUWCYLWNWOVOYNYHUWD
      UXSUYAVHAUXRUWEURUWFAUXRUXJAUXRBUWQUXCUXHUFRZUGUXJABUWQUXQVYKVVHUXOUXDUFR
      ZUHIUXHUFRZUHUXQVYKVVHVYLVYMVVHVYLUXNUXDUXDUFRZUFRZIUXGUXEUFRZUFRZVYMVVHU
      XNUXDUXDVVMVVPVVPYOVVHVYOUXNUXEUFRVYQVVHVYNUXEUXNUFVVGVYNUXEVHZAVVGVVNVYR
      VVOVVNUXEVYNUXDUWGWCWRVOYPVVHIUXGUXEVVJVVLVVGUXETUPZAVVGUXDVVOYQVOZYOYHVV
      HVYPUXHIUFVVHUXGUXEVVLVYTUWJYPYRYSVVHUXOUXDVVQVVPUWHVVHIUXHVVJVVHUXEUXGVY
      TVVLXHZYTUWKUWLABUWQUXHUXCTAIVUSWOWUAABUWQUYFUXHTVVRVVSUYJUXEUXGUYIVYSAUY
      IUXDVULYQVOVWDXHZAUYBUYDBUYFUXHVEZUYHUPWUCXNUPUYCUYEAWUCBUYFUWRHUNZVEUYHA
      BUYFUXHWUDUYJWUDUXHUYJUYKUXHTUPWUDUXHVHUYRWUBBTUXHTHOWAWBWCWDABTTUYFHBHBT
      UXHVEZOBTUXHWEWFAHWUEVUEOABUXEUXGTABTUIUJBUIWGVUPUJWJUPAUWMURWKVVCXCWIVUI
      WLWMQUAWUCXOXPXQZUWNUWOYSYHAUXJUXMAIUXIVUSABUWQUXHTWUAWUFUWPZYTYSAUXLAIUX
      IVUSWUGXHYGYR $.
  $}

  ${
    $d n x N $.  $d n x ph $.
    itgsinexp.1 $e |- I = ( n e. NN0 |-> S. ( 0 (,) _pi )
      ( ( sin ` x ) ^ n ) _d x ) $.
    itgsinexp.2 $e |- ( ph -> N e. ( ZZ>= ` 2 ) ) $.
    $( A recursive formula for the integral of sin^N on the interval (0,&pi;) .
       (Contributed by Glauco Siliprandi, 29-Jun-2017.) $)
    itgsinexp $p |- ( ph -> ( I ` N ) =
      ( ( ( N - 1 ) / N ) x. ( I ` ( N - 2 ) ) ) ) $=
      ( cmul co c1 cmin c2 wcel cc cc0 cpi cexp cmpt wceq a1i cfv cdiv caddc cz
      cuz eluzelz zcn 3syl 1cnd npcand eqcomd oveq1d cn uz2m1nn nncnd cioo csin
      syl cv citg cn0 cvv wa oveq2 ad2antlr itgeq2dv 2cnd syl2anc uznn0sub 2nn0
      npcan eqeltrd itgex fvmptd ioosscn sseli sincld adantl adantr expcld cicc
      nn0addcld wss ioossicc cvol cdm ioombl pire iccssre mp2an ax-resscn sstri
      0re ccncf cibl eqid fvmpt2 mpteq2dva nfmpt1 nfcv sincn cncfmptss cniccibl
      expcnfg syl3anc iblss itgcl adddirp1d clt wbr eluz2b2 sylib simpld expm1t
      syl2anr ccos cneg itgsinexplem1 subsub4d 1p1e2 eqtrd sincossq sincl sqcld
      oveq2d coscl subaddd mpbird nnm1nn0 subdird mulid2d expaddd eqtr3d itgsub
      cr pncan3d oveq12d 3eqtrd fvmptd3 mulcld subdid 3eqtr2d divcan3d 3eqtr3d
      mpbid nnne0d div23d ) AEEDUAZHIZEUBIEJKIZELKIZDUAZHIZEUBIUUHUUJEUBIUULHIA
      UUIUUMEUBAUUIUUJJUCIZUUHHIUUJUUHHIZUUHUCIZUUMAEUUNUUHHAUUNEAEJAELUEUAMZEU
      DMENMZGLEUFEUGUHZAUIZUJUKULAUUJUUHAUUJAUUQUUJUMMZGEUNURZUOZAUUHBOPUPIZBUS
      ZUQUAZEQIZUTZNACEBUVDUVFCUSZQIZUTZUVHVADVBDCVAUVKRSAFTAUVIESZVCBUVDUVJUVG
      UVLUVJUVGSAUVEUVDMZUVIEUVFQVDVEVFAEUUKLUCIZVAAUURLNMZEUVNSUUSAVGZUURUVOVC
      UVNEELVKUKVHAUUKLAUUQUUKVAMZGLEVIURLVAMZAVJTWBVLZUVHVBMABUVDUVGVMTVNZABUV
      DUVGNAUVMVCZUVFEUVMUVFNMZAUVMUVEUVDNUVEOPVOVPZVQZVRZAEVAMZUVMUVSVSVTZABUV
      DOPWAIZUVGNUVDUWHWCAOPWDTZUVDWEWFMAOPWGTZAUVEUWHMZVCZUVFEUWKUWBAUWKUVEUWH
      NUVEUWHYONOYOMZPYOMZUWHYOWCWMWHOPWIWJWKWLZVPZVQVRZAUWFUWKUVSVSVTZAUWMUWNB
      UWHUVGRZUWHNWNIZMUWSWOMUWMAWMTZUWNAWHTZAUWSBUWHUVEBNUVGRZUAZRUWTABUWHUVGU
      XDUWLUXDUVGUWLUVENMZUVGNMUXDUVGSUWKUXEAUWPVRZUWRBNUVGNUXCUXCWPWQVHUKWRABN
      NUWHUXCBNUVGWSABNUQEBUQWTZUQNNWNIMAXATZUVSXDUWHNWCAUWOTZXBVLOPUWSXCXEXFZX
      GVLZXHAUUMUUOKIZUUHSUUPUUMSAUUHUXLAUUHUUJBUVDUVFUUKQIZUTZUVHKIZHIZUUJUULU
      UHKIZHIUXLAUUHUVHBUVDUVFUUJQIZUVFHIZUTZUXPUVTABUVDUVGUXSUVMUWBEUMMZUVGUXS
      SAUWDAUYAJEXIXJZAUUQUYAUYBVCGEXKXLXMZUVFEXNXOVFAUXTUUJBUVDUVEXPUAZLQIZUVF
      UUJJKIZQIZHIZUTZHIUUJBUVDUYEUXMHIZUTZHIUXPABBNUXRRZBNUYDXQZRZBNUUJUYGHIUY
      DHIZRZBNUXSRZBNUYOUYMHIRZBNUYHRZUUJUYLWPUYNWPUYPWPUYQWPUYRWPUYSWPUVBXRAUY
      IUYKUUJHABUVDUYHUYJUWAUYGUXMUYEHUWAUYFUUKUVFQAUYFUUKSUVMAUYFEJJUCIZKIUUKA
      EJJUUSUUTUUTXSAUYTLEKUYTLSAXTTYEYAZVSYEYEVFYEAUYKUXOUUJHAUYKBUVDJUVFLQIZK
      IZUXMHIZUTBUVDUXMUVGKIZUTUXOABUVDUYJVUDUVMUYJVUDSAUVMUYEVUCUXMHUVMUXEUYEV
      UCSUWCUXEVUCUYEUXEVUCUYESVUBUYEUCIJSUVEYBUXEJVUBUYEUXEUIUXEUVFUVEYCYDUXEU
      YDUVEYFYDYGYHUKURULVRVFABUVDVUDVUEUWAVUDJUXMHIZVUBUXMHIZKIVUEUWAJVUBUXMUW
      AUIUVMVUBNMAUVMUVFUWDYDVRUWAUVFUUKUWEAUVQUVMAUUKUYFVAAUYFUUKVUAUKAUVAUYFV
      AMUVBUUJYIURVLZVSZVTZYJUWAVUFUXMVUGUVGKUWAUXMVUJYKUWAUVFLUUKUCIZQIZVUGUVG
      UWAUVFLUUKUWEVUIUVRUWAVJTYLAVULUVGSUVMAVUKEUVFQALEUVPUUSYPYEVSYMYQYAVFABU
      VDUXMUVGNVUJABUVDUWHUXMNUWIUWJUWLUVFUUKUWQAUVQUWKVUHVSVTZAUWMUWNBUWHUXMRZ
      UWTMVUNWOMUXAUXBAVUNBUWHUVEBNUXMRZUAZRUWTABUWHUXMVUPUWLVUPUXMUWLUXEUXMNMV
      UPUXMSUXFVUMBNUXMNVUOVUOWPWQVHUKWRABNNUWHVUOBNUXMWSABNUQUUKUXGUXHVUHXDUXI
      XBVLOPVUNXCXEXFZUWGUXJYNYRYEYRYRAUXQUXOUUJHAUULUXNUUHUVHKACUUKUVKUXNVADVB
      FUVIUUKSZBUVDUVJUXMVURUVJUXMSUVMUVIUUKUVFQVDVSVFVUHUXNVBMABUVDUXMVMTYSZUV
      TYQYEAUUJUULUUHUVCAUULUXNNVUSABUVDUXMNVUJVUQXGVLZUXKUUAUUBUKAUUMUUOUUHAUU
      JUULUVCVUTYTAUUJUUHUVCUXKYTUXKYGUUEYRULAUUHEUXKUUSAEUYCUUFZUUCAUUJUULEUVC
      VUTUUSVVAUUGUUD $.
  $}

  ${
    $d A x $.  $d B x $.
    $( A constant function is integrable.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    iblconstmpt $p |- ( ( A e. dom vol /\ ( vol ` A ) e. RR /\ B e. CC ) -> ( x
       e. A |-> B ) e. L^1 ) $=
      ( cvol cdm wcel cfv cr w3a cmpt csn cxp cibl fconstmpt iblconst eqeltrrid
      cc ) BDEFBDGHFCQFIABCJBCKLMABCNBCOP $.
  $}

  ${
    $d A x $.  $d B x $.
    itgeq1d.aeqb $e |- ( ph -> A = B ) $.
    $( Equality theorem for an integral.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    itgeq1d $p |- ( ph -> S. A C _d x = S. B C _d x ) $=
      ( wceq citg itgeq1 syl ) ACDGBCEHBDEHGFBCDEIJ $.
  $}

  ${
    mbfres2cn.f $e |- ( ph -> F : A --> CC ) $.
    mbfres2cn.b $e |- ( ph -> ( F |` B ) e. MblFn ) $.
    mbfres2cn.c $e |- ( ph -> ( F |` C ) e. MblFn ) $.
    mbfres2cn.a $e |- ( ph -> ( B u. C ) = A ) $.
    $( Measurability of a piecewise function: if ` F ` is measurable on subsets
       ` B ` and ` C ` of its domain, and these pieces make up all of ` A ` ,
       then ` F ` is measurable on the whole domain.  Similar to ~ mbfres2 but
       here the theorem is extended to complex-valued functions.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    mbfres2cn $p |- ( ph -> F e. MblFn ) $=
      ( cmbf wcel cre ccom cim cc cr wf cres resco eqeltrid ref fco sylancr cin
      wa wb fresin ismbfcn 3syl mpbid simpld mbfres2 imf simprd syl mpbir2and )
      AEJKZLEMZJKZNEMZJKZABCDURAOPLQBOEQZBPURQUAFBOPLEUBUCAURCRLECRZMZJLECSAVDJ
      KZNVCMZJKZAVCJKZVEVGUEZGAVBBCUDZOVCQVHVIUFFBOECUGVJVCUHUIUJZUKTAURDRLEDRZ
      MZJLEDSAVMJKZNVLMZJKZAVLJKZVNVPUEZHAVBBDUDZOVLQVQVRUFFBOEDUGVSVLUHUIUJZUK
      TIULABCDUTAOPNQVBBPUTQUMFBOPNEUBUCAUTCRVFJNECSAVEVGVKUNTAUTDRVOJNEDSAVNVP
      VTUNTIULAVBUQUSVAUEUFFBEUHUOUP $.
  $}

  $( The measure of the empty set.  (Contributed by Glauco Siliprandi,
     11-Dec-2019.) $)
  vol0 $p |- ( vol ` (/) ) = 0 $=
    ( c0 cvol cfv covol cc0 cdm wcel wceq 0mbl mblvol ax-mp ovol0 eqtri ) ABCZA
    DCZEABFGNOHIAJKLM $.

  ${
    $d A x $.  $d B x $.  $d ph x $.
    ditgeqiooicc.1 $e |- G = ( x e. ( A [,] B ) |-> if ( x = A , R , if ( x = B
       , L , ( F ` x ) ) ) ) $.
    ditgeqiooicc.2 $e |- ( ph -> A e. RR ) $.
    ditgeqiooicc.3 $e |- ( ph -> B e. RR ) $.
    ditgeqiooicc.4 $e |- ( ph -> A <_ B ) $.
    ditgeqiooicc.5 $e |- ( ph -> F : ( A (,) B ) --> RR ) $.
    $( A function ` F ` on an open interval, has the same directed integral as
       its extension ` G ` on the closed interval.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    ditgeqiooicc $p |- ( ph -> S_ [ A -> B ] ( F ` x ) _d x = S_ [ A -> B ] ( G
       ` x ) _d x ) $=
      ( co cfv citg cdit wcel wceq cr cioo cv wa cif cicc ioossicc sseli adantl
      adantr clt wbr w3a simpr cxr wb rexrd elioo2 syl2anc mpbid gtned iffalsed
      simp2d neneqd simp1d simp3d ltned eqtrd ffvelrnda eqeltrd fvmpt2 itgeq2dv
      3eqtrrd ditgpos 3eqtr4d ) ABCDUANZBUBZFOZPBVOVPGOZPBCDVQQBCDVRQABVOVQVRAV
      PVORZUCZVRVPCSZEVPDSZHVQUDZUDZWCVQVTVPCDUENZRZWDTRVRWDSVSWFAVOWEVPCDUFUGU
      HVTWDVQTVTWDWCVQVTWAEWCVTVPCVTCVPACTRVSJUIZVTVPTRZCVPUJUKZVPDUJUKZVTVSWHW
      IWJULZAVSUMVTCUNRDUNRVSWKUOVTCWGUPVTDADTRVSKUIUPCDVPUQURUSZVBUTVCVAZVTWBH
      VQVTVPDVTVPDVTWHWIWJWLVDVTWHWIWJWLVEVFVCVAZVGAVOTVPFMVHVIBWEWDTGIVJURWMWN
      VLVKABCDVQLVMABCDVRLVMVN $.
  $}

  $( The volume of a set is always nonnegative.  (Contributed by Glauco
     Siliprandi, 11-Dec-2019.) $)
  volge0 $p |- ( A e. dom vol -> 0 <_ ( vol ` A ) ) $=
    ( cvol cdm wcel cc0 covol cfv cle wss wbr mblss ovolge0 syl mblvol breqtrrd
    cr ) ABCDZEAFGZABGHQAPIERHJAKALMANO $.

  ${
    $d F x y $.
    cnbdibl.a $e |- ( ph -> A e. dom vol ) $.
    cnbdibl.va $e |- ( ph -> ( vol ` A ) e. RR ) $.
    cnbdibl.f $e |- ( ph -> F e. ( A -cn-> CC ) ) $.
    cnbdibl.bd $e |- ( ph -> E. x e. RR A. y e. dom F ( abs ` ( F ` y ) ) <_ x
       ) $.
    $( A continuous bounded function is integrable.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    cnbdibl $p |- ( ph -> F e. L^1 ) $=
      ( cmbf wcel cdm cvol cfv cr cv cabs cle wbr cc wral wrex cibl ccncf cnmbf
      co syl2anc wf wceq cncff fdm 3syl fveq2d eqeltrd bddibl syl3anc ) AEJKZEL
      ZMNZOKCPENQNBPRSCURUABOUBEUCKADMLKEDTUDUFKZUQFHDEUEUGAUSDMNOAURDMAUTDTEUH
      URDUIHDTEUJDTEUKULUMGUNIBCEUOUP $.
  $}

  $( A singleton is measurable.  (Contributed by Glauco Siliprandi,
     11-Dec-2019.) $)
  snmbl $p |- ( A e. RR -> { A } e. dom vol ) $=
    ( cr wcel csn wss covol cfv cc0 wceq cvol cdm snssi ovolsn nulmbl syl2anc )
    ABCADZBEPFGHIPJKCABLAMPNO $.

  ${
    $d ph x $.
    ditgeq3d.1 $e |- ( ph -> A <_ B ) $.
    ditgeq3d.2 $e |- ( ( ph /\ x e. ( A (,) B ) ) -> D = E ) $.
    $( Equality theorem for the directed integral.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    ditgeq3d $p |- ( ph -> S_ [ A -> B ] D _d x = S_ [ A -> B ] E _d x ) $=
      ( cdit cioo co citg cle wbr cneg cif df-ditg iftrued syl5eq itgeq2dv
      eqtr2id 3eqtrd ) ABCDEIZBCDJKZELZBUDFLZBCDFIZAUCCDMNZUEBDCJKZELOZPUEBCDEQ
      AUHUEUJGRSABUDEFHTAUGUHUFBUIFLOZPUFBCDFQAUHUFUKGRUAUB $.
  $}

  ${
    $d k x $.
    $( The empty function is integrable.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    iblempty $p |- (/) e. L^1 $=
      ( vx vk c0 cibl wcel cmbf cr cc0 cmpt citg2 cfv c3 co eqcomi wa wtru wceq
      cfz cv a1i wral csn cxp fconstmpt fveq2i itg20 eqtri 0re eqeltri rgenw wb
      mbf0 ci cexp cdiv cre cle wbr cif noel intnanr iffalsei mpteq2dva cdm dm0
      eqidd intnan pm2.21i isibl mptru mpbir2an ) CDEZCFEZAGHIZJKZGEZBHLRMZUAZU
      LVPBVQVOHGVOGHUBUCZJKHVNVSJVSVNAGHUDNUEUFUGUHUIUJVLVMVROUKPACHHUMBSUNMUOM
      UPKZBCVNPAGHASZCEZHVTUQURZOZVTHUSZHWEQPWAGEOWEHWDVTHWBWCWAUTZVAVBNTVCPWBO
      ZVTVFCVDCQPVETWGWACKHQWBPWFVGVHVIVJVK $.
  $}

  ${
    $d A k x $.  $d A x y $.  $d B k x $.  $d B x y $.  $d C k $.  $d C y $.
    $d U k x $.  $d k ph x $.  $d ph x y $.
    iblsplit.1 $e |- ( ph -> ( vol* ` ( A i^i B ) ) = 0 ) $.
    iblsplit.2 $e |- ( ph -> U = ( A u. B ) ) $.
    iblsplit.3 $e |- ( ( ph /\ x e. U ) -> C e. CC ) $.
    iblsplit.4 $e |- ( ph -> ( x e. A |-> C ) e. L^1 ) $.
    iblsplit.5 $e |- ( ph -> ( x e. B |-> C ) e. L^1 ) $.
    $( The union of two integrable functions is integrable.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    iblsplit $p |- ( ph -> ( x e. U |-> C ) e. L^1 ) $=
      ( vk cmpt wcel cr cc0 cfv wa cc eqidd vy cibl cmbf cv ci cexp co cdiv cre
      cle wbr cif citg2 c3 cfz wral fmpttd cres cun sseqtrrid resmptd imdistani
      ssun1 sseld isibl2 mpbid simpld eqeltrd ssun2 eqcomd mbfres2cn caddc cvol
      syl cdm mbfdm2 adantr cin covol wceq cpnf cicc cxr adantlr ax-icn elfznn0
      a1i expcld ad2antlr wne cz elfzelz expne0d divcld recld rexrd simpr pnfge
      ine0 w3a wb pnfxr elicc1 mp2an syl3anbrc wn 0e0iccpnf ifclda eqid mpteq2i
      0xr ifan eqcomi fveq2d simprd r19.21bi fveq2i eqeltrid itg2split readdcld
      ralrimiva mpbir2and ) ABFEMZUBNYCUCNBOBUDZFNZPEUELUDZUFUGZUHUGZUIQZUJUKZR
      YIPULZMZUMQZONZLPUNUOUGZUPAFCDYCABFESIUQAYCCURBCEMZUCABFCEACDUSZCFCDVCHUT
      ZVAAYPUCNZBOYDCNZPEUEUAUDUFUGUHUGUIQZUJUKZRUUAPULMZUMQONUAYOUPZAYPUBNZYSU
      UDRJABCEUUAUAUUCSAUUCTAYTRZUUATUUFAYERZESNZAYTYEACFYDYRVDVBIVNZVEVFVGZVHA
      YCDURBDEMZUCABFDEAYQDFDCVIHUTZVAAUUKUCNZBOYDDNZUUBRUUAPULMZUMQONUAYOUPZAU
      UKUBNZUUMUUPRKABDEUUAUAUUOSAUUOTAUUNRZUUATUURUUGUUHAUUNYEADFYDUULVDVBIVNZ
      VEVFVGZVHAFYQHVJVKAYNLYOAYFYONZRZYMBOYTYJYIPULZPULZMZUMQZBOUUNUVCPULZMZUM
      QZVLUGOUVBBCDUVCFUVEUVHYLACVMVOZNUVAABCESUUJUUIVPVQADUVJNUVAABDESUUTUUSVP
      VQACDVRVSQPVTUVAGVQAFYQVTUVAHVQUVBYERZYJYIPPWAWBUGZUVKYJRZYIWCNZYJYIWAUJU
      KZYIUVLNZUVKUVNYJUVKYIUVKYHUVKEYGAYEUUHUVAIWDUVAYGSNAYEUVAUEYFUESNZUVAWEW
      GYFUNWFWHWIUVKUEYFUVQUVKWEWGUEPWJUVKWSWGUVAYFWKNAYEYFPUNWLWIWMWNWOWPVQZUV
      KYJWQUVMUVNUVOUVRYIWRVNPWCNWAWCNUVPUVNYJUVOWTXAXKXBPWAYIXCXDXEPUVLNUVKYJX
      FRXGWGXHUVEXIUVHXIBOYKYEUVCPULYEYJYIPXLXJUVBUVFBOYTYJRYIPULZMZUMQZOUVBUVE
      UVTUMUVEUVTVTUVBBOUVDUVSUVSUVDYTYJYIPXLXMXJWGXNAUWAONZLYOAYSUWBLYOUPZAUUE
      YSUWCRJABCEYILUVTSAUVTTUUFYITUUIVEVFXOXPVHZUVBUVIBOUUNYJRYIPULZMZUMQZOUVH
      UWFUMBOUVGUWEUWEUVGUUNYJYIPXLXMXJXQAUWGONZLYOAUUMUWHLYOUPZAUUQUUMUWIRKABD
      EYILUWFSAUWFTUURYITUUSVEVFXOXPXRZXSUVBUVFUVIUWDUWJXTVHYAABFEYILYLSAYLTUUG
      YITIVEYB $.
  $}

  $( A singleton has 0 Lebesgue measure.  (Contributed by Glauco Siliprandi,
     11-Dec-2019.) $)
  volsn $p |- ( A e. RR -> ( vol ` { A } ) = 0 ) $=
    ( cr wcel csn cvol cfv covol cc0 cdm wceq snmbl mblvol syl ovolsn eqtrd ) A
    BCZADZEFZQGFZHPQEICRSJAKQLMANO $.

  ${
    $d A x $.  $d ph x $.
    itgvol0.1 $e |- ( ph -> A C_ RR ) $.
    itgvol0.2 $e |- ( ph -> ( vol* ` A ) = 0 ) $.
    itgvol0.3 $e |- ( ( ph /\ x e. A ) -> B e. CC ) $.
    $( If the domani is negligible, the function is integrable and the integral
       is 0.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    itgvol0 $p |- ( ph -> ( ( x e. A |-> B ) e. L^1 /\ S. A B _d x = 0 ) ) $=
      ( cmpt cibl wcel citg cc0 wceq c0 mpt0 iblempty eqeltri wss covol cfv 0ss
      wb a1i cdif cr difssd ovolssnul syl3anc itgss3 simpld simprd itg0 eqtr3di
      mpbii jca ) ABCDHIJZBCDKZLMABNDHZIJZUPURNIBDOPQAUSUPUBZBNDKZUQMZABNCDNCRA
      CUAUCEACNUDZCRCUERCSTLMVCSTLMACNUFEFVCCUGUHGUIZUJUNAVAUQLAUTVBVDUKBDULUMU
      O $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.  $d ph x y $.
    itgcoscmulx.a $e |- ( ph -> A e. CC ) $.
    itgcoscmulx.b $e |- ( ph -> B e. RR ) $.
    itgcoscmulx.c $e |- ( ph -> C e. RR ) $.
    itgcoscmulx.blec $e |- ( ph -> B <_ C ) $.
    itgcoscmulx.an0 $e |- ( ph -> A =/= 0 ) $.
    $( Exercise: the integral of ` x |-> cos a x ` on an open interval.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    itgcoscmulx $p |- ( ph -> S. ( B (,) C ) ( cos ` ( A x. x ) ) _d x = ( ( (
       sin ` ( A x. C ) ) - ( sin ` ( A x. B ) ) ) / A ) ) $=
      ( vy co cmul cfv cr cmpt cdv wcel cc wceq cioo cv ccos citg cicc csin crn
      cdiv cmin wa cres ctg cnt iccssred resmptd eqcomd oveq2d wss wf ax-resscn
      a1i sselda adantr simpr mulcld sincld cc0 wne divcld syldan fmpttd ccnfld
      ssidd ctopn tgioo4 dvres syl22anc cpr reelprrecn coscld cdm dvsinax dmeqd
      eqid syl ralrimiva dmmptg eqtr2d sseqtrid dvres3 reseq1d 3eqtrd dvmptdivc
      wral eqtrd iccntr syl2anc reseq12d ioossre resmpt elioore sylan2 divcan3d
      mp1i recnd mpteq2dva oveq2 fveq2d adantl sstrid fvmptd itgeq2dv eqidd cxr
      oveq1d cle wbr rexrd ubicc2 syl3anc lbicc2 oveq12d ccncf coscn constcncfg
      idcncfg mulcncf cncfmpt1f cibl ioossicc cvol ioombl sstrdi cniccibl iblss
      eqeltrd sincn csn cdif wn neneq elsni con3i 3syl eldifd difssd divsubdird
      divcncf ftc2 3eqtr4d ) ABDEUALZCBUBZMLZUCNZUDBUUKUULOKDEUELZCKUBZMLZUFNZC
      UHLZPZQLZNZUDZCEMLZUFNZCDMLZUFNZUILCUHLZABUUKUUNUVBAUULUUKRZUJZUVBUUNUVJK
      UULUUQUCNZUUNUUKUVASAUVAKUUKUVKPZTUVIAUVAOKOUUSPZUUOUKZQLZOUVMQLZUUOUAUGU
      LNZUMNNZUKZUVLAUUTUVNOQAUVNUUTAKOUUOUUSADEGHUNZUOUPUQAOSURZOSUVMUSOOURUUO
      OURUVOUVSTUWAAUTVAZAKOUUSSAUUPORZUUPSRZUUSSRAOSUUPUWBVBZAUWDUJZUURCUWFUUQ
      UWFCUUPACSRZUWDFVCZAUWDVDVEZVFZUWHACVGVHZUWDJVCVIVJVKAOVMUVTOUUOOUVQUVMVL
      VNNZUWLWDVOVPVQAUVSKOCUVKMLZCUHLZPZUUKUKZKUUKUWNPZUVLAUVPUWOUVRUUKAKUURUW
      MCOSOOOSVRRZAVSVAZAUWCUWDUURSRUWEUWJVJAUWCUJZCUVKAUWGUWCFVCZUWTUUQUWTCUUP
      UXAUWEVEVTVEAOKOUURPZQLOKSUURPZOUKZQLZKOUWMPZAUXBUXDOQAUXDUXBAKSOUURUWBUO
      UPUQAUXESUXCQLZOUKZKSUWMPZOUKUXFAUWRSSUXCUSSSUROUXGWAZURUXEUXHTUWSAKSUURS
      UWJVKASVMZASOUXJUTAUXJUXIWAZSAUXGUXIAUWGUXGUXITFKCWBWEZWCAUWMSRZKSWNUXLST
      AUXNKSUWFCUVKUWHUWFUUQUWIVTZVEWFKSUWMSWGWEWHWISOUXCWJVQAUXGUXIOUXMWKAKSOU
      WMUWBUOWLWOFJWMADORZEORZUVRUUKTGHDEWPWQWRUUKOURUWPUWQTADEWSZKOUUKUWNWTXDA
      KUUKUWNUVKAUUPUUKRZUJUVKCUXSAUWDUVKSRUXSUUPUUPDEXAXEUXOXBAUWGUXSFVCAUWKUX
      SJVCXCXFWLWLZVCUUPUULTZUVKUUNTUVJUYAUUQUUMUCUUPUULCMXGXHXIAUVIVDUVJUUMUVJ
      CUULAUWGUVIFVCAUUKSUULAUUKOSUXRUWBXJZVBVEVTXKUPXLAEUUTNZDUUTNZUILUVECUHLZ
      UVGCUHLZUILUVCUVHAUYCUYEUYDUYFUIAKEUUSUYEUUOUUTSAUUTXMZUUPETZUUSUYETAUYHU
      URUVECUHUYHUUQUVDUFUUPECMXGXHXOXIADXNRZEXNRZDEXPXQZEUUORADGXRZAEHXRZIDEXS
      XTAUVECAUVDACEFAEHXEVEVFZFJVIXKAKDUUSUYFUUOUUTSUYGUUPDTZUUSUYFTAUYOUURUVG
      CUHUYOUUQUVFUFUUPDCMXGXHXOXIAUYIUYJUYKDUUORUYLUYMIDEYAXTAUVGCAUVFACDFADGX
      EVEVFZFJVIXKYBABDEUUTGHIAUVAUVLUUKSYCLUXTAKUUQUCUUKUCSSYCLZRAYDVAZAKCUUPU
      UKAKUUKCSUYBFUXKYEAKUUKSUYBUXKYFYGYHYPAUVAUVLYIUXTAKUUKUUOUVKSUUKUUOURADE
      YJVAUUKYKWARADEYLVAAUUPUUORZUJZUUQUYTCUUPAUWGUYSFVCAUUOSUUPAUUOOSUVTUTYMZ
      VBVEVTAUXPUXQKUUOUVKPZUUOSYCLRVUBYIRGHAKUUQUCUUOUYRAKCUUPUUOAKUUOCSVUAFUX
      KYEAKUUOSVUAUXKYFYGZYHDEVUBYNXTYOYPAKUURCUUOAKUUQUFUUOUFUYQRAYQVAVUCYHAKU
      UOCSVGYRZYSVUAACSVUDFAUWKCVGTZYTCVUDRZYTJCVGUUAVUFVUECVGUUBUUCUUDUUEASVUD
      UUFYEUUHUUIAUVEUVGCUYNUYPFJUUGUUJWO $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C y $.  $d U x y $.  $d ph y $.
    iblsplitf.X $e |- F/ x ph $.
    iblsplitf.vol $e |- ( ph -> ( vol* ` ( A i^i B ) ) = 0 ) $.
    iblsplitf.u $e |- ( ph -> U = ( A u. B ) ) $.
    iblsplitf.c $e |- ( ( ph /\ x e. U ) -> C e. CC ) $.
    iblsplitf.a $e |- ( ph -> ( x e. A |-> C ) e. L^1 ) $.
    iblsplitf.b $e |- ( ph -> ( x e. B |-> C ) e. L^1 ) $.
    $( A version of ~ iblsplit using bound-variable hypotheses instead of
       distinct variable conditions".  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    iblsplitf $p |- ( ph -> ( x e. U |-> C ) e. L^1 ) $=
      ( vy cmpt cv cibl cbvmpt wcel cc eqeltrid nfcv nfcsb1v csbeq1a wral simpr
      csb wa nfv nfan adantlr ex ralrimi rspcsbela syl2anc wceq eqcomd iblsplit
      equcoms ) ABFENMFBMOZEUFZNPBMFEUTMEUAZBUSEUBZBUSEUCZQAMCDUTFHIAUSFRZUGZVD
      ESRZBFUDUTSRAVDUEVEVFBFAVDBGVDBUHUIVEBOZFRZVFAVHVFVDJUJUKULBUSFESUMUNAMCU
      TNBCENPMBCUTEVBVAUSVGUOEUTEUTUOBMVCURUPZQKTAMDUTNBDENPMBDUTEVBVAVIQLTUQT
      $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.
    ibliooicc.1 $e |- ( ph -> A e. RR ) $.
    ibliooicc.2 $e |- ( ph -> B e. RR ) $.
    ibliooicc.3 $e |- ( ph -> ( x e. ( A (,) B ) |-> C ) e. L^1 ) $.
    ibliooicc.4 $e |- ( ( ph /\ x e. ( A [,] B ) ) -> C e. CC ) $.
    $( If a function is integrable on an open interval, it is integrable on the
       corresponding closed interval.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    ibliooicc $p |- ( ph -> ( x e. ( A [,] B ) |-> C ) e. L^1 ) $=
      ( co cmpt cibl wcel wb citg wceq wss cdif cr c0 ioossicc a1i iccssred cpr
      cioo cicc covol cfv cc0 clt wbr wa cxr rexrd icc0 syl2anc biimpar difeq1d
      0dif 0ss eqsstri eqsstrdi cle adantr iccdifioo syl3anc sseqtrid ltlecasei
      ssid simpr prssi cfn prfi ovolfi sylancr ovolssnul itgss3 simpld mpbid )
      ABCDUEJZEKLMZBCDUFJZEKLMZHAWAWCNBVTEOBWBEOPABVTWBEVTWBQACDUAUBACDFGUCAWBV
      TRZCDUDZQZWESQZWEUGUHUIPZWDUGUHUIPAWFDCADCUJUKZULZWDTVTRZWEWJWBTVTAWBTPZW
      IACUMMZDUMMZWLWINACFUNZADGUNZCDUOUPUQURWKTWEVTUSWEUTVAVBACDVCUKZULZWDWDWE
      WDVIWRWMWNWQWDWEPAWMWQWOVDAWNWQWPVDAWQVJCDVEVFVGGFVHACSMDSMWGFGCDSVKUPZAW
      EVLMWGWHCDVMWSWEVNVOWDWEVPVFIVQVRVS $.
  $}

  $( The measure of a left-open right-closed interval.  (Contributed by Glauco
     Siliprandi, 11-Dec-2019.) $)
  volioc $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) -> ( vol ` ( A (,] B ) ) = (
     B - A ) ) $=
    ( cr wcel cle wbr w3a wceq cioc co cvol cfv wa c0 cc0 eqcomd caddc 3ad2ant2
    cxr syl3anc cmin vol0 oveq2 leid wb rexr syl2anc mpbird sylan9eqr fveq2d cc
    ioc0 eqcom biimpi adantl recn adantr eqeltrd subeq0bd 3eqtr4a 3ad2antl1 clt
    wn simpl1 simpl2 simpl3 wne necon3bi leneltd csn cun 3ad2ant1 simp3 ioounsn
    cioo cdm cin ioombl a1i snmbl ubioo mpbir ioovolcl 3adant3 volsn 0red volun
    disjsn syl32anc simp1 simp2 ltled volioo oveq12d recnd subcld addid1d eqtrd
    3eqtrd pm2.61dan ) ACDZBCDZABEFZGZABHZABIJZKLZBAUAJZHZXAXBXEXIXCXAXEMZNKLOX
    GXHUBXJXFNKXEXAXFAAIJZNXEXKXFABAIUCPXAXKNHZAAEFZAUDXAASDZXNXLXMUEAUFZXOAAUL
    UGUHUIUJXJBAXJBAUKXEBAHZXAXEXPABUMUNUOZXAAUKDZXEAUPZUQURXQUSUTVAXDXEVCZMZXA
    XBABVBFZXIXAXBXCXTVDZXAXBXCXTVEZYAABYCYDXAXBXCXTVFXTBAVGXDXEBAXPXEBAUMUNVHU
    OVIXAXBYBGZXGABVOJZBVJZVKZKLZYFKLZYGKLZQJZXHYEXFYHKYEYHXFYEXNBSDZYBYHXFHXAX
    BXNYBXOVLXBXAYMYBBUFRXAXBYBVMZABVNTPUJYEYFKVPZDZYGYODZYFYGVQNHZYJCDZYKCDZYI
    YLHYPYEABVRVSXBXAYQYBBVTRYRYEYRBYFDVCABWAYFBWHWBVSXAXBYSYBABWCWDXBXAYTYBXBY
    KOCBWEZXBWFURRYFYGWGWIYEYLXHOQJXHYEYJXHYKOQYEXAXBXCYJXHHXAXBYBWJZXAXBYBWKZY
    EABUUBUUCYNWLABWMTXBXAYKOHYBUUARWNYEXHYEBAYEBUUCWOXAXBXRYBXSVLWPWQWRWSTWT
    $.

  ${
    $d A i k $.  $d A j k $.  $d M i k t $.  $d M j k t $.  $d N i k t $.
    $d N j k t $.  $d P i k t $.  $d P j k t $.  $d i k ph $.  $d j k ph $.
    iblspltprt.1 $e |- F/ t ph $.
    iblspltprt.2 $e |- ( ph -> M e. ZZ ) $.
    iblspltprt.3 $e |- ( ph -> N e. ( ZZ>= ` ( M + 1 ) ) ) $.
    iblspltprt.4 $e |- ( ( ph /\ i e. ( M ... N ) ) -> ( P ` i ) e. RR ) $.
    iblspltprt.5 $e |- ( ( ph /\ i e. ( M ..^ N ) ) -> ( P ` i ) < ( P ` ( i +
       1 ) ) ) $.
    iblspltprt.6 $e |- ( ( ph /\ t e. ( ( P ` M ) [,] ( P ` N ) ) ) -> A e. CC
       ) $.
    iblspltprt.7 $e |- ( ( ph /\ i e. ( M ..^ N ) ) -> ( t e. ( ( P ` i ) [,] (
       P ` ( i + 1 ) ) ) |-> A ) e. L^1 ) $.
    $( If a function is integrable on any interval of a partition, then it is
       integrable on the whole interval.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    iblspltprt $p |- ( ph -> ( t e. ( ( P ` M ) [,] ( P ` N ) ) |-> A ) e. L^1
       ) $=
      ( co wcel cle wbr wa adantl vj vk c1 caddc cfz cfv cicc cmpt peano2zd cuz
      cibl cz eluzelz syl eluzle zred leidd elfzd cv wceq oveq2d mpteq1d eleq1d
      fveq2 imbi2d cfzo clt uzid 1red readdcld ltletrd elfzo2 syl3anbrc fvoveq1
      wi ltp1d oveq12d expcom vtoclga mpcom a1i w3a nfv nfmpt1 nfel1 nfim nf3an
      cin covol cc0 simp3 simp1 csn cxr ltled ancli eleq1 anbi2d imbi12d vtoclg
      cr sylc adantr rexrd simpl elfzoelz elfzole1 elfzolt2 jca elfz1 mpbir3and
      chvarvv syl2anc ltadd1dd lttrd zltp1le syl2anr mpbid syl2an mpbird simpll
      wb eluz elfzelz elfzle1 elfzle2 lelttrd 3syl cmin resubcld elfzoel2 ltm1d
      ad2antlr monoord 3ad2ant1 3adant3 syl3anc elicc1 adantll adantlr syl32anc
      elfzel1 elfzuz breq12d iccintsng fveq2d ovolsn eqtrd eliccd 3jca iccsplit
      cun simpl3 simpl1 simpr eliccxr 3ad2ant3 iccgelb iccssre sseld elfzop1le2
      cc simp3d leadd1dd letrd simp2 mpd iblsplitf 3exp fzind2 ) GFUCUDOZGUEOPA
      BFDUFZGDUFZUGOZCUHZUKPZAGUVKGAFIUIAGUVKUJUFPZGULPZJUVKGUMZUNZUVTAUVQUVKGQ
      RJUVKGUOUNZAGAGUVTUPZUQZURABUVLUAUSZDUFZUGOZCUHZUKPZVOABUVLUVKDUFZUGOZCUH
      ZUKPZVOZABUVLUBUSZDUFZUGOZCUHZUKPZVOZABUVLUWNUCUDOZDUFZUGOZCUHZUKPZVOAUVP
      VOUAUBGUVKGUWDUVKUTZUWHUWLAUXEUWGUWKUKUXEBUWFUWJCUXEUWEUWIUVLUGUWDUVKDVDV
      AVBVCVEUWDUWNUTZUWHUWRAUXFUWGUWQUKUXFBUWFUWPCUXFUWEUWOUVLUGUWDUWNDVDVAVBV
      CVEUWDUWTUTZUWHUXDAUXGUWGUXCUKUXGBUWFUXBCUXGUWEUXAUVLUGUWDUWTDVDVAVBVCVEU
      WDGUTZUWHUVPAUXHUWGUVOUKUXHBUWFUVNCUXHUWEUVMUVLUGUWDGDVDVAVBVCVEUWMUVQFFG
      VFOZPZAUWLAFFUJUFZPZUVRFGVGRUXJAFULPZUXLIFVHUNUVTAFUVKGAFIUPZAFUCUXNAVIVJ
      ZUWBAFUXNVPZUWAVKZFFGVLVMABEUSZDUFZUXRUCUDOZDUFZUGOZCUHZUKPZVOUWMEFUXIUXR
      FUTZUYDUWLAUYEUYCUWKUKUYEBUYBUWJCUYEUXSUVLUYAUWIUGUXRFDVDZUXRFUCDUDVNVQVB
      VCVEAUXRUXIPZUYDNVRVSVTWAUWNUVKGVFOPZUWSAUXDUYHUWSAWBZBUWPUWOUXAUGOZCUXBU
      YHUWSABUYHBWCAUWRBHBUWQUKBUWPCWDWEWFHWGUYIAUYHUWPUYJWHZWIUFZWJUTUYHUWSAWK
      ZUYHUWSAWLZAUYHSZUYLUWOWMZWIUFZWJUYOUYKUYPWIUYOUVLWNPZUWOWNPUXAWNPZUVLUWO
      QRUWOUXAQRUYKUYPUTUYOUVLAUVLXAPZUYHAFFGUEOZPZAVUBSZUYTAFFGIUVTIAFUXNUQAFG
      UXNUWBUXQWOZURZAVUBVUEWPAUXRVUAPZSZUXSXAPZVOZVUCUYTVOEFVUAUYEVUGVUCVUHUYT
      UYEVUFVUBAUXRFVUAWQWRUYEUXSUVLXAUYFVCWSKWTXBZXCZXDUYOUWOUYOAUWNVUAPZUWOXA
      PZAUYHXEZUYOVULUWNULPZFUWNQRZUWNGQRZUYHVUOAUWNUVKGXFZTZUYOFUWNAFXAPZUYHUX
      NXCZUYOUWNVUSUPZUYOFUVKUWNVVAAUVKXAPUYHUXOXCZVVBAFUVKVGRUYHUXPXCZUYHUVKUW
      NQRAUWNUVKGXGTVKZWOZUYOUWNGVVBAGXAPZUYHUWBXCUYHUWNGVGRZAUWNUVKGXHZTZWOUYO
      UXMUVRSZVULVUOVUPVUQWBYBAVVKUYHAUXMUVRIUVTXIZXCZUWNFGXJUNXKVUIAVULSZVUMVO
      ZEUBUXRUWNUTZVUGVVNVUHVUMVVPVUFVULAUXRUWNVUAWQWRVVPUXSUWOXAUXRUWNDVDZVCWS
      KXLZXMZXDUYOUXAUYOUWTVUAPZAVVTSZUXAXAPZUYOVVTUWTULPZFUWTQRZUWTGQRZUYOUWNV
      USUIZUYOFUWTVVAUYOUWTVWFUPZUYOFUVKUWTVVAVVCVWGVVDUYOFUWNUCVVAVVBUYOVIVVEX
      NXOWOUYOVVHVWEVVJUYHVUOUVRVVHVWEYBAVURUVTUWNGXPXQXRUYOVVKVVTVWCVWDVWEWBYB
      VVMUWTFGXJUNXKZUYOAVVTVUNVWHXIVUIVWAVWBVOEUWTVUAUXRUWTUTZVUGVWAVUHVWBVWIV
      UFVVTAUXRUWTVUAWQWRVWIUXSUXAXAUXRUWTDVDVCWSKWTXBZXDZUYOEDFUWNUYOUWNUXKPZV
      UPVVFAUXMVUOVWLVUPYBUYHIVURFUWNYCXSXTZUYOUXRFUWNUEOPZSZAVUFVUHAUYHVWNYAZV
      WOVUFUXRULPZFUXRQRZUXRGQRZVWNVWQUYOUXRFUWNYDTZVWNVWRUYOUXRFUWNYETVWOUXRGV
      WOUXRVWTUPZVWOAVVGVWPUWBUNZVWOUXRUWNGVXAUYOUWNXAPZVWNVVBXCVXBVWNUXRUWNQRU
      YOUXRFUWNYFTUYOVVHVWNVVJXCYGWOVWOAVVKVUFVWQVWRVWSWBYBZVWPVVLUXRFGXJZYHXKK
      XMUYOUXRFUWNUCYIOZUEOPZSZUXSUYAVXHAVUFVUHAUYHVXGYAZVXHVUFVWQVWRVWSVXGVWQU
      YOUXRFVXFYDZTZVXGVWRUYOUXRFVXFYEZTVXHUXRGVXHUXRVXKUPZVXHAVVGVXIUWBUNZVXHU
      XRVXFGVXMVXHUWNUCUYOVXCVXGVVBXCVXHVIYJVXNVXGUXRVXFQRUYOUXRFVXFYFTUYHVXFGV
      GRAVXGUYHVXFUWNGUYHUWNUCUYHUWNVURUPZUYHVIYJVXOUYHGUWNUVKGYKZUPUYHUWNVXOYL
      VVIXOYMYGZWOVXHAVVKVXDVXIVVLVXEYHXKKXMVXHUXTVUAPZAVXRSZUYAXAPZVXHVXRUXTUL
      PZFUXTQRZUXTGQRZVXHUXRVXKUIVXGVYBUYOVXGFUXTVXGFUXRFVXFUUBUPZVXGUXRUCVXGUX
      RVXJUPZVXGVIVJZVXGFUXRUXTVYDVYEVYFVXLVXGUXRVYEVPYGWOTVXHUXRGVGRZVYCVXQVXH
      VWQUVRVYGVYCYBZVXKVXHAUVQUVRVXIJUVSYHZUXRGXPZXMXRVXHAVVKVXRVYAVYBVYCWBYBZ
      VXIVVLUXTFGXJZYHXKZVXHAVXRVXIVYMXIVVOVXSVXTVOUBUXTVUAUWNUXTUTZVVNVXSVUMVX
      TVYNVULVXRAUWNUXTVUAWQWRVYNUWOUYAXAUWNUXTDVDVCWSVVRWTZXBVXHAUYGUXSUYAVGRZ
      VXIVXHUXRUXKPZUVRVYGUYGVXGVYQUYOUXRFVXFUUCTVYIVXQUXRFGVLZVMLXMWOYNZUYOUWO
      UXAVVSVWJUYOAUWNUXIPZUWOUXAVGRZVUNUYOVWLUVRVVHVYTVWMUYHUVRAVXPTVVJUWNFGVL
      VMZAUYGSZVYPVOAVYTSZWUAVOEUBVVPWUCWUDVYPWUAVVPUYGVYTAUXRUWNUXIWQWRZVVPUXS
      UWOUYAUXAVGVVQUXRUWNUCDUDVNZUUDWSLXLXMWOZUVLUWOUXAUUEUUAUUFUYOVUMUYQWJUTV
      VSUWOUUGUNUUHXMUYIUYTVWBUWOUXBPZWBZUXBUWPUYJUULUTUYIAUYHWUIUYMUYNUYOUYTVW
      BWUHVUKVWJUYOUVLUXAUWOVUKVWJVVSVYSWUGUUIUUJXMUVLUXAUWOUUKUNUYIBUSZUXBPZSA
      UYHWUKCUVBPZUYHUWSAWUKUUMUYHUWSAWUKUUNUYIWUKUUOAUYHWUKWBZAWUJUVNPZWULAUYH
      WUKWLWUMWUNWUJWNPZUVLWUJQRZWUJUVMQRZWUKAWUOUYHWUJUVLUXAUUPUUQWUMUYRUYSWUK
      WUPAUYHUYRWUKAUVLVUJXDYOZAUYHUYSWUKVWKYPZAUYHWUKWKZUVLUXAWUJUURYQWUMWUJUX
      AUVMWUMUYTVWBSZWUKWUJXAPAUYHWVAWUKUYOUYTVWBVUKVWJXIYPWUTWVAUXBXAWUJUVLUXA
      UUSUUTXBAUYHVWBWUKVWJYPAUYHUVMXAPZWUKAUVRAGVUAPZSZWVBUVTAWVCAGFGIUVTUVTVU
      DUWCURWPVUIWVDWVBVOEGULUXRGUTZVUGWVDVUHWVBWVEVUFWVCAUXRGVUAWQWRWVEUXSUVMX
      AUXRGDVDVCWSKWTXBYOZWUMWUOWUPWUJUXAQRZWUMWUKWUOWUPWVGWBZWUTWUMUYRUYSWUKWV
      HYBWURWUSUVLUXAWUJYRXMXRUVCAUYHUXAUVMQRWUKUYOEDUWTGUYHGUWTUJUFPZAUYHWVIVW
      EUWNUVKGUVAUYHVWCUVRWVIVWEYBUYHUWNVURUIVXPUWTGYCXMXTTUYOUXRUWTGUEOPZSZAVU
      FVUHAUYHWVJYAZWVKVUFVWQVWRVWSWVJVWQUYOUXRUWTGYDZTZWVKFUXRWVKAVUTWVLUXNUNZ
      WVKUXRWVNUPZWVKFUWNUXRWVOUYOVXCWVJVVBXCWVPUYOFUWNVGRZWVJVVEXCUYHWVJUWNUXR
      VGRZAUYHWVJSZUWNUWTUXRUYHVXCWVJVXOXCZWVSUWNUCWVTWVSVIVJWVJUXRXAPZUYHWVJUX
      RWVMUPTWVSUWNWVTVPWVJUWTUXRQRZUYHUXRUWTGYETVKYSXOWOWVJVWSUYOUXRUWTGYFTWVK
      AVVKVXDWVLVVLVXEYHXKKXMUYOUXRUWTGUCYIOZUEOPZSZUXSUYAWWEAVUFVUHAUYHWWDYAZW
      WEVUFVWQVWRVWSWWDVWQUYOUXRUWTWWCYDZTZWWEFUXRWWEAVUTWWFUXNUNZWWEUXRWWHUPZW
      WEFUWNUXRWWIUYOVXCWWDVVBXCZWWJUYOWVQWWDVVEXCZUYHWWDWVRAUYHWWDSZUWNUWTUXRU
      YHVXCWWDVXOXCZWWMUWNUCWWNWWMVIZVJZWWDWWAUYHWWDUXRWWGUPZTZWWMUWNWWNVPZWWDW
      WBUYHUXRUWTWWCYETVKZYSXOWOZAWWDVWSUYHAWWDSZUXRGWWDWWAAWWQTZAVVGWWDUWBXCZW
      XBUXRWWCGWXCWXBGUCWXDWXBVIYJWXDWWDUXRWWCQRAUXRUWTWWCYFTWXBGWXDYLYGZWOYTWW
      EAVVKVXDWWFVVLVXEYHXKKXMWWEVXRVXSVXTWWEVXRVYAVYBVYCWWEUXRWWHUIZWWEFUXTWWI
      WWEUXTWXFUPZWWEFUWNUXTWWIWWKWXGWWLUYHWWDUWNUXTVGRAWWMUWNUWTUXTWWNWWPWWMUX
      RUCWWRWWOVJWWSWWMUWNUXRUCWWNWWRWWOWWMUWNUXRWWNWWRWWTWOUVDVKYSXOWOAWWDVYCU
      YHWXBVYGVYCWXEWWDVWQUVRVYHAWWGUVTVYJXQXRYTWWEAVVKVYKWWFVVLVYLYHXKZWWEAVXR
      WWFWXHXIVYOXBWWEAUYGVYPWWFWWEVYQUVRVYGUYGWWEVYQVWRWXAWWEUXMVWQVYQVWRYBWWE
      AUXMWWFIUNWWHFUXRYCXMXTWWEAUVQUVRWWFJUVSYHAWWDVYGUYHWXEYTVYRVMLXMWOYNYPUV
      EWUMUYRUVMWNPWUNWUOWUPWUQWBYBWURWUMUVMWVFXDUVLUVMWUJYRXMXKMXMYQUYIAUWRUYM
      UYHUWSAUVFUVGUYIUYOWUDBUYJCUHZUKPZUYIAUYHUYMUYNXIUYOAVYTVUNWUBXIWUCUYDVOW
      UDWXJVOEUBVVPWUCWUDUYDWXJWUEVVPUYCWXIUKVVPBUYBUYJCVVPUXSUWOUYAUXAUGVVQWUF
      VQVBVCWSNXLYHUVHUVIUVJVT $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.  $d ph x y $.
    itgsincmulx.a $e |- ( ph -> A e. CC ) $.
    itgsincmulx.an0 $e |- ( ph -> A =/= 0 ) $.
    itgsincmulx.b $e |- ( ph -> B e. RR ) $.
    itgsincmulx.c $e |- ( ph -> C e. RR ) $.
    itgsincmulx.blec $e |- ( ph -> B <_ C ) $.
    $( Exercise: the integral of ` x |-> sin a x ` on an open interval.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    itgsincmulx $p |- ( ph -> S. ( B (,) C ) ( sin ` ( A x. x ) ) _d x = ( ( (
       cos ` ( A x. B ) ) - ( cos ` ( A x. C ) ) ) / A ) ) $=
      ( vy co cmul cfv cneg cdiv cmpt wcel wceq cc cioo csin citg cicc ccos cdv
      cv cr cmin wa adantr simpr mulcld coscld negcld cc0 wne divcld cnelprrecn
      eqid cpr a1i sincld dvcosax syl dvmptneg dvmptdivc eqcomd divcan3d negeqd
      divnegd negnegd 3eqtrd eqtrd dvmptresicc fveq1d eqidd oveq2 fveq2d adantl
      mpteq2dva ioosscn sselid fvmptd eqtr2d itgeq2dv ccncf wss ssid constcncfg
      sincn idcncfg mulcncf cncfmpt1f eqeltrd cibl ioossicc cdm ioombl iccssred
      cvol ax-resscn sstrdi sselda cniccibl syl3anc iblss coscn negcncfg neneqd
      csn cdif elsng mtbird eldifd difssd divcncf ftc2 caddc cvv oveq1d cxr cle
      wb rexrd ubicc2 ovexd lbicc2 oveq12d recnd oveq2d subnegd addcomd negsubd
      wbr divsubdird ) ABDEUALZCBUGZMLZUBNZUCBYQYRUHKDEUDLZCKUGZMLZUENZOZCPLZQZ
      UFLZNZUCEUUGNZDUUGNZUILZCDMLZUENZCEMLZUENZUILCPLZABYQYTUUIAYRYQRZUJZUUIYR
      KYQUUCUBNZQZNZYTAUUIUVBSUURAYRUUHUVAAKUUFUUTDEKTUUFQZUVCUTAUUBTRZUJZUUECU
      VEUUDUVEUUCUVECUUBACTRZUVDFUKZAUVDULUMZUNZUOZUVGACUPUQUVDGUKZURATUVCUFLKT
      CUUTOZMLZOZCPLZQKTUUTQAKUUEUVNCTTTTUHTVARAUSVBZUVJUVEUVMUVECUVLUVGUVEUUTU
      VEUUCUVHVCZUOZUMZUOAKUUDUVMTTTUVPUVIUVSAUVFTKTUUDQUFLKTUVMQSFKCVDVEVFFGVG
      AKTUVOUUTUVEUVOUVMCPLZOZUVLOUUTUVEUWAUVOUVEUVMCUVSUVGUVKVKVHUVEUVTUVLUVEU
      VLCUVRUVGUVKVIVJUVEUUTUVQVLVMWAVNUVQHIVOZVPUKUUSKYRUUTYTYQUVATUUSUVAVQUUB
      YRSZUUTYTSUUSUWCUUCYSUBUUBYRCMVRVSVTAUURULZUUSYSUUSCYRAUVFUURFUKUUSYQTYRD
      EWBZUWDWCUMVCWDWEWFABDEUUGHIJAUUHUVAYQTWGLUWBAKUUCUBYQUBTTWGLZRAWKVBZAKCU
      UBYQAKYQCTYQTWHAUWEVBZFTTWHATWIVBZWJAKYQTUWHUWIWLWMWNWOAUUHUVAWPUWBAKYQUU
      AUUTTYQUUAWHADEWQVBYQXAWRRADEWSVBAUUBUUARZUJZUUCUWKCUUBAUVFUWJFUKAUUATUUB
      AUUAUHTADEHIWTXBXCZXDUMVCADUHREUHRKUUAUUTQZUUATWGLRUWMWPRHIAKUUCUBUUAUWGA
      KCUUBUUAAKUUACTUWLFUWIWJAKUUATUWLUWIWLWMZWNDEUWMXEXFXGWOAKUUECUUAAKUUAUUD
      AKUUCUEUUAUEUWFRAXHVBUWNWNXIAKUUACTUPXKZXLUWLACTUWOFACUWORZCUPSZACUPGXJAU
      VFUWPUWQYDFCUPTXMVEXNXOATUWOXPWJXQXRAUULUUPOZCPLZUUNCPLZXSLZUWTUWSXSLZUUQ
      AUULUWSUUNOZCPLZUILUWSUWTOZUILUXAAUUJUWSUUKUXDUIAKEUUFUWSUUAUUGXTAUUGVQZU
      UBESZUUFUWSSAUXGUUEUWRCPUXGUUDUUPUXGUUCUUOUEUUBECMVRVSVJYAVTADYBRZEYBRZDE
      YCYOZEUUARADHYEZAEIYEZJDEYFXFAUWRCPYGWDAKDUUFUXDUUAUUGXTUXFUUBDSZUUFUXDSA
      UXMUUEUXCCPUXMUUDUUNUXMUUCUUMUEUUBDCMVRVSVJYAVTAUXHUXIUXJDUUARUXKUXLJDEYH
      XFAUXCCPYGWDYIAUXDUXEUWSUIAUXEUXDAUUNCAUUMACDFADHYJUMUNZFGVKVHYKAUWSUWTAU
      WRCAUUPAUUOACEFAEIYJUMUNZUOFGURZAUUNCUXNFGURZYLVMAUWSUWTUXPUXQYMAUXBUWTUU
      PCPLZOZXSLUWTUXRUILZUUQAUWSUXSUWTXSAUXSUWSAUUPCUXOFGVKVHYKAUWTUXRUXQAUUPC
      UXOFGURYNAUUQUXTAUUNUUPCUXNUXOFGYPVHVMVMVM $.
  $}

  ${
    $d A u w $.  $d E u $.  $d G w x $.  $d K u w x $.  $d L u w x $.
    $d X u w x $.  $d Y u w x $.  $d ph u w x $.
    itgsubsticclem.1 $e |- F = ( u e. ( K [,] L ) |-> C ) $.
    itgsubsticclem.2 $e |- G = ( u e. RR |-> if ( u e. ( K [,] L ) , ( F ` u )
       , if ( u < K , ( F ` K ) , ( F ` L ) ) ) ) $.
    itgsubsticclem.3 $e |- ( ph -> X e. RR ) $.
    itgsubsticclem.4 $e |- ( ph -> Y e. RR ) $.
    itgsubsticclem.5 $e |- ( ph -> X <_ Y ) $.
    itgsubsticclem.6 $e |- ( ph -> ( x e. ( X [,] Y ) |-> A ) e. ( ( X [,] Y )
       -cn-> ( K [,] L ) ) ) $.
    itgsubsticclem.7 $e |- ( ph -> ( x e. ( X (,) Y ) |-> B ) e. ( ( ( X (,) Y
       ) -cn-> CC ) i^i L^1 ) ) $.
    itgsubsticclem.8 $e |- ( ph -> F e. ( ( K [,] L ) -cn-> CC ) ) $.
    itgsubsticclem.9 $e |- ( ph -> K e. RR ) $.
    itgsubsticclem.10 $e |- ( ph -> L e. RR ) $.
    itgsubsticclem.11 $e |- ( ph -> K <_ L ) $.
    itgsubsticclem.12 $e |- ( ph -> ( RR _D ( x e. ( X [,] Y ) |-> A ) ) = ( x
       e. ( X (,) Y ) |-> B ) ) $.
    itgsubsticclem.13 $e |- ( u = A -> C = E ) $.
    itgsubsticclem.14 $e |- ( x = X -> A = K ) $.
    itgsubsticclem.15 $e |- ( x = Y -> A = L ) $.
    $( lemma for ~ itgsubsticc .  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    itgsubsticclem $p |- ( ph -> S_ [ K -> L ] C _d u = S_ [ X -> Y ] ( E x. B
       ) _d x ) $=
      ( vw cdit cfv cmul co fveq2 nfcv cicc wcel clt wbr cif cmpt nfmpt1 nfcxfr
      cv cr nffv cbvditg cioo wa wceq wss iccssred adantr ioossicc sseli adantl
      cc sseldd iftrued a1i ccncf wf syl feq1dd fvmptelrn syldan fvmpt2 syl2anc
      cncff eqeltrd 3eqtrd ditgeq3d cpnf cmnf mnfxr pnfxr ioomax eqcomi sseqtrd
      cxr ax-resscn eqsstrrdi cncfss ccnfld ctopn crn crest cuni cres eqid ctop
      ctg ccn cnfldtop sstrdi ssid unicntop restid ax-mp cncfcn sylancl restabs
      cvv syl3anc tgioo2 oveq1d eqtr3d eqtrd eleqtrd icccncfext simpld uniretop
      reex cnf feq2d mpbid eqeltrrd ctopon resttopon sylancr feqmptd frnd eqtri
      oveq2i eqcomd itgsubst 3eqtr3a simpr wral cnfldtopon cnf2 fmpt sylibr rsp
      sylc simpll wex elex isset sylib exlimddv fvmptd ) ACJKFUJZBLMDIUKZEULUMZ
      UJZBLMGEULUMZUJACJKCVDZIUKZUJUIJKUIVDZIUKZUJUVCUVFCUIJKUVIUVKUVHUVJIUNUIU
      VIUOCUVJICICVEUVHJKUPUMZUQZUVHHUKZUVHJURUSJHUKKHUKUTZUTZVAZOCVEUVPVBVCCUV
      JUOVFVGACJKUVIFUDAUVHJKVHUMZUQZVIZUVIUVPUVNFUVTUVHVEUQUVPVQUQUVIUVPVJUVTU
      VLVEUVHAUVLVEVKZUVSAJKUBUCVLZVMUVSUVMAUVRUVLUVHJKVNVOVPZVRUVTUVPUVNVQUVTU
      VMUVNUVOUWCVSZUVTUVNFVQUVTUVMFVQUQZUVNFVJZUWCAUVSUVMUWEUWCACUVLFVQAUVLVQH
      CUVLFVAZHUWGVJANVTAHUVLVQWAUMZUQUVLVQHWBUAUVLVQHWIWCZWDWEZWFZCUVLFVQHNWGZ
      WHZUWKWJWJCVEUVPVQIOWGWHUWDUWMWKWLABUIDEUVKUVDJKWMLMWNPQRWNWTUQAWOVTWMWTU
      QAWPVTALMUPUMZUVLWAUMZUWNWNWMVHUMZWAUMZBUWNDVAZAUVLUWPVKUWPVQVKZUWOUWQVKA
      UVLVEUWPUWBVEUWPVJAUWPVEWQWRZVTZWSAUWPVEVQUXAXAXBZUWNUVLUWPXCWHSVRTAIUIUW
      PUVKVAUWPVQWAUMZAUIUWPXDXEUKZHXFZXGUMZXHZIAVEUXGIWBZUWPUXGIWBAIVHXFXLUKZU
      XFXMUMZUQZUXHAUXKIUVLXIHVJACJKHIUXIUXDUXDXHZCHUWGNCUVLFVBVCUXIXJUXLXJOUBU
      CUDUXDXKUQZAUXDUXDXJZXNZVTZAHUWHUXIUVLXGUMZUXDXMUMZUAAUWHUXDUVLXGUMZUXDXM
      UMZUXRAUVLVQVKZVQVQVKZUWHUXTVJAUVLVEVQUWBXAXOZVQXPZUVLVQUXDUXSUXDUXNUXSXJ
      ZUXDVQXGUMZUXDUXMUYFUXDVJUXOUXDXKVQXQXRXSWRXTYAAUXSUXQUXDXMAUXDVEXGUMZUVL
      XGUMZUXSUXQAUXMUWAVEYCUQZUYHUXSVJUXPUWBUYIAYMVTUVLVEUXDXKYCYBYDAUYGUXIUVL
      XGUYGUXIVJAUXIUYGUXDUXNYEZWRVTYFYGYFYHYIYJYKZIUXIUXFVEUXGYLUXGXJYNWCAVEUW
      PUXGIUXAYOYPUUAAUWPUXEWAUMZUXCIAUXEVQVKZUYBUYLUXCVKAUVLVQHUWIUUBZUYDUWPUX
      EVQXCYAAIUXJUYLUYKAUYLUXJAUWSUYMUYLUXJVJUXBUYNUWPUXEUXDUXIUXFUXNUXIUYGUXD
      UWPXGUMUYJVEUWPUXDXGUWTUUDUUCUXFXJXTWHUUEYIVRYQUEUVJDIUNUGUHUUFUUGABLMUVE
      UVGRABVDZLMVHUMZUQZVIZUVDGEULUYRCDUVPGVEIVQIUVQVJUYROVTUYRUVHDVJZVIZUVPUV
      NFGUYTUVMUVNUVOUYTUVHDUVLUYRUYSUUHUYRDUVLUQZUYSUYRVUABUWNUUIZUYOUWNUQZVUA
      UYRUWNUVLUWRWBZVUBAVUDUYQAUXDUWNXGUMZUWNYRUKUQZUXSUVLYRUKUQZUWRVUEUXSXMUM
      ZUQVUDAUXDVQYRUKUQZUWNVQVKZVUFUXDUXNUUJZAUWNVEVQALMPQVLXAXOZUWNUXDVQYSYTA
      VUIUYAVUGVUKUYCUVLUXDVQYSYTAUWRUWOVUHSAVUJUYAUWOVUHVJVULUYCUWNUVLUXDVUEUX
      SUXNVUEXJUYEXTWHYIUWRVUEUXSUWNUVLUUKYDVMBUWNUVLDUWRUWRXJUULUUMUYQVUCAUYPU
      WNUYOLMVNVOVPVUABUWNUUNUUOZVMWJZVSUYTUVMUWEUWFVUNUYTAUVMUWEAUYQUYSUUPVUNU
      WJWHZUWLWHUYSFGVJUYRUFVPZWKUYRUVLVEDAUWAUYQUWBVMVUMVRUYRUYSGVQUQCUYRDYCUQ
      ZUYSCUUQUYRVUAVUQVUMDUVLUURWCCDUUSUUTUYTFGVQVUPVUOYQUVAUVBYFWLYH $.
  $}

  ${
    $d A u $.  $d C x $.  $d E u $.  $d K u x $.  $d L u x $.  $d X u x $.
    $d Y u x $.  $d ph u x $.
    itgsubsticc.1 $e |- ( ph -> X e. RR ) $.
    itgsubsticc.2 $e |- ( ph -> Y e. RR ) $.
    itgsubsticc.3 $e |- ( ph -> X <_ Y ) $.
    itgsubsticc.4 $e |- ( ph -> ( x e. ( X [,] Y ) |-> A ) e. ( ( X [,] Y )
       -cn-> ( K [,] L ) ) ) $.
    itgsubsticc.5 $e |- ( ph -> ( u e. ( K [,] L ) |-> C ) e. ( ( K [,] L )
       -cn-> CC ) ) $.
    itgsubsticc.6 $e |- ( ph -> ( x e. ( X (,) Y ) |-> B ) e. ( ( ( X (,) Y )
       -cn-> CC ) i^i L^1 ) ) $.
    itgsubsticc.7 $e |- ( ph -> ( RR _D ( x e. ( X [,] Y ) |-> A ) ) = ( x e. (
       X (,) Y ) |-> B ) ) $.
    itgsubsticc.8 $e |- ( u = A -> C = E ) $.
    itgsubsticc.9 $e |- ( x = X -> A = K ) $.
    itgsubsticc.10 $e |- ( x = Y -> A = L ) $.
    itgsubsticc.11 $e |- ( ph -> K e. RR ) $.
    itgsubsticc.12 $e |- ( ph -> L e. RR ) $.
    $( Integration by u-substitution.  The main difference with respect to
       ~ itgsubst is that here we consider the range of ` A ( x ) ` to be in
       the closed interval ` ( K [,] L ) ` .  If ` A ( x ) ` is a continuous,
       differentiable function from ` [ X , Y ] ` to ` ( Z , W ) ` , whose
       derivative is continuous and integrable, and ` C ( u ) ` is a continuous
       function on ` ( Z , W ) ` , then the integral of ` C ( u ) ` from
       ` K = A ( X ) ` to ` L = A ( Y ) ` is equal to the integral of
       ` C ( A ( x ) ) _D A ( x ) ` from ` X ` to ` Y ` .  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    itgsubsticc $p |- ( ph -> S_ [ K -> L ] C _d u = S_ [ X -> Y ] ( E x. B )
       _d x ) $=
      ( cicc co cmpt cr wcel cfv clt wbr cif eqid cle w3a eqidd wceq adantl cxr
      cv rexrd ubicc2 syl3anc fvmptd ccncf wf cncff ffvelrnd eqeltrrd wb elicc2
      syl syl2anc mpbid simp2d itgsubsticclem ) ABCDEFGCHIUDUEZFUFZCUGCUTZVQUHV
      SVRUIVSHUJUKHVRUIIVRUIULULUFZHIJKVRUMVTUMLMNOQPUBUCAIUGUHZHIUNUKZIIUNUKZA
      IVQUHZWAWBWCUOZAKBJKUDUEZDUFZUIIVQABKDIWFWGUGAWGUPBUTKUQDIUQAUAURAJUSUHKU
      SUHJKUNUKKWFUHAJLVAAKMVANJKVBVCZUCVDAWFVQKWGAWGWFVQVEUEUHWFVQWGVFOWFVQWGV
      GVLWHVHVIAHUGUHWAWDWEVJUBUCHIIVKVMVNVORSTUAVP $.
  $}

  ${
    $d A x $.  $d B x $.  $d F x $.  $d L x $.  $d R x $.  $d ph x $.
    itgioocnicc.a $e |- ( ph -> A e. RR ) $.
    itgioocnicc.b $e |- ( ph -> B e. RR ) $.
    itgioocnicc.f $e |- ( ph -> F : dom F --> CC ) $.
    itgioocnicc.fcn $e |- ( ph -> ( F |` ( A (,) B ) ) e. ( ( A (,) B ) -cn->
       CC ) ) $.
    itgioocnicc.fdom $e |- ( ph -> ( A [,] B ) C_ dom F ) $.
    itgioocnicc.r $e |- ( ph -> R e. ( ( F |` ( A (,) B ) ) limCC A ) ) $.
    itgioocnicc.l $e |- ( ph -> L e. ( ( F |` ( A (,) B ) ) limCC B ) ) $.
    itgioocnicc.g $e |- G = ( x e. ( A [,] B ) |-> if ( x = A , R , if ( x = B
       , L , ( F ` x ) ) ) ) $.
    $( The integral of a piecewise continuous function ` F ` on an open
       interval is equal to the integral of the continuous function ` G ` , in
       the corresponding closed interval. ` G ` is equal to ` F ` on the open
       interval, but it is continuous at the two boundaries, also.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    itgioocnicc $p |- ( ph -> ( G e. L^1 /\ S. ( A [,] B ) ( G ` x ) _d x = S.
       ( A [,] B ) ( F ` x ) _d x ) ) $=
      ( wcel wceq cc adantr cibl cicc co cv cfv citg cr ccncf cioo cres cmpt wa
      cif iftrue eqtr4d adantl wn ifeq2d adantll iffalse ad2antlr cxr ad3antrrr
      rexrd simpr eliccre syl3anc clt wbr cle iccgelb wne neqne leneltd iccleub
      ad2antrr eqcom notbii biimpi neqned adantlr eliood fvres 3eqtrd pm2.61dan
      syl 3eqtrrd mpteq2dva syl5eq nfv cncfiooicc eqeltrd cniccibl climc limccl
      eqid sselid sylan9eq eqcomd cncff ffvelrnd fvmpt2 syl2anc itgioo ioossicc
      wf sseli sylan2 eliooord simpld gtned neneqd simprd ltned itgeq2dv sselda
      cdm jca ) AGUAQZBCDUBUCZBUDZGUEZUFZBXTYAFUEZUFZRACUGQZDUGQZGXTSUHUCZQXSIJ
      AGBXTYACRZEYADRZHYAFCDUIUCZUJZUEZUMZUMZUKZYHAGBXTYIEYJHYDUMZUMZUKYPPABXTY
      RYOAYAXTQZULZYIYRYORZYIUUAYTYIYREYOYIEYQUNZYIEYNUNUOUPYTYIUQZULZYJUUAUUCY
      JUUAYTUUCYJULYIYQYNEYJYQYNRUUCYJYQHYNYJHYDUNZYJHYMUNUOUPURUSUUDYJUQZULZYR
      YQYDYOUUCYRYQRZYTUUFYIEYQUTZVAUUFYQYDRZUUDYJHYDUTZUPUUGYOYNYMYDUUCYOYNRYT
      UUFYIEYNUTVAUUFYNYMRUUDYJHYMUTUPUUGYAYKQZYMYDRUUGCDYAYTCVBQZUUCUUFYTCAYFY
      SITZVDZVPADVBQZYSUUCUUFADJVDZVCYTYAUGQZUUCUUFYTYFYGYSUURUUNAYGYSJTAYSVEZC
      DYAVFVGZVPUUDCYAVHVIZUUFUUDCYAAYFYSUUCIVPYTUURUUCUUTTYTCYAVJVIZUUCYTUUMUU
      PYSUVBUUOAUUPYSUUQTZUUSCDYAVKVGTUUCYACVLYTYACVMUPVNTYTUUFYADVHVIZUUCYTUUF
      ULYADYTUURUUFUUTTAYGYSUUFJVPYTYADVJVIZUUFYTUUMUUPYSUVEUUOUVCUUSCDYAVOVGTU
      UFDYAVLYTUUFDYAUUFDYARZUQYJUVFYADVQVRVSVTUPVNWAWBZYAYKFWCWFZWGWDWEWEWHWIA
      BCDEYLYPHABWJYPWPIJLONWKWLCDGWMVGAYCBYKYBUFZBYKYDUFYEAUVIYCABCDYBIJYTYBYR
      SYTYSYRSQZYBYRRZUUSYTYIUVJYTYIULYRESYIYRERYTUUBUPAESQYSYIAYLCWNUCSECYLWON
      WQVPWLUUDYJUVJUUDYJULYRHSUUCYJYRHRYTUUCYJYRYQHUUIUUEWRUSAHSQYSUUCYJAYLDWN
      UCSHDYLWOOWQVCWLUUGYRYDSUUCUUFYRYDRYTUUCUUFYRYQYDUUIUUKWRUSUUGYDYMSUUGYMY
      DUVHWSUUGYKSYAYLAYKSYLXFZYSUUCUUFAYLYKSUHUCQUVLLYKSYLWTWFVCUVGXAWLWLWEWEZ
      BXTYRSGPXBXCZUVMWLXDWSABYKYBYDAUULULZYBYRYQYDUULAYSUVKYKXTYACDXEXGZUVNXHU
      VOUUCUUHUVOYACUVOCYAAYFUULITUULUVAAUULUVAUVDYACDXIZXJUPXKXLUUIWFUVOUUFUUJ
      UVOYADUVOYADUULAYSUURUVPUUTXHUULUVDAUULUVAUVDUVQXMUPXNXLUUKWFWDXOABCDYDIJ
      YTFXQZSYAFAUVRSFXFYSKTAXTUVRYAMXPXAXDWDXR $.
  $}

  ${
    $d A x $.  $d B x $.  $d F x $.  $d L x $.  $d R x $.  $d ph x $.
    iblcncfioo.a $e |- ( ph -> A e. RR ) $.
    iblcncfioo.b $e |- ( ph -> B e. RR ) $.
    iblcncfioo.f $e |- ( ph -> F e. ( ( A (,) B ) -cn-> CC ) ) $.
    iblcncfioo.l $e |- ( ph -> L e. ( F limCC B ) ) $.
    iblcncfioo.r $e |- ( ph -> R e. ( F limCC A ) ) $.
    $( A continuous function ` F ` on an open interval ` ( A (,) B ) ` with a
       finite right limit ` R ` in ` A ` and a finite left limit ` L ` in ` B `
       is integrable.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    iblcncfioo $p |- ( ph -> F e. L^1 ) $=
      ( vx co wceq cc wcel syl wa adantr adantl cioo cv cfv cif cmpt cibl ccncf
      wf cncff feqmptd cr clt wbr eliooord simpld gtned neneqd iffalsed elioore
      simprd ltned eqtrd eqcomd mpteq2dva cicc wss ioossicc a1i cvol cdm ioombl
      iftrue climc limccl eqeltrd adantlr wn iffalse ad2antlr ad2antrr adantllr
      sselid simplll cxr w3a rexrd eliccxr ad3antlr 3jca eliccre syl3anc cle wb
      simpr jca elicc2 mpbid simp2d df-ne biimpri leneltd simp3d leltne elioo3g
      wne nesym sylanbrc ffvelrnda pm2.61dan nfv eqid cncfiooicc cniccibl iblss
      mpbird ) AELBCUAMZLUBZBNZDXQCNZFXQEUCZUDZUDZUEZUFAELXPXTUEYCALXPOEAEXPOUG
      MPXPOEUHIXPOEUIQZUJALXPXTYBAXQXPPZRZYBXTYFYBYAXTYFXRDYAYFXQBYFBXQABUKPZYE
      GSYEBXQULUMZAYEYHXQCULUMZXQBCUNZUOTUPUQURYFXSFXTYFXQCYFXQCYEXQUKPZAXQBCUS
      TYEYIAYEYHYIYJUTTVAUQURVBZVCVDVBALXPBCVEMZYBOXPYMVFABCVGVHXPVIVJPABCVKVHA
      XQYMPZRZXRYBOPZAXRYPYNAXRRYBDOXRYBDNAXRDYAVLTADOPXRAEBVMMODBEVNKWBSVOVPYO
      XRVQZRZXSYPAYQXSYPYNAYQRZXSRZYBFOYTYBYAFYQYBYANAXSXRDYAVRVSXSYAFNYSXSFXTV
      LTVBAFOPYQXSAECVMMOFCEVNJWBVTVOWAYRXSVQZRZYFYPUUBAYEAYNYQUUAWCZUUBBWDPZCW
      DPZXQWDPZWEYHYIRYEUUBUUDUUEUUFUUBAUUDUUCABGWFQUUBAUUEUUCACHWFQYNUUFAYQUUA
      XQBCWGWHWIUUBYHYIYRYHUUAYRBXQAYGYNYQGVTYOYKYQYOYGCUKPZYNYKAYGYNGSAUUGYNHS
      ZAYNWNZBCXQWJWKZSYOBXQWLUMZYQYOYKUUKXQCWLUMZYOYNYKUUKUULWEZUUIYOYGUUGRZYN
      UUMWMAUUNYNAYGUUGGHWOSBCXQWPQWQZWRSYQXQBXEZYOUUPYQXQBWSWTTXASYOUUAYIYQYOU
      UARZYICXQXEZUUAUURYOUURUUACXQXFWTTUUQYKUUGUULWEZYIUURWMYOUUSUUAYOYKUUGUUL
      UUJUUHYOYKUUKUULUUOXBWISXQCXCQXOVPWOBCXQXDXGWOYFYBXTOYLAXPOXQEYDXHVOQXIXI
      AYGUUGLYMYBUEZYMOUGMPUUTUFPGHALBCDEUUTFALXJUUTXKGHIJKXLBCUUTXMWKXNVO $.
  $}

  ${
    $d A i j k $.  $d M i j k t $.  $d N i j k t $.  $d P i j k t $.
    $d i j k ph t $.
    itgspltprt.1 $e |- ( ph -> M e. ZZ ) $.
    itgspltprt.2 $e |- ( ph -> N e. ( ZZ>= ` ( M + 1 ) ) ) $.
    itgspltprt.3 $e |- ( ph -> P : ( M ... N ) --> RR ) $.
    itgspltprt.4 $e |- ( ( ph /\ i e. ( M ..^ N ) ) -> ( P ` i ) < ( P ` ( i +
       1 ) ) ) $.
    itgspltprt.5 $e |- ( ( ph /\ t e. ( ( P ` M ) [,] ( P ` N ) ) ) -> A e. CC
       ) $.
    itgspltprt.6 $e |- ( ( ph /\ i e. ( M ..^ N ) ) -> ( t e. ( ( P ` i ) [,] (
       P ` ( i + 1 ) ) ) |-> A ) e. L^1 ) $.
    $( The ` S. ` integral splits on a given partition ` P ` .  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    itgspltprt $p |- ( ph -> S. ( ( P ` M ) [,] ( P ` N ) ) A _d t = sum_ i e.
       ( M ..^ N ) S. ( ( P ` i ) [,] ( P ` ( i + 1 ) ) ) A _d t ) $=
      ( wcel cle wbr cr adantl adantr ltled vj vk c1 caddc co cfz cfv cicc citg
      cfzo cv csu wceq peano2zd cuz cz eluzelz syl elfzd wi fveq2 itgeq1d oveq2
      oveq2d sumeq1d eqeq12d imbi2d wa eqcomd cc zred readdcld ltp1d ltletrd wb
      1red eluz syl2anc mpbird ffvelrnd simpr eliccre syl3anc cxr rexrd iccgelb
      iccleub elfzelz clt elfzle1 elfzle2 w3a jca elfz1 mpbir3and cmin resubcld
      ltm1d lelttrd lttrd zltp1le syl2anr mpbid syl2an elfzo2 syl3anbrc monoord
      syldan letrd eliccd cmpt cibl eleq1 anbi2d fvoveq1 oveq12d mpteq1d eleq1d
      imbi12d itgcl elfzoelz simplll eliccxr ad2antrr elfzolt2 elfzuz ad3antrrr
      simp1 adantlr breq12d chvarvv adantll 3adant3 3adant2 elicc1 simpll eluz2
      3ad2ant1 3ad2ant3 elfzouz eluzle eluzelre leidd wf eluzfz1 lep1d ltadd1dd
      fzval3 id fzolb vtoclg sylc fsum1 eqtr2d ex simp3 simp2 elfzole1 ad2antlr
      mpd anim12ci ad4ant14 elfzel1 simplr 3ad2ant2 leadd1dd fzosump1 oveq1 nfv
      elfzouz2 iblspltprt itgspliticc 3eqtrrd 3exp fzind2 mpcom ) GFUCUDUEZGUFU
      EZNABFDUGZGDUGZUHUEZCUIZFGUJUEZBEUKZDUGZUWDUCUDUEZDUGZUHUEZCUIZEULZUMZAGU
      VQGAFHUNZAGUVQUOUGZNZGUPNZIUVQGUQURZUWPAUWNUVQGOPIUVQGUUAURZAGAUWNGQNZIUV
      QGUUBURZUUCZUSABUVSUAUKZDUGZUHUEZCUIZFUXAUJUEZUWIEULZUMZUTABUVSUVQDUGZUHU
      EZCUIZFUVQUJUEZUWIEULZUMZUTABUVSUBUKZDUGZUHUEZCUIZFUXNUJUEZUWIEULZUMZUTZA
      BUVSUXNUCUDUEZDUGZUHUEZCUIZFUYBUJUEZUWIEULZUMZUTAUWKUTUAUBGUVQGUXAUVQUMZU
      XGUXMAUYIUXDUXJUXFUXLUYIBUXCUXICUYIUXBUXHUVSUHUXAUVQDVAVDVBUYIUXEUXKUWIEU
      XAUVQFUJVCVEVFVGUXAUXNUMZUXGUXTAUYJUXDUXQUXFUXSUYJBUXCUXPCUYJUXBUXOUVSUHU
      XAUXNDVAVDVBUYJUXEUXRUWIEUXAUXNFUJVCVEVFVGUXAUYBUMZUXGUYHAUYKUXDUYEUXFUYG
      UYKBUXCUYDCUYKUXBUYCUVSUHUXAUYBDVAVDVBUYKUXEUYFUWIEUXAUYBFUJVCVEVFVGUXAGU
      MZUXGUWKAUYLUXDUWBUXFUWJUYLBUXCUWACUYLUXBUVTUVSUHUXAGDVAVDVBUYLUXEUWCUWIE
      UXAGFUJVCVEVFVGUWNAUXMUWNAVHZUXLFFUFUEZUWIEULZUXJUYMUXKUYNUWIEUYMUYNUXKUY
      MFUPNZUYNUXKUMAUYPUWNHRFFUUHURVIVEAUYOUXJUMZUWNAUYPUXJVJNUYQHABUXICVJABUK
      ZUXINZUYRUWANZCVJNZAUYSVHZUVSUVTUYRVUBFGUFUEZQFDAVUCQDUUDZUYSJSAFVUCNZUYS
      AGFUOUGZNZVUEAVUGFGOPZAFGAFHVKZUWSAFUVQGVUIAFUCVUIAVPVLZUWSAFVUIVMZUWQVNZ
      TZAUYPUWOVUGVUHVOHUWPFGVQVRVSFGUUEURZSVTZAUVTQNZUYSAVUCQGDJAGFGHUWPUWPVUM
      UWTUSVTZSZVUBUVSQNZUXHQNZUYSUYRQNZVUOAVUTUYSAVUCQUVQDJAUVQFGHUWPUWLAFVUIU
      UFUWQUSVTSZAUYSWAZUVSUXHUYRWBWCZVUBUVSWDNZUXHWDNZUYSUVSUYROPZAVVEUYSAUVSA
      VUCQFDJVUNVTZWEZSZVUBUXHVVBWEZVVCUVSUXHUYRWFWCVUBUYRUXHUVTVVDVVBVURVUBVVE
      VVFUYSUYRUXHOPVVJVVKVVCUVSUXHUYRWGWCAUXHUVTOPUYSAEDUVQGIAUWDUVRNZVHZVUCQU
      WDDAVUDVVLJSVVMUWDVUCNZUWDUPNZFUWDOPZUWDGOPZVVLVVOAUWDUVQGWHRZVVMFUWDAFQN
      ZVVLVUISZVVMUWDVVRVKZVVMFUVQUWDVVTAUVQQNZVVLVUJSVWAAFUVQWIPZVVLVUKSVVLUVQ
      UWDOPZAUWDUVQGWJRVNTVVLVVQAUWDUVQGWKRVVMUYPUWOVHZVVNVVOVVPVVQWLVOZAVWEVVL
      AUYPUWOHUWPWMZSUWDFGWNZURWOVTAUWDUVQGUCWPUEZUFUENZVHZUWEUWGVWKVUCQUWDDAVU
      DVWJJSZVWKVVNVVOVVPVVQVWJVVOAUWDUVQVWIWHZRZVWKFUWDAVVSVWJVUISZVWKUWDVWNVK
      ZVWKFUVQUWDVWOAVWBVWJVUJSZVWPAVWCVWJVUKSZVWJVWDAUWDUVQVWIWJRVNZTZVWKUWDGV
      WPAUWRVWJUWSSZVWKUWDVWIGVWPVWKGUCVXAVWKVPZWQVXAVWJUWDVWIOPZAUWDUVQVWIWKRV
      WKGVXAWRWSZTVWKVWEVWFAVWEVWJVWGSZVWHURWOVTVWKVUCQUWFDVWLVWKUWFVUCNZUWFUPN
      ZFUWFOPZUWFGOPZVWKUWDVWNUNVWKFUWFVWOVWKUWDUCVWPVXBVLZVWKFUVQUWFVWOVWQVXJV
      WRVWKFUWDUCVWOVWPVXBVWSUUGWTTVWKUWDGWIPZVXIVXDVWJVVOUWOVXKVXIVOZAVWMUWPUW
      DGXAZXBXCVWKVWEVXFVXGVXHVXIWLVOZVXEUWFFGWNZURWOVTAVWJUWDUWCNZUWEUWGWIPZVW
      KUWDVUFNZUWOVXKVXPVWKVXRVVPVWTAUYPVVOVXRVVPVOVWJHVWMFUWDVQXDVSAUWOVWJUWPS
      VXDUWDFGXEZXFKXHTXGSXIXJLXHAUYPAFUWCNZVHZBUXICXKZXLNZHAAVXTAUUIAUYPUWOFGW
      IPVXTHUWPVULFGUUJXFWMAVXPVHZBUWHCXKZXLNZUTZVYAVYCUTEFUPUWDFUMZVYDVYAVYFVY
      CVYHVXPVXTAUWDFUWCXMXNVYHVYEVYBXLVYHBUWHUXICVYHUWEUVSUWGUXHUHUWDFDVAUWDFU
      CDUDXOXPZXQXRXSMUUKUULXTUWIUXJEFVYHBUWHUXICVYIVBUUMVRRUUNUUOUXNUVQGUJUENZ
      UYAAUYHVYJUYAAWLZAVYJUXTUYHVYJUYAAUUPZVYJUYAAYHVYKAUXTVYLVYJUYAAUUQUUTAVY
      JUXTWLUYGUXSBUXOUYCUHUEZCUIZUDUEZUXQVYNUDUEZUYEAVYJUYGVYOUMUXTAVYJVHZUWIV
      YNEFUXNVYQUXNVUFNZFUXNOPZVYQFUXNAVVSVYJVUISZVYJUXNQNZAVYJUXNUXNUVQGYAZVKZ
      RZVYQFUVQUXNVYTAVWBVYJVUJSWUDAVWCVYJVUKSVYJUVQUXNOPAUXNUVQGUURRVNZTZAUYPU
      XNUPNZVYRVYSVOVYJHWUBFUXNVQXDVSZVYQUWDFUXNUFUENZVHZBUWHCVJWUJUYRUWHNZVHZA
      UYTVUAAVYJWUIWUKYBZWULUYTUYRWDNZVVGUYRUVTOPZWUKWUNWUJUYRUWEUWGYCRWULUVSUW
      EUYRWULAVUSWUMVVHURWULVUCQUWDDWULAVUDWUMJURZWUJVVNWUKWUJVVNVVOVVPVVQWUIVV
      OVYQUWDFUXNWHZRZWUIVVPVYQUWDFUXNWJZRWUJUWDGWUJUWDWURVKZAUWRVYJWUIUWSYDZWU
      JUWDUXNGWUTVYQWUAWUIWUDSWVAWUIUWDUXNOPVYQUWDFUXNWKRVYJUXNGWIPZAWUIUXNUVQG
      YEZUUSWSZTWUJVWEVWFAVWEVYJWUIVWGYDZVWHURWOZSVTZWULUWEQNUWGQNWUKVVAWVGWULV
      UCQUWFDWUPWUJVXFWUKWUJVXFVXGVXHVXIWUJUWDWURUNZWUJFUWFAVVSVYJWUIVUIYDWUJUW
      FWVHVKAWUIFUWFWIPZVYJAWUIVHZFUWDUWFAVVSWUIVUISWUIUWDQNZAWUIUWDWUQVKZRZWVJ
      UWDUCWVMWVJVPVLZWUIVVPAWUSRWVJUWDWVMVMZWSZYITWUJVXKVXIWVDWUJVVOUWOVHZVXLA
      WUIWVQVYJAUWOWUIVVOUWPWUQUVAYIVXMURXCZWUJVWEVXNWVEVXOURWOSVTZWUJWUKWAZUWE
      UWGUYRWBWCZWUJUVSUWEOPWUKWUJUADFUWDWUIVXRVYQUWDFUXNYFRZWUJUXAFUWDUFUENZVH
      ZVUCQUXADAVUDVYJWUIWWCJYGWWDUXAVUCNZUXAUPNZFUXAOPZUXAGOPZWWCWWFWUJUXAFUWD
      WHRZWWCWWGWUJUXAFUWDWJRWWDUXAGWWDUXAWWIVKZWUJUWRWWCWVASZWWDUXAUWDGWWJWUJW
      VKWWCWUTSWWKWWCUXAUWDOPWUJUXAFUWDWKRWUJVXKWWCWVDSWSTWWDVWEWWEWWFWWGWWHWLV
      OZWUJVWEWWCWVESUXAFGWNZURWOVTWUJUXAFUWDUCWPUEZUFUENZVHZUXBUXAUCUDUEZDUGZW
      WPVUCQUXADAVUDVYJWUIWWOJYGZWWPWWEWWFWWGWWHWWOWWFWUJUXAFWWNWHZRZWWOWWGWUJU
      XAFWWNWJZRWWPUXAGWWPUXAWXAVKZWUJUWRWWOWVASZWWPUXAUWDGWXCWUJWVKWWOWUTSZWXD
      WWPUXAWWNUWDWXCWWPUWDUCWXEWWPVPZWQWXEWWOUXAWWNOPWUJUXAFWWNWKRWWPUWDWXEWRW
      SZWUJVXKWWOWVDSZWTZTWWPVWEWWLWUJVWEWWOWVESZWWMURWOVTWWPVUCQWWQDWWSWWPWWQV
      UCNZWWQUPNZFWWQOPZWWQGOPZWWPUXAWXAUNWWPFWWQVYQVVSWUIWWOVYTYDWWPUXAUCWXCWX
      FVLZAWWOFWWQWIPVYJWUIAWWOVHZFUXAWWQAVVSWWOVUISWWOUXAQNZAWWOUXAWWTVKRZWXPU
      XAUCWXRWXPVPVLWWOWWGAWXBRWXPUXAWXRVMWSUVBTWWPWWQGWXOWXDWWPWWQUWDGWXOWXEWX
      DWWPUXAUWDWIPZWWQUWDOPZWXGWWOWWFVVOWXSWXTVOWUJWWTWURUXAUWDXAXBXCWXHWSTWWP
      VWEWXKWXLWXMWXNWLVOZWXJWWQFGWNZURWOVTWWPAUXAUWCNZUXBWWRWIPZAVYJWUIWWOYBZW
      WPUXAVUFNZUWOUXAGWIPZWYCWWOWYFWUJUXAFWWNYFRWWPAUWOWYEUWPURWXIUXAFGXEZXFVY
      DVXQUTZAWYCVHZWYDUTEUAUWDUXAUMZVYDWYJVXQWYDWYKVXPWYCAUWDUXAUWCXMXNWYKUWEU
      XBUWGWWRWIUWDUXADVAUWDUXAUCDUDXOYJXSKYKZVRTXGSWULUWEWDNZUWGWDNZWUKUWEUYRO
      PWULUWEWVGWEZWULUWGWVSWEZWVTUWEUWGUYRWFWCXIWULUYRUWGUVTWWAWVSWULAVUPWUMVU
      QURWULWYMWYNWUKUYRUWGOPWYOWYPWVTUWEUWGUYRWGWCWULUADUWFGWUJGUWFUOUGNZWUKWU
      JWYQVXIWVRWUJVXGUWOWYQVXIVOWVHAUWOVYJWUIUWPYDZUWFGVQVRVSSWUJUXAUWFGUFUENZ
      UXBQNWUKWUJWYSVHZVUCQUXADAVUDVYJWUIWYSJYGWYTWWEWWFWWGWWHWYSWWFWUJUXAUWFGW
      HZRWUIWYSWWGVYQWUIWYSVHZFUXAWUIVVSWYSWUIFUWDFUXNUVCVKSZWYSWXQWUIWYSUXAXUA
      VKRZXUBFUWFUXAXUCXUBUWDUCWUIWVKWYSWVLSZXUBVPVLZXUDXUBFUWDUWFXUCXUEXUFWUIV
      VPWYSWUSSXUBUWDXUEVMWSWYSUWFUXAOPZWUIUXAUWFGWJRVNTYLWYSWWHWUJUXAUWFGWKRWY
      TVWEWWLWUJVWEWYSWVESWWMURWOVTYIWUJUXAUWFVWIUFUENZUXBWWROPZWUKWUJXUHVHAWUI
      XUHXUIAVYJWUIXUHYBVYQWUIXUHUVDWUJXUHWAAWUIXUHWLZUXBWWRXUJVUCQUXADAWUIVUDX
      UHJYRZXUJWWEWWFWWGWWHXUHAWWFWUIUXAUWFVWIWHZYSZXUJFUXAAWUIVVSXUHVUIYRZXUJU
      XAXUMVKZXUJFUWFUXAXUNAWUIUWFQNXUHWVNYMZXUOAWUIWVIXUHWVPYMZXUHAXUGWUIUXAUW
      FVWIWJYSZVNTZAXUHWWHWUIAXUHVHZUXAGXUTUXAXUHWWFAXULRVKZAUWRXUHUWSSZXUTUXAV
      WIGXVAXUTGUCXVBXUTVPWQXVBXUHUXAVWIOPAUXAUWFVWIWKRXUTGXVBWRWSZTYNXUJVWEWWL
      AWUIVWEXUHVWGYRZWWMURWOVTXUJVUCQWWQDXUKXUJWXKWXLWXMWXNXUJUXAXUMUNZXUJFWWQ
      XUNXUJWWQXVEVKZXUJFUWFWWQXUNXUPXVFXUQXUJUWDUXAUCWUIAWVKXUHWVLUVEZXUOXUJVP
      XUJUWDUXAXVGXUOXUJUWDUWFUXAXVGXUPXUOAWUIUWDUWFWIPXUHWVOYMXURVNTUVFVNTAXUH
      WXNWUIXUTWYGWXNXVCXUHWWFUWOWYGWXNVOAXULUWPUXAGXAXBXCYNXUJVWEWYAXVDWYBURWO
      VTXUJAWYCWYDAWUIXUHYHXUJWYFUWOWYGWYCXUJWYFWWGXUSXUJUYPWWFWYFWWGVOAWUIUYPX
      UHHYRXUMFUXAVQVRVSAWUIUWOXUHUWPYRAXUHWYGWUIXVCYNWYHXFWYLVRTWCYIXGXIWULVVE
      UVTWDNZVHZUYTWUNVVGWUOWLVOZWULAXVIWUMAVVEXVHVVIAUVTVUQWEWMZURUVSUVTUYRYOZ
      URWOLVRWUJAVXPVYFAVYJWUIYPWUJVXRUWOVXKVXPWWBWYRWVDVXSXFMVRXTUWDUXNUMZBUWH
      VYMCXVMUWEUXOUWGUYCUHUWDUXNDVAZUWDUXNUCDUDXOZXPZVBUVGYMUXTAVYOVYPUMVYJUXT
      VYPVYOUXQUXSVYNUDUVHVIYSAVYJVYPUYEUMUXTVYQUYEVYPVYQBUVSUXOUYCCVJAVUSVYJVV
      HSVYQVUCQUYBDAVUDVYJJSZVYQUYBVUCNZUYBUPNZFUYBOPZUYBGOPZVYQUXNVYJWUGAWUBRZ
      UNZVYQFUYBVYTVYQUYBXWCVKZVYQFUXNUYBVYTWUDXWDWUEVYQUXNWUDVMWTTVYQWVBXWAVYJ
      WVBAWVCRZVYJWUGUWOWVBXWAVOAWUBUWPUXNGXAXBXCZVYQVWEXVRXVSXVTXWAWLVOAVWEVYJ
      VWGSZUYBFGWNURWOVTZVYQUXOUYDNZUXOWDNZUVSUXOOPZUXOUYCOPZVYQUXOVYQVUCQUXNDX
      VQVYQUXNVUCNZWUGVYSUXNGOPZXWBWUFVYQUXNGWUDAUWRVYJUWSSXWETVYQVWEXWMWUGVYSX
      WNWLVOXWGUXNFGWNURWOVTZWEZVYQEDFUXNWUHWUJVUCQUWDDAVUDVYJWUIJYDWVFVTZVYQUW
      DFUXNUCWPUEZUFUENZVHZUWEUWGXWTVUCQUWDDAVUDVYJXWSJYDZXWTVVNVVOVVPVVQXWSVVO
      VYQUWDFXWRWHZRZXWSVVPVYQUWDFXWRWJRZXWTUWDGXWTUWDXXCVKZAUWRVYJXWSUWSYDZXWT
      UWDUXNGXXEVYQWUAXWSWUDSZXXFXWTUWDXWRUXNXXEXWTUXNUCXXGXWTVPZWQXXGXWSUWDXWR
      OPVYQUWDFXWRWKRXWTUXNXXGWRWSZVYQWVBXWSXWESZWTZTXWTVWEVWFAVWEVYJXWSVWGYDZV
      WHURWOVTXWTVUCQUWFDXXAXWTVXFVXGVXHVXIXWTUWDXXCUNXWTFUWFAVVSVYJXWSVUIYDZXW
      TUWDUCXXEXXHVLZXWTFUWDUWFXXMXXEXXNXXDXWTUWDXXEVMWSTXWTUWFGXXNXXFXWTUWFUXN
      GXXNXXGXXFXWTUWDUXNWIPZUWFUXNOPZXXIXWSVVOWUGXXOXXPVOVYQXXBXWBUWDUXNXAXBXC
      XXJWSTXWTVWEVXNXXLVXOURWOVTXWTAVXPVXQAVYJXWSYPXWTVXRUWOVXKVXPXWSVXRVYQUWD
      FXWRYFRAUWOVYJXWSUWPYDXXKVXSXFKVRTXGVYQUXOUYCXWOXWHAVYJUXNUWCNZUXOUYCWIPZ
      VYQVYRUWOWVBXXQWUHAUWOVYJUWPSZXWEUXNFGXEXFZWYIAXXQVHZXXRUTEUBXVMVYDXYAVXQ
      XXRXVMVXPXXQAUWDUXNUWCXMXNZXVMUWEUXOUWGUYCWIXVNXVOYJXSKYKXHTVYQVVEUYCWDNZ
      XWIXWJXWKXWLWLVOAVVEVYJVVISVYQUYCXWHWEZUVSUYCUXOYOVRWOVYQUYRUYDNZVHZAUYTV
      UAAVYJXYEYPXYFUYTWUNVVGWUOXYEWUNVYQUYRUVSUYCYCRXYFVVEXYCXYEVVGAVVEVYJXYEV
      VIYDZVYQXYCXYEXYDSZVYQXYEWAZUVSUYCUYRWFWCXYFUYRUYCUVTXYFVUSUYCQNZXYEVVAAV
      USVYJXYEVVHYDVYQXYJXYEXWHSZXYIUVSUYCUYRWBWCXYKAVUPVYJXYEVUQYDXYFVVEXYCXYE
      UYRUYCOPXYGXYHXYIUVSUYCUYRWGWCVYQUYCUVTOPXYEVYQEDUYBGVYQXVSUWOXWAGUYBUOUG
      NXWCXXSXWFUYBGYQXFVYQUWDUYBGUFUENZVHZVUCQUWDDAVUDVYJXYLJYDXYMUWDFGAUYPVYJ
      XYLHYDAUWOVYJXYLUWPYDXYLVVOVYQUWDUYBGWHZRZXYMFUWDAVVSVYJXYLVUIYDZXYMUWDXY
      OVKZXYMFUXNUWDXYPVYQWUAXYLWUDSXYQVYQFUXNWIPZXYLWUESVYJXYLUXNUWDWIPZAVYJXY
      LVHZUXNUYBUWDVYJWUAXYLWUCSZXYTUXNUCYUAXYTVPVLXYLWVKVYJXYLUWDXYNVKRXYTUXNY
      UAVMXYLUYBUWDOPZVYJUWDUYBGWJRVNYLWTTXYLVVQVYQUWDUYBGWKRUSVTVYQUWDUYBVWIUF
      UENZVHZUWEUWGYUDVUCQUWDDAVUDVYJYUCJYDZYUDUWDFGAUYPVYJYUCHYDZAUWOVYJYUCUWP
      YDZYUCVVOVYQUWDUYBVWIWHZRZYUDFUWDAVVSVYJYUCVUIYDZYUDUWDYUIVKZYUDFUXNUWDYU
      JVYQWUAYUCWUDSZYUKVYQXYRYUCWUESZVYJYUCXYSAVYJYUCVHZUXNUYBUWDVYJWUAYUCWUCS
      ZYUNUXNUCYUOYUNVPVLYUCWVKVYJYUCUWDYUHVKZRYUNUXNYUOVMYUCYUBVYJUWDUYBVWIWJR
      VNYLZWTTZAYUCVVQVYJAYUCVHZUWDGYUCWVKAYUPRZAUWRYUCUWSSZYUSUWDVWIGYUTYUSGUC
      YVAYUSVPWQYVAYUCVXCAUWDUYBVWIWKRYUSGYVAWRWSZTYIUSVTYUDVUCQUWFDYUEYUDUWFFG
      YUFYUGYUDUWDYUIUNZYUDFUWFYUJYUDUWFYVCVKZYUDFUXNUWFYUJYULYVDYUMYUDUXNUWDUW
      FYULYUKYVDYUQYUDUWDYUKVMWTWTTYUDVXKVXIAYUCVXKVYJYVBYIZYUCVVOUWOVXLVYQYUHX
      XSVXMXBXCUSVTYUDAVXPVXQAVYJYUCYPYUDVXRUWOVXKVXPYUDUYPVVOVVPVXRYUFYUIYURFU
      WDYQZXFYUGYVEVXSXFKVRTXGSXIXYFXVIXVJAXVIVYJXYEXVKYDXVLURWOLVRVYQBCDEFUXNV
      YQBUVIAUYPVYJHSVYJUXNUWMNAUXNUVQGYTRXWQVYQUWDUXRNZVHZAVXPVXQAVYJYVGYPZYVH
      VXRUWOVXKVXPYVGVXRVYQUWDFUXNYTRAUWOVYJYVGUWPYDYVHUWDUXNGYVGWVKVYQYVGUWDUW
      DFUXNYAVKRVYQWUAYVGWUDSAUWRVYJYVGUWSYDYVGXXOVYQUWDFUXNYERVYQWVBYVGXWESWTV
      XSXFZKVRVYQUYRUXPNZVHZAUYTVUAAVYJYVKYPYVLUVSUVTUYRAVUSVYJYVKVVHYDZAVUPVYJ
      YVKVUQYDZYVLVUSUXOQNZYVKVVAYVMVYQYVOYVKXWOSZVYQYVKWAZUVSUXOUYRWBWCZYVLVVE
      XWJYVKVVGAVVEVYJYVKVVIYDZVYQXWJYVKXWPSZYVQUVSUXOUYRWFWCYVLUYRUXOUVTYVRYVP
      YVNYVLVVEXWJYVKUYRUXOOPYVSYVTYVQUVSUXOUYRWGWCVYQUXOUVTOPYVKVYQEDUXNGVYJGU
      XNUOUGNAUXNUVQGUVJRVYQUWDUXNGUFUENZVHZVUCQUWDDAVUDVYJYWAJYDYWBUWDFGAUYPVY
      JYWAHYDAUWOVYJYWAUWPYDYWAVVOVYQUWDUXNGWHRZYWBFUWDAVVSVYJYWAVUIYDZYWBUWDYW
      CVKZYWBFUXNUWDYWDVYQWUAYWAWUDSYWEVYQXYRYWAWUESYWAUXNUWDOPZVYQUWDUXNGWJRVN
      TYWAVVQVYQUWDUXNGWKRUSVTVYQUWDUXNVWIUFUENZVHZUWEUWGYWHVUCQUWDDAVUDVYJYWGJ
      YDZYWHUWDFGAUYPVYJYWGHYDZAUWOVYJYWGUWPYDZYWGVVOVYQUWDUXNVWIWHZRZYWHFUWDAV
      VSVYJYWGVUIYDZYWHUWDYWMVKZYWHFUXNUWDYWNVYQWUAYWGWUDSYWOVYQXYRYWGWUESYWGYW
      FVYQUWDUXNVWIWJRVNTZAYWGVVQVYJAYWGVHZUWDGYWGWVKAYWGUWDYWLVKRZAUWRYWGUWSSZ
      YWQUWDVWIGYWRYWQGUCYWSYWQVPWQYWSYWGVXCAUWDUXNVWIWKRYWQGYWSWRWSZTYIUSVTYWH
      VUCQUWFDYWIYWHUWFFGYWJYWKYWHUWDYWMUNZYWHFUWFYWNYWHUWFYXAVKZYWHFUWDUWFYWNY
      WOYXBYWPYWHUWDYWOVMWSTAYWGVXIVYJYWQVXKVXIYWTYWGVVOUWOVXLAYWLUWPVXMXBXCYIU
      SVTYWHAVXPVXQAVYJYWGYPYWHVXRUWOVXKVXPYWHUYPVVOVVPVXRYWJYWMYWPYVFXFYWKAYWG
      VXKVYJYWTYIVXSXFKVRTXGSXIXJLVRYVHAVXPVYFYVIYVJMVRUVKAVYJXXQBVYMCXKZXLNZXX
      TVYGXYAYXDUTEUBXVMVYDXYAVYFYXDXYBXVMVYEYXCXLXVMBUWHVYMCXVPXQXRXSMYKXHUVLV
      IYMUVMWCUVNUVOUVP $.
  $}

  ${
    $d A w x y z $.  $d B w x y z $.  $d F w x $.  $d G x y $.  $d T w x y z $.
    $d ph w x y z $.
    itgiccshift.a $e |- ( ph -> A e. RR ) $.
    itgiccshift.b $e |- ( ph -> B e. RR ) $.
    itgiccshift.aleb $e |- ( ph -> A <_ B ) $.
    itgiccshift.f $e |- ( ph -> F e. ( ( A [,] B ) -cn-> CC ) ) $.
    itgiccshift.t $e |- ( ph -> T e. RR+ ) $.
    itgiccshift.g $e |- G = ( x e. ( ( A + T ) [,] ( B + T ) ) |-> ( F ` ( x -
       T ) ) ) $.
    $( The integral of a function, ` F ` stays the same if its closed interval
       domain is shifted by ` T ` .  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    itgiccshift $p |- ( ph -> S. ( ( A + T ) [,] ( B + T ) ) ( G ` x ) _d x =
       S. ( A [,] B ) ( F ` x ) _d x ) $=
      ( vy co c1 cc wcel adantr cr vw vz caddc cicc cv cfv citg cdit cmul rpred
      cioo leadd1dd ditgpos readdcld cmin wa wf ccncf cncff syl eliccre syl3anc
      simpr resubcld cle wceq recnd pncand eqcomd wbr w3a elicc2 syl2anc simp2d
      wb mpbid lesub1dd eqbrtrd simp3d breqtrd eliccd ffvelrnd ffvelrnda itgioo
      fmptd eqtr2d cmpt eqid addccncf iccssred ax-resscn sstrdi cncfmptssg wrex
      sselda fvoveq1 cbvmptv iccshift mpteq1d syl5eq eqeq1 rexbidv oveq1 eqeq2d
      crab cbvrexvw bitrdi cbvrabv eqcomi cncfshift eqeltrd feqmptd oveq1d cibl
      3eltr3d wss ioosscn a1i 1cnd ssid constcncfg csn cxp fconstmpt cdm ioombl
      cvol ioovolcl iblconst eqeltrrid elind cdv crn cres resmptd eqtrd cc0 cxr
      3eqtrd rexrd ctg oveq2d addcld fmpttd ccnfld ctopn tgioo2 syl22anc iccntr
      cnt dvres reseq2d reelprrecn dvmptid 0cnd dvmptc dvmptadd reseq1d ioossre
      cpr 1p0e1 mpteq2i fveq2 itgsubsticc cbvitgv iccgelb iccleub mulid1d eqtri
      mulcld fveq2d sylan9eqr fvmptd itgeq2dv ) ABCEUCOZDEUCOZUDOZBUEZGUFZUGZBU
      VOUVPUVSUHZNCDNUEZEUCOZGUFZPUIOZUHZBCDUDOZUVRFUFZUGZAUWABUVOUVPUKOUVSUGUV
      TABUVOUVPUVSACDEHIAELUJZJULUMABUVOUVPUVSACEHUWJUNZADEIUWJUNZAUVQQUVRGABUV
      QUVREUOOZFUFZQGAUVRUVQRZUPZUWGQUWMFAUWGQFUQZUWOAFUWGQURORUWQKUWGQFUSUTZSU
      WPCDUWMACTRZUWOHSADTRZUWOISUWPUVREUWPUVOTRZUVPTRZUWOUVRTRZAUXAUWOUWKSZAUX
      BUWOUWLSZAUWOVCZUVOUVPUVRVAVBZAETRZUWOUWJSZVDUWPCUVOEUOOZUWMVEACUXJVFUWOA
      UXJCACEACHVGAEUWJVGZVHVISUWPUVOUVREUXDUXGUXIUWPUXCUVOUVRVEVJZUVRUVPVEVJZU
      WPUWOUXCUXLUXMVKZUXFUWPUXAUXBUWOUXNVOUXDUXEUVOUVPUVRVLVMVPZVNVQVRUWPUWMUV
      PEUOOZDVEUWPUVRUVPEUXGUXEUXIUWPUXCUXLUXMUXOVSVQAUXPDVFUWOADEADIVGUXKVHSVT
      WAWBMWEZWCWDWFANBUWCPUVSUWDUVOUVPCDHIJANQQUWGUVQUWCNQUWCWGZUXRWHZAEQRZUXR
      QQURORUXKNEUXRUXSWIUTAUWGTQACDHIWJZWKWLZAUVQTQAUVOUVPUWKUWLWJWKWLAUWBUWGR
      ZUPZUVOUVPUWCAUXAUYCUWKSAUXBUYCUWLSUYDUWBEAUWGTUWBUYAWOZAUXHUYCUWJSZUNUYD
      CUWBEAUWSUYCHSZUYEUYFUYDUWBTRZCUWBVEVJZUWBDVEVJZUYDUYCUYHUYIUYJVKZAUYCVCU
      YDUWSUWTUYCUYKVOUYGAUWTUYCISZCDUWBVLVMVPZVNULUYDUWBDEUYEUYLUYFUYDUYHUYIUY
      JUYMVSULWAZWMAGUVRUWCVFZNUWGWNZBQXEZQUROZBUVQUVSWGUVQQUROAGUAUYQUAUEZEUOO
      FUFZWGZUYRAGBUVQUWNWGZVUAMAVUBUAUVQUYTWGZVUABUAUVQUWNUYTUVRUYSEFUOWPWQZAU
      AUVQUYQUYTANBCDEHIUWJWRZWSWTWTAUAUBUWGUYQEFVUAUYBUXKUYSUBUEZEUCOZVFZUBUWG
      WNZUAQXEUYQVUIUYPUABQUYSUVRVFZVUIUVRVUGVFZUBUWGWNUYPVUJVUHVUKUBUWGUYSUVRV
      UGXAXBVUKUYOUBNUWGVUFUWBVFVUGUWCUVRVUFUWBEUCXCXDXFXGXHXIKVUAWHXJXKABUVQQG
      UXQXLAUYQUVQQURAUVQUYQVUEVIXMXOACDUKOZQUROXNNVULPWGZANVULPQVULQXPACDXQXRA
      XSZQQXPAQXTXRYAAVUMVULPYBYCZXNNVULPYDAVULYGYERZVULYGUFTRZPQRVUOXNRVUPACDY
      FXRAUWSUWTVUQHICDYHVMVUNVULPYIVBYJYKATNUWGUWCWGZYLOZTNTUWCWGZYLOZUWGUKYMU
      UAUFZUUJUFUFZYNZVVAVULYNZVUMAVUSTVUTUWGYNZYLOZVVDAVURVVFTYLAVVFVURANTUWGU
      WCUYAYOVIUUBATQXPZTQVUTUQTTXPZUWGTXPVVGVVDVFVVHAWKXRZANTUWCQAUYHUPZUWBEAT
      QUWBVVJWOZAUXTUYHUXKSZUUCUUDVVIATXTXRUYATUWGTVVBVUTUUEUUFUFZVVNWHZVVNVVOU
      UGUUKUUHYPAVVCVULVVAAUWSUWTVVCVULVFHICDUUIVMUULAVVENTPYQUCOZWGZVULYNNVULV
      VPWGZVUMAVVAVVQVULANUWBPEYQTQQTTTQUUTRAUUMXRZVVLVVKXSANTVVSUUNVVMVVKUUOAN
      ETVVSUXKUUPUUQUURANTVULVVPVULTXPACDUUSXRYOVVRVUMVFANVULVVPPUVAUVBXRYSYSUV
      RUWCGUVCUWBCEUCXCUWBDEUCXCUWKUWLUVDAUWFNVULUWEUGNUWGUWEUGZUWIANCDUWEJUMAN
      CDUWEHIUYDUWDPUYDUVQQUWCGAUVQQGUQZUYCUXQSUYNWBUYDXSUVJWDAVVTBUWGUVREUCOZG
      UFZPUIOZUGUWINBUWGUWEVWDUWBUVRVFUWDVWCPUIUWBUVREGUCWPXMUVEABUWGVWDUWHAUVR
      UWGRZUPZVWDVWCUWHVWFVWCVWFUVQQVWBGAVWAVWEUXQSVWFUVOUVPVWBAUXAVWEUWKSAUXBV
      WEUWLSVWFUVREAUWGTUVRUYAWOZAUXHVWEUWJSZUNVWFCUVREAUWSVWEHSVWGVWHVWFCYRRZD
      YRRZVWECUVRVEVJAVWIVWEACHYTSZAVWJVWEADIYTSZAVWEVCZCDUVRUVFVBULVWFUVRDEVWG
      AUWTVWEISVWHVWFVWIVWJVWEUVRDVEVJVWKVWLVWMCDUVRUVGVBULWAZWBUVHVWFUAVWBUYTU
      WHUVQGQGVUCVFVWFGVUBVUCMVUDUVIXRUYSVWBVFVWFUYTVWBEUOOZFUFUWHUYSVWBEFUOWPV
      WFVWOUVRFVWFUVREVWFUVRVWGVGAUXTVWEUXKSVHUVKUVLVWNAUWGQUVRFUWRWCUVMYPUVNWT
      YSYS $.
  $}

  ${
    $d A w x y z $.  $d B w x y z $.  $d F x y $.  $d T w x y z $.
    $d ph w x y z $.
    itgperiod.a $e |- ( ph -> A e. RR ) $.
    itgperiod.b $e |- ( ph -> B e. RR ) $.
    itgperiod.aleb $e |- ( ph -> A <_ B ) $.
    itgperiod.t $e |- ( ph -> T e. RR+ ) $.
    itgperiod.f $e |- ( ph -> F : RR --> CC ) $.
    itgperiod.fper $e |- ( ( ph /\ x e. ( A [,] B ) ) -> ( F ` ( x + T ) ) = (
       F ` x ) ) $.
    itgperiod.fcn $e |- ( ph -> ( F |` ( A [,] B ) ) e. ( ( A [,] B ) -cn-> CC
       ) ) $.
    $( The integral of a periodic function, with period ` T ` stays the same if
       the domain of integration is shifted.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    itgperiod $p |- ( ph -> S. ( ( A + T ) [,] ( B + T ) ) ( F ` x ) _d x = S.
       ( A [,] B ) ( F ` x ) _d x ) $=
      ( vy vz co wcel cr cc adantr vw caddc cicc cv cfv citg cdit c1 cmul rpred
      cioo leadd1dd ditgpos readdcld wa wf simpr eliccre ffvelrnd itgioo eqtr2d
      syl3anc cmpt eqid ccncf addccncf syl iccssred ax-resscn sstrdi sselda cle
      recnd wbr w3a wb elicc2 syl2anc simp2d simp3d eliccd cncfmptssg wceq wrex
      mpbid crab cres eqeq1 rexbidv oveq1 eqeq2d cbvrexvw bitrdi cbvrabv cdm wi
      ffdmd wral wss simp3 3adant3 eqeltrd rexlimdv3a ralrimivw sylibr sseqtrrd
      rabss fdmd cncfperiod elrab simprr nfv nfre1 nfan 3ad2ant1 mpbird rexlimd
      3jca 3exp mpd sylan2b cmin resubcld pncand eqcomd eqbrtrd breqtrd reseq2d
      lesub1dd oveq1d cibl a1i 1cnd ssid cvol cdv resmptd eqtrd cc0 3eqtrd 0cnd
      npcand rspceeqv sylanbrc impbida eqrdv eqsstrrd feqresmpt 3eltr4d ioosscn
      iccshift constcncfg csn cxp fconstmpt ioombl ioovolcl eqeltrrid elind crn
      iblconst ctg cnt oveq2d addcld fmpttd ccnfld ctopn tgioo2 syl22anc iccntr
      dvres cpr reelprrecn dvmptid dvmptadd reseq1d ioossre 1p0e1 mpteq2i fveq2
      dvmptc itgsubsticc mulcld fvoveq1 cbvitgv mulid1d itgeq2dv syl5eq ) ABCEU
      BPZDEUBPZUCPZBUDZFUEZUFZBUWJUWKUWNUGZNCDNUDZEUBPZFUEZUHUIPZUGZBCDUCPZUWNU
      FZAUWPBUWJUWKUKPUWNUFUWOABUWJUWKUWNACDEGHAEJUJZIULUMABUWJUWKUWNACEGUXDUNZ
      ADEHUXDUNZAUWMUWLQZUOZRSUWMFARSFUPZUXGKTUXHUWJRQZUWKRQZUXGUWMRQZAUXJUXGUX
      ETZAUXKUXGUXFTZAUXGUQZUWJUWKUWMURVBZUSUTVAANBUWRUHUWNUWSUWJUWKCDGHIANSSUX
      BUWLUWRNSUWRVCZUXQVDZAESQZUXQSSVEPQAEUXDVMZNEUXQUXRVFVGAUXBRSACDGHVHZVIVJ
      ZAUWLRSAUWJUWKUXEUXFVHVIVJAUWQUXBQZUOZUWJUWKUWRAUXJUYCUXETAUXKUYCUXFTUYDU
      WQEAUXBRUWQUYAVKZAERQZUYCUXDTZUNZUYDCUWQEACRQZUYCGTZUYEUYGUYDUWQRQZCUWQVL
      VNZUWQDVLVNZUYDUYCUYKUYLUYMVOZAUYCUQUYDUYIDRQZUYCUYNVPUYJAUYOUYCHTZCDUWQV
      QVRWEZVSULUYDUWQDEUYEUYPUYGUYDUYKUYLUYMUYQVTULWAWBAFUAUDZOUDZEUBPZWCZOUXB
      WDZUASWFZWGZVUCSVEPBUWLUWNVCZUWLSVEPABNUXBVUCEFUYBUXDVUBUWMUWRWCZNUXBWDZU
      ABSUYRUWMWCZVUBUWMUYTWCZOUXBWDZVUGVUHVUAVUIOUXBUYRUWMUYTWHWIZVUIVUFONUXBU
      YSUWQWCUYTUWRUWMUYSUWQEUBWJWKWLWMWNARSFKWQZAVUCRFWOZAVUBUYRRQZWPZUASWRVUC
      RWSAVUOUASAVUAVUNOUXBAUYSUXBQZVUAVOUYRUYTRAVUPVUAWTAVUPUYTRQZVUAAVUPUOZUY
      SEAUXBRUYSUYAVKZAUYFVUPUXDTZUNZXAXBXCXDVUBUASRXGXEARSFKXHXFZLMXIAVUDFUWLW
      GVUEAVUCUWLFABVUCUWLAUWMVUCQZUXGVVCAUWMSQZVUJUOZUXGVUBVUJUAUWMSVUKXJZAVVE
      UOZVUJUXGAVVDVUJXKVVGVUIUXGOUXBAVVEOAOXLVVDVUJOVVDOXLVUIOUXBXMXNXNUXGOXLA
      VUPVUIUXGWPWPVVEAVUPVUIUXGAVUPVUIVOZUWMUYTUWLAVUPVUIWTVVHUYTUWLQZVUQUWJUY
      TVLVNZUYTUWKVLVNZVOZAVUPVVLVUIVURVUQVVJVVKVVAVURCUYSEAUYIVUPGTZVUSVUTVURU
      YSRQZCUYSVLVNZUYSDVLVNZVURVUPVVNVVOVVPVOZAVUPUQVURUYIUYOVUPVVQVPVVMAUYOVU
      PHTZCDUYSVQVRWEZVSULVURUYSDEVUSVVRVUTVURVVNVVOVVPVVSVTULXRXAVVHUXJUXKVVIV
      VLVPAVUPUXJVUIUXEXOAVUPUXKVUIUXFXOUWJUWKUYTVQVRXPXBXSTXQXTYAUXHVVDVUJVVCU
      XHUWMUXPVMZUXHUWMEYBPZUXBQUWMVWAEUBPZWCVUJUXHCDVWAAUYIUXGGTAUYOUXGHTUXHUW
      MEUXPAUYFUXGUXDTZYCUXHCUWJEYBPZVWAVLACVWDWCUXGAVWDCACEACGVMUXTYDYETUXHUWJ
      UWMEUXMUXPVWCUXHUXLUWJUWMVLVNZUWMUWKVLVNZUXHUXGUXLVWEVWFVOZUXOUXHUXJUXKUX
      GVWGVPUXMUXNUWJUWKUWMVQVRWEZVSYIYFUXHVWAUWKEYBPZDVLUXHUWMUWKEUXPUXNVWCUXH
      UXLVWEVWFVWHVTYIAVWIDWCUXGADEADHVMUXTYDTYGWAUXHVWBUWMUXHUWMEVVTAUXSUXGUXT
      TUUBYEOVWAUXBUYTVWBUWMUYSVWAEUBWJUUCVRVVFUUDUUEUUFZYHABVUMSUWLFVULAUWLVUC
      VUMVWJVVBUUGUUHVAAUWLVUCSVEAOUACDEGHUXDUUKYJUUIACDUKPZSVEPYKNVWKUHVCZANVW
      KUHSVWKSWSACDUUJYLAYMZSSWSASYNYLUULAVWLVWKUHUUMUUNZYKNVWKUHUUOAVWKYOWOQZV
      WKYOUERQZUHSQVWNYKQVWOACDUUPYLAUYIUYOVWPGHCDUUQVRVWMVWKUHUVAVBUURUUSARNUX
      BUWRVCZYPPZRNRUWRVCZYPPZUXBUKUUTUVBUEZUVCUEUEZWGZVWTVWKWGZVWLAVWRRVWSUXBW
      GZYPPZVXCAVWQVXERYPAVXEVWQANRUXBUWRUYAYQYEUVDARSWSZRSVWSUPRRWSZUXBRWSVXFV
      XCWCVXGAVIYLZANRUWRSAUYKUOZUWQEARSUWQVXIVKZAUXSUYKUXTTZUVEUVFVXHARYNYLUYA
      RUXBRVXAVWSUVGUVHUEZVXMVDZVXMVXNUVIUVLUVJYRAVXBVWKVWTAUYIUYOVXBVWKWCGHCDU
      VKVRYHAVXDNRUHYSUBPZVCZVWKWGNVWKVXOVCZVWLAVWTVXPVWKANUWQUHEYSRSSRRRSUVMQA
      UVNYLZVXKVXJYMANRVXRUVOVXLVXJUUAANERVXRUXTUWBUVPUVQANRVWKVXOVWKRWSACDUVRY
      LYQVXQVWLWCANVWKVXOUHUVSUVTYLYTYTUWMUWRFUWAUWQCEUBWJUWQDEUBWJUXEUXFUWCAUX
      ANVWKUWTUFNUXBUWTUFZUXCANCDUWTIUMANCDUWTGHUYDUWSUHUYDRSUWRFAUXIUYCKTUYHUS
      UYDYMUWDUTAVXSBUXBUWMEUBPZFUEZUHUIPZUFUXCNBUXBUWTVYBUWQUWMWCUWSVYAUHUIUWQ
      UWMEFUBUWEYJUWFABUXBVYBUWNAUWMUXBQZUOZVYBVYAUWNVYDVYAVYDRSVXTFAUXIVYCKTVY
      DUWMEAUXBRUWMUYAVKAUYFVYCUXDTUNUSUWGLYRUWHUWIYTYT $.
  $}

  ${
    $d A s t $.  $d B s t $.  $d F s t $.  $d X s t $.  $d ph s t $.
    itgsbtaddcnst.a $e |- ( ph -> A e. RR ) $.
    itgsbtaddcnst.b $e |- ( ph -> B e. RR ) $.
    itgsbtaddcnst.aleb $e |- ( ph -> A <_ B ) $.
    itgsbtaddcnst.x $e |- ( ph -> X e. RR ) $.
    itgsbtaddcnst.f $e |- ( ph -> F e. ( ( A [,] B ) -cn-> CC ) ) $.
    $( Integral substitution, adding a constant to the function's argument.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    itgsbtaddcnst $p |- ( ph -> S_ [ ( A - X ) -> ( B - X ) ] ( F ` ( X + s ) )
       _d s = S_ [ A -> B ] ( F ` t ) _d t ) $=
      ( co cfv c1 cmpt wcel cr cc adantr cmin cv caddc cdit cmul ccncf iccssred
      cicc cneg wa sselda recnd negsubd eqcomd mpteq2dva resubcld cle wbr simpr
      wf w3a wb jca elicc2 mpbid simp2d lesub1dd simp3d eliccd fmpttd ax-resscn
      syl feq1dd wss sstrdi cres resmptd ssid cncfmptid mp2an a1i id constcncfg
      subcncf rescncf eqeltrrd cncffvrn syl2anc mpbird eqeltrd addcomd addccncf
      sylc eqid readdcld lesubadd2d leaddsub2d cncfmptssg cncfcompt cioo ax-1cn
      cibl ioosscn cncfmptc mp3an csn cxp fconstmpt cvol cdm ioombl wceq volioo
      syl3anc 1cnd iblconst eqeltrrid elind cdv cc0 crn ctg ccnfld ctopn tgioo2
      cnt iccntr dvmptntr cpr reelprrecn ioossre sseli adantl iooretop dvmptres
      dvmptid 0cnd fveq2d oveq1 eqtrd dvmptc dvmptsub subid1d oveq2 itgsubsticc
      3eqtrd pncan3d oveq1d cncff ioossicc ffvelrnd mulid1d ditgeq3d ) AGCFUAMZ
      DFUAMZFGUBZUCMZENZUDBCDFBUBZFUAMZUCMZENZOUEMZUDBCDUUSENZUDABGUUTOUURUVBUU
      NUUOCDHIJABCDUHMZUUTPZBUVEUUSFUIUCMZPZUVEUUNUUOUHMZUFMZABUVEUUTUVGAUUSUVE
      QZUJZUVGUUTUVLUUSFUVLUUSAUVERUUSACDHIUGZUKZULAFSQZUVKAFKULZTUMUNUOZAUVHUV
      JQZUVEUVIUVHUTZAUVEUVIUVFUVHUVQABUVEUUTUVIUVLUUNUUOUUTUVLCFACRQZUVKHTZAFR
      QZUVKKTZUPUVLDFADRQZUVKITZUWCUPUVLUUSFUVNUWCUPZUVLCUUSFUWAUVNUWCUVLUUSRQZ
      CUUSUQURZUUSDUQURZUVLUVKUWGUWHUWIVAZAUVKUSUVLUVTUWDUJZUVKUWJVBAUWKUVKAUVT
      UWDHIVCZTCDUUSVDVLVEZVFVGUVLUUSDFUVNUWEUWCUVLUWGUWHUWIUWMVHVGVIVJVMAUVISV
      NUVHUVESUFMZQUVRUVSVBAUVIRSAUUNUUOACFHKUPZADFIKUPZUGZVKVOZAUVFUVHUWNUVQAB
      SUUTPZUVEVPZUVFUWNABSUVEUUTAUVERSUVMVKVOZVQAUVESVNUWSSSUFMZQZUWTUWNQUXAAU
      VOUXCUVPUVOBUUSFSBSUUSPUXBQZUVOSSVNZUXEUXDSVRZUXFBSSVSVTWAUVOBSFSUXEUVOUX
      FWAZUVOWBUXGWCWDVLSSUVEUWSWEWMWFWFUVESUVIUVHWGWHWIWJAGUVIUUQUVESEAGSSUVIU
      VEUUQGSUUQPZUXHWNAUXHGSUUPFUCMZPZUXBAGSUUQUXIAUUPSQZUJFUUPAUVOUXKUVPTAUXK
      USWKUOAUVOUXJUXBQUVPGFUXJUXJWNWLVLWJUWRUXAAUUPUVIQZUJZCDUUQAUVTUXLHTZAUWD
      UXLITZUXMFUUPAUWBUXLKTZAUVIRUUPUWQUKZWOUXMUUNUUPUQURZCUUQUQURUXMUUPRQZUXR
      UUPUUOUQURZUXMUXLUXSUXRUXTVAZAUXLUSUXMUUNRQZUUORQZUXLUYAVBAUYBUXLUWOTAUYC
      UXLUWPTUUNUUOUUPVDWHVEZVFUXMCFUUPUXNUXPUXQWPVEUXMUUQDUQURUXTUXMUXSUXRUXTU
      YDVHUXMFUUPDUXPUXQUXOWQWIVIWRLWSACDWTMZSUFMZXBBUYEOPZUYGUYFQZAOSQZUYESVNU
      XEUYHXACDXCUXFBOUYESXDXEWAAUYGUYEOXFXGZXBBUYEOXHAUYEXIXJQZUYEXINZRQUYIUYJ
      XBQUYKACDXKWAAUYLDCUAMZRAUVTUWDCDUQURUYLUYMXLHIJCDXMXNADCIHUPWJAXOUYEOXPX
      NXQXRARUVFXSMRBUYEUUTPXSMBUYEOXTUAMZPUYGABUUTRWTYAYBNZYCYDNZUVEUYERSVNAVK
      WAZUVMUVLUUTUWFULUYPUYPWNZYEZUYRAUWKUVEUYOYFNNUYEXLUWLCDYGVLYHABUUSOFXTRS
      SUYERRSYIQAYJWAZAUUSUYEQZUJZUUSVUAUWGAUYERUUSCDYKZYLYMULZVUBXOZABUUSORUYO
      UYPSRUYEUYTARSUUSUYQUKAUWGUJZXOABRUYTYPUYERVNAVUCWAZUYSUYRUYEUYOQACDYNWAZ
      YOAUVOVUAUVPTZVUBYQABFXTRUYOUYPSRUYEUYTAUVOUWGUVPTVUFYQABFRUYTUVPUUAVUGUY
      SUYRVUHYOUUBABUYEUYNOVUBOVUEUUCUOUUFUUPUUTXLUUQUVAEUUPUUTFUCUUDYRUUSCFUAY
      SUUSDFUAYSUWOUWPUUEABCDUVCUVDJVUBUVCUVDOUEMUVDVUBUVBUVDOUEVUBUVAUUSEVUBFU
      USVUIVUDUUGYRUUHVUBUVDVUBUVESUUSEAUVESEUTZVUAAEUWNQVUJLUVESEUUIVLTVUAUVKA
      UYEUVEUUSCDUUJYLYMUUKUULYTUUMYT $.
  $}

  $( The measure of left-closed, right-open interval.  (Contributed by Glauco
     Siliprandi, 11-Oct-2020.) $)
  volico $p |- ( ( A e. RR /\ B e. RR ) -> ( vol ` ( A [,) B ) ) = if ( A < B ,
     ( B - A ) , 0 ) ) $=
    ( cr wcel wa wbr co cvol cfv cc0 wceq caddc rexr 3ad2ant1 syl3anc fveq2d c0
    cxr a1i wn clt cico cmin cif w3a csn cun 3ad2ant2 simp3 snunioo1 eqcomd cdm
    cioo cin ioombl snmbl lbioo mpbir ioovolcl 3adant3 volsn 0red eqeltrd volun
    disjsn syl32anc cle simp1 simp2 ltled volioo oveq12d cc recn subcld addid1d
    recnd eqtrd 3eqtrd 3expa iftrue adantl eqtr4d simpl simprd simpld lenltd wb
    simpr mpbird ad2antrr ad2antlr ico0 syl2anc vol0 iffalse pm2.61dan ) ACDZBC
    DZEZABUAFZABUBGZHIZXABAUCGZJUDZKWTXAEXCXDXEWRWSXAXCXDKWRWSXAUEZXCABUMGZAUFZ
    UGZHIZXGHIZXHHIZLGZXDXFXBXIHXFXIXBXFARDZBRDZXAXIXBKWRWSXNXAAMZNWSWRXOXABMZU
    HWRWSXAUIZABUJOUKPXFXGHULZDZXHXSDZXGXHUNQKZXKCDZXLCDZXJXMKXTXFABUOSWRWSYAXA
    AUPNYBXFYBAXGDTABUQXGAVEURSWRWSYCXAABUSUTWRWSYDXAWRXLJCAVAZWRVBVCNXGXHVDVFX
    FXMXDJLGXDXFXKXDXLJLXFWRWSABVGFXKXDKWRWSXAVHZWRWSXAVIZXFABYFYGXRVJABVKOWRWS
    XLJKXAYENVLXFXDXFBAXFBYGVQWRWSAVMDXAAVNNVOVPVRVSVTXAXEXDKWTXAXDJWAWBWCWTXAT
    ZEZXCJXEYIWTBAVGFZXCJKWTYHWDZYIYJYHWTYHWIYIBAYIWRWSYKWEYIWRWSYKWFWGWJWTYJEZ
    XCQHIZJYLXBQHYLXBQKZYJWTYJWIYLXNXOYNYJWHWRXNWSYJXPWKWSXOWRYJXQWLABWMWNWJPYM
    JKYLWOSVRWNYHXEJKWTXAXDJWPWBWCWQ $.

  ${
    sublevolico.a $e |- ( ph -> A e. RR ) $.
    sublevolico.b $e |- ( ph -> B e. RR ) $.
    $( The Lebesgue measure of a left-closed, right-open interval is greater
       than or equal to the difference of the two bounds.  (Contributed by
       Glauco Siliprandi, 3-Mar-2021.) $)
    sublevolico $p |- ( ph -> ( B - A ) <_ ( vol ` ( A [,) B ) ) ) $=
      ( clt wbr cmin co cle wa adantr wceq cr wcel adantl eqtr2d breqtrd mpbird
      cc0 cico cvol cfv resubcld eqidd eqled cif volico syl2anc iftrue wn simpr
      wb lenltd suble0d iffalse pm2.61dan ) ABCFGZCBHIZBCUAIUBUCZJGAURKZUSUSUTJ
      AUSUSJGURAUSUSACBEDUDAUSUEUFLVAUTURUSTUGZUSAUTVBMZURABNOZCNOZVCDEBCUHUIZL
      URVBUSMAURUSTUJPQRAURUKZKZUSTUTJVHUSTJGCBJGZVHVIVGAVGULAVIVGUMVGACBEDUNLS
      VHCBAVEVGELAVDVGDLUOSVHUTVBTAVCVGVFLVGVBTMAURUSTUPPQRUQ $.
  $}

  $( Lebesgue measurable sets are subsets of Real numbers.  (Contributed by
     Glauco Siliprandi, 3-Mar-2021.) $)
  dmvolss $p |- dom vol C_ ~P RR $=
    ( vx cvol cdm cr cpw wss cv wcel wral cvv elex mblss elpwd rgen dfss3 mpbir
    ) BCZDEZFAGZRHZAQITAQSQHSDJSQKSLMNAQROP $.
  ${
    $d A x $.
    $( The predicate " ` A ` is Lebesgue-measurable".  Similar to ~ ismbl2 ,
       but here ` +e ` is used, and the precondition ` ( vol* `` x ) e. RR `
       can be dropped.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    ismbl3 $p |- ( A e. dom vol <-> ( A C_ RR /\ A. x e. ~P RR ( ( vol* ` ( x
       i^i A ) ) +e ( vol* ` ( x \ A ) ) ) <_ ( vol* ` x ) ) ) $=
      ( wcel cr wss covol cfv co cle wral wa wceq adantr simpr ovolsscl syl3anc
      wbr cpnf cxr syl cvol cdm cv cin cdif caddc wi cpw ismbl2 inss1 a1i elpwi
      cxad difssd rexaddd adantlr id imp adantll eqbrtrd sstrid ovolcl ssdifssd
      wn xaddcld pnfge cc0 cicc ovolf ffvelrni syl2anc eqcomd breqtrd pm2.61dan
      xrge0nre ex w3a 3adant2 simp2 3exp impbid ralbiia anbi2i bitri ) BUAUBCBD
      EZAUCZFGZDCZWFBUDZFGZWFBUEZFGZUFHZWGIQZUGZADUHZJZKWEWJWLUMHZWGIQZAWPJZKAB
      UIWQWTWEWOWSAWPWFWPCZWOWSXAWOWSXAWOKZWHWSXBWHKWRWMWGIXAWHWRWMLWOXAWHKZWJW
      LXCWIWFEZWFDEZWHWJDCXDXCWFBUJZUKXAXEWHWFDULZMZXAWHNZWIWFOPXCWKWFEXEWHWLDC
      XCWFBUNXHXIWKWFOPUOZUPWOWHWNXAWOWHWNWOUQURUSUTXAWHVDZWSWOXAXKKZWRRWGIXAWR
      RIQZXKXAWRSCXMXAWJWLXAWIDEWJSCXAWIWFDXFXGVAWIVBTXAWKDEWLSCXAWFDBXGVCWKVBT
      VEWRVFTMXLWGRXLWGVGRVHHZCZXKWGRLXAXOXKWPXNWFFVIVJMXAXKNWGVOVKVLVMUPVNVPXA
      WSWHWNXAWSWHVQWMWRWGIXAWHWMWRLWSXCWRWMXJVLVRXAWSWHVSUTVTWAWBWCWD $.
  $}

  $( The function that assigns the Lebesgue measure to open intervals.
     (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
  volioof $p |- ( vol o. (,) ) : ( RR* X. RR* ) --> ( 0 [,] +oo ) $=
    ( vx cvol cdm cc0 cpnf cicc co wf cxr cxp cioo ccom volf wfn cv cfv wcel wa
    wral cr cpw ioof ffn ax-mp c1st c2nd cop df-ov 1st2nd2 eqcomd fveq2d eqtr2d
    wceq a1i ioombl eqeltrdi rgen pm3.2i ffnfv mpbir fco mp2an ) BCZDEFGZBHIIJZ
    VCKHZVEVDBKLHMVFKVENZAOZKPZVCQZAVESZRVGVKVETUAZKHVGUBVEVLKUCUDVJAVEVHVEQZVI
    VHUEPZVHUFPZKGZVCVMVPVNVOUGZKPZVIVPVRUMVMVNVOKUHUNVMVQVHKVMVHVQVHIIUIUJUKUL
    VNVOUOUPUQURAVEVCKUSUTVEVCVDBKVAVB $.
  ${
    ovolsplit.1 $e |- ( ph -> A C_ RR ) $.
    $( The Lebesgue outer measure function is finitely sub-additive:
       application to a set split in two parts, using addition for extended
       reals.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    ovolsplit $p |- ( ph -> ( vol* ` A ) <_ ( ( vol* ` ( A i^i B ) ) +e ( vol*
       ` ( A \ B ) ) ) ) $=
      ( covol cfv cxad co cle wceq cpnf wa cr syl adantr adantl wne cvv syl2anc
      wcel cin cdif cun inundif eqcomi a1i fveq2d wbr cxr wss ssinss1d ssdifssd
      unssd ovolcl pnfge oveq1 cmnf cpw cc0 cicc reex ssexd difexd elpwg mpbird
      wb ovolf ffvelrni xrge0nemnfd xaddpnf2 eqtr2d breqtrd simpl sselpwd neqne
      wn ge0xrre oveq2 xaddpnf1 adantlr simpll simplr w3a caddc 3ad2ant1 ovolun
      simp2 simp3 syl22anc rexadd eqcomd 3adant1 syl3anc pm2.61dan eqbrtrd ) AB
      EFBCUAZBCUBZUCZEFZWPEFZWQEFZGHZIABWREBWRJAWRBBCUDUEUFUGAWTKJZWSXBIUHZAXCL
      ZWSKXBIAWSKIUHZXCAWSUITZXFAWRMUJXGAWPWQMABCMDUKZABMCDULZUMWRUNNWSUONZOXEX
      BKXAGHZKXCXBXKJAWTKXAGUPPXEXAUITZXAUQQZXKKJAXLXCAWQMUJZXLXIWQUNNOAXMXCAXA
      AWQMURZTZXAUSKUTHZTZAXPXNXIAWQRTXPXNVFABCRABMRMRTAVAUFZDVBVCWQMRVDNVEXOXQ
      WQEVGVHNZVIOXAVJSVKVLAXCVPZLZAWTMTZXDAYAVMYBWTXQTZWTKQZYCAYDYAAWPXOTYDAWP
      MRXSXHVNXOXQWPEVGVHNZOYAYEAWTKVOPWTVQSAYCLZXAKJZXDAYHXDYCAYHLZWSKXBIAXFYH
      XJOYIXBWTKGHZKYHXBYJJAXAKWTGVRPAYJKJZYHAWTUITZWTUQQYKAWPMUJZYLXHWPUNNAWTY
      FVIWTVSSOVKVLVTYGYHVPZLAYCXAMTZXDAYCYNWAAYCYNWBAYNYOYCAYNLXRXAKQZYOAXRYNX
      TOYNYPAXAKVOPXAVQSVTAYCYOWCZWSWTXAWDHZXBIYQYMYCXNYOWSYRIUHAYCYMYOXHWEAYCY
      OWGAYCXNYOXIWEAYCYOWHWPWQWFWIYCYOYRXBJAYCYOLXBYRWTXAWJWKWLVLWMWNSWNWO $.
  $}

  ${
    fvvolioof.f $e |- ( ph -> F : A --> ( RR* X. RR* ) ) $.
    fvvolioof.x $e |- ( ph -> X e. A ) $.
    $( The function value of the Lebesgue measure of an open interval composed
       with a function.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    fvvolioof $p |- ( ph -> ( ( ( vol o. (,) ) o. F ) ` X ) = ( vol ` ( ( 1st `
       ( F ` X ) ) (,) ( 2nd ` ( F ` X ) ) ) ) ) $=
      ( cvol cioo ccom cfv wfun cdm wcel wceq cxr eqcomd fvco syl2anc ioof a1i
      c1st c2nd co cxp ffund fdmd eleqtrd cr ffun ax-mp ffvelrnd fdmi eleqtrrdi
      cpw wf cop df-ov 1st2nd2 syl fveq2d eqtr2d 3eqtrd ) ADGHIZCIJZDCJZVCJZVEH
      JZGJZVEUAJZVEUBJZHUCZGJACKDCLZMVDVFNABOOUDZCEUEADBVLFAVLBABVMCEUFPUGDVCCQ
      RAHKZVEHLZMVFVHNVNAVMUHUNZHUOVNSVMVPHUIUJTAVEVMVOABVMDCEFUKZVMVPHSULUMVEG
      HQRAVGVKGAVKVIVJUPZHJZVGVKVSNAVIVJHUQTAVRVEHAVEVRAVEVMMVEVRNVQVEOOURUSPUT
      VAUTVB $.
  $}

  $( The measure of an open interval.  (Contributed by Glauco Siliprandi,
     3-Mar-2021.) $)
  volioore $p |- ( ( A e. RR /\ B e. RR ) -> ( vol ` ( A (,) B ) ) = if ( A <_
     B , ( B - A ) , 0 ) ) $=
    ( cr wcel wa cle wbr co cvol cfv wceq simpl simpr wb adantr mpbird c0 rexrd
    cc0 cxr cioo cmin cif volioo 3expa iftrue adantl eqtr4d clt ltnled vol0 a1i
    wn ltled ioo0 syl2anc fveq2d biimpa iffalsed 3eqtr4d pm2.61dan ) ACDZBCDZEZ
    ABFGZABUAHZIJZVEBAUBHZSUCZKZVDVEEVGVHVIVBVCVEVGVHKABUDUEVEVIVHKVDVEVHSUFUGU
    HVDVEUMZEZVDBAUIGZVJVDVKLVLVMVKVDVKMVDVMVKNVKVDBAVBVCMZVBVCLZUJZOPVDVMEZQIJ
    ZSVGVIVRSKVQUKULVQVFQIVQVFQKZBAFGZVQBAVDVCVMVNOVDVBVMVOOVDVMMUNVDVSVTNZVMVD
    ATDBTDWAVDAVORVDBVNRABUOUPOPUQVQVEVHSVDVMVKVPURUSUTUPVA $.
  ${
    fvvolicof.f $e |- ( ph -> F : A --> ( RR* X. RR* ) ) $.
    fvvolicof.x $e |- ( ph -> X e. A ) $.
    $( The function value of the Lebesgue measure of a left-closed right-open
       interval composed with a function.  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    fvvolicof $p |- ( ph -> ( ( ( vol o. [,) ) o. F ) ` X ) = ( vol ` ( ( 1st `
       ( F ` X ) ) [,) ( 2nd ` ( F ` X ) ) ) ) ) $=
      ( cvol cico ccom cfv wfun cdm wcel wceq cxr eqcomd fvco syl2anc icof a1i
      c1st c2nd co cxp ffund fdmd eleqtrd wf ffun ax-mp ffvelrnd fdmi eleqtrrdi
      cpw cop df-ov 1st2nd2 syl fveq2d eqtr2d 3eqtrd ) ADGHIZCIJZDCJZVBJZVDHJZG
      JZVDUAJZVDUBJZHUCZGJACKDCLZMVCVENABOOUDZCEUEADBVKFAVKBABVLCEUFPUGDVBCQRAH
      KZVDHLZMVEVGNVMAVLOUNZHUHVMSVLVOHUIUJTAVDVLVNABVLDCEFUKZVLVOHSULUMVDGHQRA
      VFVJGAVJVHVIUOZHJZVFVJVRNAVHVIHUPTAVQVDHAVDVQAVDVLMVDVQNVPVDOOUQURPUSUTUS
      VA $.
  $}

  ${
    voliooico.1 $e |- ( ph -> A e. RR ) $.
    voliooico.2 $e |- ( ph -> B e. RR ) $.
    $( An open interval and a left-closed, right-open interval with the same
       real bounds, have the same Lebesgue measure.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    voliooico $p |- ( ph -> ( vol ` ( A (,) B ) ) = ( vol ` ( A [,) B ) ) ) $=
      ( wbr co cvol wceq wa cmin cc0 adantl wcel simpr adantr syl2anc mpbird c0
      syl cle cioo cfv cico clt cif iftrue recnd subidd eqcomd ad2antrr iffalse
      wn simpll cr lenlteq oveq2 3eqtr4d pm2.61dan volioo syl3anc volico ltnled
      simpl ltled cxr wb rexrd ioo0 ico0 eqtr4d fveq2d ) ABCUAFZBCUBGZHUCZBCUDG
      ZHUCZIZAVMJZCBKGZBCUEFZVTLUFZVOVQVSWBVTVSWAWBVTIZWAWCVSWAVTLUGMVSWAUMZJZL
      CCKGZWBVTALWFIVMWDAWFLACACEUHUIUJUKWDWBLIVSWAVTLULMWEABCIZVTWFIZAVMWDUNZW
      EBCWEABUONZWIDTWEACUONZWIETVSVMWDAVMOZPVSWDOUPWGWHABCCKUQMQURUSUJVSWJWKVM
      VOVTIAWJVMDPAWKVMEPWLBCUTVAAVQWBIZVMAWJWKWMDEBCVBQPURAVMUMZJZACBUEFZVRAWN
      VDZWOWPWNAWNOWOCBWOAWKWQETWOAWJWQDTVCRAWPJZVNVPHWRVNSVPWRVNSIZCBUAFZWRCBA
      WKWPEPZAWJWPDPZAWPOVEZWRBVFNZCVFNZWSWTVGWRBXBVHZWRCXAVHZBCVIQRWRVPSIZWTXC
      WRXDXEXHWTVGXFXGBCVJQRVKVLQUS $.
  $}

  ${
    $d A x $.
    $( The predicate " ` A ` is Lebesgue-measurable".  Similar to ~ ismbl , but
       here ` +e ` is used, and the precondition ` ( vol* `` x ) e. RR ` can be
       dropped.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    ismbl4 $p |- ( A e. dom vol <-> ( A C_ RR /\ A. x e. ~P RR ( vol* ` x ) = (
       ( vol* ` ( x i^i A ) ) +e ( vol* ` ( x \ A ) ) ) ) ) $=
      ( cvol cdm wcel cr wss cv covol cfv cle wbr wral wa cxr ovolcl syl adantr
      wceq ex cin cdif cxad co cpw ismbl3 elpwi inss1 sstrid ssdifssd ovolsplit
      xaddcld simpr xrletrid xrleidd eqcomd adantl breqtrd impbid ralbiia bitri
      id anbi2i ) BCDEBFGZAHZBUAZIJZVEBUBZIJZUCUDZVEIJZKLZAFUEZMZNVDVKVJSZAVMMZ
      NABUFVNVPVDVLVOAVMVEVMEZVLVOVQVLVOVQVLNVKVJVQVKOEZVLVQVEFGVRVEFUGZVEPQRVQ
      VJOEVLVQVGVIVQVFFGVGOEVQVFVEFVEBUHVSUIVFPQVQVHFGVIOEVQVEFBVSUJVHPQULZRVQV
      KVJKLVLVQVEBVSUKRVQVLUMUNTVQVOVLVQVONVJVJVKKVQVJVJKLVOVQVJVTUORVOVJVKSVQV
      OVKVJVOVBUPUQURTUSUTVCVA $.
  $}

  ${
    $d A x $.  $d ph x $.
    volioofmpt.x $e |- F/_ x F $.
    volioofmpt.f $e |- ( ph -> F : A --> ( RR* X. RR* ) ) $.
    $( ` ( ( vol o. (,) ) o. F ) ` expressed in maps-to notation.  (Contributed
       by Glauco Siliprandi, 3-Mar-2021.) $)
    volioofmpt $p |- ( ph -> ( ( vol o. (,) ) o. F ) = ( x e. A |-> ( vol ` ( (
       1st ` ( F ` x ) ) (,) ( 2nd ` ( F ` x ) ) ) ) ) ) $=
      ( cvol cioo ccom cv cfv cmpt c1st c2nd co cc0 cpnf nfcv cxr wf volioof wa
      cicc nfco cxp a1i syl2anc feqmptdf adantr simpr fvvolioof mpteq2dva eqtrd
      fco wcel ) AGHIZDIZBCBJZUQKZLBCURDKZMKUTNKHOGKZLABCPQUCOZUQBCRBUPDBUPREUD
      ASSUEZVBUPTZCVCDTZCVBUQTVDAUAUFFCVCVBUPDUNUGUHABCUSVAAURCUOZUBCDURAVEVFFU
      IAVFUJUKULUM $.
  $}

  ${
    $d A x $.  $d F x $.  $d ph x $.
    volicoff.1 $e |- ( ph -> F : A --> ( RR X. RR* ) ) $.
    $( ` ( ( vol o. [,) ) o. F ) ` expressed in maps-to notation.  (Contributed
       by Glauco Siliprandi, 3-Mar-2021.) $)
    volicoff $p |- ( ph -> ( ( vol o. [,) ) o. F ) : A --> ( 0 [,] +oo ) ) $=
      ( vx co cvol cico ccom wf a1i cfv wcel wss cxr cxp cr fcoss syl syl2anc
      cc0 cpnf cicc cdm crn volf wfn wral cpw icof ressxr xpss1 ax-mp ffnd c1st
      cv c2nd adantr simpr fvovco ffvelrnda xp1st xp2nd icombl eqeltrd fnfvrnss
      wa ralrimiva ffrn wb coass feq1i mpbird ) ABUAUBUCFZGHICIZJZBVNGHCIZIZJZA
      GUDZVNVQUEZBGVQVTVNGJAUFKAVQBUGEUPZVQLZVTMZEBUHWAVTNABOUIZVQAOOPZWEQOPZBH
      CWFWEHJAUJKWGWFNZAQONWHUKQOOULUMKDRZUNAWDEBAWBBMZVGZWCWBCLZUOLZWLUQLZHFZV
      TWKCHQOBWBABWGCJWJDURAWJUSUTWKWMQMZWNOMZWOVTMWKWLWGMZWPABWGWBCDVAZWLQOVBS
      WKWRWQWSWLQOVCSWMWNVDTVEVHEBVTVQVFTABWEVQJBWAVQJWIBWEVQVISRVPVSVJABVNVOVR
      GHCVKVLKVM $.
  $}

  ${
    $d A x $.  $d F x $.  $d ph x $.
    voliooicof.1 $e |- ( ph -> F : A --> ( RR X. RR ) ) $.
    $( The Lebesgue measure of open intervals is the same as the Lebesgue
       measure of left-closed right-open intervals.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    voliooicof $p |- ( ph -> ( ( vol o. (,) ) o. F ) = ( ( vol o. [,) ) o. F )
       ) $=
      ( vx cvol cioo ccom cico co cxr cxp cr wf a1i fcoss ffnd cfv wcel wa cpnf
      cc0 cicc volioof wss rexpssxrxp cdm volf wfn cv wral cpw icof c1st adantr
      simpr fvovco ffvelrnda xp1st xp2nd rexrd icombl syl2anc eqeltrd ralrimiva
      c2nd syl jca ffnfv sylibr fco wceq coass feq1d mpbird voliooico fvvolioof
      fssd fvvolicof 3eqtr4d eqfnfvd ) AEBFGHZCHZFIHCHZABUBUAUCJZWCAKKLZWEMMLZB
      WBCWFWEWBNAUDOWGWFUEAUFOZDPQABWEWDABWEWDNBWEFICHZHZNZAFUGZWEFNZBWLWINZWKW
      MAUHOAWIBUIZEUJZWIRZWLSZEBUKZTWNAWOWSABKULZWIAWFWTWGBICWFWTINAUMOWHDPQAWR
      EBAWPBSZTZWQWPCRZUNRZXCVFRZIJZWLXBCIMMBWPABWGCNXADUOAXAUPZUQXBXDMSZXEKSXF
      WLSXBXCWGSZXHABWGWPCDURZXCMMUSVGZXBXEXBXIXEMSXJXCMMUTVGZVAXDXEVBVCVDVEVHE
      BWLWIVIVJBWLWEFWIVKVCABWEWDWJWDWJVLAFICVMOVNVOQXBXDXEGJFRXFFRWPWCRWPWDRXB
      XDXEXKXLVPXBBCWPABWFCNXAABWGWFCDWHVRUOZXGVQXBBCWPXMXGVSVTWA $.
  $}

  ${
    $d A x $.  $d ph x $.
    volicofmpt.1 $e |- F/_ x F $.
    volicofmpt.2 $e |- ( ph -> F : A --> ( RR X. RR* ) ) $.
    $( ` ( ( vol o. [,) ) o. F ) ` expressed in maps-to notation.  (Contributed
       by Glauco Siliprandi, 3-Mar-2021.) $)
    volicofmpt $p |- ( ph -> ( ( vol o. [,) ) o. F ) = ( x e. A |-> ( vol ` ( (
       1st ` ( F ` x ) ) [,) ( 2nd ` ( F ` x ) ) ) ) ) ) $=
      ( cvol cico ccom cv cfv cmpt c1st c2nd co nfcv cxr cxp cr wss cc0 cpnf wa
      cicc nfco volicoff feqmptdf wcel ressxr xpss1 ax-mp a1i fssd adantr simpr
      wf fvvolicof mpteq2dva eqtrd ) AGHIZDIZBCBJZVAKZLBCVBDKZMKVDNKHOGKZLABCUA
      UBUDOVABCPBUTDBUTPEUEACDFUFUGABCVCVEAVBCUHZUCCDVBACQQRZDUPVFACSQRZVGDFVHV
      GTZASQTVIUISQQUJUKULUMUNAVFUOUQURUS $.
  $}

  $( The Lebesgue measure of a closed interval.  (Contributed by Glauco
     Siliprandi, 8-Apr-2021.) $)
  volicc $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) -> ( vol ` ( A [,] B ) ) = (
     B - A ) ) $=
    ( cr wcel cle wbr w3a cicc co cvol cfv covol cmin wceq wa cdm iccmbl mblvol
    syl 3adant3 ovolicc eqtrd ) ACDZBCDZABEFZGABHIZJKZUFLKZBAMIUCUDUGUHNZUEUCUD
    OUFJPDUIABQUFRSTABUAUB $.
  ${
    voliccico.1 $e |- ( ph -> A e. RR ) $.
    voliccico.2 $e |- ( ph -> B e. RR ) $.
    $( A closed interval and a left-closed, right-open interval with the same
       real bounds, have the same Lebesgue measure.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    voliccico $p |- ( ph -> ( vol ` ( A [,] B ) ) = ( vol ` ( A [,) B ) ) ) $=
      ( wbr co cvol wceq wa cmin cc0 adantl wcel syl simpr adantr syl2anc rexrd
      mpbird cle cicc cfv cico clt cif iftrue wn subidd eqcomd ad2antrr iffalse
      recnd simpll lenlteq oveq2 3eqtr4d pm2.61dan volicc syl3anc volico ltnled
      cr simpl c0 wb cxr icc0 ltled ico0 eqtr4d fveq2d ) ABCUAFZBCUBGZHUCZBCUDG
      ZHUCZIZAVMJZCBKGZBCUEFZVTLUFZVOVQVSWBVTVSWAWBVTIZWAWCVSWAVTLUGMVSWAUHZJZL
      CCKGZWBVTALWFIVMWDAWFLACACEUMUIUJUKWDWBLIVSWAVTLULMWEABCIZVTWFIZAVMWDUNZW
      EBCWEABVCNZWIDOWEACVCNZWIEOVSVMWDAVMPZQVSWDPUOWGWHABCCKUPMRUQURUJVSWJWKVM
      VOVTIAWJVMDQAWKVMEQWLBCUSUTAVQWBIZVMAWJWKWMDEBCVARQUQAVMUHZJZACBUEFZVRAWN
      VDZWOWPWNAWNPWOCBWOAWKWQEOWOAWJWQDOVBTAWPJZVNVPHWRVNVEVPWRVNVEIZWPAWPPZAW
      SWPVFZWPABVGNZCVGNZXAABDSACESBCVHRQTWRVPVEIZCBUAFZWRCBAWKWPEQZAWJWPDQZWTV
      IWRXBXCXDXEVFWRBXGSWRCXFSBCVJRTVKVLRUR $.
  $}

  ${
    $d F x $.
    $( The domain of a measurable function is a subset of the Reals.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    mbfdmssre $p |- ( F e. MblFn -> dom F C_ RR ) $=
      ( vx cmbf wcel cc cr cpm co cdm wss cre ccom ccnv cv cima cvol cim wa crn
      cioo wral ismbf1 simplbi elpmi2 syl ) ACDZAEFGHDZAIFJUFUGKALMBNZOPIZDQALM
      UHOUIDRBTSUABAUBUCEFAUDUE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Stone Weierstrass theorem - real version
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    stoweidlem1.1 $e |- ( ph -> N e. NN ) $.
    stoweidlem1.2 $e |- ( ph -> K e. NN ) $.
    stoweidlem1.3 $e |- ( ph -> D e. RR+ ) $.
    stoweidlem1.5 $e |- ( ph -> A e. RR+ ) $.
    stoweidlem1.6 $e |- ( ph -> 0 <_ A ) $.
    stoweidlem1.7 $e |- ( ph -> A <_ 1 ) $.
    stoweidlem1.8 $e |- ( ph -> D <_ A ) $.
    $( Lemma for ~ stoweid .  This lemma is used by Lemma 1 in
       [BrosowskiDeutsh] p. 90; the key step uses Bernoulli's inequality
       ~ bernneq .  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem1 $p |- ( ph ->
          ( ( 1 - ( A ^ N ) ) ^ ( K ^ N ) ) <_ ( 1 / ( ( K x. D ) ^ N ) ) ) $=
      ( c1 cexp co cr wcel cc0 cle wbr cmin c2 cmul cdiv 1re a1i rpred reexpcld
      nnnn0d resubcld nn0expcld cn0 nn0mulcld nnred remulcld nncnd rpcnd nnne0d
      2nn0 wne rpne0d mulne0d cc cn mulcld expne0 syl2anc mpbird redivcld caddc
      readdcld exple1 syl31anc subge0d expge0d expcld dividd 0red 0le1 leadd1dd
      wb addid2d eqbrtrrd clt cz nngt0d rpgt0d mulgt0d expgt0 syl3anc syl112anc
      nnzd lediv1 mpbid mulexpd oveq2d oveq1d breqtrd lemulge11d subcld divassd
      1cnd addcld breqtrrd mulcomd renegcld le0neg2 ax-mp letrd bernneq eqbrtrd
      cneg mpbi lemul2ad wceq subsq sq1 expmuld 2cnd eqtr3d oveq12d 3eqtr3d jca
      wa 1m1e0 eqbrtrid subled jca32 mulge0d leexp1a syl32anc lediv12a syl12anc
      ltled ) AMBENOZUAOZDENOZNOZMBUBEUCOZNOZUAOZYQNOZDBUCOZENOZUDOZMDCUCOZENOZ
      UDOZAYPYQAMYOMPQZAUEUFZABEABIUGZAEFUIZUHZUJZADEADGUIUULUKZUHZAUUBUUDAUUAY
      QAMYTUUJABYSUUKAUBEUBULQAUSUFZUULUMZUHZUJZUUOUHZAUUCEADBADGUNZUUKUOZUULUH
      ZAUUDRUTZUUCRUTZADBADGUPZABIUQZADGURZABIVAVBAUUCVCQEVDQZUVEUVFWAADBUVGUVH
      VEZFUUCEVFVGVHZVIAMUUGUUJAUUFEADCUVBACHUGZUOZUULUHZAUUGRUTZUUFRUTZADCUVGA
      CHUQZUVIACHVAVBAUUFVCQUVJUVPUVQWAADCUVGUVRVEFUUFEVFVGVHVIAYRYRMYOVJOZYQNO
      ZUCOZUUDUDOZUUESAYRYRMYQYOUCOZVJOZUCOZUUDUDOZUWBUUPAUWEUUDAYRUWDUUPAMUWCU
      UJAYQYOADEUVBUULUHUUMUOVKZUOZUVDUVLVIAUWAUUDAYRUVTUUPAUVSYQAMYOUUJUUMVKUU
      OUHZUOZUVDUVLVIAYRYRUWDUUDUDOZUCOUWFSAYRUWKUUPAUWDUUDUWGUVDUVLVIAYPYQUUNU
      UOARYPSTYOMSTZABPQZRBSTZBMSTZEULQZUWLUUKJKUULBEVLVMAMYOUUJUUMVNVHVOZAMMUU
      DVJOZUUDUDOZUWKSAUUDUUDUDOZMUWSSAUUDAUUCEUVKUULVPZUVLVQAUUDUWRSTZUWTUWSST
      ZARUUDVJOUUDUWRSAUUDUXAWBARMUUDAVRZUUJUVDRMSTZAVSUFVTWCAUUDPQZUWRPQUXFRUU
      DWDTZUXBUXCWAUVDAMUUDUUJUVDVKUVDAUUCPQZEWEQZRUUCWDTUXGUVCAEFWLZADBUVBUUKA
      DGWFZABIWGWHUUCEWIWJZUUDUWRUUDWMWKWNWCAUWRUWDUUDUDAUUDUWCMVJADBEUVGUVHUUL
      WOWPWQWRWSAYRUWDUUDAYPYQAMYOAXBZABEUVHUULVPZWTZUUOVPAMUWCUXMAYQYOADEUVGUU
      LVPZUXNVEXCUXAUVLXAXDAUWEUWASTZUWFUWBSTZAUWDUVTYRUWGUWIUUPUWQAUWDMYOYQUCO
      ZVJOZUVTSAUWCUXSMVJAYQYOUXPUXNXEWPAYOPQYQULQZMXLZYOSTUXTUVTSTUUMUUOAUYBRY
      OAMUUJXFUXDUUMUYBRSTZAUXEUYCVSUUIUXEUYCWAUEMXGXHXMUFABEUUKUULJVOXIYOYQXJW
      JXKXNAUWEPQUWAPQUXFUXGUXQUXRWAUWHUWJUVDUXLUWEUWAUUDWMWKWNXIAUWAUUBUUDUDAY
      PUVSUCOZYQNOUVSYPUCOZYQNOUWAUUBAUYDUYEYQNAYPUVSUXOAMYOUXMUXNXCZXEWQAYPUVS
      YQUXOUYFUUOWOAUYEUUAYQNAMUBNOZYOUBNOZUAOZUYEUUAAMVCQYOVCQUYIUYEXOUXMUXNMY
      OXPVGAUYGMUYHYTUAUYGMXOAXQUFABEUBUCOZNOUYHYTABEUBUVHUUQUULXRAUYJYSBNAEUBA
      EFUPAXSXEWPXTYAXTWQYBWQWRAUUBPQZUUIYDZRUUBSTZUUBMSTZYDYDUUGPQZUXFYDRUUGWD
      TZUUGUUDSTZYDUUEUUHSTAUYLUYMUYNAUYKUUIUVAUUJYCAUUAYQUUTUUOARUUASTZYTMSTZA
      UWMUWNUWOYSULQUYSUUKJKUURBYSVLVMAMYTUUJUUSVNVHZVOAUUAPQUYRUUAMSTUYAUYNUUT
      UYTAMMYTUUJUUJUUSAMMUAORYTSYEABYSUUKUURJVOYFYGUUOUUAYQVLVMYHAUYOUXFUVOUVD
      YCAUYPUYQAUUFPQZUXIRUUFWDTUYPUVNUXJADCUVBUVMUXKACHWGZWHUUFEWIWJAVUAUXHUWP
      RUUFSTUUFUUCSTUYQUVNUVCUULADCUVBUVMARDUXDUVBUXKYNZARCUXDUVMVUBYNYIACBDUVM
      UUKUVBVUCLXNUUFUUCEYJYKYCUUBMUUGUUDYLYMXI $.
  $}

  ${
    $d f g t F $.  $d f s t E $.  $d f g A $.  $d f g t T $.  $d f g ph $.
    $d s t T $.  $d t x E $.  $d x A $.  $d x T $.  $d x ph $.
    stoweidlem2.1 $e |- F/ t ph $.
    stoweidlem2.2 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem2.3 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweidlem2.4 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    stoweidlem2.5 $e |- ( ph -> E e. RR ) $.
    stoweidlem2.6 $e |- ( ph -> F e. A ) $.
    $( lemma for ~ stoweid : here we prove that the subalgebra of continuous
       functions, which contains constant functions, is closed under scaling.
       (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem2 $p |- ( ph -> ( t e. T |-> ( E x. ( F ` t ) ) ) e. A ) $=
      ( cv cmul cmpt wcel wi vs co wa cr wceq simpr adantr eqidd cbvmptv fvmpt2
      cfv syl2anc eqcomd oveq1d mpteq2da id mpteq2dv eleq1d imbi2d expcom mpcom
      vtoclga eqeltrid fveq1 oveq2d 3comr 3expib eqeltrd ) ACEHCPZIUKZQUBZRCEVI
      UAEHRZUKZVJQUBZRZDACEVKVNJAVIESZUCZHVMVJQVQVMHVQVPHUDSZVMHUEAVPUFAVRVPNUG
      CEHUDVLUACEHHUAPVIUEHUHUIZUJULUMUNUOVLDSAVODSZAVLCEHRZDVSVRAWADSZNACEBPZR
      ZDSZTAWBTBHUDWCHUEZWEWBAWFWDWADWFCEWCHWFUPUQURUSAWCUDSWELUTVBVAVCACEVIFPZ
      UKZVJQUBZRZDSZTAVTTFVLDWGVLUEZWKVTAWLWJVODWLCEWIVNWLWHVMVJQVIWGVLVDUNUQUR
      USAWGDSZWKIDSZAWMUCZWKAWNWMOUGWOCEWHVIGPZUKZQUBZRZDSZTWOWKTGIDWPIUEZWTWKW
      OXAWSWJDXACEWRWIXAWQVJWHQVIWPIVDVEUQURUSWPDSZAWMWTAWMXBWTKVFVGVBVAUTVBVAV
      H $.
  $}

  ${
    $d a i m $.  $d a j m M $.  $d a j F $.  $d a j m ph $.  $d i m A $.
    $d i m M $.  $d m n A $.  $d m n X $.  $d n M $.  $d n ph $.
    stoweidlem3.1 $e |- F/_ i F $.
    stoweidlem3.2 $e |- F/ i ph $.
    stoweidlem3.3 $e |- X = seq 1 ( x. , F ) $.
    stoweidlem3.4 $e |- ( ph -> M e. NN ) $.
    stoweidlem3.5 $e |- ( ph -> F : ( 1 ... M ) --> RR ) $.
    stoweidlem3.6 $e |- ( ( ph /\ i e. ( 1 ... M ) ) -> A < ( F ` i ) ) $.
    stoweidlem3.7 $e |- ( ph -> A e. RR+ ) $.
    $( Lemma for ~ stoweid : if ` A ` is positive and all ` M ` terms of a
       finite product are larger than ` A ` , then the finite product is larger
       than ` A ^ M ` .  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem3 $p |- ( ph -> ( A ^ M ) < ( X ` M ) ) $=
      ( c1 co wcel cfv clt wbr cr vn vm va vj cfz cexp cuz elnnuz sylib eluzfz2
      cn syl cv wi caddc wceq oveq2 fveq2 breq12d imbi2d weq 1zzd nnzd cle 1le1
      a1i nnge1d elfzd ancli nfv nfan nfcv nffv nfbr nfim anbi2d breq2d imbi12d
      wa eleq1 vtoclg1f sylc rpcnd exp1d cmul cseq fveq1i cz seq1 ax-mp 3brtr4d
      1z eqtri cfzo w3a crp 3ad2ant3 rpred cn0 elfzouz sylbir 3ad2ant1 reexpcld
      nnnn0 adantr nfel1 eleq1d ad2antlr elfzelz elfzle1 zred elfzoelz ad2antrr
      adantl nnred elfzle2 elfzoel2 elfzolt2 ltled letrd ffvelrnd chvarfv seqcl
      remulcl eqeltrid 3adant2 fzofzp1 cc0 rpge0d expge0d simp3 simp2 mpd simpr
      wf jca ltmul12ad cc expp1d seqp1 eqcomd oveq1d 3eqtrd 3exp fzind2 mpcom )
      ENEUEOZPZABEUFOZEFQZRSZAENUGQZPZUUHAEUKPUUMJEUHUINEUJULABUAUMZUFOZUUNFQZR
      SZUNABNUFOZNFQZRSZUNZABUBUMZUFOZUVBFQZRSZUNZABUVBNUOOZUFOZUVGFQZRSZUNAUUK
      UNUAUBENEUUNNUPZUUQUUTAUVKUUOUURUUPUUSRUUNNBUFUQUUNNFURUSUTUAUBVAZUUQUVEA
      UVLUUOUVCUUPUVDRUUNUVBBUFUQUUNUVBFURUSUTUUNUVGUPZUUQUVJAUVMUUOUVHUUPUVIRU
      UNUVGBUFUQUUNUVGFURUSUTUUNEUPZUUQUUKAUVNUUOUUIUUPUUJRUUNEBUFUQUUNEFURUSUT
      UVAUUMABNDQZUURUUSRANUUGPZAUVPVSZBUVORSZANNEAVBZAEJVCZUVSNNVDSAVEVFAEJVGV
      HZAUVPUWAVIACUMZUUGPZVSZBUWBDQZRSZUNZUVQUVRUNCNUUGUVQUVRCAUVPCHUVPCVJVKCB
      UVORCBVLZCRVLZCNDGCNVLVMVNVOUWBNUPZUWDUVQUWFUVRUWJUWCUVPAUWBNUUGVTVPUWJUW
      EUVOBRUWBNDURVQVRLWAWBABABMWCZWDUUSUVOUPAUUSNWEDNWFZQZUVONFUWLIWGNWHPUWMU
      VOUPWLWEDNWIWJWMVFWKVFUVBNEWNOPZUVFAUVJUWNUVFAWOZUVCBWEOUVDUVGDQZWEOZUVHU
      VIRUWOUVCUVDBUWPUWOBUVBUWOBAUWNBWPPUVFMWQWRZUWNUVFUVBWSPZAUWNUVBUULPZUWSU
      VBNEWTZUWTUVBUKPUWSUVBUHUVBXDXAULXBZXCUWNAUVDTPUVFUWNAVSZUVDUVBUWLQZTUVBF
      UWLIWGZUXCUCUDWETDNUVBUWNUWTAUXAXEUXCUWBNUVBUEOZPZVSZUWETPZUNUXCUCUMZUXFP
      ZVSZUXJDQZTPZUNCUCUXLUXNCUXCUXKCUWNACUWNCVJHVKUXKCVJVKCUXMTCUXJDGCUXJVLVM
      XFVOCUCVAZUXHUXLUXIUXNUXOUXGUXKUXCUWBUXJUXFVTVPUXOUWEUXMTUWBUXJDURXGVRUXH
      UUGTUWBDAUUGTDYOZUWNUXGKXHUXHUWBNEUXHVBAEWHPUWNUXGUVTXHUXGUWBWHPUXCUWBNUV
      BXIZXNUXGNUWBVDSUXCUWBNUVBXJXNUXHUWBUVBEUXGUWBTPUXCUXGUWBUXQXKXNUWNUVBTPA
      UXGUWNUVBUVBNEXLXKZXMAETPUWNUXGAEJXOXHUXGUWBUVBVDSUXCUWBNUVBXPXNUWNUVBEVD
      SAUXGUWNUVBEUXRUWNEUVBNEXQXKUVBNEXRXSXMXTVHYAYBUXJTPUDUMZTPVSUXJUXSWEOTPU
      XCUXJUXSYDXNYCYEYFUWRUWOUUGTUVGDAUWNUXPUVFKWQUWNUVFUVGUUGPZANEUVBYGZXBYAU
      WOBUVBUWRUXBAUWNYHBVDSUVFABMYIWQZYJUWOAUVEUWNUVFAYKUWNUVFAYLYMUYBUWNABUWP
      RSZUVFUXCUXTAUXTVSZUYCUWNUXTAUYAXEZUXCAUXTUWNAYNUYEYPUWGUYDUYCUNCUVGUUGUY
      DUYCCAUXTCHUXTCVJVKCBUWPRUWHUWICUVGDGCUVGVLVMVNVOUWBUVGUPZUWDUYDUWFUYCUYF
      UWCUXTAUWBUVGUUGVTVPUYFUWEUWPBRUWBUVGDURVQVRLWAWBYFYQUWOBUVBAUWNBYRPUVFUW
      KWQUXBYSUWOUVIUVGUWLQZUXDUWPWEOZUWQUVIUYGUPUWOUVGFUWLIWGVFUWOUWTUYGUYHUPU
      WNUVFUWTAUXAXBWEDNUVBYTULUWOUXDUVDUWPWEUWOUVDUXDUVDUXDUPUWOUXEVFUUAUUBUUC
      WKUUDUUEUUF $.
  $}

  ${
    $d t x B $.  $d x A $.  $d x T $.  $d x ph $.
    stoweidlem4.1 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    $( Lemma for ~ stoweid : a class variable replaces a setvar variable, for
       constant functions.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem4 $p |- ( ( ph /\ B e. RR ) -> ( t e. T |-> B ) e. A ) $=
      ( cr wcel cmpt cv wa wi wceq eleq1 anbi2d simpl mpteq2dva eleq1d imbi12d
      vtoclg anabsi7 ) AEHIZCFEJZDIZABKZHIZLZCFUFJZDIZMAUCLZUEMBEHUFENZUHUKUJUE
      ULUGUCAUFEHOPULUIUDDULCFUFEULCKFIQRSTGUAUB $.
  $}

  ${
    $d d t D $.  $d d P $.  $d d Q $.
    stoweidlem5.1 $e |- F/ t ph $.
    stoweidlem5.2 $e |- D = if ( C <_ ( 1 / 2 ) , C , ( 1 / 2 ) ) $.
    stoweidlem5.3 $e |- ( ph -> P : T --> RR ) $.
    stoweidlem5.4 $e |- ( ph -> Q C_ T ) $.
    stoweidlem5.5 $e |- ( ph -> C e. RR+ ) $.
    stoweidlem5.6 $e |- ( ph -> A. t e. Q C <_ ( P ` t ) ) $.
    $( There exists a &delta; as in the proof of Lemma 1 in [BrosowskiDeutsh]
       p. 90: 0 < &delta; < 1 , p >= &delta; on ` T \ U ` .  Here ` D ` is used
       to represent &delta; in the paper and ` Q ` to represent ` T \ U ` in
       the paper.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem5 $p |- ( ph
       -> E. d ( d e. RR+ /\ d < 1 /\ A. t e. Q d <_ ( P ` t ) ) ) $=
      ( crp wcel c1 wbr cle cr clt cv cfv wral w3a wex c2 co cif halfre halfgt0
      cdiv elrpii ifcl sylancl eqeltrid rpred a1i 1red eqbrtrid halflt1 lelttrd
      min2 wa adantr wf sselda ffvelrnd min1 r19.21bi letrd ex ralrimi wi eleq1
      wceq breq1 ralbidv 3anbi123d spcegv syl mp3and ) ADOPZDQUARZDBUBZEUCZSRZB
      FUDZHUBZOPZWIQUARZWIWFSRZBFUDZUEZHUFZADCQUGULUHZSRZCWPUIZOJACOPWPOPWROPMW
      PUJUKUMWQCWPOUNUOZUPZADWPQADWTUQWPTPZAUJURAUSADWRWPSJACTPZXAWRWPSRACMUQZU
      JCWPVCUOUTWPQUARAVAURVBAWGBFIAWEFPZWGAXDVDZDWRWFSJXEWRCWFAWRTPXDAWRWSUQVE
      AXBXDXCVEXEGTWEEAGTEVFXDKVEAFGWELVGVHAWRCSRZXDAXBXAXFXCUJCWPVIUOVEACWFSRB
      FNVJVKUTVLVMAWCWCWDWHUEZWOVNWTWNXGHDOWIDVPZWJWCWKWDWMWHWIDOVOWIDQUAVQXHWL
      WGBFWIDWFSVQVRVSVTWAWB $.
  $}

  ${
    $d f g t $.  $d f g A $.  $d f g F $.  $d f g T $.  $d f g ph $.  $d g G $.
    stoweidlem6.1 $e |- F/ t f = F $.
    stoweidlem6.2 $e |- F/ t g = G $.
    stoweidlem6.3 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    $( Lemma for ~ stoweid : two class variables replace two setvar variables,
       for multiplication of two functions.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stoweidlem6 $p |- ( ( ph /\ F e. A /\ G e. A ) ->
          ( t e. T |-> ( ( F ` t ) x. ( G ` t ) ) ) e. A ) $=
      ( wcel w3a cv cfv cmul co cmpt wi wceq simp3 eleq1 3anbi3d fveq1 mpteq2da
      oveq2d adantr eleq1d imbi12d simp2 3anbi2d oveq1d vtoclg mpcom ) HCLZAGCL
      ZUOMZBDBNZGOZURHOZPQZRZCLZAUPUOUAAUPFNZCLZMZBDUSURVDOZPQZRZCLZSZUQVCSFHCV
      DHTZVFUQVJVCVLVEUOAUPVDHCUBUCVLVIVBCVLBDVHVAJVLVHVATURDLZVLVGUTUSPURVDHUD
      UFUGUEUHUIUPVFVJAUPVEUJAENZCLZVEMZBDURVNOZVGPQZRZCLZSVKEGCVNGTZVPVFVTVJWA
      VOUPAVEVNGCUBUKWAVSVICWABDVRVHIWAVRVHTVMWAVQUSVGPURVNGUDULUGUEUHUIKUMUNUM
      UN $.
  $}

  ${
    $d i k n A $.  $d i k n B $.  $d i k n E $.  $d i k n ph $.  $d k n F $.
    $d k n G $.
    stoweidlem7.1 $e |- F = ( i e. NN0 |-> ( ( 1 / A ) ^ i ) ) $.
    stoweidlem7.2 $e |- G = ( i e. NN0 |-> ( B ^ i ) ) $.
    stoweidlem7.3 $e |- ( ph -> A e. RR ) $.
    stoweidlem7.4 $e |- ( ph -> 1 < A ) $.
    stoweidlem7.5 $e |- ( ph -> B e. RR+ ) $.
    stoweidlem7.6 $e |- ( ph -> B < 1 ) $.
    stoweidlem7.7 $e |- ( ph -> E e. RR+ ) $.
    $( This lemma is used to prove that q_n as in the proof of Lemma 1 in
       [BrosowskiDeutsh] p. 91, (at the top of page 91), is such that q_n <
       &epsilon; on ` T \ U ` , and q_n > 1 - &epsilon; on ` V ` .  Here it is
       proven that, for ` n ` large enough, 1-(k*&delta;/2)^n > 1 - &epsilon; ,
       and 1/(k*&delta;)^n < &epsilon;.  The variable ` A ` is used to
       represent (k*&delta;) in the paper, and ` B ` is used to represent
       (k*&delta;/2).  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem7 $p |- ( ph -> E. n e. NN
          ( ( 1 - E ) < ( 1 - ( B ^ n ) ) /\ ( 1 / ( A ^ n ) ) < E ) ) $=
      ( c1 co clt wbr wcel vk cmin cv cexp cdiv wa cuz cfv wral cn wrex cc cabs
      cc0 nnuz 1zzd cn0 oveq2 nnnn0 adantl rpcnd adantr expcld fvmptd3 cmpt cli
      cneg 1red renegcld rpred neg1lt0 a1i rpgt0d lttrd absltd mpbir2and expcnv
      0red eqbrtrid climi r19.26 simprbi ad2antlr oveq1d fveq2d breq1d sylancom
      weq rspccva cr wb crp simplll syl simpllr eluznn0 reexpcld rpre 3syl wceq
      subid1d abslt bitrd syl2anc simprd eluznn ltsub2d ralrimiva oveq2d breq2d
      recn mpbid cbvralvw sylibr ex reximdva recnd 0lt1 gt0ne0d reccld rereccld
      mpd recgt0d ltdiv23 syl122anc 1cnd div1d mpbird climi2 wi simpll uznnssnn
      wss simpr sseldd cle ltled expge0d absidd eqtrd ralimdva rexanuz2 cz uzid
      biimpd sylanbrc nnz anbi12d wne jca expdiv syl3anc 1exp anbi2d ) APFUBQZP
      CUAUCZUDQZUBQZRSZPBUEQZUUPUDQZFRSZUFZUAEUCZUGUHZUIZEUJUKZUUOPCUVDUDQZUBQZ
      RSZPBUVDUDQZUEQZFRSZUFZEUJUKAUUSUAUVEUIZEUJUKZUVBUAUVEUIZEUJUKZUVGAUUQULT
      ZUUQUNUBQZUMUHZFRSZUFUAUVEUIZEUJUKUVPAUNUUQFEUAHPUJUOAUPZOAUUPUJTZUFZDUUP
      CDUCZUDQZUUQUQHULJUWGUUPCUDURUWEUUPUQTAUUPUSUTZUWFCUUPACULTUWEACMVAZVBUWI
      VCVDAHDUQUWHVEUNVFJACDUWJACUMUHPRSPVGZCRSCPRSAUWKUNCAPAVHZVIZAVRZACMVJZUW
      KUNRSAVKVLZACMVMVNNACPUWOUWLVOVPVQVSVTAUWCUVOEUJAUVDUJTZUFZUWCUVOUWRUWCUF
      ZUUOPUWHUBQZRSZDUVEUIUVOUWSUXADUVEUWSUWGUVETZUFZUWHFRSZUXAUXCFVGUWHRSZUXD
      UXCUWHUNUBQZUMUHZFRSZUXEUXDUFZUWSUXBUWBUAUVEUIZUXHUWCUXJUWRUXBUWCUVSUAUVE
      UIUXJUVSUWBUAUVEWAWBWCUWBUXHUAUWGUVEUADWHZUWAUXGFRUXKUVTUXFUMUXKUUQUWHUNU
      BUUPUWGCUDURZWDWEWFWIWGUXCUWHWJTZFWJTZUXHUXIWKUXCCUWGUXCCUXCACWLTAUWQUWCU
      XBWMZMWNVJUWSUXBUVDUQTZUWGUQTZUXCUWQUXPAUWQUWCUXBWOZUVDUSZWNUWGUVDWPWGWQU
      XCAFWLTUXNUXOOFWRWSUXMUXNUFZUXHUWHUMUHZFRSUXIUXTUXGUYAFRUXTUXFUWHUMUXMUXF
      UWHWTUXNUXMUWHUWHXKXAVBWEWFUWHFXBXCXDXLXEUXCAUWGUJTZUXDUXAWKUXOUWSUXBUWQU
      YBUXRUWGUVDXFWGAUYBUFZUWHFPUYCCUWGACWJTUYBUWOVBUYBUXQAUWGUSUTWQAUXNUYBAFO
      VJVBUYCVHXGXDXLXHUUSUXAUADUVEUXKUURUWTUUORUXKUUQUWHPUBUXLXIXJXMXNXOXPYBAU
      VAUNUBQZUMUHZFRSZUAUVEUIZEUJUKUVRAUNUVAFEUAGPUJUOUWDOUWFDUUPUUTUWGUDQZUVA
      UQGULIUWGUUPUUTUDURUWIUWFUUTUUPAUUTULTUWEABABKXQZABAUNPBUWNUWLKUNPRSZAXRV
      LZLVNZXSZXTZVBUWIVCZVDAGDUQUYHVEUNVFIAUUTDUYNAUUTUMUHPRSUWKUUTRSUUTPRSZAU
      WKUNUUTUWMUWNABKUYMYAZUWPABKUYLYCZVNAUYPPBRSZLAUYPPPUEQZBRSZUYSAPWJTZBWJT
      UNBRSVUBUYJUYPVUAWKUWLKUYLUWLUYKPBPYDYEAUYTPBRAPAYFYGWFXCYHAUUTPUYQUWLVOV
      PVQVSYIAUYGUVQEUJUWRUYFUVBUAUVEUWRUUPUVETZUFZAUWEUYFUVBYJAUWQVUCYKVUDUVEU
      JUUPUWQUVEUJYMAVUCUVDYLWCUWRVUCYNYOUWFUYFUVBUWFUYEUVAFRUWFUYEUVAUMUHUVAUW
      FUYDUVAUMUWFUVAUYOXAWEUWFUVAUWFUUTUUPAUUTWJTUWEUYQVBZUWIWQUWFUUTUUPVUEUWI
      AUNUUTYPSUWEAUNUUTUWNUYQUYRYQVBYRYSYTWFUUEXDUUAXPYBUUSUVBEUAPUJUOUUBUUFAU
      VFUVNEUJUWRUVFUVNUWRUVFUFZUVJUUTUVDUDQZFRSZUFZUVNVUFUVFUVDUVETZVUIUWRUVFY
      NUWQVUJAUVFUWQUVDUUCTZVUJUVDUUGZUVDUUDWNWCUVCVUIUAUVDUVEUAEWHZUUSUVJUVBVU
      HVUMUURUVIUUORVUMUUQUVHPUBUUPUVDCUDURXIXJVUMUVAVUGFRUUPUVDUUTUDURWFUUHWIX
      DVUFVUHUVMUVJUWRVUHUVMWKUVFUWRVUGUVLFRUWRVUGPUVDUDQZUVKUEQZUVLUWRPULTBULT
      ZBUNUUIZUFZUXPVUGVUOWTUWRYFAVURUWQAVUPVUQUYIUYMUUJVBUWQUXPAUXSUTPBUVDUUKU
      ULUWRVUNPUVKUEUWRVUKVUNPWTUWQVUKAVULUTUVDUUMWNWDYTWFVBUUNXLXOXPYB $.
  $}

  ${
    $d f g t $.  $d f g A $.  $d f g F $.  $d f g T $.  $d f g ph $.  $d g G $.
    stoweidlem8.1 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
         ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem8.2 $e |- F/_ t F $.
    stoweidlem8.3 $e |- F/_ t G $.
    $( Lemma for ~ stoweid : two class variables replace two setvar variables,
       for the sum of two functions.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stoweidlem8 $p |- ( ( ph /\ F e. A /\ G e. A ) ->
          ( t e. T |-> ( ( F ` t ) + ( G ` t ) ) ) e. A ) $=
      ( wcel w3a cv cfv caddc co cmpt wi wceq simp3 eleq1 3anbi3d oveq2d adantr
      nfeq2 fveq1 mpteq2da eleq1d imbi12d simp2 3anbi2d oveq1d vtoclg mpcom ) H
      CLZAGCLZUPMZBDBNZGOZUSHOZPQZRZCLZAUQUPUAAUQFNZCLZMZBDUTUSVEOZPQZRZCLZSZUR
      VDSFHCVEHTZVGURVKVDVMVFUPAUQVEHCUBUCVMVJVCCVMBDVIVBBVEHKUFVMVIVBTUSDLZVMV
      HVAUTPUSVEHUGUDUEUHUIUJUQVGVKAUQVFUKAENZCLZVFMZBDUSVOOZVHPQZRZCLZSVLEGCVO
      GTZVQVGWAVKWBVPUQAVFVOGCUBULWBVTVJCWBBDVSVIBVOGJUFWBVSVITVNWBVRUTVHPUSVOG
      UGUMUEUHUIUJIUNUOUNUO $.
  $}

  ${
    $d g A $.  $d g E $.  $d g F $.  $d g t T $.
    stoweidlem9.1 $e |- ( ph -> T = (/) ) $.
    stoweidlem9.2 $e |- ( ph -> ( t e. T |-> 1 ) e. A ) $.
    $( Lemma for ~ stoweid : here the Stone Weierstrass theorem is proven for
       the trivial case, T is the empty set.  (Contributed by Glauco
       Siliprandi, 20-Apr-2017.) $)
    stoweidlem9 $p |- ( ph ->
          E. g e. A A. t e. T ( abs ` ( ( g ` t ) - ( F ` t ) ) ) < E ) $=
      ( c0 cv cfv cmin co cabs clt wbr wral c1 wceq wcel wrex mpteq1 eqtrdi syl
      cmpt mpt0 eqeltrrd rzal fveq1 fvoveq1d breq1d ralbidv rspcev syl2anc ) AJ
      CUABKZJLZUPGLZMNOLZFPQZBDRZUPEKZLZURMNOLZFPQZBDRZECUBABDSUFZJCADJTZVGJTHV
      HVGBJSUFJBDJSUCBSUGUDUEIUHAVHVAHUTBDUIUEVFVAEJCVBJTZVEUTBDVIVDUSFPVIVCUQU
      ROMUPVBJUJUKULUMUNUO $.
  $}

  $( Lemma for ~ stoweid .  This lemma is used by Lemma 1 in [BrosowskiDeutsh]
     p. 90, this lemma is an application of Bernoulli's inequality.
     (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
  stoweidlem10 $p |- ( ( A e. RR /\ N e. NN0 /\ A <_ 1 ) ->
    ( 1 - ( N x. A ) ) <_ ( ( 1 - A ) ^ N ) ) $=
    ( cr wcel c1 cle wbr w3a cneg cmul co caddc cexp cmin 3ad2ant1 syl3anc wceq
    wa cc 3adant3 cn0 renegcl simp2 simpr simpl 1red mpbid 3adant2 bernneq recn
    lenegd nn0cn 3ad2ant2 1cnd mulneg1 oveq2d simp3 mulcl negsubd mulcom 3eqtrd
    oveq1d 3brtr3d ) ACDZBUADZAEFGZHZEAIZBJKZLKZEVHLKZBMKZEBAJKZNKZEANKZBMKZFVG
    VHCDZVEEIVHFGZVJVLFGVDVEVQVFAUBOVDVEVFUCVDVFVRVEVDVFRZVFVRVDVFUDVSAEVDVFUEV
    SUFUKUGUHVHBUIPVGASDZBSDZESDZVJVNQVDVEVTVFAUJZOVEVDWAVFBULUMVGUNVTWAWBHZVJE
    ABJKZIZLKZEWENKZVNVTWAVJWGQWBVTWARZVIWFELABUOUPTWDEWEVTWAWBUQVTWAWESDWBABUR
    TUSVTWAWHVNQWBWIWEVMENABUTUPTVAPVDVEVLVPQVFVDVKVOBMVDEAVDUNWCUSVBOVC $.

  ${
    $d i j $.  $d i t E $.  $d i t N $.  $d i ph $.  $d t T $.  $d t X $.
    stoweidlem11.1 $e |- ( ph -> N e. NN ) $.
    stoweidlem11.2 $e |- ( ph -> t e. T ) $.
    stoweidlem11.3 $e |- ( ph -> j e. ( 1 ... N ) ) $.
    stoweidlem11.4 $e |- ( ( ph /\ i e. ( 0 ... N ) ) ->
          ( X ` i ) : T --> RR ) $.
    stoweidlem11.5 $e |- ( ( ph /\ i e. ( 0 ... N ) ) ->
          ( ( X ` i ) ` t ) <_ 1 ) $.
    stoweidlem11.6 $e |- ( ( ph /\ i e. ( j ... N ) ) ->
          ( ( X ` i ) ` t ) < ( E / N ) ) $.
    stoweidlem11.7 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem11.8 $e |- ( ph -> E < ( 1 / 3 ) ) $.
    $( This lemma is used to prove that there is a function ` g ` as in the
       proof of [BrosowskiDeutsh] p. 92 (at the top of page 92): this lemma
       proves that g(t) < ( j + 1 / 3 ) * &epsilon;.  Here ` E ` is used to
       represent &epsilon; in the paper.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stoweidlem11 $p |- ( ph -> ( ( t e. T |-> sum_ i e. ( 0 ... N )
          ( E x. ( ( X ` i ) ` t ) ) ) ` t ) < ( ( j + ( 1 / 3 ) ) x. E ) ) $=
      ( cc0 co c1 wcel cv cfz cfv cmul csu cmpt c3 cdiv caddc clt cvv wceq eqid
      sumex fvmpt2 sylancl cmin fzfid wa cr ffvelrnd remulcld fsumrecl elfzelzd
      rpred adantr zred nnred resubcld 1red readdcld nndivred 3re 3ne0 rereccld
      a1i wne cuz wss cz cle wbr elfzelz peano2zm 3syl nnzd lem1d elfzuz3 letrd
      eluzle eluz2 syl3anbrc fzss2 syl sselda syldan cin c0 ltm1d fzdisj fzssp1
      cun nncnd 1cnd npcand oveq2d sseqtrid wb 1zzd syl22anc mpbid 1m1e0 oveq1i
      fzsubel eleqtrdi sseldd fzsplit oveq1d uneq2d eqtrd cc rpcnd recnd mulcld
      zcnd fsumsplit syl112anc chash fsumconst syl2anc breqtrd ltadd2dd eqbrtrd
      cfn hashfz subcld 3eqtrd mulcomd leadd2dd lemul2d wf 0zd 0red 0le1 elfzuz
      w3a sylib simp3d fzss1 eluzfz2 ne0i cn rpgt0d ltmul2 fsumlt nnne0d divcld
      4syl lemul2 mulid1d fsumle 1e0p1 fveq2i eluzp1m1 sylancr subid1d leadd1dd
      0z ltletrd addcld mul12d div12d elfzle1 suble0d addsub12d addcomd addid1d
      mpbird 3brtr3d nngt0d lediv1 dividd eqbrtrrd adddird eqtr4d lelttrd lttrd
      ltmul1dd ) ABUAZBCQGUBRZFUWIDUAZHUCZUCZUDRZDUEZUFZUCZUWOEUAZSUGUHRZUIRZFU
      DRZUJAUWICTZUWOUKTUWQUWOULJUWJUWNDUNBCUWOUKUWPUWPUMUOUPAUWOFUWRUDRZGUWRUQ
      RZSUIRZFFGUHRZUDRZUDRZUIRZUXAAUWJUWNDAQGURZAUWKUWJTZUSZFUWMAFUTTZUXKAFOVE
      ZVFUXLCUTUWIUWLLAUXBUXKJVFVAZVBVCZAUXCUXHAFUWRUXNAUWRAUWRSGKVDZVGZVBZAUXE
      UXGAUXDSAGUWRAGIVHZUXRVIAVJZVKZAFUXFUXNAFGUXNIVLZVBVBZVKZAUWTFAUWRUWSUXRA
      UGUGUTTAVMVPUGQVQAVNVPVOZVKZUXNVBZAUWOQUWRSUQRZUBRZUWNDUEZUXHUIRZUXIUXPAU
      YKUXHAUYJUWNDAQUYIURZAUWKUYJTZUSZFUWMAUXMUYNUXNVFZAUYNUXKUWMUTTZAUYJUWJUW
      KAGUYIVRUCTZUYJUWJVSAUYIVTTZGVTTZUYIGWAWBUYRAUWRSGUBRTZUWRVTTZUYSKUWRSGWC
      UWRWDWEAGIWFZAUYIUWRGAUWRSUXRUYAVIUXRUXTAUWRUXRWGAVUAGUWRVRUCTZUWRGWAWBKU
      WRSGWHZUWRGWJWEWIUYIGWKWLUYIQGWMWNWOZUXOWPZVBZVCZUYDVKUYEAUWOUYKUWRGUBRZU
      WNDUEZUIRUYLUJAUYJVUJUWNUWJDAUYIUWRUJWBUYJVUJWQWRULAUWRUXRWSQUYIUWRGWTWNA
      UWJUYJUYISUIRZGUBRZXBZUYJVUJXBAUYIUWJTUWJVUNULAQGSUQRZUBRZUWJUYIAQVUOSUIR
      ZUBRVUPUWJQVUOXAAVUQGQUBAGSAGIXCZAXDZXEXFXGAUYISSUQRZVUOUBRZVUPAVUAUYIVVA
      TZKASVTTZUYTVUBVVCVUAVVBXHAXIZVUCUXQVVDUWRSSGXNXJXKVUTQVUOUBXLXMXOXPUYIQG
      XQWNAVUMVUJUYJAVULUWRGUBAUWRSAUWRUXQYEZVUSXEZXRXSXTUXJUXLFUWMAFYATZUXKAFO
      YBZVFUXLUWMUXOYCYDYFAVUKUXHUYKAVUJUWNDAUWRGURZAUWKVUJTZUSZFUWMAUXMVVJUXNV
      FZVVKCUTUWIUWLAVVJUXKCUTUWLUUAAVUJUWJUWKAUWRQVRUCZTZVUJUWJVSAQVTTZVUBQUWR
      WAWBVVNAUUBUXQAQSUWRAUUCZUYAUXRQSWAWBAUUDVPAVVCVUBSUWRWAWBZAUWRSVRUCZTZVV
      CVUBVVQUUFAVUAVVSKUWRSGUUEWNZSUWRWKUUGUUHWIQUWRWKWLUWRQGUUIWNWOLWPAUXBVVJ
      JVFVAZVBZVCUYDVUIAVUKVUJUXGDUEZUXHUJAVUJUWNUXGDVVIAVUAVUDGVUJTVUJWRVQKVUE
      UWRGUUJVUJGUUKUURVWBVVKFUXFVVLVVKFGVVLAGUULTVVJIVFVLZVBVVKUWMUXFUJWBZUWNU
      XGUJWBZNVVKUYQUXFUTTUXMQFUJWBZVWEVWFXHVWAVWDVVLAVWGVVJAFOUUMZVFUWMUXFFUUN
      YGXKUUOAVWCVUJYHUCZUXGUDRZUXHAVUJYNTUXGYATVWCVWJULVVIAFUXFVVHAFGVVHVURAGI
      UUPZUUQZYDVUJUXGDYIYJAVWIUXEUXGUDAVUAVUDVWIUXEULKVUEUWRGYOWEXRXTYKYLYMAUY
      KUXCUXHVUIUXSUYDAUYKUYJFDUEZUXCWAAUYJUWNFDUYMVUHUYPUYOUWNFSUDRZFWAUYOUWMS
      WAWBZUWNVWNWAWBZAUYNUXKVWOVUFMWPUYOUYQSUTTUXMVWGVWOVWPXHVUGUYOVJUYPAVWGUY
      NVWHVFUWMSFUUSYGXKAVWNFULUYNAFVVHUUTZVFYKUVAAVWMUYJYHUCZFUDRZUWRFUDRZUXCA
      UYJYNTVVGVWMVWSULUYMVVHUYJFDYIYJAVWRUWRFUDAVWRUYIQUQRZSUIRZVULUWRAUYIVVMT
      ZVWRVXBULAVVOUWRQSUIRZVRUCZTVXCUVHAUWRVVRVXEVVTSVXDVRUVBUVCXOQUWRUVDUVEQU
      YIYOWNAVXAUYISUIAUYIAUWRSVVEVUSYPUVFXRVVFYQXRAUWRFVVEVVHYRYQYKUVGUVIAUXIU
      XCFFUDRZUIRZUXAUYEAUXCVXFUXSAFFUXNUXNVBZVKUYHAUXCFUXEUXFUDRZUDRZUIRUXIVXG
      WAAVXJUXHUXCUIAFUXEUXFVVHAUXDSAGUWRVURVVEYPZVUSUVJZVWLUVKXFAVXJVXFUXCAFVX
      IUXNAUXEUXFUYBUYCVBZVBVXHUXSAVXIFWAWBVXJVXFWAWBAVXIFUXEGUHRZUDRZFWAAUXEFG
      VXLVVHVURVWKUVLAVXOVWNFWAAVXNSWAWBVXOVWNWAWBAVXNGGUHRZSWAAUXEGWAWBZVXNVXP
      WAWBZAGSUWRUQRZUIRZGQUIRUXEGWAAVXSQGASUWRUYAUXRVIVVPUXTAVXSQWAWBVVQAVUAVV
      QKUWRSGUVMWNASUWRUYAUXRUVNUVRYSAVXTSUXDUIRUXEAGSUWRVURVUSVVEUVOASUXDVUSVX
      KUVPXTAGVURUVQUVSAUXEUTTGUTTZVYAQGUJWBVXQVXRXHUYBUXTUXTAGIUVTUXEGGUWAYGXK
      AGVURVWKUWBYKAVXNSFAUXEGUYBIVLUYAOYTXKVWQYKYMAVXIFFVXMUXNOYTXKYSUWCAVXGUW
      RFUIRZFUDRZUXAUJAVXGVWTVXFUIRVYCAUXCVWTVXFUIAFUWRVVHVVEYRXRAUWRFFVVEVVHVV
      HUWDUWEAVYBUWTFAUWRFUXRUXNVKUYGOAFUWSUWRUXNUYFUXRPYLUWHYMUWFUWGYM $.
  $}

  ${
    $d t T $.
    stoweidlem12.1 $e |- Q
        = ( t e. T |-> ( ( 1 - ( ( P ` t ) ^ N ) ) ^ ( K ^ N ) ) ) $.
    stoweidlem12.2 $e |- ( ph -> P : T --> RR ) $.
    stoweidlem12.3 $e |- ( ph -> N e. NN0 ) $.
    stoweidlem12.4 $e |- ( ph -> K e. NN0 ) $.
    $( Lemma for ~ stoweid .  This Lemma is used by other three Lemmas.
       (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem12 $p |- ( ( ph /\ t e. T ) ->
          ( Q ` t ) = ( ( 1 - ( ( P ` t ) ^ N ) ) ^ ( K ^ N ) ) ) $=
      ( wcel wa c1 cfv cexp co cr cn0 adantr cmin wceq simpr ffvelrnda reexpcld
      cv 1red resubcld jca nn0expcl syl fvmpt2 syl2anc ) ABUFZELZMZUONUNCOZGPQZ
      UAQZFGPQZPQZRLUNDOVAUBAUOUCUPUSUTUPNURUPUGUPUQGAERUNCIUDAGSLZUOJTUEUHUPFS
      LZVBMZUTSLAVDUOAVCVBKJUITFGUJUKUEBEVARDHULUM $.
  $}

  ${
    stoweidlem13.1 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem13.2 $e |- ( ph -> X e. RR ) $.
    stoweidlem13.3 $e |- ( ph -> Y e. RR ) $.
    stoweidlem13.4 $e |- ( ph -> j e. RR ) $.
    stoweidlem13.5 $e |- ( ph -> ( ( j - ( 4 / 3 ) ) x. E ) < X ) $.
    stoweidlem13.6 $e |- ( ph -> X <_ ( ( j - ( 1 / 3 ) ) x. E ) ) $.
    stoweidlem13.7 $e |- ( ph -> ( ( j - ( 4 / 3 ) ) x. E ) < Y ) $.
    stoweidlem13.8 $e |- ( ph -> Y < ( ( j + ( 1 / 3 ) ) x. E ) ) $.
    $( Lemma for ~ stoweid .  This lemma is used to prove the statement abs(
       f(t) - g(t) ) < 2 epsilon, in the last step of the proof in
       [BrosowskiDeutsh] p. 92.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stoweidlem13 $p |- ( ph -> ( abs ` ( Y - X ) ) < ( 2 x. E ) ) $=
      ( co cmul clt c1 c4 c3 caddc cmin cabs cfv c2 cneg resubcld cr wcel rpred
      wbr 2re remulcl sylancr recnd negsubdi2d 1red remulcld cdiv 3ne0 rereccli
      cv 3re a1i cc0 wne w3a 4re 3pm3.2i redivcl mp1i lesub1dd ltsub2dd lelttrd
      subcld subdird sub4d subsub2d oveq1d eqtr3d breqtrd subidd 4cn 3cn divcli
      eqtrd ax-1cn 1div1e1 oveq2i ax-1ne0 divadddivi addcomi df-4 1t1e1 mulid2i
      eqtr3i oveq12i 3eqtr4ri oveq1i 3t1e3 3eqtri subaddrii 1e0p1 eqtr4i eqtrdi
      1lt2 ltmul1d mpbii lttrd eqbrtrd ltnegcon1d c5 redivcld renegcld readdcld
      ltnegd mpbid lt2addd negsubd adddird eqcomd negcld mulneg1d oveq2d 3eqtrd
      negeqd mulcld negdid negnegd oveq12d add4d negidd addcld addid2d divcan2i
      5re adddid df-5 3eqtr4i mvllmuld 3eqtr2d 3brtr3d 5lt6 3t2e6 breqtrri 3pos
      c6 wa wb pm3.2i ltdivmul mp3an mpbir ltmul1dd absltd mpbir2and ) AEDUANZU
      BUCUDCONZPUJUUQUEUUPPUJUUPUUQPUJAUUPUUQAEDHGUFZAUDUGUHZCUGUHUUQUGUHUKACFU
      IZUDCULUMZAUUPUEDEUANZUUQPAEDAEHUNZADGUNZUOAUVBQCONZUUQADEGHUFZAQCAUPZUUT
      UQUVAAUVBBVAZUVHUANZRSURNZQSURNZUANZTNZCONZUVEPAUVBUVHUVKUANZCONZUVHUVJUA
      NZCONZUANZUVNPAUVBUVPEUANUVSUVFAUVPEAUVOCAUVHUVKIUVKUGUHASVBUSUTVCZUFUUTU
      QZHUFAUVPUVRUWAAUVQCAUVHUVJIRUGUHZSUGUHZSVDVEZVFUVJUGUHAUWBUWCUWDVGVBUSVH
      RSVIVJZUFUUTUQZUFADUVPEGUWAHKVKAUVREUVPUWFHUWALVLVMAUVOUVQUANZCONUVSUVNAU
      VOUVQCAUVHUVKAUVHIUNZAUVKUVTUNZVNAUVHUVJUWHAUVJUWEUNZVNACUUTUNZVOAUWGUVMC
      OAUWGUVIUVKUVJUANUANUVMAUVHUVKUVHUVJUWHUWIUWHUWJVPAUVIUVKUVJAUVHUVHUWHUWH
      VNUWIUWJVQWEVRVSVTAUVMQCOAUVMVDUVLTNZQAUVIVDUVLTAUVHUWHWAVRUWLVDQTNQUVLQV
      DTUVJUVKQRSWBWCUSWDQSWFWCUSWDWFUVKQTNZQQONZQSONZTNZSQONZURNZRUWQURNUVJUVK
      QQURNZTNUWMUWRUWSQUVKTWGWHQSQQWFWCWFWFUSWIWJWOUWPRUWQURSQTNQSTNRUWPSQWCWF
      WKWLUWNQUWOSTWMSWCWNWPWQWRUWQSRURWSWHWTXAWHXBXCXDVRVTAQUDPUJUVEUUQPUJXEAQ
      UDCUVGUUSAUKVCZFXFXGXHXIXJAUUPXKSURNZCONZUUQUURAUXACAXKSXKUGUHZAYOVCUWCAV
      BVCZUWDAUSVCZXLZUUTUQUVAAEDUEZTNUVHUVKTNZCONZUVRUEZTNZUUPUXBPAEUXGUXIUXJH
      ADGXMAUXHCAUVHUVKIUVTXNUUTUQAUVRUWFXMMAUVRDPUJUXGUXJPUJJAUVRDUWFGXOXPXQAE
      DUVCUVDXRAUXKUVHCONZUVKCONZTNZUXLUEZUVJCONZTNZTNZUXBAUXIUXNUXJUXQTAUVHUVK
      CUWHUWIUWKXSAUXJUXLUXPUEZTNZUEUXOUXSUEZTNUXQAUVRUXTAUVRUVHUVJUEZTNZCONUXL
      UYBCONZTNUXTAUVQUYCCOAUYCUVQAUVHUVJUWHUWJXRXTVRAUVHUYBCUWHAUVJUWJYAUWKXSA
      UYDUXSUXLTAUVJCUWJUWKYBYCYDYEAUXLUXSAUVHCUWHUWKYFZAUXPAUVJCUWJUWKYFZYAYGA
      UYAUXPUXOTAUXPUYFYHYCYDYIAUXRUXMUXPTNZUVKUVJTNZCONUXBAUXRUXLUXOTNZUYGTNVD
      UYGTNUYGAUXLUXMUXOUXPUYEAUVKCUWIUWKYFZAUXLUYEYAUYFYJAUYIVDUYGTAUXLUYEYKVR
      AUYGAUXMUXPUYJUYFYLYMYDAUVKUVJCUWIUWJUWKXSAUYHUXACOASUYHXKASUXDUNZAUVKUVJ
      UWIUWJYLUXEASUYHONSUVKONZSUVJONZTNZXKASUVKUVJUYKUWIUWJYPQRTNRQTNUYNXKQRWF
      WBWKUYLQUYMRTQSWFWCUSYNRSWBWCUSYNWPYQYRXDYSVRYTWEUUAAUXAUDCUXFUWTFUXAUDPU
      JZAUYOXKSUDONZPUJZXKUUFUYPPUUBUUCUUDUXCUUSUWCVDSPUJZUUGUYOUYQUUHYOUKUWCUY
      RVBUUEUUIXKUDSUUJUUKUULVCUUMXHAUUPUUQUURUVAUUNUUO $.
  $}

  ${
    $d j k z $.  $d j k D $.  $d k z A $.  $d k ph $.
    stoweidlem14.1 $e |- A = { j e. NN | ( 1 / D ) < j } $.
    stoweidlem14.2 $e |- ( ph -> D e. RR+ ) $.
    stoweidlem14.3 $e |- ( ph -> D < 1 ) $.
    $( There exists a ` k ` as in the proof of Lemma 1 in [BrosowskiDeutsh]
       p. 90: ` k ` is an integer and 1 < k * &delta; < 2. ` D ` is used to
       represent &delta; in the paper.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stoweidlem14 $p |- ( ph ->
          E. k e. NN ( 1 < ( k x. D ) /\ ( ( k x. D ) / 2 ) < 1 ) ) $=
      ( vz cn wcel c1 co clt wbr c2 wa cle cr wn cv cmul cdiv wex wrex wral wss
      c0 wne crab ssrab2 a1i eqsstrid rprecred arch breq2 elrab eleqtrrdi simpr
      biimpri jca reximi2 rexn0 4syl nnwo syl2anc df-rex sylib simplbi ad2antrl
      elrab2 simpl simprl simprr nfcv nfrab1 nfcxfr nfv cbvralfw simprbi wb cc0
      1red adantl rpregt0d adantr ltdivmul2 syl3anc syldan mpbid syl12anc oveq1
      nnre wceq cc rpcnd mulid2d eqtrd oveq1d rpred rehalfcld halfre 2re ltdiv1
      2pos syl112anc halflt1 lttrd eqbrtrd adantlr cuz cfv simpll simplrl neqne
      cmin syl eluz2b3 sylanbrc peano2rem ad2antrr rpne0d rereccld cz w3a caddc
      1zzd df-2 fveq2i eleq2i eluzsub sylibr mpd 3adant3 3ad2ant1 resubcld 1cnd
      wi ex breqtrdi syl3an3b nnuz ltm1d ltnle notbid rspcev rexnal imnan con2i
      wo ad2antlr sylnib imor nltled eluzelre remulcld readdcld eluzelcn mulcld
      ianor npcand 3ad2ant2 lemul1 subdird oveq2d 3jca divcan1 3brtr3d leadd1dd
      simp3 eqbrtrrd pm3.2i lediv1 1p1e2 2div2e1 lelttrd pm2.61dan jca32 eximdv
      ltadd2dd ) AEUAZJKZLUWACUBMZNOZUWCPUCMZLNOZQZQZEUDZUWGEJUEAUWABKZUWAIUAZR
      OZIBUFZQZEUDZUWIAUWMEBUEZUWOABJUGBUHUIZUWPABLCUCMZDUAZNOZDJUJZJFUXAJUGAUW
      TDJUKULUMAUWRSKZUWRUWANOZEJUEUXCEBUEUWQACGUNZUWREUOUXCUXCEJBUWBUXCQZUWJUX
      CUXEUWAUXABUWAUXAKUXEUWTUXCDUWAJUWSUWAUWRNUPZUQUTFURUWBUXCUSVAVBUXCEBVCVD
      EIBVEVFUWMEBVGVHAUWNUWHEAUWNUWHAUWNQZUWBUWDUWFUWJUWBAUWMUWJUWBUXCUWTUXCDU
      WAJBUXFFVKZVIZVJUXGAUWJUWAUWSROZDBUFZUWDAUWNVLAUWJUWMVMUXGUWMUXKAUWJUWMVN
      UWLUXJIDBIBVODBUXAFUWTDJVPVQUWLDVRUXJIVRUWKUWSUWARUPVSVHAUWJUXKQZQUXCUWDU
      WJUXCAUXKUWJUWBUXCUXHVTVJAUXLUWBUXCUWDWAZUWJUWBAUXKUXIVJAUWBQZLSKZUWASKZC
      SKZWBCNOQZUXMUXNWCUWBUXPAUWAWMZWDAUXRUWBACGWEZWFLUWACWGWHWIWJWKUXGUWALWNZ
      UWFAUYAUWFUWNAUYAQZUWECPUCMZLNUYBUWCCPUCUYBUWCLCUBMZCUYAUWCUYDWNAUWALCUBW
      LWDUYBCACWOKZUYAACGWPZWFWQWRWSAUYCLNOUYAAUYCLPUCMZLACACGWTZXAUYGSKAXBULAW
      CZACLNOZUYCUYGNOZHAUXQUXOPSKZWBPNOZUYJUYKWAUYHUYIUYLAXCULZUYMAXEULZCLPXDX
      FWJUYGLNOAXGULXHWFXIXJUXGUYATZQZAUWAPXKXLZKZUWALXPMZUWRROZUWFAUWNUYPXMUYQ
      UWBUWALUIZUYSUYQUWJUWBAUWJUWMUYPXNZUXIXQUYPVUBUXGUWALXOWDUWAXRXSZUYQUYTUW
      RUYQUWJUWBUXPUYTSKZVUCUXIUXSUWAXTZVDUYQCAUXQUWNUYPUYHYAACWBUIZUWNUYPACGYB
      ZYAYCUYQUYTJKZUWRUYTNOZTZUYQLYDKZVULUYSVUIUYQYGZVUMVUDVULVULUYSYEUYTLXKXL
      ZJUYSVULVULUWALLYFMZXKXLZKUYTVUNKUYRVUPUWAPVUOXKYHYIYJLLUWAYKUUAUUBURWHUY
      QVUITVUKUUJZVUIVUKYRUYQVUIVUJQZTVUQUYQUYTBKZVURUWNVUSTAUYPVUSUWNVUSUWJUWM
      TZYRUWNTVUSUWJVUTVUSUWJQZUWLTZIBUEZVUTVUSUWJUWAUYTROZTZVVCVVAVUEUXPVVEVVA
      UXPVUEUWJUXPVUSUWJUWBUXPUXIUXSXQWDZVUFXQVVFVUEUXPQZUYTUWANOVVEVVGUWAVUEUX
      PUSUUCUYTUWAUUDWJVFVVBVVEIUYTBUWKUYTWNUWLVVDUWKUYTUWARUPUUEUUFWIUWLIBUUGV
      HYSUWJUWMUUHVHUUIUUKUWTVUJDUYTJBUWSUYTUWRNUPFVKUULVUIVUJUUTVHVUIVUKUUMYLY
      MUUNAUYSVUAYEZUWELCYFMZPUCMZLAUYSUWESKVUAAUYSQZUWCVVKUWACUYSUXPAPUWAUUOZW
      DAUXQUYSUYHWFZUUPZXAYNAUYSVVJSKVUAVVKVVIAVVISKZUYSALCUYIUYHUUQZWFXAYNVVHW
      CZVVHUWCVVIROZUWEVVJROZVVHUWCCXPMZCYFMUWCVVIRVVHUWCCAUYSUWCWOKVUAVVKUWACU
      YSUWAWOKAPUWAUURWDZAUYEUYSUYFWFZUUSYNAUYSUYEVUAUYFYOUVAVVHVVTLCAUYSVVTSKV
      UAVVKUWCCVVNVVMYPYNVVQAUYSUXQVUAUYHYOVVHUYTCUBMZUWRCUBMZVVTLRVVHVUAVWCVWD
      ROZAUYSVUAUVJVVHVUEUXBUXRVUAVWEWAUYSAVUEVUAUYSUWALVVLUYSWCYPUVBAUYSUXBVUA
      UXDYOAUYSUXRVUAUXTYOUYTUWRCUVCWHWJAUYSVWCVVTWNVUAVVKVWCUWCUYDXPMVVTVVKUWA
      LCVWAVVKYQVWBUVDVVKUYDCUWCXPVVKCVWBWQUVEWRYNVVHLWOKZUYEVUGYEZVWDLWNAUYSVW
      GVUAAVWFUYEVUGAYQUYFVUHUVFYOLCUVGXQUVHUVIUVKVVHUWCSKZVVOUYLUYMQZVVRVVSWAA
      UYSVWHVUAVVNYNAUYSVVOVUAVVPYOVWIVVHUYLUYMXCXEUVLULUWCVVIPUVMWHWJAUYSVVJLN
      OVUAAVVJPPUCMZLNAVVIPNOZVVJVWJNOZAVVIVUOPNACLLUYHUYIUYIHUVTUVNYTAVVOUYLUY
      LUYMVWKVWLWAVVPUYNUYNUYOVVIPPXDXFWJUVOYTYOUVPWHUVQUVRYSUVSYMUWGEJVGYL $.
  $}

  ${
    $d f A $.  $d f G $.  $d f I $.  $d f T $.  $d f ph $.  $d h t G $.
    $d h A $.  $d h t I $.  $d h t T $.  $d h Z $.  $d s t G $.  $d s t I $.
    $d s S $.  $d s t T $.
    stoweidlem15.1 $e |- Q = { h e. A | ( ( h ` Z ) = 0 /\
          A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) ) } $.
    stoweidlem15.3 $e |- ( ph -> G : ( 1 ... M ) --> Q ) $.
    stoweidlem15.4 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    $( This lemma is used to prove the existence of a function ` p ` as in
       Lemma 1 from [BrosowskiDeutsh] p. 90: ` p ` is in the subalgebra, such
       that 0 &le; p &le; 1, p__(t_0) = 0, and p > 0 on T - U. Here
       ` ( G `` I ) ` is used to represent p__(t_i) in the paper.  (Contributed
       by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem15 $p |- ( ( ( ph /\ I e. ( 1 ... M ) ) /\ S e. T ) ->
          ( ( ( G ` I ) ` S ) e. RR /\ 0 <_ ( ( G ` I ) ` S ) /\
          ( ( G ` I ) ` S ) <_ 1 ) ) $=
      ( c1 wa cc0 cle wbr vs cfz co wcel cfv cr wf simpl ffvelrnda cv wceq wral
      crab elrabi eleq2s syl wi eleq1 anbi2d feq1 imbi12d vtoclg eleqtrdi fveq1
      mp2and eqeq1d breq2d breq1d anbi12d ralbidv elrab simprd cbvralvw rspccva
      sylib fveq2 sylanbr sylan simpld 3jca ) AJPKUBUCZUDZQZEFUDZQZEJIUEZUEZUFU
      DRWGSTZWGPSTZWCFUFEWFWCAWFCUDZFUFWFUGZAWBUHWCWFDUDWJAWADJINUIZWJWFLHUJZUE
      ZRUKZRBUJZWMUEZSTZWQPSTZQZBFULZQZHCUMZDXBHWFCUNMUOUPZWCWJAWJQZWKUQZXDAGUJ
      ZCUDZQZFUFXGUGZUQXFGWFCXGWFUKZXIXEXJWKXKXHWJAXGWFCURUSFUFXGWFUTVAOVBUPVEU
      IWEWHWIWCRWPWFUEZSTZXLPSTZQZBFULZWDWHWIQZWCLWFUEZRUKZXPWCWJXSXPQZWCWFXCUD
      WJXTQWCWFDXCWLMVCXBXTHWFCWMWFUKZWOXSXAXPYAWNXRRLWMWFVDVFYAWTXOBFYAWRXMWSX
      NYAWQXLRSWPWMWFVDZVGYAWQXLPSYBVHVIVJVIVKVOVLVLXPRUAUJZWFUEZSTZYDPSTZQZUAF
      ULWDXQYGXOUABFYCWPUKZYEXMYFXNYHYDXLRSYCWPWFVPZVGYHYDXLPSYIVHVIVMYGXQUAEFY
      CEUKZYEWHYFWIYJYDWGRSYCEWFVPZVGYJYDWGPSYKVHVIVNVQVRZVSWEWHWIYLVLVT $.
  $}

  ${
    $d f g h t A $.  $d f h t T $.  $d f ph $.  $d h H $.
    stoweidlem16.1 $e |- F/ t ph $.
    stoweidlem16.2 $e |- Y = { h e. A | A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t
                           ) <_ 1 ) } $.
    stoweidlem16.3 $e |- H = ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) $.
    stoweidlem16.4 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    stoweidlem16.5 $e |- ( ( ph /\ f e. A /\ g e. A ) -> ( t e. T |-> ( ( f `
                           t ) x. ( g ` t ) ) ) e. A ) $.
    $( Lemma for ~ stoweid .  The subset ` Y ` of functions in the algebra
       ` A ` , with values in [ 0 , 1 ], is closed under multiplication.
       (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem16 $p |- ( ( ph /\ f e. Y /\ g e. Y ) -> H e. Y ) $=
      ( wcel cc0 cle wbr c1 wa cv w3a wral crab cmul co cmpt simp1 fveq1 breq2d
      cfv weq breq1d anbi12d ralbidv simplbi 3ad2ant2 3ad2ant3 syl3anc eqeltrid
      elrab2 nfra1 nfcv nfrabw nfcxfr nfcri nf3an cr wf jca adantr syl ffvelrnd
      simpr wi eleq1w anbi2d feq1 imbi12d vtoclg sylc ffvelrnda r19.21bi simpld
      simprbi mulge0d wceq remulcld fvmpt2 breqtrrd 1red simprd lemul12ad 1t1e1
      syl2anc breqtrdi eqbrtrd ex ralrimi nfmpt1 nfeq2 elrab sylanbrc eleqtrrdi
      ralbid ) AEUAZIOZFUAZIOZUBZHPBUAZGUAZUKZQRZXMSQRZTZBDUCZGCUDZIXJHCOPXKHUK
      ZQRZXSSQRZTZBDUCZHXROXJHBDXKXFUKZXKXHUKZUEUFZUGZCLXJAXFCOZXHCOZYGCOAXGXIU
      HZXGAYHXIXGYHPYDQRZYDSQRZTZBDUCZXQYNGXFCIGEULZXPYMBDYOXNYKXOYLYOXMYDPQXKX
      LXFUIZUJYOXMYDSQYPUMUNUOKVAZUPUQZXIAYIXGXIYIPYEQRZYESQRZTZBDUCZXQUUBGXHCI
      GFULZXPUUABDUUCXNYSXOYTUUCXMYEPQXKXLXHUIZUJUUCXMYESQUUDUMUNUOKVAZUPURZNUS
      UTXJYBBDAXGXIBJBEIBIXRKXQBGCXPBDVBBCVCVDVEZVFBFIUUGVFVGXJXKDOZYBXJUUHTZXT
      YAUUIPYFXSQUUIYDYEUUIDVHXKXFUUIAYHTZDVHXFVIZXJUUJUUHXJAYHYJYRVJVKMVLXJUUH
      VNZVMZXJDVHXKXHXJYIAYITZDVHXHVIZUUFXJAYIYJUUFVJUUJUUKVOUUNUUOVOEXHCEFULZU
      UJUUNUUKUUOUUPYHYIAEFCVPVQDVHXFXHVRVSMVTWAWBZUUIYKYLXJYMBDXGAYNXIXGYHYNYQ
      WEUQWCZWDZUUIYSYTXJUUABDXIAUUBXGXIYIUUBUUEWEURWCZWDZWFUUIUUHYFVHOXSYFWGUU
      LUUIYDYEUUMUUQWHBDYFVHHLWIWOZWJUUIXSYFSQUVBUUIYFSSUEUFSQUUIYDSYESUUMUUIWK
      ZUUQUVCUUSUVAUUIYKYLUURWLUUIYSYTUUTWLWMWNWPWQVJWRWSXQYCGHCXLHWGZXPYBBDBXL
      HBHYGLBDYFWTVEXAUVDXNXTXOYAUVDXMXSPQXKXLHUIZUJUVDXMXSSQUVEUMUNXEXBXCKXD
      $.
  $}

  ${
    $d f g i m r t E $.  $d f g m A $.  $d f g i m r t T $.
    $d f g i m r t X $.  $d f g i m r ph $.  $d i m n t E $.  $d i m n t N $.
    $d n A $.  $d n t T $.  $d n t X $.  $d n ph $.  $d t x E $.  $d x A $.
    $d x T $.  $d x ph $.
    stoweidlem17.1 $e |- F/ t ph $.
    stoweidlem17.2 $e |- ( ph -> N e. NN ) $.
    stoweidlem17.3 $e |- ( ph -> X : ( 0 ... N ) --> A ) $.
    stoweidlem17.4 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem17.5 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem17.6 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweidlem17.7 $e |- ( ph -> E e. RR ) $.
    stoweidlem17.8 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    $( This lemma proves that the function ` g ` (as defined in
       [BrosowskiDeutsh] p. 91, at the end of page 91) belongs to the
       subalgebra.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem17 $p |- ( ph -> ( t e. T |->
          sum_ i e. ( 0 ... N ) ( E x. ( ( X ` i ) ` t ) ) ) e. A ) $=
      ( wcel vn vm vr cn0 cc0 cfz co wa cfv cmul csu cmpt nnnn0d nn0uz eleqtrdi
      cv cuz eluzfz2 ancli wi c1 caddc wceq eleq1 anbi2d oveq2 sumeq1d mpteq2dv
      syl eleq1d imbi12d weq csn cz 0z ax-mp sumeq1i mpteq2i cc cr adantr recnd
      fzsn wf cle wbr nnz clt nngt0 0re nnre ltle sylancr mpd jca eluz1i sylibr
      eluzfz1 ffvelrnd feq1 imbi2d expcom vtoclga mpcom ffvelrnda mulcld fveq1d
      fveq2 oveq2d sumsn mpteq2da syl5eq stoweidlem2 eqeltrd eqidd simpr oveq1d
      cn cbvmptv simpl eleq1i fveq1i eqtrdi 3com12 3expib sylbir 3impib syl3anc
      fveq1 3com13 ad2antll ad2antrl adantl 3ad2ant2 sylc remulcld eqid syl2anc
      nfv fvmpt2 eqcomi fvmptd3 id eqeltrrd simprl nn0re peano2nn0 nn0red nnred
      simprrl lep1 3syl elfzle2 letrd elfz2nn0 syl3anbrc jca32 pm3.31 sumeq2sdv
      w3a 3anass biimpri nf3an fzfid fzelp1 anim2i an32 sylib wss elfzuz3 fzss2
      sselda 3ad2antl3 simpl2 fsumrecl 3simpc cmin elfzuz 3ad2ant3 an32s fsumm1
      wb remulcl nn0cn 3ad2ant1 1cnd pncand eqtrd 3eqtr4rd mpbird exp32 pm2.86i
      nn0ind ) AJUDTZAJUEJUFUGZTZUHZCEUWOICUPZHUPZKUIZUIZUJUGZHUKZULZDTZAJMUMZA
      UWPAJUEUQUIZTZUWPAJUDUXGUXFUNUOUEJURVIUSAUAUPZUWOTZUHZCEUEUXIUFUGZUXBHUKZ
      ULZDTZUTAUEUWOTZUHZCEUEUEUFUGZUXBHUKZULZDTZUTAUBUPZUWOTZUHZCEUEUYBUFUGZUX
      BHUKZULZDTZUTZAUYBVAVBUGZUWOTZUHZCEUEUYJUFUGZUXBHUKZULZDTZUTZUWQUXEUTUAUB
      JUXIUEVCZUXKUXQUXOUYAUYRUXJUXPAUXIUEUWOVDVEUYRUXNUXTDUYRCEUXMUXSUYRUXLUXR
      UXBHUXIUEUEUFVFVGVHVJVKUAUBVLZUXKUYDUXOUYHUYSUXJUYCAUXIUYBUWOVDVEUYSUXNUY
      GDUYSCEUXMUYFUYSUXLUYEUXBHUXIUYBUEUFVFVGVHVJVKUXIUYJVCZUXKUYLUXOUYPUYTUXJ
      UYKAUXIUYJUWOVDVEUYTUXNUYODUYTCEUXMUYNUYTUXLUYMUXBHUXIUYJUEUFVFVGVHVJVKUX
      IJVCZUXKUWQUXOUXEVUAUXJUWPAUXIJUWOVDVEVUAUXNUXDDVUACEUXMUXCVUAUXLUWOUXBHU
      XIJUEUFVFVGVHVJVKAUYAUXPAUXTCEIUWRUEKUIZUIZUJUGZULZDAUXTCEUEVMZUXBHUKZULV
      UECEUXSVUGUXRVUFUXBHUEVNTZUXRVUFVCVOUEWCVPVQVRACEVUGVUDLAUWRETZUHZVUHVUDV
      STVUGVUDVCVOVUJIVUCVUJIAIVTTZVUIRWAZWBVUJVUCAEVTUWRVUBVUBDTAEVTVUBWDZAUWO
      DUEKNAUXHUXPAJVNTZUEJWEWFZUHZUXHAJXRTZVUPMVUQVUNVUOJWGVUQUEJWHWFZVUOJWIVU
      QUEVTTJVTTZVURVUOUTWJJWKUEJWLWMWNWOVIUEJVOWPWQUEJWRVIWSZAEVTFUPZWDZUTZAVU
      MUTFVUBDVVAVUBVCVVBVUMAEVTVVAVUBWTXAAVVADTZVVBSXBZXCXDXEWBXFUXBVUDHUEVNUW
      SUEVCZUXAVUCIUJVVFUWRUWTVUBUWSUEKXHXGXIXJWMXKXLABCDEFGIVUBLPQSRVUTXMXNWAU
      YBUDTZUYIUYQVVGUYIUTZVVGUYLUYPVVHVVGUYLUHZUHZUYPCEUWRUYGUIZUWRCEIUWRUYJKU
      IZUIZUJUGZULZUIZVBUGZULZDTZVVJVVODTZAUYHVVSUYLVVTVVHVVGUYLCEUWRCEIULZUIZV
      VMUJUGZULZVVODAVWDVVOVCUYKACEVWCVVNLVUJVWBIVVMUJVUJUCUWRIIEVWAVTUCEIULZVW
      AUCCEIIUCCVLZIXOZXSZUUAVWGAVUIXPVULUUBXQXKWAUYLVVLDTZAVWADTZVWDDTZAUWODUY
      JKNXEZAUYKXTZAVWJUYKVUKAVWJRACEBUPZULZDTZUTAVWJUTBIVTVWNIVCZVWPVWJAVWQVWO
      VWADVWQCEVWNIVWQUUCVHVJXAAVWNVTTVWPQXBXCXDWAVWIAVWJVWKAVWJUHZCEVWBUWRGUPZ
      UIZUJUGZULZDTZUTVWRVWKUTGVVLDVWSVVLVCZVXCVWKVWRVXDVXBVWDDVXDCEVXAVWCVXDVW
      TVVMVWBUJUWRVWSVVLYIXIVHVJXAVWSDTZAVWJVXCVWJAVXEVXCVWJAVXEVXCVWJVWEDTAVXE
      UHZVXCUTZVWEVWADVWHYAVXFCEUWRVVAUIZVWTUJUGZULZDTZUTVXGFVWEDVVAVWEVCZVXKVX
      CVXFVXLVXJVXBDVXLCEVXIVXAVXLVXHVWBVWTUJVXLVXHUWRVWEUIVWBUWRVVAVWEYIUWRVWE
      VWAVWHYBYCXQVHVJXAVVDAVXEVXKAVVDVXEVXKPYDYEXCYFYGYJYEXCYGYHUUDYKVVHVVGAUY
      KUUJVVJVVGUYDUHZUYHVVIVXMVVHVVIVVGAUYCVVGUYLXTZVVGAUYKUUEVVIVVGUWNUYBJWEW
      FUYCVXNVVIJAVUQVVGUYKMYLUMVVIUYBUYJJVVGUYBVTTZUYLUYBUUFZWAVVGUYJVTTUYLVVG
      UYJUYBUUGUUHWAAVUSVVGUYKAJMUUIYLVVIVVGVXOUYBUYJWEWFVXNVXPUYBUUKUULUYKUYJJ
      WEWFVVGAUYJUEJUUMYKUUNUYBJUUOUUPUUQYMVVHVXMUYHUTVVIVVGUYDUYHUURWAWNVVTAUY
      HVVSVVTUCEIUCUPZVVLUIZUJUGZULZDTAUYHUHZVVSUTZVXTVVODUCCEVXSVVNVWFVXRVVMIU
      JVXQUWRVVLXHXIXSZYAVYACEVVKVWTVBUGZULZDTZUTVYBGVXTDVWSVXTVCZVYFVVSVYAVYGV
      YEVVRDVYGCEVYDVVQVYGVWTVVPVVKVBVYGVWTUWRVXTUIVVPUWRVWSVXTYIUWRVXTVVOVYCYB
      YCXIVHVJXAVXEAUYHVYFUYHAVXEVYFUYHAVXEVYFUYHUCEUYEIVXQUWTUIZUJUGZHUKZULZDT
      VXFVYFUTZVYKUYGDUCCEVYJUYFVWFUYEVYIUXBHVWFVYHUXAIUJVXQUWRUWTXHXIUUSXSZYAV
      XFCEVXHVWTVBUGZULZDTZUTVYLFVYKDVVAVYKVCZVYPVYFVXFVYQVYOVYEDVYQCEVYNVYDVYQ
      VXHVVKVWTVBVYQVXHUWRVYKUIVVKUWRVVAVYKYIUWRVYKUYGVYMYBYCXQVHVJXAVVDAVXEVYP
      AVVDVXEVYPOYDYEXCYFYGYJYEXCYFYGYHVVJVVGAUYKUUTZUYPVVSUWBVVIVYRVVHVYRVVIVV
      GAUYKUVAUVBYMVYRUYOVVRDVYRCEUYNVVQVVGAUYKCVVGCYSLUYKCYSUVCVYRVUIUHZVVKVVN
      VBUGUYFVVNVBUGZVVQUYNVYSVVKUYFVVNVBVYSVUIUYFVTTVVKUYFVCVYRVUIXPZVYSUYEUXB
      HVYSUEUYBUVDVYSUWSUYETZUHZIUXAVYSVUKWUBVYRVUKVUIAVVGVUKUYKRYNWAZWAWUCVYRU
      WSUYMTZUHZVUIUHZUXAVTTZWUCVYSWUEUHZWUGWUBWUEVYSUWSUEUYBUVEUVFVYRVUIWUEUVG
      UVHWUFEVTUWRUWTWUFUWTDTAEVTUWTWDZWUFUWODUWSKVYRUWODKWDZWUEAVVGWUKUYKNYNWA
      UYKVVGWUEUWSUWOTAUYKUYMUWOUWSUYKJUYJUQUITUYMUWOUVIUYJUEJUVJUYJUEJUVKVIUVL
      UVMWSVVGAUYKWUEUVNVVCAWUJUTFUWTDVVAUWTVCVVBWUJAEVTVVAUWTWTXAVVEXCYOXEZVIY
      PUVOCEUYFVTUYGUYGYQYTYRXQVYSVVPVVNVVKVBVYSVUIVVNVTTVVPVVNVCWUAVYSIVVMWUDV
      YSEVTUWRVVLVYSUYLEVTVVLWDZVYRUYLVUIVVGAUYKUVPWAUYLVWIAWUMVWLVWMVVCAWUMUTF
      VVLDVVAVVLVCVVBWUMAEVTVVAVVLWTXAVVEXCYOVIWUAWSYPCEVVNVTVVOVVOYQYTYRXIVYSU
      YNUEUYJVAUVQUGZUFUGZUXBHUKZVVNVBUGVYTVYSUXBVVNHUEUYJVYRUYJUXGTZVUIUYKVVGW
      UQAUYJUEJUVRUVSWAWUIVUKWUHUXBVSTVYSVUKWUEWUDWAVYRWUEVUIWUHWULUVTVUKWUHUHU
      XBIUXAUWCWBYRUWSUYJVCZUXAVVMIUJWURUWRUWTVVLUWSUYJKXHXGXIUWAVYSWUPUYFVVNVB
      VYSWUOUYEUXBHVYSWUNUYBUEUFVYSUYBVAVYRUYBVSTZVUIVVGAWUSUYKUYBUWDUWEWAVYSUW
      FUWGXIVGXQUWHUWIXKVJVIUWJUWKUWLUWMYO $.
  $}

  ${
    $d a t T $.  $d a A $.  $d a ph $.  $d t x $.  $d x A $.  $d x B $.
    $d x D $.  $d x E $.  $d x F $.  $d x T $.
    stoweidlem18.1 $e |- F/_ t D $.
    stoweidlem18.2 $e |- F/ t ph $.
    stoweidlem18.3 $e |- F = ( t e. T |-> 1 ) $.
    stoweidlem18.4 $e |- T = U. J $.
    stoweidlem18.5 $e |- ( ( ph /\ a e. RR ) -> ( t e. T |-> a ) e. A ) $.
    stoweidlem18.6 $e |- ( ph -> B e. ( Clsd ` J ) ) $.
    stoweidlem18.7 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem18.8 $e |- ( ph -> D = (/) ) $.
    $( This theorem proves Lemma 2 in [BrosowskiDeutsh] p. 92 when A is empty,
       the trivial case.  Here D is used to denote the set A of Lemma 2,
       because the variable A is used for the subalgebra.  (Contributed by
       Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem18 $p |- ( ph -> E. x e. A ( A. t e. T ( 0 <_ ( x ` t ) /\
          ( x ` t ) <_ 1 ) /\ A. t e. D ( x ` t ) < E /\
          A. t e. B ( 1 - E ) < ( x ` t ) ) ) $=
      ( c1 wcel cc0 cv cfv cle wbr wa wral clt cmin co wrex cmpt cr stoweidlem4
      w3a mpan2 eqeltrid 0le1 wceq simpr fvmpt2 sylancl breqtrrid 1le1 eqbrtrdi
      1re jca ex ralrimi c0 nfcv nfeq rzalf syl 1red ltsubrpd adantr ccld cldss
      sselda breqtrrd nfmpt1 nfcxfr fveq1 breq2d breq1d ralbid 3anbi123d rspcev
      wss anbi12d syl13anc ) AIDUAUBCUCZIUDZUEUFZWOTUEUFZUGZCGUHZWOHUIUFZCFUHZT
      HUJUKZWOUIUFZCEUHZUBWNBUCZUDZUEUFZXFTUEUFZUGZCGUHZXFHUIUFZCFUHZXBXFUIUFZC
      EUHZUPZBDULAICGTUMZDNATUNUAZXPDUAVGAKCDTGPUOUQURAWRCGMAWNGUAZWRAXRUGZWPWQ
      XSUBTWOUEUSXSXRXQWOTUTZAXRVAVGCGTUNINVBZVCZVDXSWOTTUEYBVEVFVHVIVJAFVKUTXA
      SWTCFCFVKLCVKVLVMVNVOAXCCEMAWNEUAZXCAYCUGZXBTWOUIAXBTUIUFYCATHAVPRVQVRYDX
      RXQXTAEGWNAEJVSUDUAEGWKQEJGOVTVOWAVGYAVCWBVIVJXOWSXAXDUPBIDXEIUTZXJWSXLXA
      XNXDYEXIWRCGCXEICXEVLCIXPNCGTWCWDVMZYEXGWPXHWQYEXFWOUBUEWNXEIWEZWFYEXFWOT
      UEYGWGWLWHYEXKWTCFYFYEXFWOHUIYGWGWHYEXMXCCEYFYEXFWOXBUIYGWFWHWIWJWM $.
  $}

  ${
    $d f g m t A $.  $d f g m F $.  $d f g m t T $.  $d f g m ph $.
    $d m n t A $.  $d n F $.  $d n t N $.  $d n t T $.  $d n ph $.  $d t x A $.
    $d x T $.  $d x ph $.
    stoweidlem19.1 $e |- F/_ t F $.
    stoweidlem19.2 $e |- F/ t ph $.
    stoweidlem19.3 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    stoweidlem19.4 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
     ( t e. T |-> ( ( f ` t ) x. (
                 g ` t ) ) ) e. A ) $.
    stoweidlem19.5 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweidlem19.6 $e |- ( ph -> F e. A ) $.
    stoweidlem19.7 $e |- ( ph -> N e. NN0 ) $.
    $( If a set of real functions is closed under multiplication and it
       contains constants, then it is closed under finite exponentiation.
       (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem19 $p |- ( ph -> ( t e. T |-> ( ( F ` t ) ^ N ) ) e. A ) $=
      ( wcel cexp co cmpt vn vm cn0 cv cfv wi cc0 c1 caddc wceq mpteq2dv eleq1d
      oveq2 imbi2d wa cr cc wf ancli eleq1 anbi2d feq1 imbi12d vtoclg ffvelrnda
      sylc recn exp0 3syl eqcomd mpteq2da 1re stoweidlem4 mpan2 eqeltrrd simpll
      simpr simplr mpd w3a cmul nfmpt1 nfel1 nf3an simpl1 syl2anc simpl2 expp1d
      nfv recnd 3adant2 simp2 reexpcld syl3anc fvmpt2 oveq1d adantr stoweidlem6
      eqid nfeq2 mpd3an3 eqeltrd exp31 nn0ind mpcom ) IUCQACECUDZHUEZIRSZTZDQZP
      ACEXGUAUDZRSZTZDQZUFACEXGUGRSZTZDQZUFACEXGUBUDZRSZTZDQZUFZACEXGXRUHUISZRS
      ZTZDQZUFAXJUFUAUBIXKUGUJZXNXQAYGXMXPDYGCEXLXOXKUGXGRUMUKULUNXKXRUJZXNYAAY
      HXMXTDYHCEXLXSXKXRXGRUMUKULUNXKYCUJZXNYFAYIXMYEDYICEXLYDXKYCXGRUMUKULUNXK
      IUJZXNXJAYJXMXIDYJCEXLXHXKIXGRUMUKULUNACEUHTZXPDACEUHXOKAXFEQZUOZXOUHYMXG
      UPQZXGUQQZXOUHUJAEUPXFHAHDQZAYPUOZEUPHURZOAYPOUSAFUDZDQZUOZEUPYSURZUFYQYR
      UFFHDYSHUJZUUAYQUUBYRUUCYTYPAYSHDUTVAEUPYSHVBVCLVDVFVEZXGVGXGVHVIVJVKAUHU
      PQYKDQVLABCDUHENVMVNVOXRUCQZYBAYFUUEYBUOZAUOZAUUEYAYFUUFAVQZUUEYBAVPUUGAY
      AUUHUUEYBAVRVSAUUEYAVTZYECEXSXGWASZTZDUUICEYDUUJAUUEYACKUUECWICXTDCEXSWBZ
      WCWDZUUIYLUOZXGXRUUNAYLYOAUUEYAYLWEZUUIYLVQZYMXGUUDWJWFAUUEYAYLWGZWHVKUUI
      UUKCEXFXTUEZXGWASZTZDUUICEUUJUUSUUMUUNXSUURXGWAUUNYLXSUPQZXSUURUJUUPUUNAU
      UEYLUVAUUOUUQUUPAUUEYLVTXGXRAYLYNUUEUUDWKAUUEYLWLWMWNYLUVAUOUURXSCEXSUPXT
      XTWSWOVJWFWPVKAYAUUTDQZUUEAYAYPUVBAYPYAOWQACDEFGXTHCYSXTUULWTCGUDHJWTMWRX
      AWKXBXBWNXCXDXE $.
  $}

  ${
    $d f g i t y G $.  $d f g y A $.  $d f g i t y T $.  $d f g i y ph $.
    $d i n t x G $.  $d i n t x M $.  $d n x A $.  $d n t x T $.  $d n x ph $.
    $d x y A $.  $d y M $.
    stoweidlem20.1 $e |- F/ t ph $.
    stoweidlem20.2 $e |- F
             = ( t e. T |-> sum_ i e. ( 1 ... M ) ( ( G ` i ) ` t ) ) $.
    stoweidlem20.3 $e |- ( ph -> M e. NN ) $.
    stoweidlem20.4 $e |- ( ph -> G : ( 1 ... M ) --> A ) $.
    stoweidlem20.5 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem20.6 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    $( If a set A of real functions from a common domain T is closed under the
       sum of two functions, then it is closed under the sum of a finite number
       of functions, indexed by G. (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stoweidlem20 $p |- ( ph -> F e. A ) $=
      ( c1 wcel wa cr vn vx vy cfz co cv cfv csu cmpt cle wbr nnred leidd ancli
      cn wi wceq eleq1 breq1 anbi2d oveq2 sumeq1d mpteq2dv eleq1d imbi12d caddc
      cz cc 1z wf cuz nnuz eleqtrdi eluzfz1 ffvelrnd feq1 vtoclg sylc ffvelrnda
      syl recnd fveq2 fveq1d fsum1 sylancr feqmptd eqtr4d eqeltrd adantr simprl
      mpteq2da simpll simprr w3a simp1 nnre 3ad2ant2 readdcld lep1d simp3 letrd
      1red 3ad2ant1 jca syl3anc simplr mpd nfv nf3an simpll1 1zzd nnzd ad2antrr
      simpl2 elfzelz adantl elfzle1 elfzle2 simpll3 elfzd 3adant3 fsump1 letrp1
      simpr fzfid simpl3 adantlr fsumrecl fvmpt2 syl2anc oveq1d peano2nn nnge1d
      zred eqid anabsi7 oveq2d simpl1 eqeltrrd nfmpt1 syldan stoweidlem8 exp31
      syl31anc nnind syl3c eqeltrid ) AHBDQJUDUEZBUFZGUFZIUGZUGZGUHZUIZCLAJUORZ
      UUOAJJUJUKZSZUUNCRZMMAUUPAJAJMULUMUNUAUFZUORZAUUSJUJUKZSZBDQUUSUDUEZUULGU
      HZUIZCRZUPZUPUUOUUQUURUPZUPUAJUOUUSJUQZUUTUUOUVGUVHUUSJUOURUVIUVBUUQUVFUU
      RUVIUVAUUPAUUSJJUJUSUTUVIUVEUUNCUVIBDUVDUUMUVIUVCUUHUULGUUSJQUDVAVBVCVDVE
      VEAUBUFZJUJUKZSZBDQUVJUDUEZUULGUHZUIZCRZUPAQJUJUKZSZBDQQUDUEZUULGUHZUIZCR
      ZUPAUCUFZJUJUKZSZBDQUWCUDUEZUULGUHZUIZCRZUPZAUWCQVFUEZJUJUKZSZBDQUWKUDUEZ
      UULGUHZUIZCRZUPUVGUBUCUUSUVJQUQZUVLUVRUVPUWBUWRUVKUVQAUVJQJUJUSUTUWRUVOUW
      ACUWRBDUVNUVTUWRUVMUVSUULGUVJQQUDVAVBVCVDVEUVJUWCUQZUVLUWEUVPUWIUWSUVKUWD
      AUVJUWCJUJUSUTUWSUVOUWHCUWSBDUVNUWGUWSUVMUWFUULGUVJUWCQUDVAVBVCVDVEUVJUWK
      UQZUVLUWMUVPUWQUWTUVKUWLAUVJUWKJUJUSUTUWTUVOUWPCUWTBDUVNUWOUWTUVMUWNUULGU
      VJUWKQUDVAVBVCVDVEUVJUUSUQZUVLUVBUVPUVFUXAUVKUVAAUVJUUSJUJUSUTUXAUVOUVECU
      XABDUVNUVDUXAUVMUVCUULGUVJUUSQUDVAVBVCVDVEAUWBUVQAUWAQIUGZCAUWABDUUIUXBUG
      ZUIUXBABDUVTUXCKAUUIDRZSZQVGRUXCVHRUVTUXCUQVIUXEUXCADTUUIUXBAUXBCRZAUXFSZ
      DTUXBVJZAUUHCQINAJQVKUGZRQUUHRAJUOUXIMVLVMQJVNVTVOZAUXFUXJUNAEUFZCRZSZDTU
      XKVJZUPZUXGUXHUPEUXBCUXKUXBUQZUXMUXGUXNUXHUXPUXLUXFAUXKUXBCURUTDTUXKUXBVP
      VEPVQVRZVSWAUULUXCGQUUJQUQUUIUUKUXBUUJQIWBWCWDWEWKABDTUXBUXQWFWGUXJWHWIUW
      CUORZUWJUWMUWQUXRUWJSZUWMSZAUXRUWLUWIUWQUXSAUWLWJZUXRUWJUWMWLZUXSAUWLWMZU
      XTUWEUWIUXTAUXRUWLUWEUYAUYBUYCAUXRUWLWNZAUWDAUXRUWLWOZUYDUWCUWKJUXRAUWCTR
      ZUWLUWCWPWQZUYDUWCQUYGUYDXBWRZUYDJAUXRUUOUWLMXCULZUYDUWCUYGWSAUXRUWLWTZXA
      XDXEUXRUWJUWMXFXGUYDUWISZUWPBDUUIUWHUGZUUIUWKIUGZUGZVFUEZUIZCUYDUWPUYPUQU
      WIUYDBDUWOUYOAUXRUWLBKUXRBXHUWLBXHXIZUYDUXDSZUWOUWGUYNVFUEUYOUYRUULUYNGQU
      WCUYRUWCUOUXIAUXRUWLUXDXNVLVMUYRUUJUWNRZSZAUUJUUHRZUXDUULVHRAUXRUWLUXDUYS
      XJUYTUUJQJUYTXKUYDJVGRZUXDUYSAUXRVUBUWLAJMXLXCZXMUYSUUJVGRZUYRUUJQUWKXOZX
      PUYSQUUJUJUKZUYRUUJQUWKXQXPUYTUUJUWKJUYSUUJTRZUYRUYSUUJVUEYNXPUYDUWKTRZUX
      DUYSUYHXMUYDJTRZUXDUYSUYIXMUYSUUJUWKUJUKZUYRUUJQUWKXRXPAUXRUWLUXDUYSXSXAX
      TUYDUXDUYSXFAVUAUXDWNZUULVUKDTUUIUUKVUKUUKCRZAVULSZDTUUKVJZAVUAVULUXDAUUH
      CUUJINVSYAZVUKAVULAVUAUXDWOVUOXDUXOVUMVUNUPEUUKCUXKUUKUQZUXMVUMUXNVUNVUPU
      XLVULAUXKUUKCURUTDTUXKUUKVPVEPVQVRAVUAUXDWTVOZWAXEUUJUWKUQUUIUUKUYMUUJUWK
      IWBWCYBUYRUYLUWGUYNVFUYRUXDUWGTRUYLUWGUQUYDUXDYDZUYRUWFUULGUYRQUWCYEUYRUU
      JUWFRZSZAVUAUXDUULTRAUXRUWLUXDVUSXJVUTUUJQJVUTXKUYDVUBUXDVUSVUCXMVUSVUDUY
      RUUJQUWCXOZXPVUSVUFUYRUUJQUWCXQXPUYDVUSUUJJUJUKUXDUYDVUSSZUUJUWKJVUSVUGUY
      DVUSUUJVVAYNXPZUYDVUHVUSUYHWIUYDVUIVUSUYIWIVVBVUGUYFUUJUWCUJUKZVUJVVCUYDU
      YFVUSUYGWIVUSVVDUYDUUJQUWCXRXPUUJUWCYCXEAUXRUWLVUSYFXAYGXTUYDUXDVUSXFVUQX
      EYHBDUWGTUWHUWHYOYIYJYKWGWKWIUYKBDUYLUUIBDUYNUIZUGZVFUEZUIZUYPCUYDVVHUYPU
      QUWIUYDBDVVGUYOUYQUYRVVFUYNUYLVFUYRUXDUYNTRVVFUYNUQVURUYDDTUUIUYMUYDAUYMC
      RZDTUYMVJZUYEUYDAUWKUUHRZVVIUYEUYDUWKQJUYDXKVUCUXRAUWKVGRUWLUXRUWKUWCYLZX
      LWQUXRAQUWKUJUKUWLUXRUWKVVLYMWQUYJXTZAUUHCUWKINVSZYJAVVIVVJUXOAVVISZVVJUP
      EUYMCUXKUYMUQZUXMVVOUXNVVJVVPUXLVVIAUXKUYMCURUTDTUXKUYMVPVEPVQYPZYJVSBDUY
      NTVVEVVEYOYIYJYQWKWIUYKAUWIVVECRZVVHCRAUXRUWLUWIYRZUYDUWIYDUYKAVVKVVRVVSU
      YDVVKUWIVVMWIAVVKSUYMVVECAVVKVVIUYMVVEUQVVNVVOBDTUYMVVQWFUUAVVNYSYJABCDEF
      UWHVVEOBDUWGYTBDUYNYTUUBXEYSWHUUDUUCUUEVQUUFUUG $.
  $}

  ${
    $d f g t T $.  $d f g A $.  $d f g E $.  $d f g F $.  $d f g G $.
    $d f g H $.  $d f g ph $.  $d g S $.  $d s S $.  $d s T $.  $d t x T $.
    $d x A $.  $d x S $.  $d x ph $.  $d s t $.
    stoweidlem21.1 $e |- F/_ t G $.
    stoweidlem21.2 $e |- F/_ t H $.
    stoweidlem21.3 $e |- F/_ t S $.
    stoweidlem21.4 $e |- F/ t ph $.
    stoweidlem21.5 $e |- G = ( t e. T |-> ( ( H ` t ) + S ) ) $.
    stoweidlem21.6 $e |- ( ph -> F : T --> RR ) $.
    stoweidlem21.7 $e |- ( ph -> S e. RR ) $.
    stoweidlem21.8 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem21.9 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweidlem21.10 $e |- ( ph -> A. f e. A f : T --> RR ) $.
    stoweidlem21.11 $e |- ( ph -> H e. A ) $.
    stoweidlem21.12 $e |- ( ph ->
          A. t e. T ( abs ` ( ( H ` t ) - ( ( F ` t ) - S ) ) ) < E ) $.
    $( Once the Stone Weierstrass theorem has been proven for approximating
       nonnegative functions, then this lemma is used to extend the result to
       functions with (possibly) negative values.  (Contributed by Glauco
       Siliprandi, 20-Apr-2017.) $)
    stoweidlem21 $p |- ( ph ->
          E. f e. A A. t e. T ( abs ` ( ( f ` t ) - ( F ` t ) ) ) < E ) $=
      ( vs wcel cv cfv cmin co cabs clt wbr wral wrex csn caddc cmpt wa cr wceq
      fvconst2g sylan eqcomd oveq2d mpteq2da syl5eq fconstmpt nfcv eqidd cbvmpt
      cxp eqtri wi nfeq2 simpl eleq1d imbi2d expcom vtoclga mpcom eqeltrid nfsn
      nfxp stoweidlem8 mpd3an23 eqeltrd simpr wf feq1 rspccva syl2anc ffvelrnda
      adantr readdcld fvmpt2 oveq1d recnd cc subsub3d eqtr4d fveq2d r19.21bi ex
      eqbrtrd ralrimi fveq1 breq1d ralbid rspcev ) AKDUFCUGZKUHZXKJUHZUIUJZUKUH
      ZIULUMZCFUNZXKGUGZUHZXMUIUJZUKUHZIULUMZCFUNZGDUOAKCFXKLUHZXKFEUPZVLZUHZUQ
      UJZURZDAKCFYDEUQUJZURYIQACFYJYHPAXKFUFZUSZEYGYDUQYLYGEAEUTUFZYKYGEVASFEXK
      UTVBVCVDVEVFVGALDUFZYFDUFYIDUFUCAYFCFEURZDYFUEFEURYOUEFEVHUECFEEOUEEVIUEU
      GXKVAEVJVKVMYMAYODUFZSACFBUGZURZDUFZVNAYPVNBEUTYQEVAZYSYPAYTYRYODYTCFYQEC
      YQEOVOYTYKVPVFVQVRAYQUTUFYSUAVSVTWAWBACDFGHLYFTNCFYECFVICEOWCWDWEWFWGAXPC
      FPAYKXPYLXOYDXMEUIUJUIUJZUKUHZIULYLXNUUAUKYLXNYJXMUIUJUUAYLXLYJXMUIYLYKYJ
      UTUFXLYJVAAYKWHYLYDEAFUTXKLAFUTXRWIZGDUNYNFUTLWIZUBUCUUCUUDGLDFUTXRLWJWKW
      LWMZAYMYKSWNWOCFYJUTKQWPWLWQYLYDXMEYLYDUUEWRYLXMAFUTXKJRWMWRAEWSUFYKAESWR
      WNWTXAXBAUUBIULUMCFUDXCXEXDXFYCXQGKDXRKVAZYBXPCFCXRKMVOUUFYAXOIULUUFXTXNU
      KUUFXSXLXMUIXKXRKXGWQXBXHXIXJWL $.
  $}

  ${
    $d f g t A $.  $d f g F $.  $d f g G $.  $d f g I $.  $d f g t T $.
    $d f g ph $.  $d g L $.  $d t x A $.  $d x T $.  $d x ph $.
    stoweidlem22.8 $e |- F/ t ph $.
    stoweidlem22.9 $e |- F/_ t F $.
    stoweidlem22.10 $e |- F/_ t G $.
    stoweidlem22.1 $e |- H = ( t e. T |-> ( ( F ` t ) - ( G ` t ) ) ) $.
    stoweidlem22.2 $e |- I = ( t e. T |-> -u 1 ) $.
    stoweidlem22.3 $e |- L = ( t e. T |-> ( ( I ` t ) x. ( G ` t ) ) ) $.
    stoweidlem22.4 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    stoweidlem22.5 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem22.6 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem22.7 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    $( If a set of real functions from a common domain is closed under
       addition, multiplication and it contains constants, then it is closed
       under subtraction.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem22 $p |- ( ( ph /\ F e. A /\ G e. A ) ->
          ( t e. T |-> ( ( F ` t ) - ( G ` t ) ) ) e. A ) $=
      ( wcel w3a cv cfv cmin co cmpt caddc nfel1 nf3an wa cneg cmul c1 cr simpr
      wceq wf simpl1 neg1rr stoweidlem4 mpan2 eqeltrid eleq1 anbi2d feq1 vtoclg
      wi imbi12d anabsi7 syl2anc2 ffvelrnd simpl3 3adant3 simp3 remulcld fvmpt2
      syl3anc syl2anc adantl oveq1d recnd mulm1d 3eqtrd oveq2d negsubd mpteq2da
      simpl2 eqtr2d 3ad2ant1 nfmpt1 nfeq2 stoweidlem6 syld3an2 syld3an3 eqeltrd
      nfcxfr stoweidlem8 ) AHDUCZIDUCZUDZCECUEZHUFZXDIUFZUGUHZUICEXEXDLUFZUJUHZ
      UIZDXCCEXGXIAXAXBCMCHDNUKCIDOUKULXCXDEUCZUMZXIXEXFUNZUJUHXGXLXHXMXEUJXLXH
      XDKUFZXFUOUHZUPUNZXFUOUHXMXLXKXOUQUCXHXOUSXCXKURZXLXNXFXLEUQXDKXLAKDUCZEU
      QKUTZAXAXBXKVAZAKCEXPUIZDQAXPUQUCZYADUCVBABCDXPEUBVCVDVEZAXRXSAFUEZDUCZUM
      ZEUQYDUTZVJZAXRUMZXSVJFKDYDKUSZYFYIYGXSYJYEXRAYDKDVFVGEUQYDKVHVKSVIVLVMXQ
      VNXLAXBXKXFUQUCXTAXAXBXKVOXQAXBXKUDEUQXDIAXBEUQIUTZXKAXBYKYHAXBUMZYKVJFID
      YDIUSZYFYLYGYKYMYEXBAYDIDVFVGEUQYDIVHVKSVIVLVPAXBXKVQVNVTZVRCEXOUQLRVSWAX
      LXNXPXFUOXKXNXPUSZXCXKYBYOVBCEXPUQKQVSVDWBWCXLXFXLXFYNWDZWEWFWGXLXEXFXLXE
      XLEUQXDHXLAXAEUQHUTZXTAXAXBXKWJAXAYQYHAXAUMZYQVJFHDYDHUSZYFYRYGYQYSYEXAAY
      DHDVFVGEUQYDHVHVKSVIVLWAXQVNWDYPWHWKWIAXAXBLDUCXJDUCXCLCEXOUIZDRAXRXAXBYT
      DUCAXAXRXBYCWLACDEFGKICYDKCKYAQCEXPWMWSWNCGUEIOWNUAWOWPVEACDEFGHLTNCLYTRC
      EXOWMWSWTWQWR $.
  $}

  ${
    $d f g t T $.  $d f g A $.  $d f g G $.  $d f g ph $.  $d g t Z $.
    $d t x T $.  $d t S $.  $d x A $.  $d x G $.  $d x Z $.  $d x ph $.
    stoweidlem23.1 $e |- F/ t ph $.
    stoweidlem23.2 $e |- F/_ t G $.
    stoweidlem23.3 $e |- H = ( t e. T |-> ( ( G ` t ) - ( G ` Z ) ) ) $.
    stoweidlem23.4 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    stoweidlem23.5 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem23.6 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweidlem23.7 $e |- ( ph -> S e. T ) $.
    stoweidlem23.8 $e |- ( ph -> Z e. T ) $.
    stoweidlem23.9 $e |- ( ph -> G e. A ) $.
    stoweidlem23.10 $e |- ( ph -> ( G ` S ) =/= ( G ` Z ) ) $.
    $( This lemma is used to prove the existence of a function p_t as in the
       beginning of Lemma 1 [BrosowskiDeutsh] p. 90: for all t in T - U, there
       exists a function p in the subalgebra, such that p_t ( t_0 ) = 0 , p_t
       ( t ) > 0, and 0 <= p_t <= 1.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stoweidlem23 $p |- ( ph ->
          ( H e. A /\ ( H ` S ) =/= ( H ` Z ) /\ ( H ` Z ) = 0 ) ) $=
      ( wcel cfv wne cc0 wceq cv cmin co cmpt caddc wa cr wf ancli eleq1 anbi2d
      cneg wi feq1 imbi12d vtoclg sylc ffvelrnda recnd ffvelrnd adantr mpteq2da
      negsubd simpr renegcld eqid fvmpt2 syl2anc oveq2d nfcv nfneg nfeq2 eleq1d
      nffv simpl nfmpt1 stoweidlem8 mpd3an23 eqeltrrd eqeltrid subne0d resubcld
      nfov fveq2 oveq1d fvmptf subidd eqtrd 3netr4d 3jca ) AJDUBEJUCZKJUCZUDWRU
      EUFAJCFCUGZIUCZKIUCZUHUIZUJZDNACFWTXAURZUKUIZUJZXCDACFXEXBLAWSFUBZULZWTXA
      XHWTAFUMWSIAIDUBZAXIULZFUMIUNZTAXITUOAGUGZDUBZULZFUMXLUNZUSXJXKUSGIDXLIUF
      ZXNXJXOXKXPXMXIAXLIDUPUQFUMXLIUTVAOVBVCZVDVEXHXAAXAUMUBXGAFUMKIXQSVFZVGVE
      VIVHACFWTWSCFXDUJZUCZUKUIZUJZXFDACFYAXELXHXTXDWTUKXHXGXDUMUBZXTXDUFAXGVJA
      YCXGAXAXRVKZVGCFXDUMXSXSVLVMVNVOVHAXIXSDUBZYBDUBTAYCAYCULZYEYDAYCYDUOABUG
      ZUMUBZULZCFYGUJZDUBZUSYFYEUSBXDUMYGXDUFZYIYFYKYEYLYHYCAYGXDUMUPUQYLYJXSDY
      LCFYGXDCYGXDCXACKIMCKVPZVTZVQVRYLXGWAVHVSVAQVBVCACDFGHIXSPMCFXDWBWCWDWEWE
      WFAEIUCZXAUHUIZUEWQWRAYOXAAYOAFUMEIXQRVFZVEAXAXRVEZUAWGAEFUBYPUMUBWQYPUFR
      AYOXAYQXRWHCEXBYPFJUMCEVPZCYOXAUHCEIMYSVTCUHVPZYNWIWSEUFWTYOXAUHWSEIWJWKN
      WLVNAWRXAXAUHUIZUEAKFUBUUAUMUBWRUUAUFSAXAXAXRXRWHCKXBUUAFJUMYMCXAXAUHYNYT
      YNWIWSKUFWTXAXAUHWSKIWJWKNWLVNAXAYRWMWNZWOUUBWP $.
  $}

  ${
    $d t T $.
    stoweidlem24.1 $e |- V = { t e. T | ( P ` t ) < ( D / 2 ) } $.
    stoweidlem24.2 $e |- Q
         = ( t e. T |-> ( ( 1 - ( ( P ` t ) ^ N ) ) ^ ( K ^ N ) ) ) $.
    stoweidlem24.3 $e |- ( ph -> P : T --> RR ) $.
    stoweidlem24.4 $e |- ( ph -> N e. NN0 ) $.
    stoweidlem24.5 $e |- ( ph -> K e. NN0 ) $.
    stoweidlem24.6 $e |- ( ph -> D e. RR+ ) $.
    stoweidlem24.8 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem24.9 $e |- ( ph -> ( 1 - E ) <
          ( 1 - ( ( ( K x. D ) / 2 ) ^ N ) ) ) $.
    stoweidlem24.10 $e |- ( ph ->
          A. t e. T ( 0 <_ ( P ` t ) /\ ( P ` t ) <_ 1 ) ) $.
    $( This lemma proves that for ` n ` sufficiently large, q_n( t ) > ( 1 -
       epsilon ), for all ` t ` in ` V ` : see Lemma 1 [BrosowskiDeutsh] p. 90,
       (at the bottom of page 90). ` Q ` is used to represent q_n in the paper,
       ` N ` to represent ` n ` in the paper, ` K ` to represent ` k ` , ` D `
       to represent &delta;, and ` E ` to represent &epsilon;.  (Contributed by
       Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem24 $p |- ( ( ph /\ t e. V ) -> ( 1 - E ) < ( Q ` t ) ) $=
      ( wcel cv wa c1 cmin co cfv cexp clt cmul cr rpred adantr resubcld nn0red
      1red wf c2 cdiv wbr rabeq2i simplbi adantl ffvelrnd remulcld cn0 reexpcld
      jca nn0expcl syl rehalfcld cc0 cle r19.21bi simpld sylan2 mulge0 syl12anc
      nn0ge0d simprbi ltled lemul2a syl31anc cc wceq nn0cnd rpcnd 2cnne0 divass
      wne a1i syl3anc breqtrrd leexp1a syl32anc lesub2dd ltletrd mulexpd eqcomd
      recnd oveq2d simprd exple1 stoweidlem10 eqbrtrrd stoweidlem12 ) ABUAZJTZU
      BZUCGUDUEZUCXFDUFZIUGUEZUDUEZHIUGUEZUGUEZXFEUFZUHXHXIUCHXJUIUEZIUGUEZUDUE
      ZXNXHUCGXHUOZAGUJTXGAGQUKULUMZXHUCXQXSXHXPIXHHXJAHUJTZXGAHOUNZULXHFUJXFDA
      FUJDUPXGMULXGXFFTZAXGYCXJCUQURUEZUHUSZYEBJFKUTZVAZVBVCZVDZAIVETZXGNULZVFZ
      UMZXHXLXMXHUCXKXSXHXJIYHYKVFZUMXHHVETZYJUBZXMVETZAYPXGAYOYJONVGULHIVHVIZV
      FXHXIUCHCUIUEZUQURUEZIUGUEZUDUEZXRXTAUUBUJTXGAUCUUAAUOAYTIAYSAHCYBACPUKZV
      DVJZNVFZUMULYMAXIUUBUHUSXGRULXHXQUUAUCYLAUUAUJTXGUUEULXSXHXPUJTYTUJTZYJVK
      XPVLUSZXPYTVLUSXQUUAVLUSYIAUUFXGUUDULYKXHYAVKHVLUSZUBZXJUJTZVKXJVLUSZUUGA
      UUIXGAYAUUHYBAHOVRVGULZYHXGAYCUUKYGAYCUBUUKXJUCVLUSZAUUKUUMUBZBFSVMZVNVOZ
      HXJVPVQXHXPHYDUIUEZYTVLXHUUJYDUJTZUUIXJYDVLUSXPUUQVLUSYHAUURXGACUUCVJULZU
      ULXHXJYDYHUUSXGYEAXGYCYEYFVSVBVTXJYDHWAWBXHHWCTZCWCTZUQWCTUQVKWIUBZYTUUQW
      DAUUTXGAHOWEULZAUVAXGACPWFULUVBXHWGWJHCUQWHWKWLXPYTIWMWNWOWPXHUCXMXKUIUEZ
      UDUEZXRXNVLXHUVDXQUCUDXHXQUVDXHHXJIUVCXHXJYHWSYKWQWRWTXHXKUJTYQXKUCVLUSZU
      VEXNVLUSYNYRXHUUJUUKUUMYJUVFYHUUPXHUUKUUMXGAYCUUNYGUUOVOXAYKXJIXBWBXKXMXC
      WKXDWPXGAYCXOXNWDYGABDEFHILMNOXEVOWL $.
  $}

  ${
    $d t T $.
    stoweidlem25.1 $e |- Q = ( t e. T |->
          ( ( 1 - ( ( P ` t ) ^ N ) ) ^ ( K ^ N ) ) ) $.
    stoweidlem25.2 $e |- ( ph -> N e. NN ) $.
    stoweidlem25.3 $e |- ( ph -> K e. NN ) $.
    stoweidlem25.4 $e |- ( ph -> D e. RR+ ) $.
    stoweidlem25.6 $e |- ( ph -> P : T --> RR ) $.
    stoweidlem25.7 $e |- ( ph ->
          A. t e. T ( 0 <_ ( P ` t ) /\ ( P ` t ) <_ 1 ) ) $.
    stoweidlem25.8 $e |- ( ph -> A. t e. ( T \ U ) D <_ ( P ` t ) ) $.
    stoweidlem25.9 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem25.11 $e |- ( ph -> ( 1 / ( ( K x. D ) ^ N ) ) < E ) $.
    $( This lemma proves that for n sufficiently large, q_n( t ) < &epsilon;,
       for all ` t ` in ` T \ U ` : see Lemma 1 [BrosowskiDeutsh] p. 91 (at the
       top of page 91). ` Q ` is used to represent q_n in the paper, ` N ` to
       represent n in the paper, ` K ` to represent k, ` D ` to represent
       &delta;, ` P ` to represent p, and ` E ` to represent &epsilon;.
       (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem25 $p |- ( ( ph /\ t e. ( T \ U ) ) -> ( Q ` t ) < E ) $=
      ( wcel cv cdif wa c1 cmul co cexp cdiv cr eldifi cmin nnnn0d stoweidlem12
      cfv 1red ffvelrnda adantr reexpcld resubcld nnexpcld eqeltrd sylan2 nnred
      cn0 rpred remulcld cc0 wne cc nncnd nnne0d rpcnne0d mulne0 syl21anc cn wb
      rpcnd mulcld expne0 syl2anc mpbird rereccld cle wceq crp wf ffvelrnd 0red
      adantl clt wbr rpgt0d r19.21bi ltletrd elrpd wral sylc simpld stoweidlem1
      rsp simprd eqbrtrd lelttrd ) ABUAZFGUBZTZUCZXDEUNZUDICUEUFZJUGUFZUHUFZHXF
      AXDFTZXHUITXDFGUJZAXLUCZXHUDXDDUNZJUGUFZUKUFZIJUGUFZUGUFZUIABDEFIJKOAJLUL
      ZAIMULUMZXNXQXRXNUDXPXNUOXNXOJAFUIXDDOUPAJVDTXLXTUQURUSAXRVDTXLAXRAIJMXTU
      TULUQURVAVBAXKUITXFAXJAXIJAICAIMVCACNVEZVFXTURAXJVGVHZXIVGVHZAIVITIVGVHCV
      ITCVGVHUCYDAIMVJZAIMVKACNVLICVMVNAXIVITJVOTZYCYDVPAICYEACNVQVRLXIJVSVTWAW
      BUQAHUITXFAHRVEUQXGXHXSXKWCXFAXLXHXSWDXMYAVBXGXOCIJAYFXFLUQAIVOTXFMUQACWE
      TXFNUQXGXOXGFUIXDDAFUIDWFXFOUQXFXLAXMWIZWGZXGVGCXOXGWHACUITXFYBUQYHAVGCWJ
      WKXFACNWLUQACXOWCWKBXEQWMZWNWOXGVGXOWCWKZXOUDWCWKZXGYJYKUCZBFWPZXLYLAYMXF
      PUQYGYLBFWTWQZWRXGYJYKYNXAYIWSXBAXKHWJWKXFSUQXC $.
  $}

  ${
    $d i j t E $.  $d i j t L $.  $d i j t N $.  $d i t S $.  $d i ph $.
    $d j F $.  $d j t T $.  $d t X $.
    stoweidlem26.1 $e |- F/_ t F $.
    stoweidlem26.2 $e |- F/ j ph $.
    stoweidlem26.3 $e |- F/ t ph $.
    stoweidlem26.4 $e |- D = ( j e. ( 0 ... N ) |->
          { t e. T | ( F ` t ) <_ ( ( j - ( 1 / 3 ) ) x. E ) } ) $.
    stoweidlem26.5 $e |- B = ( j e. ( 0 ... N ) |->
          { t e. T | ( ( j + ( 1 / 3 ) ) x. E ) <_ ( F ` t ) } ) $.
    stoweidlem26.6 $e |- ( ph -> N e. NN ) $.
    stoweidlem26.7 $e |- ( ph -> T e. _V ) $.
    stoweidlem26.8 $e |- ( ph -> L e. ( 1 ... N ) ) $.
    stoweidlem26.9 $e |- ( ph -> S e. ( ( D ` L ) \ ( D ` ( L - 1 ) ) ) ) $.
    stoweidlem26.10 $e |- ( ph -> F : T --> RR ) $.
    stoweidlem26.11 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem26.12 $e |- ( ph -> E < ( 1 / 3 ) ) $.
    stoweidlem26.13 $e |- ( ( ph /\ i e. ( 0 ... N ) ) ->
          ( X ` i ) : T --> RR ) $.
    stoweidlem26.14 $e |- ( ( ph /\ i e. ( 0 ... N ) /\ t e. T ) ->
      0 <_ ( ( X ` i ) ` t ) ) $.
    stoweidlem26.15 $e |- ( ( ph /\ i e. ( 0 ... N ) /\
          t e. ( B ` i ) ) -> ( 1 - ( E / N ) ) < ( ( X ` i ) ` t ) ) $.
    $( This lemma is used to prove that there is a function ` g ` as in the
       proof of [BrosowskiDeutsh] p. 92: this lemma proves that g(t) > ( j - 4
       / 3 ) * &epsilon;.  Here ` L ` is used to represnt j in the paper, ` D `
       is used to represent A in the paper, ` S ` is used to represent t, and
       ` E ` is used to represent &epsilon;.  (Contributed by Glauco
       Siliprandi, 20-Apr-2017.) $)
    stoweidlem26 $p |- ( ph ->
          ( ( L - ( 4 / 3 ) ) x. E ) < ( ( t e. T |-> sum_ i e. ( 0 ... N )
          ( E x. ( ( X ` i ) ` t ) ) ) ` S ) ) $=
      ( c4 c3 cdiv co cmin cmul cc0 cfz cv cfv csu clt c1 wceq wbr wa cr adantl
      wcel 1re 4re a1i 3re 3ne0 resubcld adantr remulcld 0red fzfid cle crab wn
      sylib simpld cvv oveq1 oveq1d breq2d rabbidv rabexg syl fvmptd3 nfcv nfbr
      breq1d elrabf fsumrecl redivcli recnd subid1d 3cn wb cc eqtrd wi eqbrtrrd
      nfv c2 cz elfzelz cuz w3a zsubcld zred mpbii breqtrd elfzle2 letrd sylibr
      3jca syldan caddc readdcld ax-1cn oveq1i ltsub2dd breqtrrd subcld syl3anc
      2re elfz mpbid simprd syl2anc mulcld lttrd oveq2d 3eqtrd 0zd 2cn adantlr
      wo cmpt eleq1 mpbiri wne redivcld rpred cdif fz1ssfz0 sselid eleqtrd nffv
      eldif fveq2 ffvelrnd dividi 3lt4 ltdiv1ii eqbrtrri breq1 eqbrtrd ltsub23d
      3pos mpbi rpgt0d mulltgt0 syl22anc chash cfn 0cn fsumconst sylancl hashcl
      cn0 nn0cn 3syl mul01d rpge0d nfan nfim imbi2d 3expia com12 vtoclgaf mpcom
      mulge0d fsumle ltletrd zre nndivred elfzelzd nnzd nnred 0le2 lesub2d zcnd
      wss 2z eluz2 fzss2 sselda ltadd2dd 3p1e4 3eqtr3ri breqtrdi rpcnd subsub4d
      divdiri ltmul1dd mulcomd subdid eqtr3d 1zzd nngt0d ltdiv1 syl112anc nncnd
      zlem1lt nnne0d dividd mulgt0d ltmul2 mulid1d divcld subdird div32d eqtr4d
      mulid2d mulassd cn elnnuz elfzp12 orcanai 1p1e2 elfzle1 subge0d subadd23d
      mpbird hashfz cneg negsubdi2i 2m1e1 negeqi eqtr3i negsubd ad2antrr simpll
      c0 fzn0 wf ffvelrn leadd1dd lemul1 addid1 eqcomd subidd addsubass subsubd
      jca mp1i divcli addsubassd df-3 subaddrii 1lt2 pm3.2i 3pm3.2i lep1d elfzd
      peano2zd npcand 0p1e1 3eltr4d fzaddel neleqtrd sylnib ianor anim1i anbi2i
      orcom pm4.43 ltnled ltled sylanbrc eleqtrrd 3ad2ant1 sseldd elex 3ad2ant3
      simp2 nfrab1 nfmpt nfcxfr nfel2 3anbi3d imbi12d vtoclg1f syld3an2 mpd3an3
      nf3an fsumlt fsumcl addid1d 1m1e0 lesub1dd eqbrtrrid simpr lemul2 fsumge0
      olc leadd2dd fsummulc2 cin ltsub2d lelttrd intnanrd mtbird ex ralrimi cun
      wral mpbir2and fzsplit uneq2d fsumsplit ltletr mp2and pm2.61dan sumeq2sdv
      disj 3brtr4d sumex eqid fvmptg ) AKUIUJUKULZUMULZIUNULZUOLUPULZIEGUQZMURZ
      URZUNULZGUSZEBFVYQIBUQZVYSURZUNULZGUSZUUAZURZUTAKVAVBZVYPWUBUTVCZAWUIVDZV
      YPUOWUBWUKVYOIWUKKVYNWUIKVEVGZAWUIWULVAVEVGZVHKVAVEUUBUUCVFZWUKUIUJUIVEVG
      ZWUKVIVJUJVEVGZWUKVKVJUJUOUUDZWUKVLVJUUEVMAIVEVGZWUIAIUDUUFZVNZVOWUKVPZAW
      UBVEVGZWUIAVYQWUAGAUOLVQZAVYRVYQVGZVDZIVYTAWURWVDWUSVNZWVEFVEEVYSUFAEFVGZ
      WVDAWVGEJURZKVAUJUKULZUMULZIUNULZVRVCZAEWUCJURZWVKVRVCZBFVSZVGWVGWVLVDAEK
      DURZWVOAEWVPVGZEKVAUMULZDURZVGVTZAEWVPWVSUUGVGWVQWVTVDUBEWVPWVSUULWAZWBAH
      KWVMHUQZWVIUMULZIUNULZVRVCZBFVSZWVOVYQDWCQWWBKVBZWWEWVNBFWWGWWDWVKWVMVRWW
      GWWCWVJIUNWWBKWVIUMWDWEWFWGAVALUPULZVYQKLUUHUAUUIAFWCVGZWVOWCVGTWVNBFWCWH
      WIWJUUJWVNWVLBEFBEWKZBFWKZBWVHWVKVRBEJNWWJUUKZBVRWKZBWVKWKWLWUCEVBZWVMWVH
      WVKVRWUCEJUUMZWMWNWAWBZVNZUUNZVOZWOZVNWUKVYOVEVGVYOUOUTVCWURUOIUTVCZVYPUO
      UTVCWUKKVYNWUNVYNVEVGWUKUIUJVIVKVLWPVJZVMWUKKUOVYNWUNWVAWXBWUKKUOUMULZKVY
      NUTWUKKWUKKWUNWQWRWUKKVYNUTVCZVAVYNUTVCZUJUJUKULZVAVYNUTUJWSVLUUOZUJUIUTV
      CWXFVYNUTVCUUPUJUIUJVKVIVKUVBUUQUVCUURWUIWXDWXEWTAKVAVYNUTUUSVFUUCUUTUVAW
      UTAWXAWUIAIUDUVDZVNVYOIUVEUVFWUKVYQUOGUSZUOWUBVRAWXIUOVBWUIAWXIVYQUVGURZU
      OUNULZUOAVYQUVHVGZUOXAVGWXIWXKVBWVCUVIVYQUOGUVJUVKAWXJAWXLWXJUVMVGWXJXAVG
      WVCVYQUVLWXJUVNUVOUVPXBVNAWXIWUBVRVCWUIAVYQUOWUAGWVCWVEVPWWSWVEIVYTWVFWWR
      AUOIVRVCWVDAIUDUVQVNWVGWVEUOVYTVRVCZWWQWVEUOWUDVRVCZXCWVEWXMXCBEFWWJWVEWX
      MBAWVDBPWVDBXEZUVRWXMBXEUVSWWNWXNWXMWVEWWNWUDVYTUOVRWUCEVYSUUMZWFUVTWVEWU
      CFVGZWXNAWVDWXQWXNUGUWAUWBUWCUWDZUWEUWFVNXDUWGAWUIVTZVDZVYPIUOKXFUMULZUPU
      LZVYTGUSZUNULZUTVCZWYDWUBVRVCZWUJWXTVYPIVAILUKULZUMULZWVRUNULZUNULZWYDAVY
      PVEVGZWXSAVYOIAKVYNAKWWHVGZKXGVGZWULUAKVALXHKUWHUVOZAUIUJWUOAVIVJWUPAVKVJ
      WUQAVLVJUUEZVMZWUSVOZVNAWYJVEVGWXSAIWYIWUSAWYHWVRAVAWYGWUMAVHVJZAILWUSSUW
      IVMZAKVAWYNWYRVMZVOZVOVNAWYDVEVGZWXSAIWYCWUSAWYBVYTGAUOWYAVQZAVYRWYBVGZWV
      DVYTVEVGZAWYBVYQVYRALWYAXIURVGZWYBVYQUWPZAWYAXGVGZLXGVGZWYALVRVCZXJZXUFAX
      UHXUIXUJAKXFAKVALUAUWJZXFXGVGZAUWQVJXKZALSUWKZAWYAKLAKXFAKXULXLZXFVEVGZAY
      HVJZVMXUPALSUWLZAWYAWXCKVRAUOXFVRVCWYAWXCVRVCUWMAUOXFKAVPXURXUPUWNXMAKAKX
      ULUWOZWRXNAWYLKLVRVCZUAKVALXOWIXPZXRZWYALUWRZXQWYAUOLUWSZWIUWTZWWRXSZWOZV
      OZVNAVYPWYJUTVCWXSAVYPIWVRUNULZIIUNULZWVRLUKULZUNULZUMULZWYJUTAVYPXVJXVKU
      MULZXVNWYQAXVJXVKAIWVRWUSWYTVOZAIIWUSWUSVOZVMAXVJXVMXVPAXVKXVLXVQAWVRLWYT
      SUWIZVOZVMAVYPWVRIUMULZIUNULZXVOUTAVYOXVTIWYPAWVRIWYTWUSVMUDAVYOKVAIXTULZ
      UMULXVTUTAXWBVYNKAVAIWYRWUSYAWYOWYNAXWBVAWVIXTULZVYNUTAIWVIVAWUSWVIVEVGZA
      VAUJVHVKVLWPZVJZWYRUEUXAUJVAXTULZUJUKULWXFWVIXTULVYNXWCUJVAUJWSYBWSVLUXGX
      WGUIUJUKUXBYCWXFVAWVIXTWXGYCUXCUXDYDAKVAIXUTVAXAVGZAYBVJZAIUDUXEZUXFYEUXH
      AIXVTUNULXWAXVOAIXVTXWJAWVRIAKVAXUTXWIYFZXWJYFUXIAIWVRIXWJXWKXWJUXJUXKXNA
      XVMXVKXVJXVSXVQXVPAXVMXVKVAUNULZXVKUTAXVLVAUTVCZXVMXWLUTVCZAXVLLLUKULZVAU
      TAWVRLUTVCZXVLXWOUTVCZAXVAXWPAVAKVRVCZXVAAWYLXWRXVAVDZUAAWYMVAXGVGZXUIWYL
      XWSWTXULAUXLZXUOKVALYIYGYJZYKZAWYMXUIXVAXWPWTXULXUOKLUXQYLYJAWVRVEVGZLVEV
      GZXXEUOLUTVCXWPXWQWTWYTXUSXUSALSUXMWVRLLUXNUXOYJALALSUXPZALSUXRZUXSXNAXVL
      VEVGWUMXVKVEVGUOXVKUTVCXWMXWNWTXVRWYRXVQAIIWUSWUSWXHWXHUXTXVLVAXVKUYAUXOY
      JAXVKAIIXWJXWJYMUYBXNYDYNAWYJIWVRWYGWVRUNULZUMULZUNULXVJIXXHUNULZUMULXVNA
      WYIXXIIUNAWYIVAWVRUNULZXXHUMULXXIAVAWYGWVRXWIAILXWJXXFXXGUYCZXWKUYDAXXKWV
      RXXHUMAWVRXWKUYGWEXBYOAIWVRXXHXWJXWKAWYGWVRXXLXWKYMUXJAXXJXVMXVJUMAXXJIIX
      VLUNULZUNULXVMAXXHXXMIUNAILWVRXWJXXFXWKXXGUYEYOAIIXVLXWJXWJAWVRLXWKXXFXXG
      UYCUYHUYFYOYPYEVNWXTWYIWYCUTVCZWYJWYDUTVCZWXTWYBWYHGUSZWYIWYCUTWXTXXPWYBU
      VGURZWYHUNULZWVRWYHUNULZWYIAXXPXXRVBZWXSAWYBUVHVGWYHXAVGXXTXUCAVAWYGXWIXX
      LYFZWYBWYHGUVJYLVNWXTXXQWVRWYHUNWXTXXQWYAUOUMULZVAXTULZWVRWXTWYAUOXIURVGZ
      XXQXYCVBWXTUOXGVGZXUHUOWYAVRVCZXJXYDWXTXYEXUHXYFWXTYQWXTKXFWXTKVALAWYLWXS
      UAVNUWJXUMWXTUWQVJXKWXTXYFXFKVRVCZWXTKXFLUPULZVGXYGWXTKVAVAXTULZLUPULZXYH
      AWUIKXYJVGZAWYLWUIXYKYTZUAALVAXIURVGZWYLXYLWTALUYIVGXYMSLUYJWAKVALUYKWIYJ
      UYLWXTXYIXFLUPXYIXFVBZWXTUYMVJWEUUJKXFLUYNWIWXTKXFAWULWXSWYNVNXUQWXTYHVJU
      YOUYQZXRUOWYAUWRXQZUOWYAUYRWIAXYCWVRVBWXSAXYCWYAVAXTULZKVAXFUMULZXTULZWVR
      AXYBWYAVAXTAWYAAKXFXUTXFXAVGAYRVJZYFZWRWEAKXFVAXUTXYTXWIUYPZAXYSKVAUYSZXT
      ULZWVRAXYRYUCKXTXYRYUCVBAXFVAUMULZUYSXYRYUCXFVAYRYBUYTYUEVAVUAVUBVUCVJYOZ
      AKVAXUTXWIVUDZXBYPVNXBWEAXXSWYIVBWXSAWVRWYHXWKXYAUXIVNYPWXTWYBWYHVYTGWXTU
      OWYAVQZWXTXYDWYBVUGUUDXYPUOWYAVUHXQAWYHVEVGWXSXUDWYSVUEWXTXUDVDZAWVDXUEAW
      XSXUDVUFAXUDWVDWXSXVFYSWWRYLAXUDWYHVYTUTVCZWXSAXUDEVYRCURZVGZYUJAXUDVDZEV
      YRWVIXTULZIUNULZWVMVRVCZBFVSZYUKYUMWVGYUOWVHVRVCZEYUQVGAWVGXUDWWPVNYUMYUO
      WYAWVIXTULZIUNULZWVHYUMYUNIYUMVYRWVIXUDVYRVEVGZAXUDVYRVYRUOWYAXHXLVFZXWDY
      UMXWEVJZYAZAWURXUDWUSVNZVOYUMYUSIYUMWYAWVIYUMKXFAWULXUDWYNVNXUQYUMYHVJVMZ
      YVCYAZYVEVOYUMFVEJVUIZWVGVDZWVHVEVGAYVIXUDAYVHWVGUCWWPVURVNFVEEJVUJWIYUMY
      UNYUSVRVCZYUOYUTVRVCZYUMVYRWYAWVIYVBYVFYVCXUDVYRWYAVRVCAVYRUOWYAXOVFVUKYU
      MYUNVEVGYUSVEVGWURWXAVDZYVJYVKWTYVDYVGAYVLXUDAWURWXAWUSWXHVURZVNYUNYUSIVU
      LYGYJAYUTWVHVRVCXUDAYUTWVHAYUSIAWYAWVIAKXFWYNXURVMZXWFYAZWUSVOZAFVEEJUCWW
      PUUNZAYUTWVRWVIUMULZIUNULZWVHYVPAYVRIAWVRWVIWYTXWFVMZWUSVOZYVQAYUSYVRIYVO
      YVTUDAWVRXFUJUKULZUMULZYUSYVRUTAYWCXYQYWBUMULWYAVAYWBUMULZXTULYUSAWVRXYQY
      WBUMAWVRKXYIVAUMULZUMULKYUEUMULXYQAVAYWEKUMAVAVAUOXTULZVAVAVAUMULZXTULZYW
      EXWHVAYWFVBAYBXWHYWFVAVAVUMVUNVUSAUOYWGVAXTAYWGUOAVAXWIVUOVUNYOAXWHXWHXWH
      YWHYWEVBXWIXWIXWIXWHXWHXWHXJYWEYWHVAVAVAVUPVUNYGYPYOAYWEYUEKUMAXYIXFVAUMX
      YNAUYMVJWEYOAKXFVAXUTXYTXWIVUQYPWEAWYAVAYWBYUAXWIYWBXAVGAXFUJYRWSVLVUTZVJ
      VVAAYWDWVIWYAXTYWDWVIVBAVAYWBWVIYBYWIVAUJYBWSVLVUTWXFXFVAXTULZUJUKULVAYWB
      WVIXTULUJYWJUJUKVVBYCWXGXFVAUJYRYBWSVLUXGUXCVVCVJYOYPAWVIYWBWVRXWFYWBVEVG
      AXFUJYHVKVLWPVJWYTAVAXFUTVCZWVIYWBUTVCZVVDWUMXUQWUPUOUJUTVCZVDZXJYWKYWLWT
      AWUMXUQYWNVHYHWUPYWMVKUVBVVEVVFVAXFUJUXNVUSXMYDXDUXHAYVSWVHUTVCWVHYVSVRVC
      ZVTZAYWPWVGYTZYWPWVGVTZYTZVDZYWPAYWQYWRYWPYTZVDZYWTAWVGYXAYXBWWPAWVGYWOVD
      ZVTYXAAEWVMYVSVRVCZBFVSZVGYXCAWVSYXEEAWVQWVTWWAYKAHWVRWWFYXEVYQDWCQWWBWVR
      VBZWWEYXDBFYXFWWDYVSWVMVRYXFWWCYVRIUNWWBWVRWVIUMWDWEWFWGAWVRVYQVGZWVRVAXT
      ULZUOVAXTULZLVAXTULZUPULZVGZAKVAYXJUPULYXHYXKAKVAYXJXXAALXUOVVIXULAXWRXVA
      XXBWBZAKLYXJWYNXUSALVAXUSWYRYAXXCALXUSVVGXPVVHAKVAXUTXWIVVJAYXIVAYXJUPYXI
      VAVBAVVKVJWEVVLAXYEXUIWVRXGVGZXWTYXGYXLWTAYQZXUOAKVAXULXXAXKZXXAWVRVAUOLV
      VMUVFUYQAWWIYXEWCVGTYXDBFWCWHWIWJVVNYXDYWOBEFWWJWWKBWVHYVSVRWWLWWMBYVSWKW
      LWWNWVMWVHYVSVRWWOWMWNVVOWVGYWOVVPWAWVGYWQYXAWVGYWPVXIVVQYLYXAYWSYWQYWRYW
      PVVSVVRWAYWPWVGVVTXQAYVSWVHYWAYVQVWAUYQYNVWBVNXPYUPYURBEFWWJWWKBYUOWVHVRB
      YUOWKWWMWWLWLWWNWVMWVHYUOVRWWOWFWNVWCYUMHVYRWWBWVIXTULZIUNULZWVMVRVCZBFVS
      ZYUQVYQCWCRWWBVYRVBZYXSYUPBFYYAYXRYUOWVMVRYYAYXQYUNIUNWWBVYRWVIXTWDWEWMWG
      XVFAYUQWCVGZXUDAWWIYYBTYUPBFWCWHWIVNWJVWDAWVDXUDYULYUJAXUDYULXJZWYBVYQVYR
      YYCXUFXUGYYCXUKXUFAXUDXUKYULXVCVWEXVDXQXVEWIAXUDYULVWIVWFEWCVGZAWVDYULXJZ
      YUJYULAYYDWVDEYUKVWGVWHAWVDWUCYUKVGZXJZWYHWUDUTVCZXCYYEYUJXCBEWCYYEYUJBAW
      VDYULBPWXOBEYUKBVYRCBCHVYQYXTUUARBHVYQYXTBVYQWKYXSBFVWJVWKVWLBVYRWKUUKVWM
      VWSYUJBXEUVSWWNYYGYYEYYHYUJWWNYYFYULAWVDWUCEYUKUUBVWNWWNWUDVYTWYHUTWXPWFV
      WOUHVWPUWDVWQVWRYSVWTXDWXTWYIVEVGZWYCVEVGZYVLXXNXXOWTAYYIWXSXUAVNAYYJWXSX
      VHVNAYVLWXSYVMVNWYIWYCIUYAYGYJYNWXTWYBWUAGUSZYYKWVRLUPULZWUAGUSZXTULZWYDW
      UBVRWXTYYKUOXTULYYKYYNVRWXTYYKWXTWYBWUAGYUHYUIWUAAXUDWUAVEVGZWXSAXUDWVDYY
      OXVFWWSXSYSZWQVXAVXBWXTUOYYMYYKWXTVPWXTYYLWUAGWXTWVRLVQAVYRYYLVGZYYOWXSAY
      YQVDZIVYTAWURYYQWUSVNAYYQWVDXUEYYRVYRUOLYYRYQAXUIYYQXUOVNZYYQVYRXGVGZAVYR
      WVRLXHZVFZYYRUOWVRVYRYYRVPZAXXDYYQWYTVNYYQYVAAYYQVYRUUUAXLVFAUOWVRVRVCYYQ
      AUOYWGWVRVRVXCAVAKVAWYRWYNWYRYXMVXDVXEVNYYRWVRVYRVRVCZVYRLVRVCZYYRYYQUUUD
      UUUEVDZAYYQVXFYYRYYTYXNXUIYYQUUUFWTUUUBAYXNYYQYXPVNYYSVYRWVRLYIYGYJWBXPYY
      QUUUEAVYRWVRLXOVFVVHZWWRXSZVOZYSWOWXTWYBWUAGYUHYYPWOAUOYYMVRVCWXSAYYLWUAG
      AWVRLVQUUUIYYRIUOUNULZUOWUAVRYYRIAIXAVGZYYQXWJVNUVPYYRWXMUUUJWUAVRVCZAYYQ
      WVDWXMUUUGWXRXSYYRUOVEVGXUEYVLWXMUUULWTUUUCUUUHAYVLYYQYVMVNUOVYTIVXGYGYJX
      DVXHVNVXJXDAWYDYYKVBWXSAWYBVYTIGXUCXWJYUMVYTXVGWQVXKVNWXTWYBYYLWUAVYQGAWY
      BYYLVXLVUGVBZWXSAWWBYYLVGZVTZHWYBVXTUUUMAUUUOHWYBOAWWBWYBVGZUUUOAUUUPVDZU
      UUNWVRWWBVRVCZWWBLVRVCZVDZUUUQUUURUUUSUUUQWWBWVRUTVCUUURVTUUUQWWBWYAWVRUU
      UQWWBUUUPWWBXGVGZAWWBUOWYAXHVFZXLZAWYAVEVGUUUPYVNVNAXXDUUUPWYTVNZUUUQUOWW
      BVRVCZWWBWYAVRVCZUUUQUUUPUUVEUUVFVDZAUUUPVXFUUUQUUVAXYEXUHUUUPUUVGWTUUVBU
      UUQYQAXUHUUUPXUNVNWWBUOWYAYIYGYJYKAWYAWVRUTVCZUUUPAYWKUUVHVVDAVAXFKWYRXUR
      WYNVXMXMVNVXNUUUQWWBWVRUUVCUUVDVWAYJVXOUUUQUUVAYXNXUIUUUNUUUTWTUUVBAYXNUU
      UPYXPVNAXUIUUUPXUOVNWWBWVRLYIYGVXPVXQVXRHWYBYYLVYIXQVNWXTVYQWYBXYQLUPULZV
      XSZWYBYYLVXSZWXTWYAVYQVGZVYQUUVJVBWXTUUVLXYFXUJXYOAXUJWXSXVBVNWXTXUHXYEXU
      IXJZUUVLXYFXUJVDWTAUUVMWXSAXUHXYEXUIXUNYXOXUOXRVNWYAUOLYIWIVYAWYAUOLVYBWI
      AUUVJUUVKVBWXSAUUVIYYLWYBAXYQWVRLUPAXYQXYSYUDWVRYUBYUFYUGYPWEVYCVNXBWXTUO
      LVQAWVDWUAXAVGWXSWVEIVYTAUUUKWVDXWJVNWVEVYTWWRWQYMYSVYDVYJWXTWYKXUBWVBXJZ
      WYEWYFVDWUJXCAUUVNWXSAWYKXUBWVBWYQXVIWWTXRVNVYPWYDWUBVYEWIVYFVYGAWVGWUBWC
      VGWUHWUBVBWWPVYQWUAGVYKBEWUFWUBFWCWUGWWNVYQWUEWUAGWWNWUDVYTIUNWXPYOVYHWUG
      VYLVYMUVKYE $.
  $}

  ${
    $d h i t w F $.  $d h l t w Y $.  $d h w T $.  $d i q t F $.  $d i G $.
    $d i q M $.  $d i w X $.  $d i q t Y $.  $d i ph $.  $d k l Q $.
    $d k l Y $.  $d k l ph $.  $d l G $.  $d q Q $.  $d q T $.  $d q U $.
    $d w M $.  $d w Q $.  $d w U $.
    stoweidlem27.1 $e |- G = ( w e. X |->
         { h e. Q | w = { t e. T | 0 < ( h ` t ) } } ) $.
    stoweidlem27.2 $e |- ( ph -> Q e. _V ) $.
    stoweidlem27.3 $e |- ( ph -> M e. NN ) $.
    stoweidlem27.4 $e |- ( ph -> Y Fn ran G ) $.
    stoweidlem27.5 $e |- ( ph -> ran G e. _V ) $.
    stoweidlem27.6 $e |- ( ( ph /\ l e. ran G ) -> ( Y ` l ) e. l ) $.
    stoweidlem27.7 $e |- ( ph -> F : ( 1 ... M ) -1-1-onto-> ran G ) $.
    stoweidlem27.8 $e |- ( ph -> ( T \ U ) C_ U. X ) $.
    stoweidlem27.9 $e |- F/ t ph $.
    stoweidlem27.10 $e |- F/ w ph $.
    stoweidlem27.11 $e |- F/_ h Q $.
    $( This lemma is used to prove the existence of a function p as in Lemma 1
       [BrosowskiDeutsh] p. 90: p is in the subalgebra, such that 0 <= p <= 1,
       p__(t_0) = 0, and p > 0 on T - U. Here ` ( q `` i ) ` is used to
       represent p__(t_i) in the paper.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stoweidlem27 $p |- ( ph -> E. q ( M e. NN /\ ( q : ( 1 ... M ) --> Q /\
          A. t e. ( T \ U ) E. i e. ( 1 ... M ) 0 < ( ( q ` i ) ` t ) ) ) ) $=
      ( vk ccom cvv wcel cn c1 cfz co wf cc0 cfv clt wbr wrex cdif wral wex crn
      cv wa wfn fnex syl2anc wf1o f1ofn syl ovex sylancl coexg wss fnfco rncoss
      f1of wceq fvelrnb biimpa crab cmpt nfmpt1 nfcxfr nfrn nfcri nfan ad2antrr
      wb simpr eleqtrd nfcv nfv fveq1 breq2d rabbidv eqeq2d elrabf sylib simpld
      elrnmpt mpbid r19.29af adantlr syl5ibcom reximdva mpd wi idd a1i rexlimdv
      eleq1 ssrdv sstrid df-f sylanbrc cuni sselda eluni wfun cdm funmpt2 dmeqi
      rabexgf adantr ralrimi dmmptg syl5eq eleq2d biimpar fvelrn sylancr simprl
      ex adantrl fveq2 anbi2d simprd fvco3 ad2antll eqtrd eleq1d imbi12d vtoclg
      eleq2 bitrd anabsi7 eqeltrd wfo f1ofo forn reximddv syldan simplrl fvmpt2
      3syl adantlrl rabid reximdv exlimimdd feq1 fveq1d rexbidv ralbidv anbi12d
      jca32 spcegv sylc ) AMIUHZUIUJZKUKUJZULKUMUNZDUVKUOZUPCVEZHVEZUVKUQZUQZUR
      USZHUVNUTZCEFVAZVBZVFZVFZUVMUVNDNVEZUOZUPUVPUVQUWFUQZUQZURUSZHUVNUTZCUWBV
      BZVFZVFZNVCAMUIUJZIUIUJZUVLAMJVDZVGZUWQUIUJUWOSTUWQUIMVHVIAIUVNVGZUVNUIUJ
      UWPAUVNUWQIVJZUWSUBUVNUWQIVKVLZULKUMVMUVNUIIVHVNMIUIUIVOVIAUVMUVOUWCRAUVK
      UVNVGZUVKVDZDVPUVOAUWRUVNUWQIUOZUXBSAUWTUXDUBUVNUWQIVSVLZUWQUVNMIVQVIAUXC
      MVDZDMIVRAUGUXFDAUGVEZUXFUJZUXGDUJZAUXHVFZUXIOUWQUTZUXIUXJOVEZMUQZUXGVTZO
      UWQUTZUXKAUXHUXOAUWRUXHUXOWKSOUWQUXGMWAVLWBUXJUXNUXIOUWQUXJUXLUWQUJZVFUXM
      DUJZUXNUXIAUXPUXQUXHAUXPVFZUXLBVEZUPUVPGVEZUQZURUSZCEWCZVTZGDWCZVTZUXQBLA
      UXPBUEBOUWQBJBJBLUYEWDZPBLUYEWEWFWGWHWIUXRUXSLUJZVFZUYFVFZUXQUXSUPUVPUXMU
      QZURUSZCEWCZVTZUYJUXMUYEUJUXQUYNVFUYJUXMUXLUYEUXRUXMUXLUJZUYHUYFUAWJUYIUY
      FWLWMUYDUYNGUXMDGUXMWNUFUYNGWOUXTUXMVTZUYCUYMUXSUYPUYBUYLCEUYPUYAUYKUPURU
      VPUXTUXMWPWQWRWSWTXAXBUXRUXPUYFBLUTZAUXPWLZUXRUXPUXPUYQWKUYRBLUYEUXLJUWQP
      XCVLXDXEXFUXMUXGDXNXGXHXIUXJUXIUXIOUWQUXPUXIUXIXJXJUXJUXPUXIXKXLXMXIYPXOX
      PUVNDUVKXQXRAUWACUWBUDAUVPUWBUJZUWAAUYSVFZUVPUXSUJZUYHVFZUWABAUYSBUEUYSBW
      OWIUWABWOUYTUVPLXSZUJVUBBVCAUWBVUCUVPUCXTBUVPLYAXAAVUBUWAXJUYSAVUBUWAAVUB
      VFZUVRUXSJUQZUJZHUVNUTZUWAAVUBVUEUWQUJZVUGAUYHVUHVUAAUYHVFZJYBUXSJYCZUJZV
      UHBLUYEJPYDAVUKUYHAVUJLUXSAVUJUYGYCZLJUYGPYEAUYEUIUJZBLVBVULLVTAVUMBLUEAU
      YHVUMAVUMUYHADUIUJVUMQUYDGDUIUFYFVLYGZYPYHBLUYEUIYIVLYJYKYLUXSJYMYNYQAVUH
      VFZUVQIUQZVUEVTZVUFHUVNVUOUVQUVNUJZVUQVFZVFZUVRVUEMUQZVUEVUTUVRVUPMUQZVVA
      VUTUXDVURUVRVVBVTAUXDVUHVUSUXEWJVUOVURVUQYOUVNUWQUVQMIUUAVIVUQVVBVVAVTVUO
      VURVUPVUEMYRUUBUUCVUOVVAVUEUJZVUSAVUHVVCUXRUYOXJVUOVVCXJOVUEUWQUXLVUEVTZU
      XRVUOUYOVVCVVDUXPVUHAUXLVUEUWQXNYSVVDUYOUXMVUEUJVVCUXLVUEUXMUUGVVDUXMVVAV
      UEUXLVUEMYRUUDUUHUUEUAUUFUUIYGUUJVUOVUEIVDZUJZVUQHUVNUTZAVVFVUHAVVEUWQVUE
      AUWTUVNUWQIUUKVVEUWQVTUBUVNUWQIUULUVNUWQIUUMUURYKYLVUOUWSVVFVVGWKAUWSVUHU
      XAYGHUVNVUEIWAVLXDUUNUUOVUDVUFUVTHUVNVUDVUFUVTVUDVUFVFZUVPEUJZUVTVVHUVPUV
      TCEWCZUJVVIUVTVFVVHUVPUXSVVJAVUAUYHVUFUUPVVHUVRDUJZUXSVVJVTZVVHUVRUYEUJZV
      VKVVLVFAUYHVUFVVMVUAVUIVUFVVMVUIVUEUYEUVRVUIUYHVUMVUEUYEVTAUYHWLVUNBLUYEU
      IJPUUQVIYKWBUUSUYDVVLGUVRDGUVRWNUFVVLGWOUXTUVRVTZUYCVVJUXSVVNUYBUVTCEVVNU
      YAUVSUPURUVPUXTUVRWPWQWRWSWTXAYTWMUVTCEUUTXAYTYPUVAXIYPYGUVBYPYHUVHUWNUWE
      NUVKUIUWFUVKVTZUWMUWDUVMVVOUWGUVOUWLUWCUVNDUWFUVKUVCVVOUWKUWACUWBVVOUWJUV
      THUVNVVOUWIUVSUPURVVOUVPUWHUVRUVQUWFUVKWPUVDWQUVEUVFUVGYSUVIUVJ $.
  $}

  ${
    $d c d t x P $.  $d c d t x T $.  $d c d x U $.  $d c x ph $.
    $d s t x J $.  $d s K $.  $d s t x P $.  $d s t x T $.  $d s x U $.
    $d s x ph $.
    stoweidlem28.1 $e |- F/_ t U $.
    stoweidlem28.2 $e |- F/ t ph $.
    stoweidlem28.3 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem28.4 $e |- T = U. J $.
    stoweidlem28.5 $e |- ( ph -> J e. Comp ) $.
    stoweidlem28.6 $e |- ( ph -> P e. ( J Cn K ) ) $.
    stoweidlem28.7 $e |- ( ph -> A. t e. ( T \ U ) 0 < ( P ` t ) ) $.
    stoweidlem28.8 $e |- ( ph -> U e. J ) $.
    $( There exists a &delta; as in Lemma 1 [BrosowskiDeutsh] p. 90: 0 < delta
       < 1 and p >= delta on ` T \ U ` .  Here ` d ` is used to represent
       &delta; in the paper.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stoweidlem28 $p |- ( ph -> E. d ( d e. RR+ /\ d < 1 /\
          A. t e. ( T \ U ) d <_ ( P ` t ) ) ) $=
      ( vx wcel wbr cle vc vs cdif c0 wceq cv crp c1 clt cfv wral w3a wex wa c2
      cdiv halfre halfgt0 elrpii a1i halflt1 nfcv nfdif nfeq1 rzalf adantl ovex
      co eleq1 breq1 ralbidv 3anbi123d spcev syl3anc wn simplll simplr simpr cr
      cres wf ccn eqid fcnre adantr eldifi ffvelrnd cc0 nfv weq breq2d cbvralfw
      fveq2 biimpi r19.21bi sylan elrpd nfcri nfra1 nf3an rspa 3ad2antl3 simpl2
      3adant3 syl 3brtr3d ex ralrimi anbi12d spcegv mp2and simpl1 simprl simprr
      fvres wi 3ad2ant1 difssd simp2 simp3 stoweidlem5 exlimddv wrex crest cuni
      cif ccmp ccld wss wb cmptop elssuni sseqtrrdi isopn2 syl2anc mpbid cmpcld
      ctop wne nffv cnrest restuni df-ne bitr3di biimpar evth2 nfov nfuni nfres
      neeq1d nfbr rexbii sylib raleqf rexeqbi1dv mpbird r19.29a pm2.61dan ) ADE
      UCZUDUEZHUFZUGRZUVAUHUISZUVABUFZCUJZTSZBUUSUKZULZHUMZAUUTUNZUHUOUPVHZUGRZ
      UVKUHUISZUVKUVETSZBUUSUKZUVIUVLUVJUVKUQURUSUTUVMUVJVAUTUUTUVOAUVNBUUSBUUS
      UDBDEBDVBIVCZVDVEVFUVHUVLUVMUVOULHUVKUHUOUPVGUVAUVKUEZUVBUVLUVCUVMUVGUVOU
      VAUVKUGVIUVAUVKUHUIVJUVQUVFUVNBUUSUVAUVKUVETVJVKVLVMVNAUUTVOZUNZQUFZCUUSV
      TZUJZUVDUWAUJZTSZBUUSUKZUVIQUUSUVSUVTUUSRZUNZUWEUNAUWFUWEUVIAUVRUWFUWEVPU
      VSUWFUWEVQUWGUWEVRAUWFUWEULZUAUFZUGRZUWIUVETSZBUUSUKZUNZUVIUAUWHUVTCUJZUG
      RZUWNUVETSZBUUSUKZUWMUAUMZAUWFUWOUWEAUWFUNZUWNUWSDVSUVTCADVSCWAZUWFAFGWBV
      HZDCFGKLUXAWCNWDZWEUWFUVTDRAUVTDEWFVFWGAWHUVEUISZBUUSUKZUWFWHUWNUISZOUXDU
      XEQUUSUXDUXEQUUSUKUXCUXEBQUUSUVPQUUSVBUXCQWIUXEBWIBQWJUVEUWNWHUIUVDUVTCWM
      WKWLWNWOWPWQXDZUWHUWPBUUSAUWFUWEBJBQUUSUVPWRUWDBUUSWSWTUWHUVDUUSRZUWPUWHU
      XGUNZUWBUWCUWNUVETUWEAUXGUWDUWFUWDBUUSXAXBUXHUWFUWBUWNUEAUWFUWEUXGXCUVTUU
      SCXOXEUXGUWCUVEUEUWHUVDUUSCXOVFXFXGXHUWHUWOUWOUWQUNZUWRXPUXFUWMUXIUAUWNUG
      UWIUWNUEZUWJUWOUWLUWQUWIUWNUGVIUXJUWKUWPBUUSUWIUWNUVETVJVKXIXJXEXKUWHUWMU
      NAUWJUWLUVIAUWFUWEUWMXLUWHUWJUWLXMUWHUWJUWLXNAUWJUWLULZBUWIUWIUVKTSUWIUVK
      YFZCUUSDHAUWJUWLBJUWJBWIUWKBUUSWSWTUXLWCAUWJUWTUWLUXBXQUXKDEXRAUWJUWLXSAU
      WJUWLXTYAVNYBVNUVSUWEQUUSYCZUWDBFUUSYDVHZYEZUKZQUXOYCZUVSUWBUBUFZUWAUJZTS
      ZUBUXOUKZQUXOYCUXQUVSQUBUWAUXNGUXOUXOWCKAUXNYGRZUVRAFYGRZUUSFYHUJRZUYBMAE
      FRZUYDPAFYRRZEDYIUYEUYDYJAUYCUYFMFYKXEZAEFYEZDAUYEEUYHYIPEFYLXELYMEFDLYNY
      OYPUUSFYQYOWEUVSCUXARZUUSDYIZUWAUXNGWBVHRAUYIUVRNWEUVSDEXRUUSCFGDLUUAYOAU
      XOUDYSZUVRAUUSUDYSUYKUVRAUUSUXOUDAUYFUYJUUSUXOUEZUYGADEXRUUSFDLUUBYOZUUJU
      USUDUUCUUDUUEUUFUYAUXPQUXOUXTUWDUBBUXOUBUXOVBBUXNBFUUSYDBFVBBYDVBUVPUUGUU
      HZBUWBUXSTBUVTUWABCUUSBCVBUVPUUIZBUVTVBYTBTVBBUXRUWAUYOBUXRVBYTUUKUWDUBWI
      UBBWJUXSUWCUWBTUXRUVDUWAWMWKWLUULUUMAUXMUXQYJZUVRAUYLUYPUYMUWEUXPQUUSUXOU
      WDBUUSUXOUVPUYNUUNUUOXEWEUUPUUQUUR $.
  $}

  ${
    $d s t x T $.  $d s x F $.  $d s t J $.  $d s x ph $.  $d t x y T $.
    $d t K $.  $d y F $.  $d y ph $.
    stoweidlem29.1 $e |- F/_ t F $.
    stoweidlem29.2 $e |- F/ t ph $.
    stoweidlem29.3 $e |- T = U. J $.
    stoweidlem29.4 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem29.5 $e |- ( ph -> J e. Comp ) $.
    stoweidlem29.6 $e |- ( ph -> F e. ( J Cn K ) ) $.
    stoweidlem29.7 $e |- ( ph -> T =/= (/) ) $.
    $( When the hypothesis for the extreme value theorem hold, then the inf of
       the range of the function belongs to the range, it is real and it a
       lower bound of the range.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.)  (Revised by AV, 13-Sep-2020.) $)
    stoweidlem29 $p |- ( ph -> ( inf ( ran F , RR , < ) e. ran F /\
          inf ( ran F , RR , < ) e. RR /\
          A. t e. T inf ( ran F , RR , < ) <_ ( F ` t ) ) ) $=
      ( vx vy vs cr wcel cle wa crn clt cinf cv cfv wbr wral wss wrex wfn wf co
      ccn eqid fcnre df-f sylib simprd wfun cdm simpld fnfun adantr fdmd eqcomd
      syl eleq2d biimpa fvelrn syl2anc wceq nfcv nffv nfeq2 breq1 ralbid rspcev
      sylan evth2f r19.29a nfv simpr wb ad2antrr fvelrnbf mpbid nfra1 nfan nfrn
      nfcri wi rspa breq2 syl5ibcom ex ad2antlr rexlimd ralrimi reximdv lbinfcl
      mpd sseldd dffn3 ffvelrnda lbinfle syl3anc 3jca ) ADUAZQUBUCZXHRZXIQRXIBU
      DZDUEZSUFZBCUGAXHQUHZNUDZOUDZSUFZOXHUGZNXHUIZXJADCUJZXNACQDUKXTXNTAEFUMUL
      ZCDEFJIYAUNLUOZCQDUPUQZURZAXOXLSUFZBCUGZNXHUIZXSAPUDZDUEZXLSUFZBCUGZYGPCA
      YHCRZTZYIXHRZYKYGYMDUSZYHDUTZRZYNAYOYLAXTYOAXTXNYCVAZCDVBVFVCAYLYQACYPYHA
      YPCACQDYBVDVEVGVHYHDVIVJYFYKNYIXHXOYIVKYEYJBCBXOYIBYHDGBYHVLVMVNXOYIXLSVO
      VPVQVRAPBDEFCPDVLGPCVLBCVLZIJKLMVSVTAYFXRNXHAYFXRAYFTZXQOXHYTOWAYTXPXHRZX
      QYTUUATZXLXPVKZBCUIZXQUUBUUAUUDYTUUAWBUUBXTUUAUUDWCAXTYFUUAYRWDBCXPDYSBXP
      VLGWEVFWFUUBUUCXQBCYTUUABAYFBHYEBCWGWHBOXHBDGWIWJWHXQBWAYFXKCRZUUCXQWKZWK
      AUUAYFUUEUUFYFUUETYEUUCXQYEBCWLXLXPXOSWMWNWOWPWQXAWOWRWOWSXAZNOXHWTVJZAXH
      QXIYDUUHXBAXMBCHAUUEXMAUUETXNXSXLXHRXMAXNUUEYDVCAXSUUEUUGVCACXHXKDAXTCXHD
      UKYRCDXCUQXDNOXLXHXEXFWOWRXG $.
  $}

  ${
    $d f i T $.  $d f A $.  $d f G $.  $d f i ph $.  $d h i t T $.  $d h A $.
    $d h t G $.  $d h Z $.  $d i s t M $.  $d i s S $.  $d s t G $.  $d s P $.
    $d s t T $.  $d s ph $.
    stoweidlem30.1 $e |- Q = { h e. A | ( ( h ` Z ) = 0 /\
          A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) ) } $.
    stoweidlem30.2 $e |- P = ( t e. T |->
         ( ( 1 / M ) x. sum_ i e. ( 1 ... M ) ( ( G ` i ) ` t ) ) ) $.
    stoweidlem30.3 $e |- ( ph -> M e. NN ) $.
    stoweidlem30.4 $e |- ( ph -> G : ( 1 ... M ) --> Q ) $.
    stoweidlem30.5 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    $( This lemma is used to prove the existence of a function p as in Lemma 1
       [BrosowskiDeutsh] p. 90: p is in the subalgebra, such that 0 <= p <= 1,
       p__(t_0) = 0, and p > 0 on T - U. Z is used for t_0, P is used for p,
       ` ( G `` i ) ` is used for p__(t_i).  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stoweidlem30 $p |- ( ( ph /\ S e. T ) -> ( P ` S ) = ( ( 1 / M ) x.
          sum_ i e. ( 1 ... M ) ( ( G ` i ) ` S ) ) ) $=
      ( wcel cfv vs c1 cdiv co cfz cv csu cmul wceq wa wi eleq1 fveq2 sumeq2sdv
      anbi2d oveq2d eqeq12d imbi12d cr simpr nnrecred adantr fzfid stoweidlem15
      cc0 cle wbr simp1d an32s fsumrecl remulcld fvmptd3 vtoclg anabsi7 ) AFGSZ
      FDTZUBLUCUDZUBLUEUDZFJUFZKTZTZJUGZUHUDZUIZAUAUFZGSZUJZWEDTZVQVRWEVTTZJUGZ
      UHUDZUIZUKAVOUJZWDUKUAFGWEFUIZWGWMWLWDWNWFVOAWEFGULUOWNWHVPWKWCWEFDUMWNWJ
      WBVQUHWNVRWIWAJWEFVTUMUNUPUQURWGBWEVQVRBUFZVTTZJUGZUHUDWKGDUSOWOWEUIZWQWJ
      VQUHWRVRWPWIJWOWEVTUMUNUPAWFUTWGVQWJAVQUSSWFALPVAVBWGVRWIJWGUBLVCAVSVRSZW
      FWIUSSZAWSUJWFUJWTVEWIVFVGWIUBVFVGABCEWEGHIKVSLMNQRVDVHVIVJVKVLVMVN $.
  $}

  ${
    $d b h i l t v w $.  $d b u w $.  $d b h l t z $.  $d b i l G $.
    $d b l w Y $.  $d b i l ph $.  $d e h t w A $.  $d e h t w E $.
    $d e h t w M $.  $d e h w T $.  $d e h w U $.  $d h t w R $.
    $d i l t v x $.  $d i l t w M $.  $d l x B $.  $d l t w E $.  $d u G $.
    $d u w R $.  $d x E $.  $d x G $.  $d x M $.  $d x Y $.  $d z Y $.
    stoweidlem31.1 $e |- F/ h ph $.
    stoweidlem31.2 $e |- F/ t ph $.
    stoweidlem31.3 $e |- F/ w ph $.
    stoweidlem31.4 $e |- Y = { h e. A | A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t
                          ) <_ 1 ) } $.
    stoweidlem31.5 $e |- V = { w e. J | A. e e. RR+ E. h e. A ( A. t e. T ( 0
          <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) /\ A. t e. w ( h ` t )
          < e /\ A. t e. ( T \ U ) ( 1 - e ) < ( h ` t ) ) } $.
    stoweidlem31.6 $e |- G = ( w e. R |-> { h e. A | ( A. t e. T ( 0 <_ ( h `
          t ) /\ ( h ` t ) <_ 1 ) /\ A. t e. w ( h ` t ) < ( E /
      M ) /\ A. t e. ( T \ U ) ( 1 - ( E / M ) ) < ( h ` t )
      ) } ) $.
    stoweidlem31.7 $e |- ( ph -> R C_ V ) $.
    stoweidlem31.8 $e |- ( ph -> M e. NN ) $.
    stoweidlem31.9 $e |- ( ph -> v : ( 1 ... M ) -1-1-onto-> R ) $.
    stoweidlem31.10 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem31.11 $e |- ( ph -> B C_ ( T \ U ) ) $.
    stoweidlem31.12 $e |- ( ph -> V e. _V ) $.
    stoweidlem31.13 $e |- ( ph -> A e. _V ) $.
    stoweidlem31.14 $e |- ( ph -> ran G e. Fin ) $.
    $( This lemma is used to prove that there exists a function x as in the
       proof of Lemma 2 in [BrosowskiDeutsh] p. 91: assuming that ` R ` is a
       finite subset of ` V ` , ` x ` indexes a finite set of functions in the
       subalgebra (of the Stone Weierstrass theorem), such that for all ` i `
       ranging in the finite indexing set, 0 &le; x_i &le; 1, x_i < &epsilon; /
       m on V(t_i), and x_i > 1 - &epsilon; / m on ` B ` .  Here M is used to
       represent m in the paper, ` E ` is used to represent &epsilon; in the
       paper, v_i is used to represent V(t_i).  (Contributed by Glauco
       Siliprandi, 20-Apr-2017.) $)
    stoweidlem31 $p |- ( ph -> E. x ( x : ( 1 ... M ) --> Y /\ A. i e.
          ( 1 ... M ) ( A. t e. ( v ` i ) ( ( x ` i ) ` t ) < ( E / M ) /\
      A. t e. B ( 1 - ( E / M ) ) < ( ( x ` i ) ` t ) ) ) ) $=
      ( vl vb vu vz cv crn wfn c0 wne cfv wcel wi wral wa c1 cfz co wf clt cmin
      wbr wex syl ccom cvv vex cc0 cle w3a crab coexg adantr nfcv nfrab1 nfcxfr
      wss nfmpt nfrn nffn nfv nfralw nfan wrex wceq fvelrnb nfra1 simp3 simplrr
      wb 3simpc simpr rabexg ralrimi nffv fveq2 nfcri syl2anc crp sylib ralbidv
      nfeq breq1d sylibr 3exp rexlimd mpd sylc jca fveq1 breq2d 3anbi123d elrab
      anbi12d simprbi sylanbrc syl3anc ex eleq1 fco fvco3 sylan ffvelrnda nf3an
      nfco nfbr ralbid syl6bi cdiv cfn fnchoice cdif cmpt ssexd mptexg eqeltrid
      sylancl sylancr simprl biimpa simp1ll 3ad2ant1 simp2 fnmpt nfmpt1 cbvrexw
      a1d eqeq1d bitrdi mpbid fvmpt2 sselda rabeq2i simprd nnrpd rpdivcld breq2
      oveq2 3anbi23d rexbidv rspccva nfne ne0i eqnetrd 3adant3 eqnetrrd 3adant2
      rabid 3adant1r elrnmpt ax-mp simp1r simpl eleqtrd elrabi simp1d eleqtrrdi
      rspa eqeltrrd reximdai idd a1i dfss3 cbvralw bitri df-f dffn3 wf1o simpll
      f1of nfim 3anbi3d id eleq12d imbi12d vtoclg1f mpcom eqeltrd raleq 3anbi2d
      rabbidv fvmptd3 eqtrd eleq2d nfrabw elrabf simp2d ad3antrrr sseldd simp3d
      adantlr r19.21bi syldan ralrimiva feq1 fveq1d spcegv exlimddv ) AUNURZOUS
      ZUTZUOURZVAVBZUYNUYKVCZUYNVDZVEZUOUYLVFZVGZVHQVIVJZSBURZVKZEURZMURZVUBVCZ
      VCZNQUUAVJZVLVNZEVUEDURZVCZVFZVHVUHVMVJZVUGVLVNZEGVFZVGZMVUAVFZVGZBVOZUNA
      UYLUUBVDUYTUNVOUMUOUYLUNUUCVPAUYTVGZUYKOVUJVQZVQZVRVDZVUASVVBVKZVUDVUEVVB
      VCZVCZVUHVLVNZEVUKVFZVUMVVFVLVNZEGVFZVGZMVUAVFZVGZVUSAVVCUYTAUYKVRVDVVAVR
      VDZVVCUNVSAOVRVDVUJVRVDVVNAOCHVTVUDLURZVCZWAVNZVVPVHWAVNZVGZEIVFZVVPVUHVL
      VNZECURZVFZVUMVVPVLVNZEIJUUDZVFZWBZLFWCZUUEZVRUEAHVRVDVWIVRVDAHRVRUKUFUUF
      CHVWHVRUUGVPUUHDVSOVUJVRVRWDUUIUYKVVAVRVRWDUUJWEVUTVVDVVLVUTUYLSUYKVKZVUA
      UYLVVAVKZVVDVUTUYMUYKUSZSWIZVWJAUYMUYSUUKZVUTVVOSVDZLVWLVFZVWMVUTVWOLVWLA
      UYTLTUYMUYSLLUYLUYKLUYKWFZLOLOVWIUELCHVWHLHWFVWGLFWGZWJWHZWKZWLUYRLUOUYLV
      WTUYRLWMWNWOWOVUTVVOVWLVDZVWOVUTVXAVGZVWOUOUYLWPZVWOVXBUYPVVOWQZUOUYLWPZV
      XCVUTVXAVXEVUTUYMVXAVXEXBVWNUOUYLVVOUYKWRVPUULVXBVXDVWOUOUYLVUTVXAUOAUYTU
      OAUOWMZUYMUYSUOUYMUOWMUYRUOUYLWSZWOWOVXAUOWMWOZVXBUYNUYLVDZVXDVWOVXBVXIVX
      DWBZUYPVVOSVXBVXIVXDWTVXJAUYSVXIUYPSVDZAUYTVXAVXIVXDUUMVXBVXIUYSVXDAUYMUY
      SVXAXAUUNVXBVXIVXDUUOAUYSVXIWBZVXIUYQVGZUYNVWHWQZCHWPZVXKVXLVXIUYQAUYSVXI
      WTZVXLUYSVXIVGUYOUYQAUYSVXIXCAVXIUYOUYSAVXIVGZVWBOVCZUYNWQZCHWPZUYOVXQVXI
      VXTAVXIXDVXQOHUTZVXIVXTXBAVYAVXIAVWHVRVDZCHVFVYAAVYBCHUBAVYBVWBHVDZAFVRVD
      ZVYBULVWGLFVRXEZVPUUSXFCHVWHOVRUEUUPVPZWEVYAVXIUPURZOVCZUYNWQZUPHWPVXTUPH
      UYNOWRVYIVXSUPCHCVYHUYNCVYGOCOVWIUECHVWHUUQWHZCVYGWFXGCUYNWFXNVXSUPWMVYGV
      WBWQVYHVXRUYNVYGVWBOXHUUTUURUVAVPUVBVXQVXSUYOCHAVXICUBCUOUYLCOVYJWKXIZWOU
      YOCWMVXQVYCVXSUYOAVYCVXSUYOVXIAVYCVXSWBVXRUYNVAAVYCVXSWTAVYCVXRVAVBVXSAVY
      CVGZVXRVWHVAVYLVYCVYBVXRVWHWQAVYCXDVYLVYDVYBAVYDVYCULWEVYEVPCHVWHVROUEUVC
      XJVYLVWGLFWPZVWHVAVBZVYLVVTVVPKURZVLVNZEVWBVFZVHVYOVMVJZVVPVLVNZEVWEVFZWB
      ZLFWPZKXKVFZVUHXKVDZVYMVYLVWBPVDZWUCVYLVWBRVDWUEWUCVGAHRVWBUFUVDWUCCRPUDU
      VEXLUVFAWUDVYCANQUIAQUGUVGUVHWEWUBVYMKVUHXKVYOVUHWQZWUAVWGLFWUFVYQVWCVYTV
      WFVVTWUFVYPVWAEVWBVYOVUHVVPVLUVIXMWUFVYSVWDEVWEWUFVYRVUMVVPVLVYOVUHVHVMUV
      JXOXMUVKUVLUVMXJVYLVWGVYNLFAVYCLTVYCLWMWOLVWHVAVWRLVAWFUVNVYLVVOFVDZVWGVY
      NVYLWUGVWGWBZVVOVWHVDZVYNWUHWUGVWGVGWUIVYLWUGVWGXCVWGLFUVTXPVWHVVOUVOVPXQ
      XRXSUVPUVQUVRUWAXQXRXSUVSUYRUOUYLUWJXTZYAVXLVXIVXOVXPUYNVRVDVXIVXOXBUOVSC
      HVWHUYNOVRUEUWBUWCXLVXMVXNVXKCHVXIUYQCVYKUYQCWMWOVXKCWMVXMVYCVXNVXKVXMVYC
      VXNWBUYQVXNVXKVXIUYQVYCVXNUWDVXMVYCVXNWTUYQVXNVGZUYPVVTLFWCZSWUKUYPVWHVDZ
      UYPWULVDZWUKUYPUYNVWHUYQVXNUWEUYQVXNXDUWFWUMUYPFVDZVTVUDUYPVCZWAVNZWUPVHW
      AVNZVGZEIVFZWUNVWGLUYPFUWGWUMWUTWUPVUHVLVNZEVWBVFZVUMWUPVLVNZEVWEVFZWUMWU
      OWUTWVBWVDWBZVWGWVELUYPFVVOUYPWQZVVTWUTVWCWVBVWFWVDWVFVVSWUSEIWVFVVQWUQVV
      RWURWVFVVPWUPVTWAVUDVVOUYPYBZYCWVFVVPWUPVHWAWVGXOYFXMZWVFVWAWVAEVWBWVFVVP
      WUPVUHVLWVGXOXMWVFVWDWVCEVWEWVFVVPWUPVUMVLWVGYCXMYDYEYGUWHVVTWUTLUYPFWVHY
      EYHVPUCUWIXJXQXRXTYIUWKXQUWLXSVXBVWOVWOUOUYLVXHVWOUOWMVXIVWOVWOVEVEVXBVXI
      VWOUWMUWNXRXSYJXFVWMUQURZSVDZUQVWLVFVWPUQVWLSUWOWVJVWOUQLVWLLUQSLSWULUCVV
      TLFWGWHXIVWOUQWMWVIVVOSYKUWPUWQXPUYLSUYKUWRYHVUTHUYLOVKZVUAHVUJVKZVWKAWVK
      UYTAVYAWVKVYFHOUWSXLWEAWVLUYTAVUAHVUJUWTWVLUHVUAHVUJUXBVPZWEVUAHUYLOVUJYL
      XJZVUAUYLSUYKVVAYLXJVUTVVKMVUAVUTVUEVUAVDZVGZVVHVVJWVPVVEVUEVVAVCZVDZVVHW
      VPVVEWVQUYKVCZWVQVUTVWKWVOVVEWVSWQWVNVUAUYLVUEUYKVVAYMYNWVPAUYSWVQUYLVDZW
      VSWVQVDZAUYTWVOUXAAUYMUYSWVOXAVUTVUAUYLVUEVVAWVNYOWVTAUYSWVTWBZWWAAUYSWVT
      WTVXLUYQVEWWBWWAVEUOWVQUYLWWBWWAUOAUYSWVTUOVXFVXGWVTUOWMYPWWAUOWMUXCUYNWV
      QWQZVXLWWBUYQWWAWWCVXIWVTAUYSUYNWVQUYLYKUXDWWCUYPWVSUYNWVQUYNWVQUYKXHWWCU
      XEUXFUXGWUJUXHUXIYIUXJZWVPWVRVVEVVTVWAEVUKVFZVWFWBZLFWCZVDZVVHWVPWVQWWGVV
      EAWVOWVQWWGWQUYTAWVOVGZWVQVUKOVCZWWGAWVLWVOWVQWWJWQWVMVUAHVUEOVUJYMYNWWIC
      VUKVWHWWGHOVRUEVWBVUKWQZVWGWWFLFWWKVWCWWEVVTVWFVWAEVWBVUKUXKUXLUXMAVUAHVU
      EVUJWVMYOWWIVYDWWGVRVDAVYDWVOULWEWWFLFVRXEVPUXNUXOUYCUXPZWWHVTVVFWAVNZVVF
      VHWAVNZVGZEIVFZVVHVVIEVWEVFZWWHVVEFVDWWPVVHWWQWBZWWFWWRLVVEFLVUEVVBLUYKVV
      AVWQLOVUJVWSLVUJWFYQYQLVUEWFXGZLFWFWWPVVHWWQLWWOLEILIWFWWMWWNLLVTVVFWALVT
      WFLWAWFZLVUDVVEWWSLVUDWFXGZYRLVVFVHWAWXAWWTLVHWFYRWOWNVVGLEVUKLVUKWFLVVFV
      UHVLWXALVLWFZLVUHWFYRWNVVILEVWELVWEWFLVUMVVFVLLVUMWFWXBWXAYRWNYPVVOVVEWQZ
      VVTWWPWWEVVHVWFWWQWXCVVSWWOEIEVVOVVEEVVOWFEVUEVVBEUYKVVAEUYKWFZEOVUJEOVWI
      UEECHVWHEHWFVWGELFVVTVWCVWFEVVSEIWSVWAEVWBWSVWDEVWEWSYPEFWFUXQWJWHZEVUJWF
      YQYQZEVUEWFXGXNZWXCVVQWWMVVRWWNWXCVVPVVFVTWAVUDVVOVVEYBZYCWXCVVPVVFVHWAWX
      HXOYFYSWXCVWAVVGEVUKWXGWXCVVPVVFVUHVLWXHXOYSWXCVWDVVIEVWEWXGWXCVVPVVFVUMV
      LWXHYCYSYDUXRYGZUXSYTXSWVPVVIEGVUTWVOEAUYTEUAUYMUYSEEUYLUYKWXDEOWXEWKZWLU
      YREUOUYLWXJUYREWMWNWOWOWVOEWMWOWVPVUDGVDZVVIWVPWXKVUDVWEVDVVIWVPWXKVGGVWE
      VUDAGVWEWIUYTWVOWXKUJUXTWVPWXKXDUYAWVPVVIEVWEWVPWVRWWQWWDWVPWVRWWHWWQWWLW
      WHWWPVVHWWQWXIUYBYTXSUYDUYEYJXFYAUYFYAVURVVMBVVBVRVUBVVBWQZVUCVVDVUQVVLVU
      ASVUBVVBUYGWXLVUPVVKMVUAWXLVULVVHVUOVVJWXLVUIVVGEVUKEVUBVVBEVUBWFWXFXNZWX
      LVUGVVFVUHVLWXLVUDVUFVVEVUEVUBVVBYBUYHZXOYSWXLVUNVVIEGWXMWXLVUGVVFVUMVLWX
      NYCYSYFXMYFUYIXTUYJ $.
  $}

  ${
    $d f g i t G $.  $d f g A $.  $d f g F $.  $d f g i t T $.  $d f g i ph $.
    $d g H $.  $d i s t G $.  $d i s t M $.  $d s t T $.  $d s t Y $.
    $d s ph $.  $d t x T $.  $d x A $.  $d x Y $.  $d x ph $.
    stoweidlem32.1 $e |- F/ t ph $.
    stoweidlem32.2 $e |- P = ( t e. T |->
          ( Y x. sum_ i e. ( 1 ... M ) ( ( G ` i ) ` t ) ) ) $.
    stoweidlem32.3 $e |- F = ( t e. T |->
          sum_ i e. ( 1 ... M ) ( ( G ` i ) ` t ) ) $.
    stoweidlem32.4 $e |- H = ( t e. T |-> Y ) $.
    stoweidlem32.5 $e |- ( ph -> M e. NN ) $.
    stoweidlem32.6 $e |- ( ph -> Y e. RR ) $.
    stoweidlem32.7 $e |- ( ph -> G : ( 1 ... M ) --> A ) $.
    stoweidlem32.8 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem32.9 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem32.10 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweidlem32.11 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    $( If a set A of real functions from a common domain T is a subalgebra and
       it contains constants, then it is closed under the sum of a finite
       number of functions, indexed by G and finally scaled by a real Y.
       (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem32 $p |- ( ph -> P e. A ) $=
      ( vs cv cfv cmul co cmpt c1 cfz csu wcel wa cr wceq fveq2 sumeq2sdv eqtri
      cbvmptv simpr fzfid wf simpl ffvelrnda wi eleq1 anbi2d imbi12d vtoclg syl
      feq1 mp2and adantlr simplr ffvelrnd fsumrecl fvmptd3 eqeltrd recnd eqtr4i
      eqidd adantr mulcomd oveq12d eqtr2d syl5eq stoweidlem20 stoweidlem4 mpdan
      mpteq2da eqeltrid nfmpt1 nfcxfr nfeq2 stoweidlem6 mpd3an23 ) AECFCUGZJUHZ
      WTLUHZUIUJZUKZDAECFNULMUMUJZWTIUGZKUHZUHZIUNZUIUJZUKXDPACFXJXCOAWTFUOZUPZ
      XCXBXAUIUJXJXLXAXBXLXAXLXAXIUQXLUFWTXEUFUGZXGUHZIUNZXIFJUQJCFXIUKZUFFXOUK
      QCUFFXIXOWTXMURXEXHXNIWTXMXGUSUTVBVAXMWTURZXEXNXHIXMWTXGUSUTAXKVCZXLXEXHI
      XLULMVDXLXFXEUOZUPFUQWTXGAXSFUQXGVEZXKAXSUPZAXGDUOZXTAXSVFAXEDXFKUAVGZYAY
      BAYBUPZXTVHZYCAGUGZDUOZUPZFUQYFVEZVHYEGXGDYFXGURZYHYDYIXTYJYGYBAYFXGDVIVJ
      FUQYFXGVNVKUEVLVMVOVPAXKXSVQVRVSZVTZYKWAWBXLXBXLXBNUQXLUFWTNNFLUQLCFNUKZU
      FFNUKRUFCFNNXQNWDZVBWCYNXRANUQUOZXKTWEZVTZYPWAWBWFXLXBNXAXIUIYQYLWGWHWMWI
      AJDUOLDUOXDDUOACDFGHIJKMOQSUAUBUEWJALYMDRAYOYMDUOTABCDNFUDWKWLWNACDFGHJLC
      YFJCJXPQCFXIWOWPWQCHUGLCLYMRCFNWOWPWQUCWRWSWA $.
  $}

  ${
    $d f g t A $.  $d f g F $.  $d f g G $.  $d f g t T $.  $d f g ph $.
    $d t x A $.  $d x T $.  $d x ph $.
    stoweidlem33.1 $e |- F/_ t F $.
    stoweidlem33.2 $e |- F/_ t G $.
    stoweidlem33.3 $e |- F/ t ph $.
    stoweidlem33.4 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    stoweidlem33.5 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem33.6 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem33.7 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    $( If a set of real functions from a common domain is closed under
       addition, multiplication and it contains constants, then it is closed
       under subtraction.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem33 $p |- ( ( ph /\ F e. A /\ G e. A ) ->
          ( t e. T |-> ( ( F ` t ) - ( G ` t ) ) ) e. A ) $=
      ( cfv co cmpt eqid cv cmin c1 cneg cmul stoweidlem22 ) ABCDEFGHICECUAZHQU
      GIQZUBRSZCEUCUDSZCEUGUJQUHUERSZLJKUITUJTUKTMNOPUF $.
  $}

  ${
    $d i j k t E $.  $d i j l s t E $.  $d i l s D $.  $d i k J $.
    $d i j k t N $.  $d i j k t T $.  $d i k ph $.  $d j k F $.
    $d j l s t X $.  $d l s J $.  $d l s t N $.  $d l s t T $.  $d l s ph $.
    $d x N $.
    stoweidlem34.1 $e |- F/_ t F $.
    stoweidlem34.2 $e |- F/ j ph $.
    stoweidlem34.3 $e |- F/ t ph $.
    stoweidlem34.4 $e |- D = ( j e. ( 0 ... N ) |->
          { t e. T | ( F ` t ) <_ ( ( j - ( 1 / 3 ) ) x. E ) } ) $.
    stoweidlem34.5 $e |- B = ( j e. ( 0 ... N ) |->
         { t e. T | ( ( j + ( 1 / 3 ) ) x. E ) <_ ( F ` t ) } ) $.
    stoweidlem34.6 $e |- J = ( t e. T |->
          { j e. ( 1 ... N ) | t e. ( D ` j ) } ) $.
    stoweidlem34.7 $e |- ( ph -> N e. NN ) $.
    stoweidlem34.8 $e |- ( ph -> T e. _V ) $.
    stoweidlem34.9 $e |- ( ph -> F : T --> RR ) $.
    stoweidlem34.10 $e |- ( ( ph /\ t e. T ) -> 0 <_ ( F ` t ) ) $.
    stoweidlem34.11 $e |- ( ( ph /\ t e. T ) ->
          ( F ` t ) < ( ( N - 1 ) x. E ) ) $.
    stoweidlem34.12 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem34.13 $e |- ( ph -> E < ( 1 / 3 ) ) $.
    stoweidlem34.14 $e |- ( ( ph /\ j e. ( 0 ... N ) ) ->
          ( X ` j ) : T --> RR ) $.
    stoweidlem34.15 $e |- ( ( ph /\ j e. ( 0 ... N ) /\ t e. T ) ->
          0 <_ ( ( X ` j ) ` t ) ) $.
    stoweidlem34.16 $e |- ( ( ph /\ j e. ( 0 ... N ) /\ t e. T ) ->
          ( ( X ` j ) ` t ) <_ 1 ) $.
    stoweidlem34.17 $e |- ( ( ph /\ j e. ( 0 ... N ) /\
          t e. ( D ` j ) ) -> ( ( X ` j ) ` t ) < ( E / N ) ) $.
    stoweidlem34.18 $e |- ( ( ph /\ j e. ( 0 ... N ) /\ t e. ( B ` j ) ) ->
          ( 1 - ( E / N ) ) < ( ( X ` j ) ` t ) ) $.
    $( This lemma proves that for all ` t ` in ` T ` there is a ` j ` as in the
       proof of [BrosowskiDeutsh] p. 91 (at the bottom of page 91 and at the
       top of page 92):  (j-4/3) * &epsilon; < f(t) <= (j-1/3) * &epsilon; ,
       g(t) < (j+1/3) * &epsilon;, and g(t) > (j-4/3) * &epsilon;.  Here ` E `
       is used to represent &epsilon; in the paper.  (Contributed by Glauco
       Siliprandi, 20-Apr-2017.) $)
    stoweidlem34 $p |- ( ph -> A. t e. T E. j e. RR
          ( ( ( ( j - ( 4 / 3 ) ) x. E ) < ( F ` t ) /\
          ( F ` t ) <_ ( ( j - ( 1 / 3 ) ) x. E ) ) /\
          ( ( ( t e. T |-> sum_ i e. ( 0 ... N )
          ( E x. ( ( X ` i ) ` t ) ) ) ` t ) < ( ( j + ( 1 / 3 ) ) x. E ) /\
          ( ( j - ( 4 / 3 ) ) x. E ) < ( ( t e. T |->
          sum_ i e. ( 0 ... N ) ( E x. ( ( X ` i ) ` t ) ) ) ` t ) ) ) ) $=
      ( vk vl vs cv c4 c3 cdiv co cmin cmul cfv clt wbr c1 cle wa cc0 cfz caddc
      cmpt cr wrex wcel wss crab cvv wceq simpr wex w3a adantr eleqtrdi syl 3re
      cn c0 3ne0 a1i simprd wb resubcld mpbid jca wi remulcld syl3anc mpd rabid
      sylanbrc oveq1d breq2d rabbidv rabexg fvmptd3 eleqtrrd nfcv nfmpt1 nfcxfr
      oveq1 nffv nfcri fveq2 eleq2d nfv weq sylib syl2anc nfan biimpa wn sylibr
      ex simplll oveq2d cz elfzelz adantl ax-1cn oveq1i adantrr simprr syl21anc
      0red 3cn anbi2d ad2antrr nfim eleq1w imbi12d chvarfv vx ovex rabex fvmpt2
      csu sylancl ssrab2 eqsstrdi elfznn ssriv sstrdi nnssre cdif wral wne nnuz
      cuz eluzfz2 rereccli 1red nnred 1lt3 pm3.2i recgt1i ltsub2dd rpred rpgt0d
      mp1i ltmul1 syl112anc ffvelrnda lttr ltle 3adant2 syld nnnn0 nn0uz elrabf
      cn0 3syl ne0i nnwo nfrab1 nfmpt nfralw breq1 ralbidv cbvrexfw simp1l noel
      simp3 1m1e0 eqtrdi wal cneg redivcld renegcld 3pos recgt0ii lt0neg2 ax-mp
      fveq2d mpbi mpbii mul02lem2 breqtrd ltletrd ltnled sylnibr df-neg eqtr4di
      mpbir nnnn0d elnn0uz eluzfz1 neleqtrrd alrimi eq0f sylan9eqr mtbiri con2d
      nan sylc bitrdi simprbda elfzp12 adantlr orcanai fzssp1 nncnd 1cnd npcand
      wo sseqtrid 1z zaddcl mp2an nnzd fzsubel syl22anc pncan3oi sseldd 3adant3
      1zzd elrab3 mpbird cbvrabw eleqtrrdi 3ad2ant1 peano2rem ltm1 ltnle ancoms
      zre syl2anc2 breq2 notbid rspcev rexnal 3expia imp eldifd reximdai df-rex
      exp31 simprl eldifn simplr simpll cbvmptv eleqtrd recn cc 3pm3.2i redivcl
      eqtri 1re subsub4d divdiri 3p1e4 dividi 3eqtr3i eqtr4d syl5bb mtbid imnan
      mp2b sylanr2 cxr remulcl rexrd xrltnle simpl eldifad fz1ssfz0 sseli feq1d
      4re ad4ant14 simpllr nf3an 3anbi2d fveq1d breq1d 0zd elfzel2 elfzel1 zred
      0le1 elfzle1 letrd elfzle2 elfzd adantlrr simplrl simplrr simpl1 sylancom
      wf simpl1l simpl3 simpl2 lesub1dd rpregt0d lemul1 3ad2ant3 3impa syl31anc
      3jca elfz2 3anbi23d crp stoweidlem11 difeq12d anbi12d nfdif nfrabw fvmptf
      mpan2 simpld ad2ant2lr simp1ll syld3an1 stoweidlem26 vtoclg pm2.43i eximd
      ad2antlr ad2antrl 3anass exbii ssrexf ralrimi ) AGUNZUOUPUQURZUSURZHUTURZ
      BUNZIVAZVBVCZWUSWUNVDUPUQURZUSURZHUTURZVEVCZVFZWURBEVGKVHURZHWURFUNZLVAZV
      AZUTURFUUEVJZVAZWUNWVAVIURHUTURZVBVCZWUQWVKVBVCZVFZVFZGVKVLZBEOAWUREVMZWV
      QAWVRVFZWURJVAZVKVNWVPGWVTVLZWVQWVSWVTWEVKWVSWVTVDKVHURZWEWVSWVTWURWUNDVA
      ZVMZGWWBVOZWWBWVSWVRWWEVPVMWVTWWEVQZAWVRVRZWWDGWWBVDKVHUUBZUUCBEWWEVPJRUU
      DUUFZWWDGWWBUUGUUHUUAWWBWEUUAUNKUUIUUJUUKZUULUUKWVSWUNWVTVMZWVPVFZGVSZWWA
      WVSWWKWVEWVOVTZGVSZWWMWVSWWKWURWWCWUNVDUSURZDVAZUUMZVMZVFZGVSZWWOWVSWWSGW
      VTVLZWXAWVSWUNUKUNZVEVCZUKWVTUUNZGWVTVLZWXBWVSWVTWEVNZWVTWFUUOZWXFWWJWVSK
      WVTVMWXHWVSKWWEWVTWVSKWWBVMZWURKDVAZVMZKWWEVMWVSKVDUUQVAZVMZWXIWVSKWEWXLA
      KWEVMZWVRSWAZUUPWBVDKUURWCWVSWURWUSKWVAUSURZHUTURZVEVCZBEVOZWXJWVSWVRWXRW
      URWXSVMWWGWVSWUSKVDUSURZHUTURZVBVCZWYAWXQVBVCZVFZWXRWVSWYBWYCUCWVSWXTWXPV
      BVCZWYCWVSWVAVDKWVAVKVMZWVSUPWDWGUUSZWHZWVSUUTZWVSKWXOUVAZUPVKVMZVDUPVBVC
      ZVFZWVAVDVBVCZWVSWYKWYLWDUVBUVCWYMVGWVAVBVCZWYNUPUVDWIUVHUVEWVSWXTVKVMWXP
      VKVMHVKVMZVGHVBVCZWYEWYCWJWVSKVDWYJWYIWKZWVSKWVAWYJWYHWKZAWYPWVRAHUDUVFZW
      AZAWYQWVRAHUDUVGWAZWXTWXPHUVIUVJWLWMWVSWUSVKVMZWYAVKVMZWXQVKVMZWYDWXRWNAE
      VKWURIUAUVKZWVSWXTHWYRXUAWOWVSWXPHWYSXUAWOXUCXUDXUEVTWYDWUSWXQVBVCZWXRWUS
      WYAWXQUVLXUCXUEXUGWXRWNXUDWUSWXQUVMUVNUVOWPWQWXRBEWRWSAWXJWXSVQWVRAGKWVDB
      EVOZWXSWVFDVPPWUNKVQZWVDWXRBEXUIWVCWXQWUSVEXUIWVBWXPHUTWUNKWVAUSXIWTXAXBA
      WXNKVGUUQVAZVMZKWVFVMSWXNKUVSXUJKUVPUVQWBVGKUURUVTAEVPVMZWXSVPVMTWXRBEVPX
      CWCXDWAXEWWDWXKGKWWBGKXFZGWWBXFZGBWXJGKDGDGWVFXUHVJZPGWVFXUHXGXHZXUMXJXKX
      UIWWCWXJWURWUNKDXLXMUVRWSWWIXEWVTKUWAWCWXGWXHVFWVGWXCVEVCZUKWVTUUNZFWVTVL
      WXFFUKWVTUWBXURWXEFGWVTFWVTXFGWURJGJBEWWEVJZRGBEWWEGEXFWWDGWWBUWCUWDXHZGW
      URXFXJZXUQGUKWVTXVAXUQGXNUWEWXEFXNFGXOXUQWXDUKWVTWVGWUNWXCVEUWFUWGUWHXPXQ
      WVSWXEWWSGWVTAWVRGNWVRGXNZXRZWVSWWKWXEWWSWVSWWKVFZWXEVFWURWWCWWQXVDWWDWXE
      XVDWUNWWBVMZWWDXVDWUNWWEVMZXVEWWDVFZWVSWWKXVFWVSWVTWWEWUNWWIXMZXSWWDGWWBW
      RZXPWIWAXVDWXEWURWWQVMZXTZXVDXVJWXEWVSWWKXVJWXEXTZWVSWWKXVJVTZWXDXTZUKWVT
      VLZXVLXVMWWPWVTVMWUNWWPVEVCZXTZXVOXVMWWPWWEWVTXVMWWPWURWVGDVAZVMZFWWBVOZW
      WEXVMWWPXVTVMZXVJWVSWWKXVJUWKZXVMWWPWWBVMZXWAXVJWJXVMWUNVDVQZXTZXWCXVMAXV
      JXWEAWVRWWKXVJUWIXWBAXWDXVJAXWDXVKAXWDVFZXVJWURWFVMWURUWJXWFWWQWFWURXWDAW
      WQVGDVAZWFXWDWWPVGDXWDWWPVDVDUSURZVGWUNVDVDUSXIUWLUWMUXBAWURXWGVMXTZBUWNX
      WGWFVQAXWIBOAXWGWUSWVAUWOZHUTURZVEVCZBEVOZWURAWVRXWLVFZWURXWMVMAXWNXTWNWV
      SXWLXTZWNWVSXWKWUSVBVCXWOWVSXWKVGWUSWVSXWJHWVSWVAWVSVDUPWYIWYKWVSWDWHUPVG
      UUOZWVSWGWHUWPUWQZXUAWOZWVSYMZXUFWVSXWKVGHUTURZVGVBWVSXWJVGVBVCZXWKXWTVBV
      CZWYOXXAUPWDUWRUWSWYFWYOXXAWJWYGWVAUWTUXAUXCWVSXWJVKVMVGVKVMWYPWYQXXAXXBW
      JXWQXWSXUAXUBXWJVGHUVIUVJUXDWVSWYPXWTVGVQXUAHUXEWCUXFUBUXGWVSXWKWUSXWRXUF
      UXHWLAWVRXWLUYBUXLXWLBEWRUXIAGVGXUHXWMWVFDVPPWUNVGVQZWVDXWLBEXXCWVCXWKWUS
      VEXXCWVBXWJHUTXXCWVBVGWVAUSURXWJWUNVGWVAUSXIWVAUXJUXKWTXAXBAXUKVGWVFVMAKU
      VSVMXUKAKSUXMKUXNXPVGKUXOWCAXULXWMVPVMTXWLBEVPXCWCXDUXPUXQBXWGBVGDBDXUOPB
      GWVFXUHBWVFXFWVDBEUWCUWDXHZBVGXFXJUXRYAUXSXMUXTYBUYAUYCWVSWWKXWEXWCWNXVJX
      VDXWEXWCXVDXWEVFAWUNVDVDVIURZKVHURVMZXWCAWVRWWKXWEYCXVDXWDXXFXVDXVEXWDXXF
      UYMZWVSWWKXVEWWDWVSWWKXVFXVGXVHXVIUYDUYEZAWWKXVEXXGWJZWVRAWWKVFWXMXXIAWXM
      WWKAKWEWXLSUUPWBWAWUNVDKUYFWCUYGWLUYHAXXFVFZVDWXTVHURZWWBWWPAXXKWWBVNXXFA
      VDWXTVDVIURZVHURXXKWWBVDWXTUYIAXXLKVDVHAKVDAKSUYJAUYKUYLZYDUYNWAXXJWWPXXE
      VDUSURZWXTVHURZXXKXXJXXFWWPXXOVMZAXXFVRXXJXXEYEVMZKYEVMZWUNYEVMZVDYEVMZXX
      FXXPWJXXQXXJXXTXXTXXQUYOUYOVDVDUYPUYQWHAXXRXXFAKSUYRZWAXXFXXSAWUNXXEKYFYG
      XXJVUDWUNVDXXEKUYSUYTWLXXNVDWXTVHVDVDYHYHVUAYIWBVUBXQYBVUCWQXVSXVJFWWPWWB
      WVGWWPVQXVRWWQWURWVGWWPDXLXMVUEWCVUFWWDXVSGFWWBXUNFWWBXFWWDFXNGBXVRGWVGDX
      UPGWVGXFZXJXKZGFXOZWWCXVRWURWUNWVGDXLXMZVUGVUHWVSWWKWWFXVJWWIVUIXEXVMWUNV
      KVMZWWPVKVMZXVQWVSWWKXYFXVJXVDXVEXXSXYFXXHWUNVDKYFZWUNVUNUVTZVUCWUNVUJXYF
      XYGVFWWPWUNVBVCZXVQXYFXYJXYGWUNVUKWAXYGXYFXYJXVQWJWWPWUNVULVUMWLVUOXVNXVQ
      UKWWPWVTWXCWWPVQZWXDXVPWXCWWPWUNVEVUPVUQVURXQWXDUKWVTVUSXPVUTUYAVVAVVBVVE
      VVCWQWWSGWVTVVDXPWVSWWTWWNGXVCWVSWWTWWNWVSWWTVFZWWKWVEWVOWVSWWKWWSVVFZXYL
      WUTWVDXYLWUTWUSWUQVEVCZXTZWWSWVSWWKXVKXYOWURWWCWWQVVGWVSWWKXVKVFZVFZWVRXY
      OAWVRXYPVVHXYQWVRXYNVFZXTWVRXYOWNXYQWURWUSWWPWVAUSURZHUTURZVEVCZBEVOZVMZX
      YRXYQAXVEXVKYUCXTZAWVRXYPVVIWVSWWKXVEXVKXXHYJWVSWWKXVKYKAXVEVFZXVKYUDYUEX
      VJYUCYUEWWQYUBWURYUEUKWWPWUSWXCWVAUSURZHUTURZVEVCZBEVOZYUBWVFDVPDXUOUKWVF
      YUIVJPGUKWVFXUHYUIGUKXOZWVDYUHBEYUJWVCYUGWUSVEYUJWVBYUFHUTWUNWXCWVAUSXIWT
      XAXBVVJVVPZXYKYUHYUABEXYKYUGXYTWUSVEXYKYUFXYSHUTWXCWWPWVAUSXIWTXAXBYUEVGW
      XTVHURZWVFWWPAYULWVFVNXVEAVGXXLVHURYULWVFVGWXTUYIAXXLKVGVHXXMYDUYNWAYUEWW
      PXWHWXTVHURZYULYUEXVEWWPYUMVMZAXVEVRYUEXXTXXRXXSXXTXVEYUNWJYUEVUDZAXXRXVE
      XYAWAXVEXXSAXYHYGYUOWUNVDVDKUYSUYTWLYUEXWHVGWXTVHXWHVGVQYUEUWLWHWTVVKVUBY
      UEXULYUBVPVMAXULXVETWAZYUABEVPXCWCXDXMVUQXSYLYUCWVRYUAVFXYQXYRYUABEWRXYQY
      UAXYNWVRXYQXYTWUQWUSVEXYQXYFXYTWUQVQWVSWWKXYFXVKXYIYJXYFXYSWUPHUTXYFXYSWU
      NVDWVAVIURZUSURWUPXYFWUNVDWVAWUNVVLXYFUYKWVAVVMVMZXYFVDVKVMZWYKXWPVTWYFYU
      RYUSWYKXWPVVQWDWGVVNVDUPVVOWVAVVLVWGWHVVRXYFWUOYUQWUNUSWUOYUQVQXYFUPVDVIU
      RZUPUQURUPUPUQURZWVAVIURWUOYUQUPVDUPYNYHYNWGVVSYUTUOUPUQVVTYIYVAVDWVAVIUP
      YNWGVWAYIVWBWHYDVWCWTWCXAYOVWDVWEWVRXYNVWFYAWQVWHXYLWUQVWIVMZWUSVWIVMZWUT
      XYOWJXYLWUPVKVMZWYPYVBXYLWUNWUOWVSWWKXYFWWSXYIYJXYLUOUPUOVKVMXYLVWRWHWYKX
      YLWDWHXWPXYLWGWHUWPWKAWYPWVRWWTWYTYPYVDWYPVFWUQWUPHVWJVWKXQWVSYVCWWTWVSWU
      SXUFVWKWAWUQWUSVWLXQVUFXYLWVSWWKWWDWVDWVSWWTVWMXYMXYLWURWWCWWQWVSWWKWWSYK
      VWNXVDWWDVFZWVRWVDYVEWURXUHVMZWVRWVDVFZYVEAXVEWWDYVFAWVRWWKWWDYCXVDXVEWWD
      XXHWAXVDWWDVRYUEWWDYVFYUEWWCXUHWURYUEUKWUNYUIXUHWVFDVPYUKUKGXOZYUHWVDBEYV
      HYUGWVCWUSVEYVHYUFWVBHUTWXCWUNWVAUSXIWTXAXBXVEWUNWVFVMZAWWBWVFWUNKVWOVWPY
      GYUEXULXUHVPVMYUPWVDBEVPXCWCXDZXMXSYLWVDBEWRZXPWIYLWMXYLWVMWVNXYLBEFGHKLA
      WXNWVRWWTSYPAWVRWWTVVHWVSWWKXVEWWSXXHYJAWVGWVFVMZEVKWVHVXSZWVRWWTAYVIVFZE
      VKWUNLVAZVXSZWNAYVLVFZYVMWNGFYVQYVMGAYVLGNYVLGXNZXRYVMGXNYQXYDYVNYVQYVPYV
      MXYDYVIYVLAGFWVFYRZYOXYDEVKYVOWVHWUNWVGLXLZVWQYSUFYTZVWSXYLYVLVFAYVLWVRWV
      IVDVEVCZAWVRWWTYVLYCXYLYVLVRAWVRWWTYVLVWTAYVIWVRVTZWURYVOVAZVDVEVCZWNAYVL
      WVRVTZYWBWNGFYWFYWBGAYVLWVRGNYVRXVBVXAZYWBGXNYQXYDYWCYWFYWEYWBXYDYVIYVLAW
      VRYVSVXBZXYDYWDWVIVDVEXYDWURYVOWVHYVTVXCZVXDYSUHYTWPXYLWVGWUNKVHURVMZVFZA
      YVLXVSWVIHKUQURZVBVCZAWVRWWTYWJYCWVSWWKYWJYVLWWSXVDYWJVFZWVGVGKYWNVXEYWJX
      XRXVDWVGWUNKVXFZYGYWJWVGYEVMZXVDWVGWUNKYFZYGYWNVGWUNWVGYWNYMYWJXYFXVDYWJW
      UNWVGWUNKVXGVXHZYGYWJWVGVKVMZXVDYWJWVGYWQVXHZYGXVDVGWUNVEVCYWJXVDVGVDWUNX
      VDYMXVDUUTXYIVGVDVEVCXVDVXIWHXVDXVEVDWUNVEVCXXHWUNVDKVXJWCVXKWAYWJWUNWVGV
      EVCZXVDWVGWUNKVXJZYGVXKZYWJWVGKVEVCZXVDWVGWUNKVXLYGZVXMVXNYWKWVSWWKWWDYWJ
      XVSWVSWWTYWJVVIWVSWWKWWSYWJVXOYWKWURWWCWWQWVSWWKWWSYWJVXPVWNXYLYWJVRWVSWW
      KWWDVTZYWJVFZWURWUSWVGWVAUSURZHUTURZVEVCZBEVOZXVRYXGWVRYXJWURYXKVMYXGAWVR
      WVSWWKWWDYWJVXQZWIYXGWUSWVCYXIYXGWVSXUCYXLXUFWCYXGWVBHYXGWUNWVAYWJXYFYXFY
      WRYGZWYFYXGWYGWHZWKZYXGAWYPAWVRWWKWWDYWJVXTZWYTWCWOYXFYWJAYXIVKVMYXPAYWJV
      FZYXHHYXQWVGWVAYWJYWSAYWTYGWYFYXQWYGWHWKZAWYPYWJWYTWAWOVXRYXGWVRWVDYXGYVF
      YVGYXGWURWWCXUHWVSWWKWWDYWJVYAYXGAXVEWWCXUHVQYXPYXGWVSWWKXVEYXLWVSWWKWWDY
      WJVYBZXXHXQYVJXQVVKYVKXPWIYXGWVBYXHVEVCZWVCYXIVEVCZYXGWUNWVGWVAYXMYWJYWSY
      XFYWTYGYXNYWJYXAYXFYXBYGVYCYXGWVBVKVMYXHVKVMZWYPWYQVFZYXTYYAWJYXOYXFYWJAY
      YBYXPYXRVXRYXGAYYCYXPAHUDVYDWCWVBYXHHVYEWPWLVXKYXJBEWRWSYXGAYVLXVRYXKVQYX
      PYXGWVSWWKYWJYVLYXLYXSYXFYWJVRWVSWWKYWJVTZVGYEVMZXXRYWPVTVGWVGVEVCZYXDVFZ
      YVLYYDYYEXXRYWPYYDVXEYWJWVSXXRWWKYWOVYFYWJWVSYWPWWKYWQVYFVYIWVSWWKYWJYYGY
      WNYYFYXDYXCYXEWMVYGWVGVGKVYJWSWPYVQGWVGXUHYXKWVFDVPPXYDWVDYXJBEXYDWVCYXIW
      USVEXYDWVBYXHHUTWUNWVGWVAUSXIWTXAXBAYVLVRAYXKVPVMZYVLAXULYYHTYXJBEVPXCWCW
      AXDXQXEVYHAYVIWWDVTZYWDYWLVBVCZWNAYVLXVSVTZYWMWNGFYYKYWMGAYVLXVSGNYVRXYCV
      XAYWMGXNYQXYDYYIYYKYYJYWMXYDYVIYVLWWDXVSAYVSXYEVYKXYDYWDWVIYWLVBYWIVXDYSU
      IYTWPAHVYLVMZWVRWWTUDYPAHWVAVBVCZWVRWWTUEYPVYMXYLWVNWWKXYLWVNWNZWVSWWSWVS
      ULUNZWVTVMZWURYYODVAZYYOVDUSURZDVAZUUMZVMZVFZVFZYYOWUOUSURZHUTURZWVKVBVCZ
      WNZYYNULWUNWVTULGXOZUUUCXYLUUUFWVNUUUHUUUBWWTWVSUUUHYYPWWKUUUAWWSULGWVTYR
      UUUHYYTWWRWURUUUHYYQWWCYYSWWQYYOWUNDXLUUUHYYRWWPDYYOWUNVDUSXIUXBVYNXMVYOY
      OUUUHUUUEWUQWVKVBUUUHUUUDWUPHUTYYOWUNWUOUSXIWTVXDYSUUUCUUUFWVRUUUGAUUUBAU
      MUNZEVMZVFZYYOUUUIJVAZVMZUUUIYYTVMZVFZVFZUUUEUUUIWVJVAZVBVCZWNUUUGUMWUREU
      MBXOZUUUPUUUCUUURUUUFUUUSUUUKWVSUUUOUUUBUUUSUUUJWVRAUMBEYRYOUUUSUUUMYYPUU
      UNUUUAUUUSUUULWVTYYOUUUIWURJXLXMUMBYYTYRVYOVYOUUUSUUUQWVKUUUEVBUUUIWURWVJ
      XLXAYSUUUPBCDUUUIEFGHIYYOKLMUUUKUUUOGAUUUJGNUUUJGXNXRUUUMUUUNGGULUUULGUUU
      IJXUTGUUUIXFXJXKGUMYYTGYYQYYSGYYODXUPGYYOXFZXJZGYYRDXUPGYYRXFXJVYPXKXRXRU
      UUKUUUOBAUUUJBOUUUJBXNXRUUUMUUUNBBULUUULBUUUIJBJXUSRBEWWEXGXHBUUUIXFZXJXK
      BUMYYTBYYQYYSBYYODXXDBYYOXFXJBYYRDXXDBYYRXFXJVYPXKXRXRPQAWXNUUUJUUUOSYPAX
      ULUUUJUUUOTYPUUUJUUUMYYOWWBVMZAUUUNUUUJUUUMVFZUUVCUUUIYYQVMZUUVDYYOUUUIWW
      CVMZGWWBVOZVMZUUVCUUVEVFUUUJUUUMUUVHUUUJUUULUUVGYYOUUUJUUVGVPVMUUULUUVGVQ
      UUVFGWWBWWHUUCBUUUIWWEUUVGEJVPUUVBUUVFBGWWBBUMWWCBWUNDXXDBWUNXFXJXKBWWBXF
      VYQBUMXOWWDUUVFGWWBBUMWWCYRXBRVYRVYSXMXSUUVFUUVEGYYOWWBUUUTXUNGUMYYQUUVAX
      KGULXOWWCYYQUUUIWUNYYODXLXMUVRXPVYTWUAUUUKUUUMUUUNYKAEVKIVXSUUUJUUUOUAYPA
      YYLUUUJUUUOUDYPAYYMUUUJUUUOUEYPAYVLYVMUUUJUUUOYWAVWSAYVLUUUPWVRVGWVIVEVCZ
      AUUUJUUUOYVLWVRWUBYWCVGYWDVEVCZWNYWFUUVIWNGFYWFUUVIGYWGUUVIGXNYQXYDYWCYWF
      UUVJUUVIYWHXYDYWDWVIVGVEYWIXAYSUGYTWUCAYVLUUUPWURWVGCVAZVMZVDYWLUSURZWVIV
      BVCZAUUUJUUUOYVLUUVLWUBAYVIWURWUNCVAZVMZVTZUUVMYWDVBVCZWNAYVLUUVLVTZUUVNW
      NGFUUVSUUVNGAYVLUUVLGNYVRGBUUVKGWVGCGCGWVFWVLWUSVEVCBEVOZVJQGWVFUUVTXGXHX
      YBXJXKVXAUUVNGXNYQXYDUUVQUUVSUUVRUUVNXYDYVIYVLUUVPUUVLAYVSXYDUUVOUUVKWURW
      UNWVGCXLXMVYKXYDYWDWVIUUVMVBYWIXAYSUJYTWUCWUDWUEWUHWUFWUEWUIWUFWMVYIYBWUG
      WQWWNWWLGWWKWVEWVOWUJWUKXPWVPGWVTVVDYAWVPGWVTVKXVAGVKXFWULUYCYBWUM $.
  $}

  ${
    $d f g h i t w $.  $d f g h k t w $.  $d f g i l t w $.  $d f g i m q t $.
    $d f g i l G $.  $d f g k w Q $.  $d f g h w T $.  $d f g q U $.
    $d f g i m ph $.  $d h k t w $.  $d h t A $.  $d h i t w X $.
    $d k l t w $.  $d k m t w $.  $d k l G $.  $d k m ph $.  $d m G $.
    $d q Q $.  $d q T $.  $d t Z $.  $d w U $.
    stoweidlem35.1 $e |- F/ t ph $.
    stoweidlem35.2 $e |- F/ w ph $.
    stoweidlem35.3 $e |- F/ h ph $.
    stoweidlem35.4 $e |- Q = { h e. A | ( ( h ` Z ) = 0 /\
          A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) ) } $.
    stoweidlem35.5 $e |- W = { w e. J | E. h e. Q w =
          { t e. T | 0 < ( h ` t ) } } $.
    stoweidlem35.6 $e |- G = ( w e. X |->
          { h e. Q | w = { t e. T | 0 < ( h ` t ) } } ) $.
    stoweidlem35.7 $e |- ( ph -> A e. _V ) $.
    stoweidlem35.8 $e |- ( ph -> X e. Fin ) $.
    stoweidlem35.9 $e |- ( ph -> X C_ W ) $.
    stoweidlem35.10 $e |- ( ph -> ( T \ U ) C_ U. X ) $.
    stoweidlem35.11 $e |- ( ph -> ( T \ U ) =/= (/) ) $.
    $( This lemma is used to prove the existence of a function p as in Lemma 1
       of [BrosowskiDeutsh] p. 90: p is in the subalgebra, such that 0 <= p <=
       1, p__(t_0) = 0, and p > 0 on T - U. Here ` ( q `` i ) ` is used to
       represent p__(t_i) in the paper.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stoweidlem35 $p |- ( ph -> E. m E. q ( m e. NN /\
          ( q : ( 1 ... m ) --> Q /\ A. t e. ( T \ U ) E. i e. ( 1 ... m )
          0 < ( ( q ` i ) ` t ) ) ) ) $=
      ( vf vg vl vk cv cn wcel c1 cfz co cc0 cfv clt wbr wrex cdif wral wex crn
      wf wa wfn wf1o w3a cfn crab wceq rnmptfi syl c0 wi fnchoice adantl simprl
      wne cmpt nfmpt1 nfcxfr nfrn nfcri nfan sselda eleqtrdi rabid sylib simprd
      df-rex exbii sylibr adantr nfv nfeq2 eleq2 biimprd eximd adantllr elrnmpt
      nfrab1 mpd r19.29af n0 adantlr simplrr neeq1 fveq2 eleq1d imbi12d rspccva
      ibi bitrd sylancom ralrimiva cbvralvw jca ex eximdv mpdan syl2anc cvv cle
      cuni a1i wal ax-5 19.29 sylan eximi nfcv nfrabw nffn nfralw nff1o nf3an
      ralrimivw chash wss ssn0 neneqd unieq uni0 eqtrdi nsyl cdm dm0rn0 rabexgf
      wn rabexd fmptdf dffn2 fndmd eqeq1d bitr3id mtbird wo fz1f1o oveq2 exbidv
      f1oeq2d rspcev r19.29 exdistrv biimpri reximdv df-3an anbi2i simprr1 elex
      ord 2exbii simprr2 simprr3 nfra1 nfmpt stoweidlem27 2eximdv id exlimivv )
      AJULZUMUNZUOUWEUPUQZEPULZVGURCULZIULUWHUSUSUTVAIUWGVBCFGVCZVDVHVHPVEZUHVE
      UIVEZJVEZUWKJVEAUWFUIULZKVFZVIZUJULZUWNUSZUWQUNZUJUWOVDZUWGUWOUHULZVJZVKZ
      VHZUHVEUIVEZJVEZUWMAUWFUWPUWTVHZUXBVHZUHVEZUIVEZVHZJVEZUXFAUXJJUMVBZUXLAU
      XGUIVEZUXBUHVEZVHZJUMVBZUXMAUXNJUMVDUXOJUMVBZUXQAUXNJUMAUWOVLUNZUXNANVLUN
      UXSUDBKNBULZURUWIHULZUSZUTVAZCFVMZVNZHEVMZUBVOVPZAUXSVHZUWPUWQVQWBZUWSVRZ
      UJUWOVDZVHZUIVEZUXNUXSUYMAUJUWOUIVSVTUYHUYLUXGUIAUYLUXGVRUXSAUYLUXGAUYLVH
      ZUWPUWTAUWPUYKWAUYNUKULZUWNUSZUYOUNZUKUWOVDUWTUYNUYQUKUWOUYNUYOUWOUNZVHUY
      OVQWBZUYQAUYRUYSUYLAUYRVHZUYAUYOUNZHVEZUYSUYTUYOUYFVNZVUBBNAUYRBRBUKUWOBK
      BKBNUYFWCZUBBNUYFWDWEWFZWGWHAUXTNUNZVUCVUBUYRAVUFVHZVUCVHZUYAUYFUNZHVEZVU
      BVUGVUJVUCVUGUYAEUNUYEVHZHVEZVUJVUGUYEHEVBZVULVUGUXTLUNZVUMVUGUXTVUMBLVMZ
      UNVUNVUMVHVUGUXTMVUOANMUXTUEWIUAWJVUMBLWKWLWMUYEHEWNWLVUIVUKHUYEHEWKWOWPW
      QVUHVUIVUAHVUGVUCHAVUFHSVUFHWRWHHUYOUYFUYEHEXEWSWHVUCVUIVUAVRVUGVUCVUAVUI
      UYOUYFUYAWTXAVTXBXFXCUYRVUCBNVBZAUYRVUPBNUYFUYOKUWOUBXDXPVTXGHUYOXHWPXIUY
      NUYRUYKUYSUYQVRZAUWPUYKUYRXJUYJVUQUJUYOUWOUWQUYOVNZUYIUYSUWSUYQUWQUYOVQXK
      VURUWSUYPUWQUNUYQVURUWRUYPUWQUWQUYOUWNXLXMUWQUYOUYPWTXQZXNXOXRXFXSUYQUWSU
      KUJUWOUYOUWQVNZUYQUWRUYOUNUWSVUTUYPUWRUYOUYOUWQUWNXLXMUYOUWQUWRWTXQXTWLYA
      YBWQYCXFYDUUAAUWOUUBUSZUMUNUOVVAUPUQZUWOUXAVJZUHVEZVHZUXRAUWOVQVNZUUMVVEA
      VVFNVQVNZANYHZVQVNVVGAVVHVQAUWJVVHUUCZUWJVQWBVVHVQWBUFUGUWJVVHUUDYEUUEVVG
      VVHVQYHVQNVQUUFUUGUUHUUIVVFKUUJZVQVNAVVGKUUKAVVJNVQANKANYFKVGKNVIABNUYFYF
      KRAUYFYFUNZVUFAEYFUNZVVKAOUYAUSURVNZURUYBYGVAUYBUOYGVAVHZCFVDZVHZHDEYFTUC
      UUNZUYEHEYFHEVVPHDVMZTVVPHDXEWEZUULVPWQUBUUONKUUPWPUUQUURUUSUUTAVVFVVEAUX
      SVVFVVEUVAUYGUWOUHUVBVPUVOXFUXOVVDJVVAUMUWEVVAVNZUXBVVCUHVVTUWGVVBUWOUXAU
      WEVVAUOUPUVCUVEUVDUVFVPUXNUXOJUMUVGYEAUXPUXJJUMUXPUXJVRAUXJUXPUXGUXBUIUHU
      VHUVIYIUVJXFUXJJUMWNWLAUXKUXEJUXKUXEVRAUXKUWFUXHVHZUHVEZUIVEZUXEUXKUWFUXI
      VHZUIVEZVWCUWFUWFUIYJUXJVWEUWFUIYKUWFUXIUIYLYMVWDVWBUIUWFUWFUHYJUXIVWBUWF
      UHYKUWFUXHUHYLYMYNVPUXDVWAUIUHUXCUXHUWFUWPUWTUXBUVKUVLUVPWPYIYCXFAUXEUWLJ
      AUXDUWKUIUHAUXDUWKAUXDVHZBCEFGHIUXAKUWENUWNPUKUBAVVLUXDVVQWQAUWFUXCWAUWPU
      WTUXBUWFAUVMAUWOYFUNZUXDAUXSVWGUYGUWOVLUVNVPWQVWFUWTUYRUYQUWPUWTUXBUWFAUV
      QUWSUYQUJUYOUWOVUSXOYMUWPUWTUXBUWFAUVRAVVIUXDUFWQAUXDCQUWFUXCCUWFCWRUWPUW
      TUXBCCUWOUWNCUWNYOCKCKVUDUBCBNUYFCNYOUYECHECUXTUYDUYCCFXEWSCEVVRTVVPCHDVV
      MVVOCVVMCWRVVNCFUVSWHCDYOYPWEYPUVTWEWFZYQUWSCUJUWOVWHUWSCWRYRCUWGUWOUXACU
      XAYOCUWGYOVWHYSYTWHWHAUXDBRUWFUXCBUWFBWRUWPUWTUXBBBUWOUWNBUWNYOVUEYQUWSBU
      JUWOVUEUWSBWRYRBUWGUWOUXABUXAYOBUWGYOVUEYSYTWHWHVVSUWAYBUWBYCXFUWLUWKJUWK
      UWKUIUHUWKUWCUWDYNVP $.
  $}

  ${
    $d f g t T $.  $d f g A $.  $d f g F $.  $d f g G $.  $d f g ph $.
    $d g t N $.  $d h t S $.  $d h A $.  $d h H $.  $d h t T $.  $d h t Z $.
    $d s t S $.  $d s G $.  $d s J $.  $d s K $.  $d s t T $.  $d s ph $.
    $d t x N $.  $d x A $.  $d x T $.  $d x ph $.
    stoweidlem36.1 $e |- F/_ h Q $.
    stoweidlem36.2 $e |- F/_ t H $.
    stoweidlem36.3 $e |- F/_ t F $.
    stoweidlem36.4 $e |- F/_ t G $.
    stoweidlem36.5 $e |- F/ t ph $.
    stoweidlem36.6 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem36.7 $e |- Q = { h e. A | ( ( h ` Z ) = 0 /\
          A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) ) } $.
    stoweidlem36.8 $e |- T = U. J $.
    stoweidlem36.9 $e |- G = ( t e. T |-> ( ( F ` t ) x. ( F ` t ) ) ) $.
    stoweidlem36.10 $e |- N = sup ( ran G , RR , < ) $.
    stoweidlem36.11 $e |- H = ( t e. T |-> ( ( G ` t ) / N ) ) $.
    stoweidlem36.12 $e |- ( ph -> J e. Comp ) $.
    stoweidlem36.13 $e |- ( ph -> A C_ ( J Cn K ) ) $.
    stoweidlem36.14 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem36.15 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweidlem36.16 $e |- ( ph -> S e. T ) $.
    stoweidlem36.17 $e |- ( ph -> Z e. T ) $.
    stoweidlem36.18 $e |- ( ph -> F e. A ) $.
    stoweidlem36.19 $e |- ( ph -> ( F ` S ) =/= ( F ` Z ) ) $.
    stoweidlem36.20 $e |- ( ph -> ( F ` Z ) = 0 ) $.
    $( This lemma is used to prove the existence of a function p_t as in Lemma
       1 of [BrosowskiDeutsh] p. 90 (at the beginning of Lemma 1): for all t in
       T - U, there exists a function p in the subalgebra, such that p_t
       ( t_0 ) = 0 , p_t ( t ) > 0, and 0 <= p_t <= 1.  Z is used for t_0 , S
       is used for t e.  T - U , h is used for p_t .  G is used for (h_t)^2 and
       the final h is a normalized version of G ( divided by its norm, see the
       variable N ).  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem36 $p |- ( ph -> E. h ( h e. Q /\ 0 < ( h ` S ) ) ) $=
      ( vs wcel cc0 cfv clt wbr cv wa wex wceq cle c1 wral crab cdiv co cmpt cr
      cmul ccn nfeq2 stoweidlem6 mpd3an23 eqeltrid sseldd fcnre ffvelrnda recnd
      eqid cc crn csup ne0d cncmpmax simp2d adantr wne ffvelrnd neeqtrd msqgt0d
      0red remulcld nfcv nffv nfov fveq2 oveq12d fvmptf syl2anc breqtrrd simp3d
      breq1d rspccva ltletrd gt0ne0d neeq1i sylibr simpr rereccld fvmpt2 oveq2d
      divrecd eqtr4d mpteq2da syl5eq stoweidlem4 nfmpt1 eqeltrd redivcld oveq1d
      mpdan 0re eqeltrdi 0cn mul02i eqtrdi eqtrd breqtrrdi eqbrtrd fveq1 breq2d
      jca anbi12d div0d 3eqtrd msqge0d divge0 syl22anc div1d sylan wb 1red 0lt1
      a1i lediv23 syl122anc mpbird ralrimi eqeq1d ralbid elrab sylanbrc divgt0d
      ex eleqtrrdi nfel2 nfv nfan eleq1 spcegf anabsi5 ) AMEUSZUTFMVAZVBVCZJVDZ
      EUSZUTFUVLVAZVBVCZVEZJVFZAMQUVLVAZUTVGZUTCVDZUVLVAZVHVCZUWAVIVHVCZVEZCGVJ
      ZVEZJDVKZEAMDUSQMVAZUTVGZUTUVTMVAZVHVCZUWJVIVHVCZVEZCGVJZVEZMUWGUSAMCGUVT
      LVAZUVTCGVIPVLVMZVNZVAZVPVMZVNZDAMCGUWPPVLVMZVNUXAUHACGUXBUWTUBAUVTGUSZVE
      ZUXBUWPUWQVPVMUWTUXDUWPPUXDUWPAGVOUVTLANOVQVMZGLNOUCUEUXEWFZADUXELUJALCGU
      VTKVAZUXGVPVMZVNZDUFAKDUSZUXJUXIDUSUOUOACDGHIKKCHVDZKTVRCIVDZKTVRUKVSVTWA
      ZWBZWCZWDZWEZAPWGUSUXCAPAPLWHZVOVBWIZVOUGAUXSUXRUSZUXSVOUSZURVDZLVAZUXSVH
      VCZURGVJZAURGLNOUEUCUIUXNAGFUMWJWKZWLZWAZWEZWMAPUTWNZUXCAUXSUTWNUYJAUXSAU
      TFLVAZUXSAWRAGVOFLUXOUMWOZUYGAUTFKVAZUYMVPVMZUYKVBAUYMAGVOFKAUXEGKNOUCUEU
      XFADUXEKUJUOWBWCZUMWOZAUYMQKVAZUTUPUQWPWQAFGUSZUYNVOUSUYKUYNVGUMAUYMUYMUY
      PUYPWSCFUXHUYNGLVOCFWTZCUYMUYMVPCFKTUYSXAZCVPWTZUYTXBUVTFVGZUXGUYMUXGUYMV
      PUVTFKXCZVUCXDUFXEXFXGZAUYEUYRUYKUXSVHVCZAUXTUYAUYEUYFXHZUMUYDVUEURFGUYBF
      VGUYCUYKUXSVHUYBFLXCXIXJXFXKZXLPUXSUTUGXMXNZWMZXSUXDUWSUWQUWPVPUXDUXCUWQV
      OUSZUWSUWQVGAUXCXOZAVUJUXCAPUYHVUHXPZWMCGUWQVOUWRUWRWFXQXFXRXTYAYBALDUSUW
      RDUSZUXADUSUXMAVUJVUMVULABCDUWQGULYCYHACDGHILUWRCUXKLUAVRCUXLUWRCGUWQYDVR
      UKVSVTYEAUWIUWNAUWHQLVAZPVLVMZUTPVLVMUTAQGUSZVUOVOUSUWHVUOVGUNAVUNPAGVOQL
      UXOUNWOUYHVUHYFCQUXBVUOGMVOCQWTZCVUNPVLCQLUAVUQXACVLWTZCPWTZXBUVTQVGZUWPV
      UNPVLUVTQLXCYGUHXEXFAVUNUTPVLAVUNUYQUYQVPVMZUTAVUPVVAVOUSVUNVVAVGUNAUYQUY
      QAUYQUTVOUQYIYJZVVBWSCQUXHVVAGLVOVUQCUYQUYQVPCQKTVUQXAZVUAVVCXBVUTUXGUYQU
      XGUYQVPUVTQKXCZVVDXDUFXEXFAVVAUTUTVPVMUTAUYQUTUYQUTVPUQUQXDUTYKYLYMYNYGAP
      UYIVUHUUAUUBAUWMCGUBAUXCUWMUXDUWKUWLUXDUTUXBUWJVHUXDUWPVOUSZUTUWPVHVCPVOU
      SZUTPVBVCZUTUXBVHVCUXPUXDUTUXHUWPVHUXDUXGAGVOUVTKUYOWDZUUCUXDUXCUXHVOUSUW
      PUXHVGVUKUXDUXGUXGVVHVVHWSCGUXHVOLUFXQXFXGAVVFUXCUYHWMZAVVGUXCAUTUXSPVBVU
      GUGYOZWMZUWPPUUDUUEUXDUXCUXBVOUSUWJUXBVGVUKUXDUWPPUXPVVIVUIYFCGUXBVOMUHXQ
      XFZXGUXDUWJUXBVIVHVVLUXDUXBVIVHVCZUWPVIVLVMZPVHVCZUXDVVNUWPPVHUXDUWPUXQUU
      FUXDUWPUXSPVHAUYEUXCUWPUXSVHVCZVUFUYDVVPURUVTGUYBUVTVGUYCUWPUXSVHUYBUVTLX
      CXIXJUUGUGYOYPUXDVVEVVFVVGVIVOUSUTVIVBVCZVVMVVOUUHUXPVVIVVKUXDUUIVVQUXDUU
      JUUKUWPPVIUULUUMUUNYPYSUVAUUOYSUWFUWOJMDUVLMVGZUVSUWIUWEUWNVVRUVRUWHUTQUV
      LMYQUUPVVRUWDUWMCGCUVLMSVRVVRUWBUWKUWCUWLVVRUWAUWJUTVHUVTUVLMYQZYRVVRUWAU
      WJVIVHVVSXIYTUUQYTUURUUSUDUVBAUTUYKPVLVMZUVJVBAUYKPUYLUYHVUDVVJUUTAUYRVVT
      VOUSUVJVVTVGUMAUYKPUYLUYHVUHYFCFUXBVVTGMVOUYSCUYKPVLCFLUAUYSXAVURVUSXBVUB
      UWPUYKPVLUVTFLXCYGUHXEXFXGUVIUVKUVQUVPUVIUVKVEJMEJMWTUVIUVKJJMERUVCUVKJUV
      DUVEVVRUVMUVIUVOUVKUVLMEUVFVVRUVNUVJUTVBFUVLMYQYRYTUVGUVHXF $.
  $}

  ${
    $d f i T $.  $d f A $.  $d f G $.  $d f i ph $.  $d h i t T $.  $d h A $.
    $d h t G $.  $d h i t Z $.  $d i t M $.
    stoweidlem37.1 $e |- Q = { h e. A | ( ( h ` Z ) = 0 /\
          A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) ) } $.
    stoweidlem37.2 $e |- P = ( t e. T |-> ( ( 1 / M ) x.
          sum_ i e. ( 1 ... M ) ( ( G ` i ) ` t ) ) ) $.
    stoweidlem37.3 $e |- ( ph -> M e. NN ) $.
    stoweidlem37.4 $e |- ( ph -> G : ( 1 ... M ) --> Q ) $.
    stoweidlem37.5 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    stoweidlem37.6 $e |- ( ph -> Z e. T ) $.
    $( This lemma is used to prove the existence of a function p as in Lemma 1
       of [BrosowskiDeutsh] p. 90: p is in the subalgebra, such that 0 <= p <=
       1, p__(t_0) = 0, and p > 0 on T - U. Z is used for t_0, P is used for p,
       ` ( G `` i ) ` is used for p__(t_i).  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stoweidlem37 $p |- ( ph -> ( P ` Z ) = 0 ) $=
      ( c1 cc0 cfv cdiv co cfz cv csu cmul wcel wceq stoweidlem30 mpdan cle wbr
      wa wral ffvelrnda fveq1 eqeq1d breq2d breq1d anbi12d ralbidv elrab2 sylib
      simprld sumeq2dv cfn cuz wss wo fzfi sumz mp2b eqtrdi oveq2d nncnd nnne0d
      olc reccld mul01d 3eqtrd ) ALDUAZSKUBUCZSKUDUCZLIUEZJUAZUAZIUFZUGUCZWCTUG
      UCTALFUHWBWIUIRABCDELFGHIJKLMNOPQUJUKAWHTWCUGAWHWDTIUFZTAWDWGTIAWEWDUHUNZ
      WFCUHZWGTUIZTBUEZWFUAZULUMZWOSULUMZUNZBFUOZWKWFEUHWLWMWSUNZUNAWDEWEJPUPLH
      UEZUAZTUIZTWNXAUAZULUMZXDSULUMZUNZBFUOZUNWTHWFCEXAWFUIZXCWMXHWSXIXBWGTLXA
      WFUQURXIXGWRBFXIXEWPXFWQXIXDWOTULWNXAWFUQZUSXIXDWOSULXJUTVAVBVAMVCVDVEVFW
      DVGUHZWDSVHUAVIZXKVJWJTUISKVKXKXLVRWDISVLVMVNVOAWCAKAKOVPAKOVQVSVTWA $.
  $}

  ${
    $d f i T $.  $d f A $.  $d f G $.  $d f i ph $.  $d h i t T $.  $d h A $.
    $d h t G $.  $d h Z $.  $d i t M $.  $d i S $.
    stoweidlem38.1 $e |- Q = { h e. A | ( ( h ` Z ) = 0 /\
          A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) ) } $.
    stoweidlem38.2 $e |- P = ( t e. T |->
          ( ( 1 / M ) x. sum_ i e. ( 1 ... M ) ( ( G ` i ) ` t ) ) ) $.
    stoweidlem38.3 $e |- ( ph -> M e. NN ) $.
    stoweidlem38.4 $e |- ( ph -> G : ( 1 ... M ) --> Q ) $.
    stoweidlem38.5 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    $( This lemma is used to prove the existence of a function p as in Lemma 1
       of [BrosowskiDeutsh] p. 90: p is in the subalgebra, such that 0 <= p <=
       1, p__(t_0) = 0, and p > 0 on T - U. Z is used for t_0, P is used for p,
       ` ( G `` i ) ` is used for p__(t_i).  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stoweidlem38 $p |- ( ( ph /\ S e. T ) ->
          ( 0 <_ ( P ` S ) /\ ( P ` S ) <_ 1 ) ) $=
      ( cle c1 wcel wa cc0 cfv wbr cdiv co cfz cv cmul cr nnrecred adantr fzfid
      csu stoweidlem15 simp1d an32s fsumrecl clt 1red a1i nnred nngt0d syl22anc
      0le1 divge0 simp2d fsumge0 stoweidlem30 breqtrrd simp3d fsumle wceq chash
      mulge0d cfn cc ax-1cn fsumconst sylancl cn0 nnnn0d hashfz1 oveq1d mulid1d
      syl nncnd 3eqtrd breqtrd wb 0lt1 divgt0 syl21anc lemul2 syl112anc eqbrtrd
      jca mpbid wne w3a nnne0d 3jca divcan1 ) AFGUAZUBZUCFDUDZSUEXGTSUEXFUCTLUF
      UGZTLUHUGZFJUIZKUDUDZJUOZUJUGZXGSXFXHXLAXHUKUAZXEALPULUMZXFXIXKJXFTLUNZAX
      JXIUAZXEXKUKUAZAXQUBXEUBZXRUCXKSUEZXKTSUEZABCEFGHIKXJLMNQRUPZUQURZUSZAUCX
      HSUEZXEATUKUAZUCTSUEZLUKUAZUCLUTUEZYEAVAYGAVFVBALPVCZALPVDZTLVGVEUMXFXIXK
      JXPYCAXQXEXTXSXRXTYAYBVHURVIVPABCDEFGHIJKLMNOPQRVJZVKXFXGXHLUJUGZTSXFXGXM
      YMSYLXFXLLSUEZXMYMSUEZXFXLXITJUOZLSXFXIXKTJXPYCXFXQUBVAAXQXEYAXSXRXTYAYBV
      LURVMAYPLVNXEAYPXIVOUDZTUJUGZLTUJUGLAXIVQUATVRUAZYPYRVNATLUNVSXITJVTWAAYQ
      LTUJALWBUAYQLVNALPWCLWDWGWEALALPWHZWFWIUMWJXFXLUKUAYHXNUCXHUTUEZYNYOWKYDA
      YHXEYJUMXOXFYFUCTUTUEZYHYIUBZUUAXFVAUUBXFWLVBAUUCXEAYHYIYJYKWRUMTLWMWNXLL
      XHWOWPWSWQXFYSLVRUAZLUCWTZXAZYMTVNAUUFXEAYSUUDUUEYSAVSVBYTALPXBXCUMTLXDWG
      WJWR $.
  $}

  ${
    $d b B $.  $d b T $.  $d b U $.  $d b ph $.  $d e h m t w $.
    $d e h t w A $.  $d e h t w E $.  $d e h w T $.  $d e h w U $.
    $d h i m r t v w x $.  $d i t w x A $.  $d i t w x E $.  $d i w x T $.
    $d i w x U $.  $d i m v ph $.  $d w x Y $.  $d x B $.
    stoweidlem39.1 $e |- F/ h ph $.
    stoweidlem39.2 $e |- F/ t ph $.
    stoweidlem39.3 $e |- F/ w ph $.
    stoweidlem39.4 $e |- U = ( T \ B ) $.
    stoweidlem39.5 $e |- Y = { h e. A | A. t e. T
          ( 0 <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) } $.
    stoweidlem39.6 $e |- W = { w e. J | A. e e. RR+ E. h e. A
          ( A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) /\
          A. t e. w ( h ` t ) < e /\
                  A. t e. ( T \ U ) ( 1 - e ) < ( h ` t ) ) } $.
    stoweidlem39.7 $e |- ( ph -> r e. ( ~P W i^i Fin ) ) $.
    stoweidlem39.8 $e |- ( ph -> D C_ U. r ) $.
    stoweidlem39.9 $e |- ( ph -> D =/= (/) ) $.
    stoweidlem39.10 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem39.11 $e |- ( ph -> B C_ T ) $.
    stoweidlem39.12 $e |- ( ph -> W e. _V ) $.
    stoweidlem39.13 $e |- ( ph -> A e. _V ) $.
    $( This lemma is used to prove that there exists a function x as in the
       proof of Lemma 2 in [BrosowskiDeutsh] p. 91: assuming that ` r ` is a
       finite subset of ` W ` , ` x ` indexes a finite set of functions in the
       subalgebra (of the Stone Weierstrass theorem), such that for all i
       ranging in the finite indexing set, 0 &le; x_i &le; 1, x_i < &epsilon; /
       m on V(t_i), and x_i > 1 - &epsilon; / m on ` B ` .  Here ` D ` is used
       to represent A in the paper's Lemma 2 (because ` A ` is used for the
       subalgebra), ` M ` is used to represent m in the paper, ` E ` is used to
       represent &epsilon;, and v_i is used to represent V(t_i). ` W ` is just
       a local definition, used to shorten statements.  (Contributed by Glauco
       Siliprandi, 20-Apr-2017.) $)
    stoweidlem39 $p |- ( ph -> E. m e. NN E. v ( v : ( 1 ... m ) --> W /\
      D C_ U. ran v /\ E. x ( x : ( 1 ... m ) --> Y /\
      A. i e. ( 1 ... m ) ( A. t e. ( v ` i ) ( ( x ` i ) ` t ) < ( E / m ) /\
      A. t e. B ( 1 - ( E / m ) ) < ( ( x ` i ) ` t ) ) ) ) ) $=
      ( vb c1 cv cfz co wf1o wex cn wrex wf crn cuni wss cfv cdiv clt wral cmin
      wbr wa w3a chash wcel c0 wceq wne jca ssn0 unieq uni0 eqtrdi necon3i 3syl
      wn neneqd cfn wo wi cpw cin elinel2 syl fz1f1o pm2.53 oveq2 exbidv rspcev
      mpd f1oeq2d f1of adantl simpll elinel1 elpwid fssd ad2antrr wfn ccnv wfun
      dff1o2 simp3bi unieqd sseqtrrd cc0 cle cdif crab cmpt nfv nfan eqid simpr
      simplr sselda notnot intnand eldif sylnibr eleq2i eldifd ralrimiva sylibr
      crp dfss3 cvv mptfi rnfi stoweidlem31 3jca ex eximdv reximdva ) AUNNUOZUP
      UQZSUOZDUOZURZDUSZNUTVAZUUFQUUHVBZHUUHVCZVDZVEZUUFRBUOZVBEUOZMUOZUUPVFVFZ
      OUUEVGUQZVHVKEUURUUHVFVIUNUUTVJUQZUUSVHVKEGVIVLMUUFVIVLBUSZVMZDUSZNUTVAAU
      UGVNVFZUTVOUNUVEUPUQZUUGUUHURZDUSZVLZUUKAUUGVPVQZWFZUVIAUUGVPAHUUGVDZVEZH
      VPVRZVLUVLVPVRUUGVPVRAUVMUVNUGUHVSHUVLVTUUGVPUVLVPUVJUVLVPVDVPUUGVPWAWBWC
      WDWEWGAUUGWHVOZUVJUVIWIUVKUVIWJAUUGQWKZWHWLVOZUVOUFUUGUVPWHWMWNZUUGDWOUVJ
      UVIWPWEWTUUJUVHNUVEUTUUEUVEVQZUUIUVGDUVSUUFUVFUUGUUHUUEUVEUNUPWQXAWRWSWNA
      UUJUVDNUTAUUEUTVOZVLZUUIUVCDUWAUUIUVCUWAUUIVLZUULUUOUVBUWBUUFUUGQUUHUUIUU
      FUUGUUHVBUWAUUFUUGUUHXBXCUWBAUVQUUGQVEAUVTUUIXDUFUVQUUGQUUGUVPWHXEXFWEZXG
      UWBHUVLUUNAUVMUVTUUIUGXHUUIUUNUVLVQUWAUUIUUMUUGUUIUUHUUFXIUUHXJXKUUMUUGVQ
      UUFUUGUUHXLXMXNXCXOUWBBCDEFGUUGIJKLMOCUUGXPUUQLUOVFZXQVKUWDUNXQVKVLEIVIUW
      DUUTVHVKECUOVIUVAUWDVHVKEIJXRZVIVMLFXSZXTZPUUEQRUWAUUILAUVTLTUVTLYAYBUUIL
      YAYBUWAUUIEAUVTEUAUVTEYAYBUUIEYAYBUWAUUICAUVTCUBUVTCYAYBUUICYAYBUDUEUWGYC
      UWCAUVTUUIYEUWAUUIYDAOYOVOUVTUUIUIXHAGUWEVEZUVTUUIAUMUOZUWEVOZUMGVIUWHAUW
      JUMGAUWIGVOZVLZUWIIJAGIUWIUJYFUWLUWIIGXRZVOZUWIJVOUWLUWIIVOZUWKWFZVLZUWNU
      WKUWQWFAUWKUWPUWOUWKYGYHXCUWIIGYIYJJUWMUWIUCYKYJYLYMUMGUWEYPYNXHAQYQVOUVT
      UUIUKXHAFYQVOUVTUUIULXHUWBUVOUWGWHVOUWGVCWHVOAUVOUVTUUIUVRXHCUUGUWFYRUWGY
      SWEYTUUAUUBUUCUUDWT $.
  $}

  ${
    $d f g t A $.  $d f g F $.  $d f g G $.  $d f g H $.  $d f g P $.
    $d f g t T $.  $d f g ph $.  $d t x A $.  $d t M $.  $d t N $.  $d x T $.
    $d x ph $.
    stoweidlem40.1 $e |- F/_ t P $.
    stoweidlem40.2 $e |- F/ t ph $.
    stoweidlem40.3 $e |- Q = ( t e. T |->
          ( ( 1 - ( ( P ` t ) ^ N ) ) ^ M ) ) $.
    stoweidlem40.4 $e |- F = ( t e. T |-> ( 1 - ( ( P ` t ) ^ N ) ) ) $.
    stoweidlem40.5 $e |- G = ( t e. T |-> 1 ) $.
    stoweidlem40.6 $e |- H = ( t e. T |-> ( ( P ` t ) ^ N ) ) $.
    stoweidlem40.7 $e |- ( ph -> P e. A ) $.
    stoweidlem40.8 $e |- ( ph -> P : T --> RR ) $.
    stoweidlem40.9 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    stoweidlem40.10 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem40.11 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem40.12 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweidlem40.13 $e |- ( ph -> N e. NN ) $.
    stoweidlem40.14 $e |- ( ph -> M e. NN ) $.
    $( This lemma proves that q_n is in the subalgebra, as in the proof of
       Lemma 1 in [BrosowskiDeutsh] p. 90.  Q is used to represent q_n in the
       paper, N is used to represent n in the paper, and M is used to represent
       k^n in the paper.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem40 $p |- ( ph -> Q e. A ) $=
      ( cv cfv cexp co cmpt c1 cmin wcel wa cr wceq simpr 1red ffvelrnda nnnn0d
      cn0 adantr reexpcld resubcld fvmpt2 syl2anc eqcomd oveq1d mpteq2da syl5eq
      nfmpt1 nfcxfr 1re mpan2 adantl oveq12d eqeltrid stoweidlem19 stoweidlem33
      stoweidlem4 mpd3an23 eqeltrd ) AFCGCUIZJUJZMUKULZUMZDAFCGUNWFEUJZNUKULZUO
      ULZMUKULZUMWIQACGWMWHPAWFGUPZUQZWLWGMUKWOWGWLWOWNWLURUPWGWLUSAWNUTZWOUNWK
      WOVAWOWJNAGURWFEUBVBANVDUPWNANUGVCZVEVFZVGCGWLURJRVHVIVJVKVLVMABCDGHIJMCJ
      CGWLUMZRCGWLVNVOPUCUEUFAJCGWFKUJZWFLUJZUOULZUMZDAJWSXCRACGWLXBPWOUNWTWKXA
      UOWNUNWTUSAWNWTUNWNUNURUPZWTUNUSVPCGUNURKSVHVQVJVRWOXAWKWOWNWKURUPXAWKUSW
      PWRCGWKURLTVHVIVJVSVLVMAKDUPLDUPXCDUPAKCGUNUMZDSAXDXEDUPVPABCDUNGUFWCVQVT
      ALCGWKUMZDTABCDGHIENOPUCUEUFUAWQWAVTABCDGHIKLCKXESCGUNVNVOCLXFTCGWKVNVOPU
      CUDUEUFWBWDWEAMUHVCWAWE $.
  $}

  ${
    $d f g t y $.  $d f g t A $.  $d f g F $.  $d f g t T $.  $d f g ph $.
    $d t w A $.  $d t x A $.  $d w T $.  $d w ph $.  $d x E $.  $d x T $.
    $d x U $.  $d x V $.  $d x X $.
    stoweidlem41.1 $e |- F/ t ph $.
    stoweidlem41.2 $e |- X = ( t e. T |-> ( 1 - ( y ` t ) ) ) $.
    stoweidlem41.3 $e |- F = ( t e. T |-> 1 ) $.
    stoweidlem41.4 $e |- V C_ T $.
    stoweidlem41.5 $e |- ( ph -> y e. A ) $.
    stoweidlem41.6 $e |- ( ph -> y : T --> RR ) $.
    stoweidlem41.7 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    stoweidlem41.8 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem41.9 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem41.10 $e |- ( ( ph /\ w e. RR ) -> ( t e. T |-> w ) e. A ) $.
    stoweidlem41.11 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem41.12 $e |- ( ph ->
          A. t e. T ( 0 <_ ( y ` t ) /\ ( y ` t ) <_ 1 ) ) $.
    stoweidlem41.13 $e |- ( ph -> A. t e. V ( 1 - E ) < ( y ` t ) ) $.
    stoweidlem41.14 $e |- ( ph -> A. t e. ( T \ U ) ( y ` t ) < E ) $.
    $( This lemma is used to prove that there exists x as in Lemma 1 of
       [BrosowskiDeutsh] p. 90: 0 <= x(t) <= 1 for all t in T, x(t) < epsilon
       for all t in V, x(t) > 1 - epsilon for all t in T \ U. Here we prove the
       very last step of the proof of Lemma 1:  "The result follows from taking
       x = 1 - q_n".  Here ` E ` is used to represent &epsilon; in the paper,
       and ` y ` to represent q_n in the paper.  (Contributed by Glauco
       Siliprandi, 20-Apr-2017.) $)
    stoweidlem41 $p |- ( ph -> E. x e. A ( A. t e. T ( 0 <_ ( x ` t ) /\
          ( x ` t ) <_ 1 ) /\ A. t e. V ( x ` t ) < E /\
          A. t e. ( T \ U ) ( 1 - E ) < ( x ` t ) ) ) $=
      ( wcel cc0 cv cfv cle wbr c1 wa wral clt cmin cdif w3a wrex cmpt wceq 1re
      co fvmpt2 mpan2 adantl oveq1d mpteq2da stoweidlem4 eqeltrid nfmpt1 nfcxfr
      cr eqtr4di nfcv stoweidlem33 mpd3an23 eqeltrrd ffvelrnda 1red 0red simprd
      r19.21bi 1m0e1 breqtrrdi lesubd resubcld syl2anc breqtrrd simpld lesub2dd
      simpr breqtrdi eqbrtrd jca ex ralrimi sseli sylan2 adantr ltsub23d eldifi
      rpred ltsub2dd nfeq2 fveq1 breq2d breq1d ralbid 3anbi123d rspcev syl13anc
      anbi12d ) ANFUIUJEUKZNULZUMUNZXRUOUMUNZUPZEGUQZXRKURUNZEMUQZUOKUSVFZXRURU
      NZEGHUTZUQZUJXQBUKZULZUMUNZYJUOUMUNZUPZEGUQZYJKURUNZEMUQZYEYJURUNZEYGUQZV
      AZBFVBAEGXQLULZXQCUKZULZUSVFZVCZNFAUUDEGUOUUBUSVFZVCZNAEGUUCUUEOAXQGUIZUP
      ZYTUOUUBUSUUGYTUOVDZAUUGUOVPUIZUUIVEEGUOVPLQVGVHVIVJVKPVQALFUIUUAFUIUUDFU
      IALEGUOVCZFQAUUJUUKFUIVEADEFUOGUDVLVHVMSADEFGIJLUUAELUUKQEGUOVNVOEUUAVROU
      AUBUCUDVSVTWAAYAEGOAUUGYAUUHXSXTUUHUJUUEXRUMUUHUUBUOUJAGVPXQUUATWBZUUHWCZ
      UUHWDZUUHUUBUOUOUJUSVFZUMUUHUJUUBUMUNZUUBUOUMUNZAUUPUUQUPEGUFWFZWEWGWHWIU
      UHUUGUUEVPUIXRUUEVDZAUUGWOUUHUOUUBUUMUULWJEGUUEVPNPVGWKZWLUUHXRUUEUOUMUUT
      UUHUUEUUOUOUMUUHUJUUBUOUUNUULUUMUUHUUPUUQUURWMWNWGWPWQWRWSWTAYCEMOAXQMUIZ
      YCAUVAUPZXRUUEKURUVAAUUGUUSMGXQRXAZUUTXBUVBUOKUUBUVBWCAKVPUIZUVAAKUEXFZXC
      UVAAUUGUUBVPUIZUVCUULXBAYEUUBURUNEMUGWFXDWQWSWTAYFEYGOAXQYGUIZYFAUVGUPZYE
      UUEXRURUVHUUBKUOUVGAUUGUVFXQGHXEZUULXBAUVDUVGUVEXCUVHWCAUUBKURUNEYGUHWFXG
      UVGAUUGUUSUVIUUTXBWLWSWTYSYBYDYHVABNFYINVDZYNYBYPYDYRYHUVJYMYAEGEYINENUUF
      PEGUUEVNVOXHZUVJYKXSYLXTUVJYJXRUJUMXQYINXIZXJUVJYJXRUOUMUVLXKXPXLUVJYOYCE
      MUVKUVJYJXRKURUVLXKXLUVJYQYFEYGUVKUVJYJXRYEURUVLXJXLXMXNXO $.
  $}

  ${
    $d a i t $.  $d a j t $.  $d a i B $.  $d a j F $.  $d a i M $.
    $d a j ph $.  $d f g t T $.  $d f i t T $.  $d f g F $.  $d f g M $.
    $d f g t U $.  $d f g Y $.  $d f g ph $.  $d i E $.  $d i t U $.  $d j B $.
    stoweidlem42.1 $e |- F/ i ph $.
    stoweidlem42.2 $e |- F/ t ph $.
    stoweidlem42.3 $e |- F/_ t Y $.
    stoweidlem42.4 $e |- P = ( f e. Y , g e. Y |-> ( t e. T |-> ( ( f ` t )
                           x. ( g ` t ) ) ) ) $.
    stoweidlem42.5 $e |- X = ( seq 1 ( P , U ) ` M ) $.
    stoweidlem42.6 $e |- F = ( t e. T |-> ( i e. ( 1 ... M ) |-> ( ( U ` i )
                           ` t ) ) ) $.
    stoweidlem42.7 $e |- Z = ( t e. T |-> ( seq 1 ( x. , ( F ` t ) ) ` M ) )
$.
    stoweidlem42.8 $e |- ( ph -> M e. NN ) $.
    stoweidlem42.9 $e |- ( ph -> U : ( 1 ... M ) --> Y ) $.
    stoweidlem42.10 $e |- ( ( ph /\ i e. ( 1 ... M ) ) -> A. t e. B ( 1 - ( E
                            / M ) ) < ( ( U ` i ) ` t ) ) $.
    stoweidlem42.11 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem42.12 $e |- ( ph -> E < ( 1 / 3 ) ) $.
    stoweidlem42.13 $e |- ( ( ph /\ f e. Y ) -> f : T --> RR ) $.
    stoweidlem42.14 $e |- ( ( ph /\ f e. Y /\ g e. Y ) -> ( t e. T |-> ( ( f
                            ` t ) x. ( g ` t ) ) ) e. Y ) $.
    stoweidlem42.15 $e |- ( ph -> T e. _V ) $.
    stoweidlem42.16 $e |- ( ph -> B C_ T ) $.
    $( This lemma is used to prove that ` x ` built as in Lemma 2 of
       [BrosowskiDeutsh] p. 91, is such that x > 1 - &epsilon; on B. Here ` X `
       is used to represent ` x ` in the paper, and E is used to represent
       &epsilon; in the paper.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stoweidlem42 $p |- ( ph -> A. t e. B ( 1 - E ) < ( X ` t ) ) $=
      ( va vj c1 cmin co cv cfv clt wbr wcel wa cmul cseq cdiv cexp cr resubcld
      1red rpred adantr nndivred cn0 nnnn0d reexpcld cuz cn elnnuz sylib cfz wi
      nfv nfan cmpt nfcv nfmpt1 nfmpt nfcxfr nffv nfel1 nfim eleq1 anbi2d fveq2
      wceq eleq1d imbi12d cvv sselda ovex mptexg fvmpt2 syl2anc ffvelrnda simpl
      mp1i wf feq1 vtoclg sylc adantlr ffvelrnd fvmpt2d eqeltrd chvarfv remulcl
      jca adantl seqcl cle cneg caddc rpcnd nnne0d eqcomd oveq2d negsubd c3 a1i
      nncnd cc0 wne wb mpbid lediv2 breqtrd eqbrtrd eqid breqtrrd lelttrd nnred
      divcan1d 1cnd divcld mulcld mulneg1d renegcld 3re 3ne0 rereccld 1lt3 0lt1
      3eqtr2d 3pos ltdiv2 syl222anc 1div1e1 breqtrdi lttrd nnge1d ltletrd ltled
      rpregt0d nngt0d syl121anc cc rpcnne0d divid lenegd bernneq syl3anc oveq1d
      syl fmptdf feq1d mpbird r19.21bi an32s crp syl221anc div1d 0red ltaddsubd
      addid2d elrpd stoweidlem3 fmuldfeq ex ralrimi ) AUNJUOUPZBUQZMURZUSUTZBCQ
      AUWKCVAZUWMAUWNVBZUWJUWKOURZUWLUSUWOUWJLVCUWKKURZUNVDZURZUWPUSUWOUWJUNJLV
      EUPZUOUPZLVFUPZUWSAUWJVGVAUWNAUNJAVIZAJUFVJZVHVKUWOUXALAUXAVGVAUWNAUNUWTU
      XCAJLUXDUCVLZVHZVKALVMVAZUWNALUCVNZVKVOUWOULUMVCVGUWQUNLALUNVPURVAZUWNALV
      QVAZUXIUCLVRVSVKUWOIUQZUNLVTUPZVAZVBZUXKUWQURZVGVAZWAUWOULUQZUXLVAZVBZUXQ
      UWQURZVGVAZWAIULUXSUYAIUWOUXRIAUWNIPUWNIWBWCZUXRIWBWCIUXTVGIUXQUWQIUWKKIK
      BEIUXLUWKUXKFURZURZWDZWDUAIBEUYEIEWEIUXLUYDWFWGWHIUWKWEWIZIUXQWEWIWJWKUXK
      UXQWOZUXNUXSUXPUYAUYGUXMUXRUWOUXKUXQUXLWLWMUYGUXOUXTVGUXKUXQUWQWNWPWQUXNU
      XOUYDVGUWOIUXLUYDUWQVGUWOUWKEVAZUYEWRVAZUWQUYEWOACEUWKUKWSZUXLWRVAUYIUWOU
      NLVTWTIUXLUYDWRXAXFBEUYEWRKUAXBXCZUXNEVGUWKUYCAUXMEVGUYCXGZUWNAUXMVBZUYCN
      VAZAUYNVBZUYLAUXLNUXKFUDXDZUYMAUYNAUXMXEUYPXQAGUQZNVAZVBZEVGUYQXGZWAUYOUY
      LWAGUYCNUYQUYCWOZUYSUYOUYTUYLVUAUYRUYNAUYQUYCNWLWMEVGUYQUYCXHWQUHXIXJXKUW
      OUYHUXMUYJVKXLZXMZVUBXNXOUXQVGVAUMUQZVGVAVBUXQVUDVCUPVGVAUWOUXQVUDXPXRXSZ
      AUWJUXBXTUTUWNAUWJUNUWTYAZLVCUPZYBUPZUXBXTAUWJUNUWTLVCUPZUOUPUNVUIYAZYBUP
      VUHAJVUIUNUOAVUIJAJLAJUFYCZALUCYJZALUCYDZUUBYEYFAUNVUIAUUCZAUWTLAJLVUKVUL
      VUMUUDZVULUUEYGAVUJVUGUNYBAVUGVUJAUWTLVUOVULUUFYEYFUUMAVUHUNVUFYBUPZLVFUP
      ZUXBXTAVUFVGVAUXGUNYAVUFXTUTZVUHVUQXTUTAUWTUXEUUGUXHAUWTUNXTUTVURAUWTJJVE
      UPZUNXTAJLXTUTZUWTVUSXTUTZAJLUXDALUCUUAZAJUNLUXDUXCVVBAJUNYHVEUPZUNUXDAYH
      YHVGVAZAUUHYIZYHYKYLAUUIYIUUJUXCUGAVVCUNUNVEUPZUNUSAUNYHUSUTZVVCVVFUSUTZV
      VGAUUKYIAUNVGVAZYKUNUSUTZVVDYKYHUSUTZVVIVVJVVGVVHYMUXCVVJAUULYIZVVEVVKAUU
      NYIUXCVVLUNYHUNUUOUUPYNUUQUURUUSZALUCUUTZUVAUVBAJVGVAYKJUSUTVBZLVGVAZYKLU
      SUTZVVOVUTVVAYMAJUFUVCZVVBALUCUVDZVVRJLJYOUVEYNAJUVFVAJYKYLVBVUSUNWOAJUFU
      VGJUVHUVMYPAUWTUNUXEUXCUVIYNVUFLUVJUVKAVUPUXALVFAUNUWTVUNVUOYGUVLYPYQVKUW
      OUXAIUWQLUWRUYFUYBUWRYRAUXJUWNUCVKUWOUXLVGUWQXGUXLVGUYEXGUWOIUXLUYDVGUYEU
      YBVUBUYEYRUVNUWOUXLVGUWQUYEUYKUVOUVPUXNUXAUYDUXOUSAUXMUWNUXAUYDUSUTZUYMVV
      TBCUEUVQUVRVUCYSAUXAUVSVAUWNAUXAUXFAYKUWTYBUPZUNUSUTYKUXAUSUTAVWAUWTUNUSA
      UWTVUOUWDAUWTJUNUXEUXDUXCAUWTJUNVEUPZJXTAUNLXTUTZUWTVWBXTUTZVVNAVVIVVJVVP
      VVQVVOVWCVWDYMUXCVVLVVBVVSVVRUNLJYOUVTYNAJVUKUWAYPVVMYTYQAYKUWTUNAUWBUXEU
      XCUWCYNUWEVKUWFYTUWOUYHUWSVGVAUWPUWSWOUYJVUEBEUWSVGOUBXBXCYSUWOAUYHUWLUWP
      WOAUWNXEUYJABDEFGHIKLMNOPRSTUAUBUJUCUDUHUIUWGXCYSUWHUWI $.
  $}

  ${
    $d f g l t A $.  $d f h s t T $.  $d f k l s t T $.  $d f g r t A $.
    $d f g t x A $.  $d f Q $.  $d f g l t S $.  $d f g l t Z $.
    $d f k l ph $.  $d h t A $.  $d h t S $.  $d h t Z $.  $d k l t A $.
    $d k l t S $.  $d k l t Z $.  $d r s t T $.  $d r t S $.  $d r ph $.
    $d s t x T $.  $d x S $.  $d x Z $.  $d x ph $.
    stoweidlem43.1 $e |- F/ g ph $.
    stoweidlem43.2 $e |- F/ t ph $.
    stoweidlem43.3 $e |- F/_ h Q $.
    stoweidlem43.4 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem43.5 $e |- Q = { h e. A | ( ( h ` Z ) = 0 /\
          A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) ) } $.
    stoweidlem43.6 $e |- T = U. J $.
    stoweidlem43.7 $e |- ( ph -> J e. Comp ) $.
    stoweidlem43.8 $e |- ( ph -> A C_ ( J Cn K ) ) $.
    stoweidlem43.9 $e |- ( ( ph /\ f e. A /\ l e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( l ` t ) ) ) e. A ) $.
    stoweidlem43.10 $e |- ( ( ph /\ f e. A /\ l e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( l ` t ) ) ) e. A ) $.
    stoweidlem43.11 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweidlem43.12 $e |- ( ( ph /\ ( r e. T /\ t e. T /\ r =/= t ) ) ->
          E. g e. A ( g ` r ) =/= ( g ` t ) ) $.
    stoweidlem43.13 $e |- ( ph -> U e. J ) $.
    stoweidlem43.14 $e |- ( ph -> Z e. U ) $.
    stoweidlem43.15 $e |- ( ph -> S e. ( T \ U ) ) $.
    $( This lemma is used to prove the existence of a function p_t as in Lemma
       1 of [BrosowskiDeutsh] p. 90 (at the beginning of Lemma 1): for all t in
       T - U, there exists a function p_t in the subalgebra, such that p_t(
       t_0 ) = 0 , p_t ( t ) > 0, and 0 <= p_t <= 1.  Hera Z is used for t_0 ,
       S is used for t e.  T - U , h is used for p_t.  (Contributed by Glauco
       Siliprandi, 20-Apr-2017.) $)
    stoweidlem43 $p |- ( ph -> E. h ( h e. Q /\ 0 < ( h ` S ) ) ) $=
      ( vk vs cv wcel cfv wne cc0 wceq w3a wex clt wbr nfv eldifad cuni syl2anc
      wa elunii eleqtrrdi wn eldifbd nelne2 necomd 3jca wrex wi nfan nfim eleq1
      simpr2 neeq2 3anbi23d anbi2d fveq2 neeq2d rexbidv imbi12d simpr1 3anbi13d
      neeq1 neeq1d a1i vtoclga mpcom vtoclg1f df-rex sylib mpdan cmin cmpt nfcv
      co eqid cr wf ccn sselda fcnre adantlr caddc 3adant1r adantr stoweidlem23
      simprl simprr fveq1 neeq12d eqeq1d 3anbi123d 3ad2ant1 pm2.43i syl exlimdd
      spcegv cmul crn csup cdiv nfmpt1 weq oveq12d cbvmptv wss 3anbi2d mpteq2dv
      ccmp oveq1d eleq1d chvarvv simpr3 stoweidlem36 ex exlimdv mpd ) AIUNZDUOZ
      FUUFUPZNUUFUPZUQZUUIURUSZUTZIVAZKUNZEUOURFUUNUPVBVCVHKVAZAJUNZDUOZFUUPUPZ
      NUUPUPZUQZVHZUUMJQUUMJVDAFGUOZNGUOZFNUQZUTZUVAJVAZAUVBUVCUVDAFGHUKVEZANLV
      FZGANHUOZHLUONUVHUOUJUINHLVIVGUBVJZANFAUVIFHUOVKNFUQUJAFGHUKVLNFHVMVGVNVO
      AUVEVHZUUTJDVPZUVFUVCUVKUVLAUVBUVCUVDWAAUVBCUNZGUOZFUVMUQZUTZVHZUURUVMUUP
      UPZUQZJDVPZVQZUVKUVLVQCNGUVKUVLCAUVECRUVECVDVRUVLCVDVSUVMNUSZUVQUVKUVTUVL
      UWBUVPUVEAUWBUVNUVCUVOUVDUVBUVMNGVTUVMNFWBWCWDUWBUVSUUTJDUWBUVRUUSUURUVMN
      UUPWEWFWGWHUVBUVQUVTAUVBUVNUVOWIAOUNZGUOZUVNUWCUVMUQZUTZVHZUWCUUPUPZUVRUQ
      ZJDVPZVQZUWAOFGUWCFUSZUWGUVQUWJUVTUWLUWFUVPAUWLUWDUVBUWEUVOUVNUWCFGVTUWCF
      UVMWKWJWDUWLUWIUVSJDUWLUWHUURUVRUWCFUUPWEWLWGWHUWKUWDUHWMWNWOWPWOUUTJDWQW
      RWSAUVAVHZCGUVRUUSWTXCXAZDUOZFUWNUPZNUWNUPZUQZUWQURUSZUTZUUMUWMBCDFGIPUUP
      UWNNAUVACRUVACVDVRCUUPXBUWNXDAUUGGXEUUFXFUVAAUUGVHLMXGXCZGUUFLMTUBUXAXDAD
      UXAUUFUDXHXIXJAUUGPUNZDUOZCGUVMUUFUPZUVMUXBUPZXKXCXADUOUVAUEXLABUNZXEUOZC
      GUXFXADUOZUVAUGXJAUVBUVAUVGXMAUVCUVAUVJXMAUUQUUTXOAUUQUUTXPXNUWTUUMUWOUWR
      UWTUUMVQUWSUULUWTIUWNDUUFUWNUSZUUGUWOUUJUWRUUKUWSUUFUWNDVTUXIUUHUWPUUIUWQ
      FUUFUWNXQNUUFUWNXQZXRUXIUUIUWQURUXJXSXTYEYAYBYCYDAUULUUOIAUULUUOAUULVHBCD
      EFGULPKUUFUMGUMUNZUUFUPZUXLYFXCZXAZCGUVMUXNUPUXNYGXEVBYHZYIXCZXAZLMUXONSC
      GUXPYJCUUFXBCUXNXBAUULCRUULCVDVRTUAUBUMCGUXMUXDUXDYFXCUMCYKUXLUXDUXLUXDYF
      UXKUVMUUFWEZUXRYLYMUXOXDUXQXDALYQUOUULUCXMADUXAYNUULUDXMAULUNZDUOZUXCCGUV
      MUXSUPZUXEYFXCZXAZDUOZUULAUUGUXCUTZCGUXDUXEYFXCZXAZDUOZVQAUXTUXCUTZUYDVQI
      ULIULYKZUYEUYIUYHUYDUYJUUGUXTAUXCUUFUXSDVTYOUYJUYGUYCDUYJCGUYFUYBUYJUXDUY
      AUXEYFUVMUUFUXSXQYRYPYSWHUFYTXLAUXGUXHUULUGXJAUVBUULUVGXMAUVCUULUVJXMAUUG
      UUJUUKWIAUUGUUJUUKWAAUUGUUJUUKUUAUUBUUCUUDUUE $.
  $}

  ${
    $d f g i t G $.  $d f i j t G $.  $d f g A $.  $d f g i t M $.
    $d f g i t T $.  $d f g i ph $.  $d h i j t G $.  $d h A $.
    $d h i j t T $.  $d h i t Z $.  $d j t x M $.  $d j U $.  $d p t T $.
    $d p A $.  $d p P $.  $d p U $.  $d p t Z $.  $d x A $.  $d x T $.
    $d x ph $.
    stoweidlem44.1 $e |- F/ j ph $.
    stoweidlem44.2 $e |- F/ t ph $.
    stoweidlem44.3 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem44.4 $e |- Q = { h e. A | ( ( h ` Z ) = 0 /\
          A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) ) } $.
    stoweidlem44.5 $e |- P = ( t e. T |->
          ( ( 1 / M ) x. sum_ i e. ( 1 ... M ) ( ( G ` i ) ` t ) ) ) $.
    stoweidlem44.6 $e |- ( ph -> M e. NN ) $.
    stoweidlem44.7 $e |- ( ph -> G : ( 1 ... M ) --> Q ) $.
    stoweidlem44.8 $e |- ( ph -> A. t e. ( T \ U ) E. j e. ( 1 ... M ) 0 <
          ( ( G ` j ) ` t ) ) $.
    stoweidlem44.9 $e |- T = U. J $.
    stoweidlem44.10 $e |- ( ph -> A C_ ( J Cn K ) ) $.
    stoweidlem44.11 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem44.12 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem44.13 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweidlem44.14 $e |- ( ph -> Z e. T ) $.
    $( This lemma is used to prove the existence of a function p as in Lemma 1
       of [BrosowskiDeutsh] p. 90: p is in the subalgebra, such that 0 <= p <=
       1, p__(t_0) = 0, and p > 0 on T - U. Z is used to represent t_0 in the
       paper.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem44 $p |- ( ph -> E. p e. A ( A. t e. T
          ( 0 <_ ( p ` t ) /\ ( p ` t ) <_ 1 ) /\ ( p ` Z ) = 0 /\
          A. t e. ( T \ U ) 0 < ( p ` t ) ) ) $=
      ( cv wcel cc0 cfv cle wbr c1 wral wceq clt cdif w3a wex wrex cfz csu cmpt
      wa co cdiv eqid nnrecred wf wss crab ssrab2 eqsstri fss sylancl ccn fcnre
      sselda stoweidlem32 stoweidlem38 ex ralrimi stoweidlem37 cmul nfan df-rex
      nfv r19.21bi sylib cr ad2antrr simpll eldifi ad2antlr stoweidlem15 simp1d
      fzfid an32s fsumrecl syl2anc nnred nngt0d recgt0d csn caddc 0red 3jca cfn
      simprl snfi a1i simpl1 simpl3 adantl simpl2 eqeltrd syl21anc syl readdcld
      elsni fzfi diffi sylan2 recnd breqtrrd 3adant2 wn wi fveq1 breq2d anbi12d
      cun ralbid mp1i 00id simprr cc fveq2 fveq1d sumsn eqbrtrrid simplr simp2d
      ltadd2dd fsumge0 leadd1dd ltletrd cin eldifn imnan mpbi elin mtbir undif1
      c0 nel0 snssi 3ad2ant2 ssequn2 eqtr2id 3adantl2 fsumsplit mulgt0d exlimdd
      stoweidlem30 eleq1 nfmpt1 nfcxfr nfeq2 breq1d eqeq1d spcegv mp2and sylibr
      3anbi123d ) ASUNZDUOZUPCUNZUWCUQZURUSZUWFUTURUSZVKZCGVAZRUWCUQZUPVBZUPUWF
      VCUSZCGHVDZVAZVEZVKZSVFZUWPSDVGAEDUOZUPUWEEUQZURUSZUWTUTURUSZVKZCGVAZREUQ
      ZUPVBZUPUWTVCUSZCUWNVAZVEZUWRABCDEGIJLCGUTQVHVLZUWELUNZNUQZUQZLVIZVJZNCGU
      TQVMVLZVJZQUXPUAUDUXOVNUXQVNUEAQUEVOZAUXJFNVPFDVQUXJDNVPUFFRKUNZUQUPVBUPU
      WEUXSUQZURUSUXTUTURUSVKCGVAVKZKDVRDUCUYAKDVSVTUXJFDNWAWBUJUKULAIUNZDUOVKO
      PWCVLZGUYBOPUBUHUYCVNADUYCUYBUIWEWDZWFZAUXDUXFUXHAUXCCGUAAUWEGUOZUXCACDEF
      UWEGIKLNQRUCUDUEUFUYDWGWHWIACDEFGIKLNQRUCUDUEUFUYDUMWJAUXGCUWNUAAUWEUWNUO
      ZUXGAUYGVKZUPUXPUXNWKVLZUWTVCUYHMUNZUXJUOZUPUWEUYJNUQZUQZVCUSZVKZUPUYIVCU
      SZMAUYGMTUYGMWNWLUYPMWNUYHUYNMUXJVGZUYOMVFAUYQCUWNUGWOUYNMUXJWMWPUYHUYOVK
      ZUXPUXNAUXPWQUOUYGUYOUXRWRUYRAUYFUXNWQUOAUYGUYOWSZUYGUYFAUYOUWEGHWTZXAZAU
      YFVKZUXJUXMLVUBUTQXDVUBUXKUXJUOZVKUXMWQUOZUPUXMURUSZUXMUTURUSZAVUCUYFVUDV
      UEVUFVEZACDFUWEGIKNUXKQRUCUFUYDXBZXEXCZXFXGAUPUXPVCUSUYGUYOAQAQUEXHAQUEXI
      XJWRUYRUPUXJUYJXKZVDZUXMLVIZVUJUXMLVIZXLVLZUXNVCUYRUPUPVUMXLVLZVUNUYRXMZU
      YRUPVUMVUPUYRAUYKUYFVEZVUMWQUOUYRAUYKUYFUYSUYHUYKUYNXPZVUAXNZVUQVUJUXMLVU
      JXOUOVUQUYJXQXRVUQUXKVUJUOZVKZAUYFVUCVUDAUYKUYFVUTXSAUYKUYFVUTXTVVAUXKUYJ
      UXJVUTUXKUYJVBZVUQUXKUYJYGYAAUYKUYFVUTYBYCVUIYDXFZYEZYFUYRVULVUMUYRAUYFVU
      LWQUOZUYSVUAVUBVUKUXMLUXJXOUOVUKXOUOVUBUTQYHUXJVUJYIUUAZUXKVUKUOZVUBVUCVU
      DUXKUXJVUJWTZVUIYJZXFZXGVVDYFUYRUPUPUPXLVLVUOVCUUBUYRUPVUMUPVUPVVDVUPUYRU
      PUYMVUMVCUYHUYKUYNUUCUYRUYKUYMUUDUOVUMUYMVBVURUYRUYMUYRAUYKUYFUYMWQUOZUYS
      VURVUAAUYKVKUYFVKVVKUPUYMURUSUYMUTURUSACDFUWEGIKNUYJQRUCUFUYDXBXCYDYKUXMU
      YMLUYJUXJVVBUWEUXLUYLUXKUYJNUUEUUFUUGXGYLUUKUUHUYRVUQVUOVUNURUSVUSVUQUPVU
      LVUMVUQXMAUYFVVEUYKVVJYMVVCAUYFUPVULURUSUYKVUBVUKUXMLVVFVVIVUBVVGVKZVUDVU
      EVUFVVLAVUCUYFVUGAUYFVVGWSVVGVUCVUBVVHYAAUYFVVGUUIVUHYDUUJUULYMUUMYEUUNUY
      RVUQUXNVUNVBVUSVUQVUKVUJUXMUXJLVUKVUJUUOZUVBVBVUQBVVMBUNZVVMUOVVNVUKUOZVV
      NVUJUOZVKZVVOVVPYNYOVVQYNVVNUXJVUJUUPVVOVVPUUQUURVVNVUKVUJUUSUUTUVCXRVUQV
      UKVUJYSUXJVUJYSZUXJUXJVUJUVAVUQVUJUXJVQZVVRUXJVBUYKAVVSUYFUYJUXJUVDUVEVUJ
      UXJUVFWPUVGVUQUTQXDVUQVUCVKUXMAUYFVUCVUDUYKVUIUVHYKUVIYEYLUVJUVKUYGAUYFUW
      TUYIVBUYTACDEFUWEGIKLNQRUCUDUEUFUYDUVLYJYLWHWIXNAUWSUWSUXIVKZUWRYOUYEUWQV
      VTSEDUWCEVBZUWDUWSUWPUXIUWCEDUVMVWAUWJUXDUWLUXFUWOUXHVWAUWIUXCCGCUWCECECG
      UYIVJUDCGUYIUVNUVOUVPZVWAUWGUXAUWHUXBVWAUWFUWTUPURUWEUWCEYPZYQVWAUWFUWTUT
      URVWCUVQYRYTVWAUWKUXEUPRUWCEYPUVRVWAUWMUXGCUWNVWBVWAUWFUWTUPVCVWCYQYTUWBY
      RUVSYEUVTUWPSDWMUWA $.
  $}

  ${
    $d f g t A $.  $d f g t N $.  $d f g P $.  $d f g t T $.  $d f g ph $.
    $d t x A $.  $d t y A $.  $d t K $.  $d x T $.  $d x ph $.  $d y E $.
    $d y Q $.  $d y T $.  $d y U $.  $d y V $.
    stoweidlem45.1 $e |- F/_ t P $.
    stoweidlem45.2 $e |- F/ t ph $.
    stoweidlem45.3 $e |- V = { t e. T | ( P ` t ) < ( D / 2 ) } $.
    stoweidlem45.4 $e |- Q = ( t e. T |->
          ( ( 1 - ( ( P ` t ) ^ N ) ) ^ ( K ^ N ) ) ) $.
    stoweidlem45.5 $e |- ( ph -> N e. NN ) $.
    stoweidlem45.6 $e |- ( ph -> K e. NN ) $.
    stoweidlem45.7 $e |- ( ph -> D e. RR+ ) $.
    stoweidlem45.8 $e |- ( ph -> D < 1 ) $.
    stoweidlem45.9 $e |- ( ph -> P e. A ) $.
    stoweidlem45.10 $e |- ( ph -> P : T --> RR ) $.
    stoweidlem45.11 $e |- ( ph -> A. t e. T ( 0 <_ ( P ` t ) /\
          ( P ` t ) <_ 1 ) ) $.
    stoweidlem45.12 $e |- ( ph -> A. t e. ( T \ U ) D <_ ( P ` t ) ) $.
    stoweidlem45.13 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    stoweidlem45.14 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem45.15 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem45.16 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweidlem45.17 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem45.18 $e |- ( ph -> ( 1 - E ) <
          ( 1 - ( ( ( K x. D ) / 2 ) ^ N ) ) ) $.
    stoweidlem45.19 $e |- ( ph -> ( 1 / ( ( K x. D ) ^ N ) ) < E ) $.
    $( This lemma proves that, given an appropriate ` K ` (in another theorem
       we prove such a ` K ` exists), there exists a function q_n as in the
       proof of Lemma 1 in [BrosowskiDeutsh] p. 91 ( at the top of page 91): 0
       <= q_n <= 1 , q_n < &epsilon; on T \ U, and q_n > 1 - &epsilon; on
       ` V ` .  We use y to represent the final q_n in the paper (the one with
       n large enough), ` N ` to represent ` n ` in the paper, ` K ` to
       represent ` k ` , ` D ` to represent &delta;, ` E ` to represent
       &epsilon;, and ` P ` to represent ` p ` .  (Contributed by Glauco
       Siliprandi, 20-Apr-2017.) $)
    stoweidlem45 $p |- ( ph -> E. y e. A ( A. t e. T ( 0 <_ ( y ` t ) /\
          ( y ` t ) <_ 1 ) /\ A. t e. V ( 1 - E ) < ( y ` t ) /\
          A. t e. ( T \ U ) ( y ` t ) < E ) ) $=
      ( wcel cc0 cv cfv cle wbr c1 wa wral cmin co clt cdif wrex cexp cmpt eqid
      w3a nnnn0d nnexpcld stoweidlem40 1red cr ffvelrnda cn0 reexpcld nn0expcld
      adantr resubcld r19.21bi simpld simprd exple1 syl31anc lesub2dd eqbrtrrid
      1m1e0 expge0d stoweidlem12 breqtrrd 1m0e1 breqtrdi eqbrtrd jca ex ralrimi
      stoweidlem24 stoweidlem25 nfmpt1 nfcxfr nfeq2 fveq1 breq2d breq1d anbi12d
      0red wceq ralbid 3anbi123d rspcev syl13anc ) AHEUPUQDURZHUSZUTVAZXRVBUTVA
      ZVCZDIVDZVBMVEVFZXRVGVAZDPVDZXRMVGVAZDIJVHZVDZUQXQCURZUSZUTVAZYJVBUTVAZVC
      ZDIVDZYCYJVGVAZDPVDZYJMVGVAZDYGVDZVMZCEVIABDEGHIKLDIVBXQGUSZOVJVFZVEVFZVK
      ZDIVBVKZDIUUAVKZNOVJVFZOQRTUUCVLUUDVLUUEVLUEUFUIUJUKULUAANOUBAOUAVNZVOVPA
      YADIRAXQIUPZYAAUUHVCZXSXTUUIUQUUBUUFVJVFZXRUTUUIUUBUUFUUIVBUUAUUIVQZUUIYT
      OAIVRXQGUFVSZAOVTUPZUUHUUGWCZWAZWDZAUUFVTUPZUUHANOANUBVNZUUGWBWCZUUIUQVBV
      BVEVFUUBUTWLUUIUUAVBVBUUOUUKUUKUUIYTVRUPUQYTUTVAZYTVBUTVAZUUMUUAVBUTVAUUL
      UUIUUTUVAAUUTUVAVCDIUGWEZWFZUUIUUTUVAUVBWGUUNYTOWHWIWJWKZWMADGHINOTUFUUGU
      URWNZWOUUIXRUUJVBUTUVEUUIUUBVRUPUQUUBUTVAUUBVBUTVAUUQUUJVBUTVAUUPUVDUUIUU
      BVBUQVEVFVBUTUUIUQUUAVBUUIXKUUOUUKUUIYTOUULUUNUVCWMWJWPWQUUSUUBUUFWHWIWRW
      SWTXAAYDDPRAXQPUPYDADFGHIMNOPSTUFUUGUURUCUMUNUGXBWTXAAYFDYGRAXQYGUPYFADFG
      HIJMNOTUAUBUCUFUGUHUMUOXCWTXAYSYBYEYHVMCHEYIHXLZYNYBYPYEYRYHUVFYMYADIDYIH
      DHDIUUJVKTDIUUJXDXEXFZUVFYKXSYLXTUVFYJXRUQUTXQYIHXGZXHUVFYJXRVBUTUVHXIXJX
      MUVFYOYDDPUVGUVFYJXRYCVGUVHXHXMUVFYQYFDYGUVGUVFYJXRMVGUVHXIXMXNXOXP $.
  $}

  ${
    $d f g h s t T $.  $d f g q s t T $.  $d f q r s t T $.  $d f q s t x T $.
    $d f g h t A $.  $d f g Q $.  $d f g q s U $.  $d f g h t Z $.
    $d f g s ph $.  $d g h s t w T $.  $d g s W $.  $d q r t A $.
    $d q t x Z $.  $d r s U $.  $d r s ph $.  $d t w J $.  $d t K $.  $d w Q $.
    $d x A $.  $d x U $.  $d x ph $.
    stoweidlem46.1 $e |- F/_ t U $.
    stoweidlem46.2 $e |- F/_ h Q $.
    stoweidlem46.3 $e |- F/ q ph $.
    stoweidlem46.4 $e |- F/ t ph $.
    stoweidlem46.5 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem46.6 $e |- Q = { h e. A | ( ( h ` Z ) = 0 /\
          A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) ) } $.
    stoweidlem46.7 $e |- W = { w e. J | E. h e. Q w =
          { t e. T | 0 < ( h ` t ) } } $.
    stoweidlem46.8 $e |- T = U. J $.
    stoweidlem46.9 $e |- ( ph -> J e. Comp ) $.
    stoweidlem46.10 $e |- ( ph -> A C_ ( J Cn K ) ) $.
    stoweidlem46.11 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem46.12 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem46.13 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweidlem46.14 $e |- ( ( ph /\ ( r e. T /\ t e. T /\ r =/= t ) ) ->
          E. q e. A ( q ` r ) =/= ( q ` t ) ) $.
    stoweidlem46.15 $e |- ( ph -> U e. J ) $.
    stoweidlem46.16 $e |- ( ph -> Z e. U ) $.
    stoweidlem46.17 $e |- ( ph -> T e. _V ) $.
    $( This lemma proves that sets U(t) as defined in Lemma 1 of
       [BrosowskiDeutsh] p. 90, are a cover of T \ U. Using this lemma, in a
       later theorem we will prove that a finite subcover exists.  (Contributed
       by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem46 $p |- ( ph -> ( T \ U ) C_ U. W ) $=
      ( vs cdif cuni cv wcel wex cc0 cfv clt wbr nfv nfan nfcv nfdif nfel2 ccmp
      wa adantr ccn co wss caddc cmpt 3adant1r cmul cr adantlr wne stoweidlem43
      w3a wrex simpr weq eleq1 fveq1 breq2d anbi12d cbvexv1 crab cvv rabexg syl
      sylib ad2antrr eldifi ad2antlr simprr fveq2 elrab sylanbrc wceq simpll c1
      cle wral eleqtrdi eqeq1d breq1d ralbidv simpld ad2ant2r eqid cxr rfcnpre1
      sseldd 0xr a1i syl2anc eqidd rabbidv eqeq2d rspcegf rexbidv nfrab1 nfcxfr
      eqeq1 eleqtrrdi eleq2 spcegf imp syl12anc exlimddv elunif sylibr ex ssrdv
      ) AUOGHUPZNUQZAUOURZUUAUSZUUCUUBUSZAUUDVKZUUCCURZUSZUUGNUSZVKZCUTZUUEUUFJ
      URZFUSZVAUUCUULVBZVCVDZVKZUUKJUUFKURZFUSZVAUUCUUQVBZVCVDZVKZKUTUUPJUTUUFB
      DEFUUCGHIQKLMOPJAUUDQTUUDQVEVFAUUDDUADUUCUUADGHDGVGRVHVIVFSUBUCUEALVJUSUU
      DUFVLAELMVMVNZVOZUUDUGVLAIURZEUSZUULEUSZDGDURZUVDVBZUVGUULVBZVPVNVQEUSUUD
      UHVRAUVEUVFDGUVHUVIVSVNVQEUSUUDUIVRABURZVTUSDGUVJVQEUSUUDUJWAAPURZGUSUVGG
      USUVKUVGWBWDUVKQURZVBUVGUVLVBWBQEWEUUDUKWAAHLUSUUDULVLAOHUSUUDUMVLAUUDWFW
      CUVAUUPKJUVAJVEUUMUUOKKUULFSVIUUOKVEVFKJWGZUURUUMUUTUUOUUQUULFWHUVMUUSUUN
      VAVCUUCUUQUULWIWJWKWLWQUUFUUPVKZVAUVIVCVDZDGWMZWNUSZUUCUVPUSZUVPNUSZUUKAU
      VQUUDUUPAGWNUSUVQUNUVODGWNWOWPWRUVNUUCGUSZUUOUVRUUDUVTAUUPUUCGHWSWTUUFUUM
      UUOXAUVOUUODUUCGDUOWGUVIUUNVAVCUVGUUCUULXBWJXCXDUVNUVPUUGVAUVGUUQVBZVCVDZ
      DGWMZXEZKFWEZCLWMZNUVNUVPLUSZUVPUWCXEZKFWEZUVPUWFUSUVNAUULUVBUSZUWGAUUDUU
      PXFAUUMUWJUUDUUOAUUMVKZEUVBUULAUVCUUMUGVLUWKUVFOUULVBZVAXEZVAUVIXHVDZUVIX
      GXHVDZVKZDGXIZVKZUWKUULOUUQVBZVAXEZVAUWAXHVDZUWAXGXHVDZVKZDGXIZVKZKEWMZUS
      UVFUWRVKUWKUULFUXFAUUMWFZUCXJUXEUWRKUULEUVMUWTUWMUXDUWQUVMUWSUWLVAOUUQUUL
      WIXKUVMUXCUWPDGUVMUXAUWNUXBUWOUVMUWAUVIVAXHUVGUUQUULWIZWJUVMUWAUVIXGXHUXH
      XLWKXMWKXCWQXNXSXOAUWJVKZDUVPVAUULLMGDVAVGDUULVGAUWJDUAUWJDVEVFUBUEUVPXPV
      AXQUSUXIXTYAAUWJWFXRYBAUUMUWIUUDUUOUWKUUMUVPUVPXEZUWIUXGUWKUVPYCUWHUXJKUU
      LFUXJKVEKUULVGSUVMUWCUVPUVPUVMUWBUVODGUVMUWAUVIVAVCUXHWJYDYEYFYBXOUWEUWIC
      UVPLUUGUVPXEZUWDUWHKFUUGUVPUWCYJYGXCXDUDYKUVQUVRUVSVKZUUKUUJUXLCUVPWNCUVP
      VGUVRUVSCUVRCVECUVPNCNUWFUDUWECLYHYIZVIVFUXKUUHUVRUUIUVSUUGUVPUUCYLUUGUVP
      NWHWKYMYNYOYPCUUCNCUUCVGUXMYQYRYSYT $.
  $}

  ${
    $d t J $.  $d t K $.  $d t T $.
    stoweidlem47.1 $e |- F/_ t F $.
    stoweidlem47.2 $e |- F/_ t S $.
    stoweidlem47.3 $e |- F/ t ph $.
    stoweidlem47.4 $e |- T = U. J $.
    stoweidlem47.5 $e |- G = ( T X. { -u S } ) $.
    stoweidlem47.6 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem47.7 $e |- ( ph -> J e. Top ) $.
    stoweidlem47.8 $e |- C = ( J Cn K ) $.
    stoweidlem47.9 $e |- ( ph -> F e. C ) $.
    stoweidlem47.10 $e |- ( ph -> S e. RR ) $.
    $( Subtracting a constant from a real continuous function gives another
       continuous function.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stoweidlem47 $p |- ( ph -> ( t e. T |-> ( ( F ` t ) - S ) ) e. C ) $=
      ( wcel cv cfv caddc co cmpt cmin wa cneg csn cxp fveq1i cr wceq fvconst2g
      renegcld sylan syl5eq oveq2d fcnre ffvelrnda recnd negsubd eqtrd mpteq2da
      cc adantr ccn nfcv nfsn nfxp nfcxfr ctop cuni ctopon a1i istopon sylanbrc
      eleqtrdi cioo crn ctg retopon eqeltri cnconst2 syl3anc eqeltrid refsum2cn
      nfneg eleqtrrdi eqeltrrd ) ABEBUAZFUBZWKGUBZUCUDZUEZBEWLDUFUDZUECABEWNWPL
      AWKETZUGZWNWLDUHZUCUDWPWRWMWSWLUCWRWMWKEWSUIZUJZUBZWSWKGXANUKAWSULTZWQXBW
      SUMADSUOZEWSWKULUNUPUQURWRWLDWRWLAEULWKFACEFHIOMQRUSUTVAADVETWQADSVAVFVBV
      CVDAWOHIVGUDZCABFGHIEJBGXANBEWTBEVHBWSBDKWHVIVJVKLOAHVLTEHVMUMZHEVNUBTZPX
      FAMVOEHVPVQZAFCXERQVRAGXAXENAXGIULVNUBZTZXCXAXETXHXJAIVSVTWAUBXIOWBWCVOXD
      WSHIEULWDWEWFWGQWIWJ $.
  $}

  ${
    $d f g h t A $.  $d f h i t T $.  $d f g F $.  $d f g M $.  $d f g h t U $.
    $d f g Y $.  $d f g ph $.  $d g h t T $.  $d i j k t $.  $d i j k D $.
    $d i j E $.  $d i j k M $.  $d i t U $.  $d i j W $.  $d j t w $.
    $d j k F $.  $d j k ph $.  $d w M $.  $d w W $.  $d w ph $.
    stoweidlem48.1 $e |- F/ i ph $.
    stoweidlem48.2 $e |- F/ t ph $.
    stoweidlem48.3 $e |- Y = { h e. A | A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t
                           ) <_ 1 ) } $.
    stoweidlem48.4 $e |- P = ( f e. Y , g e. Y |-> ( t e. T |-> ( ( f ` t )
                           x. ( g ` t ) ) ) ) $.
    stoweidlem48.5 $e |- X = ( seq 1 ( P , U ) ` M ) $.
    stoweidlem48.6 $e |- F = ( t e. T |-> ( i e. ( 1 ... M ) |-> ( ( U ` i )
                           ` t ) ) ) $.
    stoweidlem48.7 $e |- Z = ( t e. T |-> ( seq 1 ( x. , ( F ` t ) ) ` M ) ) $.
    stoweidlem48.8 $e |- ( ph -> M e. NN ) $.
    stoweidlem48.9 $e |- ( ph -> W : ( 1 ... M ) --> V ) $.
    stoweidlem48.10 $e |- ( ph -> U : ( 1 ... M ) --> Y ) $.
    stoweidlem48.11 $e |- ( ph -> D C_ U. ran W ) $.
    stoweidlem48.12 $e |- ( ph -> D C_ T ) $.
    stoweidlem48.13 $e |- ( ( ph /\ i e. ( 1 ... M ) ) -> A. t e. ( W ` i ) (
                            ( U ` i ) ` t ) < E ) $.
    stoweidlem48.14 $e |- ( ph -> T e. _V ) $.
    stoweidlem48.15 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    stoweidlem48.16 $e |- ( ( ph /\ f e. A /\ g e. A ) -> ( t e. T |-> ( ( f
                            ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem48.17 $e |- ( ph -> E e. RR+ ) $.
    $( This lemma is used to prove that ` x ` built as in Lemma 2 of
       [BrosowskiDeutsh] p. 91, is such that x < &epsilon; on ` A ` .  Here
       ` X ` is used to represent ` x ` in the paper, ` E ` is used to
       represent &epsilon; in the paper, and ` D ` is used to represent ` A `
       in the paper (because ` A ` is always used to represent the subalgebra).
       (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem48 $p |- ( ph -> A. t e. D ( X ` t ) < E ) $=
      ( vk vj vw cv cfv clt wbr wcel wa wceq sselda cc0 c1 wral crab nfra1 nfcv
      cle nfrabw nfcxfr cr eleq2i weq fveq1 breq2d breq1d anbi12d ralbidv elrab
      wf sylbb simpld sylan2 cmul co cmpt eqid stoweidlem16 fmuldfeq syldan cuz
      cseq cn elnnuz sylib adantr cfz nfv nfan ffvelrnda elrab2 simpl jca eleq1
      anbi2d feq1 imbi12d vtoclg sylc adantlr simplr ffvelrnd fmptdf simpr ovex
      wi cvv mptexg fvmpt2 syl2anc nffv simprd r19.21bi syl21anc fveq1d eqbrtrd
      wrex ex mpd w3a nfim fveq2 chvarfv reximdva mp1i feq1d mpbird seqcl nfmpt
      remulcl adantl nfmpt1 simpll eqtrd breqtrrd crp crn wex cuni eluni wfn wb
      ffn fvelrnb biimpa adantrl eleqtrrd reximdv adantrr exlimdv simplll nf3an
      eleq2d 3anbi23d 3impa syl3anc nfeq1 eqeq12d biimprd fmul01lt1 ralrimi
      3syl ) ABUTZQVAZLVBVCZBDUAAUVSDVDZUWAAUWBVEZUVTUVSSVAZLVBAUWBUVSFVDZUVTUW
      DVFADFUVSUKVGZABEFGHIKMNQRSTBRVHUVSJUTZVAZVNVCZUWHVIVNVCZVEZBFVJZJCVKZUBU
      WLBJCUWKBFVLBCVMVOVPUCUDUEUFUMUGUIHUTZRVDZAUWNCVDZFVQUWNWFZUWOUWPVHUVSUWN
      VAZVNVCZUWRVIVNVCZVEZBFVJZUWOUWNUWMVDUWPUXBVERUWMUWNUBVRUWLUXBJUWNCJHVSZU
      WKUXABFUXCUWIUWSUWJUWTUXCUWHUWRVHVNUVSUWGUWNVTZWAUXCUWHUWRVIVNUXDWBWCWDWE
      WGWHUNWIABCFHIJBFUWRUVSIUTVAWJWKWLZRUAUBUXEWMUNUOWNWOWPUWCUWDNWJUVSMVAZVI
      WRZVAZLVBUWCUWEUXHVQVDUWDUXHVFUWFUWCUQURWJVQUXFVINANVIWQVAVDZUWBANWSVDZUX
      IUGNWTXAXBUWCVINXCWKZVQUQUTZUXFAUWBUWEUXKVQUXFWFZUWFAUWEVEZUXMUXKVQKUXKUV
      SKUTZGVAZVAZWLZWFUXNKUXKUXQVQUXRAUWEKTUWEKXDXEUXNUXOUXKVDZVEFVQUVSUXPAUXS
      FVQUXPWFZUWEAUXSVEZUXPCVDZAUYBVEZUXTUYAUYBVHUXQVNVCZUXQVIVNVCZVEZBFVJZUYA
      UXPRVDUYBUYGVEAUXKRUXOGUIXFUWLUYGJUXPCRUWGUXPVFZUWKUYFBFUYHUWIUYDUWJUYEUY
      HUWHUXQVHVNUVSUWGUXPVTZWAUYHUWHUXQVIVNUYIWBWCWDUBXGXAZWHZUYAAUYBAUXSXHUYK
      XIAUWPVEZUWQYBUYCUXTYBHUXPCUWNUXPVFZUYLUYCUWQUXTUYMUWPUYBAUWNUXPCXJXKFVQU
      WNUXPXLXMUNXNXOXPAUWEUXSXQXRZUXRWMZXSUXNUXKVQUXFUXRUXNUWEUXRYCVDZUXFUXRVF
      AUWEXTUXKYCVDUYPUXNVINXCYAKUXKUXQYCYDUUABFUXRYCMUEYEYFZUUBUUCWPZXFUXLVQVD
      URUTZVQVDVEUXLUYSWJWKVQVDUWCUXLUYSUUFUUGUUDBFUXHVQSUFYEYFUWCUXGUXFKURLNKU
      VSMKMBFUXRWLUEKBFUXRKFVMKUXKUXQUUHUUEVPKUVSVMYGZAUWBKTUWBKXDXEZURUXGVMUXG
      WMAUXJUWBUGXBUYRUWCUXSVEZVHUXQUXOUXFVAZVNVUBAUXSUWEUYDAUWBUXSUUIZUWCUXSXT
      ZUWCUWEUXSUWFXBZUYAUWEVEZUYDUYEUYAUYFBFUYAUYBUYGUYJYHYIZWHYJVUBVUCUXOUXRV
      AZUXQVUBAUWEVUCVUIVFVUDVUFUXNUXOUXFUXRUYQYKYFVUBUXSUXQVQVDZVUIUXQVFVUEVUB
      AUWEUXSVUJVUDVUFVUEUYNYJKUXKUXQVQUXRUYOYEYFUUJZUUKVUBVUCUXQVIVNVUKVUBAUXS
      UWEUYEVUDVUEVUFVUGUYDUYEVUHYHYJYLALUULVDUWBUPXBUWCUVSUYSGVAZVAZLVBVCZURUX
      KYMZUYSUXFVAZLVBVCZURUXKYMUWCUVSUYSPVAZVDZURUXKYMZVUOUWCUVSUSUTZVDZVVAPUU
      MZVDZVEZUSUUNZVUTUWCUVSVVCUUOZVDVVFADVVGUVSUJVGUSUVSVVCUUPXAAVVFVUTYBUWBA
      VVEVUTUSAVVEVUTAVVEVEVURVVAVFZURUXKYMZVUTAVVDVVIVVBAVVDVVIAUXKOPWFPUXKUUQ
      VVDVVIUURUHUXKOPUUSURUXKVVAPUUTUVRUVAUVBAVVBVVIVUTYBVVDAVVBVEZVVHVUSURUXK
      VVJVVHVUSVVJVVHVEUVSVVAVURAVVBVVHXQVVJVVHXTUVCYNUVDUVEYOYNUVFXBYOUWCVUSVU
      NURUXKUWCUYSUXKVDZVEZVUSVUNVVLVUSVEAVVKVUSVUNAUWBVVKVUSUVGUWCVVKVUSXQVVLV
      USXTAUXSUVSUXOPVAZVDZYPZUXQLVBVCZYBAVVKVUSYPZVUNYBKURVVQVUNKAVVKVUSKTVVKK
      XDZVUSKXDUVHVUNKXDYQKURVSZVVOVVQVVPVUNVVSUXSVVKVVNVUSAUXOUYSUXKXJZVVSVVMV
      URUVSUXOUYSPYRUVIUVJVVSUXQVUMLVBVVSUVSUXPVULUXOUYSGYRYKZWBXMAUXSVVNVVPUYA
      VVPBVVMULYIUVKYSUVLYNYTYOUWCVUNVUQURUXKVVLVUQVUNVVLVUPVUMLVBVUBVUCUXQVFZY
      BVVLVUPVUMVFZYBKURVVLVWCKUWCVVKKVUAVVRXEKVUPVUMKUYSUXFUYTKUYSVMYGUVMYQVVS
      VUBVVLVWBVWCVVSUXSVVKUWCVVTXKVVSVUCVUPUXQVUMUXOUYSUXFYRVWAUVNXMVUKYSWBUVO
      YTYOUVPYLYLYNUVQ $.
  $}

  ${
    $d f g k n t A $.  $d f g k n t D $.  $d f g k n t E $.  $d f g P $.
    $d f g k n t T $.  $d f g k n ph $.  $d i j k x D $.  $d i k n x D $.
    $d i k n x E $.  $d i k n x ph $.  $d k n t y A $.  $d k n y U $.
    $d k n y V $.  $d t x A $.  $d x T $.  $d y E $.  $d y P $.  $d y T $.
    stoweidlem49.1 $e |- F/_ t P $.
    stoweidlem49.2 $e |- F/ t ph $.
    stoweidlem49.3 $e |- V = { t e. T | ( P ` t ) < ( D / 2 ) } $.
    stoweidlem49.4 $e |- ( ph -> D e. RR+ ) $.
    stoweidlem49.5 $e |- ( ph -> D < 1 ) $.
    stoweidlem49.6 $e |- ( ph -> P e. A ) $.
    stoweidlem49.7 $e |- ( ph -> P : T --> RR ) $.
    stoweidlem49.8 $e |- ( ph -> A. t e. T ( 0 <_ ( P ` t ) /\
          ( P ` t ) <_ 1 ) ) $.
    stoweidlem49.9 $e |- ( ph -> A. t e. ( T \ U ) D <_ ( P ` t ) ) $.
    stoweidlem49.10 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    stoweidlem49.11 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem49.12 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem49.13 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweidlem49.14 $e |- ( ph -> E e. RR+ ) $.
    $( There exists a function q_n as in the proof of Lemma 1 in
       [BrosowskiDeutsh] p. 91 (at the top of page 91): 0 <= q_n <= 1 , q_n <
       &epsilon; on ` T \ U ` , and q_n > 1 - &epsilon; on ` V ` .  Here y is
       used to represent the final q_n in the paper (the one with n large
       enough), ` N ` represents ` n ` in the paper, ` K ` represents ` k ` ,
       ` D ` represents &delta;, ` E ` represents &epsilon;, and ` P `
       represents ` p ` .  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem49 $p |- ( ph -> E. y e. A ( A. t e. T ( 0 <_ ( y ` t ) /\
          ( y ` t ) <_ 1 ) /\ A. t e. V ( 1 - E ) < ( y ` t ) /\
           A. t e. ( T \ U ) ( y ` t ) < E ) ) $=
      ( vk vn vj vi c1 cmin co cv cmul c2 cdiv cexp clt wbr wa wrex cc0 cfv cle
      cn wral cdif w3a crab breq2 cbvrabv stoweidlem14 wcel cmpt eqid cr adantl
      cn0 nnre rpred adantr remulcld simprl rehalfcld nngt0 rpgt0d mulgt0d 2pos
      crp 2re pm3.2i divgt0 syl21anc elrpd simprr ad2antrr stoweidlem7 reximdva
      a1i ex mpd nfan simplrr simplrl wf ad4ant14 simp1ll syld3an1 stoweidlem45
      nfv caddc rexlimdvva ) AULLUMUNZULUHUOZFUPUNZUQURUNZUIUOZUSUNUMUNUTVAZULX
      QXSUSUNURUNLUTVAZVBZUIVGVCZUHVGVCZVDDUOZCUOVEZVFVAYFULVFVAVBDHVHXOYFUTVAD
      MVHYFLUTVADHIVIZVHVJCEVCZAULXQUTVAZXRULUTVAZVBZUHVGVCYDAULFURUNZUJUOZUTVA
      ZUJVGVKFUKUHYNYLUKUOZUTVAUJUKVGYMYOYLUTVLVMQRVNAYKYCUHVGAXPVGVOZVBZYKYCYQ
      YKVBXQXRUKUILUKVTULXQURUNYOUSUNVPZUKVTXRYOUSUNVPZYRVQYSVQYQXQVRVOZYKYQXPF
      YPXPVRVOAXPWAVSZAFVRVOYPAFQWBWCZWDZWCYQYIYJWEYQXRWKVOYKYQXRYQXQUUCWFYQYTV
      DXQUTVAUQVRVOZVDUQUTVAZVBZVDXRUTVAUUCYQXPFUUAUUBYPVDXPUTVAAXPWGVSAVDFUTVA
      YPAFQWHWCWIUUFYQUUDUUEWLWJWMXAXQUQWNWOWPWCYQYIYJWQALWKVOZYPYKUGWRWSXBWTXC
      AYBYHUHUIVGVGAYPXSVGVOZVBZVBZYBYHUUJYBVBZBCDEFGDHULYEGVEZXSUSUNUMUNXPXSUS
      UNUSUNVPZHIJKLXPXSMNUUJYBDAUUIDOUUIDXLXDYBDXLXDPUUMVQAYPUUHYBXEAYPUUHYBXF
      AFWKVOUUIYBQWRAFULUTVAUUIYBRWRAGEVOUUIYBSWRAHVRGXGUUIYBTWRAVDUULVFVAUULUL
      VFVAVBDHVHUUIYBUAWRAFUULVFVADYGVHUUIYBUBWRAJUOZEVOZHVRUUNXGUUIYBUCXHAUUOU
      UKKUOZEVOZDHYEUUNVEZYEUUPVEZXMUNVPEVOAUUIYBUUOUUQXIZUDXJAUUOUUKUUQDHUURUU
      SUPUNVPEVOUUTUEXJABUOZVRVODHUVAVPEVOUUIYBUFXHAUUGUUIYBUGWRUUJXTYAWEUUJXTY
      AWQXKXBXNXC $.
  $}

  ${
    $d c u J $.  $d c u T $.  $d c u U $.  $d c u W $.  $d f g h t T $.
    $d f g q t T $.  $d f q r t A $.  $d f q t x T $.  $d f g Q $.
    $d f g q U $.  $d f g h t Z $.  $d f g q ph $.  $d g h t w T $.
    $d g h t A $.  $d g W $.  $d q t x Z $.  $d r t T $.  $d r U $.  $d r ph $.
    $d t w J $.  $d t K $.  $d u ph $.  $d w Q $.  $d x A $.  $d x U $.
    $d x ph $.
    stoweidlem50.1 $e |- F/_ t U $.
    stoweidlem50.2 $e |- F/ t ph $.
    stoweidlem50.3 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem50.4 $e |- Q = { h e. A | ( ( h ` Z ) = 0 /\
          A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) ) } $.
    stoweidlem50.5 $e |- W = { w e. J | E. h e. Q w =
          { t e. T | 0 < ( h ` t ) } } $.
    stoweidlem50.6 $e |- T = U. J $.
    stoweidlem50.7 $e |- C = ( J Cn K ) $.
    stoweidlem50.8 $e |- ( ph -> J e. Comp ) $.
    stoweidlem50.9 $e |- ( ph -> A C_ C ) $.
    stoweidlem50.10 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem50.11 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem50.12 $e |- ( ( ph /\ x e. RR ) ->
          ( t e. T |-> x ) e. A ) $.
    stoweidlem50.13 $e |- ( ( ph /\ ( r e. T /\ t e. T /\ r =/= t ) ) ->
          E. q e. A ( q ` r ) =/= ( q ` t ) ) $.
    stoweidlem50.14 $e |- ( ph -> U e. J ) $.
    stoweidlem50.15 $e |- ( ph -> Z e. U ) $.
    $( This lemma proves that sets U(t) as defined in Lemma 1 of
       [BrosowskiDeutsh] p. 90, contain a finite subcover of T \ U.
       (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem50 $p |- ( ph -> E. u ( u e. Fin /\ u C_ W /\
          ( T \ U ) C_ U. u ) ) $=
      ( vc cdif cuni wss cv cfn wcel w3a wex cfv cc0 wceq cle c1 wa wral nfrab1
      wbr crab nfcxfr nfv ccn co sseqtrdi cvv ccmp uniexd eqeltrid stoweidlem46
      cpw cin wrex crest ccld dfin4 elssuni syl sseqtrrdi sseqin2 sylib eqtr3id
      wi eqeltrd wb cmptop difssd iscld2 syl2anc mpbird cmpcld cmpsub mpbid clt
      ctop ssrab2 eqsstri rabexd elpwg mpbiri unieq sseq2d pweq rexeqdv imbi12d
      ineq1d rspccva imp df-rex elinel2 ad2antrl elinel1 elpwid simprr 3jca mpd
      ex eximdv mpdan ) AIJUPZPUQZURZDUSZUTVAZYPPURZYMYPUQURZVBZDVCZABCEFHIJKLM
      NOPQRSTMHQMUSZVDVEVFVEEUSUUBVDZVGVLUUCVHVGVLVIEIVJVIZMFVMUCUUDMFVKVNASVOU
      AUBUCUDUEUGAFGNOVPVQUHUFVRUIUJUKULUMUNAINUQZVSUEANVTUGWAWBWCAYOVIZYPPWDZU
      TWEZVAZYSVIZDVCZUUAUUFYSDUUHWFZUUKAYOUULAYMUOUSZUQZURZYSDUUMWDZUTWEZWFZWP
      ZUONWDZVJZPUUTVAZYOUULWPZANYMWGVQVTVAZUVAANVTVAZYMNWHVDVAZUVDUGAUVFIYMUPZ
      NVAZAUVGJNAUVGIJWEZJIJWIAJIURUVIJVFAJUUEIAJNVAJUUEURUMJNWJWKUEWLJIWMWNWOU
      MWQANXHVAZYMIURZUVFUVHWRAUVEUVJUGNWSWKZAIJWTZYMNIUEXAXBXCYMNXDXBAUVJUVKUV
      DUVAWRUVLUVMYMNIUODUEXEXBXFAUVBPNURZPCUSVEUUCXGVLEIVMVFMHWFZCNVMNUDUVOCNX
      IXJAPVSVAUVBUVNWRAUVOCNPVTUDUGXKPNVSXLWKXMUUSUVCUOPUUTUUMPVFZUUOYOUURUULU
      VPUUNYNYMUUMPXNXOUVPYSDUUQUUHUVPUUPUUGUTUUMPXPXSXQXRXTXBYAYSDUUHYBWNUUFUU
      JYTDUUFUUJYTUUFUUJVIZYQYRYSUUIYQUUFYSYPUUGUTYCYDUVQYPPUUIYPUUGVAUUFYSYPUU
      GUTYEYDYFUUFUUIYSYGYHYJYKYIYL $.
  $}

  ${
    $d f g h t A $.  $d f h i t M $.  $d f g F $.  $d f g h t T $.
    $d f g h t U $.  $d f g Y $.  $d f g ph $.  $d g h t M $.  $d i w T $.
    $d i B $.  $d i D $.  $d i E $.  $d i t U $.  $d i w W $.  $d t x A $.
    $d x B $.  $d x D $.  $d x E $.  $d x T $.  $d x X $.
    stoweidlem51.1 $e |- F/ i ph $.
    stoweidlem51.2 $e |- F/ t ph $.
    stoweidlem51.3 $e |- F/ w ph $.
    stoweidlem51.4 $e |- F/_ w V $.
    stoweidlem51.5 $e |- Y = { h e. A | A. t e. T ( 0 <_ ( h ` t ) /\
          ( h ` t ) <_ 1 ) } $.
    stoweidlem51.6 $e |- P = ( f e. Y , g e. Y |-> ( t e. T |->
          ( ( f ` t ) x. ( g ` t ) ) ) ) $.
    stoweidlem51.7 $e |- X = ( seq 1 ( P , U ) ` M ) $.
    stoweidlem51.8 $e |- F = ( t e. T |-> ( i e. ( 1 ... M ) |->
          ( ( U ` i ) ` t ) ) ) $.
    stoweidlem51.9 $e |- Z = ( t e. T |-> ( seq 1 ( x. , ( F ` t ) ) ` M ) ) $.
    stoweidlem51.10 $e |- ( ph -> M e. NN ) $.
    stoweidlem51.11 $e |- ( ph -> W : ( 1 ... M ) --> V ) $.
    stoweidlem51.12 $e |- ( ph -> U : ( 1 ... M ) --> Y ) $.
    stoweidlem51.13 $e |- ( ( ph /\ w e. V ) -> w C_ T ) $.
    stoweidlem51.14 $e |- ( ph -> D C_ U. ran W ) $.
    stoweidlem51.15 $e |- ( ph -> D C_ T ) $.
    stoweidlem51.16 $e |- ( ph -> B C_ T ) $.
    stoweidlem51.17 $e |- ( ( ph /\ i e. ( 1 ... M ) ) ->
          A. t e. ( W ` i ) ( ( U ` i ) ` t ) < ( E / M ) ) $.
    stoweidlem51.18 $e |- ( ( ph /\ i e. ( 1 ... M ) ) ->
          A. t e. B ( 1 - ( E / M ) ) < ( ( U ` i ) ` t ) ) $.
    stoweidlem51.19 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem51.20 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    stoweidlem51.21 $e |- ( ph -> T e. _V ) $.
    stoweidlem51.22 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem51.23 $e |- ( ph -> E < ( 1 / 3 ) ) $.
    $( There exists a function x as in the proof of Lemma 2 in
       [BrosowskiDeutsh] p. 91.  Here ` D ` is used to represent ` A ` in the
       paper, because here ` A ` is used for the subalgebra of functions. ` E `
       is used to represent &epsilon; in the paper.  (Contributed by Glauco
       Siliprandi, 20-Apr-2017.) $)
    stoweidlem51 $p |- ( ph -> E. x ( x e. A /\
          ( A. t e. T ( 0 <_ ( x ` t ) /\ ( x ` t ) <_ 1 ) /\
           A. t e. D ( x ` t ) < E /\ A. t e. B ( 1 - E ) < ( x ` t ) ) ) ) $=
      ( wcel cc0 cv cfv cle wbr c1 wa wral clt cmin w3a wex crab ssrab2 eqsstri
      co 1zzd nnzd nnge1d nnred leidd cmul cmpt eqid stoweidlem16 fmulcl sselid
      elfzd eleq2i cseq nfcv cmpo nfrab1 nfcxfr nfmpo nfseq nffv nfbr nfan wceq
      nfralw nfra1 nfrabw nfmpt1 nfeq2 fveq1 breq2d breq1d anbi12d ralbid bitri
      elrabf sylib simprd cfz nfv cr wf ffvelrnda ralbidv elrab2 simplbi syl wi
      cdiv eleq1 anbi2d feq1 imbi12d a1i wss jca sylc ad2antrr simpl nfel2 nfim
      vtoclga anabsi7 syldan adantr sseq1 vtoclg1f sselda ffvelrnd rpred nnne0d
      wne redivcld r19.21bi wb 1red 0lt1 nngt0d rpregt0d lediv2 syl221anc mpbid
      rpcnd div1d breqtrd ltletrd ralrimi stoweidlem48 sylan2 stoweidlem42 3jca
      ex sseli 3anbi123d spcegv ) ATEVFZUVRVGDVHZTVIZVJVKZUVTVLVJVKZVMZDIVNZUVT
      OVOVKZDGVNZVLOVPWBZUVTVOVKZDFVNZVQZVMZBVHZEVFZVGUVSUWLVIZVJVKZUWNVLVJVKZV
      MZDIVNZUWNOVOVKZDGVNZUWGUWNVOVKZDFVNZVQZVMZBVRAUAETUAVGUVSMVHZVIZVJVKZUXF
      VLVJVKZVMZDIVNZMEVSZEUGUXJMEVTWAZADHIJKLQQTUAUHUIAQVLQAWCAQULWDZUXMAQULWE
      ZAQAQULWFZWGWNUNADEIKLMDIUVSKVHZVIUVSLVHVIWHWBZWIZUAUDUGUXRWJVBVAWKZVCWLZ
      WMZAUVRUWJUYAAUWDUWFUWIAUVRUWDATUAVFZUVRUWDVMZUXTUYBTUXKVFUYCUAUXKTUGWOUX
      JUWDMTEMTQHJVLWPZVIZUIMQUYDMHJVLMVLWQZMHKLUAUAUXRWRZUHKLMUAUAUXRMUAUXKUGU
      XJMEWSWTZUYHMUXRWQXAWTMJWQXBMQWQXCWTZMEWQUWCMDIMIWQUWAUWBMMVGUVTVJMVGWQMV
      JWQZMUVSTUYIMUVSWQXCZXDMUVTVLVJUYKUYJUYFXDXEXGUXETXFZUXIUWCDIDUXETDTUYEUI
      DQUYDDHJVLDVLWQDHUYGUHKLDUAUAUXRDUAUXKUGUXJDMEUXIDIXHDEWQXIWTZUYMDIUXQXJX
      AWTDJWQXBDQWQXCWTZXKUYLUXGUWAUXHUWBUYLUXFUVTVGVJUVSUXETXLZXMUYLUXFUVTVLVJ
      UYOXNXOXPXRXQXSXTADEGHIJKLMNOPQRSTUAUBUCUDUGUHUIUJUKULUMUNUPUQANVHZVLQYAW
      BZVFZVMZUVSUYPJVIZVIZOVOVKZDUYPSVIZAUYRDUDUYRDYBXEUYSUVSVUCVFZVUBUYSVUDVM
      ZVUAOQYKWBZOVUEIYCUVSUYTUYSIYCUYTYDZVUDAUYRUYTEVFZVUGUYSUYTUAVFZVUHAUYQUA
      UYPJUNYEVUIVUHVGVUAVJVKZVUAVLVJVKZVMZDIVNZUXJVUMMUYTEUAUXEUYTXFZUXIVULDIV
      UNUXGVUJUXHVUKVUNUXFVUAVGVJUVSUXEUYTXLZXMVUNUXFVUAVLVJVUOXNXOYFUGYGYHYIAV
      UHVUGAUXPEVFZVMZIYCUXPYDZYJZAVUHVMZVUGYJKUYTEUXPUYTXFZVUQVUTVURVUGVVAVUPV
      UHAUXPUYTEYLYMIYCUXPUYTYNYOVUSVUPVBYPUUDUUEUUFUUGUYSVUCIUVSUYSVUCRVFZAVVB
      VMZVUCIYQZAUYQRUYPSUMYEZUYSAVVBAUYRUUAVVEYRACVHZRVFZVMZVVFIYQZYJVVCVVDYJC
      VUCRVVCVVDCAVVBCUECVUCRUFUUBXEVVDCYBUUCVVFVUCXFZVVHVVCVVIVVDVVJVVGVVBAVVF
      VUCRYLYMVVFVUCIUUHYOUOUUIYSUUJUUKVUEOQAOYCVFZUYRVUDAOVDUULYTZAQYCVFZUYRVU
      DUXOYTAQVGUUNUYRVUDAQULUUMYTUUOVVLUYSVUAVUFVOVKDVUCUSUUPAVUFOVJVKUYRVUDAV
      UFOVLYKWBZOVJAVLQVJVKZVUFVVNVJVKZUXNAVLYCVFVGVLVOVKZVVMVGQVOVKVVKVGOVOVKV
      MVVOVVPUUQAUURVVQAUUSYPUXOAQULUUTAOVDUVAVLQOUVBUVCUVDAOAOVDUVEUVFUVGYTUVH
      UVNUVIVCVBVAVDUVJADFHIJKLNOPQTUAUBUCUDUYMUHUIUJUKULUNUTVDVEUXPUAVFAVUPVUR
      UAEUXPUXLUVOVBUVKUXSVCURUVLUVMYRUXDUWKBTEUWLTXFZUWMUVRUXCUWJUWLTEYLVVRUWR
      UWDUWTUWFUXBUWIVVRUWQUWCDIDUWLTUYNXKZVVRUWOUWAUWPUWBVVRUWNUVTVGVJUVSUWLTX
      LZXMVVRUWNUVTVLVJVVTXNXOXPVVRUWSUWEDGVVSVVRUWNUVTOVOVVTXNXPVVRUXAUWHDFVVS
      VVRUWNUVTUWGVOVVTXMXPUVPXOUVQYS $.
  $}

  ${
    $d a e t y $.  $d a t y A $.  $d a t D $.  $d a t y T $.  $d a y U $.
    $d a e y V $.  $d a e y ph $.  $d e f g t y $.  $d e t v x $.
    $d f g t y A $.  $d f g t D $.  $d f g y P $.  $d f g t y T $.
    $d f g y U $.  $d f g y V $.  $d f g y ph $.  $d t v Z $.  $d v A $.
    $d v J $.  $d v x T $.  $d v x U $.  $d v x V $.  $d x y A $.
    stoweidlem52.1 $e |- F/_ t U $.
    stoweidlem52.2 $e |- F/ t ph $.
    stoweidlem52.3 $e |- F/_ t P $.
    stoweidlem52.4 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem52.5 $e |- V = { t e. T | ( P ` t ) < ( D / 2 ) } $.
    stoweidlem52.7 $e |- T = U. J $.
    stoweidlem52.8 $e |- C = ( J Cn K ) $.
    stoweidlem52.9 $e |- ( ph -> A C_ C ) $.
    stoweidlem52.10 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem52.11 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t )
                     x. ( g ` t ) ) ) e. A ) $.
    stoweidlem52.12 $e |- ( ( ph /\ a e. RR ) -> ( t e. T |-> a ) e. A ) $.
    stoweidlem52.13 $e |- ( ph -> D e. RR+ ) $.
    stoweidlem52.14 $e |- ( ph -> D < 1 ) $.
    stoweidlem52.15 $e |- ( ph -> U e. J ) $.
    stoweidlem52.16 $e |- ( ph -> Z e. U ) $.
    stoweidlem52.17 $e |- ( ph -> P e. A ) $.
    stoweidlem52.18 $e |- ( ph -> A. t e. T ( 0 <_ ( P ` t ) /\
          ( P ` t ) <_ 1 ) ) $.
    stoweidlem52.19 $e |- ( ph -> ( P ` Z ) = 0 ) $.
    stoweidlem52.20 $e |- ( ph -> A. t e. ( T \ U ) D <_ ( P ` t ) ) $.
    $( There exists a neighborhood V as in Lemma 1 of [BrosowskiDeutsh] p. 90.
       Here Z is used to represent t_0 in the paper, and v is used to represent
       V in the paper.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem52 $p |- ( ph -> E. v e. J ( ( Z e. v /\ v C_ U ) /\
          A. e e. RR+ E. x e. A ( A. t e. T ( 0 <_ ( x ` t ) /\
          ( x ` t ) <_ 1 ) /\ A. t e. v ( x ` t ) < e /\
          A. t e. ( T \ U ) ( 1 - e ) < ( x ` t ) ) ) ) $=
      ( vy wcel wss wa cc0 cv cfv cle wbr c1 wral clt cmin co cdif w3a wrex crp
      c2 cdiv nfcv rpred rehalfcld rexrd ccn sseqtrdi sseldd rfcnpre2 crab cuni
      elssuni syl sseqtrrdi 2re a1i rpgt0d 2pos divgt0d eqbrtrd nffv nfbr fveq2
      cr wceq breq1d elrabf sylanbrc eleqtrrdi nfrab1 nfcxfr wn wf fcnre adantr
      rabeq2i biimpi adantl simpld ffvelrnd simprd halfpos mpbid lttrd ad2antrr
      wb anim1i eldif sylibr rsp sylc lensymd cmpt nfv nfan eqid sselda syl2anc
      nfra1 sylan syl3an1 adantlr 3adant1r anbi12d condan ex ssrd nf3an eqsstri
      ssrab2 simplr simplll caddc cmul simpllr simpr1 simpr2 stoweidlem41 simpr
      simpr3 stoweidlem49 r19.29a ralrimiva jca31 eleq2 3anbi2d rexbidv ralbidv
      sseq1 raleqf rspcev ) APNUSQPUSZPJUTZVAZVBDVCZBVCVDZVEVFUVLVGVEVFVADIVHZU
      VLKVCZVIVFZDPVHZVGUVNVJVKZUVLVIVFDIJVLZVHZVMZBEVNZKVOVHZVAZQCVCZUSZUWDJUT
      ZVAZUVMUVODUWDVHZUVSVMZBEVNZKVOVHZVAZCNVNADPGVPVQVKZHNOIDUWMVRZUATUBUDUCA
      UWMAGAGUJVSZVTZWAAENOWBVKZHAEFUWQUFUEWCUNWDWEAUVHUVIUWBAQUVKHVDZUWMVIVFZD
      IWFZPAQIUSQHVDZUWMVIVFZQUWTUSAJIQAJNWGZIAJNUSJUXCUTULJNWHWIUDWJUMWDAUXAVB
      UWMVIUPAGVPUWOVPWTUSAWKWLAGUJWMZVBVPVIVFAWNWLWOWPUWSUXBDQIDQVRZDIVRDUXAUW
      MVIDQHUAUXEWQDVIVRUWNWRUVKQXAUWRUXAUWMVIUVKQHWSXBXCXDUCXEADPJTDPUWTUCUWSD
      IXFXGZSAUVKPUSZUVKJUSZAUXGVAZUXHUWRGVIVFZUXIUXJUXHXHZUXIUWRUWMGUXIIWTUVKH
      AIWTHXIZUXGAFIHNOUBUDUEAEFHUFUNWDXJZXKUXIUVKIUSZUWSUXGUXNUWSVAZAUXGUXOUWS
      DPIUCXLXMXNZXOZXPZAUWMWTUSUXGUWPXKAGWTUSZUXGUWOXKUXIUXNUWSUXPXQAUWMGVIVFZ
      UXGAVBGVIVFZUXTUXDAUXSUYAUXTYBUWOGXRWIXSXKXTXKUXIUXKVAZGUWRAUXSUXGUXKUWOY
      AUXIUWRWTUSUXKUXRXKUYBGUWRVEVFZDUVRVHZUVKUVRUSZUYCAUYDUXGUXKUQYAUYBUXNUXK
      VAUYEUXIUXNUXKUXQYCUVKIJYDYEUYCDUVRYFYGYHUUAUUBUUCAUWAKVOAUVNVOUSZVAZVBUV
      KURVCZVDZVEVFUYIVGVEVFVAZDIVHZUVQUYIVIVFZDPVHZUYIUVNVIVFZDUVRVHZVMZUWAURE
      UYGUYHEUSZVAZUYPVAZBURRDEIJLMUVNDIVGYIZPDIVGUYIVJVKYIZUYRUYPDUYGUYQDAUYFD
      TUYFDYJYKZUYQDYJYKUYKUYMUYODUYJDIYOUYLDPYOUYNDUVRYOUUDYKVUAYLUYTYLPUWTIUC
      UWSDIUUFUUEUYGUYQUYPUUGZUYSAUYQIWTUYHXIAUYFUYQUYPUUHZVUCAUYQVAFIUYHNOUBUD
      UEAEFUYHUFYMXJYNUYSALVCZEUSZIWTVUEXIZVUDAVUFVAFIVUENOUBUDUEAEFVUEUFYMXJZY
      PUYSAVUFMVCZEUSZDIUVKVUEVDZUVKVUIVDZUUIVKYIEUSZVUDUGYQUYSAVUFVUJDIVUKVULU
      UJVKYIEUSZVUDUHYQUYSARVCZWTUSZDIVUOYIEUSZVUDUIYPAUYFUYQUYPUUKUYRUYKUYMUYO
      UULUYRUYKUYMUYOUUMUYRUYKUYMUYOUUPUUNUYGRURDEGHIJLMUVNPUAVUBUCAGVOUSUYFUJX
      KAGVGVIVFUYFUKXKAHEUSUYFUNXKAUXLUYFUXMXKAVBUWRVEVFUWRVGVEVFVADIVHUYFUOXKA
      UYDUYFUQXKAVUFVUGUYFVUHYRAVUFVUJVUMUYFUGYSAVUFVUJVUNUYFUHYSAVUPVUQUYFUIYR
      AUYFUUOUUQUURUUSUUTUWLUWCCPNUWDPXAZUWGUVJUWKUWBVURUWEUVHUWFUVIUWDPQUVAUWD
      PJUVEYTVURUWJUWAKVOVURUWIUVTBEVURUWHUVPUVMUVSUVODUWDPDUWDVRUXFUVFUVBUVCUV
      DYTUVGYN $.
  $}

  ${
    $d f g h i m q t y T $.  $d f i m q r t T $.  $d f i m q t x T $.
    $d f g h m q t A $.  $d f g i m q y Q $.  $d f g h i m q y U $.
    $d f g h m q t y Z $.  $d f g h i m q y ph $.  $d g h i m t w T $.
    $d g i m W $.  $d h i m q t u T $.  $d h t u w J $.  $d m p q t y T $.
    $d p q t A $.  $d p q y U $.  $d p q t y Z $.  $d r t A $.  $d r U $.
    $d r ph $.  $d t K $.  $d u w Q $.  $d u w U $.  $d u W $.  $d u w ph $.
    $d x A $.  $d x Q $.  $d x U $.  $d x Z $.  $d x ph $.
    stoweidlem53.1 $e |- F/_ t U $.
    stoweidlem53.2 $e |- F/ t ph $.
    stoweidlem53.3 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem53.4 $e |- Q = { h e. A | ( ( h ` Z ) = 0 /\
          A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) ) } $.
    stoweidlem53.5 $e |- W = { w e. J | E. h e. Q w =
          { t e. T | 0 < ( h ` t ) } } $.
    stoweidlem53.6 $e |- T = U. J $.
    stoweidlem53.7 $e |- C = ( J Cn K ) $.
    stoweidlem53.8 $e |- ( ph -> J e. Comp ) $.
    stoweidlem53.9 $e |- ( ph -> A C_ C ) $.
    stoweidlem53.10 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem53.11 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem53.12 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweidlem53.13 $e |- ( ( ph /\ ( r e. T /\ t e. T /\ r =/= t ) ) ->
          E. q e. A ( q ` r ) =/= ( q ` t ) ) $.
    stoweidlem53.14 $e |- ( ph -> U e. J ) $.
    stoweidlem53.15 $e |- ( ph -> ( T \ U ) =/= (/) ) $.
    stoweidlem53.16 $e |- ( ph -> Z e. U ) $.
    $( This lemma is used to prove the existence of a function ` p ` as in
       Lemma 1 of [BrosowskiDeutsh] p. 90: ` p ` is in the subalgebra, such
       that ` 0 <_ p <_ 1 ` , p__(t_0) = 0, and ` 0 < p ` on ` T \ U ` .
       (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem53 $p |- ( ph -> E. p e. A ( A. t e. T ( 0 <_ ( p ` t ) /\
      ( p ` t ) <_ 1 ) /\ ( p ` Z ) = 0 /\ A. t e. ( T \ U ) 0 < ( p ` t ) ) )
                 $=
      ( vm vi vu vy cv cn wcel c1 cfz co cc0 cfv clt wbr wrex cdif wral wex cle
      wf wa wceq w3a cfn wss cuni stoweidlem50 crab cmpt nfcv nfra1 nfan nfrabw
      nfv nfcxfr nfrab1 nfeq2 nfrex nfss nfdif nf3an nfre1 eqid cvv ctop cmptop
      ccn ccmp syl cioo crn ctg retop eqeltri cnfex sylancl ssexd adantr simpr1
      sseqtrdi simpr2 simpr3 wne stoweidlem35 exlimddv cdiv csu cmul nfralw nff
      c0 simprl simprrl simprrr caddc 3adant1r adantlr elssuni sseqtrrdi sseldd
      cr stoweidlem44 ex exlimdvv mpd ) AUPUTZVAVBZVCUUAVDVEZGRUTZVOZVFDUTZUQUT
      UUDVGVGVHVIZUQUUCVJZDHIVKZVLZVPZVPZRVMUPVMZVFUUFSUTZVGZVNVIUUOVCVNVIVPDHV
      LPUUNVGVFVQVFUUOVHVIDUUIVLVRSEVJZAURUTZVSVBZUUQOVTZUUIUUQWAZVTZVRZUUMURAB
      CURDEFGHIJKLMNOPQRTUAUBUCUDUEUFUGUHUIUJUKULUMUOWBAUVBVPCDEGHILUQUPCUUQCUT
      ZVFUUFLUTZVGZVHVIZDHWCZVQZLGWCWDZMOUUQPRAUVBDUAUURUUSUVADUURDWIDUUQODUUQW
      EDOUVHLGVJZCMWCZUDUVJDCMUVHDLGDGPUVDVGVFVQZVFUVEVNVIUVEVCVNVIVPZDHVLZVPZL
      EWCUCUVODLEUVLUVNDUVLDWIUVMDHWFWGDEWEWHWJZDUVCUVGUVFDHWKWLWMDMWEWHWJWNDUU
      IUUTDHIDHWETWODUUTWEWNWPWGAUVBCACWIUURUUSUVACUURCWICUUQOCUUQWECOUVKUDUVJC
      MWKWJWNUVACWIWPWGAUVBLALWIUURUUSUVALUURLWILUUQOLUUQWELOUVKUDUVJLCMUVHLGWQ
      LMWEWHWJWNUVALWIWPWGUCUDUVIWRAEWSVBUVBAEMNXBVEZWSAMWTVBZNWTVBUVQWSVBAMXCV
      BUVRUGMXAXDNXEXFXGVGWTUBXHXIMNXJXKAEFUVQUHUFXOZXLXMAUURUUSUVAXNAUURUUSUVA
      XPAUURUUSUVAXQAUUIYFXRUVBUNXMXSXTAUULUUPUPRAUULUUPAUULVPBDEDHVCUUAYAVEUUC
      UUFUSUTUUDVGVGUSYBYCVEWDZGHIJKLUSUQUUDMNUUAPSAUULUQAUQWIUUBUUKUQUUBUQWIUU
      EUUJUQUUEUQWIUUHUQDUUIUQUUIWEUUGUQUUCWQYDWGWGWGAUULDUAUUBUUKDUUBDWIUUEUUJ
      DDUUCGUUDDUUDWEDUUCWEUVPYEUUHDUUIWFWGWGWGUBUCUVTWRAUUBUUKYGAUUBUUEUUJYHAU
      UBUUEUUJYIUEAEUVQVTUULUVSXMAJUTZEVBZKUTZEVBZDHUUFUWAVGZUUFUWCVGZYJVEWDEVB
      UULUIYKAUWBUWDDHUWEUWFYCVEWDEVBUULUJYKABUTZYPVBDHUWGWDEVBUULUKYLAPHVBUULA
      IHPAIMVBZIHVTUMUWHIMWAHIMYMUEYNXDUOYOXMYQYRYSYT $.
  $}

  ${
    $d f g h i t y T $.  $d f g h t y A $.  $d f g i y B $.  $d f g i y E $.
    $d f g F $.  $d f g h i t M $.  $d f g i W $.  $d f g i Y $.  $d f g ph $.
    $d i t w y T $.  $d i y D $.  $d t x y A $.  $d w y B $.  $d w y E $.
    $d w M $.  $d w W $.  $d w Y $.  $d x y B $.  $d x y D $.  $d x y E $.
    $d x M $.  $d x P $.  $d x y T $.
    stoweidlem54.1 $e |- F/ i ph $.
    stoweidlem54.2 $e |- F/ t ph $.
    stoweidlem54.3 $e |- F/ y ph $.
    stoweidlem54.4 $e |- F/ w ph $.
    stoweidlem54.5 $e |- T = U. J $.
    stoweidlem54.6 $e |-
          Y = { h e. A | A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) } $.
    stoweidlem54.7 $e |- P = ( f e. Y , g e. Y |->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) ) $.
    stoweidlem54.8 $e |- F = ( t e. T |->
          ( i e. ( 1 ... M ) |-> ( ( y ` i ) ` t ) ) ) $.
    stoweidlem54.9 $e |- Z = ( t e. T |-> ( seq 1 ( x. , ( F ` t ) ) ` M ) ) $.
    stoweidlem54.10 $e |- V = { w e. J | A. e e. RR+ E. h e. A ( A. t e. T ( 0
          <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) /\ A. t e. w ( h ` t )
      < e /\ A. t e. ( T \ U ) ( 1 - e ) < ( h ` t ) ) } $.
    stoweidlem54.11 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem54.12 $e |- ( ( ph /\ f e. A ) -> f : T --> RR ) $.
    stoweidlem54.13 $e |- ( ph -> M e. NN ) $.
    stoweidlem54.14 $e |- ( ph -> W : ( 1 ... M ) --> V ) $.
    stoweidlem54.15 $e |- ( ph -> B C_ T ) $.
    stoweidlem54.16 $e |- ( ph -> D C_ U. ran W ) $.
    stoweidlem54.17 $e |- ( ph -> D C_ T ) $.
    stoweidlem54.18 $e |- ( ph -> E. y ( y : ( 1 ... M ) --> Y /\ A. i e. ( 1
          ... M ) ( A. t e. ( W ` i ) ( ( y ` i ) ` t ) < ( E / M )
      /\ A. t e. B ( 1 - ( E / M ) ) < ( ( y ` i ) ` t ) ) ) ) $.
    stoweidlem54.19 $e |- ( ph -> T e. _V ) $.
    stoweidlem54.20 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem54.21 $e |- ( ph -> E < ( 1 / 3 ) ) $.
    $( There exists a function ` x ` as in the proof of Lemma 2 in
       [BrosowskiDeutsh] p. 91.  Here ` D ` is used to represent ` A ` in the
       paper, because here ` A ` is used for the subalgebra of functions. ` E `
       is used to represent &epsilon; in the paper.  (Contributed by Glauco
       Siliprandi, 20-Apr-2017.) $)
    stoweidlem54 $p |- ( ph -> E. x e. A ( A. t e. T ( 0 <_ ( x ` t ) /\
          ( x ` t ) <_ 1 ) /\ A. t e. D ( x ` t ) < E /\
          A. t e. B ( 1 - E ) < ( x ` t ) ) ) $=
      ( cv wcel cc0 cfv cle wbr c1 wa wral clt cmin co w3a wex wrex cfz wf cdiv
      nfv cseq nfra1 nfan nfcv crab nfrabw nfcxfr nff nfralw cdif crp nfrab1 cn
      eqid adantr simprl wss rabeq2i simplbi cuni elssuni sseqtrrdi 3syl r19.26
      simpr crn ad2antll r19.21bi simprbi cmul 3adant1r cr adantlr stoweidlem51
      cmpt cvv c3 exlimdd df-rex sylibr ) ABVFZFVGVHEVFZYEVIZVJVKYGVLVJVKVMEJVN
      YGQVOVKEHVNVLQVPVQYGVOVKEGVNVRZVMBVSZYHBFVTAVLTWAVQZUCCVFZWBZYFPVFZYKVIVI
      ZQTWCVQZVOVKZEYMUBVIZVNZVLYOVPVQYNVOVKZEGVNZVMZPYJVNZVMZYICUGYICWDVBAUUCV
      MZBDEFGHIJYKMNOPQRTUAUBTIYKVLWEVIZUCUDAUUCPUEYLUUBPYLPWDUUAPYJWFWGWGAUUCE
      UFYLUUBEEYJUCYKEYKWHEYJWHZEUCVHYFOVFVIZVJVKUUGVLVJVKVMZEJVNZOFWIUJUUIEOFU
      UHEJWFEFWHWJWKWLUUAEPYJUUFYRYTEYPEYQWFYSEGWFWGWMWGWGAUUCDUHUUCDWDWGDUAUUI
      UUGLVFZVOVKEDVFZVNVLUUJVPVQUUGVOVKEJKWNVNVROFVTLWOVNZDSWIUNUULDSWPWKUJUKU
      UEWRULUMATWQVGUUCUQWSAYJUAUBWBUUCURWSAYLUUBWTUUDUUKUAVGZVMUUMUUKSVGZUUKJX
      AUUDUUMXIUUMUUNUULUULDUASUNXBXCUUNUUKSXDJUUKSXEUIXFXGAHUBXJXDXAUUCUTWSAHJ
      XAUUCVAWSAGJXAUUCUSWSUUDYRPYJUUBYRPYJVNZAYLUUBUUOYTPYJVNZYRYTPYJXHZXCXKXL
      UUDYTPYJUUBUUPAYLUUBUUOUUPUUQXMXKXLAMVFZFVGZNVFZFVGEJYFUURVIYFUUTVIXNVQXS
      FVGUUCUOXOAUUSJXPUURWBUUCUPXQAJXTVGUUCVCWSAQWOVGUUCVDWSAQVLYAWCVQVOVKUUCV
      EWSXRYBYHBFYCYD $.
  $}

  ${
    $d f g h q t T $.  $d f g q r t A $.  $d f h q t x T $.  $d f g q Q $.
    $d f g h q U $.  $d f g h q t Z $.  $d f g h q ph $.  $d g h t w T $.
    $d g W $.  $d h q t x A $.  $d h t w J $.  $d p q t T $.  $d p q t A $.
    $d p q U $.  $d p q t Z $.  $d r t x A $.  $d r t x T $.  $d r x U $.
    $d r x ph $.  $d t K $.  $d w x Q $.  $d w x U $.  $d w x ph $.  $d x Z $.
    stoweidlem55.1 $e |- F/_ t U $.
    stoweidlem55.2 $e |- F/ t ph $.
    stoweidlem55.3 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem55.4 $e |- ( ph -> J e. Comp ) $.
    stoweidlem55.5 $e |- T = U. J $.
    stoweidlem55.6 $e |- C = ( J Cn K ) $.
    stoweidlem55.7 $e |- ( ph -> A C_ C ) $.
    stoweidlem55.8 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
         ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem55.9 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
         ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem55.10 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweidlem55.11 $e |- ( ( ph /\ ( r e. T /\ t e. T /\ r =/= t ) ) ->
          E. q e. A ( q ` r ) =/= ( q ` t ) ) $.
    stoweidlem55.12 $e |- ( ph -> U e. J ) $.
    stoweidlem55.13 $e |- ( ph -> Z e. U ) $.
    stoweidlem55.14 $e |- Q = { h e. A | ( ( h ` Z ) = 0 /\
          A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) ) } $.
    stoweidlem55.15 $e |- W = { w e. J | E. h e. Q w =
        { t e. T | 0 < ( h ` t ) } } $.
    $( This lemma proves the existence of a function p as in the proof of Lemma
       1 in [BrosowskiDeutsh] p. 90: p is in the subalgebra, such that 0 <= p
       <= 1, p__(t_0) = 0, and p > 0 on T - U. Here Z is used to represent t_0
       in the paper.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem55 $p |- ( ph -> E. p e. A ( A. t e. T ( 0 <_ ( p ` t ) /\
       ( p ` t ) <_ 1 ) /\ ( p ` Z ) = 0 /\ A. t e. ( T \ U ) 0 < ( p ` t ) ) )
                $=
      ( cdif c0 wceq cc0 cv cfv cle wbr wral clt w3a wrex cmpt wcel stoweidlem4
      c1 wa cr 0re mpan2 adantr nfcv nfdif nfeq nfan 0le0 cc 0cn eqid breqtrrid
      fvmpt2 adantl 0le1 eqbrtrdi jca ralrimi cuni elunii eleqtrrdi eqidd fvmpt
      c0ex 3syl rzalf nfmpt1 fveq1 breq2d breq1d ralbid eqeq1d 3anbi123d rspcev
      ex anbi12d syl13anc wn nfn ccmp wss caddc 3adant1r cmul adantlr wne neqne
      co stoweidlem53 pm2.61dan ) AHIUOZUPUQZURDUSZSUSZUTZVAVBZYGVJVAVBZVKZDHVC
      ZPYFUTZURUQZURYGVDVBZDYCVCZVEZSEVFZAYDVKZDHURVGZEVHZURYEYSUTZVAVBZUUAVJVA
      VBZVKZDHVCZPYSUTZURUQZURUUAVDVBZDYCVCZYQAYTYDAURVLVHYTVMABDEURHUIVIVNVOYR
      UUDDHAYDDUADYCUPDHIDHVPTVQDUPVPVRZVSYRYEHVHZUUDYRUUKVKUUBUUCUUKUUBYRUUKUR
      URUUAVAVTUUKURWAVHUUAURUQWBDHURWAYSYSWCZWEVNZWDWFUUKUUCYRUUKUUAURVJVAUUMW
      GWHWFWIXGWJAUUGYDAPIVHZIMVHZVKZPHVHUUGAUUNUUOULUKWIUUPPMWKHPIMWLUDWMDPURU
      RHYSYEPUQURWNUULWPWOWQVOYDUUIAUUHDYCUUJWRWFYPUUEUUGUUIVESYSEYFYSUQZYKUUEY
      MUUGYOUUIUUQYJUUDDHDYFYSDYFVPDHURWSVRZUUQYHUUBYIUUCUUQYGUUAURVAYEYFYSWTZX
      AUUQYGUUAVJVAUUSXBXHXCUUQYLUUFURPYFYSWTXDUUQYNUUHDYCUURUUQYGUUAURVDUUSXAX
      CXEXFXIAYDXJZVKBCDEFGHIJKLMNOPQRSTAUUTDUAYDDUUJXKVSUBUMUNUDUEAMXLVHUUTUCV
      OAEFXMUUTUFVOAJUSZEVHZKUSZEVHZDHYEUVAUTZYEUVCUTZXNXTVGEVHUUTUGXOAUVBUVDDH
      UVEUVFXPXTVGEVHUUTUHXOABUSZVLVHDHUVGVGEVHUUTUIXQAQUSZHVHUUKUVHYEXRVEUVHRU
      SZUTYEUVIUTXRREVFUUTUJXQAUUOUUTUKVOUUTYCUPXRAYCUPXSWFAUUNUUTULVOYAYB $.
  $}

  ${
    $d d e f g p t A $.  $d d e p t v x A $.  $d d e f p t y A $.
    $d d g p t J $.  $d d e f g p t T $.  $d d e f g p U $.
    $d d e f g p t Z $.  $d d e f g p ph $.  $d f g h q t A $.
    $d f g q r t A $.  $d g h t w A $.  $d h q t y A $.  $d h t w J $.
    $d h q t y T $.  $d h q y U $.  $d h q t y Z $.  $d h q y ph $.
    $d p q t y A $.  $d r t y A $.  $d r t y T $.  $d r y U $.  $d r y ph $.
    $d t K $.  $d v J $.  $d v x T $.  $d v x U $.  $d v Z $.  $d w y A $.
    $d w y T $.  $d w y U $.  $d w y Z $.  $d w y ph $.
    stoweidlem56.1 $e |- F/_ t U $.
    stoweidlem56.2 $e |- F/ t ph $.
    stoweidlem56.3 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem56.4 $e |- ( ph -> J e. Comp ) $.
    stoweidlem56.5 $e |- T = U. J $.
    stoweidlem56.6 $e |- C = ( J Cn K ) $.
    stoweidlem56.7 $e |- ( ph -> A C_ C ) $.
    stoweidlem56.8 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem56.9 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem56.10 $e |- ( ( ph /\ y e. RR ) -> ( t e. T |-> y ) e. A ) $.
    stoweidlem56.11 $e |- ( ( ph /\ ( r e. T /\ t e. T /\ r =/= t ) ) ->
          E. q e. A ( q ` r ) =/= ( q ` t ) ) $.
    stoweidlem56.12 $e |- ( ph -> U e. J ) $.
    stoweidlem56.13 $e |- ( ph -> Z e. U ) $.
    $( This theorem proves Lemma 1 in [BrosowskiDeutsh] p. 90.  Here ` Z ` is
       used to represent t_0 in the paper, ` v ` is used to represent ` V ` in
       the paper, and ` e ` is used to represent &epsilon;.  (Contributed by
       Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem56 $p |- ( ph -> E. v e. J ( ( Z e. v /\ v C_ U ) /\
        A. e e. RR+ E. x e. A ( A. t e. T ( 0 <_ ( x ` t ) /\ ( x ` t ) <_ 1 )
          /\ A. t e. v ( x ` t ) < e /\ A. t e. ( T \ U )
          ( 1 - e ) < ( x ` t ) ) ) ) $=
      ( vd vp vw vh cv crp wcel c1 clt wbr cc0 cfv cle wa wral wceq w3a wex wss
      cdif cmin co wrex crab stoweidlem55 df-rex sylib simpl simprl simprr3 nfv
      eqid nfra1 nf3an ccmp 3ad2ant1 sselda eleqtrdi 3adant3 simp3 stoweidlem28
      ccn syl3anc simpr1 simpr2 simplrl simprr1 adantr simprr2 simpr3 ex eximdv
      3jca jca mpd c2 cdiv nfan nfcv cmpt 3adant1r cmul adantlr simpr3l simp3r1
      caddc cr adantl simp3r2 simp3r3 stoweidlem52 exlimdvv ) AUKUOZUPUQZYCURUS
      UTZULUOZFUQZVAEUOZYFVBZVCUTYIURVCUTVDZEHVEZOYFVBVAVFZYCYIVCUTZEHIVJZVEZVG
      ZVDZVGZUKVHZULVHZODUOZUQUUAIVIVDVAYHBUOVBZVCUTUUBURVCUTVDEHVEUUBJUOZUSUTE
      UUAVEURUUCVKVLUUBUSUTEYNVEVGBFVMJUPVEVDDMVMZAYGYKYLVAYIUSUTZEYNVEZVGZVDZU
      LVHZYTAUUGULFVMUUIACUMEFGOUNUOZVBVAVFVAYHUUJVBZVCUTUUKURVCUTVDEHVEVDUNFVN
      ZHIKLUNMNUMUOVAUUKUSUTEHVNVFUNUULVMUMMVNZOPQULRSTUAUBUCUDUEUFUGUHUIUJUULW
      BUUMWBVOUUGULFVPVQAUUHYSULAUUHYSAUUHVDZYDYEYOVGZUKVHZYSUUNAYGUUFUUPAUUHVR
      AYGUUGVSYKYLUUFYGAVTAYGUUFVGEYFHIMNUKRAYGUUFESYGEWAZUUEEYNWCWDTUBAYGMWEUQ
      UUFUAWFAYGYFMNWLVLZUQUUFAYGVDYFGUURAFGYFUDWGUCWHWIAYGUUFWJAYGIMUQZUUFUIWF
      WKWMUUNUUOYRUKUUNUUOYRUUNUUOVDZYDYEYQUUNYDYEYOWNUUNYDYEYOWOUUTYGYPAYGUUGU
      UOWPUUTYKYLYOUUNYKUUOYKYLUUFYGAWQWRUUNYLUUOYKYLUUFYGAWSWRUUNYDYEYOWTXCXDX
      CXAXBXEXAXBXEAYRUUDULUKAYRUUDAYRVDBDEFGYCYFHIJKLMNYIYCXFXGVLUSUTEHVNZOCRA
      YRESYDYEYQEYDEWAYEEWAYGYPEUUQYKYLYOEYJEHWCYLEWAYMEYNWCWDXHWDXHEYFXITUVAWB
      UBUCAFGVIYRUDWRAKUOZFUQZLUOZFUQZEHYHUVBVBZYHUVDVBZXPVLXJFUQYRUEXKAUVCUVEE
      HUVFUVGXLVLXJFUQYRUFXKACUOZXQUQEHUVHXJFUQYRUGXMAYDYEYQWNAYDYEYQWOAUUSYRUI
      WRAOIUQYRUJWRYGYPYDYEAXNYRYKAYKYLYOYGYDYEXOXRYRYLAYKYLYOYGYDYEXSXRYRYOAYK
      YLYOYGYDYEXTXRYAXAYBXE $.
  $}

  ${
    $d a e f s t $.  $d a f q r s t $.  $d a e f t A $.  $d a e f s D $.
    $d a e f t T $.  $d a e f U $.  $d a e f s ph $.  $d e f g h m t A $.
    $d e h m t w A $.  $d e f g h m t E $.  $d f g h i m r t v y A $.
    $d f g h m t v x y A $.  $d f g i m r v y B $.  $d f g i m r v y V $.
    $d f g i r y Y $.  $d g q r s t $.  $d g h i m r v y D $.  $d g h t J $.
    $d g h i m r t v y T $.  $d g h i r y U $.  $d g h i m r v y ph $.
    $d i m r t v w y A $.  $d i m r t v w y E $.  $d k u D $.  $d k u J $.
    $d k u T $.  $d k u V $.  $d q r t A $.  $d q r s D $.  $d q r t T $.
    $d q r U $.  $d q r s ph $.  $d r u w D $.  $d s t w $.  $d s V $.
    $d s w B $.  $d t K $.  $d u w ph $.  $d w J $.  $d w y T $.  $d w y U $.
    $d w y Y $.  $d x y B $.  $d x y D $.  $d x y E $.  $d x y T $.
    stoweidlem57.1 $e |- F/_ t D $.
    stoweidlem57.2 $e |- F/_ t U $.
    stoweidlem57.3 $e |- F/ t ph $.
    stoweidlem57.4 $e |- Y = { h e. A | A. t e. T ( 0 <_ ( h ` t ) /\
          ( h ` t ) <_ 1 ) } $.
    stoweidlem57.5 $e |- V = { w e. J | A. e e. RR+ E. h e. A
          ( A. t e. T ( 0 <_ ( h ` t ) /\ ( h ` t ) <_ 1 ) /\
      A. t e. w ( h ` t ) < e /\ A. t e. ( T \ U ) ( 1 - e ) < ( h ` t ) ) } $.
    stoweidlem57.6 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem57.7 $e |- T = U. J $.
    stoweidlem57.8 $e |- C = ( J Cn K ) $.
    stoweidlem57.9 $e |- U = ( T \ B ) $.
    stoweidlem57.10 $e |- ( ph -> J e. Comp ) $.
    stoweidlem57.11 $e |- ( ph -> A C_ C ) $.
    stoweidlem57.12 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem57.13 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem57.14 $e |- ( ( ph /\ a e. RR ) -> ( t e. T |-> a ) e. A ) $.
    stoweidlem57.15 $e |- ( ( ph /\ ( r e. T /\ t e. T /\ r =/= t ) ) ->
          E. q e. A ( q ` r ) =/= ( q ` t ) ) $.
    stoweidlem57.16 $e |- ( ph -> B e. ( Clsd ` J ) ) $.
    stoweidlem57.17 $e |- ( ph -> D e. ( Clsd ` J ) ) $.
    stoweidlem57.18 $e |- ( ph -> ( B i^i D ) = (/) ) $.
    stoweidlem57.19 $e |- ( ph -> D =/= (/) ) $.
    stoweidlem57.20 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem57.21 $e |- ( ph -> E < ( 1 / 3 ) ) $.
    $( There exists a function x as in the proof of Lemma 2 in
       [BrosowskiDeutsh] p. 91.  In this theorem, it is proven the non-trivial
       case (the closed set D is nonempty).  Here D is used to represent A in
       the paper, because the variable A is used for the subalgebra of
       functions.  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem57 $p |- ( ph -> E. x e. A ( A. t e. T ( 0 <_ ( x ` t ) /\
          ( x ` t ) <_ 1 ) /\ A. t e. D ( x ` t ) < E /\ A. t e. B ( 1 - E ) <
          ( x ` t ) ) ) $=
      ( vm vv vy vi vu vs vk c1 cv co wf crn cuni wss cfv cdiv clt wral cmin wa
      wbr wex w3a cn wrex cc0 cle wne cpw cfn cin wcel cdif crp nfcri nfan ccmp
      c0 adantr cmpt 3adant1r cmul cr adantlr ctop wb 3syl mpbid eqeltrid cldss
      syl sselda wceq nfcv crab nfcxfr sylibr ex syl2anc cvv unieq sseq2d ax-mp
      wi mpd 3ad2ant3 nfv nfralw nfrabw nfpw nfin nf3an nfra1 3ad2ant1 nff eqid
      ad2antrr caddc ccld cmptop iscld simprd wn disjr sylib r19.21bi eleqtrrdi
      cfz eldifd stoweidlem56 simpl simprll simprr rabeq2i sylanbrc jca32 rexex
      reximi2 nfrab1 elunif ssrdv crest cmpcld cmpsub ssrab2 eqsstri elpwg pweq
      rabexd mpbiri ineq1d rexeqdv imbi12d rspccva csn elinel1 elpwi vex difexg
      ssdifssd elpw elinel2 diffi 3ad2ant2 unidif0 sseq2i biimpri eldifsni rgen
      elind a1i raleq anbi12d rspcev syl12anc rexlimdv3a nfre1 nfrex nfss simp2
      simp3l simpld ccn cioo ctg retop eqeltri cnfex sylancl ssexd stoweidlem39
      sseqtrdi cmpo cseq nfex nfe1 syld3an1 fcnre ad4ant14 simplr simpr1 simpr2
      simp1ll feq3 biimpi anim1i eximi adantl c3 stoweidlem54 exlimdv rexlimdva
      uniexd ) AVKVDVLZUUKVMZRVEVLZVNZHUYSVOVPZVQZUYRSVFVLZVNZDVLZVGVLZVUCVRVRZ
      OUYQVSVMZVTWDZDVUFUYSVRZWAZVKVUHWBVMVUGVTWDZDFWAZWCZVGUYRWAZWCZVFWEZWFZVE
      WEZVDWGWHZWIVUEBVLVRZWJWDVVAVKWJWDWCDIWAVVAOVTWDDHWAVKOWBVMVVAVTWDDFWAWFB
      EWHZAHTVLZVPZVQZCVLZXAWKZCVVCWAZWCZTRWLZWMWNZWHZVUTAHVHVLZVPZVQZVHVVKWHZV
      VLAHRVPZVQZVVPAVIHVVQAVIVLZHWOZVVSVVQWOZAVVTWCZVVSVVFWOZVVFRWOZWCZCWEZVWA
      VWBVWCVVFJVQZWCZWIVUENVLVRZWJWDVWIVKWJWDWCZDIWAZVWIKVLZVTWDZDVVFWAZVKVWLW
      BVMVWIVTWDZDIJWPZWAZWFZNEWHZKWQWAZWCZCPWHVWECPWHVWFVWBNUBCDEGIJKLMPQVVSTU
      AUDAVVTDUEDVIHUCWRWSUHAPWTWOZVVTULXBUIUJAEGVQVVTUMXBALVLZEWOZMVLZEWOZDIVU
      EVXCVRZVUEVXEVRZUUAVMXCEWOVVTUNXDAVXDVXFDIVXGVXHXEVMXCZEWOZVVTUOXDAUBVLZX
      FWODIVXKXCEWOVVTUPXGAVVCIWOVUEIWOVVCVUEWKWFVVCUAVLZVRVUEVXLVRWKUAEWHVVTUQ
      XGAJPWOVVTAJIFWPZPUKAFIVQZVXMPWOZAFPUUBVRZWOZVXNVXOWCZURAVXBPXHWOZVXQVXRX
      IULPUUCZFPIUIUUDXJXKZUUEXLXBVWBVVSVXMJVWBVVSIFAHIVVSAHVXPWOZHIVQZUSHPIUIX
      MXNZXOAVVSFWOUUFZVIHAFHWNXAXPVYEVIHWAUTVIFHUUGUUHUUIUULUKUUJUUMVXAVWECPPV
      VFPWOZVXAWCZVYFVWCVWDVYFVXAUUNZVYFVWCVWGVWTUUOVYGVYFVWTVWDVYHVYFVWHVWTUUP
      VWTCRPUGUUQUURUUSUVAVWECPUUTXJCVVSRCVVSXQCRVWTCPXRZUGVWTCPUVBXSZUVCXTYAUV
      DAHVJVLZVPZVQZVVOVHVYKWLZWMWNZWHZYGZVJPWLZWAZRVYRWOZVVRVVPYGZAPHUVEVMWTWO
      ZVYSAVXBVYBWUBULUSHPUVFYBAVXSVYCWUBVYSXIAVXBVXSULVXTXNZVYDHPIVJVHUIUVGYBX
      KAVYTRPVQZRVYIPUGVWTCPUVHUVIARYCWOZVYTWUDXIAVWTCPRWTUGULUVLZRPYCUVJXNUVMV
      YQWUAVJRVYRVYKRXPZVYMVVRVYPVVPWUGVYLVVQHVYKRYDYEWUGVVOVHVYOVVKWUGVYNVVJWM
      VYKRUVKUVNUVOUVPUVQYBYHAVVOVVLVHVVKAVVMVVKWOZVVOWFZVVMXAUVRZWPZVVKWOZHWUK
      VPZVQZVVGCWUKWAZVVLWUHAWULVVOWUHVVJWMWUKWUHVVMVVJWOZWUKVVJWOZVVMVVJWMUVSW
      UPWUKRVQWUQWUPVVMRWUJVVMRUVTUWCWUKRVVMYCWOWUKYCWOVHUWAVVMWUJYCUWBYFUWDXTX
      NWUHVVMWMWOWUKWMWOVVMVVJWMUWEVVMWUJUWFXNUWMUWGVVOAWUNWUHWUNVVOWUMVVNHVVMU
      WHUWIUWJYIWUOWUIVVGCWUKVVFVVMXAUWKUWLUWNVVIWUNWUOWCTWUKVVKVVCWUKXPZVVEWUN
      VVHWUOWURVVDWUMHVVCWUKYDYEVVGCVVCWUKUWOUWPUWQUWRUWSYHAVVIVUTTVVKAVVCVVKWO
      ZVVIWFVFCVEDEFHIJKNVGVDOPRSTAWUSVVINANYJNTVVKNVVJWMNRNRVYIUGVWTNCPVWSNKWQ
      NWQXQVWRNEUWTYKNPXQYLXSYMNWMXQYNWRVVINYJYOAWUSVVIDUEDTVVKDVVJWMDRDRVYIUGV
      WTDCPVWSDKWQDWQXQVWRDNEDEXQZVWKVWNVWQDVWJDIYPZVWMDVVFYPVWODVWPYPYOUXAYKDP
      XQYLXSZYMDWMXQYNWRVVEVVHDDHVVDUCDVVDXQUXBVVHDYJWSYOAWUSVVICACYJCTVVKCVVJW
      MCRVYJYMCWMXQYNWRVVEVVHCVVECYJVVGCVVCYPWSYOUKUFUGAWUSVVIUXCAWUSVVEVVHUXDA
      WUSHXAWKVVIVAYQAWUSOWQWOZVVIVBYQAWUSVXNVVIAVXNVXOVYAUXEYQAWUSWUEVVIWUFYQA
      WUSEYCWOVVIAEPQUXFVMZYCAVXSQXHWOWVDYCWOWUCQUXGVOUXHVRXHUHUXIUXJPQUXKUXLAE
      GWVDUMUJUXOUXMYQUXNUWSYHAVUSVVBVDWGAUYQWGWOZWCZVURVVBVEWVFVURVVBWVFVURWCZ
      BVFCDEFHLMVWKNEXRZWVHVXIUXPZIJKLMNVGODIVGUYRVUGXCXCZPUYQRUYSWVHDIUYQXEVUE
      WVJVRVKUXQVRXCZWVFVURVGWVFVGYJUYTVUBVUQVGUYTVGYJVUBVGYJVUPVGVFVUDVUOVGVUD
      VGYJVUNVGUYRYPWSUXRYOWSWVFVURDAWVEDUEWVEDYJWSUYTVUBVUQDDUYRRUYSDUYSXQDUYR
      XQZWVBYRDHVUAUCDVUAXQUXBVUPDVFVUDVUODDUYRSVUCDVUCXQWVLDSWVHUFVWKDNEWVAWUT
      YLXSYRVUNDVGUYRWVLVUKVUMDVUIDVUJYPVULDFYPWSYKWSUXRYOWSWVFVURVFWVFVFYJUYTV
      UBVUQVFUYTVFYJVUBVFYJVUPVFUXSYOWSWVFVURCWVFCYJUYTVUBVUQCCUYRRUYSCUYSXQCUY
      RXQVYJYRVUBCYJVUQCYJYOWSUIWVHYSWVIYSWVJYSWVKYSUGAVXDWVGVXFVXJAWVEVURVXDVX
      FUYFUOUXTAVXDIXFVXCVNWVEVURAVXDWCGIVXCPQUHUIUJAEGVXCUMXOUYAUYBAWVEVURUYCW
      VFUYTVUBVUQUYDAVXNWVEVURAVXQVXNURFPIUIXMXNYTWVFUYTVUBVUQUYEAVYCWVEVURVYDY
      TVURUYRWVHVUCVNZVUOWCZVFWEZWVFVUQUYTWVOVUBVUPWVNVFVUDWVMVUOVUDWVMSWVHXPVU
      DWVMXIUFSWVHUYRVUCUYGYFUYHUYIUYJYIUYKAIYCWOWVEVURAIPVPYCUIAPWTULUYPXLYTAW
      VCWVEVURVBYTAOVKUYLVSVMVTWDWVEVURVCYTUYMYAUYNUYOYH $.
  $}

  ${
    $d a e f r t A $.  $d a f q r t A $.  $d a e f r D $.  $d a e f r t T $.
    $d a e f r U $.  $d a e f r ph $.  $d e f g h r t w A $.
    $d e f g h r t w E $.  $d f g h t x A $.  $d f g r w B $.
    $d f g h r t w J $.  $d g q r t A $.  $d g h r w D $.  $d g h r t w T $.
    $d g h r w U $.  $d g h r w ph $.  $d q r D $.  $d q r t T $.  $d q r U $.
    $d q r ph $.  $d t K $.  $d x B $.  $d x D $.  $d x E $.  $d x T $.
    stoweidlem58.1 $e |- F/_ t D $.
    stoweidlem58.2 $e |- F/_ t U $.
    stoweidlem58.3 $e |- F/ t ph $.
    stoweidlem58.4 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem58.5 $e |- T = U. J $.
    stoweidlem58.6 $e |- C = ( J Cn K ) $.
    stoweidlem58.7 $e |- ( ph -> J e. Comp ) $.
    stoweidlem58.8 $e |- ( ph -> A C_ C ) $.
    stoweidlem58.9 $e |- ( ( ph /\ f e. A /\ g e. A ) -> ( t e. T |->
          ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem58.10 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem58.11 $e |- ( ( ph /\ a e. RR ) -> ( t e. T |-> a ) e. A ) $.
    stoweidlem58.12 $e |- ( ( ph /\ ( r e. T /\ t e. T /\ r =/= t ) ) ->
          E. q e. A ( q ` r ) =/= ( q ` t ) ) $.
    stoweidlem58.13 $e |- ( ph -> B e. ( Clsd ` J ) ) $.
    stoweidlem58.14 $e |- ( ph -> D e. ( Clsd ` J ) ) $.
    stoweidlem58.15 $e |- ( ph -> ( B i^i D ) = (/) ) $.
    stoweidlem58.16 $e |- U = ( T \ B ) $.
    stoweidlem58.17 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem58.18 $e |- ( ph -> E < ( 1 / 3 ) ) $.
    $( This theorem proves Lemma 2 in [BrosowskiDeutsh] p. 91.  Here D is used
       to represent the set A of Lemma 2, because here the variable A is used
       for the subalgebra of functions.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stoweidlem58 $p |- ( ph -> E. x e. A ( A. t e. T ( 0 <_ ( x ` t ) /\
          ( x ` t ) <_ 1 ) /\ A. t e. D ( x ` t ) < E /\ A. t e. B ( 1 - E ) <
          ( x ` t ) ) ) $=
      ( vw ve vh cc0 cv cfv cle wbr c1 wa wral clt cmin co wrex wceq cmpt nfeq1
      w3a c0 nfan eqid wcel adantlr ccld adantr crp simpr stoweidlem18 wne cdif
      cr crab nfcv nfne ccmp wss caddc 3adant1r cmul c3 stoweidlem57 pm2.61dane
      cin cdiv ) AUSCUTZBUTVAZVBVCXBVDVBVCVECHVFXBLVGVCCGVFVDLVHVIXBVGVCCEVFVNB
      DVJGVOAGVOVKZVEBCDEGHLCHVDVLZMQRAXCCTCGVORVMVPXDVQUBAQUTZWGVRZCHXEVLDVRZX
      CUHVSAEMVTVAZVRZXCUJWAALWBVRZXCUNWAAXCWCWDAGVOWEZVEBUPCDEFGHIUQJKURLMNUSX
      AURUTVAZVBVCXLVDVBVCVECHVFZXLUQUTZVGVCCUPUTVFVDXNVHVIXLVGVCCHIWFVFVNURDVJ
      UQWBVFUPMWHZXMURDWHZOPQRSAXKCTCGVORCVOWIWJVPXPVQXOVQUAUBUCUMAMWKVRXKUDWAA
      DFWLXKUEWAAJUTZDVRZKUTZDVRZCHXAXQVAZXAXSVAZWMVIVLDVRXKUFWNAXRXTCHYAYBWOVI
      VLDVRXKUGWNAXFXGXKUHVSAOUTZHVRXAHVRYCXAWEVNYCPUTZVAXAYDVAWEPDVJXKUIVSAXIX
      KUJWAAGXHVRXKUKWAAEGWSVOVKXKULWAAXKWCAXJXKUNWAALVDWPWTVIVGVCXKUOWAWQWR $.
  $}

  ${
    $d a j t w y $.  $d a y B $.  $d a y D $.  $d a w H $.  $d a j t y N $.
    $d a j Y $.  $d f g j q r t N $.  $d f g j t x N $.  $d f j q r t y N $.
    $d f g q r t A $.  $d f g q r B $.  $d f g q r D $.  $d f g r t E $.
    $d f g r t J $.  $d f g q r t T $.  $d f g j q r ph $.  $d h j t w y $.
    $d h j t x y N $.  $d h t x y A $.  $d h x y B $.  $d h x y D $.
    $d h t x y E $.  $d h w H $.  $d h t x y T $.  $d h j w y ph $.
    $d j t y z N $.  $d t K $.  $d x H $.  $d x Y $.  $d x y ph $.  $d z B $.
    $d z D $.  $d z E $.  $d z H $.  $d z Y $.
    stoweidlem59.1 $e |- F/_ t F $.
    stoweidlem59.2 $e |- F/ t ph $.
    stoweidlem59.3 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem59.4 $e |- T = U. J $.
    stoweidlem59.5 $e |- C = ( J Cn K ) $.
    stoweidlem59.6 $e |- D = ( j e. ( 0 ... N ) |->
          { t e. T | ( F ` t ) <_ ( ( j - ( 1 / 3 ) ) x. E ) } ) $.
    stoweidlem59.7 $e |- B = ( j e. ( 0 ... N ) |->
          { t e. T | ( ( j + ( 1 / 3 ) ) x. E ) <_ ( F ` t ) } ) $.
    stoweidlem59.8 $e |- Y = { y e. A | A. t e. T
          ( 0 <_ ( y ` t ) /\ ( y ` t ) <_ 1 ) } $.
    stoweidlem59.9 $e |- H = ( j e. ( 0 ... N ) |-> { y e. Y | ( A. t e.
       ( D ` j ) ( y ` t ) < ( E / N ) /\ A. t e. ( B ` j ) ( 1 - ( E / N ) ) <
      ( y ` t ) ) } ) $.
    stoweidlem59.10 $e |- ( ph -> J e. Comp ) $.
    stoweidlem59.11 $e |- ( ph -> A C_ C ) $.
    stoweidlem59.12 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem59.13 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem59.14 $e |- ( ( ph /\ y e. RR ) -> ( t e. T |-> y ) e. A ) $.
    stoweidlem59.15 $e |- ( ( ph /\ ( r e. T /\ t e. T /\ r =/= t ) ) ->
          E. q e. A ( q ` r ) =/= ( q ` t ) ) $.
    stoweidlem59.16 $e |- ( ph -> F e. C ) $.
    stoweidlem59.17 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem59.18 $e |- ( ph -> E < ( 1 / 3 ) ) $.
    stoweidlem59.19 $e |- ( ph -> N e. NN ) $.
    $( This lemma proves that there exists a function ` x ` as in the proof in
       [BrosowskiDeutsh] p. 91, after Lemma 2: x_j is in the subalgebra, 0 <=
       x_j <= 1, x_j < &epsilon; / n on A_j (meaning A in the paper), x_j > 1 -
       \epsilon / n on B_j.  Here ` D ` is used to represent A in the paper
       (because A is used for the subalgebra of functions), ` E ` is used to
       represent &epsilon;.  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stoweidlem59 $p |- ( ph -> E. x ( x : ( 0 ... N ) --> A /\ A. j e.
       ( 0 ... N ) ( A. t e. T ( 0 <_ ( ( x ` j ) ` t ) /\ ( ( x ` j ) ` t ) <_
        1 ) /\ A. t e. ( D ` j ) ( ( x ` j ) ` t ) < ( E / N ) /\ A. t e. ( B `
          j ) ( 1 - ( E / N ) ) < ( ( x ` j ) ` t ) ) ) ) $=
      ( vh vw vz va cv c0 wne cfv wcel wi wral wa cc0 co wf cle wbr c1 cdiv clt
      w3a wex cfn crab cvv nfrab1 nfcxfr nfcv nfv breq1d ralbidv breq2d anbi12d
      weq fveq1 syl sylancl cmpt sylib nfra1 nfan simpr wceq wrex wb nffv fveq2
      nfeq biimpa adantr fvmpt2 syl2anc c3 cmul nfmpt cr adantlr adantl eqeltrd
      eqid wn ad2antrr mpan2 mpbid eleq2d rabid simprd ex ralrimi nfcri jca mpd
      eleq1 nfralw syl21anc imbi12d nfco nfim nfbr ralbid crn wfn cbvrabw ovexd
      cfz cmin ccn sseqtrdi ssexd rabexd ralrimivw fzfi fnfi rnfi fnchoice ccom
      fnmpt simprl ovex mptex eqeltri rnex fnex coexg dffn3 wss simplrr fvelrnb
      cuni nfmpt1 eqeq1d cbvrexw bitr4di simp3 cdif caddc nfdif 3adant1r uniexd
      ccmp ccld eqeltrid rabexg elfzelz zred 3re 3ne0 rereccli readdcl remulcld
      rpred eleqtrdi rfcnpre3 resubcl rfcnpre4 cin fcnre ssrab2 eqsstrdi sselda
      ffvelrnd id crp 3pos recgt0ii elrpii ltsubrp ltaddrp lttrd ltmul1 syl3anc
      rpregt0d ltletrd ltnled intnand sylnibr neleqtrrd disj nfn cbvralfw bitri
      notbid sylibr nnrpd rpdivcld nndivred a1i nnge1d 0lt1 pm3.2i nnred nngt0d
      lediv2 syl121anc rpcnd breqtrd lelttrd stoweidlem58 df-rex simprr1 elrab2
      div1d sylanbrc simprr2 simprr3 elrabf eximdv ne0i exlimiv eqnetrd 3adant3
      1re eqnetrrd 3exp rexlimdv rsp syl3c chfnrn nfrn nffn nfuni bitrdi simp1l
      fnunirn simp2 simpld rexlimd ssrd eqsstri sstrdi fssd fco simpll sylancom
      sstrd fvco2 wfun cdm fnfun fndmd eleqtrrd neeq1 eleq12d rspccva sylc nfel
      fvelrn anbi2d vtoclgf eleq2i nfrabw 3jca fveq1d 3anbi123d spcegv exlimddv
      anabsi7 feq1 ) AVAVEZOUUAZUUBZVBVEZVFVGZVXBVWSVHZVXBVIZVJZVBVWTVKZVLZVMRU
      UEVNZEBVEZVOZVMDVEZLVEZVXJVHZVHZVPVQZVXOVRVPVQZVLZDIVKZVXOMRVSVNZVTVQZDVX
      MHVHZVKZVRVXTUUFVNZVXOVTVQZDVXMFVHZVKZWAZLVXIVKZVLZBWBZVAAVWTWCVIZVXHVAWB
      AOWCVIZVYLAOVXIUUBZVXIWCVIVYMAVXLCVEZVHZVXTVTVQZDVYBVKZVYDVYPVTVQZDVYFVKZ
      VLZCSWDZWEVIZLVXIVKVYNAWUCLVXIAVXLVCVEZVHZVXTVTVQZDVYBVKZVYDWUEVTVQZDVYFV
      KZVLZVCSWUBWEWUAWUJCVCSCSVMVYPVPVQZVYPVRVPVQZVLZDIVKZCEWDZUIWUNCEWFWGZVCS
      WHWUAVCWIWUJCWICVCWNZVYRWUGVYTWUIWUQVYQWUFDVYBWUQVYPWUEVXTVTVXLVYOWUDWOZW
      JWKWUQVYSWUHDVYFWUQVYPWUEVYDVTWURWLWKWMUUCAWUNCESWEUIAEPQUUGVNZWEAPQUUGUU
      DAEGWUSULUFUUHUUIUUJUUJZUUKLVXIWUBOWEUJUUQWPZVMRUULVXIOUUMWQOUUNWPVBVWTVA
      UUOWPAVXHVLZVWSOUUPZWEVIZVXIEWVCVOZVMVXLVXMWVCVHZVHZVPVQZWVGVRVPVQZVLZDIV
      KZWVGVXTVTVQZDVYBVKZVYDWVGVTVQZDVYFVKZWAZLVXIVKZVLZVYKWVBVWSWEVIZOWEVIWVD
      WVBVXAVWTWEVIWVSAVXAVXGUURZOOLVXIWUBWRZWEUJLVXIWUBVMRUUEUUSUUTUVAZUVBVWTW
      EVWSUVCWQWWBVWSOWEWEUVDWQWVBWVEWVQWVBVWTEVWSVOVXIVWTOVOZWVEWVBVWTVWSUUAZE
      VWSWVBVXAVWTWWDVWSVOWVTVWTVWSUVEWSWVBWWDVWTUVIZEWVBVXAVXEVBVWTVKWWDWWEUVF
      WVTWVBVXEVBVWTAVXHVBAVBWIVXAVXGVBVXAVBWIVXFVBVWTWTXAXAWVBVXBVWTVIZVXEWVBW
      WFVLVXGWWFVXCVXEAVXAVXGWWFUVGWVBWWFXBAWWFVXCVXHAWWFVLVXMOVHZVXBXCZLVXIXDZ
      VXCAWWFWWIAVYNWWFWWIXEWVAVYNWWFVDVEZOVHZVXBXCZVDVXIXDWWIVDVXIVXBOUVHWWHWW
      LLVDVXIWWHVDWILWWKVXBLWWJOLOWWAUJLVXIWUBUVJWGZLWWJWHXFLVXBWHXHLVDWNWWGWWK
      VXBVXMWWJOXGUVKUVLUVMWPXIAWWIVXCVJWWFAWWHVXCLVXIAVXMVXIVIZWWHVXCAWWNWWHWA
      WWGVXBVFAWWNWWHUVNAWWNWWGVFVGZWWHAWWNVLZWWGWUBVFWWPWWNWUCWWGWUBXCAWWNXBZA
      WUCWWNWUTXJLVXIWUBWEOUJXKXLZWWPVXJWUBVIZBWBZWUBVFVGZWWPVXJEVIZVMVXLVXJVHZ
      VPVQZWXCVRVPVQZVLZDIVKZWXCVXTVTVQZDVYBVKZVYDWXCVTVQZDVYFVKZWAZVLZBWBZWWTW
      WPWXLBEXDWXNWWPBDEVYFGVYBIIVYFUVOZJKVXTPQTUACDVXMHDHLVXIVXLNVHZVXMVRXMVSV
      NZUUFVNZMXNVNZVPVQZDIWDZWRUGDLVXIWYADVXIWHZWXTDIWFXOWGDVXMWHZXFZDIVYFDIWH
      DVXMFDFLVXIVXMWXQUVPVNZMXNVNZWXPVPVQZDIWDZWRUHDLVXIWYHWYBWYGDIWFXOWGWYCXF
      ZUVQAWWNDUCWWNDWIXAZUDUEUFAPUVTVIWWNUKXJAEGUVFWWNULXJAJVEZEVIZKVEZEVIZDIV
      XLWYKVHZVXLWYMVHZUVPVNWREVIWWNUMUVRAWYLWYNDIWYOWYPXNVNWREVIWWNUNUVRAVYOXP
      VIDIVYOWREVIWWNUOXQATVEZIVIVXLIVIZWYQVXLVGWAWYQUAVEZVHVXLWYSVHVGUAEXDWWNU
      PXQWWPVYFWYHPUWAVHZWWPWWNWYHWEVIZVYFWYHXCWWQWWPIWEVIZXUAAXUBWWNAIPUVIWEUE
      APUVTUKUVSUWBXJZWYGDIWEUWCWPLVXIWYHWEFUHXKXLZWWPDWYHWYFINPQUBUDUEWYHXTWWP
      WYEMWWNWYEXPVIZAWWNVXMXPVIZWXQXPVIZXUEWWNVXMVXMVMRUWDUWEZXMUWFUWGUWHZVXMW
      XQUWIZWQXRZAMXPVIZWWNAMURUWKZXJZUWJZANWUSVIWWNANGWUSUQUFUWLXJZUWMXSWWPVYB
      WYAWYTWWPWWNWYAWEVIZVYBWYAXCZWWQWWPXUBXUQXUCWXTDIWEUWCWPLVXIWYAWEHUGXKXLZ
      WWPDWYAWXSINPQUBUDUEWYAXTWWPWXRMWWNWXRXPVIZAWWNXUFXUGXUTXUHXUIVXMWXQUWNZW
      QXRZXUNUWJZXUPUWOXSWWPVXLVYBVIZYAZDVYFVKZVYFVYBUWPVFXCZWWPXVEDVYFWYJWWPVX
      LVYFVIZXVEWWPXVHVLZVYBWYAVXLXVIWYRWXTVLVXLWYAVIXVIWXTWYRXVIWXSWXPVTVQWXTY
      AXVIWXSWYFWXPWWPWXSXPVIXVHXVCXJZWWPWYFXPVIXVHXUOXJXVIIXPVXLNAIXPNVOWWNXVH
      AGINPQUDUEUFUQUWQYBWWPVYFIVXLWWPVYFWYHIXUDWYGDIUWRUWSUWTUXAZWWPWXSWYFVTVQ
      ZXVHWWPWXRWYEVTVQZXVLWWNXVMAWWNXUFXVMXUHXUFWXRVXMWYEXUFXUGXUTXUIXVAYCXUFU
      XBXUFXUGXUEXUIXUJYCXUFWXQUXCVIZWXRVXMVTVQWXQXUIXMUWFUXDUXEUXFZVXMWXQUXGYC
      XUFXVNVXMWYEVTVQXVOVXMWXQUXHYCUXIWPXRWWPXUTXUEXULVMMVTVQVLZXVMXVLXEXVBXUK
      AXVPWWNAMURUXLZXJWXRWYEMUXJUXKYDXJXVIWYRWYGXVIVXLWYHVIZWYRWYGVLWWPXVHXVRW
      WPVYFWYHVXLXUDYEXIWYGDIYFWSYGUXMXVIWXSWXPXVJXVKUXNYDUXOWXTDIYFUXPWWPXURXV
      HXUSXJUXQYHYIXVGWWJVYBVIZYAZVDVYFVKXVFVDVYFVYBUXRXVTXVEVDDVYFVDVYFWHWYIXV
      SDDVDVYBWYDYJUXSXVEVDWIVDDWNXVSXVDWWJVXLVYBYMUYBUXTUYAUYCWXOXTAVXTUXCVIWW
      NAMRURARUTUYDUYEXJAVXTWXQVTVQWWNAVXTMWXQAMRXUMUTUYFXUMXUGAXUIUYGAVXTMVRVS
      VNZMVPAVRRVPVQZVXTXWAVPVQZARUTUYHAVRXPVIZVMVRVTVQZVLZRXPVIVMRVTVQXVPXWBXW
      CXEXWFAXWDXWEVULUYIUYJUYGARUTUYKARUTUYLXVQVRRMUYMUYNYDAMAMURUYOVUBUYPUSUY
      QXJUYRWXLBEUYSWSWWPWXMWWSBWWPWXMWWSWWPWXMVLZVXJSVIZWXIWXKVLZWWSXWGWXBWXGX
      WHWWPWXBWXLUURWXGWXIWXKWXBWWPUYTWUNWXGCVXJESCBWNZWUMWXFDIXWJWUKWXDWULWXEX
      WJVYPWXCVMVPVXLVYOVXJWOZWLXWJVYPWXCVRVPXWKWJWMWKUIVUAVUCXWGWXIWXKWXGWXIWX
      KWXBWWPVUDWXGWXIWXKWXBWWPVUEYKWUAXWICVXJSCVXJWHWUPXWICWIXWJVYRWXIVYTWXKXW
      JVYQWXHDVYBXWJVYPWXCVXTVTXWKWJWKXWJVYSWXJDVYFXWJVYPWXCVYDVTXWKWLWKWMVUFVU
      CYHVUGYLWWSWXABWUBVXJVUHVUIWPVUJZVUKVUMVUNVUOXJYLXQVXFVBVWTVUPVUQYHYIVBVW
      TVWSVURXLWVBWWESEWVBCWWESAVXHCACWIVXAVXGCCVWTVWSCVWSWHZCOCOWWAUJCLVXIWUBC
      VXIWHWUACSWFXOWGZVUSZVUTVXFCVBVWTXWOVXFCWIYNXAXACVWTXWOVVAWUPWVBVYOWWEVIZ
      VYOSVIZAXWPXWQVXHAXWPVLZVYOWWGVIZLVXIXDZXWQAXWPXWTAVYNXWPXWTXEWVAVYNXWPVY
      OWUDOVHZVIZVCVXIXDXWTVCVYOOVXIVVDXXBXWSVCLVXILCXXALWUDOWWMLWUDWHXFYJXWSVC
      WIVCLWNXXAWWGVYOWUDVXMOXGYEUVLVVBWPXIXWRXWSXWQLVXIAXWPLALWIZLCWWELVWTLOWW
      MVUSZVVAYJXAXWQLWIXWRWWNXWSXWQXWRWWNXWSWAAWWNXWSXWQAXWPWWNXWSVVCXWRWWNXWS
      VVEXWRWWNXWSUVNWWPXWSVLZXWQWUAXXEVYOWUBVIZXWQWUAVLWWPXWSXXFWWPWWGWUBVYOWW
      RYEXIWUACSYFWSZVVFZYOVUNVVGYLXQYHVVHSWUOEUIWUNCEUWRVVIVVJVVOVVKAWWCVXHAVY
      NWWCWVAVXIOUVEWSXJVXIVWTEVWSOVVLXLWVBWVPLVXIAVXHLXXCVXAVXGLLVWTVWSLVWSWHZ
      XXDVUTVXFLVBVWTXXDVXFLWIYNXAXAWVBWWNWVPWVBWWNVLZWVKWVMWVOXXJWVFEVIZWVKXXJ
      WVFSVIZXXKWVKVLZXXJAWWNWVFWWGVIZXXLAVXHWWNVVMZWVBWWNXBZXXJWVFWWGVWSVHZWWG
      WVBWWNVYNWVFXXQXCAVYNVXHWWNWVAYBVXIVWSOVXMVVPVVNXXJVXGWWGVWTVIZVLWWOXXQWW
      GVIZXXJVXGXXRAVXAVXGWWNUVGXXJOVVQZVXMOVVRZVIZXXRAXXTVXHWWNAVYNXXTWVAVXIOV
      VSWPYBAWWNXYBVXHWWPVXMVXIXYAWWQAXYAVXIXCWWNAVXIOWVAVVTXJVWAXQVXMOVWGXLYKA
      WWNWWOVXHXWLXQVXFWWOXXSVJVBWWGVWTVXBWWGXCZVXCWWOVXEXXSVXBWWGVFVWBXYCVXDXX
      QVXBWWGVXBWWGVWSXGXYCUXBVWCYPVWDVWEXSZWWPXXNXXLXXEXWQVJWWPXXNVLZXXLVJCWVF
      WWGCVXMWVCCVWSOXWMXWNYQCVXMWHZXFZXYEXXLCWWPXXNCWWPCWICWVFWWGXYGCVXMOXWNXY
      FXFVWFXAZCWVFSXYGWUPVWFYRVYOWVFXCZXXEXYEXWQXXLXYIXWSXXNWWPVYOWVFWWGYMVWHZ
      VYOWVFSYMYPXXHVWIVWQYOXXLWVFWUOVIXXMSWUOWVFUIVWJWUNWVKCWVFEXYGCEWHWVJCDIC
      IWHWVHWVICCVMWVGVPCVMWHCVPWHZCVXLWVFXYGCVXLWHXFZYSCWVGVRVPXYLXYKCVRWHYSXA
      YNXYIWUMWVJDIDVYOWVFDVYOWHDVXMWVCDVWSODVWSWHDOWWAUJDLVXIWUBWYBWUADCSVYRVY
      TDVYQDVYBWTVYSDVYFWTXADSWUOUIWUNDCEWUMDIWTDEWHVWKWGVWKXOWGYQZWYCXFXHZXYIW
      UKWVHWULWVIXYIVYPWVGVMVPVXLVYOWVFWOZWLXYIVYPWVGVRVPXYOWJWMYTVUFUYAWSYGXXJ
      AWWNXXNWVMXXOXXPXYDWWPXXNWVMXXEVYRVJXYEWVMVJCWVFWWGXYGXYEWVMCXYHWVLCDVYBC
      VYBWHCWVGVXTVTXYLCVTWHZCVXTWHYSYNYRXYIXXEXYEVYRWVMXYJXYIVYQWVLDVYBXYNXYIV
      YPWVGVXTVTXYOWJYTYPXXEVYRVYTXXEXWQWUAXXGYGZVVFVWIVWQYOXXJAWWNXXNWVOXXOXXP
      XYDWWPXXNWVOXXEVYTVJXYEWVOVJCWVFWWGXYGXYEWVOCXYHWVNCDVYFCVYFWHCVYDWVGVTCV
      YDWHXYPXYLYSYNYRXYIXXEXYEVYTWVOXYJXYIVYSWVNDVYFXYNXYIVYPWVGVYDVTXYOWLYTYP
      XXEVYRVYTXYQYGVWIVWQYOVWLYHYIYKVYJWVRBWVCWEVXJWVCXCZVXKWVEVYIWVQVXIEVXJWV
      CVWRXYRVYHWVPLVXILVXJWVCLVXJWHLVWSOXXIWWMYQXHXYRVXSWVKVYCWVMVYGWVOXYRVXRW
      VJDIDVXJWVCDVXJWHXYMXHZXYRVXPWVHVXQWVIXYRVXOWVGVMVPXYRVXLVXNWVFVXMVXJWVCW
      OVWMZWLXYRVXOWVGVRVPXYTWJWMYTXYRVYAWVLDVYBXYSXYRVXOWVGVXTVTXYTWJYTXYRVYEW
      VNDVYFXYSXYRVXOWVGVYDVTXYTWLYTVWNYTWMVWOVWEVWP $.
  $}

  ${
    $d f g i j n t x A $.  $d f g j n q r t A $.  $d f j n q r t y A $.
    $d f g i x B $.  $d f g i x D $.  $d f g i j n t x E $.  $d f g r t J $.
    $d f g i j n t x T $.  $d f g i j n x ph $.  $d g i j n x F $.  $d j t E $.
    $d m n t E $.  $d m n F $.  $d m n t T $.  $d m n ph $.  $d q r y B $.
    $d q r y D $.  $d q r t y T $.  $d q r y ph $.  $d r t y E $.  $d t K $.
    $d x y A $.
    stoweidlem60.1 $e |- F/_ t F $.
    stoweidlem60.2 $e |- F/ t ph $.
    stoweidlem60.3 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem60.4 $e |- T = U. J $.
    stoweidlem60.5 $e |- C = ( J Cn K ) $.
    stoweidlem60.6 $e |- D = ( j e. ( 0 ... n ) |->
          { t e. T | ( F ` t ) <_ ( ( j - ( 1 / 3 ) ) x. E ) } ) $.
    stoweidlem60.7 $e |- B = ( j e. ( 0 ... n ) |->
          { t e. T | ( ( j + ( 1 / 3 ) ) x. E ) <_ ( F ` t ) } ) $.
    stoweidlem60.8 $e |- ( ph -> J e. Comp ) $.
    stoweidlem60.9 $e |- ( ph -> T =/= (/) ) $.
    stoweidlem60.10 $e |- ( ph -> A C_ C ) $.
    stoweidlem60.11 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem60.12 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem60.13 $e |- ( ( ph /\ y e. RR ) -> ( t e. T |-> y ) e. A ) $.
    stoweidlem60.14 $e |- ( ( ph /\ ( r e. T /\ t e. T /\ r =/= t ) ) ->
          E. q e. A ( q ` r ) =/= ( q ` t ) ) $.
    stoweidlem60.15 $e |- ( ph -> F e. C ) $.
    stoweidlem60.16 $e |- ( ph -> A. t e. T 0 <_ ( F ` t ) ) $.
    stoweidlem60.17 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem60.18 $e |- ( ph -> E < ( 1 / 3 ) ) $.
    $( This lemma proves that there exists a function g as in the proof in
       [BrosowskiDeutsh] p. 91 (this parte of the proof actually spans through
       pages 91-92): g is in the subalgebra, and for all ` t ` in ` T ` , there
       is a ` j ` such that (j-4/3)*&epsilon; < f(t) <= (j-1/3)*&epsilon; and
       (j-4/3)*&epsilon; < g(t) < (j+1/3)*&epsilon;.  Here ` F ` is used to
       represent f in the paper, and ` E ` is used to represent &epsilon;.
       (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem60 $p |- ( ph -> E. g e. A A. t e. T E. j e. RR
          ( ( ( ( j - ( 4 / 3 ) ) x. E ) < ( F ` t ) /\
          ( F ` t ) <_ ( ( j - ( 1 / 3 ) ) x. E ) ) /\
          ( ( g ` t ) < ( ( j + ( 1 / 3 ) ) x. E ) /\
          ( ( j - ( 4 / 3 ) ) x. E ) < ( g ` t ) ) ) ) $=
      ( vx vm vi cv c4 c3 cdiv co cmin cmul cfv clt wbr c1 cle wa caddc cr wrex
      wral wex cn wcel cc0 cfz w3a nnre adantl rpred adantr wne rpne0d redivcld
      wf 1red readdcld arch syl nfv nfan nfra1 simp-5l fcnre ffvelrnda sylancom
      simp-5r nnred simpllr resubcld remulcld simplr simpr simpl1 simpl2 simpl3
      r19.21bi syl2anc mpbid 3ad2ant1 ex mpd crab cmpt eqid ccmp 3adant1r simpl
      adantlr nf3an simp2 simp3 simp1 syl3an1 3ad2antl1 syl3anc simp1r3 2ralimi
      sselda cvv 3syl rspa syl21anc idd exlimdv ltaddsubd wb 3ad2ant2 ltdivmul2
      rpgt0d syl112anc syl31anc lttrd ralrimi reximdva r19.29a df-rex sylib wss
      rfcnnnub crp stoweidlem59 adantrr 19.42v sylanbrc 3anass exbii sylibr csu
      eximdv simpr1l simpr2 stoweidlem17 nfcv nfralw cuni uniexd simpr1r simpll
      eqeltrid simplr2 ffvelrn 3adant1 simp1bi simp2bi stoweidlem34 wceq nfmpt1
      r19.26-3 simp3bi nfeq2 breq1d breq2d anbi12d anbi2d rexbidv ralbid rspcev
      fveq1 2eximdv ) AKUTZVAVBVCVDVEVDMVFVDZCUTZNVGZVHVIUWSUWPVJVBVCVDZVEVDMVF
      VDVKVIVLZUWRJUTZVGZUWPUWTVMVDMVFVDZVHVIZUWQUXCVHVIZVLZVLZKVNVOZCHVPZJDVOZ
      UQVQZUXKAUXLLVQZUXLALUTZVRVSZUWSUXNVJVEVDZMVFVDZVHVIZCHVPZVLZVTUXNWAVDZDU
      QUTZWJZVTUWRUWPUYBVGZVGZVKVIZUYEVJVKVIZVLZCHVPZUYEMUXNVCVDZVHVIZCUWPGVGZV
      PZVJUYJVEVDZUYEVHVIZCUWPEVGZVPZWBZKUYAVPZWBZUQVQZLVQZUXMAUXTLVQZVUBAUXSLV
      RVOZVUCAUWSURUTZVHVIZCHVPZVUDURVRAVUEVRVSZVLZVUGVLZVUEMVCVDZVJVMVDZUXNVHV
      IZLVRVOZVUDVUJVULVNVSZVUNVUIVUOVUGVUIVUKVJVUIVUEMVUHVUEVNVSZAVUEWCZWDAMVN
      VSZVUHAMUOWEZWFAMVTWGVUHAMUOWHWFWIZVUIWKWLWFVULLWMWNVUJVUMUXSLVRVUJUXOVLZ
      VUMUXSVVAVUMVLZUXRCHVVAVUMCVUJUXOCVUIVUGCAVUHCTVUHCWOWPVUFCHWQWPUXOCWOZWP
      VUMCWOWPVVBUWRHVSZUXRVVBVVDVLZUWSVUEUXQVVBVVDAUWSVNVSAVUHVUGUXOVUMVVDWRZA
      HVNUWRNAFHNOPUAUBUCUMWSZWTXAVVEVUEAVUHVUGUXOVUMVVDXBZXCVVEUXPMVVEUXNVJVVE
      UXNVUJUXOVUMVVDXDZXCVVEWKXEVVEAVURVVFVUSWNXFVVBVUFCHVUIVUGUXOVUMXDXLVVEAV
      UHUXOVUMVUEUXQVHVIZVVFVVHVVIVVAVUMVVDXGAVUHUXOWBZVUMVLZVUKUXPVHVIZVVJVVLV
      UMVVMVVKVUMXHVVLVUKVJUXNVVLAVUHVUKVNVSAVUHUXOVUMXIZAVUHUXOVUMXJVUTXMVVLWK
      ZVVLUXNAVUHUXOVUMXKXCZUUAXNVVLVUPUXPVNVSVURVTMVHVIZVVMVVJUUBVVKVUPVUMVUHA
      VUPUXOVUQUUCWFVVLUXNVJVVPVVOXEVVKVURVUMAVUHVURUXOVUSXOWFVVLAVVQVVNAMUOUUE
      WNVUEUXPMUUDUUFXNUUGUUHXPUUIXPUUJXQACFHURNOPSTUAUFUBUGUCUMUUOUUKUXSLVRUUL
      UUMAUXTVUALAUXTVUAAUXTVLZUXTUYCUYSVLZVLZUQVQZVUAVVRUXTVVSUQVQZVWAAUXTXHAU
      XOVWBUXSAUXOVLUQBCDEFGHIJKMNKUYAUWRBUTZVGZUYJVHVICUYLVPUYNVWDVHVICUYPVPVL
      BVTVWDVKVIVWDVJVKVIVLCHVPBDXRZXRXSZOPUXNVWEQRSAUXOCTVVCWPUAUBUCUDUEVWEXTV
      WFXTAOYAVSUXOUFWFADFUUNUXOUHWFAIUTZDVSZUXBDVSZCHUWRVWGVGZUXCVMVDXSDVSZUXO
      UIYBAVWHVWICHVWJUXCVFVDXSDVSZUXOUJYBAVWCVNVSZCHVWCXSDVSZUXOUKYDAQUTZHVSVV
      DVWOUWRWGWBVWORUTZVGUWRVWPVGWGRDVOUXOULYDANFVSUXOUMWFAMUUPVSZUXOUOWFAMUWT
      VHVIZUXOUPWFAUXOXHUUQUURUXTVVSUQUUSUUTUYTVVTUQUXTUYCUYSUVAUVBUVCXPUVEXQAU
      YTUXKLUQAUYTUXKAUYTVLZCHUYAMUWRUSUTUYBVGVGVFVDUSUVDZXSZDVSZUXAUWRVXAVGZUX
      DVHVIZUWQVXCVHVIZVLZVLZKVNVOZCHVPZUXKVWSAUXOUYCVXBAUYTYCUXOUXSUYCUYSAUVFZ
      AUXTUYCUYSUVGAUXOUYCWBZBCDHIJUSMUXNUYBAUXOUYCCTVVCUYCCWOZYEAUXOUYCYFAUXOU
      YCYGVXKAVWHVWIVWKAUXOUYCYHZUIYIVXKAVWHVWIVWLVXMUJYIAUXOVWMVWNUYCUKYJVXKMA
      UXOVWQUYCUOXOWEAUXOVWHHVNVWGWJUYCAVWHVLFHVWGOPUAUBUCADFVWGUHYNWSYJUVHYKVW
      SCEGHUSKMNCHUWRUYLVSZKVJUXNWAVDXRXSZUXNUYBSAUYTKAKWOUXTUYCUYSKUXTKWOUYCKW
      OUYRKUYAWQYEWPAUYTCTUXTUYCUYSCUXOUXSCVVCUXRCHWQWPVXLUYRCKUYACUYAUVIUYIUYM
      UYQCUYHCHWQUYKCUYLWQUYOCUYPWQYEUVJYEWPUDUEVXOXTVXJAHYOVSUYTAHOUVKYOUBAOYA
      UFUVLUVOWFAHVNNWJUYTVVGWFAVVDVTUWSVKVIZUYTAVXPCHUNXLYDVWSUXRCHUXOUXSUYCUY
      SAUVMXLAVWQUYTUOWFAVWRUYTUPWFVWSUWPUYAVSZVLAUYCVXQHVNUYDWJZAUYTVXQUVNUXTU
      YCUYSAVXQUVPVWSVXQXHAUYCVXQWBAUYDDVSZVXRAUYCVXQYHUYCVXQVXSAUYADUWPUYBUVQU
      VRAVXSVLFHUYDOPUAUBUCADFUYDUHYNWSXMYKVWSVXQVVDWBZUYFCHVPZKUYAVPZVXQVVDUYF
      VXTUYSUYIKUYAVPZVYBUXTUYCUYSAVXQVVDYLZUYSVYCUYMKUYAVPZUYQKUYAVPZUYIUYMUYQ
      KUYAUWDZUVSZUYHUYFKCUYAHUYFUYGYCYMYPVWSVXQVVDYFZVWSVXQVVDYGZVYBVXQVLUYFCH
      VYAKUYAYQXLYRVXTUYGCHVPZKUYAVPZVXQVVDUYGVXTUYSVYCVYLVYDVYHUYHUYGKCUYAHUYF
      UYGXHYMYPVYIVYJVYLVXQVLUYGCHVYKKUYAYQXLYRVWSVXQVXNWBZVYEVXQVXNUYKVYMUYSVY
      EUXTUYCUYSAVXQVXNYLUYSVYCVYEVYFVYGUVTWNVWSVXQVXNYFVWSVXQVXNYGVYEVXQVLUYKC
      UYLUYMKUYAYQXLYRVWSVXQUWRUYPVSZWBZVYFVXQVYNUYOVYOUYSVYFUXTUYCUYSAVXQVYNYL
      UYSVYCVYEVYFVYGUWEWNVWSVXQVYNYFVWSVXQVYNYGVYFVXQVLUYOCUYPUYQKUYAYQXLYRUWA
      UXJVXIJVXADUXBVXAUWBZUXIVXHCHCUXBVXACHVWTUWCUWFVYPUXHVXGKVNVYPUXGVXFUXAVY
      PUXEVXDUXFVXEVYPUXCVXCUXDVHUWRUXBVXAUWNZUWGVYPUXCVXCUWQVHVYQUWHUWIUWJUWKU
      WLUWMXMXPUWOXQAUXLUXLLAUXLYSYTXQAUXKUXKUQAUXKYSYTXQ $.
  $}

  ${
    $d f g j n q r t x A $.  $d f g j n q r t x E $.  $d f g j n q r x F $.
    $d f g r t J $.  $d f g j n q r t x T $.  $d f g j n q r x ph $.  $d t K $.
    stoweidlem61.1 $e |- F/_ t F $.
    stoweidlem61.2 $e |- F/ t ph $.
    stoweidlem61.3 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem61.4 $e |- ( ph -> J e. Comp ) $.
    stoweidlem61.5 $e |- T = U. J $.
    stoweidlem61.6 $e |- ( ph -> T =/= (/) ) $.
    stoweidlem61.7 $e |- C = ( J Cn K ) $.
    stoweidlem61.8 $e |- ( ph -> A C_ C ) $.
    stoweidlem61.9 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem61.10 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem61.11 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweidlem61.12 $e |- ( ( ph /\ ( r e. T /\ t e. T /\ r =/= t ) ) ->
          E. q e. A ( q ` r ) =/= ( q ` t ) ) $.
    stoweidlem61.13 $e |- ( ph -> F e. C ) $.
    stoweidlem61.14 $e |- ( ph -> A. t e. T 0 <_ ( F ` t ) ) $.
    stoweidlem61.15 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem61.16 $e |- ( ph -> E < ( 1 / 3 ) ) $.
    $( This lemma proves that there exists a function ` g ` as in the proof in
       [BrosowskiDeutsh] p. 92: ` g ` is in the subalgebra, and for all ` t `
       in ` T ` , abs( f(t) - g(t) ) < 2*&epsilon;.  Here ` F ` is used to
       represent f in the paper, and ` E ` is used to represent &epsilon;.  For
       this lemma there's the further assumption that the function ` F ` to be
       approximated is nonnegative (this assumption is removed in a later
       theorem).  (Contributed by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweidlem61 $p |- ( ph -> E. g e. A A. t e. T ( abs ` ( ( g ` t ) -
          ( F ` t ) ) ) < ( 2 x. E ) ) $=
      ( vj vn cv c4 c3 cdiv co cmin cmul cfv clt wbr c1 wa caddc wrex wral cabs
      cle cr c2 cc0 cfz crab cmpt eqid stoweidlem60 wcel nfv crp ad2antrr fcnre
      nfan ffvelrnda adantlr sselda w3a simpll1 simpll2 simpll3 simprll simprlr
      simplr simprrr simprrl stoweidlem13 rexlimdva2 syl3anc ralimdaa reximdva
      wi mpd ) AUKUMZUNUOUPUQURUQIUSUQZCUMZJUTZVAVBZXFXCVCUOUPUQZURUQIUSUQVIVBZ
      VDZXEHUMZUTZXCXHVEUQIUSUQZVAVBZXDXLVAVBZVDZVDZUKVJVFZCFVGZHDVFXLXFURUQVHU
      TVKIUSUQVAVBZCFVGZHDVFABCDUKVLULUMVMUQZXMXFVIVBCFVNVOZEUKYBXICFVNVOZFGHUK
      ULIJKLMNOPQSUAYDVPYCVPRTUBUCUDUEUFUGUHUIUJVQAXSYAHDAXKDVRZVDZXRXTCFAYECPY
      ECVSWCYFXEFVRZVDIVTVRZXFVJVRZXLVJVRZXRXTXAAYHYEYGUIWAAYGYIYEAFVJXEJAEFJKL
      QSUAUGWBWDWEYFFVJXEXKYFEFXKKLQSUAADEXKUBWFWBWDYHYIYJWGZXQXTUKVJYKXCVJVRZV
      DZXQVDUKIXFXLYHYIYJYLXQWHYHYIYJYLXQWIYHYIYJYLXQWJYKYLXQWMYMXGXIXPWKYMXGXI
      XPWLYMXJXNXOWNYMXJXNXOWOWPWQWRWSWTXB $.
  $}

  ${
    $d f g h t A $.  $d f h q r t x A $.  $d f g h t E $.  $d f g h F $.
    $d f g h H $.  $d f h r t J $.  $d f g h t T $.  $d f g h ph $.
    $d q r t x E $.  $d q r x H $.  $d q r t x T $.  $d q r x ph $.  $d t K $.
    $d x F $.
    stoweidlem62.1 $e |- F/_ t F $.
    stoweidlem62.2 $e |- F/ f ph $.
    stoweidlem62.3 $e |- F/ t ph $.
    stoweidlem62.4 $e |- H = ( t e. T |-> ( ( F ` t )
                                            - inf ( ran F , RR , < ) ) ) $.
    stoweidlem62.5 $e |- K = ( topGen ` ran (,) ) $.
    stoweidlem62.6 $e |- T = U. J $.
    stoweidlem62.7 $e |- ( ph -> J e. Comp ) $.
    stoweidlem62.8 $e |- C = ( J Cn K ) $.
    stoweidlem62.9 $e |- ( ph -> A C_ C ) $.
    stoweidlem62.10 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) + ( g ` t ) ) ) e. A ) $.
    stoweidlem62.11 $e |- ( ( ph /\ f e. A /\ g e. A ) ->
          ( t e. T |-> ( ( f ` t ) x. ( g ` t ) ) ) e. A ) $.
    stoweidlem62.12 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweidlem62.13 $e |- ( ( ph /\ ( r e. T /\ t e. T /\ r =/= t ) ) ->
          E. q e. A ( q ` r ) =/= ( q ` t ) ) $.
    stoweidlem62.14 $e |- ( ph -> F e. C ) $.
    stoweidlem62.15 $e |- ( ph -> E e. RR+ ) $.
    stoweidlem62.16 $e |- ( ph -> T =/= (/) ) $.
    stoweidlem62.17 $e |- ( ph -> E < ( 1 / 3 ) ) $.
    $( This theorem proves the Stone Weierstrass theorem for the non-trivial
       case in which T is nonempty.  The proof follows [BrosowskiDeutsh] p. 89
       (through page 92).  (Contributed by Glauco Siliprandi, 20-Apr-2017.)
       (Revised by AV, 13-Sep-2020.) $)
    stoweidlem62 $p |- ( ph -> E. f e. A A. t e. T ( abs ` ( ( f ` t ) -
          ( F ` t ) ) ) < E ) $=
      ( vh cv cfv cmin co cabs clt wbr wral wrex cdiv cmul crn cinf cmpt nfmpt1
      c2 cr nfcxfr wcel w3a caddc wi wceq eleq1w 3anbi3d oveq2d mpteq2dv eleq1d
      fveq1 imbi12d chvarvv cneg csn cxp nfrn nfcv nfinf eqid ccmp ctop syl cle
      cmptop ccn eleqtrdi stoweidlem29 simp2d stoweidlem47 eqeltrid wa r19.21bi
      cc0 simp3d fcnre ffvelrnda adantr subge0d mpbird resubcld fvmpt2 breqtrrd
      simpr syl2anc ex ralrimi rphalfcld c1 c3 rpred rehalfcld 3re rereccli a1i
      3ne0 crp rphalflt lttrd stoweidlem61 nfra1 nfan rsp rpcnd 2cnd wf adantlr
      wne cuni 2ne0 divcan2d breq2d biimpd sylan9r reximdv mpd nfv sseld eleq2i
      3adant1r syl6ib cioo ctg uniretop unieqi eqtr4i syl6 wb feq2 mp1i sylibrd
      simprl eqcomd fveq2d simplrr rspa sylancom eqbrtrd stoweidlem21 rexlimddv
      cnf ) ACUNZUMUNZUOZUVMKUOZUPUQZURUOZIUSUTZCFVAZUVMGUNZUOZUVMJUOZUPUQURUOI
      USUTCFVAGDVBUMDAUVRVIIVIVCUQZVDUQZUSUTZCFVAZUMDVBUVTUMDVBABCDEFGUMUWDKLMN
      OCKCFUWCJVEZVJUSVFZUPUQZVGZSCFUWJVHVKRTUBUAUKUCUDAUWADVLZHUNZDVLZVMZCFUWB
      UVMUWMUOZVNUQZVGZDVLZVOAUWLUVNDVLZVMZCFUWBUVOVNUQZVGZDVLZVOHUMUWMUVNVPZUW
      OUXAUWSUXDUXEUWNUWTAUWLHUMDVQVRZUXEUWRUXCDUXECFUWQUXBUXEUWPUVOUWBVNUVMUWM
      UVNWBZVSVTWAWCUEWDUWOCFUWBUWPVDUQZVGZDVLZVOUXACFUWBUVOVDUQZVGZDVLZVOHUMUX
      EUWOUXAUXJUXMUXFUXEUXIUXLDUXECFUXHUXKUXEUWPUVOUWBVDUXGVSVTWAWCUFWDUGUHAKU
      WKESACEUWIFJFUWIWEWFWGZLMPCUWHVJUSCJPWHCVJWICUSWIWJZRUAUXNWKTALWLVLLWMVLU
      BLWPWNUCUIAUWIUWHVLZUWIVJVLZUWIUWCWOUTZCFVAZACFJLMPRUATUBAJELMWQUQZUIUCWR
      UKWSZWTZXAXBAXEUVPWOUTZCFRAUVMFVLZUYCAUYDXCZXEUWJUVPWOUYEXEUWJWOUTUXRAUXR
      CFAUXPUXQUXSUYAXFXDUYEUWCUWIAFVJUVMJAEFJLMTUAUCUIXGZXHZAUXQUYDUYBXIZXJXKU
      YEUYDUWJVJVLUVPUWJVPAUYDXOUYEUWCUWIUYGUYHXLCFUWJVJKSXMXPZXNXQXRAIUJXSAUWD
      IXTYAVCUQZAIAIUJYBZYCUYKUYJVJVLAYAYDYGYEYFAIYHVLUWDIUSUTUJIYIWNULYJYKAUWG
      UVTUMDAUWGUVTAUWGXCUVSCFAUWGCRUWFCFYLYMUWGUYDUWFAUVSUWFCFYNAUWFUVSAUWEIUV
      RUSAIVIAIUJYOAYPVIXEYSAUUAYFUUBUUCUUDUUEXRXQUUFUUGAUWTUVTXCZXCZBCDUWIFGHI
      JCFUVOUWIVNUQZVGZUVNCFUYNVHCUVNWIUXOAUYLCRUWTUVTCUWTCUUHUVSCFYLYMYMZUYOWK
      AFVJJYQUYLUYFXIAUXQUYLUYBXIAUWLUWNUWSUYLUEUUKABUNZVJVLCFUYQVGDVLUYLUGYRAF
      VJUWAYQZGDVAUYLAUYRGDQAUWLLYTZVJUWAYQZUYRAUWLUWAUXTVLZUYTAUWLUWAEVLVUAADE
      UWAUDUUIEUXTUWAUCUUJUULUWALMUYSVJUYSWKVJUUMVEUUNUOZYTMYTUUOMVUBTUUPUUQUVL
      UURFUYSVPUYRUYTUUSAUAFUYSVJUWAUUTUVAUVBXRXIAUWTUVTUVCUYMUVOUWJUPUQZURUOZI
      USUTZCFUYPUYMUYDVUEUYMUYDXCVUDUVRIUSAUYDVUDUVRVPUYLUYEVUCUVQURUYEUWJUVPUV
      OUPUYEUVPUWJUYIUVDVSUVEYRUYMUYDUVTUVSAUWTUVTUYDUVFUVSCFUVGUVHUVIXQXRUVJUV
      K $.
  $}

  ${
    $d f g t A $.  $d f h r t x A $.  $d f g t E $.  $d f g F $.  $d f r t J $.
    $d f g t T $.  $d f g ph $.  $d h r t x E $.  $d h r x F $.
    $d h r t x T $.  $d h r x ph $.  $d t K $.
    stoweid.1 $e |- F/_ t F $.
    stoweid.2 $e |- F/ t ph $.
    stoweid.3 $e |- K = ( topGen ` ran (,) ) $.
    stoweid.4 $e |- ( ph -> J e. Comp ) $.
    stoweid.5 $e |- T = U. J $.
    stoweid.6 $e |- C = ( J Cn K ) $.
    stoweid.7 $e |- ( ph -> A C_ C ) $.
    stoweid.8 $e |- ( ( ph /\ f e. A /\ g e. A ) -> ( t e. T |-> ( ( f ` t ) +
                    ( g ` t ) ) ) e. A ) $.
    stoweid.9 $e |- ( ( ph /\ f e. A /\ g e. A ) -> ( t e. T |-> ( ( f ` t ) x.
                    ( g ` t ) ) ) e. A ) $.
    stoweid.10 $e |- ( ( ph /\ x e. RR ) -> ( t e. T |-> x ) e. A ) $.
    stoweid.11 $e |- ( ( ph /\ ( r e. T /\ t e. T /\ r =/= t ) ) -> E. h e. A (
                     h ` r ) =/= ( h ` t ) ) $.
    stoweid.12 $e |- ( ph -> F e. C ) $.
    stoweid.13 $e |- ( ph -> E e. RR+ ) $.
    $( This theorem proves the Stone-Weierstrass theorem for real-valued
       functions: let ` J ` be a compact topology on ` T ` , and ` C ` be the
       set of real continuous functions on ` T ` .  Assume that ` A ` is a
       subalgebra of ` C ` (closed under addition and multiplication of
       functions) containing constant functions and discriminating points (if
       ` r ` and ` t ` are distinct points in ` T ` , then there exists a
       function ` h ` in ` A ` such that h(r) is distinct from h(t) ).  Then,
       for any continuous function ` F ` and for any positive real ` E ` ,
       there exists a function ` f ` in the subalgebra ` A ` , such that ` f `
       approximates ` F ` up to ` E ` ( ` E ` represents the usual &epsilon;
       value).  As a classical example, given any a, b reals, the closed
       interval ` T = [ a , b ] ` could be taken, along with the subalgebra
       ` A ` of real polynomials on ` T ` , and then use this theorem to easily
       prove that real polynomials are dense in the standard metric space of
       continuous functions on ` [ a , b ] ` .  The proof and lemmas are
       written following [BrosowskiDeutsh] p. 89 (through page 92).  Some
       effort is put in avoiding the use of the axiom of choice.  (Contributed
       by Glauco Siliprandi, 20-Apr-2017.) $)
    stoweid $p |- ( ph -> E. f e. A A. t e. T
          ( abs ` ( ( f ` t ) - ( F ` t ) ) ) < E ) $=
      ( cv cfv cmin co cabs c1 c4 cdiv cle wbr cif wral wrex c0 wceq simpr cmpt
      clt wa wcel cr ralrimiva 1re id mpteq2dv eleq1d rspccv mpisyl stoweidlem9
      adantr wn crn cinf nfv nfan eqid ccmp wss caddc 3adant1r cmul adantlr wne
      w3a crp 4re 4pos elrpii a1i rpreccld ifcld neqne adantl c3 rpred rereccli
      4ne0 3re 3ne0 rpxrd xrmin2 syl2anc 3lt4 3pos ltrecii lelttrd stoweidlem62
      cxr mpbi pm2.61dan xrmin1 ad2antrr wi wf simplr sseldd fcnre ffvelrn recn
      cc jca 3syl subcld abscld cc0 3pm3.2i redivcl mp1i ltletr mpan2d ralimdaa
      syl3anc reximdva mpd ) ACUHZGUHZUIZUUBKUIZUJUKZULUIZJUMUNUOUKZUPUQZJUUHUR
      ZVEUQZCFUSZGDUTZUUGJVEUQZCFUSZGDUTAFVAVBZUUMAUUPVFCDFGUUJKAUUPVCACFUMVDZD
      VGZUUPACFBUHZVDZDVGZBVHUSUMVHVGZUURAUVABVHUDVIVJUVAUURBUMVHUUSUMVBZUUTUUQ
      DUVCCFUUSUMUVCVKVLVMVNVOVQVPAUUPVRZVFBCDEFGHUUJKCFUUEKVSVHVEVTUJUKVDZLMNI
      OAUVDGAGWAUVDGWAWBAUVDCPUVDCWAWBUVEWCQSALWDVGUVDRVQTADEWEZUVDUAVQAUUCDVGZ
      HUHZDVGZCFUUDUUBUVHUIZWFUKVDDVGUVDUBWGAUVGUVICFUUDUVJWHUKVDDVGUVDUCWGAUUS
      VHVGUVAUVDUDWIANUHZFVGUUBFVGZUVKUUBWJWKUVKIUHZUIUUBUVMUIWJIDUTUVDUEWIAKEV
      GZUVDUFVQAUUJWLVGUVDAUUIJUUHWLUGAUNUNWLVGAUNWMWNWOWPWQZWRVQUVDFVAWJAFVAWS
      WTAUUJUMXAUOUKZVEUQUVDAUUJUUHUVPAUUIJUUHVHAJUGXBZUUHVHVGZAUNWMXDXCWPZWRUV
      SUVPVHVGAXAXEXFXCWPAJXOVGZUUHXOVGZUUJUUHUPUQAJUGXGZAUUHUVOXGZJUUHXHXIUUHU
      VPVEUQZAXAUNVEUQUWDXJXAUNXEWMXKWNXLXPWPXMVQXNXQAUULUUOGDAUVGVFZUUKUUNCFAU
      VGCPUVGCWAWBUWEUVLVFZUUKUUJJUPUQZUUNAUWGUVGUVLAUVTUWAUWGUWBUWCJUUHXRXIXSU
      WFUUGVHVGUUJVHVGZJVHVGZUUKUWGVFUUNXTUWFUUFUWFUUDUUEUWFFVHUUCYAZUVLVFUUDVH
      VGUUDYGVGUWFUWJUVLUWFEFUUCLMQSTUWFDEUUCAUVFUVGUVLUAXSAUVGUVLYBYCYDUWEUVLV
      CZYHFVHUUBUUCYEUUDYFYIUWFFVHKYAZUVLVFUUEVHVGUUEYGVGUWFUWLUVLUWFEFKLMQSTAU
      VNUVGUVLUFXSYDUWKYHFVHUUBKYEUUEYFYIYJYKAUWHUVGUVLAUUIJUUHVHUVQUVBUNVHVGZU
      NYLWJZWKUVRAUVBUWMUWNVJWMXDYMUMUNYNYOWRXSAUWIUVGUVLUVQXSUUGUUJJYPYSYQYRYT
      UUA $.
  $}

  ${
    $d f g t A $.  $d f h r t x A $.  $d f g t E $.  $d f g t F $.
    $d f r t J $.  $d f g t T $.  $d h r t x E $.  $d h r t x F $.
    $d h r t x T $.  $d t K $.
    stowei.1 $e |- K = ( topGen ` ran (,) ) $.
    stowei.2 $e |- J e. Comp $.
    stowei.3 $e |- T = U. J $.
    stowei.4 $e |- C = ( J Cn K ) $.
    stowei.5 $e |- A C_ C $.
    stowei.6 $e |- ( ( f e. A /\ g e. A ) -> ( t e. T |-> ( ( f ` t ) + ( g ` t
                   ) ) ) e. A ) $.
    stowei.7 $e |- ( ( f e. A /\ g e. A ) -> ( t e. T |-> ( ( f ` t ) x. ( g `
                   t ) ) ) e. A ) $.
    stowei.8 $e |- ( x e. RR -> ( t e. T |-> x ) e. A ) $.
    stowei.9 $e |- ( ( r e. T /\ t e. T /\ r =/= t ) -> E. h e. A ( h ` r ) =/=
                   ( h ` t ) ) $.
    stowei.10 $e |- F e. C $.
    stowei.11 $e |- E e. RR+ $.
    $( This theorem proves the Stone-Weierstrass theorem for real-valued
       functions: let ` J ` be a compact topology on ` T ` , and ` C ` be the
       set of real continuous functions on ` T ` .  Assume that ` A ` is a
       subalgebra of ` C ` (closed under addition and multiplication of
       functions) containing constant functions and discriminating points (if
       ` r ` and ` t ` are distinct points in ` T ` , then there exists a
       function ` h ` in ` A ` such that h(r) is distinct from h(t) ).  Then,
       for any continuous function ` F ` and for any positive real ` E ` ,
       there exists a function ` f ` in the subalgebra ` A ` , such that ` f `
       approximates ` F ` up to ` E ` ( ` E ` represents the usual &epsilon;
       value).  As a classical example, given any a, b reals, the closed
       interval ` T = [ a , b ] ` could be taken, along with the subalgebra
       ` A ` of real polynomials on ` T ` , and then use this theorem to easily
       prove that real polynomials are dense in the standard metric space of
       continuous functions on ` [ a , b ] ` .  The proof and lemmas are
       written following [BrosowskiDeutsh] p. 89 (through page 92).  Some
       effort is put in avoiding the use of the axiom of choice.  The deduction
       version of this theorem is ~ stoweid : often times it will be better to
       use ~ stoweid in other proofs (but this version is probably easier to be
       read and understood).  (Contributed by Glauco Siliprandi,
       20-Apr-2017.) $)
    stowei $p |- E. f e. A A. t e. T ( abs ` ( ( f ` t ) - ( F ` t ) ) ) < E $=
      ( cv cfv cmin co cabs clt wbr wral wrex wtru nfcv nftru ccmp wcel a1i wss
      caddc cmpt 3adant1 cmul cr adantl wne w3a crp stoweid mptru ) BUEZFUEZUFZ
      VLJUFUGUHUIUFIUJUKBEULFCUMUNABCDEFGHIJKLMBJUOBUPNKUQURUNOUSPQCDUTUNRUSVMC
      URZGUEZCURZBEVNVLVPUFZVAUHVBCURUNSVCVOVQBEVNVRVDUHVBCURUNTVCAUEZVEURBEVSV
      BCURUNUAVFMUEZEURVLEURVTVLVGVHVTHUEZUFVLWAUFVGHCUMUNUBVFJDURUNUCUSIVIURUN
      UDUSVJVK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Wallis' product for &pi;
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d n x $.  $d N n $.  $d N x $.  $d ph x $.
    wallispilem1.1 $e |- I = ( n e. NN0 |-> S. ( 0 (,) _pi ) ( ( sin ` x ) ^ n
                           ) _d x ) $.
    wallispilem1.2 $e |- ( ph -> N e. NN0 ) $.
    $( ` I ` is monotone: increasing the exponent, the integral decreases.
       (Contributed by Glauco Siliprandi, 29-Jun-2017.) $)
    wallispilem1 $p |- ( ph -> ( I ` ( N + 1 ) ) <_ ( I ` N ) ) $=
      ( cc0 cpi co cfv cexp cle cr wcel cn0 syl adantr wbr wceq cioo cv csin c1
      caddc citg cmpt cibl 0re a1i pire peano2nn0 iblioosinexp syl3anc resincld
      wa elioore adantl reexpcld cuz cz nn0zd uzid peano2uz clt jctil sinq12gt0
      ltle sylc sinbnd simprd leexp2rd itgle oveq2 itgeq2dv itgex fvmpt 3brtr4d
      cneg ) ABHIUAJZBUBZUCKZEUDUEJZLJZUFZBVTWBELJZUFZWCDKZEDKZMABVTWDWFAHNOZIN
      OZWCPOZBVTWDUGUHOWJAUIUJZWKAUKUJZAEPOZWLGEULQZBHIWCUMUNAWJWKWOBVTWFUGUHOW
      MWNGBHIEUMUNAWAVTOZUPZWBWCWQWBNOZAWQWAWAHIUQZUOZURZAWLWQWPRUSWRWBEXBAWOWQ
      GRZUSWRWBEWCXBXCAWCEUTKZOZWQAEXDOZXEAEVAOXFAEGVBEVCQEEVDQRWQHWBMSZAWQWJWS
      UPHWBVESXGWQWSWJXAUIVFWAVGHWBVHVIURWQWBUDMSZAWQUDVSWBMSZXHWQWANOXIXHUPWTW
      AVJQVKURVLVMAWLWHWETWPCWCBVTWBCUBZLJZUFZWEPDXJWCTZBVTXKWDXMXKWDTWQXJWCWBL
      VNRVOFBVTWDVPVQQAWOWIWGTGCEXLWGPDXJETZBVTXKWFXNXKWFTWQXJEWBLVNRVOFBVTWFVP
      VQQVR $.
  $}

  ${
    $d n x $.  $d N n $.  $d N x $.
    wallispilem2.1 $e
      |- I = ( n e. NN0 |-> S. ( 0 (,) _pi ) ( ( sin ` x ) ^ n ) _d x ) $.
    $( A first set of properties for the sequence ` I ` that will be used in
       the proof of the Wallis product formula.  (Contributed by Glauco
       Siliprandi, 29-Jun-2017.) $)
    wallispilem2 $p
      |- ( ( I ` 0 ) = _pi /\ ( I ` 1 ) = 2 /\ ( N e. ( ZZ>= ` 2 ) ->
      ( I ` N ) = ( ( ( N - 1 ) / N ) x. ( I ` ( N - 2 ) ) ) ) ) $=
  ( cc0 cfv cpi wceq c1 c2 wcel cmin co cn0 cexp citg cr pire eqtri cuz cdiv wi
  cmul 0nn0 cioo cv csin wa oveq2 adantr cc ioosscn sseli sincld exp0d itgeq2dv
  adantl eqtrd cvol cdm ioombl 0re ioovolcl mp2an ax-1cn itgconst mp3an mulid2i
  recni cle wbr pipos ltleii volioo subid1i eqtrdi elexi fvmpt ax-mp 1nn0 simpl
  oveq2d exp1d itgex itgsin0pi id itgsinexp 3pm3.2i ) FCGHIZJCGZKIDKUAGLZDCGDJM
  NDUBNDKMNCGUDNIUCFOLWJUEBFAFHUFNZAUGZUHGZBUGZPNZQZHOCWPFIZWRAWMJQZHWSAWMWQJWS
  WNWMLZUIZWQWOFPNZJWSWQXCIXAWPFWOPUJUKXBWOXAWOULLZWSXAWNWMULWNFHUMUNUOZURUPUSU
  QWTJWMUTGZUDNZHWMUTVALXFRLZJULLWTXGIFHVBFRLZHRLZXHVCSFHVDVEZVFAWMJVGVHXGXFHXF
  XFXKVJVIXFHFMNZHXIXJFHVKVLXFXLIVCSFHVCSVMVNFHVOVHHHSVJVPTTTVQEHRSVRVSVTWKAWMW
  OQZKJOLWKXMIWABJWRXMOCWPJIZAWMWQWOXNXAUIZWQWOJPNWOXOWPJWOPXNXAWBWCXOWOXAXDXNX
  EURWDUSUQEAWMWOWEVSVTAWFTWLABCDEWLWGWHWI $.
  $}

  ${
    $d k m y $.  $d m n x $.  $d m w y $.  $d I k $.  $d I m $.  $d I w $.
    $d I y $.  $d N m $.  $d N w $.
    wallispilem3.1 $e |- I = ( n e. NN0 |->
      S. ( 0 (,) _pi ) ( ( sin ` x ) ^ n ) _d x ) $.
    $( I maps to real values.  (Contributed by Glauco Siliprandi,
       29-Jun-2017.) $)
    wallispilem3 $p |- ( N e. NN0 -> ( I ` N ) e. RR+ ) $=
      ( vm cn0 wcel cle wbr cfv crp wi wa cc0 c1 co wceq simpr c2 vw vy vk wral
      cv caddc breq2 imbi1d ralbidv nn0ge0 adantr 0red letri3d mpbir2and fveq2d
      cr nn0re cpi cuz cmin cdiv cmul wallispilem2 simp1i pirp eqeltri eqeltrdi
      ex rgen nfv nfra1 nfan simpllr simplr rsp sylc fveq2 simp2i simp3i adantl
      2rp a1i eluz2nn nnre 1red resubcld syl clt 1m1e0 eluzelre eluz2b2 simprbi
      cn ltsub1dd eqbrtrrid elrpd nnrpd rpdivcld eleq1d imbi12d cbvralvw biimpi
      breq1 ad3antlr uznn0sub jca simplll simp2 oveq1d cc 3ad2ant1 recnd oveq2d
      w3a df-2 id pnpcan2d eqtrd lem1d eqbrtrd syl3anc rspccva rpmulcld eqeltrd
      1cnd adantllr simp3 nn0p1nn elnnuz sylib uzp1 fveq2i eleq2i mpjaod simpl1
      wo 1p1e2 3ad2ant2 mpbird mpjaodan orbi2i simpl2 3ad2antl1 simpl3 wb simp1
      adantlr nnm1ge0 ltsubaddd lelttrd gt0ne0d elnnne0 sylanbrc nnleltp1 elnn0
      syl2anc orcomd orcd olcd readdcld leloed mpbid exp31 ralrimi nn0ind ancri
      wne leidd ) DGHZFUEZDIJZUVJCKZLHZMZFGUDZUVINDDIJZDCKZLHZUVIUVOUVJUAUEZIJZ
      UVMMZFGUDUVJOIJZUVMMZFGUDUVJUBUEZIJZUVMMZFGUDZUVJUWDPUFQZIJZUVMMZFGUDZUVO
      UAUBDUVSORZUWAUWCFGUWLUVTUWBUVMUVSOUVJIUGUHUIUVSUWDRZUWAUWFFGUWMUVTUWEUVM
      UVSUWDUVJIUGUHUIUVSUWHRZUWAUWJFGUWNUVTUWIUVMUVSUWHUVJIUGUHUIUVSDRZUWAUVNF
      GUWOUVTUVKUVMUVSDUVJIUGUHUIUWCFGUVJGHZUWBUVMUWPUWBNZUVLOCKZLUWQUVJOCUWQUV
      JORZUWBOUVJIJZUWPUWBSUWPUWTUWBUVJUJUKUWQUVJOUWPUVJUPHZUWBUVJUQZUKUWQULUMU
      NUOUWRURLUWRURRZPCKZTRZUVJTUSKZHZUVLUVJPUTQZUVJVAQZUVJTUTQZCKZVBQZRZMZABC
      UVJEVCZVDVEVFVGVHVIUWDGHZUWGUWKUXPUWGNZUWJFGUXPUWGFUXPFVJUWFFGVKVLUXQUWPU
      WIUVMUXQUWPNZUWINZUWEUVMUVJUWHRZUXSUWGUWPUWFUXPUWGUWPUWIVMUXQUWPUWIVNZUWF
      FGVOVPUXSUXTUVMUXRUXTUVMUWIUXRUXTNZUVJPRZUVMUXGUYCUVMMUYBUYCUVLUXDLUVJPCV
      QUXDTLUXCUXEUXNUXOVRWAVFVGWBUYBUXGUVMUXQUXTUXGUVMUWPUXQUXTNZUXGNZUVLUXLLU
      XGUXMUYDUXCUXEUXNUXOVSVTUYEUXIUXKUXGUXILHUYDUXGUXHUVJUXGUXHUXGUVJWMHZUXHU
      PHZUVJWCZUYFUVJPUVJWDZUYFWEWFZWGUXGOPPUTQUXHWHWIUXGPUVJPUXGWEZTUVJWJUYKUX
      GUYFPUVJWHJUVJWKWLWNWOWPUXGUVJUYHWQWRVTUYEUCUEZUWDIJZUYLCKZLHZMZUCGUDZUXJ
      GHZNUXJUWDIJZUXKLHZUYEUYQUYRUWGUYQUXPUXTUXGUWGUYQUWFUYPFUCGUVJUYLRZUWEUYM
      UVMUYOUVJUYLUWDIXCVUAUVLUYNLUVJUYLCVQWSWTXAXBXDUXGUYRUYDTUVJXEVTXFUYEUXPU
      XTUXGUYSUXPUWGUXTUXGXGUXQUXTUXGVNUYDUXGSUXPUXTUXGXNZUXJUWDPUTQZUWDIVUBUXJ
      UWHTUTQZVUCVUBUVJUWHTUTUXPUXTUXGXHXIVUBUWDXJHZVUDVUCRVUBUWDUXPUXTUWDUPHZU
      XGUWDUQZXKZXLVUEVUDUWHPPUFQZUTQVUCVUETVUIUWHUTTVUIRVUEXOWBXMVUEUWDPPVUEXP
      VUEYEZVUJXQXRWGXRVUBUWDVUHXSXTYAUYPUYSUYTMUCUXJGUYLUXJRZUYMUYSUYOUYTUYLUX
      JUWDIXCVUKUYNUXKLUYLUXJCVQWSWTYBVPYCYDYFVHUYBUXPUWPUXTUYCUXGYPZUXPUWGUWPU
      XTXGUXQUWPUXTVNUXRUXTSUXPUWPUXTXNZUVJPUSKHZVULVUMUYFVUNVUMUVJUWHWMUXPUWPU
      XTYGUXPUWPUWHWMHUXTUWDYHXKYDUVJYIYJVUNUYCUVJVUIUSKZHZYPVULPUVJYKVUPUXGUYC
      VUOUXFUVJVUITUSYQYLYMUUAYJWGYAYNUUGVHUXSUXPUWPUWIUWEUXTYPZUXPUWGUWPUWIXGU
      YAUXRUWISUXPUWPUWIXNZUVJUWHWHJZVUQUXTVURVUSNUXPUWPVUSVUQUXPUWPUWIVUSYOUXP
      UWPUWIVUSUUBVURVUSSUXPUWPVUSXNZUWEUXTVUTUWSUWEUYFUXPUWPUWSUWEVUSUXPUWSNUV
      JOUWDIUXPUWSSUXPOUWDIJUWSUWDUJUKXTUUCVUTUYFNUXPUYFVUSUWEUXPUWPVUSUYFYOVUT
      UYFSUXPUWPVUSUYFUUDUXPUYFVUSXNZUWEVUSUXPUYFVUSYGZVVAUYFUWDWMHZUWEVUSUUEUX
      PUYFVUSXHVVAUXPUWDOUVGVVCUXPUYFVUSUUFVVAUWDVVAOUXHUWDVVAULUYFUXPUYGVUSUYJ
      YRUXPUYFVUFVUSVUGXKZUYFUXPOUXHIJVUSUVJUUHYRVVAUXHUWDWHJVUSVVBVVAUVJPUWDUY
      FUXPUXAVUSUYIYRVVAWEVVDUUIYSUUJUUKUWDUULUUMUVJUWDUUNUUPYSYAUWPUXPUWSUYFYP
      VUSUWPUYFUWSUWPUYFUWSYPUVJUUOXBUUQYRYTUURYAVURUXTNUXTUWEVURUXTSUUSVURUWIV
      USUXTYPUXPUWPUWIYGVURUVJUWHUWPUXPUXAUWIUXBYRVURUWDPUXPUWPVUFUWIVUGXKVURWE
      UUTUVAUVBYTYAYNUVCUVDVHUVEUVFUVIDDUQUVHUVNUVPUVRMFDGUVJDRZUVKUVPUVMUVRUVJ
      DDIXCVVEUVLUVQLUVJDCVQWSWTYBVP $.
  $}

  ${
    $d k w y $.  $d n x y $.  $d n y z $.  $d w y z $.  $d F w $.  $d F x $.
    $d F y $.  $d F z $.  $d I x $.  $d I y $.
    wallispilem4.1 $e |- F = ( k e. NN |-> ( ( ( 2 x. k ) /
      ( ( 2 x. k ) - 1 ) ) x. ( ( 2 x. k ) / ( ( 2 x. k ) + 1 ) ) ) ) $.
    wallispilem4.2 $e |- I = ( n e. NN0 |->
      S. ( 0 (,) _pi ) ( ( sin ` z ) ^ n ) _d z ) $.
    wallispilem4.3 $e |- G = ( n e. NN |->
      ( ( I ` ( 2 x. n ) ) / ( I ` ( ( 2 x. n ) + 1 ) ) ) ) $.
    wallispilem4.4 $e |- H = ( n e. NN |-> ( ( _pi / 2 ) x.
      ( 1 / ( seq 1 ( x. , F ) ` n ) ) ) ) $.
    $( ` F ` maps to explicit expression for the ratio of two consecutive
       values of ` I ` .  (Contributed by Glauco Siliprandi, 30-Jun-2017.) $)
    wallispilem4 $p |- G = H $=
      ( c2 cmul co cfv c1 caddc cdiv c3 wcel vx vy vw cn cv cmpt cpi wceq oveq2
      fveq2d fvoveq1d oveq12d fveq2 oveq2d 2t1e2 fveq2i oveq1i 2p1e3 eqtri cmin
      eqeq12d oveq12i cuz cz 2z ax-mp cc0 wi wallispilem2 simp3i 2cn wne ax-1cn
      2m1e1 cc wa picn divcli 3eqtri cle wbr 3z 2re 3re ltleii 3m1e2 3cn eqtr2i
      2ne0 3ne0 eqtrdi oveq1d eqeltri adantl a1i eqtrd mulcld addsubassd 3eqtrd
      nncn 3eqtr4d zmulcld cr nnre 1red readdcld 0le2 mpbid lemulge11d sylanbrc
      eluz1i itgsinexp remulcld nnge1 3pos mpbii addcld divcld cn0 wallispilem3
      mulne0d rpcnd syl clt rpcnne0d adantr resubcld 1lt2 nnrp redivcld eqeltrd
      crp fvmptd3 2rp rpmulcld rpdivcld mulge0d ge0p1rpd eqcomd rpne0d mpbir3an
      cseq uzid subidi simp1i 2cnne0 div32 mp3an mulid2i eluz2 eqcomi subaddrii
      2lt3 simp2i mulcomi 3eqtr2i 1z seq1 1nn div1i fvmpt oveq2i mulcli divne0i
      ovex mulne0i eqnetrri divreci 2cnd adddid mulid1d peano2zd nnnn0 addge02d
      nnz nn0ge0d pncand addassd zaddcld 0re addge01d peano2nn nnne0d nn0mulcld
      letrd 2nn0 0red nngt0 mulgt0d jctir sylibr ltaddrpd lttrd gt0ne0d divne0d
      2pos zsubcld subge0d mpbird elnn0z jca31 divmuldiv syl21anc elnnuz biimpi
      elrp seqp1 ltaddrp2d mulgt1d gtned subne0d eqnetrd elfznn mulid2d ltmul1d
      id eqbrtrrd lelttrd posdifd elrpd rpge0d rpmulcl rpaddcld divdiv1 syl3anc
      cfz seqcl divassd eqnetrrd divmuldivd divdiv2d divdivdivd 3eqtr2d halfcld
      reccld mulcomd ex nnind mpteq2ia 3eqtr4i ) CUDLCUEZMNZGOZVUBPQNGOZRNZUFCU
      DUGLRNZPVUAMDPUUBZOZRNZMNZUFEFCUDVUEVUJLUAUEZMNZGOZVULPQNGOZRNZVUFPVUKVUG
      OZRNZMNZUHLPMNZGOZVUSPQNZGOZRNZVUFPPVUGOZRNZMNZUHLUBUEZMNZGOZVVHPQNZGOZRN
      ZVUFPVVGVUGOZRNZMNZUHZLVVGPQNZMNZGOZVVRPQNZGOZRNZVUFPVVQVUGOZRNZMNZUHZVUE
      VUJUHUAUBVUAVUKPUHZVUOVVCVURVVFVWGVUMVUTVUNVVBRVWGVULVUSGVUKPLMUIZUJVWGVU
      LVUSPGQVWHUKULVWGVUQVVEVUFMVWGVUPVVDPRVUKPVUGUMUNUNVAVUKVVGUHZVUOVVLVURVV
      OVWIVUMVVIVUNVVKRVWIVULVVHGVUKVVGLMUIZUJVWIVULVVHPGQVWJUKULVWIVUQVVNVUFMV
      WIVUPVVMPRVUKVVGVUGUMUNUNVAVUKVVQUHZVUOVWBVURVWEVWKVUMVVSVUNVWARVWKVULVVR
      GVUKVVQLMUIZUJVWKVULVVRPGQVWLUKULVWKVUQVWDVUFMVWKVUPVWCPRVUKVVQVUGUMUNUNV
      AVUKVUAUHZVUOVUEVURVUJVWMVUMVUCVUNVUDRVWMVULVUBGVUKVUALMUIZUJVWMVULVUBPGQ
      VWNUKULVWMVUQVUIVUFMVWMVUPVUHPRVUKVUAVUGUMUNUNVAVVCLGOZSGOZRNVUFLLSRNZMNZ
      RNZVVFVUTVWOVVBVWPRVUSLGUOUPVVASGVVALPQNZSVUSLPQUOUQURUSUPVBVWOVUFVWPVWRR
      VWOLPUTNZLRNZLLUTNZGOZMNZPLRNZUGMNZVUFLLVCOZTZVWOVXEUHZLVDTZVXIVELUUCVFVG
      GOZUGUHZPGOZLUHZVXIVXJVHZACGLIVIZVJVFVXBVXFVXDUGMVXAPLRVNUQVXDVXLUGVXCVGG
      LVKUUDUPVXMVXOVXPVXQUUEUSVBVXGPVUFMNZVUFPVOTZLVOTLVGVLZVPUGVOTZVXGVXRUHVM
      UUFVQPLUGUUGUUHVUFUGLVQVKWIVRZUUIUSVSVWPSPUTNZSRNZSLUTNZGOZMNZVWQLMNVWRSV
      XHTZVWPVYGUHZVYHVXKSVDTZLSVTWAVEWBLSWCWDUUMWELSUUJUUAVXMVXOVYHVYIVHACGSIV
      IVJVFVWQVYDLVYFMLVYCSRVYCLWFUUKUQVYFVXNLVYEPGSLPWGVKVMURUULZUPVXMVXOVXPVX
      QUUNWHVBVWQLLSVKWGWJVRZVKUUOUUPVBVWSVUFVVDRNVVFVWRVVDVUFRVVDPDOZVWRPVDTVV
      DVYMUHUUQMDPUURVFZPUDTVYMVWRUHUUSBPLBUEZMNZVYPPUTNZRNZVYPVYPPQNZRNZMNZVWR
      UDDVYOPUHZVYRLVYTVWQMWUBVYRLPRNLWUBVYPLVYQPRWUBVYPVUSLVYOPLMUIZUOWKZWUBVY
      QVUSPUTNZPWUBVYPVUSPUTWUCWLWUEVXAPVUSLPUTUOUQVNUSWKULLVKUUTWKWUBVYPLVYSSR
      WUDWUBVYSVWTSWUBVYPLPQWUDWLURWKULULHLVWQMUVEUVAVFZWHZUVBVUFVVDVYBVVDVYMVO
      VYNVYMVWRVOWUFLVWQVKVYLUVCWMWMVWRVVDVGWUGLVWQVKVYLWILSVKWGWIWJUVDUVFUVGUV
      HUSVSVVGUDTZVVPVWFWUHVVPVPVVJVVRRNZVVRVVHSQNZRNZRNZVVLMNZWULVVOMNZVWBVWEV
      VPWUMWUNUHWUHVVLVVOWULMUIWNWUHVWBWUMUHVVPWUHVWBWULVVIWUJLUTNZGOZRNZMNZWUM
      WUHVVRPUTNZVVRRNZVVIMNZWUJPUTNZWUJRNZWUPMNZRNWUIVVIMNZWUKWUPMNZRNZVWBWURW
      UHWVAWVEWVDWVFRWUHWUTWUIVVIMWUHWUSVVJVVRRWUHWUSVVHLQNZPUTNVVHVXAQNVVJWUHV
      VRWVHPUTWUHVVRVVHVUSQNWVHWUHLVVGPWUHUVIZVVGWTZVXSWUHVMWOZUVJWUHVUSLVVHQWU
      HLWVIUVKUNWPZWLWUHVVHLPWUHLVVGWVIWVJWQZWVIWVKWRWUHVXAPVVHQVXAPUHWUHVNWOUN
      WSZWLWLWUHWVCWUKWUPMWUHWVBVVRWUJRWUHVVHVYCQNWVHWVBVVRWUHVYCLVVHQVYCLUHWUH
      WFWOUNWUHVVHSPWVMSVOTWUHWGWOZWVKWRWVLXAWLWLULWUHVVSWVAVWAWVDRWUHVVSWUTVVR
      LUTNZGOZMNWVAWUHACGVVRIWUHVVRVDTLVVRVTWAVVRVXHTWUHLVVQVXKWUHVEWOZWUHVVGVV
      GUVOZUVLXBWUHLVVQLXCTZWUHWCWOZWUHVVGPVVGXDZWUHXEZXFZVGLVTWAZWUHXGWOZWUHVG
      VVGVTWAPVVQVTWAWUHVVGVVGUVMZUVPZWUHPVVGWWCWWBUVNXHXILVVRVEXKXJXLWUHWVQVVI
      WUTMWUHWVPVVHGWUHWVPWVHLUTNVVHWUHVVRWVHLUTWVLWLWUHVVHLWVMWVIUVQWPUJUNWPWU
      HVWAWUJGOWVDWUHVVTWUJGWUHVVTWVHPQNVVHVWTQNWUJWUHVVRWVHPQWVLWLWUHVVHLPWVMW
      VIWVKUVRWUHVWTSVVHQVWTSUHWUHURWOUNWSZUJWUHACGWUJIWUHWUJVDTLWUJVTWAZWUJVXH
      TWUHVVHSWUHLVVGWVRWVSXBVYJWUHWBWOUVSZWUHLVVHWUJWWAWUHLVVGWWAWWBXMZWUHVVHS
      WWLSXCTZWUHWDWOZXFZWUHLVVGWWAWWBWWFVVGXNXIWUHVGSVTWAVVHWUJVTWAVGSUVTWDXOW
      EWUHVVHSWWLWWNUWAXPUWEZLWUJVEXKXJXLWPULWUHWUIVOTVVIVOTZWUKVOTZWUKVGVLZVPW
      UPVOTWUPVGVLVPZVPWURWVGUHWUHVVJVVRWUHVVHPWVMWVKXQZWUHLVVQWVIWUHVVGPWVJWVK
      XQZWQZWUHLVVQWVIWXBVXTWUHWIWOWUHVVQVVGUWBZUWCYAZXRZWUHVVHXSTZWWQWUHLVVGLX
      STWUHUWFWOWWGUWDWXGVVIACGVVHIXTYBYCWUHWWRWWSWWTWUHVVRWUJWXCWUHVVHSWVMWVOX
      QZWUHWUJWUHVGVVHWUJWUHUWGWWLWWOWUHLVVGWWAWWBVGLYDWAWUHUWPWOVVGUWHUWIWUHVV
      HSWWLWUHWWMVGSYDWAZVPSYLTWUHWWMWXIWWNXOUWJSUXFUWKZUWLUWMUWNZXRZWUHVVRWUJW
      XCWXHWXEWXKUWOZWUHWUPWUHWUOXSTZWUPYLTWUHWUOVDTVGWUOVTWAZWXNWUHWUJLWWKWVRU
      WQWUHWXOWWJWWPWUHWUJLWWOWWAUWRUWSWUOUWTXJACGWUOIXTYCYEUXAWUIVVIWUKWUPUXBU
      XCXAWUHWUQVVLWULMWUHWUPVVKVVIRWUHWUOVVJGWUHWUOVVHVYEQNVVJWUHVVHSLWVMWVOWV
      IWRWUHVYEPVVHQVYEPUHWUHVYKWOUNWPUJUNUNWPYFWUHVWEWUNUHVVPWUHVWEVUFPVVMVVRW
      USRNZVVRVVTRNZMNZMNZRNZMNZWUNWUHVWDWXTVUFMWUHVWCWXSPRWUHVWCVVMVVQDOZMNZWX
      SWUHVVGPVCOTZVWCWYCUHWUHWYDVVGUXDUXEZMDPVVGUXGYCWUHWYBWXRVVMMWUHBVVQWUAWX
      RUDDXCHVYOVVQUHZVYRWXPVYTWXQMWYFVYPVVRVYQWUSRVYOVVQLMUIZWYFVYPVVRPUTWYGWL
      ULWYFVYPVVRVYSVVTRWYGWYFVYPVVRPQWYGWLULULWXDWUHWXPWXQWUHVVRWUSWUHLVVQWWAW
      WDXMZWUHVVRPWYHWWCYGWUHVVRPWXCWVKWUHPVVRWWCWUHLVVQWWAWWDPLYDWAZWUHYHWOWUH
      PVVGWWCVVGYIZUXHUXIUXJUXKZYJWUHVVRVVTWYHWUHVVTWUJXCWWIWWOYKWUHVVTWUJVGWWI
      WXKUXLYJXMYMUNWPUNUNWUHWYAVUFPVVMVVRVVJRNZWUKMNZMNZRNZMNZVVOWULMNZWUNWUHW
      XTWYOVUFMWUHWXSWYNPRWUHWXRWYMVVMMWUHWXPWYLWXQWUKMWUHWUSVVJVVRRWVNUNWUHVVT
      WUJVVRRWWIUNULUNUNUNWUHWYPVUFVVNWYMRNZMNVVOWYMRNZWYQWUHWYOWYRVUFMWUHWYRWY
      OWUHVXSVVMVOTVVMVGVLVPWYMVOTWYMVGVLVPWYRWYOUHWVKWUHVVMWUHUCAMYLDPVVGWYEWU
      HUCUEZPVVGUYFNTZVPWYTUDTZWYTDOZYLTXUAXUBWUHWYTVVGUXMWNXUBXUCLWYTMNZXUDPUT
      NZRNZXUDXUDPQNZRNZMNZYLXUBBWYTWUAXUIUDDYLHVYOWYTUHZVYRXUFVYTXUHMXUJVYPXUD
      VYQXUERVYOWYTLMUIZXUJVYPXUDPUTXUKWLULXUJVYPXUDVYSXUGRXUKXUJVYPXUDPQXUKWLU
      LULXUBUXPXUBXUFXUHXUBXUDXUEXUBLWYTLYLTZXUBYNWOWYTYIZYOZXUBXUEXUBXUDPXUBLW
      YTWVTXUBWCWOZWYTXDZXMZXUBXEZYGXUBPXUDYDWAVGXUEYDWAXUBPWYTXUDXURXUPXUQWYTX
      NXUBPWYTMNZWYTXUDYDXUBWYTWYTWTUXNXUBWYIXUSXUDYDWAYHXUBPLWYTXURXUOXUMUXOXP
      UXQUXRXUBPXUDXURXUQUXSXHUXTYPXUBXUDXUGXUNXUBXUDXUQXUBLWYTXUOXUPWWEXUBXGWO
      XUBWYTXUMUYAYQYRYPYOZYMXUTYKYCWYTYLTAUEZYLTVPWYTXVAMNYLTWUHWYTXVAUYBWNUYG
      ZYEWUHWYMWUHWYLWUKWUHVVRVVJWUHLVVQXULWUHYNWOZWUHVVGWWBWWHYRYOZWUHVVHWWLWU
      HLVVGWWAWWBWWFWWHYQYRYPWUHVVRWUJXVDWUHVVHSWUHLVVGXVCWYJYOWXJUYCYPYOZYEPVV
      MWYMUYDUYEYSUNWUHVUFVVNWYMVUFVOTWUHVYBWOZWUHVVMWUHVVMXVBYBWUHVVMXVBYTUYOZ
      WUHWYMXVEYBWUHWYMXVEYTUYHWUHWYSVVOVVRVVRMNZVVJWUJMNZRNZRNZVVOXVIXVHRNZMNZ
      WYQWUHWYMXVJVVORWUHVVRVVJVVRWUJWXCWXAWXCWXHWUHWUSVVJVGWVNWYKUYIZWXKUYJUNW
      UHXVKVVOXVIMNXVHRNXVMWUHVVOXVHXVIWUHVUFVVNXVFXVGWQZWUHVVRVVRWXCWXCWQZWUHV
      VJWUJWXAWXHWQZWUHVVRVVRWXCWXCWXEWXEYAZWUHVVJWUJWXAWXHXVNWXKYAUYKWUHVVOXVI
      XVHXVOXVQXVPXVRUYHWPWUHXVLWULVVOMWUHWULXVLWUHVVJVVRVVRWUJWXAWXCWXCWXHWXEW
      XKWXEUYLYSUNWSUYMWUHVVOWULWUHVUFVVNWUHUGVYAWUHVQWOUYNXVGWQWUHWUIWUKWXFWXL
      WXMXRUYPWSWPYFXAUYQUYRUYSJKUYT $.
  $}

  ${
    $d k n x $.  $d F x $.  $d G k $.  $d L k $.
    wallispilem5.1 $e |- F = ( k e. NN |-> ( ( ( 2 x. k ) / ( ( 2 x. k ) - 1
                            ) ) x. ( ( 2 x. k ) / ( ( 2 x. k ) + 1 ) ) ) ) $.
    wallispilem5.2 $e |- I = ( n e. NN0 |-> S. ( 0 (,) _pi ) ( ( sin ` x ) ^
                            n ) _d x ) $.
    wallispilem5.3 $e |- G = ( n e. NN |-> ( ( I ` ( 2 x. n ) ) / ( I ` ( (
                            2 x. n ) + 1 ) ) ) ) $.
    wallispilem5.4 $e |- H = ( n e. NN |-> ( ( _pi / 2 ) x. ( 1 / ( seq 1 (
                            x. , F ) ` n ) ) ) ) $.
    wallispilem5.5 $e |- L = ( n e. NN |-> ( ( ( 2 x. n ) + 1 ) / ( 2 x. n )
                            ) ) $.
    $( The sequence ` H ` converges to 1.  (Contributed by Glauco Siliprandi,
       30-Jun-2017.) $)
    wallispilem5 $p |- H ~~> 1 $=
      ( c1 cn c2 a1i wcel co cdiv cli wallispilem4 wbr wtru nnuz 1zzd 2cnd 2ne0
      cvv cc0 wne 1cnd clim1fr1 cv cmul cfv caddc cmpt nnex mptex eqeltri cr wf
      cn0 2nn0 nnnn0 nn0mulcld 1nn0 nn0addcld nncn nnne0 mulne0d redivcld fmpti
      nn0red ffvelrnda crp wallispilem3 syl rerpdivcld cle cmin 2nn id nnmulcld
      nnm1nn0 mulcld npcand fveq2d wallispilem1 eqbrtrrd lediv1dd addcld divcld
      rpred rpcnd rpne0d divcan4d cuz nnre remulcld 1red readdcld nn0ge0d nnge1
      2re lemulge11d ltp1d lelttrd ltled cz nn0zd eluz syl2anc mpbird itgsinexp
      wb pncand oveq1d wceq 1e2m1 oveq2d subsub3d eqtr2d eqtrd peano2nnd nnne0d
      oveq12d mulassd divcan6d mulid2d 3eqtr2d breqtrrd rpdivcld nfcv cioo nffv
      eqtr3d cpi adantl csin cexp citg nfmpt1 nfcxfr nfov oveq2 fvoveq1d fvmptf
      mpdan cc wa simpr fvmptd 3brtr4d dividd climsqz2 mptru eqbrtrri ) EFNUAAB
      CDEFGIJKLUBENUAUCUDNBHENUIOUEUDUFUDPNCHMUDUGPUJUKZUDUHQUDULUMEUIRUDECOPCU
      NZUOSZGUPZUVBNUQSZGUPZTSZURUIKCOUVFUSUTVAQUDOVBBUNZHOVBHVCUDCOVBUVDUVBTSZ
      HMUVAORZUVDUVBUVIUVDUVIUVBNUVIPUVAPVDRZUVIVEQUVAVFVGZNVDRZUVIVHQVIZVOUVIU
      VBUVKVOUVIPUVAUVIUGUVAVJUUTUVIUHQUVAVKVLVMVNQVPUDOVBUVGEOVBEVCUDCOVBUVFEK
      UVIUVCUVEUVIUVCUVIUVBVDRUVCVQRUVKACGUVBJVRVSWOUVIUVDVDRUVEVQRUVMACGUVDJVR
      VSVTVNQVPUVGORZUVGEUPZUVGHUPZWAUCUDUVNPUVGUOSZGUPZUVQNUQSZGUPZTSZUVSUVQTS
      ZUVOUVPWAUVNUWAUVQNWBSZGUPZUVTTSZUWBWAUVNUVRUWDUVTUVNUVRUVNUVQVDRUVRVQRUV
      NPUVGUVJUVNVEQZUVGVFVGZACGUVQJVRVSZWOZUVNUWDUVNUWCVDRZUWDVQRUVNUVQORUWJUV
      NPUVGPORUVNWCQUVNWDZWEZUVQWFVSZACGUWCJVRVSZWOUVNUVSVDRUVTVQRUVNUVQNUWGUVL
      UVNVHQVIZACGUVSJVRVSZUVNUWCNUQSZGUPUVRUWDWAUVNUWQUVQGUVNUVQNUVNPUVGUVNUGZ
      UVGVJZWGZUVNULZWHWIUVNACGUWCJUWMWJWKWLUVNUWBUVTUOSZUVTTSUWBUWEUVNUWBUVTUV
      NUVSUVQUVNUVQNUWTUXAWMZUWTUVNPUVGUWRUWSUUTUVNUHQUVGVKVLZWNZUVNUVTUWPWPZUV
      NUVTUWPWQZWRUVNUXBUWDUVTTUVNUXBUWBUVQUVSTSZUWDUOSZUOSUWBUXHUOSZUWDUOSZUWD
      UVNUVTUXIUWBUOUVNUVTUVSNWBSZUVSTSZUVSPWBSZGUPZUOSUXIUVNACGUVSJUVNUVSPWSUP
      RZPUVSWAUCZUVNPUVSPVBRUVNXFQZUVNUVQNUVNPUVGUXRUVGWTZXAZUVNXBXCZUVNPUVQUVS
      UXRUXTUYAUVNPUVGUXRUXSUVNPUWFXDUVGXEXGUVNUVQUXTXHXIXJUVNPXKRUVSXKRUXPUXQX
      QUVNPUWFXLUVNUVSUWOXLPUVSXMXNXOXPUVNUXMUXHUXOUWDUOUVNUXLUVQUVSTUVNUVQNUWT
      UXAXRXSUVNUXNUWCGUVNUWCUVQPNWBSZWBSUXNUVNNUYBUVQWBNUYBXTUVNYAQYBUVNUVQPNU
      WTUWRUXAYCYDWIYHYEYBUVNUWBUXHUWDUXEUVNUVQUVSUWTUXCUVNUVSUVNUVQUWLYFYGZWNU
      VNUWDUWNWPZYIUVNUXKNUWDUOSUWDUVNUXJNUWDUOUVNUVSUVQUXCUWTUYCUXDYJXSUVNUWDU
      YDYKYEYLXSYRYMUVNUWAVQRUVOUWAXTUVNUVRUVTUWHUWPYNCUVGUVFUWAOEVQCUVGYOCUVRU
      VTTCUVQGCGCVDAUJYSYPSAUNUUAUPUVAUUBSUUCZURJCVDUYEUUDUUEZCUVQYOYQCTYOCUVSG
      UYFCUVSYOYQUUFUVAUVGXTZUVCUVRUVEUVTTUYGUVBUVQGUVAUVGPUOUUGZWIUYGUVBUVQNGU
      QUYHUUHYHKUUIUUJZUVNCUVGUVHUWBOHUUKHCOUVHURXTUVNMQUVNUYGUULZUVDUVSUVBUVQT
      UYJUVBUVQNUQUYJUVAUVGPUOUVNUYGUUMYBZXSUYKYHUWKUXEUUNUUOYTUVNNUVOWAUCUDUVN
      NUWAUVOWAUVNUVTUVTTSNUWAWAUVNUVTUXFUXGUUPUVNUVTUVRUVTUVNUVTUWPWOUWIUWPUVN
      ACGUVQJUWGWJWLWKUYIYMYTUUQUURUUS $.
  $}

  ${
    $d j k n $.  $d j n w $.  $d k n x $.  $d F j $.  $d F n $.  $d F w $.
    $d F x $.  $d W j $.
    wallispi.1 $e |- F = ( k e. NN |-> ( ( ( 2 x. k ) / ( ( 2 x. k ) - 1 ) ) x.
                     ( ( 2 x. k ) / ( ( 2 x. k ) + 1 ) ) ) ) $.
    wallispi.2 $e |- W = ( n e. NN |-> ( seq 1 ( x. , F ) ` n ) ) $.
    $( Wallis' formula for &pi; :  Wallis' product converges to &pi; / 2 .
       (Contributed by Glauco Siliprandi, 29-Jun-2017.) $)
    wallispi $p |- W ~~> ( _pi / 2 ) $=
      ( c1 c2 cpi cdiv co wtru cn cmul cfv cc0 a1i cc wcel crp vj vx vw cli wbr
      cv cseq cmpt cvv nnuz 1zzd cn0 cioo csin cexp citg eqid wallispilem5 2cnd
      caddc picn pire pipos gt0ne0ii divcld nnex mptex wf halfcld elnnuz biimpi
      wne cuz cfz cmin oveq2 oveq1d oveq12d elfznn nncn mulcld 1cnd subcld 1red
      weq clt 1t1e1 remulcld 2re nnre 1rp 1lt2 ltmul1dd cle 0le2 nnge1 lemul2ad
      ltletrd eqbrtrrid gtned subne0d addcld 0red readdcld rpgt0d nnrp rpmulcld
      cr 2rp ltaddrp2d lttrd syl fvmptd3 nnrpd resubcld 1m1e0 ltsub1dd rpdivcld
      elrpd nnred rpge0d mulge0d ge0p1rpd eqeltrd adantl wa rpmulcl seqcl rpcnd
      rpne0d reccld fmpti ffvelrnda wceq fveq2 eqidd oveq2d fvmptd 2cn 2ne0 csn
      eleq1d vtoclga divrecd divcan6d eqcomd mulassd 3eqtrd id rpreccld 3eqtr4d
      climmulc2 divcli mulid1i breqtrdi divne0i wn recne0d eqnetrd nelsn eldifd
      cdif recrecd fvmpt3 3eqtr4rd eqeltri climrec mptru recdiv mp4an breqtri )
      DGHIJKZJKZIHJKZUDDUVMUDUELUVLUABMGBUFZNCGUGZOZJKZUHZDGUIMUJLUKZLUVSUVLGNK
      UVLUDLGUVLUABMUVNUVRNKZUHZUVSGUIMUJUVTUWBGUDUELUBABCBMHUVONKZBULUBPIUMKUB
      UFUNOUVOUOKUPUHZOUWCGUTKZUWDOJKUHZUWBUWDBMUWEUWCJKUHZEUWDUQUWFUQUWBUQZUWG
      UQURQLHILUSIRSZLVAQIPVLZLIVBVCVDZQVEUVSUISLBMUVRVFVGQLMRUAUFZUWBMRUWBVHLB
      MRUWAUWBUWHUVOMSZUVNUVRUWMIUWIUWMVAQVIUWMUVQUWMUVQUWMUAUCNTCGUVOUWMUVOGVM
      OSUVOVJVKUWLGUVOVNKSZUWLCOZTSUWMUWNUWOHUWLNKZUWPGVOKZJKZUWPUWPGUTKZJKZNKZ
      TUWNAUWLHAUFZNKZUXCGVOKZJKZUXCUXCGUTKZJKZNKUXAMCREAUAWEZUXEUWRUXGUWTNUXHU
      XCUWPUXDUWQJUXBUWLHNVPZUXHUXCUWPGVOUXIVQVRUXHUXCUWPUXFUWSJUXIUXHUXCUWPGUT
      UXIVQVRVRUWLUVOVSZUWNUWLMSZUXARSUXJUXKUWRUWTUXKUWPUWQUXKHUWLUXKUSZUWLVTWA
      ZUXKUWPGUXMUXKWBZWCUXKUWPGUXMUXNUXKGUWPUXKWDZUXKGGGNKZUWPWFWGUXKUXPHGNKUW
      PUXKGGUXOUXOWHUXKHGHXHSZUXKWIQZUXOWHUXKHUWLUXRUWLWJZWHZUXKGHGUXOUXRGTSUXK
      WKQZGHWFUEUXKWLQWMUXKGUWLHUXOUXSUXRPHWNUEUXKWOQUWLWPWQWRWSZWTXAVEUXKUWPUW
      SUXMUXKUWPGUXMUXNXBUXKPUWSUXKXCZUXKPGUWSUYCUXOUXKUWPGUXTUXOXDUXKGUYAXEUXK
      GUWPUXOUXKHUWLHTSZUXKXIQZUWLXFXGXJXKWTVEWAXLXMUWNUWRUWTUWNUWPUWQUWNHUWLUY
      DUWNXIQZUWNUWLUXJXNZXGZUWNUXKUWQTSUXJUXKUWQUXKUWPGUXTUXOXOUXKPGGVOKUWQWFX
      PUXKGUWPGUXOUXTUXOUYBXQWSXSXLXRUWNUWPUWSUYHUWNUWPUWNHUWLUXQUWNWIQZUWNUWLU
      XJXTZWHUWNHUWLUYIUYJUWNHUYFYAUWNUWLUYGYAYBYCXRXGYDYEUWLTSUCUFZTSYFUWLUYKN
      KTSUWMUWLUYKYGYEYHZYIUWMUVQUYLYJYKWAYLQYMUXKUWLUVSOZUVLUWLUWBOZNKZYNLUXKG
      UWLUVPOZJKZUVLUVNUYQNKZNKZUYMUYOUXKUYQGUYQNKUVLUVNNKZUYQNKUYSUXKGUYPUXNUX
      KUYPUVQTSUYPTSBUWLMBUAWEZUVQUYPTUVOUWLUVPYOZUUBUYLUUCZYIZUXKUYPVUCYJZUUDU
      XKGUYTUYQNUXKUYTGUXKHIUXLUWIUXKVAQZUXKHUYEYJUWJUXKUWKQZUUEUUFVQUXKUVLUVNU
      YQUXKHIUXLVUFVUGVEUXKIVUFVIZUXKUYPVUDVUEYKZUUGUUHUXKBUWLUVRUYQMUVSTUXKUVS
      YPZVUAUVRUYQYNUXKVUAUVQUYPGJVUBYQYEZUXKUUIZUXKUYPVUCUUJYRZUXKUYNUYRUVLNUX
      KBUWLUWAUYRMUWBRUXKUWBYPUXKVUAYFUVRUYQUVNNVUKYQVULUXKUVNUYQVUHVUIWAYRYQUU
      KYEUULUVLHIYSVAUWKUUMUUNUUOUVLPVLLHIYSVAYTUWKUUPQUXKUYMRPUUAZUVBSLUXKUYMR
      VUNUXKUYMUYQRVUMVUIYDUXKUYMPVLUYMVUNSUUQUXKUYMUYQPVUMUXKUYPVUDVUEUURUUSUY
      MPUUTXLUVAYEUXKUWLDOZGUYMJKZYNLUXKGUYQJKUYPVUPVUOUXKUYPVUDVUEUVCUXKUYMUYQ
      GJUXKBUWLUVRUYQMUVSRVUJVUKVULVUIYRYQBUWLUVQUYPMDTVUBFUYLUVDUVEYEDUISLDBMU
      VQUHUIFBMUVQVFVGUVFQUVGUVHHRSHPVLUWIUWJUVMUVNYNYSYTVAUWKHIUVIUVJUVK $.
  $}

  ${
    $d k w x y $.  $d N x $.
    $( An intermediate step between the first version of the Wallis' formula
       for &pi; and the second version of Wallis' formula.  This second version
       will then be used to prove Stirling's approximation formula for the
       factorial.  (Contributed by Glauco Siliprandi, 30-Jun-2017.) $)
    wallispi2lem1 $p
      |- ( N e. NN -> ( seq 1 ( x. , ( k e. NN |-> ( ( ( 2 x. k ) /
      ( ( 2 x. k ) - 1 ) ) x. ( ( 2 x. k ) / ( ( 2 x. k ) + 1 ) ) ) ) ) ` N ) =
      ( ( 1 / ( ( 2 x. N ) + 1 ) ) x. ( seq 1 ( x. , ( k e. NN |->
      ( ( ( 2 x. k ) ^ 4 ) /
      ( ( ( 2 x. k ) x. ( ( 2 x. k ) - 1 ) ) ^ 2 ) ) ) ) ` N ) ) ) $=
  ( cmul cn c2 co c1 cmin cdiv caddc c4 cexp wceq oveq1d oveq2d oveq12d wcel c3
  cfv a1i vx vy vw cv cmpt cseq fveq2 oveq2 eqeq12d cz seq1 ax-mp 1nn eqid ovex
  1z fvmpt 2t1e2 oveq1i 2m1e1 eqtri oveq12i 2p1e3 2cn ax-1cn ax-1ne0 divmuldivi
  3cn 3ne0 2t2e4 mulid2i 3eqtri cc cc0 wne divrec2 mp3an eqcomi oveq2i c6 2exp4
  4cn cdc sq2 4t4e16 4ne0 divcan3i cuz elnnuz biimpi adantr seqp1 syl simpr crp
  wa eqidd adantl peano2nn 2rp nnre nnnn0 nn0ge0d ge0p1rpd rpmulcld cr 2re 1red
  readdcld remulcld resubcld clt wbr 1lt2 rpdivcld cle fvmptd rpne0d divmuldivd
  recnd mulcld divdiv1d sqvald eqcomd sqcld divcld 2cnd nncn 1cnd addcld 2nn id
  nnmulcld nnne0d reccld mulne0d 2z expne0d eqtrd 3eqtrd nnrp ltaddrp2d mulgt1d
  posdifd mpbid elrpd rpge0d addge0d mulge0d gt0ne0d 3eqtr2d divrec2d peano2nnd
  0le1 rpcnd cfz elfznn cn0 4nn0 nnexpcld nncnd subcld nnne0 breqtrrid lemul2ad
  0le2 nnge1 ltletrd gtned subne0d eqeltrd mulcl mul12d mulcomd mulassd mulid2d
  seqcl adddid addsubassd eqtr4d 2p2e4 mvlladdi 4z expsubd expclzd sqmuld nnind
  ex ) UAUDZCADEAUDZCFZUWKGHFZIFZUWKUWKGJFZIFZCFZUEZGUFZSZGEUWICFZGJFZIFZUWICAD
  UWKKLFZUWKUWLCFZELFZIFZUEZGUFZSZCFZMGUWRSZGEGCFZGJFZIFZGUXHSZCFZMUBUDZUWRSZGE
  UXQCFZGJFZIFZUXQUXHSZCFZMZUXQGJFZUWRSZGEUYECFZGJFZIFZUYEUXHSZCFZMZBUWRSZGEBCF
  ZGJFZIFZBUXHSZCFZMUAUBBUWIGMZUWSUXKUXJUXPUWIGUWRUGUYSUXBUXNUXIUXOCUYSUXAUXMGI
  UYSUWTUXLGJUWIGECUHNOUWIGUXHUGPUIUWIUXQMZUWSUXRUXJUYCUWIUXQUWRUGUYTUXBUYAUXIU
  YBCUYTUXAUXTGIUYTUWTUXSGJUWIUXQECUHNOUWIUXQUXHUGPUIUWIUYEMZUWSUYFUXJUYKUWIUYE
  UWRUGVUAUXBUYIUXIUYJCVUAUXAUYHGIVUAUWTUYGGJUWIUYEECUHNOUWIUYEUXHUGPUIUWIBMZUW
  SUYMUXJUYRUWIBUWRUGVUBUXBUYPUXIUYQCVUBUXAUYOGIVUBUWTUYNGJUWIBECUHNOUWIBUXHUGP
  UIUXKGUWQSZUXLUXLGHFZIFZUXLUXMIFZCFZUXPGUJQZUXKVUCMUPCUWQGUKULGDQZVUCVUGMUMAG
  UWPVUGDUWQUWJGMZUWMVUEUWOVUFCVUJUWKUXLUWLVUDIUWJGECUHZVUJUWKUXLGHVUKNZPVUJUWK
  UXLUWNUXMIVUKVUJUWKUXLGJVUKNPPUWQUNVUEVUFCUOUQULVUGKRIFZGRIFZKCFZUXPVUGEGIFZE
  RIFZCFEECFZGRCFZIFVUMVUEVUPVUFVUQCUXLEVUDGIURVUDEGHFZGUXLEGHURUSUTVAZVBUXLEUX
  MRIURUXMEGJFRUXLEGJURUSVCVAZVBVBEGERVDVEVDVHVFVIVGVURKVUSRIVJRVHVKVBVLKVMQRVM
  QRVNVOVUMVUOMWBVHVIKRVPVQVUNUXNKUXOCRUXMGIUXMRVVBVRVSUXOKUXOGUXGSZUXLKLFZUXLV
  UDCFZELFZIFZKVUHUXOVVCMUPCUXGGUKULVUIVVCVVGMUMAGUXFVVGDUXGVUJUXCVVDUXEVVFIVUJ
  UWKUXLKLVUKNVUJUXDVVEELVUJUWKUXLUWLVUDCVUKVULPNPUXGUNVVDVVFIUOUQULVVGEKLFZEEL
  FZIFZKVVDVVHVVFVVIIUXLEKLURUSVVEEELVVEUXLEUXLEVUDGCURVVAVBURVAUSVBVVJGVTWCZKI
  FKKCFZKIFKVVHVVKVVIKIWAWDVBVVKVVLKIVVLVVKWEVRUSKKWBWBWFWGVLVAVLVRVBVLVLUXQDQZ
  UYDUYLVVMUYDWPZUYFUXRUYEUWQSZCFZUYCVVOCFZUYKVVNUXQGWHSQZUYFVVPMVVMVVRUYDVVMVV
  RUXQWIWJZWKCUWQGUXQWLWMVVNUXRUYCVVOCVVMUYDWNNVVMVVQUYKMUYDVVMVVQUYIUYBUYGKLFZ
  UYGUYGGHFZCFZELFZIFZCFZCFZUYIUYBUYEUXGSZCFZCFUYKVVMVVQUYCUYGVWAIFZUYGUYHIFZCF
  ZCFUYCUYGELFZVWAIFZUYHIFZCFZVWFVVMVVOVWKUYCCVVMAUYEUWPVWKDUWQWOVVMUWQWQUWJUYE
  MZUWPVWKMVVMVWPUWMVWIUWOVWJCVWPUWKUYGUWLVWAIUWJUYEECUHZVWPUWKUYGGHVWQNPVWPUWK
  UYGUWNUYHIVWQVWPUWKUYGGJVWQNPPWRUXQWSZVVMVWIVWJVVMUYGVWAVVMEUYEEWOQVVMWTTZVVM
  UXQUXQXAZVVMUXQUXQXBXCZXDXEZVVMVWAVVMUYGGVVMEUYEEXFQZVVMXGTZVVMUXQGVWTVVMXHZX
  IZXJZVXEXKZVVMGUYGXLXMVNVWAXLXMVVMEUYEVXDVXFGEXLXMVVMXNTVVMGUXQVXEUXQUUAUUBUU
  CVVMGUYGVXEVXGUUDUUEZUUFXOVVMUYGUYHVXBVVMUYGVXGVVMEUYEVXDVXFVVMEVWSUUGVVMUXQG
  VWTVXEVXAVNGXPXMVVMUUNTUUHUUIXDZXOXEXQOVVMVWKVWNUYCCVVMVWKUYGUYGCFZVWAUYHCFIF
  VXKVWAIFZUYHIFVWNVVMUYGVWAUYGUYHVVMUYGVXGXTZVVMVWAVXHXTZVXMVVMUYHVXJUUOZVVMVW
  AVXIUUJZVVMUYHVXJXRZXSVVMVXKVWAUYHVVMUYGUYGVXMVXMYAVXNVXOVXPVXQYBVVMVXLVWMUYH
  IVVMVXKVWLVWAIVVMVWLVXKVVMUYGVXMYCYDNNUUKOVVMVWOUYCUYIVWMCFZCFUYIUYCVWMCFZCFV
  WFVVMVWNVXRUYCCVVMVWMUYHVVMVWLVWAVVMUYGVXMYEZVXNVXPYFZVXOVXQUULOVVMUYCUYIVWMV
  VMUYAUYBVVMUXTVVMUXSGVVMEUXQVVMYGZUXQYHZYAZVVMYIZYJZVVMUXTVVMUXSVVMEUXQEDQZVV
  MYKTZVVMYLYMUUMYNZYOZVVMUAUCCVMUXGGUXQVVSVVMUWIGUXQUUPFQZWPZUWIUXGSUWTKLFZUWT
  UWTGHFZCFZELFZIFZVMVYLAUWIUXFVYQDUXGVMVYLUXGWQUWJUWIMZUXFVYQMVYLVYRUXCVYMUXEV
  YPIVYRUWKUWTKLUWJUWIECUHZNVYRUXDVYOELVYRUWKUWTUWLVYNCVYSVYRUWKUWTGHVYSNPNPWRV
  YKUWIDQZVVMUWIUXQUUQZWRVYKVYQVMQZVVMVYKVYTWUBWUAVYTVYMVYPVYTVYMVYTUWTKVYTEUWI
  VYGVYTYKTZVYTYLYMKUURQVYTUUSTUUTUVAVYTVYOVYTUWTVYNVYTEUWIVYTYGZUWIYHZYAZVYTUW
  TGWUFVYTYIZUVBZYAZYEVYTVYOEWUIVYTUWTVYNWUFWUHVYTEUWIWUDWUEVYTEWUCYNUWIUVCYPVY
  TUWTGWUFWUGVYTGUWTVYTXHZVYTGUXLUWTWUJVYTEGVXCVYTXGTZWUJXJVYTEUWIWUKUWIXAZXJVY
  TGEUXLXLXNUXLEMZVYTURTUVDVYTGUWIEWUJWULWUKVNEXPXMVYTUVFTUWIUVGUVEUVHUVIUVJYPE
  UJQZVYTYQTYRYFWMWRZXQWUOUVKUWIVMQUCUDZVMQWPUWIWUPCFVMQVVMUWIWUPUVLWRUVQZYAVVM
  UYHVXOVXQYOVYAUVMVVMVXSVWEUYICVVMVXSUYBUYACFZVWMCFUYBUYAVWMCFZCFVWEVVMUYCWURV
  WMCVVMUYAUYBVYJWUQUVNNVVMUYBUYAVWMWUQVYJVYAUVOVVMWUSVWDUYBCVVMWUSGVWLCFZUXTVW
  ACFZIFVWLUXTELFZIFZVWDVVMGUXTVWLVWAVYEVYFVXTVXNVYIVXPXSVVMWUTVWLWVAWVBIVVMVWL
  VXTUVPVVMWVAUXTUXTCFWVBVVMVWAUXTUXTCVVMVWAUXSEJFZGHFUXSVUTJFUXTVVMUYGWVDGHVVM
  UYGUXSUXLJFWVDVVMEUXQGVYBVYCVYEUVRVVMUXLEUXSJWUMVVMURTOYSNVVMUXSEGVYDVYBVYEUV
  SVVMVUTGUXSJVUTGMVVMUTTOYTZOVVMUXTVYFYCUVTPVVMWVCVVTVWLIFZVWAELFZIFVVTVWLWVGC
  FZIFVWDVVMVWLWVFWVBWVGIVVMVWLUYGKEHFZLFWVFVVMEWVIUYGLEWVIMVVMEEKVDVDUWAUWBTOV
  VMUYGKEVXMVVMUYGVXBXRZWUNVVMYQTZKUJQVVMUWCTZUWDYSVVMUXTVWAELVVMVWAUXTWVEYDNPV
  VMVVTVWLWVGVVMUYGKVXMWVJWVLUWEZVXTVVMVWAVXNYEVVMUYGEVXMVVMEUYEVYBVVMUXQGVYCVY
  EYJVVMEVYHYNVVMUYEVWRYNYPWVKYRVVMVWAEVXNVXPWVKYRYBVVMWVHVWCVVTIVVMVWCWVHVVMUY
  GVWAVXMVXNUWFYDOYTYTOYTOYTYTVVMVWEVWHUYICVVMVWDVWGUYBCVVMVWGVWDVVMAUYEUXFVWDD
  UXGVMVVMUXGWQVVMVWPWPZUXCVVTUXEVWCIWVNUWKUYGKLWVNUWJUYEECVVMVWPWNOZNWVNUXDVWB
  ELWVNUWKUYGUWLVWACWVOWVNUWKUYGGHWVONPNPVWRVVMVVTVWCWVMVVMVWBVVMUYGVWAVXMVXNYA
  ZYEVVMVWBEWVPVVMUYGVWAVXMVXNWVJVXPYPWVKYRYFXQYDOOVVMVWHUYJUYICVVMUYJVWHVVMVVR
  UYJVWHMVVSCUXGGUXQWLWMYDOYTWKYTUWHUWG $.
  $}

  ${
    $d k x y $.  $d N x $.
    $( Two expressions are proven to be equal, and this is used to complete the
       proof of the second version of Wallis' formula for &pi; .  (Contributed
       by Glauco Siliprandi, 30-Jun-2017.) $)
    wallispi2lem2 $p
      |- ( N e. NN -> ( seq 1 ( x. , ( k e. NN |-> ( ( ( 2 x. k ) ^ 4 ) /
      ( ( ( 2 x. k ) x. ( ( 2 x. k ) - 1 ) ) ^ 2 ) ) ) ) ` N ) = ( ( ( 2 ^
      ( 4 x. N ) ) x. ( ( ! ` N ) ^ 4 ) ) / ( ( ! ` ( 2 x. N ) ) ^ 2 ) ) ) $=
  ( cmul c2 co c4 cexp cmin cdiv cfv cfa wceq caddc oveq2 oveq2d oveq1d oveq12d
  c1 wcel a1i vx vy cv cn cmpt cseq fveq2 fveq2d eqeq12d cz seq1 ax-mp 1nn eqid
  1z ovex fvmpt 2t1e2 oveq1i cdc 2exp4 cc0 1nn0 6nn0 0nn0 1t1e1 1p0e1 eqtri 6cn
  c6 mulid1i dec0h decmul1c eqtr4i 2t2e4 sq1 numexp2x eqcomi oveq2i 4cn oveq12i
  2nn0 fac1 3eqtri 2m1e1 fveq2i fac2 wa cuz elnnuz biimpi adantr seqp1 simpr cc
  syl eqidd adantl peano2nn 2cnd nncn 1cnd addcld mulcld cn0 4nn0 expcld subcld
  sqcld clt wbr 2pos gt0ne0d nnne0d mulne0d 1red cr 2re nnre readdcld 1lt2 nnrp
  ltaddrp2d mulgt1d gtned subne0d 2z expne0d divcld nn0mulcld faccl 3syl eqcomd
  mulexpd 3eqtrd adddid df-2 eqtr4d facp1 3eqtr3d fvmptd nnnn0 divmuldivd mul4d
  mulcomd eqeltrid addsubassd mulassd 3eqtr4d addassd nn0addcld 3eqtr4g 3eqtrrd
  eqtrdi eqtrd expaddd ex nnind ) UAUCZCAUDDAUCZCEZFGEZUVAUVARHEZCEZDGEZIEZUEZR
  UFZJZDFUUSCEZGEZUUSKJZFGEZCEZDUUSCEZKJZDGEZIEZLRUVHJZDFRCEZGEZRKJZFGEZCEZDRCE
  ZKJZDGEZIEZLUBUCZUVHJZDFUWICEZGEZUWIKJZFGEZCEZDUWICEZKJZDGEZIEZLZUWIRMEZUVHJZ
  DFUXACEZGEZUXAKJZFGEZCEZDUXACEZKJZDGEZIEZLZBUVHJZDFBCEZGEZBKJZFGEZCEZDBCEZKJZ
  DGEZIEZLUAUBBUUSRLZUVIUVSUVRUWHUUSRUVHUGUYCUVNUWDUVQUWGIUYCUVKUWAUVMUWCCUYCUV
  JUVTDGUUSRFCNOUYCUVLUWBFGUUSRKUGPQUYCUVPUWFDGUYCUVOUWEKUUSRDCNUHPQUIUUSUWILZU
  VIUWJUVRUWSUUSUWIUVHUGUYDUVNUWOUVQUWRIUYDUVKUWLUVMUWNCUYDUVJUWKDGUUSUWIFCNOUY
  DUVLUWMFGUUSUWIKUGPQUYDUVPUWQDGUYDUVOUWPKUUSUWIDCNUHPQUIUUSUXALZUVIUXBUVRUXKU
  USUXAUVHUGUYEUVNUXGUVQUXJIUYEUVKUXDUVMUXFCUYEUVJUXCDGUUSUXAFCNOUYEUVLUXEFGUUS
  UXAKUGPQUYEUVPUXIDGUYEUVOUXHKUUSUXADCNUHPQUIUUSBLZUVIUXMUVRUYBUUSBUVHUGUYFUVN
  UXRUVQUYAIUYFUVKUXOUVMUXQCUYFUVJUXNDGUUSBFCNOUYFUVLUXPFGUUSBKUGPQUYFUVPUXTDGU
  YFUVOUXSKUUSBDCNUHPQUIUVSRUVGJZUWEFGEZUWEUWERHEZCEZDGEZIEZUWHRUJSUVSUYGLUOCUV
  GRUKULRUDSUYGUYLLUMARUVFUYLUDUVGUUTRLZUVBUYHUVEUYKIUYMUVAUWEFGUUTRDCNZPUYMUVD
  UYJDGUYMUVAUWEUVCUYICUYNUYMUVAUWERHUYNPQPQUVGUNUYHUYKIUPUQULUYHUWDUYKUWGIUYHD
  FGEZUWDUWEDFGURUSUYOUYORCEZUYORFGEZCEUWDUYORVJUTUYPVARVJRVJRVBUYOVCVCVDVAVDVE
  RRCEZVBMERVBMERUYRRVBMVFUSVGVHVJRCEVJVBVJUTVJVIVKVJVDVLVHVMVNRUYQUYOCUYQRRRRD
  FVCWBVOVPVFVQVRVSUYOUWAUYQUWCCFUVTDGUVTFFVTVKVRZVSRUWBFGUWBRWCVRUSWAWDVHUYJUW
  FDGUYJUWERCEZDUWFUYIRUWECUYIDRHEZRUWEDRHURUSWEVHVSUYTUWEDUWEDRCURUSURVHUWFDUW
  FDKJDUWEDKURWFWGVHVRWDUSWAWDUWIUDSZUWTUXLVUBUWTWHZUXBUWJUXAUVGJZCEZUWSVUDCEZU
  XKVUCUWIRWIJSZUXBVUELVUBVUGUWTVUBVUGUWIWJWKWLCUVGRUWIWMWPVUCUWJUWSVUDCVUBUWTW
  NPVUBVUFUXKLUWTVUBVUFUWSUXHFGEZUXHUXHRHEZCEZDGEZIEZCEZUWLUYOCEZUWMUXACEZFGEZC
  EZUWPDMEZKJZDGEZIEZUXKVUBVUDVULUWSCVUBAUXAUVFVULUDUVGWOVUBUVGWQUUTUXALZUVFVUL
  LVUBVVBUVBVUHUVEVUKIVVBUVAUXHFGUUTUXADCNZPVVBUVDVUJDGVVBUVAUXHUVCVUICVVCVVBUV
  AUXHRHVVCPQPQWRUWIWSZVUBVUHVUKVUBUXHFVUBDUXAVUBWTZVUBUWIRUWIXAZVUBXBZXCZXDZFX
  ESVUBXFTZXGZVUBVUJVUBUXHVUIVVIVUBUXHRVVIVVGXHZXDZXIZVUBVUJDVVMVUBUXHVUIVVIVVL
  VUBDUXAVVEVVHVUBDVBDXJXKVUBXLTXMVUBUXAVVDXNXOVUBUXHRVVIVVGVUBRUXHVUBXPZVUBDUX
  ADXQSVUBXRTVUBUWIRUWIXSVVOXTRDXJXKVUBYATVUBRUWIVVOUWIYBYCYDYEYFXODUJSVUBYGTZY
  HZYIUUAOVUBVUMUWOVUHCEZUWRVUKCEZIEVVAVUBUWOUWRVUHVUKVUBUWLUWNVUBDUWKVVEVUBFUW
  IVVJUWIUUBZYJZXGZVUBUWMFVUBUWIXESZUWMUDSUWMWOSVVTUWIYKUWMXAYLZVVJXGZXDVUBUWQV
  UBUWPXESZUWQUDSZUWQWOSVUBDUWIDXESVUBWBTZVVTYJZUWPYKZUWQXAYLZXIVVKVVNVUBUWQDVW
  KVUBUWQVUBVWFVWGVWIVWJWPXNVVPYHVVQUUCVUBVVRVUQVVSVUTIVUBVVRUWOUYOUXAFGEZCEZCE
  VUNUWNVWLCEZCEVUQVUBVUHVWMUWOCVUBDUXAFVVEVVHVVJYNOVUBUWLUWNUYOVWLVWBVWEVUBDFV
  VEVVJXGVUBUXAFVVHVVJXGUUDVUBVWNVUPVUNCVUBVUPVWNVUBUWMUXAFVWDVVHVVJYNYMOYOVUBU
  WQVUJCEZDGEUWQUWPRMEZCEZUXHCEZDGEVVSVUTVUBVWOVWRDGVUBUWQUXHVWPCEZCEUWQVWPUXHC
  EZCEVWOVWRVUBVWSVWTUWQCVUBUXHVWPVVIVUBUWPRVUBDUWIVVEVVFXDZVVGXCZUUEOVUBVUJVWS
  UWQCVUBVUIVWPUXHCVUBVUIUWPUWEMEZRHEUWPUYIMEVWPVUBUXHVXCRHVUBDUWIRVVEVVFVVGYPZ
  PVUBUWPUWERVXAVUBUWEDWOURVVEUUFVVGUUGVUBUYIRUWPMVUBUYIVUARVUBUWEDRHUWEDLVUBUR
  TPWEUUNOYOOOVUBUWQVWPUXHVWKVXBVVIUUHUUIPVUBUWQVUJDVWKVVMVWHYNVUBVWRVUSDGVUBVU
  SVWPRMEZKJZVWPKJZVXECEZVWRVUBVURVXEKVUBVURUWPRRMEZMEZVXEVUBDVXIUWPMDVXILVUBYQ
  TZOVUBUWPRRVXAVVGVVGUUJZYRUHVUBVWPXESVXFVXHLVUBUWPRVWIRXESVUBVCTUUKVWPYSWPVUB
  VXGVWQVXEUXHCVUBVWFVXGVWQLVWIUWPYSWPVUBVXEVXJVURUXHVXLVUBVXIDUWPMVUBDVXIVXKYM
  ZOVUBVURVXCUXHVUBDUWEUWPMVUBVXIDDUWEVXMYQURUULOVXDYRZYOQUUMPYTQUUOVUBVUQUXGVU
  TUXJIVUBVUNUXDVUPUXFCVUBDUWKFMEZGEDUWKUVTMEZGEVUNUXDVUBVXOVXPDGVUBFUVTUWKMFUV
  TLVUBUYSTOOVUBDUWKFVVEVVJVWAUUPVUBVXPUXCDGVUBUXCVXPVUBFUWIRFWOSVUBVTTVVFVVGYP
  YMOYTVUBVUOUXEFGVUBUXEVUOVUBVWCUXEVUOLVVTUWIYSWPYMPQVUBVUSUXIDGVUBVURUXHKVXNU
  HPQYOWLYOUUQUUR $.
  $}

  ${
    $d k m n w $.
    wallispi2.1 $e |- V = ( n e. NN |-> ( ( ( ( 2 ^ ( 4 x. n ) ) x.
      ( ( ! ` n ) ^ 4 ) ) / ( ( ! ` ( 2 x. n ) ) ^ 2 ) ) /
      ( ( 2 x. n ) + 1 ) ) ) $.
    $( An alternative version of Wallis' formula for &pi; ; this second formula
       uses factorials and it is later used to prove Stirling's approximation
       formula.  (Contributed by Glauco Siliprandi, 29-Jun-2017.) $)
    wallispi2 $p |- V ~~> ( _pi / 2 ) $=
      ( vk vm cn c2 cv cmul co c1 cdiv cmpt c4 cexp cfv wcel cc oveq1d a1i cmin
      vw caddc eqid cseq cfa 1cnd 2cnd nncn mulcld addcld cuz elnnuz biimpi cfz
      eqidd weq wa simpr oveq2d oveq12d elfznn nncnd cn0 4nn0 expcld subcld cc0
      sqcld wne 2ne0 nnne0d mulne0d 1red cr 2re remulcld clt wbr 1lt2 breqtrrdi
      nnred 2t1e2 cle 0le2 elfzle1 lemul2ad ltletrd gtned subne0d cz 2z expne0d
      divcld fvmptd eqeltrd adantl mulcl seqcl 2nn id nnmulcld peano2nnd div32d
      mulid2d wallispi2lem2 3eqtrd mpteq2ia wallispi2lem1 3eqtr4ri wallispi ) D
      ADFGDHZIJZXMKUAJZLJXMXMKUCJLJIJMZBXOUDAFKGAHZIJZKUCJZLJXPIDFXMNOJZXMXNIJZ
      GOJZLJZMZKUEPZIJZMAFGNXPIJOJXPUFPNOJIJXQUFPGOJLJZXRLJZMAFXPIXOKUEPZMBAFYE
      YGXPFQZYEKYDXRLJZIJYJYGYIKXRYDYIUGZYIXQKYIGXPYIUHXPUIUJYKUKZYIEUBIRYCKXPY
      IXPKULPQXPUMUNEHZKXPUOJQZYMYCPZRQYIYNYOGYMIJZNOJZYPYPKUAJZIJZGOJZLJZRYNDY
      MYBUUAFYCRYNYCUPYNDEUQZURZXSYQYAYTLUUCXMYPNOUUCXLYMGIYNUUBUSUTZSUUCXTYSGO
      UUCXMYPXNYRIUUDUUCXMYPKUAUUDSVASVAYMXPVBZYNYQYTYNYPNYNGYMYNUHZYNYMUUEVCZU
      JZNVDQYNVETVFYNYSYNYPYRUUHYNYPKUUHYNUGZVGZUJZVIYNYSGUUKYNYPYRUUHUUJYNGYMU
      UFUUGGVHVJYNVKTYNYMUUEVLVMYNYPKUUHUUIYNKYPYNVNZYNKGKIJZYPUULYNGKGVOQYNVPT
      ZUULVQYNGYMUUNYNYMUUEWBZVQYNKGUUMVRKGVRVSYNVTTWCWAYNKYMGUULUUOUUNVHGWDVSY
      NWETYMKXPWFWGWHWIWJVMGWKQYNWLTWMWNZWOUUPWPWQYMRQUBHZRQURYMUUQIJRQYIYMUUQW
      RWQWSZYIXRYIXQYIGXPGFQYIWTTYIXAXBXCVLZXDYIYJYIYDXRUURYLUUSWNXEYIYDYFXRLDX
      PXFSXGXHAFYHYEDXPXIXHCXJXK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Stirling's approximation formula for ` n ` factorial
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d k n $.  $d F k $.  $d G k $.  $d H k $.  $d L k $.
    stirlinglem1.1 $e |- H = ( n e. NN |-> ( ( n ^ 2 ) /
      ( n x. ( ( 2 x. n ) + 1 ) ) ) ) $.
    stirlinglem1.2 $e
      |- F = ( n e. NN |-> ( 1 - ( 1 / ( ( 2 x. n ) + 1 ) ) ) ) $.
    stirlinglem1.3 $e |- G = ( n e. NN |-> ( 1 / ( ( 2 x. n ) + 1 ) ) ) $.
    stirlinglem1.4 $e |- L = ( n e. NN |-> ( 1 / n ) ) $.
    $( A simple limit of fractions is computed.  (Contributed by Glauco
       Siliprandi, 30-Jun-2017.) $)
    stirlinglem1 $p |- H ~~> ( 1 / 2 ) $=
      ( c1 c2 cdiv co cmul wtru cn cc0 cmin a1i oveq2d vk cli wbr cvv nnuz 1zzd
      cv cmpt wcel ax-1cn divcnv ax-mp eqbrtri caddc nnex mptex eqeltri cfv crp
      cc cr wceq wa simpr id nnrp rpreccld fvmptd nnrecre eqeltrd adantl oveq1d
      2re nnre remulcld cle 0le2 rpge0d mulge0d ge0p1rpd 1red 0le1 readdcld clt
      rpred nncn mulid2d 1lt2 ltmul1dd eqbrtrrd ltp1d lediv2ad 3brtr4d breqtrrd
      lttrd ltled climsqz2 1cnd recnd mulcld addcld rpne0d reccld subcld eqcomd
      eqtrd climsubc2 1m0e1 breqtrdi halfcld sqcld adddid mul12d sqvald mulid1d
      2cnd cexp oveq12d wne 2ne0 divcan2d eqtr4d 3eqtrd cz 2z rpexpcld rpaddcld
      rphalfcld divmuldivd pncand dividd nnne0 divcld divne0d divcan5rd adddird
      divsubdird divcan6d div12d 1e2m1 oveq2i exp1d expm1d 3eqtr3a eqtr3d eqtri
      3eqtr2d mpteq2ia climmulc2 mptru halfcn mulid1i breqtri ) DJKLMZJNMZUUNUB
      DUUOUBUCOJUUNUABDJUDPUEOUFZOBJQRMJUBOQJUACBJUDPUEUUPOQUAECJUDPUEUUPEQUBUC
      OEAPJAUGZLMZUHZQUBIJUTUIUUSQUBUCUJJAUKULUMSCUDUIOCAPJKUUQNMZJUNMZLMZUHZUD
      HAPUVBUOUPUQSUAUGZPUIZUVDEURZVAUIOUVEUVFJUVDLMZVAUVEAUVDUURUVGPEUSEUUSVBU
      VEISUVEUUQUVDVBZVCZUUQUVDJLUVEUVHVDZTUVEVEZUVEUVDUVDVFZVGVHZUVDVIVJVKUVEU
      VDCURZVAUIOUVEUVNJKUVDNMZJUNMZLMZVAUVEAUVDUVBUVQPCUSCUVCVBUVEHSUVIUVAUVPJ
      LUVIUUTUVOJUNUVIUUQUVDKNUVJTVLTZUVKUVEUVPUVEUVOUVEKUVDKVAUIUVEVMSZUVDVNZV
      OZUVEKUVDUVSUVTQKVPUCUVEVQSUVEUVDUVLVRVSVTZVGZVHZUVEUVQUWCWEVJVKZUVEUVNUV
      FVPUCOUVEUVQUVGUVNUVFVPUVEUVDUVPJUVLUWBUVEWAZQJVPUCUVEWBSUVEUVDUVPUVTUVEU
      VOJUWAUWFWCZUVEUVDUVOUVPUVTUWAUWGUVEJUVDNMUVDUVOWDUVEUVDUVDWFZWGUVEJKUVDU
      WFUVSUVLJKWDUCUVEWHSWIWJUVEUVOUWAWKWOWPWLUWDUVMWMVKUVEQUVNVPUCOUVEQUVQUVN
      VPUVEUVQUWCVRUWDWNVKWQOWRZBUDUIOBAPJUVBRMZUHZUDGAPUWJUOUPUQSOUVEVCUVNUWEW
      SUVEUVDBURZJUVNRMZVBOUVEUWLJUVQRMZUWMUVEAUVDUWJUWNPBUTBUWKVBUVEGSUVIUVBUV
      QJRUVRTZUVKUVEJUVQUVEWRZUVEUVPUVEUVOJUVEKUVDUVEXPUWHWTUWPXAUVEUVPUWBXBXCX
      DZVHZUVEUVQUVNJRUVEUVNUVQUWDXETXFVKXGXHXIOJUWIXJDUDUIODAPUUQKXQMZUUQUVANM
      ZLMZUHZUDFAPUXAUOUPUQSUVEUWLUTUIOUVEUWLUWNUTUWRUWQVJVKUVEUVDDURZUUNUWLNMZ
      VBOUVEUXCUUNUWNNMZUXDUVEAUVDUUNUWJNMZUXEPDUTDAPUXFUHZVBUVEDUXBUXGFAPUXAUX
      FUUQPUIZUXAJUWSNMZKUWSUUQKLMZUNMZNMZLMUUNUWSUXKLMZNMUXFUXHUWSUXIUWTUXLLUX
      HUXIUWSUXHUWSUXHUUQUUQWFZXKZWGXEUXHUWTUUQUUTNMZUUQJNMZUNMKUWSNMZUUQUNMZUX
      LUXHUUQUUTJUXNUXHKUUQUXHXPZUXNWTUXHWRZXLUXHUXPUXRUXQUUQUNUXHUXPKUUQUUQNMZ
      NMUXRUXHUUQKUUQUXNUXTUXNXMUXHUYBUWSKNUXHUWSUYBUXHUUQUXNXNXETXFUXHUUQUXNXO
      XRUXHUXSUXRKUXJNMZUNMUXLUXHUUQUYCUXRUNUXHUYCUUQUXHUUQKUXNUXTKQXSUXHXTSZYA
      XETUXHKUWSUXJUXTUXOUXHUUQUXNXJZXLYBYCXRUXHJKUWSUXKUYAUXTUXOUXHUWSUXJUXOUY
      EXAZUYDUXHUXKUXHUWSUXJUXHUUQKUUQVFZKYDUIUXHYESZYFUXHUUQUYGYHYGXBZYIUXHUXM
      UWJUUNNUXHUXMJUXJUXKLMZRMZUWJUXHUXMUXKUXJRMZUXKLMUXKUXKLMZUYJRMUYKUXHUWSU
      YLUXKLUXHUYLUWSUXHUWSUXJUXOUYEYJXEVLUXHUXKUXJUXKUYFUYEUYFUYIYQUXHUYMJUYJR
      UXHUXKUYFUYIYKVLYCUXHUYJUVBJRUXHUXJKUUQLMZNMZUXKUYNNMZLMUYJUVBUXHUXJUXKUY
      NUYEUYFUXHKUUQUXTUXNUUQYLZYMZUYIUXHKUUQUXTUXNUYDUYQYNYOUXHUYOJUYPUVALUXHU
      UQKUXNUXTUYQUYDYRZUXHUYPUWSUYNNMZUYOUNMUVAUXHUWSUXJUYNUXOUYEUYRYPUXHUYTUU
      TUYOJUNUXHUYTKUWSUUQLMZNMUUTUXHUWSKUUQUXOUXTUXNUYQYSUXHVUAUUQKNUXHUUQVUAU
      XHUUQJXQMUUQKJRMZXQMUUQVUAJVUBUUQXQYTUUAUXHUUQUXNUUBUXHUUQKUXNUYQUYHUUCUU
      DXETXFUYSXRXFXRUUETXFTUUGUUHUUFSUVIUWJUWNUUNNUWOTUVKUVEUUNUWNUVEJUWPXJUWQ
      WTVHUVEUWLUWNUUNNUWRTYBVKUUIUUJUUNUUKUULUUM $.
  $}

  ${
    $d k n $.  $d N k $.
    stirlinglem2.1 $e |- A = ( n e. NN
      |-> ( ( ! ` n ) / ( ( sqrt ` ( 2 x. n ) ) x. ( ( n / _e ) ^ n ) ) ) ) $.
    $( ` A ` maps to positive reals.  (Contributed by Glauco Siliprandi,
       29-Jun-2017.) $)
    stirlinglem2 $p |- ( N e. NN -> ( A ` N ) e. RR+ ) $=
      ( vk cn wcel cfv cfa c2 cmul co csqrt ceu cdiv cexp crp wceq a1i oveq12d
      cn0 nnnn0 faccl nnrp 3syl 2rp rpmulcld rpsqrtcld epr rpdivcld rpexpcld wa
      nnz cv cmpt fveq2 oveq2 fveq2d oveq1 id cbvmptv eqtri simpr oveq2d oveq1d
      simpl fvmptd mpdan eqeltrd ) CFGZCAHZCIHZJCKLZMHZCNOLZCPLZKLZOLZQVJVRQGZV
      KVRRVJVLVQVJCUAGVLFGVLQGCUBCUCVLUDUEVJVNVPVJVMVJJCJQGVJUFSCUDZUGUHVJVOCVJ
      CNVTNQGVJUISUJCUMUKUGUJZVJVSULZECEUNZIHZJWCKLZMHZWCNOLZWCPLZKLZOLZVRFAQAE
      FWJUOZRWBABFBUNZIHZJWLKLZMHZWLNOLZWLPLZKLZOLZUOWKDBEFWSWJWLWCRZWMWDWRWIOW
      LWCIUPWTWOWFWQWHKWTWNWEMWLWCJKUQURWTWPWGWLWCPWLWCNOUSWTUTTTTVAVBSWBWCCRZU
      LZWDVLWIVQOXBWCCIWBXAVCZURXBWFVNWHVPKXBWEVMMXBWCCJKXCVDURXBWGVOWCCPXBWCCN
      OXCVEXCTTTVJVSVFVJVSVCVGVHWAVI $.
  $}

  ${
    $d m n $.
    stirlinglem3.1 $e |- A = ( n e. NN |-> ( ( ! ` n ) / ( ( sqrt ` ( 2 x.
                               n ) ) x. ( ( n / _e ) ^ n ) ) ) ) $.
    stirlinglem3.2 $e |- D = ( n e. NN |-> ( A ` ( 2 x. n ) ) ) $.
    stirlinglem3.3 $e |- E = ( n e. NN |-> ( ( sqrt ` ( 2 x. n ) ) x. ( (
                               n / _e ) ^ n ) ) ) $.
    stirlinglem3.4 $e |- V = ( n e. NN |-> ( ( ( ( 2 ^ ( 4 x. n ) ) x. (
         ( ! ` n ) ^ 4 ) ) / ( ( ! ` ( 2 x. n ) ) ^ 2 ) )
         / ( ( 2 x. n ) + 1 ) ) ) $.
    $( Long but simple algebraic transformations are applied to show that
       ` V ` , the Wallis formula for &pi; , can be expressed in terms of
       ` A ` , the Stirling's approximation formula for the factorial, up to a
       constant factor.  This will allow (in a later theorem) to determine the
       right constant factor to be put into the ` A ` , in order to get the
       exact Stirling's formula.  (Contributed by Glauco Siliprandi,
       29-Jun-2017.) $)
    stirlinglem3 $p |- V = ( n e. NN |-> ( ( ( ( A ` n ) ^ 4 ) /
      ( ( D ` n ) ^ 2 ) ) x. ( ( n ^ 2 ) / ( n x. ( ( 2 x. n ) + 1 ) ) ) ) ) $=
      ( cn c2 c4 cmul co cexp cdiv wcel ceu cc oveq1d vm cv cfa cfv caddc csqrt
      cmpt wceq cn0 nnnn0 faccl nncn 3syl 2cnd mulcld sqrtcld ere recni a1i cc0
      c1 wne epos gt0ne0ii divcld expcld crp 2rp nnrp rpmulcld sqrtgt0d gt0ne0d
      nnne0 divne0d nnz expne0d mulne0d fvmpt2 mpdan oveq12d 4nn0 expdivd nn0zd
      divcan1d 3eqtrd eqcomd oveq2d nn0mulcld sqcld rpne0d cz 2z zmulcld eqtr3d
      2nn0 fveq2 oveq2 fveq2d oveq1 id cbvmptv eqtri 2nn nnmulcld fvmptd3 eqidd
      adantl fvmptd fveq1d eqeltrd mulcomd eqtrd eqnetrd divmuldivd div23d 1cnd
      mpteq2ia mulassd addcld 0red nnred 2re nnre remulcld 1red mulexpd 3eqtr4d
      cr sqmuld cle wbr wa rprege0d resqrtth syl 2t2e4 expmuld 3eqtr3d divdiv1d
      4ne0 readdcld nngt0d ltp1d lttrd div12d eqcomi sq2 dividi sqvald divcan4d
      divassd 4cn nn0cnd mulid2d mul32d eqeltrrd divdiv2d dividd 3eqtr2d reccld
      mul12d mulid1d recidd 3eqtri ) ECJKLCUBZMNZONZUVEUCUDZLONZMNZKUVEMNZUCUDZ
      KONZPNZUVKVAUENZPNZUGCJUVGUVEAUDZLONZUVEDUDZLONZMNZMNZUVEBUDZKONZUVKDUDZK
      ONZMNZPNZUVOPNZUGCJUVRUWDPNZUVEKONZUVEUVOMNPNZMNZUGICJUVPUWIUVEJQZUVNUWHU
      VOPUWNUVJUWBUVMUWGPUWNUVIUWAUVGMUWNUWAUVIUWNUWAUVHUVKUFUDZUVERPNZUVEONZMN
      ZPNZLONZUWRLONZMNUVIUXAPNZUXAMNUVIUWNUVRUWTUVTUXAMUWNUVQUWSLOUWNUWSSQUVQU
      WSUHUWNUVHUWRUWNUVEUIQUVHJQUVHSQUVEUJZUVEUKUVHULUMZUWNUWOUWQUWNUVKUWNKUVE
      UWNUNZUVEULZUOZUPZUWNUWPUVEUWNUVERUXFRSQUWNRUQURUSZRUTVBUWNRUQVCVDUSZVEZU
      XCVFZUOZUWNUWOUWQUXHUXLUWNUWOUWNUVKUWNKUVEKVGQUWNVHUSZUVEVIVJZVKVLUWNUWPU
      VEUXKUWNUVERUXFUXIUVEVMZUXJVNUVEVOZVPVQZVEZCJUWSSAFVRVSZTUWNUVSUWRLOUWNUW
      RSQUVSUWRUHUXMCJUWRSDHVRVSTZVTUWNUWTUXBUXAMUWNUVHUWRLUXDUXMUXRLUIQUWNWAUS
      ZWBTUWNUVIUXAUWNUVHLUXDUYBVFZUWNUWRLUXMUYBVFZUWNUWRLUXMUXRUWNLUYBWCZVPWDW
      EZWFWGUWNUVMUVKAUDZKONZUVKUAJKUAUBZMNZUFUDZUYIRPNZUYIONZMNZUGZUDZKONZMNZU
      YHUVKCJUWRUGZUDZKONZMNUWGUWNUVMUVLKUVKMNZUFUDZUVKRPNZUVKONZMNZPNZKONZVUFK
      ONZMNZUYHVUIMNUYRUWNUVMVUIPNZVUIMNUVMVUJUWNUVMVUIUWNUVLUWNUVKUIQZUVLJQZUV
      LSQUWNKUVEKUIQUWNWOUSZUXCWHZUVKUKZUVLULUMZWIUWNVUFUWNVUCVUEUWNVUBUWNKUVKU
      XEUXGUOUPZUWNVUDUVKUWNUVKRUXGUXIUXJVEZVUOVFZUOZWIUWNVUFKVVAUWNVUCVUEVURVU
      TUWNVUCUWNVUBUWNKUVKUXNUXOVJZVKVLZUWNVUDUVKVUSUWNUVKRUXGUXIUWNKUVEUXEUXFU
      WNKUXNWJZUXPVQZUXJVNUWNKUVEKWKQUWNWLUSZUXQWMVPZVQZVVFVPWDUWNVUKVUHVUIMUWN
      VUHVUKUWNUVLVUFKVUQVVAVVHVUNWBWFTWNUWNVUHUYHVUIMUWNUYHVUHUWNUYGVUGKOUWNUA
      UVKUYIUCUDZUYNPNZVUGJASACJUWSUGUAJVVJUGFCUAJUWSVVJUVEUYIUHZUVHVVIUWRUYNPU
      VEUYIUCWPVVKUWOUYKUWQUYMMVVKUVKUYJUFUVEUYIKMWQWRVVKUWPUYLUVEUYIOUVEUYIRPW
      SVVKWTVTVTZVTXAXBUYIUVKUHZVVIUVLUYNVUFPUYIUVKUCWPVVMUYKVUCUYMVUEMVVMUYJVU
      BUFUYIUVKKMWQWRVVMUYLVUDUYIUVKOUYIUVKRPWSVVMWTVTVTZVTUWNKUVEKJQUWNXCUSUWN
      WTXDZUWNUVLVUFVUQVVAVVHVEZXEZTWFTUWNVUIUYQUYHMUWNUYQVUIUWNUYPVUFKOUWNUAUV
      KUYNVUFJUYOSUWNUYOXFVVMUYNVUFUHUWNVVNXGZVVOVVAXHTWFWGWEUWNUYQVUAUYHMUWNUY
      PUYTKOUWNUYTUYPUWNUVKUYSUYOUYSUYOUHUWNCUAJUWRUYNVVLXAUSZXIWFTWGUWNUYHUWDV
      UAUWFMUWNUYGUWCKOUWNUWCUYGUWNUYGSQUWCUYGUHUWNUYGVUGSVVQVVPXJZCJUYGSBGVRVS
      ZWFTUWNUYTUWEKOUWNUWEUYTUWNUVKDUYSDUYSUHUWNHUSZXIWFTVTWEVTTXQCJUWIUWMUWNU
      WIUWAUVGMNZUWGPNZUVOPNUWAUWDPNZUVGUWFPNZMNZUVOPNZUWMUWNUWHVWDUVOPUWNUWBVW
      CUWGPUWNUVGUWAUWNKUVFUXEUWNLUVEUYBUXCWHZVFZUWNUWAUVISUYFUYCXJZXKTTUWNVWDV
      WGUVOPUWNVWGVWDUWNUWAUWDUVGUWFVWKUWNUWCUWNUWCUYGSVWAVVTXJZWIZVWJUWNUWEUWN
      UWEVUFSUWNUAUVKUYNVUFJDSUWNDUYSUYOVWBVVSXLVVRVVOVVAXHZVVAXJZWIZUWNUWCKVWL
      UWNUWCUYGUTVWAUWNUYGVUGUTVVQUWNUVLVUFVUQVVAUWNVULVUMUVLUTVBVUOVUPUVLVMUMV
      VHVNXMXMVVFVPZUWNUWEKVWOUWNUWEVUFUTVWNVVHXMVVFVPZXNWFTUWNVWHUWJUVTMNZVWFM
      NZUVOPNUWJUVTVWFMNZMNZUVOPNZUWMUWNVWGVWTUVOPUWNVWEVWSVWFMUWNUVRUVTUWDUWNU
      VQLUWNUVQUWSSUXTUXSXJUYBVFZUWNUVTUXASUYAUYDXJZVWMVWQXOTTUWNVWTVXBUVOPUWNU
      WJUVTVWFUWNUVRUWDVXDVWMVWQVEZVXEUWNUVGUWFVWJVWPVWRVEZXRTUWNVXCUWJVXAUVOPN
      ZMNUWMUWNUWJVXAUVOVXFUWNUVTVWFVXEVXGUOUWNUVKVAUXGUWNXPXSZUWNUVOUWNUTUVKUV
      OUWNXTUWNUVKVVOYAZUWNUVKVAUWNKUVEKYHQUWNYBUSUVEYCYDUWNYEUUAUWNUVKVVOUUBUW
      NUVKVXJUUCUUDVLZUUKUWNVXHUWLUWJMUWNVXHUWKUVEPNZUVOPNUWLUWNVXAVXLUVOPUWNVX
      AUVGUVTUWFPNZMNUVGUWOLONZVUCKONZPNZUWQLONZVUEKONZPNZMNZMNZVXLUWNUVTUVGUWF
      VXEVWJVWPVWRUUEUWNVXMVXTUVGMUWNUXAVUIPNVXNVXQMNZVXOVXRMNZPNVXMVXTUWNUXAVY
      BVUIVYCPUWNUWOUWQLUXHUXLUYBYFUWNVUCVUEVURVUTYIVTUWNUVTUXAUWFVUIPUYAUWNUWE
      VUFKOVWNTVTUWNVXNVXOVXQVXRUWNUWOLUXHUYBVFUWNVUCVURWIUWNUWQLUXLUYBVFZUWNVU
      EVUTWIUWNVUCKVURVVCVVFVPUWNVUEKVUTVVGVVFVPXNYGWGUWNVYAUVGUVEVAUVGPNZMNZMN
      UVEUVGVYEMNZMNZVXLUWNVXTVYFUVGMUWNVXPUVEVXSVYEMUWNVXPVXNVUBPNUVKKONZUVFPN
      ZUVEUWNVXOVUBVXNPUWNVUBYHQUTVUBYJYKYLVXOVUBUHUWNVUBVVBYMVUBYNYOWGUWNVXNVY
      IVUBUVFPUWNVXNUWOKKMNZONUWOKONZKONVYIUWNLVYKUWOOLVYKUHUWNVYKLYPUUFUSWGUWN
      UWOKKUXHVUNVUNYQUWNVYLUVKKOUWNUVKYHQUTUVKYJYKYLVYLUVKUHUWNUVKUXOYMUVKYNYO
      TWEUWNVYKUVEMNZVUBUVFUWNKKUVEUXEUXEUXFXRUWNVYKLUVEMVYKLUHUWNYPUSTZWNVTUWN
      VYJLUWKMNZUVFPNZUVEUWNVYIVYOUVFPUWNVYIKKONZUWKMNVYOUWNKUVEUXEUXFYIUWNVYQL
      UWKMVYQLUHUWNUUGUSTXLTUWNLLPNZVXLMNVAUVEMNVYPUVEUWNVYRVAVXLUVEMVYRVAUHUWN
      LUULYTUUHUSUWNVXLUVEUVEMNZUVEPNUVEUWNUWKVYSUVEPUWNUVEUXFUUITUWNUVEUVEUXFU
      XFUXPUUJXLZVTUWNLLUWKUVEUWNLUYBUUMZWUAUWNUVEUXFWIZUXFLUTVBUWNYTUSUXPXNUWN
      UVEUXFUUNYRXLWEUWNVXSUVEUVFONZRUVFONZPNZUVKUVFONZWUDPNZPNWUEWUDMNZWUFPNZV
      YEUWNVXQWUEVXRWUGPUWNUWPUVELMNZONUWPUVFONVXQWUEUWNWUJUVFUWPOUWNUVELUXFWUA
      XKWGUWNUWPUVELUXKUYBUXCYQUWNUVERUVFUXFUXIUXJVWIWBYRZUWNVUDUVKKMNZONVUDUVF
      ONVXRWUGUWNWULUVFVUDOUWNWULVYMUVFUWNKUVEKUXEUXFUXEUUOVYNXLWGUWNVUDUVKKVUS
      VUNVUOYQUWNUVKRUVFUXGUXIUXJVWIWBYRVTUWNWUEWUFWUDUWNVXQWUESWUKVYDUUPUWNUVK
      UVFUXGVWIVFUWNRUVFUXIVWIVFZUWNUVKUVFUXGVVEUWNLUVEUYEUXQWMZVPUWNRUVFUXIUXJ
      WUNVPZUUQUWNWUIWUCWUFPNWUCUVGWUCMNZPNZVYEUWNWUHWUCWUFPUWNWUCWUDUWNUVEUVFU
      XFVWIVFZWUMWUOWDTUWNWUFWUPWUCPUWNKUVEUVFUXEUXFVWIYFWGUWNWUQWUCWUCUVGMNZPN
      WUCWUCPNZUVGPNVYEUWNWUPWUSWUCPUWNUVGWUCVWJWURXKWGUWNWUCWUCUVGWURWURVWJUWN
      UVEUVFUXFUXPWUNVPZUWNKUVFUXEVVDWUNVPZYSUWNWUTVAUVGPUWNWUCWURWVAUURTUUSWEW
      EVTWGUWNUVGUVEVYEVWJUXFUWNUVGVWJWVBUUTUVAUWNUVEVAMNUVEVYHVXLUWNUVEUXFUVBU
      WNVYGVAUVEMUWNUVGVWJWVBUVCWGVYTYGWEWETUWNUWKUVEUVOWUBUXFVXIUXPVXKYSXLWGXL
      WEWEXQUVD $.
  $}

  ${
    $d k n $.  $d A k $.  $d N k $.  $d N n $.
    stirlinglem4.1 $e |- A = ( n e. NN |-> ( ( ! ` n ) /
      ( ( sqrt ` ( 2 x. n ) ) x. ( ( n / _e ) ^ n ) ) ) ) $.
    stirlinglem4.2 $e |- B = ( n e. NN |-> ( log ` ( A ` n ) ) ) $.
    stirlinglem4.3 $e |- J = ( n e. NN |-> ( ( ( ( 1 + ( 2 x. n ) ) / 2 ) x.
      ( log ` ( ( n + 1 ) / n ) ) ) - 1 ) ) $.
    $( Algebraic manipulation of ` ( ( B ` n ) - ( B ` ( n + 1 ) ) ) ` .  It
       will be used in other theorems to show that ` B ` is decreasing.
       (Contributed by Glauco Siliprandi, 29-Jun-2017.) $)
    stirlinglem4 $p |- ( N e. NN -> ( ( B ` N ) -
      ( B ` ( N + 1 ) ) ) = ( J ` N ) ) $=
      ( cn wcel c1 co cdiv cfv cmul ceu clog c2 oveq12d oveq1d caddc csqrt cexp
      cmin nnre nnnn0 nn0ge0d ge0p1rpd rpdivcld rpsqrtcld nnz rpexpcld rpmulcld
      vk nnrp crp epr a1i relogdivd relogmuld wceq logsqrt syl relogexp syl2anc
      cz eqtrd peano2nn nncnd nncn divcld nnne0d divne0d logcld 2cnd 2rp rpne0d
      nnne0 divrec2d 1cnd halfcld adddird divcan4d mulcomd eqtr3d oveq2d mulcld
      divdird eqtr4d 3eqtrd loge cr stirlinglem2 relogcld cv nfcv nfmpt1 nfcxfr
      cfa cmpt nffv 2fveq3 fvmptf mpdan cbvmpt eqtri wa simpr fveq2d fvmptd cn0
      faccl 3syl cc simpl rpcnd adantr sqrtcld ere recni cc0 wne nnnn0d expne0d
      expcld mulne0d divassd divdiv32d divdiv1d eqcomd dividd div23d divmuldivd
      sqrtmuld 3eqtr2d mulid2d expdivd expp1d div32d 3eqtr4d gtneii fveq2 oveq2
      0re epos nnzd oveq1 id peano2zd facp1 recdivd rpred rpge0d nnred sqrtdivd
      divdivdivd reccld addcld subcld ) EIJZEKUALZEMLZUBNZUVBEUCLZOLZPMLZQNZKRE
      OLZUALZRMLZUVBQNZOLZKUDLZEBNZUVABNZUDLZEDNZUUTUVGUVEQNZPQNZUDLUVMUUTUVEPU
      UTUVCUVDUUTUVBUUTUVAEUUTEEUEZUUTEEUFZUGZUHZEUOZUIZUJZUUTUVBEUWEEUKZULZUMP
      UPJUUTUQURZUSUUTUVRUVLUVSKUDUUTUVRUVKRMLZEUVKOLZUALZKRMLZUVKOLZUWKUALZUVL
      UUTUVRUVCQNZUVDQNZUALUWLUUTUVCUVDUWFUWHUTUUTUWPUWJUWQUWKUAUUTUVBUPJZUWPUW
      JVAUWEUVBVBVCUUTUWREVFJUWQUWKVAUWEUWGUVBEVDVESVGUUTUWJUWNUWKUAUUTUVKRUUTU
      VBUUTUVAEUUTUVAEVHZVIZEVJZEVRZVKZUUTUVAEUWTUXAUUTUVAUWSVLZUXBVMVNZUUTVOZU
      UTRRUPJUUTVPURZVQZVSTUUTUWMEUALZUVKOLUWOUVLUUTUWMEUVKUUTKUUTVTZWAUXAUXEWB
      UUTUXIUVJUVKOUUTUXIUWMUVHRMLZUALUVJUUTEUXKUWMUAUUTEROLZRMLEUXKUUTERUXAUXF
      UXHWCUUTUXLUVHRMUUTERUXAUXFWDTWEWFUUTKUVHRUXJUUTREUXFUXAWGZUXFUXHWHWITWEW
      JUVSKVAUUTWKURSVGUUTUVPEANZQNZUVAANZQNZUDLUXNUXPMLZQNUVGUUTUVNUXOUVOUXQUD
      UUTUXOWLJUVNUXOVAUUTUXNACEFWMZWNCECWOZANQNZUXOIBWLCEWPZCUXNQCQWPZCEACACIU
      XTWSNZRUXTOLZUBNZUXTPMLZUXTUCLZOLZMLZWTZFCIUYJWQWRZUYBXAXAUXTEQAXBGXCXDUU
      TUNUVAUNWOZANZQNZUXQIBWLBUNIUYOWTZVAUUTBCIUYAWTUYPGCUNIUYAUYOUNUYAWPCUYNQ
      UYCCUYMAUYLCUYMWPXAXAUXTUYMQAXBXEXFURUUTUYMUVAVAZXGZUYNUXPQUYRUYMUVAAUUTU
      YQXHZXIXIUWSUUTUXPUUTUVAIJUXPUPJUWSACUVAFWMVCZWNXJSUUTUXNUXPUXSUYTUSUUTUX
      RUVFQUUTUXREWSNZUVHUBNZEPMLZEUCLZOLZMLZUVAWSNZRUVAOLZUBNZUVAPMLZUVAUCLZOL
      ZMLZMLZUVCUVAMLZUVAUVAUCLZEEUCLZMLZOLZPMLZUVFUUTUXNVUFUXPVUMMUUTVUFUPJZUX
      NVUFVAUUTVUAVUEUUTEXKJZVUAIJVUAUPJUWAEXLVUAUOXMZUUTVUBVUDUUTUVHUUTREUXGUW
      DUMUJZUUTVUCEUUTEPUWDUWIUIUWGULZUMZUIUUTVVAXGZCEUYJVUFIAXNAUYKVAVVGFURVVG
      UXTEVAZXGZUYDVUAUYIVUEMVVIUXTEWSVVGVVHXHZXIVVIUYFVUBUYHVUDOVVIUYEUVHUBVVI
      UXTEROVVJWFXIVVIUYGVUCUXTEUCVVIUXTEPMVVJTVVJSSSUUTVVAXOZVVGVUAVUEUUTVUAXN
      JVVAUUTVUAVVCXPZXQVVGVUBVUDVVGUVHVVGREVVGVOVVGEVVKVIZWGXRZVVGVUCEVVGEPVVM
      PXNJVVGPXSXTURZPYAYBVVGYAPUUDUUEUUAURZVKZVVGEVVKYCYEZWGVVGVUBVUDVVNVVRUUT
      VUBYAYBVVAUUTVUBVVDVQZXQVVGVUCEVVQVVGEPVVMVVOVVGEVVKVLVVPVMVVGEVVKUUFYDYF
      VKXJXDUUTUNUVAUYMWSNZRUYMOLZUBNZUYMPMLZUYMUCLZOLZMLZVUMIAUPAUNIVWFWTZVAUU
      TAUYKVWGFCUNIUYJVWFUNUYJWPCVWFWPUXTUYMVAZUYDVVTUYIVWEMUXTUYMWSUUBVWHUYFVW
      BUYHVWDOVWHUYEVWAUBUXTUYMROUUCXIVWHUYGVWCUXTUYMUCUXTUYMPMUUGVWHUUHSSSXEXF
      URUYRVVTVUGVWEVULMUYRUYMUVAWSUYSXIUYRVWBVUIVWDVUKOUYRVWAVUHUBUYRUYMUVAROU
      YSWFXIUYRVWCVUJUYMUVAUCUYRUYMUVAPMUYSTUYSSSSUWSUUTVUGVULUUTUVAXKJVUGIJVUG
      UPJUUTUVAUWSYCZUVAXLVUGUOXMUUTVUIVUKUUTVUHUUTRUVAUXGUWCUMUJZUUTVUJUVAUUTU
      VAPUWCUWIUIUUTEUWGUUIZULZUMZUIXJSUUTVUNVUFVUAUVAVULMLZOLZMLVUAVWOMLZVUEML
      ZVUTUUTVUMVWOVUFMUUTVUMVUAUVAOLZVULMLVWOUUTVUGVWRVULMUUTVVBVUGVWRVAUWAEUU
      JVCTUUTVUAUVAVULVVLUWTUUTVULVWMXPZUUTVULVWMVQZYGVGWFUUTVUAVUEVWOVVLUUTVUE
      VVFXPUUTVUAVWNVVLUUTUVAVULUWTVWSVWTVKZWGUUTVUEVVFVQUUTVUAVWNVVLVXAUUTVUAV
      VCVQZUUTUVAVULUWTVWSUXDVWTVMZYFYHUUTVWQVUAVUAMLZVWNMLZVUEMLKVWNMLZVUEMLZV
      UTUUTVWPVXEVUEMUUTVXEVWPUUTVUAVUAVWNVVLVVLVXAVXBVXCYIYJTUUTVXEVXFVUEMUUTV
      XDKVWNMUUTVUAVVLVXBYKTTUUTVXGVULUVAMLZVUEMLZUVCVUKOLZUVAMLZVUDMLZVUTUUTVX
      FVXHVUEMUUTUVAVULUWTVWSUXDVWTUUKTUUTVXHVUBMLZVUDMLVXIVXLUUTVXHVUBVUDUUTVU
      LUVAVWSUWTUXDVKUUTVUBVVDXPZUUTVUDVVEXPZVVSUUTVUDVVEVQZYIUUTVXMVXKVUDMUUTV
      XMVULVUBMLZUVAMLVXKUUTVULUVAVUBVWSUWTVXNUXDVVSYHUUTVXQVXJUVAMUUTVXQVUIVUB
      MLZVUKOLKUVCOLZVUKOLVXJUUTVUIVUKVUBUUTVUIVWJXPUUTVUKVWLXPZVXNVVSYLUUTVXRV
      XSVUKOUUTVXRRUBNZUVAUBNZOLZVYAEUBNZOLZMLVYAVYAMLZVYBVYDMLZOLVXSUUTVUIVYCV
      UBVYEMUUTRUVAUUTRUXGUULZUUTRUXGUUMZUUTUVAUWSUUNZUUTUVAVWIUGZYNUUTREVYHVYI
      UVTUWBYNSUUTVYAVYAVYBVYDUUTRUXFXRZVYLUUTUVAUWTXRUUTEUXAXRUUTVYAUUTRUXGUJV
      QZUUTVYDUUTEUWDUJVQYMUUTVYFKVYGUVCOUUTVYAVYLVYMYKUUTUVCVYGUUTUVAEVYJVYKUW
      DUUOYJSYOTUUTVXSUVCVUKOUUTUVCUUTUVBUXCXRZYPTWJTVGTWEUUTVXLVXJVUDMLZUVAMLU
      VCKPMLZVUROLZOLZUVAMLZVUTUUTVXJUVAVUDUUTUVCVUKVYNVXTWGUWTVXOUXDVXPYHUUTVY
      OVYRUVAMUUTVYOUVCVUKVUDMLZOLUVCVUPPUVAUCLZMLZVUQPEUCLZMLZMLZOLVYRUUTUVCVU
      KVUDVYNVXTVXOVXPYGUUTVYTWUEUVCOUUTVUKWUBVUDWUDMUUTUVAPUVAUWTUUTPUWIXPZUUT
      PUWIVQZVWIYQUUTEPEUXAWUFWUGUWAYQSWFUUTWUEVYQUVCOUUTWUEVUPWUCOLZWUAVUQOLZM
      LWUCVUPOLZWUIMLZVYQUUTVUPWUAVUQWUCUUTUVAUVAUWTVWIYEZUUTPUVAWUFVWIYEZUUTEE
      UXAUWAYEZUUTPEWUFUWAYEZUUTPUVAWUFWUGVWKYDZUUTPEWUFWUGUWGYDZUUTEEUXAUXBUWG
      YDZUUPUUTWUHWUJWUIMUUTVUPWUCWULWUOWDTUUTWUCWUAMLZVUROLWUKVYQUUTWUCWUAVUPV
      UQWUOWUMWULWUNWUPWURYMUUTWUSVYPVUROUUTWUSWUCWUCPOLZMLWUCWUCMLZPMLVYPUUTWU
      AWUTWUCMUUTPEWUFUWAYRWFUUTWUCWUCPWUOWUOWUFWUQWUGYIUUTWVAKPMUUTWUCWUOWUQYK
      TYOTWEWJWFWJTUUTVUOVYQOLVUOVURPMLZOLVYSVUTUUTVYQWVBVUOOUUTVYQKWVBOLWVBUUT
      KPVURUXJWUFUUTVUPVUQWULWUNWURVKZWUGYSUUTWVBUUTVURPWVCWUFWUGVKYPVGWFUUTUVC
      VYQUVAVYNUUTVYPVURUUTPWUFWUGUUQWVCWGUWTUXDYLUUTVUOVURPUUTUVCUVAVYNUWTUXDV
      KWVCWUFWUGYGYTWJWJWJWJUUTVUSUVEPMUUTVUSUVCVURUVAMLZOLUVEUUTUVCUVAVURVYNUW
      TWVCUXDYSUUTWVDUVDUVCOUUTVUPUVAMLZVUQMLUVAEUCLZVUQMLWVDUVDUUTWVEWVFVUQMUU
      TWVEWVFUVAOLZUVAMLWVFUUTVUPWVGUVAMUUTUVAEUWTUWAYRTUUTWVFUVAUUTUVAEUWTUWAY
      EUWTUXDWCVGTUUTVUPVUQUVAWULWUNUWTWURUXDYHUUTUVAEEUWTUXAUXBUWAYQYTWFVGTWJX
      IYOUUTUVMXNJZUVQUVMVAUUTUVLKUUTUVJUVKUUTUVIUUTKUVHUXJUXMUURWAUXEWGUXJUUSU
      UTWVHXGZCEKUYEUALZRMLZUXTKUALZUXTMLZQNZOLZKUDLZUVMIDXNDCIWVPWTVAWVIHURWVI
      VVHXGZWVOUVLKUDWVQWVKUVJWVNUVKOWVQWVJUVIRMWVQUYEUVHKUAWVQUXTEROWVIVVHXHZW
      FWFTWVQWVMUVBQWVQWVLUVAUXTEMWVQUXTEKUAWVRTWVRSXISTUUTWVHXOUUTWVHXHXJXDYT
      $.
  $}

  ${
    $d i k n ph $.  $d j k n ph $.  $d D i $.  $d D k $.  $d D n $.  $d E i $.
    $d E k $.  $d E n $.  $d F k $.  $d F n $.  $d G k $.  $d G n $.  $d H k $.
    $d H n $.  $d T j $.  $d T k $.  $d T n $.
    stirlinglem5.1 $e |- D = ( j e. NN |-> ( ( -u 1 ^ ( j - 1
                                          ) ) x. ( ( T ^ j ) / j ) ) ) $.
    stirlinglem5.2 $e |- E = ( j e. NN |-> ( ( T ^ j ) / j ) ) $.
    stirlinglem5.3 $e |- F = ( j e. NN |-> ( ( ( -u 1 ^ ( j -
       1 ) ) x. ( ( T ^ j ) / j ) ) + ( ( T ^ j ) / j ) ) ) $.
    stirlinglem5.4 $e |- H = ( j e. NN0 |-> ( 2 x. ( ( 1 / ( (
       2 x. j ) + 1 ) ) x. ( T ^ ( ( 2 x. j ) + 1 ) ) ) ) ) $.
    stirlinglem5.5 $e |- G = ( j e. NN0 |-> ( ( 2 x. j ) + 1 ) ) $.
    stirlinglem5.6 $e |- ( ph -> T e. RR+ ) $.
    stirlinglem5.7 $e |- ( ph -> ( abs ` T ) < 1 ) $.
    $( If ` T ` is between ` 0 ` and ` 1 ` , then a series (without alternating
       negative and positive terms) is given that converges to
       log((1+T)/(1-T)).  (Contributed by Glauco Siliprandi, 29-Jun-2017.) $)
    stirlinglem5 $p
       |- ( ph -> seq 0 ( + , H ) ~~> ( log ` ( ( 1 + T ) / ( 1 - T ) ) ) ) $=
  ( caddc c1 co wcel c2 vk vn cc0 cseq clog cfv cmin cdiv cli wbr cneg cvv nnuz
  vi cn 1zzd cv cexp cmul cmpt wceq a1i wa 1cnd negcld nnm1nn0 adantl expcld cc
  cn0 nncn rpred recnd adantr wne eqcomd oveq1d oveq2d eqtrd seqeq3d clt addcld
  cabs eqid syl2anc fveq2d eqbrtrd 1red mpbird syl simpr oveq2 oveq12d ad2antrr
  wb weq id nnnn0d nncnd nnne0d divcld mulcld fvmptd3 eqeltrd seqcl mpbid gtned
  crp logcld breqtrd 2nn0 nn0mulcld nn0p1nn 2re remulcld readdcld ltadd1dd 2cnd
  cr 2rp fvmptd cdvds wn wrex 1nn0 elrnmpt nsyl cz wral ralnex neqned cle simpl
  0red wi ltnled syl21anc breqtrrd 3eqtrd nn0addcld nnnn0 div32d pncan2d eqtr3d
  nnne0 mpteq2dva ccom cbl cnmetdval 1m1e0 subsub4d df-neg eqcomi 3eqtr3d cxmet
  absnegd cxr cnxmet rexrd elbl2 syl22anc logtayl2 seqex logtayl eleqtrdi oveq1
  cuz cfz elfznn simpll seradd climadd 1rp rpaddcld rpne0d subcld absltd simprd
  addcl subne0d negsubd nn0uz 0zd wf fmpti nn0re ltp1d ltmul2dd nn0cn peano2nn0
  3brtr4d cdif eldifi eldifn num0h eqeq2d rspcev mp2an ax-1cn ax-mp mpbir eleq1
  crn 0nn0 nn1m1nn ord mpd nfcv nfmpt1 nfcxfr nfdif nfcri mtbid sylibr r19.21bi
  wo nfrn necomd adantlr simplr zred mulcomd elnn0z sylnib nan anabss1 rpregt0d
  mpbi mulltgt0 addid2d nnge1 adantll mtand pm2.61dan neneqd ralrimi sylib nnzd
  ex odd2np1 mtbird notnotrd npcand nn0zd oddp1even oexpneg syl3anc 1exp negeqd
  mulm1d addcomd negidd pncand 0le2 nn0ge0d mulge0d 0lt1 addgegt0d nn0z mulid2d
  m1expeven 2timesd divrec2d 3eqtr2d eqtr2d 3eqtr4d isercoll2 resubcld ltsub1dd
  reccld subidd elrpd relogdivd ) APHUCUDZQCPRZUEUFZQCUGRZUEUFZUGRZVVOVVQUHRUEU
  FUIAVVNVVSUIUJPFQUDZVVSUIUJAVVTVVPVVRUKZPRVVSUIAVVPVWAUAPBQUDZPEQUDZVVTQULUOU
  MAUPZAVWBPDUOQUKZDUQZQUGRZURRZVWFUHRZVVOQUGRZVWFURRZUSRZUTZQUDZVVPUIABVWMPQAB
  DUOVWHCVWFURRZVWFUHRZUSRZUTZVWMBVWRVAAIVBADUOVWQVWLAVWFUOSZVCZVWIVWOUSRVWQVWL
  VWTVWHVWFVWOVWTVWEVWGVWTQVWTVDZVEVWSVWGVJSAVWFVFVGVHVWSVWFVISAVWFVKVGVWTCVWFA
  CVISZVWSACACNVLZVMZVNZVWSVWFVJSZAVWFUUAVGVHVWSVWFUCVOAVWFUUEVGUUBVWTVWOVWKVWI
  USVWTCVWJVWFURVWTVWJCVWTQCVXAVXEUUCVPVQVRUUDUUFVSVTAVVOQQWCUGUUGZUUHUFRZSZVWN
  VVPUIUJAVXIQVVOVXGRZQWAUJZAVXJQVVOUGRZWCUFZQWAAQVISZVVOVISZVXJVXMVAAVDZAQCVXP
  VXDWBZQVVOVXGVXGWDUUIWEAVXMCUKZWCUFZQWAAVXLVXRWCAQQUGRZCUGRUCCUGRZVXLVXRAVXTU
  CCUGVXTUCVAAUUJVBVQAQQCVXPVXPVXDUUKVYAVXRVAAVXRVYACUULUUMVBUUNWFAVXSCWCUFZQWA
  ACVXDUUPOWGWGWGAVXGVIUUOUFSZQUUQSVXNVXOVXIVXKWOVYCAUURVBAQAWHZUUSVXPVXQVVOVXG
  QQVIUUTUVAWIVVOVXHDVXHWDUVBWJWGVVTULSAPFQUVCVBAVWCPDUOVWPUTZQUDZVWAUIAEVYEPQE
  VYEVAAJVBVTAVXBVYBQWAUJZVYFVWAUIUJVXDOCDUVDWEWGAUAUQZUOSZVCZUBUNPVIBQVYHVYJVY
  HUOQUVGUFAVYIWKUMUVEZVYJUBUQZQVYHUVHRSZVCZVYLBUFZVWEVYLQUGRZURRZCVYLURRZVYLUH
  RZUSRZVIVYNDVYLVWQVYTUOBVIIDUBWPZVWHVYQVWPVYSUSWUAVWGVYPVWEURVWFVYLQUGUVFVRWU
  AVWOVYRVWFVYLUHVWFVYLCURWLWUAWQWMZWMZVYMVYLUOSZVYJVYLVYHUVIVGZVYNVYQVYSVYNWUD
  VYQVISZWUEWUDVWEVYPWUDQWUDVDVEVYLVFZVHZWJVYNVYRVYLVYNCVYLAVXBVYIVYMVXDWNVYNVY
  LWUEWRVHVYNVYLWUEWSVYNVYLWUEWTXAZXBZXCWUJXDZVYLVISUNUQZVISVCVYLWULPRVISVYJVYL
  WULUVSVGZXEVYJUBUNPVIEQVYHVYKVYNVYLEUFZVYSVIVYNDVYLVWPVYSUOEVIJWUBWUEWUIXCWUI
  XDZWUMXEVYJUBBEFQVYHVYKWUKWUOVYNAWUDVYLFUFZVYOWUNPRZVAAVYIVYMUVJWUEAWUDVCZWUP
  VYTVYSPRZWUQWURDVYLVWQVWPPRZWUSUOFVIKWUAVWQVYTVWPVYSPWUCWUBWMZAWUDWKZWURVYTVY
  SWURVYQVYSWUDWUFAWUHVGWURVYRVYLWURCVYLAVXBWUDVXDVNWURVYLWVBWRVHWURVYLWVBWSWUR
  VYLWVBWTXAZXBZWVCWBZXCZWURVYTVYOVYSWUNPWURVYOVYTWURDVYLVWQVYTUOBVIIWUCWVBWVDX
  CVPWURWUNVYSWURDVYLVWPVYSUOEVIJWUBWVBWVCXCVPWMVSWEUVKUVLAVVPVVRAVVOVXQAVVOAQC
  QXHSAUVMVBNUVNZUVOXIAVVQAQCVXPVXDUVPAQCVXPVXDACQVXCAVWECWAUJZCQWAUJZAVYGWVHWV
  IVCOACQVXCVYDUVQXFUVRZXGUVTXIUWAXJAVVSUAUBFGHUCQUOVJUWBUMAUWCVWDVJUOGUWDADVJU
  OTVWFUSRZQPRZGMVXFWVKVJSWVLUOSZVXFTVWFTVJSZVXFXKVBVXFWQXLWVKXMWJUWEVBVYHVJSZV
  YHGUFZVYHQPRZGUFZWAUJAWVOTVYHUSRZQPRZTWVQUSRZQPRZWVPWVRWAWVOWVSWWAQWVOTVYHTXS
  SZWVOXNVBZVYHUWFZXOWVOTWVQWWDWVOVYHQWWEWVOWHZXPZXOWWFWVOVYHWVQTWWEWWGTXHSZWVO
  XTVBWVOVYHWWEUWGUWHXQWVODVYHWVLWVTVJGVIGDVJWVLUTZVAWVOMVBZWVODUAWPZVCZWVKWVSQ
  PWWLVWFVYHTUSWVOWWKWKVRVQZWVOWQZWVOWVSQWVOTVYHWVOXRZVYHUWIZXBZWVOVDZWBYAWVODW
  VQWVLWWBVJGVIWWJWVOVWFWVQVAZVCZWVKWWAQPWWTVWFWVQTUSWVOWWSWKVRVQVYHUWJWVOWWAQW
  VOTWVQWWOWVOVYHQWWPWWRWBXBWWRWBYAUWKVGAVYLUOGUXCZUWLZSZVCZWUPWUSVWEVYSUSRZVYS
  PRZUCWXDDVYLWUTWUSUOFVIKWVAWXCWUDAVYLUOWXAUWMZVGZWXDVYTVYSWXDVYQVYSWXCWUFAWXC
  VWEVYPWXCQWXCVDZVEWXCWUDVYPVJSWXGWUGWJZVHVGWXDVYRVYLWXDCVYLAVXBWXCVXDVNWXDVYL
  WXHWRVHWXDVYLWXHWSWXDVYLWXHWTXAZXBWXKWBXCWXDVYTWXEVYSPWXDVYQVWEVYSUSWXCVYQVWE
  VAAWXCVYQQVYPURRZUKZVWEWXCVXNVYPUOSZTVYPYBUJYCZVYQWXMVAWXIWXCVYLQVAZYCWXNWXCV
  YLWXASZWXPVYLUOWXAUWNZWXPWXQQWXASZWXSWXPWXSQWVLVAZDVJYDZUCVJSQTUCUSRZQPRZVAZW
  YAUXDQTXKYEUWOWXTWYDDUCVJVWFUCVAZWVLWYCQWYEWVKWYBQPVWFUCTUSWLVQUWPUWQUWRVXNWX
  SWYAWOUWSDVJWVLQGVIMYFUWTUXAVBVYLQWXAUXBWIYGWXCWXPWXNWXCWUDWXPWXNUXPWXGVYLUXE
  WJUXFUXGWXCWXOTVYPQPRZYBUJZWXCTVYLWYFYBWXCTVYLYBUJZWXCWYHYCZWVLVYLVAZDYHYDZWX
  CWYJYCZDYHYIWYKYCWXCWYLDYHDUBWXBDUOWXADUOUXHDGDGWWIMDVJWVLUXIUXJUXQUXKUXLWXCV
  WFYHSZWYLWXCWYMVCZWVLVYLWYNVXFWVLVYLVOZWXCVXFWYOWYMWXCVXFVCZVYLWVLWYPVYLWVLWX
  CVYLWVLVAZYCZDVJWXCWYQDVJYDZYCWYRDVJYIWXCWXQWYSWXRDVJWVLVYLGWXBMYFUXMWYQDVJYJ
  UXNUXOYKUXRUXSWYNVXFYCZVCWYMWYTWUDWYOWXCWYMWYTUXTWYNWYTWKWXCWUDWYMWYTWXGWNWYM
  WYTVCZWUDVCZWVLVYLXUBWYJWVMXUAWVMYCWUDXUAQWVLYLUJZWVMXUAWVLQWAUJXUCYCXUAWVLUC
  QPRQWAXUAWVKUCQXUATVWFWWCXUAXNVBXUAVWFWYMWYTYMUYAZXOZXUAYNZXUAWHZXUAWVKVWFTUS
  RZUCWAXUATVWFXUAXRXUAVWFXUDVMUYBXUAVWFXSSVWFUCWAUJZWWCUCTWAUJVCXUHUCWAUJXUDXU
  AXUIUCVWFYLUJZYCZWYMWYTXUKXUAWYMXUJVCZYCYOXUAWYMVCXUKYOXUAVXFXULWYMWYTWKVWFUY
  CUYDXUAWYMXUJUYEUYHUYFXUAVWFUCXUDXUFYPWIXUATWWHXUAXTVBUYGVWFTUYIYQWGXQXUAQXUA
  VDUYJXJXUAWVLQXUAWVKQXUEXUGXPXUGYPXFWVLUYKYGVNWUDWYJWVMXUAWUDWYJVCWVLVYLUOWUD
  WYJWKWUDWYJYMXDUYLUYMYKYQUYNUYOUYSUYPWYJDYHYJUYQWXCVYLYHSWYIWYKWOWXCVYLWXGUYR
  DVYLUYTWJVUAVUBWXCVYLQWXCVYLWXGWSWXIVUCYRWXCVYPYHSZWXOWYGWOWXCVYPWXJVUDZVYPVU
  EWJWIQVYPVUFVUGWXCWXLQWXCXUMWXLQVAXUNVYPVUHWJVUIVSVGVQVQWXDWXFVYSUKZVYSPRVYSX
  UOPRUCWXDWXEXUOVYSPWXDVYSWXKVUJVQWXDXUOVYSWXDVYSWXKVEWXKVUKWXDVYSWXKVULYSYSWU
  RWUPWUSVIWVFWVEXDAWVOVCZTQWVTUHRZCWVTURRZUSRZUSRZWVTFUFZVYHHUFWVPFUFXUPXVAVWE
  WVTQUGRZURRZXURWVTUHRZUSRZXVDPRZXUTXUPDWVTWUTXVFUOFVIFDUOWUTUTVAXUPKVBXUPVWFW
  VTVAZVCZVWQXVEVWPXVDPXVHVWHXVCVWPXVDUSXVHVWGXVBVWEURXVHVWFWVTQUGXUPXVGWKZVQVR
  XVHVWOXURVWFWVTUHXVHVWFWVTCURXVIVRXVIWMZWMXVJWMXUPWVSVJSWVTUOSXUPTVYHWVNXUPXK
  VBAWVOWKZXLZWVSXMWJXUPXVEXVDXUPXVCXVDWVOXVCVISAWVOVWEXVBWVOQWWRVEWVOXVBWVSVJW
  VOWVSQWWQWWRVUMZWVOTVYHWVNWVOXKVBWWNXLZXDVHVGXUPXURWVTXUPCWVTAVXBWVOVXDVNXUPW
  VSQXVLQVJSZXUPYEVBYTVHZXUPWVSQXUPTVYHXUPXRZWVOVYHVISAWWPVGXBXUPVDWBZXUPUCWVTX
  UPYNXUPWVSQXUPTVYHWWCXUPXNVBZWVOVYHXSSAWWEVGZXOXUPWHXUPTVYHXVSXVTUCTYLUJXUPVU
  NVBXUPVYHXVKVUOVUPUCQWAUJXUPVUQVBVURXGZXAZXBXWBWBYAXUPXVFXVDXVDPRTXVDUSRXUTXU
  PXVEXVDXVDPXUPXVEQXVDUSRXVDXUPXVCQXVDUSXUPXVCVWEWVSURRZQXUPXVBWVSVWEURWVOXVBW
  VSVAAXVMVGVRWVOXWCQVAZAWVOVYHYHSXWDVYHVUSVYHVVAWJVGVSVQXUPXVDXWBVUTVSVQXUPXVD
  XWBVVBXUPXVDXUSTUSXUPXURWVTXVPXVRXWAVVCVRVVDVVEXUPDVYHTQWVLUHRZCWVLURRZUSRZUS
  RZXUTVJHVIHDVJXWHUTVAXUPLVBXUPWWKVCZXWGXUSTUSXWIXWEXUQXWFXURUSXWIWVLWVTQUHXWI
  WVKWVSQPXWIVWFVYHTUSXUPWWKWKVRVQZVRXWIWVLWVTCURXWJVRWMVRXVKXUPTXUSXVQXUPXUQXU
  RXUPWVTXVRXWAVVJXVPXBXBYAXUPWVPWVTFWVOWVPWVTVAAWVODVYHWVLWVTVJGVJWWJWWMWWNWVO
  WVSQXVNXVOWVOYEVBYTYAVGWFVVFVVGWIAVVOVVQWVGAVVQAQCVYDVXCVVHAUCCCUGRZVVQWAAXWK
  UCACVXDVVKVPACQCVXCVYDVXCWVJVVIWGVVLVVMYR $.
  $}

  ${
    $d N j $.
    stirlinglem6.1 $e |- H = ( j e. NN0 |-> ( 2 x. ( ( 1 / ( ( 2 x. j ) + 1 ) )
      x. ( ( 1 / ( ( 2 x. N ) + 1 ) ) ^ ( ( 2 x. j ) + 1 ) ) ) ) ) $.
    $( A series that converges to ` log ( ( N + 1 ) / N ) ` .  (Contributed by
       Glauco Siliprandi, 29-Jun-2017.) $)
    stirlinglem6 $p
      |- ( N e. NN -> seq 0 ( + , H ) ~~> ( log ` ( ( N + 1 ) / N ) ) ) $=
  ( cn wcel caddc cc0 c1 c2 cmul co cdiv cmin cmpt a1i wbr clt eqcomd oveq1d cv
  cseq clog cfv cli cneg cexp cn0 eqid cr 2re nnre remulcld cle 0le2 0red nngt0
  ltled mulge0d ge0p1rpd rpreccld cabs 1red renegcld rpred neg1lt0 rpgt0d lttrd
  crp 1rp 1cnd div1d 2rp rpmulcld ltaddrp2d eqbrtrd ltrec1d absltd stirlinglem5
  nnrp mpbir2and 2cnd nncn mulcld addcld readdcld mulgt0d ltp1d gt0ne0d oveq12d
  2pos dividd divdird divsubdird addassd wceq 1p1e2 oveq2d adddid eqtr4d 3eqtrd
  mulid1d pncand eqtrd divcan7d divmuldivd divcld mulid2d fveq2d breqtrd ) CEFZ
  GBHUBIIJCKLZIGLZMLZGLZIXNNLZMLZUCUDCIGLZCMLZUCUDUEXKAEIUFZAUAZINLUGLXNYAUGLYA
  MLZKLZOZXNAAEYBOZAEYCYBGLOZAUHJYAKLIGLOZBYDUIYEUIYFUIDYGUIXKXMXKXLXKJCJUJFXKU
  KPZCULZUMZXKJCYHYIHJUNQXKUOPXKHCXKUPZYICUQZURUSUTZVAZXKXNVBUDIRQXTXNRQXNIRQXK
  XTHXNXKIXKVCZVDYKXKXNYNVEZXTHRQXKVFPXKXNYNVGVHXKIXMIVIFXKVJPYMXKIIMLIXMRXKIXK
  VKZVLXKIXLYOXKJCJVIFXKVMPCVTVNVOVPVQXKXNIYPYOVRWAVSXKXQXSUCXKXQXMXMMLZXNGLZYR
  XNNLZMLZJXRKLZXMMLZXLXMMLZMLZXSXKXOYSXPYTMXKIYRXNGXKYRIXKXMXKXLIXKJCXKWBZCWCZ
  WDZYQWEZXKXMXKHXLXMYKYJXKXLIYJYOWFXKJCYHYIHJRQXKWKPZYLWGZXKXLYJWHVHWIZWLSZTXK
  IYRXNNUUMTWJXKUUAXMIGLZXMMLZXMINLZXMMLZMLUUEXKYSUUOYTUUQMXKUUOYSXKXMIXMUUIYQU
  UIUULWMSXKUUQYTXKXMIXMUUIYQUUIUULWNSWJXKUUOUUCUUQUUDMXKUUNUUBXMMXKUUNXLIIGLZG
  LXLJGLZUUBXKXLIIUUHYQYQWOXKUURJXLGUURJWPXKWQPWRXKUUSXLJIKLZGLUUBXKJUUTXLGXKUU
  TJXKJUUFXBSWRXKJCIUUFUUGYQWSWTXATXKUUPXLXMMXKXLIUUHYQXCTWJXDXKUUEUUBXLMLZJJML
  ZXSKLZXSXKUUBXLXMXKJXRUUFXKCIUUGYQWEZWDUUHUUIXKXLUUKWIUULXEXKUVCUVAXKJJXRCUUF
  UUFUVDUUGXKJUUJWIZXKCYLWIZXFSXKUVCIXSKLXSXKUVBIXSKXKJUUFUVEWLTXKXSXKXRCUVDUUG
  UVFXGXHXDXAXAXIXJ $.
  $}

  ${
    $d i j n $.  $d j k n $.  $d H i $.  $d H j $.  $d H n $.  $d K j $.
    $d K n $.  $d N i $.  $d N j $.  $d N k $.  $d N n $.
    stirlinglem7.1 $e |- J = ( n e. NN |-> ( ( ( ( 1 + ( 2 x. n ) ) / 2 ) x.
      ( log ` ( ( n + 1 ) / n ) ) ) - 1 ) ) $.
    stirlinglem7.2 $e |- K = ( k e. NN |-> ( ( 1 / ( ( 2 x. k ) + 1 ) ) x.
      ( ( 1 / ( ( 2 x. N ) + 1 ) ) ^ ( 2 x. k ) ) ) ) $.
    stirlinglem7.3 $e |- H = ( k e. NN0 |-> ( 2 x. ( ( 1 / ( ( 2 x. k ) + 1 ) )
      x. ( ( 1 / ( ( 2 x. N ) + 1 ) ) ^ ( ( 2 x. k ) + 1 ) ) ) ) ) $.
    $( Algebraic manipulation of the formula for J(n).  (Contributed by Glauco
       Siliprandi, 29-Jun-2017.) $)
    stirlinglem7 $p |- ( N e. NN -> seq 1 ( + , K ) ~~> ( J ` N ) ) $=
      ( wcel caddc c1 c2 cmul co cdiv cc0 a1i cc oveq2d vj vi cn cseq clog cmin
      cfv cli cvv nnuz 1zzd wceq 1e0p1 seqeq1d cn0 nn0uz 0nn0 cv cexp weq oveq2
      wa oveq1d oveq12d simpr 2cnd nn0cn mulcld 1cnd addcld adantl wne 0red 2re
      nn0re remulcld 1red cle wbr 0le2 nn0ge0 mulge0d clt 0lt1 addgegt0d necomd
      ltned reccld nncn adantr nnre nngt0 gt0ne0d 2nn0 nn0mulcld 1nn0 nn0addcld
      ltled expcld fvmptd3 eqeltrd stirlinglem6 clim2ser eqbrtrd seq1 mp1i cmpt
      cr cz 0z mul01d eqcomd eqtrd breqtrd eqeltrrdi fvmptd eqtr4di div1d exp1d
      0cnd mulid2d divassd mulid1d 3eqtr2d 3eqtrd halfcld seqex elnnuz readdcld
      cuz lttrd syl ad2antrr 2ne0 nn0zd expne0d addcomd eqtr4d divcld id biimpi
      cfz elfzuz biimpri nnnn0 3syl nn0cnd elfznn nnrp rpmulcld ltaddrp2d addcl
      crp 2rp seqcl simprl simprr adddid div32d divcan3d mul12d exprecd divrecd
      mulcomd expp1d 2z zmulcld divdiv1d 3eqtr4d dividd 1exp seqdistr climmulc2
      expdivd eqeltrrd nnne0 ltp1d divne0d logcld subdid divcan6d fveq2d subcld
      oveq1 breqtrrd ) FUCJZKELUDZLMFNOZKOZMPOZFLKOZFPOZUEUGZNOZLUFOZFDUGUHUWFU
      WGUWJUWMMUWHLKOZPOZUFOZNOZUWOUHUWFUWRUWJUAKCLUDZUWGLUIUCUJUWFUKUWFUWTUWMQ
      KCQUDUGZUFOZUWRUHUWFUWTKCQLKOZUDUXBUHUWFLUXCKCLUXCULUWFUMRZUNUWFUWMUACQQU
      OUPQUOJUWFUQRZUWFUAURZUOJZVBZUXFCUGMLMUXFNOZLKOZPOZLUWPPOZUXJUSOZNOZNOZSU
      XHAUXFMLMAURZNOZLKOZPOZUXLUXRUSOZNOZNOZUXOUOCSIAUAUTZUYAUXNMNUYCUXSUXKUXT
      UXMNUYCUXRUXJLPUYCUXQUXILKUXPUXFMNVAVCZTUYCUXRUXJUXLUSUYDTVDTUWFUXGVEZUXH
      MUXNUXHVFZUXHUXKUXMUXHUXJUXGUXJSJUWFUXGUXILUXGMUXFUXGVFUXFVGVHUXGVIVJVKUX
      HQUXJUXGQUXJVLUWFUXGQUXJUXGVMUXGUXILUXGMUXFMXHJZUXGVNRZUXFVOZVPUXGVQUXGMU
      XFUYHUYIQMVRVSZUXGVTRUXFWAWBQLWCVSZUXGWDRWEWGVKWFWHUXHUXLUXJUXHUWPUXHUWHL
      UXHMFUYFUWFFSJZUXGFWIZWJVHUXHVIVJUWFUWPQVLZUXGUWFUWPUWFUWHLUWFMFUYGUWFVNR
      ZFWKZVPUWFVQZUWFMFUYOUYPUYJUWFVTRUWFQFUWFVMZUYPFWLZWRWBUYKUWFWDRZWEWMZWJW
      HUXHUXILUXHMUXFMUOJZUXHWNRUYEWOLUOJZUXHWPRWQWSVHVHZWTVUDXAACFIXBXCXDUWFUX
      AUWQUWMUFUWFUXAQCUGZMLMQNOZLKOZPOZUXLVUGUSOZNOZNOZUWQQXIJUXAVUEULUWFXJKCQ
      XEXFUWFAQUYBVUKUOCSCAUOUYBXGULUWFIRUWFUXPQULZVBZUYAVUJMNVUMUXSVUHUXTVUINV
      UMUXRVUGLPVUMUXQVUFLKVUMUXPQMNUWFVULVETVCZTVUMUXRVUGUXLUSVUNTVDTUXEUWFMVU
      JUWFVFZUWFVUHVUIUWFVUGUWFVUFLUWFMQVUOUWFXTVHUWFVIZVJUWFVUGUWFQLVUGWCUYTUW
      FLUXCVUGUXDUWFQVUFLKUWFVUFQUWFMVUOXKZXLVCXMZXNWMWHUWFUXLVUGUWFUWPUWFUWHLU
      WFMFVUOUYMVHZVUPVJZVUAWHZUWFVUGLUOVURWPXOWSVHVHXPUWFVUKMUXLNOMLNOZUWPPOUW
      QUWFVUJUXLMNUWFVUJLUXLNOUXLUWFVUHLVUIUXLNUWFVUHLLPOLUWFVUGLLPUWFVUGUXCLUW
      FVUFQLKVUQVCUMXQZTUWFLVUPXRXMUWFVUIUXLLUSOUXLUWFVUGLUXLUSVVCTUWFUXLVVAXSX
      MVDUWFUXLVVAYAXMTUWFMLUWPVUOVUPVUTVUAYBUWFVVBMUWPPUWFMVUOYCVCYDYETXNUWFUW
      IUWFLUWHVUPVUSVJZYFZUWGUIJUWFKELYGRUWFUXFUCJZVBZBUBKSCLUXFVVFUXFLYJUGZJZU
      WFVVFVVIUXFYHUUAVKZVVGBURZLUXFUUBOJZVBZVVKCUGZMLMVVKNOZLKOZPOZUXLVVPUSOZN
      OZNOZSVVMAVVKUYBVVTUOCSIABUTZUYAVVSMNVWAUXSVVQUXTVVRNVWAUXRVVPLPVWAUXQVVO
      LKUXPVVKMNVAZVCZTZVWAUXRVVPUXLUSVWCTVDTVVLVVKUOJZVVGVVLVVKVVHJZVVKUCJZVWE
      VVKLUXFUUCVWGVWFVVKYHUUDVVKUUEUUFVKZVVMMVVSVVMVFZVVMVVQVVRVVMVVPVVMVVOLVV
      MMVVKVWIVVMVVKVWHUUGVHVVMVIZVJVVLVVPQVLZVVGVVLVWGVWKVVKUXFUUHZVWGVVPVWGQL
      VVPVWGVMVWGVQZVWGVVOLVWGMVVKUYGVWGVNRVVKWKVPVWMYIUYKVWGWDRVWGLVVOVWMVWGMV
      VKMUUMJVWGUUNRVVKUUIUUJUUKYKWMYLVKWHZVVMUXLVVPUWFUXLSJVVFVVLVVAYMZVVMVVOL
      VVMMVVKVUBVVMWNRVWHWOZVUCVVMWPRWQZWSZVHZVHZWTZVWTXAZVVKSJZUBURZSJZVBZVVKV
      XDKOSJVVGVVKVXDUULVKZUUOVVGBUBUWJKSNECLUXFVXGVVGVXFVBZUWJVVKVXDVXHUWIVXHL
      UWHVXHVIVXHMFVXHVFUWFUYLVVFVXFUYMYMVHVJYFVVGVXCVXEUUPVVGVXCVXEUUQUURVVJVX
      BVVMVVKEUGVVQUXLVVOUSOZNOZUWJVVTNOZUWJVVNNOVVMAVVKUXSUXLUXQUSOZNOVXJUCESH
      VWAUXSVVQVXLVXINVWDVWAUXQVVOUXLUSVWBTVDVVLVWGVVGVWLVKVVMVVQVXIVWNVVMUXLVV
      OVWOVWPWSVHWTVVMVXKUWIVVTMPOZNOUWIVVSNOZVXJVVMUWIMVVTUWFUWISJVVFVVLVVDYMZ
      VWIVWTMQVLZVVMYNRZUUSVVMVXMVVSUWINVVMVVSMVWSVWIVXQUUTTVVMVXNVVQUWIVVRNOZN
      OVVQUWPUWPPOZUWPVVOUSOZPOZNOVXJVVMUWIVVQVVRVXOVWNVWRUVAVVMVXRVYAVVQNVVMVX
      RUWILUWPVVPUSOZPOZNOUWIVYBPOZVYAVVMVVRVYCUWINVVMUWPVVPUWFUWPSJVVFVVLVUTYM
      ZUWFUYNVVFVVLVUAYMZVVMVVPVWQYOZUVBTVVMUWIVYBVXOVVMUWPVVPVYEVWQWSVVMUWPVVP
      VYEVYFVYGYPUVCVVMUWIVXTUWPNOZPOUWPUWPVXTNOZPOVYDVYAVVMUWIUWPVYHVYIPVVMLUW
      HVWJVVMMFVWIUWFUYLVVFVVLUYMYMVHYQVVMVXTUWPVVMUWPVVOVYEVWPWSZVYEUVDVDVVMVY
      BVYHUWIPVVMUWPVVOVYEVWPUVETVVMUWPUWPVXTVYEVYEVYJVYFVVMUWPVVOVYEVYFVVMMVVK
      MXIJVVMUVFRVVMVVKVWHYOUVGZYPUVHUVIYDTVVMVYAVXIVVQNVVMVYALVVOUSOZVXTPOVXIV
      VMVXSVYLVXTPVVMVXSLVYLVVMUWPVYEVYFUVJVVMVVOXIJVYLLULVYKVVOUVKYLYRVCVVMLUW
      PVVOVWJVYEVYFVWPUVNYRTYEYEVVMVVTVVNUWJNVVMVVNVVTVXAXLTYDUVLUVMUWFUWSUWPMP
      OZUWRNOVYMUWMNOZVYMUWQNOZUFOUWOUWFUWJVYMUWRNUWFUWIUWPMPUWFLUWHVUPVUSYQVCZ
      VCUWFVYMUWMUWQUWFUWJVYMSVYPVVEUVOUWFUWLUWFUWKFUWFFLUYMVUPVJZUYMFUVPZYSUWF
      UWKFVYQUYMUWFUWKUWFQFUWKUYRUYPUWFFLUYPUYQYIUYSUWFFUYPUVQYKWMVYRUVRUVSZUWF
      MUWPVUOVUTVUAYSUVTUWFVYNUWNVYOLUFUWFVYMUWJUWMNUWFUWPUWIMPUWFUWHLVUSVUPYQV
      CVCUWFUWPMVUTVUOVUAVXPUWFYNRUWAVDYEXNUWFBFLVVOKOZMPOZVVKLKOZVVKPOZUEUGZNO
      ZLUFOUWOUCDSGVVKFULZWUEUWNLUFWUFWUAUWJWUDUWMNWUFVYTUWIMPWUFVVOUWHLKVVKFMN
      VATVCWUFWUCUWLUEWUFWUBUWKVVKFPVVKFLKUWDWUFYTVDUWBVDVCUWFYTUWFUWNLUWFUWJUW
      MVVEVYSVHVUPUWCWTUWE $.
  $}

  ${
    $d k n $.
    stirlinglem8.1 $e |- F/ n ph $.
    stirlinglem8.2 $e |- F/_ n A $.
    stirlinglem8.3 $e |- F/_ n D $.
    stirlinglem8.4 $e |- D = ( n e. NN |-> ( A ` ( 2 x. n ) ) ) $.
    stirlinglem8.5 $e |- ( ph -> A : NN --> RR+ ) $.
    stirlinglem8.6 $e |- F = ( n e. NN |-> ( ( ( A ` n ) ^ 4 ) / ( ( D `
                               n ) ^ 2 ) ) ) $.
    stirlinglem8.7 $e |- L = ( n e. NN |-> ( ( A ` n ) ^ 4 ) ) $.
    stirlinglem8.8 $e |- M = ( n e. NN |-> ( ( D ` n ) ^ 2 ) ) $.
    stirlinglem8.9 $e |- ( ( ph /\ n e. NN ) -> ( D ` n ) e. RR+ ) $.
    stirlinglem8.10 $e |- ( ph -> C e. RR+ ) $.
    stirlinglem8.11 $e |- ( ph -> A ~~> C ) $.
    $( If ` A ` converges to ` C ` , then ` F ` converges to C^2 .
       (Contributed by Glauco Siliprandi, 29-Jun-2017.) $)
    stirlinglem8 $p |- ( ph -> F ~~> ( C ^ 2 ) ) $=
      ( cn vk c4 cexp co c2 cdiv cli c1 cvv cv cfv cmpt nfmpt1 nfcxfr nnuz 1zzd
      crp wf cc wss rrpsscn fss sylancl cn0 wcel 4nn0 a1i nnex mptex eqeltri wa
      wceq simpr ffvelrnda rpcnd expcld fvmpt2 syl2anc cmul adantr 2nn nnmulcld
      climexp adantl ffvelrnd fmptdf fex 1nn 2cnd 1cnd mulcld oveq2 eqid fvmptg
      sylancr eqeltrd caddc cuz cle wbr 1red nnred nnge1d leadd2dd mpdan oveq1d
      id cbvmptv oveq2d peano2nn fvmptd nncn adddid mulid1d 3eqtrd 3brtr4d nnzd
      cz wb peano2zd eluz mpbird eqcomd fveq2d eqtrd climsuse 2nn0 sqcld rpne0d
      2z expne0d cc0 csn eqeltrrd rpexpcld neneqd 0cn elsn2g nn0zd 2cn rpdivcld
      ax-mp sylnibr eldifd oveq12d eqtr4d climdivf cmin 2p2e4 mvlladdi breqtrrd
      expsubd ) AFCUBUCUDZCUEUCUDZUFUDZUUNUGAUUMUUNEGHFUHUITIEGETEUJZBUKZUBUCUD
      ZULZOETUURUMUNZEHETUUPDUKZUEUCUDZULZPETUVBUMUNZEFETUURUVBUFUDZULZNETUVEUM
      UNUOAUPZACEBGUHUBUITIJUUTUOUVGATUQBURUQUSUTTUSBURZMVATUQUSBVBVCZSUBVDVEZA
      VFVGZGUIVEAGUUSUIOETUURVHVIVJVGAUUPTVEZVKZUVLUURUSVEUUPGUKZUURVLZAUVLVMZU
      VMUUQUBUVMUUQATUQUUPBMVNZVOZUVJUVMVFVGZVPZETUURUSGOVQVRWCFUIVEAFUVFUINETU
      VEVHVIVJVGACEDHUHUEUITIKUVDUOUVGAETUEUUPVSUDZBUKZUSDIUVMTUSUWABAUVHUVLUVI
      VTUVLUWATVEZAUVLUEUUPUETVEZUVLWAVGZUVLXGWBZWDWEZLWFACEBDETUWAULZUHUIUITIJ
      KETUWAUMUOUVGAUVHTUIVEBUIVEUVIVHTUSUIBWGVCUVRSAUHUWHUKZUEUHVSUDZTAUHTVEZU
      WJUSVEUWIUWJVLWHAUEUHAWIAWJWKEUHUWAUWJTUSUWHUUPUHUEVSWLUWHWMZWNWOAUEUHUWD
      AWAVGUWKAWHVGWBWPUVLUUPUHWQUDZUWHUKZUUPUWHUKZUHWQUDZWRUKVEZAUVLUWQUWPUWNW
      SWTZUVLUWAUHWQUDUWAUEWQUDZUWPUWNWSUVLUHUEUWAUVLXAUVLUEUWEXBUVLUWAUWFXBUVL
      UEUWEXCXDUVLUWOUWAUHWQUVLUWCUWOUWAVLZUWFETUWATUWHUWLVQXEZXFUVLUWNUEUWMVSU
      DZUWAUWJWQUDUWSUVLUAUWMUEUAUJZVSUDZUXBTUWHTUWHUATUXDULVLUVLEUATUWAUXDUUPU
      XCUEVSWLXHVGUVLUXCUWMVLZVKUXCUWMUEVSUVLUXEVMXIUUPXJZUVLUEUWMUWEUXFWBZXKZU
      VLUEUUPUHUVLWIZUUPXLUVLWJXMUVLUWJUEUWAWQUVLUEUXIXNXIXOXPUVLUWPXRVEUWNXRVE
      UWQUWRXSUVLUWOUVLUWOUWAXRUXAUVLUWAUWFXQWPXTUVLUWNUXBXRUXHUVLUXBUXGXQWPUWP
      UWNYAVRYBWDDUIVEADETUWBULUILETUWBVHVIVJVGUVMUVAUWBUWOBUKUVMUVLUWBUSVEUVAU
      WBVLUVPUWGETUWBUSDLVQVRZUVMUWAUWOBUVMUWOUWAUVLUWTAUXAWDYCYDYEYFUEVDVEAYGV
      GHUIVEAHUVCUIPETUVBVHVIVJVGUVMUVLUVBUSVEUUPHUKZUVBVLUVPUVMUVAUVMUVAQVOYHZ
      ETUVBUSHPVQVRZWCACUEACRVOZACRYIZUEXRVEZAYJVGZYKATUSUUPGAETUURUSGIUVTOWFVN
      UVMUXKUSYLYMZUVMUXKUVBUSUXMUXLWPUVMUXKYLVLZUXKUXRVEZUVMUXKYLUVMUXKUVMUXKU
      WBUEUCUDZUQUVMUXKUVBUYAUXMUVMUVAUWBUEUCUXJXFYEUVMUWBUEUVMUVAUWBUQUXJQYNUX
      PUVMYJVGZYOWPYIYPYLUSVEUXTUXSXSYQUXKYLUSYRUUBUUCUUDUVMUUPFUKZUVEUVNUXKUFU
      DUVMUVLUVEUQVEUYCUVEVLUVPUVMUURUVBUVMUUQUBUVQUVMUBUVSYSYOZUVMUVAUEQUYBYOU
      UAETUVEUQFNVQVRUVMUVNUURUXKUVBUFUVMUVLUURUQVEUVOUVPUYDETUURUQGOVQVRUXMUUE
      UUFUUGAUUNCUBUEUUHUDZUCUDUUOAUEUYECUCUEUYEVLAUEUEUBYTYTUUIUUJVGXIACUBUEUX
      NUXOUXQAUBUVKYSUULYEUUK $.
  $}

  ${
    $d k n $.  $d K n $.  $d N k $.  $d N n $.
    stirlinglem9.1 $e |- A = ( n e. NN |-> ( ( ! ` n ) /
      ( ( sqrt ` ( 2 x. n ) ) x. ( ( n / _e ) ^ n ) ) ) ) $.
    stirlinglem9.2 $e |- B = ( n e. NN |-> ( log ` ( A ` n ) ) ) $.
    stirlinglem9.3 $e |- J = ( n e. NN |-> ( ( ( ( 1 + ( 2 x. n ) ) / 2 ) x.
      ( log ` ( ( n + 1 ) / n ) ) ) - 1 ) ) $.
    stirlinglem9.4 $e |- K = ( k e. NN |-> ( ( 1 / ( ( 2 x. k ) + 1 ) ) x.
      ( ( 1 / ( ( 2 x. N ) + 1 ) ) ^ ( 2 x. k ) ) ) ) $.
    $( ` ( ( B `` N ) - ( B `` ( N + 1 ) ) ) ` is expressed as a limit of a
       series.  This result will be used both to prove that ` B ` is decreasing
       and to prove that ` B ` is bounded (below).  It will follow that ` B `
       converges in the reals.  (Contributed by Glauco Siliprandi,
       29-Jun-2017.) $)
    stirlinglem9 $p
     |- ( N e. NN -> seq 1 ( + , K ) ~~> ( ( B ` N ) - ( B ` ( N + 1 ) ) ) ) $=
  ( cn wcel caddc c1 cfv co c2 cmul cdiv cseq cmin cli cn0 cv cexp stirlinglem7
  cmpt eqid stirlinglem4 breqtrrd ) GLMNFOUAGEPGBPGONQBPUBQUCCDCUDRORCUESQONQZT
  QORGSQONQTQULUFQSQSQUHZEFGJKUMUIUGABDEGHIJUJUK $.
  $}

  ${
    $d i j n $.  $d j k n $.  $d B j $.  $d K i $.  $d K j $.  $d K n $.
    $d L i $.  $d L j $.  $d L n $.  $d N i $.  $d N j $.  $d N k $.  $d N n $.
    stirlinglem10.1 $e |- A = ( n e. NN |-> ( ( ! ` n ) / ( ( sqrt
      ` ( 2 x. n ) ) x. ( ( n / _e ) ^ n ) ) ) ) $.
    stirlinglem10.2 $e |- B = ( n e. NN |-> ( log ` ( A ` n ) ) ) $.
    stirlinglem10.4 $e |- K = ( k e. NN |-> ( ( 1 / ( ( 2 x. k ) +
      1 ) ) x. ( ( 1 / ( ( 2 x. N ) + 1 ) ) ^ ( 2 x. k ) ) ) ) $.
    stirlinglem10.5 $e |- L = ( k e. NN |-> ( ( 1 / ( ( ( 2 x. N )
                                       + 1 ) ^ 2 ) ) ^ k ) ) $.
    $( A bound for any B(N)-B(N + 1) that will allow to find a lower bound for
       the whole ` B ` sequence.  (Contributed by Glauco Siliprandi,
       29-Jun-2017.) $)
    stirlinglem10 $p |- ( N e. NN -> ( ( B ` N ) - ( B ` ( N + 1 ) ) ) <_
      ( ( 1 / 4 ) x. ( 1 / ( N x. ( N + 1 ) ) ) ) ) $=
      ( wcel c1 caddc co c4 cdiv cmul c2 a1i vj vi cfv cmin cseq nnuz 1zzd clog
      cn cmpt eqid stirlinglem9 cexp cli 2cnd nncn mulcld 1cnd addcld sqcld cc0
      cv 0red 1red cr 2re nnre remulcld readdcld clt wbr 0lt1 crp nnrp rpmulcld
      2rp ltaddrp2d lttrd gt0ne0d cz expne0d reccld cabs cneg renegcld rereccld
      2z resqcld wb 1re lt0neg2 ax-mp sylib sqgt0d recgt0d expgt1 syl3anc elrpd
      2nn recgt1d mpbid cn0 wa cc weq oveq2d adantl adantr nnnn0d expcld eqcomd
      wceq oveq1d eqtrd mulid1d 3eqtr2d oveq12d adddid eqtr4d 3eqtrd divmuldivd
      wne mulne0d mulid2d breqtrd oveq2 syl fvmptd3 adantlr reexpcld seqcl 1exp
      eqeltrd cle expdivd nn0ge0d mulge0d ge0p1rpd ltled rpexpcld mpbir2and cuz
      absltd 1nn0 simpr elnnuz biimpri fvmptd geolim2 dividd rpcnne0d divsubdir
      exp1d ax-1cn binom2 sylancl sqmuld sq2 mulassd 4cn sqvald sq1 pncand 4pos
      2t2e4 nnne0 nngt0 ltp1d divdivdivd mulcomd 3eqtr3d biimpi cfz elfznn 2nn0
      nncnd nn0mulcld readdcl elfzelz zmulcld expmuld 1rp nnred rpge0d lediv2ad
      3eqtr4d div1d rpreccld lemul1d eqbrtrd 3brtr4d serle climle ) GUILZGBUCGM
      NOZBUCUDOMPQOZMGUWOROZQOZROZUANEMUENFMUEZMUIUFUWNUGABCDDUIMSDVBZROZNOSQOU
      XAMNOUXAQOUHUCROMUDOUJZEGHIUXCUKJULUWNUWTMSGROZMNOZSUMOZQOZMUMOZMUXGUDOZQ
      OZUWSUNUWNUXGUAFMUWNUXFUWNUXEUWNUXDMUWNSGUWNUOZGUPZUQZUWNURZUSZUTZUWNUXES
      UXOUWNUXEUWNVAMUXEUWNVCZUWNVDZUWNUXDMUWNSGSVELZUWNVFTGVGZVHUXRVIZVAMVJVKZ
      UWNVLTZUWNMUXDUXRUWNSGSVMLZUWNVPTGVNVOVQZVRVSZSVTLZUWNWGTWAZWBZUWNUXGWCUC
      MVJVKMWDZUXGVJVKUXGMVJVKZUWNUYJVAUXGUWNMUXRWEUXQUWNUXFUWNUXEUYAWHZUYHWFZU
      WNUYBUYJVAVJVKZUYCMVELUYBUYNWIWJMWKWLWMUWNUXFUYLUWNUXEUYAUYFWNZWOVRUWNMUX
      FVJVKZUYKUWNUXEVELSUILZMUXEVJVKUYPUYAUYQUWNWSTUYEUXESWPWQUWNUXFUWNUXFUYLU
      YOWRZWTXAUWNUXGMUYMUXRUUCUUAMXBLUWNUUDTUWNUAVBZMUUBUCLZXCZCUYSUXGCVBZUMOZ
      UXGUYSUMOUIFXDFCUIVUCUJXLVUAKTVUACUAXEZXCVUBUYSUXGUMVUAVUDUUEXFUYTUYSUILZ
      UWNVUEUYTUYSUUFZUUGXGZVUAUXGUYSUWNUXGXDLZUYTUYIXHVUAUYSVUGXIXJUUHUUIUWNUX
      JUXGPUWQROZUXFQOZQOZUWSUWNUXHUXGUXIVUJQUWNUXGUYIUUMUWNUXIUXFUXFQOZUXGUDOZ
      UXFMUDOZUXFQOZVUJUWNMVULUXGUDUWNVULMUWNUXFUXPUYHUUJZXKXMUWNUXFXDLZMXDLZVU
      QUXFVAYBXCVUOVUMXLUXPUXNUWNUXFUYRUUKUXFMUXFUULWQUWNVUNVUIUXFQUWNVUNUXDSUM
      OZSUXDMROZROZNOZMSUMOZNOZMUDOVUIMNOZMUDOVUIUWNUXFVVDMUDUWNUXDXDLVURUXFVVD
      XLUXMUUNUXDMUUOUUPXMUWNVVDVVEMUDUWNVVBVUIVVCMNUWNVVBPGSUMOZROZPGROZNOPVVF
      GNOZROVUIUWNVUSVVGVVAVVHNUWNVUSSSUMOZVVFROVVGUWNSGUXKUXLUUQUWNVVJPVVFRVVJ
      PXLUWNUURTXMXNUWNVVASUXDROSSROZGROVVHUWNVUTUXDSRUWNUXDUXMXOXFUWNSSGUXKUXK
      UXLUUSUWNVVKPGRVVKPXLUWNUVETXMXPXQUWNPVVFGPXDLUWNUUTTZUWNGUXLUTUXLXRUWNVV
      IUWQPRUWNVVIGGROZGMROZNOUWQUWNVVFVVMGVVNNUWNGUXLUVAUWNVVNGUWNGUXLXOXKXQUW
      NGGMUXLUXLUXNXRXSXFXPVVCMXLUWNUVBTXQXMUWNVUIMUWNPUWQVVLUWNGUWOUXLUWNGMUXL
      UXNUSZUQZUQZUXNUVCXTXMXPXQUWNVUKMUXFROZUXFVUIROZQOUXFMROZVVSQOZUWSUWNMUXF
      VUIUXFUXNUXPVVQUXPUYHUYHUWNPUWQVVLVVPUWNPVAPVJVKUWNUVDTVSZUWNGUWOUXLVVOGU
      VFUWNUWOUWNVAGUWOUXQUXTUWNGMUXTUXRVIGUVGZUWNGUXTUVHVRVSYCZYCZUVIUWNVVRVVT
      VVSQUWNMUXFUXNUXPUVJXMUWNVULMVUIQOZROMUWSROVWAUWSUWNVULMVWFUWSRVUPUWNVWFM
      MROZVUIQOUWSUWNMVWGVUIQUWNVWGMUWNMUXNXOXKXMUWNMPMUWQUXNVVLUXNVVPVWBVWDYAX
      SXQUWNUXFUXFMVUIUXPUXPUXNVVQUYHVWEYAUWNUWSUWNUWPUWRUWNPVVLVWBWBUWNUWQVVPV
      WDWBUQYDUVKXTXNYEUWNVUEXCZDUBNVEEMUYSVUEUYTUWNVUEUYTVUFUVLXGZVWHUXAMUYSUV
      MOLZXCZUXAEUCZMUXBMNOZQOZMUXEQOZUXBUMOZROZVEUWNVWJVWLVWQXLVUEUWNVWJXCZCUX
      AMSVUBROZMNOZQOZVWOVWSUMOZROVWQUIEXDJCDXEZVXAVWNVXBVWPRVXCVWTVWMMQVXCVWSU
      XBMNVUBUXASRYFZXMXFVXCVWSUXBVWOUMVXDXFXQVWJUXAUILZUWNUXAUYSUVNZXGZVWRVWNV
      WPVWRVWMVWRUXBMVWRSUXAVWRUOZVWRUXAVXGUVPUQVWRURZUSVWJVWMVAYBUWNVWJVWMVWJV
      XEVAVWMVJVKVXFVXEVAMVWMVXEVCVXEVDZVXEUXBMVXESUXAUXSVXEVFTUXAVGVHVXJVIZUYB
      VXEVLTVXEMUXBVXJVXESUXAUYDVXEVPTUXAVNVOVQZVRZYGVSXGWBVWRVWOUXBVWRUXEVWRUX
      DMVWRSGVXHUWNGXDLVWJUXLXHUQVXIUSZUWNUXEVAYBVWJUYFXHZWBVWRSUXASXBLVWRUVOTZ
      VWRUXAVXGXIZUVQZXJUQYHZYIVWKVWNVWPVWJVWNVELZVWHVWJVXEVXTVXFVXEVWMVXKVXEVW
      MVXMVSWFZYGXGUWNVWJVWPVELVUEVWRVWOUXBUWNVWOVELVWJUWNUXEUYAUYFWFXHVXRYJYIV
      HYMZUXAVELUBVBZVELXCUXAVYCNOVELVWHUXAVYCUVRXGZYKVWHDUBNVEFMUYSVWIUWNVWJUX
      AFUCZVELVUEVWRVYEUXGUXAUMOZVEVWRCUXAVUCVYFUIFXDKVUBUXAUXGUMYFVXGVWRUXGUXA
      UWNVUHVWJUYIXHVXQXJZYHZVWRUXGUXAUWNUXGVELVWJUYMXHVXQYJYMYIZVYDYKVWHDEFMUY
      SVWIVYBVYIUWNVWJVWLVYEYNVKVUEVWRVWQVYFVWLVYEYNVWRVWQVWNVYFROZVYFYNVWRVWPV
      YFVWNRVWRMUXBUMOZUXEUXBUMOZQOMUXAUMOZUXFUXAUMOZQOVWPVYFVWRVYKVYMVYLVYNQVW
      JVYKVYMXLUWNVWJVYKMVYMVWJUXBVTLVYKMXLVWJSUXAUYGVWJWGTUXAMUYSUVSZUVTUXBYLY
      GVWJUXAVTLZVYMMXLVYOUXAYLYGXSXGVWRUXESUXAVXNVXQVXPUWAXQVWRMUXEUXBVXIVXNVX
      OVXRYOVWRMUXFUXAVXIVWRUXEVXNUTVWRUXESVXNVXOUYGVWRWGTZWAVXQYOUWFXFVWRVYJMV
      YFROZVYFYNVWRVWNMYNVKVYJVYRYNVKVWRVWNMMQOMYNVWRMVWMMMVMLVWRUWBTZVWRUXBVWR
      SUXAUXSVWRVFTZVWRUXAVXGUWCZVHVWRSUXAVYTWUAVWRSVXPYPZVWRUXAVXQYPYQYRVWRVDZ
      VWRMVYSUWDVWJMVWMYNVKZUWNVWJVXEWUDVXFVXEMVWMVXJVXKVXLYSYGXGUWEVWRMVXIUWGY
      EVWRVWNMVYFVWRVXEVXTVXGVYAYGWUCVWRUXGUXAVWRUXFVWRUXESVWRUXDVWRSGVYTUWNGVE
      LVWJUXTXHZVHVWRSGVYTWUEWUBUWNVAGYNVKVWJUWNVAGUXQUXTVWCYSXHYQYRVYQYTUWHVWJ
      VYPUWNVYOXGYTUWIXAVWRVYFVYGYDYEUWJVXSVYHUWKYIUWLUWM $.
  $}

  ${
    $d j k $.  $d k n $.  $d B j $.  $d K j $.  $d K n $.  $d N j $.  $d N k $.
    $d N n $.
    stirlinglem11.1 $e |- A = ( n e. NN |-> ( ( ! ` n ) /
      ( ( sqrt ` ( 2 x. n ) ) x. ( ( n / _e ) ^ n ) ) ) ) $.
    stirlinglem11.2 $e |- B = ( n e. NN |-> ( log ` ( A ` n ) ) ) $.
    stirlinglem11.3 $e |- K = ( k e. NN |-> ( ( 1 / ( ( 2 x. k ) + 1 ) ) x.
      ( ( 1 / ( ( 2 x. N ) + 1 ) ) ^ ( 2 x. k ) ) ) ) $.
    $( ` B ` is decreasing.  (Contributed by Glauco Siliprandi,
       29-Jun-2017.) $)
    stirlinglem11 $p |- ( N e. NN -> ( B ` ( N + 1 ) ) < ( B ` N ) ) $=
      ( cn wcel c1 caddc co cfv cc0 c2 cmul cr a1i vj clt wbr cmin 0red cdiv cv
      cexp cc cmpt wceq simpr oveq2d oveq1d oveq12d 1nn 2cnd 1cnd mulcld addcld
      wa wne c3 2t1e2 oveq1i 2p1e3 eqtri 3ne0 eqnetri reccld nncn 1red 2re nnre
      remulcld readdcld 0lt1 crp 2rp nnrp rpmulcld ltaddrp2d lttrd gt0ne0d 2nn0
      1nn0 nn0mulcld expcld fvmptd remulcli readdcli rereccli rereccld reexpcld
      cn0 1re eqeltrd clog stirlinglem2 relogcld nfcv cfa csqrt ceu nfmpt1 nffv
      nfcxfr 2fveq3 fvmptf mpdan peano2nn syl syl2anc resubcld cle 0le2 mulge0d
      0le1 ge0p1rpd rpreccld rpge0d cz 2z zmulcld rpexpcld rpgt0d cseq cuz eqid
      1z peano2zd oveq2 adantl adantr nnnn0 stirlinglem9 clim2ser divge0d recnd
      nnuz wss uznnssnn mp2b sseld imdistani sseli 1p1e2 eluzle eqbrtrrid letrd
      eluzelre expge0d breqtrrd iserge0 seq1 mp1i breqtrd addid2d subcld npcand
      leadd1dd 3brtr3d ltletrd posdifd mpbird ) FJKZFLMNZBOZFBOZUBUCPUVIUVHUDNZ
      UBUCUVFPLEOZUVJUVFUEZUVFUVKLQLRNZLMNZUFNZLQFRNZLMNZUFNZUVMUHNZRNZSUVFCLLQ
      CUGZRNZLMNZUFNZUVRUWBUHNZRNZUVTJEUIECJUWFUJUKZUVFITUVFUWALUKZVAZUWDUVOUWE
      UVSRUWIUWCUVNLUFUWIUWBUVMLMUWIUWALQRUVFUWHULUMZUNUMUWIUWBUVMUVRUHUWJUMUOL
      JKZUVFUPTZUVFUVOUVSUVFUVNUVFUVMLUVFQLUVFUQZUVFURZUSUWNUTUVNPVBUVFUVNVCPUV
      NQLMNVCUVMQLMVDVEVFVGVHVIZTVJUVFUVRUVMUVFUVQUVFUVPLUVFQFUWMFVKZUSUWNUTUVF
      UVQUVFPLUVQUVLUVFVLZUVFUVPLUVFQFQSKZUVFVMTZFVNZVOZUWQVPZPLUBUCZUVFVQTUVFL
      UVPUWQUVFQFQVRKZUVFVSTFVTZWAWBWCWDZVJUVFQLQWOKZUVFWETLWOKUVFWFTWGZWHUSZWI
      ZUVFUVOUVSUVOSKUVFUVNUVMLQLVMWPWJWPWKUWOWLTUVFUVRUVMUVFUVQUXBUXFWMUXHWNVO
      WQZUVFUVIUVHUVFUVIFAOZWROZSUVFUXMSKUVIUXMUKUVFUXLADFGWSWTZDFDUGZAOWROZUXM
      JBSDFXAZDUXLWRDWRXAZDFADADJUXOXBOQUXORNZXCOUXOXDUFNUXOUHNRNUFNZUJGDJUXTXE
      XGZUXQXFXFUXOFWRAXHHXIXJUXNWQZUVFUVHUVGAOZWROZSUVFUVGJKZUYDSKUVHUYDUKFXKZ
      UVFUYCUVFUYEUYCVRKUYFADUVGGWSXLWTZDUVGUXPUYDJBSDUVGXAZDUYCWRUXRDUVGAUYAUY
      HXFXFUXOUVGWRAXHHXIXMUYGWQZXNZUVFUVKUVFUVKUVTVRUXJUVFUVOUVSUVFUVNUVFUVMUV
      FQLUWSUWQVOUVFQLUWSUWQPQXOUCZUVFXPTZPLXOUCZUVFXRTXQXSXTUVFUVRUVMUVFUVQUVF
      UVPUXAUVFQFUWSUWTUYLUVFFUXEYAZXQXSXTUVFQLQYBKUVFYCTLYBKZUVFYJTZYDYEWAWQYF
      UVFPUVKMNUVJUVKUDNZUVKMNUVKUVJXOUVFPUYQUVKUVLUVFUVJUVKUYJUXKXNUXKUVFPUVJL
      MELYGOZUDNZUYQXOUVFUYSUAELLMNZUYTYHOZVUAYIUVFLUYPYKUVFUVJUAELLJYTUWLUVFUA
      UGZJKZVAZVUBEOZLQVUBRNZLMNZUFNZUVRVUFUHNZRNZUIVUDCVUBUWFVUJJEUIUWGVUDITUW
      AVUBUKZUWFVUJUKVUDVUKUWDVUHUWEVUIRVUKUWCVUGLUFVUKUWBVUFLMUWAVUBQRYLZUNUMV
      UKUWBVUFUVRUHVULUMUOYMUVFVUCULVUDVUHVUIVUDVUGVUDVUFLVUDQVUBVUDUQZVUCVUBUI
      KUVFVUBVKYMUSVUDURZUTZVUDVUGVUDPLVUGVUDUEVUDVLZVUDVUFLVUDQVUBUWRVUDVMTVUC
      VUBSKZUVFVUBVNZYMZVOVUPVPUXCVUDVQTVUDLVUFVUPVUDQVUBUXDVUDVSTVUCVUBVRKUVFV
      UBVTZYMWAWBWCWDVJVUDUVRVUFVUDUVQVUDUVPLVUDQFVUMUVFFUIKVUCUWPYNUSVUNUTUVFU
      VQPVBZVUCUXFYNVJVUDQVUBUXGVUDWETVUCVUBWOKUVFVUBYOYMWGZWHZUSWIZVUDVUHVUIVU
      DVUGVUOVUCVUGPVBZUVFVUCVUGVUCPLVUGVUCUEVUCVLZVUCVUFLVUCQVUBUWRVUCVMTVURVO
      VVFVPUXCVUCVQTVUCLVUFVVFVUCQVUBUXDVUCVSTVUTWAWBWCWDZYMVJVVCUSWQABCDDJLUXS
      MNQUFNUXOLMNUXOUFNWRORNLUDNUJZEFGHVVHYIIYPYQUVFVUBVUAKZVAZVUEVUJSVVJVUDVU
      EVUJUKUVFVVIVUCUVFVUAJVUBVUAJUUAZUVFUWKUYTJKVVKUPLXKUYTUUBUUCZTUUDUUEZVVD
      XLZVVJVUHVUIVVIVUHSKUVFVVIVUGVVIVUFLVVIQVUBUWRVVIVMTZUYTVUBUUKZVOVVIVLVPV
      VIVUCVVEVUAJVUBVVLUUFVVGXLWMYMZVVJUVRVUFVVJUVQUVFUVQSKVVIUXBYNUVFVVAVVIUX
      FYNWMZVVJVUDVUFWOKVVMVVBXLZWNZVOWQVVJPVUJVUEXOVVJVUHVUIVVQVVTVVJLVUGVVJVL
      ZVVJVUFVVJQVUBUWRVVJVMTZVVJVUDVUQVVMVUSXLZVOVVJQVUBVWBVWCUYKVVJXPTZVVIPVU
      BXOUCUVFVVIPQVUBVVIUEVVOVVPUYKVVIXPTVVIQUYTVUBXOUUGUYTVUBUUHUUIUUJYMXQXSU
      YMVVJXRTZYRVVJUVRVUFVVRVVSVVJLUVQVWAVVJUVPVVJQFVWBUVFFSKVVIUWTYNZVOVVJQFV
      WBVWFVWDUVFPFXOUCVVIUYNYNXQXSVWEYRUULXQVVNUUMUUNUVFUYRUVKUVJUDUYOUYRUVKUK
      UVFYJMELUUOUUPUMUUQUVAUVFUVKUVFUVKUVTUIUXJUXIWQZUURUVFUVJUVKUVFUVIUVHUVFU
      VIUYBYSUVFUVHUYIYSUUSVWGUUTUVBUVCUVFUVHUVIUYIUYBUVDUVE $.
  $}

  ${
    $d i j n $.  $d j k n $.  $d B j $.  $d B k $.  $d F j $.  $d N i $.
    $d N j $.  $d N k $.  $d N n $.
    stirlinglem12.1 $e |- A = ( n e. NN |-> ( ( ! ` n ) /
      ( ( sqrt ` ( 2 x. n ) ) x. ( ( n / _e ) ^ n ) ) ) ) $.
    stirlinglem12.2 $e |- B = ( n e. NN |-> ( log ` ( A ` n ) ) ) $.
    stirlinglem12.3 $e |- F = ( n e. NN |-> ( 1 / ( n x. ( n + 1 ) ) ) ) $.
    $( The sequence ` B ` is bounded below.  (Contributed by Glauco Siliprandi,
       29-Jun-2017.) $)
    stirlinglem12 $p |- ( N e. NN -> ( ( B ` 1 ) - ( 1 / 4 ) ) <_ ( B ` N ) )
      $=
      ( vj cn wcel c1 cfv co cr clog cmul caddc syl adantl vk cdiv wceq 1nn crp
      vi c4 stirlinglem2 relogcl mp2b cv nfcv cfa c2 csqrt ceu cexp cmpt nfmpt1
      nfcxfr nffv 2fveq3 fvmptf mp2an eqeltri a1i relogcld eqeltrd 4re rereccli
      mpdan 4ne0 cmin cfz csu cle cfzo fveq2 elnnuz biimpi wa cc elfznn syl2anc
      cuz rpcnd cc0 wne rpne0d logcld telfsumo cz fzoval sumeq1d fzfid peano2nn
      eqtr3d resubcld fsumrecl nnred 1red readdcld remulcld recnd addcld nnne0d
      nnz 1cnd mulne0d rereccld eqid stirlinglem10 fsumle 4pos elrpii 0red 0lt1
      wbr clt ltled divge0d eluznn weq simpr oveq1d oveq12d oveq2d id nncn cseq
      cli climrel releldmi mp1i adantr eqcomd nnuz eqbrtrd reccld wtru nnre cdm
      nnne0 fvmptd seqeq1 trireciplem wn simpl wo elnn1uz2 sylib ord mpd npcand
      uz2m1nn seqeq1d clim2ser pm2.61dan isumrecl nnrpd rpge0d ge0p1rpd isumge0
      rpmulcld leadd2dd addid1d mulcld isumsplit 3brtr4d 1zzd isumclim breqtrdi
      mptru lemul2ad 4cn gt0ne0d fsummulc2 mulid1d 3brtr3d letrd subled ) EJKZL
      BMZEBMZLUGUBNZUWCOKUWBUWCLAMZPMZOLJKZUWGOKZUWCUWGUCUDUWHUWFUEKUWIUDACLFUH
      UWFUIUJZCLCUKZAMPMZUWGJBOCLULZCUWFPCPULZCLACACJUWKUMMUNUWKQNUOMUWKUPUBNUW
      KUQNQNUBNZURFCJUWOUSUTZUWMVAVAUWKLPAVBGVCVDUWJVEVFUWBUWDEAMZPMZOUWBUWROKU
      WDUWRUCUWBUWQACEFUHVGZCEUWLUWRJBOCEULZCUWQPUWNCEAUWPUWTVAVAUWKEPAVBGVCVKU
      WSVHUWEOKZUWBUGVIVLVJZVFZUWBUWCUWDVMNZLELVMNZVNNZIUKZBMZUXGLRNZBMZVMNZIVO
      ZUWEVPUWBLEVQNZUXKIVOUXDUXLUWBUAUKZBMZUXHUXJUWCIUAUWDLEUXNUXGBVRUXNUXIBVR
      UXNLBVRUXNEBVRUWBELWEMKEVSVTUWBUXNLEVNNKZWAZUXOUXNAMZPMZWBUXPUXOUXSUCZUWB
      UXPUXNJKZUXSOKUXTUXNEWCZUXPUXRUXPUYAUXRUEKUYBACUXNFUHZSZVGCUXNUWLUXSJBOCU
      XNULZCUXRPUWNCUXNAUWPUYEVAVAUWKUXNPAVBGVCWDTUXQUXRUXPUXRWBKUWBUXPUXRUYDWF
      TUXPUXRWGWHZUWBUXPUYAUYFUYBUYAUXRUYCWISTWJVHWKUWBUXMUXFUXKIUWBEWLKUXMUXFU
      CEXGZLEWMSWNWQUWBUXLUXFUWELUXGUXIQNZUBNZQNZIVOZUWEUWBUXFUXKIUWBLUXEWOZUWB
      UXGUXFKZWAZUXHUXJUYNUXGJKZUXHOKUYMUYOUWBUXGUXEWCZTZUYOUXHUXGAMZPMZOUYOUYS
      OKUXHUYSUCUYOUYRACUXGFUHVGZCUXGUWLUYSJBOCUXGULZCUYRPUWNCUXGAUWPVUAVAVAUWK
      UXGPAVBGVCVKUYTVHSUYMUXJOKZUWBUYMUYOVUBUYPUYOUXJUXIAMZPMZOUYOUXIJKZVUDOKU
      XJVUDUCUXGWPZUYOVUCUYOVUEVUCUEKVUFACUXIFUHSVGZCUXIUWLVUDJBOCUXIULZCVUCPUW
      NCUXIAUWPVUHVAVAUWKUXIPAVBGVCWDVUGVHSTWRZWSUWBUXFUYJIUYLUYNUWEUYIUXAUYNUX
      BVFUYMUYIOKUWBUYMUYHUYMUXGUXIUYMUXGUYPWTZUYMUXGLVUJUYMXAXBXCUYMUXGUXIUYMU
      XGVUJXDZUYMUXGLVUKUYMXHXEUYMUXGUYPXFUYMUYOUXIWGWHZUYPUYOUXIVUFXFZSXIXJTZX
      CZWSUXCUWBUXFUXKUYJIUYLVUIVUOUYNUYOUXKUYJVPXRUYQABUFCUFJLUNUFUKZQNZLRNUBN
      LUNUXGQNLRNZUBNVUQUQNQNURZUFJLVURUNUQNUBNVUPUQNURZUXGFGVUSXKVUTXKXLSXMUWB
      UWEUXFUYIIVOZQNUWELQNUYKUWEVPUWBVVALUWEUWBUXFUYIIUYLVUNWSZUWBXAZUXCUWBLUG
      VVCUGUEKUWBUGVIXNXOVFUWBWGLUWBXPZVVCWGLXSXRUWBXQVFXTZYAUWBVVAJUYIIVOZLVPU
      WBVVAWGRNZVVAEWEMZUYIIVOZRNVVAVVFVPUWBWGVVIVVAVVDUWBUYIIDEVVHVVHXKZUYGUWB
      UXGVVHKZWAZUYOUXGDMZUYIUCZUXGEYBZUYOCUXGLUWKUWKLRNZQNZUBNZUYIJDODCJVVRURU
      CUYOHVFUYOCIYCZWAZVVQUYHLUBVVTUWKUXGVVPUXIQUYOVVSYDZVVTUWKUXGLRVWAYEYFYGU
      YOYHUYOUYHUYOUXGUXIUXGUUAZUYOUXGLVWBUYOXAXBXCUYOUXGUXIUXGYIZUYOUXGLVWCUYO
      XHXEUXGUUCZVUMXIXJZUUDZSZVVLUYHVVLUXGUXIVVLUXGVVOWTZVVLUXGLVWHVVLXAZXBXCV
      VLUXGUXIVVLUXGVWHXDZVVLUXGLVWJVVLXHXEVVLUXGVVOXFVVLUYOVULVVOVUMSXIXJZUWBE
      LUCZRDEYJZYKUUBZKZVWLVWOUWBVWLVWMRDLYJZVWNRDELUUEVWPLYKXRZVWPVWNKZVWLCDHU
      UFZVWPLYKYLYMZYNVHTUWBVWLUUGZWAZUWBUXEJKZVWOUWBVXAUUHZVXBEUNWEMKZVXCVXBVX
      AVXEUWBVXAYDVXBVWLVXEVXBUWBVWLVXEUUIVXDEUUJUUKUULUUMEUUOSUWBVXCWAZVWMLUXE
      VWPMVMNZYKXRVWOVXFVWMRDUXELRNZYJZVXGYKVXFEVXHRDVXFVXHEVXFELUWBEWBKVXCEYIY
      OVXFXHUUNYPUUPVXCVXIVXGYKXRUWBVXCLIDLUXEJYQVXCYHUYOVVMWBKVXCUYOVVMUYIWBVW
      FUYOUYIVWEXDZVHTVWQVXCVWSVFUUQTYRVWMVXGYKYLYMSWDUURZUUSVVBUWBUYIIDEVVHVVJ
      UYGVWGVWKVXKVVLLUYHVWIVVLUXGUXIVVLUXGVVOUUTZVVLUXGVWHVVLUXGVXLUVAUVBUVDUW
      BWGLVPXRVVKVVEYOYAUVCUVEUWBVVGVVAUWBVVAUWBVVAVVBXDUVFYPUWBUYIIDLEVVHJYQVV
      JUWBYHUYOVVNUWBVWFTUWBUYOWAZUYHVXMUXGUXIUYOUXGWBKUWBVWCTZVXMUXGLVXNVXMXHX
      EZUVGVXMUXGUXIVXNVXOUYOUXGWGWHUWBVWDTUYOVULUWBVUMTXIYSVWQVWRUWBVWSVWTYNUV
      HUVIVVFLUCYTUYILIDLJYQYTUVJUYOVVNYTVWFTUYOUYIWBKYTVXJTVWQYTVWSVFUVKUVMUVL
      UVNUWBUXFUYIUWEIUYLUWBUGUGWBKUWBUVOVFUWBUGWGUGXSXRUWBXNVFUVPYSZUYNUYIVUNX
      DUVQUWBUWEVXPUVRUVSUVTYRUWA $.
  $}

  ${
    $d j n x y $.  $d j n z $.  $d A j $.  $d B d $.  $d B j $.  $d B x $.
    $d B y $.
    stirlinglem13.1 $e |- A = ( n e. NN |-> ( ( ! ` n ) /
      ( ( sqrt ` ( 2 x. n ) ) x. ( ( n / _e ) ^ n ) ) ) ) $.
    stirlinglem13.2 $e |- B = ( n e. NN |-> ( log ` ( A ` n ) ) ) $.
    $( ` B ` is decreasing and has a lower bound, then it converges.  Since
       ` B ` is ` log A ` , in another theorem it is proven that ` A `
       converges as well.  (Contributed by Glauco Siliprandi, 29-Jun-2017.) $)
    stirlinglem13 $p |- E. d e. RR B ~~> d $=
      ( vj cr wcel cfv clog wceq cn c1 c2 cmul co ceu cdiv a1i vx vy vz crn clt
      cinf cli wbr cv wrex wss c0 wne cle cvv wb vex elrnmpt ax-mp stirlinglem2
      wral simpr relogcld adantr eqeltrd rexlimiva sylbi ssriv 1nn relogcl mp2b
      wa crp nfcv cfa csqrt cexp cmpt nfmpt1 nfcxfr nffv 2fveq3 fvmptf rspceeqv
      mp2an eqeltri cbvmpt eqtri mpbir ne0ii c4 cmin 4re 4ne0 rereccli resubcli
      caddc eqid stirlinglem12 rgen breq1 ralbidv wfn fnmpt fvelrnb sylib nfra1
      rspcev nfv nfan w3a simp1l simp2 rsp sylc simp3 breqtrd rexlimd ralrimiva
      3exp mpd reximi infrecl mp3an wtru nnuz 1zzd wf fmpti fveq2d oveq12d nncn
      cc 3syl mulcld cc0 0re divcld rpmulcld rpdivcld peano2nn oveq2d cn0 faccl
      oveq1d nnnn0d 2cnd 1cnd addcld sqrtcld recni epos gtneii expcld nnre 1red
      ere 2rp nnge1 letrd ge0p1rpd sqrtgt0d gt0ne0d nnne0d divne0d nnz peano2zd
      0le1 expne0d mulne0d fvmptd nnrp rpsqrtcld rpexpcld syl2anc stirlinglem11
      epr ffvelrni ltled adantl climinf mptru breq2 ) BUDZHUEUFZHIZBUWEUGUHZBDU
      IZUGUHZDHUJUWDHUKUWDULUMUAUIZUBUIZUNUHZUBUWDVAZUAHUJZUWFUBUWDHUWKUWDIZUWK
      CUIZAJZKJZLZCMUJZUWKHIZUWKUOIUWOUWTUPUBUQCMUWRUWKBUOFURUSUWSUXACMUWPMIZUW
      SVLUWKUWRHUXBUWSVBUXBUWRHIZUWSUXBUWQACUWPEUTVCZVDVEVFVGVHNBJZUWDUXEUWDIZU
      XEGUIZAJZKJZLGMUJZNMIZUXENAJZKJZLZUXJVIUXKUXMHIZUXNVIUXKUXLVMIUXOVIACNEUT
      UXLVJVKZCNUWRUXMMBHCNVNZCUXLKCKVNZCNACACMUWPVOJZOUWPPQZVPJZUWPRSQZUWPVQQZ
      PQZSQZVRZECMUYEVSVTZUXQWAWAUWPNKAWBFWCWEZGNMUXIUXMUXEUXGNKAWBWDWEUXEHIUXF
      UXJUPUXEUXMHUYHUXPWFZGMUXIUXEBHBCMUWRVRGMUXIVRFCGMUWRUXIGUWRVNCUXHKUXRCUX
      GAUYGCUXGVNWAWAUWPUXGKAWBWGWHURUSWIWJUWJUXGBJZUNUHZGMVAZUAHUJZUWNUXENWKSQ
      ZWLQZHIUYOUYJUNUHZGMVAZUYMUXEUYNUYIWKWMWNWOWPUYPGMABCCMNUWPUWPNWQQPQSQVRZ
      UXGEFUYRWRWSWTUYLUYQUAUYOHUWJUYOLUYKUYPGMUWJUYOUYJUNXAXBXHWEZUYLUWMUAHUYL
      UWLUBUWDUYLUWOVLZUYJUWKLZGMUJZUWLUYTUWOVUBUYLUWOVBUXCCMVABMXCUWOVUBUPUXCC
      MUXDWTCMUWRBHFXDGMUWKBXEVKXFUYTVUAUWLGMUYLUWOGUYKGMXGUWOGXIXJUWLGXIUYTUXG
      MIZVUAUWLUYTVUCVUAXKZUWJUYJUWKUNVUDUYLVUCUYKUYLUWOVUCVUAXLUYTVUCVUAXMUYKG
      MXNXOUYTVUCVUAXPXQXTXRYAXSYBUSUAUBUWDYCYDUWGYEUAGBNMYFYEYGMHBYHYECMHUWRBF
      UXDYIZTVUCUXGNWQQZBJZUYJUNUHYEVUCVUGUYJVUCVUGVUFAJZKJZHVUCVUFMIVUIHIVUGVU
      ILUXGUUAZVUCVUHVUCVUHVUFVOJZOVUFPQZVPJZVUFRSQZVUFVQQZPQZSQZVMVUCCVUFUYEVU
      QMAYMAUYFLVUCETVUCUWPVUFLZVLZUXSVUKUYDVUPSVUSUWPVUFVOVUCVURVBZYJVUSUYAVUM
      UYCVUOPVUSUXTVULVPVUSUWPVUFOPVUTUUBYJVUSUYBVUNUWPVUFVQVUSUWPVUFRSVUTUUEVU
      TYKYKYKVUJVUCVUKVUPVUCVUFUUCIZVUKMIZVUKYMIVUCVUFVUJUUFZVUFUUDZVUKYLYNVUCV
      UMVUOVUCVULVUCOVUFVUCUUGVUCUXGNUXGYLVUCUUHUUIZYOUUJZVUCVUNVUFVUCVUFRVVERY
      MIVUCRUUQUUKTZRYPUMVUCYPRYQUULUUMTZYRZVVCUUNZYOVUCVUMVUOVVFVVJVUCVUMVUCVU
      LVUCOVUFOVMIVUCUURTVUCUXGUXGUUOZVUCYPNUXGYPHIVUCYQTVUCUUPVVKYPNUNUHVUCUVH
      TUXGUUSUUTUVAZYSZUVBUVCVUCVUNVUFVVIVUCVUFRVVEVVGVUCVUFVUJUVDVVHUVEVUCUXGU
      XGUVFUVGZUVIUVJYRUVKVUCVUKVUPVUCVVAVVBVUKVMIVVCVVDVUKUVLYNVUCVUMVUOVUCVUL
      VVMUVMVUCVUNVUFVUCVUFRVVLRVMIVUCUVQTYTVVNUVNYSYTVEVCZCVUFUWRVUIMBHCVUFVNZ
      CVUHKUXRCVUFAUYGVVPWAWAUWPVUFKAWBFWCUVOVVOVEMHUXGBVUEUVRABUCCUCMNOUCUIPQZ
      NWQQSQNOUXGPQNWQQSQVVQVQQPQVRZUXGEFVVRWRUVPUVSUVTUYMYEUYSTUWAUWBUWIUWGDUW
      EHUWHUWEBUGUWCXHWE $.
  $}

  ${
    $d c d $.  $d d k $.  $d k n $.  $d A c $.  $d A d $.  $d A k $.  $d B d $.
    $d B k $.
    stirlinglem14.1 $e |- A = ( n e. NN |-> ( ( ! ` n ) / ( ( sqrt ` ( 2 x. n
                             ) ) x. ( ( n / _e ) ^ n ) ) ) ) $.
    stirlinglem14.2 $e |- B = ( n e. NN |-> ( log ` ( A ` n ) ) ) $.
    $( The sequence ` A ` converges to a positive real.  This proves that the
       Stirling's formula converges to the factorial, up to a constant.  In
       another theorem, using Wallis' formula for &pi;& , such constant is
       exactly determined, thus proving the Stirling's formula.  (Contributed
       by Glauco Siliprandi, 29-Jun-2017.) $)
    stirlinglem14 $p |- E. c e. RR+ A ~~> c $=
      ( crp wcel ce cfv cc cn co a1i c2 cmul ceu wceq cc0 cvv vd vk cv cli wrex
      wbr cr stirlinglem13 wa simpl rpefcld ccom c1 nnuz 1zzd ccncf efcn wf cfa
      clog csqrt cdiv cexp nnnn0 faccl nncn 3syl 2cnd mulcld sqrtcld rpcn ax-mp
      cn0 epr wne 0re epos gtneii divcld expcld 2rp nnrp rpmulcld gt0ne0d nnne0
      sqrtgt0d divne0d expne0d mulne0d fvmpt2 mpdan eqeltrd eqnetrd fmpti simpr
      nnz logcld recnd climcncf wb wtru elexi cmpt nnex mptex eqeltri coex wfun
      cdm funmpt2 id crab rabid2 stirlinglem2 relogcl elex mprgbir dmmpt eqtr4i
      eleqtrdi fvco sylancr fveq2d oveq2d oveq1d fvmptd nfcv nfmpt1 nfcxfr nffv
      oveq12d 2fveq3 fvmptf eflog syl2anc 3eqtrd adantl climeq mptru sylib
      breq2 rspcev rexlimiva ) BUAUCZUDUFZUAUGUEADUCZUDUFZDGUEZABCUAEFUHUUEUUHU
      AUGUUDUGHZUUEUIZUUDIJZGHAUUKUDUFZUUHUUJUUDUUIUUEUJZUKUUJIBULZUUKUDUFZUULU
      UJKKUUDIBUMLUNUUJUOIKKUPMZHUUJUQNLKBURUUJCLKCUCZAJZUTJZBFUUQLHZUURUUTUURU
      UQUSJZOUUQPMZVAJZUUQQVBMZUUQVCMZPMZVBMZKUUTUVGKHUURUVGRUUTUVAUVFUUTUUQVMH
      ZUVALHZUVAKHUUQVDZUUQVEZUVAVFVGZUUTUVCUVEUUTUVBUUTOUUQUUTVHUUQVFZVIVJZUUT
      UVDUUQUUTUUQQUVMQKHZUUTQGHUVOVNQVKVLZNZQSVOZUUTSQVPVQVRZNZVSZUVJVTZVIZUUT
      UVCUVEUVNUWBUUTUVCUUTUVBUUTOUUQOGHZUUTWANUUQWBWCWFWDUUTUVDUUQUWAUUTUUQQUV
      MUVQUUQWEUVTWGUUQWPWHWIZVSZCLUVGKAEWJWKZUWFWLUUTUURUVGSUWGUUTUVAUVFUVLUWC
      UUTUVHUVIUVASVOUVJUVKUVAWEVGUWEWGWMWQWNNUUIUUEWOUUJUUDUUMWRWSUUOUULWTXAUU
      KUBUUNAUMTTLUNUUNTHXAIBIUUPUQXBBCLUUSXCTFCLUUSXDXEXFXGNATHXAACLUVGXCZTECL
      UVGXDXEXFNXAUOUBUCZLHZUWIUUNJZUWIAJZRXAUWJUWKUWIBJZIJZUWLUTJZIJZUWLUWJBXH
      UWIBXIZHUWKUWNRCLUUSBFXJUWJUWILUWQUWJXKZLUUSTHZCLXLZUWQLUWTRUWSCLUWSCLXMU
      UTUURGHUUSUGHUWSACUUQEXNUURXOUUSUGXPVGXQCLUUSBFXRXSXTUWIIBYAYBUWJUWMUWOIU
      WJUWOKHUWMUWORUWJUWLUWJUWLUWIUSJZOUWIPMZVAJZUWIQVBMZUWIVCMZPMZVBMZKUWJCUW
      IUVGUXGLAKAUWHRUWJENUWJUUQUWIRZUIZUVAUXAUVFUXFVBUXIUUQUWIUSUWJUXHWOZYCUXI
      UVCUXCUVEUXEPUXIUVBUXBVAUXIUUQUWIOPUXJYDYCUXIUVDUXDUUQUWIVCUXIUUQUWIQVBUX
      JYEUXJYKYKYKUWRUWJUXAUXFUWJUWIVMHZUXALHZUXAKHUWIVDZUWIVEZUXAVFVGZUWJUXCUX
      EUWJUXBUWJOUWIUWJVHUWIVFZVIVJZUWJUXDUWIUWJUWIQUXPUVOUWJUVPNZUVRUWJUVSNZVS
      ZUXMVTZVIZUWJUXCUXEUXQUYAUWJUXCUWJUXBUWJOUWIUWDUWJWANUWIWBWCWFWDUWJUXDUWI
      UXTUWJUWIQUXPUXRUWIWEUXSWGUWIWPWHWIZVSZYFZUYDWLZUWJUWLUXGSUYEUWJUXAUXFUXO
      UYBUWJUXKUXLUXASVOUXMUXNUXAWEVGUYCWGWMZWQCUWIUUSUWOLBKCUWIYGZCUWLUTCUTYGC
      UWIACAUWHECLUVGYHYIUYHYJYJUUQUWIUTAYLFYMWKYCUWJUWLKHUWLSVOUWPUWLRUYFUYGUW
      LYNYOYPYQYRYSYTUUGUULDUUKGUUFUUKAUDUUAUUBYOUUCVL $.
  $}

  ${
    $d k ph $.  $d A k $.  $d C k n $.
    stirlinglem15.1 $e |- F/ n ph $.
    stirlinglem15.2 $e |- S = ( n e. NN0 |-> ( ( sqrt ` ( ( 2 x. _pi ) x. n ) )
                            x. ( ( n / _e ) ^ n ) ) ) $.
    stirlinglem15.3 $e |- A = ( n e. NN |-> ( ( ! ` n ) / ( ( sqrt ` ( 2 x. n
                            ) ) x. ( ( n / _e ) ^ n ) ) ) ) $.
    stirlinglem15.4 $e |- D = ( n e. NN |-> ( A ` ( 2 x. n ) ) ) $.
    stirlinglem15.5 $e |- E = ( n e. NN |-> ( ( sqrt ` ( 2 x. n ) ) x. ( ( n /
                            _e ) ^ n ) ) ) $.
    stirlinglem15.6 $e |- V = ( n e. NN |-> ( ( ( ( 2 ^ ( 4 x. n ) ) x. ( ( !
       ` n ) ^ 4 ) ) / ( ( ! ` ( 2 x. n ) ) ^ 2 ) ) / ( ( 2
       x. n ) + 1 ) ) ) $.
    stirlinglem15.7 $e |- F = ( n e. NN |-> ( ( ( A ` n ) ^ 4 ) / ( ( D ` n )
                            ^ 2 ) ) ) $.
    stirlinglem15.8 $e |- H = ( n e. NN |-> ( ( n ^ 2 ) / ( n x. ( ( 2 x. n )
                            + 1 ) ) ) ) $.
    stirlinglem15.9 $e |- ( ph -> C e. RR+ ) $.
    stirlinglem15.10 $e |- ( ph -> A ~~> C ) $.
    $( The Stirling's formula is proven using a number of local definitions.
       The main theorem ~ stirling will use this final lemma, but it will not
       expose the local definitions.  (Contributed by Glauco Siliprandi,
       29-Jun-2017.) $)
    stirlinglem15 $p
      |- ( ph -> ( n e. NN |-> ( ( ! ` n ) / ( S ` n ) ) ) ~~> 1 ) $=
  ( vk cn cv cfa cfv cdiv co cmpt c1 cli wcel wa c2 cpi cmul csqrt ceu cexp cn0
  cc wceq nnnn0 adantl 2cnd picn a1i mulcld nncn sqrtcld ere recni cc0 wne epos
  gt0ne0ii divcld expcld fvmpt2 syl2anc oveq2d mulassd wbr cvv c4 nfmpt1 nfcxfr
  caddc nnuz 1zzd crp wf faccl syl 2rp nnrp rpmulcld rpsqrtcld epr rpdivcld nnz
  nnrpd rpexpcld fmpti eqid 2nn mpdan eqeltrd nnex mptex sqrtgt0d gt0ne0d nnne0
  id divne0d expne0d mulne0d rpcnd sqcld rpne0d cz 1cnd clt 0lt1 oveq12d oveq1d
  eqtrd fveq2d cr adantr 3eqtrd pire sqrtmuld eqcomd mpteq2da reccld simpr nfcv
  cle nfov eqbrtrd nnmulcld ffvelrnd stirlinglem8 eqeltri stirlinglem1 nncnd 2z
  cmin 4nn0 addcld nnred nngt0d addgt0d stirlinglem3 climmulf wallispi2 climuni
  1red eqtr4d sylancl halfcld recne0d divcan4d divcan7d 3eqtr3d rprege0d sqrtsq
  2pos div1d eqtr3d mulcomd 2re remulcld 0le2 0re ltleii mulge0d nn0red nn0ge0d
  pipos mul12d divdiv1d 3eqtr4d ancli divrec2d 3syl fvmptd nffv fveq2 climmulc2
  cbvmpt fveq1d recid2d breqtrd ) AFUBFUCZUDUEZUWOEUEZUFUGZUHFUBUWOBUEZCUFUGZUH
  ZUIUJAFUBUWRUWTKAUWOUBUKZULZUWRUWPUMUNUOUGZUWOUOUGZUPUEZUWOUQUFUGZUWOURUGZUOU
  GZUFUGZUWPUMUWOUOUGZUPUEZUXHUOUGZUFUGZCUFUGZUWTUXCUWQUXIUWPUFUXCUWOUSUKZUXIUT
  UKUWQUXIVAUXBUXPAUWOVBZVCZUXCUXFUXHUXCUXEUXCUXDUWOUXCUMUNUXCVDZUNUTUKZUXCVEVF
  ZVGUXBUWOUTUKAUWOVHZVCZVGVIUXBUXHUTUKAUXBUXGUWOUXBUWOUQUYBUQUTUKZUXBUQVJVKZVF
  ZUQVLVMZUXBUQVJVNVOZVFZVPZUXQVQZVCZVGFUSUXIUTELVRVSVTUXCUWPUNUPUEZUXLUOUGZUXH
  UOUGZUFUGUWPUXMCUOUGZUFUGUXJUXOUXCUYOUYPUWPUFUXCUYOUYMUXMUOUGCUXMUOUGUYPUXCUY
  MUXLUXHUXCUNUYAVIZUXBUXLUTUKAUXBUXKUXBUMUWOUXBVDUYBVGZVIZVCZUYLWAUXCUYMCUXMUO
  AUYMCVAUXBACUMURUGZUPUEZUYMCAVUAUNUPAVUAUIUMUFUGZUOUGZVUCUFUGUNUMUFUGZVUCUFUG
  ZVUAUNAVUDVUEVUCUFAJVUDUJWBJVUEUJWBVUDVUEVAAVUAVUCFHIJUIWCUBKFHFUBUWSWDURUGZU
  WODUEZUMURUGZUFUGZUHQFUBVUJWEWFFIFUBUWOUMURUGZUWOUXKUIWGUGZUOUGZUFUGZUHRFUBVU
  NWEWFFJFUBUMWDUWOUOUGURUGUWPWDURUGUOUGUXKUDUEUMURUGUFUGVULUFUGZUHZPFUBVUOWEWF
  WHAWIZABCDFHFUBVUGUHZFUBVUIUHZKFBFUBUXNUHZMFUBUXNWEWFZFDFUBUXKBUEZUHNFUBVVBWE
  WFNUBWJBWKZAFUBWJUXNBMUXBUWPUXMUXBUWPUXBUXPUWPUBUKUXQUWOWLWMZXAUXBUXLUXHUXBUX
  KUXBUMUWOUMWJUKZUXBWNVFUWOWOZWPZWQUXBUXGUWOUXBUWOUQVVFUQWJUKUXBWRVFWSUWOWTZXB
  WPWSXCZVFQVURXDVUSXDUXBVUHWJUKAUXBVUHVVBWJUXBVVBWJUKVUHVVBVAUXBUBWJUXKBVVCUXB
  VVIVFUXBUMUWOUMUBUKUXBXEVFUXBXMUUAZUUBZFUBVVBWJDNVRXFVVKXGZVCSTUUCJWCUKAJVUPW
  CPFUBVUOXHXIUUDVFIVUCUJWBAFFUBUIUIVULUFUGZUUHUGUHZFUBVVMUHZIFUBUIUWOUFUGUHZRV
  VNXDVVOXDVVPXDUUEVFUXBUWOHUEZUTUKAUXBVVQVUJUTUXBVUJUTUKVVQVUJVAUXBVUGVUIUXBUW
  SWDUXBUWSUXNUTUXBUXNUTUKZUWSUXNVAZUXBUWPUXMUXBUWPVVDUUFZUXBUXLUXHUYSUYKVGZUXB
  UXLUXHUYSUYKUXBUXLUXBUXKVVGXJXKZUXBUXGUWOUYJUXBUWOUQUYBUYFUWOXLZUYIXNVVHXOXPV
  PZFUBUXNUTBMVRZXFVWDXGZWDUSUKUXBUUIVFVQUXBVUHUXBVUHVVLXQZXRUXBVUHUMVWGUXBVUHV
  VLXSUMXTUKUXBUUGVFXOVPZFUBVUJUTHQVRXFZVWHXGVCUXBUWOIUEZUTUKAUXBVWJVUNUTUXBVUN
  UTUKVWJVUNVAUXBVUKVUMUXBUWOUYBXRUXBUWOVULUYBUXBUXKUIUYRUXBYAUUJZVGUXBUWOVULUY
  BVWKVWCUXBVULUXBUXKUIUXBUXKVVJUUKUXBUURUXBUXKVVJUULVLUIYBWBZUXBYCVFUUMXKXPVPZ
  FUBVUNUTIRVRXFZVWMXGVCUXBUWOJUEZVVQVWJUOUGZVAAUXBVWOVUJVUNUOUGZVWPUXBVWQUTUKV
  WOVWQVAUXBVUJVUNVWHVWMVGFUBVWQUTJBDFGJMNOPUUNVRXFUXBVVQVUJVWJVUNUOVWIVWNYDUUS
  VCUUOFJPUUPVUDVUEJUUQUUTYEAVUAVUCACACSXQZXRAUIAYAZUVAAUMAVDZAUMVLUMYBWBAUVHVF
  XKZUVBUVCAVUFUNUIUFUGUNAUNUIUMUXTAVEVFZVWSVWTAUIVWLAYCVFXKVXAUVDAUNVXBUVIYFUV
  EYGACYHUKVLCYRWBULVUBCVAACSUVFCUVGWMUVJYIYEUXCCUXMACUTUKZUXBVWRYIZUXBUXMUTUKA
  VWAVCZUVKYJVTUXCUXIUYOUWPUFUXCUXFUYNUXHUOUXCUXFUXDUPUEZUWOUPUEZUOUGZUYNUXCUXD
  UWOUXCUMUNUMYHUKUXCUVLVFZUNYHUKUXCYKVFZUVMUXCUMUNVXIVXJVLUMYRWBUXCUVNVFZVLUNY
  RWBUXCVLUNUVOYKUVTUVPVFZUVQUXCUWOUXRUVRZUXCUWOUXRUVSZYLUXCVXHUMUPUEZUYMUOUGZV
  XGUOUGVXOUYMVXGUOUGUOUGZUYNUXCVXFVXPVXGUOUXCUMUNVXIVXKVXJVXLYLYEUXCVXOUYMVXGU
  XCUMUXSVIZUYQUXCUWOUYCVIZWAUXCVXQUYMVXOVXGUOUGZUOUGUYNUXCVXOUYMVXGVXRUYQVXSUW
  AUXCVXTUXLUYMUOUXCUXLVXTUXCUMUWOVXIVXKVXMVXNYLYMVTYFYJYFYEVTUXCUWPUXMCUXBUWPU
  TUKAVVTVCVXEVXDUXCUXLUXHUYTUYLUXBUXLVLVMAVWBVCUXCUXGUWOUXCUWOUQUYCUYDUXCUYEVF
  ZUYGUXCUYHVFZVPUXCUWOUQUYCVYAUXBUWOVLVMAVWCVCVYBXNUXBUWOXTUKAVVHVCXOXPACVLVMZ
  UXBACSXSZYIZUWBUWCUXCUXNUWSCUFUXCUWSUXNUXCUXBVVRULZVVSUXBVYFAUXBVVRVWDUWDVCVW
  EWMYMYEYJYNAUXAFUBUICUFUGZUWSUOUGZUHZUIUJAFUBUWTVYHKUXCUWSCUXBUWSUTUKAVWFVCVX
  DVYEUWEYNAVYIVYGCUOUGUIUJACVYGUABVYIUIWCUBWHVUQTACVWRVYDYOVYIWCUKAFUBVYHXHXIV
  FUAUCZUBUKZVYJBUEZUTUKAVYKVYLVYJUDUEZUMVYJUOUGZUPUEZVYJUQUFUGZVYJURUGZUOUGZUF
  UGZUTVYKFVYJUXNVYSUBBUTBVUTVAVYKMVFVYKUWOVYJVAZULZUWPVYMUXMVYRUFWUAUWOVYJUDVY
  KVYTYPZYGWUAUXLVYOUXHVYQUOWUAUXKVYNUPWUAUWOVYJUMUOWUBVTYGWUAUXGVYPUWOVYJURWUA
  UWOVYJUQUFWUBYEWUBYDYDYDVYKXMVYKVYMVYRVYKVYJUSUKVYMUBUKVYMUTUKVYJVBZVYJWLVYMV
  HUWFVYKVYOVYQVYKVYNVYKUMVYJVYKVDVYJVHZVGVIZVYKVYPVYJVYKVYJUQWUDUYDVYKUYEVFZUY
  GVYKUYHVFZVPZWUCVQZVGVYKVYOVYQWUEWUIVYKVYOVYKVYNVYKUMVYJVVEVYKWNVFVYJWOWPXJXK
  VYKVYPVYJWUHVYKVYJUQWUDWUFVYJXLWUGXNVYJWTXOXPVPZUWGWUJXGVCZAVYKULZVYJVYIUEVYJ
  UAUBVYGVYLUOUGZUHZUEZWUMWULVYJVYIWUNVYIWUNVAWULFUAUBVYHWUMUAVYHYQFVYGVYLUOFUI
  CUFFUIYQFUFYQFCYQYSFUOYQFVYJBVVAFVYJYQUWHYSVYTUWSVYLVYGUOUWOVYJBUWIVTUWKVFUWL
  WULVYKWUMUTUKWUOWUMVAAVYKYPWULVYGVYLWULCAVXCVYKVWRYIAVYCVYKVYDYIYOWUKVGUAUBWU
  MUTWUNWUNXDVRVSYFUWJACVWRVYDUWMUWNYTYT $.
  $}

  ${
    $d c n $.  $d S c $.
    stirling.1 $e |- S = ( n e. NN0 |-> ( ( sqrt ` ( ( 2 x. _pi ) x. n ) )
      x. ( ( n / _e ) ^ n ) ) ) $.
    $( Stirling's approximation formula for ` n ` factorial.  The proof follows
       two major steps: first it is proven that ` S ` and ` n ` factorial are
       asymptotically equivalent, up to an unknown constant.  Then, using
       Wallis' formula for &pi; it is proven that the unknown constant is the
       square root of &pi; and then the exact Stirling's formula is
       established.  This is Metamath 100 proof #90.  (Contributed by Glauco
       Siliprandi, 29-Jun-2017.) $)
    stirling $p |- ( n e. NN |-> ( ( ! ` n ) / ( S ` n ) ) ) ~~> 1 $=
      ( vc cn cv cfa cfv c2 cmul co cdiv cexp cmpt cli wbr crp c1 eqid c4 csqrt
      ceu wrex clog stirlinglem14 wcel wa caddc nfv nfmpt1 nfcv nfbr nfan simpl
      simpr stirlinglem15 rexlimiva ax-mp ) BEBFZGHZIUSJKZUAHUSUBLKUSMKJKZLKZNZ
      DFZOPZDQUCBEUTUSAHLKNROPZVDBEUSVDHZUDHNZBDVDSZVISUEVFVGDQVEQUFZVFUGVDVEBE
      VAVDHNZABBEVBNZBEVHTMKUSVLHIMKLKNZBEUSIMKUSVARUHKZJKLKNZBEITUSJKMKUTTMKJK
      VAGHIMKLKVOLKNZVKVFBVKBUIBVDVEOBEVCUJBOUKBVEUKULUMCVJVLSVMSVQSVNSVPSVKVFU
      NVKVFUOUPUQUR $.
  $}

  ${
    stirlingr.1 $e |- S = ( n e. NN0 |->
                ( ( sqrt ` ( ( 2 x. _pi ) x. n ) ) x. ( ( n / _e ) ^ n ) ) ) $.
    stirlingr.2 $e |- R = ( ~~>t ` ( topGen ` ran (,) ) ) $.
    $( Stirling's approximation formula for ` n ` factorial: here convergence
       is expressed with respect to the standard topology on the reals.  The
       main theorem ~ stirling is proven for convergence in the topology of
       complex numbers.  The variable ` R ` is used to denote convergence with
       respect to the standard topology on the reals.  (Contributed by Glauco
       Siliprandi, 29-Jun-2017.) $)
    stirlingr $p |- ( n e. NN |-> ( ( ! ` n ) / ( S ` n ) ) ) R 1 $=
      ( cn cfv co c1 wbr wtru cr wcel c2 cpi cmul ceu crp a1i cc0 cfa cdiv cmpt
      cv cli stirling wb nnuz 1zzd wf eqid cn0 nnnn0 faccl nnre 3syl csqrt cexp
      wceq 2re pire remulcld 0re clt 2pos ltled pipos mulge0d nn0ge0d resqrtcld
      cle ltleii ere epos gtneii redivcld reexpcld fvmpt2 syl2anc pirp rpmulcld
      wne 2rp nnrp rpsqrtcld epr rpdivcld nnz rpexpcld eqeltrd rerpdivcld fmpti
      climreeq mptru mpbir ) CFCUDZUAGZWPBGZUBHZUCZIAJZWTIUEJZBCDUFXAXBUGKIAWTI
      FEUHKUIFLWTUJKCFLWSWTWTUKWPFMZWQWRXCWPULMZWQFMWQLMWPUMZWPUNWQUOUPXCWRNOPH
      ZWPPHZUQGZWPQUBHZWPURHZPHZRXCXDXKLMWRXKUSXEXCXHXJXCXGXCXFWPXCNONLMXCUTSZO
      LMXCVASZVBZWPUOZVBXCXFWPXNXOXCNOXLXMXCTNTLMXCVCSXLTNVDJXCVESVFTOVKJXCTOVC
      VAVGVLSVHXCWPXEVIVHVJXCXIWPXCWPQXOQLMXCVMSQTWBXCTQVCVNVOSVPXEVQVBCULXKLBD
      VRVSXCXHXJXCXGXCXFWPXCNONRMXCWCSORMXCVTSWAWPWDZWAWEXCXIWPXCWPQXPQRMXCWFSW
      GWPWHWIWAWJWKWLSWMWNWO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Dirichlet kernel
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d N m s $.  $d m n s $.
    dirkerval.1 $e |- D = ( n e. NN |-> ( s e. RR |-> if ( ( s mod ( 2 x. _pi )
       ) = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n + ( 1 /
       2 ) ) x. s ) ) / ( ( 2 x. _pi ) x. ( sin ` ( s / 2 ) ) ) ) ) ) ) $.
    $( The N_th Dirichlet Kernel.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    dirkerval $p |- ( N e. NN -> ( D ` N ) = ( s e. RR |-> if ( ( s mod ( 2 x.
       _pi ) ) = 0 , ( ( ( 2 x. N ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( N +
       ( 1 / 2 ) ) x. s ) ) / ( ( 2 x. _pi ) x. ( sin ` ( s / 2 ) ) ) ) ) ) )
       $=
      ( vm cr cv c2 cmul co wceq c1 caddc cdiv csin cfv cmpt cn oveq1d cpi wcel
      cmo cc0 cif wa simpl oveq2d fvoveq1d ifeq12d mpteq2dva cbvmptv eqtri reex
      mptex fvmpt ) FCDGDHZIUAJKZUCKUDLZIFHZJKZMNKZUROKZUTMIOKZNKZUQJKPQZURUQIO
      KPQJKZOKZUEZRZDGUSICJKZMNKZUROKZCVDNKZUQJKPQZVGOKZUEZRSAUTCLZDGVIVQVRUQGU
      BZUFZUSVCVMVHVPVTVBVLUROVTVAVKMNVTUTCIJVRVSUGZUHTTVTVFVOVGOVTVEVNUQPJVTUT
      CVDNWATUITUJUKABSDGUSIBHZJKZMNKZUROKZWBVDNKZUQJKPQZVGOKZUEZRZRFSVJREBFSWJ
      VJWBUTLZDGWIVIWKVSUFZUSWEVCWHVHWLWDVBUROWLWCVAMNWLWBUTIJWKVSUGZUHTTWLWGVF
      VGOWLWFVEUQPJWLWBUTVDNWMTUITUJUKULUMDGVQUNUOUP $.
  $}

  $( The Dirichlet Kernel value is a real if the argument is not a multiple of
     &pi; .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
  dirker2re $p |- ( ( ( N e. NN /\ S e. RR ) /\ -. ( S mod ( 2 x. _pi ) ) = 0 )
     -> ( ( sin ` ( ( N + ( 1 / 2 ) ) x. S ) ) / ( ( 2 x. _pi ) x. ( sin ` ( S
     / 2 ) ) ) ) e. RR ) $=
    ( wcel cr wa c2 cpi cmul co cc0 wceq c1 cdiv csin remulcld a1i wne cc crp
    cz cn cmo wn caddc cfv nnre ad2antrr rehalfcld readdcld simplr resincld 2re
    1red pire 2cnd picn mulcld recn adantr halfcld sincld 2ne0 0re pipos gtneii
    mulne0d divdiv1d simpr wb 2rp pirp rpmulcl mp2an mod0 mpan2 eqneltrd sineq0
    mtbid syl mtbird neqned adantll redivcld ) BUACZADCZEAFGHIZUBIJKZUCZEZBLFMI
    ZUDIZAHIZNUEWFAFMIZNUEZHIZWIWLWIWKAWIBWJWDBDCWEWHBUFUGWILWIUMUHUIWDWEWHUJZO
    UKWIWFWNWIFGFDCWIULPGDCWIUNPOWIWMWIAWPUHUKOWEWHWOJQWDWEWHEZWFWNWQFGWQUOZGRC
    WQUPPZUQWQWMWQAWEARCWHAURUSZUTZVAWQFGWRWSFJQWQVBPZGJQWQJGVCVDVEPZVFWQWNJWQW
    NJKZWMGMIZTCZWQXEAWFMIZTWQAFGWTWRWSXBXCVGWQWGXGTCZWEWHVHWEWGXHVIZWHWEWFSCZX
    IFSCGSCXJVJVKFGVLVMAWFVNVOUSVRVPWQWMRCXDXFVIXAWMVQVSVTWAVFWBWC $.

  $( The Dirichlet Kernel denominator is never ` 0 ` .  (Contributed by Glauco
     Siliprandi, 11-Dec-2019.) $)
  dirkerdenne0 $p |- ( ( S e. RR /\ -. ( S mod ( 2 x. _pi ) ) = 0 ) -> ( ( 2 x.
     _pi ) x. ( sin ` ( S / 2 ) ) ) =/= 0 ) $=
    ( cr wcel c2 cpi cmul co cmo cc0 wceq wn cdiv cc a1i adantr wne mulne0d crp
    cz wb csin cfv 2cnd picn mulcld recn halfcld sincld 2ne0 0re pipos divdiv1d
    wa gtneii simpr 2rp pirp rpmulcl mp2an mod0 mpan2 mtbid eqneltrd sineq0 syl
    mtbird neqned ) ABCZADEFGZHGIJZKZUMZVIADLGZUAUBZVLDEVLUCZEMCVLUDNZUEVLVMVLA
    VHAMCVKAUFOZUGZUHVLDEVOVPDIPVLUINZEIPVLIEUJUKUNNZQVLVNIVLVNIJZVMELGZSCZVLWB
    AVILGZSVLADEVQVOVPVSVTULVLVJWDSCZVHVKUOVHVJWETZVKVHVIRCZWFDRCERCWGUPUQDEURU
    SAVIUTVAOVBVCVLVMMCWAWCTVRVMVDVEVFVGQ $.

  ${
    $d N s t $.  $d S t $.  $d n s $.
    dirkerval2.1 $e |- D = ( n e. NN |-> ( s e. RR |-> if ( ( s mod ( 2 x. _pi
       ) ) = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n + ( 1
       / 2 ) ) x. s ) ) / ( ( 2 x. _pi ) x. ( sin ` ( s / 2 ) ) ) ) ) ) ) $.
    $( The N_th Dirichlet Kernel evaluated at a specific point ` S ` .
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dirkerval2 $p |- ( ( N e. NN /\ S e. RR ) -> ( ( D ` N ) ` S ) = if ( ( S
       mod ( 2 x. _pi ) ) = 0 , ( ( ( 2 x. N ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin
       ` ( ( N + ( 1 / 2 ) ) x. S ) ) / ( ( 2 x. _pi ) x. ( sin ` ( S / 2 ) ) )
       ) ) ) $=
      ( vt wcel cr c2 cpi cmul co cmo cc0 wceq cdiv csin cfv a1i cn wa cv caddc
      c1 cif cmpt dirkerval oveq1 eqeq1d fveq2d fvoveq1 oveq2d oveq12d ifbieq2d
      oveq2 eqtrdi adantr simpr oveq1d fvoveq1d 2re nnre remulcld 1red readdcld
      cbvmptv pire 2cnd recnd clt 2pos gt0ne0d pipos mulne0d redivcld dirker2re
      wbr ad2antrr ifclda fvmptd ) DUAHZBIHZUBZGBGUCZJKLMZNMZOPZJDLMZUEUDMZWFQM
      ZDUEJQMUDMZWELMZRSZWFWEJQMRSZLMZQMZUFZBWFNMZOPZWKWLBLMZRSZWFBJQMRSZLMZQMZ
      UFIDASZIWBXFGIWRUGZPWCWBXFEIEUCZWFNMZOPZWKWLXHLMZRSZWFXHJQMRSZLMZQMZUFZUG
      XGACDEFUHEGIXPWRXHWEPZXJWHXOWQWKXQXIWGOXHWEWFNUIUJXQXLWNXNWPQXQXKWMRXHWEW
      LLUPUKXQXMWOWFLXHWEJRQULUMUNUOVGUQURWDWEBPZUBZWHWTWQXEWKXSWGWSOXSWEBWFNWD
      XRUSZUTUJXSWNXBWPXDQXSWMXARXSWEBWLLXTUMUKXSWOXCWFLXSWEBJRQXTVAUMUNUOWBWCU
      SWDWTWKXEIWBWKIHWCWTWBWJWFWBWIUEWBJDJIHWBVBTZDVCVDWBVEVFWBJKYAKIHWBVHTZVD
      WBJKWBVIWBKYBVJWBJOJVKVRWBVLTVMWBKOKVKVRWBVNTVMVOVPVSBDVQVTWA $.
  $}

  ${
    $d N s $.  $d n s $.
    dirkerre.1 $e |- D = ( n e. NN |-> ( s e. RR |-> if ( ( s mod ( 2 x. _pi )
       ) = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n + ( 1 /
       2 ) ) x. s ) ) / ( ( 2 x. _pi ) x. ( sin ` ( s / 2 ) ) ) ) ) ) ) $.
    $( The Dirichlet Kernel at any point evaluates to a real.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    dirkerre $p |- ( ( N e. NN /\ S e. RR ) -> ( ( D ` N ) ` S ) e. RR ) $=
      ( wcel cr cfv c2 cpi cmul co cc0 c1 caddc cdiv csin a1i remulcld cmo wceq
      cn wa cif dirkerval2 2re nnre 1red readdcld pire 2cnd recnd wne 0re pipos
      2ne0 gtneii mulne0d redivcld ad2antrr dirker2re ifclda eqeltrd ) DUCGZBHG
      ZUDZBDAIIBJKLMZUAMNUBZJDLMZOPMZVHQMZDOJQMPMBLMRIVHBJQMRILMQMZUEHABCDEFUFV
      GVIVLVMHVEVLHGVFVIVEVKVHVEVJOVEJDJHGVEUGSZDUHTVEUIUJVEJKVNKHGVEUKSZTVEJKV
      EULVEKVOUMJNUNVEUQSKNUNVENKUOUPURSUSUTVABDVBVCVD $.
  $}

  ${
    $d N y $.  $d n y $.
    dirkerper.1 $e |- D = ( n e. NN |-> ( y e. RR |-> if ( ( y mod ( 2 x. _pi )
       ) = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n + ( 1 /
       2 ) ) x. y ) ) / ( ( 2 x. _pi ) x. ( sin ` ( y / 2 ) ) ) ) ) ) ) $.
    dirkerper.2 $e |- T = ( 2 x. _pi ) $.
    $( the Dirichlet Kernel has period ` 2 _pi ` .  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    dirkerper $p |- ( ( N e. NN /\ x e. RR ) -> ( ( D ` N ) ` ( x + T ) ) = ( (
       D ` N ) ` x ) ) $=
      ( wcel caddc co c2 cpi cmul wceq cdiv csin cfv a1i cc cn cv cr wa cmo cc0
      c1 cif eqcomi oveq2i 2re pire remulcli eqeltri recni mulid2i eqtri oveq1i
      crp cz id ad2antlr 2rp pirp rpmulcl mp2an 1z modcyc syl3anc simpr iftrued
      3eqtrd iftrue adantl eqtr4d cneg iffalse nncn halfcn addcld adantr mulcld
      wn recn sincld halfcld dirkerdenne0 adantll div2negd mp3an23 eqtrd neqned
      wne eqnetrd neneqd fveq2i oveq12i eqtrdi syl adddird ax-1cn 2cnne0 mulcli
      2cn picn div32 mp3an divcli divcan3i oveq2d adddid addassd 3eqtr4d fveq2d
      2ne0 sinppi simpl sinper syl2anc negeqd divdird oveq12d mulneg2d 3eqtr2rd
      nnzd 3eqtrrd pm2.61dan readdcld dirkerval2 sylan2 ) FUAIZAUBZUCIZUDZYLDJK
      ZLMNKZUEKZUFOZLFNKUGJKYPPKZFUGLPKZJKZYONKZQRZYPYOLPKZQRZNKZPKZUHZYLYPUEKZ
      UFOZYSUUAYLNKZQRZYPYLLPKZQRZNKZPKZUHZYOFCRZRZYLUURRYNUUJUUHUUQOYNUUJUDZUU
      HYSUUQUUTYRYSUUGUUTYQYLUGYPNKZJKZYPUEKZUUIUFYQUVCOZUUTYOUVBYPUEUVBYOUVADY
      LJUVAUGDNKDYPDUGNDYPHUIUJDDDYPUCHLMUKULUMZUNZUOUPUQUJUIURZSUUTYMYPUSIZUGU
      TIZUVCUUIOZYMYMYKUUJYMVAZVBUVHUUTLUSIMUSIUVHVCVDLMVEVFZSUVIUUTVGSYLYPUGVH
      ZVIYNUUJVJVLVKUUJUUQYSOYNUUJYSUUPVMVNVOYNUUJWCZUDZUUQUUPUULVPZUUOVPZPKZUU
      HUVNUUQUUPOYNUUJYSUUPVQVNUVOUULUUOYNUULTIUVNYNUUKYNUUAYLYKUUATIYMYKFYTFVR
      ZYTTIYKVSSZVTWAZYMYLTIYKYLWDZVNZWBZWEWAYNUUOTIUVNYNYPUUNYPTIZYNYPUVEUOZSZ
      YNUUMYNYLUWCWFWEWBWAYMUVNUUOUFWMYKYLWGWHWIUVOUUHUUAYLYPJKZNKZQRZYPUWHLPKZ
      QRZNKZPKZUVPYPUUNVPZNKZPKZUVRYMUVNUUHUWNOZYKYMUVNUDZYRWCZUWRUWSYQUFUWSYQU
      UIUFYMYQUUIOUVNYMYQUVCUUIUVDYMUVGSYMUVHUVIUVJUVLVGUVMWJWKWAUWSUUIUFYMUVNV
      JWLWNWOUWTUUHUUGUWNYRYSUUGVQUUCUWJUUFUWMPUUBUWIQYOUWHUUANDYPYLJHUJZUJWPUU
      EUWLYPNUUDUWKQYOUWHLPUXAURWPUJWQWRWSWHYNUWNUWQOUVNYNUWJUVPUWMUWPPYNUWJUUK
      FYPNKZJKZMJKZQRZUXCQRZVPZUVPYNUWIUXDQYNUUKUUAYPNKZJKZUUKUXBMJKZJKZUWIUXDY
      KUXIUXKOYMYKUXHUXJUUKJYKUXHUXBYTYPNKZJKUXJYKFYTYPUVSUVTUWEYKUWFSZWTUXLMUX
      BJUXLUGYPLPKZNKZMUGTILTIZLUFWMZUDUWEUXLUXOOXAXBLMXDXEXCZUGLYPXFXGUXOUXNMU
      XNYPLUXRXDXOXHUPMLXEXDXOXIZUQUQUJWRXJWAYNUUAYLYPUWAUWCUWGXKYNUUKUXBMUWDYK
      UXBTIYMYKFYPUVSUXMWBWAZMTIYNXESXLXMXNYNUXCTIUXEUXGOYNUUKUXBUWDUXTVTUXCXPW
      SYNUXFUULYNUUKTIFUTIUXFUULOUWDYNFYKYMXQYEUUKFXRXSXTVLYMUWMUWPOYKYMUWLUWOY
      PNYMUWLUUMMJKZQRZUWOYMUWKUYAQYMUWKUUMUXNJKUYAYMYLYPLUWBUWEYMUWFSZUXPYMXDS
      UXQYMXOSYAYMUXNMUUMJUXNMOYMUXSSXJWKXNYMUUMTIUYBUWOOYMYLUWBWFZUUMXPWSWKXJV
      NYBWAYMUWQUVROYKUVNYMUWPUVQUVPPYMYPUUNUYCYMUUMUYDWEYCXJVBYFYDYGYMYKYOUCIU
      USUUHOYMYLDUVKDUCIYMUVFSYHCYOEFBGYIYJCYLEFBGYIXM $.
  $}

  ${
    $d N y $.  $d n y $.
    dirkerf.1 $e |- D = ( n e. NN |-> ( y e. RR |-> if ( ( y mod ( 2 x. _pi ) )
       = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n + ( 1 / 2
       ) ) x. y ) ) / ( ( 2 x. _pi ) x. ( sin ` ( y / 2 ) ) ) ) ) ) ) $.
    $( For any natural number ` N ` , the Dirichlet Kernel ` ( D `` N ) ` is a
       function.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dirkerf $p |- ( N e. NN -> ( D ` N ) : RR --> RR ) $=
      ( cn wcel cr cfv wf cv c2 cpi cmul co cmo c1 caddc cdiv csin cc0 wceq cif
      cmpt wa dirkerval2 dirkerre eqeltrrd fmpttd dirkerval feq1d mpbird ) DFGZ
      HHDBIZJHHAHAKZLMNOZPOUAUBLDNOQROUPSODQLSOROUONOTIUPUOLSOTINOSOUCZUDZJUMAH
      UQHUMUOHGUEUOUNIUQHBUOCDAEUFBUOCDAEUGUHUIUMHHUNURBCDAEUJUKUL $.
  $}

  ${
    $d K n x $.  $d n x y $.
    $( Sum of an even number of alternating cos values.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    dirkertrigeqlem1 $p |- ( K e. NN -> sum_ n e. ( 1 ... ( 2 x. K ) ) ( cos `
       ( n x. _pi ) ) = 0 ) $=
      ( c1 c2 cmul co cfz cpi ccos cfv csu cc0 wceq caddc wcel cz a1i cc mulcld
      picn vx vy oveq2 oveq2d sumeq1d eqeq1d ax-1cn 2timesi oveq2i sumeq1i cneg
      cv wtru cuz 1z uzid ax-mp wa elfzelz zcnd adantl coscld id 1p1e2 fvoveq1d
      eqtrdi fsump1 mptru coscl oveq1 mulid2i fveq2d fsum1 mp2an cos2pi oveq12i
      cospi neg1cn 1pneg1e0 addcomli 3eqtri cn 2cnd nncn adddid addassd 3eqtr4a
      eqtri adantr cle wbr 1red cr 2re nnre remulcld readdcld crp nnrp rpmulcld
      2rp ltaddrp2d ltled wb 2z nnz zmulcld peano2zd sylancr mpbird fvoveq1 clt
      eluz 1lt2 2t1e2 nnge1 lemul2d mpbid eqbrtrrid ltletrd eqtr4i 3eqtr4d cdiv
      addcld mulassd oveq1d wne 0re pipos gtneii rpne0d divcan5d 3eqtrd eqeltrd
      divcan4d peano2cn syl coseq1 eqtrd oveq12d simpr adddird eqeltrid addcomd
      mulcomd cosper addid2i oveq1i ex nnind ) CDUAULZEFZGFZAULZHEFZIJZAKZLMCDC
      EFZGFZUUPAKZLMCDUBULZEFZGFZUUPAKZLMZCDUVACNFZEFZGFZUUPAKZLMZCDBEFZGFZUUPA
      KZLMUAUBBUUKCMZUUQUUTLUVNUUMUUSUUPAUVNUULUURCGUUKCDEUCUDUEUFUUKUVAMZUUQUV
      DLUVOUUMUVCUUPAUVOUULUVBCGUUKUVADEUCUDUEUFUUKUVFMZUUQUVILUVPUUMUVHUUPAUVP
      UULUVGCGUUKUVFDEUCUDUEUFUUKBMZUUQUVMLUVQUUMUVLUUPAUVQUULUVKCGUUKBDEUCUDUE
      UFUUTCCCNFZGFZUUPAKZLUUSUVSUUPAUURUVRCGCUGUHZUIUJUVTCCGFUUPAKZDHEFZIJZNFZ
      CUKZCNFZLUVTUWEMUMUUPUWDACCCCUNJZOZUMCPOZUWIUOCUPUQQUMUUNUVSOZURZUUOUWLUU
      NHUWKUUNROUMUWKUUNUUNCUVRUSUTVAHROZUWLTQSVBUUNUVRMZUUNDHIEUWNUUNUVRDUWNVC
      VDVFVEVGVHUWBUWFUWDCNUWBHIJZUWFUWJUWOROZUWBUWOMUOUWMUWPTHVIUQUUPUWOACUUNC
      MZUUOHIUWQUUOCHEFZHUUNCHEVJHTVKZVFVLVMVNVQWHVOVPCUWFLUGVRVSVTZWAWHUVAWBOZ
      UVEUVJUXAUVEURZUVICUVBCNFZCNFZGFZUUPAKZCUXCGFZUUPAKZUXDHEFIJZNFZLUXAUVIUX
      FMUVEUXAUVHUXEUUPAUXAUVGUXDCGUXAUVBUURNFZUVBUVRNFZUVGUXDUURUVRUVBNUWAUIUX
      ADUVACUXAWCZUVAWDZCROUXAUGQZWEZUXAUVBCCUXADUVAUXMUXNSZUXOUXOWFZWGUDUEWIUX
      AUXFUXJMUVEUXAUUPUXIACUXCUXAUXCUWHOZCUXCWJWKZUXACUXCUXAWLZUXAUVBCUXADUVAD
      WMOUXAWNQZUVAWOZWPZUYAWQUXACUVBUYAUXADUVADWROUXAXAQZUVAWSWTXBXCUXAUWJUXCP
      OUXSUXTXDUOUXAUVBUXADUVADPOUXAXEQUVAXFZXGZXHCUXCXMXIXJUUNUXEOZUUPROZUXAUY
      HUUOUYHUUNHUYHUUNUUNCUXDUSUTUWMUYHTQSVBVAUUNUXDHIEXKVGWIUXBUXJUVDUXCHEFZI
      JZNFZCNFZLUXAUXJUYMMUVEUXAUXHUYLUXICNUXAUUPUYKACUVBUXAUVBUWHOZCUVBWJWKZUX
      ACUVBUYAUYDUXACDUVBUYAUYBUYDCDXLWKUXAXNQUXADUURUVBWJXOUXACUVAWJWKUURUVBWJ
      WKUVAXPUXACUVADUYAUYCUYEXQXRXSXTXCUXAUWJUVBPOUYNUYOXDUOUYGCUVBXMXIXJUUNUX
      GOZUYIUXAUYPUUOUYPUUNHUYPUUNUUNCUXCUSUTUWMUYPTQSVBVAUUNUXCHIEXKVGUXAUXIUV
      GHEFZIJZCUXAUXDUVGHIEUXAUXLUXKUXDUVGUXAUVRUURUVBNUVRUURMUXAUVRDUURVDXOYAQ
      UDUXRUXPYBVEUXAUYRCMZUYQUWCYCFZPOZUXAUYTUVFPUXAUYTDUVFHEFZEFZUWCYCFVUBHYC
      FUVFUXAUYQVUCUWCYCUXADUVFHUXMUXAUVACUXNUXOYDZUWMUXATQZYEYFUXAVUBHDUXAUVFH
      VUDVUESVUEUXMHLYGUXALHYHYIYJQZUXADUYEYKYLUXAUVFHVUDVUEVUFYOYMUXAUVAUYFXHY
      NUXAUYQROUYSVUAXDUXAUVGHUXADUVFUXMUXAUVAROUVFROUXNUVAYPYQSVUESUYQYRYQXJYS
      YTWIUXBUYMLUWFNFZCNFZLUXBUYLVUGCNUXBUVDLUYKUWFNUXAUVEUUAUXAUYKUWFMUVEUXAU
      YKHUVAUWCEFZNFZIJZUWOUWFUXAUYJVUJIUXAUYJUVBHEFZUWRNFUWRVULNFVUJUXAUVBCHUX
      QUXOVUEUUBUXAVULUWRUXAUVBHUXQVUESUXAUWRHRUWSVUEUUCUUDUXAUWRHVULVUINUWRHMU
      XAUWSQUXAVULUVADEFZHEFVUIUXAUVBVUMHEUXADUVAUXMUXNUUEYFUXAUVADHUXNUXMVUEYE
      YSYTYMVLUXAUWMUVAPOVUKUWOMTUYFHUVAUUFXIUWOUWFMUXAVQQYMWIYTYFVUHUWGLVUGUWF
      CNUWFVRUUGUUHUWTWHVFYSYMUUIUUJ $.
  $}

  ${
    $d A j n $.  $d N j n $.  $d j n ph $.
    dirkertrigeqlem2.a $e |- ( ph -> A e. RR ) $.
    dirkertrigeqlem2.sinne0 $e |- ( ph -> ( sin ` A ) =/= 0 ) $.
    dirkertrigeqlem2.n $e |- ( ph -> N e. NN ) $.
    $( Trigonomic equality lemma for the Dirichlet Kernel trigonomic equality.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dirkertrigeqlem2 $p |- ( ph -> ( ( ( 1 / 2 ) + sum_ n e. ( 1 ... N ) ( cos
       ` ( n x. A ) ) ) / _pi ) = ( ( sin ` ( ( N + ( 1 / 2 ) ) x. A ) ) / ( (
       2 x. _pi ) x. ( sin ` ( A / 2 ) ) ) ) ) $=
      ( c1 c2 cdiv co cmul cfv caddc cpi csin cmin wcel oveq1d cc0 cfz ccos csu
      vj cv 1cnd halfcld fzfid wa cc elfzelz adantl adantr mulcld coscld fsumcl
      zcnd recnd addcld sincld divcan4d eqcomd fsummulc1 mulcomd wceq sinmulcos
      syl2anc cneg adddird addcomd mulid2d 3eqtrrd fveq2d negsubdi2d subcld syl
      sinneg eqtrd oveq12d eqeltrrd mulsubfacd oveq2d 3eqtrd sumeq2dv peano2cnm
      negsubd 2cnd wne 2ne0 a1i fsumdivc divrec2d eqtr3d adddid 3eqtr4d npncand
      fsumadd fvoveq1 nnzd cuz eleqtrdi peano2uz telfsum2 pncand fvoveq1d oveq1
      cn nnuz nnred subidd mul02d sin0 0cnd addassd pncan3d subid1d cr readdcld
      halfre remulcld 2halvesd eqtr4d divcan2d sin2t mulassd eqnetrrd mulne0bbd
      eqtr2d mulne0bad mulne0d divcan5rd picn pipos gt0ne0ii divdiv32d divdiv1d
      pire ) AHIJKZHDUAKZCUEZBLKZUBMZCUCZNKZOJKDYRNKZBLKZPMZIBIJKZPMZLKZJKZOJKU
      UGOJKUUJJKZUUGIOLKZUUILKZJKZAUUDUUKOJAUUDYRDBLKZPMZDHNKZBLKZPMZNKZLKZBPMZ
      JKZUUGYRBLKZUBMZLKZUVCJKZUUKAUUDUUDUVCLKZUVCJKZYRUVCYSYTHNKZBLKZPMZYTHQKZ
      BLKZPMZQKZCUCZNKZLKZUVCJKUVDAUVJUUDAUUDUVCAYRUUCAHAUFZUGZAYSUUBCAHDUHZAYT
      YSRZUIZUUAUWEYTBUWDYTUJRZAUWDYTYTHDUKUQZULZABUJRZUWDABEURZUMZUNZUOZUPZUSA
      BUWJUTZFVAVBAUVIUVTUVCJAYRUVCLKZUUCUVCLKZNKUWPYRUVRLKZNKUVIUVTAUWQUWRUWPN
      AUWQYSUUBUVCLKZCUCYSUVQIJKZCUCZUWRAYSUUBUVCCUWCUWOUWMVCAYSUWSUWTCUWEUWSUV
      CUUBLKZBUUANKZPMZBUUAQKZPMZNKZIJKZUWTUWEUUBUVCUWMAUVCUJRUWDUWOUMVDUWEUWIU
      UAUJRUXBUXHVEUWKUWLBUUAVFVGUWEUXGUVQIJUWEUXGUVMUUABQKZPMZVHZNKUVMUXJQKUVQ
      UWEUXDUVMUXFUXKNUWEUXCUVLPUWEUVLUUAHBLKZNKUXLUUANKZUXCUWEYTHBUWHUWEUFZUWK
      VIUWEUUAUXLUWLUWEHBUXNUWKUNVJAUXMUXCVEUWDAUXLBUUANABUWJVKZSUMVLVMZUWEUXFU
      XIVHZPMZUXKUWEUXEUXQPUWEUXQUXEUWEUUABUWLUWKVNVBVMUWEUXIUJRUXRUXKVEUWEUUAB
      UWLUWKVOZUXIVQVPVRVSUWEUVMUXJUWEUXDUVMUJUXPUWEUXCUWEBUUAUWKUWLUSUTVTZUWEU
      XIUXSUTWFUWEUXJUVPUVMQUWEUXIUVOPUWEYTBUWHUWKWAVMWBWCSWCWDAUVRIJKUXAUWRAYS
      UVQICUWCAWGZUWEUVMUVPUXTUWEUVOUWEUVNBUWEUWFUVNUJRUWHYTWEVPUWKUNUTZVOZITWH
      AWIWJZWKAUVRIAYSUVQCUWCUYCUPZUYAUYDWLWMWCWBAYRUUCUVCUWBUWNUWOVIAYRUVCUVRU
      WBUWOUYEWNWOSAUVTUVBUVCJAUVSUVAYRLAUVSUVCUUTUXLPMZQKZUUQTQKZNKZNKZUVAAUVR
      UYIUVCNAUVRYSUVMUUAPMZQKZUYKUVPQKZNKZCUCYSUYLCUCZYSUYMCUCZNKUYIAYSUVQUYNC
      UWEUYNUVQUWEUVMUYKUVPUXTUWEUUAUWLUTZUYBWPVBWDAYSUYLUYMCUWCUWEUVMUYKUXTUYQ
      VOUWEUYKUVPUYQUYBVOWQAUYOUYGUYPUYHNAUDUEZBLKZPMUYKUVMUYFCUDUUTHDUYRYTBPLW
      RUYRUVKBPLWRUYRHBPLWRUYRUURBPLWRADGWSZADHWTMZRUURVUARADXGVUAGXHXAHDXBVPZA
      UYRHUURUAKRZUIZUYSVUDUYRBVUCUYRUJRAVUCUYRUYRHUURUKUQULZAUWIVUCUWJUMZUNUTX
      CAUYPYSUVKHQKZBLKPMZUVPQKZCUCUURHQKZBLKPMZHHQKZBLKZPMZQKUYHAYSUYMVUICUWEU
      YKVUHUVPQUWEYTVUGBPLUWDYTVUGVEAUWDVUGYTUWDYTHUWGUWDUFXDVBULXESWDAUYRHQKZB
      LKZPMUVPVUHVUNCUDVUKHDUYRYTVEVUOUVNBPLUYRYTHQXFXEUYRUVKVEVUOVUGBPLUYRUVKH
      QXFXEUYRHVEVUOVULBPLUYRHHQXFXEUYRUURVEVUOVUJBPLUYRUURHQXFXEUYTVUBVUDVUPVU
      DVUOBVUDUYRHVUEVUDUFVOVUFUNUTXCAVUKUUQVUNTQAVUJDBPLADHADADGXIZURZUWAXDXEA
      VUNTPMZTAVUMTPAVUMTBLKTAVULTBLAHUWAXJSABUWJXKVRVMVUSTVEAXLWJVRVSWCVSWCWBA
      UYJUVCUUTUVCQKZUYHNKZNKZUVCVUTNKZUYHNKZUVAAUYIVVAUVCNAUYGVUTUYHNAUYFUVCUU
      TQAUXLBPUXOVMWBSWBAVVDVVBAUVCVUTUYHUWOAUUTUVCAUUSAUURBADHVURUWAUSUWJUNUTZ
      UWOVOAUUQTAUUPADBVURUWJUNZUTZAXMVOXNVBAVVDUUTUUQNKZUVAAVVCUUTUYHUUQNAUVCU
      UTUWOVVEXOAUUQVVGXPVSAUUTUUQVVEVVGVJZVRWCVRWBSWCAUVBUVGUVCJAUVGVVHIJKZUVA
      IJKUVBAUVGUUFUVENKZPMZUUFUVEQKZPMZNKZIJKZVVJAUUFUJRUVEUJRUVGVVPVEAUUFAUUE
      BADYRVUQYRXQRAXSWJXREXTURZAYRBUWBUWJUNZUUFUVEVFVGAVVHVVOIJAUUTVVLUUQVVNNA
      UUSVVKPAVVKUUPUVENKZUVENKUUPUVEUVENKZNKZUUSAUUFVVSUVENADYRBVURUWBUWJVIZSA
      UUPUVEUVEVVFVVRVVRXNAVWAUUPUXLNKUUSAVVTUXLUUPNAYRYRNKZBLKVVTUXLAYRYRBUWBU
      WBUWJVIAVWCHBLAHUWAYASWMWBADHBVURUWAUWJVIYBVLVMAUUPVVMPAVVMVVSUVEQKUUPAUU
      FVVSUVEQVWBSAUUPUVEVVFVVRXDYHVMVSSYBAVVHUVAIJVVISAUVAIAUUQUUTVVGVVEUSUYAU
      YDWLVLSAUVHUVGIUUIUUHUBMZLKZLKZJKUVGUUJUVFLKZJKUUKAUVCVWFUVGJAUVCIUUHLKZP
      MZVWFABVWHPAVWHBABIUWJUYAUYDYCVBVMAUUHUJRVWIVWFVEABUWJUGZUUHYDVPVRZWBAVWF
      VWGUVGJAUUJVWDLKVWFVWGAIUUIVWDUYAAUUHVWJUTZAUUHVWJUOZYEAVWDUVFUUJLAUUHUVE
      UBABIUWJUYAUYDWLVMZWBWMWBAUUGUUJUVFAUUFVVQUTZAIUUIUYAVWLUNZAUVEVVRUOAIUUI
      UYAVWLUYDAUUIVWDVWLVWMAIVWEUYAAUUIVWDVWLVWMUNAUVCVWFTVWKFYFYGZYIYJZAVWDUV
      FTVWNAUUIVWDVWLVWMVWQYGYFYKWCWCSAUUGUUJOVWOVWPOUJRAYLWJZVWROTWHAOYQYMYNWJ
      ZYOAUULUUGOUUJLKZJKUUOAUUGOUUJVWOVWSVWPVWTVWRYPAVXAUUNUUGJAOILKZUUILKVXAU
      UNAOIUUIVWSUYAVWLYEAVXBUUMUUILAOIVWSUYAVDSWMWBVRWC $.
  $}

  ${
    $d N n $.  $d n ph $.
    dirkertrigeqlem3.n $e |- ( ph -> N e. NN ) $.
    dirkertrigeqlem3.k $e |- ( ph -> K e. ZZ ) $.
    dirkertrigeqlem3.a $e |- A = ( ( ( 2 x. K ) + 1 ) x. _pi ) $.
    $( Trigonometric equality lemma for the Dirichlet Kernel trigonometric
       equality.  Here we handle the case for an angle that's an odd multiple
       of ` _pi ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dirkertrigeqlem3 $p |- ( ph -> ( ( ( 1 / 2 ) + sum_ n e. ( 1 ... N ) ( cos
       ` ( n x. A ) ) ) / _pi ) = ( ( sin ` ( ( N + ( 1 / 2 ) ) x. A ) ) / ( (
       2 x. _pi ) x. ( sin ` ( A / 2 ) ) ) ) ) $=
      ( c2 co cc0 wceq c1 cdiv cmul caddc cpi wcel a1i adantr cmo cfz ccos csin
      cv cfv csu wa oveq2d cc elfzelz zcnd adantl 2cnd mulcld 1cnd picn mulcomd
      addcld mulassd adddird addcomd mulid2d mul4d eqtrd oveq12d 3eqtrd zmulcld
      fveq2d cz cosper syl2anc sumeq2dv oveq1d wne 2ne0 divcan2d eqcomd sumeq1d
      nncnd wral rgen sumeq2d cn clt wbr simpr cr crp wb nnred 2rp mod0 sylancl
      mpbid 2re nngt0d 2pos divgt0d elnnz sylanbrc dirkertrigeqlem1 syl addid1i
      halfcn eqtrdi ax-1cn 2cnne0 pipos gt0ne0ii pm3.2i divdiv1 oveq2i peano2cn
      pire mp3an muladdd mul12d mulid1d syl5eq addassd sinper halfcld eqtr3d wn
      2cn rehalfcld neqned divdiv1d 3eqtrrd cneg cfl addid2i 1z oveq2 cospi cle
      neg1cn pm2.61dan cmin recidi 3eqtr2d nnzd div23d divcan3d sincld divcan4d
      divdird rpreccld ltaddrpd halflt1 ltadd2dd btwnnz syl3anc eqneltrd sineq0
      zred mtbird mulne0d dividd oddfl fvoveq1 halffl 2t0e0 coscl ax-mp mulid1i
      1red fsum1 mp2an cuz 2nn flcld 2div2e1 nnne1ge2 syl2an lediv1dd eqbrtrrid
      neqne elnnz1 nnmulcld eleqtrdi coscld fsump1 sumeq2i adddid mul13d eqtr4d
      flge nnuz sinppi divnegd negeqd negcld negsubdi2i 1mhlfehlf negeqi divneg
      negsubi eqtri 3eqtr2i oveq1i eqtr2i 3eqtr3d ) AEIUAJZKLZMINJZMEUBJZCUEZBO
      JZUCUFZCUGZPJZQNJZEUXGPJZBOJZUDUFZIQOJZBINJZUDUFZOJZNJZLAUXFUHZUXNMUXRNJZ
      UYBUYCUXNUXGUXHQUXIOJZUCUFZCUGZPJZQNJZUXGQNJZUYDAUXNUYILZUXFAUXMUYHQNAUXL
      UYGUXGPAUXHUXKUYFCAUXIUXHRZUHZUXKUYEDUXIOJZUXROJZPJZUCUFZUYFUYMUXJUYPUCUY
      MUXJUXIIDOJZMPJZQOJZOJUYTUXIOJZUYPUYMBUYTUXIOBUYTLZUYMHSUIUYMUXIUYTUYLUXI
      UJRZAUYLUXIUXIMEUKZULZUMZUYMUYSQUYMUYRMUYMIDUYMUNZADUJRZUYLADGULZTZUOZUYM
      UPZUSZQUJRZUYMUQSZUOURUYMVUAUYSUYEOJUYRUYEOJZMUYEOJZPJZUYPUYMUYSQUXIVUMVU
      OVUFUTUYMUYRMUYEVUKVULUYMQUXIVUOVUFUOZVAUYMVURVUQVUPPJUYPUYMVUPVUQUYMUYRU
      YEVUKVUSUOUYMMUYEVULVUSUOVBUYMVUQUYEVUPUYOPUYLVUQUYELAUYLUYEUYLQUXIVUNUYL
      UQSVUEUOVCUMUYMVUPUXRUYNOJUYOUYMIDQUXIVUGVUJVUOVUFVDUYMUXRUYNUYMIQVUGVUOU
      OUYMDUXIVUJVUFUOURVEVFVEVGVGVIUYMUYEUJRUYNVJRUYQUYFLVUSUYMDUXIADVJRZUYLGT
      UYLUXIVJRAVUDUMVHUYEUYNVKVLVEVMUIVNZTUYCUYHUXGQNUYCUYHUXGKPJUXGUYCUYGKUXG
      PUYCUYGMIEINJZOJZUBJZUYFCUGZVVDUXIQOJZUCUFZCUGZKAUYGVVELUXFAUXHVVDUYFCAEV
      VCMUBAVVCEAEIAEFVTZAUNZIKVOZAVPSZVQZVRUIVSTUYCVVDUYFVVGCUYFVVGLZCVVDWAUYC
      VVNCVVDUXIVVDRZUYEVVFUCVVOQUXIVUNVVOUQSVVOUXIUXIMVVCUKULURVIWBSWCUYCVVBWD
      RZVVHKLUYCVVBVJRZKVVBWEWFZVVPUYCUXFVVQAUXFWGUYCEWHRZIWIRZUXFVVQWJAVVSUXFA
      EFWKZTWLEIWMWNWOZAVVRUXFAEIVWAIWHRZAWPSAEFWQKIWEWFAWRSWSTVVBWTXACVVBXBXCV
      GUIUXGXEXDXFVNUYJUYDLZUYCMUJRZIUJRZVVKUHZVUNQKVOZUHZVWDXGXHVUNVWHUQQXOXIX
      JZXKZMIQXLXPSVGUYCUYBDUXGPJZEPJZQOJZUDUFZUXRVWLQOJZUDUFZOJZNJZVWPEQOJZPJZ
      UDUFZVWRNJZUYDAUYBVWSLUXFAUXQVWOUYAVWRNAUXQUXGEDPJZPJZQOJZEDOJZUXROJZPJZU
      DUFZVXFUDUFZVWOAUXPVXIUDAUXPUXOUYTOJZUXOUYSOJZQOJZVXIUXPVXLLABUYTUXOOHXMS
      AUXOUYSQAEUXGVVIUXGUJRAXESZUSAUYRUJRUYSUJRAIDVVJVUIUOZUYRXNXCZVUNAUQSZUTA
      VXNVXEVXGIOJZPJZQOJVXFVXSQOJZPJVXIAVXMVXTQOAVXMIVXGOJZVXEPJZVXEVYBPJVXTAV
      XMEUYROJZMUXGOJZPJZEMOJZUYRUXGOJZPJZPJVYBUXGPJZVXDPJVYCAEUXGUYRMVVIVXOVXP
      AUPZXQAVYFVYJVYIVXDPAVYDVYBVYEUXGPAEIDVVIVVJVUIXRAUXGVXOVCVFAVYGEVYHDPAEV
      VIXSAVYHDIOJZUXGOJDIUXGOJZOJZDAUYRVYLUXGOAIDVVJVUIURVNADIUXGVUIVVJVXOUTAV
      YNDMOJDVYMMDOIYFVPUUAXMADVUIXSXTVGVFVFAVYBUXGVXDAIVXGVVJAEDVVIVUIUOZUOZVX
      OAEDVVIVUIUSZYAVGAVYBVXEVYPAUXGVXDVXOVYQUSZVBAVYBVXSVXEPAIVXGVVJVYOURUIVG
      VNAVXEVXSQVYRAVXGIVYOVVJUOVXRVAAVYAVXHVXFPAVXGIQVYOVVJVXRUTUIVGUUBVIAVXFU
      JRVXGVJRVXJVXKLAVXEQVYRVXRUOAEDAEFUUCZGVHVXFVXGYBVLAVXFVWNUDAVXEVWMQOAVXE
      VXDUXGPJEVWLPJVWMAUXGVXDVXOVYQVBAEDUXGVVIVUIVXOYAAEVWLVVIADUXGVUIVXOUSZVB
      VGVNVIVGAUXTVWQUXROAUXSVWPUDAUXSUYTINJUYSINJZQOJVWPABUYTINVUBAHSVNAUYSQIV
      XQVXRVVJVVLUUDAWUAVWLQOAWUAUYRINJZUXGPJVWLAUYRMIVXPVYKVVJVVLUUHAWUBDUXGPA
      DIVUIVVJVVLUUEVNVEVNVGVIUIVFZTAVWSVXCLUXFAVWOVXBVWRNAVWNVXAUDAVWLEQVYTVVI
      VXRVAVIVNZTUYCVXCVWQVWQUXROJZNJZUYDUYCVXBVWQVWRWUENUYCVXBVWPVVBUXROJZPJZU
      DUFZVWQAVXBWUILUXFAVXAWUHUDAVWTWUGVWPPAVWTVVBIOJZQOJWUGAEWUJQOAVVCEWUJVVM
      AIVVBVVJAEVVIYCZURYDVNAVVBIQWUKVVJVXRUTVEUIVITUYCVWPUJRZVVQWUIVWQLUYCVWLQ
      UYCDUXGAVUHUXFVUITUYCMUYCUPYCUSVUNUYCUQSUOVWBVWPVVBYBVLVEAVWRWUELUXFAUXRV
      WQAIQVVJVXRUOZAVWPAVWLQVYTVXRUOZUUFZURZTVFAWUFUYDLUXFAVWQVWQNJZUXRNJWUFUY
      DAVWQVWQUXRWUOWUOWUMAVWQKAVWQKLZVWPQNJZVJRZAWUSVWLVJAVWLQVYTVXRVWHAVWJSZU
      UGAVUTDVWLWEWFVWLDMPJWEWFVWLVJRYEGADUXGADGUUQZAIVVTAWLSUUIUUJAUXGMDAMAUVH
      ZYGWVCWVBUXGMWEWFAUUKSUULDVWLUUMUUNUUOAWULWURWUTWJWUNVWPUUPXCUURYHZAIQVVJ
      VXRVVLWVAUUSZYIAWUQMUXRNAVWQWUOWVDUUTZVNYDTVEYJVEAUXFYEZUHZUXNUYIUXGMYKZP
      JZQNJZUYBAUYKWVGVVATWVHUYHWVJQNWVHUYGWVIUXGPWVHUYGMIVVBYLUFZOJZMPJZUBJZUY
      FCUGZWVIWVHUXHWVOUYFCWVHEWVNMUBWVHEVJRZUXEKVOEWVNLAWVQWVGVYSTWVHUXEKAWVGW
      GYHEUVAVLZUIVSAWVPWVILZWVGAEMLZWVSWVTWVSAWVTWVPMMUBJZUYFCUGZQUCUFZWVIWVTW
      VOWWAUYFCWVTWVNMMUBWVTWVNKMPJMWVTWVMKMPWVTWVMIKOJKWVTWVLKIOWVTWVLUXGYLUFK
      EMIYLNUVBUVCXFUIUVDXFVNMXGYMXFUIVSWWBWWCLZWVTMVJRZWWCUJRZWWDYNVUNWWFUQQUV
      EUVFUYFWWCCMUXIMLZUYEQUCWWGUYEQMOJZQUXIMQOYOQUQUVGZXFVIUVIUVJSWWCWVILZWVT
      YPSVGUMAWVTYEZUHZWVPMWVMUBJZUYFCUGZQWVNOJZUCUFZPJKWVIPJZWVIWWLUYFWWPCMWVM
      WWLWVMWDMUVKUFWWLIWVLIWDRWWLUVLSWWLWVLVJRZMWVLYQWFZWVLWDRZAWWRWWKAVVBAEVW
      AYGZUVMZTWWLMVVBYQWFZWWSWWLMIINJVVBYQUVNWWLIEIVWCWWLWPSAVVSWWKVWATVVTWWLW
      LSAEWDREMVOIEYQWFWWKFEMUVSEUVOUVPUVQUVRWWLVVBWHRZWWEWXCWWSWJAWXDWWKWXATYN
      VVBMUWIWNWOWVLUVTXAZUWAUWJUWBWWLUXIWVORZUHZUYEWXGQUXIVUNWXGUQSWXFVUCWWLWX
      FUXIUXIMWVNUKULUMUOUWCUXIWVNLUYEWWOUCUXIWVNQOYOVIUWDWWLWWNKWWPWVIPWWLWWNW
      WMVVGCUGZKWWMUYFVVGCUXIWWMRZUYEVVFUCWXIQUXIVUNWXIUQSWXIUXIUXIMWVMUKULURVI
      UWEWWLWWTWXHKLWXECWVLXBXCXTAWWPWVILWWKAWWPQWVLUXROJZPJZUCUFZWWCWVIAWWOWXK
      UCAWWOQWVMOJZWWHPJWXJQPJWXKAQWVMMVXRAIWVLVVJAWVLWXBULZUOZVYKUWFAWXMWXJWWH
      QPAQIWVLVXRVVJWXNUWGWWHQLAWWISVFAWXJQAWVLUXRWXNWUMUOZVXRVBVGVIAVUNWWRWXLW
      WCLVXRWXBQWVLVKVLWWJAYPSVGTVFWWQWVILWWLWVIYRYMSVGYSTVEUIVNWVHUYBVXCVWPQPJ
      ZWXJPJZUDUFZVWRNJZWVKAUYBVXCLWVGAUYBVWSVXCWUCWUDVETWVHVXBWXSVWRNWVHVXAWXR
      UDWVHVXAVWPWXKPJWXRWVHVWTWXKVWPPWVHVWTWVNQOJZQWVMQOJZPJZWXKWVHEWVNQOWVRVN
      AWYAWYCLWVGAWYAWYBMQOJZPJWYBQPJWYCAWVMMQWXOVYKVXRVAAWYDQWYBPAQVXRVCUIAWYB
      QAWVMQWXOVXRUOVXRVBVGTAWYCWXKLWVGAWYBWXJQPAWYBWVLIOJZQOJWXJAWVMWYEQOAIWVL
      VVJWXNURVNAWVLIQWXNVVJVXRUTVEUITVGUIWVHVWPQWXJAWULWVGWUNTVUNWVHUQSAWXJUJR
      WVGWXPTYAUWHVIVNAWXTWVKLWVGAWXTVWQYKZVWRNJWYFWUENJZWVKAWXSWYFVWRNAWXSWXQU
      DUFZWYFAWXQUJRWWRWXSWYHLAVWPQWUNVXRUSWXBWXQWVLYBVLAWULWYHWYFLWUNVWPUWKXCV
      EVNAVWRWUEWYFNWUPUIAWYFVWQNJZUXRNJWVIUXRNJZWYGWVKAWYIWVIUXRNAWUQYKWYIWVIA
      VWQVWQWUOWUOWVDUWLAWUQMWVFUWMYDVNAWYFVWQUXRAVWQWUOUWNWUOWUMWVDWVEYIWYJWVK
      LAWVKWVIINJZQNJZWYJWVJWYKQNWVJUXGMYTJMUXGYTJZYKZWYKUXGMXEXGUWSMUXGXGXEUWO
      WYNUXGYKZWYKWYMUXGUWPUWQVWEVWFVVKWYOWYKLXGYFVPMIUWRXPUWTUXAUXBWVIUJRVWGVW
      IWYLWYJLYRXHVWKWVIIQXLXPUXCSUXDVGTYJVGYS $.
  $}

  ${
    $d N k s $.  $d k ph s $.  $d n s $.
    dirkertrigeq.d $e |- D = ( n e. NN |-> ( s e. RR |-> if ( ( s mod ( 2 x.
       _pi ) ) = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n +
       ( 1 / 2 ) ) x. s ) ) / ( ( 2 x. _pi ) x. ( sin ` ( s / 2 ) ) ) ) ) ) )
       $.
    dirkertrigeq.n $e |- ( ph -> N e. NN ) $.
    dirkertrigeq.f $e |- F = ( D ` N ) $.
    dirkertrigeq.h $e |- H = ( s e. RR |-> ( ( ( 1 / 2 ) + sum_ k e. ( 1 ... N
       ) ( cos ` ( k x. s ) ) ) / _pi ) ) $.
    $( Trigonometric equality for the Dirichlet kernel.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    dirkertrigeq $p |- ( ph -> F = H ) $=
      ( c2 cpi cmul co wceq c1 cdiv wcel cfv cr cmo cc0 caddc csin cif cmpt a1i
      cv cn dirkerval syl cfz ccos csu wa cc 2cnd mulcld peano2cn picn wne 2ne0
      nncnd pire pipos gt0ne0ii divdiv1d eqcomd ad2antrr iftrue adantl chash cz
      wral elfzelz zcnd recn 2cn mulcli mulne0i divassd simpr crp wb simpl pirp
      2rp rpmulcl mp2an mod0 sylancl mpbid adantr zmulcld eqeltrd coseq1 mpbird
      adantlr ralrimiva adantll sumeq2d cfn fzfid 1cnd fsumconst syl2anc nnnn0d
      cn0 hashfz1 oveq1d mulid1d eqtrd 3eqtrd oveq2d ax-1ne0 divadddivd addcomd
      div1d mulcomd oveq12d 3eqtr4rd iffalse cfl divcan1d rpreccl ax-mp mp3an13
      wn moddi divrec2d reccld mulassd eqtr2d recnd adantlll fvoveq1d pm2.61dan
      fveq2d recidi oveq2i syl5eq id modcld divne0i neqne mulne0d eqnetrd oddfl
      sumeq2sdv redivcld rehalfcld flcld ad2antlr eqid dirkertrigeqlem3 3eqtrrd
      ax-1cn simplr sineq0 mtbird neqned dirkertrigeqlem2 mpteq2dva eqtr2id
      mtbid ) AEGBUAZHUBHUJZMNOPZUCPZUDQZMGOPZRUEPZUVJSPZGRMSPZUEPZUVIOPZUFUAZU
      VJUVIMSPUFUAZOPZSPZUGZUHZFEUVHQAKUIAGUKTZUVHUWDQJBDGHIULUMAFHUBUVPRGUNPZC
      UJZUVIOPZUOUAZCUPZUEPZNSPZUHUWDLAHUBUWLUWCAUVIUBTZUQZUVLUWLUWCQUWNUVLUQZU
      VOUVNMSPZNSPZUWCUWLAUVOUWQQUWMUVLAUWQUVOAUVNMNAUVMURTUVNURTAMGAUSZAGJVEZU
      TUVMVAUMUWRNURTZAVBUIMUDVCAVDUIZNUDVCZANVFVGVHZUIVIVJVKUVLUWCUVOQUWNUVLUV
      OUWBVLVMUWOUWKUWPNSUWOUWKUVPGUEPZUWPUWOUWJGUVPUEUWOUWJUWFRCUPZUWFVNUAZROP
      ZGUWOUWFUWIRCUWMUVLUWIRQZCUWFVPAUWMUVLUQZUXHCUWFUXIUWGUWFTZUQZUXHUWHUVJSP
      ZVOTZUXKUXLUWGUVIUVJSPZOPVOUXKUWGUVIUVJUXJUWGURTZUXIUXJUWGUWGRGVQZVRZVMUW
      MUVIURTZUVLUXJUVIVSZVKUVJURTZUXKMNVTVBWAZUIUVJUDVCUXKMNVTVBVDUXCWBUIWCUXK
      UWGUXNUXJUWGVOTUXIUXPVMUXIUXNVOTZUXJUXIUVLUYBUWMUVLWDUXIUWMUVJWETZUVLUYBW
      FUWMUVLWGMWETNWETZUYCWIWHMNWJWKZUVIUVJWLWMWNWOWPWQUWMUXJUXHUXMWFZUVLUWMUX
      JUQZUWHURTUYFUYGUWGUVIUXJUXOUWMUXQVMUWMUXRUXJUXSWOUTUWHWRUMWTWSXAXBXCUWOU
      WFXDTRURTUXEUXGQUWORGXEUWOXFUWFRCXGXHAUXGGQUWMUVLAUXGGROPGAUXFGROAGXJTUXF
      GQAGJXIGXKUMXLAGUWSXMXNVKXOXPAUXDUWPQUWMUVLAUXDUVPGRSPZUEPRROPZGMOPZUEPZM
      ROPZSPUWPAGUYHUVPUEAUYHGAGUWSXTVJXPARMGRAXFZUWRUWSUYMUXARUDVCAXQUIXRAUYKU
      VNUYLMSAUYKUYJUYIUEPUVNAUYIUYJARRUYMUYMUTAGMUWSUWRUTXSAUYJUVMUYIRUEAGMUWS
      UWRYAARUYMXMYBXNAMUWRXMYBXOVKXNXLYCUWNUVLYJZUQZUWCUWBUWLUYNUWCUWBQUWNUVLU
      VOUWBYDVMUYOUVINUCPUDQZUWBUWLQZUYOUYPUQZUWLUVPUWFUWGMUVINSPZMSPZYEUAZOPRU
      EPZNOPZOPZUOUAZCUPZUEPZNSPZUVQVUCOPZUFUAZUVJVUCMSPUFUAZOPZSPZUWBUWMUYNUYP
      UWLVUHQAUWMUYNUQZUYPUQZUWKVUGNSVUOUWJVUFUVPUEVUOUWFUWIVUECVUOUWHVUDUOVUOU
      VIVUCUWGOVUOUVIUYSNOPZVUCUWMUVIVUPQUYNUYPUWMVUPUVIUWMUVINUXSUWTUWMVBUIZUX
      BUWMUXCUIZYFZVJVKVUOUYSVUBNOVUOUYSVOTZUYSMUCPZUDVCZUYSVUBQZUWMUYPVUTUYNUW
      MUYPUQZUYPVUTUWMUYPWDVVDUWMUYDUYPVUTWFZUWMUYPWGWHUVINWLZWMWNWTVUNVVBUYPVU
      NVVARNSPZUVKOPZUDUWMVVAVVHQUYNUWMVVHVVGUVIOPZVVGUVJOPZUCPZVVAVVGWETZUWMUY
      CVVHVVKQUYDVVLWHNYGYHUYEVVGUVIUVJYKYIUWMVVIUYSVVJMUCUWMUYSVVIUWMUVINUXSVU
      QVURYLVJUWMVVJUVJVVGOPMNVVGOPZOPZMUWMVVGUVJUWMNVUQVURYMZUXTUWMUYAUIYAUWMM
      NVVGUWMUSZVUQVVOYNUWMVVNUYLMVVMRMONVBUXCUUAUUBUWMMVVPXMUUCXOYBYOWOVUNVVGU
      VKUWMVVGURTUYNVVOWOUWMUVKURTUYNUWMUVKUWMUVIUVJUWMUUDZUYCUWMUYEUIUUEYPWOVV
      GUDVCVUNRNUUSVBXQUXCUUFUIUYNUVKUDVCUWMUVKUDUUGVMUUHUUIWOUYSUUJXHZXLXNXPYT
      UUKXPXLYQUWNUYPVUHVUMQUYNUWNUYPUQVUCCVUAGAUWEUWMUYPJVKUWMVUAVOTAUYPUWMUYT
      UWMUYSUWMUVINVVQNUBTUWMVFUIVURUULUUMUUNUUOVUCUUPUUQWTUYRVUMUVQVUPOPZUFUAZ
      UVJVUPMSPUFUAZOPZSPZUWBUYRVUJVVTVULVWBSUYRVUIVVSUFUYRVUCVUPUVQOUYRVUBUYSN
      OUYRUYSVUBUWMUYNUYPVVCAVVRYQVJXLZXPYTUYRVUKVWAUVJOUYRVUCVUPMUFSVWDYRXPYBU
      WNVWCUWBQZUYNUYPUWMVWEAUWMVVTUVSVWBUWASUWMVVSUVRUFUWMVUPUVIUVQOVUSXPYTUWM
      VWAUVTUVJOUWMVUPUVIMUFSVUSYRXPYBVMVKXNUURUWNUYPYJZUYQUYNUWNVWFUQZUWLUWBVW
      GUVICGAUWMVWFUUTZVWGUVIUFUAZUDVWGVWIUDQZVUTVWGUYPVUTUWNVWFWDVWGUWMUYDVVEV
      WHWHVVFWMUVGVWGUXRVWJVUTWFVWGUVIVWHYPUVIUVAUMUVBUVCAUWEUWMVWFJVKUVDVJWTYS
      YOYSUVEUVFXO $.
  $}

  ${
    $d A k s x $.  $d B k s x $.  $d F s x $.  $d G s $.  $d N k s x $.
    $d k ph s $.  $d n s x $.
    dirkeritg.d $e |- D = ( n e. NN |-> ( x e. RR |-> if ( ( x mod ( 2 x. _pi )
       ) = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n + ( 1 /
       2 ) ) x. x ) ) / ( ( 2 x. _pi ) x. ( sin ` ( x / 2 ) ) ) ) ) ) ) $.
    dirkeritg.n $e |- ( ph -> N e. NN ) $.
    dirkeritg.f $e |- F = ( D ` N ) $.
    dirkeritg.a $e |- ( ph -> A e. RR ) $.
    dirkeritg.b $e |- ( ph -> B e. RR ) $.
    dirkeritg.aleb $e |- ( ph -> A <_ B ) $.
    dirkeritg.g $e |- G = ( x e. ( A [,] B ) |-> ( ( ( x / 2 ) + sum_ k e. ( 1
       ... N ) ( ( sin ` ( k x. x ) ) / k ) ) / _pi ) ) $.
    $( The definite integral of the Dirichlet Kernel.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    dirkeritg $p |- ( ph -> S. ( A (,) B ) ( F ` x ) _d x = ( ( G ` B ) - ( G `
       A ) ) ) $=
      ( vs cr cc cioo co cv cfv citg cdv cmin wceq fveq2 cbvitgv a1i wcel wa c1
      cdiv cfz cmul ccos csu caddc cpi cmpt elioore adantl halfre fzfid elfzelz
      c2 zred simpl remulcld recoscld fsumrecl readdcld pire cc0 pipos gt0ne0ii
      wne redivcld syl eqid fvmpt2 syl2anc cn cmo cif oveq1 eqeq1d oveq2 fveq2d
      csin oveq2d oveq12d cbvmptv mpteq2i eqtri dirkertrigeq fveq1d adantr cicc
      oveq1d sumeq2sdv oveq2i crn ctg ccnfld ctopn cpr reelprrecn mulcld sincld
      ifbieq2d 1red divcld picn 2ne0 dvmptdivc ancoms 3adant1 recnd sylan2 cres
      wss ax-resscn resmpt 3eqtrd ccncf constcncfg cncfmpt1f cncfmptssg addcncf
      cdm fsumcncf difssd eldifsn mpbir2an divcncf eqeltrd cibl halfcld clt wbr
      recn zcnd 0red elfzle1 ltletrd gt0ne0d fsumcl addcld dvmptid tgioo2 reopn
      0lt1 2cnd simpr coscld mp1i eqcomd fmpttd wral ralrimiva dmmptg sseqtrrid
      wf dvsinax dmeqd sseqtrrd dvcnre reseq1d ax-mp eqtrdi mpteq2dva dvmptfsum
      divcan3d eqtrd dvmptadd iccssred iccntr dvmptres2 syl5eq fvmpt2d itgeq2dv
      cnt 3eqtr4d ioosscn ssid coscn mulc1cncf csn cdif cncfmptc mp3an ioossicc
      halfcn cvol ioombl sselda sstrdi cniccibl syl3anc iblss idcncfg 2cn sincn
      ad2antlr adantlr sylanbrc eqeltrid ftc2 ) ABCDUAUBZBUCZHUDZUEZRUXLRUCZHUD
      ZUEZRUXLUXPSIUFUBZUDZUEDIUDCIUDUGUBUXOUXRUHABRUXLUXNUXQUXMUXPHUIUJUKARUXL
      UXQUXTAUXPUXLULZUMZUXPRSUNVHUOUBZUNJUPUBZFUCZUXPUQUBZURUDZFUSZUTUBZVAUOUB
      ZVBZUDZUYJUXQUXTUYBUXPSULZUYJSULZUYLUYJUHUYAUYMAUXPCDVCZVDZUYBUYMUYNUYPUY
      MUYIVAUYMUYCUYHUYCSULZUYMVEUKUYMUYDUYGFUYMUNJVFZUYMUYEUYDULZUMZUYFUYTUYEU
      XPUYSUYESULZUYMUYSUYEUYEUNJVGZVIZVDUYMUYSVJVKVLZVMZVNZVASULZUYMVOUKVAVPVS
      ZUYMVAVOVQVRZUKZVTZWAZRSUYJSUYKUYKWBZWCWDAUXQUYLUHUYAAUXPHUYKAEFGHUYKJREG
      WEBSUXMVHVAUQUBZWFUBZVPUHZVHGUCZUQUBUNUTUBVUNUOUBZVUQUYCUTUBZUXMUQUBZWLUD
      ZVUNUXMVHUOUBZWLUDZUQUBZUOUBZWGZVBZVBGWERSUXPVUNWFUBZVPUHZVURVUSUXPUQUBZW
      LUDZVUNUXPVHUOUBZWLUDZUQUBZUOUBZWGZVBZVBKGWEVVGVVQBRSVVFVVPUXMUXPUHZVUPVV
      IVVEVVOVURVVRVUOVVHVPUXMUXPVUNWFWHWIVVRVVAVVKVVDVVNUOVVRVUTVVJWLUXMUXPVUS
      UQWJWKVVRVVCVVMVUNUQVVRVVBVVLWLUXMUXPVHUOWHZWKWMWNXMWOWPWQLMVUMWRWSWTARUX
      LUYJUXSSAUXSSRCDXAUBZVVLUYDUYFWLUDZUYEUOUBZFUSZUTUBZVAUOUBZVBZUFUBRUXLUYJ
      VBZIVWFSUFIBVVTVVBUYDUYEUXMUQUBZWLUDZUYEUOUBZFUSZUTUBZVAUOUBZVBVWFQBRVVTV
      WMVWEVVRVWLVWDVAUOVVRVVBVVLVWKVWCUTVVSVVRUYDVWJVWBFVVRVWIVWAUYEUOVVRVWHUY
      FWLUXMUXPUYEUQWJWKXBXCWNXBWOWQZXDARVWEUYJSUAXEXFUDZXGXHUDZSSUXLVVTSSTXIUL
      ZAXJUKZUYMVWETULAUYMVWDVAUYMVVLVWCUYMUXPUXPUUDZUUAZUYMUYDVWBFUYRUYTVWAUYE
      UYTUYFUYTUYEUXPUYSUYETULZUYMUYSUYEVUBUUEZVDZUYMUXPTULZUYSVWSWTXKXLZVXCUYS
      UYEVPVSZUYMUYSUYEUYSVPUNUYEUYSUUFUYSXNVUCVPUNUUBUUCUYSUUOUKUYEUNJUUGUUHUU
      IZVDXOZUUJZUUKZVATULZUYMXPUKVUJXOVDUYMUYNAVUKVDARVWDUYIVASSSVWRUYMVWDTULA
      VXJVDUYMUYISULAVUFVDARVVLUYCVWCUYHSSSSVWRUYMVVLTULAVWTVDUYQAUYMUMZVEUKARU
      XPUNVHSSSVWRUYMVXDAVWSVDVXLXNARSVWRUULAUUPVHVPVSZAXQUKXRUYMVWCTULAVXIVDUY
      MUYHSULAVUEVDARVWBUYGSFUYDVWOVWPSVWPVWPWBZUUMZVXNVWRSVWOULAUUNUKAUNJVFZUY
      SUYMVWBTULZAUYMUYSVXQVXHXSXTUYSUYMUYGTULZAUYSUYMUMZUYGUYMUYSUYGSULVUDXSYA
      ZXTUYSSRSVWBVBUFUBZRSUYGVBZUHAUYSVYARSUYEUYGUQUBZUYEUOUBZVBVYBUYSRVWAVYCU
      YESTSVWQUYSXJUKUYMUYSVWATULVXEXSUYMUYSVXDVYCTULZVWSUYSVXDUMZUYEUYGUYSVXAV
      XDVXBWTZVYFUYFVYFUYEUXPVYGUYSVXDUUQXKZUURXKZYBUYSSRSVWAVBZUFUBSRTVWAVBZSY
      CZUFUBZTVYKUFUBZSYCZRSVYCVBZUYSVYJVYLSUFUYSVYLVYJSTYDZVYLVYJUHUYSYERTSVWA
      YFUUSUUTWMUYSTTVYKUVFSVYNYMZYDVYMVYOUHUYSRTVWATVYFUYFVYHXLUVAUYSSRTVYCVBZ
      YMZVYRUYSTSVYTYEUYSVYERTUVBVYTTUHUYSVYERTVYIUVCRTVYCTUVDWAUVEUYSVYNVYSUYS
      VXAVYNVYSUHVXBRUYEUVGWAZUVHUVIVYKUVJWDUYSVYOVYSSYCZVYPUYSVYNVYSSWUAUVKVYQ
      WUBVYPUHYERTSVYCYFUVLUVMYGVXBVXGXRUYSRSVYDUYGVXSUYGUYEVXTUYSVXAUYMVXBWTUY
      SVXFUYMVXGWTUVPUVNUVQVDUVOUVRVXKAXPUKVUHAVUIUKXRACDNOUVSZVXOVXNACSULZDSUL
      ZVVTVWOUWEUDUDUXLUHNOCDUVTWDUWAUWBZVULUWCUWFUWDARCDINOPAUXSVWGUXLTYHUBZWU
      FARUYIVAUXLARUYCUYHUXLARUXLUYCTUXLTYDZACDUWGZUKZUYCTULAUWPUKZTTYDZATUWHZU
      KZYIARUYDUYGFUXLWUJVXPUYSRUXLUYGVBWUGULAUYSRTTUXLTUYGRTUYGVBZWUOWBUYSRUYF
      URTURTTYHUBZULUYSUWIUKUYSVXARTUYFVBZWUPULVXBRUYEWUQWUQWBUWJWAZYJZWUHUYSWU
      IUKWULUYSWUMUKUYAUYSUYMVXRUYOVXTYBYKVDYNYLARTTUXLTVPUWKZUWLZVARTVAVBZWVBW
      BWVBWUPULZAVXKWULWULWVCXPWUMWUMRVATTUWMUWNUKWUJATWUTYOZVAWVAULZUYBWVEVXKV
      UHXPVUIVATVPYPYQZUKYKYRYSAUXSVWGYTWUFARUXLVVTUYJSUXLVVTYDACDUWOUKUXLUWQYM
      ULACDUWRUKAUXPVVTULZUMZUYIVAWVHUYCUYHUYQWVHVEUKWVHUYDUYGFWVHUNJVFWVHUYSUM
      ZUYFWVIUYEUXPUYSVUAWVHVUCVDWVHUYMUYSAVVTSUXPWUCUWSZWTVKVLVMZVNVUGWVHVOUKV
      UHWVHVUIUKVTAWUDWUERVVTUYJVBZVVTTYHUBZULWVLYTULNOARUYIVAVVTARUYCUYHVVTARV
      VTUYCTAVVTSTWUCYEUWTZWUKWUNYIARTTVVTTUYHRTUYHVBZWVOWBARUYDUYGFTWUNVXPUYSW
      UOWUPULAWUSVDYNWVNWUNWVHUYHWVKYAYKYLARVVTVAWVAWVNWVEAWVFUKWVDYIZYRCDWVLUX
      AUXBUXCYSAIVWFWVMVWNARVWDVAVVTARVVLVWCVVTARUXPVHVVTARVVTTWVNWUNUXDARVVTVH
      WVAWVNVHWVAULZAWVQVHTULVXMUXEXQVHTVPYPYQUKWVDYIYRARUYDVWBFVVTWVNVXPAUYSUM
      ZRVWAUYEVVTWVRRTTVVTTVWAVYKVYKWBUYSVYKWUPULAUYSRUYFWLTWLWUPULUYSUXFUKWURY
      JVDAVVTTYDUYSWVNWTZWULWVRWUMUKWVRWVGUMZUYFWVTUYEUXPUYSVXAAWVGVXBUXGAWVGVX
      DUYSWVHUXPWVJYAUXHXKXLYKWVRRVVTUYEWVAWVSUYSUYEWVAULZAUYSVXAVXFWWAVXBVXGUY
      ETVPYPUXIVDWVRTWUTYOYIYRYNYLWVPYRUXJUXKYG $.
  $}

  ${
    $d Y y $.  $d ph y $.
    dirkercncflem1.a $e |- A = ( Y - _pi ) $.
    dirkercncflem1.b $e |- B = ( Y + _pi ) $.
    dirkercncflem1.y $e |- ( ph -> Y e. RR ) $.
    dirkercncflem1.ymod0 $e |- ( ph -> ( Y mod ( 2 x. _pi ) ) = 0 ) $.
    $( If ` Y ` is a multiple of ` _pi ` then it belongs to an open inerval
       ` ( A (,) B ) ` such that for any other point ` y ` in the interval, cos
       y/2 and sin y/2 are nonzero.  Such an interval is needed to apply De
       L'Hopital theorem.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dirkercncflem1 $p |- ( ph -> ( Y e. ( A (,) B ) /\ A. y e. ( ( A (,) B ) \
       { Y } ) ( ( sin ` ( y / 2 ) ) =/= 0 /\ ( cos ` ( y / 2 ) ) =/= 0 ) ) )
       $=
      ( co wcel c2 cdiv cpi a1i caddc clt wbr c1 adantr cioo cv csin cfv cc0 wa
      wne ccos csn cdif wral cmin cxr cr resubcld rexrd eqeltrid readdcld pipos
      pire ltsubpos syl2anc eqbrtrid ltaddpos breqtrrdi eliood wceq cmul eldifi
      mpbii cz elioored adantl recnd 2cnd cc picn 2ne0 gt0ne0ii divdiv1d wn cmo
      crp wb 2rp pirp rpmulcld mod0 mpbid peano2zm syl ad2antrr zred rerpdivcld
      rpred rpne0d redivcld dividd eqcomd oveq2d divsubdird eqtr4d mulid2i 1lt2
      eqcomi 1re 2re ltmul1ii mpbi eqbrtri ltsub2dd ltdiv1dd eqbrtrd w3a elioo2
      simp2d lttrd ad2antlr simpr divcld 1cnd npcand breqtrd btwnnz syl3anc cle
      eldifsni necomd 1red oveq1i divdird eqneltrd halfcld mtbird neqned oveq1d
      eqtrd 3eqtrd ltadd1dd jca leneltd stoic1a ltnled mpbird simp3d 2cn oveq2i
      mulcomi pm3.2i 2cnne0 divdiv1 mp3an dividi 3eqtr2i ltadd2dd sineq0 eqtr2d
      halflt1 pm2.61dan mulid1d mulcomd divcan5d rehalfcld 2halvesd ralrimiva
      oveq12d addassd coseq0 ) AECDUAJZKBUBZLMJZUCUDZUEUGZUVKUHUDZUEUGZUFZBUVIE
      UIZUJZUKACDEACENULJZUMFAUVSAENHNUNKZAUTOZUOZUPUQZADENPJZUMGAUWDAENHUWAURZ
      UPUQZHACUVSEQFAUVTEUNKZUVSEQRZUWAHUVTUWGUFZUENQRZUWHUSNEVAVJVBVCAEUWDDQAU
      VTUWGEUWDQRZUWAHUWIUWJUWKUSNEVDVJVBGVEVFAUVPBUVRAUVJUVRKZUFZUVMUVOUWMUVLU
      EUWMUVLUEVGZUVKNMJZVKKZUWMUWOUVJLNVHJZMJZVKUWMUVJLNUWMUVJUWLUVJUNKZAUWLUV
      JCDUVJUVIUVQVIZVLZVMZVNZUWMVONVPKZUWMVQOLUEUGZUWMVRONUEUGZUWMNUTUSVSZOVTZ
      UWMUVJEQRZUWRVKKWAZUWMUXIUFZEUWQMJZSULJZVKKZUXMUWRQRZUWRUXMSPJZQRUXJAUXNU
      WLUXIAUXLVKKZUXNAEUWQWBJUEVGZUXQIAUWGUWQWCKZUXRUXQWDHALNLWCKAWEONWCKAWFOW
      GZEUWQWHVBWIZUXLWJWKZWLUWMUXOUXIUWMUXMCUWQMJZUWRAUXMUNKUWLAUXMUYBWMTAUYCU
      NKUWLACUWQACUVSUNFUWBUQZUXTWNTZUWMUVJUWQUXBAUWQUNKUWLAUWQUXTWOZTAUWQUEUGU
      WLAUWQUXTWPZTWQZAUXMUYCQRUWLAUXMEUWQULJZUWQMJZUYCQAUXMUXLUWQUWQMJZULJUYJA
      SUYKUXLULAUYKSAUWQAUWQUYFVNZUYGWRWSWTAEUWQUWQAEHVNZUYLUYLUYGXAXBAUYICUWQA
      EUWQHUYFUOUYDUXTAUYIUVSCQANUWQEUWAUYFHNUWQQRANSNVHJZUWQQUYNNNVQXCXESLQRUY
      NUWQQRXDSLNXFXGUTUSXHXIXJOXKFVEXLXMTUWMCUVJUWQACUNKUWLUYDTUXBAUXSUWLUXTTZ
      UWMUWSCUVJQRZUVJDQRZUWMUVJUVIKZUWSUYPUYQXNZUWLUYRAUWTVMUWMCUMKZDUMKZUYRUY
      SWDAUYTUWLUWCTAVUAUWLUWFTCDUVJXOVBWIZXPXLZXQTUXKUWRUXLUXPQUXKUVJEUWQUWLUW
      SAUXIUXAXRAUWGUWLUXIHWLAUXSUWLUXIUXTWLUWMUXIXSXLUWMUXLUXPVGUXIUWMUXPUXLUW
      MUXLSAUXLVPKUWLAEUWQUYMUYLUYGXTZTUWMYAYBWSTYCUXMUWRYDYEUWMUXIWAZUFZUXQUXL
      UWRQRUWRUXLSPJZQRZUXJAUXQUWLVUEUYAWLVUFEUVJUWQAUWGUWLVUEHWLZUWMUWSVUEUXBT
      ZUWMUXSVUEUYOTVUFEUVJQRUVJEYFRZWAUWMVUKUXIUWMVUKUFUVJEUWMUWSVUKUXBTAUWGUW
      LVUKHWLUWMVUKXSUWLEUVJUGAVUKUWLUVJEUVJUVIEYGYHXRUUAUUBVUFEUVJVUIVUJUUCUUD
      XLUWMVUHVUEUWMUWRDUWQMJZVUGUYHAVULUNKUWLADUWQADUWDUNGUWEUQZUXTWNTZUWMUXLS
      AUXLUNKUWLAEUWQHUXTWNZTUWMYIZURUWMUVJDUWQUXBADUNKUWLVUMTUYOUWMUWSUYPUYQVU
      BUUEXLZAVULVUGQRUWLAVULUWDUWQMJZVUGQDUWDUWQMGYJZAVURUXLNUWQMJZPJZVUGQAENU
      WQUYMUXDAVQOZUYLUYGYKZAVUTSUXLANUWQUWAUXTWNAYIVUOVUTSQRAVUTSLMJZSQVUTNNLV
      HJZMJZNNMJZLMJZVVDUWQVVENMLNUUFVQUUHUUGUXDUXDUXFUFLVPKUXEUFVVHVVFVGVQUXDU
      XFVQUXGUUIUUJNNLUUKUULVVGSLMNVQUXGUUMYJUUNUURXJOUUOXMVCTXQTUXLUWRYDYEUUSY
      LUWMUVKVPKZUWNUWPWDUWMUVJUXCYMZUVKUUPWKYNYOUWMUVNUEUWMUVNUEVGZUWOVVDPJZVK
      KZUWMVVLUWRVVDPJZVKUWMUWOUWRVVDPUXHYPUWMUXQUXLVVNQRVVNVUGQRVVNVKKWAAUXQUW
      LUYATUWMUXLUYCVVDPJZVVNQAUXLVVOVGUWLAUXLCNPJZUWQMJUYCVUTPJVVOAEVVPUWQMAVV
      PUVSNPJEACUVSNPCUVSVGAFOYPAENUYMVVBYBUUQYPACNUWQACUYDVNVVBUYLUYGYKAVUTVVD
      UYCPAVUTNSVHJZVVEMJVVDANVVQUWQVVEMAVVQNANVVBUUTWSALNAVOZVVBUVAUVFASLNAYAZ
      VVRVVBUXEAVROUXFAUXGOUVBYQZWTYRTUWMUYCUWRVVDUYEUYHUWMSVUPUVCZVUCYSXMUWMVV
      NVULVVDPJZVUGQUWMUWRVULVVDUYHVUNVWAVUQYSAVWBVUGVGUWLAVWBVURVVDPJUXLVVDPJZ
      VVDPJZVUGAVULVURVVDPVULVURVGAVUSOYPAVURVWCVVDPAVURVVAVWCVVCAVUTVVDUXLPVVT
      WTYQYPAVWDUXLVVDVVDPJZPJVUGAUXLVVDVVDVUDASVVSYMZVWFUVGAVWESUXLPASVVSUVDWT
      YQYRTYCUXLVVNYDYEYLUWMVVIVVKVVMWDVVJUVKUVHWKYNYOYTUVEYT $.
  $}

  ${
    $d A w y $.  $d B w y $.  $d D y $.  $d F w y $.  $d G w y $.  $d H w y $.
    $d I w y $.  $d L y $.  $d N w y $.  $d Y w y $.  $d n y $.  $d ph w y $.
    dirkercncflem2.d $e |- D = ( n e. NN |-> ( y e. RR |-> if ( ( y mod ( 2 x.
       _pi ) ) = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n +
       ( 1 / 2 ) ) x. y ) ) / ( ( 2 x. _pi ) x. ( sin ` ( y / 2 ) ) ) ) ) ) )
       $.
    dirkercncflem2.f $e |- F = ( y e. ( ( A (,) B ) \ { Y } ) |-> ( sin ` ( ( N
       + ( 1 / 2 ) ) x. y ) ) ) $.
    dirkercncflem2.g $e |- G = ( y e. ( ( A (,) B ) \ { Y } ) |-> ( ( 2 x. _pi
       ) x. ( sin ` ( y / 2 ) ) ) ) $.
    dirkercncflem2.yne0 $e |- ( ( ph /\ y e. ( ( A (,) B ) \ { Y } ) ) -> ( sin
       ` ( y / 2 ) ) =/= 0 ) $.
    dirkercncflem2.h $e |- H = ( y e. ( ( A (,) B ) \ { Y } ) |-> ( ( N + ( 1 /
       2 ) ) x. ( cos ` ( ( N + ( 1 / 2 ) ) x. y ) ) ) ) $.
    dirkercncflem2.i $e |- I = ( y e. ( ( A (,) B ) \ { Y } ) |-> ( _pi x. (
       cos ` ( y / 2 ) ) ) ) $.
    dirkercncflem2.l $e |- L = ( w e. ( A (,) B ) |-> ( ( ( N + ( 1 / 2 ) ) x.
       ( cos ` ( ( N + ( 1 / 2 ) ) x. w ) ) ) / ( _pi x. ( cos ` ( w / 2 ) ) )
       ) ) $.
    dirkercncflem2.n $e |- ( ph -> N e. NN ) $.
    dirkercncflem2.y $e |- ( ph -> Y e. ( A (,) B ) ) $.
    dirkercncflem2.ymod $e |- ( ph -> ( Y mod ( 2 x. _pi ) ) = 0 ) $.
    dirkercncflem2.11 $e |- ( ( ph /\ y e. ( ( A (,) B ) \ { Y } ) ) -> ( cos `
       ( y / 2 ) ) =/= 0 ) $.
    $( Lemma used to prove that the Dirichlet Kernel is continuous at ` Y `
       points that are multiples of ` ( 2 x. _pi ) ` .  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    dirkercncflem2 $p |- ( ph -> ( ( D ` N ) ` Y ) e. ( ( ( D ` N ) |` ( ( A
       (,) B ) \ { Y } ) ) limCC Y ) ) $=
      ( cfv co csn cdif cdiv cmpt climc cres cr wss a1i c1 caddc cmul csin wcel
      c2 wa adantr fmptd cpi eqid cdv cdm wceq oveq2d resmpt ax-mp eqcomi cc wf
      ccos ax-resscn halfcn addcld mulcld sincld ssid ctop sylancr simpr coscld
      dmeqd dmmptd eqtrd mp1i reseq1d 3eqtr3d 3eqtrd eqcomd recnd syldan eqtr2d
      syl picn halfcld 2cnd cc0 wne 2ne0 fveq2d adantl mpteq2dva sylancl oveq1d
      id oveq12d 3eqtrrd eqidd fvmptd cmo wi cz divdiv1d neneqd mtbird ad2antrr
      wral mpbid syl2anc eqeltrd eleqtrd cif crest ccnp eqtr4d pm2.61dan fveq1d
      wb wn mpbird fvoveq1 constcncfg mulcncf fvmpt2 cioo cv difss sstri halfre
      ioossre cn nnred readdcld sselda remulcld resincld 2re remulcli rehalfcld
      pire crn ctg iooretop cnt nncnd pm3.2i ccnfld ctopn tgioo2 dvres syl21anc
      retop ccld cha rehaus elioored uniretop difopn isopn3i reseq2d reelprrecn
      sncld dvsinax sseqtrrid dvres3 syl22anc eqtrdi eqimss oveq2i mulcli sseli
      cpr 2cn 1cnd div13d halfcl mulid1d dvasinbx mul32d recidd mulid2d resmptd
      ccom wfn ralrimiva fnmpt eldifi eleq1w anbi2d neeq1d imbi12d elioore 3syl
      oveq1 0re pipos gtneii sineq0 mtbid eqneltrd crp 2rp rpmulcl mp2an neqned
      pirp mod0 chvarvv simpll ad2antlr 0red 1red nngt0d rpreccld lttrd gt0ne0d
      ltaddrpd jca mulcan syl3anc sylan9eqr elsn2g eldifd sinf difeq1d fnfvrnss
      mtand fdmi cun uncom snssd undif sylib mpteq1d iftrue oveq2 iffalse simpl
      velsn sylnibr adantll ccn ccncf mulc1cncf cnfldtop unicntop restid cncfcn
      ioosscn sstrid cnrest eqeltrrid ctopon cnfldtopon resttopon simprd eleq2d
      cncnp fveq2 rspccva sstrdi ellimc mulne0d divcan1d divcld mulassd adddird
      mul12d recid2d nnzd zmulcld peano2zd sinkpi sincn cnlimci limccog feqmptd
      eqeltrrd fcompt 3eqtr4rd iftrued divdiv32d div32d divcan3d mul01d fvmptd3
      2z divrec2d mpteq2ia eqeltri cncfmpt1f cncfmptssg 3eltr4d cima wrex ffund
      nrexdv wfun fvelima sylan wo mul0ord 2cnne0 mulne0 pm2.53 mpisyl reximdva
      neii mpd eqnetrd imaeq1d neleqtrrd dirkerval2 divdird addcomd divassd clt
      ex cosper zred halflt1 ltadd2dd btwnnz coseq0 divcan5rd ffvelrnd fvoveq1d
      wbr syl12anc sylan2 idcncfg coscn cncfco divrecd cncfmptid difssd adantlr
      cosf elsng divcncf mpteq2dv lhop dirkerval iffalsed ) ANMFUFZUFZBDEUUAUGZ
      NUHZUIZBUUBZHUFZWVFIUFZUJUGZUKZNULUGWVAWVEUMZNULUGABWVENWVBWVEHIWVCWVEUNU
      OZAWVEWVCUNWVCWVDUUCDEUUFZUUDZUPZABWVEMUQVBUJUGZURUGZWVFUSUGZUTUFZUNHAWVF
      WVEVAZVCZWVRWWAWVQWVFWWAMWVPWWAMAMUUGVAZWVTUBVDUUHWVPUNVAWWAUUEUPUUIAWVEU
      NWVFWVOUUJZUUKUULZPVEZABWVEVBVFUSUGZWVFVBUJUGZUTUFZUSUGZUNIWWAWWFWWHWWFUN
      VAWWAVBVFUUMUUPUUNUPWWAWWGWWAWVFWWCUUOUULUUKQVEWVCUUAUUQUURUFZVAZADEUUSZU
      PUCWVEVGAWVEUNHVHUGZVIZVJWVEWWNUOAWWNJVIWVEAWWMJAWWMUNBWVEWVSUKZVHUGZBWVE
      WVQWVRVQUFZUSUGZUKZJAHWWOUNVHHWWOVJZAPUPVKAWWPUNBUNWVSUKZWVEUMZVHUGZUNWXA
      VHUGZWVEWWJUUTUFUFZUMZWWSAWWOWXBUNVHWWOWXBVJAWXBWWOWVLWXBWWOVJWVNBUNWVEWV
      SVLVMVNUPVKAUNVOUOZUNVOWXAVPUNUNUOZWVLVCZWXCWXFVJWXGAVRUPZABUNWVSVOWXAAWV
      FUNVAZVCZWVRWXLWVQWVFAWVQVOVAZWXKAMWVPAMUBUVAZWVPVOVAZAVSUPZVTZVDAUNVOWVF
      WXJUUJZWAZWBWXAVGVEWXIAWXHWVLUNWCWVNUVBUPZUNWVEUNWWJWXAUVCUVDUFZWYAVGZWYA
      WYBUVEZUVFUVGAWXFWXDWVEUMBUNWWRUKZWVEUMZWWSAWXEWVEWXDAWWJWDVAWVEWWJVAZWXE
      WVEVJUVHAWWKWVDWWJUVIUFVAZWYFWWLAWWJUVJVANUNVAZWYGUVKANDEUCUVLZNWWJUNUVMU
      VRWEWVCWVDWWJUNUVMUVNWEWVEWWJUVOWEZUVPAWXDWYDWVEAUNBVOWVSUKZUNUMZVHUGZVOW
      YKVHUGZUNUMZWXDWYDAUNUNVOUWHVAZVOVOWYKVPVOVOUOZUNWYNVIZUOWYMWYOVJWYPAUVQU
      PZABVOWVSVOWYKAWVFVOVAZVCZWVRXUAWVQWVFAWXMWYTWXQVDZAWYTWFZWAZWBWYKVGVEWYQ
      AVOWCZUPZAVOUNWYRVRAWYRBVOWWRUKZVIVOAWYNXUGAWXMWYNXUGVJWXQBWVQUVSWSZWHABX
      UGVOWWRVOXUGVGXUAWVQWWQXUBXUAWVRXUDWGWAZWIWJUVTVOUNWYKUWAUWBAWYLWXAUNVHWX
      GWYLWXAVJAVRBVOUNWVSVLWKVKAWYOXUGUNUMZWYDAWYNXUGUNXUHWLWXGXUJWYDVJVRBVOUN
      WWRVLVMUWCWMWLWVLWYEWWSVJAWVNBUNWVEWWRVLWKWNWNAJWWSJWWSVJZASUPWOWNZWHABJW
      VEWWRVOSAWVTWYTWWRVOVAZWWAWVFWWCWPZXUIWQZWIWRWVEWWNUWDWSAWVEUNIVHUGZVIZVJ
      WVEXUQUOAXUQKVIWVEAXUPKAKBWVEVFWWGVQUFZUSUGZUKZUNBWVEWWIUKZVHUGZXUPKXUTVJ
      ZATUPAXVBXUTAXVBUNBUNWWIUKZWVEUMZVHUGZUNXVDVHUGZWXEUMZXUTXVBXVFVJAXVAXVEU
      NVHXVEXVAWVLXVEXVAVJWVNBUNWVEWWIVLVMVNUWEUPAWXGUNVOXVDVPWXIXVFXVHVJWXJABU
      NWWIVOXVDWXLWWFWWHWWFVOVAZWXLVBVFUWIWTUWFZUPWXLWWGWXLWVFWXRXAWBWAZXVDVGVE
      WXTUNWVEUNWWJXVDWYAWYBWYCUVFUVGAXVHXVGWVEUMBUNXUSUKZWVEUMXUTAWXEWVEXVGWYJ
      UVPAXVGXVLWVEAXVGUNBUNWWFWVPWVFUSUGZUTUFZUSUGZUKZVHUGZXVLAXVDXVPUNVHABUNW
      WIXVOWXKWWIXVOVJZAWXKWYTXVRUNVOWVFVRUWGZWYTXVOWWIWYTXVNWWHWWFUSWYTXVMWWGU
      TWYTXVMWWGUQUSUGWWGWYTUQVBWVFWYTUWJWYTXBWYTXKVBXCXDZWYTXEUPUWKWYTWWGWVFUW
      LUWMWJZXFVKWOWSXGXHVKAXVQBVOXUSUKZUNUMZXVLAUNBVOXVOUKZUNUMZVHUGZVOXWDVHUG
      ZUNUMZXVQXWCAWYPVOVOXWDVPWYQUNXWGVIZUOXWFXWHVJWYSABVOXVOVOXWDXUAWWFXVNXVI
      XUAXVJUPXUAXVMXUAWVPWVFWXOXUAVSUPZXUCWAWBWAXWDVGVEXUFAVOUNXWIVRAXWIXWBVIV
      OAXWGXWBAXWGBVOWWFWVPUSUGZXVMVQUFZUSUGZUKZXWBAXVIWXOXWGXWNVJAVBVFAXBZVFVO
      VAZAWTUPZWAZVSBWWFWVPUWNXIABVOXWMXUSXUAXWKVFXWLXURUSXUAXWKVBWVPUSUGZVFUSU
      GUQVFUSUGVFXUAVBVFWVPXUAXBZXWPXUAWTUPZXWJUWOXUAXWSUQVFUSXUAVBXWTXVTXUAXEU
      PUWPXJXUAVFXXAUWQWNWYTXWLXURVJAWYTXVMWWGVQXWAXFXGXLXHWJZWHABXWBVOXUSVOXWB
      VGXUAVFXURXXAXUAWWGXUAWVFXUCXAWGWAZWIWJUVTVOUNXWDUWAUWBAXWEXVPUNVHWXGXWEX
      VPVJAVRBVOUNXVOVLWKVKAXWGXWBUNXXBWLWMWXGXWCXVLVJVRBVOUNXUSVLVMUWCWJWLABUN
      WVEXUSWVOUWRWNWNWOAXUPXVBAIXVAUNVHIXVAVJAQUPVKWOXMZWHABKWVEXUSVOTAWVTWYTX
      USVOVAZXUNXXCWQZWIWRWVEXUQUWDWSAXCUTBWVEWVRUKZUWSZNULUGHNULUGANWVQNUSUGZX
      CXXGUTAXXGWVEUWTZCUUBZXXGUFZUTVIZXXIUHZUIZVAZCWVEYCXXGUUQXXOUOAWVRVOVAZBW
      VEYCXXJAXXQBWVEAWVTWYTXXQXUNXUDWQZUXABWVEWVRXXGVOXXGVGZUXBWSAXXPCWVEAXXKW
      VEVAZVCZXXLVOXXNUIZXXOXYAXXLWVQXXKUSUGZXYBXYABXXKWVRXYCWVEXXGVOXYAXXGXNXY
      AWVFXXKVJZVCZWVFXXKWVQUSXYAXYDWFVKZAXXTWFZXYAWVQXXKXYAMWVPAMVOVAXXTWXNVDX
      YAUQXYAUWJXAVTXXTXXKVOVAZAXXTXXKXXTXXKDEXXKWVCWVDUXCUVLWPZXGWAZXOZXYAXYCV
      OXXNXYJXYAXYCXXNVAZXYCXXIVJZXYAXYMXXKWWFXPUGZXCVJZXYAXYNXCWWAWVFWWFXPUGZX
      CXDZXQXYAXYNXCXDZXQBCXYDWWAXYAXYQXYRXYDWVTXXTABCWVEUXDUXEZXYDXYPXYNXCWVFX
      XKWWFXPUXJUXFUXGWWAXYPXCWWAXYPXCVJZWVFWWFUJUGZXRVAZWWAYUAWWGVFUJUGZXRWVTY
      UAYUCVJZAWVTYUCYUAWVTWVFVBVFWVTWVFWVCVAZWXKWYTWVFWVCWVDUXCWVFDEUXHZXVSUXI
      ZWVTXBXWPWVTWTUPXVTWVTXEUPVFXCXDZWVTXCVFUXKUXLUXMZUPXSWOXGWWAWWHXCVJZYUCX
      RVAZWWAWWHXCRXTWWAWWGVOVAZYUJYUKYNZWWAWVFXUNXAWWGUXNZWSUXOUXPWWAWXKWWFUXQ
      VAZXYTYUBYNZWWCVBUXQVAZVFUXQVAYUOUXRUYBVBVFUXSUXTZWVFWWFUYCZXIYAZUYAUYDXT
      XYAXYMVCZAXXKNVJZXYOAXXTXYMUYEYVAXYMYVBXYAXYMWFYVAXYHNVOVAZWXMWVQXCXDZVCZ
      XYMYVBYNXXTXYHAXYMXYIUYFAYVCXXTXYMANWYIWPZYBAYVEXXTXYMAWXMYVDWXQAWVQAXCMW
      VQAUYGAMUBUUHZAMWVPYVGAUQAUYHZUUOZUUIAMUBUYIAMWVPYVGAVBYUQAUXRUPUYJZUYMUY
      KUYLUYNYBXXKNWVQUYOUYPYDYVBAXYNNWWFXPUGZXCXXKNWWFXPUXJUDUYQYEVUCXYAXXIVOV
      AZXYLXYMYNAYVLXXTAWVQNWXQYVFWAZVDXYCXXIVOUYRWSYAUYSYFXYAVOXXMXXNVOXXMVJXY
      AXXMVOVOVOUTUYTVUDVNUPVUAYGUXACWVEXXOXXGVUBYEAXXIXXGNULUGVACWVEWVDVUEZYVB
      XXIXXLYHZUKZNWYAYVNYIUGZWYAYJUGZUFZVAAYVPCWVCYVOUKZYVSACYVNWVCYVOAYVNWVDW
      VEVUEZWVCYVNYWAVJAWVEWVDVUFUPAWVDWVCUOYWAWVCVJANWVCUCVUGWVDWVCVUHVUIWJZVU
      JAYVTNWYAWVCYIUGZWYAYJUGZUFZYVSAYVTCWVCXYCUKZYWEACWVCYVOXYCAXXKWVCVAZVCZY
      VBYVOXYCVJZYVBYWIYWHYVBYVOXXIXYCYVBXXIXXLVUKXXKNWVQUSVULZYKXGYWHYVBYOZVCZ
      YVOXXLXYCYWKYVOXXLVJYWHYVBXXIXXLVUMXGYWLBXXKWVRXYCWVEXXGVOYWLXXGXNXYDWVRX
      YCVJZYWLWVFXXKWVQUSVULZXGZYWGYWKXXTAYWGYWKVCXXKWVCWVDYWGYWKVUNYWKXXKWVDVA
      ZYOYWGYWKYVBYWPYWKXKCNVUOVUPXGUYSVUQZYWHXYCVOVAYWKYWHWVQXXKAWXMYWGWXQVDZY
      WGXYHAYWGXXKXXKDEUXHWPZXGZWAZVDXOWJYLXHAYWFWVFYWDUFZVAZBWVCYCZNWVCVAZYWFY
      WEVAZAWVCVOYWFVPZYXDAYWFYWCWYAVURUGZVAZYXGYXDVCZAYWFCVOXYCUKZWVCUMZYXHWVC
      VOUOZYXLYWFVJDEVVECVOWVCXYCVLVMAYXKWYAWYAVURUGZVAYXMYXLYXHVAAYXKVOVOVUSUG
      ZYXNAWXMYXKYXOVAWXQCWVQYXKYXKVGVUTWSAWYQWYQYXOYXNVJXUEXUFVOVOWYAWYAWYAWYB
      WYAVOYIUGZWYAWYAWDVAYXPWYAVJWYAWYBVVAWYAWDVOVVBVVCVMVNZYXQVVDWEYGAWVCUNVO
      WVMWXJVVFZWVCYXKWYAWYAVOVVBVVGYEVVHAYWCWVCVVIUFVAZWYAVOVVIUFVAZYXIYXJYNAY
      XTYXMYXSWYAWYBVVJZYXRWVCWYAVOVVKWEZYYABYWFYWCWYAWVCVOVVNXIYDVVLUCYXCYXFBN
      WVCWVFNVJZYXBYWEYWFWVFNYWDVVOZVVMVVPYEYFANYWDYVRAYWCYVQWYAYJAWVCYVNWYAYIA
      YVNWVCYWBWOVKZXJYMYGYFACWVENXXIXXGYVPYVQWYAYVQVGZWYBYVPVGABWVEWVRVOXXGXXR
      XXSVEZAWVEUNVOWVOVRVVQZYVFVVRYPAXXIUTUFZXCUTXXIULUGAYYIWVQNWWFUJUGZWWFUSU
      GZUSUGZUTUFYYJMVBUSUGZUQURUGZUSUGZVFUSUGZUTUFZXCAXXIYYLUTANYYKWVQUSAYYKNA
      NWWFYVFXWRAVBVFXWOXWQXVTAXEUPZYUHAYUIUPZVVSZVVTWOVKXFAYYLYYPUTAYYLYYJYYNV
      FUSUGZUSUGZYYPAYYLYYJWVQWWFUSUGZUSUGYYJWVQVBUSUGZVFUSUGZUSUGUUUBAWVQYYJWW
      FWXQANWWFYVFXWRYYTVWAZXWRVWDAUUUCUUUEYYJUSAUUUEUUUCAWVQVBVFWXQXWOXWQVWBWO
      VKAUUUEUUUAYYJUSAUUUDYYNVFUSAUUUDYYMWVPVBUSUGZURUGYYNAMWVPVBWXNWXPXWOVWCA
      UUUGUQYYMURAVBXWOYYRVWEVKWJXJVKWNAYYJYYNVFUUUFAYYMUQAMVBWXNXWOWAAUWJZVTXW
      QVWBYKXFAYYOXRVAYYQXCVJAYYJYYNAYVKXCVJZYYJXRVAZUDAWYHYUOUUUIUUUJYNWYIYURN
      WWFUYCXIYDZAYYMAMVBAMUBVWFZVBXRVAAVXCUPVWGVWHVWGYYOVWIWSWNAVOXXIVOUTUTYXO
      VAAVWJUPZYVMVWKVWNVWLAXXHHNULACWVEXXKHUFZUKCWVEXXLUTUFZUKZHXXHACWVEUUUNUU
      UOXYAUUUNXYCUTUFZUUUOXYABXXKWVSUUUQWVEHVOWWTXYAPUPXYEWVRXYCUTXYFXFXYGXYAX
      YCXYJWBXOXYAXXLXYCUTXYKXFYKXHACWVEUNHWWEVWMAVOVOUTVPWVEVOXXGVPXXHUUUPVJUY
      TYYGCUTXXGWVEVOVOVWOWEVWPXJYGAXCINULUGVACYVNYVBXCXXKIUFZYHZUKZYVSVAACWVCU
      UUSUKZYWEUUUTYVSAUUVACWVCWWFXXKVBUJUGZUTUFZUSUGZUKZYWEACWVCUUUSUUVDYWHYVB
      UUUSUUVDVJYWHYVBVCZUUUSXCWWFNVBUJUGZUTUFZUSUGZUUVDUUVFYVBXCUUURYWHYVBWFVW
      QAXCUUVIVJYWGYVBAUUVIXCAUUVIWWFXCUSUGXCAUUVHXCWWFUSAUUVHYYJVFUSUGZUTUFZXC
      AUUVGUUVJUTAUUVGWWFUJUGZWWFUSUGYYJVBUJUGZWWFUSUGZUUVGUUVJAUUVLUUVMWWFUSAN
      VBWWFYVFXWOXWRYYRYYTVWRXJAUUVGWWFANYVFXAZXWRYYTVVTAUUVNYYJWWFVBUJUGZUSUGU
      UVJAYYJVBWWFUUUFXWOXWRYYRVWSAUUVPVFYYJUSAVFVBXWQXWOYYRVWTVKWJWMXFAUUUJUUV
      KXCVJUUUKYYJVWIWSWJVKAWWFXWRVXAWJWOYBYVBUUVIUUVDVJYWHYVBUUVDUUVIYVBUUVCUU
      VHWWFUSXXKNVBUTUJYQVKWOXGWNYWLUUUSUUURUUVDYWKUUUSUUURVJYWHYVBXCUUURVUMXGY
      WLBXXKWWIUUVDWVEIVOQXYDWWHUUVCWWFUSWVFXXKVBUTUJYQVKYWQYWHUUVDVOVAYWKYWHWW
      FUUVCXVIYWHXVJUPYWHUUVBYWHXXKYWTXAZWBWAZVDVXBWJYLXHAUUVEYXBVAZBWVCYCZYXEU
      UVEYWEVAZAWVCVOUUVEVPZUUVTAUUVEYXHVAZUUWBUUVTVCZAUUVEWVCVOVUSUGZYXHACVOVO
      WVCVOUUVDCVOUUVDUKZUUWFVGACWWFUUVCVOACVOWWFVOXUFXWRXUFYRACUUVBUTVOUUUMCVO
      UUVBUKZYXOVAAUUWGCVOWVPXXKUSUGZUKZYXOCVOUUVBUUWHXYHXXKVBXYHXKXYHXBXVTXYHX
      EUPVXDVXEWXOUUWIYXOVAVSCWVPUUWIUUWIVGVUTVMVXFUPVXGYSYXRXUFUUVRVXHAYXMWYQU
      UWEYXHVJYXRXUEWVCVOWYAYWCWYAWYBYWCVGYXQVVDXIZYGAYXSYXTUUWCUUWDYNYYBYYABUU
      VEYWCWYAWVCVOVVNXIYDVVLUCUUVSUUWABNWVCYYCYXBYWEUUVEYYDVVMVVPYEYFACYVNWVCU
      UUSYWBVUJANYVRYWDAYVQYWCWYAYJAYWCYVQYYEWOXJYMZVXIACWVENXCIUUUTYVQWYAYYFWY
      BUUUTVGABWVEWWIVOIAWVTWXKWWIVOVAZWWCXVKWQZQVEZYYHYVFVVRYPAXCIWVEVXJVAZXYT
      BWVEVXKZAXYTBWVEYUTVXMAUUWOVCWVHXCVJZBWVEVXKZUUWPAIVXNUUWOUUWRAWVEVOIUUWN
      VXLBXCWVEIVXOVXPAUUWRUUWPXQUUWOAUUWQXYTBWVEWWAUUWQXYTWWAUUWQVCZXYTYUBUUWS
      YUAYUCXRWWAYUDUUWQWWAYUCYUAWWAWVFVBVFXUNWWAXBXWPWWAWTUPZXVTWWAXEUPYUHWWAY
      UIUPZXSWOVDUUWSYUJYUKWVTUUWQYUJAWVTUUWQVCZWWFXCVJZYUJVXQZUUXCYOYUJUUXBWWI
      XCVJZUUXDUUXBWWIWVHXCUUXBWVHWWIWVTUUWQUUWLWVHWWIVJZUUXBWWFWWHUUXBVBVFUUXB
      XBXWPUUXBWTUPWAUUXBWWGUUXBWVFWVTWYTUUWQYUGVDXAWBWABWVEWWIVOIQYTZWQWOWVTUU
      WQWFWJWVTUUXEUUXDYNUUWQWVTWWFWWHXVIWVTXVJUPWVTWWGWVTWVFYUGXAZWBVXRVDYDWWF
      XCVBVOVAXVTVCXWPYUHVCZWWFXCXDVXSXWPYUHWTYUIUVBZVBVFVXTUXTVYDUUXCYUJVYAVYB
      VUQUUWSYULYUMUUWSWVFWWAWYTUUWQXUNVDXAYUNWSYDYFUUWSWXKYUOYUPWWAWXKUUWQWWCV
      DYURYUSXIYPVYNVYCVDVYEVUCAXUPWVEVXJKWVEVXJZXCAXCUUXKVAZWVFKUFZXCVJZBWVEVX
      KZAUUXNBWVEWWAUUXMXCWWAUUXMXUSXCWWAWVTXXEUUXMXUSVJAWVTWFZXXFBWVEXUSVOKTYT
      YEZWWAVFXURUUWTWVTXURVOVAAWVTWWGUUXHWGXGUUXAUEVVSZVYFXTVXMAKVXNUUXLUUXOAW
      VEVOKABWVEXUSVOKXXFTVEZVXLBXCWVEKVXOVXPVUCAXUPKWVEXXDVYGVYHAWVBUUUIVBMUSU
      GZUQURUGZWWFUJUGZYYIUUVIUJUGZYHZBWVEWVFWWMUFZWVFXUPUFZUJUGZUKZNULUGZAWWBW
      YHWVBUUYDVJUBWYIFNGMBOVYIYEAUUYDUUYBUUYIAUUUIUUYBUUYCUDVWQAUUYBBWVEWVFJUF
      ZUUXMUJUGZUKZNULUGZUUYIAUUYBUUYMVACYVNYVBUUYBXXKUUYLUFZYHZUKZYVSVAACWVCUU
      YOUKZYWEUUYPYVSAUUYQLYWEALCWVCWVQXYCVQUFZUSUGZVFUUVBVQUFZUSUGZUJUGZUKZUUY
      QLUVUCVJAUAUPZACWVCUVUBUUYOYWHYVBUVUBUUYOVJUUVFUUYOUUYBWVQVFUJUGZUVUBYVBU
      UYOUUYBVJYWHYVBUUYBUUYNVUKXGAUUYBUVUEVJYWGYVBAUUYBUUYAVBUJUGZVFUJUGZUVUEA
      UVUGUUYBAUUYAVBVFAUUXTUQAVBMXWOWXNWAZUUUHVTXWOXWQYYRYYSXSWOAUVUFWVQVFUJAU
      VUFUUXTVBUJUGZWVPURUGWVQAUUXTUQVBUVUHUUUHXWOYYRVYJAUVUIMWVPURAMVBWXNXWOYY
      RVWTXJWJXJWJYBUUVFUVUBWVQXXIVQUFZUSUGZVFUUVGVQUFZUSUGZUJUGZUVUEYVBUVUBUVU
      NVJYWHYVBUUYSUVUKUVUAUVUMUJYVBUUYRUVUJWVQUSYVBXYCXXIVQYWJXFVKYVBUUYTUVULV
      FUSXXKNVBVQUJYQZVKXLXGAUVUNUVUEVJYWGYVBAUVUNWVQUVULUSUGZUVUMUJUGUVUEAUVUK
      UVUPUVUMUJAUVUJUVULWVQUSAUVUJUUVGMNUSUGZURUGZVQUFUUVGUVUQWWFUJUGZWWFUSUGZ
      URUGZVQUFZUVULAXXIUVURVQAXXIUVUQWVPNUSUGZURUGUVUQUUVGURUGUVURAMWVPNWXNWXP
      YVFVWCAUVVCUUVGUVUQURAUVVCUQUUVGUSUGUUVGAUQVBNUUUHXWOYVFYYRVWSAUUVGUUVOUW
      QWJVKAUVUQUUVGAMNWXNYVFWAZUUVOVYKWNXFAUVURUVVAVQAUVUQUVUTUUVGURAUVUTUVUQA
      UVUQWWFUVVDXWRYYTVVTWOVKXFAUUVGVOVAZUVUSXRVAUVVBUVULVJUUVOAUVUSMYYJUSUGXR
      AMNWWFWXNYVFXWRYYTVYLAMYYJUUULUUUKVWGYFUUVGUVUSVYOYEWNVKXJAWVQVFUVULWXQXW
      QAUUVGUUVOWGYYSAUVULXCAUVULXCVJZUUVGVFUJUGZWVPURUGZXRVAZAUVVGXRVAUVVGUVVH
      VYMWUDUVVHUVVGUQURUGVYMWUDUVVIYOAUVVGYYJXRANVBVFYVFXWOXWQYYRYYSXSUUUKYFZA
      UVVGWVPAUVVGUVVJVYPZYVJUYMAWVPUQUVVGYVIYVHUVVKWVPUQVYMWUDAVYQUPVYRUVVGUVV
      HVYSUYPAUVVEUVVFUVVIYNUUVOUUVGVYTWSYAUYAZWUAWJYBWRXMYWLUUYOUUYNXXKJUFZXXK
      KUFZUJUGZUVUBYWKUUYOUUYNVJYWHYVBUUYBUUYNVUMXGYWLBXXKUUYKUVVOWVEUUYLVOYWLU
      UYLXNXYDUUYKUVVOVJYWLXYDUUYJUVVMUUXMUVVNUJWVFXXKJVVOWVFXXKKVVOXLXGYWQYWLU
      VVMUVVNYWLWVEVOXXKJAWVEVOJVPYWGYWKABWVEWWRVOJXUOSVEYBYWQWUBYWLWVEVOXXKKAW
      VEVOKVPYWGYWKUUXSYBYWQWUBYWLUVVNUVUAXCYWLBXXKXUSUVUAWVEKVOXVCYWLTUPYWLXYD
      VCZXURUUYTVFUSUVVPWVFXXKVBVQUJYWLXYDWFWUCVKYWQYWGUVUAVOVAZAYWKYWGVFUUYTXW
      PYWGWTUPYWGUUVBYWGXXKYWSXAWGZWAZUYFXOZYWLUUXIUUYTVOVAZUUYTXCXDZUVUAXCXDUU
      XIYWLUUXJUPYWGUVWAAYWKUVVRUYFYWLAXXTUVWBAYWGYWKUYEYWQWWAXURXCXDZXQXYAUVWB
      XQBCXYDWWAXYAUVWCUVWBXYSXYDXURUUYTXCWVFXXKVBVQUJYQUXFUXGUEUYDYEZVFUUYTVXT
      WUEVYFVWAXOYWLUVVMUUYSUVVNUVUAUJYWLBXXKWWRUUYSWVEJVOXUKYWLSUPUVVPWWQUUYRW
      VQUSUVVPWVRXYCVQYWOXFVKYWQYWHUUYSVOVAYWKYWHWVQUUYRYWRYWHXYCYXAWGWAVDXOUVV
      TXLXMYLXHWRALYXBVAZBWVCYCZYXELYWEVAZAWVCVOLVPZUVWFALYXHVAZUVWHUVWFVCZALUV
      UCYXHUVUDAUVUCUUWEYXHACUUYSUVUAWVCACWVQUUYRWVCACWVCWVQVOYXRWXQXUFYRACWVCU
      UYRUKZVQBWVCWVRUKZUWSZUUWEAUVWMCWVCXXKUVWLUFZVQUFZUKZUVWKAVOVOVQVPWVCVOUV
      WLVPUVWMUVWPVJWUNABWVCWVRVOUVWLYUEAWXKXXQYUFWXSWUFUVWLVGVECVQUVWLWVCVOVOV
      WOWEACWVCUVWOUUYRYWHUVWNXYCVQYWHBXXKWVRXYCWVCUVWLVOYWHUVWLXNXYDYWMYWHYWNX
      GAYWGWFYXAXOXFXHWRAWVCVOVOUVWLVQABWVQWVFWVCABWVCWVQVOYXRWXQXUFYRABWVCVOYX
      RXUFWUGYSVQYXOVAAWUHUPZWUIYFYSACWVCVOWVCVOXCUHZUIUVUACWVCUVUAUKZUVWSVGACV
      FUUYTWVCACWVCVFVOYXRXWQXUFYRACUUVBVQWVCUVWQACWVCUUVBUKCWVCXXKWVPUSUGZUKUU
      WEACWVCUUVBUVWTYWHXXKVBYWTYWHXBXVTYWHXEUPWUJZXHACVOVOWVCVOUVWTCVOUVWTUKZU
      VXBVGACXXKWVPVOCVOXXKUKYXOVAZAWYQWYQUVXCXUEXUECVOVOWUKUXTUPWXOCVOWVPUKYXO
      VAAVSWXOCVOWVPVOWYQWXOXUEUPZWXOXKUVXDYRWKYSYXRXUFYWHUUVBUVWTVOUVXAUUVQVWN
      VXHYFVXGYSWVCWVCUOAWVCWCUPAVOUVWRWULYWHUVUAVOUVWRYWGUVVQAUVVSXGZYWHUVUAUV
      WRVAZUVUAXCVJZYWHUVUAXCYWHVFUUYTXWPYWHWTUPYWGUVWAAUVVRXGYUHYWHYUIUPYWHYVB
      UVWBAYVBUVWBYWGAYVBVCUUYTUVULXCYVBUUYTUVULVJAUVUOXGAUVULXCXDYVBUVVLVDVYFW
      UMUVWDYLVVSXTYWHUVVQUVXFUVXGYNUVXEUVUAXCVOWUOWSYAUYSVXHWUPUUWJYGYFAYXSYXT
      UVWIUVWJYNYYBYYABLYWCWYAWVCVOVVNXIYDVVLUCUVWEUVWGBNWVCYYCYXBYWELYYDVVMVVP
      YEYFACYVNWVCUUYOYWBVUJUUWKVXIACWVENUUYBUUYLUUYPYVQWYAYYFWYBUUYPVGABWVEUUY
      KVOUUYLWWAUUYKWWRXUSUJUGVOWWAUUYJWWRUUXMXUSUJWWAWVTXUMUUYJWWRVJUUXPXUOBWV
      EWWRVOJSYTYEUUXQXLWWAWWRXUSXUOXXFUUXRVWAYFUUYLVGVEYYHYVFVVRYPAUUYLUUYHNUL
      ABWVEUUYKUUYGAUUYJUUYEUUXMUUYFUJAWVFJWWMAWWMJXULWOYMAWVFKXUPAXUPKXXDWOYMX
      LWUQXJYGYFYFWURAWVJWVKNULAWVKBUNXYTUUYBWVSWWIUJUGZYHZUKZWVEUMBWVEUVXIUKWV
      JAWVAUVXJWVEAWWBWVAUVXJVJUBFGMBOWUSWSWLABUNWVEUVXIWVOUWRABWVEUVXIWVIWWAUV
      XIUVXHWVIWWAXYTUUYBUVXHYUTWUTWWAWVGWVSWVHWWIUJWWAWVTWVSVOVAWVGWVSVJUUXPWW
      AWVSWWDWPBWVEWVSVOHPYTYEWWAWVTUUWLUUXFUUXPUUWMUUXGYEXLYKXHXMXJYG $.
  $}

  ${
    $d A w y z $.  $d B w y z $.  $d D y $.  $d N w y z $.  $d Y w y z $.
    $d n y $.  $d ph y z $.
    dirkercncflem3.d $e |- D = ( n e. NN |-> ( y e. RR |-> if ( ( y mod ( 2 x.
       _pi ) ) = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n +
       ( 1 / 2 ) ) x. y ) ) / ( ( 2 x. _pi ) x. ( sin ` ( y / 2 ) ) ) ) ) ) )
       $.
    dirkercncflem3.a $e |- A = ( Y - _pi ) $.
    dirkercncflem3.b $e |- B = ( Y + _pi ) $.
    dirkercncflem3.f $e |- F = ( y e. ( A (,) B ) |-> ( ( sin ` ( ( n + ( 1 / 2
       ) ) x. y ) ) / ( ( 2 x. _pi ) x. ( sin ` ( y / 2 ) ) ) ) ) $.
    dirkercncflem3.g $e |- G = ( y e. ( A (,) B ) |-> ( ( 2 x. _pi ) x. ( sin `
       ( y / 2 ) ) ) ) $.
    dirkercncflem3.n $e |- ( ph -> N e. NN ) $.
    dirkercncflem3.yr $e |- ( ph -> Y e. RR ) $.
    dirkercncflem3.yod $e |- ( ph -> ( Y mod ( 2 x. _pi ) ) = 0 ) $.
    $( The Dirichlet Kernel is continuous at ` Y ` points that are multiples of
       ` ( 2 x. _pi ) ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dirkercncflem3 $p |- ( ph -> ( ( D ` N ) ` Y ) e. ( ( D ` N ) limCC Y ) )
       $=
      ( cfv co vz vw cioo csn cdif cres climc c1 c2 cdiv caddc cv cmul csin cpi
      cmpt ccos wceq oveq2 fveq2d cbvmptv fvoveq1 oveq2d cc0 wne dirkercncflem1
      wral wa wcel simprd r19.26 sylib simpld r19.21bi dirkercncflem2 cr ccnfld
      eqid ctopn cun crest cc cn wf dirkerf syl wss ax-resscn a1i fssd ssdifssd
      ioossre cnt crn ctg iooretop ctop wb retop uniretop isopn3 mpbii eleqtrrd
      sylancr tgioo2 fveq1d eleqtrd snssd ssequn2 uncom syl5eq fveq12d limcres
      undif ) AJIESZSXOCDUCTZJUDZUEZUFJUGTXOJUGTABUACDEFUBXRIUHUIUJTUKTZUBULZUM
      TZUNSZUPUBXRUIUOUMTZXTUIUJTZUNSZUMTZUPUBXRXSYAUQSZUMTZUPUBXRUOYDUQSZUMTZU
      PUAXPXSXSUAULZUMTUQSUMTUOYKUIUJTUQSUMTUJTUPZIJKUBBXRYBXSBULZUMTZUNSXTYMUR
      ZYAYNUNXTYMXSUMUSZUTVAUBBXRYFYCYMUIUJTZUNSZUMTYOYEYRYCUMXTYMUIUNUJVBVCVAA
      YRVDVEZBXRAYSBXRVGZYQUQSZVDVEZBXRVGZAYSUUBVHBXRVGZYTUUCVHAJXPVIZUUDABCDJL
      MQRVFZVJYSUUBBXRVKVLZVMVNUBBXRYHXSYNUQSZUMTYOYGUUHXSUMYOYAYNUQYPUTVCVAUBB
      XRYJUOUUAUMTYOYIUUAUOUMXTYMUIUQUJVBVCVAYLVRPAUUEUUDUUFVMZRAUUBBXRAYTUUCUU
      GVJVNVOAVPJXRXOVQVSSZVPXQVTZWATZUUJAVPVPWBXOAIWCVIVPVPXOWDPBEFIKWEWFVPWBW
      GAWHWIZWJAXPVPXQXPVPWGZACDWLWIZWKUUMUUJVRZUULVRAJXPUUJVPWATZWMSZSZXRXQVTZ
      UULWMSZSAJXPUCWNWOSZWMSZSZUUSAJXPUVDUUIAXPUVBVIZUVDXPURZCDWPAUVBWQVIUUNUV
      EUVFWRWSUUOXPUVBVPWTXAXDXBXCAXPUVCUURAUVBUUQWMUVBUUQURAUUJUUPXEWIUTXFXGAU
      UTXPUVAUURAUULUUQWMAUUKVPUUJWAAXQVPWGUUKVPURAJVPQXHXQVPXIVLVCUTAUUTXQXRVT
      ZXPXRXQXJAXQXPWGUVGXPURAJXPUUIXHXQXPXNVLXKXLXCXMXG $.
  $}

  ${
    $d C y $.  $d D y $.  $d E y $.  $d N y $.  $d Y y $.  $d n y $.
    $d ph y $.  $d x y $.
    dirkercncflem4.d $e |- D = ( n e. NN |-> ( y e. RR |-> if ( ( y mod ( 2 x.
       _pi ) ) = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n +
       ( 1 / 2 ) ) x. y ) ) / ( ( 2 x. _pi ) x. ( sin ` ( y / 2 ) ) ) ) ) ) )
       $.
    dirkercncflem4.n $e |- ( ph -> N e. NN ) $.
    dirkercncflem4.y $e |- ( ph -> Y e. RR ) $.
    dirkercncflem4.ymod0 $e |- ( ph -> ( Y mod ( 2 x. _pi ) ) =/= 0 ) $.
    dirkercncflem4.a $e |- A = ( |_ ` ( Y / ( 2 x. _pi ) ) ) $.
    dirkercncflem4.b $e |- B = ( A + 1 ) $.
    dirkercncflem4.c $e |- C = ( A x. ( 2 x. _pi ) ) $.
    dirkercncflem4.e $e |- E = ( B x. ( 2 x. _pi ) ) $.
    $( The Dirichlet Kernel is continuos at points that are not multiple of 2
       &pi; .  This is the easier condition, for the proof of the continuity of
       the Dirichlet kernel.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    dirkercncflem4 $p |- ( ph -> ( D ` N ) e. ( ( ( topGen ` ran (,) ) CnP (
       topGen ` ran (,) ) ) ` Y ) ) $=
      ( co wcel vx cfv cioo crn ctg ccnp cres crest ccnfld ctopn cr cv wral ccn
      cc wf wa c1 c2 cdiv caddc cmul csin cpi ccncf sincn a1i wss ioosscn nncnd
      cmpt 1cnd halfcld ssid constcncfg idcncfg mulcncf cncfmpt1f cc0 cdif ccom
      addcld csn 2cnd crp pirp rpcnd mulcld ioossre recnd sincld rpne0d mulne0d
      wceq 2rp cz clt wbr wn oveq1i eqtri pire divcan4d eqeltrd adantr remulcld
      2re eqeltrid rpmulcld cxr wb rexrd eqcomi eqeltrrd syl2anc mpbid ltdiv1dd
      eqtr4i oveq1d 3eqtrrd breqtrd syl3anc syl mtbird neneqd divrecd mpteq2dva
      eqidd eqid cmo mod0 ctop unicntop ctopon simprd ltmul1dd uniretop eleqtrd
      cvv retop sselda divdiv1d cfl remulcli wne 0re 2pos pipos mulgt0ii gtneii
      redivcld flcld zred syl5eq w3a simpr readdcld elioo2 simp2d simp3d eqtr2d
      1red btwnnz eqneltrd sineq0 neqned rehalfcld resincld elsng eldifd fmptco
      oveq2 difssd cncfmptssg ax-1cn cdivcncf mp1i cncfco cif dirkerval reseq1d
      cn resmptd iffalsed eqtrd tgioo2 cnfldtop reex restabs mp3an restid ax-mp
      cncfcn 3eltr3d retopon resttopon cnfldtopon cncnp mtbid divcan1d eqbrtrid
      flltnz cle fllelt 3brtr3d eliood eleq2d rspccva dirkerf fssresd ax-resscn
      fveq2 cuni restuni mp2an cnprest2 oveq2d fveq1d cnt iooretop isopn3 mpbii
      eqcomd cnprest syl22anc mpbird ) AIFUBZJUCUDUEUBZUYHUFSUBTZUYGEHUCSZUGZJU
      YHUYJUHSZUYHUFSZUBZTZAUYKJUYLUIUJUBZUKUHSZUFSZUBZUYNAUYKJUYLUYPUFSZUBZTZU
      YKUYSTZAUYKBULZUYTUBZTZBUYJUMZJUYJTVUBAUYJUOUYKUPZVUGAUYKUYLUYPUNSZTZVUHV
      UGUQZABUYJIURUSUTSZVASZVUDVBSZVCUBZURUSVDVBSZVUDUSUTSZVCUBZVBSZUTSZVBSZVK
      ZUYJUOVESZUYKVUIABVUOVUTUYJABVUNVCUYJVCUOUOVESTAVFVGZABVUMVUDUYJABUYJVUMU
      OUYJUOVHZAEHVIVGZAIVULAILVJZAURAVLZVMZWBUOUOVHZAUOVNVGZVOABUYJUOVVFVVKVPZ
      VQVRAUAUOVSWCZVTZURUAULZUTSZVKZBUYJVUSVKZWABUYJVUTVKVVCABUAUYJVVNVUSVVPVU
      TVVRVVQAVUDUYJTZUQZVUSUOVVMVVTVUPVURVVTUSVDVVTWDZVVTVDVDWETZVVTWFVGZWGZWH
      ZVVTVUQVVTVUDVVTVUDAUYJUKVUDUYJUKVHZAEHWIZVGZUUAZWJZVMZWKZWHZVVTVUSVVMTZV
      USVSWNZVVTVUSVSVVTVUPVURVWEVWLVVTUSVDVWAVWDVVTUSUSWETZVVTWOVGZWLZVVTVDVWC
      WLZWMVVTVURVSVVTVURVSWNZVUQVDUTSZWPTZVVTVXAVUDVUPUTSZWPVVTVUDUSVDVWJVWAVW
      DVWRVWSUUBVVTEVUPUTSZWPTZVXDVXCWQWRVXCVXDURVASZWQWRVXCWPTZWSAVXEVVSAVXDJV
      UPUTSZUUCUBZWPAVXDVXIVUPVBSZVUPUTSVXIEVXJVUPUTECVUPVBSZVXJQCVXIVUPVBOWTXA
      ZWTAVXIVUPAVXIAVXIAVXHAJVUPMVUPUKTAUSVDXGXBUUDVGZVUPVSUUEAVSVUPUUFUSVDXGX
      BUUGUUHUUIUUJVGZUUKZUULZUUMZWJZAVUPVXMWJZVXNXCUUNVXPXDXEVVTEVUDVUPAEUKTVV
      SAEVXJUKVXLAVXIVUPVXQVXMXFXHZXEVWIVVTUSVDVWQVWCXIZVVTVUDUKTZEVUDWQWRZVUDH
      WQWRZVVTVVSVYBVYCVYDUUOZAVVSUUPVVTEXJTZHXJTZVVSVYEXKAVYFVVSAEVXTXLZXEAVYG
      VVSAHAVXIURVASZVUPVBSZHUKVYJHWNAVYJDVUPVBSZHVYIDVUPVBVYICURVASZDVXICURVAC
      VXIOXMWTPXRWTRXRVGZAVYIVUPAVXIURVXQAUVBUUQZVXMXFXNZXLZXEEHVUDUURXOXPZUUSX
      QVVTVXCHVUPUTSZVXFWQVVTVUDHVUPVWIAHUKTVVSVYOXEVYAVVTVYBVYCVYDVYQUUTXQAVYR
      VXFWNVVSAVXFVXKVUPUTSZURVASVYLVYRAVXDVYSURVAAEVXKVUPUTEVXKWNAQVGXSXSAVYSC
      URVAACVUPACVXIUOOVXRXHZVXSVXNXCXSAVYRVYLVUPVBSZVUPUTSVYLAHWUAVUPUTHWUAWNA
      HVYKWUARDVYLVUPVBPWTXAVGXSAVYLVUPACURVYTVVHWBVXSVXNXCUVAXTXEYAVXDVXCUVCYB
      ZUVDVVTVUQUOTVWTVXBXKVWKVUQUVEYCYDUVFWMZYEVVTVUSUKTVWNVWOXKVVTVUPVURVVTUS
      VDUSUKTVVTXGVGVDUKTVVTXBVGXFVVTVUQVVTVUDVWIUVGUVHXFVUSVSUKUVIYCYDUVJZAVVR
      YHAVVQYHVVOVUSURUTUVLUVKAUYJVVNUOVVRVVQABUYJUOUYJVVNVUSVVRVVRYIABVUPVURUY
      JABUSVDUYJABUYJUSUOVVFAWDVVKVOABUYJVDUOVVFAVDVWBAWFVGZWGVVKVOVQABVUQVCUYJ
      VVDABUYJVUQVKBUYJVUDVULVBSZVKVVCABUYJVUQWUFVVTVUDUSVWJVWAVWRYFYGABVUDVULU
      YJVVLABUYJVULUOVVFVVIVVKVOVQXDVRVQUYJUYJVHAUYJVNVGAUOVVMUVMWUDUVNURUOTVVQ
      VVNUOVESTAUVOUAURVVQVVQYIUVPUVQUVRXNVQAUYKBUKVUDVUPYJSVSWNZUSIVBSURVASVUP
      UTSZVUOVUSUTSZUVSZVKZUYJUGBUYJWUJVKVVBAUYGWUKUYJAIUWBTZUYGWUKWNLFGIBKUVTY
      CUWAABUKUYJWUJVWHUWCABUYJWUJVVAVVTWUJWUIVVAVVTWUGWUHWUIVVTWUGVXGWUBVVTVYB
      VUPWETZWUGVXGXKVWIAWUMVVSAUSVDVWPAWOVGWUEXIZXEVUDVUPYKXOYDUWDVVTVUOVUSVVT
      VUNVVTVUMVUDVVTIVULAIUOTVVSVVGXEVVTURVVTVLVMWBVWJWHWKVWMWUCYFUWEYGXTAVVEV
      VJVVCVUIWNVVFVVKUYJUOUYPUYLUYPUYPYIZUYLUYQUYJUHSZUYPUYJUHSZUYHUYQUYJUHUYP
      WUOUWFZWTUYPYLTZVWFUKYSTWUPWUQWNUYPWUOUWGZVWGUWHUYJUKUYPYLYSUWIUWJXAUYPUO
      UHSZUYPWUSWVAUYPWNWUTUYPYLUOYMUWKUWLXMUWMXOUWNAUYLUYJYNUBTZUYPUOYNUBTZVUJ
      VUKXKAUYHUKYNUBTZVWFWVBWVDAUWOVGVWHUYJUYHUKUWPXOWVCAUYPWUOUWQVGBUYKUYLUYP
      UYJUOUWRXOXPYOAEHJVYHVYPMAEVXJJWQVXLAVXJVXHVUPVBSZJWQAVXIVXHVUPVXQVXOWUNA
      VXHUKTZVXHWPTZWSVXIVXHWQWRVXOAJVUPYJSZVSWNZWVGAWVHVSNYEAJUKTWUMWVIWVGXKMW
      UNJVUPYKXOUWSVXHUXBXOYPAJVUPAJMWJVXSVXNUWTZYAUXAAWVEVYJJHWQAVXHVYIVUPVXOV
      YNWUNAVXIVXHUXCWRZVXHVYIWQWRZAWVFWVKWVLUQVXOVXHUXDYCYOYPWVJVYMUXEUXFZVUFV
      UBBJUYJVUDJWNVUEVUAUYKVUDJUYTUXLUXGUXHXOAWUSUYJUKUYKUPUKUOVHZVUBVUCXKWUSA
      WUTVGAUKUKUYJUYGAWULUKUKUYGUPZLBFGIKUXIYCZVWHUXJWVNAUXKVGUKJUYKUYLUYPUYJU
      OUYHYLTZVWFUYJUYLUXMWNYTVWGUYJUYHUKYQUXNUXOYMUXPYBXPAJUYRUYMAUYQUYHUYLUFU
      YQUYHWNAUYHUYQWURXMVGUXQUXRYRAWVQVWFJUYJUYHUXSUBUBZTWVOUYIUYOXKWVQAYTVGZV
      WHAJUYJWVRWVMAWVRUYJAWVQVWFWVRUYJWNZWVSVWHWVQVWFUQUYJUYHTWVTEHUXTUYJUYHUK
      YQUYAUYBXOUYCYRWVPUYJJUYGUYHUYHUKUKYQYQUYDUYEUYF $.
  $}

  ${
    $d D w y $.  $d N w y $.  $d n w y $.
    dirkercncf.d $e |- D = ( n e. NN |-> ( y e. RR |-> if ( ( y mod ( 2 x. _pi
       ) ) = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n + ( 1
       / 2 ) ) x. y ) ) / ( ( 2 x. _pi ) x. ( sin ` ( y / 2 ) ) ) ) ) ) ) $.
    $( For any natural number ` N ` , the Dirichlet Kernel ` ( D `` N ) ` is
       continuous.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    dirkercncf $p |- ( N e. NN -> ( D ` N ) e. ( RR -cn-> RR ) ) $=
      ( vw wcel cfv co cr wa c2 cmul cc0 wceq cc cdiv csin cmpt eqid cn crn ctg
      cioo ccn ccncf wf cv ccnp wral dirkerf ccnfld ctopn crest climc ax-resscn
      cpi cmo wss a1i fssd ad2antrr cmin caddc c1 cif oveq1 eqeq1d oveq2 fveq2d
      oveq2d oveq12d ifbieq2d cbvmptv mpteq2i eqtri simpll simpr dirkercncflem3
      simplr jctl ad2antlr tgioo2 cnplimc syl mpbir2and ctop cnfldtop toponunii
      wb retopon cnfldtopon cnprest2 syl3anc mpbid eqcomi fveq1d eleqtrd wn cfl
      wne neqne adantl dirkercncflem4 pm2.61dan ralrimiva ctopon cncnp sylanbrc
      mp2an cncfcn eleqtrrdi ) DUAGZDBHZUDUBUCHZXOUEIZJJUFIZXMJJXNUGZXNAUHZXOXO
      UIIZHZGZAJUJZXNXPGZABCDEUKZXMYBAJXMXSJGZKZXSLUQMIZURIZNOZYBYGYJKZXNXSXOUL
      UMHZJUNIZUIIZHZYAYKXNXSXOYLUIIHGZXNYOGZYKYPJPXNUGZXSXNHXNXSUOIGZXMYRYFYJX
      MJJPXNYEJPUSZXMUPUTVAVBYKFXSUQVCIZXSUQVDIZBCFUUAUUBUDIZCUHZVELQIVDIZFUHZM
      IZRHZYHUUFLQIZRHZMIZQIZSZFUUCUUKSZDXSBCUAAJYJLUUDMIVEVDIYHQIZUUEXSMIZRHZY
      HXSLQIZRHZMIZQIZVFZSZSCUAFJUUFYHURIZNOZUUOUULVFZSZSECUAUVCUVGAFJUVBUVFXSU
      UFOZYJUVEUVAUULUUOUVHYIUVDNXSUUFYHURVGVHUVHUUQUUHUUTUUKQUVHUUPUUGRXSUUFUU
      EMVIVJUVHUUSUUJYHMUVHUURUUIRXSUUFLQVGVJVKVLVMVNVOVPZUUATUUBTUUMTUUNTXMYFY
      JVQXMYFYJVTYGYJVRVSYKYTYFKZYPYRYSKWJYFUVJXMYJYFYTUPWAWBJXSXNXOYLYLTZYLUVK
      WCZWDWEWFYKYLWGGZXRYTYPYQWJUVMYKYLUVKWHUTXMXRYFYJYEVBYTYKUPUTJXSXNXOYLJPJ
      XOWKWIPYLYLUVKWLWIWMWNWOYKXSYNXTYKYMXOXOUIYMXOOYKXOYMUVLWPUTVKWQWRYGYJWSZ
      KFXSYHQIWTHZUVOVEVDIZUVOYHMIZBCUVPYHMIZDXSUVIXMYFUVNVQXMYFUVNVTUVNYINXAYG
      YINXBXCUVOTUVPTUVQTUVRTXDXEXFXOJXGHGZUVSYDXRYCKWJWKWKAXNXOXOJJXHXJXIYTYTX
      QXPOUPUPJJYLXOXOUVKUVLUVLXKXJXL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Fourier Series
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    fourierdlem1.a $e |- ( ph -> A e. RR* ) $.
    fourierdlem1.b $e |- ( ph -> B e. RR* ) $.
    fourierdlem1.q $e |- ( ph -> Q : ( 0 ... M ) --> ( A [,] B ) ) $.
    fourierdlem1.i $e |- ( ph -> I e. ( 0 ..^ M ) ) $.
    fourierdlem1.x $e |- ( ph -> X e. ( ( Q ` I ) [,] ( Q ` ( I + 1 ) ) ) ) $.
    $( A partition interval is a subset of the partitioned interval.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem1 $p |- ( ph -> X e. ( A [,] B ) ) $=
      ( co wcel cxr cle wbr sselid cc0 syl3anc cfv c1 caddc iccssxr cfz elfzofz
      cicc cfzo syl ffvelrnd iccgelb wa wb fzofzp1 elicc4 mpbid xrletrd iccleub
      simpld simprd w3a elicc1 syl2anc mpbir3and ) AGBCUGMZNZGONZBGPQZGCPQZAEDU
      AZEUBUCMZDUAZUGMZOGVJVLUDLRZABVJGHAVEOVJBCUDZASFUEMZVEEDJAESFUHMNZEVPNKES
      FUFUIUJZRZVNABONZCONZVJVENBVJPQHIVRBCVJUKTAVJGPQZGVLPQZAGVMNZWBWCULZLAVJO
      NZVLONZVGWDWEUMVSAVEOVLVOAVPVEVKDJAVQVKVPNKSFEUNUIUJZRZVNVJVLGUOTUPUSUQAG
      VLCVNWIIAWFWGWDWCVSWILVJVLGURTABVLPQZVLCPQZAVLVENZWJWKULZWHAVTWAWGWLWMUMH
      IWIBCVLUOTUPUTUQAVTWAVFVGVHVIVAUMHIBCGVBVCVD $.
  $}

  ${
    $d A m p $.  $d B m p $.  $d M i m p $.  $d Q i p $.
    fourierdlem2.1 $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( ( (
       p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p `
       ( i + 1 ) ) ) } ) $.
    $( Membership in a partition.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem2 $p |- ( M e. NN -> ( Q e. ( P ` M ) <-> ( Q e. ( RR ^m ( 0 ...
       M ) ) /\ ( ( ( Q ` 0 ) = A /\ ( Q ` M ) = B ) /\ A. i e. ( 0 ..^ M ) ( Q
       ` i ) < ( Q ` ( i + 1 ) ) ) ) ) ) $=
      ( wcel cfv cc0 cv wceq wa co clt cr cmap fveq1 cn caddc wbr cfzo wral cfz
      c1 crab oveq2 oveq2d fveqeq2 anbi2d raleqdv anbi12d rabeqbidv rabex fvmpt
      ovex eleq2d eqeq1d breq12d ralbidv elrab bitrdi ) GUAJZDGCKZJDLHMZKZANZGV
      GKZBNZOZEMZVGKZVMUGUBPZVGKZQUCZELGUDPZUEZOZHRLGUFPZSPZUHZJDWBJLDKZANZGDKZ
      BNZOZVMDKZVODKZQUCZEVRUEZOZOVEVFWCDFGVIFMZVGKBNZOZVQELWNUDPZUEZOZHRLWNUFP
      ZSPZUHWCUACWNGNZWSVTHXAWBXBWTWARSWNGLUFUIUJXBWPVLWRVSXBWOVKVIWNGBVGUKULXB
      VQEWQVRWNGLUDUIUMUNUOIVTHWBRWASURUPUQUSVTWMHDWBVGDNZVLWHVSWLXCVIWEVKWGXCV
      HWDALVGDTUTXCVJWFBGVGDTUTUNXCVQWKEVRXCVNWIVPWJQVMVGDTVOVGDTVAVBUNVCVD $.
  $}

  ${
    $d M i m p $.  $d Q i p $.
    fourierdlem3.1 $e |- P = ( m e. NN |-> { p e. ( ( -u _pi [,] _pi ) ^m ( 0
       ... m ) ) | ( ( ( p ` 0 ) = -u _pi /\ ( p ` m ) = _pi ) /\ A. i e. ( 0
       ..^ m ) ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    $( Membership in a partition.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem3 $p |- ( M e. NN -> ( Q e. ( P ` M ) <-> ( Q e. ( ( -u _pi [,]
       _pi ) ^m ( 0 ... M ) ) /\ ( ( ( Q ` 0 ) = -u _pi /\ ( Q ` M ) = _pi ) /\
       A. i e. ( 0 ..^ M ) ( Q ` i ) < ( Q ` ( i + 1 ) ) ) ) ) ) $=
      ( wcel cfv cc0 cv cpi wceq wa co clt cfzo wral cmap fveq1 cn c1 caddc wbr
      cneg cicc crab oveq2 oveq2d fveqeq2 anbi2d raleqdv anbi12d rabeqbidv ovex
      cfz rabex fvmpt eleq2d eqeq1d breq12d ralbidv elrab bitrdi ) EUAHZBEAIZHB
      JFKZIZLUEZMZEVGIZLMZNZCKZVGIZVNUBUCOZVGIZPUDZCJEQOZRZNZFVILUFOZJEUPOZSOZU
      GZHBWDHJBIZVIMZEBIZLMZNZVNBIZVPBIZPUDZCVSRZNZNVEVFWEBDEVJDKZVGILMZNZVRCJW
      PQOZRZNZFWBJWPUPOZSOZUGWEUAAWPEMZXAWAFXCWDXDXBWCWBSWPEJUPUHUIXDWRVMWTVTXD
      WQVLVJWPELVGUJUKXDVRCWSVSWPEJQUHULUMUNGWAFWDWBWCSUOUQURUSWAWOFBWDVGBMZVMW
      JVTWNXEVJWGVLWIXEVHWFVIJVGBTUTXEVKWHLEVGBTUTUMXEVRWMCVSXEVOWKVQWLPVNVGBTV
      PVGBTVAVBUMVCVD $.
  $}

  ${
    $d A x $.  $d B x $.  $d T x $.  $d ph x $.
    fourierdlem4.a $e |- ( ph -> A e. RR ) $.
    fourierdlem4.b $e |- ( ph -> B e. RR ) $.
    fourierdlem4.altb $e |- ( ph -> A < B ) $.
    fourierdlem4.t $e |- T = ( B - A ) $.
    fourierdlem4.e $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( B - x ) / T ) )
       x. T ) ) ) $.
    $( ` E ` is a function that maps any point to a periodic corresponding
       point in ` ( A , B ] ` .  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem4 $p |- ( ph -> E : RR --> ( A (,] B ) ) $=
      ( cr cmin co caddc wcel clt wbr adantr cc0 cv cdiv cfl cmul cioc wa simpr
      cfv cle resubcld eqeltrid wne wceq a1i recnd gtned subne0d redivcld flcld
      eqnetrd zred remulcld readdcld addid1d eqcomd subcld subidd oveq2d nncand
      c1 addsub12d addcomd eqtrd 3eqtrd oveq1d cc addsubd divdird dividd fveq2d
      eqeltrrd peano2re syl reflcl crp posdifd mpbid breqtrrd elrpd flltp1 1zzd
      cz fladdz syl2anc ltmul1dd ltadd2dd divcan1d pncan3d 3brtr3d flle lemul1d
      leadd2dd breqtrd cxr w3a wb rexrd elioc2 mpbir3and fmptd ) ABLBUAZDXKMNZE
      UBNZUCUHZEUDNZONZCDUENZFAXKLPZUFZXPXQPZXPLPZCXPQRZXPDUIRZXSXKXOAXRUGZXSXN
      EXSXNXSXMXSXLEXSDXKADLPZXRHSZYDUJZAELPXRAEDCMNZLJADCHGUJUKZSZAETULXRAEYHT
      EYHUMAJUNZADCADHUOZACGUOZACDGIUPUQUTZSZURZUSVAZYJVBZVCXSXKCXKMNZEUBNZEUDN
      ZONZXKYTVJONZUCUHZEUDNZONZCXPQXSUUAUUEXKXSYTEXSYSEXSCXKACLPXRGSZYDUJYJYOU
      RZYJVBXSXOUUELXSXNUUDEUDXSXMUUCUCXSXMYSEONZEUBNYTEEUBNZONUUCXSXLUUIEUBXSX
      LCEONZXKMNUUIXSDUUKXKMADUUKUMXRADDTONZDYHYHMNZONZUUKAUULDADYLVDVEATUUMDOA
      UUMTAYHADCYLYMVFZVGVEVHAUUNYHDYHMNZONYHCONZUUKADYHYHYLUUOUUOVKAUUPCYHOADC
      YLYMVIVHAUUQCYHONUUKAYHCUUOYMVLAYHECOAEYHYKVEVHVMVNVNSVOXSCEXKACVPPXRYMSZ
      XSEYJUOZXSXKYDUOZVQVMVOXSYSEEXSCXKUURUUTVFZUUSUUSYOVRXSUUJVJYTOAUUJVJUMXR
      AEAEYHVPJUUOUKYNVSSVHVNVTVOZYRWAYDXSYTUUDEUUHXSUUCLPZUUDLPXSYTLPZUVCUUHYT
      WBWCUUCWDWCAEWEPXRAEYIATYHEQACDQRTYHQRIACDGHWFWGYKWHWISZXSYTYTUCUHVJONZUU
      DQXSUVDYTUVFQRUUHYTWJWCXSUVDVJWLPUUDUVFUMUUHXSWKYTVJWMWNWHWOWPXSUUBXKYSON
      CXSUUAYSXKOXSYSEUVAUUSYOWQVHXSXKCUUTUURWRVMXSXPUUFXSXOUUEXKOUVBVHVEWSXSXP
      XKXMEUDNZONZDUIXSXOUVGXKYRXSXMEYPYJVBYDXSXNXMUIRZXOUVGUIRXSXMLPUVIYPXMWTW
      CXSXNXMEYQYPUVEXAWGXBXSUVHXKXLONDXSUVGXLXKOXSXLEXSXLYGUOUUSYOWQVHXSXKDUUT
      ADVPPXRYLSWRVMXCXSCXDPYEXTYAYBYCXEXFXSCUUGXGYFCDXPXHWNXIKXJ $.
  $}

  ${
    $d X x $.
    fourierdlem5.1 $e |- S = ( x e. ( -u _pi [,] _pi ) |-> ( sin ` ( ( X + ( 1
       / 2 ) ) x. x ) ) ) $.
    $( ` S ` is a function.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem5 $p |- ( X e. RR -> S : ( -u _pi [,] _pi ) --> RR ) $=
      ( cr wcel cpi cneg cicc co c1 c2 cdiv caddc cv cmul csin cfv wa pire 1red
      simpl rehalfcld readdcld wss renegcli iccssre mp2an sseli adantl remulcld
      resincld fmptd ) CEFZAGHZGIJZCKLMJZNJZAOZPJZQREBUNUSUPFZSZUTVBURUSVBCUQUN
      VAUBVBKVBUAUCUDVAUSEFUNUPEUSUOEFGEFUPEUEGTUFTUOGUGUHUIUJUKULDUM $.
  $}

  ${
    fourierdlem6.a $e |- ( ph -> A e. RR ) $.
    fourierdlem6.b $e |- ( ph -> B e. RR ) $.
    fourierdlem6.altb $e |- ( ph -> A < B ) $.
    fourierdlem6.t $e |- T = ( B - A ) $.
    fourierdlem6.5 $e |- ( ph -> X e. RR ) $.
    fourierdlem6.i $e |- ( ph -> I e. ZZ ) $.
    fourierdlem6.j $e |- ( ph -> J e. ZZ ) $.
    fourierdlem6.iltj $e |- ( ph -> I < J ) $.
    fourierdlem6.iel $e |- ( ph -> ( X + ( I x. T ) ) e. ( A [,] B ) ) $.
    fourierdlem6.jel $e |- ( ph -> ( X + ( J x. T ) ) e. ( A [,] B ) ) $.
    $( ` X ` is in the periodic partition, when the considered interval is
       centered at ` X ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem6 $p |- ( ph -> J = ( I + 1 ) ) $=
      ( co wbr recnd c1 caddc wceq cle cmin cmul cdiv zred resubcld cr eqeltrid
      remulcld cc0 clt posdifd mpbid breqtrrdi elrpd subdird pnpcand eqtr4d a1i
      iccsuble 3brtr4d lediv1dd gt0ne0d divcan4d dividd 3brtr3d 1red lesubadd2d
      cz wcel wb zltp1le syl2anc readdcld letri3d mpbir2and ) AFEUAUBRZUCFVTUDS
      ZVTFUDSZAFEUERZUAUDSWAAWCDUFRZDUGRDDUGRWCUAUDAWDDDAWCDAFEAFNUHZAEMUHZUIZA
      DCBUERZUJKACBIHUIUKZULWIADWIAUMWHDUNABCUNSUMWHUNSJABCHIUOUPKUQZURAGFDUFRZ
      UBRZGEDUFRZUBRZUERZWHWDDUDABCWLWNHIQPVCAWDWKWMUERWOAFEDAFWETAEWFTADWITZUS
      AGWKWMAGLTAWKAFDWEWIULTAWMAEDWFWIULTUTVADWHUCAKVBVDVEAWCDAWCWGTWPADWJVFZV
      GADWPWQVHVIAFEUAWEWFAVJZVKUPAEFUNSZWBOAEVLVMFVLVMWSWBVNMNEFVOVPUPAFVTWEAE
      UAWFWRVQVRVS $.
  $}

  ${
    $d B x $.  $d T x $.  $d X x $.  $d Y x $.  $d ph x $.
    fourierdlem7.a $e |- ( ph -> A e. RR ) $.
    fourierdlem7.b $e |- ( ph -> B e. RR ) $.
    fourierdlem7.altb $e |- ( ph -> A < B ) $.
    fourierdlem7.t $e |- T = ( B - A ) $.
    fourierdlem7.e $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( B - x ) / T ) )
       x. T ) ) ) $.
    fourierdlem7.x $e |- ( ph -> X e. RR ) $.
    fourierdlem7.y $e |- ( ph -> Y e. RR ) $.
    fourierdlem7.xlty $e |- ( ph -> X <_ Y ) $.
    $( The difference between the periodic sawtooth function and the identity
       function is decreasing.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem7 $p |- ( ph -> ( ( E ` Y ) - Y ) <_ ( ( E ` X ) - X ) ) $=
      ( cmin co cr oveq1d cdiv cfl cfv cmul cle wbr resubcld eqeltrid cc0 mpbid
      wcel posdifd breqtrrdi gt0ne0d redivcld lesub2dd lediv1dd flwordi syl3anc
      clt elrpd flcld zred lemul1d caddc cv cmpt wceq a1i fveq2d oveq12d adantl
      id oveq2 remulcld readdcld fvmptd recnd pncan2d eqtrd 3brtr4d ) ADHQRZEUA
      RZUBUCZEUDRZDGQRZEUARZUBUCZEUDRZHFUCZHQRZGFUCZGQRZUEAWDWHUEUFZWEWIUEUFAWC
      SUKWGSUKWCWGUEUFWNAWBEADHJOUGZAEDCQRZSLADCJIUGUHZAEAUIWPEUTACDUTUFUIWPUTU
      FKACDIJULUJLUMZUNZUOZAWFEADGJNUGZWQWSUOZAWBWFEWOXAAEWQWRVAZAGHDNOJPUPUQWC
      WGURUSAWDWHEAWDAWCWTVBVCZAWHAWGXBVBVCZXCVDUJAWKHWEVERZHQRWEAWJXFHQABHBVFZ
      DXGQRZEUARZUBUCZEUDRZVERZXFSFSFBSXLVGVHAMVIZXGHVHZXLXFVHAXNXGHXKWEVEXNVMX
      NXJWDEUDXNXIWCUBXNXHWBEUAXGHDQVNTVJTVKVLOAHWEOAWDEXDWQVOZVPVQTAHWEAHOVRAW
      EXOVRVSVTAWMGWIVERZGQRWIAWLXPGQABGXLXPSFSXMXGGVHZXLXPVHAXQXGGXKWIVEXQVMXQ
      XJWHEUDXQXIWGUBXQXHWFEUAXGGDQVNTVJTVKVLNAGWINAWHEXEWQVOZVPVQTAGWIAGNVRAWI
      XRVRVSVTWA $.
  $}

  ${
    $d A x $.  $d B x $.  $d I x $.  $d Q x $.  $d ph x $.
    fourierdlem8.a $e |- ( ph -> A e. RR* ) $.
    fourierdlem8.b $e |- ( ph -> B e. RR* ) $.
    fourierdlem8.q $e |- ( ph -> Q : ( 0 ... M ) --> ( A [,] B ) ) $.
    fourierdlem8.i $e |- ( ph -> I e. ( 0 ..^ M ) ) $.
    $( A partition interval is a subset of the partitioned interval.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem8 $p |- ( ph -> ( ( Q ` I ) [,] ( Q ` ( I + 1 ) ) ) C_ ( A [,] B
       ) ) $=
      ( vx cv cicc co wcel cfv c1 cxr adantr cc0 caddc wral wss wa cfz wf simpr
      cfzo fourierdlem1 ralrimiva dfss3 sylibr ) AKLZBCMNZOZKEDPEQUANDPMNZUBUPU
      NUCAUOKUPAUMUPOZUDBCDEFUMABROUQGSACROUQHSATFUENUNDUFUQISAETFUHNOUQJSAUQUG
      UIUJKUPUNUKUL $.
  $}

  ${
    $d ph s $.
    fourierdlem9.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem9.x $e |- ( ph -> X e. RR ) $.
    fourierdlem9.r $e |- ( ph -> Y e. RR ) $.
    fourierdlem9.w $e |- ( ph -> W e. RR ) $.
    fourierdlem9.h $e |- H = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 0 , ( (
       ( F ` ( X + s ) ) - if ( 0 < s , Y , W ) ) / s ) ) ) $.
    $( ` H ` is a complex function.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem9 $p |- ( ph -> H : ( -u _pi [,] _pi ) --> RR ) $=
      ( cpi co cc0 cif cr wcel wa adantr cneg cicc wceq caddc cfv clt cmin cdiv
      cv wbr 0red wn wf wss pire renegcli iccssre mp2an sseli readdcld ffvelrnd
      adantl ifcld ad2antrr resubcld wne neqne redivcld ifclda fmptd ) AGMUAZMU
      BNZGUIZOUCZOEVMUDNZBUEZOVMUFUJZFDPZUGNZVMUHNZPQCAVMVLRZSZVNOVTQWBVNSUKWBV
      NULZSZVSVMWDVPVRWBVPQRWCWBQQVOBAQQBUMWAHTWBEVMAEQRWAITWAVMQRZAVLQVMVKQRMQ
      RVLQUNMUOUPUOVKMUQURUSVBZUTVATAVRQRWAWCAVQFDQJKVCVDVEWBWEWCWFTWCVMOVFWBVM
      OVGVBVHVILVJ $.
  $}

  ${
    fourierdlem10.1 $e |- ( ph -> A e. RR ) $.
    fourierdlem10.2 $e |- ( ph -> B e. RR ) $.
    fourierdlem10.3 $e |- ( ph -> C e. RR ) $.
    fourierdlem10.4 $e |- ( ph -> D e. RR ) $.
    fourierdlem10.5 $e |- ( ph -> C < D ) $.
    fourierdlem10.6 $e |- ( ph -> ( C (,) D ) C_ ( A (,) B ) ) $.
    $( Condition on the bounds of a nonempty subinterval.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem10 $p |- ( ph -> ( A <_ C /\ D <_ B ) ) $=
      ( cle wbr clt co adantr wa wcel cr syl2anc cioo wss caddc c2 cdiv cif cxr
      wn rexrd readdcld rehalfcld ifcld simplr wb ad2antrr avglt1 iftrue adantl
      mpbid breqtrrd iffalse eqcomd breqtrd adantlr pm2.61dan crp 2rp a1i simpr
      leadd2dd lediv1dd eqbrtrd leidd avglt2 lelttrd eliood eqled ltnled mpbird
      wceq ltadd2dd ltdiv1dd syldan ltled ltnsymd intn3an2d elioo2 mtbird nelss
      w3a pm2.65da nltled leadd1dd ltletrd lttrd lensymd intn3an3d jca ) ABDLME
      CLMABDFHADBNMZDEUAOZBCUAOZUBZAXBWSKPAWSQZBELMZDBUCOZUDUEOZDEUCOZUDUEOZUFZ
      WTRXIXARZUHXBUHZXCDEXIADUGRZWSADHUIZPAEUGRZWSAEIUIZPAXISRZWSAXDXFXHSAXEAD
      BHFUJZUKZAXGADEHIUJZUKZULZPZXCXDDXINMZXCXDQZDXFXINYDWSDXFNMZAWSXDUMYDDSRZ
      BSRZWSYEUNAYFWSXDHUOAYGWSXDFUODBUPTUSXDXIXFVTZXCXDXFXHUQZURUTAXDUHZYCWSAY
      JQZDXHXINYKDENMZDXHNMZAYLYJJPYKYFESRZYLYMUNZAYFYJHPAYNYJIPZDEUPZTUSYJXHXI
      VTAYJXIXHXDXFXHVAZVBURVCVDVEAXIENMWSAXIXHEYAXTIAXDXIXHLMAXDQZXIXFXHLXDYHA
      YIURZYSXEXGUDAXESRZXDXQPAXGSRZXDXSPUDVFRZYSVGVHYSBEDAYGXDFPAYNXDIPAYFXDHP
      AXDVIVJVKVLYKXIXHXHLYJXIXHVTAYRURZAXHXHLMYJAXHXTVMPVLVEAYLXHENMZJAYFYNYLU
      UEUNHIDEVNTUSZVOPVPXCXJXPBXINMZXICNMZWJZXCUUGXPUUHXCXIBYBAYGWSFPZXCXIXFBY
      BAXFSRZWSXRPUUJAXIXFLMZWSAXDUULYSXIXFAXPXDYAPYTVQYKXIXFAXPYJYAPAUUKYJXRPY
      KXIXHXFNUUDAYJEBNMZXHXFNMYKUUMYJAYJVIYKEBYPAYGYJFPVRVSAUUMQZXGXEUDAUUBUUM
      XSPAUUAUUMXQPUUCUUNVGVHUUNEBDAYNUUMIPAYGUUMFPAYFUUMHPAUUMVIWAWBWCVLWDVEPX
      CWSXFBNMZAWSVIXCYFYGWSUUOUNAYFWSHPUUJDBVNTUSVOWEWFXCBUGRZCUGRZXJUUIUNAUUP
      WSABFUIZPAUUQWSACGUIZPBCXIWGTWHXIWTXAWITWKWLAECIGACENMZXBAXBUUTKPAUUTQZDC
      LMZCEUCOZUDUEOZXHUFZWTRUVEXARZUHXKUVADEUVEAXLUUTXMPAXNUUTXOPAUVESRZUUTAUV
      BUVDXHSAUVCACEGIUJZUKZXTULZPZADUVENMZUUTAUVBUVLAUVBQZDXHUVEAYFUVBHPZAXHSR
      ZUVBXTPAUVGUVBUVJPAYMUVBAYLYMJAYFYNYOHIYQTUSZPUVMXHUVDUVELUVMXGUVCUDAUUBU
      VBXSPAUVCSRUVBUVHPUUCUVMVGVHUVMDCEUVNACSRZUVBGPAYNUVBIPAUVBVIWMVKUVBUVEUV
      DVTZAUVBUVDXHUQZURUTWNAUVBUHZQZDXHUVENAYMUVTUVPPZUVTXHUVEVTAUVTUVEXHUVBUV
      DXHVAZVBURZVCVEPUVAUVBUVEENMZUVAUVBQZUVEUVDENUVBUVRUVAUVSURZUVAUVDENMZUVB
      UVAUUTUWHAUUTVIZUVAUVQYNUUTUWHUNAUVQUUTGPZAYNUUTIPZCEVNTUSPVLAUVTUWEUUTUW
      AUVEXHENUVTUVEXHVTAUWCURAUUEUVTUUFPVLVDVEVPUVAUVFUVGBUVENMZUVECNMZWJZUVAU
      WMUVGUWLUVACUVEUWJUVKUVAUVBCUVELMZUWFCUVDUVELUVACUVDLMUVBUVACUVDUWJAUVDSR
      UUTUVIPUVAUUTCUVDNMZUWIUVAUVQYNUUTUWPUNUWJUWKCEUPTUSWDPUWGUTAUVTUWOUUTUWA
      CXHUVELUWACXHAUVQUVTGPZAUVOUVTXTPZUWACDXHUWQAYFUVTHPZUWRUWACDNMUVTAUVTVIU
      WACDUWQUWSVRVSUWBWOWDUWDVCVDVEWPWQUVAUUPUUQUVFUWNUNAUUPUUTUURPAUUQUUTUUSP
      BCUVEWGTWHUVEWTXAWITWKWLWR $.
  $}

  ${
    $d A m p $.  $d B m p $.  $d M i m p $.  $d Q i p $.  $d i ph $.
    fourierdlem11.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem11.m $e |- ( ph -> M e. NN ) $.
    fourierdlem11.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    $( If there is a partition, than the lower bound is strictly less than the
       upper bound.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem11 $p |- ( ph -> ( A e. RR /\ B e. RR /\ A < B ) ) $=
      ( cr wcel clt wbr cc0 wa c1 co cfv wceq cv caddc cfzo wral cfz cmap cn wb
      fourierdlem2 syl mpbid simprd simpld wf elmapi 0zd nnzd 0red leidd nngt0d
      nnred ltled elfzd ffvelrnd eqeltrrd 1zzd cle 0le1 nnge1d cz elfzo syl3anc
      a1i mpbir2and wi eleq1 anbi2d fveq2 oveq1 fveq2d breq12d imbi12d r19.21bi
      0re vtoclg ax-mp mpdan 0p1e1 3brtr3d nnuz eleqtrdi adantr elfzel2 elfzelz
      cuz zred 1red 0lt1 elfzle1 ltletrd elfzle2 adantl peano2rem ltm1d lelttrd
      cmin peano2zd peano2re ltp1d lttrd leadd1dd npcand breqtrd syldan monoord
      nncnd 1cnd 3jca ) ABMNCMNBCOPAQEUAZBMAYABUBZHEUAZCUBZAYBYDRZFUCZEUAZYFSUD
      TZEUAZOPZFQHUETZUFZAEMQHUGTZUHTNZYEYLRZAEHDUANZYNYORZLAHUINYPYQUJKBCDEFGH
      IJUKULUMZUNZUOZUOZAYMMQEAYNYMMEUPZAYNYOYRUOEMYMUQULZAQQHAURZAHKUSZUUDAQAU
      TZVAZAQHUUFAHKVCZAHKVBZVDZVEVFVGZAYCCMAYBYDYTUNZAYMMHEUUCAHQHUUDUUEUUEUUJ
      AHUUHVAVEVFVGZABSEUAZCUUKAYMMSEUUCASQHUUDUUEAVHQSVIPAVJVOAHKVKVEVFUUMAYAQ
      SUDTZEUAZBUUNOAQYKNZYAUUPOPZAUUQQQVIPZQHOPZUUGUUIAQVLNZUVAHVLNZUUQUUSUUTR
      UJUUDUUDUUEQQHVMVNVPQMNAUUQRZUURVQZWFAYFYKNZRZYJVQUVDFQMYFQUBZUVFUVCYJUUR
      UVGUVEUUQAYFQYKVRVSUVGYGYAYIUUPOYFQEVTUVGYHUUOEYFQSUDWAWBWCWDAYJFYKAYEYLY
      SUNWEZWGWHWIUUAAUUOSEUUOSUBAWJVOWBWKAUUNYCCVIAFESHAHUISWQUAKWLWMAYFSHUGTN
      ZRYMMYFEAUUBUVIUUCWNUVIYFYMNAUVIYFQHUVIURYFSHWOYFSHWPZUVIQYFUVIUTZUVIYFUV
      JWRZUVIQSYFUVKUVIWSUVLQSOPZUVIWTVOYFSHXAXBVDYFSHXCVEXDVFAYFSHSXHTZUGTNZRZ
      YGYIUVPYMMYFEAUUBUVOUUCWNZUVPYFQHUVPURZAUVBUVOUUEWNZUVOYFVLNZAYFSUVNWPZXD
      ZUVOQYFVIPZAUVOQYFUVOUTZUVOYFUWAWRZUVOQSYFUWDUVOWSZUWEUVMUVOWTVOYFSUVNXAZ
      XBVDXDZUVPYFHUVOYFMNZAUWEXDZAHMNZUVOUUHWNZUVPYFUVNHUWJUVPUWKUVNMNUWLHXEUL
      ZUWLUVOYFUVNVIPAYFSUVNXCXDZUVPHUWLXFXGZVDVEVFUVPYMMYHEUVQUVPYHQHUVRUVSUVP
      YFUWBXIUVPQYHUVPUTZUVPUWIYHMNZUWJYFXJZULZUVPQSYHUWPUVPWSZUWSUVMUVPWTVOUVO
      SYHOPAUVOSYFYHUWFUWEUVOUWIUWQUWEUWRULUWGUVOYFUWEXKXGXDXLVDUVPYHUVNSUDTZHV
      IUVPYFUVNSUWJUWMUWTUWNXMAUXAHUBUVOAHSAHKXRAXSXNWNXOVEVFAUVOUVEYJUVPUVEUWC
      YFHOPZUWHUWOUVPUVTUVAUVBUVEUWCUXBRUJUWBUVRUVSYFQHVMVNVPUVHXPVDXQUULXOXBXT
      $.
  $}

  ${
    $d A m p $.  $d B m p $.  $d M i j w $.  $d M i m p $.  $d Q i j w $.
    $d Q i p $.  $d X j $.  $d i j ph w $.
    fourierdlem12.1 $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem12.2 $e |- ( ph -> M e. NN ) $.
    fourierdlem12.3 $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem12.4 $e |- ( ph -> X e. ran Q ) $.
    $( A point of a partition is not an element of any open interval determined
       by the partition.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem12 $p |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> -. X e. ( ( Q ` i ) (,)
       ( Q ` ( i + 1 ) ) ) ) $=
      ( cc0 wcel wa cr wbr adantr vj vw cv cfzo co cfv wceq cfz wrex caddc cioo
      c1 wn crn wfn wb cmap wf clt wral cn fourierdlem2 syl mpbid simpld elmapi
      ffn 3syl fvelrnb w3a cxr fzofzp1 adantl ffvelrnd 3ad2antl1 wss frn sseldd
      ad2antrr ffvelrnda 3adant3 cle simpr cz elfzoelz elfzelz ad2antlr zltp1le
      cuz syl2anc peano2zd eluz mpbird adantlll 0zd elfzel2 0red elfzole1 ltp1d
      lelttrd elfzle1 ltletrd ltled adantlr elfzle2 letrd adantll elfzd simp-4l
      zred peano2rem zlem1lt ad3antlr elfzo syl3anc mpbir2and elfzofz wi eleq1w
      cmin anbi2d fveq2 fveq2d breq12d imbi12d simprrd r19.21bi chvarvv monoord
      oveq1 3adantl3 simp3 eqled 3adant1r lensymd nltled eqcom biimpi 3ad2antl3
      intnand eluz2 syl3anbrc 3jca elfzoel2 elfzolt2 jca32 elfz2 sylibr simplll
      ltm1d eqbrtrd lenltd syldan intnanrd pm2.61dan elioo3g sylnibr rexlimdv3a
      lttrd mpd ) AFUCZOHUDUEZPZQZUAUCZEUFZIUGZUAOHUHUEZUIZIUVAEUFZUVAULUJUEZEU
      FZUKUEPZUMZAUVIUVCAIEUNZPZUVINAEUVHUOZUVPUVIUPAERUVHUQUEPZUVHREURZUVQAUVR
      OEUFBUGHEUFCUGQZUVJUVLUSSZFUVBUTZQZAEHDUFPZUVRUWCQZMAHVAPUWDUWEUPLBCDEFGH
      JKVBVCVDZVEZERUVHVFZUVHREVGVHUAUVHIEVIVCVDTUVDUVGUVNUAUVHUVDUVEUVHPZUVGVJ
      ZUVJVKPUVLVKPIVKPVJZUVJIUSSZIUVLUSSZQZQUVMUWJUWNUWKUWJUVAUVEUSSZUWNUMUWJU
      WOQZUWMUWLUWPUVLIUVDUWIUWOUVLRPZUVGUVDUWQUWOUVDUVHRUVKEAUVSUVCAUVRUVSUWGU
      WHVCZTZUVCUVKUVHPAOHUVAVLVMVNTVOZUVDUWIUWOIRPZUVGAUXAUVCUWOAUVORIAUVSUVOR
      VPUWRUVHREVQVCNVRZVSVOZUWPUVLUVFIUWTUWJUVFRPZUWOUVDUWIUXDUVGUVDUVHRUVEEUW
      SVTWATUXCUVDUWIUWOUVLUVFWBSUVGUVDUWIQZUWOQZUBEUVKUVEUVCUWIUWOUVEUVKWIUFPZ
      AUVCUWIQZUWOQZUXGUVKUVEWBSZUXIUWOUXJUXHUWOWCUXIUVAWDPZUVEWDPZUWOUXJUPUVCU
      XKUWIUWOUVAOHWEZVSZUWIUXLUVCUWOUVEOHWFZWGZUVAUVEWHWJVDUXIUVKWDPUXLUXGUXJU
      PUXIUVAUXNWKUXPUVKUVEWLWJWMWNUXEUBUCZUVKUVEUHUEPZUXQEUFZRPZUWOUXEUXRQUVHR
      UXQEUVDUVSUWIUXRUWSVSUVCUWIUXRUXQUVHPZAUXHUXRQZUXQOHUYBWOUWIHWDPZUVCUXRUV
      EOHWPZWGUXRUXQWDPZUXHUXQUVKUVEWFZVMUVCUXROUXQWBSZUWIUVCUXRQZOUXQUYHWQZUXR
      UXQRPZUVCUXRUXQUYFXJZVMZUYHOUVKUXQUYIUVCUVKRPZUXRUVCUVKUVCUVAUXMWKXJZTZUY
      LUYHOUVAUVKUYIUVCUVARPZUXRUVCUVAUXMXJZTZUYOUVCOUVAWBSUXRUVAOHWRZTUYHUVAUY
      RWSWTUXRUVKUXQWBSZUVCUXQUVKUVEXAVMXBXCXDUWIUXRUXQHWBSZUVCUWIUXRQUXQUVEHUX
      RUYJUWIUYKVMUWIUVERPZUXRUWIUVEUXOXJZTUWIHRPZUXRUWIHUYDXJZTUXRUXQUVEWBSUWI
      UXQUVKUVEXEVMUWIUVEHWBSZUXRUVEOHXEZTXFXGXHWNVNXDUXFUXQUVKUVEULXTUEZUHUEPZ
      QZAUXQUVBPZUXSUXQULUJUEZEUFZWBSZAUVCUWIUWOVUIXIVUJVUKUYGUXQHUSSZUXEVUIUYG
      UWOUVCUWIVUIUYGAUXHVUIQZOUXQVUPWQVUIUYJUXHVUIUXQUXQUVKVUHWFZXJZVMUVCVUIOU
      XQUSSUWIUVCVUIQZOUVKUXQVUSWQUVCUYMVUIUYNTVUIUYJUVCVURVMUVCOUVKUSSVUIUVCOU
      VAUVKUVCWQUYQUYNUYSUVCUVAUYQWSWTTVUIUYTUVCUXQUVKVUHXAVMXBXDXCWNXDUWIUWOVU
      IVUOUVDUWIVUIVUOUWOUWIVUIQUXQVUHHVUIUYJUWIVURVMUWIVUHRPZVUIUWIVUBVUTVUCUV
      EXKVCTUWIVUDVUIVUETVUIUXQVUHWBSUWIUXQUVKVUHXEVMUWIVUHHUSSZVUIUWIVUFVVAVUG
      UWIUXLUYCVUFVVAUPUXOUYDUVEHXLWJVDTWTXDWNVUJUYEOWDPZUYCVUKUYGVUOQUPZVUIUYE
      UXFVUQVMVUJWOUWIUYCUVDUWOVUIUYDXMUXQOHXNZXOXPAVUKQZUXSVUMVVEUVHRUXQEAUVSV
      UKUWRTZVUKUYAAUXQOHXQVMVNVVEUVHRVULEVVFVUKVULUVHPAOHUXQVLVMVNUVDUWAXRVVEU
      XSVUMUSSZXRFUBUVAUXQUGZUVDVVEUWAVVGVVHUVCVUKAFUBUVBXSYAVVHUVJUXSUVLVUMUSU
      VAUXQEYBVVHUVKVULEUVAUXQULUJYJYCYDYEAUWAFUVBAUVRUVTUWBUWFYFYGYHXCZWJYIYKU
      WJUVFIWBSZUWOAUWIUVGVVJUVCAUWIUVGVJUVFIAUWIUXDUVGAUVHRUVEEUWRVTWAAUWIUVGY
      LYMYNTXFYOYTUWJUWOUMZQUWLUWMUWJVVKUVEUVAWBSZUWLUMZUVDUWIVVKVVLUVGUXEVVKQU
      VEUVAUWIVUBUVDVVKVUCWGUVCUYPAUWIVVKUYQXMUXEVVKWCYPYKUWJVVLQZIUVJWBSZVVMVV
      NIUVFUVJWBUVGUVDVVLIUVFUGZUWIUVGVVPVVLUVGVVPUVFIYQYRTYSUVDUWIVVLUVFUVJWBS
      UVGUXEVVLQUBEUVEUVAUVCUWIVVLUVAUVEWIUFPZAUXHVVLQUXLUXKVVLVVQUWIUXLUVCVVLU
      XOWGUVCUXKUWIVVLUXMVSUXHVVLWCUVEUVAUUAUUBWNUXEUXQUVEUVAUHUEPZUXTVVLUXEVVR
      QZUVHRUXQEUVDUVSUWIVVRUWSVSVVSVVBUYCUYEVJZUYGVUAQQZUYAUVCUWIVVRVWAAUXHVVR
      QZVVTUYGVUAVWBVVBUYCUYEVWBWOUWIUYCUVCVVRUYDWGVVRUYEUXHUXQUVEUVAWFZVMUUCUW
      IVVRUYGUVCUWIVVRQZOUVEUXQVWDWQUWIVUBVVRVUCTVVRUYJUWIVVRUXQVWCXJZVMUWIOUVE
      WBSZVVRUVEOHXAZTVVRUVEUXQWBSZUWIUXQUVEUVAXAVMXFXGUVCVVRVUAUWIUVCVVRQZUXQH
      VVRUYJUVCVWEVMZUVCVUDVVRUVCHUVAOHUUDZXJZTZVWIUXQUVAHVWJUVCUYPVVRUYQTVWMVV
      RUXQUVAWBSUVCUXQUVEUVAXEVMUVCUVAHUSSZVVRUVAOHUUEZTWTXCXDUUFWNUXQOHUUGUUHV
      NXDUXEUXQUVEUVAULXTUEZUHUEPZVUNVVLUXEVWQQAVUKVUNAUVCUWIVWQUUIUVCUWIVWQVUK
      AUXHVWQQZVUKUYGVUOVWROUVEUXQVWRWQUWIVUBUVCVWQVUCWGVWQUYJUXHVWQUXQUXQUVEVW
      PWFZXJZVMUWIVWFUVCVWQVWGWGVWQVWHUXHUXQUVEVWPXAVMXFUVCVWQVUOUWIUVCVWQQZUXQ
      UVAHVWQUYJUVCVWTVMZUVCUYPVWQUYQTZUVCVUDVWQVWLTVXAUXQVWPUVAVXBVXAUYPVWPRPV
      XCUVAXKVCVXCVWQUXQVWPWBSUVCUXQUVEVWPXEVMVXAUVAVXCUUJWTUVCVWNVWQVWOTUUSXDV
      WRUYEVVBUYCVVCVWQUYEUXHVWSVMVWRWOUVCUYCUWIVWQVWKVSVVDXOXPWNVVIWJXDYIYKUUK
      UVDUWIVVLVVOVVMUPZUVGUVDVXDVVLUVDIUVJAUXAUVCUXBTUVDUVHRUVAEUWSUVCUVAUVHPA
      UVAOHXQVMVNUULTVOVDUUMUUNUUOYTUVJUVLIUUPUUQUURUUT $.
  $}

  ${
    $d A m p $.  $d B m p $.  $d I i $.  $d M i m p $.  $d V i p $.
    $d X i m p $.  $d i ph $.
    fourierdlem13.a $e |- ( ph -> A e. RR ) $.
    fourierdlem13.b $e |- ( ph -> B e. RR ) $.
    fourierdlem13.x $e |- ( ph -> X e. RR ) $.
    fourierdlem13.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( A + X ) /\ ( p ` m ) = ( B + X ) ) /\ A. i e. ( 0 ..^ m )
       ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem13.m $e |- ( ph -> M e. NN ) $.
    fourierdlem13.v $e |- ( ph -> V e. ( P ` M ) ) $.
    fourierdlem13.i $e |- ( ph -> I e. ( 0 ... M ) ) $.
    fourierdlem13.q $e |- Q = ( i e. ( 0 ... M ) |-> ( ( V ` i ) - X ) ) $.
    $( Value of ` V ` in terms of value of ` Q ` .  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    fourierdlem13 $p |- ( ph -> ( ( Q ` I ) = ( ( V ` I ) - X ) /\ ( V ` I ) =
       ( X + ( Q ` I ) ) ) ) $=
      ( cfv cmin co wceq caddc cv cc0 cfz cr cmpt a1i wa simpr fveq2d cmap wcel
      oveq1d wf c1 clt wbr cfzo wral cn wb fourierdlem2 syl mpbid simpld elmapi
      ffvelrnd resubcld fvmptd oveq2d recnd pncan3d eqtr2d jca ) AHEUAZHJUAZKUB
      UCZUDVTKVSUEUCZUDAFHFUFZJUAZKUBUCZWAUGIUHUCZEUIEFWFWEUJUDATUKAWCHUDZULZWD
      VTKUBWHWCHJAWGUMUNUQSAVTKAWFUIHJAJUIWFUOUCUPZWFUIJURAWIUGJUABKUEUCZUDIJUA
      CKUEUCZUDULWDWCUSUEUCJUAUTVAFUGIVBUCVCULZAJIDUAUPZWIWLULZRAIVDUPWMWNVEQWJ
      WKDJFGILPVFVGVHVIJUIWFVJVGSVKZOVLVMZAWBKWAUEUCVTAVSWAKUEWPVNAKVTAKOVOAVTW
      OVOVPVQVR $.
  $}

  ${
    $d A m p $.  $d B m p $.  $d M i j $.  $d M i m p $.  $d Q i p $.
    $d V i j $.  $d V i p $.  $d X i j $.  $d X i m p $.  $d i j ph $.
    fourierdlem14.1 $e |- ( ph -> A e. RR ) $.
    fourierdlem14.2 $e |- ( ph -> B e. RR ) $.
    fourierdlem14.x $e |- ( ph -> X e. RR ) $.
    fourierdlem14.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( A + X ) /\ ( p ` m ) = ( B + X ) ) /\ A. i e. ( 0 ..^ m )
       ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem14.o $e |- O = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem14.m $e |- ( ph -> M e. NN ) $.
    fourierdlem14.v $e |- ( ph -> V e. ( P ` M ) ) $.
    fourierdlem14.q $e |- Q = ( i e. ( 0 ... M ) |-> ( ( V ` i ) - X ) ) $.
    $( Given the partition ` V ` , ` Q ` is the partition shifted to the left
       by ` X ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem14 $p |- ( ph -> Q e. ( O ` M ) ) $=
      ( vj cfv wcel cr cc0 cfz co cmap wceq wa cv c1 caddc clt wbr cfzo wral wf
      cmin cn wb fourierdlem2 syl mpbid simpld elmapi ffvelrnda adantr resubcld
      fmptd cvv reex a1i ovex elmapd mpbird cmpt fveq2 oveq1d 0zd nnzd cle 0le0
      adantl 0red nnred nngt0d ltled elfzd ffvelrnd fvmptd simprd pncand 3eqtrd
      recnd jca elfzofz sylan2 fzofzp1 r19.21bi ltsub1dd fvmpt2 syl2anc cbvmptv
      leidd eqtri 3brtr4d ralrimiva jca32 ) AEHIUBUCZEUDUEHUFUGZUHUGZUCZUEEUBZB
      UIZHEUBZCUIZUJZFUKZEUBZXSULUMUGZEUBZUNUOZFUEHUPUGZUQZUJUJZAXMXRYEAXMXKUDE
      URAFXKXSJUBZKUSUGZUDEAXSXKUCZUJYGKAXKUDXSJAJXLUCZXKUDJURZAYJUEJUBZBKUMUGZ
      UIZHJUBZCKUMUGZUIZUJZYGYAJUBZUNUOZFYDUQZUJZAJHDUBUCZYJUUBUJZSAHUTUCZUUCUU
      DVARYMYPDJFGHLPVBVCVDZVEJUDXKVFVCZVGZAKUDUCZYIOVHVIZTVJAUDXKEVKVKUDVKUCAV
      LVMXKVKUCAUEHUFVNVMVOVPAXOXQAXNYLKUSUGZYMKUSUGBAFUEYHUUKXKEUDEFXKYHVQZUIA
      TVMZXSUEUIZYHUUKUIAUUNYGYLKUSXSUEJVRVSWDAUEUEHAVTZAHRWAZUUOUEUEWBUOAWCVMA
      UEHAWEAHRWFZAHRWGWHZWIZAYLKAXKUDUEJUUGUUSWJOVIWKAYLYMKUSAYNYQAYRUUAAYJUUB
      UUFWLZVEZVEVSABKABMWOAKOWOZWMWNAXPYOKUSUGZYPKUSUGCAFHYHUVCXKEUDUUMXSHUIZY
      HUVCUIAUVDYGYOKUSXSHJVRVSWDAHUEHUUOUUPUUPUURAHUUQXEWIZAYOKAXKUDHJUUGUVEWJ
      OVIWKAYOYPKUSAYNYQUVAWLVSACKACNWOUVBWMWNWPAYCFYDAXSYDUCZUJZYHYSKUSUGZXTYB
      UNUVGYGYSKUVFAYIYGUDUCXSUEHWQZUUHWRUVGXKUDYAJAYKUVFUUGVHUVFYAXKUCAUEHXSWS
      WDZWJZAUUIUVFOVHZAYTFYDAYRUUAUUTWLWTXAUVGYIYHUDUCZXTYHUIUVFYIAUVIWDUVFAYI
      UVMUVIUUJWRFXKYHUDETXBXCUVGUAYAUAUKZJUBZKUSUGZUVHXKEUDEUAXKUVPVQZUIUVGEUU
      LUVQTFUAXKYHUVPXSUVNUIYGUVOKUSXSUVNJVRVSXDXFVMUVNYAUIZUVPUVHUIUVGUVRUVOYS
      KUSUVNYAJVRVSWDUVJUVGYSKUVKUVLVIWKXGXHXIAUUEXJYFVARBCIEFGHLQVBVCVP $.
  $}

  ${
    $d A i m p $.  $d B i m p $.  $d M i j $.  $d M i m p $.  $d Q i j $.
    $d Q i p $.  $d i j ph $.
    fourierdlem15.1 $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem15.2 $e |- ( ph -> M e. NN ) $.
    fourierdlem15.3 $e |- ( ph -> Q e. ( P ` M ) ) $.
    $( The range of the partition is between its starting point and its ending
       point.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem15 $p |- ( ph -> Q : ( 0 ... M ) --> ( A [,] B ) ) $=
      ( cc0 cr wcel wa wbr adantr cle adantl vj cfz co wfn crn cicc wss wf cmap
      cfv wceq cv c1 caddc clt cfzo wral cn wb fourierdlem2 syl simpld cvv reex
      mpbid a1i elmapd ffn simprd cuz cn0 nnnn0 nn0uz eleqtrdi eluzfz1 ffvelrnd
      ovex eqeltrrd eluzfz2 ffvelrnda eqcomd elfzuz ad2antrr cz elfzel2 elfzelz
      0zd elfzle1 zred elfzle2 letrd elfzd adantll cmin peano2rem ltm1d lelttrd
      simpll ltletrd elfzo syl3anc mpbir2and elfzofz fzofzp1 eleq1w fveq2 oveq1
      wi anbi2d fveq2d breq12d imbi12d r19.21bi chvarvv syl2anc monoord eqbrtrd
      ltled elfzuz3 fz0fzelfz0 ad2antlr nnred resubcld adantlr peano2zd addge0d
      0red 1red 0le1 leadd1dd cc nncnd npcand breqtrd eliccd ralrimiva fnfvrnss
      1cnd df-f sylanbrc ) AEMHUBUCZUDZEUEBCUFUCZUGZUUAUUCEUHAUUANEUHZUUBAENUUA
      UIUCOZUUEAUUFMEUJZBUKZHEUJZCUKZPZFULZEUJZUULUMUNUCZEUJZUOQZFMHUPUCZUQZPZA
      EHDUJOZUUFUUSPZLAHUROZUUTUVAUSKBCDEFGHIJUTVAVEZVBANUUAEVCVCNVCOAVDVFUUAVC
      OAMHUBVQVFVGVEZUUANEVHVAZAUUBUUMUUCOZFUUAUQUUDUVEAUVFFUUAAUULUUAOZPZBCUUM
      ABNOUVGAUUGBNAUUHUUJAUUKUURAUUFUUSUVCVIZVBZVBZAUUANMEUVDAHMVJUJZOZMUUAOAU
      VBUVMKUVBHVKUVLHVLVMVNVAZMHVOVAVPVRRACNOUVGAUUICNAUUHUUJUVJVIZAUUANHEUVDA
      UVMHUUAOUVNMHVSVAVPVRRAUUANUULEUVDVTUVHBUUGUUMSABUUGUKUVGAUUGBUVKWARUVHUA
      EMUULUVGUULUVLOAUULMHWBTUVHUAULZMUULUBUCOZPUUANUVPEAUUEUVGUVQUVDWCUVGUVQU
      VPUUAOZAUVGUVQPZUVPMHUVSWGUVGHWDOZUVQUULMHWEZRUVQUVPWDOZUVGUVPMUULWFZTUVQ
      MUVPSQZUVGUVPMUULWHTUVSUVPUULHUVQUVPNOZUVGUVQUVPUWCWITUVGUULNOZUVQUVGUULU
      ULMHWFWIZRUVGHNOZUVQUVGHUWAWIZRUVQUVPUULSQUVGUVPMUULWJTUVGUULHSQZUVQUULMH
      WJZRWKWLWMVPUVHUVPMUULUMWNUCZUBUCOZPAUVPUUQOZUVPEUJZUVPUMUNUCZEUJZSQAUVGU
      WMWRUVGUWMUWNAUVGUWMPZUWNUWDUVPHUOQZUWMUWDUVGUVPMUWLWHTUWRUVPUULHUWMUWEUV
      GUWMUVPUVPMUWLWFZWITZUVGUWFUWMUWGRZUVGUWHUWMUWIRUWRUVPUWLUULUXAUWRUWFUWLN
      OUXBUULWOVAUXBUWMUVPUWLSQUVGUVPMUWLWJTUWRUULUXBWPWQUVGUWJUWMUWKRWSUWRUWBM
      WDOZUVTUWNUWDUWSPUSZUWMUWBUVGUWTTUWRWGUVGUVTUWMUWARUVPMHWTZXAXBWMAUWNPZUW
      OUWQUXFUUANUVPEAUUEUWNUVDRZUWNUVRAUVPMHXCTVPUXFUUANUWPEUXGUWNUWPUUAOAMHUV
      PXDTVPAUULUUQOZPZUUPXHUXFUWOUWQUOQZXHFUAUULUVPUKZUXIUXFUUPUXJUXKUXHUWNAFU
      AUUQXEXIUXKUUMUWOUUOUWQUOUULUVPEXFUXKUUNUWPEUULUVPUMUNXGXJXKXLAUUPFUUQAUU
      KUURUVIVIXMXNZXRXOXPXQUVHUUMUUICSUVHUAEUULHUVGHUULVJUJOAUULMHXSTUVHUVPUUL
      HUBUCOZPUUANUVPEAUUEUVGUXMUVDWCUVGUXMUVRAHUVPUULXTWMVPUVHUVPUULHUMWNUCZUB
      UCOZPZUWOUWQUXPUUANUVPEAUUEUVGUXOUVDWCZUXPUVPMHUXPWGZUVGUVTAUXOUWAYAZUXOU
      WBUVHUVPUULUXNWFZTZUVGUXOUWDAUVGUXOPZMUULUVPUYBYGUVGUWFUXOUWGRUXOUWEUVGUX
      OUVPUXTWIZTUVGMUULSQUXOUULMHWHRUXOUULUVPSQUVGUVPUULUXNWHTWKWMZAUXOUVPHSQU
      VGAUXOPZUVPHUXOUWEAUYCTZAUWHUXOAHKYBRZUYEUVPUXNHUYFUYEHUMUYGUYEYHZYCZUYGU
      XOUVPUXNSQAUVPUULUXNWJTZUYEHUYGWPWQZXRYDWLVPUXPUUANUWPEUXQUXPUWPMHUXRUXSU
      XPUVPUYAYEUXPUVPUMUXOUWEUVHUYCTUXPYHUYDMUMSQUXPYIVFYFAUXOUWPHSQUVGUYEUWPU
      XNUMUNUCHSUYEUVPUXNUMUYFUYIUYHUYJYJUYEHUMAHYKOUXOAHKYLRUYEYRYMYNYDWLVPUXP
      AUWNUXJAUVGUXOWRUXPUWNUWDUWSUYDAUXOUWSUVGUYKYDUXPUWBUXCUVTUXDUYAUXRUXSUXE
      XAXBUXLXOXRXPAUUJUVGUVORYNYOYPFUUAUUCEYQXOUUAUUCEYSYT $.
  $}

  ${
    $d C b n x y $.  $d F b n x y $.  $d N n x $.  $d n ph x $.
    fourierdlem16.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem16.c $e |- C = ( -u _pi (,) _pi ) $.
    fourierdlem16.fibl $e |- ( ph -> ( F |` C ) e. L^1 ) $.
    fourierdlem16.a $e |- A = ( n e. NN0 |-> ( S. C ( ( F ` x ) x. ( cos ` ( n
       x. x ) ) ) _d x / _pi ) ) $.
    fourierdlem16.n $e |- ( ph -> N e. NN0 ) $.
    $( The coefficients of the fourier series are integrable and reals.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem16 $p |- ( ph -> ( ( ( A ` N ) e. RR /\ ( x e. C |-> ( F ` x ) )
       e. L^1 ) /\ S. C ( ( F ` x ) x. ( cos ` ( N x. x ) ) ) _d x e. RR ) ) $=
      ( cfv cr wcel cmul co cpi wa cc vy vb cmpt cibl ccos citg cn0 cdiv adantr
      cv wf cneg cioo ioossre id eleqtrdi sselid adantl ffvelrnd nn0re remulcld
      adantlr recoscld adantll cof cdm ioombl eqeltri a1i eqidd offval2 mulcomd
      cvol recnd mpteq2dva eqtr2d cmbf cabs cle wbr wral wrex ccncf wss eqsstri
      coscn ax-resscn sstri ssid constcncfg cncfmptid mulcncf cncfmpt1f sylancr
      mp2an cnmbf cres feqmptd reseq1d wceq resmpt mp1i eqeltrd c1 simpr nfmpt1
      1re nfv nfdm nfcri nfan wi ralrimi dmmptg syl eleqtrd oveq2 fveq2d fvmptd
      ex abscosbd eqbrtrd syldan ralrimiva breq2 ralbidv rspcev syl3anc itgrecl
      bddmulibl pire cc0 wne 0re pipos gtneii redivcld fmptd ancli eleq1 anbi2d
      simpl oveq1d oveq2d itgeq2dv eleq1d imbi12d vtoclg sylc jca31 ) AGCMNOBDB
      UJZFMZUCZUDOZBDUULGUUKPQZUEMZPQZUFZNOZAUGNGCAEUGBDUULEUJZUUKPQZUEMZPQZUFZ
      RUHQNCAUUTUGOZSZUVDRUVFBDUVCUVFUUKDOZSZUULUVBAUVGUULNOUVEAUVGSNNUUKFANNFU
      KUVGHUIUVGUUKNOZAUVGRULZRUMQZNUUKUVJRUNZUVGUUKDUVKUVGUOIUPUQZURUSVBZUVEUV
      GUVBNOZAUVEUVGSZUVAUVPUUTUUKUVEUUTNOZUVGUUTUTZUIUVGUVIUVEUVMURVAVCZVDZVAU
      VFBDUVCUCZBDUVBUCZUUMPVEQZUDUVFUWCBDUVBUULPQZUCUWAUVFBDUVBUULPUWBUUMVMVFZ
      NNDUWEOZUVFDUVKUWEIUVJRVGVHZVIUVTUVNUVFUWBVJUVFUUMVJVKUVFBDUWDUVCUVHUVBUU
      LUVHUVBUVTVNUVHUULUVNVNVLVOVPUVFUWBVQOZUUNUAUJZUWBMZVRMZUBUJZVSVTZUAUWBVF
      ZWAZUBNWBZUWCUDOUVEUWHAUVEUWFUWBDTWCQZOUWHUWGUVEBUVAUEDUETTWCQOUVEWFVIUVE
      BUUTUUKDUVEBDUUTTDTWDZUVEDNTDUVKNIUVLWEZWGWHZVIUVEUUTUVRVNTTWDZUVETWIZVIW
      JBDUUKUCUWQOZUVEUWRUXAUXCUWTUXBBDTWKWOVIWLWMDUWBWPWNURAUUNUVEAUUMFDWQZUDA
      UXDBNUULUCZDWQZUUMAFUXEDABNNFHWRWSDNWDUXFUUMWTAUWSBNDUULXAXBVPJXCZUIUVEUW
      PAUVEXDNOUWKXDVSVTZUAUWNWAZUWPXGUVEUXHUAUWNUVEUWIUWNOZUWIDOZUXHUVEUXJSZUW
      IUWNDUVEUXJXEUXLUVOBDWAUWNDWTUXLUVOBDUVEUXJBUVEBXHBUAUWNBUWBBDUVBXFXIXJXK
      UVEUVGUVOXLUXJUVEUVGUVOUVSXTUIXMBDUVBNXNXOXPUVEUXKSZUWKUUTUWIPQZUEMZVRMZX
      DVSUXMUWJUXOVRUXMBUWIUVBUXODUWBNUXMUWBVJUUKUWIWTZUVBUXOWTUXMUXQUVAUXNUEUU
      KUWIUUTPXQXRURUVEUXKXEZUXMUXNUXMUUTUWIUVEUVQUXKUVRUIUXMDNUWIUWSUXRUQVAZVC
      XSXRUXMUXNNOUXPXDVSVTUXSUXNYAXOYBYCYDUWOUXIUBXDNUWLXDWTUWMUXHUAUWNUWLXDUW
      KVSYEYFYGWNURUBUAUWBUUMYJYHXCYIZRNOUVFYKVIRYLYMUVFYLRYNYOYPVIYQKYRLUSUXGA
      GUGOZAUYASZUUSLAUYALYSUVFUVDNOZXLUYBUUSXLEGUGUUTGWTZUVFUYBUYCUUSUYDUVEUYA
      AUUTGUGYTUUAUYDUVDUURNUYDBDUVCUUQUYDUVGSZUVBUUPUULPUYEUVAUUOUEUYEUUTGUUKP
      UYDUVGUUBUUCXRUUDUUEUUFUUGUXTUUHUUIUUJ $.
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.
    fourierdlem17.a $e |- ( ph -> A e. RR ) $.
    fourierdlem17.b $e |- ( ph -> B e. RR ) $.
    fourierdlem17.altb $e |- ( ph -> A < B ) $.
    fourierdlem17.l $e |- L = ( x e. ( A (,] B ) |-> if ( x = B , A , x ) ) $.
    $( The defined ` L ` is actually a function.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    fourierdlem17 $p |- ( ph -> L : ( A (,] B ) --> ( A [,] B ) ) $=
      ( cioc co cv wceq cif cicc wcel wa leidd ltled eliccd ad2antrr wn ifclda
      iocssicc sseli ad2antlr fmptd ) ABCDJKZBLZDMZCUINCDOKZEAUIUHPZQUJCUIUKACU
      KPULUJACDCFGFACFRACDFGHSTUAULUIUKPAUJUBUHUKUICDUDUEUFUCIUG $.
  $}

  ${
    $d N s x $.  $d ph s x $.
    fourierdlem18.n $e |- ( ph -> N e. RR ) $.
    fourierdlem18.s $e |- S = ( s e. ( -u _pi [,] _pi ) |-> ( sin ` ( ( N + ( 1
       / 2 ) ) x. s ) ) ) $.
    $( The function ` S ` is continuous.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem18 $p |- ( ph -> S e. ( ( -u _pi [,] _pi ) -cn-> RR ) ) $=
      ( vx csin cr cpi co cv cmul cmpt cfv wceq wcel a1i wss cc cres cneg c1 c2
      cicc cdiv caddc ccom ccncf wf resincncf cncff ax-mp wa halfre adantr pire
      readdcld renegcli iccssre mp2an sseli adantl remulcld eqid fcompt sylancr
      fmptd eqidd oveq2 simpr sselid fvmptd fveq2d mpteq2dva syl cbvmptv 3eqtrd
      fvres eqcomi 3eqtrrd ax-resscn sstri recnd halfcn ssid constcncfg idcncfg
      addcld mulcncf cncfmptssg cncfco eqeltrd ) ABHIUAZDJUBZJUEKZCUCUDUFKZUGKZ
      DLZMKZNZUHZWPIUIKAXBGWPGLZXAOZWNOZNZDWPWTHOZNZBAIIWNUJZWPIXAUJXBXFPWNIIUI
      KQZXIUKIIWNULUMADWPWTIXAAWSWPQZUNWRWSAWRIQZXKACWQEWQIQAUORURZUPXKWSIQAWPI
      WSWOIQJIQWPISJUQUSUQWOJUTVAZVBVCVDZXAVEZVHGWNXAWPIIVFVGAXFGWPWRXCMKZWNOZN
      GWPXQHOZNZXHAGWPXEXRAXCWPQZUNZXDXQWNYBDXCWTXQWPXAIYBXAVIWSXCPWTXQPYBWSXCW
      RMVJVCAYAVKZYBWRXCAXLYAXMUPYBWPIXCXNYCVLVDZVMVNVOAGWPXRXSYBXQIQXRXSPYDXQI
      HVSVPVOXTXHPAGDWPXSXGXCWSPXQWTHXCWSWRMVJVNVQRVRXHBPABXHFVTRWAAWPIIXAWNADW
      PTWPIWTXAXPADWRWSWPADWPWRTWPTSAWPITXNWBWCRZACWQACEWDWQTQAWERWITTSATWFRZWG
      ADWPTYEYFWHWJWPWPSAWPWFRITSAWBRXOWKXJAUKRWLWM $.
  $}

  ${
    $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d T x $.  $d W x $.  $d X y $.
    $d Z x $.  $d ph x $.
    fourierdlem19.a $e |- ( ph -> A e. RR ) $.
    fourierdlem19.b $e |- ( ph -> B e. RR ) $.
    fourierdlem19.altb $e |- ( ph -> A < B ) $.
    fourierdlem19.x $e |- ( ph -> X e. RR ) $.
    fourierdlem19.d $e |- D = { y e. ( ( A + X ) (,] ( B + X ) ) | E. k e. ZZ (
       y + ( k x. T ) ) e. C } $.
    fourierdlem19.t $e |- T = ( B - A ) $.
    fourierdlem19.e $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( B - x ) / T ) )
       x. T ) ) ) $.
    fourierdlem19.w $e |- ( ph -> W e. D ) $.
    fourierdlem19.z $e |- ( ph -> Z e. D ) $.
    fourierdlem19.ezew $e |- ( ph -> ( E ` Z ) = ( E ` W ) ) $.
    $( If two elements of ` D ` have the same periodic image in ` ( A (,] B ) `
       then they are equal.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem19 $p |- ( ph -> -. W < Z ) $=
      ( clt wbr caddc co cle cxr wcel cioc readdcld rexrd cmul wrex crab ssrab2
      cv cz eqsstri sselid iocleub syl3anc adantr wa wss iocssre syl2anc sseldd
      wn cr cmin resubcld eqeltrid eqcomi a1i recnd subaddd mpbid eqcomd oveq1d
      wceq add32d eqtrd iocgtlb ltadd1dd eqbrtrd cfv cdiv cfl cc cmpt id fveq2d
      oveq2 oveq12d adantl cc0 posdifd breqtrrdi gt0ne0d redivcld zred remulcld
      flcld fvmptd eqeltrd subsubd pncand adddirp1d 1red 0red ltled elrpd simpr
      c1 crp ltsub2dd ltdiv1dd eqtr3d pncan2d eqtr2d 3eqtrrd 3brtr4d wb zltp1le
      divcan4d lemul1ad lesub1dd lesub2dd subadd2d mpbird fourierdlem4 ffvelrnd
      ltletrd ltnled pm2.65da ) AKMUDUEZMELUFUGZUHUEZAYTYRADLUFUGZUIUJZYSUIUJZM
      UUAYSUKUGZUJYTAUUAADLNQULZUMZAYSAELOQULZUMZAGUUDMGCURIURHUNUGUFUGFUJIUSUO
      ZCUUDUPUUDRUUICUUDUQUTZUBVAZUUAYSMVBVCVDAYRVEZYSMUDUEYTVJUULYSKHUFUGZMAYS
      VKUJZYRUUGVDZAUUMVKUJYRAKHAUUDVKKAUUBUUNUUDVKVFUUFUUGUUAYSVGVHZAGUUDKUUJU
      AVAZVIZAHEDVLUGZVKSAEDONVMVNZULVDAMVKUJYRAUUDVKMUUPUUKVIZVDZAYSUUMUDUEYRA
      YSUUAHUFUGZUUMUDAYSDHUFUGZLUFUGUVCAEUVDLUFAUVDEAUUSHWBZUVDEWBUVEAHUUSSVOV
      PAEDHAEOVQADNVQZAHUUTVQZVRVSVTWAADHLUVFUVGALQVQWCWDAUUAKHUUEUURUUTAUUBUUC
      KUUDUJUUAKUDUEUUFUUHUUQUUAYSKWEVCWFWGVDUULKJWHZEKVLUGZHWIUGZWJWHZHUNUGZVL
      UGZHUFUGZUVHEMVLUGZHWIUGZWJWHZHUNUGZVLUGZUUMMUHUULUVNUVHUVLHVLUGZVLUGZUVS
      UHUULUWAUVNUULUVHUVLHAUVHWKUJYRAUVHAUVHKUVLUFUGZVKABKBURZEUWCVLUGZHWIUGZW
      JWHZHUNUGZUFUGZUWBVKJVKJBVKUWHWLWBATVPZUWCKWBZUWHUWBWBAUWJUWCKUWGUVLUFUWJ
      WMUWJUWFUVKHUNUWJUWEUVJWJUWJUWDUVIHWIUWCKEVLWOWAWNWAWPWQUURAKUVLUURAUVKHA
      UVKAUVJAUVIHAEKOUURVMUUTAHAWRUUSHUDADEUDUEWRUUSUDUEPADENOWSVSSWTZXAZXBXEZ
      XCZUUTXDZULZXFZUWPXGZVQZVDAUVLWKUJYRAUVLUWOVQZVDAHWKUJYRUVGVDXHVTUULUVRUV
      TUVHUULUVQHAUVQVKUJYRAUVQAUVPAUVOHAEMOUVAVMUUTUWLXBXEZXCZVDZAHVKUJYRUUTVD
      ZXDZUULUVLHUULUVKHAUVKVKUJYRUWNVDZUXDXDZUXDVMAUVHVKUJYRUWRVDZUULUVRUVRHUF
      UGZHVLUGZUVTUHAUVRUXJWBYRAUXJUVRAUVRHAUVRAUVQHUXBUUTXDZVQZUVGXIVTVDUULUXI
      UVLHUULUVRHUXEUXDULUXGUXDUULUXIUVQXPUFUGZHUNUGZUVLUHAUXIUXNWBYRAUXNUXIAUV
      QHAUVQUXBVQZUVGXJVTVDUULUXMUVKHUULUVQXPUXCUULXKULUXFUXDAWRHUHUEYRAWRHAXLU
      UTUWKXMVDUULUVQUVKUDUEZUXMUVKUHUEZUULUVHMVLUGZHWIUGZUVHKVLUGZHWIUGZUVQUVK
      UDUULUXRUXTHUULUVHMUXHUVBVMUULUVHKUXHAKVKUJYRUURVDZVMAHXQUJYRAHUUTUWKXNVD
      UULKMUVHUYBUVBUXHAYRXOXRXSAUVQUXSWBYRAUXSUVRHWIUGUVQAUXRUVRHWIAUXRMUVRUFU
      GZMVLUGUVRAUVHUYCMVLAMJWHZUVHUYCUCABMUWHUYCVKJVKUWIUWCMWBZUWHUYCWBAUYEUWC
      MUWGUVRUFUYEWMUYEUWFUVQHUNUYEUWEUVPWJUYEUWDUVOHWIUWCMEVLWOWAWNWAWPWQUVAAM
      UVRUVAUXKULXFZXTWAAMUVRAMUVAVQZUXLYAWDWAAUVQHUXOUVGUWLYGYBVDAUVKUYAWBYRAU
      YAUWBKVLUGZHWIUGUVLHWIUGUVKAUXTUYHHWIAUVHUWBKVLUWQWAWAAUYHUVLHWIAKUVLAKUU
      RVQZUWTYAWAAUVKHAUVKUWNVQUVGUWLYGYCVDYDUULUVQUSUJZUVKUSUJZUXPUXQYEAUYJYRU
      XAVDAUYKYRUWMVDUVQUVKYFVHVSYHWGYIWGYJWGAUUMUVNWBYRAKUVMHUFAUVMKAUVMKWBUWB
      UVHWBAUVHUWBUWQVTAUVHUVLKUWSUWTUYIYKYLVTWAVDAMUVSWBYRAUYDUVRVLUGZMUVSAUYL
      MWBUYCUYDWBAUYDUYCUYFVTAUYDUVRMAUYDADEUKUGZVKUYDADUIUJEVKUJUYMVKVFADNUMOD
      EVGVHAVKUYMMJABDEHJNOPSTYMUVAYNVIVQUXLUYGYKYLAUYDUVHUVRVLUCWAXTVDYDYOUULY
      SMUUOUVBYPVSYQ $.
  $}

  ${
    $d I i $.  $d I j $.  $d J i $.  $d J j k x $.  $d M i $.  $d M j k x $.
    $d N j $.  $d Q i $.  $d Q j k x $.  $d S i $.  $d S j k x $.  $d T j $.
    $d j ph $.
    fourierdlem20.m $e |- ( ph -> M e. NN ) $.
    fourierdlem20.a $e |- ( ph -> A e. RR ) $.
    fourierdlem20.b $e |- ( ph -> B e. RR ) $.
    fourierdlem20.aleb $e |- ( ph -> A <_ B ) $.
    fourierdlem20.q $e |- ( ph -> Q : ( 0 ... M ) --> RR ) $.
    fourierdlem20.q0 $e |- ( ph -> ( Q ` 0 ) <_ A ) $.
    fourierdlem20.qm $e |- ( ph -> B <_ ( Q ` M ) ) $.
    fourierdlem20.j $e |- ( ph -> J e. ( 0 ..^ N ) ) $.
    fourierdlem20.t $e |- T = ( { A , B } u. ( ran Q i^i ( A (,) B ) ) ) $.
    fourierdlem20.s $e |- ( ph -> S Isom < , < ( ( 0 ... N ) , T ) ) $.
    fourierdlem20.i $e |- I = sup ( { k e. ( 0 ..^ M ) | ( Q ` k ) <_ ( S ` J )
       } , RR , < ) $.
    $( Every interval in the partition ` S ` is included in an interval of the
       partition ` Q ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem20 $p |- ( ph -> E. i e. ( 0 ..^ M ) ( ( S ` J ) (,) ( S ` ( J +
       1 ) ) ) C_ ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) ) $=
      ( vj vx cc0 cfzo co wcel cfv c1 caddc cioo wss wrex cle wbr crab clt csup
      cv cr ssrab2 cz c0 wne wral cfz fzossfz fzssz sstri a1i cuz 0z 0le0 eluz2
      mpbir3an nnzd nngt0d elfzo2 syl3anbrc sselid ffvelrnd cicc cpr crn cin wa
      cun cxr rexrd lbicc2 syl3anc ubicc2 wb prssg syl2anc mpbid inss2 ioossicc
      jca wf 3syl syl sseldd fveq2 breq1d sylanbrc sseli adantl rspcev eqeltrid
      wceq fzofzp1 nfcv nffv nfbr elrabf simpr adantr mpbird eqcomd eleqtrd zre
      wn ltp1d adantlr simplr ad2antrr elfzoelz isorel syl12anc ltletrd lelttrd
      fzval3 fveq2d breqtrd lensymd condan syldan unssd eqsstrid iccssred sstrd
      wiso wf1o isof1o f1of elfzofz iccgelb letrd elrab ne0d elfzo0le ralrimiva
      nnred breq2 ralbidv suprzcl nfrab1 nfsup nfcxfr simprd iccssxr sstrdi wfo
      sylib xrltnle f1ofo wfun ffun fdmd fvelrn nltled 1red readdcld zred ssriv
      cdm iccleub elfzonelfzo sylc elfz1eq nfov suprub syl31anc breqtrrdi mpdan
      eliood elind elun2 eleqtrrdi foelrn anim1i adantllr eqcom eqbrtrd adantll
      biimpi simpl ex reximdva mpd ssrexv mpsyl simprl simprr pm2.65da ioossioo
      btwnnz nrexdv syl22anc oveq1 oveq12d sseq2d ) AIUFKUGUHZUIZJEUJZJUKULUHZE
      UJZUMUHZIDUJZIUKULUHZDUJZUMUHZUNZUYAGVAZDUJZUYGUKULUHZDUJZUMUHZUNZGUXPUOA
      IHVAZDUJZUXRUPUQZHUXPURZVBUSUTZUXPUCAUYPUXPUYQUYOHUXPVCZAUYPVDUNZUYPVEVFZ
      UDVAZUEVAZUPUQZUDUYPVGZUEVBUOZUYQUYPUIUYSAUYPUXPVDUYRUXPUFKVHUHZVDUFKVIZU
      FKVJZVKVKVLAUYPUFAUFUXPUIZUFDUJZUXRUPUQZUFUYPUIAUFUFVMUJUIZKVDUIZUFKUSUQV
      UIVULAVULUFVDUIZVUNUFUFUPUQVNVNVOUFUFVPVQVLAKMVRZAKMVSUFUFKVTWAZAVUJBUXRA
      VUFVBUFDQAUXPVUFUFVUGVUPWBWCNAFVBUXRAFBCWDUHZVBAFBCWEZDWFZBCUMUHZWGZWIZVU
      QUAAVURVVAVUQABVUQUIZCVUQUIZWHZVURVUQUNZAVVCVVDABWJUIZCWJUIZBCUPUQZVVCABN
      WKZACOWKZPBCWLWMAVVGVVHVVIVVDVVJVVKPBCWNWMXAAVVGVVHVVEVVFWOVVJVVKBCVUQWJW
      JWPWQWRVVAVUQUNAVVAVUTVUQVUSVUTWSBCWTVKVLUUAUUBZABCNOUUCZUUDZAUFLVHUHZFJE
      AVVOFUSUSEUUEZVVOFEUUFZVVOFEXBUBVVOFUSUSEUUGZVVOFEUUHXCZAJUFLUGUHUIZJVVOU
      IZTJUFLUUIXDZWCZXERAVVGVVHUXRVUQUIBUXRUPUQVVJVVKAFVUQUXRVVLVWCXEZBCUXRUUJ
      WMZUUKUYOVUKHUFUXPUYMUFXMUYNVUJUXRUPUYMUFDXFXGUULXHUUMZAKVBUIVUAKUPUQZUDU
      YPVGZVUEAKMUUPAVWGUDUYPVUAUYPUIZVWGAVWIVUAUXPUIZVWGUYPUXPVUAUYRXIVUAKUUNX
      DXJUUOVUDVWHUEKVBVUBKXMVUCVWGUDUYPVUBKVUAUPUUQUURXKWQZUEUDUYPUUSWMZWBXLZA
      UYBWJUIUYDWJUIZUYBUXRUPUQZUXTUYDUPUQZUYFAUYBAVUFVBIDQAUXPVUFIVUGVWMWBZWCW
      KAUYDAVUFVBUYCDQAUXQUYCVUFUIZVWMUFKIXNXDZWCZWKZAUXQVWOAIUYPUIUXQVWOWHAIUY
      QUYPUCVWLXLUYOVWOHIUXPHIUYQUCHUYPVBUSUYOHUXPUUTHVBXOHUSXOUVAUVBZHUXPXOZHU
      YBUXRUPHIDHDXOZVXBXPHUPXOZHUXRXOZXQUYMIXMUYNUYBUXRUPUYMIDXFXGXRUVGUVCAVWP
      JVUAUSUQZVUAUXSUSUQZWHZUDVDUOZAVWPYEZUYDUXTUSUQZVXJAVXKWHZVXLVXKAVXKXSVXM
      VWNUXTWJUIZVXLVXKWOAVWNVXKVXAXTAVXNVXKAFWJUXTAFVUQWJVVLBCUVDUVEAVVOFUXSEV
      VSAVVTUXSVVOUIZTUFLJXNXDZWCZXEXTUYDUXTUVHWQYAVVOVDUNAVXLWHZVXIUDVVOUOZVXJ
      UFLVJVXRUYDVUAEUJZXMZUDVVOUOZVXSVXRVVOFEUVFZUYDFUIVYBAVYCVXLAVVPVVQVYCUBV
      VRVVOFEUVIXCXTVXRUYDVVBFVXRUYDVVAUIUYDVVBUIVXRVUSVUTUYDAUYDVUSUIZVXLADUVJ
      ZUYCDUVSZUIVYDAVUFVBDXBVYEQVUFVBDUVKXDAUYCVUFVYFVWSAVYFVUFAVUFVBDQUVLYBYC
      UYCDUVMWQXTVXRBCUYDAVVGVXLVVJXTAVVHVXLVVKXTAUYDVBUIZVXLVWTXTZABUYDUSUQVXL
      ABUXRUYDNAVUQVBUXRVVMVWDXEZVWTVWEAVYGUXRUYDUSUQZVWTAVYGWHZVYJIUYCUSUQZAVY
      JYEZVYLVYGAVYMWHIAIVBUIZVYMAIVUFUIIVDUIVYNVWQVUFVDIVUHXIIYDXCZXTYFYGVYKVY
      MUYDUXRUPUQZVYLYEZVYKVYMWHUYDUXRAVYGVYMYHAUXRVBUIZVYGVYMVYIYIVYKVYMXSUVNA
      VYPVYQVYGAVYPWHZUYCIVYSIUKAVYNVYPVYOXTZVYSUVOUVPVYTVYSUYCUYQIUPVYSUYPVBUN
      ZUYTVUEUYCUYPUIZUYCUYQUPUQWUAVYSUYPUXPVBUYRUDUXPVBVWJVUAVUAUFKYJUVQUVRVKV
      LAUYTVYPVWFXTAVUEVYPVWKXTVYSUYCUXPUIZVYPWUBVYSWUCUYDCUSUQZVYSWUDWUCYEZVYS
      UYDUXRCAVYGVYPVWTXTAVYRVYPVYIXTZACVBUIZVYPOXTZAVYPXSZVYSUXRUXTCWUFAUXTVBU
      IZVYPAFVBUXTVVNVXQXEZXTWUHAUXRUXTUSUQZVYPAJUXSUSUQZWULAJAVVTJVDUIZJVBUITJ
      UFLYJZJYDXCYFAVVPVWAVXOWUMWULWOUBVWBVXPVVOFJUXSUSUSEYKYLWRXTAUXTCUPUQZVYP
      AVVGVVHUXTVUQUIWUPVVJVVKAFVUQUXTVVLVXQXEBCUXTUVTWMZXTYMYNXTAWUEWUDYEVYPAW
      UEWHZCUYDAWUGWUEOXTAVYGWUEVWTXTWURCKDUJZUYDUPACWUSUPUQWUESXTWURKUYCDWURUY
      CKWURUYCKKVHUHZUIUYCKXMWURUYCKKUKULUHZUGUHZWUTWURVUMUYCUFWVAUGUHZUIZWUEWH
      UYCWVBUIAVUMWUEVUOXTWURWVDWUEWURUYCVUFWVCAVWRWUEVWSXTAVUFWVCXMZWUEAVUMWVE
      VUOUFKYOXDXTYCAWUEXSXAWVAUYCUFKUWAUWBAWVBWUTXMWUEAWUTWVBAVUMWUTWVBXMVUOKK
      YOXDYBXTYCUYCKUWCXDYBYPYQYRYGYSWUIUYOVYPHUYCUXPHIUKULVXBHULXOHUKXOUWDZVXC
      HUYDUXRUPHUYCDVXDWVFXPVXEVXFXQUYMUYCXMUYNUYDUXRUPUYMUYCDXFXGXRXHUEUDUYPUY
      CUWEUWFUCUWGYRYGYTYSUWHZYNXTVXRUYDUXTCVYHAWUJVXLWUKXTAWUGVXLOXTAVXLXSAWUP
      VXLWUQXTYMUWIUWJUYDVVAVURUWKXDUAUWLUDVVOFUYDEUWMWQVXRVYAVXIUDVVOVXRVUAVVO
      UIZWHZVYAVXIWVIVYAWHZVXGVXHAWVHVYAVXGVXLAWVHWHZVYAWHZVXGUXRVXTUSUQZAVYAWV
      MWVHAVYAWHUXRUYDVXTUSAVYJVYAWVGXTAVYAXSYQYGWVLVVPVWAWVHWHZVXGWVMWOAVVPWVH
      VYAUBYIWVKWVNVYAAVWAWVHVWBUWNXTVVOFJVUAUSUSEYKWQYAUWOWVJVXHVXTUXTUSUQZVXR
      VYAWVOWVHVXLVYAWVOAVXLVYAWHVXTUYDUXTUSVYAVXTUYDXMZVXLVYAWVPUYDVXTUWPUWSXJ
      VXLVYAUWTUWQUWRYGWVIVXHWVOWOZVYAWVIVVPWVHVXOWVQAVVPVXLWVHUBYIVXRWVHXSAVXO
      VXLWVHVXPYIVVOFVUAUXSUSUSEYKYLXTYAXAUXAUXBUXCVXIUDVVOVDUXDUXEYTAVXJYEVXKA
      VXIUDVDAVUAVDUIZWHZVXIWVRAWVRVXIYHWVSVXIWHWUNVXGVXHWVRYEAWUNWVRVXIAVVTWUN
      TWUOXDYIWVSVXGVXHUXFWVSVXGVXHUXGJVUAUXJWMUXHUXKXTYSUYBUYDUXRUXTUXIUXLUYLU
      YFGIUXPUYGIXMZUYKUYEUYAWVTUYHUYBUYJUYDUMUYGIDXFWVTUYIUYCDUYGIUKULUXMYPUXN
      UXOXKWQ $.
  $}

  ${
    $d C b n x y $.  $d F b n x y $.  $d N n x $.  $d n ph x $.
    fourierdlem21.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem21.c $e |- C = ( -u _pi (,) _pi ) $.
    fourierdlem21.fibl $e |- ( ph -> ( F |` C ) e. L^1 ) $.
    fourierdlem21.b $e |- B = ( n e. NN |-> ( S. C ( ( F ` x ) x. ( sin ` ( n
       x. x ) ) ) _d x / _pi ) ) $.
    fourierdlem21.n $e |- ( ph -> N e. NN ) $.
    $( The coefficients of the fourier series are integrable and reals.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem21 $p |- ( ph -> ( ( ( B ` N ) e. RR /\ ( x e. C |-> ( ( F ` x )
       x. ( sin ` ( N x. x ) ) ) ) e. L^1 ) /\ S. C ( ( F ` x ) x. ( sin ` ( N
       x. x ) ) ) _d x e. RR ) ) $=
      ( cfv cr wcel cmul co cpi wa cc vy vb cv csin cmpt cibl citg cn cn0 nnnn0
      cdiv wf adantr cneg cioo ioossre id eleqtrdi sselid adantl ffvelrnd nn0re
      adantlr remulcld resincld adantll cof cvol cdm ioombl eqeltri a1i offval2
      eqidd recnd mulcomd mpteq2dva cmbf cabs cle wbr wral wrex ccncf sincn wss
      eqtr2d eqsstri ax-resscn sstri constcncfg idcncfg mulcncf cncfmpt1f cnmbf
      ssid sylancr cres feqmptd reseq1d wceq resmpt eqeltrd c1 1re simpr nfmpt1
      mp1i nfv nfdm nfcri nfan wi ex ralrimi dmmptg eleqtrd oveq2 fveq2d fvmptd
      abssinbd eqbrtrd syldan ralrimiva breq2 ralbidv bddmulibl syl3anc itgrecl
      syl rspcev sylan2 pire cc0 wne eleq1 anbi2d eleq1d imbi12d vtoclg anabsi7
      0re pipos gtneii redivcld fmptd nnnn0d simpl oveq1d oveq2d mpdan itgeq2dv
      ancli sylc jca31 ) AGCMNOBDBUCZFMZGUUPPQZUDMZPQZUEZUFOZBDUUTUGZNOZAUHNGCA
      EUHBDUUQEUCZUUPPQZUDMZPQZUGZRUKQNCAUVEUHOZSZUVIRUVJAUVEUIOZUVINOZUVEUJAUV
      LSZBDUVHUVNUUPDOZSZUUQUVGAUVOUUQNOUVLAUVOSNNUUPFANNFULUVOHUMUVOUUPNOZAUVO
      RUNZRUOQZNUUPUVRRUPZUVOUUPDUVSUVOUQIURUSZUTVAVCZUVLUVOUVGNOZAUVLUVOSZUVFU
      WDUVEUUPUVLUVENOZUVOUVEVBZUMUVOUVQUVLUWAUTVDVEZVFZVDUVNBDUVHUEZBDUVGUEZBD
      UUQUEZPVGQZUFUVNUWLBDUVGUUQPQZUEUWIUVNBDUVGUUQPUWJUWKVHVIZNNDUWNOZUVNDUVS
      UWNIUVRRVJVKZVLUWHUWBUVNUWJVNUVNUWKVNVMUVNBDUWMUVHUVPUVGUUQUVPUVGUWHVOUVP
      UUQUWBVOVPVQWGUVNUWJVROZUWKUFOZUAUCZUWJMZVSMZUBUCZVTWAZUAUWJVIZWBZUBNWCZU
      WLUFOUVNUWOUWJDTWDQZOUWQUWPUVNBUVFUDDUDTTWDQOUVNWEVLUVLBDUVFUEUXGOAUVLBUV
      EUUPDUVLBDUVETDTWFUVLDNTDUVSNIUVTWHZWIWJVLZUVLUVEUWFVOTTWFUVLTWPVLZWKUVLB
      DTUXIUXJWLWMUTWNDUWJWOWQAUWRUVLAUWKFDWRZUFAUXKBNUUQUEZDWRZUWKAFUXLDABNNFH
      WSWTDNWFUXMUWKXAAUXHBNDUUQXBXHWGJXCUMUVLUXFAUVLXDNOUXAXDVTWAZUAUXDWBZUXFX
      EUVLUXNUAUXDUVLUWSUXDOZUWSDOZUXNUVLUXPSZUWSUXDDUVLUXPXFUXRUWCBDWBUXDDXAUX
      RUWCBDUVLUXPBUVLBXIBUAUXDBUWJBDUVGXGXJXKXLUVLUVOUWCXMUXPUVLUVOUWCUWGXNUMX
      OBDUVGNXPYJXQUVLUXQSZUXAUVEUWSPQZUDMZVSMZXDVTUXSUWTUYAVSUXSBUWSUVGUYADUWJ
      NUXSUWJVNUUPUWSXAZUVGUYAXAUXSUYCUVFUXTUDUUPUWSUVEPXRXSUTUVLUXQXFZUXSUXTUX
      SUVEUWSUVLUWEUXQUWFUMUXSDNUWSUXHUYDUSVDZVEXTXSUXSUXTNOUYBXDVTWAUYEUXTYAYJ
      YBYCYDUXEUXOUBXDNUXBXDXAUXCUXNUAUXDUXBXDUXAVTYEYFYKWQUTUBUAUWJUWKYGYHXCZY
      IYLZRNOUVKYMVLRYNYOUVKYNRUUBUUCUUDVLUUEKUUFLVAAGUIOZUVBAGLUUGAUYHUVBUVNUW
      IUFOZXMAUYHSZUVBXMEGUIUVEGXAZUVNUYJUYIUVBUYKUVLUYHAUVEGUIYPYQUYKUWIUVAUFU
      YKBDUVHUUTUYKUVOSZUVGUUSUUQPUYLUVFUURUDUYLUVEGUUPPUYKUVOUUHUUIXSUUJZVQYRY
      SUYFYTUUAUUKAGUHOZAUYNSZUVDLAUYNLUUMUVKUVMXMUYOUVDXMEGUHUYKUVKUYOUVMUVDUY
      KUVJUYNAUVEGUHYPYQUYKUVIUVCNUYKBDUVHUUTUYMUULYRYSUYGYTUUNUUO $.
  $}

  ${
    $d C b x y $.  $d F b x y $.  $d b n x y $.  $d n ph x $.
    fourierdlem22.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem22.c $e |- C = ( -u _pi (,) _pi ) $.
    fourierdlem22.fibl $e |- ( ph -> ( F |` C ) e. L^1 ) $.
    fourierdlem22.a $e |- A = ( n e. NN0 |-> ( S. C ( ( F ` x ) x. ( cos ` ( n
       x. x ) ) ) _d x / _pi ) ) $.
    fourierdlem22.b $e |- B = ( n e. NN |-> ( S. C ( ( F ` x ) x. ( sin ` ( n
       x. x ) ) ) _d x / _pi ) ) $.
    $( The coefficients of the fourier series are integrable and reals.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem22 $p |- ( ph -> ( ( n e. NN0 -> ( A ` n ) e. RR ) /\ ( n e. NN
       -> ( B ` n ) e. RR ) ) ) $=
      ( vy wcel cfv cr cmul co cpi c1 vb cv cn0 wi cn ccos citg cdiv wa wf cneg
      adantr cioo ioossre id eleqtrdi sselid ffvelrnd adantlr remulcld recoscld
      adantl nn0re adantll cmpt cof cibl cdm ioombl eqeltri eqidd offval2 recnd
      cvol a1i mulcomd mpteq2dva eqtr2d cmbf cabs cle wbr wral wrex ccncf coscn
      eqsstri ax-resscn sstri ssid constcncfg cncfmptid mp2an mulcncf cncfmpt1f
      wss cnmbf sylancr cres feqmptd reseq1d wceq resmpt mp1i eqeltrd 1re simpr
      cc nfv nfmpt1 nfdm nfcri nfan ex ralrimi dmmptg syl eleqtrd fveq2d fvmptd
      oveq2 abscosbd eqbrtrd syldan ralrimiva ralbidv bddmulibl syl3anc itgrecl
      breq2 rspcev pire cc0 wne 0re redivcld fmptd ffvelrnda csin resincld jca
      pipos gtneii nnnn0 sincn abssinbd sylan2 ) AFUBZUCNZUUHCOPNZUDUUHUENZUUHD
      OPNZUDAUUIUUJAUCPUUHCAFUCBEBUBZGOZUUHUUMQRZUFOZQRZUGZSUHRPCAUUIUIZUURSUUS
      BEUUQUUSUUMENZUIZUUNUUPAUUTUUNPNUUIAUUTUIPPUUMGAPPGUJUUTHULUUTUUMPNZAUUTS
      UKZSUMRZPUUMUVCSUNZUUTUUMEUVDUUTUOIUPUQZVBURUSZUUIUUTUUPPNZAUUIUUTUIZUUOU
      VIUUHUUMUUIUUHPNZUUTUUHVCZULUUTUVBUUIUVFVBUTZVAZVDZUTUUSBEUUQVEZBEUUPVEZB
      EUUNVEZQVFZRZVGUUSUVSBEUUPUUNQRZVEUVOUUSBEUUPUUNQUVPUVQVNVHZPPEUWANZUUSEU
      VDUWAIUVCSVIVJZVOZUVNUVGUUSUVPVKUUSUVQVKZVLUUSBEUVTUUQUVAUUPUUNUVAUUPUVNV
      MUVAUUNUVGVMZVPVQVRUUSUVPVSNZUVQVGNZMUBZUVPOZVTOZUAUBZWAWBZMUVPVHZWCZUAPW
      DZUVSVGNUUIUWGAUUIUWBUVPEXHWERZNUWGUWCUUIBUUOUFEUFXHXHWERZNUUIWFVOUUIBUUH
      UUMEUUIBEUUHXHEXHWPZUUIEPXHEUVDPIUVEWGZWHWIZVOUUIUUHUVKVMXHXHWPZUUIXHWJZV
      OWKBEUUMVEUWQNZUUIUWSUXBUXDUXAUXCBEXHWLWMVOWNZWOEUVPWQWRVBAUWHUUIAUVQGEWS
      ZVGAUXFBPUUNVEZEWSZUVQAGUXGEABPPGHWTXAEPWPUXHUVQXBAUWTBPEUUNXCXDVRJXEULZU
      UIUWPAUUITPNZUWKTWAWBZMUWNWCZUWPXFUUIUXKMUWNUUIUWIUWNNZUWIENZUXKUUIUXMUIZ
      UWIUWNEUUIUXMXGUXOUVHBEWCUWNEXBUXOUVHBEUUIUXMBUUIBXIZBMUWNBUVPBEUUPXJXKXL
      XMUUIUUTUVHUDUXMUUIUUTUVHUVMXNULXOBEUUPPXPXQXRUUIUXNUIZUWKUUHUWIQRZUFOZVT
      OZTWAUXQUWJUXSVTUXQBUWIUUPUXSEUVPPUXQUVPVKUUMUWIXBZUUPUXSXBUXQUYAUUOUXRUF
      UUMUWIUUHQYAZXSVBUUIUXNXGZUXQUXRUXQUUHUWIUUIUVJUXNUVKULUXQEPUWIUWTUYCUQUT
      ZVAXTXSUXQUXRPNZUXTTWAWBUYDUXRYBXQYCYDYEUWOUXLUATPUWLTXBZUWMUXKMUWNUWLTUW
      KWAYJYFYKWRVBUAMUVPUVQYGYHXEYISPNZUUSYLVOSYMYNZUUSYMSYOUUBUUCZVOYPKYQYRXN
      AUUKUULAUEPUUHDAFUEBEUUNUUOYSOZQRZUGZSUHRPDAUUKUIZUYLSUUKAUUIUYLPNUUHUUDU
      USBEUYKUVAUUNUYJUVGUUIUUTUYJPNZAUVIUUOUVLYTZVDZUTUUSBEUYKVEZBEUYJVEZUVQUV
      RRZVGUUSUYSBEUYJUUNQRZVEUYQUUSBEUYJUUNQUYRUVQUWAPPUWDUYPUVGUUSUYRVKUWEVLU
      USBEUYTUYKUVAUYJUUNUVAUYJUYPVMUWFVPVQVRUUSUYRVSNZUWHUWIUYROZVTOZUWLWAWBZM
      UYRVHZWCZUAPWDZUYSVGNUUSUWBUYRUWQNVUAUWCUUSBUUOYSEYSUWRNUUSUUEVOUUIBEUUOV
      EUWQNAUXEVBWOEUYRWQWRUXIUUIVUGAUUIUXJVUCTWAWBZMVUEWCZVUGXFUUIVUHMVUEUUIUW
      IVUENZUXNVUHUUIVUJUIZUWIVUEEUUIVUJXGVUKUYNBEWCVUEEXBVUKUYNBEUUIVUJBUXPBMV
      UEBUYRBEUYJXJXKXLXMUUIUUTUYNUDVUJUUIUUTUYNUYOXNULXOBEUYJPXPXQXRUXQVUCUXRY
      SOZVTOZTWAUXQVUBVULVTUXQBUWIUYJVULEUYRPUXQUYRVKUYAUYJVULXBUXQUYAUUOUXRYSU
      YBXSVBUYCUXQUXRUYDYTXTXSUXQUYEVUMTWAWBUYDUXRUUFXQYCYDYEVUFVUIUATPUYFVUDVU
      HMVUEUWLTVUCWAYJYFYKWRVBUAMUYRUVQYGYHXEYIUUGUYGUYMYLVOUYHUYMUYIVOYPLYQYRX
      NUUA $.
  $}

  ${
    $d A s $.  $d B s $.  $d F s $.  $d X s $.  $d ph s $.
    fourierdlem23.a $e |- ( ph -> A C_ CC ) $.
    fourierdlem23.f $e |- ( ph -> F e. ( A -cn-> CC ) ) $.
    fourierdlem23.b $e |- ( ph -> B C_ CC ) $.
    fourierdlem23.x $e |- ( ph -> X e. CC ) $.
    fourierdlem23.xps $e |- ( ( ph /\ s e. B ) -> ( X + s ) e. A ) $.
    $( If ` F ` is continuous and ` X ` is constant, then
       ` ( F `` ( X + s ) ) ` is continuous.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    fourierdlem23 $p |- ( ph -> ( s e. B |-> ( F ` ( X + s ) ) ) e. ( B -cn->
       CC ) ) $=
      ( cv caddc co cc cmpt eqid wss wcel ccncf addccncf2 syl2anc a1i cncfcompt
      ssid cncfmptssg ) AFCEFLMNZBODAFCOCBUGFCUGPZUHQZACOREOSUHCOTNSIJFCEUHUIUA
      UBCCRACUEUCGKUFHUD $.
  $}

  $( A sufficient condition for module being nonzero.  (Contributed by Glauco
     Siliprandi, 11-Dec-2019.) $)
  fourierdlem24 $p |- ( A e. ( ( -u _pi [,] _pi ) \ { 0 } ) -> ( A mod ( 2 x.
     _pi ) ) =/= 0 ) $=
    ( cpi cneg co cc0 wcel c2 cdiv cz clt wbr wa c1 caddc pire adantr a1i simpr
    cr syl3anc cicc csn cdif cmul cmo wceq wn 0zd renegcli iccssre mp2an eldifi
    wss sselid 2re remulcli 2pos pipos mulgt0ii divgt0d elrpd cxr rexri iccleub
    cle rexrd crp pirp 2timesgt lelttrd ltdiv1dd recni gt0ne0ii dividi breqtrdi
    mp1i 0p1e1 breqtrrdi btwnnz simpl 0red nltled eldifsni necomd leneltd neg1z
    wne redivcld 1red recnd divnegd renegcld rpmulcl iccgelb lenegcon1d eqbrtrd
    cc 2rp ltnegcon1d divlt0gt0d neg1cn ax-1cn addcomi eqtr2i syl2anc pm2.61dan
    1pneg1e0 wb mod0 mtbird neqned ) ABCZBUADZEUBZUCFZAGBUDDZUEDZEXOXQEUFZAXPHD
    ZIFZXOEAJKZXTUGZXOYALZEIFEXSJKXSEMNDZJKYBYCUHYCAXPXOASFZYAXOXMSAXLSFBSFZXMS
    UMBOUIZOXLBUJUKAXMXNULZUNZPZXPSFZYCGBUOOUPZQZXOYAREXPJKYCGBUOOUQURUSZQZUTYC
    XSMYDJYCXSXPXPHDZMJYCAXPXPYJYMYCXPYMYOVAXOAXPJKYAXOABXPYIYFXOOQZYKXOYLQZXOX
    LVBFZBVBFZAXMFZABVEKYSXOXLYGVCQZXOBYQVFZYHXLBAVDTBVGFZBXPJKXOVHBVIVPZVJPVKX
    PXPYLVLZXPYLYNVMZVNZVOVQVREXSVSTXOYAUGZLZXOAEJKZYBXOUUIVTUUJAEXOYEUUIYIPZUU
    JWAZUUJAEUULUUMXOUUIRWBXOEAWGUUIXOAEAXMEWCWDPWEXOUUKLZMCZIFZUUOXSJKXSUUOMND
    ZJKYBUUPUUNWFQUUNXSMXOXSSFUUKXOAXPYIYRXPEWGZXOUUGQWHPUUNWIUUNXSCACZXPHDZMJU
    UNAXPXOAWQFUUKXOAYIWJPXPWQFUUNUUFQUURUUNUUGQWKUUNUUTYPMJUUNUUSXPXPXOUUSSFUU
    KXOAYIWLZPYKUUNYLQXPVGFZUUNGVGFUUDUVBWRVHGBWMUKZQZXOUUSXPJKUUKXOUUSBXPUVAYQ
    YRXOBAYQYIXOYSYTUUAXLAVEKUUBUUCYHXLBAWNTWOUUEVJPVKUUHVOWPWSUUNXSEUUQJUUNAXP
    XOYEUUKYIPUVDXOUUKRWTUUQMUUONDEUUOMXAXBXCXGXDVOUUOXSVSTXEXFXOYEUVBXRXTXHYIU
    VBXOUVCQAXPXIXEXJXK $.

  ${
    $d C h k m $.  $d C j $.  $d I j $.  $d I k m $.  $d M h k m $.  $d M j $.
    $d Q h k m $.  $d Q j $.  $d h ph $.
    fourierdlem25.m $e |- ( ph -> M e. NN ) $.
    fourierdlem25.qf $e |- ( ph -> Q : ( 0 ... M ) --> RR ) $.
    fourierdlem25.cel $e |- ( ph -> C e. ( ( Q ` 0 ) [,] ( Q ` M ) ) ) $.
    fourierdlem25.cnel $e |- ( ph -> -. C e. ran Q ) $.
    fourierdlem25.i $e |- I = sup ( { k e. ( 0 ..^ M ) | ( Q ` k ) < C } , RR ,
       < ) $.
    $( If ` C ` is not in the range of the partition, then it is in an open
       interval induced by the partition.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem25 $p |- ( ph -> E. j e. ( 0 ..^ M ) C e. ( ( Q ` j ) (,) ( Q `
       ( j + 1 ) ) ) ) $=
      ( cc0 wcel clt wbr cr cle wceq adantr vh vm cfzo co c1 caddc cioo cv wrex
      cfv crab csup ssrab2 wor cfn c0 wne wss ltso a1i fzofi ssfi mp2an cz nnzd
      0zd nngt0d fzolb syl3anbrc cfz elfzofz syl ffvelrnd cicc cuz nnnn0d nn0uz
      cn0 eleqtrdi eluzfz2 iccssred sseldd cxr rexrd iccgelb syl3anc crn wa wfn
      simpr fnfvelrn syl2anc eqeltrd mtand neqned leneltd fveq2 breq1d sylanbrc
      ffnd elrab ne0d fzossfz fzssz zssre sstri fisupcl syl13anc sselid fzofzp1
      eqeltrid sylib simprd wn wo ltp1 id peano2re ltnled mpbid elrabi elfzo0le
      wral adantl ralrimiva breq2 ralbidv rspcev elfzuz elfzle2 iccleub breqtrd
      zred adantlr elfzo2 suprzub breqtrrdi eqcom biimpi jca pm4.56 oveq12d
      leloed mtbird mpbird eliood oveq1 fveq2d eleq2d ) AFMGUCUDZNZBFCUJZFUEUFU
      DZCUJZUGUDZNZBDUHZCUJZUUQUEUFUDZCUJZUGUDZNZDUUJUIAFEUHZCUJZBOPZEUUJUKZQOU
      LZUUJLAUVFUUJUVGUVEEUUJUMZAQOUNZUVFUONZUVFUPUQUVFQURZUVGUVFNUVIAUSUTUVJAU
      UJUONUVFUUJURUVJMGVAUVHUUJUVFVBVCUTAUVFMAMUUJNZMCUJZBOPZMUVFNAMVDNGVDNZMG
      OPUVLAVFAGHVEZAGHVGMGVHVIZAUVMBAMGVJUDZQMCIAUVLMUVRNZUVQMMGVKVLZVMZAUVMGC
      UJZVNUDZQBAUVMUWBUWAAUVRQGCIAGMVOUJZNGUVRNAGVRUWDAGHVPVQVSMGVTVLVMZWAJWBZ
      AUVMWCNZUWBWCNZBUWCNZUVMBRPAUVMUWAWDZAUWBUWEWDZJUVMUWBBWEWFABUVMABUVMSZBC
      WGZNZKAUWLWHZBUVMUWMAUWLWJUWOCUVRWIZUVSUVMUWMNAUWPUWLAUVRQCIWTZTAUVSUWLUV
      TTUVRMCWKWLWMWNWOWPUVEUVNEMUUJUVCMSUVDUVMBOUVCMCWQWRXAWSXBUVKAUVFUUJQUVHU
      UJUVRQMGXCZUVRVDQMGXDZXEXFZXFZXFUTQUVFOXGXHZXIXKZAUULUUNBAUULAUVRQFCIAUUJ
      UVRFUWRUXCXIVMWDAUUNAUVRQUUMCIAUUKUUMUVRNZUXCMGFXJVLZVMZWDUWFAUUKUULBOPZA
      FUVFNUUKUXGWHAFUVGUVFLUXBXKUVEUXGEFUUJUVCFSUVDUULBOUVCFCWQWRXAXLXMABUUNOP
      UUNBRPZXNAUXHUUNBOPZUUNBSZXOZAUXIXNZUXJXNZWHUXKXNAUXLUXMAUXIUUMFRPZAFQNZU
      XNXNZAUUJQFUXAUXCXIUXOFUUMOPUXPFXPUXOFUUMUXOXQFXRXSXTVLAUXIWHZUUMUVGFRUXQ
      UVFVDURZUAUHZUBUHZRPZUAUVFYCZUBVDUIZUUMUVFNZUUMUVGRPUXRUXQUVFUUJVDUVHUUJU
      VRVDUWRUWSXFXFUTAUYCUXIAUVOUXSGRPZUAUVFYCZUYCUVPAUYEUAUVFUXSUVFNZUYEAUYGU
      XSUUJNUYEUVEEUXSUUJYAUXSGYBVLYDYEUYBUYFUBGVDUXTGSUYAUYEUAUVFUXTGUXSRYFYGY
      HWLTUXQUUMUUJNZUXIUYDUXQUUMUWDNZUVOUUMGOPUYHAUYIUXIAUXDUYIUXEUUMMGYIVLTAU
      VOUXIUVPTZUXQUUMGAUUMQNUXIAUVRQUUMUWTUXEXITUXQGUYJYMAUUMGRPZUXIAUXDUYKUXE
      UUMMGYJVLTUXQGUUMUXQGUUMSZBUUNRPZUXQUXIUYMXNAUXIWJZUXQUUNBAUUNQNUXIUXFTAB
      QNUXIUWFTXSXTAUYLUYMUXIAUYLWHBUWBUUNRABUWBRPZUYLAUWGUWHUWIUYOUWJUWKJUVMUW
      BBYKWFTUYLUWBUUNSAGUUMCWQYDYLYNWNWOWPUUMMGYOVIUYNUVEUXIEUUMUUJUVCUUMSUVDU
      UNBOUVCUUMCWQWRXAWSUBUAUVFUUMYPWFLYQWNAUXJUWNKAUXJWHZBUUNUWMUXJBUUNSZAUXJ
      UYQUUNBYRYSYDUYPUWPUXDUUNUWMNAUWPUXJUWQTAUXDUXJUXETUVRUUMCWKWLWMWNYTUXIUX
      JUUAXLAUUNBUXFUWFUUCUUDABUUNUWFUXFXSUUEUUFUVBUUPDFUUJUUQFSZUVAUUOBUYRUURU
      ULUUTUUNUGUUQFCWQUYRUUSUUMCUUQFUEUFUUGUUHUUBUUIYHWL $.
  $}

  ${
    $d B x $.  $d T x $.  $d X x $.  $d Y x $.  $d ph x $.
    fourierdlem26.1 $e |- ( ph -> A e. RR ) $.
    fourierdlem26.2 $e |- ( ph -> B e. RR ) $.
    fourierdlem26.3 $e |- ( ph -> A < B ) $.
    fourierdlem26.4 $e |- T = ( B - A ) $.
    fourierdlem26.5 $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( B - x ) / T ) )
       x. T ) ) ) $.
    fourierdlem26.6 $e |- ( ph -> X e. RR ) $.
    fourierdlem26.7 $e |- ( ph -> ( E ` X ) = B ) $.
    fourierdlem26.8 $e |- ( ph -> Y e. ( X (,] ( X + T ) ) ) $.
    $( Periodic image of a point ` Y ` that's in the period that begins with
       the point ` X ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem26 $p |- ( ph -> ( E ` Y ) = ( A + ( Y - X ) ) ) $=
      ( cmin co caddc oveq1d cfv cdiv cfl cmul c1 cv cr cmpt wceq a1i wa oveq2d
      simpr fveq2d oveq12d wcel clt wbr cle cioc w3a wb rexrd resubcld eqeltrid
      cxr readdcld elioc2 syl2anc simp1d cc0 posdifd breqtrrdi gt0ne0d redivcld
      mpbid flcld zred remulcld fvmptd recnd pncan3d eqcomd subsub4d divsubdird
      subcld eqtr4d cneg divnegd negsubdi2d eqtrd divcld negsubd npcand addassd
      1cnd 3eqtr3d 3eqtrd elrpd addcomd eleqtrd simp3d lesubaddd mpbird subge0d
      subsub2d breqtrd divge0d divdird dividd simp2d sublt0d divlt0gt0d 1red cz
      ltaddneg zcnd mulcld pncan2d divcan4d id oveq2 adantl reflcl syl eqeltrrd
      zsubcld flbi2 mpbir2and subdird addcld addsubassd mulid2d eqeltrd addsubd
      1zzd add32d nncand ) AHFUAHDHQRZEUBRZUCUAZEUDRZSRZHDGQRZEUBRZUCUAZUEQRZEU
      DRZSRZCHGQRZSRZABHBUFZDUULQRZEUBRZUCUAZEUDRZSRZUUCUGFUGFBUGUUQUHUIAMUJZAU
      ULHUIZUKZUULHUUPUUBSAUUSUMZUUTUUOUUAEUDUUTUUNYTUCUUTUUMYSEUBUUTUULHDQUVAU
      LTUNTUOAHUGUPZGHUQURZHGESRZUSURZAHGUVDUTRZUPZUVBUVCUVEVAZPAGVFUPZUVDUGUPU
      VGUVHVBAGNVCZAGENAEDCQRZUGLADCJIVDVEZVGGUVDHVHVIVPZVJZAHUUBUVNAUUAEAUUAAY
      TAYSEADHJUVNVDUVLAEAVKUVKEUQACDUQURVKUVKUQURKACDIJVLVPLVMZVNZVOVQVRUVLVSV
      GVTAUUBUUHHSAUUAUUGEUDAUUAUUEUEQRZUEGHQRZEUBRZSRZSRZUCUAZUVQUUGAYTUWAUCAY
      TUUDUUJQRZEUBRUUEUUJEUBRZQRZUWAAYSUWCEUBAYSDGUUJSRZQRUWCAHUWFDQAUWFHAGHAG
      NWAZAHUVNWAZWBWCZULADGUUJADJWAZUWGAHGUWHUWGWFZWDWGTAUUDUUJEAUUDADGJNVDZWA
      UWKAEUVLWAZUVPWEAUUEUWDWHZSRUUEUVSSRZUWEUWAAUWNUVSUUESAUWNUUJWHZEUBRUVSAU
      UJEUWKUWMUVPWIAUWPUVREUBAHGUWHUWGWJTWKULAUUEUWDAUUEAUUDEUWLUVLUVPVOZWAZAU
      UJEUWKUWMUVPWLWMAUWOUVQUESRZUVSSRUWAAUUEUWSUVSSAUWSUUEAUUEUEUWRAWPZWNWCTA
      UVQUEUVSAUUEUEUWRUWTWFUWTAUVREAGHUWGUWHWFZUWMUVPWLWOWKWQWRUNAUWBUVQUIZVKU
      VTUSURZUVTUEUQURZAVKEUVRSRZEUBRZUVTUSAUXEEAEUVRUVLAGHNUVNVDZVGAEUVLUVOWSZ
      AVKEUUJQRZUXEUSAVKUXIUSURUUJEUSURZAUXJHEGSRZUSURZAUVBUVCUXLAHGUXKUTRZUPZU
      VBUVCUXLVAZAHUVFUXMPAUVDUXKGUTAGEUWGUWMWTULXAAUVIUXKUGUPUXNUXOVBUVJAEGUVL
      NVGGUXKHVHVIVPXBAHGEUVNNUVLXCXDAEUUJUVLAHGUVNNVDXEXDAEHGUWMUWHUWGXFXGXHAU
      XFEEUBRZUVSSRUVTAEUVREUWMUXAUWMUVPXIAUEUXPUVSSAUXPUEAEUWMUVPXJWCTWGXGAUVS
      VKUQURZUXDAUVREUXGUXHAUVRVKUQURUVCAUVBUVCUVEUVMXKAGHNUVNXLXDXMAUVSUGUPUEU
      GUPUXQUXDVBAUVREUXGUVLUVPVOZAXNZUVSUEXPVIVPAUVQXOUPUVTUGUPUXBUXCUXDUKVBAU
      UEUEAUUFUUEXOAUUFEUDRZEUBRGUXTSRZGQRZEUBRZUUFUUEAUXTUYBEUBAUYBUXTAGUXTUWG
      AUUFEAUUFAUUEUWQVQZXQZUWMXRZXSWCTAUUFEUYEUWMUVPXTAUYCGFUAZGQRZEUBRUUEAUYB
      UYHEUBAUYAUYGGQAUYGUYAABGUUQUYAUGFUGUURUULGUIZUUQUYAUIAUYIUULGUUPUXTSUYIY
      AUYIUUOUUFEUDUYIUUNUUEUCUYIUUMUUDEUBUULGDQYBTUNTUOYCNAGUXTNAUUFEAUUEUGUPU
      UFUGUPUWQUUEYDYEUVLVSVGVTWCZTTAUYHUUDEUBAUYGDGQOTTWKWQZUYDYFAYPYGAUEUVSUX
      SUXRVGUVTUVQYHVIYIAUUEUUFUEQAUUFUUEUYKWCTWRTULAUUIUWFUUHSRZUUKAHUWFUUHSUW
      ITAUYLUWFUXTUEEUDRZQRZSRZUWFUXTSRZUYMQRZUUKAUUHUYNUWFSAUUFUEEUYEUWTUWMYJU
      LAUYQUYOAUWFUXTUYMAGUUJUWGUWKYKUYFAUEEUWTUWMXRYLWCAUYQUYAUUJSRZUYMQRUYGUU
      JSRZEQRZUUKAUYPUYRUYMQAGUUJUXTUWGUWKUYFYQTAUYRUYSUYMEQAUYAUYGUUJSUYJTAEUW
      MYMUOAUYTUYGEQRZUUJSRUUKAUYGUUJEAUYGAUYGDUGOJYNWAUWKUWMYOAVUACUUJSAVUADEQ
      RDUVKQRCAUYGDEQOTAEUVKDQEUVKUIALUJULADCUWJACIWAYRWRTWKWRWRWKWR $.
  $}

  ${
    $d A x $.  $d B x $.  $d I x $.  $d Q x $.  $d ph x $.
    fourierdlem27.a $e |- ( ph -> A e. RR* ) $.
    fourierdlem27.b $e |- ( ph -> B e. RR* ) $.
    fourierdlem27.q $e |- ( ph -> Q : ( 0 ... M ) --> ( A [,] B ) ) $.
    fourierdlem27.i $e |- ( ph -> I e. ( 0 ..^ M ) ) $.
    $( A partition open interval is a subset of the partitioned open interval.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem27 $p |- ( ph -> ( ( Q ` I ) (,) ( Q ` ( I + 1 ) ) ) C_ ( A (,)
       B ) ) $=
      ( vx cioo co wcel cfv cxr adantr cc0 wbr syl3anc cv c1 caddc wral elioore
      wss wa adantl cicc iccssxr cfz cfzo elfzofz syl ffvelrnd sselid rexrd cle
      cr iccgelb clt fzofzp1 ioogtlb xrlelttrd iooltub iccleub xrltletrd eliood
      simpr ralrimiva dfss3 sylibr ) AKUAZBCLMZNZKEDOZEUBUCMZDOZLMZUDVSVNUFAVOK
      VSAVMVSNZUGZBCVMABPNZVTGQZACPNZVTHQZVTVMUSNAVMVPVRUEUHZWABVPVMWCAVPPNZVTA
      BCUIMZPVPBCUJZARFUKMZWHEDIAERFULMNZEWJNJERFUMUNUOZUPQZWAVMWFUQZABVPURSZVT
      AWBWDVPWHNWOGHWLBCVPUTTQWAWGVRPNZVTVPVMVASWMAWPVTAWHPVRWIAWJWHVQDIAWKVQWJ
      NJRFEVBUNUOZUPQZAVTVIZVPVRVMVCTVDWAVMVRCWNWRWEWAWGWPVTVMVRVASWMWRWSVPVRVM
      VETAVRCURSZVTAWBWDVRWHNWTGHWQBCVRVFTQVGVHVJKVSVNVKVL $.
  $}

  ${
    $d A s y $.  $d B s y $.  $d D s y $.  $d F s y $.  $d X s y $.
    $d ph s y $.
    fourierdlem28.1 $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem28.x $e |- ( ph -> X e. RR ) $.
    fourierdlem28.a $e |- ( ph -> A e. RR ) $.
    fourierdlem28.3b $e |- ( ph -> B e. RR ) $.
    fourierdlem28.d $e |- D = ( RR _D ( F |` ( ( X + A ) (,) ( X + B ) ) ) ) $.
    fourierdlem28.df $e |- ( ph -> D : ( ( X + A ) (,) ( X + B ) ) --> RR ) $.
    $( Derivative of ` ( F `` ( X + s ) ) ` .  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    fourierdlem28 $p |- ( ph -> ( RR _D ( s e. ( A (,) B ) |-> ( F ` ( X + s )
       ) ) ) = ( s e. ( A (,) B ) |-> ( D ` ( X + s ) ) ) ) $=
      ( vy cr co cmpt c1 wcel adantr cioo caddc cfv cdv cmul cpr reelprrecn a1i
      cv cc wa cxr readdcld rexrd elioore adantl clt wbr simpr ioogtlb ltadd2dd
      syl3anc iooltub eliood 1red wf ffvelrnd recnd ffvelrnda 0red ccnfld ctopn
      cc0 crest crn ctg iooretop eqid eleqtri dvmptconst dvmptidg dvmptadd wceq
      tgioo2 0p1e1 mpteq2dva cres feqmptd reseq1d ioossre resmptd eqtr2d oveq2d
      eqtrd wss eqcomi 3eqtrd fveq2 dvmptco mulid1d ) AOGBCUAPZFGUIZUBPZEUCZQUD
      PGXAXCDUCZRUEPZQGXAXEQAGNXCRNUIZEUCZXGDUCZOOXDXEOOXAFBUBPZFCUBPZUAPZOOUJU
      FSAUGUHZXMAXBXASZUKZXJXKXCAXJULSXNAXJAFBIJUMUNTAXKULSXNAXKAFCIKUMUNTXOFXB
      AFOSXNITZXNXBOSAXBBCUOUPZUMXOBXBFABOSXNJTZXQXPXOBULSZCULSZXNBXBUQURXOBXRU
      NZAXTXNACKUNTZAXNUSZBCXBUTVBVAXOXBCFXQACOSXNKTXPXOXSXTXNXBCUQURYAYBYCBCXB
      VCVBVAVDZXOVEZAXGXLSZUKZXHYGOOXGEAOOEVFYFHTYFXGOSAXGXJXKUOUPVGVHAXLOXGDMV
      IAOGXAXCQUDPGXAVMRUBPZQGXARQAGFVMXBROOOXAXMXOFXPVHXOVJAGXAFOXMXAVKVLUCZOV
      NPZSAXAUAVOVPUCYJBCVQYIYIVRWDVSUHZAFIVHVTXOXBXQVHYEAGXAOXMYKWAWBAGXAYHRYH
      RWCXOWEUHWFWNAONXLXHQZUDPOEXLWGZUDPZDNXLXIQAYLYMOUDAYMNOXHQZXLWGYLAEYOXLA
      NOOEHWHWIANOXLXHXLOWOAXJXKWJUHWKWLWMYNDWCADYNLWPUHANXLODMWHWQXGXCEWRXGXCD
      WRWSAGXAXFXEXOXEXOXEXOXLOXCDAXLODVFXNMTYDVGVHWTWFWN $.
  $}

  ${
    $d A s $.
    fourierdlem29.1 $e |- K = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 1 , (
       s / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) ) $.
    $( Explicit function value for ` K ` applied to ` A ` .  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem29 $p |- ( A e. ( -u _pi [,] _pi ) -> ( K ` A ) = if ( A = 0 , 1
       , ( A / ( 2 x. ( sin ` ( A / 2 ) ) ) ) ) ) $=
      ( cv cc0 wceq c1 c2 cdiv co csin cfv cmul cif cpi cneg cicc eqeq1 id ovex
      fvoveq1 oveq2d oveq12d ifbieq2d 1ex ifex fvmpt ) CACEZFGZHUIIUIIJKLMZNKZJ
      KZOAFGZHAIAIJKLMZNKZJKZOPQPRKBUIAGZUJUNUMUQHUIAFSURUIAULUPJURTURUKUOINUIA
      ILJUBUCUDUEDUNHUQUFAUPJUAUGUH $.
  $}

  ${
    $d I x $.  $d R x $.  $d ph x $.
    fourierdlem30.ibl $e |- ( ph -> ( x e. I |-> ( F x. -u G ) ) e. L^1 ) $.
    fourierlemreimleblemlte22.f $e |- ( ( ph /\ x e. I ) -> F e. CC ) $.
    fourierdlem30.g $e |- ( ( ph /\ x e. I ) -> G e. CC ) $.
    fourierdlem30.a $e |- ( ph -> A e. CC ) $.
    fourierdlem30.x $e |- X = ( abs ` A ) $.
    fourierdlem30.c $e |- ( ph -> C e. CC ) $.
    fourierdlem30.y $e |- Y = ( abs ` C ) $.
    fourierdlem30.z $e |- Z = ( abs ` S. I ( F x. -u G ) _d x ) $.
    fourierdlem30.e $e |- ( ph -> E e. RR+ ) $.
    fourierdlem30.r $e |- ( ph -> R e. RR ) $.
    fourierdlem30.ler $e |- ( ph -> ( ( ( ( X + Y ) + Z ) / E ) + 1 ) <_ R ) $.
    fourierdlem30.b $e |- ( ph -> B e. CC ) $.
    fourierdlem30.12 $e |- ( ph -> ( abs ` B ) <_ 1 ) $.
    fourierdlem30.d $e |- ( ph -> D e. CC ) $.
    fourierdlem30.14 $e |- ( ph -> ( abs ` D ) <_ 1 ) $.
    $( Sum of three small pieces is less than &epsilon;.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem30 $p |- ( ph -> ( abs ` ( ( ( A x. -u ( B / R ) ) - ( C x. -u (
       D / R ) ) ) - S. I ( F x. -u ( G / R ) ) _d x ) ) < E ) $=
      ( cdiv co cneg cmul cmin citg cabs cfv clt recnd cc0 c1 0red 1red wbr a1i
      0lt1 caddc cr abscld eqeltrid readdcld cc cv wa negcld mulcld itgcl rpred
      wcel rpne0d redivcld cle absge0d breqtrrdi addge0d divge0d addge02d mpbid
      ltletrd gt0ne0d divnegd oveq2d divassd eqtr4d oveq12d divsubdird itgmulc2
      letrd reccld divrec2d adantr wne 3eqtr2d itgeq2dv 3eqtr4rd subcld absdivd
      fveq2d ltled absidd 3eqtrd elrpd absmuld absnegd eqbrtrd lemul2ad mulid1d
      abs2dif2d breqtrd le2addd leadd1dd lediv1dd ltp1d lelttrd ge0p1rpd eqcomi
      oveq12i lediv2ad oveq1i wceq oveq1 adantl addcld rpcnd div0d eqtrd oveq1d
      0p1e1 eqtrdi crp ax-1ne0 eqnetrd neqne ne0gt0d rpdivcld rpaddcld ltdiv23d
      rpgt0d wn 1rp pm2.61dan eqbrtrid ) ACDGUJUKULZUMUKZEFGUJUKULZUMUKZUNUKZBK
      IJGUJUKULZUMUKZUOZUNUKZUPUQZCDULZUMUKZEFULZUMUKZUNUKZBKIJULZUMUKZUOZUNUKZ
      UPUQZGUJUKZHURAUVBUVKGUJUKZUPUQUVLGUPUQZUJUKUVMAUVAUVNUPAUVAUVGGUJUKZUVJG
      UJUKZUNUKUVNAUUQUVPUUTUVQUNAUUQUVDGUJUKZUVFGUJUKZUNUKUVPAUUNUVRUUPUVSUNAU
      UNCUVCGUJUKZUMUKUVRAUUMUVTCUMADGUFAGUDUSZAGAUTVAGAVBZAVCZUDUTVAURVDAVFVEA
      VALMVGUKZNVGUKZHUJUKZVAVGUKZGUWCAUWFVAAUWEHAUWDNALMALCUPUQZVHSACRVIZVJZAM
      EUPUQZVHUAAETVIZVJZVKZANUVJUPUQZVHUBAUVJABKUVIVLABVMKVSZVNZIUVHPUWQJQVOZV
      PZOVQZVIZVJZVKZAHUCVRZAHUCVTZWAZUWCVKZUDAUTUWFWBVDVAUWGWBVDAUWEHUXCUCAUWD
      NUWNUXBALMUWJUWMAUTUWHLWBACRWCZSWDAUTUWKMWBAETWCZUAWDWEAUTUWONWBAUVJUWTWC
      UBWDWEZWFZAVAUWFUWCUXFWGWHUEWRWIZWJZWKWLACUVCGRADUFVOZUWAUXMWMWNAUUPEUVEG
      UJUKZUMUKUVSAUUOUXOEUMAFGUHUWAUXMWKWLAEUVEGTAFUHVOZUWAUXMWMWNWOAUVDUVFGAC
      UVCRUXNVPZAEUVETUXPVPZUWAUXMWPWNAVAGUJUKZUVJUMUKBKUXSUVIUMUKZUOUVQUUTABKU
      VIUXSVLAGUWAUXMWSUWSOWQAUVJGUWTUWAUXMWTABKUUSUXTUWQUUSIUVHGUJUKZUMUKUVIGU
      JUKUXTUWQUURUYAIUMUWQJGQAGVLVSUWPUWAXAZAGUTXBUWPUXMXAZWKWLUWQIUVHGPUWRUYB
      UYCWMUWQUVIGUWSUYBUYCWTXCXDXEWOAUVGUVJGAUVDUVFUXQUXRXFZUWTUWAUXMWPWNXHAUV
      KGAUVGUVJUYDUWTXFZUWAUXMXGAUVOGUVLUJAGUDAUTGUWBUDUXLXIXJWLXKAUVMUWHUWKVGU
      KZUWOVGUKZGUJUKZHAUVLGAUVKUYEVIZUDUXMWAAUYGGAUYFUWOAUWHUWKUWIUWLVKZUXAVKZ
      UDUXMWAZUXDAUVLUYGGUYIUYKAGUDUXLXLZAUVLUVGUPUQZUWOVGUKUYGUYIAUYNUWOAUVGUY
      DVIZUXAVKUYKAUVGUVJUYDUWTXRAUYNUYFUWOUYOUYJUXAAUYNUVDUPUQZUVFUPUQZVGUKUYF
      UYOAUYPUYQAUVDUXQVIZAUVFUXRVIZVKUYJAUVDUVFUXQUXRXRAUYPUYQUWHUWKUYRUYSUWIU
      WLAUYPUWHUVCUPUQZUMUKZUWHWBACUVCRUXNXMAVUAUWHVAUMUKUWHWBAUYTVAUWHAUVCUXNV
      IUWCUWIUXHAUYTDUPUQVAWBADUFXNUGXOXPAUWHAUWHUWIUSXQXSXOAUYQUWKUVEUPUQZUMUK
      ZUWKWBAEUVETUXPXMAVUCUWKVAUMUKUWKWBAVUBVAUWKAUVEUXPVIUWCUWLUXIAVUBFUPUQVA
      WBAFUHXNUIXOXPAUWKAUWKUWLUSXQXSXOXTWRYAWRYBAUYHUYGUWGUJUKZHUYLAUYGUWGUYKU
      XGAUWGAUTUWFUWGUWBUXFUXGUXKAUWFUXFYCZYDWJWAUXDAUWGGUYGAUWFUXFUXKYEUYMUYKA
      UTUWEUYGWBUXJUYFUWDUWONVGUWHLUWKMVGLUWHSYFMUWKUAYFYGNUWOUBYFYGZWDUEYHAVUD
      UWEUWGUJUKZHURUYGUWEUWGUJVUFYIAUWEUTYJZVUGHURVDAVUHVNZVUGUTHURVUIVUGUTUWG
      UJUKZUTVUHVUGVUJYJAUWEUTUWGUJYKYLVUIUWGAUWGVLVSVUHAUWFVAAUWFUXFUSAVAUWCUS
      YMXAVUIUWGVAUTVUIUWGUTVAVGUKVAVUIUWFUTVAVGVUIUWFUTHUJUKZUTVUHUWFVUKYJAUWE
      UTHUJYKYLVUIHAHVLVSVUHAHUCYNXAAHUTXBVUHUXEXAYOYPYQYRYSVAUTXBVUIUUAVEUUBYO
      YPAUTHURVDVUHAHUCUUHXAXOAVUHUUIZVNZUWEHUWGAUWEVHVSVULUXCXAZAHYTVSVULUCXAZ
      VUMUWFVAVUMUWEHVUMUWEVUNVUMUWEVUNAUTUWEWBVDVULUXJXAVULUWEUTXBAUWEUTUUCYLU
      UDXLVUOUUEVAYTVSVUMUUJVEUUFAUWFUWGURVDVULVUEXAUUGUUKUULYDYDXO $.
  $}

  ${
    $d A i m r $.  $d A i n r $.  $d N n $.  $d V x y $.  $d ch m $.
    $d ch n $.
    fourierdlem31.i $e |- F/ i ph $.
    fourierdlem31.r $e |- F/ r ph $.
    fourierdlem31.iv $e |- F/_ i V $.
    fourierdlem31.a $e |- ( ph -> A e. Fin ) $.
    fourierdlem31.exm $e |- ( ph -> A. i e. A E. m e. NN A. r e. ( m (,) +oo )
       ch ) $.
    fourierdlem31.m $e |- M = { m e. NN | A. r e. ( m (,) +oo ) ch } $.
    fourierdlem31.v $e |- V = ( i e. A |-> inf ( M , RR , < ) ) $.
    fourierdlem31.n $e |- N = sup ( ran V , RR , < ) $.
    $( If ` A ` is finite and for any element in ` A ` there is a number ` m `
       such that a property holds for all numbers larger than ` m ` , then
       there is a number ` n ` such that the property holds for all numbers
       larger than ` n ` and for all elements in ` A ` .  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.)  (Revised by AV, 29-Sep-2020.) $)
    fourierdlem31 $p |- ( ph -> E. n e. NN A. r e. ( n (,) +oo ) A. i e. A ch )
       $=
      ( cn wcel vy vx c0 wceq wral cv cpnf cioo co wrex c1 rzal ralrimivw oveq1
      1nn raleqdv rspcev sylancr adantl wn wa crn cr clt csup wss cinf crab a1i
      infeq1d ssrab2 cuz cfv wne sseqtri r19.21bi rabn0 sylibr infssuzcl sselid
      nnuz eqeltrd rnmptssd wor cfn ltso cmpt mptfi syl eqeltrid rnfi wex neqne
      adantr n0 sylib nfv nfan nfrn nfcv nfne wi simpr elrnmpt1 syl2anc ne0d ex
      exlimd mpd nnssre sstrdi fisupcl syl13anc sseldd nfsup nfcxfr nfov fvmpt2
      nfcri cxr nnxrd pnfxr elioore nnred neneqd syldan cle wbr fimaxre2 suprub
      ne0i syl31anc breqtrrdi wb nfinf nfmpt nffv eleq1 raleqf ralrimi ioogtlb
      rexrd syl3anc lelttrd ltpnfd eliood nfrab1 nfel nfel1 nfralw nfra1 nfrabw
      nfbi anbi12d bibi12d rabid vtoclgf mpbid simprd an32s pm2.61dan ) ACUCUDZ
      BDCUEZJFUFZUGUHUIZUEZFSUJZUVBUVGAUVBUKSTUVCJUKUGUHUIZUEZUVGUOUVBUVCJUVHBD
      CULUMUVFUVIFUKSUVDUKUDUVCJUVEUVHUVDUKUGUHUNUPUQURUSAUVBUTZVAZHSTZUVCJHUGU
      HUIZUEZUVGUVKHIVBZVCVDVEZSRUVKUVOSUVPAUVOSVFUVJADCGVCVDVGZSIKQADUFZCTZVAZ
      UVQBJEUFZUGUHUIZUEZESVHZVCVDVGZSUVTVCGUWDVDGUWDUDUVTPVIVJZUVTUWDSUWEUWCES
      VKZUVTUWDUKVLVMZVFUWDUCVNZUWEUWDTUWDSUWHUWGWAVOUVTUWCESUJZUWIAUWJDCOVPUWC
      ESVQVRUWDUKVSURZVTWBZWCZWNZUVKVCVDWDZUVOWETZUVOUCVNZUVOVCVFZUVPUVOTUWOUVK
      WFVIAUWPUVJAIWETUWPAIDCUVQWGZWEQACWETUWSWETNDCUVQWHWIWJIWKWIZWNUVKUVSDWLZ
      UWQUVJUXAAUVJCUCVNZUXACUCWMDCWOWPUSUVKUVSUWQDAUVJDKUVJDWQWRDUVOUCDIMWSZDU
      CWTXAAUVSUWQXBUVJAUVSUWQUVTUVOUVQUVTUVSUVQSTZUVQUVOTAUVSXCZUWLDCUVQISQXDX
      EZXFZXGWNXHXIUVKUVOSVCUWNXJXKZVCUVOVDXLXMXNWJZAUVNUVJAUVCJUVMLAJUFZUVMTZU
      VCAUXKVAZBDCAUXKDKDJUVMDHUGUHDHUVPRDUVOVCVDUXCDVCWTDVDWTXOXPDUHWTDUGWTXQX
      SWRUXLUVSBAUVSUXKBUVTUXKUXJUVRIVMZUGUHUIZTBUVTUXKVAZUXMUGUXJUVTUXMXTTUXKU
      VTUXMUVQXTUVTUVSUXDUXMUVQUDUXEUWLDCUVQSIQXRXEZUVTUVQUWLYAWBWNUGXTTZUXOYBV
      IZUXKUXJVCTUVTUXJHUGYCUSZUXOUXMHUXJUVTUXMVCTUXKUVTUXMUVTUXMUVQSUXPUWLWBZY
      DWNUVTHVCTUXKUVTHAUVSUVJUVLUVTCUCUVSUXBACUVRYKUSYEZUXIYFYDWNZUXSUVTUXMHYG
      YHUXKUVTUXMUVPHYGUVTUWRUWQUAUFUBUFYGYHUAUVOUEUBVCUJZUXMUVOTUXMUVPYGYHAUVS
      UVJUWRUYAUXHYFUXGAUYCUVSAUWRUWPUYCAUVOSVCUWMXJXKUWTUBUAUVOYIXEWNUVTUXMUVQ
      UVOUXPUXFWBUBUAUVOUXMYJYLRYMWNUXOHXTTUXQUXKHUXJVDYHUXOHUYBUUBUXRUVTUXKXCH
      UGUXJUUAUUCUUDUXOUXJUXSUUEUUFUVTBJUXNUVTUXMSTZBJUXNUEZUVTUXMUWDTZUYDUYEVA
      ZUVTUXMUVQUWDUXPUVTUVQUWEUWDUWFUWKWBWBUVTUYDUYFUYGYNZUXTUWAUWDTZUWASTZUWC
      VAZYNUYHEUXMSEUVRIEIUWSQEDCUVQECWTEGVCVDEGUWDPUWCESUUGZXPEVCWTEVDWTYOYPXP
      EUVRWTYQZUYFUYGEEUXMUWDUYMUYLUUHUYDUYEEEUXMSUYMUUIBEJUXNEUXMUGUHUYMEUHWTE
      UGWTXQBEWQUUJWRUUMUWAUXMUDZUYIUYFUYKUYGUWAUXMUWDYRUYNUYJUYDUWCUYEUWAUXMSY
      RUYNUWBUXNUDUWCUYEYNUWAUXMUGUHUNBJUWBUXNJUWBWTJUXMUGUHJUVRIJIUWSQJDCUVQJC
      WTJGVCVDJGUWDPUWCJESBJUWBUUKJSWTUULXPJVCWTZJVDWTZYOYPXPZJUVRWTYQJUHWTZJUG
      WTZXQYSWIUUNUUOUWCESUUPUUQWIUURUUSVPYFUUTXGYTXGYTWNUVFUVNFHSUVDHUDUVEUVMU
      DUVFUVNYNUVDHUGUHUNUVCJUVEUVMJUVEWTJHUGUHJHUVPRJUVOVCVDJIUYQWSUYOUYPXOXPU
      YRUYSXQYSWIUQXEUVA $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d D x $.  $d F x $.  $d ph x $.
    fourierdlem32.a $e |- ( ph -> A e. RR ) $.
    fourierdlem32.b $e |- ( ph -> B e. RR ) $.
    fourierdlem32.altb $e |- ( ph -> A < B ) $.
    fourierdlem32.f $e |- ( ph -> F e. ( ( A (,) B ) -cn-> CC ) ) $.
    fourierdlem32.l $e |- ( ph -> R e. ( F limCC A ) ) $.
    fourierdlem32.c $e |- ( ph -> C e. RR ) $.
    fourierdlem32.d $e |- ( ph -> D e. RR ) $.
    fourierdlem32.cltd $e |- ( ph -> C < D ) $.
    fourierdlem32.ss $e |- ( ph -> ( C (,) D ) C_ ( A (,) B ) ) $.
    fourierdlem32.y $e |- Y = if ( C = A , R , ( F ` C ) ) $.
    fourierdlem32.j $e |- J = ( ( TopOpen ` CCfld ) |`t ( A [,) B ) ) $.
    $( Limit of a continuous function on an open subinterval.  Lower bound
       version.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem32 $p |- ( ph -> Y e. ( ( F |` ( C (,) D ) ) limCC C ) ) $=
      ( vx wceq cioo co cres climc wcel wa adantr cfv cif iftrue eqtr2id adantl
      oveq2 ccnfld ctopn csn cun crest cc ccncf cncff syl wss ioosscn eqid cico
      wf a1i cnt cr cle wbr clt leidd cxr w3a wb rexrd elico2 syl2anc mpbir3and
      ctop cvv cnfldtop ovex resttop sylancr eqeltrid crn ctg cmnf cin cv mnfxr
      simpr mpbid simp1d mnfltd simp3d eliood simp2d fourierdlem10 simprd elind
      ltletrd elinel1 elioore elinel2 elioo2 impbida eqrdv retop elrestr oveq1d
      syl3anc eqeltrd icossre reex restabs tgioo2 eqcomi oveq1i 3eqtr2d 3eltr4d
      iooretop isopn3i eleqtrrd eqcomd uncom snunioo syl5eq oveq2d eqtr4di sneq
      id fveq2d ctopon mp2an uneq1d sylan9eqr fveq12d limcres eqtr2d 3eltr3d wn
      limcresi iffalse ccnp wral ssid unicntop restid cncfcn eleqtrd cnfldtopon
      ccn ax-mp resttopon cncnp sylib simpld wne eqcoms necon3bi necomd leneltd
      fveq2 eleq2d rspccva cnplimc sselid pm2.61dan ) ADBUBZIGDEUCUDZUEZDUFUDZU
      GAUVOUHZFGBUFUDZIUVRAFUVTUGUVONUIUVOFIUBAUVOIUVOFDGUJZUKZFSUVOFUWAULUMUNU
      VSUVRUVQBUFUDZUVTUVOUVRUWCUBADBUVQUFUOUNUVSBCUCUDZBUVPGUPUQUJZUWDBURZUSZU
      TUDZUWEAUWDVAGVIZUVOAGUWDVAVBUDZUGUWIMUWDVAGVCVDUIAUVPUWDVEUVORUIUWDVAVEZ
      UVSBCVFZVJUWEVGZUWHVGUVSDDEVHUDZHVKUJZUJZBUVPUWFUSZUWHVKUJZUJUVSDUWNUWPAD
      UWNUGZUVOAUWSDVLUGZDDVMVNZDEVOVNZOADOVPQAUWTEVQUGZUWSUWTUXAUXBVRVSOAEPVTZ
      DEDWAWBWCUIUVSHWDUGUWNHUGUWPUWNUBUVSHUWEBCVHUDZUTUDZWDTUVSUWEWDUGZUXEWEUG
      ZUXFWDUGUWEUWMWFZUXHUVSBCVHWGZVJUXEUWEWEWHWIWJUVSBEVHUDZUCWKWLUJZUXEUTUDZ
      UWNHAUXKUXMUGUVOAUXKWMEUCUDZUXEWNZUXMAUAUXKUXOAUAWOZUXKUGZUXPUXOUGZAUXQUH
      ZUXNUXEUXPUXSWMEUXPWMVQUGZUXSWPVJAUXCUXQUXDUIZUXSUXPVLUGZBUXPVMVNZUXPEVOV
      NZUXSUXQUYBUYCUYDVRZAUXQWQUXSBVLUGZUXCUXQUYEVSZAUYFUXQJUIZUYABEUXPWAZWBWR
      ZWSZUXSUXPUYKWTUXSUYBUYCUYDUYJXAZXBUXSUXPUXEUGZUYBUYCUXPCVOVNZUYKUXSUYBUY
      CUYDUYJXCUXSUXPECUYKAEVLUGUXQPUIACVLUGUXQKUIUYLAECVMVNZUXQABDVMVNZUYOABCD
      EJKOPQRXDZXEZUIXGUXSUYFCVQUGZUYMUYBUYCUYNVRZVSZUYHAUYSUXQACKVTZUIBCUXPWAZ
      WBWCXFAUXRUHZUXQUYBUYCUYDUXRUYBAUXRUXPUXNUGZUYBUXPUXNUXEXHZUXPWMEXIVDUNVU
      DUYBUYCUYNVUDUYMUYTUXRUYMAUXPUXNUXEXJUNVUDUYFUYSVUAAUYFUXRJUIZAUYSUXRVUBU
      IVUCWBWRXCVUDUYBWMUXPVOVNZUYDVUDVUEUYBVUHUYDVRZUXRVUEAVUFUNVUDUXTUXCVUEVU
      IVSWPAUXCUXRUXDUIZWMEUXPXKWIWRXAVUDUYFUXCUYGVUGVUJUYIWBWCXLXMAUXLWDUGZUXH
      UXNUXLUGZUXOUXMUGVUKAXNVJUXHAUXJVJVULAWMEYGVJUXNUXEUXLWDWEXOXQXRUIUVSDBEV
      HAUVOWQXPAHUXMUBUVOAHUXFUWEVLUTUDZUXEUTUDZUXMHUXFUBATVJAUXGUXEVLVEZVLWEUG
      ZVUNUXFUBUXGAUXIVJAUYFUYSVUOJVUBBCXSWBVUPAXTVJUXEVLUWEWDWEYAXQVUNUXMUBAVU
      MUXLUXEUTUXLVUMUWEUWMYBYCYDVJYEUIYFUWNHYHWBYIUVOBDUBAUVODBUVOYQZYJUNUVSUW
      QUWNUWRUWOUVSUWHHVKUVSUWHUXFHUVSUWGUXEUWEUTAUWGUXEUBUVOAUWGUWFUWDUSZUXEUW
      DUWFYKABVQUGZUYSBCVOVNVURUXEUBABJVTZVUBLBCYLXQYMUIYNTYOYRUVOAUWQDURZUVPUS
      ZUWNUVOUWQUWFUVPUSVVBUVPUWFYKUVOUWFVVAUVPUVOVVAUWFDBYPYJUUAYMADVQUGUXCUXB
      VVBUWNUBADOVTUXDQDEYLXQUUBUUCYFUUDUUEUUFAUVOUUGZUHZGDUFUDZUVRIDUVPGUUHVVD
      IUWAVVEVVCIUWAUBAVVCIUWBUWASUVOFUWAUUIYMUNVVDUWIUWAVVEUGZVVDGDUWEUWDUTUDZ
      UWEUUJUDZUJZUGZUWIVVFUHZVVDGUXPVVHUJZUGZUAUWDUUKZDUWDUGZVVJAVVNVVCAUWIVVN
      AGVVGUWEUURUDZUGZUWIVVNUHZAGUWJVVPMAUWKVAVAVEZUWJVVPUBUWLVVSAVAUULVJUWDVA
      UWEVVGUWEUWMVVGVGZUWEVAUTUDZUWEUXGVWAUWEUBUXIUWEWDVAUUMUUNUUSYCUUOWIUUPVV
      GUWDYSUJUGZUWEVAYSUJUGZVVQVVRVSVWCUWKVWBUWEUWMUUQZUWLUWDUWEVAUUTYTVWDUAGV
      VGUWEUWDVAUVAYTUVBXEUIVVDBCDAVUSVVCVUTUIAUYSVVCVUBUIAUWTVVCOUIZVVDBDAUYFV
      VCJUIVWEAUYPVVCAUYPUYOUYQUVCUIVVDBDVVCBDUVDAUVOBDUVODBVUQUVEUVFUNUVGUVHAD
      CVOVNVVCADECOPKQUYRXGUIXBZVVMVVJUADUWDUXPDUBVVLVVIGUXPDVVHUVIUVJUVKWBVVDU
      WKVVOVVJVVKVSUWLVWFUWDDGVVGUWEUWMVVTUVLWIWRXEXRUVMUVN $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d D x $.  $d F x $.  $d ph x $.
    fourierdlem33.1 $e |- ( ph -> A e. RR ) $.
    fourierdlem33.2 $e |- ( ph -> B e. RR ) $.
    fourierdlem33.3 $e |- ( ph -> A < B ) $.
    fourierdlem33.4 $e |- ( ph -> F e. ( ( A (,) B ) -cn-> CC ) ) $.
    fourierdlem33.5 $e |- ( ph -> L e. ( F limCC B ) ) $.
    fourierdlem33.6 $e |- ( ph -> C e. RR ) $.
    fourierdlem33.7 $e |- ( ph -> D e. RR ) $.
    fourierdlem33.8 $e |- ( ph -> C < D ) $.
    fourierdlem33.ss $e |- ( ph -> ( C (,) D ) C_ ( A (,) B ) ) $.
    fourierdlem33.y $e |- Y = if ( D = B , L , ( F ` D ) ) $.
    fourierdlem33.10 $e |- J = ( ( TopOpen ` CCfld ) |`t ( ( A (,) B ) u. { B }
       ) ) $.
    $( Limit of a continuous function on an open subinterval.  Upper bound
       version.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem33 $p |- ( ph -> Y e. ( ( F |` ( C (,) D ) ) limCC D ) ) $=
      ( vx wceq cioo co cres climc wcel wa adantr cfv cif iftrue eqtr2id adantl
      oveq2 ccnfld ctopn cc wf ccncf cncff syl wss ioosscn a1i eqid cnt csn cun
      cioc cr clt wbr cle leidd cxr w3a wb rexrd elioc2 syl2anc mpbir3and eqcom
      biimpi ctop cvv cnfldtop ioounsn syl3anc eqeltrd resttop sylancr eqeltrid
      crest ovex crn ctg cpnf cin pnfxr simpr mpbid simp1d simp2d ltpnfd eliood
      fourierdlem10 simpld lelttrd simp3d elind elinel1 elioore ioogtlb elinel2
      cv impbida eqrdv retop iooretop elrestr oveq2d iocssre reex tgioo2 eqcomi
      restabs oveq1i eqtr3di 3eqtrrd eleqtrd isopn3i 3eltr4d sneq eqcomd uneq2d
      eqtr2d fveq2d ctopon simprd limcres 3eltr3d wn limcresi iffalse ccnp wral
      syl5eq ssid unicntop restid ax-mp cncfcn cnfldtopon resttopon cncnp neqne
      ccn wne necomd leneltd fveq2 eleq2d rspccva cnplimc sselid pm2.61dan ) AE
      CUBZIFDEUCUDZUEZEUFUDZUGAUVHUHZHFCUFUDZIUVKAHUVMUGUVHNUIUVHHIUBAUVHIUVHHE
      FUJZUKZHSUVHHUVNULUMUNUVLUVKUVJCUFUDZUVMUVHUVKUVPUBAECUVJUFUOUNUVLBCUCUDZ
      CUVIFGUPUQUJZAUVQURFUSZUVHAFUVQURUTUDZUGUVSMUVQURFVAVBUIAUVIUVQVCUVHRUIUV
      QURVCZUVLBCVDZVEUVRVFZTUVLCDEVJUDZGVGUJZUJZUVICVHZVIZUWEUJUVLEUWDCUWFAEUW
      DUGZUVHAUWIEVKUGZDEVLVMZEEVNVMZPQAEPVOADVPUGZUWJUWIUWJUWKUWLVQVRADOVSZPDE
      EVTWAWBUIUVHCEUBZAUVHUWOECWCWDUNUVLGWEUGZUWDGUGUWFUWDUBAUWPUVHAGUVRUVQUWG
      VIZWNUDZWETAUVRWEUGZUWQWFUGUWRWEUGUVRUWCWGZAUWQBCVJUDZWFABVPUGZCVPUGZBCVL
      VMUWQUXAUBABJVSZACKVSZLBCWHWIZUXAWFUGZABCVJWOVEZWJUWQUVRWFWKWLWMUIUVLUWDU
      CWPWQUJZUXAWNUDZGUVLUWDDCVJUDZUXJUVHUWDUXKUBAECDVJUOUNAUXKUXJUGUVHAUXKDWR
      UCUDZUXAWSZUXJAUAUXKUXMAUAXPZUXKUGZUXNUXMUGZAUXOUHZUXLUXAUXNUXQDWRUXNAUWM
      UXOUWNUIZWRVPUGZUXQWTVEUXQUXNVKUGZDUXNVLVMZUXNCVNVMZUXQUXOUXTUYAUYBVQZAUX
      OXAUXQUWMCVKUGZUXOUYCVRZUXRAUYDUXOKUIZDCUXNVTZWAXBZXCZUXQUXTUYAUYBUYHXDZU
      XQUXNUYIXEXFUXQUXNUXAUGZUXTBUXNVLVMZUYBUYIUXQBDUXNABVKUGUXOJUIADVKUGUXOOU
      IUYIABDVNVMZUXOAUYMECVNVMZABCDEJKOPQRXGZXHZUIUYJXIUXQUXTUYAUYBUYHXJUXQUXB
      UYDUYKUXTUYLUYBVQZVRZAUXBUXOUXDUIUYFBCUXNVTZWAWBXKAUXPUHZUXOUXTUYAUYBUXPU
      XTAUXPUXNUXLUGZUXTUXNUXLUXAXLZUXNDWRXMVBUNUYTUWMUXSVUAUYAAUWMUXPUWNUIZUXS
      UYTWTVEUXPVUAAVUBUNDWRUXNXNWIUYTUXTUYLUYBUYTUYKUYQUXPUYKAUXNUXLUXAXOUNUYT
      UXBUYDUYRAUXBUXPUXDUIAUYDUXPKUIZUYSWAXBXJUYTUWMUYDUYEVUCVUDUYGWAWBXQXRAUX
      IWEUGZUXGUXLUXIUGZUXMUXJUGVUEAXSVEUXHVUFADWRXTVEUXLUXAUXIWEWFYAWIWJUIWJAU
      XJGUBUVHAGUWRUVRUXAWNUDZUXJGUWRUBATVEAUWQUXAUVRWNUXFYBAUVRVKWNUDZUXAWNUDZ
      VUGUXJAUWSUXAVKVCZVKWFUGZVUIVUGUBUWSAUWTVEAUXBUYDVUJUXDKBCYCWAVUKAYDVEUXA
      VKUVRWEWFYGWIVUHUXIUXAWNUXIVUHUVRUWCYEYFYHYIYJUIYKUWDGYLWAYMUVLUWDUWHUWEU
      VLUWHUVIEVHZVIZUWDUVHUWHVUMUBAUVHUWGVULUVIUVHVULUWGECYNYOYPUNAVUMUWDUBZUV
      HAUWMEVPUGUWKVUNUWNAEPVSQDEWHWIUIYQYRYKUUAYQUUBAUVHUUCZUHZFEUFUDZUVKIEUVI
      FUUDVUPIUVNVUQVUOIUVNUBAVUOIUVOUVNSUVHHUVNUUEUUHUNVUPUVSUVNVUQUGZVUPFEUVR
      UVQWNUDZUVRUUFUDZUJZUGZUVSVURUHZVUPFUXNVUTUJZUGZUAUVQUUGZEUVQUGZVVBAVVFVU
      OAUVSVVFAFVUSUVRUURUDZUGZUVSVVFUHZAFUVTVVHMAUWAURURVCZUVTVVHUBUWBVVKAURUU
      IVEUVQURUVRVUSUVRUWCVUSVFZUVRURWNUDZUVRUWSVVMUVRUBUWTUVRWEURUUJUUKUULYFUU
      MWLYKAVUSUVQYSUJUGZUVRURYSUJUGZVVIVVJVRAVVOUWAVVNUVRUWCUUNZUWAAUWBVEUVQUV
      RURUUOWLVVOAVVPVEUAFVUSUVRUVQURUUPWAXBYTUIVUPBCEAUXBVUOUXDUIAUXCVUOUXEUIA
      UWJVUOPUIZABEVLVMVUOABDEJOPUYPQXIUIVUPECVVQAUYDVUOKUIAUYNVUOAUYMUYNUYOYTU
      IVUOCEUUSAVUOECECUUQUUTUNUVAXFZVVEVVBUAEUVQUXNEUBVVDVVAFUXNEVUTUVBUVCUVDW
      AVUPUWAVVGVVBVVCVRUWBVVRUVQEFVUSUVRUWCVVLUVEWLXBYTWJUVFUVG $.
  $}

  ${
    $d A m p $.  $d B m p $.  $d M i j k $.  $d M i m p $.  $d Q i j k $.
    $d Q i p $.  $d i j k ph $.
    fourierdlem34.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem34.m $e |- ( ph -> M e. NN ) $.
    fourierdlem34.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    $( A partition is one to one.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem34 $p |- ( ph -> Q : ( 0 ... M ) -1-1-> RR ) $=
      ( vk cc0 co cr cfv wceq wcel wa vj cfz wf cv wi wral wf1 c1 caddc clt wbr
      cmap cn wb fourierdlem2 syl mpbid simpld elmapi simplr ffvelrnda ad2antrr
      cfzo ad4ant14 adantllr eleq1w anbi2d fveq2 fveq2d breq12d imbi12d simprrd
      oveq1 r19.21bi chvarvv simpllr simpr monoords ltned neneqd adantlr simpll
      wn elfzelz zred ad3antlr ad4antlr wne neqne necomd lttri5d adantr simp-4l
      ad2antlr sylancom gtned syl2anc pm2.61dan condan ralrimiva dff13 sylanbrc
      ex ) ANHUBOZPEUCZFUDZEQZUAUDZEQZRZXFXHRZUEZUAXDUFZFXDUFXDPEUGAEPXDULOSZXE
      AXNNEQBRHEQCRTZXGXFUHUIOZEQZUJUKZFNHVCOZUFZTZAEHDQSZXNYATZLAHUMSYBYCUNKBC
      DEFGHIJUOUPUQZUREPXDUSUPZAXMFXDAXFXDSZTZXLUAXDYGXHXDSZTZXJXKYIXJTXKXJYIXJ
      XKWCZUTYIYJXJWCZXJYIYJTZXFXHUJUKZYKYIYMYKYJYIYMTZXGXIYNXGXIYGXGPSYHYMAXDP
      XFEYEVAVBYNMEXFXHNHYGYMMUDZXDSZYOEQZPSZYHAYPYRYFYMAXDPYOEYEVAZVDVEYGYMYOX
      SSZYQYOUHUIOZEQZUJUKZYHAYTUUCYFYMAXFXSSZTZXRUEAYTTZUUCUEFMXFYORZUUEUUFXRU
      UCUUGUUDYTAFMXSVFVGUUGXGYQXQUUBUJXFYOEVHUUGXPUUAEXFYOUHUIVMVIVJVKAXRFXSAX
      NXOXTYDVLVNVOZVDVEAYFYHYMVPYGYHYMUTYIYMVQVRVSVTWAYLYMWCZTZYIXHXFUJUKZYKYI
      YJUUIWBUUJXHXFYHXHPSYGYJUUIYHXHXHNHWDWEWFYFXFPSAYHYJUUIYFXFXFNHWDWEWGYJXH
      XFWHYIUUIYJXFXHXFXHWIWJWNYLUUIVQWKYIUUKTZXGXIUULXIXGAYHUUKXIPSZYFAYHTUUMU
      UKAXDPXHEYEVAWLVEUULMEXHXFNHUULYPAYRAYFYHUUKYPWMYSWOUULYTAUUCAYFYHUUKYTWM
      UUHWOYGYHUUKUTAYFYHUUKVPYIUUKVQVRWPVTWQWRWAWSXCWTWTFUAXDPEXAXB $.
  $}

  ${
    fourierdlem35.a $e |- ( ph -> A e. RR ) $.
    fourierdlem35.b $e |- ( ph -> B e. RR ) $.
    fourierdlem35.altb $e |- ( ph -> A < B ) $.
    fourierdlem35.t $e |- T = ( B - A ) $.
    fourierdlem35.5 $e |- ( ph -> X e. RR ) $.
    fourierdlem35.i $e |- ( ph -> I e. ZZ ) $.
    fourierdlem35.j $e |- ( ph -> J e. ZZ ) $.
    fourierdlem35.iel $e |- ( ph -> ( X + ( I x. T ) ) e. ( A (,] B ) ) $.
    fourierdlem35.jel $e |- ( ph -> ( X + ( J x. T ) ) e. ( A (,] B ) ) $.
    $( There is a single point in ` ( A (,] B ) ` that's distant from ` X ` a
       multiple integer of ` T ` .  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem35 $p |- ( ph -> I = J ) $=
      ( caddc co wcel adantr wceq c1 wo wn wne neqne wa clt wbr cr cz cmul cicc
      simpr cioc iocssicc sselid fourierdlem6 orcd adantlr simpll syl id necomd
      zred ad2antlr lttri5d olcd syl2anc pm2.61dan sylan2 cle cxr rexrd iocleub
      syl3anc resubcld eqeltrid remulcld readdcld iocgtlb ltadd1dd eqcomi recnd
      cmin subaddd mpbii eqcomd addassd adddirp1d oveq2d adantl 3eqtrrd 3brtr4d
      oveq1 ltnled mpbid pm2.65da jca pm4.56 sylib condan ) AEFUAZFEUBQRZUAZEFU
      BQRZUAZUCZXCUDZAEFUEZXHEFUFAXJUGZEFUHUIZXHAXLXHXJAXLUGZXEXGXMBCDEFGABUJSZ
      XLHTACUJSZXLITABCUHUIZXLJTKAGUJSZXLLTAEUKSZXLMTAFUKSZXLNTAXLUNAGEDULRZQRZ
      BCUMRZSZXLABCUORZYBYABCUPZOUQZTAGFDULRZQRZYBSZXLAYDYBYHYEPUQZTURUSUTXKXLU
      DZUGZAFEUHUIZXHAXJYKVAZYLFEYLAFUJSYNAFNVEZVBYLAEUJSYNAEMVEZVBXJFEUEAYKXJE
      FXJVCVDVFXKYKUNVGAYMUGZXGXEYQBCDFEGAXNYMHTAXOYMITAXPYMJTKAXQYMLTAXSYMNTAX
      RYMMTAYMUNAYIYMYJTAYCYMYFTURVHVIVJVKAXIUGXEUDZXGUDZUGZXHUDAYTXIAYRYSAXEYH
      CVLUIZAUUAXEABVMSZCVMSZYHYDSZUUAABHVNZACIVNZPBCYHVOVPTAXEUGZCYHUHUIUUAUDU
      UGBDQRZYADQRZCYHUHUUGBYADAXNXEHTAYAUJSZXEAGXTLAEDYPADCBWERZUJKACBIHVQVRZV
      SZVTZTADUJSZXEUULTABYAUHUIZXEAUUBUUCYAYDSZUUPUUEUUFOBCYAWAVPTWBACUUHUAZXE
      AUUHCAUUKDUAUUHCUADUUKKWCACBDACIWDABHWDADUULWDZWFWGWHZTUUGUUIGXTDQRZQRZGX
      DDULRZQRZYHAUUIUVBUAXEAGXTDAGLWDZAXTUUMWDUUSWITAUVBUVDUAXEAUVAUVCGQAUVCUV
      AAEDAEYPWDUUSWJWHWKTXEUVDYHUAAXEUVCYGGQXEYGUVCFXDDULWOWHWKWLWMWNUUGCYHAXO
      XEITAYHUJSZXEAGYGLAFDYOUULVSZVTZTWPWQWRAXGYACVLUIZAUVIXGAUUBUUCUUQUVIUUEU
      UFOBCYAVOVPTAXGUGZCYAUHUIUVIUDUVJUUHYHDQRZCYAUHUVJBYHDAXNXGHTAUVFXGUVHTAU
      UOXGUULTABYHUHUIZXGAUUBUUCUUDUVLUUEUUFPBCYHWAVPTWBAUURXGUUTTUVJUVKGYGDQRZ
      QRZGXFDULRZQRZYAAUVKUVNUAXGAGYGDUVEAYGUVGWDUUSWITAUVNUVPUAXGAUVMUVOGQAUVO
      UVMAFDAFYOWDUUSWJWHWKTXGUVPYAUAAXGUVOXTGQXGXTUVOEXFDULWOWHWKWLWMWNUVJCYAA
      XOXGITAUUJXGUUNTWPWQWRWSTXEXGWTXAXB $.
  $}

  ${
    $d A f $.  $d F f $.  $d N f $.  $d f ph $.
    fourierdlem36.a $e |- ( ph -> A e. Fin ) $.
    fourierdlem36.assr $e |- ( ph -> A C_ RR ) $.
    fourierdlem36.f $e |- F = ( iota f f Isom < , < ( ( 0 ... N ) , A ) ) $.
    fourierdlem36.n $e |- N = ( ( # ` A ) - 1 ) $.
    $( ` F ` is an isomorphism.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem36 $p |- ( ph -> F Isom < , < ( ( 0 ... N ) , A ) ) $=
      ( cc0 cfz co clt wiso wcel weu c1 caddc cr syl cab cio chash cfv cmin wss
      cv wor ltso soss mpisyl 0zd eqid fzisoeu wceq wb cneg cfn cn0 hashcl 1cnd
      nn0cnd negsubd df-neg eqcomi oveq2i 3eqtr4g oveq2d isoeq4 eubidv eqeltrid
      mpbid iotacl cvv iotaex eqeltri isoeq1 elab sylib ) ADJEKLZBMMCUGZNZCUAZO
      VTBMMDNZADWBCUBZWCHAWBCPZWEWCOAJBUCUDZJQUELZRLZKLZBMMWANZCPWFACBJWIFABSUF
      SMUHBMUHGUIBSMUJUKAULWIUMUNAWKWBCAWJVTUOWKWBUPAWIEJKAWGQUQZRLWGQUELWIEAWG
      QAWGABUROWGUSOFBUTTVBAVAVCWHWLWGRWLWHQVDVEVFIVGVHWJBVTMMWAVITVJVLWBCVMTVK
      WBWDCDDWEVNHWBCVOVPVTBMMDWAVQVRVS $.
  $}

  ${
    $d A m p $.  $d A x y $.  $d B m p $.  $d B x y $.  $d E i $.  $d E y $.
    $d L i $.  $d M i m p $.  $d M i x $.  $d Q i p $.  $d T x $.  $d i ph x $.
    $d ph x y $.
    fourierdlem37.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem37.m $e |- ( ph -> M e. NN ) $.
    fourierdlem37.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem37.t $e |- T = ( B - A ) $.
    fourierdlem37.e $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( B - x ) / T ) )
       x. T ) ) ) $.
    fourierdlem37.l $e |- L = ( y e. ( A (,] B ) |-> if ( y = B , A , y ) ) $.
    fourierdlem37.i $e |- I = ( x e. RR |-> sup ( { i e. ( 0 ..^ M ) | ( Q ` i
       ) <_ ( L ` ( E ` x ) ) } , RR , < ) ) $.
    $( ` I ` is a function that maps any real point to the point that in the
       partition that immediately precedes the corresponding periodic point in
       the interval.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem37 $p |- ( ph -> ( I : RR --> ( 0 ..^ M ) /\ ( x e. RR -> sup (
       { i e. ( 0 ..^ M ) | ( Q ` i ) <_ ( L ` ( E ` x ) ) } , RR , < ) e. { i
       e. ( 0 ..^ M ) | ( Q ` i ) <_ ( L ` ( E ` x ) ) } ) ) ) $=
      ( cr cc0 cfzo co wf cv wcel cfv cle wbr crab clt csup wi wa ssrab2 wor c0
      cfn wne wss ltso a1i cfz fzfi fzossfz sstri ssfi mp2an cz 0zd nnzd nngt0d
      fzolb syl3anbrc adantr wceq cif c1 caddc wral cmap cn wb fourierdlem2 syl
      simprd simplld fourierdlem11 simp1d eqeltrd ad2antrr iftrue eqcomd adantl
      mpbid eqled breqtrd wn cioc cxr rexrd simp2d iocssre syl2anc fourierdlem4
      simp3d ffvelrnda sseldd elioc2 eqbrtrd ltled iffalse pm2.61dan cmpt eqeq1
      w3a ifbieq2d ifcld fvmptd breqtrrd fveq2 breq1d elrab sylanbrc ne0d fzssz
      id zssre fisupcl syl13anc sselid fmptd ex jca ) AUCUDNUEUFZLUGBUHZUCUIZIU
      HZGUJZYSKUJZMUJZUKULZIYRUMZUCUNUOZUUFUIZUPABUCUUGYRLAYTUQZUUFYRUUGUUEIYRU
      RZUUIUCUNUSZUUFVAUIZUUFUTVBUUFUCVCZUUHUUKUUIVDVEUULUUIUDNVFUFZVAUIUUFUUNV
      CUULUDNVGUUFYRUUNUUJUDNVHZVIUUNUUFVJVKVEUUIUUFUDUUIUDYRUIZUDGUJZUUDUKULZU
      DUUFUIAUUPYTAUDVLUINVLUIUDNUNULUUPAVMANQVNANQVOUDNVPVQVRUUIUUQUUCEVSZDUUC
      VTZUUDUKUUIUUSUUQUUTUKULUUIUUSUQUUQDUUTUKAUUQDUKULYTUUSAUUQDAUUQDUCAUUQDV
      SZNGUJEVSZUUBUUAWAWBUFGUJUNULIYRWCZAGUCUUNWDUFUIZUVAUVBUQUVCUQZAGNFUJUIZU
      VDUVEUQZRANWEUIUVFUVGWFQDEFGIJNOPWGWHWRWIWJZADUCUIZEUCUIZDEUNULZADEFGIJNO
      PQRWKZWLZWMZUVHWSWNUUSDUUTVSUUIUUSUUTDUUSDUUCWOWPWQWTUUIUUSXAZUQUUQUUCUUT
      UKUUIUUQUUCUKULUVOUUIUUQUUCAUUQUCUIYTUVNVRUUIDEXBUFZUCUUCUUIDXCUIZUVJUVPU
      CVCUUIDAUVIYTUVMVRZXDZAUVJYTAUVIUVJUVKUVLXEZVRZDEXFXGAUCUVPYSKABDEHKUVMUV
      TAUVIUVJUVKUVLXISTXHXJZXKZUUIUUQDUUCUNAUVAYTUVHVRUUIUUCUCUIZDUUCUNULZUUCE
      UKULZUUIUUCUVPUIZUWDUWEUWFXSZUWBUUIUVQUVJUWGUWHWFUVSUWADEUUCXLXGWRXEXMXNV
      RUVOUUCUUTVSUUIUVOUUTUUCUUSDUUCXOWPWQWTXPUUICUUCCUHZEVSZDUWIVTZUUTUVPMUCM
      CUVPUWKXQVSUUIUAVEUWIUUCVSZUWKUUTVSUUIUWLUWJUUSUWIUUCDUWIUUCEXRUWLYJXTWQU
      WBUUIUUSDUUCUCUVRUWCYAYBYCUUEUURIUDYRUUAUDVSUUBUUQUUDUKUUAUDGYDYEYFYGYHUU
      MUUIUUFYRUCUUJYRVLUCYRUUNVLUUOUDNYIVIYKVIVIVEUCUUFUNYLYMZYNUBYOAYTUUHUWMY
      PYQ $.
  $}

  ${
    $d F i x $.  $d M i n p $.  $d M i x $.  $d Q i p $.  $d Q i x $.
    $d i ph x $.
    fourierdlem38.cn $e |- ( ph -> F e. ( dom F -cn-> CC ) ) $.
    fourierdlem38.p $e |- P = ( n e. NN |-> { p e. ( RR ^m ( 0 ... n ) ) | ( (
       ( p ` 0 ) = -u _pi /\ ( p ` n ) = _pi ) /\ A. i e. ( 0 ..^ n ) ( p ` i )
       < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem38.m $e |- ( ph -> M e. NN ) $.
    fourierdlem38.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem38.h $e |- H = ( A u. ( ( -u _pi [,] _pi ) \ dom F ) ) $.
    fourierdlem38.ranq $e |- ( ph -> ran Q = H ) $.
    $( The function ` F ` is continuous on every interval induced by the
       partition ` Q ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem38 $p |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i ) (,)
       ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn-> CC
       ) ) $=
      ( vx co wcel cpi cv cc0 cfzo wa cfv c1 caddc cioo cdm wss ccncf cres wral
      cc wn simplr cneg cicc simplll ioossicc pire renegcli rexri fourierdlem15
      cxr a1i cfz adantr simpr fourierdlem8 sstrid sselda simpllr 3ad2ant1 cdif
      wf w3a cn cun crn simp2 simp3 eldifd elun2 syl wceq eqtr2di fourierdlem12
      eleqtrd syl31anc condan ralrimiva dfss3 sylibr rescncf sylc ) AEUAZUBIUCR
      SZUDZWQDUEZWQUFUGRDUEZUHRZGUIZUJZGXCUNUKRSZGXBULXBUNUKRSWSQUAZXCSZQXBUMXD
      WSXGQXBWSXFXBSZUDZXGXHWSXHXGUOZUPXIXJUDAXFTUQZTURRZSZXJWRXHUOAWRXHXJUSXIX
      MXJWSXBXLXFWSXBWTXAURRXLWTXAUTWSXKTDWQIXKVESWSXKTVAVBVCVFTVESWSTVAVCVFAUB
      IVGRXLDVPWRAXKTCDEFIJLMNVDVHAWRVIVJVKVLVHXIXJVIAWRXHXJVMAXMXJVQZXKTCDEFIX
      FJLAXMIVRSXJMVNAXMDICUESXJNVNXNXFBXLXCVOZVSZDVTZXNXFXOSXFXPSXNXFXLXCAXMXJ
      WAAXMXJWBWCXFXOBWDWEAXMXPXQWFXJAXQHXPPOWGVNWIWHWJWKWLQXBXCWMWNAXEWRKVHXCU
      NXBGWOWP $.
  $}

  ${
    $d A w x y z $.  $d B w x y z $.  $d F x y z $.  $d G w x y z $.
    $d R w x y z $.  $d ph x y z $.
    fourierdlem39.a $e |- ( ph -> A e. RR ) $.
    fourierdlem39.b $e |- ( ph -> B e. RR ) $.
    fourierdlem39.aleb $e |- ( ph -> A <_ B ) $.
    fourierdlem39.f $e |- ( ph -> F e. ( ( A [,] B ) -cn-> CC ) ) $.
    fourierdlem39.g $e |- G = ( RR _D F ) $.
    fourierdlem39.gcn $e |- ( ph -> G e. ( ( A (,) B ) -cn-> CC ) ) $.
    fourierdlem39.gbd $e |- ( ph -> E. y e. RR A. x e. ( A (,) B ) ( abs ` ( G
       ` x ) ) <_ y ) $.
    fourierdlem39.r $e |- ( ph -> R e. RR+ ) $.
    $( Integration by parts of
       ` S. ( A (,) B ) ( ( F `` x ) x. ( sin `` ( R x. x ) ) ) _d x `
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem39 $p |- ( ph -> S. ( A (,) B ) ( ( F ` x ) x. ( sin ` ( R x. x
       ) ) ) _d x = ( ( ( ( F ` B ) x. -u ( ( cos ` ( R x. B ) ) / R ) ) - ( (
       F ` A ) x. -u ( ( cos ` ( R x. A ) ) / R ) ) ) - S. ( A (,) B ) ( ( G `
       x ) x. -u ( ( cos ` ( R x. x ) ) / R ) ) _d x ) ) $=
      ( cfv co cc cr vz vw cv cmul ccos cdiv cneg csin cicc cmpt ccncf wf cncff
      wcel syl feqmptd eqcomd eqeltrd coscn a1i iccssred ax-resscn sstrdi rpred
      recnd wss ssid constcncfg idcncfg mulcncf cncfmpt1f cc0 csn cdif negcncfg
      divcncf cioo cvol cdm cle wbr wceq syl3anc eqid adantr ffvelrnd cabs wral
      wa wrex nfra1 rspa ex ralrimi reximdva mpd simpr adantl remulcld resincld
      elioore mulcld ralrimiva dmmptg eleqtrd ad4ant14 adantlr syl2anc c1 eqidd
      simplr fveq2 fveq2d oveq12d sselid sincld fvmptd absmuld abscld ad3antrrr
      oveq2 eqtrd 1red simpllr absge0d eqbrtrd mulid1d cnbdibl ffvelrnda coscld
      redivcld divcld negcld oveq1d negeqd oveq2d 3eqtrd cdv renegcld mpteq2dva
      wne rpcnne0d eldifsn sylibr difssd sincn ioosscn ioombl resubcld ioossicc
      cmin volioo sselda cncfmptssg cniccbdd wi sylan2 nfv nfan simpll adantllr
      sseli simplll abssinbd lemul2ad lemul1ad breqtrd syl21anc rpne0d ad2antrr
      0le1 letrd rprecred breq1d rspccva adantll absnegd rpge0d absidd abscosbd
      absdivd crp lemul12ad divrecd 3brtr4d syldan breq2 ralbidv rspcev r19.29a
      lediv1dd eqcomi crn ctg ctopn cpr reelprrecn recn recoscl resincl dvmptid
      ccnfld dvmptcmul dvcosre dvmptdivc dvmptneg tgioo2 cnt dvmptres2 mulneg1d
      dvmptco iccntr divnegd eqtr4d negnegd divcan4d itgparts ) ABBUCZGQZUXRHQZ
      FUXRUDRZUEQZFUFRZUGZUYAUHQZDGQZFDUDRZUEQZFUFRZUGZUDRZEGQZFEUDRZUEQZFUFRZU
      GZUDRZDEIJKABDEUIRZUXSUJZGUYRSUKRZAGUYSABUYRSGAGUYTUNZUYRSGULZLUYRSGUMUOZ
      UPUQZLURZABUYRUYCABUYBFUYRABUYAUEUYRUESSUKRZUNAUSUTZABFUXRUYRABUYRFSAUYRT
      SADEIJVAZVBVCZAFAFPVDZVEZSSVFASVGUTZVHABUYRSVUIVULVIVJVKABUYRFSVLVMZVNZVU
      IAFSUNZFVLUUAZWIFVUNUNAFPUUBFSVLUUCUUDZASVUMUUEZVHVPVOABDEVQRZUXTUJZHVUSS
      UKRZAHVUTABVUSSHAHVVAUNVUSSHULZNVUSSHUMUOZUPZUQNURZABUYAUHVUSUHVUFUNAUUFU
      TABFUXRVUSABVUSFSVUSSVFADEUUGZUTZVUKVULVHABVUSSVVGVULVIVJZVKZACUAVUSBVUSU
      XSUYEUDRZUJZVUSVRVSUNADEUUHUTZAVUSVRQZEDUUKRZTADTUNZETUNZDEVTWAVVMVVNWBIJ
      KDEUULWCAEDJIUUIURZABUXSUYEVUSABUYRSVUSSUXSUYSUYSWDVUEVUSUYRVFADEUUJZUTZV
      ULAUXRVUSUNZWIZUYRSUXRGAVUBVVTVUCWEAVUSUYRUXRVVSUUMWFZUUNVVIVJAUAUCZGQZWG
      QZCUCZVTWAZUAVUSWHZCTWJZVWCVVKQZWGQZVWFVTWAZUAVVKVSZWHZCTWJAVWGUAUYRWHZCT
      WJZVWIAVVOVVPVUAVWPIJLCUADEGUUOWCAVWOVWHCTVWOVWHUUPAVWFTUNZWIZVWOVWGUAVUS
      VWGUAUYRWKVWOVWCVUSUNZVWGVWSVWOVWCUYRUNVWGVUSUYRVWCVVRUVBVWGUAUYRWLUUQWMW
      NUTWOWPAVWHVWNCTVWRVWHVWNVWRVWHWIZVWLUAVWMVWRVWHUAVWRUAUURVWGUAVUSWKUUSVW
      TVWCVWMUNZVWLVWTVXAWIVWRVWSVWGVWLVWRVWHVXAUUTAVXAVWSVWQVWHAVXAWIVWCVWMVUS
      AVXAWQAVWMVUSWBZVXAAVVJSUNZBVUSWHVXBAVXCBVUSVWAUXSUYEVWBVWAUYEVWAUYAVWAFU
      XRAFTUNZVVTVUJWEVVTUXRTUNZAUXRDEXAZWRWSWTVEZXBXCBVUSVVJSXDUOWEXEZXFAVWHVX
      AVWGVWQAVWHWIVXAWIVWHVWSVWGAVWHVXAXKAVXAVWSVWHVXHXGVWGUAVUSWLXHUVAVWRVWSW
      IZVWGWIZVWKVWFXIUDRZVWFVTVXJVWKVWEFVWCUDRZUHQZWGQZUDRZVXKVTVXIVWKVXOWBZVW
      GAVWSVXPVWQAVWSWIZVWKVWDVXMUDRZWGQVXOVXQVWJVXRWGVXQBVWCVVJVXRVUSVVKSVXQVV
      KXJUXRVWCWBZVVJVXRWBVXQVXSUXSVWDUYEVXMUDUXRVWCGXLVXSUYAVXLUHUXRVWCFUDYAZX
      MXNWRAVWSWQZVXQVWDVXMVXQUYRSVWCGAVUBVWSVUCWEVXQVUSUYRVWCVVRVYAXOWFZVXQVXL
      VXQFVWCAVUOVWSVUKWEZVXQVUSSVWCVVFVYAXOZXBZXPZXBXQXMVXQVWDVXMVYBVYFXRYBXGW
      EVXJVXOVWEXIUDRZVXKVXJVWEVXNVXJVWDVXJAVWSVWDSUNAVWQVWSVWGUVCVWRVWSVWGXKZV
      YBXHXSZVXJVXMVXJVXLVXJFVWCAVUOVWQVWSVWGVUKXTVXJVUSSVWCVVFVYHXOXBXPXSWSVXJ
      VWEXIVYIVXJYCZWSVXJVWFXIAVWQVWSVWGYDZVYJWSVXIVXOVYGVTWAZVWGAVWSVYLVWQVXQV
      XNXIVWEVXQVXMVYFXSVXQYCZVXQVWDVYBXSVXQVWDVYBYEVXQVXLTUNZVXNXIVTWAVXQFVWCA
      VXDVWSVUJWEVWSVWCTUNAVWCDEXAWRWSZVXLUVDUOUVEXGWEVXJVWEVWFXIVYIVYKVYJVLXIV
      TWAVXJUVKUTVXIVWGWQUVFUVLYFVXJVWFVXJVWFVYKVEYGUVGUVHWMWNWMWOWPYHAUBUAVUSB
      VUSUXTUYDUDRZUJZVVLVVQABUXTUYDVUSVVEABVUSUYCABUYBFVUSABUYAUEVUSVUGVVHVKAB
      VUSFVUNVVGVUQVURVHVPVOVJAUXTWGQZVWFVTWAZBVUSWHZVWCVYQQZWGQZUBUCZVTWAZUAVY
      QVSZWHZUBTWJZCTVWRVYTWIZVWFFUFRZTUNZWUBWUIVTWAZUAWUEWHZWUGVWRWUJVYTVWRVWF
      FAVWQWQAVXDVWQVUJWEAVUPVWQAFPUVIZWEYKWEWUHWUKUAWUEWUHVWCWUEUNZVWSWUKAWUNV
      WSVWQVYTAWUNWIZVWCWUEVUSAWUNWQWUOVYPSUNZBVUSWHZWUEVUSWBAWUQWUNAWUPBVUSVWA
      UXTUYDAVUSSUXRHVVCYIVWAUYCVWAUYBFVWAUYAVWAFUXRAVUOVVTVUKWEZVVTUXRSUNZAVVT
      UXRVXFVEWRXBYJWURAVUPVVTWUMWEZYLYMXBXCWEBVUSVYPSXDUOXEXFWUHVWSWIZWUBVWCHQ
      ZVXLUEQZFUFRZUGZUDRZWGQZWUIVTAVWSWUBWVGWBVWQVYTVXQWUAWVFWGVXQBVWCVYPWVFVU
      SVYQSVXQVYQXJVXSVYPWVFWBVXQVXSUXTWVBUYDWVEUDUXRVWCHXLZVXSUYCWVDVXSUYBWVCF
      UFVXSUYAVXLUEVXTXMYNYOXNWRVYAVXQWVBWVEAVUSSVWCHVVCYIZVXQWVDVXQWVCFVXQVXLV
      YEYJZVYCAVUPVWSWUMWEZYLZYMZXBXQXMXFWVAWVBWGQZWVEWGQZUDRZVWFXIFUFRZUDRWVGW
      UIVTWVAWVNVWFWVOWVQWVAWVBWUHVUSSVWCHAVVBVWQVYTVVCUVJYIZXSAVWQVYTVWSYDZWVA
      WVEWVAWVDWVAWVCFWVAVXLWVAFVWCAVUOVWQVYTVWSVUKXTZAVWSVWCSUNVWQVYTVYDXFXBYJ
      WVTAVUPVWQVYTVWSWUMXTZYLYMZXSAWVQTUNVWQVYTVWSAFPUVMXTWVAWVBWVRYEWVAWVEWWB
      YEVYTVWSWVNVWFVTWAZVWRVYSWWCBVWCVUSVXSVYRWVNVWFVTVXSUXTWVBWGWVHXMUVNUVOUV
      PAVWSWVOWVQVTWAVWQVYTVXQWVOWVCWGQZFUFRZWVQVTVXQWVOWVDWGQWWDFWGQZUFRZWWEVX
      QWVDWVLUVQVXQWVCFWVJVYCWVKUWAAWWGWWEWBVWSAWWFFWWDUFAFVUJAFPUVRUVSYPWEYQVX
      QWWDXIFVXQWVCWVJXSVYMAFUWBUNVWSPWEVXQVYNWWDXIVTWAVYOVXLUVTUOUWKYFXFUWCAVW
      SWVGWVPWBVWQVYTVXQWVBWVEWVIWVMXRXFWVAVWFFWVAVWFWVSVEWVTWWAUWDUWEYFUWFXCWU
      FWULUBWUITWUCWUIWBWUDWUKUAWUEWUCWUIWUBVTUWGUWHUWIXHOUWJYHATUYSYRRTGYRRZHV
      UTAUYSGTYRVUDYPWWHHWBAHWWHMUWLUTVVDYQATBUYRUYDUJYRRBVUSUYEUGZFUDRZFUFRZUG
      ZUJBVUSUYEUJABUYDWWLTVQUWMUWNQZUXBUWOQZTTVUSUYRTTSUWPUNAUWQUTZAVXEWIZUYCW
      WPUYBFWWPUYAWWPFUXRAVUOVXEVUKWEZVXEWUSAUXRUWRWRZXBYJZWWQAVUPVXEWUMWEZYLZY
      MWWPWWKWWPWWJFWWPWWIFWWPUYEWWPUYAWWPFUXRAVXDVXEVUJWEZAVXEWQWSZWTYSWXBWSZW
      XBWWTYKZYSABUYCWWKTTTWWOWXAWXEABUYBWWJFTTTWWOWWSWXDABCUYAFVWFUEQZVWFUHQZU
      GZTTUYBWWITTTTWWOWWOWXCWXBVWRWXFVWQWXFTUNAVWFUWSWRVEVWQWXHTUNAVWQWXGVWFUW
      TYSWRATBTUYAUJYRRBTFXIUDRZUJBTFUJABUXRXIFTTTWWOWWRWWPYCABTWWOUXAVUKUXCABT
      WXIFWWPFWWQYGYTYBTCTWXFUJYRRCTWXHUJWBACUXDUTVWFUYAUEXLVWFUYAWBWXGUYEVWFUY
      AUHXLYOUXKVUKWUMUXEUXFVUHWWNWWNWDZUXGWXJAVVOVVPUYRWWMUXHQQVUSWBIJDEUXLXHU
      XIABVUSWWLUYEVWAWWLUYEFUDRZFUFRZUGZUGWXLUYEVWAWWKWXMVWAWWKWXKUGZFUFRWXMVW
      AWWJWXNFUFVWAUYEFVXGWURUXJYNVWAWXKFVWAUYEFVXGWURXBZWURWUTUXMUXNYOVWAWXLVW
      AWXKFWXOWURWUTYLUXOVWAUYEFVXGWURWUTUXPYQYTYBUXRDWBZUXSUYDUDRZUYKWBAWXPUXS
      UYFUYDUYJUDUXRDGXLWXPUYCUYIWXPUYBUYHFUFWXPUYAUYGUEUXRDFUDYAXMYNYOXNWRUXRE
      WBZWXQUYQWBAWXRUXSUYLUYDUYPUDUXREGXLWXRUYCUYOWXRUYBUYNFUFWXRUYAUYMUEUXREF
      UDYAXMYNYOXNWRUXQ $.
  $}

  ${
    $d A s $.  $d B s $.  $d F s $.  $d W s $.  $d X s $.  $d Y s $.
    $d ph s $.
    fourierdlem40.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem40.a $e |- ( ph -> A e. ( -u _pi [,] _pi ) ) $.
    fourierdlem40.b $e |- ( ph -> B e. ( -u _pi [,] _pi ) ) $.
    fourierdlem40.x $e |- ( ph -> X e. RR ) $.
    fourierdlem40.nxelab $e |- ( ph -> -. 0 e. ( A (,) B ) ) $.
    fourierdlem40.fcn $e |- ( ph -> ( F |` ( ( A + X ) (,) ( B + X ) ) ) e. ( (
       ( A + X ) (,) ( B + X ) ) -cn-> CC ) ) $.
    fourierdlem40.y $e |- ( ph -> Y e. RR ) $.
    fourierdlem40.w $e |- ( ph -> W e. RR ) $.
    fourierdlem40.h $e |- H = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 0 , (
       ( ( F ` ( X + s ) ) - if ( 0 < s , Y , W ) ) / s ) ) ) $.
    $( ` H ` is a continuous function on any partition interval.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem40 $p |- ( ph -> ( H |` ( A (,) B ) ) e. ( ( A (,) B ) -cn-> CC
       ) ) $=
      ( cc0 wcel cioo co cres cv caddc cfv clt wbr cmin c1 cdiv cmul cmpt ccncf
      cif cc cpi cneg cicc wceq reseq1i a1i wa cr pire renegcli adantl iccssred
      elioore sseldd adantr cle elicc2i simp2bi syl rexrd simpr ioogtlb syl3anc
      cxr lelttrd ltled iooltub simp3bi ltletrd eliccd ex ssrdv resmptd biimpac
      eleq1 adantll wn ad2antrr pm2.65da iffalsed wf readdcld ffvelrnd resubcld
      ifcld recnd neqned divrecd eqtrd mpteq2dva 3eqtrd negsubd eqcomd ltadd2dd
      addcomd eqbrtrd breqtrd eliood fvres ioosscn fourierdlem23 eqeltrd simplr
      0red adantlr iftrued negeqd renegcld ssid constcncfg ltnled mpbird condan
      wss ltnsymd negcld syldan pm2.61dan addcncf csn cdif eqid 1cnd cdivcncf
      velsn sylnibr eldifd ralrimiva dfss3 sylibr rereccld cncfmptssg mulcncf
      wral ) AEBCUAUBZUCZIUUKGIUDZUEUBZDUFZSUUMUGUHZHFUOZUIUBZUJUUMUKUBZULUBZUM
      ZUUKUPUNUBZAUULIUQURZUQUSUBZUUMSUTZSUURUUMUKUBZUOZUMZUUKUCZIUUKUVGUMUVAUU
      LUVIUTAEUVHUUKRVAVBAIUVDUUKUVGAIUUKUVDAUUMUUKTZUUMUVDTAUVJVCZUVCUQUUMUVCV
      DTZUVKUQVEVFZVBZUQVDTZUVKVEVBZUVJUUMVDTZAUUMBCVIZVGZUVKUVCUUMUVNUVSUVKUVC
      BUUMUVNABVDTZUVJAUVDVDBAUVCUQUVLAUVMVBUVOAVEVBVHZKVJZVKZUVSAUVCBVLUHZUVJA
      BUVDTZUWDKUWEUVTUWDBUQVLUHUVCUQBUVMVEVMVNVOVKUVKBVTTZCVTTZUVJBUUMUGUHZUVK
      BUWCVPZAUWGUVJACAUVDVDCUWALVJZVPZVKZAUVJVQZBCUUMVRVSZWAWBUVKUUMUQUVSUVPUV
      KUUMCUQUVSACVDTZUVJUWJVKZUVPUVKUWFUWGUVJUUMCUGUHZUWIUWLUWMBCUUMWCVSZACUQV
      LUHZUVJACUVDTZUWSLUWTUWOUVCCVLUHUWSUVCUQCUVMVEVMWDVOVKWEWBWFWGWHWIAIUUKUV
      GUUTUVKUVGUVFUUTUVKUVESUVFUVKUVESUUKTZUVJUVEUXAAUVEUVJUXAUUMSUUKWKWJWLAUX
      AWMZUVJUVENWNWOZWPUVKUURUUMUVKUURUVKUUOUUQUVKVDVDUUNDAVDVDDWQUVJJVKUVKGUU
      MAGVDTUVJMVKZUVSWRZWSZAUUQVDTUVJAUUPHFVDPQXAVKZWTXBUVKUUMUVSXBZUVKUUMSUXC
      XCZXDXEXFXGAIUURUUSUUKAIUUKUURUMIUUKUUOUUQURZUEUBZUMUVBAIUUKUURUXKUVKUXKU
      URUVKUUOUUQUVKUUOUXFXBUVKUUQUXGXBXHXIXFAIUUOUXJUUKAIUUKUUOUMIUUKUUNDBGUEU
      BZCGUEUBZUAUBZUCZUFZUMUVBAIUUKUUOUXPUVKUXPUUOUVKUUNUXNTUXPUUOUTUVKUXLUXMU
      UNAUXLVTTUVJAUXLABGUWBMWRVPVKAUXMVTTUVJAUXMACGUWJMWRVPVKUXEUVKUXLGBUEUBZU
      UNUGAUXLUXQUTUVJABGABUWBXBAGMXBZXKVKUVKBUUMGUWCUVSUXDUWNXJXLUVKUUNGCUEUBZ
      UXMUGUVKUUMCGUVSUWPUXDUWRXJAUXSUXMUTUVJAGCUXRACUWJXBXKVKXMXNZUUNUXNDXOVOX
      IXFAUXNUUKUXOGIUXNUPYJAUXLUXMXPVBOUUKUPYJABCXPVBZUXRUXTXQXRASBVLUHZIUUKUX
      JUMZUVBTZAUYBVCZUYCIUUKHURZUMZUVBUYEIUUKUXJUYFUYEUVJVCZUUQHUYHUUPHFUYHSBU
      UMUYHXTAUVTUYBUVJUWBWNUVJUVQUYEUVRVGAUYBUVJXSAUVJUWHUYBUWNYAWAYBYCXFAUYGU
      VBTUYBAIUUKUYFUPUYAAUYFAHPYDXBUPUPYJAUPYEVBZYFVKXRAUYBWMZCSVLUHZUYDAUYJVC
      ZUYKUXAUYLUYKWMZVCZBCSAUWFUYJUYMABUWBVPWNAUWGUYJUYMUWKWNUYNXTUYLBSUGUHZUY
      MUYLUYOUYJAUYJVQUYLBSAUVTUYJUWBVKUYLXTYGYHVKAUYMSCUGUHZUYJAUYMVCZUYPUYMAU
      YMVQUYQSCUYQXTAUWOUYMUWJVKYGYHYAXNAUXBUYJUYMNWNYIAUYKVCZUYCIUUKFURZUMZUVB
      UYRIUUKUXJUYSUYRUVJVCZUUQFVUAUUPHFVUAUUMSUVJUVQUYRUVRVGZVUAXTZVUAUUMCSVUB
      AUWOUYKUVJUWJWNVUCAUVJUWQUYKUWRYAAUYKUVJXSWEYKWPYCXFAUYTUVBTUYKAIUUKUYSUP
      UYAAFAFQXBYLUYIYFVKXRYMYNYOXRAIUPSYPZYQZUPUUKUPUUSIVUEUUSUMZVUFYRZAUJUPTV
      UFVUEUPUNUBTAYSIUJVUFVUGYTVOAUUMVUETZIUUKUUJUUKVUEYJAVUHIUUKUVKUUMUPVUDUX
      HUVKUVEUUMVUDTUXCISUUAUUBUUCUUDIUUKVUEUUEUUFUYIUVKUUSUVKUUMUVSUXIUUGXBUUH
      UUIXR $.
  $}

  ${
    $d A m p $.  $d A x $.  $d B i j k $.  $d B i m p $.  $d B k x y $.
    $d D i k y $.  $d D k x y $.  $d E i j k $.  $d E i k y $.  $d M i j k $.
    $d M i m p $.  $d M i k y $.  $d Q i j k $.  $d Q i p $.  $d Q i k y $.
    $d T k x y $.  $d X i j k $.  $d X k x y $.  $d Z k x y $.  $d i j k ph $.
    $d ph x y $.
    fourierdlem41.a $e |- ( ph -> A e. RR ) $.
    fourierdlem41.b $e |- ( ph -> B e. RR ) $.
    fourierdlem41.altb $e |- ( ph -> A < B ) $.
    fourierdlem41.t $e |- T = ( B - A ) $.
    fourierdlem41.dper $e |- ( ( ph /\ x e. D /\ k e. ZZ ) -> ( x + ( k x. T )
       ) e. D ) $.
    fourierdlem41.x $e |- ( ph -> X e. RR ) $.
    fourierdlem41.z $e |- Z = ( x e. RR |-> ( ( |_ ` ( ( B - x ) / T ) ) x. T )
       ) $.
    fourierdlem41.e $e |- E = ( x e. RR |-> ( x + ( Z ` x ) ) ) $.
    fourierdlem41.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem41.m $e |- ( ph -> M e. NN ) $.
    fourierdlem41.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem41.qssd $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( ( Q ` i ) (,) (
       Q ` ( i + 1 ) ) ) C_ D ) $.
    $( Lemma used to prove that every real is a limit point for the domain of
       the derivative of the periodic function to be approximated.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem41 $p |- ( ph -> ( E. y e. RR ( y < X /\ ( y (,) X ) C_ D ) /\
       E. y e. RR ( X < y /\ ( X (,) y ) C_ D ) ) ) $=
      ( vj cv clt wbr cioo co wss wa cr wrex cfv caddc cioc wcel cc0 wceq simpr
      c1 wb wf wral syl mpbid adantr wi w3a cmin cz cle 3ad2ant2 wn zred mpbird
      eqcomd fveq2 syl2anc 3adantl3 wne cxr cdiv cfl cmul cmpt resubcld breqtrd
      rexrd flcld oveq2d eqtrd ffvelrnd syl3anc syl3anbrc 3ad2ant1 recnd fveq2d
      adantl eqeltrd 3adant3 id oveq12d oveq2 oveq1d readdcld ovex eleq1 anbi2d
      a1i oveq1 breq12d imbi12d vtocl simp3 rspcev rexlimdv mpd ltsub1dd pncand
      3exp cneg elioore 3eqtrrd sylan2 ad2antrr ioogtlb iooltub ltadd1dd eleq1d
      3ad2antl1 sseq1d eqbrtrd adantlr cfzo crn cfz cmap cn fourierdlem2 simpld
      wfn elmapi ffn 3syl fvelrnb cuz 0zd elfzelz zsubcld simpll elfzle1 anim1i
      1zzd 0red eqleltd adantll simprld sylan9eqr fourierdlem4 eqeltrid posdifd
      eqid eqcomi gtned redivcld remulcld fvmpt2 feq1d iocgtlb eqnetrd 3adantl2
      mpteq2dva neneqd condan zltlem1 eluz2 elfzel2 1red elfzle2 ltletrd elfzo2
      ltm1d ltled elfzd 1cnd npcand fvmptd simp1 simprrd r19.21bi leidd 3adant2
      ffvelrnda eliocd eleq2d crab csup iocssicc simprd eleqtrrd sselid cbvrabv
      cicc breq1d supeq1i fourierdlem25 ioossioc sseld reximdva elfzofz fzofzp1
      pm2.61dan mulneg1d negsubd simpl1 ltsubaddd iocleub eliood sseldd znegcld
      negex 3anbi3d 3anbi2d ralrimiva dfss3 sylibr anbi12d syl12anc nnzd nnge1d
      breq1 0le1 oveq2i pncan3d 3eqtr4rd nnncan2d nngt0d fzolb 0re vtoclg ax-mp
      fveq2i negeqd mulid2d adddird negsubdid 3eqtr4d eqsstrd subaddd sylan9req
      mpdan 0p1e1 negcld addsubassd subsub23d ltaddsubd peano2zd cico 3ad2antl3
      breq2 simp2 3eqtrd neneq ad2antlr pm2.65da neqned leneltd sylanbrc simp1l
      elfzfzo 3adant1r 3ad2ant3 chvarvv elicod ioossico icoltub icogelb lelttrd
      ex cc pm2.61dane jca ) ACUKZOULUMZVWJOUNUOZFUPZUQZCURUSZOVWJULUMZOVWJUNUO
      ZFUPZUQZCURUSZAOMUTZJUKZHUTZVXBVGVAUOZHUTZVBUOZVCZJVDNUUAUOZUSZVWOAVXAHUU
      BVCZVXIAVXJUQZUJUKZHUTZVXAVEZUJVDNUUCUOZUSZVXIVXKVXJVXPAVXJVFVXKHVXOUUHZV
      XJVXPVHAVXQVXJAHURVXOUUDUOVCZVXOURHVIZVXQAVXRVDHUTZDVEZNHUTZEVEZUQZVXCVXE
      ULUMZJVXHVJZUQZAHNGUTVCZVXRVYGUQZUHANUUEVCZVYHVYIVHUGDEGHJLNQUFUUFVKVLZUU
      GZHURVXOUUIZVXOURHUUJUUKVMUJVXOVXAHUULVKVLZVXKVXNVXIUJVXOAVXLVXOVCZVXNVXI
      VNVNVXJAVYOVXNVXIAVYOVXNVOZVXLVGVPUOZVXHVCZVXAVYQHUTZVYQVGVAUOZHUTZVBUOZV
      CZVXIVYPVYQVDUUMUTVCZNVQVCZVYQNULUMZVYRVYPVDVQVCZVYQVQVCVDVYQVRUMZWUDVYPU
      UNZVYPVXLVGVYOAVXLVQVCZVXNVXLVDNUUOZVSZVYPUUTUUPZVYPVDVXLULUMZWUHVYPWUNVX
      MDVEZAVYOWUNVTZWUOVXNAVYOUQZWUPUQAVXLVDVEZWUOAVYOWUPUUQVYOWUPWURAVYOWUPUQ
      ZVDVXLWUSVDVXLVEVDVXLVRUMZWUPUQVYOWUTWUPVXLVDNUURUUSWUSVDVXLWUSUVAVYOVXLU
      RVCZWUPVYOVXLWUKWAZVMUVBWBWCUVCWURAVXMVXTDVXLVDHWDAVYAVYCAVXRVYDVYFVYKUVD
      ZUUGZUVEWEWFVYPWUPUQVXMDAVXNWUPVXMDWGZVYOAVXNUQZWVEWUPWVFVXMVXADAVXNVFZAV
      XADWGVXNADVXARADWHVCEWHVCVXADEVBUOZVCDVXAULUMADRWOZAESWOAURWVHOMAURWVHMVI
      URWVHBURBUKZEWVJVPUOZIWIUOZWJUTZIWKUOZVAUOZWLZVIABDEIWVPRSTUAWVPUVIUVFAUR
      WVHMWVPAMBURWVJWVJPUTZVAUOZWLZWVPMWVSVEAUEXPZABURWVRWVOAWVJURVCZUQZWVQWVN
      WVJVAWWBWWAWVNURVCWVQWVNVEAWWAVFZWWBWVMIWWBWVMWWBWVLWWBWVKIWWBEWVJAEURVCW
      WASVMWWCWMAIURVCWWAAIEDVPUOZURUAAEDSRWMUVGZVMZAIVDWGWWAAVDIAUVAAVDWWDIULA
      DEULUMVDWWDULUMTADERSUVHVLWWDIVEZAIWWDUAUVJXPZWNUVKZVMUVLWPWAWWFUVMBURWVN
      URPUDUVNWEWQUVSWRUVOWBUCWSZDEVXAUVPWTUVKVMUVQVMUVRUVTUWAVYPWUGWUJWUNWUHVH
      WUIWULVDVXLUWBWEVLZVDVYQUWCXAVYOAWUEVXNVXLVDNUWDZVSZVYOAWUFVXNVYOVYQVXLNV
      YOVXLVGWVBVYOUWEWMZWVBVYONWWLWAZVYOVXLWVBUWIVXLVDNUWFZUWGZVSVYQVDNUWHXAZV
      YPVYSWUAVXAVYPVYSVYPVXOURVYQHAVYOVXSVXNAVXRVXSVYLVYMVKZXBVYPVYQVDNWUIWWMW
      UMWWKVYOAVYQNVRUMVXNVYOVYQNWWNWWOWWQUWJVSUWKWSWOAVYOWUAWHVCVXNWUQWUAVXMWH
      VYOWUAVXMVEZAVYOVYTVXLHVYOVXLVGVYOVXLWVBXCVYOUWLUWMZXDZXEWUQVXMAVXOURVXLH
      WWSUWTWOZXFXGAVYOVXAWHVCZVXNAVXAAVXAOOPUTZVAUOZURABOWVRWXFURMURWVTWVJOVEZ
      WVRWXFVEAWXGWVJOWVQWXEVAWXGXHWVJOPWDXIXEUCAOWXEUCAWXEEOVPUOZIWIUOZWJUTZIW
      KUOZURABOWVNWXKURPURPBURWVNWLVEAUDXPWXGWVNWXKVEAWXGWVMWXJIWKWXGWVLWXIWJWX
      GWVKWXHIWIWVJOEVPXJXKXDXKXEUCAWXJIAWXJAWXIAWXHIAEOSUCWMZWWEWWIUVLZWPZWAZW
      WEUVMZUWNZWXPXFZXLZUWNZWXSXFZWOXBZVYPVYSVXMVXAULVYPVYSWUAVXMULVYPAVYRVYSW
      UAULUMZAVYOVXNUWOWWRAVXBVXHVCZUQZVYEVNZAVYRUQZWYCVNJVYQVXLVGVPXMVXBVYQVEZ
      WYEWYGVYEWYCWYHWYDVYRAVXBVYQVXHXNXOWYHVXCVYSVXEWUAULVXBVYQHWDZWYHVXDVYTHV
      XBVYQVGVAXQXDZXRXSAVYEJVXHAVXRVYDVYFVYKUWPUWQZXTWEVYOAWWTVXNWXBVSWNAVYOVX
      NYAWNVYPVXAVXMWUAVRAVXNVXAVXMVRUMVYOWVFVXAVXAVXMVRAVXAVXAVRUMVXNAVXAWYAUW
      RVMZWVFVXMVXAWVGWCWNUWSVYOAVXMWUAVEVXNVYOVXLVYTHVYOVYTVXLWXAWCXDVSWNUXAVX
      GWUCJVYQVXHWYHVXFWUBVXAWYHVXCVYSVXEWUAVBWYIWYJXIUXBYBWEYGVMYCYDAVXJVTZUQZ
      VXAVXCVXEUNUOZVCZJVXHUSZVXIWYNVXAHJUJKUKZHUTZVXAULUMZKVXHUXCZURULUXDNAVYJ
      WYMUGVMAVXSWYMWWSVMAVXAVXTVYBUXJUOZVCWYMAVXTVYBVBUOZXUBVXAVXTVYBUXEAVXAWV
      HXUCWWJAVXTDVYBEVBWVDAVYAVYCWVCUXFZXIUXGUXHVMAWYMVFURXUAVXMVXAULUMZUJVXHU
      XCULWYTXUEKUJVXHWYRVXLVEWYSVXMVXAULWYRVXLHWDUXKUXIUXLUXMZWYNWYPVXGJVXHWYN
      WYDUQZWYOVXFVXAWYOVXFUPXUGVXCVXEUXNXPUXOUXPYDUXSAVXGVWOJVXHAWYDVXGVWOAWYD
      VXGVOZVXCWXEVPUOZURVCXUIOULUMZXUIOUNUOZFUPZVWOXUHVXCWXEAWYDVXCURVCZVXGWYE
      VXOURVXBHAVXSWYDWWSVMZWYDVXBVXOVCAVXBVDNUXQXEWSZXGZAWYDWXEURVCZVXGWXRXBZW
      MXUHXUIVXAWXEVPUOZOULXUHVXCVXAWXEXUPAWYDVXAURVCZVXGWYAXBXURXUHVXCWHVCZVXE
      WHVCZVXGVXCVXAULUMXUHVXCXUPWOZAWYDXVBVXGWYEVXEWYEVXOURVXDHXUNWYDVXDVXOVCA
      VDNVXBUXRXEWSZWOZXGZAWYDVXGYAZVXCVXEVXAUVPWTYEAWYDXUSOVEZVXGAXUSWXFWXEVPU
      OOAVXAWXFWXEVPWXTXKAOWXEAOUCXCZAWXEWXRXCZYFWRZXBWNXUHVWJFVCZCXUKVJXULXUHX
      VLCXUKXUHVWJXUKVCZUQZVWJVWJWXEVAUOZWXJYHZIWKUOZVAUOZFAWYDXVMVWJXVRVEZVXGX
      VMAVWJURVCZXVSVWJXUIOYIZAXVTUQZXVRVWJWXKVAUOZWXKYHZVAUOZXWCWXKVPUOVWJAXVR
      XWEVEXVTAXVOXWCXVQXWDVAAWXEWXKVWJVAWXQWQAWXJIAWXJWXOXCZAIWWEXCZUXTZXIVMXW
      BXWCWXKXWBXWCXWBVWJWXKAXVTVFZAWXKURVCXVTWXPVMZXLXCXWBWXKXWJXCZUYAXWBVWJWX
      KXWBVWJXWIXCZXWKYFYJZYKYQXVNAXVOFVCZXVPVQVCZXVRFVCZAWYDVXGXVMUYBZXVNWYOFX
      VOXUHWYOFUPZXVMAWYDXWRVXGUIXGVMXVNVXCVXEXVOXUHXVAXVMXVCVMXUHXVBXVMXVFVMAW
      YDXVMXVOURVCZVXGAXVMUQVWJWXEXVMXVTAXWAXEAXUQXVMWXRVMXLYQZAWYDXVMVXCXVOULU
      MZVXGWYEXVMUQZXUIVWJULUMZXXAXXBXUIWHVCZOWHVCZXVMXXCWYEXXDXVMWYEXUIWYEVXCW
      XEXUOAXUQWYDWXRVMZWMWOVMZAXXEWYDXVMAOUCWOZYLZWYEXVMVFZXUIOVWJYMWTXXBVXCWX
      EVWJWYEXUMXVMXUOVMAXUQWYDXVMWXRYLZXVMXVTWYEXWAXEZUYCVLWFXVNXVOVXAVXEXWTXV
      NAXUTXWQWYAVKAWYDXVMVXEURVCZVXGWYEXXMXVMXVDVMWFAWYDXVMXVOVXAULUMVXGXXBXVO
      WXFVXAULXXBVWJOWXEXXLAOURVCZWYDXVMUCYLXXKXXBXXDXXEXVMVWKXXGXXIXXJXUIOVWJY
      NWTYOAWXFVXAVEZWYDXVMAVXAWXFWXTWCZYLWNWFXUHVXAVXEVRUMZXVMXUHXVAXVBVXGXXQX
      VCXVFXVGVXCVXEVXAUYDWTVMUWGUYEUYFXVNWXJXVNWXIXVNAWXIURVCXWQWXMVKWPUYGAXWN
      WYRVQVCZVOZXVOWYRIWKUOZVAUOZFVCZVNZAXWNXWOVOZXWPVNKXVPWXJUYHWYRXVPVEZXXSX
      YDXYBXWPXYEXXRXWOAXWNWYRXVPVQXNUYIXYEXYAXVRFXYEXXTXVQXVOVAWYRXVPIWKXQWQYP
      XSAWVJFVCZXXRVOZWVJXXTVAUOZFVCZVNZXYCBXVOVWJWXEVAXMWVJXVOVEZXYGXXSXYIXYBX
      YKXYFXWNAXXRWVJXVOFXNUYJXYKXYHXYAFWVJXVOXXTVAXQYPXSUBXTXTZWTXFUYKCXUKFUYL
      UYMVWNXUJXULUQCXUIURVWJXUIVEZVWKXUJVWMXULVWJXUIOULUYRXYMVWLXUKFVWJXUIOUNX
      QYRUYNYBUYOYGYCYDAVWTVXAEAVXAEVEZUQZVGHUTZWXEIVPUOZVPUOZURVCZOXYRULUMZOXY
      RUNUOZFUPZVWTAXYSXYNAXYPXYQAVXOURVGHWWSAVGVDNAUUNZANUGUYPZAUUTVDVGVRUMAUY
      SXPANUGUYQUWKWSZAWXEIWXRWWEWMZWMZVMXYOOVXTXYQVPUOZXYRULXYOYUHVXAIVPUOZXYQ
      VPUOZXUSOXYOVXTYUIXYQVPXYODIVAUOZIVPUOZDYUIVXTAYULDVEXYNADIADRXCZXWGYFVMX
      YOVXAYUKIVPXYOYUKDWWDVAUOZEVXAYUKYUNVEXYOIWWDDVAUAUYTXPAYUNEVEXYNADEYUMAE
      SXCZVUAVMXYNEVXAVEAXYNVXAEXYNXHWCXEYJXKAVYAXYNWVDVMVUBXKAYUJXUSVEXYNAVXAW
      XEIAVXAWYAXCZXVJXWGVUCVMAXVHXYNXVKVMYJAYUHXYRULUMXYNAVXTXYPXYQAVXTDURWVDR
      XFYUEYUFAVXTVDVGVAUOZHUTZXYPULAVDVXHVCZVXTYURULUMZAWUGWUEVDNULUMYUSYUCYUD
      ANUGVUDVDNVUEXAZVDURVCZAYUSUQZYUTVNZVUFWYFYVDJVDURVXBVDVEZWYEYVCVYEYUTYVE
      WYDYUSAVXBVDVXHXNXOZYVEVXCVXTVXEYURULVXBVDHWDZYVEVXDYUQHVXBVDVGVAXQXDZXRX
      SWYKVUGVUHVURYURXYPVEAYUQVGHVUSVUIXPZWNYEVMYSXYOXVLCYUAVJYUBXYOXVLCYUAXYO
      VWJYUAVCZUQZVWJVWJXYQVAUOZXVPVGVAUOZIWKUOZVAUOZFAYVJVWJYVOVEZXYNYVJAXVTYV
      PVWJOXYRYIZXWBYVOYVLXYQYHZVAUOZYVLXYQVPUOVWJAYVOYVSVEXVTAYVNYVRYVLVAAXVQV
      GIWKUOZVAUOWXEYHZIVAUOYVNYVRAXVQYWAYVTIVAAXVQXWDYWAXWHAWXKWXEAWXEWXKWXQWC
      VUJWRAIXWGVUKXIAXVPVGIAWXJXWFVUTAUWLXWGVULAWXEIXVJXWGVUMVUNWQVMXWBYVLXYQX
      WBYVLXWBVWJXYQXWIAXYQURVCZXVTYUFVMZXLZXCXWBXYQYWCXCZUYAXWBVWJXYQXWLYWEYFY
      JYKYTYVKAYVLFVCZYVMVQVCZYVOFVCZAXYNYVJUUQYVKVXTXYPUNUOZFYVLAYWIFUPXYNYVJA
      YWIVXTYURUNUOZFAXYPYURVXTUNAYURXYPYVIWCWQAYUSYWJFUPZYVAYVBYVCYWKVNZVUFWYE
      XWRVNYWLJVDURYVEWYEYVCXWRYWKYVFYVEWYOYWJFYVEVXCVXTVXEYURUNYVGYVHXIYRXSUIV
      UGVUHVURVUOYLYVKVXTXYPYVLAVXTWHVCXYNYVJAVXTDWHWVDWVIXFYLAXYPWHVCXYNYVJAXY
      PYUEWOYLAYVJYVLURVCZXYNYVJAXVTYWMYVQYWDYKYTYVKVXTOXYQVAUOZYVLULXYOVXTYWNV
      EYVJXYOYWNOWXHIVPUOZVAUOZOWXHVAUOZIVPUOZVXTXYOXYQYWOOVAXYOWXEWXHIVPAXYNWX
      EVXAOVPUOZWXHAYWSWXEVEXXOXXPAVXAOWXEYUPXVIXVJVUPWBVXAEOVPXQVUQXKWQAYWPYWR
      VEXYNAYWRYWPAOWXHIXVIAWXHWXLXCXWGVVAWCVMAYWRVXTVEXYNAEIVPUOZDYWRVXTAYWTDV
      EWWGWWHAEIDYUOXWGYUMVVBWBAYWQEIVPAOEXVIYUOVUAXKWVDVUNVMYJVMAYVJYWNYVLULUM
      XYNAYVJUQZOVWJXYQAXXNYVJUCVMYVJXVTAYVQXEZAYWBYVJYUFVMZYXAXXEXYRWHVCZYVJVW
      PAXXEYVJXXHVMZAYXDYVJAXYRYUGWOVMZAYVJVFZOXYRVWJYMWTYOYTYSAYVJYVLXYPULUMZX
      YNYXAYXHVWJXYRULUMZYXAXXEYXDYVJYXIYXEYXFYXGOXYRVWJYNWTYXAVWJXYQXYPYXBYXCA
      XYPURVCYVJYUEVMVVCWBYTUYEUYFAYWGXYNYVJAXVPAWXJWXNUYGZVVDYLAYWFXXRVOZYVLXX
      TVAUOZFVCZVNZAYWFYWGVOZYWHVNKYVMXVPVGVAXMWYRYVMVEZYXKYXOYXMYWHYXPXXRYWGAY
      WFWYRYVMVQXNUYIYXPYXLYVOFYXPXXTYVNYVLVAWYRYVMIWKXQWQYPXSXYJYXNBYVLVWJXYQV
      AXMWVJYVLVEZXYGYXKXYIYXMYXQXYFYWFAXXRWVJYVLFXNUYJYXQXYHYXLFWVJYVLXXTVAXQY
      PXSUBXTXTWTXFUYKCYUAFUYLUYMVWSXYTYUBUQCXYRURVWJXYRVEZVWPXYTVWRYUBVWJXYROU
      LVVGYXRVWQYUAFVWJXYROUNXJYRUYNYBUYOAVXAEWGZUQZVXAVXCVXEVVEUOZVCZJVXHUSZVW
      TYXTVXJYYCYXTVXJUQZVXPYYCAVXJVXPYXSVYNYTYYDVXNYYCUJVXOYXTVYOVXNYYCVNVNVXJ
      YXTVYOVXNYYCYXTVYOVXNVOZVXLVXHVCZVXAVXMVXLVGVAUOZHUTZVVEUOZVCZYYCYYEVYOVX
      LNULUMYYFYXTVYOVXNVVHYYEVXLNVYOYXTWVAVXNWVBVSVYOYXTNURVCVXNWWOVSVYOYXTVXL
      NVRUMVXNWWPVSYYENVXLYYENVXLVEZXYNYYEYYKUQVXAVXMVYBEVXNYXTYYKVXAVXMVEZVYOV
      XNYYLYYKVXNVXMVXAVXNXHWCZVMVVFYYKVXMVYBVEYYEYYKVYBVXMNVXLHWDWCXEYXTVYOYYK
      VYCVXNAVYCYXSYYKXUDYLYQVVIYXTVYOYYKXYNVTZVXNYXSYYNAYYKVXAEVVJVVKYQVVLVVMV
      VNVXLVDNVVQVVOZYYEVXMYYHVXAYXTVYOVXMWHVCZVXNAVYOYYPYXSWXCYTXGYYEAYYFYYHWH
      VCAYXSVYOVXNVVPZYYOAYYFUQZYYHYYRVXOURYYGHAVXSYYFWWSVMYYFYYGVXOVCAVDNVXLUX
      RXEWSWOWEAVYOVXNWXDYXSWYBVVRYXTVXNVXMVXAVRUMZVYOAVXNYYSYXSWVFVXMVXAVXAVRW
      VGWYLYSYTUWSYYEVXAVXMYYHULVXNYXTYYLVYOYYMVVSYYEAYYFVXMYYHULUMZYYQYYOWYFYY
      RYYTVNJUJVXBVXLVEZWYEYYRVYEYYTUUUAWYDYYFAVXBVXLVXHXNXOUUUAVXCVXMVXEYYHULV
      XBVXLHWDZUUUAVXDYYGHVXBVXLVGVAXQXDZXRXSWYKVVTWEYSVWAYYBYYJJVXLVXHUUUAYYAY
      YIVXAUUUAVXCVXMVXEYYHVVEUUUBUUUCXIUXBYBWEYGVMYCYDAWYMYYCYXSWYNWYQYYCXUFWY
      NWYPYYBJVXHAWYDWYPYYBVNWYMWYEWYPYYBWYEWYPUQWYOYYAVXAVXCVXEVWBWYEWYPVFUXHV
      WFYTUXPYDYTUXSYXTYYBVWTJVXHAWYDYYBVWTVNVNYXSAWYDYYBVWTAWYDYYBVOZVXEWXEVPU
      OZURVCZOUUUEULUMZOUUUEUNUOZFUPZVWTAWYDUUUFYYBWYEVXEWXEXVDXXFWMZXGUUUDOXUS
      UUUEULAWYDOXUSVEYYBAXUSOXVKWCXBUUUDVXAVXEWXEAWYDXUTYYBWYAXBAWYDXXMYYBXVDX
      GAWYDXUQYYBWXRXBUUUDXVAXVBYYBVXAVXEULUMAWYDXVAYYBWYEVXCXUOWOXGZAWYDXVBYYB
      XVEXGZAWYDYYBYAZVXCVXEVXAVWCWTYEYSUUUDXVLCUUUHVJUUUIUUUDXVLCUUUHUUUDVWJUU
      UHVCZUQZVWJXVRFAWYDUUUNXVSYYBUUUNAXVTXVSVWJOUUUEYIZXWMYKYQUUUOAXWNXWOXWPA
      WYDYYBUUUNUYBZUUUOWYOFXVOUUUDXWRUUUNAWYDXWRYYBUIXGVMUUUOVXCVXEXVOUUUDXVAU
      UUNUUUKVMUUUDXVBUUUNUUULVMAWYDUUUNXWSYYBAUUUNUQVWJWXEUUUNXVTAUUUPXEAXUQUU
      UNWXRVMXLYQZUUUOVXCVXAXVOUUUDXUMUUUNAWYDXUMYYBXUOXGVMUUUOAXUTUUUQWYAVKUUU
      RUUUDVXCVXAVRUMZUUUNUUUDXVAXVBYYBUUUSUUUKUUULUUUMVXCVXEVXAVWDWTVMAWYDUUUN
      VXAXVOULUMYYBWYEUUUNUQZVXAWXFXVOULAVXAWXFVEWYDUUUNWXTYLUUUTOVWJWXEAXXNWYD
      UUUNUCYLUUUNXVTWYEUUUPXEZAXUQWYDUUUNWXRYLZUUUTXXEUUUEWHVCZUUUNVWPAXXEWYDU
      UUNXXHYLZWYEUUVCUUUNWYEUUUEUUUJWOVMZWYEUUUNVFZOUUUEVWJYMWTYOYSWFVWEAWYDUU
      UNXVOVXEULUMYYBUUUTXVOUUUEWXEVAUOZVXEULUUUTVWJUUUEWXEUUVAWYEUUUFUUUNUUUJV
      MUUVBUUUTXXEUUVCUUUNVWJUUUEULUMUUVDUUVEUUVFOUUUEVWJYNWTYOWYEUUVGVXEVEUUUN
      WYEVXEWXEWYEVXEXVDXCAWXEVWGVCWYDXVJVMUWMVMWNWFUYEUYFUUUOAXWOUUUQYXJVKXYLW
      TXFUYKCUUUHFUYLUYMVWSUUUGUUUIUQCUUUEURVWJUUUEVEZVWPUUUGVWRUUUIVWJUUUEOULV
      VGUUVHVWQUUUHFVWJUUUEOUNXJYRUYNYBUYOYGVMYCYDVWHVWI $.
  $}

  ${
    $d A a b c j k x $.  $d A b c d j k x $.  $d A i j k l $.  $d B c d x $.
    $d C c d x $.  $d D x y $.  $d E a b c j k y $.  $d E b c d j k y $.
    $d E a b j k y z $.  $d H a b x y z $.  $d I x y z $.  $d J a b y z $.
    $d K a b x y z $.  $d R x y $.  $d T a b c j k x $.  $d T b c d j k x $.
    $d T i j k l $.  $d X x $.  $d Y x $.  $d a b c ph x y $.  $d d ph x y $.
    $d i j k l y z $.  $d j k ps $.  $d ph x y z $.
    fourierdlem42.b $e |- ( ph -> B e. RR ) $.
    fourierdlem42.c $e |- ( ph -> C e. RR ) $.
    fourierdlem42.bc $e |- ( ph -> B < C ) $.
    fourierdlem42.t $e |- T = ( C - B ) $.
    fourierdlem42.a $e |- ( ph -> A C_ ( B [,] C ) ) $.
    fourierdlem42.af $e |- ( ph -> A e. Fin ) $.
    fourierdlem42.ba $e |- ( ph -> B e. A ) $.
    fourierdlem42.ca $e |- ( ph -> C e. A ) $.
    fourierdlem42.d $e |- D = ( abs o. - ) $.
    fourierdlem42.i $e |- I = ( ( A X. A ) \ _I ) $.
    fourierdlem42.r $e |- R = ran ( D |` I ) $.
    fourierdlem42.e $e |- E = inf ( R , RR , < ) $.
    fourierdlem42.x $e |- ( ph -> X e. RR ) $.
    fourierdlem42.y $e |- ( ph -> Y e. RR ) $.
    fourierdlem42.j $e |- J = ( topGen ` ran (,) ) $.
    fourierdlem42.k $e |- K = ( J |`t ( X [,] Y ) ) $.
    fourierdlem42.h $e |- H = { x e. ( X [,] Y ) | E. k e. ZZ ( x + ( k x. T )
       ) e. A } $.
    fourierdlem42.15 $e |- ( ps <-> ( ( ph /\ ( a e. RR /\ b e. RR /\ a < b ) )
       /\ E. j e. ZZ E. k e. ZZ ( ( a + ( j x. T ) ) e. A /\ ( b + ( k x. T ) )
       e. A ) ) ) $.
    $( The set of points in a moved partition are finite.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.)  (Revised by AV, 29-Sep-2020.) $)
    fourierdlem42 $p |- ( ph -> H e. Fin ) $=
      ( vy vz vd vc cfn wcel cv cfv wrex wn wa wss cr syl2anc adantr cmul caddc
      co cz a1i wceq crn sylancr simpr syl3anc wne cmin clt wbr ad2antrr adantl
      cabs crp cc ax-mp cid sselda eleqtrrdi 3eqtrd cc0 w3a adantll 3adant2 syl
      wb mpbid eqcomd breqtrd eqeltrid recnd eqtrd wi cle adantrr adantrl oveq1
      eleq1d oveq2d ad2antlr adantlr simplr eleq1 breq2 3anbi23d anbi2d imbi12d
      oveq2 breq2d breq1 anbi1d mpbird resubcld c1 1re eqbrtrd 3ad2ant1 3adant3
      vtoclg mpcom cdiv oveq1d subcld vi vl cuni ccmp icccmp cicc crab eqsstrid
      clp ssrab2 crest ctop cioo retop eqeltri iccssred uniretop unieqi restuni
      ctg eqtr4i eqcomi eqtrdi sseqtrd eqid bwth cin c0 ne0i cinf cres wfn wral
      sstrd cxp ccom absf ffn subf frn fnco mp3an fneq1i mpbir ax-resscn sstrdi
      wf cdif xpss12 ssdifssd fnssres fvres fveq1i wfun ffun fdmi fvco ffvelrnd
      cdm abscld eqeltrd elxp2 sylib fveq2 3ad2ant3 df-ov simp1l simpl eqeltrrd
      cop eleq2i eldif sylbb simpld opelxp sseldd simprd df-br sylnibr vex ideq
      sylnib neqned subne0d eqnetrrid 3exp rexlimdvv mpd absgt0 elrpd ralrimiva
      eqnetrd fnfvrnss ltso xpfi diffi fnfi rnfi reseq1d fveq1d sylanbrc neneqd
      ltned ideqg mtbird eldifd fveq2d 3eqtrrd fnfvelrn resss rnss rneqi rncoss
      wor eqsstri fiinfcl syl13anc lptre2pt simpll 3jca rexbidv cbvrexvw bitrdi
      sstri elrab reeanv simplll simpl1 simpl2 2rexbidv anbi12d 3anbi13d biimpi
      simprbi iccsuble breqtrrdi ltnled remulcld simp2d readdcld simp1d mulid2d
      zre zltlem1 peano2rem resubcl leadd1dd zcn pncan3d npncand 3brtr3d syldan
      1cnd posdifd lemul1d ltaddrp2d addsub4d ad2antll ad2antrl subdird lelttrd
      simp3d eqtr2d 3adantl3 condan sselid id jca simp2l fvelrnb simp3 rexlimdv
      0re rpge0d ralbidv rspcev pm3.22 sylibr 3ad2ant2 gtned bitr3i necom simp1
      sylc fveq2i syld3an3 ltled abssubge0d eqeq1d eqeq2 bibi12d imbi2d infrelb
      elex eqbrtrid pncan2d divcan4d addsubd addcomd divdird 3eqtr2d divlt0gt0d
      cvv sublt0d subidd redivcld ltaddsub2d zltp1le leaddsub2d 3adantll3 letrd
      3adantl2 mulcld addid2d ad3antrrr 3ad2antl1 simpl3 wo lenltd eqcom notbii
      ioran leloed 3adantll2 adantllr simp2r subge0d mulge0d addge01d pm2.61dan
      addassd subadd4b adddird oveq12d 3eqtr3d mul02d addid1d 3adant3l 3adant2l
      00id 3adant3r 3adant2r ltsub1dd ltdiv1dd 3ad2antl2 1zzd lesubd lemulge12d
      lttrd zsubcld lesub2dd subsub2d simpll2 letri3d mpbir2and simpl2l simpl3l
      sub32d 3ad2antl3 elicc2 pncand oveq2i eqtr2id subsub3d mulsubfacd sylan2b
      nne leneltd sylan syl121anc adantlrr npcand oveq1i mpdan simpl3r lesub1dd
      leadd2dd addsubassd 3brtr4d nncand syl21anc abssuble0d sylbir chvarvv ord
      neqne lttri2d cbvrex2vw rexcom ancom 2rexbii 3bitri abssubd 3adantlr3 nan
      recn ex ralrimivva ralnex2 pm2.65da intnanrd elin restlp neleqtrrd nrexdv
      ) AMVCVDZCVEZMPUUIVFVFZVDZCPUUCZVGZAXUFVHZVIPUUDVDZMXUJVJZXULXUKAXUMXULAQ
      VKVDRVKVDXUMUMUNQRPOUOUPUUEVLVMAXUNXULAMQRUUFVPZXUJAMXUGKVEZIVNVPZVOVPZDV
      DZKVQVGZCXUOUUGZXUOUQXVAXUOVJAXUTCXUOUUJVRUUHZAXUOOXUOUUKVPZUUCZXUJAOUULV
      DZXUOVKVJZXUOXVDVSOUUMVTUUTVFZUULUOUUNUUOZAQRUMUNUUPZXUOOVKVKXVGUUCOUUCUU
      QOXVGUOUURUVAZUUSWAXUJXVDPXVCUPUURUVBUVCUVDVMAXULWBCMPXUJXUJUVEUVFWCAXUKV
      HXULAXUICXUJAXUGXUJVDZVIZXUHMOUUIVFVFZXUOUVGZXUGXVLXUGXVMVDZXUGXUOVDZVIXU
      GXVNVDXVLXVOXVPXVLXVOUSVEZUTVEZWDZXVQXVRWEVPZWJVFZLWFWGZVIZUTMVGUSMVGZXVL
      XVOVIUSUTMLOUOAMVKVJXVKXVOAMXUOVKXVBXVIUVNZWHXVOXVMUVHWDXVLXVMXUGUVIWIALW
      KVDXVKXVOALHVKWFUVJZWKULAHWKXWFAHGNUVKZVTZWKUKAXWGNUVLZXUGXWGVFZWKVDZCNUV
      MXWHWKVJAGWLWLUVOZUVLZNXWLVJXWIXWMWJWEUVPZXWLUVLZWJWLUVLZWEXWLUVLZWEVTWLV
      JZXWOWLVKWJUWGZXWPUVQWLVKWJUVRWMXWLWLWEUWGZXWQUVSXWLWLWEUVRWMXWTXWRUVSXWL
      WLWEUVTWMWLXWLWJWEUWAUWBXWLGXWNUIUWCUWDANDDUVOZWNUWHZXWLUJAXXAXWLWNADWLVJ
      ZXXCXXAXWLVJADEFUUFVPZWLUEAXXDVKWLAEFUAUBUUPZUWEUWFUVNZXXFDWLDWLUWIVLUWJU
      UHZXWLNGUWKWAZAXWKCNAXUGNVDZVIZXWJXXJXWJXUGWEVFZWJVFZVKXXJXWJXUGGVFZXUGXW
      NVFZXXLXXIXWJXXMVSAXUGNGUWLWIXXMXXNVSXXJXUGGXWNUIUWMVRXXJWEUWNZXUGWEUWSZV
      DZXXNXXLVSXWTXXOUVSXWLWLWEUWOWMZXXJXUGXWLXXPANXWLXUGXXGWOZXWLWLWEUVSUWPZW
      PZXUGWJWEUWQWAWQZXXJXXKXXJXWLWLXUGWEXWTXXJUVSVRXXSUWRZUWTUXAXXJWRXXLXWJWF
      XXJXXKWRWDZWRXXLWFWGZXXJXUGXVQXVRUXJZVSZUTWLVGUSWLVGZXYDXXJXUGXWLVDXYHXXS
      USUTXUGWLWLUXBUXCXXJXYGXYDUSUTWLWLXXJXVQWLVDZXVRWLVDZVIZXYGXYDXXJXYKXYGWS
      ZXXKXYFWEVFZWRXYGXXJXXKXYMVSXYKXUGXYFWEUXDUXEXYLXYMXVTWRXVQXVRWEUXFXYLAXY
      FNVDZXVTWRWDAXXIXYKXYGUXGXXJXYGXYNXYKXXIXYGXYNAXXIXYGVIXUGXYFNXXIXYGWBXXI
      XYGUXHUXIWTXAAXYNVIZXVQXVRXYODWLXVQAXXCXYNXXFVMZXYOXVQDVDZXVRDVDZXYNXYQXY
      RVIZAXYNXYFXXAVDZXYSXYNXYTXYFWNVDZVHZXYNXYFXXBVDXYTYUBVINXXBXYFUJUXKXYFXX
      AWNUXLUXMZUXNXVQXVRDDUXOUXCWIZUXNUXPXYODWLXVRXYPXYOXYQXYRYUDUXQUXPXYNXVSA
      XYNXVQXVRXYNXVQXVRWNWGZXVQXVRVSXYNYUAYUEXYNXYTYUBYUCUXQXVQXVRWNUXRUXSXVQX
      VRUTUXTUYAUYBUYCWIUYDVLUYEUYLUYFUYGUYHXXJXXKWLVDXYDXYEXCXYCXXKUYIXBXDXXJX
      WJXXLXYBXEXFUYJZUYKCNWKXWGUYMVLUUHAVKWFVUNZHVCVDHUVHWDHVKVJZXWFHVDYUGAUYN
      VRAHXWHVCUKAXWGVCVDZXWHVCVDAXWINVCVDYUIXXHANXXBVCUJAXXAVCVDZXXBVCVDADVCVD
      ZYUKYUJUFUFDDUYOVLXXAWNUYPXBXGNXWGUYQVLXWGUYRXBXGAHXWHUVHHXWHVSAUKVRAEFWE
      VPZWJVFZXWHVDXWHUVHWDAYUMEFUXJZXWGVFZXWHAYUOYUNXWNNUVKZVFZYUNXWNVFZYUMAYU
      NXWGYUPAGXWNNGXWNVSAUIVRUYSZUYTAYUNNVDZYUQYURVSAYUNXXBNAYUNXXAWNAEDVDZFDV
      DZYUNXXAVDUGUHEFDDUXOVUAAEFWNWGZYUNWNVDAYVCEFVSZAEFAEFUAUCVUCVUBAYVBYVCYV
      DXCUHEFDVUDXBVUEEFWNUXRUYBVUFUJWPZYUNNXWNUWLXBAYURYUNWEVFZWJVFZYUMAXXOYUN
      XXPVDYURYVGVSXXRAYUNXWLXXPAEWLVDZFWLVDZYUNXWLVDAEUAXHZAFUBXHZEFWLWLUXOVUA
      XXTWPYUNWJWEUWQWAAYVFYULWJYVFYULVSAYULYVFEFWEUXFUVBVRVUGXIVUHAXWIYUTYUOXW
      HVDXXHYVENYUNXWGVUIVLUXAXWHYUMUVIXBUYLYUHAHXWHVKUKXWHGVTZVKXWGGVJXWHYVLVJ
      GNVUJXWGGVUKWMYVLXWNVTZVKGXWNUIVULYVMWJVTZVKWJWEVUMXWSYVNVKVJUVQWLVKWJUVT
      WMVVDVUOVVDVUOZVRVKHWFVUPVUQZUXPXGWHVURAXWDVHZXVKXVOAXWCVHZUTMUVMUSMUVMYV
      QAYVRUSUTMMAXVQMVDZXVRMVDZVIZVIZYVRXJYWBXVSVIZXWBVHZXJYWCLXWAXKWGZYWDYWCA
      XVQVKVDZXVRVKVDZXVSWSZXVQJVEZIVNVPZVOVPZDVDZXVRXUQVOVPZDVDZVIZKVQVGJVQVGZ
      YWEAYWAXVSVUSYWCYWFYWGXVSYWBYWFXVSAYVSYWFYVTAMVKXVQXWEWOXLZVMYWBYWGXVSAYV
      TYWGYVSAMVKXVRXWEWOXMZVMYWBXVSWBVUTYWAYWPAXVSYWAYWLJVQVGZYWNKVQVGZYWPYVSY
      WSYVTYVSXVQXUOVDZYWSYVSXVQXVAVDYXAYWSVIMXVAXVQUQUXKXUTYWSCXVQXUOXUGXVQVSZ
      XUTXVQXUQVOVPZDVDZKVQVGYWSYXBXUSYXDKVQYXBXURYXCDXUGXVQXUQVOXNXOVVAYXDYWLK
      JVQXUPYWIVSZYXCYWKDYXEXUQYWJXVQVOXUPYWIIVNXNXPXOVVBVVCVVEUXMUXQVMYVTYWTYV
      SYVTXVRXUOVDZYWTYVTXVRXVAVDYXFYWTVIMXVAXVRUQUXKXUTYWTCXVRXUOXUGXVRVSZXUSY
      WNKVQYXGXURYWMDXUGXVRXUQVOXNXOVVAVVEUXMUXQWIYWLYWNJKVQVQVVFVUAXQAYWHVIZYW
      PVIZXVQXVRWFWGZYWEYXIYXJVIAYWFYWGYXJWSZYWPYWEAYWHYWPYXJVVGYXHYXJYXKYWPYWH
      YXJYXKAYWHYXJVIYWFYWGYXJYWFYWGXVSYXJVVHYWFYWGXVSYXJVVIYWHYXJWBVUTWTXRYXHY
      WPYXJXSAYWFTVEZVKVDZXVQYXLWFWGZWSZVIZYWLYXLXUQVOVPZDVDZVIZKVQVGJVQVGZVIZL
      XVQYXLWEVPZWJVFZXKWGZXJZAYXKVIZYWPVIZYWEXJTUTYXLXVRVSZYYAYYGYYDYWEYYHYXPY
      YFYXTYWPYYHYXOYXKAYYHYXMYWGYXNYXJYWFYXLXVRVKXTYXLXVRXVQWFYAYBYCYYHYXSYWOJ
      KVQVQYYHYXRYWNYWLYYHYXQYWMDYXLXVRXUQVOXNXOYCVVJVVKYYHYYCXWALXKYYHYYBXVTWJ
      YXLXVRXVQWEYEVUGYFYDASVEZVKVDZYXMYYIYXLWFWGZWSZVIZYYIYWJVOVPZDVDZYXRVIZKV
      QVGJVQVGZVIZLYYIYXLWEVPZWJVFZXKWGZXJZYYESUSYYIXVQVSZYYRYYAUUUAYYDUUUCYYMY
      XPYYQYXTUUUCYYLYXOAUUUCYYJYWFYYKYXNYXMYYIXVQVKXTYYIXVQYXLWFYGVVLYCUUUCYYP
      YXSJKVQVQUUUCYYOYWLYXRUUUCYYNYWKDYYIXVQYWJVOXNXOYHVVJVVKUUUCYYTYYCLXKUUUC
      YYSYYBWJYYIXVQYXLWEXNVUGYFYDYYRBUUUAURBYYQUUUABYYMYYQURVVNBYYPUUUAJKVQVQB
      YWIVQVDZXUPVQVDZVIZYYPUUUABUUUFYYPWSZLYXLYYIWEVPZYYTXKUUUGXUPYWIXKWGZLUUU
      HXKWGZUUUGUUUIYXQYYNWEVPZIXKWGZUUUGUUULUUUIVHZBYYPUUULUUUFBYYPVIZUUUKFEWE
      VPZIXKUUUNEFYXQYYNBEVKVDZYYPBAUUUPBAYYLBYYMYYQBYYRURVVMUXNZUXNZUAXBZVMZBF
      VKVDZYYPBAUUVAUUURUBXBZVMZBYXRYXQXXDVDYYOBDXXDYXQBADXXDVJUUURUEXBZWOXMZBY
      YOYYNXXDVDZYXRBDXXDYYNUUVDWOZXLZVVOUDVVPXAVMBUUUFUUUMUUULVHZYYPBUUUFVIZUU
      UMYWIXUPWFWGZUUVIUUVJUUUMVIZUUVKUUUMUUVJUUUMWBUUVLYWIXUPUUUFYWIVKVDZBUUUM
      UUUDUUVMUUUEYWIVWCZVMZXQUUUFXUPVKVDZBUUUMUUUEUUVPUUUDXUPVWCZWIZXQVVQYIUUV
      JUUVKVIZIUUUKWFWGUUVIUUVSIXUPYWIWEVPZIVNVPZUUUKBIVKVDZUUUFUUVKBAUUWBUUURA
      IUUUOVKUDAFEUBUAYJXGZXBZWHZUUVJUUWAVKVDUUVKUUVJUUVTIUUVJXUPYWIUUUFUUVPBUU
      VRWIZUUUFUUVMBUUVOWIYJZBUUWBUUUFUUWDVMZVVRZVMUUVJUUUKVKVDZUUVKUUVJYXQYYNU
      UVJYXLXUQBYXMUUUFBYYJYXMYYKBAYYLUUUQUXQZVVSZVMBUUUEXUQVKVDUUUDBUUUEVIZXUP
      IUUUEUUVPBUUVQWIBUUWBUUUEUUWDVMVVRZXMVVTUUVJYYIYWJBYYJUUUFBYYJYXMYYKUUWKV
      WAZVMBUUUDYWJVKVDUUUEBUUUDVIZYWIIUUUDUUVMBUUVNWIZBUUWBUUUDUUWDVMVVRZXLVVT
      YJVMZUUVSIYKIVNVPZUUWAXKBIUUWTVSZUUUFUUVKBUUWTIBIBIUUWDXHZVWBZXEZWHUUVSYK
      UUVTXKWGZUUWTUUWAXKWGUUVJUUVKYWIXUPYKWEVPZXKWGZUUXEUUVSUUVKUUXGUUVJUUVKWB
      UUUFUUVKUUXGXCBUUVKYWIXUPVWDXQXDUUVJUUXGVIZYWIYKYWIWEVPZVOVPZUUXFUUXIVOVP
      ZYKUUVTXKUUXHYWIUUXFUUXIUUUFUUVMBUUXGUUVOXQZUUVJUUXFVKVDZUUXGUUVJUUVPUUXM
      UUWFXUPVWEXBVMUUXHYKVKVDZUUVMUUXIVKVDYLUUXLYKYWIVWFWAUUVJUUXGWBVWGUUUFUUX
      JYKVSBUUXGUUUFYWIYKUUUDYWIWLVDZUUUEYWIVWHZVMZUUUFVWMZVWIXQUUUFUUXKUUVTVSB
      UUXGUUUFXUPYKYWIUUUEXUPWLVDZUUUDXUPVWHZWIZUUXRUUXQVWJXQVWKVWLUUVSYKUUVTIU
      UXNUUVSYLVRUUVJUUVTVKVDUUVKUUWGVMBIWKVDZUUUFUUVKBAUUYBUUURAIUUWCAWRUUUOIW
      FAEFWFWGZWRUUUOWFWGUCAEFUAUBVWNXDUDVVPZUYJXBZWHVWOXDYMUUVJUUWAUUUKWFWGUUV
      KUUVJUUWAUUUHUUWAVOVPZUUUKWFUUVJUUWAUUUHUUWIBUUUHWKVDUUUFBUUUHBYXLYYIUUWL
      UUWOYJBYYKWRUUUHWFWGBYYJYXMYYKUUWKVXBZBYYIYXLUUWOUUWLVWNXDUYJVMVWPUUVJUUU
      KUUUHXUQYWJWEVPZVOVPZUUYFUUVJYXLXUQYYIYWJBYXLWLVDZUUUFBYXLUUWLXHZVMZBUUUE
      XUQWLVDUUUDUUWMXUQUUWNXHZXMBYYIWLVDZUUUFBYYIUUWOXHZVMZBUUUDYWJWLVDUUUEUUW
      PYWJUUWRXHZXLVWQZUUVJUUYHUUWAUUUHVOUUVJUUWAUUYHUUVJXUPYWIIUUUEUUXSBUUUDUU
      XTVWRZUUUDUUXOBUUUEUUXPVWSZBIWLVDZUUUFUUXBVMZVWTXEXPZVXCXFVMVXAUUVSIUUUKU
      UWEUUWSVVQXDVWLVXDVXEUUUGUUUIVIZYYNYXQXKWGZUUUJUVUDUVUEVIZLUUUKYWIXUPWEVP
      ZIVNVPZVOVPZUUUHXKUVUFYYNYXQVSZLUVUIXKWGZUVUDUVUJUVUKUVUEUVUDUVUJVIZLUVUH
      UVUIXKUVULLIUVUHUUUGLVKVDZUUUIUVUJBUUUFUVUMYYPBAUVUMUUURALXWFVKULAHVKXWFY
      VOYVPVXFXGZXBZYNZWHUUUGUUWBUUUIUVUJBUUUFUUWBYYPUUWDYNZWHUUUGUVUHVKVDZUUUI
      UVUJBUUUFUVURYYPUUVJUVUGIUUUFUVUGVKVDZBUUUFYWIXUPUUVOUUVRYJZWIUUWHVVRYOZW
      HUUUGLIXKWGZUUUIUVUJBUUUFUVVBYYPBAUVVBUUURALUUUOIXKAYVBAYVAYVBVIZUUYCWSZL
      UUUOXKWGZUHAAUVVCUUYCAVXGAYVAYVBUGUHVXHUCVUTAYVAVAVEZDVDZVIZEUVVFWFWGZWSZ
      LUVVFEWEVPZXKWGZXJZUVVDUVVEXJVAFDUVVFFVSZUVVJUVVDUVVLUVVEUVVNUVVHUVVCUVVI
      UUYCAUVVNUVVGYVBYVAUVVFFDXTZYCUVVFFEWFYAYBUVVNUVVKUUUOLXKUVVFFEWEXNYFYDYV
      AUVVJUVVLAYVAUVVGUVVIVXIAVBVEZDVDZUVVGVIZUVVPUVVFWFWGZWSZLUVVFUVVPWEVPZXK
      WGZXJZUVVMVBEDUVVPEVSZUVVTUVVJUVWBUVVLUVWDUVVRUVVHUVVSUVVIAUVWDUVVQYVAUVV
      GUVVPEDXTYHUVVPEUVVFWFYGYBUVWDUVWAUVVKLXKUVVPEUVVFWEYEYFYDUVVTLXWFUVWAXKU
      LUVVTYUHXUGXVQXKWGZUSHUVMZCVKVGZUVWAHVDXWFUVWAXKWGYUHUVVTYVOVRAUVVRUVWGUV
      VSAWRVKVDZWRXVQXKWGZUSHUVMZUVWGVXMAUVWIUSHAXVQHVDZVIZXWJXVQVSZCNVGZUVWIUV
      WLXVQXWHVDZUVWNUVWKUVWOAUVWKUVWOHXWHXVQUKUXKVVMWIUVWLXWIUVWOUVWNXCZAXWIUV
      WKXXHVMCNXVQXWGVXJZXBXDUVWLUVWMUVWICNAXXIUVWMUVWIXJXJUVWKAXXIUVWMUVWIAXXI
      UVWMWSWRXWJXVQXKAXXIWRXWJXKWGUVWMXXJXWJYUFVXNYOAXXIUVWMVXKXFUYFVMVXLUYHUY
      KUVWFUVWJCWRVKXUGWRVSUVWEUVWIUSHXUGWRXVQXKYGVXOVXPWAYNUVVTUVWAXWHHUVVTUVW
      AXWHVDZXWJUVWAVSZCNVGZUVVTUVVFUVVPUXJZNVDZUVXAXWGVFZUVWAVSZUVWTUVVTUVXAXX
      BNUVVTUVXAXXAWNUVVRAUVXAXXAVDZUVVSUVVRUVVGUVVQVIUVXEUVVQUVVGVXQUVVFUVVPDD
      UXOVXRZVXSUVVTUVVFUVVPVSZUVXAWNVDZUVVTUVVFUVVPUVVTUVVPUVVFAUVVRUVVPVKVDZU
      VVSAUVVQUVXIUVVGADVKUVVPADXXDVKUEXXEUVNZWOXLZYOZAUVVRUVVSVXKZVXTVUBUVXHUV
      VFUVVPWNWGUVXGUVVFUVVPWNUXRUVVFUVVPVBUXTUYAVYAZUXSVUFUJWPUVVTUVXCUVWAWJVF
      ZUVWAAUVVRUVVSUVVPUVVFWDZUVXCUVXOVSUVVTUVVPUVVFUVXLUVXMVUCAUVVRUVXPWSZUVX
      CUVXAYUPVFZUVXAXWNVFZUVXOUVXQUVXAXWGYUPAUVVRXWGYUPVSUVXPYUSYNUYTUVXQUVXBU
      VXRUVXSVSUVXQUVXAXXBNUVXQUVXAXXAWNUVVRAUVXEUVXPUVXFVXSUVXQUVXGUVXHUVXPAUV
      XGVHUVVRUVXPUVVFUVVPUVXPUVVFUVVPWDUVVPUVVFVYBVVMVUBUXEUVXNUXSVUFUJWPZUVXA
      NXWNUWLXBUVXQUVXSUVXAWEVFZWJVFZUVXOUVXQXXOUVXAXXPVDZUVXSUVYBVSXXRUVXQUVXB
      AUVXBVIZUVYCUVXTUVXQAUVXBAUVVRUVXPVYCUVXTVXHXXJXXQXJUVYDUVYCXJCUVXANXUGUV
      XAVSZXXJUVYDXXQUVYCUVYEXXIUVXBAXUGUVXANXTYCXUGUVXAXXPXTYDXYAYPVYDUVXAWJWE
      UWQWAUVYAUVWAWJUVWAUVYAUVVFUVVPWEUXFUVBVYEUVCWQVYFUVVTUVVPUVVFUVXLAUVVRUV
      VFVKVDZUVVSAUVVGUVYFUVVQADVKUVVFUVXJWOXMZYOZUVVTUVVPUVVFUVXLUVYHUVXMVYGVY
      HXIUVWSUVXDCUVXANUVYEXWJUVXCUVWAXUGUVXAXWGUXDVYIVXPVLUVVTUVWAWUCVDZAUVWRU
      VWTXCZAUVVRUVYIUVVSAUVVRVIZUVWAVKVDUVYIUVYKUVVFUVVPUVYGUVXKYJUVWAVKVYNXBY
      OAUVVRUVVSVYCAUVWPXJAUVYJXJUSUVWAWUCXVQUVWAVSZUVWPUVYJAUVYLUVWOUVWRUVWNUV
      WTXVQUVWAXWHXTUVYLUVWMUVWSCNXVQUVWAXWJVYJVVAVYKVYLAXWIUVWPXXHUVWQXBYPVYDY
      IUKWPCUSUVWAHVYMWCVYOZYPYQZYPVYDUDVVPXBYNZWHBUUUFUUUIUVUJIUVUHXKWGZYYPUUV
      JUVUJUVYPUUUIUUVJUVUJXUPYWIWFWGZUVYPUUVJUVUJVIZXUPYWIYYSIYRVPZVOVPZYWIWFU
      VYRXUPYXQYXLWEVPZIYRVPZYYNYXLWEVPZIYRVPZUVYTUUVJXUPUWUBVSZUVUJBUUUEUWUEUU
      UDUUWMUWUBXUQIYRVPXUPUUWMUWUAXUQIYRUUWMYXLXUQBUUYJUUUEUUYKVMUUYMVYPYSUUWM
      XUPIUUUEUUXSBUUXTWIBUVUAUUUEUUXBVMBIWRWDZUUUEBAUWUFUUURAWRIUVWHAVXMVRUUYD
      VXTXBZVMVYQVXCXMZVMUVUJUWUDUWUBVSUUVJUVUJUWUCUWUAIYRYYNYXQYXLWEXNYSWIUUVJ
      UWUDUVYTVSZUVUJBUUUDUWUIUUUEUUWPUWUDYWJYYSVOVPZIYRVPYWJIYRVPZUVYSVOVPUVYT
      UUWPUWUCUWUJIYRUUWPUWUCYYSYWJVOVPUWUJUUWPYYIYWJYXLBUUYNUUUDUUYOVMZUUYQBUU
      YJUUUDUUYKVMZVYRUUWPYYSYWJUUWPYYIYXLUWULUWUMYTZUUYQVYSXIYSUUWPYWJYYSIUUYQ
      UWUNBUVUAUUUDUUXBVMZBUWUFUUUDUWUGVMZVYTUUWPUWUKYWIUVYSVOUUWPYWIIUUUDUUXOB
      UUXPWIZUWUOUWUPVYQYSWQXLZVMWUAUUVJUVYTYWIWFWGZUVUJBUUUDUWUSUUUEUUWPUWUSUV
      YSYWIYWIWEVPZWFWGUUWPUVYSWRUWUTWFBUVYSWRWFWGUUUDBYYSIBYYIYXLUUWOUUWLYJZUU
      YEBYYSWRWFWGYYKUUYGBYYIYXLUUWOUUWLWUDYIWUBVMUUUDWRUWUTVSBUUUDUWUTWRUUUDYW
      IUUXPWUEZXEWIXFUUWPYWIUVYSYWIUUWQBUVYSVKVDUUUDBYYSIUWVAUUWDUWUGWUFVMUUWQW
      UGYIXLZVMYMUUVJUVYQVIZIUUWTUVUHXKBUUXAUUUFUVYQUUXDWHUWVDYKUVUGXKWGZUUWTUV
      UHXKWGUUUFUVYQUWVEBUUUFUVYQVIZXUPYKVOVPYWIXKWGZUWVEUWVFUVYQUWVGUUUFUVYQWB
      UWVFUUUEUUUDUVYQUWVGXCUUUDUUUEUVYQXSUUUDUUUEUVYQVUSXUPYWIWUHVLXDUWVFXUPYK
      YWIUUUEUUVPUUUDUVYQUUVQXQZUUXNUWVFYLVRZUUUDUUVMUUUEUVYQUUVNWHZWUIXDZWTUWV
      DYKUVUGIUUXNUWVDYLVRUUUFUVUSBUVYQUVUTXQBUUYBUUUFUVYQUUYEWHVWOXDYMVWLXRWUJ
      WUKUVULUVUIWRUVUHVOVPZUVUHUUUGUVUJUVUIUWVLVSZUUUIBYYPUVUJUWVMUUUFUUUNUVUJ
      VIUVUIYXQYXQWEVPZUVUHVOVPZUWVLUVUJUVUIUWVOVSUUUNUVUJUUUKUWVNUVUHVOYYNYXQY
      XQWEYEYSWIUUUNUWVOUWVLVSUVUJUUUNUWVNWRUVUHVOUUUNYXQUUUNYXQBYXRYXQVKVDZYYO
      BDVKYXQBADVKVJUUURUVXJXBZWOZXMZXHZWUEYSVMXIWULXRUUUGUWVLUVUHVSZUUUIUVUJBU
      UUFUWWAYYPUUVJUVUHUUVJUVUGIUUVJYWIXUPUUYTUUYSYTZUVUBWUMZWUNYOWHVXCXFXRUVU
      FUVUJVHZVIZLUUUKUVUIUUUGUVUMUUUIUVUEUWWDUVUPWUOUUUGUUWJUUUIUVUEUWWDBYYPUU
      WJUUUFUUUNYXQYYNUWVSBYYOYYNVKVDZYXRBDVKYYNUWVQWOZXLZYJXAZWUOUUUGUVUIVKVDZ
      UUUIUVUEUWWDUUUGUUUKUVUHUWWIUVVAVVTZWUOUWWEAYYPYYNYXQWFWGZLUUUKXKWGZUVUDA
      UVUEUWWDBUUUFUUUIAYYPBAUUUIUUURVMWUPWHUVUDYYPUVUEUWWDBUUUFYYPUUUIWUQWHUWW
      EUWWLYXQYYNXKWGZVHZUUUGUVUEUWWDUWWOUUUIBYYPUVUEUWWDUWWOUUUFUUUNUVUEVIZUWW
      DVIZUWWNYXQYYNWFWGZYXQYYNVSZWURZUWWQUWWRVHZUWWSVHZUWWTVHUWWQUVUEUWXAUUUNU
      VUEUWWDXSUWWQYYNYXQUUUNUWWFUVUEUWWDUWWHWHZUUUNUWVPUVUEUWWDUWVSWHZWUSXDUWW
      DUWXBUWWPUWWDUWXBUVUJUWWSYYNYXQWUTWVAVVMWIUWWRUWWSWVBVUAUWWQYXQYYNUWXDUWX
      CWVCVUEWVDWVEUWWEYYNYXQUVUDUWWFUVUEUWWDBYYPUUUIUWWFUUUFUUUNUWWFUUUIUWWHVM
      WULWHUVUDUWVPUVUEUWWDBYYPUUUIUWVPUUUFUUUNUWVPUUUIUWVSVMWULWHVVQYIYYOAYYPU
      WWLWSZUWWMAYYOYXRUWWLVXIAUVVQYXRVIZUVVPYXQWFWGZWSZLYXQUVVPWEVPZXKWGZXJZUW
      XEUWWMXJVBYYNDUVVPYYNVSZUWXHUWXEUWXJUWWMUWXLUWXFYYPUWXGUWWLAUWXLUVVQYYOYX
      RUVVPYYNDXTZYHUVVPYYNYXQWFYGYBUWXLUWXIUUUKLXKUVVPYYNYXQWEYEYFYDYXRUWXHUWX
      JAUVVQYXRUWXGWVFUVWCUWXKVAYXQDUVVFYXQVSZUVVTUWXHUVWBUWXJUWXNUVVRUWXFUVVSU
      WXGAUWXNUVVGYXRUVVQUVVFYXQDXTYCUVVFYXQUVVPWFYAYBUWXNUVWAUWXILXKUVVFYXQUVV
      PWEXNYFYDUVYMYPYQYPYQWCUVUDUUUKUVUIXKWGZUVUEUWWDUVUDWRUVUHXKWGZUWXOBUUUFU
      UUIUWXPYYPUUVJUUUIVIUVUGIUUUFUVUSBUUUIUVUTXQBUUWBUUUFUUUIUUWDWHUUUFUUUIWR
      UVUGXKWGZBUUUFUUUIVIZUWXQUUUIUUUFUUUIWBUWXRYWIXUPUUUDUUVMUUUEUUUIUUVNWHUU
      UEUUVPUUUDUUUIUUVQXQWVGYIWTBWRIXKWGZUUUFUUUIBIUUYEVXNZWHWVHVXDUVUDUUUKUVU
      HUUUGUUWJUUUIUWWIVMUUUGUVURUUUIUVVAVMWVIXDWHWUKWVJUUUGUVUIUUUHVSZUUUIUVUE
      BUUUFUWYAYYPUUVJUVUIUUYFUVUHVOVPUUUHUUWAUVUHVOVPZVOVPZUUUHUUVJUUUKUUYFUVU
      HVOUUVJUUUKUUYIUUYFUUYRUVUCXIYSUUVJUUUHUUWAUVUHUUVJYXLYYIUUYLUUYPYTUUVJUU
      VTIUUVJXUPYWIUUYSUUYTYTZUVUBWUMUWWCWVKUUVJUWYCUUUHWRIVNVPZVOVPZUUUHUUVJUW
      YBUWYEUUUHVOUUVJUUVTUVUGVOVPZIVNVPXUPXUPWEVPZUWUTVOVPZIVNVPZUWYBUWYEUUVJU
      WYGUWYIIVNUUUFUWYGUWYIVSBUUUFXUPYWIYWIXUPUUYAUUXQUUXQUUYAWVLWIYSUUVJUUVTU
      VUGIUWYDUWWBUVUBWVMUUUFUWYJUWYEVSBUUUFUWYIWRIVNUUUFUWYIWRWRVOVPWRUUUFUWYH
      WRUWUTWRVOUUUEUWYHWRVSUUUDUUUEXUPUUXTWUEWIUUUDUWUTWRVSUUUEUWVBVMWVNWVTUVC
      YSWIWVOXPBUWYFUUUHVSUUUFBUWYFUUUHWRVOVPUUUHBUWYEWRUUUHVOBIUUXBWVPXPBUUUHB
      YXLYYIUUYKUUYOYTWVQXIVMXIWQZYOZWHXFUVUDUVUEVHZVIUUUGUVYQUWWRUUUJUUUGUUUIU
      WYMVUSUVUDUWYMUWWRUVYQUUUGUWYMUWWRUUUIUUUGUWYMVIZUWWRUWYMUUUGUWYMWBUWYNYX
      QYYNUUUGUWVPUWYMBYYPUWVPUUUFUWVSXAZVMUUUGUWWFUWYMBYYPUWWFUUUFUWWHXAZVMVVQ
      YIXRZUUUGUWWRUVYQUUUIUUUGUWWRVIZXUPUWUBYWIWFUUUGUWUEUWWRBUUUFUWUEYYPUWUHY
      OVMUWYRUWUBUWUDYWIUUUGUWUBVKVDZUWWRBUUUEYYPUWYSUUUDBUUUEYXRUWYSYYOBUUUEYX
      RWSZUWUAIUWYTYXQYXLBYXRUWVPUUUEUWVRXABUUUEYXMYXRUUWLYNYJBUUUEUUWBYXRUUWDY
      NBUUUEUWUFYXRUWUGYNWUFWVRWVSVMUUUGUWUDVKVDZUWWRBUUUDYYPUXUAUUUEBUUUDYYOUX
      UAYXRBUUUDYYOWSZUWUCIUXUBYYNYXLBYYOUWWFUUUDUWWGXAZBUUUDYXMYYOUUWLYNYJBUUU
      DUUWBYYOUUWDYNBUUUDUWUFYYOUWUGYNWUFWWAWWBVMUUUGUUVMUWWRUUUFBUUVMYYPUUVOVX
      SZVMUWYRUWUAUWUCIUWYRYXQYXLUUUGUWVPUWWRUWYOVMUUUGYXMUWWRBUUUFYXMYYPUUWLYN
      VMZYJUWYRYYNYXLUUUGUWWFUWWRUWYPVMUXUEYJUUUGUUYBUWWRBUUUFUUYBYYPUUYEYNVMBY
      YPUWWRUWUAUWUCWFWGUUUFUUUNUWWRVIYXQYYNYXLUUUNUWVPUWWRUWVSVMUUUNUWWFUWWRUW
      WHVMBYXMYYPUWWRUUWLWHUUUNUWWRWBWWCWULWWDUUUGUWUDYWIWFWGZUWWRBUUUFUXUFYYPU
      UVJUWUDUVYTYWIWFUWURUWVCYMYOVMWWIYMXRVWLUWYQUUUGUVYQVIZUWWRVIZXUPYWIYKWEV
      PZWFWGZUUUJUXUGUXUJUUUJUWWRUUUGUXUJUUUJUVYQUUUGUXUJVIZLUVUIUUUHXKUXUKLIUV
      UIUUUGUVUMUXUJUVUPVMUUUGUUWBUXUJUVUQVMZUUUGUWWJUXUJUWWKVMZUUUGUVVBUXUJUVY
      OVMUXUKIUXUIXUPWEVPZIVNVPZUVUIUXULUUUGUXUOVKVDUXUJUUUGUXUNIUUUGUXUIXUPUUU
      GUUVMUXUIVKVDZUXUDYWIVWEZXBUUUFBUUVPYYPUUVRVXSYJUVUQVVRVMUXUMUXUKIUXUNUXU
      LUXUKUXUIXUPUXUKYWIYKUUUGUUVMUXUJUXUDVMUUXNUXUKYLVRYJUUUFBUXUJUUVPYYPUUUE
      UUVPUUUDUXUJUUVQXQZWWEYJBUUUFUXUJUWXSYYPBUWXSUXUJUWXTVMWUPUUUFBUXUJYKUXUN
      XKWGYYPUUUFUXUJVIZXUPUXUIYKUXURUXUSYWIYKUUUDUUVMUUUEUXUJUUVNWHUUXNUXUSYLV
      RZYJUXUTUXUSUXUJXUPUXUIYKWEVPXKWGZUUUFUXUJWBUXUSUUUEUXUIVQVDUXUJUXVAXCUUU
      DUUUEUXUJXSUXUSYWIYKUUUDUUUEUXUJVUSUXUSWWFWWJXUPUXUIVWDVLXDWWGWWEWWHUUUGU
      XUOUVUIXKWGUXUJUUUGUXUOUVUHYYNYXQWEVPZWEVPZUVUIXKUUUGUXUOUVUHIWEVPZUXVCXK
      BUUUFUXUOUXVDVSYYPUUVJUXUOUVUGYKWEVPZIVNVPZUVUHUUWTWEVPZUXVDUUUFUXUOUXVFV
      SBUUUFUXUNUXVEIVNUUUFYWIYKXUPUUXQUUXRUUYAWWRYSWIUUVJUVUGYKIUWWBUUVJVWMUVU
      BVWTBUXVGUXVDVSUUUFBUUWTIUVUHWEUUXCXPVMWQYOUUUGUXVBIUVUHUUUGYYNYXQUWYPUWY
      OYJUVUQUVVABYYPUXVBIXKWGUUUFUUUNUXVBUUUOIXKUUUNEFYYNYXQUUUTUUVCUUVHUUVEVV
      OUDVVPXAWWKYMUUUGUXVCUVUHUUUKVOVPUVUIUUUGUVUHYYNYXQBUUUFUVUHWLVDYYPUWWCYO
      ZUUUGYYNUWYPXHBYYPYXQWLVDUUUFUWVTXAWWLUUUGUVUHUUUKUXVHUUUGUUUKUWWIXHVYSXI
      XFVMWUKWUKUUUGUWYAUXUJUWYLVMXFXRXRUXUHUXUJVHZVIUUUGXUPUXUIVSZUUUJUUUGUVYQ
      UWWRUXVIVVGUXUGUXVIUXVJUWWRUXUGUXVIVIUUUFUVYQUXVIUXVJBUUUFYYPUVYQUXVIWWMU
      UUGUVYQUXVIXSUXUGUXVIWBUUUFUVYQUXVIWSZUXVJXUPUXUIXKWGZUXUIXUPXKWGZUUUFUVY
      QUXVLUXVIUWVFYKYWIXUPUWVIUWVJUWVHUWVKWWGYOUUUFUXVIUXVMUVYQUUUFUXVIVIZUXVM
      UXVIUUUFUXVIWBUXVNUXUIXUPUUUFUXUPUXVIUUUFUUVMUXUPUUVOUXUQXBZVMUUUEUUVPUUU
      DUXVIUUVQXQWUSYIXAUXVKXUPUXUIUUUFUVYQUUVPUXVIUWVHYOUUUFUVYQUXUPUXVIUXVOYN
      WWNWWOWCXRUUUGUXVJVIZLYXLUXUIIVNVPZVOVPZYYNWEVPZIVOVPZUUUHXKUXVPBUUUDYYOU
      XVRDVDZVIZLUXVTXKWGZBUUUFYYPUXVJVVHUUUDUUUEBYYPUXVJWWPUXVPYYOUXWAYYOYXRBU
      UUFUXVJWWQYYPBUXVJUXWAUUUFYXRUXVJUXWAYYOYXRUXVJVIUXVRYXQDUXVJUXVRYXQVSYXR
      UXVJYXQUXVRUXVJXUQUXVQYXLVOXUPUXUIIVNXNXPZXEWIYXRUXVJUXHUXAWTWWSVXHBUUUDU
      XWBWSZUXVREVSZUXWCUXWEUXWFVIZYYNFWFWGZUXWCUXWEUXUBUXWFUXWHBUUUDYYOUXUBUXW
      AUXUBVXGWWAUXUBUXWFVIZYYNFUXUBUWWFUXWFUXUCVMUXUBUUVAUXWFBUUUDUUVAYYOUUVBY
      NVMUXUBYYNFXKWGZUXWFBYYOUXWJUUUDBYYOVIZUWWFEYYNXKWGZUXWJUXWKUUVFUWWFUXWLU
      XWJWSZUUVGUXWKUUUPUUVAUUVFUXWMXCBUUUPYYOUUUSVMBUUVAYYOUUVBVMEFYYNWWTVLXDV
      XBZXAVMUXWIFYYNWDZYYIYXLVSZUXWOVHZUXWIFYYNVSZUXWPFYYNWXGUXWIUXWRVIYYIEUXV
      QWEVPZUXVRUXVQWEVPZYXLUXUBUXWRYYIUXWSVSZUXWFBUUUDUXWRUXXAYYOUUWPUXWRVIYYI
      YYNYWJWEVPZFYWJWEVPZUXWSUUWPYYIUXXBVSUXWRUUWPUXXBYYIUUWPYYIYWJUWULUUYQWXA
      XEVMUXWRUXXBUXXCVSUUWPUXWRUXXCUXXBFYYNYWJWEXNXEWIUUWPUXXCUXWSVSUXWRUUWPUX
      XCEIVOVPZYWJWEVPZEYWJIWEVPZWEVPUXWSBUXXCUXXEVSUUUDBFUXXDYWJWEBUXXDEUUUOVO
      VPFIUUUOEVOUDWXBBEFBAYVHUUURYVJXBZBAYVIUUURYVKXBZVWIWXCYSVMUUWPEYWJIBYVHU
      UUDUXXGVMUUYQUWUOWXDUUWPUXXFUXVQEWEUUWPYWIIUWUQUWUOWXEXPWUAVMWQVXDXRUXWFU
      XWSUXWTVSUXUBUXWRUXWFUXWTUXWSUXVREUXVQWEXNXEXQUXWIUXWTYXLVSZUXWRBUUUDUXWF
      UXXIYYOUUWPUXWFVIYXLUXVQBUUYJUUUDUXWFUUYKWHUUWPUXVQWLVDUXWFUUWPUXUIIUUWPY
      WIYKUWUQUUWPVWMYTUWUOWUMVMWXAVXDVMWQWXFUXUBUXWPVHZUXWFUXWQBUUUDUXXJYYOBYY
      IYXLBYYIYXLUUWOUUYGVUCVUBYNWHVXEWXHWXIUXWGUXWHVILFYYNWEVPZUXVTXKUXWEUXWHL
      UXXKXKWGZUXWFBUXWBUXWHUXXLUUUDBYYOUXWHUXXLUXWAUXWKUXWHVIZAYYOYVBUXWHUXXLB
      AYYOUXWHUUURWHZBYYOUXWHXSUXXMAYVBUXXNUHXBUXWKUXWHWBYYOAYYOYVBVIZUXWHWSZUX
      XLAYYOYVBUXWHVXIAUVVQYVBVIZUVVPFWFWGZWSZLFUVVPWEVPZXKWGZXJZUXXPUXXLXJVBYY
      NDUWXLUXXSUXXPUXYAUXXLUWXLUXXQUXXOUXXRUXWHAUWXLUVVQYYOYVBUWXMYHUVVPYYNFWF
      YGYBUWXLUXXTUXXKLXKUVVPYYNFWEYEYFYDYVBUXXSUXYAAUVVQYVBUXXRWVFUVWCUXYBVAFD
      UVVNUVVTUXXSUVWBUXYAUVVNUVVRUXXQUVVSUXXRAUVVNUVVGYVBUVVQUVVOYCUVVFFUVVPWF
      YAYBUVVNUVWAUXXTLXKUVVFFUVVPWEXNYFYDUVYMYPYQYPYQWXJWXKWULXRUXWGUXXKUXVTVS
      UXWHUXWGUXXKFUXVRWEVPZUXVRVOVPZYYNWEVPZUUUOUXVRVOVPZYYNWEVPZUXVTUXWEUXXKU
      XYEVSZUXWFBUXWBUXYHUUUDBUXWAUXYHYYOBUXWAVIZFUXYDYYNWEUXYIUXYDFUXYIFUXVRBY
      VIUXWAUXXHVMUXYIUXVRBDVKUXVRUWVQWOZXHZWXLXEYSXMXAVMUXWFUXYEUXYGVSUXWEUXWF
      UXYDUXYFYYNWEUXWFUXYCUUUOUXVRVOUXVREFWEYEYSYSWIUXWGUXYGUXVRIVOVPZYYNWEVPZ
      UXVTUXWEUXYGUXYMVSZUXWFBUXWBUXYNUUUDBUXWAUXYNYYOUXYIUXYFUXYLYYNWEUXYIUXYF
      IUXVRVOVPZUXYLUXYFUXYOVSUXYIUUUOIUXVRVOIUUUOUDUVBZWXMVRUXYIIUXVRBUVUAUXWA
      UUXBVMUXYKVYSXIYSXMXAVMUXWGUXVRIYYNUXWEUXVRWLVDZUXWFBUXWBUXYQUUUDBUXWAUXY
      QYYOUXYKXMZXAVMUXWEUVUAUXWFBUUUDUVUAUXWBUUXBYNVMUXWEYYNWLVDZUXWFBUXWBUXYS
      UUUDBUXWBVIZYYNBYYOUWWFUXWAUWWGXLZXHZXAVMVYRXIWQVMXFWXNUXWEUXWFVHZEUXVRWF
      WGZUXWCUXWEUYUCVIBUXWAUYUCUYUDBUUUDUXWBUYUCVVHYYOUXWABUUUDUYUCWXOUXWEUYUC
      WBBUXWAUYUCWSEUXVRBUXWAUUUPUYUCUUUSYNBUXWAUXVRVKVDZUYUCUXYJYOBUXWAEUXVRXK
      WGZUYUCUXYIUYUEUYUFUXVRFXKWGZUXYIUXVRXXDVDZUYUEUYUFUYUGWSZBDXXDUXVRUUVDWO
      UXYIUUUPUUVAUYUHUYUIXCBUUUPUXWAUUUSVMBUUVAUXWAUUVBVMEFUXVRWWTVLXDVVSYOUYU
      CBUXVREWDUXWAUXVREWYFUXEWXHWCUXWEUYUDVIZLUXVREWEVPZUXVTUXWEUVUMUYUDBUUUDU
      VUMUXWBUVUOYNVMUXWEUYUKVKVDUYUDUXWEUXVREBUXWBUYUEUUUDBUXWAUYUEYYOUXYJXMZX
      ABUUUDUUUPUXWBUUUSYNYJVMUXWEUXVTVKVDZUYUDBUXWBUYUMUUUDUXYTUXVSIUXYTUXVRYY
      NUYULUYUAYJZBUUWBUXWBUUWDVMZVVTXAVMUYUJAYVAUXWAUYUDLUYUKXKWGZBUUUDUYUDAUX
      WBBAUYUDUUURVMWUPZUYUJAYVAUYUQUGXBYYOUXWABUUUDUYUDWXOUXWEUYUDWBUXWAAYVAUX
      WAVIZUYUDWSZUYUPAYVAUXWAUYUDWVFUVVMUYUSUYUPXJVAUXVRDUVVFUXVRVSZUVVJUYUSUV
      VLUYUPUYUTUVVHUYURUVVIUYUDAUYUTUVVGUXWAYVAUVVFUXVRDXTYCUVVFUXVREWFYAYBUYU
      TUVVKUYUKLXKUVVFUXVREWEXNYFYDUVYNYPYQWXJUXWEUYUKUXVTXKWGZUYUDBUXWBUYVAUUU
      DUXYTUXVSYYNEWEVPZVOVPZUXVSUUUOVOVPZUYUKUXVTXKUXYTUYVBUUUOUXVSUXYTYYNEUYU
      ABUUUPUXWBUUUSVMZYJUXYTUUUOIVKUXYPUYUOXGUYUNUXYTYYNFEUYUABUUVAUXWBUUVBVMU
      YVEBYYOUXWJUXWAUXWNXLWXPWXQUXYTUYUKUXVSYYNVOVPZEWEVPUYVCUXYTUXVRUYVFEWEUX
      YTUYVFUXVRUXYTUXVRYYNUXYRUYUBWXLXEYSUXYTUXVSYYNEUXYTUXVSUYUNXHUYUBBYVHUXW
      BUXXGVMWXRXIUXVTUYVDVSUXYTIUUUOUXVSVOUDWXBVRWXSXAVMWUKVWLWVJWCBUUUFUXVJUX
      VTUUUHVSYYPUUVJUXVJVIUUUHUVUIUXVTUUVJUUUHUVUIVSUXVJUUVJUVUIUUUHUWYKXEVMBU
      UUDUXVJUVUIUXVTVSUUUEUUWPUXVJVIZUUUKUXVSUVUHIVOUXVJUUUKUXVSVSUUWPUXVJYXQU
      XVRYYNWEUXWDYSWIUYVGUVUHYWIUXUIWEVPZIVNVPZUUWTIUXVJUVUHUYVIVSUUWPUXVJUVUG
      UYVHIVNXUPUXUIYWIWEYEYSWIUUUDUYVIUUWTVSBUXVJUUUDUYVHYKIVNUUUDYWIYKUUXPUUU
      DVWMWXTYSXQBUUWTIVSUUUDUXVJUUXCWHWQWVNWXKVXCVXDXFVLWVJWYAWVJWXNBUUUFUUUHY
      YTVSYYPBYYTUUUHBYYIYXLUUWOUUWLBYYIYXLUUWOUUWLUUYGVYGWYBXEYNXFUYFUYGUYHWYC
      ZWYDWYDWYAYXIYXJVHZVIXVRXVQWFWGZYWEYXHUYVKUYVLYWPYWHUYVKUYVLAYWHUYVKVIZUY
      VKUYVLYWHUYVKWBUYVMYXJUYVLUYVMXVSYXJUYVLWURYWFYWGXVSUYVKWUQUYVMXVQXVRYWFY
      WGXVSUYVKVVHYWFYWGXVSUYVKVVIWYGXDWYEUYHWTXRYXIUYVLYWEXJZUYVKAYWFYWGYWPUYV
      NXVSAYWFYWGVIZVIZYWPVIZUYVLYWEUYVQUYVLVIZLXVRXVQWEVPZWJVFZXWAXKUYVRAYWGYW
      FUYVLWSZXVRYWJVOVPZDVDZYXDVIZKVQVGJVQVGZLUYVTXKWGZAUYVOYWPUYVLVVGUYVPUYVL
      UYWAYWPUYVOUYVLUYWAAUYVOUYVLVIYWGYWFUYVLYWFYWGUYVLXSYWFYWGUYVLVUSUYVOUYVL
      WBVUTWTXRYWPUYWEUYVPUYVLYWPXVQUUAVEZIVNVPZVOVPZDVDZXVRUUBVEZIVNVPZVOVPZDV
      DZVIZUUBVQVGUUAVQVGZUYWEYWOUYWOUYWJYWNVIJKUUAUUBVQVQYWIUYWGVSZYWLUYWJYWNU
      YWQYWKUYWIDUYWQYWJUYWHXVQVOYWIUYWGIVNXNXPXOYHXUPUYWKVSZYWNUYWNUYWJUYWRYWM
      UYWMDUYWRXUQUYWLXVRVOXUPUYWKIVNXNXPXOYCWYHUYWPYXDUYWCVIZJVQVGKVQVGUYWSKVQ
      VGJVQVGUYWEUYWOUYWSYXDUYWNVIUUAUUBKJVQVQUYWGXUPVSZUYWJYXDUYWNUYWTUYWIYXCD
      UYWTUYWHXUQXVQVOUYWGXUPIVNXNXPXOYHUYWKYWIVSZUYWNUYWCYXDUYXAUYWMUYWBDUYXAU
      YWLYWJXVRVOUYWKYWIIVNXNXPXOYCWYHUYWSKJVQVQWYIUYWSUYWDJKVQVQYXDUYWCWYJWYKW
      YLUXMXQAYWGYXMXVRYXLWFWGZWSZVIZUYWCYXRVIZKVQVGJVQVGZVIZLXVRYXLWEVPZWJVFZX
      KWGZXJZAUYWAVIZUYWEVIZUYWFXJTUSYXLXVQVSZUYXGUYXMUYXJUYWFUYXNUYXDUYXLUYXFU
      YWEUYXNUYXCUYWAAUYXNYXMYWFUYXBUYVLYWGYXLXVQVKXTYXLXVQXVRWFYAYBYCUYXNUYXEU
      YWDJKVQVQUYXNYXRYXDUYWCUYXNYXQYXCDYXLXVQXUQVOXNXOYCVVJVVKUYXNUYXIUYVTLXKU
      YXNUYXHUYVSWJYXLXVQXVRWEYEVUGYFYDUUUBUYXKSUTYYIXVRVSZYYRUYXGUUUAUYXJUYXOY
      YMUYXDYYQUYXFUYXOYYLUYXCAUYXOYYJYWGYYKUYXBYXMYYIXVRVKXTYYIXVRYXLWFYGVVLYC
      UYXOYYPUYXEJKVQVQUYXOYYOUYWCYXRUYXOYYNUYWBDYYIXVRYWJVOXNXOYHVVJVVKUYXOYYT
      UYXILXKUYXOYYSUYXHWJYYIXVRYXLWEXNVUGYFYDUYVJWYDWYDWYAUYVPUYVTXWAVSZYWPUYV
      LUYVOUYXPAUYVOXVRXVQYWGXYJYWFXVRWYPWIYWFXYIYWGXVQWYPVMWYMWIWHXFWYQWYNVMUY
      HWVJWYAYWCLXWAAUVUMYWAXVSUVUNWHYWBXWAVKVDXVSYWBXVTYWBXVTYWBXVQXVRYWQYWRYJ
      XHUWTVMWUSXDYWBXVSXWBWYOUWDWYRXWCUSUTMMWYSUXCWHWYTXUAXUGXVMXUOXUBUXSXVLXV
      EXVFMXUOVJZXUHXVNVSXVEXVLXVHVRAXVFXVKXVIVMAUYXQXVKXVBVMMOPVKXUOXVJUPXUCWC
      XUDXUEVMVXE $.
  $}

  ${
    fourierdlem43.1 $e |- K = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 1 , (
       s / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) ) $.
    $( ` K ` is a real function.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem43 $p |- K : ( -u _pi [,] _pi ) --> RR $=
      ( cpi cneg co cr cc0 c2 csin wcel wa pire a1i syl3anc wne clt wbr cxr syl
      cicc cv wceq c1 cdiv cfv cmul cif wn renegcld id eliccre adantr rehalfcld
      1red 2re resincld remulcld 2cnd recnd 2ne0 0xr remulcli rexri simpr rexrd
      cioo cle iccleub crp pirp 2timesgt ax-mp lelttrd eliood sinaover2ne0 cico
      adantlr ad2antrr iccgelb 0red neqne ad2antlr lttri5d w3a elico2 mpbir3and
      sylancl renegcli elicore mpan divnegd eqcomd fveq2d negeqd halfcld sinneg
      wb sincld negnegd 3eqtrd negcld icoltub lt0neg1d mpbid icogelb lenegcon1d
      cc negne0d eqnetrrd pm2.61dan mulne0d redivcld ifclda fmpti ) BDEZDUAFZGB
      UBZHUCZUDXRIXRIUEFZJUFZUGFZUEFZUHACXRXQKZXSUDYCGYDXSLUOYDXSUIZLZXRYBYDXRG
      KZYEYDXPGKZDGKZYDYGYDDYIYDMNZUJZYJYDUKZXPDXRULOZUMZYFIYAIGKYFUPNYFXTYFXRY
      NUNUQZURYFIYAYFUSYFYAYOUTIHPZYFVANYFHXRQRZYAHPZYDYQYRYEYDYQLZXRHIDUGFZVGF
      ZKYRYSHYTXRHSKZYSVBNYTSKZYSYTIDUPMVCZVDZNYDYGYQYMUMYDYQVEYDXRYTQRYQYDXRDY
      TYMYJYTGKZYDUUDNYDXPSKZDSKZYDXRDVHRYDXPYKVFZYDDYJVFZYLXPDXRVIODYTQRZYDDVJ
      KUUKVKDVLVMZNVNUMVOXRVPTVRYFYQUIZLZXRXPHVQFKZYRUUNUUOYGXPXRVHRZXRHQRZYDYG
      YEUUMYMVSZYDUUPYEUUMYDUUGUUHYDUUPUUIUUJYLXPDXRVTOVSUUNXRHUURUUNWAYEXRHPYD
      UUMXRHWBWCYFUUMVEWDUUNYHUUBUUOYGUUPUUQWEWRYDYHYEUUMYKVSVBXPHXRWFWHWGUUOXR
      EZIUEFZJUFZEZYAHUUOUVBXTEZJUFZEYAEZEYAUUOUVAUVDUUOUUTUVCJUUOUVCUUTUUOXRIU
      UOXRYHUUOYGDMWIZXPHXRWJWKZUTZUUOUSYPUUOVANWLWMWNWOUUOUVDUVEUUOXTXHKUVDUVE
      UCUUOXRUVHWPZXTWQTWOUUOYAUUOXTUVIWSWTXAUUOUVAUUOUUTUUOUUSUUOXRUVHXBWPWSUU
      OUUSUUAKUVAHPUUOHYTUUSUUBUUOVBNZUUCUUOUUENUUOXRUVGUJZUUOUUQHUUSQRUUOUUGUU
      BUUOUUQUUOXPYHUUOUVFNVFZUVJUUOUKZXPHXRXCOUUOXRUVGXDXEUUOUUSDYTUVKYIUUOMNZ
      UUFUUOUUDNUUODXRUVNUVGUUOUUGUUBUUOUUPUVLUVJUVMXPHXRXFOXGUUKUUOUULNVNVOUUS
      VPTXIXJTXKXLXMXNXO $.
  $}

  $( A condition for having ` ( sin `` ( A / 2 ) ) ` nonzero.  (Contributed by
     Glauco Siliprandi, 11-Dec-2019.) $)
  fourierdlem44 $p |- ( ( A e. ( -u _pi [,] _pi ) /\ A =/= 0 ) -> ( sin ` ( A /
     2 ) ) =/= 0 ) $=
    ( cpi cneg co wcel cc0 wne wa clt wbr csin cfv cxr a1i pire adantr syl wceq
    c2 cr cicc cdiv cmul cioo 0xr remulcli rexri renegcli eliccre syl3anc simpr
    2re cle rexrd iccleub crp pirp 2timesgt lelttrd eliood adantlr sinaover2ne0
    id ax-mp wn simpll 0red simplr lttri5d cc recnd halfcld sinneg 2cnd divnegd
    fveq2d eqtr3d renegcld lt0neg1d mpbid ltnegi iccgelb ltletrd ltnegd negnegd
    2ne0 breqtrd eqnetrd neneqd sincld negeq0d mtbird neqned syl2anc pm2.61dan
    mpbi ) ABCZBUADEZAFGZHZFAIJZASUBDZKLZFGZWTXAHAFSBUCDZUDDZEZXDWRXAXGWSWRXAHZ
    FXEAFMEZXHUENXEMEZXHXESBULOUFZUGZNWRATEZXAWRWQTEZBTEZWRXMXNWRBOUHZNZXOWRONZ
    WRVCZWQBAUIUJZPWRXAUKWRAXEIJXAWRABXEXTXRXETEWRXKNZWRWQMEZBMEZWRABUMJWRWQXQU
    NZWRBXRUNZXSWQBAUOUJBXEIJZWRBUPEYFUQBURVDZNUSPUTVAAVBQWTXAVEZHZWRAFIJZXDWRW
    SYHVFZYIAFYIWRXMYKXTQYIVGWRWSYHVHWTYHUKVIWRYJHZXCFYLXCFRXCCZFRYLYMFYLYMACZS
    UBDZKLZFWRYMYPRYJWRXBCZKLZYMYPWRXBVJEYRYMRWRAWRAXTVKZVLZXBVMQWRYQYOKWRASYSW
    RVNSFGWRWFNVOVPVQPYLYNXFEYPFGYLFXEYNXIYLUENXJYLXLNWRYNTEYJWRAXTVRPYLYJFYNIJ
    WRYJUKYLAWRXMYJXTPZVSVTYLYNXECZCZXEIYLUUBAIJYNUUCIJYLUUBWQAUUBTEYLXEXKUHNZX
    NYLXPNUUAUUBWQIJZYLYFUUEYGBXEOXKWAWPNWRWQAUMJZYJWRYBYCWRUUFYDYEXSWQBAWBUJPW
    CYLUUBAUUDUUAWDVTWRUUCXERYJWRXEWRXEYAVKWEPWGUTYNVBQWHWIYLXCWRXCVJEYJWRXBYTW
    JPWKWLWMWNWO $.

  $( fourierdlem45 removed, because it is identical with
     ~ ioodvbdlimc1lem1 . $)

  ${
    $d F x $.  $d I j x $.  $d M j $.  $d Q j x $.  $d j ph x $.
    fourierdlem46.cn $e |- ( ph -> F e. ( dom F -cn-> CC ) ) $.
    fourierdlem46.rlim $e |- ( ( ph /\ x e. ( ( -u _pi [,) _pi ) \ dom F ) ) ->
       ( ( F |` ( x (,) +oo ) ) limCC x ) =/= (/) ) $.
    fourierdlem46.llim $e |- ( ( ph /\ x e. ( ( -u _pi (,] _pi ) \ dom F ) ) ->
       ( ( F |` ( -oo (,) x ) ) limCC x ) =/= (/) ) $.
    fourierdlem46.qiso $e |- ( ph -> Q Isom < , < ( ( 0 ... M ) , H ) ) $.
    fourierdlem46.qf $e |- ( ph -> Q : ( 0 ... M ) --> H ) $.
    fourierdlem46.i $e |- ( ph -> I e. ( 0 ..^ M ) ) $.
    fourierdlem46.10 $e |- ( ph -> ( Q ` I ) < ( Q ` ( I + 1 ) ) ) $.
    fourierdlem46.qiss $e |- ( ph -> ( ( Q ` I ) (,) ( Q ` ( I + 1 ) ) ) C_ (
       -u _pi (,) _pi ) ) $.
    fourierdlem46.c $e |- ( ph -> C e. RR ) $.
    fourierdlem46.h $e |- H = ( { -u _pi , _pi , C } u. ( ( -u _pi [,] _pi ) \
       dom F ) ) $.
    fourierdlem46.ranq $e |- ( ph -> ran Q = H ) $.
    $( The function ` F ` has a limit at the bounds of every interval induced
       by the partition ` Q ` .  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem46 $p |- ( ph -> ( ( ( F |` ( ( Q ` I ) (,) ( Q ` ( I + 1 ) ) )
       ) limCC ( Q ` I ) ) =/= (/) /\ ( ( F |` ( ( Q ` I ) (,) ( Q ` ( I + 1 )
       ) ) ) limCC ( Q ` ( I + 1 ) ) ) =/= (/) ) ) $=
      ( wcel vj cfv c1 caddc co cioo cres climc c0 wne cdm wa cico cpi cneg ctp
      cr cicc cdif cun wss a1i renegcld tpssi syl3anc iccssred ssdifssd cc0 syl
      pire ffvelrnd sseldd adantr cxr rexrd clt wbr cc ccncf cv wral wceq simpr
      simpl eqeltrd adantll adantlr sselda eldifd eqcomd ad2antrr simplr isorel
      wn wb cz syl12anc mpbird adantllr pm2.65da ralrimiva dfss3 sylibr syl2anc
      cle neqne adantl leneltd eliood pm2.61dan rescncf sylc leidd elicod fvres
      resabs1d oveq1d ne0d cpnf pnfxr xrltled sylancr limcresi rexri jca anbi2d
      eleq1 reseq2d oveq12d neeq1d imbi12d vtoclg ssn0 eqnetrd cioc eliocd cmnf
      wi id mnfxr unssd eqsstrid cfz cfzo elfzofz fzofzp1 crn sseqtrri ioossicc
      ssun2 sstrdi sselid eleqtrd wrex wfn wf ffn fvelrnb mpbid elfzelz simplll
      ad2antlr elfzoelz ioogtlb iooltub btwnnz syl21anc icossre icogelb icoltub
      wiso nrexdv condan icocncflimc 3eltr4d ltpnfd iooss2 fourierdlem10 simpld
      ioossico renegcli simprd ltletrd oveq1 iocssre iocgtlb necomd ioccncflimc
      iocleub ioossioc resabs1 ax-mp eqcomi oveq1i eleq12d mnfltd lelttrd oveq2
      iooss1 ) AEGDUBZGUCUDUEZDUBZUFUEZUGZUWTUHUEZUIUJZUXDUXBUHUEZUIUJZAUWTEUKZ
      TZUXFAUXJULZUXEUWTEUBZUXKUWTEUWTUXBUMUEZUGZUBZUXNUXCUGZUWTUHUEUXLUXEUXKUW
      TUXBUXNAUWTUQTZUXJAFUQUWTAFUNUOZUNCUPZUXRUNURUEZUXIUSZUTZUQRAUXSUYAUQAUXR
      UQTUNUQTZCUQTUXSUQVAAUNUYCAVJVBZVCZUYDQUXRUNCUQVDVEAUXTUQUXIAUXRUNUYEUYDV
      FVGUUAUUBZAVHHUUCUEZFGDMAGVHHUUDUETZGUYGTZNGVHHUUEVIZVKVLZVMAUXBVNTZUXJAU
      XBAFUQUXBUYFAUYGFUXADMAUYHUXAUYGTZNVHHGUUFVIZVKVLZVOZVMAUWTUXBVPVQZUXJOVM
      UXKUXMUXIVAZEUXIVRVSUETZUXNUXMVRVSUETUXKBVTZUXITZBUXMWAUYRUXKVUABUXMUXKUY
      TUXMTZULUYTUWTWBZVUAUXKVUCVUAVUBUXJVUCVUAAUXJVUCULUYTUWTUXIUXJVUCWCUXJVUC
      WDWEWFWGAVUBVUCWNZVUAUXJAVUBULZVUDULZUXCUXIUYTAUXCUXIVAZVUBVUDAVUABUXCWAV
      UGAVUABUXCAUYTUXCTZULZVUAUYTDUUGZTZVUIVUAWNZULZUYTFVUJVUMUYAFUYTUYAUYBFUY
      AUXSUUJRUUHVUMUYTUXTUXIVUIUYTUXTTVULAUXCUXTUYTAUXCUXRUNUFUEUXTPUXRUNUUIUU
      KWHVMVUIVULWCWIUULAFVUJWBVUHVULAVUJFSWJWKUUMVUIVUKWNVULVUIVUKUAVTZDUBZUYT
      WBZUAUYGUUNZAVUKVUQVUHAVUKULZVUKVUQAVUKWCVURDUYGUUOZVUKVUQWOAVUSVUKAUYGFD
      UUPVUSMUYGFDUUQVIVMUAUYGUYTDUURVIUUSWGVUIVUKULZVUPUAUYGVUTVUNUYGTZULVUPVU
      NWPTZVVAVVBVUTVUPVUNVHHUUTUVBVUIVVAVUPVVBWNZVUKVUIVVAULVUPULAVVAVUOUXCTZV
      VCAVUHVVAVUPUVAVUIVVAVUPWLVUIVUPVVDVVAVUIVUPULVUOUYTUXCVUIVUPWCAVUHVUPWLW
      EWGAVVAULZVVDULZGWPTZGVUNVPVQZVUNUXAVPVQZVVCAVVGVVAVVDAUYHVVGNGVHHUVCVIWK
      VVFVVHUWTVUOVPVQZVVFUWTVNTZUYLVVDVVJAVVKVVAVVDAUWTUYKVOZWKZAUYLVVAVVDUYPW
      KZVVEVVDWCZUWTUXBVUOUVDVEVVFUYGFVPVPDUVKZUYIVVAVVHVVJWOAVVPVVAVVDLWKZAUYI
      VVAVVDUYJWKAVVAVVDWLZUYGFGVUNVPVPDWMWQWRVVFVVIVUOUXBVPVQZVVFVVKUYLVVDVVSV
      VMVVNVVOUWTUXBVUOUVEVEVVFVVPVVAUYMVVIVVSWOVVQVVRAUYMVVAVVDUYNWKUYGFVUNUXA
      VPVPDWMWQWRGVUNUVFVEUVGWSWTUVLWTVMUVMXABUXCUXIXBXCZWKVUFUWTUXBUYTAVVKVUBV
      UDVVLWKAUYLVUBVUDUYPWKVUEUYTUQTZVUDAUXMUQUYTAUXQUYLUXMUQVAUYKUYPUWTUXBUVH
      XDWHVMZVUFUWTUYTAUXQVUBVUDUYKWKVWBVUEUWTUYTXEVQZVUDVUEVVKUYLVUBVWCAVVKVUB
      VVLVMZAUYLVUBUYPVMZAVUBWCZUWTUXBUYTUVIVEVMVUDUYTUWTUJVUEUYTUWTXFXGXHVUEUY
      TUXBVPVQZVUDVUEVVKUYLVUBVWGVWDVWEVWFUWTUXBUYTUVJVEVMXIVLWSXJXABUXMUXIXBXC
      AUYSUXJIVMUXIVRUXMEXKXLUVNAUXLUXOWBUXJAUXOUXLAUWTUXMTUXOUXLWBAUWTUXBUWTVV
      LUYPVVLAUWTUYKXMOXNUWTUXMEXOVIWJVMUXKUXDUXPUWTUHUXKUXPUXDUXKEUXCUXMUXCUXM
      VAUXKUWTUXBUVTVBXPWJXQUVOXRAUXJWNZULZUXEEUWTXSUFUEZUGZUXCUGZUWTUHUEZUIAUX
      EVWMWBVWHAVWMUXEAVWLUXDUWTUHAEUXCVWJAXSVNTZUXBXSXEVQUXCVWJVAXTAUXBXSUYPVW
      NAXTVBAUXBUYOUVPYAUWTUXBXSUVQYBXPXQWJVMVWIVWKUWTUHUEZVWMVAVWOUIUJZVWMUIUJ
      UWTUXCVWKYCVWIUXQAUWTUXRUNUMUEZUXIUSZTZULZVWPAUXQVWHUYKVMVWIAVWSAVWHWDVWI
      UWTVWQUXIAUWTVWQTVWHAUXRUNUWTUXRVNTZAUXRUNVJUWAYDZVBUNVNTZAUNVJYDZVBVVLAU
      XRUWTXEVQZUXBUNXEVQZAUXRUNUWTUXBUYEUYDUYKUYOOPUVRZUVSZAUWTUXBUNUYKUYOUYDO
      AVXEVXFVXGUWBZUWCXNVMAVWHWCWIYEAUYTVWRTZULZEUYTXSUFUEZUGZUYTUHUEZUIUJZYRV
      WTVWPYRBUWTUQVUCVXKVWTVXOVWPVUCVXJVWSAUYTUWTVWRYGYFVUCVXNVWOUIVUCVXMVWKUY
      TUWTUHVUCVXLVWJEUYTUWTXSUFUWDYHVUCYSYIYJYKJYLXLVWOVWMYMYBYNXJAUXBUXITZUXH
      AVXPULZUXGUXBEUBZVXQVXRUXGTZUXBEUWTUXBYOUEZUGZUBZVYAUXCUGZUXBUHUEZTZVXQUW
      TUXBVYAAVVKVXPVVLVMAUXBUQTZVXPUYOVMAUYQVXPOVMVXQVXTUXIVAZUYSVYAVXTVRVSUET
      VXQVUABVXTWAVYGVXQVUABVXTVXQUYTVXTTZULUYTUXBWBZVUAVXQVYIVUAVYHVXPVYIVUAAV
      XPVYIULUYTUXBUXIVXPVYIWCVXPVYIWDWEWFWGAVYHVYIWNZVUAVXPAVYHULZVYJULZUXCUXI
      UYTAVUGVYHVYJVVTWKVYLUWTUXBUYTAVVKVYHVYJVVLWKAUYLVYHVYJUYPWKVYKVWAVYJVYKV
      XTUQUYTVYKVVKVYFVXTUQVAAVVKVYHVVLVMZAVYFVYHUYOVMUWTUXBUWEXDAVYHWCZVLVMZVY
      KUWTUYTVPVQZVYJVYKVVKUYLVYHVYPVYMAUYLVYHUYPVMZVYNUWTUXBUYTUWFVEVMVYLUYTUX
      BVYOAVYFVYHVYJUYOWKVYKUYTUXBXEVQZVYJVYKVVKUYLVYHVYRVYMVYQVYNUWTUXBUYTUWIV
      EVMVYJUXBUYTUJVYKVYJUYTUXBUYTUXBXFUWGXGXHXIVLWSXJXABVXTUXIXBXCAUYSVXPIVMU
      XIVRVXTEXKXLUWHAVXSVYEWOVXPAVXRVYBUXGVYDAVYBVXRAUXBVXTTVYBVXRWBAUWTUXBUXB
      VVLUYPUYPOAUXBUYOXMYPUXBVXTEXOVIWJUXGVYDWBAUXDVYCUXBUHVYCUXDUXCVXTVAVYCUX
      DWBUWTUXBUWJEUXCVXTUWKUWLUWMUWNVBUWOVMWRXRAVXPWNZULZUXGEYQUXBUFUEZUGZUXCU
      GZUXBUHUEZUIVYTUXDWUCUXBUHAUXDWUCWBVYSAWUCUXDAEUXCWUAAYQVNTZYQUWTXEVQUXCW
      UAVAYTAYQUWTWUEAYTVBVVLAUWTUYKUWPYAYQUWTUXBUWSYBXPWJVMXQVYTWUBUXBUHUEZWUD
      VAWUFUIUJZWUDUIUJUXBUXCWUBYCVYTVYFAUXBUXRUNYOUEZUXIUSZTZULZWUGAVYFVYSUYOV
      MVYTAWUJAVYSWDVYTUXBWUHUXIVYTUXRUNUXBVXAVYTVXBVBVXCVYTVXDVBAUYLVYSUYPVMAU
      XRUXBVPVQVYSAUXRUWTUXBUYEUYKUYOVXHOUWQVMAVXFVYSVXIVMYPAVYSWCWIYEAUYTWUITZ
      ULZEYQUYTUFUEZUGZUYTUHUEZUIUJZYRWUKWUGYRBUXBUQVYIWUMWUKWUQWUGVYIWULWUJAUY
      TUXBWUIYGYFVYIWUPWUFUIVYIWUOWUBUYTUXBUHVYIWUNWUAEUYTUXBYQUFUWRYHVYIYSYIYJ
      YKKYLXLWUFWUDYMYBYNXJYE $.
  $}

  ${
    $d A m $.  $d B m $.  $d C m $.  $d D m $.  $d E m $.  $d F m $.  $d G m $.
    $d I m x $.  $d M m r x $.  $d ph r x $.
    fourierdlem47.ibl $e |- ( ph -> ( x e. I |-> F ) e. L^1 ) $.
    fourierdlem47.iblmul $e |- ( ( ph /\ r e. RR ) -> ( x e. I |-> ( F x. -u G
       ) ) e. L^1 ) $.
    fourierdlem47.f $e |- ( ( ph /\ x e. I ) -> F e. CC ) $.
    fourierdlem47.g $e |- ( ( ( ph /\ x e. I ) /\ r e. CC ) -> G e. CC ) $.
    fourierdlem47.absg $e |- ( ( ( ph /\ x e. I ) /\ r e. RR ) -> ( abs ` G )
       <_ 1 ) $.
    fourierdlem47.a $e |- ( ph -> A e. CC ) $.
    fourierdlem47.x $e |- X = ( abs ` A ) $.
    fourierdlem47.c $e |- ( ph -> C e. CC ) $.
    fourierdlem47.y $e |- Y = ( abs ` C ) $.
    fourierdlem47.z $e |- Z = S. I ( abs ` F ) _d x $.
    fourierdlem47.e $e |- ( ph -> E e. RR+ ) $.
    fourierdlem47.b $e |- ( ( ph /\ r e. CC ) -> B e. CC ) $.
    fourierdlem47.absb $e |- ( ( ph /\ r e. RR ) -> ( abs ` B ) <_ 1 ) $.
    fourierdlem47.d $e |- ( ( ph /\ r e. CC ) -> D e. CC ) $.
    fourierdlem47.absd $e |- ( ( ph /\ r e. RR ) -> ( abs ` D ) <_ 1 ) $.
    fourierdlem47.m $e |- M = ( ( |_ ` ( ( ( ( X + Y ) + Z ) / E ) + 1 ) ) + 1
       ) $.
    $( For ` r ` large enough, the final expression is less than the given
       positive ` E ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem47 $p |- ( ph -> E. m e. NN A. r e. ( m (,) +oo ) ( abs ` ( ( (
       A x. -u ( B / r ) ) - ( C x. -u ( D / r ) ) ) - S. I ( F x. -u ( G / r )
       ) _d x ) ) < E ) $=
      ( cn wcel cv cdiv co cneg cmul cmin citg cabs cfv clt cpnf cioo wral wrex
      wbr caddc c1 cfl cz cc0 cr abscld eqeltrid readdcld iblabs itgrecl rpne0d
      wa cc rpred redivcld 1red flcld 0red reflcl syl a1i cle absge0d breqtrrdi
      0lt1 cn0 addge0d itgge0 divge0d flge0nn0 syl2anc nn0addge1 wceq 1z fladdz
      sylancl nn0cnd recnd addcomd eqtr2d breqtrd elnnz sylanbrc peano2nnd cmpt
      ltletrd cibl elioore sylan2 adantlr simpll simpr ad2antlr syl21anc adantr
      crp adantl eqcomi oveq12i oveq1i negcld mulcld itgcl eqeltrrid wne itgabs
      eqid eqbrtrd cxr syldan absmuld recn absnegd lemul2ad mulid1d itgle letrd
      leadd2dd lediv1dd flltp1 breqtrrd lelttrd rexrd pnfxr ioogtlb lttrd ltled
      ltadd1dd syl3anc fourierdlem30 ralrimiva oveq1 raleqdv rspcev ) ALUMUNCDP
      UOZUPUQURUSUQEFUVEUPUQURUSUQUTUQBKIJUVEUPUQURUSUQVAUTUQVBVCHVDVIZPLVEVFUQ
      ZVGZUVFPGUOZVEVFUQZVGZGUMVHALMNVJUQZOVJUQZHUPUQZVKVJUQZVLVCZVKVJUQZUMULAU
      VPAUVPVMUNVNUVPVDVIUVPUMUNAUVOAUVNVKAUVMHAUVLOAMNAMCVBVCZVOUCACUBVPZVQZAN
      EVBVCZVOUEAEUDVPZVQZVRZAOBKIVBVCZVAZVOUFABKUWEABUOKUNZWBZISVPZABKIWCSQVSZ
      VTVQZVRZAHUGWDZAHUGWAZWEZAWFZVRZWGAVNVKUVPAWHUWPAUVOVOUNZUVPVOUNZUWQUVOWI
      ZWJVNVKVDVIAWOWKAVKVKUVNVLVCZVJUQZUVPWLAVKVOUNUXAWPUNZVKUXBWLVIUWPAUVNVOU
      NZVNUVNWLVIUXCUWOAUVMHUWLUGAUVLOUWDUWKAMNUVTUWCAVNUVRMWLACUBWMUCWNAVNUWAN
      WLAEUDWMUEWNWQAVNUWFOWLABKUWEUWJUWIUWHISWMWRUFWNWQWSUVNWTXAZVKUXAXBXAAUVP
      UXAVKVJUQZUXBAUXDVKVMUNZUVPUXFXCZUWOXDUVNVKXEZXFAUXAVKAUXAUXEXGAVKUWPXHXI
      XJXKXPUVPXLXMXNVQAUVFPUVGAUVEUVGUNZWBZBCDEFUVEHIJKMNBKIJURZUSUQZVAZVBVCZU
      XJAUVEVOUNZBKUXMXOXQUNUVELVEXRZRXSZAUWGIWCUNUXJSXTZUXKUWGWBZAUWGUVEWCUNZJ
      WCUNZAUXJUWGYAZUXKUWGYBZUXTUVEUXJUXPAUWGUXQYCZXHTYDZACWCUNUXJUBYEUCAEWCUN
      UXJUDYEUEUXOYQAHYFUNUXJUGYEZUXJUXPAUXQYGZUXKUVLUXOVJUQZHUPUQZVKVJUQZUVEUX
      KUYJVKUXKUYIHUXKUYIUVRUWAVJUQZUXOVJUQVOUYLUVLUXOVJUVRMUWANVJMUVRUCYHNUWAU
      EYHYIYJUXKUYLUXOUXKUVRUWAAUVRVOUNUXJUVSYEZAUWAVOUNUXJUWBYEZVRUXKUXNUXKBKU
      XMWCUXTIUXLUXSUXTJUYFYKZYLZUXRYMVPZVRYNZAHVOUNUXJUWMYEZAHVNYOUXJUWNYEZWEZ
      UXKWFZVRZUYHUXKUYKLUVEVUCUXKLUVQVOULUXKUVPVKUXKUWRUWSUXKUVNVKUXKUVMHUXKUV
      LOUXKMNUXKMUVRVOUCUYMVQUXKNUWAVOUEUYNVQVRZAOVOUNUXJUWKYEZVRZUYSUYTWEZVUBV
      RUWTWJZVUBVRVQZUYHUXKUYKUVQLVDUXKUYJUVPVKVUAVUHVUBUXKUYJUVNUVPVUAVUGVUHUX
      KUYIUVMHUYRVUFUYGUXKUXOOUVLUYQVUEVUDUXKUXOBKUXMVBVCZVAZOUYQUXKBKVUJUXTUXM
      UYPVPZUXKBKUXMWCUYPUXRVSZVTVUEUXKBKUXMWCUYPUXRYPUXKVUKUWFOWLUXKBKVUJUWEVU
      MABKUWEXOXQUNUXJUWJYEVULUXTIUXSVPZUXTVUJUWEUXLVBVCZUSUQZUWEWLUXTIUXLUXSUY
      OUUAUXTVUPUWEVKUSUQUWEWLUXTVUOVKUWEUXTUXLUYOVPUXTWFVUNUXTIUXSWMUXTAUWGUXP
      VUOVKWLVIUYCUYDUYEUWHUXPWBZVUOJVBVCVKWLVUQJUXPUWHUYAUYBUVEUUBTXSUUCUAYRYD
      UUDUXTUWEUXTUWEVUNXHUUEXKYRUUFUFWNUUGUUHUUIUXKUVNUXFUVPVDUXKUXDUVNUXFVDVI
      VUGUVNUUJWJUXKUXDUXGUXHVUGXDUXIXFUUKUULUURULWNUXKLYSUNVEYSUNZUXJLUVEVDVIU
      XKLVUIUUMVURUXKUUNWKAUXJYBLVEUVEUUOUUSUUPUUQAUXJUYADWCUNUXKUVEUYHXHZUHYTU
      XJAUXPDVBVCVKWLVIUXQUIXSAUXJUYAFWCUNVUSUJYTUXJAUXPFVBVCVKWLVIUXQUKXSUUTUV
      AUVKUVHGLUMUVILXCUVFPUVJUVGUVILVEVFUVBUVCUVDXA $.
  $}

  ${
    $d A i j x $.  $d A i m p $.  $d B i j k x $.  $d B i m p $.
    $d D j k w x $.  $d E i j k $.  $d E i k y $.  $d F i j k w x $.
    $d F i k w x y z $.  $d M i j k $.  $d M i m p $.  $d M i k y $.
    $d Q i j k w x $.  $d Q i p $.  $d Q i k w x y z $.  $d T i j k w x $.
    $d T i k w x y z $.  $d X i j k w x $.  $d X i k w x y z $.  $d Z x $.
    $d ch w x z $.  $d i j k ph x $.  $d ph x y $.
    fourierdlem48.a $e |- ( ph -> A e. RR ) $.
    fourierdlem48.b $e |- ( ph -> B e. RR ) $.
    fourierdlem48.altb $e |- ( ph -> A < B ) $.
    fourierdlem48.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem48.t $e |- T = ( B - A ) $.
    fourierdlem48.m $e |- ( ph -> M e. NN ) $.
    fourierdlem48.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem48.f $e |- ( ph -> F : D --> RR ) $.
    fourierdlem48.dper $e |- ( ( ph /\ x e. D /\ k e. ZZ ) -> ( x + ( k x. T )
       ) e. D ) $.
    fourierdlem48.per $e |- ( ( ph /\ x e. D /\ k e. ZZ ) -> ( F ` ( x + ( k x.
       T ) ) ) = ( F ` x ) ) $.
    fourierdlem48.cn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem48.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem48.x $e |- ( ph -> X e. RR ) $.
    fourierdlem48.z $e |- Z = ( x e. RR |-> ( ( |_ ` ( ( B - x ) / T ) ) x. T )
       ) $.
    fourierdlem48.e $e |- E = ( x e. RR |-> ( x + ( Z ` x ) ) ) $.
    fourierdlem48.ch $e |- ( ch <-> ( ( ( ( ph /\ i e. ( 0 ..^ M ) ) /\ y e. (
       ( Q ` i ) [,) ( Q ` ( i + 1 ) ) ) ) /\ k e. ZZ ) /\ y = ( X + ( k x. T )
       ) ) ) $.
    $( The given periodic function ` F ` has a right limit at every point in
       the reals.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem48 $p |- ( ph -> ( ( F |` ( X (,) +oo ) ) limCC X ) =/= (/) ) $=
      ( vw vj vz cpnf cioo co cres climc wne wceq wa cmin cv c1 caddc cico wcel
      cfv cmul cz cc0 clt wbr syl3anbrc adantr cr resubcld mpbid id a1i oveq12d
      wrex recnd wf syl cn0 ffvelrnd rexrd cle eqcomd eleq1 anbi2d fveq2 fveq2d
      wi oveq1 imbi12d elicod eqeltrd adantl oveq1d zred readdcld oveq2d rspcev
      eleq2d syl2anc ovex simpr w3a cc wss sylibr syl3anc breqtrd eliood sseldd
      cxr eleq1d vtocl eqid eqtr2d cmnf sselda eleqtrd ad2antrr adantlr 3adant3
      cvv wn mpd cioc ad2antlr adantllr c0 cfzo simpl 0zd nnzd nngt0d fzolb cfl
      cdiv eqeltrid posdifd breqtrrdi gt0ne0d redivcld zsubcld nncand sylan9eqr
      flcld 1zzd cfz cmap wral cn wb fourierdlem2 simpld elmapi nnnn0d eleqtrdi
      cuz nn0uz eluzfz1 0le1 nnge1d elfzd simplld leidd eqbrtrd breq12d simprrd
      simprd 0re r19.21bi vtoclg ax-mp mpdan 1e0p1 fveq2i oveq2i oveq2 remulcld
      cmpt fvmptd eqtrd addsubassd zcnd mulsubfacd 3eqtrd eqeq2d anbi1d rexbidv
      syl12anc eqeq1 anbi12d 2rexbidv imbi1d nfre1 nfan nfcv nfrex simp1 simp2l
      nfv simp3l simp2r simp3r cin cdm wrel biimpi frel 3syl resindm fdm ineq2d
      jca31 reseq2d ccnfld ctopn csn crest ax-resscn fssd inss2 fssresd simplrd
      fzofzp1 ltpnfd xrltled iooss2 cneg mulneg1d elioore mulcld addcld negsubd
      pnfxr 3eqtrrd ccncf cncff ssdmres sseqtrd elfzofz simprbi icogelb ioogtlb
      cun pncand ltadd1dd lelttrd iooltub znegcld 3anbi2d negex 3anbi3d chvarvv
      npcand ralrimiva dfss3 ssind ioosscn ssinss1 cnt icossre icoltub ltsub1dd
      mp1i snunioo1 ctop cnfldtop inex1 snex unex resttop mp2an crn ctg elrestr
      retop iooretop mnfxr vsnid sneq elun2 neqne leneltd sseli elind pm2.61dan
      mnfltd elun1 elinel1 elinel2 eqled simpll simplr sylnibr elunnel2 impbida
      velsn ltled sylan2 eqrdv ioossre snssd unssd 3eltr4d isopn3i limcres crab
      rerest resabs1d feq2d mpbird sseqtrrd elrab nfrabw nfcri simp3 limcperiod
      3exp rexlimd iooshift iooss1 negcld eqeq1d renegcld 3eqtr2d fourierdlem32
      sstrd ne0i eqnetrd sylbir syl21anc rexlim2d iocssre fvmpt2 mpan2 mpteq2ia
      cif eqtri fourierdlem4 wfn fvelrnb elfzelz elfzle1 simprld iocgtlb neneqd
      ffn gtned ad3antrrr pm2.65da neqned ne0gt0d eqbrtrid eluz2 nnuz eleqtrrdi
      zltp1le nnm1nn0 peano2zm elfzel2 elfzle2 ltletrd elfzo2 nn0ge0d ffvelrnda
      ltm1d simplll 1cnd eliocd ex rexlimdva csup cicc iocssicc sseqtrid breq1d
      cbvrabv fourierdlem25 ioossioc reximdva cbvrexvw sylib elfzonn0 nn0addcld
      supeq1i 1nn0 3ad2antl2 3ad2antl1 1red elfzop1le2 simpllr simpl1l 3adantl3
      nn0red simpl2 3adant1r 3ad2ant1 iocleub sylan rexlimdv3a r19.42v sylanbrc
      necomd reximdv jca sylc pm2.61dane ) APRUTVAVBZVCZRVDVBZUUAVEZROVNZFAWYEF
      VFZVGZAWYEKVHVBZLVIZIVNZWYIVJVKVBZIVNZVLVBZVMZWYHRMVIZKVOVBZVKVBZVFZVGZMV
      PWHZLVQQUUBVBZWHZWYDAWYFUUCWYGVQXUAVMZWYHVQIVNZVQVJVKVBZIVNZVLVBZVMZWYRVG
      ZMVPWHZXUBAXUCWYFAVQVPVMZQVPVMZVQQVRVSXUCAUUDZAQUFUUEZAQUFUUFVQQUUGVTZWAW
      YGFRVHVBZKUUIVBZUUHVNZVJVHVBZVPVMXUHWYHRXUSKVOVBZVKVBZVFZXUJWYGXURVJWYGXU
      QAXUQWBVMWYFAXUPKAFRUBUMWCAKFEVHVBZWBUEAFEUBUAWCUUJZAKAVQXVCKVRAEFVRVSVQX
      VCVRVSUCAEFUAUBUUKWDUEUULUUMUUNZWAUURWYGUUSUUOWYGWYHEXUGWYFAWYHFXVCVHVBEW
      YFWYEFKXVCVHWYFWEKXVCVFWYFUEWFWGAFEAFUBWIAEUAWIUUPUUQAEXUGVMWYFAEXUDVJIVN
      ZVLVBXUGAXUDXVFEAXUDAVQQUUTVBZWBVQIAIWBXVGUVAVBVMZXVGWBIWJZAXVHXUDEVFZQIV
      NZFVFZVGZWYJWYLVRVSZLXUAUVBZVGZAIQHVNVMZXVHXVPVGZUGAQUVCVMZXVQXVRUVDUFEFH
      ILNQTUDUVEWKWDZUVFIWBXVGUVGWKZAQVQUVJVNZVMVQXVGVMAQWLXWBAQUFUVHUVKUVIVQQU
      VLWKWMWNAXVFAXVGWBVJIXWAAVJVQQXUMXUNAUUSVQVJWOVSAUVMWFAQUFUVNUVOWMWNAEUAW
      NZAXUDEEWOAXVJXVLXVOAXVHXVPXVTUWAUVPZAEUAUVQUVRAEXUDXVFVRAXUDEXWDWPAXUDXU
      FXVFVRAXUCXUDXUFVRVSZXUOVQWBVMAXUCVGZXWEXAZUWBAWYIXUAVMZVGZXVNXAZXWGLVQWB
      WYIVQVFZXWIXWFXVNXWEXWKXWHXUCAWYIVQXUAWQWRXWKWYJXUDWYLXUFVRWYIVQIWSZXWKWY
      KXUEIWYIVQVJVKXBWTZUVSXCAXVNLXUAAXVHXVMXVOXVTUVTUWCZUWDUWEUWFVJXUEIUWGUWH
      ZUULUVRXDXVFXUFXUDVLXWOUWIUVIWAXEAXVBWYFAWYHRXURKVOVBZVKVBZKVHVBRXWPKVHVB
      ZVKVBXVAAWYEXWQKVHAWYERRSVNZVKVBZXWQACRCVIZXXASVNZVKVBZXWTWBOWBOCWBXXCUWL
      ZVFAUOWFXXARVFZXXCXWTVFAXXEXXARXXBXWSVKXXEWEZXXARSWSWGXFUMARXWSUMAXWSXWPW
      BACRFXXAVHVBZKUUIVBZUUHVNZKVOVBZXWPWBSWBSCWBXXJUWLVFAUNWFXXEXXJXWPVFAXXEX
      XIXURKVOXXEXXHXUQUUHXXEXXGXUPKUUIXXARFVHUWJXGWTXGXFUMAXURKAXURAXUQXVEUURZ
      XHXVDUWKZUWMZXXLXEXIUWMAXWSXWPRVKXXMXJUWNZXGARXWPKARUMWIAXWPXXLWIAKXVDWIZ
      UWOAXWRXUTRVKAXURKAXURXXKUWPXXOUWQXJUWRWAXUIXUHXVBVGMXUSVPWYOXUSVFZWYRXVB
      XUHXXPWYQXVAWYHXXPWYPXUTRVKWYOXUSKVOXBXJUWSWRXKUXBWYTXUJLVQXUAXWKWYSXUIMV
      PXWKWYNXUHWYRXWKWYMXUGWYHXWKWYJXUDWYLXUFVLXWLXWMWGXLUWTUXAXKXMADVIZWYMVMZ
      XXQWYQVFZVGZMVPWHZLXUAWHZVGZWYDXAZAXUBVGZWYDXADWYHWYEKVHXNXXQWYHVFZXYCXYE
      WYDXYFXYBXUBAXYFXXTWYSLMXUAVPXYFXXRWYNXXSWYRXXQWYHWYMWQXXQWYHWYQUXCUXDUXE
      WRUXFXYCXYBWYDAXYBXOXYCXXTWYDLMXUAVPAXYBLALUXMXYALXUAUXGUXHAXYBMAMUXMXYAM
      LXUAMXUAUXIXXTMVPUXGUXJUXHAXWHWYOVPVMZVGZXXTWYDXAXAXYBAXYHXXTWYDAXYHXXTXP
      ZXWIXXRVGZXYGXXSWYDXYIAXWHXXRAXYHXXTUXKAXWHXYGXXTUXLAXYHXXRXXSUXNUYFAXWHX
      YGXXTUXOAXYHXXRXXSUXPXYJXYGVGZXXSVGZBWYDUPBWYCPXXQWYLVAVBZVCZXXQVDVBZUUAB
      WYCPWYAGUXQZVCZRVDVBXYQRWYLWYPVHVBZVAVBZVCZRVDVBZXYOBWYBXYQRVDBWYBPWYAPUX
      RZUXQZVCZXYQBPUXSZWYBYUDVFBAGWBPWJZYUEBAXWHXXRBXYJXYGXXSBXYLUPUXTZUVPZUVP
      ZUHGWBPUYAUYBYUEYUDWYBPWYAUYCWPWKBYUCXYPPBYUBGWYABAYUFYUBGVFZYUIUHGWBPUYD
      ZUYBZUYEUYGUWNXGBXYPRXYSXYQUYHUYIVNZXYPRUYJZVUQZUYKVBZYUMBGXQXYPPBGWBXQPB
      AYUFYUIUHWKWBXQXRZBUYLWFUYMXYPGXRBWYAGUYNWFUYOBXYSWYAGBUTYDVMZXYRUTWOVSXY
      SWYAXRYURBVUGWFZBXYRUTBXYRBWYLWYPBAXWHWYLWBVMZYUIBAXWHXXRYUHUYPZXWIXVGWBW
      YKIAXVIXWHXWAWAZXWHWYKXVGVMAVQQWYIUYQXFWMXMZBWYOKBWYOBXYJXYGXXSYUGUYPZXHZ
      BAKWBVMZYUIXVDWKZUWKZWCZWNZYUSBXYRYVIUYRUYSRXYRUTUYTXMBUQVIZGVMZUQXYSUVBZ
      XYSGXRZBYVLUQXYSBYVKXYSVMZVGZYVKYVKWYPVKVBZWYOVUAZKVOVBZVKVBZGYVPYVTYVQWY
      PVUAZVKVBZYVQWYPVHVBZYVKYVPYVSYWAYVQVKYVPWYOKYVPWYOBXYGYVOYVDWAZUWPZBKXQV
      MYVOBKYVGWIZWAZVUBXJYVPYVQWYPYVPYVKWYPYVOYVKXQVMZBYVOYVKYVKRXYRVUCZWIXFZY
      VPWYOKYWEYWGVUDZVUEYWKVUFYVPYVKWYPYWJYWKVURVUHYVPAYVQGVMZYVRVPVMZYVTGVMZB
      AYVOYUIWAZYVPWYJWYLVAVBZGYVQBYWPGXRZYVOBXWIYWQBXWIXXRYUHUVFXWIYWPYUBGXWIP
      YWPVCZUXRYWPVFZYWPYUBXRXWIYWRYWPXQVUIVBVMZYWPXQYWRWJYWSUKYWPXQYWRVUJYWPXQ
      YWRUYDUYBYWPPVUKXSAYUJXWHAYUFYUJUHYUKWKZWAVULWKZWAZYVPWYJWYLYVQBWYJYDVMZY
      VOBWYJBAXWHWYJWBVMZYUIYVAXWIXVGWBWYIIYVBXWHWYIXVGVMAWYIVQQVUMXFWMXMZWNZWA
      ZBWYLYDVMZYVOBWYLYVCWNZWAZYVPYVKWYPYVOYVKWBVMBYWIXFZYVPWYOKYVPWYOYWDXHYVP
      AYVFYWOXVDWKUWKZXIZYVPWYJWYQYVQBYXEYVOYXFWABWYQWBVMYVOBRWYPBARWBVMZYUIUMW
      KZYVHXIWAYXNBWYJWYQWOVSZYVOBYXDYXIWYQWYMVMYXQYXGYXJBWYQXXQWYMBXXQWYQBXYKX
      XSUPVUNZWPZBXWIXXRYUHUWAZXEWYJWYLWYQVUOXTWAYVPRYVKWYPYVPAYXOYWOUMWKZYXLYX
      MYVPRYDVMZXYRYDVMZYVORYVKVRVSYVPRYYAWNZYVPXYRYVPWYLWYPBYUTYVOYVCWAYXMWCZW
      NZBYVOXOZRXYRYVKVUPXTVUSVUTZYVPYVQXYRWYPVKVBZWYLVRYVPYVKXYRWYPYXLYYEYXMYV
      PYYBYYCYVOYVKXYRVRVSYYDYYFYYGRXYRYVKVVAXTVUSBYYIWYLVFYVOBWYLWYPBWYLYVCWIZ
      BWYPYVHWIZVVGZWAYAZYBYCZYVPWYOYWDVVBZAXXAGVMZYWMXPZXXAYVSVKVBZGVMZXAZAYWL
      YWMXPZYWNXAZCYVQYVKWYPVKXNZXXAYVQVFZYYQUUUAYYSYWNUUUDYYPYWLAYWMXXAYVQGWQZ
      VVCUUUDYYRYVTGXXAYVQYVSVKXBYEXCAYYPURVIZVPVMZXPZXXAUUUFKVOVBZVKVBZGVMZXAZ
      YYTURYVRWYOVVDZUUUFYVRVFZUUUHYYQUUUKYYSUUUNUUUGYWMAYYPUUUFYVRVPWQZVVEZUUU
      NUUUJYYRGUUUNUUUIYVSXXAVKUUUFYVRKVOXBZXJZYEXCAYYPXYGXPZXXAWYPVKVBZGVMZXAU
      UULMURWYOUUUFVFZUUUSUUUHUUVAUUUKUUVBXYGUUUGAYYPWYOUUUFVPWQVVEZUUVBUUUTUUU
      JGUUVBWYPUUUIXXAVKWYOUUUFKVOXBXJZYEXCUIVVFZYFZYFXTXEVVHUQXYSGVVIZXSVVJZWY
      AXQXRXYPXQXRBRUTVVKWYAGXQVVLVVQYUMYGZYUPYGBRRXYRVLVBZXYSYUNVUQZYUPVVMVNZV
      NZBRXYRRBRYXPWNZYVJUUVNBRYXPUVQBRXXQWYPVHVBZXYRVRBUUVOWYQWYPVHVBRBXXQWYQW
      YPVHYXRXGBRWYPBRYXPWIYYKVURYHZBXXQWYLWYPBWYMWBXXQBYXEYXIWYMWBXRYXFYXJWYJW
      YLVVNXMYXTYCZYVCYVHBYXDYXIXXRXXQWYLVRVSYXGYXJYXTWYJWYLXXQVVOXTZVVPUVRZXDB
      UUVMUUVJUUVLVNZUUVJBUUVKUUVJUUVLBYYBYYCRXYRVRVSUUVKUUVJVFUUVNYVJUUVSRXYRV
      VRXTWTBYUPVVSVMZUUVJYUPVMUUVTUUVJVFUUWABYUMVVSVMYUOYOVMZUUWAYUMUUVIVVTXYP
      YUNWYAGRUTVAXNVWARVWBVWCZYUOYUMYOVWDVWEWFBYIXYRVAVBZYUOUXQZVAVWFVWGVNZYUO
      UYKVBZUUVJYUPBUUWFVVSVMZUUWBUUWDUUWFVMZUUWEUUWGVMUUWHBVWIWFUUWBBUUWCWFUUW
      IBYIXYRVWJWFUUWDYUOUUWFVVSYOVWHXTBCUUVJUUWEBXXAUUVJVMZXXAUUWEVMZBUUWJVGZU
      UWDYUOXXAUUWLYIXYRXXAYIYDVMZUUWLVWKWFBYYCUUWJYVJWAZBUUVJWBXXABYXOYYCUUVJW
      BXRYXPYVJRXYRVVNXMYJZUUWLXXAUUWOVWTUUWLYYBYYCUUWJXXAXYRVRVSZBYYBUUWJUUVNW
      AZUUWNBUUWJXOZRXYRXXAVVOXTZYBUUWLXXEXXAYUOVMZXXEUUWTUUWLXXEXXAYUNVMZUUWTX
      XEXXAXXAUYJZYUNXXAUUXBVMXXECVWLWFXXARVWMYKXXAYUNXYPVWNWKXFUUWLXXEYPZVGZXX
      AXYPVMZUUWTUUXDWYAGXXAUUXDRUTXXABYYBUUWJUUXCUUVNYLZYURUUXDVUGWFUUWLXXAWBV
      MZUUXCUUWOWAZUUXDRXXABYXOUUWJUUXCYXPYLUUXHUUWLRXXAWOVSZUUXCUUWLYYBYYCUUWJ
      UUXIUUWQUUWNUUWRRXYRXXAVUOXTWAUUXCXXARVEUUWLXXARVWOXFVWPZUUXDXXAUUXHUYRYB
      UUXDXYSGXXABYVNUUWJUUXCBYVMYVNBYVLUQXYSYVPYVKYVTGYVPYVTYWBYWCYVKBYVTYWBVF
      YVOBYVSYWAYVQVKBWYOKBWYOYVDUWPZYWFVUBZXJWAYVPYVQWYPYVPYVKWYPYVOYWHBXYSXQY
      VKRXYRVVKZVWQXFZBWYPXQVMZYVOYYKWAZVUEUUXPVUFYVPYVKWYPUUXNUUXPVURVUHYVPAYW
      LYWMYWNYWOYVPYWPGYVQYXCYVPWYJWYLYVQYXHYXKYVPYVKWYPYXLBWYPWBVMYVOYVHWAXIYY
      HYYMYBYCYYOAYWLUUUGXPZYVQUUUIVKVBZGVMZXAZUUUBURYVRUUUMUUUNUUXQUUUAUUXSYWN
      UUUNUUUGYWMAYWLUUUOVVEUUUNUUXRYVTGUUUNUUUIYVSYVQVKUUUQXJYEXCUUULUUXTCYVQU
      UUCUUUDUUUHUUXQUUUKUUXSUUUDYYPYWLAUUUGUUUEVVCUUUDUUUJUUXRGXXAYVQUUUIVKXBY
      EXCUUVEYFYFXTXEVVHUUVGXSZYLUUXDRXYRXXAUUXFBYYCUUWJUUXCYVJYLUUXHUUXJUUWLUU
      WPUUXCUUWSWAYBYCVWRXXAXYPYUNVXAWKVWSVWRBUUWKVGRXYRXXABYYBUUWKUUVNWABYYCUU
      WKYVJWAUUWKXXAYDVMBUUWKXXAUUWKXXAUUWDVMZUUXGXXAUUWDYUOVXBZXXAYIXYRVUCWKWN
      XFUUWKBUUWTUUXIXXAUUWDYUOVXCBUUWTVGZXXEUUXIBXXEUUXIUUWTBXXEVGRXXABYXOXXEY
      XPWAXXERXXAVFBXXEXXARXXFWPXFVXDYMUUYDUUXCVGZBXXAWYAVMZUUXIBUUWTUUXCVXEUUY
      EUUXEUUYFUUYEUUWTUUXAYPZUUXEBUUWTUUXCVXFUUXCUUYGUUYDUUXCXXEUUXAUUXCWECRVX
      JVXGXFXXAXYPYUNVXHXMXXAWYAGVXBWKBUUYFVGZRXXABYXOUUYFYXPWAUUYFUUXGBXXARUTV
      UCXFUUYHYYBYURUUYFRXXAVRVSBYYBUUYFUUVNWAYURUUYHVUGWFBUUYFXORUTXXAVUPXTVXK
      XMVWSVXLUUWKBUUYBUUWPUUYCBUUYBVGZUUWMYYCUUYBUUWPUUWMUUYIVWKWFBYYCUUYBYVJW
      ABUUYBXOYIXYRXXAVVAXTVXLXDVXIVXMBYUOWBXRYUPUUWGVFBXYPYUNWBWYAWBXRXYPWBXRB
      RUTVXNWYAGWBVVLVVQBRWBYXPVXOVXPYUOUUWFYUMUUVIUUWFYGVYAWKVXQUUVJYUPVXRXMYH
      YKVXSBYUAPXYSVCZRVDVBZXYOBXYTUUYJRVDBPXYSXYPUUVHVYBXGBUQUUYKXYOBYVKUUYKVM
      ZYVKXYOVMZBUUYLVGZYVKPUSVIZUUUTVFZCXYSWHZUSXQVXTZVCZWYQVDVBZXYOUUYNUSCXYS
      UUYRYVKRWYPPBYUBXQPWJZUUYLBAUVUAYUIAUVUAGXQPWJAGWBXQPUHYUQAUYLWFUYMAYUBGX
      QPYXAVYCVYDWKZWAXYSXQXRUUYNUUXMWFBXYSYUBXRUUYLBXYSGYUBUUYAYULVYEWABUUXOUU
      YLYYKWAUUYRYGBUUYRYUBXRUUYLBUUYRGYUBBYVLUQUUYRUVBUUYRGXRBYVLUQUUYRBYVKUUY
      RVMZVGZYVKUUUTVFZCXYSWHZYVLUVUCUVUFBUVUCYWHUVUFUUYQUVUFUSYVKXQUUYOYVKVFZU
      UYPUVUECXYSUUYOYVKUUUTUXCUXAVYFVUNXFUVUDUVUEYVLCXYSBUVUCCBCUXMZCUQUUYRUUY
      QCUSXQUUYPCXYSUXGCXQUXIZVYGVYHUXHYVLCUXMZBXXAXYSVMZUVUEYVLXAXAUVUCBUVUKUV
      UEYVLBUVUKUVUEXPYVKUUUTGBUVUKUVUEVYIBUVUKUUVAUVUEYVPYWLXABUVUKVGZUUVAXAUQ
      CYVKXXAVFZYVPUVULYWLUUVAUVUMYVOUVUKBYVKXXAXYSWQWRUVUMYVQUUUTGYVKXXAWYPVKX
      BYEXCYYNVVFYNXEVYKWAVYLYQVVHUQUUYRGVVIXSYULVYEWABUVUKUUUTPVNZXXAPVNZVFZUU
      YLUVULAYYPXYGUVUPBAUVUKYUIWABXYSGXXAUUYAYJBXYGUVUKYVDWAUJXTYMBUUYLXOVYJBU
      UYTXYOVFUUYLBUUYSXYNWYQXXQVDBUUYRXYMPBXYMWYQYYIVAVBUUYRBXXQWYQWYLYYIVAYXR
      BYYIWYLYYLWPWGBCUSRXYRWYPYXPYVIYVHVYMYHUYGYXSWGWAYKBUUYMVGZYVKPUUYOYYRVFZ
      CXYMWHZUSXQVXTZVCZXXQYVSVKVBZVDVBUUYKUVUQUSCXYMUVUTYVKXXQYVSPBUVUAUUYMUVU
      BWAXYMXQXRUVUQXXQWYLVVKWFBXYMYUBXRUUYMBXYMGYUBBXYMYWPGBYXDWYJXXQWOVSZXYMY
      WPXRYXGBYXDYXIXXRUVVCYXGYXJYXTWYJWYLXXQVUOXTWYJXXQWYLVYNXMZYXBVYTZYULVYEW
      ABYVSXQVMUUYMBYVRKBWYOUUXKVYOYWFVUDWAUVUTYGBUVUTYUBXRUUYMBUVUTGYUBBYVLUQU
      VUTUVBUVUTGXRBYVLUQUVUTBYVKUVUTVMZVGZYVKYYRVFZCXYMWHZYVLUVVFUVVIBUVVFYWHU
      VVIUVUSUVVIUSYVKXQUVUGUVURUVVHCXYMUUYOYVKYYRUXCUXAVYFVUNXFUVVGUVVHYVLCXYM
      BUVVFCUVUHCUQUVUTUVUSCUSXQUVURCXYMUXGUVUIVYGVYHUXHUVUJBXXAXYMVMZUVVHYVLXA
      XAUVVFBUVVJUVVHYVLBUVVJUVVHXPYVKYYRGBUVVJUVVHVYIBUVVJYYSUVVHBUVVJVGZAYYPY
      WMYYSBAUVVJYUIWABXYMGXXAUVVEYJZUVVKWYOBXYGUVVJYVDWAVVBZUUVFXTYNXEVYKWAVYL
      YQVVHUQUVUTGVVIXSYULVYEWAUVUQUVVJVGAYYPYWMYYRPVNZUVUOVFZBAUUYMUVVJYUIYLBU
      VVJYYPUUYMUVVLYMBUVVJYWMUUYMUVVMYMUUUHUUUJPVNZUVUOVFZXAZYYQUVVOXAURYVRUUU
      MUUUNUUUHYYQUVVQUVVOUUUPUUUNUVVPUVVNUVUOUUUNUUUJYYRPUUURWTVYPXCUUUSUVUPXA
      UVVRMURUUVBUUUSUUUHUVUPUVVQUUVCUUVBUVUNUVVPUVUOUUVBUUUTUUUJPUUVDWTVYPXCUJ
      VVFYFXTBUUYMXOVYJUVUQUVVAUUYJUVVBRVDUVUQUVUTXYSPBUVUTXYSVFUUYMBXYSUVVBWYL
      YVSVKVBZVAVBUVUTBRUVVBXYRUVVSVABUVVBRBUVVBXXQYWAVKVBUUVORBYVSYWAXXQVKUUXL
      XJBXXQWYPBXXQUUVQWIYYKVUFBRUUVOUUVPWPUWRZWPBUVVSWYLYWAVKVBXYRBYVSYWAWYLVK
      UUXLXJBWYLWYPYYJYYKVUFYHWGBCUSXXQWYLYVSUUVQYVCBYVRKBWYOYVEVYQYVGUWKVYMYHW
      AUYGBUVVBRVFUUYMUVVTWAWGYKVXIVXMUWNVYRBXXQWYJVFJXXQYWRVNWUJZXYOVMXYOUUAVE
      BUVWAYWRXYMVCZXXQVDVBXYOBWYJWYLXXQWYLJYWRYUMWYMUYKVBZUVWAYXFYVCBAXWHXVNYU
      IYVAXWNXMBAXWHYWTYUIYVAUKXMBAXWHJYWRWYJVDVBVMYUIYVAULXMUUVQYVCUUVRUVVDUVW
      AYGUVWCYGVYSBUVWBXYNXXQVDBPXYMYWPUVVDVYBXGYKXYOUVWAWUAWKWUBWUCWUDVYKWAWUE
      YQZYFXMAWYEFVEZVGZWYEWBVMZAWYEWYMVMZWYEWYQVFZVGZMVPWHZLXUAWHZVGZWYDAUVWGU
      VWEAEFYRVBZWBWYEAEYDVMZFWBVMUVWNWBXRXWCUBEFWUFXMZAWBUVWNROACEFKOUAUBUCUEO
      XXDCWBXXAXXJVKVBZUWLUOCWBXXCUVWQUUXGXXBXXJXXAVKUUXGXXJYOVMXXBXXJVFXXIKVOX
      NCWBXXJYOSUNWUGWUHXJWUIWUKWULUMWMZYCZWAUVWFAUVWLAUVWEUUCUVWFUVWHLXUAWHZUV
      WLUVWFWYEUUUFIVNZUUUFVJVKVBZIVNZYRVBZVMZURXUAWHZUVWTAUVXFUVWEAWYEWYJWYLYR
      VBZVMZLXUAWHZUVXFAWYEUVWNVMZUVXIUVWRAUVXJVGZWYEIVWFVMZUVXIUVXKUVXLVGZUVXA
      WYEVFZURXVGWHZUVXIUVXMUVXLUVXOUVXKUVXLXOUVXMIXVGWUMZUVXLUVXOUVDAUVXPUVXJU
      VXLAXVIUVXPXWAXVGWBIWUTWKYLURXVGWYEIWUNWKWDUVXMUVXNUVXIURXVGUVXKUUUFXVGVM
      ZUVXNUVXIXAUVXLUVXKUVXQVGZUVXNUVXIUVXRUVXNVGZUUUFVJVHVBZXUAVMZWYEUVXTIVNZ
      UVXTVJVKVBZIVNZYRVBZVMZUVXIUVXSUVXTXWBVMXULUVXTQVRVSZUVYAUVXSUVXTWLXWBUVX
      SUUUFUVCVMUVXTWLVMUVXSUUUFVJUVJVNZUVCUVXSVJVPVMUUUGVJUUUFWOVSUUUFUVYHVMUV
      XSUUSUVXQUUUGUVXKUVXNUUUFVQQWUOZYSZUVXSVJXUEUUUFWOUWGUVXSVQUUUFVRVSZXUEUU
      UFWOVSZUVXSUUUFUVXSUUUFUVYJXHUVXQVQUUUFWOVSUVXKUVXNUUUFVQQWUPYSUVXSUUUFVQ
      UVXSUUUFVQVFZWYEEVFZUVXKUVXNUVYMUVYNUVXQAUVXNUVYMUVYNUVXJAUVXNVGZUVYMVGWY
      EUVXAXUDEUVXNWYEUVXAVFZAUVYMUVXNUVXAWYEUVXNWEWPZYSUVYMUVXAXUDVFUVYOUUUFVQ
      IWSXFAXVJUVXNUVYMAXVJXVLAXVHXVMXVOXVTWUQZUVFZYLUWRYTYTUVXKUVYNYPUVXQUVXNU
      VYMUVXKWYEEUVXKEWYEAEWBVMUVXJUAWAUVXKUVWOFYDVMZUVXJEWYEVRVSAUVWOUVXJXWCWA
      AUVYTUVXJAFUBWNWAAUVXJXOEFWYEWURXTWVAWUSWVBWVCWVDWVEUVXSXUKUUUGUVYKUVYLUV
      DUVXSUUDZUVYJVQUUUFWVJXMWDWVFVJUUUFWVGVTWVHWVIUUUFWVKWKZUVKUVIAXULUVXJUVX
      QUVXNXUNWVBZUVXQUVYGUVXKUVXNUVXQUVXTUUUFQUVXQUVXTUVXQUUUGUVXTVPVMZUVYIUUU
      FWVLZWKXHZUVXQUUUFUVYIXHZUVXQQUUUFVQQWVMXHZUVXQUUUFUWUGWVSUUUFVQQWVNWVOZY
      SUVXTVQQWVPVTZUVXSWYEUVYBUVXAYRVBZUVYEUVXSUVYBUVXAWYEUVXSUVYBUVXSXVGWBUVX
      TIAXVIUVXJUVXQUVXNXWAWVBUVXSUVXTVQQUWUAUWUCUVXSUUUGUWUDUVYJUWUEWKUVXSUVXT
      UWUBWVQUVXQUVXTQWOVSUVXKUVXNUVXQUVXTQUWUFUWUHUWUIVXKYSUVOWMWNUVXRUVXAYDVM
      ZUVXNAUVXQUWULUVXJAUVXQVGZUVXAAXVGWBUUUFIXWAWVRWNYMWAUVXKWYEYDVMZUVXQUVXN
      UVXKWYEAUVWNWBWYEUVWPYJWNYLUVXSUVYBUVXAWYEVRUVXSUVYBUVYDUVXAVRUVXSAUVYAUV
      YBUVYDVRVSZAUVXJUVXQUVXNWVTUWUJXWJAUVYAVGZUWUOXALUVXTUUUFVJVHXNWYIUVXTVFZ
      XWIUWUPXVNUWUOUWUQXWHUVYAAWYIUVXTXUAWQWRUWUQWYJUVYBWYLUVYDVRWYIUVXTIWSZUW
      UQWYKUVYCIWYIUVXTVJVKXBWTZUVSXCXWNYFXMUVXQUVYDUVXAVFUVXKUVXNUVXQUVXAUVYDU
      VXQUUUFUVYCIUVXQUVYCUUUFUVXQUUUFVJUVXQUUUFUVYIUWPUVXQWWAVVGWPWTZWPYSYAUVX
      RUVXNXOYAAUVXQUVXNWYEUVXAWOVSUVXJUWUMUVXNVGWYEWYEUVXAWOAWYEWYEWOVSUVXQUVX
      NAWYEUVWSUVQYLUVXNUVYPUWUMUVYQXFYAYTWWBUVXQUWUKUVYEVFUVXKUVXNUVXQUVXAUVYD
      UVYBYRUWUTXJYSYKUVXHUVYFLUVXTXUAUWUQUVXGUVYEWYEUWUQWYJUVYBWYLUVYDYRUWURUW
      USWGXLXKXMWWCYMWWDYQUVXKUVXLYPZVGZWYEYWPVMZLXUAWHUVXIUWVBWYEILURWYOIVNZWY
      EVRVSZMXUAVXTZWBVRWWEQAXVSUVXJUWVAUFYLAXVIUVXJUWVAXWAYLUVXKWYEXUDXVKWWFVB
      ZVMUWVAAUVWNUWVGWYEAEFWWFVBUVWNUWVGEFWWGAEXUDFXVKWWFAXUDEUVYSWPAXVKFAXVJX
      VLUVYRUWAZWPWGWWHYJWAUVXKUWVAXOWBUWVFUVXAWYEVRVSZURXUAVXTVRUWVEUWVIMURXUA
      UUVBUWVDUVXAWYEVRWYOUUUFIWSWWIWWJWWRWWKUWVBUWVCUVXHLXUAUWVCUVXHXAUWVBXWHV
      GYWPUVXGWYEWYJWYLWWLVWQWFWWMYQVWSUWFUVXHUVXELURXUAWYIUUUFVFZUVXGUVXDWYEUW
      VJWYJUVXAWYLUVXCYRWYIUUUFIWSZUWVJWYKUVXBIWYIUUUFVJVKXBWTZWGXLWWNWWOWAUVWF
      UVXEUVWTURXUAUVWFUUUFXUAVMZUVXEXPZWYEUVXCVFZUVWTUWVNUWVOVGZUVXBXUAVMZWYEU
      VXCUVXBVJVKVBZIVNZVLVBZVMZUVWTUWVPUVXBXWBVMZXULUVXBQVRVSUWVQUWVMUVWFUWVOU
      WWBUVXEUWVMUWWBUWVOUWVMUVXBWLXWBUWVMUUUFVJUUUFQWWPZVJWLVMUWVMWWSWFWWQUVKU
      VIWAWWTUVWFUWVMUWVOXULUVXEAXULUVWEUWVOXUNYLWXAZUWVPUVXBQUWVPUUUFVJUWVMUVW
      FUWVOUUUFWBVMZUVXEUWVMUWWEUWVOUWVMUUUFUWWCWXGWAWWTUWVPWXBXIUWVPQUWWDXHUWV
      MUVWFUWVOUVXBQWOVSZUVXEUWVMUWWFUWVOUUUFVQQWXCWAWWTUVWFUWVMUWVOQUVXBVEUVXE
      UVWFUWVOVGZQUVXBUWWGQUVXBVFZWYFAUWVOUWWHWYFUVWEAUWVOVGZUWWHVGWYEUVXCXVKFA
      UWVOUWWHVXFUWWHUVXCXVKVFUWWIUWWHXVKUVXCQUVXBIWSWPXFAXVLUWVOUWWHUWVHYLUWRY
      TUWWGUWWHVGWYEFAUVWEUWVOUWWHWXDWUSWVCWVDWXAVWPUVXBVQQWVPVTZUWVPUVXCUWVSWY
      EUWVNUVXCYDVMZUWVOUVWFUWVMUWWKUVXEAUWVMUWWKUVWEAUWVMVGZUVXCUWWLXVGWBUVXBI
      AXVIUWVMXWAWAZUWVMUVXBXVGVMAVQQUUUFUYQXFWMZWNZYMYNWAUWVPUWVSUWVPXVGWBUWVR
      IUWVPAXVIAUVWEUWVMUVXEUWVOWXEZXWAWKUWVPUWVQUWVRXVGVMUWWJVQQUVXBUYQWKWMWNU
      VWFUWVMUWVOUWUNUVXEAUWUNUVWEUWVOAWYEUVWSWNZYLWXAUVWFUWVMUWVOUVXCWYEWOVSZU
      VXEAUWVMUWVOUWWRUVWEUWWLUWVOVGUVXCUVXCWYEWOUWWLUVXCUVXCWOVSUWVOUWWLUVXCUW
      WNUVQWAUWVOUVXCWYEVFUWWLUWVOWYEUVXCUWVOWEWPXFYAYTWXFUWVPAUWVQUWVOWYEUWVSV
      RVSUWWPUWWJUWVNUWVOXOAUWVQVGZUWVOVGWYEUVXCUWVSVRUWWSUWVOXOUWWSUVXCUWVSVRV
      SZUWVOXWJUWWSUWWTXALUVXBUUUFVJVKXNWYIUVXBVFZXWIUWWSXVNUWWTUWXAXWHUWVQAWYI
      UVXBXUAWQWRUWXAWYJUVXCWYLUWVSVRWYIUVXBIWSZUWXAWYKUWVRIWYIUVXBVJVKXBWTZUVS
      XCXWNYFWAUVRWUDXDUVWHUWWALUVXBXUAUWXAWYMUWVTWYEUWXAWYJUVXCWYLUWVSVLUWXBUW
      XCWGXLXKXMUWVNUWVOYPZVGUWVMWYEUVXAUVXCVLVBZVMZUVWTUVWFUWVMUVXEUWXDWXHUWVN
      AUWVMUVXEXPZUWXDUWXFAUWVMUVXEUWXGUVWEUWXGWEWXIUWXGUWXDVGZUVXAUVXCWYEAUWVM
      UWXDUWULUVXEUWWLUWULUWXDUWWLUVXAUWWLXVGWBUUUFIUWWMUWVMUVXQAUUUFVQQVUMXFWM
      ZWNZWAWXFAUWVMUWXDUWWKUVXEUWWLUWWKUWXDUWWOWAWXFAUWVMUWXDUWUNUVXEAUWUNUWXD
      UWWQWAWXAUWXGUVXAWYEWOVSUWXDUWXGUVXAWYEAUWVMUVXAWBVMUVXEUWXIYNAUWVMUVWGUV
      XEUVWSWXJZUWXGUWULUWWKUVXEUWVIAUWVMUWULUVXEUWXJYNZAUWVMUWWKUVXEUWWOYNZAUW
      VMUVXEVYIZUVXAUVXCWYEWURXTVXKWAUWXHWYEUVXCUWXGUVWGUWXDUWXKWAAUWVMUWXDUVXC
      WBVMZUVXEUWWLUWXOUWXDUWWNWAWXFUWXGWYEUVXCWOVSZUWXDUWXGUWULUWWKUVXEUWXPUWX
      LUWXMUWXNUVXAUVXCWYEWXKXTWAUWXDUVXCWYEVEUWXGUWXDWYEUVXCWYEUVXCVWOWXPXFVWP
      XDWXLUVWHUWXFLUUUFXUAUWVJWYMUWXEWYEUWVJWYJUVXAWYLUVXCVLUWVKUWVLWGXLXKXMVW
      SWXMYQUVWFUVWHUVWKLXUAUVWFUVWHUVWKUVWFUVWHVGUVWHUVWIMVPWHZUVWKUVWFUVWHXOA
      UWXQUVWEUVWHAXURVPVMWYEXWQVFZUWXQXXKXXNUVWIUWXRMXURVPWYOXURVFZWYQXWQWYEUW
      XSWYPXWPRVKWYOXURKVOXBXJUWSXKXMYLUVWHUVWIMVPWXNWXOWWCWXQYQWXRXYDUVWMWYDXA
      DWYEWBXXQWYEVFZXYCUVWMWYDUWXTXYBUVWLAUWXTXXTUVWJLMXUAVPUWXTXXRUVWHXXSUVWI
      XXQWYEWYMWQXXQWYEWYQUXCUXDUXEWRUXFUVWDUWDWXSWXT $.
  $}

  ${
    $d A i j $.  $d A i m p $.  $d A i x $.  $d B i j k $.  $d B i m p $.
    $d B i k x $.  $d D k x y $.  $d E i j k $.  $d E i k x y $.
    $d E i x y z $.  $d F i k x y $.  $d F i x y z $.  $d M i j k $.
    $d M i m p $.  $d M i k x y $.  $d M i x y z $.  $d Q i j k $.  $d Q i p $.
    $d Q i k x y $.  $d Q i x y z $.  $d T k x $.  $d X i j k $.
    $d X i k x y $.  $d X i x y z $.  $d Z k x y $.  $d Z x y z $.
    $d i j k ph $.  $d ph x y z $.
    fourierdlem49.a $e |- ( ph -> A e. RR ) $.
    fourierdlem49.b $e |- ( ph -> B e. RR ) $.
    fourierdlem49.altb $e |- ( ph -> A < B ) $.
    fourierdlem49.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem49.t $e |- T = ( B - A ) $.
    fourierdlem49.m $e |- ( ph -> M e. NN ) $.
    fourierdlem49.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem49.d $e |- ( ph -> D C_ RR ) $.
    fourierdlem49.f $e |- ( ph -> F : D --> RR ) $.
    fourierdlem49.dper $e |- ( ( ph /\ x e. D /\ k e. ZZ ) -> ( x + ( k x. T )
       ) e. D ) $.
    fourierdlem49.per $e |- ( ( ph /\ x e. D /\ k e. ZZ ) -> ( F ` ( x + ( k x.
       T ) ) ) = ( F ` x ) ) $.
    fourierdlem49.cn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem49.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    fourierdlem49.x $e |- ( ph -> X e. RR ) $.
    fourierdlem49.z $e |- Z = ( x e. RR |-> ( ( |_ ` ( ( B - x ) / T ) ) x. T )
       ) $.
    fourierdlem49.e $e |- E = ( x e. RR |-> ( x + ( Z ` x ) ) ) $.
    $( The given periodic function ` F ` has a left limit at every point in the
       reals.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem49 $p |- ( ph -> ( ( F |` ( -oo (,) X ) ) limCC X ) =/= (/) ) $=
      ( vj vy vz cmnf cioo co cres climc cfv c0 cv c1 caddc cioc wcel wrex wceq
      cc0 cr cmin cmul cvv ovex oveq2d ffvelrnd wa simpr clt wbr mpbid ad2antrr
      wf syl wi cz cle ad2antlr a1i zred eqcomd fveq2 adantl adantr cxr iocgtlb
      wn rexrd syl3anc ad3antrrr syl2anc eleqtrd adantlr wss sselda eleq1 oveq1
      fveq2d imbi12d breqtrd sseldd eliocd oveq12d mpd crab pm2.61dan w3a eqtrd
      cin reseq2d 3ad2ant1 oveq1d cun crest mnfxr 3adant3 eqid ctop cpnf eliood
      cc pnfxr eqeltrd 3adantl3 elioore 3ad2antl1 recnd cfzo cmpt cdiv mpteq2ia
      cfl fvmpt2 mpan2 eqtri fourierdlem4 crn cfz wfn wb cmap wral fourierdlem2
      cn simpld elmapi ffn fvelrnb cuz cn0 1zzd elfzelz 1e0p1 elfzle1 id 3eqtrd
      simprld adantllr gtned neneqd pm2.65da neqned ne0gt0d 0zd zltp1le eqbrtrd
      eluz2 syl3anbrc nnuz eleqtrrdi nnm1nn0 nn0uz nnzd elfzel2 elfzle2 ltletrd
      ltm1d elfzo2 nn0ge0d ltled elfzd ffvelrnda iocssre simplll anbi2d breq12d
      peano2zm simprrd r19.21bi vtocl zcnd npcand leidd eleq2d rspcev rexlimdva
      1cnd ex csup cicc iocssicc simprd sseqtrid cbvrabv fourierdlem25 ioossioc
      breq1d supeq1i sseli reximdva mpdan wrel frel resindm ineq2d ccnfld ctopn
      cdm fdm csn ax-resscn inss2 fssresd elfzofz mnfltd xrltled iooss1 sylancr
      fssd fzofzp1 simp3 iocleub iooss2 ccncf cncff 3syl ssdmres sylibr sseqtrd
      sstrd ssind sstrid cnt ioounsn cnfldtop inex1 snex unex resttop mp2an ctg
      retop elrestr ltpnfd snidg elun2 elind wne neqne necomd leneltd 3adantll3
      elun1 elinel1 ioogtlb elinel2 elsni simpll adantll iooltub sylan2 impbida
      iooretop elunnel2 eqrdv ioossre ssinss1 mp1i snssd rerest 3eltr4d isopn3i
      unssd eqtr2d limcres resabs1d 3eqtr2d feq2d mpbird ioosscn oveq2 resubcld
      cneg eqeltrid posdifd eqcomi redivcld flcld remulcld fvmptd negcld pncand
      gt0ne0d addcld negsubd mulneg1d znegcld simpl1 readdcld ltsubaddd 3anbi3d
      ltadd1dd 3jca eleq1d 3anbi2d vtoclg sylc ralrimiva dfss3 3eqtrrd renegcld
      iooshift negeqd eqeq1d limcperiod sseqtrrd eqvisset eqcoms rexlimdv3a cif
      3sstr4d necon3bi fourierdlem33 ne0i eqnetrd ) AMURPUSUTZVAZPVBUTZMURPLVCZ
      USUTZVAZWULVBUTZVDAWULIVEZGVCZWUPVFVGUTZGVCZVHUTZVIZIVLOUUAUTZVJZWUKWUOVK
      ZAWULCDVHUTZVIZWVCAVMWVEPLABCDHLSTUAUCLBVMBVEZWVGQVCZVGUTZUUBZBVMWVGDWVGV
      NUTZHUUCUTZUUEVCZHVOUTZVGUTZUUBUNBVMWVIWVOWVGVMVIZWVHWVNWVGVGWVPWVNVPVIWV
      HWVNVKWVMHVOVQBVMWVNVPQUMUUFUUGVRUUDUUHUUIULVSZAWVFVTZWULGUUJVIZWVCWVRWVS
      VTZUOVEZGVCZWULVKZUOVLOUUKUTZVJZWVCWVTWVSWWEWVRWVSWAWVTGWWDUULZWVSWWEUUMA
      WWFWVFWVSAWWDVMGWFZWWFAGVMWWDUUNUTVIZWWGAWWHVLGVCZCVKZOGVCZDVKZVTZWUQWUSW
      BWCZIWVBUUOZVTZAGOFVCVIZWWHWWPVTZUEAOUUQVIZWWQWWRUUMUDCDFGIKORUBUUPWGWDZU
      URGVMWWDUUSWGZWWDVMGUUTWGWEUOWWDWULGUVAWGWDWVTWWCWVCUOWWDWVRWWAWWDVIZWWCW
      VCWHWVSWVRWXBVTZWWCWVCWXCWWCVTZWWAVFVNUTZWVBVIZWULWXEGVCZWXEVFVGUTZGVCZVH
      UTZVIZWVCWXDWXEVLUVBVCZVIOWIVIZWXEOWBWCZWXFWXDWXEUVCWXLWXDWWAUUQVIWXEUVCV
      IWXDWWAVFUVBVCZUUQWXDVFWIVIWWAWIVIZVFWWAWJWCWWAWXOVIWXDUVDWXBWXPWVRWWCWWA
      VLOUVEZWKZWXDVFVLVFVGUTZWWAWJVFWXSVKWXDUVFWLWXDVLWWAWBWCZWXSWWAWJWCZWXDWW
      AWXDWWAWXRWMWXBVLWWAWJWCWVRWWCWWAVLOUVGWKWXDWWAVLWXDWWAVLVKZWULCVKZWVRWWC
      WYBWYCWXBAWWCWYBWYCWVFAWWCVTZWYBVTWULWWBWWICWWCWULWWBVKZAWYBWWCWWBWULWWCU
      VHWNZWKWYBWWBWWIVKWYDWWAVLGWOWPAWWJWWCWYBAWWJWWLAWWHWWMWWOWWTUVJZUURZWEUV
      IUVKUVKWVRWYCWTWXBWWCWYBWVRWULCWVRCWULACVMVIWVFSWQWVRCWRVIZDWRVIZWVFCWULW
      BWCAWYIWVFACSXAZWQAWYJWVFADTXAWQAWVFWACDWULWSXBUVLUVMXCUVNUVOUVPWXDVLWIVI
      WXPWXTWYAUUMWXDUVQZWXRVLWWAUVRXDWDUVSVFWWAUVTUWAUWBUWCWWAUWDWGZUVCWXLVKWX
      DUWEWLXEAWXMWVFWXBWWCAOUDUWFXCZWXBWXNWVRWWCWXBWXEWWAOWXBWXEWXBWXPWXEWIVIZ
      WXQWWAUWTZWGWMZWXBWWAWXQWMZWXBOWWAVLOUWGWMZWXBWWAWYRUWJWWAVLOUWHUWIZWKWXE
      VLOUWKUWAZWXDWULWXGWWBVHUTZWXJWXDWXGWWBWULWXDWXGWXDWWDVMWXEGAWWGWVFWXBWWC
      WXAXCWXDWXEVLOWYLWYNWXDWXPWYOWXRWYPWGWXDWXEWYMUWLWXBWXEOWJWCWVRWWCWXBWXEO
      WYQWYSWYTUWMWKUWNVSXAWXCWWBWRVIZWWCAWXBXUCWVFAWXBVTZWWBAWWDVMWWAGWXAUWOXA
      XFWQWVRWULWRVIZWXBWWCWVRWULAWVEVMWULAWYIDVMVIWVEVMXGWYKTCDUWPXDZXHXAWEWXD
      WXGWWBWULWBWXDWXGWXIWWBWBWXDAWXFWXGWXIWBWCZAWVFWXBWWCUWQXUAAWUPWVBVIZVTZW
      WNWHAWXFVTZXUGWHIWXEWWAVFVNVQWUPWXEVKZXUIXUJWWNXUGXUKXUHWXFAWUPWXEWVBXIUW
      RXUKWUQWXGWUSWXIWBWUPWXEGWOZXUKWURWXHGWUPWXEVFVGXJXKZUWSXLAWWNIWVBAWWHWWM
      WWOWWTUXAUXBZUXCXDWXBWXIWWBVKWVRWWCWXBWWBWXIWXBWWAWXHGWXBWXHWWAWXBWWAVFWX
      BWWAWXQUXDWXBUXJUXEWNXKZWNWKXMWXCWWCWAXMAWXBWWCWULWWBWJWCWVFXUDWWCVTWULWU
      LWWBWJAWULWULWJWCZWXBWWCAWULAWVEVMWULXUFWVQXNZUXFZWEWWCWYEXUDWYFWPXMUVKXO
      WXBXUBWXJVKWVRWWCWXBWWBWXIWXGVHXUOVRWKXEWVAWXKIWXEWVBXUKWUTWXJWULXUKWUQWX
      GWUSWXIVHXULXUMXPUXGUXHXDUXKXFUXIXQWVRWVSWTZVTZWULWUQWUSUSUTZVIZIWVBVJWVC
      XUTWULGIUOJVEZGVCZWULWBWCZJWVBXRZVMWBUXLOAWWSWVFXUSUDWEAWWGWVFXUSWXAWEWVR
      WULWWIWWKUXMUTZVIXUSAWVEXVGWULACDUXMUTWVEXVGCDUXNACWWIDWWKUXMAWWICWYHWNAW
      WKDAWWJWWLWYGUXOWNXPUXPXHWQWVRXUSWAVMXVFWWBWULWBWCZUOWVBXRWBXVEXVHJUOWVBX
      VCWWAVKXVDWWBWULWBXVCWWAGWOUXTUXQUYAUXRXUTXVBWVAIWVBXVBWVAWHXUTXUHVTXVAWU
      TWULWUQWUSUXSUYBWLUYCXQXSUYDZAWVAWVDIWVBAXUHWVAXTZWUOMWUQWULUSUTZVAZWULVB
      UTZMWUQPQVCZVNUTZPUSUTZVAZPVBUTZWUKXVJWUOMWUMEYBZVAZWULVBUTXVTXVKVAZWULVB
      UTXVMXVJWUNXVTWULVBAXUHWUNXVTVKWVAAWUNMWUMMUYKZYBZVAZXVTAMUYEZWUNXWDVKAEV
      MMWFZXWEUGEVMMUYFWGZXWEXWDWUNMWUMUYGWNWGAXWCXVSMAXWBEWUMAXWFXWBEVKZUGEVMM
      UYLWGZUYHYCYAYDYEXVJXVSWULXVKXVTUYIUYJVCZXVSWULUYMZYFZYGUTZXWJXVJEYNXVSMA
      XUHEYNMWFZWVAAEVMYNMUGVMYNXGAUYNWLZVUBZYDZXVSEXGXVJWUMEUYOZWLUYPXVJXVKWUM
      EAXUHXVKWUMXGZWVAXUIURWRVIZURWUQWJWCXWSYHXUIURWUQXWTXUIYHWLZXUIWUQXUIWWDV
      MWUPGAWWGXUHWXAWQZXUHWUPWWDVIAWUPVLOUYQWPVSZXAZXUIWUQXXCUYRUYSURWUQWULUYT
      VUAYIXVJXVKXVAEXVJWUSWRVIZWULWUSWJWCZXVKXVAXGXVJWUSAXUHWUSVMVIZWVAXUIWWDV
      MWURGXXBXUHWURWWDVIAVLOWUPVUCWPVSYIZXAZXVJWUQWRVIZXXEWVAXXFXVJWUQAXUHWUQV
      MVIZWVAXXCYIZXAZXXIAXUHWVAVUDZWUQWUSWULVUEXBZWUQWULWUSVUFXDZAXUHXVAEXGZWV
      AXUIXVAXWBEXUIMXVAVAZUYKXVAVKZXVAXWBXGXUIXXRXVAYNVUGUTVIZXVAYNXXRWFXXSUJX
      VAYNXXRVUHXVAYNXXRUYLVUIXVAMVUJVUKAXWHXUHXWIWQVULYIZVUMZVUNZXVJXVSEYNXWRA
      XUHEYNXGWVAAEVMYNUFXWOVUMYDZVUOXWJYJZXWMYJXVJWULWUQWULVHUTZXVKXWKYFZXWMVU
      PVCZVCZXVJWUQWULWULXXMXVJWULAXUHWULVMVIZWVAXUQYDZXAZXYLXVJXXJXXEWVAWUQWUL
      WBWCZXXMXXIXXNWUQWUSWULWSXBZXVJWULXYKUXFXOXVJXYIXYFXYHVCZXYFXVJXYGXYFXYHX
      VJXXJXUEXYMXYGXYFVKXXMXYLXYNWUQWULVUQXBXKXVJXWMYKVIZXYFXWMVIXYOXYFVKXWJYK
      VIZXWLVPVIZXYPXWJXYEVURZXVSXWKWUMEURWULUSVQVUSWULVUTVVAZXWLXWJVPVVBVVCXVJ
      WUQYLUSUTZXWLYBZUSUUJVVDVCZXWLYGUTZXYFXWMXVJYUCYKVIZXYRYUAYUCVIZYUBYUDVIY
      UEXVJVVEWLZXYRXVJXYTWLYUFXVJWUQYLVWFWLYUAXWLYUCYKVPVVFXBXVJBXYFYUBXVJWVGX
      YFVIZWVGYUBVIZXVJYUHVTZWVGWULVKZYUIXVJYUKYUIYUHXVJYUKVTWVGWULYUBXVJYUKWAX
      VJWULYUBVIYUKXVJYUAXWLWULXVJWUQYLWULXXMYLWRVIZXVJYOWLXYKXYNXVJWULXYKVVGYM
      AXUHWULXWLVIZWVAAXYJYUMXUQXYJWULXWKVIYUMWULVMVVHWULXWKXVSVVIWGWGYDVVJWQYP
      XFYUJYUKWTZVTZYUAXWLWVGYUJWVGYUAVIZYUNYUJWUQYLWVGXVJXXJYUHXXMWQZYULYUJYOW
      LAXUHYUHWVPWVAXUIYUHVTZXYFVMWVGYURXXJXYJXYFVMXGXUIXXJYUHXXDWQZXUIXYJYUHAX
      YJXUHXUQWQZWQZWUQWULUWPXDXUIYUHWAZXNZYQZAXUHYUHWUQWVGWBWCZWVAYURXXJXUEYUH
      YVEYUSYURWULYVAXAZYVBWUQWULWVGWSXBYQZYUJWVGYVDVVGYMWQYUOWVGXVSVIZWVGXWLVI
      ZYUOWUMEWVGAXUHYUHYUNWVGWUMVIZWVAYURYUNVTZURWULWVGXWTYVKYHWLYURXUEYUNYVFW
      QYURWVPYUNYVCWQZYVKWVGYVLUYRYVKWVGWULYVLAXYJXUHYUHYUNXUQXCYURWVGWULWJWCZY
      UNYURXXJXUEYUHYVMYUSYVFYVBWUQWULWVGVUEXBWQYUNWULWVGVVKYURYUNWVGWULWVGWULV
      VLVVMWPVVNZYMVVOYUOXVAEWVGXVJXXQYUHYUNXYAWEYUOWUQWUSWVGYUJXXJYUNYUQWQXVJX
      XEYUHYUNXXIWEYUJWVPYUNYVDWQZYUJYVEYUNYVGWQYUOWVGWULWUSYVOXVJXYJYUHYUNXYKW
      EXVJXXGYUHYUNXXHWEAXUHYUHYUNWVGWULWBWCZWVAYVNVVOXVJXXFYUHYUNXXOWEUWIYMXNV
      VJWVGXVSXWKVVPWGVVJXSXVJYUIVTWUQWULWVGXVJXXJYUIXXMWQXVJXUEYUIXYLWQYUIWVGW
      RVIZXVJYUIYUPYVQWVGYUAXWLVVQZYUPWVGWVGWUQYLYRXAWGWPAXUHYUIYVEWVAXUIYUIVTZ
      XXJYULYUPYVEXUIXXJYUIXXDWQYULYVSYOWLYUIYUPXUIYVRWPWUQYLWVGVVRXBYQAXUHYUIY
      VMWVAYUIXUIYVIYVMWVGYUAXWLVVSAYVIYVMXUHAYVIVTZWVGXWKVIZYVMAYWAYVMYVIAYWAV
      TWVGWULWULWJYWAYUKAWVGWULVVTWPAXUPYWAXURWQUVSXFYVTYWAWTZVTAYVHYVMAYVIYWBV
      WAYVIYWBYVHAWVGXVSXWKVWGVWBYVHAYVJYVMWVGWUMEVVQAYVJVTZWVGWULYVJWVPAWVGURW
      ULYRWPAXYJYVJXUQWQZYWCXWTXUEYVJYVPXWTYWCYHWLYWCWULYWDXAAYVJWAURWULWVGVWCX
      BUWMVWDXDXSXFVWDYQXOVWEVWHXVJXWLVMXGXWMYUDVKXVJXVSXWKVMWUMVMXGXVSVMXGXVJU
      RWULVWIWUMEVMVWJVWKXVJWULVMXYKVWLVWPXWLYUCXWJXYEYUCYJZVWMWGVWNXYFXWMVWOVU
      AVWQXEVWRXVJXWAXVLWULVBXVJMXVKXVSXYCVWSYEVWTZXVJUPXVMXVRXVJUPVEZXVMVIZYWG
      XVRVIZXVJYWHVTZYWGMUQVEZWVGXVNVXFZVGUTZVKBXVKVJUQYNXRZVAZWULYWLVGUTZVBUTZ
      XVRYWJUQBXVKYWNYWGWULYWLMAXUHYWHXWBYNMWFZWVAAYWRYWHAYWRXWNXWPAXWBEYNMXWIV
      XAVXBZWQYSXVKYNXGYWJWUQWULVXCWLXVJXVKXWBXGYWHXVJXVKEXWBXYBAXUHEXWBVKWVAAX
      WBEXWIWNYDVULWQYWJXVNAXUHYWHXVNYNVIZWVAAYWTYWHAXVNAXVNDPVNUTZHUUCUTZUUEVC
      ZHVOUTZVMABPWVNYXDVMQVMQBVMWVNUUBVKAUMWLWVGPVKZWVNYXDVKAYXEWVMYXCHVOYXEWV
      LYXBUUEYXEWVKYXAHUUCWVGPDVNVXDYEXKYEWPULAYXCHAYXCAYXBAYXAHADPTULVXEAHDCVN
      UTZVMUCADCTSVXEVXGZAHAVLYXFHWBACDWBWCVLYXFWBWCUAACDSTVXHWDYXFHVKAHYXFUCVX
      IWLXMVXPVXJVXKZWMYXGVXLZVXMZYXIYPZYTZWQYSVXNYWNYJXVJYWNXWBXGYWHXVJXVPEYWN
      XWBXVJYWGEVIZUPXVPUUOXVPEXGXVJYXMUPXVPXVJYWGXVPVIZVTZYWGYWGXVNVGUTZXVNVNU
      TZEAXUHYXNYWGYXQVKWVAAYXNVTZYXQYWGYXRYWGXVNYXNYWGYNVIAXVPYNYWGXVOPVXCZUYB
      WPZAYWTYXNYXLWQZVXOWNYSYXOYXQYXPYXCVXFZHVOUTZVGUTZEAXUHYXNYXQYYDVKWVAYXRY
      XQYXPYXDVNUTZYXPYXDVXFZVGUTZYYDAYXQYYEVKYXNAXVNYXDYXPVNYXJVRWQYXRYXPYXDYX
      RYWGXVNYXTYYAVXQAYXDYNVIYXNAYXDYXIYTWQVXRAYYGYYDVKYXNAYYFYYCYXPVGAYYCYYFA
      YXCHAYXCYXHUXDAHYXGYTVXSWNZVRWQVWTYSYXOYYBWIVIZAYXPEVIZYYIXTZYYDEVIZAXUHY
      XNYYIWVAAYYIYXNAYXCYXHVXTZWQYSZYXOAYYJYYIAXUHWVAYXNVYAYXOXVKEYXPXVJXVKEXG
      YXNXYBWQAXUHYXNYXPXVKVIWVAXUIYXNVTZWUQWULYXPXUIXXJYXNXXDWQAXUEXUHYXNAWULX
      UQXAWEAYXNYXPVMVIXUHYXRYWGXVNYXNYWGVMVIZAYWGXVOPYRZWPAXVNVMVIZYXNYXKWQVYB
      XFYYOXVOYWGWBWCZWUQYXPWBWCYYOXVOWRVIZPWRVIZYXNYYSXUIYYTYXNXUIXVOXUIWUQXVN
      XXCAYYRXUHYXKWQZVXEZXAZWQZAUUUAXUHYXNAPULXAZWEZXUIYXNWAZXVOPYWGVVRXBYYOWU
      QXVNYWGXUIXXKYXNXXCWQXUIYYRYXNUUUBWQZYXNYYPXUIYYQWPZVYCWDYYOYXPPXVNVGUTZW
      ULWBYYOYWGPXVNUUUJAPVMVIZXUHYXNULWEUUUIYYOYYTUUUAYXNYWGPWBWCUUUEUUUGUUUHX
      VOPYWGVWCXBVYEAUUUKWULVKZXUHYXNAWULUUUKABPWVIUUUKVMLVMLWVJVKAUNWLYXEWVIUU
      UKVKAYXEWVGPWVHXVNVGYXEUVHZWVGPQWOXPWPULAPXVNULYXKVYBZVXMZWNZWEXMYMYQXNYY
      NVYFAYYJXVCWIVIZXTZYXPXVCHVOUTZVGUTZEVIZWHZYYKYYLWHJYYBWIXVCYYBVKZUUUSYYK
      UUVBYYLUUVDUUURYYIAYYJXVCYYBWIXIZVYDUUVDUUVAYYDEUUVDUUUTYYCYXPVGXVCYYBHVO
      XJZVRVYGXLAWVGEVIZUUURXTZWVGUUUTVGUTZEVIZWHUUVCBYXPYWGXVNVGVQWVGYXPVKZUUV
      HUUUSUUVJUUVBUUVKUUVGYYJAUUURWVGYXPEXIVYHUUVKUUVIUUVAEWVGYXPUUUTVGXJVYGXL
      UHUXCVYIVYJYPYPVYKUPXVPEVYLVUKZAXUHYWNXVPVKWVAXUIXVPWUQYWLVGUTZYWPUSUTYWN
      XUIXVOUUVMPYWPUSXUIUUVMXVOXUIWUQXVNXUIWUQXXCYTZAYWTXUHYXLWQZVXRWNAPYWPVKX
      UHAYWPUUUKYWLVGUTUUUKXVNVNUTPAWULUUUKYWLVGUUUPYEAUUUKXVNAUUUKUUUOYTYXLVXR
      APXVNAPULYTYXLVXOVYMWQZXPXUIBUQWUQWULYWLXXCYUTXUIXVNUUUBVYNVYOVWQZYIAXUHX
      WHWVAXWIYDZWUDWQXVJWVGXVKVIZYWMMVCZWVGMVCZVKYWHXVJUUVSVTZUUVTWVGYYCVGUTZM
      VCZUUWAAXUHUUVSUUVTUUWDVKZWVAAUUWEUUVSAYWMUUWCMAYWLYYCWVGVGAYWLYYFYYCAXVN
      YXDYXJVYPYYHYAVRXKWQYSUUWBYYIAUUVGYYIXTZUUWDUUWAVKZAXUHUUVSYYIWVAAYYIUUVS
      YYMWQYSZUUWBAUUVGYYIAXUHWVAUUVSVYAXVJXVKEWVGXYBXHUUWHVYFUUVHUUVIMVCZUUWAV
      KZWHZUUWFUUWGWHJYYBWIUUVDUUVHUUWFUUWJUUWGUUVDUUURYYIAUUVGUUVEVYDUUVDUUWIU
      UWDUUWAUUVDUUVIUUWCMUUVDUUUTYYCWVGVGUUVFVRXKVYQXLUIVYIVYJYAXFXVJYWHWAVYRX
      VJYWQXVRVKZYWHAXUHUUWLWVAXUIYWOXVQYWPPVBXUIYWNXVPMUUVQYCXUIPYWPUUVPWNXPYI
      WQXEXVJYWIVTZYWGMYWKWVGXVNVGUTZVKBXVPVJUQYNXRZVAZUUUKVBUTZXVMUUWMUQBXVPUU
      WOYWGPXVNMAXUHYWIYWRWVAAYWRYWIYWSWQYSXVPYNXGUUWMYXSWLXVJXVPXWBXGYWIXVJXVP
      EXWBUUVLUUVRVYSWQAXUHYWIYWTWVAAYWTYWIYXLWQYSUUWOYJXVJUUWOXWBXGYWIXVJXVKEU
      UWOXWBXYBAXUHUUWOXVKVKWVAXUIXVKXVOXVNVGUTZUUUKUSUTUUWOXUIWUQUUWRWULUUUKUS
      XUIUUWRWUQXUIWUQXVNUUVNUUVOUXEWNAWULUUUKVKZXUHUUUPWQXPXUIBUQXVOPXVNUUUCAU
      UULXUHULWQUUUBVYOVWQZYIUUVRWUDWQXVJWVGXVPVIZUUWNMVCZUUWAVKYWIXVJUUXAVTZUU
      XBWVGYXDVGUTZMVCZUUWAAXUHUUXAUUXBUUXEVKZWVAAUUXFUUXAAUUWNUUXDMAXVNYXDWVGV
      GYXJVRXKWQYSUUXCYXCWIVIZAUUVGUUXGXTZUUXEUUWAVKZAXUHUUXAUUXGWVAAUUXGUUXAYX
      HWQYSZUUXCAUUVGUUXGAXUHWVAUUXAVYAXVJXVPEWVGUUVLXHUUXJVYFUUWKUUXHUUXIWHJYX
      CWIXVCYXCVKZUUVHUUXHUUWJUUXIUUXKUUURUUXGAUUVGXVCYXCWIXIVYDUUXKUUWIUUXEUUW
      AUUXKUUVIUUXDMUUXKUUUTYXDWVGVGXVCYXCHVOXJVRXKVYQXLUIVYIVYJYAXFXVJYWIWAVYR
      XVJUUWQXVMVKZYWIAXUHUUXLWVAXUIUUWPXVLUUUKWULVBXUIUUWOXVKMUUWTYCAUUUMXUHUU
      UQWQXPYIWQXEVWEVWHXVJWUKMWUIEYBZVAZPVBUTZUUXNXVPVAZPVBUTZXVRAXUHWUKUUXOVK
      WVAAWUJUUXNPVBAWUJMWUIXWBYBZVAZUUXNAXWEWUJUUXSVKXWGXWEUUXSWUJMWUIUYGWNWGA
      UUXRUUXMMAXWBEWUIXWIUYHYCYAYEYDXVJUUXQUUXOXVJUUXMPXVPUUXNXWJUUXMPUYMZYFZY
      GUTZXWJXVJEYNUUXMMXWQUUXMEXGXVJWUIEUYOZWLUYPXVJXVPWUIEAXUHXVPWUIXGZWVAXUI
      XWTURXVOWJWCUUYDYHXUIURXVOXXAUUUDXUIXVOUUUCUYRUYSURXVOPUYTVUAYIUUVLVUNZXV
      JUUXMEYNUUYCXYDVUOXYEUUYBYJXVJPXVOPVHUTZXVPUUXTYFZUUYBVUPVCZVCZXVJXVOPPAX
      UHYYTWVAUUUDYIZAXUHUUUAWVAUUUFYDZUUYKXVJXVOPWBWCZWUQUUUKWBWCXVJWUQWULUUUK
      WBXYNAXUHUUWSWVAUUUPYDXMXVJWUQXVNPXXLAXUHYYRWVAYXKYDAXUHUUULWVAULYDVYCVXB
      ZAXUHPPWJWCZWVAAPULUXFZYDXOXVJUUYIUUYFUUYHVCZUUYFXVJUUYGUUYFUUYHXVJYYTUUU
      AUUYLUUYGUUYFVKUUYJUUYKUUYMXVOPVUQXBXKXVJUUYBYKVIZUUYFUUYBVIUUYPUUYFVKXYQ
      UUYAVPVIZUUYQXYSUUXMUUXTWUIEURPUSVQVUSPVUTVVAZUUYAXWJVPVVBVVCXVJXVOYLUSUT
      ZUUYAYBZYUCUUYAYGUTZUUYFUUYBXVJYUEUUYRUUYTYUCVIZUVUAUVUBVIYUGUUYRXVJUUYSW
      LUVUCXVJXVOYLVWFWLUUYTUUYAYUCYKVPVVFXBXVJBUUYFUVUAXVJWVGUUYFVIZWVGUVUAVIZ
      XVJUVUDVTZUUYTUUYAWVGAXUHUVUDWVGUUYTVIZWVAXUIUVUDVTZXVOYLWVGXUIYYTUVUDUUU
      DWQZYULUVUHYOWLUVUHUUYFVMWVGUVUHYYTUUULUUYFVMXGUVUIAUUULXUHUVUDULWEXVOPUW
      PXDXUIUVUDWAZXNZUVUHYYTUUUAUVUDXVOWVGWBWCZUVUIAUUUAXUHUVUDUUUFWEZUVUJXVOP
      WVGWSXBZUVUHWVGUVUKVVGYMYQUVUFYXEWVGUUYAVIZYXEUVUOUVUFYXEWVGUUXTVIZUVUOYX
      EWVGPUUXTUUUNYXEPVPVIPUUXTVIBPVYTPVPVVHWGYPWVGUUXTUUXMVVIWGWPUVUFYXEWTZVT
      XVJUUXAUVUOXVJUVUDUVUQVWAAXUHUVUDUVUQUUXAWVAUVUHUVUQVTZXVOPWVGUVUHYYTUVUQ
      UVUIWQAUUUAXUHUVUDUVUQUUUFXCUVUHWVPUVUQUVUKWQZUVUHUVULUVUQUVUNWQUVURWVGPU
      VUSAUUULXUHUVUDUVUQULXCUVUHWVGPWJWCZUVUQUVUHYYTUUUAUVUDUVUTUVUIUVUMUVUJXV
      OPWVGVUEXBWQUVUQPWVGVVKUVUHYXEPWVGYXEWVGPUUUNWUAWUEWPVVNYMVVOUUXCWVGUUXMV
      IZUVUOXVJXVPUUXMWVGUUYEXHWVGUUXMUUXTVVPWGXDXSVVJXVJUVUEVTXVOPWVGXVJYYTUVU
      EUUYJWQXVJUUUAUVUEUUYKWQUVUEYVQXVJUVUEWVGUVUEUVUGWVPWVGUUYTUUYAVVQZWVGXVO
      YLYRWGXAWPAXUHUVUEUVULWVAXUIUVUEVTZYYTYULUVUGUVULXUIYYTUVUEUUUDWQYULUVVCY
      OWLUVUEUVUGXUIUVVBWPXVOYLWVGVVRXBYQAXUHUVUEUVUTWVAUVUEAUVUOUVUTWVGUUYTUUY
      AVVSAUVUOVTZUVUPUVUTAUVUPUVUTUVUOAUVUPVTWVGPPWJUVUPYXEAWVGPVVTWPAUUYNUVUP
      UUYOWQUVSXFUVVDUVUPWTZVTZAWVGWUIVIZUVUTAUVUOUVVEVWAUVVFUVVAUVVGUVUOUVVEUV
      VAAWVGUUXMUUXTVWGVWBWVGWUIEVVQWGAUVVGVTZWVGPUVVGWVPAWVGURPYRWPAUUULUVVGUL
      WQUVVHXWTUUUAUVVGWVGPWBWCXWTUVVHYHWLAUUUAUVVGUUUFWQAUVVGWAURPWVGVWCXBUWMX
      DXSVWDYSXOVWEVWHXVJUUYAVMXGZUUYBUVUBVKAXUHUVVIWVAAUUXMUUXTVMAUUXMEVMUUYCU
      FVUOAPVMULVWLVWPYDUUYAYUCXWJXYEYWEVWMWGVWNUUYFUUYBVWOVUAVWQXEVWRWNXVJUUXP
      XVQPVBXVJMXVPUUXMUUYEVWSYEVYMVYMWUBXQAWVCWUOVDVVKZXVIAWVAUVVJIWVBXVJWUOXV
      MVDYWFXVJWULWUSVKNWULXXRVCWUCZXVMVIXVMVDVVKXVJUVVKXXRXVKVAZWULVBUTXVMXVJW
      UQWUSWUQWULXXRXWJXVAWUSUYMYFYGUTZNUVVKXXLXXHAXUHWWNWVAXUNYIAXUHXXTWVAUJYI
      AXUHNXXRWUSVBUTVIWVAUKYIXXLXYKXYNXXPUVVKYJUVVMYJWUFXVJUVVLXVLWULVBXVJMXVK
      XVAXXPVWSYEXEXVMUVVKWUGWGWUHWUBXQWUH $.
  $}

  ${
    $d J i k $.  $d J i x $.  $d M h i k l $.  $d M i m p $.  $d M i x $.
    $d N f $.  $d Q i k $.  $d Q i x $.  $d S f $.  $d S i k $.  $d S i x $.
    $d T f $.  $d U i $.  $d V h i k l $.  $d V i p $.  $d X i k $.
    $d X i m p $.  $d f ph $.  $d h i k l ph $.
    fourierdlem50.xre $e |- ( ph -> X e. RR ) $.
    fourierdlem50.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( -u _pi + X ) /\ ( p ` m ) = ( _pi + X ) ) /\ A. i e. ( 0
       ..^ m ) ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem50.m $e |- ( ph -> M e. NN ) $.
    fourierdlem50.v $e |- ( ph -> V e. ( P ` M ) ) $.
    fourierdlem50.a $e |- ( ph -> A e. RR ) $.
    fourierdlem50.b $e |- ( ph -> B e. RR ) $.
    fourierdlem50.altb $e |- ( ph -> A < B ) $.
    fourierdlem50.ab $e |- ( ph -> ( A [,] B ) C_ ( -u _pi [,] _pi ) ) $.
    fourierdlem50.q $e |- Q = ( i e. ( 0 ... M ) |-> ( ( V ` i ) - X ) ) $.
    fourierdlem50.t $e |- T = ( { A , B } u. ( ran Q i^i ( A (,) B ) ) ) $.
    fourierdlem50.n $e |- N = ( ( # ` T ) - 1 ) $.
    fourierdlem50.s $e |- S = ( iota f f Isom < , < ( ( 0 ... N ) , T ) ) $.
    fourierdlem50.j $e |- ( ph -> J e. ( 0 ..^ N ) ) $.
    fourierdlem50.u $e |- U = ( iota_ i e. ( 0 ..^ M ) ( ( S ` J ) (,) ( S ` (
       J + 1 ) ) ) C_ ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) ) $.
    fourierdlem50.ch $e |- ( ch <-> ( ( ( ( ph /\ i e. ( 0 ..^ M ) ) /\ ( ( S `
       J ) (,) ( S ` ( J + 1 ) ) ) C_ ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) ) /\
       k e. ( 0 ..^ M ) ) /\ ( ( S ` J ) (,) ( S ` ( J + 1 ) ) ) C_ ( ( Q ` k )
       (,) ( Q ` ( k + 1 ) ) ) ) ) $.
    $( Continuity of ` O ` and its limits with respect to the ` S ` partition.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem50 $p |- ( ph -> ( U e. ( 0 ..^ M ) /\ ( ( S ` J ) (,) ( S ` ( J
       + 1 ) ) ) C_ ( ( Q ` U ) (,) ( Q ` ( U + 1 ) ) ) ) ) $=
      ( vx vl vh cc0 cfzo co wcel cfv c1 caddc cioo wss cv wreu wceq wb cle wbr
      wral cr clt ltled cfz cmin wa cpi a1i adantr resubcld fveq2 oveq1d adantl
      cuz cn sseldd syl ffvelrnd fvmptd mpbid simprd simpld recnd cxr rexrd cfn
      cicc syl2anc jca elfzofz ad2antlr wf fzofzp1 elfzoelz zred ltp1d ad2antrr
      lelttrd ltletrd oveq2d pncan3d eqtr2d anbi12d imbi12d eleq1w anbi2d oveq1
      wi fveq2d breq2d breq1d ad3antlr adantlr eluz2 syl3anbrc adantlll elfzelz
      cz 0zd 0red elfzle1 adantll elfzle2 mpbird chvarvv ex oveq12d cn0 nnssnn0
      crio wrex crab csup cneg fourierdlem15 pire renegcli fssd ffvelrnda fmptd
      readdcld iccssred nn0uz sseqtrdi eluzfz1 fourierdlem2 pncand 3eqtrd leidd
      cmpt cmap iccgelb syl3anc eqbrtrd iccleub eluzfz2 3eqtrrd breqtrd cpr crn
      eliccd cin cun prfi fzfid rnmptfi infi eqeltrid prssg inss2 ioossre sstri
      unfi unssd fourierdlem36 eqid fourierdlem20 biimpi simp-4l simplr simp-4r
      eqsstrid fvmptg eqeltrd wf1o wiso isof1o f1of isoeq5 ax-mp sylib syl12anc
      isorel ioossioobi fvmpt2 simpllr fourierdlem10 ltadd2dd cc eleq1d eqeq12d
      eleq1 vtoclg sylc 3brtr4d anbi1d peano2re simpr peano2zd simplll elfzoel2
      wn nltled elfzole1 elfzolt2 elfzd peano2rem ltm1d elfzo2 r19.21bi monoord
      lttrd sylan2 syldan lensymd condan zleltp1 letrd ad4ant14 zltlem1 syl2anr
      ad3antrrr syl21anc mpbir2and wf1 fourierdlem34 f1fveq sylbir simpl eqcomd
      letri3d sseqtrd impbid ralrimiva reximdva mpd reu6 sylibr sseq2d cbvreuvw
      riotacl eqcomi riota2 ) AIUROUSUTZVAZNGVBZNVCVDUTZGVBZVEUTZIFVBZIVCVDUTZF
      VBZVEUTZVFZAIVVLKVGZFVBZVVRVCVDUTZFVBZVEUTZVFZKVVGUUCZVVGUMAVWCKVVGVHZVWD
      VVGVAAVVLLVGZFVBZVWFVCVDUTZFVBZVEUTZVFZLVVGVHZVWEAVWKVWFVVRVIZVJZLVVGVMZK
      VVGUUDZVWLAVWCKVVGUUDVWPACDFGHKUOUOVGFVBVVIVKVLUOVVGUUEVNVOUUFZNOPUBUDUEA
      CDUDUEUFVPZAKUROVQUTZVVRQVBZRVRUTZVNFAVVRVWSVAZVSVWTRAVWSVNVVRQAVWSVTUUGZ
      RVDUTZVTRVDUTZWTUTVNQAVXDVXEEQKMOSUAUBUCUUHAVXDVXEAVXCRVXCVNVAAVTUUIUUJWA
      ZTUUNAVTRVTVNVAAUUIWAZTUUNUUOUUKZUULZARVNVAZVXBTWBWCZUHUUMZAURFVBZVXCCVKA
      VXMURQVBZRVRUTZVXDRVRUTVXCAKURVXAVXOVWSFVNFKVWSVXAUVCVIZAUHWAZVVRURVIZVXA
      VXOVIAVXRVWTVXNRVRVVRURQWDWEWFAOURWGVBZVAZURVWSVAAWHVXSOAWHUUAVXSWHUUAVFA
      UUBWAUUPUUQUBWIZUROUURWJZAVXNRAVWSVNURQVXHVYBWKTWCWLAVXNVXDRVRAVXNVXDVIZO
      QVBZVXEVIZAVYCVYEVSZVWTVVTQVBZVOVLZKVVGVMZAQVNVWSUVDUTVAZVYFVYIVSZAQOEVBV
      AZVYJVYKVSZUCAOWHVAVYLVYMVJUBVXDVXEEQKMOSUAUUSWJWMWNZWOZWOWEAVXCRAVXCVXFW
      PARTWPZUUTUVAAVXCWQVAZVTWQVAZCVXCVTWTUTZVAVXCCVKVLAVXCVXFWRZAVTVXGWRZACDW
      TUTZVYSCUGACDCUDUEUDACUDUVBVWRUVNWIVXCVTCUVEUVFUVGADVTOFVBZVKAVYQVYRDVYSV
      ADVTVKVLVYTWUAAWUBVYSDUGACDDUDUEUEVWRADUEUVBUVNWIVXCVTDUVHUVFAWUCVYDRVRUT
      ZVXERVRUTVTAKOVXAWUDVWSFVNVXQVVROVIZVXAWUDVIAWUEVWTVYDRVRVVROQWDWEWFAVXTO
      VWSVAVYAUROUVIWJZAVYDRAVWSVNOQVXHWUFWKTWCWLAVYDVXERVRAVYCVYEVYOWNWEAVTRAV
      TVXGWPVYPUUTUVJUVKULUIAHJGPAHCDUVLZFUVMZCDVEUTZUVOZUVPZWSUIAWUGWSVAZWUJWS
      VAZWUKWSVAWULACDUVQWAAWUHWSVAZWUMAVWSWSVAWUNAUROUVRKFVWSVXAUHUVSWJWUHWUIU
      VTWJWUGWUJUWFXAUWAAHWUKVNUIAWUGWUJVNACVNVAZDVNVAZVSZWUGVNVFZAWUOWUPUDUEXB
      AWUOWUPWUQWURVJUDUECDVNVNVNUWBXAWMWUJVNVFAWUJWUIVNWUHWUIUWCCDUWDUWEWAUWGU
      WOZUKUJUWHZVWQUWIUWJAVWCVWOKVVGAVVRVVGVAZVSZVWCVWOWVBVWCVSZVWNLVVGWVCVWFV
      VGVAZVSZVWKVWMWVEVWKVWMWVEVWKVSZBVWMUNBVWFQVBZVWTVIZVWMBWVHWVGVWTVKVLZVWT
      WVGVKVLZBAWVDVSZWVAWVGVYGVOVLZWVIBAWVDBWVFABWVFUNUWKZAWVAVWCWVDVWKUWLWJZB
      WVFWVDWVMWVCWVDVWKUWMWJZXBZBWVFWVAWVMAWVAVWCWVDVWKUWNWJZBRVWGVDUTZRVWAVDU
      TZWVGVYGVOBVWGVWARBVWGWVGRVRUTZVNBVWFVWSVAZWVTVNVAZVWGWVTVIZBWVFWWAWVMWVD
      WWAWVCVWKVWFUROXCXDWJZBWVGRBVWSVNVWFQBAVWSVNQXEZWVNVXHWJWWDWKZBAVXJWVNTWJ
      ZWCZKVWFVXAWVTVWSVNFVVRVWFVIZVWTWVGRVRVVRVWFQWDWEUHUWPZXAZWWHUWQZBAWVAVWA
      VNVAWVNWVQWVBVWSVNVVTFAVWSVNFXEZWVAVXLWBWVAVVTVWSVAZAUROVVRXFZWFZWKXAZWWG
      BVWGVVKVWAWWLBAVVKVNVAWVNAHVNVVKWUSAURPVQUTZHVVJGAWWRHGUWRZWWRHGXEAWWRHVO
      VOGUWSZWWSWUTWWRHVOVOGUWTWJWWRHGUXAWJZANURPUSUTVAZVVJWWRVAZULURPNXFWJZWKW
      IWJZWWQBVWGVVIVVKWWLBAVVIVNVAWVNAHVNVVIWUSAWWRHNGWXAAWXBNWWRVAZULNURPXCWJ
      ZWKWIWJZWXEBVWGVVIVKVLZVVKVWIVKVLZBVWKWXIWXJVSBWVEVWKWVMWNBVWGVWIVVIVVKBV
      WGWWLWRBWVKVWIWQVAWVPWVKVWIWVKVWSVNVWHFAWWMWVDVXLWBWVDVWHVWSVAAUROVWFXFWF
      ZWKZWRWJBVVIWXHWRBVVKWXEWRBAVVIVVKVOVLZWVNANVVJVOVLZWXMAWXBWXNULWXBNWXBNN
      URPXGXHXIWJAWWRWUKVOVOGUWSZWXFWXCWXNWXMVJAWWTWXOWUTHWUKVIWWTWXOVJUIWWRHWU
      KVOVOGUXBUXCUXDWXGWXDWWRWUKNVVJVOVOGUXFUXEWMWJZUXGWMZWOWXPXKBVVSVVIVKVLZV
      VKVWAVKVLZBVVSVWAVVIVVKBVVSVXAVNBVXBVXAVNVAZVVSVXAVIBWVFVXBWVMWVCVXBWVDVW
      KWVAVXBAVWCVVRUROXCZXDXJWJZBAVXBWXTWVNWYBVXKXAZKVWSVXAVNFUHUXHXAZWYCUWQZW
      WQWXHWXEWXPBWVFVWCWVMWVBVWCWVDVWKUXIWJUXJZWNXLUXKBWVRRWVTVDUTWVGBVWGWVTRV
      DWWKXMBRWVGBARUXLVAWVNVYPWJZBWVGWWFWPXNXOBWVSRVYGRVRUTZVDUTVYGBVWAWYHRVDB
      WWNWWNWYHVNVAZVSZVWAWYHVIZBWVAWWNWVQWWOWJZBWWNWYIWYLBVYGRBAWVAVYGVNVAWVNW
      VQWVBVWSVNVVTQAWWEWVAVXHWBWWPWKZXAZWWGWCXBWWAWWBVSZWWCYAWYJWYKYALVVTVWSVW
      FVVTVIZWYOWYJWWCWYKWYPWWAWWNWWBWYIVWFVVTVWSUXOWYPWVTWYHVNWYPWVGVYGRVRVWFV
      VTQWDWEZUXMXPWYPVWGVWAWVTWYHVWFVVTFWDWYQUXNXQWWJUXPUXQXMBRVYGWYGBVYGWYNWP
      XNXOUXRWVKUPVGZVVGVAZVSZWVGWYRVCVDUTZQVBZVOVLZVSZWVGWYRQVBZVKVLZYAZWVKWVA
      VSZWVLVSZWVIYAUPKWYRVVRVIZXUDXUIXUFWVIXUJWYTXUHXUCWVLXUJWYSWVAWVKUPKVVGXR
      XSXUJXUBVYGWVGVOXUJXUAVVTQWYRVVRVCVDXTYBYCXPXUJXUEVWTWVGVKWYRVVRQWDYCXQAU
      QVGZVVGVAZVSZWYSVSZXUKQVBZXUBVOVLZVSZXUOXUEVKVLZYAZXUGUQLXUKVWFVIZXUQXUDX
      URXUFXUTXUNWYTXUPXUCXUTXUMWVKWYSXUTXULWVDAUQLVVGXRXSUXSXUTXUOWVGXUBVOXUKV
      WFQWDZYDXPXUTXUOWVGXUEVKXVAYDXQXUQKQXUKWYRXUQXUKYKVAZWYRYKVAZXUKWYRVKVLZW
      YRXUKWGVBVAXULXVBAWYSXUPXUKUROXGZYEZWYSXVCXUMXUPWYRUROXGZXDZXUQXVDXUKXUAV
      OVLZXUQXVIXUPXUNXUPXVIUYEZUWMXUNXVJXUPUYEXUPXUNXVJVSZXUBXUOXUNXUBVNVAZXVJ
      AWYSXVLXULAWYSVSVWSVNXUAQAWWEWYSVXHWBWYSXUAVWSVAAUROWYRXFWFWKYFWBXUMXUOVN
      VAWYSXVJXUMVWSVNXUKQAWWEXULVXHWBXULXUKVWSVAAXUKUROXCWFWKXJXUNXVJXUAXUKVKV
      LZXUBXUOVKVLXVKXUAXUKWYSXUAVNVAZXUMXVJWYSWYRVNVAZXVNWYSWYRXVGXHZWYRUXTZWJ
      XDXULXUKVNVAZAWYSXVJXULXUKXVEXHZYEXUNXVJUYAUYFXUNXVMVSKQXUAXUKXULWYSXVMXU
      KXUAWGVBVAZAXULWYSVSZXVMVSXUAYKVAZXVBXVMXVTWYSXWBXULXVMWYSWYRXVGUYBXDXULX
      VBWYSXVMXVEXJXWAXVMUYAXUAXUKYGYHYIXUNVVRXUAXUKVQUTVAZVWTVNVAZXVMXUNXWCVSA
      VXBXWDAXULWYSXWCUYCXULWYSXWCVXBAXWAXWCVSZVVRUROXWEYLXULOYKVAZWYSXWCXUKURO
      UYDZXJXWCVVRYKVAZXWAVVRXUAXUKYJZWFWYSXWCURVVRVKVLZXULWYSXWCVSZURVVRXWKYMZ
      XWCVVRVNVAZWYSXWCVVRXWIXHZWFZXWKURWYRVVRXWLWYSXVOXWCXVPWBZXWOWYSURWYRVKVL
      ZXWCWYRUROUYGZWBXWKWYRXUAVVRXWPXWKXVOXVNXWPXVQWJXWOXWKWYRXWPXIXWCXUAVVRVK
      VLZWYSVVRXUAXUKYNWFXLXKVPYOXULXWCVVROVKVLZWYSXULXWCVSZVVROXWCXWMXULXWNWFZ
      XULOVNVAZXWCXULOXWGXHZWBZXXAVVRXUKOXXBXULXVRXWCXVSWBXXEXWCVVRXUKVKVLXULVV
      RXUAXUKYPWFXULXUKOVOVLXWCXUKUROUYHZWBXKVPYFUYIYIVXIXAYFXUNVVRXUAXUKVCVRUT
      ZVQUTVAZVWTVYGVKVLZXVMXUNXXHVSZAWVAXXIAXULWYSXXHUYCXXJVVRVXSVAZXWFVVROVOV
      LZWVAWYSXXHXXKXUMWYSXXHVSZURYKVAZXWHXWJXXKXXMYLXXHXWHWYSVVRXUAXXGYJZWFZXX
      MURVVRXXMYMZXXMVVRXXPXHZXXMURWYRVVRXXQWYSXVOXXHXVPWBZXXRWYSXWQXXHXWRWBXXM
      WYRXUAVVRXXSXXMXVOXVNXXSXVQWJXXRXXMWYRXXSXIXXHXWSWYSVVRXUAXXGYNWFXLXKVPUR
      VVRYGZYHYOWYSXWFXUMXXHWYRUROUYDZXDXUMXXHXXLWYSXULXXHXXLAXULXXHVSVVRXXGOXX
      HXWMXULXXHVVRXXOXHWFXULXXGVNVAZXXHXULXVRXYBXVSXUKUYJWJZWBXULXXCXXHXXDWBXX
      HVVRXXGVKVLXULVVRXUAXXGYPWFXULXXGOVOVLXXHXULXXGXUKOXYCXVSXXDXULXUKXVSUYKX
      XFUYOWBXKYOYFVVRUROUYLZYHWVBVWTVYGWVAAVXBXWDWYAVXIUYPWYMAVYHKVVGAVYFVYIVY
      NWNUYMVPZXAYFUYNUYQUYRYFUYSXUQXVBXVCXVDXVIVJXVFXVHXUKWYRUYTXAYQXUKWYRYGYH
      XUNVVRXUKWYRVQUTVAZXWDXUPXUNXYFVSVWSVNVVRQAWWEXULWYSXYFVXHVUEXULWYSXYFVXB
      AXWAXYFVSZVVRUROXYGYLXULXWFWYSXYFXWGXJXYFXWHXWAVVRXUKWYRYJZWFXULXYFXWJWYS
      XULXYFVSZURXUKVVRXYIYMXULXVRXYFXVSWBXYFXWMXULXYFVVRXYHXHZWFXULURXUKVKVLZX
      YFXUKUROUYGZWBXYFXUKVVRVKVLZXULVVRXUKWYRYNWFVUAYFWYSXYFXWTXULWYSXYFVSZVVR
      OXYFXWMWYSXYJWFZWYSXXCXYFWYSOXYAXHZWBZXYNVVRWYROXYOWYSXVOXYFXVPWBXYQXYFVV
      RWYRVKVLWYSVVRXUKWYRYPWFWYSWYROVOVLZXYFWYRUROUYHZWBXKVPYOUYIYIWKYFXUQVVRX
      UKWYRVCVRUTZVQUTVAZVSZAWVAXXIAXULWYSXUPYUAUWLYUBXXKXWFXXLWVAXUMYUAXXKWYSX
      UPXULYUAXXKAXULYUAVSZXXNXWHXWJXXKYUCYLYUAXWHXULVVRXUKXYTYJZWFZYUCURXUKVVR
      YUCYMXULXVRYUAXVSWBYUCVVRYUEXHXULXYKYUAXYLWBYUAXYMXULVVRXUKXYTYNWFVUAXXTY
      HYOVUBWYSXWFXUMXUPYUAXYAYEXUNYUAXXLXUPWYSYUAXXLXUMWYSYUAVSZVVRWYROYUAXWMW
      YSYUAVVRYUDXHWFWYSXVOYUAXVPWBWYSXXCYUAXYPWBYUFVVRWYRVOVLZVVRXYTVKVLZYUAYU
      HWYSVVRXUKXYTYPWFYUAXWHXVCYUGYUHVJWYSYUDXVGVVRWYRVUCVUDYQWYSXYRYUAXYSWBUY
      OYOYFXYDYHXYEXAUYNZYRYRVUFBWVBWVDVWTVWHQVBZVOVLZWVJBAWVAWVNWVQXBWVOBRVVSV
      DUTZRVWIVDUTZVWTYUJVOBVVSVWIRWYEBWVKVWIVNVAWVPWXLWJZWWGBVVSVVKVWIWYEWXEYU
      NBVVSVVIVVKWYEWXHWXEBWXRWXSWYFWOWXPXKBWXIWXJWXQWNXLUXKBYULRVXAVDUTVWTBVVS
      VXARVDWYDXMBRVWTWYGBVWTBAVXBXWDWVNWYBVXIXAZWPXNXOBYUMRYUJRVRUTZVDUTYUJBVW
      IYUPRVDBAWVDVWIYUPVIWVNWVOWVKKVWHVXAYUPVWSFVNVXPWVKUHWAVVRVWHVIZVXAYUPVIW
      VKYUQVWTYUJRVRVVRVWHQWDWEWFWXKWVKYUJRWVKVWSVNVWHQAWWEWVDVXHWBWXKWKZAVXJWV
      DTWBWCWLXAXMBRYUJWYGBYUJBWVKYUJVNVAWVPYURWJWPXNXOUXRWVBWYSVSZVWTXUBVOVLZV
      SZVWTXUEVKVLZYAZWVBWVDVSZYUKVSZWVJYAUPLWYRVWFVIZYVAYVEYVBWVJYVFYUSYVDYUTY
      UKYVFWYSWVDWVBUPLVVGXRXSYVFXUBYUJVWTVOYVFXUAVWHQWYRVWFVCVDXTYBYCXPYVFXUEW
      VGVWTVKWYRVWFQWDYCXQXUSYVCUQKXUKVVRVIZXUQYVAXURYVBYVGXUNYUSXUPYUTYVGXUMWV
      BWYSYVGXULWVAAUQKVVGXRXSUXSYVGXUOVWTXUBVOXUKVVRQWDZYDXPYVGXUOVWTXUEVKYVHY
      DXQYUIYRYRVUFBWVGVWTWWFYUOVUNVUGBVWSVNQVUHZWWAVXBWVHVWMVJBAYVIWVNAVXDVXEE
      QKMOSUAUBUCVUIWJWWDWYBVWSVNVWFVVRQVUJUXEWMVUKYSVWCVWMVWKYAWVBWVDVWCVWMVWK
      VWCVWMVSVVLVWBVWJVWCVWMVULVWMVWBVWJVIVWCVWMVWJVWBVWMVWGVVSVWIVWAVEVWFVVRF
      WDVWMVWHVVTFVWFVVRVCVDXTYBYTVUMWFVUOYSXDVUPVUQYSVURVUSVWKLKVVGVUTVVAVWCVW
      KKLVVGWWIVWBVWJVVLWWIVVSVWGVWAVWIVEVVRVWFFWDWWIVVTVWHFVVRVWFVCVDXTYBYTVVB
      VVCVVAZVWCKVVGVVDWJUWAZAVVQVWDIVIZYVLAIVWDUMVVEWAAVVHVWEVVQYVLVJYVKYVJVWC
      VVQKVVGIVVRIVIZVWBVVPVVLYVMVVSVVMVWAVVOVEVVRIFWDYVMVVTVVNFVVRIVCVDXTYBYTV
      VBVVFXAYQXB $.
  $}

  ${
    $d A i j k x $.  $d A k w x y z $.  $d B i j k x $.  $d B k w x y z $.
    $d C k w x y z $.  $d D f $.  $d E k w x z $.  $d F f $.  $d H x $.
    $d T i j k x $.  $d T k w x y z $.  $d X k w x y z $.  $d f ph $.
    $d i j k ph x $.  $d ph w x z $.
    fourierdlem51.a $e |- ( ph -> A e. RR ) $.
    fourierdlem51.b $e |- ( ph -> B e. RR ) $.
    fourierdlem51.alt0 $e |- ( ph -> A < 0 ) $.
    fourierdlem51.bgt0 $e |- ( ph -> 0 < B ) $.
    fourierdlem51.t $e |- T = ( B - A ) $.
    fourierdlem51.cfi $e |- ( ph -> C e. Fin ) $.
    fourierdlem51.css $e |- ( ph -> C C_ ( A [,] B ) ) $.
    fourierdlem51.bc $e |- ( ph -> B e. C ) $.
    fourierdlem51.e $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( B - x ) / T ) )
       x. T ) ) ) $.
    fourierdlem51.x $e |- ( ph -> X e. RR ) $.
    fourierdlem51.exc $e |- ( ph -> ( E ` X ) e. C ) $.
    fourierdlem51.d $e |- D = ( { ( A + X ) , ( B + X ) } u. { y e. ( ( A + X )
       [,] ( B + X ) ) | E. k e. ZZ ( y + ( k x. T ) ) e. C } ) $.
    fourierdlem51.f $e |- F = ( iota f f Isom < , < ( ( 0 ... ( ( # ` D ) - 1 )
       ) , D ) ) $.
    fourierdlem51.h $e |- H = { y e. ( ( A + X ) (,] ( B + X ) ) | E. k e. ZZ (
       y + ( k x. T ) ) e. C } $.
    $( ` X ` is in the periodic partition, when the considered interval is
       centered at ` X ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem51 $p |- ( ph -> X e. ran F ) $=
      ( vw vz vj vi caddc co cmul wcel wrex cicc crab cun readdcld cc0 ltadd1dd
      cv cz clt recnd breqtrd ltled cmin cfl cfv resubcld cr eqeltrid wbr mpbid
      cdiv wceq a1i redivcld flcld cmpt id oveq1d adantl zred remulcld eqeltrrd
      oveq1 oveq2d eleq1d syl2anc rexbidv elrab sylanbrc elun2 syl eleqtrrdi c1
      cfn cioc wss wf wi wral fvres simprbi nfv simpl cxr iocssre adantr elrabi
      wa rexrd simpr wne ad2antrr syl3anc eqeltrd eqcomd adantlr simpllr mpbird
      ad2antlr ad3antrrr eleq1 anbi2d anbi1d anbi12d imbi12d simplr syl21anc cc
      cle 3eqtrd wn sselda ralrimiva crn cpr 0red addid2d eqbrtrrd eliccd lttrd
      posdifd eqcomi gt0ne0d oveq2 fveq2d oveq12d fvmptd rspcev chash wiso prfi
      cfz wfo csn snfi cres wf1 nfre1 nfcv nfrabw nfan sseldd w3a fvmpt2 lbicc2
      nfcri ad4ant14 iocssicc fourierdlem4 ffvelrnda sselid iocgtlb 3brtr3d zre
      jca31 ltadd2d elrpd ltmul1d fvex breq2 eqeq1 breq1 eqeq2d simp-6l simp-6r
      crp simp-5r simp-4r fourierdlem6 chvarvv vtocl adddirp1d addassd 3adantl3
      subaddd eqtrd simpl1 simpl2 3adant2 neqne eliccelioc fourierdlem35 simpl3
      mpbir2and pm2.61dan 3exp rexlimd eqid fmptd ssrab2 sstrid fssresd feqmptd
      mpd fssd feq1d simplll ad3antlr fourierdlem19 eqsstrid lttri3d dff13 f1fi
      jca ex sylancr velsn elun1 sylbir iccssred iccgelb leneltd iccleub eliocd
      unfi dfss3 sylibr ssfi prssi unssd fourierdlem36 wf1o f1ofo forn eleqtrrd
      isof1o 3syl ) ANGLUUAZANDNUMUNZENUMUNZUUBZCVDZJVDZHUOUNZUMUNZFUPZJVEUQZCV
      UPVUQURUNZUSZUTZGANVVFUPZNVVGUPANVVEUPNVVAUMUNZFUPZJVEUQZVVHAVUPVUQNADNOU
      DVAZAENPUDVAZUDAVUPNVVLUDAVUPVBNUMUNZNVFADVBNOAUUCZUDQVCANANUDVGUUDZVHVIA
      NVUQUDVVMAVVNNVUQVFVVPAVBENVVOPUDRVCUUEVIUUFAENVJUNZHVRUNZVKVLZVEUPNVVSHU
      OUNZUMUNZFUPZVVKAVVRAVVQHAENPUDVMAHEDVJUNZVNSAEDPOVMVOZAHAVBVWCHVFADEVFVP
      ZVBVWCVFVPADVBEOVVOPQRUUGZADEOPUUHVQVWCHVSZAHVWCSUUIVTZVHZUUJZWAWBZANKVLV
      WAFABNBVDZEVWLVJUNZHVRUNZVKVLZHUOUNZUMUNZVWAVNKVNKBVNVWQWCVSAUCVTVWLNVSZV
      WQVWAVSAVWRVWLNVWPVVTUMVWRWDVWRVWOVVSHUOVWRVWNVVRVKVWRVWMVVQHVRVWLNEVJUUK
      WEUULWEUUMWFUDANVVTUDAVVSHAVVSVWKWGVWDWHVAUUNUEWIVVJVWBJVVSVEVUTVVSVSZVVI
      VWAFVWSVVAVVTNUMVUTVVSHUOWJWKWLUUOWMVVDVVKCNVVEVUSNVSZVVCVVJJVEVWTVVBVVIF
      VUSNVVAUMWJWLWNWOWPNVVFVURWQWRUFWSAVBGUUPVLWTVJUNZUUSUNZGVFVFLUUQZVXBGLUU
      TZVUOGVSAGILVXAAGVVGXAUFAVURXAUPVVFXAUPZVVGXAUPVUPVUQUURAVUPUVAZVVDCVUPVU
      QXBUNZUSZUTZXAUPZVVFVXIXCZVXEAVXFXAUPVXHXAUPZVXJVUPUVBAFXAUPVXHFKVXHUVCZU
      VDZVXLTAVXHFVXMXDZUIVDZVXMVLZUJVDZVXMVLZVSZVXPVXRVSZXEZUJVXHXFZUIVXHXFVXN
      AVXOVXHFBVXHVWLVXMVLZWCZXDABVXHVYDFVYEAVWLVXHUPZXOZVYDVWLKVLZFVYFVYDVYHVS
      AVWLVXHKXGWFVYGVWLVVAUMUNZFUPZJVEUQZVYHFUPZVYFVYKAVYFVWLVXGUPZVYKVVDVYKCV
      WLVXGVUSVWLVSZVVCVYJJVEVYNVVBVYIFVUSVWLVVAUMWJWLWNZWOZXHWFVYGVYJVYLJVEAVY
      FJAJXIJBVXHVVDJCVXGVVCJVEUVEJVXGUVFUVGUVMUVHVYLJXIVYGAVWLVNUPZVUTVEUPZVYJ
      VYLXEXEAVYFXJVYGVXGVNVWLAVXGVNXCZVYFAVUPXKUPZVUQVNUPZVYSAVUPVVLXPZVVMVUPV
      UQXLWMZXMVYFVYMAVVDCVWLVXGXNWFUVIAVYQXOZVYRVYJVYLWUDVYRVYJUVJZVYIDVSZVYLW
      UDVYRWUFVYLVYJWUDVYRXOZWUFXOZVYHEFWUHVYHVWQVWLVUTWTUMUNZHUOUNZUMUNZEWUDVY
      HVWQVSZVYRWUFWUDVYQVWQVNUPWULAVYQXQZWUDVWLVWPWUMWUDVWOHWUDVWOWUDVWNWUDVWM
      HWUDEVWLAEVNUPZVYQPXMZWUMVMAHVNUPZVYQVWDXMZAHVBXRVYQVWJXMWAWBZWGZWUQWHZVA
      BVNVWQVNKUCUVKWMZXSZWUHVWPWUJVWLUMWUHVWOWUIHUOWUHWUGVWOVEUPZXOZVYIDEURUNZ
      UPZXOZVWQWVEUPZVUTVWOVFVPZVWOWUIVSZWUHWUGWVCWVFWUGWUFXJWUDWVCVYRWUFWURXSA
      WUFWVFVYQVYRAWUFXOVYIDWVEAWUFXQADWVEUPZWUFADXKUPZEXKUPZDEYPVPWVKADOXPZAEP
      XPADEOPVWFVIDEUVLXTXMYAUVNUWBWUDWVHVYRWUFWUDVYHVWQWVEWVAWUDDEXBUNZWVEVYHD
      EUVOAVNWVOVWLKABDEHKOPVWFSUCUVPZUVQZUVRWIXSWUHWVIVVAVWPVFVPZWUHWVRVYIVWQV
      FVPWUHDVYHVYIVWQVFWUDDVYHVFVPZVYRWUFWUDWVLWVMVYHWVOUPWVSAWVLVYQWVNXMWUDEW
      UOXPWVQDEVYHUVSXTXSWUFDVYIVSWUGWUFVYIDWUFWDYBWFWVBUVTWUHVVAVWPVWLWUGVVAVN
      UPZWUFAVYRWVTVYQAVYRXOZVUTHVYRVUTVNUPZAVUTUWAZWFZAWUPVYRVWDXMWHYCZXMWUDVW
      PVNUPVYRWUFWUTXSAVYQVYRWUFYDUWCYEWUHVUTVWOHVYRWWBWUDWUFWWCYFWUDVWOVNUPVYR
      WUFWUSXSAHUWMUPVYQVYRWUFAHVWDVWIUWDYGUWEYEWUGUKVDZVEUPZXOZWVFXOZVWLWWFHUO
      UNZUMUNZWVEUPZXOZVUTWWFVFVPZXOZWWFWUIVSZXEZWVGWVHXOZWVIXOZWVJXEUKVWOVWNVK
      UWFWWFVWOVSZWWOWWSWWPWVJWWTWWMWWRWWNWVIWWTWWIWVGWWLWVHWWTWWHWVDWVFWWTWWGW
      VCWUGWWFVWOVEYHYIYJWWTWWKVWQWVEWWTWWJVWPVWLUMWWFVWOHUOWJWKWLYKWWFVWOVUTVF
      UWGYKWWFVWOWUIUWHYLWUDULVDZVEUPZXOZWWGXOZVWLWXAHUOUNZUMUNZWVEUPZXOZWWLXOZ
      WXAWWFVFVPZXOZWWFWXAWTUMUNZVSZXEWWQULJWXAVUTVSZWXKWWOWXMWWPWXNWXIWWMWXJWW
      NWXNWXHWWIWWLWXNWXDWWHWXGWVFWXNWXCWUGWWGWXNWXBVYRWUDWXAVUTVEYHYIYJWXNWXFV
      YIWVEWXNWXEVVAVWLUMWXAVUTHUOWJWKWLYKYJWXAVUTWWFVFUWIYKWXNWXLWUIWWFWXAVUTW
      TUMWJUWJYLWXKDEHWXAWWFVWLWXKADVNUPZAVYQWXBWWGWXGWWLWXJUWKZOWRWXKAWUNWXPPW
      RWXKAVWEWXPVWFWRSAVYQWXBWWGWXGWWLWXJUWLWUDWXBWWGWXGWWLWXJUWNWXCWWGWXGWWLW
      XJUWOWXIWXJXQWXDWXGWWLWXJYDWXHWWLWXJYMUWPUWQUWRYNWEWKWUHWUKVWLVVAHUMUNZUM
      UNZVYIHUMUNZEWUGWUKWXRVSZWUFAVYRWXTVYQWWAWUJWXQVWLUMWWAVUTHWWAVUTWWDVGAHY
      OUPZVYRAHVWDVGZXMUWSWKYCXMWUGWXRWXSVSWUFWUGWXSWXRWUGVWLVVAHWUDVWLYOUPVYRW
      UDVWLWUMVGXMWUGVVAWWEVGAWYAVYQVYRWYBXSUWTYBXMWUHWXSDHUMUNZEWUFWXSWYCVSWUG
      VYIDHUMWJWFAWYCEVSZVYQVYRWUFAVWGWYDVWHAEDHAEPVGADOVGWYBUXBVQYGUXCYQYQAEFU
      PVYQVYRWUFUBYGYAUXAWUEWUFYRZXOZVYHVYIFWYFWUDVYRVYIWVOUPZVYHVYIVSWUDVYRVYJ
      WYEUXDZWUDVYRVYJWYEUXEZWYFWYGWVFVYIDXRZWUEWVFWYEWUDVYJWVFVYRAVYJWVFVYQAFW
      VEVYIUAYSYCUXFXMWYEWYJWUEVYIDUXGWFWYFDEVYIWYFWUDWXOWYHAWXOVYQOXMWRWYFWUDW
      UNWYHWUOWRWYFWUDVYRVYIXKUPWYHWYIWUGVYIWUGVWLVVAAVYQVYRYMWWEVAXPWMUXHUXKWU
      GWYGXOZVYHVWQVYIWUDWULVYRWYGWVAXSWYKVWPVVAVWLUMWYKVWOVUTHUOWYKDEHVWOVUTVW
      LAWXOVYQVYRWYGOYGAWUNVYQVYRWYGPYGAVWEVYQVYRWYGVWFYGSAVYQVYRWYGYDWUDWVCVYR
      WYGWURXSWUDVYRWYGYMWUDVWQWVOUPVYRWYGWUDVYHVWQWVOWVAWVQWIXSWUGWYGXQUXIWEWK
      UXCYNWUDVYRVYJWYEUXJYAUXLUXMWMUXNUYAYAVYEUXOUXPAVXHFVXMVYEABVXHVNVXMAVNVN
      VXHKAVNWVOVNKWVPAWVLWUNWVOVNXCWVNPDEXLWMUYBAVXHVXGVNVVDCVXGUXQWUCUXRZUXSU
      XTUYCYEAVYCUIVXHAVXPVXHUPZXOZVYBUJVXHWYNVXRVXHUPZXOZVXTVYAWYPVXTXOZAVXPMU
      PZXOZVXRMUPZVXRKVLZVXPKVLZVSZVYAWYQAWYRAWYMWYOVXTUYDWYMWYRAWYOVXTWYMVXPVX
      HMWYMWDUHWSUYEUYKWYOWYTWYNVXTWYOVXRVXHMWYOWDUHWSYFWYQXUAVXSVXQXUBWYOXUAVX
      SVSWYNVXTWYOVXSXUAVXRVXHKXGYBYFVXTVXSVXQVSWYPVXTVXQVXSVXTWDYBWFWYMVXQXUBV
      SAWYOVXTVXPVXHKXGUYEYQWYSWYTXOZXUCXOZVYAVXPVXRVFVPYRVXRVXPVFVPYRXUEBCDEFM
      HJKVXPNVXRAWXOWYRWYTXUCOYGZAWUNWYRWYTXUCPYGZAVWEWYRWYTXUCVWFYGZANVNUPWYRW
      YTXUCUDYGZUHSUCAWYRWYTXUCYDZWYSWYTXUCYMZXUDXUCXQZUYFXUEBCDEFMHJKVXRNVXPXU
      FXUGXUHXUIUHSUCXUKXUJXUEXUAXUBXULYBUYFXUEVXPVXRWYSVXPVNUPWYTXUCAMVNVXPAMV
      XHVNUHWYLUYGZYSXSXUDVXRVNUPXUCWYSMVNVXRAMVNXCWYRXUMXMYSXMUYHUXKYNUYLYTYTU
      IUJVXHFVXMUYIWPVXHFVXMUYJWMVXFVXHVUBUYMAVWLVXIUPZBVVFXFVXKAXUNBVVFAVWLVVF
      UPZXOAVWLVVEUPZVYKXUNAXUOXJXUOXUPAVVDCVWLVVEXNWFXUOVYKAXUOXUPVYKVVDVYKCVW
      LVVEVYOWOXHWFAXUPXOZVYKXOZVWLVUPVSZXUNXUSXUNXURXUSVWLVXFUPXUNBVUPUYNVWLVX
      FVXHUYOUYPWFXURXUSYRZXOZVYFXUNXVAVYMVYKVYFXUQXUTVYMVYKXUQXUTXOZVUPVUQVWLA
      VYTXUPXUTWUBXSAVUQXKUPZXUPXUTAVUQVVMXPZXSXUQVWLXKUPXUTXUQVWLAVVEVNVWLAVUP
      VUQVVLVVMUYQZYSZXPXMXVBVUPVWLAVUPVNUPZXUPXUTVVLXSXUQVYQXUTXVFXMXUQVUPVWLY
      PVPZXUTXUQVYTXVCXUPXVHAVYTXUPWUBXMZAXVCXUPXVDXMZAXUPXQZVUPVUQVWLUYRXTXMXU
      TVWLVUPXRXUQVWLVUPUXGWFUYSXUQVWLVUQYPVPZXUTXUQVYTXVCXUPXVLXVIXVJXVKVUPVUQ
      VWLUYTXTXMVUAYCXUQVYKXUTYMVYPWPVWLVXHVXFWQWRUXLYNYTBVVFVXIVUCVUDVXIVVFVUE
      WMVURVVFVUBUYMVOAGVVGVNUFAVURVVFVNAXVGWUAVURVNXCVVLVVMVUPVUQVNVUFWMAVVFVV
      EVNVVDCVVEUXQXVEUXRVUGUYGUGVXAUXOVUHVXCVXBGLVUIVXDVXBGVFVFLVUMVXBGLVUJWRV
      XBGLVUKVUNVUL $.
  $}

  ${
    $d A j $.  $d B j $.  $d N f $.  $d N j $.  $d S f $.  $d S j $.  $d T f $.
    $d T j $.  $d f ph $.  $d j ph $.
    fourierdlem52.tf $e |- ( ph -> T e. Fin ) $.
    fourierdlem52.n $e |- N = ( ( # ` T ) - 1 ) $.
    fourierdlem52.s $e |- S = ( iota f f Isom < , < ( ( 0 ... N ) , T ) ) $.
    fourierdlem52.a $e |- ( ph -> A e. RR ) $.
    fourierdlem52.b $e |- ( ph -> B e. RR ) $.
    fourierdlem52.t $e |- ( ph -> T C_ ( A [,] B ) ) $.
    fourierdlem52.at $e |- ( ph -> A e. T ) $.
    fourierdlem52.bt $e |- ( ph -> B e. T ) $.
    $( d16:d17,d18:jca |- ( ph -> ( ( S ` 0 ) <_ A /\ A <_ ( S ` 0 ) ) ) .
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem52 $p |- ( ph -> ( ( S : ( 0 ... N ) --> ( A [,] B ) /\ ( S ` 0
       ) = A ) /\ ( S ` N ) = B ) ) $=
      ( vj cc0 cle wbr wcel cfz co cicc wf cfv wceq wiso wf1o cr iccssred sstrd
      clt fourierdlem36 isof1o f1of 3syl fssd wrex wfo f1ofo foelrn syl2anc w3a
      cv wa elfzle1 adantl cxr wss wb adantr ressxr sstrdi cz fzssz zssre sstri
      jctil cuz cn0 chash c1 cn cfn hashcl syl c0 wne hashge1 elnnnn0c sylanbrc
      cmin ne0d nnm1nn0 eqeltrid nn0uz eleqtrdi eluzfz1 anim1i leisorel syl3anc
      mpbid 3adant3 eqcom biimpi 3ad2ant3 breqtrd rexlimdv3a mpd rexrd ffvelrnd
      iccgelb letri3d mpbir2and eluzfz2 iccleub simp3 elfzle2 3ad2ant2 3ad2ant1
      sseldd simp2 syl112anc eqbrtrd jca31 ) AQGUAUBZBCUCUBZDUDQDUEZBUFZGDUEZCU
      FZAYFEYGDAYFEULULDUGZYFEDUHZYFEDUDAEFDGHAEYGUIMABCKLUJZUKZJIUMZYFEULULDUN
      ZYFEDUOUPMUQZAYIYHBRSZBYHRSZABPVDZDUEZUFZPYFURZYSAYFEDUSZBETUUDAYLYMUUEYP
      YQYFEDUTUPZNPYFEBDVAVBAUUCYSPYFAUUAYFTZUUCVCYHUUBBRAUUGYHUUBRSZUUCAUUGVEZ
      QUUARSZUUHUUGUUJAUUAQGVFVGUUIYLYFVHVIZEVHVIZVEZQYFTZUUGVEUUJUUHVJAYLUUGYP
      VKUUIUULUUKAUULUUGAEUIVHYOVLVMVKYFVNVHQGVOVNUIVHVPVLVQVQVRZAUUNUUGAGQVSUE
      ZTZUUNAGVTUUPAGEWAUEZWBWLUBZVTIAUURWCTZUUSVTTAUURVTTZWBUURRSZUUTAEWDTZUVA
      HEWEWFAUVCEWGWHUVBHAEBNWMEWDWIVBUURWJWKUURWNWFWOWPWQZQGWRWFZWSYFEQUUADWTX
      AXBXCUUCAUUBBUFZUUGUUCUVFBUUBXDXEXFXGXHXIABVHTZCVHTZYHYGTYTABKXJZACLXJZAY
      FYGQDYRUVEXKZBCYHXLXAAYHBAYGUIYHYNUVKYAKXMXNAYKYJCRSZCYJRSZAUVGUVHYJYGTUV
      LUVIUVJAYFYGGDYRAUUQGYFTZUVDQGXOWFZXKZBCYJXPXAACUUBUFZPYFURZUVMAUUECETUVR
      UUFOPYFECDVAVBAUVQUVMPYFAUUGUVQVCZCUUBYJRAUUGUVQXQUVSUUAGRSZUUBYJRSZUUGAU
      VTUVQUUAQGXRXSUVSYLUUMUUGUVNUVTUWAVJAUUGYLUVQYPXTAUUGUUMUVQUUOXCAUUGUVQYB
      AUUGUVNUVQUVOXTYFEUUAGDWTYCXBYDXHXIAYJCAYGUIYJYNUVPYALXMXNYE $.
  $}

  ${
    $d A s x $.  $d A s y $.  $d B s y $.  $d D s $.  $d F s x $.  $d X s x $.
    $d X s y $.  $d ph s x $.  $d ph s y $.
    fourierdlem53.1 $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem53.2 $e |- ( ph -> X e. RR ) $.
    fourierdlem53.3 $e |- ( ph -> A C_ RR ) $.
    fourierdlem53.g $e |- G = ( s e. A |-> ( F ` ( X + s ) ) ) $.
    fourierdlem53.xps $e |- ( ( ph /\ s e. A ) -> ( X + s ) e. B ) $.
    fourierdlem53.b $e |- ( ph -> B C_ RR ) $.
    fourierdlem53.sned $e |- ( ( ph /\ s e. A ) -> s =/= D ) $.
    fourierdlem53.c $e |- ( ph -> C e. ( ( F |` B ) limCC ( X + D ) ) ) $.
    fourierdlem53.d $e |- ( ph -> D e. CC ) $.
    $( The limit of ` F ( s ) ` at ` ( X + D ) ` is the limit of
       ` F ( X + s ) ` at ` D ` .  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem53 $p |- ( ph -> C e. ( G limCC D ) ) $=
      ( wcel cr vx cres cv caddc cmpt ccom climc cdm csn cdif wral crn wss wceq
      co wa fssresd fdmd eqcomd adantr eleqtrd recnd sselda addneintrd readdcld
      cc neneqd elsng syl mtbird eldifd ralrimiva eqid rnmptss ax-resscn sstrdi
      wb constlimc idlimc addlimc limccog cfv nfv rnmptssd cores fcompt syl2anc
      wf fmptd oveq2 fveq2d cbvmptv eqidd adantl simpr fvmptd mpteq2dva 3eqtrrd
      a1i 3eqtrd oveq1d ) ADFCUBZIBHIUCZUDUOZUEZUFZEUGUOGEUGUOAEHEUDUOZDXEXBAXD
      XBUHZXGUIZUJZSZIBUKXEULZXJUMAXKIBAXCBSZUPZXDXHXIXNXDCXHNACXHUNXMAXHCACTXB
      ATTCFJOUQURUSUTVAXNXDXISZXDXGUNZXNXDXGXNHXCEAHVFSXMAHKVBZUTZXNXCABTXCLVCZ
      VBZAEVFSXMRUTPVDVGXNXDTSXOXPVQXNHXCAHTSZXMKUTXSVEZXDXGTVHVIVJVKVLIBXDXJXE
      XEVMZVNVIAIBHXCEHIBHUEZIBXCUEZXEEYDVMZYEVMZYCXRXTAIBHEYDYFABTVFLVOVPZXQRV
      RAIBYEEYHYGRVSVTQWAAXFGEUGAXFFXEUFZUABUAUCZXEWBZFWBZUEZGAXLCUMXFYIUNAIBXD
      CXEAIWCYCNWDFXECWEVIATTFWHBTXEWHYIYMUNJAIBXDTXEYBYCWIUAFXEBTTWFWGAGIBXDFW
      BZUEZUABHYJUDUOZFWBZUEZYMGYOUNAMWSYOYRUNAIUABYNYQXCYJUNZXDYPFXCYJHUDWJZWK
      WLWSAUABYQYLAYJBSZUPZYPYKFUUBYKYPUUBIYJXDYPBXETUUBXEWMYSXDYPUNUUBYTWNAUUA
      WOUUBHYJAYAUUAKUTABTYJLVCVEWPUSWKWQWRWTXAVA $.
  $}

  ${
    $d A i m p $.  $d A w $.  $d B i m p $.  $d B w $.  $d C h y $.
    $d C m p $.  $d C w x y z $.  $d D h y $.  $d D m p $.  $d D w x y z $.
    $d H f $.  $d H h y $.  $d H x y $.  $d M i m p $.  $d N f $.  $d N h y $.
    $d N i m p $.  $d N i x y $.  $d Q i j k l y z $.  $d Q i p $.
    $d Q j k w y z $.  $d Q i k x y z $.  $d S f $.  $d S h y $.  $d S i p $.
    $d S i x y $.  $d T i j k l y z $.  $d T j k w y z $.  $d T i k x y z $.
    $d f ph $.  $d i j k ph y z $.  $d ph w y z $.
    fourierdlem54.t $e |- T = ( B - A ) $.
    fourierdlem54.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem54.m $e |- ( ph -> M e. NN ) $.
    fourierdlem54.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem54.c $e |- ( ph -> C e. RR ) $.
    fourierdlem54.d $e |- ( ph -> D e. RR ) $.
    fourierdlem54.cd $e |- ( ph -> C < D ) $.
    fourierdlem54.o $e |- O = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = C /\ ( p ` m ) = D ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem54.h $e |- H = ( { C , D } u. { x e. ( C [,] D ) | E. k e. ZZ (
       x + ( k x. T ) ) e. ran Q } ) $.
    fourierdlem54.n $e |- N = ( ( # ` H ) - 1 ) $.
    fourierdlem54.s $e |- S = ( iota f f Isom < , < ( ( 0 ... N ) , H ) ) $.
    $( Given a partition ` Q ` and an arbitrary interval ` [ C , D ] ` , a
       partition ` S ` on ` [ C , D ] ` is built such that it preserves any
       periodic function piecewise continuous on ` Q ` will be piecewise
       continuous on ` S ` , with the same limits.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    fourierdlem54 $p |- ( ph -> ( ( N e. NN /\ S e. ( O ` N ) ) /\ S Isom < , <
       ( ( 0 ... N ) , H ) ) ) $=
      ( vy vz vl vw vj vh cn wcel cfv cc0 cfz co clt chash c1 c2 cuz cz cle wbr
      cmin a1i wne cv cmul caddc crn wrex cicc cr elun1 eleqtrrdi cfn wb w3a wa
      3syl simp2d simp3d wss syl cmap wceq cfzo wral fourierdlem2 mpbid syl2anc
      simpld simprd nn0uz eleqtrdi eluzfz1 fnfvelrn eqeltrrd eluzfz2 eqid oveq1
      wf cn0 eleq1d rexbidv oveq2d sylancr eqeltrid mpbird eqcomd eqbrtrd prssg
      mpbi2and unssd eqsstrid sylib cvv eqeq1 eqcom bitrdi rspcv sylc fveq2 cxr
      adantl sseldd adantr zred breq1 breq1d bibi12d mpd mpbir2and wiso 2z crab
      c0 cpr cun prid1g ne0d prfi cabs ccom cxp cid cdif cres ctg fourierdlem11
      cinf cioo crest simp1d fourierdlem15 frn wfn elmapi ffn fzfid fnfi nnnn0d
      rnfi cbvrabv anbi1d anbi2d cbvrex2vw anbi2i fourierdlem42 unfi nnzd ltned
      hashnncl hashprg ssun1 sseqtrrdi hashssle syl3anbrc uz2m1nn wf1o iccssred
      ssrab2 sstrid fourierdlem36 df-isom f1of fssd reex ovex elmapg wfo df-f1o
      eluz2 wf1 dffo3 simplr eqtrd ad2antrr eqeltrd eqled 3adantl2 rexrd lbicc2
      wn ltled syl3anc nnm1nn0 ffvelrnd 3ad2antl1 elfzelz elfzle1 neqne ne0gt0d
      ubicc2 3ad2antl2 simpl1 simpl2 ralbidv r19.21bi simpl3 breqtrd rexlimdv3a
      pm2.61dan elicc2 letri3d prid2g biimpri ffvelrnda elfzel2 elfzle2 lensymd
      3ad2ant3 mtbid nltled 3adant3 elfzoelz ltp1d elfzofz fzofzp1 breq2 breq2d
      wi rspc2v ralrimiva jca31 ) AQUQURZIQRUSURZUTQVAVBZOVCVCIUUAZAQOVDUSZVEVK
      VBZUQUIAVUQVFVGUSURZVURUQURAVFVHURZVUQVHURVFVUQVIVJVUSVUTAUUBVLAVUQAVUQUQ
      URZOUUDVMZAOEAEEFUUEZBVNZMVNZJVOVBZVPVBZHVQZURZMVHVRZBEFVSVBZUUCZUUFZOAEV
      TURZEVVCUREVVMURUDEFVTUUGEVVCVVLWAWGUHWBZUUHAOWCURZVVAVVBWDAOVVMWCUHAVVCW
      CURVVLWCURVVMWCUREFUUIAAUKVNZVTURZULVNZVTURVVQVVSVCVJWEWFZVVQLVNZJVOVBZVP
      VBZVVHURZVVSUMVNZJVOVBZVPVBZVVHURZWFZUMVHVRLVHVRZWFUNVVHCDUUJVKUUKZVWKVVH
      VVHUULUUMUUNZUUOVQZJUOMVWMVTVCUURZVVLVWLUUSVQUUPUSZVWOVVKUUTVBZEFUKULACVT
      URZDVTURZCDVCVJZACDGHLNPSUAUBUCUUQZUVAAVWQVWRVWSVWTWHAVWQVWRVWSVWTWITAUTP
      VAVBZCDVSVBZHXIVVHVXBWJACDGHLNPSUAUBUCUVBVXAVXBHUVCWKAHWCURZVVHWCURAHVXAU
      VDZVXAWCURVXCAHVTVXAWLVBURZVXAVTHXIVXDAVXEUTHUSZCWMZPHUSZDWMZWFZVWAHUSVWA
      VEVPVBZHUSVCVJLUTPWNVBWOZWFZAHPGUSURZVXEVXMWFZUCAPUQURVXNVXOWDUBCDGHLNPSU
      AWPWKWQZWSHVTVXAUVEVXAVTHUVFWGZAUTPUVGVXAHUVHWRHUVJWKAVXFCVVHAVXGVXIAVXJV
      XLAVXEVXMVXPWTWSZWSAVXDUTVXAURZVXFVVHURVXQAPUTVGUSZURZVXSAPXJVXTAPUBUVIXA
      XBZUTPXCWKVXAUTHXDWRXEAVXHDVVHAVXGVXIVXRWTAVXDPVXAURZVXHVVHURVXQAVYAVYCVY
      BUTPXFWKVXAPHXDWRXEVWKXGVWLXGVWMXGVWNXGUDUEVWOXGVWPXGVVJUNVNZVVFVPVBZVVHU
      RZMVHVRBUNVVKVVDVYDWMZVVIVYFMVHVYGVVGVYEVVHVVDVYDVVFVPXHXKXLUVKVWJVVQUOVN
      ZJVOVBZVPVBZVVHURZVVSVVFVPVBZVVHURZWFZMVHVRUOVHVRVVTVWIVYNVYKVWHWFLUMUOMV
      HVHVWAVYHWMZVWDVYKVWHVYOVWCVYJVVHVYOVWBVYIVVQVPVWAVYHJVOXHXMXKUVLVWEVVEWM
      ZVWHVYMVYKVYPVWGVYLVVHVYPVWFVVFVVSVPVWEVVEJVOXHXMXKUVMUVNUVOUVPVVCVVLUVQX
      NXOZOUVTWKXPZUVRAVFVVCVDUSZVUQVIAVYSVFAEFVMZVYSVFWMZAEFUDUFUVSAVVNFVTURZV
      YTWUAWDUDUEEFVTVTUWAWRWQXQAVVPVVCOWJVYSVUQVIVJVYQAVVCVVMOVVCVVMWJAVVCVVLU
      WBVLUHUWCOVVCUWDWRXRVFVUQUWTUWEVUQUWFWKXOZAVUNIVTVUOWLVBURZUTIUSZEWMZQIUS
      ZFWMZWFVWAIUSZVXKIUSZVCVJZLUTQWNVBZWOZWFZAWUDVUOVTIXIZAVUOOVTIAVUOOIUWGZV
      UOOIXIZAWUPVVDVVQVCVJZVVDIUSZVVQIUSZVCVJZWDZUKVUOWOZBVUOWOZAVUPWUPWVDWFAO
      KIQVYQAOVVMVTUHAVVCVVLVTAVVNWUBVVCVTWJZUDUEAVVNWUBVVNWUBWFWVEWDUDUEEFVTVT
      VTXSWRXTAVVLVVKVTVVJBVVKUWIZAEFUDUEUWHZUWJYAYBZUJUIUWKZBUKVUOOVCVCIUWLYCZ
      WSZVUOOIUWMWKZWVHUWNZAVTYDURVUOYDURZWUDWUOWDUWOWVNAUTQVAUWPVLVTVUOIYDYDUW
      QXNXPAWUFWUHWUMAWUFWUEEVIVJZEWUEVIVJZAWUTEWMZUKVUOVRZWVOAEOURUPVNZWUTWMZU
      KVUOVRZUPOWOZWVRVVOAWUQWWBAVUOOIUWRZWUQWWBWFAVUOOIUXAZWWCAWUPWWDWWCWFWVKV
      UOOIUWSYCWTUKUPVUOOIUXBYCWTZWWAWVRUPEOWVSEWMZWVTWVQUKVUOWWFWVTEWUTWMWVQWV
      SEWUTYEEWUTYFYGXLYHYIAWVQWVOUKVUOAVVQVUOURZWVQWEZVVQUTWMZWVOAWVQWWIWVOWWG
      AWVQWFZWWIWFZWUEEWWKWUEEVTWWKWUEWUTEWWIWUEWUTWMWWJWWIWUTWUEVVQUTIYJXQYLAW
      VQWWIUXCUXDZAVVNWVQWWIUDUXEUXFWWLUXGUXHWWHWWIUXKZWFZWUEEAWWGWWMWUEVTURZWV
      QAWWOWWMAVVKVTWUEWVGAOVVKWUEAOVVMVVKUHAVVCVVLVVKAEVVKURZFVVKURZVVCVVKWJZA
      EYKURZFYKURZEFVIVJZWWPAEUDUXIZAFUEUXIZAEFUDUEUFUXLZEFUXJUXMZAWWSWWTWXAWWQ
      WXBWXCWXDEFUYAUXMZAWWPWWQWWPWWQWFWWRWDWXEWXFEFVVKVVKVVKXSWRXTVVLVVKWJAWVF
      VLYAYBZAVUOOUTIWVLAQVXTURZUTVUOURZAQXJVXTAQVURXJUIAVVAVURXJURVYRVUQUXNWKX
      OXAXBZUTQXCWKZUXOYMZYMZYNUXPAWWGWWMVVNWVQAVVNWWMUDYNUXPWWNWUEWUTEVCWWNUTV
      VQVCVJZWUEWUTVCVJZWWGAWWMWXNWVQWWGWWMWFVVQWWGVVRWWMWWGVVQVVQUTQUXQYOZYNWW
      GUTVVQVIVJWWMVVQUTQUXRYNWWMVVQUTVMWWGVVQUTUXSYLUXTUYBWWNAWWGWXNWXOWDZAWWG
      WVQWWMUYCAWWGWVQWWMUYDAWXQUKVUOAWXIWVDWXQUKVUOWOZWXKAWUPWVDWVJWTZWVCWXRBU
      TVUOVVDUTWMZWVBWXQUKVUOWXTWURWXNWVAWXOVVDUTVVQVCYPWXTWUSWUEWUTVCVVDUTIYJY
      QYRUYEYHYIUYFWRWQAWWGWVQWWMUYGUYHUXLUYJUYIYSAWWOWVPWUEFVIVJZAWUEVVKURZWWO
      WVPWYAWEZWXLAVVNWUBWYBWYCWDUDUEEFWUEUYKWRWQWHAWUEEWXMUDUYLYTAWUHWUGFVIVJZ
      FWUGVIVJZAWUGVTURZEWUGVIVJZWYDAWUGVVKURZWYFWYGWYDWEZAOVVKWUGWXGAVUOOQIWVL
      AWXHQVUOURZWXJUTQXFWKZUXOYMZAVVNWUBWYHWYIWDUDUEEFWUGUYKWRWQWIAWUTFWMZUKVU
      OVRZWYEAFOURWWBWYNAFVVMOAWUBFVVCURFVVMURUEEFVTUYMFVVCVVLWAWGUHWBWWEWWAWYN
      UPFOWVSFWMZWVTWYMUKVUOWYOWVTFWUTWMZWYMWVSFWUTYEFWUTYFZYGXLYHYIAWYMWYEUKVU
      OAWWGWYMWEFWUTWUGVIWYMAWYPWWGWYPWYMWYQUYNUYSAWWGWUTWUGVIVJWYMAWWGWFZWUTWU
      GAVUOVTVVQIWVMUYOAWYFWWGAVVKVTWUGWVGWYLYMZYNWYRQVVQVCVJZWUGWUTVCVJZWYRVVQ
      QWWGVVRAWXPYLWWGQVTURAWWGQVVQUTQUYPYOYLWWGVVQQVIVJAVVQUTQUYQYLUYRAWYTXUAW
      DZUKVUOAWYJWVDXUBUKVUOWOZWYKWXSWVCXUCBQVUOVVDQWMZWVBXUBUKVUOXUDWURWYTWVAX
      UAVVDQVVQVCYPXUDWUSWUGWUTVCVVDQIYJYQYRUYEYHYIUYFUYTVUAVUBXRUYIYSAWUGFWYSU
      EUYLYTAWUKLWULAVWAWULURZWFZVWAVXKVCVJZWUKXUEXUGAXUEVWAXUEVWAVWAUTQVUCYOVU
      DYLXUFWVDXUGWUKWDZAWVDXUEWXSYNXUFVWAVUOURZVXKVUOURZWVDXUHVUIXUEXUIAVWAUTQ
      VUEYLXUEXUJAUTQVWAVUFYLWVBXUHVWAVVQVCVJZWUIWUTVCVJZWDBUKVWAVXKVUOVUOVVDVW
      AWMZWURXUKWVAXULVVDVWAVVQVCYPXUMWUSWUIWUTVCVVDVWAIYJYQYRVVQVXKWMZXUKXUGXU
      LWUKVVQVXKVWAVCVUGXUNWUTWUJWUIVCVVQVXKIYJVUHYRVUJWRYSWQVUKVULAVUMVUNWUDWU
      NWFWDWUCEFRILNQSUGWPWKYTWVIVUL $.
  $}

  ${
    $d ph s $.
    fourierdlem55.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem55.x $e |- ( ph -> X e. RR ) $.
    fourierdlem55.r $e |- ( ph -> Y e. RR ) $.
    fourierdlem55.w $e |- ( ph -> W e. RR ) $.
    fourierdlem55.h $e |- H = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 0 , (
       ( ( F ` ( X + s ) ) - if ( 0 < s , Y , W ) ) / s ) ) ) $.
    fourierdlem55.k $e |- K = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 1 , (
       s / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) ) $.
    fourierdlem55.u $e |- U = ( s e. ( -u _pi [,] _pi ) |-> ( ( H ` s ) x. ( K
       ` s ) ) ) $.
    $( ` U ` is a real function.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem55 $p |- ( ph -> U : ( -u _pi [,] _pi ) --> RR ) $=
      ( cpi co cfv cr cneg cicc cv cmul wa fourierdlem9 ffvelrnda fourierdlem43
      wcel ffvelrni adantl remulcld fmptd ) AIQUAQUBRZIUCZDSZUOESZUDRTBAUOUNUIZ
      UEUPUQAUNTUODACDFGHIJKLMNUFUGURUQTUIAUNTUOEEIOUHUJUKULPUM $.
  $}

  ${
    $d A s $.  $d B s $.  $d ph s x $.
    fourierdlem56.k $e |- K = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 1 , (
       s / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) ) $.
    fourierdlem56.a $e |- ( ph -> ( A (,) B ) C_ ( ( -u _pi [,] _pi ) \ { 0 } )
       ) $.
    fourierdlem56.r4 $e |- ( ( ph /\ s e. ( A (,) B ) ) -> s =/= 0 ) $.
    $( Derivative of the ` K ` function on an interval not containing ' 0 '.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem56 $p |- ( ph -> ( RR _D ( s e. ( A (,) B ) |-> ( K ` s ) ) ) =
       ( s e. ( A (,) B ) |-> ( ( ( ( sin ` ( s / 2 ) ) - ( ( ( cos ` ( s / 2 )
       ) / 2 ) x. s ) ) / ( ( sin ` ( s / 2 ) ) ^ 2 ) ) / 2 ) ) ) $=
      ( cr co cfv c2 cdiv csin c1 ccos wcel cc0 a1i cc vx cioo cv cmpt cdv cmul
      cmin cexp wceq cif cpi cneg cicc cvv csn difss2d sselda ovex ifex syl2anc
      wa 1ex fvmpt2 neneqd iffalsed elioore adantl halfcld sincld fourierdlem44
      recnd 2cnd wne divdiv1d mulcomd oveq2d eqtr2d 3eqtrd mpteq2dva reelprrecn
      2ne0 divcld 1red rehalfcld resincld remulcld recoscld resubcld resqcld cz
      cpr 2z expne0d redivcld 1cnd crn ctg ccnfld recn dvmptid wss ioossre eqid
      ctopn tgioo2 iooretop dvmptres wn elsni necon3ai syl eldifd coscld mulcld
      cnelprrecn wf sinf ffvelrnda cosf dvmptdivc wfn ax-mp dffn5 eqcomi oveq2i
      ffn mpbi dvsin 3eqtri fveq2 dvmptco mulid2d divrecd eqcomd oveq1d oveq12d
      dvmptdiv mpteq2ia ) AIEBCUBJZEUCZDKZUDZUEJIEYSYTYTLMJZNKZMJZLMJZUDZUEJEYS
      OUUDUFJZUUCPKZOLMJZUFJZYTUFJZUGJZUUDLUHJZMJZLMJZUDZEYSUUDUUILMJZYTUFJZUGJ
      ZUUNMJZLMJZUDZAUUBUUGIUEAEYSUUAUUFAYTYSQZVAZUUAYTRUIZOYTLUUDUFJZMJZUJZUVH
      UUFUVEYTUKULUKUMJZQZUVIUNQZUUAUVIUIAYSUVJYTAYSUVJRUOZGUPUQZUVLUVEUVFOUVHV
      BYTUVGMURUSSEUVJUVIUNDFVCUTUVEUVFOUVHUVEYTRHVDVEUVEUUFYTUUDLUFJZMJUVHUVEY
      TUUDLUVEYTUVDYTIQZAYTBCVFZVGZVKZUVEUUCUVEYTUVSVHZVIZUVEVLZUVEUVKYTRVMUUDR
      VMZUVNHYTVJUTZLRVMZUVEWASVNUVEUVOUVGYTMUVEUUDLUWAUWBVOVPVQVRVSVPAEUUEUUOL
      IIYSIITWKZQAVTSZUVEYTUUDUVSUWAUWDWBUVEUUMUUNUVEUUHUULUVEOUUDUVEWCZUVEUUCU
      VEYTUVRWDZWEZWFUVEUUKYTUVEUUIUUJUVEUUCUWIWGUVEOUWHWDZWFUVRWFWHUVEUUDUWJWI
      UVEUUDLUWAUWDLWJQUVEWLSWMWNAEYTOUUDUUKITYSUWGUVSUVEWOZAEYTOIUBWPWQKZWRXDK
      ZIIYSUWGUVPYTTQAYTWSVGAUVPVAWCAEIUWGWTYSIXAABCXBSUWNUWNXCZXEUWOYSUWMQABCX
      FSXGZUVEUUDTUVMUWAUVEUWCUUDUVMQZXHUWDUWQUUDRUUDRXIXJXKXLUVEUUIUUJUVEUUCUV
      TXMUVEOUWLVHXNAEUAUUCUUJUAUCZNKZUWRPKZITUUDUUIITYSTUWGTUWFQAXOSUVTUWKATTU
      WRNTTNXPZAXQSXRATTUWRPTTPXPZAXSSXRAEYTOLIIYSUWGUVSUWHUWPAVLZUWEAWASZXTTUA
      TUWSUDZUEJZUATUWTUDZUIAUXFTNUEJPUXGUXENTUENUXENTYAZNUXEUIUXAUXHXQTTNYFYBU
      ATNYCYGYDYEYHPTYAZPUXGUIUXBUXIXSTTPYFYBUATPYCYGYISUWRUUCNYJUWRUUCPYJYKYQU
      XCUXDXTUUQUVCUIAEYSUUPUVBUVDUUOUVALMUVDUUMUUTUUNMUVDUUHUUDUULUUSUGUVDUUDU
      VDUUCUVDYTUVDYTUVQVKVHZVIYLUVDUUKUURYTUFUVDUURUUKUVDUUILUVDUUCUXJXMUVDVLU
      WEUVDWASYMYNYOYPYOYOYRSVR $.
  $}

  ${
    $d A s $.  $d B s $.  $d C s $.  $d F s $.  $d X s $.  $d ph s $.
    fourierdlem57.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem57.xre $e |- ( ph -> X e. RR ) $.
    fourierdlem57.a $e |- ( ph -> A e. RR ) $.
    fourierdlem57.b $e |- ( ph -> B e. RR ) $.
    fourierdlem57.fdv $e |- ( ph -> ( RR _D ( F |` ( ( X + A ) (,) ( X + B ) )
       ) ) : ( ( X + A ) (,) ( X + B ) ) --> RR ) $.
    fourierdlem57.ab $e |- ( ph -> ( A (,) B ) C_ ( -u _pi [,] _pi ) ) $.
    fourierdlem57.n0 $e |- ( ph -> -. 0 e. ( A (,) B ) ) $.
    fourierdlem57.c $e |- ( ph -> C e. RR ) $.
    fourierdlem57.o $e |- O = ( s e. ( A (,) B ) |-> ( ( ( F ` ( X + s ) ) - C
       ) / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) $.
    $( The derivative of ` O ` .  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem57 $p |- ( ( ph -> ( ( RR _D O ) : ( A (,) B ) --> RR /\ ( RR _D
       O ) = ( s e. ( A (,) B ) |-> ( ( ( ( ( RR _D ( F |` ( ( X + A ) (,) ( X
       + B ) ) ) ) ` ( X + s ) ) x. ( 2 x. ( sin ` ( s / 2 ) ) ) ) - ( ( cos `
       ( s / 2 ) ) x. ( ( F ` ( X + s ) ) - C ) ) ) / ( ( 2 x. ( sin ` ( s / 2
       ) ) ) ^ 2 ) ) ) ) ) /\ ( RR _D ( s e. ( A (,) B ) |-> ( 2 x. ( sin ` ( s
       / 2 ) ) ) ) ) = ( s e. ( A (,) B ) |-> ( cos ` ( s / 2 ) ) ) ) $=
      ( co cr cc cioo cdv wf cv caddc cres cfv c2 cdiv csin cmul ccos cmin cexp
      cmpt wceq wa wi wcel adantr cxr readdcld rexrd elioore adantl clt ioogtlb
      wbr simpr syl3anc ltadd2dd iooltub ffvelrnd 2re a1i rehalfcl syl resincld
      eliood remulcld recoscld resubcld resqcld 2cnd sincld mulcld cc0 wne 2ne0
      recnd cpi cneg cicc sselda eqcom biimpi simpl eqeltrd adantll wn ad2antrr
      pm2.65da neqned fourierdlem44 syl2anc mulne0d cz 2z expne0d redivcld eqid
      fmptd oveq2d cpr reelprrecn fourierdlem28 0red ccnfld ctopn crest crn ctg
      eqtrd c1 fveq2d halfcn wss resmpt ax-mp oveq2i ax-resscn fmpti ssid mp4an
      mpteq2ia cdm 2cn sseqtrri reseq1i 3eqtri iooretop tgioo2 eleqtri dvmptsub
      dvmptconst subid1d mpteq2dva csn cdif eldifsn sylanbrc divrec2d eqcomd id
      recn coscld 3syl eqeltrrd cnt ioossre eqcomi dvres eqtr2i ioontr reseq12i
      dmmptg mulcli dvasinbx mp2an dvres3 resabs1 ioosscn recidi oveq1i mulid2d
      mprg dmeqi 3eqtrd eqtri dvmptdiv feq1d mpbird jca pm3.2i ) ABCUARZSSFUBRZ
      UCZUWFHUWEGHUDZUERZSEGBUERZGCUERZUARZUFUBRZUGZUHUWHUHUIRZUJUGZUKRZUKRZUWO
      ULUGZUWIEUGZDUMRZUKRZUMRZUWQUHUNRZUIRZUOZUPZUQURSHUWEUWQUOZUBRZHUWEUWSUOZ
      UPZAUWGUXGAUWGUWESUXFUCAHUWEUXESUXFAUWHUWEUSZUQZUXCUXDUXMUWRUXBUXMUWNUWQU
      XMUWLSUWIUWMAUWLSUWMUCUXLMUTUXMUWJUWKUWIAUWJVAUSUXLAUWJAGBJKVBVCUTAUWKVAU
      SUXLAUWKAGCJLVBVCUTUXMGUWHAGSUSUXLJUTZUXLUWHSUSZAUWHBCVDZVEZVBZUXMBUWHGAB
      SUSUXLKUTZUXQUXNUXMBVAUSZCVAUSZUXLBUWHVFVHUXMBUXSVCZAUYAUXLACLVCUTZAUXLVI
      ZBCUWHVGVJVKUXMUWHCGUXQACSUSUXLLUTUXNUXMUXTUYAUXLUWHCVFVHUYBUYCUYDBCUWHVL
      VJVKVSVMZUXMUHUWPUHSUSUXMVNVOUXMUWOUXMUXOUWOSUSUXQUWHVPZVQZVRVTZVTUXMUWSU
      XAUXMUWOUYGWAUXMUWTDUXMSSUWIEASSEUCUXLIUTUXRVMZADSUSUXLPUTZWBZVTWBUXMUWQU
      YHWCUXMUWQUHUXMUXOUWQTUSZUXQUXOUHUWPUXOWDZUXOUWOUXOUWOUYFWJWEZWFZVQZUXMUH
      UWPUXMWDUXMUXOUWPTUSUXQUYNVQUHWGWHZUXMWIVOUXMUWHWKWLWKWMRZUSUWHWGWHUWPWGW
      HAUWEUYRUWHNWNUXMUWHWGUXMUWHWGUPZWGUWEUSZUXLUYSUYTAUXLUYSUQWGUWHUWEUYSWGU
      WHUPZUXLUYSVUAUWHWGWOWPVEUXLUYSWQWRWSAUYTWTUXLUYSOXAXBXCUWHXDXEXFZUHXGUSU
      XMXHVOXIXJUXFXKXLAUWESUWFUXFAUWFSHUWEUXAUWQUIRUOZUBRUXFAFVUCSUBFVUCUPAQVO
      XMAHUXAUWNUWQUWSSSUWESSTXNUSZAXOVOZUXMUXAUYKWJUYEASHUWEUXAUOUBRHUWEUWNWGU
      MRZUOHUWEUWNUOAHUWTUWNDWGSSSUWEVUEUXMUWTUYIWJUYEABCUWMEGHIJKLUWMXKMXPUXMD
      UYJWJUXMXQAHUWEDSVUEUWEXRXSUGZSXTRZUSAUWEUAYAYBUGZVUHBCUUAVUGVUGXKZUUBZUU
      CVOADPWJUUEUUDAHUWEVUFUWNUXMUWNUXMUWNUYEWJUUFUUGYCUXMUYLUWQWGWHUWQTWGUUHU
      UIUSUYPVUBUWQTWGUUJUUKUXLUWSTUSAUXLYDUHUIRZUWHUKRZULUGZUWSTUXLVUMUWOULUXL
      UXOVUMUWOUPUXPUXOUWOVUMUXOUWHUHUWHUUOZUYMUYQUXOWIVOUULUUMZVQYEZUXLUXOUWHT
      USZVUNTUSUXPVUOVURVUMVURVULUWHVULTUSZVURYFVOVURUUNWFZUUPZUUQZUURVEUXKAUXI
      HUWEUHVULUKRZVUNUKRZUOZUXJUXISHSUWQUOZUWEUFZUBRZSVVFUBRZUWEVUIUUSUGUGZUFZ
      VVEUXHVVGSUBVVGUXHUWESYGZVVGUXHUPBCUUTZHSUWEUWQYHYIUVAYJSTYGZSTVVFUCSSYGV
      VLVVHVVKUPYKHSTUWQVVFVVFXKUYOYLSYMVVMSUWESVUIVVFVUGVUJVUKUVBYNVVKSHTUHVUM
      UJUGZUKRZUOZSUFZUBRZUWEUFTVVQUBRZSUFZUWEUFZVVEVVIVVSVVJUWEVVFVVRSUBVVRHSV
      VPUOZVVFVVNVVRVWCUPYKHTSVVPYHYIHSVVPUWQUXOVVOUWPUHUKUXOVUMUWOUJVUPYEXMYOU
      VCYJBCUVDUVEVVSVWAUWEVUDTTVVQUCTTYGSVVTYPZYGVVSVWAUPXOHTTVVPVVQVVQXKVURUH
      VVOVURWDVURVUMVUTWEWFYLTYMSHTVVDUOZYPZVWDSTVWFYKVVDTUSVWFTUPHTHTVVDTUVFVU
      RVVCVUNVVCTUSVURUHVULYQYFUVGVOVVAWFUVPYRVVTVWEUHTUSVUSVVTVWEUPYQYFHUHVULU
      VHUVIZUVQYRTSVVQUVJYNYSVWBVWESUFZUWEUFZVWEUWEUFZVVEVWAVWHUWEVVTVWESVWGYSY
      SVVLVWIVWJUPVVMVWEUWESUVKYIUWETYGVWJVVEUPBCUVLHTUWEVVDYHYIYTYTYTHUWEVVDUW
      SUXLVVDYDVUNUKRZVUNUWSVVDVWKUPUXLVVCYDVUNUKUHYQWIUVMUVNVOUXLVUNVVBUVOVUQU
      VRYOUVSZVOUVTYCZUWAUWBVWMUWCVWLUWD $.
  $}

  ${
    $d A s $.  $d ph s $.
    fourierdlem58.k $e |- K = ( s e. A |-> ( s / ( 2 x. ( sin ` ( s / 2 ) ) ) )
       ) $.
    fourierdlem58.ass $e |- ( ph -> A C_ ( -u _pi [,] _pi ) ) $.
    fourierdlem58.0nA $e |- ( ph -> -. 0 e. A ) $.
    fourierdlem58.4 $e |- ( ph -> A e. ( topGen ` ran (,) ) ) $.
    $( The derivative of ` K ` is continuous on the given interval.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem58 $p |- ( ph -> ( RR _D K ) e. ( A -cn-> RR ) ) $=
      ( cr cdv co wcel c2 cfv cmul a1i cc0 wceq cc cmpt ccncf cdm wss cdiv csin
      wf cv wa cpi cneg cicc pire renegcld iccssred sselda sseldd 2re rehalfcld
      resincld remulcld 2cnd recnd halfcld sincld wne eqcom biimpi adantl simpl
      eqeltrd adantll wn ad2antrr pm2.65da neqned fourierdlem44 syl2anc mulne0d
      2ne0 redivcld fmptd sstrd dvfre cof cioo crn eqidd offval2 eqtr4id oveq2d
      ctg cpr reelprrecn eqid csn cdif mulcld neneqd wb elsng syl mtbird eldifd
      c1 ccnfld ctopn crest tgioo2 eleqtrdi ax-resscn 1cnd ssid constcncfg ccos
      dvmptidg cres cnt resmptd eqcomd recn fmpti dvres syl22anc retop uniretop
      ctop isopn3 mpbid reseq2d resmpt ax-mp fveq2d mpteq2ia halfcn eqtrd eqtri
      id 2cn reseq1i 3eqtrd divrec2d eqtr2i oveq2i dvasinbx mp2an recidi halfcl
      oveq12d coscld mulid2d dmeqi dmmptg sseqtrri dvres3 mp4an 3eqtri resabs1d
      mprg coscn idcncfg eldifsn sylanbrc divcncf cncfmpt1f dvdivcncf cncff fdm
      difssd 3syl feq2d cncffvrn mpbird ) AICJKZBIUAKLZBIUVMUFZAUVMUBZIUVMUFZUV
      OABICUFBIUCZUVQADBDUGZMUVSMUDKZUENZOKZUDKZICAUVSBLZUHZUVSUWBUWEUIUJZUIUKK
      ZIUVSUWEUWFUIUWEUIUIILZUWEULPZUMUWIUNABUWGUVSFUOZUPZUWEMUWAMILUWEUQPUWEUV
      TUWEUVSUWKURUSUTZUWEMUWAUWEVAZUWEUVTUWEUVSUWEUVSUWKVBZVCVDZMQVEZUWEVSPUWE
      UVSUWGLUVSQVEUWAQVEUWJUWEUVSQUWEUVSQRZQBLZUWDUWQUWRAUWDUWQUHQUVSBUWQQUVSR
      ZUWDUWQUWSUVSQVFVGVHUWDUWQVIVJVKAUWRVLUWDUWQGVMVNVOUVSVPVQVRZVTEWAABUWGIF
      AUWFUIAUIUWHAULPZUMUXAUNWBZBCWCVQAUVPBIUVMAUVMBSUAKZLZBSUVMUFUVPBRAUVMIDB
      UVSTZDBUWBTZUDWDKZJKUXCACUXGIJACDBUWCTUXGEADBUVSUWBUDUXEUXFWEWFWKNZIIHUWK
      UWLAUXEWGAUXFWGWHWIWJAIUXEUXFBIISWLLZAWMPZADBUVSSUXEUWNUXEWNWAADBUWBSQWOZ
      WPZUXFUWEUWBSUXKUWEMUWAUWMUWOWQUWEUWBUXKLZUWBQRZUWEUWBQUWTWRUWEUWBILUXMUX
      NWSUWLUWBQIWTXAXBXCUXFWNWAAIUXEJKDBXDTUXCADBIUXJABUXHXEXFNZIXGKHUXOUXOWNZ
      XHZXIXOADBXDSABISUXBISUCZAXJPZWBZAXKSSUCZASXLZPZXMVJAIUXFJKZDBUVTXNNZTZUX
      CAUYDIDIUWBTZBXPZJKZIUYGJKZBUXHXQNNZXPZUYFAUXFUYHIJAUYHUXFADIBUWBUXBXRXSW
      JAUXRISUYGUFZIIUCZUVRUYIUYLRUXSUYMADISUWBUYGUYGWNUVSILZMUWAUYOVAUYOUVTUYO
      UVSUVSXTZVCVDWQYAPUYNAIXLPUXBIBIUXHUYGUXOUXPUXQYBYCAUYLUYJBXPZDSUYETZIXPZ
      BXPZUYFAUYKBUYJABUXHLZUYKBRZHAUXHYFLZUVRVUAVUBWSVUCAYDPUXBBUXHIYEYGVQYHYI
      UYQUYTRAUYJUYSBUYJIDSMXDMUDKZUVSOKZUENZOKZTZIXPZJKZSVUHJKZIXPZUYSUYGVUIIJ
      VUIDIVUGTZUYGUXRVUIVUMRXJDSIVUGYJYKDIVUGUWBUYOVUFUWAMOUYOVUEUVTUEUYOUVSSL
      ZVUEUVTRUYPVUNUVTVUEVUNUVSMVUNYQZVUNVAZUWPVUNVSPUUAXSZXAYLWJYMUUBUUCUXISS
      VUHUFUYAIVUKUBZUCVUJVULRWMDSSVUGVUHVUHWNVUNMVUFVUPVUNVUEVUNVUDUVSVUDSLZVU
      NYNPVUOWQVDWQYAUYBISVURXJVURUYRUBZSVUKUYRVUKDSMVUDOKZVUEXNNZOKZTZUYRMSLZV
      USVUKVVDRYRYNDMVUDUUDUUEDSVVCUYEVUNVVCXDUYEOKUYEVUNVVAXDVVBUYEOVVAXDRVUNM
      YRVSUUFPVUNVUEUVTXNVUQYLUUHVUNUYEVUNUVTUVSUUGUUIZUUJYOYMYPZUUKUYESLVUTSRD
      SDSUYESUULVVFUURYPUUMSIVUHUUNUUOVUKUYRIVVGYSUUPYSPAUYTUYRBXPUYFAUYRBIUXBU
      UQADSBUYEUXTXRYOYTYTADUVTXNBXNSSUAKLAUUSPADUVSMBADBSUXTUYCUUTADBMUXLUXTAV
      VEUWPMUXLLAVAUWPAVSPMSQUVAUVBASUXKUVHXMUVCUVDVJUVEVJZBSUVMUVFBSUVMUVGUVIU
      VJYHAUXRUXDUVNUVOWSUXSVVHBSIUVMUVKVQUVL $.
  $}

  ${
    $d A s $.  $d B s $.  $d C s $.  $d F s $.  $d X s $.  $d ph s $.
    fourierdlem59.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem59.x $e |- ( ph -> X e. RR ) $.
    fourierdlem59.a $e |- ( ph -> A e. RR ) $.
    fourierdlem59.b $e |- ( ph -> B e. RR ) $.
    fourierdlem59.n0 $e |- ( ph -> -. 0 e. ( A (,) B ) ) $.
    fourierdlem59.fdv $e |- ( ph -> ( RR _D ( F |` ( ( X + A ) (,) ( X + B ) )
       ) ) e. ( ( ( X + A ) (,) ( X + B ) ) -cn-> RR ) ) $.
    fourierdlem59.c $e |- ( ph -> C e. RR ) $.
    fourierdlem59.h $e |- H = ( s e. ( A (,) B ) |-> ( ( ( F ` ( X + s ) ) - C
       ) / s ) ) $.
    $( The derivative of ` H ` is continuous on the given interval.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem59 $p |- ( ph -> ( RR _D H ) e. ( ( A (,) B ) -cn-> RR ) ) $=
      ( cr co wcel cc cdv cioo ccncf wf cdm wss cv cfv cmin cdiv adantr elioore
      caddc wa adantl readdcld ffvelrnd resubcld cc0 eqcom biimpi simpl eqeltrd
      wceq adantll wn ad2antrr pm2.65da neqned redivcld fmptd ioossre a1i dvfre
      syl2anc cmpt cof cvv ovex eqidd offval2 eqtr4id cpr reelprrecn recnd eqid
      oveq2d csn cdif wne eldifsn sylanbrc cres cncff syl fourierdlem28 ioosscn
      eqcomd ax-resscn fssd wb ssid cncffvrn mpbird cxr rexrd clt simpr ioogtlb
      syl3anc ltadd2dd iooltub eliood fourierdlem23 ccnfld ctopn crest iooretop
      wbr crn tgioo2 eleqtri dvmptconst 0cnd constcncfg dvsubcncf dvmptidg 1cnd
      ctg c1 dvdivcncf fdm 3syl feq2d mpbid ) AQFUARZBCUBRZQUCRSZYQQYPUDZAYPUEZ
      QYPUDZYSAYQQFUDYQQUFZUUAAHYQGHUGZUMRZEUHZDUIRZUUCUJRZQFAUUCYQSZUNZUUFUUCU
      UIUUEDUUIQQUUDEAQQEUDUUHIUKUUIGUUCAGQSUUHJUKZUUHUUCQSAUUCBCULUOZUPZUQZADQ
      SUUHOUKZURZUUKUUIUUCUSUUIUUCUSVDZUSYQSZUUHUUPUUQAUUHUUPUNUSUUCYQUUPUSUUCV
      DZUUHUUPUURUUCUSUTVAUOUUHUUPVBVCVEAUUQVFUUHUUPMVGVHVIZVJPVKUUBABCVLVMYQFV
      NVOAYTYQQYPAYPYQTUCRZSZYQTYPUDYTYQVDAYPQHYQUUFVPZHYQUUCVPZUJVQRZUARUUTAFU
      VDQUAAFHYQUUGVPUVDPAHYQUUFUUCUJUVBUVCVRQQYQVRSABCUBVSVMZUUOUUKAUVBVTAUVCV
      TWAWBWGAQUVBUVCYQQQTWCSAWDVMZAHYQUUFTUVBUUIUUFUUOWEUVBWFVKAHYQUUCTUSWHWIZ
      UVCUUIUUCTSUUCUSWJUUCUVGSUUIUUCUUKWEUUSUUCTUSWKWLUVCWFVKAQUVBUARQHYQUUEVP
      ZHYQDVPZUIVQRZUARUUTAUVBUVJQUAAUVJUVBAHYQUUEDUIUVHUVIVRQQUVEUUMUUNAUVHVTA
      UVIVTWAWRWGAQUVHUVIYQUVFAHYQUUETUVHUUIUUEUUMWEUVHWFVKAHYQDTUVIUUIDUUNWEUV
      IWFVKAQUVHUARHYQUUDQEGBUMRZGCUMRZUBRZWMUARZUHVPUUTABCUVNEGHIJKLUVNWFAUVNU
      VMQUCRSZUVMQUVNUDNUVMQUVNWNWOZWPAUVMYQUVNGHUVMTUFAUVKUVLWQVMAUVNUVMTUCRSZ
      UVMTUVNUDZAUVMQTUVNUVPQTUFZAWSVMZWTATTUFZUVOUVQUVRXAUWAATXBVMZNUVMQTUVNXC
      VOXDYQTUFABCWQVMZAGJWEUUIUVKUVLUUDAUVKXESUUHAUVKAGBJKUPXFUKAUVLXESUUHAUVL
      AGCJLUPXFUKUULUUIBUUCGABQSUUHKUKZUUKUUJUUIBXESZCXESZUUHBUUCXGXSUUIBUWDXFZ
      AUWFUUHACLXFUKZAUUHXHZBCUUCXIXJXKUUIUUCCGUUKACQSUUHLUKUUJUUIUWEUWFUUHUUCC
      XGXSUWGUWHUWIBCUUCXLXJXKXMXNVCAQUVIUARHYQUSVPUUTAHYQDQUVFYQXOXPUHZQXQRZSA
      YQUBXTYIUHUWKBCXRUWJUWJWFYAYBVMZADOWEYCAHYQUSTUWCAYDUWBYEVCYFVCAQUVCUARHY
      QYJVPUUTAHYQQUVFUWLYGAHYQYJTUWCAYHUWBYEVCYKVCZYQTYPWNYQTYPYLYMYNYOAUVSUVA
      YRYSXAUVTUWMYQTQYPXCVOXD $.
  $}

  ${
    $d A s x $.  $d B s x $.  $d D s $.  $d E s x $.  $d F s x $.  $d G s x $.
    $d N s $.  $d Y s x $.  $d ph s x $.
    fourierdlem60.a $e |- ( ph -> A e. RR ) $.
    fourierdlem60.b $e |- ( ph -> B e. RR ) $.
    fourierdlem60.altb $e |- ( ph -> A < B ) $.
    fourierdlem60.f $e |- ( ph -> F : ( A (,) B ) --> RR ) $.
    fourierdlem60.y $e |- ( ph -> Y e. ( F limCC B ) ) $.
    fourierdlem60.g $e |- G = ( RR _D F ) $.
    fourierdlem60.domg $e |- ( ph -> dom G = ( A (,) B ) ) $.
    fourierdlem60.e $e |- ( ph -> E e. ( G limCC B ) ) $.
    fourierdlem60.h $e |- H = ( s e. ( ( A - B ) (,) 0 ) |-> ( ( ( F ` ( B + s
       ) ) - Y ) / s ) ) $.
    fourierdlem60.n $e |- N = ( s e. ( ( A - B ) (,) 0 ) |-> ( ( F ` ( B + s )
       ) - Y ) ) $.
    fourierdlem60.d $e |- D = ( s e. ( ( A - B ) (,) 0 ) |-> s ) $.
    $( Given a differentiable function ` F ` , with finite limit of the
       derivative at ` A ` the derived function ` H ` has a limit at ` 0 ` .
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem60 $p |- ( ph -> E e. ( H limCC 0 ) ) $=
      ( vx cmin co cc0 cioo cfv cdiv cmpt climc resubcld rexrd 0red clt sublt0d
      cv wbr mpbird caddc cr wcel wa wf adantr cxr elioore adantl readdcld wceq
      recnd pncan3d eqcomd 0xr simpr ioogtlbd ltadd2dd eqbrtrd iooltubd addid1d
      a1i breqtrd eliood ffvelrnd cc ioossre ax-resscn sstrdi ccnfld ctopn eqid
      wss lptioo2cn limcrecl fmptd cdv cdm oveq2i dmeqd cpr dvfre syl2anc feq1d
      reelprrecn eqtr2d eleqtrd c1 ffvelrnda crn dvmptc tgioo4 dvmptres feqmptd
      1red oveq2d 3eqtrd fveq2 mpteq2dva eqtrd ralrimiva dmmptg syl wne adantrr
      wral constlimc idlimc oveq1d simplrr condan limcco eqtr4di rneqd neleqtrd
      wn wb fveq1d fvmpt4 oveq12d fvmpt2 cmul feq2d iooretop recn dvmptid 0p1e1
      ctg dvmptadd mpteq2i eqtrdi dvmptco mulid1d limccl sselid subid1d addlimc
      dvmptsub eqeltrrd ltned neneqd sublimc subidd eqcomi oveq1i 3eltr3d ubioo
      cid cres mptresid rnresi eqtr2di csn 0ne1 elsng mtbiri ioon0 rnmptc div1d
      neii c0 syl5eq eqtr3d lhop2 ) AEKBCUDUEZUFUGUEZKUQZIUHZUWFDUHZUIUEZUJZUFU
      KUEHUFUKUEAKUWDUFEIDAUWDABCLMULZUMZAUNZAUWDUFUOURZBCUOURNABCLMUPUSZAKUWEC
      UWFUTUEZFUHZJUDUEZVAIAUWFUWEVBZVCZUWQJUWTBCUGUEZVAUWPFAUXAVAFVDZUWSOVEUWT
      BCUWPABVFVBUWSABLUMZVEACVFVBUWSACMUMVEUWTCUWFACVAVBUWSMVEZUWSUWFVAVBZAUWF
      UWDUFVGVHZVIZUWTBCUWDUTUEZUWPUOABUXHVJUWSAUXHBACBACMVKZABLVKVLVMVEUWTUWDU
      WFCAUWDVAVBUWSUWKVEUXFUXDUWTUWDUFUWFAUWDVFVBZUWSUWLVEZUFVFVBZUWTVNWAZAUWS
      VOZVPVQVRUWTUWPCUFUTUEZCUOUWTUWFUFCUXFUWTUNZUXDUWTUWDUFUWFUXKUXMUXNVSVQAU
      XOCVJUWSACUXIVTZVEWBZWCZWDZAJVAVBUWSAUXACFJOAUXAVAWEUXAVAWLZABCWFWAZWGWHA
      BCWIWJUHZUYCWKZUXCMNWMPWNVEULZUAWOAKUWEUWFVADUXFUBWOAVAIWPUEZWQVAKUWEUWRU
      JZWPUEZWQKUWEUWPGUHZUJZWQZUWEAUYFUYHUYFUYHVJAIUYGVAWPUAWRZWAWSAUYHUYJAUYH
      KUWEUYIUFUDUEZUJUYJAKUWQUYIJUFVAVAVFUWEVAVAWEWTVBAXDWAZUWTUWQUXTVKZUWTVAF
      WPUEZWQZVAUWPGAUYQVAGVDZUWSAUYRUYQVAUYPVDZAUXBUYAUYSOUYBUXAFXAXBAUYQVAGUY
      PGUYPVJAQWAZXCUSZVEUWTUWPUXAUYQUXSAUXAUYQVJUWSAUYQGWQUXAAUYPGAGUYPUYTVMZW
      SRXEZVEXFWDZAVAKUWEUWQUJZWPUEKUWEUYIXGUUAUEZUJUYJAKUCUWPXGUCUQZFUHZVUGGUH
      ZVAVAUWQUYIVAVAUWEUXAUYNUYNUXSUWTXNZAVUGUXAVBVCZVUHAUXAVAVUGFOXHVKZAUXAVA
      VUGGAUXAVAGVDUYRVUAAUXAUYQVAGVUCUUBUSZXHZAVAKUWEUWPUJZWPUEKUWEUFXGUTUEZUJ
      KUWEXGUJZAKCUFUWFXGVAVAVAUWEUYNACWEVBZUWSUXIVEZUXPAKCUFVAUGXIUUGUHZUYCVAV
      AUWEUYNAVURUXEUXIVEAUXEVCZUNZAKCVAUYNUXIXJUWEVAWLAUWDUFWFWAZXKUYDUWEVUTVB
      AUWDUFUUCWAZXLUWTUWFUXFVKZVUJAKUWFXGVAVUTUYCVAVAUWEUYNUXEUWFWEVBAUWFUUDVH
      VVAXNAKVAUYNUUEVVCXKUYDVVDXLZUUHKUWEVUPXGUUFUUIUUJAVAUCUXAVUHUJZWPUEUYPGU
      CUXAVUIUJZAVVGFVAWPAFVVGAUCUXAVAFOXMZVMXOVUBAUCUXAVAGVUMXMZXPVUGUWPFXQZVU
      GUWPGXQZUUKAKUWEVUFUYIUWTUYIUWTUYIVUDVKZUULXRXSAJWEVBZUWSAFCUKUEZWEJCFUUM
      PUUNZVEZUXMAKJUFVAVUTUYCVAVAUWEUYNAVVNUXEVVPVEVVBAKJVAUYNVVPXJVVCXKUYDVVD
      XLUUQAKUWEUYMUYIUWTUYIVVMUUOXRXSZWSAUYIVAVBZKUWEYEUYKUWEVJAVVSKUWEVUDXTKU
      WEUYIVAYAYBXPAVADWPUEZWQVUQWQZUWEAVVTVUQAVVTVAKUWEUWFUJZWPUEVUQADVWBVAWPD
      VWBVJAUBWAZXOVVFXSZWSAXGVAVBZKUWEYEVWAUWEVJAVWEKUWEVUJXTKUWEXGVAYAYBXSAJJ
      UDUEUYGUFUKUEZUFIUFUKUEZAKUWEUWQJUFJVUEKUWEJUJZUYGJVUEWKVWHWKZUYGWKUYOVVQ
      AKUCUWEUXACJUWPVUHUWQUFAUWSUWPUXAVBUWPCYCUXSYDZVULAUXOCVUOUFUKUEUXQAKUWEC
      UWFUFCKUWECUJZVWBVUOUFVWKWKZVWBWKZVUOWKVUSVVEAKUWECUFVWKVWLAUWEVAWEVVCWGW
      HZUXIAUFUWMVKZYFAKUWEVWBUFVWNVWMVWOYGUUPUURZAJVVOVVGCUKUEPAFVVGCUKVVIYHXF
      VVKAUWSUWPCVJZVCVCZUWQJVJZVWQAUWSVWQVWSYOZYIVWRVWQYOZVWTAUWSVXAVWQUWTUWPC
      UWTUWPCUXGUXRUUSUUTYDZVEYJYKAKUWEJUFVWHVWIVWNVVPVWOYFUVAAJVVPUVBVWFVWGVJA
      UYGIUFUKIUYGUAUVCUVDWAUVEAKUWEDUFVWNUBVWOYGAUWEDXIZUFUFUWEVBYOAUWDUFUVFWA
      AVXCUVGUWEUVHZXIUWEADVXDADVWBVXDVWCKUWEUVIYLYMUWEUVJUVKYNAXGUVLZVVTXIZUFA
      UFVXEVBZUFXGVJZUFXGUVMUVSAUFVAVBVXGVXHYPUWMUFXGVAUVNYBUVOAVXFVUQXIVXEAVVT
      VUQVWDYMAKUWEXGVUQVUQWKAUWEUVTYCZUWNUWOAUXJUXLVXIUWNYPUWLUXLAVNWAUWDUFUVP
      XBUSUVQXEYNAEUYJUFUKUEKUWEUWFUYFUHZUWFVVTUHZUIUEZUJZUFUKUEAKUCUWEUXACEUWP
      VUIUYIUFVWJVUKVUIVUNVKVWPAEGCUKUEVVHCUKUESAGVVHCUKVVJYHXFVVLVWRUYIEVJZVWQ
      AUWSVWQVXNYOZYIVWRVXAVXOVXBVEYJYKAUYJVXMUFUKAKUWEUYIVXLUWTUYIXGUIUEUYIVXL
      UWTUYIVVMUVRUWTUYIVXJXGVXKUIUWTVXJUWFUYJUHZUYIUWTUWFUYFUYJAUYFUYJVJUWSAUY
      FUYHUYJUYLVVRUWAVEYQUWTUWSVVSVXPUYIVJUXNVUDKUWEUYIVAYRXBXEUWTVXKUWFVUQUHZ
      XGAVXKVXQVJUWSAUWFVVTVUQVWDYQVEUWTUWSVWEVXQXGVJUXNVUJKUWEXGVAYRXBXEYSUWBX
      RYHXFUWCAUWJHUFUKAUWJKUWEUWRUWFUIUEZUJHAKUWEUWIVXRUWTUWGUWRUWHUWFUIUWTUWS
      UWRVAVBUWGUWRVJUXNUYEKUWEUWRVAIUAYTXBUWTUWSUWSUWHUWFVJUXNUXNKUWEUWFUWEDUB
      YTXBYSXRTYLYHXF $.
  $}

  ${
    $d A s x $.  $d B s x $.  $d D s $.  $d E s x $.  $d F s x $.  $d G s x $.
    $d N s $.  $d Y s x $.  $d ph s x $.
    fourierdlem61.a $e |- ( ph -> A e. RR ) $.
    fourierdlem61.b $e |- ( ph -> B e. RR ) $.
    fourierdlem61.altb $e |- ( ph -> A < B ) $.
    fourierdlem61.f $e |- ( ph -> F : ( A (,) B ) --> RR ) $.
    fourierdlem61.y $e |- ( ph -> Y e. ( F limCC A ) ) $.
    fourierdlem61.g $e |- G = ( RR _D F ) $.
    fourierdlem61.domg $e |- ( ph -> dom G = ( A (,) B ) ) $.
    fourierdlem61.e $e |- ( ph -> E e. ( G limCC A ) ) $.
    fourierdlem61.h $e |- H = ( s e. ( 0 (,) ( B - A ) ) |-> ( ( ( F ` ( A + s
       ) ) - Y ) / s ) ) $.
    fourierdlem61.n $e |- N = ( s e. ( 0 (,) ( B - A ) ) |-> ( ( F ` ( A + s )
       ) - Y ) ) $.
    fourierdlem61.d $e |- D = ( s e. ( 0 (,) ( B - A ) ) |-> s ) $.
    $( Given a differentiable function ` F ` , with finite limit of the
       derivative at ` A ` the derived function ` H ` has a limit at ` 0 ` .
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem61 $p |- ( ph -> E e. ( H limCC 0 ) ) $=
      ( vx cc0 cmin co cioo cfv cdiv cmpt climc 0red resubcld rexrd clt posdifd
      cv wbr mpbid caddc cr wcel wa wf adantr cxr elioore adantl readdcld recnd
      addid1d eqcomd 0xr a1i ioogtlbd ltadd2dd eqbrtrd iooltubd pncan3d breqtrd
      wceq simpr eliood ffvelrnd wss ioossre ax-resscn sstrdi ccnfld ctopn eqid
      cc lptioo1cn limcrecl fmptd cdv cdm oveq2i dmeqd reelprrecn dvfre syl2anc
      cpr mpbird eqtr2d eleqtrd c1 ffvelrnda crn dvmptc tgioo4 dvmptres feqmptd
      1red oveq2d 3eqtrd fveq2 mpteq2dva eqtrd ralrimiva dmmptg syl wne adantrr
      wral constlimc idlimc oveq1d simplrr condan limcco eqtr4di rneqd neleqtrd
      wn wb fveq1d fvmpt4 oveq12d fvmpt2 feq1d cmul feq2d iooretop recn dvmptid
      ctg dvmptadd 0p1e1 mpteq2i eqtrdi dvmptco mulid1d limccl dvmptsub subid1d
      sselid addlimc eqeltrd gtned neneqd sublimc subidd eqcomi oveq1i cid cres
      3eltr3d lbioo mptresid rnresi eqtr2di csn 0ne1 neii elsng mtbiri c0 ioon0
      rnmptc div1d syl5eq eqtr3d lhop1 ) AEKUDCBUEUFZUGUFZKUQZIUHZUWGDUHZUIUFZU
      JZUDUKUFHUDUKUFAKUDUWEEIDAULZAUWEACBMLUMZUNZABCUOURUDUWEUOURZNABCLMUPUSZA
      KUWFBUWGUTUFZFUHZJUEUFZVAIAUWGUWFVBZVCZUWRJUXABCUGUFZVAUWQFAUXBVAFVDZUWTO
      VEUXABCUWQABVFVBUWTABLUNVEACVFVBUWTACMUNZVEUXABUWGABVAVBUWTLVEZUWTUWGVAVB
      ZAUWGUDUWEVGVHZVIUXABBUDUTUFZUWQUOABUXHWAUWTAUXHBABABLVJZVKVLZVEUXAUDUWGB
      UXAULZUXGUXEUXAUDUWEUWGUDVFVBZUXAVMVNZAUWEVFVBZUWTUWNVEZAUWTWBZVOVPVQZUXA
      UWQBUWEUTUFZCUOUXAUWGUWEBUXGAUWEVAVBUWTUWMVEUXEUXAUDUWEUWGUXMUXOUXPVRVPAU
      XRCWAUWTABCUXIACMVJVSVEVTWCZWDZAJVAVBUWTAUXBBFJOAUXBVAWLUXBVAWEZABCWFVNZW
      GWHABCWIWJUHZUYCWKZUXDLNWMPWNVEUMZUAWOAKUWFUWGVADUXGUBWOAVAIWPUFZWQVAKUWF
      UWSUJZWPUFZWQKUWFUWQGUHZUJZWQZUWFAUYFUYHUYFUYHWAAIUYGVAWPUAWRZVNWSAUYHUYJ
      AUYHKUWFUYIUDUEUFZUJUYJAKUWRUYIJUDVAVAVAUWFVAVAWLXCVBAWTVNZUXAUWRUXTVJZUX
      AVAFWPUFZWQZVAUWQGAUYQVAGVDZUWTAUYRUYQVAUYPVDZAUXCUYAUYSOUYBUXBFXAXBAUYQV
      AGUYPGUYPWAAQVNZUUAXDZVEUXAUWQUXBUYQUXSAUXBUYQWAUWTAUYQGWQUXBAUYPGAGUYPUY
      TVLZWSRXEZVEXFWDZAVAKUWFUWRUJZWPUFKUWFUYIXGUUBUFZUJUYJAKUCUWQXGUCUQZFUHZV
      UGGUHZVAVAUWRUYIVAVAUWFUXBUYNUYNUXSUXAXNZAVUGUXBVBVCZVUHAUXBVAVUGFOXHVJZA
      UXBVAVUGGAUXBVAGVDUYRVUAAUXBUYQVAGVUCUUCXDZXHZAVAKUWFUWQUJZWPUFKUWFUDXGUT
      UFZUJKUWFXGUJZAKBUDUWGXGVAVAVAUWFUYNABWLVBZUWTUXIVEZUXKAKBUDVAUGXIUUGUHZU
      YCVAVAUWFUYNAVURUXFUXIVEAUXFVCZULZAKBVAUYNUXIXJUWFVAWEAUDUWEWFVNZXKUYDUWF
      VUTVBAUDUWEUUDVNZXLUXAUWGUXGVJZVUJAKUWGXGVAVUTUYCVAVAUWFUYNUXFUWGWLVBAUWG
      UUEVHVVAXNAKVAUYNUUFVVCXKUYDVVDXLZUUHKUWFVUPXGUUIUUJUUKAVAUCUXBVUHUJZWPUF
      UYPGUCUXBVUIUJZAVVGFVAWPAFVVGAUCUXBVAFOXMZVLXOVUBAUCUXBVAGVUMXMZXPVUGUWQF
      XQZVUGUWQGXQZUULAKUWFVUFUYIUXAUYIUXAUYIVUDVJZUUMXRXSAJWLVBZUWTAFBUKUFZWLJ
      BFUUNPUUQZVEZUXKAKJUDVAVUTUYCVAVAUWFUYNAVVNUXFVVPVEVVBAKJVAUYNVVPXJVVCXKU
      YDVVDXLUUOAKUWFUYMUYIUXAUYIVVMUUPXRXSZWSAUYIVAVBZKUWFYEUYKUWFWAAVVSKUWFVU
      DXTKUWFUYIVAYAYBXPAVADWPUFZWQVUQWQZUWFAVVTVUQAVVTVAKUWFUWGUJZWPUFVUQADVWB
      VAWPDVWBWAAUBVNZXOVVFXSZWSAXGVAVBZKUWFYEVWAUWFWAAVWEKUWFVUJXTKUWFXGVAYAYB
      XSAJJUEUFUYGUDUKUFZUDIUDUKUFZAKUWFUWRJUDJVUEKUWFJUJZUYGJVUEWKVWHWKZUYGWKU
      YOVVQAKUCUWFUXBBJUWQVUHUWRUDAUWTUWQUXBVBUWQBYCUXSYDZVULABUXHVUOUDUKUFUXJA
      KUWFBUWGUDBKUWFBUJZVWBVUOUDVWKWKZVWBWKZVUOWKVUSVVEAKUWFBUDVWKVWLAUWFVAWLV
      VCWGWHZUXIAUDUWLVJZYFAKUWFVWBUDVWNVWMVWOYGUURUUSZAJVVOVVGBUKUFPAFVVGBUKVV
      IYHXFVVKAUWTUWQBWAZVCVCZUWRJWAZVWQAUWTVWQVWSYOZYIVWRVWQYOZVWTAUWTVXAVWQUX
      AUWQBUXABUWQUXEUXQUUTUVAYDZVEYJYKAKUWFJUDVWHVWIVWNVVPVWOYFUVBAJVVPUVCVWFV
      WGWAAUYGIUDUKIUYGUAUVDUVEVNUVHAKUWFDUDVWNUBVWOYGAUWFDXIZUDUDUWFVBYOAUDUWE
      UVIVNAVXCUVFUWFUVGZXIUWFADVXDADVWBVXDVWCKUWFUVJYLYMUWFUVKUVLYNAXGUVMZVVTX
      IZUDAUDVXEVBZUDXGWAZUDXGUVNUVOAUDVAVBVXGVXHYPUWLUDXGVAUVPYBUVQAVXFVUQXIVX
      EAVVTVUQVWDYMAKUWFXGVUQVUQWKAUWFUVRYCZUWOUWPAUXLUXNVXIUWOYPUXLAVMVNUWNUDU
      WEUVSXBXDUVTXEYNAEUYJUDUKUFKUWFUWGUYFUHZUWGVVTUHZUIUFZUJZUDUKUFAKUCUWFUXB
      BEUWQVUIUYIUDVWJVUKVUIVUNVJVWPAEGBUKUFVVHBUKUFSAGVVHBUKVVJYHXFVVLVWRUYIEW
      AZVWQAUWTVWQVXNYOZYIVWRVXAVXOVXBVEYJYKAUYJVXMUDUKAKUWFUYIVXLUXAUYIXGUIUFU
      YIVXLUXAUYIVVMUWAUXAUYIVXJXGVXKUIUXAVXJUWGUYJUHZUYIUXAUWGUYFUYJAUYFUYJWAU
      WTAUYFUYHUYJUYLVVRUWBVEYQUXAUWTVVSVXPUYIWAUXPVUDKUWFUYIVAYRXBXEUXAVXKUWGV
      UQUHZXGAVXKVXQWAUWTAUWGVVTVUQVWDYQVEUXAUWTVWEVXQXGWAUXPVUJKUWFXGVAYRXBXEY
      SUWCXRYHXFUWDAUWKHUDUKAUWKKUWFUWSUWGUIUFZUJHAKUWFUWJVXRUXAUWHUWSUWIUWGUIU
      XAUWTUWSVAVBUWHUWSWAUXPUYEKUWFUWSVAIUAYTXBUXAUWTUWTUWIUWGWAUXPUXPKUWFUWGU
      WFDUBYTXBYSXRTYLYHXF $.
  $}

  ${
    $d K s $.  $d s x y $.
    fourierdlem62.k $e |- K = ( y e. ( -u _pi [,] _pi ) |-> if ( y = 0 , 1 , (
       y / ( 2 x. ( sin ` ( y / 2 ) ) ) ) ) ) $.
    $( The function ` K ` is continuous.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem62 $p |- K e. ( ( -u _pi [,] _pi ) -cn-> RR ) $=
      ( vs vx cpi co cr wcel cc0 wceq c1 c2 cfv cmpt cc climc a1i wtru eqid wss
      ccncf wf cv cdiv csin cmul id oveq1 fveq2d oveq2d oveq12d eqtri ax-resscn
      wb cioo crest ccnp wral mp2an difss ssriv sstri sseli fmpti 2re rehalfcld
      cdif resincld remulcld clt wbr 0re pire cdv adantl wa ax-mp retopon mptru
      cdm eqcomi dmeqi ccos 2cnd halfcld sincld mulcld coscld wne 2ne0 mpteq2ia
      oveq2i cres resmpt halfcn 3eqtri recnd ssid mpbi simpri fveq2 oveq2 fvmpt
      2cn c0ex limcdif oveq1i constcncfg mp1i cncfmptssg mulcncf eqtrdi cima wn
      eqidd fvmptd eldifi sselid syl2anc mulne0d wfn mtbir halfpire rexrd mp3an
      neneqd syl3anc ltdiv1dd eqeltrd syl eldifd simpr eleqtri cnt cle ctop cvv
      ctopon retop cneg cif eqeq1 ifbieq2d cbvmptv fourierdlem43 crn ctg ccnfld
      cicc ctopn ccn fss csn elioore iooretop negpilt0 pipos cxr renegcli rexri
      w3a elioo2 mpbir3an 1ex dmmpti cpr reelprrecn 1red dvmptid tgioo2 sncldre
      ccld toponunii difopn dvmptres eqtr3i eqimssi fvex divrec2d mulcli dmmptd
      dvcnre reseq1i recidi eqcomd mulid2d eqtrd idcncfg cnlimc eleq12d rspccva
      sseqtrri dvasinbx sincn divccncf cncfmpt1f div0i sin0 2t0e0 wrex ioossicc
      3eltr3i eldifsni fourierdlem44 eqnetrd nrex fnmpt mprg fvelimab cre rered
      picn divneg crp 2rp ioogtlb eqbrtrid iooltub eliood cosne0 fnmpti imaeq1i
      eleq2i renegcld recoscld elsng ad2antrl cosf ffvelrnda cnmptlimc eleqtrdi
      mtbird ffn dffn5 coscn eqeltrri 0cnd cos0 ad2antll limcco ax-1ne0 reclimc
      1div1e1 fveq1i eqtr2id 3eltr3g oveq1d feq1i iccssre sstrdi ltleii elicc2i
      lhop cun ssequn2 rerest fveq2i fveq12i resttopon topontopi pm3.2i 3pm3.2i
      snss ovex isopn3i 3eqtrri limcres iftrue 1cnd iffalse adantr neqne syl2an
      restopnb divcld pm2.61dan eldifn sylnib 3eltr4d breqtrrid eqbrtrdi eliccd
      velsn cnfldtop reex restabs cnplimc mpbir2and simpl notbii biimpri eleq2d
      ssdifssd divrecd eqeltrid cncffvrn mpbir divcncf restid cncfcn cnfldtopon
      unicntop cncnp vtoclri 3eltr4g ssdif sscon unssi elun1 elun2 eqssi cldopn
      cin eleqtrrdi elind restntr cnprest syl12anc mpbird rgen mpbir2an ) BFUUA
      ZFUUJGZHUBGIZVYDHBUCZBDBAVYDAUDZJKZLVYGMVYGMUEGZUFNZUGGZUEGZUUBZODVYDDUDZ
      JKZLVYNMVYNMUEGZUFNZUGGZUEGZUUBZOZCADVYDVYMVYTVYGVYNKZVYHVYOVYLVYSLVYGVYN
      JUUCWUBVYGVYNVYKVYRUEWUBUHWUBVYJVYQMUGWUBVYIVYPUFVYGVYNMUEUIUJUKULUUDUUEU
      MZUUFZHPUAZBVYDPUBGZIVYEVYFUOUNBUPUUGUUHNZVYDUQGZUUIUUKNZUULGZWUFBWUJIZVY
      DPBUCZBVYNWUHWUIURGNIZDVYDUSZVYFWUEWULWUDUNVYDHPBUUMUTZWUMDVYDVYNVYDIZVYO
      WUMVYOWUMWUPVYOWUMWULVYNBNZBVYNQGZIZWULVYOWUORVYOLBJQGZWUQWURLWUTIVYOLDVY
      CFUPGZJUUNZVHZVYSOZJQGZWUTLDWVCVYNEWVCEUDZOZNZVYNEWVCMWVFMUEGZUFNZUGGZOZN
      ZUEGZOZJQGZWVELWVPISDWVCJLWVCWVGWVLWVAWVCHUASWVCWVAHWVAWVBVAZDWVAHVYNVYCF
      UUOZVBVCZRZWVCHWVGUCSEWVCHWVFWVGWVGTWVCHWVFWVSVDZVERWVCHWVLUCSEWVCHWVKWVL
      WVLTZWVFWVCIZMWVJMHIZWWCVFRWWCWVIWWCWVFWWAVGVIVJZVERWVAWUGIZSVYCFUUPZRJWV
      AIZSWWHJHIZVYCJVKVLZJFVKVLZVMUUQUURVYCUUSIZFUUSIZWWHWWIWWJWWKUVBUOVYCFVNU
      UTZUVAZFVNUVAZVYCFJUVCUTUVDZRZWVCTWVCHWVGVOGZWAZUASWVCWWTEWVCLOZWAWVCWWTE
      WVCLWXAUVEWXATUVFWXAWWSWWSWXAWWSWXAKSEWVFLHWUGWUIHHWVCHHPUVGISUVHRZWVFHIZ
      WVFPIZSHPWVFUNVDZVPZSWXCVQZUVISEHWXBUVJWVTWUIWUITZUVKZWXHWVCWUGIZSWWFWVBW
      UGUVMNIZWXJWWGWWIWXKVMJUVLVRZWVAWVBWUGHHWUGVSUVNZUVOUTRZUVPVTZWBWCUVQUVRR
      WVCHWVLVOGZWAZUASWVCWXQEWVCWVIWDNZOZWAWVCWXQEWVCWXRWXSWVIWDUVSZWXSTZUVFWX
      SWXPWXPWXSWXPWXSKZSEWVKWXRHWUGWUIPHWVCWXBWXGMWVJWXGWEWXGWVIWXGWVFWXFWFZWG
      WHWXGWVIWYCWIHEHWVKOZVOGZEHWXROZKSWYEHEHMLMUEGZWVFUGGZUFNZUGGZOZVOGZWYFWY
      DWYKHVOEHWVKWYJWXCWVJWYIMUGWXCWVIWYHUFWXCWVFMWXEWXCWEMJWJZWXCWKRUVTZUJUKW
      LWMWYLHEPWYJOZHWNZVOGZPWYOVOGZHWNZWYFWYKWYPHVOWYPWYKWUEWYPWYKKUNEPHWYJWOV
      RWBWMPPWYOUCHWYRWAZUAWYQWYSKEPPWYJWYOWYOTWXDMWYIWXDWEWXDWYHWXDWYGWVFWYGPI
      ZWXDWPRWXDUHWHZWGWHVEHEPMWYGUGGZWYHWDNZUGGZOZWAZWYTHPXUGUNXUGPKSEXUFPXUEP
      XUFTWXDXUEPISWXDXUCXUDXUCPIWXDMWYGXEWPUWARWXDWYHXUBWIWHVPUWBVTUWMWYRXUFMP
      IZXUAWYRXUFKXEWPEMWYGUWNUTZWCUWMWYOUWCUTWYSXUFHWNZEHXUEOZWYFWYRXUFHXUIUWD
      WUEXUJXUKKUNEPHXUEWOVREHXUEWXRWXCXUELWXRUGGWXRWXCXUCLXUDWXRUGXUCLKWXCMXEW
      KUWERWXCWYHWVIWDWXCWVIWYHWYNUWFUJULWXCWXRWXCWVIWXCWVFWXEWFWIUWGUWHWLWQWQU
      MRWVTWXIWXHWXNUVPVTZWBWCUVQUVRRJWVGJQGZISJEWVAWVFOZNZXUNJQGZJXUMVYGXUNNZX
      UNVYGQGZIZAWVAUSZWWHXUOXUPIZWVAPXUNUCZXUTXUNWVAPUBGZIZXVBXUTVQZXVDSEWVAPW
      VAPUAZSDWVAPVYNWVAIZVYNWVRWRZVBZRZPPUAZSPWSZRZUWIVTXVFXVDXVEUOXVIAWVAXUNU
      WJVRWTXAWWQXUSXVAAJWVAVYHXUQXUOXURXUPVYGJXUNXBVYGJXUNQXCUWKUWLUTWWHXUOJKW
      WQEJWVFJWVAXUNWVFJKZUHXUNTZXFXDVRXUPXUNWVCWNZJQGZXUMXUPXVQKSWVAJXUNXVBSEW
      VAPWVFXUNXVOWVFWVAIZWVFWVFVYCFUUOWRZVERXGVTXVPWVGJQWVCWVAUAZXVPWVGKWVQEWV
      AWVCWVFWOVRXHUMUXCRJWVLJQGZISJEWVAWVKOZNZXWBJQGZJXWAVYGXWBNZXWBVYGQGZIZAW
      VAUSZWWHXWCXWDIZWVAPXWBUCZXWHXWBXVCIZXWJXWHVQZXWKSEMWVJWVASEPPWVAPMEPMOZX
      WMTXUHXWMPPUBGZISXEXUHEPMPXVKXUHXVLRZXUHWEZXWOXIXJXVJXVMSXVRVQZWEXKSEWVIU
      FWVAUFXWNISUWORZSEPPWVAPWVIEPWVIOZXWSTZXWSXWNIZSXUHWYMXXAXEWKEMXWSXWTUWPU
      TRXVJXVMXWQWVFXVRWXDSXVSVPWFXKUWQXLVTXVFXWKXWLUOXVIAWVAXWBUWJVRWTXAWWQXWG
      XWIAJWVAVYHXWEXWCXWFXWDVYGJXWBXBVYGJXWBQXCUWKUWLUTWWHXWCJKWWQEJWVKJWVAXWB
      XVNWVKMJUGGJXVNWVJJMUGXVNWVJJUFNJXVNWVIJUFXVNWVIJMUEGZJWVFJMUEUIMXEWKUWRZ
      XMUJUWSXMUKUWTXMXWBTZXFXDVRXWDXWBWVCWNZJQGZXWAXWDXXFKSWVAJXWBXWJSEWVAPWVK
      XWBXXDXVRMWVJXVRWEXVRWVIXVRWVFXVSWFWGWHVERXGVTXXEWVLJQXVTXXEWVLKWVQEWVAWV
      CWVKWOVRXHUMUXCRJWVLWVCXNIZXOSXXGVYGWVLNZJKZAWVCUXAZXXIAWVCVYGWVCIZXXHJXX
      KXXHVYKJXXKEVYGWVKVYKWVCWVLHXXKWVLXPWVFVYGKZWVKVYKKXXKXXLWVJVYJMUGXXLWVIV
      YIUFWVFVYGMUEUIZUJUKVPXXKUHZXXKMVYJWWDXXKVFRXXKVYIXXKVYGWVCHVYGWVSVDZVGZV
      IZVJXQXXKMVYJXXKWEXXKVYJXXQWRWYMXXKWKRXXKVYGVYDIVYGJWJVYJJWJXXKWVAVYDVYGV
      YCFUXBZVYGWVAWVBXRZXSVYGWVAJUXDVYGUXEXTYAUXFYGUXGWVLWVCYBZWVCWVCUAZXXGXXJ
      UOWVKHIXXTEWVCEWVCWVKWVLHWWBUXHWWEUXIWVCWSZAWVCWVCJWVLUXJUTYCRJWXPWVCXNZI
      ZXOSXYDJWXSWVCXNZIZXYFVYGWXSNZJKZAWVCUXAZXYHAWVCXXKXYGJXXKXYGVYIWDNZJXXKE
      VYGWXRXYJWVCWXSPXXKWXSXPXXLWXRXYJKXXKXXLWVIVYIWDXXMUJVPXXNXXKVYIXXKVYGXXK
      VYGXXOWRWFZWIXQXXKVYIPIVYIUXKNZFMUEGZUUAZXYMUPGZIXYJJWJXYKXXKXYLVYIXYOXXK
      VYIXXPUXLXXKXYNXYMVYIXXKXYNXYNHIZXXKXYMYDUUTZRYEXXKXYMXYMHIZXXKYDRYEXXPXX
      KXYNVYCMUEGZVYIVKFPIXUHWYMXYNXYSKUXMXEWKFMUXNYFZXXKVYCVYGMVYCHIZXXKWWNRXX
      OMUXOIZXXKUXPRZXXKWWLWWMVYGWVAIZVYCVYGVKVLWWLXXKWWORZWWMXXKWWPRZXXSVYCFVY
      GUXQYHYIUXRXXKVYGFMXXOFHIZXXKVNRYUCXXKWWLWWMYUDVYGFVKVLYUEYUFXXSVYCFVYGUX
      SYHYIUXTYJVYIUYAXTUXFYGUXGWXSWVCYBXYAXYFXYIUOEWVCWXRWXSWXTWYAUYBXYBAWVCWV
      CJWXSUXJUTYCXYCXYEJWXPWXSWVCXULUYCUYDYCRSLLUEGDWVCLVYPWDNZUEGZOZJQGLDWVCV
      YNWWSNZVYNWXPNZUEGZOZJQGSDWVCYUHLJDWVCYUHOZYUJYUOTYUJTVYNWVCIZYUHPWVBVHZI
      SYUPYUHPWVBYUPVYPYUPVYNYUPVYNWVCHVYNWVSVDZWRWFZWIYUPYUHWVBIZYUHJKZYUPYUHJ
      YUPVYPPIZVYPUXKNZXYOIYUHJWJYUSYUPYVCVYPXYOYUPVYPYUPVYNYURVGZUXLYUPXYNXYMV
      YPYUPXYNXYPYUPXYQRYEYUPXYMXYRYUPYDRYEYVDYUPXYNXYSVYPVKXYTYUPVYCVYNMYUPFYU
      GYUPVNRZUYEYURYUBYUPUXPRZYUPWWLWWMXVGVYCVYNVKVLWWLYUPWWORZWWMYUPWWPRZVYNW
      VAWVBXRZVYCFVYNUXQYHYIUXRYUPVYNFMYURYVEYVFYUPWWLWWMXVGVYNFVKVLYVGYVHYVIVY
      CFVYNUXSYHYIUXTYJVYPUYAXTYGYUPYUHHIYUTYVAUOYUPVYPYVDUYFZYUHJHUYGYKUYMYLVP
      SDEWVCPJLVYPWVFWDNZYUHJYUPYVBSVYPJWJYUSUYHSPPWVFWDPPWDUCZSUYIRUYJSJDWVAVY
      POZJQGZDWVCVYPOZJQGZSDWVAJPVYPJSDPPWVAPVYPDPVYPOZYVQTZYVQXWNIZSXUHWYMYVSX
      EWKDMYVQYVRUWPUTRXVJXVMSXVGVQVYNXVGVYNPIZSXVHVPWFXKWWRVYOVYPXXBJVYNJMUEUI
      XXCXMUYKYVNYVMWVCWNZJQGZYVPYVNYWBKSWVAJYVMWVAPYVMUCSDWVAPVYPYVMYVMTXVGVYN
      XVHWFVERXGVTYWAYVOJQXVTYWAYVOKWVQDWVAWVCVYPWOVRXHUMUYLSEPJPYVKLEPYVKOZXWN
      ISWDYWCXWNWDPYBZWDYWCKYVLYWDUYIPPWDUYNVREPWDUYOWTUYPUYQRSUYRXVNYVKJWDNZLW
      VFJWDXBUYSXMUYKWVFVYPWDXBVYPJKZYUHLKSYUPYWFYUHYWELVYPJWDXBUYSXMUYTVUALJWJ
      SVUBRVUCVUDYUJYUNJQDWVCYUIYUMYUPLYUKYUHYULUEYUPYUKVYNWXANLVYNWWSWXAWXOVUE
      YUPEVYNLLWVCWXAHYUPWXAXPYUPWVFVYNKZVQZLXPYUPUHZYUPUVIXQVUFYUPYULYUHYUPEVY
      NWXRYUHWVCWXPHWYBYUPXULRYWGWXRYUHKYUPYWGWVIVYPWDWVFVYNMUEUIUJVPYWIYVJXQUW
      FULWLXHVUGVUNVTWVOWVDJQDWVCWVNVYSYUPWVHVYNWVMVYRUEYUPEVYNWVFVYNWVCWVGHYUP
      WVGXPYUPYWGYMZYWIYURXQYUPEVYNWVKVYRWVCWVLHYUPWVLXPYWHWVJVYQMUGYWHWVIVYPUF
      YWHWVFVYNMUEYWJVUHUJUKYWIYUPMVYQWWDYUPVFRYUPVYPYVDVIVJXQULWLXHYNWUTDWVAVY
      TOZJQGZYWKWVCWNZJQGZWVEWUTWUAJQGZWUAWVAWNZJQGZYWLBWUAJQWUCXHYWQYWOYWQYWOK
      SVYDJWVAWUAWUIVYDWVBVUOZUQGZWUIVYDPWUAUCZSWULYWTWUOVYDPBWUAWUCVUIWTRWVAVY
      DUAZSXXRRSVYDHPVYDHUAZSYUAYUGYXBWWNVNVYCFVUJUTZRZUNVUKZWXHYWSTJWVAWVBVUOZ
      YWSYONZNZISJWVAYXHWWQYXHWVAWUHYONZNZWVAWVAYXFWVAYXGYXIYWSWUHYOYWSWUIVYDUQ
      GZWUHYWRVYDWUIUQWVBVYDUAZYWRVYDKJVYDIZYXLYXMWWIVYCJYPVLJFYPVLVMVYCJWWNVMU
      UQVULZJFVMVNUURVULZVYCFJWWNVNVUMUVDZJVYDXFVVDWTZWVBVYDVUPWTWMYXBYXKWUHKYX
      CVYDWUGWUIWXHWUGTVUQVRUMVURWVBWVAUAZYXFWVAKWWHYXRWWQJWVAXFVVDWTWVBWVAVUPW
      TVUSWUHYQIZWVAWUHIZYXJWVAKVYDWUHWUGHYSNIZYXBWUHVYDYSNIZVSYXCVYDWUGHVUTUTZ
      VVAZWWFYXTWWGWUGYQIZVYDYRIZVQWWFYXAWVAWVAUAZUVBWWFYXTUOYYEYYFYTVYCFUUJVVE
      ZVVBWWFYXAYYGWWGXXRWVAWSVVCVYDWVAWVAWUGYRVVOUTWTWVAWUHVVFUTWVATVVGYNRVVHV
      TWBYWPYWKJQYXAYWPYWKKXXRDVYDWVAVYTWOVRXHWQYWLYWNKSWVAJYWKWVAPYWKUCSDWVAPV
      YTYWKYWKTXVGVYOVYTPIZVYOYYIXVGVYOVYTLPVYOLVYSVVIZVYOVVJYJVPXVGVYOXOZVQZVY
      TVYSPYYKVYTVYSKZXVGVYOLVYSVVKZVPYYLVYNVYRXVGYVTYYKXVHVVLZYYLMVYQYYLWEZYYL
      VYPYYLVYNYYOWFWGZWHYYLMVYQYYPYYQWYMYYLWKRXVGWUPVYNJWJZVYQJWJZYYKWVAVYDVYN
      XXRVDVYNJVVMVYNUXEZVVNYAVVPYJVVQVERXGVTYWMWVDJQYWMDWVCVYTOZWVDXVTYWMUUUAK
      WVQDWVAWVCVYTWOVRDWVCVYTVYSYUPYYKYYMYUPVYNWVBIZVYOVYNWVAWVBVVRDJVWDZVVSYY
      NYKWLUMXHVVGYNRVYOWUQJBNZLVYNJBXBYXMUUUDLKYXPDJVYTLVYDBYYJWUCUVEXDVRXMVYN
      JBQXCVVTVYOVYDPUAZWUPWUMWULWUSVQUOUUUEVYOVYDHPYXCUNVCZRVYOVYCFVYNVYOFYUGV
      YOVNRZUYEUUUGVYOVYNJHVYOUHZWWIVYOVMRYJVYOVYCJVYNYPYXNUUUHVWAVYOVYNJFYPUUU
      HYXOVWBVWCVYDVYNBWUHWUIWXHWUHWUIHUQGZVYDUQGZYXKWUGUUUIVYDUQWXIXHWUIYQIZYX
      BHYRIZUUUJYXKKWUIWXHVWEZYXCVWFVYDHWUIYQYRVWGYFUMZVWHXTVWIVPWUPYYKVQZWUMBV
      YDWVBVHZWNZVYNWUHUUUPUQGZWUIURGZNZIZUUUODUUUPVYSOZVYNWUGUUUPUQGZWUIURGZNZ
      UUUQUUUTUUUOVYNUUUPIZUUVBUUVEIZUUUOVYNVYDWVBWUPYYKVWJZYYKUUUBXOZWUPUUVIYY
      KUUUBVYOUUUCVWKVWLVPYLZUUVBWVFUUVDNZIZUUVGEVYNUUUPYWGUUVKUUVEUUVBWVFVYNUU
      VDXBVWMUUUPPUUVBUCZUUVLEUUUPUSZUUVBUUVCWUIUULGZIZUUVMUUVNVQZUUVBUUUPPUBGZ
      UUVOUUVBUUVRISDVYNVYRUUUPSDUUUPPSVYDPWVBYXEVWNZXVMUWIZDUUUPVYROZUUUPYUQUB
      GIZSUUWBUUUPYUQUUWAUCZDUUUPYUQVYRUUWAUUWATUUVFVYRPWVBUUVFMVYQUUVFWEZUUVFV
      YPUUVFVYNUUVFVYDPVYNUUUFVYNVYDWVBXRZXSZWFWGZWHZUUVFVYRWVBIZVYRJKZUUVFVYRJ
      UUVFMVYQUUWDUUWGWYMUUVFWKRZUUVFWUPYYRYYSUUWEVYNVYDJUXDYYTXTYAYGUUVFVYRPIU
      UWIUUWJUOUUWHVYRJPUYGYKUYMYLVEYUQPUAUUWAUUVRIZUUWBUUWCUOPWVBVAUUWLSDMVYQU
      UUPSDPPUUUPPMDPMOZUUWMTXUHUUWMXWNISXEXUHDPMPXWOXWPXWOXIXJUUVSXVMSUUVFVQZW
      EXKSDVYPUFUUUPXWRSDUUUPVYPODUUUPVYNWYGUGGZOUUVRDUUUPVYPUUWOUUVFVYNMUUWFUU
      WDUUWKVWOWLSDVYNWYGUUUPUUVTSDPPUUUPPWYGDPWYGOZUUWPTXUAUUWPXWNISWPXUADPWYG
      PXVKXUAXVLRZXUAUHUUWQXIXJUUVSXVMXUAUUWNWPRXKXLVWPUWQXLVTUUUPPYUQUUWAVWQUT
      VWRRVWSVTUUUPPUAXVKUUVRUUVOKUUUPHPUUUPHUAZSVYDHWVBYXDVWNVTZUNVCXVLUUUPPWU
      IUUVCWUIWXHUUVCUUUIUUUPUQGZWUIUUUPUQGZWUGUUUIUUUPUQWXIXHUUUKUUWRUUULUUWTU
      UXAKUUUMUUWSVWFUUUPHWUIYQYRVWGYFUMWUIPUQGZWUIUUUKUUXBWUIKUUUMWUIYQPVXCVWT
      VRWBZVXAUTYNUUVCUUUPYSNIZWUIPYSNIZUUVPUUVQUOYYAUUWRUUXDVSUUWSUUUPWUGHVUTU
      TWUIWXHVXBZEUUVBUUVCWUIUUUPPVXDUTWTXAVXEYKUUUQWUAUUUPWNZDUUUPVYTOZUUVBBWU
      AUUUPWUCUWDUUUPVYDUAZUUXGUUXHKVYDWVBVAZDVYDUUUPVYTWOVRDUUUPVYTVYSUUVFYYKY
      YMUUVFUUUBVYOVYNVYDWVBVVRUUUCVVSYYNYKWLWQVYNUUUSUUVDUUURUUVCWUIURYYEUUXIY
      YFUUURUUVCKYTUUXJYYHUUUPVYDWUGYQYRVWGYFXHVUEVXFUUUOYXSUUXIVQZVYNUUUPYXINZ
      IWULWUMUUVAUOUUXKUUUOYXSUUXIYYDUUXJVVBRUUUOVYNUUUPHVYDVHZVUOZWUGYONZNZVYD
      VXNZUUXLUUUOUUXPVYDVYNUUUOVYNHWVBVHZUUXPUUUOUUUPUUXRVYNYXBUUUPUUXRUAYXCVY
      DHWVBVXGVRZUUVJXSUUXPUUXRUUXONZUUXRUUXNUUXRUUXOUUXNUUXRUUUPUUXMUUXRUUXSYX
      LUUXMUUXRUAYXQWVBVYDHVXHVRVXIDUUXRUUXNVYNUUXRIZWUPVYNUUXNIZUUYAWUPVQZUUVF
      UUYBUUYCVYNVYDWVBUUYAWUPYMUUYAUUVIWUPVYNHWVBVVRVVLYLVYNUUUPUUXMVXJYKUUYAW
      UPXOZVQZVYNUUXMIUUYBUUYEVYNHVYDUUYAVYNHIUUYDVYNHWVBXRVVLUUYAUUYDYMYLVYNUU
      XMUUUPVXKYKVVQVBVXLVURYYEUUXRWUGIZUUXTUUXRKYTWXKUUYFWXLWVBWUGHWXMVXMVRUUX
      RWUGVVFUTUMVXOUUVHVXPYYEYXBUUXIUUXLUUXQKYTYXCUUXJUUUPWUGWUHHVYDWXMWUHTVXQ
      YFVXOWULUUUOWUORUUUPVYNBWUHWUIVYDPVYDWUHYYCUVNVXCVXRVXSVXTVVQVYAYYBUUXEWU
      KWULWUNVQUOYYCUUXFDBWUHWUIVYDPVXDUTVYBWUFWUJUUUEXVKWUFWUJKUUUFXVLVYDPWUIW
      UHWUIWXHUUUNUUXCVXAUTWBYNVYDPHBVWQUTVWR $.
  $}

  ${
    $d A i m p $.  $d A i x $.  $d B i m p $.  $d B i x $.  $d C i m p $.
    $d C i x $.  $d D i m p $.  $d D i x $.  $d E j $.  $d E k x $.  $d H f $.
    $d H j $.  $d H x $.  $d J j $.  $d J k x $.  $d K j $.  $d K k x $.
    $d M i m p $.  $d N f $.  $d N i m p $.  $d N j $.  $d N i x $.
    $d Q i k x $.  $d Q j $.  $d Q i p $.  $d S f $.  $d S i k x $.  $d S j $.
    $d S i p $.  $d T i k x $.  $d X j $.  $d Y k x $.  $d f ph $.
    $d i k ph x $.  $d j ph $.
    fourierdlem63.t $e |- T = ( B - A ) $.
    fourierdlem63.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem63.m $e |- ( ph -> M e. NN ) $.
    fourierdlem63.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem63.c $e |- ( ph -> C e. RR ) $.
    fourierdlem63.d $e |- ( ph -> D e. RR ) $.
    fourierdlem63.cltd $e |- ( ph -> C < D ) $.
    fourierdlem63.o $e |- O = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = C /\ ( p ` m ) = D ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem63.h $e |- H = ( { C , D } u. { x e. ( C [,] D ) | E. k e. ZZ (
       x + ( k x. T ) ) e. ran Q } ) $.
    fourierdlem63.n $e |- N = ( ( # ` H ) - 1 ) $.
    fourierdlem63.s $e |- S = ( iota f f Isom < , < ( ( 0 ... N ) , H ) ) $.
    fourierdlem63.e $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( B - x ) / T ) )
       x. T ) ) ) $.
    fourierdlem63.k $e |- ( ph -> K e. ( 0 ... M ) ) $.
    fourierdlem63.j $e |- ( ph -> J e. ( 0 ..^ N ) ) $.
    fourierdlem63.y $e |- ( ph -> Y e. ( ( S ` J ) [,) ( S ` ( J + 1 ) ) ) ) $.
    fourierdlem63.eyltqk $e |- ( ph -> ( E ` Y ) < ( Q ` K ) ) $.
    fourierdlem63.x $e |- X = ( ( Q ` K ) - ( ( E ` Y ) - Y ) ) $.
    $( The upper bound of intervals in the moved partition are mapped to points
       that are not greater than the corresponding upper bounds in the original
       partition.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem63 $p |- ( ph -> ( E ` ( S ` ( J + 1 ) ) ) <_ ( Q ` K ) ) $=
      ( vj c1 caddc co cfv cmin cdiv cfl cmul cr cv wceq id oveq2 oveq1d fveq2d
      oveq12d adantl cc0 cfz cmap wcel wf wa clt wbr cfzo wral cn simpld simprd
      wb fourierdlem2 syl elmapi ffvelrnd simp2d resubcld simp1d simp3d posdifd
      mpbid breqtrrdi redivcld flcld zred remulcld readdcld fvmptd eqeltrd wrex
      cicc adantr cxr rexrd syl2anc cle w3a sseldd elicc2 recnd addcomd breqtrd
      cz lelttrd ltled cc eqtrd simpr mpbird eqbrtrd oveq2d oveq1 eleq1d simplr
      wn ad2antrr isorel adantlr cmpt wiso fourierdlem54 fourierdlem11 eqeltrid
      a1i fzofzp1 gt0ne0d cpr crn crab cun cioc wss iocssre fourierdlem4 elico2
      cico elfzofz icossicc fourierdlem15 fourierdlem8 sstrid ltaddrpd subsub3d
      addsubassd 3eqtrrd fourierdlem7 lesub2dd subsubd sublt0d ltaddneg ltletrd
      elrpd subcld eliccd pncan2d divcan4d 3eqtrd divcan1d npcand wfun cdm ffun
      fdmd eleqtrrd fvelrn rspcev rexbidv elrab sylanbrc elun2 3eltr4g ad2antlr
      elfzelz elfzoelz syl12anc adantrr adantrl btwnnz pm2.65da ffvelrnda eqcom
      syl3anc biimpri adantllr eqbrtrid jca mtand nrexdv wfo wf1o isof1o foelrn
      f1ofo sylan rexbii sylib nltled ) AQVCVDVEZIVFZOVFZRHVFZAUYBUYADUYAVGVEZJ
      VHVEZVIVFZJVJVEZVDVEZVKABUYABVLZDUYIVGVEZJVHVEZVIVFZJVJVEZVDVEZUYHVKOVKOB
      VKUYNUUAVMAUPUUFZUYIUYAVMZUYNUYHVMAUYPUYIUYAUYMUYGVDUYPVNUYPUYLUYFJVJUYPU
      YKUYEVIUYPUYJUYDJVHUYIUYADVGVOVPVQVPVRVSAVTTWAVEZVKUXTIAIVKUYQWBVEWCZUYQV
      KIWDAUYRVTIVFEVMTIVFFVMWELVLZIVFUYSVCVDVEZIVFWFWGLVTTWHVEZWIWEZAITUAVFWCZ
      UYRVUBWEZATWJWCZVUCAVUEVUCWEZUYQPWFWFIUUBZABCDEFGHIJKLMNPSTUAUDUEUFUGUHUI
      UJUKULUMUNUOUUCZWKZWLZAVUEVUCVUDWMAVUEVUCVUIWKZEFUAILNTUDULWNWOXCWKIVKUYQ
      WPWOZAQVUAWCZUXTUYQWCZURVTTQUUGWOZWQZAUYAUYGVUPAUYFJAUYFAUYEAUYDJADUYAACV
      KWCZDVKWCZCDWFWGZACDGHLNSUDUFUGUHUUDZWRZVUPWSAJDCVGVEZVKUEADCVVAAVUQVURVU
      SVUTWTZWSUUEZAJAVTVVBJWFAVUSVTVVBWFWGAVUQVURVUSVUTXAZACDVVCVVAXBXCUEXDUUH
      ZXEXFXGVVDXHXIZXJVVGXKZAVTSWAVEZVKRHAHVKVVIWBVEWCZVVIVKHWDZAVVJVTHVFCVMSH
      VFDVMWEUYSHVFUYTHVFWFWGLVTSWHVEWIWEZAHSGVFWCZVVJVVLWEZUHASWJWCVVMVVNWMUGC
      DGHLNSUDUFWNWOXCWKHVKVVIWPWOZUQWQZAUYCUYBWFWGZUBPWCZAVVQWEZUYCUCOVFZUCVGV
      EZVGVEZEFUUIZUYIMVLZJVJVEZVDVEZHUUJZWCZMYEXLZBEFXMVEZUUKZUULZUBPVVSVWBVWK
      WCZVWBVWLWCVVSVWBVWJWCVWBVWEVDVEZVWGWCZMYEXLZVWMVVSEFVWBAEVKWCZVVQUIXNAFV
      KWCZVVQUJXNZAVWBVKWCVVQAUYCVWAVVPAVVTUCACDUUMVEZVKVVTACXOWCVURVWTVKUUNACV
      VCXPVVACDUUOXQAVKVWTUCOABCDJOVVCVVAVVEUEUPUUPAUCVKWCZQIVFZUCXRWGZUCUYAWFW
      GZAUCVXBUYAUURVEZWCZVXAVXCVXDXSZUSAVXBVKWCZUYAXOWCVXFVXGWMAUYQVKQIVULAVUM
      QUYQWCZURQVTTUUSWOZWQZAUYAVUPXPVXBUYAUCUUQXQXCZWTZWQXTZVXMWSZWSZXNZAEVWBX
      RWGVVQAEVWBUIVXPAEUCVWBUIVXMVXPAVXAEUCXRWGZUCFXRWGZAUCVWJWCZVXAVXRVXSXSZA
      VXEVWJUCAVXEVXBUYAXMVEVWJVXBUYAUUTAEFIQTAEUIXPAFUJXPAEFUAILNTUDULVUKVUJUV
      AZURUVBUVCUSXTAVWQVWRVXTVYAWMUIUJEFUCYAXQXCWRAUCUCUYCVVTVGVEZVDVEZVWBWFAU
      CVYCVXMAVYCAUYCVVTVVPVXNWSAVVTUYCWFWGVTVYCWFWGUTAVVTUYCVXNVVPXBXCUVNUVDAV
      WBUYCUCVDVEZVVTVGVEUCUYCVDVEZVVTVGVEVYDAUYCVVTUCAUYCVVPYBZAVVTVXNYBZAUCVX
      MYBZUVEAVYEVYFVVTVGAUYCUCVYGVYIYCVPAUCUYCVVTVYIVYGVYHUVFUVGYDZYFYGXNVVSVW
      BFVXQVWSVVSVWBUYAFVXQAUYAVKWCZVVQVUPXNZVWSVVSVWBUYCUYBUYAVGVEZVGVEZUYAVXQ
      VVSUYCVYMAUYCVKWCVVQVVPXNZAVYMVKWCVVQAUYBUYAVVHVUPWSZXNWSVYLAVWBVYNXRWGVV
      QAVYMVWAUYCVYPVXOVVPABCDJOUCUYAVVCVVAVVEUEUPVXMVUPAUCUYAVXMVUPAVXAVXCVXDV
      XLXAYGUVHUVIXNVVSVYNUYAUYCUYBVGVEZVDVEZUYAWFVVSVYNVYQUYAVDVEZVYRVVSUYCUYB
      UYAAUYCYHWCVVQVYGXNAUYBYHWCVVQAUYBVVHYBZXNVVSUYAVYLYBUVJAVYSVYRVMVVQAVYQU
      YAAUYCUYBVYGVYTUVOAUYAVUPYBYCXNYIVVSVYQVTWFWGZVYRUYAWFWGZVVSWUAVVQAVVQYJV
      VSUYCUYBVYOAUYBVKWCVVQVVHXNZUVKYKVVSVYQVKWCVYKWUAWUBWMVVSUYCUYBVYOWUCWSVY
      LVYQUYAUVLXQXCYLYFZAUYAFXRWGZVVQAVYKEUYAXRWGZWUEAUYAVWJWCZVYKWUFWUEXSZAUY
      QVWJUXTIVYBVUOWQAVWQVWRWUGWUHWMUIUJEFUYAYAXQXCXAXNUVMYGUVPAVWPVVQAVWAJVHV
      EZYEWCVWBWUIJVJVEZVDVEZVWGWCZVWPAWUIDUCVGVEZJVHVEZVIVFZYEAWUIUCWUOJVJVEZV
      DVEZUCVGVEZJVHVEWUPJVHVEWUOAVWAWURJVHAVVTWUQUCVGABUCUYNWUQVKOVKUYOUYIUCVM
      ZUYNWUQVMAWUSUYIUCUYMWUPVDWUSVNWUSUYLWUOJVJWUSUYKWUNVIWUSUYJWUMJVHUYIUCDV
      GVOVPVQVPVRVSVXMAUCWUPVXMAWUOJAWUOAWUNAWUMJADUCVVAVXMWSVVDVVFXEXFZXGZVVDX
      HZXIXJVPVPAWURWUPJVHAUCWUPVYIAWUPWVBYBUVQVPAWUOJAWUOWVAYBAJVVDYBZVVFUVRUV
      SWUTXKAWUKUYCVWGAWUKVWBVWAVDVEUYCAWUJVWAVWBVDAVWAJAVWAVXOYBZWVCVVFUVTYMAU
      YCVWAVYGWVDUWAYIAHUWBZRHUWCZWCUYCVWGWCAVVKWVEVVOVVIVKHUWDWOARVVIWVFUQAVVI
      VKHVVOUWEUWFRHUWGXQXKVWOWULMWUIYEVWDWUIVMZVWNWUKVWGWVGVWEWUJVWBVDVWDWUIJV
      JYNYMYOUWHXQXNVWIVWPBVWBVWJUYIVWBVMZVWHVWOMYEWVHVWFVWNVWGUYIVWBVWEVDYNYOU
      WIUWJUWKVWBVWKVWCUWLWOVAUMUWMVVSVVRVBVLZIVFZUBVMZVBUYQXLZVVSWVKVBUYQVVSWV
      IUYQWCZWEZWVKVXBWVJWFWGZWVJUYAWFWGZWEZAWVMWVQYQVVQAWVMWEZWVQWVIYEWCZWVMWV
      SAWVQWVIVTTUWOUWNWVRWVQWEQYEWCZQWVIWFWGZWVIUXTWFWGZWVSYQAWVTWVMWVQAVUMWVT
      URQVTTUWPWOYRWVRWVOWWAWVPWVRWVOWEZWWAWVOWVRWVOYJWWCVUGVXIWVMWWAWVOWMAVUGW
      VMWVOAVUFVUGVUHWLZYRAVXIWVMWVOVXJYRAWVMWVOYPUYQPQWVIWFWFIYSUWQYKUWRWVRWVP
      WWBWVOWVRWVPWEZWWBWVPWVRWVPYJWWEVUGWVMVUNWWBWVPWMAVUGWVMWVPWWDYRAWVMWVPYP
      AVUNWVMWVPVUOYRUYQPWVIUXTWFWFIYSUWQYKUWSQWVIUWTUXDUXAYTWVNWVKWEWVOWVPAWVM
      WVKWVOVVQWVRWVKWEVXBUCWVJAVXHWVMWVKVXKYRAVXAWVMWVKVXMYRWVRWVJVKWCWVKAUYQV
      KWVIIVULUXBXNAVXCWVMWVKAVXAVXCVXDVXLWRYRAWVKUCWVJWFWGWVMAWVKWEUCUBWVJWFAU
      CUBWFWGWVKAUCVWBUBWFVYJVAXDXNWVKUBWVJVMZAWWFWVKUBWVJUXCZUXEVSYDYTYFUXFVVS
      WVKWVPWVMVVSWVKWEWVJUBUYAWFVVSWVKYJVVSUBUYAWFWGWVKVVSUBVWBUYAWFVAWUDUXGXN
      YLYTUXHUXIUXJAVVRWVLVVQAVVRWEWWFVBUYQXLZWVLAUYQPIUXKZVVRWWHAUYQPIUXLZWWIA
      VUGWWJWWDUYQPWFWFIUXMWOUYQPIUXOWOVBUYQPUBIUXNUXPWWFWVKVBUYQWWGUXQUXRYTUXI
      UXAUXS $.
  $}

  ${
    $d A i m p $.  $d B i m p $.  $d C m p $.  $d C y $.  $d D m p $.
    $d D y $.  $d H f $.  $d H j $.  $d H y $.  $d I i k y $.  $d I j k $.
    $d I i l $.  $d I x $.  $d J b j k $.  $d J i k $.  $d J i l $.  $d J x $.
    $d J z $.  $d L b j k $.  $d L l $.  $d L x $.  $d L k y $.  $d M b j k $.
    $d M i k $.  $d M i m p $.  $d N f $.  $d N i m p $.  $d N j $.
    $d N i y $.  $d Q b j k $.  $d Q i k y $.  $d Q i l $.  $d Q i p $.
    $d Q x $.  $d Q z $.  $d T b j k $.  $d T i k y $.  $d T i l $.  $d T x $.
    $d T z $.  $d V b j k $.  $d V f $.  $d V i k y $.  $d V i l $.
    $d V i p $.  $d V x $.  $d V z $.  $d f ph $.  $d i k ph $.  $d j k ph $.
    $d ph x $.
    fourierdlem64.t $e |- T = ( B - A ) $.
    fourierdlem64.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem64.m $e |- ( ph -> M e. NN ) $.
    fourierdlem64.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem64.c $e |- ( ph -> C e. RR ) $.
    fourierdlem64.d $e |- ( ph -> D e. RR ) $.
    fourierdlem64.cltd $e |- ( ph -> C < D ) $.
    fourierdlem64.h $e |- H = ( { C , D } u. { y e. ( C [,] D ) | E. k e. ZZ (
       y + ( k x. T ) ) e. ran Q } ) $.
    fourierdlem64.n $e |- N = ( ( # ` H ) - 1 ) $.
    fourierdlem64.v $e |- V = ( iota f f Isom < , < ( ( 0 ... N ) , H ) ) $.
    fourierdlem64.j $e |- ( ph -> J e. ( 0 ..^ N ) ) $.
    fourierdlem64.l $e |- L = sup ( { k e. ZZ | ( ( Q ` 0 ) + ( k x. T ) ) <_ (
       V ` J ) } , RR , < ) $.
    fourierdlem64.i $e |- I = sup ( { j e. ( 0 ..^ M ) | ( ( Q ` j ) + ( L x. T
       ) ) <_ ( V ` J ) } , RR , < ) $.
    $( The partition ` V ` is finer than ` Q ` , when ` Q ` is moved on the
       same interval where ` V ` lies.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem64 $p |- ( ph -> ( ( I e. ( 0 ..^ M ) /\ L e. ZZ ) /\ E. i e. (
       0 ..^ M ) E. l e. ZZ ( ( V ` J ) (,) ( V ` ( J + 1 ) ) ) C_ ( ( ( Q ` i
       ) + ( l x. T ) ) (,) ( ( Q ` ( i + 1 ) ) + ( l x. T ) ) ) ) ) $=
      ( vb vz vx cc0 cfzo co wcel cz cfv c1 caddc cioo cv cmul wss wrex cle wbr
      crab cr clt csup ssrab2 c0 wne wral cfz sstri cmin syl2anc unssd eqsstrid
      a1i wa wf cn wceq cmap simprd ffvelrnd sseldd wb mpbid eqeltrid breqtrrdi
      syl simpld wi ad2antrr simplr remulcld readdcld simpr mpbird adantr ltled
      mpd sylibr simpl oveq1 oveq2d breq1d elrab adantl ralrimiva syl3anc fveq2
      rspcev oveq1d sylanbrc zred syldan sselid cxr rexrd eqcomd 3eqtrd eqeltrd
      wn recnd ltnled pm2.65da adantlr ad3antrrr fzossfz fzssz 0zd nngt0d fzolb
      nnzd syl3anbrc cdiv cpr crn cicc prssi iccssred sstrd wiso wf1o cmpt eqid
      cun fourierdlem54 isof1o f1of 3syl elfzofz fourierdlem2 elmapi cuz nnnn0d
      cn0 eleqtrdi eluzfz1 resubcld fourierdlem11 simp2d simp1d posdifd gt0ne0d
      nn0uz simp3d redivcld btwnz elrpd ltmuldivd ltaddsub2d ex sylan2 reximdva
      zre crp rabn0 simprbi leaddsub2d lemuldivd sylanl2 syl21anc breq2 ralbidv
      sselda suprzcl sylib ne0i nnred elfzoelz elfzolt2 fzofzp1 elioore ioogtlb
      lelttrd zssre peano2zd 1cnd npcand sylan9eqr fveq2d addcomd eqtrd addassd
      eqcomi cc mulid2d adddird 3eqtr4d eqtr2d eqbrtrd suprub syl31anc peano2re
      ltp1d elfzoel2 zltlem1 neqne necomd leneltd 1red ltadd1dd breqtrd elfzfzo
      peano2rem anim1i pm2.61dan lbicc2 ubicc2 jca prssg iccleub letrd ad4ant14
      simpll iccgelb eliccd cneg znegcld mulneg1d negsubd pncand wfn ffn eleq1d
      fnfvelrn rexbidv elun2 wfo f1ofo foelrn sylan id reximdv adantll syl12anc
      eqcoms isorel adantllr adantl3r elfzelz simprl simprr btwnnz nrexdv mpdan
      ad2antlr condan iooltub ltletrd eliood dfss3 oveq12d sseq2d rspc2ev jca31
      ) APUTSVAVBZVCZRVDVCZQUAVEZQVFVGVBZUAVEZVHVBZKVIZHVEZUCVIZIVJVBZVGVBZVWQV
      FVGVBZHVEZVWTVGVBZVHVBZVKZUCVDVLKVWJVLZAPLVIZHVEZRIVJVBZVGVBZVWMVMVNZLVWJ
      VOZVPVQVRZVWJUPAVXMVWJVXNVXLLVWJVSZAVXMVDVKZVXMVTWAZMVIZUQVIZVMVNZMVXMWBZ
      UQVPVLZVXNVXMVCVXPAVXMVWJVDVXOVWJUTSWCVBZVDUTSUUAZUTSUUBWDZWDZWIAUTVXMVCZ
      VXQAUTVWJVCZUTHVEZVXJVGVBZVWMVMVNZVYGAUTVDVCSVDVCZUTSVQVNVYHAUUCASUFUUFAS
      UFUUDUTSUUEUUGAVWLVYKARVYIVXRIVJVBZVGVBZVWMVMVNZMVDVOZVCVWLVYKWJARVYPVPVQ
      VRZVYPUOAVYPVDVKZVYPVTWAZVXHVXSVMVNZLVYPWBZUQVPVLZVYQVYPVCVYRAVYOMVDVSZWI
      ZAVYOMVDVLZVYSAVXRVWMVYIWEVBZIUUHVBZVQVNZMVDVLZWUEAWUIWUGURVIVQVNURVDVLZA
      WUGVPVCZWUIWUJWJAWUFIAVWMVYIAOVPVWMAOEFUUIZBVIZVYMVGVBZHUUJZVCZMVDVLZBEFU
      UKVBZVOZUUSZVPUKAWULWUSVPAEVPVCZFVPVCZWULVPVKUHUIEFVPUULWFAWUSWURVPWUSWUR
      VKAWUQBWURVSWIZAEFUHUIUUMUUNWGWHZAUTTWCVBZOQUAAWVEOVQVQUAUUOZWVEOUAUUPZWV
      EOUAWKATWLVCUATNWLUTUBVIZVEEWMNVIZWVHVEFWMWJVWQWVHVEVXBWVHVEVQVNKUTWVIVAV
      BWBWJUBVPUTWVIWCVBWNVBVOUUQZVEVCWJWVFABCDEFGHUAIJKMNOSTWVJUBUDUEUFUGUHUIU
      JWVJUURUKULUMUUTWOZWVEOVQVQUAUVAZWVEOUAUVBUVCZAQUTTVAVBVCZQWVEVCZUNQUTTUV
      DXBZWPZWQZAVYCVPUTHAHVPVYCWNVBVCZVYCVPHWKZAWVSVYICWMZSHVEZDWMZWJZVWRVXCVQ
      VNKVWJWBZWJZAHSGVEVCZWVSWWFWJZUGASWLVCWWGWWHWRUFCDGHKNSUBUEUVEXBWSZXCHVPV
      YCUVFXBZASUTUVGVEZVCUTVYCVCASUVIWWKASUFUVHUVRUVJUTSUVKXBWPZUVLZAIDCWEVBZV
      PUDADCACVPVCZDVPVCZCDVQVNZACDGHKNSUBUEUFUGUVMZUVNZAWWOWWPWWQWWRUVOZUVLWTZ
      AIAUTWWNIVQAWWQUTWWNVQVNAWWOWWPWWQWWRUVSACDWWTWWSUVPWSUDXAZUVQUVTZMURWUGU
      WAXBXCAWUHVYOMVDVXRVDVCAVXRVPVCZWUHVYOXDVXRUWHAWXDWJZWUHVYOWXEWUHWJZVYNVW
      MWXFVYIVYMAVYIVPVCZWXDWUHWWLXEWXFVXRIAWXDWUHXFZAIVPVCZWXDWUHWXAXEXGXHAVWM
      VPVCZWXDWUHWVRXEWXFVYNVWMVQVNZVYMWUFVQVNZWXFWXLWUHWXEWUHXIWXFVXRWUFIWXHAW
      UFVPVCZWXDWUHWWMXEAIUWIVCZWXDWUHAIWXAWXBUWBZXEUWCXJWXEWXKWXLWRWUHWXEVYIVY
      MVWMAWXGWXDWWLXKWXEVXRIAWXDXIAWXIWXDWXAXKXGAWXJWXDWVRXKUWDXKXJXLUWEUWFUWG
      XMVYOMVDUWJXNZAWUKVXHWUGVMVNZLVYPWBZWUBWXCAWXQLVYPAVXHVYPVCZWJAVXHVDVCZVY
      IVXHIVJVBZVGVBZVWMVMVNZWXQAWXSXOAVYPVDVXHWUDUWRWXSWYCAWXSWXTWYCVYOWYCMVXH
      VDVXRVXHWMZVYNWYBVWMVMWYDVYMWYAVYIVGVXRVXHIVJXPXQXRXSUWKXTWXTAVXHVPVCZWYC
      WXQVXHUWHAWYEWJZWYCWJZWYAWUFVMVNZWXQWYGWYCWYHWYFWYCXIWYGVYIWYAVWMAWXGWYEW
      YCWWLXEWYFWYAVPVCWYCWYFVXHIAWYEXIAWXIWYEWXAXKXGXKAWXJWYEWYCWVRXEUWLWSWYGV
      XHWUFIAWYEWYCXFAWXMWYEWYCWWMXEAWXNWYEWYCWXOXEUWMWSUWNUWOYAWUAWXRUQWUGVPVX
      SWUGWMVYTWXQLVYPVXSWUGVXHVMUWPUWQYDWFZUQLVYPUWSYBZWTVYOVYKMRVDVXRRWMZVYNV
      YJVWMVMWYKVYMVXJVYIVGVXRRIVJXPXQXRXSUWTWOVXLVYKLUTVWJVXHUTWMZVXKVYJVWMVMW
      YLVXIVYIVXJVGVXHUTHYCYEXRXSYFVXMUTUXAXBZASVPVCZVXRSVMVNZMVXMWBZVYBASUFUXB
      ZAWYOMVXMAVXRVXMVCVXRVWJVCZWYOAVXMVWJVXRVXMVWJVKAVXOWIUWRAWYRWJVXRSWYRWXD
      AWYRVXRVXRUTSUXCYGXTAWYNWYRWYQXKWYRVXRSVQVNAVXRUTSUXDXTXLYHYAVYAWYPUQSVPV
      XSSWMVXTWYOMVXMVXSSVXRVMUWPUWQYDWFZUQMVXMUWSYBZYIWTZARVYQVDUOAVYPVDVYQWUC
      WYJYIWTZAVWKVWLVWPPHVEZVXJVGVBZPVFVGVBZHVEZVXJVGVBZVHVBZVKZVXGXUAXUBAUSVI
      ZXUHVCZUSVWPWBXUIAXUKUSVWPAXUJVWPVCZWJZXUDXUGXUJAXUDYJVCXULAXUDAXUCVXJAVY
      CVPPHWWJAVWJVYCPVYDXUAYIWPARIARXUBYGZWXAXGZXHZYKXKAXUGYJVCXULAXUGAXUFVXJA
      VYCVPXUEHWWJAVWKXUEVYCVCZXUAUTSPUXEXBZWPZXUOXHZYKXKXULXUJVPVCZAXUJVWMVWOU
      XFXTZXUMXUDVWMXUJAXUDVPVCXULXUPXKAWXJXULWVRXKZXVBAXUDVWMVMVNZXULAVWKXVDAP
      VXMVCVWKXVDWJAPVXNVXMUPWYTWTVXLXVDLPVWJVXHPWMZVXKXUDVWMVMXVEVXIXUCVXJVGVX
      HPHYCYEXRXSUWTWOXKXUMVWMYJVCZVWOYJVCZXULVWMXUJVQVNXUMVWMXVCYKZAXVGXULAVWO
      AOVPVWOWVDAWVEOVWNUAWVMAWVNVWNWVEVCZUNUTTQUXEXBZWPZWQZYKXKZAXULXIZVWMVWOX
      UJUXGYBUXHXUMVWOXUGVMVNZXUJXUGVQVNAXVOXULAVWMXUGVQVNZXVOAXVPXUGVWMVMVNZYO
      ZAPSVFWEVBZWMZXVRAXVTWJZXVQRVFVGVBZRVMVNZXWAXVQWJZXWBVYQRVMXWDVYPVPVKZVYS
      WUBXWBVYPVCZXWBVYQVMVNXWEXWDVYPVDVPWUCUXIWDWIAVYSXVTXVQWXPXEAWUBXVTXVQWYI
      XEXWDXWBVDVCZVYIXWBIVJVBZVGVBZVWMVMVNZXWFAXWGXVTXVQARXUBUXJXEXWDXWIXUGVWM
      VMXWAXWIXUGWMXVQXWAXUGVYIIVGVBZVXJVGVBZXWIXWAXUFXWKVXJVGXWAXUFIVYIVGVBZXW
      KXWAXUFWWBDXWMXWAXUESHXVTAXUEXVSVFVGVBZSPXVSVFVGXPASVFASWYQYPAUXKZUXLZUXM
      UXNAWWCXVTAWWAWWCAWWDWWEAWVSWWFWWIWOXCZWOXKADXWMWMXVTADWWNCVGVBZICVGVBXWM
      AXWRDADCADWWSYPACWWTYPZUXLYLAWWNICVGWWNIWMAIWWNUDUXRWIYEACVYIIVGAVYICAWWA
      WWCXWQXCZYLXQYMXKYMAXWMXWKWMXVTAIVYIAIWXAYPZAVYICUXSXWTXWSYNZUXOXKUXPYEAX
      WLXWIWMXVTAXWLVYIIVXJVGVBZVGVBXWIAVYIIVXJXXBXXAAVXJXUOYPZUXQAXXCXWHVYIVGA
      VFIVJVBZVXJVGVBVXJXXEVGVBXXCXWHAXXEVXJAXXEIUXSAIXXAUXTZXXAYNXXDUXOAIXXEVX
      JVGAXXEIXXFYLYEARVFIARXUNYPZXWOXXAUYAUYBXQUXPXKUYCXKXWAXVQXIUYDVYOXWJMXWB
      VDVXRXWBWMZVYNXWIVWMVMXXHVYMXWHVYIVGVXRXWBIVJXPXQXRXSYFUQLVYPXWBUYEUYFUOX
      AAXWCYOZXVTXVQARXWBVQVNXXIARXUNUYHARXWBXUNARVPVCXWBVPVCXUNRUYGXBYQWSXEYRA
      XVTYOZPXVSVQVNZXVRAXXJWJPXVSAPVPVCZXXJAPAVWJVDPVYEXUAYIYGZXKAXVSVPVCZXXJA
      WYNXXNWYQSUYRXBZXKAPXVSVMVNZXXJAVWKXXPXUAVWKPSVQVNZXXPPUTSUXDVWKPVDVCVYLX
      XQXXPWRPUTSUXCPUTSUYIPSUYJWFWSXBXKXXJXVSPWAAXXJPXVSPXVSUYKUYLXTUYMAXXKWJZ
      XVQXUEPVMVNZXXRXVQWJZXUEVXNPVMXXTVXMVPVKZVXQVYBXUEVXMVCZXUEVXNVMVNXYAXXTV
      XMVDVPVYFUXIWDWIAVXQXXKXVQWYMXEAVYBXXKXVQWYSXEXXTXUEVWJVCZXVQWJXYBXXRXYCX
      VQXXRXUQXUESVQVNXYCAXUQXXKXURXKXXRXUEXWNSVQXXRPXVSVFAXXLXXKXXMXKAXXNXXKXX
      OXKXXRUYNAXXKXIUYOAXWNSWMXXKXWPXKUYPXUEUTSUYQYFUYSVXLXVQLXUEVWJVXHXUEWMZV
      XKXUGVWMVMXYDVXIXUFVXJVGVXHXUEHYCYEXRXSXNUQMVXMXUEUYEUYFUPXAAXXSYOZXXKXVQ
      APXUEVQVNXYEAPXXMUYHAPXUEXXMAXXLXUEVPVCXXMPUYGXBYQWSXEYRYHUYTAVWMXUGWVRXU
      TYQXJAXVPWJZFXUGVMVNZXVOAXYGXVOXVPAXYGWJVWOFXUGAVWOVPVCZXYGXVLXKAWVBXYGUI
      XKAXUGVPVCZXYGXUTXKAVWOFVMVNZXYGAEYJVCZFYJVCZVWOWURVCXYJAEUHYKZAFUIYKZAOW
      URVWOAOWUTWURUKAWULWUSWURAEWURVCZFWURVCZWJZWULWURVKZAXYOXYPAXYKXYLEFVMVNZ
      XYOXYMXYNAEFUHUIUJXLZEFVUAYBAXYKXYLXYSXYPXYMXYNXYTEFVUBYBVUCAWVAWVBXYQXYR
      WRUHUIEFWURVPVPVUDWFWSWVCWGWHZXVKWQEFVWOVUEYBXKAXYGXIVUFYSXYFXYGYOZXUGFVQ
      VNZXVOAYUBYUCXVPAYUBWJZYUCYUBAYUBXIYUDXUGFAXYIYUBXUTXKAWVBYUBUIXKYQXJYSXY
      FYUCWJZXVOQVXHVQVNZVXHVWNVQVNZWJZLWVEVLZYUEXVOYOZWJXYFXUGVWOVQVNZXUGOVCZY
      UIXYFYUCYUJVUHAYUJYUKXVPYUCAYUJWJZYUKYUJAYUJXIYUMXUGVWOAXYIYUJXUTXKAXYHYU
      JXVLXKYQXJVUGYUEYULYUJYUEXUGWUTOYUEXUGWUSVCZXUGWUTVCYUEXUGWURVCXUGVYMVGVB
      ZWUOVCZMVDVLZYUNYUEEFXUGAWVAXVPYUCUHXEAWVBXVPYUCUIXEAXYIXVPYUCXUTXEXYFEXU
      GVMVNYUCXYFEXUGAWVAXVPUHXKZAXYIXVPXUTXKZXYFEVWMXUGYURAWXJXVPWVRXKYUSAEVWM
      VMVNZXVPAXYKXYLVWMWURVCYUTXYMXYNAOWURVWMYUAWVQWQEFVWMVUIYBXKAXVPXIUXHXLXK
      AYUCXUGFVMVNXVPAYUCWJXUGFAXYIYUCXUTXKAWVBYUCUIXKAYUCXIXLYSVUJAYUQXVPYUCAR
      VUKZVDVCXUGYVAIVJVBZVGVBZWUOVCZYUQARXUBVULAYVCXUFWUOAYVCXUGVXJVUKZVGVBXUG
      VXJWEVBXUFAYVBYVEXUGVGARIXXGXXAVUMXQAXUGVXJAXUGXUTYPXXDVUNAXUFVXJAXUFXUSY
      PXXDVUOYMAHVYCVUPZXUQXUFWUOVCAWVTYVFWWJVYCVPHVUQXBXURVYCXUEHVUSWFYNYUPYVD
      MYVAVDVXRYVAWMZYUOYVCWUOYVGVYMYVBXUGVGVXRYVAIVJXPXQVURYDWFXEWUQYUQBXUGWUR
      WUMXUGWMZWUPYUPMVDYVHWUNYUOWUOWUMXUGVYMVGXPVURVUTXSYFXUGWUSWULVVAXBOWUTUK
      UXRUVJXKXYFYUKWJZYULWJZVXHUAVEZXUGWMZLWVEVLZYUIAYULYVMXVPYUKAYULWJZXUGYVK
      WMZLWVEVLZYVMAWVEOUAVVBZYULYVPAWVFWVGYVQWVKWVLWVEOUAVVCUVCLWVEOXUGUAVVDVV
      EYVNYVOYVLLWVEYVOYVLXDYVNYVOXUGYVKYVOVVFZYLWIVVGXMVUGYVJYVLYUHLWVEYVIVXHW
      VEVCZYVLYUHXDYULYVIYVSWJZYVLYUHYVTYVLWJYUFYUGXYFYVSYVLYUFYUKXYFYVSWJYVLWJ
      ZYUFVWMYVKVQVNZXYFYVLYWBYVSXVPYVLYWBAXVPYVLWJVWMXUGYVKVQXVPYVLXOYVLYVOXVP
      YVOXUGYVKYVRVVJXTUYPVVHYSYWAWVFWVOYVSYUFYWBWRAWVFXVPYVSYVLWVKYTAWVOXVPYVS
      YVLWVPYTXYFYVSYVLXFWVEOQVXHVQVQUAVVKVVIXJVVLAYUKYVSYVLYUGXVPAYUKWJZYVSWJY
      VLWJZYUGYVKVWOVQVNZYWCYVLYWEYVSYUKYVLYWEAYUKYVLWJYVKXUGVWOVQYUKYVLXIYUKYV
      LXOUYDVVHYSYWDWVFYVSXVIYUGYWEWRAWVFYUKYVSYVLWVKYTYWCYVSYVLXFAXVIYUKYVSYVL
      XVJYTWVEOVXHVWNVQVQUAVVKVVIXJVVMVUCUWEYSUWGXMUWOAYUIYOXVPYUCYUJAYUHLWVEAY
      VSWJZYUHWXTYVSWXTAYUHVXHUTTVVNVVTYWFYUHWJQVDVCZYUFYUGWXTYOAYWGYVSYUHAWVOY
      WGWVPQUTTVVNXBXEYWFYUFYUGVVOYWFYUFYUGVVPQVXHVVQYBYRVVRYTVWAYHUYTVVSXKXUMX
      VOWJXUJVWOXUGXUMXVAXVOXVBXKAXYHXULXVOXVLXEAXYIXULXVOXUTXEXUMXUJVWOVQVNZXV
      OXUMXVFXVGXULYWHXVHXVMXVNVWMVWOXUJVWBYBXKXUMXVOXIVWCVVSVWDYAUSVWPXUHVWEXN
      VXFXUIVWPXUCVWTVGVBZXUFVWTVGVBZVHVBZVKKUCPRVWJVDVWQPWMZVXEYWKVWPYWLVXAYWI
      VXDYWJVHYWLVWRXUCVWTVGVWQPHYCYEYWLVXCXUFVWTVGYWLVXBXUEHVWQPVFVGXPUXNYEVWF
      VWGVWSRWMZYWKXUHVWPYWMYWIXUDYWJXUGVHYWMVWTVXJXUCVGVWSRIVJXPZXQYWMVWTVXJXU
      FVGYWNXQVWFVWGVWHYBVWI $.
  $}

  ${
    $d A f k y $.  $d A i k x y $.  $d A i m p $.  $d B f k y $.
    $d B i k x y $.  $d B i m p $.  $d C f y $.  $d C i m p $.  $d C i x y $.
    $d D f y $.  $d D i m p $.  $d D i x y $.  $d E i k x y $.  $d M i m p $.
    $d N f y $.  $d N i m p $.  $d N i x y $.  $d Q f k y $.  $d Q i k x y $.
    $d Q i p $.  $d S f k y $.  $d S i k x y $.  $d S i p $.  $d T i k x y $.
    $d Z i k y $.  $d f k ph y $.  $d i j k x y $.  $d i k ph x y $.
    fourierdlem65.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem65.t $e |- T = ( B - A ) $.
    fourierdlem65.m $e |- ( ph -> M e. NN ) $.
    fourierdlem65.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem65.c $e |- ( ph -> C e. RR ) $.
    fourierdlem65.d $e |- ( ph -> D e. ( C (,) +oo ) ) $.
    fourierdlem65.o $e |- O = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = C /\ ( p ` m ) = D ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem65.n $e |- N = ( ( # ` ( { C , D } u. { y e. ( C [,] D ) | E. k
       e. ZZ ( y + ( k x. ( B - A ) ) ) e. ran Q } ) ) - 1 ) $.
    fourierdlem65.s $e |- S = ( iota f f Isom < , < ( ( 0 ... N ) , ( { C , D }
       u. { y e. ( C [,] D ) | E. k e. ZZ ( y + ( k x. ( B - A ) ) ) e. ran Q }
       ) ) ) $.
    fourierdlem65.e $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( B - x ) / T ) )
       x. T ) ) ) $.
    fourierdlem65.l $e |- L = ( y e. ( A (,] B ) |-> if ( y = B , A , y ) ) $.
    fourierdlem65.z $e |- Z = ( ( S ` j ) + ( B - ( E ` ( S ` j ) ) ) ) $.
    $( The distance of two adjacent points in the moved partition is preserved
       in the original partition.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem65 $p |- ( ( ph /\ j e. ( 0 ..^ N ) ) -> ( ( E ` ( S ` ( j + 1 )
       ) ) - ( L ` ( E ` ( S ` j ) ) ) ) = ( ( S ` ( j + 1 ) ) - ( S ` j ) ) )
       $=
      ( cv cc0 cfzo co wcel wa cfv wceq c1 caddc cmin cioc cmpt a1i simpr eqtrd
      cr adantll wf clt wbr simp2d simp3d adantr cmap wral cn cmul cz wrex cicc
      cfz crab cxr rexrd syl3anc id oveq2i oveq12d eleq1d rexbidv simpld simprd
      cpnf wb fourierdlem2 syl mpbid adantl ffvelrnd ad2antrr fvmptd oveq2d cle
      zred isorel syl12anc wn 3syl resubcld eqeltrid readdcld w3a fourierdlem15
      ad3antrrr syl2anc breqtrrdi mpbird ltletrd adantlr cdiv cfl oveq1d fveq2d
      ltled rerpdivcld recnd 3eqtrd eqeltrd oveq1 eqcomd cc breqtrd jca simplr
      cif simpl iftrued fourierdlem11 simp1d fourierdlem4 cpr crn cun wiso cioo
      ioossre sselid ioogtlb eqcomi cbvrabv uneq2i fourierdlem54 elmapi elfzofz
      pnfxr fzofzp1 elfzoelz ltp1d wfo isof1o f1ofo elicc2 crp posdifd ltaddrpd
      wf1o elrpd lelttrd ltnled eliccd oveq2 remulcld pncan2d divcan4d peano2zm
      flcld rpne0d 1cnd subdird mulid2d mulcld ppncand flid 3eqtrrd wfn ffn cuz
      nnnn0d nn0uz eleqtrdi eluzfz2 fnfvelrn rspcev elrab sylanbrc elun2 foelrn
      cn0 eqcom rexbii sylib biimpri eqbrtrrd simplll elfzelz ad2antlr ad3antlr
      adantrr adantrl btwnnz pm2.65da nrexdv condan elioc2 fourierdlem26 subcld
      mpbir3and biimpi wne neqne eqnetrrd iffalsed flle lesub2dd lediv1dd letrd
      neneqd nltled subge0d addge01d reflcl peano2re peano2zd ltsub2dd ltdiv1dd
      1red flltp1 dividd divsubdird nnncan1d zltlesub addsub12d subsub2d eqtr4d
      nncand 3eqtr4d ltdiv1d ltsub2d divcan1d addcomd npcand leneltd ex reximdv
      necomd mpd syldan flbi pnpcan2d pm2.61dan ) ANUPZUQTURUSZUTZVAZVVGJVBZQVB
      ZEVCZVVGVDVEUSZJVBZQVBZVVLRVBZVFUSZVVOVVKVFUSZVCVVJVVMVAZVVRVVPDVFUSDVVSV
      EUSZDVFUSVVSVVTVVQDVVPVFVVTCVVLCUPZEVCZDVWBUUAZDDEVGUSZRVLRCVWEVWDVHVCZVV
      TUNVIVVMVWBVVLVCZVWDDVCVVJVVMVWGVAZVWCDVWBVWHVWBVVLEVVMVWGVJVVMVWGUUBVKUU
      CVMVVJVVLVWEUTZVVMVVJVLVWEVVKQAVLVWEQVNVVIABDEKQADVLUTZEVLUTZDEVOVPZADEHI
      MPSUCUDUFUGUUDZUUEZAVWJVWKVWLVWMVQZAVWJVWKVWLVWMVRZUEUMUUFVSVVJUQTWGUSZVL
      VVGJAVWQVLJVNZVVIAJVLVWQVTUSUTZVWRAVWSUQJVBFVCTJVBGVCVAMUPZJVBZVWTVDVEUSZ
      JVBVOVPMVVHWAVAZAJTUAVBUTZVWSVXCVAZATWBUTZVXDAVXFVXDVAZVWQFGUUGZVWBOUPZED
      VFUSZWCUSZVEUSZIUUHZUTZOWDWEZCFGWFUSZWHZUUIZVOVOJUUJZABDEFGHIJKLMOPVXRSTU
      AUCUEUDUFUGUHAFWSUUKUSZVLGFWSUULUIUUMZAFWIUTWSWIUTZGVXTUTFGVOVPAFUHWJVYBA
      UVAVIUIFWSGUUNWKUJVXQBUPZVXIKWCUSZVEUSZVXMUTZOWDWEZBVXPWHVXHVXOVYGCBVXPVW
      BVYCVCZVXNVYFOWDVYHVXLVYEVXMVYHVWBVYCVXKVYDVEVYHWLVXKVYDVCVYHVXJKVXIWCKVX
      JUEUUOZWMVIWNWOWPUUPUUQUKULUURZWQZWRZAVXFVXDVXEWTAVXFVXDVYKWQZFGUAJMPTUCU
      JXAXBXCWQJVLVWQUUSXBVSZVVIVVGVWQUTZAVVGUQTUUTXDZXEZXEZVSAVWJVVIVVMVWNXFZX
      GXHVVTVVPVWADVFVVTBDEKQVVKVVOVYSAVWKVVIVVMVWOXFAVWLVVIVVMVWPXFUEUMVVJVVKV
      LUTZVVMVYQVSZVVJVVMVJZVVTVVOVVKVVKKVEUSZVGUSUTZVVOVLUTZVVKVVOVOVPZVVOWUCX
      IVPZVVJWUEVVMVVJVWQVLVVNJVYNVVIVVNVWQUTZAUQTVVGUVBXDZXEZVSVVJWUFVVMVVJVVG
      VVNVOVPZWUFVVJVVGVVIVVGVLUTAVVIVVGVVGUQTUVCZXJXDUVDVVJVXSVYOWUHWUKWUFWTAV
      XSVVIAVXGVXSVYJWRZVSZVYPWUIVWQVXRVVGVVNVOVOJXKXLXCZVSVVTWUGVXAWUCVCZMVWQW
      EZVVTWUGXMZVAZWUCVXAVCZMVWQWEZWUQWUSVWQVXRJUVEZWUCVXRUTZWVAAWVBVVIVVMWURA
      VXSVWQVXRJUVLWVBWUMVWQVXRVOVOJUVFVWQVXRJUVGXNZXTWUSWUCVXQUTZWVCWUSWUCVXPU
      TZWUCVXKVEUSZVXMUTZOWDWEZWVEVVJWURWVFVVMVVJWURVAZFGWUCAFVLUTZVVIWURUHXFAG
      VLUTZVVIWURVYAXFZVVJWUCVLUTZWURVVJVVKKVYQAKVLUTZVVIAKVXJVLUEAEDVWOVWNXOXP
      ZVSZXQZVSZVVJFWUCXIVPWURVVJFWUCAWVKVVIUHVSZWVRVVJFVVKWUCWVTVYQWVRVVJVYTFV
      VKXIVPZVVKGXIVPZVVJVVKVXPUTZVYTWWAWWBXRZVVJVWQVXPVVGJAVWQVXPJVNVVIAFGUAJM
      PTUCUJVYMVYLXSVSZVYPXEVVJWVKWVLWWCWWDWTWVTAWVLVVIVYAVSZFGVVKUVHYAXCVQZVVJ
      VVKKVYQAKUVIUTZVVIAKWVPAUQVXJKVOAVWLUQVXJVOVPVWPADEVWNVWOUVJXCUEYBUVMVSZU
      VKZUVNYJVSWVJWUCGWVSWVMWVJWUCVVOGWVSVVJWUEWURWUJVSZWVMWVJWUCVVOVOVPZWURVV
      JWURVJWVJWUCVVOWVSWWKUVOYCZVVJVVOGXIVPZWURVVJWUEFVVOXIVPZWWNVVJVVOVXPUTZW
      UEWWOWWNXRZVVJVWQVXPVVNJWWEWUIXEVVJWVKWVLWWPWWQWTWVTWWFFGVVOUVHYAXCVRZVSY
      DYJUVPYEWUSVVLVVKVFUSZKYFUSZVDVFUSZWDUTZWUCWXAVXJWCUSZVEUSZVXMUTZWVIVVJWX
      BVVMWURVVJWWTWDUTZWXBVVJWWTEVVKVFUSZKYFUSZYGVBZWDVVJWWTVVKWXIKWCUSZVEUSZV
      VKVFUSZKYFUSWXJKYFUSWXIVVJWWSWXLKYFVVJVVLWXKVVKVFVVJBVVKVYCEVYCVFUSZKYFUS
      ZYGVBZKWCUSZVEUSZWXKVLQVLQBVLWXQVHVCVVJUMVIZVYCVVKVCZWXQWXKVCVVJWXSVYCVVK
      WXPWXJVEWXSWLWXSWXOWXIKWCWXSWXNWXHYGWXSWXMWXGKYFVYCVVKEVFUVQYHYIYHWNXDVYQ
      VVJVVKWXJVYQVVJWXIKVVJWXIVVJWXHVVJWXGKVVJEVVKAVWKVVIVWOVSZVYQXOZWWIYKZUWB
      ZXJZWVQUVRZXQZXGZYHYHVVJWXLWXJKYFVVJVVKWXJVVJVVKVYQYLZVVJWXJWYEYLZUVSYHVV
      JWXIKVVJWXIWYDYLZVVJKWVQYLZVVJKWWIUWCZUVTYMZWYCYNZWWTUWAXBXFVVTWXEWURVVTW
      XDEVXMVVTWXDWUCWXAKWCUSZVEUSZVVLEWXDWYPVCVVTWXCWYOWUCVEVXJKWXAWCVYIWMWMVI
      VVTVVLWXKVVKWWTYGVBZKWCUSZVEUSZWYPVVJVVLWXKVCVVMWYGVSVVMWXKWYSVCVVJVVMWXJ
      WYRVVKVEVVMWXIWYQKWCVVMWXHWWTYGVVMWXGWWSKYFVVMWWSWXGVVLEVVKVFYOYPYHYIYHXH
      XDVVJWYSWYPVCVVMVVJWYPWUCWWTKWCUSZKVFUSZVEUSVVKWYTVEUSWYSVVJWYOXUAWUCVEVV
      JWYOWYTVDKWCUSZVFUSZXUAVVJWWTVDKVVJWWTWXIYQWYMWYJYNZVVJUWDWYKUWEAXUCXUAVC
      VVIAXUBKWYTVFAKAKWVPYLUWFXHVSVKXHVVJVVKKWYTWYHWYKVVJWWTKXUDWYKUWGUWHVVJWY
      TWYRVVKVEVVJWWTWYQKWCVVJWYQWWTVVJWXFWYQWWTVCWYNWWTUWIXBYPYHXHUWJVSUWJWUBY
      MAEVXMUTZVVIVVMAESIVBZVXMAXUFEAUQIVBDVCZXUFEVCZAXUGXUHVAZVWTIVBVXBIVBVOVP
      MUQSURUSWAZAIVLUQSWGUSZVTUSUTZXUIXUJVAZAISHVBUTZXULXUMVAZUGASWBUTXUNXUOWT
      UFDEHIMPSUCUDXAXBXCWRWQWRYPAIXUKUWKZSXUKUTZXUFVXMUTAXUKDEWFUSZIVNXUPADEHI
      MPSUCUDUFUGXSXUKXURIUWLXBASUQUWMVBZUTXUQASUXDXUSASUFUWNUWOUWPUQSUWQXBXUKS
      IUWRYAYNZXFYNVSWVHWXEOWXAWDVXIWXAVCZWVGWXDVXMXVAVXKWXCWUCVEVXIWXAVXJWCYOX
      HWOUWSYAVXOWVICWUCVXPVWBWUCVCZVXNWVHOWDXVBVXLWVGVXMVWBWUCVXKVEYOWOWPUWTUX
      AWUCVXQVXHUXBXBMVWQVXRWUCJUXCYAWUTWUPMVWQWUCVXAUXEZUXFUXGVVJWURWUQXMVVMWV
      JWUPMVWQWVJVWTVWQUTZVAZWUPVVKVXAVOVPZVXAVVOVOVPZVAZWVJWUPXVHXVDWVJWUPVAZX
      VFXVGXVIVVKWUCVXAVOVVJVVKWUCVOVPWURWUPWWJXFWUPWUTWVJWUTWUPXVCUXHXDZYRXVIW
      UCVXAVVOVOXVJWVJWWLWUPWWMVSUXIYSYEXVEWUPVAVVJXVDXVHXMVVJWURXVDWUPUXJWVJXV
      DWUPYTVVJXVDVAZXVHVWTWDUTZXVDXVLVVJXVHVWTUQTUXKUXLXVKXVHVAVVGWDUTZVVGVWTV
      OVPZVWTVVNVOVPZXVLXMVVIXVMAXVDXVHWULUXMXVKXVFXVNXVGXVKXVFVAZXVNXVFXVKXVFV
      JXVPVXSVYOXVDXVNXVFWTVVJVXSXVDXVFWUNXFVVJVYOXVDXVFVYPXFVVJXVDXVFYTVWQVXRV
      VGVWTVOVOJXKXLYCUXNXVKXVGXVOXVFXVKXVGVAZXVOXVGXVKXVGVJXVQVXSXVDWUHXVOXVGW
      TVVJVXSXVDXVGWUNXFVVJXVDXVGYTVVJWUHXVDXVGWUIXFVWQVXRVWTVVNVOVOJXKXLYCUXOV
      VGVWTUXPWKUXQZYAUXQUXRYEUXSVVTVVKWIUTWVNWUDWUEWUFWUGXRWTVVTVVKWUAWJVVTVVK
      KWUAAWVOVVIVVMWVPXFXQVVKWUCVVOUXTYAUYCUYAYHVVTDVVSVVTDVYSYLVVJVVSYQUTVVMV
      VJVVOVVKVVJVVOWUJYLZWYHUYBVSUVSYMVVJVVMXMZVAZVVRVVPVVLVFUSZVVOEVVOVFUSZKY
      FUSZYGVBZKWCUSZVEUSZWXKVFUSZVVSXWAVVQVVLVVPVFXWACVVLVWDVVLVWERVWEVWFXWAUN
      VIXVTVWGVWDVVLVCVVJXVTVWGVAZVWDVWBVVLXWIVWCDVWBXWIVWBEXWIVVLVWBEVWGVVLVWB
      VCZXVTVWGXWJVWBVVLUXEUYDXDXVTVVLEUYEVWGVVLEUYFZVSUYGUYMUYHXVTVWGVJVKVMVVJ
      VWIXVTVYRVSZXWLXGXHVVJXWBXWHVCXVTVVJVVPXWGVVLWXKVFVVJBVVOWXQXWGVLQVLWXRVY
      CVVOVCZWXQXWGVCVVJXWMVYCVVOWXPXWFVEXWMWLXWMWXOXWEKWCXWMWXNXWDYGXWMWXMXWCK
      YFVYCVVOEVFUVQYHYIYHWNXDWUJVVJVVOXWFWUJVVJXWEKVVJXWEVVJXWDVVJXWCKVVJEVVOW
      XTWUJXOZWWIYKZUWBZXJZWVQUVRXQXGWYGWNVSXWAXWHVVOWXJVEUSZWXKVFUSVVSXWAXWGXW
      RWXKVFXWAXWFWXJVVOVEXWAXWEWXIKWCXWAWXIXWEXWAWXIXWEVCZXWEWXHXIVPZWXHXWEVDV
      EUSZVOVPZVAZXWAXWTXXBVVJXWTXVTVVJXWEXWDWXHXWQXWOWYBVVJXWDVLUTZXWEXWDXIVPX
      WOXWDUYIXBVVJXWCWXGKXWNWYAWWIVVJVVKVVOEVYQWUJWXTVVJVVKVVOVYQWUJWUOYJUYJUY
      KUYLVSXWAXXBXVHMVWQWEZXWAXXBXMZXXAWXHXIVPZXXEVVJXXFXXGXVTVVJXXFVAZXXAWXHX
      XHXWEVDVVJXWEVLUTZXXFXWQVSXXHVUBXQVVJWXHVLUTZXXFWYBVSVVJXXFVJUYNYEXWAXXGV
      AZUBVXAVCZMVWQWEZXXEXXKWVBUBVXRUTZXXMAWVBVVIXVTXXGWVDXTXXKUBVXQUTZXXNXXKU
      BVXPUTUBVXKVEUSZVXMUTZOWDWEZXXOXXKFGUBVVJWVKXVTXXGWVTXFVVJWVLXVTXXGWWFXFZ
      VVJUBVLUTXVTXXGVVJUBVVKEVVLVFUSZVEUSZVLUOVVJVVKXXTVYQVVJEVVLWXTVVJVVLWXKV
      LWYGWYFYNZXOZXQZXPXFZVVJFUBXIVPXVTXXGVVJFXYAUBXIVVJFVVKXYAWVTVYQXYDWWGVVJ
      UQXXTXIVPZVVKXYAXIVPVVJXYFVVLEXIVPZVVJVVLVLUTZDVVLVOVPZXYGVVJVWIXYHXYIXYG
      XRZVYRVVJDWIUTZVWKVWIXYJWTAXYKVVIADVWNWJVSWXTDEVVLUXTYAXCZVRZVVJEVVLWXTXY
      BUYOYCVVJVVKXXTVYQXYCUYPXCUYLUOYBXFXXKUBGXYEXXSXXKUBVVOGXYEVVJWUEXVTXXGWU
      JXFZXXSXXKUBVVOVOVPZXWCEUBVFUSZVOVPZXXKXYQXWDXYPKYFUSZVOVPXXKXWDXXAXYRVVJ
      XXDXVTXXGXWOXFZXXKXXDXXIXXAVLUTXYSXWDUYQXWEUYRXNXXKXYPKXXKEUBVVJVWKXVTXXG
      WXTXFZXYEXOZVVJWWHXVTXXGWWIXFZYKVVJXWDXXAVOVPZXVTXXGVVJXXDYUCXWOXWDVUCXBX
      FXXKXXAWXHXXTKYFUSZVFUSZXYRXIXXKWXHYUDXXAVVJXXAWDUTXVTXXGVVJXWEXWPUYSXFVV
      JXXJXVTXXGWYBXFXWAXXGVJVVJYUDVLUTXVTXXGVVJXXTKXYCWWIYKXFVVJYUDVDVOVPXVTXX
      GVVJYUDKKYFUSVDVOVVJXXTKKXYCWVQWWIVVJXXTVXJKVOVVJDVVLEAVWJVVIVWNVSXYBWXTV
      VJXYHXYIXYGXYLVQUYTUEYBVUAVVJKWYKWYLVUDYRXFVVJYUEWDUTXVTXXGVVJYUEWWTWDVVJ
      YUEWXGXXTVFUSZKYFUSZWWTVVJYUGYUEVVJWXGXXTKVVJWXGWYAYLVVJXXTXYCYLZWYKWYLVU
      EYPZVVJYUFWWSKYFVVJEVVKVVLVVJEWXTYLZWYHVVJVVLXYBYLZVUFYHZVKWYNYNXFVUGVVJY
      UEXYRVCXVTXXGVVJYUGWWTYUEXYRYULYUIVVJXYPWWSKYFVVJXYPEXYAVFUSEEWWSVFUSZVFU
      SWWSVVJUBXYAEVFUBXYAVCVVJUOVIZXHVVJXYAYUMEVFVVJXYAEVVKVVLVFUSVEUSYUMVVJVV
      KEVVLWYHYUJYUKVUHVVJEVVLVVKYUJYUKWYHVUIVUJXHVVJEWWSYUJVVJVVLVVKYUKWYHUYBZ
      VUKYMYHVULXFYRYDXXKXWCXYPKVVJXWCVLUTXVTXXGXWNXFYUAYUBVUMYCXXKUBVVOEXYEXYN
      XYTVUNYCZVVJWWNXVTXXGWWRXFYDYJUVPVVJXXRXVTXXGVVJWXFUBWWTVXJWCUSZVEUSZVXMU
      TZXXRWYNVVJYUREVXMVVJYURXYAWWSVEUSXXTVVKVEUSZWWSVEUSZEVVJUBXYAYUQWWSVEYUN
      VVJYUQWYTWWSVVJVXJKWWTWCVXJKVCVVJVYIVIXHVVJWWSKYUOWYKWYLVUOVKWNVVJXYAYUTW
      WSVEVVJVVKXXTWYHYUHVUPYHVVJYVAXXTVVLVEUSEVVJXXTVVKVVLYUHWYHYUKUWHVVJEVVLY
      UJYUKVUQVKYMAXUEVVIXUTVSYNXXQYUSOWWTWDVXIWWTVCZXXPYURVXMYVBVXKYUQUBVEVXIW
      WTVXJWCYOXHWOUWSYAXFVXOXXRCUBVXPVWBUBVCZVXNXXQOWDYVCVXLXXPVXMVWBUBVXKVEYO
      WOWPUWTUXAUBVXQVXHUXBXBMVWQVXRUBJUXCYAXXKXXLXVHMVWQXXKXXLXVHXXKXXLVAZXVFX
      VGYVDVVKUBVXAVOXWAVVKUBVOVPXXGXXLXWAVVKXYAUBVOXWAVVKXXTVVJVYTXVTVYQVSXWAX
      XTVVJXXTVLUTXVTXYCVSXWAVVLEVOVPUQXXTVOVPXWAVVLEVVJXYHXVTXYBVSZAVWKVVIXVTV
      WOXFZVVJXYGXVTXYMVSXVTEVVLUYEVVJXVTVVLEXWKVVAXDVURXWAVVLEYVEYVFUVJXCUVMUV
      KUOYBXFXXKXXLVJZYRYVDUBVXAVVOVOYVGXXKXYOXXLYUPVSUXIYSVUSVUTVVBVVCVVJXXEXM
      XVTXXFVVJXVHMVWQXVRUXRXFUXSYSXWAXXJXWEWDUTZXWSXXCWTVVJXXJXVTWYBVSVVJYVHXV
      TXWPVSWXHXWEVVDYAYCYPYHXHYHXWAVVOVVKWXJVVJVVOYQUTXVTXVSVSVVJVVKYQUTXVTWYH
      VSVVJWXJYQUTXVTWYIVSVVEVKYMVVF $.
  $}

  ${
    $d n s $.  $d ph s $.
    fourierdlem66.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem66.x $e |- ( ph -> X e. RR ) $.
    fourierdlem66.y $e |- ( ph -> Y e. RR ) $.
    fourierdlem66.w $e |- ( ph -> W e. RR ) $.
    fourierdlem66.d $e |- D = ( n e. NN |-> ( s e. RR |-> if ( ( s mod ( 2 x.
       _pi ) ) = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n +
       ( 1 / 2 ) ) x. s ) ) / ( ( 2 x. _pi ) x. ( sin ` ( s / 2 ) ) ) ) ) ) )
       $.
    fourierdlem66.h $e |- H = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 0 , (
       ( ( F ` ( X + s ) ) - if ( 0 < s , Y , W ) ) / s ) ) ) $.
    fourierdlem66.k $e |- K = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 1 , (
       s / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) ) $.
    fourierdlem66.u $e |- U = ( s e. ( -u _pi [,] _pi ) |-> ( ( H ` s ) x. ( K
       ` s ) ) ) $.
    fourierdlem66.s $e |- S = ( s e. ( -u _pi [,] _pi ) |-> ( sin ` ( ( n + ( 1
       / 2 ) ) x. s ) ) ) $.
    fourierdlem66.g $e |- G = ( s e. ( -u _pi [,] _pi ) |-> ( ( U ` s ) x. ( S
       ` s ) ) ) $.
    fourierdlem66.a $e |- A = ( ( -u _pi [,] _pi ) \ { 0 } ) $.
    $( Value of the ` G ` function when the argument is not zero.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem66 $p |- ( ( ( ph /\ n e. NN ) /\ s e. A ) -> ( G ` s ) = ( _pi
       x. ( ( ( F ` ( X + s ) ) - if ( 0 < s , Y , W ) ) x. ( ( D ` n ) ` s ) )
       ) ) $=
      ( cv cn wcel wa cfv cmul co caddc cc0 clt wbr cif cmin cdiv csin cpi cneg
      c2 c1 cicc cr wceq wss csn cdif eqimssi difss sstri a1i sselda adantlr wf
      adantr fourierdlem55 ffvelrnd nnre fourierdlem5 ad2antlr remulcld syl2anc
      fvmpt2 fourierdlem9 fourierdlem43 0red pire renegcli iccssre mp2an sselid
      sseli adantl readdcld ifcld resubcld simpr eldifbd sylnib neqned redivcld
      syl velsn iffalsed eqtrd 1red rehalfcld resincld 2cnd recnd fourierdlem44
      2re wne 2ne0 mulne0d oveq12d mulcld dmdcan2d 3eqtrd cc div32d halfre picn
      rehalfcl resincl eldifsni eleq2s 0re pipos gtneii divdiv1d mulassd oveq2d
      3syl mulcomd sylan2 adantll eqtr4d cmo dirkerval2 wn fourierdlem24 neneqd
      divcan2d eqtr2d 3eqtr3d dirkerre mul12d ) AFUFZUGUHZUIZNUFZBUHZUIZUUOHUJZ
      UUOEUJZUUODUJZUKULZLUUOUMULZGUJZUNUUOUOUPZMKUQZURULZVCUUOVCUSULZUTUJZUKUL
      ZUSULZUULVDVCUSULZUMULZUUOUKULZUTUJZUKULZVAUVFUUOUULCUJUJZUKULUKULZUUQUUO
      VAVBZVAVEULZUHZUVAVFUHUURUVAVGAUUPUVTUUMABUVSUUOBUVSVHABUVSUNVIZVJZUVSBUW
      BUEVKZUVSUWAVLVMZVNVOZVPZUUQUUSUUTUUQUVSVFUUOEUUNUVSVFEVQUUPUUNEGIJKLMNAV
      FVFGVQZUUMOVRALVFUHZUUMPVRAMVFUHUUMQVRAKVFUHUUMRVRTUAUBVSVRUWFVTUUQUVSVFU
      UODUUMUVSVFDVQZAUUPUUMUULVFUHZUWIUULWAZNDUULUCWBXEWCUWFVTWDNUVSUVAVFHUDWF
      WEUUQUUSUVJUUTUVNUKAUUPUUSUVJVGUUMAUUPUIZUUSUUOIUJZUUOJUJZUKULZUVFUUOUSUL
      ZUUOUVIUSULZUKULUVJUWLUVTUWOVFUHUUSUWOVGUWEUWLUWMUWNUWLUVSVFUUOIAUVSVFIVQ
      UUPAGIKLMNOPQRTWGVRUWEVTUWLUVSVFUUOJUVSVFJVQUWLJNUAWHVNUWEVTWDNUVSUWOVFEU
      BWFWEUWLUWMUWPUWNUWQUKUWLUWMUUOUNVGZUNUWPUQZUWPUWLUVTUWSVFUHUWMUWSVGUWEUW
      LUWRUNUWPVFUWLWIUWLUVFUUOUWLUVCUVEUWLVFVFUVBGAUWGUUPOVRUWLLUUOAUWHUUPPVRU
      UPUUOVFUHZAUUPUVSVFUUOUVRVFUHVAVFUHUVSVFVHVAWJWKWJUVRVAWLWMBUVSUUOUWDWOZW
      NZWPZWQVTAUVEVFUHUUPAUVDMKVFQRWRVRWSZUXCUWLUUOUNUWLUUOUWAUHUWRUWLUUOUVSUW
      AUWLBUWBUUOUWCAUUPWTWNXANUNXFXBZXCZXDWRNUVSUWSVFITWFWEUWLUWRUNUWPUXEXGXHU
      WLUWNUWRVDUWQUQZUWQUWLUVTUXGVFUHUWNUXGVGUWEUWLUWRVDUWQVFUWLXIUWLUUOUVIUXC
      UWLVCUVHVCVFUHZUWLXOVNUWLUVGUWLUUOUXCXJXKZWDUWLVCUVHUWLXLZUWLUVHUXIXMZVCU
      NXPZUWLXQVNUWLUVTUUOUNXPZUVHUNXPZUWEUXFUUOXNZWEXRZXDWRNUVSUXGVFJUAWFWEUWL
      UWRVDUWQUXEXGXHXSUWLUVFUUOUVIUWLUVFUXDXMZUWLUUOUXCXMUWLVCUVHUXJUXKXTZUXFU
      XPYAYBVPUUQUVTUVNVFUHUUTUVNVGUWFUUQUVMUUQUVLUUOUUQUULUVKUUMUWJAUUPUWKWCUU
      QVDUUQXIXJWQUUPUWTUUNUXBWPWDXKZNUVSUVNVFDUCWFWEXSUUQUVOUVFUVNUVIUSULZUKUL
      ZUVFVAUVPUKULZUKULZUVQUUQUVFUVIUVNAUUPUVFYCUHUUMUXQVPZAUUPUVIYCUHUUMUXRVP
      UUQUVNUXSXMAUUPUVIUNXPZUUMUXPVPYDUUMUUPUYAUYCVGAUUMUUPUIZUXTUYBUVFUKUYFVA
      UXTVAUSULZUKULVAUVNVCVAUKULZUVHUKULZUSULZUKULUXTUYBUYFUYGUYJVAUKUYFUYGUVN
      UVIVAUKULZUSULUVNVCUVHVAUKULZUKULZUSULUYJUYFUVNUVIVAUYFUVNUYFUVMUYFUVLUUO
      UYFUULUVKUUMUWJUUPUWKVRUVKVFUHUYFYEVNWQUUPUWTUUMUXBWPZWDXKZXMUYFUVIUYFVCU
      VHUXHUYFXOVNUYFUVGUYFUUOUYNXJXKWDZXMVAYCUHZUYFYFVNZUUPUYEUUMUUPVCUVHUUPXL
      UUPUVHUUPUWTUVGVFUHUVHVFUHUXBUUOYGUVGYHYQXMZUXLUUPXQVNUUPUVTUXMUXNUXAUXMU
      UOUWBBUUOUVSUNYIUEYJUXOWEXRWPZVAUNXPUYFUNVAYKYLYMVNZYNUYFUYKUYMUVNUSUYFVC
      UVHVAUYFXLZUUPUVHYCUHUUMUYSWPZUYRYOYPUYFUYMUYIUVNUSUYFUYMVCVAUVHUKULZUKUL
      UYIUYFUYLVUDVCUKUYFUVHVAVUCUYRYRYPUYFVCVAUVHVUBUYRVUCYOUUAYPYBYPUYFUXTVAU
      YFUXTUYFUVNUVIUYOUYPUYTXDXMUYRVUAUUGUYFUYJUVPVAUKUYFUVPUUOUYHUUBULZUNVGZV
      CUULUKULVDUMULUYHUSULZUYJUQZUYJUUPUUMUWTUVPVUHVGUXBCUUOFUULNSUUCYSUYFVUFV
      UGUYJUUPVUFUUDUUMUUPVUEUNVUEUNXPUUOUWBBUUOUUEUEYJUUFWPXGUUHYPUUIYPYTUUQUV
      FVAUVPUYDUYQUUQYFVNUUMUUPUVPYCUHAUYFUVPUUPUUMUWTUVPVFUHUXBCUUOFUULNSUUJYS
      XMYTUUKYBYB $.
  $}

  ${
    $d N s $.  $d ph s $.
    fourierdlem67.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem67.x $e |- ( ph -> X e. RR ) $.
    fourierdlem67.y $e |- ( ph -> Y e. RR ) $.
    fourierdlem67.w $e |- ( ph -> W e. RR ) $.
    fourierdlem67.h $e |- H = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 0 , (
       ( ( F ` ( X + s ) ) - if ( 0 < s , Y , W ) ) / s ) ) ) $.
    fourierdlem67.k $e |- K = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 1 , (
       s / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) ) $.
    fourierdlem67.u $e |- U = ( s e. ( -u _pi [,] _pi ) |-> ( ( H ` s ) x. ( K
       ` s ) ) ) $.
    fourierdlem67.n $e |- ( ph -> N e. RR ) $.
    fourierdlem67.s $e |- S = ( s e. ( -u _pi [,] _pi ) |-> ( sin ` ( ( N + ( 1
       / 2 ) ) x. s ) ) ) $.
    fourierdlem67.g $e |- G = ( s e. ( -u _pi [,] _pi ) |-> ( ( U ` s ) x. ( S
       ` s ) ) ) $.
    $( ` G ` is a function.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem67 $p |- ( ph -> G : ( -u _pi [,] _pi ) --> RR ) $=
      ( cpi cneg cicc co cv cfv cmul cr wa fourierdlem55 ffvelrnda fourierdlem5
      wcel wf syl remulcld fmptd ) ALUCUDUCUEUFZLUGZCUHZVABUHZUIUFUJEAVAUTUOUKV
      BVCAUTUJVACACDFGIJKLMNOPQRSULUMAUTUJVABAHUJUOUTUJBUPTLBHUAUNUQUMURUBUS $.
  $}

  ${
    $d A b c s $.  $d A c s t $.  $d B b c s $.  $d B c s t $.  $d C b c s $.
    $d D b s $.  $d D s t $.  $d E b s $.  $d E s t $.  $d F b c s $.
    $d F c s t $.  $d X b c s $.  $d X c s t $.  $d b c ph s $.  $d ph s t $.
    fourierdlem68.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem68.xre $e |- ( ph -> X e. RR ) $.
    fourierdlem68.a $e |- ( ph -> A e. RR ) $.
    fourierdlem68.b $e |- ( ph -> B e. RR ) $.
    fourierdlem68.altb $e |- ( ph -> A < B ) $.
    fourierdlem68.ab $e |- ( ph -> ( A [,] B ) C_ ( -u _pi [,] _pi ) ) $.
    fourierdlem68.n0 $e |- ( ph -> -. 0 e. ( A [,] B ) ) $.
    fourierdlem68.fdv $e |- ( ph -> ( RR _D ( F |` ( ( X + A ) (,) ( X + B ) )
       ) ) : ( ( X + A ) (,) ( X + B ) ) --> RR ) $.
    fourierdlem68.d $e |- ( ph -> D e. RR ) $.
    fourierdlem68.fbd $e |- ( ( ph /\ t e. ( ( X + A ) (,) ( X + B ) ) ) -> (
       abs ` ( F ` t ) ) <_ D ) $.
    fourierdlem68.e $e |- ( ph -> E e. RR ) $.
    fourierdlem68.fdvbd $e |- ( ( ph /\ t e. ( ( X + A ) (,) ( X + B ) ) ) -> (
       abs ` ( ( RR _D ( F |` ( ( X + A ) (,) ( X + B ) ) ) ) ` t ) ) <_ E ) $.
    fourierdlem68.c $e |- ( ph -> C e. RR ) $.
    fourierdlem68.o $e |- O = ( s e. ( A (,) B ) |-> ( ( ( F ` ( X + s ) ) - C
       ) / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) $.
    $( The derivative of ` O ` is bounded on the given interval.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem68 $p |- ( ph -> ( dom ( RR _D O ) = ( A (,) B ) /\ E. b e. RR
       A. s e. dom ( RR _D O ) ( abs ` ( ( RR _D O ) ` s ) ) <_ b ) ) $=
      ( vc cr cdv co cdm cioo wceq cv cfv cabs cle wral wrex wf caddc cres cdiv
      wbr c2 csin cmul ccos cmin cexp cmpt wa cicc cpi cneg ioossicc sstrid cc0
      wcel sseli nsyl fourierdlem57 simpli simpld fdmd crp eqid ltled csn ccncf
      wi cdif wne 2re a1i iccssred sselda rehalfcld resincld remulcld 2cnd 2ne0
      recnd adantl simpl syl2anc eldifsn sylanbrc fmptd cc wss ax-resscn mpbird
      wb cncffvrn reelprrecn adantr readdcld ffvelrnd 3ad2antl1 cxr clt syl3anc
      c1 rexrd ltadd2dd 3ad2ant1 1red abscld fveq2 fveq2d breq1d imbi12d vtoclg
      jca sylc 0le2 syl oveq2d nfcv biimpi eqeltrd adantll wn ad2antrr pm2.65da
      eqcom neqned fourierdlem44 mulne0d difss sstri sstrdi ssid idcncfg difssd
      constcncfg sincn divcncf cncfmpt1f mulcncf w3a cpr elioore resubcld simpr
      cncficcgt0 ioogtlb iooltub eliood fourierdlem28 0red ccnfld ctopn crn ctg
      crest iooretop tgioo2 eleqtri dvmptconst dvmptsub subid1d mpteq2dva eqtrd
      halfcld sincld mulcld remulcli eleq1 anbi2d absmuld absid oveq1i abssinbd
      1re mp2an lemul2ad eqbrtrid abscosbd 3syl abs2dif2d leadd1dd letrd simpri
      eqbrtrd coscld simp2 oveq1 breq2d cbvralvw nfv nfan simplr sselid adantlr
      rspa ex ralrimi sylan2b 3adant2 dvdivbd rexlimdv3a mpd nfmpt1 nfcxfr nfov
      nfra1 nfdm raleqf rexbidv fveq1d rexralbidv ) AUHIUIUJZUKZCDULUJZUMZKUNZU
      YNUOZUPUOZLUNZUQVDZKUYOURLUHUSZAUYPUHUYNAUYPUHUYNUTZUYNKUYPJUYRVAUJZUHHJC
      VAUJZJDVAUJZULUJZVBUIUJZUOZVEUYRVEVCUJZVFUOZVGUJZVGUJVUKVHUOZVUEHUOZEVIUJ
      ZVGUJVIUJVUMVEVJUJVCUJVKUMZAVUDVUQVLWKZUHKUYPVUMVKUIUJKUYPVUNVKUMZACDEHIJ
      KMNOPTAUYPCDVMUJZVNVOVNVMUJZCDVPZRVQAVRVUTVSZVRUYPVSSUYPVUTVRVVBVTWAUEUFW
      BZWCWDWEZAVUCUYRUHKUYPVUPVUMVCUJZVKZUIUJZUOZUPUOZVUAUQVDZKUYOURZLUHUSZAVV
      MVVKKUYPURZLUHUSZAUGUNZVEBUNZVEVCUJZVFUOZVGUJZUPUOZUQVDZBVUTURZUGWFUSVVOA
      BUGCDVVTBVUTVVTVKZVWDWGZOPACDOPQWHAVWDVUTUHVRWIZWLZWJUJVSZVUTVWGVWDUTZABV
      UTVVTVWGVWDAVVQVUTVSZVLZVVTUHVSVVTVRWMVVTVWGVSVWKVEVVSVEUHVSZVWKWNWOVWKVV
      RVWKVVQAVUTUHVVQACDOPWPZWQWRWSZWTVWKVEVVSVWKXAZVWKVVSVWNXCVEVRWMZVWKXBWOZ
      VWKVVQVVAVSVVQVRWMVVSVRWMAVUTVVAVVQRWQVWKVVQVRVWKVVQVRUMZVVCVWJVWRVVCAVWJ
      VWRVLVRVVQVUTVWRVRVVQUMZVWJVWRVWSVVQVRUUGUUAXDVWJVWRXEUUBUUCAVVCUUDVWJVWR
      SUUEUUFUUHVVQUUIXFUUJVVTUHVRXGXHVWEXIAVWGXJXKZVWDVUTXJWJUJZVSVWHVWIXNVWTA
      VWGUHXJUHVWFUUKXLUULWOABVEVVSVUTABVUTVEXJAVUTUHXJVWMXLUUMZAXAXJXJXKAXJUUN
      WOZUUQZABVVRVFVUTVFXJXJWJUJVSAUURWOABVVQVEVUTABVUTXJVXBVXCUUOABVUTVEVKZVU
      TXJVWFWLZWJUJVSZVUTVXFVXEUTZABVUTVEVXFVXEVWKVEXJVSVWPVEVXFVSVWOVWQVEXJVRX
      GXHVXEWGXIAVXFXJXKVXEVXAVSVXGVXHXNAXJVWFUUPVXDVUTXJVXFVXEXOXFXMUUSUUTUVAV
      UTXJVWGVWDXOXFXMUVGAVWCVVOUGWFAVVPWFVSZVWCUVBZKVUPVUMVUJVUNFEUPUOZVAUJZVE
      YDVGUJZUHYDGVVPVVHUYPLUHUHXJUVCVSZVXJXPWOAVXIUYRUYPVSZVUPXJVSVWCAVXOVLZVU
      PVXPVUOEVXPUHUHVUEHAUHUHHUTVXOMXQVXPJUYRAJUHVSVXONXQZVXOUYRUHVSAUYRCDUVDZ
      XDZXRZXSZAEUHVSVXOUEXQZUVEXCZXTAVXIUHKUYPVUPVKUIUJZKUYPVUJVKZUMVWCAVYDKUY
      PVUJVRVIUJZVKVYEAKVUOVUJEVRUHUHUHUYPVXNAXPWOZVXPVUOVYAXCZVXPVUHUHVUEVUIAV
      UHUHVUIUTVXOTXQVXPVUFVUGVUEAVUFYAVSVXOAVUFAJCNOXRYEXQAVUGYAVSVXOAVUGAJDNP
      XRYEXQVXTVXPCUYRJACUHVSVXOOXQZVXSVXQVXPCYAVSZDYAVSZVXOCUYRYBVDVXPCVYIYEZA
      VYKVXOADPYEXQZAVXOUVFZCDUYRUVHYCYFVXPUYRDJVXSADUHVSVXOPXQVXQVXPVYJVYKVXOU
      YRDYBVDVYLVYMVYNCDUYRUVIYCYFUVJZXSZACDVUIHJKMNOPVUIWGTUVKVXPEVYBXCZVXPUVL
      AKUYPEUHVYGUYPUVMUVNUOZUHUVQUJZVSAUYPULUVOUVPUOVYSCDUVRVYRVYRWGUVSUVTWOAE
      UEXCZUWAUWBAKUYPVYFVUJVXPVUJVXPVUJVYPXCZUWCUWDUWEYGAVXIVXOVUJXJVSVWCWUAXT
      VXOVUMXJVSVXJVXOVEVULVXOXAZVXOVUKVXOUYRVXOUYRVXRXCUWFZUWGZUWHXDAVXIGUHVSV
      WCUCYGVXMUHVSVXJVEYDWNUWPUWIWOVXJYHAVXIVXLUHVSVWCAFVXKUAAEVYTYIXRYGAVXIVX
      OVUJUPUOZGUQVDZVWCVXPVUEUHVSAVUEVUHVSZVLZWUFVXTVXPAWUGAVXOXEVYOYOZAVVQVUH
      VSZVLZVVQVUIUOZUPUOZGUQVDZWKWUHWUFWKBVUEUHVVQVUEUMZWUKWUHWUNWUFWUOWUJWUGA
      VVQVUEVUHUWJUWKZWUOWUMWUEGUQWUOWULVUJUPVVQVUEVUIYJYKYLYMUDYNYPXTVXOVUMUPU
      OZVXMUQVDVXJVXOWUQVEUPUOZVULUPUOZVGUJZVXMUQVXOVEVULWUBWUDUWLVXOWUTVEWUSVG
      UJVXMUQWURVEWUSVGVWLVRVEUQVDZWURVEUMWNYQVEUWMUWQUWNVXOWUSYDVEVXOVULWUDYIV
      XOYHVWLVXOWNWOWVAVXOYQWOVXOVUKUHVSZWUSYDUQVDVXOUYRVXRWRZVUKUWOYRUWRUWSUXF
      XDAVXIVXOVUNUPUOYDUQVDZVWCVXPVXOWVBWVDVYNWVCVUKUWTUXAXTAVXIVXOVUPUPUOZVXL
      UQVDVWCVXPWVEVUOUPUOZVXKVAUJVXLVXPVUPVYCYIVXPWVFVXKVXPVUOVYHYIZVXPEVYQYIZ
      XRVXPFVXKAFUHVSVXOUAXQZWVHXRVXPVUOEVYHVYQUXBVXPWVFFVXKWVGWVIWVHVXPWUGWUHW
      VFFUQVDZVYOWUIWUKVVQHUOZUPUOZFUQVDZWKWUHWVJWKBVUEVUHWUOWUKWUHWVMWVJWUPWUO
      WVLWVFFUQWUOWVKVUOUPVVQVUEHYJYKYLYMUBYNYPUXCUXDXTVUSVXJVURVUSVVDUXEWOVXOV
      UNXJVSVXJVXOVUKWUCUXGXDAVXIVWCUXHAVWCVVPWUQUQVDZKUYPURZVXIVWCAWVNKVUTURZW
      VOVWBWVNBKVUTVVQUYRUMZVWAWUQVVPUQWVQVVTVUMUPWVQVVSVULVEVGWVQVVRVUKVFVVQUY
      RVEVCUXIYKYSYKUXJUXKAWVPVLZWVNKUYPAWVPKAKUXLWVNKVUTUYHUXMWVRVXOWVNWVRVXOV
      LWVPUYRVUTVSZWVNAWVPVXOUXNAVXOWVSWVPVXPUYPVUTUYRVVBVYNUXOUXPWVNKVUTUXQXFU
      XRUXSUXTUYAVVHWGUYBUYCUYDAVVLVVNLUHAUYQVVLVVNXNVVEVVKKUYOUYPKUYNKUHIUIKUH
      YTKUIYTKIVVGUFKUYPVVFUYEUYFUYGUYIKUYPYTUYJYRUYKXMAVUBVVKLKUHUYOAUYTVVJVUA
      UQAUYSVVIUPAUYRUYNVVHAIVVGUHUIIVVGUMAUFWOYSUYLYKYLUYMXMYO $.
  $}

  ${
    $d A i m p $.  $d A i x $.  $d B i m p $.  $d B i x $.  $d F i x $.
    $d M i m p $.  $d M i x $.  $d Q i p $.  $d Q i x $.  $d i ph x $.
    fourierdlem69.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem69.m $e |- ( ph -> M e. NN ) $.
    fourierdlem69.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem69.f $e |- ( ph -> F : ( A [,] B ) --> CC ) $.
    fourierdlem69.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem69.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem69.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    $( A piecewise continuous function is integrable.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    fourierdlem69 $p |- ( ph -> F e. L^1 ) $=
      ( co vx cc0 cfv cicc cv cmpt cibl cc wf wceq wa c1 caddc clt cfzo wral cr
      wbr cfz cmap wcel cn wb fourierdlem2 syl mpbid simprd simpld feq2d mpbird
      oveq12d feqmptd nfv 0zd nnuz 1e0p1 fveq2i eqtri eleqtrdi elmapi ffvelrnda
      cuz r19.21bi adantr simpr eleqtrd ffvelrnd elfzofz adantl cioo cres ccncf
      ioossicc cxr fourierdlem11 simp1d rexrd simp2d fourierdlem15 fourierdlem8
      fzofzp1 sstrid feqresmpt climc oveq1d iblcncfioo sselda ibliooicc eqeltrd
      eqeltrrd iblspltprt ) AIUAUBEUCZKEUCZUDTZUAUEZIUCZUFUGAUAXNUHIAXNUHIUIBCU
      DTZUHIUIZPAXNXQUHIAXLBXMCUDAXLBUJZXMCUJZAXSXTUKZGUEZEUCZYBULUMTZEUCZUNURZ
      GUBKUOTZUPZAEUQUBKUSTZUTTVAZYAYHUKZAEKDUCVAZYJYKUKZOAKVBVAYLYMVCNBCDEGHKL
      MVDVEVFZVGZVHZVHZAXSXTYPVGZVKVIVJVLAUAXPEGUBKAUAVMAVNAKVBUBULUMTZWBUCZNVB
      ULWBUCYTVOULYSWBVPVQVRVSAYIUQYBEAYJYIUQEUIZAYJYKYNVHEUQYIVTVEZWAAYFGYGAYA
      YHYOVGWCAXOXNVAZUKZXQUHXOIAXRUUCPWDUUDXOXNXQAUUCWEUUDXLBXMCUDAXSUUCYQWDAX
      TUUCYRWDVKWFWGAYBYGVAZUKZUAYCYEXPUUFYIUQYBEAUUAUUEUUBWDZUUEYBYIVAAYBUBKWH
      WIWGZUUFYIUQYDEUUGUUEYDYIVAAUBKYBXAWIWGZUUFYCYEFUAYCYEWJTZXPUFZJUUHUUIUUF
      IUUJWKZUUKUUJUHWLTUUFUAXQUHUUJIAXRUUEPWDZUUFUUJYCYEUDTZXQYCYEWMUUFBCEYBKA
      BWNVAUUEABABUQVAZCUQVAZBCUNURZABCDEGHKLMNOWOZWPWQWDACWNVAUUEACAUUOUUPUUQU
      URWRWQWDAYIXQEUIUUEABCDEGHKLMNOWSWDAUUEWEWTZXBXCZQXJUUFJUULYEXDTUUKYEXDTS
      UUFUULUUKYEXDUUTXEWFUUFFUULYCXDTUUKYCXDTRUUFUULUUKYCXDUUTXEWFXFUUFXOUUNVA
      ZUKXQUHXOIUUFXRUVAUUMWDUUFUUNXQXOUUSXGWGXHXKXI $.
  $}

  ${
    $d A i t $.  $d A i v y $.  $d A t w $.  $d B i t $.  $d B i v y $.
    $d B t w $.  $d F b i s t $.  $d F b s t w $.  $d F s w x $.
    $d F s t w z $.  $d I b i s t $.  $d I b s t w $.  $d I s w x $.
    $d I s t w z $.  $d L b s $.  $d M b i s $.  $d M i j k $.  $d M i v y $.
    $d Q b i s t $.  $d Q i j k t $.  $d Q i v $.  $d Q b s t w $.
    $d Q s w x $.  $d Q s t w z $.  $d R b s $.  $d b i ph s t $.
    $d ph s t w z $.  $d ph s w x $.
    fourierdlem70.a $e |- ( ph -> A e. RR ) $.
    fourierdlem70.2 $e |- ( ph -> B e. RR ) $.
    fourierdlem70.aleb $e |- ( ph -> A <_ B ) $.
    fourierdlem70.f $e |- ( ph -> F : ( A [,] B ) --> RR ) $.
    fourierdlem70.m $e |- ( ph -> M e. NN ) $.
    fourierdlem70.q $e |- ( ph -> Q : ( 0 ... M ) --> RR ) $.
    fourierdlem70.q0 $e |- ( ph -> ( Q ` 0 ) = A ) $.
    fourierdlem70.qm $e |- ( ph -> ( Q ` M ) = B ) $.
    fourierdlem70.qlt $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( Q ` i ) < ( Q ` (
       i + 1 ) ) ) $.
    fourierdlem70.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem70.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem70.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    fourierdlem70.i $e |- I = ( i e. ( 0 ..^ M ) |-> ( ( Q ` i ) (,) ( Q ` ( i
       + 1 ) ) ) ) $.
    $( A piecewise continuous function is bounded.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    fourierdlem70 $p |- ( ph -> E. x e. RR A. s e. ( A [,] B ) ( abs ` ( F ` s
       ) ) <_ x ) $=
      ( vw vz vy vv vt vb vj vk crn cuni cpr cv cfv cabs cicc cfn wcel prfi a1i
      co wa cr cun simpr wceq cvv cc0 cfz ovex fex sylancl rnexg syl cfzo fzofi
      wf c1 caddc cioo rnmptfi ax-mp elexi uniex uniprg adantr eleqtrd clt wral
      cn wbr cmap crab cmpt eqid reex elmap sylibr ralrimiva jca32 fourierdlem2
      wb mpbird fourierdlem15 adantlr wn simpll adantll wrex elunirn mp1i mpbid
      jca wi w3a wss adantl cxr rexrd 3adant3 rexlimdv syl2anc pm2.61dan syldan
      mpd recnd abscld cle ad2antrr ffvelrnd cc breq1d rexbidv eqcomd ssfiunibd
      3exp frnd sselda elunnel1 wfun funmpt2 id dmmpti eleqtrdi fvmpt2 ioossicc
      cdm fourierdlem8 sstrid eqsstrd simp3 ffvelrnda fzfid rnffi eqeltrd simpl
      sseldd fimaxre3 wne neqne elprn1 sylan2 ax-resscn fssd wfn fnmpti fvelrnb
      biimpi cres elfzofz fzofzp1 cncfioobd fvres fveq2d ralbidva mpan2 raleqdv
      eqtrd 3adant1 eqimss wo csup oveq12d cbvrabv supeq1i fourierdlem25 eleq2d
      fveq2 rexbiia eqcomi rexeqi sylib ex orrd elun dfss3 sseqtrrd ) AUFUGLBEU
      NZIUNZUOZUPZLUQZHURZUSURZCDUTVEZUXEVAVBAUXBUXDVCVDAUXFUXEUOZVBZVFZUXGUXLU
      XGAUXKUXFUXIVBZUXGVGVBAUXKUXFUXBUXDVHZVBZUXMUXLUXFUXJUXNAUXKVIAUXJUXNVJZU
      XKAUXBVKVBZUXDVKVBUXPAEVKVBZUXQAVLKVMVEZVGEWAZUXSVKVBUXRRVLKVMVNZUXSVGVKE
      VOVPEVKVQVRUXCUXCVAVLKVSVEZVAVBZUXCVAVBZVLKVTZGIUYBGUQZEURZUYFWBWCVEZEURZ
      WDVEZUEWEZWFWGWHUXBUXDVKVKWIVPZWJWKAUXOVFZUXFUXBVBZUXMAUYNUXMUXOAUXBUXIUX
      FAUXSUXIEACDUHWNVLUIUQZURCVJUHUQZUYOURDVJVFUYFUYOURUYHUYOURWLWOGVLUYPVSVE
      WMVFUIVGVLUYPVMVEWPVEWQWRZEGUHKUIUYQWSZQAEKUYQURVBZEVGUXSWPVEVBZVLEURZCVJ
      ZKEURZDVJZVFZUYGUYIWLWOZGUYBWMZVFVFZAUYTVUEVUGAUXTUYTRVGUXSEWTUYAXAXBAVUB
      VUDSTXQAVUFGUYBUAXCXDAKWNVBZUYSVUHXFQCDUYQEGUHKUIUYRXEVRXGXHZUUAUUBZXIUYM
      UYNXJZVFAUXFUXDVBZUXMAUXOVULXKUXOVULVUMAUXFUXBUXDUUCXLAVUMVFZUXFUYFIURZVB
      ZGIUUKZXMZUXMVUNVUMVURAVUMVIIUUDZVUMVURXFVUNGUYBUYJIUEUUEZGUXFIXNXOXPVUNV
      UPUXMGVUQAUYFVUQVBZVUPUXMXRXRVUMAVVAVUPUXMAVVAVUPXSVUOUXIUXFAVVAVUOUXIXTV
      UPAVVAVFZVUOUYJUXIVVAVUOUYJVJZAVVAUYFUYBVBZUYJVKVBZVVCVVAUYFVUQUYBVVAUUFG
      UYBUYJIUYGUYIWDVNZUEUUGZUUHZVVFGUYBUYJVKIUEUUIZVPYAVVBUYJUYGUYIUTVEUXIUYG
      UYIUUJVVBCDEUYFKACYBVBVVAACMYCWJADYBVBVVAADNYCWJAUXSUXIEWAVVAVUJWJVVAVVDA
      VVHYAUULUUMUUNYDAVVAVUPUUOUVAYTWJYEYIZYFYGYHAUXIVGUXFHPUUPYHYJYKAUFUQZUXE
      VBZVFZVVKUXBVJZUXHUGUQYLWOLVVKWMUGVGXMZVVMVVNVFVVKVAVBZUXHVGVBZLVVKWMZVVO
      AVVNVVPVVLAVVNVFZVVKUXBVAAVVNVIVVSUXTUXSVAVBUXBVAVBAUXTVVNRWJVVSVLKUUQUXS
      VGEUURYFUUSXIAVVNVVRVVLVVSVVQLVVKVVSUXFVVKVBZVFZUXGVWAUXGVWAUXIVGUXFHAUXI
      VGHWAVVNVVTPYMVWAAUYNUXMAVVNVVTXKVVNVVTUYNAVVNVVTVFUXFVVKUXBVVNVVTVIVVNVV
      TUUTWKXLVUKYFYNYJYKXCXIUGLVVKUXHUVBYFVVMVVNXJZVFAVVKUXDVJZVVOAVVLVWBXKVVL
      VWBVWCAVWBVVLVVKUXBUVCVWCVVKUXBUVDVVKUXBUXDUVEUVFXLAVWCVFZUJUKLUGUXCUXHVV
      KUYCUYDVWDUYEUYKXOVWDVUMVFZUXGVWEUXIYOUXFHAUXIYOHWAVWCVUMAUXIVGYOHPVGYOXT
      AUVGVDUVHYMAVUMUXMVWCVVJXIYNYKAUJUQZUXCVBZUXHUKUQZYLWOZLVWFWMZUKVGXMZVWCA
      VWGVFZVUOVWFVJZGUYBXMZVWKVWGVWNAVWGVWNIUYBUVIVWGVWNXFGUYBUYJIVVFUEUVJGUYB
      VWFIUVKWFUVLYAVWLVWMVWKGUYBAVVDVWMVWKXRXRVWGAVVDVWMVWKAVVDVWMXSVWILUYJWMZ
      UKVGXMZVWKAVVDVWPVWMAVVDVFZUXFHUYJUVMZURZUSURZVWHYLWOZLUYJWMZUKVGXMVWPVWQ
      UKLUYGUYIFVWRJVWQUXSVGUYFEAUXTVVDRWJZVVDUYFUXSVBAUYFVLKUVNYAYNVWQUXSVGUYH
      EVXCVVDUYHUXSVBAVLKUYFUVOYAYNUBUDUCUVPVWQVXBVWOUKVGVWQVXAVWILUYJUXFUYJVBZ
      VXAVWIXFVWQVXDVWTUXHVWHYLVXDVWSUXGUSUXFUYJHUVQUVRYPYAUVSYQXPYDVVDVWMVWPVW
      KXFAVVDVWMVFZVWOVWJUKVGVXEVWILUYJVWFVXEUYJVUOVWFVVDUYJVUOVJVWMVVDVUOUYJVV
      DVVEVVCVVFVVIUVTZYRWJVVDVWMVIUWBUWAYQUWCXPYTWJYEYIXIVWCVVKUXDXTAVVKUXDUWD
      YAYSYFYGAUXIUXNUXJAVWFUXNVBZUJUXIWMUXIUXNXTAVXGUJUXIAVWFUXIVBZVFZVWFUXBVB
      ZVWFUXDVBZUWEVXGVXIVXJVXKVXIVXJXJZVXKVXIVXLVFZVXKVWFVUOVBZGVUQXMZVXMVXNGU
      YBXMZVXOVXMVWFUYJVBZGUYBXMVXPVXMVWFEGULUMUQZEURZVWFWLWOZUMUYBWQZVGWLUWFKA
      VUIVXHVXLQYMAUXTVXHVXLRYMVXIVWFVUAVUCUTVEZVBVXLVXIVWFUXIVYBAVXHVIAUXIVYBV
      JVXHACVUADVUCUTAVUACSYRAVUCDTYRUWGWJWKWJVXIVXLVIVGVYAULUQZEURZVWFWLWOZULU
      YBWQWLVXTVYEUMULUYBVXRVYCVJVXSVYDVWFWLVXRVYCEUWLYPUWHUWIUWJVXNVXQGUYBVVDV
      UOUYJVWFVXFUWKUWMXBVXNGUYBVUQVUQUYBVVGUWNUWOUWPVUSVXKVXOXFVXMVUTGVWFIXNXO
      XGUWQUWRVWFUXBUXDUWSXBXCUJUXIUXNUWTXBUYLUXAYS $.
  $}

  ${
    $d A w x y $.  $d B k x $.  $d B w x y $.  $d E w $.  $d F b i t x $.
    $d F i k x $.  $d F b t w x $.  $d F t w x y $.  $d I b i t x $.
    $d I b t w x $.  $d I t w x y $.  $d L b x $.  $d M b i x $.  $d M j k x $.
    $d Q b i x $.  $d Q j k x $.  $d Q b w x $.  $d Q w x y $.  $d R b x $.
    $d T k x $.  $d T x y $.  $d b i ph t x $.  $d k ph x $.  $d ph t w x y $.
    fourierdlem71.dmf $e |- ( ph -> dom F C_ RR ) $.
    fourierdlem71.f $e |- ( ph -> F : dom F --> RR ) $.
    fourierdlem71.a $e |- ( ph -> A e. RR ) $.
    fourierdlem71.b $e |- ( ph -> B e. RR ) $.
    fourierdlem71.altb $e |- ( ph -> A < B ) $.
    fourierdlem71.t $e |- T = ( B - A ) $.
    fourierdlem71.7 $e |- ( ph -> M e. NN ) $.
    fourierdlem71.q $e |- ( ph -> Q : ( 0 ... M ) --> RR ) $.
    fourierdlem71.q0 $e |- ( ph -> ( Q ` 0 ) = A ) $.
    fourierdlem71.10 $e |- ( ph -> ( Q ` M ) = B ) $.
    fourierdlem71.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem71.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem71.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    fourierdlem71.xpt $e |- ( ( ( ph /\ x e. dom F ) /\ k e. ZZ ) -> ( x + ( k
       x. T ) ) e. dom F ) $.
    fourierdlem71.fxpt $e |- ( ( ( ph /\ x e. dom F ) /\ k e. ZZ ) -> ( F ` ( x
       + ( k x. T ) ) ) = ( F ` x ) ) $.
    fourierdlem71.i $e |- I = ( i e. ( 0 ..^ M ) |-> ( ( Q ` i ) (,) ( Q ` ( i
       + 1 ) ) ) ) $.
    fourierdlem71.e $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( B - x ) / T ) )
       x. T ) ) ) $.
    $( A periodic piecewise continuous function, possibly undefined on a finite
       set in each periodic interval, is bounded.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    fourierdlem71 $p |- ( ph -> E. y e. RR A. x e. dom F ( abs ` ( F ` x ) ) <_
       y ) $=
      ( vw vt vb vj cv cfv cabs cle wbr cicc co cdm cin wral wrex crn cuni wcel
      cr cfn a1i wa wf adantr simpl simpr cvv wceq cc0 cfz ovex 3syl cfzo caddc
      cioo syl2anc eleqtrd elinel2 adantl wn simpll adantll wb ax-mp biimpi w3a
      cmpt wi wss id fvmpt2 cc sylan2 sylibr 3adant3 3exp rexlimdv mpd ffvelrnd
      pm2.61dan recnd abscld syl eqeltrd ralrimiva adantlr fveq2d rexbidv mpbid
      wne breq1d ssfiunibd ad2antlr elind crab ad2antrr eqcomd oveq12d ad2antrl
      clt fveq2 simprr jca cmin cdiv cfl cmul cz cpr prfi cun fexd rnexg inex1g
      c1 mptex eqeltri rnex uniexd uniprg elunnel1 wfun funmpt2 dmmpti eleqtrdi
      elunirn ccncf cncff fdm ssdmres eqsstrd simp3 sseldd fzfid rnffi fimaxre3
      cres infi neqne elprn1 fzofi rnmptfi wfn fnmpti fvelrnb elfzofz cncfioobd
      fzofzp1 fvres ralbidva mpan2 sylan9req 3adant1 raleqdv bitrd eqimss elun1
      cn elinel1 cbvrabv supeq1i fourierdlem25 eleqtrrdi impbida rexbidv2 elun2
      csup mpbird dfss3 sseqtrrd nfra1 nfan resubcld eqeltrid posdifd breqtrrdi
      nfv sselda gt0ne0d redivcld flcld zred remulcld readdcld fvex eleq1 oveq1
      anbi2d oveq2d eqeq1d imbi12d vtocl mpdan eqtr2d cbvralvw iocssicc cbvmptv
      oveq2 oveq1d eqtri fourierdlem4 sselid rspccva eqbrtrd ex ralrimi reximdv
      cioc eleq1d ) ABUQZLURZUSURZCUQZUTVAZBDEVBVCZLVDZVEZVFZCVKVGVUFBVUHVFZCVK
      VGAUMCBCFVHZVUHVEZMVHZVIZUUAZVUDVUIVUPVLVJAVUMVUOUUBVMAVUBVUPVIZVJZVNZVUC
      VUSVUCVUSVUHVKVUBLAVUHVKLVOZVURQVPVUSAVUBVUMVUOUUCZVJZVUBVUHVJZAVURVQVUSV
      UBVUQVVAAVURVRVUSVUMVSVJZVUOVSVJZVUQVVAVTZAVVDVURAFVSVJVULVSVJVVDAWAOWBVC
      ZVKVSFUCVVGVSVJAWAOWBWCVMUUDFVSUUEVULVUHVSUUFWDZVPAVVEVURAVUNVSVUNVSVJAMM
      IWAOWEVCZIUQZFURZVVJUUGWFVCZFURZWGVCZWSVSUKIVVIVVNWAOWEWCUUHUUIUUJVMUUKZV
      PVUMVUOVSVSUULZWHWIAVVBVNZVUBVUMVJZVVCVVRVVCVVQVUBVULVUHWJZWKVVQVVRWLZVNA
      VUBVUOVJZVVCAVVBVVTWMVVBVVTVWAAVUBVUMVUOUUMWNAVWAVNZVUBVVJMURZVJZIMVDZVGZ
      VVCVWAVWFAVWAVWFMUUNVWAVWFWOIVVIVVNMUKUUOIVUBMUURWPZWQWKVWBVWDVVCIVWEAVVJ
      VWEVJZVWDVVCWTWTVWAAVWHVWDVVCAVWHVWDWRVWCVUHVUBAVWHVWCVUHXAVWDAVWHVNZVWCV
      VNVUHVWIVVJVVIVJZVVNVSVJZVWCVVNVTZVWHVWJAVWHVVJVWEVVIVWHXBIVVIVVNMVVKVVMW
      GWCZUKUUPZUUQZWKVWKVWIVWMVMIVVIVVNVSMUKXCZWHVWILVVNUVIZVDVVNVTZVVNVUHXAVW
      HAVWJVWRVWOAVWJVNZVWQVVNXDUUSVCVJVVNXDVWQVOVWRUFVVNXDVWQUUTVVNXDVWQUVAWDX
      EVVNLUVBXFUVCXGAVWHVWDUVDUVEXHVPXIXJZWHXLWHXKXMXNAUMUQZVUPVJZVNZVXAVUMVTZ
      VUFBVXAVFCVKVGZAVXDVXEVXBAVXDVNZVXAVLVJVUDVKVJZBVXAVFVXEVXFVXAVUMVLAVXDVR
      AVUMVLVJZVXDAVULVLVJZVXHAVVGVKFVOZVVGVLVJVXIUCAWAOUVFVVGVKFUVGWHVULVUHUVJ
      XOVPXPVXFVXGBVXAVXFVUBVXAVJZVNAVVRVXGAVXDVXKWMVXDVXKVVRAVXDVXKVNVUBVXAVUM
      VXDVXKVRVXDVXKVQWIWNAVVRVNZVUCVXLVUCVXLVUHVKVUBLAVUTVVRQVPVVRVVCAVVSWKXKX
      MXNWHXQCBVXAVUDUVHWHXRVXCVXDWLZVNAVXAVUOVTZVXEAVXBVXMWMVXBVXMVXNAVXMVXBVX
      AVUMYBVXNVXAVUMUVKVXAVUMVUOUVLXEWNAVXNVNZUNUOBCVUNVUDVXAVUNVLVJZVXOVVIVLV
      JVXPWAOUVMIMVVIVVNUKUVNWPVMVXOVWAVNVUCAVWAVUCXDVJVXNVWBVUCVWBVUHVKVUBLAVU
      TVWAQVPVWTXKXMXRXNAUNUQZVUNVJZVUDUOUQZUTVAZBVXQVFZUOVKVGZVXNAVXRVNZVWCVXQ
      VTZIVVIVGZVYBVXRVYEAVXRVYEMVVIUVOVXRVYEWOIVVIVVNMVWMUKUVPIVVIVXQMUVQWPWQW
      KVYCVYDVYBIVVIAVWJVYDVYBWTWTVXRAVWJVYDVYBAVWJVYDWRZVUBVWQURZUSURZVXSUTVAZ
      BVVNVFZUOVKVGZVYBAVWJVYKVYDVWSUOBVVKVVMGVWQNVWSVVGVKVVJFAVXJVWJUCVPZVWJVV
      JVVGVJAVVJWAOUVRWKXKVWSVVGVKVVLFVYLVWJVVLVVGVJAWAOVVJUVTWKXKUFUHUGUVSXGVY
      FVYKVXTBVVNVFZUOVKVGZVYBAVWJVYKVYNWOVYDVWSVYJVYMUOVKVWSVYIVXTBVVNVUBVVNVJ
      ZVYIVXTWOVWSVYOVYHVUDVXSUTVYOVYGVUCUSVUBVVNLUWAXSYCWKUWBXTXGVYFVYMVYAUOVK
      VYFVXTBVVNVXQVWJVYDVVNVXQVTAVWJVYDVVNVWCVXQVWJVWKVWLVWMVWPUWCZVYDXBUWDUWE
      UWFXTUWGYAXHVPXIXJXRVXNVXAVUOXAAVXAVUOUWHWKYDWHXLAVUIVVAVUQAVVBBVUIVFVUIV
      VAXAAVVBBVUIAVUBVUIVJZVNZVUBVULVJZVVBVYRVYSVNZVVRVVBVYTVULVUHVUBVYRVYSVRV
      YQVVCAVYSVUBVUGVUHWJYEYFVUBVUMVUOUWIXOVYRVYSWLZVNZVWAVVBWUBVWFVWAWUBVWFVY
      OIVVIVGZWUBVUBFIUPJUQZFURZVUBYLVAZJVVIYGZVKYLUWSOAOUWJVJVYQWUAUBYHAVXJVYQ
      WUAUCYHVYRVUBWAFURZOFURZVBVCZVJWUAVYRVUBVUGWUJVYQVUBVUGVJAVUBVUGVUHUWKWKV
      YRDWUHEWUIVBADWUHVTVYQAWUHDUDYIVPAEWUIVTVYQAWUIEUEYIVPYJWIVPVYRWUAVRVKWUG
      UPUQZFURZVUBYLVAZUPVVIYGYLWUFWUMJUPVVIWUDWUKVTWUEWULVUBYLWUDWUKFYMYCUWLUW
      MUWNAVWFWUCWOVYQWUAAVWDVYOIVWEVVIAVWHVWDVNZVWJVYOVNZAWUNVNZVWJVYOVWHVWJAV
      WDVWOYKZWUPVUBVWCVVNAVWHVWDYNWUPVWJVWLWUQVYPXOWIYOAWUOVNZVWHVWDVWJVWHAVYO
      VWJVVJVVIVWEVWJXBVWNUWOYKWURVUBVVNVWCAVWJVYOYNVWJVVNVWCVTAVYOVWJVWCVVNVYP
      YIYKWIYOUWPUWQYHUWTVWGXFVUBVUOVUMUWRXOXLXQBVUIVVAUXAXFAVVDVVEVVFVVHVVOVVP
      WHUXBYDAVUJVUKCVKAVUJVUKAVUJVNZVUFBVUHAVUJBABUXIVUFBVUIUXCUXDWUSVVCVUFWUS
      VVCVNZVUDVUBKURZLURZUSURZVUEUTAVVCVUDWVCVTVUJAVVCVNZVUCWVBUSWVDWVBVUBEVUB
      YPVCZHYQVCZYRURZHYSVCZWFVCZLURZVUCWVDWVAWVILWVDVUBVKVJWVIVKVJWVAWVIVTAVUH
      VKVUBPUXJZWVDVUBWVHWVKWVDWVGHWVDWVGWVDWVFWVDWVEHWVDEVUBAEVKVJVVCSVPZWVKUX
      EAHVKVJVVCAHEDYPVCZVKUAAEDSRUXEUXFVPZAHWAYBVVCAHAWAWVMHYLADEYLVAZWAWVMYLV
      ATADERSUXGYAUAUXHUXKVPUXLUXMZUXNWVNUXOUXPBVKWVIVKKULXCWHZXSWVDWVGYTVJZWVJ
      VUCVTZWVPWVDWUDYTVJZVNZVUBWUDHYSVCZWFVCZLURZVUCVTZWTWVDWVRVNZWVSWTJWVGWVF
      YRUXQZWUDWVGVTZWWAWWFWWEWVSWWHWVTWVRWVDWUDWVGYTUXRUXTZWWHWWDWVJVUCWWHWWCW
      VILWWHWWBWVHVUBWFWUDWVGHYSUXSUYAZXSUYBUYCUJUYDUYEUYFXSXRWUTVXALURZUSURZVU
      EUTVAZUMVUIVFZWVAVUIVJZWVCVUEUTVAZVUJWWNAVVCVUJWWNVUFWWMBUMVUIVUBVXAVTZVU
      DWWLVUEUTWWQVUCWWKUSVUBVXALYMXSYCUYGWQYEAVVCWWOVUJWVDVUGVUHWVAWVDDEUYTVCZ
      VUGWVADEUYHWVDVKWWRVUBKWVDCDEHKADVKVJVVCRVPWVLAWVOVVCTVPUAKBVKWVIWSCVKVUE
      EVUEYPVCZHYQVCZYRURZHYSVCZWFVCZWSULBCVKWVIWXCVUBVUEVTZVUBVUEWVHWXBWFWXDXB
      WXDWVGWXAHYSWXDWVFWWTYRWXDWVEWWSHYQVUBVUEEYPUYJUYKXSUYKYJUYIUYLUYMWVKXKUY
      NWVDWVAWVIVUHWVQWVDWVRWVIVUHVJZWVPWWAWWCVUHVJZWTWWFWXEWTJWVGWWGWWHWWAWWFW
      XFWXEWWIWWHWWCWVIVUHWWJVUAUYCUIUYDUYEXPYFXRWWMWWPUMWVAVUIVXAWVAVTZWWLWVCV
      UEUTWXGWWKWVBUSVXAWVALYMXSYCUYOWHUYPUYQUYRUYQUYSXJ $.
  $}

  ${
    $d A s $.  $d B s $.  $d C s $.  $d F i $.  $d F s $.  $d H s $.  $d K s $.
    $d M i m p $.  $d U i $.  $d V i p $.  $d X i m p $.  $d X s $.  $d i ph $.
    $d ph s $.
    fourierdlem72.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem72.xre $e |- ( ph -> X e. RR ) $.
    fourierdlem72.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( -u _pi + X ) /\ ( p ` m ) = ( _pi + X ) ) /\ A. i e. ( 0
       ..^ m ) ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem72.m $e |- ( ph -> M e. NN ) $.
    fourierdlem72.v $e |- ( ph -> V e. ( P ` M ) ) $.
    fourierdlem72.dvcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( ( RR _D F ) |` (
       ( V ` i ) (,) ( V ` ( i + 1 ) ) ) ) e. ( ( ( V ` i ) (,) ( V ` ( i + 1 )
       ) ) -cn-> RR ) ) $.
    fourierdlem72.a $e |- ( ph -> A e. RR ) $.
    fourierdlem72.b $e |- ( ph -> B e. RR ) $.
    fourierdlem72.altb $e |- ( ph -> A < B ) $.
    fourierdlem72.ab $e |- ( ph -> ( A (,) B ) C_ ( -u _pi [,] _pi ) ) $.
    fourierdlem72.n0 $e |- ( ph -> -. 0 e. ( A [,] B ) ) $.
    fourierdlem72.c $e |- ( ph -> C e. RR ) $.
    fourierdlem72.q $e |- Q = ( i e. ( 0 ... M ) |-> ( ( V ` i ) - X ) ) $.
    fourierdlem72.u $e |- ( ph -> U e. ( 0 ..^ M ) ) $.
    fourierdlem72.abss $e |- ( ph -> ( A (,) B ) C_ ( ( Q ` U ) (,) ( Q ` ( U +
       1 ) ) ) ) $.
    fourierdlem72.h $e |- H = ( s e. ( A (,) B ) |-> ( ( ( F ` ( X + s ) ) - C
       ) / s ) ) $.
    fourierdlem72.k $e |- K = ( s e. ( A (,) B ) |-> ( s / ( 2 x. ( sin ` ( s /
       2 ) ) ) ) ) $.
    fourierdlem72.o $e |- O = ( s e. ( A (,) B ) |-> ( ( H ` s ) x. ( K ` s ) )
       ) $.
    $( The derivative of ` O ` is continuous on the given interval.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem72 $p |- ( ph -> ( RR _D O ) e. ( ( A (,) B ) -cn-> CC ) ) $=
      ( cr cdv co cmul cof cioo cc ccncf cfv cmpt cvv wcel ovex caddc cmin cdiv
      cv a1i wa wf adantr elioore adantl readdcld ffvelrnd resubcld cc0 cicc wn
      wne ioossicc sseli ad2antlr wb id necon1bi eleq1d mpbid ad2antrr redivcld
      condan fmptd ffvelrnda c2 csin 2re rehalfcld resincld remulcld 2cnd recnd
      halfcld sincld 2ne0 cpi cneg sselda fourierdlem44 syl2anc mulne0d feqmptd
      offval2 eqtr4id wss ioossre divcld ssid cres wceq syl22anc c1 cxr cle wbr
      syl simpld rexrd fourierdlem13 simprd eqeltrd leadd2dd wi sylc sseldd cpr
      oveq2d reelprrecn subcld mulcld ax-resscn cncfss nelrdva crn ctg cnt fssd
      ccnfld ctopn eqid tgioo2 dvres ioontr reseq2i eqtrdi cfz cmap clt cfzo cn
      wral fourierdlem2 elfzofz fzofzp1 renegcld fourierdlem10 eqbrtrd breqtrrd
      elmapi pire ioossioo eqcomd ancli eleq1 anbi2d fveq2 oveq1 fveq2d oveq12d
      reseq2d oveq1d eleq12d imbi12d vtoclg rescncf fourierdlem59 fourierdlem58
      resabs1d iooretop dvmulcncf ) AUQNURUSUQKLUTVAUSZURUSBCVBUSZVCVDUSZANUWPU
      QURANQUWQQVMZKVEZUWSLVEZUTUSVFUWPUPAQUWQUWTUXAUTKLVGUQUQUWQVGVHABCVBVIVNA
      UWQUQUWSKAQUWQPUWSVJUSZJVEZDVKUSZUWSVLUSZUQKAUWSUWQVHZVOZUXDUWSUXGUXCDUXG
      UQUQUXBJAUQUQJVPUXFSVQUXGPUWSAPUQVHUXFTVQUXFUWSUQVHAUWSBCVRVSZVTWAZADUQVH
      UXFUJVQWBUXHUXGUWSWCWFZWCBCWDUSZVHZUXGUXJWEZVOUWSUXKVHZUXLUXFUXNAUXMUWQUX
      KUWSBCWGWHWIUXMUXNUXLWJUXGUXMUWSWCUXKUXJUWSWCUXJWKWLWMVSWNAUXLWEUXFUXMUIW
      OWQZWPUNWRZWSAUWQUQUWSLAQUWQUWSWTUWSWTVLUSZXAVEZUTUSZVLUSZUQLUXGUWSUXSUXH
      UXGWTUXRWTUQVHUXGXBVNUXGUXQUXGUWSUXHXCXDXEUXGWTUXRUXGXFZUXGUXQUXGUWSUXGUW
      SUXHXGXHXIWTWCWFUXGXJVNUXGUWSXKXLZXKWDUSZVHUXJUXRWCWFAUWQUYCUWSUHXMUXOUWS
      XNXOXPZWPUOWRZWSAQUWQUQKUXPXQAQUWQUQLUYEXQXRXSUUBAUQKLUWQUQUQVCUUAVHAUUCV
      NAQUWQUXEVCKUXGUXDUWSUXGUXCDUXGUXCUXIXGADVCVHUXFADUJXGVQUUDUXGUWSAUWQUQUW
      SUWQUQXTABCYAVNXMXGZUXOYBUNWRAQUWQUXTVCLUXGUWSUXSUYFUXGWTUXRUYAUXGUXQUXGU
      WSUYFXHXIUUEUYDYBUOWRAUWQUQVDUSZUWRUQKURUSAUQVCXTZVCVCXTZUYGUWRXTUYHAUUFV
      NZUYIAVCYCVNUWQUQVCUUGXOZABCDJKPQSTUEUFAQUWQWCUXOUUHZAUQJPBVJUSZPCVJUSZVB
      USZYDURUSZUQJURUSZUYOYDZUYOUQVDUSZAUYPUYQUYOVBUUIUUJVEZUUKVEVEZYDZUYRAUYH
      UQVCJVPUQUQXTZUYOUQXTZUYPVUBYEUYJAUQUQVCJSUYJUULVUCAUQYCVNVUDAUYMUYNYAVNU
      QUYOUQUYTJUUMUUNVEZVUEUUOZVUEVUFUUPUUQYFVUAUYOUYQUYMUYNUURUUSUUTAUYRUYQGO
      VEZGYGVJUSZOVEZVBUSZYDZUYOYDZUYSAVULUYRAUYQUYOVUJAVUGYHVHVUIYHVHVUGUYMYIY
      JUYNVUIYIYJUYOVUJXTZAVUGAWCMUVAUSZUQGOAOUQVUNUVBUSVHZVUNUQOVPAVUOWCOVEUYB
      PVJUSZYEMOVEXKPVJUSZYEVOHVMZOVEZVURYGVJUSZOVEZUVCYJHWCMUVDUSZUVFVOZAOMEVE
      VHZVUOVVCVOZUCAMUVEVHVVDVVEWJUBVUPVUQEOHIMRUAUVGYKWNYLOUQVUNUVNYKZAGVVBVH
      ZGVUNVHULGWCMUVHYKZWAZYMAVUIAVUNUQVUHOVVFAVVGVUHVUNVHULWCMGUVIYKZWAZYMAVU
      GPGFVEZVJUSZUYMYIAVVLVUGPVKUSZYEZVUGVVMYEZAUYBXKEFHIGMOPRAXKXKUQVHAUVOVNZ
      UVJZVVQTUAUBUCVVHUKYNZYOAVVLBPAVVLVVNUQAVVOVVPVVSYLAVUGPVVITWBYPZUETAVVLB
      YIYJZCVUHFVEZYIYJZAVVLVWBBCVVTAVWBVUIPVKUSZUQAVWBVWDYEZVUIPVWBVJUSZYEZAUY
      BXKEFHIVUHMOPRVVRVVQTUAUBUCVVJUKYNZYLAVUIPVVKTWBYPZUEUFUGUMUVKZYLYQUVLAUY
      NVWFVUIYIACVWBPUFVWITAVWAVWCVWJYOYQAVWEVWGVWHYOUVMVUGVUIUYMUYNUVPYFZUWMUV
      QAVUMVUKVUJUQVDUSZVHZVULUYSVHVWKAVVGAVVGVOZVWMULAVVGULUVRAVURVVBVHZVOZUYQ
      VUSVVAVBUSZYDZVWQUQVDUSZVHZYRVWNVWMYRHGVVBVURGYEZVWPVWNVWTVWMVXAVWOVVGAVU
      RGVVBUVSUVTVXAVWRVUKVWSVWLVXAVWQVUJUYQVXAVUSVUGVVAVUIVBVURGOUWAVXAVUTVUHO
      VURGYGVJUWBUWCUWDZUWEVXAVWQVUJUQVDVXBUWFUWGUWHUDUWIYSVUJUQUYOVUKUWJYSYPYP
      UJUNUWKYTAUYGUWRUQLURUSUYKAUWQLQUOUHUYLUWQUYTVHABCUWNVNUWLYTUWOYP $.
  $}

  ${
    $d A x $.  $d B x $.  $d D m r x z $.  $d D r x y $.  $d F i j n x $.
    $d F i m n x $.  $d G x y z $.  $d L x $.  $d M e i j n r x $.
    $d M e i m n r x $.  $d M i r x y z $.  $d Q i j n r x $.
    $d Q i m n r x $.  $d Q i r x y $.  $d Q i m r x z $.  $d R x $.
    $d e i j n ph r x $.  $d m n ph r x $.  $d ph r x y z $.
    fourierdlem73.a $e |- ( ph -> A e. RR ) $.
    fourierdlem73.b $e |- ( ph -> B e. RR ) $.
    fourierdlem73.f $e |- ( ph -> F : ( A [,] B ) --> CC ) $.
    fourierdlem73.m $e |- ( ph -> M e. NN ) $.
    fourierdlem73.qf $e |- ( ph -> Q : ( 0 ... M ) --> ( A [,] B ) ) $.
    fourierdlem73.q0 $e |- ( ph -> ( Q ` 0 ) = A ) $.
    fourierdlem73.qm $e |- ( ph -> ( Q ` M ) = B ) $.
    fourierdlem73.qilt $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( Q ` i ) < ( Q `
       ( i + 1 ) ) ) $.
    fourierdlem73.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem73.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    fourierdlem73.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem73.g $e |- G = ( RR _D F ) $.
    fourierdlem73.gcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( G |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem73.gbd $e |- ( ph -> E. y e. RR A. x e. dom G ( abs ` ( G ` x )
       ) <_ y ) $.
    fourierdlem73.s $e |- S = ( r e. RR+ |-> S. ( A (,) B ) ( ( F ` x ) x. (
       sin ` ( r x. x ) ) ) _d x ) $.
    fourierdlem73.d $e |- D = ( x e. ( ( Q ` i ) [,] ( Q ` ( i + 1 ) ) ) |-> if
       ( x = ( Q ` i ) , R , if ( x = ( Q ` ( i + 1 ) ) , L , ( F ` x ) ) ) )
       $.
    $( A version of the Riemann Lebesgue lemma: as ` r ` increases, the
       integral in ` S ` goes to zero.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem73 $p |- ( ph -> A. e e. RR+ E. n e. NN A. r e. ( n (,) +oo ) (
       abs ` S. ( A (,) B ) ( ( F ` x ) x. ( sin ` ( r x. x ) ) ) _d x ) < e )
       $=
      ( vm vz vj cv cfv c1 caddc co cicc cmul csin citg cabs cdiv clt cpnf cioo
      wbr wral cn wrex cc0 crp wcel wa ccos cneg cr cdv cmpt cibl cres cc ccncf
      wf syl wss a1i adantr adantl ffvelrnd wceq cif climc ad2antrr syl3anc cle
      simpr cxr rexrd syl2anc fvres syldan elioore ralrimiva wb syl21anc mpbird
      eqid cdm eqeltrd nfv nfan eleqtrd fveq2d ad4ant14 simplr adantlr adantllr
      nfra1 eqbrtrd ex mpd recnd mulcncf fveq2 wi remulcld coscld mulcld abscld
      adantll eqcomd ad2antlr sincld wne wtru cfzo cmin cfl cncff crn ctg ctopn
      ccnfld ax-resscn cfz iccssred fssd elfzofz fzofzp1 limccl eliccre iccgelb
      sselid letrd eliccd ifcld fmptd tgioo2 cnt iccntr dvresntr ioossicc sseli
      iccleub fvmpt2 ioogtlb gtned neneqd iffalsed iooltub ltned 3eqtrrd eqtr2d
      wfn ffn fourierdlem8 fnssres fvreseq resabs1d eqtrd oveq2d sstrd syl22anc
      dvres eqcomi iooretop retop uniretop isopn3 sylancr mpbii reseq12d 3eqtrd
      ctop feq1d feqmptd eqtr3d ioombl ltled volioo resubcld fdm ssdmres sylibr
      cvol sselda rsp ralrimi reximdva cnbdibl coscn ioosscn constcncfg idcncfg
      sylc ssid cncfmpt1f negcncfg fveq1d sylan9eq reximdv eqidd eleq1w eqeq12d
      anbi2d imbi12d chvarvv sylan9eqr negeqd oveq12d ffvelrnda eqeltrrd negcld
      oveq2 simpl fvmptd simpllr 1red absge0d absnegd abscosbd lemul2ad absmuld
      mulid1d 3brtr4d ralimdaa breq1d sylib dmmptg raleqdv ancoms eqcom biimpri
      cbvralvw r19.21bi breqtrd iftrue leidd lbicc2 nnrpd cbvitgv oveq2i oveq1i
      rpdivcld fveq2i fourierdlem47 simplll 0red nngt0 pnfxr lttrd elrpd itgioo
      nnre rpcn wn eqtr4d iffalse neqne leneltd biimpi eliood pm2.61dan ifeq2da
      necon3bi mpteq2dva 3eqtr3d cncfiooicc fourierdlem39 ralbidva an32s oveq1d
      rexbidva itgeq2dv mpbid crab cinf csup nfcv nfrex nfralw nfmpt1 cfn fzofi
      rexbidv fourierdlem31 nfre1 w3a nf3an csu simpll itgeq1d 0zd 0p1e1 eqtr4i
      nnuz eleqtrdi feqresmpt sincn fourierdlem1 rpre ad2ant2r constlimc idlimc
      cuz recn mullimc sinf eqeltrrdi resincl cncfmptssg mptru cnmptlimc limcco
      ad2antll iblcncfioo ibliooicc itgspltprt adantl3r itgcl 3adantl3 fsumrecl
      fsumcl 3ad2antl1 fsumabs c0 cz nnzd nngt0d fzolb syl3anbrc simp1l simpll2
      ne0i jca oveq1 eleq1d rpred 3ad2ant1 simpll3 rspa sylancom fsumlt cbvsumv
      chash rpcnd fsumconst cn0 nnnn0d hashfzo0 rpne0d divcan2d 3brtr3d lelttrd
      3exp reximdai ralimdva ) ABKUQZGURZWWCUSUTVAZGURZVBVAZBUQZMURZQUQZWWHVCVA
      ZVDURZVCVAZVEZVFURZJUQZPVGVAZVHVKZQUNUQZVIVJVAZVLZUNVMVNZKVOPUUAVAZVLZJVP
      VLBDEVJVAWWMVEZVFURZWWPVHVKZQLUQZVIVJVAZVLZLVMVNZJVPVLAWXDJVPAWWPVPVQZVRZ
      WXBKWXCWXMWWCWXCVQZVRZBWWGWWHFURZWWLVCVAZVEZVFURZWWQVHVKZQWWTVLZUNVMVNZWX
      BAWXNWXLWYBAWXNVRZWXLVRZWYBWWFFURZWWJWWFVCVAZVSURZWWJVGVAVTVCVAWWDFURZWWJ
      WWDVCVAZVSURZWWJVGVAVTVCVAUUBVABWWDWWFVJVAZWWHWAFWBVAZURZWWKVSURZWWJVGVAV
      TVCVAVEUUBVAZVFURZWWQVHVKZQWWTVLZUNVMVNZWYDBWYEWYGWYHWYJUNWWQWYMWYNWYKWYE
      VFURZWYHVFURZUTVAZUOWYKUOUQZWYLURZVFURZVEZUTVAZWWQVGVAZUSUTVAZUUCURZUSUTV
      AWYTXUABWYKWYMVFURZVEZQWYCBWYKWYMWCZWDVQWXLWYCXUMNWYKWEZWDWYCWYLXUMXUNWYC
      BWYKWFWYLWYCWYKWFWYLWHWYKWFXUNWHZWYCXUNWYKWFWGVAZVQXUOUJWYKWFXUNUUDWIZWYC
      WYKWFWYLXUNWYCWYLWAFWYKWEZWBVAWAMWYKWEZWBVAZXUNWYCWAFVJUUEUUFURZUUHUUGURZ
      WWGWYKWAWFWJZWYCUUIWKZWYCWWDWWFWYCVOPUUJVAZWAWWCGAXVEWAGWHZWXNAXVEDEVBVAZ
      WAGUBADERSUUKZUULZWLZWXNWWCXVEVQAWWCVOPUUMWMZWNZWYCXVEWAWWEGXVJWXNWWEXVEV
      QAVOPWWCUUNWMZWNZUUKZWYCBWWGWWHWWDWOZHWWHWWFWOZOWWIWPZWPZWFFWYCWWHWWGVQZV
      RZXVPHXVRWFWYCHWFVQXVTWYCXUSWWDWQVAZWFHWWDXUSUUOUHUURZWLXWAXVQOWWIWFWYCOW
      FVQXVTWYCXUSWWFWQVAZWFOWWFXUSUUOUGUURZWLXWAXVGWFWWHMAXVGWFMWHZWXNXVTTWRXW
      ADEWWHADWAVQZWXNXVTRWRZAEWAVQZWXNXVTSWRZXWAWWDWAVQZWWFWAVQZXVTWWHWAVQZWYC
      XWKXVTXVLWLZWYCXWLXVTXVNWLZWYCXVTXAZWWDWWFWWHUUPWSZXWADWWDWWHXWHXWNXWQWYC
      DWWDWTVKZXVTWYCDXBVQZEXBVQZWWDXVGVQXWRAXWSWXNADRXCZWLZAXWTWXNAESXCZWLZWYC
      XVEXVGWWCGAXVEXVGGWHZWXNUBWLZXVKWNDEWWDUUQWSWLXWAWWDXBVQZWWFXBVQZXVTWWDWW
      HWTVKZXWAWWDXWNXCZXWAWWFXWOXCZXWPWWDWWFWWHUUQWSZUUSXWAWWHWWFEXWQXWOXWJXWA
      XXGXXHXVTWWHWWFWTVKZXXJXXKXWPWWDWWFWWHUVIWSZXWAXWSXWTWWFXVGVQZWWFEWTVKAXW
      SWXNXVTXXAWRAXWTWXNXVTXXCWRWYCXXOXVTWYCXVEXVGWWEGXXFXVMWNWLDEWWFUVIWSUUSU
      UTZWNZUVAUVAZUMUVBZXVBXVBXLZUVCZXXTWYCXWKXWLWWGXVAUVDURZURWYKWOXVLXVNWWDW
      WFUVEXDUVFWYCXURXUSWAWBWYCXURMWWGWEZWYKWEZXUSWYCXURXYDWOZWXPWWHXYCURZWOZB
      WYKVLZWYCXYGBWYKWYCWWHWYKVQZVRZXYFWWIWXPXYJXVTXYFWWIWOXYIXVTWYCWYKWWGWWHW
      WDWWFUVGZUVHWMZWWHWWGMXEWIXYJWXPXVSXVRWWIXYJXVTXVSWFVQZWXPXVSWOXYLWYCXYIX
      VTXYMXYLXXRXFBWWGXVSWFFUMUVJXDXYJXVPHXVRXYJWWHWWDXYJWWDWWHWYCXWKXYIXVLWLX
      YJXXGXXHXYIWWDWWHVHVKZWYCXYIXVTXXGXYLXXJXFZWYCXYIXVTXXHXYLXXKXFZWYCXYIXAZ
      WWDWWFWWHUVKWSUVLUVMUVNXYJXVQOWWIXYJWWHWWFXYJWWHWWFXYIXWMWYCWWHWWDWWFXGZW
      MXYJXXGXXHXYIWWHWWFVHVKZXYOXYPXYQWWDWWFWWHUVOWSUVPUVMUVNUVQZUVRXHWYCFWWGU
      VSZXYCWWGUVSZWYKWWGWJZXYEXYHXIWYCWWGWFFWHYUAXXSWWGWFFUVTWIWYCMXVGUVSZWWGX
      VGWJYUBAYUDWXNAXWFYUDTXVGWFMUVTWIWLWYCDEGWWCPXXBXXDXXFAWXNXAUWAZXVGWWGMUW
      BXDYUCWYCXYKWKZBWWGWYKFXYCUWCXJXKWYCMWYKWWGYUFUWDUWEUWFWYCXUTWAMWBVAZWYKX
      YBURZWEZXUNWYCXVCXWFXVGWAWJZWYKWAWJZXUTYUIWOXVDAXWFWXNTWLZAYUJWXNXVHWLWYC
      WYKWWGWAYUFXVOUWGZXVGWYKWAXVAMXVBXXTXYAUWIUWHWYCYUGNYUHWYKYUGNWOWYCNYUGUI
      UWJWKWYCWYKXVAVQZYUHWYKWOZWWDWWFUWKWYCXVAUWSVQYUKYUNYUOXIUWLYUMWYKXVAWAUW
      MUWNUWOUWPUWQUWEUWRZUWTXKZUXAYUPUXBZWYCCBWYKXUNWYKUXJXMVQZWYCWWDWWFUXCZWK
      WYCWYKUXJURZWWFWWDUUBVAZWAWYCXWKXWLWWDWWFWTVKZYVAYVBWOXVLXVNWYCWWDWWFXVLX
      VNUEUXDZWWDWWFUXEWSWYCWWFWWDXVNXVLUXFXNZUJWYCWWHNURZVFURZCUQZWTVKZBNXMZVL
      ZCWAVNZWWHXUNURZVFURZYVHWTVKZBXUNXMZVLZCWAVNAYVLWXNUKWLZWYCYVKYVQCWAWYCYV
      HWAVQZVRZYVKYVQYVTYVKVRZYVOBYVPYVTYVKBYVTBXOYVIBYVJYCZXPYWAWWHYVPVQZYVOYW
      AYWCVRYVNYVGYVHWTWYCYWCYVNYVGWOYVSYVKWYCYWCVRZYVMYVFVFYWDXYIYVMYVFWOYWDWW
      HYVPWYKWYCYWCXAWYCYVPWYKWOZYWCWYCXUOYWEXUQWYKWFXUNUXGWIZWLXQZWWHWYKNXEZWI
      XRXSWYCYVKYWCYVIYVSWYCYVKVRZYWCVRYVKWWHYVJVQZYVIWYCYVKYWCXTWYCYWCYWJYVKWY
      CYWCXYIYWJYWGWYCWYKYVJWWHWYCYWEWYKYVJWJYWFWYKNUXHUXIUXKZXFYAYVIBYVJUXLZUX
      TYBYDYEUXMYEUXNYFUXOXNWLWYCWWJWAVQZBWYKWYMWYNVTZVCVAZWCZWDVQWXLWYCYWMVRZC
      UOWYKYWPYUSYWQYUTWKWYCYVAWAVQYWMYVEWLYWQBWYMYWNWYKWYCXUMXUPVQYWMWYCXUMXUN
      XUPYURUJXNWLYWQBWYKWYNYWQBWWKVSWYKVSWFWFWGVAZVQYWQUXPWKYWQBWWJWWHWYKYWQBW
      YKWWJWFWYKWFWJZYWQWWDWWFUXQZWKYWQWWJWYCYWMXAZYGWFWFWJZYWQWFUYAZWKUXRABWYK
      WWHWCZXUPVQZWXNYWMABWYKWFYWSAYWTWKYXBAYXCWKUXSZWRYHUYBUYCYHYWQXUKYVHWTVKZ
      BWYKVLZCWAVNZXUCYWPURZVFURZYVHWTVKZUOYWPXMZVLZCWAVNWYCYXIYWMWYCYVLYXIYVRW
      YCYVKYXHCWAWYCYVKYXHYWIYXGBWYKWYCYVKBWYCBXOZYWBXPYWIXYIYXGYWIXYIVRZXUKYVG
      YVHWTWYCXYIXUKYVGWOYVKXYJWYMYVFVFWYCXYIWYMYVMYVFWYCWWHWYLXUNYUPUYDYWHUYEZ
      XRZYAYXPYVKYWJYVIWYCYVKXYIXTWYCXYIYWJYVKYWKYAYWLUXTYDYEUXMYEUYFYFZWLYWQYX
      HYXNCWAYWQYVSVRZYXHYXNYXTYXHVRZYXNYXLUOWYKVLYYAYXLUOWYKYYAXUCWYKVQZVRZYXK
      XUCNURZWWJXUCVCVAZVSURZVTZVCVAZVFURZYVHWTYWQYYBYXKYYIWOYVSYXHYWQYYBVRZYXJ
      YYHVFYYJBXUCYWOYYHWYKYWPWFYYJYWPUYGWYCYYBWWHXUCWOZYWOYYHWOYWMWYCYYBVRZYYK
      VRWYMYYDYWNYYGVCYYKYYLWYMXUDYYDWWHXUCWYLYIZXYJWYMYVFWOZYJYYLXUDYYDWOZYJBU
      OYYKXYJYYLYYNYYOYYKXYIYYBWYCBUOWYKUYHUYJYYKWYMXUDYVFYYDYYMWWHXUCNYIZUYIUY
      KYXQUYLUYMYYKYWNYYGWOYYLYYKWYNYYFYYKWWKYYEVSWWHXUCWWJVCUYSXRUYNWMUYOYBYWQ
      YYBXAYYJYYDYYGWYCYYBYYDWFVQYWMYYLXUCXUNURZYYDWFYYBYYQYYDWOWYCXUCWYKNXEWMW
      YCWYKWFXUCXUNXUQUYPUYQYAZYWMYYBYYGWFVQWYCYWMYYBVRZYYFYYSYYEYYSYYEYYSWWJXU
      CYWMYYBUYTYYBXUCWAVQYWMXUCWWDWWFXGWMYKZYGYLZUYRYOZYMZVUAXRXSYYCYYIYYDVFUR
      ZYVHYWQYYBYYIWAVQYVSYXHYYJYYHUUUCYNXSYWQYYBUUUDWAVQYVSYXHYYJYYDYYRYNZXSYW
      QYVSYXHYYBVUBYWQYYBYYIUUUDWTVKYVSYXHYYJUUUDYYGVFURZVCVAUUUDUSVCVAZYYIUUUD
      WTYYJUUUFUSUUUDYYJYYGUUUBYNYYJVUCUUUEYYJYYDYYRVUDYWMYYBUUUFUSWTVKWYCYYSUU
      UFYYFVFURZUSWTYYSYYFUUUAVUEYYSYYEWAVQUUUHUSWTVKYYTYYEVUFWIYDYOVUGYYJYYDYY
      GYYRUUUBVUHYYJUUUGUUUDYYJUUUDYYJUUUDUUUEYGVUIYPVUJXSYYAUUUDYVHWTVKZUOWYKW
      YCYXHUUUIUOWYKVLZYWMYVSWYCYXHVRZYVIBWYKVLZUUUJUUUKYXHUUULWYCYXHXAUUUKYXGY
      VIBWYKWYCYXHBYXOYXGBWYKYCXPWYCXYIYXGYVIYJYXHXYJYXGYVIXYJYXGVRYVGXUKYVHWTX
      YJYVGXUKWOYXGXYJXUKYVGYXRYPWLXYJYXGXAYDYEYAVUKYFYVIUUUIBUOWYKYYKYVGUUUDYV
      HWTYYKYVFYYDVFYYPXRVULVUSVUMXSVUTUUSYDXHYYAYXLUOYXMWYKYWQYXMWYKWOZYVSYXHY
      WQYWOWFVQZBWYKVLUUUMYWQUUUNBWYKYWQXYIVRWYMYWNWYCXYIWYMWFVQZYWMWYCWYKWFWWH
      WYLYUQUYPZYAYWMXYIYWNWFVQWYCYWMXYIVRZWYNUUUQWWKUUUQWWKUUUQWWJWWHYWMXYIUYT
      XYIXWMYWMXYRWMYKZYGYLUYRYOYMXHBWYKYWOWFVUNWIWRVUOXKYEUXNYFUXOYAWYCXYIUUUO
      WXLUUUPYAWYDXYIVRZWWJWFVQZVRZWWKUUVAWWJWWHUUUSUUUTXAXYIWWHWFVQZWYDUUUTWYK
      WFWWHYWTUVHZYQYMYLXYIYWMWYNVFURUSWTVKZWYDXYIYWMVRWWKWAVQZUUVDYWMXYIUUVEUU
      URVUPWWKVUFWIYOWYCWYEWFVQWXLWYCWYEOWFWYCBWWFXVSOWWGFXWDFBWWGXVSWCZWOWYCUM
      WKZWYCXVQVRZXVSXVROUUVHXVPHXVRUUVHWWHWWDUUVHWWDWWHWYCXWKXVQXVLWLUUVHWWDWW
      FWWHVHWYCWWDWWFVHVKZXVQUEWLXVQWWFWWHWOZWYCUUVJXVQWWFWWHVUQZVURWMVVAUVLUVM
      UVNXVQXVROWOWYCXVQOWWIVVBZWMUWEWYCWWDWWFWWFXVLXVNXVNYVDWYCWWFXVNVVCUUTUGV
      UAXWEXNWLWYTXLWYCWYHWFVQWXLWYCWYHHWFWYCBWWDXVSHWWGFXWBUUVGXVPXVSHWOWYCXVP
      HXVRVVBWMWYCXXGXXHYVCWWDWWGVQWYCWWDXVLXCWYCWWFXVNXCYVDWWDWWFVVDWSUHVUAXWC
      XNWLXUAXLXULXLAWXLWWQVPVQWXNWXMWWPPAWXLXAZAPVPVQWXLAPUAVVEWLZVVIZYAWYDUUU
      TVRZWYFUUVPWWJWWFWYDUUUTXAZWYCWWFWFVQWXLUUUTWYCWWFXVNYGWRYMYLWYCYWMWYGVFU
      RUSWTVKZWXLYWQWYFWAVQUUVRYWQWWJWWFYXAWYCXWLYWMXVNWLYKWYFVUFWIYAUUVPWYIUUV
      PWWJWWDUUVQWYCWWDWFVQWXLUUUTWYCWWDXVLYGWRYMYLWYCYWMWYJVFURUSWTVKZWXLYWQWY
      IWAVQUUVSYWQWWJWWDYXAWYCXWKYWMXVLWLYKWYIVUFWIYAXUJXUBXULUTVAZWWQVGVAZUSUT
      VAZUUCURUSUTXUIUUWBUUCXUHUUWAUSUTXUGUUVTWWQVGXUFXULXUBUTUOBWYKXUEXUKXUCWW
      HWOXUDWYMVFXUCWWHWYLYIXRVVFVVGVVHVVHVVJVVHVVKWYCWYBWYSXIWXLWYCWYAWYRUNVMW
      YCWWSVMVQZVRZWXTWYQQWWTUUWDWWJWWTVQZVRZWXSWYPWWQVHUUWFWXRWYOVFUUWFAWXNWWJ
      VPVQZWXRWYOWOAWXNUUWCUUWEVVLAWXNUUWCUUWEVUBUUWCUUWEUUWGWYCUUWCUUWEVRZWWJU
      UWEYWMUUWCWWJWWSVIXGZWMZUUWHVOWWSWWJUUWHVVMUUWCWWSWAVQUUWEWWSVVSWLZUUWJUU
      WCVOWWSVHVKUUWEWWSVVNWLUUWHWWSXBVQVIXBVQZUUWEWWSWWJVHVKUUWHWWSUUWKXCUUWLU
      UWHVVOWKUUWCUUWEXAWWSVIWWJUVKWSVVPVVQYOWYCUUWGVRZBWYKWXQVEZWXRWYOUUWMBWWD
      WWFWXQWYCXWKUUWGXVLWLZWYCXWLUUWGXVNWLZUUWMXVTVRZWXPWWLWYCXVTWXPWFVQZUUWGW
      YCWWGWFWWHFXXSUYPZYAUUWQWWKUUWQWWJWWHUUWGUUUTWYCXVTWWJVVTZYQWYCXVTUUVBUUW
      GXWAWWHXWQYGZYAYMYRYMVVRUUWMBCWWDWWFWWJFWYLUUWOUUWPWYCYVCUUWGYVDWLWYCFWWG
      WFWGVAZVQUUWGWYCFBWWGWXPWCZUUXBWYCBWWGWFFXXSUXAZWYCUUXCBWWGXVPHXVQOWWHXUS
      URZWPZWPZWCZUUXBWYCFUUVFUUXCUUXHUUVGUUXDWYCBWWGXVSUUXGXWAXVPXVRUUXFHXWAXV
      PVWAZVRZXVQXVRUUXFWOZXVQUUXKUUXJXVQXVROUUXFUUVLXVQOUUXEVVBVWBWMUUXJXVQVWA
      ZVRZUUXFUUXEWWIXVRUUXLUUXFUUXEWOUUXJXVQOUUXEVWCWMUUXMXYIUUXEWWIWOUUXMWWDW
      WFWWHXWAXXGUUXIUUXLXXJWRXWAXXHUUXIUUXLXXKWRXWAXWMUUXIUUXLXWQWRUUXJXYNUUXL
      UUXJWWDWWHWYCXWKXVTUUXIXVLWRXWAXWMUUXIXWQWLXWAXXIUUXIXXLWLUUXIWWHWWDYSXWA
      WWHWWDVWDWMVWEWLXWAUUXLXYSUUXIXWAUUXLVRWWHWWFXWAXWMUUXLXWQWLWYCXWLXVTUUXL
      XVNWRXWAXXMUUXLXXNWLUUXLWWFWWHYSXWAXVQWWFWWHUUVJXVQUUVKVWFVWJWMVWEYAVWGWW
      HWYKMXEWIUUXLWWIXVRWOUUXJUUXLXVRWWIXVQOWWIVWCYPWMUVQVWHVWIVWKVWLWYCBWWDWW
      FHXUSUUXHOYXOUUXHXLXVLXVNUFUGUHVWMXNXNWLWYLXLWYCWYLXUPVQUUWGWYCWYLXUNXUPY
      UPUJXNWLWYCYXIUUWGYXSWLWYCUUWGXAVWNUXBXJXRVULVWOVWRWLXKVWPWXOWYAWXAUNVMAW
      XNWYAWXAXIWXLWYCWXTWWRQWWTWYCUUWEVRZWXSWWOWWQVHUUXNWXRWWNVFUUXNUUWNBWYKWW
      MVEZWXRWWNWYCUUWNUUXOWOUUWEWYCUUXOUUWNWYCBWYKWWMWXQXYJWWIWXPWWLVCXYTVWQVW
      SYPWLUUXNBWWDWWFWXQWYCXWKUUWEXVLWLZWYCXWLUUWEXVNWLZUUXNXVTVRZWXPWWLWYCXVT
      UUWRUUWEUUWSYAUUXRWWKUUXRWWJWWHUUWEUUUTWYCXVTUUWEWWJUUWIYGYQWYCXVTUUVBUUW
      EUUXAYAYMYRZYMVVRUUXNBWWDWWFWWMUUXPUUXQUUXRWWIWWLWYCXVTWWIWFVQZUUWEXXQYAU
      UXSYMVVRVWLXRVULVWOYAVXJVWTXHXHAWXDWXKJVPWXMWXDWXKWXMWXDWWRKWXCVLZQWXIVLZ
      LVMVNZWXKWXMWXDVRZWWRWXCKUNLWXAUNVMVXAZKWXCUUYEWAVHVXBZWCZUUEWAVHVXCZUUYG
      QWXMWXDKWXMKXOWXBKWXCYCXPWXMWXDQWXMQXOZWXBQKWXCQWXCVXDWXAQUNVMQVMVXDWWRQW
      WTYCVXEVXFXPKWXCUUYFVXGWXCVXHVQZUUYDVOPVXIZWKWXMWXDXAUUYEXLUUYGXLUUYHXLVX
      KWXMUUYCVRZUUYCWXKWXMUUYCXAUUYLUUYBWXJLVMWXMUUYCLWXMLXOUUYBLVMVXLXPWXMWXH
      VMVQZUUYBWXJYJYJUUYCWXMUUYMUUYBWXJWXMUUYMUUYBVXMZWXGQWXIWXMUUYMUUYBQUUYIU
      UYMQXOUUYAQWXIYCVXNUUYNWWJWXIVQZWXGUUYNUUYOVRZWXFWXCWWOKVXOZWWPUUYPWXEWXM
      UUYMUUYOWXEWFVQZUUYBAUUYMUUYOUUYRWXLAUUYMVRZUUYOVRZWXEWXCWWNKVXOZWFUUYTAU
      UWGWXEUVUAWOAUUYMUUYOVXPUUYMUUYOUUWGAUUYMUUYOVRZWWJUUYOYWMUUYMWWJWXHVIXGZ
      WMZUVUBVOWXHWWJUVUBVVMUUYMWXHWAVQUUYOWXHVVSWLZUVUDUUYMVOWXHVHVKUUYOWXHVVN
      WLUVUBWXHXBVQUUWLUUYOWXHWWJVHVKUVUBWXHUVUEXCUUWLUVUBVVOWKUUYMUUYOXAWXHVIW
      WJUVKWSVVPVVQYOZAUUWGVRZWXEBXVGWWMVEBVOGURZPGURZVBVAZWWMVEUVUAUVUGBDEWWMA
      XWGUUWGRWLAXWIUUWGSWLUVUGWWHXVGVQZVRZWWIWWLAUVUKUUXTUUWGAXVGWFWWHMTUYPYAU
      VULWWKUVULWWJWWHUUWGUUUTAUVUKUUWTYQAUVUKUUVBUUWGAUVUKVRWWHAXVGWAWWHXVHUXK
      YGYAYMYRYMZVVRUVUGBXVGUVUJWWMAXVGUVUJWOUUWGADUVUHEUVUIVBAUVUHDUCYPAUVUIEU
      DYPUYOZWLVXQUVUGBWWMGKVOPUVUGVXRAPVOUSUTVAZVYJURZVQUUWGAPVMUVUPUAVMUSVYJU
      RUVUPVYAUVUOUSVYJVXSVVJVXTVYBWLAXVFUUWGXVIWLAWXNUUVIUUWGUEYAUVUGWWHUVUJVQ
      ZUVUKWWMWFVQZAUVUQUVUKUUWGAUVUQVRWWHUVUJXVGAUVUQXAAUVUJXVGWOUVUQAXVGUVUJU
      VUNYPWLXQYAUVUMXFUVUGWXNVRZBWWDWWFWWMAWXNXWKUUWGXVLYAZAWXNXWLUUWGXVNYAZUV
      USWWDWWFHWYIVDURZVCVABWYKWWMWCZOWYFVDURZVCVAUVUTUVVAUVUSBWWIWWLWYKAWXNBWY
      KWWIWCZXUPVQUUWGWYCXUSUVVEXUPWYCBXVGWFWYKMYULWYCWYKWWGXVGYUFYUEUWGVYCZUFU
      YQYAUVUSBWWKVDWYKVDYWRVQUVUSVYDWKUVUGBWYKWWKWCZXUPVQWXNUVUGBWWJWWHWYKUVUG
      BWYKWWJWFYWSUVUGYWTWKUUWGUUUTAUUWTWMZYXBUVUGYXCWKUXRAYXEUUWGYXFWLYHWLUYBY
      HUVUSBWYKWWIWWLWWFUVVEBWYKWWLWCZUVVCOUVVDUVVEXLZUVVIXLZUVVCXLZAWXNXYIUUXT
      UUWGXYJXVGWFWWHMAXWFWXNXYITWRXYJDEGWWCPWWHAXWSWXNXYIXXAWRAXWTWXNXYIXXCWRA
      XXEWXNXYIUBWRAWXNXYIXTXYLVYEWNYBZUVUSXYIVRZWWKUVVNWWJWWHUVUGUUUTWXNXYIUVV
      HWRZXYIUUVBUVUSUUVCWMZYMYRZAWXNOUVVEWWFWQVAZVQUUWGWYCOXWDUVVRUGWYCXUSUVVE
      WWFWQUVVFVWQXQYAUVUSBCWYKWAWYFUVVDWWKYVHVDURZWWLWWFUVUGXYIUUVEWXNWWKWYFYS
      UUWGXYIUUVEAUUWGXYIVRWWJWWHUUWGYWMXYIWWJVYFZWLXYIXWMUUWGXYRWMYKYOZVYGYVSU
      VVSWFVQUVUSYVSYVHYVHVYKYRWMZUVUSBWYKWWJWWHWWFBWYKWWJWCZYXDUVVGWWJWWFUVWCX
      LZYXDXLZUVVGXLZUVVOUVVPUVUSBWYKWWJWWFUVWCUVWDYWSUVUSYWTWKZUVUGUUUTWXNUVVH
      WLZUVUSWWFUVVAYGZVYHUVUSBWYKYXDWWFUVWGUVWEUVWIVYIVYLUVUSCWAWYFWAUVVSUVVDC
      WAUVVSWCWAWAWGVAVQZUVUSUVWJYTCWFWFWAWAUVVSCWFUVVSWCZUVWKXLYTUVWKVDYWRYTCW
      FWFVDWFWFVDWHYTVYMWKUXAVYDVYNXVCYTUUIWKZUVWLYVSUVVSWAVQYTYVHVYOWMVYPVYQWK
      ZUVUSWWJWWFUUWGYWMAWXNUVVTYQZUVVAYKYVHWYFVDYIVYRYVHWWKVDYIZWWKWYFWOWWLUVV
      DWOUVUSXYIWWKWYFVDYIVYTVYSVYLUVUSBWYKWWIWWLWWDUVVEUVVIUVVCHUVVBUVVJUVVKUV
      VLUVVMUVVQAWXNHUVVEWWDWQVAZVQUUWGWYCHXWBUVWPUHWYCXUSUVVEWWDWQUVVFVWQXQYAU
      VUSBCWYKWAWYIUVVBWWKUVVSWWLWWDUVUGXYIUUVEWXNWWKWYIYSUVWAVYGUVWBUVUSBWYKWW
      JWWHWWDUVWCYXDUVVGWWJWWDUVWDUVWEUVWFUVVOUVVPUVUSBWYKWWJWWDUVWCUVWDUVWGUVW
      HUVUSWWDUVUTYGZVYHUVUSBWYKYXDWWDUVWGUVWEUVWQVYIVYLUVUSCWAWYIWAUVVSUVVBUVW
      MUVUSWWJWWDUVWNUVUTYKYVHWYIVDYIVYRUVWOWWKWYIWOWWLUVVBWOUVUSXYIWWKWYIVDYIV
      YTVYSVYLWUAUVUSXVTVRUVUGUVUKUVURUVUGWXNXVTVXPAWXNXVTUVUKUUWGXXPYBUVUMXDWU
      BZWUCUWRXDZUUYTWXCWWNKUUYJUUYTUUYKWKZUUYTWXNVRZBWWGWWMWFAUUYOWXNXVTUVURUU
      YMAUUYOVRZWXNVRXVTVRZWWIWWLAWXNXVTUUXTUUYOXXQYBUVXCWWKUVXCWWJWWHUVXBUUUTW
      XNXVTUUYOUUUTAUUYOWWJUVUCYGWMWRAWXNXVTUUVBUUYOUUXAYBYMYRYMWUDUVXAAUUWGWXN
      BWWGWWMWCWDVQAUUYMUUYOWXNVVLUUYTUUWGWXNUVUFWLUUYTWXNXAUVWRXJWUEZWUHXNYBWU
      FYNWXMUUYMUUYOUUYQWAVQZUUYBAUUYMUUYOUVXEWXLUUYTWXCWWOKUVWTUVXAWWNUVXDYNWU
      GYBWUFWXMUUYMUUYOWWPWAVQZUUYBWXLUVXFAUUYOWWPVYFYQWUIWXMUUYMUUYOWXFUUYQWTV
      KZUUYBAUUYMUUYOUVXGWXLUUYTWXFUVUAVFURUUYQWTUUYTWXEUVUAVFUVWSXRUUYTWXCWWNK
      UVWTUVXDWUJYDYBWUFUUYPWXCBUPUQZGURZUVXHUSUTVAZGURZVBVAZWWMVEZVFURZUPVXOZW
      XCWWQUPVXOZUUYQWWPVHUUYPWXCUVXNWWQUPUUYJUUYPUUYKWKWXMUUYMUUYOWXCWUKYSZUUY
      BAUVXQWXLUUYOAVOWXCVQZUVXQAVOWULVQPWULVQVOPVHVKUVXRAVXRAPUAWUMAPUAWUNVOPW
      UOWUPWXCVOWUSWIWRWUIUUYPUVXHWXCVQZVRZUVXMUVXTUUYSUUYOUVXSUVXMWFVQZUVXTAUU
      YMUUYNAUUYOUVXSAWXLUUYMUUYBWUQWRWXMUUYMUUYBUUYOUVXSWURWUTUUYNUUYOUVXSXTZU
      UYPUVXSXAZUVXAWWNWFVQZYJUUYTUVXSVRZUVYAYJKUPWWCUVXHWOZUVXAUVYEUVYDUVYAUVY
      FWXNUVXSUUYTKUPWXCUYHUYJUVYFWWNUVXMWFUVYFBWWGUVXLWWMUVYFWWDUVXIWWFUVXKVBW
      WCUVXHGYIUVYFWWEUVXJGWWCUVXHUSUTWVAXRUYOVXQZWVBUYKUVXDUYLXJYNUUYNWWQWAVQZ
      UUYOUVXSWXMUUYMUVYHUUYBWXMWWQUUVOWVCWVDWRUVXTUUYBUUYOUVXSUVXNWWQVHVKZWXMU
      UYMUUYBUUYOUVXSWVEUVYBUVYCUUYBUUYOVRZUVXSUVYIUPWXCVLZUVYIUVYJUVXSVRUUYAUV
      YKUVYJUUYAUVXSUUYAQWXIWVFWLWWRUVYIKUPWXCUVYFWWOUVXNWWQVHUVYFWWNUVXMVFUVYG
      XRVULVUSVUMUVYIUPWXCWVFWVGXJWVHUVXOUUYQWOUUYPWXCUVXNWWOUPKUVXHWWCWOZUVXMW
      WNVFUVYLBUVXLWWGWWMUVYLUVXIWWDUVXKWWFVBUVXHWWCGYIUVYLUVXJWWEGUVXHWWCUSUTW
      VAXRUYOVXQXRWVIWKWXMUUYMUUYOUVXPWWPWOZUUYBWXMUVYMUUYOWXMUVXPWXCWVJURZWWQV
      CVAZPWWQVCVAZWWPWXMUUYJWWQWFVQUVXPUVYOWOUUYKWXMWWQUUVOWVKWXCWWQUPWVLUWOAU
      VYOUVYPWOWXLAUVYNPWWQVCAPWVMVQUVYNPWOAPUAWVNPWVOWIVWQWLWXMWWPPWXMWWPUUVMW
      VKWXMPUUVNWVKWXMPUUVNWVPWVQUWRWLWUIWVRWVSYEUXMWVTWLWWAYFXFYEWWBYF $.
  $}

  ${
    $d E s $.  $d F s x $.  $d H s $.  $d M i j $.  $d M i m p $.  $d M i s $.
    $d Q i p $.  $d Q i s $.  $d R s $.  $d V i j $.  $d V i p $.
    $d V i s x $.  $d W s x $.  $d X i j $.  $d X i m p $.  $d X i s x $.
    $d Y s $.  $d i j ph $.  $d ph s $.
    fourierdlem74.xre $e |- ( ph -> X e. RR ) $.
    fourierdlem74.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( -u _pi + X ) /\ ( p ` m ) = ( _pi + X ) ) /\ A. i e. ( 0
       ..^ m ) ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem74.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem74.x $e |- ( ph -> X e. ran V ) $.
    fourierdlem74.y $e |- ( ph -> Y e. RR ) $.
    fourierdlem74.w $e |- ( ph -> W e. ( ( F |` ( -oo (,) X ) ) limCC X ) ) $.
    fourierdlem74.h $e |- H = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 0 , (
       ( ( F ` ( X + s ) ) - if ( 0 < s , Y , W ) ) / s ) ) ) $.
    fourierdlem74.m $e |- ( ph -> M e. NN ) $.
    fourierdlem74.v $e |- ( ph -> V e. ( P ` M ) ) $.
    fourierdlem74.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( V `
       i ) (,) ( V ` ( i + 1 ) ) ) ) limCC ( V ` ( i + 1 ) ) ) ) $.
    fourierdlem74.q $e |- Q = ( i e. ( 0 ... M ) |-> ( ( V ` i ) - X ) ) $.
    fourierdlem74.o $e |- O = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = -u _pi /\ ( p ` m ) = _pi ) /\ A. i e. ( 0 ..^ m ) ( p ` i )
       < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem74.g $e |- G = ( RR _D F ) $.
    fourierdlem74.gcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( G |` ( ( V ` i )
       (,) ( V ` ( i + 1 ) ) ) ) : ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) --> RR )
       $.
    fourierdlem74.e $e |- ( ph -> E e. ( ( G |` ( -oo (,) X ) ) limCC X ) ) $.
    fourierdlem74.a $e |- A = if ( ( V ` ( i + 1 ) ) = X , E , ( ( R - if ( ( V
       ` ( i + 1 ) ) < X , W , Y ) ) / ( Q ` ( i + 1 ) ) ) ) $.
    $( Given a piecewise smooth function ` F ` , the derived function ` H ` has
       a limit at the upper bound of each interval of the partition ` Q ` .
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem74 $p |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> A e. ( ( H |` ( ( Q ` i
       ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $=
      ( vx vj cv cc0 co wcel wa caddc cfv wceq cioo cres climc cmin cdiv cr cdv
      cmpt cpi cicc wss pire a1i readdcld adantr sseldd sylan2 ad2antrr clt wbr
      wb syl mpbid simprrd biimpi adantl wf ioossre fssresd limcresi sselid cxr
      cmnf cle mnfxr rexrd mnfltd syl2anc resabs1d oveq1d eleqtrd cdm ax-resscn
      eqid crn cc eqtrd oveq2 cbvmptv cif iftrue syl5eq eqcomd lesub1dd eqbrtrd
      recnd w3a breqtrd simpr fvmpt2 ffvelrnd 3eqtrd wn mpbird eqeltrd iffalsed
      adantlr 0red ltnsymd oveq2d eliood 3eltr4d 3adantl3 mpteq2dva 3adant3 cfz
      cfzo elfzofz cneg renegcli fourierdlem15 ffvelrnda cmap wral fourierdlem2
      c1 iccssred cn r19.21bi eqcom breqtrrd xrltled iooss1 ctg cnt fssd ccnfld
      ssid ctopn tgioo2 dvres syl22anc eqcomi ioontr reseq12i dmeqd reseq2d fdm
      feq12d sseqtrid eqtr2d fveq2d fourierdlem60 reseq1i ioossicc rexri pncand
      id resubcld elicc2 simp2d simp3d eliccd fmptd fourierdlem8 sstrid resmptd
      fveq2 eqtri fzofzp1 simpld elmapi fvmptd oveq1 subidd sylanl2 simplr wrex
      oveq12d fourierdlem14 wfn ffn fvelrnb ex reximdva mpd fourierdlem12 an32s
      3syl elioore elioo3g ad3antrrr iccssre mp2an sstri addcomd npcand 3eqtrrd
      pm2.65da ltadd2dd ltaddneg fvres mpteq12dva limccl ifcld 3ad2antl1 subcld
      simprld csn velsn sylnibr pncan3d fourierdlem53 ioosscn constlimc sublimc
      eldifd ltned ltled suble0d ltletrd simpl1 simpl2 wne neqne necomd lttri5d
      3ad2antl3 ltnled condan lelttrd iftrued syl21anc pm2.61dan idlimc subne0d
      3ad2ant3 eqnetrd neqned divlimc lptioo2cn limcrecl fourierdlem9 feqresmpt
      iffalse sselda 0cnd divcld 3expa ) AFURZUSLUUBUTZVAZVBZVVOUUKVCUTZNVDZPVE
      ZBKVVODVDZVVSDVDZVFUTZVGZVWCVHUTZVAZVVRVWAVBZHRVVONVDZPVIUTZUSVFUTZPRURZV
      CUTZIVWIPVFUTZVGZVDZOVIUTZVWLVJUTZVMZUSVHUTBVWFVWHVWIPUPVWKUPURZVMHVWOVKV
      WOVLUTZVWSUPVWKPVWTVCUTZVWOVDZOVIUTZVMORVVRVWIVKVAZVWAVVQAVVOUSLUUAUTZVAZ
      VXEVVOUSLUUCZAVXGVBZVNUUDZPVCUTZVNPVCUTZVOUTZVKVWIAVXMVKVPVXGAVXKVXLAVXJP
      VXJVKVAZAVNVQUUEZVRZTVSZAVNPVNVKVAZAVQVRZTVSZUULVTAVXFVXMVVONAVXKVXLCNFGL
      SUAUGUHUUFZUUGZWAZWBZVTAPVKVAZVVQVWATWCVWHVWIVVTPWDVVRVWIVVTWDWEZVWAAVYFF
      VVPANVKVXFUUHUTVAZUSNVDVXKVELNVDVXLVEVBZVYFFVVPUUIZANLCVDVAZVYGVYHVYIVBZV
      BZUHALUUMVAZVYJVYLWFUGVXKVXLCNFGLSUAUUJWGWHZWIUUNVTVWAPVVTVEZVVRVWAVYOVVT
      PUUOWJWKUUPAVWNVKVWOWLVVQVWAAVKVKVWNIUBVWNVKVPZAVWIPWMVRZWNWCVVROVWOPVHUT
      ZVAVWAVVROIWRPVFUTZVGZVWNVGZPVHUTZVYRAOWUBVAVVQAVYTPVHUTZWUBOPVWNVYTWOUEW
      PVTVVRWUAVWOPVHVVRIVWNVYSVVRWRWQVAZWRVWIWSWEVWNVYSVPWUDVVRWTVRZVVRWRVWIWU
      EVVRVWIVYDXAZVVRVWIVYDXBUUQWRVWIPUURXCZXDXEXFVTVXAXIVWHVXAXGZJVWNVGZXGZVW
      NAWUHWUJVEVVQVWAAVXAWUIAVXAVKIVLUTZVWNVFXJUUSVDZUUTVDVDZVGZWUIAVKXKVPZVKX
      KIWLVKVKVPZVYPVXAWUNVEWUOAXHVRZAVKVKXKIUBWUQUVAWUPAVKUVCVRVYQVKVWNVKWULIU
      VBUVDVDZWURXIZWURWUSUVEUVFUVGZWUNWUIVEAWUKJWUMVWNJWUKULUVHVWIPUVIUVJVRZXL
      UVKWCVWHVWNVKWUIWLZWUJVWNVEVWHVWIVVTVFUTZVKJWVCVGZWLZWVBVVRWVEVWAUMVTVWAW
      VEWVBWFVVRVWAWVCVWNVKWVDWUIVWAWVCVWNJVVTPVWIVFXMZUVLWVFUVNWKWHVWNVKWUIUVM
      WGXLVVRHVXAPVHUTZVAVWAVVRHWUIPVHUTZWVGVVRJVYSVGZPVHUTZWVHHVVRWVIVWNVGZPVH
      UTWVJWVHPVWNWVIWOVVRWVKWUIPVHVVRJVWNVYSWUGXDXEUVOAHWVJVAVVQUNVTWAAWVHWVGV
      EVVQAWUIVXAPVHAVXAWUNWUIWUTWVAUVPXEVTXFVTVWSXIUPRVWKVXDVWQVWTVWLVEZVXCVWP
      OVIWVLVXBVWMVWOVWTVWLPVCXMUVQXEXNUPRVWKVWTVWLWVLUWCXNUVRVWABHVEVVRVWABVWA
      HEVVTPWDWEZOQXOZVIUTZVWCVJUTZXOZHUOVWAHWVPXPXQWKVWHVWEVWSVWCUSVHVWHVWERVX
      JVNVOUTZVWLUSVEZUSVWMIVDZUSVWLWDWEZQOXOZVIUTZVWLVJUTZXOZVMZVWDVGZRVWDWWEV
      MZVWSVWEWWGVEVWHKWWFVWDUFUVSVRVVRWWGWWHVEVWAVVRRWVRVWDWWEVVRVWDVWBVWCVOUT
      WVRVWBVWCUVTVVRVXJVNDVVOLVXJWQVAVVRVXJVXOUWAVRVNWQVAVVRVNVQUWAVRAVXFWVRDW
      LVVQAFVXFVWJWVRDVXIVXJVNVWJVXNVXIVXOVRVXRVXIVQVRZVXIVWIPVYCAVYEVXGTVTZUWD
      ZVXIVXJVXKPVIUTZVWJWSAVXJWWLVEVXGAWWLVXJAVXJPAVXJVXPYAAPTYAZUWBXRVTVXIVXK
      VWIPAVXKVKVAZVXGVXQVTZVYCWWJVXIVXEVXKVWIWSWEZVWIVXLWSWEZVXIVWIVXMVAZVXEWW
      PWWQYBZVYBVXIWWNVXLVKVAZWWRWWSWFWWOAWWTVXGVXTVTZVXKVXLVWIUWEXCWHZUWFXSXTV
      XIVWJVXLPVIUTVNWSVXIVWIVXLPVYCWXAWWJVXIVXEWWPWWQWXBUWGXSVXIVNPVXIVNWWIYAA
      PXKVAZVXGWWMVTUWBYCUWHZUJUWIVTAVVQYDUWJUWKZUWLVTVWHRVWDWWEVWKVWRVWHVWBVWJ
      VWCUSVFVVRVWBVWJVEZVWAVVRVXGVWJVKVAZWXFVVQVXGAVXHWKVVQAVXGWXGVXHWWKWBZFVX
      FVWJVKDUJYEXCZVTVWHVWCVVTPVIUTZPPVIUTZUSVVRVWCWXJVEZVWAVVRUQVVSUQURZNVDZP
      VIUTZWXJVXFDVKDUQVXFWXOVMZVEVVRDFVXFVWJVMWXPUJFUQVXFVWJWXOVVOWXMVEVWIWXNP
      VIVVOWXMNUWMXEXNUWNVRWXMVVSVEZWXOWXJVEVVRWXQWXNVVTPVIWXMVVSNUWMXEWKVVQVVS
      VXFVAAUSLVVOUWOWKZVVRVVTPVVRVXFVKVVSNAVXFVKNWLZVVQAVYGWXSAVYGVYKVYNUWPNVK
      VXFUWQWGVTWXRYFZAVYEVVQTVTZUWDUWRZVTVWAWXJWXKVEVVRVVTPPVIUWSWKVVQAVXGVWAW
      XKUSVEZVXHVXIVWAVBPAWXCVXGVWAWWMWCUWTUXAYGZUXDVWHVWLVWDVAZVBZWWEWWDWVTOVI
      UTZVWLVJUTVWRWYFWVSUSWWDVVRWYEWVSYHZVWAVVRWYEVBZWVSWYEVVRWYEWVSUXBVVRWVSW
      YEYHZWYEAWVSVVQWYJAWVSVBZVXJVNMDFGLVWLSUKAVYMWVSUGVTADLMVDVAWVSAVXJVNCDFG
      LMNPSVXPVXSTUAUKUGUHUJUXEVTWYKVWLUSDXJZAWVSYDAUSWYLVAZWVSAWYMVWBUSVEZFVXF
      UXCZAVWIPVEZFVXFUXCZWYOAPNXJVAZWYQUCAVXFVXMNWLNVXFUXFWYRWYQWFVYAVXFVXMNUX
      GFVXFPNUXHUXNWHAWYPWYNFVXFVXIWYPWYNVXIWYPVBVWBVWJWXKUSVXIWXFWYPVXIVXGVWJW
      VRVAWXFAVXGYDWXDFVXFVWJWVRDUJYEXCZVTWYPVWJWXKVEVXIVWIPPVIUWSWKAWYCVXGWYPA
      PWWMUWTZWCYGUXIUXJUXKAVXFVKDWLZDVXFUXFWYMWYOWFAFVXFVWJVKDWWKUJUWIZVXFVKDU
      XGFVXFUSDUXHUXNYIVTYJUXLUXMYLUYDZYLYKWYFWWCWYGVWLVJWYFWWBOWVTVIWYFWWAQOWY
      FVWLUSWYEVWLVKVAZVWHVWLVWBVWCUXOZWKZWYFYMWYFVWLVWCUSWDWYEVWLVWCWDWEZVWHWY
      EVWBWQVAVWCWQVAVWLWQVAYBZVWBVWLWDWEZXUGWYEXUHXUIXUGVBVBVWBVWCVWLUXPWJZWIZ
      WKVWHVWCUSVEWYEWYDVTYCZYNYKYOXEWYFWYGVWQVWLVJWYFWVTVWPOVIWYFVWMVWNVAZWVTV
      WPVEWYFVWIPVWMVVRVWIWQVAZVWAWYEWUFWCAPWQVAVVQVWAWYEAPTXAUXQWYFPVWLVVRVYEV
      WAWYEWYAWCZXUFVSVVRWYEVWIVWMWDWEVWAWYIVWIPVWBVCUTZVWMWDVVRVWIXUPVEWYEVVRX
      UPVWBPVCUTVWJPVCUTVWIVVRPVWBAWXCVVQWWMVTZVVRWVRXKVWBWVRVKXKVXNVXRWVRVKVPV
      XOVQVXJVNUXRUXSXHUXTVVQAVXGVWBWVRVAVXHVXIVWBVWJWVRWYSWXDYJWBWPUYAVVRVWBVW
      JPVCWXIXEVVRVWIPVVRVWIVYDYAXUQUYBUYCVTWYIVWBVWLPVVRVWBVKVAZWYEVVRVWBVWJVK
      WXIWXHYJZVTWYEXUDVVRXUEWKZAVYEVVQWYETWCZWYEXUIVVRWYEXUHXUIXUGXUJUYMZWKUYE
      XTZYLWYFVWLUSWDWEZVWMPWDWEZXULWYFXUDVYEXVDXVEWFXUFXUOVWLPUYFXCWHYPXUMVWPW
      VTVWMVWNIUYGXRWGXEXEYGUYHYGWYDUXDYQAVVQVWAYHZVWGAVVQXVFYBZWVPRVWDWWDVMZVW
      CVHUTBVWFXVGRVWDWWCVWLVWCRVWDWWCVMZRVWDVWLVMZXVHWVOVWCXVIXIZXVJXIZXVHXIXV
      GWYEVBZWVTWWBAVVQWYEWVTXKVAZXVFAWYEXVNVVQAWYEVBZWVTXVOVKVKVWMIAVKVKIWLZWY
      EUBVTXVOPVWLAVYEWYETVTWYEXUDAXUEWKVSZYFYAYLZYRAVVQWYEWWBXKVAZXVFAXVSWYEAW
      WAQOXKAQUDYAZAWUCXKOPVYTUYIUEWPZUYJZVTUYKUYLXVMVWLXKUSUYNZWYEVWLXKVAZXVGW
      YEVWLXUEYAZWKAVVQWYEVWLXWCVAZYHXVFWYIWVSXWFXUCRUSUYOUYPYRVUBXVGWVMWVOXVIV
      WCVHUTZVAZAVVQWVMXWHXVFVVRWVMVBZEOVIUTZRVWDWYGVMZVWCVHUTZWVOXWGVVRXWJXWLV
      AWVMVVRRVWDWVTOVWCERVWDWVTVMZRVWDOVMZXWKOXWMXIZXWNXIZXWKXIXVRAOXKVAZVVQWY
      EXWAWCVVRVWDWVCEVWCIXWMPRAXVPVVQUBVTWYAVWDVKVPVVRVWBVWCWMVRXWOWYIVWIVVTVW
      MVVRXUNWYEWUFVTVVRVVTWQVAZWYEVVRVVTWXTXAZVTAWYEVWMVKVAVVQXVQYLXVCWYIVWMPV
      WCVCUTZVVTWDWYIVWLVWCPXUTVVRVWCVKVAZWYEVVRVXFVKVVSDAXUAVVQXUBVTWXRYFZVTXV
      AWYEXUGVVRXUKWKZUYEVVRXWTVVTVEWYEVVRXWTPWXJVCUTVVTVVRVWCWXJPVCWYBYOVVRPVV
      TXUQVVRVVTWXTYAZUYQXLZVTYCYPWVCVKVPVVRVWIVVTWMVRWYIVWLVWCXUTXXCVUCVVREIWV
      CVGZVVTVHUTXXFXWTVHUTUIVVRVVTXWTXXFVHVVRXWTVVTXXEXRYOXFVVRVWCXXBYAZUYRZVV
      RRVWDOVWCXWNXWPVWDXKVPVVRVWBVWCUYSVRZAXWQVVQXWAVTXXGUYTVUAVTWVMWVOXWJVEVV
      RWVMWVNOEVIWVMOQXPYOWKXWIXVIXWKVWCVHXWIRVWDWWCWYGXWIWYEVBZWWBOWVTVIXXJWWA
      QOXXJVWLUSWYEXUDXWIXUEWKZXXJYMZXXJVWLVWCUSXXKVVRXXAWVMWYEXXBWCXXLWYEXUGXW
      IXUKWKXWIVWCUSWSWEWYEXWIVWCWXJUSWSVVRWXLWVMWYBVTXWIWXJUSWSWEVVTPWSWEXWIVV
      TPVVRVVTVKVAZWVMWXTVTZAVYEVVQWVMTWCZVVRWVMYDVUDXWIVVTPXXNXXOVUEYIXTVTVUFY
      NYKYOYSXEYQYRXVGWVMYHZVBZAVVQPVVTWDWEZXWHAVVQXVFXXPVUGAVVQXVFXXPVUHXXQPVV
      TAVVQXXPVYEXVFAVYEVVQXXPTWCYRAVVQXXPXXMXVFVVRXXMXXPWXTVTYRXVFAXXPPVVTVUIZ
      VVQXVFXXSXXPXVFVVTPVVTPVUJZVUKVTVUMXVGXXPYDVULVVRXXRVBZRVWDWVTWWBVWCEXWMR
      VWDWWBVMZXVIWVNXWOXYBXIXVKVVRWYEXVNXXRXVRYLAXVSVVQXXRWYEXWBUXQVVREXWMVWCV
      HUTVAXXRXXHVTXYAQRVWDQVMZVWCVHUTZWVNXYBVWCVHUTVVRQXYDVAXXRVVRRVWDQVWCXYCX
      YCXIXXIAQXKVAVVQXVTVTXXGUYTVTXYAWVMOQXYAPVVTAVYEVVQXXRTWCZVVRXXMXXRWXTVTV
      VRXXRYDYNYKXYAXYBXYCVWCVHXYARVWDWWBQXYAWYEVBZWWAQOXYFUSVWBVWLXYFYMVVRXURX
      XRWYEXUSWCWYEXUDXYAXUEWKXYAUSVWBWSWEWYEXYAUSVWJVWBWSXYAUSWXKVWJWSAUSWXKVE
      VVQXXRAWXKUSWYTXRWCXYAPVWIPXYEVVRVXEXXRVYDVTXYEXYAPVWIWSWEZPWVCVAZXYAXYGY
      HZVBVWIVVTPVVRXUNXXRXYIWUFWCVVRXWRXXRXYIXWSWCVVRVYEXXRXYIWYAWCVVRXYIVWIPW
      DWEZXXRVVRXYIVBZXYJXYIVVRXYIYDXYKVWIPVVRVXEXYIVYDVTAVYEVVQXYITWCVUNYIYLVV
      RXXRXYIUXBYPVVRXYHYHXXRXYIAVXKVXLCNFGLPSUAUGUHUCUXLWCVUOXSXTVVRVWJVWBVEXX
      RVVRVWBVWJWXIXRVTYCVTWYEXUIXYAXVBWKVUPVUQYSXEYQVUAVURVUSAVVQVWCXVJVWCVHUT
      VAXVFVVRRVWDXVJVWCXXIXVLXXGVUTYTXVGVWCWXJUSAVVQWXLXVFWYBYTXVGVVTPAVVQVVTX
      KVAXVFXXDYTAVVQWXCXVFXUQYTXVFAVVTPVUIVVQXXTVVBVVAVVCXVMVWLUSAVVQWYEWYHXVF
      XUCYRVVDVVEXVFABWVPVEVVQXVFBWVQWVPUOVWAHWVPVVJXQVVBXVGVWEXVHVWCVHAVVQVWEX
      VHVEXVFVVRVWERVWDVWLKVDZVMXVHVVRRWVRVKVWDKAWVRVKKWLVVQAIKOPQRUBTUDAVYSPVY
      TOAVKVKVYSIUBVYSVKVPAWRPWMZVRWNAVYSVKXKXYMWUQUWKAWRPWURWUSWUDAWTVRTAPTXBV
      VFUEVVGUFVVHVTWXEVVIVVRRVWDXYLWWDWYIXYLWWEWWDWYIVWLWVRVAWWEXKVAXYLWWEVEVV
      RVWDWVRVWLWXEVVKWYIWVSUSWWDXKWYIVVLWYIWWCVWLWYIWVTWWBXVRAXVSVVQWYEXWBWCUY
      LWYEXWDVVRXWEWKWYIVWLUSXUCVVDVVMUYJRWVRWWEXKKUFYEXCWYIWVSUSWWDXUCYKXLYSXL
      YTXEYQVVNVUS $.
  $}

  ${
    $d E s $.  $d F s x $.  $d H s $.  $d M i j $.  $d M i m p $.  $d M i s $.
    $d Q i p $.  $d Q i s $.  $d R s $.  $d V i j $.  $d V i p $.
    $d V i s x $.  $d W s $.  $d X i j $.  $d X i m p $.  $d X i s x $.
    $d Y s x $.  $d i j ph $.  $d ph s $.
    fourierdlem75.xre $e |- ( ph -> X e. RR ) $.
    fourierdlem75.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( -u _pi + X ) /\ ( p ` m ) = ( _pi + X ) ) /\ A. i e. ( 0
       ..^ m ) ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem75.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem75.x $e |- ( ph -> X e. ran V ) $.
    fourierdlem75.y $e |- ( ph -> Y e. ( ( F |` ( X (,) +oo ) ) limCC X ) ) $.
    fourierdlem75.w $e |- ( ph -> W e. RR ) $.
    fourierdlem75.h $e |- H = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 0 , (
       ( ( F ` ( X + s ) ) - if ( 0 < s , Y , W ) ) / s ) ) ) $.
    fourierdlem75.m $e |- ( ph -> M e. NN ) $.
    fourierdlem75.v $e |- ( ph -> V e. ( P ` M ) ) $.
    fourierdlem75.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( V `
       i ) (,) ( V ` ( i + 1 ) ) ) ) limCC ( V ` i ) ) ) $.
    fourierdlem75.q $e |- Q = ( i e. ( 0 ... M ) |-> ( ( V ` i ) - X ) ) $.
    fourierdlem75.o $e |- O = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = -u _pi /\ ( p ` m ) = _pi ) /\ A. i e. ( 0 ..^ m ) ( p ` i )
       < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem75.g $e |- G = ( RR _D F ) $.
    fourierdlem75.gcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( G |` ( ( V ` i )
       (,) ( V ` ( i + 1 ) ) ) ) : ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) --> CC )
       $.
    fourierdlem75.e $e |- ( ph -> E e. ( ( G |` ( X (,) +oo ) ) limCC X ) ) $.
    fourierdlem75.a $e |- A = if ( ( V ` i ) = X , E , ( ( R - if ( ( V ` i ) <
       X , W , Y ) ) / ( Q ` i ) ) ) $.
    $( Given a piecewise smooth function ` F ` , the derived function ` H ` has
       a limit at the lower bound of each interval of the partition ` Q ` .
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem75 $p |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> A e. ( ( H |` ( ( Q ` i
       ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $=
      ( vx vj cv cc0 co wcel wa cfv wceq caddc cioo cres climc cmin cdiv cr cdv
      cmpt ad2antrr wf cpi clt wbr wb syl adantr adantl ffvelrnd biimpi simprrd
      mpbid eqbrtrd wss ioossre a1i fssresd limcresi sselid cxr cle pnfxr rexrd
      cpnf ltpnfd syl2anc resabs1d oveq1d eleqtrd eqid cdm cc ax-resscn adantlr
      oveq1 eqtrd cbvmptv iftrue syl5eq cicc pire rexri readdcld resubcld recnd
      crn cif pncand eqcomd w3a lesub1dd breqtrd simpr fvmpt2 3eqtrd wn eqeltrd
      mpbird iffalsed oveq2d eliood 3eltr4d 3adantl3 sylan2 mpteq2dva 3adant3
      cfzo c1 cfz cmap cneg wral cn fourierdlem2 simpld elmapi fzofzp1 r19.21bi
      eqcom xrltled iooss2 ctg cnt fssd ssid ccnfld ctopn tgioo2 dvres syl22anc
      eqcomi ioontr reseq12i eqtrdi dmeqd reseq2d feq1d feq2d fdm eqtr4d fveq2d
      oveq2 id fourierdlem61 ioossicc renegcli iccssred fourierdlem15 ffvelrnda
      reseq1i sseldd elicc2 simp2d simp3d eliccd sstrid resmptd elfzofz sylanl2
      fmptd fourierdlem8 subidd fveq2 eqtri fvmptd oveq12d simplr fourierdlem14
      wrex wfn ffn fvelrnb ex reximdva mpd fourierdlem12 an32s pm2.65da elioo3g
      3syl simprld iftrued ad3antrrr elioore elrpd ltaddrpd ltadd2dd mpteq12dva
      pncan3d fvres limccl ifcld 3ad2antl1 subcld csn velsn sylnibr mp2an sstri
      eldifd iccssre addcomd npcand 3eqtrrd gtned fourierdlem53 ioosscn sublimc
      0red ltnled condan suble0d ltletrd ltnsymd iffalse nltled subge0d lelttrd
      constlimc pm2.61dan idlimc wne 3ad2ant3 subne0d eqnetrd divlimc lptioo1cn
      neqne neqned limcrecl fourierdlem9 feqresmpt sselda 0cnd divcld 3expa ) A
      FURZUSLUUAUTZVAZVBZVVKNVCZPVDZBKVVKDVCZVVKUUBVEUTZDVCZVFUTZVGZVVQVHUTZVAZ
      VVNVVPVBZHRUSVVRNVCZPVIUTZVFUTZPRURZVEUTZIPVWEVFUTZVGZVCZQVIUTZVWHVJUTZVM
      ZUSVHUTBVWBVWDPVWEUPVWGUPURZVMHVWKVKVWKVLUTZVWOUPVWGPVWPVEUTZVWKVCZQVIUTZ
      VMQRAPVKVAZVVMVVPTVNVVNVWEVKVAZVVPVVNUSLUUCUTZVKVVRNAVXCVKNVOZVVMANVKVXCU
      UDUTVAZVXDAVXEUSNVCVPUUEZPVEUTZVDLNVCVPPVEUTZVDVBZVVOVWEVQVRZFVVLUUFZVBZA
      NLCVCVAZVXEVXLVBZUHALUUGVAZVXMVXNVSUGVXGVXHCNFGLSUAUUHVTWFZUUINVKVXCUUJVT
      WAVVMVVRVXCVAAUSLVVKUUKWBZWCZWAVWDPVVOVWEVQVVPPVVOVDZVVNVVPVXSVVOPUUMWDWB
      VVNVXJVVPAVXJFVVLAVXEVXIVXKVXPWEUULWAWGVVNVWJVKVWKVOVVPVVNVKVKVWJIAVKVKIV
      OZVVMUBWAZVWJVKWHZVVNPVWEWIZWJWKWAVVNQVWKPVHUTZVAVVPVVNQIPWRVFUTZVGZVWJVG
      ZPVHUTZVYDAQVYHVAVVMAVYFPVHUTZVYHQPVWJVYFWLUDWMWAVVNVYGVWKPVHVVNIVWJVYEVV
      NWRWNVAZVWEWRWOVRVWJVYEWHVYJVVNWPWJZVVNVWEWRVVNVWEVXRWQZVYKVVNVWEVXRWSUUN
      PVWEWRUUOWTZXAXBXCWAVWQXDVWDVWQXEZJVWJVGZXEZVWJAVVPVYNVYPVDVVMAVVPVBVWQVY
      OAVWQVYOVDZVVPAVWQVKIVLUTZVWJVFXTUUPVCZUUQVCVCZVGZVYOAVKXFWHZVKXFIVOVKVKW
      HZVYBVWQWUAVDWUBAXGWJZAVKVKXFIUBWUDUURWUCAVKUUSWJVYBAVYCWJVKVWJVKVYSIUUTU
      VAVCZWUEXDZWUEWUFUVBUVCUVDVYRJVYTVWJJVYRULUVEPVWEUVFUVGUVHZWAUVIXHVWDVWJX
      FVYOVOZVYPVWJVDVWDVVOVWEVFUTZXFVYOVOZWUHVWDWUIXFJWUIVGZVOZWUJVVNWULVVPUMW
      AVVPWULWUJVSVVNVVPWUIXFWUKVYOVVPWUIVWJJVVOPVWEVFXIZUVJUVKWBWFVWDWUIVWJXFV
      YOVVPWUIVWJVDVVNWUMWBUVLWFVWJXFVYOUVMVTXJVVNHVWQPVHUTZVAVVPVVNHJVYEVGZVWJ
      VGZPVHUTZWUNAHWUQVAVVMAWUOPVHUTWUQHPVWJWUOWLUNWMWAVVNWUPVWQPVHVVNWUPVYOVW
      QVVNJVWJVYEVYMXAAVYQVVMWUGWAUVNXBXCWAVWOXDUPRVWGVWTVWMVWPVWHVDZVWSVWLQVIW
      URVWRVWIVWKVWPVWHPVEUVPUVOXBXKUPRVWGVWPVWHWURUVQXKUVRVVPBHVDVVNVVPBVVPHEV
      VOPVQVRZOQYAZVIUTZVVQVJUTZYAZHUOVVPHWVBXLXMWBVWDVWAVWOVVQUSVHVWDVWARVXFVP
      XNUTZVWHUSVDZUSVWIIVCZUSVWHVQVRZQOYAZVIUTZVWHVJUTZYAZVMZVVTVGZRVVTWVKVMZV
      WOVWAWVMVDVWDKWVLVVTUFUWDWJVVNWVMWVNVDVVPVVNRWVDVVTWVKVVNVVTVVQVVSXNUTWVD
      VVQVVSUVSVVNVXFVPDVVKLVXFWNVAVVNVXFVPXOUVTZXPWJVPWNVAVVNVPXOXPWJAVXCWVDDV
      OVVMAFVXCVVOPVIUTZWVDDAVVKVXCVAZVBZVXFVPWVPVXFVKVAZWVRWVOWJVPVKVAZWVRXOWJ
      ZWVRVVOPWVRVXGVXHXNUTZVKVVOAWWBVKWHWVQAVXGVXHAVXFPWVSAWVOWJZTXQZAVPPWVTAX
      OWJZTXQZUWAWAAVXCWWBVVKNAVXGVXHCNFGLSUAUGUHUWBZUWCZUWEZAVXAWVQTWAZXRZWVRV
      XFVXGPVIUTZWVPWOAVXFWWLVDWVQAWWLVXFAVXFPAVXFWWCXSAPTXSZYBYCWAWVRVXGVVOPAV
      XGVKVAZWVQWWDWAZWWIWWJWVRVVOVKVAZVXGVVOWOVRZVVOVXHWOVRZWVRVVOWWBVAZWWPWWQ
      WWRYDZWWHWVRWWNVXHVKVAZWWSWWTVSWWOAWXAWVQWWFWAZVXGVXHVVOUWFWTWFZUWGYEWGWV
      RWVPVXHPVIUTVPWOWVRVVOVXHPWWIWXBWWJWVRWWPWWQWWRWXCUWHYEWVRVPPWVRVPWWAXSAP
      XFVAZWVQWWMWAYBYFUWIZUJUWNWAAVVMYGUWOUWJZUWKWAVWDRVVTWVKVWGVWNVWDVVQUSVVS
      VWFVFVVMAWVQVVPVVQUSVDZVVKUSLUWLZWVRVVPVBZVVQWVPPPVIUTZUSWVRVVQWVPVDZVVPW
      VRWVQWVPWVDVAWXKAWVQYGWXEFVXCWVPWVDDUJYHWTZWAVVPWVPWXJVDWVRVVOPPVIXIWBWXI
      PAWXDWVQVVPWWMVNUWPYIZUWMZVVNVVSVWFVDZVVPVVNUQVVRUQURZNVCZPVIUTZVWFVXCDVK
      DUQVXCWXRVMZVDVVNDFVXCWVPVMWXSUJFUQVXCWVPWXRVVKWXPVDVVOWXQPVIVVKWXPNUWQXB
      XKUWRWJWXPVVRVDZWXRVWFVDVVNWXTWXQVWEPVIWXPVVRNUWQXBWBVXQVVNVWEPVXRAVXAVVM
      TWAZXRUWSZWAUWTVWDVWHVVTVAZVBZWVKWVJWVFQVIUTZVWHVJUTVWNWYDWVEUSWVJVVNWYCW
      VEYJZVVPVVNWYCVBZWVEWYCVVNWYCWVEUXAVVNWVEWYCYJZWYCAWVEVVMWYHAWVEVBZVXFVPM
      DFGLVWHSUKAVXOWVEUGWAADLMVCVAWVEAVXFVPCDFGLMNPSWWCWWETUAUKUGUHUJUXBWAWYIV
      WHUSDXTZAWVEYGAUSWYJVAZWVEAWYKWXGFVXCUXCZAVVPFVXCUXCZWYLAPNXTVAZWYMUCAVXC
      WWBNVONVXCUXDWYNWYMVSWWGVXCWWBNUXEFVXCPNUXFUXNWFAVVPWXGFVXCWVRVVPWXGWXMUX
      GUXHUXIAVXCVKDVOZDVXCUXDWYKWYLVSAFVXCWVPVKDWWKUJUWNZVXCVKDUXEFVXCUSDUXFUX
      NYLWAYKUXJUXKXHUXLZXHYMWYDWVIWYEVWHVJWYDWVHQWVFVIWYDWVGQOWYDUSVVQVWHVQVWD
      USVVQVDWYCVWDVVQUSWXNYCWAWYCVVQVWHVQVRZVWDWYCVVQWNVAVVSWNVAVWHWNVAYDZWYRV
      WHVVSVQVRZWYCWYSWYRWYTVBVBVVQVVSVWHUXMWDZUXOZWBWGZUXPYNXBWYDWYEVWMVWHVJWY
      DWVFVWLQVIWYDVWLWVFWYDVWIVWJVAVWLWVFVDWYDPVWEVWIAPWNVAVVMVVPWYCAPTWQUXQVV
      NVWEWNVAZVVPWYCVYLVNWYDPVWHVVNVXAVVPWYCWYAVNZWYCVWHVKVAZVWDVWHVVQVVSUXRZW
      BZXQWYDPVWHXUEWYDVWHXUHXUCUXSUXTVVNWYCVWIVWEVQVRVVPWYGVWIPVVSVEUTZVWEVQWY
      GVWHVVSPWYCXUFVVNXUGWBZVVNVVSVKVAZWYCVVNVXCVKVVRDAWYOVVMWYPWAVXQWCZWAAVXA
      VVMWYCTVNZWYCWYTVVNWYCWYSWYRWYTXUAWEZWBUYAVVNXUIVWEVDWYCVVNXUIPVWFVEUTVWE
      VVNVVSVWFPVEWYBYNVVNPVWEAWXDVVMWWMWAZVVNVWEVXRXSUYCXJWAYFZXHYOVWIVWJIUYDV
      TYCXBXBYIUYBYIWXNUWTYPAVVMVVPYJZVWCAVVMXUQYDZWVBRVVTWVJVMZVVQVHUTBVWBXURR
      VVTWVIVWHVVQRVVTWVIVMZRVVTVWHVMZXUSWVAVVQXUTXDXVAXDZXUSXDXURWYCVBZWVFWVHA
      VVMWYCWVFXFVAZXUQAWYCXVDVVMAWYCVBZWVFXVEVKVKVWIIAVXTWYCUBWAXVEPVWHAVXAWYC
      TWAWYCXUFAXUGWBXQZWCXSXHZYQAVVMWYCWVHXFVAZXUQAXVHWYCAWVGQOXFAVYIXFQPVYFUY
      EUDWMZAOUEXSZUYFZWAUYGUYHXVCVWHXFUSUYIZWYCVWHXFVAZXURWYCVWHXUGXSZWBAVVMWY
      CVWHXVLVAZYJXUQWYGWVEXVOWYQRUSUYJUYKYQUYNXURWUSWVAXUTVVQVHUTZVAZAVVMWUSXV
      QXUQVVNWUSVBZEOVIUTZRVVTWVFOVIUTZVMZVVQVHUTZWVAXVPVVNXVSXWBVAWUSVVNRVVTWV
      FOVVQERVVTWVFVMZRVVTOVMZXWAOXWCXDZXWDXDZXWAXDXVGAOXFVAZVVMWYCXVJVNVVNVVTW
      UIEVVQIXWCPRVYAWYAVVTVKWHVVNVVQVVSWIWJXWEWYGVVOVWEVWIVVNVVOWNVAZWYCVVNVVO
      VVMAWVQWWPWXHWWIYRZWQZWAVVNXUDWYCVYLWAAWYCVWIVKVAVVMXVFXHWYGVVOPVVQVEUTZV
      WIVQVVNVVOXWKVDWYCVVNXWKVVQPVEUTWVPPVEUTVVOVVNPVVQXUOVVNWVDXFVVQWVDVKXFWV
      SWVTWVDVKWHWVOXOVXFVPUYOUYLXGUYMVVMAWVQVVQWVDVAWXHWVRVVQWVPWVDWXLWXEYKYRW
      MZUYPVVNVVQWVPPVEVVNWVQWVPVKVAZWXKVVMWVQAWXHWBVVMAWVQXWMWXHWWKYRZFVXCWVPV
      KDUJYHWTZXBVVNVVOPVVNVVOXWIXSZXUOUYQUYRZWAWYGVVQVWHPVVNVVQVKVAZWYCVVNVVQW
      VPVKXWOXWNYKZWAZXUJXUMWYCWYRVVNXUBWBZUYAWGXUPYOWUIVKWHVVNVVOVWEWIWJWYGVVQ
      VWHXWTXXAUYSVVNEIWUIVGZVVOVHUTXXBXWKVHUTUIVVNVVOXWKXXBVHXWQYNXCXWLUYTZVVN
      RVVTOVVQXWDXWFVVTXFWHVVNVVQVVSVUAWJZAXWGVVMXVJWAXWLVUMVUBWAWUSWVAXVSVDVVN
      WUSWUTOEVIWUSOQXLYNWBXVRXUTXWAVVQVHXVRRVVTWVIXVTXVRWYCVBZWVHOWVFVIXXEWVGQ
      OXXEVWHUSWYCXUFXVRXUGWBZXXEVUCZXXEVWHVVSUSXXFVVNXUKWUSWYCXULVNXXGWYCWYTXV
      RXUNWBXVRVVSUSWOVRWYCXVRVVSVWFUSWOVVNWXOWUSWYBWAXVRVWFUSWOVRVWEPWOVRZXVRX
      XHPWUIVAZXVRXXHYJZVBVVOVWEPVVNXWHWUSXXJXWJVNVVNXUDWUSXXJVYLVNVVNVXAWUSXXJ
      WYAVNVVNWUSXXJUXAVVNXXJPVWEVQVRZWUSVVNXXJVBZXXKXXJVVNXXJYGXXLPVWEAVXAVVMX
      XJTVNVVNVXBXXJVXRWAVUDYLXHYOVVNXXIYJWUSXXJAVXGVXHCNFGLPSUAUGUHUCUXJVNVUEX
      VRVWEPVVNVXBWUSVXRWAAVXAVVMWUSTVNVUFYLWGWAVUGVUHYMYNYSXBYPYQAVVMWUSYJZXVQ
      XUQVVNXXMVBZEQVIUTZRVVTWYEVMZVVQVHUTZWVAXVPVVNXXOXXQVAXXMVVNRVVTWVFQVVQEX
      WCRVVTQVMZXXPQXWEXXRXDZXXPXDXVGAQXFVAZVVMWYCXVIVNXXCVVNRVVTQVVQXXRXXSXXDA
      XXTVVMXVIWAXWLVUMVUBWAXXMWVAXXOVDVVNXXMWUTQEVIWUSOQVUIYNWBXXNXUTXXPVVQVHX
      XNRVVTWVIWYEXXNWYCVBZWVHQWVFVIXYAWVGQOXYAUSVVQVWHXYAVUCVVNXWRXXMWYCXWSVNW
      YCXUFXXNXUGWBXXNUSVVQWOVRWYCXXNUSWVPVVQWOXXNUSWVPWOVRPVVOWOVRXXNPVVOAVXAV
      VMXXMTVNZVVNWWPXXMXWIWAZVVNXXMYGVUJXXNVVOPXYCXYBVUKYLVVNWVPVVQVDXXMVVNVVQ
      WVPXWOYCWAYFWAWYCWYRXXNXUBWBVULUXPYNYSXBYPYQVUNAVVMVVQXVAVVQVHUTVAXUQVVNR
      VVTXVAVVQXXDXVBXWLVUOYTXURVVQWVPUSAVVMWXKXUQXWOYTXURVVOPAVVMVVOXFVAXUQXWP
      YTAVVMWXDXUQXUOYTXUQAVVOPVUPVVMVVOPVVBVUQVURVUSXVCVWHUSAVVMWYCWYFXUQWYQYQ
      VVCVUTXUQABWVBVDVVMXUQBWVCWVBUOVVPHWVBVUIXMVUQXURVWAXUSVVQVHAVVMVWAXUSVDX
      UQVVNVWARVVTVWHKVCZVMXUSVVNRWVDVKVVTKAWVDVKKVOVVMAIKOPQRUBTAVYEPVYFQAVKVK
      VYEIUBVYEVKWHAPWRWIZWJWKAVYEVKXFXYEWUDUWJAPWRWUEWUFVYJAWPWJTAPTWSVVAUDVVD
      UEUFVVEWAWXFVVFVVNRVVTXYDWVJWYGXYDWVKWVJWYGVWHWVDVAWVKXFVAXYDWVKVDVVNVVTW
      VDVWHWXFVVGWYGWVEUSWVJXFWYGVVHWYGWVIVWHWYGWVFWVHXVGAXVHVVMWYCXVKVNUYHWYCX
      VMVVNXVNWBWYGVWHUSWYQVVCVVIUYFRWVDWVKXFKUFYHWTWYGWVEUSWVJWYQYMXJYSXJYTXBY
      PVVJVUN $.
  $}

  ${
    $d A s $.  $d B s $.  $d C s $.  $d F s $.  $d L s $.  $d M i j $.
    $d M i m p $.  $d N f $.  $d Q s $.  $d R s $.  $d S f $.  $d S s x $.
    $d T f $.  $d V i j s $.  $d V i p $.  $d X i j s $.  $d X i m p $.
    $d ch s x $.  $d f ph $.  $d i j ph s $.  $d j s x $.
    fourierdlem76.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem76.xre $e |- ( ph -> X e. RR ) $.
    fourierdlem76.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( -u _pi + X ) /\ ( p ` m ) = ( _pi + X ) ) /\ A. i e. ( 0
       ..^ m ) ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem76.m $e |- ( ph -> M e. NN ) $.
    fourierdlem76.v $e |- ( ph -> V e. ( P ` M ) ) $.
    fourierdlem76.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( V ` i )
       (,) ( V ` ( i + 1 ) ) ) ) e. ( ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem76.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( V `
       i ) (,) ( V ` ( i + 1 ) ) ) ) limCC ( V ` i ) ) ) $.
    fourierdlem76.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( V `
       i ) (,) ( V ` ( i + 1 ) ) ) ) limCC ( V ` ( i + 1 ) ) ) ) $.
    fourierdlem76.a $e |- ( ph -> A e. RR ) $.
    fourierdlem76.b $e |- ( ph -> B e. RR ) $.
    fourierdlem76.altb $e |- ( ph -> A < B ) $.
    fourierdlem76.ab $e |- ( ph -> ( A [,] B ) C_ ( -u _pi [,] _pi ) ) $.
    fourierdlem76.n0 $e |- ( ph -> -. 0 e. ( A [,] B ) ) $.
    fourierdlem76.c $e |- ( ph -> C e. RR ) $.
    fourierdlem76.o $e |- O = ( s e. ( A [,] B ) |-> ( ( ( ( F ` ( X + s ) ) -
       C ) / s ) x. ( s / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) ) $.
    fourierdlem76.q $e |- Q = ( i e. ( 0 ... M ) |-> ( ( V ` i ) - X ) ) $.
    fourierdlem76.t $e |- T = ( { A , B } u. ( ran Q i^i ( A (,) B ) ) ) $.
    fourierdlem76.n $e |- N = ( ( # ` T ) - 1 ) $.
    fourierdlem76.s $e |- S = ( iota f f Isom < , < ( ( 0 ... N ) , T ) ) $.
    fourierdlem76.d $e |- D = ( ( ( if ( ( S ` ( j + 1 ) ) = ( Q ` ( i + 1 ) )
       , L , ( F ` ( X + ( S ` ( j + 1 ) ) ) ) ) - C ) / ( S ` ( j + 1 ) ) ) x.
       ( ( S ` ( j + 1 ) ) / ( 2 x. ( sin ` ( ( S ` ( j + 1 ) ) / 2 ) ) ) ) )
       $.
    fourierdlem76.e $e |- E = ( ( ( if ( ( S ` j ) = ( Q ` i ) , R , ( F ` ( X
       + ( S ` j ) ) ) ) - C ) / ( S ` j ) ) x. ( ( S ` j ) / ( 2 x. ( sin ` (
       ( S ` j ) / 2 ) ) ) ) ) $.
    fourierdlem76.ch $e |- ( ch <-> ( ( ( ph /\ j e. ( 0 ..^ N ) ) /\ i e. ( 0
       ..^ M ) ) /\ ( ( S ` j ) (,) ( S ` ( j + 1 ) ) ) C_ ( ( Q ` i ) (,) ( Q
       ` ( i + 1 ) ) ) ) ) $.
    $( Continuity of ` O ` and its limits with respect to the ` S ` partition.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem76 $p |- ( ( ( ( ph /\ j e. ( 0 ..^ N ) ) /\ i e. ( 0 ..^ M ) )
       /\ ( ( S ` j ) (,) ( S ` ( j + 1 ) ) ) C_ ( ( Q ` i ) (,) ( Q ` ( i + 1
       ) ) ) ) -> ( ( D e. ( ( O |` ( ( S ` j ) (,) ( S ` ( j + 1 ) ) ) ) limCC
       ( S ` ( j + 1 ) ) ) /\ E e. ( ( O |` ( ( S ` j ) (,) ( S ` ( j + 1 ) ) )
       ) limCC ( S ` j ) ) ) /\ ( O |` ( ( S ` j ) (,) ( S ` ( j + 1 ) ) ) ) e.
       ( ( ( S ` j ) (,) ( S ` ( j + 1 ) ) ) -cn-> CC ) ) ) $=
      ( vx cv cc0 co wcel wa cfv caddc cioo wss cres climc ccncf wceq cmin cdiv
      cc cif c2 csin cmul cmpt eqid cr sylbi adantr cxr rexrd syl adantl wf clt
      cicc cfn a1i 3syl syl2anc ioossre ffvelrnd cle wbr eqcomd eleqtrd syl3anc
      sseldd simpr eliood sselda readdcld recnd wne eqeltrd halfcld sincld 2ne0
      wb cpi fourierdlem44 mulne0d adantlr fveq2 oveq1d fvmptd oveq2d constlimc
      wn ltadd2dd wi divlimc rehalfcld wtru mullimc sylbir cfzo simplll elioore
      c1 ioossicc cfz wiso wf1o cpr crn cin cun prfi rnmptfi infi unfi eqeltrid
      fzfid prssg mpbi2and inss2 sstri unssd eqsstrid fourierdlem36 isof1o f1of
      fssd simpllr elfzofz frn leidd ltled eliccd sstrd wfun cdm fvelrn iccgelb
      ffun fzofzp1 ioogtlb lelttrd iooltub iccleub ltletrd sselid subcld biimpi
      fdm iccssred nne ad2antrr condan divcld 2cnd mulcld cneg csn neneqd velsn
      sylnibr eldifd ccnfld ctopn crest renegcli fourierdlem15 resubcld cbvmptv
      pire eqtri cmap wral fourierdlem2 mpbid simprrd r19.21bi ltsub1dd 3brtr4d
      fvmpt2 simplrd pncan3d eqtr2d eqbrtrd eqtrd fvres mpteq2dva fourierdlem23
      cn breqtrd ioosscn ltned fourierdlem53 elfzoelz zre ltp1d isorel syl12anc
      cz simprbi fourierdlem33 eqidd fveq2d fourierdlem10 simpld simprd leneltd
      necomd ifeq2da resmptd 3eltr3d ax-resscn sstrdi sublimc idlimc jca anbi2d
      neqne eleq1 neeq1 vtoclg sylc 2re resincld remulcld elsng mtbird ad2antrl
      imbi12d recn cdif 2cn eldifsn mpbir2an feqresmpt mptru resincncf eqeltrri
      sinf cnmptlimc ad2antll limcco reseq1i iccss syl22anc sstrid 3eltr4d cico
      syl5eq gtned fourierdlem32 oveq2 syldan ssid constcncfg subcncf ralrimiva
      dfss3 sylibr difssd idcncfg divcncf fmptd sincn cncfmpt1f cncffvrn mpbird
      mulcncf jca31 ) ANVIZVJTUUAVKVLZVMZMVIZVJSUUAVKZVLZVMZVXKJVNZVXKUUDVOVKZJ
      VNZVPVKZVXNHVNZVXNUUDVOVKZHVNZVPVKZVQZVMZFUAVYAVRZVXTVSVKZVLZPVYHVXRVSVKZ
      VLZVYHVYAWDVTVKZVLZVYGBVYJVGBVXTVYDWAZRUCVXTVOVKZQVNZWEZEWBVKZVXTWCVKZVXT
      WFVXTWFWCVKZWGVNZWHVKZWCVKZWHVKZUDVYAUCUDVIZVOVKZQVNZEWBVKZWUFWCVKZWUFWFW
      UFWFWCVKZWGVNZWHVKZWCVKZWHVKZWIZVXTVSVKFVYIBUDVYAWUJWUNVXTUDVYAWUJWIZUDVY
      AWUNWIZWUPVYTWUDWUQWJZWURWJZWUPWJZBWUFVYAVLZVMZWUIWUFWVCWUHEWVCWUHWVCAWUF
      CDWTVKZVLZWUHWKVLBAWVBBVYGAVGAVXLVXPVYFUUBWLZWMZWVCCDVPVKZWVDWUFCDUUEZWVC
      CDWUFBCWNVLZWVBBAWVJWVFACUNWOWPZWMBDWNVLZWVBBAWVLWVFADUOWOWPZWMWVBWUFWKVL
      ZBWUFVXRVXTUUCZWQZWVCCVXRWUFBCWKVLZWVBBAWVQWVFUNWPZWMWVCVJTUUFVKZWKVXKJBW
      VSWKJWRZWVBBWVSKWKJBWVSKWSWSJUUGZWVSKJUUHZWVSKJWRZBAWWAWVFAKLJTAKCDUUIZHU
      UJZWVHUUKZUULZXAVBAWWDXAVLZWWFXAVLZWWGXAVLWWHACDUUMXBAVJSUUFVKZXAVLWWEXAV
      LWWIAVJSUURMHWWJVXNUBVNZUCWBVKZVAUUNWWEWVHUUOXCWWDWWFUUPXDUUQAKWWGWKVBAWW
      DWWFWKAWVQDWKVLZWWDWKVQZUNUOAWVQWWMWVQWWMVMWWNYCUNUOCDWKWKWKUUSXDUUTWWFWK
      VQAWWFWVHWKWWEWVHUVAZCDXEUVBXBUVCUVDZVDVCUVEZWPZWVSKWSWSJUVFZWVSKJUVGZXCB
      AKWKVQWVFWWPWPUVHZWMBVXKWVSVLZWVBBVXLWXBBVYGVXLVGAVXLVXPVYFUVIWLZVXKVJTUV
      JWPZWMXFZWVPBCVXRXGXHZWVBBWVJWVLVXRWVDVLZWXFWVKWVMBJUUJZWVDVXRBAWXHWVDVQW
      VFAWXHKWVDAWWCWXHKVQAWWAWWBWWCWWQWWSWWTXCWVSKJUVKWPAKWWGWVDVBAWWDWWFWVDAC
      WVDVLZDWVDVLZWWDWVDVQZACDCUNUOUNACUNUVLACDUNUOUPUVMZUVNACDDUNUOUOWXLADUOU
      VLUVNAWVQWWMWXIWXJVMWXKYCUNUOCDWVDWKWKUUSXDUUTWWFWVDVQAWWFWVHWVDWWOWVIUVB
      XBUVCUVDUVOWPZBJUVPZVXKJUVQZVLVXRWXHVLBWVTWXNWXAWVSWKJUVTWPZBVXKWVSWXOWXD
      BWXOWVSBWVTWXOWVSWAWXAWVSWKJUWJWPXIZXJVXKJUVRXDXLZCDVXRUVSXKZWMWVCVXRWNVL
      ZVXTWNVLZWVBVXRWUFWSXHWVCVXRWXEWOZBWYAWVBBVXTBWVSWKVXSJWXABVXLVXSWVSVLZWX
      CVJTVXKUWAWPZXFZWOWMZBWVBXMZVXRVXTWUFUWBXKUWCWVCWUFVXTDWVPBVXTWKVLZWVBWYE
      WMBWWMWVBBAWWMWVFUOWPZWMWVCWXTWYAWVBWUFVXTWSXHWYBWYFWYGVXRVXTWUFUWDXKBVXT
      DXGXHZWVBBWVJWVLVXTWVDVLZWYJWVKWVMBWXHWVDVXTWXMBWXNVXSWXOVLVXTWXHVLWXPBVX
      SWVSWXOWYDWXQXJVXSJUVRXDXLZCDVXTUWEXKZWMUWFXNUWGZAWVEVMZWKWKWUGQAWKWKQWRZ
      WVEUFWMWYOUCWUFAUCWKVLZWVEUGWMAWVDWKWUFACDUNUOUWKXOXPXFXDXQZBEWDVLZWVBBAW
      YSWVFAEUSXQWPZWMZUWHZWVCWUFBVYAWKWUFVYAWKVQBVXRVXTXEXBZXOZXQZWVCAWVEWUFVJ
      XRZWVGWYNWYOXUFVJWVDVLZWYOXUFYMZVMVJWUFWVDXUHVJWUFWAWYOXUHWUFVJXUHWUFVJWA
      ZWUFVJUWLUWIXIWQWYOWVEXUHAWVEXMWMXSAXUGYMWVEXUHURUWMUWNZXDZUWOZWVCWUFWUMX
      UEWVCWFWULWVCUWPZWVCWUKWVCWUFXUEXTYAUWQWVCWFWULXUMWVCWUKWVCWUFWVBWUFWDVLB
      WVBWUFWVOXQWQZXTYAZWFVJXRZWVCYBXBZWVCWUFYDUWRZYDWTVKZVLXUFWULVJXRWVCWVDXU
      SWUFBWVDXUSVQZWVBBAXUTWVFUQWPZWMWYNXLXUKWUFYEXDYFZUWOZBUDVYAWUIWUFVXTUDVY
      AWUIWIZUDVYAWUFWIZWUQVYSVXTXVDWJZXVEWJZWUSXUBWVCWUFWDVJUWSZXUEWVCXUIWUFXV
      HVLWVCWUFVJXUKUWTUDVJUXAUXBUXCZBUDVYAWUHEVXTVYRUDVYAWUHWIZUDVYAEWIZXVDEXV
      JWJZXVKWJZXVFWYRXUABVYORVXTUDVYEWUHWIZVNZWEZXVNVYAVRZVXTVSVKVYRXVJVXTVSVK
      BVYBVYDVXRVXTXVNUXDUXEVNZVYEVYDUWSUULUXFVKZRXVPBVYGVYBWKVLZVGVXQXVTVYFAVX
      PXVTVXLAVXPVMZVYBWWLWKXWAVXNWWJVLZWWLWKVLVYBWWLWAZVXPXWBAVXNVJSUVJWQZXWAW
      WKUCXWAXURUCVOVKZYDUCVOVKZWTVKZWKWWKAXWGWKVQVXPAXWEXWFAXURUCXURWKVLAYDUXK
      UXGXBUGXPAYDUCYDWKVLAUXKXBUGXPUWKWMZXWAWWJXWGVXNUBAWWJXWGUBWRVXPAXWEXWFGU
      BMOSUEUHUIUJUXHWMZXWDXFXLZAWYQVXPUGWMZUXIZMWWJWWLWKHVAUYAXDZXWLXSYGWMWLZB
      VYGVYDWKVLZVGVXQXWOVYFAVXPXWOVXLXWAVYDVYCUBVNZUCWBVKZWKXWANVYCVXKUBVNZUCW
      BVKZXWQWWJHWKHNWWJXWSWIZWAXWAHMWWJWWLWIXWTVAMNWWJWWLXWSVXNVXKWAWWKXWRUCWB
      VXNVXKUBYHYIUXJUXLXBVXKVYCWAZXWSXWQWAXWAXXAXWRXWPUCWBVXKVYCUBYHYIWQVXPVYC
      WWJVLAVJSVXNUWAWQZXWAXWPUCXWAXWGWKXWPXWHXWAWWJXWGVYCUBXWIXXBXFXLZXWKUXIZY
      JZXXDXSYGWMWLZBVYGVYBVYDWSXHZVGVXQXXGVYFAVXPXXGVXLXWAWWLXWQVYBVYDWSXWAWWK
      XWPUCXWJXXCXWKAWWKXWPWSXHZMVXOAUBWKWWJUXMVKVLZVJUBVNXWEWASUBVNXWFWAVMZXXH
      MVXOUXNZAUBSGVNVLZXXIXXJXXKVMVMZUJASUYJVLXXLXXMYCUIXWEXWFGUBMOSUEUHUXOWPU
      XPUXQUXRUXSXWMXXEUXTYGWMWLZBXVNUDVYEWUGQWWKXWPVPVKZVRZVNZWIVYEWDVTVKBUDVY
      EWUHXXQBWUFVYEVLZVMZXXQWUHXXSWUGXXOVLXXQWUHWAXXSWWKXWPWUGBWWKWNVLZXXRBWWK
      BAVXPWWKWKVLWVFBVXMVXPVYFBVYGVGUWIUYBZXWJXDZWOZWMBXWPWNVLZXXRBXWPBAVXPXWP
      WKVLWVFXYAXXCXDZWOZWMXXSUCWUFBWYQXXRBAWYQWVFUGWPZWMZXXRWVNBWUFVYBVYDUUCWQ
      ZXPXXSWWKUCVYBVOVKZWUGWSBWWKXYJWAZXXRBXYJUCWWLVOVKWWKBVYBWWLUCVOBAVXPXWCW
      VFXYAXWMXDYKBUCWWKBUCXYGXQZBWWKXYBXQUYCUYDZWMXXSVYBWUFUCBXVTXXRXWNWMZXYIX
      YHXXSVYBWNVLZVYDWNVLZXXRVYBWUFWSXHZBXYOXXRBVYBXWNWOZWMZBXYPXXRBVYDXXFWOZW
      MZBXXRXMZVYBVYDWUFUWBZXKZYNUYEXXSWUGUCVYDVOVKZXWPWSXXSWUFVYDUCXYIBXWOXXRX
      XFWMXYHXXSXYOXYPXXRWUFVYDWSXHZXYSYUAYUBVYBVYDWUFUWDZXKZYNBYUEXWPWAZXXRBYU
      EUCXWQVOVKXWPBVYDXWQUCVOBAVXPVYDXWQWAWVFXYAXXEXDYKBUCXWPXYLBXWPXYEXQUYCUY
      FZWMUYKXNZWUGXXOQUYGWPXIZUYHBXXOVYEXXPUCUDXXOWDVQBWWKXWPUYLXBZBAVXPXXPXXO
      WDVTVKVLWVFXYAUKXDZVYEWDVQBVYBVYDUYLXBXYLYUKUYIXSZBVYEXXORVYDQXVNUCUDBAWY
      PWVFUFWPZXYGVYEWKVQBVYBVYDXEXBZXVNWJZYUKXXOWKVQBWWKXWPXEXBZXXSWUFVYDXYIYU
      HUYMBRXXPXWPVSVKZXXPYUEVSVKBAVXPRYUTVLWVFXYAUMXDBXWPYUEXXPVSBYUEXWPYUJXIY
      KXJBVYDXXFXQUYNBWVSWKVXKJWXAWXDXFZWYEBVXKVXSWSXHZVXRVXTWSXHZBVXKBVXLVXKUY
      TVLVXKWKVLWXCVXKVJTUYOVXKUYPXCUYQBWWAWXBWYCYVBYVCYCWWRWXDWYDWVSKVXKVXSWSW
      SJUYRUYSUXPZBVXQVYFVGVUAZXVPWJXVSWJVUBBVYOXVOVYQRBVYOYMZVMZUDVXTWUHVYQVYE
      XVNWKYVGXVNVUCYVGWUFVXTWAZVMZWUGVYPQYVIWUFVXTUCVOYVGYVHXMYKVUDYVGVYBVYDVX
      TBXYOYVFXYRWMBXYPYVFXYTWMBWYHYVFWYEWMZBVYBVXTWSXHYVFBVYBVXRVXTXWNYVAWYEBV
      YBVXRXGXHZVXTVYDXGXHZBVYBVYDVXRVXTXWNXXFYVAWYEYVDYVEVUEZVUFZYVDUWCWMYVGVX
      TVYDYVJBXWOYVFXXFWMBYVLYVFBYVKYVLYVMVUGZWMYVFVYDVXTXRBYVFVXTVYDVXTVYDVUSV
      UIWQVUHXNBVYQWKVLYVFBWKWKVYPQYUPBUCVXTXYGWYEXPXFWMYJVUJBXVQXVJVXTVSBUDVYE
      VYAWUHYVEVUKZYIVULBUDVYAEVXTXVKXVMBVYAWKWDXUCVUMVUNZWYTBVXTWYEXQZYLVUOBUD
      VYAXVEVXTYVQXVGYVRVUPZBWYHAWYKVMZVXTVJXRZWYEBAWYKWVFWYLVUQWYOXUFYOZYVTYWA
      YOUDVXTWKYVHWYOYVTXUFYWAYVHWVEWYKAWUFVXTWVDVUTVURWUFVXTVJVVAVVJXUJVVBVVCZ
      XUKYPBUDVYAWUFWUMVXTXVEUDVYAWUMWIZWURVXTWUCXVGYWDWJZWUTXUNWVCWUMWDXVHWVCW
      FWULXUMXUOUWQWVCWUMXVHVLZWUMVJWAZWVCWUMVJXVBUWTWVCWUMWKVLYWFYWGYCWVCWFWUL
      WFWKVLWVCVVDXBWVBWULWKVLBWVBWUKWVBWUFWVOYQZVVEWQVVFWUMVJWKVVGWPVVHUXCZYVS
      BUDVYAWFWULVXTUDVYAWFWIZUDVYAWULWIZYWDWFWUBYWJWJZYWKWJZYWEXUMXUOBUDVYAWFV
      XTYWJYWLYVQBUWPZYVRYLZBUDVHVYAWKWUAWUBWUKVHVIZWGVNZWULVXTWVBWUKWKVLZBWUKW
      UAXRYWHVVIYWPWKVLZYWQWDVLBYWSYWPYWPVVKYAWQZBUDVYAWUFWFVXTXVEYWJUDVYAWUKWI
      ZVXTWFXVGYWLYXAWJZXUNWFWDXVHVVLZVLZWVCYXDWFWDVLXUPVVMYBWFWDVJVVNVVOZXBZYV
      SYWOXUPBYBXBZXUQYPBVHWKWUAWKYWQWUBVHWKYWQWIZWKWKVTVKZVLBWGWKVRZYXHYXIYXJY
      XHWAYRVHWDWDWKWGWDWDWGWRYRVVTXBWKWDVQYRVUMXBVVPVVQVVRVVSXBZBVXTWYEYQYWPWU
      AWGYHVWAYWPWUKWGYHZWUKWUAWAWULWUBWABWVBWUKWUAWGYHVWBVWCYSBWFWUBYWNBWUABVX
      TYVRXTYAYXGBVXTXUSVLYWAWUBVJXRBWVDXUSVXTXVAWYLXLYWCVXTYEXDYFXVBYPYSFWUEWA
      BVEXBBVYHWUPVXTVSBVYHUDWVDWUOWIZVYAVRWUPUAYXMVYAUTVWDBUDWVDVYAWUOBVYAVXRV
      XTWTVKZWVDVXRVXTUUEBWVQWWMWXFWYJYXNWVDVQWVRWYIWXSWYMCDVXRVXTVWEVWFVWGVUKV
      WJZYIVWHYTVYGBVYLVGBVXRVYBWAZIUCVXRVOVKZQVNZWEZEWBVKZVXRWCVKZVXRWFVXRWFWC
      VKZWGVNZWHVKZWCVKZWHVKZWUPVXRVSVKPVYKBUDVYAWUJWUNVXRWUQWURWUPYYAYYEWUSWUT
      WVAXULXVCBUDVYAWUIWUFVXRXVDXVEWUQYXTVXRXVFXVGWUSXUBXVIBUDVYAWUHEVXRYXSXVJ
      XVKXVDEXVLXVMXVFWYRXUABYXPIVXRXVNVNZWEZXVQVXRVSVKYXSXVJVXRVSVKBVYBVYDVXRV
      XTIXVNXVRVYBVYDVWIVKUXFVKZYYHXWNXXFXXNYUOBVYEXXOIVYBQXVNUCUDYUPXYGYUQYURY
      UKYUSXXSVYBWUFXYNYUDVWKBIXXPWWKVSVKZXXPXYJVSVKBAVXPIYYJVLWVFXYAULXDBWWKXY
      JXXPVSXYMYKXJBVYBXWNXQUYNYVAWYEYVDYVEYYHWJYYIWJVWLBYXPYYGYXRIBYXPYMZVMZUD
      VXRWUHYXRVYEXVNWKYYLXVNVUCWUFVXRWAZWUHYXRWAYYLYYMWUGYXQQWUFVXRUCVOVWMVUDW
      QYYLVYBVYDVXRBXYOYYKXYRWMBXYPYYKXYTWMBVXRWKVLYYKYVAWMZYYLVYBVXRBXVTYYKXWN
      WMYYNBYVKYYKYVNWMYYKVXRVYBXRBVXRVYBVUSWQVUHYYLVXRVXTVYDYYNBWYHYYKWYEWMBXW
      OYYKXXFWMBYVCYYKYVDWMBYVLYYKYVOWMUWFXNBYXRWKVLYYKBWKWKYXQQYUPBUCVXRXYGYVA
      XPXFWMYJVUJBXVQXVJVXRVSYVPYIVULBUDVYAEVXRXVKXVMYVQWYTBVXRYVAXQZYLVUOBUDVY
      AXVEVXRYVQXVGYYOVUPZBWXGAWXGVMZVXRVJXRZWXRBAWXGWVFWXRVUQYWBYYQYYRYOUDVXRW
      VDYYMWYOYYQXUFYYRYYMWVEWXGAWUFVXRWVDVUTVURWUFVXRVJVVAVVJXUJVVBVVCZXUKYPBU
      DVYAWUFWUMVXRXVEYWDWURVXRYYDXVGYWEWUTXUNYWIYYPBUDVYAWFWULVXRYWJYWKYWDWFYY
      CYWLYWMYWEXUMXUOBUDVYAWFVXRYWJYWLYVQYWNYYOYLZBUDVHVYAWKYYBYYCWUKYWQWULVXR
      WVBYWRBWUKYYBXRYWHVVIYWTBUDVYAWUFWFVXRXVEYWJYXAVXRWFXVGYWLYXBXUNYXFYYPYYT
      YXGXUQYPBVHWKYYBWKYWQYYCYXKBVXRYVAYQYWPYYBWGYHVWAYXLWUKYYBWAWULYYCWABWVBW
      UKYYBWGYHVWBVWCYSBWFYYCYWNBYYBBVXRYYOXTYAYXGBVXRXUSVLYYRYYCVJXRBWVDXUSVXR
      XVAWXRXLYYSVXRYEXDYFXVBYPYSPYYFWABVFXBBVYHWUPVXRVSYXOYIVWHYTVYGBVYNVGBVYH
      WUPVYMYXOBUDWUJWUNVYABUDWUIWUFVYABUDWUHEVYABXVJUDVYAXXQWIVYMBUDVYAWUHXXQB
      WVBXXRWUHXXQWABVYAVYEWUFYVEXOZYULVWNUYHBXXOVYAXXPUCUDYUMYUNYVQXYLWVCWWKXW
      PWUGBXXTWVBXYCWMBXYDWVBXYFWMWVCUCWUFBWYQWVBXYGWMZXUDXPWVCWWKXYJWUGWSBXYKW
      VBXYMWMWVCVYBWUFUCBXVTWVBXWNWMWVPUUUBWVCXYOXYPXXRXYQBXYOWVBXYRWMZBXYPWVBX
      YTWMZUUUAYUCXKYNUYEWVCWUGYUEXWPWSWVCWUFVYDUCWVPBXWOWVBXXFWMUUUBWVCXYOXYPX
      XRYUFUUUCUUUDUUUAYUGXKYNBYUIWVBYUJWMUYKXNUYIXSBUDVYAEWDYVQWYTWDWDVQBWDVWO
      XBZVWPVWQBUDVYAYXCBWUFYXCVLZUDVYAUXNVYAYXCVQBUUUFUDVYAXVIVWRUDVYAYXCVWSVW
      TBWDXVHVXAZVXBVXCBUDWUFWUMVYABUDVYAWDYVQUUUEVXBZBYWDVYAYXCVTVKVLZVYAYXCYW
      DWRZBUDVYAWUMYXCYWDYWIYWEVXDBYXCWDVQYWDVYMVLUUUIUUUJYCUUUGBUDWFWULVYABUDV
      YAWFWDYVQYWNUUUEVWPBUDWUKWGVYAWGWDWDVTVKVLBVXEXBBUDWUFWFVYAUUUHBUDVYAWFYX
      CYVQYXDBYXEXBUUUGVWPVXCVXFVXIVYAWDYXCYWDVXGXDVXHVXCVXIXSYTVXJ $.
  $}

  ${
    $d H c $.  $d K b c s $.  $d K x y $.  $d U a b c $.  $d a c ph s $.
    fourierdlem77.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem77.x $e |- ( ph -> X e. RR ) $.
    fourierdlem77.y $e |- ( ph -> Y e. RR ) $.
    fourierdlem77.w $e |- ( ph -> W e. RR ) $.
    fourierdlem77.h $e |- H = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 0 , (
       ( ( F ` ( X + s ) ) - if ( 0 < s , Y , W ) ) / s ) ) ) $.
    fourierdlem77.k $e |- K = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 1 , (
       s / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) ) $.
    fourierdlem77.u $e |- U = ( s e. ( -u _pi [,] _pi ) |-> ( ( H ` s ) x. ( K
       ` s ) ) ) $.
    fourierdlem77.bd $e |- ( ph -> E. a e. RR A. s e. ( -u _pi [,] _pi ) ( abs
       ` ( H ` s ) ) <_ a ) $.
    $( If ` H ` is bounded, then ` U ` is bounded.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    fourierdlem77 $p |- ( ph -> E. b e. RR+ A. s e. ( -u _pi [,] _pi ) ( abs `
       ( U ` s ) ) <_ b ) $=
      ( cr vc vx vy cv cfv cabs cle wbr cpi cneg cicc co wral wrex crp wcel w3a
      wa wtru pire renegcli a1i clt pirp neglt ax-mp ltleii ccncf fourierdlem62
      evthiccabs mptru simpli cmul c1 caddc simpl fourierdlem43 ffvelrni adantl
      remulcld recnd absge0d ge0p1rpd 3ad2antl2 3adant3 nfv nfra1 nf3an simpl11
      abscld simpl12 simpl13 rspa sylancom simpl2 jca31 3ad2antl3 simpr simp-5l
      jca wceq fourierdlem9 fvmpt2 syl2anc eqeltrd simp-5r simpllr peano2re syl
      ffvelrnda fveq2d recn cc0 ad4ant14 ad3antlr simplr leabsd letrd lemul12bd
      absmuld cc adantr 3brtr4d eqbrtrd ltp1d lelttrd ltled syl21anc ex ralrimi
      breq2 ralbidv rspcev rexlimdv3a mpd ) AIUDZDUEZUFUEZJUDZUGUHZIUIUJZUIUKUL
      ZUMZJTUNYPBUEZUFUEZKUDZUGUHZIUUBUMZKUOUNZSAUUCUUIJTAYSTUPZUUCUQZYPEUEZUFU
      EZUAUDZEUEZUFUEZUGUHZIUUBUMZUAUUBUNZUUIUUSUUKUUSUBUDEUEUFUEUCUDEUEUFUEUGU
      HUCUUBUMUBUUBUNZUUSUUTURUSUAIUBUCUUAUIEUUATUPUSUIUTVAZVBUITUPUSUTVBUUAUIU
      GUHUSUUAUIUVAUTUIUOUPUUAUIVCUHVDUIVEVFVGVBEUUBTVHULUPUSIEQVIVBVJVKVLVBUUK
      UURUUIUAUUBUUKUUNUUBUPZUURUQZYSUUOVMULZUFUEZVNVOULZUOUPZUUEUVFUGUHZIUUBUM
      ZUUIUUKUVBUVGUURUUJAUVBUVGUUCUUJUVBURZUVEUVJUVDUVJUVDUVJYSUUOUUJUVBVPUVBU
      UOTUPUUJUUBTUUNEEIQVQZVRZVSZVTWAZWJZUVJUVDUVNWBWCWDWEUVCUVHIUUBUUKUVBUURI
      AUUJUUCIAIWFUUJIWFYTIUUBWGWHUVBIWFUUQIUUBWGWHUVCYPUUBUPZUVHUVCUVPURZAUUJU
      RZYTURZUVBURZUUQUVPUVHUVQUVRYTUVBUVQAUUJAUUJUUCUVBUURUVPWIAUUJUUCUVBUURUV
      PWKWTUVCUVPUUCYTAUUJUUCUVBUURUVPWLYTIUUBWMWNUUKUVBUURUVPWOWPUURUUKUVPUUQU
      VBUUQIUUBWMWQUVCUVPWRUVTUUQURZUVPURZUUEUVFUWAUVPAUUETUPAUUJYTUVBUUQUVPWSZ
      AUVPURZUUDUWDUUDUWDUUDYQUULVMULZTUWDUVPUWETUPUUDUWEXAAUVPWRUWDYQUULAUUBTY
      PDACDFGHILMNOPXBXJZUVPUULTUPAUUBTYPEUVKVRZVSZVTZIUUBUWETBRXCXDZUWIXEWAWJW
      NZUWBUVETUPZUVFTUPUWBUUJUVBUWLAUUJYTUVBUUQUVPXFZUVSUVBUUQUVPXGZUVOXDZUVEX
      HXIZUWBUUEUVEUVFUWKUWOUWPUWBUUEUWEUFUEZUVEUGUWAUVPAUUEUWQXAUWCUWDUUDUWEUF
      UWJXKWNUWBYRUUMVMULZYSUFUEZUUPVMULZUWQUVEUGUWBYRUWSUUMUUPUWAUVPAYRTUPZUWC
      UWDYQUWDYQUWFWAZWJZWNUWBUUJUWSTUPZUWMUUJYSYSXLZWJZXIUVPUUMTUPUWAUVPUULUVP
      UULUWGWAWJVSUWBUVBUUPTUPUWNUVBUUOUVBUUOUVLWAZWJXIUWAUVPAXMYRUGUHUWCUWDYQU
      XBWBWNUWBUVBXMUUPUGUHUWNUVBUUOUXGWBXIUVSUVPYRUWSUGUHUVBUUQUVSUVPURZYRYSUW
      SAUVPUXAUUJYTUXCXNAUUJYTUVPXGZUUJUXDAYTUVPUXFXOUVRYTUVPXPUXHYSUXIXQXRXNUV
      TUUQUVPXPXSUWAUVPAUWQUWRXAUWCUWDYQUULUXBUWDUULUWHWAXTWNUWBUUJUVBUVEUWTXAU
      WMUWNUVJYSUUOUUJYSYAUPUVBUXEYBUVJUUOUVMWAXTXDYCYDUWBUVEUWOYEYFYGYHYIYJUUH
      UVIKUVFUOUUFUVFXAUUGUVHIUUBUUFUVFUUEUGYKYLYMXDYNYOYNYO $.
  $}

  ${
    $d A s $.  $d B s $.  $d F s $.  $d N s $.  $d W s $.  $d X s $.  $d Y s $.
    $d ph s $.
    fourierdlem78.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem78.a $e |- ( ph -> A e. ( -u _pi [,] _pi ) ) $.
    fourierdlem78.b $e |- ( ph -> B e. ( -u _pi [,] _pi ) ) $.
    fourierdlem78.x $e |- ( ph -> X e. RR ) $.
    fourierdlem78.nxelab $e |- ( ph -> -. 0 e. ( A (,) B ) ) $.
    fourierdlem78.fcn $e |- ( ph -> ( F |` ( ( A + X ) (,) ( B + X ) ) ) e. ( (
       ( A + X ) (,) ( B + X ) ) -cn-> CC ) ) $.
    fourierdlem78.y $e |- ( ph -> Y e. RR ) $.
    fourierdlem78.w $e |- ( ph -> W e. RR ) $.
    fourierdlem78.h $e |- H = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 0 , (
       ( ( F ` ( X + s ) ) - if ( 0 < s , Y , W ) ) / s ) ) ) $.
    fourierdlem78.k $e |- K = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 1 , (
       s / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) ) $.
    fourierdlem78.u $e |- U = ( s e. ( -u _pi [,] _pi ) |-> ( ( H ` s ) x. ( K
       ` s ) ) ) $.
    fourierdlem78.n $e |- ( ph -> N e. RR ) $.
    fourierdlem78.s $e |- S = ( s e. ( -u _pi [,] _pi ) |-> ( sin ` ( ( N + ( 1
       / 2 ) ) x. s ) ) ) $.
    fourierdlem78.g $e |- G = ( s e. ( -u _pi [,] _pi ) |-> ( ( U ` s ) x. ( S
       ` s ) ) ) $.
    $( ` G ` is continuous when restricted on an interval not containing
       ` 0 ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem78 $p |- ( ph -> ( G |` ( A (,) B ) ) e. ( ( A (,) B ) -cn-> RR
       ) ) $=
      ( cioo co cres cv cfv cmul cmpt ccncf cpi cneg cicc wceq a1i reseq1d wcel
      cr wa pire renegcli elioore adantl iccssred sseldd adantr cle wbr elicc2i
      simp2bi syl cxr rexrd simpr ioogtlb syl3anc lelttrd ltled iooltub simp3bi
      clt ltletrd eliccd ex ssrdv resmptd eqtrd wf cc0 caddc cif cmin cdiv 0red
      readdcld ffvelrnd ifcld resubcld eleq1 wn ad2antrr fvmpt2 syl2anc eqeltrd
      redivcld c1 c2 csin resincld remulcld recnd wne rereccld cc wss ax-resscn
      mpteq2dva iffalsed divrecd 3eqtrd eqcomd addcomd ltadd2dd ioosscn adantlr
      eqid eliood simplr negeqd constcncfg ltnled mpbird cncfmptssg mulcncf 2re
      biimpac adantll pm2.65da neqned 1red rehalfcld 2ne0 fourierdlem44 mulne0d
      fmptd negsubd eqbrtrd breqtrd fvres fourierdlem23 iftrued renegcld condan
      ssid simpl ltnsymd negcld pm2.61dan addcncf cdif 1cnd cdivcncf wral velsn
      wb csn sylnibr eldifd ralrimiva sylibr eqtr2d cncfss fourierdlem62 sselid
      dfss3 mp2an sincn halfre idcncfg cncfmpt1f cncffvrn ) AGBCUIUJZUKZNUWHNUL
      ZEUMZUWJDUMZUNUJZUOZUWHVDUPUJZAUWINUQURZUQUSUJZUWMUOZUWHUKUWNAGUWRUWHGUWR
      UTAUHVAVBANUWQUWHUWMANUWHUWQAUWJUWHVCZUWJUWQVCZAUWSVEZUWPUQUWJUWPVDVCZUXA
      UQVFVGZVAZUQVDVCZUXAVFVAZUWSUWJVDVCZAUWJBCVHZVIZUXAUWPUWJUXDUXIUXAUWPBUWJ
      UXDABVDVCZUWSAUWQVDBAUWPUQUXBAUXCVAUXEAVFVAVJZPVKZVLZUXIAUWPBVMVNZUWSABUW
      QVCZUXNPUXOUXJUXNBUQVMVNUWPUQBUXCVFVOVPVQVLUXABVRVCZCVRVCZUWSBUWJWGVNZUXA
      BUXMVSZAUXQUWSACAUWQVDCUXKQVKZVSZVLZAUWSVTZBCUWJWAWBZWCWDUXAUWJUQUXIUXFUX
      AUWJCUQUXIACVDVCZUWSUXTVLZUXFUXAUXPUXQUWSUWJCWGVNZUXSUYBUYCBCUWJWEWBZACUQ
      VMVNZUWSACUWQVCZUYIQUYJUYEUWPCVMVNUYIUWPUQCUXCVFVOWFVQVLWHWDWIZWJWKZWLWMA
      UWNUWOVCZUWHVDUWNWNZANUWHUWMVDUWNUXAUWKUWLUXAUWKUWJHUMZUWJIUMZUNUJZVDUXAU
      WTUYQVDVCUWKUYQUTUYKUXAUYOUYPUXAUYOUWJWOUTZWOLUWJWPUJZFUMZWOUWJWGVNZMKWQZ
      WRUJZUWJWSUJZWQZVDUXAUWTVUEVDVCUYOVUEUTUYKUXAUYRWOVUDVDUXAWTUXAVUCUWJUXAU
      YTVUBUXAVDVDUYSFAVDVDFWNUWSOVLUXALUWJALVDVCUWSRVLZUXIXAZXBZAVUBVDVCUWSAVU
      AMKVDUAUBXCVLZXDZUXIUXAUWJWOUXAUYRWOUWHVCZUWSUYRVUKAUYRUWSVUKUWJWOUWHXEUU
      BUUCAVUKXFZUWSUYRSXGUUDZUUEZXKXCZNUWQVUEVDHUCXHXIZVUOXJUXAUYPUYRXLUWJXMUW
      JXMWSUJZXNUMZUNUJZWSUJZWQZVDUXAUWTVVAVDVCUYPVVAUTUYKUXAUYRXLVUTVDUXAUUFUX
      AUWJVUSUXIUXAXMVURXMVDVCUXAUUAVAZUXAVUQUXAUWJUXIUUGXOZXPZUXAXMVURUXAXMVVB
      XQUXAVURVVCXQXMWOXRUXAUUHVAZUXAUWTUWJWOXRVURWOXRUYKVUNUWJUUIXIUUJZXKXCZNU
      WQVVAVDIUDXHXIZVVGXJXPZNUWQUYQVDEUEXHXIZVVIXJUXAUWLJXLXMWSUJZWPUJZUWJUNUJ
      ZXNUMZVDUXAUWTVVNVDVCUWLVVNUTUYKUXAVVMUXAVVLUWJUXAJVVKAJVDVCUWSUFVLUXAXMV
      VBVVEXSXAUXIXPXOZNUWQVVNVDDUGXHXIZVVOXJXPUWNYLUUKAVDXTYAZUWNUWHXTUPUJZVCU
      YMUYNUVKVVQAYBVAANUWKUWLUWHANUWHUWKUONUWHUYQUOVVRANUWHUWKUYQVVJYCANUYOUYP
      UWHANUWHUYOUONUWHVUCXLUWJWSUJZUNUJZUOVVRANUWHUYOVVTUXAUYOVUEVUDVVTVUPUXAU
      YRWOVUDVUMYDUXAVUCUWJUXAVUCVUJXQUXAUWJUXIXQZVUNYEYFYCANVUCVVSUWHANUWHVUCU
      ONUWHUYTVUBURZWPUJZUOVVRANUWHVUCVWCUXAVWCVUCUXAUYTVUBUXAUYTVUHXQUXAVUBVUI
      XQUULYGYCANUYTVWBUWHANUWHUYTUONUWHUYSFBLWPUJZCLWPUJZUIUJZUKZUMZUOVVRANUWH
      UYTVWHUXAVWHUYTUXAUYSVWFVCVWHUYTUTUXAVWDVWEUYSAVWDVRVCUWSAVWDABLUXLRXAVSV
      LAVWEVRVCUWSAVWEACLUXTRXAVSVLVUGUXAVWDLBWPUJZUYSWGAVWDVWIUTUWSABLABUXLXQA
      LRXQZYHVLUXABUWJLUXMUXIVUFUYDYIUUMUXAUYSLCWPUJZVWEWGUXAUWJCLUXIUYFVUFUYHY
      IAVWKVWEUTUWSALCVWJACUXTXQYHVLUUNYMZUYSVWFFUUOVQYGYCAVWFUWHVWGLNVWFXTYAAV
      WDVWEYJVATUWHXTYAABCYJVAZVWJVWLUUPXJAWOBVMVNZNUWHVWBUOZVVRVCZAVWNVEZVWONU
      WHMURZUOZVVRVWQNUWHVWBVWRVWQUWSVEZVUBMVWTVUAMKVWTWOBUWJVWTWTAUXJVWNUWSUXL
      XGUWSUXGVWQUXHVIAVWNUWSYNAUWSUXRVWNUYDYKWCUUQYOYCAVWSVVRVCVWNANUWHVWRXTVW
      MAVWRAMUAUURXQXTXTYAZAXTUUTZVAZYPVLXJAVWNXFZVEZACWOVMVNZVWPAVXDUVAVXEVXFV
      UKVXEVXFXFZVEZBCWOAUXPVXDVXGABUXLVSXGAUXQVXDVXGUYAXGVXHWTVXEBWOWGVNZVXGVX
      EVXIVXDAVXDVTVXEBWOAUXJVXDUXLVLVXEWTYQYRVLAVXGWOCWGVNZVXDAVXGVEZVXJVXGAVX
      GVTVXKWOCVXKWTAUYEVXGUXTVLYQYRYKYMAVULVXDVXGSXGUUSAVXFVEZVWONUWHKURZUOZVV
      RVXLNUWHVWBVXMVXLUWSVEZVUBKVXOVUAMKVXOUWJWOUWSUXGVXLUXHVIZVXOWTZVXOUWJCWO
      VXPAUYEVXFUWSUXTXGVXQAUWSUYGVXFUYHYKAVXFUWSYNWHUVBYDYOYCAVXNVVRVCVXFANUWH
      VXMXTVWMAKAKUBXQUVCVXCYPVLXJXIUVDUVEXJANXTWOUVLZUVFZXTUWHXTVVSNVXSVVSUOZV
      XTYLZAXLXTVCVXTVXSXTUPUJVCAUVGNXLVXTVYAUVHVQAUWJVXSVCZNUWHUVIUWHVXSYAAVYB
      NUWHUXAUWJXTVXRVWAUXAUYRUWJVXRVCVUMNWOUVJUVMUVNUVONUWHVXSUWAUVPVXCUXAVVSU
      XAUWJUXIVUNXSXQYSYTXJANUWHUYPUONUWHUWJXLVUSWSUJUNUJZUOZVVRANUWHUYPVYCUXAU
      YPVVAVUTVYCVVHUXAUYRXLVUTVUMYDZUXAUWJVUSVWAUXAVUSVVDXQVVFYEZYFYCAVYDNUWHV
      VAUOVVRANUWHVYCVVAUXAVVAVUTVYCVYEVYFUVQYCANUWQXTUWHXTVVANUWQVVAUOZVYGYLZA
      UWQVDUPUJZUWQXTUPUJZVYGVVQVXAVYIVYJYAYBVXBUWQVDXTUVRUWBVYGVYIVCANVYGVYHUV
      SVAUVTUYLVXCUXAVVAVVGXQYSXJXJYTXJANUWHUWLUONUWHVVNUOVVRANUWHUWLVVNVVPYCAN
      VVMXNUWHXNXTXTUPUJVCAUWCVAANVVLUWJUWHANUWHVVLXTVWMAVVLAJVVKUFVVKVDVCAUWDV
      AXAXQVXCYPANUWHXTVWMVXCUWEYTUWFXJYTUWHXTVDUWNUWGXIYRXJ $.
  $}

  ${
    $d A i j x $.  $d A i m p $.  $d A j x y $.  $d B f $.  $d B i k x $.
    $d B i m p $.  $d B x y $.  $d C i m p $.  $d C i x $.  $d D i m p $.
    $d D i x $.  $d E f $.  $d E i k x $.  $d E i l x $.  $d E x y $.
    $d H f $.  $d H x $.  $d I f $.  $d I i k x $.  $d L i l x $.
    $d M i j l x $.  $d M i m p $.  $d N f $.  $d N i k x $.  $d N i m p $.
    $d N x y $.  $d Q f j $.  $d Q i j k x $.  $d Q i j l x $.  $d Q i p $.
    $d S f $.  $d S i k x $.  $d S i l x $.  $d S i p $.  $d S x y $.
    $d T i k x $.  $d Z k x $.  $d f j ph $.  $d i j k ph x $.  $d l ph x $.
    $d ph x y $.
    fourierdlem79.t $e |- T = ( B - A ) $.
    fourierdlem79.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem79.m $e |- ( ph -> M e. NN ) $.
    fourierdlem79.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem79.c $e |- ( ph -> C e. RR ) $.
    fourierdlem79.d $e |- ( ph -> D e. RR ) $.
    fourierdlem79.cltd $e |- ( ph -> C < D ) $.
    fourierdlem79.o $e |- O = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = C /\ ( p ` m ) = D ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem79.h $e |- H = ( { C , D } u. { x e. ( C [,] D ) | E. k e. ZZ (
       x + ( k x. T ) ) e. ran Q } ) $.
    fourierdlem79.n $e |- N = ( ( # ` H ) - 1 ) $.
    fourierdlem79.s $e |- S = ( iota f f Isom < , < ( ( 0 ... N ) , H ) ) $.
    fourierdlem79.e $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( B - x ) / T ) )
       x. T ) ) ) $.
    fourierdlem79.l $e |- L = ( y e. ( A (,] B ) |-> if ( y = B , A , y ) ) $.
    fourierdlem79.z $e |- Z = ( ( S ` j ) + if ( ( ( S ` ( j + 1 ) ) - ( S ` j
       ) ) < ( ( Q ` 1 ) - A ) , ( ( ( S ` ( j + 1 ) ) - ( S ` j ) ) / 2 ) , (
       ( ( Q ` 1 ) - A ) / 2 ) ) ) $.
    fourierdlem79.i $e |- I = ( x e. RR |-> sup ( { i e. ( 0 ..^ M ) | ( Q ` i
       ) <_ ( L ` ( E ` x ) ) } , RR , < ) ) $.
    $( ` E ` projects every interval of the partition induced by ` S ` on ` H `
       into a corresponding interval of the partition induced by ` Q ` on
       ` [ A , B ] ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem79 $p |- ( ( ph /\ j e. ( 0 ..^ N ) ) -> ( ( L ` ( E ` ( S ` j )
       ) ) (,) ( E ` ( S ` ( j + 1 ) ) ) ) C_ ( ( Q ` ( I ` ( S ` j ) ) ) (,) (
       Q ` ( ( I ` ( S ` j ) ) + 1 ) ) ) ) $=
      ( vl cv cc0 co wcel wa cfv cxr c1 caddc cle wbr wss cfz cr wf wceq clt wb
      wral syl mpbid simpld adantr crab wi a1i simprd adantl ffvelrnd rexrd cvv
      csup fveq2 fveq2d supeq1d fvmptd imbi12d nfcv breq1d eqbrtrd ad2antrr 0zd
      cmin elfzd c2 cdiv resubcld rehalfcld readdcld zred cz syl3anbrc ltled wn
      crp simpr pm2.61dan recnd oveq1d cc syl2anc eqtrd lelttrd adantlr syl3anc
      eqbrtrid w3a oveq2d npcand eqcomd breqtrd elrab ad2antlr 0red ltnled 1red
      wne adantll 3ad2ant1 cfzo cioo cmap cn fourierdlem2 fourierdlem37 fzossfz
      elmapi fssd wiso fourierdlem54 elfzofz fzofzp1 breq2d rabbidv supex simpl
      cmpt ltso jca eleq1 anbi2d eleq12d imp vtoclg sylc nfrab1 nfsup nffv nfbr
      elrabf sylib nnzd 1zzd 0le1 nnge1d simplr cico fourierdlem11 simp1d ifcld
      cif eqeltrid 2re elfzoelz ltp1d isorel syl12anc posdifd 2pos elrpd nngt0d
      divgt0d fzolb 0re oveq1 breq12d r19.21bi ax-mp mpdan 0p1e1 fveq2i 3brtr3d
      ltaddrpd breqtrrdi iftrue iffalse 2rp nltled lediv1dd leadd2dd halfaddsub
      addcomd addcld halfcld subsub23d subaddd avglt2 elico2 simp2d simp3d cioc
      leidd ltdiv1dd cicc fourierdlem15 iccleub lesub1dd eqcomi oveq1i rphalflt
      mpbir3and letrd elioc2 fourierdlem26 pncan2d 3eqtrd ltadd2dd cmul 2timesd
      eqtr3d 2cnd 2ne0 divcan3d lttrd fourierdlem63 ubioc1 sylan9eqr csn elrabi
      eqid simprbi simp3 sselda 1e0p1 mpbird zltp1le eluz2 elfzelz 0lt1 elfzle1
      ltletrd elfzle2 elfzolt2 peano2rem peano2zd addgt0d 1cnd peano2re elfzel2
      cuz 3syl leadd1dd peano2zm zcnd simpll elfzoel2 elfzo2 chvarvv monoord ex
      ltm1d 3adant3 mt4d elfzole1 3ad2ant2 letri3d mpbir2and velsn sylibr dfss3
      ralrimiva eqeltrd eqled snssd eqssd wor supsn mp2an eqtr2di neqne eqnetrd
      sylanbrc neneqd iffalsed fourierdlem4 fourierdlem17 iccssred necomd nncnd
      leneltd eqtr2d c0 wrex ssrab2 fzssz sstri neeq1d iocssre ffvelrnda sseldd
      zssre eqeq1 ifbieq2d breqtrrd ne0i cfn fzofi ssfi fimaxre2 sselid elfzouz
      eluzle addgegt0d elfzelzd zltlem1 ltadd1dd elfzo suprub syl31anc pm2.65da
      id simp2 3adant1r ioossioo syl22anc ) ANVBZVCUBUUAVDZVEZVFZWUGJVGZSVGZIVG
      ZVHVEWULVIVJVDZIVGZVHVEWUMWUKQVGZTVGZVKVLWUGVIVJVDZJVGZQVGZWUOVKVLZWUQWUT
      UUBVDWUMWUOUUBVDVMWUJWUMWUJVCUAVNVDZVOWULIAWVBVOIVPZWUIAIVOWVBUUCVDVEZWVC
      AWVDVCIVGZDVQZUAIVGZEVQZVFZMVBZIVGZWVJVIVJVDZIVGZVRVLZMVCUAUUAVDZVTZVFZAI
      UAHVGVEZWVDWVQVFZUIAUAUUDVEZWVRWVSVSUHDEHIMPUAUEUGUUEWAWBZWCIVOWVBUUHWAZW
      DZWUJVOWVBWUKSAVOWVBSVPWUIAVOWVOWVBSAVOWVOSVPZBVBZVOVEZWVKWWEQVGZTVGZVKVL
      ZMWVOWEZVOVRWMZWWJVEZWFZABCDEHIKMPQSTUAUEUGUHUIUFUQURUTUUFZWCZWVOWVBVMAVC
      UAUUGZWGZUUIWDWUJVCUBVNVDZVOWUGJWUJJVOWWRUUCVDVEZWWRVOJVPWUJWWSVCJVGFVQUB
      JVGGVQVFWVJJVGWVLJVGVRVLMWUHVTVFZWUJJUBUCVGVEZWWSWWTVFZAWXAWUIAUBUUDVEZWX
      AAWXCWXAVFZWWRRVRVRJUUJZABDEFGHIJKLMOPRUAUBUCUEUFUGUHUIUJUKULUMUNUOUPUUKZ
      WCZWHWDWUJWXCWXAWXBVSAWXCWUIAWXCWXAWXGWCWDFGUCJMPUBUEUMUUEWAWBWCJVOWWRUUH
      WAZWUIWUGWWRVEZAWUGVCUBUULWIZWJZWJZWJWKWUJWUOWUJWVBVOWUNIWWCWUJWULWVOVEZW
      UNWVBVEZWUJVOWVOWUKSAWWDWUIWWOWDWXKWJZVCUAWULUUMWAZWJZWKWUJWUMWVKWUQVKVLZ
      MWVOWEZVOVRWMZIVGZWUQVKWUJWULWXTIWUJBWUKWWKWXTVOSWLSBVOWWKUURVQZWUJUTWGWW
      EWUKVQZWWKWXTVQZWUJWYCVOWWJWXSVRWYCWWIWXRMWVOWYCWWHWUQWVKVKWYCWWGWUPTWWEW
      UKQWNWOUUNUUOZWPZWIWXKWXTWLVEZWUJVOWXSVRUUSUUPZWGWQZWOWUJWXTWVOVEZWYAWUQV
      KVLZWUJWXTWXSVEZWYJWYKVFWUJWUKVOVEZAWYMVFZWYLWXKWUJAWYMAWUIUUQWXKUUTZAWWF
      VFZWWLWFWYNWYLWFBWUKVOWYCWYPWYNWWLWYLWYCWWFWYMAWWEWUKVOUVAUVBZWYCWWKWXTWW
      JWXSWYFWYEUVCWRAWWFWWLAWWDWWMWWNWHUVDUVEUVFWXRWYKMWXTWVOMWXSVOVRWXRMWVOUV
      GMVOWSMVRWSUVHZMWVOWSMWYAWUQVKMWXTIMIWSWYRUVIMVKWSMWUQWSUVJWVJWXTVQWVKWYA
      WUQVKWVJWXTIWNWTUVKUVLWHXAWUJWUPEVQZWVAWUJWYSVFZWUTVIIVGZWUOVKWYTBDEFGHIJ
      KLMOPQRWUGVIUAUBUCXUAUDQVGZUDXDVDXDVDZUDUEUFUGAWVTWUIWYSUHXBAWVRWUIWYSUIX
      BAFVOVEZWUIWYSUJXBAGVOVEZWUIWYSUKXBAFGVRVLZWUIWYSULXBUMUNUOUPUQAVIWVBVEWU
      IWYSAVIVCUAAXCZAUAUHUVMZAUVNVCVIVKVLAUVOWGAUAUHUVPXEZXBAWUIWYSUVQWUJUDWUK
      WUSUVRVDZVEZWYSWUJXUKUDVOVEZWUKUDVKVLZUDWUSVRVLZWUJUDWUKWUSWUKXDVDZXUADXD
      VDZVRVLZXUOXFXGVDZXUPXFXGVDZUWBZVJVDZVOUSWUJWUKXUTWXKWUJXUQXURXUSVOWUJXUO
      WUJWUSWUKWUJWWRVOWURJWXHWUIWURWWRVEZAVCUBWUGUUMWIZWJZWXKXHZXIZAXUSVOVEZWU
      IAXUPAXUADAWVBVOVIIWWBXUIWJZADVOVEZEVOVEZDEVRVLZADEHIMPUAUEUGUHUIUVSZUVTZ
      XHZXIZWDZUWAZXJZUWCZWUJWUKXVAUDVKWUJWUKXVAWXKXVRWUJWUKXUTWXKWUJXUQXURXUSX
      PWUJXURXVFWUJXUOXFXVEXFVOVEZWUJUWDWGWUJWUKWUSVRVLZVCXUOVRVLWUJWUGWURVRVLZ
      XWAWUIXWBAWUIWUGWUIWUGWUGVCUBUWEXKUWFWIWUJWXEWXIXVBXWBXWAVSAWXEWUIAWXDWXE
      WXFWHWDWXJXVCWWRRWUGWURVRVRJUWGUWHWBZWUJWUKWUSWXKXVDUWIWBVCXFVRVLZWUJUWJW
      GUWMUWKAXUSXPVEWUIAXUSXVOAXUPXFXVNXVTAUWDWGADXUAVRVLZVCXUPVRVLAWVEVCVIVJV
      DZIVGZDXUAVRAVCWVOVEZWVEXWGVRVLZAVCXLVEZUAXLVEZVCUAVRVLXWHXUGXUHAUAUHUWLV
      CUAUWNXMZVCVOVEZAXWHVFZXWIWFZUWOAWVJWVOVEZVFZWVNWFZXWOMVCVOWVJVCVQZXWQXWN
      WVNXWIXWSXWPXWHAWVJVCWVOUVAUVBXWSWVKWVEWVMXWGVRWVJVCIWNZXWSWVLXWFIWVJVCVI
      VJUWPWOUWQWRAWVNMWVOAWVIWVPAWVDWVQWWAWHZWHUWRZUVEUWSUWTAWVFWVHAWVIWVPXXAW
      CZWCZXWGXUAVQAXWFVIIUXAUXBZWGUXCZADXUAXVMXVHUWIWBXWDAUWJWGUWMUWKWDUWAUXDZ
      XNUSUXEWUJUDXVAWUSVRUSWUJXVAWUKXURVJVDZWUSXVRWUJWUKXURWXKXVFXJXVDWUJXUTXU
      RWUKXVQXVFWXKWUJXUQXUTXURVKVLWUJXUQVFZXUTXURXURVKXUQXUTXURVQWUJXUQXURXUSU
      XFZWIZWUJXURXURVKVLXUQWUJXURXVFUYCWDXAWUJXUQXOZVFZXUTXUSXURVKXXLXUTXUSVQZ
      WUJXUQXURXUSUXGZWIXXMXUPXUOXFAXUPVOVEZWUIXXLXVNXBZWUJXUOVOVEZXXLXVEWDZXFX
      PVEZXXMUXHWGXXMXUPXUOXXQXXSWUJXXLXQUXIUXJXAXRUXKWUJXXHWUKWUSVJVDZXFXGVDZW
      USVRWUJXYBWUKXDVDXURVQZXXHXYBVQWUJXYBXURXDVDZWUKVQXYCWUJXYDWUSWUKVJVDZXFX
      GVDZXURXDVDZWUKWUJXYBXYFXURXDWUJXYAXYEXFXGWUJWUKWUSWUJWUKWXKXSZWUJWUSXVDX
      SZUXMXTXTWUJXYFXURVJVDWUSVQZXYGWUKVQZWUJWUSYAVEWUKYAVEXYJXYKVFXYIXYHWUSWU
      KUXLYBWHYCWUJXYBXURWUKWUJXYAWUJWUKWUSXYHXYIUXNUXOZWUJXURXVFXSZXYHUXPWBWUJ
      XYBWUKXURXYLXYHXYMUXQWBWUJXWAXYBWUSVRVLZXWCWUJWYMWUSVOVEXWAXYNVSWXKXVDWUK
      WUSUXRYBWBXAYDYGWUJWYMWUSVHVEZXUKXULXUMXUNYHVSWXKWUJWUSXVDWKZWUKWUSUDUXSY
      BUYLWDWYTXUBDXUTVJVDZXUAVRWYTXUBDUDWUKXDVDZVJVDZDXVAWUKXDVDZVJVDZXYQWYTBD
      EKQWUKUDAXVIWUIWYSXVMXBAXVJWUIWYSAXVIXVJXVKXVLUXTZXBAXVKWUIWYSAXVIXVJXVKX
      VLUYAZXBUFUQWUJWYMWYSWXKWDZWUJWYSXQWUJUDWUKWUKKVJVDZUYBVDVEZWYSWUJYUFXULW
      UKUDVRVLZUDYUEVKVLZXVSWUJWUKXVAUDVRXXGUSUXEWUJUDXVAYUEVKUSWUJXUTKWUKXVQAK
      VOVEWUIAKEDXDVDZVOUFAEDYUBXVMXHZUWCZWDZWXKWUJXUTXUSKXVQXVPYULWUJXUQXUTXUS
      VKVLZXXIXUTXURXUSVKXXKXXIXURXUSWUJXURVOVEXUQXVFWDZAXVGWUIXUQXVOXBZXXIXUOX
      UPXFWUJXXRXUQXVEWDAXXPWUIXUQXVNXBXXTXXIUXHWGWUJXUQXQUYDZXNXAAXXLYUMWUIAXX
      LVFXUTXUSXUSVKXXLXXNAXXOWIAXUSXUSVKVLXXLAXUSXVOUYCWDXAYEXRAXUSKVKVLWUIAXU
      SKXVOYUKAXUSYUIXFXGVDZKXVOAYUIYUJXIYUKAXUPYUIXFXVNYUJXXTAUXHWGZAXUAEDXVHY
      UBXVMADVHVEZEVHVEZXUADEUYEVDZVEXUAEVKVLADXVMWKZAEYUBWKZAWVBYVAVIIADEHIMPU
      AUEUGUHUIUYFXUIWJDEXUAUYGYFUYHUXJAYUQKXFXGVDZKVRYUIKXFXGKYUIUFUYIUYJAKXPV
      EYVDKVRVLAKYUKAVCYUIKVRAXVKVCYUIVRVLYUCADEXVMYUBUWIWBUFUXEUWKKUYKWAYGYDXN
      WDUYMUXKYGWUJWUKVHVEYUEVOVEYUFXULYUGYUHYHVSWUJWUKWXKWKWUJWUKKWXKYULXJWUKY
      UEUDUYNYBUYLWDUYOWUJXYSYUAVQWYSWUJXYRXYTDVJWUJUDXVAWUKXDUDXVAVQWUJUSWGXTY
      IWDWUJYUAXYQVQWYSWUJXYTXUTDVJWUJWUKXUTXYHWUJXUTXVQXSUYPYIWDUYQWUJXYQXUAVR
      VLZWYSWUJXUQYVEXXIXYQDXURVJVDZXUAVRXUQXYQYVFVQWUJXUQXUTXURDVJXXJYIWIXXIYV
      FDXUSVJVDZXUAWUJYVFVOVEXUQWUJDXURAXVIWUIXVMWDZXVFXJWDWUJYVGVOVEXUQWUJDXUS
      YVHXVPXJWDAXUAVOVEZWUIXUQXVHXBXXIXURXUSDYUNYUOAXVIWUIXUQXVMXBYUPUYRAYVGXU
      AVRVLZWUIXUQAYVGXUADVJVDZXFXGVDZXUAVRAYVLXUSXDVDZXUSVJVDYVGYVLAYVMDXUSVJA
      YVLXUSVJVDXUAVQZYVMDVQZAXUAYAVEDYAVEYVNYVOVFAXUAXVHXSZADXVMXSXUADUXLYBWHX
      TAYVLXUSAYVLAYVKAXUADXVHXVMXJZXIXSAXUSXVOXSYJVUAAYVLXUAXUAVJVDZXFXGVDZXUA
      VRAYVKYVRXFYVQAXUAXUAXVHXVHXJYURADXUAXUAXVMXVHXVHXXFUYRUYDAYVSXFXUAUYSVDZ
      XFXGVDXUAAYVRYVTXFXGAYVTYVRAXUAYVPUYTYKXTAXUAXFYVPAVUBXFVCYRAVUCWGVUDYCYL
      XAZXBVUEXAXXMXYQYVGXUAVRXXLXYQYVGVQWUJXXLXUTXUSDVJXXOYIWIAYVJWUIXXLYWAXBX
      AXRWDXAXUCVUKVUFWYTWUOXWGXUAWYTWUNXWFIWYTWULVCVIVJWYTWULWXTWVKDVKVLZMWVOW
      EZVOVRWMZVCWYTBWUKWWKWXTVOSWLWYBWYTUTWGWYCWYDWYTWYFWIYUDWYGWYTWYHWGWQAWYS
      WXTYWDVQWUIAWYSVFZVOWXSYWCVRYWEWXRYWBMWVOYWEWUQDWVKVKWYSAWUQETVGDWUPETWNA
      CECVBZEVQZDYWFUWBZDDEUYBVDZTVOTCYWIYWHUURVQZAURWGYWGYWHDVQAYWGDYWFUXFWIAY
      USYUTXVKEYWIVEYVBYVCYUCDEVUGYFXVMWQVUHUUNUUOWPYEAYWDVCVQWUIWYSAYWDVCVUIZV
      OVRWMZVCAVOYWCYWKVRAYWCYWKAWUGYWKVEZNYWCVTYWCYWKVMAYWMNYWCAWUGYWCVEZVFZWU
      GVCVQZYWMYWOAWUGWVOVEZWUGIVGZDVKVLZYWPAYWNUUQYWNYWQAYWBMWUGWVOVUJWIYWNYWS
      AYWNYWQYWSYWBYWSMWUGWVOWVJWUGVQWVKYWRDVKWVJWUGIWNWTYMVULWIAYWQYWSYHZYWPWU
      GVCVKVLZVCWUGVKVLZYWTYWSYXAAYWQYWSVUMAYWQYXAXOZYWSXOZWFYWSAYWQVFZYXCYXDYX
      EYXCVFZDYWRVRVLYXDYXFDXUAYWRAXVIYWQYXCXVMXBZAYVIYWQYXCXVHXBYXEYWRVOVEYXCY
      XEWVBVOWUGIAWVCYWQWWBWDAWVOWVBWUGWWQVUNWJWDZAXWEYWQYXCXXFXBYXFVAIVIWUGYXF
      VIXLVEWUGXLVEZVIWUGVKVLWUGVIVVKVGVEYXFUVNYWQYXIAYXCWUGVCUAUWEZYNZYXFVIXWF
      WUGVKVUOYXFVCWUGVRVLZXWFWUGVKVLZYXFYXLYXCYXEYXCXQYXFVCWUGYXFYOYXFWUGYXKXK
      YPVUPYXFXWJYXIYXLYXMVSYXFXCYXKVCWUGVUQYBWBYGVIWUGVURXMYXEVAVBZVIWUGVNVDVE
      ZYXNIVGZVOVEYXCYXEYXOVFZWVBVOYXNIAWVCYWQYXOWWBXBYXQYXNVCUAYXQXCAXWKYWQYXO
      XUHXBYXOYXNXLVEZYXEYXNVIWUGVUSZWIYXOVCYXNVKVLZYXEYXOVCYXNYXOYOZYXOYXNYXSX
      KZYXOVCVIYXNYYAYXOYQYYBVCVIVRVLZYXOVUTWGYXNVIWUGVVAVVBXNWIYXQYXNUAYXOYXNV
      OVEZYXEYYBWIZAUAVOVEZYWQYXOAUAXUHXKZXBZYXQYXNWUGUAYYEYWQWUGVOVEZAYXOYWQWU
      GYXJXKZYNYYHYXOYXNWUGVKVLYXEYXNVIWUGVVCWIYWQWUGUAVRVLZAYXOWUGVCUAVVDZYNYD
      XNXEWJYEYXEYXNVIWUGVIXDVDZVNVDVEZYXPYXNVIVJVDZIVGZVKVLYXCYXEYYNVFZYXPYYPY
      YQWVBVOYXNIAWVCYWQYYNWWBXBZYYQYXNVCUAYYQXCZAXWKYWQYYNXUHXBZYYNYXRYXEYXNVI
      YYMVUSZWIZYYNYXTYXEYYNVCYXNYYNYOZYYNYXNUUUAXKZYYNVCVIYXNUUUCYYNYQZUUUDYYC
      YYNVUTWGZYXNVIYYMVVAVVBZXNZWIYYQYXNUAYYQYXNUUUBXKZAYYFYWQYYNYYGXBZYYQYXNW
      UGUAUUUIYWQYYIAYYNYYJYNZUUUJYWQYYNYXNWUGVRVLAYWQYYNVFZYXNYYMWUGYYNYYDYWQU
      UUDWIZYWQYYMVOVEZYYNYWQYYIUUUNYYJWUGVVEWAWDZYWQYYIYYNYYJWDZYYNYXNYYMVKVLY
      WQYXNVIYYMVVCZWIUUULWUGUUUPVWBYDZYSYWQYYKAYYNYYLYNZVUEXNXEWJYYQWVBVOYYOIY
      YRYYQYYOVCUAYYSYYTYYQYXNUUUBVVFYYNVCYYOVKVLYXEYYNVCYYOUUUCYYNYXNVIUUUDUUU
      EXJZYYNYXNVIUUUDUUUEUUUGUUUFVVGXNWIYYQYYOUAYYNYYOVOVEZYXEUUUTWIZUUUJYYQYY
      OWUGUAUUVBUUUKUUUJYWQYYNYYOWUGVKVLAUUULYYOYYOVIXDVDZVIVJVDZWUGVKYYNYYOUUV
      DVQYWQYYNUUVDYYOYYNYYOVIYYNYYOUUUTXSYYNVVHYJYKWIUUULUUVDYYMVIVJVDZVIXDVDZ
      VIVJVDZWUGVKUUULUUVCUUVFVIUUULYYDUUVAUUVCVOVEUUUMYXNVVIYYOVVEVVLUUULUUUNU
      UVEVOVEUUVFVOVEUUUOYYMVVIUUVEVVEVVLUUULYQYYNUUVCUUVFVKVLYWQYYNYYOUUVEVIUU
      UTYYNYYMVIYYNYYMYXNVIYYMVVJXKZUUUEXJUUUEYYNYXNYYMVIUUUDUUVHUUUEUUUQVVMUYH
      WIVVMYWQUUVGWUGVQYYNYWQUUVGUUVEWUGYWQUUVEVIYWQUUVEYWQYYMYWQYXIYYMXLVEYXJW
      UGVVNWAVVFVVOYWQVVHZYJYWQWUGVIYWQWUGYYJXSUUVIYJYCWDYLXAYSUUUSYDXNXEWJYYQA
      YXNWVOVEZYXPYYPVRVLZAYWQYYNVVPYWQYYNUUVJAUUULYXNVCVVKVGZVEZXWKYXNUAVRVLUU
      VJUUULXWJYXRYXTUUVMUUULXCYYNYXRYWQUUUAWIYYNYXTYWQUUUHWIVCYXNVURXMYWQXWKYY
      NWUGVCUAVVQWDZUUULYXNWUGUAUUUMUUUPUUULUAUUVNXKUUURYWQYYKYYNYYLWDVUEYXNVCU
      AVVRXMYSXWRAUUVJVFZUUVKWFMVAWVJYXNVQZXWQUUVOWVNUUVKUUVPXWPUUVJAWVJYXNWVOU
      VAUVBUUVPWVKYXPWVMYYPVRWVJYXNIWNUUVPWVLYYOIWVJYXNVIVJUWPWOUWQWRXXBVVSYBXN
      YEVVTVVBYXFDYWRYXGYXHYPWBVWAVWCVWDYWQAYXBYWSWUGVCUAVWEVWFYWTWUGVCYWQAYYIY
      WSYYJVWFYWTYOVWGVWHYFNVCVWIVWJVWLNYWCYWKVWKVWJAVCYWCAXWHWVEDVKVLZVCYWCVEX
      WLAWVEDAWVEDVOXXDXVMVWMZXXDVWNZYWBUUVQMVCWVOXWSWVKWVEDVKXWTWTYMVXCVWOVWPW
      PYWLVCVQZAVOVRVWQXWMUUVTUUSUWOVOVCVRVWRVWSWGYCXBUYQXTWOXXEVWTYLWUJWYSXOZV
      FZWYNWUIWUPWUOVRVLZWVAWUJWYNUUWAWYOWDAWUIUUWAUVQUUWBWULUAVIXDVDZVQZUUWCUU
      WBUUWEVFWUPEWUOVRUUWBWUPEVRVLUUWEUUWBWUPEUUWBWUPWUQVOUUWBWUQWUPUUWBCWUPYW
      HWUPYWITYWIYWJUUWBURWGUUWAYWFWUPVQZYWHWUPVQWUJUUWAUUWFVFZYWHYWFWUPUUWGYWG
      DYWFUUWGYWFEUUWGYWFWUPEUUWAUUWFXQZUUWAWUPEYRUUWFWUPEVXAZWDVXBVXDVXEUUWHYC
      YSWUJWUPYWIVEZUUWAWUJVOYWIWUKQAVOYWIQVPWUIABDEKQXVMYUBYUCUFUQVXFZWDWXKWJZ
      WDZUUWMWQYKZWUJWUQVOVEZUUWAWUJYWIVOWUPTWUJYWIYVAVOTAYWIYVATVPWUIACDETXVMY
      UBYUCURVXGWDAYVAVOVMWUIADEXVMYUBVXHWDUUIUUWLWJZWDVWMAXVJWUIUUWAYUBXBWUJWU
      PEVKVLZUUWAWUJWUPVOVEZDWUPVRVLZUUWQWUJUUWJUUWRUUWSUUWQYHZUUWLWUJYUSXVJUUW
      JUUWTVSAYUSWUIYVBWDAXVJWUIYUBWDDEWUPUYNYBWBUYAWDUUWAEWUPYRWUJUUWAWUPEUUWI
      VXIWIVXKWDWUJUUWEEWUOVQZUUWAAUUWEUUXAWUIAUUWEVFZWUOWVGEUUXBWUNUAIUUWEAWUN
      UUWDVIVJVDZUAWULUUWDVIVJUWPAUAVIAUAUHVXJAVVHYJZVUHWOAWVHUUWEAWVFWVHXXCWHW
      DVXLYEYEYLUUWBUUWEXOZVFWUPWUQWUOVRUUWBWUPWUQVQUUXEUUWNWDWUJUUXEWUQWUOVRVL
      ZUUWAWUJUUXEVFZUUXFWUOWUQVKVLZXOUUXGUUXHWUNWULVKVLZUUXGUUXHVFZWUNWXTWULVK
      UUXJWXSVOVMZWXSVXMYRZYXNWWEVKVLVAWXSVTBVOVXNZWUNWXSVEZWUNWXTVKVLUUXKUUXJW
      XSWVOVOWXRMWVOVXOZWVOXLVOWVOWVBXLWWPVCUAVXPVXQVYBVXQZVXQZWGWUJUUXLUUXEUUX
      HWUJWYMWYNUUXLWXKWYOWYPWWJVXMYRZWFWYNUUXLWFBWUKVOWYCWYPWYNUUXRUUXLWYQWYCW
      WJWXSVXMWYEVXRWRWYPVCWWJVEZUUXRWYPXWHWVEWWHVKVLZUUXSAXWHWWFXWLWDWYPWVEWWG
      EVQZDWWGUWBZWWHVKWYPUUYAWVEUUYBVKVLWYPUUYAVFWVEDUUYBVKAUUVQWWFUUYAUUVSXBU
      UYADUUYBVQWYPUUYAUUYBDUUYADWWGUXFYKWIYLWYPUUYAXOZVFWVEWWGUUYBVKWYPWVEWWGV
      KVLUUYCWYPWVEWWGAWVEVOVEWWFUUVRWDWYPYWIVOWWGWYPYUSXVJYWIVOVMWYPDAXVIWWFXV
      MWDZWKZAXVJWWFYUBWDZDEVXSYBAVOYWIWWEQUUWKVXTZVYAZWYPWVEDWWGVRAWVFWWFXXDWD
      WYPWWGVOVEZDWWGVRVLZWWGEVKVLZWYPWWGYWIVEZUUYIUUYJUUYKYHZUUYGWYPYUSXVJUUYL
      UUYMVSUUYEUUYFDEWWGUYNYBWBUXTXAXNWDUUYCWWGUUYBVQWYPUUYCUUYBWWGUUYADWWGUXG
      YKWIYLXRWYPCWWGYWHUUYBYWITVOYWJWYPURWGYWFWWGVQZYWHUUYBVQWYPUUYNYWGUUYAYWF
      WWGDYWFWWGEVYCUUYNWUBVYDWIUUYGWYPUUYADWWGVOUUYDUUYHUWAWQVYEWWIUUXTMVCWVOX
      WSWVKWVEWWHVKXWTWTYMVXCWWJVCVYFWAUVEUVFXBWUJUUXMUUXEUUXHWUJUUXKWXSVYGVEZU
      UXMUUXKWUJUUXQWGUUYOWUJWVOVYGVEWXSWVOVMUUYOVCUAVYHUUXOWVOWXSVYIVWSWGBVAWX
      SVYJYBXBUUXJWUNWVOVEZUUXHUUXNUUXGUUYPUUXHUUXGUUYPVCWUNVKVLZWUNUAVRVLZWUJU
      UYQUUXEWUJVCWUNWUJYOWUJWULVIWUJWVOVOWULUUXPWXOVYKZWUJYQZXJZWUJWULVIUUYSUU
      YTWUJWXMWULUUVLVEVCWULVKVLWXOWULVCUAVYLVCWULVYMVVLYYCWUJVUTWGVYNXNWDUUXGW
      UNUUXCUAVRUUXGWULUUWDVIWUJWULVOVEUUXEUUYSWDZAUUWDVOVEWUIUUXEAUAVIYYGAYQXH
      XBZUUXGYQUUXGWULUUWDUVUBUVUCWUJWULUUWDVKVLZUUXEWUJWULUAVRVLZUVUDWUJWXMUVU
      EWXOWULVCUAVVDWAWUJWULXLVEXWKUVUEUVUDVSWUJWULVCUAWXLVYOAXWKWUIXUHWDWULUAV
      YPYBWBWDUUXEUUWDWULYRWUJUUXEWULUUWDWULUUWDVXAVXIWIVXKVYQAUUXCUAVQWUIUUXEU
      UXDXBYLUUXGWUNXLVEZXWJXWKUUYPUUYQUUYRVFVSWUJUVUFUUXEWUJWUNVCUAWXPVYOWDUUX
      GXCAXWKWUIUUXEXUHXBWUNVCUAVYRYFVWHWDUUXGUUXHXQWXRUUXHMWUNWVOWVJWUNVQWVKWU
      OWUQVKWVJWUNIWNWTYMVXCBVAWXSWUNVYSVYTWUJWXTWULVQUUXEUUXHWUJWULWXTWYIYKXBY
      LWUJUUXIXOZUUXEUUXHWUJWULWUNVRVLUVUGWUJWULUUYSUWFWUJWULWUNUUYSUVUAYPWBXBW
      UAUUXGWUQWUOWUJUUWOUUXEUUWPWDWUJWUOVOVEUUXEWXQWDYPVUPYEXAXRAWUIUUWCWVAWYM
      AWUIUUWCYHBDEFGHIJKLMOPQRWUGWUNUAUBUCWUOWUPWUKXDVDXDVDZWUKUEUFUGAWUIWVTUU
      WCUHYTAWUIWVRUUWCUIYTAWUIXUDUUWCUJYTAWUIXUEUUWCUKYTAWUIXUFUUWCULYTUMUNUOU
      PUQAWUIWXNUUWCWXPVWCAWUIUUWCWUCAWUIWUKXUJVEZUUWCWUJUVUIWYMWUKWUKVKVLZXWAW
      XKWUJWUKWXKUYCXWCWUJWYMXYOUVUIWYMUVUJXWAYHVSWXKXYPWUKWUSWUKUXSYBUYLVWCAWU
      IUUWCVUMUVUHVUKVUFWUDYFXRWUMWUOWUQWUTWUEWUF $.
  $}

  ${
    $d A b r s t $.  $d A r s t y $.  $d B b r s t $.  $d B r s t y $.
    $d C b r s t $.  $d C r s t y $.  $d F b r s t $.  $d F s t w y z $.
    $d I w z $.  $d N b j r s $.  $d N j k r $.  $d N j s w y z $.
    $d O b j r $.  $d O j w y z $.  $d S b j r s t $.  $d S j k r $.
    $d S j s t w y z $.  $d X b r s t $.  $d X r s t y $.  $d Y s $.
    $d b j ph r s $.  $d ch s t y $.  $d ph s w y z $.
    fourierdlem80.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem80.xre $e |- ( ph -> X e. RR ) $.
    fourierdlem80.a $e |- ( ph -> A e. RR ) $.
    fourierdlem80.b $e |- ( ph -> B e. RR ) $.
    fourierdlem80.ab $e |- ( ph -> ( A [,] B ) C_ ( -u _pi [,] _pi ) ) $.
    fourierdlem80.n0 $e |- ( ph -> -. 0 e. ( A [,] B ) ) $.
    fourierdlem80.c $e |- ( ph -> C e. RR ) $.
    fourierdlem80.o $e |- O = ( s e. ( A [,] B ) |-> ( ( ( F ` ( X + s ) ) - C
       ) / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) $.
    fourierdlem80.i $e |- I = ( ( X + ( S ` j ) ) (,) ( X + ( S ` ( j + 1 ) ) )
       ) $.
    fourierdlem80.fbdioo $e |- ( ( ph /\ j e. ( 0 ..^ N ) ) -> E. w e. RR A. t
       e. I ( abs ` ( F ` t ) ) <_ w ) $.
    fourierdlem80.fdvbdioo $e |- ( ( ph /\ j e. ( 0 ..^ N ) ) -> E. z e. RR A.
       t e. I ( abs ` ( ( RR _D ( F |` I ) ) ` t ) ) <_ z ) $.
    fourierdlem80.sf $e |- ( ph -> S : ( 0 ... N ) --> ( A [,] B ) ) $.
    fourierdlem80.slt $e |- ( ( ph /\ j e. ( 0 ..^ N ) ) -> ( S ` j ) < ( S ` (
       j + 1 ) ) ) $.
    fourierdlem80.sjss $e |- ( ( ph /\ j e. ( 0 ..^ N ) ) -> ( ( S ` j ) [,] (
       S ` ( j + 1 ) ) ) C_ ( A [,] B ) ) $.
    fourierdlem80.relioo $e |- ( ( ( ph /\ r e. ( A [,] B ) ) /\ -. r e. ran S
       ) -> E. k e. ( 0 ..^ N ) r e. ( ( S ` k ) (,) ( S ` ( k + 1 ) ) ) ) $.
    fdv $e |- ( ( ph /\ j e. ( 0 ..^ N ) ) -> ( RR _D ( F |` I ) ) : I --> RR )
       $.
    fourierdlem80.y $e |- Y = ( s e. ( ( S ` j ) (,) ( S ` ( j + 1 ) ) ) |-> (
       ( ( F ` ( X + s ) ) - C ) / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) $.
    fourierdlem80.ch $e |- ( ch <-> ( ( ( ( ( ph /\ j e. ( 0 ..^ N ) ) /\ w e.
       RR ) /\ z e. RR ) /\ A. t e. I ( abs ` ( F ` t ) ) <_ w ) /\ A. t e. I (
       abs ` ( ( RR _D ( F |` I ) ) ` t ) ) <_ z ) ) $.
    $( The derivative of ` O ` is bounded on the given interval.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem80 $p |- ( ph -> E. b e. RR A. s e. dom ( RR _D O ) ( abs ` ( (
       RR _D O ) ` s ) ) <_ b ) $=
      ( vy crn cr cicc co cv caddc cfv cmin cdiv csin cmul cmpt cdv cdm cin csn
      c2 cc0 c1 cioo cun cabs wceq fveq2d oveq1 oveq2d oveq12d oveq2i wcel eqid
      cfn ax-mp a1i cuni id eleqtrdi wa wo cc simpl eleq2i elun adantl cvv ovex
      wb cfz syl eleq2d adantr ffvelrnd wrex sylib nfv nfan w3a wss cres sselda
      wf sstrd wne biimpi adantll syl2anc reseq2i eqtr2d sseldd 3exp mpd sylan2
      wi wn cle wbr wral simpr nfcv sylibr rexbidv mpbird oveq1d cbvmptv eqtr2i
      cfzo oveq2 dmeqi ineq2i sneqi uneq1i snfi fzofi rnmptfi unfi mp2an unieqi
      eqeltrid uniun sylbb fexd rnexg inex1g unisng orbi1d mpbid elinel2 dfiun3
      dvf ciun biimpri eliun nfmpt1 nfuni nfcri reseq1i ioossicc sstrid resmptd
      nfrn syl5eq eqtr4id ctg cnt ax-resscn iccssred readdcld recnd subcld 2cnd
      halfcld sincld mulcld 2ne0 cpi cneg eqcom ad2antrr pm2.65da fourierdlem44
      eqeltrd neqned mulne0d divcld fmptd ioossre ccnfld tgioo2 syl22anc ioontr
      ctopn dvres eqtrdi dmeqd ccos elfzofz fzofzp1 feq2i ssneldd fourierdlem57
      cexp feq1i simpli simpld fdm resss dmss mp1i eqsstrd 3adant3 simp3 jaodan
      rexlimd abscld elsni fzfid rnffi infi nfcxfr nfov nfdm nfin nfeq2 eleqtrd
      ffvelrni ex ralrimi fimaxre3 adantlr simpll elunnel1 vex elrnmpt sylanbrc
      reeanv simp1 simp2l simp2r jca31 simp3l simp-5l simp-4l simp-4r eleqtrrdi
      simp3r clt simplrd syl2an simpllr fveq1i fveq2i simprd r19.21bi eqbrtrrid
      rspa fourierdlem68 raleqdv eqcomi fvres fveq1d 3eqtr3a ralbidva rexlimdvv
      breq1d raleq 3ad2ant3 pm2.61dan pm3.22 elin eqcomd orcd dvbss fveq2 fvmpt
      rexbiia dmmpti rexeqi syl21anc wfun funmpt olcd ralrimiva dfss3 sseqtrrdi
      elunirn ssfiunibd ) ASUSRTIUTZVAEFGVBVCZPEVDZVEVCZLVFZHVGVCZVPVXGVPVHVCZV
      IVFZVJVCZVHVCZVKZVLVCZVMZVNZVOZJVQNUUDVCZJVDZIVFZVYAVRVEVCZIVFZVSVCZVKZUT
      ZVTZRVDZVAOVLVCZVFZWAVFZVYJVMZAVYHVXEVYMVNZVOZVYGVTZWJVXSVYOVYGVXRVYNVXQV
      YMVXEVXPVYJVXOOVAVLORVXFPVYIVEVCZLVFZHVGVCZVPVYIVPVHVCZVIVFZVJVCZVHVCZVKZ
      VXOUHREVXFWUCVXNVYIVXGWBZVYSVXJWUBVXMVHWUEVYRVXIHVGWUEVYQVXHLVYIVXGPVEUUE
      WCUUAWUEWUAVXLVPVJWUEVYTVXKVIVYIVXGVPVHWDWCWEWFUUBUUCWGUUFUUGUUHUUIZVYPWJ
      WHZAVYOWJWHVYGWJWHZWUGVYNUUJVXTWJWHWUHVQNUUKJVYFVXTVYEVYFWIZUULWKVYOVYGUU
      MUUNWLUUPVYIVYHWMZWHZAVYIVYPWMZWHZVYLVAWHZWUKVYIWUJWULWUKWNVYHVYPWUFUUOZW
      OAWUMWPZVYKWUPAVYIVYNWHZVYIVYGWMZWHZWQZVYKWRWHZAWUMWSWUPVYIVYOWMZWHZWUSWQ
      ZWUTWUMWVDAWUMVYIWVBWURVTZWHWVDWULWVEVYIVYOVYGUUQZWTVYIWVBWURXAUURXBWUPWV
      CWUQWUSAWVCWUQXEWUMAWVBVYNVYIAVYNXCWHZWVBVYNWBAVXEXCWHZWVGAIXCWHWVHAVQNXF
      VCZVXFXCIULWVIXCWHAVQNXFXDWLUUSIXCUUTXGVXEVYMXCUVAXGVYNXCUVBXGZXHXIUVCUVD
      AWUQWVAWUSWUQWVAAWUQVYMWRVYIVYJVYMWRVYJXSZWUQOUVGZWLVYIVXEVYMUVEZXJXBAWUS
      WPZVYIVYEWHZJVXTXKZWVAWVNVYIJVXTVYEUVHZWHZWVPWUSWVRAWVRWUSWVQWURVYIJVXTVY
      EVYBVYDVSXDZUVFWTUVIXBJVYIVXTVYEUVJXLWVNWVOWVAJVXTAWUSJAJXMZJRWURJVYGJVYF
      JVXTVYEUVKUVRZUVLUVMXNWVAJXMAVYAVXTWHZWVOWVAYKYKWUSAWWBWVOWVAAWWBWVOXOZVY
      MWRVYIVYJWVKWWCWVLWLWWCVYEVYMVYIAWWBVYEVYMXPWVOAWWBWPZVYEVYJVYEXQZVMZVYMW
      WDWWFVAQVLVCZVMZVYEWWDWWEWWGWWDWWGVAOVYEXQZVLVCZWWEWWDQWWIVAVLWWDQRVYEWUC
      VKZWWIUQWWDWWIWUDVYEXQZWWKOWUDVYEUHUVNZWWDRVXFVYEWUCWWDVYEVYBVYDVBVCZVXFV
      YBVYDUVOUNUVPZUVQUVSUVTWEAWWJWWEWBWWBAWWJVYJVYEVSUTUWAVFZUWBVFVFZXQZWWEAV
      AWRXPZVXFWROXSZVXFVAXPZVYEVAXPZWWJWWRWBWWSAUWCWLZARVXFWUCWROAVYIVXFWHZWPZ
      VYSWUBWXEVYRHWXEVYRWXEVAVAVYQLAVAVALXSZWXDUAXIWXEPVYIAPVAWHZWXDUBXIAVXFVA
      VYIAFGUCUDUWDZXRUWEXJUWFAHWRWHWXDAHUGUWFXIUWGWXEVPWUAWXEUWHZWXEVYTWXEVYIA
      VXFWRVYIAVXFVAWRWXHWXCXTXRUWIUWJZUWKWXEVPWUAWXIWXJVPVQYAWXEUWLWLWXEVYIUWM
      UWNUWMVBVCZWHVYIVQYAWUAVQYAAVXFWXKVYIUEXRWXEVYIVQWXEVYIVQWBZVQVXFWHZWXDWX
      LWXMAWXDWXLWPVQVYIVXFWXLVQVYIWBZWXDWXLWXNVYIVQUWOYBXBWXDWXLWSUWSYCAWXMYLZ
      WXDWXLUFUWPUWQUWTVYIUWRYDUXAUXBUHUXCZWXHWXBAVYBVYDUXDWLVXFVYEVAWWPOUXEUXI
      VFZWXQWIZWXQWXRUXFUXJUXGZWWQVYEVYJVYBVYDUXHZYEUXKXIYFUXLWWDVYEVAWWGXSZWWH
      VYEWBZWWDWYAWWGRVYEVYQVALPVYBVEVCPVYDVEVCVSVCZXQZVLVCZVFWUBVJVCVYTUXMVFZV
      YSVJVCVGVCWUBVPUXSVCVHVCVKWBZWWDWYAWYGWPYKVARVYEWUBVKVLVCRVYEWYFVKWBWWDVY
      BVYDHLQPRAWXFWWBUAXIAWXGWWBUBXIWWDVXFVAVYBAWXAWWBWXHXIZWWDWVIVXFVYAIAWVIV
      XFIXSZWWBULXIZWWBVYAWVIWHAVYAVQNUXNXBXJYGZWWDVXFVAVYDWYHWWDWVIVXFVYCIWYJW
      WBVYCWVIWHAVQNVYAUXOXBXJYGZWWDWYCVAVALMXQZVLVCZXSZWYCVAWYEXSZWWDMVAWYNXSW
      YOUPMWYCVAWYNUIUXPXLWYCVAWYNWYEWYMWYDVAVLMWYCLUIYEWGZUXTXLZWWDVYEVXFWXKWW
      OAVXFWXKXPWWBUEXIZXTWWDVYEVXFVQWWOAWXOWWBUFXIZUXQAHVAWHZWWBUGXIUQUXRUYAUY
      BVYEVAWWGUYCXGYFWWEVYJXPWWFVYMXPWWDVYJVYEUYDWWEVYJUYEUYFUYGUYHAWWBWVOUYIY
      GXJYHXIUYKYIUYJYDUYLYJSVDZVYHWHZAXUBVYPWHZVYLUSVDZYMYNZRXUBYOZUSVAXKZXUCX
      UBVYHVYPXUCWNWUFWOAXUDWPZXUBVYOWHZXUHAXUJXUHXUDXUJAXUBVYNWBZXUHXUBVYNUYMA
      XUKWPZXUBWJWHWUNRXUBYOXUHXULXUBVYNWJAXUKYPAVYNWJWHZXUKAVXEWJWHZXUMAWYIWVI
      WJWHXUNULAVQNUYNWVIVXFIUYOYDVXEVYMUYPXGXIUWSXULWUNRXUBAXUKRARXMRXUBVYNRVX
      EVYMRVXEYQRVYJRVAOVLRVAYQRVLYQROWUDUHRVXFWUCUVKUYQUYRUYSUYTVUAXNXULVYIXUB
      WHZWUNXULXUOWPVYIVYMWHZWUNXUKXUOXUPAXUKXUOWPZWUQXUPXUQVYIXUBVYNXUKXUOYPXU
      KXUOWSVUBWVMXGYCXUPVYKVYMWRVYIVYJWVLVUCUYLXGVUDVUEUSRXUBVYLVUFYDYJVUGXUIX
      UJYLZWPAXUBVYGWHZXUHAXUDXURVUHXUDXURXUSAXUBVYOVYGVUIYCAXUSWPZXUBVYEWBZJVX
      TXKZXUHXUSXVBAXUSXVBXUBXCWHXUSXVBXESVUJJVXTVYEXUBVYFXCWUIVUKWKYBXBXUTXVAX
      UHJVXTAXUSJWVTJSVYGWWAUVMXNXUHJXMAWWBXVAXUHYKYKXUSAWWBXVAXUHAWWBXVAXOZXUH
      XUFRVYEYOZUSVAXKZAWWBXVEXVAWWDVXGLVFWAVFDVDZYMYNZEMYOZVXGWYNVFZWAVFZCVDZY
      MYNZEMYOZWPZCVAXKDVAXKZXVEWWDXVHDVAXKXVMCVAXKXVOUJUKXVHXVMDCVAVAVUMVULWWD
      XVNXVEDCVAVAWWDXVFVAWHZXVKVAWHZWPZXVNXVEWWDXVRXVNXOZBXVEXVSWWDXVPWPZXVQWP
      ZXVHWPZXVMWPZBXVSXWAXVHXVMXVSWWDXVPXVQWWDXVRXVNVUNWWDXVPXVQXVNVUOWWDXVPXV
      QXVNVUPVUQWWDXVRXVHXVMVURWWDXVRXVHXVMVVCVUQURYRBXVEVYIWWGVFZWAVFZXUEYMYNZ
      RVYEYOZUSVAXKZBXWFRWWHYOZUSVAXKZXWHBWYBXWJBEVYBVYDHXVFXVKLQPRUSBAWXFBXWCA
      BXWCURYBZAWWBXVPXVQXVHXVMVUSXGZUAXGBAWXGXWLUBXGBWWDVYBVAWHBXWCWWDXWKWWDXV
      PXVQXVHXVMVUTXGZWYKXGBWWDVYDVAWHXWMWYLXGBWWDVYBVYDVVDYNXWMUMXGBWWDWWNWXKX
      PXWMWWDWWNVXFWXKUNWYSXTXGBWWDVQWWNWHYLXWMWWDWWNVXFVQUNWYTUXQXGBWWDWYPXWMW
      YRXGBXWCXVPXWKWWDXVPXVQXVHXVMVVAXGBXVHVXGMWHZXVGVXGWYCWHZBXWAXVHXVMXWKVVE
      XWOVXGWYCMXWOWNUIVVBZXVGEMVVMVVFBXWCXVQXWKXVTXVQXVHXVMVVGXGXWOBXWNVXGWYEV
      FZWAVFZXVKYMYNXWPBXWNWPXWRXVJXVKYMXVIXWQWAVXGWYNWYEWYQVVHVVIBXVLEMBXWBXVM
      XWKVVJVVKVVLYJBAXUAXWLUGXGUQVVNZVVJBXWIXWGUSVABXWFRWWHVYEBWYBXWJXWSUYBVVO
      YSUVDBXVDXWGUSVABXUFXWFRVYEBWVOWPZVYLXWEXUEYMXWTVYKXWDWAXWTVYIWWEVFZVYIWW
      RVFZVYKXWDVYIWWEWWRVYEWWQVYJWWQVYEWXTVVPYEVVHWVOXXAVYKWBBVYIVYEVYJVVQXBBX
      XBXWDWBWVOBXWDVYIWWJVFZXXBBVYIWWGWWJBQWWIVAVLBQWWKWWIUQBWWIWWLWWKWWMBRVXF
      VYEWUCBWWDVYEVXFXPXWMWWOXGUVQUVSUVTWEVVRBAXXCXXBWBXWLAVYIWWJWWRWXSVVRXGYF
      XIVVSWCVWBVVTYSYTXGYHVWAYIUYHXVCXUGXVDUSVAXVAAXUGXVDXEWWBXUFRXUBVYEVWCVWD
      YSYTYHXIUYKYIYDVWEYJAVYMWULWUJAXUBWULWHZSVYMYOVYMWULXPAXXDSVYMAXUBVYMWHZW
      PZXUBWVEWULXXFXUBWVBWHZXUBWURWHZWQZXUBWVEWHXXFXUBVXEWHZXXIXXFXXJWPZXXGXXH
      XXKXUBVYNWVBXXEXXJXUBVYNWHZAXXEXXJWPXXJXXEWPXXLXXEXXJVWFXUBVXEVYMVWGYRYCA
      VYNWVBWBXXEXXJAWVBVYNWVJVWHUWPVUBVWIXXFXXJYLZWPZXXHXXGXXNXXHXUBKVDZVYFVFZ
      WHZKVYFVMZXKZXXNAXUBVXFWHZXXMXXSAXXEXXMVUHXXFXXTXXMXXFVYMVXFXUBXXFVXFVAOW
      WSXXFUWCWLAWWTXXEWXPXIXXFFGAFVAWHXXEUCXIAGVAWHXXEUDXIUWDVWJAXXEYPYGXIXXFX
      XMYPAXXTWPXXMWPZXXQKVXTXKZXXSXYAXUBXXOIVFZXXOVRVEVCZIVFZVSVCZWHZKVXTXKXYB
      UOXXQXYGKVXTXXOVXTWHXXPXYFXUBJXXOVYEXYFVXTVYFVYAXXOWBZVYBXYCVYDXYEVSVYAXX
      OIVWKXYHVYCXYDIVYAXXOVRVEWDWCWFWUIXYCXYEVSXDVWLXHVWMYRXXQKXXRVXTJVXTVYEVY
      FWVSWUIVWNVWOYRVWPVYFVWQXXHXXSXEXXNJVXTVYEVWRKXUBVYFVXCUYFYTVWSVWEXUBWVBW
      URXAYRWVFVVBVWTSVYMWULVXAYRWUOVXBVXD $.
  $}

  ${
    $d A i m p $.  $d A i x y $.  $d B i m p $.  $d B i x y $.
    $d F i w x y z $.  $d G x y $.  $d L w x y z $.  $d M i j $.  $d M i m p $.
    $d M i w x y z $.  $d Q i j $.  $d Q i p $.  $d Q i w x y z $.
    $d R w x y z $.  $d S i w x z $.  $d T i j $.  $d T i w x y z $.
    $d i j ph $.  $d ph w x y z $.
    fourierdlem81.a $e |- ( ph -> A e. RR ) $.
    fourierdlem81.b $e |- ( ph -> B e. RR ) $.
    fourierdlem81.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem81.m $e |- ( ph -> M e. NN ) $.
    fourierdlem81.t $e |- ( ph -> T e. RR+ ) $.
    fourierdlem81.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem81.fper $e |- ( ( ph /\ x e. ( A [,] B ) ) -> ( F ` ( x + T ) )
       = ( F ` x ) ) $.
    fourierdlem81.s $e |- S = ( i e. ( 0 ... M ) |-> ( ( Q ` i ) + T ) ) $.
    fourierdlem81.f $e |- ( ph -> F : RR --> CC ) $.
    fourierdlem81.cncf $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem81.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem81.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    fourierdlem81.g $e |- G = ( x e. ( ( Q ` i ) [,] ( Q ` ( i + 1 ) ) ) |-> if
       ( x = ( Q ` i ) , R , if ( x = ( Q ` ( i + 1 ) ) , L , ( F ` x ) ) ) )
       $.
    fourierdlem81.h $e |- H = ( x e. ( ( S ` i ) [,] ( S ` ( i + 1 ) ) ) |-> (
       G ` ( x - T ) ) ) $.
    $( The integral of a piecewise continuous periodic function ` F ` is
       unchanged if the domain is shifted by its period ` T ` .  In this lemma,
       ` T ` is assumed to be strictly positive.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    fourierdlem81 $p |- ( ph -> S. ( ( A + T ) [,] ( B + T ) ) ( F ` x ) _d x =
       S. ( A [,] B ) ( F ` x ) _d x ) $=
      ( vj vw vz vy cicc co cv cfv citg cc0 c1 caddc wceq wa clt wbr cr wcel cn
      syl mpbid simprd simpld eqcomd oveq12d itgeq1d cuz cvv a1i adantr eqeltrd
      wb wf iccssred ffvelrnd adantl cmpt cres wss eqtr2d ad2antrr fveq2 oveq1d
      readdcld fvmptd ltadd1dd sylan2 fvmpt2 syl2anc cbvmptv 3brtr4d simpr wrex
      cc ccncf eqeq1 oveq1 wi adantlr 3adant3 simp3 3ad2ant1 rexrd simplr recnd
      w3a cxr cmin resubcld eqtrd eliood climc fveq2d syl3anc cif iftrue eqtr4d
      wn iffalse 3eqtrd ad3antrrr cle neqne leneltd pm2.61dan ifbieq2d iffalsed
      wne lesub1dd cfzo csu wral cfz cmap fourierdlem2 nnuz 0p1e1 fveq2i eqtr4i
      eleqtrdi reex ovex elmapd r19.21bi sselda elfzofz fzofzp1 feqmptd reseq1d
      0zd cioo ioossre resmptd iblcncfioo ibliooicc itgspltprt cn0 nnnn0d nn0uz
      eluzfz1 rpred eluzfz2 ffvelrnda fmptd eqtri sseldd ioosscn rexbidv eqeq2d
      cibl crab cbvrexvw bitrdi cbvrabv cdm fdm mpbird elioore 3adant1r 3eltr4d
      feq2d rexlimdv ralrimiva rabss sylibr simpll fourierdlem15 ioossicc sseli
      3exp fourierdlem1 cncfperiod elrab simprbi nfv nfre1 elioo2 simp2d simp3d
      nfan 3jca rexlimd pncand ltsub1dd eqbrtrd breqtrd npcand sylanbrc impbida
      rspcev eqrdv reseq2d feqresmpt 3eltr3d sseqtrrid eqid sselid eleq1 anbi2d
      eqeq12d imbi12d chvarvv limcperiod eleqtrd eliccre adantll iccgelb necomd
      mpd ad2antlr iccleub fvres 3eqtrrd mpteq2dva syl5eq eqtrdi iftrued lbicc2
      ltled limccl gtned neneqd ubicc2 3eqtr4rd ad4ant14 stoic1a eliccd fssresd
      neqned eqcom syl5bir con3dimp subcld elex simp-4l fourierdlem8 jca vtoclg
      sylc cncfiooicc cncff itgeq2dv ltned itgioo 3eqtr3d eqidd crp itgiccshift
      ex sseqtrrd itgioocnicc sumeq2dv ) ABCDUPUQZBURZLUSZUTBVAFUSZPFUSZUPUQZVW
      FUTVAPUUAUQZBJURZFUSZVWKVBVCUQZFUSZUPUQZVWFUTZJUUBZBCIVCUQZDIVCUQZUPUQZVW
      FUTZABVWDVWIVWFACVWGDVWHUPAVWGCAVWGCVDZVWHDVDZAVXBVXCVEZVWLVWNVFVGZJVWJUU
      CZAFVHVAPUUDUQZUUEUQVIZVXDVXFVEZAFPEUSVIZVXHVXIVEZUCAPVJVIVXJVXKWCUACDEFJ
      KPQTUUFVKVLZVMZVNZVNZVOAVWHDAVXBVXCVXNVMZVOVPVQABVWFFJVAPAUVAZAPVJVAVBVCU
      QZVRUSZUAVJVBVRUSVXSUUGVXRVBVRUUHUUIUUJUUKZAVXHVXGVHFWDZAVXHVXIVXLVNAVHVX
      GFVSVSVHVSVIAUULVTVXGVSVIAVAPUUDUUMVTUUNVLZAVXEJVWJAVXDVXFVXMVMUUOZAVWEVW
      IVIZVEVHXEVWELAVHXELWDZVYDUFWAAVWIVHVWEAVWGVWHAVWGCVHVXORWBZAVWHDVHVXPSWB
      ZWEUUPWFAVWKVWJVIZVEZBVWLVWNVWFVYIVXGVHVWKFAVYAVYHVYBWAZVYHVWKVXGVIZAVWKV
      APUUQZWGZWFZVYIVXGVHVWMFVYJVYHVWMVXGVIAVAPVWKUURWGZWFZVYIBVWLVWNUVBUQZVWF
      WHZLVYQWIZUWAVYIVYSBVHVWFWHZVYQWIZVYRAVYSWUAVDVYHALVYTVYQABVHXELUFUUSUUTW
      AVYIBVHVYQVWFVYQVHWJVYIVWLVWNUVCZVTUVDWKVYIVWLVWNGVYSOVYNVYPUGUIUHUVEWBVY
      IVWEVWOVIZVEZVHXEVWELAVYEVYHWUCUFWLVYIVWOVHVWEVYIVWLVWNVYNVYPWEZUUPZWFUVF
      UVGAVXABVAHUSZPHUSZUPUQZVWFUTVWJBVWKHUSZVWMHUSZUPUQZVWFUTZJUUBVWQABVWTWUI
      VWFAVWRWUGVWSWUHUPAWUGVWGIVCUQZVWRAJVAVWLIVCUQZWUNVXGHVHHJVXGWUOWHZVDAUEV
      TZVWKVAVDZWUOWUNVDAWURVWLVWGIVCVWKVAFWMWNWGAPVAVRUSZVIZVAVXGVIAPUVHWUSAPU
      AUVIUVJUUKZVAPUVKVKAVWGIVYFAIUBUVLZWOZWPZAVWGCIVCVXOWNWKAWUHVWHIVCUQZVWSA
      JPWUOWVEVXGHVHWUQVWKPVDZWUOWVEVDAWVFVWLVWHIVCVWKPFWMWNWGAWUTPVXGVIWVAVAPU
      VMVKAVWHIVYGWVBWOZWPZAVWHDIVCVXPWNWKVPVQABVWFHJVAPVXQVXTAJVXGWUOVHHAVYKVE
      VWLIAVXGVHVWKFVYBUVNAIVHVIZVYKWVBWAWOZUEUVOVYIWUOVWNIVCUQZWUJWUKVFVYIVWLV
      WNIVYNVYPAWVIVYHWVBWAZVYCWQVYIVYKWUOVHVIZWUJWUOVDZVYMVYHAVYKWVMVYLWVJWRZJ
      VXGWUOVHHUEWSWTZVYIULVWMULURZFUSZIVCUQZWVKVXGHVHHULVXGWVSWHZVDVYIHWUPWVTU
      EJULVXGWUOWVSVWKWVQVDVWLWVRIVCVWKWVQFWMWNXAUVPVTWVQVWMVDZWVSWVKVDVYIWWAWV
      RVWNIVCWVQVWMFWMWNWGVYOVYIVWNIVYPWVLWOZWPZXBAVWEWUIVIZVEZVHXEVWELAVYEWWDU
      FWAWWEWUIVHVWEWWEWUGWUHAWUGVHVIWWDAWUGWUNVHWVDWVCWBWAAWUHVHVIWWDAWUHWVEVH
      WVHWVGWBWAWEAWWDXCUVQWFVYIBWUJWUKVWFVYIWUJWUOVHWVPWVOWBZVYIWUKWVKVHWWCWWB
      WBZVYIWUJWUKGBWUJWUKUVBUQZVWFWHZOWWFWWGVYILUMURZUNURZIVCUQZVDZUNVYQXDZUMX
      EUWBZWIZWWOXEXFUQWWIWWHXEXFUQVYIBUOVYQWWOILVYQXEWJVYIVWLVWNUVRVTZWVLWWNVW
      EUOURZIVCUQZVDZUOVYQXDZUMBXEWWJVWEVDZWWNVWEWWLVDZUNVYQXDZWXAWXBWWMWXCUNVY
      QWWJVWEWWLXGUVSZWXCWWTUNUOVYQWWKWWRVDWWLWWSVWEWWKWWRIVCXHUVTUWCUWDUWEALUW
      FZXELWDZVYHAWXGVYEUFAWXFVHXELAVYEWXFVHVDZUFVHXELUWGVKZUWLUWHWAZVYIWWNWWJW
      XFVIZXIZUMXEUUCWWOWXFWJVYIWXLUMXEVYIWWJXEVIZVEWWMWXKUNVYQVYIWWKVYQVIZWWMW
      XKXIXIWXMVYIWXNWWMWXKVYIWXNWWMXQWWLVHWWJWXFVYIWXNWWLVHVIZWWMAWXNWXOVYHAWX
      NVEWWKIWXNWWKVHVIZAWWKVWLVWNUWIZWGAWVIWXNWVBWAWOZXJXKVYIWXNWWMXLAWXNWWMWX
      HVYHAWXNWXHWWMWXIXMUWJUWKUXAWAUWMUWNWWNUMXEWXFUWOUWPZVYIVWEVYQVIZVEZAVWEV
      WDVIZVWEIVCUQZLUSZVWFVDZAVYHWXTUWQWYACDFVWKPVWEACXRVIZVYHWXTACRXNZWLADXRV
      IZVYHWXTADSXNZWLAVXGVWDFWDZVYHWXTACDEFJKPQTUAUCUWRZWLAVYHWXTXOWXTWUCVYIVY
      QVWOVWEVWLVWNUWSZUWTWGUXBUDWTUGUXCVYIWWPLWWHWIZWWIVYIWWOWWHLVYIBWWOWWHVYI
      VWEWWOVIZVWEWWHVIZWYNVYIWXDWYOWYNVWEXEVIZWXDWWNWXDUMVWEXEWXEUXDZUXEVYIWXD
      VEZWYOVWEVHVIZWUJVWEVFVGZVWEWUKVFVGZXQZWYRWXDXUBVYIWXDXCWYRWXCXUBUNVYQVYI
      WXDUNVYIUNUXFWXCUNVYQUXGUXKXUBUNUXFVYIWXNWXCXUBXIXIWXDVYIWXNWXCXUBVYIWXNW
      XCXQZWYSWYTXUAAWXNWXCWYSVYHAWXNWXCXQVWEWWLVHAWXNWXCXLAWXNWXOWXCWXRXKWBUWJ
      XUCWUOWWLWUJVWEVFVYIWXNWUOWWLVFVGWXCVYIWXNVEZVWLWWKIVYIVWLVHVIZWXNVYNWAWX
      NWXPVYIWXQWGZAWVIVYHWXNWVBWLZXUDWXPVWLWWKVFVGZWWKVWNVFVGZXUDWXNWXPXUHXUIX
      QZVYIWXNXCZXUDVWLXRVIZVWNXRVIZWXNXUJWCVYIXULWXNVYIVWLVYNXNZWAVYIXUMWXNVYI
      VWNVYPXNZWAVWLVWNWWKUXHWTVLZUXIWQXKVYIWXNWVNWXCWVPXMVYIWXNWXCXLZXBXUCWWLW
      VKVWEWUKVFVYIWXNWWLWVKVFVGWXCXUDWWKVWNIXUFVYIVWNVHVIZWXNVYPWAXUGXUDWXPXUH
      XUIXUPUXJWQXKXUQVYIWXNWUKWVKVDWXCWWCXMXBUXLUXAWAUXMUYTWYRWUJXRVIZWUKXRVIZ
      WYOXUBWCZVYIXUSWXDVYIWUJWWFXNZWAVYIXUTWXDVYIWUKWWGXNZWAWUJWUKVWEUXHZWTUWH
      WRVYIWYOVEZWYPWXDWYNWYOWYPVYIWYOVWEVWEWUJWUKUWIZXPWGXVEVWEIXSUQZVYQVIZVWE
      XVGIVCUQZVDZWXDXVEVWLVWNXVGVYIXULWYOXUNWAVYIXUMWYOXUOWAAWYOXVGVHVIZVYHAWY
      OVEZVWEIWYOWYSAXVFWGZAWVIWYOWVBWAZXTXJXVEVWLWUJIXSUQZXVGVFVYIVWLXVOVDZWYO
      VYIXVOWUOIXSUQZVWLVYIWUJWUOIXSWVPWNVYIVWLIVYIVWLVYNXPVYIIWVLXPZUXNZWKZWAX
      VEWUJVWEIVYIWUJVHVIZWYOWWFWAZWYOWYSVYIXVFWGZAWVIVYHWYOWVBWLZXVEWYSWYTXUAX
      VEWYOXUBVYIWYOXCXVEXUSXUTXVAVYIXUSWYOXVBWAVYIXUTWYOXVCWAXVDWTVLZUXIZUXOUX
      PXVEXVGWUKIXSUQZVWNVFXVEVWEWUKIXWCVYIWUKVHVIZWYOWWGWAXWDXVEWYSWYTXUAXWEUX
      JZUXOVYIXWGVWNVDZWYOVYIXWGWVKIXSUQZVWNVYIWUKWVKIXSWWCWNVYIVWNIVYIVWNVYPXP
      XVRUXNZYAZWAUXQYBAWYOXVJVYHXVLXVIVWEXVLVWEIXVLVWEXVMXPXVLIXVNXPUXRVOXJWXC
      XVJUNXVGVYQWWKXVGVDWWLXVIVWEWWKXVGIVCXHUVTUYAWTWYQUXSUXTUYBZUYCVYIBVHXEWW
      HLAVYEVYHUFWAZWWHVHWJVYIWUJWUKUVCVTZUYDYAZVYIWWOWWHXEXFXWNWNUYEVYIOWWPWVK
      YCUQWWIWUKYCUQVYIUMUNVYQWWOOVWNILWXJWWQAVYQWXFWJVYHAVHVYQWXFWUBWXIUYFWAZX
      VRWWOUYGZWXSXUDAWWKVWDVIZWWLLUSZWWKLUSZVDZAVYHWXNUWQXUDCDFVWKPWWKAWYFVYHW
      XNWYGWLAWYHVYHWXNWYIWLAWYJVYHWXNWYKWLAVYHWXNXOXUDVYQVWOWWKWYLXUKUYHUXBAWY
      BVEZWYEXIZAXWTVEZXXCXIBUNVWEWWKVDZXXDXXFWYEXXCXXGWYBXWTAVWEWWKVWDUYIUYJXX
      GWYDXXAVWFXXBXXGWYCWWLLVWEWWKIVCXHYDVWEWWKLWMUYKUYLUDUYMWTZUIUYNVYIWWPWWI
      WVKWUKYCXWQVYIWUKWVKWWCVOZVPUYOVYIGWWPWUOYCUQWWIWUJYCUQVYIUMUNVYQWWOGVWLI
      LWXJWWQXWRXVRXWSWXSXXHUHUYNVYIWWPWWIWUOWUJYCXWQVYIWUJWUOWVPVOZVPUYOUVEVYI
      VWEWULVIZVEZVHXEVWELAVYEVYHXXKUFWLXXLXWAXWHXXKWYSVYIXWAXXKWWFWAZVYIXWHXXK
      WWGWAZVYIXXKXCZWUJWUKVWEUYPYEZWFZUVFUVGAVWJWUMVWPJVYIWUMBWULVWENUSZUTZBVW
      OVWEMUSUTZVWPVYIXXSBWULVWEBWULVWEWUJVDZGVWEWUKVDZOVWEWYMUSZYFZYFZWHZUSZUT
      ZWUMVYIBWULXXRXYGXXLXYEXVGMUSZXYGXXRXXLXYAXYEXYIVDZVYIXYAXYJXXKVYIXYAVEZX
      YEGXYIXYAXYEGVDVYIXYAGXYDYGWGZXYKUMXVGWWJVWLVDZGWWJVWNVDZOWWJVYSUSZYFZYFZ
      GVWOMXEVYIMUMVWOXYQWHZVDZXYAVYIMBVWOVWEVWLVDZGVWEVWNVDZOVWEVYSUSZYFZYFZWH
      ZXYRVYIMBVWOXYTGYUAOVWFYFZYFZWHYUEUJVYIBVWOYUGYUDWUDXYTYUGYUDVDZXYTYUHWUD
      XYTYUGGYUDXYTGYUFYGXYTGYUCYGYHWGWUDXYTYIZVEZYUAYUHYUIYUAYUHWUDYUIYUAVEZYU
      GYUFOYUDYUIYUGYUFVDZYUAXYTGYUFYJZWAYUAYUFOVDYUIYUAOVWFYGWGYUKYUDYUCOYUIYU
      DYUCVDZYUAXYTGYUCYJZWAYUAYUCOVDYUIYUAOYUBYGWGWKYKUYQYUJYUAYIZVEZYUGYUFVWF
      YUDYUIYULWUDYUPYUMVUAYUPYUFVWFVDYUJYUAOVWFYJWGYUQYUDYUCYUBVWFYUIYUNWUDYUP
      YUOVUAYUPYUCYUBVDYUJYUAOYUBYJWGYUQWXTYUBVWFVDYUQVWLVWNVWEVYIXULWUCYUIYUPX
      UNYLVYIXUMWUCYUIYUPXUOYLWUDWYSYUIYUPWUFWLZYUJVWLVWEVFVGYUPYUJVWLVWEVYIXUE
      WUCYUIVYNWLWUDWYSYUIWUFWAYUJXULXUMWUCVWLVWEYMVGVYIXULWUCYUIXUNWLVYIXUMWUC
      YUIXUOWLVYIWUCYUIXOVWLVWNVWEUYRYEYUIVWEVWLYSWUDVWEVWLYNWGYOWAYUQVWEVWNYUR
      VYIXURWUCYUIYUPVYPYLWUDVWEVWNYMVGZYUIYUPWUDXULXUMWUCYUSVYIXULWUCXUNWAVYIX
      UMWUCXUOWAVYIWUCXCVWLVWNVWEVUBYEWLYUPVWNVWEYSYUJYUPVWEVWNVWEVWNYNUYSWGYOY
      BVWEVYQLVUCVKVUDYKYPYPVUEVUFZBUMVWOYUDXYQVWEWWJVDZXYTXYMYUCXYPGVWEWWJVWLX
      GYVAYUAXYNYUBXYOOVWEWWJVWNXGVWEWWJVYSWMYQYQXAVUGZWAXYKWWJXVGVDZVEZXYMGXYP
      YVDWWJXVGXVOVWLXYKYVCXCXYAXVGXVOVDZVYIYVCVWEWUJIXSXHZVUAVYIXVOVWLVDXYAYVC
      VYIVWLXVOXVTVOZWLYKVUHXYKXVGXVOVWOXYAYVEVYIYVFWGVYIXVOVWOVIXYAVYIXVOVWLVW
      OYVGVYIXULXUMVWLVWNYMVGZVWLVWOVIXUNXUOVYIVWLVWNVYNVYPVYCVUJZVWLVWNVUIYEWB
      WAWBVYIGXEVIXYAVYIVYSVWLYCUQXEGVWLVYSVUKUHUYHWAZWPYHXJXXLXYAYIZVEZXYEXYDX
      YIYVKXYEXYDVDXXLXYAGXYDYJWGZYVLXYBXYDXYIVDZVYIXYBYVNXXKYVKVYIXYBVEZXWGMUS
      ZOXYIXYDYVOUMXWGXYQOVWOMXEVYIXYSXYBYVBWAVYIWWJXWGVDZXYQOVDXYBVYIYVQVEXYQX
      WGVWLVDZGXWJOXWGVYSUSZYFZYFZVWNVWLVDZGOYFZOYVQXYQYWAVDVYIYVQXYMYVRXYPYVTG
      WWJXWGVWLXGYVQXYNXWJXYOYVSOWWJXWGVWNXGWWJXWGVYSWMYQYQWGVYIYWAYWCVDZYVQVYI
      XWJYWDXWMXWJYVRYWBYVTOGXWGVWNVWLXGXWJOYVSYGYQVKWAVYIYWCOVDYVQVYIYWBGOVYIV
      WNVWLVYIVWLVWNVYNVYCVULVUMYRWAYKXJVYIXWGVWOVIXYBVYIXWGVWNVWOXWMVYIXULXUMY
      VHVWNVWOVIXUNXUOYVIVWLVWNVUNYEWBWAVYIOXEVIXYBVYIVYSVWNYCUQXEOVWNVYSVUKUIU
      YHWAZWPXYBXYIYVPVDVYIXYBXVGXWGMVWEWUKIXSXHYDWGXYBXYDOVDVYIXYBOXYCYGWGZVUO
      VUPYVLXYBYIZVEZXYDXYCXYIYWGXYDXYCVDYVLXYBOXYCYJWGZYWHXYIXVGLUSZXYCYWHXYIX
      VGVYSUSZYWJYWHUMXVGXYQYWKVWOMXEXXLXYSYVKYWGVYIXYSXXKYVBWAWLYWHYVCVEXYQXVG
      VWLVDZGXVGVWNVDZOYWKYFZYFZYWNYWKYVCXYQYWOVDYWHYVCXYMYWLXYPYWNGWWJXVGVWLXG
      YVCXYNYWMXYOYWKOWWJXVGVWNXGWWJXVGVYSWMYQYQWGYVLYWOYWNVDYWGYVCYVLYWLGYWNXX
      LYWLXYAXXLYWLVEVWEXVIWUOWUJXXLXVJYWLXXLXVIVWEXXLVWEIXXLVWEXXPXPZVYIIXEVIX
      XKXVRWAZUXRZVOZWAYWLXVIWUOVDXXLXVGVWLIVCXHWGVYIWUOWUJVDXXKYWLXXJWLYKVUQZY
      RWLYWHYWNYWKVDZYVCXXLYWGYXAYVKXXLYWGVEZYWMOYWKXXLYWMXYBXXLYWMVEVWEXVIWVKW
      UKXXLXVJYWMYWSWAYWMXVIWVKVDXXLXVGVWNIVCXHWGVYIWVKWUKVDXXKYWMXXIWLYKZVUQYR
      XJWAYKXXLXVGVWOVIYVKYWGXXLVWLVWNXVGVYIXUEXXKVYNWAVYIXURXXKVYPWAXXLVWEIXXP
      AWVIVYHXXKWVBWLZXTZXXLVWLXVOXVGYMVYIXVPXXKXVTWAXXLWUJVWEIXXMXXPYXDXXLXUSX
      UTXXKWUJVWEYMVGZVYIXUSXXKXVBWAZVYIXUTXXKXVCWAZXXOWUJWUKVWEUYRYEZYTUXPZXXL
      XVGXWGVWNYMXXLVWEWUKIXXPXXNYXDXXLXUSXUTXXKVWEWUKYMVGZYXGYXHXXOWUJWUKVWEVU
      BYEZYTVYIXWJXXKXWMWAUXQZVURZWLYWHVYQXEXVGVYSVYIVYQXEVYSWDXXKYVKYWGVYIWXFX
      EVYQLWXJXWRVUSYLYWHVWLVWNXVGVYIXULXXKYVKYWGXUNYLVYIXUMXXKYVKYWGXUOYLYWHVW
      EIXXLWYSYVKYWGXXPWLZVYIWVIXXKYVKYWGWVLYLXTYVLVWLXVGVFVGYWGYVLVWLXVGVYIXUE
      XXKYVKVYNWLXXLXVKYVKYXEWAXXLVWLXVGYMVGYVKYXJWAYVLXVGVWLYWTVUTYOWAXXLYWGXV
      GVWNVFVGYVKYXBXVGVWNXXLXVKYWGYXEWAVYIXURXXKYWGVYPWLXXLXVGVWNYMVGYWGYXMWAY
      XBVWNXVGXXLVWNXVGVDZXYBYXPYWMXXLXYBXVGVWNVVAXXLYWMXYBYXCVVTVVBVVCVUTYOXJY
      BZWFWPYWHXVHYWKYWJVDYXQXVGVYQLVUCVKYAYWHXYCVWFXVILUSZYWJYWHWYOXYCVWFVDZYW
      HWUJWUKVWEXXLXUSYVKYWGYXGWLXXLXUTYVKYWGYXHWLYXOYVLWYTYWGYVLWUJVWEVYIXWAXX
      KYVKWWFWLXXLWYSYVKXXPWAXXLYXFYVKYXIWAYVKVWEWUJYSXXLVWEWUJYNWGYOWAYWHVWEWU
      KYXOXXLXWHYVKYWGXXNWLXXLYXKYVKYWGYXLWLYWGWUKVWEYSYVLYWGVWEWUKVWEWUKYNUYSW
      GYOYBZVWEWWHLVUCZVKXXLVWFYXRVDYVKYWGXXLYXRVWFXXLXVIVWELYWRYDVOWLYWHXVGVSV
      IZAXVGVWDVIZVEZYXRYWJVDZXXLYYBYVKYWGXXLXVGXEVIYYBXXLVWEIYWPYWQVVDXVGXEVVE
      VKWLYWHAYYCAVYHXXKYVKYWGVVFXXLYYCYVKYWGXXLVWOVWDXVGVYIVWOVWDWJXXKVYICDFVW
      KPAWYFVYHWYGWAAWYHVYHWYIWAAWYJVYHWYKWAAVYHXCVVGWAYXNUVQWLVVHAWWRVWDVIZVEZ
      WWSLUSZWWRLUSZVDZXIZYYDYYEXIUOXVGVSWWRXVGVDZYYGYYDYYJYYEYYLYYFYYCAWWRXVGV
      WDUYIUYJYYLYYHYXRYYIYWJYYLWWSXVILWWRXVGIVCXHYDWWRXVGLWMUYKUYLXXEYYKBUOVWE
      WWRVDZXXDYYGWYEYYJYYMWYBYYFAVWEWWRVWDUYIUYJYYMWYDYYHVWFYYIYYMWYCWWSLVWEWW
      RIVCXHYDVWEWWRLWMUYKUYLUDUYMVVIVVJYKYHYHYPYAYPXXLXXKXYEXEVIZXYGXYEVDZXXOX
      XLXYAYYNVYIXYAYYNXXKXYKXYEGXEXYLYVJWBXJYVLXYEXYDXEYVMYVLXYBXYDXEVIZVYIXYB
      YYPXXKYVKYVOXYDOXEYWFYWEWBVUPYWHXYDXYCXEYWIYWHWWHXEVWEWYMVYIWWHXEWYMWDXXK
      YVKYWGVYIVHXEWWHLXWOXWPVUSYLYXTWFWBYPWBYPZBWULXYEXEXYFXYFUYGWSZWTZXXLXXKX
      YIXEVIZXXRXYIVDZXXOXXLVWOXEXVGMVYIVWOXEMWDZXXKVYIMVWOXEXFUQZVIUUUBVYIMYUE
      UUUCYUTVYIBVWLVWNGVYSYUEOVYIBUXFYUEUYGVYNVYPUGUIUHVVKWBZVWOXEMVVLVKZWAYXN
      WFBWULXYIXENUKWSZWTVUOVVMVYIBWWHXYGUTBWWHVWFUTXYHWUMVYIBWWHXYGVWFXVEXYGXY
      EXYDVWFXVEXXKYYNYYOWYOXXKVYIWWHWULVWEWUJWUKUWSUWTZWGWYOVYIXXKYYNUUUGYYQWR
      YYRWTXVEXYAGXYDXVEVWEWUJXVEWUJVWEXWBXWFVULVUMYRXVEXYDXYCVWFXVEXYBOXYCXVEV
      WEWUKXVEVWEWUKXWCXWIVVNVUMYRWYOYXSVYIYYAWGYAYKVVMVYIBWUJWUKXYGWWFWWGXXLXY
      GXYEXEYYSYYQWBVVOVYIBWUJWUKVWFWWFWWGXXQVVOVVPWKVYIXXSBWUOWVKUPUQZXXRUTBUU
      UHVWEUOUUUHWWRIXSUQZMUSZWHZUSZUTXXTVYIBWULUUUHXXRVYIWUJWUOWUKWVKUPWVPWWCV
      PZVQVYIBUUUHXXRUUULVYIVWEUUUHVIZVEZXXRXYIUUULUUUOXXKYYTUUUAUUUOVWEUUUHWUL
      VYIUUUNXCZVYIUUUHWULVDUUUNVYIWULUUUHUUUMVOWAUYOUUUOVWOXEXVGMVYIUUUBUUUNUU
      UEWAUUUOVWLVWNXVGVYIXUEUUUNVYNWAVYIXURUUUNVYPWAUUUOVWEIUUUOWVMWVKVHVIZUUU
      NWYSVYIWVMUUUNWVOWAZVYIUUUQUUUNWWBWAZUUUPWUOWVKVWEUYPYEZAWVIVYHUUUNWVBWLZ
      XTUUUOVWLXVQXVGYMVYIVWLXVQVDUUUNVYIXVQVWLXVSVOWAUUUOWUOVWEIUUURUUUTUUVAUU
      UOWUOXRVIZWVKXRVIZUUUNWUOVWEYMVGUUUOWUOUUURXNZUUUOWVKUUUSXNZUUUPWUOWVKVWE
      UYRYEYTUXPUUUOXVGXWKVWNYMUUUOVWEWVKIUUUTUUUSUUVAUUUOUUVBUUVCUUUNVWEWVKYMV
      GUUVDUUVEUUUPWUOWVKVWEVUBYEYTVYIXWKVWNVDUUUNXWLWAUXQVURWFZUUUFWTUUUOUOVWE
      UUUJXYIUUUHUUUKXEUUUOUUUKVVQWWRVWEVDZUUUJXYIVDUUUOUUVGUUUIXVGMWWRVWEIXSXH
      YDZWGUUUPUUVFWPYHVVMVYIBVWLVWNIMUUUKVYNVYPYVIUUUDAIVVRVIVYHUBWAUOBUUUHUUU
      JXYIUUVHXAVVSYKVYIMUWAVIXXTVWPVDVYIBVWLVWNGLMOVYNVYPWXJUGVYIVWOVHWXFWUEAW
      XHVYHWXIWAVWAUHUIUJVWBVMYKVWCVUDVUD $.
  $}

  ${
    $d A s t $.  $d A t x $.  $d B s t $.  $d B t x $.  $d F x $.  $d G s t $.
    $d L x $.  $d R x $.  $d X s t $.  $d X t x $.  $d ph s t $.  $d ph t x $.
    fourierdlem82.1 $e |- G = ( x e. ( A [,] B ) |-> if ( x = A , R , if ( x =
       B , L , ( ( F |` ( A (,) B ) ) ` x ) ) ) ) $.
    fourierdlem82.2 $e |- ( ph -> A e. RR ) $.
    fourierdlem82.3 $e |- ( ph -> B e. RR ) $.
    fourierdlem82.4 $e |- ( ph -> A < B ) $.
    fourierdlem82.5 $e |- ( ph -> F : ( A [,] B ) --> CC ) $.
    fourierdlem82.6 $e |- ( ph -> ( F |` ( A (,) B ) ) e. ( ( A (,) B ) -cn->
       CC ) ) $.
    fourierdlem82.7 $e |- ( ph -> L e. ( F limCC B ) ) $.
    fourierdlem82.8 $e |- ( ph -> R e. ( F limCC A ) ) $.
    fourierdlem82.9 $e |- ( ph -> X e. RR ) $.
    $( Integral by substitution, adding a constant to the function's argument,
       for a function on an open interval with finite limits ad boundary
       points.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem82 $p |- ( ph -> S. ( A [,] B ) ( F ` t ) _d t = S. ( ( A - X )
       [,] ( B - X ) ) ( F ` ( X + t ) ) _d t ) $=
      ( adantr vs cmin co cicc caddc citg cdit cioo ltled lesub1dd ditgpos wcel
      cv cfv wa wceq cif crn cmpt cres iftrue adantl eqtr4d adantlr wn sylan9eq
      iffalse adantll ad2antlr cxr rexrd ad3antrrr cr simpr eliccre syl3anc clt
      ad2antrr wbr cle w3a elicc2 syl2anc mpbid simp2d wne neqne leneltd simp3d
      wb nesym biimpri eliood fvres syl 3eqtr4d pm2.61dan mpteq2dva eqeq1 fveq2
      syl5eq ifbieq2d resubcld elioo2 simp1d ltsubadd2d gtned iffalsed readdcld
      neneqd ltaddsub2d mpbird ltned eqtrd sylan9eqr eliccd wfun cdm ffund fdmd
      cc eqcomd eleqtrd fvelrn fvmptd itgeq2dv wss lesubadd2d leaddsub2d sseldd
      frnd itgioo 3eqtrrd nfv limcicciooub eleqtrrd limciccioolb eqeltrd 3eqtrd
      climc cncfiooicc itgsbtaddcnst cbvitgv a1i simplr breqtrrd eqbrtrd sselid
      ioossicc ffvelrnda ) ACDJUBUCZEJUBUCZUDUCZJCUMZUEUCZGUNZUFZCUUKUULUUOHUNZ
      UGZUADEUAUMZHUNZUGZCDEUDUCZUUNGUNZUFZAUUSCUUKUULUHUCZUURUFCUVFUUPUFUUQACU
      UKUULUURADEJLMSADELMNUIZUJUKACUVFUURUUPAUUNUVFULZUOZBUUOBUMZDUPZFUVJEUPZI
      UVJGUNZUQZUQZUUPUVCHGURZAHBUVCUVOUSZUPUVHAHBUVCUVKFUVLIUVJGDEUHUCZUTZUNZU
      QZUQZUSZUVQKABUVCUWBUVOAUVJUVCULZUOZUVKUWBUVOUPZAUVKUWFUWDAUVKUOUWBFUVOUV
      KUWBFUPAUVKFUWAVAVBUVKUVOFUPAUVKFUVNVAVBVCVDUWEUVKVEZUOZUVLUWFUWHUVLUOUWB
      IUVOUWGUVLUWBIUPUWEUWGUVLUWBUWAIUVKFUWAVGZUVLIUVTVAVFVHUWGUVLUVOIUPUWEUWG
      UVLUVOUVNIUVKFUVNVGZUVLIUVMVAVFVHVCUWHUVLVEZUOZUWAUVTUWBUVOUWKUWAUVTUPUWH
      UVLIUVTVGVBUWGUWBUWAUPUWEUWKUWIVIUWLUVNUVMUVOUVTUWKUVNUVMUPUWHUVLIUVMVGVB
      UWGUVOUVNUPUWEUWKUWJVIUWLUVJUVRULZUVTUVMUPZUWLDEUVJADVJULZUWDUWGUWKADLVKZ
      VLAEVJULZUWDUWGUWKAEMVKZVLUWEUVJVMULZUWGUWKUWEDVMULZEVMULZUWDUWSAUWTUWDLT
      ZAUXAUWDMTZAUWDVNZDEUVJVOVPZVRUWHDUVJVQVSUWKUWHDUVJAUWTUWDUWGLVRUWEUWSUWG
      UXETUWEDUVJVTVSZUWGUWEUWSUXFUVJEVTVSZUWEUWDUWSUXFUXGWAZUXDUWEUWTUXAUWDUXH
      WJUXBUXCDEUVJWBWCWDZWETUWGUVJDWFUWEUVJDWGVBWHTUWEUWKUVJEVQVSUWGUWEUWKUOUV
      JEUWEUWSUWKUXETAUXAUWDUWKMVRUWEUXGUWKUWEUWSUXFUXGUXIWITUWKEUVJWFZUWEUXJUW
      KEUVJWKWLVBWHVDWMUVJUVRGWNZWOWPWPWQWQWRXATUVJUUOUPZUVIUVOUUODUPZFUUOEUPZI
      UUPUQZUQZUUPUXLUVKUXMUVNUXOFUVJUUODWSUXLUVLUXNUVMUUPIUVJUUOEWSUVJUUOGWTXB
      XBUVIUXPUXOUUPUVIUXMFUXOUVIUUODUVIDUUOAUWTUVHLTZUVIUUKUUNVQVSZDUUOVQVSUVI
      UUNVMULZUXRUUNUULVQVSZUVIUVHUXSUXRUXTWAZAUVHVNUVIUUKVJULZUULVJULZUVHUYAWJ
      AUYBUVHAUUKADJLSXCZVKTAUYCUVHAUULAEJMSXCZVKTUUKUULUUNXDWCWDZWEUVIDJUUNUXQ
      AJVMULZUVHSTZUVIUXSUXRUXTUYFXEZXFWDZXGXJXHUVIUXNIUUPUVIUUOEUVIUUOEUVIJUUN
      UYHUYIXIZUVIUUOEVQVSUXTUVIUXSUXRUXTUYFWIUVIJUUNEUYHUYIAUXAUVHMTZXKXLZXMXJ
      XHXNXOUVIDEUUOUXQUYLUYKUVIDUUOUXQUYKUYJUIUVIUUOEUYKUYLUYMUIXPZUVIGXQZUUOG
      XRZULZUUPUVPULZAUYOUVHAUVCYAGOXSZTUVIUUOUVCUYPUYNAUVCUYPUPZUVHAUYPUVCAUVC
      YAGOXTYBZTYCUUOGYDZWCYEYFACUUKUULUUPUYDUYEAUUNUUMULZUOZUVPYAUUPAUVPYAYGVU
      CAUVCYAGOYKTVUDUYOUYQUYRAUYOVUCUYSTVUDUUOUVCUYPVUDDEUUOAUWTVUCLTZAUXAVUCM
      TZVUDJUUNAUYGVUCSTZVUDUUKVMULZUULVMULZVUCUXSAVUHVUCUYDTZAVUIVUCUYETZAVUCV
      NZUUKUULUUNVOVPZXIVUDUUKUUNVTVSZDUUOVTVSVUDUXSVUNUUNUULVTVSZVUDVUCUXSVUNV
      UOWAZVULVUDVUHVUIVUCVUPWJVUJVUKUUKUULUUNWBWCWDZWEVUDDJUUNVUEVUGVUMYHWDVUD
      UUOEVTVSVUOVUDUXSVUNVUOVUQWIVUDJUUNEVUGVUMVUFYIXLXPAUYTVUCVUATYCVUBWCYJYL
      YMAUADEHJCLMUVGSABDEFUVSHIABYNKLMPAIGEYTUCUVSEYTUCQADEGLMNOYOYPAFGDYTUCUV
      SDYTUCRADEGLMNOYQYPUUAUUBAUVBUAUVRUVAUFZCUVRUVDUFZUVEAUADEUVAUVGUKAVURCUV
      RUUNHUNZUFVUSUACUVRUVAVUTUUTUUNHWTUUCACUVRVUTUVDAUUNUVRULZUOZBUUNUWBUVDUV
      CHUVPHUWCUPVVBKUUDVVBUVJUUNUPZUOZUWBUWAUVTUVDVVDUVKFUWAVVDUVJDVVDDUVJAUWT
      VVAVVCLVRVVDDUUNUVJVQVVDUXSDUUNVQVSZUUNEVQVSZVVDVVAUXSVVEVVFWAZAVVAVVCUUE
      ZVVDUWOUWQVVAVVGWJAUWOVVAVVCUWPVRAUWQVVAVVCUWRVRDEUUNXDWCWDZWEVVBVVCVNZUU
      FXGXJXHVVDUVLIUVTVVDUVJEVVDUVJEVVDUVJUUNVMVVJVVDUXSVVEVVFVVIXEYRVVDUVJUUN
      EVQVVJVVDUXSVVEVVFVVIWIUUGXMXJXHVVDUVTUVMUVDVVDUWMUWNVVDUVJUUNUVRVVJVVHYR
      UXKWOVVCUVMUVDUPVVBUVJUUNGWTVBXNYSVVBUVRUVCUUNDEUUIAVVAVNUUHZVVBUYOUUNUYP
      ULUVDUVPULAUYOVVAUYSTVVBUUNUVCUYPVVKAUYTVVAVUATYCUUNGYDWCYEYFXAACDEUVDLMA
      UVCYAUUNGOUUJYLYSYM $.
  $}

  ${
    $d A m n $.  $d B m $.  $d C b c x y $.  $d C k n x $.  $d C n s x $.
    $d D b c x y $.  $d D s x $.  $d D w x z $.  $d F b n x y $.  $d F k n x $.
    $d N b c x y $.  $d N m n $.  $d N n s x $.  $d N w x z $.  $d X b c x y $.
    $d X m n $.  $d X n s x $.  $d X w x z $.  $d c ph x y $.  $d k n ph x $.
    $d m n ph $.  $d ph s x $.  $d ph w x z $.
    fourierdlem83.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem83.c $e |- C = ( -u _pi (,) _pi ) $.
    fourierdlem83.fl1 $e |- ( ph -> ( F |` C ) e. L^1 ) $.
    fourierdlem83.a $e |- A = ( n e. NN0 |-> ( S. C ( ( F ` x ) x. ( cos ` ( n
       x. x ) ) ) _d x / _pi ) ) $.
    fourierdlem83.b $e |- B = ( n e. NN |-> ( S. C ( ( F ` x ) x. ( sin ` ( n
       x. x ) ) ) _d x / _pi ) ) $.
    fourierdlem83.x $e |- ( ph -> X e. RR ) $.
    fourierdlem83.s $e |- S = ( m e. NN |-> ( ( ( A ` 0 ) / 2 ) + sum_ n e. ( 1
       ... m ) ( ( ( A ` n ) x. ( cos ` ( n x. X ) ) ) + ( ( B ` n ) x. ( sin `
       ( n x. X ) ) ) ) ) ) $.
    fourierdlem83.d $e |- D = ( n e. NN |-> ( s e. RR |-> if ( ( s mod ( 2 x.
       _pi ) ) = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n +
       ( 1 / 2 ) ) x. s ) ) / ( ( 2 x. _pi ) x. ( sin ` ( s / 2 ) ) ) ) ) ) )
       $.
    fourierdlem83.n $e |- ( ph -> N e. NN ) $.
    $( The fourier partial sum for ` F ` rewritten as an integral.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem83 $p |- ( ph -> ( S ` N ) = S. C ( ( F ` x ) x. ( ( D ` N ) ` (
       x - X ) ) ) _d x ) $=
      ( vk vy vb vc vz vw cfv cc0 c2 cdiv co c1 cfz cv cmul ccos csin caddc csu
      citg cpi cmin cn cr cmpt wceq a1i oveq2 oveq2d adantl cn0 wa eleq1 anbi2d
      wcel wi eleq1d imbi12d simpld syl2anc oveq1d fveq2d itgeq2dv adantr simpr
      wf cibl simprd redivcld ffvelrnd remulcld recoscld oveq1 fvmptd cc sselid
      pire recnd eqtrd wss syl3anc eqtr2d eqeltrd itgcl mulcomd itgmulc2 3eqtrd
      syldan ad2antrr sylanl2 cvv cdm eqidd offval2 adantlr mpteq2dva cmbf cabs
      cle wbr wral wrex ccncf ax-resscn constcncfg sylancr ralrimiva dmmptg syl
      cnmbf eleqtrd eqbrtrd breq2 ralbidv rspcev bddmulibl resubcld eqid id imp
      sumeq1d 0nn0 elexi fveq2 fourierdlem22 vtocl rehalfcld cres fourierdlem16
      fzfid simpl chvarvv pipos gtneii fmptd elfznn nnnn0d nn0red fourierdlem21
      wne 0re resincld readdcld fsumrecl cneg cioo ioosscn eleqtrdi mul02d cos0
      eqtrdi ioossre mulid1d feqmptd reseq1d cicc renegcld ioossicc sseli ssriv
      eqsstri eliccre resmpt mp1i 2cnd 2ne0 divrecd reccld fvmpt2 divassd nn0re
      divdiv32d ad2antlr cvol ioombl eqeltri coscn sstri ssid idcncfg cncfmpt1f
      cof mulcncf 1re abscosbd mul12d nnre adantll sincn abssinbd oveq12d sylan
      eqtr3d mul13d iblmulc2 divdird subdid mulcld cossub adddid itgadd 3eqtr2d
      nncnd sumeq2dv subcncf fsumdivc anbi2i sylbir itgfsum eqcomd dirkertrigeq
      anass ancom bitri sumeq2sdv halfre an32s cncfss cncffvrn mpbird cncfcompt
      wb dirkercncf sseldd renegcli iccssre mp2an dirkerf sselda cncfmptssg clt
      0red negpilt0 lttrd ltled evthiccabs breq12d ralbidva rexbidva w3a abscld
      mpbid 3adant3 nfv nfra1 3ad2antl1 simplr rspa 3adantl2 ralrimi rexlimdv3a
      nf3an ex eqtr4d fsummulc2 fsumcl addcld divcan1d 3eqtr2rd remulcl 3eqtrrd
      mpd divcan3d 3eqtr3d ) AKGUIUJCUIZUKULUMZUNKUOUMZIUPZCUIZVWJLUQUMZURUIZUQ
      UMZVWJDUIZVWLUSUIZUQUMZUTUMZIVAZUTUMZBEUNUKULUMZBUPZJUIZUQUMZVBZVCULUMZBE
      VWIVXCVWJVXBLVDUMZUQUMZURUIZUQUMZIVAZVBZVCULUMZUTUMZBEVXCVXGKFUIZUIZUQUMZ
      VBZAHKVWHUNHUPZUOUMZVWRIVAZUTUMZVWTVEGVFGHVEVYBVGVHATVIVXSKVHZVYBVWTVHAVY
      CVYAVWSVWHUTVYCVXTVWIVWRIVXSKUNUOVJUUCVKVLUBAVWHVWSAVWGAAUJVMVQZVWGVFVQZA
      UUAVYDAUUDVIZAVWJVMVQZVNZVWKVFVQZVRAVYDVNZVYEVRIUJUJVMUUDUUEVWJUJVHZVYHVY
      JVYIVYEVYKVYGVYDAVWJUJVMVOVPVYKVWKVWGVFVWJUJCUUFVSVTAVYGVYIAVYGVYIVRVWJVE
      VQZVWOVFVQVRABCDEIJNOPQRUUGWAUUBUUHWBUUIAVWIVWRIAUNKUULZAVWJVWIVQZVNZVWNV
      WQVYOVWKVWMVYOVMVFVWJCAVMVFCWHVYNAIVMBEVXCVWJVXBUQUMZURUIZUQUMZVBZVCULUMZ
      VFCVYHVYSVCAUCUPZVMVQZVNZBEVXCWUAVXBUQUMZURUIZUQUMZVBZVFVQZVRVYHVYSVFVQZV
      RUCIWUAVWJVHZWUCVYHWUHWUIWUJWUBVYGAWUAVWJVMVOVPWUJWUGVYSVFWUJBEWUFVYRWUJV
      XBEVQZVNZWUEVYQVXCUQWULWUDVYPURWULWUAVWJVXBUQWUJWUKUUMWCWDVKWEVSVTWUCWUAC
      UIVFVQBEVXCVGZWIVQZVNWUHWUCBCEIJWUAAVFVFJWHZWUBNWFOAJEUUJZWIVQZWUBPWFQAWU
      BWGUUKWJUUNZVCVFVQZVYHWSVIVCUJUVBZVYHUJVCUVCUUOUUPZVIWKZQUUQWFVYNVYGAVYNV
      WJVWJKUURZUUSZVLZWLVYOVWLVYOVWJLVYOVWJWVEUUTZALVFVQZVYNSWFWMZWNZWMVYOVWOV
      WPVYOVEVFVWJDAVEVFDWHVYNAIVEBEVXCVYPUSUIZUQUMZVBZVCULUMZVFDAVYLVNZWVLVCAW
      UAVEVQZVNZBEVXCWUDUSUIZUQUMZVBZVFVQZVRWVNWVLVFVQZVRUCIWUJWVPWVNWVTWWAWUJW
      VOVYLAWUAVWJVEVOVPWUJWVSWVLVFWUJBEWVRWVKWUJWVRWVKVHWUKWUJWVQWVJVXCUQWUJWU
      DVYPUSWUAVWJVXBUQWOWDVKWFWEVSVTWVPWUADUIVFVQBEWVRVGWIVQVNWVTWVPBDEIJWUAAW
      UOWVONWFOAWUQWVOPWFRAWVOWGUVAWJUUNZWUSWVNWSVIWUTWVNWVAVIWKZRUUQWFVYNVYLAW
      VCVLZWLVYOVWLWVHUVDZWMUVEUVFUVEWPAVWHVXFVWSVXMUTAVWHBEVXCVBZVCULUMZUKULUM
      WWFUKULUMZVCULUMVXFAVWGWWGUKULAVWGBEVXCUJVXBUQUMZURUIZUQUMZVBZVCULUMZWWGA
      IUJVYTWWMVMCVFCIVMVYTVGVHAQVIAVYKVNVYSWWLVCULVYKVYSWWLVHAVYKBEVYRWWKVYKVY
      RWWKVHWUKVYKVYQWWJVXCUQVYKVYPWWIURVWJUJVXBUQWOWDVKWFWEVLWCVYFAWWLVCAVYEWU
      NVNWWLVFVQABCEIJUJNOPQVYFUUKWJWUSAWSVIZWUTAWVAVIZWKWPAWWLWWFVCULABEWWKVXC
      AWUKVNZWWKVXCUNUQUMZVXCWUKWWKWWQVHAWUKWWJUNVXCUQWUKWWJUJURUIUNWUKWWIUJURW
      UKVXBWUKVCUVGZVCUVHUMZWQVXBWWRVCUVIWUKVXBEWWSWUKUUAOUVJZWRZUVKWDUVLUVMVKV
      LWWPVXCWWPVXCWWPVFVFVXBJAWUOWUKNWFWUKVXBVFVQZAWUKWWSVFVXBWWRVCUVNWWTWRZVL
      ZWLZWTZUVOXAWEWCXAWCAWWFVCUKABEVXCVFWXEAWUMWUPWIAWUPBVFVXCVGZEUUJZWUMAJWX
      GEABVFVFJNUVPUVQEVFXBWXHWUMVHABEVFWUKWWRVFVQZWUSVXBWWRVCUVRUMZVQZWXBWUKVC
      WUSWUKWSVIZUVSWXLEWXJVXBEWWSWXJOWWRVCUVTUWCZUWAWWRVCVXBUWDXCUWBZBVFEVXCUW
      EUWFXDPXEZXFZAVCWWNWTZAUWGZWWOUKUJUVBAUWHVIZUWNAWWHVXEVCULAWWHWWFVXAUQUMV
      XAWWFUQUMVXEAWWFUKWXPWXRWXSUWIAWWFVXAWXPAUKWXRWXSUWJZXGABEVXCVXAVFWXTWXEW
      XOXHXIWCXIAVWSVWIBEVXJVBZVCULUMZIVAVWIWYAIVAZVCULUMVXMAVWIVWRWYBIVYOVWRBE
      VXCVYQVWMUQUMZUQUMZVBZVCULUMZBEVXCWVJVWPUQUMZUQUMZVBZVCULUMZUTUMWYFWYJUTU
      MZVCULUMWYBVYOVWNWYGVWQWYKUTVYOVWNVYTVWMUQUMVWMVYTUQUMZWYGVYOVWKVYTVWMUQV
      YOVYGVYTVFVQZVWKVYTVHWVEAVYNVYGWYNWVEWVBXJZIVMVYTVFCQUWKWBWCVYOVYTVWMVYOV
      YTWYOWTVYOVWMWVIWTZXGVYOVWMVYSUQUMZVCULUMWYMWYGVYOVWMVYSVCWYPVYOVYSAVYNVY
      GWUIWVEWURXJWTAVCWQVQZVYNWXQWFZWUTVYOWVAVIZUWLVYOWYQWYFVCULVYOWYQBEVWMVYR
      UQUMZVBWYFVYOBEVYRVWMVFWYPVYNAVYGWUKVYRVFVQWVDVYHWUKVNZVXCVYQXUBVFVFVXBJA
      WUOVYGWUKNXKWUKWXBVYHWXCVLZWLZXUBVYPXUBVWJVXBVYGVWJVFVQZAWUKVWJUWMZUWOXUC
      WMWNZWMXLZAVYNVYGBEVYRVGZWIVQWVEVYHXUIBEVYQVGZWUMUQUXDZUMZWIVYHXULBEVYQVX
      CUQUMZVGXUIVYHBEVYQVXCUQXUJWUMXMVFVFEXMVQZVYHEUWPXNZEWWSXUOOWWRVCUWQUWRZU
      UEZVIXUGXUDVYHXUJXOVYHWUMXOXPVYHBEXUMVYRXUBVYQVXCXUBVYQXUGWTZAWUKVXCWQVQZ
      VYGWXFXQXGXRXDVYHXUJXSVQZWUNUDUPZXUJUIZXTUIZUEUPZYAYBZUDXUJXNZYCZUEVFYDZX
      ULWIVQVYHEXUOVQZXUJEWQYEUMZVQXUTXUPVYHBVYPUREURWQWQYEUMZVQZVYHUWSVIVYHBVW
      JVXBEVYHBEVWJWQEWQXBZVYHEVFWQWXNYFUWTZVIZVYGVWJWQVQZAVYGVWJXUFWTVLWQWQXBZ
      VYHWQUXAZVIZYGVYHBEWQXVOXVSUXBUXEUXCEXUJYLYHAWUNVYGWXOWFVYGXVHAVYGUNVFVQZ
      XVCUNYAYBZUDXVFYCZXVHUXFVYGXWAUDXVFVYGXVAXVFVQZXVAEVQZXWAVYGXWCVNZXVAXVFE
      VYGXWCWGXWEVYQVFVQZBEYCZXVFEVHVYGXWGXWCVYGXWFBEVYGWUKVNZVYPXWHVWJVXBVYGXU
      EWUKXUFWFWUKWXBVYGWXCVLWMWNZYIWFBEVYQVFYJYKYMVYGXWDVNZXVCVWJXVAUQUMZURUIZ
      XTUIZUNYAXWJXVBXWLXTXWJBXVAVYQXWLEXUJVFXWJXUJXOVXBXVAVHZVYQXWLVHXWJXWNVYP
      XWKURVXBXVAVWJUQVJZWDVLVYGXWDWGZXWJXWKXWJVWJXVAVYGXUEXWDXUFWFXWJEVFXVAWXN
      XWPWRZWMZWNWPWDXWJXWKVFVQZXWMUNYAYBXWRXWKUXGYKYNXJYIXVGXWBUEUNVFXVDUNVHZX
      VEXWAUDXVFXVDUNXVCYAYOYPYQYHVLUEUDXUJWUMYRXCXEXJZXHVYOBEXUAWYEVYOWUKVNZXU
      AVXCVWMVYQUQUMZUQUMWYEXXBVWMVXCVYQVYOVWMWQVQWUKWYPWFZAWUKXUSVYNWXFXQZVYNA
      VYGWUKVYQWQVQWVDXURXLZUXHXXBXXCWYDVXCUQXXBVWMVYQXXDXXFXGVKXAWEXAWCUXOXIVY
      OVWQWVMVWPUQUMVWPWVMUQUMZWYKVYOVWOWVMVWPUQVYOVYLWVMVFVQZVWOWVMVHWWDAVYNVY
      LXXHWWDWWCXJZIVEWVMVFDRUWKWBWCVYOWVMVWPVYOWVMXXIWTVYOVWPWWEWTZXGVYOVWPWVL
      UQUMZVCULUMXXGWYKVYOVWPWVLVCXXJVYOWVLAVYNVYLWWAWWDWWBXJWTWYSWYTUWLVYOXXKW
      YJVCULVYOXXKBEVWPWVKUQUMZVBWYJVYOBEWVKVWPVFXXJVYNAVYLWUKWVKVFVQWVCWVNWUKV
      NZVXCWVJAWUKVXCVFVQZVYLWXEXQZVYLWUKWVJVFVQZAVYLWUKVNZVYPXXQVWJVXBVYLXUEWU
      KVWJUXIZWFWUKWXBVYLWXCVLWMUVDZUXJZWMXLZAVYNVYLBEWVKVGZWIVQWWDWVNXYBBEWVJV
      GZWUMXUKUMZWIWVNXYDBEWVJVXCUQUMZVGXYBWVNBEWVJVXCUQXYCWUMXMVFVFXUNWVNXUQVI
      XXTXXOWVNXYCXOWVNWUMXOXPWVNBEXYEWVKXXMWVJVXCXXMWVJXXTWTZAWUKXUSVYLWXFXQXG
      XRXDWVNXYCXSVQZWUNXVAXYCUIZXTUIZXVDYAYBZUDXYCXNZYCZUEVFYDZXYDWIVQWVNXVIXY
      CXVJVQXYGXUPWVNBVYPUSEUSXVKVQWVNUXKVIVYLBEVYPVGXVJVQAVYLBVWJVXBEVYLBEVWJW
      QXVMVYLXVNVIZVYLVWJXXRWTXVQVYLXVRVIZYGZVYLBEWQXYNXYOUXBZUXEVLUXCEXYCYLYHA
      WUNVYLWXOWFVYLXYMAVYLXVTXYIUNYAYBZUDXYKYCZXYMUXFVYLXYRUDXYKVYLXVAXYKVQZXW
      DXYRVYLXYTVNXVAXYKEVYLXYTWGVYLXYKEVHZXYTVYLXXPBEYCYUAVYLXXPBEXXSYIBEWVJVF
      YJYKWFYMVYLXWDVNZXYIXWKUSUIZXTUIZUNYAYUBXYHYUCXTYUBBXVAWVJYUCEXYCVFYUBXYC
      XOXWNWVJYUCVHYUBXWNVYPXWKUSXWOWDVLVYLXWDWGZYUBXWKYUBVWJXVAVYLXUEXWDXXRWFY
      UBEVFXVAWXNYUEWRWMZUVDWPWDYUBXWSYUDUNYAYBYUFXWKUXLYKYNXJYIXYLXYSUEUNVFXWT
      XYJXYRUDXYKXVDUNXYIYAYOYPYQYHVLUEUDXYCWUMYRXCXEXJZXHVYOBEXXLWYIXXBXXLVXCV
      WPWVJUQUMZUQUMWYIXXBVWPVXCWVJVYOVWPWQVQWUKXXJWFZXXEVYNAVYLWUKWVJWQVQWVCXY
      FXLZUXHXXBYUHWYHVXCUQXXBVWPWVJYUIYUJXGVKXAWEXAWCUXOXIUXMVYOWYFWYJVCVYOBEW
      YEVFXXBVXCWYDVYNAVYGWUKXXNWVDXUDXLZXXBVYQVWMVYOVYGWUKXWFWVEXWIUXNVYOVWMVF
      VQWUKWVIWFWMZWMZVYOBEWYEVGBEXUAVGWIVYOBEWYEXUAXXBWYEVWMXUMUQUMXUAXXBVXCVY
      QVWMXXEXXFXXDUXPXXBXUMVYRVWMUQXXBVYQVXCXXFXXEXGVKXAXRVYOBEVYRVWMVFWYPXUHX
      XAUXQXEZXFVYOBEWYIVFXXBVXCWYHYUKXXBWVJVWPVYOVYLWUKXXPWWDXXSUXNVYOVWPVFVQW
      UKWWEWFWMZWMZVYOBEWYIVGBEXXLVGWIVYOBEWYIXXLXXBWYIVWPXYEUQUMXXLXXBVXCWVJVW
      PXXEYUJYUIUXPXXBXYEWVKVWPUQXXBWVJVXCYUJXXEXGVKXAXRVYOBEWVKVWPVFXXJXYAYUGU
      XQXEZXFWYSWYTUXRVYOWYLWYAVCULVYOWYABEWYEWYIUTUMZVBWYLVYOBEVXJYURXXBVXJVXC
      WYDWYHUTUMZUQUMYURXXBVXIYUSVXCUQXXBVXIVYPVWLVDUMZURUIZYUSXXBVXHYUTURXXBVW
      JVXBLVYNXVPAWUKVYNVWJWVCUYEUWOZWUKVXBWQVQVYOWXAVLZALWQVQZVYNWUKALSWTZXKZU
      XSWDXXBVYPWQVQVWLWQVQYVAYUSVHXXBVWJVXBYVBYVCUXTXXBVWJLYVBYVFUXTVYPVWLUYAW
      BXAVKXXBVXCWYDWYHXXEXXBWYDYULWTXXBWYHYUOWTUYBXAWEVYOBEWYEWYIVFYUMYUNYUPYU
      QUYCXDWCUYDUYFAVWIWYAVCIVYMWXQVYOBEVXJVFXXBVXCVXIYUKXXBVXHXXBVWJVXGVYOXUE
      WUKWVFWFXXBVXBLWUKWXBVYOWXCVLAWVGVYNWUKSXKYSWMWNZWMZVYOBEVXJVGZBEVXIVGZWU
      MXUKUMZWIVYOYVKBEVXIVXCUQUMZVGYVIVYOBEVXIVXCUQYVJWUMXMVFVFXUNVYOXUQVIYVGY
      UKVYOYVJXOVYOWUMXOXPVYOBEYVLVXJXXBVXIVXCXXBVXIYVGWTZXXEXGXRXDVYOYVJXSVQZW
      UNXVAYVJUIZXTUIZXVDYAYBZUDYVJXNZYCZUEVFYDZYVKWIVQVYOXVIYVJXVJVQYVNXUPVYOB
      VXHUREXVLVYOUWSVIVYOBVWJVXGEVYOVYLBEVWJVGXVJVQWWDXYPYKVYOBVXBLEVYOVYLBEVX
      BVGXVJVQWWDXYQYKVYOBELWQXVMVYOXVNVIAYVDVYNYVEWFXVQVYOXVRVIYGUYGUXEUXCEYVJ
      YLYHAWUNVYNWXOWFVYOXVTYVPUNYAYBZUDYVRYCZYVTUXFVYOYWAUDYVRVYOXVAYVRVQZXWDY
      WAVYOYWCVNXVAYVREVYOYWCWGVYOYVREVHZYWCVYOVXIVFVQZBEYCYWDVYOYWEBEYVGYIBEVX
      IVFYJYKWFYMVYOXWDVNZYVPVWJXVALVDUMZUQUMZURUIZXTUIZUNYAYWFYVOYWIXTYWFBXVAV
      XIYWIEYVJVFYWFYVJXOXWNVXIYWIVHYWFXWNVXHYWHURXWNVXGYWGVWJUQVXBXVALVDWOZVKW
      DVLVYOXWDWGYWFYWHYWFVWJYWGVYOXUEXWDWVFWFYWFXVALVYOVYGXWDXVAVFVQWVEXWQUXNA
      WVGVYNXWDSXKYSWMZWNWPWDYWFYWHVFVQYWJUNYAYBYWLYWHUXGYKYNXJYIYVSYWBUEUNVFXW
      TYVQYWAUDYVRXVDUNYVPYAYOYPYQYHUEUDYVJWUMYRXCXEZXFWWOUYHAWYCVXLVCULAVXLWYC
      ABEVXKVGWIVQZVXLWYCVHZABEVWIVXJIVFXVIAXUPVIVYMAWUKVYNVNZVNZXXBVXJVFVQZXXB
      AVYNWUKVNZVNYWQAVYNWUKUYNYWSYWPAVYNWUKUYOUYIUYPYVHUYJYWMUYKZWJUYLWCUYDUXM
      AVXEVXLUTUMZVCULUMVCVXRUQUMZVCULUMVXNVXRAYXAYXBVCULAYXBBEVXCVXPVCUQUMZUQU
      MZVBZBEVXDVXKUTUMZVBYXAAYXBBEVCVXQUQUMZVBYXEABEVXQVCVFWXQWWPVXCVXPWXEWWPV
      XPVXAVWIVXIIVAZUTUMZVCULUMZVFWWPMVXGVXAVWIVWJMUPZUQUMZURUIZIVAZUTUMZVCULU
      MZYXJVFVXOVFWWPFIIVXOMVFYXPVGZKMUAAKVEVQZWUKUBWFVXOYTYXQYTUYMYXKVXGVHZYXP
      YXJVHWWPYXSYXOYXIVCULYXSYXNYXHVXAUTYXSVWIYXMVXIIYXSYXLVXHURYXKVXGVWJUQVJW
      DUYQVKWCVLWWPVXBLWXDAWVGWUKSWFYSWWPYXIVCWWPVXAYXHVXAVFVQZWWPUYRVIWWPVWIVX
      IIWWPUNKUULZAVYNWUKYWEYVGUYSUVFUVEWUSWWPWSVIWUTWWPWVAVIZWKZWPZYYCXEZWMZAB
      EVXQVGZBEVXPVGZWUMXUKUMZWIAYYIBEVXPVXCUQUMZVGYYGABEVXPVXCUQYYHWUMXMVFVFXU
      NAXUQVIYYEWXEAYYHXOAWUMXOXPABEYYJVXQWWPVXPVXCWWPVXPYYEWTZWXFXGZXRXDAYYHXS
      VQZWUNXVAYYHUIZXTUIZXVDYAYBZUDYYHXNZYCZUEVFYDZYYIWIVQAXVIYYHXVJVQYYMXUPAB
      WXJWQEWQVXPBWXJVXPVGZYYTYTABVFWQWXJWQVXPBVFVXPVGZUUUAYTZAVFVFYEUMZVFWQYEU
      MZUUUAAVFWQXBZXVQUUUCUUUDXBYFXVQAXVRVIZVFVFWQUYTYHABVFVXGVFVFVXOABVFVXGVG
      ZUUUCVQZVFVFUUUGWHZABVFVXGVFUUUGAWXBVNVXBLAWXBWGAWVGWXBSWFYSUUUGYTUUQAUUU
      EUUUGUUUDVQUUUHUUUIVUDYFABVXBLVFABVFWQUUUEAYFVIZUUUFUXBABVFLWQUUUJYVEUUUF
      YGUYGVFWQVFUUUGVUAYHVUBAYXRVXOUUUCVQUBMFIKUAVUEYKVUCVUFZWXJVFXBZAWXIWUSUU
      ULVCWSVUGZWSWWRVCVUHVUIZVIZUUUFAWXKVNZVXPUUUPVFVFVXGVXOAVFVFVXOWHZWXKAYXR
      UUUQUBMFIKUAVUJYKZWFUUUPVXBLAWXJVFVXBUUUOVUKAWVGWXKSWFYSWLZWTVULEWXJXBAWX
      MVIUUUFYYKVULEYYHYLYHWXOAYWGVXOUIZXTUIZUFUPZLVDUMZVXOUIZXTUIZYAYBZUDWXJYC
      ZUFWXJYDZYYSAXVAYYTUIZXTUIZUUVBYYTUIZXTUIZYAYBZUDWXJYCZUFWXJYDZUUVHAUUVOU
      GUPYYTUIXTUIUHUPYYTUIXTUIYAYBUHWXJYCUGWXJYDAUFUDUGUHWWRVCYYTWXIAUUUMVIZWW
      NAWWRVCUUVPWWNAWWRUJVCUUVPAVUNWWNWWRUJVUMYBAVUOVIUJVCVUMYBAUUOVIVUPVUQABV
      FWQWXJVFVXPUUUAUUUBUUUKUUUOUUUJUUUSVULVURWAAUUVNUUVGUFWXJAUUVBWXJVQZVNZUU
      VMUUVFUDWXJUUVRXVAWXJVQZVNUUVJUUVAUUVLUUVEYAAUUVSUUVJUUVAVHUUVQAUUVSVNZUU
      VIUUUTXTUUVTBXVAVXPUUUTWXJYYTVFUUVTYYTXOXWNVXPUUUTVHZUUVTXWNVXGYWGVXOYWKW
      DZVLAUUVSWGZUUVTVFVFYWGVXOAUUUQUUVSUUURWFUUVTXVALUUVTWXJVFXVAUUUNUUWCWRAW
      VGUUVSSWFYSWLWPWDXQUUVRUUVLUUVEVHUUVSUUVRUUVKUUVDXTUUVRBUUVBVXPUUVDWXJYYT
      VFUUVRYYTXOVXBUUVBVHZVXPUUVDVHUUVRUUWDVXGUUVCVXOVXBUUVBLVDWOWDVLAUUVQWGZU
      UVRVFVFUUVCVXOAUUUQUUVQUUURWFUUVRUUVBLUUVRWXJVFUUVBUUUNUUWEWRAWVGUUVQSWFY
      SWLZWPWDWFVUSVUTVVAVVDAUUVGYYSUFWXJAUUVQUUVGVVBZUUVEVFVQZYYOUUVEYAYBZUDYY
      QYCZYYSAUUVQUUWHUUVGUUVRUUVDUUVRUUVDUUWFWTVVCVVEUUWGUUWIUDYYQAUUVQUUVGUDA
      UDVVFUUVQUDVVFUUVFUDWXJVVGVVNUUWGXVAYYQVQZUUWIUUWGUUWKXWDUUWIAUUVQUUWKXWD
      UUVGAUUWKVNXVAYYQEAUUWKWGAYYQEVHZUUWKAVXPVFVQZBEYCUUWLAUUWMBEYYEYIBEVXPVF
      YJYKWFYMVVHAUUVGXWDUUWIUUVQAUUVGVNZXWDVNZYYOUUVAUUVEYAAXWDYYOUUVAVHUUVGAX
      WDVNZYYNUUUTXTUUWPBXVAVXPUUUTEYYHVFUUWPYYHXOXWNUUWAUUWPUUWBVLAXWDWGZUUWPV
      FVFYWGVXOAUUUQXWDUUURWFUUWPXVALUUWPEVFXVAWXNUUWQWRAWVGXWDSWFYSWLWPWDXQUUW
      OUUVGUUVSUUVFAUUVGXWDVVIXWDUUVSUUWNEWXJXVAWXMUWAVLUUVFUDWXJVVJWBYNVVKXJVV
      OVVLYYRUUWJUEUUVEVFXVDUUVEVHYYPUUWIUDYYQXVDUUVEYYOYAYOYPYQWBVVMVWDUEUDYYH
      WUMYRXCXEZXHABEYXDYXGWWPYXDVCYYJUQUMYXGWWPVXCVXPVCWXFYYKAWYRWUKWXQWFZUXPW
      WPYYJVXQVCUQYYLVKXAWEVVPABEYXDYXFWWPYXFVXCVXAUQUMZVXCYXHUQUMZUTUMVXCYXIUQ
      UMYXDWWPVXDUUWTVXKUUXAUTWWPVXAVXCAVXAWQVQWUKWXTWFZWXFXGWWPUUXAVXKWWPVWIVX
      IVXCIYYAWXFAVYNWUKVXIWQVQYVMUYSZVVQUYLUXMWWPVXCVXAYXHWXFUUXBWWPVWIVXIIYYA
      UUXCVVRZUYBWWPYXIYXCVXCUQWWPYXCYXJVCUQUMYXIWWPVXPYXJVCUQYYDWCWWPYXIVCWWPV
      XAYXHUUXBUUXDVVSUUWSYYBVVTXDVKVWAWEABEVXDVXKVFWWPYXTXXNVXDVFVQUYRWXEVXAVX
      CVWBYHZABEVXCVXAVFWXTWXEWXOUXQZWWPVWIVXJIYYAAVYNWUKYWRYVHUYSUVFZAYWNYWOYW
      TWAZUYCVWCWCAVXEVXLVCABEVXDVFUUXEUUXFXFABEVXKVFUUXGUUXHXFWXQWWOUXRAVXRVCA
      BEVXQVFYYFUUWRXFWXQWWOVWEVWFXI $.
  $}

  ${
    $d A i m p $.  $d A i s $.  $d B i m p $.  $d B i s $.  $d D s $.
    $d F s $.  $d G i $.  $d L s $.  $d M i j s $.  $d M i m p $.
    $d Q i j s $.  $d Q i p $.  $d R s $.  $d V i j s $.  $d V i p $.
    $d X i j s $.  $d X i m p $.  $d i j ph s $.
    fourierdlem84.1 $e |- ( ph -> A e. RR ) $.
    fourierdlem84.2 $e |- ( ph -> B e. RR ) $.
    fourierdlem84.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem84.xre $e |- ( ph -> X e. RR ) $.
    fourierdlem84.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( A + X ) /\ ( p ` m ) = ( B + X ) ) /\ A. i e. ( 0 ..^ m )
       ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem84.m $e |- ( ph -> M e. NN ) $.
    fourierdlem84.v $e |- ( ph -> V e. ( P ` M ) ) $.
    fourierdlem84.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( V ` i )
       (,) ( V ` ( i + 1 ) ) ) ) e. ( ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem84.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( V `
       i ) (,) ( V ` ( i + 1 ) ) ) ) limCC ( V ` i ) ) ) $.
    fourierdlem84.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( V `
       i ) (,) ( V ` ( i + 1 ) ) ) ) limCC ( V ` ( i + 1 ) ) ) ) $.
    fourierdlem84.q $e |- Q = ( i e. ( 0 ... M ) |-> ( ( V ` i ) - X ) ) $.
    fourierdlem84.o $e |- O = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem84.d $e |- ( ph -> D e. ( RR -cn-> RR ) ) $.
    fourierdlem84.g $e |- G = ( s e. ( A [,] B ) |-> ( ( F ` ( X + s ) ) x. ( D
       ` s ) ) ) $.
    $( If ` F ` is piecewise coninuous and ` D ` is continuous, then ` G ` is
       continuous.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem84 $p |- ( ph -> G e. L^1 ) $=
      ( vj cv cmul co c1 caddc fourierdlem14 cicc cc wcel wa cr wf adantr simpr
      cfv eliccre syl3anc readdcld ffvelrnd ccncf cncff syl remulcld recnd cfzo
      fmptd cc0 cioo cres cmpt a1i reseq1d ioossicc cxr rexrd cfz fourierdlem15
      wceq fourierdlem8 sstrid resmptd eqtrd wss iccssred elfzofz adantl sseldd
      fzofzp1 ad2antrr elioore clt cmin addcomd resubcld fvmpt2 syl2anc 3eqtrrd
      oveq1d npcand wbr fssd ioogtlb eqbrtrd iooltub fveq2 cbvmptv eqtri fvmptd
      oveq2d pncan3d breqtrd eliood fvres eqcomd mpteq2dva ioosscn eqeltrd eqid
      ltadd2dd sselid adantlr eleqtrd fourierdlem53 limcresi cnlimci mullimc
      climc fourierdlem23 ax-resscn ssid mp2an feqmptd sstrd cncfmptssg mulcncf
      cncfss ioossre gtned reseq1i eqtr2id ltned fourierdlem69 ) ABCNFGHUNZFVHZ
      DVHZUOUPZHIKLUUPUQURUPZFVHZDVHZUOUPZMRUJUDABCEFHIMNOPRSTUBUCUJUDUEUIUSZAQ
      BCUTUPZPQUNZURUPZJVHZUVFDVHZUOUPZVAKAUVFUVEVBZVCZUVJUVLUVHUVIUVLVDVDUVGJA
      VDVDJVEZUVKUAVFUVLPUVFAPVDVBZUVKUBVFUVLBVDVBZCVDVBZUVKUVFVDVBZAUVOUVKSVFA
      UVPUVKTVFAUVKVGBCUVFVIVJZVKVLUVLVDVDUVFDAVDVDDVEZUVKADVDVDVMUPZVBUVSUKVDV
      DDVNVOZVFUVRVLVPVQULVSAUUPVTMVRUPVBZVCZKUUQUVAWAUPZWBZQUWDUVJWCZUWDVAVMUP
      ZUWCUWEQUVEUVJWCZUWDWBZUWFUWCKUWHUWDKUWHWKUWCULWDWEUWCQUVEUWDUVJUWCUWDUUQ
      UVAUTUPUVEUUQUVAWFUWCBCFUUPMABWGVBUWBABSWHVFACWGVBUWBACTWHVFAVTMWIUPZUVEF
      VEUWBABCNFHIMRUJUDUVDWJVFZAUWBVGWLWMZWNZWOUWCQUVHUVIUWDUWCQUWDUVHWCZQUWDU
      VGJUUPOVHZUUTOVHZWAUPZWBZVHZWCUWGUWCQUWDUVHUWSUWCUVFUWDVBZVCZUWSUVHUXAUVG
      UWQVBUWSUVHWKUXAUWOUWPUVGUWCUWOWGVBUWTUWCUWOUWCBPURUPZCPURUPZUTUPZVDUWOAU
      XDVDWPUWBAUXBUXCABPSUBVKACPTUBVKWQVFZUWCUWJUXDUUPOAUWJUXDOVEUWBAUXBUXCEOH
      IMRUCUDUEWJVFZUWBUUPUWJVBZAUUPVTMWRWSZVLWTZWHVFUWCUWPWGVBUWTUWCUWPUWCUXDV
      DUWPUXEUWCUWJUXDUUTOUXFUWBUUTUWJVBAVTMUUPXAWSZVLWTZWHVFUXAPUVFAUVNUWBUWTU
      BXBZUWTUVQUWCUVFUUQUVAXCZWSZVKUXAUWOPUUQURUPZUVGXDUWCUWOUXOWKUWTUWCUXOUUQ
      PURUPUWOPXEUPZPURUPUWOUWCPUUQAPVAVBUWBAPUBVQVFZUWCUUQUWCUVEVDUUQAUVEVDWPU
      WBABCSTWQVFZUWCUWJUVEUUPFUWKUXHVLWTZVQZXFUWCUUQUXPPURUWCUXGUXPVDVBUUQUXPW
      KUXHUWCUWOPUXIAUVNUWBUBVFZXGHUWJUXPVDFUIXHXIXKUWCUWOPUWCUWOUXIVQUXQXLXJZV
      FUXAUUQUVFPUWCUUQVDVBUWTUXSVFZUXNUXLUXAUUQWGVBZUVAWGVBZUWTUUQUVFXDXMUWCUY
      DUWTUWCUUQUXSWHVFZUWCUYEUWTUWCUVAUWCUWJVDUUTFUWCUWJUVEVDFUWKUXRXNUXJVLZWH
      VFZUWCUWTVGZUUQUVAUVFXOVJZYLXPUXAUVGPUVAURUPZUWPXDUXAUVFUVAPUXNUWCUVAVDVB
      UWTUYGVFUXLUXAUYDUYEUWTUVFUVAXDXMUYFUYHUYIUUQUVAUVFXQVJZYLUWCUYKUWPWKUWTU
      WCUYKPUWPPXEUPZURUPUWPUWCUVAUYMPURUWCUMUUTUMUNZOVHZPXEUPZUYMUWJFVDFUMUWJU
      YPWCZWKUWCFHUWJUXPWCUYQUIHUMUWJUXPUYPUUPUYNWKUWOUYOPXEUUPUYNOXRXKXSXTWDUY
      NUUTWKZUYPUYMWKUWCUYRUYOUWPPXEUYNUUTOXRXKWSUXJUWCUWPPUXKUYAXGYAYBUWCPUWPU
      XQUWCUWPUXKVQYCWOZVFYDYEZUVGUWQJYFVOYGYHUWCUWQUWDUWRPQUWQVAWPUWCUWOUWPYIW
      DUFUWDVAWPUWCUUQUVAYIWDUXQUYTUUAYJUWCQVDVAUWDVAUVIQVDUVIWCZVUAYKAVUAVDVAV
      MUPZVBUWBAUVTVUBVUAVDVAWPVAVAWPZUVTVUBWPUUBVAUUCZVDVDVAUUIUUDZAVUADUVTADV
      UAAQVDVDDUWAUUEZYGUKYJYMVFUWCUWDUVEVDUWLUXRUUFZVUCUWCVUDWDAUWTUVIVAVBUWBA
      UWTVCZUVIVUHVDVDUVFDAUVSUWTUWAVFUWTUVQAUXMWSZVLVQYNZUUGUUHYJUWCUUSUWFUUQY
      TUPUWEUUQYTUPUWCQUWDUVHUVIUUQUWNQUWDUVIWCZUWFGUURUWNYKZVUKYKZUWFYKZAUWTUV
      HVAVBUWBVUHUVHVUHVDVDUVGJAUVMUWTUAVFVUHPUVFAUVNUWTUBVFVUIVKVLVQYNZVUJUWCU
      WDUWQGUUQJUWNPQAUVMUWBUAVFZUYAVUGVULUYTUWQVDWPUWCUWOUWPUUJWDZUXAUUQUVFUYC
      UYJUUKUWCGUWRUWOYTUPUWRUXOYTUPUGUWCUWOUXOUWRYTUYBYBYOUXTYPUWCUURVUAUWDWBZ
      UUQYTUPZVUKUUQYTUPUWCVUAUUQYTUPZVUSUURUUQUWDVUAYQUWCUURDUUQYTUPZVUTUWCVDU
      UQVADADVUBVBUWBAUVTVUBDVUEUKYMVFZUXSYRAVVAVUTWKUWBADVUAUUQYTVUFXKVFYOYMUW
      CVURVUKUUQYTUWCQVDUWDUVIVUGWNZXKYOYSUWCUWFUWEUUQYTUWCUWEUWIUWFKUWHUWDULUU
      LUWMUUMZXKYOUWCUVCUWFUVAYTUPUWEUVAYTUPUWCQUWDUVHUVIUVAUWNVUKUWFLUVBVULVUM
      VUNVUOVUJUWCUWDUWQLUVAJUWNPQVUPUYAVUGVULUYTVUQUXAUVFUVAUXNUYLUUNUWCLUWRUW
      PYTUPUWRUYKYTUPUHUWCUWPUYKUWRYTUWCUYKUWPUYSYGYBYOUWCUVAUYGVQYPUWCUVBVURUV
      AYTUPZVUKUVAYTUPUWCVUAUVAYTUPZVVEUVBUVAUWDVUAYQUWCUVBDUVAYTUPZVVFUWCVDUVA
      VADVVBUYGYRAVVGVVFWKUWBADVUAUVAYTVUFXKVFYOYMUWCVURVUKUVAYTVVCXKYOYSUWCUWF
      UWEUVAYTVVDXKYOUUO $.
  $}

  ${
    $d E s $.  $d F s $.  $d H s $.  $d K s $.  $d M i m p $.  $d M i s $.
    $d N s $.  $d Q i p $.  $d Q i s $.  $d R s $.  $d S s $.  $d V i p $.
    $d V i s $.  $d W s $.  $d X i m p $.  $d X i s $.  $d Y s $.  $d i ph s $.
    fourierdlem85.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( -u _pi + X ) /\ ( p ` m ) = ( _pi + X ) ) /\ A. i e. ( 0
       ..^ m ) ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem85.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem85.x $e |- ( ph -> X e. ran V ) $.
    fourierdlem85.y $e |- ( ph -> Y e. ( ( F |` ( X (,) +oo ) ) limCC X ) ) $.
    fourierdlem85.w $e |- ( ph -> W e. RR ) $.
    fourierdlem85.h $e |- H = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 0 , (
       ( ( F ` ( X + s ) ) - if ( 0 < s , Y , W ) ) / s ) ) ) $.
    fourierdlem85.k $e |- K = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 1 , (
       s / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) ) $.
    fourierdlem85.u $e |- U = ( s e. ( -u _pi [,] _pi ) |-> ( ( H ` s ) x. ( K
       ` s ) ) ) $.
    fourierdlem85.n $e |- ( ph -> N e. RR ) $.
    fourierdlem85.s $e |- S = ( s e. ( -u _pi [,] _pi ) |-> ( sin ` ( ( N + ( 1
       / 2 ) ) x. s ) ) ) $.
    fourierdlem85.g $e |- G = ( s e. ( -u _pi [,] _pi ) |-> ( ( U ` s ) x. ( S
       ` s ) ) ) $.
    fourierdlem85.m $e |- ( ph -> M e. NN ) $.
    fourierdlem85.v $e |- ( ph -> V e. ( P ` M ) ) $.
    fourierdlem85.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( V `
       i ) (,) ( V ` ( i + 1 ) ) ) ) limCC ( V ` i ) ) ) $.
    fourierdlem85.q $e |- Q = ( i e. ( 0 ... M ) |-> ( ( V ` i ) - X ) ) $.
    fourierdlem85.o $e |- O = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = -u _pi /\ ( p ` m ) = _pi ) /\ A. i e. ( 0 ..^ m ) ( p ` i )
       < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem85.i $e |- I = ( RR _D F ) $.
    fourierdlem85.ifn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( I |` ( ( V ` i )
       (,) ( V ` ( i + 1 ) ) ) ) : ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) --> CC )
       $.
    fourierdlem85.e $e |- ( ph -> E e. ( ( I |` ( X (,) +oo ) ) limCC X ) ) $.
    fourierdlem85.a $e |- A = ( ( if ( ( V ` i ) = X , E , ( ( R - if ( ( V ` i
       ) < X , W , Y ) ) / ( Q ` i ) ) ) x. ( K ` ( Q ` i ) ) ) x. ( S ` ( Q `
       i ) ) ) $.
    $( Limit of the function ` G ` at the lower bounds of the partition
       intervals.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem85 $p |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> A e. ( ( G |` ( ( Q ` i
       ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $=
      ( cv cc0 cfzo co wcel wa cfv caddc cioo cmul cmpt climc cres wceq clt wbr
      c1 cif cmin cdiv eqid cc cpi cneg cicc cxr pire renegcli rexri a1i cfz wf
      cr renegcld crn cmap wss wral cn fourierdlem2 syl mpbid simpld elmapi frn
      wb sseldd fourierdlem14 fourierdlem15 adantr simplr fourierdlem8 ioossicc
      3syl sseli adantl cpnf ioossre ax-resscn sstrdi ccnfld ctopn pnfxr ltpnfd
      fssresd ffvelrnd recnd ccncf cncff oveq1d eleqtrd limcresi cnlimci sselid
      feqresmpt mullimc lptioo1cn fourierdlem9 fssd fourierdlem43 mulcld fvmpt2
      limcrecl ad2antrr syl2anc eqeltrd fourierdlem18 fourierdlem75 sstrid ssid
      simpr cncfss mp2an fourierdlem62 elfzofz mp1i mpteq2dva eleqtrrd eqeltrid
      sselii reseq1i resmptd eqtr2id ) AHVEZVFPVGVHZVIZVJZBUCUVHDVKZUVHWAVLVHZD
      VKZVMVHZUCVEZGVKZUVPFVKZVNVHZVOZUVLVPVHZLUVOVQZUVLVPVHUVKBUVHSVKZUAVRJEUW
      CUAVSVTTUBWBWCVHUVLWDVHWBZUVLOVKZVNVHZUVLFVKZVNVHUWAVDUVKUCUVOUVQUVRUVLUC
      UVOUVQVOZUCUVOUVRVOZUVTUWFUWGUWHWEUWIWEUVTWEUVKUVPUVOVIZVJZUVQUVPMVKZUVPO
      VKZVNVHZWFUWKUVPWGWHZWGWIVHZVIUWNWFVIUVQUWNVRUWKUVLUVNWIVHZUWPUVPUWKUWOWG
      DUVHPUWOWJVIZUWKUWOWGWKWLWMZWNWGWJVIZUWKWGWKWMZWNUVKVFPWOVHZUWPDWPZUWJAUX
      CUVJAUWOWGRDHIPUDUTUPAUWOWGCDHIPRSUAUDAWGWGWQVIAWKWNZWRUXDASWSZWQUAASWQUX
      BWTVHVIZUXBWQSWPUXEWQXAAUXFVFSVKUWOUAVLVHZVRPSVKWGUAVLVHZVRVJUWCUVMSVKVSV
      THUVIXBVJZASPCVKVIZUXFUXIVJZUQAPXCVIUXJUXKXJUPUXGUXHCSHIPUDUEXDXEXFXGSWQU
      XBXHUXBWQSXIXRUGXKZUEUTUPUQUSXLXMXNZXNAUVJUWJXOXPUWJUVPUWQVIUVKUVOUWQUVPU
      VLUVNXQZXSXTXKZUWKUWLUWMUWKUWPWFUVPMAUWPWFMWPUVJUWJAUWPWQWFMAKMTUAUBUCUFU
      XLAUAYAVMVHZUAKUXPVQUBAWQWQUXPKUFUXPWQXAAUAYAYBWNZYIAUXPWQWFUXQYCYDAUAYAY
      EYFVKZUXRWEYAWJVIAYGWNUXLAUAUXLYHUUAUHUUGUIUJUUBZWQWFXAZAYCWNUUCUUHUXOYJZ
      UWKUWMUWKUWPWQUVPOUWPWQOWPUWKOUCUKUUDWNUXOYJYKZUUEZUCUWPUWNWFGULUUFUUIZUY
      CUUJUWKUVRUWKUWPWQUVPFUVKUWPWQFWPZUWJAUYEUVJAFUWPWQYLVHZVIZUYEAFQUCUMUNUU
      KZUWPWQFYMXEXNZXNUXOYJYKUVKUWFUCUVOUWNVOZUVLVPVHUWHUVLVPVHUVKUCUVOUWLUWMU
      VLUCUVOUWLVOZUCUVOUWMVOZUYJUWDUWEUYKWEUYLWEUYJWEUYAUYBUVKUWDMUVOVQZUVLVPV
      HUYKUVLVPVHAUWDCDEHIJKNMPRSTUAUBUCUDUXLUEUFUGUHUIUJUPUQURUSUTVAVBVCUWDWEU
      ULUVKUYMUYKUVLVPUVKUCUWPWQUVOMAUWPWQMWPUVJUXSXNUVKUVOUWQUWPUXNUVKUWOWGDUV
      HPUWRUVKUWSWNUWTUVKUXAWNUXMAUVJUUOXPUUMZYSYNYOUVKUWEOUVOVQZUVLVPVHZUYLUVL
      VPVHUVKOUVLVPVHUYPUWEUVLUVOOYPUVKUWPUVLWFOOUWPWFYLVHZVIZUVKUYFUYQOUXTWFWF
      XAUYFUYQXAYCWFUUNUWPWQWFUUPUUQUCOUKUURUVDZWNUVKUXBUWPUVHDUXMUVJUVHUXBVIAU
      VHVFPUUSXTYJZYQYRUVKUYOUYLUVLVPUVKUCUWPWFUVOOUYRUWPWFOWPUVKUYSUWPWFOYMUUT
      UYNYSYNYOYTUVKUWHUYJUVLVPUVKUCUVOUVQUWNUYDUVAYNUVBUVKUWGFUVOVQZUVLVPVHZUW
      IUVLVPVHUVKFUVLVPVHVUBUWGUVLUVOFYPUVKUWPUVLWQFAUYGUVJUYHXNUYTYQYRUVKVUAUW
      IUVLVPUVKUCUWPWQUVOFUYIUYNYSYNYOYTUVCUVKUVTUWBUVLVPUVKUWBUCUWPUVSVOZUVOVQ
      UVTLVUCUVOUOUVEUVKUCUWPUVOUVSUYNUVFUVGYNYO $.
  $}

  ${
    $d A s $.  $d B s $.  $d C i s $.  $d F i s $.  $d L s $.  $d M i m p $.
    $d M i j s $.  $d M i j y $.  $d N f $.  $d N i s $.  $d N i y $.
    $d O i $.  $d Q i s $.  $d Q i y $.  $d R s $.  $d S f $.  $d S i s $.
    $d S i y $.  $d T f $.  $d U i $.  $d V i p $.  $d V i j s $.
    $d V i j y $.  $d X i m p $.  $d X i j s $.  $d X i j y $.  $d f j ph $.
    $d ph i j s $.  $d ph i j y $.
    fourierdlem86.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem86.xre $e |- ( ph -> X e. RR ) $.
    fourierdlem86.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( -u _pi + X ) /\ ( p ` m ) = ( _pi + X ) ) /\ A. i e. ( 0
       ..^ m ) ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem86.m $e |- ( ph -> M e. NN ) $.
    fourierdlem86.v $e |- ( ph -> V e. ( P ` M ) ) $.
    fourierdlem86.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( V ` i )
       (,) ( V ` ( i + 1 ) ) ) ) e. ( ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem86.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( V `
       i ) (,) ( V ` ( i + 1 ) ) ) ) limCC ( V ` i ) ) ) $.
    fourierdlem86.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( V `
       i ) (,) ( V ` ( i + 1 ) ) ) ) limCC ( V ` ( i + 1 ) ) ) ) $.
    fourierdlem86.a $e |- ( ph -> A e. RR ) $.
    fourierdlem86.b $e |- ( ph -> B e. RR ) $.
    fourierdlem86.altb $e |- ( ph -> A < B ) $.
    fourierdlem86.ab $e |- ( ph -> ( A [,] B ) C_ ( -u _pi [,] _pi ) ) $.
    fourierdlem86.n0 $e |- ( ph -> -. 0 e. ( A [,] B ) ) $.
    fourierdlem86.c $e |- ( ph -> C e. RR ) $.
    fourierdlem86.o $e |- O = ( s e. ( A [,] B ) |-> ( ( ( ( F ` ( X + s ) ) -
       C ) / s ) x. ( s / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) ) $.
    fourierdlem86.q $e |- Q = ( i e. ( 0 ... M ) |-> ( ( V ` i ) - X ) ) $.
    fourierdlem86.t $e |- T = ( { A , B } u. ( ran Q i^i ( A (,) B ) ) ) $.
    fourierdlem86.n $e |- N = ( ( # ` T ) - 1 ) $.
    fourierdlem86.s $e |- S = ( iota f f Isom < , < ( ( 0 ... N ) , T ) ) $.
    fourierdlem86.d $e |- D = ( ( ( if ( ( S ` ( j + 1 ) ) = ( Q ` ( U + 1 ) )
       , [_ U / i ]_ L , ( F ` ( X + ( S ` ( j + 1 ) ) ) ) ) - C ) / ( S ` ( j
       + 1 ) ) ) x. ( ( S ` ( j + 1 ) ) / ( 2 x. ( sin ` ( ( S ` ( j + 1 ) ) /
       2 ) ) ) ) ) $.
    fourierdlem86.e $e |- E = ( ( ( if ( ( S ` j ) = ( Q ` U ) , [_ U / i ]_ R
       , ( F ` ( X + ( S ` j ) ) ) ) - C ) / ( S ` j ) ) x. ( ( S ` j ) / ( 2
       x. ( sin ` ( ( S ` j ) / 2 ) ) ) ) ) $.
    fourierdlem86.u $e |- U = ( iota_ i e. ( 0 ..^ M ) ( ( S ` j ) (,) ( S ` (
       j + 1 ) ) ) C_ ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) ) $.
    $( Continuity of ` O ` and its limits with respect to the ` S ` partition.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem86 $p |- ( ( ph /\ j e. ( 0 ..^ N ) ) -> ( ( D e. ( ( O |` ( ( S
       ` j ) (,) ( S ` ( j + 1 ) ) ) ) limCC ( S ` ( j + 1 ) ) ) /\ E e. ( ( O
       |` ( ( S ` j ) (,) ( S ` ( j + 1 ) ) ) ) limCC ( S ` j ) ) ) /\ ( O |` (
       ( S ` j ) (,) ( S ` ( j + 1 ) ) ) ) e. ( ( ( S ` j ) (,) ( S ` ( j + 1 )
       ) ) -cn-> CC ) ) ) $=
      ( vy cv cc0 cfzo co wcel wa cfv c1 caddc cioo cres climc cc ccncf csb cif
      wceq cmin cdiv c2 csin cmul wss cr adantr cn clt wbr cicc cneg simpr biid
      cpi fourierdlem50 simpld id simprd jca31 nfv nfcsb1v nfcv nfif nfov nfel1
      nfan nfim eleq1 anbi2d fveq2 fveq2d oveq12d sseq2d anbi12d eqeq2d csbeq1a
      wi ifbieq1d oveq1d eleq1d anbi1d imbi12d eqid fourierdlem76 vtoclg1f sylc
      oveq1 eqeltrid ) ANVIZVJTVKVLVMZVNZEUAYPIVOZYPVPVQVLIVOZVRVLZVSZYTVTVLZVM
      PUUBYSVTVLZVMUUBUUAWAWBVLVMZYREYTKVPVQVLZGVOZWEZMKRWCZUCYTVQVLQVOZWDZDWFV
      LZYTWGVLZYTWHYTWHWGVLWIVOWJVLWGVLZWJVLZUUCVEYRUUOUUCVMZYSKGVOZWEZMKHWCZUC
      YSVQVLQVOZWDZDWFVLZYSWGVLZYSWHYSWHWGVLWIVOWJVLWGVLZWJVLZUUDVMZYRUUPUVFVNZ
      UUEYRKVJSVKVLZVMZYRUVIVNZUUAUUQUUGVRVLZWKZVNZUVGUUEVNZYRUVIUVLYRYRMVIZUVH
      VMZVNZUUAUVOGVOZUVOVPVQVLZGVOZVRVLZWKZVNZVHVIZUVHVMVNUUAUWDGVOUWDVPVQVLGV
      OVRVLWKVNZBCFGIJKLMVHOYPSTUBUCUEAUCWLVMYQUGWMUHASWNVMYQUIWMAUBSFVOVMYQUJW
      MABWLVMYQUNWMACWLVMYQUOWMABCWOWPYQUPWMABCWQVLXAWRXAWQVLWKYQUQWMVAVBVCVDAY
      QWSVGUWEWTXBZXCZYRYRUVIUVLYRXDUWGYRUVIUVLUWFXEXFUWCYTUVTWEZRUUJWDZDWFVLZY
      TWGVLZUUNWJVLZUUCVMZYSUVRWEZHUUTWDZDWFVLZYSWGVLZUVDWJVLZUUDVMZVNZUUEVNZYD
      UVMUVNYDMKUVHUVMUVNMUVMMXGUVGUUEMUUPUVFMMUUOUUCMUUMUUNWJMUULYTWGMUUKDWFUU
      HMUUIUUJUUHMXGMKRXHMUUJXIXJMWFXIZMDXIZXKMWGXIZMYTXIXKMWJXIZMUUNXIXKXLMUVE
      UUDMUVCUVDWJMUVBYSWGMUVADWFUURMUUSUUTUURMXGMKHXHMUUTXIXJUXBUXCXKUXDMYSXIX
      KUXEMUVDXIXKXLXMUUEMXGXMXNUVOKWEZUWCUVMUXAUVNUXFUVQUVJUWBUVLUXFUVPUVIYRUV
      OKUVHXOXPUXFUWAUVKUUAUXFUVRUUQUVTUUGVRUVOKGXQZUXFUVSUUFGUVOKVPVQYNXRZXSXT
      YAUXFUWTUVGUUEUXFUWMUUPUWSUVFUXFUWLUUOUUCUXFUWKUUMUUNWJUXFUWJUULYTWGUXFUW
      IUUKDWFUXFUWHUUHRUUIUUJUXFUVTUUGYTUXHYBMKRYCYEYFYFYFYGUXFUWRUVEUUDUXFUWQU
      VCUVDWJUXFUWPUVBYSWGUXFUWOUVADWFUXFUWNUURHUUSUUTUXFUVRUUQYSUXGYBMKHYCYEYF
      YFYFYGYAYHYIAUWCBCDUWLFGHIJLMNOUWRQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQU
      RUSUTVAVBVCVDUWLYJUWRYJUWCWTYKYLYMZXCZXCYOYRPUVEUUDVFYRUUPUVFUXJXEYOYRUVG
      UUEUXIXEXF $.
  $}

  ${
    $d D d n u $.  $d G a d s u $.  $d K a s $.  $d U a n $.  $d U k n $.
    $d U a x $.  $d a d e n u $.  $d a d n ph s u $.  $d ch s $.  $d e k n u $.
    $d k n s u $.  $d ph s x $.
    fourierdlem87.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem87.x $e |- ( ph -> X e. RR ) $.
    fourierdlem87.y $e |- ( ph -> Y e. RR ) $.
    fourierdlem87.w $e |- ( ph -> W e. RR ) $.
    fourierdlem87.h $e |- H = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 0 , (
       ( ( F ` ( X + s ) ) - if ( 0 < s , Y , W ) ) / s ) ) ) $.
    fourierdlem87.k $e |- K = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 1 , (
       s / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) ) $.
    fourierdlem87.u $e |- U = ( s e. ( -u _pi [,] _pi ) |-> ( ( H ` s ) x. ( K
       ` s ) ) ) $.
    fourierdlem87.s $e |- S = ( s e. ( -u _pi [,] _pi ) |-> ( sin ` ( ( n + ( 1
       / 2 ) ) x. s ) ) ) $.
    fourierdlem87.g $e |- G = ( s e. ( -u _pi [,] _pi ) |-> ( ( U ` s ) x. ( S
       ` s ) ) ) $.
    fourierdlem87.10 $e |- ( ph -> E. x e. RR A. s e. ( -u _pi [,] _pi ) ( abs
       ` ( H ` s ) ) <_ x ) $.
    fourierdlem87.gibl $e |- ( ( ph /\ n e. NN ) -> G e. L^1 ) $.
    fourierdlem87.d $e |- D = ( ( e / 3 ) / a ) $.
    fourierdlem87.ch $e |- ( ch <-> ( ( ( ( ( ph /\ e e. RR+ ) /\ a e. RR+ /\
       A. n e. NN A. s e. ( -u _pi [,] _pi ) ( abs ` ( G ` s ) ) <_ a ) /\ u e.
       dom vol ) /\ ( u C_ ( -u _pi [,] _pi ) /\ ( vol ` u ) <_ D ) ) /\ n e.
       NN ) ) $.
    $( The integral of ` G ` goes uniformly ( with respect to ` n ` ) to zero
       if the measure of the domain of integration goes to zero.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem87 $p |- ( ( ph /\ e e. RR+ ) -> E. d e. RR+ A. u e. dom vol ( (
       u C_ ( -u _pi [,] _pi ) /\ ( vol ` u ) <_ d ) -> A. k e. NN ( abs ` S. u
       ( ( U ` s ) x. ( sin ` ( ( k + ( 1 / 2 ) ) x. s ) ) ) _d s ) < ( e / 2 )
       ) ) $=
      ( cv crp wcel wa cpi cneg cicc co wss cvol cfv cle wbr citg cabs cdiv clt
      c2 cn wral wi cdm wrex c1 caddc cmul csin fourierdlem77 nfv nfra1 simp-4l
      nfan simp-4r simplr jca31 simpr simpllr rspa wceq fourierdlem55 ffvelrnda
      syl2anc cr wf syl ffvelrnd remulcld fvmpt2 a1i adantr mp2an adantl oveq2d
      pire adantll eqtrd fveq2d recnd adantllr abscld lemul2ad eqbrtrd syl21anc
      ex ralrimi ralrimiva mpd c3 rpdivcld eqeltrid ad2antrr sylbi cmpt itgrecl
      3rp cibl rpred cxr cmnf cc0 cpnf syl3anc redivcld lelttrd itgeq2dv breq1d
      wb adantlr fourierdlem5 ad2antlr readdcld renegcli iccssre sseli resincld
      nnre absmuld rpre ad4antlr 1red absge0d abssinbd mulid1d breqtrd reximdva
      halfre letrd w3a id 3adant3 simpl1l fourierdlem67 simplrl feqmptd simprbi
      nf3an sselda eqeltrrd iblss itgcl iblabs simpl1r rehalfcld itgabs iccssxr
      simpl2 cc volf sselid iccvolcl mnfxr mnflt0 volge0 xrltletrd iccmbl volss
      0xr xrre syl22anc rpcnd iblconstmpt simpl3 itgle itgconst 3re 3ne0 rpne0d
      wne rpge0d simplrr oveq2i divcan2d syl5eq 2rp 2lt3 ltdiv2dd sylbir anbi2d
      breq2 rspceaimv rexlimdv3a simplll sseldd ralbidva oveq1d cbvralvw bitrdi
      oveq1 adantrr pm5.74da rexralbidv mpbid ) AHUNZUOUPZUQZDUNZURUSZURUTVAZVB
      ZUYIVCVDZTUNZVEVFZUQZRUYIRUNZLVDZVGZVHVDZUYFVKVIVAZVJVFZJVLVMZVNZDVCVOZVM
      TUOVPZUYPRUYIUYQGVDZIUNZVQVKVIVAZVRVAZUYQVSVAZVTVDZVSVAZVGZVHVDZVUAVJVFZI
      VLVMZVNZDVUEVMTUOVPZUYHUYRVHVDZSUNZVEVFZRUYKVMZJVLVMZSUOVPZVUFAVVEUYGAVUG
      VHVDZVVAVEVFZRUYKVMZSUOVPVVEAGKMNOPQRCSUAUBUCUDUEUFUGUJWAAVVHVVDSUOAVVAUO
      UPZUQZVVHVVDVVJVVHUQZVVCJVLVVKJUNZVLUPZUQZVVBRUYKVVKVVMRVVJVVHRVVJRWBVVGR
      UYKWCWEVVMRWBWEVVNUYQUYKUPZVVBVVNVVOUQZVVJVVMUQZVVOVVGVVBVVPAVVIVVMAVVIVV
      HVVMVVOWDAVVIVVHVVMVVOWFVVKVVMVVOWGWHVVNVVOWIZVVPVVHVVOVVGVVJVVHVVMVVOWJV
      VRVVGRUYKWKWOVVQVVOUQZVVGUQZVUTVVFVVLVUIVRVAZUYQVSVAZVTVDZVHVDZVSVAZVVAVE
      VVSVUTVWEWLZVVGAVVMVVOVWFVVIAVVMUQZVVOUQZVUTVUGVWCVSVAZVHVDVWEVWHUYRVWIVH
      VWHUYRVUGUYQFVDZVSVAZVWIVWHVVOVWKWPUPUYRVWKWLVWGVVOWIZVWHVUGVWJAVVOVUGWPU
      PVVMAUYKWPUYQGAGKMNOPQRUAUBUCUDUEUFUGWMWNUUAZVWHUYKWPUYQFVVMUYKWPFWQZAVVO
      VVMVVLWPUPZVWNVVLUUIZRFVVLUHUUBWRUUCVWLWSWTRUYKVWKWPLUIXAWOVVMVVOVWKVWIWL
      AVVMVVOUQZVWJVWCVUGVSVWQVVOVWCWPUPZVWJVWCWLVVMVVOWIVWQVWBVWQVWAUYQVVMVWAW
      PUPVVOVVMVVLVUIVWPVUIWPUPVVMUUSXBUUDXCVVOUYQWPUPVVMUYKWPUYQUYJWPUPZURWPUP
      ZUYKWPVBURXGUUEZXGUYJURUUFXDUUGXEWTZUUHZRUYKVWCWPFUHXAWOXFXHXIZXJVWHVUGVW
      CVWHVUGVWMXKZVWHVWCVVMVVOVWRAVXCXHXKZUUJXIXLXCVVTVWEVVFVVAVVSVWEWPUPZVVGA
      VVMVVOVXGVVIVWHVVFVWDVWHVUGVXEXMZVWHVWCVXFXMZWTXLXCVVSVVFWPUPZVVGAVVMVVOV
      XJVVIVXHXLXCVVIVVAWPUPZAVVMVVOVVGVVAUUKUULVVSVWEVVFVEVFZVVGAVVMVVOVXLVVIV
      WHVWEVVFVQVSVAVVFVEVWHVWDVQVVFVXIVWHUUMVXHVWHVUGVXEUUNVWHVWBWPUPZVWDVQVEV
      FVVMVVOVXMAVXBXHVWBUUOWRXNVWHVVFVWHVVFVXHXKUUPUUQXLXCVVSVVGWIUUTXOXPXQXRX
      SXQUURXTXCUYHVVDVUFSUOUYHVVIVVDUVAZEUOUPZUYLUYMEVEVFZUQZVUCVNZDVUEVMVUFUY
      HVVIVXOVVDUYGVVIVXOAUYGVVIUQZEUYFYAVIVAZVVAVIVAZUOULVXSVXTVVAUYGVXTUOUPVV
      IUYGUYFYAUYGUVBYAUOUPZUYGYHXBYBXCUYGVVIWIYBYCXHUVCVXNVXRDVUEVXNUYIVUEUPZU
      QZVXQVUCVYDVXQUQZVUBJVLVYDVXQJVXNVYCJUYHVVIVVDJUYHJWBVVIJWBVVCJVLWCUVIVYC
      JWBWEVXQJWBWEVYEVVMVUBVYEVVMUQZBVUBUMBUYTRUYIVUTVGZVUABUYSBRUYIUYRWPBUYQU
      YIUPZUQZUYKWPUYQLBUYKWPLWQVYHBFGKLMNVVLOPQRBAWPWPKWQBVYFAUMVYDAVXQVVMAUYG
      VVIVVDVYCUVDYDYEZUAWRBAPWPUPVYJUBWRBAQWPUPVYJUCWRBAOWPUPVYJUDWRUEUFUGBVYF
      VWOUMVVMVWOVYEVWPXEYEUHUIUVEZXCBUYIUYKUYQBVYFUYLUMVYDUYLVXPVVMUVFYEZUVJZW
      SZBRUYIUYKUYRWPVYLBVYFVYCUMVXNVYCVXQVVMWJYEZBUYKWPUYQLVYKWNBLRUYKUYRYFYIB
      RUYKWPLVYKUVGBAVVMLYIUPVYJBVYEVVMUMUVHZUKWOUVKUVLZUVMXMBRUYIVUTVYIUYRVYIU
      YRVYNXKXMZBRUYIUYRWPVYNVYQUVNZYGZBUYFBUYFBVYFUYGUMVYDUYGVXQVVMAUYGVVIVVDV
      YCUVOYDYEZYJZUVPZBRUYIUYRWPVYNVYQUVQBVYGRUYIVVAVGZVUAVYTBRUYIVVABVXKVYHBV
      VABVYFVVIUMVYDVVIVXQVVMUYHVVIVVDVYCUVSYDYEZYJZXCZBVYCUYMWPUPZVVAUVTUPZRUY
      IVVAYFYIUPVYOBUYMYKUPUYKVCVDZWPUPZYLUYMVJVFUYMWUJVEVFZWUHBYMYNUTVAZYKUYMY
      MYNUVRBVUEWUMUYIVCVUEWUMVCWQBUWAXBVYOWSUWBZWUKBVWSVWTWUKVXAXGUYJURUWCXDXB
      BYLYMUYMYLYKUPBUWDXBYMYKUPBUWJXBWUNYLYMVJVFBUWEXBBVYCYMUYMVEVFVYOUYIUWFWR
      UWGBVYCUYKVUEUPZUYLWULVYOWUOBVWSVWTWUOVXAXGUYJURUWHXDXBVYLUYIUYKUWIYOUYMW
      UJUWKUWLZBVVAWUEUWMZRUYIVVAUWNYOZYGWUCBRUYIVUTVVAVYSWURVYRWUGVYIVVCVVOVVB
      BVVCVYHBVVDVVMVVCBVYFVVDUMVYDVVDVXQVVMUYHVVIVVDVYCUWOYDYEVYPVVCJVLWKWOXCV
      YMVVBRUYKWKWOUWPBWUDVVAUYMVSVAZVUAVJBVYCWUHWUIWUDWUSWLVYOWUPWUQRUYIVVAUWQ
      YOBWUSVVAEVSVAZVUABVVAUYMWUFWUPWTBVVAEWUFBEVYAWPULBVXTVVABUYFYAWUBYAWPUPB
      UWRXBYAYMUXABUWSXBYPZWUFBVVAWUEUWTZYPYCZWTWUCBUYMEVVAWUPWVCWUFBVVAWUEUXBB
      VYFVXPUMVYDUYLVXPVVMUXCYEXNBWUTVXTVUAVJBWUTVVAVYAVSVAVXTEVYAVVAVSULUXDBVX
      TVVABVXTWVAXKWUQWVBUXEUXFBVKYAUYFVKUOUPBUXGXBVYBBYHXBWUAVKYAVJVFBUXHXBUXI
      XOYQXOYQYQUXJXQXRXQXSUYPVXQVUCTDEUOVUEUYNEWLUYOVXPUYLUYNEUYMVEUXLUXKUXMWO
      UXNXTAVUFVUSYTUYGAVUDVURTDUOVUEAUYPVUCVUQAUYLVUCVUQYTUYOAUYLUQZVUCRUYIVWI
      VGZVHVDZVUAVJVFZJVLVMVUQWVDVUBWVGJVLWVDVVMUQZUYTWVFVUAVJWVHUYSWVEVHWVHRUY
      IUYRVWIWVHVYHUQZAVVMVVOUYRVWIWLAUYLVVMVYHUXOWVDVVMVYHWGWVIUYIUYKUYQAUYLVV
      MVYHWJWVHVYHWIUXPVXDXPYRXJYSUXQWVGVUPJIVLVVLVUHWLZWVFVUOVUAVJWVJWVEVUNVHW
      VJRUYIVWIVUMWVJVWIVUMWLVYHWVJVWCVULVUGVSWVJVWBVUKVTWVJVWAVUJUYQVSVVLVUHVU
      IVRUYAUXRXJXFXCYRXJYSUXSUXTUYBUYCUYDXCUYE $.
  $}

  ${
    $d C s $.  $d D s $.  $d F s $.  $d G i s $.  $d H s $.  $d K s $.
    $d L s $.  $d M i j $.  $d M i m p $.  $d M i s $.  $d N s $.  $d Q i p $.
    $d Q i s $.  $d R s $.  $d S s $.  $d V i j $.  $d V i p $.  $d V i s $.
    $d W s $.  $d X i j $.  $d X i m p $.  $d X i s $.  $d Y s $.  $d i j ph $.
    $d ph s $.
    fourierdlem88.1 $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( -u _pi + X ) /\ ( p ` m ) = ( _pi + X ) ) /\ A. i e. ( 0
       ..^ m ) ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem88.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem88.x $e |- ( ph -> X e. ran V ) $.
    fourierdlem88.y $e |- ( ph -> Y e. ( ( F |` ( X (,) +oo ) ) limCC X ) ) $.
    fourierdlem88.w $e |- ( ph -> W e. ( ( F |` ( -oo (,) X ) ) limCC X ) ) $.
    fourierdlem88.h $e |- H = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 0 , (
       ( ( F ` ( X + s ) ) - if ( 0 < s , Y , W ) ) / s ) ) ) $.
    fourierdlem88.k $e |- K = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 1 , (
       s / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) ) $.
    fourierdlem88.u $e |- U = ( s e. ( -u _pi [,] _pi ) |-> ( ( H ` s ) x. ( K
       ` s ) ) ) $.
    fourierdlem88.n $e |- ( ph -> N e. RR ) $.
    fourierdlem88.s $e |- S = ( s e. ( -u _pi [,] _pi ) |-> ( sin ` ( ( N + ( 1
       / 2 ) ) x. s ) ) ) $.
    fourierdlem88.g $e |- G = ( s e. ( -u _pi [,] _pi ) |-> ( ( U ` s ) x. ( S
       ` s ) ) ) $.
    fourierdlem88.m $e |- ( ph -> M e. NN ) $.
    fourierdlem88.v $e |- ( ph -> V e. ( P ` M ) ) $.
    fourierdlem88.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( V ` i )
       (,) ( V ` ( i + 1 ) ) ) ) e. ( ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem88.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( V `
       i ) (,) ( V ` ( i + 1 ) ) ) ) limCC ( V ` i ) ) ) $.
    fourierdlem88.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( V `
       i ) (,) ( V ` ( i + 1 ) ) ) ) limCC ( V ` ( i + 1 ) ) ) ) $.
    fourierdlem88.q $e |- Q = ( i e. ( 0 ... M ) |-> ( ( V ` i ) - X ) ) $.
    fourierdlem88.o $e |- O = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = -u _pi /\ ( p ` m ) = _pi ) /\ A. i e. ( 0 ..^ m ) ( p ` i )
       < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem88.i $e |- I = ( RR _D F ) $.
    fourierdlem88.ifn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( I |` ( ( V ` i )
       (,) ( V ` ( i + 1 ) ) ) ) : ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) --> RR )
       $.
    fourierdlem88.c $e |- ( ph -> C e. ( ( I |` ( -oo (,) X ) ) limCC X ) ) $.
    fourierdlem88.d $e |- ( ph -> D e. ( ( I |` ( X (,) +oo ) ) limCC X ) ) $.
    $( Given a piecewise continuous function ` F ` , a continuous function
       ` K ` and a continuous function ` S ` , the function ` G ` is
       integrable.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem88 $p |- ( ph -> G e. L^1 ) $=
      ( vj cpi cneg cv cfv wceq clt wbr cmin co cdiv cmul c1 caddc cr wcel pire
      cif a1i renegcld crn cc0 cfz cmap wf wss wa cfzo sseldd cicc cc cpnf cioo
      syl cres ioossre fssresd ax-resscn sstrdi eqid cxr limcrecl cmnf remulcld
      ffvelrnda recnd fmptd ccncf adantr fourierdlem15 adantl ffvelrnd readdcld
      fvmpt2 syl2anc oveq1d npcand eqtrd cmpt simpr mtbird eqeltrd sselid climc
      resubcld rexri fourierdlem8 feqresmpt eleqtrd limcresi cnlimci mpteq2dva
      mullimc wral cn fourierdlem2 mpbid simpld elmapi frn fourierdlem14 ccnfld
      wb 3syl ctopn pnfxr ltpnfd lptioo1cn mnfxr mnfltd lptioo2cn fourierdlem55
      fourierdlem5 mp2an elfzofz fzofzp1 fourierdlem12 addid2d iccssred cbvmptv
      ssid cncfss fveq2 eqtri fveq2d oveq12d eleq12d eliooshift reseq2d 3eltr4d
      fvmptd fourierdlem78 renegcli simplr ioossicc sseli fourierdlem9 ad2antrr
      0red fourierdlem43 fourierdlem18 cncff fourierdlem75 sstrid fourierdlem62
      fssd eqcomd eqtr2d fourierdlem74 fourierdlem69 ) AVIVJZVISEIVKZTVLZUBVMCF
      UWTUBVNVOUAUCWEVPVQUWSEVLZVRVQWEZUXAOVLZVSVQZUXAGVLZVSVQZIJLUWSVTWAVQZTVL
      ZUBVMBPUXHUBVNVOUAUCWEVPVQUXGEVLZVRVQWEZUXIOVLZVSVQZUXIGVLZVSVQZQUEVCUQAU
      WRVIDEIJQSTUBUEAVIVIWBWCZAWDWFZWGUXPATWHZWBUBATWBWIQWJVQZWKVQWCZUXRWBTWLU
      XQWBWMAUXSWITVLUWRUBWAVQZVMQTVLVIUBWAVQZVMWNUWTUXHVNVOIWIQWOVQZUUAWNZATQD
      VLWCZUXSUYCWNZURAQUUBWCUYDUYEUUJUQUXTUYADTIJQUEUFUUCXAUUDUUETWBUXRUUFUXRW
      BTUUGUUKUHWPZUFVCUQURVBUUHZAUDUWRVIWQVQZUDVKZHVLZUYIGVLZVSVQZWRLAUYIUYHWC
      ZWNZUYLUYNUYJUYKAUYHWBUYIHAHKMOUAUBUCUDUGUYFAUBWSWTVQZUBKUYOXBUCAWBWBUYOK
      UGUYOWBWMAUBWSXCWFZXDAUYOWBWRUYPXEXFAUBWSUUIUULVLZUYQXGZWSXHWCAUUMWFUYFAU
      BUYFUUNUUOUIXIZAXJUBWTVQZUBKUYTXBUAAWBWBUYTKUGUYTWBWMAXJUBXCWFZXDAUYTWBWR
      VUAXEXFAXJUBUYQUYRXJXHWCAUUPWFUYFAUBUYFUUQUURUJXIZUKULUMUUSXLAUYHWBUYIGAR
      WBWCZUYHWBGWLZUNUDGRUOUUTXAXLXKZXMUPXNAUWSUYBWCZWNZUXAUXIWTVQZWBXOVQZVUHW
      RXOVQZLVUHXBZWBWRWMZWRWRWMVUIVUJWMXEWRUVHVUHWBWRUVIUVAVUGUXAUXIGHKLMORUAU
      BUCUDAWBWBKWLVUFUGXPVUGUXRUYHUWSEAUXRUYHEWLZVUFAUWRVISEIJQUEVCUQUYGXQXPZV
      UFUWSUXRWCZAUWSWIQUVBXRZXSZVUGUXRUYHUXGEVUNVUFUXGUXRWCAWIQUWSUVCXRZXSZAUB
      WBWCVUFUYFXPZVUGWIVUHWCWIUBWAVQZUXAUBWAVQZUXIUBWAVQZWTVQZWCZVUGVVEUBUWTUX
      HWTVQZWCAUXTUYADTIJQUBUEUFUQURUHUVDVUGVVAUBVVDVVFVUGUBVUGUBVUTXMZUVEVUGVV
      BUWTVVCUXHWTVUGVVBUWTUBVPVQZUBWAVQUWTVUGUXAVVHUBWAVUGVUOVVHWBWCUXAVVHVMVU
      PVUGUWTUBVUGUXTUYAWQVQZWBUWTVUGUXTUYAVUGUWRUBVUGVIUXOVUGWDWFZWGVUTXTVUGVI
      UBVVJVUTXTUVFZVUGUXRVVIUWSTAUXRVVITWLVUFAUXTUYADTIJQUEUFUQURXQXPZVUPXSWPZ
      VUTYLZIUXRVVHWBEVBYAYBZYCVUGUWTUBVUGUWTVVMXMVVGYDYEVUGVVCUXHUBVPVQZUBWAVQ
      UXHVUGUXIVVPUBWAVUGVHUXGVHVKZTVLZUBVPVQZVVPUXREWBEVHUXRVVSYFZVMVUGEIUXRVV
      HYFVVTVBIVHUXRVVHVVSUWSVVQVMUWTVVRUBVPUWSVVQTUVJYCUVGUVKWFVUGVVQUXGVMZWNZ
      VVRUXHUBVPVWBVVQUXGTVUGVWAYGUVLYCVURVUGUXHUBVUGVVIWBUXHVVKVUGUXRVVIUXGTVV
      LVURXSWPZVUTYLZUVRZYCVUGUXHUBVUGUXHVWCXMVVGYDYEUVMZUVNYHVUGWIUXAUXIUBVUGU
      WFVUGUXAVVHWBVVOVVNYIVUGUXIVVPWBVWEVWDYIVUTUVOYHVUGKVVFXBVVFWRXOVQKVVDXBV
      VDWRXOVQUSVUGVVDVVFKVWFUVPVUGVVDVVFWRXOVWFYCUVQAUCWBWCVUFUYSXPAUAWBWCVUFV
      UBXPUKULUMAVUCVUFUNXPUOUPUVSYJVUGUXFUDVUHUYLYFZUXAYKVQVUKUXAYKVQVUGUDVUHU
      YJUYKUXAUDVUHUYJYFZUDVUHUYKYFZVWGUXDUXEVWHXGZVWIXGZVWGXGZVUGUYIVUHWCZWNZU
      YJVWNUYJUYIMVLZUYIOVLZVSVQZWBVWNUYMVWQWBWCUYJVWQVMVWNUXAUXIWQVQZUYHUYIVWN
      UWRVIEUWSQUWRXHWCZVWNUWRVIWDUVTYMZWFVIXHWCZVWNVIWDYMZWFVUGVUMVWMVUNXPAVUF
      VWMUWAYNVWMUYIVWRWCVUGVUHVWRUYIUXAUXIUWBZUWCXRWPZVWNVWOVWPVWNUYHWBUYIMAUY
      HWBMWLZVUFVWMAKMUAUBUCUDUGUYFUYSVUBUKUWDZUWEVXDXSZVWNUYHWBUYIOUYHWBOWLZVW
      NOUDULUWGZWFVXDXSZXKZUDUYHVWQWBHUMYAYBZVXKYIZXMZVWNUYKVWNUYHWBUYIGVUGVUDV
      WMAVUDVUFAGUYHWBXOVQZWCZVUDAGRUDUNUOUWHZUYHWBGUWIXAXPZXPVXDXSZXMZVUGUXDUD
      VUHVWQYFZUXAYKVQVWHUXAYKVQVUGUDVUHVWOVWPUXAUDVUHVWOYFZUDVUHVWPYFZVYAUXBUX
      CVYBXGZVYCXGZVYAXGZVWNVWOVXGXMZVWNVWPVXJXMZVUGUXBMVUHXBZUXAYKVQVYBUXAYKVQ
      AUXBDEFIJCKNMQSTUAUBUCUDUEUYFUFUGUHUIVUBUKUQURUTVBVCVDVUGVVFWBWRNVVFXBVEV
      ULVUGXEWFUWMVGUXBXGUWJVUGVYIVYBUXAYKVUGUDUYHWBVUHMAVXEVUFVXFXPVUGVUHVWRUY
      HVXCVUGUWRVIEUWSQVWSVUGVWTWFVXAVUGVXBWFVUNAVUFYGYNUWKZYOZYCYPVUGUXCOVUHXB
      ZUXAYKVQZVYCUXAYKVQVUGOUXAYKVQVYMUXCUXAVUHOYQVUGUYHUXAWBOOVXOWCVUGUDOULUW
      LWFZVUQYRYJVUGVYLVYCUXAYKVUGUDUYHWBVUHOVXHVUGVXIWFVYJYOZYCYPYTVUGVYAVWHUX
      AYKVUGUDVUHVWQUYJVWNUYJVWQVXLUWNYSZYCYPVUGUXEGVUHXBZUXAYKVQZVWIUXAYKVQVUG
      GUXAYKVQVYRUXEUXAVUHGYQVUGUYHUXAWBGAVXPVUFVXQXPZVUQYRYJVUGVYQVWIUXAYKVUGU
      DUYHWBVUHGVXRVYJYOZYCYPYTVUGVWGVUKUXAYKVUGVUKUDVUHUYILVLZYFVWGVUGUDUYHWBV
      UHLAUYHWBLWLVUFAUDUYHUYLWBLVUEUPXNXPVYJYOVUGUDVUHWUAUYLVWNUYMUYLWBWCWUAUY
      LVMVXDVWNUYJUYKVXMVXSXKUDUYHUYLWBLUPYAYBYSUWOZYCYPVUGUXNVWGUXIYKVQVUKUXIY
      KVQVUGUDVUHUYJUYKUXIVWHVWIVWGUXLUXMVWJVWKVWLVXNVXTVUGUXLVYAUXIYKVQVWHUXIY
      KVQVUGUDVUHVWOVWPUXIVYBVYCVYAUXJUXKVYDVYEVYFVYGVYHVUGUXJVYIUXIYKVQVYBUXIY
      KVQAUXJDEPIJBKNMQSTUAUBUCUDUEUYFUFUGUHUYSUJUKUQURVAVBVCVDVEVFUXJXGUWPVUGV
      YIVYBUXIYKVYKYCYPVUGUXKVYLUXIYKVQZVYCUXIYKVQVUGOUXIYKVQWUCUXKUXIVUHOYQVUG
      UYHUXIWBOVYNVUSYRYJVUGVYLVYCUXIYKVYOYCYPYTVUGVYAVWHUXIYKVYPYCYPVUGUXMVYQU
      XIYKVQZVWIUXIYKVQVUGGUXIYKVQWUDUXMUXIVUHGYQVUGUYHUXIWBGVYSVUSYRYJVUGVYQVW
      IUXIYKVYTYCYPYTVUGVWGVUKUXIYKWUBYCYPUWQ $.
  $}

  ${
    $d A f j k y $.  $d A i j k x y $.  $d A i m p $.  $d B f k y $.
    $d B i k x y $.  $d B i m p $.  $d C f y $.  $d C i m p $.  $d C i x y $.
    $d D f y $.  $d D i m p $.  $d D i x y $.  $d E f j k y $.
    $d E i j k x y $.  $d F i x y $.  $d I f j k y $.  $d I i j k x y $.
    $d J i j x y $.  $d M i j x $.  $d M i m p $.  $d N f j k y $.
    $d N i j k x y $.  $d N i m p $.  $d Q f j k y $.  $d Q i j k x y $.
    $d Q i p $.  $d S f j k y $.  $d S i j k x y $.  $d S i p $.  $d T f k y $.
    $d T i k x y $.  $d U x y $.  $d V x y $.  $d Z i j x y $.
    $d f j k ph y $.  $d i j k ph x y $.
    fourierdlem89.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem89.t $e |- T = ( B - A ) $.
    fourierdlem89.m $e |- ( ph -> M e. NN ) $.
    fourierdlem89.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem89.f $e |- ( ph -> F : RR --> CC ) $.
    fourierdlem89.per $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x
       ) ) $.
    fourierdlem89.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem89.limc $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( (
       Q ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem89.c $e |- ( ph -> C e. RR ) $.
    fourierdlem89.d $e |- ( ph -> D e. ( C (,) +oo ) ) $.
    fourierdlem89.o $e |- O = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = C /\ ( p ` m ) = D ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem89.12 $e |- H = ( { C , D } u. { y e. ( C [,] D ) | E. k e. ZZ (
       y + ( k x. T ) ) e. ran Q } ) $.
    fourierdlem89.n $e |- N = ( ( # ` H ) - 1 ) $.
    fourierdlem89.s $e |- S = ( iota f f Isom < , < ( ( 0 ... N ) , H ) ) $.
    fourierdlem89.e $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( B - x ) / T ) )
       x. T ) ) ) $.
    fourierdlem89.z $e |- Z = ( y e. ( A (,] B ) |-> if ( y = B , A , y ) ) $.
    fourierdlem89.j $e |- ( ph -> J e. ( 0 ..^ N ) ) $.
    fourierdlem89.u $e |- U = ( ( S ` ( J + 1 ) ) - ( E ` ( S ` ( J + 1 ) ) ) )
       $.
    fourierdlem89.20 $e |- I = ( x e. RR |-> sup ( { i e. ( 0 ..^ M ) | ( Q ` i
       ) <_ ( Z ` ( E ` x ) ) } , RR , < ) ) $.
    fourierdlem89.21 $e |- V = ( i e. ( 0 ..^ M ) |-> R ) $.
    $( Given a piecewise continuous function and changing the interval and the
       partition, the limit at the lower bound of each interval of the moved
       partition is still finite.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem89 $p |- ( ph -> if ( ( Z ` ( E ` ( S ` J ) ) ) = ( Q ` ( I ` (
       S ` J ) ) ) , ( V ` ( I ` ( S ` J ) ) ) , ( F ` ( Z ` ( E ` ( S ` J ) )
       ) ) ) e. ( ( F |` ( ( S ` J ) (,) ( S ` ( J + 1 ) ) ) ) limCC ( S ` J )
       ) ) $=
      ( vj cfv wceq cif c1 caddc co cioo cres climc wa wcel cxr cc0 cfz cr cmap
      wf cv clt wbr wral wb syl mpbid simpld cle crab wi cmul cz wrex wiso cpnf
      simprd oveq1 chash cmin oveq1i eqtri cio ffvelrnd rexrd adantr sseldd wss
      syl2anc fveq2 fveq2d posdifd oveq12d imbi12d oveq2i eqid vtoclg sylc cdiv
      mpbird oveq1d eqcomd cc a1i resubcld recnd oveq2d cfl eqtrd eqeltrd ccncf
      cneg eleqtrd 3eqtrd wn cfzo fourierdlem2 elmapi fzossfz fourierdlem37 cpr
      csup crn cicc cun elioore w3a elioo4g sylib eleq1d rexbidv cbvrabv uneq2i
      cn fveq2i isoeq5 ax-mp iotabii fourierdlem54 elfzofz sselid fourierdlem11
      fzofzp1 simp1d simp2d iccssred fourierdlem17 fourierdlem4 iocssre simprrd
      cioc simp3d breq12d rspccva ancli eleq1 anbi2d eqeq12d eleq1i rgenw rabbi
      rexbii mpbi fourierdlem65 breqtrrd id sseq12d fourierdlem79 fourierdlem10
      anabsi7 wne neqne adantl leneltd ltletrd eliood fvres ifeq2da cdm ioosscn
      fdm feq2d ioossre sseqtrrid eqeltrid iooshift eqsstrrd breqtrrdi divcan1d
      c2 gt0ne0d negsubdi2d cmpt oveq2 redivcld remulcld readdcld fvmptd mulcld
      flcld zred pncan2d divnegd 3eqtr4d divcan4d znegcld adantlr sylan2 ccnfld
      simpr fperiodmul ctopn cico crest reseq2d eleq12d nfmpt1 nfcxfr nfcv nffv
      nfv nfel1 nfim biimpar 3adant2 cvv elex 3syl fvmpt2 3ad2ant1 3eltr4d 3exp
      impbid vtoclg1f fourierdlem32 resabs1d limcperiod ax-resscn fourierdlem15
      2a1i sstrdi subcld subsub23d addsub12d sub32d subidd df-neg syl5eq eqtr3d
      eqtr3id pncan3d ) AUBKVJZRVJZUGVJZVVRUAVJZIVJZVKZVWAUFVJZVVTSVJZVLVWCVWDV
      VTSVWBVWAVMVNVOZIVJZVPVOZVQZVJZVLZSVVRUBVMVNVOZKVJZVPVOZVQZVVRVRVOZAVWCVW
      EVWJVWDAVWCUUAZVSZVWJVWEVWRVVTVWHVTVWJVWEVKVWRVWBVWGVVTAVWBWAVTVWQAVWBAWB
      UCWCVOZWDVWAIAIWDVWSWEVOVTZVWSWDIWFAVWTWBIVJDVKUCIVJEVKVSZOWGZIVJZVXBVMVN
      VOZIVJZWHWIZOWBUCUUBVOZWJZVSZAIUCHVJVTZVWTVXIVSZULAUCUUTVTVXJVXKWKUKDEHIO
      QUCUHUIUUCWLWMZWNIWDVWSUUDWLZAVXGVWSVWAWBUCUUEAWDVXGVVRUAAWDVXGUAWFBWGZWD
      VTZVXCVXNRVJUGVJWOWIOVXGWPZWDWHUUHVXPVTWQABCDEHILOQRUAUGUCUHUIUKULUJVCVDV
      GUUFWNAWBUDWCVOZWDUBKAKWDVXQWEVOVTZVXQWDKWFAVXRWBKVJFVKUDKVJGVKVSZVXBKVJZ
      VXDKVJZWHWIZOWBUDUUBVOZWJZVSZAKUDUEVJVTZVXRVYEVSZAUDUUTVTZVYFAVYHVYFVSVXQ
      FGUUGZCWGZPWGZLWRVOZVNVOZIUUIZVTZPWSWTZCFGUUJVOZWPZUUKZWHWHKXAABDEFGHIKLN
      OPQVYSUCUDUEUHUJUIUKULUQAGFXBVPVOVTZGWDVTZURGFXBUULWLZAFGWHWIZGXBWHWIZAFW
      AVTXBWAVTWUAUUMZWUCWUDVSZAVYTWUEWUFVSURFXBGUUNUUOXCWNZUSVYRVXNVYLVNVOZVYN
      VTZPWSWTZBVYQWPVYIVYPWUJCBVYQVYJVXNVKZVYOWUIPWSWUKVYMWUHVYNVYJVXNVYLVNXDU
      UPUUQUURUUSZUDTXEVJZVMXFVOVYSXEVJZVMXFVOZVAWUMWUNVMXFTVYSXEUTUVAXGXHZKVXQ
      TWHWHNWGZXAZNXIVXQVYSWHWHWUQXAZNXIZVBWURWUSNTVYSVKWURWUSWKUTVXQTVYSWHWHWU
      QUVBUVCUVDXHZUVEWNZXCZAVYHVYFVYGWKAVYHVYFWVBWNZFGUEKOQUDUHUSUUCWLWMZWNKWD
      VXQUUDWLZAUBVYCVTZUBVXQVTVEUBWBUDUVFWLZXJZXJZUVGXJZXKXLAVWGWAVTVWQAVWGAVW
      SWDVWFIVXMAVWAVXGVTZVWFVWSVTWVJWBUCVWAUVIWLXJZXKXLAVVTWDVTVWQADEUUJVOZWDV
      VTADEADWDVTZEWDVTZDEWHWIZADEHIOQUCUHUIUKULUVHZUVJZAWVOWVPWVQWVRUVKZUVLADE
      UVQVOZWVNVVSUGACDEUGWVSWVTAWVOWVPWVQWVRUVRZVDUVMAWDWWAVVRRABDELRWVSWVTWWB
      UJVCUVNZWVIXJXJXMZXLZVWRVWBVVTAVWBWDVTVWQWVKXLWWEAVWBVVTWOWIZVWQAWWFVWMRV
      JZVWGWOWIZAVWBVWGVVTWWGWVKWVMWWDAWWAWDWWGADWAVTWVPWWAWDXNADWVSXKWVTDEUVOX
      OAWDWWAVWMRWWCAVXQWDVWLKWVFAWVGVWLVXQVTVEWBUDUBUVIWLXJZXJXMZAVVTWWGWHWIWB
      WWGVVTXFVOZWHWIAWBVWMVVRXFVOZWWKWHAVVRVWMWHWIZWBWWLWHWIAVYDWVGWWMAVXRVXSV
      YDWVEUVPVEVYBWWMOUBVYCVXBUBVKZVXTVVRVYAVWMWHVXBUBKXPWWNVXDVWLKVXBUBVMVNXD
      XQUVSUVTXOAVVRVWMWVIWWIXRWMAWVGAWVGVSZWWKWWLVKZVEAWVGVEUWAAVIWGZVYCVTZVSZ
      WWQVMVNVOZKVJZRVJZWWQKVJZRVJZUGVJZXFVOZWXAWXCXFVOZVKZWQWWOWWPWQVIUBVYCWWQ
      UBVKZWWSWWOWXHWWPWXIWWRWVGAWWQUBVYCUWBUWCZWXIWXFWWKWXGWWLWXIWXBWWGWXEVVTX
      FWXIWXAVWMRWXIWWTVWLKWWQUBVMVNXDXQZXQZWXIWXDVVSUGWXIWXCVVRRWWQUBKXPZXQXQZ
      XSWXIWXAVWMWXCVVRXFWXKWXMXSUWDXTABCDEFGHIKLNOVIPQRUGUCUDUEWXCEWXDXFVOVNVO
      ZUHUIUJUKULUQURUSUDWUOVYIVYJVYKEDXFVOZWRVOZVNVOZVYNVTZPWSWTZCVYQWPZUUKZXE
      VJZVMXFVOWUPWUNWYCVMXFVYSWYBXEVYRWYAVYIVYPWXTWKZCVYQWJVYRWYAVKWYDCVYQVYOW
      XSPWSVYMWXRVYNVYLWXQVYJVNLWXPVYKWRUJYAYAUWEUWHUWFVYPWXTCVYQUWGUWIUUSZUVAX
      GXHKWUTVXQWYBWHWHWUQXAZNXIWVAWUSWYFNVYSWYBVKWUSWYFWKWYEVXQVYSWYBWHWHWUQUV
      BUVCUVDXHVCVDWXOYBUWJYCYDZUWKAVVTWWGWWDWWJXRYFZAAWVGVVTWWGVPVOZVWHXNZAUWL
      VEAWVGWYJWWSWXEWXBVPVOZWXCUAVJZIVJZWYLVMVNVOZIVJZVPVOZXNZWQWWOWYJWQVIUBVY
      CWXIWWSWWOWYQWYJWXJWXIWYKWYIWYPVWHWXIWXEVVTWXBWWGVPWXNWXLXSWXIWYMVWBWYOVW
      GVPWXIWYLVWAIWXIWXCVVRUAWXMXQZXQWXIWYNVWFIWXIWYLVWAVMVNWYRYGXQXSUWMXTABCD
      EFGHIKLNOVIPQRVYSUAUGUCUDUEWXCWXGVMIVJDXFVOZWHWIWXGUXPYEVOWYSUXPYEVOVLVNV
      OZUHUJUIUKULUQWUBWUGUSWULWUPWVAVCVDWYTYBVGUWNYCUWPXOZUWOZWNXLVWQVVTVWBUWQ
      AVVTVWBUWRUWSUWTAVVTVWGWHWIVWQAVVTWWGVWGWWDWWJWVMWYHAWWFWWHXUBXCUXAXLUXBV
      VTVWHSUXCWLYHUXDAVWKSVXNVYJMVNVOZVKCWYIWTBYIWPZVQZVVRVRVOZVWPAVWKXUEVVTMV
      NVOZVRVOXUFABCWYIXUDVWKVVTMSASUXEZYISWFWDYISWFZUMAXUHWDYISAXUIXUHWDVKUMWD
      YISUXGWLZUXHYFWYIYIXNAVVTWWGUXFYJAWDWYIXUHVVTWWGUXIXUJUXJAMAMVWMWWGXFVOZW
      DVFAVWMWWGWWIWWJYKUXKZYLZXUDYBAXUDXUGWWGMVNVOZVPVOZXUHACBVVTWWGMWWDWWJXUL
      UXLZAWDXUOXUHXUGXUNUXIXUJUXJUXMVYJWYIVTAVYJWDVTZXUCSVJZVYJSVJZVKVYJVVTWWG
      UULAXUQVSZXURVYJMLYEVOZLWRVOZVNVOZSVJXUSXUTXUCXVCSAXUCXVCVKXUQAMXVBVYJVNA
      XVBMAMLXUMALALWXPWDUJAEDWVTWVSYKUXKZYLZALAWBWXPLWHAWVQWBWXPWHWIWWBADEWVSW
      VTXRWMUJUXNUXQZUXOYHYMXLXQXUTBLSXVAVYJAXUIXUQUMXLALWDVTXUQXVDXLAXVAWSVTXU
      QAXVAWWGVWMXFVOZLYEVOZYRZWSAXUKLYEVOZXVGYRZLYEVOXVAXVIAXUKXVKLYEAXVKXUKAW
      WGVWMAWWGWWJYLZAVWMWWIYLZUXRYHYGXVAXVJVKAMXUKLYEVFXGYJAXVGLAXVGEVWMXFVOZL
      YEVOZYNVJZLWRVOZYIAXVGVWMXVQVNVOZVWMXFVOXVQAWWGXVRVWMXFABVWMVXNEVXNXFVOZL
      YEVOZYNVJZLWRVOZVNVOZXVRWDRWDRBWDXWCUXSVKAVCYJVXNVWMVKZXWCXVRVKAXWDVXNVWM
      XWBXVQVNXWDUWLXWDXWAXVPLWRXWDXVTXVOYNXWDXVSXVNLYEVXNVWMEXFUXTYGXQYGXSUWSW
      WIAVWMXVQWWIAXVPLAXVPAXVOAXVNLAEVWMWVTWWIYKXVDXVFUYAUYFZUYGZXVDUYBUYCUYDY
      GAVWMXVQXVMAXVPLAXVPXWFYLZXVEUYEZUYHYOZXWHYPXVEXVFUYIUYJAXVHAXVHXVPWSAXVH
      XVQLYEVOXVPAXVGXVQLYEXWIYGAXVPLXWGXVEXVFUYKYOXWEYPUYLYPXLAXUQUYPAVXOVXNLV
      NVOSVJVXNSVJVKXUQUNUYMUYQYOUYNAVWKVWIWYIVQZVVTVRVOSWYIVQZVVTVRVOAVWBVWGVV
      TWWGVWDVWIUYOUYRVJVWBVWGUYSVOUYTVOZVWKWVKWVMAVXHWVLVWBVWGWHWIZAVWTVXAVXHV
      XLUVPWVJVXFXWMOVWAVXGVXBVWAVKZVXCVWBVXEVWGWHVXBVWAIXPZXWNVXDVWFIVXBVWAVMV
      NXDXQZUVSUVTXOAWVLAWVLVSZVWIVWHYIYQVOZVTZWVJAWVLWVJUWAZAVXBVXGVTZVSZSVXCV
      XEVPVOZVQZXXCYIYQVOZVTZWQXWQXWSWQOVWAVXGXWNXXBXWQXXFXWSXWNXXAWVLAVXBVWAVX
      GUWBUWCZXWNXXDVWIXXEXWRXWNXXCVWHSXWNVXCVWBVXEVWGVPXWOXWPXSZVUAZXWNXXCVWHY
      IYQXXHYGVUBXTUOYCYDAWVLXWQVWDVWIVWBVRVOZVTZWVJXWTXXBJXXDVXCVRVOZVTZWQZXWQ
      XXKWQZOVWAVXGXWQXXKOXWQOVUGOVWDXXJOVWAUFOUFOVXGJUXSVHOVXGJVUCVUDOVWAVUEVU
      FVUHVUIXWNXXNXXOXWNXXNXWQXXKXWNXXNXWQUUMZJXXLVWDXXJXXPXXBXXMXWNXWQXXBXXNX
      WNXXBXWQXXGVUJZVUKUPWLXWNXWQVWDJVKXXNXWNXWQVSZVWDVXBUFVJZJXWNVWDXXSVKXWQX
      WNXXSVWDVXBVWAUFXPYHXLXXRXXAJVULVTZXXSJVKXXRAXXAXXQXCXXRXXBXXMXXTXXQUPJXX
      LVUMVUNOVXGJVULUFVHVUOXOYOVUKXWNXXNXXJXXLVKXWQXWNXXLXXJXWNXXDVWIVXCVWBVRX
      XIXWOXSYHVUPVUQVURXXNXWNXXOUPVVFVUSUPVUTYDWWDWWJWYHXUAVWKYBXWLYBVVAAXWJXW
      KVVTVRASWYIVWHXUAVVBYGYSVVCAXUGVVRXUEVRAXUGVVTXUKVNVOZWWGWWLXFVOZXUKVNVOZ
      VVRXUGXYAVKAMXUKVVTVNVFYAYJAVVTXYBXUKVNAXYBVVTAXYBVVTVKWWPWYGAWWGWWLVVTXV
      LAVWMVVRXVMAVYQYIVVRAVYQWDYIAFGUQWUBUVLVVDVVGAVXQVYQUBKAFGUEKOQUDUHUSWVDW
      VCVVEWVHXJXMZVVHZAVVTWWDYLVVIYFYHYGAXYCVWMXYBWWGXFVOZVNVOVWMVVRVWMXFVOZVN
      VOVVRAXYBVWMWWGAWWGWWLXVLXYEVVHXVMXVLVVJAXYFXYGVWMVNAXYFWWGWWGXFVOZWWLXFV
      OWBWWLXFVOZXYGAWWGWWLWWGXVLXYEXVLVVKAXYHWBWWLXFAWWGXVLVVLYGAXYIWWLYRXYGWW
      LVVMAVWMVVRXVMXYDUXRVVPYTYMAVWMVVRXVMXYDVVQYTYTZYMYSAXUEVWOVVRVRAXUDVWNSA
      XUOXUDVWNXUPAXUGVVRXUNVWMVPXYJAXUNWWGXUKVNVOVWMMXUKWWGVNVFYAAWWGVWMXVLXVM
      VVQVVNXSVVOVUAYGYSYP $.
  $}

  ${
    $d A f j k y $.  $d A i j k x y $.  $d A i m p $.  $d B f k y $.
    $d B i k x y $.  $d B i m p $.  $d C f y $.  $d C i m p $.  $d C i x y $.
    $d D f y $.  $d D i m p $.  $d D i x y $.  $d E f j k y $.
    $d E i j k x y $.  $d F i x y $.  $d G y $.  $d H f y $.  $d H x y $.
    $d I f j k $.  $d I i j k x $.  $d J i j x y $.  $d L i j x y $.
    $d M i j x $.  $d M i m p $.  $d N f j k y $.  $d N i j k x y $.
    $d N i m p $.  $d Q f j k y $.  $d Q i j k x y $.  $d Q i p $.
    $d S f j k y $.  $d S i j k x y $.  $d S i p $.  $d T i k x y $.  $d U y $.
    $d f j k ph y $.  $d i j k ph x y $.
    fourierdlem90.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem90.t $e |- T = ( B - A ) $.
    fourierdlem90.m $e |- ( ph -> M e. NN ) $.
    fourierdlem90.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem90.f $e |- ( ph -> F : RR --> CC ) $.
    fourierdlem90.6 $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x )
       ) $.
    fourierdlem90.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem90.c $e |- ( ph -> C e. RR ) $.
    fourierdlem90.d $e |- ( ph -> D e. ( C (,) +oo ) ) $.
    fourierdlem90.o $e |- O = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = C /\ ( p ` m ) = D ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem90.h $e |- H = ( { C , D } u. { y e. ( C [,] D ) | E. k e. ZZ (
       y + ( k x. T ) ) e. ran Q } ) $.
    fourierdlem90.n $e |- N = ( ( # ` H ) - 1 ) $.
    fourierdlem90.s $e |- S = ( iota f f Isom < , < ( ( 0 ... N ) , H ) ) $.
    fourierdlem90.e $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( B - x ) / T ) )
       x. T ) ) ) $.
    fourierdlem90.J $e |- L = ( y e. ( A (,] B ) |-> if ( y = B , A , y ) ) $.
    fourierdlem90.17 $e |- ( ph -> J e. ( 0 ..^ N ) ) $.
    fourierdlem90.u $e |- U = ( ( S ` ( J + 1 ) ) - ( E ` ( S ` ( J + 1 ) ) ) )
       $.
    fourierdlem90.g $e |- G = ( F |` ( ( L ` ( E ` ( S ` J ) ) ) (,) ( E ` ( S
       ` ( J + 1 ) ) ) ) ) $.
    fourierdlem90.r $e |- R = ( y e. ( ( ( L ` ( E ` ( S ` J ) ) ) + U ) (,) (
       ( E ` ( S ` ( J + 1 ) ) ) + U ) ) |-> ( G ` ( y - U ) ) ) $.
    fourierdlem90.i $e |- I = ( x e. RR |-> sup ( { i e. ( 0 ..^ M ) | ( Q ` i
       ) <_ ( L ` ( E ` x ) ) } , RR , < ) ) $.
    $( Given a piecewise continuous function, it is still continuous with
       respect to an open interval of the moved partition.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem90 $p |- ( ph -> ( F |` ( ( S ` J ) (,) ( S ` ( J + 1 ) ) ) ) e.
       ( ( ( S ` J ) (,) ( S ` ( J + 1 ) ) ) -cn-> CC ) ) $=
      ( vj cfv caddc co c1 cioo cc ccncf cres cicc cr wcel clt wbr iccssred cc0
      wf wceq wa cv cfzo wiso cpnf syl cxr simprd simpld wb ffvelrnd sseldd wss
      mpbid rexrd eqid cmin resubcld eqeltrid eleq1 anbi2d fveq2 fveq2d oveq12d
      wi oveq1 oveq1d imbi12d c2 cdiv cmul cz wrex crab cun oveq2i uneq2i eqtri
      id vtoclg anabsi7 mpdan eqcomd sylc cmpt chash recnd subcld mpbird 3eqtrd
      a1i adantr cfl eqtrd fourierdlem11 simp1d simp2d cioc simp3d fourierdlem4
      fourierdlem17 cfz cmap wral cn elioore elioo4g fourierdlem54 fourierdlem2
      w3a elmapi elfzofz iocssre syl2anc fzofzp1 sseq12d cif cpr eleq1i rabbiia
      sylib crn rexbii eqcomi eleq1d rexbidv cbvrabv fourierdlem79 resabs1d cle
      fourierdlem37 reseq2d eleq12d rescncf eqeltrd cncfshiftioo eqeq12d fveq2i
      csup ancli oveq1i cio isoeq5 ax-mp iotabii fourierdlem65 ax-resscn sstrdi
      fourierdlem15 subsub23d addsub12d sub32d subidd df-neg negsubdi2d eqtr3id
      cneg oveq2d pncan3d syl5eq mpteq1d feqmptd reseq1d ioossre resmptd fveq1i
      sselda simpr ioogtlb syl3anc npcand 3brtr4d ltadd1d eliood fvres subsub2d
      iooltub wne posdifd breqtrrdi gt0ne0d divcan1d oveq2 adantl redivcld zred
      flcld remulcld readdcld fvmptd mulcld pncan2d divcan4d adantlr fperiodmul
      3eqtrrd mpteq2dva 3eltr3d ) AJUCKVJZRVJZUDVJZMVKVLZUCVMVKVLZKVJZRVJZMVKVL
      ZVNVLZVOVPVLSVUEVUJVNVLZVQZVUNVOVPVLACVUGVUKVUGVUKVNVLZVUMMTJADEVRVLZVSVU
      GADEADVSVTZEVSVTZDEWAWBZADEHIOQUEUHUIUKULUUAZUUBZAVURVUSVUTVVAUUCZWCADEUU
      DVLZVUQVUFUDACDEUDVVBVVCAVURVUSVUTVVAUUEZVCUUGAVSVVDVUERABDELRVVBVVCVVEUJ
      VBUUFZAWDUFUUHVLZVSUCKAKVSVVGUUIVLVTZVVGVSKWEAVVHWDKVJFWFUFKVJGWFWGOWHZKV
      JVVIVMVKVLZKVJWAWBOWDUFWIVLZUUJWGZAKUFUGVJVTZVVHVVLWGZAUFUUKVTZVVMAVVOVVM
      WGVVGUAWAWAKWJACDEFGHIKLNOPQUAUEUFUGUHUJUIUKULUPAGFWKVNVLVTZGVSVTZUQGFWKU
      ULWLZAFGWAWBZGWKWAWBZAFWMVTWKWMVTVVQUUPZVVSVVTWGZAVVPVWAVWBWGUQFWKGUUMUVG
      WNWOZURUSUTVAUUNWOZWNZAVVOVVMVVNWPAVVOVVMVWDWOZFGUGKOQUFUHURUUOWLWTWOKVSV
      VGUUQWLZAUCVVKVTZUCVVGVTVDUCWDUFUURWLZWQZWQWQWRZAVVDVSVUKADWMVTVUSVVDVSWS
      ADVVBXAVVCDEUUSUUTAVSVVDVUJRVVFAVVGVSVUIKVWGAVWHVUIVVGVTVDWDUFUCUVAWLWQZW
      QWRZVUPXBAMVUJVUKXCVLZVSVEAVUJVUKVWLVWMXDXEZVUMXBATSVUPVQZVUPVOVPVLZVFAVW
      PSVUEUBVJZIVJZVWRVMVKVLZIVJZVNVLZVQZVUPVQZVWQAVXDVWPASVUPVXBAVWHVUPVXBWSZ
      VDAVWHVXEAVIWHZVVKVTZWGZVXFKVJZRVJZUDVJZVXFVMVKVLZKVJZRVJZVNVLZVXIUBVJZIV
      JZVXPVMVKVLZIVJZVNVLZWSZXKAVWHWGZVXEXKVIUCVVKVXFUCWFZVXHVYBVYAVXEVYCVXGVW
      HAVXFUCVVKXFXGZVYCVXOVUPVXTVXBVYCVXKVUGVXNVUKVNVYCVXJVUFUDVYCVXIVUERVXFUC
      KXHZXIXIZVYCVXMVUJRVYCVXLVUIKVXFUCVMVKXLXIZXIZXJVYCVXQVWSVXSVXAVNVYCVXPVW
      RIVYCVXIVUEUBVYEXIZXIVYCVXRVWTIVYCVXPVWRVMVKVYIXMXIXJUVBXNABCDEFGHIKLNOVI
      PQRUAUBUDUEUFUGVXIVXMVXIXCVLZVMIVJDXCVLZWAWBVYJXOXPVLVYKXOXPVLUVCVKVLZUHU
      JUIUKULUPVVRVWCURUAFGUVDZCWHZPWHZEDXCVLZXQVLZVKVLZIUVHZVTZPXRXSZCFGVRVLZX
      TZYAZVYMBWHZVYOLXQVLZVKVLZVYSVTZPXRXSZBWUBXTZYAUAVYMVYNWUFVKVLZVYSVTZPXRX
      SZCWUBXTZYAWUDUSWUNWUCVYMWUMWUACWUBWUMWUAWPVYNWUBVTWULVYTPXRWUKVYRVYSWUFV
      YQVYNVKLVYPVYOXQUJYBYBUVEUVIYQUVFYCYDZWUCWUJVYMWUAWUICBWUBVYNWUEWFZVYTWUH
      PXRWUPVYRWUGVYSWUPVYNWUEVYQWUFVKWUPYEVYQWUFWFWUPVYPLVYOXQLVYPUJUVJYBYQXJU
      VKUVLUVMYCYDUTVAVBVCVYLXBVHUVNYFYGYHZUVOYIAVXEVXCVXBVOVPVLZVTZVXDVWQVTWUQ
      AVWRWDUEWIVLZVTZAWVAWGZWUSAVSWUTVUEUBAVSWUTUBWEWUEVSVTZVVIIVJZWUERVJUDVJU
      VPWBOWUTXTZVSWAUWEWVEVTXKABCDEHILOQRUBUDUEUHUIUKULUJVBVCVHUVQWOVWJWQZAWVA
      WVFUWFAVVIWUTVTZWGZSWVDVVJIVJZVNVLZVQZWVJVOVPVLZVTZXKWVBWUSXKOVWRWUTVVIVW
      RWFZWVHWVBWVMWUSWVNWVGWVAAVVIVWRWUTXFXGWVNWVKVXCWVLWURWVNWVJVXBSWVNWVDVWS
      WVIVXAVNVVIVWRIXHWVNVVJVWTIVVIVWRVMVKXLXIXJZUVRWVNWVJVXBVOVPWVOXMUVSXNUOY
      FYJVXBVOVUPVXCUVTYJUWAXEVGUWBAJCVUMVYNMXCVLZTVJZYKZCVUNWVQYKZVUOJWVRWFAVG
      YQACVUMVUNWVQAVUHVUEVULVUJVNAVUHVUGVWNVKVLZVUKVUJVUEXCVLZXCVLZVWNVKVLZVUE
      VUHWVTWFAMVWNVUGVKVEYBYQAVUGWWBVWNVKAWWBVUGAWWBVUGWFVUKVUGXCVLZWWAWFZAVWH
      WWEVDAVWHWWEVXHVXNVXKXCVLZVYJWFZXKVYBWWEXKVIUCVVKVYCVXHVYBWWGWWEVYDVYCWWF
      WWDVYJWWAVYCVXNVUKVXKVUGXCVYHVYFXJVYCVXMVUJVXIVUEXCVYGVYEXJUWCXNABCDEFGHI
      KLNOVIPQRUDUEUFUGVXIEVXJXCVLVKVLZUHUIUJUKULUPUQURUFUAYLVJZVMXCVLWUDYLVJZV
      MXCVLUTWWIWWJVMXCUAWUDYLWUOUWDUWGYDKVVGUAWAWANWHZWJZNUWHVVGWUDWAWAWWKWJZN
      UWHVAWWLWWMNUAWUDWFWWLWWMWPWUOVVGUAWUDWAWAWWKUWIUWJUWKYDVBVCWWHXBUWLYFYGY
      HAVUKWWAVUGAVUKVWMYMZAVUJVUEAVUJVWLYMZAWUBVOVUEAWUBVSVOAFGUPVVRWCUWMUWNAV
      VGWUBUCKAFGUGKOQUFUHURVWFVWEUWOVWIWQWRZYNZAVUGVWKYMUWPYOYIXMAWWCVUJWWBVUK
      XCVLZVKVLVUJVUEVUJXCVLZVKVLVUEAWWBVUJVUKAVUKWWAWWNWWQYNWWOWWNUWQAWWRWWSVU
      JVKAWWRVUKVUKXCVLZWWAXCVLWDWWAXCVLZWWSAVUKWWAVUKWWNWWQWWNUWRAWWTWDWWAXCAV
      UKWWNUWSXMAWXAWWAUXCWWSWWAUWTAVUJVUEWWOWWPUXAUXBYPUXDAVUJVUEWWOWWPUXEYPYP
      ZAVULVUKVWNVKVLVUJMVWNVUKVKVEYBAVUKVUJWWNWWOUXEUXFZXJZUXGAVUOCVSVYNSVJZYK
      ZVUNVQCVUNWXEYKWVSASWXFVUNACVSVOSUMUXHUXIACVSVUNWXEVUNVSWSAVUEVUJUXJYQZUX
      KACVUNWXEWVQAVYNVUNVTZWGZWVQWVPVWPVJZWVPSVJZWXEWVQWXJWFWXIWVPTVWPVFUXLYQW
      XIWVPVUPVTWXJWXKWFWXIVUGVUKWVPWXIVUGAVUGVSVTWXHVWKYRZXAWXIVUKAVUKVSVTWXHV
      WMYRZXAWXIVYNMAVUNVSVYNWXGUXMZAMVSVTWXHVWOYRZXDZWXIVUGWVPWAWBVUHWVPMVKVLZ
      WAWBWXIVUEVYNVUHWXQWAWXIVUEWMVTZVUJWMVTZWXHVUEVYNWAWBAWXRWXHAVUEVWJXAYRZA
      WXSWXHAVUJVWLXAYRZAWXHUXNZVUEVUJVYNUXOUXPAVUHVUEWFWXHWXBYRWXIVYNMWXIVYNWX
      NYMZWXIMWXOYMUXQZUXRWXIVUGWVPMWXLWXPWXOUXSYOWXIWVPVUKWAWBWXQVULWAWBWXIVYN
      VUJWXQVULWAWXIWXRWXSWXHVYNVUJWAWBWXTWYAWYBVUEVUJVYNUYCUXPWYDAVULVUJWFWXHW
      XCYRUXRWXIWVPVUKMWXPWXMWXOUXSYOUXTWVPVUPSUYAWLWXIWXKVYNVUKVUJXCVLZLXPVLZL
      XQVLZVKVLZSVJWXEWXIWVPWYHSWXIWVPVYNVWNXCVLZVYNWYEVKVLWYHWVPWYIWFWXIMVWNVY
      NXCVEYBYQWXIVYNVUJVUKWYCAVUJVOVTWXHWWOYRZAVUKVOVTWXHWWNYRZUYBWXIWYEWYGVYN
      VKWXIWYGWYEWXIWYELWXIVUKVUJWYKWYJYNALVOVTWXHALALVYPVSUJAEDVVCVVBXDXEZYMZY
      RALWDUYDWXHALAWDVYPLWAAVUTWDVYPWAWBVVEADEVVBVVCUYEWTUJUYFUYGZYRUYHYIUXDYP
      XIWXIBLSWYFVYNAVSVOSWEWXHUMYRALVSVTWXHWYLYRAWYFXRVTWXHAWYFEVUJXCVLZLXPVLZ
      YSVJZXRAWYFWYQLXQVLZLXPVLWYQAWYEWYRLXPAWYEVUJWYRVKVLZVUJXCVLWYRAVUKWYSVUJ
      XCABVUJWUEEWUEXCVLZLXPVLZYSVJZLXQVLZVKVLZWYSVSRVSRBVSXUDYKWFAVBYQWUEVUJWF
      ZXUDWYSWFAXUEWUEVUJXUCWYRVKXUEYEXUEXUBWYQLXQXUEXUAWYPYSXUEWYTWYOLXPWUEVUJ
      EXCUYIXMXIXMXJUYJVWLAVUJWYRVWLAWYQLAWYQAWYPAWYOLAEVUJVVCVWLXDWYLWYNUYKUYM
      ZUYLZWYLUYNUYOUYPXMAVUJWYRWWOAWYQLAWYQXUGYMZWYMUYQUYRYTXMAWYQLXUHWYMWYNUY
      SYTXUFUWAYRWXNAWVCWUELVKVLSVJWUESVJWFWXHUNUYTVUAYTVUBVUCVUBYPAVUMVUNVOVPW
      XDXMVUD $.
  $}

  ${
    $d A f j k y $.  $d A i j k x y $.  $d A i m p $.  $d B f k y $.
    $d B i k x y $.  $d B i m p $.  $d C f y $.  $d C i m p $.  $d C i x y $.
    $d D f y $.  $d D i m p $.  $d D i x y $.  $d E f j k y $.
    $d E i j k x y $.  $d F i x y $.  $d H f $.  $d H x $.  $d I f j k y $.
    $d I i j k x y $.  $d J i j x y $.  $d M i j x $.  $d M i m p $.
    $d N f j k y $.  $d N i j k x y $.  $d N i m p $.  $d Q f j k y $.
    $d Q i j k x y $.  $d Q i p $.  $d S f j k y $.  $d S i j k x y $.
    $d S i p $.  $d T f k y $.  $d T i k x y $.  $d U x y $.  $d W x y $.
    $d Z i j x y $.  $d f j k ph y $.  $d i j k ph x y $.
    fourierdlem91.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem91.t $e |- T = ( B - A ) $.
    fourierdlem91.m $e |- ( ph -> M e. NN ) $.
    fourierdlem91.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem91.f $e |- ( ph -> F : RR --> CC ) $.
    fourierdlem91.6 $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x )
       ) $.
    fourierdlem91.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem91.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    fourierdlem91.c $e |- ( ph -> C e. RR ) $.
    fourierdlem91.d $e |- ( ph -> D e. ( C (,) +oo ) ) $.
    fourierdlem91.o $e |- O = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = C /\ ( p ` m ) = D ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem91.h $e |- H = ( { C , D } u. { y e. ( C [,] D ) | E. k e. ZZ (
       y + ( k x. T ) ) e. ran Q } ) $.
    fourierdlem91.n $e |- N = ( ( # ` H ) - 1 ) $.
    fourierdlem91.s $e |- S = ( iota f f Isom < , < ( ( 0 ... N ) , H ) ) $.
    fourierdlem91.e $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( B - x ) / T ) )
       x. T ) ) ) $.
    fourierdlem91.J $e |- Z = ( y e. ( A (,] B ) |-> if ( y = B , A , y ) ) $.
    fourierdlem91.17 $e |- ( ph -> J e. ( 0 ..^ N ) ) $.
    fourierdlem91.u $e |- U = ( ( S ` ( J + 1 ) ) - ( E ` ( S ` ( J + 1 ) ) ) )
       $.
    fourierdlem91.i $e |- I = ( x e. RR |-> sup ( { i e. ( 0 ..^ M ) | ( Q ` i
       ) <_ ( Z ` ( E ` x ) ) } , RR , < ) ) $.
    fourierdlem91.w $e |- W = ( i e. ( 0 ..^ M ) |-> L ) $.
    $( Given a piecewise continuous function and changing the interval and the
       partition, the limit at the upper bound of each interval of the moved
       partition is still finite.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem91 $p |- ( ph -> if ( ( E ` ( S ` ( J + 1 ) ) ) = ( Q ` ( ( I `
       ( S ` J ) ) + 1 ) ) , ( W ` ( I ` ( S ` J ) ) ) , ( F ` ( E ` ( S ` ( J
       + 1 ) ) ) ) ) e. ( ( F |` ( ( S ` J ) (,) ( S ` ( J + 1 ) ) ) ) limCC (
       S ` ( J + 1 ) ) ) ) $=
      ( vj c1 caddc co cfv wceq cif cioo cres climc wa wcel cxr cc0 cfz cr cmap
      wf cv clt wbr wral wb syl mpbid simpld cle crab wi cmul cz wrex wiso cpnf
      cun simprd oveq1 chash oveq1i eqtri cio ffvelrnd rexrd adantr wss syl2anc
      cmin sseldd fveq2 fveq2d posdifd oveq12d oveq2i eqid vtoclg mpbird oveq1d
      imbi12d cdiv eqcomd cc a1i resubcld recnd oveq2d cneg eqtrd eqeltrd ccncf
      cfl eleqtrd 3eqtrd wn cfzo fourierdlem2 elmapi fzossfz csup fourierdlem37
      cn cpr crn elioore w3a elioo4g sylib eleq1d rexbidv cbvrabv uneq2i fveq2i
      cicc isoeq5 ax-mp iotabii fourierdlem54 elfzofz sselid cioc fourierdlem11
      fzofzp1 simp1d simp2d iocssre fourierdlem4 iccssred fourierdlem17 simprrd
      simp3d breq12d rspccva eleq1 anbi2d eleq1i rgenw rabbi mpbi fourierdlem65
      eqeq12d rexbii anabsi7 mpdan breqtrrd sseq12d fourierdlem79 fourierdlem10
      c2 lelttrd wne neqne necomd adantl leneltd eliood fvres ifeq2da cdm feq2d
      fdm ioosscn ioossre sseqtrrid eqeltrid iooshift eqsstrrd gt0ne0d divcan1d
      breqtrrdi negsubdi2d cmpt id oveq2 redivcld zred remulcld readdcld fvmptd
      flcld zcnd mulcld pncan2d divnegd 3eqtr4d divcan4d znegcld adantlr sylan2
      simpr fperiodmul ccnfld ctopn csn crest ancli reseq2d eleq12d sylc nfmpt1
      nfv nfcxfr nfcv nffv nfel1 nfim biimpar 3adant2 elex 3syl fvmpt2 3ad2ant1
      cvv 3eltr4d 3exp impbid vtoclg1f fourierdlem33 resabs1d limcperiod syl5eq
      2a1i ax-resscn sstrdi fourierdlem15 subcld subsub23d sub32d subidd df-neg
      pncan3d addsub12d eqtr3id eqtr3d ) AUAVJVKVLZJVMZQVMZUAJVMZTVMZVJVKVLZIVM
      ZVNZVWEUFVMZVWCRVMZVOVWHVWIVWCRVWEIVMZVWGVPVLZVQZVMZVOZRVWDVWBVPVLZVQZVWB
      VRVLZAVWHVWJVWNVWIAVWHUUAZVSZVWNVWJVWTVWCVWLVTVWNVWJVNVWTVWKVWGVWCAVWKWAV
      TVWSAVWKAWBUCWCVLZWDVWEIAIWDVXAWEVLVTZVXAWDIWFAVXBWBIVMDVNUCIVMEVNVSZNWGZ
      IVMZVXDVJVKVLZIVMZWHWIZNWBUCUUBVLZWJZVSZAIUCHVMVTZVXBVXKVSZULAUCUUHVTVXLV
      XMWKUKDEHINPUCUHUIUUCWLWMZWNIWDVXAUUDWLZAVXIVXAVWEWBUCUUEAWDVXIVWDTAWDVXI
      TWFBWGZWDVTZVXEVXPQVMUGVMWOWINVXIWPZWDWHUUFVXRVTWQABCDEHIKNPQTUGUCUHUIUKU
      LUJVCVDVGUUGWNAWBUDWCVLZWDUAJAJWDVXSWEVLVTZVXSWDJWFAVXTWBJVMFVNUDJVMGVNVS
      ZVXDJVMZVXFJVMZWHWIZNWBUDUUBVLZWJZVSZAJUDUEVMVTZVXTVYGVSZAUDUUHVTZVYHAVYJ
      VYHVSVXSFGUUIZCWGZOWGZKWRVLZVKVLZIUUJZVTZOWSWTZCFGUUTVLZWPZXCZWHWHJXAABDE
      FGHIJKMNOPWUAUCUDUEUHUJUIUKULUQAGFXBVPVLVTZGWDVTZURGFXBUUKWLZAFGWHWIZGXBW
      HWIZAFWAVTXBWAVTWUCUULZWUEWUFVSZAWUBWUGWUHVSURFXBGUUMUUNXDWNZUSVYTVXPVYNV
      KVLZVYPVTZOWSWTZBVYSWPZVYKVYRWULCBVYSVYLVXPVNZVYQWUKOWSWUNVYOWUJVYPVYLVXP
      VYNVKXEUUOUUPUUQUURZUDSXFVMZVJXOVLWUAXFVMZVJXOVLZVAWUPWUQVJXOSWUAXFUTUUSX
      GXHZJVXSSWHWHMWGZXAZMXIVXSWUAWHWHWUTXAZMXIZVBWVAWVBMSWUAVNWVAWVBWKUTVXSSW
      UAWHWHWUTUVAUVBUVCXHZUVDWNZXDZAVYJVYHVYIWKAVYJVYHWVEWNZFGUEJNPUDUHUSUUCWL
      WMZWNJWDVXSUUDWLZAUAVYEVTZUAVXSVTVEUAWBUDUVEWLZXJZXJZUVFXJZXKXLAVWGWAVTVW
      SAVWGAVXAWDVWFIVXOAVWEVXIVTZVWFVXAVTWVMWBUCVWEUVIWLXJZXKXLAVWCWDVTVWSADEU
      VGVLZWDVWCADWAVTEWDVTZWVQWDXMADADWDVTZWVRDEWHWIZADEHINPUCUHUIUKULUVHZUVJZ
      XKAWVSWVRWVTWWAUVKZDEUVLXNAWDWVQVWBQABDEKQWWBWWCAWVSWVRWVTWWAUVQZUJVCUVMZ
      AVXSWDVWAJWVIAWVJVWAVXSVTVEWBUDUAUVIWLXJZXJXPZXLZAVWKVWCWHWIVWSAVWKVWDQVM
      ZUGVMZVWCWVNADEUUTVLZWDWWJADEWWBWWCUVNAWVQWWKWWIUGACDEUGWWBWWCWWDVDUVOAWD
      WVQVWDQWWEWVLXJXJXPZWWGAVWKWWJWOWIZVWCVWGWOWIZAVWKVWGWWJVWCWVNWVPWWLWWGAW
      WJVWCWHWIWBVWCWWJXOVLZWHWIAWBVWBVWDXOVLZWWOWHAVWDVWBWHWIZWBWWPWHWIAVYFWVJ
      WWQAVXTVYAVYFWVHUVPVEVYDWWQNUAVYEVXDUAVNZVYBVWDVYCVWBWHVXDUAJXQWWRVXFVWAJ
      VXDUAVJVKXEXRUVRUVSXNAVWDVWBWVLWWFXSWMAWVJWWOWWPVNZVEAWVJWWSAVIWGZVYEVTZV
      SZWWTVJVKVLZJVMZQVMZWWTJVMZQVMZUGVMZXOVLZWXDWXFXOVLZVNZWQAWVJVSZWWSWQVIUA
      VYEWWTUAVNZWXBWXLWXKWWSWXMWXAWVJAWWTUAVYEUVTUWAZWXMWXIWWOWXJWWPWXMWXEVWCW
      XHWWJXOWXMWXDVWBQWXMWXCVWAJWWTUAVJVKXEXRZXRZWXMWXGWWIUGWXMWXFVWDQWWTUAJXQ
      ZXRXRZXTWXMWXDVWBWXFVWDXOWXOWXQXTUWGYFABCDEFGHIJKMNVIOPQUGUCUDUEWXFEWXGXO
      VLVKVLZUHUIUJUKULUQURUSUDWURVYKVYLVYMEDXOVLZWRVLZVKVLZVYPVTZOWSWTZCVYSWPZ
      XCZXFVMZVJXOVLWUSWUQWYGVJXOWUAWYFXFVYTWYEVYKVYRWYDWKZCVYSWJVYTWYEVNWYHCVY
      SVYQWYCOWSVYOWYBVYPVYNWYAVYLVKKWXTVYMWRUJYAYAUWBUWHUWCVYRWYDCVYSUWDUWEUUR
      ZUUSXGXHJWVCVXSWYFWHWHWUTXAZMXIWVDWVBWYJMWUAWYFVNWVBWYJWKWYIVXSWUAWYFWHWH
      WUTUVAUVBUVCXHVCVDWXSYBUWFYCUWIUWJZUWKAWWJVWCWWLWWGXSYDZAWVJWWJVWCVPVLZVW
      LXMZVEAWVJWYNWXBWXHWXEVPVLZWXFTVMZIVMZWYPVJVKVLZIVMZVPVLZXMZWQWXLWYNWQVIU
      AVYEWXMWXBWXLXUAWYNWXNWXMWYOWYMWYTVWLWXMWXHWWJWXEVWCVPWXRWXPXTWXMWYQVWKWY
      SVWGVPWXMWYPVWEIWXMWXFVWDTWXQXRZXRWXMWYRVWFIWXMWYPVWEVJVKXUBYEXRXTUWLYFAB
      CDEFGHIJKMNVIOPQSTUGUCUDUEWXFWXJVJIVMDXOVLZWHWIWXJUWOYGVLXUCUWOYGVLVOVKVL
      ZUHUJUIUKULUQWUDWUIUSSWUAVYKWUMXCUTWUOXHVAVBVCVDXUDYBVGUWMYCUWIUWJZUWNZWN
      WYLUWPXLVWTVWCVWGWWHAVWGWDVTVWSWVPXLAWWNVWSAWWMWWNXUFXDXLVWSVWGVWCUWQAVWS
      VWCVWGVWCVWGUWRUWSUWTUXAUXBVWCVWLRUXCWLYHUXDAVWORVXPVYLLVKVLZVNCWYMWTBYIW
      PZVQZVWBVRVLZVWRAVWOXUIVWCLVKVLZVRVLXUJABCWYMXUHVWOVWCLRARUXEZYIRWFWDYIRW
      FZUMAXULWDYIRAXUMXULWDVNUMWDYIRUXGWLZUXFYDWYMYIXMAWWJVWCUXHYJAWDWYMXULWWJ
      VWCUXIXUNUXJALALVWBVWCXOVLZWDVFAVWBVWCWWFWWGYKUXKZYLZXUHYBAXUHWWJLVKVLZXU
      KVPVLZXULACBWWJVWCLWWLWWGXUPUXLZAWDXUSXULXURXUKUXIXUNUXJUXMVYLWYMVTAVYLWD
      VTZXUGRVMZVYLRVMZVNVYLWWJVWCUUKAXVAVSZXVBVYLLKYGVLZKWRVLZVKVLZRVMXVCXVDXU
      GXVGRAXUGXVGVNXVAALXVFVYLVKAXVFLALKXUQAKAKWXTWDUJAEDWWCWWBYKUXKZYLZAKAWBW
      XTKWHAWVTWBWXTWHWIWWDADEWWBWWCXSWMUJUXPUXNZUXOYHYMXLXRXVDBKRXVEVYLAXUMXVA
      UMXLAKWDVTXVAXVHXLAXVEWSVTXVAAXVEVWCVWBXOVLZKYGVLZYNZWSAXUOKYGVLZXVKYNZKY
      GVLXVEXVMAXUOXVOKYGAXVOXUOAVWCVWBAVWCWWGYLZAVWBWWFYLZUXQYHYEXVEXVNVNALXUO
      KYGVFXGYJAXVKKAXVKEVWBXOVLZKYGVLZYRVMZKWRVLZYIAXVKVWBXWAVKVLZVWBXOVLXWAAV
      WCXWBVWBXOABVWBVXPEVXPXOVLZKYGVLZYRVMZKWRVLZVKVLZXWBWDQWDQBWDXWGUXRVNAVCY
      JVXPVWBVNZXWGXWBVNAXWHVXPVWBXWFXWAVKXWHUXSXWHXWEXVTKWRXWHXWDXVSYRXWHXWCXV
      RKYGVXPVWBEXOUXTYEXRYEXTUWTWWFAVWBXWAWWFAXVTKAXVTAXVSAXVRKAEVWBWWCWWFYKXV
      HXVJUYAUYFZUYBXVHUYCUYDUYEYEAVWBXWAXVQAXVTKAXVTXWIUYGZXVIUYHZUYIYOZXWKYPX
      VIXVJUYJUYKAXVLAXVLXVTWSAXVLXWAKYGVLXVTAXVKXWAKYGXWLYEAXVTKXWJXVIXVJUYLYO
      XWIYPUYMYPXLAXVAUYPAVXQVXPKVKVLRVMVXPRVMVNXVAUNUYNUYQYOUYOAVWOVWMWYMVQZVW
      CVRVLRWYMVQZVWCVRVLAVWKVWGWWJVWCVWMUYRUYSVMVWLVWGUYTXCVUAVLZVWIVWOWVNWVPA
      VXJWVOVWKVWGWHWIZAVXBVXCVXJVXNUVPWVMVXHXWPNVWEVXIVXDVWEVNZVXEVWKVXGVWGWHV
      XDVWEIXQZXWQVXFVWFIVXDVWEVJVKXEXRZUVRUVSXNAWVOAWVOVSZVWMVWLYIYQVLZVTZWVMA
      WVOWVMVUBZAVXDVXIVTZVSZRVXEVXGVPVLZVQZXXFYIYQVLZVTZWQXWTXXBWQNVWEVXIXWQXX
      EXWTXXIXXBXWQXXDWVOAVXDVWEVXIUVTUWAZXWQXXGVWMXXHXXAXWQXXFVWLRXWQVXEVWKVXG
      VWGVPXWRXWSXTZVUCZXWQXXFVWLYIYQXXKYEVUDYFUOYCVUEAWVOXWTVWIVWMVWGVRVLZVTZW
      VMXXCXXEUBXXGVXGVRVLZVTZWQZXWTXXNWQZNVWEVXIXWTXXNNXWTNVUGNVWIXXMNVWEUFNUF
      NVXIUBUXRVHNVXIUBVUFVUHNVWEVUIVUJVUKVULXWQXXQXXRXWQXXQXWTXXNXWQXXQXWTUULZ
      UBXXOVWIXXMXXSXXEXXPXWQXWTXXEXXQXWQXXEXWTXXJVUMZVUNUPWLXWQXWTVWIUBVNXXQXW
      QXWTVSZVWIVXDUFVMZUBXWQVWIXYBVNXWTXWQXYBVWIVXDVWEUFXQYHXLXYAXXDUBVUSVTZXY
      BUBVNXYAAXXDXXTXDXYAXXEXXPXYCXXTUPUBXXOVUOVUPNVXIUBVUSUFVHVUQXNYOVUNXWQXX
      QXXMXXOVNXWTXWQXXOXXMXWQXXGVWMVXGVWGVRXXLXWSXTYHVURVUTVVAXXQXWQXXRUPVVHVV
      BUPVVCVUEWWLWWGWYLXUEVWOYBXWOYBVVDAXWMXWNVWCVRARWYMVWLXUEVVEYEYSVVFAXUKVW
      BXUIVRAXUKVWCXUOVKVLVWBLXUOVWCVKVFYAAVWCVWBXVPXVQVVQVVGZYMYSAXUIVWQVWBVRA
      XUHVWPRAXUSXUHVWPXUTAXURVWDXUKVWBVPAXURWWJXUOVKVLZVWCWWPXOVLZXUOVKVLZVWDX
      URXYEVNALXUOWWJVKVFYAYJAWWJXYFXUOVKAXYFWWJAXYFWWJVNWWSWYKAVWCWWPWWJXVPAVW
      BVWDXVQAVYSYIVWDAVYSWDYIAFGUQWUDUVNVVIVVJAVXSVYSUAJAFGUEJNPUDUHUSWVGWVFVV
      KWVKXJXPZVVLZAWWJWWLYLVVMYDYHYEAXYGVWBXYFVWCXOVLZVKVLVWBVWDVWBXOVLZVKVLVW
      DAXYFVWBVWCAVWCWWPXVPXYIVVLXVQXVPVVRAXYJXYKVWBVKAXYJVWCVWCXOVLZWWPXOVLWBW
      WPXOVLZXYKAVWCWWPVWCXVPXYIXVPVVNAXYLWBWWPXOAVWCXVPVVOYEAXYMWWPYNXYKWWPVVP
      AVWBVWDXVQXYHUXQVVSYTYMAVWBVWDXVQXYHVVQYTYTXYDXTVVTVUCYEYSYP $.
  $}

  ${
    $d A i m p $.  $d A i x y $.  $d B i m p $.  $d B i x y $.
    $d F i w x y z $.  $d L w x y z $.  $d M i j x $.  $d M i m p $.
    $d M i w x y z $.  $d Q i j x $.  $d Q i p $.  $d Q i w x y z $.
    $d R w x y z $.  $d S i j x $.  $d S i p $.  $d S i x y $.  $d T i j x $.
    $d T i m p $.  $d T i w x y z $.  $d i j ph x $.  $d ph w x y z $.
    fourierdlem92.a $e |- ( ph -> A e. RR ) $.
    fourierdlem92.b $e |- ( ph -> B e. RR ) $.
    fourierdlem92.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem92.m $e |- ( ph -> M e. NN ) $.
    fourierdlem92.t $e |- ( ph -> T e. RR ) $.
    fourierdlem92.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem92.fper $e |- ( ( ph /\ x e. ( A [,] B ) ) -> ( F ` ( x + T ) )
       = ( F ` x ) ) $.
    fourierdlem92.s $e |- S = ( i e. ( 0 ... M ) |-> ( ( Q ` i ) + T ) ) $.
    fourierdlem92.h $e |- H = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( A + T ) /\ ( p ` m ) = ( B + T ) ) /\ A. i e. ( 0 ..^ m )
       ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem92.f $e |- ( ph -> F : RR --> CC ) $.
    fourierdlem92.cncf $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem92.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem92.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    $( The integral of a piecewise continuous periodic function ` F ` is
       unchanged if the domain is shifted by its period ` T ` .  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem92 $p |- ( ph -> S. ( ( A + T ) [,] ( B + T ) ) ( F ` x ) _d x =
       S. ( A [,] B ) ( F ` x ) _d x ) $=
      ( vj vy vw vz cc0 clt wbr caddc co cicc cv cfv citg wceq wa cfz cmpt cmin
      cif cr wcel adantr cn simpr elrpd adantlr fveq2 oveq1d cbvmptv cc wf cfzo
      cioo cres ccncf climc eqeq1 ifbieq2d eqid fourierdlem81 wn oveq2d addid1d
      recnd eqtrd oveq12d itgeq1d simpll simplr syl mpbird mpbid negsubd pncand
      readdcld eqcomd wral cmap crab renegcld wb fourierdlem2 simpld cvv adantl
      a1i cle ffvelrnd fvmptd eleqtrdi jca syl2anc syl3anc eqtr2d rexrd eqbrtrd
      cxr leadd1dd wi eleq1 anbi2d fveq2d eqeq12d imbi12d wrex 3adant3 3ad2ant1
      oveq1 wss ltsub1dd eleqtrd c1 cneg wo ioran sylanbrc 0red lttrid lt0neg1d
      elmapi ffvelrnda fmptd reex ovex elmapd 0zd nnzd 0le0 nnnn0 nn0ge0d elfzd
      simprll cuz nnnn0d nn0uz eluzfz2 simprlr elfzofz fzofzp1 simprrd r19.21bi
      cn0 ltadd1dd fvmpt2 eqtr4i 3brtr4d ralrimiva fveq1i eliccre negcld addcld
      jca32 iccgelb iccleub breqtrd eliccd chvarvv vtoclg npcand eqtr3d ioossre
      simpl sylc feqresmpt iooshift mpteq1d eleq2d biimpar w3a elioore resubcld
      3adant2 simp3 ioogtlb iooltub eliood fvres fourierdlem15 lelttrd 3eqtr2rd
      ltled ltletrd recn mpteq2dva 3eqtrd ioosscn rexbidv eqeq2d bitrdi cbvrabv
      cbvrexvw cncfshift eqeltrd cdm ffdm fdm sseqtrrid eqcomi 3sstr4d ioossicc
      eqsstrrid sseli fourierdlem1 limcperiod syl5eq reseq2d pm2.61dan ) AUNIUO
      UPZBCIUQURZDIUQURZUSURZBUTZLVAZVBZBCDUSURZVUBVBZVCZAUYQVDZBCDEFGUJUNOVEUR
      ZUJUTZFVAZIUQURZVFZIJKLUKJUTZFVAZVUMUUAUQURZFVAZUSURZUKUTZVUNVCZGVURVUPVC
      ZNVURLVAZVHZVHZVFZBVUMVULVAVUOVULVAUSURVUAIVGURZVVDVAVFZNOPACVIVJZUYQQVKA
      DVIVJZUYQRVKSAOVLVJZUYQTVKVUGIAIVIVJZUYQUAVKAUYQVMVNAFOEVAVJZUYQUBVKAVUAV
      UDVJZVUAIUQURZLVAZVUBVCZUYQUCVOUJJVUHVUKVUNIUQURZVUIVUMVCZVUJVUNIUQVUIVUM
      FVPVQVRZAVIVSLVTZUYQUFVKAVUMUNOWAURZVJZLVUNVUPWBURZWCZVWBVSWDURVJUYQUGVOA
      VWAGVWCVUNWEURVJUYQUHVOAVWANVWCVUPWEURVJUYQUIVOUKBVUQVVCVUAVUNVCZGVUAVUPV
      CZNVUBVHZVHVURVUAVCZVUSVWDVVBVWFGVURVUAVUNWFVWGVUTVWEVVAVUBNVURVUAVUPWFVU
      RVUALVPZWGWGVRVVFWHWIAUYQWJZVDZIUNVCZVUFAVWKVUFVWIAVWKVDZBUYTVUDVUBVWLUYR
      CUYSDUSVWLUYRCUNUQURCVWLIUNCUQAVWKVMZWKVWLCACVSVJVWKACQWMZVKWLWNVWLUYSDUN
      UQURDVWLIUNDUQVWMWKVWLDADVSVJVWKADRWMZVKWLWNWOWPVOVWJVWKWJZVDZAUNIUUBZUOU
      PZVUFAVWIVWPWQZVWQIUNUOUPZVWSVWQVXAVWKUYQUUCWJZVWQVWPVWIVXBVWJVWPVMAVWIVW
      PWRVWKUYQUUDUUEVWQIUNVWQAVVJVWTUAWSZVWQUUFUUGWTVWQIVXCUUHXAAVWSVDZVUEBUYR
      VWRUQURZUYSVWRUQURZUSURZVUBVBZVUCAVUEVXHVCVWSABVUDVXGVUBAVXGVUDAVXECVXFDU
      SAVXEUYRIVGURZCAUYRIAUYRACIQUAXDZWMAIUAWMZXBZACIVWNVXKXCZWNAVXFUYSIVGURZD
      AUYSIAUYSADIRUAXDZWMVXKXBADIVWOVXKXCZWNWOXEWPVKVXDBUYRUYSKVLUNPUTZVAUYRVC
      KUTZVXQVAUYSVCVDVUMVXQVAVUOVXQVAUOUPJUNVXRWAURXFVDPVIUNVXRVEURXGURXHVFZHG
      UJVUHVUIHVAZVWRUQURZVFZVWRJKLUKVUMHVAZVUOHVAZUSURZVURVYCVCZGVURVYDVCZNVVA
      VHZVHZVFZBVUMVYBVAVUOVYBVAUSURVUAVWRVGURVYJVAVFZNOPVXDCIAVVGVWSQVKAVVJVWS
      UAVKZXDVXDDIAVVHVWSRVKVYLXDVXSWHAVVIVWSTVKVXDVWRVXDIVYLXIAVWSVMVNAHOVXSVA
      ZVJVWSAHOMVAZVYMAHVYNVJZHVIVUHXGURZVJZUNHVAZUYRVCZOHVAZUYSVCZVDZVYCVYDUOU
      PZJVVTXFZVDVDZAVYQWUBWUDAVYQVUHVIHVTAJVUHVVPVIHAVUMVUHVJZVDVUNIAVUHVIVUMF
      AFVYPVJZVUHVIFVTZAWUGUNFVAZCVCZOFVAZDVCZVDZVUNVUPUOUPZJVVTXFZVDZAVVKWUGWU
      PVDZUBAVVIVVKWUQXJTCDEFJKOPSXKWSXAZXLFVIVUHUUIWSZUUJAVVJWUFUAVKXDUDUUKAVI
      VUHHXMXMVIXMVJAUULXOVUHXMVJAUNOVEUUMXOUUNWTAVYSWUAAVYRWUIIUQURZUYRAJUNVVP
      WUTVUHHVIHJVUHVVPVFZVCAUDXOZVUMUNVCZVVPWUTVCAWVCVUNWUIIUQVUMUNFVPVQXNAUNU
      NOAUUOZAOTUUPWVDUNUNXPUPAUUQXOAVVIUNOXPUPTVVIOOUURUUSWSUUTZAWUIIAVUHVIUNF
      WUSWVEXQUAXDXRAWUICIUQAWUQWUJWURWUGWUJWULWUOUVAWSVQWNAVYTWUKIUQURZUYSAJOV
      VPWVFVUHHVIWVBVUMOVCZVVPWVFVCAWVGVUNWUKIUQVUMOFVPVQXNAOUNUVBVAZVJOVUHVJAO
      UVKWVHAOTUVCUVDXSUNOUVEWSZAWUKIAVUHVIOFWUSWVIXQUAXDXRAWUKDIUQAWUQWULWURWU
      GWUJWULWUOUVFWSVQWNXTAWUCJVVTAVWAVDZVVPVUPIUQURZVYCVYDUOWVJVUNVUPIWVJVUHV
      IVUMFAWUHVWAWUSVKZVWAWUFAVUMUNOUVGXNZXQZWVJVUHVIVUOFWVLVWAVUOVUHVJAUNOVUM
      UVHXNZXQZAVVJVWAUAVKZAWUNJVVTAWUGWUMWUOWURUVIUVJUVLWVJWUFVVPVIVJZVYCVVPVC
      WVMWVJVUNIWVNWVQXDZJVUHVVPVIHUDUVMYAZWVJUJVUOVUKWVKVUHHVIHVULVCWVJHWVAVUL
      UDVVRUVNXOVUIVUOVCZVUKWVKVCWVJWWAVUJVUPIUQVUIVUOFVPVQXNWVOWVJVUPIWVPWVQXD
      ZXRZUVOUVPUWAAVVIVYOWUEXJTUYRUYSMHJKOPUEXKWSWTOMVXSUEUVQXSVKAVUAUYTVJZVUA
      VWRUQURZLVAZVUBVCVWSAWWDVDZWWEIUQURZLVAZWWFVUBWWGWWEVSVJAWWEVUDVJZVDZWWIW
      WFVCZWWGVUAVWRWWGVUAWWGUYRVIVJZUYSVIVJZWWDVUAVIVJZAWWMWWDVXJVKZAWWNWWDVXO
      VKZAWWDVMZUYRUYSVUAUVRYBZWMZAVWRVSVJWWDAIVXKUVSVKUVTWWGAWWJAWWDUWKWWGCDWW
      EAVVGWWDQVKAVVHWWDRVKWWGVUAVWRWWSAVWRVIVJWWDAIUAXIVKZXDWWGCVXEWWEXPACVXEV
      CWWDAVXEVXICVXLVXMYCVKWWGUYRVUAVWRWWPWWSWXAWWGUYRYFVJZUYSYFVJZWWDUYRVUAXP
      UPWWGUYRWWPYDZWWGUYSWWQYDZWWRUYRUYSVUAUWBYBYGYEWWGWWEVXFDXPWWGVUAUYSVWRWW
      SWWQWXAWWGWXBWXCWWDVUAUYSXPUPWXDWXEWWRUYRUYSVUAUWCYBYGWWGVXFVXNDWWGUYSIWW
      GUYSWWQWMAIVSVJZWWDVXKVKZXBAVXNDVCWWDVXPVKWNUWDUWEXTAVURVUDVJZVDZVURIUQUR
      ZLVAZVVAVCZYHZWWKWWLYHUKWWEVSVURWWEVCZWXIWWKWXLWWLWXNWXHWWJAVURWWEVUDYIYJ
      WXNWXKWWIVVAWWFWXNWXJWWHLVURWWEIUQYQYKVURWWELVPYLYMAVVLVDZVVOYHZWXMBUKVUA
      VURVCZWXOWXIVVOWXLWXQVVLWXHAVUAVURVUDYIYJWXQVVNWXKVUBVVAWXQVVMWXJLVUAVURI
      UQYQYKVUAVURLVPYLYMUCUWFZUWGUWLWWGWWHVUALWWGWWHVVEIUQURZVUAWWGWWEVVEIUQWW
      GVUAIWWTWXGXBVQWWGVUAIWWTWXGUWHWNYKUWIVOUJJVUHVYAVYCVWRUQURVVQVXTVYCVWRUQ
      VUIVUMHVPVQVRAVVSVWSUFVKAVWALVYCVYDWBURZWCZWXTVSWDURZVJVWSWVJWYABULUTZUMU
      TZIUQURZVCZUMVWBYNZULVSXHZVVEVWCVAZVFZWYBWVJWYABWXTVUBVFBWYHVUBVFWYJWVJBV
      IVSWXTLAVVSVWAUFVKZWXTVIYRWVJVYCVYDUWJXOZUWMWVJBWXTWYHVUBWVJWXTVVPWVKWBUR
      ZWYHWVJVYCVVPVYDWVKWBWVTWWCWOWVJUMULVUNVUPIWVNWVPWVQUWNZWNZUWOWVJBWYHVUBW
      YIWVJVUAWYHVJZVDZWYIVVELVAZWXSLVAZVUBWYQVVEVWBVJZWYIWYRVCWYQAVWAVUAWYMVJZ
      WYTAVWAWYPWQZAVWAWYPWRZWVJXUAWYPWVJWYMWYHVUAWYNUWPUWQZAVWAXUAUWRZVUNVUPVV
      EAVWAVUNYFVJXUAWVJVUNWVNYDYOAVWAVUPYFVJXUAWVJVUPWVPYDYOAXUAVVEVIVJZVWAAXU
      AVDVUAIXUAWWOAVUAVVPWVKUWSZXNZAVVJXUAUAVKUWTZUXAZXUEVUNVVPIVGURZVVEUOAVWA
      VUNXUKVCXUAWVJXUKVUNWVJVUNIWVJVUNWVNWMAWXFVWAVXKVKZXCXEYOXUEVVPVUAIAVWAWV
      RXUAWVSYOZAXUAWWOVWAXUHUXAZAVWAVVJXUAUAYPZXUEVVPYFVJZWVKYFVJZXUAVVPVUAUOU
      PAVWAXUPXUAWVJVVPWVSYDYOZAVWAXUQXUAWVJWVKWWBYDYOZAVWAXUAUXBZVVPWVKVUAUXCY
      BZYSYEXUEVVEWVKIVGURZVUPUOXUEVUAWVKIXUNAVWAWVKVIVJXUAWWBYOXUOXUEXUPXUQXUA
      VUAWVKUOUPXURXUSXUTVVPWVKVUAUXDYBYSAVWAXVBVUPVCXUAWVJVUPIWVJVUPWVPWMXULXC
      YOUWDZUXEYBVVEVWBLUXFWSWYQXUFAVVEVUDVJZVDZWYSWYRVCZWYQAXUAXUFXUBXUDXUIYAW
      YQAXVDXUBWYQAVWAXUAXVDXUBXUCXUDXUECDVVEAVWAVVGXUAQYPZAVWAVVHXUARYPZXUJXUE
      CVVEXVGXUJXUECVXIVVEUOAVWACVXIVCXUAAVXICVXMXEYPXUEUYRVUAIAVWAWWMXUAVXJYPZ
      XUNXUOXUEUYRVVPVUAXVIXUMXUNAVWAUYRVVPXPUPXUAWVJCVUNIAVVGVWAQVKWVNWVQWVJCY
      FVJZDYFVJZVUNVUDVJCVUNXPUPAXVJVWAACQYDZVKZAXVKVWAADRYDZVKZWVJVUHVUDVUMFAV
      UHVUDFVTZVWAACDEFJKOPSTUBUXGZVKZWVMXQCDVUNUWBYBYGYOXVAUXHYSYEUXJXUEVVEDXU
      JXVHXUEVVEVUPDXUJAVWAVUPVIVJXUAWVPYOXVHXVCAVWAVUPDXPUPZXUAWVJXVJXVKVUPVUD
      VJXVSXVMXVOWVJVUHVUDVUOFXVRWVOXQCDVUPUWCYBYOUXKUXJUWEYBXTWXMXVEXVFYHUKVVE
      VIVURVVEVCZWXIXVEWXLXVFXVTWXHXVDAVURVVEVUDYIYJXVTWXKWYSVVAWYRXVTWXJWXSLVU
      RVVEIUQYQYKVURVVELVPYLYMWXRUWGUWLWYQAWWOWYSVUBVCXUBWYQXUAWWOXUDXUGWSAWWOV
      DZWXSVUALXWAVUAIWWOVUAVSVJAVUAUXLXNAWXFWWOVXKVKUWHYKYAUXIUXMUXNWVJWYJWYHV
      SWDURWYBWVJBUKVWBWYHIVWCWYJVWBVSYRWVJVUNVUPUXOXOZXULWYGVUAWXJVCZUKVWBYNZU
      LBVSWYCVUAVCZWYGVUAWYEVCZUMVWBYNXWDXWEWYFXWFUMVWBWYCVUAWYEWFUXPXWFXWCUMUK
      VWBWYDVURVCWYEWXJVUAWYDVURIUQYQUXQUXTUXRUXSZUGWYJWHUYAWVJWYHWXTVSWDWVJWXT
      WYHWYOXEZVQYTUYBVOAVWAGWYAVYCWEURZVJVWSWVJGLXWDBVSXHZWCZVVPWEURXWIWVJULUM
      VWBXWJGVUNILALUYCZVSLVTZVWAAXWMXWLVIYRZAVVSXWMXWNVDUFVIVSLUYDWSXLVKZXWBWV
      JVIVWBXWLVUNVUPUWJWVJVVSXWLVIVCWYKVIVSLUYEWSZUYFZXULWYHXWJXWGUYGZWVJXWJWY
      HXWLXWGWVJWXTVIWYHXWLWYLXWHXWPUYHUYJZWVJWYDVWBVJZVDZAWYDVUDVJZWYELVAZWYDL
      VAZVCZAVWAXWTWQZXXACDFVUMOWYDXXAAXVJXXFXVLWSXXAAXVKXXFXVNWSXXAAXVPXXFXVQW
      SAVWAXWTWRXWTWYDVUQVJWVJVWBVUQWYDVUNVUPUYIUYKXNUYLWXPAXXBVDZXXEYHBUMVUAWY
      DVCZWXOXXGVVOXXEXXHVVLXXBAVUAWYDVUDYIYJXXHVVNXXCVUBXXDXXHVVMWYELVUAWYDIUQ
      YQYKVUAWYDLVPYLYMUCUWFYAZUHUYMWVJXWKWYAVVPVYCWEWVJXWJWXTLWVJXWJWYHWXTXWRX
      WHUYNUYOZWVJVYCVVPWVTXEWOYTVOAVWANWYAVYDWEURZVJVWSWVJNXWKWVKWEURXXKWVJULU
      MVWBXWJNVUPILXWOXWBXWQXULXWRXWSXXIUIUYMWVJXWKWYAWVKVYDWEXXJWVJVYDWVKWWCXE
      WOYTVOUKBVYEVYIVUAVYCVCZGVUAVYDVCZNVUBVHZVHVWGVYFXXLVYHXXNGVURVUAVYCWFVWG
      VYGXXMVVAVUBNVURVUAVYDWFVWHWGWGVRVYKWHWIYCYAUYPUYP $.
  $}

  ${
    $d F i r s t $.  $d F i t x $.  $d H i r s t $.  $d L t x $.  $d M i j $.
    $d M i m p $.  $d M i r s t $.  $d M i t x $.  $d Q i j $.  $d Q i p $.
    $d Q i r s t $.  $d Q i t x $.  $d R t x $.  $d X i j $.  $d X i r s t $.
    $d X i t x $.  $d i j ph $.  $d ph r s t $.  $d ph t x $.
    fourierdlem93.1 $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = -u _pi /\ ( p ` m ) = _pi ) /\ A. i e. ( 0 ..^ m ) ( p ` i )
       < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem93.2 $e |- H = ( i e. ( 0 ... M ) |-> ( ( Q ` i ) - X ) ) $.
    fourierdlem93.3 $e |- ( ph -> M e. NN ) $.
    fourierdlem93.4 $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem93.5 $e |- ( ph -> X e. RR ) $.
    fourierdlem93.6 $e |- ( ph -> F : ( -u _pi [,] _pi ) --> CC ) $.
    fourierdlem93.7 $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem93.8 $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem93.9 $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    $( Integral by substitution (the domain is shifted by ` X ` ) for a
       piecewise continuous function.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem93 $p |- ( ph -> S. ( -u _pi [,] _pi ) ( F ` t ) _d t = S. ( (
       -u _pi - X ) [,] ( _pi - X ) ) ( F ` ( X + s ) ) _d s ) $=
      ( vx vj vr cpi cicc co cv cfv citg cc0 c1 caddc csu cmin wceq clt wral cr
      wbr wcel wa cn wb syl mpbid simprd eqcomd oveq12d itgeq1d cuz a1i eleqtrd
      fveq2d wss pire mp2an fssd cc adantr simpr ffvelrnd adantl cioo cmpt cres
      ccncf cxr rexri ad2antrr simplr fourierdlem1 ralrimiva dfss3 sylibr eqtrd
      eqeltrd climc oveq1d fvres cif eqid resubcld syl3anc readdcld cle syl2anc
      wf w3a simp2d simp3d mpbird 3eqtrd oveq2 fveq2 fvmptd eqtr2d oveq2d recnd
      cbvmptv pncan3d 3eqtrrd eqbrtrd rexrd eqidd cncfmptssg csn nfv wi rexlimd
      3exp mpd velsn cun crest ccnp ctopon wn cneg fourierdlem2 simplld simplrd
      cfzo cfz cmap nnuz eleqtrdi 1e0p1 fourierdlem15 renegcli iccssre r19.21bi
      0zd elfzofz fzofzp1 feqmptd reseq1d ioossicc resmptd iblcncfioo ibliooicc
      sstrd itgspltprt itgeq2dv fssresd limcicciooub limciccioolb fourierdlem82
      resabs1d eqtr3d eliccre elicc2 lesubadd2d leaddsub2d eliccd sumeq2dv nnzd
      cbvitgv 0le0 0red nnred nngt0d ltled elfzd eqeltrdi leidd ffvelrnda fmptd
      ltsub1dd syldan eqtri 3brtr4d crn frn wfun cdm ffun leadd2dd breqtrrd fdm
      fvmpt2 fvelrn sseldd elioore elioo2 ltadd2dd breqtrd eliood fcompt fveq1i
      ccom fveq2i mpteq2i mpteq2dva ssid id constcncfg cncfmptid addcncf cncfco
      ioosscn cdif wrex cvv elrnmpt ax-mp sylib nfmpt1 nfrn nfcri nfan 3ad2ant1
      vex simp3 3ad2ant2 3adant3 cin ineq2d dmres 3eqtr4d eleqtrrd ltned neneqd
      dfss sylnibr eldifd ccnfld ctopn cioc ccn addcomd addccncf iocssre sstrdi
      ax-resscn sselda addcld cnfldtop unicntop restid eqcomi cncfcn cnfldtopon
      ctop resttopon cncnp ubioc1 eleq2d rspccva ioounsn iftrue iffalse wo elun
      notbii biimpi orcomd ord syl5bir imp adantll sylan2b pm2.61dan mpteq12dva
      elsni jaodan fveq1d 3eltr4d ellimc limccog gtned cico lbico1 uncom syl5eq
      icossre snunioo adantlr eqtr4d ) ABUGUUAZUGUHUIZBUJZHUKZULBUMDUKZKDUKZUHU
      IZVXEULUMKUUEUIZBFUJZDUKZVXJUNUOUIZDUKZUHUIZVXEULZFUPZMVXBLUQUIZUGLUQUIZU
      HUIZLMUJZUOUIZHUKZULZABVXCVXHVXEAVXBVXFUGVXGUHAVXFVXBAVXFVXBURZVXGUGURZVX
      KVXMUSVBZFVXIUTZADVAUMKUUFUIZUUGUIVCZVYDVYEVDZVYGVDZADKCUKVCZVYIVYKVDZRAK
      VEVCVYLVYMVFQVXBUGCDFGKNOUUBVGVHVIZUUCZVJAVXGUGAVYDVYEVYGVYNUUDZVJVKZVLAB
      VXEDFUMKAUUOZAKUNVMUKZUMUNUOUIZVMUKAKVEVYSQUUHUUIAUNVYTVMUNVYTURAUUJVNVPV
      OZAVYHVXCVADAVXBUGCDFGKNOQRUUKZVXCVAVQZAVXBVAVCZUGVAVCZWUCUGVRUULZVRVXBUG
      UUMVSVNVTZAVYFFVXIAVYJVYGVYNVIUUNZAVXDVXHVCZVDZVXCWAVXDHAVXCWAHXJZWUITWBW
      UJVXDVXHVXCAWUIWCAVXHVXCURWUIAVXCVXHVYQVJWBVOWDAVXJVXIVCZVDZBVXKVXMVXEWUM
      VYHVAVXJDAVYHVADXJWULWUGWBZWULVXJVYHVCZAVXJUMKUUPWEZWDZWUMVYHVAVXLDWUNWUL
      VXLVYHVCAUMKVXJUUQWEZWDZWUMVXKVXMEBVXKVXMWFUIZVXEWGZJWUQWUSWUMWVAHWUTWHZW
      UTWAWIUIZWUMWVBWVAWUMWVBBVXCVXEWGZWUTWHWVAWUMHWVDWUTAHWVDURWULABVXCWAHTUU
      RWBUUSWUMBVXCWUTVXEWUMWUTVXNVXCWUTVXNVQWUMVXKVXMUUTVNZWUMVXDVXCVCZBVXNUTV
      XNVXCVQWUMWVFBVXNWUMVXDVXNVCZVDZVXBUGDVXJKVXDVXBWJVCZWVHVXBWUFWKZVNUGWJVC
      ZWVHUGVRWKZVNAVYHVXCDXJZWULWVGWUBWLAWULWVGWMWUMWVGWCWNZWOBVXNVXCWPWQZUVDZ
      UVAWRZVJUAWSWUMJWVBVXMWTUIZWVAVXMWTUIUCWUMWVBWVAVXMWTWVQXAVOWUMEWVBVXKWTU
      IZWVAVXKWTUIUBWUMWVBWVAVXKWTWVQXAVOUVBWVHVXCWAVXDHAWUKWULWVGTWLWVNWDUVCUV
      EAVXPVXIBVXKLUQUIZVXMLUQUIZUHUIZLVXDUOUIZHUKZULZFUPZVYCAVXIVXOWWEFWUMVXOB
      VXNVXDHVXNWHZUKZULBWWBWWCWWGUKZULWWEWUMBVXNVXEWWHWVGVXEWWHURWUMWVGWWHVXEV
      XDVXNHXBVJWEUVFWUMUDBVXKVXMEWWGUDVXNUDUJZVXKUREWWJVXMURJWWJWWGWUTWHZUKXCX
      CWGZJLWWLXDWUQWUSWUHWUMVXCWAVXNHAWUKWULTWBZWVOUVGZWUMWWKWVBWVCWUMHWUTVXNW
      VEUVKZUAWSWUMJWVRWWGVXMWTUIZUCWUMWWKVXMWTUIWVRWWPWUMWWKWVBVXMWTWWOXAWUMVX
      KVXMWWGWUQWUSWUHWWNUVHUVLVOWUMEWVSWWGVXKWTUIZUBWUMWVSWWKVXKWTUIWWQWUMWVBW
      WKVXKWTWUMWWKWVBWWOVJXAWUMVXKVXMWWGWUQWUSWUHWWNUVIWRVOALVAVCZWULSWBZUVJWU
      MBWWBWWIWWDWUMVXDWWBVCZVDZWWCVXNVCZWWIWWDURWXAVXKVXMWWCWUMVXKVAVCZWWTWUQW
      BZWUMVXMVAVCWWTWUSWBZWXALVXDAWWRWULWWTSWLZWXAWVTVAVCZWWAVAVCZWWTVXDVAVCZW
      XAVXKLWXDWXFXEZWXAVXMLWXEWXFXEZWUMWWTWCZWVTWWAVXDUVMXFZXGWXAWVTVXDXHVBZVX
      KWWCXHVBWXAWXIWXNVXDWWAXHVBZWXAWWTWXIWXNWXOXKZWXLWXAWXGWXHWWTWXPVFWXJWXKW
      VTWWAVXDUVNXIVHZXLWXAVXKLVXDWXDWXFWXMUVOVHWXAWWCVXMXHVBWXOWXAWXIWXNWXOWXQ
      XMWXALVXDVXMWXFWXMWXEUVPXNUVQZWWCVXNHXBVGUVFXOUVRAVYCBVXSWWDULZBUMIUKZKIU
      KZUHUIZWWDULZWWFVYCWXSURAMBVXSVYBWWDVXTVXDURZVYAWWCHVXTVXDLUOXPVPUVTVNABV
      XSWYBWWDAVXQWXTVXRWYAUHAWXTVXFLUQUIZVXQAFUMWVTWYEVYHIVAIFVYHWVTWGZURAPVNZ
      VXJUMURZWVTWYEURAWYHVXKVXFLUQVXJUMDXQZXAWEAUMUMKVYRAKQUVSZVYRUMUMXHVBAUWA
      VNAUMKAUWBAKQUWCZAKQUWDUWEZUWFZAVXFLAVXFVXBVAVYOWUFUWGZSXEZXRZAVXFVXBLUQV
      YOXAXSAWYAVXGLUQUIZVXRAFKWVTWYQVYHIVAWYGVXJKURZWVTWYQURAWYRVXKVXGLUQVXJKD
      XQXAWEAKUMKVYRWYJWYJWYLAKWYKUWHUWFAVXGLAVXGUGVAVYPVRUWGZSXEZXRZAVXGUGLUQV
      YPXAXSVKVLAWYCVXIBVXJIUKZVXLIUKZUHUIZWWDULZFUPWWFABWWDIFUMKVYRWUAAFVYHWVT
      VAIAWUOVDVXKLAVYHVAVXJDWUGUWIAWWRWUOSWBXEZPUWJWUMWVTWWAXUBXUCUSWUMVXKVXML
      WUQWUSWWSWUHUWKWUMWUOWXGXUBWVTURWUPAWULWUOWXGWUPXUFUWLZFVYHWVTVAIPUXCXIZW
      UMUEVXLUEUJZDUKZLUQUIZWWAVYHIVAIUEVYHXUKWGZURWUMIWYFXULPFUEVYHWVTXUKVXJXU
      IURVXKXUJLUQVXJXUIDXQXAYBUWMVNXUIVXLURZXUKWWAURWUMXUMXUJVXMLUQXUIVXLDXQXA
      WEWURWUMVXMLWUSWWSXEZXRZUWNZAVXDWYBVCZVDZHUWOZWAWWDAXUSWAVQZXUQAWUKXUTTVX
      CWAHUWPVGWBXURHUWQZWWCHUWRZVCWWDXUSVCAXVAXUQAWUKXVATVXCWAHUWSVGWBXURWWCVX
      CXVBXURVXBUGWWCWUDXURWUFVNWUEXURVRVNXURLVXDAWWRXUQSWBZXURWXTVAVCZWYAVAVCZ
      XUQWXIAXVDXUQAWXTWYEVAWYPWYOWSWBZAXVEXUQAWYAWYQVAXUAWYTWSWBZAXUQWCZWXTWYA
      VXDUVMXFZXGXURVXBLWXTUOUIZWWCXHAVXBXVJURXUQAXVJLWYEUOUIVXFVXBAWXTWYELUOAF
      UMWVTWYEVYHIVAWYGAWYHVDVXKVXFLUQWYHVXKVXFURAWYIWEXAWYMWYOXRXTALVXFALSYAZA
      VXFWYNYAYCVYOYDWBXURWXTVXDLXVFXVIXVCXURWXIWXTVXDXHVBZVXDWYAXHVBZXURXUQWXI
      XVLXVMXKZXVHXURXVDXVEXUQXVNVFXVFXVGWXTWYAVXDUVNXIVHZXLUWTYEXURWWCLWYAUOUI
      ZUGXHXURVXDWYALXVIXVGXVCXURWXIXVLXVMXVOXMUWTAUGXVPURXUQAXVPLWYQUOUIVXGUGA
      WYAWYQLUOXUAXTALVXGXVKAVXGWYSYAYCVYPYDWBUXAUVQAVXCXVBURXUQAXVBVXCAWUKXVBV
      XCURTVXCWAHUXBVGZVJWBVOWWCHUXDXIUXEWUMBXUBXUCWWDWUMXUBWVTVAXUHXUGWSZWUMXU
      CWWAVAXUOXUNWSZWUMXUBXUCEBXUBXUCWFUIZWWDWGZJXVRXVSWUMXWAWVBBXVTWWCWGZUXMZ
      XVTWAWIUIWUMXWCMXVTVXTXWBUKZWVBUKZWGZXWAWUMWUTWAWVBXJXVTWUTXWBXJXWCXWFURW
      UMVXCWAWUTHWWMWVPUVGWUMBXVTWWCWUTXWBWUMVXDXVTVCZVDZVXKVXMWWCWUMVXKWJVCZXW
      GWUMVXKWUQYFZWBWUMVXMWJVCZXWGWUMVXMWUSYFZWBXWHLVXDAWWRWULXWGSWLZXWGWXIWUM
      VXDXUBXUCUXFZWEZXGZXWHVXKLXUBUOUIZWWCUSWUMVXKXWQURZXWGWUMXWQLWVTUOUIVXKVX
      KWUMXUBWVTLUOXUHXTWUMLVXKALWAVCZWULXVKWBZWUMVXKWUQYAYCWUMVXKYGYDZWBXWHXUB
      VXDLWUMXUBVAVCZXWGXVRWBZXWOXWMXWHWXIXUBVXDUSVBZVXDXUCUSVBZXWHXWGWXIXXDXXE
      XKZWUMXWGWCZXWHXUBWJVCZXUCWJVCZXWGXXFVFXWHXUBXXCYFWUMXXIXWGWUMXUCXVSYFZWB
      XUBXUCVXDUXGXIVHZXLUXHYEZXWHWWCLXUCUOUIZVXMUSXWHVXDXUCLXWOWUMXUCVAVCZXWGX
      VSWBXWMXWHWXIXXDXXEXXKXMUXHWUMXXMVXMURXWGWUMXXMLWWAUOUIVXMWUMXUCWWALUOXUO
      XTWUMLVXMXWTWUMVXMWUSYAYCWRZWBUXIZUXJZXWBXDZUWJZMWVBXWBXVTWUTWAUXKXIZWUMX
      WFMXVTVXTUFXVTLUFUJZUOUIZWGZUKZWVBUKZWGZBXVTVXDXYCUKZWVBUKZWGZXWAXWFXYFUR
      WUMMXVTXWEXYEXWDXYDWVBVXTXWBXYCBUFXVTWWCXYBVXDXYALUOXPYBUXLUXNUXOVNXYFXYI
      URWUMMBXVTXYEXYHWYDXYDXYGWVBVXTVXDXYCXQVPYBVNWUMBXVTXYHWWDXWHXYHWWCWVBUKZ
      WWDXWHXYGWWCWVBXWHUFVXDXYBWWCXVTXYCVAXWHXYCYGXYAVXDURXYBWWCURXWHXYAVXDLUO
      XPWEXXGXWPXRVPXWHWWCWUTVCXYJWWDURXXQWWCWUTHXBVGWRUXPXOZXSWUMXVTWUTWAXWBWV
      BWUMBWAWAXVTWUTWWCBWAWWCWGZXYLXDWUMXWSXYLWAWAWIUIZVCXWTXWSBLVXDWAXWSBWALW
      AWAWAVQZXWSWAUXQZVNZXWSUXRXYPUXSBWAVXDWGXYMVCZXWSXYNXYNXYQXYOXYOBWAWAUXTV
      SVNUYAVGXVTWAVQWUMXUBXUCUYCVNZWUTWAVQWUMVXKVXMUYCVNZXXQYHUAUYBWSWUMJXWCXU
      CWTUIXWAXUCWTUIWUMXUCVXMJXWBWVBWUMXYAWVBUWRZVXMYIZUYDZVCZUFXWBUWOZUTYUDYU
      BVQWUMYUCUFYUDWUMXYAYUDVCZVDZXYAXYTYUAYUFXYAWUTXYTYUFVXKVXMXYAWUMXWIYUEXW
      JWBWUMXWKYUEXWLWBYUFXYAWWCURZBXVTUYEZXYAVAVCZYUFYUEYUHWUMYUEWCXYAUYFVCYUE
      YUHVFUFUYOBXVTWWCXYAXWBUYFXXRUYGUYHUYIZYUFYUGYUIBXVTWUMYUEBWUMBYJBUFYUDBX
      WBBXVTWWCUYJUYKUYLUYMZYUIBYJAXWGYUGYUIYKYKWULYUEAXWGYUGYUIAXWGYUGXKZXYAWW
      CVAAXWGYUGUYPYULLVXDAXWGWWRYUGSUYNXWGAWXIYUGXWNUYQXGWSYMWLYLYNZYUFYUHVXKX
      YAUSVBZYUJYUFYUGYUNBXVTYUKYUNBYJWUMXWGYUGYUNYKYKYUEWUMXWGYUGYUNWUMXWGYUGX
      KZVXKWWCXYAUSWUMXWGVXKWWCUSVBYUGXXLUYRWUMXWGYUGUYPZUXAYMWBYLYNZYUFYUHXYAV
      XMUSVBZYUJYUFYUGYURBXVTYUKYURBYJWUMXWGYUGYURYKYKYUEWUMXWGYUGYURYUOXYAWWCV
      XMUSYUPWUMXWGWWCVXMUSVBYUGXXPUYRYEYMWBYLYNZUXJWUMXYTWUTURYUEWUMWUTXVBUYSZ
      WUTVXCUYSZXYTWUTAYUTYVAURWULAXVBVXCWUTXVQUYTWBXYTYUTURWUMHWUTVUAVNWUMWUTV
      XCVQWUTYVAURWVPWUTVXCVUFUYIVUBWBVUCZYUFXYAVXMURXYAYUAVCYUFXYAVXMYUFXYAVXM
      YUMYUSVUDVUEUFVXMYOVUGVUHWOUFYUDYUBWPWQWUMVXMXWBXUCWTUIVCMXVTXUCYIZYPZVXT
      XUCURZVXMXWDXCZWGZXUCVUIVUJUKZYVDYQUIZYVHYRUIZUKZVCWUMMXUBXUCVUKUIZVYAWGZ
      XUCYVHYVLYQUIZYVHYRUIZUKZYVGYVKWUMYVMVXDYVOUKZVCZBYVLUTZXUCYVLVCZYVMYVPVC
      ZWUMYVLWAYVMXJZYVSWUMYVMYVNYVHVULUIZVCZYWBYVSVDZWUMYVMYVLWAWIUIZYWCWUMMWA
      WAYVLWAVYAMWAVYAWGZYWGXDZAYWGXYMVCWULAYWGMWAVXTLUOUIZWGZXYMAMWAVYAYWIAVXT
      WAVCZVDLVXTAXWSYWKXVKWBAYWKWCVUMUXPAXWSYWJXYMVCXVKMLYWJYWJXDVUNVGWSWBZWUM
      YVLVAWAWUMXXHXXNYVLVAVQWUMXUBXVRYFZXVSXUBXUCVUOXIVUQVUPZXYNWUMXYOVNZWUMVX
      TYVLVCZVDLVXTAXWSWULYWPXVKWLWUMYVLWAVXTYWNVURVUSYHWUMYVLWAVQZXYNYWFYWCURY
      WNYWOYVLWAYVHYVNYVHYVHXDZYVNXDYVHWAYQUIZYVHYVHVVFVCYWSYVHURYVHYWRVUTYVHVV
      FWAVVAVVBUYHVVCZVVDXIVOWUMYVNYVLYSUKVCZYVHWAYSUKVCZYWDYWEVFWUMYXBYWQYXAYX
      BWUMYVHYWRVVEVNZYWNYVLYVHWAVVGXIYXCBYVMYVNYVHYVLWAVVHXIVHVIWUMXXHXXIXUBXU
      CUSVBZYVTYWMXXJXUPXUBXUCVVIXFYVRYWABXUCYVLVXDXUCURYVQYVPYVMVXDXUCYVOXQVVJ
      VVKXIWUMMYVDYVFYVLVYAWUMXXHXXIYXDYVDYVLURYWMXXJXUPXUBXUCVVLXFZWUMVXTYVDVC
      ZVDZYVEYVFVYAURYXGYVEVDVXMXXMYVFVYAWUMVXMXXMURYXFYVEWUMXXMVXMXXOVJWLYVEYV
      FVXMURYXGYVEVXMXWDVVMWEYVEVYAXXMURYXGVXTXUCLUOXPWEVUBYXGYVEYTZVDZYVFXWDVY
      AYXHYVFXWDURYXGYVEVXMXWDVVNWEYXIBVXTWWCVYAXVTXWBVAYXIXWBYGVXDVXTURZWWCVYA
      URZYXIVXDVXTLUOXPZWEYXFYXHVXTXVTVCZWUMYXFYXHYXMYXHVXTYVCVCZYTYXFYXMYXNYVE
      MXUCYOVVQYXFYXNYXMYXFYXMYXNYXFYXMYXNVVOZVXTXVTYVCVVPZVVRVVSVVTVWAVWBVWCYX
      GVYAVAVCZYXHYXGLVXTAWWRWULYXFSWLYXFWUMYXOVXTVAVCZYXPWUMYXMYXRYXNYXMYXRWUM
      VXTXUBXUCUXFWEZWUMYXNVDVXTXUCVAYXNYVEWUMVXTXUCVWGWEWUMXXNYXNXVSWBWSVWHVWD
      XGWBXRWRVWEVWFWUMXUCYVJYVOWUMYVIYVNYVHYRWUMYVDYVLYVHYQYXEXTXAVWIVWJWUMMXV
      TXUCVXMXWBYVGYVIYVHYVIXDYWRYVGXDWUMXVTWUTWAXWBXXSXYSVTZXYRWUMXUCXVSYAVWKX
      NUCVWLWUMXWCXWAXUCWTWUMXWCXWFXWAXXTXYKWRZXAVOWUMEXWCXUBWTUIXWAXUBWTUIWUMX
      UBVXKEXWBWVBWUMXYAXYTVXKYIZUYDZVCZUFYUDUTYUDYYCVQWUMYYDUFYUDYUFXYAXYTYYBY
      VBYUFXYAVXKURXYAYYBVCYUFXYAVXKYUFVXKXYAWUMWXCYUEWUQWBYUQVWMVUEUFVXKYOVUGV
      UHWOUFYUDYYCWPWQWUMVXKXWBXUBWTUIVCMXVTXUBYIZYPZVXTXUBURZVXKXWDXCZWGZXUBYV
      HYYFYQUIZYVHYRUIZUKZVCWUMMXUBXUCVWNUIZVYAWGZXUBYVHYYMYQUIZYVHYRUIZUKZYYIY
      YLWUMYYNVXDYYPUKZVCZBYYMUTZXUBYYMVCZYYNYYQVCZWUMYYMWAYYNXJZYYTWUMYYNYYOYV
      HVULUIZVCZUUUCYYTVDZWUMYYNYYMWAWIUIZUUUDWUMMWAWAYYMWAVYAYWGYWHYWLWUMYYMVA
      WAWUMXXBXXIYYMVAVQXVRXXJXUBXUCVWRXIVUQVUPZYWOWUMVXTYYMVCZVDLVXTAXWSWULUUU
      IXVKWLWUMYYMWAVXTUUUHVURVUSYHWUMYYMWAVQZXYNUUUGUUUDURUUUHYWOYYMWAYVHYYOYV
      HYWRYYOXDYWTVVDXIVOWUMYYOYYMYSUKVCZYXBUUUEUUUFVFWUMYXBUUUJUUUKYXCUUUHYYMY
      VHWAVVGXIYXCBYYNYYOYVHYYMWAVVHXIVHVIWUMXXHXXIYXDUUUAYWMXXJXUPXUBXUCVWOXFY
      YSUUUBBXUBYYMVXDXUBURYYRYYQYYNVXDXUBYYPXQVVJVVKXIWUMMYYFYYHYYMVYAWUMYYFYY
      EXVTYPZYYMXVTYYEVWPWUMXXHXXIYXDUUULYYMURYWMXXJXUPXUBXUCVWSXFVWQZWUMVXTYYF
      VCZVDZYYGYYHVYAURZWUMYYGUUUPUUUNWUMYYGVDYYHVXKXWQVYAYYGYYHVXKURWUMYYGVXKX
      WDVVMWEWUMXWRYYGXXAWBYYGXWQVYAURWUMYYGVYAXWQVXTXUBLUOXPVJWEXOVWTUUUOYYGYT
      ZVDZYYHXWDVYAUUUQYYHXWDURUUUOYYGVXKXWDVVNWEUUURBVXTWWCVYAXVTXWBVAUUURXWBY
      GYXJYXKUUURYXLWEUUUNUUUQYXMWUMUUUNUUUQYXMUUUQVXTYYEVCZYTUUUNYXMUUUSYYGMXU
      BYOVVQUUUNUUUSYXMUUUNYXMUUUSUUUNYXMUUUSVVOZVXTXVTYYEVVPZVVRVVSVVTVWAVWBVW
      CUUUOYXQUUUQUUUOLVXTAWWRWULUUUNSWLUUUNWUMUUUTYXRUUVAWUMYXMYXRUUUSYXSWUMUU
      USVDVXTXUBVAUUUSYYGWUMVXTXUBVWGWEWUMXXBUUUSXVRWBWSVWHVWDXGWBXRWRVWEVWFWUM
      XUBYYKYYPWUMYYJYYOYVHYRWUMYYFYYMYVHYQUUUMXTXAVWIVWJWUMMXVTXUBVXKXWBYYIYYJ
      YVHYYJXDYWRYYIXDYXTXYRWUMXUBXVRYAVWKXNUBVWLWUMXWCXWAXUBWTYYAXAVOUVBWUMVXD
      XUDVCZVDZVXCWAWWCHAWUKWULUUVBTWLUUVCVXBUGDVXJKWWCWVIUUVCWVJVNWVKUUVCWVLVN
      AWVMWULUUVBWUBWLAWULUUVBWMWUMUUVBWWTWXBUUVCVXDXUDWWBWUMUUVBWCWUMXUDWWBURU
      UVBWUMXUBWVTXUCWWAUHXUHXUOVKZWBVOWXRUWLWNWDUVCUVEAVXIXUEWWEFWUMBXUDWWBWWD
      UUVDVLUVRWRXOVXAXO $.
  $}

  ${
    $d F i j k n w x y $.  $d F i j k t w y z $.  $d M i j k t w x y z $.
    $d M i j k n w x y $.  $d M i j k n p w y $.  $d Q i j k t w x y z $.
    $d Q i j k n w x y $.  $d Q i j k n p w y $.  $d T i j k t w x y z $.
    $d T i j k n w x y $.  $d T i j k n p w y $.  $d X i j k t w x y z $.
    $d X i j k n w x y $.  $d X i j k n p w y $.  $d i j k ph t w x y z $.
    $d n ph w x y $.
    fourierdlem94.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem94.t $e |- T = ( 2 x. _pi ) $.
    fourierdlem94.per $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x
       ) ) $.
    fourierdlem94.x $e |- ( ph -> X e. RR ) $.
    fourierdlem94.p $e |- P = ( n e. NN |-> { p e. ( RR ^m ( 0 ... n ) ) | ( (
       ( p ` 0 ) = -u _pi /\ ( p ` n ) = _pi ) /\ A. i e. ( 0 ..^ n ) ( p ` i )
       < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem94.m $e |- ( ph -> M e. NN ) $.
    fourierdlem94.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem94.dvcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( ( RR _D F ) |` (
       ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 )
       ) ) -cn-> CC ) ) $.
    fourierdlem94.dvlb $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( ( ( RR _D F ) |`
       ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) =/= (/) ) $.
    fourierdlem94.dvub $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( ( ( RR _D F ) |`
       ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) =/= (/)
       ) $.
    $( For a piecewise smooth function, the left and the right limits exist at
       any point.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem94 $p |- ( ph -> ( ( ( F |` ( -oo (,) X ) ) limCC X ) =/= (/) /\
       ( ( F |` ( X (,) +oo ) ) limCC X ) =/= (/) ) ) $=
      ( vk vz vy vt vj vw cmnf cioo co cres climc c0 wne cpnf cneg cr cmin cdiv
      cpi cv cfl cfv cmul cmpt caddc c1 wcel cio pire renegcli a1i clt negpilt0
      wbr cc0 pipos 0re lttri mp2an c2 picn 2timesi subnegi 3eqtr4i wss ssid cz
      w3a simp2 zre 3ad2ant3 remulcli eqeltrid adantr 3adant2 remulcld readdcld
      2re wceq simp1 simp3 wa cc wf ax-resscn fssd simplr simpr wi eleq1w oveq1
      anbi2d fveq2 eqeq12d imbi12d chvarvv ad4ant14 fperiodmul syl21anc cdv cdm
      fveq2d eqid wral syl simpld adantl ffvelrnd rexrd cabs cle syl2anc simprd
      wrex ellimciota oveq12d cbvmptv ex oveq1d cfzo ioossre fssresd crn ccnfld
      ccncf ctg cnt ctopn tgioo2 dvres syl22anc dmeqd ioontr reseq2i dmeqi 3syl
      cncff fdm 3eqtrd dvcn syl31anc sstrdi cfz cn wb fourierdlem2 mpbid elmapi
      cmap elfzofz fzofzp1 simprrd r19.21bi lptioo2cn simplld simplrd lptioo1cn
      dvbss dvfre fperdvper an32s fourierdlem71 nfv nfan eqtrdi fveq1d sylan9eq
      nfra1 adantlr ssdmres sylibr ad2antrr sseldd rspa eqbrtrd ralrimi reximdv
      fvres ioodvbdlimc2 oveq2 id fourierdlem49 cico ioodvbdlimc1 fourierdlem48
      mpd biid jca ) AHUHJUIUJUKJULUJUMUNHJUOUIUJUKJULUJUMUNABUTUPZUTUQCDEFUBGU
      CUQUCVAZUXKUDUQUTUDVAZURUJZEUSUJZVBVCZEVDUJZVEZVCZVFUJZVEZHUXLHFVAZDVCZUY
      AVGVFUJZDVCZUIUJZUKZUYDULUJVHUDVIIJUXQKUXJUQVHAUTVJVKZVLZUTUQVHAVJVLZUXJU
      TVMVOZAUXJVPVMVOVPUTVMVOUYJVNVQUXJVPUTUYGVRVJVSVTVLZPWAUTVDUJZUTUTVFUJEUT
      UXJURUJUTWBWCMUTUTWBWBWDWEZQRUQUQWFZAUQWGZVLZLABVAZUQVHZUBVAZWHVHZWIZUYQU
      YSEVDUJZAUYRUYTWJZVUAUYSEUYTAUYSUQVHZUYRUYSWKZWLAUYTEUQVHZUYRAVUFUYTAEUYL
      UQMUYLUQVHAWAUTWSVJWMVLWNWOZWPWQWRZVUAAUYTUYRUYQVUBVFUJHVCUYQHVCZWTAUYRUY
      TXAAUYRUYTXBVUCAUYTXCZUYRXCUDEHUYSUYQVUJUQXDHXEZUYRAVUKUYTAUQUQXDHLUQXDWF
      ZAXFVLZXGZWOZWOVUJVUFUYRVUGWOAUYTUYRXHVUJUYRXIAUXLUQVHZUXLEVFUJZHVCZUXLHV
      CZWTZUYTUYRAUYRXCZUYQEVFUJZHVCZVUIWTZXJAVUPXCZVUTXJBUDUYQUXLWTZVVAVVEVVDV
      UTVVFUYRVUPABUDUQXKXMVVFVVCVURVUIVUSVVFVVBVUQHUYQUXLEVFXLYCUYQUXLHXNXOXPN
      XQXRXSXTZAUYAVPIUUAUJZVHZXCZVULUYEXDUYFXEZUYEUQWFZUQUYFYAUJZYBZUYEWTUYFUY
      EXDUUFUJZVHVULVVJXFVLZAVVKVVIAUYEUQXDUYFAUQUQUYEHLVVLAUYBUYDUUBZVLUUCZVUM
      XGWOZVVLVVJVVQVLZVVJVVNUQHYAUJZUYEUIUUDUUGVCZUUHVCVCZUKZYBZVWAUYEUKZYBZUY
      EVVJVVMVWDVVJVULVUKUYNVVLVVMVWDWTVVPAVUKVVIVUNWOUYNVVJUYOVLVVTUQUYEUQVWBH
      UUEUUIVCZVWHYDZVWHVWIUUJUUKUULZUUMVWEVWGWTVVJVWDVWFVWCUYEVWAUYBUYDUUNUUOZ
      UUPVLVVJVWFVVOVHZUYEXDVWFXEZVWGUYEWTZSUYEXDVWFUURZUYEXDVWFUUSUUQZUUTZUYEU
      QUYFUVAUVBZVVJUDUYEUYDUYFVWHVVSVVJUYEUQXDVVTXFUVCZVVJUYBUYDVWHVWIVVJUYBVV
      JVPIUVDUJZUQUYADAVWTUQDXEZVVIADUQVWTUVJUJVHZVXAAVXBVPDVCUXJWTZIDVCUTWTZXC
      ZUYBUYDVMVOZFVVHYEZXCZADICVCVHZVXBVXHXCZRAIUVEVHVXIVXJUVFQUXJUTCDFGIKPUVG
      YFUVHZYGDUQVWTUVIYFZWOZVVIUYAVWTVHAUYAVPIUVKYHYIZYJVVJVWTUQUYCDVXMVVIUYCV
      WTVHAVPIUYAUVLYHYIZAVXFFVVHAVXBVXEVXGVXKUVMUVNZUVOZVVJUEUCUYBUYDUYFVXNVXO
      AUYEUQUYFXEVVIVVRWOZVWQVVJUEVAZVWAVCZYKVCZUXKYLVOZUEVWAYBZYEZUCUQYOZVXSVV
      MVCZYKVCZUXKYLVOZUEUYEYEZUCUQYOAVYEVVIAUEUCUXJUTDUYQVWFUYBULUJVHBVIEFUBUE
      UQVXSUTVXSURUJEUSUJVBVCEVDUJVFUJVEZVWAUFVVHUFVAZDVCZVYKVGVFUJZDVCZUIUJZVE
      UYQVWFUYDULUJVHBVIIAUQUQHVUMVUNUYPUVSAUQUQHXEUYNVYCUQVWAXELUYPUQHUVTYMUYH
      UYIUYKUYMQVXLAVXCVXDVXGAVXBVXHVXKYNZUVPAVXCVXDVXGVYPUVQSVVJBUYEUYBVWFVWHV
      VJVWLVWMSVWOYFZVWSVVJUYBUYDVWHVWIVVJUYDVXOYJVXNVXPUVRZTVWIYPVVJBUYEUYDVWF
      VWHVYQVWSVXQUAVWIYPAVXSVYCVHZXCUYTXCZVXSVUBVFUJZVYCVHZWUAVWAVCVXTWTZAUYTV
      YSWUBWUCXCVUJUEVUBHVWAVUOVUJUYSEUYTVUDAVUEYHVUGWQVUJVXSUQVHZXCBEHUYSVXSVU
      JVUKWUDVUOWOVUJVUFWUDVUGWOAUYTWUDXHVUJWUDXIAUYRVVDUYTWUDNXRXSVWAYDUWAUWBZ
      YGVYTWUBWUCWUEYNUFFVVHVYOUYEVYKUYAWTZVYLUYBVYNUYDUIVYKUYADXNWUFVYMUYCDVYK
      UYAVGVFXLYCYQYRVYJYDUWCWOVVJVYDVYIUCUQVVJVYDVYIVVJVYDXCZVYHUEUYEVVJVYDUEV
      VJUEUWDVYBUEVYCUWIUWEWUGVXSUYEVHZVYHWUGWUHXCZVYGVYAUXKYLVVJWUHVYGVYAWTVYD
      VVJWUHXCVYFVXTYKVVJWUHVYFVXSVWFVCVXTVVJVXSVVMVWFVVJVVMVWDVWFVWJVWKUWFUWGV
      XSUYEVWAUWSUWHYCUWJWUIVYDVYSVYBVVJVYDWUHXHWUIUYEVYCVXSVVJUYEVYCWFZVYDWUHV
      VJVWNWUJVWPUYEVWAUWKUWLUWMWUGWUHXIUWNVYBUEVYCUWOYMUWPYSUWQYSUWRUXGZUWTVWI
      YPOUDBUQUXPUTUYQURUJZEUSUJZVBVCZEVDUJUXLUYQWTZUXOWUNEVDWUOUXNWUMVBWUOUXMW
      ULEUSUXLUYQUTURUXAYTYCYTYRZUCBUQUXSUYQUYQUXQVCZVFUJUXKUYQWTZUXKUYQUXRWUQV
      FWURUXBUXKUYQUXQXNYQYRZUXCAVVJUGVAZUYBUYDUXDUJVHXCUYTXCWUTJVUBVFUJWTXCZBU
      GUXJUTUQCDUXLUYFUYBULUJVHUDVIEFUBGUXTHIJUXQKUYHUYIUYKPUYMQRLVUHVVGVWRVVJU
      DUYEUYBUYFVWHVVSVWSVYRVVJUEUCUYBUYDUYFVXNVXOVXRVWQWUKUXEVWIYPOWUPWUSWVAUX
      HUXFUXI $.
  $}

  ${
    $d A s $.  $d B s $.  $d C s $.  $d D s $.  $d F s $.  $d G i s $.
    $d H s $.  $d K s $.  $d L s $.  $d M i j p $.  $d M i m p $.
    $d M i j s $.  $d O s $.  $d R s $.  $d S s $.  $d V i j p $.
    $d V i j s $.  $d W s $.  $d X i j p $.  $d X i m p $.  $d X i j s $.
    $d Y s $.  $d i n s $.  $d i ph s $.
    fourierdlem95.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem95.xre $e |- ( ph -> X e. RR ) $.
    fourierdlem95.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( -u _pi + X ) /\ ( p ` m ) = ( _pi + X ) ) /\ A. i e. ( 0
       ..^ m ) ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem95.m $e |- ( ph -> M e. NN ) $.
    fourierdlem95.v $e |- ( ph -> V e. ( P ` M ) ) $.
    fourierdlem95.x $e |- ( ph -> X e. ran V ) $.
    fourierdlem95.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( V ` i )
       (,) ( V ` ( i + 1 ) ) ) ) e. ( ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem95.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( V `
       i ) (,) ( V ` ( i + 1 ) ) ) ) limCC ( V ` i ) ) ) $.
    fourierdlem95.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( V `
       i ) (,) ( V ` ( i + 1 ) ) ) ) limCC ( V ` ( i + 1 ) ) ) ) $.
    fourierdlem95.h $e |- H = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 0 , (
       ( ( F ` ( X + s ) ) - if ( 0 < s , Y , W ) ) / s ) ) ) $.
    fourierdlem95.k $e |- K = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 1 , (
       s / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) ) $.
    fourierdlem95.u $e |- U = ( s e. ( -u _pi [,] _pi ) |-> ( ( H ` s ) x. ( K
       ` s ) ) ) $.
    fourierdlem95.s $e |- S = ( s e. ( -u _pi [,] _pi ) |-> ( sin ` ( ( n + ( 1
       / 2 ) ) x. s ) ) ) $.
    fourierdlem95.g $e |- G = ( s e. ( -u _pi [,] _pi ) |-> ( ( U ` s ) x. ( S
       ` s ) ) ) $.
    fourierdlem95.i $e |- I = ( RR _D F ) $.
    fourierdlem95.ifn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( I |` ( ( V ` i )
       (,) ( V ` ( i + 1 ) ) ) ) : ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) --> RR )
       $.
    fourierdlem95.b $e |- ( ph -> B e. ( ( I |` ( -oo (,) X ) ) limCC X ) ) $.
    fourierdlem95.c $e |- ( ph -> C e. ( ( I |` ( X (,) +oo ) ) limCC X ) ) $.
    fourierdlem95.y $e |- ( ph -> Y e. ( ( F |` ( X (,) +oo ) ) limCC X ) ) $.
    fourierdlem95.w $e |- ( ph -> W e. ( ( F |` ( -oo (,) X ) ) limCC X ) ) $.
    fourierdlem95.admvol $e |- ( ph -> A e. dom vol ) $.
    fourierdlem95.ass $e |- ( ph -> A C_ ( ( -u _pi [,] _pi ) \ { 0 } ) ) $.
    fourierlemenplusacver2eqitgdirker.e $e |- E = ( n e. NN |-> ( S. A ( G ` s
       ) _d s / _pi ) ) $.
    fourierdlem95.d $e |- D = ( n e. NN |-> ( s e. RR |-> if ( ( s mod ( 2 x.
       _pi ) ) = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n +
       ( 1 / 2 ) ) x. s ) ) / ( ( 2 x. _pi ) x. ( sin ` ( s / 2 ) ) ) ) ) ) )
       $.
    fourierdlem95.o $e |- ( ph -> O e. RR ) $.
    fourierdlem95.ifeqo $e |- ( ( ph /\ s e. A ) -> if ( 0 < s , Y , W ) = O )
       $.
    fourierdlem95.itgdirker $e |- ( ( ph /\ n e. NN ) -> S. A ( ( D ` n ) ` s )
       _d s = ( 1 / 2 ) ) $.
    $( Algebraic manipulation of integrals, used by other lemmas.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem95 $p |- ( ( ph /\ n e. NN ) -> ( ( E ` n ) + ( O / 2 ) ) = S. A
       ( ( F ` ( X + s ) ) x. ( ( D ` n ) ` s ) ) _d s ) $=
      ( vj cv cn wcel wa cfv c2 cdiv co caddc citg cpi cmul cc0 clt wbr cmin cr
      cif wceq simpr cneg wss adantr sselda wf cpnf cioo ioossre a1i fssresd cc
      cres ioosscn eqid cxr limcrecl cmnf syldan cmpt cibl feqmptd cfz c1 climc
      cfzo ccncf adantlr oveq1d eqeltrrd iblss pire syl2anc recnd eqcomd oveq2d
      wne oveq12d itgeq2dv remulcld picn iblmulc2 itgmulc2 3eqtrd ssid mulcld
      cicc csn ccnfld ctopn pnfxr ltpnfd lptioo1cn mnfxr mnfltd lptioo2cn nnred
      difss2d fourierdlem67 ffvelrnda cvol cdm wral cmap crab crn fveq2 cbvmptv
      fourierdlem88 itgrecl pipos gt0ne0ii redivcld fvmpt2 2cnd 2ne0 eqtrd cdif
      divrecd fourierdlem66 difss renegcli mp2an sstri sselid readdcld ffvelrnd
      iccssre resubcld dirkerre div23d divrec2d 3eqtr3rd dividi mulid2d 3eqtrrd
      ifcld mpteq2dva reccld eqeltrd itgcl divcan3d sseli sylan2 adantll cncfss
      ax-resscn sylancl dirkerf dirkercncf cncfmptssg cniccibl syl3anc ad2antrr
      sseldd adantl itgadd subdird npcand eqtr3d ) ALVPZVQVRZVSZUXOMVTZUAWAWBWC
      ZWDWCUFBUFVPZOVTZWEZWFWBWCZUAUFBUXTUXOEVTZVTZWEZWGWCZWDWCUFBUDUXTWDWCZNVT
      ZWHUXTWIWJZUEUCWMZWKWCZUYEWGWCZWEZUFBUAUYEWGWCZWEZWDWCZUFBUYIUYEWGWCZWEZU
      XQUXRUYCUXSUYGWDUXQUXPUYCWLVRUXRUYCWNAUXPWOZUXQUYBWFUXQUFBUYAUXQUXTBVRZUX
      TWFWPZWFUUAWCZVRZUYAWLVRUXQBVUCUXTABVUCWQUXPABVUCWHUUBZVIUULWRZWSUXQVUCWL
      UXTOUXQHINOPRUXOUCUDUEUFAWLWLNWTZUXPUHWRZAUDWLVRZUXPUIWRAUEWLVRUXPAUDXAXB
      WCZUDNVUJXGZUEAWLWLVUJNUHVUJWLWQAUDXAXCXDXEVUJXFWQAUDXAXHXDAUDXAUUCUUDVTZ
      VULXIZXAXJVRAUUEXDUIAUDUIUUFUUGVFXKZWRAUCWLVRUXPAXLUDXBWCZUDNVUOXGZUCAWLW
      LVUONUHVUOWLWQAXLUDXCXDXEVUOXFWQAXLUDXHXDAXLUDVULVUMXLXJVRAUUHXDUIAUDUIUU
      IUUJVGXKZWRUQURUSUXQUXOUYTUUKZUTVAUUMZUUNZXMZUXQUFBVUCUYAWLVUFABUUOUUPVRU
      XPVHWRZVUTUXQOUFVUCUYAXNXOUXQUFVUCWLOVUSXPUXQCDFVOWHTXQWCZVOVPZUBVTZUDWKW
      CZXNGHIJKNOPQRSTUXOKVQWHUGVPZVTVUBWNKVPZVVGVTWFWNVSJVPZVVGVTVVIXRWDWCZVVG
      VTWIWJJWHVVHXTWCUUQVSUGWLWHVVHXQWCUURWCUUSXNZUBUCUDUEUFUGUJVUHAUDUBUUTVRU
      XPUMWRAUEVUKUDXSWCVRUXPVFWRAUCVUPUDXSWCVRUXPVGWRUQURUSVURUTVAATVQVRUXPUKW
      RAUBTFVTVRUXPULWRAVVIWHTXTWCVRZNVVIUBVTZVVJUBVTZXBWCZXGZVVOXFYAWCVRUXPUNY
      BAVVLGVVPVVMXSWCVRUXPUOYBAVVLSVVPVVNXSWCVRUXPUPYBVOJVVCVVFVVMUDWKWCVVDVVI
      WNVVEVVMUDWKVVDVVIUBUVAYCUVBVVKXIVBAVVLVVOWLQVVOXGWTUXPVCYBACQVUOXGUDXSWC
      VRUXPVDWRADQVUJXGUDXSWCVRUXPVEWRUVCYDYEZUVDWFWLVRZUXQYFXDZWFWHYKZUXQWFYFU
      VEUVFZXDZUVGLVQUYCWLMVJUVHYGUXQUXSUAXRWAWBWCZWGWCZUYGAUXSVWDWNUXPAUAWAAUA
      VLYHZAUVIWAWHYKAUVJXDUVMWRUXQVWCUYFUAWGUXQUYFVWCVNYIYJUVKYLUXQUYCUYNUYGUY
      PWDUXQUYCUFBWFUYMWGWCZWEZWFWBWCWFUYNWGWCZWFWBWCUYNUXQUYBVWGWFWBUXQUFBUYAV
      WFUXQVUAUXTVUCVUEUVLZVRZUYAVWFWNAVUAVWJUXPABVWIUXTVIWSZYBAVWIEHILNOPRUCUD
      UEUFUHUIVUNVUQVKUQURUSUTVAVWIXIUVNXMZYMYCUXQVWGVWHWFWBUXQVWHVWGUXQUFBUYMW
      FWLUXQWFVVSYHZUXQVUAVSZUYLUYEAVUAUYLWLVRUXPAVUAVSZUYIUYKVWOWLWLUYHNAVUGVU
      AUHWRVWOUDUXTAVUIVUAUIWRVWOVWIWLUXTVWIVUCWLVUCVUEUVOVUBWLVRZVVRVUCWLWQZWF
      YFUVPZYFVUBWFUWBUVQZUVRVWKUVSZUVTUWAZAUYKWLVRVUAAUYJUEUCWLVUNVUQUWKWRZUWC
      YBVWNUXPUXTWLVRZUYEWLVRZUXQUXPVUAUYTWRAVUAVXCUXPVWTYBEUXTLUXOUFVKUWDZYGZY
      NZUXQUFBUYMXNUFBXRWFWBWCZUYAWGWCZXNXOUXQUFBUYMVXIVWNVXIWFWFWBWCZUYMWGWCZX
      RUYMWGWCUYMVWNVWFWFWBWCUYAWFWBWCVXKVXIVWNVWFUYAWFWBVWNUYAVWFVWLYIYCVWNWFU
      YMWFWFXFVRVWNYOXDZVWNUYMVXGYHZVXLVVTVWNVWAXDZUWEVWNUYAWFVWNUYAVVAYHVXLVXN
      UWFUWGVWNVXJXRUYMWGVXJXRWNVWNWFYOVWAUWHXDYCVWNUYMVXMUWIUWJUWLUXQUFBUYAVXH
      WLUXQWFVWMVWBUWMVVAVVQYPUWNZYQYIYCUXQUYNWFUXQUFBUYMWLVXGVXOUWOVWMVWBUWPYR
      UXQUFBUYEUAWLAUAXFVRUXPVWEWRZVXFUXQUFBVUCUYEWLVUFVVBUXPVUDVXDAVUDUXPVXCVX
      DVUCWLUXTVWSUWQVXEUWRZUWSUXQVWPVVRUFVUCUYEXNZVUCXFYAWCZVRZVXRXOVRVWPUXQVW
      RXDVVSUXPVXTAUXPVUCWLYAWCZVXSVXRUXPWLXFWQZXFXFWQVYAVXSWQVYBUXPUXAXDXFYSVU
      CWLXFUWTUXBUXPUFWLWLVUCWLUYEUFWLUYEXNZVYCXIUXPUYDVYCWLWLYAWCUXPUFWLWLUYDU
      FELUXOVKUXCXPUFELUXOVKUXDYDVWQUXPVWSXDWLWLWQUXPWLYSXDVXQUXEUXIUXJVUBWFVXR
      UXFUXGYEZYQYLUXQUFBUYMUYOWDWCZWEUYQUYSUXQUFBUYMUYOWLVXGVXOVWNUAUYEAUAWLVR
      UXPVUAVLUXHVXFYNUXQUFBUYEUAWLVXPVXFVYDYPUXKUXQUFBVYEUYRVWNVYEUYMUYKUYEWGW
      CZWDWCUYRVYFWKWCZVYFWDWCUYRVWNUYOVYFUYMWDVWNUAUYKUYEWGAVUAUAUYKWNUXPVWOUY
      KUAVMYIYBYCYJVWNUYMVYGVYFWDVWNUYIUYKUYEAVUAUYIXFVRUXPVWOUYIVXAYHYBZAVUAUY
      KXFVRUXPVWOUYKVXBYHYBZVWNUYEVXFYHZUXLYCVWNUYRVYFVWNUYIUYEVYHVYJYTVWNUYKUY
      EVYIVYJYTUXMYRYMUXNYR $.
  $}

  ${
    $d A f j l u y z $.  $d A i j l u x y z $.  $d A i m p y $.  $d A i u x $.
    $d B f j l u y z $.  $d B i j l u x y z $.  $d B i m p y $.  $d B i u x $.
    $d B f j l v y z $.  $d C f g l y $.  $d C i l x y z $.  $d C i m p y $.
    $d D f g l y $.  $d D i l x y z $.  $d D i m p y $.  $d F i x z $.
    $d J i x z $.  $d M f j l y z $.  $d M i j l x y z $.  $d M i m p y $.
    $d M i x $.  $d Q f g k l y $.  $d Q h l y $.  $d Q i j l x y z $.
    $d Q i k m p y $.  $d R x z $.  $d T f g k l y $.  $d T h l y $.
    $d T i j l v x y z $.  $d T i k m p y $.  $d T i v x $.  $d V f l z $.
    $d V i l x z $.  $d V i p $.  $d f l ph z $.  $d i l ph x z $.
    $d k l x y z $.
    fourierdlem96.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem96.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem96.t $e |- T = ( B - A ) $.
    fourierdlem96.m $e |- ( ph -> M e. NN ) $.
    fourierdlem96.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem96.fper $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x
       ) ) $.
    fourierdlem96.qcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem96.8 $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem96.c $e |- ( ph -> C e. RR ) $.
    fourierdlem96.d $e |- ( ph -> D e. ( C (,) +oo ) ) $.
    fourierdlem96.j $e |- ( ph -> J e. ( 0 ..^ ( ( # ` ( { C , D } u. { y e. (
       C [,] D ) | E. k e. ZZ ( y + ( k x. T ) ) e. ran Q } ) ) - 1 ) ) ) $.
    fourierdlem96.v $e |- V = ( iota g g Isom < , < ( ( 0 ... ( ( # ` ( { C , D
       } u. { y e. ( C [,] D ) | E. k e. ZZ ( y + ( k x. T ) ) e. ran Q } ) ) -
       1 ) ) , ( { C , D } u. { y e. ( C [,] D ) | E. h e. ZZ ( y + ( h x. T )
       ) e. ran Q } ) ) ) $.
    $( limit for ` F ` at the lower bound of an interval for the moved
       partition ` V ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem96 $p |- ( ph -> if ( ( ( u e. ( A (,] B ) |-> if ( u = B , A ,
       u ) ) ` ( ( v e. RR |-> ( v + ( ( |_ ` ( ( B - v ) / T ) ) x. T ) ) ) `
       ( V ` J ) ) ) = ( Q ` ( ( y e. RR |-> sup ( { j e. ( 0 ..^ M ) | ( Q ` j
       ) <_ ( ( u e. ( A (,] B ) |-> if ( u = B , A , u ) ) ` ( ( v e. RR |-> (
       v + ( ( |_ ` ( ( B - v ) / T ) ) x. T ) ) ) ` y ) ) } , RR , < ) ) ` ( V
       ` J ) ) ) , ( ( i e. ( 0 ..^ M ) |-> R ) ` ( ( y e. RR |-> sup ( { j e.
       ( 0 ..^ M ) | ( Q ` j ) <_ ( ( u e. ( A (,] B ) |-> if ( u = B , A , u )
       ) ` ( ( v e. RR |-> ( v + ( ( |_ ` ( ( B - v ) / T ) ) x. T ) ) ) ` y )
       ) } , RR , < ) ) ` ( V ` J ) ) ) , ( F ` ( ( u e. ( A (,] B ) |-> if ( u
       = B , A , u ) ) ` ( ( v e. RR |-> ( v + ( ( |_ ` ( ( B - v ) / T ) ) x.
       T ) ) ) ` ( V ` J ) ) ) ) ) e. ( ( F |` ( ( V ` J ) (,) ( V ` ( J + 1 )
       ) ) ) limCC ( V ` J ) ) ) $=
      ( vz vf vl c1 caddc co cfv cr cv cmin cdiv cfl cmul cmpt cpr wcel cz wrex
      crn cicc crab cun cioc wceq cif cle wbr cc0 cfzo clt csup chash cn wa cfz
      wral cmap wss ax-resscn a1i fssd eqid oveq1 eleq1d rexbidv cbvrabv uneq2i
      cc eqcomi wb oveq2d cbvrexvw rabbiia fveq2i oveq1i wiso cio ax-mp iotabii
      isoeq5 isoeq1 cbviotavw 3eqtr4ri id oveq2 oveq1d oveq12d cbvmptv ifbieq2d
      fveq2d eqeq1 fveq2 breq1d breq2d rabbidv syl5eq supeq1d fourierdlem89 ) A
      BUQFGHIJKLUCMUAUTVAVBUCVCZYODVDDVEZGYPVFVBZMVGVBZVHVCZMVIVBZVAVBZVJZVCVFV
      BZURPUSSUUBTHIVKZCVEZUSVEZMVIVBZVAVBZKVOZVLZUSVMVNZCHIVPVBZVQZVRZCVDQVEZK
      VCZUUEUUBVCZEFGVSVBZEVEZGVTZFUUSWAZVJZVCZWBWCZQWDUBWEVBZVQZVDWFWGZVJUAUBU
      UDUUERVEZMVIVBZVAVBZUUIVLZRVMVNZCUULVQZVRZWHVCZUTVFVBZSWIWDUDVEZVCHVTSVEZ
      UVQVCIVTWJPVEZUVQVCUVSUTVAVBUVQVCWFWCPWDUVRWEVBWLWJUDVDWDUVRWKVBWMVBVQVJZ
      PUVELVJZUVBUDUFUGUHUIAVDVDXDTUEVDXDWNAWOWPWQUJUKULUMUNUVTWRUUDUQVEZUUGVAV
      BZUUIVLZUSVMVNZUQUULVQZVRUUNUWFUUMUUDUWEUUKUQCUULUWBUUEVTZUWDUUJUSVMUWGUW
      CUUHUUIUWBUUEUUGVAWSWTXAXBXCXEUVOUUNWHVCUTVFUVNUUNWHUVMUUMUUDUVLUUKCUULUV
      LUUKXFUUEUULVLZUVKUUJRUSVMUVHUUFVTZUVJUUHUUIUWIUVIUUGUUEVAUVHUUFMVIWSXGWT
      XHWPXIXCXJXKWDUVPWKVBZUUNWFWFNVEZXLZNXMUWJUUDUUEOVEZMVIVBZVAVBZUUIVLZOVMV
      NZCUULVQZVRZWFWFUWKXLZNXMUWJUUNWFWFURVEZXLZURXMUCUWLUWTNUUNUWSVTUWLUWTXFU
      UMUWRUUDUUKUWQCUULUUKUWQXFUWHUUJUWPUSOVMUUFUWMVTZUUHUWOUUIUXCUUGUWNUUEVAU
      UFUWMMVIWSXGWTXHWPXIXCUWJUUNUWSWFWFUWKXPXNXOUXBUWLURNUWJUUNWFWFUWKUXAXQXR
      UPXSDBVDUUABVEZGUXDVFVBZMVGVBZVHVCZMVIVBZVAVBYPUXDVTZYPUXDYTUXHVAUXIXTUXI
      YSUXGMVIUXIYRUXFVHUXIYQUXEMVGYPUXDGVFYAYBYFYBYCYDEUQUURUVAUWBGVTZFUWBWAUU
      SUWBVTZUUTUXJUUSUWBFUUSUWBGYGUXKXTYEYDUOUUCWRCBVDUVGUVSKVCZUXDUUBVCZUVBVC
      ZWBWCZPUVEVQZVDWFWGUUEUXDVTZVDUVFUXPWFUXQUVFUXLUVCWBWCZPUVEVQUXPUVDUXRQPU
      VEUUOUVSVTUUPUXLUVCWBUUOUVSKYHYIXBUXQUXRUXOPUVEUXQUVCUXNUXLWBUXQUUQUXMUVB
      UUEUXDUUBYHYFYJYKYLYMYDUWAWRYN $.
  $}

  ${
    $d A f l t u w $.  $d A i l t u w x $.  $d A i m p $.  $d A f l u z $.
    $d B f l t u w $.  $d B i l t u w x $.  $d B i m p $.  $d B f l t v w $.
    $d B f l u z $.  $d C e y $.  $d C f g l y $.  $d C i l x y z $.
    $d C i m p y $.  $d D e y $.  $d D f g l y $.  $d D i l x y z $.
    $d D i m p y $.  $d F s x $.  $d F x y $.  $d G i l s t $.  $d G i l y $.
    $d H i s x $.  $d H i x z $.  $d J e h j k $.  $d J h i j k l x $.
    $d J i l s t x $.  $d J i k l x z $.  $d M e h j $.  $d M f l t w $.
    $d M h i j l x $.  $d M i m p $.  $d M i l s t x $.  $d Q e h j k $.
    $d Q f g k l y $.  $d Q h i j k l x $.  $d Q i k m p y $.
    $d Q i l s t x $.  $d Q f l t w $.  $d Q f k l y z $.  $d T e h j k $.
    $d T f g k l y $.  $d T h i j k l x $.  $d T i k m p y $.
    $d T i l s t x $.  $d T f l t v w $.  $d T f k l y z $.  $d V e h j k $.
    $d V f g k l $.  $d V h i j k l x $.  $d V i k p $.  $d V i l s t x $.
    $d V f k l z $.  $d e h ph y $.  $d f g l ph y $.  $d g h k l y $.
    $d i l ph s t x $.  $d i l t v w x $.  $d ph x y z $.  $d v x z $.
    fourierdlem97.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem97.g $e |- G = ( RR _D F ) $.
    fourierdlem97.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem97.a $e |- ( ph -> B e. RR ) $.
    fourierdlem97.b $e |- ( ph -> A e. RR ) $.
    fourierdlem97.t $e |- T = ( B - A ) $.
    fourierdlem97.m $e |- ( ph -> M e. NN ) $.
    fourierdlem97.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem97.fper $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x
       ) ) $.
    fourierdlem97.qcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( G |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem97.c $e |- ( ph -> C e. RR ) $.
    fourierdlem97.d $e |- ( ph -> D e. ( C (,) +oo ) ) $.
    fourierdlem97.j $e |- ( ph -> J e. ( 0 ..^ ( ( # ` ( { C , D } u. { y e. (
       C [,] D ) | E. k e. ZZ ( y + ( k x. T ) ) e. ran Q } ) ) - 1 ) ) ) $.
    fourierdlem97.v $e |- V = ( iota g g Isom < , < ( ( 0 ... ( ( # ` ( { C , D
       } u. { y e. ( C [,] D ) | E. k e. ZZ ( y + ( k x. T ) ) e. ran Q } ) ) -
       1 ) ) , ( { C , D } u. { y e. ( C [,] D ) | E. h e. ZZ ( y + ( h x. T )
       ) e. ran Q } ) ) ) $.
    fourierdlem97.h $e |- H = ( s e. RR |-> if ( s e. dom G , ( G ` s ) , 0 ) )
       $.
    $( ` F ` is continuous on the intervals induced by the moved partition
       ` V ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem97 $p |- ( ph -> ( G |` ( ( V ` J ) (,) ( V ` ( J + 1 ) ) ) ) e.
       ( ( ( V ` J ) (,) ( V ` ( J + 1 ) ) ) -cn-> CC ) ) $=
      ( vl vj ve vt vz vv vu vf vw cfv c1 caddc co cioo cres cc cv cmpt wcel wa
      cc0 cif cr wceq wss a1i adantl wf sylibr ffvelrnd eqeltrd adantlr syl2anc
      adantr id cmul wrex cle wbr crab clt csup cun chash cmin cpnf elioore syl
      cz cxr rexrd syl3anc oveq1 eleq1d cbvrabv uneq2i oveq2d breq1d fveq2 wral
      wb oveq1d mpbid simpld simpr cfz adantrr ad2antrr remulcld readdcld recnd
      eqcomd eleq1 fveq2d simplr fperdvper iftrued eqtr2d feqresmpt fvmptd eqid
      wi ccncf cdm ioossre sselda iftrue cdv dvfre sylancl feq1i dmeqi eleqtrdi
      ssid iffalse 0red pm2.61dan syldan fvmpt2 cfzo cpr crn cicc pnfxr ioogtlb
      rexbidv cbvrexvw rabbiia eqtri fveq2i oveq1i supeq1i fourierdlem64 simprd
      wn simpl1 simpl2l cncff wfun ffun ffvresb r19.21bi ralrimiva dfss3 simpl2
      w3a jca simpl3 sseldd cn fourierdlem2 elmapi elfzofz fzofzp1 zre ad2antlr
      cmap resubcld eqeltrid ad2antll ltaddsubd iooltub ltsubaddd mpbird eliood
      recn zcn mulcld npcand ovex anbi2d eqeq12d anbi12d imbi12d ax-resscn fssd
      ad4ant14 fperiodmul vtocl ex sylan2 adantlrl 3adantl3 rexlimdvv mpteq2dva
      mpd 3exp feq2d fmptd 3eqtr4d cdiv cioc ifbieq1d sylan9eqr adantllr 3eqtrd
      ffvelrnda cneg negsubd pncand simpll renegcld mulm1d znegcld eqtrd vtoclg
      cfl 1zzd sylc stoic1a iffalsed eqcomi wiso isoeq5 ax-mp iotabii cbviotavw
      cio isoeq1 3eqtr4ri oveq2 oveq12d cbvmptv ifbieq2d breq2d rabbidv eqtr2id
      eqeq1 supeq1d fourierdlem90 ) AQSUAVHZSVIVJVKUAVHZVLVKZVMZRVVKVMZVVKVNUUA
      VKAUBVVKUBVOZQVHZVPUBVVKVVNRVHZVPVVLVVMAUBVVKVVOVVPAVVNVVKVQZVRZVVPVVNQUU
      BZVQZVVOVSVTZVVOVVRVVNWAVQZVWAWAVQZVVPVWAWBZAVVKWAVVNVVKWAWCAVVIVVJUUCWDZ
      UUDZAVVQVWBVWCVWFAVWBVRZVVTVWCAVVTVWCVWBAVVTVRZVWAVVOWAVVTVWAVVOWBAVVTVVO
      VSUUEWEVWHWAPUUFVKZUUBZWAVVNQAVWJWAQWFZVVTAVWJWAVWIWFZVWKAWAWAPWFWAWAWCVW
      LUDWAUULWAPUUGUUHVWJWAQVWIUEUUIWGZWLVVTVVNVWJVQAVVTVVNVVSVWJVVTWMQVWIUEUU
      JZUUKWEWHWIWJVVTUVMZVWCVWGVWOVWAVSWAVVTVVOVSUUMVWOUUNWIWEUUOZUUPUBWAVWAWA
      RURUUQZWKVVRVVTVVOVSAVVKVVSVVNAVVKMVOZIVHZUSVOZJWNVKZVJVKZVWRVIVJVKZIVHZV
      XAVJVKZVLVKZWCZUSXGWOMVSTUURVKZWOZVVKVVSWCZAUTVOZIVHZVSIVHZNVOZJWNVKZVJVK
      ZVVIWPWQZNXGWRZWAWSWTZJWNVKZVJVKZVVIWPWQZUTVXHWRZWAWSWTZVXHVQVXSXGVQVRVXI
      ABDEFGHIJKMVALOFGUUSZCVOZLVOZJWNVKZVJVKZIUUTZVQZLXGWOZCFGUVAVKZWRZXAZVYDS
      VXSTVYEVYFVXOVJVKZVYJVQZNXGWOZCVYMWRZXAZXBVHZVIXCVKZUAUCUSUIUFUJUKUNAGFXD
      VLVKVQZGWAVQUOGFXDXEXFAFXHVQXDXHVQZWUCFGWSWQAFUNXIWUDAUVBWDUOFXDGUVCXJVYN
      BVOZVYHVJVKZVYJVQZLXGWOZBVYMWRVYEVYLWUHCBVYMVYFWUEWBZVYKWUGLXGWUIVYIWUFVY
      JVYFWUEVYHVJXKXLUVDXMXNWUAVYOXBVHVIXCVYTVYOXBVYTVYEVYFVXAVJVKZVYJVQZUSXGW
      OZCVYMWRZXAZVYOVYSWUMVYEVYRWULCVYMVYRWULXSVYFVYMVQZVYQWUKNUSXGVXNVWTWBZVY
      PWUJVYJWUPVXOVXAVYFVJVXNVWTJWNXKXOXLUVEWDUVFXNZWUMVYNVYEWULVYLCVYMWULVYLX
      SWUOWUKVYKUSLXGVWTVYGWBZWUJVYIVYJWURVXAVYHVYFVJVWTVYGJWNXKXOXLUVEWDUVFXNZ
      UVGUVHUVIUQUPWAVXRVXMVYHVJVKZVVIWPWQZLXGWRWSVXQWVANLXGVXNVYGWBZVXPWUTVVIW
      PWVBVXOVYHVXMVJVXNVYGJWNXKXOXPXMUVJWAVYCVAVOZIVHZVXTVJVKZVVIWPWQZVAVXHWRW
      SVYBWVFUTVAVXHVXKWVCWBZVYAWVEVVIWPWVGVXLWVDVXTVJVXKWVCIXQXTXPXMUVJUVKUVLA
      VXGVXJMUSVXHXGAVWRVXHVQZVWTXGVQZVRZVXGVXJAWVJVXGUWDZVBVOZVVSVQZVBVVKXRVXJ
      WVKWVMVBVVKWVKWVLVVKVQZVRZWVLVXAXCVKZVVSVQZWVMWVOVWSVXDVLVKZVVSWVPWVOAWVH
      WVRVVSWCZAWVJVXGWVNUVNZWVHWVIAVXGWVNUVOAWVHVRZVVTUBWVRXRWVSWWAVVTUBWVRWWA
      VVNWVRVQZVRZVVTVVOVNVQZWWAVVTWWDVRZUBWVRWWAWVRVNQWVRVMZWFZWWEUBWVRXRZWWAW
      WFWVRVNUUAVKZVQWWGUMWVRVNWWFUVPXFWWAQUVQZWWGWWHXSAWWJWVHAVWKWWJVWMVWJWAQU
      VRXFWLUBWVRVNQUVSXFYAUVTYBZUWAUBWVRVVSUWBWGZWKWVOAWVJVRZWVLVXFVQZWVPWVRVQ
      WVOAWVJWVTAWVJVXGWVNUWCUWEWVOVVKVXFWVLAWVJVXGWVNUWFWVKWVNYCUWGWWMWWNVRZVW
      SVXDWVPWWMVWSXHVQZWWNAWVHWWPWVIWWAVWSWWAVSTYDVKZWAVWRIAWWQWAIWFZWVHAIWAWW
      QUWOVKVQZWWRAWWSVXMDWBTIVHEWBVRVWSVXDWSWQMVXHXRVRZAITHVHVQZWWSWWTVRZUKATU
      WHVQWXAWXBXSUJDEHIMOTUCUFUWIXFYAYBIWAWWQUWJXFWLZWVHVWRWWQVQAVWRVSTUWKWEWH
      ZXIYEWLWWOVXDWWMVXDWAVQZWWNAWVHWXEWVIWWAWWQWAVXCIWXCWVHVXCWWQVQAVSTVWRUWL
      WEWHYEZWLZXIWWOWVLVXAWWNWVLWAVQZWWMWVLVXBVXEXEWEZWWOVWTJWVJVWTWAVQZAWWNWV
      IWXJWVHVWTUWMZWEUWNAJWAVQZWVJWWNAJEDXCVKWAUIAEDUGUHUWPUWQZYFYGZUWPWWOVXBW
      VLWSWQZVWSWVPWSWQWWOVXBXHVQZVXEXHVQZWWNWXOWWMWXPWWNWWMVXBWWMVWSVXAAWVHVWS
      WAVQZWVIWXDYEZWWMVWTJWVIWXJAWVHWXKUWRAWXLWVJWXMWLYGZYHXIWLZWWMWXQWWNWWMVX
      EWWMVXDVXAWXFWXTYHXIWLZWWMWWNYCZVXBVXEWVLUVCXJWWOVWSVXAWVLWWMWXRWWNWXSWLW
      XNWXIUWSYAWWOWVPVXDWSWQWVLVXEWSWQZWWOWXPWXQWWNWYDWYAWYBWYCVXBVXEWVLUWTXJW
      WOWVLVXAVXDWXIWXNWXGUXAUXBUXCWKUWGAWVJWVNWVQWVMYTZVXGAWVIWVNWYEWVHWVNAWVI
      VRZWXHWYEWVLVVIVVJXEWYFWXHVRZWVQWVMWYGWVQVRWVLWVPVXAVJVKZVVSWYGWVLWYHWBWV
      QWYGWYHWVLWYGWVLVXAWXHWVLVNVQWYFWVLUXDWEWYGVWTJWVIVWTVNVQAWXHVWTUXEUWNAJV
      NVQWVIWXHAJWXMYIZYFUXFUXGYJWLWYFWVQWYHVVSVQZWXHWYFWVQVRZWYJWYHQVHZWVPQVHZ
      WBZWYFVVTVRZVVNVXAVJVKZVVSVQZWYPQVHZVVOWBZVRZYTWYKWYJWYNVRZYTUBWVPWVLVXAX
      CUXHVVNWVPWBZWYOWYKWYTXUAXUBVVTWVQWYFVVNWVPVVSYKUXIXUBWYQWYJWYSWYNXUBWYPW
      YHVVSVVNWVPVXAVJXKZXLXUBWYRWYLVVOWYMXUBWYPWYHQXUCYLVVNWVPQXQUXJUXKUXLWYFU
      BVXAPQAWAVNPWFZWVIAWAWAVNPUDWAVNWCAUXMWDZUXNZWLWYFVWTJWVIWXJAWXKWEAWXLWVI
      WXMWLYGWYFVWBVRBJPVWTVVNAXUDWVIVWBXUFYFAWXLWVIVWBWXMYFAWVIVWBYMWYFVWBYCAW
      UEWAVQZWUEJVJVKZPVHWUEPVHWBZWVIVWBULUXOUXPUEYNUXQYBWJWIUXRUXSUXTUYAUYDUWA
      VBVVKVVSUWBWGUYEUYBUYDZUUDYOYPUYCAUBVVSWAVVKQAVVSWAQWFZVWKVWMAVVSVWJWAQVV
      SVWJWBAVWNWDUYFUXBZXUJYQAUBWAWAVVKRAUBWAVWAWARVWPURUYGZVWEYQUYHABVCDEFGHI
      VCVVIVDWAVDVOZEXUNXCVKZJUYIVKZVUEVHZJWNVKZVJVKZVPZVHVEDEUYJVKZVEVOZEWBZDX
      VBVTZVPZVHZVVJVVJXUTVHZXCVKZVJVKXVGXVHVJVKVLVKVCVOZXVHXCVKRXVFXVGVLVKVMZV
      HVPZUAJXVHVFMUSOXUTRXVJWUNVGWAWVLIVHZVGVOZXUTVHZXVEVHZWPWQZVBVXHWRZWAWSWT
      ZVPSXVETWUBOUWHVSUCVOZVHFWBOVOZXVSVHGWBVRVWRXVSVHVXCXVSVHWSWQMVSXVTUURVKX
      RVRUCWAVSXVTYDVKUWOVKWRVPZUCUFUIUJUKAWAWAVNRXUMXUEUXNAXUGVRZWUEVVSVQZXUHR
      VHZWUERVHZWBXWBXWCVRZXWDXUHQVHZWUEQVHZXWEXWFUBXUHVWAXWGWARWARUBWAVWAVPWBZ
      XWFURWDZAXWCVVNXUHWBZVWAXWGWBXUGXWKAXWCVRZVWAXUHVVSVQZXWGVSVTZXWGXWKVVTXW
      MVVOXWGVSVVNXUHVVSYKVVNXUHQXQUYKZXWLXWMXWGVSXWLXWMXWGXWHWBZABJPQXUFWXMULU
      EYNZYBZYOUYLUYMXWBXUHWAVQZXWCXWBWUEJAXUGYCZAWXLXUGWXMWLZYHZWLXWFVVSWAXUHQ
      AXUKXUGXWCXULYFAXWCXWMXUGXWRWJWHYRAXWCXWPXUGXWLXWMXWPXWQUVLWJXWFXWEXWCXWH
      VSVTZXWHXWFUBWUEVWAXXCWARWAXWJVVNWUEWBZVWAXXCWBXWFXXDVVTXWCVVOXWHVSVVNWUE
      VVSYKVVNWUEQXQUYKZWEAXUGXWCYMAXWCXXCWAVQXUGXWLXXCXWHWAXWLXWCXWHVSAXWCYCYO
      AVVSWAWUEQXULUYOWIWJYRXWFXWCXWHVSXWBXWCYCYOYPUYNXWBXWCUVMZVRZXWNVSXWDXWEX
      XGXWMXWGVSXWBXWMXWCXWBXWMVRZWUEXUHJUYPZVJVKZVVSXWBWUEXXJWBXWMXWBXXJXUHJXC
      VKWUEXWBXUHJXWBXUHXXBYIXWBJXXAYIZUYQXWBWUEJXWBWUEXWTYIXXKUYRYPWLXXHXXJVVS
      VQZXXJQVHZXWGWBZXXHXWMAXWMVRZXXLXXNVRZXWBXWMYCZXXHAXWMAXUGXWMUYSXXQUWEAVY
      FVVSVQZVRZVYFXXIVJVKZVVSVQZXXTQVHZVYFQVHZWBZVRZYTXXOXXPYTCXUHVVSVYFXUHWBZ
      XXSXXOXYEXXPXYFXXRXWMAVYFXUHVVSYKUXIXYFXYAXXLXYDXXNXYFXXTXXJVVSVYFXUHXXIV
      JXKZXLXYFXYBXXMXYCXWGXYFXXTXXJQXYGYLVYFXUHQXQUXJUXKUXLACXXIPQXUFAJWXMUYTA
      VYFWAVQZVRZXXTPVHVYFVIUYPZJWNVKZVJVKZPVHVYFPVHXYIXXTXYLPXYIXXIXYKVYFVJAXX
      IXYKWBXYHAXYKXXIAJWYIVUAYJWLXOYLXYIBJPXYJVYFAXUDXYHXUFWLAWXLXYHWXMWLXYIVI
      XYIVUFVUBAXYHYCAXUGXUIXYHULWJUXPVUCUEYNVUDVUGYBWIVUHVUIZXXGUBXUHVWAXWNWAR
      WAXWIXXGURWDZXWKVWAXWNWBXXGXWOWEXWBXWSXXFXXBWLXXGXWNVSWAXYMXXGUUNZWIYRXXG
      UBWUEVWAVSWARWAXYNXXDXXGVWAXXCVSXXEXXGXWCXWHVSXWBXXFYCVUIUYLAXUGXXFYMXYOY
      RUYHUUOWWARWVRVMZWWFWWIWWAUBWVRVVPVPUBWVRVVOVPXYPWWFWWAUBWVRVVPVVOWWCVVPV
      WAVVOAWWBVWDWVHAWWBVRVWBVWCVWDWWBVWBAVVNVWSVXDXEZWEWWBAVWBVWCXYQVWPUXSVWQ
      WKWJWWCVVTVVOVSWWKYOVUCUYCWWAUBWAWAWVRRAWAWARWFWVHXUMWLWVRWAWCWWAVWSVXDUU
      CWDYQWWAUBVVSWAWVRQAXUKWVHXULWLWWLYQUYHUMWIUNUOXWAYSVYEXVIVXAVJVKZVYJVQZU
      SXGWOZVCVYMWRZXAWUNYUAWUMVYEXYTWULVCCVYMXVIVYFWBZXYSWUKUSXGYUBXYRWUJVYJXV
      IVYFVXAVJXKXLUVDXMXNVUJWUAWUNXBVHVIXCVYTWUNXBWUQUVHUVIVSWUBYDVKZWUNWSWSKV
      OZVUKZKVUPYUCVYOWSWSYUDVUKZKVUPYUCWUNWSWSVFVOZVUKZVFVUPUAYUEYUFKWUNVYOWBY
      UEYUFXSWUSYUCWUNVYOWSWSYUDVULVUMVUNYUHYUEVFKYUCWUNWSWSYUDYUGVUQVUOUQVURVD
      BWAXUSWUEEWUEXCVKZJUYIVKZVUEVHZJWNVKZVJVKXUNWUEWBZXUNWUEXURYULVJYUMWMYUMX
      UQYUKJWNYUMXUPYUJVUEYUMXUOYUIJUYIXUNWUEEXCVUSXTYLXTVUTVVAVEVCXVAXVDXVIEWB
      ZDXVIVTXVBXVIWBZXVCYUNXVBXVIDXVBXVIEVVFYUOWMVVBVVAUPXVHYSXVJYSXVKYSVGBWAX
      VRVWSWUEXUTVHZXVEVHZWPWQZMVXHWRZWAWSWTXVMWUEWBZWAXVQYUSWSYUTYUSXVLYUQWPWQ
      ZVBVXHWRXVQYURYVAMVBVXHVWRWVLWBVWSXVLYUQWPVWRWVLIXQXPXMYUTYVAXVPVBVXHYUTY
      UQXVOXVLWPYUTXVOYUQYUTXVNYUPXVEXVMWUEXUTXQYLYJVVCVVDVVEVVGVVAVVHWI $.
  $}

  ${
    $d A f l t u w $.  $d A i l t u w x $.  $d A i m p $.  $d A f l u z $.
    $d B f l t u w $.  $d B i l t u w x $.  $d B i m p $.  $d B f l t v w $.
    $d B f l u z $.  $d C f g l y $.  $d C i l x y z $.  $d C i m p y $.
    $d D f g l y $.  $d D i l x y z $.  $d D i m p y $.  $d F i x z $.
    $d J i x z $.  $d M f l t w $.  $d M i l t w x $.  $d M i m p $.
    $d Q f g k l y $.  $d Q h l y $.  $d Q i k l x y z $.  $d Q i k m p y $.
    $d Q f l t w $.  $d T f g k l y $.  $d T h l y $.  $d T i k l x y z $.
    $d T i k m p y $.  $d T f l t v w $.  $d V f l z $.  $d V i l x z $.
    $d V i p $.  $d f l ph z $.  $d i l ph x z $.  $d i l t v w x $.
    $d v x z $.
    fourierdlem98.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem98.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem98.t $e |- T = ( B - A ) $.
    fourierdlem98.m $e |- ( ph -> M e. NN ) $.
    fourierdlem98.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem98.fper $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x
       ) ) $.
    fourierdlem98.qcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem98.c $e |- ( ph -> C e. RR ) $.
    fourierdlem98.d $e |- ( ph -> D e. ( C (,) +oo ) ) $.
    fourierdlem98.j $e |- ( ph -> J e. ( 0 ..^ ( ( # ` ( { C , D } u. { y e. (
       C [,] D ) | E. k e. ZZ ( y + ( k x. T ) ) e. ran Q } ) ) - 1 ) ) ) $.
    fourierdlem98.v $e |- V = ( iota g g Isom < , < ( ( 0 ... ( ( # ` ( { C , D
       } u. { y e. ( C [,] D ) | E. k e. ZZ ( y + ( k x. T ) ) e. ran Q } ) ) -
       1 ) ) , ( { C , D } u. { y e. ( C [,] D ) | E. h e. ZZ ( y + ( h x. T )
       ) e. ran Q } ) ) ) $.
    $( ` F ` is continuous on the intervals induced by the moved partition
       ` V ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem98 $p |- ( ph -> ( F |` ( ( V ` J ) (,) ( V ` ( J + 1 ) ) ) ) e.
       ( ( ( V ` J ) (,) ( V ` ( J + 1 ) ) ) -cn-> CC ) ) $=
      ( vz vv vu vf vl vw vt cfv cr cv cmin co cdiv cfl cmul cmpt cioc wceq cif
      caddc cioo cres cpr crn wcel wrex cicc crab cun cle wbr cc0 cfzo clt csup
      c1 cz chash cn wa wral cfz cmap wss ax-resscn a1i fssd eqid oveq1 rexbidv
      cc eleq1d cbvrabv uneq2i eqcomi oveq2d cbvrexvw rabbiia fveq2i oveq1i cio
      wb isoeq5 ax-mp iotabii isoeq1 cbviotavw 3eqtr4ri id oveq2 oveq1d oveq12d
      fveq2d cbvmptv eqeq1 ifbieq2d fveq2 breq1d eqcomd rabbidv eqtr2id supeq1d
      wiso breq2d fourierdlem90 ) ABULDEFGHIULQSUSUMUTUMVAZEYQVBVCZJVDVCZVEUSZJ
      VFVCZVKVCZVGZUSUNDEVHVCZUNVAZEVIZDUUEVJZVGZUSZQWGVKVCSUSZUUJUUCUSZVBVCZVK
      VCUUKUULVKVCVLVCULVAZUULVBVCPUUIUUKVLVCVMZUSVGZSJUULUOMUPOUUCPUUNFGVNZCVA
      ZUPVAZJVFVCZVKVCZIVOZVPZUPWHVQZCFGVRVCZVSZVTZUQUTURVAZIUSZUQVAZUUCUSZUUHU
      SZWAWBZURWCRWDVCZVSZUTWEWFZVGQUUHRUUPUUQNVAZJVFVCZVKVCZUVAVPZNWHVQZCUVDVS
      ZVTZWIUSZWGVBVCZOWJWCTVAZUSFVIOVAZUWEUSGVIWKMVAZUWEUSUWGWGVKVCUWEUSWEWBMW
      CUWFWDVCWLWKTUTWCUWFWMVCWNVCVSVGZTUBUCUDUEAUTUTXBPUAUTXBWOAWPWQWRUFUGUHUI
      UWHWSUUPUUMUUSVKVCZUVAVPZUPWHVQZULUVDVSZVTUVFUWLUVEUUPUWKUVCULCUVDUUMUUQV
      IZUWJUVBUPWHUWMUWIUUTUVAUUMUUQUUSVKWTXCXAXDXEXFUWCUVFWIUSWGVBUWBUVFWIUWAU
      VEUUPUVTUVCCUVDUVTUVCXMUUQUVDVPZUVSUVBNUPWHUVPUURVIZUVRUUTUVAUWOUVQUUSUUQ
      VKUVPUURJVFWTXGXCXHWQXIXEXJXKWCUWDWMVCZUVFWEWEKVAZYNZKXLUWPUUPUUQLVAZJVFV
      CZVKVCZUVAVPZLWHVQZCUVDVSZVTZWEWEUWQYNZKXLUWPUVFWEWEUOVAZYNZUOXLSUWRUXFKU
      VFUXEVIUWRUXFXMUVEUXDUUPUVCUXCCUVDUVCUXCXMUWNUVBUXBUPLWHUURUWSVIZUUTUXAUV
      AUXIUUSUWTUUQVKUURUWSJVFWTXGXCXHWQXIXEUWPUVFUXEWEWEUWQXNXOXPUXHUWRUOKUWPU
      VFWEWEUWQUXGXQXRUKXSUMBUTUUBBVAZEUXJVBVCZJVDVCZVEUSZJVFVCZVKVCYQUXJVIZYQU
      XJUUAUXNVKUXOXTUXOYTUXMJVFUXOYSUXLVEUXOYRUXKJVDYQUXJEVBYAYBYDYBYCYEUNULUU
      DUUGUUMEVIZDUUMVJUUEUUMVIZUUFUXPUUEUUMDUUEUUMEYFUXQXTYGYEUJUULWSUUNWSUUOW
      SUQBUTUVOUWGIUSZUXJUUCUSZUUHUSZWAWBZMUVMVSZUTWEWFUVIUXJVIZUTUVNUYBWEUYCUY
      BUVHUXTWAWBZURUVMVSUVNUYAUYDMURUVMUWGUVGVIUXRUVHUXTWAUWGUVGIYHYIXDUYCUYDU
      VLURUVMUYCUXTUVKUVHWAUYCUVKUXTUYCUVJUXSUUHUVIUXJUUCYHYDYJYOYKYLYMYEYP $.
  $}

  ${
    $d A f j l u y z $.  $d A i j l u x y z $.  $d A i m p y $.  $d A i u x $.
    $d B f j l u y z $.  $d B i j l u x y z $.  $d B i m p y $.  $d B i u x $.
    $d B f j l v y z $.  $d C f g l y $.  $d C i l x y z $.  $d C i m p y $.
    $d D f g l y $.  $d D i l x y z $.  $d D i m p y $.  $d F i x z $.
    $d J i x z $.  $d L x z $.  $d M f j l y z $.  $d M i j l x y z $.
    $d M i m p y $.  $d M i x $.  $d Q f g k l y $.  $d Q h l y $.
    $d Q i j l x y z $.  $d Q i k m p y $.  $d Q i x $.  $d T f g k l y $.
    $d T h l y $.  $d T i j l v x y z $.  $d T i k m p y $.  $d T i v x $.
    $d V f l z $.  $d V i l x z $.  $d V i p $.  $d f l ph z $.
    $d i l ph x z $.  $d k l x y z $.
    fourierdlem99.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem99.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem99.t $e |- T = ( B - A ) $.
    fourierdlem99.m $e |- ( ph -> M e. NN ) $.
    fourierdlem99.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem99.fper $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x
       ) ) $.
    fourierdlem99.qcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem99.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q `
       i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    fourierdlem99.c $e |- ( ph -> C e. RR ) $.
    fourierdlem99.d $e |- ( ph -> D e. ( C (,) +oo ) ) $.
    fourierdlem99.j $e |- ( ph -> J e. ( 0 ..^ ( ( # ` ( { C , D } u. { y e. (
       C [,] D ) | E. k e. ZZ ( y + ( k x. T ) ) e. ran Q } ) ) - 1 ) ) ) $.
    fourierdlem99.v $e |- V = ( iota g g Isom < , < ( ( 0 ... ( ( # ` ( { C , D
       } u. { y e. ( C [,] D ) | E. k e. ZZ ( y + ( k x. T ) ) e. ran Q } ) ) -
       1 ) ) , ( { C , D } u. { y e. ( C [,] D ) | E. h e. ZZ ( y + ( h x. T )
       ) e. ran Q } ) ) ) $.
    $( limit for ` F ` at the upper bound of an interval for the moved
       partition ` V ` .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem99 $p |- ( ph -> if ( ( ( v e. RR |-> ( v + ( ( |_ ` ( ( B - v )
       / T ) ) x. T ) ) ) ` ( V ` ( J + 1 ) ) ) = ( Q ` ( ( ( y e. RR |-> sup (
       { j e. ( 0 ..^ M ) | ( Q ` j ) <_ ( ( u e. ( A (,] B ) |-> if ( u = B ,
       A , u ) ) ` ( ( v e. RR |-> ( v + ( ( |_ ` ( ( B - v ) / T ) ) x. T ) )
       ) ` y ) ) } , RR , < ) ) ` ( V ` J ) ) + 1 ) ) , ( ( i e. ( 0 ..^ M )
       |-> L ) ` ( ( y e. RR |-> sup ( { j e. ( 0 ..^ M ) | ( Q ` j ) <_ ( ( u
       e. ( A (,] B ) |-> if ( u = B , A , u ) ) ` ( ( v e. RR |-> ( v + ( ( |_
       ` ( ( B - v ) / T ) ) x. T ) ) ) ` y ) ) } , RR , < ) ) ` ( V ` J ) ) )
       , ( F ` ( ( v e. RR |-> ( v + ( ( |_ ` ( ( B - v ) / T ) ) x. T ) ) ) `
       ( V ` ( J + 1 ) ) ) ) ) e. ( ( F |` ( ( V ` J ) (,) ( V ` ( J + 1 ) ) )
       ) limCC ( V ` ( J + 1 ) ) ) ) $=
      ( vz vf vl c1 caddc co cfv cr cv cmin cdiv cfl cmul cmpt cpr wcel cz wrex
      crn cicc crab cun cioc wceq cif cle wbr cc0 cfzo clt csup chash cn wa cfz
      wral cmap wss ax-resscn a1i fssd eqid oveq1 eleq1d rexbidv cbvrabv uneq2i
      cc eqcomi wb oveq2d cbvrexvw rabbiia fveq2i oveq1i wiso cio ax-mp iotabii
      isoeq5 isoeq1 cbviotavw 3eqtr4ri id oveq2 oveq1d oveq12d cbvmptv ifbieq2d
      fveq2d eqeq1 fveq2 breq1d breq2d rabbidv syl5eq supeq1d fourierdlem91 ) A
      BUQFGHIJKUCLTUTVAVBUCVCZYODVDDVEZGYPVFVBZLVGVBZVHVCZLVIVBZVAVBZVJZVCVFVBZ
      UROUSRUUBSHIVKZCVEZUSVEZLVIVBZVAVBZKVOZVLZUSVMVNZCHIVPVBZVQZVRZCVDPVEZKVC
      ZUUEUUBVCZEFGVSVBZEVEZGVTZFUUSWAZVJZVCZWBWCZPWDUBWEVBZVQZVDWFWGZVJTUAUBUU
      DUUEQVEZLVIVBZVAVBZUUIVLZQVMVNZCUULVQZVRZWHVCZUTVFVBZRWIWDUDVEZVCHVTRVEZU
      VQVCIVTWJOVEZUVQVCUVSUTVAVBUVQVCWFWCOWDUVRWEVBWLWJUDVDWDUVRWKVBWMVBVQVJZO
      UVEUAVJZUVBUDUFUGUHUIAVDVDXDSUEVDXDWNAWOWPWQUJUKULUMUNUVTWRUUDUQVEZUUGVAV
      BZUUIVLZUSVMVNZUQUULVQZVRUUNUWFUUMUUDUWEUUKUQCUULUWBUUEVTZUWDUUJUSVMUWGUW
      CUUHUUIUWBUUEUUGVAWSWTXAXBXCXEUVOUUNWHVCUTVFUVNUUNWHUVMUUMUUDUVLUUKCUULUV
      LUUKXFUUEUULVLZUVKUUJQUSVMUVHUUFVTZUVJUUHUUIUWIUVIUUGUUEVAUVHUUFLVIWSXGWT
      XHWPXIXCXJXKWDUVPWKVBZUUNWFWFMVEZXLZMXMUWJUUDUUENVEZLVIVBZVAVBZUUIVLZNVMV
      NZCUULVQZVRZWFWFUWKXLZMXMUWJUUNWFWFURVEZXLZURXMUCUWLUWTMUUNUWSVTUWLUWTXFU
      UMUWRUUDUUKUWQCUULUUKUWQXFUWHUUJUWPUSNVMUUFUWMVTZUUHUWOUUIUXCUUGUWNUUEVAU
      UFUWMLVIWSXGWTXHWPXIXCUWJUUNUWSWFWFUWKXPXNXOUXBUWLURMUWJUUNWFWFUWKUXAXQXR
      UPXSDBVDUUABVEZGUXDVFVBZLVGVBZVHVCZLVIVBZVAVBYPUXDVTZYPUXDYTUXHVAUXIXTUXI
      YSUXGLVIUXIYRUXFVHUXIYQUXELVGYPUXDGVFYAYBYFYBYCYDEUQUURUVAUWBGVTZFUWBWAUU
      SUWBVTZUUTUXJUUSUWBFUUSUWBGYGUXKXTYEYDUOUUCWRCBVDUVGUVSKVCZUXDUUBVCZUVBVC
      ZWBWCZOUVEVQZVDWFWGUUEUXDVTZVDUVFUXPWFUXQUVFUXLUVCWBWCZOUVEVQUXPUVDUXRPOU
      VEUUOUVSVTUUPUXLUVCWBUUOUVSKYHYIXBUXQUXRUXOOUVEUXQUVCUXNUXLWBUXQUUQUXMUVB
      UUEUXDUUBYHYFYJYKYLYMYDUWAWRYN $.
  $}

  ${
    $d A f k y $.  $d A i k x y $.  $d A i m p $.  $d B f k y $.
    $d B i k x y $.  $d B i m p $.  $d C f j y $.  $d C i j m p $.
    $d C i j x y $.  $d D f j y $.  $d D i j m p $.  $d D i j x y $.
    $d E f k y $.  $d E i k x y $.  $d F i j x y $.  $d H f y $.  $d H x y $.
    $d I f k y $.  $d I i k x y $.  $d J i x y $.  $d L x y $.  $d M i m p $.
    $d M i x y $.  $d N f j k y $.  $d N i j k x y $.  $d N i j m p $.
    $d Q f k y $.  $d Q i k x y $.  $d Q i p $.  $d R x y $.  $d S f j k y $.
    $d S i j k x y $.  $d S i j p $.  $d T f k y $.  $d T i k x y $.
    $d f j k ph y $.  $d i j k ph x y $.
    fourierlemiblglemlem.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) )
       | ( ( ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i )
       < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem100.t $e |- T = ( B - A ) $.
    fourierdlem100.m $e |- ( ph -> M e. NN ) $.
    fourierdlem100.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem100.f $e |- ( ph -> F : RR --> CC ) $.
    fourierdlem100.per $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x
       ) ) $.
    fourierdlem100.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem100.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem100.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    fourierdlem100.c $e |- ( ph -> C e. RR ) $.
    fourierdlem100.d $e |- ( ph -> D e. ( C (,) +oo ) ) $.
    fourierdlem100.o $e |- O = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = C /\ ( p ` m ) = D ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem100.n $e |- N = ( ( # ` H ) - 1 ) $.
    fourierdlem100.h $e |- H = ( { C , D } u. { y e. ( C [,] D ) | E. k e. ZZ (
       y + ( k x. T ) ) e. ran Q } ) $.
    fourierdlem100.s $e |- S = ( iota f f Isom < , < ( ( 0 ... N ) , H ) ) $.
    fourierdlem100.e $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( B - x ) / T ) )
       x. T ) ) ) $.
    fourierdlem100.j $e |- J = ( y e. ( A (,] B ) |-> if ( y = B , A , y ) ) $.
    fourierdlem100.i $e |- I = ( x e. RR |-> sup ( { i e. ( 0 ..^ M ) | ( Q ` i
       ) <_ ( J ` ( E ` x ) ) } , RR , < ) ) $.
    $( A piecewise continuous function is integrable on any closed interval.
       This lemma uses local definitions, so that the proof is more readable.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem100 $p |- ( ph -> ( x e. ( C [,] D ) |-> ( F ` x ) ) e. L^1 ) $=
      ( vj cicc co cres cv cfv cmpt cibl cr cpnf cioo wcel elioore syl iccssred
      cc feqresmpt wceq cc0 cfzo cif c1 caddc cn wa clt wbr wral cfz cmap fveq2
      crab wb oveq1 fveq2d breq12d cbvralvw anbi2i a1i rabbiia mpteq2i cpr cmin
      eqtri cmul crn cz wrex cun wiso cxr elioo4g sylib simprd simpld id eqcomi
      w3a oveq2i oveq12d eleq1d rexbidv cbvrabv uneq2i chash eleq1i ccncf rexrd
      cio adantr wf adantlr eqid climc oveq1d eleqtrd rexbii rgenw rabbi fveq2i
      mpbi oveq1i isoeq5 ax-mp iotabii fourierdlem54 fourierdlem15 fourierdlem8
      fssresd ioossicc simpr sstrid resabs1d fourierdlem90 fourierdlem89 eqcomd
      eqeltrd fourierdlem91 fourierdlem69 eqeltrrd ) ARFGVFVGZVHZBUVEBVIZRVJZVK
      VLABVMVTUVERUKAFGUPAGFVNVOVGVPZGVMVPZUQGFVNVQZVRZVSZWAAFGUEKVEVIZKVJZQVJU
      AVJZUVOTVJZIVJWBUVQNWCUCWDVGZJVKZVJUVPRVJWEZVEPUVFUVNWFWGVGZKVJZQVJZUVQWF
      WGVGIVJWBUVQNUVRUBVKZVJUWCRVJWEZUDUFUEPWHWCUFVIZVJFWBPVIZUWFVJGWBWIZNVIZU
      WFVJZUWIWFWGVGZUWFVJZWJWKZNWCUWGWDVGZWLZWIZUFVMWCUWGWMVGWNVGZWPZVKPWHUWHU
      VNUWFVJZUWAUWFVJZWJWKZVEUWNWLZWIZUFUWQWPZVKURPWHUWRUXDUWPUXCUFUWQUWPUXCWQ
      UWFUWQVPUWOUXBUWHUWMUXANVEUWNUWIUVNWBZUWJUWSUWLUWTWJUWIUVNUWFWOUXEUWKUWAU
      WFUWIUVNWFWGWRWSWTXAXBXCXDXEXHAUDWHVPZKUDUEVJVPZAUXFUXGWIWCUDWMVGZFGXFZCV
      IZOVIZEDXGVGZXIVGZWGVGZIXJZVPZOXKXLZCUVEWPZXMZWJWJKXNABDEFGHIKLMNOPUXSUCU
      DUEUFUHUGUIUJUPUVLAFGWJWKZGVNWJWKZAFXOVPVNXOVPUVJYBZUXTUYAWIZAUVIUYBUYCWI
      UQFVNGXPXQXRXSURUXRUVGUXKLXIVGZWGVGZUXOVPZOXKXLZBUVEWPUXIUXQUYGCBUVEUXJUV
      GWBZUXPUYFOXKUYHUXNUYEUXOUYHUXJUVGUXMUYDWGUYHXTUXMUYDWBUYHUXLLUXKXILUXLUH
      YAYCZXCYDYEYFYGYHUDSYIVJZWFXGVGUXSYIVJZWFXGVGUSUYJUYKWFXGSUXSYISUXIUXJUYD
      WGVGZUXOVPZOXKXLZCUVEWPZXMUXSUTUYOUXRUXIUYNUXQWQZCUVEWLUYOUXRWBUYPCUVEUYM
      UXPOXKUYLUXNUXOUYDUXMUXJWGUXMUYDUYIYAYCYJUUAUUBUYNUXQCUVEUUCUUEYHXHZUUDUU
      FXHKUXHSWJWJMVIZXNZMYMUXHUXSWJWJUYRXNZMYMVAUYSUYTMSUXSWBUYSUYTWQUYQUXHSUX
      SWJWJUYRUUGUUHUUIXHUUJXSZXSZAUXFUXGVUAXRZAVMVTUVERUKUVMUUMAUVNWCUDWDVGVPZ
      WIZUVFUVOUWBVOVGZVHZRVUFVHZVUFVTYKVGVUERVUFUVEVUEVUFUVOUWBVFVGUVEUVOUWBUU
      NVUEFGKUVNUDVUEFAFVMVPVUDUPYNZYLVUEGVUEUVIUVJAUVIVUDUQYNZUVKVRYLAUXHUVEKY
      OVUDAFGUEKNPUDUFURVUBVUCUUKYNAVUDUUOZUULUUPUUQZVUEBCDEFGHICUVPUWBUWCXGVGZ
      WGVGUWCVUMWGVGVOVGUXJVUMXGVGRUVPUWCVOVGVHZVJVKZKLVUMMNOPQRVUNSTUVNUAUCUDU
      EUFUGUHAUCWHVPVUDUIYNZAIUCHVJVPVUDUJYNZAVMVTRYOVUDUKYNZAUVGVMVPUVGLWGVGRV
      JUVHWBVUDULYPZAUWIUVRVPZRUWIIVJZUWKIVJZVOVGZVHZVVCVTYKVGVPVUDUMYPZVUIVUJU
      RUTUSVAVBVCVUKVUMYQZVUNYQVUOYQVDUURUVAVUEUVTVUHUVOYRVGVUGUVOYRVGVUEBCDEFG
      HIJKLVUMMNOPQRSTUVNUCUDUEUVSUAUFUGUHVUPVUQVURVUSVVEAVUTJVVDVVAYRVGVPVUDUN
      YPVUIVUJURUTUSVAVBVCVUKVVFVDUVSYQUUSVUEVUHVUGUVOYRVUEVUGVUHVULUUTZYSYTVUE
      UWEVUHUWBYRVGVUGUWBYRVGVUEBCDEFGHIKLVUMMNOPQRSTUVNUBUCUDUEUWDUAUFUGUHVUPV
      UQVURVUSVVEAVUTUBVVDVVBYRVGVPVUDUOYPVUIVUJURUTUSVAVBVCVUKVVFVDUWDYQUVBVUE
      VUHVUGUWBYRVVGYSYTUVCUVD $.
  $}

  ${
    $d D r s t $.  $d F t $.  $d G i s t $.  $d L t $.  $d M i j s t $.
    $d M i m p $.  $d M i r s t $.  $d N n s $.  $d N r s t $.  $d Q i j s t $.
    $d Q i p $.  $d Q i r s t $.  $d R t $.  $d X i j s t $.  $d X i r s t $.
    $d i ph r s t $.  $d n ph s $.
    fourierdlem101.d $e |- D = ( n e. NN |-> ( s e. RR |-> if ( ( s mod ( 2 x.
       _pi ) ) = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n +
       ( 1 / 2 ) ) x. s ) ) / ( ( 2 x. _pi ) x. ( sin ` ( s / 2 ) ) ) ) ) ) )
       $.
    fourierdlem101.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = -u _pi /\ ( p ` m ) = _pi ) /\ A. i e. ( 0 ..^ m ) ( p ` i )
       < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem101.g $e |- G = ( t e. ( -u _pi [,] _pi ) |-> ( ( F ` t ) x. ( (
       D ` N ) ` ( t - X ) ) ) ) $.
    fourierdlem101.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem101.6 $e |- ( ph -> M e. NN ) $.
    fourierdlem101.n $e |- ( ph -> N e. NN ) $.
    fourierdlem101.x $e |- ( ph -> X e. RR ) $.
    fourierdlem101.f $e |- ( ph -> F : ( -u _pi [,] _pi ) --> CC ) $.
    fourierdlem101.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem101.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem101.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    $( Integral by substitution for a piecewise continuous function.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem101 $p |- ( ph -> S. ( -u _pi [,] _pi ) ( ( F ` t ) x. ( ( D ` N
       ) ` ( t - X ) ) ) _d t = S. ( ( -u _pi - X ) [,] ( _pi - X ) ) ( ( F ` (
       X + s ) ) x. ( ( D ` N ) ` s ) ) _d s ) $=
      ( vj vr cpi cneg cicc co cv cfv cmin cmul citg caddc wcel wa cc ffvelrnda
      wceq simpr cr adantr pire eliccre adantl resubcld dirkerre syl2anc mulcld
      recnd eqcomd itgeq2dv cc0 cmpt fveq2 oveq1d cbvmptv fmptd ccncf cxr rexrd
      cres a1i wf eqeltrrd ccom eqidd oveq1 elioore adantlr fvmptd eqtrd fveq2d
      eqid ad2antrr mpteq2dva fcompt 3eqtr4d negsubd addccncf eqeltrd ax-resscn
      syl wss sstri cncfmptssg sylancr mpbird cncfco climc ffvelrnd csn cun cif
      wb crest ccnp wn velsn notbii sselid pm2.61dan wral ccn wo wi snssd unssd
      elun sylancl eleqtrd ctopon mpbid cle cn renegcli mp3an12 fvmpt2 cfz cfzo
      c1 cioo reseq1i ioossicc fourierdlem15 fourierdlem8 sstrid resmptd syl5eq
      feqresmpt negcld ioossre ssid dirkerf feqmptd dirkercncf cncffvrn mulcncf
      sylan cncff ccnfld ctopn elunnel2 sylan2br adantll ssriv fzossfz sylib ex
      ifeqda elsni pm3.44 mpd eqtr2d ctop cnfldtop unicntop restid ax-mp eqcomi
      cncfcn cnfldtopon resttopon cncnp simprd elsng olcd sylibr eleq2d rspccva
      ellimc mullimcf fvres oveq2d iftrue iffalse biimpi orcomd ad2antlr pm2.53
      biimpri sylc ad3antrrr cncfcompt fzofzp1 sselda syl3anc pncan2d sylan9eqr
      fourierdlem93 readdcld pncan3d wbr w3a elicc2 simp2d leadd2dd simp3d picn
      eqbrtrd breqtrd eliccd syldan 3eqtrd ) ABUKULZUKUMUNZBUOZJUPZUYMOUQUNZNCU
      PZUPZURUNZUSBUYLUYMKUPZUSPUYKOUQUNZUKOUQUNZUMUNZOPUOZUTUNZKUPZUSPVUBVUDJU
      PZVUCUYPUPZURUNZUSABUYLUYRUYSAUYMUYLVAZVBZUYSUYRVUJVUIUYRVCVAUYSUYRVEAVUI
      VFVUJUYNUYQAUYLVCUYMJUEVDVUJUYQVUJNUUAVAZUYOVGVAZUYQVGVAZAVUKVUIUCVHVUJUY
      MOVUIUYMVGVAZAUYKVGVAZUKVGVAZVUIVUNUKVIUUBZVIUYKUKUYMVJUUCZVKAOVGVAZVUIUD
      VHVLCUYOINPRVMVNVPVOZBUYLUYRVCKTUUDVNVQVRABDEFGUOZEUPZOUQUNZUYPUPZURUNZGH
      KUIVSMUUEUNZUIUOZEUPZOUQUNZVTLVVAUUGUTUNZEUPZOUQUNZUYPUPZURUNZMOPQSUIGVVF
      VVIVVCVVGVVAVEVVHVVBOUQVVGVVAEWAWBWCUBUAUDABUYLUYRVCKVUTTWDAVVAVSMUUFUNZV
      AZVBZKVVBVVKUUHUNZWHZBVVRUYRVTZVVRVCWEUNZVVQVVSBUYLUYRVTZVVRWHVVTKVWBVVRT
      UUIVVQBUYLVVRUYRVVQVVRVVBVVKUMUNUYLVVBVVKUUJVVQUYKUKEVVAMAUYKWFVAVVPAUYKV
      UOAVUQWIZWGVHAUKWFVAVVPAUKVUPAVIWIZWGVHAVVFUYLEWJVVPAUYKUKDEGHMQSUBUAUUKV
      HZAVVPVFZUULUUMZUUNUUOZVVQBUYNUYQVVRVVQJVVRWHZBVVRUYNVTVWAVVQBUYLVCVVRJAU
      YLVCJWJZVVPUEVHVWGUUPUFWKVVQBVVRUYQVTZPVGVUGVTZBVVRUYOVTZWLZVWAVVQUJVVRUJ
      UOZOUQUNZUYPUPZVTZUJVVRVWOVWMUPZVWLUPZVTZVWKVWNVVQUJVVRVWQVWTVVQVWOVVRVAZ
      VBZVWTVWQVXCPVWSVUGVWQVGVWLVGVXCVWLWMVXCVUCVWSVEZVBZVUCVWPUYPVXEVUCVWSVWP
      VXCVXDVFVXCVWSVWPVEVXDVXCBVWOUYOVWPVVRVWMVGVXCVWMWMUYMVWOVEZUYOVWPVEVXCUY
      MVWOOUQWNZVKVVQVXBVFAVXBVWPVGVAZVVPAVXBVBVWOOVXBVWOVGVAAVWOVVBVVKWOVKAVUS
      VXBUDVHVLWPZWQVHWRWSVVQVVRVGVWOVWMVVQBVVRUYOVGVWMAUYMVVRVAZVULVVPAVXJVBUY
      MOVXJVUNAUYMVVBVVKWOZVKAVUSVXJUDVHVLWPZVWMWTWDZVDVXCVUKVXHVWQVGVAAVUKVVPV
      XBUCXAVXICVWPINPRVMVNWQVQXBVWKVWRVEVVQBUJVVRUYQVWQVXFUYOVWPUYPVXGWSWCWIVV
      QVGVGVWLWJZVVRVGVWMWJVWNVXAVEAVXNVVPAPVGVUGVGVWLAVUKVUCVGVAZVUGVGVAUCCVUC
      INPRVMUVEZVWLWTZWDVHVXMUJVWLVWMVVRVGVGXCVNXDVVQVVRVGVCVWMVWLVVQBVCVCVVRVG
      UYOBVCUYOVTZVXRWTZAVXRVCVCWEUNZVAVVPAVXRBVCUYMOULZUTUNZVTZVXTABVCUYOVYBAU
      YMVCVAZVBZVYBUYOVYEUYMOAVYDVFAOVCVAZVYDAOUDVPZVHXEVQXBAVYAVCVAZVYCVXTVAAO
      VYGUUQZBVYAVYCVYCWTXFXIXGZVHVVRVCXJVVQVVRVGVCVVBVVKUURZXHXKWIZVGVCXJZVVQX
      HWIZVXLXLAVWLVGVCWEUNZVAZVVPAVYPVGVCVWLWJZAPVGVUGVCVWLAVXOVBVUGVXPVPZVXQW
      DAVCVCXJZVWLVGVGWEUNZVAVYPVYQYAVCUUSZAUYPVWLVYTAPVGVGUYPAVUKVGVGUYPWJZUCP
      CINRUUTXIZUVAZAVUKUYPVYTVAUCPCINRUVBXIWKVGVGVCVWLUVCXMXNZVHXOXGUVDXGVVQVV
      EVVTVVBXPUNZVVSVVBXPUNVVQVVEBVVRUYNUYMPVVRVUCOUQUNZUYPUPZVTZUPZURUNZVTZVV
      BXPUNZWUFVVQVVEBVVRUYMVWIUPZWUJURUNZVTZVVBXPUNWUMVVQBVVRFVVDVVBVWIWUIWUPV
      VQVWIVWAVAVVRVCVWIWJUFVVRVCVWIUVFXIZAVVRVCWUIWJVVPAPVVRWUHVCWUIAVUCVVRVAZ
      VBZWUHWUSVGVGWUGUYPAWUBWURWUCVHWUSVUCOWURVXOAVUCVVBVVKWOZVKAVUSWURUDVHVLX
      QVPWUIWTWDVHZWUPWTZUGVVQVVDWUIVVBXPUNVABVVRVVBXRZXSZUYMVVBVEZVVDWUJXTZVTZ
      VVBUVGUVHUPZWVDYBUNZWVHYCUNZUPZVAVVQWVGBWVDUYQVTZWVKVVQBWVDWVFUYQVVQUYMWV
      DVAZVBZWVEVVDWUJUYQWVEVVDUYQVEWVNWVEUYQVVDWVEUYOVVCUYPUYMVVBOUQWNWSVQVKWV
      NWVEYDZVBZPUYMWUHUYQVVRWUIVGWVPWUIWMVUCUYMVEZWUHUYQVEZWVPWVQWUGUYOUYPVUCU
      YMOUQWNZWSZVKWVMWVOVXJVVQWVOWVMUYMWVCVAZYDVXJWWAWVEBVVBYEYFUYMVVRWVCUVIUV
      JUVKZWVNVUMWVOWVNVGVGUYOUYPAWUBVVPWVMWUCXAWVNUYMOWVNWVEVUNVVQWVEVUNWVMVVQ
      WVEVBUYMVVBVGVVQWVEVFVVQVVBVGVAZWVEVVQUYLVGVVBBUYLVGVURUVLZVVQVVFUYLVVAEV
      WEVVQVVOVVFVVAVSMUVMVWFYGXQYGZVHXGWPWVPVXJVUNWWBVXKXIYHAVUSVVPWVMUDXAVLZX
      QVHWQUVPXBVVQWVLVUCWVJUPZVAZPWVDYIZVVBWVDVAZWVLWVKVAZVVQWVDVCWVLWJZWWIVVQ
      WVLWVIWVHYJUNZVAZWWLWWIVBZVVQWVLUYPPWVDWUGVTZWLZWWMVVQWWQBWVDUYMWWPUPZUYP
      UPZVTZWVLVVQWUBWVDVGWWPWJWWQWWTVEAWUBVVPWUCVHZVVQPWVDWUGVGWWPVVQVUCWVDVAZ
      VBZVUCOWXCWURVUCWVCVAZYKZVXOAWXBWXEVVPAWXBVBWXBWXEAWXBVFVUCVVRWVCYOUVNWPW
      XCWURVXOYLWXDVXOYLZWXEVXOYLWUTVVQWXFWXBVVQWXDVXOVVQWXDVBVUCVVBVGWXDVUCVVB
      VEZVVQVUCVVBUVQVKVVQWWCWXDWWEVHXGUVOVHVXOWURWXDUVRXMUVSAVUSVVPWXBUDXAVLZW
      WPWTWDBUYPWWPWVDVGVGXCVNVVQBWVDWWSUYQWVNWWRUYOUYPWVNPUYMWUGUYOWVDWWPVGWVN
      WWPWMWVQWUGUYOVEWVNWVSVKVVQWVMVFWWFWQWSXBUVTVVQWWQWVDVCWEUNZWWMVVQWVDVGVC
      WWPUYPVVQPVCVCWVDVGWUGPVCWUGVTZWXJWTAWXJVXTVAVVPAWXJPVCVUCVYAUTUNZVTZVXTA
      PVCWUGWXKAVUCVCVAZVBZWXKWUGWXNVUCOAWXMVFAVYFWXMVYGVHXEVQXBAVYHWXLVXTVAVYI
      PVYAWXLWXLWTXFXIXGVHVVQVVRWVCVCVYLVVQVVBVCVVQVVBWWEVPZYMYNZVYNWXHXLAUYPVY
      OVAVVPAUYPVWLVYOWUDWUEXGZVHXOVVQWVDVCXJZVYSWXIWWMVEWXPWUAWVDVCWVHWVIWVHWV
      HWTZWVIWTZWVHVCYBUNZWVHWVHUWAVAWYAWVHVEWVHWXSUWBWVHUWAVCUWCUWDUWEUWFZUWGY
      PYQXGVVQWVIWVDYRUPVAZWVHVCYRUPVAZWWNWWOYAVVQWYDWXRWYCWVHWXSUWHZWXPWVDWVHV
      CUWIXMWYEPWVLWVIWVHWVDVCUWJYPYSUWKVVQVVBVVRVAZVVBWVCVAZYKWWJVVQWYGWYFVVQW
      YGVVBVVBVEZVVQVVBWMVVQWWCWYGWYHYAWWEVVBVVBVGUWLXIXNUWMVVBVVRWVCYOUWNWWHWW
      KPVVBWVDWXGWWGWVKWVLVUCVVBWVJWAUWOUWPVNXGVVQBVVRVVBVVDWUIWVGWVIWVHWXTWXSW
      VGWTWVAVYLWXOUWQXNUWRVVQWUPWULVVBXPVVQBVVRWUOWUKVVQVXJVBZWUNUYNWUJURVXJWU
      NUYNVEVVQUYMVVRJUWSVKWBXBZWBYQVVQWULVVTVVBXPVVQBVVRWUKUYRWYIWUJUYQUYNURWY
      IPUYMWUHUYQVVRWUIVGWYIWUIWMWYIWVQVBZWUGUYOUYPWYKVUCUYMOUQWYIWVQVFWBWSVVQV
      XJVFWYIVGVGUYOUYPAWUBVVPVXJWUCXAVXLXQWQUWTXBZWBYQVVQVVTVVSVVBXPVVQVVSVVTV
      WHVQWBYQVVQVVNWUPVVKXPUNVVSVVKXPUNVVQBVVRLVVMVVKVWIWUIWUPWUQWVAWVBUHVVQVV
      MWUIVVKXPUNVABVVRVVKXRZXSZUYMVVKVEZVVMWUJXTZVTZVVKWVHWYNYBUNZWVHYCUNZUPZV
      AVVQWYQBWYNUYQVTZWYTVVQBWYNWYPUYQVVQUYMWYNVAZVBZWYOWYPUYQVEZWYOXUDXUCWYOW
      YPVVMUYQWYOVVMWUJUXAWYOVVLUYOUYPWYOUYOVVLUYMVVKOUQWNVQWSWRVKXUCWYOYDZVBZW
      YPWUJUYQXUEWYPWUJVEXUCWYOVVMWUJUXBVKXUFPUYMWUHUYQVVRWUIVGXUFWUIWMWVQWVRXU
      FWVTVKXUFUYMWYMVAZVXJYKZXUGYDZVXJXUBXUHVVQXUEXUBVXJXUGXUBVXJXUGYKUYMVVRWY
      MYOUXCUXDUXEXUEXUIXUCXUIXUEXUGWYOBVVKYEYFUXGVKXUGVXJUXFUXHZXUFVGVGUYOUYPV
      VQWUBXUBXUEWXAXAXUFUYMOXUFVXJVUNXUJVXKXIAVUSVVPXUBXUEUDUXIVLXQWQWRYHXBVVQ
      XUAVUCWYSUPZVAZPWYNYIZVVKWYNVAZXUAWYTVAZVVQWYNVCXUAWJZXUMVVQXUAWYRWVHYJUN
      ZVAZXUPXUMVBZVVQXUAWYNVCWEUNZXUQVVQBVGVCWYNVCUYQBVGUYQVTZXVAWTAXVAVYOVAVV
      PABVGUYOVGVCUYPABVCVCVGVGUYOVXRVXSVYJVYMAXHWIZXVBAVUNVBUYMOAVUNVFAVUSVUNU
      DVHVLXLWXQUXJVHVVQVVRWYMVGVVRVGXJVVQVYKWIVVQVVKVGVVQUYLVGVVKWWDVVQVVFUYLV
      VJEVWEVVPVVJVVFVAAVSMVVAUXKVKXQZYGZYMYNZVYSVVQWUAWIXUCUYQXUCVGVGUYOUYPVVQ
      WUBXUBWXAVHXUCUYMOVVQWYNVGUYMXVEUXLAVUSVVPXUBUDXAVLXQVPXLVVQWYNVCXJZVYSXU
      TXUQVEVVQVVRWYMVCVYLVVQVVKVCVVQUYLVCVVKUYLVGVCWWDXHXKXVCYGZYMYNZWUAWYNVCW
      VHWYRWVHWXSWYRWTZWYBUWGYPYQVVQWYRWYNYRUPVAZWYDXURXUSYAVVQWYDXVFXVJWYEXVHW
      YNWVHVCUWIXMWYEPXUAWYRWVHWYNVCUWJYPYSUWKVVQVVKVVRVAZVVKWYMVAZYKXUNVVQXVLX
      VKVVQXVLVVKVVKVEZVVQVVKWMVVQVVKVGVAXVLXVMYAXVDVVKVVKVGUWLXIXNUWMVVKVVRWYM
      YOUWNXULXUOPVVKWYNVUCVVKVEXUKWYTXUAVUCVVKWYSWAUWOUWPVNXGVVQBVVRVVKVVMWUIW
      YQWYRWVHXVIWXSWYQWTWVAVYLXVGUWQXNUWRVVQWUPVVSVVKXPVVQWULVVTWUPVVSWYLWYJVW
      HXDWBYQUXPAPVUBVUEVUHAVUCVUBVAZVBZBVUDUYRVUHUYLKVCKVWBVEXVOTWIXVOUYMVUDVE
      ZVBZUYRVUFUYQURUNZVUHXVPUYRXVRVEXVOXVPUYNVUFUYQURUYMVUDJWAWBVKXVQUYQVUGVU
      FURXVQUYOVUCUYPXVPXVOUYOVUDOUQUNVUCUYMVUDOUQWNXVOOVUCAVYFXVNVYGVHZXVOVUCX
      VOUYTVGVAZVUAVGVAZXVNVXOAXVTXVNAUYKOVWCUDVLVHZAXWAXVNAUKOVWDUDVLVHZAXVNVF
      ZUYTVUAVUCVJUXMZVPUXNUXOWSUWTWRXVOUYKUKVUDVUOXVOVUQWIVUPXVOVIWIXVOOVUCAVU
      SXVNUDVHZXWEUXQXVOUYKOUYTUTUNZVUDYTAUYKXWGVEXVNAXWGUYKAOUYKVYGAUYKVWCVPUX
      RVQVHXVOUYTVUCOXWBXWEXWFXVOVXOUYTVUCYTUXSZVUCVUAYTUXSZXVOXVNVXOXWHXWIUXTZ
      XWDXVOXVTXWAXVNXWJYAXWBXWCUYTVUAVUCUYAVNYSZUYBUYCUYFXVOVUDOVUAUTUNUKYTXVO
      VUCVUAOXWEXWCXWFXVOVXOXWHXWIXWKUYDUYCXVOOUKXVSUKVCVAXVOUYEWIUXRUYGUYHZXVO
      VUFVUGXVOUYLVCVUDJAVWJXVNUEVHXWLXQAXVNVXOVUGVCVAXWEVYRUYIVOWQVRUYJ $.
  $}

  ${
    $d E x $.  $d F i n x $.  $d G i x $.  $d H g $.  $d M g $.  $d M i n p $.
    $d M i n x $.  $d Q g $.  $d Q i n p $.  $d Q i n x $.  $d T i n p $.
    $d T i n x $.  $d X i n p $.  $d X i n x $.  $d g ph $.  $d i n ph x $.
    fourierdlem102.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem102.t $e |- T = ( 2 x. _pi ) $.
    fourierdlem102.per $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x
       ) ) $.
    fourierdlem102.g $e |- G = ( ( RR _D F ) |` ( -u _pi (,) _pi ) ) $.
    fourierdlem102.dmdv $e |- ( ph -> ( ( -u _pi (,) _pi ) \ dom G ) e. Fin )
       $.
    fourierdlem102.gcn $e |- ( ph -> G e. ( dom G -cn-> CC ) ) $.
    fourierdlem102.rlim $e |- ( ( ph /\ x e. ( ( -u _pi [,) _pi ) \ dom G ) )
       -> ( ( G |` ( x (,) +oo ) ) limCC x ) =/= (/) ) $.
    fourierdlem102.llim $e |- ( ( ph /\ x e. ( ( -u _pi (,] _pi ) \ dom G ) )
       -> ( ( G |` ( -oo (,) x ) ) limCC x ) =/= (/) ) $.
    fourierdlem102.x $e |- ( ph -> X e. RR ) $.
    fourierdlem102.p $e |- P = ( n e. NN |-> { p e. ( RR ^m ( 0 ... n ) ) | ( (
       ( p ` 0 ) = -u _pi /\ ( p ` n ) = _pi ) /\ A. i e. ( 0 ..^ n ) ( p ` i )
       < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem102.e $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( _pi - x ) / T )
       ) x. T ) ) ) $.
    fourierdlem102.h $e |- H = ( { -u _pi , _pi , ( E ` X ) } u. ( ( -u _pi [,]
       _pi ) \ dom G ) ) $.
    fourierdlem102.m $e |- M = ( ( # ` H ) - 1 ) $.
    fourierdlem102.q $e |- Q = ( iota g g Isom < , < ( ( 0 ... M ) , H ) ) $.
    $( For a piecewise smooth function, the left and the right limits exist at
       any point.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem102 $p |- ( ph -> ( ( ( F |` ( -oo (,) X ) ) limCC X ) =/= (/)
       /\ ( ( F |` ( X (,) +oo ) ) limCC X ) =/= (/) ) ) $=
      ( chash cfv c1 cmin co cn c2 cuz wcel cz cle wbr 2z a1i cfn cn0 cneg cicc
      cpi cdif cun cioo cxr wceq pire rexri cc0 clt mp2an mp1i syl2anc eqeltrid
      mp3an unfi syl wne cr wb cvv wss elexi ovex cfz wa cv caddc picn ffvelrnd
      wf w3a sselid unssd eqsstrid 3syl fveq2 adantl adantr eqbrtrd wn ad2antlr
      fssd zred neqne necomd sseldd ad2antrr simpr isorel mpbid ltled pm2.61dan
      syldan breqtrd rexrd syl3anc letri3d mpbir2and eleqtrrid fvelrnb 3ad2ant1
      wrex sselii jca cres cc ccncf climc c0 oveq1d adantlr eqnetrd ctp cdm cpr
      tpfi renegcli negpilt0 pipos lttri ltleii prunioo difeq1i difundir eqtr3i
      0re prfi diffi hashcl nn0zd ltneii hashprg mpbi difexg ax-mp unex eqeltri
      negex tpid1 tpid2 prssi ssun1 sseqtrri hashss eqbrtrrid syl3anbrc uz2m1nn
      sstri cmap cfzo wral wiso wf1o cioc negpitopissre 2timesi subnegi 3eqtr4i
      eluz2 cmul fourierdlem4 3jca fvex tpss sylib iccssre fourierdlem36 isof1o
      ssdifss f1of elmap sylibr ffvelrnda leidd elfzelz elfzle1 ne0gt0d nnssnn0
      reex nn0uz sseqtri eluzfz1 anim1i lbicc2 ubicc2 iocssicc tpssi difssd crn
      iccgelb wfo f1ofo forn wfn ffn r19.29a eluzfz2 iccleub id eqcomd 3ad2ant3
      elfzel2 elfzle2 leneltd 3adant3 rexlimdv3a elfzoelz ltp1d elfzofz fzofzp1
      mpd syl2an ralrimiva jca31 fourierdlem2 cdv reseq1i fourierdlem27 eqtr2id
      resabs1d fourierdlem38 eqeltrd cico cpnf cmnf fourierdlem46 simpld simprd
      fourierdlem94 ) ABCDEGHJMNOPQRUDUEAMLUJUKZULUMUNZUOUHAVURUPUQUKURZVUSUOUR
      AUPUSURZVURUSURUPVURUTVAVUTVVAAVBVCAVURALVDURVURVEURALVHVFZVHNIUKZUUAZVVB
      VHVGUNZKUUBZVIZVJZVDUGAVVDVDURZVVGVDURVVHVDURVVIAVVBVHVVCUUDZVCAVVGVVBVHV
      KUNZVVFVIZVVBVHUUCZVVFVIZVJZVDVVKVVMVJZVVFVIVVGVVOVVPVVEVVFVVBVLURZVHVLUR
      ZVVBVHUTVAZVVPVVEVMVVBVHVNUUEZVOZVHVNVOZVVBVHVVTVNVVBVPVQVAVPVHVQVAVVBVHV
      QVAZUUFUUGVVBVPVHVVTUUNVNUUHVRZUUIZVVBVHUUJWBUUKVVKVVMVVFUULUUMAVVLVDURVV
      NVDURZVVOVDURTVVMVDURVWFAVVBVHUUOVVMVVFUUPVSVVLVVNWCVTWAVVDVVGWCVTWAZLUUQ
      WDUURAUPVVMUJUKZVURUTVVBVHWEZVWHUPVMZVVBVHVVTVWDUUSVVBWFURZVHWFURZVWIVWJW
      GVVTVNVVBVHWFWFUUTVRUVAVWHVURUTVAZALWHURVVMLWIVWMLVVHWHUGVVDVVGVVDVDVVJWJ
      VVEWHURVVGWHURVVBVHVGWKVVEVVFWHUVBUVCUVDUVEVVMVVDLVVBVVDURVHVVDURVVMVVDWI
      VVBVHVVCVHUVFZUVGZVVBVHVVCVHWFVNWJZUVHZVVBVHVVDUVIVRVVDVVHLVVDVVGUVJUGUVK
      ZUVPLVVMWHUVLVRVCUVMUPVURUWGUVNVURUVOWDWAZADMCUKURZDWFVPMWLUNZUVQUNURZVPD
      UKZVVBVMZMDUKZVHVMZWMGWNZDUKZVXGULWOUNZDUKZVQVAZGVPMUVRUNZUVSZWMZAVXAWFDW
      RVXBAVXALWFDAVXALVQVQDUVTZVXALDUWAZVXALDWRZALFDMVWGALVVHWFUGAVVDVVGWFAVWK
      VWLVVCWFURZWSVVDWFWIAVWKVWLVXRVWKAVVTVCZVWLAVNVCZAVVBVHUWBUNZWFVVCUWCAWFV
      YANIABVVBVHEIVXSVXTVWCAVWDVCUPVHUWHUNVHVHWOUNEVHVVBUMUNVHWPUWDQVHVHWPWPUW
      EUWFUFUWIUDWQZWTZUWJVVBVHVVCWFVWNVWPNIUWKUWLUWMVVEWFWIZVVGWFWIAVWKVWLVYDV
      VTVNVVBVHUWNVRZVVEWFVVFUWQVSXAXBZUIUHUWOZVXALVQVQDUWPZVXALDUWRZXCZVYFXJZW
      FVXADUXGVPMWLWKUWSUWTAVXDVXFVXMAVXHVVBVMZVXDGVXAAVXGVXAURZWMZVYLWMZVXDVXC
      VVBUTVAVVBVXCUTVAZVYOVXCVXHVVBUTVYNVXCVXHUTVAZVYLVYNVPVXGVMZVYQVYNVYRWMVX
      CVXHVXHUTVYRVXCVXHVMVYNVPVXGDXDXEVYNVXHVXHUTVAZVYRVYNVXHAVXAWFVXGDVYKUXAZ
      UXBZXFXGVYNVYRXHZVPVXGVQVAZVYQVYNWUBWMVXGVYMVXGWFURZAWUBVYMVXGVXGVPMUXCXK
      ZXIVYMVPVXGUTVAAWUBVXGVPMUXDXIWUBVXGVPWEVYNWUBVPVXGVPVXGXLXMXEUXEVYNWUCWM
      ZVXCVXHAVXCWFURZVYMWUCALWFVXCVYFAVXALVPDVYJAMVPUQUKZURZVPVXAURZAUOWUHMUOV
      EWUHUXFUXHUXIVWSWTZVPMUXJWDZWQZXNZXOVYNVXHWFURZWUCVYTXFWUFWUCVXCVXHVQVAZV
      YNWUCXPWUFVXOWUJVYMWMZWUCWUPWGAVXOVYMWUCVYGXOVYNWUQWUCAWUJVYMWULUXKXFVXAL
      VPVXGVQVQDXQVTXRXSYAXTXFVYNVYLXPYBAVYPVYMVYLAVVQVVRVXCVVEURVYPAVVBVXSYCZA
      VHVXTYCZALVVEVXCALVVHVVEUGAVVDVVGVVEAVVBVVEURZVHVVEURZVVCVVEURVVDVVEWIWUT
      AVVQVVRVVSWUTVWAVWBVWEVVBVHUXLWBVCWVAAVVQVVRVVSWVAVWAVWBVWEVVBVHUXMWBVCAV
      YAVVEVVCVVBVHUXNVYBWTVVBVHVVCVVEUXOYDAVVEVVFUXPXAXBZWUMXNVVBVHVXCUXRYDXOV
      YOVXCVVBAWUGVYMVYLWUNXOVWKVYOVVTVCYEYFAVVBDUXQZURZVYLGVXAYJZAVVBLWVCVVDLV
      VBVWRVWOYKAVXOVXALDUXSZWVCLVMZVYGVXOVXPWVFVYHVXALDUXTWDZVXALDUYAZXCZYGAVX
      QDVXAUYBZWVDWVEWGVYJVXALDUYCZGVXAVVBDYHXCXRUYDAVXHVHVMZGVXAYJZVXFAVHWVCUR
      ZWVNAVHLWVCVVDLVHVWRVWQYKWVJYGAVXQWVKWVOWVNWGVYJWVLGVXAVHDYHXCXRAWVMVXFGV
      XAAVYMWVMWSZVXFVXEVHUTVAZVHVXEUTVAAVYMWVQWVMAVVQVVRVXEVVEURWVQWURWUSAVXAV
      VEMDAVXALVVEDVYJWVBXJZAWUIMVXAURZWUKVPMUYEWDZWQZVVBVHVXEUYFYDYIWVPVHVXHVX
      EUTWVMAVHVXHVMVYMWVMVXHVHWVMUYGUYHUYIAVYMVXHVXEUTVAZWVMVYNVXGMVMZWWBVYNWW
      CWMVXHVXHVXEUTVYNVYSWWCWUAXFWWCVXHVXEVMVYNVXGMDXDXEYBVYNWWCXHZVXGMVQVAZWW
      BVYNWWDWMVXGMVYMWUDAWWDWUEXIVYMMWFURAWWDVYMMVXGVPMUYJXKXIVYMVXGMUTVAAWWDV
      XGVPMUYKXIWWDMVXGWEVYNWWDVXGMVXGMXLXMXEUYLVYNWWEWMZVXHVXEVYNWUOWWEVYTXFAV
      XEWFURZVYMWWEAVVEWFVXEVYEWWAWTZXOWWFWWEVXHVXEVQVAZVYNWWEXPWWFVXOVYMWVSWMZ
      WWEWWIWGAVXOVYMWWEVYGXOVYNWWJWWEVYNVYMWVSAVYMXPAWVSVYMWVTXFYLXFVXALVXGMVQ
      VQDXQVTXRXSYAXTUYMXGWVPVXEVHAVYMWWGWVMWWHYIVWLWVPVNVCYEYFUYNUYSAVXKGVXLAV
      XGVXLURZWMZVXGVXIVQVAZVXKWWKWWMAWWKVXGWWKVXGVXGVPMUYOXKUYPXEAVXOVYMVXIVXA
      URZWMWWMVXKWGWWKVYGWWKVYMWWNVXGVPMUYQVPMVXGUYRYLVXALVXGVXIVQVQDXQUYTXRZVU
      AVUBAMUOURVWTVXBVXNWMWGVWSVVBVHCDGHMOUEVUCWDYFZWWLWFJVUDUNZVXHVXJVKUNZYMZ
      KWWRYMZWWRYNYOUNWWLWWTWWQVVKYMZWWRYMWWSKWXAWWRSVUEWWLWWQWWRVVKWWLVVBVHDVX
      GMVVQWWLVWAVCVVRWWLVWBVCAVXAVVEDWRWWKWVRXFAWWKXPZVUFZVUHVUGZAVVDCDGHKLMOU
      AUEVWSWWPUGWVJVUIVUJWWLWWSVXHYPUNWWTVXHYPUNZYQWWLWWSWWTVXHYPWXDYRWWLWXEYQ
      WEZWWTVXJYPUNZYQWEZWWLBVVCDKLVXGMAKVVFYNYOUNURWWKUAXFABWNZVVBVHVUKUNVVFVI
      URKWXIVULVKUNYMWXIYPUNYQWEWWKUBYSAWXIVYAVVFVIURKVUMWXIVKUNYMWXIYPUNYQWEWW
      KUCYSAVXOWWKVYGXFZWWLVXOVXPVXQWXJVYHVYIXCWXBWWOWXCAVXRWWKVYCXFUGWWLVXOWVF
      WVGWXJWVHWVIXCVUNZVUOYTWWLWWSVXJYPUNWXGYQWWLWWSWWTVXJYPWXDYRWWLWXFWXHWXKV
      UPYTVUQ $.
  $}

  ${
    $d .|| k $.  $d A s $.  $d B s $.  $d C i t w z $.  $d D i m s $.
    $d E n $.  $d F b i k l s t $.  $d F i k m s $.  $d F b k r s t $.
    $d F i k s t w z $.  $d G c e k s u $.  $d G i j k s $.  $d G i k s t $.
    $d G c e s u y $.  $d H i s $.  $d H s x $.  $d J b h k l s $.  $d J f k $.
    $d J b i k l s t $.  $d J i j k l s $.  $d J i j k m s $.
    $d J b k r s t $.  $d J i k v $.  $d J i k s t w z $.  $d K s y $.
    $d L b l s t $.  $d M b h k l s $.  $d M b i k l s t $.  $d M i j k l s $.
    $d M i j k m s $.  $d M i j m p $.  $d M i k v $.  $d M j s x $.
    $d N b i k l s t $.  $d N e j k l s $.  $d N f k $.  $d N i j k m s $.
    $d N b k r s t $.  $d N i k v $.  $d N i k s t w z $.  $d O a e j l s $.
    $d O b k l s t $.  $d Q b h l s $.  $d Q b i l s t $.  $d Q i j l s $.
    $d Q i j p $.  $d Q i v $.  $d Q j s x $.  $d R b l s t $.  $d S s $.
    $d T f $.  $d U c d k s $.  $d U d j k l s $.  $d U c k n s u $.
    $d U j s x $.  $d U c n s u y $.  $d V i j k s $.  $d V i j p $.
    $d V i k s t $.  $d V i k v $.  $d W b i k l s t $.  $d W i k m n s $.
    $d W b k r s t $.  $d W i k s t w z $.  $d X b i k l s t $.
    $d X i j k l s $.  $d X i j k m s $.  $d X i j m p $.  $d X b k r s t $.
    $d X i k v $.  $d X i k s t w z $.  $d Y s $.  $d Z n $.  $d a d e j l s $.
    $d b d i k l ph s t $.  $d c d e k ph s $.  $d ch s $.  $d d f k ph $.
    $d d j k ph r s $.  $d d i k ph v $.  $d d i k ph s t w z $.
    $d e j k n ph s $.  $d m n ph s $.  $d m ph r s $.  $d ph s u y $.
    $d ph s x y $.  $d r s t w z $.  $d t y $.
    fourierdlem103.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem103.xre $e |- ( ph -> X e. RR ) $.
    fourierdlem103.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( -u _pi + X ) /\ ( p ` m ) = ( _pi + X ) ) /\ A. i e. ( 0
       ..^ m ) ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem103.m $e |- ( ph -> M e. NN ) $.
    fourierdlem103.v $e |- ( ph -> V e. ( P ` M ) ) $.
    fourierdlem103.x $e |- ( ph -> X e. ran V ) $.
    fourierdlem103.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( V ` i )
       (,) ( V ` ( i + 1 ) ) ) ) e. ( ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem103.fbdioo $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> E. w e. RR A. t
       e. ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) ( abs ` ( F ` t ) ) <_ w ) $.
    fourierdlem103.fdvcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( ( RR _D F ) |`
       ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) ) e. ( ( ( V ` i ) (,) ( V ` ( i + 1
       ) ) ) -cn-> RR ) ) $.
    fourierdlem103.fdvbd $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> E. z e. RR A. t
       e. ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) ( abs ` ( ( RR _D F ) ` t ) ) <_
       z ) $.
    fourierdlem103.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( V
       ` i ) (,) ( V ` ( i + 1 ) ) ) ) limCC ( V ` i ) ) ) $.
    fourierdlem103.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( V
       ` i ) (,) ( V ` ( i + 1 ) ) ) ) limCC ( V ` ( i + 1 ) ) ) ) $.
    fourierdlem103.h $e |- H = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 0 , (
       ( ( F ` ( X + s ) ) - if ( 0 < s , Y , W ) ) / s ) ) ) $.
    fourierdlem103.k $e |- K = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 1 , (
       s / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) ) $.
    fourierdlem103.u $e |- U = ( s e. ( -u _pi [,] _pi ) |-> ( ( H ` s ) x. ( K
       ` s ) ) ) $.
    fourierdlem103.s $e |- S = ( s e. ( -u _pi [,] _pi ) |-> ( sin ` ( ( n + (
       1 / 2 ) ) x. s ) ) ) $.
    fourierdlem103.g $e |- G = ( s e. ( -u _pi [,] _pi ) |-> ( ( U ` s ) x. ( S
       ` s ) ) ) $.
    fourierdlem103.z $e |- Z = ( m e. NN |-> S. ( -u _pi (,) 0 ) ( ( F ` ( X +
       s ) ) x. ( ( D ` m ) ` s ) ) _d s ) $.
    fourierdlem103.e $e |- E = ( n e. NN |-> ( S. ( -u _pi (,) 0 ) ( G ` s ) _d
       s / _pi ) ) $.
    fourierdlem103.y $e |- ( ph -> Y e. ( ( F |` ( X (,) +oo ) ) limCC X ) ) $.
    fourierdlem103.w $e |- ( ph -> W e. ( ( F |` ( -oo (,) X ) ) limCC X ) ) $.
    fourierdlem103.a $e |- ( ph -> A e. ( ( ( RR _D F ) |` ( -oo (,) X ) )
       limCC X ) ) $.
    fourierdlem103.b $e |- ( ph -> B e. ( ( ( RR _D F ) |` ( X (,) +oo ) )
       limCC X ) ) $.
    fourierdlem103.d $e |- D = ( n e. NN |-> ( s e. RR |-> if ( ( s mod ( 2 x.
       _pi ) ) = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n +
       ( 1 / 2 ) ) x. s ) ) / ( ( 2 x. _pi ) x. ( sin ` ( s / 2 ) ) ) ) ) ) )
       $.
    fourierdlem103.o $e |- O = ( U |` ( -u _pi [,] d ) ) $.
    fourierdlem103.t $e |- T = ( { -u _pi , d } u. ( ran Q i^i ( -u _pi (,) d )
       ) ) $.
    fourierdlem103.n $e |- N = ( ( # ` T ) - 1 ) $.
    fourierdlem103.j $e |- J = ( iota f f Isom < , < ( ( 0 ... N ) , T ) ) $.
    fourierdlem103.q $e |- Q = ( i e. ( 0 ... M ) |-> ( ( V ` i ) - X ) ) $.
    fourierdlem103.1 $e |- C = ( iota_ l e. ( 0 ..^ M ) ( ( J ` k ) (,) ( J ` (
       k + 1 ) ) ) C_ ( ( Q ` l ) (,) ( Q ` ( l + 1 ) ) ) ) $.
    fourierdlem103.ch $e |- ( ch <-> ( ( ( ( ( ph /\ e e. RR+ ) /\ d e. ( -u
       _pi (,) 0 ) ) /\ k e. NN ) /\ ( abs ` S. ( d (,) 0 ) ( ( U ` s ) x. (
       sin ` ( ( k + ( 1 / 2 ) ) x. s ) ) ) _d s ) < ( e / 2 ) ) /\ ( abs ` S.
       ( -u _pi (,) d ) ( ( U ` s ) x. ( sin ` ( ( k + ( 1 / 2 ) ) x. s ) ) )
       _d s ) < ( e / 2 ) ) ) $.
    $( The half lower part of the integral equal to the fourier partial sum,
       converges to half the left limit of the original function.  (Contributed
       by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem103 $p |- ( ph -> Z ~~> ( W / 2 ) ) $=
      ( vj cc0 c2 cdiv co caddc cn cmpt c1 cvv cfv eqid cpi cioo cmul csin cabs
      cv wbr clt wral wrex wcel wa wceq wss cif cmin cr pire a1i adantl cc cres
      cxr adantr cle syl syl2anc ad2antrr ffvelrnd simpr oveq1d eqeltrd oveq12d
      wf eqtrd adantlr fveq2d va vb vh vv vr vu vc vy vx c.pa cli cuz 1zzd cneg
      citg nfv nfmpt1 nnuz crp cpnf cicc cfzo crio csb renegcli elioore ioossre
      nfcxfr fssresd ioosscn ccnfld ctopn pnfxr ltpnfd lptioo1cn limcrecl mnfxr
      cdv cmnf mnfltd lptioo2cn fourierdlem55 ax-resscn fssd leidd 0red iooltub
      rexri 0xr mp3an12 pipos lttrd ltled iccss syl22anc feq1d mpbird cn0 chash
      wne c0 cpr crn cin cun elexi prid1 elun1 ax-mp eleqtrri ne0ii cfn wb prfi
      cfz fzfi rnmptfi infi unfi eqeltrid hashnncl nnm1nn0 1red nn0red 0lt1 2re
      nnred ioogtlb ltned hashprg mpbid ssun1 sseqtrri hashssle sylancl eqbrtrd
      eqcomd lesub1dd 1e2m1 3brtr4g ltletrd gt0ne0d jca elnnne0 sylibr vex prss
      eliccd sylib inss2 ioossicc sstrdi eqsstrid fourierdlem52 simpld elfzoelz
      unssd prid2 simprd zred ltp1d wiso fourierdlem36 elfzofz fzofzp1 syl12anc
      sstri isorel feqresmpt sselda fourierdlem9 fourierdlem43 remulcld eliccre
      ccncf fvmpt2 syl3anc rexrd iccleub lelttrd adantll neneqd iffalsed oveq2d
      wn ltnsymd iccssre mp2an sselid readdcld resubcld redivcld 3eqtrd iccgelb
      renegcld rehalfcld resincld 2cn halfcld sincld 2ne0 fourierdlem44 mulne0d
      recnd mpteq2dva reseq1d climc fveq2 oveq1 sseq2d cbvriotavw fourierdlem86
      gtnelicc eleqtrd ctg sseldd ralrimiva dfss3 simplll simpllr fveq1i mulcld
      cnt fvres dmdcan2d syl21anc eqidd oveq2 ovex fvmptd adantllr eqtr2d sstrd
      tgioo2 dvres reseq2d 3eqtrrd ad4ant14 ad2antlr biid fourierdlem50 cbvmptv
      id ioontr fourierdlem72 cdm simpll wi eleq1 anbi2d rexbidv imbi12d vtoclg
      raleq sylc nfan simplr iccssred ressxr fourierdlem15 fourierdlem13 eqcomi
      nfra1 eqeltrrd fveq2i oveq1i oveq12i sseqtrdi fourierdlem10 leadd2dd rspa
      breqtrd eliood ex ralrimi reximdv mpd raleqdv reseq2i fveq1d fourierdlem8
      ssid sylan9eq crab breq1d cbvrabv supeq1i fourierdlem25 resabs1d 3eqtr4rd
      csup feq12d cncff feq1dd cbvralvw anbi12i fourierdlem80 dmeqd nfcv raleqf
      nfov nfdm ralbidv bitrd eqeq1 wtru eqeq2i csbeq1 ifbieq1d mptru ifbieq12d
      fourierdlem73 breq2 rexralbidv rphalfcl rspccva itgeq2dv ralimdv eluzelre
      eluznn nnre 1re rehalfcli eluzle halfgt0 ltaddposd rspcv adantlll simp-4r
      biimpi simp-5l ltleii iooss2 sseli sylan ioossioo cvol ioombl cibl eleq1d
      0re simpl ffvelrnda readdcl cmap fourierdlem88 chvarvv itgsplitioo syldan
      iblss itgcl addcomd addcld abscld simp-5r abstrid lt2halvesd reximdva w3a
      rpred c3 negpilt0 lttri fourierdlem2 elmapi fmptd nnnn0d eleqtrdi eluzfz1
      nn0uz pncand fourierdlem14 r19.21bi wfn 3syl fvelrnb subidd fourierdlem12
      ffn npcand eqtr4i fourierdlem40 fourierdlem75 fourierdlem74 fourierdlem70
      elrnmpt 3eltr4d ralbii 3anbi3i anbi1i fourierdlem87 iftrue negeqd halfpos
      rpre ltnegd rpgt0 lt0neg2d iffalse 3pm3.2i ltnegi divgt0ii lt0neg2 pm3.2i
      mpbi elioo3g mpbir2an pm2.61dan 3ad2ant2 rpge0 iftrued breqtrrd breqtrrid
      2pos lenegd ifcld le0neg2d volioo 0cn subnegd addid2d min1 anbi12d itgeq1
      sseq1 rspcva 3adant1 itgeq1d rspcev rexlimdv3a r19.29a nnex syl2an clim0c
      mptex eqeltri picn climconst gtneii fourierdlem67 feqmptd csn cdif divcld
      eldifsn climdivf div0i limccl eleq2i velsn sylnibr eldifd ssriv dirkeritg
      lensymd ubicc2 mp3an elfzelz zcnd mul01d sin0 elfzle1 div0d sumeq2dv olci
      csu wo sumz 00id fvmpt lbicc2 sumeq2sdv mulneg12 divcan4d znegcld negpicn
      negcld sineq0 sumeq2i eqtri oveq2i divcli addid1i divneg divdiv32i dividi
      cz recni negeqi 3eqtri halfcn subnegi addid2i fourierdlem95 fourierdlem84
      dirkerf dirkercncf itgrecl climadd ) AUPWMUMWNWOWPZWQWPYWTUUKAWMYWTUAUBTW
      RYWTWSZUPWTXAWTUULXBZYXBXCZAUUMZAUBWMXDWOWPZWMUUKAWMXDUAUAWRUQXDUUNZWMXEW
      PZUQXIZUDXBZUUOZWSZUAWRXDWSZUBWTXAWRAUAUUPUAWRYXJUUQUAWRXDUUQUAUBUAWRYXJX
      DWOWPZWSZVSUAWRYXMUUQUVHUURYXDAYXKWMUUKXJUQYXGYXHOXBZSXIZWTWNWOWPZWQWPZYX
      HXFWPZXGXBZXFWPZUUOZXHXBZPXIZXKXJZSWLXIZUULXBZXLZWLWRXMZPUUSXLAYYIPUUSAYY
      DUUSXNZXOZUQUSXIZWMXEWPZYYAUUOZXHXBZYYDWNWOWPZXKXJZSWRXLZYYIUSYXGYYKYYLYX
      GXNZXOZYYRXOZUQYXFYYLXEWPZYXOUTXIZYXHXFWPZXGXBZXFWPZUUOZXHXBZYYPXKXJZUTYY
      FUUTXEWPZXLZWLWRXMZYYIYYTUUULYYRYYTUQUUUBYXHUKXBZUUUEXFWPZUUOZXHXBZYYPXKX
      JZUTUUUJXLZWLWRXMZUUULYYTUUUPUUAXIZXKXJZUTUUUJXLWLWRXMZUUAUUSXLZYYPUUSXNZ
      UUUSAYYSUUVCYYJAYYSXOZUUUPYYDXKXJZUTUUUJXLWLWRXMZPUUSXLUUVCUUVEUQUUBYXFYY
      LEYXPUFXBZYXPWTWQWPZUFXBZUVAWPZEXIZUUVHXPZUUVHUUVHUUVJXEWPZUUCXIZKXBZUUVO
      WTWQWPZKXBZXEWPZXQZUUCWMUIUVBWPZUVCZKXBZXPZRUUWBLUVDZUNUUVHWQWPZUCXBZXRZU
      MXSWPZUUVHWOWPZUUVHWNUUVHWNWOWPXGXBXFWPWOWPZXFWPZUUVLUUVJXPZUUVJUUWBWTWQW
      PZKXBZXPZRUUWBUHUVDZUNUUVJWQWPZUCXBZXRZUMXSWPZUUVJWOWPZUUVJWNUUVJWNWOWPXG
      XBXFWPWOWPZXFWPZUUVLUKXBZXRZXRZWSUFUUVHUUVNUUUCKXBZUUUCWTWQWPZKXBZXEWPZXQ
      ZUTUUWAUVCZKXBZXPZRUUXMLUVDZUUWGXRZUMXSWPZUUVHWOWPZUUWKXFWPZUTUUSUUUOWSZP
      SWLUKXTUKUVRWPZUUVJUUXMWTWQWPZKXBZXPZRUUXMUHUVDZUUWSXRZUMXSWPZUUVJWOWPZUU
      XCXFWPZUJUTYXFXTXNZUUVEXDYAUVEZYBZYYSYYLXTXNZAYYLYXFWMUVFZYCZUUVEYXFYYLUV
      AWPZYDUKYQZUUYQYDOUUYQYEZYQUUVEYXFXDUVAWPZYDUUYQOAUUYTYDOYQYYSAUUYTXTYDOA
      OUCUEUGUMUNUOUQVAVBAUNUUTXEWPZUNUCUVUAYEZUOAXTXTUVUAUCVAUVUAXTXQAUNUUTUVG
      YBUVIUVUAYDXQAUNUUTUVJYBAUNUUTUVKUVLXBZUVUCXCZUUTYFXNZAUVMYBVBAUNVBUVNUVO
      VTUVPZAUVSUNXEWPZUNUCUVUGYEZUMAXTXTUVUGUCVAUVUGXTXQAUVSUNUVGYBUVIUVUGYDXQ
      AUVSUNUVJYBAUVSUNUVUCUVUDUVSYFXNAUVQYBVBAUNVBUVTUWAWAUVPZVMVNVOUWBZXTYDXQ
      ZAUWCYBZUWDYGYYSUUYQUUYTXQZAYYSUUYKXDXTXNZYXFYXFYHXJZYYLXDYHXJUVUMUUYKYYS
      UUYLYBZUVUNYYSYAYBZYYSYXFUVUPUWEZYYSYYLXDUUYOUVUQYYSYYLWMXDUUYOYYSUWFUVUQ
      YXFYFXNZWMYFXNZYYSYYLWMXKXJZYXFUUYLUWHZUWIYXFWMYYLUWGZUWJZWMXDXKXJZYYSUWK
      YBUWLZUWMYXFXDYXFYYLUWNUWOYCZUVIUUVEUUYQYDUKUUYSUKUUYSXPUUVEWEYBZUWPUWQZU
      UVEUJUWRXNZUJWMUWTZXOUJWRXNZUUVEUVVJUVVKAUVVJYYSAUJNUWSXBZWTXSWPZUWRWGAUV
      VMWRXNZUVVNUWRXNAUVVONUXAUWTZUVVPAYXFNYXFYXFYYLUXBZKUXCZUUUBUXDZUXEZNYXFU
      VVQXNYXFUVVTXNYXFYYLYXFXTUUYLUXFZUXGYXFUVVQUVVSUXHUXIWFUXJZUXKYBANUXLXNZU
      VVOUVVPUXMANUVVTUXLWFAUVVQUXLXNZUVVSUXLXNZUVVTUXLXNUVWDAYXFYYLUXNYBAUVVRU
      XLXNZUVWEUVWFAWMUIUXOWPZUXLXNUVWFWMUIUXPRKUVWGRXIZULXBZUNXSWPZWIUXQUXIYBU
      VVRUUUBUXRYIUVVQUVVSUXSYJUXTZNUYAYIUWQZUVVMUYBYIUXTYGZUUVEUJUUVEWMWTUJUUV
      EUWFUUVEUYCZUUVEUJUVWMUYDWMWTXKXJZUUVEUYEYBUUVEWNWTXSWPUVVNWTUJYHUUVEWNUV
      VMWTWNXTXNZUUVEUYFYBAUVVMXTXNYYSAUVVMUVWLUYGYGUVWNUUVEWNUVVQUWSXBZUVVMYHU
      UVEUVWQWNUUVEYXFYYLUWTZUVWQWNXPZYYSUVWRAYYSYXFYYLUVUPUVUSUVUTYYSYXFYYLXKX
      JZUVVBUWIYXFWMYYLUYHUWJZUYIYCUUVEUUYKUUYNUVWRUVWSUXMUUYMUUYPYXFYYLXTXTUYJ
      YJUYKUYQUUVEUVWCUVVQNXQUVWQUVVMYHXJAUVWCYYSUVWKYGZUVVQUVVTNUVVQUVVSUYLWFU
      YMNUVVQUYNUYOUYPUYRUYSWGUYTVUAVUBVUCUJVUDVUEZUUVEWMUJUXOWPZUUYQUFYQZWMUFX
      BZYXFXPZUUVEUVXEUVXGXOZUJUFXBZYYLXPZUUVEYXFYYLUFNQUJUVXBWGWHUUYMUUYPUUVEN
      UVVTUUYQWFUUVEUVVQUVVSUUYQUUVEYXFUUYQXNZYYLUUYQXNZXOUVVQUUYQXQUUVEUVXKUVX
      LUUVEYXFYYLYXFUUYMUUYPUUYMYYSUVUOAUVURYCYYSYXFYYLYHXJZAYYSYXFYYLUVUPUUYOU
      VXAUWMYCZVUHUUVEYXFYYLYYLUUYMUUYPUUYPUVXNUUVEYYLUUYPUWEVUHVUCYXFYYLUUYQUV
      WAUSVUFZVUGVUIUUVEUVVSUUUBUUYQUVVSUUUBXQUUVEUVVRUUUBVUJZYBYXFYYLVUKZVULVU
      QVUMYXFNXNUUVEUVWBYBYYLNXNUUVEYYLUVVTNYYLUVVQXNYYLUVVTXNYXFYYLUVXOVURYYLU
      VVQUVVSUXHUXIWFUXJYBVUNZVUOZVUOZUUVEUVXEUVXGUVXSVUSZUUVEUVXHUVXJUVXRVUSZU
      UVEYXPWMUJUVBWPZXNZXOZYXPUUVIXKXJZUUVHUUVJXKXJZUVYEYXPUVYDYXPXTXNZUUVEUVY
      DYXPYXPWMUJVUPVUTYCVVAUVYEUVXDNXKXKUFVVBZYXPUVXDXNZUUVIUVXDXNZUVYFUVYGUXM
      UUVEUVYIUVYDUUVENQUFUJUVXBUUVENUVVTXTWFUUVEUVVQUVVSXTYYSUVVQXTXQZAYYSUUYK
      UUYNXOUVYLYYSUUYKUUYNUVUPUUYOVUCYXFYYLXTUVWAUVXOVUGVUIYCUVVSXTXQUUVEUVVSU
      UUBXTUVXPYXFYYLUVGVVGYBVUQVUMWHWGVVCYGUVYDUVYJUUVEYXPWMUJVVDYCZUVYDUVYKUU
      VEWMUJYXPVVEYCZUVXDNYXPUUVIXKXKUFVVHVVFUYKZUVYEUKUUVNYEZUQUUYQUNYXHWQWPZU
      CXBZUMXSWPZYXHWOWPZYXHWNYXHWNWOWPZXGXBZXFWPZWOWPZXFWPZWSZUUVNYEZUUVNYDVVO
      WPZUVYEUKUWUFUUVNUUVEUKUWUFXPUVYDUUVEUKUUYSUQUUYQYXOWSUWUFUVVHUUVEUQUUYTX
      TUUYQOAUUYTXTOYQZYYSUVUJYGUVVGVVIUUVEUQUUYQYXOUWUEUUVEYXHUUYQXNZXOZYXOYXH
      UEXBZYXHUGXBZXFWPZUVYTYXHWMXPZWTUWUDXRZXFWPUWUEUWUKYXHUUYTXNZUWUNXTXNYXOU
      WUNXPUUVEUUYQUUYTYXHUVVGVVJZUWUKUWULUWUMUWUKUUYTXTYXHUEAUUYTXTUEYQYYSUWUJ
      AUCUEUMUNUOUQVAVBUVUFUVUIVMVVKZYKUWURYLUWUKUUYTXTYXHUGUUYTXTUGYQUWUKUGUQV
      NVVLYBUWURYLVVMUQUUYTUWUNXTOVOVVPYJZUWUKUWULUVYTUWUMUWUPXFUWUKUWULUWUOWMU
      VYRWMYXHXKXJZUOUMXRZXSWPZYXHWOWPZXRZUWVDUVYTUWUKUWUQUWVEXTXNUWULUWVEXPUWU
      RUWUKUWVEUVYTXTUWUKUWVEUWVDUVYTUWUKUWUOWMUWVDUWUKYXHWMYYSUWUJYXHWMUWTZAYY
      SUWUJXOZYXHWMUWVGUUYKUUYNUWUJYXHXTXNZUUYKUWVGUUYLYBYYSUUYNUWUJUUYOYGZYYSU
      WUJYMZYXFYYLYXHVVNVVQZUWVGYXHYYLWMUWVKUWVIUWVGUWFZUWVGUVUSYYLYFXNZUWUJYXH
      YYLYHXJUVUSUWVGUVVBYBZUWVGYYLUWVIVVRZUWVJYXFYYLYXHVVSVVQZYYSUVVAUWUJUVVDY
      GVVTZUYIZVWAZVWBZVWCZUWUKUWVCUVYSYXHWOUWUKUWVBUMUVYRXSUWUKUWVAUOUMYYSUWUJ
      UWVAVWEAUWVGYXHWMUWVKUWVLUWVQVWFVWAVWCVWDYNZYRUWUKUVYSYXHUWUKUVYRUMUWUKXT
      XTUVYQUCAXTXTUCYQZYYSUWUJVAYKUWUKUNYXHAUNXTXNZYYSUWUJVBYKUWUKUUYTXTYXHUUY
      KUVUNUUYTXTXQUUYLYAYXFXDVWGVWHZUWURVWIZVWJYLAUMXTXNZYYSUWUJUVUIYKVWKZUWWF
      UWVSVWLYOUQUUYTUWVEXTUEVMVVPYJUWWAUWWBVWMZYYSUWUJUWUMUWUPXPZAUWVGUWUQUWUP
      XTXNUWWJUWVGYXFXDYXHUWVGXDUVUNUWVGYAYBZVWOUWWKUWVKUWVGUVUSUWVMUWUJYXFYXHY
      HXJUWVNUWVOUWVJYXFYYLYXHVWNVVQUWVGYXHXDUWVKUWWKUWVGYXHYYLXDUWVKUWVIUWWKUW
      VPYYSYYLXDXKXJUWUJUVVFYGVVTUWMVUHZUWVGUWUPUWUDXTUWVGUWUOWTUWUDUWVGYXHWMUW
      VRVWBVWCUWVGYXHUWUCUWVKUWVGWNUWUBUVWPUWVGUYFYBUWVGUWUAUWVGYXHUWVKVWPVWQVV
      MUWVGWNUWUBWNYDXNZUWVGVWRYBUWVGUWUAUWVGYXHUWVGYXHUWVKVXDZVWSVWTWNWMUWTZUW
      VGVXAYBUWVGUWUQUWVFUWUBWMUWTUWWLUWVRYXHVXBYJVXCZVWLYOUQUUYTUWUPXTUGVNVVPY
      JVWAZYPUWUKUWUPUWUDUVYTXFUWUKUWUOWTUWUDUWVTVWCZVWDVWMVXEVWMZYGZVXFUVYEUUY
      JUWUGUUVJVXGWPZXNZUUXTUWUGUUVHVXGWPZXNZXOZUWUGUWUHXNZUUVEYXFYYLUMUUYJJKLU
      FNUUXMQRSTUUXTUCUHUIUJUWUFULUNUQURAUWWCYYSVAYGZAUWWDYYSVBYGZVCAUIWRXNZYYS
      VDYGAULUIJXBXNZYYSVEYGAUVWHUUWAXNZUCUVWIUVWHWTWQWPZULXBZXEWPZYEZUWXNYDVVO
      WPZXNZYYSVGYSAUWXKLUWXOUVWIVXGWPXNZYYSVKYSAUWXKUHUWXOUWXMVXGWPXNZYYSVLYSU
      UYMUUYPYYSUVWTAUVXAYCUVVGUUVEYXFYYLWMUVUSUUVEUVVBYBUUYPUVUTUUVEUWIYBYYSUV
      VAAUVVDYCVXMZAUWWGYYSUVUIYGZUWUFXCWIWFWGWHUUYJXCUUXTXCUUXLUUVNUVWHKXBZUWX
      LKXBZXEWPZXQZUTRUUWAUUUCUVWHXPZUUXKUWYDUUVNUWYFUUXHUWYBUUXJUWYCXEUUUCUVWH
      KVXHUWYFUUXIUWXLKUUUCUVWHWTWQVXIYTYPVXJVXKZVXLZVUSYOUVYEUUYJUWXAUVYPUUVJV
      XGWPUVYEUWXBUWXDUVYEUWXEUWXFUWYHVUOZVUOUVYEUWUGUVYPUUVJVXGUVYEUWUFUKUUVNU
      VYEUKUWUFUWWTUYQVXFZYNVXNUVYEUUXTUWXCUVYPUUVHVXGWPUVYEUWXBUWXDUWYIVUSUVYE
      UWUGUVYPUUVHVXGUWYJYNVXNUUYBXCUVYEUUYBUUVNYEZXTUQUUVNYXHEUUVNUNUUVLWQWPZU
      CXBZUMXSWPZUUVLWOWPZWSZXBZYXHEUUVNUUVLWNUUVLWNWOWPZXGXBZXFWPZWOWPZWSZXBZX
      FWPZWSZUVRWPZUWUHUVYEUXUFXTUVYPUVRWPZUUYBUUVNXEUXCVXOXBZVYCXBZXBZYEZUWYKU
      VYEUXUEUVYPXTUVRUVYEUVYPUQUUVNUUUMWSUXUEUVYEUQUUYQYDUUVNUKUUVEUUYRUVYDUVV
      IYGZUVYEUWUJUQUUVNXLUUVNUUYQXQUVYEUWUJUQUUVNUVYEYXHUUVNXNZXOZYXFYYLYXHUUY
      KUXUNUUYLYBZUUVEUUYNUVYDUXUMUUYPYKZUXUMUWVHUVYEYXHUUVHUUVJUVFYCZUXUNYXFYX
      HUXUOUXUQUXUNYXFUUVHYXHUXUOUVYEUUVHXTXNUXUMUVYEUUYQXTUUVHUUVEUUYQXTXQZUVY
      DUUVEUUYQUUYTXTUVVGUWWEVULZYGZUVYEUVXDUUYQYXPUFUUVEUVXEUVYDUVXTYGZUVYMYLZ
      VXPZYGZUXUQUVYEYXFUUVHYHXJZUXUMUVYEUVUSUWVMUUVHUUYQXNUXVEUVUSUVYEUVVBYBZU
      VYEYYLUUVEUUYNUVYDUUYPYGZVVRZUXVBYXFYYLUUVHVWNVVQYGUXUNUUVHYFXNZUUVJYFXNZ
      UXUMUUVHYXHXKXJUXUNUUVHUXVDVVRZUVYEUXVJUXUMUVYEUUVJUVYEUUYQXTUUVJUXUTUVYE
      UVXDUUYQUUVIUFUXVAUVYNYLZVXPZVVRYGZUVYEUXUMYMZUUVHUUVJYXHUYHVVQVVTUWMUXUN
      YXHYYLUXUQUXUPUXUNYXHUUVJYYLUXUQUVYEUUVJXTXNUXUMUXVMYGUXUPUXUNUXVIUXVJUXU
      MYXHUUVJXKXJUXVKUXVNUXVOUUVHUUVJYXHUWGVVQUVYEUUVJYYLYHXJZUXUMUVYEUVUSUWVM
      UUVJUUYQXNUXVPUXVFUXVHUXVLYXFYYLUUVJVVSVVQZYGVUAUWMVUHZVXQUQUUVNUUYQVXRVU
      EZVVIUVYEUQUUVNUUUMUXUDUXUNUUUMUVYSUWUCWOWPZUWUEUXUDUXUNAYYSUWUJUUUMUXVTX
      PAYYSUVYDUXUMVXSZAYYSUVYDUXUMVXTZUXVRUWUKUUUMYXHUUYSXBZYXOUXVTUUUMUXWCXPZ
      UWUKYXHUKUUYSWEVYAZYBUWUJUXWCYXOXPZUUVEYXHUUYQOVYDZYCUWUKYXOUWUNUWUEUXVTU
      WUTUWUKUWULUVYTUWUMUWUDXFUWWIUWUKUWUMUWUPUWUDUWWQUWWRYRYPUWUKUVYSYXHUWUCU
      WUKUVYSUWWHVXDYYSUWUJYXHYDXNAUWWNVWAZUWUKWNUWUBUWWMUWUKVWRYBUWUKUWUAUWUKY
      XHUXWHVWSVWTVYBUWVSYYSUWUJUWUCWMUWTAUWWPVWAVYEZVWMVWMVYFUXUNUWUEUXVTUXUNA
      YYSUWUJUWUEUXVTXPUXWAUXWBUXVRUXWIVYFUYQAUVYDUXUMUWUEUXUDXPYYSAUVYDXOZUXUM
      XOZUXUDUWUEUXWKUWYQUVYTUXUCUWUDXFUXWKEYXHUWYOUVYTUUVNUWYPXAUXWKUWYPVYGUUV
      LYXHXPZUWYOUVYTXPUXWKUXWLUWYNUVYSUUVLYXHWOUXWLUWYMUVYRUMXSUXWLUWYLUVYQUCU
      UVLYXHUNWQVYHYTYNZUXWLWUCZYPZYCUXWJUXUMYMZUVYTXAXNUXWKUVYSYXHWOVYIYBVYJUX
      WKEYXHUXUAUWUDUUVNUXUBXAUXWKUXUBVYGUXWLUXUAUWUDXPUXWKUXWLUUVLYXHUWYTUWUCW
      OUXWNUXWLUWYSUWUBWNXFUXWLUWYRUWUAXGUUVLYXHWNWOVXIYTVWDZYPZYCUXWPUWUDXAXNU
      XWKYXHUWUCWOVYIYBVYJYPUYQVYKVWMVXEVYLVWDUVYEUVUKUUYRUXURUUVNXTXQUXUGUXUKX
      PUVUKUVYEUWCYBZUXULUXUTUVYEUUVNUUYQXTUXVSUXUTVYMUUYQUUVNXTUXUHUKUVUCUVUDU
      VUCUVUDVYNZVYOUWOUVYEUXUJUUVNUUYBUXUJUUVNXPUVYEUUVHUUVJWUDYBVYPVYQUVYEUUV
      HUUVJUMJKUUXMRTUCUWYPUXUBUIUXUEULUNUQURAUWWCYYSUVYDVAYKAUWWDYYSUVYDVBYKZV
      CAUWXIYYSUVYDVDYKZAUWXJYYSUVYDVEYKZAUWXKXTUCUVRWPZUWXNYEZUWXNXTVVOWPXNZYY
      SUVYDVIVYRUXVCUXVMUVYOUVYEUUVNUUYQUUYTUXVSUUVEUVUMUVYDUVVGYGZVYMUVYEUUVHU
      UVJWMUVYEUUVHUXVCVVRUXVMUVUTUVYEUWIYBUVYEUUVJYYLWMUXVMUXVGUVYEUWFUXVQYYSU
      VVAAUVYDUVVDVYSVVTVXMAUWWGYYSUVYDUVUIYKWIUVYEUUXMUUWAXNZUUVNUUXNUUYDXEWPZ
      XQZUVYEUVYEUWXKXOUWYEXOUUDXIZUUWAXNXOUUVNUXXKKXBUXXKWTWQWPKXBXEWPXQXOZYXF
      YYLJKUFNUUXMQRUUDTYXPUIUJULUNURUXXAVCUXXBUXXCUUYKUVYEUUYLYBZUXVGYYSUVWTAU
      VYDUVXAVYSUXXGWIWFWGWHUUVEUVYDYMZUWYGUXXLVYTWUAZVUOZUVYEUXXHUXXJUXXOVUSZE
      UQUUVNUWYOUVYTUXWOWUBEUQUUVNUXUAUWUDUXWRWUBUXUEXCWUEYOUUVEYXHUUYBXBZXHXBZ
      UUBXIZYHXJZUQUUYBWUFZXLZUUBXTXMYXHXTUQUUYQUXVTWSZUVRWPZXBZXHXBZUXXTYHXJZU
      QUXYEWUFZXLZUUBXTXMUUVEUVYEDXIZXTXNXOCXIZXTXNXOZUUEXIZUCXBZXHXBZUXYKYHXJZ
      UUEUUWFUUWRXEWPZXLZXOZUXYNXTUCUXYRYEUVRWPZXBZXHXBZUXYLYHXJZUUEUXYRXLZXOCD
      EYXFYYLUMUFSTUCUXYRUJUXYDUNEUUVNUWYNUWYTWOWPZWSUQUUEUUBUWXGUWXHUUYMUUYPUV
      VGUWXTUWYAUXYDXCUXYRXCUVYEUUVLUCXBZXHXBZUXYKYHXJZEHULXBZHWTWQWPZULXBZXEWP
      ZXLZDXTXMZUYUIEUXYRXLZDXTXMUVYEHUUWAXNZAUYUQXOZUYUOUVYEHUUXMUUWAWJUXXPUXT
      ZUVYEAUYUQAYYSUVYDWUGUYUSVUCZAUWXKXOZUYUIEUWXNXLZDXTXMZWUHUYURUYUOWUHRHUU
      WAUVWHHXPZUYVAUYURUYVCUYUOUYVDUWXKUYUQAUVWHHUUWAWUIWUJZUYVDUYVBUYUNDXTUYV
      DUWXNUYUMXPUYVBUYUNUXMUYVDUVWIUYUJUWXMUYULXEUVWHHULVXHUYVDUWXLUYUKULUVWHH
      WTWQVXIYTYPZUYUIEUWXNUYUMWUNYIWUKWULVHWUMWUOUVYEUYUNUYUPDXTUVYEUYUNUYUPUV
      YEUYUNXOZUYUIEUXYRUVYEUYUNEUVYEEUUPZUYUIEUYUMWVCWUPUYVGUUVLUXYRXNZUYUIUYV
      GUYVIXOUYUNUUVLUYUMXNZUYUIUVYEUYUNUYVIWUQUVYEUYVIUYVJUYUNUVYEUYVIXOZUYUJU
      YULUUVLUVYEUYUJYFXNUYVIUVYEYXFUNWQWPZXDUNWQWPZUVAWPZYFUYUJAUYVNYFXQYYSUVY
      DAUYVNXTYFAUYVLUYVMAYXFUNUUYKAUUYLYBZVBVWJAXDUNUVUNAYAYBZVBVWJWURZWUSVULY
      KZUVYEUVWGUYVNHULUVYEUYVLUYVMJULRTUIURVCUXXBUXXCWUTZUVYEUYUQHUVWGXNUYUSHW
      MUIVVDYIZYLZVXPYGUVYEUYULYFXNUYVIUVYEUYVNYFUYULUYVRUVYEUVWGUYVNUYUKULUYVS
      UVYEUYUQUYUKUVWGXNUYUSWMUIHVVEYIZYLZVXPYGUYVIUUVLXTXNUVYEUUVLUUWFUUWRUVFY
      CZUYVKUYUJUNHKXBZWQWPZUUVLXKUVYEUYUJUYWFXPZUYVIUVYEUYWEUYUJUNXSWPZXPZUYWG
      UVYEYXFXDJKRTHUIULUNURUXXMUVUNUVYEYAYBZUXXAVCUXXBUXXCUYVTWIWVAZVUSYGZUYVK
      UYWFUUWFUUVLUYVKUYUJUYWFXTUYWLUVYEUYUJXTXNUYVIUVYEUYVNXTUYUJAUYVNXTXQYYSU
      VYDUYVQYKZUYWAVXPZYGWVDUVYEUUWFXTXNUYVIUVYEUNUUVHUXXAUXVCVWJYGZUYWDUVYEUY
      WFUUWFYHXJUYVIUVYEUYWEUUVHUNUVYEUYWEUYWHXTUVYEUYWIUYWGUYWKVUOUVYEUYUJUNUY
      WNUXXAVWKYOZUXVCUXXAUVYEUYWEUUVHYHXJZUUVJUYUKKXBZYHXJZUVYEUYWEUYWRUUVHUUV
      JUYWPUVYEUYWRUYULUNXSWPZXTUVYEUYWRUYWTXPZUYULUNUYWRWQWPZXPZUVYEYXFXDJKRTU
      YUKUIULUNURUXXMUYWJUXXAVCUXXBUXXCUYWBWIWVAZVUOUVYEUYULUNUVYEUYVNXTUYULUYW
      MUYWCVXPZUXXAVWKYOZUXVCUXVMUVYOUVYEUUVNUXXIUYWEUYWRXEWPUXXQUUXNUYWEUUYDUY
      WRXEUUXMHKHUUXMWJWVBZWVEUUYCUYUKKUUXMHWTWQUYXGWVFWVEWVGWVHWVIZVUOWVJYGUYV
      KUUWFYFXNZUUWRYFXNZUYVIUUWFUUVLXKXJUYVKUUWFUYWOVVRZUVYEUYXJUYVIUVYEUUWRUV
      YEUNUUVJUXXAUXVMVWJZVVRYGZUVYEUYVIYMZUUWFUUWRUUVLUYHVVQVVTUYPUYVKUUVLUYXB
      UYULXKUYVKUUVLUUWRUYXBUYWDUVYEUUWRXTXNUYVIUYXLYGUVYEUYXBXTXNUYVIUVYEUYULU
      YXBXTUVYEUYXAUYXCUYXDVUSZUYXEWVDYGUYVKUYXIUYXJUYVIUUVLUUWRXKXJUYXKUYXMUYX
      NUUWFUUWRUUVLUWGVVQUVYEUUWRUYXBYHXJUYVIUVYEUUVJUYWRUNUXVMUYXFUXXAUVYEUYWQ
      UYWSUYXHVUSWVJYGVUAUVYEUYXBUYULXPUYVIUVYEUYULUYXBUYXOUYQYGWVLWVMZYSUYUIEU
      YUMWVKYJWVNWVOWVNWVPWVQUVYEUUVLUXXDXBZXHXBZUXYLYHXJZEUYUMXLZCXTXMZUUVLUYU
      AXBZXHXBZUXYLYHXJZEUXYRXLZCXTXMUVYEUYUQUYURUYYAUYUSUYUTUYVAUYXSEUWXNXLZCX
      TXMZWUHUYURUYYAWUHRHUUWAUYVDUYVAUYURUYYGUYYAUYVEUYVDUYYFUYXTCXTUYVDUYXSEU
      WXNUYUMUYVFWVRWUKWULVJWUMWUOUVYEUYXTUYYECXTUVYEUYXTUYYEUVYEUYXTXOZUYYDEUX
      YRUVYEUYXTEUYVHUYXSEUYUMWVCWUPUYYHUYVIUYYDUYYHUYVIXOZUYYCUYXRUXYLYHUVYEUY
      VIUYYCUYXRXPUYXTUYVKUYYBUYXQXHAUYVIUYYBUYXQXPYYSUVYDAUYVIUYYBUUVLUXXDUXYR
      YEZXBUYXQAUUVLUYUAUYYJAUYUAUXXDUXYRUXUIXBZYEZUYYJAUVUKXTYDUCYQZXTXTXQZUXY
      RXTXQZUYUAUYYLXPZUVULAXTXTYDUCVAUVULUWDZUYYNAXTWWBZYBUYYOAUUWFUUWRUVGZYBX
      TUXYRXTUXUHUCUVUCUVUDUXWTVYOZUWOUYYLUYYJXPZAUYYKUXYRUXXDUUWFUUWRWUDWVSZYB
      YRWVTUUVLUXYRUXXDVYDWWCVYRYTYSUYYIUYXTUYVJUYXSUVYEUYXTUYVIWUQUVYEUYVIUYVJ
      UYXTUYXPYSUYXSEUYUMWVKYJUYPWVNWVOWVNWVPWVQUVXTUVYOUVYEYXFYYLUFYXPUJUVYEYX
      FUXXMVVRUXVHUXVAUXXNWWAUUVEUXYNUUYQXNZXOZUXYNUFUXCXNVWEZXOUXYNUFTSYYFUFXB
      ZUXYNXKXJZWLUVYCWWDZXTXKWWKUJUUVEUVVLVUUCVUUEUVXCYKUUVEUVXDXTUFYQVUUCVUUE
      UUVEUVXDUUYQXTUFUVXTUXUSUWDYKVUUDUXYNUVXFUVXIUVAWPZXNVUUEVUUDUXYNUUYQVUUI
      UUVEVUUCYMUUVEUUYQVUUIXPVUUCUUVEYXFUVXFYYLUVXIUVAUUVEUVXFYXFUVYAUYQUUVEUV
      XIYYLUVYBUYQYPYGVXNYGVUUDVUUEYMXTVUUHUUVHUXYNXKXJZSUVYCWWDXKVUUGVUUJWLSUV
      YCYYFYXPXPVUUFUUVHUXYNXKYYFYXPUFVXHWWEWWFWWGWWHUVYEUXYRXTUXXDUYUMYEZUXYRY
      EZUYUAUVYEUYYLUYYJUYUAVUULVUUAUVYEVUUBYBUVYEUVUKUYYMUYYNUYYOUYYPUXWSAUYYM
      YYSUVYDUYYQYKUYYNUVYEUYYRYBUYYOUVYEUYYSYBUYYTUWOUVYEUXXDUXYRUYUMUVYEUYVJE
      UXYRXLUXYRUYUMXQUVYEUYVJEUXYRUYXPVXQEUXYRUYUMVXRVUEZWWIWWJUVYEUYUMXTUXYRV
      UUKUVYEUYURUYUMXTVUUKYQZUYUTUYURUYUQUYURVUUNAUYUQYMUYURWUCUYVAUWXNXTUXXEY
      QZWUHUYURVUUNWUHRHUUWAUYVDUYVAUYURVUUOVUUNUYVEUYVDUWXNUYUMXTUXXEVUUKUYVDU
      WXNUYUMUXXDUYVFVYPUYVFWWLWULUYVAUXXFVUUOVIUWXNXTUXXEWWMZYIZWUMWUOYIVUUMUV
      IWWNEUQUUVNUYUFUXVTUXWLUWYNUVYSUWYTUWUCWOUXWMUXWQYPWUBUXYTUXYMUYUPXOUYUEU
      YYEUXYMUXYMUXYSUYUPUXYMVYTUXYQUYUIUUEEUXYRUXYNUUVLXPZUXYPUYUHUXYKYHVUURUX
      YOUYUGXHUXYNUUVLUCVXHYTWWEWWOWWPUYUDUYYDUUEEUXYRVUURUYUCUYYCUXYLYHVUURUYU
      BUYYBXHUXYNUUVLUYUAVXHYTWWEWWOWWPWWQUUVEUXYCUXYJUUBXTUUVEUXYCUXYAUQUXYIXL
      ZUXYJUUVEUXYBUXYIXPUXYCVUUSUXMUUVEUUYBUXYEUUVEUKUXYDXTUVRUUVEUKUWUFUXYDUW
      WSUUVEUQUUYQUWUEUXVTUXWIVXEYRVWDZWWRUXYAUQUXYBUXYIUQUXYBWWSUQUXYEUQXTUXYD
      UVRUQXTWWSUQUVRWWSUQUUYQUXVTUUQWXAWXBWWTYIUUVEUXYAUXYHUQUXYIUUVEUXXSUXYGU
      XXTYHUUVEUXXRUXYFXHUUVEYXHUUYBUXYEVUUTWVTYTWWEWXCWXDWUKUWQUUYAXCEUQUUVKUU
      XGYXHUUVHXPZUUXTYXHUUVJXPZUUYJUUUMXRZXRUXWLUUVMVUVAUUWLUUXFUUXTVUVCUUVLYX
      HUUVHWXEUUWLUUXTXPUXWLUUWJUUXSUUWKXFUUWIUUXRUUVHWOUUWHUUXQUMXSUUWHUUXQXPW
      XFUUWDUUXOUUWEUUXPUUWGUUWDUUXOUXMWXFUUWCUUXNUUVHUUWBUUXMKUUVTUUXLUUCUTUUW
      AUUVOUUUCXPZUUVSUUXKUUVNVUVDUUVPUUXHUUVRUUXJXEUUVOUUUCKVXHVUVDUUVQUUXIKUU
      VOUUUCWTWQVXIYTYPVXJVXKZWVEWXGYBUUWEUUXPXPZWXFUUWBUUXMXPZVUVFVUVERUUWBUUX
      MLWXHUXIYBWXIWXJWVFWVFWVFYBUXWLUUWMVUVBUUXDUUXEUUYJUUUMUUVLYXHUUVJWXEUUXD
      UUYJXPUXWLUUXBUUYIUUXCXFUUXAUUYHUUVJWOUUWTUUYGUMXSUUWTUUYGXPWXFUUWPUUYEUU
      WQUUYFUUWSUUWPUUYEUXMWXFUUWOUUYDUUVJUUWNUUYCKUUWBUUXMWTWQVUVEWVFWVEWXGYBU
      UWQUUYFXPZWXFVUVGVUVHVUVERUUWBUUXMUHWXHUXIYBWXIWXJWVFWVFWVFYBUUVLYXHUKVXH
      WXKWXKWUBWXLUUVGUUVBPUUAUUSYYDUUUTXPUUVFUUVAWLUTWRUUUJYYDUUUTUUUPXKWXMWXN
      WWOVUIYSYYJUUVDAYYSYYDWXOVYSUUVBUUUSUUAYYPUUSUUUTYYPXPUUVAUUUQWLUTWRUUUJU
      UUTYYPUUUPXKWXMWXNWXPYJYYTUUURUUUKWLWRYYTUUUQUUUIUTUUUJAYYSUUUQUUUIWUHYYJ
      UUVEUUUQUUUIUUVEUUUQXOZUUUHUUUPYYPXKVUVIUUUGUUUOXHUUVEUUUGUUUOXPUUUQUUVEU
      QUUUBUUUFUUUNUUVEYXHUUUBXNZXOZYXOUUUMUUUEXFVUVKUUUMUXWCYXOUXWDVUVKUXWEYBV
      UVKUWUJUXWFUUVEUUUBUUYQYXHUUUBUUYQXQUUVEUVXQYBVVJUXWGYIVYLYNWXQYGYTUUVEUU
      UQYMUYPWVNYSWXRWVPWVQYGUUUAUUUKYYHWLWRUUUAYYFWRXNZXOZUUUKYYHVUVMUUUKXOZYY
      ESYYGVUVMUUUKSUUUAVUVLSYYTYYRSYYTSUUPYYQSWRWVCWUPVUVLSUUPWUPUUUKSUUPWUPVU
      VNYXPYYGXNZYYEVUVNVUVOXOZBYYEVUVPYYTYXPWRXNZXOZYYQXOZUQUUUBYYAUUOZXHXBZYY
      PXKXJZXOZBVUVPVUVSVUWBVUVMVUVOVUVSUUUKVUVMVUVOXOZVUVRYYQYYTVUVLVUVOVUVRYY
      RYYTVUVLXOVUVOXOYYTVUVQYYTVUVLVUVOWUGVUVLVUVOVUVQYYTYXPYYFWXTZVWAVUCVYKVU
      WDYYRVUVQYYQYYTYYRVUVLVUVOVXTVUVLVUVOVUVQUUUAVUWEVWAYYQSWRWVKYJVUCYSVUVLU
      UUKVUVOVUWBUUUAVUVLUUUKXOVUVOXOYXRUUUJXNZUUUKVUWBVUVLVUVOVUWFUUUKVUVLVUVO
      XOZYYFUUTYXRVUVLYYFYFXNVUVOVUVLYYFYYFWYAZVVRYGUVUEVUWGUVMYBVUVOYXRXTXNZVU
      VLVUVOYXPYXQYYFYXPWXSZYXQXTXNZVUVOWTWYBWYCZYBVWJYCZVUWGYYFYXPYXRVUVLYYFXT
      XNVUVOVUWHYGVUVOUVYHVUVLVUWJYCZVUWMVUVOYYFYXPYHXJVUVLYYFYXPWYDYCVUWGWMYXQ
      XKXJZYXPYXRXKXJVUWOVUWGWYEYBVUWGYXQYXPVUWKVUWGVUWLYBVUWNWYFUYKVVTVUWGYXRV
      UWMUVNWVMYSVUVLUUUKVUVOWUQUUUIVUWBUTYXRUUUJUUUCYXRXPZUUUHVUWAYYPXKVUWPUUU
      GVUVTXHVUWPUQUUUBUUUFYYAVUWPUUUFYYAXPVUVJVUWPUUUEYXTYXOXFVUWPUUUDYXSXGUUU
      CYXRYXHXFVXIYTVWDYGWXQYTWWEWYGWUOWYHVUCWKVUEBYYCYYNVUVTWQWPZXHXBZYYDXKBYY
      BVUWQXHBYYBVUVTYYNWQWPVUWQBUQYXFYYLWMYYAUUYKBUUYLYBZBUWFZBYXGYXFWMUVAWPZY
      YLYXFWMVUKBVUWCYYSBVUWCWKWYJZYYKYYSVUVQYYQVUWBWYIYIZVWIBYXHYXGXNZXOZYYAVU
      XEYXOYXTBAVUXDYXOXTXNZBVUWCAVUXBAYYJYYSVUVQYYQVUWBWYKYIZAVUXDXOZUUYTXTYXH
      OAUWUIVUXDUVUJYGVUXDUWUQAYXGUUYTYXHYXGYXFXDXEWPZUUYTXDYFXNWMXDYHXJZYXGVUX
      IXQXDYAUWHWMXDXUAYAUWKWYLZYXFWMXDWYMVWHYXFXDVUKVVGZWYNZYCYLZWYOVUXEYXSVUX
      EYXRYXHBVUWIVUXDBYXPYXQBYXPBVUWCVUVQVUXBYYTVUVQYYQVUWBVXTYIZUYGVUWKBVUWLY
      BVWJYGVUXDUWVHBYXHYXFWMUVFZYCVVMVWQVVMZVXDBUQUUUBYXGYYAXTBUVUSUVUTUVUOYYL
      WMYHXJUUUBYXGXQUVUSBUVVBYBZUVUTBUWIYBZBYXFVUWSUWEBYYLWMBYXGXTYYLYXFWMUVGZ
      VUXCVWIZVUWTBUVUSUVUTYYSUVVAVUXRVUXSVUXCUVVCVVQUWMYXFWMYXFYYLWYPUWOZUUUBW
      YQWUFZXNBYXFYYLWYRYBVUXQBAVUVQUQYXGYYAWSZWYSXNZVUXGVUXOAUAXIZWRXNZXOZUQYX
      GYXOVUYFYXQWQWPZYXHXFWPZXGXBZXFWPZWSZWYSXNZWUHAVUVQXOZVUYEWUHUASVUYFYXPXP
      ZVUYHVUYOVUYNVUYEVUYPVUYGVUVQAVUYFYXPWRWUIWUJZVUYPVUYMVUYDWYSVUYPUQYXGVUY
      LYYAVUYPVUXDXOZVUYKYXTYXOXFVUYRVUYJYXSXGVUYRVUYIYXRYXHXFVUYRVUYFYXPYXQWQV
      UYPVUXDXUBYNYNYTVWDZVXEWYTWULVUYHUQYXGUUYTVUYLXTYXGUUYTXQVUYHVUXLYBZYXGVU
      YCXNZVUYHYXFWMWYRZYBZVUYHUWUQXOZYXOVUYKAUWUQVUXFVUYGAUUYTXTYXHOUVUJXUCYSV
      UYGUWUQVUYKXTXNZAVUYGUWUQXOZVUYJVVUFVUYIYXHVUYGVUYIXTXNZUWUQVUYGVUYFXTXNZ
      VUWKVVUGVUYFWYAZVUWLVUYFYXQXUDUYOYGVVUFUUYTXTYXHUWWEVUYGUWUQYMZVWIVVMVWQZ
      VWAVVMVUYHUQUUYTVUYLWSZUDWYSVUYHUDUQUUYTYXOYXHMXBZXFWPZWSZVVULUDVVUOXPVUY
      HVQYBVUYHUQUUYTVVUNVUYLVVUDVVUMVUYKYXOXFVUYGUWUQVVUMVUYKXPZAVVUFUWUQVVUEV
      VUPVVUJVVUKUQUUYTVUYKXTMVPVVPZYJVWAVWDVXEVYLVUYHFGJKLMORTUCUDUEUXXDUGUHUI
      VUYFTWRWMURXIZXBYXFXPTXIZVVURXBXDXPXOUVWHVVURXBUWXLVVURXBXKXJRWMVVUSUVBWP
      XLXOURXTWMVVUSUXOWPXUEWPWWDWSZULUMUNUOUQURVCAUWWCVUYGVAYGZAUNULUXCXNZVUYG
      VFYGAUOUVUBUNVXGWPXNVUYGVTYGAUMUVUHUNVXGWPZXNVUYGWAYGVMVNVOVUYGVVUHAVVUIY
      CZVPVQAUWXIVUYGVDYGZAUWXJVUYGVEYGZAUWXKUWXQVUYGVGYSZAUWXKUWXRVUYGVKYSZAUW
      XKUWXSVUYGVLYSZWIVVUTXCZUXXDXCZAUWXKVUUOVUYGVUUQYSAFUXXDUVUGYEUNVXGWPXNVU
      YGWBYGAGUXXDUVUAYEUNVXGWPXNVUYGWCYGXUFZYOXUJZXUGYJZXUJZBUQYYMYXGYYAXTBUVU
      SUVUTUVXMWMWMYHXJYYMYXGXQVUXRVUXSBYXFYYLVUWSVUYABYYSUVWTVUXCUVXAYIUWMBWMV
      UWTUWEYXFWMYYLWMWYPUWOZYYMVUYCXNBYYLWMWYRYBVUXQVVVNXUJZXUHBVUVTYYNBUQUUUB
      YYAXTBVUVJVUXDYYAXTXNZBUUUBYXGYXHVUYBVVJVUXQXUIVVVOXUKZBUQYYMYYAXTBYXHYYM
      XNVUXDVVVRBYYMYXGYXHVVVPVVJVUXQXUIVVVQXUKZXULYRYTBVUWRYYOVUWAWQWPYYDBVUWQ
      BYYNVUVTVVVTVVVSXUMXUNBYYOVUWABYYNVVVTXUNZBVUVTVVVSXUNZVWJBYYDBVUWCYYJVUX
      BAYYJYYSVUVQYYQVUWBXUOYIXUTZBYYNVUVTVVVTVVVSXUPBYYOVUWAYYDVVWAVVWBVVWCBVU
      WCYYQVUXBVUVRYYQVUWBWUQYIBVUVSVUWBVUXBVUSXUQVVTUYPYIWVNWVOWVNXURWVQYYKUUF
      XIZUUYTXQZVVWDWYQXBZUUGXIZYHXJZXOZUQVVWDYYAUUOZXHXBZYYPXKXJZSWRXLZWUHZUUF
      VUYCXLZUUGUUSXMYYRUSYXGXMZAYYKUUHXIZUUSXNZUUVLUDXBZXHXBZVVWQYHXJZEUUYTXLZ
      UAWRXLZXUSZVVWDVUYCXNZXOZVVWEVVWFYYDXVAWOWPVVWQWOWPZYHXJXOZXOZVUYGXOUUIUU
      FVVXGMOPSUAUCUDUEUGUMUNUOUQUUHUUGVAVBUVUFUVUIVMVNVOVPVQAUUIYXFXDKUVWIUNXP
      ZGLUVWIUNXKXJUMUOXRXSWPUWYBWOWPXRZRUEWLUUWAYYFKXBZYYFWTWQWPZKXBZXEWPZWSUW
      XMUNXPFUHUWXMUNXKXJUMUOXRXSWPUWYCWOWPXRZUIUQUYVOUYVPYXFXDYHXJAYXFXDUUYLYA
      YXFWMXKXJUVVEYXFXDXKXJXVBUWKYXFWMXDUUYLXUAYAXVCVWHWYLYBUWUSVDARUVWGUVWJXT
      KAUVWHUVWGXNZXOZUVWIUNAUVWGXTUVWHULAULXTUVWGXUEWPZXNZUVWGXTULYQZAVVXTWMUL
      XBZUYVLXPZUIULXBUYVMXPZXOZUVWIUWXMXKXJRUUWAXLZXOZAUWXJVVXTVVYGXOZVEAUWXIU
      WXJVVYHUXMVDUYVLUYVMJULRTUIURVCXVDYIUYKZVUOZULXTUVWGXVEZYIZXUCAUWWDVVXQVB
      YGVWKWIXVFAWMKXBZVVYBUNXSWPZUYVLUNXSWPYXFARWMUVWJVVYNUVWGKXTKRUVWGUVWJWSZ
      XPAWIYBUVWHWMXPZUVWJVVYNXPAVVYPUVWIVVYBUNXSUVWHWMULVXHYNYCAUIWMUULXBZXNWM
      UVWGXNAUIUWRVVYQAUIVDXVGXVJXVHWMUIXVIYIZAVVYBUNAUVWGXTWMULVVYLVVYRYLVBVWK
      VYJAVVYBUYVLUNXSAVVYCVVYDAVVYEVVYFAVVXTVVYGVVYIVUSVUOVUOYNAYXFUNAYXFUYVOV
      XDAUNVBVXDZXVKVWMAVVYMYXFXPZUIKXBXDXPZAVVYTVWUAXOZUWYBUWYCXKXJZRUUWAXLZAK
      VVXSXNZVWUBVWUDXOZAKUIVVUTXBXNZVWUEVWUFXOZAYXFXDJKRTUIVVUTULUNURUYVOUYVPV
      BVCVVVJVDVEWIXVLZAUWXIVWUGVWUHUXMVDYXFXDVVUTKRTUIURVVVJXVDYIUYKVUSZVUOVUS
      AVWUCRUUWAAVWUBVWUDVWUJVUSXVMUYVAUWYBUWYCUCUEUMUNUOUQAUWWCUWXKVAYGUYVAUVW
      GUUYTUVWHKAUVWGUUYTKYQUWXKAYXFXDVVUTKRTUIURVVVJVDVWUIWUTYGZUWXKVVXQAUVWHW
      MUIVVDYCZYLUYVAUVWGUUYTUWXLKVWUKUWXKUWXLUVWGXNAWMUIUVWHVVEYCZYLAUWWDUWXKV
      BYGZAYXFXDVVUTKRTUIWMURVVVJVDVWUIAWMUVWJXPZRUVWGXMZWMUVVRXNZAVVXJRUVWGXMZ
      VWUPAVVVBVWURVFAULUVWGXVNZVVVBVWURUXMAVVXTVVYAVWUSVVYJVVYKUVWGXTULXVSXVOR
      UVWGUNULXVPYIUYKAVVXJVWUORUVWGVVXRVVXJVWUOVVXRVVXJXOUVWJUNUNXSWPZWMVVXJUV
      WJVWUTXPVVXRUVWIUNUNXSVXIYCAVWUTWMXPVVXQVVXJAUNVVYSXVQYKVYLWVNXURWVQWMXTX
      NZVWUQVWUPUXMXUARUVWGUVWJWMKXTWIXWFUXIVUEXVRUYVAUWXOUWXPUCUWYBUNWQWPZUWYC
      UNWQWPZXEWPZYEVWVDYDVVOWPVGUYVAVWVDUWXNUCUYVAVWVBUVWIVWVCUWXMXEUYVAVWVBUV
      WJUNWQWPUVWIUYVAUWYBUVWJUNWQUYVAVVXQUVWJXTXNUWYBUVWJXPVWULUYVAUVWIUNUYVAU
      VWGXTUVWHULAVVYAUWXKVVYLYGZVWULYLZVWUNVWKRUVWGUVWJXTKWIVVPYJYNUYVAUVWIUNU
      YVAUVWIVWVFVXDAUNYDXNUWXKVVYSYGZXVTYRUYVAVWVCUWXMUNXSWPZUNWQWPUWXMUYVAUWY
      CVWVHUNWQUYVAWLUWXLYYFULXBZUNXSWPZVWVHUVWGKXTKWLUVWGVWVJWSZXPUYVAKVVYOVWV
      KWIWLRUVWGVWVJUVWJYYFUVWHXPZVWVIUVWIUNXSYYFUVWHULVXHYNWUBXWAYBYYFUWXLXPZV
      WVJVWVHXPUYVAVWVMVWVIUWXMUNXSYYFUWXLULVXHYNYCVWUMUYVAUWXMUNUYVAUVWGXTUWXL
      ULVWVEVWUMYLZVWUNVWKVYJYNUYVAUWXMUNUYVAUWXMVWVNVXDVWVGXVTYRYPZVYPUYVAVWVD
      UWXNYDVVOVWVOYNXWGAUOXTXNZUWXKUVUFYGAUWWGUWXKUVUIYGVMXWBAVVXKJKLRTGUCUXXD
      UEUIVVUTULUMUNUOUQURVBVCVAVFVTUVUIVMVDVEVKWIVVVJVVVKUYVAUXXFVUUOUWXNYDUXX
      EYQVIVUUPVUUOUWXNXTYDUXXEVUUOWUCUVUKVUUOUWCYBUWDXVOWCVVXKXCXWCAVVXPJKUHRT
      FUCUXXDUEUIVVUTULUMUNUOUQURVBVCVAVFUVUFWAVMVDVEVLWIVVVJVVVKVUUQWBVVXPXCXW
      DWLRUUWAVVXOUWYDVWVLVVXLUWYBVVXNUWYCXEYYFUVWHKVXHVWVLVVXMUWXLKYYFUVWHWTWQ
      VXIYTYPWUBXWEVVVLVVXGXCVVXIYYKVVWRYXIXHXBZVVWQYHXJZUQUUYTXLZUAWRXLZXUSZVV
      XEXOZVVXHXOVUYGVVXFVWWBVVXHVVXDVWWAVVXEVVXCVWVTYYKVVWRVVXBVWVSUAWRVVXAVWV
      REUQUUYTUXWLVVWTVWVQVVWQYHUXWLVVWSYXIXHUUVLYXHUDVXHYTWWEWWOXWHXWIXWJXWJXW
      JXWKYYKVVWOVVWPUUGUUSYYKVVWGUUSXNZVVWOXUSVVWGXDWNWOWPZYHXJZVVWGVWWDXRZUUN
      ZYXGXNZUQVWWGWMXEWPZYYAUUOZXHXBZYYPXKXJZSWRXLZVVWPVWWCYYKVWWHVVWOVWWCVWWE
      VWWHVWWCVWWEXOZVWWGVVWGUUNZYXGVWWEVWWGVWWOXPVWWCVWWEVWWFVVWGVWWEVVWGVWWDX
      WLXWMZYCVWWNYXFWMVWWOUVUSVWWNUVVBYBUVUTVWWNUWIYBVWWCVWWOXTXNVWWEVWWCVVWGV
      VWGXWOZVWOYGVWWNVVWGXDXKXJYXFVWWOXKXJVWWNVVWGVWWDXDVWWCVVWGXTXNZVWWEVWWQY
      GZVWWDXTXNZVWWNXDYAWYCZYBUVUNVWWNYAYBZVWWCVWWEYMZVWWDXDXKXJZVWWNUVVEVWXDU
      WKUVUNUVVEVWXDUXMYAXDXWNUXIXXEZYBVVTZVWWNVVWGXDVWWSVWXBXWPUYKVWWCVWWOWMXK
      XJZVWWEVWWCWMVVWGXKXJVWXGVVWGXWQVWWCVVWGVWWQXWRUYKYGWVMYOVWWEVWEZVWWHVWWC
      VWXHVWWGVWWDUUNZYXGVWXHVWWFVWWDVWWEVVWGVWWDXWSXWMZVWXIYXGXNZVWXHVWXKUVUSU
      VUTVWXIYFXNZXUSYXFVWXIXKXJZVWXIWMXKXJZXOUVUSUVUTVWXLUVVBUWIVWXIVWWDVWXAUV
      EZUWHXWTVWXMVWXNVWXDVWXMVWXEVWWDXDVWXAYAXXAXXEZWMVWWDXKXJZVWXNXDWNYAUYFUW
      KXXNXXBZVWWTVWXQVWXNUXMVWXAVWWDXXCUXIXXEXXDYXFWMVWXIXXFXXGYBYOYCXXHZXXIVW
      WCVVWOVWWMYYKVWWCVVWOXOZVWWIVUYCXNZVVWOXOVWWIUUYTXQZVWWIWYQXBZVVWGYHXJZXO
      ZVWWMVWXTVWYAVVWOVWYAVWXTVWWGWMWYRYBVWWCVVWOYMVUCVWWCVWYEVVWOVWWCVWYBVWYD
      VWWCVWWIVWWGWMUVAWPZUUYTVWWIVWYFXQVWWCVWWGWMVUKYBVWWCUUYKUVUNYXFVWWGYHXJZ
      VUXJVWYFUUYTXQUUYKVWWCUUYLYBUVUNVWWCYAYBVWWCVWWEVWYGVWWNYXFVWWOVWWGYHVWWN
      VVWGXDYHXJYXFVWWOYHXJVWWNVVWGXDVWWSVWXBVWXFUWMVWWNVVWGXDVWWSVWXBXXOUYKVWW
      EVWWOVWWGXPVWWCVWWEVWWGVWWOVWWPUYQYCWVLVWWCVWXHXOZYXFVWXIVWWGYHYXFVWXIYHX
      JVWYHYXFVWXIUUYLVWXOVWXPWYLYBVWXHVWXIVWWGXPVWWCVWXHVWWGVWXIVWXJUYQYCWVLXX
      HVUXJVWWCVUXKYBYXFXDVWWGWMUWNUWOVYMVWWCVWYCVWWFVVWGYHVWWCVWYCWMVWWGXSWPZW
      MVWWFWQWPVWWFVWWCVWWGXTXNVWVAVWWGWMYHXJZVWYCVWYIXPVWWCYXGXTVWWGVUXTVWXSVW
      IVWWCUWFVWWCWMVWWFYHXJZVWYJVWWCVWWEVWYKVWWNWMVVWGVWWFYHVWWCWMVVWGYHXJVWWE
      VVWGXXJYGVWWNVWWEVVWGVWWDVWXCXXKXXLVWYHWMVWWDVWWFYHWMVWWDXUAVWXAVWXRWYLVW
      YHVWWEVVWGVWWDVWWCVWXHYMVWCXXMXXHVWWCVWWFVWWCVWWEVVWGVWWDXTVWWQVWWTVWWCVW
      XAYBXXPZXXQUYKVWWGWMXXRVVQVWWCWMVWWFWMYDXNVWWCXXSYBVWWCVWWFVWYLVXDZXXTVWW
      CVWWFVWYMXYAVWMVWWCVWWRVWWTVWWFVVWGYHXJVWWQVWXAVVWGVWWDXYBUYOUYPVUCYGVVWN
      VWYEVWWMWUHUUFVWWIVUYCVVWDVWWIXPZVVWIVWYEVVWMVWWMVWYNVVWEVWYBVVWHVWYDVVWD
      VWWIUUYTXYEVWYNVVWFVWYCVVWGYHVVWDVWWIWYQVXHWWEXYCVWYNVVWLVWWLSWRVWYNVVWKV
      WWKYYPXKVWYNVVWJVWWJXHUQVVWDVWWIYYAXYDYTWWEWXCWULXYFWUOXYGYYRVWWMUSVWWGYX
      GYYLVWWGXPZYYQVWWLSWRVWYOYYOVWWKYYPXKVWYOYYNVWWJXHVWYOUQYYMVWWIYYAYYLVWWG
      WMXEVXIXYHYTWWEWXCXYIYJXYJWVQXYKVXQAPYYBWLSYXKWTXAWRUURYXDYXKXAXNAUAWRYXJ
      XYLXYOYBVUYOUAYXPYXJYYBWRYXKYDVUYOYXKVYGVUYOVUYPXOZUQYXGYXIYYAVWYPVUXDXOZ
      YXIVVUNYYAVWYQUWUQVVUNXTXNYXIVVUNXPVUXDUWUQVWYPVUXMYCZVWYQYXOVVUMAVUXDVUX
      FVUVQVUYPVUXNVYRVWYQVVUMVUYKXTVUVQVUYPVUXDVVUPAVUVQVUYPXOZVUXDXOZUWUQVVUE
      VVUPVUXDUWUQVWYSVUXMYCZVWYTVUYJVWYTVUYIYXHVWYSVVUGVUXDVWYSVUYFYXQVWYSVUYF
      VWYSVUYFYXPWRVUVQVUYPYMVUVQVUYPXUBYOUYGZVUWKVWYSVUWLYBVWJYGVWYTUUYTXTYXHU
      WWEVXUAVWIVVMVWQVVUQYJWYHZVWYQVUYJVWYQVUYIYXHVWYQVUYFYXQVWYPVVUHVUXDVUVQV
      UYPVVUHAVXUBVWAYGVWYQWTVWYQUYCVWPVWJVWYQUUYTXTYXHUWWEVWYRVWIVVMVWQYOVVMUQ
      UUYTVVUNXTUDVQVVPYJVWYQVVUMYXTYXOXFVWYQVVUMVUYKYXTVXUCVUYPVUYKYXTXPVUYOVU
      XDVUYPVUYJYXSXGVUYPVUYIYXRYXHXFVUYFYXPYXQWQVXIYNYTVYSYRVWDYRWXQAVUVQYMVUY
      HUQYXGVUYLUUOZYDXNZWUHVUYOYYBYDXNZWUHUASVUYPVUYHVUYOVXUEVXUFVUYQVUYPVXUDY
      YBYDVUYPUQYXGVUYLYYAVUYSWXQWYTWULVUYHUQYXGVUYLXTVUYHVUXDXOZYXOVUYKAVUXDVU
      XFVUYGVUXNYSVUYHVUYGUWUQVVUEVUXDAVUYGYMZVUXMVVUKXYMVVMVVVMXUKXUGZVYJVXUIX
      YNUWQUBXAXNAUBYXNXAVSUAWRYXMXYLXYOXYPYBAXDTYXLWTXAWRUURYXDYXLXAXNAUAWRXDX
      YLXYOYBXDYDXNZAXYQYBVVUSWRXNZVVUSYXLXBXDXPAVXUKUAVVUSXDXDWRYXLXTVXUKYXLVY
      GVXUKVUYFVVUSXPXOXDVYGVXUKWUCUVUNVXUKYAYBVYJYCXYRXDWMUWTZAWMXDXUAUWKXYSZY
      BVUYHVUYFYXKXBZYXJYDVUYHVUYGYXJYDXNVXUNYXJXPVXUHVUYHUQYXGYXIXTVXUGUUYTXTY
      XHUDVUYHUUYTXTUDYQVUXDVUYHMOUCUDUEUGVUYFUMUNUOUQVVVAAUWWDVUYGVBYGZAVWVPVU
      YGUVUFYGAUWWGVUYGUVUIYGVMVNVOVVVDVPVQXYTZYGVUYHYXGUUYTYXHVUYTVVJYLVUYHUQY
      XGUUYTYXIXTVUYTVVUCVUYHUUYTXTYXHUDVXUPXUCVUYHUDUQUUYTYXIWSWYSVUYHUQUUYTXT
      UDVXUPYUAVVVLWVDXUJXUKZUAWRYXJYDYXKYXKXCVVPYJZVXUQYOVUYGVUYFYXLXBZYDWMYUB
      ZYUCZXNAVUYGVXUSXDVXVAVUYGVUYGUVUNVXUSXDXPVUYGWUCYAUAWRXDXTYXLYXLXCVVPUYO
      ZVUYGVXUJVXULXOXDVXVAXNVUYGVXUJVXULVXUJVUYGXYQYBVXULVUYGVXUMYBVUCXDYDWMYU
      EVUEYOYCVUYHVUYFUBXBZYXMVXUNVXUSWOWPVUYHVUYGYXMYDXNVXVCYXMXPVXUHVUYHYXJXD
      VXUQVXUJVUYHXYQYBVXULVUYHVXUMYBYUDZUAWRYXMYDUBVSVVPYJVUYHYXJVXUNXDVXUSWOV
      UYHVXUNYXJVXURUYQVUYGXDVXUSXPAVUYGVXUSXDVXVBUYQYCYPYRYUFYXEWMXPZAXDXYQVXU
      MYUGZYBWVLUPXAXNAUPTWRUQYXGUVYRYXHVVUSIXBZXBZXFWPZUUOZWSZXAVRTWRVXVJXYLXY
      OXYPYBAYWTUAYXAWTXAYXBYXCYXDYXAXAXNATWRYWTXYLXYOYBAUMAVVVCYDUMUNUVUHYUHWA
      VWIVWSZAVUYFYXBXNZXOZTVUYFYWTYWTWRYXAYDVXVNYXAVYGVXVNVVUSVUYFXPZXOYWTVYGV
      XVMVUYGAVXVMVUYGYXBWRVUYFWRYXBUURWVBYUIWYJYCZAYWTYDXNVXVMVXVLYGZVYJZXYRVX
      VNWRYDVUYFUBAWRYDUBYQVXVMAUAWRYXMYDUBVXVDVSXVFYGVXVPYLVXVNVUYFYXAXBZYWTYD
      VXVRVXVQYOVXVNVXVCVXVSWQWPVXVCYWTWQWPZUQYXGUVYRYXHVUYFIXBZXBZXFWPZUUOZVUY
      FUPXBZVXVNVXVSYWTVXVCWQVXVRVWDAVXVMVUYGVXVTVXWDXPVXVPAYXGFGIJLMORTUAUBUCU
      DUEUXXDUGUHUIUMULUMUNUOUQURVAVBVCVDVEVFVGVKVLVMVNVOVPVQVVVKVUUQWBWCVTWAVV
      UAAVVUBYBYXGUUYTVXUTYUCZXQAUQYXGVXWFVUXDYXHUUYTVXUTVUXMVUXDUWUOYXHVXUTXNV
      UXDYXHWMVUXDYXHWMVUXPVUXDUVUSUVUTVUXDYXHWMXKXJUVUSVUXDUVVBYBVUXDWMVUXDUWF
      ZVVRVUXDWUCYXFWMYXHUWGVVQZUYIVWBUQWMYUJYUKYULYUMYBVSWDUVUIVUXHUWVAUOUMVUX
      HYXHWMVUXDUWVHAVUXPYCZVUXHUWFVUXDYXHWMYHXJAVUXDYXHWMVUXPVXWGVXWHUWMYCYUOV
      WCVUYHUQYXGVXWBUUOWMUQVUXAUWUAWTVUYFUXOWPZYXPYXHXFWPZXGXBZYXPWOWPZSYVFZWQ
      WPZXDWOWPZWSZXBZYXFVXWQXBZXSWPZWMYXQUUNZXSWPZYXQVUYHUQYXFWMISUAVXWAVXWQVU
      YFWDVXUHVXWAXCUUYKVUYHUUYLYBZVUYHUWFYXFWMYHXJZVUYHYXFWMUUYLXUAXVBWYLZYBVX
      WQXCZYUNVXWTVXXBXPVUYHVXWRWMVXWSVXXAXSWMVUXAXNZVXWRWMXPUVUSUVUTVXXDVXXGUV
      VBUWIVXXEYXFWMYUPYUQUQWMVXWPWMVUXAVXWQUWUOVXWPYXEWMUWUOVXWOWMXDWOUWUOVXWO
      WMWMWQWPZWMUWUOUWUAWMVXWNWMWQUWUOUWUAWMWNWOWPZWMYXHWMWNWOVXIVXXIWMXPUWUOW
      NVWRVXAYUGYBYRUWUOVXWNVXWJWMSYVFZWMUWUOVXWJVXWMWMSUWUOYXPVXWJXNZXOZVXWMWM
      YXPWOWPZWMVXXLVXWLWMYXPWOVXXLVXWLWMXGXBZWMVXXLVXWKWMXGUWUOVXXKVXWKYXPWMXF
      WPWMYXHWMYXPXFVYHVXXKYXPVXXKYXPYXPWTVUYFYURZYUSZYUTWWCYTVXXNWMXPVXXLYVAYB
      YRYNVXXKVXXMWMXPUWUOVXXKYXPVXXPVXXKYXPVXXKWMWTYXPVXXKUWFVXXKUYCVXXKYXPVXX
      OVUTUVWOVXXKUYEYBYXPWTVUYFYVBVUAVUBYVCZYCYRYVDVXXJWMXPZUWUOVXWJUUJUULXBXQ
      ZVXWJUXLXNZYVGVXXRVXXTVXXSWTVUYFUXPYVEVXWJSUUJYVHUXIZYBYRYPVXXHWMXPUWUOYV
      IYBYRYNVXVEUWUOVXVFYBYRVXXFWMXTXUAUXFYVJUXIVXWSYXFWNWOWPZVXWJYXPYXFXFWPZX
      GXBZYXPWOWPZSYVFZWQWPZXDWOWPZVXYBWMWQWPZXDWOWPZVXXAYXFVUXAXNZVXWSVXYHXPUV
      USUVUTVXXDVXYKUVVBUWIVXXEYXFWMYVKYUQUQYXFVXWPVXYHVUXAVXWQYXHYXFXPZVXWOVXY
      GXDWOVXYLUWUAVXYBVXWNVXYFWQYXHYXFWNWOVXIVXYLVXWJVXWMVXYESVXYLVXWLVXYDYXPW
      OVXYLVXWKVXYCXGYXHYXFYXPXFVYHYTYNYVLYPYNVXXFVXYGXDWOVYIYVJUXIVXYGVXYIXDWO
      VXYFWMVXYBWQVXYFVXXJWMVXWJVXYEWMSVXXKVXYEVXXMWMVXXKVXYDWMYXPWOVXXKVXYDWMX
      PZVXYCXDWOWPZYWGXNZVXXKVXYNYXPUUNZYWGVXXKVXYNVXYPXDXFWPZXDWOWPVXYPVXXKVXY
      CVXYQXDWOVXXKVXYQVXYCVXXKYXPYDXNVXUJVXYQVXYCXPVXXPXYQYXPXDYVMUYOUYQYNVXXK
      VXYPXDVXXKYXPVXXPYVQVXUJVXXKXYQYBVXULVXXKVXUMYBYVNYRVXXKYXPVXXOYVOYOVXXKV
      XYCYDXNVXYMVXYOUXMVXXKYXPYXFVXXPYXFYDXNVXXKYVPYBVYBVXYCYVRYIUWQYNVXXQYRYV
      SVXYAYVTYWAWVFVXYJVWXIXDWOWPZVWWDXDWOWPZUUNZVXXAVXYIVWXIXDWOVXYIVXYBVWXIV
      XYBYXFWNYVPVWRVXAYWBYWCVXUJUWWMUWWOVWXIVXYBXPXYQVWRVXAXDWNYWDYUQXWAWVFVXY
      TVXYRVWWDYDXNVXUJVXULVXYTVXYRXPVWWDVWXAYWHXYQVXUMVWWDXDYWDYUQWVBVXYSYXQVX
      YSXDXDWOWPZWNWOWPYXQXDWNXDXYQVWRXYQVXAVXUMYWEVYUAWTWNWOXDXYQVXUMYWFWVFYVT
      YWIYWJYWJWVGYBVXXBYXQXPVUYHVXXBWMYXQWQWPYXQWMYXQXXSYWKYWLYXQYWKYWMYVTYBVW
      MYWNXUIAVXVMVUYGVXWDVXWEXPVXVPVUYHVXWEVXWDVUYHTVUYFVXVJVXWDWRUPXTUPVXVKXP
      VUYHVRYBVXVOVXVJVXWDXPVUYHVXVOUQYXGVXVIVXWCVXVOVXVIVXWCXPVUXDVXVOVXVHVXWB
      UVYRXFVXVOYXHVXVGVXWAVVUSVUYFIVXHWVTVWDYGWXQYCVXUHVUYHUQYXGVXWCVXUGUVYRVX
      WBAVUXDUVYRXTXNZVUYGVUXHXTXTUVYQUCAUWWCVUXDVAYGVUXHUNYXHAUWWDVUXDVBYGVXWI
      VWJYLYSVXUGXTXTYXHVXWAVUYGXTXTVXWAYQZAVUXDUQIUAVUYFWDYWPZVYSVUXDUWVHVUYHV
      UXPYCYLVVMVUYHUQYXGUUYTVXWCXTVUYTVVUCVVUDUVYRVXWBAUWUQVYUBVUYGAUWUQXOZXTX
      TUVYQUCAUWWCUWUQVAYGVYUEUNYXHAUWWDUWUQVBYGUWUQUWVHAUUYTXTYXHUWWEWYNZYCVWJ
      YLYSVVUDXTXTYXHVXWAVUYGVYUCAUWUQVYUDVYSUWUQUWVHVUYHVYUFYCYLVVMVUYHYXFXDVX
      WAJKLRTUCUQUUYTVXWCWSZUHUIVVUTULUNUQURVXXCUVUNVUYHYAYBVVVAVXUOVCVVVEVVVFV
      VVGVVVHVVVIWIVVVJVUYGVXWAXTXTVVOWPXNAUQIUAVUYFWDYWQYCVYUGXCYWOXUJYWRVYJUY
      QXUIVYQYWSAYWTVXVLXYAWVL $.
  $}

  ${
    $d .|| k $.  $d A s $.  $d B s $.  $d C i t w z $.  $d D i m s $.
    $d E n $.  $d F b i k l s t $.  $d F i k m s $.  $d F b k r s t $.
    $d F i k s t w z $.  $d G c e k s u $.  $d G i j k s $.  $d G i k s t $.
    $d G c e s u y $.  $d H i s $.  $d H s x $.  $d J b h k l s $.  $d J f k $.
    $d J b i k l s t $.  $d J i j k l s $.  $d J i j k m s $.
    $d J b k r s t $.  $d J i k v $.  $d J i k s t w z $.  $d K s y $.
    $d L b l s t $.  $d M b h k l s $.  $d M b i k l s t $.  $d M i j k l s $.
    $d M i j k m s $.  $d M i j m p $.  $d M i k v $.  $d M j s x $.
    $d N b i k l s t $.  $d N e j k l s $.  $d N f k $.  $d N i j k m s $.
    $d N b k r s t $.  $d N i k v $.  $d N i k s t w z $.  $d O a e j l s $.
    $d O b k l s t $.  $d Q b h l s $.  $d Q f $.  $d Q b i l s t $.
    $d Q i j l s $.  $d Q i j p $.  $d Q i v $.  $d Q j s x $.  $d R b l s t $.
    $d S s $.  $d T f $.  $d U c d k s $.  $d U d j k l s $.  $d U c k n s u $.
    $d U j s x $.  $d U c n s u y $.  $d V i j k s $.  $d V i j p $.
    $d V i k s t $.  $d V i k v $.  $d W s $.  $d X b i k l s t $.
    $d X i j k l s $.  $d X i j k m s $.  $d X i j m p $.  $d X b k r s t $.
    $d X i k v $.  $d X i k s t w z $.  $d Y b i k l s t $.  $d Y i k m n s $.
    $d Y b k r s t $.  $d Y i k s t w z $.  $d Z n $.  $d a d e j l s $.
    $d b d i k l ph s t $.  $d c d e k ph s $.  $d ch s $.  $d d f k ph $.
    $d d j k ph r s $.  $d d i k ph v $.  $d d i k ph s t w z $.
    $d e j k n ph s $.  $d m n ph s $.  $d m ph r s $.  $d ph s u y $.
    $d ph s x y $.  $d r s t w z $.  $d t y $.
    fourierdlem104.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem104.xre $e |- ( ph -> X e. RR ) $.
    fourierdlem104.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( -u _pi + X ) /\ ( p ` m ) = ( _pi + X ) ) /\ A. i e. ( 0
       ..^ m ) ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem104.m $e |- ( ph -> M e. NN ) $.
    fourierdlem104.v $e |- ( ph -> V e. ( P ` M ) ) $.
    fourierdlem104.x $e |- ( ph -> X e. ran V ) $.
    fourierdlem104.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( V ` i )
       (,) ( V ` ( i + 1 ) ) ) ) e. ( ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem104.fbdioo $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> E. w e. RR A. t
       e. ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) ( abs ` ( F ` t ) ) <_ w ) $.
    fourierdlem104.fdvcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( ( RR _D F ) |`
       ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) ) e. ( ( ( V ` i ) (,) ( V ` ( i + 1
       ) ) ) -cn-> RR ) ) $.
    fourierdlem104.fdvbd $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> E. z e. RR A. t
       e. ( ( V ` i ) (,) ( V ` ( i + 1 ) ) ) ( abs ` ( ( RR _D F ) ` t ) ) <_
       z ) $.
    fourierdlem104.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( V
       ` i ) (,) ( V ` ( i + 1 ) ) ) ) limCC ( V ` i ) ) ) $.
    fourierdlem104.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( V
       ` i ) (,) ( V ` ( i + 1 ) ) ) ) limCC ( V ` ( i + 1 ) ) ) ) $.
    fourierdlem104.h $e |- H = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 0 , (
       ( ( F ` ( X + s ) ) - if ( 0 < s , Y , W ) ) / s ) ) ) $.
    fourierdlem104.k $e |- K = ( s e. ( -u _pi [,] _pi ) |-> if ( s = 0 , 1 , (
       s / ( 2 x. ( sin ` ( s / 2 ) ) ) ) ) ) $.
    fourierdlem104.u $e |- U = ( s e. ( -u _pi [,] _pi ) |-> ( ( H ` s ) x. ( K
       ` s ) ) ) $.
    fourierdlem104.s $e |- S = ( s e. ( -u _pi [,] _pi ) |-> ( sin ` ( ( n + (
       1 / 2 ) ) x. s ) ) ) $.
    fourierdlem104.g $e |- G = ( s e. ( -u _pi [,] _pi ) |-> ( ( U ` s ) x. ( S
       ` s ) ) ) $.
    fourierdlem104.z $e |- Z = ( m e. NN |-> S. ( 0 (,) _pi ) ( ( F ` ( X + s )
       ) x. ( ( D ` m ) ` s ) ) _d s ) $.
    fourierdlem104.e $e |- E = ( n e. NN |-> ( S. ( 0 (,) _pi ) ( G ` s ) _d s
       / _pi ) ) $.
    fourierdlem104.y $e |- ( ph -> Y e. ( ( F |` ( X (,) +oo ) ) limCC X ) ) $.
    fourierdlem104.w $e |- ( ph -> W e. ( ( F |` ( -oo (,) X ) ) limCC X ) ) $.
    fourierdlem104.a $e |- ( ph -> A e. ( ( ( RR _D F ) |` ( -oo (,) X ) )
       limCC X ) ) $.
    fourierdlem104.b $e |- ( ph -> B e. ( ( ( RR _D F ) |` ( X (,) +oo ) )
       limCC X ) ) $.
    fourierdlem104.d $e |- D = ( n e. NN |-> ( s e. RR |-> if ( ( s mod ( 2 x.
       _pi ) ) = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n +
       ( 1 / 2 ) ) x. s ) ) / ( ( 2 x. _pi ) x. ( sin ` ( s / 2 ) ) ) ) ) ) )
       $.
    fourierdlem104.o $e |- O = ( U |` ( d [,] _pi ) ) $.
    fourierdlem104.t $e |- T = ( { d , _pi } u. ( ran Q i^i ( d (,) _pi ) ) )
       $.
    fourierdlem104.n $e |- N = ( ( # ` T ) - 1 ) $.
    fourierdlem104.j $e |- J = ( iota f f Isom < , < ( ( 0 ... N ) , T ) ) $.
    fourierdlem104.q $e |- Q = ( i e. ( 0 ... M ) |-> ( ( V ` i ) - X ) ) $.
    fourierdlem104.1 $e |- C = ( iota_ l e. ( 0 ..^ M ) ( ( J ` k ) (,) ( J ` (
       k + 1 ) ) ) C_ ( ( Q ` l ) (,) ( Q ` ( l + 1 ) ) ) ) $.
    fourierdlem104.ch $e |- ( ch <-> ( ( ( ( ( ph /\ e e. RR+ ) /\ d e. ( 0 (,)
       _pi ) ) /\ k e. NN ) /\ ( abs ` S. ( 0 (,) d ) ( ( U ` s ) x. ( sin ` (
       ( k + ( 1 / 2 ) ) x. s ) ) ) _d s ) < ( e / 2 ) ) /\ ( abs ` S. ( d (,)
       _pi ) ( ( U ` s ) x. ( sin ` ( ( k + ( 1 / 2 ) ) x. s ) ) ) _d s ) < ( e
       / 2 ) ) ) $.
    $( The half upper part of the integral equal to the fourier partial sum,
       converges to half the right limit of the original function.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem104 $p |- ( ph -> Z ~~> ( Y / 2 ) ) $=
      ( vj cc0 c2 cdiv co caddc cn cmpt c1 cvv cfv eqid cpi cioo cmul csin cabs
      cv wbr clt wral wrex wcel wa wceq wss cif cmin cr adantl pire a1i cc cres
      wf cxr adantr cle wb syl2anc syl ad2antrr ffvelrnd oveq1d eqeltrd oveq12d
      simpr adantlr fveq2d va vb vh vv vr vu vc vy vx c.pa cli 1zzd citg nfmpt1
      cuz nfv nnuz crp cpnf cicc cfzo crio csb cdv elioore cneg ioossre fssresd
      nfcxfr ioosscn ccnfld ctopn pnfxr lptioo1cn limcrecl cmnf mnfxr lptioo2cn
      ltpnfd mnfltd fourierdlem55 ax-resscn fssd renegcli 0red negpilt0 ioogtlb
      0xr rexri mp3an12 lttrd ltled leidd iccss syl22anc feq1d mpbird cn0 chash
      wne c0 cpr crn cin cun elexi prid2 elun1 ax-mp eleqtrri cfn prfi cfz fzfi
      ne0ii rnmptfi infi mp1i unfi eqeltrid hashnncl 1red nn0red 0lt1 2re nnred
      nnm1nn0 iooltub ltned hashprg sylancl mpbid eqcomd ssun1 sseqtrri eqbrtrd
      hashssle lesub1dd 3brtr4g ltletrd gt0ne0d elnnne0 sylanbrc eliccd jca vex
      1e2m1 prss sylib inss2 ioossicc sstrdi unssd eqsstrid prid1 fourierdlem52
      simplld simplrd simprd elfzoelz ltp1d sstri fourierdlem36 elfzofz fzofzp1
      zred isorel syl12anc feqresmpt sselda fourierdlem9 fourierdlem43 remulcld
      wiso ccncf fvmpt2 eliccre syl3anc iccgelb adantll neneqd iffalsed iftrued
      rexrd oveq2d eqtrd iccssre mp2an sselid readdcld resubcld redivcld 3eqtrd
      renegcld iccleub rehalfcld resincld 2cnd recnd halfcld 2ne0 fourierdlem44
      sincld mulne0d mpteq2dva reseq1d climc w3a ltnled intn3an2d elicc2 mtbird
      wn fveq2 oveq1 sseq2d cbvriotavw fourierdlem86 eleqtrd ctg sseldd lelttrd
      cnt ralrimiva dfss3 sylibr simplll simpllr fveq1i fvres dmdcan2d syl21anc
      mulcld eqidd oveq2 ovex fvmptd adantllr eqtr2d sstrd tgioo2 dvres reseq2d
      id ioontr 3eqtrrd ad4ant14 ad2antlr ltnelicc fourierdlem50 simpld cbvmptv
      biid fourierdlem72 cdm simpll wi eleq1 anbi2d rexbidv imbi12d vtoclg sylc
      simplr iccssred ressxr fourierdlem15 fourierdlem13 eqeltrrd eqcomi fveq2i
      raleq nfra1 oveq1i oveq12i sseqtrdi fourierdlem10 leadd2dd breqtrd eliood
      nfan rspa ralrimi reximdv mpd raleqdv ssid reseq2i eqtrdi fveq1d sylan9eq
      ex fourierdlem8 crab breq1d cbvrabv supeq1i fourierdlem25 resabs2 3eqtr4a
      csup resabs1d feq12d anabsi7 feq1dd cbvralvw anbi2i anbi12i fourierdlem80
      cncff dmeqd nfcv nfov nfdm raleqf bitrd eqeq1 wtru eqeq2i csbeq1 ifbieq1d
      ralbidv mptru ifbieq12d fourierdlem73 rexralbidv rphalfcl rspccva eqtr2id
      breq2 itgeq2dv ralimdv eluznn nnre eluzelre halfre eluzle ltaddposd rspcv
      halfgt0 adantlll biimpi simp-4r simp-5l ltleii iooss1 sseli ioossioo cvol
      sylan ioombl cibl simpl eleq1d ffvelrnda readdcl cmap fourierdlem88 iblss
      chvarvv itgsplitioo syldan itgcl addcld abscld simp-5r abstrid lt2halvesd
      0re rpred reximdva c3 pipos lttri fourierdlem2 elmapi fmptd nn0uz eluzfz1
      nnnn0d eleqtrdi pncand fourierdlem14 r19.21bi wfn ffn 3syl fvelrnb subidd
      fourierdlem12 npcand fourierdlem40 fourierdlem75 fourierdlem74 rpre rpgt0
      elrnmpt eqtr4i fourierdlem70 ralbii anbi1i fourierdlem87 iftrue rehalfcli
      3eltr4d 3anbi3i halfpos mpbi iffalse divgt0ii mpbir3an pm2.61dan 3ad2ant2
      2pos elioo2 sstrid breqtrrd breqtrrid volioo subid1d sseq1 anbi12d itgeq1
      min2 rspcva 3adant1 itgeq1d rspcev rexlimdv3a r19.29a mptex syl2an clim0c
      min1 nnex eqeltri recni climconst gtneii fourierdlem67 feqmptd cdif mpan2
      eldifsn divcld climdivf div0i limccl eleq2i velsn sylnibr ssriv dirkeritg
      csn eldifd csu ubicc2 mp3an cz elfzelz zcnd divcan4d sineq0 elfzle1 div0d
      sumeq2dv wo olci sumz fvmpt lbicc2 2cn mul01d sin0 00id addid1i divdiv32i
      dividi 3eqtri halfcn subid1i eqtri fourierdlem95 dirkercncf fourierdlem84
      c0ex dirkerf itgrecl climadd addid2d ) AUPWMUOWNWOWPZWQWPYWKUUKAWMYWKUAUB
      TWRYWKWSZUPWTXAWTUUOXBZYWMXCZAUULZAUBWMXDWOWPZWMUUKAWMXDUAUAWRUQWMXDXEWPZ
      UQXIZUDXBZUUMZWSZUAWRXDWSZUBWTXAWRAUAUUPUAWRYWTUUNUAWRXDUUNUAUBUAWRYWTXDW
      OWPZWSZVSUAWRYXCUUNUVIUUQYWOAYXAWMUUKXJUQYWQYWROXBZSXIZWTWNWOWPZWQWPZYWRX
      FWPZXGXBZXFWPZUUMZXHXBZPXIZXKXJZSWLXIZUUOXBZXLZWLWRXMZPUURXLAYXSPUURAYXNU
      URXNZXOZUQWMUSXIZXEWPZYXKUUMZXHXBZYXNWNWOWPZXKXJZSWRXLZYXSUSYWQYYAYYBYWQX
      NZXOZYYHXOZUQYYBXDXEWPZYXEUTXIZYWRXFWPZXGXBZXFWPZUUMZXHXBZYYFXKXJZUTYXPUU
      SXEWPZXLZWLWRXMZYXSYYJUUUBYYHYYJUQYYLYWRUKXBZYYOXFWPZUUMZXHXBZYYFXKXJZUTY
      YTXLZWLWRXMZUUUBYYJUUUFUUAXIZXKXJZUTYYTXLWLWRXMZUUAUURXLZYYFUURXNZUUUIAYY
      IUUUMYXTAYYIXOZUUUFYXNXKXJZUTYYTXLWLWRXMZPUURXLUUUMUUUOUQUUBYYBXDEYXFUFXB
      ZYXFWTWQWPZUFXBZUUTWPZEXIZUUURXPZUUURUUURUUUTXEWPZUUCXIZKXBZUUVEWTWQWPZKX
      BZXEWPZXQZUUCWMUIUVAWPZUVBZKXBZXPZRUUVLLUVCZUNUUURWQWPZUCXBZXRZUOXSWPZUUU
      RWOWPZUUURWNUUURWNWOWPXGXBXFWPWOWPZXFWPZUUVBUUUTXPZUUUTUUVLWTWQWPZKXBZXPZ
      RUUVLUHUVCZUNUUUTWQWPZUCXBZXRZUOXSWPZUUUTWOWPZUUUTWNUUUTWNWOWPXGXBXFWPWOW
      PZXFWPZUUVBUKXBZXRZXRZWSUFUUURUUVDYYMKXBZYYMWTWQWPZKXBZXEWPZXQZUTUUVKUVBZ
      KXBZXPZRUUXCLUVCZUUVQXRZUOXSWPZUUURWOWPZUUWAXFWPZUTUURUUUEWSZPSWLUKXTUKUV
      DWPZUUUTUUXCWTWQWPZKXBZXPZRUUXCUHUVCZUUWIXRZUOXSWPZUUUTWOWPZUUWMXFWPZUJUT
      YYIYYBXTXNZAYYBWMXDUVEZYAZXDXTXNZUUUOYBYCZUUUOYYBXDUUTWPZYDUKYFZUUYFYDOUU
      YFYEZYFUUUOXDUVFZXDUUTWPZYDUUYFOAUUYJYDOYFYYIAUUYJXTYDOAOUCUEUGUMUNUOUQVA
      VBAUNUUSXEWPZUNUCUUYKYEZUOAXTXTUUYKUCVAUUYKXTXQAUNUUSUVGYCUVHUUYKYDXQAUNU
      USUVJYCAUNUUSUVKUVLXBZUUYMXCZUUSYGXNZAUVMYCVBAUNVBUVSUVNVTUVOZAUVPUNXEWPZ
      UNUCUUYQYEZUMAXTXTUUYQUCVAUUYQXTXQAUVPUNUVGYCUVHUUYQYDXQAUVPUNUVJYCAUVPUN
      UUYMUUYNUVPYGXNAUVQYCVBAUNVBUVTUVRWAUVOZVMVNVOUWAZXTYDXQZAUWBYCZUWCYHUUUO
      UUYIXTXNZUUYDUUYIYYBYIXJZXDXDYIXJZUUYFUUYJXQZUVUCUUUOXDYBUWDZYCUUYEYYIUVU
      DAYYIUUYIYYBUVUCYYIUVUGYCZUUYBYYIUUYIWMYYBUVUHYYIUWEZUUYBUUYIWMXKXJZYYIUW
      FYCWMYGXNZXDYGXNZYYIWMYYBXKXJZUWHXDYBUWIZWMXDYYBUWGZUWJZUWKUWLYAUUUOXDUUY
      EUWMZUUYIXDYYBXDUWNUWOZUVHUUUOUUYFYDUKUUYHUKUUYHXPUUUOWEYCZUWPUWQZUUUOUJU
      WRXNZUJWMUWTUJWRXNZAUVVAYYIAUJNUWSXBZWTXSWPZUWRWGAUVVCWRXNZUVVDUWRXNAUVVE
      NUXAUWTZUVVFAXDNXDYYBXDUXBZKUXCZYYLUXDZUXEZNXDUVVGXNXDUVVJXNYYBXDXDXTYBUX
      FZUXGXDUVVGUVVIUXHUXIWFUXJZUXOYCANUXKXNZUVVEUVVFYJANUVVJUXKWFAUVVGUXKXNZU
      VVIUXKXNZUVVJUXKXNUVVNAYYBXDUXLYCUVVHUXKXNZUVVOAWMUIUXMWPZUXKXNUVVPWMUIUX
      NRKUVVQRXIZULXBZUNXSWPZWIUXPUXIUVVHYYLUXQUXRUVVGUVVIUXSYKUXTZNUYAYLUWQZUV
      VCUYGYLUXTYHZUUUOUJUUUOWMWTUJUUUOUWEUUUOUYBZUUUOUJUVWCUYCWMWTXKXJZUUUOUYD
      YCUUUOWNWTXSWPUVVDWTUJYIUUUOWNUVVCWTWNXTXNZUUUOUYEYCAUVVCXTXNYYIAUVVCUVWB
      UYFYHUVWDUUUOWNUVVGUWSXBZUVVCYIUUUOUVWGWNUUUOYYBXDUWTZUVWGWNXPZYYIUVWHAYY
      IYYBXDUUYBUVUKUVULYYIYYBXDXKXJZUWHUVUNWMXDYYBUYHZUWJZUYIYAUUUOUUYAUUYDUVW
      HUVWIYJUUYCYBYYBXDXTXTUYJUYKUYLUYMUUUOUVVMUVVGNXQUVWGUVVCYIXJAUVVMYYIUVWA
      YHZUVVGUVVJNUVVGUVVIUYNWFUYONUVVGUYQUYKUYPUYRVUGWGUYSUYTVUAUJVUBVUCZUUUOW
      MUJUXMWPZUUYFUFYFZWMUFXBZYYBXPZUJUFXBZXDXPZUUUOYYBXDUFNQUJUVWMWGWHUUYCUUY
      EUUUONUVVJUUYFWFUUUOUVVGUVVIUUYFUUUOYYBUUYFXNZXDUUYFXNZXOUVVGUUYFXQUUUOUV
      XAUVXBUUUOYYBXDYYBUUYCUUYEUUYCUUUOYYBUUYCUWMYYIYYBXDYIXJZAYYIYYBXDUUYBUUY
      DYYIYBYCZUVWLUWLYAZVUDUUUOYYBXDXDUUYCUUYEUUYEUVXEUVUQVUDVUEYYBXDUUYFUSVUF
      ZUVVKVUHVUIUUUOUVVIYYLUUYFUVVIYYLXQUUUOUVVHYYLVUJZYCYYBXDVUKZVULVUMVUNYYB
      NXNUUUOYYBUVVJNYYBUVVGXNYYBUVVJXNYYBXDUVXFVUOYYBUVVGUVVIUXHUXIWFUXJYCXDNX
      NUUUOUVVLYCVUPZVUQZUUUOUVWPUVWRUVWTUVXIVURZUUUOUVWPUVWRXOUVWTUVXIVUSZUUUO
      YXFWMUJUVAWPZXNZXOZYXFUUUSXKXJZUUURUUUTXKXJZUVXOYXFUVXNYXFXTXNZUUUOUVXNYX
      FYXFWMUJVUTVVFYAVVAUVXOUVWONXKXKUFVVNZYXFUVWOXNZUUUSUVWOXNZUVXPUVXQYJUUUO
      UVXSUVXNUUUONQUFUJUVWMUUUONUVVJXTWFUUUOUVVGUVVIXTYYIUVVGXTXQZAYYIUUYAUUYD
      XOUVYBYYIUUYAUUYDUUYBUVXDVUEYYBXDXTUVXFUVVKVUHVUIYAUVVIXTXQUUUOUVVIYYLXTU
      VXGYYBXDUVGVVBYCVUMVUNWHWGVVCYHUVXNUVXTUUUOYXFWMUJVVDYAZUVXNUVYAUUUOWMUJY
      XFVVEYAZUVWONYXFUUUSXKXKUFVVGVVHUYLZUVXOUKUUVDYEZUQUUYFUNYWRWQWPZUCXBZUOX
      SWPZYWRWOWPZYWRWNYWRWNWOWPZXGXBZXFWPZWOWPZXFWPZWSZUUVDYEZUUVDYDVVOWPZUVXO
      UKUVYPUUVDUUUOUKUVYPXPUVXNUUUOUKUUYHUQUUYFYXEWSUVYPUVUSUUUOUQUUYJXTUUYFOA
      UUYJXTOYFZYYIUUYTYHUVURVVIUUUOUQUUYFYXEUVYOUUUOYWRUUYFXNZXOZYXEYWRUEXBZYW
      RUGXBZXFWPZUVYJYWRWMXPZWTUVYNXRZXFWPUVYOUWUAYWRUUYJXNZUWUDXTXNYXEUWUDXPUU
      UOUUYFUUYJYWRUVURVVJZUWUAUWUBUWUCUWUAUUYJXTYWRUEAUUYJXTUEYFYYIUVYTAUCUEUM
      UNUOUQVAVBUUYPUUYSVMVVKZYMUWUHYNUWUAUUYJXTYWRUGUUYJXTUGYFUWUAUGUQVNVVLYCU
      WUHYNVVMUQUUYJUWUDXTOVOVVPYKZUWUAUWUBUVYJUWUCUWUFXFUWUAUWUBUWUEWMUVYHWMYW
      RXKXJZUOUMXRZXSWPZYWRWOWPZXRZUWUNUVYJUWUAUWUGUWUOXTXNUWUBUWUOXPUWUHUWUAUW
      UOUVYJXTUWUAUWUOUWUNUVYJUWUAUWUEWMUWUNUWUAYWRWMYYIUVYTYWRWMUWTZAYYIUVYTXO
      ZYWRUWUQWMYYBYWRUWUQUWEZYYIUUYAUVYTUUYBYHZUWUQUUYAUUYDUVYTYWRXTXNZUWUSUUY
      DUWUQYBYCZYYIUVYTYRZYYBXDYWRVVQVVRZYYIUVUMUVYTUVUPYHUWUQYYBYGXNZUVULUVYTY
      YBYWRYIXJUWUQYYBUWUSVWDZUVULUWUQUVUNYCZUWVBYYBXDYWRVVSVVRUYTZVUAZVVTZVWAZ
      VWBZUWUAUWUMUVYIYWRWOUWUAUWULUOUVYHXSUWUAUWUKUOUMYYIUVYTUWUKAUWVGVVTVWCVW
      EYOZVWFUWUAUVYIYWRUWUAUVYHUOUWUAXTXTUVYGUCAXTXTUCYFZYYIUVYTVAYMUWUAUNYWRA
      UNXTXNZYYIUVYTVBYMUWUAUUYJXTYWRUVUCUUYDUUYJXTXQUVUGYBUUYIXDVWGVWHZUWUHVWI
      ZVWJYNAUOXTXNZYYIUVYTUUYPYMVWKZUWVPUWVIVWLYPUQUUYJUWUOXTUEVMVVPYKUWVKUWVL
      VWMZYYIUVYTUWUCUWUFXPZAUWUQUWUGUWUFXTXNUWVTUWUQUUYIXDYWRUWUQXDUWVAVWNZUWV
      AUWVCUWUQUUYIYWRUWWAUWVCUWUQUUYIWMYWRUWWAUWURUWVCUVUJUWUQUWFYCUWVGUWKUWLU
      WUQUWVDUVULUVYTYWRXDYIXJUWVEUWVFUWVBYYBXDYWRVWOVVRVUDZUWUQUWUFUVYNXTUWUQU
      WUEWTUVYNUWUQYWRWMUWVHVWAVWBUWUQYWRUVYMUWVCUWUQWNUVYLUVWFUWUQUYEYCUWUQUVY
      KUWUQYWRUWVCVWPVWQVVMUWUQWNUVYLUWUQVWRUWUQUVYKUWUQYWRUWUQYWRUWVCVWSZVWTVX
      CWNWMUWTUWUQVXAYCUWUQUWUGUWUPUVYLWMUWTUWWBUWVHYWRVXBYKVXDZVWLYPUQUUYJUWUF
      XTUGVNVVPYKVVTZYQUWUAUWUFUVYNUVYJXFUWUAUWUEWTUVYNUWVJVWBZVWEVWMVXEVWMZYHZ
      VXFUVXOUUXTUVYQUUUTVXGWPZXNZUUXJUVYQUUURVXGWPZXNZXOUVYQUVYRXNZUUUOYYBXDUO
      UUXTJKLUFNUUXCQRSTUUXJUCUHUIUJUVYPULUNUQURAUWVMYYIVAYHZAUWVNYYIVBYHZVCAUI
      WRXNZYYIVDYHAULUIJXBXNZYYIVEYHAUVVRUUVKXNZUCUVVSUVVRWTWQWPZULXBZXEWPZYEZU
      WXAYDVVOWPZXNZYYIVGYSAUWWRLUWXBUVVSVXGWPXNZYYIVKYSAUWWRUHUWXBUWWTVXGWPXNZ
      YYIVLYSUUYCUUYEYYIUVWJAUVWLYAZUVURYYIWMUUYFXNZVXMAYYIUWXHWMXTXNZYYBWMYIXJ
      ZWMXDYIXJZVXHZYYIUWXJUWXIUWXKYYIUVUMUWXJVXMUVUPYYIWMYYBUVUIUUYBVXIUYLVXJY
      YIUUYAUUYDUWXHUWXLYJUUYBYBYYBXDWMVXKUYKVXLYAZAUWVQYYIUUYPYHZUVYPXCWIWFWGW
      HUUXTXCUUXJXCUUXBUUVDUVVRKXBZUWWSKXBZXEWPZXQZUTRUUVKYYMUVVRXPZUUXAUWXQUUV
      DUWXSUUWRUWXOUUWTUWXPXEYYMUVVRKVXNUWXSUUWSUWWSKYYMUVVRWTWQVXOYTYQVXPVXQZV
      XRZVUSYPUVXOUUXTUWWIUVYFUUUTVXGWPUVXOUWWJUWWLUWWMUWYAVUQUVXOUVYQUVYFUUUTV
      XGUVXOUVYPUKUUVDUVXOUKUVYPUWWHUYMVXFZYOVXSUVXOUUXJUWWKUVYFUUURVXGWPUVXOUW
      WJUWWLUWWMUWYAVURUVXOUVYQUVYFUUURVXGUWYBYOVXSUUXLXCUVXOUUXLUUVDYEZXTUQUUV
      DYWREUUVDUNUUVBWQWPZUCXBZUOXSWPZUUVBWOWPZWSZXBZYWREUUVDUUVBWNUUVBWNWOWPZX
      GXBZXFWPZWOWPZWSZXBZXFWPZWSZUVDWPZUVYRUVXOUWYRXTUVYFUVDWPZUUXLUUVDXEUXCVX
      TXBZVYCXBZXBZYEZUWYCUVXOUWYQUVYFXTUVDUVXOUVYFUQUUVDUUUCWSUWYQUVXOUQUUYFYD
      UUVDUKUUUOUUYGUVXNUVUTYHZUVXOUVYTUQUUVDXLUUVDUUYFXQUVXOUVYTUQUUVDUVXOYWRU
      UVDXNZXOZYYBXDYWRUUUOUUYAUVXNUXUEUUYCYMZUUYDUXUFYBYCZUXUEUWUTUVXOYWRUUURU
      UUTUVEYAZUXUFYYBYWRUXUGUXUIUXUFYYBUUURYWRUXUGUVXOUUURXTXNUXUEUVXOUUYFXTUU
      URUUUOUUYFXTXQZUVXNUUUOUUYFUUYJXTUVURUWVOVULZYHZUVXOUVWOUUYFYXFUFUUUOUVWP
      UVXNUVXJYHZUVYCYNZVYAZYHZUXUIUVXOYYBUUURYIXJZUXUEUVXOUWVDUVULUUURUUYFXNUX
      UQUVXOYYBUUUOUUYAUVXNUUYCYHZVWDZUVULUVXOUVUNYCZUXUNYYBXDUUURVVSVVRZYHUXUF
      UUURYGXNZUUUTYGXNZUXUEUUURYWRXKXJUXUFUUURUXUPVWDZUVXOUXVCUXUEUVXOUUUTUVXO
      UUYFXTUUUTUXULUVXOUVWOUUYFUUUSUFUXUMUVYDYNZVYAZVWDZYHZUVXOUXUEYRZUUURUUUT
      YWRUWGVVRVYBUWLUXUFYWRXDUXUIUXUHUXUFYWRUUUTXDUXUIUVXOUUUTXTXNUXUEUXVFYHUX
      UHUXUFUXVBUXVCUXUEYWRUUUTXKXJUXVDUXVHUXVIUUURUUUTYWRUYHVVRUVXOUUUTXDYIXJZ
      UXUEUVXOUWVDUVULUUUTUUYFXNUXVJUXUSUXUTUXVEYYBXDUUUTVWOVVRYHUYTUWLVUDZVYDU
      QUUVDUUYFVYEVYFZVVIUVXOUQUUVDUUUCUWYPUXUFUUUCUVYIUVYMWOWPZUVYOUWYPUXUFAYY
      IUVYTUUUCUXVMXPAYYIUVXNUXUEVYGZAYYIUVXNUXUEVYHZUXVKUWUAUUUCYWRUUYHXBZYXEU
      XVMUUUCUXVPXPUWUAYWRUKUUYHWEVYIZYCUVYTUXVPYXEXPZUUUOYWRUUYFOVYJZYAUWUAYXE
      UWUDUVYOUXVMUWUJUWUAUWUBUVYJUWUCUVYNXFUWVSUWUAUWUCUWUFUVYNUWWEUWWFVWFYQUW
      UAUVYIYWRUVYMUWUAUVYIUWVRVWSYYIUVYTYWRYDXNAUWWCVVTZUWUAWNUVYLUWUAVWRUWUAU
      VYKUWUAYWRUXVTVWTVXCVYMUWVIYYIUVYTUVYMWMUWTAUWWDVVTVYKZVWMVWMVYLUXUFUVYOU
      XVMUXUFAYYIUVYTUVYOUXVMXPUXVNUXVOUXVKUXWAVYLUYMAUVXNUXUEUVYOUWYPXPYYIAUVX
      NXOZUXUEXOZUWYPUVYOUXWCUWYIUVYJUWYOUVYNXFUXWCEYWRUWYGUVYJUUVDUWYHXAUXWCUW
      YHVYNUUVBYWRXPZUWYGUVYJXPUXWCUXWDUWYFUVYIUUVBYWRWOUXWDUWYEUVYHUOXSUXWDUWY
      DUVYGUCUUVBYWRUNWQVYOYTYOZUXWDWUDZYQZYAUXWBUXUEYRZUVYJXAXNUXWCUVYIYWRWOVY
      PYCVYQUXWCEYWRUWYMUVYNUUVDUWYNXAUXWCUWYNVYNUXWDUWYMUVYNXPUXWCUXWDUUVBYWRU
      WYLUVYMWOUXWFUXWDUWYKUVYLWNXFUXWDUWYJUVYKXGUUVBYWRWNWOVXOYTVWEZYQZYAUXWHU
      VYNXAXNUXWCYWRUVYMWOVYPYCVYQYQUYMVYRVWMVXEVYSVWEUVXOUVUAUUYGUXUJUUVDXTXQU
      WYSUXUCXPUVUAUVXOUWBYCZUXUDUXULUVXOUUVDUUYFXTUXVLUXULVYTUUYFUUVDXTUWYTUKU
      UYMUUYNUUYMUUYNWUAZWUBUWOUVXOUXUBUUVDUUXLUXUBUUVDXPUVXOUUURUUUTWUEYCWUCWU
      FUVXOUUURUUUTUOJKUUXCRTUCUWYHUWYNUIUWYQULUNUQURAUWVMYYIUVXNVAYMAUWVNYYIUV
      XNVBYMZVCAUWWPYYIUVXNVDYMZAUWWQYYIUVXNVEYMZAUWWRXTUCUVDWPZUWXAYEZUWXAXTVV
      OWPXNZYYIUVXNVIWUGUXUOUXVFUVYEUVXOUUVDUUYFUUYJUXVLUUUOUVUFUVXNUVURYHZVYTU
      VXOUUURUUUTWMUXUOUXVGUVUKUVXOUWHYCUVXOWMYYBUUURUVXOUWEUXURUXUOYYIUVUMAUVX
      NUVUPWUHUXVAUYTWUIAUWVQYYIUVXNUUYPYMWIUVXOUUXCUUVKXNZUUVDUUXDUUXNXEWPZXQZ
      UVXOUVXOUWWRXOUWXRXOUUDXIZUUVKXNXOUUVDUXXCKXBUXXCWTWQWPKXBXEWPXQXOZYYBXDJ
      KUFNUUXCQRUUDTYXFUIUJULUNURUXWMVCUXWNUXWOUXURUUYDUVXOYBYCZUUUOUVWJUVXNUWX
      GYHUXWSWIWFWGWHUUUOUVXNYRZUWXTUXXDWUMWUJZWUKZUVXOUXWTUXXBUXXGVUSZEUQUUVDU
      WYGUVYJUXWGWULEUQUUVDUWYMUVYNUXWJWULUWYQXCWUNYPUUUOYWRUUXLXBZXHXBZUUBXIZY
      IXJZUQUUXLWUOZXLZUUBXTXMYWRXTUQUUYFUXVMWSZUVDWPZXBZXHXBZUXXLYIXJZUQUXXQWU
      OZXLZUUBXTXMUUUOUVXODXIZXTXNXOCXIZXTXNXOZUUEXIZUCXBZXHXBZUXYCYIXJZUUEUUVP
      UUWHXEWPZXLZXOZUXYFXTUCUXYJYEUVDWPZXBZXHXBZUXYDYIXJZUUEUXYJXLZXOCDEYYBXDU
      OUFSTUCUXYJUJUXXPUNEUUVDUWYFUWYLWOWPZWSUQUUEUUBUWWNUWWOUUYCUUYEUVURUWXMUW
      XNUXXPXCUXYJXCUVXOUUVBUCXBZXHXBZUXYCYIXJZEHULXBZHWTWQWPZULXBZXEWPZXLZDXTX
      MZUYUAEUXYJXLZDXTXMUVXOHUUVKXNZAUYUIXOZUYUGUVXOHUUXCUUVKWJUXXHUXTZUVXOAUY
      UIAYYIUVXNWUPUYUKVUEZAUWWRXOZUYUAEUWXAXLZDXTXMZWUQUYUJUYUGWUQRHUUVKUVVRHX
      PZUYUMUYUJUYUOUYUGUYUPUWWRUYUIAUVVRHUUVKWURWUSZUYUPUYUNUYUFDXTUYUPUWXAUYU
      EXPUYUNUYUFYJUYUPUVVSUYUBUWWTUYUDXEUVVRHULVXNUYUPUWWSUYUCULUVVRHWTWQVXOYT
      YQZUYUAEUWXAUYUEWVLYLWUTWVAVHWVBWVCUVXOUYUFUYUHDXTUVXOUYUFUYUHUVXOUYUFXOZ
      UYUAEUXYJUVXOUYUFEUVXOEUUPZUYUAEUYUEWVMWWAUYUSUUVBUXYJXNZUYUAUYUSUYVAXOUY
      UFUUVBUYUEXNZUYUAUVXOUYUFUYVAWVDUVXOUYVAUYVBUYUFUVXOUYVAXOZUYUBUYUDUUVBUV
      XOUYUBYGXNUYVAUVXOUUYIUNWQWPZXDUNWQWPZUUTWPZYGUYUBAUYVFYGXQYYIUVXNAUYVFXT
      YGAUYVDUYVEAUUYIUNUVUCAUVUGYCZVBVWJAXDUNUUYDAYBYCZVBVWJWVEZWVFVULYMZUVXOU
      VVQUYVFHULUVXOUYVDUYVEJULRTUIURVCUXWNUXWOWVGZUVXOUYUIHUVVQXNUYUKHWMUIVVDY
      LZYNZVYAYHUVXOUYUDYGXNUYVAUVXOUYVFYGUYUDUYVJUVXOUVVQUYVFUYUCULUYVKUVXOUYU
      IUYUCUVVQXNUYUKWMUIHVVEYLZYNZVYAYHUYVAUUVBXTXNUVXOUUVBUUVPUUWHUVEYAZUYVCU
      YUBUNHKXBZWQWPZUUVBXKUVXOUYUBUYVRXPZUYVAUVXOUYVQUYUBUNXSWPZXPZUYVSUVXOUUY
      IXDJKRTHUIULUNURUVUCUVXOUVUGYCZUXXEUXWMVCUXWNUXWOUYVLWIWVHZVUSYHZUYVCUYVR
      UUVPUUVBUYVCUYUBUYVRXTUYWDUVXOUYUBXTXNUYVAUVXOUYVFXTUYUBAUYVFXTXQYYIUVXNU
      YVIYMZUYVMVYAZYHWVIUVXOUUVPXTXNUYVAUVXOUNUUURUXWMUXUOVWJYHZUYVPUVXOUYVRUU
      VPYIXJUYVAUVXOUYVQUUURUNUVXOUYVQUYVTXTUVXOUYWAUYVSUYWCWUKUVXOUYUBUNUYWFUX
      WMVWKYPZUXUOUXWMUVXOUYVQUUURYIXJZUUUTUYUCKXBZYIXJZUVXOUYVQUYWJUUURUUUTUYW
      HUVXOUYWJUYUDUNXSWPZXTUVXOUYWJUYWLXPZUYUDUNUYWJWQWPZXPZUVXOUUYIXDJKRTUYUC
      UIULUNURUYWBUXXEUXWMVCUXWNUXWOUYVNWIWVHZWUKUVXOUYUDUNUVXOUYVFXTUYUDUYWEUY
      VOVYAZUXWMVWKYPZUXUOUXVFUVYEUVXOUUVDUXXAUYVQUYWJXEWPUXXIUUXDUYVQUUXNUYWJX
      EUUXCHKHUUXCWJWVJZWVKUUXMUYUCKUUXCHWTWQUYWSWVNWVKWVOWVPWVQZWUKWVRYHUYVCUU
      VPYGXNZUUWHYGXNZUYVAUUVPUUVBXKXJUYVCUUVPUYWGVWDZUVXOUYXBUYVAUVXOUUWHUVXOU
      NUUUTUXWMUXVFVWJZVWDYHZUVXOUYVAYRZUUVPUUWHUUVBUWGVVRVYBUYPUYVCUUVBUYWNUYU
      DXKUYVCUUVBUUWHUYWNUYVPUVXOUUWHXTXNUYVAUYXDYHUVXOUYWNXTXNUYVAUVXOUYUDUYWN
      XTUVXOUYWMUYWOUYWPVUSZUYWQWVIYHUYVCUYXAUYXBUYVAUUVBUUWHXKXJUYXCUYXEUYXFUU
      VPUUWHUUVBUYHVVRUVXOUUWHUYWNYIXJUYVAUVXOUUUTUYWJUNUXVFUYWRUXWMUVXOUYWIUYW
      KUYWTVUSWVRYHUYTUVXOUYWNUYUDXPUYVAUVXOUYUDUYWNUYXGUYMYHWVSWVTZYSUYUAEUYUE
      WWBYKWWLWWCWWLWWDWWEUVXOUUVBUXWPXBZXHXBZUXYDYIXJZEUYUEXLZCXTXMZUUVBUXYMXB
      ZXHXBZUXYDYIXJZEUXYJXLZCXTXMUVXOUYUIUYUJUYXMUYUKUYULUYUMUYXKEUWXAXLZCXTXM
      ZWUQUYUJUYXMWUQRHUUVKUYUPUYUMUYUJUYXSUYXMUYUQUYUPUYXRUYXLCXTUYUPUYXKEUWXA
      UYUEUYURWWFWUTWVAVJWVBWVCUVXOUYXLUYXQCXTUVXOUYXLUYXQUVXOUYXLXOZUYXPEUXYJU
      VXOUYXLEUYUTUYXKEUYUEWVMWWAUYXTUYVAUYXPUYXTUYVAXOZUYXOUYXJUXYDYIUVXOUYVAU
      YXOUYXJXPUYXLUYVCUYXNUYXIXHAUYVAUYXNUYXIXPYYIUVXNAUYVAUYXNUUVBUXWPUXYJYEZ
      XBUYXIAUUVBUXYMUYYBAUXYMUXWPUXYJUXUAXBZYEZUYYBAUVUAXTYDUCYFZXTXTXQZUXYJXT
      XQZUXYMUYYDXPZUVUBAXTXTYDUCVAUVUBUWCZUYYFAXTWWGZYCUYYGAUUVPUUWHUVGZYCXTUX
      YJXTUWYTUCUUYMUUYNUXWLWUBZUWOUYYCUXYJUXWPUUVPUUWHWUEWWHZWWIWWJUUVBUXYJUXW
      PVYJWWKWUGYTYSUYYAUYXLUYVBUYXKUVXOUYXLUYVAWVDUVXOUYVAUYVBUYXLUYXHYSUYXKEU
      YUEWWBYKUYPWWLWWCWWLWWDWWEUVXJUVYEUVXOYYBXDUFYXFUJUXUSUXUTUXUMUXXFWWMUUUO
      UXYFUUYFXNZXOZUXYFUFUXCXNVXMZXOUXYFUFTSYXPUFXBZUXYFXKXJZWLUVXMWWNZXTXKWXA
      UJUUUOUVVBUYYNUYYPUVWNYMUUUOUVWOXTUFYFUYYNUYYPUUUOUVWOUUYFXTUFUVXJUXUKUWC
      YMUYYOUXYFUVWQUVWSUUTWPZXNUYYPUYYOUXYFUUYFUYYTUUUOUYYNYRUUUOUUYFUYYTXPUYY
      NUUUOYYBUVWQXDUVWSUUTUUUOUVWQYYBUVXKUYMUUUOUVWSXDUVXLUYMYQYHVXSYHUYYOUYYP
      YRXTUYYSUUURUXYFXKXJZSUVXMWWNXKUYYRVUUAWLSUVXMYXPYXFXPUYYQUUURUXYFXKYXPYX
      FUFVXNWWOWWPWWQWWRUVXOUXYJXTUXWPUYUEYEZUXYJYEZUXYMUVXOUXYMUYYBUYUEYEZUYYB
      VUUCUVXOUYYDUYYBUXYMVUUDUYYMUVXOUVUAUYYEUYYFUYYGUYYHUXWKAUYYEYYIUVXNUYYIY
      MUYYFUVXOUYYJYCUYYGUVXOUYYKYCUYYLUWOUVXOUXYJUYUEXQZVUUDUYYBXPUVXOUYVBEUXY
      JXLVUUEUVXOUYVBEUXYJUYXHVYDEUXYJUYUEVYEVYFZUXWPUXYJUYUEWWSYLZWWTVUUGUVXOV
      UUCUYYBUVXOUXWPUXYJUYUEVUUFWXBUYMWUFUVXOUYUEXTUXYJVUUBUVXOUYUJUYUEXTVUUBY
      FZUYULAUYUIVUUHUYUMUWXAXTUXWQYFZWUQUYUJVUUHWUQRHUUVKUYUPUYUMUYUJVUUIVUUHU
      YUQUYUPUWXAUYUEXTUXWQVUUBUYUPUWXAUYUEUXWPUYURWUCUYURWXCWVAUYUMUXWRVUUIVIU
      WXAXTUXWQWXJZYLZWVBWXDYLVUUFUVHWXEEUQUUVDUXYRUXVMUXWDUWYFUVYIUWYLUVYMWOUX
      WEUXWIYQWULUXYLUXYEUYUHXOUXYQUYXQUXYKUYUHUXYEUXYIUYUAUUEEUXYJUXYFUUVBXPZU
      XYHUXYTUXYCYIVUULUXYGUXYSXHUXYFUUVBUCVXNYTWWOWXFWXGUXYPUYXPUUEEUXYJVUULUX
      YOUYXOUXYDYIVUULUXYNUYXNXHUXYFUUVBUXYMVXNYTWWOWXFWXHWXIUUUOUXXOUXYBUUBXTU
      UUOUXXOUXXMUQUXYAXLZUXYBUUUOUXXNUXYAXPUXXOVUUMYJUUUOUUXLUXXQUUUOUKUXXPXTU
      VDUUUOUKUVYPUXXPUWWGUUUOUQUUYFUVYOUXVMUXWAVXEVWFVWEZWXKUXXMUQUXXNUXYAUQUX
      XNWXLUQUXXQUQXTUXXPUVDUQXTWXLUQUVDWXLUQUUYFUXVMUUNWXMWXNWXOYLUUUOUXXMUXXT
      UQUXYAUUUOUXXKUXXSUXXLYIUUUOUXXJUXXRXHUUUOYWRUUXLUXXQVUUNWWJYTWWOWYBWXPWU
      TUWQUUXKXCEUQUUVAUUWQYWRUUURXPZUUXJYWRUUUTXPZUUXTUUUCXRZXRUXWDUUVCVUUOUUW
      BUUWPUUXJVUUQUUVBYWRUUURWXQUUWBUUXJXPUXWDUUVTUUXIUUWAXFUUVSUUXHUUURWOUUVR
      UUXGUOXSUUVRUUXGXPWXRUUVNUUXEUUVOUUXFUUVQUUVNUUXEYJWXRUUVMUUXDUUURUUVLUUX
      CKUUVJUUXBUUCUTUUVKUUVEYYMXPZUUVIUUXAUUVDVUURUUVFUUWRUUVHUUWTXEUUVEYYMKVX
      NVUURUUVGUUWSKUUVEYYMWTWQVXOYTYQVXPVXQZWVKWXSYCUUVLUUXCXPZUUVOUUXFXPWXRVU
      USRUUVLUUXCLWXTUXRWYAWYCWVNWVNWVNYCUXWDUUWCVUUPUUWNUUWOUUXTUUUCUUVBYWRUUU
      TWXQUUWNUUXTXPUXWDUUWLUUXSUUWMXFUUWKUUXRUUUTWOUUWJUUXQUOXSUUWJUUXQXPWXRUU
      WFUUXOUUWGUUXPUUWIUUWFUUXOYJWXRUUWEUUXNUUUTUUWDUUXMKUUVLUUXCWTWQVUUSWVNWV
      KWXSYCVUUTUUWGUUXPXPWXRVUUSRUUVLUUXCUHWXTUXRWYAWYCWVNWVNWVNYCUUVBYWRUKVXN
      WYDWYDWULWYEUUUQUUULPUUAUURYXNUUUJXPUUUPUUUKWLUTWRYYTYXNUUUJUUUFXKWYJWYFW
      XFVUIYSYXTUUUNAYYIYXNWYGWUHUUULUUUIUUAYYFUURUUUJYYFXPUUUKUUUGWLUTWRYYTUUU
      JYYFUUUFXKWYJWYFWYHYKYYJUUUHUUUAWLWRYYJUUUGYYSUTYYTAYYIUUUGYYSWUQYXTUUUOU
      UUGYYSUUUOUUUGXOZYYRUUUFYYFXKVUVAYYQUUUEXHUUUOYYQUUUEXPUUUGUUUOUQYYLYYPUU
      UDUUUOYWRYYLXNZXOZYXEUUUCYYOXFVUVCUUUCUXVPYXEUXVQVUVCUVYTUXVRUUUOYYLUUYFY
      WRYYLUUYFXQUUUOUVXHYCVVJUXVSYLWYIYOWYKYHYTUUUOUUUGYRUYPWWLYSWYLWWDWWEYHYY
      KUUUAYXRWLWRYYKYXPWRXNZXOZUUUAYXRVUVEUUUAXOZYXOSYXQVUVEUUUASYYKVUVDSYYJYY
      HSYYJSUUPYYGSWRWVMWWAVUVDSUUPWWAUUUASUUPWWAVUVFYXFYXQXNZYXOVUVFVUVGXOZBYX
      OVUVHYYJYXFWRXNZXOZYYGXOZUQYYLYXKUUMZXHXBZYYFXKXJZBVUVEVUVGVUVKUUUAVUVEVU
      VGXOZVUVJYYGYYJVUVDVUVGVUVJYYHYYJVUVDXOVUVGXOYYJVUVIYYJVUVDVUVGWUPVUVDVUV
      GVUVIYYJYXFYXPWYMZVVTVUEVYRVUVOYYHVUVIYYGYYJYYHVUVDVUVGVYHVUVDVUVGVUVIYYK
      VUVPVVTYYGSWRWWBYKVUEYSVUVDUUUAVUVGVUVNYYKVUVDUUUAXOVUVGXOYXHYYTXNZUUUAVU
      VNVUVDVUVGVUVQUUUAVUVDVUVGXOZYXPUUSYXHVUVDYXPYGXNVUVGVUVDYXPYXPWYNZVWDYHU
      UYOVUVRUVMYCVUVGYXHXTXNZVUVDVUVGYXFYXGYXPYXFWYOZYXGXTXNZVUVGWYPYCVWJYAZVU
      VRYXPYXFYXHVUVDYXPXTXNVUVGVUVSYHVUVGUVXRVUVDVUWAYAZVUWCVUVGYXPYXFYIXJVUVD
      YXPYXFWYQYAVUVRWMYXGXKXJZYXFYXHXKXJVUWEVUVRWYTYCVUVRYXGYXFVUWBVUVRWYPYCVU
      WDWYRUYLVYBVUVRYXHVUWCUVSWVTYSVUVDUUUAVUVGWVDYYSVUVNUTYXHYYTYYMYXHXPZYYRV
      UVMYYFXKVUWFYYQVUVLXHVUWFUQYYLYYPYXKVUWFYYPYXKXPVUVBVUWFYYOYXJYXEXFVUWFYY
      NYXIXGYYMYXHYWRXFVXOYTVWEYHWYKYTWWOWYSWVCXUAWKVUCBYXMYYDVUVLWQWPZXHXBZYXN
      XKBYXLVUWGXHBUQWMYYBXDYXKBUWEZUUYDBYBYCZBYWQWMXDUUTWPZYYBWMXDVUKBVUVKVUVN
      XOZYYIBVUWLWKXUBZYYAYYIVUVIYYGVUVNXUCYLZVWIBYWRYWQXNZXOZYXKVUWPYXEYXJBAVU
      WOYXEXTXNZBVUWLAVUWMAYXTYYIVUVIYYGVUVNXUDYLZAVUWOXOZUUYJXTYWROAUVYSVUWOUU
      YTYHVUWOUWUGAYWQUUYJYWRYWQUUYIXDXEWPZUUYJUUYIYGXNUUYIWMYIXJZYWQVUWTXQUUYI
      UVUGUWIUUYIWMUVUGXVIUWFXUEZUUYIWMXDXUFVWHUUYIXDVUKVVBZXUGZYAYNZXUJVUWPYXI
      VUWPYXHYWRBVUVTVUWOBYXFYXGBYXFBVUWLVUVIVUWMYYJVUVIYYGVUVNVYHYLZUYFVUWBBWY
      PYCVWJYHVUWOUWUTBYWRWMXDUVEZYAVVMVWQVVMZVWSBUQYYCYWQYXKXTBUVUKUVULWMWMYIX
      JUVXCYYCYWQXQUVUKBUWHYCZUVULBUVUNYCZBWMVUWIUWMBYYBXDBYWQXTYYBWMXDUVGZVUWN
      VWIZVUWJBUVUKUVULYYIUVWJVUXIVUXJVUWNUVWKVVRUWLWMXDWMYYBXUHUWOZYYCXUIWUOZX
      NBWMYYBXUKYCVUXHBAVUVIUQYWQYXKWSZXULXNZVUWRVUXFAUAXIZWRXNZXOZUQYWQYXEVUXQ
      YXGWQWPZYWRXFWPZXGXBZXFWPZWSZXULXNZWUQAVUVIXOZVUXPWUQUASVUXQYXFXPZVUXSVUY
      FVUYEVUXPVUYGVUXRVUVIAVUXQYXFWRWURWUSZVUYGVUYDVUXOXULVUYGUQYWQVUYCYXKVUYG
      VUWOXOZVUYBYXJYXEXFVUYIVUYAYXIXGVUYIVUXTYXHYWRXFVUYIVUXQYXFYXGWQVUYGVUWOX
      UMYOYOYTVWEZVXEXUNWVAVUXSUQYWQUUYJVUYCXTYWQUUYJXQVUXSVUXCYCZYWQVUXNXNZVUX
      SWMXDXUKZYCZVUXSUWUGXOZYXEVUYBAUWUGVUWQVUXRAUUYJXTYWROUUYTXUOYSVUXRUWUGVU
      YBXTXNZAVUXRUWUGXOZVUYAVUYQVUXTYWRVUXRVUXTXTXNZUWUGVUXRVUXQXTXNZVUWBVUYRV
      UXQWYNZWYPVUXQYXGXUPUYKYHVUYQUUYJXTYWRUWVOVUXRUWUGYRZVWIVVMVWQZVVTVVMVUXS
      UQUUYJVUYCWSZUDXULVUXSUDUQUUYJYXEYWRMXBZXFWPZWSVVUCVQVUXSUQUUYJVVUEVUYCVU
      YOVVUDVUYBYXEXFVUXRUWUGVVUDVUYBXPZAVUYQUWUGVUYPVVUFVVUAVVUBUQUUYJVUYBXTMV
      PVVPZYKVVTVWEVXEWYIVUXSFGJKLMORTUCUDUEUXWPUGUHUIVUXQTWRWMURXIZXBUUYIXPTXI
      ZVVUHXBXDXPXOUVVRVVUHXBUWWSVVUHXBXKXJRWMVVUIUVAWPXLXOURXTWMVVUIUXMWPXUQWP
      WWNWSZULUMUNUOUQURVCAUWVMVUXRVAYHZAUNULUXCXNZVUXRVFYHAUOUUYLUNVXGWPZXNVUX
      RVTYHAUMUUYRUNVXGWPXNVUXRWAYHVMVNVOVUXRVUYSAVUYTYAZVPVQAUWWPVUXRVDYHZAUWW
      QVUXRVEYHZAUWWRUWXDVUXRVGYSZAUWWRUWXEVUXRVKYSZAUWWRUWXFVUXRVLYSZWIVVUJXCZ
      UXWPXCZAUWWRVUUIVUXRVUUKYSAFUXWPUUYQYEUNVXGWPXNVUXRWBYHAGUXWPUUYKYEUNVXGW
      PXNVUXRWCYHXURZYPXUSZXUTYKZXUSZBUQYYLYWQYXKXTBUVUKUVULWMYYBYIXJUVUEYYLYWQ
      XQVUXIVUXJBWMYYBVUWIVUXLBUVUKUVULYYIUVUMVUXIVUXJVUWNUVUOVVRUWLBXDVUWJUWMW
      MXDYYBXDXUHUWOZYYLVUXNXNBYYBXDXUKYCVUXHVVVDXUSZXVAYTBVUWHYYEVUVMWQWPYXNBV
      UWGBYYDVUVLBUQYYCYXKXTBYWRYYCXNVUWOYXKXTXNZBYYCYWQYWRVUXMVVJVUXHXVBVVVEXV
      CZBUQYYLYXKXTBVUVBVUWOVVVHBYYLYWQYWRVVVFVVJVUXHXVBVVVGXVCZXVDXVEBYYEVUVMB
      YYDVVVIXVEZBVUVLVVVJXVEZVWJBYXNBVUWLYXTVUWMAYXTYYIVUVIYYGVUVNXVFYLXVJZBYY
      DVUVLVVVIVVVJXVGBYYEVUVMYXNVVVKVVVLVVVMBVUVJYYGVUVNVUWMVURBVUVKVUVNVUWMVU
      SXVHVYBUYPYLWWLWWCWWLXVKWWEYYAUUFXIZUUYJXQZVVVNXUIXBZUUGXIZYIXJZXOZUQVVVN
      YXKUUMZXHXBZYYFXKXJZSWRXLZWUQZUUFVUXNXLZUUGUURXMYYHUSYWQXMZAYYAUUHXIZUURX
      NZUUVBUDXBZXHXBZVVWGYIXJZEUUYJXLZUAWRXLZVXHZVVVNVUXNXNZXOZVVVOVVVPYXNXVLW
      OWPVVWGWOWPZYIXJXOZXOZVUXRXOUUIUUFVVWQMOPSUAUCUDUEUGUMUNUOUQUUHUUGVAVBUUY
      PUUYSVMVNVOVPVQAUUIUUYIXDKUVVSUNXPZGLUVVSUNXKXJUMUOXRXSWPUWXOWOWPXRZRUEWL
      UUVKYXPKXBZYXPWTWQWPZKXBZXEWPZWSUWWTUNXPFUHUWWTUNXKXJUMUOXRXSWPUWXPWOWPXR
      ZUIUQUYVGUYVHUUYIXDYIXJAUUYIXDUVUGYBUVUJWMXDXKXJZUUYIXDXKXJUWFXVMUUYIWMXD
      UVUGXVIYBXVNVWHXUEYCUWUIVDARUVVQUVVTXTKAUVVRUVVQXNZXOZUVVSUNAUVVQXTUVVRUL
      AULXTUVVQXUQWPZXNZUVVQXTULYFZAVVXKWMULXBZUYVDXPZUIULXBUYVEXPZXOUVVSUWWTXK
      XJRUUVKXLZXOZAUWWQVVXKVVXQXOZVEAUWWPUWWQVVXRYJVDUYVDUYVEJULRTUIURVCXVOYLU
      YLZWUKZULXTUVVQXVPZYLZXUOAUWVNVVXHVBYHVWKWIXVQAWMKXBZVVXMUNXSWPZUYVDUNXSW
      PUUYIARWMUVVTVVYDUVVQKXTKRUVVQUVVTWSZXPAWIYCUVVRWMXPZUVVTVVYDXPAVVYFUVVSV
      VXMUNXSUVVRWMULVXNYOYAAUIWMUUOXBZXNWMUVVQXNAUIUWRVVYGAUIVDXVTXVRXWAWMUIXV
      SYLZAVVXMUNAUVVQXTWMULVVYBVVYHYNVBVWKVYQAVVXMUYVDUNXSAVVXNVVXOVVXPAVVXKVV
      XQVVXSVUSVUQYOAUUYIUNAUUYIUYVGVWSAUNVBVWSZXWBVWMAVVYCUUYIXPZUIKXBXDXPZUWX
      OUWXPXKXJZRUUVKXLZAKVVXJXNZVVYJVVYKXOZVVYMXOZAKUIVVUJXBXNZVVYNVVYPXOZAUUY
      IXDJKRTUIVVUJULUNURUYVGUYVHVBVCVVUTVDVEWIXWCZAUWWPVVYQVVYRYJVDUUYIXDVVUJK
      RTUIURVVUTXVOYLUYLVUSZVURAVVYLRUUVKAVVYOVVYMVVYTVUSXWDUYUMUWXOUWXPUCUEUMU
      NUOUQAUWVMUWWRVAYHUYUMUVVQUUYJUVVRKAUVVQUUYJKYFUWWRAUUYIXDVVUJKRTUIURVVUT
      VDVVYSWVGYHZUWWRVVXHAUVVRWMUIVVDYAZYNUYUMUVVQUUYJUWWSKVWUAUWWRUWWSUVVQXNA
      WMUIUVVRVVEYAZYNAUWVNUWWRVBYHZAUUYIXDVVUJKRTUIWMURVVUTVDVVYSAWMUVVTXPZRUV
      VQXMZWMUVVHXNZAVVWTRUVVQXMZVWUFAVVULVWUHVFAULUVVQXWEZVVULVWUHYJAVVXKVVXLV
      WUIVVXTVVYAUVVQXTULXWFXWGRUVVQUNULXWHYLUYLAVVWTVWUERUVVQVVXIVVWTVWUEVVXIV
      VWTXOUVVTUNUNXSWPZWMVVWTUVVTVWUJXPVVXIUVVSUNUNXSVXOYAAVWUJWMXPVVXHVVWTAUN
      VVYIXWIYMVYSWWLXVKWWEUWXIVWUGVWUFYJXVIRUVVQUVVTWMKXTWIXWQUXIVYFXWJUYUMUWX
      BUWXCUCUWXOUNWQWPZUWXPUNWQWPZXEWPZYEVWUMYDVVOWPVGUYUMVWUMUWXAUCUYUMVWUKUV
      VSVWULUWWTXEUYUMVWUKUVVTUNWQWPUVVSUYUMUWXOUVVTUNWQUYUMVVXHUVVTXTXNUWXOUVV
      TXPVWUBUYUMUVVSUNUYUMUVVQXTUVVRULAVVXLUWWRVVYBYHZVWUBYNZVWUDVWKRUVVQUVVTX
      TKWIVVPYKYOUYUMUVVSUNUYUMUVVSVWUOVWSAUNYDXNUWWRVVYIYHZXWKVWFUYUMVWULUWWTU
      NXSWPZUNWQWPUWWTUYUMUWXPVWUQUNWQUYUMWLUWWSYXPULXBZUNXSWPZVWUQUVVQKXTKWLUV
      VQVWUSWSZXPUYUMKVVYEVWUTWIWLRUVVQVWUSUVVTYXPUVVRXPZVWURUVVSUNXSYXPUVVRULV
      XNYOWULXWRYCYXPUWWSXPZVWUSVWUQXPUYUMVWVBVWURUWWTUNXSYXPUWWSULVXNYOYAVWUCU
      YUMUWWTUNUYUMUVVQXTUWWSULVWUNVWUCYNZVWUDVWKVYQYOUYUMUWWTUNUYUMUWWTVWVCVWS
      VWUPXWKVWFYQZWUCUYUMVWUMUWXAYDVVOVWVDYOXXEAUWVQUWWRUUYPYHAUMXTXNZUWWRUUYS
      YHVMXWLAVVXAJKLRTGUCUXWPUEUIVVUJULUMUNUOUQURVBVCVAVFVTUUYSVMVDVEVKWIVVUTV
      VVAUYUMUXWRVUUIUWXAYDUXWQYFVIVUUJVUUIUWXAXTYDUXWQVUUIWUDUVUAVUUIUWBYCUWCX
      WGWCVVXAXCXWMAVVXFJKUHRTFUCUXWPUEUIVVUJULUMUNUOUQURVBVCVAVFUUYPWAVMVDVEVL
      WIVVUTVVVAVUUKWBVVXFXCXWNWLRUUVKVVXEUWXQVWVAVVXBUWXOVVXDUWXPXEYXPUVVRKVXN
      VWVAVVXCUWWSKYXPUVVRWTWQVXOYTYQWULXWSVVVBVVWQXCVVWSYYAVVWHYWSXHXBZVVWGYIX
      JZUQUUYJXLZUAWRXLZVXHZVVWOXOZVVWRXOVUXRVVWPVWVKVVWRVVWNVWVJVVWOVVWMVWVIYY
      AVVWHVVWLVWVHUAWRVVWKVWVGEUQUUYJUXWDVVWJVWVFVVWGYIUXWDVVWIYWSXHUUVBYWRUDV
      XNYTWWOWXFXWTXXFXXAXXAXXAXXBYYAVVWEVVWFUUGUURYYAVVVQUURXNZVVWEVXHVVVQXDWN
      WOWPZYIXJZVVVQVWVMXRZYWQXNZUQWMVWVOXEWPZYXKUUMZXHXBZYYFXKXJZSWRXLZVVWFVWV
      LYYAVWVPVVWEVWVLVWVNVWVPVWVLVWVNXOZVWVOVVVQYWQVWVNVWVOVVVQXPVWVLVWVNVVVQV
      WVMXXCYAZVWWBWMXDVVVQUVUKVWWBUWHYCUVULVWWBUVUNYCVWVLVVVQXTXNZVWVNVVVQXWOZ
      YHZVWVLWMVVVQXKXJVWVNVVVQXWPYHZVWWBVVVQVWVMXDVWWFVWVMXTXNZVWWBXDYBXXDZYCU
      UYDVWWBYBYCVWVLVWVNYRVWVMXDXKXJZVWWBVVXGVWWJXVMUUYDVVXGVWWJYJYBXDXXGUXIXX
      HZYCVYBWVTYPVWVNVXMZVWVPVWVLVWWLVWVOVWVMYWQVWVNVVVQVWVMXXIZVWVMYWQXNZVWWL
      VWWNVWWHWMVWVMXKXJZVWWJVWWIXDWNYBUYEXVMXXNXXJZVWWKUVUKUVULVWWNVWWHVWWOVWW
      JVXHYJUWHUVUNWMXDVWVMXXOVWHXXKYCYPYAXXLZXXMVWVLVVWEVWWAYYAVWVLVVWEXOZVWVQ
      VUXNXNZVVWEXOVWVQUUYJXQZVWVQXUIXBZVVVQYIXJZXOZVWWAVWWRVWWSVVWEVWWSVWWRWMV
      WVOXUKYCVWVLVVWEYRVUEVWVLVWXCVVWEVWVLVWWTVWXBVWVLVWVQWMVWVOUUTWPZUUYJWMVW
      VOVUKVWVLUVUCUUYDVUXAVWVOXDYIXJVWXDUUYJXQUVUCVWVLUVUGYCUUYDVWVLYBYCZVUXAV
      WVLVUXBYCVWVLVWVOXDVWVLYWQXTVWVOVUXKVWWQVWIZVWXEVWVLVWVOVWVMXDVWXFVWWHVWV
      LVWWIYCVWXEVWVLVWWDVWWHVWVOVWVMYIXJVWWEVWWIVVVQVWVMXYDUYKVWWJVWVLVWWKYCVY
      BUWLUUYIXDWMVWVOUWNUWOXXPVWVLVWXAVWVOVVVQYIVWVLVWXAVWVOWMXSWPZVWVOVWVLUWX
      IVWVOXTXNWMVWVOYIXJVWXAVWXGXPVWVLUWEZVWXFVWVLWMVWVOVWXHVWXFVWVLVWVNWMVWVO
      XKXJZVWWBWMVVVQVWVOXKVWWGVWWCXXQVWWLVWXIVWVLVWWLWMVWVMVWVOXKVWWPVWWMXXRYA
      XXLUWLWMVWVOXXSVVRVWVLVWVOVWVLVWVOVWXFVWSXXTVWFVWVLVWWDVWWHVWVOVVVQYIXJVW
      WEVWWIVVVQVWVMXYNUYKUYPVUEYHVVWDVWXCVWWAWUQUUFVWVQVUXNVVVNVWVQXPZVVVSVWXC
      VVWCVWWAVWXJVVVOVWWTVVVRVWXBVVVNVWVQUUYJXYAVWXJVVVPVWXAVVVQYIVVVNVWVQXUIV
      XNWWOXYBVWXJVVWBVWVTSWRVWXJVVWAVWVSYYFXKVWXJVVVTVWVRXHUQVVVNVWVQYXKXYCYTW
      WOWYBWVAXYEWVCXYFYYHVWWAUSVWVOYWQYYBVWVOXPZYYGVWVTSWRVWXKYYEVWVSYYFXKVWXK
      YYDVWVRXHVWXKUQYYCVWVQYXKYYBVWVOWMXEVYOXYGYTWWOWYBXYHYKXYIWWEXYJVYDAPYXLW
      LSYXAWTXAWRUUQYWOYXAXAXNAUAWRYWTXYOXYKYCVUYFUAYXFYWTYXLWRYXAYDVUYFYXAVYNV
      UYFVUYGXOZUQYWQYWSYXKVWXLVUWOXOZYWSVVUEYXKVWXMUWUGVVUEXTXNYWSVVUEXPVUWOUW
      UGVWXLVUXDYAZVWXMYXEVVUDAVUWOVUWQVUVIVUYGVUXEWUGVWXMVVUDVUYBXTVUVIVUYGVUW
      OVVUFAVUVIVUYGXOZVUWOXOZUWUGVUYPVVUFVUWOUWUGVWXOVUXDYAZVWXPVUYAVWXPVUXTYW
      RVWXOVUYRVUWOVWXOVUXQYXGVWXOVUXQVWXOVUXQYXFWRVUVIVUYGYRVUVIVUYGXUMYPUYFZV
      UWBVWXOWYPYCVWJYHVWXPUUYJXTYWRUWVOVWXQVWIVVMVWQVVUGYKXUAZVWXMVUYAVWXMVUXT
      YWRVWXMVUXQYXGVWXLVUYSVUWOVUVIVUYGVUYSAVWXRVVTYHVWXMWTVWXMUYBVWPVWJVWXMUU
      YJXTYWRUWVOVWXNVWIVVMVWQYPVVMUQUUYJVVUEXTUDVQVVPYKVWXMVVUDYXJYXEXFVWXMVVU
      DVUYBYXJVWXSVUYGVUYBYXJXPVUYFVUWOVUYGVUYAYXIXGVUYGVUXTYXHYWRXFVUXQYXFYXGW
      QVXOYOYTWUHVWFVWEVWFWYKAVUVIYRVUXSUQYWQVUYCUUMZYDXNZWUQVUYFYXLYDXNZWUQUAS
      VUYGVUXSVUYFVWYAVWYBVUYHVUYGVWXTYXLYDVUYGUQYWQVUYCYXKVUYJWYKXUNWVAVUXSUQY
      WQVUYCXTVUXSVUWOXOZYXEVUYBAVUWOVUWQVUXRVUXEYSVUXSVUXRUWUGVUYPVUWOAVUXRYRZ
      VUXDVVUBXYLVVMVVVCXVCXUTZVYQVWYEXYMUWQUBXAXNAUBYXDXAVSUAWRYXCXYOXYKXYPYCA
      XDTYXBWTXAWRUUQYWOYXBXAXNAUAWRXDXYOXYKYCXDYDXNZAXDYBXYQZYCVVUIWRXNZVVUIYX
      BXBXDXPAVWYHUAVVUIXDXDWRYXBXTVWYHYXBVYNVWYHVUXQVVUIXPXOXDVYNVWYHWUDUUYDVW
      YHYBYCVYQYAXYRXDWMUWTZAWMXDXVIXVMXYSZYCVUXSVUXQYXAXBZYWTYDVUXSVUXRYWTYDXN
      VWYKYWTXPVWYDVUXSUQYWQYWSXTVWYCUUYJXTYWRUDVUXSUUYJXTUDYFVUWOVUXSMOUCUDUEU
      GVUXQUMUNUOUQVVUKAUWVNVUXRVBYHZAUWVQVUXRUUYPYHAVWVEVUXRUUYSYHVMVNVOVVUNVP
      VQXYTZYHVUXSYWQUUYJYWRVUYKVVJYNVUXSUQYWQUUYJYWSXTVUYKVUYNVUXSUUYJXTYWRUDV
      WYMXUOVUXSUDUQUUYJYWSWSXULVUXSUQUUYJXTUDVWYMYUAVVVBWVIXUSXVCZUAWRYWTYDYXA
      YXAXCVVPYKZVWYNYPVUXRVUXQYXBXBZYDWMYUNZYUBZXNAVUXRVWYPXDVWYRVUXRUUYDVWYPX
      DXPYBUAWRXDXTYXBYXBXCVVPYUCZVUXRVWYFVWYIXDVWYRXNVWYFVUXRVWYGYCVWYIVUXRVWY
      JYCXDYDWMYUDVUCYPYAVUXSVUXQUBXBZYXCVWYKVWYPWOWPVUXSVUXRYXCYDXNVWYTYXCXPVW
      YDVUXSYWTXDVWYNVWYFVUXSVWYGYCVWYIVUXSVWYJYCYUEZUAWRYXCYDUBVSVVPYKVUXSYWTV
      WYKXDVWYPWOVUXSVWYKYWTVWYOUYMVUXRXDVWYPXPAVUXRVWYPXDVWYSUYMYAYQVWFYUFYWPW
      MXPAXDVWYGVWYJYUGZYCWVSUPXAXNAUPTWRUQYWQUVYHYWRVVUIIXBZXBZXFWPZUUMZWSZXAV
      RTWRVXUFXYOXYKXYPYCAYWKUAYWLWTXAYWMYWNYWOYWLXAXNATWRYWKXYOXYKYCAUOAVVUMYD
      UOUNUUYLYUHVTVWIVWTZAVUXQYWMXNZXOZTVUXQYWKYWKWRYWLYDVXUJYWLVYNVXUJVVUIVUX
      QXPZXOYWKVYNVXUIVUXRAVXUIVUXRYWMWRVUXQWRYWMUUQWVJYUIXUBYAZAYWKYDXNVXUIVXU
      HYHZVYQZXYRVXUJWRYDVUXQUBAWRYDUBYFVXUIAUAWRYXCYDUBVXUAVSXVQYHVXULYNVXUJVU
      XQYWLXBZYWKYDVXUNVXUMYPVXUJVWYTVXUOWQWPVWYTYWKWQWPZUQYWQUVYHYWRVUXQIXBZXB
      ZXFWPZUUMZVUXQUPXBZVXUJVXUOYWKVWYTWQVXUNVWEAVXUIVUXRVXUPVXUTXPVXULAYWQFGI
      JLMORTUAUBUCUDUEUXWPUGUHUIUOULUMUNUOUQURVAVBVCVDVEVFVGVKVLVMVNVOVPVQVVVAV
      UUKWBWCVTWAVUYLAVUYMYCYWQUUYJVWYQYUBZXQAUQYWQVXVBVUWOYWRUUYJVWYQVUXDVUWOU
      WUEYWRVWYQXNVUWOYWRWMVUWOYWRVUWOUVUKUVULVUWOUWUKVUWOWMVUWOUWEVWDUVULVUWOU
      VUNYCVUWOWUDWMXDYWRUWGVVRZVUAVWAUQWMYUJYUKYUOYULYCVSWDUUYPVUWSUWUKUOUMVUW
      OUWUKAVXVCYAVWCVUXSUQYWQVXURUUMXDUQVUWKUVYKWTVUXQUXMWPZYXFYWRXFWPZXGXBZYX
      FWOWPZSYUPZWQWPZXDWOWPZWSZXBZWMVXVKXBZXSWPZVWVMWMWQWPZXDWOWPZWMXSWPZYXGVU
      XSUQWMXDISUAVXUQVXVKVUXQWDVWYDVXUQXCVUXSUWEUUYDVUXSYBYCZUWXKVUXSWMXDXVIYB
      XVMXUEZYCVXVKXCZYUMVXVNVXVQXPVUXSVXVLVXVPVXVMWMXSXDVUWKXNZVXVLVXVPXPUVUKU
      VULUWXKVXWAUWHUVUNVXVSWMXDYUQYURUQXDVXVJVXVPVUWKVXVKYWRXDXPZVXVIVXVOXDWOV
      XWBUVYKVWVMVXVHWMWQYWRXDWNWOVXOVXWBVXVHVXVDWMSYUPZWMVXWBVXVDVXVGWMSVXWBYX
      FVXVDXNZVXVGYXFXDXFWPZXGXBZYXFWOWPZWMVXWBVXVFVXWFYXFWOVXWBVXVEVXWEXGYWRXD
      YXFXFVYOYTYOVXWDVXWGWMYXFWOWPZWMVXWDVXWFWMYXFWOVXWDVXWFWMXPZVXWEXDWOWPZYU
      SXNZVXWDVXWJYXFYUSVXWDYXFXDVXWDYXFYXFWTVUXQYUTZYVAZVWYFVXWDVWYGYCZVWYIVXW
      DVWYJYCYVBVXWLYPVXWDVXWEYDXNVXWIVXWKYJVXWDYXFXDVXWMVXWNVYMVXWEYVCYLUWQYOV
      XWDYXFVXWMVXWDYXFVXWDWMWTYXFVXWDUWEVXWDUYBVXWDYXFVXWLVVFUVWEVXWDUYDYCYXFW
      TVUXQYVDUYTVUAYVEZVWFWWKYVFVXVDUUJUUOXBXQZVXVDUXKXNZYVGVXWCWMXPVXWQVXWPWT
      VUXQUXNYVHVXVDSUUJYVIUXIZWWIYQYOVXVTVXVOXDWOVYPYVJUXIWMVUWKXNZVXVMWMXPUVU
      KUVULUWXKVXWSUWHUVUNVXVSWMXDYVKYURUQWMVXVJWMVUWKVXVKUWUEVXVJYWPWMUWUEVXVI
      WMXDWOUWUEVXVIWMWMWQWPWMUWUEUVYKWMVXVHWMWQUWUEUVYKWMWNWOWPWMYWRWMWNWOVXOW
      NYVLVXAYUGWWIUWUEVXVHVXWCWMUWUEVXVDVXVGWMSUWUEVXWDXOZVXVGVXWHWMVXWTVXVFWM
      YXFWOVXWTVXVFWMXGXBWMVXWTVXVEWMXGUWUEVXWDVXVEYXFWMXFWPWMYWRWMYXFXFVYOVXWD
      YXFVXWMYVMWWKYTYVNWWIYOVXWDVXWHWMXPUWUEVXWOYAVWFYVFVXWRWWIYQYVOWWIYOVXUBW
      WIVXVTYWFYVJUXIWVOYCVXVQYXGXPVUXSVXVQYXGWMXSWPYXGVXVPYXGWMXSVXVPVWVMXDWOW
      PXDXDWOWPZWNWOWPYXGVXVOVWVMXDWOVWVMVWVMVWWIXYQYVPWVNXDWNXDVWYGYVLVWYGVXAV
      WYJYVQVXXAWTWNWOXDVWYGVWYJYVRWVNYVSWVNYXGYVTYWAYWBYCVWMYWCXVBAVXUIVUXRVXU
      TVXVAXPVXULVUXSVXVAVXUTVUXSTVUXQVXUFVXUTWRUPXTUPVXUGXPVUXSVRYCVXUKVXUFVXU
      TXPVUXSVXUKUQYWQVXUEVXUSVXUKVXUEVXUSXPVUWOVXUKVXUDVXURUVYHXFVXUKYWRVXUCVX
      UQVVUIVUXQIVXNWWJVWEYHWYKYAVWYDVUXSUQYWQVXUSVWYCUVYHVXURAVUWOUVYHXTXNZVUX
      RVUWSXTXTUVYGUCAUWVMVUWOVAYHVUWSUNYWRAUWVNVUWOVBYHVUWOUWUTAVUXGYAVWJYNYSV
      WYCXTXTYWRVXUQVUXRXTXTVXUQYFZAVUWOUQIUAVUXQWDYWGZWUHVUWOUWUTVUXSVUXGYAYNV
      VMVUXSUQYWQUUYJVXUSXTVUYKVUYNVUYOUVYHVXURAUWUGVXXBVUXRAUWUGXOZXTXTUVYGUCA
      UWVMUWUGVAYHVXXEUNYWRAUWVNUWUGVBYHUWUGUWUTAUUYJXTYWRUWVOXUGZYAVWJYNYSVUYO
      XTXTYWRVXUQVUXRVXXCAUWUGVXXDWUHUWUGUWUTVUXSVXXFYAYNVVMVUXSUUYIXDVXUQJKLRT
      UCUQUUYJVXUSWSZUHUIVVUJULUNUQURUVUCVUXSUVUGYCVXVRVVUKVWYLVCVVUOVVUPVVUQVV
      URVVUSWIVVUTVUXRVXUQXTXTVVOWPXNAUQIUAVUXQWDYWDYAVXXGXCYWEXUSYWHVYQUYMXVBW
      UFYWIAYWKVXUHYWJWVS $.
  $}

  ${
    $d A f j k w y z $.  $d A i j k w x y z $.  $d A i j m p w $.
    $d B f j k w y z $.  $d B i j k w x y z $.  $d B i j m p w $.
    $d C f g k w y $.  $d C g i k w x y $.  $d C i m p w $.  $d D f g k w y $.
    $d D g i k w x y $.  $d D i m p w $.  $d F i j x y $.  $d L x y $.
    $d M f j k y z $.  $d M i j k x y z $.  $d M i j m p $.
    $d Q f g j k w y $.  $d Q g i j k w x y $.  $d Q i j m p w $.
    $d Q f j k w y z $.  $d R x y $.  $d T f g j k w y $.
    $d T g i j k w x y $.  $d T i j m p w $.  $d T f j k w y z $.
    $d f j k ph y $.  $d g i j p w $.  $d i j k ph x y $.
    fourierdlem105.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem105.t $e |- T = ( B - A ) $.
    fourierdlem105.m $e |- ( ph -> M e. NN ) $.
    fourierdlem105.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem105.f $e |- ( ph -> F : RR --> CC ) $.
    fourierdlem105.6 $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x )
       ) $.
    fourierdlem105.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem105.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem105.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    fourierdlem105.c $e |- ( ph -> C e. RR ) $.
    fourierdlem105.d $e |- ( ph -> D e. ( C (,) +oo ) ) $.
    $( A piecewise continuous function is integrable on any closed interval.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem105 $p |- ( ph -> ( x e. ( C [,] D ) |-> ( F ` x ) ) e. L^1 ) $=
      ( vy vw vj vg vf vk vz cc0 cpr cv cmul co caddc crn wcel cz wrex cicc cun
      crab chash cfv c1 cmin cfz clt wiso cio cr cdiv cfl cmpt cioc cif cle wbr
      wceq cfzo csup cn wa wral cmap eqid eleq1d rexbidv oveq2d cbvrexvw bitrdi
      oveq1 cbvrabv uneq2i isoeq1 cbviotavw oveq2 oveq1d fveq2d oveq12d cbvmptv
      eqeq1 ifbieq2d fveq2 breq2d rabbidv breq1d eqtrdi supeq1d fourierdlem100
      id ) ABUHCDEFGHIUOEFUPZUIUQZUJUQZJURUSZUTUSZHVAZVBZUJVCVDZUIEFVEUSZVGZVFZ
      VHVIVJVKUSZVLUSZYGVMVMUKUQZVNZUKVOJULKUMLUIVPXRDXRVKUSZJVQUSZVRVIZJURUSZU
      TUSZVSZMYGUNVPXSHVIZUNUQZYQVIZUICDVTUSZXRDWDZCXRWAZVSZVIZWBWCZUJUOOWEUSZV
      GZVPVMWFZVSUUDNOYHLWGUOPUQZVIEWDLUQZUUJVIFWDWHKUQZUUJVIUULVJUTUSUUJVIVMWC
      KUOUUKWEUSWIWHPVPUOUUKVLUSWJUSVGVSZPQRSTUAUBUCUDUEUFUGUUMWKYHWKYFUHUQZUMU
      QZJURUSZUTUSZYBVBZUMVCVDZUHYEVGXQYDUUSUIUHYEXRUUNWDZYDUUNXTUTUSZYBVBZUJVC
      VDUUSUUTYCUVBUJVCUUTYAUVAYBXRUUNXTUTWQWLWMUVBUURUJUMVCXSUUOWDZUVAUUQYBUVC
      XTUUPUUNUTXSUUOJURWQWNWLWOWPWRWSYKYIYGVMVMULUQZVNUKULYIYGVMVMUVDYJWTXAUIB
      VPYPBUQZDUVEVKUSZJVQUSZVRVIZJURUSZUTUSXRUVEWDZXRUVEYOUVIUTUVJXPUVJYNUVHJU
      RUVJYMUVGVRUVJYLUVFJVQXRUVEDVKXBXCXDXCXEXFUIUHUUAUUCUUNDWDZCUUNWAUUTUUBUV
      KXRUUNCXRUUNDXGUUTXPXHXFUNBVPUUIUULHVIZUVEYQVIZUUDVIZWBWCZKUUGVGZVPVMWFYS
      UVEWDZVPUUHUVPVMUVQUUHYRUVNWBWCZUJUUGVGUVPUVQUUFUVRUJUUGUVQUUEUVNYRWBUVQY
      TUVMUUDYSUVEYQXIXDXJXKUVRUVOUJKUUGXSUULWDYRUVLUVNWBXSUULHXIXLWRXMXNXFXO
      $.
  $}

  ${
    $d F k x z $.  $d G f g $.  $d G g k w z $.  $d G g k x z $.  $d T f g y $.
    $d T g k w y z $.  $d T g k x y z $.  $d X f g $.  $d X g k w z $.
    $d X k x $.  $d f ph $.  $d k ph x z $.
    fourierdlem106.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem106.t $e |- T = ( 2 x. _pi ) $.
    fourierdlem106.per $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x
       ) ) $.
    fourierdlem106.g $e |- G = ( ( RR _D F ) |` ( -u _pi (,) _pi ) ) $.
    fourierdlem106.dmdv $e |- ( ph -> ( ( -u _pi (,) _pi ) \ dom G ) e. Fin )
       $.
    fourierdlem106.dvcn $e |- ( ph -> G e. ( dom G -cn-> CC ) ) $.
    fourierdlem106.rlim $e |- ( ( ph /\ x e. ( ( -u _pi [,) _pi ) \ dom G ) )
       -> ( ( G |` ( x (,) +oo ) ) limCC x ) =/= (/) ) $.
    fourierdlem106.llim $e |- ( ( ph /\ x e. ( ( -u _pi (,] _pi ) \ dom G ) )
       -> ( ( G |` ( -oo (,) x ) ) limCC x ) =/= (/) ) $.
    fourierdlem106.x $e |- ( ph -> X e. RR ) $.
    $( For a piecewise smooth function, the left and the right limits exist at
       any point.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem106 $p |- ( ph -> ( ( ( F |` ( -oo (,) X ) ) limCC X ) =/= (/)
       /\ ( ( F |` ( X (,) +oo ) ) limCC X ) =/= (/) ) ) $=
      ( cv cfv cpi co clt vk vw vz vy vg vf cn cc0 cneg wceq wa caddc cfzo wral
      c1 wbr cfz cmap crab cmpt cmin cdiv cfl cmul ctp cicc cdm cdif chash wiso
      cr cun cio eqid oveq2 oveq1d fveq2d oveq12d cbvmptv isoeq1 fourierdlem102
      id cbviotavw ) ABUAUGUHUBPZQRUIZUJUAPZWDQRUJUKUCPZWDQWGUOULSWDQTUPUCUHWFU
      MSUNUKUBVKUHWFUQSURSUSUTZUHWERFUDVKUDPZRWIVASZCVBSZVCQZCVDSZULSZUTZQVEWER
      VFSEVGVHVLZVIQUOVASZUQSZWPTTUEPZVJZUEVMCUFUCUAWODEWPWQFUBGHIJKLMNOWHVNUDB
      VKWNBPZRXAVASZCVBSZVCQZCVDSZULSWIXAUJZWIXAWMXEULXFWBXFWLXDCVDXFWKXCVCXFWJ
      XBCVBWIXARVAVOVPVQVPVRVSWPVNWQVNWTWRWPTTUFPZVJUEUFWRWPTTXGWSVTWCWA $.
  $}

  ${
    $d A f j k y $.  $d A i j k x y $.  $d A i j m p $.  $d B f k y $.
    $d B i k x y $.  $d B i m p $.  $d E f k y $.  $d E i x y $.
    $d F i j x y $.  $d H f y $.  $d H x y $.  $d I f k y $.  $d I i k x y $.
    $d L x y $.  $d M i x y $.  $d M i m p $.  $d N f j k y $.
    $d N i j k x y $.  $d N i j m p $.  $d Q f k y $.  $d Q i x y $.
    $d Q i m p $.  $d R x y $.  $d S f j k y $.  $d S i j k x y $.
    $d S i j p $.  $d T f j k y $.  $d T i j k x y $.  $d T i j m p $.
    $d X f j y $.  $d X i j m p $.  $d X x $.  $d Z i x y $.  $d f j k ph y $.
    $d i j k ph x y $.
    fourierdlem107.a $e |- ( ph -> A e. RR ) $.
    fourierdlem107.b $e |- ( ph -> B e. RR ) $.
    fourierdlem107.t $e |- T = ( B - A ) $.
    fourierdlem107.x $e |- ( ph -> X e. RR+ ) $.
    fourierdlem107.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem107.m $e |- ( ph -> M e. NN ) $.
    fourierdlem107.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem107.f $e |- ( ph -> F : RR --> CC ) $.
    fourierdlem107.fper $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F `
       x ) ) $.
    fourierdlem107.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem107.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem107.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    fourierdlem107.o $e |- O = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( A - X ) /\ ( p ` m ) = A ) /\ A. i e. ( 0 ..^ m ) ( p ` i
       ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem107.h $e |- H = ( { ( A - X ) , A } u. { y e. ( ( A - X ) [,] A
       ) | E. k e. ZZ ( y + ( k x. T ) ) e. ran Q } ) $.
    fourierdlem107.n $e |- N = ( ( # ` H ) - 1 ) $.
    fourierdlem107.s $e |- S = ( iota f f Isom < , < ( ( 0 ... N ) , H ) ) $.
    fourierdlem107.e $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( B - x ) / T ) )
       x. T ) ) ) $.
    fourierdlem107.z $e |- Z = ( y e. ( A (,] B ) |-> if ( y = B , A , y ) ) $.
    fourierdlem107.i $e |- I = ( x e. RR |-> sup ( { i e. ( 0 ..^ M ) | ( Q ` i
       ) <_ ( Z ` ( E ` x ) ) } , RR , < ) ) $.
    $( The integral of a piecewise continuous periodic function ` F ` is
       unchanged if the domain is shifted by any positive value ` X ` .  This
       lemma generalizes ~ fourierdlem92 where the integral was shifted by the
       exact period.  This lemma uses local definitions, so that the proof is
       more readable.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem107 $p |- ( ph -> S. ( ( A - X ) [,] ( B - X ) ) ( F ` x ) _d x
       = S. ( A [,] B ) ( F ` x ) _d x ) $=
      ( vj cmin co cicc cv cfv citg clt wbr wa cc0 caddc cc oveq2i recnd syl5eq
      wceq subidd oveq1d resubcld addid2d 3eqtrd eqcomd cfzo cmpt cif cfz cn c1
      wral cr crab wcel wb fveq2 a1i ltsubrpd simpld simpr eliccre syl3anc eqid
      adantr cioo cres wf adantlr cpnf rexrd pnfxr ltpnfd eliood climc ffvelrnd
      cxr eqtrd fourierdlem105 itgcl eqeltrrd cle ltled eliccd cibl itgspliticc
      mpbid addsubassd oveq2d subsub4d df-neg 3eqtr3d addid1d eleqtrd addsub12d
      cneg wss leidd rpred subadd4b pncan3d oveq12d itgeq1d cmap fveq2d breq12d
      oveq1 cbvralvw anbi2d rabbidv mpteq2ia wiso fourierdlem54 eqeltrid simprd
      cbvmptv fourierdlem90 fourierdlem89 fourierdlem91 fourierdlem92 eqbrtrrid
      eqtri syldan ccncf fourierdlem11 simp3d lesub1d ltsub23d ltsub1dd subid1d
      negsubdi2d eqtr3id iccssred feqresmpt ioossicc fourierdlem15 fourierdlem8
      subcld fssresd resabs1d eqeltrd fourierdlem69 eqtr4di negsubd id breqtrdi
      sstrid subsubd adantl lesubd rpge0d subge02d syl22anc cvol iccmbl syl2anc
      iccss cdm iblss 3eqtrrd eqtr4d pncand ltlecasei ) ABDUCVFVGZEUCVFVGZVHVGZ
      BVIZPVJZVKZBDEVHVGZUXJVKZWAJUCAJUCVLVMZVNZUXKBUXFDVHVGZUXJVKZBUXGDVHVGZUX
      JVKZVFVGZUXQBUXGEVHVGZUXJVKZUXMVFVGZVFVGZUXMUXOUXKVOVFVGUXKUXKUXSUXQVFVGZ
      VPVGZVFVGZUXKUXTUXOVOUYFUXKVFUXOVOUXQUXQVFVGZUXKUXSVPVGZUXQVFVGUYFAVOUYHW
      AUXNAUYHVOAUXQAUYBUXQVQAUYBBUXFJVPVGZDJVPVGZVHVGZUXJVKUXQABUYAUYLUXJAUYLU
      YAAUYJUXGUYKEVHAUYJDDVFVGZUXGVPVGZVOUXGVPVGUXGAUYJUXFEDVFVGZVPVGUYNJUYOUX
      FVPUHVRADUCEDADUFVSZAUCAUCUIUUAZVSAEUGVSZUYPUUBVTAUYMVOUXGVPADUYPWBWCAUXG
      AUXGAEUCUGUYQWDZVSWEWFAUYKDUYOVPVGEJUYODVPUHVRADEUYPUYRUUCVTUUDWGUUEABUXF
      DUBIVEVIZIVJZOVJUDVJZVUARVJZGVJWAVUCLVOTWHVGZHWIZVJVUBPVJWJLVOUAWKVGZLVIZ
      IVJZJVPVGZWIJVENPNWLVOUEVIZVJZUYJWANVIZVUJVJZUYKWAVNUYTVUJVJZUYTWMVPVGZVU
      JVJZVLVMZVEVOVULWHVGZWNZVNUEWOVOVULWKVGUUFVGZWPWIZVUOIVJZOVJZVUCWMVPVGGVJ
      WAVUCLVUDSWIZVJVVCPVJWJUAUEADUCUFUYQWDZUFUBNWLVUKUXFWAVUMDWAVNZVUGVUJVJZV
      UGWMVPVGZVUJVJZVLVMZLVURWNZVNZUEVUTWPZWINWLVVFVUSVNZUEVUTWPZWIURNWLVVMVVO
      VULWLWQZVVLVVNUEVUTVVPVVKVUSVVFVVKVUSWRVVPVVJVUQLVEVURVUGUYTWAZVVGVUNVVIV
      UPVLVUGUYTVUJWSVVQVVHVUOVUJVUGUYTWMVPUUIUUGUUHUUJWTUUKUULUUMUVDAUAWLWQZIU
      AUBVJWQZAVVRVVSVNVUFQVLVLIUUNACDEUXFDFGIJKLMNQTUAUBUEUHUJUKULVVEUFADUCUFU
      IXAZURUSUTVAUUOXBZXBAJUYOWOUHAEDUGUFWDUUPZAVVRVVSVWAUUQAUXIUXPWQZUXIWOWQZ
      UXIJVPVGPVJUXJWAZAVWCVNZUXFWOWQZDWOWQZVWCVWDAVWGVWCVVEXGAVWHVWCUFXGAVWCXC
      UXFDUXIXDXEZUNUVELVEVUFVUIVUAJVPVGVVQVUHVUAJVPVUGUYTIWSWCUURVVAXFUMAUYTVO
      UAWHVGWQZVNZBCDEUXFDFGCVUBVVBVVCVFVGZVPVGVVCVWLVPVGXHVGCVIVWLVFVGPVUBVVCX
      HVGXIZVJWIZIJVWLKLMNOPVWMQRUYTUDTUAUBUEUJUHATWLWQZVWJUKXGZAGTFVJWQZVWJULX
      GZAWOVQPXJZVWJUMXGZAVWDVWEVWJUNXKZAVUGVUDWQZPVUGGVJZVVHGVJZXHVGZXIZVXEVQU
      VFVGZWQZVWJUOXKZAVWGVWJVVEXGZVWKUXFXLDVWKUXFVXJXMXLXSWQZVWKXNWTAVWHVWJUFX
      GAUXFDVLVMVWJVVTXGADXLVLVMVWJADUFXOZXGXPZURUSUTVAVBVCAVWJXCZVWLXFZVWMXFVW
      NXFVDUUSVWKBCDEUXFDFGHIJVWLKLMNOPQRUYTTUAUBVUEUDUEUJUHVWPVWRVWTVXAVXIAVXB
      HVXFVXCXQVGZWQZVWJUPXKVXJVXMURUSUTVAVBVCVXNVXOVDVUEXFUUTVWKBCDEUXFDFGIJVW
      LKLMNOPQRUYTSTUAUBVVDUDUEUJUHVWPVWRVWTVXAVXIAVXBSVXFVXDXQVGZWQZVWJUQXKVXJ
      VXMURUSUTVAVBVCVXNVXOVDVVDXFUVAUVBXTZABUYAUXJVQAUXIUYAWQZVNZWOVQUXIPAVWSV
      YAUMXGVYBUXGWOWQZEWOWQZVYAVWDAVYCVYAUYSXGAVYDVYAUGXGAVYAXCUXGEUXIXDXEXRZA
      BDEUXGEFGHJLNPSTUEUJUHUKULUMUNUOUPUQUYSAUXGXLEAUXGUYSXMZVXKAXNWTZUGAEUCUG
      UIXAAEUGXOXPYAYBZYCZWBZWGXGUXOUXQUYIUXQVFUXOBUXFUXGDUXJVQAVWGUXNVVEXGZAVW
      HUXNUFXGZUXOUXFDUXGVYKVYLAVYCUXNUYSXGZUXODEYDVMZUXFUXGYDVMZAVYNUXNADEUFUG
      AVWHVYDDEVLVMADEFGLNTUEUJUKULUVGUVHZYEXGZAVYNVYOWRUXNADEUCUFUGUYQUVIXGYIU
      XOUXGDVYMVYLUXOEDUCAVYDUXNUGXGZVYLAUCWOWQZUXNUYQXGUXOUYOJUCVLUHAUXNXCUVCU
      VJZYEZYFAVWCUXJVQWQZUXNVWFWOVQUXIPAVWSVWCUMXGVWIXRXKABUXHUXJWIYGWQUXNABDE
      UXFUXGFGHJLNPSTUEUJUHUKULUMUNUOUPUQVVEAUXFXLUXGAUXFVVEXMZVYGUYSADEUCUFUGU
      YQVYPUVKAUXGUYSXOXPYAZXGUXOBDEUXGDFGHJLNPSTUEUJUHAVWOUXNUKXGAVWQUXNULXGAV
      WSUXNUMXGAVWDVWEUXNUNXKAVXBVXHUXNUOXKAVXBVXQUXNUPXKAVXBVXSUXNUQXKVYMUXOUX
      GXLDAUXGXSWQUXNVYFXGVXKUXOXNWTVYLVYTUXODVYLXOXPYAZYHWCUXOUXKUXSUXQAUXKVQW
      QUXNABUXHUXJVQAUXIUXHWQZVNZWOVQUXIPAVWSWUFUMXGWUGVWGVYCWUFVWDAVWGWUFVVEXG
      AVYCWUFUYSXGAWUFXCUXFUXGUXIXDXEXRZWUDYBZXGZUXOBUXRUXJVQAUXIUXRWQZWUBUXNAW
      UKVNZWOVQUXIPAVWSWUKUMXGWULVYCVWHWUKVWDAVYCWUKUYSXGAVWHWUKUFXGAWUKXCUXGDU
      XIXDXEXRXKWUEYBZAUXQVQWQUXNVYIXGZYJWFYKUXOUXKWUJUVLUXOUXKUXKVFVGZUYEVFVGZ
      VOUYEVFVGZUYGUXTAWUPWUQWAUXNAWUOVOUYEVFAUXKWUIWBWCXGUXOUXKUXKUYEWUJWUJUXO
      UXSUXQWUMWUNUVTYLUXOWUQUYEYRUXTUYEYMUXOUXSUXQWUMWUNUVMUVNYNYNUXOUXSUYCUXQ
      VFUXOUXSVOVPVGZUXSUYBUYBVFVGZVPVGZUXSUYCAWURWUTWAUXNAVOWUSUXSVPAWUSVOAUYB
      VYHWBZWGYKXGUXOUXSWUMYOUXOWUTUXSUYBUXSUXMVPVGZVFVGZVPVGUYBUXSWVBVFVGZVPVG
      ZUYCUXOWUSWVCUXSVPUXOUYBWVBUYBVFUXOBUXGDEUXJVQVYMVYRUXOUXGEDVYMVYRVYLWUAV
      YQYFAVYAWUBUXNVYEXKWUEABUXLUXJWIZYGWQZUXNAPUXLXIZWVFYGABWOVQUXLPUMADEUFUG
      UVOZUVPADEFGHLNWVHSTUEUJUKULAWOVQUXLPUMWVIUWAAVXBVNZWVHVXEXIZVXFVXGWVJPVX
      EUXLWVJVXEVXCVXDVHVGUXLVXCVXDUVQWVJDEGVUGTADXSWQVXBADUFXMXGAEXSWQVXBAEUGX
      MXGAVOTWKVGUXLGXJVXBADEFGLNTUEUJUKULUVRXGAVXBXCUVSUWIUWBZUOUWCWVJHVXPWVKV
      XCXQVGUPWVJVXFWVKVXCXQWVJWVKVXFWVLWGZWCYPWVJSVXRWVKVXDXQVGUQWVJVXFWVKVXDX
      QWVMWCYPUWDYCZXGYHZYKYKUXOUXSUYBWVBWUMAUYBVQWQZUXNVYHXGZUXOUYBWVBVQWVOWVQ
      YCYQUXOWVEUYBUXSUXSVFVGZUXMVFVGZVPVGUYBUXMYRZVPVGUYCUXOWVDWVSUYBVPUXOWVSW
      VDUXOUXSUXSUXMWUMWUMAUXMVQWQUXNABUXLUXJVQAUXIUXLWQZVNZWOVQUXIPAVWSWWAUMXG
      WWBVWHVYDWWAVWDAVWHWWAUFXGAVYDWWAUGXGAWWAXCDEUXIXDXEXRZWVNYBZXGZYLWGYKUXO
      WVSWVTUYBVPUXOWVSVOUXMVFVGWVTUXOWVRVOUXMVFUXOUXSWUMWBWCUXMYMUWEYKUXOUYBUX
      MWVQWWEUWFWFWFYNYKAUYDUXMWAUXNAUYDUXQUYBVFVGZUXMVPVGVOUXMVPVGUXMAUXQUYBUX
      MVYIVYHWWDUWJAWWFVOUXMVPAWWFUYHVOAUYBUXQUXQVFVXTYKVYJXTWCAUXMWWDWEWFXGWFA
      UCJYDVMZVNZUXKUXMUXQVPVGZUYBVFVGZWWIUXQVFVGUXMWWHUXKUXQBDUXGVHVGZUXJVKZVP
      VGUXQUXMUYBVFVGZVPVGZWWJWWHBUXFDUXGUXJVQAVWGWWGVVEXGZAVYCWWGUYSXGZWWHUXFU
      XGDWWOWWPAVWHWWGUFXGZAUXFDYDVMWWGAUXFDVVEUFVVTYEXGWWHUCEDAVYSWWGUYQXGAVYD
      WWGUGXGZWWQWWGUCUYOYDVMAWWGUCJUYOYDWWGUWGUHUWHUWKUWLZYFAWUFWUBWWGWUHXKABU
      XPUXJWIYGWQWWGABDEUXFDFGHJLNPSTUEUJUHUKULUMUNUOUPUQVVEAUXFXLDWUCVYGUFVVTV
      XLXPYAXGABWWKUXJWIYGWQWWGABWWKUXLUXJVQAVWHVYDDDYDVMUXGEYDVMZWWKUXLYSUFUGA
      DUFYTAVOUCYDVMZWWTAUCUIUWMZAEUCUGUYQUWNZYIDEDUXGUWSUWOAVWHVYCWWKUWPUWTZWQ
      UFUYSDUXGUWQUWRWWCWVNUXAZXGZYHWWHWWLWWMUXQVPWWHWWMWWLUYBVPVGZUYBVFVGZWWLW
      USVPVGZWWLWWHUXMWXGUYBVFWWHBDUXGEUXJVQWWQWWRWWHDEUXGWWQWWRWWPWWSWWHWXAWWT
      AWXAWWGWXBXGAWXAWWTWRWWGWXCXGYIYFAWWAWUBWWGWWCXKZWXFWWHBUYAUXLUXJVQWWHVWH
      VYDDUXGYDVMEEYDVMZUYAUXLYSWWQWWRWWSAWXKWWGAEUGYTXGDEUXGEUWSUWOAUYAWXDWQZW
      WGAVYCVYDWXLUYSUGUXGEUWQUWRXGWXJAWVGWWGWVNXGZUXAYHWCAWXHWXIWAWWGAWWLUYBUY
      BABWWKUXJVQAUXIWWKWQZVNZWOVQUXIPAVWSWXNUMXGWXOVWHVYCWXNVWDAVWHWXNUFXGAVYC
      WXNUYSXGAWXNXCDUXGUXIXDXEXRWXEYBZVYHVYHYJXGAWXIWWLWAWWGAWXIWWLVOVPVGWWLAW
      USVOWWLVPWVAYKAWWLWXPYOXTXGUXBYKWWHWWNUXMWWFVPVGWWJWWHUXQUXMUYBWWHUYBUXQV
      QAUYBUXQWAWWGVXTXGZAWVPWWGVYHXGZYCZWWHBUXLUXJVQWXJWXMYBZWXRYQWWHUXMUXQUYB
      WXTWXSWXRYJUXCWFWWHUYBUXQWWIVFWXQYKWWHUXMUXQWXTWXSUXDWFVWBUYQUXE $.
  $}

  ${
    $d A f g k w y $.  $d A g i k w x y $.  $d A f j k w y z $.
    $d A i j m p w $.  $d B f j k w y z $.  $d B i j k w x y z $.
    $d B i j m p w $.  $d F i j x y $.  $d L x y $.  $d M f j k y z $.
    $d M i x y $.  $d M i j m p $.  $d Q f g k l w y $.  $d Q i x y $.
    $d Q f j k w y z $.  $d Q i j m p w $.  $d R x y $.  $d T f g k l w y $.
    $d T g i k l w x y $.  $d T f j k w y z $.  $d T i j m p w $.
    $d X f g k w y $.  $d X g i k w x y $.  $d X f j k w y $.
    $d X i j m p w $.  $d f j k ph y $.  $d g i l p w $.  $d i j k ph x y $.
    $d l m p w $.
    fourierdlem108.a $e |- ( ph -> A e. RR ) $.
    fourierdlem108.b $e |- ( ph -> B e. RR ) $.
    fourierdlem108.t $e |- T = ( B - A ) $.
    fourierdlem108.x $e |- ( ph -> X e. RR+ ) $.
    fourierdlem108.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem108.m $e |- ( ph -> M e. NN ) $.
    fourierdlem108.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem108.f $e |- ( ph -> F : RR --> CC ) $.
    fourierdlem108.fper $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F `
       x ) ) $.
    fourierdlem108.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem108.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem108.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    $( The integral of a piecewise continuous periodic function ` F ` is
       unchanged if the domain is shifted by any positive value ` X ` .  This
       lemma generalizes ~ fourierdlem92 where the integral was shifted by the
       exact period.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem108 $p |- ( ph -> S. ( ( A - X ) [,] ( B - X ) ) ( F ` x ) _d x
       = S. ( A [,] B ) ( F ` x ) _d x ) $=
      ( vy vw vl vg vf vk vz vj cc0 cmin co cpr cv cmul caddc wcel cz wrex cicc
      crn crab cun chash cfv c1 cfz clt wiso cio cr cdiv cfl cmpt cioc wceq cif
      cle cfzo csup cn wa wral cmap eqid oveq1 eleq1d rexbidv cbvrabv uneq2i wb
      oveq2d cbvrexvw rgenw rabbi mpbi fveq2i oveq1i isoeq5 ax-mp isoeq1 syl5bb
      wbr cbviotavw id oveq2 oveq1d fveq2d oveq12d cbvmptv eqeq1 ifbieq2d fveq2
      breq2d rabbidv breq1d eqtrdi supeq1d fourierdlem107 ) ABUHCDEFGUPCNUQURZC
      USZUIUTZUJUTZHVAURZVBURZFVGZVCZUJVDVEZUIYFCVFURZVHZVIZVJVKZVLUQURZVMURZYQ
      VNVNUKUTZVOZUKVPHULIUMJUIVQYHDYHUQURZHVRURZVSVKZHVAURZVBURZVTZKYGYHUMUTZH
      VAURZVBURZYLVCZUMVDVEZUIYOVHZVIZUNVQUOUTZFVKZUNUTZUUHVKZUICDWAURZYHDWBZCY
      HWCZVTZVKZWDXIZUOUPMWEURZVHZVQVNWFZVTLMYSJWGUPOUTZVKYFWBJUTZUVIVKCWBWHIUT
      ZUVIVKUVKVLVBURUVIVKVNXIIUPUVJWEURWIWHOVQUPUVJVMURWJURVHVTZNUVCOPQRSTUAUB
      UCUDUEUFUGUVLWKUUNUHUTZUUJVBURZYLVCZUMVDVEZUHYOVHYGUUMUVPUIUHYOYHUVMWBZUU
      LUVOUMVDUVQUUKUVNYLYHUVMUUJVBWLWMWNWOWPYRUUOVJVKVLUQYQUUOVJYPUUNYGYNUUMWQ
      ZUIYOWIYPUUNWBUVRUIYOYMUULUJUMVDYIUUIWBZYKUUKYLUVSYJUUJYHVBYIUUIHVAWLWRWM
      WSWTYNUUMUIYOXAXBWPZXCXDUUBYTUUOVNVNULUTZVOZUKULUUBYTUUOVNVNUUAVOZUUAUWAW
      BUWBYQUUOWBUUBUWCWQUVTYTYQUUOVNVNUUAXEXFYTUUOVNVNUWAUUAXGXHXJUIBVQUUGBUTZ
      DUWDUQURZHVRURZVSVKZHVAURZVBURYHUWDWBZYHUWDUUFUWHVBUWIXKUWIUUEUWGHVAUWIUU
      DUWFVSUWIUUCUWEHVRYHUWDDUQXLXMXNXMXOXPUIUHUUTUVBUVMDWBZCUVMWCUVQUVAUWJYHU
      VMCYHUVMDXQUVQXKXRXPUNBVQUVHUVKFVKZUWDUUHVKZUVCVKZWDXIZIUVFVHZVQVNWFUURUW
      DWBZVQUVGUWOVNUWPUVGUUQUWMWDXIZUOUVFVHUWOUWPUVEUWQUOUVFUWPUVDUWMUUQWDUWPU
      USUWLUVCUURUWDUUHXSXNXTYAUWQUWNUOIUVFUUPUVKWBUUQUWKUWMWDUUPUVKFXSYBWOYCYD
      XPYE $.
  $}

  ${
    $d A f j k y $.  $d A i j k x y $.  $d A i j m p $.  $d B f j k y $.
    $d B i j k x y $.  $d B i j m p $.  $d E f j k y $.  $d E i x y $.
    $d F i j x y $.  $d H f y $.  $d H x y $.  $d I f k y $.  $d I i k x y $.
    $d J i j x y $.  $d L x y $.  $d M i x y $.  $d M i j m p $.
    $d N f j k y $.  $d N i j k x y $.  $d N i j m p $.  $d Q f j k y $.
    $d Q i x y $.  $d Q i j m p $.  $d Q k x $.  $d R x y $.  $d S f j k y $.
    $d S i j k x y $.  $d S i j m p $.  $d T f j k y $.  $d T i j k x y $.
    $d T i j m p $.  $d X f j y $.  $d X i j m p $.  $d X x $.
    $d f j k ph y $.  $d i j k ph x y $.
    fourierdlem109.a $e |- ( ph -> A e. RR ) $.
    fourierdlem109.b $e |- ( ph -> B e. RR ) $.
    fourierdlem109.t $e |- T = ( B - A ) $.
    fourierdlem109.x $e |- ( ph -> X e. RR ) $.
    fourierdlem109.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem109.m $e |- ( ph -> M e. NN ) $.
    fourierdlem109.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem109.f $e |- ( ph -> F : RR --> CC ) $.
    fourierdlem109.fper $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F `
       x ) ) $.
    fourierdlem109.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem109.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem109.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    fourierdlem109.o $e |- O = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( A - X ) /\ ( p ` m ) = ( B - X ) ) /\ A. i e. ( 0 ..^ m )
       ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem109.h $e |- H = ( { ( A - X ) , ( B - X ) } u. { x e. ( ( A - X
       ) [,] ( B - X ) ) | E. k e. ZZ ( x + ( k x. T ) ) e. ran Q } ) $.
    fourierdlem109.n $e |- N = ( ( # ` H ) - 1 ) $.
    fourierdlem109.16 $e |- S = ( iota f f Isom < , < ( ( 0 ... N ) , H ) ) $.
    fourierdlem109.17 $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( B - x ) / T )
       ) x. T ) ) ) $.
    fourierdlem109.18 $e |- J = ( y e. ( A (,] B ) |-> if ( y = B , A , y ) )
       $.
    fourierdlem109.19 $e |- I = ( x e. RR |-> sup ( { j e. ( 0 ..^ M ) | ( Q `
       j ) <_ ( J ` ( E ` x ) ) } , RR , < ) ) $.
    $( The integral of a piecewise continuous periodic function ` F ` is
       unchanged if the domain is shifted by any value ` X ` .  This lemma
       generalizes ~ fourierdlem92 where the integral was shifted by the exact
       period.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem109 $p |- ( ph -> S. ( ( A - X ) [,] ( B - X ) ) ( F ` x ) _d x
       = S. ( A [,] B ) ( F ` x ) _d x ) $=
      ( cc0 clt wbr cmin co cicc cv cfv citg wceq wa cr wcel adantr simpr elrpd
      cn cc wf caddc adantlr cfzo c1 cioo cres ccncf climc fourierdlem108 oveq2
      wn recnd subid1d sylan9eqr oveq12d itgeq1d simpll syl 0red neqned lttri5d
      simplr cneg subcld subnegd npcand eqtrd eqcomd cmpt cif resubcld renegcld
      eqid lt0neg1d biimpa wral cfz cmap crab wb fveq2 oveq1 fveq2d breq12d a1i
      mpteq2i eqtri simpld cpnf cz wrex cun cbvrabv cle csup pm2.61dan cbvralvw
      anbi2i rabbiia fourierdlem11 simp3d ltsub1dd fourierdlem54 simprd eqtr4di
      wiso nnncan2d oveq2d rexrd cxr pnfxr ltpnfd eliood cpr crn eleq1d rexbidv
      uneq2i breq1d supeq1i fourierdlem90 fourierdlem89 fourierdlem91 syl2anc
      cmul eqtr2d ) AVFUEVGVHZBDUEVIVJZEUEVIVJZVKVJZBVLZQVMZVNZBDEVKVJZUVPVNZVO
      ZAUVKVPZBDEFGHJLOQUAUBUEUFADVQVRZUVKUGVSAEVQVRZUVKUHVSUIUWAUEAUEVQVRZUVKU
      JVSAUVKVTWAUKAUBWBVRZUVKULVSAGUBFVMVRZUVKUMVSAVQWCQWDZUVKUNVSAUVOVQVRZUVO
      JWEVJZQVMZUVPVOZUVKUOWFALVLZVFUBWGVJZVRZQUWLGVMZUWLWHWEVJZGVMZWIVJZWJZUWR
      WCWKVJVRZUVKUPWFAUWNHUWSUWOWLVJVRZUVKUQWFAUWNUAUWSUWQWLVJVRZUVKURWFWMAUVK
      WOZVPZUEVFVOZUVTAUXEUVTUXCAUXEVPZBUVNUVRUVPUXFUVLDUVMEVKUXEAUVLDVFVIVJDUE
      VFDVIWNADADUGWPZWQWRUXEAUVMEVFVIVJEUEVFEVIWNAEAEUHWPZWQWRWSWTWFUXDUXEWOZV
      PZAUEVFVGVHZUVTAUXCUXIXAZUXJUEVFUXJAUWDUXLUJXBUXJXCUXJUEVFUXDUXIVTXDAUXCU
      XIXFXEAUXKVPZUVSBUVLUEXGZVIVJZUVMUXNVIVJZVKVJZUVPVNZUVQAUVSUXRVOUXKABUVRU
      XQUVPAUXQUVRAUXODUXPEVKAUXOUVLUEWEVJDAUVLUEADUEUXGAUEUJWPZXHUXSXIADUEUXGU
      XSXJXKAUXPUVMUEWEVJEAUVMUEAEUEUXHUXSXHUXSXIAEUEUXHUXSXJXKWSXLWTVSUXMBUVLU
      VMUDIMVLZIVMZPVMTVMZUYASVMZGVMVOUYCLUWMHXMZVMUYBQVMXNZUVMUVLVIVJZMOQUXTWH
      WEVJZIVMZPVMZUYCWHWEVJGVMVOUYCLUWMUAXMZVMUYIQVMXNZUCUXNUFAUVLVQVRZUXKADUE
      UGUJXOZVSAUVMVQVRUXKAEUEUHUJXOZVSUYFXQUXMUXNAUXNVQVRUXKAUEUJXPVSAUXKVFUXN
      VGVHAUEUJXRXSWAUDOWBVFUFVLZVMUVLVOOVLZUYOVMUVMVOVPZUWLUYOVMZUWPUYOVMZVGVH
      ZLVFUYPWGVJZXTZVPZUFVQVFUYPYAVJYBVJZYCZXMOWBUYQUXTUYOVMZUYGUYOVMZVGVHZMVU
      AXTZVPZUFVUDYCZXMUSOWBVUEVUKVUCVUJUFVUDVUCVUJYDUYOVUDVRVUBVUIUYQUYTVUHLMV
      UAUWLUXTVOZUYRVUFUYSVUGVGUWLUXTUYOYEVULUWPUYGUYOUWLUXTWHWEYFYGYHUUAUUBYIU
      UCYJYKAUCWBVRZUXKAVUMIUCUDVMVRZAVUMVUNVPVFUCYAVJRVGVGIUUJABDEUVLUVMFGIJKL
      NORUBUCUDUFUIUKULUMUYMUYNADEUEUGUHUJAUWBUWCDEVGVHADEFGLOUBUFUKULUMUUDUUEU
      UFZUSUTVAVBUUGYLZYLVSAVUNUXKAVUMVUNVUPUUHVSAUWGUXKUNVSAUWHUVOUYFWEVJZQVMZ
      UVPVOUXKAUWHVPZVURUWJUVPVUSVUQUWIQAVUQUWIVOUWHAUYFJUVOWEAUYFEDVIVJJAEDUEU
      XHUXGUXSUUKUIUUIUULVSYGUOXKWFAUXTVFUCWGVJVRZQUYAUYHWIVJZWJZVVAWCWKVJVRUXK
      AVUTVPZBCDEUVLUVMFGCUYBUYHUYIVIVJZWEVJUYIVVDWEVJWIVJCVLZVVDVIVJQUYBUYIWIV
      JWJZVMXMZIJVVDKLNOPQVVFRSUXTTUBUCUDUFUKUIAUWEVUTULVSZAUWFVUTUMVSZAUWGVUTU
      NVSZAUWHUWKVUTUOWFZAUWNUWTVUTUPWFZAUYLVUTUYMVSZAUVMUVLYMWIVJVRVUTAUVLYMUV
      MAUVLUYMUUMYMUUNVRAUUOYIUYNVUOAUVMUYNUUPUUQVSZUSRUVLUVMUURZUVONVLJUVIVJZW
      EVJZGUUSZVRZNYNYOZBUVNYCZYPVVOVVEVVPWEVJZVVRVRZNYNYOZCUVNYCZYPUTVWAVWEVVO
      VVTVWDBCUVNUVOVVEVOZVVSVWCNYNVWFVVQVWBVVRUVOVVEVVPWEYFUUTUVAYQUVBYKZVAVBV
      CVDAVUTVTZVVDXQZVVFXQVVGXQSBVQUXTGVMZUVOPVMTVMZYRVHZMUWMYCZVQVGYSZXMBVQUW
      OVWKYRVHZLUWMYCZVQVGYSZXMVEBVQVWNVWQVQVWMVWPVGVWLVWOMLUWMUXTUWLVOVWJUWOVW
      KYRUXTUWLGYEUVCYQUVDYJYKZUVEWFAVUTUYEVVBUYAWLVJVRUXKVVCBCDEUVLUVMFGHIJVVD
      KLNOPQRSUXTUBUCUDUYDTUFUKUIVVHVVIVVJVVKVVLAUWNUXAVUTUQWFVVMVVNUSVWGVAVBVC
      VDVWHVWIVWRUYDXQUVFWFAVUTUYKVVBUYHWLVJVRUXKVVCBCDEUVLUVMFGIJVVDKLNOPQRSUX
      TUAUBUCUDUYJTUFUKUIVVHVVIVVJVVKVVLAUWNUXBVUTURWFVVMVVNUSVWGVAVBVCVDVWHVWI
      VWRUYJXQUVGWFWMUVJUVHYTYT $.
  $}

  ${
    $d A f g j k w y $.  $d A g i j k w x y $.  $d A g i j m p y $.
    $d A f j k w y z $.  $d B f g j k w y $.  $d B g i j k w x y $.
    $d B g i j m p y $.  $d B f j k w y z $.  $d F i j w x $.  $d L w x $.
    $d M f j k w z $.  $d M i j k w x z $.  $d M i j m p $.
    $d Q f g j k l w y $.  $d Q g i j k l w x y $.  $d Q g i j l m p y $.
    $d Q f j k w y z $.  $d R w x $.  $d T f g j k l w y $.
    $d T g i j k l w x y $.  $d T g i j l m p y $.  $d T f j k w y z $.
    $d X f g j k w y $.  $d X g i j k w x y $.  $d X g i j m p y $.
    $d f j k ph w $.  $d i j k ph w x $.
    fourierdlem110.a $e |- ( ph -> A e. RR ) $.
    fourierdlem110.b $e |- ( ph -> B e. RR ) $.
    fourierdlem110.t $e |- T = ( B - A ) $.
    fourierdlem110.x $e |- ( ph -> X e. RR ) $.
    fourierdlem110.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = A /\ ( p ` m ) = B ) /\ A. i e. ( 0 ..^ m ) ( p ` i ) < ( p
       ` ( i + 1 ) ) ) } ) $.
    fourierdlem110.m $e |- ( ph -> M e. NN ) $.
    fourierdlem110.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem110.f $e |- ( ph -> F : RR --> CC ) $.
    fourierdlem110.fper $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F `
       x ) ) $.
    fourierdlem110.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem110.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem110.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    $( The integral of a piecewise continuous periodic function ` F ` is
       unchanged if the domain is shifted by any value ` X ` .  This lemma
       generalizes ~ fourierdlem92 where the integral was shifted by the exact
       period.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem110 $p |- ( ph -> S. ( ( A - X ) [,] ( B - X ) ) ( F ` x ) _d x
       = S. ( A [,] B ) ( F ` x ) _d x ) $=
      ( vw vy vl vg vf vj vk vz cc0 cmin co cpr cv cmul caddc wcel cz wrex cicc
      crn crab cun chash cfv c1 cfz clt wiso cio cr cdiv cfl cmpt cioc wceq cif
      cle cfzo csup cn wa wral cmap eqid oveq1 eleq1d rexbidv cbvrabv uneq2i wb
      wbr oveq2d a1i rabbiia fveq2i oveq1i isoeq5 ax-mp isoeq1 syl5bb cbviotavw
      cbvrexvw oveq2 oveq1d fveq2d oveq12d cbvmptv eqeq1 ifbieq2d fveq2 rabbidv
      id breq2d supeq1d fourierdlem109 ) ABUHCDEFGUPCNUQURZDNUQURZUSZUIUTZUJUTZ
      HVAURZVBURZFVGZVCZUJVDVEZUIYCYDVFURZVHZVIZVJVKZVLUQURZVMURZYOVNVNUKUTZVOZ
      UKVPHULIUMUNJUIVQYFDYFUQURZHVRURZVSVKZHVAURZVBURZVTZKYEYFUNUTZHVAURZVBURZ
      YJVCZUNVDVEZUIYMVHZVIZUOVQUMUTFVKZUOUTZUUFVKZUICDWAURZYFDWBZCYFWCZVTZVKZW
      DWRZUMUPMWEURZVHZVQVNWFZVTUUTLMYQJWGUPOUTZVKYCWBJUTZUVFVKYDWBWHIUTZUVFVKU
      VHVLVBURUVFVKVNWRIUPUVGWEURWIWHOVQUPUVGVMURWJURVHVTZNOPQRSTUAUBUCUDUEUFUG
      UVIWKUULBUTZUUHVBURZYJVCZUNVDVEZBYMVHYEUUKUVMUIBYMYFUVJWBZUUJUVLUNVDUVNUU
      IUVKYJYFUVJUUHVBWLWMWNWOWPYPUUMVJVKVLUQYOUUMVJYNUULYEYLUUKUIYMYLUUKWQYFYM
      VCYKUUJUJUNVDYGUUGWBZYIUUIYJUVOYHUUHYFVBYGUUGHVAWLWSWMXIWTXAWPZXBXCYTYRUU
      MVNVNULUTZVOZUKULYTYRUUMVNVNYSVOZYSUVQWBUVRYOUUMWBYTUVSWQUVPYRYOUUMVNVNYS
      XDXEYRUUMVNVNUVQYSXFXGXHUIBVQUUEUVJDUVJUQURZHVRURZVSVKZHVAURZVBURUVNYFUVJ
      UUDUWCVBUVNXSUVNUUCUWBHVAUVNUUBUWAVSUVNUUAUVTHVRYFUVJDUQXJXKXLXKXMXNUIUHU
      UQUUSUHUTZDWBZCUWDWCYFUWDWBZUURUWEYFUWDCYFUWDDXOUWFXSXPXNUOBVQUVEUUNUVJUU
      FVKZUUTVKZWDWRZUMUVCVHZVQVNWFUUOUVJWBZVQUVDUWJVNUWKUVBUWIUMUVCUWKUVAUWHUU
      NWDUWKUUPUWGUUTUUOUVJUUFXQXLXTXRYAXNYB $.
  $}

  ${
    $d A m n $.  $d B m $.  $d D i m y $.  $d D k m y $.  $d D i s t y $.
    $d D i s x y $.  $d F i n s t y $.  $d F k n t y $.  $d F i n s x y $.
    $d G i s x $.  $d L s t $.  $d L s x $.  $d M i j $.  $d M i m p $.
    $d M i s t y $.  $d M i s x y $.  $d Q i j $.  $d Q i p $.  $d Q i s t y $.
    $d Q i s x y $.  $d R s t $.  $d R s x $.  $d S k $.  $d T s x $.
    $d W i m p $.  $d W i s x y $.  $d X i j $.  $d X k m n y $.  $d X i m p $.
    $d X i n s t y $.  $d X i n s x y $.  $d i j ph $.  $d k m n ph y $.
    $d ph s t y $.  $d ph s x y $.
    fourierdlem111.a $e |- A = ( n e. NN0 |-> ( S. ( -u _pi (,) _pi ) ( ( F ` t
       ) x. ( cos ` ( n x. t ) ) ) _d t / _pi ) ) $.
    fourierdlem111.b $e |- B = ( n e. NN |-> ( S. ( -u _pi (,) _pi ) ( ( F ` t
       ) x. ( sin ` ( n x. t ) ) ) _d t / _pi ) ) $.
    fourierdlem111.s $e |- S = ( m e. NN |-> ( ( ( A ` 0 ) / 2 ) + sum_ n e. (
       1 ... m ) ( ( ( A ` n ) x. ( cos ` ( n x. X ) ) ) + ( ( B ` n ) x. ( sin
       ` ( n x. X ) ) ) ) ) ) $.
    fourierdlem111.d $e |- D = ( n e. NN |-> ( y e. RR |-> if ( ( y mod ( 2 x.
       _pi ) ) = 0 , ( ( ( 2 x. n ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( n +
       ( 1 / 2 ) ) x. y ) ) / ( ( 2 x. _pi ) x. ( sin ` ( y / 2 ) ) ) ) ) ) )
       $.
    fourierdlem111.p $e |- P = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = -u _pi /\ ( p ` m ) = _pi ) /\ A. i e. ( 0 ..^ m ) ( p ` i )
       < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem111.m $e |- ( ph -> M e. NN ) $.
    fourierdlem111.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem111.x $e |- ( ph -> X e. RR ) $.
    fourierdlem111.6 $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem111.fper $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F `
       x ) ) $.
    fourierdlem111.g $e |- G = ( x e. RR |-> ( ( F ` ( X + x ) ) x. ( ( D ` n )
       ` x ) ) ) $.
    fourierdlem111.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem111.r $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> R e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem111.l $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> L e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    fourierdlem111.t $e |- T = ( 2 x. _pi ) $.
    fourierdlem111.o $e |- O = ( m e. NN |-> { p e. ( RR ^m ( 0 ... m ) ) | ( (
       ( p ` 0 ) = ( -u _pi - X ) /\ ( p ` m ) = ( _pi - X ) ) /\ A. i e. ( 0
       ..^ m ) ( p ` i ) < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem111.14 $e |- W = ( i e. ( 0 ... M ) |-> ( ( Q ` i ) - X ) ) $.
    $( The fourier partial sum for ` F ` is the sum of two integrals, with the
       same integrand involving ` F ` and the Dirichlet Kernel ` D ` , but on
       two opposite intervals.  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fourierdlem111 $p |- ( ( ph /\ n e. NN ) -> ( S ` n ) = ( S. ( -u _pi (,) 0
       ) ( ( F ` ( X + s ) ) x. ( ( D ` n ) ` s ) ) _d s + S. ( 0 (,) _pi ) ( (
       F ` ( X + s ) ) x. ( ( D ` n ) ` s ) ) _d s ) ) $=
      ( vj cv cn wcel wa cfv cpi cioo co caddc cmul citg cc0 cmin wceq wi eleq1
      anbi2d fveq2 oveq2d adantr itgeq2dv eqeq12d imbi12d cr eqid cres cibl wss
      wf cmpt a1i cicc ioossicc cle pire ffvelrnd cc ax-resscn fssresd c1 ccncf
      wbr cxr simpr eqeltrd climc oveq1d eqeltrrd adantl adantlr ad2antlr recnd
      resubcld mulcld fvres eqcomd c2 fveq2d mpteq2dva cbvmptv oveq12d oveq2 wb
      cdiv syl2anc readdcld syl eqtrd 3eqtrd elioore fmptd syl3anc clt ad2antrr
      fvmptd eqtr2d eleqtrd cpnf vk cneg fveq1d ioossre feqresmpt cvol renegcli
      cdm ioombl elicc2i simp1bi ssriv sselda fssd cfzo rexri cfz fourierdlem15
      fourierdlem8 sstrid resabs1d eleqtrrd fourierdlem69 fourierdlem83 chvarvv
      iblss dirkerf itgioo cmo simpl ifeq12d eqtri oveq1 fourierdlem101 cbvitgv
      cif w3a elicc2 mpbid simp1d negcld pncan3d simp2d leadd2dd eqbrtrd simp3d
      csin breqtrd eliccd 3eqtrrd fvmpt2 ffvelrnda eliccre eqtrdi renegcld cmap
      wral fourierdlem2 simpld elmapi cvv reex ovex pm3.2i elmapg mpbird simprd
      mp1i sylan9eqr cuz 0zd nnzd 0red nnre nngt0 ltled eluz2 syl3anbrc eluzfz1
      cz eluzfz2 jca elfzofz fzofzp1 r19.21bi ltsub1dd syldan 3brtr4d ralrimiva
      nnncan2d picn 2timesi subnegi 3eqtr4i eqtr4di 2re remulcli eqeltri vtoclg
      jca32 addassd dirkerper adantll reseq1i resmpt ax-mp rexrd breq2d addcomd
      sylc ccom npcand ioogtlb ltadd2dd breq1d iooltub eliood fmptco constcncfg
      ssid cncfmptid mp2an addcncf ioosscn cncfmptssg cncfco feqmptd dirkercncf
      cncfss sselid cncff mulcncf csn crn wne fdm sseqtrrid ssdmres sylib gtned
      cdif eldifsn sylanbrc rnmptss eqidd leidd iccssred sstrdi resmptd rescncf
      cnlimci eqcomi addcld limciccioolb limccog fcompt mullimcf adantllr ltned
      limcicciooub 3eltr3d resabs1 fourierdlem110 subnegd itgeq1d 3eqtr3a pipos
      0re negpilt0 ltleii 0ltpnf pnfxr elioo2 mpbir3an fourierdlem105 0xr ltpnf
      id itgsplitioo ) AOVCZVDVEZVFZVXTKVGZUCVHUUBZVHVIVJZUBUCVCZVKVJZPVGZVYFVX
      TGVGZVGZVLVJZVMZUCVYDVNVIVJZVYKVMUCVNVHVIVJZVYKVMVKVJVYBVYCDVYEDVCZPVGZVY
      OUBVOVJZVYIVGZVLVJZVMZUCVYDUBVOVJZVHUBVOVJZVIVJZVYKVMZVYLAUUAVCZVDVEZVFZW
      UEKVGZDVYEVYPVYQWUEGVGZVGZVLVJZVMZVPZVQVYBVYCVYTVPZVQUUAOWUEVXTVPZWUGVYBW
      UMWUNWUOWUFVYAAWUEVXTVDVRVSWUOWUHVYCWULVYTWUEVXTKVTWUODVYEWUKVYSWUOWUKVYS
      VPVYOVYEVEWUOWUJVYRVYPVLWUOVYQWUIVYIWUEVXTGVTUUCWAWBWCWDWEWUGDEFVYEGKNOPW
      UEUBCAWFWFPWKZWUFUMWBVYEWGAPVYEWHZWIVEWUFAWUQBVYEBVCZPVGZWLWIABWFWFVYEPUM
      VYEWFWJAVYDVHUUDWMUUEABVYEVYDVHWNVJZWUSWFVYEWUTWJAVYDVHWOWMVYEUUFUUHZVEAV
      YDVHUUIWMAWURWUTVEZVFWFWFWURPAWUPWVBUMWBAWUTWFWURWUTWFWJADWUTWFVYOWUTVEZV
      YOWFVEZVYDVYOWPXDVYOVHWPXDVYDVHVYOVHWQUUGZWQUUJUUKZUULWMZUUMZWRAPWUTWHZBW
      UTWUSWLWIABWFWFWUTPUMWVGUUEAVYDVHHIJMNWVIRSUDUIUJUKAWFWSWUTPAWFWFWSPUMWFW
      SWJZAWTWMUUNZWVGXAZAMVCZVNSUUOVJZVEZVFZWVIWVMIVGZWVMXBVKVJZIVGZVIVJZWHZPW
      VTWHZWVTWSXCVJZWVPPWVTWUTWVPWVTWVQWVSWNVJWUTWVQWVSWOWVPVYDVHIWVMSVYDXEVEZ
      WVPVYDWVEUUPZWMVHXEVEWVPVHWQUUPWMAVNSUUQVJZWUTIWKWVOAVYDVHHIMNSUDUIUJUKUU
      RWBAWVOXFUUSUUTUVAZUPXGZWVPJWWBWVQXHVJWWAWVQXHVJZUQWVPWWAWWBWVQXHWWGXIUVB
      ZWVPRWWBWVSXHVJWWAWVSXHVJZURWVPWWAWWBWVSXHWWGXIUVBZUVCXJUVFXGWBUEUFAUBWFV
      EZWUFULWBUGUHAWUFXFUVDUVEVYBVYTDWUTVYSVMDWUTVYOWVIVGZVYRVLVJZVMZWUDVYBDVY
      DVHVYSVYDWFVEZVYBWVEWMZVHWFVEZVYBWQWMZVYBWVCVFZVYPVYRAWVCVYPWSVEVYAAWVCVF
      ZWFWSVYOPAWFWSPWKZWVCWVKWBWVCWVDAWVFXKZWRXLWXAVYRWXAWFWFVYQVYIVYAWFWFVYIW
      KZAWVCCGOVXTUHUVGZXMAWVCVYQWFVEVYAWXBVYOUBWXDAWWMWVCULWBXOXLWRXNXPUVHVYBD
      WUTVYSWWOWVCVYSWWOVPVYBWVCVYPWWNVYRVLWVCWWNVYPVYOWUTPXQXRXIXKWCVYBWWPCWUA
      WUBWNVJZUBCVCZVKVJZWVIVGZWXHVYIVGZVLVJZVMZWUDVYBDGHIJMNNWVIUCWUTVYFWVIVGZ
      VYFUBVOVJZVYIVGZVLVJZWLRSVXTUBCUDGOVDCWFWXHXSVHVLVJZUVIVJVNVPZXSVXTVLVJZX
      BVKVJZWXRYFVJZVXTXBXSYFVJZVKVJZWXHVLVJZUWGVGZWXRWXHXSYFVJUWGVGVLVJZYFVJZU
      VPZWLZWLNVDCWFWXSXSNVCZVLVJZXBVKVJZWXRYFVJZWYKWYCVKVJZWXHVLVJZUWGVGZWYGYF
      VJZUVPZWLZWLUHONVDWYJWYTVXTWYKVPZCWFWYIWYSXUAWXHWFVEZVFZWXSWYBWYNWYHWYRXU
      CWYAWYMWXRYFXUCWXTWYLXBVKXUCVXTWYKXSVLXUAXUBUVJZWAXIXIXUCWYFWYQWYGYFXUCWY
      EWYPUWGXUCWYDWYOWXHVLXUCVXTWYKWYCVKXUDXIXIXTXIUVKYAYBUVLUIUCDWUTWXQWWOVYF
      VYOVPZWXNWWNWXPVYRVLVYFVYOWVIVTXUEWXOVYQVYIVYFVYOUBVOUVMXTYCYBAISHVGVEZVY
      AUKWBASVDVEZVYAUJWBZAVYAXFAWWMVYAULWBZAWUTWSWVIWKVYAWVLWBAWVOWWAWWCVEVYAW
      WHXLAWVOJWWIVEVYAWWJXLAWVORWWKVEVYAWWLXLUVNVYBWUDCWUCWXIPVGZWXKVLVJZVMZCW
      XGXUKVMWXMWUDXULVPVYBUCCWUCVYKXUKVYFWXHVPZVYHXUJVYJWXKVLXUMVYGWXIPVYFWXHU
      BVKYDXTVYFWXHVYIVTYCUVOWMVYBCWUAWUBXUKAWUAWFVEZVYAAVYDUBWWQAWVEWMULXOZWBZ
      AWUBWFVEZVYAAVHUBWWSAWQWMZULXOZWBZVYBWXHWXGVEZVFZXUJWXKAXVAXUJWSVEVYAAXVA
      VFZWFWSWXIPAWXCXVAWVKWBXVCUBWXHAWWMXVAULWBZXVCXUBWUAWXHWPXDZWXHWUBWPXDZXV
      CXVAXUBXVEXVFUVQZAXVAXFXVCXUNXUQXVAXVGYEAXUNXVAXUOWBZAXUQXVAXUSWBZWUAWUBW
      XHUVRYGUVSZUVTZYHZWRXLXVBWXKXVBWFWFWXHVYIVYAWXEAXVAWXFXMAXVAXUBVYAXVKXLWR
      XNXPUVHVYBCWXGXUKWXLXVBXUJWXJWXKVLAXVAXUJWXJVPVYAXVCWXJXUJXVCWXIWUTVEWXJX
      UJVPXVCVYDVHWXIWWQXVCWVEWMWWSXVCWQWMXVLXVCVYDUBWUAVKVJZWXIWPAVYDXVMVPXVAA
      XVMVYDAUBVYDAUBULXNZAVHAVHXURXNZUWAZUWBXRWBXVCWUAWXHUBXVHXVKXVDXVCXUBXVEX
      VFXVJUWCUWDUWEXVCWXIUBWUBVKVJVHWPXVCWXHWUBUBXVKXVIXVDXVCXUBXVEXVFXVJUWFUW
      DXVCUBVHAUBWSVEZXVAXVNWBAVHWSVEXVAXVOWBUWBUWHUWIWXIWUTPXQYIXRXLXIWCUWJYJY
      KVYBWUDBWXGWURQVGZVMZBWUTXVRVMZVYLVYBWUDUCWUCVYFQVGZVMZXVSVYBUCWUCVYKXWAV
      YBVYFWUCVEZVFZXWAVYKXWDVYFWFVEZVYKWSVEZXWAVYKVPZXWCXWEVYBVYFWUAWUBYLZXKZX
      WDVYHVYJAXWCVYHWSVEZVYAAXWCVFZWFWSVYGPAWXCXWCWVKWBXWKUBVYFAWWMXWCULWBXWCX
      WEAXWHXKYHWRXLXWDVYJXWDWFWFVYFVYIVYAWXEAXWCWXFXMXWIWRXNXPUCWFVYKWSQQBWFUB
      WURVKVJZPVGZWURVYIVGZVLVJZWLZUCWFVYKWLZUOBUCWFXWOVYKWURVYFVPZXWMVYHXWNVYJ
      VLXWRXWLVYGPWURVYFUBVKYDZXTZWURVYFVYIVTYCYBUVLZUWKZYGXRWCVYBXWBUCWXGXWAVM
      XVSVYBUCWUAWUBXWAXUPXUTVYBVYFWXGVEZVFWFWSVYFQVYBWFWSQWKZXXCVYBBWFXWOWSQVY
      BWURWFVEZVFZXWMXWNAXXEXWMWSVEZVYAAXXEVFZWFWSXWLPAWXCXXEWVKWBZXXHUBWURAWWM
      XXEULWBZAXXEXFZYHZWRZXLXXFXWNVYBWFWFWURVYIVYAWXEAWXFXKUWLXNXPZUOYMZWBAXXC
      XWEVYAAXXCVFXUNXUQXXCXWEAXUNXXCXUOWBAXUQXXCXUSWBAXXCXFWUAWUBVYFUWMYNXLWRU
      VHUCBWXGXWAXVRVYFWURQVTUVOUWNYJVYBXVSBWUAUBUUBZVOVJZWUBXXPVOVJZWNVJZXVRVM
      ZXVTVYBXXTXVSVYBBWUAWUBTUAJWVMUAVGZVYIVGZVLVJZWUBWUAVOVJZMNQRWVRUAVGZVYIV
      GZVLVJZSXXPUDXUPXUTXYDWGZVYBUBXUIUWOUTXUHAUASTVGVEZVYAAXYIUAWFWWFUWPVJZVE
      ZVNUAVGWUAVPZSUAVGWUBVPZVFZXYAXYEYOXDZMWVNUWQZVFVFZAXYKXYNXYPAXYKWWFWFUAW
      KZAMWWFWVQUBVOVJZWFUAAWVMWWFVEZVFWVQUBAWWFWFWVMIAIXYJVEZWWFWFIWKZAYUAVNIV
      GZVYDVPZSIVGZVHVPZVFZWVQWVSYOXDZMWVNUWQZVFZAXUFYUAYUJVFZUKAXUGXUFYUKYEUJV
      YDVHHIMNSUDUIUWRYIUVSZUWSIWFWWFUWTYIZUWLAWWMXYTULWBXOZVAYMWFUXAVEZWWFUXAV
      EZVFXYKXYRYEAYUOYUPUXBVNSUUQUXCUXDWFWWFUAUXAUXAUXEUXHUXFAXYLXYMAMVNXYSWUA
      WWFUAWFUAMWWFXYSWLZVPAVAWMZAWVMVNVPZVFWVQVYDUBVOYUSAWVQYUCVYDWVMVNIVTAYUD
      YUFAYUGYUIAYUAYUJYULUXGZUWSZUWSUXIXIASVNUXJVGVEZVNWWFVEAVNUXTVESUXTVEVNSW
      PXDZYVBAUXKASUJUXLAXUGYVCUJXUGVNSXUGUXMSUXNSUXOUXPYIVNSUXQUXRZVNSUXSYIXUO
      YQAMSXYSWUBWWFUAWFYURAWVMSVPZVFWVQVHUBVOYVEAWVQYUEVHWVMSIVTAYUDYUFYVAUXGU
      XIXIAYVBSWWFVEYVDVNSUYAYIXUSYQUYBAXYOMWVNWVPXYSWVSUBVOVJZXYAXYEYOWVPWVQWV
      SUBWVPWWFWFWVMIAYUBWVOYUMWBZWVOXYTAWVMVNSUYCXKZWRZWVPWWFWFWVRIYVGWVOWVRWW
      FVEAVNSWVMUYDXKZWRZAWWMWVOULWBZAYUHMWVNAYUGYUIYUTUXGUYEUYFWVPXYTXYSWFVEZX
      YAXYSVPYVHAWVOXYTYVMYVHYUNUYGZMWWFXYSWFUAVAUWKYGZWVPVBWVRVBVCZIVGZUBVOVJZ
      YVFWWFUAWFUAVBWWFYVRWLZVPWVPUAYUQYVSVAMVBWWFXYSYVRWVMYVPVPWVQYVQUBVOWVMYV
      PIVTXIYBUVLWMYVPWVRVPZYVRYVFVPWVPYVTYVQWVSUBVOYVPWVRIVTXIXKYVJWVPWVSUBYVK
      YVLXOZYQZUYHZUYIUYTAXUGXYIXYQYEUJWUAWUBTUAMNSUDUTUWRYIUXFWBZXXOXXFWURXYDV
      KVJZQVGZWURLVKVJZQVGZXVRAYWFYWHVPVYAXXEAYWEYWGQAXYDLWURVKAXYDVHVYDVOVJZLA
      VHVYDUBXVOXVPXVNUYJWXRVHVHVKVJLYWIVHUYKUYLUSVHVHUYKUYKUYMUYNUYOZWAXTYPXXF
      XVRXWOUBYWGVKVJZPVGZYWGVYIVGZVLVJZYWHXXFXXEXWOWSVEXVRXWOVPVYBXXEXFZXXNBWF
      XWOWSQUOUWKYGXXFXWMYWLXWNYWMVLAXXEXWMYWLVPVYAXXHYWLXWLLVKVJZPVGZXWMXXHYWK
      YWPPXXHYWPYWKXXHUBWURLAXVQXXEXVNWBXXHWURXXKXNALWSVEZXXEALLWFVEZALWXRWFUSX
      SVHUYPWQUYQUYRZWMXNZWBVUAXRXTXXHXWLWFVEZAYXBVFZYWQXWMVPZXXLXXHAYXBAXXEUVJ
      XXLUYBAXWEVFZVYFLVKVJZPVGZVYFPVGZVPZVQZYXCYXDVQUCXWLWFVYFXWLVPZYXEYXCYXIY
      XDYXKXWEYXBAVYFXWLWFVRVSYXKYXGYWQYXHXWMYXKYXFYWPPVYFXWLLVKUVMXTVYFXWLPVTW
      DWEXXHYWGPVGZWUSVPZVQZYXJBUCXWRXXHYXEYXMYXIXWRXXEXWEAWURVYFWFVRVSXWRYXLYX
      GWUSYXHXWRYWGYXFPWURVYFLVKUVMXTWURVYFPVTWDWEUNUVEUYSVUJYRXLVYAXXEXWNYWMVP
      AVYAXXEVFYWMXWNBCGLOVXTUHUSVUBXRVUCYCXXFYWHYWNXXFUCYWGVYKYWNWFQWSQXWQVPXX
      FXXAWMVYFYWGVPZVYKYWNVPXXFYXOVYHYWLVYJYWMVLYXOVYGYWKPVYFYWGUBVKYDXTVYFYWG
      VYIVTYCXKXXFWURLYWOYWSXXFYWTWMYHZXXFYWLYWMAXXEYWLWSVEVYAXXHWFWSYWKPXXIXXH
      UBYWGXXJXXHWURLXXKYWSXXHYWTWMYHYHWRXLXXFYWMXXFWFWFYWGVYIVYAWXEAXXEWXFXMYX
      PWRXNXPYQXRUWJYJVYBWVOVFZQXYAXYEVIVJZWHZUCYXRVYKWLZYXRWSXCVJZYXQYXSXWQYXR
      WHZYXTYXSYYBVPYXQQXWQYXRXXAVUDWMYXRWFWJZYYBYXTVPXYAXYEUUDZUCWFYXRVYKVUEVU
      FUWNZYXQUCVYHVYJYXRAWVOUCYXRVYHWLZYYAVEVYAWVPWWBBYXRXWLWLZVUKZYYFYYAWVPUC
      BYXRWVTVYGWUSVYHYYGWWBWVPVYFYXRVEZVFZWVQWVSVYGWVPWVQXEVEZYYIWVPWVQYVIVUGZ
      WBWVPWVSXEVEZYYIWVPWVSYVKVUGZWBAYYIVYGWFVEZWVOAYYIVFZUBVYFAWWMYYIULWBYYIX
      WEAVYFXYAXYEYLZXKYHZXLWVPWURYXRVEZVFZWVQXWLYOXDZVQYYJWVQVYGYOXDZVQBUCXWRY
      YTYYJUUUAUUUBXWRYYSYYIWVPWURVYFYXRVRVSZXWRXWLVYGWVQYOXWSVUHWEYYTWVQUBXYAV
      KVJZXWLYOWVPWVQUUUDVPZYYSWVPUUUDXYAUBVKVJXYSUBVKVJWVQWVPUBXYAAXVQWVOXVNWB
      ZWVPXYAWVPXYAXYSWFYVOYVNXGZXNVUIWVPXYAXYSUBVKYVOXIWVPWVQUBWVPWVQYVIXNUUUF
      VULUWJZWBYYTXYAWURUBWVPXYAWFVEZYYSUUUGWBYYSXXEWVPWURXYAXYEYLZXKZAWWMWVOYY
      SULYPZYYTXYAXEVEZXYEXEVEZYYSXYAWURYOXDWVPUUUMYYSWVPXYAUUUGVUGZWBZWVPUUUNY
      YSWVPXYEWVPXYEYVFWFYWBYWAXGZVUGZWBZWVPYYSXFZXYAXYEWURVUMYNVUNUWEZUVEYYTXW
      LWVSYOXDZVQYYJVYGWVSYOXDZVQBUCXWRYYTYYJUUVBUUVCUUUCXWRXWLVYGWVSYOXWSVUOWE
      YYTXWLUBXYEVKVJZWVSYOYYTWURXYEUBUUUKWVPXYEWFVEZYYSUUUQWBUUULYYTUUUMUUUNYY
      SWURXYEYOXDUUUPUUUSUUUTXYAXYEWURVUPYNVUNWVPUUVDWVSVPZYYSWVPUUVDXYEUBVKVJY
      VFUBVKVJWVSWVPUBXYEUUUFWVPXYEUUUQXNVUIWVPXYEYVFUBVKYWBXIWVPWVSUBWVPWVSYVK
      XNUUUFVULYKZWBUWHZUVEVUQYYGUCYXRVYGWLVPWVPBUCYXRXWLVYGXWSYBWMAWWBBWVTWUSW
      LVPWVOABWFWFWVTPUMWVTWFWJAWVQWVSUUDZWMZUUEWBWURVYGPVTZVURWVPYXRWVTWSYYGWW
      BWVPBWSWSYXRWVTXWLBWSXWLWLZUUVLWGAUUVLWSWSXCVJZVEZWVOABUBWURWSABWSUBWSWSW
      SWJZAWSVUTZWMZXVNUUVQVUSBWSWURWLUUVMVEZAUUVOUUVOUUVRUUVPUUVPBWSWSVVAVVBWM
      VVCWBZYXRWSWJWVPXYAXYEVVDWMWVTWSWJWVPWVQWVSVVDWMYYTWVQWVSXWLWVPYYKYYSYYLW
      BWVPYYMYYSYYNWBAYYSYXBWVOAYYSVFUBWURAWWMYYSULWBYYSXXEAUUUJXKZYHXLZUUVAUUV
      HVUQZVVEUPVVFXJXLVYAUCYXRVYJWLYYAVEAWVOVYAUCWFWSYXRWSVYJUCWFVYJWLZUUWCWGV
      YAVYIUUWCWFWSXCVJZVYAUCWFWFVYIWXFVVGVYAWFWFXCVJZUUWDVYIWVJUUVOUUWEUUWDWJW
      TUUVPWFWFWSVVIVVBCGOVXTUHVVHZVVJZXJYYCVYAYYDWMUUVOVYAUUVPWMVYAYYIVFWFWSVY
      FVYIVYAWFWSVYIWKZYYIVYAVYIUUWDVEUUWHUUWGWFWSVYIVVKYIZWBYYIXWEVYAYYQXKWRVV
      EXMVVLXGZYXQXYCUCYXRVYFBYXRXWMWLZVGZVYFVYIYXRWHZVGZVLVJZWLZXYAXHVJYXSXYAX
      HVJYXQUCYXRJXYBXYAUUWKUUWMUUWPAWVOYXRWSUUWKWKVYAWVPBYXRXWMWSUUWKAYYSXXGWV
      OAYYSXXEXXGUUVTXXMUYGXLUUWKWGYMXLZYXQYXRWFWSUUWMYXQWFWFYXRVYIVYAWXEAWVOWX
      FXMYYCYXQYYDWMXAWVJYXQWTWMUUNZUUWPWGZAWVOJUUWKXYAXHVJZVEVYAWVPJYYHXYAXHVJ
      UUWTWVPXYAWVQJYYGWWBWVPXWLWWBUUHZWVQVVMVWAZVEZBYXRUWQYYGVVNZUUXBWJWVPUUXC
      BYXRYYTXWLUUXAVEZXWLWVQVVOUUXCYYTXWLWVTUUXAUUWBAWVTUUXAVPWVOYYSAUUXAWVTAW
      VTPUUHZWJUUXAWVTVPAWFWVTUUXFUUVIAWXCUUXFWFVPWVKWFWSPVVPYIVVQWVTPVVRVVSXRY
      PYSZYYTWVQXWLWVPWVQWFVEYYSYVIWBUUVAVVTXWLUUXAWVQVWBVWCUYIBYXRXWLUUXBYYGYY
      GWGZVWDYIWVPWVQBXYAXYEWNVJZXWLWLZXYAXHVJZYYGXYAXHVJZWVPWVQXYAUUXJVGZUUXKW
      VPUUXMUUUDWVQWVPBXYAXWLUUUDUUXIUUXJWFWVPUUXJVWEZWURXYAVPXWLUUUDVPWVPWURXY
      AUBVKYDXKWVPXYAXYEXYAUUUGUUUQUUUGWVPXYAUUUGVWFWVPXYAXYEUUUGUUUQYWCUXPZUWI
      ZWVPWVQUUUDWFUUUHYVIXJYQWVPWVQUUUDUUUHXRYRWVPUUXIXYAWSUUXJWVPUUVLUUXIWHZU
      UXJUUXIWSXCVJZWVPBWSUUXIXWLWVPUUXIWFWSWVPXYAXYEUUUGUUUQVWGZWTVWHZVWIWVPUU
      XIWSWJUUVNUUXQUUXRVEUUXTUUVSWSWSUUXIUUVLVWJVUJXJZUUXPVWKXGWVPUUXLUUXJYXRW
      HZXYAXHVJUUXKWVPYYGUUYBXYAXHYYGUUYBVPWVPUUYBYYGYXRUUXIWJZUUYBYYGVPXYAXYEW
      OZBUUXIYXRXWLVUEVUFVWLWMZXIWVPXYAXYEUUXJUUUGUUUQYWCWVPBUUXIXWLWSUUXJWVPWU
      RUUXIVEZVFZUBWURAXVQWVOUUYFXVNYPUUYGWURUUYGUUUIUUVEUUYFXXEWVPUUUIUUYFUUUG
      WBWVPUUVEUUYFUUUQWBWVPUUYFXFXYAXYEWURUWMYNXNVWMUUXJWGYMZVWNYRYSUQVWOWVPYY
      HUUWKXYAXHWVPYYHCYXRWXHYYGVGZWWBVGZWLZUUWKWVPWVTWSWWBWKZYXRWVTYYGWKYYHUUY
      KVPAUUYLWVOAWFWSWVTPWVKUUVJXAWBWVPBYXRXWLWVTYYGUUWBUUXHYMCWWBYYGYXRWVTWSV
      WPYGWVPUUYKCYXRXUJWLUUWKWVPCYXRUUYJXUJWVPWXHYXRVEZVFZUUYJWXIWWBVGZXUJAUUY
      MUUYJUUYOVPWVOAUUYMVFZUUYIWXIWWBUUYPBWXHXWLWXIYXRYYGWFUUYPYYGVWEWURWXHVPZ
      XWLWXIVPUUYPWURWXHUBVKYDZXKAUUYMXFZUUYPUBWXHAWWMUUYMULWBUUYPYXRWFWXHYYDUU
      YSVVJZYHZYQXTXLUUYNWXIWVTVEUUYOXUJVPUUYNWVQWVSWXIWVPYYKUUYMYYLWBWVPYYMUUY
      MYYNWBAUUYMWXIWFVEWVOUVUAXLUUYNWVQUUUDWXIYOWVPUUUEUUYMUUUHWBUUYNXYAWXHUBW
      VPUUUIUUYMUUUGWBAUUYMXUBWVOUUYTXLZAWWMWVOUUYMULYPZUUYNUUUMUUUNUUYMXYAWXHY
      OXDWVPUUUMUUYMUUUOWBZWVPUUUNUUYMUUURWBZWVPUUYMXFZXYAXYEWXHVUMYNVUNUWEUUYN
      WXIUUVDWVSYOUUYNWXHXYEUBUVUBWVPUUVEUUYMUUUQWBUVUCUUYNUUUMUUUNUUYMWXHXYEYO
      XDUVUDUVUEUVUFXYAXYEWXHVUPYNVUNWVPUUVFUUYMUUVGWBUWHVUQWXIWVTPXQYIYJYABCYX
      RXWMXUJUUYQXWLWXIPUUYRXTYBUYOYJZXIYSXLYXQXYBVYIUUXIWHZXYAXHVJZUUWMXYAXHVJ
      ZYXQXYBXYAUVUHVGZUVUIAWVOXYBUVUKVPVYAWVPUVUKXYBWVPXYAUUXIVEZUVUKXYBVPUUXP
      XYAUUXIVYIXQYIXRXLYXQUUXIXYAWFUVUHYXQUUXIWFWJZVYIUUWEVEZUVUHUUXIWFXCVJVEA
      WVOUVUMVYAUUXSXLZVYAUVUNAWVOUUWFXMWFWFUUXIVYIVWJVUJZAWVOUVULVYAUUXPXLVWKX
      GYXQUVUJUVUHYXRWHZXYAXHVJZUVUIAWVOUVUJUVURVPVYAWVPUUWMUVUQXYAXHWVPUVUQUUW
      MWVPVYIYXRUUXIUUYCWVPUUYDWMUVAXRXIXLYXQXYAXYEUVUHAWVOUUUIVYAUUUGXLZAWVOUU
      VEVYAUUUQXLZAWVOXYOVYAYWCXLZYXQWFWSUUXIVYIVYAUUWHAWVOUUWIXMUVUOXAZVWNYRYS
      VWQYXQUUWPYXSXYAXHYXQYXSYXTUUWPYYEYXQUCYXRVYKUUWOYXQYYIVFZUUWOVYKUVVCUUWL
      VYHUUWNVYJVLAWVOYYIUUWLVYHVPVYAYYJBVYFXWMVYHYXRUUWKWSYYJUUWKVWEXWRXWMVYHV
      PYYJXWTXKWVPYYIXFAYYIXWJWVOYYPWFWSVYGPAWXCYYIWVKWBYYRWRXLYQVWRYYIUUWNVYJV
      PYXQVYFYXRVYIXQXKYCXRYAYRZXIYSZYXQXYGUUWPXYEXHVJYXSXYEXHVJYXQUCYXRRXYFXYE
      UUWKUUWMUUWPUUWQUUWRUUWSAWVORUUWKXYEXHVJZVEVYAWVPRYYHXYEXHVJUVVFWVPXYEWVS
      RYYGWWBWVPXWLUUXAWVSVVMVWAZVEZBYXRUWQUUXDUVVGWJWVPUVVHBYXRYYTUUXEXWLWVSVV
      OUVVHUUXGYYTXWLWVSUUWAUUVHVWSXWLUUXAWVSVWBVWCUYIBYXRXWLUVVGYYGUUXHVWDYIWV
      PXYEUUXJVGZUUXJXYEXHVJZWVSYYGXYEXHVJZWVPUUXIXYEWSUUXJUUYAWVPXYAXYEXYEUUUG
      UUUQUUUQUUXOWVPXYEUUUQVWFUWIZVWKWVPUVVIUUVDWVSWVPBXYEXWLUUVDUUXIUUXJWFUUX
      NWURXYEVPXWLUUVDVPWVPWURXYEUBVKYDXKUVVLWVPUBXYEYVLUUUQYHYQUUVGYJWVPUVVKUU
      YBXYEXHVJUVVJWVPYYGUUYBXYEXHUUYEXIWVPXYAXYEUUXJUUUGUUUQYWCUUYHVWTYRVXAURV
      WOWVPYYHUUWKXYEXHUVUGXIYSXLYXQXYEUVUHVGZUVUHXYEXHVJZXYFUUWMXYEXHVJZYXQUUX
      IXYEWFUVUHUVUPAWVOXYEUUXIVEZVYAUVVLXLZVWKYXQUVVPUVVMXYFVPUVVQXYEUUXIVYIXQ
      YIYXQUVVNUVUQXYEXHVJZUVVOYXQUVVRUVVNYXQXYAXYEUVUHUVUSUVUTUVVAUVVBVWTXRYXQ
      UVUQUUWMXYEXHUUYCUVUQUUWMVPYXQUUYDVYIYXRUUXIVXBUXHXIYJVXAVWQYXQUUWPYXSXYE
      XHUVVDXIYSZVXCXRAXXTXVTVPVYAABXXSWUTXVRAXXQVYDXXRVHWNAXXQWUAUBVKVJVYDAWUA
      UBAWUAXUOXNXVNVXDAVYDUBXVPXVNVULYJAXXRWUBUBVKVJVHAWUBUBAWUBXUSXNXVNVXDAVH
      UBXVOXVNVULYJYCVXEWBYJVYBBVYEXVRVMUCVYEXWAVMXVTVYLBUCVYEXVRXWAWURVYFQVTUV
      OVYBBVYDVHXVRWWRWWTVYBWVBVFWFWSWURQVYBXXDWVBXXOWBAWVBXXEVYAWVHXLWRUVHVYBU
      CVYEXWAVYKVYBVYFVYEVEZVFZXWEXWFXWGUVVTXWEVYBVYFVYDVHYLZXKZUVWAVYHVYJAUVVT
      XWJVYAAUVVTVFZWFWSVYGPAWXCUVVTWVKWBUVWDUBVYFAWWMUVVTULWBUVVTXWEAUVWBXKYHW
      RXLUVWAVYJUVWAWFWFVYFVYIVYAWXEAUVVTWXFXMUVWCWRXNXPZXXBYGWCVXFYKYKVYBUCVYD
      VNVHVYKVYBVHWWTUWOWWTVYBVYDVHVNWWRWWTVYBUXMZVYDVNWPXDVYBVYDVNWVEVXHVXIVXJ
      WMVNVHWPXDVYBVNVHVXHWQVXGVXJWMUWIUVWEVYBUCVYMVYDVNWNVJZVYKWSVYMUVWGWJVYBV
      YDVNWOWMVYMWVAVEVYBVYDVNUUIWMVYBVYFUVWGVEZVFZVYHVYJAUVWHXWJVYAAUVWHVFZWFW
      SVYGPAWXCUVWHWVKWBUVWJUBVYFAWWMUVWHULWBUVWHXWEAUVWHWWQVNWFVEZUVWHXWEWWQUV
      WHWVEWMUVWHUXMUVWHVXRVYDVNVYFUWMYNZXKYHWRXLUVWIVYJUVWIWFWFVYFVYIVYAWXEAUV
      WHWXFXMUVWHXWEVYBUVWLXKZWRXNXPZVYBUCUVWGVYKWLUCUVWGXWAWLWIVYBUCUVWGVYKXWA
      UVWIXWAVYKUVWIXWEXWFXWGUVWMUVWNXXBYGXRYAVYBUCWUAWUBVYDVNTUAXYCXYDMNQXYGSU
      DUTXYHXUHYWDXXOVYBXWEVFZVYFXYDVKVJZQVGYXFQVGUBYXFVKVJZPVGZYXFVYIVGZVLVJZX
      WAUVWOUVWPYXFQAUVWPYXFVPVYAXWEAXYDLVYFVKYWJWAYPXTUVWOBYXFXWOUVWTWFQWSQXWP
      VPUVWOUOWMWURYXFVPZXWOUVWTVPUVWOUVXAXWMUVWRXWNUVWSVLUVXAXWLUVWQPWURYXFUBV
      KYDXTWURYXFVYIVTYCXKAXWEYXFWFVEVYAYXEVYFLAXWEXFZYWSYXEYWTWMYHZXLZUVWOUVWR
      UVWSAXWEUVWRWSVEVYAYXEWFWSUVWQPAWXCXWEWVKWBYXEUBYXFAWWMXWEULWBZUVXCYHWRXL
      UVWOUVWSUVWOWFWFYXFVYIVYAWXEAXWEWXFXMUVXDWRXNXPZYQUVWOUVWTVYKXWAUVWOUVWRV
      YHUVWSVYJVLAXWEUVWRVYHVPVYAYXEUVWRVYGLVKVJZPVGZVYHYXEUVWQUVXGPYXEUVXGUVWQ
      YXEUBVYFLAXVQXWEXVNWBYXEVYFUVXBXNAYWRXWEYXAWBVUAXRXTYXEYYOAYYOVFZUVXHVYHV
      PZYXEUBVYFUVXEUVXBYHZYXEAYYOAXWEUVJUVXKUYBYXNUVXIUVXJVQBVYGWFWURVYGVPZXXH
      UVXIYXMUVXJUVXLXXEYYOAWURVYGWFVRVSUVXLYXLUVXHWUSVYHUVXLYWGUVXGPWURVYGLVKU
      VMXTUUVKWDWEUNUYSVUJYJXLVYAXWEUVWSVYJVPAUCCGLOVXTUHUSVUBVUCYCZUVWOXWAVYKU
      VWOXWEXWFXWGVYBXWEXFUVWOUVWTVYKWSUVXMUVXFXJZXXBYGXRYJYKZUUWJUVVEUVVSWWRVN
      VYDYTVIVJVEZVYBUVXPUVWKVYDVNYOXDZVNYTYOXDZVXHVXIVXKWWDYTXEVEZUVXPUVWKUVXQ
      UVXRUVQYEWWEVXLVYDYTVNVXMVVBVXNWMVXOXGUVFVYBUCVYNVYKWLUCVYNXWAWLWIVYBUCVY
      NVYKXWAVYBVYFVYNVEZVFZXWAVYKUVYAXWEXWFXWGUVXTXWEVYBVYFVNVHYLXKZVYBUVXTXWE
      XWFUVYBUVXNUYGXXBYGXRYAVYBUCVYNVNVHWNVJZXWAWSVYNUVYCWJVYBVNVHWOWMVYNWVAVE
      VYBVNVHUUIWMVYBVYFUVYCVEZVFWFWSVYFQVYBXXDUVYDXXOWBAUVYDXWEVYAAUVYDVFZUVWK
      WWSUVYDXWEUVYEUXMWWSUVYEWQWMAUVYDXFVNVHVYFUWMYNXLWRVYBUCWUAWUBVNVHTUAXYCX
      YDMNQXYGSUDUTXYHXUHYWDXXOUVXOUUWJUVVEUVVSUVWFVYBVNYTVHVNXEVEVYBVXPWMUVXSV
      YBVXLWMWWTVNVHYOXDVYBVXGWMWWSVHYTYOXDVYBWQVHVXQUXHVUQVXOUVFXGVXSYJ $.
  $}

  ${
    $d A j k l m n $.  $d B j k l m n $.  $d C a s t $.  $d C m s t $.
    $d C m s x $.  $d D i k m n s x y $.  $d E s $.  $d F a b e g i j s t z $.
    $d F a c g j s t y $.  $d F b g i j k l m s t z $.  $d F b e i j m n s u $.
    $d F a b e g j q s z $.  $d F a b e g i r s t z $.  $d F b e j u v $.
    $d F a b e i j s t u w z $.  $d F c g j k m s x y $.  $d I s $.
    $d L a b e g i r s t z $.  $d L a c g r s t z $.
    $d L b g i k l m r s t z $.  $d L b e i m n s $.  $d L a b e g q r s z $.
    $d L a b e i s t w z $.  $d M a f h i j s t y $.  $d M f h i j m s t y $.
    $d M i j m n s u x $.  $d M i j n p y $.  $d N a b i j s t u w z $.
    $d N a f h i j s t y $.  $d N b i j m n s u $.  $d N i j n p y $.
    $d N a b j q s z $.  $d N b j u v $.  $d N f h i j m s x y $.
    $d Q a f h i j s t y $.  $d Q f h i j k m s t y $.  $d Q i j k m n s x y $.
    $d Q i j k n p y $.  $d Q a i j s t u $.  $d R a b e g i r s t z $.
    $d R a c g r s t z $.  $d R b g i k l m r s t z $.  $d R b e i m n s $.
    $d R a b e g q r s z $.  $d R a b e i s t w z $.  $d T a c f j s t y $.
    $d T a e h i j s t y $.  $d T c f j k m s t y $.  $d T e i j m n s u x $.
    $d T i j k n p y $.  $d U a s t $.  $d U m s t $.  $d U m s x $.
    $d V a b i j s t u w z $.  $d V a f h i j s t $.  $d V b i j k m n s $.
    $d V i j k n p $.  $d V a b j q s z $.  $d V b j u v $.
    $d V f h i j k m s x $.  $d X a b e g i j s t z $.  $d X a c f j s t y $.
    $d X b g i j k l m s t z $.  $d X b e i j m n s u $.  $d X i j k n p y $.
    $d X a b e g j q s z $.  $d X a b e g i r s t z $.  $d X b e j u v $.
    $d X a b e i j s t u w z $.  $d X c f j k m s x y $.  $d Z m $.
    $d a b d i j s t z $.  $d a b g i j l s t z $.  $d a b e i o r s t z $.
    $d a b e i j ph s t u w z $.  $d c d f j k m s t y $.
    $d c k m o r s t z $.  $d d j k q s z $.  $d d f i j k m s x y $.
    $d f h i j k m ph s t y $.  $d g h i j k m s t y $.  $d l m o r s t z $.
    $d l m n ph s u $.  $d l m ph s t u w z $.  $d o q r s z $.  $d ph q s z $.
    $d ph u v x $.
    fourierdlem112.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem112.d $e |- D = ( m e. NN |-> ( y e. RR |-> if ( ( y mod ( 2 x.
       _pi ) ) = 0 , ( ( ( 2 x. m ) + 1 ) / ( 2 x. _pi ) ) , ( ( sin ` ( ( m +
       ( 1 / 2 ) ) x. y ) ) / ( ( 2 x. _pi ) x. ( sin ` ( y / 2 ) ) ) ) ) ) )
       $.
    fourierdlem112.p $e |- P = ( n e. NN |-> { p e. ( RR ^m ( 0 ... n ) ) | ( (
       ( p ` 0 ) = -u _pi /\ ( p ` n ) = _pi ) /\ A. i e. ( 0 ..^ n ) ( p ` i )
       < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem112.m $e |- ( ph -> M e. NN ) $.
    fourierdlem112.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem112.n $e |- N = ( ( # ` ( { ( -u _pi + X ) , ( _pi + X ) } u. {
       y e. ( ( -u _pi + X ) [,] ( _pi + X ) ) | E. k e. ZZ ( y + ( k x. T ) )
       e. ran Q } ) ) - 1 ) $.
    fourierdlem112.v $e |- V = ( iota f f Isom < , < ( ( 0 ... N ) , ( { ( -u
       _pi + X ) , ( _pi + X ) } u. { y e. ( ( -u _pi + X ) [,] ( _pi + X ) ) |
       E. k e. ZZ ( y + ( k x. T ) ) e. ran Q } ) ) ) $.
    fourierdlem112.x $e |- ( ph -> X e. RR ) $.
    fourierdlem112.xran $e |- ( ph -> X e. ran V ) $.
    fourierdlem112.t $e |- T = ( 2 x. _pi ) $.
    fourierdlem112.fper $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F `
       x ) ) $.
    fourierdlem112.fcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( F |` ( ( Q ` i )
       (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) -cn->
       CC ) ) $.
    fourierdlem112.c $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> C e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) ) $.
    fourierdlem112.u $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> U e. ( ( F |` ( ( Q
       ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) ) $.
    fourierdlem112.fdvcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( ( RR _D F ) |`
       ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1
       ) ) ) -cn-> CC ) ) $.
    fourierdlem112.e $e |- ( ph -> E e. ( ( ( RR _D F ) |` ( -oo (,) X ) )
       limCC X ) ) $.
    fourierdlem112.i $e |- ( ph -> I e. ( ( ( RR _D F ) |` ( X (,) +oo ) )
       limCC X ) ) $.
    fourierdlem112.l $e |- ( ph -> L e. ( ( F |` ( -oo (,) X ) ) limCC X ) ) $.
    fourierdlem112.r $e |- ( ph -> R e. ( ( F |` ( X (,) +oo ) ) limCC X ) ) $.
    fourierdlem112.a $e |- A = ( n e. NN0 |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x
       ) x. ( cos ` ( n x. x ) ) ) _d x / _pi ) ) $.
    fourierdlem112.b $e |- B = ( n e. NN |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x
       ) x. ( sin ` ( n x. x ) ) ) _d x / _pi ) ) $.
    fourierdlem112.z $e |- Z = ( m e. NN |-> ( ( ( A ` 0 ) / 2 ) + sum_ n e. (
       1 ... m ) ( ( ( A ` n ) x. ( cos ` ( n x. X ) ) ) + ( ( B ` n ) x. ( sin
       ` ( n x. X ) ) ) ) ) ) $.
    fourierdlem112.23 $e |- S = ( n e. NN |-> ( ( ( A ` n ) x. ( cos ` ( n x. X
       ) ) ) + ( ( B ` n ) x. ( sin ` ( n x. X ) ) ) ) ) $.
    fourierdlem112.fbd $e |- ( ph -> E. w e. RR A. t e. RR ( abs ` ( F ` t ) )
       <_ w ) $.
    fourierdlem112.fdvbd $e |- ( ph -> E. z e. RR A. t e. dom ( RR _D F ) ( abs
       ` ( ( RR _D F ) ` t ) ) <_ z ) $.
    fourierdlem112.25 $e |- ( ph -> X e. RR ) $.
    $( Here abbreviations (local definitions) are introduced to prove the
       ~ fourier theorem. ` ( Z `` m ) ` is the m_th partial sum of the fourier
       series.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem112 $p |- ( ph -> ( seq 1 ( + , S ) ~~> ( ( ( L + R ) / 2 ) - (
       ( A ` 0 ) / 2 ) ) /\ ( ( ( A ` 0 ) / 2 ) + sum_ n e. NN ( ( ( A ` n ) x.
       ( cos ` ( n x. X ) ) ) + ( ( B ` n ) x. ( sin ` ( n x. X ) ) ) ) ) = ( (
       L + R ) / 2 ) ) ) $=
      ( vj vs va vu caddc c1 co c2 cdiv cc0 cfv cmin wbr cn cmul ccos csin wceq
      cv cmpt fveq2 oveq1 fveq2d oveq12d cbvmptv cfz cvv cpi cioo citg nfcv cn0
      eqtri wcel wa clt cif cabs wiso wss wral crab cle cres eqid wrex pire a1i
      cr readdcld adantr adantlr cc wi oveq1d imbi12d adantl sylan2 climc oveq2
      oveq2d simpr remulcld vl vb vr vg vo vc vd ve vh cseq cli csu seqeq3 mp1i
      vv nnuz 1zzd cneg nfv nfov nfitg nfmpt nfmpt1 nfcxfr nffv nfsum1 crp cicc
      vq cpr crn cin cun chash cio cfzo crio cmap cfl cioc csup cz picn 2timesi
      csb subnegi 3eqtr4i renegcld negpilt0 pipos renegcli lttri mp2an ltadd1dd
      0re eleq1d rexbidv cbvrabv uneq2i fourierdlem54 simpld simprd wf cbvralvw
      breq12d anbi2i rabbiia mpteq2i eleq1w anbi2d reseq2d eleq12d chvarvv cpnf
      wb ccncf rexrd pnfxr ltpnfd eliood id oveq2i eleqtrdi ax-mp fourierdlem98
      cxr isoeq4 iotabii nfra1 elioore rspa ex ralrimi reximi syl cdv cdm dvfre
      ssid sylancl cbvrexvw rgenw rabbi isoeq5 ifbieq1d fourierdlem97 cncff fdm
      mpbi 3syl ssdmres sylibr fssresd ax-resscn cncffvrn syl2anc mpbird simplr
      nfan fvres sselda eqbrtrd reximdv mpd eqcomd nfcsb1v nfim csbeq1a chvarfv
      nfel1 fourierdlem96 fourierdlem99 eqeq1 ifbieq2d fveq1d itgeq2dv mpteq2dv
      breq2 ifbid eqeq1d simpl ifeq12d mpteq2dva syl5eq isoeq1 cbviotavw fveq2i
      cmo cbvitgv breq1i anbi12i fourierdlem103 nnex mptex fourierdlem104 eqidd
      eqeltri ffvelrnd dirkerre adantll ioossicc leidi ltleii iccss mp4an sstri
      ioombl iccssred iccssre sseli dirkercncf fourierdlem84 iblss itgcl fvmptd
      cvol eqeltrd eqeq12d cbvsumv 3eqtri fourierdlem111 eqtr4d climaddf limccl
      sumeq1d cmnf sselid 2cnd 2pos gt0ne0d divdird 0nn0 cibl ioossre feqresmpt
      breqtrrd fourierdlem15 fourierdlem8 sstrid resabs1d eleqtrd fourierdlem69
      fssd rexri eqeltrrd fourierdlem16 simplld mpan2 recnd fzfid simpll elfznn
      rehalfcld nnnn0d recoscld fourierdlem21 resincld fsumrecl pncan2d eqtr2di
      nnred fvmpt2 sumex ovex 3eqtrd climsubc1 seqex nnnn0 nn0re fsumser climeq
      cuz eqtrd mpbid isumclim addcld halfcld pncan3d jca ) AWBNWCUUJZUEMWBWDZW
      EWFWDZWGGWHZWEWFWDZWIWDZUUKWJWWDWKUAWPZGWHZWWFUIWLWDZWMWHZWLWDZWWFHWHZWWH
      WNWHZWLWDZWBWDZUAUULZWBWDZWWBWOAWVTWBVRWKVRWPZGWHZWWQUIWLWDZWMWHZWLWDZWWQ
      HWHZWWSWNWHZWLWDZWBWDZWQZWCUUJZWWEUUKNWXFWOWVTWXGWOANUAWKWWNWQWXFVNUAVRWK
      WWNWXEWWFWWQWOZWWJWXAWWMWXDWBWXHWWGWWRWWIWWTWLWWFWWQGWRWXHWWHWWSWMWWFWWQU
      IWLWSZWTXAWXHWWKWXBWWLWXCWLWWFWWQHWRWXHWWHWWSWNWXIWTXAXAXBXJWBNWXFWCUUMUU
      NAUAWKWCWWFXCWDZSWPZGWHZWXKUIWLWDZWMWHZWLWDZWXKHWHZWXMWNWHZWLWDZWBWDZSUUL
      ZWQZWWEUUKWJWXGWWEUUKWJAWWBWWDTUJWYAWCXDWKUUPAUUQZAUJUEWEWFWDZMWEWFWDZWBW
      DWWBUUKAWYCWYDUATWKVSXEUURZWGXFWDZUIVSWPZWBWDZUCWHZWYGTWPZJWHZWHZWLWDZXGZ
      WQZTWKVSWGXEXFWDZWYMXGZWQZUJWCXDWKAUAUUSUATWKWYNUAWKXHZVSUAWYFWYMUAWYFXHU
      AWYIWYLWLUAWYIXHUAWLXHUAWYLXHUUTZUVAUVBUATWKWYQWYSVSUAWYPWYMUAWYPXHWYTUVA
      UVBUAUJTWKWWDWCWYJXCWDZWWNUAUULZWBWDZWQZVMUATWKXUCWYSUAWWDXUBWBUAWWCWEWFU
      AWGGUAGUAXIBWYEXEXFWDZBWPZUCWHZWWFXUFWLWDZWMWHZWLWDZXGZXEWFWDZWQZVKUAXIXU
      LUVCUVDUAWGXHUVEUAWFXHUAWEXHUUTUAWBXHXUAWWNUAUAXUAXHUVFUUTUVBUVDUUPWYBAAR
      WPZUVGXKXLUUAWPZWYFXKXLUUBWPZWKXKZXLZVTXUOWGXFWDZVTWPZUUCWYEXEUVHWDZUUCWP
      ZUUDXVAUUDWPZWGWOZWGUIXVCWBWDZUCWHZWGXVCXMWJZMUEXNZWIWDZXVCWFWDZXNZWQZWHZ
      XVBUUEXVAUUEWPZWGWOZWCXVNWEXVNWEWFWDZWNWHZWLWDZWFWDZXNZWQZWHZWLWDZWQZWHZX
      UPWCWEWFWDZWBWDZXUTWLWDZWNWHZWLWDZXGZXOWHZXUNWEWFWDZXMWJZXLZVTWYEXUOXFWDZ
      XWJXGZXOWHZXWMXMWJZXLDEFUBUDXUPWGWYEXUOUVJVRWGUGXCWDZWWQUHWHZUIWIWDZWQZUV
      KZXWPUVLUVMZUVNWHWCWIWDZXCWDZXXEXMXMWAWPZXPZWAUVOZWHXUPWCWBWDZXXJWHXFWDWY
      JXXCWHWYJWCWBWDXXCWHXFWDXQTWGUGUVPWDZUVQZJUAWKWGUKWPZWHZWYEUIWBWDZWOWWFXX
      NWHZXEUIWBWDZWOXLXUNXXNWHZXUNWCWBWDZXXNWHZXMWJZRWGWWFUVPWDZXRZXLUKYFWGWWF
      XCWDUVRWDZXSWQZXXCXUNUHWHZUUFYFUUFWPZXEXYHWIWDOWFWDUVSWHOWLWDWBWDWQZWHUUG
      WYEXEUVTWDZUUGWPZXEWOWYEXYKXNWQZWHZXYGCYFQWPZLWHCWPZXYIWHXYLWHXTWJQWGUFUV
      PWDZXSYFXMUWAWQWHZLWHWOXYQVRXYPRWWQIUWEZWQWHXYMUCWHXNZUUGXVAWXKXWFWBWDZXY
      KWLWDZWNWHZWQZXXEXWDRERUUBUASUUFWKVSWYFWYGDXVADWPZXWDWHZYUDUUGXVAXYHXWFWB
      WDZXYKWLWDZWNWHZWQZWHZWLWDZWQZWHZXGZXEWFWDZWQUCDXVAYUEYUDYUCWHZWLWDZWQZXV
      LXXJXWAXXTUHWHZUUHYFUUHWPZXEYUTWIWDOWFWDUVSWHOWLWDWBWDWQZWHZXYGCYFUUIWPZL
      WHXYOYVAWHUUDXYJXVCXEWOWYEXVCXNWQWHXTWJUUIXYPXSYFXMUWAWQWHZWCWBWDLWHWOYVD
      VRXYPRWWQPUWEZWQWHYVBUCWHXNZUGXXFXWDWYEXUOUVHWDYAZUHUEUIMWYOVSUKUUATULVQX
      YFYBZAUGWKXKZUHUGXYFWHXKZAYVIYVJXLXWTXXPXXRUVJZXYOWXKOWLWDZWBWDZLUVKZXKZS
      UWBYCZCXXPXXRUVHWDZXSZUVMZXMXMUHXPABWYEXEXXPXXRKLUHOQRSUAYVSUFUGXYFUKWEXE
      WLWDZXEXEWBWDOXEWYEWIWDXEUWCUWDVAXEXEUWCUWCUWFUWGZUNUOUPAWYEUIAXEXEYFXKZA
      YDYEZUWHZVQYGZAXEUIYWCVQYGZAWYEXEUIYWDYWCVQWYEXEXMWJZAWYEWGXMWJWGXEXMWJYW
      GUWIUWJWYEWGXEXEYDUWKZUWOYDUWLUWMYEZUWNZYVHYVRXUFYVLWBWDZYVNXKZSUWBYCZBYV
      QXSYVKYVPYWMCBYVQXYOXUFWOZYVOYWLSUWBYWNYVMYWKYVNXYOXUFYVLWBWSUWPUWQUWRUWS
      UQURUWTUXAZUXAZAYVIYVJYWOUXBZUTAXUNXXLXKZXLZBCWYEXEXXPXXRKLOQSVRSUAUCXUNU
      FUHUKAYFYFUCUXCZYWRULYHZKUAWKXXOWYEWOXXQXEWOXLZXYDXLZUKXYEXSZWQUAWKYXBWWQ
      XXNWHZWWQWCWBWDZXXNWHZXMWJZVRXYCXRZXLZUKXYEXSZWQUNUAWKYXDYXKYXCYXJUKXYEYX
      CYXJUXOXXNXYEXKXYDYXIYXBXYBYXHRVRXYCXUNWWQWOZXXSYXEXYAYXGXMXUNWWQXXNWRYXL
      XXTYXFXXNXUNWWQWCWBWSZWTUXEUXDUXFYEUXGUXHXJZYWAAUFWKXKYWRUOYHZALUFKWHXKYW
      RUPYHZAXUFYFXKXUFOWBWDUCWHXUGWOYWRVBYIZAWWQXYPXKZUCWWQLWHZYXFLWHZXFWDZYAZ
      YYAYJUXPWDZXKZYWRAXUNXYPXKZXLZUCXUNLWHZXXTLWHZXFWDZYAZYYIYJUXPWDZXKZYKAYX
      RXLZYYDYKRVRYXLYYFYYMYYLYYDYXLYYEYXRARVRXYPUXIUXJZYXLYYJYYBYYKYYCYXLYYIYY
      AUCYXLYYGYXSYYHYXTXFXUNWWQLWRZYXLXXTYXFLYXMWTZXAZUXKZYXLYYIYYAYJUXPYYQYLZ
      UXLYMVCUXMYIZAXXPYFXKZYWRYWEYHZAXXRXXPUXNXFWDXKZYWRAXXPUXNXXRAXXPYWEUXQUX
      NUYFXKAUXRYEZYWFYWJAXXRYWFUXSUXTYHZYWRXUNWGYVSUVNWHWCWIWDZUVPWDZXKAYWRXUN
      XXLUUUGYWRUYAUGUUUFWGUVPUQUYBUYCYNZUHXWTYVSXMXMXYNXPZQUVOWGUUUFXCWDZYVSXM
      XMXYNXPZQUVOZURUUUIUUUKQXWTUUUJWOUUUIUUUKUXOUGUUUFWGXCUQUYBXWTYVSUUUJXMXM
      XYNUYGUYDUYHXJZUYEZYWSFWPZUCWHXOWHEWPZXTWJZFYFXRZEYFYCZUUUQFXYGYUSXFWDZXR
      ZEYFYCAUUUSYWRVOYHUUURUUVAEYFUUURUUUQFUUUTUUUQFYFUYIUUURUUUOUUUTXKZUUUQUU
      VBUUURUUUOYFXKUUUQUUUOXYGYUSUYJUUUQFYFUYKYOUYLUYMUYNUYOZYWSYFUCUYPWDZUUUT
      YAZUUUTYFUXPWDXKZUUUTYFUUVEUXCZYWSUUVDUYQZYFUUUTUUVDAUUVHYFUUVDUXCZYWRAYW
      TYFYFXQUUVIULYFUYSYFUCUYRUYTYHYWSUUVEUYQUUUTWOZUUUTUUVHXQYWSUUVEUUUTYJUXP
      WDZXKZUUUTYJUUVEUXCUUVJYWSBCWYEXEXXPXXRKLOQUUIVRSUAUCUUVDUUOYFUUOWPZUUVHX
      KZUUVMUUVDWHZWGXNZWQXUNUFUHWAUKYXAUUVDYBYXNYWBYWSYDYEWYEYFXKZYWSYWHYEYWAY
      XOYXPYXQAYXRUUVDYYAYAZYYCXKZYWRYYFUUVDYYIYAZYYKXKZYKYYMUUVSYKRVRYXLYYFYYM
      UUWAUUVSYYNYXLUUVTUUVRYYKYYCYXLYYIYYAUUVDYYQUXKYYSUXLYMVFUXMYIAUUUAYWRAWY
      EUIYWDUSYGZYHZAUUUCYWRAXXPUXNXXRAXXPUUWBUXQUUUDAXEUIYWCUSYGZAWYEXEUIYWDYW
      CUSYWIUWNAXXRUUWDUXSUXTYHZUUUHUHUUULUUUJYVKXYOYVCOWLWDZWBWDZYVNXKZUUIUWBY
      CZCYVQXSZUVMZXMXMXYNXPZQUVOUUUMUUUKUUWLQYVSUUWKWOUUUKUUWLUXOYVRUUWJYVKYVP
      UUWIUXOZCYVQXRYVRUUWJWOUUWMCYVQYVOUUWHSUUIUWBWXKYVCWOZYVMUUWGYVNUUWNYVLUU
      WFXYOWBWXKYVCOWLWSYRUWPVUAVUBYVPUUWICYVQVUCVUIUWSUUUJYVSUUWKXMXMXYNVUDUYD
      UYHXJUUOWAYFUUVPXXHUUVHXKZXXHUUVDWHZWGXNUUVMXXHWOUUVNUUWOUUVOUUWPWGUUOWAU
      UVHUXIUUVMXXHUUVDWRVUEXBVUFZUUUTYJUUVEVUGUUUTYJUUVEVUHVUJUUUTUUVDVUKVULZV
      UMYWSYFYJXQZUUVLUUVFUUVGUXOUUWSYWSVUNYEUUWQUUUTYJYFUUVEVUOVUPVUQZYWSUUUOU
      UVEWHZXOWHZYUDXTWJZFUUUTXRZDYFYCZUUUOUUVDWHZXOWHZYUDXTWJZFUUUTXRZDYFYCYWS
      UUXHFUUVHXRZDYFYCZUUXEAUUXKYWRVPYHYWSUUXJUUXDDYFYWSUUXJUUXDYWSUUXJXLZUUXC
      FUUUTYWSUUXJFYWSFUUSUUXHFUUVHUYIVUSUUXLUUVBUUXCUUXLUUVBXLZUUXBUUXGYUDXTYW
      SUUVBUUXBUUXGWOUUXJYWSUUVBXLUUXAUUXFXOUUVBUUXAUUXFWOYWSUUUOUUUTUUVDVUTZYN
      WTYIUUXMUUXJUUUOUUVHXKZUUXHYWSUUXJUUVBVURYWSUUVBUUXOUUXJYWSUUUTUUVHUUUOUU
      WRVVAYIUUXHFUUVHUYKVUPVVBUYLUYMUYLVVCVVDYWSUUXDUUXIDYFUUXDUUXIYKYWSUUXDUU
      XHFUUUTUUXCFUUUTUYIUUXDUUVBUUXHUUXDUUVBXLUUXGUUXBYUDXTUUVBUUXGUUXBWOUUXDU
      UVBUUXFUUXAXOUUVBUUXAUUXFUUXNVVEWTYNUUXCFUUUTUYKVVBUYLUYMYEVVCVVDZYWSBCUU
      FUUGWYEXEXXPXXRKLXYROQSVRQSUAUCXUNUFUHUKYXAYXNYWAYXOYXPYXQYYTAYXRXYRYYBYX
      SYPWDZXKZYWRYYFIYYJYYGYPWDZXKZYKYYMUUXRYKRVRYYMUUXRRYYMRUUSZRXYRUUXQRWWQI
      VVFVVJVVGYXLYYFYYMUUXTUUXRYYNYXLIXYRUUXSUUXQRWWQIVVHYXLYYJYYBYYGYXSYPYYRY
      YOXAUXLYMVDVVIYIUUUBUUUEUUUHUUUMVVKZYWSBCUUHUUDWYEXEXXPXXRKLOQSVRUUISUAUC
      XUNYVEUFUHUKYXAYXNYWAYXOYXPYXQYYTAYXRYVEYYBYXTYPWDZXKZYWRYYFPYYJYYHYPWDZX
      KZYKYYMUUYDYKRVRYYMUUYDRUUYARYVEUUYCRWWQPVVFVVJVVGYXLYYFYYMUUYFUUYDYYNYXL
      PYVEUUYEUUYCRWWQPVVHYXLYYJYYBYYHYXTYPYYRYYPXAUXLYMVEVVIYIUUWCUUWEUUUHUUUM
      VVLZUUDVSXVAXVKWYGWGWOZWGWYIWGWYGXMWJZMUEXNZWIWDZWYGWFWDZXNXVCWYGWOZXVDUU
      YHXVJUUYLWGXVCWYGWGVVMUUYMXVIUUYKXVCWYGWFUUYMXVFWYIXVHUUYJWIUUYMXVEWYHUCX
      VCWYGUIWBYQWTUUYMXVGUUYIMUEXVCWYGWGXMVVRVVSXAUUYMUYAXAVVNXBZUUEVSXVAXVTUU
      YHWCWYGWEWYGWEWFWDZWNWHZWLWDZWFWDZXNXVNWYGWOZXVOUUYHXVSUUYRWCXVNWYGWGVVMU
      UYSXVNWYGXVRUUYQWFUUYSUYAUUYSXVQUUYPWEWLUUYSXVPUUYOWNXVNWYGWEWFWSWTYRXAVV
      NXBZUUCVSXVAXWCWYGXVLWHZWYGXWAWHZWLWDXVBWYGWOXVMUVUAXWBUVUBWLXVBWYGXVLWRX
      VBWYGXWAWRXAXBZUUGVSXVAYUBXYTWYGWLWDZWNWHZXYKWYGWOYUAUVUDWNXYKWYGXYTWLYQW
      TXBZDVSXVAYUQWYGXWDWHZWYGYUCWHZWLWDYUDWYGWOYUEUVUGYUPUVUHWLYUDWYGXWDWRYUD
      WYGYUCWRXAXBZTUAWKWYNVSWYFWYIWYGWWFJWHZWHZWLWDZXGZWYJWWFWOZVSWYFWYMUVULUV
      UNWYMUVULWOZWYGWYFXKZUVUNWYLUVUKWYIWLUVUNWYGWYKUVUJWYJWWFJWRVVOYRZYHVVPZX
      BUUFSWKYUOVSWYFWYGYURWHZXGZXEWFWDXYHWXKWOZYUNUVUTXEWFUVVAVSWYFYUMUVUSUVVA
      YUMUVUSWOZUVUPUVVAWYGYULYURUVVADXVAYUKYUQUVVAYUJYUPYUEWLUVVAYUDYUIYUCUVVA
      UUGXVAYUHYUBUVVAYUGYUAWNUVVAYUFXYTXYKWLXYHWXKXWFWBWSYLWTVVQVVOYRVVQVVOZYH
      VVPYLXBVJVIVGVHJTWKCYFXYOYVTVWHWDZWGWOZWEWYJWLWDZWCWBWDZYVTWFWDZWYJXWFWBW
      DZXYOWLWDZWNWHZYVTXYOWEWFWDZWNWHZWLWDZWFWDZXNZWQZWQSWKVSYFWYGYVTVWHWDZWGW
      OZWEWXKWLWDZWCWBWDZYVTWFWDZUVUEYVTUUYPWLWDZWFWDZXNZWQZWQUMTSWKUVVQUVWFWYJ
      WXKWOZUVVQVSYFUVVSUVVHUVVIWYGWLWDZWNWHZUVWCWFWDZXNZWQUVWFCVSYFUVVPUVWKXYO
      WYGWOZUVVEUVVSUVVOUVWJUVVHUVWLUVVDUVVRWGXYOWYGYVTVWHWSVVTUVWLUVVKUVWIUVVN
      UVWCWFUVWLUVVJUVWHWNXYOWYGUVVIWLYQWTUVWLUVVMUUYPYVTWLUVWLUVVLUUYOWNXYOWYG
      WEWFWSWTYRXAVVNXBUVWGVSYFUVWKUVWEUVWGWYGYFXKZXLZUVVSUVVHUVWBUVWJUVWDUVWNU
      VVGUVWAYVTWFUVWNUVVFUVVTWCWBUVWNWYJWXKWEWLUVWGUVWMVWAZYRYLYLUVWNUVWIUVUEU
      VWCWFUVWNUVWHUVUDWNUVWNUVVIXYTWYGWLUVWNWYJWXKXWFWBUVWOYLYLWTYLVWBVWCVWDXB
      XJZYVGYBXXEYBXXFYBXXIXXGXXEXMXMUUUPXPWAEXXGXXEXMXMUUUPXXHVWEVWFVRRXWTXXBX
      YGUIWIWDWWQXUNWOZXXAXYGUIWIWWQXUNUHWRYLXBZXXMYBXWOXURVSXUSUVUGXWGWYGWLWDZ
      WNWHZWLWDZXGZXOWHZXWMXMWJZXLXWSVSXWPUVXAXGZXOWHZXWMXMWJXWNUVXDXURXWLUVXCX
      WMXMXWKUVXBXOVTVSXUSXWJUVXAXUTWYGWOZXWEUVUGXWIUVWTWLXUTWYGXWDWRUVXGXWHUVW
      SWNXUTWYGXWGWLYQWTXAZVWIVWGVWJUXFXWRUVXFXWMXMXWQUVXEXOVTVSXWPXWJUVXAUVXHV
      WIVWGVWJVWKVWLUJXDXKAUJXUDXDVMTWKXUCVWMVWNVWQYEAAUVIWPZUVGXKXLYUTWYPXKXLX
      UQXLZVTWGYUTXFWDZXWJXGZXOWHZUVXIWEWFWDZXMWJZXLZVTYUTXEXFWDZXWJXGZXOWHZUVX
      NXMWJZXLDEFUBUDXUPWGYUTXEUVJXXDUVXQUVLUVMZUVNWHWCWIWDZXCWDZUVYAXMXMXXHXPZ
      WAUVOZWHXXKUVYEWHXFWDXUTXXCWHXUTWCWBWDXXCWHXFWDXQVTXXLUVQZJXYFXXCXYSYUCUV
      YAXWDUVIUUORUUBUASUUFWKVSWYPYUMXGZXEWFWDZWQUCYURXVLUVYEXWAYVFUGUVYBXWDYUT
      XEUVHWDYAZUHUEUIMWYRVSUKUUHVTULVQYVHYWPYWQUTUUUNUUVCUUWTUUXPUUYBUUYGUUYNU
      UYTUVUCUVUFUVUITUAWKWYQVSWYPUVULXGZUVUNVSWYPWYMUVULUVUNUVUOWYGWYPXKZUVUQY
      HVVPZXBUUFSWKUVYHVSWYPUVUSXGZXEWFWDUVVAUVYGUVYMXEWFUVVAVSWYPYUMUVUSUVVAUV
      VBUVYKUVVCYHVVPYLXBVJVIVGVHUVWPUVYIYBUVYAYBUVYBYBUVYDUVYCUVYAXMXMUUVMXPWA
      UUOUVYCUVYAXMXMUUVMXXHVWEVWFUVWRUVYFYBUVXPUVXJVSUVXKUVXAXGZXOWHZUVXNXMWJZ
      XLUVXTVSUVXQUVXAXGZXOWHZUVXNXMWJUVXOUVYPUVXJUVXMUVYOUVXNXMUVXLUVYNXOVTVSU
      VXKXWJUVXAUVXHVWIVWGVWJUXFUVXSUVYRUVXNXMUVXRUVYQXOVTVSUVXQXWJUVXAUVXHVWIV
      WGVWJVWKVWOAWWFWKXKZXLZWWFWYOWHZUVUMYJUVYTTWWFWYNUVUMWKWYOYJUVYTWYOVWPUVU
      NWYNUVUMWOUVYTUVURYNAUVYSYSZUVYTVSWYFUVULYFUVUPUVYTUVWMUVULYFXKWYGWYEWGUY
      JUVYTUVWMXLWYIUVUKAUVWMWYIYFXKZUVYSAUVWMXLZYFYFWYHUCAYWTUVWMULYHUWUDUIWYG
      AUIYFXKZUVWMVQYHAUVWMYSYGVWRYIUVYSUVWMUVUKYFXKZAJWYGTWWFCUMVWSZVWTYTYOUVY
      TVSWYFXVAUVULYFWYFXVAXQUVYTWYFWYEWGUVHWDZXVAWYEWGVXAUUVQYWBWYEWYEXTWJWGXE
      XTWJUWUHXVAXQYWHYDWYEYWHVXBWGXEUWOYDUWJVXCWYEXEWYEWGVXDVXEVXFYEWYFVXPUYQZ
      XKUVYTWYEWGVXGYEUVYTWYGXVAXKZXLWYIUVUKAUWUJUWUCUVYSAUWUJXLZYFYFWYHUCAYWTU
      WUJULYHUWUKUIWYGAUWUEUWUJVQYHAXVAYFWYGAWYEXEYWDYWCVXHZVVAYGVWRYIUVYSUWUJU
      WUFAUWUJUVYSUVWMUWUFXVAYFWYGUUVQYWBXVAYFXQYWHYDWYEXEVXIUWMVXJUWUGYOVWTYTZ
      UVYTWYEXEUVUJXYFXXCXYSRUAUCVSXVAUVULWQZYVFUGKUHUIVSUKUUVQUVYTYWHYEYWBUVYT
      YDYEAYWTUVYSULYHAUWUEUVYSVQYHZYVHAYVIUVYSYWPYHAYVJUVYSYWQYHAYWRUCUUUTYAZU
      UVKXKUVYSUUUNYIAYWRXYSUWUPXYGYPWDXKUVYSUUYBYIAYWRYVFUWUPYUSYPWDXKUVYSUUYG
      YIUVWRUNUVYSUVUJYFYFUXPWDXKACJTWWFUMVXKYNUWUNYBVXLZVXMVXNZVXOZUWURVXQUVYT
      WWFWYRWHZUVYJYJUVYTTWWFWYQUVYJWKWYRYJUVYTWYRVWPUVUNWYQUVYJWOUVYTUVYLYNUWU
      BUVYTVSWYPUVULYFUVYTUVYKXLWYIUVUKAUVYKUWUCUVYSAUVYKXLZYFYFWYHUCAYWTUVYKUL
      YHUWVAUIWYGAUWUEUVYKVQYHUVYKUVWMAWYGWGXEUYJZYNYGVWRYIUVYSUVYKUWUFAUVYKUVY
      SUVWMUWUFUWVBUWUGYOVWTYTUVYTVSWYPXVAUVULYFWYPXVAXQUVYTWYPWGXEUVHWDZXVAWGX
      EVXAUUVQYWBWYEWGXTWJXEXEXTWJUWVCXVAXQYWHYDWYEWGYWHUWOUWIVXCXEYDVXBWYEXEWG
      XEVXDVXEVXFYEWYPUWUIXKUVYTWGXEVXGYEUWUMUWUQVXMVXNZVXOZUWVDVXQUVYTWWFUJWHZ
      UVUMUVYJWBWDZUWUAUWUTWBWDAWYJWKXKZXLZWYJUJWHZWYNWYQWBWDZWOZYKUVYTUWVFUWVG
      WOZYKTUAUVUNUWVIUVYTUWVLUWVMUVUNUWVHUVYSATUAWKUXIUXJUVUNUWVJUWVFUWVKUWVGW
      YJWWFUJWRUVUNWYNUVUMWYQUVYJWBUVURUVYLXAVXRYMABCBGHJKLIUJORUATUCCYFUIXYOWB
      WDZUCWHZXYOWYKWHZWLWDZWQPUFUAWKXXOWYEUIWIWDWOXXQXEUIWIWDWOXLXYDXLUKXYEXSW
      QZVRWGUFXCWDZYXSUIWIWDZWQUIVSUKGXUMTXIBXUEXUGWYJXUFWLWDZWMWHZWLWDZXGZXEWF
      WDZWQVKUATXIXULUWWEWWFWYJWOZXUKUWWDXEWFUWWFBXUEXUJUWWCUWWFXUJUWWCWOXUFXUE
      XKZUWWFXUIUWWBXUGWLUWWFXUHUWWAWMWWFWYJXUFWLWSZWTYRYHVVPYLXBXJHUAWKBXUEXUG
      XUHWNWHZWLWDZXGZXEWFWDZWQTWKBXUEXUGUWWAWNWHZWLWDZXGZXEWFWDZWQVLUATWKUWWLU
      WWPUWWFUWWKUWWOXEWFUWWFBXUEUWWJUWWNUWWFUWWJUWWNWOUWWGUWWFUWWIUWWMXUGWLUWW
      FXUHUWWAWNUWWHWTYRYHVVPYLXBXJUJXUDTWKWWDXUAWXSSUULZWBWDZWQZUAWKWWDWXJWYJG
      WHZWYJUIWLWDZWMWHZWLWDZWYJHWHZUWXAWNWHZWLWDZWBWDZTUULZWBWDZWQZVMTWKXUCUWW
      RXUBUWWQWWDWBXUAWWNWXSUASWWFWXKWOZWWJWXOWWMWXRWBUWXKWWGWXLWWIWXNWLWWFWXKG
      WRUWXKWWHWXMWMWWFWXKUIWLWSZWTXAUWXKWWKWXPWWLWXQWLWWFWXKHWRUWXKWWHWXMWNUWX
      LWTXAXAVXSZUYBUXHUWWSUAWKWWDWXTWBWDZWQUWXJTUAWKUWWRUWXNUVUNUWWQWXTWWDWBUV
      UNXUAWXJWXSSWYJWWFWCXCYQVYEYRXBUAWKUWXNUWXIWXTUWXHWWDWBWXJWXSUWXGSTWXKWYJ
      WOZWXOUWXCWXRUWXFWBUWXOWXLUWWTWXNUWXBWLWXKWYJGWRUWXOWXMUWXAWMWXKWYJUIWLWS
      ZWTXAUWXOWXPUWXDWXQUWXEWLWXKWYJHWRUWXOWXMUWXAWNUWXPWTXAXAVXSUYBUXHXJVXTUM
      UNUOUPUSULVBCBYFUWVQUIXUFWBWDZUCWHZXUFWYKWHZWLWDYWNUWVOUWXRUWVPUWXSWLYWNU
      WVNUWXQUCXYOXUFUIWBYQWTXYOXUFWYKWRXAXBVCVDVEVAUWVRYBVRRUWVSUWVTYYGUIWIWDU
      VWQYXSYYGUIWIWWQXUNLWRYLXBVYAUXMUVYTUWUAUVUMUWUTUVYJWBUWUSUWVEXAVYBVYCAUE
      MWEAUCVYFUIXFWDYAZUIYPWDYJUEUIUWXTVYDVIVYGZAUCUIUXNXFWDYAZUIYPWDYJMUIUWYB
      VYDVJVYGZAVYHAWEWGWEXMWJAVYIYEVYJVYKVYPAWWDAWWCAWGXIXKZWWCYFXKZVYLAUWYDXL
      ZUWYEBXUEXUGWQZVYMXKZBXUEXUGWGXUFWLWDWMWHWLWDXGYFXKUWYFBGXUEUAUCWGAYWTUWY
      DULYHXUEYBZAUCXUEYAZVYMXKZUWYDAUWYJUWYGVYMABYFYFXUEUCULXUEYFXQAWYEXEVYNYE
      VYOABXUEXVAXUGYFXUEXVAXQAWYEXEVXAYEXUEUWUIXKAWYEXEVXGYEAXUFXVAXKZXLYFYFXU
      FUCAYWTUWYLULYHAXVAYFXUFUWULVVAVWRAUCXVAYAZBXVAXUGWQVYMABYFYFXVAUCULUWULV
      YOAWYEXEKLIRUAUWYMPUFUKUNUOUPAYFYJXVAUCAYFYFYJUCULUUWSAVUNYEWUCUWULVUMYYF
      UWYMYYIYAZYYJYYKYYFUCYYIXVAYYFYYIYYGYYHUVHWDXVAYYGYYHVXAYYFWYEXELXUNUFWYE
      UYFXKYYFWYEYWHWUDYEXEUYFXKYYFXEYDWUDYEAUWVSXVALUXCYYEAWYEXEKLRUAUFUKUNUOU
      PVYQYHAYYEYSVYRVYSVYTZVCVXQYYFIUUXSUWYNYYGYPWDVDYYFYYJUWYNYYGYPYYFUWYNYYJ
      UWYOVVEZYLWUAYYFPUUYEUWYNYYHYPWDVEYYFYYJUWYNYYHYPUWYPYLWUAWUBWUEVXMVXQZYH
      VKAUWYDYSWUFWUGWUHWUMZWUIZWYAXDXKAUAWKWXTVWMVWNYEZUWVIUWVJUWVIUWVJXUCYFUW
      VIUWVHXUCYFXKUWVJXUCWOZAUWVHYSZUWVIWWDXUBAWWDYFXKUWVHUWYRYHZUWVIXUAWWNUAU
      WVIWCWYJWUJUWVIWWFXUAXKZXLAUVYSWWNYFXKAUWVHUXUDWUKUXUDUVYSUWVIWWFWYJWULYN
      UVYTWWJWWMUVYTWWGWWIUVYTAWWFXIXKZWWGYFXKZAUVYSVWAUVYTWWFUWUBWUNAWXKXIXKZX
      LZWXLYFXKZYKAUXUEXLZUXUFYKSUAWXKWWFWOZUXUHUXUJUXUIUXUFUXUKUXUGUXUEASUAXIU
      XIUXJUXUKWXLWWGYFWXKWWFGWRUWPYMUXUHUXUIUWYHBXUEXUGWXKXUFWLWDZWMWHWLWDXGYF
      XKUXUHBGXUEUAUCWXKAYWTUXUGULYHUWYIAUWYKUXUGUWYQYHVKAUXUGYSWUFWUGZUXMVUPUV
      YTWWHUVYTWWFUIUVYTWWFUWUBWVAUWUOYTZWUOYTUVYTWWKWWLAWXKWKXKZXLZWXPYFXKZYKU
      VYTWWKYFXKZYKSUAUXUKUXUPUVYTUXUQUXURUXUKUXUOUVYSASUAWKUXIUXJUXUKWXPWWKYFW
      XKWWFHWRUWPYMUXUPUXUQBXUEXUGUXULWNWHWLWDZWQVYMXKBXUEUXUSXGYFXKUXUPBHXUEUA
      UCWXKAYWTUXUOULYHUWYIAUWYKUXUOUWYQYHVLAUXUOYSWUPWUGZUXMUVYTWWHUXUNWUQYTYG
      ZVUPWURZYGZTWKXUCYFUJVMWVBVUPUXVCVXQWUIUWVIWYJWYAWHUWWQXUCWWDWIWDZUWVJWWD
      WIWDUWVIUAWYJWXTUWWQWKWYAXDUWVIWYAVWPUWWFWXTUWWQWOUWVIUWWFWXJXUAWXSSWWFWY
      JWCXCYQVYEYNUXUBUWWQXDXKUWVIXUAWXSSWVCYEVXOUWVIUXVDXUBUWWQUWVIWWDXUBUWVIW
      WDUXUCWUIUWVIXUBUXVBWUIWUSUWXMWUTUWVIXUCUWVJWWDWIUWVIUWVJXUCUWVIUWVHXUCXD
      XKUXUAUXUBWWDXUBWBWVDTWKXUCXDUJVMWVBUYTVVEYLWVEWVFAWWEUUAWYAWXGWCXDXDWKUU
      PUWYTWXGXDXKAWBWXFWCWVGYEWYBAXUOWKXKZXLZXUOWYAWHWCXUOXCWDZWXSSUULZXUOWXGW
      HZUXVFUAXUOWXTUXVHWKWYAYFUXVFWYAVWPWWFXUOWOZWXTUXVHWOUXVFUXVJWXJUXVGWXSSW
      WFXUOWCXCYQVYEZYNAUXVEYSUXVFUXVGWXSSUXVFWCXUOWUJAWXKUXVGXKZWXSYFXKZUXVEAU
      XVLXLZWXOWXRUXVNWXLWXNUXVLAUXUGUXUIUXVLWXKWXKXUOWULZWUNUXUMYOUXVNWXMUXVNW
      XKUIUXVLWXKYFXKZAUXVLWXKUXVOWVAYNAUWUEUXVLUSYHYTZWUOYTUXVNWXPWXQUXVLAUXUO
      UXUQUXVOUXUTYOUXVNWXMUXVQWUQYTYGYIWURVXOUVYTWXTWWFWXGWHZWOZYKUXVFUXVHUXVI
      WOZYKUAUUAUXVJUVYTUXVFUXVSUXVTUXVJUVYSUXVEAUAUUAWKUXIUXJUXVJWXTUXVHUXVRUX
      VIUXVKWWFXUOWXGWRVXRYMUVYTWXSSWXFWCWWFUVYTWXKWXJXKZXLZVRWXKWXEWXSWKWXFYFU
      XWBWXFVWPWWQWXKWOZWXEWXSWOUXWBUXWCWXAWXOWXDWXRWBUXWCWWRWXLWWTWXNWLWWQWXKG
      WRUXWCWWSWXMWMWWQWXKUIWLWSZWTXAUXWCWXBWXPWXCWXQWLWWQWXKHWRUXWCWWSWXMWNUXW
      DWTXAXAYNUXWAUXUOUVYTWXKWWFWULYNZUXWBAUXUOUXVMAUVYSUXWAWUKUXWEUXUPWXOWXRU
      XUOAUXUGWXOYFXKWXKWVHZUXUHWXLWXNUXUMUXUHWXMUXUHWXKUIUXUGUXVPAWXKWVIYNAUWU
      EUXUGUSYHYTZWUOYTYOUXUPWXPWXQUXUTUXUPWXMUXUOAUXUGWXMYFXKUXWFUXWGYOWUQYTYG
      VUPZVXOUVYTWWFWKWCWVLWHUWUBUUPUYCUXWBWXSUXWHWUIWVJUXMWVMWVKWVNZVVBAWWPWWD
      WWEWBWDWWBAWWOWWEWWDWBAWWNWWEUAWXFWCWKUUPWYBUVYTVRWWFWXEWWNWKWXFYFUVYTWXF
      VWPWWQWWFWOZWXEWWNWOUVYTUXWJWXAWWJWXDWWMWBUXWJWWRWWGWWTWWIWLWWQWWFGWRUXWJ
      WWSWWHWMWWQWWFUIWLWSZWTXAUXWJWXBWWKWXCWWLWLWWQWWFHWRUXWJWWSWWHWNUXWKWTXAX
      AYNUWUBUXVAVXOUVYTWWNUXVAWUIUXWIWVOYRAWWDWWBUWYSAWWAAUEMUWYAUWYCWVPWVQWVR
      WVMWVS $.
  $}

  ${
    $d A j k m n $.  $d B j k m n $.  $d E k x $.  $d F i j k m n w x y $.
    $d F i j k m t u w y z $.  $d L i j m n $.  $d L i j m t u z $.
    $d M f i j k m t w x y $.  $d M i j k m n w x y $.  $d M i j k n p w y $.
    $d M i j k m t u w y z $.  $d Q f g i j k m t w x y $.
    $d Q g i j k m n w x y $.  $d Q g i j k n p w y $.
    $d Q g i j k m t u w y z $.  $d R i j m n $.  $d R i j m t u z $.
    $d T f g i j k m t w x y $.  $d T g i j k m n w x y $.
    $d T g i j k n p w y $.  $d T g i j k m t u w y z $.
    $d X f g i j k m t w x y $.  $d X g i j k m n w x y $.
    $d X g i j k n p w y $.  $d X g i j k m t u w y z $.
    $d f i j k m ph t w x y $.  $d n ph w x y $.  $d ph t u w y z $.
    $d x y z $.
    fourierdlem113.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem113.t $e |- T = ( 2 x. _pi ) $.
    fourierdlem113.per $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x
       ) ) $.
    fourierdlem113.x $e |- ( ph -> X e. RR ) $.
    fourierdlem113.l $e |- ( ph -> L e. ( ( F |` ( -oo (,) X ) ) limCC X ) ) $.
    fourierdlem113.r $e |- ( ph -> R e. ( ( F |` ( X (,) +oo ) ) limCC X ) ) $.
    fourierdlem113.p $e |- P = ( n e. NN |-> { p e. ( RR ^m ( 0 ... n ) ) | ( (
       ( p ` 0 ) = -u _pi /\ ( p ` n ) = _pi ) /\ A. i e. ( 0 ..^ n ) ( p ` i )
       < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem113.m $e |- ( ph -> M e. NN ) $.
    fourierdlem113.q $e |- ( ph -> Q e. ( P ` M ) ) $.
    fourierdlem113.dvcn $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( ( RR _D F ) |`
       ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) ) e. ( ( ( Q ` i ) (,) ( Q ` ( i + 1
       ) ) ) -cn-> CC ) ) $.
    fourierdlem113.dvlb $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( ( ( RR _D F )
       |` ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` i ) ) =/= (/) ) $.
    fourierdlem113.dvub $e |- ( ( ph /\ i e. ( 0 ..^ M ) ) -> ( ( ( RR _D F )
       |` ( ( Q ` i ) (,) ( Q ` ( i + 1 ) ) ) ) limCC ( Q ` ( i + 1 ) ) ) =/=
       (/) ) $.
    fourierdlem113.a $e |- A = ( n e. NN0 |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x
       ) x. ( cos ` ( n x. x ) ) ) _d x / _pi ) ) $.
    fourierdlem113.b $e |- B = ( n e. NN |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x
       ) x. ( sin ` ( n x. x ) ) ) _d x / _pi ) ) $.
    fourierdlem113.15 $e |- S = ( n e. NN |-> ( ( ( A ` n ) x. ( cos ` ( n x. X
       ) ) ) + ( ( B ` n ) x. ( sin ` ( n x. X ) ) ) ) ) $.
    fourierdlem113.e $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( _pi - x ) / T )
       ) x. T ) ) ) $.
    fourierdlem113.exq $e |- ( ph -> ( E ` X ) e. ran Q ) $.
    $( Fourier series convergence for periodic, piecewise smooth functions.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem113 $p |- ( ph -> ( seq 1 ( + , S ) ~~> ( ( ( L + R ) / 2 ) - (
       ( A ` 0 ) / 2 ) ) /\ ( ( ( A ` 0 ) / 2 ) + sum_ n e. NN ( ( ( A ` n ) x.
       ( cos ` ( n x. X ) ) ) + ( ( B ` n ) x. ( sin ` ( n x. X ) ) ) ) ) = ( (
       L + R ) / 2 ) ) ) $=
      ( vy vz vu vt vk vw vf vj vm vg cv cfv c1 caddc co cioo cres climc cio cn
      wcel cr c2 cpi cmul cmo cc0 wceq cdiv csin cif cmpt cmnf cpnf cz wrex cun
      crab chash cmin cfz clt wiso ccos csu oveq1 fveq2d oveq2d oveq12d cbvmptv
      oveq2 oveq1d eleq1d uneq2i wb a1i ax-mp pire wbr picn wf wral syl syl2anc
      simpld wss simprd cdm fdm eqcomd eqid fssresd fssd adantr adantl cabs cle
      wa cc cfl ellimciota simplr simpr fveq2 w3a 3ad2ant2 cdv cneg cicc eqeq1d
      cpr crn ifbieq2d ifeq12d mpteq2dv syl5eq rexbidv cbvrabv cbvrexvw rabbiia
      fveq2i oveq1i isoeq5 oveq2i isoeq4 isoeq1 3bitrd cbviotavw renegcli pipos
      cioc negpilt0 2timesi subnegi 3eqtr4i cmap cfzo fourierdlem2 mpbid elmapi
      cfn fzfid rnffi fourierdlem15 frn simplrd wfun ffun nnnn0d nn0uz eleqtrdi
      cuz eluzfz2 fvelrn eqeltrrd 3eqtr4ri bitrdi fourierdlem51 ccncf ax-resscn
      cn0 eleqtrd ioossre ctg cnt ssid ccnfld ctopn tgioo2 dvres syl22anc dmeqd
      ioontr reseq2i dmeqi cncff 3syl 3eqtrd dvcn syl31anc sstrd ffvelrnd rexrd
      fzofzp1 elfzofz simprrd lptioo1cn dvbss dvfre 0re lttri simplld lptioo2cn
      r19.21bi zre 2re remulcli eqeltrid remulcld ad4ant14 fperiodmul fperdvper
      mp2an an32s fourierdlem71 nfra1 nfan eqtrdi fveq1d fvres sylan9eq adantlr
      nfv ssdmres sylibr ad2antrr rspa eqbrtrd ralrimi reximdv mpd ioodvbdlimc1
      sseldd ex ioodvbdlimc2 cin wrel frel resindm inss2 feq1dd ioosscn ssinss1
      clp 3simpb simp2 eleq1w anbi2d eqeq12d imbi12d chvarvv fourierdlem41 ctop
      cnfldtop cxr mnfxr rexr mnflt xrltled iooss1 simp3 ssind unicntop syl3anc
      wi lpss3 3adant3l 3ad2ant1 simp3l rexlimdv3a id fourierdlem49 pnfxr ltpnf
      iooss2 cico fourierdlem48 cbvsumv sumeq1d eqtr2id eqsstrd mpbird readdcld
      biid feq2d sselda raleqdv fourierdlem112 ) ABUOUPUQURCDUOVEZMJVEZFVFZVXNV
      GVHVIZFVFZVJVIZVKZVXOVLVIVOUOVMZUSVNUTVPUTVEZVQVRVSVIZVTVIZWAWBZVQUSVEZVS
      VIZVGVHVIZVYBWCVIZVYEVGVQWCVIZVHVIZVYAVSVIZWDVFZVYBVYAVQWCVIZWDVFZVSVIZWC
      VIZWEZWFZWFEFGHIVXMVXSVXQVLVIVOUOVMZVAJVBVCKBVEZVPMUUAVIZWGPVJVIZVKZPVLVI
      VOBVMMVYTWUAPWHVJVIZVKZPVLVIVOBVMNOVRUUBZPVHVIZVRPVHVIZUUEZVYAVBVEZIVSVIZ
      VHVIZFUUFZVOZVBWIWJZUTWUGWUHUUCVIZWLZWKZWMVFZVGWNVIZWAWUIVYAVYEIVSVIZVHVI
      ZWUMVOZUSWIWJZUTWUPWLZWKZWMVFZVGWNVIZWOVIZWUIVXMWVAVHVIZWUMVOZUSWIWJZUOWU
      PWLZWKZWPWPVDVEZWQZVDVMZPVBVNWACVFVQWCVIZVGWUJWOVIZVYECVFZVYEPVSVIZWRVFZV
      SVIZVYEDVFZWWAWDVFZVSVIZVHVIZUSWSZVHVIZWFQRUSVCVNVYRUOVPVXMVYBVTVIZWAWBZV
      QVCVEZVSVIZVGVHVIZVYBWCVIZWWLVYIVHVIZVXMVSVIZWDVFZVYBVXMVQWCVIZWDVFZVSVIZ
      WCVIZWEZWFZVYEWWLWBZVYRUOVPWWKVYHVYJVXMVSVIZWDVFZWXAWCVIZWEZWFWXDUTUOVPVY
      QWXIVYAVXMWBZVYDWWKVYPWXHVYHWXJVYCWWJWAVYAVXMVYBVTWTUUDWXJVYLWXGVYOWXAWCW
      XJVYKWXFWDVYAVXMVYJVSXEXAWXJVYNWWTVYBVSWXJVYMWWSWDVYAVXMVQWCWTXAXBXCUUGXD
      WXEUOVPWXIWXCWXEWWKVYHWWOWXHWXBWXEVYGWWNVYBWCWXEVYFWWMVGVHVYEWWLVQVSXEXFX
      FWXEWXGWWRWXAWCWXEWXFWWQWDWXEVYJWWPVXMVSVYEWWLVYIVHWTXFXAXFUUHUUIUUJXDUDU
      EUFWUSWUIVXMWUKVHVIZWUMVOZVBWIWJZUOWUPWLZWKZWMVFVGWNWURWXOWMWUQWXNWUIWUOW
      XMUTUOWUPWXJWUNWXLVBWIWXJWULWXKWUMVYAVXMWUKVHWTXGUUKUULXHZUUOUUPWVPWAWUTW
      OVIZWXOWPWPVAVEZWQZVDVAWVOWXRWBZWVPWVIWXOWPWPWVOWQZWXQWXOWPWPWVOWQZWXSWVP
      WYAXIZWXTWVNWXOWBWYCWVMWXNWUIWVLWXMUOWUPWVLWXMXIVXMWUPVOWVKWXLUSVBWIVYEWU
      JWBZWVJWXKWUMWYDWVAWUKVXMVHVYEWUJIVSWTZXBXGUUMXJUUNXHZWVIWVNWXOWPWPWVOUUQ
      XKXJWYAWYBXIZWXTWVIWXQWBWYGWVHWUTWAWOWVGWUSVGWNWVFWURWMWVEWUQWUIWVDWUOUTW
      UPWVDWUOXIVYAWUPVOWVCWUNUSVBWIWYDWVBWULWUMWYDWVAWUKVYAVHWYEXBXGUUMXJUUNXH
      ZUUOUUPUURWVIWXOWXQWPWPWVOUUSXKXJWXQWXOWPWPWXRWVOUUTUVAUVBUAABUTWUFVRWUMW
      VFIVAUSLWVQWVDUTWUGWUHUVEVIWLZPWUFVPVOAVRXLUVCZXJZVRVPVOAXLXJZWUFWAWPXMZA
      UVFXJWAVRWPXMZAUVDXJVYBVRVRVHVIIVRWUFWNVIVRXNUVGSVRVRXNXNUVHUVIZAWAOWOVIZ
      VPFXOZWYPUVOVOWUMUVOVOAFVPWYPUVJVIVOZWYQAWYRWAFVFWUFWBZOFVFZVRWBZYLZVXOVX
      QWPXMZJWAOUVKVIZXPZYLZAFOEVFVOZWYRXUFYLZUFAOVNVOXUGXUHXIUEWUFVREFJKOQUDUV
      LXQUVMZXSFVPWYPUVNXQZAWAOUVPWYPVPFUVQXRAWYPWUFVRUUCVIZFXOZWUMXUKXTAWUFVRE
      FJKOQUDUEUFUVRZWYPXUKFUVSXQAWYTVRWUMAWYSXUAXUEAWYRXUFXUIYAZUVTZAFUWAZOFYB
      ZVOWYTWUMVOAXULXUPXUMWYPXUKFUWBXQAOWYPXUQAOWAUWFVFZVOOWYPVOAOUWOXURAOUEUW
      CUWDUWEWAOUWGXQAXUQWYPAXULXUQWYPWBXUMWYPXUKFYCXQYDUWPOFUWHXRUWIUMUAUNWVFY
      EWVPWVIWVFWPWPWXRWQZVDVAWXTWVPWVIWVNWPWPWXRWQZXUSWVIWVNWPWPWXRWVOUUTWVNWV
      FWBXUTXUSXIWURWXOWVFWVNWXPWYHWYFUWJWVIWVNWVFWPWPWXRUUQXKUWKUVBWYIYEUWLSTA
      VXNXUDVOZYLZVPYMXTZVXRYMVXSXOZVXRVPXTZVPVXSUUAVIZYBZVXRWBVXSVXRYMUWMVIZVO
      XVCXVBUWNXJZAXVDXVAAVXRVPYMVXSAVPVPVXRMRXVEAVXOVXQUWQZXJYFZXVCAUWNXJZYGYH
      ZXVEXVBXVJXJZXVBXVGWUAVXRVJUUFUWRVFZUWSVFVFZVKZYBZWUAVXRVKZYBZVXRXVBXVFXV
      QXVBXVCVPYMMXOZVPVPXTZXVEXVFXVQWBXVIAXWAXVAAVPVPYMMRXVLYGZYHXWBXVBVPUWTZX
      JXVNVPVXRVPXVOMUXAUXBVFZXWEYEZXWEXWFUXCUXDUXEZUXFXVRXVTWBXVBXVQXVSXVPVXRW
      UAVXOVXQUXGUXHZUXIXJXVBXVSXVHVOZVXRYMXVSXOZXVTVXRWBZUGVXRYMXVSUXJZVXRYMXV
      SYCUXKZUXLZVXRVPVXSUXMUXNZXVBUOVXRVXOVXSXWEXVMXVBVXRVPYMXVNXVIUXOZXVBVXOV
      XQXWEXWFXVBVXQXVBWYPVPVXPFAWYQXVAXUJYHZXVAVXPWYPVOAWAOVXNUXRYIUXPZUXQXVBW
      YPVPVXNFXWQXVAVXNWYPVOAVXNWAOUXSYIUXPZAXUCJXUDAWYRXUBXUEXUIUXTUYHZUYAZXVB
      URUPVXOVXQVXSXWSXWRAVXRVPVXSXOXVAXVKYHZXWNXVBURVEZWUAVFZYJVFZUPVEZYKXMZUR
      WUAYBZXPZUPVPWJZXXCXVFVFZYJVFZXXFYKXMZURVXRXPZUPVPWJAXXJXVAAURUPWUFVRFVYT
      XVSVXOVLVIVOBVMZIJUSURVPXXCVRXXCWNVIIWCVIYNVFIVSVIVHVIWFZWUAVBXUDWUJFVFZW
      UJVGVHVIZFVFZVJVIZWFZVYTXVSVXQVLVIVOBVMZOAVPVPMXVLXWCXWBAXWDXJZUYBZAVPVPM
      XOZXWBXXHVPWUAXOZRXYCVPMUYCXRZWYKWYLWUFVRWPXMZAWYMWYNXYHUVFUVDWUFWAVRWYJU
      YDXLUYEUYQXJZWYOUEXUJAWYSXUAXUEXUNUYFZXUOUGXVBBVXRVXOXVSXWEXVBXWIXWJUGXWL
      XQZXWPXXAUHXWFYOZXVBBVXRVXQXVSXWEXYKXWPXVBVXOVXQXWEXWFXVBVXOXWSUXQXWRXWTU
      YGZUIXWFYOZAXXCXXHVOZYLVYEWIVOZYLZXXCWVAVHVIZXXHVOZXYRWUAVFXXDWBZAXYPXYOX
      YSXYTYLAXYPYLZURWVAMWUAAXWAXYPXWCYHZYUAVYEIXYPVYEVPVOZAVYEUYIZYIAIVPVOZXY
      PAIVYBVPSVYBVPVOAVQVRUYJXLUYKXJUYLYHZUYMZYUAXXCVPVOZYLBIMVYEXXCYUAXWAYUHY
      UBYHYUAYUEYUHYUFYHAXYPYUHYPYUAYUHYQAVYTVPVOZVYTIVHVIZMVFZVYTMVFZWBZXYPYUH
      TUYNUYOZWUAYEZUYPUYRZXSXYQXYSXYTYUPYAVBJXUDXXTVXRWUJVXNWBZXXQVXOXXSVXQVJW
      UJVXNFYRYUQXXRVXPFWUJVXNVGVHWTXAXCXDZXXPYEZUYSZYHXVBXXIXXNUPVPXVBXXIXXNXV
      BXXIYLZXXMURVXRXVBXXIURXVBURVUGXXGURXXHUYTVUAYVAXXCVXRVOZXXMYVAYVBYLZXXLX
      XEXXFYKXVBYVBXXLXXEWBXXIXVBYVBYLXXKXXDYJXVBYVBXXKXXCXVSVFXXDXVBXXCXVFXVSX
      VBXVFXVQXVSXWGXWHVUBVUCXXCVXRWUAVUDVUEXAVUFYVCXXIXYOXXGXVBXXIYVBYPYVCVXRX
      XHXXCXVBVXRXXHXTZXXIYVBXVBXWKYVDXWMVXRWUAVUHVUIZVUJYVAYVBYQVUQXXGURXXHVUK
      XRVULVURVUMVURVUNVUOZVUPXWFYOZXVBUOVXRVXQVXSXWEXVMXWPXYMXVBURUPVXOVXQVXSX
      WSXWRXXBXWNYVFVUSXWFYOZUGABWUBXXHVUTZPWUCXWEAYVIVPYMWUCAYVIVPWUAYVIVKZWUC
      AWUAVVAZYVJWUCWBAXYFYVKXYGXXHVPWUAVVBXQZWUAWUBVVCXQAXXHVPYVIWUAXYGYVIXXHX
      TAWUBXXHVVDXJYFVVEXVLYGYVIYMXTZAWUBYMXTYVMWGPVVFWUBXXHYMVVGXKZXJAVXMPWPXM
      ZVXMPVJVIZXXHXTZYLZUOVPWJZPYVIXWEVVHVFZVFZVOZAYVSPVXMWPXMZPVXMVJVIZXXHXTZ
      YLZUOVPWJZABUOWUFVRXXHEFIJUSKBVPVYTVYTUTVPVRVYAWNVIZIWCVIZYNVFZIVSVIZWFZV
      FVHVIWFZOPYWLQWYKWYLXYIWYOAVYTXXHVOZXYPYSZVYTWVAVHVIZXXHVOZYWPWUAVFVYTWUA
      VFWBZYWOYUAYWNYWQYWRYLAYWNXYPVVIAYWNXYPVVJYUABWVAMWUAYUBYUGYUAYUIYLUOIMVY
      EVYTYUAXWAYUIYUBYHYUAYUEYUIYUFYHAXYPYUIYPYUAYUIYQAVXMVPVOZVXMIVHVIZMVFZVX
      MMVFZWBZXYPYUIAYUIYLZYUMVWIAYWSYLZYXCVWIBUOVYTVXMWBZYXDYXEYUMYXCYXFYUIYWS
      ABUOVPVVKVVLYXFYUKYXAYULYXBYXFYUJYWTMVYTVXMIVHWTXAVYTVXMMYRVVMVVNTVVOUYNU
      YOYUOUYPXRZXSZUAUTBVPYWKVRVYTWNVIZIWCVIZYNVFZIVSVIZVYAVYTWBZYWJYXKIVSYXMY
      WIYXJYNYXMYWHYXIIWCVYAVYTVRWNXEXFXAXFXDYWMYEUDUEUFYVEVVPZXSAYVRYWBUOVPAYW
      SYVRYSZYVPYVTVFZYWAPAYWSYVQYXPYWAXTZYVOAYWSYVQYSZXWEVVQVOZYVMYVPYVIXTYXQY
      XSYXRXWEXWFVVRZXJYVMYXRYVNXJYXRYVPWUBXXHYWSAYVPWUBXTZYVQYWSWGVVSVOZWGVXMY
      KXMYYAYYBYWSVVTXJZYWSWGVXMYYCVXMVWAZVXMVWBVWCWGVXMPVWDXRYTAYWSYVQVWEVWFYV
      IYVPXWEYMVWGVWJVWHVWKYXOVXMPXWEXWFYWSAVXMVVSVOZYVRYYDYTAYWSPVPVOZYVRUAVWL
      AYWSYVOYVQVWMUYGVUQVWNVUOABWUFVRXXHEFIJUSKUPVPXXFXXFUOVPVRVXMWNVIZIWCVIZY
      NVFZIVSVIZWFZVFZVHVIZWFZWUAXYBOPYYKQWYKWYLXYIUDWYOUEUFXYDXYGYXHYWOYWQYWRY
      XGYAZUGXYNUAUOBVPYYJYXLVXMVYTWBZYYIYXKIVSYYPYYHYXJYNYYPYYGYXIIWCVXMVYTVRW
      NXEXFXAXFXDZUPBVPYYMVYTVYTYYKVFZVHVIXXFVYTWBZXXFVYTYYLYYRVHYYSVWOXXFVYTYY
      KYRXCXDZVWPXWFYOABWUDXXHVUTZPWUEXWEAUUUAVPYMWUEAUUUAVPWUAUUUAVKZWUEAYVKUU
      UBWUEWBYVLWUAWUDVVCXQAXXHVPUUUAWUAXYGUUUAXXHXTAWUDXXHVVDXJYFVVEXVLYGUUUAY
      MXTZAWUDYMXTUUUCPWHVVFWUDXXHYMVVGXKZXJAYWGPUUUAYVTVFZVOZAYVSYWGYXNYAAYWFU
      UUFUOVPAYWSYWFYSZYWDYVTVFZUUUEPAYWSYWEUUUHUUUEXTZYWCAYWSYWEYSZYXSUUUCYWDU
      UUAXTUUUIYXSUUUJYXTXJUUUCUUUJUUUDXJUUUJYWDWUDXXHYWSAYWDWUDXTZYWEYWSWHVVSV
      OZVXMWHYKXMUUUKUUULYWSVWQXJZYWSVXMWHYYDUUUMVXMVWRVWCPVXMWHVWSXRYTAYWSYWEV
      WEVWFUUUAYWDXWEYMVWGVWJVWHVWKUUUGPVXMXWEXWFYWSAYYEYWFYYDYTAYWSYYFYWFUAVWL
      AYWSYWCYWEVWMUYAVUQVWNVUOAXVBVYAVXOVXQVWTVIVOYLXYPYLVYAPWVAVHVIWBYLZBUTWU
      FVRXXHEFXXOIJUSKYYNWUAOPYYKQWYKWYLXYIUDWYOUEUFXYGYXHYYOUGXYLUAYYQYYTUUUNV
      XHVXAXWFYOUBUCUJUKVBVCVNWWIWVRVGWWLWOVIZKVEZCVFZUUUPPVSVIZWRVFZVSVIZUUUPD
      VFZUUURWDVFZVSVIZVHVIZKWSZVHVIWUJWWLWBZWWHUUVEWVRVHUUVFUUVEUUUOWWGUSWSWWH
      UUUOUUVDWWGKUSUUUPVYEWBZUUUTWWCUUVCWWFVHUUVGUUUQWVTUUUSWWBVSUUUPVYECYRUUV
      GUUURWWAWRUUUPVYEPVSWTZXAXCUUVGUUVAWWDUUVBWWEVSUUUPVYEDYRUUVGUUURWWAWDUUV
      HXAXCXCVXBUUVFUUUOWVSWWGUSUUVFWVSUUUOWUJWWLVGWOXEYDVXCVXDXBXDULAXXCMVFZYJ
      VFUQVEYKXMZURMYBZXPZUQVPWJUUVJURVPXPZUQVPWJAURUQWUFVRFVXTIJUSXXPMXYAVYSOA
      UUVKVPVPAXYEUUVKVPWBRVPVPMYCXQZXYCVXEZAUUVKVPMXOXYERAUUVKVPVPMUUVNVXIVXFW
      YKWYLXYIWYOUEXUJXYJXUOXWOYVGYVHAXXCUUVKVOZYLZXYPYLZXYRVPUUVKUUVRXXCWVAUUV
      QYUHXYPAUUVKVPXXCUUVOVXJYHZUUVRVYEIXYPYUCUUVQYUDYIAXYPYUEUUVPYUFVUFUYMVXG
      AVPUUVKWBUUVPXYPAUUVKVPUUVNYDVUJUWPUUVRYUAYUHXYRMVFUUVIWBAXYPYUAUUVPYUAVW
      OVUFUUVSYUNXRYURYUSUYSAUUVLUUVMUQVPAUUVJURUUVKVPUUVNVXKUUKUVMYUTUAVXL $.
  $}

  ${
    $d A n $.  $d B n $.  $d E x $.  $d F i n x $.  $d G i x $.  $d H g $.
    $d L i n $.  $d M g $.  $d M i n p $.  $d M i n x $.  $d Q g $.
    $d Q i n p $.  $d Q i n x $.  $d R i n $.  $d T i n p $.  $d T i n x $.
    $d X i n p $.  $d X i n x $.  $d g ph $.  $d i n ph x $.
    fourierdlem114.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem114.t $e |- T = ( 2 x. _pi ) $.
    fourierdlem114.per $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x
       ) ) $.
    fourierdlem114.g $e |- G = ( ( RR _D F ) |` ( -u _pi (,) _pi ) ) $.
    fourierdlem114.dmdv $e |- ( ph -> ( ( -u _pi (,) _pi ) \ dom G ) e. Fin )
       $.
    fourierdlem114.gcn $e |- ( ph -> G e. ( dom G -cn-> CC ) ) $.
    fourierdlem114.rlim $e |- ( ( ph /\ x e. ( ( -u _pi [,) _pi ) \ dom G ) )
       -> ( ( G |` ( x (,) +oo ) ) limCC x ) =/= (/) ) $.
    fourierdlem114.llim $e |- ( ( ph /\ x e. ( ( -u _pi (,] _pi ) \ dom G ) )
       -> ( ( G |` ( -oo (,) x ) ) limCC x ) =/= (/) ) $.
    fourierdlem114.x $e |- ( ph -> X e. RR ) $.
    fourierdlem114.l $e |- ( ph -> L e. ( ( F |` ( -oo (,) X ) ) limCC X ) ) $.
    fourierdlem114.r $e |- ( ph -> R e. ( ( F |` ( X (,) +oo ) ) limCC X ) ) $.
    fourierdlem114.a $e |- A = ( n e. NN0 |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x
       ) x. ( cos ` ( n x. x ) ) ) _d x / _pi ) ) $.
    fourierdlem114.b $e |- B = ( n e. NN |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x
       ) x. ( sin ` ( n x. x ) ) ) _d x / _pi ) ) $.
    fourierdlem114.s $e |- S = ( n e. NN |-> ( ( ( A ` n ) x. ( cos ` ( n x. X
       ) ) ) + ( ( B ` n ) x. ( sin ` ( n x. X ) ) ) ) ) $.
    fourierdlem114.p $e |- P = ( n e. NN |-> { p e. ( RR ^m ( 0 ... n ) ) | ( (
       ( p ` 0 ) = -u _pi /\ ( p ` n ) = _pi ) /\ A. i e. ( 0 ..^ n ) ( p ` i )
       < ( p ` ( i + 1 ) ) ) } ) $.
    fourierdlem114.e $e |- E = ( x e. RR |-> ( x + ( ( |_ ` ( ( _pi - x ) / T )
       ) x. T ) ) ) $.
    fourierdlem114.h $e |- H = ( { -u _pi , _pi , ( E ` X ) } u. ( ( -u _pi [,]
       _pi ) \ dom G ) ) $.
    fourierdlem114.m $e |- M = ( ( # ` H ) - 1 ) $.
    fourierdlem114.q $e |- Q = ( iota g g Isom < , < ( ( 0 ... M ) , H ) ) $.
    $( Fourier series convergence for periodic, piecewise smooth functions.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem114 $p |- ( ph -> ( seq 1 ( + , S ) ~~> ( ( ( L + R ) / 2 ) - (
       ( A ` 0 ) / 2 ) ) /\ ( ( ( A ` 0 ) / 2 ) + sum_ n e. NN ( ( ( A ` n ) x.
       ( cos ` ( n x. X ) ) ) + ( ( B ` n ) x. ( sin ` ( n x. X ) ) ) ) ) = ( (
       L + R ) / 2 ) ) ) $=
      ( chash cfv c1 cmin co cn c2 cuz wcel cz cle wbr a1i cfn cn0 cpi cicc cun
      cdif cioo cxr wceq pire rexri cc0 clt mp2an mp1i syl2anc eqeltrid syl wne
      mp3an unfi cr wb cvv wss elexi ovex cfz wa caddc w3a picn ffvelrnd sselid
      cv wf unssd eqsstrid 3syl fssd fveq2 adantl adantr eqbrtrd ad2antlr neqne
      wn zred necomd sseldd ad2antrr simpr isorel mpbid ltled pm2.61dan breqtrd
      syldan rexrd syl3anc letri3d mpbir2and wrex sselii eleqtrrid cres climc
      c0 cneg ctp cdm tpfi cpr renegcli negpilt0 pipos 0re lttri ltleii prunioo
      difeq1i difundir eqtr3i prfi diffi hashcl nn0zd ltneii hashprg mpbi ax-mp
      2z difexg eqeltri negex tpid1 tpid2 prssi ssun1 sseqtrri hashss eqbrtrrid
      unex sstri eluz2 syl3anbrc uz2m1nn cmap cfzo wral wiso wf1o negpitopissre
      cioc cmul 2timesi subnegi 3eqtr4i fourierdlem4 3jca sylib iccssre ssdifss
      fvex tpss fourierdlem36 isof1o f1of reex sylibr ffvelrnda elfzelz elfzle1
      elmap leidd ne0gt0d nnssnn0 sseqtri eluzfz1 anim1i lbicc2 ubicc2 iocssicc
      nn0uz tpssi difssd iccgelb crn wfo f1ofo forn wfn fvelrnb r19.29a eluzfz2
      ffn iccleub 3ad2ant1 id eqcomd elfzel2 elfzle2 leneltd 3adant3 rexlimdv3a
      3ad2ant3 jca elfzoelz ltp1d elfzofz fzofzp1 syl2an ralrimiva fourierdlem2
      mpd jca31 cc reseq1i fourierdlem27 resabs1d eqtr2id fourierdlem38 eqeltrd
      cdv ccncf oveq1d cico cpnf adantlr cmnf fourierdlem46 simpld simprd tpid3
      eqnetrd elun1 eleqtrrdi eleqtrrd fourierdlem113 ) ABCDEFGHIKLMNQRSTUAUBUC
      UIUJUKUOARPUTVAZVBVCVDZVEURAVVLVFVGVAVHZVVMVEVHAVFVIVHZVVLVIVHVFVVLVJVKVV
      NVVOAUVDVLAVVLAPVMVHVVLVNVHAPVOUUAZVOSMVAZUUBZVVPVOVPVDZOUUCZVRZVQZVMUQAV
      VRVMVHZVWAVMVHVWBVMVHVWCAVVPVOVVQUUDZVLAVWAVVPVOVSVDZVVTVRZVVPVOUUEZVVTVR
      ZVQZVMVWEVWGVQZVVTVRVWAVWIVWJVVSVVTVVPVTVHZVOVTVHZVVPVOVJVKZVWJVVSWAVVPVO
      WBUUFZWCZVOWBWCZVVPVOVWNWBVVPWDWEVKWDVOWEVKVVPVOWEVKZUUGUUHVVPWDVOVWNUUIW
      BUUJWFZUUKZVVPVOUULWLUUMVWEVWGVVTUUNUUOAVWFVMVHVWHVMVHZVWIVMVHUEVWGVMVHVW
      TAVVPVOUUPVWGVVTUUQWGVWFVWHWMWHWIVVRVWAWMWHWIZPUURWJUUSAVFVWGUTVAZVVLVJVV
      PVOWKZVXBVFWAZVVPVOVWNVWRUUTVVPWNVHZVOWNVHZVXCVXDWOVWNWBVVPVOWNWNUVAWFUVB
      VXBVVLVJVKZAPWPVHVWGPWQVXGPVWBWPUQVVRVWAVVRVMVWDWRVVSWPVHVWAWPVHVVPVOVPWS
      VVSVVTWPUVEUVCUVOUVFVWGVVRPVVPVVRVHVOVVRVHVWGVVRWQVVPVOVVQVOUVGZUVHZVVPVO
      VVQVOWNWBWRZUVIZVVPVOVVRUVJWFVVRVWBPVVRVWAUVKUQUVLZUVPPVWGWPUVMWFVLUVNVFV
      VLUVQUVRVVLUVSWJWIZAFREVAVHZFWNWDRWTVDZUVTVDVHZWDFVAZVVPWAZRFVAZVOWAZXAKX
      GZFVAZVYAVBXBVDZFVAZWEVKZKWDRUWAVDZUWBZXAZAVXOWNFXHVXPAVXOPWNFAVXOPWEWEFU
      WCZVXOPFUWDZVXOPFXHZAPJFRVXAAPVWBWNUQAVVRVWAWNAVXEVXFVVQWNVHZXCVVRWNWQAVX
      EVXFVYLVXEAVWNVLZVXFAWBVLZAVVPVOUWFVDZWNVVQUWEAWNVYOSMABVVPVOIMVYMVYNVWQA
      VWRVLVFVOUWGVDVOVOXBVDIVOVVPVCVDVOXDUWHUBVOVOXDXDUWIUWJUPUWKUIXEZXFZUWLVV
      PVOVVQWNVXHVXJSMUWPZUWQUWMVVSWNWQZVWAWNWQAVXEVXFVYSVWNWBVVPVOUWNWFZVVSWNV
      VTUWOWGXIXJZUSURUWRZVXOPWEWEFUWSZVXOPFUWTZXKZWUAXLZWNVXOFUXAWDRWTWSUXFUXB
      AVXRVXTVYGAVYBVVPWAZVXRKVXOAVYAVXOVHZXAZWUGXAZVXRVXQVVPVJVKVVPVXQVJVKZWUJ
      VXQVYBVVPVJWUIVXQVYBVJVKZWUGWUIWDVYAWAZWULWUIWUMXAVXQVYBVYBVJWUMVXQVYBWAW
      UIWDVYAFXMXNWUIVYBVYBVJVKZWUMWUIVYBAVXOWNVYAFWUFUXCZUXGZXOXPWUIWUMXSZWDVY
      AWEVKZWULWUIWUQXAVYAWUHVYAWNVHZAWUQWUHVYAVYAWDRUXDXTZXQWUHWDVYAVJVKAWUQVY
      AWDRUXEXQWUQVYAWDWKWUIWUQWDVYAWDVYAXRYAXNUXHWUIWURXAZVXQVYBAVXQWNVHZWUHWU
      RAPWNVXQWUAAVXOPWDFWUEARWDVGVAZVHZWDVXOVHZAVEWVCRVEVNWVCUXIUXPUXJVXMXFZWD
      RUXKWJZXEZYBZYCWUIVYBWNVHZWURWUOXOWVAWURVXQVYBWEVKZWUIWURYDWVAVYIWVEWUHXA
      ZWURWVKWOAVYIWUHWURWUBYCWUIWVLWURAWVEWUHWVGUXLXOVXOPWDVYAWEWEFYEWHYFYGYJY
      HXOWUIWUGYDYIAWUKWUHWUGAVWKVWLVXQVVSVHWUKAVVPVYMYKZAVOVYNYKZAPVVSVXQAPVWB
      VVSUQAVVRVWAVVSAVVPVVSVHZVOVVSVHZVVQVVSVHVVRVVSWQWVOAVWKVWLVWMWVOVWOVWPVW
      SVVPVOUXMWLVLWVPAVWKVWLVWMWVPVWOVWPVWSVVPVOUXNWLVLAVYOVVSVVQVVPVOUXOVYPXF
      VVPVOVVQVVSUXQYLAVVSVVTUXRXIXJZWVHYBVVPVOVXQUXSYLYCWUJVXQVVPAWVBWUHWUGWVI
      YCVXEWUJVWNVLYMYNAVVPFUXTZVHZWUGKVXOYOZAVVPPWVRVVRPVVPVXLVXIYPAVYIVXOPFUY
      AZWVRPWAZWUBVYIVYJWWAWUCVXOPFUYBWJZVXOPFUYCZXKZYQAVYKFVXOUYDZWVSWVTWOWUEV
      XOPFUYHZKVXOVVPFUYEXKYFUYFAVYBVOWAZKVXOYOZVXTAVOWVRVHZWWIAVOPWVRVVRPVOVXL
      VXKYPWWEYQAVYKWWFWWJWWIWOWUEWWGKVXOVOFUYEXKYFAWWHVXTKVXOAWUHWWHXCZVXTVXSV
      OVJVKZVOVXSVJVKAWUHWWLWWHAVWKVWLVXSVVSVHWWLWVMWVNAVXOVVSRFAVXOPVVSFWUEWVQ
      XLZAWVDRVXOVHZWVFWDRUYGWJZXEZVVPVOVXSUYIYLUYJWWKVOVYBVXSVJWWHAVOVYBWAWUHW
      WHVYBVOWWHUYKUYLUYRAWUHVYBVXSVJVKZWWHWUIVYARWAZWWQWUIWWRXAVYBVYBVXSVJWUIW
      UNWWRWUPXOWWRVYBVXSWAWUIVYARFXMXNYIWUIWWRXSZVYARWEVKZWWQWUIWWSXAVYARWUHWU
      SAWWSWUTXQWUHRWNVHAWWSWUHRVYAWDRUYMXTXQWUHVYARVJVKAWWSVYAWDRUYNXQWWSRVYAW
      KWUIWWSVYARVYARXRYAXNUYOWUIWWTXAZVYBVXSWUIWVJWWTWUOXOAVXSWNVHZWUHWWTAVVSW
      NVXSVYTWWPXFZYCWXAWWTVYBVXSWEVKZWUIWWTYDWXAVYIWUHWWNXAZWWTWXDWOAVYIWUHWWT
      WUBYCWUIWXEWWTWUIWUHWWNAWUHYDAWWNWUHWWOXOUYSXOVXOPVYARWEWEFYEWHYFYGYJYHUY
      PXPWWKVXSVOAWUHWXBWWHWXCUYJVXFWWKWBVLYMYNUYQVUGAVYEKVYFAVYAVYFVHZXAZVYAVY
      CWEVKZVYEWXFWXHAWXFVYAWXFVYAVYAWDRUYTXTVUAXNAVYIWUHVYCVXOVHZXAWXHVYEWOWXF
      WUBWXFWUHWXIVYAWDRVUBWDRVYAVUCUYSVXOPVYAVYCWEWEFYEVUDYFZVUEVUHARVEVHVXNVX
      PVYHXAWOVXMVVPVOEFKLRTUOVUFWJYNZWXGWNNVUPVDZVYBVYDVSVDZYRZOWXMYRZWXMVUIVU
      QVDWXGWXOWXLVWEYRZWXMYRWXNOWXPWXMUDVUJWXGWXLWXMVWEWXGVVPVOFVYARVWKWXGVWOV
      LVWLWXGVWPVLAVXOVVSFXHWXFWWMXOAWXFYDZVUKZVULVUMZAVVREFKLOPRTUFUOVXMWXKUQW
      WEVUNVUOWXGWXNVYBYSVDWXOVYBYSVDZYTWXGWXNWXOVYBYSWXSVURWXGWXTYTWKZWXOVYDYS
      VDZYTWKZWXGBVVQFOPVYARAOVVTVUIVUQVDVHWXFUFXOABXGZVVPVOVUSVDVVTVRVHOWYDVUT
      VSVDYRWYDYSVDYTWKWXFUGVVAAWYDVYOVVTVRVHOVVBWYDVSVDYRWYDYSVDYTWKWXFUHVVAAV
      YIWXFWUBXOZWXGVYIVYJVYKWYEWUCWUDXKWXQWXJWXRAVYLWXFVYQXOUQWXGVYIWWAWWBWYEW
      WCWWDXKVVCZVVDVVGWXGWXNVYDYSVDWYBYTWXGWXNWXOVYDYSWXSVURWXGWYAWYCWYFVVEVVG
      ULUMUNUPAVVQPWVRAVVQVWBPVVQVVRVHVVQVWBVHAVVPVOVVQVYRVVFVVQVVRVWAVVHWGUQVV
      IWWEVVJVVK $.
  $}

  ${
    $d A k $.  $d B k $.  $d F k n x $.  $d F k x z $.  $d G f g $.
    $d G g k w z $.  $d G g k x z $.  $d L k z $.  $d R k z $.  $d T f g y $.
    $d T g k w y z $.  $d T g k x y z $.  $d X f g $.  $d X g k w z $.
    $d X k n x $.  $d f ph $.  $d k ph x z $.
    fourierdlem115.f $e |- ( ph -> F : RR --> RR ) $.
    fourierdlem115.t $e |- T = ( 2 x. _pi ) $.
    fourierdlem115.per $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x
       ) ) $.
    fourierdlem115.g $e |- G = ( ( RR _D F ) |` ( -u _pi (,) _pi ) ) $.
    fourierdlem115.dmdv $e |- ( ph -> ( ( -u _pi (,) _pi ) \ dom G ) e. Fin )
       $.
    fourierdlem115.dvcn $e |- ( ph -> G e. ( dom G -cn-> CC ) ) $.
    fourierdlem115.rlim $e |- ( ( ph /\ x e. ( ( -u _pi [,) _pi ) \ dom G ) )
       -> ( ( G |` ( x (,) +oo ) ) limCC x ) =/= (/) ) $.
    fourierdlem115.llim $e |- ( ( ph /\ x e. ( ( -u _pi (,] _pi ) \ dom G ) )
       -> ( ( G |` ( -oo (,) x ) ) limCC x ) =/= (/) ) $.
    fourierdlem115.x $e |- ( ph -> X e. RR ) $.
    fourierdlem115.l $e |- ( ph -> L e. ( ( F |` ( -oo (,) X ) ) limCC X ) ) $.
    fourierdlem115.r $e |- ( ph -> R e. ( ( F |` ( X (,) +oo ) ) limCC X ) ) $.
    fourierdlem115.a $e |- A = ( n e. NN0 |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x
       ) x. ( cos ` ( n x. x ) ) ) _d x / _pi ) ) $.
    fourierdlem115.b $e |- B = ( n e. NN |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x
       ) x. ( sin ` ( n x. x ) ) ) _d x / _pi ) ) $.
    fourierdlem115.s $e |- S = ( k e. NN |-> ( ( ( A ` k ) x. ( cos ` ( k x. X
       ) ) ) + ( ( B ` k ) x. ( sin ` ( k x. X ) ) ) ) ) $.
    $( Fourier serier convergence, for piecewise smooth functions.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierdlem115 $p |- ( ph -> ( seq 1 ( + , S ) ~~> ( ( ( L + R ) / 2 ) - (
       ( A ` 0 ) / 2 ) ) /\ ( ( ( A ` 0 ) / 2 ) + sum_ n e. NN ( ( ( A ` n ) x.
       ( cos ` ( n x. X ) ) ) + ( ( B ` n ) x. ( sin ` ( n x. X ) ) ) ) ) = ( (
       L + R ) / 2 ) ) ) $=
      ( vw vz vy vg vf caddc c1 cseq co c2 cdiv cc0 cfv cmin cli wbr cn cv cmul
      ccos csin csu wceq cpi cneg clt cfzo wral cfz cmap crab cmpt cfl ctp cicc
      wa cr cdm cdif cun chash wiso cio cn0 cioo citg wcel fveq2d oveq2d adantr
      oveq1 itgeq2dv oveq1d cbvmptv eqtri eqid id oveq12d isoeq1 fourierdlem114
      oveq2 cbviotavw simpld nfcv nfmpt1 nfcxfr nffv nfov cbvsumi oveq2i simprd
      fveq2 syl5eq jca ) AUMFUNUOLEUMUPUQURUPZUSCUTUQURUPZVAUPVBVCZYCVDIVEZCUTZ
      YEMVFUPZVGUTZVFUPZYEDUTZYGVHUTZVFUPZUMUPZIVIZUMUPZYBVJAYDYCVDHVEZCUTZYPMV
      FUPZVGUTZVFUPZYPDUTZYRVHUTZVFUPZUMUPZHVIZUMUPZYBVJZABCDHVDUSUHVEZUTVKVLZV
      JYPUUHUTVKVJWCUIVEZUUHUTUUJUNUMUPUUHUTVMVCUIUSYPVNUPVOWCUHWDUSYPVPUPVQUPV
      RVSZUSUUIVKMUJWDUJVEZVKUULVAUPZGURUPZVTUTZGVFUPZUMUPZVSZUTWAUUIVKWBUPKWEW
      FWGZWHUTUNVAUPZVPUPZUUSVMVMUKVEZWIZUKWJEFGULUIHUURJKUUSLUUTMUHNOPQRSTUAUB
      UCUDCIWKBUUIVKWLUPZBVEZJUTZYEUVEVFUPZVGUTZVFUPZWMZVKURUPZVSZHWKBUVDUVFYPU
      VEVFUPZVGUTZVFUPZWMZVKURUPZVSUEIHWKUVKUVQYEYPVJZUVJUVPVKURUVRBUVDUVIUVOUV
      RUVIUVOVJUVEUVDWNZUVRUVHUVNUVFVFUVRUVGUVMVGYEYPUVEVFWRZWOWPWQWSWTXAXBDIVD
      BUVDUVFUVGVHUTZVFUPZWMZVKURUPZVSZHVDBUVDUVFUVMVHUTZVFUPZWMZVKURUPZVSUFIHV
      DUWDUWIUVRUWCUWHVKURUVRBUVDUWBUWGUVRUWBUWGVJUVSUVRUWAUWFUVFVFUVRUVGUVMVHU
      VTWOWPWQWSWTXAXBUGUUKXCUJBWDUUQUVEVKUVEVAUPZGURUPZVTUTZGVFUPZUMUPUULUVEVJ
      ZUULUVEUUPUWMUMUWNXDUWNUUOUWLGVFUWNUUNUWKVTUWNUUMUWJGURUULUVEVKVAXHWTWOWT
      XEXAUUSXCUUTXCUVCUVAUUSVMVMULVEZWIUKULUVAUUSVMVMUWOUVBXFXIXGZXJAYOUUFYBYN
      UUEYCUMVDYMUUDIHHYMXKIYTUUCUMIYQYSVFIYPCICUVLUEIWKUVKXLXMIYPXKZXNIVFXKZIY
      SXKXOIUMXKIUUAUUBVFIYPDIDUWEUFIVDUWDXLXMUWQXNUWRIUUBXKXOXOUVRYIYTYLUUCUMU
      VRYFYQYHYSVFYEYPCXSUVRYGYRVGYEYPMVFWRZWOXEUVRYJUUAYKUUBVFYEYPDXSUVRYGYRVH
      UWSWOXEXEXPXQAYDUUGUWPXRXTYA $.
  $}

  ${
    $d A k $.  $d B k $.  $d F k n x $.  $d G k x $.  $d L k $.  $d R k $.
    $d T k x $.  $d X k n x $.  $d k ph x $.
    fourierd.f $e |- ( ph -> F : RR --> RR ) $.
    fourierd.t $e |- T = ( 2 x. _pi ) $.
    fourierd.per $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x ) )
       $.
    fourierd.g $e |- G = ( ( RR _D F ) |` ( -u _pi (,) _pi ) ) $.
    fourierd.dmdv $e |- ( ph -> ( ( -u _pi (,) _pi ) \ dom G ) e. Fin ) $.
    fourierd.dvcn $e |- ( ph -> G e. ( dom G -cn-> CC ) ) $.
    fourierd.rlim $e |- ( ( ph /\ x e. ( ( -u _pi [,) _pi ) \ dom G ) ) -> ( (
       G |` ( x (,) +oo ) ) limCC x ) =/= (/) ) $.
    fourierd.llim $e |- ( ( ph /\ x e. ( ( -u _pi (,] _pi ) \ dom G ) ) -> ( (
       G |` ( -oo (,) x ) ) limCC x ) =/= (/) ) $.
    fourierd.x $e |- ( ph -> X e. RR ) $.
    fourierd.l $e |- ( ph -> L e. ( ( F |` ( -oo (,) X ) ) limCC X ) ) $.
    fourierd.r $e |- ( ph -> R e. ( ( F |` ( X (,) +oo ) ) limCC X ) ) $.
    fourierd.a $e |- A = ( n e. NN0 |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x ) x.
       ( cos ` ( n x. x ) ) ) _d x / _pi ) ) $.
    fourierd.b $e |- B = ( n e. NN |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x ) x. (
       sin ` ( n x. x ) ) ) _d x / _pi ) ) $.
    $( Fourier series convergence for periodic, piecewise smooth functions.
       The series converges to the average value of the left and the right
       limit of the function.  Thus, if the function is continuous at a given
       point, the series converges exactly to the function value, see
       ~ fouriercnp .  Notice that for a piecewise smooth function, the left
       and right limits always exist, see ~ fourier2 for an alternative form of
       the theorem that makes this fact explicit.  When the first derivative is
       continuous, a simpler version of the theorem can be stated, see
       ~ fouriercn .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourierd $p |- ( ph -> ( ( ( A ` 0 ) / 2 ) + sum_ n e. NN ( ( ( A ` n ) x.
       ( cos ` ( n x. X ) ) ) + ( ( B ` n ) x. ( sin ` ( n x. X ) ) ) ) ) = ( (
       L + R ) / 2 ) ) $=
      ( vk caddc cn cv cfv cmul co ccos csin cmpt c1 cseq cdiv cc0 cmin cli wbr
      csu wceq nfcv cn0 cpi cneg cioo citg nfmpt1 nfcxfr nffv nfov fveq2 fveq2d
      c2 oveq1 oveq12d cbvmpt fourierdlem115 simprd ) AUFGUGGUHZCUIZWBKUJUKZULU
      IZUJUKZWBDUIZWDUMUIZUJUKZUFUKZUNZUOUPJEUFUKVPUQUKZURCUIVPUQUKZUSUKUTVAWMU
      GWJGVBUFUKWLVCABCDEWKFUEGHIJKLMNOPQRSTUAUBUCUDGUEUGWJUEUHZCUIZWNKUJUKZULU
      IZUJUKZWNDUIZWPUMUIZUJUKZUFUKUEWJVDGWRXAUFGWOWQUJGWNCGCGVEBVFVGVFVHUKZBUH
      ZHUIZWBXCUJUKZULUIUJUKVIVFUQUKZUNUCGVEXFVJVKGWNVDZVLGUJVDZGWQVDVMGUFVDGWS
      WTUJGWNDGDGUGBXBXDXEUMUIUJUKVIVFUQUKZUNUDGUGXIVJVKXGVLXHGWTVDVMVMWBWNVCZW
      FWRWIXAUFXJWCWOWEWQUJWBWNCVNXJWDWPULWBWNKUJVQZVOVRXJWGWSWHWTUJWBWNDVNXJWD
      WPUMXKVOVRVRVSVTWA $.
  $}

  ${
    $d A k $.  $d B k $.  $d F k n x $.  $d G k x $.  $d L k $.  $d R k $.
    $d T k x $.  $d X k n x $.  $d k ph x $.
    fourierclimd.f $e |- ( ph -> F : RR --> RR ) $.
    fourierclimd.t $e |- T = ( 2 x. _pi ) $.
    fourierclimd.per $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x )
       ) $.
    fourierclimd.g $e |- G = ( ( RR _D F ) |` ( -u _pi (,) _pi ) ) $.
    fourierclimd.dmdv $e |- ( ph -> ( ( -u _pi (,) _pi ) \ dom G ) e. Fin ) $.
    fourierclimd.dvcn $e |- ( ph -> G e. ( dom G -cn-> CC ) ) $.
    fourierclimd.rlim $e |- ( ( ph /\ x e. ( ( -u _pi [,) _pi ) \ dom G ) ) ->
       ( ( G |` ( x (,) +oo ) ) limCC x ) =/= (/) ) $.
    fourierclimd.llim $e |- ( ( ph /\ x e. ( ( -u _pi (,] _pi ) \ dom G ) ) ->
       ( ( G |` ( -oo (,) x ) ) limCC x ) =/= (/) ) $.
    fourierclimd.x $e |- ( ph -> X e. RR ) $.
    fourierclimd.l $e |- ( ph -> L e. ( ( F |` ( -oo (,) X ) ) limCC X ) ) $.
    fourierclimd.r $e |- ( ph -> R e. ( ( F |` ( X (,) +oo ) ) limCC X ) ) $.
    fourierclimd.a $e |- A = ( n e. NN0 |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x )
       x. ( cos ` ( n x. x ) ) ) _d x / _pi ) ) $.
    fourierclimd.b $e |- B = ( n e. NN |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x )
       x. ( sin ` ( n x. x ) ) ) _d x / _pi ) ) $.
    fourierclimd.s $e |- S = ( n e. NN |-> ( ( ( A ` n ) x. ( cos ` ( n x. X )
       ) ) + ( ( B ` n ) x. ( sin ` ( n x. X ) ) ) ) ) $.
    $( Fourier series convergence, for piecewise smooth functions.  See
       ~ fourierd for the analogous ` sum_ ` equation.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    fourierclimd $p |- ( ph -> seq 1 ( + , S ) ~~> ( ( ( L + R ) / 2 ) - ( ( A
       ` 0 ) / 2 ) ) ) $=
      ( vk caddc c1 cseq co c2 cdiv cc0 cfv cmin cli wbr cn cmul ccos csin wceq
      csu cmpt nfcv cn0 cpi cneg cioo citg nfmpt1 nfcxfr nffv nfov fveq2 fveq2d
      cv oveq1 oveq12d cbvmpt eqtri fourierdlem115 simpld ) AUHFUIUJKEUHUKULUMU
      KZUNCUOULUMUKZUPUKUQURWFUSHVRZCUOZWGLUTUKZVAUOZUTUKZWGDUOZWIVBUOZUTUKZUHU
      KZHVDUHUKWEVCABCDEFGUGHIJKLMNOPQRSTUAUBUCUDUEFHUSWOVEUGUSUGVRZCUOZWPLUTUK
      ZVAUOZUTUKZWPDUOZWRVBUOZUTUKZUHUKZVEUFHUGUSWOXDUGWOVFHWTXCUHHWQWSUTHWPCHC
      HVGBVHVIVHVJUKZBVRZIUOZWGXFUTUKZVAUOUTUKVKVHUMUKZVEUDHVGXIVLVMHWPVFZVNHUT
      VFZHWSVFVOHUHVFHXAXBUTHWPDHDHUSBXEXGXHVBUOUTUKVKVHUMUKZVEUEHUSXLVLVMXJVNX
      KHXBVFVOVOWGWPVCZWKWTWNXCUHXMWHWQWJWSUTWGWPCVPXMWIWRVAWGWPLUTVSZVQVTXMWLX
      AWMXBUTWGWPDVPXMWIWRVBXNVQVTVTWAWBWCWD $.
  $}

  ${
    $d F n x $.  $d G x $.  $d T x $.  $d X n x $.
    fourierclim.f $e |- F : RR --> RR $.
    fourierclim.t $e |- T = ( 2 x. _pi ) $.
    fourierclim.per $e |- ( x e. RR -> ( F ` ( x + T ) ) = ( F ` x ) ) $.
    fourierclim.g $e |- G = ( ( RR _D F ) |` ( -u _pi (,) _pi ) ) $.
    fourierclim.dmdv $e |- ( ( -u _pi (,) _pi ) \ dom G ) e. Fin $.
    fourierclim.dvcn $e |- G e. ( dom G -cn-> CC ) $.
    fourierclim.rlim $e |- ( x e. ( ( -u _pi [,) _pi ) \ dom G ) -> ( ( G |` (
       x (,) +oo ) ) limCC x ) =/= (/) ) $.
    fourierclim.llim $e |- ( x e. ( ( -u _pi (,] _pi ) \ dom G ) -> ( ( G |` (
       -oo (,) x ) ) limCC x ) =/= (/) ) $.
    fourierclim.x $e |- X e. RR $.
    fourierclim.l $e |- L e. ( ( F |` ( -oo (,) X ) ) limCC X ) $.
    fourierclim.r $e |- R e. ( ( F |` ( X (,) +oo ) ) limCC X ) $.
    fourierclim.a $e |- A = ( n e. NN0 |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x )
       x. ( cos ` ( n x. x ) ) ) _d x / _pi ) ) $.
    fourierclim.b $e |- B = ( n e. NN |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x )
       x. ( sin ` ( n x. x ) ) ) _d x / _pi ) ) $.
    fourierclim.s $e |- S = ( n e. NN |-> ( ( ( A ` n ) x. ( cos ` ( n x. X ) )
       ) + ( ( B ` n ) x. ( sin ` ( n x. X ) ) ) ) ) $.
    $( Fourier series convergence, for piecewise smooth functions.  See
       ~ fourier for the analogous ` sum_ ` equation.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    fourierclim $p |- seq 1 ( + , S ) ~~> ( ( ( L + R ) / 2 ) - ( ( A ` 0 ) / 2
       ) ) $=
      ( caddc c1 cseq co c2 cdiv cc0 cfv cmin cli wbr wtru cr wf cv wcel adantl
      a1i wceq cpi cneg cioo cdm cdif cfn cc ccncf cico cpnf cres climc c0 cioc
      wne cmnf fourierclimd mptru ) UFEUGUHJDUFUIUJUKUIULBUMUJUKUIUNUIUOUPUQABC
      DEFGHIJKURURHUSUQLVCMAUTZURVAWCFUFUIHUMWCHUMVDUQNVBOVEVFZVEVGUIIVHZVIVJVA
      UQPVCIWEVKVLUIVAUQQVCWCWDVEVMUIWEVIVAIWCVNVGUIVOWCVPUIVQVSUQRVBWCWDVEVRUI
      WEVIVAIVTWCVGUIVOWCVPUIVQVSUQSVBKURVAUQTVCJHVTKVGUIVOKVPUIVAUQUAVCDHKVNVG
      UIVOKVPUIVAUQUBVCUCUDUEWAWB $.
  $}

  ${
    $d F n x $.  $d G x $.  $d T x $.  $d X n x $.
    fourier.f $e |- F : RR --> RR $.
    fourier.t $e |- T = ( 2 x. _pi ) $.
    fourier.per $e |- ( x e. RR -> ( F ` ( x + T ) ) = ( F ` x ) ) $.
    fourier.g $e |- G = ( ( RR _D F ) |` ( -u _pi (,) _pi ) ) $.
    fourier.dmdv $e |- ( ( -u _pi (,) _pi ) \ dom G ) e. Fin $.
    fourier.dvcn $e |- G e. ( dom G -cn-> CC ) $.
    fourier.rlim $e |- ( x e. ( ( -u _pi [,) _pi ) \ dom G ) -> ( ( G |` ( x
       (,) +oo ) ) limCC x ) =/= (/) ) $.
    fourier.llim $e |- ( x e. ( ( -u _pi (,] _pi ) \ dom G ) -> ( ( G |` ( -oo
       (,) x ) ) limCC x ) =/= (/) ) $.
    fourier.x $e |- X e. RR $.
    fourier.l $e |- L e. ( ( F |` ( -oo (,) X ) ) limCC X ) $.
    fourier.r $e |- R e. ( ( F |` ( X (,) +oo ) ) limCC X ) $.
    fourier.a $e |- A = ( n e. NN0 |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x ) x. (
       cos ` ( n x. x ) ) ) _d x / _pi ) ) $.
    fourier.b $e |- B = ( n e. NN |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x ) x. (
       sin ` ( n x. x ) ) ) _d x / _pi ) ) $.
    $( Fourier series convergence for periodic, piecewise smooth functions.
       The series converges to the average value of the left and the right
       limit of the function.  Thus, if the function is continuous at a given
       point, the series converges exactly to the function value, see
       ~ fouriercnp .  Notice that for a piecewise smooth function, the left
       and right limits always exist, see ~ fourier2 for an alternative form of
       the theorem that makes this fact explicit.  When the first derivative is
       continuous, a simpler version of the theorem can be stated, see
       ~ fouriercn .  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fourier $p |- ( ( ( A ` 0 ) / 2 ) + sum_ n e. NN ( ( ( A ` n ) x. ( cos ` (
       n x. X ) ) ) + ( ( B ` n ) x. ( sin ` ( n x. X ) ) ) ) ) = ( ( L + R ) /
       2 ) $=
      ( cc0 cfv c2 cdiv co cn cv cmul ccos csin caddc csu wceq wtru cr a1i wcel
      wf adantl cpi cneg cioo cdm cdif cfn cc ccncf cico cpnf cres climc c0 wne
      cioc cmnf fourierd mptru ) UDBUEUFUGUHUIFUJZBUEWAJUKUHZULUEUKUHWACUEWBUMU
      EUKUHUNUHFUOUNUHIDUNUHUFUGUHUPUQABCDEFGHIJURURGVAUQKUSLAUJZURUTWCEUNUHGUE
      WCGUEUPUQMVBNVCVDZVCVEUHHVFZVGVHUTUQOUSHWEVIVJUHUTUQPUSWCWDVCVKUHWEVGUTHW
      CVLVEUHVMWCVNUHVOVPUQQVBWCWDVCVQUHWEVGUTHVRWCVEUHVMWCVNUHVOVPUQRVBJURUTUQ
      SUSIGVRJVEUHVMJVNUHUTUQTUSDGJVLVEUHVMJVNUHUTUQUAUSUBUCVSVT $.
  $}

  ${
    $d F n x $.  $d G x $.  $d T x $.  $d X n x $.  $d ph x $.
    fouriercnp.f $e |- ( ph -> F : RR --> RR ) $.
    fouriercnp.t $e |- T = ( 2 x. _pi ) $.
    fouriercnp.per $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x ) )
       $.
    fouriercnp.g $e |- G = ( ( RR _D F ) |` ( -u _pi (,) _pi ) ) $.
    fouriercnp.dmdv $e |- ( ph -> ( ( -u _pi (,) _pi ) \ dom G ) e. Fin ) $.
    fouriercnp.dvcn $e |- ( ph -> G e. ( dom G -cn-> CC ) ) $.
    fouriercnp.rlim $e |- ( ( ph /\ x e. ( ( -u _pi [,) _pi ) \ dom G ) ) -> (
       ( G |` ( x (,) +oo ) ) limCC x ) =/= (/) ) $.
    fouriercnp.llim $e |- ( ( ph /\ x e. ( ( -u _pi (,] _pi ) \ dom G ) ) -> (
       ( G |` ( -oo (,) x ) ) limCC x ) =/= (/) ) $.
    fouriercnp.j $e |- J = ( topGen ` ran (,) ) $.
    fouriercnp.cnp $e |- ( ph -> F e. ( ( J CnP J ) ` X ) ) $.
    fouriercnp.a $e |- A = ( n e. NN0 |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x )
       x. ( cos ` ( n x. x ) ) ) _d x / _pi ) ) $.
    fouriercnp.b $e |- B = ( n e. NN |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x ) x.
       ( sin ` ( n x. x ) ) ) _d x / _pi ) ) $.
    $( If ` F ` is continuous at the point ` X ` , then its Fourier series at
       ` X ` , converges to ` ( F `` X ) ` .  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    fouriercnp $p |- ( ph -> ( ( ( A ` 0 ) / 2 ) + sum_ n e. NN ( ( ( A ` n )
       x. ( cos ` ( n x. X ) ) ) + ( ( B ` n ) x. ( sin ` ( n x. X ) ) ) ) ) =
       ( F ` X ) ) $=
      ( cc0 cfv c2 cdiv co cn cv cmul ccos csin caddc csu ccnp wcel cr cioo crn
      ctg cuni uniretop unieqi eqtr4i cnprcl syl climc cmnf cres limcresi cc wf
      ccnfld ctopn crest eqid tgioo2 eqtri oveq2i fveq1i eleqtrdi ctop cnfldtop
      wss a1i ax-resscn unicntop cnprest2 syl3anc mpbird cnplimc sylancr simprd
      wa wb mpbid sselid cpnf fourierd ffvelrnd recnd 2timesd eqcomd oveq1d wne
      2cnd 2ne0 divcan3d 3eqtrd ) AUCCUDUEUFUGUHFUIZCUDXJJUJUGZUKUDUJUGXJDUDXKU
      LUDUJUGUMUGFUNUMUGJGUDZXLUMUGZUEUFUGUEXLUJUGZUEUFUGXLABCDXLEFGHXLJKLMNOPQ
      RAGJIIUOUGZUDZUPJUQUPZTJGIIUQUQURUSUTUDZVAIVAVBIXRSVCVDZVEVFZAGJVGUGZGVHJ
      URUGZVIJVGUGXLJYBGVJAUQVKGVLZXLYAUPZAGJIVMVNUDZUOUGUDUPZYCYDWNZAYFGJIYEUQ
      VOUGZUOUGZUDZUPZAGXPYJTJXOYIIYHIUOIXRYHSYEYEVPZVQVRZVSVTWAAYEWBUPZUQUQGVL
      UQVKWDZYFYKWOYNAYEYLWCWEKYOAWFWEUQJGIYEUQVKXSWGWHWIWJAYOXQYFYGWOWFXTUQJGI
      YEYLYMWKWLWPWMZWQAYAGJWRURUGZVIJVGUGXLJYQGVJYPWQUAUBWSAXMXNUEUFAXNXMAXLAX
      LAUQUQJGKXTWTXAZXBXCXDAXLUEYRAXFUEUCXEAXGWEXHXI $.
  $}

  ${
    $d A n $.  $d B n $.  $d F l n r x $.  $d G x $.  $d T n x $.
    $d X l n r x $.  $d l n ph r x $.
    fourier2.f $e |- ( ph -> F : RR --> RR ) $.
    fourier2.t $e |- T = ( 2 x. _pi ) $.
    fourier2.per $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x ) )
       $.
    fourier2.g $e |- G = ( ( RR _D F ) |` ( -u _pi (,) _pi ) ) $.
    fourier2.dmdv $e |- ( ph -> ( ( -u _pi (,) _pi ) \ dom G ) e. Fin ) $.
    fourier2.dvcn $e |- ( ph -> G e. ( dom G -cn-> CC ) ) $.
    fourier2.rlim $e |- ( ( ph /\ x e. ( ( -u _pi [,) _pi ) \ dom G ) ) -> ( (
       G |` ( x (,) +oo ) ) limCC x ) =/= (/) ) $.
    fourier2.llim $e |- ( ( ph /\ x e. ( ( -u _pi (,] _pi ) \ dom G ) ) -> ( (
       G |` ( -oo (,) x ) ) limCC x ) =/= (/) ) $.
    fourier2.x $e |- ( ph -> X e. RR ) $.
    fourier2.a $e |- A = ( n e. NN0 |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x ) x.
       ( cos ` ( n x. x ) ) ) _d x / _pi ) ) $.
    fourier2.b $e |- B = ( n e. NN |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x ) x. (
       sin ` ( n x. x ) ) ) _d x / _pi ) ) $.
    $( Fourier series convergence, for a piecewise smooth function.  Here it is
       also proven the existence of the left and right limits of ` F ` at any
       given point ` X ` .  See ~ fourierd for a comparison.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.) $)
    fourier2 $p |- ( ph -> E. l e. ( ( F |` ( -oo (,) X ) ) limCC X ) E. r e. (
       ( F |` ( X (,) +oo ) ) limCC X ) ( ( ( A ` 0 ) / 2 ) + sum_ n e. NN ( (
       ( A ` n ) x. ( cos ` ( n x. X ) ) ) + ( ( B ` n ) x. ( sin ` ( n x. X )
       ) ) ) ) = ( ( l + r ) / 2 ) ) $=
      ( cv cmnf cioo co cres climc wcel cc0 cfv c2 cdiv cn cmul ccos csin caddc
      csu wceq cpnf wrex wa wex c0 wne fourierdlem106 simpld sylib simpr simprd
      n0 adantr cr wf ad2antrr ad4ant14 cpi cneg cdm cdif cfn cc ccncf fourierd
      cico cioc jca ex eximdv mpd df-rex sylibr ) AKUCZGUDIUEUFUGIUHUFZUIZUJCUK
      ULUMUFUNFUCZCUKWQIUOUFZUPUKUOUFWQDUKWRUQUKUOUFURUFFUSURUFWNJUCZURUFULUMUF
      UTZJGIVAUEUFUGIUHUFZVBZVCZKVDZXBKWOVBAWPKVDZXDAWOVEVFZXEAXFXAVEVFZABEGHIL
      MNOPQRSTVGZVHKWOVLVIAWPXCKAWPXCAWPVCZWPXBAWPVJZXIWSXAUIZWTVCZJVDZXBXIXKJV
      DZXMAXNWPAXGXNAXFXGXHVKJXAVLVIVMXIXKXLJXIXKXLXIXKVCZXKWTXIXKVJZXOBCDWSEFG
      HWNIAVNVNGVOWPXKLVPMABUCZVNUIXQEURUFGUKXQGUKUTWPXKNVQOAVRVSZVRUEUFHVTZWAW
      BUIWPXKPVPAHXSWCWDUFUIWPXKQVPAXQXRVRWFUFXSWAUIHXQVAUEUFUGXQUHUFVEVFWPXKRV
      QAXQXRVRWGUFXSWAUIHUDXQUEUFUGXQUHUFVEVFWPXKSVQAIVNUIWPXKTVPXIWPXKXJVMXPUA
      UBWEWHWIWJWKWTJXAWLWMWHWIWJWKXBKWOWLWM $.
  $}

  ${
    $d N x $.  $d ph x $.
    sqwvfoura.t $e |- T = ( 2 x. _pi ) $.
    sqwvfoura.f $e |- F = ( x e. RR |-> if ( ( x mod T ) < _pi , 1 , -u 1 ) )
       $.
    sqwvfoura.n $e |- ( ph -> N e. NN0 ) $.
    $( Fourier coefficients for the square wave function.  Since the square
       function is an odd function, there is no contribution from the ` A `
       coefficients.  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    sqwvfoura $p |- ( ph -> ( S. ( -u _pi (,) _pi ) ( ( F ` x ) x. ( cos ` ( N
       x. x ) ) ) _d x / _pi ) = 0 ) $=
      ( cpi co cmul cc0 caddc wceq cr wcel a1i wbr c1 cc cneg cioo cfv ccos cif
      citg cdiv pire cicc cle 0re ltleii pipos wa cmo clt adantl adantr elioore
      remulcld recoscld recnd cmpt cibl syl2anc2 crp c2 pirp mp2an eqeltri picn
      eqtri oveq2i recni oveq1i cxr rexri 0red rexrd id ioogtlb syl3anc mulid2i
      ltadd1dd lttrd ltled iooltub addid2d modid syl22anc iffalsed eqtrd oveq1d
      breqtrd cz mpteq2dva 1cnd negcld ioossicc cvol ioombl iccssre sseli ccncf
      wss ax-resscn sstri constcncfg idcncfg mulcncf cncfmpt1f cniccibl eqeltrd
      iblmulc2 itgeq2dv itgmulc2 mul02d fveq2d eqtrdi adantll ioovolcl itgconst
      iblss cos0 cmin volioo mp3an oveq2d 3eqtrd iftrue mul01d csin itgcoscmulx
      mulid2d syl oveq12d 3eqtr4d syldan pm2.61dan 3eqtr2d cv renegcli negpilt0
      elicc2i mpbir3an 1red renegcld ifcld fmptd ffvelrnd nn0red fvmpt2 rpmulcl
      wf 2rp modcld 2timesi addassi addcomli addid2i 3eqtr2ri remulcli eqbrtrid
      negidi 2re eqcomi readdcld 1zzd modcyc 3eqtr3a ltnsymd cdm coscn 2timesgt
      ax-mp breqtrri eqbrtrd iftrued itgsplitioo oveq1 ioosscn sylan9eq subnegi
      ssid 0cn 3eqtri mulm1i eqcomd wn nn0ge0d neqne ne0gt0d simpr gt0ne0d sin0
      wne mulneg2d mulcld sinneg sincld subnegd nn0zd sinkpi div0d neneqd itgcl
      0cnd simpl ax-1cn subid1i 3eqtr4a subidd iffalse pm2.61i gtneii div0i
      00id ) ABIUAZIUBJZBUUAZDUCZEUXTKJZUDUCZKJZUFZIUGJBUXRLUBJZUYDUFZBLIUBJZUY
      DUFZMJZIUGJELNZUXRLUEZUYKILUEZMJZIUGJZLAUYEUYJIUGABUXRLIUYDUXROPZAIUHUUBZ
      QZIOPZAUHQZLUXRIUIJPZAVUALOPZUXRLUJRZLIUJRZUKUXRLUYQUKUUCULZLIUKUHUMULZUX
      RILUYQUHUUDUUEQAUXTUXSPZUNZUYDVUHUYAUYCVUHOOUXTDAOODUUNVUGABOUXTCUOJZIUPR
      ZSSUAZUEZODUXTOPZVULOPZAVUMVUJSVUKOVUMUUFZVUMSVUOUUGUUHZUQGUUIURVUGVUMAUX
      TUXRIUSUQZUUJVUHUYBVUHEUXTAEOPZVUGAEHUUKZURVUQUTVAUTVBABUYFUYDVCBUYFVUKUY
      CKJZVCVDABUYFUYDVUTUXTUYFPZUYDVUTNAVVAUYAVUKUYCKVVAUYAVULVUKVVAVUMVUNUYAV
      ULNZUXTUXRLUSZVUPBOVULODGUULZVEVVAVUJSVUKVVAIVUIUYSVVAUHQZVVAUXTCVVCCVFPZ
      VVACVGIKJZVFFVGVFPIVFPZVVGVFPUUOVHVGIUUMVIVJZQZUUPVVAIUXTCMJZVUIUPVVAIUXR
      CMJZVVKUPVVLUXRIIMJZMJUXRIMJZIMJZICVVMUXRMCVVGVVMFIVKUUQVLVMUXRIIUXRUYQVN
      ZVKVKUURVVOLIMJZIVVNLIMIUXRLVKVVPIVKUVDUUSZVOIVKUUTZVLUVAVVAUXRUXTCUYPVVA
      UYQQVVCCOPZVVACVVGOFVGIUVEUHUVBVJZQZVVAUXRVPPZLVPPZVVAUXRUXTUPRVWCVVAUXRU
      YQVQQZVVALVVAVRZVSZVVAVTZUXRLUXTWAWBWDUVCZVVAVVKCUOJZUXTSCKJZMJZCUOJZVVKV
      UIVVKVWLCUOCVWKUXTMVWKCCCVWAVNZWCUVFVMVOVVAVVKOPVVFLVVKUJRVVKCUPRVWJVVKNV
      VAUXTCVVCVWBUVGZVVJVVALVVKVWFVWOVVALIVVKVWFVVEVWOLIUPRVVAUMQVWIWEWFVVAVVK
      LCMJCUPVVAUXTLCVVCVWFVWBVVAVWCVWDVVAUXTLUPRVWEVWGVWHUXRLUXTWGWBWDVVACCTPV
      VAVWNQWHWNVVKCWIWJVVAVUMVVFSWOPVWMVUINVVCVVJVVAUVHUXTCSUVIWBUVJWNUVKWKWLW
      MUQZWPABUYFUYCVUKOASAWQZWRZAVVAUNZUYBVWSEUXTAVURVVAVUSURVVAVUMAVVCUQUTVAZ
      ABUYFUXRLUIJZUYCOUYFVXAXEAUXRLWSQUYFWTUVLZPZAUXRLXAQZAUXTVXAPZUNZUYBVXFEU
      XTAVURVXEVUSURVXEVUMAVXAOUXTUYPVUBVXAOXEUYQUKUXRLXBVIZXCUQUTVAAUYPVUBBVXA
      UYCVCZVXATXDJPVXHVDPUYRAVRZABUYBUDVXAUDTTXDJPAUVMQZABEUXTVXAABVXAETVXATXE
      AVXAOTVXGXFXGQZAEVUSVBZTTXEATUWDQZXHABVXATVXKVXMXIXJXKUXRLVXHXLWBYCZXNXMA
      BUYHUYDVCBUYHSUYCKJZVCVDABUYHUYDVXOUXTUYHPZUYDVXONAVXPUYASUYCKVXPUYAVULSV
      XPVUMVUNVVBUXTLIUSZVUPVVDVEVXPVUJSVUKVXPVUIUXTIUPVXPVUMVVFLUXTUJRUXTCUPRV
      UIUXTNVXQVVFVXPVVIQVXPLUXTVXPVRZVXQVXPVWDIVPPZVXPLUXTUPRVXPLVXRVSZVXSVXPI
      UHVQQZVXPVTZLIUXTWAWBWFVXPUXTICVXQUYSVXPUHQVVTVXPVWAQVXPVWDVXSVXPUXTIUPRV
      XTVYAVYBLIUXTWGWBZICUPRVXPIVVGCUPVVHIVVGUPRVHIUVNUVOFUVPQWEUXTCWIWJVYCUVQ
      UVRWLWMUQZWPABUYHUYCSOVWQAVXPUNZUYBVYEEUXTAVURVXPVUSURVXPVUMAVXQUQUTVAZAB
      UYHLIUIJZUYCOUYHVYGXEALIWSQUYHVXBPZALIXAZQAUXTVYGPZUNZUYBVYKEUXTAVURVYJVU
      SURVYJVUMAVYGOUXTVUBUYSVYGOXEUKUHLIXBVIZXCUQUTVAAVUBUYSBVYGUYCVCZVYGTXDJP
      VYMVDPVXIUYTABUYBUDVYGVXJABEUXTVYGABVYGETVYGTXEAVYGOTVYLXFXGQZVXLVXMXHABV
      YGTVYNVXMXIXJXKLIVYMXLWBYCZXNXMUVSWMAUYJUYNIUGAUYGUYLUYIUYMMAUYGBUYFVUTUF
      VUKBUYFUYCUFZKJZUYLABUYFUYDVUTVWPXOABUYFUYCVUKOVWRVWTVXNXPAUYKVYQUYLNZAUY
      KUNZVYQVUKIKJZUXRUYLVYSVYPIVUKKVYSVYPBUYFSUFZSUYFWTUCZKJZIVYSBUYFUYCSUYKV
      VAUYCSNZAUYKVVAUNZUYCLUDUCZSWUEUYBLUDUYKVVAUYBLUXTKJZLELUXTKUVTVVAUXTUYFT
      UXTUXRLUWAXCXQUWBXRYDXSXTXOAWUAWUCNZUYKAVXCWUBOPZSTPZWUHVXDWUIAUYPVUBWUIU
      YQUKUXRLYAVIQVWQBUYFSYBWBURAWUCINUYKAWUCSIKJZIAWUBISKWUBINAWUBLUXRYEJZVVQ
      IUYPVUBVUCWUBWULNUYQUKVUEUXRLYFYGLIUWEVKUWCVVSUWFQYHAIITPAVKQZYNWLURYIYHV
      YTUXRNVYSIVKUWGQUYKUXRUYLNAUYKUYLUXRUYKUXRLYJZUWHUQYIAUYKUWIZLEUPRZVYRAWU
      OUNEAVURWUOVUSURALEUJRWUOAEHUWJURWUOELUWPAELUWKUQUWLZAWUPUNZVUKLKJLVYQUYL
      WURVUKWURSWURWQWRYKWURVYPLVUKKWURVYPELKJZYLUCZEUXRKJZYLUCZYEJZEUGJEIKJZYL
      UCZEUGJZLWURBEUXRLAETPWUPVXLURZUYPWURUYQQWURVRZVUCWURVUEQWUREAWUPUWMUWNZY
      MWURWVCWVEEUGAWVCWVENWUPAWVCLWVEUAZYEJLWVEMJWVEAWUTLWVBWVJYEAWUTLYLUCLAWU
      SLYLAEVXLYKXRUWOXSZAWVBWVDUAZYLUCZWVJAWVAWVLYLAEIVXLWUMUWQXRAWVDTPWVMWVJN
      AEIVXLWUMUWRZWVDUWSYOWLYPALWVEAUXGZAWVDWVNUWTZUXAAWVEWVPWHYIURWMWURWVFLEU
      GJZLAWVFWVQNWUPAWVELEUGAEWOPWVELNAEHUXBEUXCYOZWMURWUREWVGWVIUXDZWLYIYHWUR
      UYKUXRLWURELWVIUXEZWKYQYRYSYTAUYIBUYHVXOUFSBUYHUYCUFZKJZUYMABUYHUYDVXOVYD
      XOABUYHUYCSOVWQVYFVYOXPAWWBWWAUYMAWWAABUYHUYCOVYFVYOUXFYNAUYKWWAUYMNZVYSW
      WABUYHSUFZSUYHWTUCZKJZUYMVYSBUYHUYCSUYKVXPWUDAUYKVXPUNZUYCWUFSWWGUYBLUDWW
      GUYBWUGLWWGELUXTKUYKVXPUXHWMWWGUXTVXPUXTTPUYKVXPUXTVXQVBUQXQWLXRYDXSXTXOW
      WDWWFNZVYSVYHWWEOPZWUJWWHVYIVUBUYSWWIUKUHLIYAVIUXIBUYHSYBYGQUYKWWFUYMNAUY
      KWUKIWWFUYMIVKWCWWFWUKNUYKWWEISKWWEILYEJZIVUBUYSVUDWWEWWJNUKUHVUFLIYFYGIV
      KUXJVLVMQUYKILYJZUXKUQYIAWUOWUPWWCWUQWURWVEWUTYEJZEUGJZLWWAUYMWURWWMWVQLA
      WWMWVQNWUPAWWLLEUGAWWLLLYEJLAWVELWUTLYEWVRWVKYPALWVOUXLWLWMURWVSWLWURBELI
      WVGWVHUYSWURUHQVUDWURVUFQWVIYMWURUYKILWVTWKYQYRYSWLYTYPWMUYOLNAUYOLIUGJLU
      YNLIUGUYKUYNLNUYKUYNVVNLUYKUYLUXRUYMIMWUNWWKYPVVRXSWUOUYNLLMJLWUOUYLLUYML
      MUYKUXRLUXMUYKILUXMYPUXQXSUXNVOIVKLIUKUMUXOUXPVLQYI $.
  $}

  ${
    $d N x $.  $d ph x $.
    sqwvfourb.t $e |- T = ( 2 x. _pi ) $.
    sqwvfourb.f $e |- F = ( x e. RR |-> if ( ( x mod T ) < _pi , 1 , -u 1 ) )
       $.
    sqwvfourb.n $e |- ( ph -> N e. NN ) $.
    $( Fourier series ` B ` coefficients for the square wave function.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    sqwvfourb $p |- ( ph -> ( S. ( -u _pi (,) _pi ) ( ( F ` x ) x. ( sin ` ( N
       x. x ) ) ) _d x / _pi ) = if ( 2 || N , 0 , ( 4 / ( N x. _pi ) ) ) ) $=
      ( cpi co cdiv cc0 caddc c2 cr wcel a1i c1 cc wceq cneg cioo cfv cmul csin
      citg wbr cif pire renegcli cicc cle 0re negpilt0 ltleii pipos cmo elioore
      c4 clt adantl 1re ifcli sylancl recnd eqeltrd adantr mulcld cmpt cibl crp
      wa pirp mp2an eqeltri eqtri oveq2i recni oveq1i cxr rexri ioogtlb mp3an12
      picn 0xr ltadd1dd eqbrtrd 0red lttrd ltled iooltub breqtrd modid syl22anc
      eqcomi cz syl3anc oveq1d mpteq2dva remulcld resincld wss ioossicc iccssre
      eqtrd sseli ccncf ax-resscn constcncfg idcncfg mulcncf cncfmpt1f cniccibl
      ioombl sstri iblss eliood sylan2 itgeq2dv ccos itgsincmulx eqtrdi oveq12d
      cmin syl 1m1e0 iftrue 3eqtr4a iffalse ax-1cn 1p1e2 eqtr4id 3eqtrd pm2.61i
      negeqd 0cn 2cn 3eqtr2d oveq2d eqcomd cdvds elicc2i mpbir3an fvmpt2 sincld
      nncnd 2rp rpmulcl modcld 2timesi addassi negidi addcomli addid2i 3eqtr2ri
      cv remulcli mulid2i readdcld addid2d 1zzd modcyc 3eqtr3a ltnsymd iffalsed
      2re neg1cn nnred cvol sincn ssid iblmulc2 2timesgt ax-mp breqtrri iftrued
      cdm mulid2d itgsplitioo mulm1d itgneg nnne0d nnzd cosknegpi mul01d fveq2d
      cos0 wn negdi2 negeqi negcli divnegd neg0 negnegi coskpi2 subnegi divdird
      00id div0d 2p2e4 eqtr4d pm2.61dan gtneii div0i 4cn wne divdiv1d ) ABIUAZI
      UBJZBUUPZDUCZEUXJUDJZUEUCZUDJZUFZIKJBUXHLUBJZUXNUFZBLIUBJZUXNUFZMJZIKJNEU
      UAUGZLUSEKJZUHZIKJZUYALUSEIUDJZKJZUHZAUXOUXTIKABUXHLIUXNUXHOPZAIUIUJZQZIO
      PZAUIQZLUXHIUKJPZAUYMLOPZUXHLULUGZLIULUGZUMUXHLUYIUMUNUOZLIUMUIUPUOZUXHIL
      UYIUIUUBUUCQAUXJUXIPZVLZUXKUXMUYTUXKUXJCUQJZIUTUGZRRUAZUHZSUYTUXJOPZVUDOP
      ZUXKVUDTZUYSVUEAUXJUXHIURVAZVUBRVUCOVBRVBUJVCZBOVUDODGUUDZVDZUYTVUDVUFUYT
      VUIQVEVFUYTUXLUYTEUXJAESPUYSAEHUUFZVGUYTUXJVUHVEVHUUEZVHABUXPUXNVIBUXPVUC
      UXMUDJZVIVJABUXPUXNVUNAUXJUXPPZVLZUXKVUCUXMUDVUOUXKVUCTAVUOUXKVUDVUCVUOVU
      EVUFVUGUXJUXHLURZVUIVUJVDVUOVUBRVUCVUOIVUAUYKVUOUIQZVUOUXJCVUQCVKPZVUOCNI
      UDJZVKFNVKPIVKPZVUTVKPUUGVMNIUUHVNVOZQZUUIVUOIUXJCMJZVUAUTVUOIUXHCMJZVVDU
      TIVVETVUOVVEUXHIIMJZMJUXHIMJZIMJZICVVFUXHMCVUTVVFFIWDUUJVPVQUXHIIUXHUYIVR
      ZWDWDUUKVVHLIMJIVVGLIMIUXHLWDVVIIWDUULUUMVSIWDUUNVPUUOQVUOUXHUXJCUYHVUOUY
      IQVUQCOPZVUOCVUTOFNIUVFUIUUQVOZQZUXHVTPZLVTPZVUOUXHUXJUTUGUXHUYIWAZWEUXHL
      UXJWBWCZWFWGZVUOVVDCUQJZUXJRCUDJZMJZCUQJZVVDVUAVVDVVTCUQCVVSUXJMVVSCCCVVK
      VRUURWOVQVSVUOVVDOPVUSLVVDULUGVVDCUTUGVVRVVDTVUOUXJCVUQVVLUUSZVVCVUOLVVDV
      UOWHZVWBVUOLIVVDVWCVURVWBLIUTUGVUOUPQZVVQWIWJVUOVVDLCMJCUTVUOUXJLCVUQVWCV
      VLVVMVVNVUOUXJLUTUGVVOWEUXHLUXJWKWCZWFVUOCVUOCVVLVEUUTWLVVDCWMWNVUOVUEVUS
      RWPPVWAVUATVUQVVCVUOUVAUXJCRUVBWQUVCWLUVDUVEXEZVAWRWSABUXPUXMVUCOVUCSPAUV
      GQVUPUXLVUPEUXJAEOPZVUOAEHUVHZVGVUOVUEAVUQVAWTXAZABUXPUXHLUKJZUXMOUXPVWJX
      BAUXHLXCQUXPUVIUVQZPAUXHLXNQAUXJVWJPZVLZUXLVWMEUXJAVWGVWLVWHVGVWLVUEAVWJO
      UXJUYHUYNVWJOXBUYIUMUXHLXDVNZXFVAWTXAAUYHUYNBVWJUXMVIZVWJSXGJPVWOVJPUYJAW
      HZABUXLUEVWJUESSXGJPAUVJQZABEUXJVWJABVWJESVWJSXBAVWJOSVWNXHXOQZVULSSXBASU
      VKQZXIABVWJSVWRVWSXJXKXLUXHLVWOXMWQXPZUVLVFABUXRUXNVIBUXRUXMVIVJABUXRUXNU
      XMAUXJUXRPZVLZUXNRUXMUDJZUXMVXBUXKRUXMUDVXBUXKVUDRVXAAUYSVUGVXAUXHIUXJVVM
      VXAVVOQIVTPZVXAIUIWAZQUXJLIURZVXAUXHLUXJUYHVXAUYIQVXAWHZVXFUXHLUTUGVXAUNQ
      VVNVXDVXALUXJUTUGWEVXELIUXJWBWCZWIVVNVXDVXAUXJIUTUGWEVXELIUXJWKWCZXQZVUKX
      RVXAVUDRTAVXAVUBRVUCVXAVUAUXJIUTVXAVUEVUSLUXJULUGUXJCUTUGVUAUXJTVXFVUSVXA
      VVBQVXALUXJVXGVXFVXHWJVXAUXJICVXFUYKVXAUIQVVJVXAVVKQVXIICUTUGVXAIVUTCUTVV
      AIVUTUTUGVMIUVMUVNFUVOQWIUXJCWMWNVXIWGUVPZVAXEWRVXBUXMVXAAUYSUXMSPZVXJVUM
      XRUVRZXEWSABUXRLIUKJZUXMOUXRVXNXBALIXCQUXRVWKPALIXNQAUXJVXNPZVLZUXLVXPEUX
      JAVWGVXOVWHVGVXOVUEAVXNOUXJUYNUYKVXNOXBUMUILIXDVNZXFVAWTXAAUYNUYKBVXNUXMV
      IZVXNSXGJPVXRVJPVWPUYLABUXLUEVXNVWQABEUXJVXNABVXNESVXNSXBAVXNOSVXQXHXOQZV
      ULVWSXIABVXNSVXSVWSXJXKXLLIVXRXMWQXPVFUVSWRAUXTUYCIKAUXTUYALNUHZEKJZVYAMJ
      VXTVXTMJZEKJZUYCAUXQVYAUXSVYAMAUXQBUXPUXMUAZUFBUXPUXMUFZUAZVYAABUXPUXNVYD
      VUPUXNVUNVYDVUOUXNVUNTAVUOUXKVUCUXMUDVWFWRVAVUPUXMVUOAUYSVXLVUOUXHIUXJVVM
      VUOVVOQVXDVUOVXEQVUQVVPVUOUXJLIVUQVWCVURVWEVWDWIXQVUMXRUVTXEXSABUXPUXMOVW
      IVWTUWAAVYFUYALNUAZUHZEKJZUAVYHUAZEKJZVYAAVYEVYIAVYEEUXHUDJXTUCZELUDJZXTU
      CZYDJZEKJVYIABEUXHLVULAEHUWBZUYJVWPUYOAUYQQYAAVYOVYHEKAVYOUYARVUCUHZRYDJZ
      VYHAVYLVYQVYNRYDAEWPPZVYLVYQTAEHUWCZEUWDYEAVYNLXTUCRAVYMLXTAEVULUWEUWFUWG
      YBZYCUYAVYRVYHTUYARRYDJZLVYRVYHYFUYAVYQRRYDUYARVUCYGZWRUYALVYGYGZYHUYAUWH
      ZVYRVUCRYDJZRRMJZUAZVYHWUEVYQVUCRYDUYARVUCYIZWRWUFWUHTWUEWUHWUFRSPZWUJWUH
      WUFTYJYJRRUWIVNWOQWUEWUHVYGVYHWUGNYKUWJUYALVYGYIZYLYMYNYBWRXEYOAVYHEVYHSP
      AUYALVYGSYPNYQUWKVCQVULVYPUWLVYKVYATAVYJVXTEKUYAVYJVXTTUYALUALVYJVXTUWMUY
      AVYHLWUDYOUYALNYGZYHWUEVYGUANVYJVXTNYQUWNWUEVYHVYGWUKYOUYALNYIZYHYNVSQYMY
      RAUXSBUXRUXMUFVYNUYEXTUCZYDJZEKJVYAABUXRUXNUXMVXBUXNVXCUXMVXAUXNVXCTAVXAU
      XKRUXMUDVXAUXKVUDRVXAVUEVUFVUGVXFVUIVUJVDVXKXEWRVAVXMXEXSABELIVULVYPVWPUY
      LUYPAUYRQYAAWUOVXTEKAWUORVYQYDJZVXTAVYNRWUNVYQYDWUAAVYSWUNVYQTVYTEUWOYEYC
      UYAWUPVXTTUYAWUBLWUPVXTYFUYAVYQRRYDWUCYSWULYHWUEWUPRVUCYDJZWUGVXTWUEVYQVU
      CRYDWUIYSWUQWUGTWUERRYJYJUWPQWUEWUGNVXTYKWUMYLYMYNYBWRYMYCAVXTVXTEVXTSPAU
      YALNSYPYQVCQZWURVULVYPUWQAUYAVYCUYCTZAUYAVLZVYCLEKJZLUYCUYAVYCWVATAUYAVYB
      LEKUYAVYBLLMJLUYAVXTLVXTLMWULWULYCUWRYBWRVAAWVALTUYAAEVULVYPUWSVGUYALUYCT
      AUYAUYCLUYALUYBYGZYTVAYMWUEWUSAWUEVYCUYBUYCWUEVYBUSEKWUEVYBNNMJUSWUEVXTNV
      XTNMWUMWUMYCUWTYBWRUYALUYBYIZUXAVAUXBYRWRAUYAUYDUYGTWUTUYDLIKJZLUYGUYAUYD
      WVDTAUYAUYCLIKWVBWRVAWVDLTWUTIWDLIUMUPUXCZUXDQUYALUYGTAUYAUYGLUYALUYFYGYT
      VAYMAWUEVLUYDUYBIKJZUYFUYGWUEUYDWVFTAWUEUYCUYBIKWVCWRVAAWVFUYFTWUEAUSEIUS
      SPAUXEQVULISPAWDQVYPILUXFAWVEQUXGVGWUEUYFUYGTAWUEUYGUYFUYALUYFYIYTVAYMUXB
      YM $.
  $}

  ${
    $d T k $.  $d T x $.  $d X k $.  $d X x $.
    fourierswlem.t $e |- T = ( 2 x. _pi ) $.
    fourierswlem.f $e |- F = ( x e. RR |-> if ( ( x mod T ) < _pi , 1 , -u 1 )
       ) $.
    fourierswlem.x $e |- X e. RR $.
    fourierswlem.y $e |- Y = if ( ( X mod _pi ) = 0 , 0 , ( F ` X ) ) $.
    $( The Fourier series for the square wave ` F ` converges to ` Y ` , a
       simpler expression for this special case.  (Contributed by Glauco
       Siliprandi, 11-Dec-2019.) $)
    fourierswlem $p |- Y = ( ( if ( ( X mod T ) e. ( 0 (,] _pi ) , 1 , -u 1 ) +
       ( F ` X ) ) / 2 ) $=
      ( co cc0 cpi wcel c1 caddc c2 cdiv wceq cmul a1i vk cmo cioc cneg cif cfv
      wa wo wn cdvds wbr cz cv wrex simpr wb 2z cr crp pirp mp2an biimpi adantr
      mod0 divides syl2anc mpbid wi 2cnd cc zcn mulassd mulcld mulcomd eqtrd id
      picn eqcomd adantl recni pire pipos gt0ne0ii divmuld 3eqtrrd oveq12d 2ne0
      wne mulne0d divcan3d simpl eqeltrd rexlimdv mpd remulcli eqeltri breqtrri
      ex 2re clt sylibr orcd sylbi oveq1d 3eqtrd eqeltrid syl mp3an12 cle ax-mp
      0re pm2.61dan cxr eliocd iftrued necon2bi iffalsed syl5eq 1pneg1e0 eqtrdi
      0xr rexri 2cn iftrue eqtr2id ax-1cn mulcomi oveq1i oveq2i leneltd 2div2e1
      eqtri mulcli eqtr2i eqbrtrdi mp3an 3eqtr2i nsyl ltnled negeqi 2pos elrpii
      mulgt0ii odd2np1 biimpa 1cnd adddird eqcomi oveq2d mulid2i addcomd modcyc
      peano2cn ltleii 2timesgt modid syl22anc iocgtlb gt0ne0d neneqd pm2.53 imp
      olcd modcl breqtrrid eqlei2 oveq1 breq1d ifbid 1ex negex ifex fvmpt ltned
      syl2anr adantll div0i ad2antlr mpdan cfl cmin eqtr3i gtneii redivcli flcl
      iocleub mulassi adddii 3eqtr4ri modval npcand addcli divcan3i 1z necon3bi
      zmulcl zaddcl 1p1e2 eqtr2di iffalse neg1cn addcomli 2cnne0 pm3.2i divdiv1
      divdiv32i divcli divcan2i zmulcld cioo pm4.56 olc 0red modge0 neqne modlt
      mpbird eliood ioogtlb gtnelioc ltnsymd df-2 negdii divneg orcanai pm2.61i
      ) DBUBJZKLUCJMZEUYHNNUDZUEZDCUFZOJZPQJZRZUYHDLUBJKRZUYNUYHUYOUGZUYGLRZUYN
      UYOUYGKRZUYQUHZUYRUIZUYQUYHUYOPDLQJZUJUKZUYSUYOVUBUGZUYRUYQVUCDBQJZULMZUY
      RVUCUAUMZPSJZVUARZUAULUNZVUEVUCVUBVUIUYOVUBUOVUCPULMZVUAULMZVUBVUIUPVUJVU
      CUQTUYOVUKVUBUYOVUKDURMZLUSMZUYOVUKUPHUTDLVDVAZVBVCUAPVUAVEVFVGVUCVUHVUEU
      AULVUFULMZVUHVUEVHVHVUCVUOVUHVUEVUOVUHUGZVUDVUFULVUPVUDPLSJZVUFSJZVUQQJZV
      UFVUPDVURBVUQQVUPVURLVUFSJZPSJZLVUGSJZDVUOVURVVARVUHVUOVURPVUTSJVVAVUOPLV
      UFVUOVIZLVJMZVUOVQTZVUFVKZVLVUOPVUTVVCVUOLVUFVVEVVFVMVNVOVCVUOVVAVVBRVUHV
      UOLVUFPVVEVVFVVCVLVCVUPVUAVUGRZVVBDRVUHVVGVUOVUHVUGVUAVUHVPVRVSVUPDLVUGDV
      JMZVUPDHVTZTVVDVUPVQTVUPVUFPVUOVUFVJMVUHVVFVCVUPVIVMLKWHZVUPLWAWBWCZTWDVG
      WEBVUQRVUPFTWFVUOVUSVUFRVUHVUOVUFVUQVVFVUOPLVVCVVEVMZVUOPLVVCVVEPKWHZVUOW
      GTVVJVUOVVKTWIWJVCVOVUOVUHWKWLWRTWMWNVULBUSMZUYRVUEUPHBBVUQURFPLWSWAWOWPZ
      KVUQBWTPLWSWAUUAWBUUCFWQZUUBZDBVDVAZXAXBUYOVUBUIZUGZUYQUYRVVTPVUFSJZNOJZV
      UARZUAULUNZUYQUYOVVSVWDUYOVUKVVSVWDUPVUNUAVUAUUDXCUUEVVTVWCUYQUAULVUOVWCU
      YQVHVHVVTVUOVWCUYQVUOVWCUGZUYGLVUFBSJZOJZBUBJZLBUBJZLVWEDVWGBUBVWEVWGVWBL
      SJZLVWBSJZDVWEVWJVWALSJZNLSJZOJZVWFLOJZVWGVWEVWANLVUOVWAVJMZVWCVUOPVUFVVC
      VVFVMZVCVWEUUFVVDVWEVQTZUUGVUOVWNVWORVWCVUOVWLVWFVWMLOVUOVWLVUGLSJVUFVUQS
      JVWFVUOVWAVUGLSVUOPVUFVVCVVFVNXDVUOVUFPLVVFVVCVVEVLVUOVUQBVUFSVUQBRVUOBVU
      QFUUHTUUIXEVWMLRVUOLVQUUJZTWFVCVUOVWOVWGRVWCVUOVWFLVUOVUFBVVFVUOBVUQVJFVV
      LXFVMVVEUUKVCWEVUOVWJVWKRVWCVUOVWBLVUOVWPVWBVJMZVWQVWAUUMXGZVVEVNVCVWEVUA
      VWBRZVWKDRVWCVXBVUOVWCVWBVUAVWCVPVRVSVWEDLVWBVVHVWEVVITVWRVUOVWTVWCVXAVCV
      VJVWEVVKTWDVGWEXDVUOVWHVWIRZVWCLURMZVVNVUOVXCWAVVQLBVUFUULXHVCVWEVXDVVNKL
      XIUKZLBWTUKZVWILRVXDVWEWATVVNVWEVVQTVXEVWEKLXKWAWBUUNZTVXFVWELVUQBWTVUMLV
      UQWTUKUTLUUOXJFWQTLBUUPUUQXEWRTWMWNUVCXLZUYHUYGKUYHUYGKXMMZLXMMZUYHKUYGWT
      UKZYALWAYBZKLUYGUURXHUUSZUUTUYSUYTUYQUYRUYQUVAUVBUVOUYPUYQUGZUYMKPQJZKEUY
      OUYQUYMVXORUYHUYOUYQUGZUYLKPQVXPUYLNUYIOJKVXPUYJNUYKUYIOUYQUYJNRZUYOUYQUY
      HNUYIUYQKLUYGVXIUYQYATVXJUYQVXLTUYGXMMZUYQUYGVULVVNUYGURMZHVVQDBUVDVAZYBZ
      TUYQKLUYGWTWBUYQVPUVELUYGWAUVFZXNXOVSUYQUYKUYIRUYOUYQUYKUYGLWTUKZNUYIUEZU
      YIVULUYKVYDRHADAUMZBUBJZLWTUKZNUYIUEVYDURCVYEDRZVYGVYCNUYIVYHVYFUYGLWTVYE
      DBUBUVGUVHUVIGVYCNUYIUVJNUVKUVLUVMXJZUYQVYCNUYIVYCUYGLVYCUYGLVXSVYCVXTTVY
      CVPUVNXPXQXRVSWFXSXTXDUVPVXOKRVXNPYCWGUVQZTUYOKERUYHUYQUYOEUYOKUYKUEZKIUY
      OKUYKYDYEUVRWEUVSUYHUYOUIZUGZUYMNNOJZPQJZUYKEVYMUYLVYNPQVYMUYJNUYKNOUYHVX
      QVYLUYHNUYIYDVCVYMVYCUYKNRVYMUYGLVXSVYMVXTTVXDVYMWATUYHUYGLXIUKZVYLVXIVXJ
      UYHVYPYAVXLKLUYGUWFXHVCVYLLUYGWHUYHUYOLUYGLUYGRZVUKUYOVYQVUANPVUDUVTUFZSJ
      ZOJZULVYQVUALVYTSJZLQJVYTVYQDWUALQVYQWUALBVYRSJZOJZDWUBUWAJZWUBOJDWUAWUCR
      VYQLLVYSSJZOJLNSJZWUEOJWUCWUALWUFWUEOVWMLWUFVWSNLYFVQYGUWBYHWUBWUELOWUBLP
      SJZVYRSJWUEBWUGVYRSBVUQWUGFPLYCVQYGYLYHLPVYRVQYCVYRULMZVYRVJMVUDURMWUHDBH
      VVOKBXKVVPUWCUWDVUDUWEXJZVYRVKXJZUWGYLYILNVYSVQYFPVYRYCWUJYMZUWHUWITVYQLW
      UDWUBOVYQLUYGWUDVYQVPVULVVNUYGWUDRHVVQDBUWJVAXTXDVYQDWUBVVHVYQVVITWUBVJMV
      YQBVYRBVVOVTWUJYMTUWKWEXDVYTLNVYSYFWUKUWLVQVVKUWMXTVYTULMZVYQNULMVYSULMZW
      ULUWNVUJWUHWUMUQWUIPVYRUWPVANVYSUWQVATWLVUNXAUWOVSYJVYCUYKVYDNVYIVYCNUYIY
      DXRXGZWFXDVYMUYKNVYOWUNVYOPPQJZNVYNPPQUWRYHYKYNUWSVYLUYKERUYHVYLEVYKUYKIU
      YOKUYKUWTYEVSWEXLUYHUIZUYRUYNUYRUYNWUPUYRUYMUYINOJZPQJZKEUYRUYLWUQPQUYRUY
      JUYIUYKNOUYRUYHNUYIUYHUYGKVXMXPXQUYRUYKVYDNVYIUYRVYCNUYIUYRUYGKLWTUYRVPZW
      BYOXOXRWFXDWURKRUYRWURVXOKWUQKPQNUYIKYFUXAXSUXBYHVYJYLTUYREVYKKIUYRUYOKUY
      KUYRVUKUYOUYRVUEVUKVVRVUEVUAPVUDSJZULWUTPVUAPQJZSJVUAVUDWVAPSVUDDVUQQJZDP
      QJLQJZWVABVUQDQFYIVVHPVJMZVVMUGVVDVVJUGWVCWVBRVVIUXCVVDVVJVQVVKUXDDPLUXEY
      PDPLVVIYCVQWGVVKUXFYQYIVUAPDLVVIVQVVKUXGYCWGUXHYNVUEPVUDVUJVUEUQTVUEVPUXI
      XFXCVUNXAXOYEWEVSWUPUYTUGZUYGLBUXJJMZUYNWVELBUYGVXJWVEVXLTBXMMZWVEBVVOYBZ
      TVXSWVEVXTTZWVELUYGWTUKZVYPUIZWVEUYHUYRUHZVYPWVEWVLUIUYHUYRUXKVBVYPUYRWVL
      UYRWVLVYPUYRUYHUXLVSVYPUYTUGZUYHUYRWVMKLUYGVXIWVMYATVXJWVMVXLTVXRWVMVYATU
      YTVXKVYPUYTKUYGUYTUXMVXSUYTVXTTKUYGXIUKZUYTVULVVNWVNHVVQDBUXNVATUYGKUXOYJ
      VSVYPUYTWKXNXBXLYRWVELUYGVXDWVEWATWVIYSUXQUYGBWTUKZWVEVULVVNWVOHVVQDBUXPV
      ATUXRWVFUYMUYIUYIOJZPQJZUYIEWVFUYLWVPPQWVFUYJUYIUYKUYIOWVFUYHNUYIWVFKLUYG
      VXIWVFYATVXDWVFWATZVXRWVFVYATVXJWVGWVFWVJVXLWVHLBUYGUXSXHZUXTXQWVFUYKVYDU
      YIVYIWVFVYCNUYIWVFLUYGWVRVXSWVFVXTTZWVSUYAXQXRZWFXDWVQUYIRWVFWVQPUDZPQJZW
      UOUDZUYIWVPWWBPQWWBVYNUDWVPPVYNUYBYTNNYFYFUYCYNYHWVDWVDVVMWWDWWCRYCYCWGPP
      UYDYPWUONYKYTYQTWVFEVYKUYKUYIEVYKRWVFITWVFUYOKUYKWVFVYPUYOWVFWVJWVKWVSWVF
      LUYGWVRWVTYSVGUYOUYRVYPUYRVYPUYOUYRUYGKLXIWUSVXGYOVSUYOUYTUGUYQVYPUYOUYRU
      YQVXHUYEVYBXGXLYRXQWWAWEWEXGXLUYF $.
  $}

  ${
    $d F n x $.  $d T x y $.  $d X k n $.  $d X n x $.  $d Y k $.
    fouriersw.t $e |- T = ( 2 x. _pi ) $.
    fouriersw.f $e |- F = ( x e. RR |-> if ( ( x mod T ) < _pi , 1 , -u 1 ) )
       $.
    fouriersw.x $e |- X e. RR $.
    fouriersw.z $e |- S = ( n e. NN |-> ( ( sin ` ( ( ( 2 x. n ) - 1 ) x. X ) )
       / ( ( 2 x. n ) - 1 ) ) ) $.
    fouriersw.y $e |- Y = if ( ( X mod _pi ) = 0 , 0 , ( F ` X ) ) $.
    $( Fourier series convergence, for the square wave function.  Where ` F `
       is discontinuous, the series converges to ` 0 ` , the average value of
       the left and the right limits.  Notice that ` F ` is an odd function and
       its Fourier expansion has only sine terms (coefficients for cosine terms
       are zero).  (Contributed by Glauco Siliprandi, 11-Dec-2019.) $)
    fouriersw $p |- ( ( ( 4 / _pi ) x. sum_ k e. NN ( ( sin ` ( ( ( 2 x. k ) -
       1 ) x. X ) ) / ( ( 2 x. k ) - 1 ) ) ) = Y /\ seq 1 ( + , S ) ~~> ( ( _pi
       / 4 ) x. Y ) ) $=
      ( cpi co wceq wcel a1i cc0 cr c4 cdiv cn c2 cmul c1 cmin csin cfv cli wbr
      caddc cmpt wtru oveq1d oveq12d adantl id ovex fvmptd cc recni mulcld 0red
      cvv resubcld clt oveq1i cle divcld cdm picn wne cdvds cif wa eqid sylancl
      cmo wf 0re pipos oveq1 oveq2d adantr wb simpl iftrued eqtrd cdv cioo cres
      eqtri pire eqcomi oveq2i eqtrdi syl3anc wss cxr 0xr rexri elioore iooltub
      mp3an12 eliood cin mp2an sseli ioossre ax-mp ioogtlb ltled lttrd syl22anc
      syl crest eleqtri mptru recnd mpbid breqtrd iffalsed pm2.61dan mp2b mnfxr
      wn cmnf mpbi cpnf pnfxr climc constlimc ctop mp3an eqcomd ltsub1dd eqtr2d
      3eltr4d c0 vy cv csu cseq nnuz 1zzd eqidd oveq2 fveq2d cz zmulcld zsubcld
      2z nnz zcnd sincld 2re 1red remulcld zred 0lt1 2t1e2 2m1e1 eqtr2i breqtri
      nnre 0le2 nnge1 lemul2ad lesub1dd ltletrd gtned 4ne0 cioc cneg 0cnd mulcl
      nncn nnne0 gtneii mulne0d ifcld fmpti breq2 ifbieq2d c0ex simpr nndivdvds
      4cn ifex 2nn mpbird 3adant1 cn0 1re renegcli ifcli ifbid cbvmptv remulcli
      breq1d eqeltri mulid2i 2pos mulgt0ii elrpii modcyc readdcld fvmpt2 eqtr4d
      crp mpan2 csn cdif snfi eldifi negpilt0 ltleii iooss1 reseq1i resmpt pirp
      cfn 2timesgt modid eqbrtrd mpteq2ia 3eqtrri cpr reelprrecn ccnfld crn ctg
      ctopn iooretop tgioo2 1cnd dvmptconst ssid ax-resscn fss dvresioo 3eqtr3i
      dmeqi dmmpti eqtr3i ssdmres mpbir elind dmres eleqtrrdi ad2antrr ad2antlr
      adantlr lttri5d iooss2 2timesi negpicn addassi addcomli ltadd1dd readdcli
      modcld negidi addid2i breqtrdi addcomd ltaddneg jca modid2 eqtr3d lensymd
      neqne negcld sylan eldifn condan velsn sylibr ssriv ccncf eqsstri ioosscn
      ssfi inss1 sstri dvf fresin ffdm simpli cuni cun sselid elun1 nltled ccnp
      clp mnfltd lptioo2 incom df-ss fveq2i ltpnfd lptioo1 mnfle sstrdi resabs1
      eleqtrdi eqtr4i fssres cnt 0le0 w3a elioc2 mpbir3an cnfldtop iocopn elexi
      resttop iocssre restabs isopn3i mnflt0 ioounsn fveq12i limcres ltpnf cico
      xrltle elico2 icoopn rge0ssre 0ltpnf snunioo1 lttri ltneii jumpncnp inss2
      neg1lt0 dvcnp2 syl31anc mto eqneltrd necon2ai leneltd elun2 syl2anc unipr
      wi ineq2 retop resex pm3.2i 3pm3.2i restopnb ssini eqssi 3eltr4i eqeltrdi
      dmex elprn1 sylan2 constcncfg reseq2 cncfuni reseq2d resabs2 limcresioolb
      ne0ii eqnetrd icossre icogelb icoltub eldifd resres iooin iftruei oveq12i
      mp4an reseq2i limcresiooub negpitopissre iocgtlb iocleub necon3bi xrltnle
      3syl mnflt iffalsei ioossioc modcl resubcli elrpd ltsubrpd ioossico ltmod
      feqresmpt mpteq2dva sselda addcli subadd23 pncan3oi 3eqtri pncan2 modabs2
      addid1d modaddabs 3eqtrd npcand 3eqtrrd 3brtr4d ltsubrp eqtr2di wo pm4.56
      lbioc rexrd biimpi olc modge0 orcd pm2.61dane modlt elicod ubioc1 eleqtrd
      nsyl eqtr2id neg1cn gtnelioc nnncan2d sub31 posdifd eqbrtri eqeltrd nncan
      ltsub2dd eqbrtrrd modsubmodmod nncand ltaddsublt pm2.61i subge02 ltadd2dd
      subidi addid1i lelttrd pncan3i pncan3d ltaddrpd ltnled ibir fvmpt readdcl
      1ex sylancr addgegt0d eqeltrrd ccos citg sqwvfoura sqwvfourb nnnn0 coscld
      mul02d addid2d iftrue sylan9eqr iffalse fourierclim div0i divcli sumnnodd
      0nn0 subid1i elnnz sylanbrc dvdsmul1 mulcomd divdiv1d div32d fourierswlem
      oddp1even seqeq3 3brtr3i subcld eqeltrid 1lt2 breqtrrdi subne0d ffvelrnda
      divcan6 mulid2d mulassd 3eqtr3a climrel releldmi climuni mulassi mulcomli
      eqeltrrdi isermulc2 isumclim2 3eqtr2i ) UANUBOZUCUDDUUBZUEOZUFUGOZGUEOZUH
      UIZXXHUBOZDUUCZUEOZHPULBUFUUDZNUAUBOZHUEOZUJUKXXMXXEXXPUEOXXEXXOUEOZHUEOZ
      HXXLXXPXXEUEULEUCUDEUUBZUEOZUFUGOZGUEOZUHUIZXYAUBOZUMZUFUUDZXXLUJUKZXYFXX
      PUJUKZXXLXXPPXYGUNXXKDXYEUFUCUUEUNUUFZXXFUCQZXXFXYEUIZXXKPUNXYJEXXFXYDXXK
      UCXYEVEXYJXYEUUGXXSXXFPZXYDXXKPXYJXYLXYCXXJXYAXXHUBXYLXYBXXIUHXYLXYAXXHGU
      EXYLXXTXXGUFUGXXSXXFUDUEUUHUOZUOUUIXYMUPZUQXYJURZXXKVEQXYJXXJXXHUBUSRUTZU
      QXYJXXKVAQUNXYJXXJXXHXYJXXIXYJXXHGXYJXXHXYJXXGUFXYJUDXXFUDUUJQZXYJUUMRXXF
      UUNZUUKZXYJUUFUULZUUOZGVAQZXYJGKVBZRVCUUPZYUAXYJSXXHXYJVDZXYJSUDUFUEOZUFU
      GOZXXHYUEXYJYUFUFXYJUDUFUDTQZXYJUUQRZXYJUURZUUSZYUJVFXYJXXHXYTUUTSYUGVGUK
      XYJSUFYUGVGUVAYUGUDUFUGOUFYUFUDUFUGUVBVHUVCUVDUVERXYJYUFXXGUFYUKXYJXXGXYS
      UUTYUJXYJUFXXFUDYUJXXFUVFYUISUDVIUKZXYJUVGRXXFUVHUVIUVJUVKZUVLZVJZUQUNXYH
      XYFUJVKQUNHXXODEUCXXEXYDUEOZUMZXYEUFUCUUEXYIUNNUANVAQZUNVLRZUAVAQZUNUWIRU
      ASVMZUNUVMRVJULYUQUFUUDZHUJUKUNULDUCXXHEUCUDXXSVNUKZSUAXXSNUEOZUBOZXXSGUE
      OZUHUIZUEOZVOZUMZUIZUMZUFUUDZGCVSOZSNUVNOZQZUFUFUVOZVOZGFUIZULOZUDUBOZYVB
      HUJYVMYWAUJUKZUCXXFYVJUIZDUUCUCYVKDUUCPZYWBYWDVPUNYWADYVJUCVAYVJVTUNEUCVA
      YVIYVJYVJVQXXSUCQZYVCSYVHVAYWEUVPZYWEYVEYVGYWEUAYVDYUTYWEUWIRZYWEXXSVAQYU
      RYVDVAQXXSUVRZVLXXSNUVQVRYWEXXSNYWHYURYWEVLRZXXSUVSNSVMZYWESNWAWBUVTZRZUW
      AVJZYWEYVFYWEXXSGYWHYUBYWEYUCRZVCZUUPZVCUWBUWCRXYJXXFUDUBOUCQZYWCSPUNXYJY
      WQVPZYWCUDXXFVNUKZSUAXXFNUEOZUBOZXXFGUEOZUHUIZUEOZVOZSXYJYWCYXEPYWQXYJEXX
      FYVIYXEUCYVJVEXYJYVJUUGZXYLYVIYXEPXYJXYLYVCYWSYVHYXDSXXSXXFUDVNUWDXYLYVEY
      XAYVGYXCUEXYLYVDYWTUAUBXXSXXFNUEWCWDXYLYVFYXBUHXXSXXFGUEWCUUIUPUWEUQXYOYX
      EVEQXYJYWSSYXDUWFYXAYXCUEUSUWJRUTWEYWRYWSSYXDYWRYWSYWQXYJYWQUWGYWRXYJUDUC
      QYWSYWQWFXYJYWQWGUWKXXFUDUWHVRUWLWHWIUWMULYVJUFUUDZYWAUJUKUNYXGYWASEUWNSU
      MZUIZUDUBOZUGOZYWAUJAYXHEUCYVCSYVEVOZUMZYVSYVJCEFTFWJOZNUVOZNWKOZWLZYVRGA
      TTAUUBZCVSOZNVGUKZUFYVQVOZFJYYATQZYXRTQZYXTUFYVQTUWOUFUWOUWPZUWQZRZUWCZIY
      YCYXRCULOZFUIYYAYXRFUIZYYCUUAYYHUUAUUBZCVSOZNVGUKZUFYVQVOZYYATFTFUUATYYMU
      MZPYYCFATYYAUMZYYNJAUUATYYAYYMYXRYYJPZYXTYYLUFYVQYYPYXSYYKNVGYXRYYJCVSWCU
      XAUWRUWSWMRYYCYYJYYHPZVPZYYLYXTUFYVQYYRYYKYXSNVGYYRYYKYXRUFCUEOZULOZCVSOZ
      YXSYYQYYKUUUAPYYCYYQYYKYYHCVSOZUUUAYYJYYHCVSWCYYHYYTCVSCYYSYXRULYYSCCCCUD
      NUEOZTIUDNUUQWNUWTUXBZVBZUXCZWOWPVHZWQUQYYRYYCCUXKQZUFUUJQZUUUAYXSPZYYCYY
      QWGUUUHYYRCUUUDSUUUCCVGUDNUUQWNUXDWBUXECUUUCIWOZUVEUXFZRYYRUUFYXRCUFUXGZW
      RWIUXAUWRYYCYXRCYYCURZCTQZYYCUUUDRUXHZYYFUTYYCYYBYYIYYAPZYYEATYYATFJUXIZU
      XLUXJYXQVQSUXMZUYCQYXPYXQVKZUXNZUUUSWSUUVAUYCQSUXOAUUVAUUUSYXRUUVAQZYXRSP
      ZYXRUUUSQUUVBUUVCYXRUUUTQZUUVBYXRYXPQZUUVCYGZUUVDYXRYXPUUUTUXPUUVEUUVFVPZ
      SYXRVGUKZUUVDUUVEUUVHUUVDUUVFUUVEUUVHVPZYXRSNWKOZQZUUVDUUVISNYXRSWTQZUUVI
      XARNWTQZUUVINWNXBZRUUVEYYCUUVHYXRYXONXCZWEUUVEUUVHUWGUUVEYXRNVGUKZUUVHYXO
      WTQZUUVMUUVEUUVPYXONWNUWPZXBZUUVNYXONYXRXDXEZWEXFZUUVKYXRYXPYXNVKZXGZUUUT
      UUVKYXPUUWBYXRUUVJYXPYXRUUVQYXOSVIUKZUUVJYXPWSZUUVSYXOSUUVRWAUXQUXRZYXOSN
      UXSXHZXIZUUVJUUWBYXRUUVJUUWBWSZYXNUUVJWLZVKZUUVJPAUUVJSUMZVKUUWKUUVJUUWLU
      UWJTAUUVJUFUMZWJOZTFUUVJWLZWJOZUUWLUUWJUUWMUUWOTWJUUWOYYOUUVJWLZAUUVJYYAU
      MZUUWMFYYOUUVJJUXTUUVJTWSUUWQUUWRPSNXJATUUVJYYAUYAXKAUUVJYYAUFUUVKYXTUFYV
      QUUVKYXSYXRNVGUUVKYYCUUUHSYXRVIUKYXRCVGUKYXSYXRPYXRSNXCZUUUHUUVKUUULRUUVK
      SYXRUUVKVDUUWSUUVLUUVMUUVKUUVHXAUUVNSNYXRXLXEXMUUVKYXRNCUUWSNTQZUUVKWNRUU
      UOUUVKUUUDRUUVKUUVEUUVPUUWHUUVTXPZNCVGUKZUUVKNUUUCCVGNUXKQZNUUUCVGUKUYBNU
      YDXKUUUKUVEZRXNYXRCUYEXOUUXAUYFWHUYGUYHZWPUUWNUUWLPUNAUUVJUFTTTVAUYIZQUNU
      YJRZUUVJUYKUYNUIZTXQOZQUNUUVJWKUYLUYMUIZUUXISNUYOZUUXHUUXHVQZUYPZXRRUNUYQ
      ZUYRXSTTWSZTVAFVTZUUWPUUWJPTUYSZTTFVTTVAWSZUUXPYYGUYTTTVAFVUAXHZTSNFVUBXH
      VUCZVUDAUUVJSUUWLUWFUUWLVQZVUEVUFUUVJYXNVUGVUHZXIVUIYXNYXPVUJZVUKZXPVUNUU
      VGUUVHYGZVPZYXRYXOSWKOZQZUUVDUUYFYXOSYXRUUVQUUYFUUVSRUUVLUUYFXARUUVEYYCUU
      VFUUYEUUVOVULZUUVEYXOYXRVGUKZUUVFUUYEUUVQUUVMUUVEUUYJUUVSUUVNYXONYXRXLXEZ
      VULUUYFYXRSUUYIUUYFVDUUVFYXRSVMZUUVEUUYEYXRSVVMVUMUUVGUUYEUWGVUOXFUUYHYXR
      UUWCUUUTUUYHYXPUUWBYXRUUYGYXPYXRUUVMSNVIUKZUUYGYXPWSZUUVNSNWAWNWBUXRZYXOS
      NVUPXHZXIZUUYGUUWBYXRUUYGUUWBWSZYXNUUYGWLZVKZUUYGPAUUYGSUMZVKUUYTUUYGUVUA
      UUYSTAUUYGYVQUMZWJOZTFUUYGWLZWJOZUVUAUUYSUVUBUVUDTWJUVUDYYOUUYGWLZAUUYGYY
      AUMZUVUBFYYOUUYGJUXTUUYGTWSUVUFUVUGPYXOSXJATUUYGYYAUYAXKAUUYGYYAYVQUUYHYX
      TUFYVQUUYHNYXSUUWTUUYHWNRZUUYHYXRCYXRYXOSXCZUUUHUUYHUUULRVVCUUYHNYYHYXSVI
      UUYHNYYHUVUHUUYHYYCYYHTQZUVUIUUUPXPZUUYHNYXOCULOZYYHVGNUVULPUUYHUVULYXONN
      ULOZULOZYXONULOZNULOZNCUVUMYXOULCUUUCUVUMINVLVUQWMZWPUVUPUVUNYXONNVURVLVL
      VUSWOUVUPSNULONUVUOSNULNYXOSVLVURNVLVVDVUTVHNVLVVEWMUYHZRUUYHYXOYXRCYXOTQ
      ZUUYHUUVRRUVUIUUUOUUYHUUUDRUUYHUUVEUUYJUUYQUUYKXPVVAZUYFXMUUYHUUUBYYHYXSU
      UYHUUUBYYHPZSYYHVIUKZYYHCVGUKZVPZUUYHUVVBUVVCUUYHSYYHUUYHVDZUVUKUUYHSUVUL
      YYHUVVEUVULTQUUYHYXOCUUVRUUUDVVBRUVUKUUYHSNUVULVGSNVGUKZUUYHWBRUVURVVFUVU
      TXNXMUUYHYYHCYXRULOZCVGUUYHYXRCUUYHYXRUVUIXTCVAQZUUYHUUUERVVGUUYHYXRSVGUK
      ZUVVGCVGUKZUUVQUUVLUUYHUVVIUUVSXAYXOSYXRXDXEUUYHYYCUUUOUVVIUVVJWFUVUIUUUD
      YXRCVVHVRYAUYFVVIUUYHUVUJUUUHUVVAUVVDWFUVUKUUULYYHCVVJVRUWLUUYHYYCUUUBYXS
      PUVUIYYCUUUBUUUAYXSUUUBUUUAPYYCUUUGRYYCYYCUUUHUUUIUUUJUUUNUUUHYYCUUULRYYC
      UUFUUUMWRWIXPVVKYBVVLYCUYGUYHZWPUVUCUVUAPUNAUUYGYVQTUUXGUUYGUUXIQUNUUYGUU
      XJUUXIYXOSUYOZUUXMXRRUNUFUUXNVVNZUYRXSUUXOUUXPUVUEUUYSPUUXQUUXSTYXOSFVUBX
      HVUCZVUDAUUYGSUVUAUWFUVUAVQZVUEVUFUUYGYXNVUGVUHZXIVUIUUYCVUKZXPYDVVOUUVBU
      UVDYGZUUVFYXRYXPUUUTVVPWEVVQZASVVRVVSVVTUUUSUUVAVWDXHYXQUUUTVAVWAOQUNUUUT
      UUYGUUVJUYIZYXQAUUUTVAWSUNUUUTYXPVAUUUTUUWCYXPUUYCYXPUUWBVWEVWBZYXONVWCVW
      FRUUUTVAYXQVTZUNUVWBUUUTUUWBYXPXGZWSZUUWBVAYXNVTZUVWCVAYXQVTUVWBUVWDVPFVW
      GZUUWBVAYXNYXPVWHUVWCVAYXQVWIYEVWJRUUUTUVVTVWKZWSUNAUUUTUVWGUUVDYXRUUYGUU
      VJVWLZUVWGUUVDUVVIYXRUVWHQZUUVDUVVIVPZUUYHUVWIUVWJYXOSYXRUUVQUVWJUUVSRUUV
      LUVWJXARUUVDYYCUVVIUUVDYXPTYXRYXONXJZUUUTYXPYXRUVWAXIZVWMZWEUUVDUUYJUVVIU
      UVDUUVEUUYJUVWLUUYKXPWEUUVDUVVIUWGXFYXRUUYGUUVJVWNXPUUVDUVVIYGZVPZUUVDUUV
      HUVWIUUVDUVWNWGUVWOSYXRUVWOVDZUUVDYYCUVWNUVWMWEZUVWOSYXRUVWPUVWQUUVDUVWNU
      WGVWOUUVDUUYLUVWNUUVDYXRSUUVCYXRSUUUTUUVCURZSUUUTQZYGUUVCUVWSFSUUXJUUXHVW
      POUIQZUVWTYGUNTSUFFUUXJUUXHYVQUUXLUUXOUNUUXQRUUXJVQZUUXPUNUUXSRZUNVDZUNSY
      HSWKOZUUXJVWQUIZUITUVXDXGZUVXEUIUNYHSUUXJUVXAYHWTQZUNYFRZUVXCUNSUVXCVWRVW
      SUVXDUVXFUVXEUVXFUVXDTXGZUVXDTUVXDVWTUVXDTWSZUVXIUVXDPYHSXJZUVXDTVXAYIUVD
      VXBVXHUNSSYJWKOZUVXEUITUVXLXGZUVXEUIUNSYJUUXJUVXAUVXCYJWTQZUNYKRZUNSUVXCV
      XCVXDUVXLUVXMUVXEUVXMUVXLTXGZUVXLTUVXLVWTUVXLTWSZUVXPUVXLPSYJXJZUVXLTVXAY
      IUVDVXBVXHUNYVQUVUBSYLOZFUVXDWLZSYLOZUNAUUYGYVQSUVUBUVUBVQUNUUYGUVXDVAUUY
      GUVXDWSZUNUVXGYHYXOVIUKZUVYBYFUUVQUVYCUUVSYXOVXEXKZYHYXOSUXSXHZRZYHSVWCZV
      XFZUVVMUNUVPZYMUVXSUVXTUUYGWLZSYLOZUVYAUVUBUVYJSYLUVUBUVUDUVYJUVVKUVYBUVY
      JUVUDPUVYEFUUYGUVXDVXGXKVXIVHUVYKUVYAPUNUVXDSUUYGUVXTUUXHUVXDUUUSVWLZXQOZ
      UUXHUVXDVAUVXTVTZUNUUXPUVXJUVYNUUXSUVXKTVAUVXDFVXJXHRUVYFUVXDVAWSUNUVYGRU
      UXLUVYMVQSUUYGUUUSVWLZUVYMVXKUIZUIZQUNSYXOSUVNOZUVYQSUVYRQZSTQZYXOSVGUKZS
      SVIUKZWAUXQVXLUUVQUVYTUVYSUVYTUWUAUWUBVXMWFUUVSWAYXOSSVXNXHVXOUVYRUUXHYHS
      UVNOZXQOZVXKUIZUIZUVYRUVYQUWUDYNQZUVYRUWUDQUWUFUVYRPUUXHYNQZUWUCVEQUWUGUU
      XHUUXLVXPZYHSUVNUSUWUCUUXHVEVXSXHUVYRUUXJUWUCXQOZUWUDUVYRUWUJQUNYHSYXOUWU
      JUUXJUVXHUUVQUNUUVSRZUVXCUVXAUWUJVQUVYCUNUVYDRUVXCVXQXSUWUJUUXIUWUCXQOZUW
      UDUUXJUUXIUWUCXQUUXMVHUWUHUWUCTWSZTVEQZUWULUWUDPUWUIUVXGUVYTUWUMYFWAYHSVX
      TXHTUUXFUYJVXRZUWUCTUUXHYNVEVYAYOWMXRUVYRUWUDVYBXHUVYRUVYOUWUEUVYPUWUDUVY
      MVXKUWUCUVYLUUXHXQUVYLUWUCUVXGUUVLYHSVGUKUVYLUWUCPYFXAVYCYHSVYDYOWOWPVXBU
      VYOUVYRUUVQUUVLUWUAUVYOUVYRPUUVSXAUXQYXOSVYDYOWOVYEVUFXRRVYFXSWMVXHUNUFUU
      WMSYLOZFUVXLWLZSYLOZUNAUUVJUFSUUWMUUWMVQUUVJVAWSUNSNVWCRZUUXNUVYIYMUWUPUW
      UQUUVJWLZSYLOZUWURUUWMUWUTSYLUUWMUUWOUWUTUUXEUUVJUVXLWSZUWUTUUWOPUVXNNYJV
      IUKZUWVBYKUUWTNYJVGUKZUWVCWNNVYGUUVMUVXNUWVDUWVCWUIUUVNYKNYJVYIXHYEZSNYJV
      UPXHZFUUVJUVXLVXGXKVXIVHUWVAUWURPUNUVXLSUUVJUWUQUUXHUVXLUUUSVWLZXQOZUUXHU
      VXLVAUWUQVTZUNUUXPUVXQUWVIUUXSUVXRTVAUVXLFVXJXHRUWVBUNUWVFRUVXLVAWSUNSYJV
      WCRUUXLUWVHVQSUUVJUUUSVWLZUWVHVXKUIZUIZQUNSSNVYHOZUWVLSUWVMQZUVYTUWUBUVVF
      WAVXLWBUVYTUUVMUWVNUVYTUWUBUVVFVXMWFWAUUVNSNSVYJXHVXOUWVMUUXHSYJVYHOZXQOZ
      VXKUIZUIZUWVMUWVLUWVPYNQZUWVMUWVPQUWVRUWVMPUWUHUWVOVEQUWVSUWUISYJVYHUSUWV
      OUUXHVEVXSXHUWVMUUXJUWVOXQOZUWVPUWVMUWVTQUNSYJNUWVTUUXJUVXCUUVMUNUUVNRZUV
      XOUVXAUWVTVQUWVCUNUWVERVYKXSUWVTUUXIUWVOXQOZUWVPUUXJUUXIUWVOXQUUXMVHUWUHU
      WVOTWSUWUNUWWBUWVPPUWUIVYLUWUOUWVOTUUXHYNVEVYAYOWMXRUWVMUWVPVYBXHUWVMUWVJ
      UWVQUWVKUWVPUWVHVXKUWVOUWVGUUXHXQUWVGUWVOUUVLUVXNSYJVGUKUWVGUWVOPXAYKVYMS
      YJVYNYOWOWPVXBUWVJUWVMUUVLUUVMUVVFUWVJUWVMPXAUUVNWBSNVYNYOWOVYEVUFXRRVYFX
      SWMVXHYVQUFVMUNYVQUFYYDYVQSVGUKSUFVGUKYVQUFVGUKVYSUVAYVQSUFYYDWAUWOVYOXHV
      YPRVYQXSUVWSUUXRUUXPUUXOSUUWBQUVWTUUXRUVWSUYTRUUXPUVWSUUXSRUUXOUVWSUUXQRU
      UUTUUWBSUUUTUUWCUUWBUUYCYXPUUWBVYRVWBXITSTFUUXJUUXHUUXMUUXLVYTWUAWUBRWUCW
      UDWEWUEUUVDUUVHVPUUVKUVWIUUVDUUVEUUVHUUVKUVWLUUWAVVOYXRUUVJUUYGWUFXPWUGYD
      UUYGUUVJYXOSWKUSSNWKUSWUHVUKVVTRYXRUVVTQZUUUTYXRXGZUUXHUUUTXQOZQZUNUWWCYX
      RUUYGPZUWWFUWWGUWWFUWWCUWWGUWWDUUUTUUYGXGZUWWEYXRUUYGUUUTWUJZUUYGUUXJUUUT
      XQOZUWWHUWWEUUYGUUXJQZUUYGUWWJQZUVVLUUXJYNQZUUUTVEQZVPZUWWKUUYGUUUTWSZUUY
      GUUYGWSZVXMUWWKUWWLWFUWWMUWWNWUKYXQYXNYXPTFWJUSWULWUTWUMZUWWKUWWPUWWQUVVL
      AUUYGUUUTUVVQVVTZUUYGUYSZWUNUUUTUUYGUUYGUUXJVEWUOXHYIUWWHUUYGUUUTUUYGVYRU
      UYGUUUTUUYGUWWSUWWTWUPWUQZUWWJUUXIUUUTXQOZUWWEUUXJUUXIUUUTXQUUXMVHUWUHUUU
      TTWSUWUNUWXBUWWEPUWUIUUUTYXPTUVWAUVWKVWFUWUOUUUTTUUXHYNVEVYAYOUVDZWURWUSU
      QUWWCUWWGYGZVPZYXRUUVJPZUWWFUWXDUWWCYXRUUYGVMUWXFYXRUUYGVVMYXRUUYGUUVJWVA
      WVBZUWXFUWWDUUUTUUVJXGZUWWEYXRUUVJUUUTWUJZUUVJUWWJUWXHUWWEUUVJUUXJQZUUVJU
      WWJQZUUXKUWWOUWXJUUVJUUUTWSZUUVJUUVJWSZVXMUWXJUWXKWFUWWRUWXJUWXLUWXMUUXKA
      UUVJUUUTUUYDVVTZUUVJUYSZWUNUUUTUUVJUUVJUUXJVEWUOXHYIUWXHUUVJUUUTUUVJVYRUU
      VJUUUTUUVJUWXNUWXOWUPWUQZUWXCWURWUSXPYDUQUWWCYXQYXRWLZUWWDVAVWAOZQZUNUWWC
      UWWGUWXSUWWGUWXSUWWCUWWGUVUAUUYGVAVWAOZUWXQUWXRUVUAUWXTQZUWWGUWYAUNAUUYGS
      VAUVYHUVYIVAVAWSUNVAUYSRZWVCXSRUWWGUWXQYXQUUYGWLZUVUAYXRUUYGYXQWVDUWYCUUY
      SUVUAUUYNUWYCUUYSPUUYPYXNUUYGYXPVXGXKUVVNVXIWQUWWGUWWDUUYGVAVWAUWWGUWWDUW
      WHUUYGUWWIUWXAWQUOYSUQUWXEUWXFUWXSUWXGUWXFUUWLUUVJVAVWAOZUWXQUWXRUUWLUWYD
      QZUWXFUWYEUNAUUVJSVAUWUSUVYIUWYBWVCXSRUWXFUWXQYXQUUVJWLZUUWLYXRUUVJYXQWVD
      UWYFUUWJUUWLUUWEUWYFUUWJPUUWGYXNUUVJYXPVXGXKUUXTVXIWQUWXFUWWDUUVJVAVWAUWX
      FUWWDUWXHUUVJUWXIUWXPWQUOYSXPYDUQWVEXSYXRYXONVYHOZUUUTUXNQZYXRYXOPZYXQYXR
      YJWKOZWLZYXRYLOZYTVMZUWYIUWYMUWYHUWYIUWYLYXQYXOYLOZYTUWYIUWYKYXQYXRYXOYLU
      WYIUWYKYXQYXOYJWKOZWLZYXQUWYIUWYJUWYOYXQYXRYXOYJWKWCWVFYXPUWYOWSZUWYPYXQP
      UVXNUWVCUWYQYKUWVEYXONYJVUPXHYXNYXPUWYOWVGXKWQUWYIURUPUWYNYTVMUWYISUWYNSU
      VUAYXOYLOZUWYNSUWYRQUNAUUYGSYXOUVUAUVVOUVYHUVYIYXOVAQUNVURRYMXSUWYRUUYSYX
      OYLOZUWYNUVUAUUYSYXOYLUVVNVHUWYSUWYNPUNUUWBYXOSNYXNUVWEUNUVWFRZUVUSUNUUVR
      RUUVLUNXARZUWUAUNUXQRUUYRUNUVVPRUWWAUUYMUNUUYORWVHXSWMXRWVIRWVJUQUWYHUWYI
      YGZVPZUUVBUUVCUWYMUXUCYXRYXPUUUTUWYHYXRUWYGQZUXUBUUVEYXRUWYGUUUTUXPUXUDUX
      UBVPZYXONYXRUUVQUXUEUUVSRUUVMUXUEUUVNRUXUDYYCUXUBUWYGTYXRUVUSUUVMUWYGTWSU
      UVRUUVNYXONWVKXHXIWEZUXUEYXOYXRUVUSUXUEUUVRRUXUFUXUDYXOYXRVIUKZUXUBUUVQUU
      VMUXUDUXUGUUVSUUVNYXONYXRWVLXEWEUXUBYXRYXOVMUXUDYXRYXOVVMUQWUEUXUDUUVPUXU
      BUUVQUUVMUXUDUUVPUUVSUUVNYXONYXRWVMXEWEXFVVOUWYHUVVRUXUBYXRUWYGUUUTVVPWEW
      VNUVVSUUVCUWYLYXQUVXLWLZSYLOZYTUUVCUWYKUXUHYXRSYLUUVCUWYJUVXLYXQYXRSYJWKW
      CWVFUVWRUPUXUIYTVMUUVCSUXUISUUWLSYLOZUXUISUXUJQUNAUUVJSSUUWLUUYAUWUSUVYIU
      VYIYMXSUUWLUXUHSYLUXUHYXNYXPUVXLXGZWLUUWJUUWLYXNYXPUVXLWVOUXUKUUVJYXNUXUK
      UUWDSYXOVOZUWVCNYJVOZWKOZUUVJUUVQUUVMUUVLUVXNUXUKUXUNPUUVSUUVNXAYKYXONSYJ
      WVPWVSUXULSUXUMNWKUUWDSYXOUUWFWVQUWVCNYJUWVEWVQWVRWMWVTUUWLUUWJUUXTWOUYHV
      HXRWVIRWVJWWGYDYXRYXONUVNOZUUUTUXNQZYXRNPZYXQYHYXRWKOZWLZYXRYLOZYTVMZUXUQ
      UXVAUXUPUXUQUXUTYXQNYLOZYTUXUQUXUTYXQYHNWKOZWLZNYLOUXVBUXUQUXUSUXVDYXRNYL
      UXUQUXURUXVCYXQYXRNYHWKUUHWVFUXUQURUPUXVDYXQNYLYXPUXVCWSZUXVDYXQPUVXGUVYC
      UXVEYFUVYDYHYXONUXSXHYXNYXPUXVCWVGXKVHWQUXVBYTVMUXUQSUXVBSUUWLNYLOZUXVBSU
      XVFQUNAUUVJSNUUWLUUYAUWUSUVYIYUSYMXSUXVFUUWJNYLOZUXVBUUWLUUWJNYLUUXTVHUXV
      GUXVBPUNUUWBSNYXOYXNUWYTUXUAUUWTUNWNRUVVFUNWBRUUWIUNUUYBRUWUKUUWDUNUUWFRW
      WAXSWMXRWVIRWVJUQUXUPUXUQYGZVPZUUVBUUVCUXVAUXVIYXRYXPUUUTUXVIYXONYXRUUVQU
      XVIUUVSRUUVMUXVIUUVNRUXUPYYCUXVHUXUPUXUOTYXRWWBYXRUXUOUUUTUXPZVWMWEZUXUPU
      UYJUXVHUXUPUUVQUUVMYXRUXUOQZUUYJUUVQUXUPUUVSRZUUVMUXUPUUVNRZUXVJYXONYXRWW
      CWRWEUXVIYXRNUXVKUUWTUXVIWNRUXUPYXRNVIUKZUXVHUXUPUUVQUUVMUXVLUXVOUXVMUXVN
      UXVJYXONYXRWWDWRWEUXVHNYXRVMUXUPUXUQNYXRNYXRPZNYXRUXVPURYPWWEUQWUEXFUXUPU
      VVRUXVHYXRUXUOUUUTVVPWEWVNUVVSUUVCUXUTYXQUVXDWLZSYLOZYTUUVCUXUSUXVQYXRSYL
      UUVCUXURUVXDYXQYXRSYHWKUUHWVFUVWRUPUXVRYTVMUUVCSUXVRSUVUASYLOZUXVRSUXVSQU
      NAUUYGSSUVUAUVVOUVYHUVYIUVYIYMXSUVUAUXVQSYLUXVQYXNYXPUVXDXGZWLUUYSUVUAYXN
      YXPUVXDWVOUXVTUUYGYXNUXVTYXOYHVIUKZYHYXOVOZNSVIUKZNSVOZWKOZUUYGUUVQUUVMUV
      XGUUVLUXVTUXWEPUUVSUUVNYFXAYXONYHSWVPWVSUXWBYXOUXWDSWKUXWAYHYXOYHYXOVGUKZ
      UXWAYGZUVUSUXWFUUVRYXOWWHXKUVXGUUVQUXWFUXWGWFYFUUVSYHYXOWWFXHYIWWIUXWCNSU
      VVFUXWCYGZWBUUVLUUVMUVVFUXWHWFXAUUVNSNWWFXHYIWWIWVRWMWVTUVUAUUYSUVVNWOUYH
      VHXRWVIRWVJWWGYDKYVNUUVJQZYVRFYHGWKOWLGYLOZQZUXWIUFAGYVNUGOZGWKOZUFUMZGYL
      OZYVRUXWJUXWIAUXWMUFGUXWNUXWNVQUXWMVAWSUXWIUXWLGVWCRUXWIUYQYUBUXWIYUCRYMU
      XWIYVPUFYVQUUVJYVOYVNSNWWJXIWHUXWIFUXWMWLZGYLOUXWJUXWOUXWITUXWLGYHFUUXPUX
      WIUUXSRUXWLWTQZUXWIUXWLGYVNKGTQZUUUHYVNTQZKUUULGCWWKXHZWWLZXBZRUXWRUXWIKR
      ZUXWIGYVNUXXCUXWIYVNYVNSNXCUUVLUUVMUXWISYVNVGUKZXAUUVNSNYVNXLXEWWMWWNUXWM
      TWSZUXWIUXWLGXJZRUVXGUXWIYFRYHUXWLVIUKZUXWIUXWLTQZYHUXWLVGUKZUXXGUXXAUXWL
      WWHUVXGUXWQUXXIUXXGWUIYFUXXBYHUXWLVYIXHYERWWAUXWIUXWPUXWNGYLUXWIYVNNVGUKZ
      UXWPUXWNPUUVLUUVMUXWIUXXJXAUUVNSNYVNXDXEUXXJUXWPAUXWMYYIUMUXWNUXXJATVAUXW
      MFUUXPUXXJUUXSRUXXEUXXJUXXFRWWQUXXJAUXWMYYIUFUXXJYXRUXWMQZVPZYYIYYAUFUXXK
      UUUQUXXJUXXKYYCYYBUUUQYXRUXWLGXCZYYEUUURVRUQUXXLYXTUFYVQUXXLYXSYVNNUXXLYX
      RCUXXKYYCUXXJUXXMUQUUUHUXXLUUULRVVCUXWSUXXLUXWTRUUWTUXXLWNRUXXKYXSYVNVGUK
      ZUXXJUXXKGCYXRUXWRUXXKKRUUUHUXXKUUULRUXWMUXWLGVYHOYXRUXWLGWWOXIWWPZUQUXXJ
      UXXKWGXNWHWIWWRWIXPUOVVKYSUXWIYGZYVNSPZUXWKUXXQUXWKUXXPUXXQYVQAGNUGOZGWKO
      ZYVQUMZGYLOZYVRUXWJYVQUXYAQZUXXQUXYBUNAUXXSYVQGUXXTUXXTVQUNUXXSTVAUXXSTWS
      ZUNUXXRGXJZRZUYTVXFZUVVMYUBUNYUCRZYMXSRUXXQYVPUFYVQUXXQYVNSYVOUXXQURSYVOQ
      YGUXXQSNWXPRWUCYCUXXQUXYAFUXXSWLZGYLOZUXWJUXXQUXXTUXYHGYLUXXQUXYHAUXXSYYI
      UMZUXXTUXXQATVAUXXSFUUXPUXXQUUXSRUXYCUXXQUXYDRZWWQUXXQAUXXSYYIYVQUXXQYXRU
      XXSQZVPZYYIYYAYVQUXYMYYCYYBUUUQUXXQUXXSTYXRUXYKWWSZYYEUUURVRUXYMYXTUFYVQU
      XYMNYXSUUWTUXYMWNRZUXYMYXRCUXYNUUUHUXYMUUULRZVVCZUXYMNYXSUXYOUXYQUXYMUXXR
      CULOZGUGOZYYHGUGOZNYXSVGUXYLUXYSUXYTVGUKUXXQUXYLUXYRYYHGUXYLUXXRCUXXRTQZU
      XYLGNKWNWWLZRZUUUOUXYLUUUDRZUXHZUXYLYXRCYXRUXXRGXCZUYUDUXHZUXWRUXYLKRZUXY
      LUXXRYXRCUYUCUYUFUYUDUXYLUXXRWTQZGWTQZUXYLUXXRYXRVGUKUYUIUXYLUXXRUYUBXBZR
      ZUXYLGUYUHWXQZUXYLURZUXXRGYXRXLWRVVAYQZUQNUXYSPUXYMUXYSGNULOZGUGOZNUXYRUY
      UPGUGUXYRUXXRUVUMULOZGUVUMNUGOZULOZUYUPCUVUMUXXRULUVUQWPYUBYURUVUMVAQUYUR
      UYUTPYUCVLNNVLVLWWTGNUVUMWXAYOUYUSNGULNNVLVLWXBWPWXCVHYUBYURUYUQNPYUCVLGN
      WXDXHZUVDZRUXYMUXYTUXYTGULOZCVSOZUUUAYXSUXYMUXYTUXYTCVSOZCVSOZUYVEYVNULOZ
      CVSOZUYVDUXYLUXYTUYVFPUXXQUXYLUYVFUYVEUXYTUXYLUXYTTQZUUUHUYVFUYVEPUXYLYYH
      GUYUGUYUHVFZUUULUXYTCWXEVRUXYLUYVIUUUHSUXYTVIUKUXYTCVGUKUYVEUXYTPUYVJUUUH
      UXYLUUULRZUXYLSUXYTUXYLVDZUYVJUXYLSUXYSUXYTUYVLUXYLUXYRGUYUEUYUHVFUYVJSUX
      YSVGUKUXYLSNUXYSVGWBUYVBUVERUYUOXNXMUXYLUXYTGCULOZGUGOZCVGUXYLYYHUYVMGUYU
      GUXYLGCUYUHUYUDUXHUYUHUXYLYXRGCUYUFUYUHUYUDUXYLUYUIUYUJUXYLYXRGVGUKZUYULU
      YUMUYUNUXXRGYXRXDWRVVAYQYUBUVVHUYVNCPYUCUUUEGCWXDXHVVFUXYTCUYEXOYRUQUXYMU
      YVEUYVGCVSUXYMUYVGUYVESULOZUYVEUXXQUYVGUYVPPUXYLYVNSUYVEULUUHWEUXYLUYVPUY
      VEPUXXQUXYLUYVEUXYLUYVEUXYLUXYTCUYVJUYVKVVCXTWXFUQYRUOUXYLUYVHUYVDPZUXXQU
      XYLUYVIUXWRUUUHUYVQUYVJUYUHUYVKUXYTGCWXGWRUQWXHUXYLUYVDUUUAPZUXXQUXYLYYCU
      YVRUYUFYYCUYVCYYTCVSYYCUYVCYYHYYTYYCYYHGYYCYYHUUUPXTYUBYYCYUCRWXIYYCYYSCY
      XRULYYSCPYYCUUUFRWDUXJUOXPUQUXYMYYCUUUHUUUIUUUJUXYNUXYPUXYMUUFUUUMWRWXJWX
      KXMVVLYCWIWWRYRUOUXYIUXWJPUNTUXXRGYHFUVXBUYUIUNUYUKRUXWRUNKRUXXRGVGUKZUNU
      XWRUUXCUYVSKUYBGNWXLXHRUXYEUVXHYHUXXRVIUKZUNUYUAYHUXXRVGUKZUYVTUYUBUXXRWW
      HUVXGUYUIUYWAUYVTWUIYFUYUKYHUXXRVYIXHYERWWAXSZWXMYSUQUXXPUXXQYGVPZYVNNCVY
      HOQZUXWKUYWCNCYVNUUVMUYWCUUVNRCWTQZUYWCCUUUDXBZRYVNWTQZUYWCYVNUXWTXBZRUYW
      CNYVNUUWTUYWCWNRUXWSUYWCUXWTRUYWCUXWIUXXQWXNZUXXJUYWCUYWIYGUXWIUXXQWXOWXR
      UXXJUYWIYVNSUXXQUYWIUXXJUXXQUXWIWXSUQUXXJYVNSVMZVPZUXWIUXXQUYWKSNYVNUUVLU
      YWKXARUUVMUYWKUUVNRUXWSUYWKUXWTRUYWJUXXDUXXJUYWJSYVNUYWJVDUXWSUYWJUXWTRSY
      VNVIUKZUYWJUXWRUUUHUYWLKUUULGCWXTXHZRUYWJURWUEUQUXXJUYWJWGXFWYAWYBWYGVWOY
      VNCVGUKZUYWCUXWRUUUHUYWNKUUULGCWYCXHZRWYDUYWDYVNNPZUXWKUYWPUXWKUYWDUYWPUF
      AUXXSUFUMZGYLOZYVRUXWJUFUYWRQZUYWPUYWSUNAUXXSUFGUYWQUYWQVQUXYFUUXNUXYGYMX
      SRUYWPYVPUFYVQUYWPYVNNYVOUYWPURZUUVLUUVMUVVFNYVOQXAUUVNWBSNWYEYOWUSWHUYWP
      UYWRUXYIUXWJUYWPUYWQUXYHGYLUYWPUXYHUXYJUYWQUXYHUXYJPUNATVAUXXSFUVXBUXYEWW
      QXSUYWPAUXXSYYIUFUYWPUXYLVPZYYIYYAUFUXYLUUUQUYWPUXYLYYCYYBUUUQUYUFYYEUUUR
      VRUQUYXAYXTUFYVQUYXAYXSYVNNVGUYXAUXXKUXXNUYXAYXRUXXSUXWMUYWPUXYLUWGUYWPUX
      XSUXWMPUXYLUYWPUXXRUXWLGWKUYWPNYVNGUGUYWPYVNNUYWTYPWDUOWEWYFUXXOXPUYWPUXY
      LWGYBWHWIWWRWYHUOUYWBWXMYSUQUYWDUYWPYGZVPZYVNNCWKOQZUXWKUYXCNCYVNUUVMUYXC
      UUVNRUYWEUYXCUYWFRUXWSUYXCUXWTRZUYXCNYVNUUWTUYXCWNRUYXEUYWDNYVNVIUKZUYXBU
      UVMUYWEUYWDUYXFUUVNUYWFNCYVNWVLXEZWEUYXBYVNNVMUYWDYVNNVVMUQWUEUYWNUYXCUYW
      ORXFUYXDYVQAUYUPYVNUGOZGWKOZYVQUMZGYLOZYVRUXWJUYXDAUYXIYVQGUYXJUYXJVQUYXD
      UYXITVAUYXITWSZUYXDUYXHGXJZRZUYTVXFYVQVAQUYXDWYIRYUBUYXDYUCRYMUYXDYVPUFYV
      QUYXDSNYVNUUVLUYXDXARUUWTUYXDWNRZUYWGUYXDUYWHRUUVMUYWEUYXDNYVNVGUKZUUVNUY
      WFNCYVNXLXEZWYJYCUYXDUYXKFUYXIWLZGYLOUXWJUYXDUYXJUYXRGYLUYXDUYXRAUYXIYYIU
      MZUYXJUYXRUYXSPUNATVAUYXIFUVXBUYXLUNUYXMRWWQXSUYXDAUYXIYYIYVQUYXDYXRUYXIQ
      ZVPZYYIYYAYVQUYXTUUUQUYXDUYXTYYCYYBUUUQYXRUYXHGXCZYYEUUURVRUQUYYAYXTUFYVQ
      UYYANYXSUUWTUYYAWNRZUYXTYXSTQUYXDUYXTYXRCUYYBUUUHUYXTUUULRZVVCUQZUYYANYXS
      UYYCUYYEUYXDUYXPUYXTNYXSVGUKUYXQUYXPUYXTVPNYVNGYXRUGOZUGOZYXSVGUYXTNUYYGV
      GUKUYXPUYXTNYXRUXWLUGOZUYYGVGUYXTNUYXHUXWLUGOZUYYHVGUYXTUYYIUYUQNUYXTUYUP
      GYVNUYUPVAQZUYXTUYUPGNKWNVVBZVBZRYUBUYXTYUCRZYVNVAQZUYXTYVNUXWTVBZRZWYKUY
      VAWXMUYXTUYXHYXRUXWLUYXHTQZUYXTUYUPYVNUYYKUXWTWWLZRZUYYBUXXHUYXTUXXARZUYX
      TUYXHWTQZUYUJUYXTUYXHYXRVGUKVUUAUYXTUYXHUYYRXBZRZUYXTGUXWRUYXTKRZWXQZUYXT
      URZUYXHGYXRXLWRZYQUYFZUYXTYXRVAQYUBUYYNUYYHUYYGPUYXTYXRUYYBXTZUYYMUYYPYXR
      GYVNWYLWRZYBUQUYXTUYYGYXSPUYXPUYXTUYYGYVNUYYFCVSOZUGOZCVSOZGUYYFUGOZCVSOZ
      YXSUYXTVUUMUYYGCVSOZUYYGUYXTVUULUYYGCVSUYXTVUUKUYYFYVNUGUYXTUYYFTQZUUUHSU
      YYFVIUKUYYFCVGUKVUUKUYYFPUYXTGYXRVUUDUYYBVFZUYYDUYXTSUYYFUYXTVDZVUURUYXTU
      YVOSUYYFVGUKUYXTVUUAUYUJUYXTUYVOVUUCVUUEVUUFUYXHGYXRXDWRZUYXTYXRGUYYBVUUD
      WYMYAXMUYXTUYYFGUYXHUGOZCVUURUYXTGUYXHVUUDUYYSVFUUUOUYXTUUUDRZUYXTUYXHYXR
      GUYYSUYYBVUUDVUUGWYQVUVACVGUKUYXTVUVAYVNNUGOZCVGVUVAYVNUYUQUGOZVUVCYUBUYY
      JUYYNVUVAVUVDPYUCUYYLUYYOGUYUPYVNWYLYOUYUQNYVNUGUYVAWPWMVUVCYVNVGUKZUYWNV
      UVCCVGUKUXWSUUXCVUVEUXWTUYBYVNNWXLXHUYWOVUVCYVNCYVNNUXWTWNWWLUXWTUUUDVYOX
      HWYNRXNUYYFCUYEXOWDUOUYXTUYYGTQUUUHSUYYGVIUKUYYGCVGUKVUUPUYYGPUYXTYVNUYYF
      UXWSUYXTUXWTRVUURVFZUYYDUYXTSUYYGVUUSVUVFUYXTSUYYHUYYGVGUYXTSNUYYHVUUSUUW
      TUYXTWNRUYXTUYYHUYYGTVUUJVUVFWYOZUVVFUYXTWBRVUUHXNVUUJYBXMUYXTUYYHUYYGCVG
      VUUJUYXTUYYHGUXWLUGOZCVUVGUYXTGUXWLVUUDUYYTVFVUVBUYXTYXRGUXWLUYYBVUUDUYYT
      VUUTYQVUVHCVGUKUYXTVUVHYVNCVGYUBUYYNVUVHYVNPYUCUYYOGYVNWYPXHUYWOWYNRXNWYR
      UYYGCUYEXOYRUYXTUXWRVUUQUUUHVUUMVUUOPVUUDVUURUYYDGUYYFCWYSWRUYXTVUUNYXRCV
      SUYXTGYXRUYYMVUUIWYTUOWXHUQYBVVOXMVVLYCWIWWRWYHUOUYXDTUYXHGYHFUUXPUYXDUUX
      SRVUUAUYXDVUUBRUXWRUYXDKRZUYXDUYXPUYXHGVGUKZUYXQUYXDUXWRUUWTUXWSUYXPVUVJW
      FVUVIUYXOYVNNCXCGNYVNXUAWRYAUYXNUVXGUYXDYFRYHUYXHVIUKZUYXDUYYQYHUYXHVGUKZ
      VUVKUYYRUYXHWWHUVXGVUUAVUVLVUVKWUIYFVUUBYHUYXHVYIXHYERWWAYRYSXPYDXPYDXUBY
      VNUWVMQZYVSFGYJWKOWLGYLOZQZVUVMUFAGGNYVNUGOZULOZWKOZUFUMZGYLOZYVSVUVNUFVU
      VTQZVUVMVUWAUNAVUVRUFGVUVSVUVSVQUNVUVRTVAVUVRTWSZUNGVUVQXJZRZUYTVXFUUXNUX
      YGYMXSRVUVMYVSUXXJUFYVQVOZUFVUVMAGYYAVUWETFTFYYOPVUVMJRYXRGPZYYAVUWEPVUVM
      VUWFYXTUXXJUFYVQVUWFYXSYVNNVGYXRGCVSWCUXAUWRZUQUXWRVUVMKRZVUWETQVUVMUXXJU
      FYVQTUWOYYDUWQZRUTVUVMUXXJUFYVQUUVLUUVMVUVMUXXJXAUUVNSNYVNWVMXEZWHWIVUVMV
      UVTFVUVRWLZGYLOVUVNVUVMVUVSVUWKGYLVUVMVUWKAVUVRYYIUMZVUVSVUWKVUWLPUNATVAV
      UVRFUVXBVUWDWWQXSVUVMAVUVRYYIUFVUVMYXRVUVRQZVPZYYIYYAUFVUWMUUUQVUVMVUWMYY
      CYYBUUUQYXRGVUVQXCZYYEUUURVRUQVUWNYXTUFYVQVUVMUXXJVUWMYXTVUWJUXXJVUWMVPYX
      SYVNYXRGUGOZULOZNVGVUWMYXSVUWQPUXXJVUWMVUWQYVNVUWPCVSOZULOZCVSOZGVUWPULOZ
      CVSOZYXSVUWMVUWTVUWQCVSOZVUWQVUWMVUWSVUWQCVSVUWMVUWRVUWPYVNULVUWMVUWPTQZU
      UUHSVUWPVIUKZVUWPCVGUKZVUWRVUWPPZVUWMYXRGVUWOUXWRVUWMKRZVFZUUUHVUWMUUULRZ
      VUWMSVUWPVUWMVDZVUXIVUWMGYXRVGUKZSVUWPVGUKZVUWMUYUJVUVQWTQZVUWMVUXLVUWMGV
      UXHWXQZVUXNVUWMVUVQGVUVPKNYVNWNUXWTWWLZVVBZXBZRZVUWMURZGVUVQYXRXLWRZVUWMG
      YXRVUXHVUWOWYMYAXMVUWMVUWPNCVUXIUUWTVUWMWNRZUUUOVUWMUUUDRZVUWMVUWPVUVQGUG
      OZNVUXIVUWMVUVQGVUVQTQZVUWMVUXQRZVUXHVFZVUYBVUWMYXRVUVQGVUWOVUYFVUXHVUWMU
      YUJVUXNVUWMYXRVUVQVGUKVUXOVUXSVUXTGVUVQYXRXDWRYQZVUYDNVIUKVUWMVUYDVUVPNVI
      YUBVUVPVAQVUYDVUVPPYUCVUVPVUXPVBGVUVPWXDXHZUYWLVUVPNVIUKZUYWMUUWTUXWSUYWL
      VUYJWFWNUXWTNYVNXUCXHYIWYNRUVKUUXBVUWMUUXDRZXNVUWPCUYEZXOWDUOVUWMVUWQTQZU
      UUHSVUWQVIUKZVUWQCVGUKZVUXCVUWQPZVUWMYVNVUWPUXWSVUWMUXWTRZVUXIUXHZVUXJVUW
      MSVUWQVUXKVUYRVUWMSYVNGGUGOZULOZVUWQVUXKVUWMYVNVUYSVUYQVUWMGGVUXHVUXHVFZU
      XHVUYRSVUYTVIUKVUWMSYVNVUYTVIUYWMVUYTYVNSULOYVNVUYSSYVNULGYUCXUEWPYVNUYYO
      XUFUVDUVERVUWMVUYSVUWPYVNVVUAVUXIVUYQVUWMGYXRGVUXHVUWOVUXHVUYAYQXUDXUGXMV
      UWMVUWQNCVUYRVUYBVUYCVUWMVUWQYVNVUYDULOZNVGVUWMVUWPVUYDYVNVUXIVUYGVUYQVUY
      HXUDVVUBYVNVUVPULONVUYDVUVPYVNULVUYIWPYVNNUYYOVLXUHWMVVFZVUYKXNVUWQCUYEZX
      OYRVUWMUXWRVUXDUUUHVUWTVUXBPZVUXHVUXIVUXJGVUWPCWXGZWRVUWMVUXAYXRCVSVUWMGY
      XRYUBVUWMYUCRVUWMYXRVUWOXTXUIUOWXJUQVUWMVUWQNVGUKUXXJVVUCUQUYFVVOWHWIWWRW
      YHUOVUVMTGVUVQYJFUUXPVUVMUUXSRVUWHVUXNVUVMVUXRRVUVMGVUVPVUWHVUVMVUVPVUVPT
      QVUVMVUXPRVUVMUXXJSVUVPVGUKVUWJVUVMYVNNUXWSVUVMUXWTRUUWTVUVMWNRWYMYAWWMXU
      JVUWBVUVMVUWCRUVXNVUVMYKRVUVQYJVIUKZVUVMVUYEVUVQYJVGUKZVVUGVUXQVUVQVYGVUX
      NUVXNVVUHVVUGWUIVUXRYKVUVQYJVYIXHYERWVHYRYSVUVMYGZUYWDVUVOVVUINCYVNUUVMVV
      UIUUVNRUYWEVVUIUYWFRUYWGVVUIUYWHRVVUIUYXFVUVMVVUIUYXFYGZVPZSNYVNUUVLVVUKX
      ARUUVMVVUKUUVNRUYWGVVUKUYWHRUYWLVVUKUYWMRVVUJUXXJVVUIVVUJUXXJVVUJYVNNUXWS
      VVUJUXWTRUUWTVVUJWNRXUKXULUQWYDVVUIVVUJWGVVQUYWNVVUIUYWORWYDUYWDYVQAGGCYV
      NUGOZULOZWKOZYVQUMZGYLOZYVSVUVNYVQVVUPQZUYWDVVUQUNAVVUNYVQGVVUOVVUOVQUNVV
      UNTVAVVUNTWSZUNGVVUMXJZRZUYTVXFUVVMUXYGYMXSRUYWDYVSVUWEYVQYVSVUWEPZUYWDUX
      WRVVVAKAGYYAVUWETFVUWGJUXXJUFYVQXUOYVQTYYDVXRUWJXUMXKZRUYWDUXXJUFYVQUYWDN
      YVNUUWTUYWDWNRUXWSUYWDUXWTRZUYXGVVLYCWIUYWDVVUPFVVUNWLZGYLOVUVNUYWDVVUOVV
      VDGYLUYWDVVVDAVVUNYYIUMZVVUOVVVDVVVEPUNATVAVVUNFUVXBVVUTWWQXSUYWDAVVUNYYI
      YVQUYWDYXRVVUNQZVPZYYIYYAYVQVVVFUUUQUYWDVVVFYYCYYBUUUQYXRGVVUMXCZYYEUUURV
      RUQVVVGYXTUFYVQVVVGNYXSUUWTVVVGWNRZVVVGVUWQYXSTVVVFVUWQYXSPUYWDVVVFVUWQVU
      WTVUXBYXSVVVFVUWTVUXCVUWQVVVFVUWSVUWQCVSVVVFVUWRVUWPYVNULVVVFVUXDUUUHVUXE
      VUXFVUXGVVVFYXRGVVVHUXWRVVVFKRZVFZUUUHVVVFUUULRZVVVFSVUWPVVVFVDZVVVKVVVFV
      UXLVUXMVVVFUYUJVVUMWTQZVVVFVUXLVVVFGVVVJWXQZVVVNVVVFVVUMGVVULKCYVNUUUDUXW
      TWWLZVVBZXBZRZVVVFURZGVVUMYXRXLWRVVVFGYXRVVVJVVVHWYMYAZXMVVVFVUWPVVUMGUGO
      ZCVVVKVVVFVVUMGVVUMTQZVVVFVVVQRZVVVJVFZUUUOVVVFUUUDRVVVFYXRVVUMGVVVHVVWDV
      VVJVVVFUYUJVVVNVVVFYXRVVUMVGUKVVVOVVVSVVVTGVVUMYXRXDWRYQZVVWBCVIUKVVVFVVW
      BVVULCVIYUBVVULVAQVVWBVVULPYUCVVULVVVPVBGVVULWXDXHZUYWLVVULCVIUKZUYWMUUUO
      UXWSUYWLVVWHWFUUUDUXWTCYVNXUCXHYIWYNRUVKVUYLXOWDUOVVVFVUYMUUUHVUYNVUYOVUY
      PVVVFUXWSVUXDVUYMUXWTVVVKYVNVUWPXUNXUPZVVVLVVVFSVUWQVVVMVVWIVVVFYVNVUWPUX
      WSVVVFUXWTRZVVVKUYWLVVVFUYWMRVVWAXUQXMVVVFVUWQYVNVVWBULOZCVGVVVFVUWPVVWBY
      VNVVVKVVWEVVWJVVWFXUDVVWKYVNVVULULOCVVWBVVULYVNULVVWGWPYVNCUYYOUUUEXUHWMV
      VFVVUDXOYRVVVFUXWRVUXDUUUHVVUEVVVJVVVKVVVLVVUFWRVVVFVUXAYXRCVSVVVFGYXRYUB
      VVVFYUCRVVVFYXRVVVHXTXUIUOWXHUQZVVVFVUYMUYWDVVWIUQZXURVVVGNVUWQYXSVIVVVGN
      VUWQVVVIVVWMVVVGNYVNVUWQVVVIUXWSVVVGUXWTRVVWMUYWDUYXFVVVFUYXGWEVVVFYVNVUW
      QVGUKUYWDVVVFYVNVUWPVVWJVVVFVUWPVVVKVVWAWWMXUJUQXUGXMVVWLYBVVLYCWIWWRWYHU
      OUYWDTGVVUMYJFUUXPUYWDUUXSRUXWRUYWDKRZVVVNUYWDVVVRRUYWDGVVULVVWNUYWDVVULV
      VULTQUYWDVVVPRUYWDUYWNSVVULVGUKUYWNUYWDUYWORUYWDYVNCVVVCUUUOUYWDUUUDRWYMY
      AWWMXUJVVURUYWDVVUSRUVXNUYWDYKRVVUMYJVIUKZUYWDVVWCVVUMYJVGUKZVVWOVVVQVVUM
      VYGVVVNUVXNVVWPVVWOWUIVVVRYKVVUMYJVYIXHYERWVHYRYSXPXUBEUWNSAYXPYYIXXSYXRU
      EOZXUSUIUEOXUTNUBOZXXSUWNQZVVWRSVVWSACFXXSIJVVWSURXVAYPUYGEUCYXLAYXPYYIVV
      WQUHUIUEOXUTNUBOZYWEVVWTYXLYWEACFXXSIJYWEURXVBYPUYGEUCYVIXXSYXHUIZYVFXUSU
      IZUEOZXXSYXMUIZYVGUEOZULOZYWEVVXFSYXLYVGUEOZULOVVXGYVIYWEVVXCSVVXEVVXGULY
      WEVVXCSVVXBUEOSYWEVVXASVVXBUEYWEVVWSUVYTVVXASPXXSXVCYWEVDEUWNSTYXHYXHVQZU
      XIWUGUOYWEVVXBYWEYVFYWOXVDXVEWIYWEVVXDYXLYVGUEYWEYXLVEQVVXDYXLPYVCSYVEUWF
      UAYVDUBUSUWJEUCYXLVEYXMYXMVQUXIUXLUOUPYWEVVXGYWEYXLYVGYWEYVCSYVEVAYWFYWMU
      WBYWPVCXVFYWEYVCVVXGYVIPYWEYVCVPVVXGSYVIYVCYWEVVXGSYVGUEOSYVCYXLSYVGUEYVC
      SYVEXVGUOYWEYVGYWPXVEXVHYVCSYVIPYWEYVCYVISYVCSYVHXVGYPUQWIYWEYVCYGZVPVVXG
      YVHYVIVVXIVVXGYVHPYWEVVXIYXLYVEYVGUEYVCSYVEXVIUOUQVVXIYVHYVIPYWEVVXIYVIYV
      HYVCSYVHXVIYPUQWIYDWXJUYGXVJYXKYWASUGOYWAYXJSYWAUGYXJSUDUBOSYXISUDUBSUWNQ
      YXISPXVNESSSUWNYXHXXSSPSUUGVVXHUWFXUMXKVHUDUDUUQVBZSUDWAUXDUVTZXVKWMWPYWA
      YVTUDYVRYVSYVPUFYVQVAUFVAQUUXNXSWYIUWQYVSVUWEVAVVVBVUWEVUWIVBUXBWWTVVXJVV
      XKXVLXVOWMUVERXVMXSVWJYVLYUQPYVMYVBPYVLDUCXXEXXKUEOZUMYUQDUCYVKVVXLXYJYVK
      UDXXHVNUKZSUAXXHNUEOZUBOZXXJUEOZVOZVVXPVVXLXYJEXXHYVIVVXQUCYVJVEYXFXXSXXH
      PZYVIVVXQPXYJVVXRYVCVVXMYVHVVXPSXXSXXHUDVNUWDVVXRYVEVVXOYVGXXJUEVVXRYVDVV
      XNUAUBXXSXXHNUEWCWDVVXRYVFXXIUHXXSXXHGUEWCUUIUPUWEUQXYJXXHUUJQZSXXHVGUKXX
      HUCQXYTYUMXXHXVPXVQVVXQVEQXYJVVXMSVVXPUWFVVXOXXJUEUSZUWJRUTXYJVVXMSVVXPXY
      JVVXMYGZUDXXHUFULOZVNUKZXYJUDXXGVVYBVNXYJXYQXXFUUJQUDXXGVNUKUUMXYRUDXXFXV
      RXUPXYJVVYBXXGXYJXXGUFXYJXXGXYSUUOXYJUYQWXIYPYBXYJVVXSVVYAVVYCWFXYTXXHXWC
      XPUWLYCXYJVVXPXXEXXHUBOZXXJUEOVVXLXYJVVXOVVYDXXJUEXYJVVXOUANXXHUEOZUBOVVY
      DXYJVVXNVVYEUAUBXYJXXHNYUAYURXYJVLRZXVSWDXYJUANXXHYUTXYJUWIRZVVYFYUAYWJXY
      JYWKRZYUNXVTUXJUOXYJXXEXXHXXJXYJUANVVYGVVYFVVYHVJZYUAYUDYUNXWAWIZWXHUYGDE
      UCVVXLYUPXXFXXSPZXXKXYDXXEUEVVYKXXJXYCXXHXYAUBVVYKXXIXYBUHVVYKXXHXYAGUEVV
      YKXXGXXTUFUGXXFXXSUDUEUUHUOZUOUUIVVYLUPWDUWSWMULYVLYUQUFXWDXKHYWAACFGHIJK
      MXWBWOXWERUNUCVAXXFYUQUCVAYUQVTUNEUCVAYUPYUQYUQVQYWEXXEXYDYWEUANYWGYWIYWL
      VJYWEXYCXYAYWEXYBYWEXYAGYWEXXTVAQZXYAVAQYWEUDXXSUDVAQYWEVVXJRYWHVCVVYMXXT
      UFVVYMURVVYMUYQXWFXPYWNVCUUPYWEXXTUFYWEXXTYWEUDXXSYUHYWEUUQRZXXSUVFZUUSZX
      TZYWEUYQZXWFYWEXXTUFVVYQVVYRYWEUFXXTYWEUURZYWEUFYUFXXTVVYSYWEYUFUDTUVBVVY
      NXWGVVYPYWEUFUDYUFVGUFUDVGUKYWEXWHRUVBXWIYWEUFXXSUDVVYSVVYOVVYNYULYWEUVGR
      XXSUVHUVIUVKUVLXWJVJVCUWCRXWKXYJXYKXXOXXFYUQUIZUEOZPUNXYJXYKXXKXXOVVXLUEO
      ZVWUAXYPXYJUFXXKUEOXXOXXEUEOZXXKUEOXXKVWUBUFVWUCXXKUEVWUCUFYURYWJYUTYVAVW
      UCUFPVLYWKUWIUVMNUAXWLWVSZWOVHXYJXXKYUOXWMXYJXXOXXEXXKXYJNUAVVYFVVYGYVAXY
      JUVMRVJVVYIYUOXWNXWOXYJVWUAVWUBXYJVVYTVVXLXXOUEXYJEXXFYUPVVXLUCYUQVEXYJYU
      QUUGXYLYUPVVXLPXYJXYLXYDXXKXXEUEXYNWDUQXYOXYJVVXLVVXPVEVVYJVVXTXXAUTWDYPW
      XHUQXXBZXYFXXPUJXWPXWQXPXXCXSXYHVWUEXSZXXLXXPXYFXWRXHWPXXEXXOHUANUWIVLYWK
      XVLZNUAVLUWIUVMXVLZHHGNVSOSPZSYVSVOTMVWUISYVSTWAYVSVUWETVVVBVUWIUXBUWQUXB
      VBZXWSXXRUFHUEOHXXQUFHUEXXOXXEUFVWUHVWUGVWUDXWTVHHVWUJUXCWMXXDXXNXYFXXPUJ
      BXYEPXXNXYFPLULBXYEUFXWDXKVWUFWYNWUM $.
  $}

  ${
    $d F n x $.  $d G x $.  $d T x $.  $d X n x $.  $d ph x $.
    fouriercn.f $e |- ( ph -> F : RR --> RR ) $.
    fouriercn.t $e |- T = ( 2 x. _pi ) $.
    fouriercn.per $e |- ( ( ph /\ x e. RR ) -> ( F ` ( x + T ) ) = ( F ` x ) )
       $.
    fouriercn.dv $e |- ( ph -> ( RR _D F ) e. ( RR -cn-> CC ) ) $.
    fouriercn.g $e |- G = ( ( RR _D F ) |` ( -u _pi (,) _pi ) ) $.
    fouriercn.x $e |- ( ph -> X e. RR ) $.
    fouriercn.a $e |- A = ( n e. NN0 |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x ) x.
       ( cos ` ( n x. x ) ) ) _d x / _pi ) ) $.
    fouriercn.b $e |- B = ( n e. NN |-> ( S. ( -u _pi (,) _pi ) ( ( F ` x ) x.
       ( sin ` ( n x. x ) ) ) _d x / _pi ) ) $.
    $( If the derivative of ` F ` is continuous, then the Fourier series for
       ` F ` converges to ` F ` everywhere and the hypothesis are simpler than
       those for the more general case of a piecewise smooth function (see
       ~ fourierd for a comparison).  (Contributed by Glauco Siliprandi,
       11-Dec-2019.) $)
    fouriercn $p |- ( ph -> ( ( ( A ` 0 ) / 2 ) + sum_ n e. NN ( ( ( A ` n ) x.
       ( cos ` ( n x. X ) ) ) + ( ( B ` n ) x. ( sin ` ( n x. X ) ) ) ) ) = ( F
       ` X ) ) $=
      ( co cr cc cioo crn ctg cfv cpi cneg cdm cdif cfn cdv cres dmeqi wss wceq
      c0 ioossre ccncf wcel wf cncff fdm sseqtrrid ssdmres sylib syl5eq difeq2d
      3syl difid eqtrdi 0fin eqeltrdi rescncf mpsyl oveq1d 3eltr4d cv cico cpnf
      a1i climc wne pire renegcli rexri icossre mp2an eldifi sselid wa limcresi
      cxr reseq1i resres eqtr2i oveq1i sseqtri adantr simpr cnlimci ne0d sylan2
      cin cioc cmnf negpitopissre eqid ccn ccnp wb ax-resscn fssd ssid syl31anc
      dvcn cncffvrn syl2anc mpbird ccnfld tgioo2 cncfcn eleqtrd uniretop cncnpi
      ctopn fouriercnp ) ABCDEFGHUAUBUCUDZIJKLNAUEUFZUEUARZHUGZUHZUOUIAYJYHYHUH
      UOAYIYHYHAYISGUJRZYHUKZUGZYHHYLNULAYHYKUGZUMYMYHUNASYHYNYGUEUPZAYKSTUQRZU
      RZSTYKUSYNSUNZMSTYKUTSTYKVAVGZVBYHYKVCVDVEZVFYHVHVIVJVKAYLYHTUQRZHYITUQRY
      HSUMAYQYLUUAURYOMSTYHYKVLVMHYLUNANVSAYIYHTUQYTVNVOBVPZYGUEVQRZYIUHURZAUUB
      SURZHUUBVRUARZUKZUUBVTRZUOWAUUDUUCSUUBYGSURUEWKURUUCSUMUEWBWCUEWBWDYGUEWE
      WFUUBUUCYIWGWHAUUEWIZUUHUUBYKUDZUUIYKUUBVTRZUUHUUJUUKYKYHUUFXBZUKZUUBVTRU
      UHUUBUULYKWJUUMUUGUUBVTUUGYLUUFUKUUMHYLUUFNWLYKYHUUFWMWNWOWPUUISUUBTYKAYQ
      UUEMWQAUUEWRWSZWHWTXAUUBYGUEXCRZYIUHURZAUUEHXDUUBUARZUKZUUBVTRZUOWAUUPUUO
      SUUBXEUUBUUOYIWGWHUUIUUSUUJUUIUUKUUSUUJUUKYKYHUUQXBZUKZUUBVTRUUSUUBUUTYKW
      JUVAUURUUBVTUURYLUUQUKUVAHYLUUQNWLYKYHUUQWMWNWOWPUUNWHWTXAYFXFAGYFYFXGRZU
      RISURGIYFYFXHRUDURAGSSUQRZUVBAGUVCURZSSGUSZJASTUMZGYPURZUVDUVEXIUVFAXJVSZ
      AUVFSTGUSSSUMZYRUVGUVHASSTGJUVHXKUVIASXLVSYSSSGXNXMSTSGXOXPXQAUVFUVFUVCUV
      BUNUVHUVHSSXRYDUDZYFYFUVJXFZUVJUVKXSZUVLXTXPYAOIGYFYFSYBYCXPPQYE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  e is transcendental
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A f $.  $d A j k $.  $d A k z $.  $d F f $.  $d G j k $.  $d G j n $.
    $d G k z $.  $d I k z $.  $d M j k $.  $d M j n $.  $d M k z $.
    $d j k ph $.  $d ph z $.
    elaa2lem.a $e |- ( ph -> A e. AA ) $.
    elaa2lem.an0 $e |- ( ph -> A =/= 0 ) $.
    elaa2lem.g $e |- ( ph -> G e. ( Poly ` ZZ ) ) $.
    elaa2lem.gn0 $e |- ( ph -> G =/= 0p ) $.
    elaa2lem.ga $e |- ( ph -> ( G ` A ) = 0 ) $.
    elaa2lem.m $e |- M = inf ( { n e. NN0 | ( ( coeff ` G ) ` n ) =/= 0 } , RR
       , < ) $.
    elaa2lem.i $e |- I = ( k e. NN0 |-> ( ( coeff ` G ) ` ( k + M ) ) ) $.
    elaa2lem.f $e |- F = ( z e. CC |-> sum_ k e. ( 0 ... ( ( deg ` G ) - M ) )
       ( ( I ` k ) x. ( z ^ k ) ) ) $.
    $( Elementhood in the set of nonzero algebraic numbers.  ' Only if ' part
       of ~ elaa2 .  (Contributed by Glauco Siliprandi, 5-Apr-2020.)  (Revised
       by AV, 1-Oct-2020.) $)
    elaa2lem $p |- ( ph -> E. f e. ( Poly ` ZZ ) ( ( ( coeff ` f ) ` 0 ) =/= 0
       /\ ( f ` A ) = 0 ) ) $=
      ( wcel cc0 vj cz cply cfv ccoe wne wceq wa cv wrex cc cdgr cmin cexp cmul
      co cfz csu cmpt a1i wss cn0 wf zsscn cle wbr dgrcl syl nn0zd crab cr cinf
      clt ssrab2 cuz c0 nn0uz sseqtri c0p neneqd eqid dgreq0 mtbid neqned fveq2
      wb jca neeq1d elrab sylibr ne0d infssuzcl syl2anc sselid eqeltrid zsubcld
      infssuzle eqbrtrd nn0red subge0d mpbird elnn0z caddc 0zd adantr nn0addcld
      coef2 simpr ffvelrnd eqeltrd adantl ad2antrr ad2antlr mpbid simprd eqtr4d
      mpteq2dva elfznn0 eqidd adantlr oveq1d eqtrd 3eqtr4d fveq1d fveq2d fvmptd
      wn oveq1 3eqtrd cdiv expcld mulcld oveq12d npcand expne0d sumeq2dv lenltd
      zred condan fzfid syl2anc2 elplyr syl3anc cif iftrued iffalse wo resubcld
      fmptd nn0re ltnled ltsubaddd olc dgrlt pm2.61dan simpl fvmpt2d sumeq12rdv
      fssd coeeq2 addid2d 0nn0 sylib eqnetrd caa fvoveq1 oveq2 fsumshft sumeq1d
      aasscn elfzelz expsubd oveq2d nn0ge0d elfzle1 letrd divassd eqcomd eqtr2d
      0red eleqtrdi fzss1 divcld cdif eldifi elfzle2 elfzd eldifn neqne adantll
      elfzelzd mul02d div0d fsumss syldan fvmpt2 fsumcl coeid2 fsumdivc anbi12d
      fveq1 eqeq1d rspcev ) AGUBUCUDZSTGUEUDZUDZTUFZCGUDZTUGZUHZTDUIZUEUDZUDZTU
      FZCUXKUDZTUGZUHZDUXDUJAGBUKTHULUDZJUMUPZUQUPZEUIZIUDZBUIZUYAUNUPZUOUPZEUR
      ZUSZUXDGUYGUGARUTZAUBUKVAZUXSVBSZVBUBIVCUYGUXDSUYIAVDUTZAUXSUBSZTUXSVEVFZ
      UHUYJAUYLUYMAUXRJAUXRAHUXDSZUXRVBSZMUBHVGVHZVIZAJAJFUIZHUEUDZUDZTUFZFVBVJ
      ZVKVMVLZVBPAVUBVBVUCVUAFVBVNZAVUBTVOUDZVAZVUBVPUFVUCVUBSVUFAVUBVBVUEVUDVQ
      VRZUTZAVUBUXRAUYOUXRUYSUDZTUFZUHUXRVUBSZAUYOVUJUYPAVUITAHVSUGZVUITUGZAHVS
      NVTAUYNVULVUMWFMUYSUBHUXRUXRWAZUYSWAZWBVHWCWDWGVUAVUJFUXRVBUYRUXRUGUYTVUI
      TUYRUXRUYSWEWHWIWJZWKVUBTWLWMZWNWOZVIZWPZAUYMJUXRVEVFAJVUCUXRVEJVUCUGZAPU
      TZAVUFVUKVUCUXRVEVFVUHVUPUXRVUBTWQWMWRAUXRJAUXRUYPWSZAJVURWSZWTXAWGUXSXBW
      JZAEVBUYAJXCUPZUYSUDZUBIAUYAVBSZUHZVBUBVVFUYSAVBUBUYSVCZVVHAUYNTUBSZVVJMU
      YNXDZUYSUBHVUOXGUUAZXEVVIUYAJAVVHXHAJVBSZVVHVURXEXFZXIZQUUIBIUBEUXSUUBUUC
      XJZAUXGUXIAUXFJUYSUDZTAUXFTIUDVVRVVRATUXEIAEVBUYAUXSVEVFZVVGTUUDZUSEVBVVG
      USZUXEIAEVBVVTVVGVVIVVSVVTVVGUGVVIVVSUHVVSVVGTVVIVVSXHUUEVVIVVSYGZUHZVVTT
      VVGVWBVVTTUGVVIVVSVVGTUUFXKVWCUXRVVFVEVFZVVGTUGZVWCVULUXRVVFVMVFZUUGZVWDV
      WEUHZVWCVWFVWGVWCUXSUYAVMVFZVWFVWCVWIVWBVVIVWBXHVWCUXSUYAVWCUXRJAUXRVKSVV
      HVWBVVCXLZAJVKSZVVHVWBVVDXLZUUHVVHUYAVKSAVWBUYAUUJXMZUUKXAVWCUXRJUYAVWJVW
      LVWMUULXNVWFVULUUMVHVWCUYNVVFVBSZVWGVWHWFAUYNVVHVWBMXLVVIVWNVWBVVOXEUYSUB
      HVVFUXRVUNVUOUUNWMXNXOXPUUOXQABVVGUBEGUXSVVQVVEAUYAUXTSZUHZVBUKVVFUYSAVBU
      KUYSVCZVWOAVBUBUKUYSVVMUYKUUSZXEVWPUYAJVWOVVHAUYAUXSXRXKZAVVNVWOVURXEXFXI
      ZAGUYGBUKUXTVVGUYDUOUPZEURZUSUYHABUKUYFVXBAUYCUKSZUHZUXTUXTUYEVXAEVXDUXTX
      SVXDVWOUHUYBVVGUYDUOAVWOUYBVVGUGZVXCVWPAVVHVXEAVWOUUPZVWSAEVBVVGIUBIVWAUG
      AQUTZVVPUUQWMXTYAUURXQYBUUTVXGYCYDAETVVGVVRVBIUBVXGAUYATUGZUHZVVFJUYSVXIV
      VFTJXCUPZJVXHVVFVXJUGAUYATJXCYHXKAVXJJUGVXHAJAUBUKJVDVUSWNZUVAZXEYBYETVBS
      AUVBUTAVBUBJUYSVVMVURXIYFAVVRXSYIAVVNVVRTUFZAJVUBSVVNVXMUHAJVUCVUBVVBVUQX
      JVUAVXMFJVBUYRJUGUYTVVRTUYRJUYSWEWHWIUVCXOUVDAUXHCHUDZCJUNUPZYJUPZTVXOYJU
      PZTAUXTVVGCUYAUNUPZUOUPZEURZTUXRUQUPZUAUIZUYSUDZCVYBUNUPZUOUPZVXOYJUPZUAU
      RZUXHVXPAVXTVXJUXSJXCUPZUQUPZVYBJUMUPZJXCUPZUYSUDZCVYJUNUPZUOUPZUAURZJUXR
      UQUPZVYFUAURZVYGAVXSVYNEUAJTUXSVUSAUYNVVKMVVLVHVUTVWPVVGVXRVWTVWPCUYAVWPA
      CUKSZVXFAUVEUKCUVJKWNZVHVWSYKYLZUYAVYJUGVVGVYLVXRVYMUOUYAVYJJUYSXCUVFUYAV
      YJCUNUVGYMUVHAVYOVYPVYNUAURVYQAVYIVYPVYNUAAVXJJVYHUXRUQVXLAUXRJAUBUKUXRVD
      UYQWNVXKYNYMUVIAVYPVYNVYFUAAVYBVYPSZUHZVYNVYCVYMUOUPZVYFWUBVYLVYCVYMUOWUB
      VYKVYBUYSWUBVYBJWUBUBUKVYBVDWUAVYBUBSZAVYBJUXRUVKXKZWNAJUKSWUAVXKXEYNYEYA
      WUBWUCVYCVYDVXOYJUPZUOUPZVYFWUBVYMWUFVYCUOWUBCVYBJAVYRWUAVYSXEZACTUFWUALX
      EZAJUBSZWUAVUSXEZWUEUVLUVMWUBVYFWUGWUBVYCVYDVXOWUBVBUKVYBUYSAVWQWUAVWRXEW
      UBWUDTVYBVEVFZUHVYBVBSZWUBWUDWULWUEWUBTJVYBWUBUVTAVWKWUAVVDXEWUBVYBWUEYRA
      TJVEVFWUAAJVURUVNXEWUAJVYBVEVFZAVYBJUXRUVOXKUVPWGVYBXBWJZXIZWUBCVYBWUHWUO
      YKZAVXOUKSWUAACJVYSVURYKZXEZWUBCJWUHWUIWUKYOZUVQUVRUVSXPYPYBAVYPVYAVYFUAA
      JVUESVYPVYAVAAJVBVUEVURVQUWAJTUXRUWBVHWUBVYEVXOWUBVYCVYDWUPWUQYLWUSWUTUWC
      AVYBVYAVYPUWDSZUHZVYFVXQTWVBVYETVXOYJWVBVYETVYDUOUPTWVBVYCTVYDUOWVBVYCTUG
      ZVYBJVMVFZWVBWVDWVCYGZWVBWVDWUAWVBWVDYGZUHZVYBJUXRAWUJWVAWVFVUSXLAUXRUBSW
      VAWVFUYQXLWVAWUDAWVFWVAVYBTUXRVYBVYAVYPUWEZUWKZXMZWVGWUNWVFWVBWVFXHWVGJVY
      BAVWKWVAWVFVVDXLWVGVYBWVJYRYQXAWVAVYBUXRVEVFZAWVFWVAVYBVYASZWVKWVHVYBTUXR
      UWFVHXMUWGWVAWUAYGAWVFVYBVYAVYPUWHXMYSXEWVBWVEUHZWUNWVFWVMJVUCVYBVEVVAWVM
      PUTWVMVUFVYBVUBSZVUCVYBVEVFVUFWVMVUGUTWVAWVEWVNAWVAWVEUHZWUMVYCTUFZUHWVNW
      VOWUMWVPWVAWUMWVEWVAWVLWUMWVHVYBUXRXRZVHZXEWVEWVPWVAVYCTUWIXKWGVUAWVPFVYB
      VBUYRVYBUGUYTVYCTUYRVYBUYSWEWHWIWJUWJVYBVUBTWQWMWRWVMJVYBAVWKWVAWVEVVDXLW
      VAVYBVKSAWVEWVAVYBWVIYRXMYQXNYSYAWVBVYDWVBCVYBAVYRWVAVYSXEWVAWUMAWVRXKYKU
      WLYBYAAVXQTUGWVAAVXOWURACJVYSLVUSYOZUWMZXEYBATUXRYTZUWNYIABCUYFVXTUKGUKUY
      HAUYCCUGZUHZUXTUYEVXSEWWCVWOUHUYBVVGUYDVXRUOAVWOVXEWWBVWPVVHVVGUBSZVXEVWS
      AVWOVVHWWDVWSVVPUWOEVBVVGUBIQUWPWMXTWWBUYDVXRUGAVWOUYCCUYAUNYHXMYMYPVYSAU
      XTVXSEATUXSYTVYTUWQYFAVXPVYAVYEUAURZVXOYJUPVYGAVXNWWEVXOYJAUYNVYRVXNWWEUG
      MVYSUYSUBUAHUXRCVUOVUNUWRWMYAAVYAVYEVXOUAWWAWURAWVLUHZVYCVYDWWFVBUKVYBUYS
      AVWQWVLVWRXEWVLWUMAWVQXKZXIWWFCVYBAVYRWVLVYSXEWWGYKYLWVSUWSYBYCAVXNTVXOYJ
      OYAWVTYIWGUXQUXJDGUXDUXKGUGZUXNUXGUXPUXIWWHUXMUXFTWWHTUXLUXEUXKGUEWEYDWHW
      WHUXOUXHTCUXKGUXAUXBUWTUXCWM $.
  $}

  ${
    $d A f g k z $.  $d f g j k m z $.  $d g m n $.
    $( Elementhood in the set of nonzero algebraic numbers: when ` A ` is
       nonzero, the polynomial ` f ` can be chosen with a nonzero constant
       term.  (Contributed by Glauco Siliprandi, 5-Apr-2020.)  (Proof shortened
       by AV, 1-Oct-2020.) $)
    elaa2 $p |- ( A e. ( AA \ { 0 } ) <-> ( A e. CC /\ E. f e. ( Poly ` ZZ ) (
       ( ( coeff ` f ) ` 0 ) =/= 0 /\ ( f ` A ) = 0 ) ) ) $=
      ( vg vz vk vn vm caa cc0 wcel cc cv ccoe cfv wne wceq wa c0p cn0 co vj cz
      csn cdif cply wrex aasscn eldifi sselid elaa sylib simprd w3a cdgr cr clt
      crab cinf cmin cfz caddc cmpt cexp cmul csu 3ad2ant1 eldifsni simp3 fveq2
      3ad2ant2 cbvrabv infeq1i fvoveq1 cbvmptv eqid elaa2lem rexlimdv3a mpd jca
      neeq1d simpl cxp coe0 eqtrdi fveq1d fvconst2g mp2an adantl neneq ad2antlr
      0nn0 wn pm2.65da velsn sylnibr eldifd adantrr simprr reximi2 anim2i simpr
      sylibr nfv nfan wi simpl3r coefv0 sylan9eqr adantlr simplr eqnetrd neneqd
      nfre1 adantlrr 3adantl1 elsng biimpa 3ad2antl1 3exp adantr rexlimd impbii
      mtand ) AHIUCZUDJZAKJZIBLZMNZNZIOZAYGNZIPZQZBUBUENZUFZQZYEYFYOYEHKAUGAHYD
      UHZUIYEACLZNIPZCYNRUCZUDZUFZYOYEYFUUBYEAHJZYFUUBQYQACUJUKULYEYSYOCUUAYEYR
      UUAJZYSUMDABEFDKIYRUNNGLZYRMNZNZIOZGSUQZUOUPURZUSTUTTELZUASUALZUUJVATUUFN
      ZVBZNDLUUKVCTVDTEVEVBZYRUUNUUJYEUUDUUCYSYQVFYEUUDAIOYSAHIVGVFUUDYEYRYNJYS
      YRYNYTUHVJUUDYEYRROYSYRYNRVGVJYEUUDYSVHUOUUIFLZUUFNZIOZFSUQUPUUHUURGFSUUE
      UUPPUUGUUQIUUEUUPUUFVIVTVKVLUAESUUMUUKUUJVATUUFNUULUUKUUJUUFVAVMVNUUOVOVP
      VQVRVSYPAHYDYPYFYLBUUAUFZQUUCYOUUSYFYMYLBYNUUAYGYNJZYMQYGUUAJZYLUUTYJUVAY
      LUUTYJQZYGYNYTUUTYJWAUVBYGRPZYGYTJUVBUVCYIIPZUVCUVDUVBUVCYIISYDWBZNZIUVCI
      YHUVEUVCYHRMNUVEYGRMVIWCWDWEISJZUVGUVFIPWKWKSIISWFWGWDWHYJUVDWLUUTUVCYIIW
      IWJWMBRWNWOWPWQUUTYJYLWRVSWSWTABUJXBYPYOAYDJZWLZYFYOXAYPYMUVIBYNYFYOBYFBX
      CYMBYNXMXDUVIBXCYFUUTYMUVIXEXEYOYFUUTYMUVIYFUUTYMUMZUVHAIPZUVJUVKYLYJYLYF
      UUTUVKXFUUTYMUVKYLWLZYFUUTYJUVKUVLYLUVBUVKQZYKIUVMYKYIIUUTUVKYKYIPYJUVKUU
      TYKIYGNYIAIYGVIYHUBYGYHVOXGXHXIUUTYJUVKXJXKXLXNXOWMYFUUTUVHUVKYMYFUVHUVKA
      IKXPXQXRYCXSXTYAVRWPYB $.
  $}

  ${
    $d J n x $.  $d M j n $.  $d P j n $.  $d X j n x $.  $d n ph x $.
    etransclem1.x $e |- ( ph -> X C_ CC ) $.
    etransclem1.p $e |- ( ph -> P e. NN ) $.
    etransclem1.h $e |- H = ( j e. ( 0 ... M ) |-> ( x e. X |-> ( ( x - j ) ^
       if ( j = 0 , ( P - 1 ) , P ) ) ) ) $.
    etransclem1.j $e |- ( ph -> J e. ( 0 ... M ) ) $.
    $( ` H ` is a function.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem1 $p |- ( ph -> ( H ` J ) : X --> CC ) $=
      ( cc cmin co cc0 wceq cexp cmpt wcel vn cfv wf cv c1 cif wa elfzelzd zcnd
      sselda adantr subcld cn0 cn nnm1nn0 syl nnnn0d ifcld expcld fmptd cfz cvv
      eqid oveq2 eqeq1 ifbid oveq12d mpteq2dv cbvmptv wss cnex ssex mptexg 3syl
      eqtri fvmptd3 feq1d mpbird ) AHMFEUBZUCHMBHBUDZFNOZFPQZCUENOZCUFZROZSZUCA
      BHWEMWFAVTHTZUGZWAWDWHVTFAHMVTIUJAFMTWGAFAFPGLUHUIUKULAWDUMTWGAWBWCCUMACU
      NTWCUMTJCUOUPACJUQURUKUSWFVCUTAHMVSWFAUAFBHVTUAUDZNOZWIPQZWCCUFZROZSZWFPG
      VAOZEVBEDWOBHVTDUDZNOZWPPQZWCCUFZROZSZSUAWOWNSKDUAWOXAWNWPWIQZBHWTWMXBWQW
      JWSWLRWPWIVTNVDXBWRWKWCCWPWIPVEVFVGVHVIVOWIFQZBHWMWEXCWJWAWLWDRWIFVTNVDXC
      WKWBWCCWIFPVEVFVGVHLAHMVJHVBTWFVBTIHMVKVLBHWEVBVMVNVPVQVR $.
  $}

  ${
    $d F i j $.  $d R i j $.  $d R i x $.  $d i j ph $.  $d ph x $.
    etransclem2.xf $e |- F/_ x F $.
    etransclem2.f $e |- ( ph -> F : RR --> CC ) $.
    etransclem2.dvnf $e |- ( ( ph /\ i e. ( 0 ... ( R + 1 ) ) ) -> ( ( RR
       Dn F ) ` i ) : RR --> CC ) $.
    etransclem2.g $e |- G = ( x e. RR |-> sum_ i e. ( 0 ... R ) ( ( ( RR Dn
       F ) ` i ) ` x ) ) $.
    $( Derivative of ` G ` .  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    etransclem2 $p |- ( ph -> ( RR _D G ) = ( x e. RR |-> sum_ i e. ( 0 ... R )
       ( ( ( RR Dn F ) ` ( i + 1 ) ) ` x ) ) ) $=
      ( cr cdv co cc0 cfv cc wcel wf wa wceq vj cfz cv cdvn csu c1 caddc oveq2i
      cmpt cioo crn ctg ccnfld ctopn eqid tgioo2 cpr reelprrecn a1i reopn fzfid
      w3a fzelp1 sylan2 3adant3 simp3 ffvelrnd fzp1elp1 ovex eleq1 anbi2d fveq2
      feq1d imbi12d chvarvv vtocl wfn ffnd nfcv nfov dffn5f sylib eqcomd oveq2d
      wi nffv wss cpm cn0 ax-resscn cdm ffdm syl cvv wb cnex reex elpm2g mpbird
      sylancl adantr elfznn0 adantl dvnp1 syl3anc 3eqtr2d dvmptfsum syl5eq ) AK
      FLMKBKNCUBMZBUCZDUCZKEUDMZOZOZDUEUIZLMBKXIXJXKUFUGMZXLOZOZDUEUIFXOKLJUHAB
      XNXRKDXIUJUKULOZUMUNOZKXTXTUOZUPYAKKPUQQAURUSKXSQAUTUSANCVAAXKXIQZXJKQZVB
      ZKPXJXMAYBKPXMRZYCYBAXKNCUFUGMUBMZQZYEXKNCVCIVDZVEAYBYCVFZVGYDKPXJXQAYBKP
      XQRZYCYBAXPYFQZYJXKNCVHAUAUCZYFQZSZKPYLXLOZRZWEZAYKSZYJWEUAXPXKUFUGVIYLXP
      TZYNYRYPYJYSYMYKAYLXPYFVJVKYSKPYOXQYLXPXLVLVMVNAYGSZYEWEYQDUAXKYLTZYTYNYE
      YPUUAYGYMAXKYLYFVJVKUUAKPXMYOXKYLXLVLVMVNIVOVPVDZVEYIVGAYBSZKBKXNUIZLMKXM
      LMZXQBKXRUIZUUCUUDXMKLUUCXMUUDUUCXMKVQXMUUDTUUCKPXMYHVRBKXMBXKXLBKEUDBKVS
      BUDVSGVTZBXKVSWFWAWBWCWDUUCKPWGZEPKWHMQZXKWIQZXQUUETUUHUUCWJUSAUUIYBAUUIE
      WKZPERUUKKWGSZAKPERUULHKPEWLWMAPWNQZKWNQUUIUULWOUUMAWPUSWQPKEWNWNWRWTWSXA
      YBUUJAXKCXBXCKEXKXDXEUUCXQKVQXQUUFTUUCKPXQUUBVRBKXQBXPXLUUGBXPVSWFWAWBXFX
      GXH $.
  $}

  ${
    etransclem3.n $e |- ( ph -> P e. NN ) $.
    etransclem3.c $e |- ( ph -> C : ( 0 ... M ) --> ( 0 ... N ) ) $.
    etransclem3.j $e |- ( ph -> J e. ( 0 ... M ) ) $.
    etransclem3.4 $e |- ( ph -> K e. ZZ ) $.
    $( The given ` if ` term is an integer.  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    etransclem3 $p |- ( ph -> if ( P < ( C ` J ) , 0 , ( ( ( ! ` P ) / ( ! ` (
       P - ( C ` J ) ) ) ) x. ( ( K - J ) ^ ( P - ( C ` J ) ) ) ) ) e. ZZ ) $=
      ( cfv wbr cc0 co cz cfz wcel adantr cle clt cfa cmin cdiv cexp cmul wa wn
      0zd cn nnzd ffvelrnd elfzelzd zsubcld cr zred simpr nltled subge0d mpbird
      elfzle1 syl nnred subge02d mpbid elfzd permnn cn0 elnn0z sylanbrc syl2anc
      zexpcl zmulcld ifclda ) ACDBLZUAMZNCUBLCVOUCOZUBLUDOZEDUCOZVQUEOZUFOPAVPU
      GUIAVPUHZUGZVRVTWBVRWBVQNCQORVRUJRWBVQNCWBUIACPRWAACHUKZSZAVQPRZWAACVOWCA
      VONGANFQONGQOZDBIJULZUMZUNSZWBNVQTMZVOCTMWBVOCAVOUORWAAVOWHUPZSZWBCWDUPZA
      WAUQURWBCVOWMWLUSUTZAVQCTMZWAANVOTMZWOAVOWFRWPWGVONGVAVBACVOACHVCWKVDVESV
      FVQCVGVBUKWBVSPRZVQVHRZVTPRAWQWAAEDKADNFJUMUNSWBWEWJWRWIWNVQVIVJVSVQVLVKV
      MVN $.
  $}

  ${
    $d A j x $.  $d M j $.  $d P j $.  $d j ph x $.
    etransclem4.a $e |- ( ph -> A C_ CC ) $.
    etransclem4.p $e |- ( ph -> P e. NN ) $.
    etransclem4.M $e |- ( ph -> M e. NN0 ) $.
    etransclem4.f $e |- F = ( x e. A |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. ( 1
       ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem4.h $e |- H = ( j e. ( 0 ... M ) |-> ( x e. A |-> ( ( x - j ) ^
       if ( j = 0 , ( P - 1 ) , P ) ) ) ) $.
    etransclem4.e $e |- E = ( x e. A |-> prod_ j e. ( 0 ... M ) ( ( H ` j ) ` x
       ) ) $.
    $( ` F ` expressed as a finite product.  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    etransclem4 $p |- ( ph -> F = E ) $=
      ( c1 co cexp cc0 wcel cv cmin cfz cprod cmul cmpt cfv wa wceq caddc simpr
      cif cvv cc wss cnex ssex mptexg adantr fvmpt2 syl2anc ovexd fvmpt2d an32s
      3syl prodeq2dv cuz cn0 eleqtrdi sselda elfzelz zcnd adantl subcld nnm1nn0
      nn0uz cn nnnn0d ifcld ad2antrr expcld oveq2 iftrue oveq12d fprod1p oveq1d
      syl subid1d 0p1e1 a1i 0red 1red zred clt wbr 0lt1 elfzle1 ltletrd gt0ne0d
      oveq1i neneqd iffalsed oveq2d prodeq12rdv 3eqtrrd mpteq2dva 3eqtr4g ) ABC
      BUAZDPUBQZRQZPIUCQZXHEUAZUBQZDRQZEUDZUEQZUFBCSIUCQZXHXLHUGZUGZEUDZUFGFABC
      XPXTAXHCTZUHZXTXQXMXLSUIZXIDULZRQZEUDXHSUBQZXIRQZSPUJQZIUCQZYEEUDZUEQXPYB
      XQXSYEEAXLXQTZYAXSYEUIAYKUHZBCYEXRUMYLYKBCYEUFZUMTZXRYMUIAYKUKAYNYKACUNUO
      CUMTYNJCUNUPUQBCYEUMURVEUSEXQYMUMHNUTVAYLYAUHXMYDRVBVCVDVFYBYEYGESIAISVGU
      GZTYAAIVHYOLVPVIUSYBYKUHZXMYDYPXHXLYBXHUNTYKACUNXHJVJZUSYKXLUNTYBYKXLXLSI
      VKVLVMVNAYDVHTYAYKAYCXIDVHADVQTXIVHTKDVOWGADKVRVSVTWAYCXMYFYDXIRXLSXHUBWB
      YCXIDWCWDWEYBYGXJYJXOUEYBYFXHXIRYBXHYQWHWFAYJXOUIYAAYIXKYEXNEYIXKUIAYHPIU
      CWIWTWJXLXKTZYEXNUIAYRYDDXMRYRYCXIDYRXLSYRXLYRSPXLYRWKYRWLYRXLXLPIVKWMSPW
      NWOYRWPWJXLPIWQWRWSXAXBXCVMXDUSWDXEXFMOXG $.
  $}

  ${
    $d M j k $.  $d P j k x y $.  $d X j k x y $.
    $( A change of bound variable, often used in proofs for ~ etransc .
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem5 $p |- ( j e. ( 0 ... M ) |-> ( x e. X |-> ( ( x - j ) ^ if ( j
       = 0 , ( P - 1 ) , P ) ) ) ) = ( k e. ( 0 ... M ) |-> ( y e. X |-> ( ( y
       - k ) ^ if ( k = 0 , ( P - 1 ) , P ) ) ) ) $=
      ( cc0 cfz co cv cmin wceq c1 cif cexp cmpt oveq1 oveq1d cbvmptv mpteq2dv
      oveq2 eqeq1 ifbid oveq12d syl5eq ) DEHFIJAGAKZDKZLJZUHHMZCNLJZCOZPJZQZBGB
      KZEKZLJZUPHMZUKCOZPJZQZUHUPMZUNBGUOUHLJZULPJZQVAABGUMVDUGUOMUIVCULPUGUOUH
      LRSTVBBGVDUTVBVCUQULUSPUHUPUOLUBVBUJURUKCUHUPHUCUDUEUAUFT $.
  $}

  ${
    $d M j k x y $.  $d P j k x y $.
    $( A change of bound variable, often used in proofs for ~ etransc .
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem6 $p |- ( x e. RR |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. ( 1 ... M
       ) ( ( x - j ) ^ P ) ) ) = ( y e. RR |-> ( ( y ^ ( P - 1 ) ) x. prod_ k
       e. ( 1 ... M ) ( ( y - k ) ^ P ) ) ) $=
      ( cr cv c1 cmin co cexp cfz cprod cmul weq oveq1 oveq2 oveq1d cbvprodv
      prodeq2ad syl5eq oveq12d cbvmptv ) ABGAHZCIJKZLKZIFMKZUEDHZJKZCLKZDNZOKBH
      ZUFLKZUHUMEHZJKZCLKZENZOKABPZUGUNULUROUEUMUFLQUSULUHUEUOJKZCLKZENURUHUKVA
      DEDEPUJUTCLUIUOUEJRSTUSUHVAUQEUSUTUPCLUEUMUOJQSUAUBUCUD $.
  $}

  ${
    $d M j $.  $d j ph $.
    etransclem7.n $e |- ( ph -> P e. NN ) $.
    etransclem7.c $e |- ( ph -> C : ( 0 ... M ) --> ( 0 ... N ) ) $.
    etransclem7.j $e |- ( ph -> J e. ( 0 ... M ) ) $.
    $( The given product is an integer.  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    etransclem7 $p |- ( ph -> prod_ j e. ( 1 ... M ) if ( P < ( C ` j ) , 0 , (
       ( ( ! ` P ) / ( ! ` ( P - ( C ` j ) ) ) ) x. ( ( J - j ) ^ ( P - ( C ` j
       ) ) ) ) ) e. ZZ ) $=
      ( c1 cfz co cfv wbr cc0 wcel cz adantr cle cv clt cfa cmin cdiv cexp cmul
      cif fzfid wa 0zd wn cn nnzd ad2antrr wf caddc wss fzp1ss syl 1e0p1 oveq1i
      id eleqtrdi sseldd adantl ffvelrnd elfzelzd zsubcld cr zred simpr subge0d
      nltled mpbird elfzle1 subge02d mpbid elfzd permnn elfzelz elnn0z sylanbrc
      cn0 zexpcl syl2anc zmulcld ifclda fprodzcl ) AKFLMZCDUAZBNZUBOZPCUCNCWLUD
      MZUCNUEMZEWKUDMZWNUFMZUGMZUHDAKFUIAWKWJQZUJZWMPWRRWTWMUJUKWTWMULZUJZWOWQX
      BWOXBWNPCLMQWOUMQXBWNPCXBUKACRQZWSXAACHUNZUOZWTWNRQZXAWTCWLAXCWSXDSWTWLPG
      WTPFLMZPGLMZWKBAXGXHBUPWSISWSWKXGQAWSPKUQMZFLMZXGWKWSPRQXJXGURWSUKPFUSUTW
      SWKWJXJWSVCKXIFLVAVBVDVEVFVGZVHZVISZXBPWNTOZWLCTOXBWLCWTWLVJQXAWTWLXLVKSZ
      XBCXEVKZWTXAVLVNXBCWLXPXOVMVOZXBPWLTOZWNCTOWTXRXAWTWLXHQXRXKWLPGVPUTSXBCW
      LXPXOVQVRVSWNCVTUTUNXBWPRQZWNWDQZWQRQWTXSXAWTEWKAERQWSAEPFJVHSWSWKRQAWKKF
      WAVFVISXBXFXNXTXMXQWNWBWCWPWNWEWFWGWHWI $.
  $}

  ${
    $d M j $.  $d X j x $.  $d j ph x $.
    etransclem8.x $e |- ( ph -> X C_ CC ) $.
    etransclem8.p $e |- ( ph -> P e. NN ) $.
    etransclem8.f $e |- F = ( x e. X |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. ( 1
       ... M ) ( ( x - j ) ^ P ) ) ) $.
    $( ` F ` is a function.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem8 $p |- ( ph -> F : X --> CC ) $=
      ( cv c1 cmin co cexp cc wcel wa cn0 adantr cfz cmul sselda cn nnm1nn0 syl
      cprod expcld fzfid elfzelz zcnd adantl subcld nnnn0d fprodcl mulcld fmptd
      ad2antrr ) ABGBKZCLMNZONZLFUANZUSDKZMNZCONZDUGZUBNPEAUSGQZRZVAVFVHUSUTAGP
      USHUCZVHCUDQZUTSQAVJVGITCUEUFUHVHVBVEDVHLFUIVHVCVBQZRZVDCVLUSVCVHUSPQVKVI
      TVKVCPQVHVKVCVCLFUJUKULUMACSQVGVKACIUNURUHUOUPJUQ $.
  $}

  ${
    etransclem9.k $e |- ( ph -> K e. ZZ ) $.
    etransclem9.kn0 $e |- ( ph -> K =/= 0 ) $.
    etransclem9.m $e |- ( ph -> M e. ZZ ) $.
    etransclem9.n $e |- ( ph -> N e. ZZ ) $.
    etransclem9.km $e |- ( ph -> -. K || M ) $.
    etransclem9.kn $e |- ( ph -> K || N ) $.
    $( If ` K ` divides ` N ` but ` K ` does not divide ` M ` then ` M + N `
       cannot be zero.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem9 $p |- ( ph -> ( M + N ) =/= 0 ) $=
      ( co cc0 wceq cdiv cz wcel cdvds wbr wb cmin caddc dvdsval2 syl3anc mtbid
      wne cneg df-neg a1i oveq1 eqcomd adantl zcnd pncand adantr 3eqtrrd oveq1d
      wa dvdsnegb syl2anc mpbid znegcld eqeltrd mtand neqned ) ACDUAKZLAVELMZCB
      NKZOPZABCQRZVHIABOPZBLUEZCOPVIVHSEFGBCUBUCUDAVFUQZVGDUFZBNKZOVLCVMBNVLVML
      DTKZVEDTKZCVMVOMVLDUGUHVFVOVPMAVFVPVOVELDTUIUJUKAVPCMVFACDACGULADHULUMUNU
      OUPAVNOPZVFABVMQRZVQABDQRZVRJAVJDOPVSVRSEHBDURUSUTAVJVKVMOPVRVQSEFADHVABV
      MUBUCUTUNVBVCVD $.
  $}

  ${
    etransclem10.n $e |- ( ph -> P e. NN ) $.
    etransclem10.m $e |- ( ph -> M e. NN0 ) $.
    etransclem10.c $e |- ( ph -> C : ( 0 ... M ) --> ( 0 ... N ) ) $.
    etransclem10.j $e |- ( ph -> J e. ZZ ) $.
    $( The given ` if ` term is an integer.  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    etransclem10 $p |- ( ph -> if ( ( P - 1 ) < ( C ` 0 ) , 0 , ( ( ( ! ` ( P -
       1 ) ) / ( ! ` ( ( P - 1 ) - ( C ` 0 ) ) ) ) x. ( J ^ ( ( P - 1 ) - ( C `
       0 ) ) ) ) ) e. ZZ ) $=
      ( co cc0 cfv wbr cz wa wcel cle syl adantr c1 cmin clt cfa cdiv cexp cmul
      0zd wn cfz w3a cn0 nnm1nn0 nn0zd nn0uz eleqtrdi eluzfz1 ffvelrnd elfzelzd
      cn cuz zsubcld 3jca cr zred nn0red nltled subge0d mpbird elfzle1 subge02d
      simpr mpbid jca32 elfz2 sylibr permnn nnzd elnn0z sylanbrc zexpcl syl2anc
      zmulcld ifclda ) ACUAUBKZLBMZUCNZLWEUDMWEWFUBKZUDMUEKZDWHUFKZUGKOAWGPUHAW
      GUIZPZWIWJWLWIWLWHLWEUJKQZWIUTQWLLOQZWEOQZWHOQZUKZLWHRNZWHWERNZPPWMWLWQWR
      WSAWQWKAWNWOWPAUHAWEACUTQWEULQGCUMSZUNZAWEWFXAAWFLFALEUJKZLFUJKZLBIAELVAM
      ZQLXBQAEULXDHUOUPLEUQSURZUSZVBZVCTWLWRWFWERNWLWFWEAWFVDQWKAWFXFVETZAWEVDQ
      WKAWEWTVFTZAWKVLVGWLWEWFXIXHVHVIZWLLWFRNZWSAXKWKAWFXCQXKXEWFLFVJSTWLWEWFX
      IXHVKVMVNWHLWEVOVPWHWEVQSVRWLDOQZWHULQZWJOQAXLWKJTWLWPWRXMAWPWKXGTXJWHVSV
      TDWHWAWBWCWD $.
  $}

  ${
    $d M c d j k $.  $d M c d j m $.  $d M c d k n $.  $d m n $.
    $( A change of bound variable, often used in proofs for ~ etransc .
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem11 $p |- ( n e. NN0 |-> { c e. ( ( 0 ... n ) ^m ( 0 ... M ) ) |
       sum_ j e. ( 0 ... M ) ( c ` j ) = n } ) = ( m e. NN0 |-> { d e. ( ( 0
       ... m ) ^m ( 0 ... M ) ) | sum_ k e. ( 0 ... M ) ( d ` k ) = m } ) $=
      ( cn0 cc0 cfz co cv cfv csu wceq cmap crab oveq2 oveq1d syl5eq sumeq2sdv
      rabeqdv fveq2 cbvsumv fveq1 eqeq1d cbvrabv eqeq2 rabbidv eqtrd cbvmptv )
      DCHIEJKZALZFLZMZANZDLZOZFIUQJKZULPKZQZULBLZGLZMZBNZCLZOZGIVFJKZULPKZQZUQV
      FOZVAURFVIQZVJVKURFUTVIVKUSVHULPUQVFIJRSUBVKVLVEUQOZGVIQVJURVMFGVIUNVCOZU
      PVEUQVNUPULVBUNMZBNVEULUOVOABUMVBUNUCUDVNULVOVDBVBUNVCUEUATUFUGVKVMVGGVIU
      QVFVEUHUITUJUK $.
  $}

  ${
    $d M c n $.  $d N c n $.  $d j n $.  $d n ph $.
    etransclem12.1 $e |- C = ( n e. NN0 |-> { c e. ( ( 0 ... n ) ^m ( 0 ... M )
       ) | sum_ j e. ( 0 ... M ) ( c ` j ) = n } ) $.
    etransclem12.2 $e |- ( ph -> N e. NN0 ) $.
    $( ` C ` applied to ` N ` .  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    etransclem12 $p |- ( ph -> ( C ` N ) = { c e. ( ( 0 ... N ) ^m ( 0 ... M )
       ) | sum_ j e. ( 0 ... M ) ( c ` j ) = N } ) $=
      ( cc0 cfz co cv cfv csu wceq cmap crab cn0 cvv oveq2 eqeq2 rabeqbidv wcel
      oveq1d ovex rabex a1i fvmptd3 ) ADFJEKLZCMGMNCOZDMZPZGJULKLZUJQLZRUKFPZGJ
      FKLZUJQLZRZSBTHULFPZUMUPGUOURUTUNUQUJQULFJKUAUEULFUKUBUCIUSTUDAUPGURUQUJQ
      UFUGUHUI $.
  $}

  ${
    $d M j x y $.  $d P j x y $.  $d X j x y $.  $d Y j x y $.  $d j ph x y $.
    etransclem13.x $e |- ( ph -> X C_ CC ) $.
    etransclem13.p $e |- ( ph -> P e. NN ) $.
    etransclem13.m $e |- ( ph -> M e. NN0 ) $.
    etransclem13.f $e |- F = ( x e. X |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. ( 1
       ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem13.y $e |- ( ph -> Y e. X ) $.
    $( ` F ` applied to ` Y ` .  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    etransclem13 $p |- ( ph -> ( F ` Y ) = prod_ j e. ( 0 ... M ) ( ( Y - j ) ^
       if ( j = 0 , ( P - 1 ) , P ) ) ) $=
      ( vy co cmin wceq cexp cvv wcel cc0 cfz cv cif cmpt cfv cprod etransclem4
      c1 eqid wa simpr cc wss cnex ssex mptexg 3syl adantr oveq1 oveq1d cbvmptv
      mpteq2i fvmpt2 syl2anc adantlr simpl syl adantll eqeltrd fvmptd prodeq2dv
      eqtrd ovexd prodex a1i ) ABHUAFUBOZBUCZDUCZDVQBGVRVSPOZVSUAQCUIPOCUDZROZU
      EZUEZUFZUFZDUGZVQHVSPOZWAROZDUGZGESABGCDBGWGUEZEWDFIJKLWDUJWKUJUHAVRHQZUK
      ZVQWFWIDWMVSVQTZUKZNVRNUCZVSPOZWAROZWIGWESAWNWENGWRUEZQZWLAWNUKWNWSSTZWTA
      WNULAXAWNAGUMUNGSTXAIGUMUOUPNGWRSUQURUSDVQWSSWDDVQWCWSBNGWBWRVRWPQVTWQWAR
      VRWPVSPUTVAVBVCVDVEVFWMWPVRQZWRWIQZWNWLXBXCAWLXBUKZWPHQZXCXDWPVRHWLXBULWL
      XBVGVMXEWQWHWARWPHVSPUTVAVHVIVFWMVRGTWNWMVRHGAWLULAHGTWLMUSVJUSWOWHWARVNV
      KVLMWJSTAVQWIDVOVPVK $.
  $}

  ${
    $d M j $.  $d j ph $.
    etransclem14.n $e |- ( ph -> P e. NN ) $.
    etransclem14.m $e |- ( ph -> M e. NN0 ) $.
    etransclem14.c $e |- ( ph -> C : ( 0 ... M ) --> ( 0 ... N ) ) $.
    etransclem14.t $e |- T = ( ( ( ! ` N ) / prod_ j e. ( 0 ... M ) ( ! ` ( C `
       j ) ) ) x. ( if ( ( P - 1 ) < ( C ` 0 ) , 0 , ( ( ( ! ` ( P - 1 ) ) / (
       ! ` ( ( P - 1 ) - ( C ` 0 ) ) ) ) x. ( J ^ ( ( P - 1 ) - ( C ` 0 ) ) ) )
       ) x. prod_ j e. ( 1 ... M ) if ( P < ( C ` j ) , 0 , ( ( ( ! ` P ) / ( !
       ` ( P - ( C ` j ) ) ) ) x. ( ( J - j ) ^ ( P - ( C ` j ) ) ) ) ) ) ) $.
    etransclem14.j $e |- ( ph -> J = 0 ) $.
    etransclem14.cpm1 $e |- ( ph -> ( C ` 0 ) = ( P - 1 ) ) $.
    $( Value of the term ` T ` , when ` J = 0 ` and ` ( C `` 0 ) = P - 1 `
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem14 $p |- ( ph -> T = ( ( ( ! ` N ) / prod_ j e. ( 0 ... M ) ( ! `
       ( C ` j ) ) ) x. ( ( ! ` ( P - 1 ) ) x. prod_ j e. ( 1 ... M ) if ( P <
       ( C ` j ) , 0 , ( ( ( ! ` P ) / ( ! ` ( P - ( C ` j ) ) ) ) x. ( -u j ^
       ( P - ( C ` j ) ) ) ) ) ) ) ) $=
      ( cfa cfv cc0 co c1 cmul cfz cv cprod cdiv cmin clt wbr cexp cneg wn wceq
      cif wa cr fzssre cuz wcel nn0uz eleqtrdi eluzfz1 ffvelrnd sselid eqeltrrd
      cn0 syl lttri3d mpbid simprd iffalsed recnd eqcomd subeq0bd fveq2d eqtrdi
      oveq2d cn nnm1nn0 faccld nncnd div1d eqtrd oveq12d 0exp0e1 mulid1d 3eqtrd
      fac0 oveq1d df-neg eqtr4di ifeq2d prodeq2ad syl5eq ) ADHOPQGUARZEUBZBPZOP
      EUCUDRZCSUERZQBPZUFUGZQWQOPZWQWRUERZOPZUDRZFXAUHRZTRZULZSGUARZCWOUFUGZQCO
      PCWOUERZOPUDRZFWNUERZXIUHRZTRZULZEUCZTRZTRWPWTXGXHQXJWNUIZXIUHRZTRZULZEUC
      ZTRZTRLAXPYBWPTAXFWTXOYATAXFXEWTSTRWTAWSQXEAWRWQUFUGUJZWSUJZAWRWQUKYCYDUM
      NAWRWQAQHUARZUNWRQHUOAWMYEQBKAGQUPPZUQQWMUQAGVDYFJURUSQGUTVEVAVBZAWRWQUNN
      YGVCZVFVGVHVIAXCWTXDSTAXCWTSUDRWTAXBSWTUDAXBQOPSAXAQOAWQWRAWQYHVJAWRWQNVK
      VLZVMWFVNVOAWTAWTAWQACVPUQWQVDUQICVQVEVRVSZVTWAAXDQQUHRSAFQXAQUHMYIWBWCVN
      WBAWTYJWDWEAXGXNXTEAXHXMXSQAXLXRXJTAXKXQXIUHAXKQWNUERXQAFQWNUEMWGWNWHWIWG
      VOWJWKWBVOWL $.
  $}

  ${
    $d M j $.  $d j ph $.
    etransclem15.p $e |- ( ph -> P e. NN ) $.
    etransclem15.m $e |- ( ph -> M e. NN0 ) $.
    etransclem15.n $e |- ( ph -> N e. NN0 ) $.
    etransclem15.c $e |- ( ph -> C : ( 0 ... M ) --> ( 0 ... N ) ) $.
    etransclem15.t $e |- T = ( ( ( ! ` N ) / prod_ j e. ( 0 ... M ) ( ! ` ( C `
       j ) ) ) x. ( if ( ( P - 1 ) < ( C ` 0 ) , 0 , ( ( ( ! ` ( P - 1 ) ) / (
       ! ` ( ( P - 1 ) - ( C ` 0 ) ) ) ) x. ( J ^ ( ( P - 1 ) - ( C ` 0 ) ) ) )
       ) x. prod_ j e. ( 1 ... M ) if ( P < ( C ` j ) , 0 , ( ( ( ! ` P ) / ( !
       ` ( P - ( C ` j ) ) ) ) x. ( ( J - j ) ^ ( P - ( C ` j ) ) ) ) ) ) ) $.
    etransclem15.j $e |- ( ph -> J = 0 ) $.
    etransclem15.cpm1 $e |- ( ph -> ( C ` 0 ) =/= ( P - 1 ) ) $.
    $( Value of the term ` T ` , when ` J = 0 ` and ` ( C `` 0 ) = P - 1 `
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem15 $p |- ( ph -> T = 0 ) $=
      ( cfv cc0 co cmul wcel cfa cfz cv cprod cdiv c1 cmin clt wbr cexp cif a1i
      wceq iftrue adantl wn wa iffalse oveq1d adantr cz cn nnzd zsubcld cuz cn0
      1zzd nn0uz eleqtrdi eluzfz1 ffvelrnd elfzelzd cr zred simpr nltled necomd
      syl wne leneltd posdifd mpbid elnnz sylanbrc 0expd eqtrd oveq2d cc faccld
      nnm1nn0 nncnd nnnn0d nnne0d divcld mul01d 3eqtrd eqeltrd etransclem7 zcnd
      pm2.61dan mul02d fzfid fzssnn0 ffvelrnda sselid fprodcl fprodn0 ) ADHUAPZ
      QGUBRZEUCZBPZUAPZEUDZUERZCUFUGRZQBPZUHUIZQXOUAPZXOXPUGRZUAPZUERZFXSUJRZSR
      ZUKZUFGUBRCXKUHUIQCUAPCXKUGRZUAPUERFXJUGRYEUJRSRUKEUDZSRZSRZXNQSRQDYHUMAM
      ULAYGQXNSAYGQYFSRQAYDQYFSAXQYDQUMZXQYIAXQQYCUNUOAXQUPZUQZYDYCYAQSRQYJYDYC
      UMAXQQYCURUOYKYBQYASYKYBQXSUJRZQAYBYLUMYJAFQXSUJNUSUTYKXSYKXSVATZQXSUHUIZ
      XSVBTAYMYJAXOXPACUFACIVCAVGVDZAXPQHAXIQHUBRZQBLAGQVEPZTQXITAGVFYQJVHVIQGV
      JVRZVKVLZVDUTYKXPXOUHUIYNYKXPXOAXPVMTYJAXPYSVNUTZAXOVMTYJAXOYOVNUTZYKXPXO
      YTUUAAYJVOVPAXOXPVSYJAXPXOOVQUTVTYKXPXOYTUUAWAWBXSWCWDZWEWFWGYKYAYKXRXTAX
      RWHTYJAXRAXOACVBTXOVFTICWJVRWIWKUTYKXTYKXSYKXSUUBWLWIZWKYKXTUUCWMWNWOWPWT
      USAYFAYFABCEFGHILAFQXINYRWQWRWSXAWFWGAXNAXHXMAXHAHKWIWKAXIXLEAQGXBZAXJXIT
      UQZXLUUEXKUUEYPVFXKHXCAXIYPXJBLXDXEWIZWKZXFAXIXLEUUDUUGUUEXLUUFWMXGWNWOWP
      $.
  $}

  ${
    $d M c n $.  $d N c n $.  $d j n $.  $d n ph $.
    etransclem16.c $e |- C = ( n e. NN0 |-> { c e. ( ( 0 ... n )
       ^m ( 0 ... M ) ) | sum_ j e. ( 0 ... M ) ( c ` j ) = n } ) $.
    etransclem16.n $e |- ( ph -> N e. NN0 ) $.
    $( Every element in the range of ` C ` is a finite set.  (Contributed by
       Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem16 $p |- ( ph -> ( C ` N ) e. Fin ) $=
      ( cfv cc0 cfz co cv csu wceq cfn wcel fzfi mp2an cmap etransclem12 ssrab2
      crab wss mapfi ssfi eqeltrdi ) AFBJKELMZCNGNJCOFPZGKFLMZUIUAMZUDZQABCDEFG
      HIUBULQRZUMULUEUMQRUKQRUIQRUNKFSKESUKUIUFTUJGULUCULUMUGTUH $.
  $}

  ${
    $d J j x $.  $d M j x $.  $d N x $.  $d P j x $.  $d S x $.  $d X j x $.
    $d j ph x $.
    etransclem17.s $e |- ( ph -> S e. { RR , CC } ) $.
    etransclem17.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    etransclem17.p $e |- ( ph -> P e. NN ) $.
    etransclem17.1 $e |- H = ( j e. ( 0 ... M ) |-> ( x e. X |-> ( ( x - j ) ^
       if ( j = 0 , ( P - 1 ) , P ) ) ) ) $.
    etransclem17.J $e |- ( ph -> J e. ( 0 ... M ) ) $.
    etransclem17.n $e |- ( ph -> N e. NN0 ) $.
    $( The ` N ` -th derivative of ` H ` .  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    etransclem17 $p |- ( ph -> ( ( S Dn ( H ` J ) ) ` N ) = ( x e. X |-> if (
       if ( J = 0 , ( P - 1 ) , P ) < N , 0 , ( ( ( ! ` if ( J = 0 , ( P - 1 )
       , P ) ) / ( ! ` ( if ( J = 0 , ( P - 1 ) , P ) - N ) ) ) x. ( ( x - J )
       ^ ( if ( J = 0 , ( P - 1 ) , P ) - N ) ) ) ) ) ) $=
      ( co cc0 cexp wcel cfv cdvn cv cneg caddc wceq cmin cif cmpt clt wbr cdiv
      c1 cfa cmul cfz cvv dvdmsscn sselda adantlr elfzelz zcnd ad2antlr negsubd
      wa eqcomd oveq1d mpteq2dva syl5eq negeq oveq2d eqeq1 ifbid oveq12d adantl
      cc mpteq2dv ccnfld ctopn crest mptexg syl fvmptd fveq1d negcld cn nnm1nn0
      cn0 nnnn0d ifcld eqid dvnxpaek mpdan adantr ifeq2d 3eqtrd ) AIDGFUAZUBQZU
      AIDBJBUCZGUDZUEQZGRUFZCUMUGQZCUHZSQZUIZUBQZUAZBJXDIUJUKZRXDUNUAXDIUGQZUNU
      AULQZXAXJSQZUOQZUHZUIZBJXIRXKWSGUGQZXJSQZUOQZUHZUIAIWRXGAWQXFDUBAEGBJWSEU
      CZUDZUEQZXTRUFZXCCUHZSQZUIZXFRHUPQZFUQAFEYGBJWSXTUGQZYDSQZUIZUIEYGYFUINAE
      YGYJYFAXTYGTZVEZBJYIYEYLWSJTZVEZYHYBYDSYNYBYHYNWSXTAYMWSVPTYKAJVPWSADJKLU
      RUSZUTYKXTVPTAYMYKXTXTRHVAVBVCVDVFVGVHVHVIXTGUFZYFXFUFAYPBJYEXEYPYBXAYDXD
      SYPYAWTWSUEXTGVJVKYPYCXBXCCXTGRVLVMVNVQVOOAJVRVSUADVTQZTXFUQTLBJXEYQWAWBW
      CVKWDAIWHTXHXOUFPABWTDXFXDIJKLAGAGYGTZGVPTZOYRGGRHVAVBWBZWEAXBXCCWHACWFTX
      CWHTMCWGWBACMWIWJXFWKWLWMABJXNXSAYMVEZXIXMXRRUUAXLXQXKUOUUAXAXPXJSUUAWSGY
      OAYSYMYTWNVDVGVKWOVHWP $.
  $}

  ${
    $d A k x y $.  $d B k x y $.  $d M j k x y $.  $d P j k x y $.
    $d j k ph x y $.
    etransclem18.s $e |- ( ph -> RR e. { RR , CC } ) $.
    etransclem18.x $e |- ( ph -> RR e. ( ( TopOpen ` CCfld ) |`t RR ) ) $.
    etransclem18.p $e |- ( ph -> P e. NN ) $.
    etransclem18.m $e |- ( ph -> M e. NN0 ) $.
    etransclem18.f $e |- F = ( x e. RR |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. (
       1 ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem18.a $e |- ( ph -> A e. RR ) $.
    etransclem18.b $e |- ( ph -> B e. RR ) $.
    $( The given function is integrable.  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    etransclem18 $p |- ( ph -> ( x e. ( A (,) B ) |-> ( ( _e ^c -u x ) x. ( F `
       x ) ) ) e. L^1 ) $=
      ( co ceu cc wcel cr vy cioo cicc cneg ccxp cfv cmul wss ioossicc a1i cvol
      vk cv cdm ioombl wa recni iccssred sselda recnd negcld cxpcld wf dvdmsscn
      ere etransclem8 adantr ffvelrnd mulcld cmpt ccncf cibl eqidd oveq2 adantl
      wceq sstrd negcl syl fvmptd eqcomd mpteq2dva cmnf cc0 cioc wn crp epr cxr
      cdif mnfxr 0red rpxr rpgt0 gtnelioc ax-mp eldif mpbir2an cxpcncf2 negcncf
      mp1i eqid cncfmpt1f eqeltrd cfz cmin cif cexp cprod ax-resscn etransclem6
      c1 cn0 eqtri etransclem13 fzfid w3a 3adant3 elfzelz zcnd 3ad2ant3 nnm1nn0
      cn subcld nnnn0d ifcld 3ad2ant1 expcld idcncfg constcncfg subcncf expcncf
      nfv ssid oveq1 cncfcompt2 fprodcncf mulcncf cniccibl syl3anc iblss ) ABCD
      UBPZCDUCPZQBUMZUDZUEPZUUDGUFZUGPZRUUBUUCUHACDUIUJUUBUKUNSACDUOUJAUUDUUCSZ
      UPZUUFUUGUUJQUUEQRSZUUJQVEUQZUJUUJUUDUUJUUDAUUCTUUDACDNOURZUSZUTZVAVBUUJT
      RUUDGATRGVCUUIABEFGHTATTIJVDZKMVFVGUUNVHVIACTSDTSBUUCUUHVJZUUCRVKPZSUUQVL
      SNOABUUFUUGUUCABUUCUUFVJBUUCUUEUARQUAUMZUEPZVJZUFZVJUURABUUCUUFUVBUUJUVBU
      UFUUJUAUUEUUTUUFRUVARUUJUVAVMUUSUUEVPUUTUUFVPUUJUUSUUEQUEVNVOUUJUUDAUUCRU
      UDAUUCTRUUMUUPVQZUSZVAUUJUUDRSZUUFRSUVDUVEQUUEUUKUVEUULUJUUDVRVBVSVTWAWBA
      BUUEUVAUUCQRWCWDWEPZWJSZUVARRVKPZSAUVGUUKQUVFSWFZUULQWGSZUVIWHUVJWCWDQWCW
      ISUVJWKUJUVJWLQWMQWNWOWPQRUVFWQWRUAQWSXAAUUCRUHZBUUCUUEVJZUURSUVCBUUCUVLU
      VLXBWTVSXCXDABUUCUUGVJBUUCWDHXEPZUUDULUMZXFPZUVNWDVPZEXLXFPZEXGZXHPZULXIZ
      VJUURABUUCUUGUVTUUJUAEULGHTUUDTRUHUUJXJUJAEYCSZUUIKVGAHXMSUUILVGGBTUUDUVQ
      XHPXLHXEPZUUDFUMXFPEXHPFXIUGPVJUATUUSUVQXHPUWBUUSUVNXFPEXHPULXIUGPVJMBUAE
      FULHXKXNUUNXOWBABUUCUVMUVSULUVCAWDHXPAUUIUVNUVMSZXQZUVOUVRUWDUUDUVNAUUIUV
      EUWCUUOXRUWCAUVNRSZUUIUWCUVNUVNWDHXSXTZYAYDAUUIUVRXMSZUWCAUVPUVQEXMAUWAUV
      QXMSKEYBVSAEKYEYFZYGYHAUWCUPZBUAUUCRRUVOUUSUVRXHPZUVSRUWIBYMUWIBUUDUVNUUC
      ABUUCUUDVJUURSUWCABUUCRUVCRRUHZARYNZUJYIVGUWIBUUCUVNRAUVKUWCUVCVGUWCUWEAU
      WFVOUWKUWIUWLUJZYJYKAUARUWJVJUVHSZUWCAUWGUWNUWHUAUVRYLVSVGUWMUUSUVOUVRXHY
      OYPYQXDYRCDUUQYSYTUUA $.
  $}

  ${
    $d J j x $.  $d M j x $.  $d N x $.  $d P j x $.  $d S x $.  $d X j x $.
    $d j ph x $.
    etransclem19.s $e |- ( ph -> S e. { RR , CC } ) $.
    etransclem19.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    etransclem19.p $e |- ( ph -> P e. NN ) $.
    etransclem19.1 $e |- H = ( j e. ( 0 ... M ) |-> ( x e. X |->
       ( ( x - j ) ^ if ( j = 0 , ( P - 1 ) , P ) ) ) ) $.
    etransclem19.J $e |- ( ph -> J e. ( 0 ... M ) ) $.
    etransclem19.n $e |- ( ph -> N e. ZZ ) $.
    etransclem19.7 $e |- ( ph -> if ( J = 0 , ( P - 1 ) , P ) < N ) $.
    $( The ` N ` -th derivative of ` H ` is 0 if ` N ` is large enough.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem19 $p |- ( ph -> ( ( S Dn ( H ` J ) ) ` N ) = ( x e. X |-> 0 ) )
                        $=
      ( co cc0 cle cfv cdvn wceq c1 cmin cif clt wbr cfa cdiv cv cexp cmul cmpt
      cz wcel cn0 0red zred cr cn nnm1nn0 syl nn0red nnred ifcld nn0ge0d adantr
      wa iftrue eqcomd adantl breqtrd wn nnnn0d iffalse pm2.61dan lelttrd ltled
      elnn0z sylanbrc etransclem17 iftrued mpteq2dv eqtrd ) AIDGFUAUBRUABJGSUCZ
      CUDUERZCUFZIUGUHZSWHUIUAWHIUERZUIUAUJRBUKGUERWJULRUMRZUFZUNBJSUNABCDEFGHI
      JKLMNOAIUOUPSITUHIUQUPPASIAURZAIPUSZASWHIWMAWFWGCUTAWGACVAUPWGUQUPMCVBVCZ
      VDACMVEVFWNAWFSWHTUHAWFVISWGWHTASWGTUHWFAWGWOVGVHWFWGWHUCAWFWHWGWFWGCVJVK
      VLVMAWFVNZVISCWHTASCTUHWPACACMVOVGVHWPCWHUCAWPWHCWFWGCVPVKVLVMVQQVRVSIVTW
      AWBABJWLSAWISWKQWCWDWE $.
  $}

  ${
    $d J j x $.  $d M j x $.  $d N x $.  $d P j x $.  $d S x $.  $d X j x $.
    $d j ph x $.
    etransclem20.s $e |- ( ph -> S e. { RR , CC } ) $.
    etransclem20.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    etransclem20.p $e |- ( ph -> P e. NN ) $.
    etransclem20.h $e |- H = ( j e. ( 0 ... M ) |-> ( x e. X |-> ( ( x - j ) ^
       if ( j = 0 , ( P - 1 ) , P ) ) ) ) $.
    etransclem20.J $e |- ( ph -> J e. ( 0 ... M ) ) $.
    etransclem20.n $e |- ( ph -> N e. NN0 ) $.
    $( ` H ` is smooth.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem20 $p |- ( ph -> ( ( S Dn ( H ` J ) ) ` N ) : X --> CC ) $=
      ( cc co cc0 wcel cfv cdvn wf wceq c1 cmin cif clt wbr cdiv cexp cmul cmpt
      cfa cv wa iftrue 0cnd eqeltrd adantl wn simpr iffalsed cn0 cn nnm1nn0 syl
      nnnn0d ifcld faccld nncnd adantr cz nn0zd zsubcld cr nn0red nltled mpbird
      cle subge0d elnn0z sylanbrc nnne0d divcld adantlr dvdmsscn sselda elfzelz
      cfz zcnd subcld expcld mulcld pm2.61dan eqid fmptd etransclem17 feq1d ) A
      JQIDGFUAUBRUAZUCJQBJGSUDZCUEUFRZCUGZIUHUIZSXCUNUAZXCIUFRZUNUAZUJRZBUOZGUF
      RZXFUKRZULRZUGZUMZUCABJXMQXNAXIJTZUPZXDXMQTZXDXQXPXDXMSQXDSXLUQXDURUSUTXP
      XDVAZUPZXMXLQXSXDSXLXPXRVBVCXSXHXKAXRXHQTXOAXRUPZXEXGAXEQTXRAXEAXCAXAXBCV
      DACVETXBVDTMCVFVGACMVHVIZVJVKVLXTXGXTXFXTXFVMTZSXFVTUIZXFVDTZAYBXRAXCIAXC
      YAVNAIPVNVOVLXTYCIXCVTUIXTIXCAIVPTXRAIPVQVLZAXCVPTXRAXCYAVQVLZAXRVBVRXTXC
      IYFYEWAVSXFWBWCZVJZVKXTXGYHWDWEWFXSXJXFXPXJQTXRXPXIGAJQXIADJKLWGWHAGQTZXO
      AGSHWJRTZYIOYJGGSHWIWKVGVLWLVLAXRYDXOYGWFWMWNUSWOXNWPWQAJQWTXNABCDEFGHIJK
      LMNOPWRWSVS $.
  $}

  ${
    $d J j x $.  $d M j x $.  $d N x $.  $d P j x $.  $d S x $.  $d X j x $.
    $d Y x $.  $d j ph x $.
    etransclem21.s $e |- ( ph -> S e. { RR , CC } ) $.
    etransclem21.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    etransclem21.p $e |- ( ph -> P e. NN ) $.
    etransclem21.h $e |- H = ( j e. ( 0 ... M ) |-> ( x e. X |-> ( ( x - j ) ^
       if ( j = 0 , ( P - 1 ) , P ) ) ) ) $.
    etransclem21.j $e |- ( ph -> J e. ( 0 ... M ) ) $.
    etransclem21.n $e |- ( ph -> N e. NN0 ) $.
    etransclem21.y $e |- ( ph -> Y e. X ) $.
    $( The ` N ` -th derivative of ` H ` applied to ` Y ` .  (Contributed by
       Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem21 $p |- ( ph -> ( ( ( S Dn ( H ` J ) ) ` N ) ` Y ) = if ( if ( J
       = 0 , ( P - 1 ) , P ) < N , 0 , ( ( ( ! ` if ( J = 0 , ( P - 1 ) , P ) )
       / ( ! ` ( if ( J = 0 , ( P - 1 ) , P ) - N ) ) ) x. ( ( Y - J ) ^ ( if (
       J = 0 , ( P - 1 ) , P ) - N ) ) ) ) ) $=
      ( co wcel cc0 wceq c1 cmin cif clt wbr cfa cdiv cv cexp cmul etransclem17
      cfv cdvn cc oveq1 oveq1d oveq2d ifeq2d adantl wa wn cn0 cn nnm1nn0 nnnn0d
      syl ifcld faccld nncnd adantr cz cle nn0zd zsubcld cr nn0red simpr nltled
      0cnd mpbird elnn0z sylanbrc nnne0d divcld dvdmsscn sseldd elfzelzd subcld
      subge0d zcnd expcld mulcld ifclda fvmptd ) ABKGUAUBZCUCUDSZCUEZIUFUGZUAWS
      UHUNZWSIUDSZUHUNZUISZBUJZGUDSZXBUKSZULSZUEZWTUAXDKGUDSZXBUKSZULSZUEZJIDGF
      UNUOSUNUPABCDEFGHIJLMNOPQUMXEKUBZXIXMUBAXNWTXHXLUAXNXGXKXDULXNXFXJXBUKXEK
      GUDUQURUSUTVARAWTUAXLUPAWTVBWAAWTVCZVBZXDXKXPXAXCAXAUPTXOAXAAWSAWQWRCVDAC
      VETWRVDTNCVFVHACNVGVIZVJVKVLXPXCXPXBXPXBVMTZUAXBVNUGZXBVDTAXRXOAWSIAWSXQV
      OAIQVOVPVLXPXSIWSVNUGXPIWSAIVQTXOAIQVRVLZAWSVQTXOAWSXQVRVLZAXOVSVTXPWSIYA
      XTWKWBXBWCWDZVJZVKXPXCYCWEWFXPXJXBAXJUPTXOAKGAJUPKADJLMWGRWHAGAGUAHPWIWLW
      JVLYBWMWNWOWP $.
  $}

  ${
    $d J j x $.  $d J x y $.  $d M j x $.  $d N x y $.  $d P j x $.
    $d P x y $.  $d S x $.  $d X j x $.  $d j ph x $.  $d ph x y $.
    etransclem22.s $e |- ( ph -> S e. { RR , CC } ) $.
    etransclem22.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    etransclem22.p $e |- ( ph -> P e. NN ) $.
    etransclem22.h $e |- H = ( j e. ( 0 ... M ) |-> ( x e. X |-> ( ( x - j ) ^
       if ( j = 0 , ( P - 1 ) , P ) ) ) ) $.
    etransclem22.J $e |- ( ph -> J e. ( 0 ... M ) ) $.
    etransclem22.n $e |- ( ph -> N e. NN0 ) $.
    $( The ` N ` -th derivative of ` H ` is continuous.  (Contributed by Glauco
       Siliprandi, 5-Apr-2020.) $)
    etransclem22 $p |- ( ph -> ( ( S Dn ( H ` J ) ) ` N ) e. ( X -cn-> CC ) )
       $=
      ( co cc0 cc wcel vy cfv cdvn wceq c1 cmin cif clt wbr cdiv cexp cmul cmpt
      cfa cv ccncf etransclem17 wa simpr iftrued mpteq2dv dvdmsscn 0cnd wss a1i
      ssid constcncfg adantr eqeltrd iffalsed nfv idcncfg elfzelzd zcnd subcncf
      wn cn0 cn nnm1nn0 syl nnnn0d ifcld faccld nncnd cle zsubcld nn0red nltled
      nn0zd subge0d mpbird elnn0z sylanbrc nnne0d divcld expcncf mulcncf oveq2d
      cz cr oveq1 cncfcompt2 pm2.61dan ) AIDGFUBUCQUBBJGRUDZCUEUFQZCUGZIUHUIZRX
      FUNUBZXFIUFQZUNUBZUJQZBUOZGUFQZXIUKQZULQZUGZUMZJSUPQZABCDEFGHIJKLMNOPUQAX
      GXQXRTAXGURZXQBJRUMZXRXSBJXPRXSXGRXOAXGUSUTVAAXTXRTXGABJRSADJKLVBZAVCSSVD
      ZASVFZVEZVGVHVIAXGVPZURZXQBJXOUMXRYFBJXPXOYFXGRXOAYEUSZVJVAYFBUAJSSXMXKUA
      UOZXIUKQZULQXOSYFBVKABJXMUMXRTYEABXLGJABJSYAYDVLABJGSYAAGAGRHOVMVNYDVGVOV
      HYFUAXKYISYFUASXKSYBYFYCVEZYFXHXJAXHSTYEAXHAXFAXDXECVQACVRTXEVQTMCVSVTACM
      WAWBZWCWDVHYFXJYFXIYFXIWSTZRXIWEUIZXIVQTZAYLYEAXFIAXFYKWIAIPWIWFVHYFYMIXF
      WEUIYFIXFAIWTTYEAIPWGVHZAXFWTTYEAXFYKWGVHZYGWHYFXFIYPYOWJWKXIWLWMZWCZWDYF
      XJYRWNWOYJVGYFYNUASYIUMSSUPQTYQUAXIWPVTWQYJYHXMUDYIXNXKULYHXMXIUKXAWRXBVI
      XCVI $.
  $}

  ${
    $d M h j k x y $.  $d P h j k x y $.  $d h j k ph x y $.
    etransclem23.a $e |- ( ph -> A : NN0 --> ZZ ) $.
    etransclem23.l $e |- L = sum_ j e. ( 0 ... M ) ( ( ( A ` j ) x. ( _e ^c j )
       ) x. S. ( 0 (,) j ) ( ( _e ^c -u x ) x. ( F ` x ) ) _d x ) $.
    etransclem23.k $e |- K = ( L / ( ! ` ( P - 1 ) ) ) $.
    etransclem23.p $e |- ( ph -> P e. NN ) $.
    etransclem23.m $e |- ( ph -> M e. NN ) $.
    etransclem23.f $e |- F = ( x e. RR |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. (
       1 ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem23.lt1 $e |- ( ph -> ( sum_ j e. ( 0 ... M ) ( ( abs ` ( ( A ` j
       ) x. ( _e ^c j ) ) ) x. ( M x. ( M ^ ( M + 1 ) ) ) ) x. ( ( ( M ^ ( M +
       1 ) ) ^ ( P - 1 ) ) / ( ! ` ( P - 1 ) ) ) ) < 1 ) $.
    $( This is the claim proof in [Juillerat] p. 14 (but in our proof,
       Stirling's approximation is not used).  (Contributed by Glauco
       Siliprandi, 5-Apr-2020.) $)
    etransclem23 $p |- ( ph -> ( abs ` K ) < 1 ) $=
      ( cc0 co wcel cle vk vy vh cabs cfv cfz cv ceu ccxp cmul cioo cneg csu c1
      citg cmin cfa cdiv clt wceq oveq1i eqtri fveq2i a1i fzfid wa cz wf adantr
      cn0 elfznn0 adantl ffvelrnd zcnd cc ere recni elfzelz cxpcld mulcld recnd
      elioore negcld cr wss ax-resscn etransclem8 nnnn0d cexp cprod etransclem6
      cmpt 0red zred fsumcl syl nncnd nnred absidd oveq2d 3eqtrd caddc eqeltrid
      nn0ge0d eqeltrrd reexpcld mulcomd expmuld 3eqtr3d eqtrd remulcld fsumrecl
      abscld eqtr4d 1red ad2antrr cvol syl3anc resubcld itgrecl absmuld absge0d
      wbr cxr mpbid c2 breqtrd eqbrtrd adantll ad3antrrr sylan2 expge0d elfzle2
      ltled le2subd subid1d nn0zd letrd lemul2ad fsumle reelprrecn ccnfld ctopn
      adantlr cpr crest crn ctg reopn eqid tgioo2 eleqtri cn etransclem18 itgcl
      3eqtri nnm1nn0 faccld nnne0d divcld peano2nn0 npcand eqcomd nn0cnd expp1d
      absdivd 1cnd expcld mul12d mulassd sumeq2dv oveq1d divassd nndivred nnrpd
      fsummulc1 fsumabs ioombl elfzle1 volioo eqeltrd iblconstmpt iblabs itgabs
      cdm cibl 0re epos ltleii renegcld recxpcld cxpge0d rexrd ioogtlb lt0neg2d
      0xr simpr 1lt2 c3 egt2lt3 simpli 1re 2re lttri mp2an cxpltd cxp0 mp1i cif
      etransclem13 fveq2d nn0uz nn0re ifcld fprodabs nn0cn subcld prodeq2dv nfv
      absexpd negsubdi2d nn0red elfzel2 iooltub ltletrd absled leexp1a syl32anc
      lenegcon1d mpbir2and nnge1d iftrue lem1d wn iffalse leidd pm2.61dan eluz2
      cuz syl3anbrc leexp2ad fprodle chash fprodconst syl2anc hashfz0 lemul12ad
      cfn mulid2d itgle itgconst lediv1dd lelttrd ) AGUDUEZQIUFRZEUGZCUEZUHVUPU
      IRZUJRZBQVUPUKRZUHBUGZULZUIRZVVAFUEZUJRZUOZUJRZEUMZUDUEZDUNUPRZUQUEZURRZU
      NUSAVUNVVHVVKURRZUDUEZVVIVVKUDUEZURRVVLVUNVVNUTAGVVMUDGHVVKURRZVVMLHVVHVV
      KURKVAVBVCVDAVVHVVKAVUOVVGEAQIVEZAVUPVUOSZVFZVUSVVFVVSVUQVURVVSVUQVVSVJVG
      VUPCAVJVGCVHVVRJVIVVRVUPVJSAVUPIVKVLVMVNVVSUHVUPUHVOSZVVSUHVPVQZVDVVRVUPV
      OSAVVRVUPVUPQIVRZVNZVLVSVTZVVSBVUTVVEVOVVSVVAVUTSZVFZVVCVVDVWFUHVVBVVTVWF
      VWAVDVWFVVAVWEVVAVOSZVVSVWEVVAVVAQVUPWBZWAZVLWCVSZAVWEVVDVOSVVRAVWEVFWDVO
      VVAFAWDVOFVHVWEABDEFIWDWDVOWEZAWFVDMOWGVIVWEVVAWDSZAVWHVLVMUUDZVTZVVSBQVU
      PDUAFIWDWDVOUUESVVSUUAVDWDUUBUUCUEZWDUUFRZSVVSWDUKUUGUUHUEVWPUUIVWOVWOUUJ
      UUKUULVDADUUMSZVVRMVIAIVJSZVVRAINWHZVIFBWDVVAVVJWIRZUNIUFRZVVAVUPUPRDWIRE
      WJUJRWLZUBWDUBUGZVVJWIRVXAVXCUCUGZUPRDWIRUCWJUJRWLZBWDVWTVXAVVAUAUGUPRDWI
      RUAWJUJRWLOBUBDEUCIWKZUBBDUCUAIWKUUPVVSWMVVRVUPWDSZAVVRVUPVWBWNZVLUUNZUUO
      ZVTZWOZAVVKAVVJAVWQVVJVJSMDUUQWPZUURZWQZAVVKVXNUUSZUVFAVVOVVKVVIURAVVKAVV
      KVXNWRAVVKAVVKVXNWHXDWSWTXAZAVVLVUOVUSUDUEZIIIUNXBRZWIRZUJRZUJRZEUMZVXTVV
      JWIRZVVKURRUJRZUNAVUNVVLWDVXQAGAGVVPVOLAHVVKAHVVHVOKVXLXCVXOVXPUUTXCXMXEA
      VUOVXRIDWIRZVXSWIRZIUJRZUJRZEUMZVVKURRZVYEWDAVYKVYCVYDUJRZVVKURRVYEAVYJVY
      LVVKURAVYJVUOVYBVYDUJRZEUMVYLAVUOVYIVYMEVVSVYIVXRVYAVYDUJRZUJRVYMVVSVYHVY
      NVXRUJAVYHVYNUTVVRAVYHIVYGUJRIVYDVXTUJRZUJRZVYNAVYGIAVYGAVYFVXSAIDAINWRZA
      DMWHZXFZAVWRVXSVJSVWSIUVAWPZXFZWAZAINWQZXGAVYGVYOIUJAVXTDWIRZVXTVVJUNXBRZ
      WIRVYGVYOADWUEVXTWIAWUEDADUNADMWQZAUVGUVBUVCWTAIVXSDUJRZWIRIDVXSUJRZWIRWU
      DVYGAWUGWUHIWIAVXSDAVXSVYTUVDWUFXGWTAIVXSDWUCVYRVYTXHAIDVXSWUCVYTVYRXHXIA
      VXTVVJAVXTAIVXSVYQVYTXFWAZVXMUVEXIWTAVYPVYDVYAUJRVYNAIVYDVXTWUCAVXTVVJWUI
      VXMUVHZWUIUVIAVYDVYAWUJAIVXTWUCWUIVTZXGXJXAVIWTVVSVXRVYAVYDVVSVXRVVSVUSVW
      DXMZWAZAVYAVOSVVRWUKVIZAVYDVOSVVRWUJVIUVJXNUVKAVUOVYBVYDEVVQWUJVVSVXRVYAW
      UMWUNVTZUVPXNUVLAVYCVYDVVKAVUOVYBEVVQWUOWOWUJVXOVXPUVMXJZAVYJVVKAVUOVYIEV
      VQVVSVXRVYHWULVVSVYGIAVYGWDSZVVRWUAVIZAIWDSZVVRVYQVIZXKZXKZXLZVXNUVNXEAXO
      AVVLVYKVYETAVVIVYJVVKAVVHVXLXMZWVCAVVKVXNUVOAVVIVUOVVGUDUEZEUMZVYJWVDAVUO
      WVEEVVQVVSVVGVXKXMZXLZWVCAVUOVVGEVVQVXKUVQAWVFVUOVXRBVUTVYGUOZUJRZEUMVYJW
      VHAVUOWVJEVVQVVSVXRWVIWULVVSBVUTVYGAWUQVVRVWEWUAXPZVVSVUTXQUWESZVUTXQUEZW
      DSZVYGVOSZBVUTVYGWLUWFSWVLVVSQVUPUVRVDZVVRWVNAVVRWVMVUPQUPRZWDVVRQWDSVXGQ
      VUPTYCWVMWVQUTVVRWMZVXHVUPQIUVSQVUPUVTXRZVVRVUPQVXHWVRXSUWAVLZAWVOVVRWUBV
      IZBVUTVYGUWBXRZXTZXKZXLWVCAVUOWVEWVJEVVQWVGWWDVVSWVEVXRVVFUDUEZUJRWVJTVVS
      VUSVVFVWDVXJYAVVSWWEWVIVXRVVSVVFVXJXMZWWCWULVVSVUSVWDYBZVVSWWEBVUTVVEUDUE
      ZUOWVIWWFVVSBVUTWWHVWFVVEVWNXMZVVSBVUTVVEVOVWNVXIUWCZXTWWCVVSBVUTVVEVOVWN
      VXIUWDVVSBVUTWWHVYGWWJWWBWWIWVKVWFWWHVVCUDUEZVVDUDUEZUJRZVYGTVWFVVCVVDVWJ
      VWMYAVWFWWMUNVYGUJRZVYGTVWFWWKUNWWLVYGVWFVVCVWJXMVWFXOVWFVVDVWMXMWVKVWFVV
      CVWJYBVWFVVDVWMYBVVRVWEWWKUNTYCAVVRVWEVFZWWKVVCUNTVWEWWKVVCUTVVRVWEVVCVWE
      UHVVBUHWDSZVWEVPVDZQUHTYCVWEQUHUWGVPUWHUWIVDZVWEVVAVWHUWJZUWKZVWEUHVVBWWQ
      WWRWWSUWLWSVLWWOVVCUNVWEVVCWDSVVRWWTVLWWOXOWWOVVCUHQUIRZUNUSWWOVVBQUSYCZV
      VCWXAUSYCWWOQVVAUSYCZWXBWWOQYDSZVUPYDSZVWEWXCWXDWWOUWPVDZVVRWXEVWEVVRVUPV
      XHUWMVIZVVRVWEUWQZQVUPVVAUWNXRZWWOVVAVWEVWLVVRVWHVLZUWOYEWWOUHVVBQWWPWWOV
      PVDUNUHUSYCZWWOUNYFUSYCYFUHUSYCZWXKUWRWXLUHUWSUSYCUWTUXAUNYFUHUXBUXCVPUXD
      UXEVDVWEVVBWDSVVRWWSVLWWOWMZUXFYEVVTWXAUNUTWWOVWAUHUXGUXHYGYNYHYIVWFWWLVU
      OVVAVXDUPRZUDUEZVXDQUTZVVJDUXIZWIRZUCWJZVYGTVWFWWLVUOWXNWXQWIRZUCWJZUDUEV
      UOWXTUDUEZUCWJWXSVWFVVDWYAUDVWFUBDUCFIWDVVAVWKVWFWFVDAVWQVVRVWEMXPAVWRVVR
      VWEVWSXPZFVXBVXEOVXFVBVWEVWLVVSVWHVLZUXJUXKVWFWXTUCQIVJUXLWYCVWFVXDVJSZVF
      ZWXTWYFWXNWXQVWEWYEWXNWDSZVVSVWEWYEVFZVVAVXDVWEVWLWYEVWHVIWYEVXDWDSVWEVXD
      UXMVLXSYIZAWXQVJSZVVRVWEWYEAWXPVVJDVJVXMVYRUXNZYJXFWAUXOVWFVUOWYBWXRUCVWF
      VXDVUOSZVFZWXNWXQWYLVWFWYEWXNVOSZVXDIVKZVWEWYEWYNVVSWYHVVAVXDVWEVWGWYEVWI
      VIWYEVXDVOSZVWEVXDUXPVLZUXQZYIYKAWYJVVRVWEWYLWYKYJZUXTUXRXAVWFWXSVUOVYFUC
      WJZVYGTVWFVUOWXRVYFUCVWFUCUXSVWFQIVEWYMWXOWXQVWEWYLWXOWDSZVVSVWEWYLVFZWXN
      WYLVWEWYEWYNWYOWYRYKZXMYIZWYSXFZWYMWXOWXQXUDWYSVWEWYLQWXOTYCZVVSXUBWXNXUC
      YBYIZYLAVYFWDSVVRVWEWYLVYSYJZWYMWXRIWXQWIRZVYFXUEWYMIWXQAWUSVVRVWEWYLVYQY
      JZWYSXFXUHWYMXUAWUSWYJXUFWXOITYCZWXRXUITYCXUDXUJWYSXUGWYMXUKIULWXNTYCWXNI
      TYCWYMWXNIWYLVWFWYEWYGWYOWYIYKZXUJWYMWXNULZVXDVVAUPRZITVWEWYLXUMXUNUTVVSX
      UBVVAVXDVWEVWGWYLVWIVIWYLVWEWYEWYPWYOWYQYKUYAYIWYMXUNIQUPRZITWYMVXDQIVVAW
      YMVXDWYLWYEVWFWYOVLZUYBZWYMWMZXUJVWFVWLWYLWYDVIZWYLVXDITYCVWFVXDQIYMVLVWF
      QVVATYCZWYLVVRVWEXUTAWWOQVVAWXMWXJWXIYNYIVIYOAXUOIUTVVRVWEWYLAIWUCYPYJZYG
      YHUYIWYMWXNXUOITWYMVVAQIVXDXUSXURXUJXUQVWFVVAITYCZWYLVVRVWEXVBAWWOVVAIWXJ
      VVRWUSVWEVVRIVUPQIUYCWNVIZWWOVVAVUPIWXJVVRVXGVWEVXHVIXVCWWOWXDWXEVWEVVAVU
      PUSYCWXFWXGWXHQVUPVVAUYDXRVVRVUPITYCVWEVUPQIYMZVIUYEYNYIVIWYMVXDXUPXDYOXV
      AYGWYMWXNIXULXUJUYFUYJWXOIWXQUYGUYHWYMIWXQDXUJAUNITYCVVRVWEWYLAINUYKYJADW
      XQUYSUESZVVRVWEWYLAWXQVGSDVGSWXQDTYCZXVEAWXQWYKYQADVYRYQAWXPXVFAWXPVFWXQV
      VJDTWXPWXQVVJUTAWXPVVJDUYLVLAVVJDTYCWXPADADMWRZUYMVIYHAWXPUYNZVFWXQDDTXVH
      WXQDUTAWXPVVJDUYOVLADDTYCXVHADXVGUYPVIYHUYQWXQDUYRUYTYJVUAYRVUBAWYTVYGUTV
      VRVWEAWYTVYFVUOVUCUEZWIRZVYGAVUOVUHSVYFVOSWYTXVJUTVVQAVYFVYSWAVUOVYFUCVUD
      VUEAXVIVXSVYFWIAVWRXVIVXSUTVWSIVUFWPWTXJXPYGYHVUGAWWNVYGUTVVRVWEAVYGWUBVU
      IXPYGYHVUJYRYSYHYTAVUOWVJVYIEVVQWWDWVBVVSWVIVYHVXRWWCWVAWULWWGVVSWVIVYGWV
      MUJRZVYHTVVSWVLWVNWVOWVIXVKUTWVPWVTWWABVUTVYGVUKXRVVSWVMIVYGWVTWUTWURAQVY
      GTYCVVRAVYFVXSVYSVYTAIDVYQVYRAIVWSXDYLYLVIVVRWVMITYCAVVRWVMVUPITVVRWVMWVQ
      VUPWVSVVRVUPVWCYPXJXVDYHVLYSYHYSYTYRYRVULWUPYGPVUMYH $.
  $}

  ${
    $d A j $.  $d D c j $.  $d D j k $.  $d I c n $.  $d I k $.  $d J j k $.
    $d M c j n $.  $d M j k $.  $d P j k $.  $d j k ph $.  $d n ph $.
    etransclem24.p $e |- ( ph -> P e. NN ) $.
    etransclem24.m $e |- ( ph -> M e. NN0 ) $.
    etransclem24.i $e |- ( ph -> I e. NN0 ) $.
    etransclem24.ip $e |- ( ph -> I =/= ( P - 1 ) ) $.
    etransclem24.j $e |- ( ph -> J = 0 ) $.
    etransclem24.c $e |- C = ( n e. NN0 |-> { c e. ( ( 0 ... n ) ^m ( 0 ... M )
       ) | sum_ j e. ( 0 ... M ) ( c ` j ) = n } ) $.
    etransclem24.d $e |- ( ph -> D e. ( C ` I ) ) $.
    $( ` P ` divides the I -th derivative of ` F ` applied to ` J ` . when
       ` J = 0 ` and ` I ` is not equal to ` P - 1 ` .  This is the second part
       of case 2 proven in [Juillerat] p. 13 .  (Contributed by Glauco
       Siliprandi, 5-Apr-2020.) $)
    etransclem24 $p |- ( ph -> P || ( ( ( ( ! ` I ) / prod_ j e. ( 0 ... M ) (
       ! ` ( D ` j ) ) ) x. ( if ( ( P - 1 ) < ( D ` 0 ) , 0 , ( ( ( ! ` ( P -
       1 ) ) / ( ! ` ( ( P - 1 ) - ( D ` 0 ) ) ) ) x. ( J ^ ( ( P - 1 ) - ( D `
       0 ) ) ) ) ) x. prod_ j e. ( 1 ... M ) if ( P < ( D ` j ) , 0 , ( ( ( ! `
       P ) / ( ! ` ( P - ( D ` j ) ) ) ) x. ( ( J - j ) ^ ( P - ( D ` j ) ) ) )
       ) ) ) / ( ! ` ( P - 1 ) ) ) ) $=
      ( cc0 co wcel vk cA cfa cfv cfz cv cprod cdiv c1 cmin clt cexp cmul cdvds
      wbr cif wceq wa cn wrex wn cmap crab etransclem12 eleqtrd fveq1 sumeq2sdv
      csu eqeq1d elrab sylib simprd ad2antrr caddc cuz cn0 syl sselid fveq2 a1i
      cc wo weq sseli adantlr sylc wss cfn 3eqtrd oveq12d wne necomd w3a eqcomd
      cz nnzd fveq2d oveq1d fzfid cvv mp2an eqeltrd adantr etransclem3 fprodzcl
      0zd 3jca 3ad2ant1 3adant3 3ad2antl1 breqtrd cle ffvelrnd elfzelzd zsubcld
      adantl cr simpr nltled mpbid jca32 elfz2 sylibr sylanbrc syl2anc 3adantl3
      permnn nncnd oveq2d faccld eqtrd nnne0d divassd dvdsmultr1 pm2.61dan zcnd
      breqtrrd oveq2 iffalsed mul01d wral ralnex nn0uz eleqtrdi fzsscn eqsstrdi
      ssrab2 sseldd elmapi ffvelrnda ad4ant14 fsum1p simplr 0p1e1 oveq1i eleq1d
      sumeq1i notbid rspccva adantll fzssnn0 fz1ssfz0 elnn0 orel1 sumeq2dv fzfi
      sylan2 olci sumz mp1i nnm1nn0 nn0red recnd addid1d neneqd sylan2br condan
      wf eqnetrd nfcv nn0ex mapss mccl csn cdif difss sstri dvds0 iftrue fzssre
      ssfi zred subge0d mpbird elfzle1 subge02d elnn0z zexpcl nn0zd nnred nnge1
      1red nnre lesub2dd 3adant2 1cnd npcand facp1 mulcomd eqtr2d iffalse simp2
      dvdsmul1 breq2d ifbieq2d fprodsplit1 dvdsmultr2 eluzfz1 lttri3d sylan9eqr
      3adant1r subidd eqtrdi div1d exp0d mulid1d mulcld divcan3d rexlimdv3a mpd
      fac0 iftrued simpll id ad2antlr leneltd posdifd elnnz 0expd nnnn0d divcld
      mul02d div0d pm2.61dane ) ADGUCUDZRIUESZEUFZCUDZUCUDEUGZUHSZDUIUJSZRCUDZU
      KUOZRVUKUCUDZVUKVULUJSZUCUDZUHSZHVUOULSZUMSZUPZUIIUESZDVUHUKUOZRDUCUDZDVU
      HUJSZUCUDZUHSZHVUGUJSZVVDULSZUMSZUPZEUGZUMSZUMSZVUNUHSZUNUOZVULVUKAVULVUK
      UQZURZUAUFZCUDZUSTZUAVVAUTZVVOVVQVWAVUFVUHEVHZGUQZAVWCVVPVWAVAZACRGUESZVU
      FVBSZTZVWCACVUFVUGJUFZUDZEVHZGUQZJVWFVCZTVWGVWCURACGBUDZVWLQABEFIGJPMVDZV
      EVWKVWCJCVWFVWHCUQZVWJVWBGVWOVUFVWIVUHEVUGVWHCVFVGVIVJVKVLZVMVWDVVQVVTVAZ
      UAVVAUUAZVWCVAVVTUAVVAUUBVVQVWRURZVWBGVWSVWBVUKGVWSVWBVULRUIVNSZIUESZVUHE
      VHZVNSVUKRVNSZVUKVWSVUHVULERIAIRVOUDZTZVVPVWRAIVPVXDLUUCUUDZVMAVUGVUFTZVU
      HWATVVPVWRAVXGURVWEWAVUHRGUUEAVUFVWEVUGCAVWGVUFVWECUVRZAVWMVWFCAVWMVWLVWF
      VWNVWKJVWFUUGUUFQUUHZCVWEVUFUUIVQZUUJZVRUUKVUGRCVSUULVWSVULVUKVXBRVNAVVPV
      WRUUMAVWRVXBRUQVVPAVWRURZVXBVVAVUHEVHZVVAREVHZRVXBVXMUQVXLVXAVVAVUHEVWTUI
      IUEUUNUUOUUQVTVXLVVAVUHREVXLVUGVVATZURVUHUSTZVAZVXPVUHRUQZWBZVXRVWRVXOVXQ
      AVWQVXQUAVUGVVAUAEWCZVVTVXPVXTVVSVUHUSVVRVUGCVSUUPUURUUSUUTAVXOVXSVWRAVXO
      URZVUHVPTVXSVYAVWEVPVUHGUVAZVXOAVXGVUHVWETVVAVUFVUGIUVBZWDZVXKUVGVRVUHUVC
      VKWEVXPVXRUVDWFUVEVVAUBVOUDWGZVVAWHTZWBVXNRUQVXLVYFVYEUIIUVFZUVHVVAEUBUVI
      UVJWIWEWJAVXCVUKUQVVPVWRAVUKAVUKAVUKADUSTZVUKVPTZKDUVKVQZUVLZUVMZUVNVMWIA
      VUKGWKVVPVWRAGVUKNWLVMUVSUVOUVPUVQVVQVVTVVOUAVVAVVQVVRVVATZVVTWMDVUJVVKUM
      SZVVNUNAVYMVVTDVYNUNUOZVVPAVYMVVTWMZDWOTZVUJWOTZVVKWOTZWMZDVVKUNUOVYOAVYM
      VYTVVTAVYQVYRVYSADKWPZAVUJAVUJVWBUCUDZVUIUHSUSAVUEWUBVUIUHAGVWBUCAVWBGVWP
      WNWQWRAVUFCEECUVTARIWSAVWFVPVUFVBSZCVPWTTVWEVPWGVWFWUCWGUWAVYBVWEVPVUFWTU
      WBXAVXIVRUWCXBZWPAVVAVVJEAUIIWSVYACDVUGHIGAVYHVXOKXCAVXHVXOVXJXCVXOVXGAVY
      DXPAHWOTZVXOAHRWOOAXFXBZXCXDZXEZXGXHVYPDDVVSUKUOZRVVCDVVSUJSZUCUDZUHSZHVV
      RUJSZWUJULSZUMSZUPZVVAVVRUWDZUWEZVVJEUGZUMSZVVKUNVYPVYQWUPWOTZWUSWOTZWMZD
      WUPUNUOZDWUTUNUOAVYMWVCVVTAVYMURZVYQWVAWVBAVYQVYMWUAXCZWVECDVVRHIGAVYHVYM
      KXCAVXHVYMVXJXCZVYMVVRVUFTAVVAVUFVVRVYCWDXPZAWUEVYMWUFXCZXDAWVBVYMAWURVVJ
      EWURWHTZAVYFWURVVAWGWVJVYGVVAWUQUWFZVVAWURUWKXAVTAVUGWURTZURCDVUGHIGAVYHW
      VLKXCAVXHWVLVXJXCWVLVXGAWURVUFVUGWURVVAVUFWVKVYCUWGWDXPAWUEWVLWUFXCXDXEXC
      XGXIVYPWUIWVDVYPWUIURDRWUPUNAVYMWUIDRUNUOZVVTAWVMWUIAVYQWVMWUADUWHVQZXCXJ
      WUIRWUPUQVYPWUIWUPRWUIRWUOUWIWNXPXKVYPWUIVAZURZDWUOWUPUNWVPVYQWULWOTZWUNW
      OTZWMZDWULUNUODWUOUNUOAVYMWVOWVSVVTWVEWVOURZVYQWVQWVRWVEVYQWVOWVFXCZWVTWU
      LWVTWUJRDUESTZWULUSTWVTRWOTZVYQWUJWOTZWMZRWUJXLUOZWUJDXLUOZURURWWBWVTWWEW
      WFWWGWVEWWEWVOWVEWWCVYQWWDWVEXFZWVFWVEDVVSWVFWVEVVSRGWVEVUFVWEVVRCWVGWVHX
      MZXNXOZXGXCWVTWWFVVSDXLUOWVTVVSDWVEVVSXQTZWVOWVEVWEXQVVSRGUWJZWWIVRXCZWVT
      DWWAUWLZWVEWVOXRXSWVTDVVSWWNWWMUWMUWNZWVTRVVSXLUOZWWGWVEWWPWVOWVEVVSVWETW
      WPWWIVVSRGUWOVQXCWVTDVVSWWNWWMUWPXTYAWUJRDYBYCWUJDYGVQWPWVTWUMWOTZWUJVPTZ
      WVRWVEWWQWVOWVEHVVRWVIWVEVVRRIWVHXNXOXCWVTWWDWWFWWRWVEWWDWVOWWJXCWWOWUJUW
      QYDZWUMWUJUWRYEXGYFWVPDDVUNWUKUHSZUMSZWULUNWVPVYQWWTWOTDWXAUNUOAVYMWVOVYQ
      VVTWWAYFWVPWWTWVPWUJRVUKUESTZWWTUSTWVPWWCVUKWOTZWWDWMZWWFWUJVUKXLUOZURURW
      XBWVPWXDWWFWXEVYPWXDWVOAVYMWXDVVTWVEWWCWXCWWDWWHAWXCVYMAVUKVYJUWSZXCWWJXG
      XIXCAVYMWVOWWFVVTWWOYFVYPWXEWVOAVVTWXEVYMAVVTURZUIVVSDWXGUXBVVTWWKAVVSUXC
      XPADXQTVVTADKUWTXCVVTUIVVSXLUOAVVSUXAXPUXDUXEXCYAWUJRVUKYBYCWUJVUKYGVQWPD
      WWTUXMYEWVPWULDVUNUMSZWUKUHSZWXAAVYMWVOWULWXIUQZVVTAWXJWVOAVVCWXHWUKUHAVV
      CVUKUIVNSZUCUDZVUNWXKUMSZWXHADWXKUCAWXKDADUIADKYHZAUXFUXGZWNWQAVYIWXLWXMU
      QVYJVUKUXHVQAWXMVUNDUMSWXHAWXKDVUNUMWXOYIAVUNDAVUNAVUKVYJYJZYHZWXNUXIYKWI
      WRXCXJAVYMWVOWXIWXAUQVVTWVTDVUNWUKADWATVYMWVOWXNVMAVUNWATZVYMWVOWXQVMWVTW
      UKWVTWUJWWSYJZYHWVTWUKWXSYLYMYFUXJXKDWULWUNYNWFWVOWUPWUOUQVYPWUIRWUOUXKXP
      YQYODWUPWUSYNWFVYPVVAVVJVVRWUPEVYPUIIWSAVYMVXOVVJWATVVTVYAVVJWUGYPXJAVYMV
      VTUXLEUAWCZVVJWUPUQVYPWXTVVBWUIVVIWUORWXTVUHVVSDUKVUGVVRCVSZUXNWXTVVFWULV
      VHWUNUMWXTVVEWUKVVCUHWXTVVDWUJUCWXTVUHVVSDUJWYAYIZWQYIWXTVVGWUMVVDWUJULVU
      GVVRHUJYRWYBWJWJUXOXPUXPYQDVUJVVKUXQWFUYAVVQVYMVVNVYNUQVVTVVQVVNVUJVUNVVK
      UMSZUMSZVUNUHSZVUJWYCVUNUHSZUMSZVYNVVQVVMWYDVUNUHVVQVVLWYCVUJUMVVQVUTVUNV
      VKUMVVQVUTVUSVUNUIUMSZVUNVVQVUMRVUSVVQVULVUKUKUOZVAZVUMVAZVVQVVPWYJWYKURA
      VVPXRVVQVULVUKAVULXQTZVVPAVWEXQVULWWLAVUFVWERCVXJAVXERVUFTVXFRIUXRVQXMZVR
      ZXCAVUKXQTZVVPVYKXCUXSXTVLYSVVQVUQVUNVURUIUMVVQVUQVUNUIUHSZVUNVVQVUPUIVUN
      UHVVQVUPRUCUDUIVVQVUORUCVVPAVUOVUKVUKUJSRVULVUKVUKUJYRAVUKVYLUYBUXTZWQUYK
      UYCYIAWYPVUNUQVVPAVUNWXQUYDXCYKVVQVURHRULSZUIVVQVUORHULWYQYIAWYRUIUQVVPAH
      AHWUFYPUYEXCYKWJAWYHVUNUQVVPAVUNWXQUYFXCWIWRYIWRAWYEWYGUQVVPAVUJWYCVUNAVU
      JWUDYHZAVUNVVKWXQAVVKWUHYPZUYGWXQAVUNWXPYLZYMXCAWYGVYNUQVVPAWYFVVKVUJUMAV
      VKVUNWYTWXQXUAUYHYIXCWIXHYQUYIUYJAVULVUKWKZURZDRVVNUNAWVMXUBWVNXCXUCVVNRV
      UNUHSZRXUCVVMRVUNUHXUCVVMVUJRUMSZRXUCVVLRVUJUMXUCVVLRVVKUMSZRXUCVUTRVVKUM
      XUCVUMVUTRUQXUCVUMURVUMRVUSXUCVUMXRUYLXUCWYKURZVUTVUSRXUGVUMRVUSXUCWYKXRZ
      YSXUGAWYIVUSRUQAXUBWYKUYMXUGVULVUKAWYLXUBWYKWYNVMZAWYOXUBWYKVYKVMZXUGVULV
      UKXUIXUJXUHXSXUBVUKVULWKAWYKXUBVULVUKXUBUYNWLUYOUYPAWYIURZVUSVUQRUMSRXUKV
      URRVUQUMXUKVURRVUOULSZRAVURXULUQWYIAHRVUOULOWRXCXUKVUOXUKVUOWOTZRVUOUKUOZ
      VUOUSTAXUMWYIAVUKVULWXFAVULRGWYMXNXOXCXUKWYIXUNAWYIXRXUKVULVUKAWYLWYIWYNX
      CAWYOWYIVYKXCUYQXTVUOUYRYDZUYSYKYIXUKVUQXUKVUNVUPAWXRWYIWXQXCXUKVUPXUKVUO
      XUKVUOXUOUYTYJZYHXUKVUPXUPYLVUAYTYKYEYKYOWRAXUFRUQXUBAVVKWYTVUBXCYKYIAXUE
      RUQXUBAVUJWYSYTXCYKWRAXUDRUQXUBAVUNWXQXUAVUCXCYKYQVUD $.
  $}

  ${
    $d C j $.  $d J j $.  $d M j $.  $d P j $.  $d j ph $.
    etransclem25.p $e |- ( ph -> P e. NN ) $.
    etransclem25.m $e |- ( ph -> M e. NN0 ) $.
    etransclem25.n $e |- ( ph -> N e. NN0 ) $.
    etransclem25.c $e |- ( ph -> C : ( 0 ... M ) --> ( 0 ... N ) ) $.
    etransclem25.sumc $e |- ( ph -> sum_ j e. ( 0 ... M ) ( C ` j ) = N ) $.
    etransclem25.t $e |- T = ( ( ( ! ` N ) / prod_ j e. ( 0 ... M ) ( ! ` ( C `
       j ) ) ) x. ( if ( ( P - 1 ) < ( C ` 0 ) , 0 , ( ( ( ! ` ( P - 1 ) ) / (
       ! ` ( ( P - 1 ) - ( C ` 0 ) ) ) ) x. ( J ^ ( ( P - 1 ) - ( C ` 0 ) ) ) )
       ) x. prod_ j e. ( 1 ... M ) if ( P < ( C ` j ) , 0 , ( ( ( ! ` P ) / ( !
       ` ( P - ( C ` j ) ) ) ) x. ( ( J - j ) ^ ( P - ( C ` j ) ) ) ) ) ) ) $.
    etransclem25.j $e |- ( ph -> J e. ( 1 ... M ) ) $.
    $( ` P ` factorial divides the ` N ` -th derivative of ` F ` applied to
       ` J ` .  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem25 $p |- ( ph -> ( ! ` P ) || T ) $=
      ( cc0 co cmul wcel adantr cfa cfv cfz cv cprod cdiv cmin clt wbr cexp cif
      c1 cdvds cz w3a nnnn0d faccld nnzd csu cn eqcomd fveq2d oveq1d nfcv fzfid
      wf cn0 cmap cvv wss nn0ex fzssnn0 mapss mp2an wb ovex elmapg sylancr ibir
      ovexd sselid syl eqeltrd elfzelzd etransclem10 zmulcld wa caddc 0z fzp1ss
      mccl ax-mp id 1e0p1 oveq1i eleqtrdi adantl etransclem3 fprodzcl 3jca cdif
      csn zcnd subidd oveq2d ifeq2d fzfi diffi mp1i eldifi dvds0 iftrue breqtrd
      cfn wceq wn iddvds ad2antrr iffalse ad2antlr oveq1 cc ffvelrnd eqtrd fac0
      eqtrdi nncnd div1d 0cnd exp0d oveq12d mulid1d adantlr eqtr2d simpr nnne0d
      cr divcld pm2.61dan fprodcl iffalsed simpll zred nnred cle nltled leneltd
      wne neqne zsubcld posdifd mpbid elnnz sylanbrc mul01d syl2anc dvdsmultr1d
      0expd fveq2 oveq2 sylan9eqr ifbieq2d fprodsplit1 breqtrrd dvdsmultr2 sylc
      breq2d ffvelrnda fprodn0 mulassd eqtr4di ) ACUAUBZHUAUBZPGUCQZEUDZBUBZUAU
      BZEUEZUFQZCULUGQZPBUBZUHUIPUVTUAUBUVTUWAUGQZUAUBUFQFUWBUJQRQUKZRQZULGUCQZ
      CUVPUHUIZPUVLCUVPUGQZUAUBZUFQZFUVOUGQZUWGUJQZRQZUKZEUEZRQZDUMAUVLUNSZUWDU
      NSZUWNUNSZUOUVLUWNUMUIUVLUWOUMUIAUWPUWQUWRAUVLACACIUPUQZURZAUVSUWCAUVSAUV
      SUVNUVPEUSZUAUBZUVRUFQUTAUVMUXBUVRUFAHUXAUAAUXAHMVAVBVCAUVNBEEBVDAPGVEZAU
      VNPHUCQZBVFZBVGUVNVHQZSLUXEUXDUVNVHQZUXFBVGVISUXDVGVJUXGUXFVJVKHVLZUXDVGU
      VNVIVMVNUXEBUXGSZUXEUXDVISUVNVISUXIUXEVOPHUCVPUXEPGUCVTUXDUVNBVIVIVQVRVSW
      AWBWKWCURABCFGHIJLAFULGOWDZWEZWFAUWEUWMEAULGVEZAUVOUWESZWGZBCUVOFGHACUTSZ
      UXMITAUXEUXMLTUXMUVOUVNSZAUXMPULWHQZGUCQZUVNUVOPUNSUXRUVNVJWIPGWJWLZUXMUV
      OUWEUXRUXMWMULUXQGUCWNWOZWPWAZWQAFUNSZUXMUXJTWRZWSWTAUVLCFBUBZUHUIZPUVLCU
      YDUGQZUAUBZUFQZPUYFUJQZRQZUKZUWEFXBZXAZUWMEUEZRQUWNUMAUVLUYKUYNUWTAUYKUYE
      PUYHFFUGQZUYFUJQZRQZUKUNAUYEUYJUYQPAUYIUYPUYHRAPUYOUYFUJAUYOPAFAFUXJXCXDZ
      VAVCXEXFABCFFGHILAFUWESZFUVNSOUYSUXRUVNFUXSUYSFUWEUXRUYSWMUXTWPWAWBZUXJWR
      WCAUYMUWMEUWEXNSUYMXNSAULGXGUWEUYLXHXIAUVOUYMSZWGBCUVOFGHAUXOVUAITAUXEVUA
      LTVUAUXPAVUAUXMUXPUVOUWEUYLXJUYAWBWQAUYBVUAUXJTWRWSAUYEUVLUYKUMUIZAUYEWGU
      VLPUYKUMAUVLPUMUIZUYEAUWPVUCUWTUVLXKWBZTUYEPUYKXOAUYEUYKPUYEPUYJXLVAWQXMA
      UYEXPZWGZCUYDXOZVUBVUFVUGWGZUVLUVLUYKUMAUVLUVLUMUIZVUEVUGAUWPVUIUWTUVLXQW
      BXRVUHUYKUYJUVLVUEUYKUYJXOAVUGUYEPUYJXSXTAVUGUYJUVLXOVUEAVUGWGZUYJUVLULRQ
      ZUVLVUJUYHUVLUYIULRVUJUYHUVLULUFQZUVLVUJUYGULUVLUFVUJUYGPUAUBULVUJUYFPUAV
      UJUYFUYDUYDUGQZPVUGUYFVUMXOACUYDUYDUGYAWQVUJUYDAUYDYBSVUGAUYDAUYDPHAUVNUX
      DFBLUYTYCWDZXCTXDYDZVBYEYFXEAVULUVLXOVUGAUVLAUVLUWSYGZYHTYDVUJUYIPPUJQULV
      UJUYFPPUJVUOXEVUJPVUJYIYJYDYKAVUKUVLXOVUGAUVLVUPYLTYDYMYNXMVUFVUGXPZWGZUV
      LPUYKUMAVUCVUEVUQVUDXRVURUYKUYJPVURUYEPUYJVUFVUEVUQAVUEYOZTUUAVURAUYDCUHU
      IZUYJPXOAVUEVUQUUBVURUYDCAUYDYQSZVUEVUQAUYDVUNUUCZXRACYQSZVUEVUQACIUUDZXR
      VUFUYDCUUEUIVUQVUFUYDCAVVAVUEVVBTAVVCVUEVVDTVUSUUFTVUQCUYDUUHVUFCUYDUUIWQ
      UUGAVUTWGZUYJUYHPRQPVVEUYIPUYHRVVEUYFVVEUYFUNSPUYFUHUIZUYFUTSVVECUYDACUNS
      VUTACIURTAUYDUNSVUTVUNTUUJVVEVUTVVFAVUTYOVVEUYDCAVVAVUTVVBTAVVCVUTVVDTUUK
      UULUYFUUMUUNZUURXEVVEUYHVVEUVLUYGAUVLYBSVUTVUPTVVEUYGVVEUYFVVEUYFVVGUPUQZ
      YGVVEUYGVVHYPYRUUOYDUUPYNXMYSYSUUQAUWEUWMFUYKEUXLUXNUWMUYCXCZOAUVOFXOZWGZ
      UWFUYEUWLUYJPVVJUWFUYEVOAVVJUVPUYDCUHUVOFBUUSZUVGWQVVKUWIUYHUWKUYIRVVJUWI
      UYHXOAVVJUWHUYGUVLUFVVJUWGUYFUAVVJUVPUYDCUGVVLXEZVBXEWQVVKUWJPUWGUYFUJVVJ
      AUWJUYOPUVOFFUGUUTUYRUVAVVJUWGUYFXOAVVMWQYKYKUVBUVCUVDUVLUWDUWNUVEUVFAUWO
      UVSUWCUWNRQRQDAUVSUWCUWNAUVMUVRAUVMAHKUQYGAUVNUVQEUXCAUXPWGZUVQVVNUVPVVNU
      XDVGUVPUXHAUVNUXDUVOBLUVHWAUQZYGZYTAUVNUVQEUXCVVPVVNUVQVVOYPUVIYRAUWCUXKX
      CAUWEUWMEUXLVVIYTUVJNUVKXM $.
  $}

  ${
    $d D c j $.  $d M c j n $.  $d N c n $.  $d j n ph $.
    etransclem26.p $e |- ( ph -> P e. NN ) $.
    etransclem26.m $e |- ( ph -> M e. NN0 ) $.
    etransclem26.n $e |- ( ph -> N e. NN0 ) $.
    etransclem26.jz $e |- ( ph -> J e. ZZ ) $.
    etransclem26.c $e |- C = ( n e. NN0 |-> { c e. ( ( 0 ... n ) ^m ( 0 ... M )
       ) | sum_ j e. ( 0 ... M ) ( c ` j ) = n } ) $.
    etransclem26.d $e |- ( ph -> D e. ( C ` N ) ) $.
    $( Every term in the sum of the ` N ` -th derivative of ` F ` applied to
       ` J ` is an integer.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem26 $p |- ( ph -> ( ( ( ! ` N ) / prod_ j e. ( 0 ... M ) ( ! ` ( D
       ` j ) ) ) x. ( if ( ( P - 1 ) < ( D ` 0 ) , 0 , ( ( ( ! ` ( P - 1 ) ) /
       ( ! ` ( ( P - 1 ) - ( D ` 0 ) ) ) ) x. ( J ^ ( ( P - 1 ) - ( D ` 0 ) ) )
       ) ) x. prod_ j e. ( 1 ... M ) if ( P < ( D ` j ) , 0 , ( ( ( ! ` P ) / (
       ! ` ( P - ( D ` j ) ) ) ) x. ( ( J - j ) ^ ( P - ( D ` j ) ) ) ) ) ) )
       e. ZZ ) $=
      ( cfv cc0 co wcel cfa cfz cv cprod cdiv c1 cmin clt wbr cexp cmul cif csu
      cn cmap wceq crab etransclem12 eleqtrd fveq1 sumeq2sdv eqeq1d elrab sylib
      wa simprd eqcomd fveq2d oveq1d nfcv fzfid cn0 cvv wss nn0ex fzssnn0 mapss
      mp2an simpld sselid mccl eqeltrd nnzd wf elmapi etransclem10 adantr caddc
      cz 0z fzp1ss ax-mp 1e0p1 oveq1i eleq2i biimpi adantl etransclem3 fprodzcl
      syl zmulcld ) AIUAQZRHUBSZEUCZCQZUAQEUDZUESZDUFUGSZRCQZUHUIRXHUAQXHXIUGSZ
      UAQUESGXJUJSUKSULZUFHUBSZDXEUHUIRDUAQDXEUGSZUAQUESGXDUGSXMUJSUKSULZEUDZUK
      SAXGAXGXCXEEUMZUAQZXFUESUNAXBXQXFUEAIXPUAAXPIACRIUBSZXCUOSZTZXPIUPZACXCXD
      JUCZQZEUMZIUPZJXSUQZTXTYAVEACIBQYFPABEFHIJOMURUSYEYAJCXSYBCUPZYDXPIYGXCYC
      XEEXDYBCUTVAVBVCVDZVFVGVHVIAXCCEECVJARHVKAXSVLXCUOSZCVLVMTXRVLVNXSYIVNVOI
      VPXRVLXCVMVQVRAXTYAYHVSZVTWAWBWCAXKXOACDGHIKLAXTXCXRCWDZYJCXRXCWEWTZNWFAX
      LXNEAUFHVKAXDXLTZVECDXDGHIADUNTYMKWGAYKYMYLWGYMXDXCTAYMRUFWHSZHUBSZXCXDRW
      ITYOXCVNWJRHWKWLYMXDYOTXLYOXDUFYNHUBWMWNWOWPVTWQAGWITYMNWGWRWSXAXA $.
  $}

  ${
    $d C j l x y z $.  $d H x $.  $d J j l x y $.  $d M j x y z $.
    $d P j x y z $.  $d S x y $.  $d X j x y z $.  $d j l ph x y z $.
    etransclem27.s $e |- ( ph -> S e. { RR , CC } ) $.
    etransclem27.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    etransclem27.p $e |- ( ph -> P e. NN ) $.
    etransclem27.h $e |- H = ( j e. ( 0 ... M ) |-> ( x e. X |-> ( ( x - j ) ^
       if ( j = 0 , ( P - 1 ) , P ) ) ) ) $.
    etransclem27.cfi $e |- ( ph -> C e. Fin ) $.
    etransclem27.cf $e |- ( ph -> C : dom C --> ( NN0 ^m ( 0 ... M ) ) ) $.
    etransclem27.g $e |- G = ( x e. X |-> sum_ l e. dom C prod_ j e. ( 0 ... M
       ) ( ( ( S Dn ( H ` j ) ) ` ( ( C ` l ) ` j ) ) ` x ) ) $.
    etransclem27.jx $e |- ( ph -> J e. X ) $.
    etransclem27.jz $e |- ( ph -> J e. ZZ ) $.
    $( The ` N ` -th derivative of ` F ` applied to ` J ` is an integer.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem27 $p |- ( ph -> ( G ` J ) e. ZZ ) $=
      ( vy vz cfv cdm cc0 cfz co cv cdvn cprod csu cz fveq2 prodeq2ad sumeq2sdv
      cc wceq cfn wcel dmfi syl wa fzfid cr ad2antrr ccnfld ctopn crest cn cmin
      cpr c1 cif cexp cmpt etransclem5 eqtri simpr cn0 cmap wf ffvelrnda elmapi
      etransclem20 ffvelrnd fprodcl fsumcl fvmptd3 clt wbr cfa cdiv cmul iftrue
      etransclem21 0zd eqeltrd adantl wn nnm1nn0 nnnn0d ifcld ad3antrrr zsubcld
      nn0zd adantr cle zred nltled subge0d mpbird nn0red nn0ge0d lesub2dd recnd
      0red subid1d breqtrd elfzd permnn elfzelz ad2antlr elnn0z sylanbrc zexpcl
      nnzd syl2anc zmulcld pm2.61dan fprodzcl fsumzcl ) AIGUDCUEZUFJUGUHZIFUIZL
      UIZCUDZUDZEYOHUDUJUHUDZUDZFUKZLULZUMABIYMYNBUIZYSUDZFUKZLULUUBKGUQSUUCIUR
      ZYMUUEUUALUUFYNUUDYTFUUCIYSUNUOUPTAYMUUALACUSUTYMUSUTQCVAVBZAYPYMUTZVCZYN
      YTFUUIUFJVDZUUIYOYNUTZVCZKUQIYSUULUBDEUCHYOJYRKAEVEUQVLUTUUHUUKMVFZAKVGVH
      UDEVIUHUTUUHUUKNVFZADVJUTZUUHUUKOVFZHFYNBKUUCYOVKUHYOUFURZDVMVKUHZDVNZVOU
      HVPVPUCYNUBKUBUIUCUIZVKUHUUTUFURUURDVNVOUHVPVPPBUBDFUCJKVQVRZUUIUUKVSZUUI
      YNVTYOYQUUIYQVTYNWAUHZUTYNVTYQWBAYMUVCYPCRWCYQVTYNWDVBWCZWEAIKUTUUHUUKTVF
      ZWFWGWHWIAYMUUALUUGUUIYNYTFUUJUULYTUUSYRWJWKZUFUUSWLUDUUSYRVKUHZWLUDWMUHZ
      IYOVKUHZUVGVOUHZWNUHZVNZUMUULUBDEUCHYOJYRKIUUMUUNUUPUVAUVBUVDUVEWPUULUVFU
      VLUMUTZUVFUVMUULUVFUVLUFUMUVFUFUVKWOUVFWQWRWSUULUVFWTZVCZUVFUFUVKUMUVOWQZ
      UVOUVHUVJUVOUVHUVOUVGUFUUSUGUHUTUVHVJUTUVOUVGUFUUSUVPAUUSUMUTUUHUUKUVNAUU
      SAUUQUURDVTAUUOUURVTUTODXAVBADOXBXCZXFXDZUVOUUSYRUVRUULYRUMUTUVNUULYRUVDX
      FXGZXEZUVOUFUVGXHWKZYRUUSXHWKUVOYRUUSUVOYRUVSXIZUVOUUSUVRXIZUULUVNVSXJUVO
      UUSYRUWCUWBXKXLZUULUVGUUSXHWKUVNUULUVGUUSUFVKUHUUSXHUULUFYRUUSUULXQUULYRU
      VDXMAUUSVEUTUUHUUKAUUSUVQXMVFZUULYRUVDXNXOUULUUSUULUUSUWEXPXRXSXGXTUVGUUS
      YAVBYGUVOUVIUMUTUVGVTUTZUVJUMUTUVOIYOAIUMUTUUHUUKUVNUAXDUUKYOUMUTUUIUVNYO
      UFJYBYCXEUVOUVGUMUTUWAUWFUVTUWDUVGYDYEUVIUVGYFYHYIXCYJWRYKYLWR $.
  $}

  ${
    $d D c j $.  $d J j $.  $d M c j n $.  $d N c n $.  $d P j $.  $d j n ph $.
    etransclem28.p $e |- ( ph -> P e. NN ) $.
    etransclem28.m $e |- ( ph -> M e. NN0 ) $.
    etransclem28.n $e |- ( ph -> N e. NN0 ) $.
    etransclem28.c $e |- C = ( n e. NN0 |-> { c e. ( ( 0 ... n ) ^m ( 0 ... M )
       ) | sum_ j e. ( 0 ... M ) ( c ` j ) = n } ) $.
    etransclem28.d $e |- ( ph -> D e. ( C ` N ) ) $.
    etransclem28.j $e |- ( ph -> J e. ( 0 ... M ) ) $.
    etransclem28.t $e |- T = ( ( ( ! ` N ) / prod_ j e. ( 0 ... M ) ( ! ` ( D `
       j ) ) ) x. ( if ( ( P - 1 ) < ( D ` 0 ) , 0 , ( ( ( ! ` ( P - 1 ) ) / (
       ! ` ( ( P - 1 ) - ( D ` 0 ) ) ) ) x. ( J ^ ( ( P - 1 ) - ( D ` 0 ) ) ) )
       ) x. prod_ j e. ( 1 ... M ) if ( P < ( D ` j ) , 0 , ( ( ( ! ` P ) / ( !
       ` ( P - ( D ` j ) ) ) ) x. ( ( J - j ) ^ ( P - ( D ` j ) ) ) ) ) ) ) $.
    $( ` ( P - 1 ) ` factorial divides the ` N ` -th derivative of ` F `
       applied to ` J ` .  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem28 $p |- ( ph -> ( ! ` ( P - 1 ) ) || T ) $=
      ( co wcel c1 cmin cfa cfv cc0 cfz cprod cdiv clt wbr cexp cmul cdvds wceq
      cv cif wa cneg cz w3a cn cn0 nnm1nn0 syl faccld nnzd adantr csu cmap crab
      etransclem12 eleqtrd fveq1 eqeq1d elrab simprbi eqcomd fveq2d oveq1d nfcv
      sumeq2sdv fzfid cvv wss nn0ex fzssnn0 mapss sylancr elrabi sseldd eqeltrd
      a1i mccl df-neg eqtr4id oveq2d ifeq2d prodeq2ad adantl elmapi etransclem7
      oveq1 zmulcld 3jca dvdsmul1 syl2anc dvdsmultr2 sylc ad2antrr simplr simpr
      wf eqid etransclem14 breqtrrd wn dvds0 wne etransclem15 pm2.61dan elfznn0
      neqne nn0zd etransclem26 caddc nncnd 1cnd npcand 3eqtrrd elnnne0 sylanbrc
      facp1 1zzd nnge1d cle elfzle2 elfzd etransclem25 eqbrtrd muldvds1
      breqtrrdi ) ADUAUBSZUCUDZJUCUDZUEIUFSZFUOZCUDZUCUDFUGZUHSZUUBUECUDZUIUJUE
      UUCUUBUUJUBSZUCUDUHSHUUKUKSULSUPUAIUFSZDUUGUIUJZUEDUCUDZDUUGUBSZUCUDUHSZH
      UUFUBSZUUOUKSZULSZUPZFUGZULSULSZEUMAHUEUNZUUCUVBUMUJZAUVCUQZUUJUUBUNZUVDU
      VEUVFUQZUUCUUIUUCUULUUMUEUUPUUFURZUUOUKSZULSZUPZFUGZULSZULSZUVBUMUVEUUCUV
      NUMUJZUVFUVEUUCUSTZUUIUSTZUVMUSTZUTUUCUVMUMUJZUVOUVEUVPUVQUVRAUVPUVCAUUCA
      UUBADVATZUUBVBTZLDVCVDZVEVFZVGZAUVQUVCAUUIAUUIUUEUUGFVHZUCUDZUUHUHSVAAUUD
      UWFUUHUHAJUWEUCAUWEJACUUEUUFKUOZUDZFVHZJUNZKUEJUFSZUUEVISZVJZTZUWEJUNZACJ
      BUDUWMPABFGIJKONVKVLZUWNCUWLTZUWOUWJUWOKCUWLUWGCUNZUWIUWEJUWRUUEUWHUUGFUU
      FUWGCVMWAVNVOVPVDZVQVRVSAUUECFFCVTAUEIWBAUWNCVBUUEVISZTUWPUWNUWLUWTCUWNVB
      WCTUWKVBWDZUWLUWTWDWEUXAUWNJWFWLUWKVBUUEWCWGWHUWJKCUWLWIZWJVDWMWKVFVGUVEU
      UCUVLUWDUVEUVLUVAUSUVCUVLUVAUNAUVCUULUVKUUTFUVCUUMUVJUUSUEUVCUVIUURUUPULU
      VCUVHUUQUUOUKUVCUVHUEUUFUBSUUQUUFWNHUEUUFUBXBWOVSWPWQWRWSAUVAUSTUVCACDFHI
      JLAUWQUUEUWKCXLZAUWNUWQUWPUXBVDCUWKUUEWTVDZQXAVGWKZXCXDUVEUVPUVLUSTUVSUWD
      UXEUUCUVLXEXFUUCUUIUVMXGXHVGUVGCDUVBFHIJAUVTUVCUVFLXIAIVBTZUVCUVFMXIAUXCU
      VCUVFUXDXIUVBXMZAUVCUVFXJUVEUVFXKXNXOUVEUVFXPZUQZUUCUEUVBUMAUUCUEUMUJZUVC
      UXHAUVPUXJUWCUUCXQVDXIUXICDUVBFHIJAUVTUVCUXHLXIAUXFUVCUXHMXIAJVBTZUVCUXHN
      XIAUXCUVCUXHUXDXIUXGAUVCUXHXJUXHUUJUUBXRUVEUUJUUBYBWSXSXOXTAUVCXPZUQZUVPD
      USTZUVBUSTZUTZUUCDULSZUVBUMUJUVDAUXPUXLAUVPUXNUXOUWCADLVFABCDFGHIJKLMNAHA
      HUUETZHVBTZQHIYAVDZYCZOPYDXDVGUXMUXQUUNUVBUMAUXQUUNUNUXLAUUNUUBUAYESZUCUD
      ZUUCUYBULSZUXQADUYBUCAUYBDADUAADLYFAYGYHZVQVRAUWAUYCUYDUNUWBUUBYLVDAUYBDU
      UCULUYEWPYIVGUXMCDUVBFHIJAUVTUXLLVGAUXFUXLMVGAUXKUXLNVGAUXCUXLUXDVGAUWOUX
      LUWSVGUXGUXMHUAIUXMYMAIUSTUXLAIMYCVGAHUSTUXLUYAVGUXMHUXMUXSHUEXRZHVATAUXS
      UXLUXTVGUXLUYFAHUEYBWSHYJYKYNAHIYOUJZUXLAUXRUYGQHUEIYPVDVGYQYRYSUUCDUVBYT
      XHXTRUUA $.
  $}

  ${
    $d C c $.  $d H c j n x $.  $d H i j n x $.  $d M c j n x $.
    $d M i j k x y $.  $d N c j n x $.  $d N i j k x y $.  $d P j k x y $.
    $d S c j n x $.  $d S i j n x $.  $d S i j x y $.  $d X i j k x y $.
    $d X i j n x $.  $d i j k ph x y $.  $d n ph x $.
    etranslemdvnf2lemlem.s $e |- ( ph -> S e. { RR , CC } ) $.
    etransclem29.a $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    etransclem29.p $e |- ( ph -> P e. NN ) $.
    etransclem29.m $e |- ( ph -> M e. NN0 ) $.
    etransclem29.f $e |- F = ( x e. X |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. ( 1
       ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem29.n $e |- ( ph -> N e. NN0 ) $.
    etransclem29.h $e |- H = ( j e. ( 0 ... M ) |-> ( x e. X |-> ( ( x - j ) ^
       if ( j = 0 , ( P - 1 ) , P ) ) ) ) $.
    etransclem29.c $e |- C = ( n e. NN0 |-> { c e. ( ( 0 ... n ) ^m ( 0 ... M )
       ) | sum_ j e. ( 0 ... M ) ( c ` j ) = n } ) $.
    etransclem29.e $e |- E = ( x e. X |-> prod_ j e. ( 0 ... M ) ( ( H ` j ) `
       x ) ) $.
    $( The ` N ` -th derivative of ` F ` .  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    etransclem29 $p |- ( ph -> ( ( S Dn F ) ` N ) = ( x e. X |-> sum_ c e. ( C
       ` N ) ( ( ( ! ` N ) / prod_ j e. ( 0 ... M ) ( ! ` ( c ` j ) ) ) x.
       prod_ j e. ( 0 ... M ) ( ( ( S Dn ( H ` j ) ) ` ( c ` j ) ) ` x ) ) ) )
       $=
      ( vi vy vk cdvn co cfv cfa cc0 cfz cv cprod cdiv csu dvdmsscn etransclem4
      cmul cmpt oveq2d fveq1d fzfid wcel wa cc wss adantr simpr etransclem1 w3a
      cn cr cpr 3ad2ant1 ccnfld ctopn crest cmin wceq c1 cexp etransclem5 eqtri
      cif simp2 cn0 elfznn0 3ad2ant3 etransclem20 dvnprod eqtrd ) ALEIUGUHZUILE
      HUGUHZUIBMLCUILUJUIUKKULUHZFUMZNUMUIZUJUIFUNUOUHWOBUMZWQEWPJUIUGUHUIUIFUN
      USUHNUPUTALWMWNAIHEUGABMDFHIJKAEMOPUQZQRSUAUCURVAVBABFCEWOUDGHJLMNOPAUKKV
      CAWPWOVDZVEBDFJWPKMAMVFVGWTWSVHADVLVDZWTQVHUAAWTVIVJTAWTUDUMZUKLULUHVDZVK
      UEDEUFJWPKXBMAWTEVMVFVNVDXCOVOAWTMVPVQUIEVRUHVDXCPVOAWTXAXCQVOJFWOBMWRWPV
      SUHWPUKVTDWAVSUHZDWEWBUHUTUTUFWOUEMUEUMUFUMZVSUHXEUKVTXDDWEWBUHUTUTUABUED
      FUFKMWCWDAWTXCWFXCAXBWGVDWTXBLWHWIWJUCUBWKWL $.
  $}

  ${
    $d C c $.  $d H c j n x $.  $d M c j n x $.  $d N c j n x $.  $d P j x $.
    $d S c j n x $.  $d X j n x $.  $d j n ph x $.
    etransclem30.s $e |- ( ph -> S e. { RR , CC } ) $.
    etransclem30.a $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    etransclem30.p $e |- ( ph -> P e. NN ) $.
    etransclem30.m $e |- ( ph -> M e. NN0 ) $.
    etransclem30.f $e |- F = ( x e. X |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. ( 1
       ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem30.n $e |- ( ph -> N e. NN0 ) $.
    etransclem30.h $e |- H = ( j e. ( 0 ... M ) |-> ( x e. X |-> ( ( x - j ) ^
       if ( j = 0 , ( P - 1 ) , P ) ) ) ) $.
    etransclem30.c $e |- C = ( n e. NN0 |-> { c e. ( ( 0 ... n ) ^m ( 0 ... M )
       ) | sum_ j e. ( 0 ... M ) ( c ` j ) = n } ) $.
    $( The ` N ` -th derivative of ` F ` .  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    etransclem30 $p |- ( ph -> ( ( S Dn F ) ` N ) = ( x e. X |-> sum_ c e. ( C
       ` N ) ( ( ( ! ` N ) / prod_ j e. ( 0 ... M ) ( ! ` ( c ` j ) ) ) x.
       prod_ j e. ( 0 ... M ) ( ( ( S Dn ( H ` j ) ) ` ( c ` j ) ) ` x ) ) ) )
       $=
      ( cc0 cfz co cv cfv cprod cmpt eqid etransclem29 ) ABCDEFGBLUBJUCUDBUEFUE
      IUFUFFUGUHZHIJKLMNOPQRSTUAUKUIUJ $.
  $}

  ${
    $d C c j k x y $.  $d H c j n x $.  $d M c j k x y $.  $d M c j n x $.
    $d N c j k x y $.  $d N c j n x $.  $d P j k x y $.  $d S c j n x $.
    $d S c j x y $.  $d X j k x y $.  $d X j n x $.  $d Y c j x y $.
    $d c j k ph x y $.  $d n ph x $.
    etransclem31.s $e |- ( ph -> S e. { RR , CC } ) $.
    etransclem31.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    etransclem31.p $e |- ( ph -> P e. NN ) $.
    etransclem31.m $e |- ( ph -> M e. NN0 ) $.
    etransclem31.f $e |- F = ( x e. X |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. ( 1
       ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem31.n $e |- ( ph -> N e. NN0 ) $.
    etransclem31.h $e |- H = ( j e. ( 0 ... M ) |-> ( x e. X |-> ( ( x - j ) ^
       if ( j = 0 , ( P - 1 ) , P ) ) ) ) $.
    etransclem31.c $e |- C = ( n e. NN0 |-> { c e. ( ( 0 ... n ) ^m ( 0 ... M )
       ) | sum_ j e. ( 0 ... M ) ( c ` j ) = n } ) $.
    etransclem31.y $e |- ( ph -> Y e. X ) $.
    $( The ` N ` -th derivative of ` H ` applied to ` Y ` .  (Contributed by
       Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem31 $p |- ( ph -> ( ( ( S Dn F ) ` N ) ` Y ) = sum_ c e. ( C ` N )
       ( ( ( ! ` N ) / prod_ j e. ( 0 ... M ) ( ! ` ( c ` j ) ) ) x. ( if ( ( P
       - 1 ) < ( c ` 0 ) , 0 , ( ( ( ! ` ( P - 1 ) ) / ( ! ` ( ( P - 1 ) - ( c
       ` 0 ) ) ) ) x. ( Y ^ ( ( P - 1 ) - ( c ` 0 ) ) ) ) ) x. prod_ j e. ( 1
       ... M ) if ( P < ( c ` j ) , 0 , ( ( ( ! ` P ) / ( ! ` ( P - ( c ` j ) )
       ) ) x. ( ( Y - j ) ^ ( P - ( c ` j ) ) ) ) ) ) ) ) $=
      ( vy vk cdvn co cfv cfa cc0 cfz cprod cdiv cmul csu cmin clt wbr cexp cif
      cv c1 cc etransclem30 wceq prodeq2ad oveq2d sumeq2sdv adantl etransclem16
      fveq2 wcel wa faccld nncnd adantr fzfid fzssnn0 cmap wf crab ssrab2 simpr
      cn0 etransclem12 eleqtrd sselid elmapi syl ffvelrnd fprodcl nnne0d divcld
      fprodn0 cr cpr ad2antrr ccnfld ctopn crest etransclem5 eqtri etransclem20
      cmpt mulcld fsumcl fvmptd caddc etransclem21 prodeq2dv cuz nn0uz eleqtrdi
      cn eqeltrrd iftrue breq12d fveq2d oveq12d oveq2 ifbieq2d fprod1p dvdmsscn
      sseldd subid1d oveq1d ifeq2d 0p1e1 oveq1i prodeq1i 0red 1red elfzelz zred
      0lt1 a1i elfzle1 ltletrd gt0ne0d neneqd iffalsed breq1d prodeq2i sumeq2dv
      3eqtrd eqtrd ) AMKEHUFUGUHZUHKCUHZKUIUHZUJJUKUGZFVAZNVAZUHZUIUHZFULZUMUGZ
      UUJMUUMEUUKIUHUFUGUHZUHZFULZUNUGZNUOZUUHUUPDVBUPUGZUJUULUHZUQURZUJUVBUIUH
      ZUVBUVCUPUGZUIUHZUMUGZMUVFUSUGZUNUGZUTZVBJUKUGZDUUMUQURZUJDUIUHZDUUMUPUGZ
      UIUHZUMUGZMUUKUPUGZUVOUSUGZUNUGZUTZFULZUNUGZUNUGZNUOABMUUHUUPUUJBVAZUUQUH
      ZFULZUNUGZNUOZUVALUUGVCABCDEFGHIJKLNOPQRSTUAUBVDUWEMVEZUWIUVAVEAUWJUUHUWH
      UUTNUWJUWGUUSUUPUNUWJUUJUWFUURFUWEMUUQVKVFVGVHVIUCAUUHUUTNACFGJKNUBTVJAUU
      LUUHVLZVMZUUPUUSUWLUUIUUOAUUIVCVLUWKAUUIAKTVNVOVPUWLUUJUUNFUWLUJJVQZUWLUU
      KUUJVLZVMZUUNUWOUUMUWOUJKUKUGZWDUUMKVRUWOUUJUWPUUKUULUWOUULUWPUUJVSUGZVLZ
      UUJUWPUULVTUWLUWRUWNUWLUUJUUMFUOKVEZNUWQWAZUWQUULUWSNUWQWBUWLUULUUHUWTAUW
      KWCAUUHUWTVEUWKACFGJKNUBTWEVPWFWGVPUULUWPUUJWHWIUWLUWNWCZWJWGZVNZVOZWKUWL
      UUJUUNFUWMUXDUWOUUNUXCWLWNWMUWLUUJUURFUWMUWOLVCMUUQUWOUDDEUEIUUKJUUMLAEWO
      VCWPVLUWKUWNOWQZALWRWSUHEWTUGVLUWKUWNPWQZADXNVLUWKUWNQWQZIFUUJBLUWEUUKUPU
      GUUKUJVEZUVBDUTZUSUGXDXDUEUUJUDLUDVAUEVAZUPUGUXJUJVEUVBDUTUSUGXDXDUABUDDF
      UEJLXAXBZUXAUXBXCAMLVLUWKUWNUCWQZWJZWKXEXFXGAUUHUUTUWDNUWLUUSUWCUUPUNUWLU
      USUUJUXIUUMUQURZUJUXIUIUHZUXIUUMUPUGZUIUHZUMUGZUVRUXPUSUGZUNUGZUTZFULUVDU
      JUVHMUJUPUGZUVFUSUGZUNUGZUTZUJVBXHUGZJUKUGZUYAFULZUNUGZUWCUWLUUJUURUYAFUW
      OUDDEUEIUUKJUUMLMUXEUXFUXGUXKUXAUXBUXLXIZXJUWLUYAUYEFUJJAJUJXKUHZVLUWKAJW
      DUYKRXLXMVPUWOUURUYAVCUYJUXMXOUXHUXNUVDUXTUYDUJUXHUXIUVBUUMUVCUQUXHUVBDXP
      ZUUKUJUULVKZXQUXHUXRUVHUXSUYCUNUXHUXOUVEUXQUVGUMUXHUXIUVBUIUYLXRUXHUXPUVF
      UIUXHUXIUVBUUMUVCUPUYLUYMXSZXRXSUXHUVRUYBUXPUVFUSUUKUJMUPXTUYNXSXSYAYBAUY
      IUWCVEUWKAUYEUVKUYHUWBUNAUVDUYDUVJUJAUYCUVIUVHUNAUYBMUVFUSAMALVCMAELOPYCU
      CYDYEYFVGYGUYHUWBVEAUYHUVLUYAFULUWBUYGUVLUYAFUYFVBJUKYHYIYJUVLUYAUWAFUUKU
      VLVLZUXNUVMUXTUVTUJUYOUXIDUUMUQUYOUXHUVBDUYOUUKUJUYOUUKUYOUJVBUUKUYOYKUYO
      YLUYOUUKUUKVBJYMYNUJVBUQURUYOYOYPUUKVBJYQYRYSYTUUAZUUBUYOUXRUVQUXSUVSUNUY
      OUXOUVNUXQUVPUMUYOUXIDUIUYPXRUYOUXPUVOUIUYOUXIDUUMUPUYPYFZXRXSUYOUXPUVOUV
      RUSUYQVGXSYAUUCXBYPXSVPUUEVGUUDUUF $.
  $}

  ${
    $d A c $.  $d H c j k n x $.  $d M c d j k m n $.  $d M c h j k x y $.
    $d N c d j k m n $.  $d N c h j k x y $.  $d P h j k x y $.
    $d S c j k n x $.  $d S c j k x y $.  $d X c h j k x y $.
    $d X c j k n x $.  $d c h j k ph x y $.  $d m n ph $.
    etransclem32.s $e |- ( ph -> S e. { RR , CC } ) $.
    etransclem32.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    etransclem32.p $e |- ( ph -> P e. NN ) $.
    etransclem32.m $e |- ( ph -> M e. NN0 ) $.
    etransclem32.f $e |- F = ( x e. X |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. ( 1
       ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem32.n $e |- ( ph -> N e. NN0 ) $.
    etransclem32.ngt $e |- ( ph -> ( ( M x. P ) + ( P - 1 ) ) < N ) $.
    etransclem32.h $e |- H = ( j e. ( 0 ... M ) |-> ( x e. X |-> ( ( x - j ) ^
       if ( j = 0 , ( P - 1 ) , P ) ) ) ) $.
    $( This is the proof for the last equation in the proof of the derivative
       calculated in [Juillerat] p. 12, just after equation *(6) .
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem32 $p |- ( ph -> ( ( S Dn F ) ` N ) = ( x e. X |-> 0 ) ) $=
      ( co cc0 vm vk vd vc vn vh vy cA cdvn cfv cn0 cfz csu wceq cmap crab cmpt
      cv cfa cprod cdiv cmul etransclem11 etransclem30 wcel etransclem12 adantr
      wa simpr eleqtrd adantlr c1 cmin cif clt wbr wrex caddc cle wn wral nfre1
      nfv nfn nfan cr fzssre wf rabid simplbi elmapi adantl ffvelrnda sselid cn
      syl nnm1nn0 nn0red nnred ad3antrrr ralnex biimpri r19.21bi adantll nltled
      ifcld ex ralrimi simprbi fveq2 cbvsumv eqtr3di ad2antlr fzfid eqeq1 ifbid
      weq breq12d rspccva cuz nn0cnd a1i sumeq2dv cfn nncnd eqtrd 3eqtrd oveq2d
      0red cc ad2antrr syldan nfcv etransclem5 eqtri ffvelrnd adantllr 3ad2ant1
      cexp faccld fsumle nn0uz eleqtrdi nnnn0d iftrue fsum1p 0p1e1 sumeq1d 1red
      oveq1i elfzelz zred 0lt1 elfzle1 ltletrd gt0ne0d iffalsed chash fsumconst
      neneqd syl2anc hashfz1 oveq1d nn0mulcld addcomd breqtrd eqbrtrd nn0addcld
      eqbrtrid ltnled mpbid condan nfsum1 nfeq1 nfrabw nfcri nf3an ccnfld ctopn
      w3a cpr crest elfznn0 etransclem20 simpllr 3ad2antl1 fveq12d fveq1d simp2
      cz elfzelzd 3adant3 simp3 etransclem19 eqidd fvmptd fprod0 rexlimdv3a mpd
      simp1lr simpll syl21anc fprodcl nnne0d fprodn0 divcld mul01d etransclem16
      wss wo eqid olcd sumz mpteq2dva ) AIDFUISUJBJIUAUKTHULSZUBURZUCURUJUBUMUA
      URZUNUCTUXQULSUXOUOSUPUQZUJZIUSUJZUXOEURZUDURZUJZUSUJZEUTZVASZUXOBURZUYCD
      UYAGUJZUISZUJZUJZEUTZVBSZUDUMZUQBJTUQABUXRCDEUEFGHIJUDKLMNOPRUBEUEUAHUCUD
      VCZVDABJUYNTAUYGJVEZVHZUYNUXSTUDUMZTUYQUXSUYMTUDUYQUYBUXSVEZVHZUYMUYFTVBS
      ZTUYTUYLTUYFVBUYQUYSUYBUXOUYCEUMZIUNZUDTIULSZUXOUOSZUPZVEZUYLTUNZAUYSVUGU
      YPAUYSVHZUYBUXSVUFAUYSVIAUXSVUFUNUYSAUXREUEHIUDUYOPVFVGVJZVKUYQVUGVHZUXPT
      UNZCVLVMSZCVNZUXPUYBUJZVOVPZUBUXOVQZVUHAVUGVUQUYPAVUGVHZVUQIHCVBSZVUMVRSZ
      VSVPZVURVUQVTZVUOVUNVSVPZUBUXOWAZVVAVURVVBVHZVVCUBUXOVURVVBUBVURUBWCVUQUB
      VUPUBUXOWBWDWEVVEUXPUXOVEZVVCVVEVVFVHVUOVUNVURVVFVUOWFVEVVBVURVVFVHZVUDWF
      VUOTIWGZVURUXOVUDUXPUYBVUGUXOVUDUYBWHZAVUGUYBVUEVEZVVIVUGVVJVUCVUCUDVUEWI
      ZWJUYBVUDUXOWKWPZWLZWMZWNVKAVUNWFVEVUGVVBVVFAVULVUMCWFAVUMACWOVEZVUMUKVEM
      CWQWPZWRZACMWSZXFWTVVBVVFVUPVTZVURVVBVVSUBUXOVVSUBUXOWAVVBVUPUBUXOXAXBXCX
      DXEXGXHVURVVDVHZIUXOVUOUBUMZVUTVSVUGIVWAUNAVVDVUGVUBIVWAVUGVVJVUCVVKXIUXO
      UYCVUOEUBUYAUXPUYBXJZXKXLXMVVTVWAUXOUFURZUYBUJZUFUMZVUTVSUXOVUOVWDUBUFUXP
      VWCUYBXJZXKVVTVWEUXOVWCTUNZVUMCVNZUFUMZVUTVSVVTUXOVWDVWHUFVVTTHXNVURVWCUX
      OVEZVWDWFVEVVDVURVWJVHVUDWFVWDVVHVURUXOVUDVWCUYBVVMWMWNVKAVWHWFVEVUGVVDVW
      JAVWGVUMCWFVVQVVRXFWTVVDVWJVWDVWHVSVPZVURVVCVWKUBVWCUXOUBUFXQZVUOVWDVUNVW
      HVSVWFVWLVULVWGVUMCUXPVWCTXOXPXRXSXDUUAAVWIVUTUNVUGVVDAVWIVUMTVLVRSZHULSZ
      VWHUFUMZVRSVUMVUSVRSVUTAVWHVUMUFTHAHUKTXTUJNUUBUUCAVWJVHVWHAVWHUKVEVWJAVW
      GVUMCUKVVPACMUUDZXFVGYAVWGVUMCUUEUUFAVWOVUSVUMVRAVWOVLHULSZVWHUFUMVWQCUFU
      MZVUSAVWNVWQVWHUFVWNVWQUNAVWMVLHULUUGUUJYBUUHAVWQVWHCUFVWCVWQVEZVWHCUNAVW
      SVWGVUMCVWSVWCTVWSVWCVWSTVLVWCVWSYIVWSUUIVWSVWCVWCVLHUUKUULTVLVOVPVWSUUMY
      BVWCVLHUUNUUOUUPUUTUUQWLYCAVWRVWQUURUJZCVBSZVUSAVWQYDVECYJVEVWRVXAUNAVLHX
      NACMYEVWQCUFUUSUVAAVWTHCVBAHUKVEVWTHUNNHUVBWPUVCYFYGYHAVUMVUSAVUMVVPYAAVU
      SAHCNVWPUVDZYAUVEYGYKUVFUVIUVGYLAVVAVTZVUGVVBAVUTIVOVPVXCQAVUTIAVUTAVUSVU
      MVXBVVPUVHWRAIPWRUVJUVKYKUVLVKVUKVUPVUHUBUXOVUKVVFVUPUVTZUXOUYKUYGVUODUXP
      GUJZUISZUJZUJZEUXPVUKVVFVUPEUYQVUGEUYQEWCEUDVUFVUCEUDVUEEVUBIUXOUYCEEUXOY
      MUVMUVNEVUEYMUVOUVPWEVVFEWCVUPEWCUVQEVXHYMVXDTHXNVUKVVFUYAUXOVEZUYKYJVEVU
      PVUKVXIVHZJYJUYGUYJVXJUGCDUBGUYAHUYCJADWFYJUWAVEZUYPVUGVXIKWTAJUVRUVSUJDU
      WBSVEZUYPVUGVXILWTAVVOUYPVUGVXIMWTGEUXOBJUYGUYAVMSUYATUNVUMCVNYSSUQUQZUBU
      XOUGJUGURZUXPVMSVUNYSSUQUQRBUGCEUBHJYNYOVUKVXIVIVXJUYCVUDVEZUYCUKVEZAVUGV
      XIVXOUYPVURVXIVHUXOVUDUYAUYBVUGVVIAVXIVVLXMVURVXIVIYPZYQUYCIUWCZWPUWDAUYP
      VUGVXIUWEYPUWFEUBXQZUYGUYJVXGVXSUYCVUOUYIVXFVXSUYHVXEDUIUYAUXPGXJYHVWBUWG
      UWHVUKVVFVUPUWIZVXDUGUYGTTJVXGWFVXDUGCDUFGUXPHVUOJVUKVVFVXKVUPAVXKUYPVUGK
      YKYRVUKVVFVXLVUPAVXLUYPVUGLYKYRVUKVVFVVOVUPAVVOUYPVUGMYKYRGVXMUFUXOUGJVXN
      VWCVMSVWHYSSUQUQRBUGCEUFHJYNYOVXTVUKVVFVUOUWJVEZVUPAVUGVVFVYAUYPVVGVUOTIV
      VNUWKYQUWLVUKVVFVUPUWMUWNVXDUGBXQVHTUWOAUYPVUGVVFVUPUWTVXDYIUWPUWQUWRUWSY
      LYHAUYSVUATUNUYPVUIUYFVUIUXTUYEAUXTYJVEUYSAUXTAIPYTYEVGVUIUXOUYDEVUITHXNZ
      VUIVXIVHZUYDVYCUYCVYCVXOVXPVYCAVUGVXIVXOAUYSVXIUXAVUIVUGVXIVUJVGVUIVXIVIV
      XQUXBVXRWPYTZYEZUXCVUIUXOUYDEVYBVYEVYCUYDVYDUXDUXEUXFUXGVKYFYCUYQUXSUHXTU
      JUXIZUXSYDVEZUXJZUYRTUNAVYHUYPAVYGVYFAUXRUBUAHIUCUXRUXKPUXHUXLVGUXSUDUHUX
      MWPYFUXNYF $.
  $}

  ${
    $d M c d j k m n $.  $d M c d j k m w z $.  $d M c j k n x $.
    $d N c d j m n $.  $d N c d j m w z $.  $d N c j n x $.
    $d P c j k n x y $.  $d P c j k w x y z $.  $d S c j n x $.
    $d S c j x z $.  $d X c j k n x y $.  $d X c j k w x y z $.
    $d c j m n ph $.  $d ph w x z $.
    etransclem33.s $e |- ( ph -> S e. { RR , CC } ) $.
    etransclem33.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    etransclem33.p $e |- ( ph -> P e. NN ) $.
    etransclem33.m $e |- ( ph -> M e. NN0 ) $.
    etransclem33.f $e |- F = ( x e. X |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. ( 1
       ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem33.n $e |- ( ph -> N e. NN0 ) $.
    $( ` F ` is smooth.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem33 $p |- ( ph -> ( ( S Dn F ) ` N ) : X --> CC ) $=
      ( vd cc co cfv wcel vm vk vc vy vz vw vn cdvn wf cn0 cc0 cfz cv wceq cmap
      csu crab cmpt cfa cprod cdiv cmin c1 cif cexp cmul wa cfn cvv eqidd oveq2
      oveq1d eqeq2 rabeqbidv adantl ovex rabex a1i fvmptd wss fzfi mapfi ssrab2
      mp2an ssfi eqeltrdi adantr faccld nncnd ad2antrr simpr eleqtrd sselid syl
      elmapi ffvelrnda adantllr elfznn0 fprodcl nnne0d fprodn0 divcld ad3antrrr
      cr ccnfld ctopn crest cn etransclem5 etransclem20 simpllr ffvelrnd mulcld
      cpr fsumcl eqid fmptd etransclem11 etransclem30 feq1d mpbird ) AIQHDFUHRS
      ZUIIQBIHUAUJUKGULRZUBUMZPUMSUBUPZUAUMZUNZPUKYFULRZYCUORZUQZURZSZHUSSZYCEU
      MZUCUMZSZUSSZEUTZVARZYCBUMZYPDYNUBYCUDIUDUMYDVBRYDUKUNCVCVBRCVDVERURURZSU
      HRSZSZEUTZVFRZUCUPZURZUIABIUUFQUUGAYTITZVGZYLUUEUCAYLVHTUUHAYLYEHUNZPUKHU
      LRZYCUORZUQZVHAUAHYJUUMUJYKVIAYKVJYFHUNZYJUUMUNAUUNYGUUJPYIUULUUNYHUUKYCU
      OYFHUKULVKVLYFHYEVMVNVOOUUMVITAUUJPUULUUKYCUOVPVQVRVSZUULVHTZUUMUULVTUUMV
      HTUUKVHTYCVHTZUUPUKHWAUKGWAZUUKYCWBWDUUJPUULWCZUULUUMWEWDWFWGUUIYOYLTZVGZ
      YSUUDUVAYMYRAYMQTUUHUUTAYMAHOWHWIWJUVAYCYQEUUQUVAUURVRZUVAYNYCTZVGZYQUVDY
      PUVDYPUUKTZYPUJTAUUTUVCUVEUUHAUUTVGZYCUUKYNYOUVFYOUULTYCUUKYOUIUVFUUMUULY
      OUUSUVFYOYLUUMAUUTWKAYLUUMUNUUTUUOWGWLWMYOUUKYCWOWNWPWQYPHWRWNZWHZWIZWSUV
      AYCYQEUVBUVIUVDYQUVHWTXAXBUVAYCUUCEUVBUVDIQYTUUBUVDUECDUFUUAYNGYPIADXDQXN
      TUUHUUTUVCJXCAIXEXFSDXGRTUUHUUTUVCKXCACXHTUUHUUTUVCLXCUDUECUBUFGIXIUVAUVC
      WKUVGXJAUUHUUTUVCXKXLWSXMXOUUGXPXQAIQYBUUGABYKCDEUGFUUAGHIUCJKLMNOUDBCUBE
      GIXIUBEUGUAGPUCXRXSXTYA $.
  $}

  ${
    $d C c j k x y $.  $d F c $.  $d H c k n x $.  $d M c j k x y $.
    $d M c k n x $.  $d N c j k x y $.  $d N c k n x $.  $d P j k x y $.
    $d S c k n x $.  $d S c k x y $.  $d X c j k x y $.  $d X c k n x $.
    $d c j k ph x y $.  $d n ph x $.
    etransclem34.s $e |- ( ph -> S e. { RR , CC } ) $.
    etransclem34.a $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    etransclem34.p $e |- ( ph -> P e. NN ) $.
    etransclem34.m $e |- ( ph -> M e. NN0 ) $.
    etransclem34.f $e |- F = ( x e. X |-> ( ( x ^ ( P - 1 ) ) x. prod_ k e. ( 1
       ... M ) ( ( x - k ) ^ P ) ) ) $.
    etransclem34.n $e |- ( ph -> N e. NN0 ) $.
    etransclem34.h $e |- H = ( k e. ( 0 ... M ) |-> ( x e. X |-> ( ( x - k ) ^
       if ( k = 0 , ( P - 1 ) , P ) ) ) ) $.
    etransclem34.c $e |- C = ( n e. NN0 |-> { c e. ( ( 0 ... n ) ^m ( 0 ... M )
       ) | sum_ k e. ( 0 ... M ) ( c ` k ) = n } ) $.
    $( The ` N ` -th derivative of ` F ` is continuous.  (Contributed by Glauco
       Siliprandi, 5-Apr-2020.) $)
    etransclem34 $p |- ( ph -> ( ( S Dn F ) ` N ) e. ( X -cn-> CC ) ) $=
      ( vy vj cdvn co cfv cfa cc0 cfz cv cprod cdiv cmul csu ccncf etransclem30
      cmpt cc dvdmsscn etransclem16 wcel wa wss adantr faccld nncnd cn0 fzssnn0
      fzfid cmap wf wceq crab ssrab2 simpr etransclem12 sselid elmapi ffvelrnda
      eleqtrd syl fprodcl nnne0d fprodn0 divcld ssid a1i constcncfg cr ad2antrr
      w3a cpr ccnfld ctopn crest cn cmin c1 cexp etransclem5 eqtri etransclem20
      cif 3adant2 simp2 ffvelrnd feqmptd etransclem22 eqeltrrd mulcncf fsumcncf
      fprodcncf eqeltrd ) AKEHUDUEUFBLKCUFZKUGUFZUHJUIUEZFUJZMUJZUFZUGUFZFUKZUL
      UEZXPBUJZXSEXQIUFUDUEUFZUFZFUKZUMUEZMUNUQLURUOUEZABCDEFGHIJKLMNOPQRSTUAUP
      ABXNYGMLAELNOUSZACFGJKMUASUTAXRXNVAZVBZBYBYFLYKBLYBURALURVCYJYIVDZYKXOYAA
      XOURVAYJAXOAKSVEVFVDYKXPXTFYKUHJVIZYKXQXPVAZVBZXTYOXSYOUHKUIUEZVGXSKVHYKX
      PYPXQXRYKXRYPXPVJUEZVAXPYPXRVKYKXPXSFUNKVLZMYQVMZYQXRYRMYQVNYKXRXNYSAYJVO
      AXNYSVLYJACFGJKMUASVPVDVTVQXRYPXPVRWAVSVQZVEZVFZWBYKXPXTFYMUUBYOXTUUAWCWD
      WEURURVCYKURWFWGWHYKBLXPYEFYLYMYKYCLVAZYNWKLURYCYDYKYNLURYDVKUUCYOUBDEUCI
      XQJXSLAEWIURWLVAYJYNNWJZALWMWNUFEWOUEVAYJYNOWJZADWPVAYJYNPWJZIFXPBLYCXQWQ
      UEXQUHVLDWRWQUEZDXCWSUEUQUQUCXPUBLUBUJUCUJZWQUEUUHUHVLUUGDXCWSUEUQUQTBUBD
      FUCJLWTXAZYKYNVOZYTXBZXDYKUUCYNXEXFYOYDBLYEUQYHYOBLURYDUUKXGYOUBDEUCIXQJX
      SLUUDUUEUUFUUIUUJYTXHXIXLXJXKXM $.
  $}

  ${
    $d A j $.  $d C c j k x $.  $d D c j $.  $d M c j k n x $.
    $d P c j k n x y $.  $d ph c j k n x $.
    etransclem35.p $e |- ( ph -> P e. NN ) $.
    etransclem35.m $e |- ( ph -> M e. NN0 ) $.
    etransclem35.f $e |- F = ( x e. RR |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. (
       1 ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem35.c $e |- C = ( n e. NN0 |-> { c e. ( ( 0 ... n ) ^m ( 0 ... M )
       ) | sum_ j e. ( 0 ... M ) ( c ` j ) = n } ) $.
    etransclem35.d $e |- D = ( j e. ( 0 ... M ) |-> if ( j = 0 , ( P - 1 ) , 0
       ) ) $.
    $( ` P ` does not divide the P-1 -th derivative of ` F ` applied to ` 0 ` .
       This is case 2 of the proof in [Juillerat] p. 13 .  (Contributed by
       Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem35 $p |- ( ph -> ( ( ( RR Dn F ) ` ( P - 1 ) ) ` 0 ) = ( ( ! ` (
       P - 1 ) ) x. ( prod_ j e. ( 1 ... M ) -u j ^ P ) ) ) $=
      ( cc0 c1 co cmul wcel vk vy cA cmin cr cfv cfa cfz cv cprod cdiv clt cexp
      wbr cif csu csn cdif caddc wceq cmpt cc a1i cn cn0 syl 0red nfv nfcv cmap
      simpr adantr simprd eqcomd fveq2d oveq1d fzfid cvv wss sselid eqeltrd 0zd
      wa ad2antrr sseli adantl fprodzcl zmulcld zcnd cuz nn0uz eleqtrdi eluzfz1
      ovex ffvelrnda fveq2 fsum1p sumeq1i syl2anr elfzelz elfzle1 ltletrd gtned
      wf fvmpt2 neneqd iffalsed eqtrd sumeq2dv cfn wo sumz 3eqtrd oveq12d nncnd
      addid1d fveq1 sylanbrc prodeq2ad oveq2d breq2d ifbieq2d fsumsplit1 faccld
      mp1i fac0 eqtrdi prodeq2dv nnne0d dividd wn nn0red mpbid ffvelrnd lensymd
      cle nnnn0d mulid2d cz adantllr cdvn cneg cpr reelprrecn ccnfld ctopn cioo
      crest crn ctg reopn eqid tgioo2 eleqtri nnm1nn0 etransclem31 etransclem16
      etransclem5 crab etransclem12 eleqtrd rabid sylib nn0ex mapss simpld mccl
      fzssnn0 mp2an nnzd elmapi etransclem10 fz1ssfz0 etransclem3 eluzfz2 ifcld
      fmptd elmap sylibr fzsscn iftrued fvmptd 0p1e1 oveq1i 1red zred 0lt1 fzfi
      olci 1cnd subcld sumeq2sdv eqeq1d elrab eleqtrrd fprod1p prodeq1i mulid1d
      prod1 lttri3d subeq0bd div1d 0cnd exp0d fzssre nnred nngt0d ltled eqbrtrd
      subid1d df-neg eqcomi znegcld expcld zexpcl mulcld eldifi sylan2 elfzelzd
      elfzle2 nn0zd zsubcld wfn ffnd id ad2antlr eqtr2d adantlr ad4antr ad5antr
      fsumnn0cl ad3antrrr simp-4l sylancom elfzel2 elfznn0 neqne elnnne0 nnge1d
      wne elfzd adantlll leneltd diffi syldan fsumge0 fsumrecl addge01d breqtrd
      elrpd ltaddrpd adantl3r cbvsumv simp-5l ad4antlr 3eqtrrd condan pm2.61dan
      1zzd syl2anc eqfnfvd sylanl2 eldifsni pm2.65da neqned posdifd elnnz 0expd
      divcld mul01d mul02d fprodnncl olcd fprodexp ) APEQUDRZUEHUUARUFUFVVOCUFZ
      VVOUGUFZPIUHRZFUIZJUIZUFZUGUFZFUJZUKRZVVOPVVTUFZULUNZPVVQVVOVWEUDRZUGUFZU
      KRZPVWGUMRZSRZUOZQIUHRZEVWAULUNZPEUGUFZEVWAUDRZUGUFZUKRZPVVSUDRZVWPUMRZSR
      ZUOZFUJZSRZSRZJUPVVQVVRVVSDUFZUGUFZFUJZUKRZVVOPDUFZULUNZPVVQVVOVXJUDRZUGU
      FZUKRZPVXLUMRZSRZUOZVWMEVXFULUNZPVWOEVXFUDRZUGUFZUKRZVWSVXSUMRZSRZUOZFUJZ
      SRZSRZVVPDUQZURZVXEJUPZUSRZVVQVWMVVSUUBZFUJEUMRZSRZABCEUEFGHUAVVRUBUEUBUI
      UAUIZUDRVYOPUTVVOEUOUMRVAVAIVVOUEPJUEUEVBUUCTAUUDVCUEUUEUUFUFZUEUUHRZTAUE
      UUGUUIUUJUFVYQUUKVYPVYPUULUUMUUNVCKLMAEVDTZVVOVETKEUUOVFZUBBEUAFIUEUURNAV
      GZUUPAVVPVXEDVYGJAJVHJVYGVIACFGIVVOJNVYSUUQZAVVTVVPTZWCZVXEWUCVWDVXDWUCVW
      DWUCVWDVVRVWAFUPZUGUFZVWCUKRVDWUCVVQWUEVWCUKWUCVVOWUDUGWUCWUDVVOWUCVVTPVV
      OUHRZVVRVJRZTZWUDVVOUTZWUCVVTWUIJWUGUUSZTWUHWUIWCWUCVVTVVPWUJAWUBVKAVVPWU
      JUTWUBACFGIVVOJNVYSUUTZVLUVAWUIJWUGUVBUVCZVMZVNVOVPWUCVVRVVTFFVVTVIWUCPIV
      QWUCWUGVEVVRVJRZVVTVEVRTWUFVEVSWUGWUNVSUVDVVOUVHZWUFVEVVRVRUVEUVIWUCWUHWU
      IWULUVFZVTUVGWAUVJWUCVWLVXCWUCVVTEPIVVOAVYRWUBKVLAIVETWUBLVLWUCWUHVVRWUFV
      VTXDZWUPVVTWUFVVRUVKVFZWUCWBUVLWUCVWMVXBFWUCQIVQZWUCVVSVWMTZWCZVVTEVVSPIV
      VOAVYRWUBWUTKWDWUCWUQWUTWURVLWUTVVSVVRTZWUCVWMVVRVVSIUVMZWEZWFWVAWBUVNWGZ
      WHWHWIADWUJVVPADWUGTZVVRVXFFUPZVVOUTZDWUJTAVVRWUFDXDZWVFAFVVRVVSPUTZVVOPU
      OZWUFDAWVKWUFTZWVBAWVJVVOPWUFAVVOPWJUFZTZVVOWUFTAVVOVEWVMVYSWKWLZPVVOUVOV
      FAWVNPWUFTWVOPVVOWMVFUVPZVLZOUVQZWUFVVRDPVVOUHWNPIUHWNUVRUVSAWVGVXJPQUSRZ
      IUHRZVXFFUPZUSRVVOPUSRVVOAVXFVXJFPIAIVEWVMLWKWLZAWVBWCZWUFVBVXFPVVOUVTZAV
      VRWUFVVSDWVRWOZVTVVSPDWPZWQAVXJVVOWWAPUSAFPWVKVVOVVRDVEDFVVRWVKVAUTAOVCAW
      VJWCZWVJVVOPAWVJVKUWAAIWVMTZPVVRTZWWBPIWMVFZVYSUWBZAWWAVWMVXFFUPZVWMPFUPZ
      PWWAWWLUTAWVTVWMVXFFWVSQIUHUWCUWDZWRVCAVWMVXFPFAWUTWCZVXFWVKPWUTWVBWVLVXF
      WVKUTZAWVDWVPFVVRWVKWUFDOXEWSWUTWVKPUTAWUTWVJVVOPWUTVVSPWUTPVVSWUTVGZWUTP
      QVVSWWQWUTUWEWUTVVSVVSQIWTZUWFPQULUNWUTUWGVCVVSQIXAXBXCXFXGWFXHZXIVWMUCWJ
      UFVSZVWMXJTZXKZWWMPUTAWXAWWTQIUWHZUWIZVWMFUCXLYEXMXNAVVOAEQAEKXOZAUWJUWKZ
      XPXMWUIWVHJDWUGVVTDUTZWUDWVGVVOWXGVVRVWAVXFFVVSVVTDXQZUWLUWMUWNXRWUKUWOWX
      GVWDVXIVXDVYFSWXGVWCVXHVVQUKWXGVVRVWBVXGFWXGVWAVXFUGWXHVOXSXTWXGVWLVXQVXC
      VYESWXGVWFVXKVWKVXPPWXGVWEVXJVVOULPVVTDXQZYAWXGVWIVXNVWJVXOSWXGVWHVXMVVQU
      KWXGVWGVXLUGWXGVWEVXJVVOUDWXIXTZVOXTWXGVWGVXLPUMWXJXTXNYBWXGVWMVXBVYDFWXG
      VWNVXRVXAVYCPWXGVWAVXFEULWXHYAWXGVWRVYAVWTVYBSWXGVWQVXTVWOUKWXGVWPVXSUGWX
      GVWAVXFEUDWXHXTZVOXTWXGVWPVXSVWSUMWXKXTXNYBXSXNXNYCAVYKVVQVWMVYLEUMRZFUJZ
      SRZPUSRWXNVYNAVYGWXNVYJPUSAVYGQWXNSRWXNAVXIQVYFWXNSAVXIVVQVVQUKRQAVXHVVQV
      VQUKAVXHVXJUGUFZWVTVXGFUJZSRVVQQSRZVVQAVXGWXOFPIWWBWWCVXGWWCVXFWWCWUFVEVX
      FWUOWWEVTYDXOWVJVXFVXJUGWWFVOUWPAWXOVVQWXPQSAVXJVVOUGWWKVOAWXPVWMVXGFUJZV
      WMQFUJZQWXPWXRUTAWVTVWMVXGFWWNUWQVCAVWMVXGQFWWOVXGPUGUFZQWWOVXFPUGWWSVOYF
      YGYHWXBWXSQUTAWXDVWMFUCUWSYEXMXNAVVQAVVQAVVOVYSYDZXOZUWRZXMXTAVVQWYBAVVQW
      YAYIYJXHAVXQVVQVYEWXMSAVXQVXPWXQVVQAVXKPVXPAVXJVVOULUNYKZVXKYKZAVXJVVOUTZ
      WYDWYEWCWWKAVXJVVOAVXJVVOUEWWKAVVOVYSYLZWAWYGUWTYMVMXGAVXNVVQVXOQSAVXNVVQ
      QUKRVVQAVXMQVVQUKAVXMWXTQAVXLPUGAVVOVXJWXFAVXJVVOWWKVNUXAZVOYFYGXTAVVQWYB
      UXBXHAVXOPPUMRQAVXLPPUMWYHXTAPAUXCUXDXHXNWYCXMAVWMVYDWXLFWWOVYDVYCQWXLSRW
      XLWWOVXRPVYCWWOVXFEWWOWUFUEVXFPVVOUXEZWWOVVRWUFVVSDAWVIWUTWVRVLWUTWVBAWVD
      WFYNVTAEUETWUTAEKUXFZVLWWOVXFPEYPWWSAPEYPUNWUTAPEVYTWYJAEKUXGUXHVLUXIYOXG
      WWOVYAQVYBWXLSWWOVYAVWOVWOUKRZQWWOVXTVWOVWOUKWWOVXSEUGWWOVXSEPUDREWWOVXFP
      EUDWWSXTWWOEAEVBTWUTWXEVLUXJXHZVOXTAWYKQUTWUTAVWOAVWOAEAEKYQZYDZXOAVWOWYN
      YIYJVLXHWWOVWSVYLVXSEUMVWSVYLUTWWOVYLVWSVVSUXKUXLVCWYLXNXNWWOWXLWWOVYLEWU
      TVYLVBTAWUTVYLWUTVVSWWRUXMZWIWFZAEVETZWUTWYMVLUXNYRXMYHXNXNAWXNAVVQWXMWYB
      AWXMAVWMWXLFAQIVQZWUTVYLYSTWYQWXLYSTAWYOWYMVYLEUXOWSWGWIUXPZYRXHAVYJVYIPJ
      UPZPAVYIVXEPJAVVTVYITZWCZVXEVWDPSRPXUBVXDPVWDSXUBVXDPVXCSRPXUBVWLPVXCSXUB
      VWLVWKVWIPSRPXUBVWFPVWKXUBVWEVVOXUBWUFUEVWEWYIXUAAWUBVWEWUFTZVVTVVPVYHUXQ
      ZWUCVVRWUFPVVTWURAWWIWUBWWJVLYNUXRZVTZAVVOUETZXUAWYGVLZXUBXUCVWEVVOYPUNXU
      EVWEPVVOUXTVFZYOXGXUBVWJPVWISXUBVWGXUBVWGYSTPVWGULUNZVWGVDTXUBVVOVWEAVVOY
      STXUAAVVOVYSUYAVLXUBVWEPVVOXUEUXSUYBXUBVWEVVOULUNXUJXUBVWEVVOXUFXUHXUIXUB
      VVOVWEXUBVVOVWEUTZWXGXUAAWUBXUKWXGXUDWUCXUKWCZFVVRVVTDWUCVVTVVRUYCXUKWUCV
      VRWUFVVTWURUYDVLADVVRUYCWUBXUKAVVRWUFDWVRUYDWDXULWVBWCZWVJVWAVXFUTZXULWVJ
      XUNWVBAXUKWVJXUNWUBAXUKWCZWVJWCVWAVWEVVOVXFWVJVWAVWEUTXUOVVSPVVTWPWFXUKVW
      EVVOUTZAWVJXUKVVOVWEXUKUYEVNZUYFAWVJVVOVXFUTXUKWWGVXFVXJVVOWVJVXFVXJUTAWW
      FWFAWYFWVJWWKVLUYGUYHXMYTUYHXUMWVJYKZWCZVWAPVXFXUSVWAPUTZWUIWUCWUIXUKWVBX
      URXUTYKZWUMUYIXUSXVAWCZWUDVVOXVBVVOWUDAXUGWUBXUKWVBXURXVAWYGUYJXVBVVOVVOV
      WMVYOVVTUFZUAUPZUSRZWUDULWUCWVBXURXVAVVOXVEULUNXUKWUCWVBWCZXURWCZXVAWCZVV
      OXVDAXUGWUBWVBXURXVAWYGUYIXVHXVDWUCXVDUETWVBXURXVAWUCXVDWUCVWMXVCUAWUSWUC
      VYOVWMTZWCZWUFVEXVCWUOXVJVVRWUFVYOVVTWUCWUQXVIWURVLXVIVYOVVRTZWUCVWMVVRVY
      OWVCWEWFYNZVTUYKYLUYLZXVHPVWAVWMVVSUQZURZXVCUAUPZUSRZXVDULXVHPVWAXVQXVHVG
      ZXVFVWAUETXURXVAXVFWUFUEVWAWYIWUCVVRWUFVVSVVTWURWOZVTZWDZXVHXVQXVDUEXVHXV
      DXVQXVHVWMXVCVVSVWAUAXVHUAVHUAVWAVIXVHQIVQXVHXVIWUCXVCVBTZWUCWVBXURXVAXVI
      UYMXVJWUFVBXVCWWDXVLVTUYNWVBXURXVAWUTWUCWVBXURWCZWUTXVAXWCVVSQIXWCVUSWVBI
      YSTXURVVSPIUYOVLWVBVVSYSTXURVVSPIWTVLXWCVVSXWCVVSVETZVVSPUYTZVVSVDTWVBXWD
      XURVVSIUYPVLXURXWEWVBVVSPUYQWFVVSUYRXRUYSWVBVVSIYPUNXURVVSPIUXTVLVUAVLVUB
      VYOVVSVVTWPYCVNZXVMWAXVHPVWAXVRXWAXVFPVWAYPUNZXURXVAXVFVWAWUFTXWGXVSVWAPV
      VOXAVFWDXVAVWAPUYTXVGVWAPUYQWFVUCXVFVWAXVQYPUNZXURXVAXVFPXVPYPUNZXWHWUCXW
      IWVBWUCXVOXVCUAWXAXVOXJTWUCWXCVWMXVNVUDYEZWUCVYOXVOTZXVKXVCUETWUCXWKWCVWM
      VVRVYOWVCXWKXVIWUCVYOVWMXVNUXQWFVTZWUCXVKWCZWUFUEXVCWYIWUCVVRWUFVYOVVTWUR
      WOZVTVUEZWUCXWKXVKPXVCYPUNZXWLXWMXVCWUFTXWPXWNXVCPVVOXAVFVUEVUFVLXVFVWAXV
      PXVTWUCXVPUETWVBWUCXVOXVCUAXWJXWOVUGVLVUHYMWDXBXWFVUIVUJVUKVULXVBWUDVVRXV
      CUAUPZVWEWVTXVCUAUPZUSRXVEWUDXWQUTXVBVVRVWAXVCFUAVVSVYOVVTWPVUMVCXVBXVCVW
      EUAPIAWWHWUBXUKWVBXURXVAWWBUYJXVBXVKWUCXWBWUCXUKWVBXURXVAXVKVUNXWMWUFVBXV
      CWWDXWNVTUYNVYOPVVTWPWQXVBVWEVVOXWRXVDUSXUKXUPWUCWVBXURXVAXUQVUOXWRXVDUTX
      VBWVTVWMXVCUAWWNWRVCXNVUPVUIXCXFVUQWUCWVBXURPVXFUTZXUKAWVBXURXWSWUBWWCXUR
      WCZVXFWVKPWWCWWPXURWWCWVBWVKVETWWPAWVBVKWWCWUFVEWVKWUOWVQVTFVVRWVKVEDOXEV
      UTVLXWTWVJVVOPWWCXURVKXGUYGYTYTXHVURVVAVVBXUAWXGYKAXUKXUAVVTDVVTVVPDVVCXF
      UYFVVDVVEVUCXUBVWEVVOXUFXUHVVFYMVWGVVGXRZVVHXTXUBVWIXUBVVQVWHAVVQVBTXUAWY
      BVLZXUBVWHXUBVWGXUBVWGXXAYQYDZXOXUBVWHXXCYIVVIVVJXMVPXUBVXCXUBVXCXUAAWUBV
      XCYSTXUDWVEUXRWIVVKXHXTXUBVWDXUBVVQVWCXXBXUBVWCXUBVVRVWBFXUBPIVQXUBWVBWCV
      WAXUAAWUBWVBVWAVETXUDXVFWUFVEVWAWUOXVSVTVVBYDVVLZXOXUBVWCXXDYIVVIVVJXHXIA
      VYIWVMVSZVYIXJTZXKWYTPUTAXXFXXEAVVPXJTXXFWUAVVPVYHVUDVFVVMVYIJPXLVFXHXNAW
      XNWYSXPAWXMVYMVVQSAVWMVYLFEAFVHWYMWYRWYPVVNXTXMXM $.
  $}

  ${
    $d C c j n x $.  $d H c j n x $.  $d J c j x $.  $d M c d e j k n $.
    $d M c d e j m n $.  $d M c j n x $.  $d N c e j n $.  $d N c j n x $.
    $d P j x $.  $d S c j n x $.  $d X j n x $.  $d c j n ph x $.
    etransclem36.s $e |- ( ph -> S e. { RR , CC } ) $.
    etransclem36.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    etransclem36.p $e |- ( ph -> P e. NN ) $.
    etransclem36.m $e |- ( ph -> M e. NN0 ) $.
    etransclem36.f $e |- F = ( x e. X |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. ( 1
       ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem36.n $e |- ( ph -> N e. NN0 ) $.
    etransclem36.h $e |- H = ( j e. ( 0 ... M ) |-> ( x e. X |-> ( ( x - j ) ^
       if ( j = 0 , ( P - 1 ) , P ) ) ) ) $.
    etransclem36.jx $e |- ( ph -> J e. X ) $.
    etransclem36.jz $e |- ( ph -> J e. ZZ ) $.
    etransclem36.10 $e |- C = ( n e. NN0 |-> { c e. ( ( 0 ... n ) ^m ( 0 ... M
       ) ) | sum_ j e. ( 0 ... M ) ( c ` j ) = n } ) $.
    $( The ` N ` -th derivative of ` F ` applied to ` J ` is an integer.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem36 $p |- ( ph -> ( ( ( S Dn F ) ` N ) ` J ) e. ZZ ) $=
      ( ve vm vk vd cdvn co cfv cfa cc0 cfz cv cprod cdiv c1 cmin clt cexp cmul
      wbr cif csu cz etransclem31 etransclem16 wcel wa cn adantr wceq cmap crab
      cn0 cmpt etransclem11 3eqtri simpr etransclem26 fsumzcl eqeltrd ) AJLEHUI
      UJUKUKLCUKZLULUKUMKUNUJZFUOZNUOZUKZULUKFUPUQUJDURUSUJZUMWGUKZUTVCUMWIULUK
      WIWJUSUJZULUKUQUJJWKVAUJVBUJVDURKUNUJDWHUTVCUMDULUKDWHUSUJZULUKUQUJJWFUSU
      JWLVAUJVBUJVDFUPVBUJVBUJZNVEVFABCDEFGHIKLMJNOPQRSTUAUDUBVGAWDWMNACFGKLNUD
      TVHAWGWDVIZVJCWGDFGJKLUEADVKVIWNQVLAKVPVIWNRVLALVPVIWNTVLAJVFVIWNUCVLCGVP
      WEWHFVEGUOZVMNUMWOUNUJWEVNUJZVOVQUFVPWEUGUOUHUOUKUGVEUFUOZVMUHUMWQUNUJWEV
      NUJVOVQGVPWEWFUEUOUKFVEWOVMUEWPVOVQUDFUGUFGKNUHVRUGFGUFKUHUEVRVSAWNVTWAWB
      WC $.
  $}

  ${
    $d C c j k m $.  $d C c j x $.  $d H c j n x $.  $d J c j k $.
    $d J c j x $.  $d M c d j k m n $.  $d M c j n x $.  $d N c d j k m n $.
    $d N c j n x $.  $d P c j k $.  $d P c j x $.  $d S c j n x $.
    $d X j n x $.  $d c j k m n ph $.  $d ph x $.
    etransclem37.s $e |- ( ph -> S e. { RR , CC } ) $.
    etransclem37.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    etransclem37.p $e |- ( ph -> P e. NN ) $.
    etransclem37.m $e |- ( ph -> M e. NN0 ) $.
    etransclem37.f $e |- F = ( x e. X |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. ( 1
       ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem37.n $e |- ( ph -> N e. NN0 ) $.
    etransclem37.h $e |- H = ( j e. ( 0 ... M ) |-> ( x e. X |-> ( ( x - j ) ^
       if ( j = 0 , ( P - 1 ) , P ) ) ) ) $.
    etransclem37.c $e |- C = ( n e. NN0 |-> { c e. ( ( 0 ... n ) ^m ( 0 ... M )
       ) | sum_ j e. ( 0 ... M ) ( c ` j ) = n } ) $.
    etransclem37.9 $e |- ( ph -> J e. ( 0 ... M ) ) $.
    etransclem37.j $e |- ( ph -> J e. X ) $.
    $( ` ( P - 1 ) ` factorial divides the ` N ` -th derivative of ` F `
       applied to ` J ` .  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem37 $p |- ( ph -> ( ! ` ( P - 1 ) ) || ( ( ( S Dn F ) ` N ) ` J )
       ) $=
      ( vk vm vd c1 cmin co cfa cfv cc0 cfz cv cprod cdiv clt wbr cexp cmul cif
      csu cdvn cdvds etransclem16 cn wcel cn0 nnm1nn0 syl faccld nnzd wceq cmap
      wa crab etransclem12 eleq2d biimpa rabid biimpi simprd eqcomd fveq2d nfcv
      oveq1d fzfid cvv wss nn0ex a1i fzssnn0 sylancl simpld sseldd mccl eqeltrd
      mapss adantr wf elmapi 3syl cz elfzelzd etransclem10 caddc 0z ax-mp sseli
      fzp1ss 1e0p1 oveq1i eleq2s etransclem3 fprodzcl zmulcld cmpt etransclem11
      adantl eqtri simpr cbvprodv oveq2i breq2d oveq2d oveq12d ifbieq2d oveq12i
      fveq2 oveq2 etransclem28 fsumdvds etransclem31 breqtrrd ) ADUHUIUJZUKULZL
      CULZLUKULZUMKUNUJZFUOZNUOZULZUKULZFUPZUQUJZYPUMUUBULZURUSUMYQYPUUGUIUJZUK
      ULUQUJJUUHUTUJVAUJVBZUHKUNUJZDUUCURUSZUMDUKULZDUUCUIUJZUKULZUQUJZJUUAUIUJ
      ZUUMUTUJZVAUJZVBZFUPZVAUJZVAUJZNVCJLEHVDUJULULVEAYRUVBNYQACFGKLNUBTVFAYQA
      YPADVGVHZYPVIVHQDVJVKVLVMAUUBYRVHZVPZUUFUVAUVEUUFUVEUUFYTUUCFVCZUKULZUUEU
      QUJVGUVEYSUVGUUEUQUVELUVFUKUVEUVFLUVEUUBUVFLVNZNUMLUNUJZYTVOUJZVQZVHZUVHA
      UVDUVLAYRUVKUUBACFGKLNUBTVRVSVTZUVLUUBUVJVHZUVHUVLUVNUVHVPUVHNUVJWAWBZWCV
      KWDWEWGUVEYTUUBFFUUBWFUVEUMKWHUVEUVLUUBVIYTVOUJZVHUVMUVLUVJUVPUUBUVLVIWIV
      HZUVIVIWJUVJUVPWJUVQUVLWKWLLWMUVIVIYTWIWSWNUVLUVNUVHUVOWOZWPVKWQWRVMUVEUU
      IUUTUVEUUBDJKLAUVCUVDQWTZAKVIVHUVDRWTZUVEUVLUVNYTUVIUUBXAZUVMUVRUUBUVIYTX
      BXCZAJXDVHZUVDAJUMKUCXEWTZXFUVEUUJUUSFUVEUHKWHUVEUUAUUJVHZVPUUBDUUAJKLUVE
      UVCUWEUVSWTUVEUWAUWEUWBWTUWEUUAYTVHZUVEUWFUUAUMUHXGUJZKUNUJZUUJUWHYTUUAUM
      XDVHUWHYTWJXHUMKXKXIXJUHUWGKUNXLXMXNXTUVEUWCUWEUWDWTXOXPXQXQUVECUUBDUVBUE
      UFJKLUGUVSUVTALVIVHUVDTWTCGVIUVFGUOZVNNUMUWIUNUJYTVOUJVQXRUFVIYTUEUOZUGUO
      ULUEVCUFUOZVNUGUMUWKUNUJYTVOUJVQXRUBFUEUFGKNUGXSYAAUVDYBAJYTVHUVDUCWTUUFY
      SYTUWJUUBULZUKULZUEUPZUQUJUVAUUIUUJDUWLURUSZUMUULDUWLUIUJZUKULZUQUJZJUWJU
      IUJZUWPUTUJZVAUJZVBZUEUPZVAUJVAUUEUWNYSUQYTUUDUWMFUEUUAUWJVNZUUCUWLUKUUAU
      WJUUBYJZWEYCYDUUTUXCUUIVAUUJUUSUXBFUEUXDUUKUWOUURUXAUMUXDUUCUWLDURUXEYEUX
      DUUOUWRUUQUWTVAUXDUUNUWQUULUQUXDUUMUWPUKUXDUUCUWLDUIUXEYFZWEYFUXDUUPUWSUU
      MUWPUTUUAUWJJUIYKUXFYGYGYHYCYDYIYLYMABCDEFGHIKLMJNOPQRSTUAUBUDYNYO $.
  $}

  ${
    $d C c j n x $.  $d I c d j n $.  $d I c j n x $.  $d J c j n x $.
    $d M c d e j k n $.  $d M c d e j m n $.  $d M c j k n x $.
    $d P c j k n x y $.  $d c j n ph x $.
    etransclem38.p $e |- ( ph -> P e. NN ) $.
    etransclem38.m $e |- ( ph -> M e. NN0 ) $.
    etransclem38.f $e |- F = ( x e. RR |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. (
       1 ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem38.i $e |- ( ph -> I e. NN0 ) $.
    etransclem38.j $e |- ( ph -> J e. ( 0 ... M ) ) $.
    etransclem38.ij $e |- ( ph -> -. ( I = ( P - 1 ) /\ J = 0 ) ) $.
    etransclem38.c $e |- C = ( n e. NN0 |-> { c e. ( ( 0 ... n ) ^m ( 0 ... M )
       ) | sum_ j e. ( 0 ... M ) ( c ` j ) = n } ) $.
    $( ` P ` divides the I -th derivative of ` F ` applied to ` J ` . if it is
       not the case that ` I = P - 1 ` and ` J = 0 ` .  This is case 1 and the
       second part of case 2 proven in in [Juillerat] p. 13 .  (Contributed by
       Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem38 $p |- ( ph -> P || ( ( ( ( RR Dn F ) ` I ) ` J ) / ( ! ` ( P -
       1 ) ) ) ) $=
      ( co wcel vd vm vk ve vy cfv cfa cc0 cfz cv cprod cdiv cmin clt cexp cmul
      c1 wbr cif csu cr cdvn cdvds etransclem16 nnzd wa cz adantr cn0 wceq cmap
      cn crab cmpt etransclem11 3eqtri simpr etransclem28 wne wb nnm1nn0 faccld
      syl nnne0d elfzelzd etransclem26 dvdsval2 syl3anc mpbid pm3.22 adantll wn
      ad3antrrr pm2.65da neqned simplr ad2antrr etransclem24 mpdan etransclem12
      eqid wf eleqtrd rabid sylib simpld elmapi simprd 1zzd nn0zd elfznn0 neqne
      anim12i elnnne0 sylibr cle elfzle2 elfzd adantlr etransclem25 caddc nncnd
      nnge1d 1cnd npcand eqcomd fveq2d facp1 oveq2d mulcomd eqtrd zcnd divcan1d
      3eqtrrd cc 3brtr4d dvdsmulcr syl112anc pm2.61dan a1i cpr reelprrecn ctopn
      fsumdvds ccnfld crest cioo crn ctg reopn tgioo2 etransclem5 fzssre sselid
      eleqtri etransclem31 oveq1d fsumdivc breqtrrd ) ADHCUFZHUGUFUHJUISZEUJZKU
      JZUFZUGUFEUKULSDUQUMSZUHUVCUFZUNURUHUVEUGUFZUVEUVFUMSZUGUFULSIUVHUOSUPSUS
      UQJUISZDUVDUNURUHDUGUFZDUVDUMSZUGUFULSIUVBUMSUVKUOSUPSUSEUKUPSUPSZUVGULSZ
      KUTZIHVAGVBSUFUFZUVGULSZVCAUUTUVMKDACEFJHKROVDZADLVEZAUVCUUTTZVFZUVGUVLVC
      URZUVMVGTZUVTCUVCDUVLEFIJHUAADVLTZUVSLVHZAJVITZUVSMVHZAHVITZUVSOVHZCFVIUV
      AUVDEUTZFUJZVJKUHUWJUISUVAVKSZVMVNUBVIUVAUCUJZUDUJUFUCUTUBUJZVJUDUHUWMUIS
      UVAVKSVMVNFVIUVAUVBUAUJUFEUTUWJVJUAUWKVMVNREUCUBFJKUDVOUCEFUBJUDUAVOVPZAU
      VSVQZAIUVATZUVSPVHUVLXAZVRUVTUVGVGTZUVGUHVSZUVLVGTUWAUWBVTAUWRUVSAUVGAUVE
      AUWCUVEVITZLDWAWCZWBZVEZVHAUWSUVSAUVGUXBWDZVHZUVTCUVCDEFIJHUAUWDUWFUWHAIV
      GTZUVSAIUHJPWEZVHUWNUWOWFZUVGUVLWGWHWIZUVTIUHVJZDUVMVCURZUVTUXJVFZHUVEVSZ
      UXKUXLHUVEUXLHUVEVJZUXNUXJVFZUXJUXNUXOUVTUXJUXNWJWKAUXOWLUVSUXJUXNQWMWNWO
      UXLUXMVFCUVCDEFHIJUAAUWCUVSUXJUXMLWMAUWEUVSUXJUXMMWMAUWGUVSUXJUXMOWMUXLUX
      MVQUVTUXJUXMWPUWNUVTUVSUXJUXMUWOWQWRWSUVTUXJWLZVFZDUVGUPSZUVMUVGUPSZVCURZ
      UXKUXQUVJUVLUXRUXSVCUXQUVCDUVLEIJHAUWCUVSUXPLWQAUWEUVSUXPMWQAUWGUVSUXPOWQ
      UVTUVAUHHUISZUVCXBZUXPUVTUVCUYAUVAVKSZTZUYBUVTUYDUWIHVJZUVTUVCUYEKUYCVMZT
      UYDUYEVFUVTUVCUUTUYFUWOAUUTUYFVJUVSACEFJHKROWTVHXCUYEKUYCXDXEZXFUVCUYAUVA
      XGWCVHUVTUYEUXPUVTUYDUYEUYGXHVHUWQAUXPIUVITUVSAUXPVFZIUQJUYHXIAJVGTUXPAJM
      XJVHAUXFUXPUXGVHUYHIUYHIVITZIUHVSZVFIVLTAUYIUXPUYJAUWPUYIPIJXKWCIUHXLXMIX
      NXOYCAIJXPURZUXPAUWPUYKPIUHJXQWCVHXRXSXTAUXRUVJVJUVSUXPAUVJUVEUQYASZUGUFZ
      UVGUYLUPSZUXRADUYLUGAUYLDADUQADLYBZAYDYEZYFYGAUWTUYMUYNVJUXAUVEYHWCAUYNUV
      GDUPSUXRAUYLDUVGUPUYPYIAUVGDAUVGUXBYBZUYOYJYKYNWQUVTUXSUVLVJUXPUVTUVLUVGU
      VTUVLUXHYLZAUVGYOTUVSUYQVHUXEYMVHYPUXQDVGTZUWBUWRUWSUXTUXKVTAUYSUVSUXPUVR
      WQUVTUWBUXPUXIVHAUWRUVSUXPUXCWQAUWSUVSUXPUXDWQUVGDUVMYQYRWIYSUUDAUVPUUTUV
      LKUTZUVGULSUVNAUVOUYTUVGULABCDVAEFGUCUVAUEVAUEUJUWLUMSUWLUHVJUVEDUSUOSVNV
      NJHVAIKVAVAYOUUATAUUBYTVAUUEUUCUFZVAUUFSZTAVAUUGUUHUUIUFVUBUUJVUAVUAXAUUK
      UUOYTLMNOUEBDUCEJVAUULRAUVAVAIUHJUUMPUUNUUPUUQAUUTUVLUVGKUVQUYQUYRUXDUURY
      KUUS $.
  $}

  ${
    $d M j x $.  $d P j x $.  $d R i j x $.  $d i j ph x $.
    etransclem39.p $e |- ( ph -> P e. NN ) $.
    etransclem39.m $e |- ( ph -> M e. NN0 ) $.
    etransclem39.f $e |- F = ( x e. RR |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. (
       1 ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem39.g $e |- G = ( x e. RR |-> sum_ i e. ( 0 ... R ) ( ( ( RR Dn F
       ) ` i ) ` x ) ) $.
    $( ` G ` is a function.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem39 $p |- ( ph -> G : RR --> CC ) $=
      ( cr cc0 co cfv cc wcel wa cfz cv cdvn csu fzfid wf cpr reelprrecn ccnfld
      a1i ctopn crest cioo crn ctg reopn eqid tgioo2 eleqtri adantr cn0 elfznn0
      cn adantl etransclem33 adantlr simplr ffvelrnd fsumcl fmptd ) ABNODUAPZBU
      BZEUBZNGUCPQZQZEUDRHAVLNSZTZVKVOEVQODUEVQVMVKSZTNRVLVNAVRNRVNUFVPAVRTZBCN
      FGIVMNNNRUGSVSUHUJNUIUKQZNULPZSVSNUMUNUOQWAUPVTVTUQURUSUJACVCSVRJUTAIVASV
      RKUTLVRVMVASAVMDVBVDVEVFAVPVRVGVHVIMVJ $.
  $}

  ${
    $d F c $.  $d M c d j k n x $.  $d M c d k m n x $.  $d N c k n x $.
    $d P c j k n x y $.  $d S c k n x $.  $d X c j k n x y $.  $d c k n ph x $.
    etransclem40.s $e |- ( ph -> S e. { RR , CC } ) $.
    etransclem40.a $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    etransclem40.p $e |- ( ph -> P e. NN ) $.
    etransclem40.m $e |- ( ph -> M e. NN0 ) $.
    etransclem40.f $e |- F = ( x e. X |-> ( ( x ^ ( P - 1 ) ) x. prod_ k e. ( 1
       ... M ) ( ( x - k ) ^ P ) ) ) $.
    etransclem40.6 $e |- ( ph -> N e. NN0 ) $.
    $( The ` N ` -th derivative of ` F ` is continuous.  (Contributed by Glauco
       Siliprandi, 5-Apr-2020.) $)
    etransclem40 $p |- ( ph -> ( ( S Dn F ) ` N ) e. ( X -cn-> CC ) ) $=
      ( vm vj vd co cv vn vy vc cn0 cc0 cfz cfv csu wceq cmap crab cmpt cmin c1
      cif cexp etransclem5 etransclem11 etransclem34 ) ABPUDUEGUFSZQTZRTUGQUHPT
      ZUIRUEVBUFSUTUJSUKULCDEUAFQUTUBIUBTVAUMSVAUEUICUNUMSCUOUPSULULGHIUCJKLMNO
      UBBCQEGIUQQEUAPGRUCURUS $.
  $}

  ${
    $d M c d j k n x $.  $d M c d j m n x $.  $d P c j k n x $.
    $d c j n ph x $.
    etransclem41.m $e |- ( ph -> M e. NN0 ) $.
    etransclem41.p $e |- ( ph -> P e. Prime ) $.
    etransclem41.mp $e |- ( ph -> ( ! ` M ) < P ) $.
    etransclem41.f $e |- F = ( x e. RR |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. (
       1 ... M ) ( ( x - j ) ^ P ) ) ) $.
    $( ` P ` does not divide the P-1 -th derivative of ` F ` applied to ` 0 ` .
       This is the first part of case 2: proven in in [Juillerat] p. 13 .
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem41 $p |- ( ph -> -. P || ( ( ( ( RR Dn F ) ` ( P - 1 ) ) ` 0 ) /
       ( ! ` ( P - 1 ) ) ) ) $=
      ( vk cc0 c1 co cfv cdvds wbr cv wcel wceq vm vd vn cmin cdvn cfa cdiv cfz
      vc cr cneg cprod cexp cabs cle clt wn faccld nnred cprime cn prmnn ltnled
      syl mpbid wa cz nnzd adantr simpr dvdsle sylc mtand wtru fzfid cc elfzelz
      jca znegcld zcnd adantl fprodabs2 absnegd zred 0red 1red 0lt1 a1i elfzle1
      mptru ltletrd ltled absidd eqtrd prodeq2i eqtri cn0 eqtr4id breq2d mtbird
      fprodfac fprodzcl dvdsabsb syl2anc prmdvdsexp syl3anc cmul cmap crab cmpt
      wb csu etransclem11 eqeq1 ifbid cbvmptv etransclem35 oveq1d nnnn0d expcld
      cif fprodcl nnm1nn0 nncnd nnne0d divcan3d ) ACLCMUDNZUJEUENOOZYGUFOZUGNZP
      QCMFUHNZDRZUKZDULZCUMNZPQZAYPCYNPQZAYQCYNUNOZPQZAYSCFUFOZPQZAUUACYTUOQZAY
      TCUPQUUBUQIAYTCAYTAFGURZUSACACUTSZCVASZHCVBVDZUSVCVEAUUAVFCVGSZYTVASZVFZU
      UAUUBAUUIUUAAUUGUUHACUUFVHZUUCVRVIAUUAVJCYTVKVLVMAYRYTCPAYRYKYLDULZYTYRYK
      YMUNOZDULZUUKYRUUMTVNYKYMDVNMFVOYLYKSZYMVPSZVNUUNYMUUNYLYLMFVQZVSZVTZWAWB
      WJYKUULYLDUUNUULYLUNOYLUUNYLUUNYLUUPVTWCUUNYLUUNYLUUPWDZUUNLYLUUNWEZUUSUU
      NLMYLUUTUUNWFUUSLMUPQUUNWGWHYLMFWIWKWLWMWNWOWPAFWQSYTUUKTGFDXAVDWRWSWTAUU
      GYNVGSZYQYSXKUUJAYKYMDAMFVOZUUNYMVGSAUUQWAXBZCYNXCXDWTAUUDUVAUUEYPYQXKHUV
      CUUFYNCCXEXFWTAYJYOCPAYJYIYOXGNZYIUGNYOAYHUVDYIUGABUAWQLFUHNZKRZUBROKXLUA
      RZTUBLUVGUHNUVEXHNXIXJKUVEUVFLTZYGLYAZXJCDUCEFUIUUFGJKDUCUAFUBUIXMKDUVEUV
      IYLLTZYGLYAUVFYLTUVHUVJYGLUVFYLLXNXOXPXQXRAYOYIAYNCAYKYMDUVBUUNUUOAUURWAY
      BACUUFXSXTAYIAYGAUUEYGWQSUUFCYCVDURZYDAYIUVKYEYFWNWSWT $.
  $}

  ${
    $d J c j x $.  $d M c d j k n x $.  $d M c d j m n x $.  $d N c j n x $.
    $d P c j k n x y $.  $d S c j n x $.  $d X c j k n x y $.  $d c j n ph x $.
    etransclem42.s $e |- ( ph -> S e. { RR , CC } ) $.
    etransclem42.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    etransclem42.p $e |- ( ph -> P e. NN ) $.
    etransclem42.m $e |- ( ph -> M e. NN0 ) $.
    etransclem42.f $e |- F = ( x e. X |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. ( 1
       ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem42.n $e |- ( ph -> N e. NN0 ) $.
    etransclem42.jx $e |- ( ph -> J e. X ) $.
    etransclem42.jz $e |- ( ph -> J e. ZZ ) $.
    $( The ` N ` -th derivative of ` F ` applied to ` J ` is an integer.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem42 $p |- ( ph -> ( ( ( S Dn F ) ` N ) ` J ) e. ZZ ) $=
      ( vk co vm vd vn vy vc cn0 cc0 cfz cv cfv csu wceq cmap crab cmpt cmin c1
      cif cexp etransclem5 etransclem11 etransclem36 ) ABUAUFUGHUHTZSUIZUBUIUJS
      UKUAUIZULUBUGVEUHTVCUMTUNUOCDEUCFSVCUDJUDUIVDUPTVDUGULCUQUPTCURUSTUOUOGHI
      JUEKLMNOPUDBCSEHJUTQRSEUCUAHUBUEVAVB $.
  $}

  ${
    $d F x $.  $d M j x $.  $d P j x $.  $d R i j x $.  $d S j x $.
    $d X i j x $.  $d i j ph x $.
    etransclem43.s $e |- ( ph -> S e. { RR , CC } ) $.
    etransclem43.x $e |- ( ph -> X e. ( ( TopOpen ` CCfld ) |`t S ) ) $.
    etransclem43.p $e |- ( ph -> P e. NN ) $.
    etransclem43.m $e |- ( ph -> M e. NN0 ) $.
    etransclem43.f $e |- F = ( x e. X |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. ( 1
       ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem43.g $e |- G = ( x e. X |-> sum_ i e. ( 0 ... R ) ( ( ( S Dn F )
       ` i ) ` x ) ) $.
    $( ` G ` is a continuous function.  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    etransclem43 $p |- ( ph -> G e. ( X -cn-> CC ) ) $=
      ( co wcel adantr cc0 cfz cv cdvn cfv csu cmpt cc ccncf dvdmsscn fzfid cpr
      wa cr ccnfld ctopn crest cn cn0 elfznn0 etransclem33 feqmptd etransclem40
      adantl eqeltrrd fsumcncf eqeltrid ) AIBKUADUBRZBUCFUCZEHUDRUEZUEZFUFUGKUH
      UIRZQABVHVKFKAEKLMUJAUADUKAVIVHSZUMZVJBKVKUGVLVNBKUHVJVNBCEGHJVIKAEUNUHUL
      SVMLTZAKUOUPUEEUQRSVMMTZACURSVMNTZAJUSSVMOTZPVMVIUSSAVIDUTVDZVAVBVNBCEGHJ
      VIKVOVPVQVRPVSVCVEVFVG $.
  $}

  ${
    $d A k $.  $d F k $.  $d M c d j k n x $.  $d M c d j m n x $.
    $d P c j k n x y $.  $d c j k n ph x $.
    etransclem44.a $e |- ( ph -> A : NN0 --> ZZ ) $.
    etransclem44.a0 $e |- ( ph -> ( A ` 0 ) =/= 0 ) $.
    etransclem44.m $e |- ( ph -> M e. NN0 ) $.
    etransclem44.p $e |- ( ph -> P e. Prime ) $.
    etransclem44.ap $e |- ( ph -> ( abs ` ( A ` 0 ) ) < P ) $.
    etransclem44.mp $e |- ( ph -> ( ! ` M ) < P ) $.
    etransclem44.f $e |- F = ( x e. RR |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. (
       1 ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem44.k $e |- K = ( sum_ k e. ( ( 0 ... M ) X. ( 0 ... ( ( M x. P )
       + ( P - 1 ) ) ) ) ( ( A ` ( 1st ` k ) ) x. ( ( ( RR Dn F ) ` ( 2nd ` k )
       ) ` ( 1st ` k ) ) ) / ( ! ` ( P - 1 ) ) ) $.
    $( The given finite sum is nonzero.  This is the claim proved after
       equation (7) in [Juillerat] p. 12 .  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    etransclem44 $p |- ( ph -> K =/= 0 ) $=
      ( cc0 co wcel vm vd vn vy vc cfv c1 cmin cdvn cmul cfa cdiv cfz caddc cxp
      cr cop csn cdif cv c1st c2nd csu wceq a1i nfv nfcv cfn fzfi xpfi mp2an wa
      cn0 cz wf adantr fzssnn0 xp1st sselid adantl ffvelrnd cc reelprrecn ctopn
      cpr ccnfld crest cioo crn reopn eqid tgioo2 eleqtri cn cprime prmnn xp2nd
      ctg syl elfznn0 nn0red nn0zd etransclem42 zmulcld zcnd cuz nn0uz eleqtrdi
      eluzfz1 0zd nnzd nnm1nn0 zaddcld nn0ge0d cle wbr mpbid elfzd sylanbrc cvv
      fveq2 eqtrdi fveq2d sylan2 fsumzcl nnne0d divassd cdvds cmpt etransclem37
      0re wne wb dvdsval2 syl3anc eqeltrd wn syl2anc mtbird breqtrrd fsumsplit1
      nnnn0d nn0mulcld addge02d opelxp op1stg op2ndg fveq12d oveq12d oveq1d wss
      zred ovex difss ssfi eldifi faccld nncnd 3eqtrd cmap crab cif etransclem5
      divdird cexp etransclem11 fsumdivc wo cabs zabscl nn0abscl absne0d nnge1d
      1zzd elnnne0 clt zltlem1 fzm1ndvds dvdsabsb etransclem41 jca pm4.56 sylib
      euclemma breq2d w3a eldifn 1st2nd2 simpr simpl opeq12d eqtrd velsn sylibr
      3jca mtand etransclem38 dvdsmultr2 sylc fsumdvds etransclem9 eqnetrd ) AH
      RCUFZRDUGUHSZUPGUISZUFZUFZUJSZUXDUKUFZULSZRIUMSZRIDUJSZUXDUNSZUMSZUOZRUXD
      UQZURZUSZFUTZVAUFZCUFZUXTUXSVBUFZUXEUFZUFZUJSZFVCZUXIULSZUNSZRAHUXOUYEFVC
      ZUXIULSZUXHUYFUNSZUXIULSUYHHUYJVDAQVEAUYIUYKUXIULAUXOUYEUXPUXHFAFVFFUXHVG
      UXOVHTZAUXKVHTUXNVHTUYLRIVIRUXMVIUXKUXNVJVKZVEAUXSUXOTZVLZUYEUYOUYAUYDUYO
      VMVNUXTCAVMVNCVOUYNJVPUYNUXTVMTAUYNUXKVMUXTIVQZUXSUXKUXNVRZVSVTZWAZUYOBDU
      PEGUXTIUYBUPUPUPWBWETZUYOWCVEUPWFWDUFZUPWGSZTZUYOUPWHWIWRUFVUBWJVUAVUAWKW
      LWMZVEADWNTZUYNADWOTZVUEMDWPWSZVPAIVMTZUYNLVPPUYNUYBVMTZAUYNUYBUXNTVUIUXS
      UXKUXNWQUYBUXMWTWSZVTUYOUXTUYRXAZUYOUXTUYRXBXCZXDZXEZARUXKTZUXDUXNTUXPUXO
      TAIRXFUFZTVUOAIVMVUPLXGXHRIXIWSZAUXDRUXMAXJZAUXLUXDAIDAILXBADVUGXKZXDZAUX
      DAVUEUXDVMTVUGDXLWSZXBZXMVVBAUXDVVAXNARUXLXOXPUXDUXMXOXPAUXLAIDLADVUGUUBU
      UCXNAUXDUXLAUXDVVAXAAUXLVUTUULUUDXQXRRUXDUXKUXNUUEXSUXSUXPVDZUYAUXCUYDUXG
      UJVVCUXTRCVVCUXTUXPVAUFZRUXSUXPVAYARUPTZUXDXTTZVVDRVDYKDUGUHUUMZRUXDUPXTU
      UFVKYBZYCVVCUXTRUYCUXFVVCUYBUXDUXEVVCUYBUXPVBUFZUXDUXSUXPVBYAVVEVVFVVIUXD
      VDYKVVGRUXDUPXTUUGVKYBYCVVHUUHUUIUUAUUJAUXHUYFUXIAUXHAUXCUXGAVMVNRCJAUXKV
      MRUYPVUQVSWAZABDUPEGRIUXDUPUYTAWCVEZVUCAVUDVEZVUGLPVVAVVEAYKVEZVURXCZXDXE
      AUYFAUXRUYEFUXRVHTZAUYLUXRUXOUUKVVOUYMUXOUXQUUNUXOUXRUUOVKVEZUXSUXRTZAUYN
      UYEVNTUXSUXOUXQUUPZVUMYDYEXEAUXIAUXDVVAUUQZUURZAUXIVVSYFZUVDUUSADUXJUYGVU
      SADVUGYFAUXJUXCUXGUXIULSZUJSZVNAUXCUXGUXIAUXCVVJXEZAUXGVVNXEVVTVWAYGZAUXC
      VWBVVJAUXIUXGYHXPZVWBVNTZABUAVMUXKUXSUBUTUFFVCUAUTZVDUBRVWHUMSUXKUUTSUVAY
      IZDUPEUCGFUXKUDUPUDUTUXSUHSUXSRVDUXDDUVBUVESYIYIZRIUXDUPUEVVKVVLVUGLPVVAU
      DBDFEIUPUVCZFEUCUAIUBUEUVFZVUQVVMYJAUXIVNTZUXIRYLZUXGVNTVWFVWGYMAUXIVVSXK
      ZVWAVVNUXIUXGYNYOXQZXDYPAUYGUXRUYEUXIULSZFVCZVNAUXRUYEUXIFVVPVVTVVQAUYNUY
      EWBTVVRVUNYDVWAUVGZAUXRVWQFVVPAVVQVLZVWQUYAUYDUXIULSZUJSZVNVWTUYAUYDUXIVV
      QAUYNUYAWBTVVRUYOUYAUYSXEYDVWTUYDVVQAUYNUYDVNTZVVRVULYDZXEAUXIWBTVVQVVTVP
      AVWNVVQVWAVPZYGZVWTUYAVXAVVQAUYNUYAVNTZVVRUYSYDZVWTUXIUYDYHXPZVXAVNTZVWTB
      VWIDUPEUCGVWJUXTIUYBUPUEUYTVWTWCVEVUCVWTVUDVEAVUEVVQVUGVPZAVUHVVQLVPZPVWT
      UYNVUIVVQUYNAVVRVTZVUJWSZVWKVWLVWTUYNUXTUXKTVXMUYQWSZVVQAUYNUXTUPTVVRVUKY
      DYJVWTVWMVWNVXCVXIVXJYMAVWMVVQVWOVPVXEVXDUXIUYDYNYOXQZXDYPZYEYPADUXJYHXPD
      VWCYHXPZAVXRDUXCYHXPZDVWBYHXPZUVHZAVXSYQZVXTYQZVLVYAYQAVYBVYCAVXSDUXCUVIU
      FZYHXPZAVUEVYDUGUXDUMSTVYEYQVUGAVYDUGUXDAUVNVVBAUXCVNTZVYDVNTZVVJUXCUVJWS
      ZAVYDAVYDVMTZVYDRYLVYDWNTAVYFVYIVVJUXCUVKWSAUXCVWDKUVLVYDUVOXSUVMAVYDDUVP
      XPZVYDUXDXOXPZNAVYGDVNTZVYJVYKYMVYHVUSVYDDUVQYRXQXRDVYDUVRYRAVYLVYFVXSVYE
      YMVUSVVJDUXCUVSYRYSABDEGILMOPUVTUWAVXSVXTUWBUWCAVUFVYFVWGVXRVYAYMMVVJVWPD
      UXCVWBUWDYOYSAUXJVWCDYHVWEUWEYSADVWRUYGYHAUXRVWQFDVVPVUSVXQVWTDVXBVWQYHVW
      TVYLVXGVXJUWFDVXAYHXPDVXBYHXPVWTVYLVXGVXJAVYLVVQVUSVPVXHVXPUWOVWTBVWIDEUC
      GUYBUXTIUEVXKVXLPVXNVXOVVQUYBUXDVDZUXTRVDZVLZYQAVVQVYOUXSUXQTZUXSUXOUXQUW
      GVVQVYOVLZVVCVYPVYQUXSUXTUYBUQZUXPVYQUYNUXSVYRVDVVQUYNVYOVVRVPUXSUXKUXNUW
      HWSVYOVYRUXPVDVVQVYOUXTRUYBUXDVYMVYNUWIVYMVYNUWJUWKVTUWLFUXPUWMUWNUWPVTVW
      LUWQDUYAVXAUWRUWSVXFYTUWTVWSYTUXAUXB $.
  $}

  ${
    $d M c d j k n x $.  $d M c d j m n x $.  $d P c j k n x y $.
    $d R c j k n x $.  $d c j k n ph x $.
    etransclem45.p $e |- ( ph -> P e. NN ) $.
    etransclem45.m $e |- ( ph -> M e. NN0 ) $.
    etransclem45.f $e |- F = ( x e. RR |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. (
       1 ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem45.a $e |- ( ph -> A : NN0 --> ZZ ) $.
    etransclem45.k $e |- K = ( sum_ k e. ( ( 0 ... M ) X. ( 0 ... R ) ) ( ( A `
       ( 1st ` k ) ) x. ( ( ( RR Dn F ) ` ( 2nd ` k ) ) ` ( 1st ` k ) ) ) / ( !
       ` ( P - 1 ) ) ) $.
    $( ` K ` is an integer.  (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem45 $p |- ( ph -> K e. ZZ ) $=
      ( co cfv cr cz wcel vm vd vn vy vc cc0 cfz cxp cv c1st c2nd cdvn cmul csu
      c1 cmin cfa cdiv cfn fzfi mp2an a1i cn cn0 nnm1nn0 syl faccld nncnd wa wf
      xpfi adantr xp1st elfznn0 adantl ffvelrnd zcnd cc reelprrecn ccnfld ctopn
      cpr crest cioo crn ctg reopn eqid tgioo2 xp2nd etransclem33 nn0red mulcld
      eleqtri nnne0d fsumdivc wne divassd cdvds wceq cmap crab cmpt etransclem5
      wbr cif cexp etransclem11 etransclem37 wb nnzd nn0zd etransclem42 syl3anc
      dvdsval2 mpbid zmulcld eqeltrd fsumzcl eqeltrid ) AIUFJUGPZUFEUGPZUHZGUIZ
      UJQZCQZYEYDUKQZRHULPQZQZUMPZGUNDUOUPPZUQQZURPZSOAYMYCYJYLURPZGUNSAYCYJYLG
      YCUSTZAYAUSTYBUSTYOUFJUTUFEUTYAYBVKVAVBZAYLAYKADVCTZYKVDTKDVEVFVGZVHZAYDY
      CTZVIZYFYIUUAYFUUAVDSYECAVDSCVJYTNVLYTYEVDTZAYTYEYATZUUBYDYAYBVMZYEJVNVFV
      OZVPZVQZUUARVRYEYHUUABDRFHJYGRRRVRWBTUUAVSVBZRVTWAQZRWCPZTUUARWDWEWFQUUJW
      GUUIUUIWHWIWNVBZAYQYTKVLZAJVDTYTLVLZMYTYGVDTZAYTYGYBTUUNYDYAYBWJYGEVNVFVO
      ZWKUUAYEUUEWLZVPZWMAYLYRWOZWPAYCYNGYPUUAYNYFYIYLURPZUMPSUUAYFYIYLUUGUUQAY
      LVRTYTYSVLAYLUFWQZYTUURVLZWRUUAYFUUSUUFUUAYLYIWSXEZUUSSTZUUABUAVDYAYDUBUI
      QGUNUAUIZWTUBUFUVDUGPYAXAPXBXCDRFUCHGYAUDRUDUIYDUPPYDUFWTYKDXFXGPXCXCYEJY
      GRUEUUHUUKUULUUMMUUOUDBDGFJRXDGFUCUAJUBUEXHYTUUCAUUDVOUUPXIUUAYLSTZUUTYIS
      TUVBUVCXJAUVEYTAYLYRXKVLUVAUUABDRFHYEJYGRUUHUUKUULUUMMUUOUUPUUAYEUUEXLXMY
      LYIXOXNXPXQXRXSXRXT $.
  $}

  ${
    $d A i j k $.  $d F i j k x $.  $d G j x $.  $d M i j k x $.
    $d M j k x y $.  $d O x $.  $d P j k x y $.  $d Q j $.  $d R i j k x $.
    $d i j k ph x $.  $d ph x y $.
    etransclem46.q $e |- ( ph -> Q e. ( ( Poly ` ZZ ) \ { 0p } ) ) $.
    etransclem46.qe0 $e |- ( ph -> ( Q ` _e ) = 0 ) $.
    etransclem46.a $e |- A = ( coeff ` Q ) $.
    etransclem46.m $e |- M = ( deg ` Q ) $.
    etransclem46.rex $e |- ( ph -> RR C_ RR ) $.
    etransclem46.s $e |- ( ph -> RR e. { RR , CC } ) $.
    etransclem46.x $e |- ( ph -> RR e. ( ( TopOpen ` CCfld ) |`t RR ) ) $.
    etransclem46.p $e |- ( ph -> P e. NN ) $.
    etransclem46.f $e |- F = ( x e. RR |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. (
       1 ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem46.l $e |- L = sum_ j e. ( 0 ... M ) ( ( ( A ` j ) x. ( _e ^c j )
       ) x. S. ( 0 (,) j ) ( ( _e ^c -u x ) x. ( F ` x ) ) _d x ) $.
    etransclem46.r $e |- R = ( ( M x. P ) + ( P - 1 ) ) $.
    etransclem46.g $e |- G = ( x e. RR |-> sum_ i e. ( 0 ... R ) ( ( ( RR Dn F
       ) ` i ) ` x ) ) $.
    etransclem46.h $e |- O = ( x e. ( 0 [,] j ) |-> -u ( ( _e ^c -u x ) x. ( G
       ` x ) ) ) $.
    $( This is the proof for equation *(7) in [Juillerat] p. 12.  The proven
       equality will lead to a contradiction, because the left-hand side goes
       to ` 0 ` for large ` P ` , but the right-hand side is a nonzero integer.
       (Contributed by Glauco Siliprandi, 5-Apr-2020.) $)
    etransclem46 $p |- ( ph -> ( L / ( ! ` ( P - 1 ) ) ) = ( -u sum_ k e. ( ( 0
       ... M ) X. ( 0 ... R ) ) ( ( A ` ( 1st ` k ) ) x. ( ( ( RR Dn F ) ` (
       2nd ` k ) ) ` ( 1st ` k ) ) ) / ( ! ` ( P - 1 ) ) ) ) $=
      ( vy cc0 cfz co cv cfv cr cmul csu cneg cmin ceu ccxp cioo citg wceq wcel
      c1 a1i wa cdv cmpt oveq2i adantr ere negcld cxpcld adantl simpr fzfid cn0
      cc wf elfznn0 cz syl eqeltrid sylan2 adantlr simplr fsumcl fvmpt2 syl2anc
      ffvelrnd eqeltrd mulcld caddc cle wbr 0re epos wtru neg1rr dvmptneg ax-mp
      mulid2d mpteq2ia eqtri oveq2 recnd mulcomd eqtrd peano2nn0 wi eleq1 fveq2
      epr anbi2d feq1d imbi12d eqcomd oveq2d addcomd negsubd subdid fveq1d cexp
      fsumsub eqid wss cvv oveq12d 3eqtrd mpteq2dva 0red ccncf adantll cmnf cxr
      cprod ad2antrr oveq1d sumeq2dv cxp c1st c2nd cdvn cfa cdiv crn ctg ccnfld
      cicc ctopn cpr recni recn crest cn cdgr cply c0p csn eldifad etransclem33
      dgrcl dvdmsscn etransclem8 ffvelrnda renegcl recxpcld renegcld reelprrecn
      ltleii cnelprrecn 1red dvmptid clog crp dvcxp2 loge oveq1i syl5eq dvmptco
      id mptru mulm1d ovex chvarvv syldan etransclem39 feqmptd nfcv etransclem2
      vtocl dvmptmul 3eqtr4d nnnn0d nn0mulcld nnm1nn0 nn0addcld nn0zd cuz nn0uz
      mulneg1d eleqtrdi telfsum2 3eqtr2d cif nn0red ltp1d eqbrtrrid etransclem5
      clt etransclem32 mpan2 sylan9eq cnex ssexd elpm2r syl22anc df-neg eqtr4di
      cpm dvn0 mulneg2d elfzelz zred iccssred tgioo2 cnt iccntr elioore negnegd
      dvmptres2 eqtr2d itgeq2dv eqidd ax-resscn sstrdi sselda negcl fvmptd cioc
      elfzle1 cdif wn mnfxr rpxr rpgt0 gtnelioc eldif mpbir2an cxpcncf2 negcncf
      mp1i cncfmpt1f etransclem6 etransclem13 w3a 3adant3 3ad2ant3 subcld ifcld
      zcnd 3adant1r expcld nfv ssid idcncfg constcncfg subcncf oveq1 cncfcompt2
      expcncf fprodcncf mulcncf ioossicc cibl mpteq2i etransclem18 etransclem43
      cncfmptssg cbvprodv negcncfg ftc2 negeq negeqd rexrd syl3anc fvmptd3 neg0
      ubicc2 eqtrdi sylan9eqr lbicc2 subnegd coef2 coeid2 sylancl cxpexp mul02d
      0zd fsummulc1 3eqtr3rd sumeq2sdv mulassd eqcomi negidd wne gtneii cxpaddd
      cxp0 fsummulc2 cop vex op1std fveq2d op2ndd fveq12d adantrr anasss fsumxp
      ) ALUIMUJUKZUIFUJUKZUUAIULZUUBUMZCUMZVYDVYCUUCUMZUNJUUDUKZUMZUMZUOUKZIUPZ
      UQZDVEURUKZUUEUMUUFALVYAHULZCUMZUSVYNUTUKZUOUKZBUIVYNVAUKZUSBULZUQZUTUKZV
      YSJUMZUOUKZVBZUOUKZHUPZVYAVYQUIKUMZUOUKZVYQUSVYNUQZUTUKZVYNKUMZUOUKZUOUKZ
      URUKZHUPZVYLLWUFVCAUDVFAVYAWUEWUNHAVYNVYAVDZVGZWUEVYQWUGWULURUKZUOUKWUNWU
      QWUDWURVYQUOWUQWUDBVYRVYSUNNVHUKZUMZVBVYNNUMZUINUMZURUKZWURWUQBVYRWUCWUTW
      UQVYSVYRVDZVGWUTVYSBVYRWUCVIZUMZWUCWUQWUTWVFVCWVDWUQVYSWUSWVEWUQWUSUNBUIV
      YNUUJUKZWUAVYSKUMZUOUKZUQZVIZVHUKZBVYRWUCUQZUQZVIZWVEWUSWVLVCWUQNWVKUNVHU
      GVJVFWUQBWVJWVNUNVAUUGUUHUMZUUIUUKUMZVSUNVYRWVGAUNUNVSUULZVDZWUPTVKZAVYSU
      NVDZWVJVSVDWUPAWWAVGZWVIWWBWUAWVHWWAWUAVSVDZAWWAUSVYTUSVSVDZWWAUSVLUUMZVF
      WWAVYSVYSUUNZVMZVNZVOZWWBWVHVYBVYSGULZVYGUMZUMZGUPZVSWWBWWAWWMVSVDWVHWWMV
      CAWWAVPWWBVYBWWLGWWBUIFVQZWWBWWJVYBVDZVGZUNVSVYSWWKAWWOUNVSWWKVTZWWAWWOAW
      WJVRVDZWWQWWJFWAZAWWRVGZBDUNHJMWWJUNAWVSWWRTVKAUNWVQUNUUOUKVDZWWRUAVKADUU
      PVDZWWRUBVKAMVRVDZWWRAMEUUQUMZVRRAEWBUURUMZVDZWXDVRVDAEWXEUUSUUTOUVAZWBEU
      VCWCWDZVKUCAWWRVPUVBZWEZWFAWWAWWOWGZWKZWHZBUNWWMVSKUFWIWJZWXMWLZWMZVMWFAW
      WAWVNVSVDWUPWWBWVMWWBWUCWWBWUAWUBWWIAUNVSVYSJABDHJMUNAUNUNTUAUVDZUBUCUVEZ
      UVFZWMVMZVMWFAUNBUNWVJVIVHUKBUNWVNVIVCWUPABWVIWVMUNVSUNTWXPWXTAUNBUNWVIVI
      VHUKBUNWUAUQZWVHUOUKZVYBVYSWWJVEWNUKZVYGUMZUMZGUPZWUAUOUKZWNUKZVIBUNWUAWU
      BUQZUOUKZVIBUNWVMVIABWUAWYAWVHWYFUNUNVSUNTWWIWWAWYAUNVDAWWAWUAWWAUSVYTUSU
      NVDWWAVLVFUIUSWOWPWWAUIUSWQVLWRUVKVFVYSUVGUVHUVIVOUNBUNWUAVIVHUKZBUNWYAVI
      ZVCAWYKBUNWUAVEUQZUOUKZVIZWYLWYKWYOVCWSBUHVYTWYMUSUHULZUTUKZWYQUNVSWUAWUA
      UNVSUNVSWVSWSUVJVFZVSWVRVDWSUVLVFWWAVYTVSVDWSWWGVOWYMUNVDZWSWWAVGZWTVFWYP
      VSVDZWYQVSVDWSXUAUSWYPWWDXUAWWEVFXUAUWBVNZVOZXUCWSBVYSVEUNUNUNWYRWWAVYSVS
      VDZWSWWFVOWYTUVMWSBUNWYRUVNXAVSUHVSWYQVIZVHUKZXUEVCWSXUFUHVSUSUVOUMZWYQUO
      UKZVIZXUEUSUVPVDZXUFXUIVCXNUHUSUVQXBUHVSXUHWYQXUAXUHVEWYQUOUKWYQXUGVEWYQU
      OUVRUVSXUAWYQXUBXCUVTXDXEVFWYPVYTUSUTXFZXUKUWAUWCBUNWYNWYAWWAWYNWYMWUAUOU
      KWYAWWAWUAWYMWWHWWAWYMWYSWWAWTVFXGXHWWAWUAWWHUWDXIXDXEVFWXOWWBVYBWYEGWWNW
      WPUNVSVYSWYDAWWOUNVSWYDVTZWWAAWWOWYCVRVDZXULAWWOVGWWRXUMWWOWWRAWWSVOWWJXJ
      WCAVYNVRVDZVGZUNVSVYNVYGUMZVTZXKZAXUMVGZXULXKHWYCWWJVEWNUWEVYNWYCVCZXUOXU
      SXUQXULXUTXUNXUMAVYNWYCVRXLXOXUTUNVSXUPWYDVYNWYCVYGXMZXPXQWWTWWQXKXURGHWW
      JVYNVCZWWTXUOWWQXUQXVBWWRXUNAWWJVYNVRXLXOXVBUNVSWWKXUPWWJVYNVYGXMXPXQWXIU
      WFZUWLUWGWFWXKWKZWHZAUNBUNWVHVIZVHUKUNKVHUKBUNWYFVIAXVFKUNVHAKXVFABUNVSKA
      BDFGHJKMUBWXHUCUFUWHZUWIXRZXSABFGJKBJUWJWXRWWJUIFVEWNUKZUJUKZVDAWWRWWQWWJ
      XVIWAWXIWEUFUWKXIUWMABUNWYHWYJWWBWYHWYBWUAWYFUOUKZWNUKXVKWYBWNUKZWYJWWBWY
      GXVKWYBWNWWBWYFWUAXVEWWIXHXSWWBWYBXVKWWBWYAWVHWWBWUAWWIVMWXOWMWWBWUAWYFWW
      IXVEWMZXTWWBXVLWUAWYFWVHURUKZUOUKZWUAVYSXVIVYGUMZUMZVYSUIVYGUMZUMZURUKZUO
      UKWYJWWBXVKWVJWNUKXVKWVIURUKXVLXVOWWBXVKWVIXVMWXPYAWWBWYBWVJXVKWNWWBWUAWV
      HWWIWXOUXBXSWWBWUAWYFWVHWWIXVEWXOYBUWNWWBXVNXVTWUAUOWWBXVNWYFWWMURUKVYBWY
      EWWLURUKGUPXVTWWBWVHWWMWYFURWXNXSWWBVYBWYEWWLGWWNXVDWXLYEWWBVYSXUPUMWWLWY
      EXVSGHXVQUIFVYNWWJVCVYSXUPWWKVYNWWJVYGXMYCXUTVYSXUPWYDXVAYCVYNUIVCVYSXUPX
      VRVYNUIVYGXMYCVYNXVIVCVYSXUPXVPVYNXVIVYGXMYCWWBFAFVRVDZWWAAFMDUOUKZVYMWNU
      KZVRUEAXWBVYMAMDWXHADUBUWOZUWPAWXBVYMVRVDZUBDUWQZWCZUWRWDZVKUWSAXVIUIUWTU
      MZVDWWAAXVIVRXWIAXWAXVIVRVDXWHFXJWCZUXAUXCVKWWBVYNXVJVDZVGUNVSVYSXUPAXWKX
      UQWWAXWKAXUNXUQVYNXVIWAXVCWEWFAWWAXWKWGWKUXDUXEXSWWBXVTWYIWUAUOWWBXVTUIWU
      BURUKWYIWWBXVQUIXVSWUBURAWWAXVQVYSBUNUIVIZUMZUIAVYSXVPXWLABDUNHJIVYAUHUNW
      YPVYCURUKZVYCUIVCZVYMDUXFZYDUKVIVIMXVIUNTUAUBWXHUCXWJAXWCFXVIUXKUEAFAFXWH
      UXGUXHUXIUHBDIHMUNUXJUXLYCWWAUIUNVDZXWMUIVCWQBUNUIUNXWLXWLYFWIUXMUXNAXVSW
      UBVCWWAAVYSXVRJAUNVSYGZJVSUNUYAUKVDZXVRJVCWXQAVSYHVDZUNYHVDUNVSJVTZUNUNYG
      XWSXWTAUXOVFAUNUNWVRTSUXPWXRSVSUNUNJYHYHUXQUXRUNJUYBWJYCVKYIWUBUXSUXTXSYJ
      YJYKABUNWYJWVMWWBWUAWUBWWIWXSUYCYKYJXAVKWUQUIVYNWUQYLZWUPVYNUNVDZAWUPVYNV
      YNUIMUYDUYEZVOZUYFZWVQWVQYFZUYGXXGWUPWVGWVPUYHUMUMVYRVCZAWUPXWQXXCXXHWUPY
      LZXXDUIVYNUYIWJVOUYLAWVOWVEVCWUPABVYRWVNWUCAWVDVGZWUCXXJWUAWUBXXJUSVYTWWD
      XXJWWEVFXXJVYSWVDXUDAWVDVYSVYSUIVYNUYJZXGVOVMVNXXJUNVSVYSJAXXAWVDWXRVKWVD
      WWAAXXKVOWKWMZUYKYKVKYJZYCVKAWVDWVFWUCVCZWUPXXJWVDWUCVSVDZXXNAWVDVPXXLBVY
      RWUCVSWVEWVEYFWIWJWFUYMUYNWUQBUIVYNNXXBXXEWUPUIVYNWOWPZAVYNUIMVUBVOZWUQWU
      SWVEVYRVSYMUKXXMWUQBWVGVSVYRVSWUCBWVGWUCVIZXXRYFWUQBWUAWUBWVGWUQBWVGWUAVI
      BWVGVYTXUEUMZVIWVGVSYMUKZWUQBWVGWUAXXSWUPVYSWVGVDZWUAXXSVCAWUPXYAVGZXXSWU
      AXYBUHVYTWYQWUAVSXUEVSXYBXUEUYOWYPVYTVCWYQWUAVCXYBXUKVOXYBVYSWUPWVGVSVYSW
      UPWVGUNVSWUPUIVYNXXIXXDUYFZUYPUYQZUYRZVMXYBXUDWWCXYEXUDUSVYTWWDXUDWWEVFVY
      SUYSVNWCUYTXRYNYKWUQBVYTXUEWVGUSVSYOUIVUAUKZVUCVDZXUEVSVSYMUKZVDWUQXYGWWD
      USXYFVDVUDZWWEXUJXYIXNXUJYOUIUSYOYPVDXUJVUEVFXUJYLUSVUFUSVUGVUHXBUSVSXYFV
      UIVUJUHUSVUKVUMWUPBWVGVYTVIZXXTVDZAWUPWVGVSYGZXYKXYDBWVGXYJXYJYFVULWCVOVU
      NWLZWUQBWVGWUBVIBWVGVYAVYSVYCURUKZXWPYDUKZIYQZVIXXTWUQBWVGWUBXYPWUQXYAVGZ
      UHDIJMUNVYSXWRXYQUYPVFAWXBWUPXYAUBYRAWXCWUPXYAWXHYRJBUNVYSVYMYDUKZVEMUJUK
      ZVYSVYNURUKZDYDUKZHYQZUOUKZVIZUHUNWYPVYMYDUKXYSXWNDYDUKIYQUOUKVIUCBUHDHIM
      VUOXEWUPXYAWWAAWUPWVGUNVYSXYCUYRYNZVUPYKWUQBWVGVYAXYOIWUPXYLAXYDVOWUQUIMV
      QWUQXYAVYCVYAVDZVUQZXYNXWPYUGVYSVYCWUQXYAXUDYUFXYQVYSYUEXGVURYUFWUQVYCVSV
      DZXYAYUFVYCVYCUIMUYDVVBZVUSVUTAXYAYUFXWPVRVDZWUPAXYAYUJYUFAXYAVGZXWOVYMDV
      RYUKWXBXWEAWXBXYAUBVKXWFWCADVRVDXYAXWDVKVVAVURVVCVVDWUQYUFVGZBUHWVGVSVSXY
      NWYPXWPYDUKZXYOVSYULBVVEWUPYUFBWVGXYNVIXXTVDAWUPYUFVGZBVYSVYCWVGYUNBWVGVS
      WUPXYLYUFXYDVKZVSVSYGZYUNVSVVFZVFZVVGYUNBWVGVYCVSYUOYUFYUHWUPYUIVOYURVVHV
      VIYNAUHVSYUMVIXYHVDZWUPYUFAYUJYUSAXWOVYMDVRXWGXWDVVAUHXWPVVLWCYRYUPYULYUQ
      VFWYPXYNXWPYDVVJVVKVVMWLVVNVYRWVGYGWUQUIVYNVVOVFYUPWUQYUQVFZAWVDXXOWUPXXL
      WFVVTWLWUQWUSWVEVVPXXMWUQBUIVYNDIJMWVTAWXAWUPUAVKAWXBWUPUBVKAWXCWUPWXHVKJ
      YUDBUNXYRXYSXYNDYDUKZIYQZUOUKZVIUCBUNYUCYVCYUBYVBXYRUOXYSYUAYVAHIVYNVYCVC
      XYTXYNDYDVYNVYCVYSURXFYSVWAVJVVQXEXXBXXEVVRWLWUQNWVKXXTUGWUQBWVGWVIWUQBWU
      AWVHWVGXYMWUQBUNVSWVGVSWVHXVFXVFYFAXVFUNVSYMUKZVDWUPAXVFKYVDXVHABDFUNGHJK
      MUNTUAUBWXHUCUFVVSWLVKXXFYUTXYQUNVSVYSKAUNVSKVTZWUPXYAXVGYRYUEWKVVTVVNVWB
      WDVWCWUQWVCWULUQZWUGUQZURUKYVFWUGWNUKZWURWUQWVAYVFWVBYVGURWUQBVYNWVJYVFWV
      GNVSUGVYSVYNVCZWVIWULYVIWUAWUJWVHWUKUOYVIVYTWUIUSUTVYSVYNVWDXSVYSVYNKXMYI
      VWEWUQUIYPVDZVYNYPVDZXXPVYNWVGVDWUQUIXXBVWFZWUQVYNXXEVWFZXXQUIVYNVWJVWGWU
      QWULWUQWUJWUKWUPWUJVSVDAWUPUSWUIWWDWUPWWEVFZWUPVYNWUPVYNXXDXGZVMZVNVOZWUQ
      UNVSVYNKAYVEWUPXVGVKXXEWKWMZVMZVWHWUQBUIWVJYVGWVGNVSNWVKVCWUQUGVFAVYSUIVC
      ZWVJYVGVCWUPAYVTVGWVIWUGYVTAWVIVEWUGUOUKWUGYVTWUAVEWVHWUGUOYVTWUAUSUIUQZU
      TUKZVEYVTVYTYWAUSUTVYSUIVWDXSYWBUSUIUTUKZVEYWAUIUSUTVWIVJWWDYWCVEVCWWEUSV
      XJXBZXEVWKVYSUIKXMYIAWUGAUNVSUIKXVGAYLWKZXCVWLVWEWFWUQYVJYVKXXPUIWVGVDYVL
      YVMXXQUIVYNVWMVWGAYVGVSVDWUPAWUGYWEVMVKUYTYIWUQYVFWUGYVSAWUGVSVDWUPYWEVKZ
      VWNWUQYVHWUGYVFWNUKWURWUQYVFWUGYVSYWFXTWUQWUGWULYWFYVRYAXIYJYJXSWUQVYQWUG
      WULWUQVYOVYPWUQVYOWUQVRWBVYNCWUQWXFUIWBVDVRWBCVTAWXFWUPWXGVKWUQVWTCWBEQVW
      OWJWUPXUNAVYNMWAZVOWKVVBZWUPVYPVSVDAWUPUSVYNYVNYVOVNVOZWMZYWFYVRYBXIYTAWU
      OVYAWUHHUPZVYAWUMHUPZURUKUIVYKURUKZVYLAVYAWUHWUMHAUIMVQZWUQVYQWUGYWJYWFWM
      WUQVYQWULYWJYVRWMYEAYWKUIYWLVYKURAUIWUGUOUKVYAVYQHUPZWUGUOUKUIYWKAUIYWOWU
      GUOAUIUSEUMZVYAVYOUSVYNYDUKZUOUKZHUPZYWOAYWPUIPXRAWXFWWDYWPYWSVCWXGWWECWB
      HEMUSQRVWPVWQAVYAYWRVYQHWUPYWRVYQVCAWUPYWQVYPVYOUOWUPVYPYWQWUPWWDXUNVYPYW
      QVCYVNYWGUSVYNVWRWJXRXSVOYTYJYSAWUGYWEVWSAVYAVYQWUGHYWNYWEYWJVXAVXBAYWLVY
      AVYBVYOVYNWWKUMZUOUKZGUPZHUPVYKAVYAWUMYXBHWUQWUMVYQWUJVYBYWTGUPZUOUKZUOUK
      VYOVYPYXDUOUKZUOUKZYXBWUQWULYXDVYQUOWUQWUKYXCWUJUOWUQBVYNWWMYXCUNKVSUFYVI
      VYBWWLYWTGVYSVYNWWKXMVXCXXEWUQVYBYWTGWUQUIFVQZWUQWWOVGUNVSVYNWWKAWWOWWQWU
      PWXJWFWUQXXCWWOXXEVKWKZWHZVWHXSXSWUQVYOVYPYXDYWHYWIWUQWUJYXCYVQYXIWMVXDWU
      QYXFVYOYXCUOUKYXBWUQYXEYXCVYOUOWUQVEYXCUOUKZVYPWUJUOUKZYXCUOUKZYXCYXEWUPY
      XJYXLVCAWUPVEYXKYXCUOWUPVEYWCUSVYNWUIWNUKZUTUKYXKVEYWCVCWUPYWCVEYWDVXEVFW
      UPUIYXMUSUTWUPYXMUIWUPVYNYVOVXFXRXSWUPUSVYNWUIYVNUSUIVXGWUPUIUSWQWRVXHVFY
      VOYVPVXIYJYSVOWUQYXCYXIXCWUQVYPWUJYXCYWIYVQYXIVXDVXBXSWUQVYBYWTVYOGYXGYWH
      YXHVXKXIYJYTAIVYAVYBYXAVYJHGVYCVYNWWJVXLVCZVYEVYOVYIYWTUOYXNVYDVYNCVYNWWJ
      VYCHVXMZGVXMZVXNZVXOYXNVYDVYNVYHWWKYXNVYFWWJVYGVYNWWJVYCYXOYXPVXPVXOYXQVX
      QYIYWNAUIFVQAWUPWWOVGVGVYOYWTAWUPVYOVSVDWWOYWHVXRAWUPWWOYWTVSVDYXHVXSWMVX
      TXIYIYWMVYLVCAVYLYWMVYKUXSVXEVFYJYJYS $.
  $}

  ${
    $d A i j k $.  $d F i j k x $.  $d F i j x y z $.  $d K k $.
    $d M i j k x $.  $d M i j x y z $.  $d P i j k x $.  $d P i j x y z $.
    $d Q j $.  $d i j k ph x $.
    etransclem47.q $e |- ( ph -> Q e. ( ( Poly ` ZZ ) \ { 0p } ) ) $.
    etransclem47.qe0 $e |- ( ph -> ( Q ` _e ) = 0 ) $.
    etransclem47.a $e |- A = ( coeff ` Q ) $.
    etransclem47.a0 $e |- ( ph -> ( A ` 0 ) =/= 0 ) $.
    etransclem47.m $e |- M = ( deg ` Q ) $.
    etransclem47.p $e |- ( ph -> P e. Prime ) $.
    etransclem47.ap $e |- ( ph -> ( abs ` ( A ` 0 ) ) < P ) $.
    etransclem47.mp $e |- ( ph -> ( ! ` M ) < P ) $.
    etransclem47.9 $e |- ( ph -> ( sum_ j e. ( 0 ... M ) ( ( abs ` ( ( A ` j )
       x. ( _e ^c j ) ) ) x. ( M x. ( M ^ ( M + 1 ) ) ) ) x. ( ( ( M ^ ( M + 1
       ) ) ^ ( P - 1 ) ) / ( ! ` ( P - 1 ) ) ) ) < 1 ) $.
    etransclem47.f $e |- F = ( x e. RR |-> ( ( x ^ ( P - 1 ) ) x. prod_ j e. (
       1 ... M ) ( ( x - j ) ^ P ) ) ) $.
    etransclem47.l $e |- L = sum_ j e. ( 0 ... M ) ( ( ( A ` j ) x. ( _e ^c j )
       ) x. S. ( 0 (,) j ) ( ( _e ^c -u x ) x. ( F ` x ) ) _d x ) $.
    etransclem47.k $e |- K = ( L / ( ! ` ( P - 1 ) ) ) $.
    $( ` _e ` is transcendental.  Section *5 of [Juillerat] p. 11 can be used
       as a reference for this proof.  (Contributed by Glauco Siliprandi,
       5-Apr-2020.) $)
    etransclem47 $p |- ( ph -> E. k e. ZZ ( k =/= 0 /\ ( abs ` k ) < 1 ) ) $=
      ( vi vy vz cz wcel cc0 wne cabs cfv c1 clt wbr cv wa wrex cmul cmin caddc
      cfz co cxp c1st c2nd cr cdvn csu cfa cdiv cneg wceq a1i cmpt cicc ceu wss
      ccxp ssid cc cpr reelprrecn ccnfld ctopn crest cioo crn reopn eqid tgioo2
      ctg eleqtri cprime cn prmnn syl weq fveq2 sumeq2sdv cbvmptv negeq oveq12d
      oveq2d negeqd etransclem46 cfn fzfid xpfi syl2anc cn0 wf cply c0p eldifad
      csn 0zd coef2 adantr xp1st adantl ffvelrnd zcnd cdgr dgrcl eqeltrid xp2nd
      elfznn0 nn0red mulcld fsumcl nnm1nn0 faccld nnne0d divnegd eqcomd eqnetrd
      etransclem33 nncnd 3eqtrd etransclem45 znegcld syl5eq divcld etransclem44
      eqeltrd negne0d cdif eldifsni ere recni dgrnznn etransclem23 neeq1 breq1d
      syl22anc anbi12d rspcev syl12anc ) AIUGUHIUIUJZIUKULZUMUNUOZGUPZUIUJZUVCU
      KULZUMUNUOZUQZGUGURAIUIKVBVCZUIKDUSVCDUMUTVCZVAVCZVBVCZVDZUVCVEULZCULZUVM
      UVCVFULZVGHVHVCZULZULZUSVCZGVIZUVIVJULZVKVCZVLZUGAIJUWAVKVCZUVTVLUWAVKVCZ
      UWCIUWDVMAUCVNABCDEUVJUDFGHUEVGUVKUEUPZUDUPUVPULZULZUDVIZVOZJKUFUIFUPVPVC
      ZVQUFUPZVLZVSVCZUWLUWJULZUSVCZVLZVOLMNPVGVGVRAVGVTVNVGVGWAWBUHZAWCVNVGWDW
      EULZVGWFVCZUHZAVGWGWHWLULUWTWIUWSUWSWJWKWMZVNADWNUHDWOUHZQDWPWQZUAUBUVJWJ
      UEBVGUWIUVKBUPZUWGULZUDVIUEBWRUVKUWHUXFUDUWFUXEUWGWSWTXAUFBUWKUWQVQUXEVLZ
      VSVCZUXEUWJULZUSVCZVLUFBWRZUWPUXJUXKUWNUXHUWOUXIUSUXKUWMUXGVQVSUWLUXEXBXD
      UWLUXEUWJWSXCXEXAXFZAUWCUWEAUVTUWAAUVLUVSGAUVHXGUHUVKXGUHUVLXGUHAUIKXHAUI
      UVJXHUVHUVKXIXJAUVCUVLUHZUQZUVNUVRUXNUVNUXNXKUGUVMCAXKUGCXLZUXMAEUGXMULZU
      HZUIUGUHUXOAEUXPXNXPZLXOZAXQCUGENXRXJZXSUXMUVMXKUHZAUXMUVMUVHUHUYAUVCUVHU
      VKXTUVMKYHWQYAZYBYCUXNVGWAUVMUVQUXNBDVGFHKUVOVGUWRUXNWCVNUXAUXNUXBVNAUXCU
      XMUXDXSAKXKUHUXMAKEYDULZXKPAUXQUYCXKUHUXSUGEYEWQYFZXSUAUXMUVOXKUHZAUXMUVO
      UVKUHUYEUVCUVHUVKYGUVOUVJYHWQYAYRUXNUVMUYBYIYBYJYKZAUWAAUVIAUXCUVIXKUHUXD
      DYLWQYMZYSZAUWAUYGYNZYOYPZYTAUWBABCDUVJFGHUWBKUXDUYDUAUXTUWBWJZUUAUUBUUFA
      IUWEUIAIUWDUWEUCUXLUUCAUWEUWCUIUYJAUWBAUVTUWAUYFUYHUYIUUDABCDFGHUWBKUXTOU
      YDQRSUAUYKUUEUUGYQYQABCDFHIJKUXTUBUCUXDAKUYCWOPAUXQEXNUJZVQWAUHZVQEULUIVM
      UYCWOUHUXSAEUXPUXRUUHUHUYLLEUXPXNUUIWQUYMAVQUUJUUKVNMVQEUGUULUUPYFUATUUMU
      VGUUTUVBUQGIUGUVCIVMZUVDUUTUVFUVBUVCIUIUUNUYNUVEUVAUMUNUVCIUKWSUUOUUQUURU
      US $.
  $}

  ${
    $d A j k $.  $d A j n $.  $d C i n $.  $d I i n $.  $d M j k x y z $.
    $d M j n $.  $d Q j $.  $d S e i $.  $d T j k p x $.  $d e i n ph $.
    $d j k p ph x $.  $d n p ph $.  $d p x y z $.
    etransclem48.q $e |- ( ph -> Q e. ( ( Poly ` ZZ ) \ { 0p } ) ) $.
    etransclem48.qe0 $e |- ( ph -> ( Q ` _e ) = 0 ) $.
    etransclem48.a $e |- A = ( coeff ` Q ) $.
    etransclem48.a0 $e |- ( ph -> ( A ` 0 ) =/= 0 ) $.
    etransclem48.m $e |- M = ( deg ` Q ) $.
    etransclem48.c $e |- C = sum_ j e. ( 0 ... M ) ( ( abs ` ( ( A ` j ) x. (
       _e ^c j ) ) ) x. ( M x. ( M ^ ( M + 1 ) ) ) ) $.
    etransclem48.s $e |- S = ( n e. NN0 |-> ( C x. ( ( ( M ^ ( M + 1 ) ) ^ n )
       / ( ! ` n ) ) ) ) $.
    etransclem48.i $e |- I = inf ( { i e. NN0 | A. n e. ( ZZ>= ` i )
                                  ( abs ` ( S ` n ) ) < 1 } , RR , < ) $.
    etransclem48.t $e |- T = sup ( { ( abs ` ( A ` 0 ) ) , ( ! ` M ) , I } ,
                                   RR* , < ) $.
    $( ` _e ` is transcendental.  Section *5 of [Juillerat] p. 11 can be used
       as a reference for this proof.  In this lemma, a large enough prime
       ` p ` is chosen: it will be used by subsequent lemmas.  (Contributed by
       Glauco Siliprandi, 5-Apr-2020.)  (Revised by AV, 28-Sep-2020.) $)
    etransclem48 $p |- ( ph -> E. k e. ZZ ( k =/= 0 /\ ( abs ` k ) < 1 ) ) $=
      ( vp ve vx vy vz cv clt wbr cprime wrex cc0 wne cabs cfv c1 wa cz cn wcel
      cfa ctp wss cn0 cply wf c0p csn eldifad 0zd syl2anc a1i ffvelrnd eqeltrid
      coef2 syl faccld cuz wral sstri cr c0 nn0uz crp cli cmul co cmpt cexp cvv
      cdiv nfmpt1 nn0ex mptex cfz ceu ccxp csu adantr adantl zcnd mulcld abscld
      cc expcld eqidd wceq simpr eqid fvmpt2 eqeltrd mpan2 nncnd nnne0d oveq12d
      ovex mpbid sylancr cxr nnred zred cle fvex supxrub sylancl breqtrrdi cmin
      divcld cneg 3ad2ant1 3ad2ant2 3adant3 lelttrd fveq2 fvmptd3 nfcv reexpcld
      simprd nffv remulcld 0nn0 zabscl cdgr dgrcl nnzd crab ssrab2 cinf sseqtri
      nn0ssz 1rp caddc nfv nfcxfr fzfid elfznn0 ere recni elfzelz cxpcld nn0cnd
      peano2nn0 fsumcl fvmptd climconst eqeltri expfac climmulf breqtrd clim0cf
      recnd eqtr4d mul01d breq2 rexralbidv rspcva rabn0 sylibr infssuzcl sselid
      tpssi syl3anc csup wor cfn xrltso tpfi tpnzd zssre ressxr sstrdi syl13anc
      fisupcl sseldd 0red nngt0d tpid2 ltletrd elnnz sylanbrc prmunb cprod cioo
      w3a citg cdif simp2 tpid1 simp3 oveq2 prmnn nnm1nn0 eqcomd zsubcld tpid3g
      prmz 1zzd wb zltlem1 eluz2 syl3anbrc raleqdv elrab sylib nfbr 2fveq3 rspc
      breq1d sylc oveq2d ovexd nn0red fsumrecl redivcld 1red absltd etransclem6
      eqbrtrd etransclem47 rexlimdv3a mpd ) AFUBUGZUHUIZUBUJUKZIUGZULUMVUEUNUOU
      PUHUIUQIURUKZAFUSUTZVUDAFURUTULFUHUIVUGAULBUOZUNUOZLVAUOZKVBZURFAVUIURUTZ
      VUJURUTKURUTZVUKURVCAVUHURUTVULAVDURULBADURVEUOZUTZULURUTVDURBVFZADVUNVGV
      HZMVIZAVJZBURDOVOVKZULVDUTAUUAVLVMZVUHUUBVPZAVUJALALDUUCUOZVDQAVUOVVCVDUT
      VURURDUUDVPVNZVQZUUEAJUGZEUOZUNUOZUPUHUIZJGUGZVRUOZVSZGVDUUFZURKVVMVDURVV
      LGVDUUGZUUJVTAKVVMWAUHUUHZVVMTAVVMULVRUOZVCVVMWBUMZVVOVVMUTVVMVDVVPVVNWCU
      UIAVVLGVDUKZVVQAUPWDUTVVHUCUGZUHUIZJVVKVSGVDUKZUCWDVSZVVRUUKAEULWEUIVWBAE
      CULWFWGULWEACULJJVDCWHZJVDLLUPUULWGZWIWGZVVFWIWGZVVFVAUOZWKWGZWHZEULWJVDA
      JUUMJVDCWLJVDVWHWLJEJVDCVWHWFWGZWHZSJVDVWJWLUUNZWCVUSACGVWCULWJVDWCVUSVWC
      WJUTAJVDCWMWNVLACULLWOWGZHUGZBUOZWPVWNWQWGZWFWGZUNUOZLVWEWFWGZWFWGZHWRZXD
      RAVWMVWTHAULLUUOZAVWNVWMUTZUQZVWRVWSVXDVWRVXDVWQVXDVWOVWPVXDVWOVXDVDURVWN
      BAVUPVXCVUTWSVXCVWNVDUTAVWNLUUPWTVMXAVXDWPVWNWPXDUTVXDWPUUQUURVLVXCVWNXDU
      TAVXCVWNVWNULLUUSXAWTUUTXBXCZUVKAVWSXDUTVXCALVWEALVVDUVAZALVWDVXFALVDUTVW
      DVDUTVVDLUVBVPZXEZXBWSXBUVCZVNZAVVJVDUTZUQZJVVJCCVDVWCXDVXLVWCXFVXLVVFVVJ
      XGUQCXFAVXKXHACXDUTZVXKVXJWSUVDUVEEWJUTAEVWKWJSJVDVWJWMWNUVFVLZAVWEXDUTZV
      WIULWEUIVXHVWEJVWIVWIXIZUVGVPAVVFVDUTZUQZVVFVWCUOZCXDVXRVXQVXMVXSCXGAVXQX
      HZAVXMVXQVXJWSZJVDCXDVWCVWCXIXJVKZVYAXKZVXRVVFVWIUOZVWHXDVXQVYDVWHXGZAVXQ
      VWHWJUTVYEVWFVWGWKXPJVDVWHWJVWIVXPXJXLWTZVXRVWFVWGVXRVWEVVFAVXOVXQVXHWSVX
      TXEVXRVWGVXRVVFVXTVQZXMVXRVWGVYGXNYHXKZVXRVVGVWJVXSVYDWFWGZVXQVVGVWJXGZAV
      XQVWJWJUTVYJCVWHWFXPJVDVWJWJESXJXLWTVXRVXSCVYDVWHWFVYBVYFXOUVLZUVHACVXJUV
      MUVIAUCVVGGJEULWJVDVWLWCVUSVXNVXRVVGXFVXRVVGVYIXDVYKVXRVXSVYDVYCVYHXBXKUV
      JXQVWAVVRUCUPWDVVSUPXGVVTVVIGJVDVVKVVSUPVVHUHUVNUVOUVPXRVVLGVDUVQUVRVVMUL
      UVSXRVNZUVTZVUIVUJKURUWAUWBZAFVUKXSUHUWCZVUKUAAXSUHUWDZVUKUWEUTZVUKWBUMVU
      KXSVCZVYOVUKUTVYPAUWFVLVYQAVUIVUJKUWGVLAVUIVUJKURVVBUWHAVUKURXSVYNURWAXSU
      WIUWJVTUWKZXSVUKUHUWMUWLVNUWNZAULVUJFAUWOAVUJVVEXTZAFVYTYAZAVUJVVEUWPAVUJ
      VYOFYBAVYRVUJVUKUTVUJVYOYBUIVYSVUIVUJKLVAYCUWQVUKVUJYDYEUAYFZUWRFUWSUWTFU
      BUXAVPAVUCVUFUBUJAVUBUJUTZVUCUXDZUDBVUBDHIUEWAUEUGZVUBUPYGWGZWIWGUPLWOWGW
      UFUFUGYGWGVUBWIWGUFUXBWFWGWHZVWMVWQUDULVWNUXCWGWPUDUGZYIWQWGWUIWUHUOWFWGU
      XEWFWGHWRZWUGVAUOZWKWGZWUJLAWUDDVUNVUQUXFUTVUCMYJAWUDWPDUOULXGVUCNYJOAWUD
      VUHULUMVUCPYJQAWUDVUCUXGWUEVUIFVUBWUEVUHAWUDVUHXDUTVUCAVUHVVAXAYJXCAWUDFW
      AUTVUCWUBYJZWUDAVUBWAUTVUCWUDVUBVUBUXPZYAYKZAWUDVUIFYBUIVUCAWUDUQZVUIVYOF
      YBWUPVYRVUIVUKUTVUIVYOYBUIAVYRWUDVYSWSVUIVUJKVUHUNYCUXHVUKVUIYDYEUAYFYLAW
      UDVUCUXIZYMWUEVUJFVUBAWUDVUJWAUTVUCWUAYJWUMWUOAWUDVUJFYBUIVUCWUCYJWUQYMWU
      EVXAVWEWUGWIWGZWUKWKWGZWFWGZWUGEUOZUPUHAWUDWUTWVAXGVUCWUPWVAWUTWUPJWUGVWJ
      WUTVDEXDSVVFWUGXGZCVXAVWHWUSWFCVXAXGWVBRVLWVBVWFWURVWGWUKWKVVFWUGVWEWIUXJ
      VVFWUGVAYNXOZXOWUDWUGVDUTZAWUDVUBUSUTWVDVUBUXKVUBUXLVPZWTZWUPVXAWUSAVXAXD
      UTWUDVXIWSWUPWURWUKWUPVWEWUGAVXOWUDVXHWSWVFXEWUDWUKXDUTAWUDWUKWUDWUGWVEVQ
      ZXMWTWUDWUKULUMAWUDWUKWVGXNWTZYHXBYOUXMYLWUEUPYIWVAUHUIZWVAUPUHUIZWUEWVAU
      NUOZUPUHUIZWVIWVJUQWUEWUGKVRUOZUTZVVIJWVMVSZWVLWUEVUMWUGURUTZKWUGYBUIZWVN
      AWUDVUMVUCVYMYJZWUDAWVPVUCWUDVUBUPWUNWUDUXQUXNYKWUEKVUBUHUIZWVQWUEKFVUBWU
      EKWVRYAWUMWUOAWUDKFYBUIVUCAKVYOFYBAVYRKVUKUTZKVYOYBUIVYSAVUMWVTVYMKURVUIV
      UJUXOVPVUKKYDVKUAYFYJWUQYMWUEVUMVUBURUTZWVSWVQUXRWVRWUDAWWAVUCWUNYKKVUBUX
      SVKXQKWUGUXTUYAWUEKVDUTZWVOWUEKVVMUTZWWBWVOUQAWUDWWCVUCVYLYJVVLWVOGKVDVVJ
      KXGVVIJVVKWVMVVJKVRYNUYBUYCUYDYRVVIWVLJWUGWVMJWVKUPUHJWVAUNJUNYPJWUGEVWLJ
      WUGYPYSYSJUHYPJUPYPUYEWVBVVHWVKUPUHVVFWUGUNEUYFUYHUYGUYIWUEWVAUPAWUDWVAWA
      UTVUCWUPWVACWUSWFWGZWAWUPJWUGVWJWWDVDEWJSWVBVWHWUSCWFWVCUYJWVFWUPCWUSWFUY
      KYOWUPCWUSACWAUTWUDACVXAWARAVWMVWTHVXBVXDVWRVWSVXEAVWSWAUTVXCALVWEALVVDUY
      LZALVWDWWEVXGYQZYTWSYTUYMVNWSWUPWURWUKWUPVWEWUGAVWEWAUTWUDWWFWSWVFYQWUDWU
      KWAUTAWUDWUKWVGXTWTWVHUYNYTXKYLWUEUYOUYPXQYRUYRUEUDVUBUFHLUYQWUJXIWULXIUY
      SUYTVUA $.
  $}

  ${
    $d h i l n q $.  $d h k l q $.  $d i j l m n q $.  $d j k l m q $.
    $( ` _e ` is transcendental.  Section *5 of [Juillerat] p. 11 can be used
       as a reference for this proof.  (Contributed by Glauco Siliprandi,
       5-Apr-2020.)  (Proof shortened by AV, 28-Sep-2020.) $)
    etransc $p |- _e e. ( CC \ AA ) $=
      ( vk vq vn vm ceu caa wcel cv cc0 cabs cfv c1 clt wa wn wceq co cmul eqid
      cn0 vl vh vj vi cc cdif wne wbr cz wrex wi 1red cr nn0abscl nn0red adantr
      nnabscl nnge1d lensymd nan mpbir nrex ccoe cply csn ere recni neldif mpan
      ene0 wb elsng ax-mp nemtbir a1i eldifd elaa2 sylib simprd cdgr ccxp caddc
      cfz cexp csu cfa cdiv cmpt cuz wral crab cinf ctp cxr csup c0p simpl 0nn0
      n0p mp3an2 nelsn adantrr simprr simprl fveq2 oveq2 oveq12d fveq2d cbvsumv
      syl oveq1d cbvmptv fveq12d breq1d cbvralvw raleqdv syl5bb cbvrabv infeq1i
      id etransclem48 rexlimiva mt3 ) EUEFUFGZAHZIUGZYEJKZLMUHZNZAUIUJZYIAUIYEU
      IGZYIOUKYKYFNZYHOUKYLLYGYLULYKYGUMGYFYKYGYEUNUOUPYLYGYEUQURUSYKYFYHUTVAVB
      YDOZIBHZVCKZKZIUGZEYNKIPZNZBUIVDKZUJZYJYMEUEGZUUAYMEFIVEZUFGUUBUUANYMEFUU
      CUUBYMEFGEVFVGZEUEFVHVIEUUCGZOYMUUEEIVJUUBUUEEIPVKUUDEIUEVLVMVNVOVPEBVQVR
      VSYSYJBYTYNYTGZYSNYOIYNVTKZWCQZUAHZYOKZEUUIWAQZRQZJKZUUGUUGUUGLWBQWDQZRQZ
      RQZUAWEZYNCTUUQUUNCHZWDQZUURWFKZWGQZRQZWHZYPJKUUGWFKDHZDTUUHUBHZYOKZEUVEW
      AQZRQZJKZUUORQZUBWEZUUNUVDWDQZUVDWFKZWGQZRQZWHZKZJKZLMUHZDUCHZWIKZWJZUCTW
      KZUMMWLZWMWNMWOZUDUAACUWDUUGUUFYQYNYTWPVEZUFGYRUUFYQNZYNYTUWFUUFYQWQUWGYN
      WPUGZYNUWFGOUUFITGYQUWHWRYNIWSWTYNWPXAXJVPXBUUFYQYRXCYOSUUFYQYRXDUUGSUUQS
      UVCSUMUWCUURUVCKZJKZLMUHZCUDHZWIKZWJZUDTWKMUWBUWNUCUDTUWBUWKCUWAWJUVTUWLP
      ZUWNUVSUWKDCUWAUVDUURPZUVRUWJLMUWPUVQUWIJUWPUVDUURUVPUVCUVPUVCPUWPDCTUVOU
      VBUWPUVKUUQUVNUVARUVKUUQPUWPUUHUVJUUPUBUAUVEUUIPZUVIUUMUUORUWQUVHUULJUWQU
      VFUUJUVGUUKRUVEUUIYOXEUVEUUIEWAXFXGXHXKXIVOUWPUVLUUSUVMUUTWGUVDUURUUNWDXF
      UVDUURWFXEXGXGXLVOUWPXTXMXHXNXOUWOUWKCUWAUWMUVTUWLWIXEXPXQXRXSUWESYAYBXJY
      C $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  n-dimensional Euclidean space
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d I f g x $.  $d V f g x $.
    rrxtopn.1 $e |- ( ph -> I e. V ) $.
    $( The topology of the generalized real Euclidean space.  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    rrxtopn $p |- ( ph -> ( TopOpen ` ( RR^ ` I ) ) = ( MetOpen ` ( f e. ( Base
       ` ( RR^ ` I ) ) , g e. ( Base ` ( RR^ ` I ) ) |-> ( sqrt ` ( RRfld gsum
       ( x e. I |-> ( ( ( f ` x ) - ( g ` x ) ) ^ 2 ) ) ) ) ) ) ) $=
      ( cfv ctopn cds cmopn crefld cv co cfrlm wcel wceq eqid syl fveq2d cbs c2
      crrx cmin cexp cmpt cgsu csqrt cmpo ctcph rrxval cvv ovex tcphtopn eqcomd
      ax-mp a1i 3eqtrd rrxds eqtrd ) AEUCHZIHZVAJHZKHZCDVAUAHZVELBEBMZCMHVFDMHU
      DNUBUENUFUGNUHHUIZKHAVBLEONZUJHZIHZVIJHZKHZVDAVAVIIAEFPZVAVIQGVAEFVARZUKS
      ZTVJVLQZAVHULPVPLEOUMVKVIVJULVHVIRVKRVJRUNUPUQAVKVCKAVIVAJAVAVIVOUOTTURAV
      CVGKAVGVCAVMVGVCQGBVECDVAEFVNVERUSSUOTUT $.
  $}

  $( Generalized Euclidean real spaces are normed groups.  (Contributed by
     Glauco Siliprandi, 24-Dec-2020.) $)
  rrxngp $p |- ( I e. V -> ( RR^ ` I ) e. NrmGrp ) $=
    ( wcel crrx cfv ccph cngp cbs eqid rrxcph cphngp syl ) ABCADEZFCMGCMHEZMABM
    INIJMKL $.

  $( Generalized Euclidean real spaces are topological spaces.  (Contributed by
     Glauco Siliprandi, 24-Dec-2020.) $)
  rrxtps $p |- ( I e. V -> ( RR^ ` I ) e. TopSp ) $=
    ( wcel crrx cfv cngp ctps rrxngp ngptps syl ) ABCADEZFCKGCABHKIJ $.

  ${
    $d I f g k x $.  $d f g k ph x $.
    rrxtopnfi.1 $e |- ( ph -> I e. Fin ) $.
    $( The topology of the n-dimensional real Euclidean space.  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    rrxtopnfi $p |- ( ph -> ( TopOpen ` ( RR^ ` I ) ) = ( MetOpen ` ( f e. ( RR
       ^m I ) , g e. ( RR ^m I ) |-> ( sqrt ` sum_ k e. I ( ( ( f ` k ) - ( g `
       k ) ) ^ 2 ) ) ) ) ) $=
      ( vx cfv cv cmin co c2 cexp cr wceq wcel wa wf ffvelrnda cc crrx cbs cmpt
      ctopn crefld cgsu csqrt cmpo cmopn cmap csu rrxtopn eqid rrxbasefi adantr
      cfn simpl simprl simpr eleqtrd syldan simprr w3a cc0 cfsupp elmapi adantl
      csupp wbr resubcld resqcld fmptd 3adant1 3ad2ant1 0red fidmfisupp syl3anc
      regsumsupp wss ax-resscn a1i 3ad2ant2 3ad2ant3 subcld sqcld fsumsupp0 cvv
      fssd eqidd fveq2 oveq12d oveq1d fvmptd sumeq2dv 3eqtrd fveq2d mpoeq123dva
      ovexd eqtrd ) AEUAHZUDHBCWTUBHZXAUEGEGIZBIZHZXBCIZHZJKZLMKZUCZUFKZUGHZUHZ
      UIHBCNEUJKZXMEDIZXCHZXNXEHZJKZLMKZDUKZUGHZUHZUIHAGBCEUPFULAXLYAUIABCXAXAX
      KXMXMXTAXAWTEFWTUMXAUMUNZAXAXMOZXCXAPZYBUOZAYDXEXAPZQZQAXCXMPZXEXMPZXKXTO
      AYGUQAYGYDYHAYDYFURAYDQXCXAXMAYDUSYEUTVAAYGYFYIAYDYFVBAYFQXEXAXMAYFUSAYCY
      FYBUOUTVAAYHYIVCZXJXSUGYJXJXIVDVHKXNXIHZDUKZEYKDUKXSYJENXIRZXIVDVEVIEUPPZ
      XJYLOYHYIYMAYHYIQZGEXHNXIYOXBEPZQZXGYQXDXFYOENXBXCYHENXCRYIXCNEVFZUOSYOEN
      XBXEYIENXERYHXENEVFZVGSVJVKXIUMZVLVMZYJENXINVDUUAAYHYNYIFVNZYJVOVPUUBDXIE
      UPVRVQYJEDXIUUBYJGEXHTXIYJYPQZXGUUCXDXFYJETXBXCYHAETXCRYIYHENTXCYRNTVSZYH
      VTWAWHWBSYJETXBXEYIAETXERYHYIENTXEYSUUDYIVTWAWHWCSWDWEYTVLWFYJEYKXRDYJXNE
      PZQZGXNXHXREXIWGUUFXIWIXBXNOZXHXROUUFUUGXGXQLMUUGXDXOXFXPJXBXNXCWJXBXNXEW
      JWKWLVGYJUUEUSUUFXQLMWRWMWNWOWPVQWQWPWS $.
  $}

  ${
    rrxtopon.1 $e |- J = ( TopOpen ` ( RR^ ` I ) ) $.
    $( The topology on generalized Euclidean real spaces.  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    rrxtopon $p |- ( I e. V -> J e. ( TopOn ` ( Base ` ( RR^ ` I ) ) ) ) $=
      ( wcel crrx cfv ctps cbs ctopon rrxtps eqid istps sylib ) ACEAFGZHEBOIGZJ
      GEACKPBOPLDMN $.
  $}

  ${
    rrxtop.1 $e |- J = ( TopOpen ` ( RR^ ` I ) ) $.
    $( The topology on generalized Euclidean real spaces.  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    rrxtop $p |- ( I e. V -> J e. Top ) $=
      ( wcel crrx cfv ctps ctop rrxtps tpstop syl ) ACEAFGZHEBIEACJBMDKL $.
  $}

  ${
    $d E i $.  $d I f g i $.  $d X f g i $.  $d Y f g i $.  $d f g i ph $.
    rrndistlt.i $e |- ( ph -> I e. Fin ) $.
    rrndistlt.z $e |- ( ph -> I =/= (/) ) $.
    rrndistlt.n $e |- N = ( # ` I ) $.
    rrndistlt.x $e |- ( ph -> X e. ( RR ^m I ) ) $.
    rrndistlt.y $e |- ( ph -> Y e. ( RR ^m I ) ) $.
    rrndistlt.l $e |- ( ( ph /\ i e. I ) -> ( abs ` ( ( X ` i ) - ( Y ` i ) ) )
       < E ) $.
    rrndistlt.e $e |- ( ph -> E e. RR+ ) $.
    rrndistlt.d $e |- D = ( dist ` ( RR^ ` I ) ) $.
    $( Given two points in the space of n-dimensional real numbers, if every
       component is closer than ` E ` then the distance between the two points
       is less then ` ( ( sqrt `` n ) x. E ) ` .  (Contributed by Glauco
       Siliprandi, 24-Dec-2020.) $)
    rrndistlt $p |- ( ph -> ( X D Y ) < ( ( sqrt ` N ) x. E ) ) $=
      ( co cfv cr wceq vf vg csqrt cmul clt wbr cv cmin c2 cexp cabs wcel wa cc
      csu cmap wf elmapi syl wss ax-resscn fssd ffvelrnda subcld abscld resqcld
      a1i rpred adantr cc0 cle absge0d crp rpge0d lt2sq syl22anc mpbid resubcld
      wb fsumlt absresq eqcomd sumeq2dv chash cfn sselid fsumconst syl2anc mpbi
      oveq1i eqtr2d breq12d mpbird nfv fsumreclf sqge0d fsumge0 hashcl eqeltrid
      eqcom cn0 nn0red remulcld nn0ge0d mulge0d sqrtltd crrx cmpo rrxdsfi eqtrd
      cds fveq1 adantl oveq12d oveq1d sumeq2sdv fveq2d resqrtcld ovmpod sqrtmul
      eqid sqrtsqd oveq2d ) AGHBQZFUCRZDUDQZUEUFECUGZGRZYGHRZUHQZUIUJQZCUOZUCRZ
      FDUIUJQZUDQZUCRZUEUFZAYLYOUEUFZYQAYREYJUKRZUIUJQZCUOZEYNCUOZUEUFAEYTYNCIJ
      AYGEULZUMZYSUUDYJUUDYHYIAEUNYGGAESUNGAGSEUPQZULESGUQLGSEURUSZSUNUTAVAVGZV
      BVCAEUNYGHAESUNHAHUUEULESHUQMHSEURUSZUUGVBVCVDZVEZVFAYNSULZUUCADADOVHZVFZ
      VIUUDYSDUEUFZYTYNUEUFZNUUDYSSULVJYSVKUFDSULZVJDVKUFUUNUUOVSUUJUUDYJUUIVLA
      UUPUUCUULVIUUDDADVMULUUCOVIVNYSDVOVPVQVTAYLUUAYOUUBUEAEYKYTCUUDYTYKUUDYJS
      ULYTYKTUUDYHYIAESYGGUUFVCAESYGHUUHVCVRZYJWAUSWBWCAUUBEWDRZYNUDQZYOAEWEULZ
      YNUNULUUBUUSTIASUNYNVAUUMWFEYNCWGWHUUSYOTAUURFYNUDFUURTUURFTKFUURWTWIWJVG
      WKWLWMAYLYOAEYKCACWNIUUDYJUUQVFZWOZAEYKCIUVAUUDYJUUQWPWQZAFYNAFAFUURXAKAU
      UTUURXAULIEWRUSWSZXBZUUMXCAFYNUVEUUMAFUVDXDZADUULWPZXEXFVQAYDYMYFYPUEAUAU
      BGHUUEUUEEYGUAUGZRZYGUBUGZRZUHQZUIUJQZCUOZUCRZYMBSABEXGRZXKRZUAUBUUEUUEUV
      OXHZBUVQTAPVGAUUTUVQUVRTIUUEUAUBCUVPEUVPYAUUEYAXIUSXJUVHGTZUVJHTZUMZUVOYM
      TAUWAUVNYLUCUWAEUVMYKCUWAUVLYJUIUJUWAUVIYHUVKYIUHUVSUVIYHTUVTYGUVHGXLVIUV
      TUVKYITUVSYGUVJHXLXMXNXOXPXQXMLMAYLUVBUVCXRXSAYPYEYNUCRZUDQZYFAFSULVJFVKU
      FUUKVJYNVKUFYPUWCTUVEUVFUUMUVGFYNXTVPAUWBDYEUDADUULADOVNYBYCWKWLWM $.
  $}

  ${
    rrxtopfi.1 $e |- J = ( TopOpen ` ( RR^ ` I ) ) $.
    $( The topology on n-dimensional Euclidean real spaces.  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    rrxtoponfi $p |- ( I e. Fin -> J e. ( TopOn ` ( RR ^m I ) ) ) $=
      ( cfn wcel crrx cfv cbs ctopon cr cmap co rrxtopon eqid rrxbasefi eleqtrd
      id fveq2d ) ADEZBAFGZHGZIGJAKLZIGABDCMSUAUBISUATASQTNUANORP $.
  $}

  $( The base set of the standard topology on the space of n-dimensional Real
     numbers.  (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
  rrxunitopnfi $p |- ( X e. Fin -> U. ( TopOpen ` ( RR^ ` X ) ) = ( RR ^m X ) )
                   $=
    ( cfn wcel cr cmap co crrx cfv ctopn cuni eqidd ctopon wceq eqid rrxtoponfi
    toponuni syl eqtr2d ) ABCZDAEFZTAGHIHZJZSTKSUATLHCTUBMAUAUANOTUAPQR $.

  $( The topology of the zero-dimensional real Euclidean space.  (Contributed
     by Glauco Siliprandi, 24-Dec-2020.) $)
  rrxtopn0 $p |- ( TopOpen ` ( RR^ ` (/) ) ) = ~P { (/) } $=
    ( c0 crrx cfv ctopn csn ctopon wcel cpw wceq cr cmap co cfn 0fin rrxtoponfi
    eqid ax-mp cvv reex mapdm0 fveq2i eleqtri topsn ) ABCDCZAEZFCZGUDUEHIUDJAKL
    ZFCZUFAMGUDUHGNAUDUDPOQUGUEFJRGUGUEISJRTQUAUBAUDUCQ $.

  ${
    $d E i k y $.  $d E k q $.  $d I i k y $.  $d I k q $.  $d X i k y $.
    $d X k q $.  $d i k ph y $.  $d ph q $.
    qndenserrnbllem.i $e |- ( ph -> I e. Fin ) $.
    qndenserrnbllem.n $e |- ( ph -> I =/= (/) ) $.
    qndenserrnbllem.x $e |- ( ph -> X e. ( RR ^m I ) ) $.
    qndenserrnbllem.d $e |- D = ( dist ` ( RR^ ` I ) ) $.
    qndenserrnbllem.e $e |- ( ph -> E e. RR+ ) $.
    $( n-dimensional rational numbers are dense in the space of n-dimensional
       real numbers, with respect to the n-dimensional standard topology.
       (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    qndenserrnbllem $p |- ( ph -> E. y e. ( QQ ^m I ) y e. ( X ( ball ` D ) E )
       ) $=
      ( cq co wcel cfv wa clt wbr cr adantr vk vq vi cv cmap cbl wex wrex chash
      wfn csqrt cdiv caddc cioo cin wral cvv wss inss1 qex ssexg a1i c0 wne cxr
      mp2an wf elmapi syl simpr ffvelrnd rexrd rpred cn ne0i adantl wb hashnncl
      cfn mpbird nnred cc0 nngt0d ltled resqrtcld elrpd sqrtgt0d gtned redivcld
      0red readdcld crp rpdivcld ltaddrpd qbtwnxr syl3anc df-rex sylib ad2antrl
      simprl qre simprrl simprrr eliood elind ex eximdv mpd n0 choicefi ralimdv
      sylibr sseld imdistani ffnfv syl2anc reex ssriv mapss cmul eqid cmin cabs
      elmapg sseldd simpll wceq fveq2 oveq1d oveq12d ineq2d eleq12d biimpi rspa
      cbvralvw 3adant2 recnd breqtrd rpcnd jca adantll ffvelrnda simp2 elioored
      elinel2 w3a cle sqrtgt0 ioogtlb iooltub ltsub1dd 3ad2ant1 pncan2d eqbrtrd
      abssuble0d cc adantlrl rpsqrtcld rrndistlt rpne0d divcan2d cxmet rrxmetfi
      sqrtcld cmet metxmet elbl ) ABUDZLEUEMZNZUVHFDCUFOMNZPZBUGZUVKBUVIUHAUVHE
      UJZUAUDZUVHOZLUVOFOZUVQDEUIOZUKOZULMZUMMZUNMZUOZNZUAEUPZPZBUGUVMAUAEUWCBU
      QGUWCUQNZAUVOENZPZUWCLURZLUQNZUWGLUWBUSZUTUWCLUQVAVFVBUWIUBUDZUWCNZUBUGZU
      WCVCVDUWIUWMLNZUVQUWMQRZUWMUWAQRZPZPZUBUGZUWOUWIUWSUBLUHZUXAUWIUVQVENZUWA
      VENZUVQUWAQRUXBUWIUVQUWIESUVOFAESFVGZUWHAFSEUEMZNZUXEIFSEVHVIZTAUWHVJVKZV
      LZUWIUWAUWIUVQUVTUXIUWIDUVSADSNZUWHADKVMZTUWIUVRUWIUVRUWIUVRVNNZEVCVDZUWH
      UXNAEUVOVOVPAUXMUXNVQZUWHAEVSNZUXOGEVRVIZTVTZWAZUWIWBUVRUWIWJZUXSUWIUVRUX
      RWCZWDWEZUWIWBUVSUXTUWIUVRUWIUVRUXSUYAWFWGZWHWIWKVLZUWIUVQUVTUXIUWIDUVSAD
      WLNZUWHKTUWIUVSUYBUYCWFWMWNUBUVQUWAWOWPUWSUBLWQWRUWIUWTUWNUBUWIUWTUWNUWIU
      WTPZLUWBUWMUWIUWPUWSWTUYFUVQUWAUWMUWIUXCUWTUXJTUWIUXDUWTUYDTUWPUWMSNUWIUW
      SUWMXAZWSUWIUWPUWQUWRXBUWIUWPUWQUWRXCXDXEXFXGXHUBUWCXIXLXJAUWFUVLBAUWFUVL
      AUWFPZUVJUVKUYHUVJELUVHVGZUWFUYIAUWFUVNUVPLNZUAEUPZPUYIUVNUWEUYKUVNUWDUYJ
      UAEUVNUWCLUVPUWJUVNUWLVBXMXKXNUAELUVHXOXLVPAUVJUYIVQZUWFAUWKUXPUYLUWKAUTV
      BGLEUVHUQVSYDXPTVTZUYHUVKUVHUXFNZFUVHCMZDQRZPZUYHUYNUYPUYHUVIUXFUVHUVIUXF
      URZUYHSUQNLSURUYRXQUBLSUYGXRLSEUQXSVFVBUYMYEZUYHUYOUVSUVTXTMDQUYHCUCUVTEU
      VRFUVHAUXPUWFGTAUXNUWFHTUVRYAAUXGUWFITUYSAUWEUCUDZENZUYTFOZUYTUVHOZYBMYCO
      ZUVTQRZUVNAUWEPZVUAPZAVUCVUBVUBUVTUMMZUNMZNZVUAVUEAUWEVUAYFVUGVUCLVUIUOZN
      ZVUJUWEVUAVULAUWEVUAPVULUCEUPZVUAVULUWEVUMVUAUWEVUMUWDVULUAUCEUVOUYTYGZUV
      PVUCUWCVUKUVOUYTUVHYHVUNUWBVUILVUNUVQVUBUWAVUHUNUVOUYTFYHZVUNUVQVUBUVTUMV
      UOYIYJYKYLYOYMTUWEVUAVJVULUCEYNXPUUAVUCLVUIUUEVIVUFVUAVJAVUJVUAUUFZVUDVUC
      VUBYBMZUVTQVUPVUBVUCAVUAVUBSNVUJAESUYTFUXHUUBZYPZVUPVUCVUBVUHAVUJVUAUUCZU
      UDZVUPVUBVUCVUSVVAVUPVUBVENZVUHVENZVUJVUBVUCQRVUPVUBVUSVLZAVUAVVCVUJAVUAP
      ZVUHVVEVUBUVTVURVVEDUVSAUXKVUAUXLTVVEUVRAUVRSNZVUAAUVRAUXMUXNHUXQVTZWAZTA
      WBUVRUUGRVUAAWBUVRAWJZVVHAUVRVVGWCZWDZTWEAUVSWBVDVUAAWBUVSVVIAVVFWBUVRQRW
      BUVSQRVVHVVJUVRUUHXPWHZTWIWKZVLYPZVUTVUBVUHVUCUUIWPWDUUOVUPVUQVUHVUBYBMUV
      TQVUPVUCVUHVUBVVAAVUAVUHSNVUJVVMYPVUSVUPVVBVVCVUJVUCVUHQRVVDVVNVUTVUBVUHV
      UCUUJWPUUKVUPVUBUVTVUPVUBVUSYQAVUJUVTUUPNVUAAUVTADUVSUXLAUVRVVHVVKWEVVLWI
      YQUULUUMYRUUNWPUUQUYHDUVSAUYEUWFKTZUYHUVRAUVRWLNUWFAUVRVVHVVJWFTZUURZWMJU
      USUYHDUVSUYHDVVOYSUYHUVRUYHUVRVVPYSUVDUYHUVSVVQUUTUVAYRYTAUVKUYQVQZUWFACU
      XFUVBONZUXGDVENVVRACUXFUVEONZVVSAUXPVVTGCEJUVCVICUXFUVFVIIADUXLVLUVHCFDUX
      FUVGWPTVTYTXFXGXHUVKBUVIWQXL $.
  $}

  ${
    $d D y $.  $d E y $.  $d I y $.  $d X y $.  $d ph y $.
    qndenserrnbl.i $e |- ( ph -> I e. Fin ) $.
    qndenserrnbl.x $e |- ( ph -> X e. ( RR ^m I ) ) $.
    qndenserrnbl.d $e |- D = ( dist ` ( RR^ ` I ) ) $.
    qndenserrnbl.e $e |- ( ph -> E e. RR+ ) $.
    $( n-dimensional rational numbers are dense in the space of n-dimensional
       real numbers, with respect to the n-dimensional standard topology.
       (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    qndenserrnbl $p |- ( ph -> E. y e. ( QQ ^m I ) y e. ( X ( ball ` D ) E ) )
                    $=
      ( c0 wceq cfv co wcel cq cmap cvv cr adantr cv cbl wrex wa csn snid oveq2
      0ex a1i qex mapdm0 ax-mp eqtr2d adantl eleqtrd cxmet cxr cc0 clt wbr cmet
      cfn rrxmetfi syl metxmet eqtrd wb elsng mpbid eqcomd eqeltrd rpxrd rpgt0d
      reex xblcntr syl3anc oveq1d eleq1 rspcev syl2anc wn neqne qndenserrnbllem
      jca wne crp pm2.61dan ) AEKLZBUAZFDCUBMZNZOZBPEQNZUCZAWHUDZKWMOKWKOZWNWOK
      KUEZWMKWQOWOKUHUFUIWHWQWMLAWHWMPKQNZWQEKPQUGWRWQLZWHPROWSUJPRUKULUIUMUNUO
      WOKKDWJNZWKWOCSEQNZUPMOZKXAODUQOZURDUSUTZUDZKWTOAXBWHACXAVAMOZXBAEVBOZXFG
      CEIVCVDCXAVEVDTWOKFXAWOFKWOFWQOZFKLZWOFXAWQAFXAOZWHHTZWHXAWQLAWHXASKQNZWQ
      EKSQUGXLWQLZWHSROXMVNSRUKULUIVFUNUOAXHXIVGZWHAXJXNHFKXAVHVDTVIVJZXKVKAXEW
      HAXCXDADJVLADJVMWDTCKDXAVOVPWOKFDWJXOVQUOWLWPBKWMWIKWKVRVSVTAWHWAZUDBCDEF
      AXGXPGTXPEKWEAEKWBUNAXJXPHTIADWFOXPJTWCWG $.
  $}

  $( The topology of the zero-dimensional real Euclidean space.  (Contributed
     by Glauco Siliprandi, 24-Dec-2020.) $)
  rrxtopn0b $p |- ( TopOpen ` ( RR^ ` (/) ) ) = { (/) , { (/) } } $=
    ( c0 crrx cfv ctopn csn cpw cpr rrxtopn0 pwsn eqtri ) ABCDCAEZFAKGHAIJ $.

  ${
    $d D e y $.  $d I e y $.  $d I f g k $.  $d V e y $.  $d X e y $.
    $d e ph y $.  $d f g k ph $.
    qndenserrnopnlem.i $e |- ( ph -> I e. Fin ) $.
    qndenserrnopnlem.j $e |- J = ( TopOpen ` ( RR^ ` I ) ) $.
    qndenserrnopnlem.v $e |- ( ph -> V e. J ) $.
    qndenserrnopnlem.x $e |- ( ph -> X e. V ) $.
    qndenserrnopnlem.d $e |- D = ( dist ` ( RR^ ` I ) ) $.
    $( n-dimensional rational numbers are dense in the space of n-dimensional
       real numbers, with respect to the n-dimensional standard topology.
       (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    qndenserrnopnlem $p |- ( ph -> E. y e. ( QQ ^m I ) y e. V ) $=
      ( ve vf vg vk cv cfv co wcel cbl wss crp wrex cq cmap cr cxmet cmopn cmet
      cfn rrxmetfi syl metxmet crrx ctopn eleqtrdi cmin c2 cexp csqrt rrxtopnfi
      csu cmpo cds wceq eqid rrxdsfi eqtr2d fveq2d eqtrd eleqtrd mopni2 syl3anc
      a1i w3a 3ad2ant1 ctopon ctps rrxtps istps sylib rrxbasefi toponss syl2anc
      cbs sseldd simp2 qndenserrnbl ssel adantr 3ad2antl3 reximdva mpd rexlimdv
      wi 3exp ) AGMQZCUARSZFUBZMUCUDZBQZFTZBUEDUFSZUDZACUGDUFSZUHRTZFCUIRZTGFTX
      AACXFUJRTZXGADUKTZXIHCDLULUMCXFUNUMAFDUORZUPRZXHAFEXLJIUQAXLNOXFXFDPQZNQR
      XMOQRURSUSUTSPVCVARVDZUIRXHANOPDHVBAXNCUIACXKVERZXNCXOVFALVOAXJXOXNVFHXFN
      OPXKDXKVGZXFVGVHUMVIVJVKVLKMFCGXHXFXHVGVMVNAWTXEMUCAWRUCTZWTXEAXQWTVPZXBW
      STZBXDUDXEXRBCWRDGAXQXJWTHVQAXQGXFTWTAFXFGAEXFVRRZTFETFXFUBAEXKWFRZVRRZXT
      AXKVSTZEYBTAXJYCHDUKVTUMYAEXKYAVGZIWAWBAYAXFVRAYAXKDHXPYDWCVJVLJFEXFWDWEK
      WGVQLAXQWTWHWIXRXSXCBXDWTAXBXDTZXSXCWPZXQWTYFYEWSFXBWJWKWLWMWNWQWOWN $.
  $}

  ${
    $d I x y $.  $d V x y $.  $d ph x y $.
    qndenserrnopn.i $e |- ( ph -> I e. Fin ) $.
    qndenserrnopn.j $e |- J = ( TopOpen ` ( RR^ ` I ) ) $.
    qndenserrnopn.v $e |- ( ph -> V e. J ) $.
    qndenserrnopn.n $e |- ( ph -> V =/= (/) ) $.
    $( n-dimensional rational numbers are dense in the space of n-dimensional
       real numbers, with respect to the n-dimensional standard topology.
       (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    qndenserrnopn $p |- ( ph -> E. y e. ( QQ ^m I ) y e. V ) $=
      ( vx cv wcel wex cq cmap co wrex c0 cfv adantr wne n0 sylib wa crrx simpr
      cds cfn eqid qndenserrnopnlem ex exlimdv mpd ) AJKZELZJMZBKELBNCOPQZAERUA
      UPIJEUBUCAUOUQJAUOUQAUOUDBCUESUGSZCDEUNACUHLUOFTGAEDLUOHTAUOUFURUIUJUKULU
      M $.
  $}

  ${
    $d I v x y $.  $d J v x y $.  $d ph v x y $.
    qndenserrn.i $e |- ( ph -> I e. Fin ) $.
    qndenserrn.j $e |- J = ( TopOpen ` ( RR^ ` I ) ) $.
    $( n-dimensional rational numbers are dense in the space of n-dimensional
       real numbers, with respect to the n-dimensional standard topology.
       (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    qndenserrn $p |- ( ph -> ( ( cls ` J ) ` ( QQ ^m I ) ) = ( RR ^m I ) ) $=
      ( vx vv vy cq cfv cr wcel wss cfn a1i eqid wceq cv wa adantr cmap co cuni
      ccl ctop rrxtop syl cvv reex qssre mapss mp2an cbs ctopn rrxbasefi eqcomd
      crrx ctps rrxtps tpsuni 3syl unieqi eqcomi 3eqtrd sseqtrd syl2anc cin wne
      clsss3 c0 wi wral wrex ad2antrr id eleqtrdi ad2antlr adantl qndenserrnopn
      wex ne0i df-rex sylib simpr simpl elind eximdv mpd n0 sylibr ex ralrimiva
      adantlr wb eleqtrd elcls syl3anc mpbird eqelssd ) AFIBUAUBZCUDJJZKBUAUBZA
      XACUCZXBACUELZWTXCMZXAXCMABNLZXDDBCNEUFUGZAWTXBXCWTXBMZAKUHLIKMXHUIUJIKBU
      HUKULOAXBBUQJZUMJZXIUNJZUCZXCAXJXBAXJXIBDXIPXJPZUOUPAXFXIURLXJXLQDBNUSXJX
      KXIXMXKPZUTVAXLXCQAXCXLCXKEVBVCOVDZVEZWTCXCXCPZVIVFAXBXCXOUPVEAFRZXBLZSZX
      RXALZXRGRZLZYBWTVGZVJVHZVKZGCVLZXTYFGCAYBCLZYFXSAYHSZYCYEYIYCSZHRZYDLZHVT
      ZYEYJYKWTLZYKYBLZSZHVTZYMYJYOHWTVMYQYJHBXKYBAXFYHYCDVNXNYHYBXKLAYCYHYBCXK
      YHVOEVPVQYCYBVJVHYIYBXRWAVRVSYOHWTWBWCYJYPYLHYPYLVKYJYPYBWTYKYNYOWDYNYOWE
      WFOWGWHHYDWIWJWKWMWLXTXDXEXRXCLYAYGWNAXDXSXGTAXEXSXPTXTXRXBXCAXSWDAXBXCQX
      SXOTWOGXRWTCXCXQWPWQWRWS $.
  $}

  ${
    $d A f j k $.  $d X f j k $.  $d f j k ph $.
    rrxsnicc.1 $e |- ( ph -> A e. ( RR ^m X ) ) $.
    $( A multidimensional singleton expressed as a multidimensional closed
       interval.  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    rrxsnicc $p |- ( ph -> X_ k e. X ( ( A ` k ) [,] ( A ` k ) ) = { A } ) $=
      ( vf vj cv cfv cicc co cixp wcel wa wceq wfn cr syl biimpi ffvelrnda cmap
      csn ixpfn adantl elmapfn adantr simpll fveq2 oveq12d cbvixpv eleq2i simpr
      ad2antlr wf elmapi adantlr iccssred fvixp2 adantll sseldd cxr cle iccleub
      rexrd wbr syl3anc iccgelb xrletrid syl21anc eqfnfvd velsn bicomi ssd wral
      wss cvv elexd leidd eliccd ralrimiva 3jca elixp2 sylibr snssg mpbid eqssd
      w3a wb ) ACDCHZBIZWJJKZLZBUBZAFWLWMAFHZWLMZNZWNBOZWNWMMZWPGDWNBWOWNDPACDW
      KWNUCUDABDPZWOABQDUAKZMZWSEBQDUERZUFWPGHZDMZNAWNGDXCBIZXEJKZLZMZXDXCWNIZX
      EOAWOXDUGWOXHAXDWOXHWLXGWNCGDWKXFWIXCOWJXEWJXEJWIXCBUHZXJUIUJUKSUMWPXDULA
      XHNXDNZXIXEXKXIXKXFQXIXKXEXEAXDXEQMXHADQXCBAXADQBUNEBQDUORZTUPZXMUQXHXDXI
      XFMZAGDXFWNURUSZUTVDXKXEXMVDZXKXEVAMZXQXNXIXEVBVEXPXPXOXEXEXIVCVFXKXQXQXN
      XEXIVBVEXPXPXOXEXEXIVGVFVHVIVJWQWRWRWQFBVKVLSRVMABWLMZWMWLVOZABVPMZWSWJWK
      MZCDVNZWGXRAXTWSYBABWTEVQXBAYACDAWIDMNZWJWJWJADQWIBXLTZYDYDYCWJYDVRZYEVSV
      TWACDWKBWBWCAXAXRXSWHEBWLWTWDRWEWF $.
  $}

  ${
    $d F h $.  $d G h $.  $d X h $.
    rrnprjdstle.x $e |- ( ph -> X e. Fin ) $.
    rrnprjdstle.f $e |- ( ph -> F : X --> RR ) $.
    rrnprjdstle.g $e |- ( ph -> G : X --> RR ) $.
    rrnprjdstle.i $e |- ( ph -> I e. X ) $.
    rrnprjdstle.d $e |- D = ( dist ` ( RR^ ` X ) ) $.
    $( The distance between two points in Euclidean space is greater than the
       distance between the projections onto one coordinate.  (Contributed by
       Glauco Siliprandi, 8-Apr-2021.) $)
    rrnprjdstle $p |- ( ph -> ( abs ` ( ( F ` I ) - ( G ` I ) ) ) <_ ( F D G )
       ) $=
      ( vh cfv cmin co cr wcel eqid cfn cvv cabs ccom cxp cres cle wceq syl2anc
      ffvelrnd remetdval eqcomd cc0 cfsupp wbr cmap crab reex a1i elmapd mpbird
      crrx cbs rrxbasefi rrxbase syl eqtr3d eleqtrd rrxdstprj1 syl22anc eqbrtrd
      cv wf ) AECMZEDMZNOUAMZVLVMUANUBPPUCUDZOZCDBOZUEAVPVNAVLPQVMPQVPVNUFAFPEC
      HJUHAFPEDIJUHVLVMVOVORZUIUGUJAFSQZEFQCLVJUKULUMLPFUNOZUOZQDWAQVPVQUEUMGJA
      CVTWAACVTQFPCVKHAPFCTSPTQAUPUQZGURUSAFUTMZVAMZVTWAAWDWCFGWCRZWDRZVBAVSWDW
      AUFGWDLWCFSWEWFVCVDVEZVFADVTWAADVTQFPDVKIAPFDTSWBGURUSWGVFEBLCDFVOSWAWARK
      VRVGVHVI $.
  $}

  ${
    $d X f g k $.
    rrndsmet.1 $e |- ( ph -> X e. Fin ) $.
    rrndsmet.2 $e |- D = ( f e. ( RR ^m X ) , g e. ( RR ^m X ) |-> ( sqrt `
       sum_ k e. X ( ( ( f ` k ) - ( g ` k ) ) ^ 2 ) ) ) $.
    $( ` D ` is a metric for the n-dimensional real Euclidean space.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    rrndsmet $p |- ( ph -> D e. ( Met ` ( RR ^m X ) ) ) $=
      ( crrx cfv cds cr cmap co cmet cv wceq wcel eqid syl cmin cexp csqrt cmpo
      c2 csu a1i cfn rrxdsfi eqtr4d rrxmetfi eqeltrd ) ABFIJZKJZLFMNZOJZABCDUOU
      OFEPZCPJUQDPJUANUEUBNEUFUCJUDZUNBURQAHUGAFUHRZUNURQGUOCDEUMFUMSUOSUITUJAU
      SUNUPRGUNFUNSUKTUL $.
  $}

  ${
    $d X f g k $.
    rrndsxmet.1 $e |- ( ph -> X e. Fin ) $.
    rrndsxmet.2 $e |- D = ( f e. ( RR ^m X ) , g e. ( RR ^m X ) |-> ( sqrt `
       sum_ k e. X ( ( ( f ` k ) - ( g ` k ) ) ^ 2 ) ) ) $.
    $( ` D ` is an extended metric for the n-dimensional real Euclidean space.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    rrndsxmet $p |- ( ph -> D e. ( *Met ` ( RR ^m X ) ) ) $=
      ( cr cmap co cmet cfv wcel cxmet rrndsmet metxmet syl ) ABIFJKZLMNBSOMNAB
      CDEFGHPBSQR $.
  $}

  ${
    $d A g $.  $d A v $.  $d B g $.  $d B v $.  $d D g i $.  $d E g i $.
    $d F g i $.  $d F i v $.  $d V v $.  $d X f g k $.  $d X g i $.
    $d X i v $.  $d f g k ph $.  $d i ph $.
    ioorrnopnlem.x $e |- ( ph -> X e. Fin ) $.
    ioorrnopnlem.n $e |- ( ph -> X =/= (/) ) $.
    ioorrnopnlem.a $e |- ( ph -> A : X --> RR ) $.
    ioorrnopnlem.b $e |- ( ph -> B : X --> RR ) $.
    ioorrnopnlem.f $e |- ( ph -> F e. X_ i e. X ( ( A ` i ) (,) ( B ` i ) ) )
                     $.
    ioorrnopnlem.h $e |- H = ran ( i e. X |-> if ( ( ( B ` i ) - ( F ` i ) ) <_
       ( ( F ` i ) - ( A ` i ) ) , ( ( B ` i ) - ( F ` i ) ) , ( ( F ` i ) - (
       A ` i ) ) ) ) $.
    ioorrnopnlem.e $e |- E = inf ( H , RR , < ) $.
    ioorrnopnlem.v $e |- V = ( F ( ball ` D ) E ) $.
    ioorrnopnlem.d $e |- D = ( f e. ( RR ^m X ) , g e. ( RR ^m X ) |-> ( sqrt `
       sum_ k e. X ( ( ( f ` k ) - ( g ` k ) ) ^ 2 ) ) ) $.
    $( The a point in an indexed product of open intervals is contained in an
       open ball that is contained in the indexed product of open intervals.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    ioorrnopnlem $p |- ( ph -> E. v e. ( TopOpen ` ( RR^ ` X ) ) ( F e. v /\ v
       C_ X_ i e. X ( ( A ` i ) (,) ( B ` i ) ) ) ) $=
      ( crrx cfv ctopn wcel cv cioo co cixp wss wa wrex cbl cmopn cr cmap cxmet
      cxr rrndsxmet cvv nfv reex a1i ioossre ixpssmapc sseldd crp clt cinf cmin
      cle wbr cif cmpt wceq wral ffvelrnda adantr simpr fvixp2 syl2anc resubcld
      crn cc0 rexrd iooltub syl3anc posdifd mpbid elrpd ioogtlb ifcld ralrimiva
      sselid eqid rnmptss syl eqsstrd wor cfn wne ltso rnmptfi eqeltrid rnmptn0
      c0 eqnetrd rpssre sstrd fiinfcl syl13anc rpxr blopn c2 cexp csu rrxtopnfi
      csqrt cmpo eqcomi fveq2d eqtrd eleq12d mpbird eqcomd 3ad2antl1 wf adantlr
      letrd 3adantl3 ad2antrr cabs recnd leabsd sylibr breqtrd lelttrd jca min2
      cpsmet xmetpsmet blcntrps eleqtrd w3a wfn 3ad2ant2 simpl2 elmapi ffvelrnd
      elmapfn infxrrefi ressxr elexd elrnmpt1 eleqtrrdi infxrlb eqbrtrd adantll
      lesubd cmet rrndsmet simplr metcl abscld ciun ixpf iunss fssd rrnprjdstle
      rrxdsfi oveqd simpl3 ltsub23 caddc readdcld abssubd ltsubadd2d leaddsub2d
      cds wb min1 ltletrd eliood vex elixp ballss3 eleq2 sseq1 anbi12d rspcev )
      AMNUDUEZUFUEZUGZKMUGZMHNHUHZCUEZUWQDUEZUIUJZUKZULZUMZKBUHZUGZUXDUXAULZUMZ
      BUWNUNAUWOKJEUOUEUJZEUPUEZUGZAEUQNURUJZUSUEUGZKUXKUGZJUTUGZUXJAEFGINOUCVA
      ZAUXAUXKKAHNUWTUQVBAHVCZUQVBUGAVDVEUWTUQULZAUWQNUGZUMZUWRUWSVFZVEZVGSVHZA
      JVIUGZUXNAJLUQVJVKZVIUAALVIUYDALHNUWSUWQKUEZVLUJZUYEUWRVLUJZVMVNZUYFUYGVO
      ZVPZWEZVILUYKVQATVEZAUYIVIUGZHNVRUYKVIULAUYMHNUXSUYHUYFUYGVIUXSUYFUXSUWSU
      YEANUQUWQDRVSZUXSUWTUQUYEUXTUXSKUXAUGZUXRUYEUWTUGZAUYOUXRSVTAUXRWAZHNUWTK
      WBWCZWPZWDZUXSUYEUWSVJVNZWFUYFVJVNUXSUWRUTUGZUWSUTUGZUYPVUAUXSUWRANUQUWQC
      QVSZWGZUXSUWSUYNWGZUYRUWRUWSUYEWHWIUXSUYEUWSUYSUYNWJWKWLUXSUYGUXSUYEUWRUY
      SVUDWDZUXSUWRUYEVJVNZWFUYGVJVNUXSVUBVUCUYPVUHVUEVUFUYRUWRUWSUYEWMWIUXSUWR
      UYEVUDUYSWJWKWLWNZWOHNUYIVIUYJUYJWQZWRWSWTZAUQVJXAZLXBUGZLXHXCZLUQULZUYDL
      UGVULAXDVEALUYKXBTANXBUGZUYKXBUGOHUYJNUYIVUJXEWSXFZALUYKXHUYLAHNUYIUYJVIU
      XPVUIVUJPXGXIZALVIUQVUKVIUQULAXJVEXKZUQLVJXLXMVHXFZJXNWSZEKJUXIUXKUXIWQXO
      WIAMUXHUWNUXIMUXHVQAUBVEZAUWNFGUXKUXKNIUHZFUHUEVVCGUHZUEVLUJXPXQUJIXRXTUE
      YAZUPUEUXIAFGINOXSAVVEEUPVVEEVQAEVVEUCYBVEZYCYDYEYFAUWPUXBAKUXHMAEUXKUUBU
      EUGZUXMUYCKUXHUGAUXLVVGUXOEUXKUUCWSZUYBVUTEKJUXKUUDWIAMUXHVVBYGUUEAMUXHUX
      AVVBAGUXAEKJUXKAGVCVVHUYBVVAAVVDUXKUGZKVVDEUJZJVJVNZUUFZVVDNUUGZUWQVVDUEZ
      UWTUGZHNVRZUMVVDUXAUGVVLVVMVVPVVIAVVMVVKVVDUQNUULUUHVVLVVOHNVVLUXRUMZUWRU
      WSVVNAVVIUXRVUBVVKVUEYHAVVIUXRVUCVVKVUFYHVVQVVIUXRVVNUQUGZAVVIVVKUXRUUIVV
      LUXRWAVVIUXRUMNUQUWQVVDVVINUQVVDYIZUXRVVDUQNUUJZVTVVIUXRWAUUKZWCZVVQUWRUY
      EJVLUJZVVNAVVIUXRUWRUQUGVVKVUDYHAVVIUXRVWCUQUGVVKUXSUYEJUYSAJUQUGZUXRAVIU
      QJXJVUTWPVTZWDYHVWBAVVIUXRUWRVWCVMVNVVKUXSJUYEUWRVWEUYSVUDUXSJUYIUYGVWEUX
      SVIUQUYIXJVUIWPZVUGUXSJLUTVJVKZUYIVMAJVWGVQUXRAJUYDVWGJUYDVQAUAVEAVWGUYDA
      VUOVUMVUNVWGUYDVQVUSVUQVURLUUMWIYGYDVTUXSLUTULZUYILUGVWGUYIVMVNAVWHUXRALU
      QUTVUSUQUTULAUUNVEXKVTUXSUYIUYKLUXSUXRUYIVBUGUYIUYKUGUYQUXSUYIVIVUIUUOHNU
      YIUYJVBVUJUUPWCTUUQLUYIUURWCUUSZUXSUYFUQUGZUYGUQUGZUYIUYGVMVNUYTVUGUYFUYG
      UUAWCYKUVAYHVVQUYEVVNVLUJZJVJVNZVWCVVNVJVNZVVQVWLVVJJAVVIUXRVWLUQUGVVKAVV
      IUMZUXRUMZUYEVVNAUXRUYEUQUGZVVIUYSYJZVVIUXRVVRAVWAUUTZWDZYLAVVIUXRVVJUQUG
      ZVVKVWPEUXKUVBUEUGZUXMVVIVXAAVXBVVIUXRAEFGINOUCUVCYMAUXMVVIUXRUYBYMAVVIUX
      RUVDZKVVDEUXKUVEWIZYLZAVVIUXRVWDVVKAUXRVWDVVIVWEYJZYLZAVVIUXRVWLVVJVMVNVV
      KVWPVWLVWLYNUEZVVJVWTVWPVWLVWPVWLVWTYOUVFZVXDVWPVWLVWTYPVWPVXHKVVDUWMUWAU
      EZUJZVVJVMVWPVXJKVVDUWQNAVUPVVIUXROYMANUQKYIVVIUXRANHNUWTUVGZUQKAUYONVXLK
      YISHNUWTKUVHWSAUXQHNVRVXLUQULAUXQHNUYAWOHNUWTUQUVIYQUVJYMVWPVVIVVSVXCVVTW
      SVWOUXRWAVXJWQUVKAVXKVVJVQVVIUXRAVXJEKVVDAVXJVVEEAVUPVXJVVEVQOUXKFGIUWMNU
      WMWQUXKWQUVLWSVVFYDUVMYMYRZYKYLAVVIVVKUXRUVNZYSAVVIUXRVWMVWNUWBZVVKVWPVWQ
      VVRVWDVXOVWRVWSVXFUYEVVNJUVOWIYLWKYSVVQVVNUYEJUVPUJZUWSVWBAVVIUXRVXPUQUGV
      VKUXSUYEJUYSVWEUVQYHAVVIUXRUWSUQUGVVKUYNYHVVQVVNUYEVLUJZJVJVNVVNVXPVJVNVV
      QVXQVVJJAVVIUXRVXQUQUGVVKVWPVVNUYEVWSVWRWDZYLVXEVXGAVVIUXRVXQVVJVMVNVVKVW
      PVXQVXHVVJVXRVXIVXDVWPVXQVXQYNUEVXHVMVWPVXQVXRYPVWPVVNUYEVWPVVNVWSYOVWPUY
      EVWRYOUVRYRVXMYKYLVXNYSVVQVVNUYEJVWBAVVIUXRVWQVVKVWRYLVXGUVSWKAVVIUXRVXPU
      WSVMVNZVVKUXSVXSJUYFVMVNUXSJUYIUYFVWEVWFUYTVWIUXSVWJVWKUYIUYFVMVNUYTVUGUY
      FUYGUWCWCYKUXSUYEJUWSUYSVWEUYNUVTYFYHUWDUWEWOYTHNUWTVVDGUWFUWGYQUWHWTYTUX
      GUXCBMUWNUXDMVQUXEUWPUXFUXBUXDMKUWIUXDMUXAUWJUWKUWLWC $.
  $}

  ${
    $d A f g h j k $.  $d A f h i j k $.  $d A f i j k v $.  $d B f g h j k $.
    $d B f h i j k $.  $d B f i j k v $.  $d X a b g h k $.  $d X f g h j k $.
    $d X a b h i k $.  $d X a b i k v $.  $d f g h k ph $.  $d i k ph $.
    ioorrnopn.x $e |- ( ph -> X e. Fin ) $.
    ioorrnopn.a $e |- ( ph -> A : X --> RR ) $.
    ioorrnopn.b $e |- ( ph -> B : X --> RR ) $.
    $( The indexed product of open intervals is an open set in
       ` ( RR^ `` X ) ` .  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    ioorrnopn $p |- ( ph -> X_ i e. X ( ( A ` i ) (,) ( B ` i ) ) e. ( TopOpen
       ` ( RR^ ` X ) ) ) $=
      ( vj vk c0 wceq cv cfv co wcel fveq2 cr cmin c2 vf vv va vb vg cioo ctopn
      vh cixp crrx csn cpr p0ex prid2 a1i ixpeq1 ixp0x 2fveq3 rrxtopn0b eleq12d
      eqtrd mpbird adantl wne neqne wss wrex wral oveq12d cbvixpv eleq2i biimpi
      wn wa cmap cexp csu csqrt cmpo cle wbr cif cmpt crn clt cinf cbl ad2antrr
      cfn sylan2br simplr wf simpr eqid breq12d ifbieq12d cbvmptv rneqi infeq1i
      oveq1d sumeq2sdv fveq2d oveq2d cbvmpov ioorrnopnlem syldan ralrimiva ctop
      fveq1 wb rrxtop syl adantr eltop2 pm2.61dan ) AEKLZDEDMZBNZXQCNZUFOZUIZEU
      JNUGNZPZXPYCAXPYCKUKZKYDULZPZYFXPKYDUMUNUOXPYAYDYBYEXPYADKXTUIZYDDEKXTUPY
      GYDLXPDXTUQUOVAXPYBKUJNUGNZYEEKUGUJURYHYELXPUSUOVAUTVBVCAXPVMZEKVDZYCYIYJ
      AEKVEVCAYJVNZYCUAMZUBMZPYMYAVFVNUBYBVGZUAYAVHZYKYNUAYAYKYLYAPZYLIEIMZBNZY
      QCNZUFOZUIZPZYNYPUUBYKYPUUBYAUUAYLDIEXTYTXQYQLXRYRXSYSUFXQYQBQXQYQCQVIVJV
      KZVLVCYKUUBVNUBBCUCUDREVOOZUUDEJMZUCMZNZUUEUDMZNZSOZTVPOZJVQZVRNZVSZUEUHD
      JIEYSYQYLNZSOZUUOYRSOZVTWAZUUPUUQWBZWCZWDZRWEWFZYLDEXSXQYLNZSOZUVCXRSOZVT
      WAZUVDUVEWBZWCZWDZYLUVBUUNWGNOZEUUBYKYPEWIPZUUCAUVKYJYPFWHWJUUBYKYPYJUUCA
      YJYPWKWJUUBYKYPERBWLZUUCAUVLYJYPGWHWJUUBYKYPERCWLZUUCAUVMYJYPHWHWJUUBYKYP
      YPUUCYKYPWMWJUVIWNRUVAUVIWEUUTUVHIDEUUSUVGYQXQLZUURUVFUUPUUQUVDUVEUVNUUPU
      VDUUQUVEVTUVNYSXSUUOUVCSYQXQCQYQXQYLQZVIZUVNUUOUVCYRXRSUVOYQXQBQVIZWOUVPU
      VQWPWQWRWSUVJWNUCUDUEUHUUDUUDUUMEUUEUEMZNZUUEUHMZNZSOZTVPOZJVQZVRNEUVSUUI
      SOZTVPOZJVQZVRNUUFUVRLZUULUWGVRUWHEUUKUWFJUWHUUJUWETVPUWHUUGUVSUUISUUEUUF
      UVRXIWTWTXAXBUUHUVTLZUWGUWDVRUWIEUWFUWCJUWIUWEUWBTVPUWIUUIUWAUVSSUUEUUHUV
      TXIXCWTXAXBXDXEXFXGYKYBXHPZYCYOXJAUWJYJAUVKUWJFEYBWIYBWNXKXLXMUAUBYAYBXNX
      LVBXFXO $.
  $}

  ${
    $d A v $.  $d B v $.  $d F i v $.  $d L i $.  $d R i $.  $d V v $.
    $d X i v $.  $d i ph $.
    ioorrnopnxrlem.x $e |- ( ph -> X e. Fin ) $.
    ioorrnopnxrlem.a $e |- ( ph -> A : X --> RR* ) $.
    ioorrnopnxrlem.b $e |- ( ph -> B : X --> RR* ) $.
    ioorrnopnxrlem.f $e |- ( ph -> F e. X_ i e. X ( ( A ` i ) (,) ( B ` i ) ) )
                         $.
    ioorrnopnxrlem.l $e |- L = ( i e. X |-> if ( ( A ` i ) = -oo , ( ( F ` i )
       - 1 ) , ( A ` i ) ) ) $.
    ioorrnopnxrlem.r $e |- R = ( i e. X |-> if ( ( B ` i ) = +oo , ( ( F ` i )
       + 1 ) , ( B ` i ) ) ) $.
    ioorrnopnxrlem.v $e |- V = X_ i e. X ( ( L ` i ) (,) ( R ` i ) ) $.
    $( Given a point ` F ` that belongs to an indexed product of (possibly
       unbounded) open intervals, then ` F ` belongs to an open product of
       bounded open intervals that's a subset of the original indexed product.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    ioorrnopnxrlem $p |- ( ph -> E. v e. ( TopOpen ` ( RR^ ` X ) ) ( F e. v /\
       v C_ X_ i e. X ( ( A ` i ) (,) ( B ` i ) ) ) ) $=
      ( wcel cr adantr crrx cfv ctopn cv cioo co cixp wss wa wrex wceq a1i cmnf
      c1 cmin iftrue adantl simpr fvixp2 syl2anc elioored 1red resubcld eqeltrd
      cif wn iffalse wne neqne cxr ffvelrnda cpnf pnfxr clt wbr ioogtlb syl3anc
      rexrd ltpnfd xrlttrd xrltned xrred syldan pm2.61dan fmptd readdcld mnfltd
      caddc mnfxr iooltub xrgtned ioorrnopn cvv wfn w3a elexd ixpfn syl fvmpt2d
      wral cmpt eqtrd ltm1d eqbrtrd eqcomd breqtrd eliood ralrimiva 3jca elixp2
      ltp1d sylibr eleqtrrdi cle breq12d mpbird xrltled eqled ioossioo syl22anc
      ss2ixp eqsstrd jca eleq2 sseq1 anbi12d rspcev ) AIJUAUBUCUBZRGIRZIFJFUDZC
      UBZYJDUBZUEUFZUGZUHZUIZGBUDZRZYQYNUHZUIZBYHUJAIFJYJHUBZYJEUBZUEUFZUGZYHIU
      UDUKAQULZAHEFJKAFJYKUMUKZYJGUBZUNUOUFZYKVEZSHAYJJRZUIZUUFUUISRUUKUUFUIZUU
      IUUHSUUFUUIUUHUKUUKUUFUUHYKUPUQZUUKUUHSRUUFUUKUUGUNUUKUUGYKYLUUKGYNRZUUJU
      UGYMRZAUUNUUJNTAUUJURFJYMGUSUTZVAZUUKVBZVCTVDZUUKUUFVFZUIZUUIYKSUUTUUIYKU
      KUUKUUFUUHYKVGUQZUUKUUTYKUMVHZYKSRUUTUVCUUKYKUMVIUQUUKUVCUIYKUUKYKVJRZUVC
      AJVJYJCLVKZTUUKUVCURUUKYKVLVHUVCUUKYKVLUVEVLVJRUUKVMULZUUKYKUUGVLUVEUUKUU
      GUUQVRZUVFUUKUVDYLVJRZUUOYKUUGVNVOZUVEAJVJYJDMVKZUUPYKYLUUGVPVQZUUKUUGUUQ
      VSVTWATWBWCZVDWDZOWEZAFJYLVLUKZUUGUNWHUFZYLVEZSEUUKUVOUVQSRUUKUVOUIZUVQUV
      PSUVOUVQUVPUKUUKUVOUVPYLUPUQZUUKUVPSRUVOUUKUUGUNUUQUURWFTZVDUUKUVOVFZUIZU
      VQYLSUWAUVQYLUKUUKUVOUVPYLVGUQZUUKUWAYLVLVHZYLSRUWAUWDUUKYLVLVIUQUUKUWDUI
      YLUUKUVHUWDUVJTUUKYLUMVHUWDUUKUMYLUMVJRUUKWIULZUVJUUKUMUUGYLUWEUVGUVJUUKU
      UGUUQWGUUKUVDUVHUUOUUGYLVNVOZUVEUVJUUPYKYLUUGWJVQZVTWKTUUKUWDURWBWCVDWDZP
      WEZWLVDAYIYOAGUUDIAGWMRZGJWNZUUGUUCRZFJWTZWOGUUDRAUWJUWKUWMAGYNNWPAUUNUWK
      NFJYMGWQWRAUWLFJUUKUUAUUBUUGUUKUUAAJSYJHUVNVKVRZUUKUUBAJSYJEUWIVKZVRZUUQU
      UKUUFUUAUUGVNVOUULUUAUUHUUGVNUULUUAUUIUUHUUKUUAUUIUKZUUFAFJUUIHWMHFJUUIXA
      UKAOULUUKUUISUVMWPWSZTUUMXBZUUKUUHUUGVNVOUUFUUKUUGUUQXCTXDUVAUUAYKUUGVNUV
      AUUAUUIYKUUKUWQUUTUWRTUVBXBZUUKUVIUUTUVKTXDWDUUKUVOUUGUUBVNVOUVRUUGUVPUUB
      VNUUKUUGUVPVNVOUVOUUKUUGUUQXKTUVRUUBUVPUVRUUBUVQUVPUUKUUBUVQUKZUVOAFJUVQE
      WMEFJUVQXAUKAPULUUKUVQSUWHWPWSZTUVSXBZXEXFUWBUUGYLUUBVNUUKUWFUWAUWGTUWBUU
      BYLUWBUUBUVQYLUUKUXAUWAUXBTUWCXBZXEXFWDXGXHXIFJUUCGXJXLQXMAIUUDYNUUEAUUCY
      MUHZFJWTUUDYNUHAUXEFJUUKUVDUVHYKUUAXNVOZUUBYLXNVOZUXEUVEUVJUUKUUFUXFUULYK
      UUAUUKUVDUUFUVETUUKUUAVJRUUFUWNTUULYKUUAVNVOUMUUHVNVOUULUMUUIUUHVNUULUUIU
      USWGUUMXFUULYKUMUUAUUHVNUUKUUFURUWSXOXPXQUVAYKUUAUVLUVAUUAYKUWTXEXRWDUUKU
      VOUXGUVRUUBYLUUKUUBVJRUVOUWPTUUKUVHUVOUVJTUVRUUBYLVNVOUVPVLVNVOUVRUVPUVTV
      SUVRUUBUVPYLVLVNUXCUUKUVOURXOXPXQUWBUUBYLUUKUUBSRUWAUWOTUXDXRWDYKYLUUAUUB
      XSXTXHFJUUCYMYAWRYBYCYTYPBIYHYQIUKYRYIYSYOYQIGYDYQIYNYEYFYGUT $.
  $}

  ${
    $d A f i j v $.  $d B f i j v $.  $d X f i j v $.  $d f i ph $.
    ioorrnopnxr.x $e |- ( ph -> X e. Fin ) $.
    ioorrnopnxr.a $e |- ( ph -> A : X --> RR* ) $.
    ioorrnopnxr.b $e |- ( ph -> B : X --> RR* ) $.
    $( The indexed product of open intervals is an open set in
       ` ( RR^ `` X ) ` .  Similar to ~ ioorrnopn but here unbounded intervals
       are allowed.  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    ioorrnopnxr $p |- ( ph -> X_ i e. X ( ( A ` i ) (,) ( B ` i ) ) e. (
       TopOpen ` ( RR^ ` X ) ) ) $=
      ( vf vv vj c0 wceq cv cfv cioo co wcel fveq2 c1 cixp crrx ctopn csn prid2
      cpr p0ex a1i ixpeq1 ixp0x eqtrd 2fveq3 rrxtopn0b eleq12d mpbird adantl wn
      wne neqne wss wrex wral oveq12d cbvixpv eleq2i biimpi cpnf caddc cif cmpt
      wa cmnf cmin cfn ad2antrr wf biimpri eqeq1d oveq1d ifbieq12d cbvmptv eqid
      cxr ioorrnopnxrlem syldan ralrimiva wb rrxtop syl adantr eltop2 pm2.61dan
      ctop ) AELMZDEDNZBOZWOCOZPQZUAZEUBOUCOZRZWNXAAWNXALUDZLXBUFZRZXDWNLXBUGUE
      UHWNWSXBWTXCWNWSDLWRUAZXBDELWRUIXEXBMWNDWRUJUHUKWNWTLUBOUCOZXCELUCUBULXFX
      CMWNUMUHUKUNUOUPAWNUQZELURZXAXGXHAELUSUPAXHVKZXAINZJNZRXKWSUTVKJWTVAZIWSV
      BZXIXLIWSXIXJWSRZXJKEKNZBOZXOCOZPQZUAZRZXLXNXTXIXNXTWSXSXJDKEWRXRWOXOMWPX
      PWQXQPWOXOBSWOXOCSVCVDVEZVFUPXIXTVKJBCKEXQVGMZXOXJOZTVHQZXQVIZVJZDXJKEXPV
      LMZYCTVMQZXPVIZVJZDEWOYJOWOYFOPQUAZEAEVNRZXHXTFVOAEWCBVPXHXTGVOAEWCCVPXHX
      THVOXTXNXIXNXTYAVQUPKDEYIWPVLMZWOXJOZTVMQZWPVIXOWOMZYGYMYHXPYOWPYPXPWPVLX
      OWOBSZVRYPYCYNTVMXOWOXJSZVSYQVTWAKDEYEWQVGMZYNTVHQZWQVIYPYBYSYDXQYTWQYPXQ
      WQVGXOWOCSZVRYPYCYNTVHYRVSUUAVTWAYKWBWDWEWFXIWTWMRZXAXMWGAUUBXHAYLUUBFEWT
      VNWTWBWHWIWJIJWSWTWKWIUOWEWL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Basic measure theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  &sigma;-Algebras
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Proofs for most of the theorems in section 111 of [Fremlin1]
$)

  $c SAlg $.

  $( Extend class notation with the class of all sigma-algebras. $)
  csalg $a class SAlg $.

  ${
    $d x y $.
    $( Define the class of sigma-algebras.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    df-salg $a |- SAlg = { x | ( (/) e. x /\ A. y e. x ( U. x \ y ) e. x /\
                                A. y e. ~P x ( y ~<_ _om -> U. y e. x ) ) } $.
  $}

  $c SalOn $.

  $( Extend class notation with the class of sigma-algebras on a set. $)
  csalon $a class SalOn $.

  ${
    $d s x $.
    $( Define the set of sigma-algebra on a given set.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    df-salon $a |- SalOn = ( x e. _V |-> { s e. SAlg | U. s = x } ) $.
  $}

  $c SalGen $.

  $( Extend class notation with the class of sigma-algebra generator. $)
  csalgen $a class SalGen $.

  ${
    $d s x $.
    $( Define the sigma-algebra generated by a given set.  Definition 111G (b)
       of [Fremlin1] p. 13.  The sigma-algebra generated by a set is the
       smallest sigma-algebra, on the same base set, that includes the set, see
       ~ dfsalgen2 .  The base set of the sigma-algebras used for the
       intersection needs to be the same, otherwise the resulting set is not
       guaranteed to be a sigma-algebra, as shown in the counterexample
       ~ salgencntex .  (Contributed by Glauco Siliprandi, 17-Aug-2020.)
       (Revised by Glauco Siliprandi, 1-Jan-2021.) $)
    df-salgen $a |- SalGen = ( x e. _V |-> |^| { s e. SAlg | ( U. s = U. x /\
                                          x C_ s ) } ) $.
  $}

  ${
    $d S x y $.
    $( Express the predicate " ` S ` is a sigma-algebra."  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    issal $p |- ( S e. V -> ( S e. SAlg <-> ( (/) e. S /\ A. y e. S ( U. S \ y
       ) e. S /\ A. y e. ~P S ( y ~<_ _om -> U. y e. S ) ) ) ) $=
      ( vx c0 cv wcel cuni cdif wral com cdom wbr cpw w3a csalg eleq2 raleqbidv
      wi wceq id unieq difeq1d eleq12d pweq imbi2d 3anbi123d df-salg elab2g ) E
      DFZGZUJHZAFZIZUJGZAUJJZUMKLMZUMHZUJGZSZAUJNZJZOEBGZBHZUMIZBGZABJZUQURBGZS
      ZABNZJZODBPCUJBTZUKVCUPVGVBVKUJBEQVLUOVFAUJBVLUAZVLUNVEUJBVLULVDUMUJBUBUC
      VMUDRVLUTVIAVAVJUJBUEVLUSVHUQUJBURQUFRUGDAUHUI $.
  $}

  ${
    $d V y $.  $d X y $.
    $( The power set of a given set is a sigma-algebra (the so called discrete
       sigma-algebra).  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    pwsal $p |- ( X e. V -> ~P X e. SAlg ) $=
      ( vy wcel cpw csalg c0 cuni cv cdif wral com a1i wss cvv elpwg syl mpbird
      wb ralrimiva cdom wbr w3a 0elpw wceq difeq1i difssd difexg eqeltrd adantr
      wi unipw wa elpwi unissd sseqtrdi vuniex adantl a1d 3jca pwexg issal ) BA
      DZBEZFDZGVDDZVDHZCIZJZVDDZCVDKZVHLUAUBZVHHZVDDZUKZCVDEZKZUCZVCVFVKVQVFVCB
      UDMVCVJCVDVCVJVHVDDVCVIBVHJZVDVIVSUEVCVGBVHBULZUFMVCVSVDDZVSBNZVCBVHUGVCV
      SODWAWBSBVHAUHVSBOPQRUIUJTVCVOCVPVCVHVPDZUMVNVLWCVNVCWCVNVMBNZWCVMVGBWCVH
      VDVHVDUNUOVTUPWCVMODZVNWDSWEWCCUQMVMBOPQRURUSTUTVCVDODVEVRSBAVACVDOVBQR
      $.
  $}

  ${
    $d S y $.  $d T y $.
    salunicl.s $e |- ( ph -> S e. SAlg ) $.
    salunicl.t $e |- ( ph -> T e. ~P S ) $.
    salunicl.tct $e |- ( ph -> T ~<_ _om ) $.
    $( SAlg sigma-algebra is closed under countable union.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    salunicl $p |- ( ph -> U. T e. S ) $=
      ( vy com cdom wbr cuni wcel cv wi cpw wceq breq1 unieq wral csalg imbi12d
      eleq1d c0 cdif w3a wb issal syl mpbid simp3d rspcdva mpd ) ACHIJZCKZBLZFA
      GMZHIJZUPKZBLZNZUMUONGBOZCUPCPZUQUMUSUOUPCHIQVBURUNBUPCRUBUAAUCBLZBKUPUDB
      LGBSZUTGVASZABTLZVCVDVEUEZDAVFVFVGUFDGBTUGUHUIUJEUKUL $.
  $}

  ${
    $d E y $.  $d F y $.  $d S y $.
    $( The union of two sets in a sigma-algebra is in the sigma-algebra.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    saluncl $p |- ( ( S e. SAlg /\ E e. S /\ F e. S ) -> ( E u. F ) e. S ) $=
      ( vy csalg wcel w3a cun cpr cuni wceq wa uniprg eqcomd 3adant1 com wbr wi
      cdom wral cfn prfi csdm isfinite biimpi sdomdom syl ax-mp a1i cpw prelpwi
      cv c0 issal ibi simp3d 3ad2ant1 breq1 unieq eleq1d imbi12d rspcva syl2anc
      cdif mpd eqeltrd ) AEFZBAFZCAFZGZBCHZBCIZJZAVHVIVKVMKVGVHVILVMVKBCAAMNOVJ
      VLPSQZVMAFZVNVJVLUAFZVNBCUBVPVLPUCQZVNVPVQVLUDUEVLPUFUGUHUIVJVLAUJZFZDULZ
      PSQZVTJZAFZRZDVRTZVNVORZVHVIVSVGBCAUKOVGVHWEVIVGUMAFZAJVTVDAFDATZWEVGWGWH
      WEGDAEUNUOUPUQWDWFDVLVRVTVLKZWAVNWCVOVTVLPSURWIWBVMAVTVLUSUTVAVBVCVEVF $.
  $}

  ${
    $d V y $.  $d X y $.
    $( The pair of the empty set and the whole base is a sigma-algebra.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    prsal $p |- ( X e. V -> { (/) , X } e. SAlg ) $=
      ( vy wcel cpr cuni cdif a1i wceq cvv eqtrdi adantr adantl eqeltrd adantlr
      c0 wa wn pm2.61dan id csalg cv wral com cdom wbr cpw 0ex prid1 cun uniprg
      mpan 0un difeq1d difeq2 dif0 prid2g wne neqne elprn1 sylan2 adantll difid
      wi syl ralrimiva wss elpwi unissd sseqtrd elssuni eqssd ad2antrr csn pwpr
      eleqtrdi snidg eqcomd eleqtrd syl2anc stoic1a elunnel2 unieq uni0 a1d w3a
      unisn0 wb prex issal mp1i mpbir3and ) BADZPBEZUADZPWNDZWNFZCUBZGZWNDZCWNU
      CZWRUDUEUFZWRFZWNDZVDZCWNUGZUCZWPWMPBUHUIZHWMWTCWNWMWRWNDZQZWSBWRGZWNWMWS
      XKIXIWMWQBWRWMWQPBUJZBPJDWMWQXLIUHPBJAUKULBUMKZUNLXJWRPIZXKWNDZWMXNXOXIWM
      XNQZXKBWNXPXKBPGZBXNXKXQIWMWRPBUOMBUPKWMBWNDZXNPBAUQZLNOXJXNRZQWRBIZXOXIX
      TYAWMXTXIWRPURZYAWRPUSZWRPBUTVAVBYAXKPWNYAXKBBGPWRBBUOBVCKWPYAXHHNVESNVFW
      MXECXFWMWRXFDZQZXDXBYEBWRDZXDYEYFQZXCBWNYGXCBYEXCBVGYFYEXCWQBYDXCWQVGWMYD
      WRWNWRWNVHVIMWMWQBIYDXMLVJLYFBXCVGYEBWRVKMVLWMXRYDYFXSVMNYEYFRZQZXCPWNYIW
      RPPVNZEZDZXCPIZYIWRYKBVNZWNEZUJZDZWRYODZRZYLYDYHYQWMYDYQYHYDWRXFYPYDTPBVO
      VPLVBWMYHYSYDWMYRYFWMYRQZWRYNIZYFWMUUAYFYRWMUUAQBYNWRWMBYNDUUABAVQLUUAYNW
      RIWMUUAWRYNUUATVRMVSOYTUUARZQWMWRWNIZYFWMWMYRUUBWMTVMYRUUBUUCWMUUBYRWRYNU
      RUUCWRYNUSWRYNWNUTVAVBWMUUCQBWNWRWMXRUUCXSLUUCWNWRIWMUUCWRWNUUCTVRMVSVTSW
      AOWRYKYOWBVTYLXNYMXNYMYLXNXCPFPWRPWCWDKMYLXTQWRYJIZYMXTYLYBUUDYCWRPYJUTVA
      UUDXCYJFPWRYJWCWGKVESVEWPYIXHHNSWEVFWNJDWOWPXAXGWFWHWMPBWICWNJWJWKWL $.
  $}

  ${
    $d E y $.  $d S y $.
    $( The complement of an element of a sigma-algebra is in the sigma-algebra.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    saldifcl $p |- ( ( S e. SAlg /\ E e. S ) -> ( U. S \ E ) e. S ) $=
      ( vy csalg wcel wa cuni cv cdif wceq difeq2 eleq1d wral c0 com wbr wi cpw
      cdom w3a issal ibi simp2d adantr simpr rspcdva ) ADEZBAEZFAGZCHZIZAEZUIBI
      ZAECABUJBJUKUMAUJBUIKLUGULCAMZUHUGNAEZUNUJOSPUJGAEQCARMZUGUOUNUPTCADUAUBU
      CUDUGUHUEUF $.
  $}

  ${
    $d S y $.
    $( The empty set belongs to every sigma-algebra.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    0sal $p |- ( S e. SAlg -> (/) e. S ) $=
      ( vy csalg wcel c0 cuni cv cdif wral com cdom wbr wi cpw w3a issal simp1d
      ibi ) ACDZEADZAFBGZHADBAIZUAJKLUAFADMBANIZSTUBUCOBACPRQ $.
  $}

  ${
    $d V x $.  $d X s x $.
    $( The sigma-algebra generated by a set.  (Contributed by Glauco
       Siliprandi, 3-Jan-2021.) $)
    salgenval $p |- ( X e. V -> ( SalGen ` X ) = |^| { s e. SAlg | ( U. s = U.
       X /\ X C_ s ) } ) $=
      ( vx wcel cv cuni wceq wss csalg crab cint cvv csalgen cmpt df-salgen a1i
      wa unieq anbi12d eqeq2d sseq1 rabbidv inteqd adantl elex c0 wne cpw pwsal
      uniexg syl unipw pwuni jca32 eqeq1d sseq2 elrab sylibr intex sylib fvmptd
      ne0d ) BAEZDBCFZGZDFZGZHZVGVEIZRZCJKZLZVFBGZHZBVEIZRZCJKZLZMNMNDMVMOHVDDC
      PQVGBHZVMVSHVDVTVLVRVTVKVQCJVTVIVOVJVPVTVHVNVFVGBSUAVGBVEUBTUCUDUEBAUFVDV
      RUGUHVSMEVDVRVNUIZVDWAJEZWAGZVNHZBWAIZRZRWAVREVDWBWDWEVDVNMEWBBAUKMVNUJUL
      WDVDVNUMQWEVDBUNQUOVQWFCWAJVEWAHZVOWDVPWEWGVFWCVNVEWASUPVEWABUQTURUSVCVRU
      TVAVB $.
  $}

  ${
    $d K k $.  $d S k $.  $d k ph $.
    saliuncl.s $e |- ( ph -> S e. SAlg ) $.
    saliuncl.kct $e |- ( ph -> K ~<_ _om ) $.
    saliuncl.b $e |- ( ( ph /\ k e. K ) -> E e. S ) $.
    $( SAlg sigma-algebra is closed under countable indexed union.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    saliuncl $p |- ( ph -> U_ k e. K E e. S ) $=
      ( ciun cmpt crn cuni wcel wral wceq syl cvv com cdom wbr dfiun3g cpw eqid
      ralrimiva wss rnmptss wb csalg ssexd mpbird 1stcrestlem salunicl eqeltrd
      elpwg ) ACEDIZCEDJZKZLZBADBMZCENZUOUROAUSCEHUDZCEDBUAPABUQFAUQBUBMZUQBUEZ
      AUTVCVACEDBUPUPUCUFPZAUQQMVBVCUGAUQBUHFVDUIUQBQUNPUJAERSTUQRSTGCEDUKPULUM
      $.
  $}

  $( The intersection of two sets in a sigma-algebra is in the sigma-algebra.
     (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
  salincl $p |- ( ( S e. SAlg /\ E e. S /\ F e. S ) -> ( E i^i F ) e. S ) $=
    ( csalg wcel w3a cin cuni cdif cun eqidd wceq wss inss1 a1i elssuni 3adant3
    wa adantl saldifcl sstrd dfss4 sylib eqcomd difindi difeq2i 3adant2 saluncl
    3eqtrd simp1 syl3anc syl2anc eqeltrd ) ADEZBAEZCAEZFZBCGZAHZUSBIZUSCIZJZIZA
    UQURURUSUSURIZIZVCUQURKUNUOURVELUPUNUORZVEURVFURUSMVEURLVFURBUSURBMVFBCNOUO
    BUSMUNBAPSUAURUSUBUCUDQVEVCLUQVDVBUSUSBCUEUFOUIUQUNVBAEZVCAEUNUOUPUJZUQUNUT
    AEZVAAEZVGVHUNUOVIUPABTQUNUPVJUOACTUGAUTVAUHUKAVBTULUM $.
  $( A set is an element of any sigma-algebra on it .  (Contributed by Glauco
     Siliprandi, 17-Aug-2020.) $)
  saluni $p |- ( S e. SAlg -> U. S e. S ) $=
    ( csalg wcel cuni c0 cdif dif0 0sal saldifcl mpdan eqeltrrid ) ABCZADZMEFZA
    MGLEACNACAHAEIJK $.

  ${
    $d K k $.  $d S k $.  $d k ph $.
    saliincl.s $e |- ( ph -> S e. SAlg ) $.
    saliincl.kct $e |- ( ph -> K ~<_ _om ) $.
    saliincl.kn0 $e |- ( ph -> K =/= (/) ) $.
    saliincl.e $e |- ( ( ph /\ k e. K ) -> E e. S ) $.
    $( SAlg sigma-algebra is closed under countable indexed intersection.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    saliincl $p |- ( ph -> |^|_ k e. K E e. S ) $=
      ( ciin cuni cdif ciun wcel cin wceq syl a1i saldifcl syl2anc cv wss df-ss
      wa elssuni sylib eqcomd incom dfin4 3eqtrd iineq2dv c0 wne iindif2 adantr
      eqtrd csalg saliuncl eqeltrd ) ACEDJZBKZCEVADLZMZLZBAUTCEVAVBLZJZVDACEDVE
      ACUAENZUDZDDVAOZVADOZVEVHVIDVHDVAUBZVIDPVHDBNZVKIDBUEQDVAUCUFUGVIVJPVHDVA
      UHRVJVEPVHVADUIRUJUKAEULUMVFVDPHCEVAVBUNQUPABUQNZVCBNVDBNFABCVBEFGVHVMVLV
      BBNAVMVGFUOIBDSTURBVCSTUS $.
  $}

  $( The difference of two elements of a sigma-algebra is in the sigma-algebra.
     (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
  saldifcl2 $p |- ( ( S e. SAlg /\ E e. S /\ F e. S ) -> ( E \ F ) e. S ) $=
    ( csalg wcel w3a cdif cuni cin wceq indif2 a1i elssuni df-ss sylib 3ad2ant2
    wss difeq1d eqtr2d simp1 simp2 saldifcl 3adant2 salincl syl3anc eqeltrd ) A
    DEZBAEZCAEZFZBCGZBAHZCGZIZAUJUNBULIZCGZUKUNUPJUJBULCKLUHUGUPUKJUIUHUOBCUHBU
    LQUOBJBAMBULNORPSUJUGUHUMAEZUNAEUGUHUITUGUHUIUAUGUIUQUHACUBUCABUMUDUEUF $.

  ${
    $d G s t $.  $d G s x y $.  $d X s x $.  $d ph s t $.  $d ph s x $.
    intsaluni.ga $e |- ( ph -> G C_ SAlg ) $.
    intsaluni.gn0 $e |- ( ph -> G =/= (/) ) $.
    intsaluni.x $e |- ( ( ph /\ s e. G ) -> U. s = X ) $.
    $( The union of an arbitrary intersection of sigma-algebras on the same set
       ` X ` , is ` X ` .  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    intsaluni $p |- ( ph -> U. |^| G = X ) $=
      ( vx vy vt cv wcel cuni wceq nfv syl wa adantl adantr wi c0 wne n0 biimpi
      cint wex wss intss1 unissd sseqtrd wrex wral eleq1w anbi2d eqeq1d imbi12d
      unieq chvarvv eqcomd adantlr eqtrd sselda saluni eqeltrd ralrimiva cvv wb
      csalg uniexg elintg mpbird simpr eleqtrd rspcev syl2anc eluni2 eqelssd ex
      eleq2 sylibr exlimimdd ) ADKZBLZBUEZMZCNZDADOWFDOABUAUBZWCDUFZFWGWHDBUCUD
      PAWCWFAWCQZHWECWIWEWBMZCWCWEWJUGAWCWDWBWBBUHUIRGUJWIHKZCLZQZWKIKZLZIWDUKZ
      WKWELWMWJWDLZWKWJLZWPWIWQWLWIWQWJJKZLZJBULZWIWTJBWIWSBLZQZWJWSMZWSXCWJCXD
      WIWJCNZXBGSAXBCXDNWCAXBQZXDCWIXETXFXDCNZTDJWBWSNZWIXFXEXGXHWCXBADJBUMUNXH
      WJXDCWBWSUQUOUPGURUSUTVAAXBXDWSLZWCXFWSVHLXIABVHWSEVBWSVCPUTVDVEWIWJVFLZW
      QXAVGWCXJAWBBVIRJWJBVFVJPVKSWMWKCWJWIWLVLWICWJNWLWIWJCGUSSVMWOWRIWJWDWNWJ
      WKVSVNVOIWKWDVPVTVQVRWA $.
  $}

  ${
    $d G s y $.  $d X s $.  $d ph s y $.
    intsal.ga $e |- ( ph -> G C_ SAlg ) $.
    intsal.gn0 $e |- ( ph -> G =/= (/) ) $.
    intsal.x $e |- ( ( ph /\ s e. G ) -> U. s = X ) $.
    $( The arbitrary intersection of sigma-algebra (on the same set ` X ` ) is
       a sigma-algebra ( on the same set ` X ` , see ~ intsaluni ).
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    intsal $p |- ( ph -> |^| G e. SAlg ) $=
      ( vy csalg wcel c0 cuni wral wa syl ralrimiva adantr adantlr cvv wb cv wi
      cint cdif com cdom wbr cpw w3a simpl sselda simpr 0sal syl2anc 0ex elint2
      sylibr wceq eqcomd eqtr2d difeq1d elinti imp adantll saldifcl eqeltrd wne
      intsaluni intex biimpi uniexd difexd elintg mpbird ad4ant14 intss1 adantl
      wss elpwi sstrd vex elpw simplr salunicl vuniex a1i ex 3jca issal ) ABUCZ
      IJZKWJJZWJLZHUAZUDZWJJZHWJMZWNUEUFUGZWNLZWJJZUBZHWJUHZMZUIZAWLWQXCAKDUAZJ
      ZDBMWLAXFDBAXEBJZNZAXEIJZXFAXGUJABIXEEUKZAXINXIXFAXIULXEUMOUNPDKBUOUPUQAW
      PHWJAWNWJJZNZWPWOXEJZDBMZXLXMDBXLXGNZWOXELZWNUDZXEAXGWOXQURXKXHWMXPWNXHXP
      CWMGACWMURXGAWMCABCDEFGVHUSQUTVARXOXIWNXEJZXQXEJAXGXIXKXJRXKXGXRAXKXGXRWN
      BXEVBVCVDXEWNVEUNVFPXLWOSJZWPXNTAXSXKAWMWNSAWJSABKVGZWJSJZFXTYABVIVJOZVKV
      LQDWOBSVMOVNPAXAHXBAWNXBJZNZWRWTYDWRNZWTWSXEJZDBMZYEYFDBYEXGNXEWNAXGXIYCW
      RXJVOYDXGWNXEUHJZWRYCXGYHAYCXGNZWNXEVRYHYIWNWJXEYCWNWJVRXGWNWJVSQXGWJXEVR
      YCXEBVPVQVTWNXEHWAWBUQVDRYDWRXGWCWDPYEWSSJZWTYGTYJYEHWEWFDWSBSVMOVNWGPWHA
      YAWKXDTYBHWJSWIOVN $.
  $}

  ${
    $d X s $.
    $( The set used in the definition of the generated sigma-algebra, is not
       empty.  (Contributed by Glauco Siliprandi, 3-Jan-2021.) $)
    salgenn0 $p |- ( X e. V -> { s e. SAlg | ( U. s = U. X /\ X C_ s ) } =/=
       (/) ) $=
      ( wcel cv cuni wceq wss wa csalg cpw cvv uniexg pwsal syl unipw a1i pwuni
      crab jca unieq eqeq1d sseq2 anbi12d elrab sylibr ne0d ) BADZCEZFZBFZGZBUI
      HZIZCJSZUKKZUHUPJDZUPFZUKGZBUPHZIZIUPUODUHUQVAUHUKLDUQBAMLUKNOUHUSUTUSUHU
      KPQUTUHBRQTTUNVACUPJUIUPGZULUSUMUTVBUJURUKUIUPUAUBUIUPBUCUDUEUFUG $.
  $}

  ${
    $d V t $.  $d X s t $.
    $( ` SalGen ` actually generates a sigma-algebra.  (Contributed by Glauco
       Siliprandi, 3-Jan-2021.) $)
    salgencl $p |- ( X e. V -> ( SalGen ` X ) e. SAlg ) $=
      ( vs vt wcel csalgen cfv cv cuni wceq wa csalg crab cint salgenval ssrab2
      wss a1i salgenn0 unieq eqeq1d sseq2 anbi12d biimpi simprld adantl eqeltrd
      elrab intsal ) BAEZBFGCHZIZBIZJZBUKQZKZCLMZNLABCOUJUQUMDUQLQUJUPCLPRABCSD
      HZUQEZURIZUMJZUJUSURLEZVABURQZUSVBVAVCKZKUPVDCURLUKURJZUNVAUOVCVEULUTUMUK
      URTUAUKURBUBUCUHUDUEUFUIUG $.
  $}

  ${
    $d S y $.  $d ph y $.
    issald.s $e |- ( ph -> S e. V ) $.
    issald.z $e |- ( ph -> (/) e. S ) $.
    issald.x $e |- X = U. S $.
    issald.d $e |- ( ( ph /\ y e. S ) -> ( X \ y ) e. S ) $.
    issald.u $e |- ( ( ph /\ y e. ~P S /\ y ~<_ _om ) -> U. y e. S ) $.
    $( Sufficient condition to prove that ` S ` is sigma-algebra.  (Contributed
       by Glauco Siliprandi, 3-Jan-2021.) $)
    issald $p |- ( ph -> S e. SAlg ) $=
      ( csalg wcel c0 cuni cv cdif wral com cdom ralrimiva wbr wi cpw wa eqcomi
      difeq1i eqeltrid 3expia w3a wb issal syl mpbir3and ) ACKLZMCLZCNZBOZPZCLZ
      BCQZUQRSUAZUQNCLZUBZBCUCZQZGAUSBCAUQCLUDUREUQPCUPEUQEUPHUEUFIUGTAVCBVDAUQ
      VDLVAVBJUHTACDLUNUOUTVEUIUJFBCDUKULUM $.
  $}

  ${
    $d A x y $.  $d S x y $.  $d ph x $.
    salexct.a $e |- ( ph -> A e. V ) $.
    salexct.b $e |- S = { x e. ~P A | ( x ~<_ _om \/ ( A \ x ) ~<_ _om ) } $.
    $( An example of nontrivial sigma-algebra: the collection of all subsets
       which either are countable or have countable complement.  (Contributed
       by Glauco Siliprandi, 3-Jan-2021.) $)
    salexct $p |- ( ph -> S e. SAlg ) $=
      ( vy cvv com cdom wbr cdif wo wcel syl c0 wa sylibr wss cv cpw crab pwexd
      rabexg eqeltrid 0elpw a1i cfn 0fin fict ax-mp orci jca wceq difeq2 breq1d
      breq1 orbi12d elrab2 cuni wral csn snidg snelpwi snfi elunii syl2anc rgen
      dfss3 mpbir ssrab2 eqsstri unissi unipw sseqtri eqssi difssd ssexd mpbird
      elpwg ad2antrr sseli elpwi dfss4 sylib ad2antlr simpr eqbrtrd olc cbvrabv
      wb eqtri wn rabeq2i biimpi simprd adantl adantr pm2.53 sylc orc pm2.61dan
      sseldd ralrimiva unissb vuniex elpw adantll unictb 3syl rexnal bicomi nfv
      id wrex nfra1 nfn nfan wi elssuni 3ad2ant2 sscond 3adant3 simp3 ssct 3exp
      w3a rexlimd mpd adantlr 3adant1 issald ) ABDICADBUAZJKLZCYNMZJKLZNZBCUBZU
      CZIGAYSIOYTIOACEFUDYRBYSIUEPUFAQYSOZQJKLZCQMZJKLZNZRQDOAUUAUUEUUAACUGUHUU
      EAUUBUUDQUIOUUBUJQUKULUMUHUNYRUUEBQYSDYNQUOZYOUUBYQUUDYNQJKURUUFYPUUCJKYN
      QCUPUQUSGUTSCDVAZCUUGTHUAZUUGOZHCVBUUIHCUUHCOZUUHUUHVCZOUUKDOZUUIUUHCVDUU
      JUUKYSOZUUKJKLZCUUKMZJKLZNZRUULUUJUUMUUQUUHCVEUUQUUJUUNUUPUUKUIOUUNUUHVFU
      UKUKULUMUHUNYRUUQBUUKYSDYNUUKUOZYOUUNYQUUPYNUUKJKURUURYPUUOJKYNUUKCUPUQUS
      GUTSUUHUUKDVGVHVIHCUUGVJVKUUGYSVACDYSDYTYSGYRBYSVLVMZVNCVOVPVQAYNDOZRZYOY
      PDOZUVAYORZYPYSOZYQCYPMZJKLZNZRZUVBUVCUVDUVGAUVDUUTYOAUVDYPCTZACYNVRZAYPI
      OUVDUVIWLAYPCEFUVJVSYPCIWAPVTZWBUVCUVFUVGUVCUVEYNJKUUTUVEYNUOZAYOUUTYNCTZ
      UVLUUTYNYSOZUVMDYSYNUUSWCYNCWDPYNCWEWFWGUVAYOWHWIUVFYQWJPUNUUHJKLZCUUHMZJ
      KLZNZUVGHYPYSDUUHYPUOZUVOYQUVQUVFUUHYPJKURUVSUVPUVEJKUUHYPCUPUQUSDYTUVRHY
      SUCGYRUVRBHYSYNUUHUOZYOUVOYQUVQYNUUHJKURUVTYPUVPJKYNUUHCUPUQUSWKWMZUTZSUV
      AYOWNZRZUVHUVBUWDUVDUVGAUVDUUTUWCUVKWBUWDYQUVGUWDYRUWCYQUVAYRUWCUUTYRAUUT
      UVNYRUUTUVNYRRYRBDYSGWOWPWQWRWSUVAUWCWHYOYQWTXAYQUVFXBPUNUWBSXCYNDUBOZYOY
      NVAZDOZAUWEYORZUWFYSOZUWFJKLZCUWFMZJKLZNZRUWGUWHUWIUWMUWEUWIYOUWEUWFCTZUW
      IUWEUUHCTZHYNVBUWNUWEUWOHYNUWEUUHYNOZRZUUHDOZUWOUWQYNDUUHUWEYNDTUWPYNDWDW
      SUWEUWPWHXDZUWRUUHYSOZUWODYSUUHUUSWCUUHCWDPPXEHYNCXFSUWFCBXGXHSWSUWHUVOHY
      NVBZUWMUWHUXARYOUXARZUWJUWMYOUXAUXBUWEUXBXOXIHYNXJUWJUWLXBXKUWEUXAWNZUWMY
      OUWEUXCRZUWLUWMUXDUVOWNZHYNXPZUWLUXCUXFUWEUXCUXFUXFUXCUVOHYNXLXMWPWRUXDUX
      EUWLHYNUWEUXCHUWEHXNUXAHUVOHYNXQXRXSUWLHXNUWEUWPUXEUWLXTXTUXCUWEUWPUXEUWL
      UWEUWPUXEYHZUWKUVPTUVQUWLUXGUUHUWFCUWPUWEUUHUWFTUXEUUHYNYAYBYCUXGUWRUXEUV
      QUWEUWPUWRUXEUWSYDUWEUWPUXEYEUWRUXERUVRUXEUVQUWRUVRUXEUWRUWTUVRUWRUWTUVRR
      UVRHDYSUWAWOWPWQWSUWRUXEWHUVOUVQWTXAVHUWKUVPYFVHYGWSYIYJUWLUWJWJPYKXCUNUV
      RUWMHUWFYSDUUHUWFUOZUVOUWJUVQUWLUUHUWFJKURUXHUVPUWKJKUUHUWFCUPUQUSUWAUTSY
      LYM $.
  $}

  ${
    $d X s t $.
    sssalgen.1 $e |- S = ( SalGen ` X ) $.
    $( A set is a subset of the sigma-algebra it generates.  (Contributed by
       Glauco Siliprandi, 3-Jan-2021.) $)
    sssalgen $p |- ( X e. V -> X C_ S ) $=
      ( vs vt wcel cv cuni wceq wss wa csalg crab cint ssint unieq eqeq1d sseq2
      anbi12d biimpi simprrd mprgbir a1i csalgen cfv salgenval eqtr2id sseqtrd
      elrab ) CBGZCEHZIZCIZJZCULKZLZEMNZOZACUSKZUKUTCFHZKZFURFCURPVAURGZVAMGZVA
      IZUNJZVBVCVDVFVBLZLUQVGEVAMULVAJZUOVFUPVBVHUMVEUNULVAQRULVACSTUJUAUBUCUDU
      KACUEUFUSDBCEUGUHUI $.
  $}

  ${
    $d S s $.  $d X s $.
    salgenss.x $e |- ( ph -> X e. V ) $.
    salgenss.g $e |- G = ( SalGen ` X ) $.
    salgenss.s $e |- ( ph -> S e. SAlg ) $.
    salgenss.i $e |- ( ph -> X C_ S ) $.
    salgenss.u $e |- ( ph -> U. S = U. X ) $.
    $( The sigma-algebra generated by a set is the smallest sigma-algebra, on
       the same base set, that includes the set.  Proposition 111G (b) of
       [Fremlin1] p. 13.  Notice that the condition "on the same base set" is
       needed, see the counterexample ~ salgensscntex , where a sigma-algebra
       is shown that includes a set, but does not include the sigma-algebra
       generated (the key is that its base set is larger than the base set of
       the generating set).  (Contributed by Glauco Siliprandi, 3-Jan-2021.) $)
    salgenss $p |- ( ph -> G C_ S ) $=
      ( vs cv cuni wceq wss wa csalg wcel syl jca crab cint cfv salgenval eqtrd
      csalgen a1i unieq eqeq1d sseq2 anbi12d elrab sylibr intss1 eqsstrd ) ACKL
      ZMZEMZNZEUPOZPZKQUAZUBZBACEUFUCZVCCVDNAGUGAEDRVDVCNFDEKUDSUEABVBRZVCBOABQ
      RZBMZURNZEBOZPZPVEAVFVJHAVHVIJITTVAVJKBQUPBNZUSVHUTVIVKUQVGURUPBUHUIUPBEU
      JUKULUMBVBUNSUO $.
  $}

  ${
    $d U t $.  $d X s t $.  $d ph t $.
    salgenuni.x $e |- ( ph -> X e. V ) $.
    salgenuni.s $e |- S = ( SalGen ` X ) $.
    salgenuni.u $e |- U = U. X $.
    $( The base set of the sigma-algebra generated by a set is the union of the
       set itself.  (Contributed by Glauco Siliprandi, 3-Jan-2021.) $)
    salgenuni $p |- ( ph -> U. S = U ) $=
      ( vs vt cuni cv wceq wss wa csalg a1i wcel syl eqtrd crab cint cfv unieqd
      csalgen salgenval ssrab2 c0 wne salgenn0 unieq eqeq1d sseq2 anbi12d elrab
      biimpi simprld eqcomi adantl intsaluni ) ABKILZKZEKZMZEVANZOZIPUAZUBZKCAB
      VHABEUEUCZVHBVIMAGQAEDRZVIVHMFDEIUFSTUDAVGCJVGPNAVFIPUGQAVJVGUHUIFDEIUJSJ
      LZVGRZVKKZCMAVLVMVCCVLVKPRZVMVCMZEVKNZVLVNVOVPOZOVFVQIVKPVAVKMZVDVOVEVPVR
      VBVMVCVAVKUKULVAVKEUMUNUOUPUQVCCMVLCVCHURQTUSUTT $.
  $}

  ${
    $d S y $.  $d X s y $.  $d ph y $.
    issalgend.x $e |- ( ph -> X e. V ) $.
    issalgend.s $e |- ( ph -> S e. SAlg ) $.
    issalgend.u $e |- ( ph -> U. S = U. X ) $.
    issalgend.i $e |- ( ph -> X C_ S ) $.
    issalgend.a $e |- ( ( ph /\ ( y e. SAlg /\ U. y = U. X /\ X C_ y ) ) -> S
       C_ y ) $.
    $( One side of ~ dfsalgen2 .  If a sigma-algebra on ` U. X ` includes ` X `
       and it is included in all the sigma-algebras with such two properties,
       then it is the sigma-algebra generated by ` X ` .  (Contributed by
       Glauco Siliprandi, 3-Jan-2021.) $)
    issalgend $p |- ( ph -> ( SalGen ` X ) = S ) $=
      ( vs csalgen cv cuni wceq wss wa csalg wcel adantl cfv eqid salgenss crab
      cint simpl elrabi unieq eqeq1d sseq2 anbi12d elrab biimpi simprld simprrd
      wral syl13anc ralrimiva ssint sylibr salgenval syl sseqtrrd eqssd ) AELUA
      ZCACVEDEFVEUBGIHUCACKMZNZENZOZEVFPZQZKRUDZUEZVEACBMZPZBVLUPCVMPAVOBVLAVNV
      LSZQAVNRSZVNNZVHOZEVNPZVOAVPUFVPVQAVKKVNRUGTVPVSAVPVQVSVTVPVQVSVTQZQVKWAK
      VNRVFVNOZVIVSVJVTWBVGVRVHVFVNUHUIVFVNEUJUKULUMZUNTVPVTAVPVQVSVTWCUOTJUQUR
      BCVLUSUTAEDSVEVMOFDEKVAVBVCVD $.
  $}

  ${
    $d A x $.  $d B x $.
    salexct2.1 $e |- A = ( 0 [,] 2 ) $.
    salexct2.2 $e |- S = { x e. ~P A | ( x ~<_ _om \/ ( A \ x ) ~<_ _om ) } $.
    salexct2.3 $e |- B = ( 0 [,] 1 ) $.
    $( An example of a subset that does not belong to a nontrivial
       sigma-algebra, see ~ salexct .  (Contributed by Glauco Siliprandi,
       3-Jan-2021.) $)
    salexct2 $p |- -. B e. S $=
      ( wcel com cdom wbr cdif wn wtru cc0 c1 cxr a1i mptru c2 cpw 0xr 1xr 0lt1
      wo wa clt iccnct cioc co 2re rexri 1lt2 eqid iocnct cicc difeq12i xrltled
      wceq iccdificc eqtri breq1i mtbir pm3.2i ioran mpbir intnan difeq2 breq1d
      cv breq1 orbi12d elrab2 ) CDHCBUAZHZCIJKZBCLZIJKZUEZUFVSVOVSMVPMZVRMZUFVT
      WAVTNOPCOQHNUBRZPQHNUCRZOPUGKNUDRZGUHSVRPTUIUJZIJKZWFMNPTWEWCTQHNTUKULRZP
      TUGKNUMRWEUNUOSVQWEIJVQOTUPUJZOPUPUJZLZWEBWHCWIEGUQWJWEUSNOPTWBWCWGNOPWBW
      CWDURUTSVAVBVCVDVPVRVEVFVGAVJZIJKZBWKLZIJKZUEVSACVNDWKCUSZWLVPWNVRWKCIJVK
      WOWMVQIJWKCBVHVIVLFVMVC $.
  $}

  ${
    unisalgen.x $e |- ( ph -> X e. V ) $.
    unisalgen.s $e |- S = ( SalGen ` X ) $.
    unisalgen.u $e |- U = U. X $.
    $( The union of a set belongs to the sigma-algebra generated by the set.
       (Contributed by Glauco Siliprandi, 3-Jan-2021.) $)
    unisalgen $p |- ( ph -> U e. S ) $=
      ( cuni salgenuni eqcomd csalg wcel csalgen cfv wceq a1i salgencl eqeltrd
      syl saluni ) ACBIZBAUBCABCDEFGHJKABLMUBBMABENOZLBUCPAGQAEDMUCLMFDERTSBUAT
      S $.
  $}

  ${
    $d S w y $.  $d X w y $.  $d ph w y $.
    dfsalgen2.1 $e |- ( ph -> X e. V ) $.
    $( Alternate characterization of the sigma-algebra generated by a set.  It
       is the smallest sigma-algebra, on the same base set, that includes the
       set.  (Contributed by Glauco Siliprandi, 3-Jan-2021.) $)
    dfsalgen2 $p |- ( ph -> ( ( SalGen ` X ) = S <-> ( ( S e. SAlg /\ U. S = U.
       X /\ X C_ S ) /\ A. y e. SAlg ( ( U. y = U. X /\ X C_ y ) -> S C_ y ) )
       ) ) $=
      ( vw wceq csalg wcel cuni wss w3a cv wa adantl adantr simpr adantrl ex wi
      csalgen cfv wral id eqcomd salgencl eqeltrd unieq eqid salgenuni sssalgen
      syl eqtr3d sseqtrd 3jca ad2antrr simplr simprl salgenss eqsstrd ralrimiva
      jca simprl1 simprl2 simprl3 eqeq1d sseq2 anbi12d imbi12d biimpi 3ad2antr1
      cbvralvw 3simpc rspa sylc adantll issalgend impbid ) AEUBUCZCHZCIJZCKZEKZ
      HZECLZMZBNZKZWDHZEWHLZOZCWHLZUAZBIUDZOZAWAWPAWAOZWGWOWQWBWEWFWQCVTIWACVTH
      ZAWAVTCWAUEUFPZAVTIJZWAAEDJZWTFDEUGUMQUHWQVTKZWCWDWAXBWCHAVTCUIPWQVTWDDEA
      XAWAFQZVTUJZWDUJUKUNWQEVTCWQXAEVTLXCVTDEXDULUMAWARUOUPWQWNBIWQWHIJZOZWLWM
      XFWLOZCVTWHXFWKWRWJWQWRXEWKWSUQSXGWHVTDEXFWKXAWJWQXAXEWKXCUQSXDXFWKXEWJWQ
      XEWKURSXFWKWKWJXFWKRSXFWJWKUSUTVATVBVCTAWPWAAWPOGCDEAXAWPFQWBWEWFWOAVDWBW
      EWFWOAVEWBWEWFWOAVFWPGNZIJZXHKZWDHZEXHLZMZCXHLZAWOXMXNWGWOXMOXKXLOZXNUAZG
      IUDZXIOZXOXNWOXKXIXRXLWOXIOXQXIWOXQXIWOXQWNXPBGIWHXHHZWLXOWMXNXSWJXKWKXLX
      SWIXJWDWHXHUIVGWHXHEVHVIWHXHCVHVJVMVKQWOXIRVCVLXMXOWOXIXKXLVNPXPGIVOVPVQV
      QVRTVS $.
  $}

  ${
    $d A x $.  $d S x y $.  $d X x $.
    salexct3.a $e |- A = ( 0 [,] 2 ) $.
    salexct3.s $e |- S = { x e. ~P A | ( x ~<_ _om \/ ( A \ x ) ~<_ _om ) } $.
    salexct3.x $e |- X = ran ( y e. ( 0 [,] 1 ) |-> { y } ) $.
    $( An example of a sigma-algebra that's not closed under uncountable union.
       (Contributed by Glauco Siliprandi, 3-Jan-2021.) $)
    salexct3 $p |- ( S e. SAlg /\ X C_ S /\ -. U. X e. S ) $=
      ( wcel wss cvv cc0 c2 cicc c1 com cdom wbr wa ax-mp csalg cuni wn wtru co
      ovex eqeltri a1i salexct mptru cv csn cmpt crn wral cpw wo cr cle 0re 2re
      cdif pm3.2i leidi 1le2 iccss mp2an sselid eleqtrrdi snelpwi syl snfi fict
      id cfn orc jca wceq difeq2 breq1d orbi12d elrab2 sylibr rgen eqid rnmptss
      breq1 eqsstri ciun unieqi snex rgenw dfiun3g eqcomi iunid 3eqtrri 3pm3.2i
      salexct2 ) DUAIZEDJEUBZDIUCWSUDACDKCKIUDCLMNUEZKFLMNUFUGUHGUIUJEBLONUEZBU
      KZULZUMZUNZDHXDDIZBXBUOXFDJXGBXBXCXBIZXDCUPZIZXDPQRZCXDVBZPQRZUQZSXGXHXJX
      NXHXCCIXJXHXCXACXHXBXAXCLURIZMURIZSLLUSRZOMUSRZSXBXAJXOXPUTVAVCXQXRLUTVDV
      EVCLMLOVFVGXHVNVHFVIXCCVJVKXNXHXKXNXDVOIXKXCVLXDVMTXKXMVPTUHVQAUKZPQRZCXS
      VBZPQRZUQXNAXDXIDXSXDVRZXTXKYBXMXSXDPQWGYCYAXLPQXSXDCVSVTWAGWBWCWDBXBXDDX
      EXEWEWFTWHACWTDFGXBWTWTXFUBZBXBXDWIZXBEXFHWJYEYDXDKIZBXBUOYEYDVRYFBXBXCWK
      WLBXBXDKWMTWNBXBWOWPWNWRWQ $.
  $}

  ${
    $d A x $.  $d B t y $.  $d B x y $.  $d C s t $.  $d S s $.  $d S x $.
    $d T s $.  $d Z w y $.
    salgencntex.a $e |- A = ( 0 [,] 2 ) $.
    salgencntex.s $e |- S = { x e. ~P A | ( x ~<_ _om \/ ( A \ x ) ~<_ _om ) }
                     $.
    salgencntex.b $e |- B = ( 0 [,] 1 ) $.
    salgencntex.t $e |- T = ~P B $.
    salgencntex.c $e |- C = ( S i^i T ) $.
    salgencntex.z $e |- Z = |^| { s e. SAlg | C C_ s } $.
    $( This counterexample shows that ~ df-salgen needs to require that all
       containing sigma-algebra have the same base set.  Otherwise, the
       intersection could lead to a set that is not a sigma-algebra.
       (Contributed by Glauco Siliprandi, 3-Jan-2021.) $)
    salgencntex $p |- -. Z e. SAlg $=
      ( csalg wcel wss cc0 c1 a1i vy vw vt cuni saluni wn cv crab cint cpw cicc
      wa cvv co ovex eqeltri pwsal ax-mp inss2 eqsstri pm3.2i sseq2 elrab mpbir
      cin intss1 unissi unieqi unipw sseqtri wral wrex csn biimpi simprd adantl
      eqtri com cdom wbr cdif wo c2 0red cr 2re unitssre id eleqtrdi sselid cxr
      cle rexrd 1xr iccgelb syl3anc iccleub 1le2 letrd eliccd eleqtrrdi snelpwi
      1re syl cfn snfi fict orc breq1 difeq2 breq1d orbi12d elrab2 sylibr elind
      jca wceq eqcomi eleqtrd adantr sseldd ralrimiva elint2 snidg eleq2 rspcev
      snex syl2anc eluni2 rgen dfss3 eqssi salexct mptru inss1 salexct2 pm2.65i
      wtru sseli eqneltri ) GOPZGUDZGPZGUEUUCUFUUAUUBCGUUBCUUBFUDZCGFGDHUGZQZHO
      UHZUIZFNFUUGPZUUHFQUUIFOPZDFQZULUUJUUKFCUJZOLCUMPUULOPCRSUKUNZUMKRSUKUOUP
      UMCUQURUPDEFVEZFMEFUSUTVAUUFUUKHFOUUEFDVBVCVDFUUGVFURUTVGUUDUULUDCFUULLVH
      CVIVQVJCUUBQUAUGZUUBPZUACVKUUPUACUUOCPZUUOUBUGZPZUBGVLZUUPUUQUUOVMZGPUUOU
      VAPZUUTUUQUVAUUHGUUQUVAUCUGZPZUCUUGVKUVAUUHPUUQUVDUCUUGUUQUVCUUGPZULDUVCU
      VAUVEDUVCQZUUQUVEUVCOPZUVFUVEUVGUVFULUUFUVFHUVCOUUEUVCDVBVCVNVOVPUUQUVADP
      UVEUUQUVAUUNDUUQEFUVAUUQUVABUJZPZUVAVRVSVTZBUVAWAZVRVSVTZWBZULUVAEPUUQUVI
      UVMUUQUUOBPUVIUUQUUORWCUKUNZBUUQRWCUUOUUQWDZWCWEPUUQWFTZUUQUUMWEUUOWGUUQU
      UOCUUMUUQWHKWIZWJZUUQRWKPZSWKPZUUOUUMPZRUUOWLVTUUQRUVOWMZUVTUUQWNTZUVQRSU
      UOWOWPUUQUUOSWCUVRSWEPUUQXCTUVPUUQUVSUVTUWAUUOSWLVTUWBUWCUVQRSUUOWQWPSWCW
      LVTUUQWRTWSWTIXAUUOBXBXDUUQUVJUVMUVJUUQUVAXEPUVJUUOXFUVAXGURTUVJUVLXHXDXP
      AUGZVRVSVTZBUWDWAZVRVSVTZWBUVMAUVAUVHEUWDUVAXQZUWEUVJUWGUVLUWDUVAVRVSXIUW
      HUWFUVKVRVSUWDUVABXJXKXLJXMXNUUQUVAUULFUUOCXBLXAXOUUNDXQUUQDUUNMXRTXSXTYA
      YBUCUVAUUGUUOYGYCXNNXAUUOCYDUUSUVBUBUVAGUURUVAUUOYEYFYHUBUUOGYIXNYJUACUUB
      YKVDYLCGPZCEPZGECGUUHENEUUGPZUUHEQUWKEOPZDEQZULUWLUWMUWLYRABEUMBUMPYRBUVN
      UMIRWCUKUOUPTJYMYNDUUNEMEFYOUTVAUUFUWMHEOUUEEDVBVCVDEUUGVFURUTYSUWJUFUWIA
      BCEIJKYPTYQYTTYQ $.
  $}

  ${
    $d A x $.  $d S x y $.
    salgensscntex.a $e |- A = ( 0 [,] 2 ) $.
    salgensscntex.s $e |- S = { x e. ~P A | ( x ~<_ _om \/ ( A \ x ) ~<_ _om )
       } $.
    salgensscntex.x $e |- X = ran ( y e. ( 0 [,] 1 ) |-> { y } ) $.
    salgensscntex.g $e |- G = ( SalGen ` X ) $.
    $( This counterexample shows that the sigma-algebra generated by a set is
       not the smallest sigma-algebra containing the set, if we consider also
       sigma-algebras with a larger base set.  (Contributed by Glauco
       Siliprandi, 3-Jan-2021.) $)
    salgensscntex $p |- ( X C_ S /\ S e. SAlg /\ -. G C_ S ) $=
      ( wss wcel cc0 c1 cicc com cdom wbr c2 cvv csalg wn csn cmpt crn wral cpw
      co cv cdif wo wa cr cle 0re 2re pm3.2i leidi iccss mp2an sselid eleqtrrdi
      1le2 snelpwi syl cfn snfi fict ax-mp orc a1i jca wceq breq1 difeq2 breq1d
      orbi12d elrab2 sylibr rgen eqid rnmptss eqsstri wtru ovex eqeltri salexct
      mptru mptex rnex cuni ciun unieqi snex rgenw dfiun3g eqcomi iunid 3eqtrri
      id unisalgen salexct2 nelss 3pm3.2i ) FDKDUALZEDKUBZFBMNOUHZBUIZUCZUDZUEZ
      DIXIDLZBXGUFXKDKXLBXGXHXGLZXICUGZLZXIPQRZCXIUJZPQRZUKZULXLXMXOXSXMXHCLXOX
      MXHMSOUHZCXMXGXTXHMUMLZSUMLZULMMUNRZNSUNRZULXGXTKYAYBUOUPUQYCYDMUOURVCUQM
      SMNUSUTXMWTVAGVBXHCVDVEXSXMXPXSXIVFLXPXHVGXIVHVIXPXRVJVIVKVLAUIZPQRZCYEUJ
      ZPQRZUKXSAXIXNDYEXIVMZYFXPYHXRYEXIPQVNYIYGXQPQYEXICVOVPVQHVRVSVTBXGXIDXJX
      JWAWBVIWCXEWDACDTCTLWDCXTTGMSOWEWFVKHWGWHXGELZXGDLUBXFYJWDEXGTFFTLWDFXKTI
      XJBXGXIMNOWEWIWJWFVKJFWKXKWKZBXGXIWLZXGFXKIWMYLYKXITLZBXGUFYLYKVMYMBXGXHW
      NWOBXGXITWPVIWQBXGWRWSXAWHACXGDGHXGWAXBXGEDXCUTXD $.
  $}

  ${
    $d S e y $.  $d e n y $.  $d e ph y $.
    issalnnd.s $e |- ( ph -> S e. V ) $.
    issalnnd.z $e |- ( ph -> (/) e. S ) $.
    issalnnd.x $e |- X = U. S $.
    issalnnd.d $e |- ( ( ph /\ y e. S ) -> ( X \ y ) e. S ) $.
    issalnnd.i $e |- ( ( ph /\ e : NN --> S ) -> U_ n e. NN ( e ` n ) e. S ) $.
    $( Sufficient condition to prove that ` S ` is sigma-algebra.  (Contributed
       by Glauco Siliprandi, 3-Mar-2021.) $)
    issalnnd $p |- ( ph -> S e. SAlg ) $=
      ( cv wcel c0 wceq wa adantl adantr cn cpw com cdom wbr w3a cuni unieq a1i
      uni0 eqtrd eqeltrd 3ad2antl1 wne neqne wfo wex nnfoctb 3ad2antl3 cfv ciun
      wn wi founiiun simpll fof wss elpwi fssd adantll syl2anc 3adantl3 exlimdv
      wf ex mpd syldan pm2.61dan issald ) ABCFGHIJKABMZCUANZVSUBUCUDZUEZVSOPZVS
      UFZCNZAVTWCWEWAAWCQWDOCWCWDOPAWCWDOUFZOVSOUGWFOPWCUIUHUJRAOCNWCISUKULWBWC
      VAZVSOUMZWEWGWHWBVSOUNRWBWHQZTVSDMZUOZDUPZWEWAAWHWLVTVSDUQURWIWKWEDAVTWHW
      KWEVBZWAAVTQZWMWHWNWKWEWNWKQZWDETEMWJUSUTZCWKWDWPPWNETVSWJVCRWOATCWJVMZWP
      CNAVTWKVDVTWKWQAVTWKQTVSCWJWKTVSWJVMVTTVSWJVERVTVSCVFWKVSCVGSVHVILVJUKVNS
      VKVLVOVPVQVR $.
  $}

  ${
    $d e n y $.
    $( Lebesgue measurable sets form a sigma-algebra.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    dmvolsal $p |- dom vol e. SAlg $=
      ( vy ve vn cvol cdm csalg wcel wtru cvv cr cpw reex pwex dmvolss ssexi c0
      a1i cv adantl cn 0mbl cuni unidmvol eqcomi cdif cmmbl wf cfv ciun ffvelrn
      wral ralrimiva iunmbl syl issalnnd mptru ) DEZFGHAUQBCIJUQIGHUQJKJLMNOQPU
      QGHUAQUQUBJUCUDARZUQGJURUEUQGHURUFSTUQBRZUGZCTCRZUSUHZUIUQGZHUTVBUQGZCTUK
      VCUTVDCTTUQVAUSUJULVBCUMUNSUOUP $.
  $}

  ${
    saldifcld.1 $e |- ( ph -> S e. SAlg ) $.
    saldifcld.2 $e |- ( ph -> E e. S ) $.
    $( The complement of an element of a sigma-algebra is in the sigma-algebra.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    saldifcld $p |- ( ph -> ( U. S \ E ) e. S ) $=
      ( csalg wcel cuni cdif saldifcl syl2anc ) ABFGCBGBHCIBGDEBCJK $.
  $}

  ${
    saluncld.1 $e |- ( ph -> S e. SAlg ) $.
    saluncld.2 $e |- ( ph -> E e. S ) $.
    saluncld.3 $e |- ( ph -> F e. S ) $.
    $( The union of two sets in a sigma-algebra is in the sigma-algebra.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    saluncld $p |- ( ph -> ( E u. F ) e. S ) $=
      ( csalg wcel cun saluncl syl3anc ) ABHICBIDBICDJBIEFGBCDKL $.
  $}

  ${
    salgencld.1 $e |- ( ph -> X e. V ) $.
    salgencld.2 $e |- S = ( SalGen ` X ) $.
    $( ` SalGen ` actually generates a sigma-algebra.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    salgencld $p |- ( ph -> S e. SAlg ) $=
      ( csalgen cfv csalg wcel salgencl syl eqeltrid ) ABDGHZIFADCJNIJECDKLM $.
  $}

  ${
    0sald.1 $e |- ( ph -> S e. SAlg ) $.
    $( The empty set belongs to every sigma-algebra.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    0sald $p |- ( ph -> (/) e. S ) $=
      ( csalg wcel c0 0sal syl ) ABDEFBECBGH $.
  $}

  ${
    iooborel.1 $e |- J = ( topGen ` ran (,) ) $.
    iooborel.2 $e |- B = ( SalGen ` J ) $.
    $( An open interval is a Borel set.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    iooborel $p |- ( A (,) C ) e. B $=
      ( cioo co ctop wcel wss crn ctg cfv retop eqeltri sssalgen ax-mp iooretop
      eleqtrri sselii ) DBACGHZDIJDBKDGLMNZIEOPBIDFQRUBUCDACSETUA $.
  $}

  ${
    salincld.1 $e |- ( ph -> S e. SAlg ) $.
    salincld.2 $e |- ( ph -> E e. S ) $.
    salincld.3 $e |- ( ph -> F e. S ) $.
    $( The intersection of two sets in a sigma-algebra is in the sigma-algebra.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    salincld $p |- ( ph -> ( E i^i F ) e. S ) $=
      ( csalg wcel cin salincl syl3anc ) ABHICBIDBICDJBIEFGBCDKL $.
  $}

  ${
    salunid.1 $e |- ( ph -> S e. SAlg ) $.
    $( A set is an element of any sigma-algebra on it .  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    salunid $p |- ( ph -> U. S e. S ) $=
      ( csalg wcel cuni saluni syl ) ABDEBFBECBGH $.
  $}

  ${
    $d A x $.  $d S x $.  $d ph x $.
    unisalgen2.x $e |- ( ph -> A e. V ) $.
    unisalgen2.s $e |- S = ( SalGen ` A ) $.
    $( The union of a set belongs is equal to the union of the sigma-algebra
       generated by the set.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    unisalgen2 $p |- ( ph -> U. S = U. A ) $=
      ( vx csalg wcel cuni wceq wss w3a cv wa wi wral csalgen cfv eqcomi simpld
      a1i dfsalgen2 mpbid simp2d ) ACHIZCJBJZKZBCLZAUFUHUIMZGNZJUGKBUKLOCUKLPGH
      QZABRSZCKZUJULOUNACUMFTUBAGCDBEUCUDUAUE $.
  $}

  ${
    bor1sal.t $e |- J = ( topGen ` ran (,) ) $.
    bor1sal.b $e |- B = ( SalGen ` J ) $.
    $( The Borel sigma-algebra on the Reals.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    bor1sal $p |- B e. SAlg $=
      ( csalg wcel wtru ctop cioo crn ctg cfv retop eqeltri a1i salgencld mptru
      ) AEFGAHBBHFGBIJKLHCMNODPQ $.
  $}

  ${
    $d A n $.  $d B n $.  $d C n $.  $d n ph $.
    iocborel.a $e |- ( ph -> A e. RR* ) $.
    iocborel.c $e |- ( ph -> C e. RR ) $.
    iocborel.t $e |- J = ( topGen ` ran (,) ) $.
    iocborel.b $e |- B = ( SalGen ` J ) $.
    $( A left-open, right-closed interval is a Borel set.  (Contributed by
       Glauco Siliprandi, 26-Jun-2021.) $)
    iocborel $p |- ( ph -> ( A (,] C ) e. B ) $=
      ( vn cioc co cn c1 cv cdiv caddc wcel wtru a1i cioo ciin iooiinioc eqcomd
      csalg bor1sal com cdom wbr nnct c0 wne wa iooborel saliincl mptru eqeltrd
      nnn0 ) ABDKLZJMBDNJOZPLQLZUALZUBZCAVCUSABDJFGUCUDVCCRZAVDSCJVBMCUERSCEHIU
      FTMUGUHUISUJTMUKULSURTVBCRSUTMRUMBCVAEHIUNTUOUPTUQ $.
  $}

  ${
    $d D e $.  $d D x $.  $d E e n $.  $d E n x $.  $d F e $.  $d F x $.
    $d G y $.  $d H y $.  $d S e n $.  $d S n x $.  $d S n y $.  $d n ph $.
    subsaliuncllem.f $e |- F/ y ph $.
    subsaliuncllem.s $e |- ( ph -> S e. V ) $.
    subsaliuncllem.g $e |- G = ( n e. NN |-> { x e. S | ( F ` n ) = ( x i^i D )
       } ) $.
    subsaliuncllem.e $e |- E = ( H o. G ) $.
    subsaliuncllem.h $e |- ( ph -> H Fn ran G ) $.
    subsaliuncllem.y $e |- ( ph -> A. y e. ran G ( H ` y ) e. y ) $.
    $( A subspace sigma-algebra is closed under countable union.  This is Lemma
       121A (iii) of [Fremlin1] p. 35.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    subsaliuncllem $p |- ( ph -> E. e e. ( S ^m NN ) A. n e. NN ( F ` n ) = ( (
       e ` n ) i^i D ) ) $=
      ( cn wcel cmap co cv cfv cin wceq wral wrex ccom wf crn wfn wa wss cvv wb
      crab vex elrnmpt ax-mp biimpi wi ssrab2 a1i eqsstrd rexlimiv mpd r19.21bi
      id adantl sseldd ralrimi jca ffnfv sylibr eqid rabexd ralrimivw fnmpt syl
      ex dffn3 sylib syl2anc nnex elmapd mpbird eqeltrid ffvelrnda adantr fveq2
      fco eleq12d rspcva wfun ffund cdm simpr dmeqi dmmptg eqtrd eqcomd eleqtrd
      cmpt fvcod fvmpt2d ineq1 eqeq2d elrab simprd fveq1 ineq1d ralbidv rspcev
      ralrimiva ) AHESUAUBZTGUCZIUDZXQHUDZDUEZUFZGSUGZXRXQFUCZUDZDUEZUFZGSUGZFX
      PUHAHKJUIZXPPAYHXPTSEYHUJZAJUKZEKUJZSYJJUJZYIAKYJULZCUCZKUDZETZCYJUGZUMYK
      AYMYQQAYPCYJMAYNYJTZYPAYRUMYNEYOYRYNEUNZAYRYNXRBUCZDUEZUFZBEUQZUFZGSUHZYS
      YRUUEYNUOTYRUUEUPCURGSUUCYNJUOOUSUTVAUUEYSVBYRUUDYSGSUUDYSVBXQSTZUUDYNUUC
      EUUDVIUUCEUNUUDUUBBEVCVDVEVDVFVDVGVJAYOYNTZCYJRVHVKWAVLVMCYJEKVNVOAJSULZY
      LAUUCUOTZGSUGZUUHAUUIGSAUUBBEUUCLUUCVPNVQZVRZGSUUCJUOOVSVTSJWBWCZSYJEKJWL
      WDAESYHLUONSUOTAWEVDWFWGWHAYAGSAUUFUMZXSETZYAUUNXSUUCTZUUOYAUMUUNUUPXQJUD
      ZKUDZUUQTZUUNUUQYJTUUGCYJUGZUUSASYJXQJUUMWIAUUTUUFRWJUUGUUSCUUQYJYNUUQUFZ
      YOUURYNUUQYNUUQKWKUVAVIWMWNWDUUNXSUURUUCUUQUUNXQKJHAJWOUUFASYJJUUMWPWJUUN
      XQSJWQZAUUFWRASUVBUFUUFAUVBSAUVBGSUUCXDZWQZSUVBUVDUFAJUVCOWSVDAUUJUVDSUFU
      ULGSUUCUOWTVTXAXBWJXCPXEUUNUUQUUCAGSUUCJUOJUVCUFAOVDAUUIUUFUUKWJXFXBWMWGU
      UBYABXSEYTXSUFUUAXTXRYTXSDXGXHXIWCXJXOYGYBFHXPYCHUFZYFYAGSUVEYEXTXRUVEYDX
      SDXQYCHXKXLXHXMXNWD $.
  $}

  ${
    $d D e f n z $.  $d D e m n z $.  $d D f n x y z $.  $d F e f n z $.
    $d F e m n z $.  $d F f n x y z $.  $d S e f n z $.  $d S e m n z $.
    $d S f n x y z $.  $d T e $.  $d e f n ph z $.  $d m n x y z $.
    $d ph y z $.
    subsaliuncl.1 $e |- ( ph -> S e. SAlg ) $.
    subsaliuncl.2 $e |- ( ph -> D e. V ) $.
    subsaliuncl.3 $e |- T = ( S |`t D ) $.
    subsaliuncl.4 $e |- ( ph -> F : NN --> T ) $.
    $( A subspace sigma-algebra is closed under countable union.  This is Lemma
       121A (iii) of [Fremlin1] p. 35.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    subsaliuncl $p |- ( ph -> U_ n e. NN ( F ` n ) e. T ) $=
      ( vx vy vm vz cv wceq cn wcel cvv ve vf cfv wral cmap wrex ciun crab cmpt
      cin co crn wfn wex cdom wbr com cen csalg eqid rabexd ralrimivw fnmpt syl
      wa wi nnex fnrndomg ax-mp nnenom a1i domentr syl2anc c0 wne wb vex biimpi
      adantl w3a simp3 crest ffvelrnda eleqtrdi elexd elrest adantr mpbid rabn0
      elrnmpt sylibr 3adant3 eqnetrd 3exp rexlimdv axccdom simpl eqeq1d rabbidv
      mpd fveq2 cbvmptv rneqi fneq2i ad2antrl raleqi adantrl nfv 3ad2ant1 ineq1
      ccom eqeq2d cbvrabv mpteq2i eqtr2i coeq2i biimpri 3ad2ant2 eqcomi eleq12d
      id cbvralvw bitri 3ad2ant3 subsaliuncllem syl3anc exlimdv elmapi saliuncl
      ex nnct wf elrestd nfra1 rspa iuneq2df iunin1 eqtrd mpbird ) AEPZFUCZYTUA
      PZUCZBUJZQZERUDZUACRUEUKZUFZERUUAUGZDSZAUBPZERUUALPZBUJZQZLCUHZUIZULZUMZM
      PZUUKUCZUUSSZMUUQUDZVEZUBUNUUHAMUBUUQAUUQRUOUPZRUQURUPZUUQUQUOUPAUUPRUMZU
      VDAUUOTSZERUDUVFAUVGERAUUNLCUUOUSUUOUTHVAVBERUUOUUPTUUPUTZVCVDRTSUVFUVDVF
      VGRTUUPVHVIVDUVEAVJVKUUQRUQVLVMAUUSUUQSZVEUUSUUOQZERUFZUUSVNVOZUVIUVKAUVI
      UVKUUSTSUVIUVKVPMVQERUUOUUSUUPTUVHWJVIVRVSAUVKUVLVFUVIAUVJUVLERAYTRSZUVJU
      VLAUVMUVJVTUUSUUOVNAUVMUVJWAAUVMUUOVNVOZUVJAUVMVEZUUNLCUFZUVNUVOUUACBWBUK
      ZSZUVPUVOUUADUVQARDYTFKWCJWDAUVRUVPVPZUVMACUSSZBTSZUVSHABGIWEZLUUABCUSTWF
      VMWGWHUUNLCWIWKWLWMWNWOWGWTWPAUVCUUHUBAUVCUUHAUVCVEAUUKNRNPZFUCZUUMQZLCUH
      ZUIZULZUMZUVAMUWHUDZUUHAUVCWQUURUWIAUVBUURUWIUUQUWHUUKUUPUWGENRUUOUWFYTUW
      CQZUUNUWELCUWKUUAUWDUUMYTUWCFXAWRWSXBZXCZXDZVRXEAUVBUWJUURUVBUWJAUVBUWJUV
      AMUUQUWHUWMXFVRVSXGAUWIUWJVTZLOBCUAEUUKNRUWDOPZBUJZQZOCUHZUIZXKFUUPUUKUSU
      WOOXHAUWIUVTUWJHXIUVHUWTUUPUUKUUPUWGUWTUWLNRUWFUWSUWEUWRLOCUULUWPQUUMUWQU
      WDUULUWPBXJXLXMXNXOXPUWIAUURUWJUURUWIUWNXQXRUWJAUWPUUKUCZUWPSZOUUQUDZUWIU
      WJUXCUWJUVBUXCUVAMUWHUUQUUQUWHUWMXSXFUVAUXBMOUUQUUSUWPQZUUTUXAUUSUWPUUSUW
      PUUKXAUXDYAXTYBYCVRYDYEYFYJYGWTAUUFUUJUAUUGAUUBUUGSZUUFUUJAUXEUUFVTZUUJER
      UUCUGZBUJZUVQSUXFUXHBCUSTUXGAUXEUVTUUFHXIAUXEUWAUUFUWBXIAUXEUXGCSUUFAUXEV
      EZCEUUCRAUVTUXEHWGRUQUOUPUXIYKVKUXIRCYTUUBUXERCUUBYLAUUBCRYHVSWCYIWLUXHUT
      YMUXFUUIUXHDUVQUUFAUUIUXHQUXEUUFUUIERUUDUGZUXHUUFERUUAUUDUUEERYNUUEERYOYP
      UXJUXHQUUFERBUUCYQVKYRYDDUVQQUXFJVKXTYSWNWOWT $.
  $}

  ${
    $d D n $.  $d D y $.  $d S n $.  $d S y $.  $d T f n x $.  $d T x y $.
    $d f n ph x $.  $d ph x y $.
    subsalsal.1 $e |- ( ph -> S e. SAlg ) $.
    subsalsal.2 $e |- ( ph -> D e. V ) $.
    subsalsal.3 $e |- T = ( S |`t D ) $.
    $( A subspace sigma-algebra is a sigma algebra.  This is Lemma 121A of
       [Fremlin1] p. 35.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    subsalsal $p |- ( ph -> T e. SAlg ) $=
      ( vy cuni wcel a1i c0 csalg cin cv wa wceq cdif adantr vx vf vn cvv crest
      ovexi 0sald 0in eqcomi elrestd eleqtrrdi eqid wrex eleqtrdi adantl elrest
      co id wb syl2anc mpbid wi 3adant3 3ad2ant1 simpr saldifcld restuni3 eqtrd
      unieqi difeq12d indifdir eleq12d 3adant2 mpbird 3exp rexlimdv subsaliuncl
      w3a mpd cn wf issalnnd ) AUADUBUCUDDJZDUDKADCBUEHUFLAMCBUEUQZDAMBCNEMFGAC
      FUGMBOMBUHUIUJHUKWCULAUAPZDKZQZWEIPZBOZRZICUMZWCWESZDKZWGWEWDKZWKWFWNAWFW
      EDWDWFURHUNUOAWNWKUSZWFACNKZBEKZWOFGIWEBCNEUPUTTVAAWKWMVBWFAWJWMICAWHCKZW
      JWMAWRWJVRZWMCJZWHSZBOZWDKZWSXBBCNEXAAWRWPWJAWPWRFTZVCAWRWQWJGVDAWRXACKWJ
      AWRQCWHXDAWRVEVFVCXBULUJAWJWMXCUSWRAWJQZWLXBDWDXEWLWTBOZWISZXBXEWCXFWEWIA
      WCXFRWJAWCWDJZXFWCXHRADWDHVILACBNEFGVGVHTAWJVEVJXGXBRXEXBXGWTWHBVKUILVHDW
      DRXEHLVLVMVNVOVPTVSAVTDUBPZWAZQBCDUCXIEAWPXJFTAWQXJGTHAXJVEVQWB $.
  $}

  ${
    subsaluni.1 $e |- ( ph -> S e. SAlg ) $.
    subsaluni.2 $e |- ( ph -> A C_ U. S ) $.
    $( A set belongs to the subspace sigma-algebra it induces.  (Contributed by
       Glauco Siliprandi, 26-Jun-2021.) $)
    subsaluni $p |- ( ph -> A e. ( S |`t A ) ) $=
      ( crest co cuni csalg restuni4 eqcomd uniexd ssexd eqid subsalsal salunid
      cvv eqeltrd ) ABCBFGZHZSATBACBIDEJKASABCSQDABCHQACIDLEMSNOPR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Sum of nonnegative extended reals
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c sum^ $.

  $( Extend class notation to include the sum of nonnegative extended reals. $)
  csumge0 $a class sum^ $.

  ${
    $d w x y $.
    $( Define the arbitrary sum of nonnegative extended reals.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $. $)
    df-sumge0 $a |- sum^ = ( x e. _V |-> if ( +oo e. ran x , +oo , sup ( ran
    ( y e. ( ~P dom x i^i Fin ) |-> sum_ w e. y ( x ` w ) ) , RR* , < ) ) ) $.
  $}

  ${
    $d X x y $.  $d ph x y $.
    sge0rnre.1 $e |- ( ph -> F : X --> ( 0 [,) +oo ) ) $.
    $( When ` sum^ ` is applied to nonnegative real numbers the range used in
       its definition is a subset of the reals.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    sge0rnre $p |- ( ph -> ran ( x e. ( ~P X i^i Fin ) |-> sum_ y e. x ( F ` y
       ) ) C_ RR ) $=
      ( cv cfv csu cr wcel cpw cfn cin wral cmpt crn wss wa syl adantl cc0 cpnf
      elinel2 co rge0ssre wf ad2antrr elinel1 elpwi adantr simpr sseldd adantll
      cico ffvelrnd sselid fsumrecl ralrimiva eqid rnmptss ) ABGZCGZDHZCIZJKZBE
      LZMNZOBVHVEPZQJRAVFBVHAVBVHKZSZVBVDCVJVBMKAVBVGMUDUAVKVCVBKZSZUBUCUOUEZJV
      DUFVMEVNVCDAEVNDUGVJVLFUHVJVLVCEKAVJVLSVBEVCVJVBERZVLVJVBVGKVOVBVGMUIVBEU
      JTUKVJVLULUMUNUPUQURUSBVHVEJVIVIUTVAT $.
  $}

  ${
    fge0icoicc.1 $e |- ( ph -> F : X --> ( 0 [,) +oo ) ) $.
    $( If ` F ` maps to nonnegative reals, then ` F ` maps to nonnegative
       extended reals.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    fge0icoicc $p |- ( ph -> F : X --> ( 0 [,] +oo ) ) $=
      ( cc0 cpnf cico co cicc wss icossicc a1i fssd ) ACEFGHZEFIHZBDNOJAEFKLM
      $.
  $}

  ${
    $d F w x y $.  $d V x $.  $d X x y $.
    $( The value of the sum of nonnegative extended reals.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    sge0val $p |- ( ( X e. V /\ F : X --> ( 0 [,] +oo ) ) -> ( sum^ ` F ) = if
       ( +oo e. ran F , +oo , sup ( ran ( y e. ( ~P X i^i Fin ) |-> sum_ w e. y
       ( F ` w ) ) , RR* , < ) ) ) $=
      ( vx wcel cpnf wa cv crn cdm cfn cmpt cxr clt cvv wceq a1i adantl cicc co
      cc0 wf cpw cin cfv csu csup cif csumge0 df-sumge0 wb rneq eleq2d dmeq fdm
      adantr eqtrd pweqd mpteq1d adantll fveq1 sumeq2sdv mpteq2dv rneqd supeq1d
      ineq1d ifbieq2d simpr simpl fexd pnfxr xrltso supex ifexd fvmptd ) EDGZEU
      CHUAUBZCUDZIZFCHFJZKZGZHAWBLZUEZMUFZAJZBJZWBUGZBUHZNZKZOPUIZUJZHCKZGZHAEU
      EZMUFZWHWICUGZBUHZNZKZOPUIZUJQUKQUKFQWONRWAFABULSWAWBCRZIZWDWQWNXDHXEWDWQ
      UMWAXEWCWPHWBCUNUOTXFOWMXCPXFWLXBXFWLAWSWKNZXBVTXEWLXGRVRVTXEIZAWGWSWKXHW
      FWRMXHWEEXHWECLZEXEWEXIRVTWBCUPTVTXIERXEEVSCUQURUSUTVHVAVBXEXGXBRWAXEAWSW
      KXAXEWHWJWTBWIWBCVCVDVETUSVFVGVIWAEVSDCVRVTVJVRVTVKVLWAWQHXDOQHOGWAVMSXDQ
      GWAOXCPVNVOSVPVQ $.
  $}

  ${
    fge0npnf.1 $e |- ( ph -> F : X --> ( 0 [,) +oo ) ) $.
    $( If ` F ` maps to nonnegative reals, then ` +oo ` is not in its range.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    fge0npnf $p |- ( ph -> -. +oo e. ran F ) $=
      ( cpnf crn wcel cc0 cico co wa wss frnd adantr simpr sseldd cxr 0xr icoub
      wn ax-mp a1i pm2.65da ) AEBFZGZEHEIJZGZAUEKZUDUFEAUDUFLUEACUFBDMNAUEOPUGT
      ZUHHQGUIRHESUAUBUC $.
  $}

  ${
    $d F x $.  $d X x $.  $d x y $.
    $( The range used in the definition of ` sum^ ` is not empty.  (Contributed
       by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0rnn0 $p |- ran ( x e. ( ~P X i^i Fin ) |-> sum_ y e. x ( F ` y ) ) =/=
       (/) $=
      ( cc0 cpw cfn cin cv cfv csu cmpt crn wcel c0 wne wceq wrex cr ax-mp 0fin
      0elpw elini sum0 eqcomi sumeq1 rspceeqv mp2an 0re eqid elrnmpt mpbir ne0i
      wb ) EADFZGHZAIZBICJZBKZLZMZNZVAOPVBEUSQAUPRZOUPNEOURBKZQVCOUOGDUBUAUCVDE
      URBUDUEAOUPUSVDEUQOURBUFUGUHESNVBVCUNUIAUPUSEUTSUTUJUKTULVAEUMT $.
  $}

  ${
    $d F x y $.  $d X x $.
    sge0vald.x $e |- ( ph -> X e. V ) $.
    sge0vald.f $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    $( The value of the sum of nonnegative extended reals.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    sge0vald $p |- ( ph -> ( sum^ ` F ) = if ( +oo e. ran F , +oo , sup ( ran (
       x e. ( ~P X i^i Fin ) |-> sum_ y e. x ( F ` y ) ) , RR* , < ) ) ) $=
      ( wcel cc0 cpnf cicc co wf csumge0 cfv crn cpw cfn cv cin csu cxr clt cif
      cmpt csup wceq sge0val syl2anc ) AFEIFJKLMDNDOPKDQIKBFRSUABTCTDPCUBUFQUCU
      DUGUEUHGHBCDEFUIUJ $.
  $}

  ${
    $d F x $.  $d X x $.  $d ph x $.
    fge0iccico.f $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    fge0iccico.re $e |- ( ph -> -. +oo e. ran F ) $.
    $( A range of nonnegative extended reals without plus infinity.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    fge0iccico $p |- ( ph -> F : X --> ( 0 [,) +oo ) ) $=
      ( vx cc0 cpnf co wcel wa wf cxr a1i pnfxr cle wbr wn adantr simpr wfn cfv
      cico wral cicc ffnd 0xr iccssxr ffvelrnda sselid iccgelb syl3anc xrlenltd
      clt crn mpbird xrgepnfd eqcomd wfun cdm ffund wceq fdm syl eleqtrd fvelrn
      cv syl2anc eqeltrd ad2antrr condan elicod ralrimiva jca ffnfv sylibr ) AB
      CUAZFVGZBUBZGHUCIZJZFCUDZKCVTBLAVQWBACGHUEIZBDUFAWAFCAVRCJZKZGHVSGMJZWEUG
      NZHMJZWEONZWEWCMVSGHUHACWCVRBDUIZUJZWEWFWHVSWCJGVSPQWGWIWJGHVSUKULWEVSHUN
      QZHBUOZJZWEWLRZKZHVSWMWPVSHWPVSWEVSMJWOWKSZWPHVSPQWOWEWOTWPHVSWHWPONWQUMU
      PUQURWEVSWMJZWOWEBUSZVRBUTZJWRAWSWDACWCBDVASWEVRCWTAWDTACWTVBZWDACWCBLZXA
      DXBWTCCWCBVCURVDSVEVRBVFVHSVIAWNRWDWOEVJVKVLVMVNFCVTBVOVP $.
  $}

  ${
    gsumge0cl.1 $e |- G = ( RR*s |`s ( 0 [,] +oo ) ) $.
    gsumge0cl.2 $e |- ( ph -> X e. V ) $.
    gsumge0cl.3 $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    gsumge0cl.4 $e |- ( ph -> F finSupp 0 ) $.
    $( Closure of group sum, for finitely supported nonnegative extended reals.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    gsumge0cl $p |- ( ph -> ( G gsum F ) e. ( 0 [,] +oo ) ) $=
      ( vx cc0 cpnf cxr wceq cvv wcel cxrs ax-mp cmnf a1i cicc co cin cbs df-ss
      cfv wss iccssxr mpbi eqcomi ovex xrsbas ressbas eqtri csn cdif cress cmnd
      wa c0g ccmn eqid xrs1cmn cmnmnd xrge0cmn eqeltri pm3.2i cv eliccxr wne wn
      wral mnfxr 0xr clt wbr mnflt0 cle pnfxr iccgelb syl3anc xrltletrd xrgtned
      id nelsn syl eldifd rgen dfss3 mpbir 0e0iccpnf difss ressbas2 xrex difexg
      xrs10 simpli ressabs mp2an eqtr2i submnd0 gsumcl ) AEKLUAUBZBCDKXCXCMUCZC
      UDUFZXDXCXCMUGXDXCNKLUHXCMUEUIUJXCOPXDXENKLUAUKXCMCOQFULUMRUNQMSUOZUPZUQU
      BZURPZCURPZUSXCXGUGZKXCPZUSKCUTUFNXIXJXHVAPXIXHXHVBZVCXHVDRCVAPZXJCQXCUQU
      BZVAFVEVFZCVDRVGXKXLXKJVHZXGPZJXCVLXRJXCXQXCPZXQMXFXQKLVIZXSXQSVJXQXFPVKX
      SSXQSMPXSVMTZXTXSSKXQYAKMPZXSVNTZXTSKVOVPXSVQTXSYBLMPZXSKXQVRVPYCYDXSVSTX
      SWDKLXQVTWAWBWCXQSWEWFWGWHJXCXGWIWJWKVGZXGXCXHCKXGMUGXGXHUDUFNMXFWLXGMXHQ
      XMULWMRXHXMWPXHXCUQUBZXOCXGOPZXKYFXONMOPYGWNMXFOWORXKXLYEWQXGXCQOWRWSCXOF
      UJWTXAWSXNAXPTGHIXB $.
  $}

  ${
    $d F x y $.  $d X x $.
    sge0reval.x $e |- ( ph -> X e. V ) $.
    sge0reval.f $e |- ( ph -> F : X --> ( 0 [,) +oo ) ) $.
    $( Value of the sum of nonnegative extended reals, when all terms in the
       sum are reals.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0reval $p |- ( ph -> ( sum^ ` F ) = sup ( ran ( x e. ( ~P X i^i Fin )
       |-> sum_ y e. x ( F ` y ) ) , RR* , < ) ) $=
      ( csumge0 cfv cpnf crn wcel cpw cfn cin cv csu cmpt cxr clt csup sge0vald
      cif fge0icoicc fge0npnf iffalsed eqtrd ) ADIJKDLMZKBFNOPBQCQDJCRSLTUAUBZU
      DUJABCDEFGADFHUEUCAUIKUJADFHUFUGUH $.
  $}

  ${
    $d F x y $.  $d X x $.
    sge0pnfval.x $e |- ( ph -> X e. V ) $.
    sge0pnfval.f $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    sge0pnfval.pnf $e |- ( ph -> +oo e. ran F ) $.
    $( If a term in the sum of nonnegative extended reals is ` +oo ` , then the
       value of the sum is ` +oo ` .  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    sge0pnfval $p |- ( ph -> ( sum^ ` F ) = +oo ) $=
      ( vx vy csumge0 cfv cpnf crn wcel cpw cfn cin cv csu cmpt cxr clt iftrued
      csup cif sge0vald eqtrd ) ABJKLBMNZLHDOPQHRIRBKISTMUAUBUDZUELAHIBCDEFUFAU
      HLUIGUCUG $.
  $}

  ${
    fge0iccre.1 $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    fge0iccre.2 $e |- ( ph -> -. +oo e. ran F ) $.
    $( A range of nonnegative extended reals without plus infinity.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    fge0iccre $p |- ( ph -> F : X --> RR ) $=
      ( cc0 cpnf cico co cr fge0iccico wss rge0ssre a1i fssd ) ACFGHIZJBABCDEKP
      JLAMNO $.
  $}

  ${
    $d A k x y $.  $d B y $.  $d ph x y $.
    sge0z.1 $e |- F/ k ph $.
    sge0z.2 $e |- ( ph -> A e. V ) $.
    $( Any nonnegative extended sum of zero is zero.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    sge0z $p |- ( ph -> ( sum^ ` ( k e. A |-> 0 ) ) = 0 ) $=
      ( vx vy cB cc0 cmpt cfv cfn cv cxr clt wcel wa a1i wceq csumge0 csup cpnf
      cpw cin csu crn csn cico co 0e0icopnf fmptd2f sge0reval cc eqidd elpwinss
      sselda 0cnd fvmptd adantll sumeq2dv cuz wss elinel2 olc sumz adantl eqtrd
      wo 3syl mpteq2dva rneqd c0 wne pwfin0 rnmptc supeq1d wor xrltso 0xr supsn
      eqid sylancl 3eqtrd ) ACBJKZUALGBUDZMUEZGNZHNZWELZHUFZKZUGZOPUBJUHZOPUBZJ
      AGHWEDBFACBJJUCUIUJZEJWPQACNZBQRUKSULUMAOWMWNPAWMGWGJKZUGWNAWLWRAGWGWKJAW
      HWGQZRZWKWHJHUFZJWTWHWJJHWSWIWHQZWJJTAWSXBRZCWIJJBWEUNXCWEUOXCWQWITRJUOWS
      WHBWIWHBMUPUQXCURUSUTVAWSXAJTZAWSWHMQZWHIVBLVCZXEVIXDWHWFMVDXEXFVEWHHIVFV
      JVGVHVKVLAGWGJWRWRWBWGVMVNABVOSVPVHVQAOPVRZJOQWOJTXGAVSSVTOJPWAWCWD $.
  $}

  ${
    $d x y z $.
    $( The sum of nonnegative extended reals is zero when applied to the empty
       set.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge00 $p |- ( sum^ ` (/) ) = 0 $=
      ( vx vy vz c0 cfv cfn cv cxr clt cc0 wceq wtru cvv wcel a1i wb biimpi syl
      cpnf mpbir csumge0 cpw cin csu cmpt crn csup cicc co wf f0 wn noel eqcomi
      0ex rn0 neleqtrd fge0iccico sge0reval mptru csn wal wrex vex eqid elrnmpt
      ax-mp nfcv nfmpt1 nfrn nfel nfv wi simpr elinel1 pw0 eleq2i elsni sumeq1d
      wa adantr sum0 3eqtrd ex rexlimd mpd velsn bicomi 0fin pm3.2i elin sumeq1
      0elpw rspceeqv cr 0re eqeltrd impbii ax-gen dfcleq supeq1i wor xrltso 0xr
      mp2an supsn eqtri ) DUAEZADUBZFUCZAGZBGDEZBUDZUEZUFZHIUGZJXHXPKLABDMDDMNL
      UOOLDDDJSUHUIZDUJLXQUKOLDDUFZSSDNULLSUMODXRKLXRDUPUNOUQURUSUTXPJVAZHIUGZJ
      HXOXSIXOXSKCGZXONZYAXSNZPZCVBYDCYBYCYBYAJKZYCYBYAXMKZAXJVCZYEYBYGYAMNYBYG
      PCVDAXJXMYAXNMXNVEZVFVGQYBYFYEAXJAYAXOAYAVHAXNAXJXMVIVJVKYEAVLXKXJNZYFYEV
      MVMYBYIYFYEYIYFVTZYAXMDXLBUDZJYIYFVNYIXMYKKYFYIXKDXLBYIXKDVAZNZXKDKYIXKXI
      NZYMXKXIFVOYNYMXIYLXKVPVQQRXKDVRRVSWAYKJKYJXLBWBZOWCWDOWEWFYEYCYCYECJWGWH
      QRYCYAJXOYAJVRJXONZYCYPJXMKAXJVCZDXJNZJYKKYQYRDXINZDFNZVTYSYTDWMWIWJDXIFW
      KTYKJYOUNADXJXMYKJXKDXLBWLWNXEJWONYPYQPWPAXJXMJXNWOYHVFVGTOWQWRWSCXOXSWTT
      XAHIXBJHNXTJKXCXDHJIXFXEXGXG $.
  $}

  ${
    $d F x y z $.  $d X y z $.  $d Y x y z $.  $d ph y z $.
    fsumlesge0.x $e |- ( ph -> X e. V ) $.
    fsumlesge0.f $e |- ( ph -> F : X --> ( 0 [,) +oo ) ) $.
    fsumlesge0.y $e |- ( ph -> Y C_ X ) $.
    fsumlesge0.fi $e |- ( ph -> Y e. Fin ) $.
    $( Every finite subsum of nonnegative reals is less than or equal to the
       extended sum over the whole (possibly infinite) domain.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    fsumlesge0 $p |- ( ph -> sum_ x e. Y ( F ` x ) <_ ( sum^ ` F ) ) $=
      ( vy vz cv cfv csu cxr wss wcel a1i cvv cpw cfn cin cmpt crn csup csumge0
      clt cle wbr cr sge0rnre ressxr sstrd wceq wb ssexd elpwg syl mpbird elind
      wrex fveq2 cbvsumv sumeq1 rspceeqv syl2anc eqid elrnmpt supxrub sge0reval
      sumex eqcomd breqtrd ) AFBMZCNZBOZKEUAZUBUCZKMZLMZCNZLOZUDZUEZPUHUFZCUGNZ
      UIAWEPQVQWERZVQWFUIUJAWEUKPAKLCEHULUKPQAUMSUNAWHVQWCUOKVSVBZAFVSRVQFWBLOZ
      UOZWIAVRUBFAFVRRZFEQZIAFTRWLWMUPAFEDGIUQFETURUSUTJVAWKAFVPWBBLVOWACVCVDSK
      FVSWCWJVQVTFWBLVEVFVGAVQTRZWHWIUPWNAFVPBVLSKVSWCVQWDTWDVHVIUSUTWEVQVJVGAW
      GWFAKLCDEGHVKVMVN $.
  $}

  ${
    $d A x y z $.  $d B y z $.  $d ph y $.
    sge0revalmpt.1 $e |- F/ x ph $.
    sge0revalmpt.2 $e |- ( ph -> A e. V ) $.
    sge0revalmpt.3 $e |- ( ( ph /\ x e. A ) -> B e. ( 0 [,) +oo ) ) $.
    $( Value of the sum of nonnegative extended reals, when all terms in the
       sum are reals.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0revalmpt $p |- ( ph -> ( sum^ ` ( x e. A |-> B ) ) = sup ( ran ( y e. (
       ~P A i^i Fin ) |-> sum_ x e. y B ) , RR* , < ) ) $=
      ( vz cmpt cfv cv csu cxr clt wcel wa wceq nfcv csumge0 cpw csup cpnf cico
      cfn cin crn cc0 co eqid fmptdf sge0reval fveq2 nfmpt1 nffv cbvsum a1i nfv
      wral nfan wss elpwinss adantr simpr sseldd adantll simpll syl2anc ralrimi
      fvmpt2 ex sumeq2 syl eqtrd mpteq2dva rneqd supeq1d ) ABDEKZUALCDUBUFUGZCM
      ZJMZVSLZJNZKZUHZOPUCCVTWAEBNZKZUHZOPUCACJVSFDHABDEUIUDUEUJZVSGIVSUKZULUMA
      OWFWIPAWEWHACVTWDWGAWAVTQZRZWDWABMZVSLZBNZWGWDWPSWMWAWCWOJBWBWNVSUNBWATJW
      ATBWBVSBDEUOBWBTUPJWOTUQURWMWOESZBWAUTWPWGSWMWQBWAAWLBGWLBUSVAWMWNWAQZWQW
      MWRRZWNDQZEWJQZWQWLWRWTAWLWRRWADWNWLWADVBWRWADUFVCVDWLWRVEVFVGZWSAWTXAAWL
      WRVHXBIVIBDEWJVSWKVKVIVLVJWAWOEBVMVNVOVPVQVRVO $.
  $}

  ${
    $d A x y $.  $d F x y $.  $d ph y $.
    sge0sn.1 $e |- ( ph -> A e. V ) $.
    sge0sn.2 $e |- ( ph -> F : { A } --> ( 0 [,] +oo ) ) $.
    $( A sum of a nonnegative extended real is the term.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    sge0sn $p |- ( ph -> ( sum^ ` F ) = ( F ` A ) ) $=
      ( vx vy cpnf wceq cvv wcel a1i cc0 adantr cfn cxr clt c0 wtru cfv csumge0
      wa csn snex cicc co wf crn id eqcomd adantl wfun cdm ffund snidg syl fdmd
      eleqtrd fvelrn syl2anc eqeltrd sge0pnfval simpr eqtr4d wn cpw cin cv cmpt
      csu csup elsni con3i rnsnf neleqtrd fge0iccico sge0reval cpr eqcomi nfcvd
      sum0 nfv fveq2 cico cc cr rge0ssre ax-resscn sstri ffvelrnd sselid sumsnd
      preq12d supeq1d wbr cif wor xrltso 0xr iccssxr suppr syl3anc cle w3a 3jca
      pnfxr iccgelb xrlenltd mpbid iffalsed eqtr2d cop pwsn wss 0fin snfi prssi
      ineq1i mp2an df-ss biimpi ax-mp eqtri mpteq1 0ex sumex sumeq1 mptru rneqi
      fmptpr rnpropg supeq1i 3eqtr4d pm2.61dan ) ABCUAZIJZCUBUAZYPJAYQUCZYRIYPY
      SCKBUDZYTKLZYSBUEZMAYTNIUFUGZCUHZYQFOYSIYPCUIZYQIYPJAYQYPIYQUJUKULYSCUMZB
      CUNZLZYPUUELAUUFYQAYTUUCCFUOOAUUHYQABYTUUGABDLZBYTLZEBDUPZUQZAUUGYTAYTUUC
      CFURUKUSOBCUTVAVBVCAYQVDVEAYQVFZUCZYRGYTVGZPVHZGVIZHVIZCUAZHVKZVJZUIZQRVL
      ZYPUUNGHCKYTUUAUUNUUBMUUNCYTAUUDUUMFOUUNYPUDZUUEIUUMIUVDLZVFAUVEYQUVEIYPI
      YPVMUKVNULAUVDUUEJUUMAUUEUVDABUUCCDEFVOUKOVPVQZVRUUNNYPVSZQRVLZSUUSHVKZYT
      UUSHVKZVSZQRVLZYPUVCUUNQUVGUVKRUUNNUVIYPUVJNUVIJUUNUVINUUSHWBVTMUUNUVJYPU
      UNUUSYPHBDUUNHYPWAUUNHWCUURBJUUSYPJUUNUURBCWDULAUUIUUMEOZUUNNIWEUGZWFYPUV
      NWGWFWHWIWJUUNYTUVNBCUVFUUNUUIUUJUVMUUKUQWKWLWMUKWNWOAYPUVHJUUMAUVHYPNRWP
      ZNYPWQZYPAQRWRZNQLZYPQLUVHUVPJUVQAWSMUVRAWTMZAUUCQYPNIXAAYTUUCBCFUULWKZWL
      ZQNYPRXBXCAUVONYPANYPXDWPZUVOVFAUVRIQLZYPUUCLZXEUWBAUVRUWCUWDUVSUWCAXGMUV
      TXFNIYPXHUQANYPUVSUWAXIXJXKXLOUVCUVLJUUNQUVBUVKRUVBSUVIXMYTUVJXMVSZUIZUVK
      UVAUWEUVAGSYTVSZUUTVJZUWEUUPUWGJUVAUWHJUUPUWGPVHZUWGUUOUWGPBXNXSUWGPXOZUW
      IUWGJZSPLYTPLUWJXPBXQSYTPXRXTUWJUWKUWGPYAYBYCYDGUUPUWGUUTYEYCUWEUWHUWEUWH
      JTGSYTUVIUVJUUTKKKKSKLZTYFMUUATUUBMUVIKLTSUUSHYGMUVJKLTYTUUSHYGMUUQSJUUTU
      VIJTUUQSUUSHYHULUUQYTJUUTUVJJTUUQYTUUSHYHULYKYIVTYDYJUWLUUAUWFUVKJYFUUBSY
      TUVIUVJKKYLXTYDYMMYNVEYO $.
  $}

  ${
    $d F s t x y $.  $d G x y $.  $d X s t x y $.  $d ph s t x y $.
    sge0tsms.g $e |- G = ( RR*s |`s ( 0 [,] +oo ) ) $.
    sge0tsms.x $e |- ( ph -> X e. V ) $.
    sge0tsms.f $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    $( ` sum^ ` applied to a nonnegative function (its meaningful domain) is
       the same as the infinite group sum (that's always convergent, in this
       case).  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0tsms $p |- ( ph -> ( sum^ ` F ) e. ( G tsums F ) ) $=
      ( vx vy cfv co wcel cxr wceq a1i cvv cpnf wa cc0 csumge0 ctsu cpw cfn cin
      vt vs cv cres cgsu cmpt crn clt csup csn wb xrltso supex elsng syl mpbird
      eqid adantr cicc wf simpr sge0pnfval wrex wfn ffnd fvelrnb mpbid w3a wral
      wi iccssxr elinel1 elpwi adantl fssres syl2anc cr elinel2 0red fdmfifsupp
      wss gsumge0cl sselid ralrimiva 3ad2ant1 rnmptss snfi elind 3ad2ant2 snssi
      snelpwi fssresd feqmptd fvres mpteq2ia eqtrd 3adant3 cmnd ccmn cxrs cress
      oveq2d eqeltri cmnmnd ax-mp cbs eqcomi xrsbas eqtri syl3anc 3eqtrrd pnfxr
      xrge0cmn cxad cplusg xrsadd ressplusg eqtr2i elexi ad2antrr eqcomd ccnfld
      id rege0subm ovexd rge0ssre sstri ressbas2 eleqtrdi sseldd caddc cnfldadd
      wfun cc oveqi simp2 ffvelrnda df-ss mpbi ovex ressbas fveq2 gsumsn reseq2
      simp3 rspceeqv elrnmpt supxrpnf 3exp rexlimdv mpd eqtr4d wn csu sge0reval
      fge0iccico feqresmpt adantlr fveq2i oveq1i icossicc pm3.2i ressabs sselda
      cico 0xr adantll ffvelrnd cle wbr iccgelb wne cdm ffund sylan fdmd fvelrn
      eleqtrd eqeltrd adantl3r ad3antrrr neqned ge0xrre ltpnfd elicod 0e0icopnf
      pm2.65da fmptd eliccxr xaddid2 xaddid1 jca gsumress csubmnd vex ax-resscn
      gsumsubm eqidd mptex cnfldbas rge0srg srgacl rexadd eqtr3i eqtr4i 3eqtr4d
      csrg simpl funmpt gsumpropd2 3eqtrd recnd gsumfsum eqtr3d mpteq2dva rneqd
      supeq1d pm2.61dan xrge0tsms eleq12d ) ABUAKZCBUBLZMIEUCZUDUEZCBIUHZUIZUJL
      ZUKZULZNUMUNZUYOUOZMZAUYQUYOUYOOZUYRAUYOVBZPAUYOQMZUYQUYRUPUYTANUYNUMUQUR
      PUYOUYOQUSUTVAAUYFUYOUYGUYPARBULZMZUYFUYOOAVUBSZUYFRUYOVUCBDEAEDMZVUBGVCA
      ETRVDLZBVEZVUBHVCAVUBVFZVGVUCJUHZBKZROZJEVHZUYOROZVUCVUBVUKVUGVUCBEVIZVUB
      VUKUPAVUMVUBAEVUEBHVJVCJERBVKUTVLVUCVUJVULJEAVUHEMZVUJVULVOVOVUBAVUNVUJVU
      LAVUNVUJVMZUYNNWFZRUYNMZVULVUOUYLNMZIUYIVNZVUPAVUNVUSVUJAVURIUYIAUYJUYIMZ
      SZVUENUYLTRVPZVVAUYKCUYIUYJFAVUTVFZVVAVUFUYJEWFZUYJVUEUYKVEAVUFVUTHVCZVUT
      VVDAVUTUYJUYHMVVDUYJUYHUDVQUYJEVRUTZVSZEVUEUYJBVTWAZVVAUYJVUEUYKWBTVVHVUT
      UYJUDMZAUYJUYHUDWCZVSVVAWDWEWGWHWIWJIUYIUYLNUYMUYMVBZWKUTVUOVUQRUYLOIUYIV
      HZVUOVUHUOZUYIMZRCBVVMUIZUJLZOVVLVUNAVVNVUJVUNUYHUDVVMVUHEWPVVMUDMVUNVUHW
      LPWMWNVUOVVPCIVVMUYJBKZUKZUJLZVUIRAVUNVVPVVSOVUJAVUNSZVVOVVRCUJVVTVVOIVVM
      UYJVVOKZUKZVVRVVTIVVMVUEVVOVVTEVUEVVMBAVUFVUNHVCVUNVVMEWFAVUHEWOVSWQWRVWB
      VVROVVTIVVMVWAVVQUYJVVMBWSWTPXAXGXBVUOCXCMZVUNVUIVUEMZVVSVUIOVWCVUOCXDMVW
      CCXEVUEXFLZXDFXRXHZCXIXJPAVUNVUJUUAAVUNVWDVUJAEVUEVUHBHUUBXBVVQVUEVUIICVU
      HEVUEVUENUEZCXKKZVWGVUEVUENWFVWGVUEOVVBVUENUUCUUDXLVUEQMZVWGVWHOTRVDUUEZV
      UENCQXEFXMUUFXJXNZUYJVUHBUUGUUHXOAVUNVUJUUJXPIVVMUYIUYLVVPRUYJVVMOUYKVVOC
      UJUYJVVMBUUIXGUUKWAVUORNMZVUQVVLUPVWLVUOXQPIUYIUYLRUYMNVVKUULUTVAUYNUUMWA
      UUNVCUUOUUPUUQAVUBUURZSZUYFIUYIUYJVUIJUUSZUKZULZNUMUNUYOVWNIJBDEAVUDVWMGV
      CVWNBEAVUFVWMHVCZAVWMVFZUVAUUTVWNNVWQUYNUMVWNVWPUYMVWNIUYIVWOUYLVWNVUTSZU
      YLCJUYJVUIUKZUJLXETRUVJLZXFLZVXAUJLZVWOVWTUYKVXACUJAVUTUYKVXAOVWMVVAJEVUE
      UYJBVVEVVGUVBUVCXGVWTJUYJVUEXSVXBVXACVXCQUYITVWKCXTKVWEXTKZXSCVWEXTFUVDXS
      VXEVWIXSVXEOVWJVUEXSXEVWEQVWEVBYAYBXJXLYCCVXBXFLVWEVXBXFLZVXCCVWEVXBXFFUV
      EVWIVXBVUEWFZSVXFVXCOVWIVXGVWJTRUVFZUVGVUEVXBXEQUVHXJYCCQMVWTCXDVWFYDPVWN
      VUTVFZVXGVWTVXHPVWTJUYJVUIVXBVXAVWTVUHUYJMZSZTRVUITNMZVXKUVKPZVWLVXKXQPZV
      XKVUENVUIVVBVXKEVUEVUHBVWNVUFVUTVXJVWRYEVUTVXJVUNVWNVUTUYJEVUHVVFUVIZUVLU
      VMZWHVXKVXLVWLVWDTVUIUVNUVOVXMVXNVXPTRVUIUVPXOVXKVUIVXKVWDVUIRUVQVUIWBMVX
      PVXKVUIRVXKVUJVUBAVUTVXJVUJVUBVWMVVAVXJSZVUJSRVUIVUAVUJRVUIOVXQVUJVUIRVUJ
      YHYFVSVXQVUIVUAMZVUJVXQBYRZVUHBUVRZMVXRAVXSVUTVXJAEVUEBHUVSYEVXQVUHEVXTVV
      AVUTVXJVUNVVCVXOUVTAEVXTOVUTVXJAVXTEAEVUEBHUWAYFYEUWCVUHBUWBWAVCUWDUWEVWN
      VWMVUTVXJVUJVWSUWFUWLUWGVUIUWHWAZUWIUWJZVXAVBZUWMZTVXBMVWTUWKPVUHVUEMZTVU
      HXSLVUHOZVUHTXSLVUHOZSZVWTVYEVUHNMZVYHVUHTRUWNVYIVYFVYGVUHUWOVUHUWPUWQUTV
      SUWRVWTYGVXAUJLZVXDVWOVWTVYJYGVXBXFLZVXAUJLZVYLVXDVWTUYJVXBVXAYGVYKUYIVXI
      VXBYGUWSKZMVWTYIPVYDVYKVBZUXBVWTVYLUXCVWTUFVXAVYKVXCQQQUGVXAQMVWTJUYJVUII
      UWTUXDPVWTYGVXBXFYJVWTXEVXBXFYJVYKXKKZVXCXKKZOVWTVYOVXBVYPVXBVYOVXBYSWFVX
      BVYOOVXBWBYSYKUXAYLVXBYSVYKYGVYNUXEYMXJZXLZVXBNWFVXBVYPOVXBVUENVXHVVBYLVX
      BNVXCXEVXCVBZXMYMXJXNPUGUHZVYOMZUFUHZVYOMZSZVYTWUBVYKXTKZLZVYOMZVWTWUDVYK
      UXLMZWUAWUCWUGWUHWUDUXFPWUAWUCUXMWUAWUCVFVYOWUEVYKVYTWUBVYOVBWUEVBUXGXOVS
      WUDWUFVYTWUBVXCXTKZLZOZVWTWUDVYTWBMZWUBWBMZWUKWUAWULWUCWUAVXBWBVYTVXBWBWF
      ZWUAYKPWUAVYTVYOVXBWUAYHVYRYNYOVCWUCWUMWUAWUCVXBWBWUBWUNWUCYKPWUCWUBVYOVX
      BWUCYHVYRYNYOVSWULWUMSZVYTWUBYPLZVYTWUBXSLZWUFWUJWUOWUQWUPVYTWUBUXHYFWUFW
      UPOWUOWUEYPVYTWUBWUEYGXTKZYPYPWUEWURVXBQMZYPWUEOVXBVYMYIYDZVXBYPYGVYKQVYN
      YQYBXJYQUXIYQUXJYTPWUJWUQOWUOWUIXSVYTWUBXSWUIWUSXSWUIOWUTVXBXSXEVXCQVYSYA
      YBXJXLYTPUXKWAVSVXAYRVWTJUYJVUIUXNPVWTVUIVYOMZJUYJVNVXAULVYOWFVWTWVAJUYJV
      XKVUIVXBVYOVYBVYQYNWIJUYJVUIVYOVXAVYCWKUTUXOUXPVWTUYJVUIJVUTVVIVWNVVJVSVX
      KVUIVYAUXQUXRUXSXPUXTUYAUYBXAUYCAEUYOBCDIFGHUYSUYDUYEVA $.
  $}

  ${
    $d F x y z $.  $d X x y z $.  $d ph x y z $.
    sge0cl.x $e |- ( ph -> X e. V ) $.
    sge0cl.f $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    $( The arbitrary sum of nonnegative extended reals is a nonnegative
       extended real.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0cl $p |- ( ph -> ( sum^ ` F ) e. ( 0 [,] +oo ) ) $=
      ( vx vy c0 wceq cc0 cpnf wcel a1i adantl wa adantr adantlr cxr cr csumge0
      vz cfv cicc co fveq2 sge00 eqtrd 0e0iccpnf eqeltrd wn wf simpr sge0pnfval
      crn pnfel0pnf wne simpll neqne ad2antlr 0xr pnfxr cpw cfn cin cv csu cmpt
      clt csup fge0iccico sge0reval wss wral elinel2 ad2antrr elinel1 elpwi syl
      sseldd ffvelrnd adantllr nne biimpi eqcomd wfun ffund 3ad2ant1 3impa fdmd
      w3a eleqtrd fvelrn syl2anc ad5ant134 ad3antrrr ge0xrre fsumrecl ralrimiva
      cdm condan eqid rnmptss ressxr sstrd supxrcl wex cle neneq wrel wb reldm0
      wbr frel mtbid neqned eqnetrd n0 sylib wi ffvelrnda rexrd iccgelb syl3anc
      wrex csn snelpwi snfi elind cc recnd sumsn sumeq1 rspceeqv elrnmpt mpbird
      supxrub breqtrd xrletrd pm2.61dan ex exlimdv mpd pnfge eliccxrd syl21anc
      ) ABIJZBUAUCZKLUDUEZMZUUGUUJAUUGUUHKUUIUUGUUHIUAUCZKBIUAUFUUKKJUUGUGNUHKU
      UIMUUGUINUJOAUUGUKZPZLBUOZMZUUJAUUOUUJUULAUUOPZUUHLUUIUUPBCDADCMZUUOEQADU
      UIBULZUUOFQAUUOUMUNLUUIMUUPUPNUJRUUMUUOUKZPABIUQZUUSUUJAUULUUSURUULUUTAUU
      SBIUSUTUUMUUSUMAUUTPZUUSPZKLUUHKSMZUVBVANLSMZUVBVBNAUUSUUHSMZUUTAUUSPZUUH
      GDVCZVDVEZGVFZHVFZBUCZHVGZVHZUOZSVIVJZSUVFGHBCDAUUQUUSEQUVFBDAUURUUSFQAUU
      SUMZVKVLZUVFUVNSVMZUVOSMUVFUVNTSUVFUVLTMZGUVHVNUVNTVMUVFUVSGUVHUVFUVIUVHM
      ZPZUVIUVKHUVTUVIVDMUVFUVIUVGVDVOOUWAUVJUVIMZPZUVKUUIMZUVKLUQZUVKTMAUVTUWB
      UWDUUSAUVTPZUWBPZDUUIUVJBAUURUVTUWBFVPUWGUVIDUVJUWFUVIDVMZUWBUVTUWHAUVTUV
      IUVGMUWHUVIUVGVDVQUVIDVRVSOQUWFUWBUMVTZWAWBUWCUWEUUOUWCUWEUKZPLUVKUUNUWJL
      UVKJUWCUWJUVKLUWJUVKLJUVKLWCWDWEOAUVTUWBUVKUUNMZUUSUWJAUVTUWBWKZBWFZUVJBW
      TZMUWKAUVTUWMUWBADUUIBFWGWHUWLUVJDUWNAUVTUWBUVJDMUWIWIAUVTDUWNJZUWBAUWNDA
      DUUIBFWJWEZWHWLUVJBWMWNWOUJUVFUUSUVTUWBUWJUVPWPXAUVKWQWNWRWSGUVHUVLTUVMUV
      MXBZXCVSTSVMUVFXDNXEZUVNXFVSUJZRUVBUBVFZDMZUBXGZKUUHXHXMZUVAUXBUUSUVADIUQ
      UXBUVADUWNIAUWOUUTUWPQUVAUWNIUVAUUGUWNIJZUUTUULABIXIOUVABXJZUUGUXDXKAUXEU
      UTAUURUXEFDUUIBXNVSQBXLVSXOXPXQUBDXRXSQUVBUXAUXCUBAUUSUXAUXCXTUUTUVFUXAUX
      CUVFUXAPZKUWTBUCZUUHUVCUXFVANUXFUXGUXFUXGUUIMZUXGLUQZUXGTMAUXAUXHUUSADUUI
      UWTBFYAZRZUXFUXIUUOUXFUXIUKZPLUXGUUNUXLLUXGJUXFUXLUXGLUXLUXGLJUXGLWCWDWEO
      UXFUXGUUNMZUXLAUXAUXMUUSAUXAPZUWMUWTUWNMUXMUXNDUUIBAUURUXAFQWGUXNUWTDUWNA
      UXAUMAUWOUXAUWPQWLUWTBWMWNRQUJUVFUUSUXAUXLUVPVPXAUXGWQWNZYBUVFUVEUXAUWSQA
      UXAKUXGXHXMZUUSUXNUVCUVDUXHUXPUVCUXNVANUVDUXNVBNUXJKLUXGYCYDRUXFUXGUVOUUH
      XHUXFUVRUXGUVNMZUXGUVOXHXMUVFUVRUXAUWRQUXFUXQUXGUVLJGUVHYEZUXFUWTYFZUVHMZ
      UXGUXSUVKHVGZJUXRUXAUXTUVFUXAUVGVDUXSUWTDYGUXSVDMUXAUWTYHNYIOUXFUYAUXGUXF
      UXAUXGYJMUYAUXGJUVFUXAUMUXFUXGUXOYKUVKUXGHUWTDUVJUWTBUFYLWNWEGUXSUVHUVLUY
      AUXGUVIUXSUVKHYMYNWNUXFUXHUXQUXRXKUXKGUVHUVLUXGUVMUUIUWQYOVSYPUVNUXGYQWNU
      VFUVOUUHJUXAUVFUUHUVOUVQWEQYRYSUUARUUBUUCAUUSUUHLXHXMZUUTUVFUVEUYBUWSUUHU
      UDVSRUUEUUFYTYT $.
  $}

  ${
    $d A k n x y $.  $d B n x y $.  $d C k n x y $.  $d D k x y $.
    $d F k n x y $.  $d G k x $.  $d ph x y $.
    sge0f1o.1 $e |- F/ k ph $.
    sge0f1o.2 $e |- F/ n ph $.
    sge0f1o.3 $e |- ( k = G -> B = D ) $.
    sge0f1o.4 $e |- ( ph -> C e. V ) $.
    sge0f1o.5 $e |- ( ph -> F : C -1-1-onto-> A ) $.
    sge0f1o.6 $e |- ( ( ph /\ n e. C ) -> ( F ` n ) = G ) $.
    sge0f1o.7 $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    $( Re-index a nonnegative extended sum using a bijection.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    sge0f1o $p |- ( ph -> ( sum^ ` ( k e. A |-> B ) ) = ( sum^ ` ( n e. C |-> D
       ) ) ) $=
      ( wcel wceq wa vy cpnf cmpt crn csumge0 cfv cvv wfo wf1o f1ofo syl fornex
      vx sylc adantr cc0 cicc co wf eqid fmptdf wrex pnfex elrnmpt ax-mp biimpi
      wb adantl wi nfv w3a csb simp3 f1of ffvelrnda nfcv nfcsb1 nfeq nfim eqeq1
      csbeq1a eqeq1d imbi12d vtoclgf eqcomd 3adant3 eqtrd simpl jca nfel1 eleq1
      cv nfan anbi2d eleq1d syl2anc eqeltrd rexlimd mpd sge0pnfval simpr wn cpw
      3exp cfn cin csu cxr clt csup sumex a1i cima wss elpwg wfun elinel2 imafi
      mpbird elind adantlr mpbid f1ores elpwinss ad2antrr simpll anbi12d vtoclg
      cres adantllr cc ad3antrrr simpllr idi fsumf1of sumeq1 rspceeqv rnmptssrn
      jca31 sge0revalmpt elrnmpt1sf eqtr4d ccnv fssdm fexd cnvexg imaexg f1ocnv
      cnvimass f1ofun nfmpt1 nfrn nfel nfn f1of1 foimacnv f1oeq3d reseq2 fveq1d
      wf1 eleq2 fvres sselda eleqtrd imaeq2 eleq2d imbi1d cr rge0ssre ax-resscn
      cico sstri simplll fimass sseldd foelrni sylan eqcomi id csbeq1d 3ad2ant3
      csbid 3eqtrd 3adant1r 0xr pnfxr eliccnelico elrnmpt1 syl21anc ssexd ffund
      condan sselid eqssd supeq1d 3eqtr4d pm2.61dan ) AUBGDEUCZUDZRZFBCUCZUEUFZ
      UWRUEUFZSAUWTTZUXBUBUXCUXDUXAUGBABUGRZUWTADJRZDBHUHZUXENADBHUIZUXGODBHUJU
      KZDBJHULUNZUOABUPUBUQURZUXAUSUWTAFBCUXKUXAKQUXAUTZVAUOUXDUBESZGDVBZUBUXAU
      DZRZUWTUXNAUWTUXNUBUGRUWTUXNVGVCGDEUBUWRUGUWRUTZVDVEVFVHAUXNUXPVIUWTAUXMU
      XPGDLUXPGVJAGWLZDRZUXMUXPAUXSUXMVKZUBFUXRHUFZCVLZUXOUXTUBEUYBAUXSUXMVMAUX
      SEUYBSUXMAUXSTZUYBEUYCUYABRZUYAISZUYBESZADBUXRHAUXHDBHUSZODBHVNUKZVOZPFWL
      ZISZCESZVIUYEUYFVIFUYABFUYAVPZUYEUYFFUYEFVJFUYBEFUYACUYMVQZFEVPVRVSUYJUYA
      SZUYKUYEUYLUYFUYJUYAIVTUYOCUYBEFUYACWAZWBWCMWDUNZWEZWFWGAUXSUYBUXORZUXMUY
      CUYDUYBUXKRZUYSUYIUYCUYDAUYDTZUYTUYIUYCAUYDAUXSWHUYIWIAUYJBRZTZCUXKRZVIVU
      AUYTVIFUYABUYMVUAUYTFAUYDFKUYDFVJWMFUYBUXKUYNWJVSUYOVUCVUAVUDUYTUYOVUBUYD
      AUYJUYABWKWNUYOCUYBUXKUYPWOWCQWDUNZFBCUYBUYAUXAUXKUYNUXLUYPUUAWPWFWQXDWRU
      OWSWTUXDUWRJDAUXFUWTNUOADUXKUWRUSUWTAGDEUXKUWRLUYCEUYBUXKUYRVUEWQZUXQVAUO
      AUWTXAWTUUBAUWTXBZTZUABXCZXEXFZUAWLZCFXGZUCUDZXHXIXJUMDXCZXEXFZUMWLZEGXGZ
      UCUDZXHXIXJUXBUXCVUHXHVUMVURXIVUHVUMVURVUHUAUMVUJVULVUOVUQUGVULUGRVUHVUKV
      UJRZTZVUKCFXKXLVUTHUUCZVUKXMZVUORZVULVVBEGXGZSVULVUQSUMVUOVBAVUSVVCVUGAVU
      STZVUNXEVVBAVVBVUNRZVUSAVVFVVBDXNZADBVVBHHVUKUUIUYHUUDAVVBUGRZVVFVVGVGZAV
      VAUGRZVVHAHUGRVVJADBJHUYHNUUEHUGUUFUKVVAVUKUGUUGUKZVVBDUGXOUKZXSZUOZVVEVV
      AXPZVUKXERZVVBXERZAVVOVUSABDVVAUIZVVOAUXHVVRODBHUUHUKBDVVAUUJUKUOVUSVVPAV
      UKVUIXEXQVHVVAVUKXRWPZXTZYAVUTVUKCVVBEFGHVVBYIZIVUHVUSFAVUGFKVUGFVJWMZVUS
      FVJWMVUHVUSGAVUGGLUWTGGUBUWSGUBVPGUWRGDEUUKUULUUMUUNWMZVUSGVJWMMAVUSVVQVU
      GVVSYAZAVUSVVBVUKVWAUIZVUGVVEVVBHVVBXMZVWAUIZVWEVVEDBHUUTZVVGVWGAVWHVUSAU
      XHVWHODBHUUOUKZUOVVEVVFVVGVVNAVVIVUSVVLUOYBDBVVBHYCWPVVEVWFVUKVVBVWAVVEUX
      GVUKBXNZVWFVUKSAUXGVUSUXIUOVUSVWJAVUKBXEYDVHDBVUKHUUPWPZUUQYBYAAVUSUXRVVB
      RZUXRVWAUFZISZVUGVVEVWLTZVVHAVVCTZVWLTZVWNAVVHVUSVWLVVKYEVWOAVVCVWLAVUSVW
      LYFVVEVVCVWLVVTUOVVEVWLXAYSAVUPVUORZTZUXRVUPRZTZUXRHVUPYIZUFZISZVIVWQVWNV
      IUMVVBUGVUPVVBSZVXAVWQVXDVWNVXEVWSVWPVWTVWLVXEVWRVVCAVUPVVBVUOWKZWNVUPVVB
      UXRUVAYGVXEVXCVWMIVXEUXRVXBVWAVUPVVBHUURUUSWBWCVXAVXCUYAIVWTVXCUYASVWSUXR
      VUPHUVBVHVXAAUXSUYEAVWRVWTYFVWSVUPDUXRVWRVUPDXNZAVUPDXEYDVHZUVCPWPWGZYHUN
      YJVUTUYJVUKRZTZVVHVUHVVCTZUYJVWFRZTZCYKRZAVVHVUGVUSVXJVVKYLVXKVUHVVCVXMVU
      HVUSVXJYFVXKVUNXEVVBAVVFVUGVUSVXJVVMYLVUTVVQVXJVWDUOXTAVUSVXJVXMVUGVVEVXJ
      TUYJVUKVWFVVEVXJXAVVEVUKVWFSVXJVVEVWFVUKVWKWEUOUVDYJYSVUHVWRTZUYJHVUPXMZR
      ZTZVXOVIZVXNVXOVIUMVVBUGVXEVXSVXNVXOVXEVXPVXLVXRVXMVXEVWRVVCVUHVXFWNVXEVX
      QVWFUYJVUPVVBHUVEUVFYGUVGVXTVXSUPUBUVKURZYKCVYAUVHYKUVIUVJUVLVXSAVUGVUBCV
      YARZAVUGVWRVXRUVMAVUGVWRVXRYMAVWRVXRVUBVUGVWSVXRTVXQBUYJAVXQBXNZVWRVXRAUY
      GVYCUYHDBHVUPUVNUKZYEVWSVXRXAUVOYJVUHVUBTZUYAUYJSZGDVBZVYBAVUBVYGVUGAUXGV
      UBVYGUXIGDBHUYJUVPUVQYAVYEVYFVYBGDVUHVUBGVWCVUBGVJWMVYBGVJVUHUXSVYFVYBVIV
      IVUBVUHUXSVYFVYBVUHUXSVYFVKCEVYAAUXSVYFUYLVUGAUXSVYFVKZCFUYJCVLZUYBECVYIS
      VYHVYICFCUWBUVRXLVYFAVYIUYBSUXSVYFFUYJUYACVYFUYAUYJVYFUVSWEUVTUWAAUXSUYFV
      YFUYCUYFVIUYQYNWFUWCUWDVUHUXSEVYARZVYFVUHUXSTVYJUWTAUXSVYJXBZUWTVUGUYCVYK
      TZUBEUWSVYLEUBVYLUPUBEUPXHRVYLUWEXLUBXHRVYLUWFXLUYCEUXKRZVYKVUFUOUYCVYKXA
      UWGWEUYCEUWSRZVYKUYCUXSVYMVYNAUXSXAUYCVYMVIVUFYNGDEUWRUXKUXQUWHWPUOWQYJAV
      UGUXSVYKYMUWLZWFWQXDUOWRWSZUWIUWMZYNYHUNYOUMVVBVUOVUQVVDVULVUPVVBEGYPYQWP
      YRVUHUMUAVUOVUQVUJVULUGVUQUGRVXPVUPEGXKXLVXPVXQVUJRZVUQVXQCFXGZSVUQVULSUA
      VUJVBAVWRVYRVUGVWSVUIXEVXQAVXQVUIRZVWRAVYTVYCVYDAVXQUGRVYTVYCVGAVXQBUGUXJ
      VYDUWJVXQBUGXOUKXSUOVWSHXPZVUPXERZVXQXERAWUAVWRADBHUYHUWKUOVWRWUBAVUPVUNX
      EXQZVHHVUPXRWPXTYAVXPVYSVUQVXPVXQCVUPEFGVXBIVUHVWRFVWBVWRFVJWMVUHVWRGVWCV
      WRGVJWMMVWRWUBVUHWUCVHAVWRVUPVXQVXBUIZVUGVWSVWHVXGWUDAVWHVWRVWIUOVXHDBVUP
      HYCWPYAAVWRVWTVXDVUGVXIYJVYQYOWEUAVXQVUJVULVYSVUQVUKVXQCFYPYQWPYRUWNUWOVU
      HFUABCUGVWBAUXEVUGUXJUOVYPYTVUHGUMDEJVWCAUXFVUGNUOVYOYTUWPUWQ $.
  $}

  ${
    $d A k $.  $d C k $.  $d k ph $.
    sge0snmpt.a $e |- ( ph -> A e. V ) $.
    sge0snmpt.c $e |- ( ph -> C e. ( 0 [,] +oo ) ) $.
    sge0snmpt.b $e |- ( k = A -> B = C ) $.
    $( A sum of a nonnegative extended real is the term.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    sge0snmpt $p |- ( ph -> ( sum^ ` ( k e. { A } |-> B ) ) = C ) $=
      ( csn cmpt csumge0 cfv cc0 cpnf cicc wcel wceq syl adantl co cv wa adantr
      elsni eqeltrd eqid fmptd sge0sn eqidd snidg fvmptd eqtrd ) AEBJZCKZLMBUOM
      DABUOFGAEUNCNOPUAZUOAEUBZUNQZUCCDUPURCDRZAURUQBRZUSUQBUEISTADUPQURHUDUFUO
      UGUHUIAEBCDUNUOUPAUOUJUTUSAITABFQBUNQGBFUKSHULUM $.
  $}

  ${
    sge0ge0.x $e |- ( ph -> X e. V ) $.
    sge0ge0.f $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    $( The sum of nonnegative extended reals is nonnegative.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    sge0ge0 $p |- ( ph -> 0 <_ ( sum^ ` F ) ) $=
      ( cc0 cxr wcel cpnf csumge0 cfv cicc co cle wbr 0xr a1i pnfxr sge0cl
      iccgelb syl3anc ) AGHIZJHIZBKLZGJMNIGUEOPUCAQRUDASRABCDEFTGJUEUAUB $.
  $}

  ${
    sge0xrcl.x $e |- ( ph -> X e. V ) $.
    sge0xrcl.f $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    $( The arbitrary sum of nonnegative extended reals is an extended real.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0xrcl $p |- ( ph -> ( sum^ ` F ) e. RR* ) $=
      ( cc0 cpnf cicc co cxr csumge0 cfv iccssxr sge0cl sselid ) AGHIJKBLMGHNAB
      CDEFOP $.
  $}

  ${
    sge0repnf.x $e |- ( ph -> X e. V ) $.
    sge0repnf.f $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    $( The of nonnegative extended reals is a real number if and only if it is
       not ` +oo ` .  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0repnf $p |- ( ph -> ( ( sum^ ` F ) e. RR <-> -. ( sum^ ` F ) = +oo ) )
                 $=
      ( csumge0 cfv cr wcel cpnf wceq wn wi renepnf a1i cc0 cxr adantr wbr cico
      neneqd wa co rge0ssre 0xr pnfxr sge0xrcl cle sge0ge0 clt simpr wb nltpnft
      syl mtbid notnotrd elicod sselid ex impbid ) ABGHZIJZVBKLZMZVCVENAVCVBKVB
      OUBPAVEVCAVEUCZQKUAUDIVBUEVFQKVBQRJVFUFPKRJVFUGPAVBRJZVEABCDEFUHZSAQVBUIT
      VEABCDEFUJSVFVBKUKTZVFVDVIMZAVEULAVDVJUMZVEAVGVKVHVBUNUOSUPUQURUSUTVA $.
  $}

  ${
    $d F w x y $.  $d X w x y $.  $d ph w x y $.
    sge0fsum.x $e |- ( ph -> X e. Fin ) $.
    sge0fsum.f $e |- ( ph -> F : X --> ( 0 [,) +oo ) ) $.
    $( The arbitrary sum of a finite set of nonnegative extended real numbers
       is equal to the sum of those numbers, when none of them is ` +oo `
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0fsum $p |- ( ph -> ( sum^ ` F ) = sum_ x e. X ( F ` x ) ) $=
      ( vy vw cv cfn wcel wa cc0 cpnf cr cxr cle wbr a1i adantr csumge0 cfv csu
      fge0icoicc sge0xrcl cico rge0ssre ffvelrnda sselid fsumrecl rexrd cpw cin
      cmpt crn clt csup sge0reval wral wceq wrex simpr cvv vex eqid elrnmpt syl
      co wb mpbid wi w3a simp3 wf fge0npnf fge0iccre ffvelrnd 0xr pnfxr iccgelb
      cicc syl3anc wss elinel1 elpwi fsumless 3adant3 eqbrtrd 3exp rexlimdv mpd
      adantl ralrimiva elinel2 sselda rnmptss supxrleub syl2anc ssid fsumlesge0
      mpbird xrletrid ) ACUAUBZDBIZCUBZBUCZACJDEACDFUDZUEAXFADXEBEAXDDKZLMNUFVH
      ZOXEUGADXIXDCFUHUIUJUKZAXCGDULZJUMZGIZXEBUCZUNZUOZPUPUQZXFQAGBCJDEFURAXQX
      FQRZHIZXFQRZHXPUSZAXTHXPAXSXPKZLZXSXNUTZGXLVAZXTYCYBYEAYBVBYCXSVCKZYBYEVI
      YFYCHVDSGXLXNXSXOVCXOVEZVFVGVJAYEXTVKYBAYDXTGXLAXMXLKZYDXTAYHYDVLXSXNXFQA
      YHYDVMAYHXNXFQRYDAYHLZDXEXMBADJKYHETYIXHLZDOXDCYIDOCVNZXHAYKYHACDXGACDFVO
      VPTZTYIXHVBVQYJMPKZNPKZXEMNWAVHZKMXEQRYMYJVRSYNYJVSSYIDYOXDCADYOCVNYHXGTU
      HMNXEVTWBYHXMDWCZAYHXMXKKYPXMXKJWDXMDWEVGWLZWFWGWHWIWJTWKWMAXPPWCZXFPKXRY
      AVIAXNPKZGXLUSYRAYSGXLYIXNYIXMXEBYHXMJKAXMXKJWNWLYIXDXMKZLDOXDCYIYKYTYLTY
      IXMDXDYQWOVQUJUKWMGXLXNPXOYGWPVGXJHXPXFWQWRXAWHABCJDDEFDDWCADWSSEWTXB $.
  $}

  ${
    sge0rern.x $e |- ( ph -> X e. V ) $.
    sge0rern.f $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    sge0rern.re $e |- ( ph -> ( sum^ ` F ) e. RR ) $.
    $( If the sum of nonnegative extended reals is not ` +oo ` then no terms is
       ` +oo ` .  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0rern $p |- ( ph -> -. +oo e. ran F ) $=
      ( cpnf crn wcel csumge0 cfv wceq wa adantr cc0 cicc co wf simpr sge0repnf
      sge0pnfval cr wn mpbid pm2.65da ) AHBIJZBKLZHMZAUGNZBCDADCJUGEOZADPHQRBSU
      GFOZAUGTUBUJUHUCJZUIUDAUMUGGOUJBCDUKULUAUEUF $.
  $}

  ${
    $d F w x y z $.  $d X w x y z $.  $d ph w x y $.
    sge0supre.x $e |- ( ph -> X e. V ) $.
    sge0supre.f $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    sge0supre.re $e |- ( ph -> ( sum^ ` F ) e. RR ) $.
    $( If the arbitrary sum of nonnegative extended reals is real, then it is
       the supremum (in the real numbers) of finite subsums.  Similar to
       ~ sge0sup , but here we can use ` sup ` with respect to ` RR ` instead
       of ` RR* ` .  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0supre $p |- ( ph -> ( sum^ ` F ) = sup ( ran ( x e. ( ~P X i^i Fin )
       |-> sum_ y e. x ( F ` y ) ) , RR , < ) ) $=
      ( vw vz cv cxr cr cpnf wcel wceq adantr cle wbr csumge0 cfv cpw cmpt csup
      cfn cin csu crn clt wa cc0 cicc co wf simpr sge0pnfval wn sge0repnf mpbid
      pm2.65da fge0iccico sge0reval wss c0 wne wral wrex sge0rnre sge0rnn0 eqid
      a1i wb elrnmpt adantl wi w3a simp3 ressxr sstrd id sumex elrnmpt1 syl2anc
      cvv supxrub eqcomd breqtrd 3adant3 eqbrtrd rexlimdv ralrimiva brralrspcev
      3exp mpd supxrre syl3anc eqtrd ) ADUAUBZBFUCUFUGZBLZCLDUBZCUHZUDZUIZMUJUE
      ZXENUJUEZABCDEFGADFHAODUIPZWSOQZAXHUKDEFAFEPXHGRAFULOUMUNDUOXHHRAXHUPUQAX
      IURZXHAWSNPZXJIADEFGHUSUTRVAVBZVCZAXENVDXEVEVFZJLZKLSTJXEVGKNVHZXFXGQABCD
      FXLVIZXNABCDFVJVLAXKXOWSSTZJXEVGXPIAXRJXEAXOXEPZUKZXOXCQZBWTVHZXRXTXSYBAX
      SUPXSXSYBVMABWTXCXOXDXEXDVKZVNVOUTAYBXRVPXSAYAXRBWTAXAWTPZYAXRAYDYAVQXOXC
      WSSAYDYAVRAYDXCWSSTYAAYDUKZXCXFWSSYEXEMVDZXCXEPZXCXFSTAYFYDAXENMXQNMVDAVS
      VLVTRYDYGAYDYDXCWEPZYGYDWAYHYDXAXBCWBVLBWTXCXDWEYCWCWDVOXEXCWFWDAXFWSQYDA
      WSXFXMWGRWHWIWJWNWKRWOWLKJXOWSSNXEWMWDKJXEWPWQWR $.
  $}

  ${
    $d A j k $.  $d B j $.  $d j k ph $.
    sge0fsummpt.a $e |- ( ph -> A e. Fin ) $.
    sge0fsummpt.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,) +oo ) ) $.
    $( The arbitrary sum of a finite set of nonnegative extended real numbers
       is equal to the sum of those numbers, when none of them is ` +oo `
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0fsummpt $p |- ( ph -> ( sum^ ` ( k e. A |-> B ) ) = sum_ k e. A B ) $=
      ( vj cmpt csumge0 cfv cv csu cc0 cpnf cico co eqid wceq nfcv wcel nffv wa
      fmptd sge0fsum fveq2 nfmpt1 cbvsum simpr fvmpt2 syl2anc sumeq2dv 3eqtrd
      a1i ) ADBCHZIJBGKZUNJZGLZBDKZUNJZDLZBCDLAGUNBEADBCMNOPZUNFUNQZUCUDUQUTRAB
      UPUSGDUOURUNUEDBSGBSDUOUNDBCUFDUOSUAGUSSUGUMABUSCDAURBTZUBVCCVATUSCRAVCUH
      FDBCVAUNVBUIUJUKUL $.
  $}

  ${
    $d F x y $.  $d X x y $.  $d ph x y $.
    sge0sup.x $e |- ( ph -> X e. V ) $.
    sge0sup.f $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    $( The arbitrary sum of nonnegative extended reals is the supremum of
       finite subsums.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0sup $p |- ( ph -> ( sum^ ` F ) = sup ( ran ( x e. ( ~P X i^i Fin ) |->
       ( sum^ ` ( F |` x ) ) ) , RR* , < ) ) $=
      ( vy cpnf crn wcel csumge0 cfv cfn cxr wceq wa adantr cvv a1i cpw cv cres
      cin cmpt clt csup eqidd cc0 cicc co simpr sge0pnfval wss wral vex elinel1
      elpwi syl adantl fssresd sge0xrcl adantlr ralrimiva eqid rnmptss wrex wfn
      wf wb ffnd fvelrnb mpbid wi w3a csn snelpwi elind 3ad2ant2 simp2 3ad2ant1
      snfi snssd sge0sn vsnid fvres ax-mp simp3 3eqtrrd reseq2 rspceeqv syl2anc
      fveq2d pnfex elrnmptd 3exp rexlimdv mpd supxrpnf 3eqtr4d wn csu sge0reval
      elinel2 nelrnres ad2antlr sge0fsum sumeq2dv eqtrd mpteq2dva rneqd supeq1d
      fge0iccico eqtr4d pm2.61dan ) AICJKZCLMZBEUAZNUDZCBUBZUCZLMZUEZJZOUFUGZPA
      XPQZIIXQYEYFIUHYFCDEAEDKZXPFRAEUIIUJUKZCVIZXPGRAXPULZUMYFYDOUNZIYDKZYEIPY
      FYBOKZBXSUOYKYFYMBXSAXTXSKZYMXPAYNQZYASXTXTSKYOBUPTYOEYHXTCAYIYNGRYNXTEUN
      ZAYNXTXRKYPXTXRNUQXTEURUSUTVAZVBVCVDBXSYBOYCYCVEZVFUSYFHUBZCMZIPZHEVGZYLY
      FXPUUBYJAXPUUBVJZXPACEVHUUCAEYHCGVKHEICVLUSRVMAUUBYLVNXPAUUAYLHEAYSEKZUUA
      YLAUUDUUAVOZBXSYBIYCSYRUUEYSVPZXSKZICUUFUCZLMZPIYBPBXSVGUUDAUUGUUAUUDXRNU
      UFYSEVQUUFNKUUDYSWBTVRVSUUEUUIYSUUHMZYTIUUEYSUUHEAUUDUUAVTZUUEEYHUUFCAUUD
      YIUUAGWAUUEYSEUUKWCVAWDUUJYTPZUUEYSUUFKUULHWEYSUUFCWFWGTAUUDUUAWHWIBUUFXS
      YBUUIIXTUUFPYAUUHLXTUUFCWJWMWKWLISKUUEWNTWOWPWQRWRYDWSWLWTAXPXAZQZXQBXSXT
      YTHXBZUEZJZOUFUGYEUUNBHCDEAYGUUMFRUUNCEAYIUUMGRAUUMULXMXCUUNOYDUUQUFUUNYC
      UUPUUNBXSYBUUOUUNYNQZYBXTYSYAMZHXBZUUOUURHYAXTYNXTNKUUNXTXRNXDUTUURYAXTAY
      NXTYHYAVIUUMYQVCUUMIYAJKXAAYNICXTXEXFXMXGYNUUTUUOPUUNYNXTUUSYTHYNYSXTKZQU
      VAUUSYTPYNUVAULYSXTCWFUSXHUTXIXJXKXLXNXO $.
  $}

  ${
    $d F x y $.  $d X x y $.  $d Y x y $.  $d ph x y $.
    sge0less.1 $e |- ( ph -> X e. V ) $.
    sge0less.2 $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    $( A shorter sum of nonnegative extended reals is smaller than a longer
       one.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0less $p |- ( ph -> ( sum^ ` ( F |` Y ) ) <_ ( sum^ ` F ) ) $=
      ( vx vy cfv cpnf cle wa cxr wcel syl adantr cfn crn wss csumge0 wceq cres
      wbr cvv cin inex1g cc0 cicc co wf fresin sge0xrcl pnfge id eqcomd breqtrd
      adantl wn cr simpl simpr sge0repnf mpbird cpw csu cmpt csup elinel1 elpwi
      cv clt inss2 a1i sstrd fvres ralrimiva sumeq2d mpteq2ia inss1 sspwi ssrin
      sseldd ax-mp mptss eqsstri rnss sge0rern fge0iccico ressxr sstrdi supxrss
      sge0rnre syl2anc nelrnres sge0reval breq12d pm2.61dan ) ABUAJZKUBZBEUCZUA
      JZWSLUDZAWTMXBKWSLAXBKLUDZWTAXBNOXDAXAUEDEUFZADCOZXEUEOZFDECUGZPADUHKUIUJ
      ZBUKZXEXIXAUKZGDXIBEULZPUMXBUNPQWTKWSUBAWTWSKWTUOUPURUQAWTUSZMZAWSUTOZXCA
      XMVAZXNXOXMAXMVBXNBCDXNAXFXPFPXNAXJXPGPVCVDAXOMZXCHXEVEZRUFZHVKZIVKZXAJZI
      VFZVGZSZNVLVHZHDVEZRUFZXTYABJZIVFZVGZSZNVLVHZLUDZXQYEYLTZYLNTYNYOXQYDYKTY
      OYDHXSYJVGZYKHXSYCYJXTXSOZXTYBYIIYQYBYIUBZIXTYQYAXTOZMZYAEOYRYTXTEYAYQXTE
      TYSYQXTXEEYQXTXROXTXETXTXRRVIXTXEVJPXEETYQDEVMVNVOQYQYSVBWCYAEBVPPVQVRVSX
      SYHTZYPYKTXRYGTUUAXEDDEVTWAXRYGRWBWDHXSYHYJWEWDWFYDYKWGWDVNXQYLUTNXQHIBDX
      QBDAXJXOGQZXQBCDAXFXOFQZUUBAXOVBWHZWIZWMWJWKYEYLWLWNXQXBYFWSYMLXQHIXAUEXE
      XQXFXGUUCXHPXQXAXEXQXJXKUUBXLPXQKBSOUSKXASOUSUUDKBEWOPWIWPXQHIBCDUUCUUEWP
      WQVDWNWR $.
  $}

  ${
    $d F w x z $.  $d F x y z $.  $d X z $.  $d ph w x $.
    sge0rnbnd.x $e |- ( ph -> X e. V ) $.
    sge0rnbnd.f $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    sge0rnbnd.re $e |- ( ph -> ( sum^ ` F ) e. RR ) $.
    $( The range used in the definition of ` sum^ ` is bounded, when the whole
       sum is a real number.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    sge0rnbnd $p |- ( ph -> E. z e. RR A. w e. ran ( x e. ( ~P X i^i Fin ) |->
       sum_ y e. x ( F ` y ) ) w <_ z ) $=
      ( cfv cr wcel cv cle wbr cfn adantl adantr csumge0 cpw cin cmpt wral wrex
      csu crn wa wceq simpl cvv wb vex eqid elrnmpt ax-mp biimpi w3a simp3 cpnf
      cc0 cicc co wf wn sge0rern fge0iccico elpwinss elinel2 fsumlesge0 3adant3
      wss eqbrtrd 3exp rexlimdv sylc ralrimiva brralrspcev syl2anc ) AFUALZMNEO
      ZWAPQZEBHUBZRUCZBOZCOFLCUGZUDZUHZUEWBDOPQEWIUEDMUFKAWCEWIAWBWINZUIAWBWGUJ
      ZBWEUFZWCAWJUKWJWLAWJWLWBULNWJWLUMEUNBWEWGWBWHULWHUOUPUQURSAWKWCBWEAWFWEN
      ZWKWCAWMWKUSWBWGWAPAWMWKUTAWMWGWAPQWKAWMUIZCFGHWFAHGNWMITWNFHAHVBVAVCVDFV
      EWMJTAVAFUHNVFWMAFGHIJKVGTVHWMWFHVMAWFHRVISWMWFRNAWFWDRVJSVKVLVNVOVPVQVRD
      EWBWAPMWIVSVT $.
  $}

  ${
    $d A k $.  $d B k $.  $d D k $.  $d E k $.  $d V k $.  $d W k $.
    $d k ph $.
    sge0pr.a $e |- ( ph -> A e. V ) $.
    sge0pr.b $e |- ( ph -> B e. W ) $.
    sge0pr.d $e |- ( ph -> D e. ( 0 [,] +oo ) ) $.
    sge0pr.e $e |- ( ph -> E e. ( 0 [,] +oo ) ) $.
    sge0pr.cd $e |- ( k = A -> C = D ) $.
    sge0pr.ce $e |- ( k = B -> C = E ) $.
    sge0pr.ab $e |- ( ph -> A =/= B ) $.
    $( Sum of a pair of nonnegative extended reals.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    sge0pr $p |- ( ph -> ( sum^ ` ( k e. { A , B } |-> C ) ) = ( D +e E ) ) $=
      ( cpnf wceq wcel adantr cpr cmpt csumge0 cfv cxad co wa cxr cmnf wne cicc
      cc0 iccssxr sselid mnfxr a1i 0xr clt wbr mnflt0 cle pnfxr iccgelb syl3anc
      xrltletrd xrgtned xaddpnf2 syl2anc eqcomd cvv prex adantl eqeltrd adantlr
      wf cv wn simpll simpl neqne elprn1 adantll pm2.61dan eqid fmptd id prid1g
      crn syl rnmptpr eleqtrd sge0pnfval oveq1 3eqtr4d xaddpnf1 oveq2 csu caddc
      prid2g cc cr rge0ssre ax-resscn sstri pnfge necon3bi xrleneltd elicod jca
      cico ad2antrr sumpr cfn prfi ad4ant14 simp-4l simpllr w3a 3adant2 3adant3
      sge0fsummpt rexadd ) AEQRZFBCUAZDUBZUCUDZEGUEUFZRZAYCUGZQQGUEUFZYFYGAQYJR
      YCAYJQAGUHSZGUIUJYJQRAULQUKUFZUHGULQUMZMUNZAUIGUIUHSAUOUPZYNAUIULGYOULUHS
      ZAUQUPZYNUIULURUSAUTUPZAYPQUHSZGYLSZULGVAUSZYQYSAVBUPZMULQGVCVDZVEVFGVGVH
      VITYIYEVJYDYDVJSZYIBCVKZUPAYDYLYEVOZYCAFYDDYLYEAFVPZYDSZUGZUUGBRZDYLSZAUU
      JUUKUUHAUUJUGDEYLUUJDERZANVLAEYLSZUUJLTVMVNUUIUUJVQZUGAUUGCRZUUKAUUHUUNVR
      UUHUUNUUOAUUHUUNUGUUHUUGBUJZUUOUUHUUNVSUUNUUPUUHUUGBVTVLUUGBCWAVHZWBAUUOU
      GDGYLUUODGRZAOVLZAYTUUOMTVMVHWCYEWDZWEZTYIQEYEWHZYCQERAYCEQYCWFZVIVLAEUVB
      SYCAEEGUAZUVBAUUMEUVDSLEGYLWGWIAUVBUVDAFBCDEGYEHIJKUUTNOWJVIZWKTVMWLYCYGY
      JRAEQGUEWMVLWNAYCVQZUGZGQRZYHAUVHYHUVFAUVHUGZQEQUEUFZYFYGAQUVJRUVHAUVJQAE
      UHSZEUIUJUVJQRAYLUHEYMLUNZAUIEYOUVLAUIULEYOYQUVLYRAYPYSUUMULEVAUSZYQUUBLU
      LQEVCVDZVEVFEWOVHVITUVIYEVJYDUUDUVIUUEUPAUUFUVHUVATUVIQGUVBUVHQGRAUVHGQUV
      HWFZVIVLAGUVBSUVHAGUVDUVBAYTGUVDSMEGYLWSWIUVEWKTVMWLUVHYGUVJRAGQEUEWPVLWN
      VNUVGUVHVQZUGZYDDFWQEGWRUFZYFYGUVQBCDEFGHINOUVQEWTSGWTSZUVQULQXJUFZWTEUVT
      XAWTXBXCXDZUVGEUVTSZUVPUVGULQEYPUVGUQUPYSUVGVBUPZAUVKUVFUVLTZAUVMUVFUVNTU
      VGEQUWDUWCAEQVAUSZUVFAUVKUWEUVLEXEWITUVFEQUJAYCEQUVCXFVLXGXHZTZUNAUVPUVSU
      VFAUVPUGZUVTWTGUWAUWHULQGYPUWHUQUPYSUWHVBUPZAYKUVPYNTZAUUAUVPUUCTUWHGQUWJ
      UWIAGQVAUSZUVPAYKUWKYNGXEWITUVPGQUJAUVHGQUVOXFVLXGXHZUNVNXIABHSZCISZUGUVF
      UVPAUWMUWNJKXIXKABCUJUVFUVPPXKXLUVQYDDFYDXMSUVQBCXNUPUVQUUHUGZUUJDUVTSZUV
      GUUJUWPUVPUUHUVGUUJUGDEUVTUUJUULUVGNVLUVGUWBUUJUWFTVMXOUWOUUNUGAUVPUUOUWP
      AUVFUVPUUHUUNXPUVGUVPUUHUUNXQUUHUUNUUOUVQUUQWBAUVPUUOXRDGUVTAUUOUURUVPUUS
      XSAUVPGUVTSUUOUWLXTVMVDWCYAUVQEXASGXASZYGUVRRUVQUVTXAEXBUWGUNAUVPUWQUVFUW
      HUVTXAGXBUWLUNVNEGYBVHWNWCWC $.
  $}

  ${
    $d A x y z $.  $d F x y z $.  $d X x y z $.  $d ph x y z $.
    sge0gerp.x $e |- ( ph -> X e. V ) $.
    sge0gerp.f $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    sge0gerp.a $e |- ( ph -> A e. RR* ) $.
    sge0gerp.z $e |- ( ( ph /\ x e. RR+ ) -> E. z e. ( ~P X i^i Fin ) A <_ ( (
       sum^ ` ( F |` z ) ) +e x ) ) $.
    $( The arbitrary sum of nonnegative extended reals is greater than or equal
       to a given extended real number if this number can be approximated from
       below by finite subsums.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    sge0gerp $p |- ( ph -> A <_ ( sum^ ` F ) ) $=
      ( vy cv csumge0 cxr cle nfv wcel co cxad cpw cfn cin cres cfv crn clt wss
      cmpt csup wral wa simpr cc0 cpnf cicc wf adantr elinel1 elpwi syl fssresd
      adantl sge0xrcl ralrimiva eqid rnmptss crp wbr wrex nfmpt1 nfrn nfrex w3a
      cvv id fvexd elrnmpt1 syl2anc 3ad2ant2 simp3 wceq oveq1 breq2d rspce 3exp
      rexlimd mpd supxrge sge0sup eqcomd breqtrd ) ADCGUAZUBUCZECMZUDZNUEZUIZUF
      ZOUGUJZENUEZPABLWSDABQAWQORZCWNUKWSOUHAXBCWNAWOWNRZULZWPWNWOAXCUMXDGUNUOU
      PSZWOEAGXEEUQXCIURXCWOGUHZAXCWOWMRXFWOWMUBUSWOGUTVAVCVBVDVECWNWQOWRWRVFZV
      GVAJABMZVHRULZDWQXHTSZPVIZCWNVJDLMZXHTSZPVIZLWSVJZKXIXKXOCWNXICQXNCLWSCWR
      CWNWQVKVLXNCQVMXIXCXKXOXIXCXKVNWQWSRZXKXOXCXIXPXKXCXCWQVORXPXCVPXCWPNVQCW
      NWQWRVOXGVRVSVTXIXCXKWAXNXKLWQWSXKLQXLWQWBXMXJDPXLWQXHTWCWDWEVSWFWGWHWIAX
      AWTACEFGHIWJWKWL $.
  $}

  ${
    $d F x y z $.  $d X x y z $.  $d Y x y z $.  $d ph x z $.
    sge0pnffigt.x $e |- ( ph -> X e. V ) $.
    sge0pnffigt.f $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    sge0pnffigt.pnf $e |- ( ph -> ( sum^ ` F ) = +oo ) $.
    sge0pnffigt.y $e |- ( ph -> Y e. RR ) $.
    $( If the sum of nonnegative extended reals is ` +oo ` , then any real
       number can be dominated by finite subsums.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    sge0pnffigt $p |- ( ph -> E. x e. ( ~P X i^i Fin ) Y < ( sum^ ` ( F |` x )
       ) ) $=
      ( vz vy cv clt wbr wrex cr wcel cxr cvv cpw cfn cin cres csumge0 cfv cmpt
      crn wral csup cpnf wceq sge0sup eqtr3d wss wb wa vex a1i cc0 co wf adantr
      cicc elpwinss adantl fssresd sge0xrcl ralrimiva eqid syl supxrunb2 mpbird
      rnmptss breq1 rexbidv rspcva syl2anc w3a elrnmpt biimpi 3ad2ant2 nfv nfcv
      ax-mp nfmpt1 nfrn nfel nf3an wi simpl simpr breq2d mpbid 3adant2 reximdai
      ex a1d mpd 3exp rexlimdv ) AFKMZNOZKBEUAUBUCZCBMZUDZUEUFZUGZUHZPZFXGNOZBX
      DPZAFQRLMZXBNOZKXIPZLQUIZXJJAXPXISNUJZUKULZACUEUFXQUKABCDEGHUMIUNAXISUOZX
      PXRUPAXGSRZBXDUIXSAXTBXDAXEXDRZUQZXFTXEXETRYBBURUSYBEUTUKVDVAZXECAEYCCVBY
      AHVCYAXEEUOAXEEUBVEVFVGVHVIBXDXGSXHXHVJZVNVKLKXIVLVKVMXOXJLFQXMFULXNXCKXI
      XMFXBNVOVPVQVRAXCXLKXIAXBXIRZXCXLAYEXCVSZXBXGULZBXDPZXLYEAYHXCYEYHXBTRYEY
      HUPKURBXDXGXBXHTYDVTWEWAWBYFYGXKBXDAYEXCBABWCBXBXIBXBWDBXHBXDXGWFWGWHXCBW
      CWIAXCYAYGXKWJZWJYEAXCUQYIYAXCYIAXCYGXKXCYGUQZXCXKXCYGWKYJXBXGFNXCYGWLWMW
      NWQVFWRWOWPWSWTXAWS $.
  $}

  ${
    sge0less.x $e |- ( ph -> X e. V ) $.
    sge0less.f $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    sge0ssre.re $e |- ( ph -> ( sum^ ` F ) e. RR ) $.
    $( If a sum of nonnegative extended reals is real, than any subsum is real.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0ssre $p |- ( ph -> ( sum^ ` ( F |` Y ) ) e. RR ) $=
      ( csumge0 cfv cxr wcel cr cmnf clt wbr cvv syl cc0 a1i cres cle cpnf cicc
      cin inex1g co fresin sge0xrcl mnfxr 0xr mnflt0 sge0ge0 xrltletrd sge0less
      wf xrre syl22anc ) ABEUAZIJZKLBIJZMLNUTOPUTVAUBPUTMLAUSQDEUEZADCLVBQLFDEC
      UFRZADSUCUDUGZBUPVBVDUSUPGDVDBEUHRZUIZHANSUTNKLAUJTSKLAUKTVFNSOPAULTAUSQV
      BVCVEUMUNABCDEFGUOUTVAUQUR $.
  $}

  ${
    $d A x y $.  $d F x y $.  $d X x y $.  $d ph x y $.
    sge0lefi.1 $e |- ( ph -> X e. V ) $.
    sge0lefi.2 $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    sge0lefi.3 $e |- ( ph -> A e. RR* ) $.
    $( A sum of nonnegative extended reals is smaller than a given extended
       real if and only if every finite subsum is smaller than it.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0lefi $p |- ( ph -> ( ( sum^ ` F ) <_ A <-> A. x e. ( ~P X i^i Fin ) (
       sum^ ` ( F |` x ) ) <_ A ) ) $=
      ( vy csumge0 cfv cle wbr wral wa wcel cxr adantr ralrimiva cv cpw cfn cin
      cres simpr cc0 cpnf cicc co wss elpwinss adantl fssresd sge0xrcl ad2antrr
      wf adantlr sge0less simplr xrletrd ex cmpt crn clt csup wceq sge0sup wrex
      cvv wb vex eqid elrnmpt ax-mp biimpi nfv nfra1 nfan nfcv nfmpt1 nfrn nfel
      wi w3a simp3 rspa 3adant3 eqbrtrd 3adant1l 3exp rexlimd rnmptss supxrleub
      mpd syl syl2anc mpbird impbid ) ADKLZCMNZDBUAZUEZKLZCMNZBFUBUCUDZOZAXAXGA
      XAPZXEBXFXHXBXFQZPXDWTCAXIXDRQZXAAXIPZXCXFXBAXIUFXKFUGUHUIUJZXBDAFXLDUQXI
      HSZXIXBFUKAXBFUCULUMUNUOZURAWTRQXAXIADEFGHUOUPACRQZXAXIIUPAXIXDWTMNXAXKDE
      FXBAFEQXIGSXMUSURAXAXIUTVATVBAXGXAAXGPZWTBXFXDVCZVDZRVEVFZCMAWTXSVGXGABDE
      FGHVHSXPXSCMNZJUAZCMNZJXROZXPYBJXRXPYAXRQZPZYAXDVGZBXFVIZYBYDYGXPYDYGYAVJ
      QYDYGVKJVLBXFXDYAXQVJXQVMZVNVOVPUMYEYFYBBXFXPYDBAXGBABVQXEBXFVRVSBYAXRBYA
      VTBXQBXFXDWAWBWCVSYBBVQXPXIYFYBWDWDYDXPXIYFYBXGXIYFYBAXGXIYFWEYAXDCMXGXIY
      FWFXGXIXEYFXEBXFWGWHWIWJWKSWLWOTXPXRRUKZXOXTYCVKAYIXGAXJBXFOYIAXJBXFXNTBX
      FXDRXQYHWMWPSAXOXGISJXRCWNWQWRWIVBWS $.
  $}

  ${
    $d A x $.  $d C x $.  $d ph x $.
    sge0lessmpt.a $e |- ( ph -> A e. V ) $.
    sge0lessmpt.b $e |- ( ( ph /\ x e. A ) -> B e. ( 0 [,] +oo ) ) $.
    sge0lessmpt.c $e |- ( ph -> C C_ A ) $.
    $( A shorter sum of nonnegative extended reals is smaller than a longer
       one.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0lessmpt $p |- ( ph -> ( sum^ ` ( x e. C |-> B ) ) <_ ( sum^ ` ( x e. A
       |-> B ) ) ) $=
      ( cmpt csumge0 cfv cres cle wceq id resmptd eqcomd syl fveq2d cc0 cpnf co
      cicc eqid fmptd sge0less eqbrtrd ) ABEDJZKLBCDJZEMZKLUJKLNAUIUKKAAUIUKOAP
      AUKUIABCEDIQRSTAUJFCEGABCDUAUBUDUCUJHUJUEUFUGUH $.
  $}

  ${
    $d F w x y z $.  $d X w x y z $.  $d Y w x $.  $d ph w x y $.
    sge0ltfirp.x $e |- ( ph -> X e. V ) $.
    sge0ltfirp.f $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    sge0ltfirp.y $e |- ( ph -> Y e. RR+ ) $.
    sge0ltfirp.re $e |- ( ph -> ( sum^ ` F ) e. RR ) $.
    $( If the sum of nonnegative extended reals is real, then it can be
       approximated from below by finite subsums.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    sge0ltfirp $p |- ( ph -> E. x e. ( ~P X i^i Fin ) ( sum^ ` F ) < ( ( sum^ `
       ( F |` x ) ) + Y ) ) $=
      ( vy vw cr clt cmin co wbr wcel wa adantr vz cpw cfn cin cfv csu cmpt crn
      cv csup wrex csumge0 cres caddc sge0rern fge0iccico sge0rnre wne sge0rnn0
      c0 a1i sge0rnbnd suprltrp nfv w3a simp1 wceq cvv wb vex eqid ax-mp biimpi
      elrnmpt nfmpt1 nfrn nfcv nfsup nfov nfbr simpl simpr breqtrd a1d reximdai
      wi adantl mpd 3adant1 sge0supre oveq1d eqbrtrd adantlr rpred elinel2 cpnf
      ex cc0 rge0ssre wf wss elpwinss sselda ffvelrnd sselid fsumrecl ltsubaddd
      cico mpbid fssresd sge0fsum fvres sumeq2i eqtr2d syl2anc reximdva rexlimd
      imp 3exp ) ABEUBZUCUDZBUIZKUIZCUEZKUFZUGZUHZMNUJZFOPZLUIZNQZLYGUKCULUEZCY
      BUMZULUEZFUNPZNQZBYAUKZAUALLYGFABKCEACEHACDEGHJUOUPZUQYGUTURABKCEUSVAABKU
      ALCDEGHJVBIVCAYKYQLYGALVDYQLVDAYJYGRZYKYQAYSYKVEAYIYENQZBYAUKZYQAYSYKVFYS
      YKUUAAYSYKSYJYEVGZBYAUKZUUAYSUUCYKYSUUCYJVHRYSUUCVILVJBYAYEYJYFVHYFVKVNVL
      VMTYKUUCUUAWFYSYKUUBYTBYABYIYJNBYHFOBYGMNBYFBYAYEVOVPBMVQBNVQZVRBOVQBFVQV
      SUUDBYJVQVTYKUUBYTWFYBYARZYKUUBYTYKUUBSYIYJYENYKUUBWAYKUUBWBWCWQWDWEWGWHW
      IAUUAYQAYTYPBYAAUUESZYTYPUUFYTSUUFYLFOPZYENQZYPUUFYTWAAYTUUHUUEAYTSUUGYIY
      ENAUUGYIVGYTAYLYHFOABKCDEGHJWJWKTAYTWBWLWMUUFUUHSZYLYEFUNPZYONUUIUUHYLUUJ
      NQZUUFUUHWBUUFUUHUUKVIUUHUUFYLFYEAYLMRUUEJTAFMRUUEAFIWNTUUFYBYDKUUEYBUCRA
      YBXTUCWOWGZUUFYCYBRZSZWRWPXHPZMYDWSUUNEUUOYCCUUFEUUOCWTZUUMAUUPUUEYRTZTUU
      FYBEYCUUEYBEXAAYBEUCXBWGZXCXDXEXFXGTXIUUFUUJYOVGUUHUUFYEYNFUNUUFYNYBYCYMU
      EZKUFZYEUUFKYMYBUULUUFEUUOYBCUUQUURXJXKUUTYEVGUUFYBUUSYDKYCYBCXLXMVAXNWKT
      WCXOWQXPXRXOXSXQWH $.
  $}

  ${
    $d A k $.  $d B k $.  $d D k $.  $d E k $.  $d V k $.  $d W k $.
    $d k ph $.
    sge0prle.a $e |- ( ph -> A e. V ) $.
    sge0prle.b $e |- ( ph -> B e. W ) $.
    sge0prle.d $e |- ( ph -> D e. ( 0 [,] +oo ) ) $.
    sge0prle.e $e |- ( ph -> E e. ( 0 [,] +oo ) ) $.
    sge0prle.cd $e |- ( k = A -> C = D ) $.
    sge0prle.ce $e |- ( k = B -> C = E ) $.
    $( The sum of a pair of nonnegative extended reals is less than or equal
       their extended addition.  When it is a distinct pair, than equality
       holds, see ~ sge0pr .  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    sge0prle $p |- ( ph -> ( sum^ ` ( k e. { A , B } |-> C ) ) <_ ( D +e E ) )
                $=
      ( wceq cle adantr cc0 wcel cpr cmpt csumge0 cfv co wbr wa csn preq1 dfsn2
      cxad eqcomi a1i eqtrd mpteq1d fveq2d adantl sge0snmpt cpnf iccssxr sselid
      cicc cxr xaddid2d eqcomd 0xr pnfxr iccgelb syl3anc xleadd1d eqbrtrd neqne
      wn wne sge0pr xaddcld xrleidd pm2.61dan ) ABCPZFBCUAZDUBZUCUDZEGUKUEZQUFA
      VSUGZWBGWCQWDWBFCUHZDUBZUCUDZGVSWBWGPAVSWAWFUCVSFVTWEDVSVTCCUAZWEBCCUIWHW
      EPVSWEWHCUJULUMUNUOUPUQAWGGPVSACDGFIKMOURRUNAGWCQUFVSAGSGUKUEZWCQAWIGAGAS
      USVBUEZVCGSUSUTZMVAZVDVEASEGSVCTZAVFUMZAWJVCEWKLVAZWLAWMUSVCTZEWJTZSEQUFW
      NWPAVGUMLSUSEVHVIVJVKRVKAVSVMZUGZWBWCWCQWSBCDEFGHIABHTWRJRACITWRKRAWQWRLR
      AGWJTWRMRNOWRBCVNABCVLUQVOAWCWCQUFWRAWCAEGWOWLVPVQRVKVR $.
  $}

  ${
    $d A x y z $.  $d B y z $.  $d C y z $.  $d ph y z $.
    sge0gerpmpt.xph $e |- F/ x ph $.
    sge0gerpmpt.a $e |- ( ph -> A e. V ) $.
    sge0gerpmpt.b $e |- ( ( ph /\ x e. A ) -> B e. ( 0 [,] +oo ) ) $.
    sge0gerpmpt.c $e |- ( ph -> C e. RR* ) $.
    sge0gerpmpt.rp $e |- ( ( ph /\ y e. RR+ ) -> E. z e. ( ~P A i^i Fin ) C <_
       ( ( sum^ ` ( x e. z |-> B ) ) +e y ) ) $.
    $( The arbitrary sum of nonnegative extended reals is greater than or equal
       to a given extended real number if this number can be approximated from
       below by finite subsums.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    sge0gerpmpt $p |- ( ph -> C <_ ( sum^ ` ( x e. A |-> B ) ) ) $=
      ( cmpt co cv wcel csumge0 cxad cle cc0 cpnf cicc eqid crp cfv wbr cpw cfn
      fmptdf wa cin wrex wi elpwinss resmptd eqcomd fveq2d oveq1d breq2d biimpd
      cres adantl reximdva mpd sge0gerp ) ACDGBEFNZHEJABEFUAUBUCOVGIKVGUDUJLACP
      ZUEQUKZGBDPZFNZRUFZVHSOZTUGZDEUHUIULZUMGVGVJVBZRUFZVHSOZTUGZDVOUMMVIVNVSD
      VOVJVOQZVNVSUNVIVTVNVSVTVMVRGTVTVLVQVHSVTVKVPRVTVPVKVTBEVJFVJEUIUOUPUQURU
      SUTVAVCVDVEVF $.
  $}

  ${
    $d A x $.  $d B x y $.  $d F x y $.  $d G x y $.  $d X x y $.  $d ph x y $.
    sge0resrnlem.a $e |- ( ph -> A e. V ) $.
    sge0resrnlem.f $e |- ( ph -> F : B --> ( 0 [,] +oo ) ) $.
    sge0resrnlem.g $e |- ( ph -> G : A --> B ) $.
    sge0resrnlem.x $e |- ( ph -> X e. ~P A ) $.
    sge0resrnlem.f1o $e |- ( ph -> ( G |` X ) : X -1-1-onto-> ran G ) $.
    $( The sum of nonnegative extended reals restricted to the range of a
       function is less than or equal to the sum of the composition of the two
       functions.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0resrnlem $p |- ( ph -> ( sum^ ` ( F |` ran G ) ) <_ ( sum^ ` ( F o. G )
       ) ) $=
      ( vy vx cres csumge0 cfv cv cmpt wf crn ccom cle cpw nfv fveq2 wcel fvres
      wceq adantl wa cc0 cpnf cicc co adantr frnd simpr sseldd ffvelrnd sge0f1o
      wss feqresmpt fveq2d fcompt syl2anc reseq1d elpwid resmptd eqtrd sge0less
      3eqtr4d fco eqbrtrd ) ADEUAZOZPQZDEUBZGOZPQZVRPQUCAMVOMRZDQZSZPQNGNRZEQZD
      QZSZPQVQVTAVOWBGWFMNEGOZWEBUDAMUEANUEWAWEDUFKLWDGUGWDWHQWEUIAWDGEUHUJAWAV
      OUGZUKZCULUMUNUOZWADACWKDTZWIIUPWJVOCWAAVOCVBWIABCEJUQZUPAWIURUSUTVAAVPWC
      PAMCWKVODIWMVCVDAVSWGPAVSNBWFSZGOWGAVRWNGAWLBCETZVRWNUIIJNDEBCWKVEVFVGANB
      GWFAGBKVHVIVJVDVLAVRFBGHAWLWOBWKVRTIJBCWKDEVMVFVKVN $.
  $}

  ${
    $d A x $.  $d F x $.  $d G x $.  $d R x $.  $d ph x $.
    sge0resrn.a $e |- ( ph -> A e. V ) $.
    sge0resrn.f $e |- ( ph -> F : B --> ( 0 [,] +oo ) ) $.
    sge0resrn.g $e |- ( ph -> G : A --> B ) $.
    sge0resrn.r $e |- ( ph -> R We A ) $.
    $( The sum of nonnegative extended reals restricted to the range of a
       function is less than or equal to the sum of the composition of the two
       functions (well-order hypothesis allows to avoid using the axiom of
       choice).  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0resrn $p |- ( ph -> ( sum^ ` ( F |` ran G ) ) <_ ( sum^ ` ( F o. G ) )
       ) $=
      ( vx cv crn cres csumge0 cfv wcel 3ad2ant1 wf wf1o cpw wrex ccom cle ffnd
      wbr wessf1orn w3a cc0 cpnf cicc co simp2 simp3 sge0resrnlem 3exp rexlimdv
      mpd ) ALMZFNZFUTOUAZLBUBZUCEVAOPQEFUDPQUEUGZALBDFGABCFJUFHKUHAVBVDLVCAUTV
      CRZVBVDAVEVBUIBCEFGUTAVEBGRVBHSAVECUJUKULUMETVBISAVEBCFTVBJSAVEVBUNAVEVBU
      OUPUQURUS $.
  $}

  ${
    $d A x $.  $d C x $.
    sge0ssrempt.xph $e |- F/ x ph $.
    sge0ssrempt.a $e |- ( ph -> A e. V ) $.
    sge0ssrempt.b $e |- ( ( ph /\ x e. A ) -> B e. ( 0 [,] +oo ) ) $.
    sge0ssrempt.re $e |- ( ph -> ( sum^ ` ( x e. A |-> B ) ) e. RR ) $.
    sge0ssrempt.c $e |- ( ph -> C C_ A ) $.
    $( If a sum of nonnegative extended reals is real, than any subsum is real.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0ssrempt $p |- ( ph -> ( sum^ ` ( x e. C |-> B ) ) e. RR ) $=
      ( cmpt csumge0 cfv cres cr resmptd fveq2d eqcomd cc0 cpnf fmptdf sge0ssre
      cicc co eqid eqeltrd ) ABEDLZMNZBCDLZEOZMNZPAULUIAUKUHMABCEDKQRSAUJFCEHAB
      CDTUAUDUEUJGIUJUFUBJUCUG $.
  $}

  ${
    $d A a b r u v x y $.  $d A t u v w x y z $.  $d B a b r u v x y $.
    $d B t u v w x y z $.  $d F a b r u v x y $.  $d F t u v w x y z $.
    $d U a b r u v x y $.  $d a b ph r u v x y $.  $d ph r u v x y z $.
    sge0resplit.a $e |- ( ph -> A e. V ) $.
    sge0resplit.b $e |- ( ph -> B e. W ) $.
    sge0resplit.u $e |- U = ( A u. B ) $.
    sge0resplit.in0 $e |- ( ph -> ( A i^i B ) = (/) ) $.
    sge0resplit.f $e |- ( ph -> F : U --> ( 0 [,] +oo ) ) $.
    sge0resplit.re $e |- ( ph -> ( sum^ ` F ) e. RR ) $.
    $( ` sum^ ` splits into two parts, when it's a real number.  This is a
       special case of ~ sge0split .  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    sge0resplit $p |- ( ph -> ( sum^ ` F ) = ( ( sum^ ` ( F |` A ) ) + ( sum^ `
       ( F |` B ) ) ) ) $=
      ( vx vy cfn cr wceq wcel a1i vz vv vu vw vt vr va vb csumge0 cres cxad co
      cfv cpw cin cv csu cmpt crn clt csup wrex cc0 cpnf wss cun eqcomi sseqtri
      caddc fssresd syl2anc eqeltrd sge0ssre sge0supre eqeltrrd rexadd nelrnres
      cvv wn syl fge0iccico sge0rnre wne sge0rnn0 cxr sge0reval eqcomd supxrre3
      c0 wral wb mpbid eqid wa vex rexbidv biimpi adantl sumeq1 cbvmptv elrnmpt
      simpl wi ax-mp adantr sylibr elinel1 elpwi id elpw elinel2 elind ad2antrr
      sstrdi simpr oveq12d sselda fvres sumeq2dv eqtrd ssin0 syl3anc cc adantll
      eqidd ffvelrnd sselid fsumsplit rspceeqv elrnmptd ex rexlimdvv imp nfmpt1
      3eqtr4d nfv nfrn nfrex inss2 sseli cab ssun1 unexg ssun2 sge0rern cle wbr
      cicc supadd wal eqeq1 elab jca unssd unex unfi ad4ant23 ad2antrl rge0ssre
      reeanv cico ax-resscn sstri ibi nfcv nfel nfan w3a inex1 mpbir inss1 ssfi
      sumex 3ad2ant2 sumeq2i 3adant3 simp3 ineq2i dfss indi oveq2 eqeq2d rspcev
      wf oveq1 3exp rexlimd mpd impbid alrimiv dfcleq supeq1d 3eqtrrd ) AEUIUMZ
      EBUJZUIUMZECUJZUIUMZUKULZUWPUWRVIULZANDUNZPUOZNUPZOUPZEUMZOUQZURZUSZQUTVA
      ZNBUNZPUOZUXCUXDUWOUMZOUQZURZUSZQUTVAZNCUNZPUOZUXCUXDUWQUMZOUQZURZUSZQUTV
      AZUKULZUWNUWSAUYDUXPUYCVIULZUAUPZUBUPZUCUPZVIULZRZUCUYBVBZUBUXOVBZUAUUAZQ
      UTVAUXIAUXPQSUYCQSUYDUYERAUWPUXPQANOUWOFBHADVCVDUUHULZBELBDVEABBCVFZDBCUU
      BDUYOJVGZVHZTVJZAEVRDBADUYOVRDUYORAJTABFSCGSUYOVRSHIBCFGUUCVKVLZLMVMZVNZU
      YTVOAUWRUYCQANOUWQGCIADUYNCELCDVEACUYODCBUUDUYPVHZTVJZAEVRDCUYSLMVMZVNZVU
      DVOUXPUYCVPVKAUDUEUAUBUXOUYBUYMUCANOUWOBAUWOBUYRAVDEUSSVSZVDUWOUSSVSAEVRD
      UYSLMUUEZVDEBVQVTWAZWBZUXOWIWCZANOUWOBWDTZAUXOWEUTVAZQSZUEUPUDUPUUFUUGZUE
      UXOWJUDQVBZAVULUWPQAUWPVULANOUWOFBHVUHWFWGUYTVLAUXOQVEVUJVUMVUOWKVUIVUKUD
      UEUXOWHVKWLANOUWQCAUWQCVUCAVUFVDUWQUSSVSVUGVDECVQVTWAZWBZUYBWIWCZANOUWQCW
      DTZAUYBWEUTVAZQSZVUNUEUYBWJUDQVBZAVUTUWRQAUWRVUTANOUWQGCIVUPWFWGVUDVLAUYB
      QVEVURVVAVVBWKVUQVUSUDUEUYBWHVKWLUYMWMUUIAQUYMUXHUTAUFUPZUYMSZVVCUXHSZWKZ
      UFUUJUYMUXHRAVVFUFAVVDVVEAVVDVVEAVVDWNAVVCUYIRZUCUYBVBZUBUXOVBZVVEAVVDXBV
      VDVVIAVVDVVIUYLVVIUAVVCUFWOZUYFVVCRZUYKVVHUBUXOVVKUYJVVGUCUYBUYFVVCUYIUUK
      WPWPUULZWQWRAVVIVVEAVVGVVEUBUCUXOUYBAUYGUXOSZUYHUYBSZWNZVVGVVEXCZAVVOWNAU
      YGUGUPZUXLOUQZRZUYHUHUPZUXSOUQZRZWNZUHUXRVBUGUXKVBZVVPAVVOXBVVOVWDAVVOVVS
      UGUXKVBZVWBUHUXRVBZWNVWDVVOVWEVWFVVMVWEVVNVVMVWEUYGVRSVVMVWEWKUBWOUGUXKVV
      RUYGUXNVRNUGUXKUXMVVRUXCVVQUXLOWSWTXAXDWQXEVVNVWFVVMVVNVWFUYHVRSVVNVWFWKU
      CWOUHUXRVWAUYHUYAVRNUHUXRUXTVWAUXCVVTUXSOWSWTXAXDWQWRUUMVVSVWBUGUHUXKUXRU
      UTXFWRAVWDVVPAVWCVVPUGUHUXKUXRAVVQUXKSZVVTUXRSZWNZVWCVVPXCAVWIWNZVWCVVPVW
      JVWCWNZVVGVVEVWKVVGWNZNUXBUXFVVCUXGVRUXGWMZVWLVVQVVTVFZUXBSZVVCVWNUXEOUQZ
      RVVCUXFRZNUXBVBZVWJVWOVWCVVGVWIVWOAVWIUXAPVWNVWIVWNDVEVWNUXASVWIVVQVVTDVW
      GVVQDVEZVWHVWGVVQUXJSZVWSVVQUXJPXGZVWTVVQBVEZVWSVVQBXHZVXBVVQBDVXBXIUYQXN
      VTVTXEVWHVVTDVEZVWGVWHVVTUXQSZVXDVVTUXQPXGZVXEVVTCVEZVXDVVTCXHZVXGVVTCDVX
      GXIVUBXNVTVTWRUUNZVWNDVVQVVTUGWOUHWOUUOXJXFVWIVVQPSZVVTPSZVWNPSZVWGVXJVWH
      VVQUXJPXKXEVWHVXKVWGVVTUXQPXKWRVVQVVTUUPVKZXLWRXMVWLUYIVVQUXEOUQZVVTUXEOU
      QZVIULZVVCVWPVWIVWCUYIVXPRAVVGVWIVWCWNUYIVVRVWAVIULZVXPVWCUYIVXQRVWIVWCUY
      GVVRUYHVWAVIVVSVWBXBVVSVWBXOXPWRVWIVXQVXPRVWCVWIVVRVXNVWAVXOVIVWGVVRVXNRV
      WHVWGVVQUXLUXEOVWGUXDVVQSWNUXDBSZUXLUXERVWGVVQBUXDVWGVWTVXBVXAVXCVTZXQUXD
      BEXRZVTXSXEVWHVWAVXORVWGVWHVVTUXSUXEOVWHUXDVVTSWNUXDCSZUXSUXERVWHVVTCUXDV
      WHVXEVXGVXFVXHVTZXQUXDCEXRZVTXSWRXPXEXTUUQVWKVVGXOVWJVWPVXPRVWCVVGVWJVVQV
      VTUXEVWNOVWJBCUOWIRZVXBVXGVVQVVTUOWIRAVYDVWIKXEVWGVXBAVWHVXSUURVWIVXGAVWH
      VXGVWGVYBWRWRBCVVQVVTYAYBVWJVWNYEVWIVXLAVXMWRVWJUXDVWNSZWNZVCVDUVAULZYCUX
      EVYGQYCUUSUVBUVCZVYFDVYGUXDEADVYGEUWDZVWIVYEAEDLVUGWAZXMVWIVYEUXDDSZAVWIV
      WNDUXDVXIXQYDYFYGYHXMYONVWNUXBUXFVWPVVCUXCVWNUXEOWSYIVKVVCVRSVWLVVJTYJYKY
      KYKYLYMVKYKYLYMVKYKAVVEVVDAVVEWNZVVIVVDVYLVWRVVIVVEVWRAVVEVWRNUXBUXFVVCUX
      GUXHVWMXAUVDWRVYLVWQVVINUXBAVVENANYPNVVCUXHNVVCUVENUXGNUXBUXFYNYQUVFUVGVV
      HNUBUXONUXNNUXKUXMYNYQVVGNUCUYBNUYANUXRUXTYNYQVVGNYPYRYRAUXCUXBSZVWQVVIXC
      XCVVEAVYMVWQVVIAVYMVWQUVHZUXCBUOZUXEOUQZUXOSZVVCVYPUYHVIULZRZUCUYBVBZVVIV
      YMAVYQVWQVYMVYPVYOUXLOUQZUXOVYMVYOUXEUXLOVYMUXDVYOSZWNVXRUXEUXLRWUBVXRVYM
      VYOBUXDUXCBYSZYTWRVXRUXLUXEVXTWGVTXSVYMUAUXKUYFUXLOUQZWUAUXNVRNUAUXKUXMWU
      DUXCUYFUXLOWSWTVYMVYOUXKSWUAWUARWUAWUDRUAUXKVBVYMUXJPVYOVYOUXJSZVYMWUEVYO
      BVEZWUCVYOBUXCBNWOZUVIXJUVJTVYMUXCPSZVYOUXCVEZVYOPSUXCUXAPXKZWUIVYMUXCBUV
      KTUXCVYOUVLVKXLVYMWUAYEUAVYOUXKWUDWUAWUAUYFVYOUXLOWSYIVKWUAVRSVYMVYOUXLOU
      VMTYJVLUVNVYNUXCCUOZUXEOUQZUYBSVVCVYPWULVIULZRVYTVYNUAUXRUYFUXSOUQZWULUYA
      VRNUAUXRUXTWUNUXCUYFUXSOWSWTVYNWUKUXRSWULWUKUXSOUQZRZWULWUNRUAUXRVBVYNUXQ
      PWUKWUKUXQSZVYNWUQWUKCVEZUXCCYSZWUKCUXCCWUGUVIXJUVJTVYMAWUKPSZVWQVYMWUHWU
      KUXCVEZWUTWUJWVAVYMUXCCUVKTUXCWUKUVLVKUVNXLAVYMWUPVWQWUPAVYMWNZWUKUXEUXSO
      UXDWUKSVYAUXEUXSRWUKCUXDWUSYTVYAUXSUXEVYCWGVTUVOTUVPUAWUKUXRWUNWUOWULUYFW
      UKUXSOWSYIVKWULVRSVYNWUKUXEOUVMTYJVYNVVCUXFWUMAVYMVWQUVQAVYMUXFWUMRVWQWVB
      VYOWUKUXEUXCOAVYOWUKUOWIRZVYMAVYDWUFWURWVCKWUFAWUCTWURAWUSTBCVYOWUKYAYBXE
      VYMUXCVYOWUKVFZRZAVYMUXCDVEZWVEVYMUXCUXASWVFUXCUXAPXGUXCDXHVTZWVFUXCDUOZU
      XCUYOUOZUXCWVDWVHWVIRWVFDUYOUXCJUVRTWVFUXCWVHRUXCDUVSWQWVDWVIRWVFWVIWVDUX
      CBCUVTVGTYOVTWRVYMWUHAWUJWRWVBUXDUXCSZWNZVYGYCUXEVYHWVKDVYGUXDEAVYIVYMWVJ
      VYJXMVYMWVJVYKAVYMUXCDUXDWVGXQYDYFYGYHUVPXTUCWULUYBVYRWUMVVCUYHWULVYPVIUW
      AYIVKVVHVYTUBVYPUXOUYGVYPRZVVGVYSUCUYBWVLUYIVYRVVCUYGVYPUYHVIUWEUWBWPUWCV
      KUWFXEUWGUWHVVLXFYKUWIUWJUFUYMUXHUWKXFUWLUWMANOEVRDUYSLMVNAUWPUXPUWRUYCUK
      VUAVUEXPYOAUWPQSUWRQSUWSUWTRUYTVUDUWPUWRVPVKXT $.
  $}

  ${
    $d F x y $.  $d G x y $.  $d X x y $.  $d ph x y $.
    sge0le.x $e |- ( ph -> X e. V ) $.
    sge0le.F $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    sge0le.g $e |- ( ph -> G : X --> ( 0 [,] +oo ) ) $.
    sge0le.le $e |- ( ( ph /\ x e. X ) -> ( F ` x ) <_ ( G ` x ) ) $.
    $( If all of the terms of sums compare, so do the sums.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    sge0le $p |- ( ph -> ( sum^ ` F ) <_ ( sum^ ` G ) ) $=
      ( cfv cpnf wceq cle wbr wa wcel adantr adantl cr csumge0 cxr sge0xrcl syl
      vy pnfge id eqcomd breqtrd wn cv cres cpw cfn cin wral csu elinel2 cc0 co
      cico wf cicc crn wrex simpr wb wfn ffnd fvelrnb mpbid wi ffvelrnda sselid
      iccssxr eqbrtrd xrgepnfd fnfvelrn syl2anc eqeltrd ex rexlimdva sge0pnfval
      adantlr mpd simplr pm2.65da fge0iccico elpwinss fssresd sge0fsum rge0ssre
      fsumrecl sge0repnf mpbird sge0rern simplll sselda breq12d fsumle sge0less
      wss fvres letrd ralrimiva sge0lefi pm2.61dan ) ADUAKZLMZCUAKZXHNOZAXIPXJL
      XHNAXJLNOZXIAXJUBQXLACEFGHUCXJUFUDRXILXHMAXIXHLXIUGUHSUIAXIUJZPZXKCUEUKZU
      LZUAKZXHNOZUEFUMZUNUOZUPXNXRUEXTXNXOXTQZPZXQDXOULZUAKZXHYBXQXOBUKZXPKZBUQ
      ZTYBBXPXOYAXOUNQXNXOXSUNURSZYBFUSLVAUTZXOCXNFYICVBYAXNCFAFUSLVCUTZCVBXMHR
      ZXNLCVDQZXIAYLXIXMAYLPZDEFAFEQZYLGRAFYJDVBZYLIRYMYECKZLMZBFVEZLDVDZQZYMYL
      YRAYLVFAYLYRVGZYLACFVHUUAAFYJCHVIBFLCVJUDRVKYMYQYTBFAYEFQZYQYTVLYLAUUBPZY
      QYTUUCYQPZLYEDKZYSUUDUUELUUDUUEUUCUUEUBQYQUUCYJUBUUEUSLVOAFYJYEDIVMVNRUUD
      LYPUUENYQLYPMUUCYQYPLYQUGUHSUUCYPUUENOZYQJRVPVQUHUUCUUEYSQZYQUUCDFVHZUUBU
      UGAUUHUUBAFYJDIVIRAUUBVFFYEDVRVSRVTWAWDWBWEWCWDAXMYLWFWGWHRYAXOFXBXNXOFUN
      WISZWJZWKZYBXOYFBYHYBYEXOQZPZYITYFWLYBXOYIYEXPUUJVMVNZWMVTYBYDXOYEYCKZBUQ
      ZTYBBYCXOYHYBFYIXODXNFYIDVBYAXNDFAYOXMIRZXNDEFAYNXMGRZUUQXNXHTQZXMAXMVFXN
      DEFUURUUQWNWOZWPWHRUUIWJZWKZYBXOUUOBYHUUMYITUUOWLYBXOYIYEYCUVAVMVNZWMVTXN
      UUSYAUUTRYBXQYDNOYGUUPNOYBXOYFUUOBYHUUNUVCUUMYFUUONOUUFUUMAUUBUUFAXMYAUUL
      WQYBXOFYEUUIWRJVSUUMYFYPUUOUUENUULYFYPMYBYEXOCXCSUULUUOUUEMYBYEXODXCSWSWO
      WTYBXQYGYDUUPNUUKUVBWSWOAYAYDXHNOXMAYAPDEFXOAYNYAGRAYOYAIRXAWDXDXEXNUEXHC
      EFUURYKXNDEFUURUUQUCXFWOXG $.
  $}

  ${
    $d A x y $.  $d B y $.  $d Y y $.  $d ph y $.
    sge0ltfirpmpt.xph $e |- F/ x ph $.
    sge0ltfirpmpt.a $e |- ( ph -> A e. V ) $.
    sge0ltfirpmpt.b $e |- ( ( ph /\ x e. A ) -> B e. ( 0 [,] +oo ) ) $.
    sge0ltfirpmpt.rp $e |- ( ph -> Y e. RR+ ) $.
    sge0ltfirpmpt.re $e |- ( ph -> ( sum^ ` ( x e. A |-> B ) ) e. RR ) $.
    $( If the extended sum of nonnegative reals is not ` +oo ` , then it can be
       approximated from below by finite subsums.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    sge0ltfirpmpt $p |- ( ph -> E. y e. ( ~P A i^i Fin ) ( sum^ ` ( x e. A |->
       B ) ) < ( ( sum^ ` ( x e. y |-> B ) ) + Y ) ) $=
      ( cmpt csumge0 cfv caddc co clt wbr cfn cres cpw cin wrex cc0 cpnf fmptdf
      cv cicc eqid sge0ltfirp wi wcel simpr wceq elpwinss resmptd fveq2d oveq1d
      wa adantr breqtrd ex reximia a1i mpd ) ABDEMZNOZVGCUHZUAZNOZGPQZRSZCDUBTU
      CZUDZVHBVIEMZNOZGPQZRSZCVNUDZACVGFDGIABDEUEUFUIQVGHJVGUJUGKLUKVOVTULAVMVS
      CVNVIVNUMZVMVSWAVMUTVHVLVRRWAVMUNWAVLVRUOVMWAVKVQGPWAVJVPNWABDVIEVIDTUPUQ
      URUSVAVBVCVDVEVF $.
  $}

  ${
    $d A a b x z $.  $d A x y z $.  $d B c d x z $.  $d B x y z $.
    $d F a b x z $.  $d F c d x z $.  $d F x y z $.  $d U x y z $.
    $d ph x y z $.
    sge0split.a $e |- ( ph -> A e. V ) $.
    sge0split.b $e |- ( ph -> B e. W ) $.
    sge0split.u $e |- U = ( A u. B ) $.
    sge0split.in0 $e |- ( ph -> ( A i^i B ) = (/) ) $.
    sge0split.f $e |- ( ph -> F : U --> ( 0 [,] +oo ) ) $.
    $( Split a sum of nonnegative extended reals into two parts.  (Contributed
       by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0split $p |- ( ph -> ( sum^ ` F ) = ( ( sum^ ` ( F |` A ) ) +e ( sum^ `
       ( F |` B ) ) ) ) $=
      ( vy wcel wceq wa adantr cpnf cxr cle vx va vb vc vd vz csumge0 cres cxad
      cfv cr co caddc cin c0 cc0 cicc wf simpr sge0resplit cvv syl2anc eqeltrid
      unexg sge0ssre rexadd eqtrd wn simpl wb sge0repnf mtbid notnotrd sge0xrcl
      cun eqcomd wss ssun1 sseqtrri fssresd iccssxr ssun2 sge0cl sselid xaddcld
      a1i wbr crn pnfxr eqid xreqle mp2an rnresss adantl sge0pnfval xrge0neqmnf
      sseli cmnf wne syl xaddpnf2 oveq1d 3eqtr4d eqtr3d breq12d mpbird xaddpnf1
      oveq2d adantlr cpw cfn cv csu cmpt clt csup wral wrex elrnmpt inss2 sstri
      eqcomi elinel1 biimpi ad2antrr adantll fge0iccico infi fsumrecl sge0reval
      vex ressxr eqeltrd jca fsumlesge0 fvres sumeq2dv mpbid eqbrtrd pm2.61dan
      ax-mp sylib w3a simp3 inss1 ssini sseqtrd ss0 ad3antrrr indi ineq2i elpwi
      wi df-ss 3eqtrrd elinel2 rge0ssre wo pm4.56 sylnibr rnresun reseq2i rneqi
      cico elun wfn ffn fnresdm rneqd 3eqtrd neleqtrd sseldd ffvelrnd fsumsplit
      3syl recnd jca31 adantllr xle2add sylc 3adant3 3exp rexlimdv mpd sge0rnre
      ralrimiva sstrd supxrleub oveq12d 3brtr4d pnfge id breqtrd xrletrid ) AEU
      GUJZUKNZUWOEBUHZUGUJZECUHZUGUJZUIULZOZAUWPPZUWOUWRUWTUMULZUXAUXCBCDEFGABF
      NZUWPHQACGNZUWPIQJABCUNZUOOUWPKQADUPRUQULZEURZUWPLQZAUWPUSZUTUXCUXAUXDUXC
      UWRUKNUWTUKNUXAUXDOUXCEVADBADVANZUWPADBCVOZVAJAUXEUXFUXMVANHIBCFGVDVBVCZQ
      ZUXJUXKVEUXCEVADCUXOUXJUXKVEUWRUWTVFVBVPVGAUWPVHZPZAUWOROZUXBAUXPVIUXQUXR
      UXQUWPUXRVHZAUXPUSAUWPUXSVJUXPAEVADUXNLVKQVLVMAUXRPZUWOUXAAUWOSNUXRAEVADU
      XNLVNQAUXASNZUXRAUWRUWTAUWQFBHADUXHBELBDVQABUXMDBCVRJVSWFVTZVNZAUXHSUWTUP
      RWAAUWSGCIADUXHCELCDVQACUXMDCBWBJVSWFVTZWCZWDZWEZQAUWOUXATWGZUXRARUWQWHZN
      ZUYHAUYJPZUYHRRTWGZUYLUYKRSNRROUYLWIRWJRRWKWLZWFUYKUWORUXARTUYKEVADAUXLUY
      JUXNQAUXIUYJLQUYJREWHZNZAUYIUYNREBWMWQWNWOZUYKUWOUXARUYKRRUWTUIULZUWOUXAA
      RUYQOUYJAUYQRAUWTSNZUWTWRWSZUYQROUYFAUWTUXHNUYSUYEUWTWPWTUWTXAVBVPQUYPUYK
      UWRRUWTUIUYKUWQFBAUXEUYJHQABUXHUWQURZUYJUYBQAUYJUSWOXBXCUYPXDXEXFAUYJVHZP
      ZRUWSWHZNZUYHAVUDUYHVUAAVUDPZUYHUYLUYLVUEUYMWFVUEUWORUXARTVUEEVADAUXLVUDU
      XNQAUXIVUDLQVUDUYOAVUCUYNRECWMWQWNWOVUEUXAUWRRUIULZRVUEUWTRUWRUIVUEUWSGCA
      UXFVUDIQACUXHUWSURZVUDUYDQAVUDUSWOXHAVUFROZVUDAUWRSNZUWRWRWSZVUHUYCAUWRUX
      HNVUJAUWQFBHUYBWCUWRWPWTUWRXGVBQVGXEXFXIVUBVUDVHZPZUADXJZXKUNZUAXLZMXLZEU
      JZMXMZXNZWHZSXOXPZUBBXJXKUNUBXLUCXLUWQUJUCXMXNWHSXOXPZUDCXJXKUNUDXLUEXLUW
      SUJUEXMXNWHSXOXPZUIULZUWOUXATVULVVAVVDTWGZUFXLZVVDTWGZUFVUTXQZVULVVGUFVUT
      VULVVFVUTNZPZVVFVUROZUAVUNXRZVVGVVJVVIVVLVULVVIUSVVFVANVVIVVLVJUFYKUAVUNV
      URVVFVUSVAVUSWJXSUUAUUBVULVVLVVGUUMVVIVULVVKVVGUAVUNVULVUOVUNNZVVKVVGVULV
      VMVVKUUCVVFVURVVDTVULVVMVVKUUDVULVVMVURVVDTWGVVKVULVVMPZVURVUOBUNZVUQMXMZ
      VUOCUNZVUQMXMZUIULZVVDTVVNVURVVPVVRUMULZVVSVVNVVOVVQVUQVUOMAVVOVVQUNZUOOZ
      VUAVUKVVMAVWAUOVQVWBAVWAUXGUOVWAUXGVQAVWABCVWAVVOBVVOVVQUUEVUOBXTZYAVWAVV
      QCVVOVVQXTVUOCXTZYAUUFWFKUUGVWAUUHWTUUIVVMVUOVVOVVQVOZOVULVVMVWEVUOUXMUNZ
      VUODUNZVUOVWEVWFOVVMVWFVWEVUOBCUUJYBWFVWFVWGOVVMUXMDVUODUXMJYBZUUKWFVVMVU
      ODVQZVWGVUOOZVVMVUOVUMNVWIVUOVUMXKYCVUODUULWTZVWIVWJVUODUUNYDWTUUOWNVVMVU
      OXKNZVULVUOVUMXKUUPZWNVVNVUPVUONZPZVUQVWOUPRUVDULZUKVUQUUQVWODVWPVUPEVULD
      VWPEURVVMVWNVULEDAUXIVUAVUKLYEVULUYIVUCVOZUYNRVUAVUKRVWQNZVHAVUAVUKPZUYJV
      UDUURZVWRVWSVWTVHUYJVUDUUSYDRUYIVUCUVEUUTYFAVWQUYNOVUAVUKAVWQEUXMUHZWHZED
      UHZWHZUYNVWQVXBOAVXBVWQBCEUVAYBWFVXBVXDOAVXAVXCUXMDEVWHUVBUVCWFAVXCEAUXIE
      DUVFVXCEOLDUXHEUVGDEUVHUVOUVIUVJYEUVKYGZYEVVMVWNVUPDNVULVVMVWNPVUODVUPVVM
      VWIVWNVWKQVVMVWNUSUVLYFUVMWDZUVPUVNVVNVVSVVTVVNVVPUKNVVRUKNVVSVVTOVVNVVOV
      UQMVVMVVOXKNZVULVVMVWLVXGVWMVUOBYHWTZWNVVNVUPVVONZPVVNVWNVUQUKNZVVNVXIVIV
      XIVWNVVNVUPVUOBYCWNVXFVBYIZVVNVVQVUQMVVMVVQXKNZVULVVMVWLVXLVWMVUOCYHWTZWN
      VVNVUPVVQNZPVVNVWNVXJVVNVXNVIVXNVWNVVNVUPVUOCYCWNVXFVBYIZVVPVVRVFVBVPVGVV
      NVVPSNZVVRSNZPVVBSNZVVCSNZPZPVVPVVBTWGZVVRVVCTWGZPVVSVVDTWGVVNVXPVXQVXTVV
      NUKSVVPYLVXKWDVVNUKSVVRYLVXOWDVULVXTVVMVULVXRVXSVUBVXRVUKVUBVVBUWRSVUBUWR
      VVBVUBUBUCUWQFBAUXEVUAHQZVUBUWQBAUYTVUAUYBQZAVUAUSZYGYJZVPAVUIVUAUYCQYMQZ
      AVUKVXSVUAAVUKPZVVCUWTSVYHUWTVVCVYHUDUEUWSGCAUXFVUKIQZVYHUWSCAVUGVUKUYDQZ
      AVUKUSZYGYJZVPAUYRVUKUYFQYMXIZYNQUVQVVNVYAVYBVUBVVMVYAVUKVUBVVMPZVVOVUPUW
      QUJZMXMZUWRTWGVYAVYNMUWQFBVVOVUBUXEVVMVYCQVYNUWQBVUBUYTVVMVYDQVUBVUAVVMVY
      EQYGVVOBVQVYNVWCWFVVMVXGVUBVXHWNYOVYNVYPVVPUWRVVBTVYNVVOVYOVUQMVXIVYOVUQO
      ZVYNVXIVUPBNVYQVVOBVUPVWCWQVUPBEYPWTWNYQVUBUWRVVBOZVVMVYFQXEYRXIAVUKVVMVY
      BVUAVYHVVMPZVVQVUPUWSUJZMXMZUWTTWGVYBVYSMUWSGCVVQVYHUXFVVMVYIQVYSUWSCVYHV
      UGVVMVYJQVYHVUKVVMVYKQYGVVQCVQVYSVWDWFVVMVXLVYHVXMWNYOVYSWUAVVRUWTVVCTVYS
      VVQVYTVUQMVXNVYTVUQOZVYSVXNVUPCNWUBVVQCVUPVWDWQVUPCEYPWTWNYQVYHUWTVVCOZVV
      MVYLQXEYRUVRYNVVPVVRVVBVVCUVSUVTYSUWAYSUWBUWCQUWDUWFVULVUTSVQVVDSNVVEVVHV
      JVULVUTUKSVULUAMEDVXEUWEUKSVQVULYLWFUWGVULVVBVVCVYGVYMWEUFVUTVVDUWHVBXFVU
      LUAMEVADAUXLVUAVUKUXNYEVXEYJVULUWRVVBUWTVVCUIVUBVYRVUKVYFQAVUKWUCVUAVYLXI
      UWIUWJYTYTQUXTUXARUWOTAUXARTWGZUXRAUYAWUDUYGUXAUWKWTQUXRRUWOOAUXRUWORUXRU
      WLVPWNUWMUWNVBYT $.
  $}

  ${
    $d A x y $.  $d B y $.  $d C y $.  $d ph y $.
    sge0lempt.xph $e |- F/ x ph $.
    sge0lempt.a $e |- ( ph -> A e. V ) $.
    sge0lempt.b $e |- ( ( ph /\ x e. A ) -> B e. ( 0 [,] +oo ) ) $.
    sge0lempt.c $e |- ( ( ph /\ x e. A ) -> C e. ( 0 [,] +oo ) ) $.
    sge0lempt.le $e |- ( ( ph /\ x e. A ) -> B <_ C ) $.
    $( If all of the terms of sums compare, so do the sums.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    sge0lempt $p |- ( ph -> ( sum^ ` ( x e. A |-> B ) ) <_ ( sum^ ` ( x e. A
       |-> C ) ) ) $=
      ( vy wcel cle wbr wi nfcv nfim wceq imbi12d cmpt cpnf cicc co eqid fmptdf
      cc0 cv cfv csb nfv nfan nfcsb1 nfbr eleq1w anbi2d csbeq1a breq12d chvarfv
      wa simpr nfel1 eleq1d fvmptf syl2anc nfel mpbird sge0le ) ALBCDUAZBCEUAZF
      CHABCDUGUBUCUDZVIGIVIUEZUFABCEVKVJGJVJUEZUFALUHZCMZUTZVNVIUIZVNVJUIZNOBVN
      DUJZBVNEUJZNOZABUHZCMZUTZDENOZPVPWAPBLVPWABAVOBGVOBUKULZBVSVTNBVNDBVNQZUM
      ZBNQBVNEWGUMZUNRWBVNSZWDVPWEWAWJWCVOABLCUOUPZWJDVSEVTNBVNDUQZBVNEUQZURTKU
      SVPVQVSVRVTNVPVOVSVKMZVQVSSAVOVAZWDDVKMZPVPWNPBLVPWNBWFBVSVKWHVBRWJWDVPWP
      WNWKWJDVSVKWLVCTIUSBVNDVSCVIVKWGWHWLVLVDVEVPVOVTVKMZVRVTSWOWDEVKMZPVPWQPB
      LVPWQBWFBVTVKWIBVKQVFRWJWDVPWRWQWKWJEVTVKWMVCTJUSBVNEVTCVJVKWGWIWMVMVDVEU
      RVGVH $.
  $}

  ${
    $d A x $.  $d B x $.
    sge0splitmpt.xph $e |- F/ x ph $.
    sge0splitmpt.a $e |- ( ph -> A e. V ) $.
    sge0splitmpt.b $e |- ( ph -> B e. W ) $.
    sge0splitmpt.in $e |- ( ph -> ( A i^i B ) = (/) ) $.
    sge0splitmpt.ac $e |- ( ( ph /\ x e. A ) -> C e. ( 0 [,] +oo ) ) $.
    sge0splitmpt.bc $e |- ( ( ph /\ x e. B ) -> C e. ( 0 [,] +oo ) ) $.
    $( Split a sum of nonnegative extended reals into two parts.  (Contributed
       by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0splitmpt $p |- ( ph -> ( sum^ ` ( x e. ( A u. B ) |-> C ) ) = ( ( sum^
       ` ( x e. A |-> C ) ) +e ( sum^ ` ( x e. B |-> C ) ) ) ) $=
      ( cmpt csumge0 cfv cres cxad co wcel cun eqid cc0 cpnf cicc cv wa adantlr
      wn simpll elunnel1 adantll syl2anc pm2.61dan sge0split wceq ssun1 resmpti
      fmptdf fveq2i ssun2 oveq12i a1i eqtrd ) ABCDUAZENZOPVFCQZOPZVFDQZOPZRSZBC
      ENZOPZBDENZOPZRSZACDVEVFFGIJVEUBKABVEEUCUDUESZVFHABUFZVETZUGZVRCTZEVQTZAW
      AWBVSLUHVTWAUIZUGAVRDTZWBAVSWCUJVSWCWDAVRCDUKULMUMUNVFUBUSUOVKVPUPAVHVMVJ
      VORVGVLOBVECECDUQURUTVIVNOBVEDEDCVAURUTVBVCVD $.
  $}

  ${
    $d A k $.  $d B k $.
    sge0ss.kph $e |- F/ k ph $.
    sge0ss.b $e |- ( ph -> B e. V ) $.
    sge0ss.a $e |- ( ph -> A C_ B ) $.
    sge0ss.c $e |- ( ( ph /\ k e. A ) -> C e. ( 0 [,] +oo ) ) $.
    sge0ss.c0 $e |- ( ( ph /\ k e. ( B \ A ) ) -> C = 0 ) $.
    $( Change the index set to a subset in a sum of nonnegative extended reals.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0ss $p |- ( ph -> ( sum^ ` ( k e. A |-> C ) ) = ( sum^ ` ( k e. B |-> C
       ) ) ) $=
      ( cmpt csumge0 cfv cxad co cvv wcel wceq cc0 cun wss ssexg syl2anc difexd
      cdif cin c0 disjdif cv wa cpnf cicc 0e0iccpnf eqeltrd sge0splitmpt eqcomd
      a1i mpteq2da fveq2d sge0z eqtrd oveq2d eqid fmptdf sge0xrcl xaddid1 eqidd
      cxr syl 3eqtrrd undif sylib mpteq1d 3eqtr4d ) AEBDLZMNZECBUFZDLZMNZOPZEBV
      RUAZDLZMNZVQECDLZMNAWDWAAEBVRDQQGABCUBZCFRBQRIHBCFUCUDZACBFHUEZBVRUGUHSAB
      CUIURJAEUJVRRUKZDTTULUMPZKTWJRWIUNURUOUPUQAWAVQTOPZVQVQAVTTVQOAVTEVRTLZMN
      TAVSWLMAEVRDTGKUSUTAVREQGWHVAVBVCAVQVIRWKVQSAVPQBWGAEBDWJVPGJVPVDVEVFVQVG
      VJAVQVHVKAWEWCMAECWBDAWBCAWFWBCSIBCVLVMUQVNUTVO $.
  $}

  ${
    $d A k w x y z $.  $d B k w y z $.  $d C w x y z $.  $d k ph w x y z $.
    sge0iunmptlemfi.a $e |- ( ph -> A e. Fin ) $.
    sge0iunmptlemfi.b $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    sge0iunmptlemfi.dj $e |- ( ph -> Disj_ x e. A B ) $.
    sge0iunmptlemfi.c $e |- ( ( ph /\ x e. A /\ k e. B ) -> C e. ( 0 [,] +oo )
       ) $.
    sge0iunmptlemfi.re $e |- ( ( ph /\ x e. A ) -> ( sum^ ` ( k e. B |-> C ) )
       e. RR ) $.
    $( Sum of nonnegative extended reals over a disjoint indexed union (in this
       lemma, for a finite index set).  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    sge0iunmptlemfi $p |- ( ph -> ( sum^ ` ( k e. U_ x e. A B |-> C ) ) = (
       sum^ ` ( x e. A |-> ( sum^ ` ( k e. B |-> C ) ) ) ) ) $=
      ( cmpt csumge0 cfv wceq c0 wcel wa adantr vy vz vw cv ciun csn cun iuneq1
      mpteq1d fveq2d mpteq1 eqeq12d 0iun ax-mp mpt0 eqtri fveq2i eqtr4i a1i wss
      cdif csu caddc co nfv nfcv nfiu1 nfmpt nffv cfn simprl simpr ssfi syl2anc
      syldan simprr cin wn eldifn disjsn sylibr adantl sylib cc cr simpll ssel2
      adantll recnd adantlrr csb csbeq1a nfcsb1v iunxsnf eqtr4di mpteq1i eldifi
      vex nfel nfim eleq1w anbi2d eqtrdi eleq1d imbi12d chvarfv eqeltrd adantrl
      wi sylan2 fsumsplitsn eqcomd cxad iunxun cvv wral ralrimiva iunexg iunss1
      ssexd adantrr syl cc0 cpnf wrex eliun biimpi simp1l 3adant3 simp3 syl3anc
      w3a 3exp rexlimdv mpd eqtrd id eqid fmptd 3eqtrd snssi wdisj disjiun cicc
      ad2antll syl13anc sselda adantlrl sge0splitmpt cico cle wbr 3expa sge0ge0
      elrege0 sge0fsum fveq2 nfmpt1 cbvsum fvexd fvmpt2 sumeq2d oveq1d fsumrecl
      jca rexadd snfi unfi ad4ant14 elunnel1 elsni adantlll sge0fsummpt 3eqtr4d
      pm2.61dan ex findcard2d ) AFBUAUDZDUEZEMZNOZBUVRFDEMZNOZMZNOZPFBQDUEZEMZN
      OZBQUWCMZNOZPZFBUBUDZDUEZEMZNOZBUWLUWCMZNOZPZFBUWLUCUDZUFZUGZDUEZEMZNOZBU
      XAUWCMZNOZPZFBCDUEZEMZNOZBCUWCMZNOZPUAUBUCCUVRQPZUWAUWHUWEUWJUXMUVTUWGNUX
      MFUVSUWFEBUVRQDUHUIUJUXMUWDUWINBUVRQUWCUKUJULUVRUWLPZUWAUWOUWEUWQUXNUVTUW
      NNUXNFUVSUWMEBUVRUWLDUHUIUJUXNUWDUWPNBUVRUWLUWCUKUJULUVRUXAPZUWAUXDUWEUXF
      UXOUVTUXCNUXOFUVSUXBEBUVRUXADUHUIUJUXOUWDUXENBUVRUXAUWCUKUJULUVRCPZUWAUXJ
      UWEUXLUXPUVTUXINUXPFUVSUXHEBUVRCDUHUIUJUXPUWDUXKNBUVRCUWCUKUJULUWKAUWHQNO
      UWJUWGQNUWGFQEMZQUWFQPUWGUXQPBDUMFUWFQEUKUNFEUOUPUQUWIQNBUWCUOUQURUSAUWLC
      UTZUWSCUWLVAZRZSZSZUWRUXGUYBUWRSZUWLUWCBVBZFBUWTDUEZEMZNOZVCVDZUXAUWCBVBZ
      UXDUXFUYBUYHUYIPUWRUYBUYIUYHUYBUWLUWSUWCUYGBUXSUYBBVEBUYFNBNVFZBFUYEEBUWT
      DVGBEVFZVHVIAUYAUXRUWLVJRZAUXRUXTVKZAUXRSZCVJRZUXRUYLAUYOUXRHTAUXRVLCUWLV
      MVNZVOZAUXRUXTVPUYBUWLUWTVQQPZUWSUWLRVRZUYAUYRAUXTUYRUXRUXTUYSUYRUWSCUWLV
      SUWLUWSVTZWAWBWBZUYTWCAUXRBUDZUWLRZUWCWDRUXTUYNVUCSZUWCVUDAVUBCRZUWCWERZA
      UXRVUCWFZUXRVUCVUEAUWLCVUBWGZWHZLVNZWIWJVUBUWSPZUWBUYFNVUKFDUYEEVUKDBUWSD
      WKZUYEBUWSDWLZBUWSDVULBUWSDWMZUCWRVUMWNZWOUIZUJUYBUYGAUXTUYGWERZUXRAUXTSZ
      UYGFVULEMZNOZWEVURUYFVUSNUYFVUSPVURFUYEVULEVUOWPZUSUJUXTAUWSCRZVUTWERZUWS
      CUWLWQZAVUESZVUFXIAVVBSZVVCXIBUCVVFVVCBVVFBVEBVUTWEBVUSNUYJBFVULEVUNUYKVH
      VIBWEVFWSWTVUKVVEVVFVUFVVCVUKVUEVVBABUCCXAXBVUKUWCVUTWEVUKUWBVUSNVUKUWBUY
      FVUSVUPVVAXCUJXDXELXFXJXGXHZWIXKXLTUYCUXDUWOUYGXMVDZUYDUYGXMVDZUYHUYBUXDV
      VHPUWRUYBUXDFUWMUYEUGZEMZNOZVVHUXDVVLPUYBUXCVVKNFUXBVVJEBUWLUWTDXNWPUQUSU
      YBFUWMUYEEXOXOUYBFVEAUXRUWMXORUXTUYNUWMUXHXOAUXHXORZUXRAUYODGRZBCXPVVMHAV
      VNBCIXQBCDVJGXRVNZTUXRUWMUXHUTABUWLCDXSWBXTYAAUXTUYEXORUXRVURUYEUXHXOAVVM
      UXTVVOTUXTUYEUXHUTZAUXTUWTCUTZVVPUXTVVBVVQVVDUWSCUUAYBZBUWTCDXSYBWBXTXHUY
      BBCDUUBZUXRVVQUYRUWMUYEVQQPAVVSUYAJTUYMUXTVVQAUXRVVRUUEVUABCDUWLUWTUUCUUF
      AUXRFUDZUWMRZEYCYDUUDVDZRZUXTUYNVWASVVTDRZBUWLYEZVWCVWAVWEUYNVWAVWEBVVTUW
      LDYFYGWBUYNVWEVWCXIVWAUYNVWDVWCBUWLUYNVUCVWDVWCUYNVUCVWDYLAVUEVWDVWCAUXRV
      UCVWDYHUYNVUCVUEVWDVUIYIUYNVUCVWDYJKYKYMYNTYOWJAUXTVVTUYERZVWCUXRVURVWFSV
      WDBUWTYEZVWCVWFVWGVURVWFVWGBVVTUWTDYFYGWBVURVWGVWCXIVWFVURVWDVWCBUWTVURVU
      BUWTRZVWDVWCVURVWHVWDYLAVUEVWDVWCAUXTVWHVWDYHVURVWHVUEVWDUXTVWHVUEAUXTUWT
      CVUBVVRUUGWHYIVURVWHVWDYJKYKYMYNTYOUUHUUIYPTUYCUWOUYDUYGXMAUXRUWRUWOUYDPU
      XTUYNUWRSUWOUWQUWLUVRUWPOZUAVBZUYDUWRUWRUYNUWRYQWBUYNUWQVWJPUWRUYNUAUWPUW
      LUYPUYNBUWLUWCYCYDUUJVDZUWPVUDAVUEUWCVWKRZVUGVUIVVEVUFYCUWCUUKUULZSVWLVVE
      VUFVWMLVVEUWBGDIVVEFDEVWBUWBAVUEVWDVWCKUUMUWBYRYSUUNUVEUWCUUOWAZVNUWPYRZY
      SUUPTUYNVWJUYDPUWRUYNVWJUWLVUBUWPOZBVBZUYDVWJVWQPUYNUWLVWIVWPUABUVRVUBUWP
      UUQBUWLVFUAUWLVFBUVRUWPBUWLUWCUURBUVRVFVIUAVWPVFUUSUSUYNUWLVWPUWCBUYNVWPU
      WCPZBUWLVUCVWRUYNVUCVUCUWCXORVWRVUCYQVUCUWBNUUTBUWLUWCXOUWPVWOUVAVNWBXQUV
      BYPTYTWJUVCUYBVVIUYHPZUWRUYBUYDWERZVUQVWSAUXRVWTUXTUYNUWLUWCBUYPVUJUVDYAV
      VGUYDUYGUVFVNTYTUYBUXFUYIPUWRUYBUXAUWCBUYBUYLUWTVJRZUXAVJRUYQVXAUYBUWSUVG
      USUWLUWTUVHVNUYBVUBUXARZSAVUEVWLAUYAVXBWFUYAVXBVUEAUYAVXBSVUCVUEUXRVUCVUE
      UXTVXBVUHUVIUXTVXBVUCVRZVUEUXRUXTVXBSVXCSUXTVUKVUEUXTVXBVXCWFVXBVXCVUKUXT
      VXBVXCSVWHVUKVUBUWLUWTUVJVUBUWSUVKYBWHUXTVUKSVUBUWSCUXTVUKVLUXTVVBVUKVVDT
      XGVNUVLUVOWHVWNVNUVMTUVNUVPHUVQ $.
  $}

  ${
    $d B k $.  $d M k $.  $d N k $.  $d k ph $.
    sge0p1.1 $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    sge0p1.2 $e |- ( ( ph /\ k e. ( M ... ( N + 1 ) ) ) -> A e. ( 0 [,] +oo ) )
                 $.
    sge0p1.3 $e |- ( k = ( N + 1 ) -> A = B ) $.
    $( The addition of the next term in a finite sum of nonnegative extended
       reals.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0p1 $p |- ( ph -> ( sum^ ` ( k e. ( M ... ( N + 1 ) ) |-> A ) ) = ( (
       sum^ ` ( k e. ( M ... N ) |-> A ) ) +e B ) ) $=
      ( co cmpt csumge0 cfv wcel cvv a1i wa cc0 cpnf syl2anc caddc cfz csn cxad
      c1 cun cuz wceq fzsuc syl mpteq1d fveq2d nfv ovex snex cin c0 fzp1disj cv
      cxr 0xr pnfxr cicc iccssxr simpl fzelp1 adantl sselid cle iccgelb syl3anc
      iccleub eliccxrd elsni simpr peano2uz eluzfz2 adantr eqeltrd sge0splitmpt
      wbr 3syl id wi eleq1 anbi2d eleq1d imbi12d vtoclg sge0snmpt oveq2d 3eqtrd
      ax-mp ) ADEFUEUAJZUBJZBKZLMDEFUBJZWNUCZUFZBKZLMDWQBKLMZDWRBKLMZUDJXACUDJA
      WPWTLADWOWSBAFEUGMZNZWOWSUHGEFUIUJUKULADWQWRBOOADUMWQONAEFUBUNPWRONAWNUOP
      WQWRUPUQUHAEFURPADUSZWQNZQZRSBRUTNZXGVAPZSUTNZXGVBPZXGRSVCJZUTBRSVDXGAXEW
      ONZBXLNZAXFVEXFXMAXEEFVFVGHTZVHXGXHXJXNRBVIWAXIXKXORSBVJVKXGXHXJXNBSVIWAX
      IXKXORSBVLVKVMAXEWRNZQZAXMXNAXPVEZXQAXEWNUHZXMXRXPXSAXEWNVNVGAXSQXEWNWOAX
      SVOAWNWONZXSAXDWNXCNXTGEFVPEWNVQWBZVRVSTHTVTAXBCXAUDAWNBCDOWNONZAFUEUAUNZ
      PAAXTCXLNZAWCYAYBAXTQZYDWDZYCAXMQZXNWDYFDWNOXSYGYEXNYDXSXMXTAXEWNWOWEWFXS
      BCXLIWGWHHWIWMTIWJWKWL $.
  $}

  ${
    $d A b k p x y $.  $d A k w x y $.  $d B b k p y $.  $d B k w y $.
    $d C b p x y $.  $d C w x y $.  $d W x $.  $d b k p ph x y $.
    $d ph w x y $.
    sge0iunmptlemre.a $e |- ( ph -> A e. V ) $.
    sge0iunmptlemre.b $e |- ( ( ph /\ x e. A ) -> B e. W ) $.
    sge0iunmptlemre.dj $e |- ( ph -> Disj_ x e. A B ) $.
    sge0iunmptlemre.c $e |- ( ( ph /\ x e. A /\ k e. B ) -> C e. ( 0 [,] +oo )
       ) $.
    sge0iunmptlemre.re $e |- ( ( ph /\ x e. A ) -> ( sum^ ` ( k e. B |-> C ) )
       e. RR ) $.
    sge0iunmptlemre.sxr $e |- ( ph -> ( sum^ ` ( k e. U_ x e. A B |-> C ) ) e.
       RR* ) $.
    sge0iunmptlemre.ssxr $e |- ( ph -> ( sum^ ` ( x e. A |-> ( sum^ ` ( k e. B
       |-> C ) ) ) ) e. RR* ) $.
    sge0iunmptlemre.f $e |- ( ph -> ( k e. U_ x e. A B |-> C ) : U_ x e. A B
       --> ( 0 [,] +oo ) ) $.
    sge0iunmptlemre.iue $e |- ( ph -> U_ x e. A B e. _V ) $.
    $( Sum of nonnegative extended reals over a disjoint indexed union.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0iunmptlemre $p |- ( ph -> ( sum^ ` ( k e. U_ x e. A B |-> C ) ) = (
       sum^ ` ( x e. A |-> ( sum^ ` ( k e. B |-> C ) ) ) ) ) $=
      ( csumge0 wcel wa vy vw vp vb ciun cmpt cfv cle wbr cres cpw cfn cin wral
      cv wne crab csu wceq elpwinss resmptd fveq2d adantl elinel2 wrex cc0 cpnf
      c0 cico sselda eliun sylib adantll nfv nfcv nfiu1 nfpw nfin nfel nfan w3a
      co wi cicc simp3 fvmpt2 syl2anc eqcomd wf 3expa fmptd 3adant3 cr sge0rern
      eqid fge0iccico ffvelrnd eqeltrd ad2antrr rexlimd mpd sge0fsummpt sseqin2
      3exp wss biimpi a1i syl sumeq1d adantlr wdisj adantr cc simpr eqtrd inss2
      sselid ssfi ad2antlr simpll elinel1 syl3anc adantllr cbvmptf eqtr2d ssexd
      cxr cvv inex2 sge0cl sylan2 sge0xrcl fveq2i sge0lessmpt eqbrtrd ralrimiva
      sge0lefi mpbird clt rexrd iunin1 eqtr4d simpl rge0ssre ax-resscn 3adant1r
      sstri fsumiunss 3eqtrd csb disjinfi id elrabi nfcsb1v nfim eleq1w csbeq1a
      nf3an eleq2d imbi1d chvarfv fsumge0cl rabid simpld mpteq2dva nfrab1 nfsum
      3anbi23d ineq1d cbvsum 3eqtr4d ssriv icossicc simplr nfmpt mpteq1d cbvmpt
      vex nffv eqcomi inss1 sge0lempt xrletrd 0xr pnfxr sge0ge0 ltpnf fvmptelrn
      elicod fsumrecl crp caddc cxad disjss1 sylc sge0iunmptlemfi sge0ltfirpmpt
      iunss1 nfre1 sspwd sseldd elind ad4ant24 elpwid sge0ssrempt rpxr 3ad2ant1
      xaddcld rpre rexadd breq12d xrltled rspe sge0gerpmpt xrletrid ) AFBCDUEZE
      UFZRUGZBCFDEUFZRUGZUFZRUGZNOAUXRUYBUHUIUXQUAUOZUJZRUGZUYBUHUIZUAUXPUKZULU
      MZUNAUYFUAUYHAUYCUYHSZTZUYEBDUYCUMZVHUPZBCUQZFUYKEUFZRUGZUFZRUGZUYBUHUYJU
      YEUYMUYKEFURZBURZUYQUYJUYEFUYCEUFZRUGZUYCEFURZUYSUYIUYEVUAUSAUYIUYDUYTRUY
      IFUXPUYCEUYCUXPULUTZVAVBVCUYJUYCEFUYIUYCULSZAUYCUYGULVDVCZUYJFUOZUYCSZTZV
      UFDSZBCVEZEVFVGVIWBZSZUYIVUGVUJAUYIVUGTVUFUXPSZVUJUYIUYCUXPVUFVUCVJBVUFCD
      VKVLVMVUHVUIVULBCUYJVUGBAUYIBABVNZBUYCUYHBUYCVOZBUYGULBUXPBCDVPVQBULVOVRV
      SVTVUGBVNVTVULBVNZABUOZCSZVUIVULWCWCUYIVUGAVURVUIVULAVURVUIWAZEVUFUXSUGZV
      UKVUSVUTEVUSVUIEVFVGWDWBZSZVUTEUSAVURVUIWEZLFDEVVAUXSUXSWOZWFWGWHVUSDVUKV
      UFUXSVUSUXSDAVURDVVAUXSWIZVUIAVURTZFDEVVAUXSAVURVUIVVBLWJZVVDWKZWLZVUSUXS
      HDAVURDHSZVUIJWLVVIAVURUXTWMSZVUIMWLWNWPVVCWQWRZXDWSWTXAXBUYJVUBBCUYKUEZE
      FURZUYSUYIVUBVVNUSAUYIUYCVVMEFUYIUYCUXPXEZUYCVVMUSVUCVVOUYCUXPUYCUMZVVMVV
      OVVPUYCVVOVVPUYCUSUYCUXPXCXFWHVVMVVPUSVVOBCUYCDUUAXGUUBXHXIVCUYJAVUDVVNUY
      SUSAUYIUUCZVUEAVUDTZBCDEUYCFHAVURVVJVUDJXJZABCDXKZVUDKXLZAVURVUIEXMSVUDVU
      SVUKXMEVUKWMXMUUDUUEUUGVVLXQUUFAVUDXNZUUHWGXOUUIUYJUYQUYSUYJAVUDUYQUYSUSV
      VQVUEVVRUBUYMBUBUOZDUUJZUYCUMZEFURZUFZRUGZUYMVWFUBURZUYQUYSVVRUYMVWFUBVVR
      BCDUYCHVVSVWAVWBUUKVVRVWCUYMSZTVWEEFVUDVWEULSZAVWJVUDVUDVWEUYCXEZVWKVUDUU
      LZVWLVUDVWDUYCXPXGUYCVWEXRWGXSAVWJVUFVWESZVULVUDAVWJTZVWNTAVWCCSZVUFVWDSZ
      VULAVWJVWNXTVWJVWPAVWNUYLBVWCCUUMZXSVWNVWQVWOVUFVWDUYCYAZVCVUSVULWCAVWPVW
      QWAZVULWCBUBVWTVULBAVWPVWQBVUNVWPBVNBVUFVWDBVUFVOBVWCDUUNZVSUURVUPUUOVUQV
      WCUSZVUSVWTVULVXBVURVWPVUIVWQABUBCUUPVXBDVWDVUFBVWCDUUQZUUSUVHUUTVVLUVAZY
      BYCUVBXBVVRVWHUYQVVRVWGUYPRVVRUYPBUYMUYRUFZVWGVVRBUYMUYOUYRVVRVUQUYMSZTUY
      KEFVUDUYKULSZAVXFVUDVUDUYKUYCXEZVXGVWMVXHVUDDUYCXPXGUYCUYKXRWGXSAVXFVUFUY
      KSZVULVUDAVXFTZVXITAVURVUIVULAVXFVXIXTVXFVURAVXIVXFVURUYLVXFVURUYLTUYLBCU
      VCXFUVDXSVXIVUIVXJVUFDUYCYAZVCVVLYBYCXBUVEVXEVWGUSVVRBUBUYMUYRVWFUYLBCUVF
      ZUBUYMVOZUBUYRVOZBVWEEFBVWDUYCVXAVUOVRZBEVOZUVGZVXBUYKVWEEFVXBDVWDUYCVXCU
      VIZXIZYDXGYEVBWHUYSVWIUSVVRUYMUYRVWFBUBVXSVXMVXLVXNVXQUVJXGUVKWGWHXOUYJUY
      QUBCFVWEEUFZRUGZUFZRUGZUYBAUYQYGSUYIAUYPYHUYMAUYMCGIUYMCXEAUBUYMCVWRUVLXG
      ZYFAUBUYMVYAVVAUYPVWJAVWPVYAVVASVWRAVWPTZVXTYHVWEVWEYHSVYEUYCVWDUAUVRZYIX
      GVYEFVWEEVVAVXTVYEVWNTZVUKVVAEVFVGUVMVYGAVWPVWQVULAVWPVWNXTAVWPVWNUVNVWNV
      WQVYEVWSVCVXDYBXQVXTWOWKYJZYKBUBUYMUYOVYAVXLVXMUBUYOVOZBVXTRBRVOBFVWEEVXO
      VXPUVOUVSZVXBUYNVXTRVXBFUYKVWEEVXRUVPVBZYDZWKYLXLAVYCYGSUYIAVYBGCIAUBCVYA
      VVAVYBVYHVYBWOWKYLXLUYJAUYBYGSVVQOXHAUYQVYCUHUIUYIAUYQUBUYMVYAUFZRUGZVYCU
      HUYQVYNUSAUYPVYMRVYLYMXGAUBCVYAUYMGIVYHVYDYNYOXLAVYCUYBUHUIUYIAVYCBCUYOUF
      ZRUGZUYBUHVYCVYPUSAVYBVYORVYOVYBBUBCUYOVYAVYIVYJVYKUVQUVTYMXGABCUYOUXTGVU
      NIVVFUYNYHUYKUYKYHSVVFUYCDVYFYIXGVVFFUYKEVVAUYNVXIVVFVUIVVBVXKVVGYKUYNWOW
      KYJVVFUXSHDJVVHYJZVVFFDEUYKHJVVGUYKDXEVVFDUYCUWAXGYNUWBYOXLUWCYOYPAUAUYBU
      XQYHUXPQPOYQYRAUYBUXRUHUIUYAUYCUJZRUGZUXRUHUIZUACUKZULUMZUNAVYTUAWUBAUYCW
      UBSZTZVYSUYCUXTBURZUXRUHWUDVYSBUYCUXTUFZRUGZWUEWUCVYSWUGUSAWUCVYRWUFRWUCB
      CUYCUXTUYCCULUTZVAVBVCWUDUYCUXTBWUCVUDAUYCWUAULVDVCZWUDVUQUYCSZTZVFVGUXTV
      FYGSWUKUWDXGVGYGSWUKUWEXGWUKUXSHDWUKAVURVVJAWUCWUJXTZWUCWUJVURAWUCUYCCVUQ
      WUHVJVMZJWGZWUKAVURVVEWULWUMVVHWGZYLWUKUXSHDWUNWUOUWFWUKVVKUXTVGYSUIWUKAV
      URVVKWULWUMMWGZUXTUWGXHUWIXBZXOWUDFUCUDUXPEWUEYHWUDFVNAUXPYHSWUCQXLZAVUMV
      VBWUCAFUXPEVVAPUWHZXJWUDWUEWUDUYCUXTBWUIWUPUWJZYTZWUDUCUOZUWKSZTZFBUYCDUE
      ZEUFRUGZFUDUOZEUFRUGZWVBUWLWBZYSUIZUDWVEUKZULUMZVEWUEWVHWVBUWMWBZUHUIZUDU
      YHVEZWVDFUDWVEEYHWVBWVDFVNWUDWVEYHSZWVCWUDWVEUXPYHWURWUCWVEUXPXEZAWUCUYCC
      XEZWVQWUHBUYCCDUWRZXHVCZYFZXLWUDVUFWVESZVVBWVCWUDWWBTAVUMVVBAWUCWWBXTWUDW
      VEUXPVUFWVTVJWUSWGZXJWUDWVCXNWUDWVFWMSZWVCWUDWVFWUGWMWUDBUYCDEFHWUIWUNWUD
      WVRVVTBUYCDXKWUCWVRAWUHVCAVVTWUCKXLBUYCCDUWNUWOWUDWUJVUIWAAVURVUIVVBWUDWU
      JAVUIWULWLWUDWUJVURVUIWUMWLWUDWUJVUIWELYBWUPUWPZWUDWUGWUEWMWUQWUTWRWRZXLU
      WQWVDWVJWVOUDWVLWVDUDVNWVNUDUYHUWSWVDWVGWVLSZWVJWVOWVDWWGWVJWAZWVGUYHSZWV
      NWVOWVDWWGWWIWVJWUCWWGWWIAWVCWUCWWGTZUYGULWVGWWJWVKUYGWVGWUCWVKUYGXEZWWGW
      UCWVRWWKWUHWVRWVEUXPWVSUWTXHXLWWGWVGWVKSWUCWVGWVKULYAZVCUXAWWGWVGULSWUCWV
      GWVKULVDVCUXBUXCWLWWHWUEWVMWVDWWGWUEYGSZWVJWUDWWMWVCWWGWVAWSWLWVDWWGWVMYG
      SWVJWVDWWGTZWVHWVBWUDWWGWVHYGSWVCWUDWWGTZWVHWWOFWVEEWVGYHWWOFVNWUDWVPWWGW
      WAXLWUDWWBVVBWWGWWCXJWUDWWDWWGWWFXLWWGWVGWVEXEWUDWWGWVGWVEWWLUXDVCUXEZYTX
      JWVCWVBYGSWUDWWGWVBUXFXSUXHWLWWHWUEWVMYSUIWVJWVDWWGWVJWEWWHWUEWVFWVMWVIYS
      WVDWWGWUEWVFUSZWVJWUDWWQWVCWUDWVFWUGWUEWWEWUQYEXLUXGWVDWWGWVMWVIUSZWVJWWN
      WVHWMSZWVBWMSZWWRWUDWWGWWSWVCWWPXJWVCWWTWUDWWGWVBUXIXSWVHWVBUXJWGWLUXKYRU
      XLWVNUDUYHUXMWGXDWTXAUXNYOYPAUAUXRUYAGCIABCUXTVVAUYAVYQUYAWOWKNYQYRUXO $.
  $}

  ${
    $d A k n $.  $d B n $.  $d C k n $.  $d C m n $.  $d D k $.  $d F k n $.
    $d F m n $.  $d G k $.  $d Z k n $.
    sge0fodjrnlem.k $e |- F/ k ph $.
    sge0fodjrnlem.n $e |- F/ n ph $.
    sge0fodjrnlem.bd $e |- ( k = G -> B = D ) $.
    sge0fodjrnlem.c $e |- ( ph -> C e. V ) $.
    sge0fodjrnlem.f $e |- ( ph -> F : C -onto-> A ) $.
    sge0fodjrnlem.dj $e |- ( ph -> Disj_ n e. C ( F ` n ) ) $.
    sge0fodjrnlem.fng $e |- ( ( ph /\ n e. C ) -> ( F ` n ) = G ) $.
    sge0fodjrnlem.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    sge0fodjrnlem.b0 $e |- ( ( ph /\ k = (/) ) -> B = 0 ) $.
    sge0fodjrnlem.z $e |- Z = ( `' F " { (/) } ) $.
    $( Re-index a nonnegative extended sum using an onto function with disjoint
       range, when the empty set is assigned ` 0 ` in the sum (this is true,
       for example, both for measures and outer measures).  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    sge0fodjrnlem $p |- ( ph -> ( sum^ ` ( k e. A |-> B ) ) = ( sum^ ` ( n e. C
       |-> D ) ) ) $=
      ( vm cmpt csumge0 cfv c0 csn cdif cvv wcel wfo fornex sylc difssd cv cpnf
      wa cc0 cicc co simpl sselda syl2anc cin dfin4 eqcomi inss2 eqsstri sselid
      wceq id elsni syl adantl sge0ss eqcomd cres difexd wf1o wne crab crn eqid
      wf fof ffvelrnda fveq2 neeq1d cbvrabv cbvmptv difeq1i disjf1o feqmptd wal
      wb ccnv cima eldifi adantr fvex elsn sylibr jca adantll wfn ffnd elpreima
      rneqi ad2antrr mpbird eleqtrrdi wn eldifn ad2antlr pm2.65da elrab ex wral
      neqned simplbi eleq2i biimpi simprd adantlr simprbi neneqd eldifd ralrimi
      wss mpbid dfss3 sseld eqtr2d wi nfv nfan nfim anbi2d imbi12d vtoclgf forn
      impbid alrimi dfcleq reseq12d eqtr4di rneqd difeq1d f1oeq123d fvres eqtrd
      sge0f1o eqeltrd imdistani eleq1 eleq1d difss eleqtrdi elind simpld eqeq1d
      nfcv eqeq1 3eqtrd ) AFBCUCUDUEZFBUFUGZUHZCUCUDUEZGDKUHZEUCUDUEGDEUCUDUEAU
      VHUVEAUVGBCFUILADJUJDBHUKZBUIUJOPDBJHULUMABUVFUNZAFUOZUVGUJZUQAUVLBUJZCUR
      UPUSUTZUJZAUVMVAAUVGBUVLUVKVBSVCZAUVLBUVGUHZUJZUQAUVLUFVJZCURVJZAUVSVAUVS
      UVTAUVSUVLUVFUJUVTUVSUVRUVFUVLUVRBUVFVDZUVFUWBUVRBUVFVEVFBUVFVGVHUVSVKVIU
      VLUFVLVMVNTVCVOVPAUVGCUVIEFGHUVIVQZIUILMNADKJOVRAUVIUVGUWCVSUBUOZHUEZUFVT
      ZUBDWAZUBDUWEUCZWBZUVFUHZGDGUOZHUEZUCZUWGVQZVSAGDUWLUWGUWJUWMBMUWMWCADBUW
      KHAUVJDBHWDPDBHWEVMZWFZQUWFUWLUFVTZUBGDUWDUWKVJUWEUWLUFUWDUWKHWGZWHZWIUWI
      UWMWBUVFUWHUWMUBGDUWEUWLUWRWJZXHWKWLAUVIUWGUVGUWJUWCUWNAHUWMUVIUWGAGDBHUW
      OWMZAUWKUVIUJZUWKUWGUJZWOZGWNUVIUWGVJAUXDGMAUXBUXCAUXBUXCAUXBUQZUWKDUJZUW
      QUQUXCUXEUXFUWQAUVIDUWKADKUNZVBZUXEUWLUFUXEUWLUFVJZUWKKUJZUXEUXIUQZUWKHWP
      UVFWQZKUXKUWKUXLUJZUXFUWLUVFUJZUQZUXBUXIUXOAUXBUXIUQUXFUXNUXBUXFUXIUWKDKW
      RWSUXIUXNUXBUXIUXIUXNUXIVKUWLUFUWKHWTXAXBVNXCXDAUXMUXOWOZUXBUXIAHDXEUXPAD
      BHUWOXFDUWKUVFHXGVMZXIXJUAXKUXBUXJXLAUXIUWKDKXMXNXOXSXCUWFUWQUBUWKDUWSXPZ
      XBXQAUWGUVIUWKAUXBGUWGXRUWGUVIYIAUXBGUWGMAUXCUXBAUXCUQZUWKDKUXCUXFAUXCUXF
      UWQUXRXTVNUXSUXJUXIAUXJUXIUXCAUXJUQZUXNUXIUXTUXFUXNUXTUXMUXOUXJUXMAUXJUXM
      KUXLUWKUAYAYBVNAUXPUXJUXQWSYJZYCUWLUFVLVMZYDUXSUXJUQUWLUFUXCUWQAUXJUXCUXF
      UWQUXRYEXNYFXOYGXQYHGUWGUVIYKXBYLUUBUUCGUVIUWGUUDXBZUUEUYCABUWIUVFAUWIHWB
      ZBAUWHHAHUWHAHUWMUWHUXAUWTUUFVPUUGAUVJUYDBVJPDBHUUAVMYMUUHUUIXJUXEUWKUWCU
      EZUWLIUXBUYEUWLVJAUWKUVIHUUJVNUXEAUXFUWLIVJZAUXBVAZUXHRVCUUKUVQUULAUVIDEG
      JMOUXGUXEIBUJZAUYHUQZEUVOUJZUXEAUXFUYHUYGUXHAUXFUQZIUWLBUYKUWLIRVPUWPUUMZ
      VCZAUXBUYHAUXBUYHUYMXQUUNAUVNUQZUVPYNUYIUYJYNFIBFIUVBZUYIUYJFAUYHFLUYHFYO
      YPUYJFYOYQUVLIVJZUYNUYIUVPUYJUYPUVNUYHAUVLIBUUOYRUYPCEUVONUUPYSSYTUMAUWKD
      UVIUHZUJZUQZUYHAIUFVJZUQZEURVJZUYSAUXFUYHAUYRVAZUYRUXFAUWKDUVIWRZVNUYLVCU
      YSAUYTVUCUYSAUXJUYTVUCUYRUXJAUYRKDVDZKUWKVUEKKDUHZUHKKDVEKVUFUUQVHUYRKDUW
      KUYRDKVDZKUWKDKVGUYRUWKUYQVUGUYRVKVUGUYQDKVEVFUURVIVUDUUSVIVNUXTUFUWLIUXT
      UWLUFUYBVPUXTAUXFUYFAUXJVAUXTUXFUXNUYAUUTRVCYMVCXCAUVTUQZUWAYNVUAVUBYNFIB
      UYOVUAVUBFAUYTFLUYTFYOYPVUBFYOYQUYPVUHVUAUWAVUBUYPUVTUYTAUVLIUFUVCYRUYPCE
      URNUVAYSTYTUMVOUVD $.
  $}

  ${
    $d A k n $.  $d B n $.  $d C k n $.  $d D k $.  $d F k n $.  $d G k $.
    sge0fodjrn.k $e |- F/ k ph $.
    sge0fodjrn.n $e |- F/ n ph $.
    sge0fodjrn.bd $e |- ( k = G -> B = D ) $.
    sge0fodjrn.c $e |- ( ph -> C e. V ) $.
    sge0fodjrn.f $e |- ( ph -> F : C -onto-> A ) $.
    sge0fodjrn.dj $e |- ( ph -> Disj_ n e. C ( F ` n ) ) $.
    sge0fodjrn.fng $e |- ( ( ph /\ n e. C ) -> ( F ` n ) = G ) $.
    sge0fodjrn.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    sge0fodjrn.b0 $e |- ( ( ph /\ k = (/) ) -> B = 0 ) $.
    $( Re-index a nonnegative extended sum using an onto function with disjoint
       range, when the empty set is assigned ` 0 ` in the sum (this is true,
       for example, both for measures and outer measures).  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    sge0fodjrn $p |- ( ph -> ( sum^ ` ( k e. A |-> B ) ) = ( sum^ ` ( n e. C
       |-> D ) ) ) $=
      ( ccnv c0 csn cima eqid sge0fodjrnlem ) ABCDEFGHIJHTUAUBUCZKLMNOPQRSUFUDU
      E $.
  $}

  ${
    $d A j k x y $.  $d B j k y $.  $d C j x y $.  $d W x y $.
    $d j k ph x y $.
    sge0iunmpt.a $e |- ( ph -> A e. V ) $.
    sge0iunmpt.b $e |- ( ( ph /\ x e. A ) -> B e. W ) $.
    sge0iunmpt.dj $e |- ( ph -> Disj_ x e. A B ) $.
    sge0iunmpt.c $e |- ( ( ph /\ x e. A /\ k e. B ) -> C e. ( 0 [,] +oo ) ) $.
    $( Sum of nonnegative extended reals over a disjoint indexed union.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0iunmpt $p |- ( ph -> ( sum^ ` ( k e. U_ x e. A B |-> C ) ) = ( sum^ ` (
       x e. A |-> ( sum^ ` ( k e. B |-> C ) ) ) ) ) $=
      ( vy vj csumge0 cpnf nfcv wcel wa wi cmpt wceq wrex ciun nfiu1 nfmpt nffv
      cfv nfv nfmpt1 nfeq cv w3a cxr cvv wral ralrimiva iunexg syl2anc cc0 cicc
      co eliun biimpi adantl nfel nfan nfel1 3exp adantr rexlimd mpd eqid fmptd
      sge0xrcl cle id eqcomd 3adant1 wbr adantlr wss ssiun2 sge0lessmpt 3adant3
      3ad2ant1 eqbrtrd xrgepnfd csb nfcsb1v nfim eleq1w csbeq1a eleq12d imbi12d
      wf anbi2d chvarfv nff mpteq1d feq12d imp31 sge0cl fveq2d cbvmpt crn fvexd
      elrnmpt1 eqeltrd sge0pnfval eqtr4d imp wn wne ralnex bicomi ralbii sylbb1
      simpl df-ne eleq1d wdisj cbvdisj sylib 3anbi3d nf3an 3anbi23d 3adant1r cr
      eleq2d imbi1d simpr nfne a1i eqtrd neeq1d rspc sylc fveq2i eqeltrrid
      neneqd adantll 3expa sge0repnf mpbird mpteq1i eqtri exp31 sge0iunmptlemre
      cbviun 3eqtr4d pm2.61dan ) AFDEUAZOUHZPUBZBCUCZFBCDUDZEUAZOUHZBCUUNUAZOUH
      ZUBZAUUPUVBAUUOUVBBCABUIZBUUSUVABUUROBOQZBFUUQEBCDUEZBEQZUFUGBUUTOUVDBCUU
      NUJUGUKABULZCRZUUOUVBAUVHUUOUMZUUSPUVAUVIUUSAUVHUUSUNRUUOAUURUOUUQACGRZDH
      RZBCUPUUQUORZIAUVKBCJUQBCDGHURUSZAFUUQEUTPVAVBZUURAFULZUUQRZSZUVODRZBCUCZ
      EUVNRZUVPUVSAUVPUVSBUVOCDVCVDVEUVQUVRUVTBCAUVPBUVCBUVOUUQBUVOQZUVEVFVGBEU
      VNUVFVHZAUVHUVRUVTTTUVPAUVHUVRUVTLVIZVJVKVLZUURVMVNVOZWFUVIPUUNUUSVPUVHUU
      OPUUNUBZAUUOUWFUVHUUOUUNPUUOVQVRVEZVSAUVHUUNUUSVPVTUUOAUVHSZFUUQEDUOAUVLU
      VHUVMVJAUVPUVTUVHUWDWAUVHDUUQWBABCDWCVEWDWEWGWHUVIUUTGCAUVHUVJUUOIWFAUVHC
      UVNUUTWPUUOUWHMCFBMULZDWIZEUAZOUHZUVNUUTUWHUWICRZSUWKBUWIHWIZUWJAUWMUWJUW
      NRZUVHUWHUVKTZAUWMSZUWOTBMUWQUWOBUWQBUIZBUWJUWNBUWIDWJZBUWIHWJVFWKUVGUWIU
      BZUWHUWQUVKUWOUWTUVHUWMABMCWLZWQZUWTDUWJHUWNBUWIDWMZBUWIHWMWNWOJWRWAAUWMU
      WJUVNUWKWPZUVHUWHDUVNUUMWPZTUWQUXDTBMUWQUXDBUWRBUWJUVNUWKBFUWJEUWSUVFUFZU
      WSBUVNQWSWKUWTUWHUWQUXEUXDUXBUWTDUWJUVNUUMUWKUWTFDUWJEUXCWTZUXCXAWOUWHFDE
      UVNUUMAUVHUVRUVTUWCXBUUMVMVNZWRWAXCBMCUUNUWLMUUNQZBUWKOUVDUXFUGUWTUUMUWKO
      UXGXDXEVNWEUVHUUOPUUTXFZRAUVHUUOSPUUNUXJUWGUVHUUNUXJRZUUOUVHUVHUUNUORUXKU
      VHVQUVHUUMOXGBCUUNUUTUOUUTVMZXHUSVJXIVSXJXKVIVKXLAUUPXMZSAUUNPXNZBCUPZUVB
      AUXMXSUXMUXOAUUOXMZBCUPUXMUXOUUOBCXOUXPUXNBCUXNUXPUUNPXTXPXQXRVEAUXOSZNMC
      UWJUDZFNULZEWIZUAZOUHZMCNUWJUXTUAZOUHZUAZOUHZUUSUVAUXQMCUWJUXTNGHAUVJUXOI
      VJAUWMUWJHRZUXOUWPUWQUYGTBMUWQUYGBUWRBUWJHUWSBHQVFWKUWTUWHUWQUVKUYGUXBUWT
      DUWJHUXCYAWOJWRWAZAMCUWJYBZUXOABCDYBUYIKBMCDUWJMDQZUWSUXCYCYDVJAUWMUXSUWJ
      RZUXTUVNRZUXOAUWMUVOUWJRZUMZUVTTZAUWMUYKUMZUYLTFNUYPUYLFUYPFUIFUXTUVNFUXS
      EWJZVHWKUVOUXSUBZUYNUYPUVTUYLUYRUYMUYKAUWMFNUWJWLYEUYREUXTUVNFUXSEWMZYAWO
      AUVHUVRUMZUVTTUYOBMUYNUVTBAUWMUYMBUVCUWMBUIBUVOUWJUWAUWSVFYFUWBWKUWTUYTUY
      NUVTUWTUVHUWMUVRUYMAUXAUWTDUWJUVOUXCYJYGYKLWRWRZYHUXQUWMSZUYDYIRUYDPUBXMZ
      UXOUWMVUCAUXOUWMSZUYDPVUDUWMUXOUYDPXNZUXOUWMYLUXOUWMXSUWMUXOSUWMUXOVUEUWM
      UXOXSUWMUXOYLUXNVUEBUWICBUYDPBUYCOUVDBNUWJUXTUWSBUXTQUFUGZBPQYMUWTUUNUYDP
      UWTUUMUYCOUWTUUMUWKUYCUXGUWKUYCUBUWTFNUWJEUXTNEQZUYQUYSXEYNYOXDZYPYQYRUSU
      UAUUBVUBUYCHUWJUYHAUWMUWJUVNUYCWPUXOUWQNUWJUXTUVNUYCAUWMUYKUYLVUAUUCZUYCV
      MVNWAUUDUUEAUYBUNRUXOAUYBUUSUNUURUYAOUURNUUQUXTUAUYAFNUUQEUXTVUGUYQUYSXEN
      UUQUXRUXTBMCDUWJUYJUWSUXCUUJZUUFUUGYSZUWEYTVJAUYFUNRUXOAUYFUVAUNUUTUYEOBM
      CUUNUYDUXIVUFVUHXEYSZAUUTGCIABCUUNUVNUUTUWHUUMHDJUXHXCUXLVNVOYTVJAUXRUVNU
      YAWPUXOANUXRUXTUVNUYAAUXSUXRRZSZUYKMCUCZUYLVUMVUOAVUMVUOMUXSCUWJVCVDVEVUN
      UYKUYLMCAVUMMAMUIMUXSUXRMUXSQMCUWJUEVFVGUYLMUIAUWMUYKUYLTTVUMAUWMUYKUYLVU
      IUUHVJVKVLUYAVMVNVJAUXRUORUXOAUXRUUQUOVUJUVMYTVJUUIUUSUYBUBUXQVUKYNUVAUYF
      UBUXQVULYNUUKUSUUL $.
  $}

  ${
    $d A x y $.  $d B y $.  $d F x y $.  $d W x $.  $d ph x y $.
    sge0iun.a $e |- ( ph -> A e. V ) $.
    sge0iun.b $e |- ( ( ph /\ x e. A ) -> B e. W ) $.
    sge0iun.x $e |- X = U_ x e. A B $.
    sge0iun.f $e |- ( ph -> F : X --> ( 0 [,] +oo ) ) $.
    sge0iun.dj $e |- ( ph -> Disj_ x e. A B ) $.
    $( Sum of nonnegative extended reals over a disjoint indexed union.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    sge0iun $p |- ( ph -> ( sum^ ` F ) = ( sum^ ` ( x e. A |-> ( sum^ ` ( F |`
       B ) ) ) ) ) $=
      ( vy cv cfv cmpt csumge0 wcel fveq2d ciun cres w3a cpnf cicc co wf adantr
      3adant3 wa ssiun2 adantl eqcomi sseqtrdi simp3 sseldd ffvelrnd sge0iunmpt
      cc0 wss wb feq2i a1i mpbid feqmptd fssresd fvres mpteq2ia eqtrd mpteq2dva
      wceq 3eqtr4d ) ANBCDUAZNOZEPZQZRPBCNDVOQZRPZQZRPERPBCEDUBZRPZQZRPABCDVONF
      GIJMABOCSZVNDSZUCZHUSUDUEUFZVNEAWCHWFEUGZWDAWGWCLUHZUIWEDHVNAWCDHUTWDAWCU
      JZDVMHWCDVMUTABCDUKULHVMKUMUNZUIAWCWDUOUPUQURAEVPRANVMWFEAWGVMWFEUGZLWGWK
      VAAHVMWFEKVBVCVDVETAWBVSRABCWAVRWIVTVQRWIVTNDVNVTPZQZVQWINDWFVTWIHWFDEWHW
      JVFVEWMVQVKWINDWLVOVNDEVGVHVCVITVJTVL $.
  $}

  ${
    sge0nemnf.1 $e |- ( ph -> A e. V ) $.
    sge0nemnf.2 $e |- ( ph -> F : A --> ( 0 [,] +oo ) ) $.
    $( The generalized sum of nonnegative extended reals is not minus infinity.
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    sge0nemnf $p |- ( ph -> ( sum^ ` F ) =/= -oo ) $=
      ( csumge0 cfv cc0 cpnf cicc co wcel cmnf wne sge0cl xrge0neqmnf syl ) ACG
      HZIJKLMSNOACDBEFPSQR $.
  $}

  ${
    $d A n x y $.  $d B n x y $.  $d n ph x y $.
    sge0rpcpnf.a $e |- ( ph -> A e. V ) $.
    sge0rpcpnf.nfi $e |- ( ph -> -. A e. Fin ) $.
    sge0rpcpnf.b $e |- ( ph -> B e. RR+ ) $.
    $( The sum of an infinite number of a positive constant, is ` +oo `
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    sge0rpcpnf $p |- ( ph -> ( sum^ ` ( x e. A |-> B ) ) = +oo ) $=
      ( vy vn cpnf clt wbr wa cn wcel adantr cc0 a1i syl cmpt csumge0 cfv wn cv
      wceq cpw cfn cin wrex cdiv co cr cicc wf cxr 0xr pnfxr rpxrd rpge0d rpred
      ltpnf xrltled eliccxrd eqid fmptd sge0xrcl simpr xrgtned necomd sge0repnf
      neneqd mpbird wne rpne0d redivcld arch w3a wex chash wral r19.21bi df-rex
      ishashinf sylib adantlr 3adant3 nfv simprl simpl eqeltrd cn0 nnnn0 cvv wb
      vex hashclb adantrl 3ad2antl2 elind cmul simp3 3ad2ant1 nnre 3ad2ant2 crp
      ltdivmul2d mpbid csu adantll ad3antrrr cle elicod sge0fsummpt cc ad2antrr
      recnd fsumconst syl2anc oveq1 adantl 3eqtrrd adantllr 3adantl3 breqtrd ex
      jca eximd mpd sylibr rexlimdv wss elpwinss sge0lessmpt xrlenltd ralrimiva
      3exp ralnex pm2.65da nltpnft ) ABCDUAZUBUCZKUFZUUBKLMZUDZAUUDUUBBIUEZDUAZ
      UBUCZLMZICUGZUHUIZUJZAUUDNZUUBDUKULZJUEZLMZJOUJZUULUUMUUNUMPUUQUUMUUBDUUM
      UUBUMPZUUCUDUUMUUBKUUMKUUBUUMUUBKUUMUUAECACEPZUUDFQZACRKUNULZUUAUOUUDABCD
      UVAUUAADUVAPZBUEZCPZARKDRUPPZAUQSKUPPZAURSZADHUSZADHUTZADKUVHUVGADUMPZDKL
      MZADHVAZDVBTZVCVDZQZUUAVEVFZQZVGUVFUUMURSAUUDVHVIVJVLUUMUUAECUUTUVQVKVMZA
      UVJUUDUVLQADRVNUUDADHVOQVPUUNJVQTUUMUUPUULJOUUMUUOOPZUUPUULUUMUVSUUPVRZUU
      FUUKPZUUINZIVSZUULUVTUUFUUJPZUUFVTUCZUUOUFZNZIVSZUWCUUMUVSUWHUUPAUVSUWHUU
      DAUVSNZUWFIUUJUJZUWHAUWJJOACUHPUDUWJJOWAGICJWDTWBUWFIUUJWCWEWFWGUVTUWGUWB
      IUVTIWHUVTUWGUWBUVTUWGNZUWAUUIUWKUUJUHUUFUVTUWDUWFWIUVSUUMUWGUUFUHPZUUPUV
      SUWFUWLUWDUVSUWFNZUWEOPZUWLUWMUWEUUOOUVSUWFVHUVSUWFWJWKUWNUWLUWEWLPZUWEWM
      UWNUUFWNPZUWLUWOWOUWPUWNIWPSUUFWNWQTVMTWRZWSWTUWKUUBUUODXAULZUUHLUVTUUBUW
      RLMZUWGUVTUUPUWSUUMUVSUUPXBUVTUUBUUODUUMUVSUURUUPUVRXCUVSUUMUUOUMPUUPUUOX
      DXEUUMUVSDXFPZUUPAUWTUUDHQXCXGXHQUUMUVSUWGUWRUUHUFZUUPAUVSUWGUXAUUDUWIUWG
      NZUUHUUFDBXIZUWEDXAULZUWRUXBUUFDBUVSUWGUWLAUWQXJZUXBUVCUUFPZNZRKDUVEUXGUQ
      SUVFUXGURSADUPPUVSUWGUXFUVHXKARDXLMUVSUWGUXFUVIXKAUVKUVSUWGUXFUVMXKXMXNUX
      BUWLDXOPZUXCUXDUFUXEAUXHUVSUWGADUVLXQXPUUFDBXRXSUWGUXDUWRUFZUWIUWFUXIUWDU
      WEUUODXAXTYAYAYBYCYDYEYGYFYHYIUUIIUUKWCYJYQYKYIAUULUDZUUDAUUIUDZIUUKWAUXJ
      AUXKIUUKAUWANZUUHUUBXLMUXKUXLBCDUUFEAUUSUWAFQAUVDUVBUWAUVOWFUWAUUFCYLAUUF
      CUHYMYAYNUXLUUHUUBUXLUUGUUKUUFAUWAVHAUUFUVAUUGUOUWAABUUFDUVAUUGAUVBUXFUVN
      QUUGVEVFQVGAUUBUPPZUWAAUUAECFUVPVGZQYOXHYPUUIIUUKYRWEQYSAUXMUUCUUEWOUXNUU
      BYTTVM $.
  $}

  ${
    $d A x $.
    sge0rernmpt.xph $e |- F/ x ph $.
    sge0rernmpt.a $e |- ( ph -> A e. V ) $.
    sge0rernmpt.b $e |- ( ( ph /\ x e. A ) -> B e. ( 0 [,] +oo ) ) $.
    sge0rernmpt.re $e |- ( ph -> ( sum^ ` ( x e. A |-> B ) ) e. RR ) $.
    $( If the sum of nonnegative extended reals is not ` +oo ` then no term is
       ` +oo ` .  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    sge0rernmpt $p |- ( ( ph /\ x e. A ) -> B e. ( 0 [,) +oo ) ) $=
      ( cv wcel wa cc0 cpnf cxr a1i wbr wn simpr adantr 0xr cicc iccssxr sselid
      pnfxr co cle iccgelb syl3anc clt cmpt crn wceq wb nltpnft syl mpbird eqid
      eqcomd elrnmpt1 syl2anc eqeltrd fmptdf sge0rern ad2antrr condan elicod )
      ABJCKZLZMNDMOKZVIUAPZNOKZVIUEPZVIMNUBUFZODMNUCHUDZVIVJVLDVNKZMDUGQVKVMHMN
      DUHUIVIDNUJQZNBCDUKZULZKZVIVQRZLZNDVSWBDNWBDNUMZWAVIWASVIWCWAUNZWAVIDOKWD
      VODUOUPTUQUSVIDVSKZWAVIVHVPWEAVHSHBCDVRVNVRURZUTVATVBAVTRVHWAAVRECGABCDVN
      VRFHWFVCIVDVEVFVG $.
  $}

  ${
    $d A x y $.  $d B y $.  $d C y $.  $d ph y $.
    sge0lefimpt.xph $e |- F/ x ph $.
    sge0lefimpt.a $e |- ( ph -> A e. V ) $.
    sge0lefimpt.b $e |- ( ( ph /\ x e. A ) -> B e. ( 0 [,] +oo ) ) $.
    sge0lefimpt.c $e |- ( ph -> C e. RR* ) $.
    $( A sum of nonnegative extended reals is smaller than a given extended
       real if and only if every finite subsum is smaller than it.
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    sge0lefimpt $p |- ( ph -> ( ( sum^ ` ( x e. A |-> B ) ) <_ C <-> A. y e. (
       ~P A i^i Fin ) ( sum^ ` ( x e. y |-> B ) ) <_ C ) ) $=
      ( cmpt csumge0 cfv cle wbr cv cres cfn wral cpw cin cc0 cpnf cicc co eqid
      fmptdf sge0lefi wb wcel elpwinss resmptd fveq2d breq1d ralbiia a1i bitrd
      ) ABDELZMNFOPUSCQZRZMNZFOPZCDUASUBZTZBUTELZMNZFOPZCVDTZACFUSGDIABDEUCUDUE
      UFUSHJUSUGUHKUIVEVIUJAVCVHCVDUTVDUKZVBVGFOVJVAVFMVJBDUTEUTDSULUMUNUOUPUQU
      R $.
  $}

  $( Nonnegative integers are nonnegative reals.  (Contributed by Glauco
     Siliprandi, 11-Oct-2020.) $)
  nn0ssge0 $p |- NN0 C_ ( 0 [,) +oo ) $=
    ( vn cn0 cc0 cpnf cico co cv nn0rp0 ssriv ) ABCDEFAGHI $.

  ${
    $d A x $.
    sge0clmpt.xph $e |- F/ x ph $.
    sge0clmpt.a $e |- ( ph -> A e. V ) $.
    sge0clmpt.b $e |- ( ( ph /\ x e. A ) -> B e. ( 0 [,] +oo ) ) $.
    $( The generalized sum of nonnegative extended reals is a nonnegative
       extended real.  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    sge0clmpt $p |- ( ph -> ( sum^ ` ( x e. A |-> B ) ) e. ( 0 [,] +oo ) ) $=
      ( cmpt cc0 cpnf cicc co eqid fmptdf sge0cl ) ABCDIZECGABCDJKLMQFHQNOP $.
  $}

  ${
    $d A k x y $.  $d B k y $.  $d Y y $.  $d k ph y $.
    sge0ltfirpmpt2.xph $e |- F/ x ph $.
    sge0ltfirpmpt2.a $e |- ( ph -> A e. V ) $.
    sge0ltfirpmpt2.b $e |- ( ( ph /\ x e. A ) -> B e. ( 0 [,] +oo ) ) $.
    sge0ltfirpmpt2.rp $e |- ( ph -> Y e. RR+ ) $.
    sge0ltfirpmpt2.re $e |- ( ph -> ( sum^ ` ( x e. A |-> B ) ) e. RR ) $.
    $( If the extended sum of nonnegative reals is not ` +oo ` , then it can be
       approximated from below by finite subsums.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    sge0ltfirpmpt2 $p |- ( ph -> E. y e. ( ~P A i^i Fin ) ( sum^ ` ( x e. A |->
       B ) ) < ( sum_ x e. y B + Y ) ) $=
      ( vk csumge0 cfv co wcel wa wceq wi cmpt cv cres clt wbr cpw cfn cin wrex
      caddc csu cpnf cicc eqid fmptdf sge0ltfirp elpwinss resmptd fveq2d adantl
      cc0 simpr elinel2 cico nfv nfan simpll sselda adantll sge0rernmpt syl2anc
      sge0fsum csb nfcsb1v nfel1 nfim eleq1w anbi2d csbeq1a eleq1d imbi12d nfcv
      chvarfv cbvmpt fvmpt2 sumeq2dv eqcom imbi1i imbi2i bitri cbvsum a1i eqtrd
      mpbi 3eqtrd oveq1d adantr breqtrd ex reximdva mpd ) ABDEUAZNOZXBCUBZUCZNO
      ZGUJPZUDUEZCDUFZUGUHZUIXCXDEBUKZGUJPZUDUEZCXJUIACXBFDGIABDEVAULUMPXBHJXBU
      NUOKLUPAXHXMCXJAXDXJQZRZXHXMXOXHRXCXGXLUDXOXHVBXOXGXLSXHXOXFXKGUJXOXFBXDE
      UAZNOZXDMUBZXPOZMUKZXKXNXFXQSAXNXEXPNXNBDXDEXDDUGUQZURUSUTXOMXPXDXNXDUGQA
      XDXIUGVCUTXOBXDEVAULVDPZXPAXNBHXNBVEVFXOBUBZXDQZRAYCDQZEYBQZAXNYDVGXNYDYE
      AXNXDDYCYAVHVIABDEFHIJLVJZVKXPUNUOVLXOXTXDBXREVMZMUKZXKXOXDXSYHMXOXRXDQZR
      ZYJYHYBQZXSYHSXOYJVBYKAXRDQZYLAXNYJVGXNYJYMAXNXDDXRYAVHVIAYERZYFTAYMRZYLT
      BMYOYLBAYMBHYMBVEVFBYHYBBXREVNZVOVPYCXRSZYNYOYFYLYQYEYMABMDVQVRYQEYHYBBXR
      EVSZVTWAYGWCVKMXDYHYBXPBMXDEYHMEWBZYPYRWDWEVKWFYIXKSXOXDYHEMBYQEYHSZTZXRY
      CSZYHESZTZYRUUAUUBYTTUUDYQUUBYTYCXRWGWHYTUUCUUBEYHWGWIWJWNBXDWBMXDWBYPYSW
      KWLWMWOWPWQWRWSWTXA $.
  $}

  ${
    $d F i j k $.  $d F j k x $.  $d F k y $.  $d F j x z $.  $d G j x z $.
    $d G y $.  $d M i j k $.  $d M j k x $.  $d Z i j k $.  $d Z j k x $.
    $d Z k y $.  $d Z j x z $.  $d i j k ph $.  $d ph x z $.  $d ph y $.
    sge0isum.m $e |- ( ph -> M e. ZZ ) $.
    sge0isum.z $e |- Z = ( ZZ>= ` M ) $.
    sge0isum.f $e |- ( ph -> F : Z --> ( 0 [,) +oo ) ) $.
    sge0isum.g $e |- G = seq M ( + , F ) $.
    sge0isum.gcnv $e |- ( ph -> G ~~> B ) $.
    $( If a series of nonnegative reals is convergent, then it agrees with the
       generalized sum of nonnegative extended reals.  (Contributed by Glauco
       Siliprandi, 11-Oct-2020.) $)
    sge0isum $p |- ( ph -> ( sum^ ` F ) = B ) $=
      ( vj vk cfv cr wcel wa cle wceq adantr vx vi csumge0 crn clt csup cvv cuz
      vy vz fvexi a1i cc0 cpnf cico co cicc wss icossicc fssd sge0xrcl cv eqidd
      rge0ssre ffvelrnda sselid cxr wbr pnfxr icogelb syl3anc cabs wral wrex cz
      0xr cli cdm cc caddc cseq eqeltri climcl syl breldmg fveq1d eleq2i biimpi
      seqex adantl simpll elfzuz syl2anc eqeltrd recnd ralrimiva ad4ant13 simpr
      cfz letrd ex mpd cmpt fveq2d cfn c0 eqtrd wf mpbird eqcomi eqcomd eleqtrd
      eleqtrdi fvelrn sseldd fveq1i wne wb adantlr nfv nfan w3a 3adant3 eqbrtrd
      simp3 3exp suprub syl31anc ad2antrr adantll eqid fmptd sylan2 sge0lessmpt
      wi fzfid csu sge0fsummpt fsumser 3ad2ant1 eleqtrrdi readdcl seqcl climbdd
      abscld simpllr leabsd ralimdva reximdva isumsup2 climrecl feqmptd cpw cin
      rexrd mpteq1 mpt0 fveq2i sge00 eqtri 0red seqf feq1d frnd wfun ffund uzid
      fdmd ffvelrnd seq1 eqtr2d breqtrd ne0d wfn ffnd fvelrnb mpbid nfra1 simpl
      rspa id ad2antlr rexlimd reximdv wn elpwinss sselda ssuzfz sseqtrdi uzssz
      elinel2 eqsstri sstrdi neqne 3eqtrd xrletrd pm2.61dan sge0lefimpt 3eqtrrd
      suprfinzcl ssriv breq12d rexlimdv sge0cl ltpnfd xrlelttrd xrgtned ge0xrre
      necomd suprleub xrletrid climuni eqtr4d ) ACUCNZDUDZOUEUFZBAUXNUXPACUGFFU
      GPAFEUHHUKULZAFUMUNUOUPZUMUNUQUPZCIUXRUXSURAUMUNUSZULUTZVAZAUXPAUXPLDEFHG
      AUAMVBZCNZLMCDEFHJGAUYCFPZQZUYDVCZUYFUXROUYDVDAFUXRUYCCIVEZVFZUYFUMVGPZUN
      VGPZUYDUXRPZUMUYDRVHUYJUYFVPULUYKUYFVIULUYHUMUNUYDVJVKALVBZDNZVLNZUAVBZRV
      HZLFVMZUAOVNZUYNUYPRVHZLFVMZUAOVNZAEVOPZDVQVRPZUYNVSPZLFVMUYSGADUGPZBVSPZ
      DBVQVHZVUDVUFADVTCEWAZUGJVTCEWIWBULAVUHVUGKBDWCWDKDBUGVSVQWEVKAVUELFAUYMF
      PZQZUYNVUKUYNUYMVUINZOVUKUYMDVUIDVUISZVUKJULWFVUKMUBVTOCEUYMVUJUYMEUHNZPZ
      AVUJVUOFVUNUYMHWGWHWJZVUKUYCEUYMWSUPZPZQZAUYEUYDOPAVUJVURWKZVURUYEVUKVURU
      YCVUNFUYCEUYMWLHUUAZWJZUYIWMUYCOPUBVBZOPQZUYCVVCVTUPOPZVUKUYCVVCUUBZWJUUC
      WNZWOZWPUALDEFHUUDVKAUYRVUAUAOAUYPOPZQZUYQUYTLFVVJVUJQZUYQUYTVVKUYQQZUYNU
      YOUYPAVUJUYNOPVVIUYQVVGWQZVVLUYNAVUJVUEVVIUYQVVHWQUUEAVVIVUJUYQUUFVVLUYNV
      VMUUGVVKUYQWRWTXAUUHUUIXBZUUJZVVGUUKZUUOZAUXNMFUYDXCZUCNZUXPRACVVRUCAMFUX
      RCIUULXDZAVVSUXPRVHMUIVBZUYDXCZUCNZUXPRVHZUIFUUMZXEUUNZVMAVWDUIVWFAVWAVWF
      PZQZVWAXFSZVWDVWHVWIQVWCUMUXPRVWIVWCUMSVWHVWIVWCMXFUYDXCZUCNZUMVWIVWBVWJU
      CMVWAXFUYDUUPXDVWKUMSVWIVWKXFUCNUMVWJXFUCMUYDUUQUURUUSUUTULXGWJAUMUXPRVHV
      WGVWIAUMEDNZUXPAUVAAUXOOVWLAFODAFODXHFOVUIXHAMUBVTOCEFHGUYIVVDVVEAVVFWJUV
      BAFODVUIVUMAJULUVCXIZUVDZADUVEZEDVRZPVWLUXOPZAFODVWMUVFZAEFVWPAEVUNFAVUCE
      VUNPGEUVGWDFVUNHXJZXMZAVWPFAFODVWMUVHXKZXLEDXNWMZXOVVPAUMECNZVWLRAUYJUYKV
      XCUXRPUMVXCRVHUYJAVPULUYKAVIULZAFUXRECIVWTUVIUMUNVXCVJVKAVWLEVUINZVXCVWLV
      XESAEDVUIJXPULAVUCVXEVXCSGVTCEUVJWDUVKUVLAUXOOURZUXOXFXQZUJVBZUYPRVHZUJUX
      OVMZUAOVNZVWQVWLUXPRVHVWNAUXOVWLVXBUVMZAVUBVXKVVNAVUAVXJUAOAVUAVXJAVUAQZV
      XIUJUXOVXMVXHUXOPZQZUYNVXHSZLFVNZVXIAVXNVXQVUAAVXNQZVXNVXQAVXNWRAVXNVXQXR
      ZVXNADFUVNVXSAFODVWMUVOLFVXHDUVPWDTUVQZXSVXOVXPVXILFVXMVXNLAVUALALXTUYTLF
      UVRYAVXNLXTYAVXILXTVUAVUJVXPVXIYOYOAVXNVUAVUJVXPVXIVUAVUJVXPYBUYTVXPVXIVU
      AVUJUYTVXPUYTLFUVTYCVUAVUJVXPYEUYTVXPQVXHUYNUYPRVXPVXHUYNSUYTVXPUYNVXHVXP
      UWAXKWJUYTVXPUVSYDWMYFUWBUWCXBWPXAUWDXBZVXBUAUJUXOVWLYGYHWTYIYDVWHVWIUWEZ
      QZVWCMEVWAOUEUFZWSUPZUYDXCZUCNZUXPVWHVWCVGPVYBVWHVWBVWFVWAAVWGWRVWHMVWAUY
      DUXSVWBVWHUYCVWAPZQAUYEUYDUXSPZAVWGVYHWKVWGVYHUYEAVWGVWAFUYCVWAFXEUWFZUWG
      YJUYFUXRUXSUYDUXTUYHVFZWMVWBYKYLVATVWHVYGVGPVYBVWHVYFXEVYEVWHEVYDYPZAVYEU
      XSVYFXHVWGAMVYEUYDUXSVYFUYCVYEPZAUYEVYIVYMUYCVUNFUYCEVYDWLVWSXMZVYKYMVYFY
      KYLTVATVWHUXPVGPZVYBAVYOVWGVVQTTVWHVWCVYGRVHVYBVWHMVYEUYDVWAXEVYLVWHVYMQZ
      AUYEVYIAVWGVYMWKZVYMUYEVWHVYNWJZVYKWMVWGVWAVYEURAVWGVWAEFHVYJVWAVWEXEUWKZ
      UWHWJYNTVYCVXFVXGVXKVYGUXOPVYGUXPRVHVWHVXFVYBAVXFVWGVWNTTVWHVXGVYBAVXGVWG
      VXLTTVWHVXKVYBAVXKVWGVYATTVYCVYGVYDDNZUXOVYCVYGVYEUYDMYQZVYDVUINZVYTVWHVY
      GWUASVYBVWHVYEUYDMVYLVYPAUYEUYLVYQVYRUYHWMYRTVYCUYDMCEVYDVYCVYMQUYDVCVWGV
      YBVYDVUNPAVWGVYBQZVWAVUNVYDVWGVWAVUNURVYBVWGVWAFVUNVYJHUWITWUCVWAVOURZVWA
      XFXQZVWAXEPZVYDVWAPVWGWUDVYBVWGVWAFVOVYJFVUNVOHEUWJUWLUWMTVYBWUEVWGVWAXFU
      WNWJVWGWUFVYBVYSTVWAUWTVKXOYJZVWHVYMUYDVSPZVYBVYPAUYEWUHVYQVYRUYFUYDUYIWO
      ZWMXSYSWUBVYTSVYCVYDVUIDDVUIJXJZXPULUWOVYCVWOVYDVWPPVYTUXOPVWHVWOVYBAVWOV
      WGVWRTTVYCVYDFVWPVYCVYDVUNFWUGVWSXMAFVWPSVWGVYBVXAYIXLVYDDXNWMWNUAUJUXOVY
      GYGYHUWPUWQWPAMUIFUYDUXPUGAMXTUXQVYKVVQUWRXIYDZAUXPUXNRVHZVXHUXNRVHZUJUXO
      VMZAWUMUJUXOVXRVXQWUMVXTVXRVXPWUMLFAVUJVXPWUMYOYOVXNAVUJVXPWUMAVUJVXPYBZW
      UMMVUQUYDXCUCNZVVSRVHZAVUJWUQVXPAMFUYDVUQUGUXQVYKVUQFURAMVUQFVVAUXAULYNYT
      WUOVXHWUPUXNVVSRWUOWUPVULUYNVXHWUOWUPVUQUYDMYQZVULAVUJWUPWURSVXPAVUQUYDMA
      EUYMYPVURAUYEUYLVVAUYHYMYRYTAVUJWURVULSVXPVUKUYDMCEUYMVUSAUYEUYDUYDSVUTVV
      BUYGWMVUPVUSAUYEWUHVUTVVBWUIWMYSYCXGVULUYNSWUOUYMVUIDWUJXPULAVUJVXPYEUWSA
      VUJUXNVVSSVXPVVTYTUXBXIYFTUXCXBWPAVXFVXGVXKUXNOPZWULWUNXRVWNVXLVYAAUXNUXS
      PUXNUNXQWUSACUGFUXQUYAUXDAUNUXNAUXNUNUYBVXDAUXNUXPUNUYBVVQVXDWUKAUXPVVPUX
      EUXFUXGUXIUXNUXHWMUAUJUJUXOUXNUXJYHXIUXKAVUHDUXPVQVHBUXPSKVVOBUXPDUXLWMUX
      M $.
  $}

  ${
    $d A x $.
    sge0xrclmpt.xph $e |- F/ x ph $.
    sge0xrclmpt.a $e |- ( ph -> A e. V ) $.
    sge0xrclmpt.b $e |- ( ( ph /\ x e. A ) -> B e. ( 0 [,] +oo ) ) $.
    $( The generalized sum of nonnegative extended reals is an extended real.
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    sge0xrclmpt $p |- ( ph -> ( sum^ ` ( x e. A |-> B ) ) e. RR* ) $=
      ( cc0 cpnf cicc co cxr cmpt csumge0 cfv iccssxr sge0clmpt sselid ) AIJKLM
      BCDNOPIJQABCDEFGHRS $.
  $}

  ${
    $d A j k z $.  $d B i j k z $.  $d C z $.  $d D j k $.  $d i j ph z $.
    sge0xp.1 $e |- F/ k ph $.
    sge0xp.z $e |- ( z = <. j , k >. -> D = C ) $.
    sge0xp.a $e |- ( ph -> A e. V ) $.
    sge0xp.b $e |- ( ph -> B e. W ) $.
    sge0xp.d $e |- ( ( ph /\ j e. A /\ k e. B ) -> C e. ( 0 [,] +oo ) ) $.
    $( Combine two generalized sums of nonnegative extended reals into a single
       generalized sum over the cartesian product.  (Contributed by Glauco
       Siliprandi, 11-Oct-2020.) $)
    sge0xp $p |- ( ph -> ( sum^ ` ( j e. A |-> ( sum^ ` ( k e. B |-> C ) ) ) )
       = ( sum^ ` ( z e. ( A X. B ) |-> D ) ) ) $=
      ( cmpt csumge0 cfv cvv wcel vi cv csn cxp ciun snex xpexd adantr disjsnxp
      a1i wdisj cc0 cpnf cicc co wa cop wceq wrex wb elsnxp ax-mp biimpi adantl
      vex nfv nfan wi w3a 3ad2ant3 3expa 3adant3 eqeltrd 3exp rexlimd mpd 3impa
      sge0iunmpt iunxpconst eqcomi mpteq1d fveq2d simpr eqid projf1o eqidd opex
      opeq2 fvmptd adantlr sge0f1o eqcomd mpteq2da 3eqtr4rd ) ABGCGUBZUCZDUDZUE
      ZFPZQRGCBWQFPQRZPZQRBCDUDZFPZQRGCHDEPQRZPZQRAGCWQFBISMAWQSTWOCTZAWPDSJWPS
      TAWOUFUJNUGUHGCWQUKACDGUIUJAXFBUBZWQTZFULUMUNUOZTZAXFUPZXHUPZXGWOHUBZUQZU
      RZHDUSZXJXHXPXKXHXPWOSTXHXPUTGVEHDSWOXGVAVBVCVDXLXOXJHDXKXHHAXFHKXFHVFVGZ
      XHHVFVGXJHVFXKXMDTZXOXJVHVHXHXKXRXOXJXKXRXOVIFEXIXOXKFEURXRLVJXKXREXITZXO
      AXFXRXSOVKVLVMVNUHVOVPZVQVRAXCWSQABXBWRFXBWRURAWRXBGCDVSVTUJWAWBAXEXAQAGC
      XDWTAGVFXKWTXDXKWQFDEBHUADWOUAUBZUQZPZXNJXKBVFXQLADJTXFNUHXKUAWODYCCAXFWC
      YCWDWEAXRXMYCRXNURXFAXRUPZUAXMYBXNDYCSYDYCWFYAXMURYBXNURYDYAXMWOWHVDAXRWC
      XNSTYDWOXMWGUJWIWJXTWKWLWMWBWN $.
  $}

  ${
    $d Z k $.
    sge0isummpt.kph $e |- F/ k ph $.
    sge0isummpt.a $e |- ( ( ph /\ k e. Z ) -> A e. ( 0 [,) +oo ) ) $.
    sge0isummpt.m $e |- ( ph -> M e. ZZ ) $.
    sge0isummpt.z $e |- Z = ( ZZ>= ` M ) $.
    sge0isummpt.b $e |- ( ph -> seq M ( + , ( k e. Z |-> A ) ) ~~> B ) $.
    $( If a series of nonnegative reals is convergent, then it agrees with the
       generalized sum of nonnegative extended reals.  (Contributed by Glauco
       Siliprandi, 11-Oct-2020.) $)
    sge0isummpt $p |- ( ph -> ( sum^ ` ( k e. Z |-> A ) ) = B ) $=
      ( cmpt caddc cseq cc0 cpnf cico co eqid fmptdf sge0isum ) ACDFBLZMUBENZEF
      IJADFBOPQRUBGHUBSTUCSKUA $.
  $}

  ${
    $d A n $.  $d n ph $.
    sge0ad2en.1 $e |- ( ph -> A e. ( 0 [,) +oo ) ) $.
    $( The value of the infinite geometric series
       ` 2 ^ -u 1 + 2 ^ -u 2 + ` ... , multiplied by a constant.  (Contributed
       by Glauco Siliprandi, 11-Oct-2020.) $)
    sge0ad2en $p |- ( ph -> ( sum^ ` ( n e. NN |-> ( A / ( 2 ^ n ) ) ) ) = A )
                 $=
      ( c2 cv cexp co c1 cn wcel cc0 cpnf cxr 0xr a1i pnfxr cr adantr wbr nnnn0
      cdiv nfv cico rge0ssre sselid 2re cn0 adantl reexpcld 2cnd wne 2ne0 nn0zd
      wa expne0d redivcld rexrd crp 2rp rpexpcld icogelb syl3anc divge0d ltpnfd
      cle elicod 1zzd nnuz cc caddc cmpt cseq cli recnd geo2lim syl sge0isummpt
      eqid ) ABECFZGHZUBHZBCIJACUCAVTJKZUOZLMWBLNKZWDOPMNKZWDQPWDWBWDBWAABRKWCA
      LMUDHZRBUEDUFZSZWDEVTERKWDUGPWCVTUHKAVTUAUIZUJWDEVTWDUKELULWDUMPWDVTWJUNZ
      UPUQZURWDBWAWIWDEVTEUSKWDUTPWKVAALBVFTZWCAWEWFBWGKWMWEAOPWFAQPDLMBVBVCSVD
      WDWBWLVEVGAVHVIABVJKVKCJWBVLZIVMBVNTABWHVOBCWNWNVSVPVQVR $.
  $}

  ${
    $d A i j $.  $d M j $.  $d Z i j k $.  $d j ph $.
    sge0isummpt2.kph $e |- F/ k ph $.
    sge0isummpt2.a $e |- ( ( ph /\ k e. Z ) -> A e. ( 0 [,) +oo ) ) $.
    sge0isummpt2.m $e |- ( ph -> M e. ZZ ) $.
    sge0isummpt2.z $e |- Z = ( ZZ>= ` M ) $.
    sge0isummpt2.b $e |- ( ph -> seq M ( + , ( k e. Z |-> A ) ) ~~> B ) $.
    $( If a series of nonnegative reals is convergent, then it agrees with the
       generalized sum of nonnegative extended reals.  (Contributed by Glauco
       Siliprandi, 11-Oct-2020.) $)
    sge0isummpt2 $p |- ( ph -> ( sum^ ` ( k e. Z |-> A ) ) = sum_ k e. Z A ) $=
      ( vj vi cv csb wcel wceq nfcv caddc cli csu cmpt csumge0 cfv wa cpnf cico
      cc0 co simpr wi nfv nfan nfcsb1 nfim eleq1w anbi2d csbeq1a eleq1d imbi12d
      nfel1 chvarfv nfcsb1v cbvmpt eqcomi fvmptf cc cr rge0ssre ax-resscn sstri
      syl2anc sselid cseq wbr a1i seqeq3d breq1d mpbid isumclim cbvsum 3eqtr4rd
      sge0isummpt ) AFDLNZBOZLUAZCFBDUAZDFBUBZUCUDAWECLMFDMNZBOZUBZEFJIAWDFPZUE
      ZWLWEUHUFUGUIZPZWDWKUDWEQAWLUJADNZFPZUEZBWNPZUKWMWOUKDLWMWODAWLDGWLDULUMD
      WEWNDWDBDWDRZUNZVAUOWPWDQZWRWMWSWOXBWQWLADLFUPUQXBBWEWNDWDBURZUSUTHVBZDWD
      BWEFWKWNWTXAXCWHWKDMFBWJMBRDWIBVCDWIBURVDZVEVFVLWMWNVGWEWNVHVGVIVJVKXDVMA
      SWHEVNZCTVOSWKEVNZCTVOKAXFXGCTAWHWKSEWHWKQAXEVPVQVRVSVTWGWFQAFBWEDLXCLFRD
      FRLBRXAWAVPABCDEFGHIJKWCWB $.
  $}

  ${
    $d A k x $.  $d A k y $.  $d A k z $.  $d B x $.  $d B y $.  $d C x $.
    $d C z $.  $d U k x $.  $d W k x $.  $d k ph x $.  $d ph y $.  $d ph z $.
    sge0xaddlem1.a $e |- ( ph -> A e. V ) $.
    sge0xaddlem1.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,) +oo ) ) $.
    sge0xaddlem1.c $e |- ( ( ph /\ k e. A ) -> C e. ( 0 [,) +oo ) ) $.
    sge0xaddlem1.rp $e |- ( ph -> E e. RR+ ) $.
    sge0xaddlem1.u $e |- ( ph -> U C_ A ) $.
    sge0xaddlem1.ufi $e |- ( ph -> U e. Fin ) $.
    sge0xaddlem1.7 $e |- ( ph -> W C_ A ) $.
    sge0xaddlem1.wfi $e |- ( ph -> W e. Fin ) $.
    sge0xaddlem1.ltb $e |- ( ph -> ( sum^ ` ( k e. A |-> B ) ) < ( sum_ k e. U
       B + ( E / 2 ) ) ) $.
    sge0xaddlem1.ltc $e |- ( ph -> ( sum^ ` ( k e. A |-> C ) ) < ( sum_ k e. W
       C + ( E / 2 ) ) ) $.
    sge0xaddlem1.xr $e |- ( ph -> sup ( ran ( x e. ( ~P A i^i Fin ) |-> sum_ k
       e. x ( B + C ) ) , RR* , < ) e. ( 0 [,] +oo ) ) $.
    sge0xaddlem1.sb $e |- ( ph -> ( sum^ ` ( k e. A |-> B ) ) e. RR ) $.
    sge0xaddlem1.sc $e |- ( ph -> ( sum^ ` ( k e. A |-> C ) ) e. RR ) $.
    $( The extended addition of two generalized sums of nonnegative extended
       reals.  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    sge0xaddlem1 $p |- ( ph -> ( ( sum^ ` ( k e. A |-> B ) ) + ( sum^ ` ( k e.
       A |-> C ) ) ) <_ ( sup ( ran ( x e. ( ~P A i^i Fin ) |-> sum_ k e. x ( B
       + C ) ) , RR* , < ) +e E ) ) $=
      ( vy vz cmpt csumge0 cfv caddc co cpw cfn cin cv csu crn cxr clt csup nfv
      cxad sge0revalmpt oveq12d eqcomd eqeltrd eqeltrrd readdcld rexrd wss wcel
      cr wral wa elinel2 adantl simpll elpwinss adantr simpr sseldd adantll cc0
      cpnf cico rge0ssre sselid syl2anc fsumrecl ralrimiva eqid rnmptss supxrcl
      syl rpxrd xaddcld c2 simpl sselda rpred rehalfcld a1i ltadd12dd cle recnd
      cdiv add4d 2halvesd oveq2d eqtrd wceq wbr pnfxr ltpnf oveq1 cmnf renemnfd
      xrltled wne xaddpnf2 eqtr2d breqtrd cicc neqne ge0xrre cun jca unfi unssd
      syldan icossicc xrge0ge0 ssun1 fsumless ssun2 leadd12dd fsumadd cvv elpwd
      wn elind elexd sumeq1 elrnmpt1s supxrub leadd1dd rexadd pm2.61dan eqbrtrd
      letrd xrltletrd ) AGCDUFUGUHZGCEUFUGUHZUIUJZBCUKZULUMZBUNZDEUIUJZGUOZUFZU
      PZUQURUSZHVAUJZAUUMUDUUOUDUNDGUOUFUPUQURUSZUEUUOUEUNEGUOUFUPUQURUSZUIUJZU
      QAUUKUVCUULUVDUIAGUDCDIAGUTZKLVBZAGUECEIUVFKMVBZVCAUVEAUVCUVDAUVCUUKVKAUU
      KUVCUVGVDUBVEAUULUVDVKUVHUCVFVGVHVEZAUVAHAUUTUQVIZUVAUQVJAUURUQVJZBUUOVLU
      VJAUVKBUUOAUUPUUOVJZVMZUURUVMUUPUUQGUVLUUPULVJAUUPUUNULVNVOUVMGUNZUUPVJZV
      MZDEUVPAUVNCVJZDVKVJZAUVLUVOVPZUVLUVOUVQAUVLUVOVMUUPCUVNUVLUUPCVIUVOUUPCU
      LVQVRUVLUVOVSVTWAZAUVQVMZWBWCWDUJZVKDWELWFZWGUVPAUVQEVKVJZUVSUVTUWAUWBVKE
      WEMWFZWGVGWHVHWIBUUOUURUQUUSUUSWJZWKWMZUUTWLWMAHNWNZWOZAUUMFDGUOZHWPXEUJZ
      UIUJZJEGUOZUWKUIUJZUIUJZUVBUVIAUWOAUWLUWNAUWJUWKAFDGPAUVNFVJZVMZUWBVKDWEU
      WQAUVQDUWBVJAUWPWQAFCUVNOWRLWGWFWHZAHAHNWSZWTZVGZAUWMUWKAJEGRAUVNJVJZVMZU
      WBVKEUWBVKVIUXCWEXAUXCAUVQEUWBVJAUXBWQUXCJCUVNAJCVIUXBQVRAUXBVSVTMWGVTWHZ
      UWTVGZVGZVHZUWIAUUKUULUWLUWNUBUCUXAUXESTXBAUWOUWJUWMUIUJZHUIUJZUVBXCAUWOU
      XHUWKUWKUIUJZUIUJUXIAUWJUWKUWMUWKAUWJUWRXDAUWKUWTXDZAUWMUXDXDUXKXFAUXJHUX
      HUIAHAHUWSXDXGXHXIZAUVAWCXJZUXIUVBXCXKZAUXMVMZUXIWCUVBXCAUXIWCXCXKUXMAUXI
      WCAUWOUXIUQUXLUXGVFWCUQVJAXLXAAUXIVKVJUXIWCURXKAUWOUXIVKUXLUXFVFUXIXMWMXQ
      VRUXOUVBWCHVAUJZWCUXMUVBUXPXJAUVAWCHVAXNVOAUXPWCXJZUXMAHUQVJHXOXRUXQUWHAH
      UWSXPHXSWGVRXTYAAUXMYSZVMZAUVAVKVJZUXNAUXRWQZUXSUVAWBWCYBUJZVJZUVAWCXRZUX
      TUXSAUYCUYAUAWMUXRUYDAUVAWCYCVOUVAYDWGAUXTVMZUXIUVAHUIUJZUVBXCUYEUXHUVAHA
      UXHVKVJUXTAUWJUWMUWRUXDVGVRZAUXTVSZAHVKVJZUXTUWSVRZUYEUXHFJYEZUUQGUOZUVAU
      YGAUYLVKVJUXTAUYKUUQGAFULVJZJULVJZVMUYKULVJAUYMUYNPRYFFJYGWMZAUVNUYKVJZVM
      ZDEUYQAUVQUVRAUYPWQUYQUYKCUVNAUYKCVIUYPAFJCOQYHZVRAUYPVSVTZUWCWGZAUYPUVQU
      WDUYSUWEYIZVGWHZVRUYHAUXHUYLXCXKUXTAUXHUYKDGUOZUYKEGUOZUIUJZUYLXCAUWJUWMV
      UCVUDUWRUXDAUYKDGUYOUYTWHAUYKEGUYOVUAWHAUYKDFGUYOUYTAUYPUVQWBDXCXKZUYSUWA
      DUYBVJVUFUWAUWBUYBDWBWCYJZLWFDYKWMYIFUYKVIAFJYLXAYMAUYKEJGUYOVUAAUYPUVQWB
      EXCXKZUYSUWAEUYBVJVUHUWAUWBUYBEVUGMWFEYKWMYIJUYKVIAJFYNXAYMYOAUYLVUEAUYKD
      EGUYOUYQDUYTXDUYQEVUAXDYPVDYAVRUYEUVJUYLUUTVJZUYLUVAXCXKAUVJUXTUWGVRAVUIU
      XTAUYKUUOVJUYLYQVJVUIAUUNULUYKAUYKCULUYOUYRYRUYOYTAUYLVKVUBUUABUUOUURUYLU
      YKUUSYQUWFUUPUYKUUQGUUBUUCWGVRUUTUYLUUDWGUUIUUEUYEUVBUYFUYEUXTUYIUVBUYFXJ
      UYHUYJUVAHUUFWGVDYAWGUUGUUHUUJXQ $.
  $}

  ${
    $d A e j k u v x $.  $d A e k x y $.  $d A e k x z $.  $d B e j u v x $.
    $d B e x y $.  $d C e j u v x $.  $d C e x z $.  $d e j k ph u v x $.
    $d ph x y $.  $d ph x z $.
    sge0xaddlem2.a $e |- ( ph -> A e. V ) $.
    sge0xaddlem2.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,) +oo ) ) $.
    sge0xaddlem2.c $e |- ( ( ph /\ k e. A ) -> C e. ( 0 [,) +oo ) ) $.
    sge0xaddlem2.sb $e |- ( ph -> ( sum^ ` ( k e. A |-> B ) ) e. RR ) $.
    sge0xaddlem2.sc $e |- ( ph -> ( sum^ ` ( k e. A |-> C ) ) e. RR ) $.
    $( The extended addition of two generalized sums of nonnegative extended
       reals.  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    sge0xaddlem2 $p |- ( ph -> ( sum^ ` ( k e. A |-> ( B +e C ) ) ) = ( ( sum^
       ` ( k e. A |-> B ) ) +e ( sum^ ` ( k e. A |-> C ) ) ) ) $=
      ( vj caddc co cfn cxr wcel wa cr syl2anc vx vy vz ve cmpt csumge0 cfv cpw
      vu vv cin cv csu crn clt csup cxad nfv cc0 cpnf 0xr a1i pnfxr cico sselid
      rge0ssre readdcld rexrd cicc cle wbr icossicc xrge0ge0 syl addge0d ltpnfd
      elicod sge0revalmpt wceq rexadd mpteq2dva fveq2d oveq12d eqeltrd eqeltrrd
      eqcomd wral elinel2 adantl simpll elpwinss adantr sseldd adantll fsumrecl
      wss simpr ralrimiva eqid rnmptss supxrcl cdiv wrex adantlr sge0ltfirpmpt2
      crp c2 rphalfcl w3a 3ad2ant1 wi nfcsb1v nfel1 nfim csbeq1a eleq1d imbi12d
      csb chvarfv 3ad2ant2 cbvmpt fveq2i cbvsum oveq1i breq12i biimpi eqeltrrid
      nfcv 3exp rexlimdv mpd eqbrtrd recnd eqidd sumeq1 rspceeqv elexd elrnmptd
      cvv supxrub simpl1l 3ad2antl1 eleq1w anbi2d simp11r simp12 simp13 simp11l
      simp2 simp3 mpteq2i rneqi supeq1i eqcomi ge0xaddcl sge0clmpt sge0xaddlem1
      nfov eqtr4d oveq12i xrlexaddrp sge0fsummpt fsumadd eqtrd rnmptssd le2addd
      sylibr sge0lefimpt mpbird xrletrid 3eqtrd 3eqtr4d ) AEBCDMNZUEZUFUGZUABUH
      ZOUKZUAULZUVMEUMZUEZUNZPUOUPZEBCDUQNZUEZUFUGEBCUEZUFUGZEBDUEZUFUGZUQNZAEU
      ABUVMFAEURZGAEULZBQZRZUSUTUVMUSPQUWMVAVBUTPQUWMVCVBUWMUVMUWMCDUWMUSUTVDNZ
      SCVFHVEZUWMUWNSDVFIVEZVGZVHUWMCDUWOUWPUWMCUSUTVINZQZUSCVJVKUWMUWNUWRCUSUT
      VLZHVEZCVMVNUWMDUWRQZUSDVJVKUWMUWNUWRDUWTIVEZDVMVNVOUWMUVMUWQVPVQZVRZAUWD
      UVNUFAEBUWCUVMUWMCSQZDSQZUWCUVMVSUWOUWPCDVTTZWAWBAUWIUWFUWHMNZUBUVQUBULZC
      EUMZUEZUNZPUOUPZUCUVQUCULZDEUMZUEZUNZPUOUPZMNZUWBAUWFSQZUWHSQZUWIUXIVSJKU
      WFUWHVTTAUWFUXNUWHUXSMAEUBBCFUWJGHVRZAEUCBDFUWJGIVRZWCZAUXTUWBAUXTAUXNUXS
      AUXNUWFSAUWFUXNUYCWFJWDZAUWHUXSSUYDKWEZVGVHZAUWAPWPZUWBPQAUVSPQZUAUVQWGUY
      IAUYJUAUVQAUVRUVQQZRZUVSUYLUVRUVMEUYKUVROQAUVRUVPOWHWIZUYLUWKUVRQZRZCDUYO
      AUWLUXFAUYKUYNWJZUYKUYNUWLAUYKUYNRUVRBUWKUYKUVRBWPUYNUVRBOWKWLUYKUYNWQWMW
      NZUWOTZUYOAUWLUXGUYPUYQUWPTZVGWOVHWRUAUVQUVSPUVTUVTWSWTVNUWAXAVNZAUDUXTUW
      BUYHUYTAUDULZXFQZRZUXTUXIUWBVUAUQNZVJAUXTUXIVSVUBAUXIUXTUYEWFWLVUCUWFUIUL
      ZCEUMZVUAXGXBNZMNZUOVKZUIUVQXCUXIVUDVJVKZVUCEUIBCFVUGVUCEURZABFQZVUBGWLZA
      UWLUWSVUBUXAXDVUBVUGXFQAVUAXHWIZAUYAVUBJWLXEVUCVUIVUJUIUVQVUCVUEUVQQZVUIV
      UJVUCVUOVUIXIZUWHUJULZDEUMZVUGMNZUOVKZUJUVQXCZVUJVUCVUOVVAVUIVUCEUJBDFVUG
      VUKVUMAUWLUXBVUBUXCXDVUNAUYBVUBKWLXEXJVUPVUTVUJUJUVQVUPVUQUVQQZVUTVUJVUPV
      VBVUTXIZLBELULZCXRZUEZUFUGZLBEVVDDXRZUEZUFUGZMNZUAUVQUVRVVEVVHMNZLUMZUEZU
      NZPUOUPZVUAUQNZVJVKVUJVVCUABVVEVVHVUELVUAFVUQVUPVVBVULVUTVUCVUOVULVUIVUMX
      JXJVVCVVDBQZRZAVVRVVEUWNQZVUPVVBVVRAVUTAVUBVUOVUIVVRUUAUUBZVVCVVRWQZUWMCU
      WNQZXKAVVRRZVVTXKELVWDVVTEVWDEURZEVVEUWNEVVDCXLZXMXNUWKVVDVSZUWMVWDVWCVVT
      VWGUWLVVRAELBUUCUUDZVWGCVVEUWNEVVDCXOZXPXQHXSTVVSAVVRVVHUWNQZVWAVWBUWMDUW
      NQZXKVWDVWJXKELVWDVWJEVWEEVVHUWNEVVDDXLZXMXNVWGUWMVWDVWKVWJVWHVWGDVVHUWNE
      VVDDXOZXPXQIXSTAVUBVUOVUIVVBVUTUUEVVCVUOVUEBWPVUCVUOVUIVVBVUTUUFVUEBOWKVN
      VUPVVBVUEOQZVUTVUOVUCVWNVUIVUEUVPOWHXTXJVVCVVBVUQBWPVUPVVBVUTUUIVUQBOWKVN
      VVBVUPVUQOQVUTVUQUVPOWHXTVVCVUIVVGVUEVVELUMZVUGMNZUOVKZVUCVUOVUIVVBVUTUUG
      VUIVWQUWFVVGVUHVWPUOUWEVVFUFELBCVVELCYHZVWFVWIYAYBZVUFVWOVUGMVUECVVEELVWI
      LVUEYHEVUEYHVWRVWFYCYDYEYFVNVVCVUTVVJVUQVVHLUMZVUGMNZUOVKZVUPVVBVUTUUJVUT
      VXBUWHVVJVUSVXAUOUWGVVIUFELBDVVHLDYHZVWLVWMYAYBZVURVWTVUGMVUQDVVHELVWMLVU
      QYHEVUQYHVXCVWLYCYDYEYFVNVVCAVVPUWRQAVUBVUOVUIVVBVUTUUHZAVVPUVOUWRAVVPUWB
      UVOVVPUWBVSAUWBVVPPUWAVVOUOUVTVVNUAUVQUVSVVMUVRUVMVVLELVWGCVVEDVVHMVWIVWM
      WCLUVRYHEUVRYHLUVMYHEVVEVVHMVWFEMYHVWLUURYCUUKUULUUMZUUNVBUXEUUSAEBUVMFUW
      JGUWMUWCUVMUWRUXHUWMUWSUXBUWCUWRQUXAUXCCDUUOTWEZUUPWDVNVVCAVVGSQVXEAVVGUW
      FSVWSJYGVNVVCAVVJSQVXEAVVJUWHSVXDKYGVNUUQUXIVVKVUDVVQVJUWFVVGUWHVVJMVWSVX
      DUUTUWBVVPVUAUQVXFYDYEUVGYIYJYKYIYJYKYLUVAAUWBUVOUXTVJAUVOUWBUXEWFAUVOUXT
      VJVKEUVRUVMUEUFUGZUXTVJVKZUAUVQWGAVXIUAUVQUYLVXHUVRCEUMZUVRDEUMZMNZUXTVJU
      YLVXHUVSVXLUYLUVRUVMEUYMUYOAUWLUVMUWNQUYPUYQUXDTUVBUYLUVRCDEUYMUYOCUYRYMU
      YODUYSYMUVCUVDUYLVXJVXKUXNUXSUYLUVRCEUYMUYRWOZUYLUVRDEUYMUYSWOZAUXNSQUYKU
      YFWLAUXSSQUYKUYGWLUYLUXMPWPZVXJUXMQVXJUXNVJVKAVXOUYKAUXKPQZUBUVQWGVXOAVXP
      UBUVQAUXJUVQQZRZUXKVXRUXJCEVXQUXJOQAUXJUVPOWHWIVXRUWKUXJQZRAUWLUXFAVXQVXS
      WJVXQVXSUWLAVXQVXSRUXJBUWKVXQUXJBWPVXSUXJBOWKWLVXQVXSWQWMWNUWOTWOVHWRUBUV
      QUXKPUXLUXLWSZWTVNWLUYLUBUVQUXKVXJUXLYSVXTUYLUYKVXJVXJVSVXJUXKVSUBUVQXCAU
      YKWQZUYLVXJYNUBUVRUVQUXKVXJVXJUXJUVRCEYOYPTUYLVXJSVXMYQYRUXMVXJYTTUYLUXRP
      WPZVXKUXRQVXKUXSVJVKAVYBUYKAUCUVQUXPPUXQAUCURUXQWSZAUXOUVQQZRZUXPVYEUXODE
      VYDUXOOQAUXOUVPOWHWIVYEUWKUXOQZRAUWLUXGAVYDVYFWJVYDVYFUWLAVYDVYFRUXOBUWKV
      YDUXOBWPVYFUXOBOWKWLVYDVYFWQWMWNUWPTWOVHUVEWLUYLUCUVQUXPVXKUXQYSVYCUYLUYK
      VXKVXKVSVXKUXPVSUCUVQXCVYAUYLVXKYNUCUVRUVQUXPVXKVXKUXOUVRDEYOYPTUYLVXKSVX
      NYQYRUXRVXKYTTUVFYLWRAEUABUVMUXTFUWJGVXGUYHUVHUVIYLUVJUVKUVL $.
  $}

  ${
    $d A j k $.  $d B j $.  $d C j $.  $d j ph $.
    sge0xadd.kph $e |- F/ k ph $.
    sge0xadd.a $e |- ( ph -> A e. V ) $.
    sge0xadd.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    sge0xadd.c $e |- ( ( ph /\ k e. A ) -> C e. ( 0 [,] +oo ) ) $.
    $( The extended addition of two generalized sums of nonnegative extended
       reals.  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    sge0xadd $p |- ( ph -> ( sum^ ` ( k e. A |-> ( B +e C ) ) ) = ( ( sum^ ` (
       k e. A |-> B ) ) +e ( sum^ ` ( k e. A |-> C ) ) ) ) $=
      ( vj csumge0 cpnf wceq cxad co wa simpr wcel adantr cmpt cfv cxr cmnf wne
      oveq1d sge0xrclmpt cc0 cicc eqid fmptdf sge0nemnf xaddpnf2 syl2anc cv cle
      ge0xaddcl id eqcomd adantl wbr cvv elexd iccssxr sselid xadd0ge sge0lempt
      eqbrtrd xrgepnfd wn cr simpl wb sge0repnf mpbird oveq2d sge0xrcl xaddpnf1
      3eqtrrd xadd0ge2 adantlr csb ad2antrr cico nfcv nfmpt1 nffv nfel nfan nfv
      wi nfcsb1v nfel1 eleq1w anbi2d csbeq1a eleq1d imbi12d sge0rernmpt chvarfv
      nfim adantllr cbvmpt fveq2i simplr eqeltrrid sge0xaddlem2 oveq12d oveq12i
      nfov eqeq12i sylibr pm2.61dan ) AEBCUAZLUBZMNZEBCDOPZUAZLUBZXOEBDUAZLUBZO
      PZNZAXPQZYBMYAOPZMXSYDXOMYAOAXPRUFAYEMNZXPAYAUCSYAUDUEYFAEBDFGHJUGABXTFHA
      EBDUHMUIPZXTGJXTUJUKZULYAUMUNTYDXSMYDXSAXSUCSZXPAEBXQFGHAEUOZBSZQZCYGSZDY
      GSZXQYGSIJCDUQUNZUGZTYDMXOXSUPXPMXONAXPXOMXPURUSUTAXOXSUPVAXPAEBCXQVBGABF
      HVCIYOYLCDYLYGUCCUHMVDZIVEJVFVGTVHVIUSVSAXPVJZQZAXOVKSZYCAYRVLYSYTYRAYRRA
      YTYRVMYRAXNFBHAEBCYGXNGIXNUJUKZVNTVOAYTQZYAMNZYCAUUCYCYTAUUCQZYBXOMOPZMXS
      UUDYAMXOOAUUCRVPAUUEMNZUUCAXOUCSXOUDUEUUFAXNFBHUUAVQABXNFHUUAULXOVRUNTUUD
      XSMUUDXSAYIUUCYPTUUDMYAXSUPUUCMYANAUUCYAMUUCURUSUTAYAXSUPVAUUCAEBDXQFGHJY
      OYLDCYLYGUCDYQJVEIVTVGTVHVIUSVSWAUUBUUCVJZQUUBYAVKSZYCUUBUUGVLAUUGUUHYTAU
      UGQUUHUUGAUUGRAUUHUUGVMUUGAXTFBHYHVNTVOWAUUBUUHQZKBEKUOZCWBZEUUJDWBZOPZUA
      ZLUBZKBUUKUAZLUBZKBUULUAZLUBZOPZNYCUUIBUUKUULKFABFSZYTUUHHWCUUBUUJBSZUUKU
      HMWDPZSZUUHUUBYKQZCUVCSZWKUUBUVBQZUVDWKEKUVGUVDEUUBUVBEAYTEGEXOVKEXNLELWE
      ZEBCWFWGEVKWEZWHWIZUVBEWJZWIEUUKUVCEUUJCWLZWMXAYJUUJNZUVEUVGUVFUVDUVMYKUV
      BUUBEKBWNZWOUVMCUUKUVCEUUJCWPZWQWRUUBEBCFUVJAUVAYTHTAYKYMYTIWAAYTRWSWTWAA
      UUHUVBUULUVCSZYTAUUHQZYKQZDUVCSZWKUVQUVBQZUVPWKEKUVTUVPEUVQUVBEAUUHEGEYAV
      KEXTLUVHEBDWFWGUVIWHWIZUVKWIEUULUVCEUUJDWLZWMXAUVMUVRUVTUVSUVPUVMYKUVBUVQ
      UVNWOUVMDUULUVCEUUJDWPZWQWRUVQEBDFUWAAUVAUUHHTAYKYNUUHJWAAUUHRWSWTXBUUIUU
      QXOVKXNUUPLEKBCUUKKCWEUVLUVOXCXDZAYTUUHXEXFUUIUUSYAVKXTUURLEKBDUULKDWEUWB
      UWCXCXDZUUBUUHRXFXGXSUUOYBUUTXRUUNLEKBXQUUMKXQWEEUUKUULOUVLEOWEUWBXJUVMCU
      UKDUULOUVOUWCXHXCXDXOUUQYAUUSOUWDUWEXIXKXLUNXMUNXM $.
  $}

  ${
    $d A j k $.  $d B j $.  $d j ph $.
    sge0fsummptf.k $e |- F/ k ph $.
    sge0fsummptf.a $e |- ( ph -> A e. Fin ) $.
    sge0fsummptf.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,) +oo ) ) $.
    $( The generalized sum of a finite set of nonnegative extended real numbers
       is equal to the sum of those numbers, when none of them is ` +oo `
       (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    sge0fsummptf $p |- ( ph -> ( sum^ ` ( k e. A |-> B ) ) = sum_ k e. A B ) $=
      ( vj cmpt csumge0 cfv cv csu cc0 cpnf cico co wceq nfcv wcel fmptdf fveq2
      eqid sge0fsum nfmpt1 nffv cbvsum a1i simpr fvmpt2 syl2anc ralrimi sumeq2d
      wa ex 3eqtrd ) ADBCIZJKBHLZUQKZHMZBDLZUQKZDMZBCDMAHUQBFADBCNOPQZUQEGUQUCZ
      UAUDUTVCRABUSVBHDURVAUQUBDBSHBSDURUQDBCUEDURSUFHVBSUGUHABVBCDAVBCRZDBEAVA
      BTZVFAVGUNVGCVDTVFAVGUIGDBCVDUQVEUJUKUOULUMUP $.
  $}

  ${
    $d A k $.  $d C k $.
    sge0snmptf.k $e |- F/ k ph $.
    sge0snmptf.a $e |- ( ph -> A e. V ) $.
    sge0snmptf.c $e |- ( ph -> C e. ( 0 [,] +oo ) ) $.
    sge0snmptf.b $e |- ( k = A -> B = C ) $.
    $( A sum of a nonnegative extended real is the term.  (Contributed by
       Glauco Siliprandi, 21-Nov-2020.) $)
    sge0snmptf $p |- ( ph -> ( sum^ ` ( k e. { A } |-> B ) ) = C ) $=
      ( csn cmpt csumge0 cfv cc0 cpnf cicc wcel wceq syl co cv wa adantl adantr
      elsni eqeltrd eqid fmptdf sge0sn snidg fvmptd3 eqtrd ) AEBKZCLZMNBUONDABU
      OFHAEUNCOPQUAZUOGAEUBZUNRZUCCDUPURCDSZAURUQBSUSUQBUFJTUDADUPRURIUEUGUOUHZ
      UIUJAEBCDUNUOUPUTJABFRBUNRHBFUKTIULUM $.
  $}

  ${
    $d A k $.
    sge0ge0mpt.k $e |- F/ k ph $.
    sge0ge0mpt.a $e |- ( ph -> A e. V ) $.
    sge0ge0mpt.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    $( The sum of nonnegative extended reals is nonnegative.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    sge0ge0mpt $p |- ( ph -> 0 <_ ( sum^ ` ( k e. A |-> B ) ) ) $=
      ( cmpt cc0 cpnf cicc co eqid fmptdf sge0ge0 ) ADBCIZEBGADBCJKLMQFHQNOP $.
  $}

  ${
    $d A k $.
    sge0repnfmpt.k $e |- F/ k ph $.
    sge0repnfmpt.a $e |- ( ph -> A e. V ) $.
    sge0repnfmpt.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    $( The of nonnegative extended reals is a real number if and only if it is
       not ` +oo ` .  (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    sge0repnfmpt $p |- ( ph -> ( ( sum^ ` ( k e. A |-> B ) ) e. RR <-> -. (
       sum^ ` ( k e. A |-> B ) ) = +oo ) ) $=
      ( cmpt cc0 cpnf cicc co eqid fmptdf sge0repnf ) ADBCIZEBGADBCJKLMQFHQNOP
      $.
  $}

  ${
    $d A k x $.  $d B x $.  $d Y x $.  $d ph x $.
    sge0pnffigtmpt.k $e |- F/ k ph $.
    sge0pnffigtmpt.a $e |- ( ph -> A e. V ) $.
    sge0pnffigtmpt.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    sge0pnffigtmpt.p $e |- ( ph -> ( sum^ ` ( k e. A |-> B ) ) = +oo ) $.
    sge0pnffigtmpt.y $e |- ( ph -> Y e. RR ) $.
    $( If the generalized sum of nonnegative reals is ` +oo ` , then any real
       number can be dominated by finite subsums.  (Contributed by Glauco
       Siliprandi, 21-Nov-2020.) $)
    sge0pnffigtmpt $p |- ( ph -> E. x e. ( ~P A i^i Fin ) Y < ( sum^ ` ( k e. x
       |-> B ) ) ) $=
      ( cmpt cv csumge0 cfv clt wbr cfn wrex cres cpw cin cc0 cpnf cicc co eqid
      fmptdf sge0pnffigt wi wa simpr wss elpwinss adantr resmptd fveq2d breqtrd
      wcel ex adantl reximdva mpd ) AGECDMZBNZUAZOPZQRZBCUBSUCZTGEVFDMZOPZQRZBV
      JTABVEFCGIAECDUDUEUFUGVEHJVEUHUIKLUJAVIVMBVJVFVJUTZVIVMUKAVNVIVMVNVIULZGV
      HVLQVNVIUMVOVGVKOVOECVFDVNVFCUNVIVFCSUOUPUQURUSVAVBVCVD $.
  $}

  ${
    $d A k $.  $d B k $.  $d D k $.
    sge0splitsn.ph $e |- F/ k ph $.
    sge0splitsn.a $e |- ( ph -> A e. V ) $.
    sge0splitsn.b $e |- ( ph -> B e. W ) $.
    sge0splitsn.n $e |- ( ph -> -. B e. A ) $.
    sge0splitsn.c $e |- ( ( ph /\ k e. A ) -> C e. ( 0 [,] +oo ) ) $.
    sge0splitsn.d $e |- ( k = B -> C = D ) $.
    sge0splitsn.e $e |- ( ph -> D e. ( 0 [,] +oo ) ) $.
    $( Separate out a term in a generalized sum of nonnegative extended reals.
       (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    sge0splitsn $p |- ( ph -> ( sum^ ` ( k e. ( A u. { B } ) |-> C ) ) = ( (
       sum^ ` ( k e. A |-> C ) ) +e D ) ) $=
      ( cmpt csumge0 cfv cxad wcel csn cun co cvv cfn snfi a1i elexd wn c0 wceq
      cin disjsn sylibr cv wa cpnf cicc elsni adantl sylan2 adantr sge0splitmpt
      cc0 eqeltrd sge0snmptf oveq2d eqtrd ) AFBCUAZUBDPQRFBDPQRZFVIDPQRZSUCVJES
      UCAFBVIDGUDIJAVIUEVIUETACUFUGUHACBTUIBVIULUJUKLBCUMUNMAFUOZVITZUPDEVDUQUR
      UCZVMAVLCUKZDEUKZVLCUSVOVPANUTVAAEVNTVMOVBVEVCAVKEVJSACDEFHIKONVFVGVH $.
  $}

  ${
    $d A k x $.  $d B x $.  $d Y x $.  $d ph x $.
    sge0pnffsumgt.k $e |- F/ k ph $.
    sge0pnffsumgt.a $e |- ( ph -> A e. V ) $.
    sge0pnffsumgt.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,) +oo ) ) $.
    sge0pnffsumgt.p $e |- ( ph -> ( sum^ ` ( k e. A |-> B ) ) = +oo ) $.
    sge0pnffsumgt.y $e |- ( ph -> Y e. RR ) $.
    $( If the sum of nonnegative extended reals is ` +oo ` , then any real
       number can be dominated by finite subsums.  (Contributed by Glauco
       Siliprandi, 21-Nov-2020.) $)
    sge0pnffsumgt $p |- ( ph -> E. x e. ( ~P A i^i Fin ) Y < sum_ k e. x B ) $=
      ( cv clt wbr cfn wcel wa cc0 cpnf cmpt csumge0 cfv cpw cin wrex cico cicc
      csu co icossicc sselid sge0pnffigtmpt wceq nfv nfan elinel2 adantl simpll
      simpr elpwinss sselda adantll syl2anc sge0fsummptf adantr ex reximdva mpd
      breqtrd ) AGEBMZDUAUBUCZNOZBCUDZPUEZUFGVKDEUIZNOZBVOUFABCDEFGHIAEMZCQZRST
      UGUJZSTUHUJDSTUKJULKLUMAVMVQBVOAVKVOQZRZVMVQWBVMRGVLVPNWBVMUTWBVLVPUNVMWB
      VKDEAWAEHWAEUOUPWAVKPQAVKVNPUQURWBVRVKQZRAVSDVTQAWAWCUSWAWCVSAWAVKCVRVKCP
      VAVBVCJVDVEVFVJVGVHVI $.
  $}

  ${
    $d A k y $.  $d B y $.  $d C y $.  $d ph y $.
    sge0gtfsumgt.k $e |- F/ k ph $.
    sge0gtfsumgt.a $e |- ( ph -> A e. V ) $.
    sge0gtfsumgt.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,) +oo ) ) $.
    sge0gtfsumgt.c $e |- ( ph -> C e. RR ) $.
    sge0gtfsumgt.l $e |- ( ph -> C < ( sum^ ` ( k e. A |-> B ) ) ) $.
    $( If the generalized sum of nonnegative reals is larger than a given
       number, then that number can be dominated by a finite subsum.
       (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    sge0gtfsumgt $p |- ( ph -> E. y e. ( ~P A i^i Fin ) C < sum_ k e. y B ) $=
      ( cr wcel clt wbr wa co adantr cpnf cmpt csumge0 cfv csu cpw cfn cin wrex
      cv cmin caddc nfcv nfmpt1 nffv nfel nfan cc0 cicc icossicc sselid adantlr
      cico crp wb simpr difrp syl2anc mpbid sge0ltfirpmpt2 cc nfv adantl simpll
      elinel2 elpwinss sseldd rge0ssre fsumreclf recnd ad4ant13 ad2antrr subcld
      adantll addcomd breqtrd resubcld ltsubadd2d mpbird nncand breq1d reximdva
      wss ex mpd wceq simpl eqid fmptdf a1i fssd sge0repnf mtbid notnotb sylibr
      wn nfeq1 sge0pnffsumgt pm2.61dan ) AFCDUAZUBUCZMNZEBUIZDFUDZOPZBCUEZUFUGZ
      UHZAXKQZXJXMXJEUJRZUKRZOPZBXPUHXQXRFBCDGXSAXKFHFXJMFXIUBFUBULFCDUMUNZFMUL
      UOUPACGNZXKISAFUIZCNZDUQTURRZNXKAYEQZUQTVBRZYFDUQTUSZJUTVAXREXJOPZXSVCNZA
      YJXKLSXREMNZXKYJYKVDAYLXKKSZAXKVEZEXJVFVGVHYNVIXRYAXNBXPXRXLXPNZQZYAXNYPY
      AQZXJXSUJRZXMOPZXNYQYSXJXSXMUKRZOPYQXJXTYTOYPYAVEYQXMXSAYOXMVJNXKYAAYOQZX
      MUUAXLDFAYOFHYOFVKUPYOXLUFNAXLXOUFVNVLUUAYDXLNZQAYEDMNAYOUUBVMYOUUBYEAYOU
      UBQXLCYDYOXLCWLUUBXLCUFVOSYOUUBVEVPWCYGYHMDVQJUTVGVRZVSVTYQXJEYQXJXRXKYOY
      AYNWAZVSZYQEXRYLYOYAYMWAZVSZWBWDWEYQXJXSXMUUDYQXJEUUDUUFWFAYOXMMNXKYAUUCV
      TWGWHYQYREXMOYQXJEUUEUUGWIWJVHWMWKWNAXKXEZQZAXJTWOZXQAUUHWPUUIUUJXEZXEUUJ
      UUIXKUUKAUUHVEAXKUUKVDUUHAXIGCIACYHYFXIAFCDYHXIHJXIWQWRYHYFWLAYIWSWTXASXB
      UUJXCXDAUUJQBCDFGEAUUJFHFXJTYBXFUPAYCUUJISAYEDYHNUUJJVAAUUJVEAYLUUJKSXGVG
      XH $.
  $}

  ${
    $d B m x $.  $d C m x $.  $d K k m x $.  $d Z k m x $.  $d m ph x $.
    sge0uzfsumgt.p $e |- F/ k ph $.
    sge0uzfsumgt.h $e |- ( ph -> K e. ZZ ) $.
    sge0uzfsumgt.z $e |- Z = ( ZZ>= ` K ) $.
    sge0uzfsumgt.b $e |- ( ( ph /\ k e. Z ) -> B e. ( 0 [,) +oo ) ) $.
    sge0uzfsumgt.c $e |- ( ph -> C e. RR ) $.
    sge0uzfsumgt.l $e |- ( ph -> C < ( sum^ ` ( k e. Z |-> B ) ) ) $.
    $( If a real number is smaller than a generalized sum of nonnegative reals,
       then it is smaller than some finite subsum.  (Contributed by Glauco
       Siliprandi, 21-Nov-2020.) $)
    sge0uzfsumgt $p |- ( ph -> E. m e. Z C < sum_ k e. ( K ... m ) B ) $=
      ( vx wbr cfn wcel wa cr cc0 cv csu clt cpw cin wrex cfz cvv cuz fvexi a1i
      co sge0gtfsumgt w3a wss cz 3ad2ant1 elpwinss 3ad2ant2 elinel2 uzfissfz wi
      ad2antrr nfv nfan fzfid simpr simpll sselda cpnf cico rge0ssre cfv fzssuz
      ssfid sseqtrri sselid sylan2 syl2anc fsumreclf adantlr simplr cle cxr 0xr
      pnfxr icogelb syl3anc fsumlessf ltletrd adantr 3adantl2 reximdva mpd 3exp
      id ex rexlimdv ) ACNUAZBDUBZUCOZNGUDZPUEZUFCFEUAZUGULZBDUBZUCOZEGUFZANGBC
      DUHHGUHQAGFUIJUJUKKLMUMAXAXHNXCAWSXCQZXAXHAXIXAUNZWSXEUOZEGUFXHXJWSEFGAXI
      FUPQXAIUQJXIAWSGUOXAWSGPURUSXIAWSPQXAWSXBPUTUSVAXJXKXGEGAXAXDGQZXKXGVBZXI
      AXARZXMXLXNXKXGXNXKRCWTXFACSQXAXKLVCAXKWTSQXAAXKRZWSBDAXKDHXKDVDVEZXOXEWS
      XOFXDVFZAXKVGZVOXODUAZWSQZRAXSXEQZBSQZAXKXTVHXOWSXEXSXRVIAYARZTVJVKULZSBV
      LYAAXSGQBYDQZYAXEGXSXEFUIVMGFXDVNJVPYAWPVQKVRZVQZVSVTWAAXFSQXAXKAXEBDHAFX
      DVFYGVTVCAXAXKWBAXKWTXFWCOXAXOXEBWSDXPXQAYAYBXKYGWAAYATBWCOZXKYCTWDQZVJWD
      QZYEYHYIYCWEUKYJYCWFUKYFTVJBWGWHWAXRWIWAWJWQWKWLWMWNWOWRWN $.
  $}

  ${
    $d A k $.
    sge0pnfmpt.k $e |- F/ k ph $.
    sge0pnfmpt.a $e |- ( ph -> A e. V ) $.
    sge0pnfmpt.b $e |- ( ( ph /\ k e. A ) -> B e. ( 0 [,] +oo ) ) $.
    sge0pnfmpt.p $e |- ( ph -> E. k e. A B = +oo ) $.
    $( If a term in the sum of nonnegative extended reals is ` +oo ` , then the
       value of the sum is ` +oo ` .  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    sge0pnfmpt $p |- ( ph -> ( sum^ ` ( k e. A |-> B ) ) = +oo ) $=
      ( cmpt cc0 cpnf cicc co eqid fmptdf cvv wceq wrex eqcom rexbii sylib wcel
      pnfex a1i elrnmptd sge0pnfval ) ADBCJZEBGADBCKLMNUHFHUHOZPADBCLUHQUIACLRZ
      DBSLCRZDBSIUJUKDBCLTUAUBLQUCAUDUEUFUG $.
  $}

  ${
    $d F i k $.  $d F j k w z $.  $d F j k y z $.  $d G j y z $.  $d M i k $.
    $d M j k w $.  $d M j k y $.  $d Z j k w $.  $d i k ph $.  $d j k ph w z $.
    sge0seq.m $e |- ( ph -> M e. ZZ ) $.
    sge0seq.z $e |- Z = ( ZZ>= ` M ) $.
    sge0seq.f $e |- ( ph -> F : Z --> ( 0 [,) +oo ) ) $.
    sge0seq.g $e |- G = seq M ( + , F ) $.
    $( A series of nonnegative reals agrees with the generalized sum of
       nonnegative reals.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    sge0seq $p |- ( ph -> ( sum^ ` F ) = sup ( ran G , RR* , < ) ) $=
      ( vk vj cxr clt cfv wcel wbr cr wceq wa a1i vz vy vi crn csup csumge0 wss
      vw cv cle wral wrex wi caddc cseq cc0 cpnf cico rge0ssre ffvelrnda sselid
      wf co readdcl adantl seqf feq1d mpbird frnd ressxr sstrd cvv cuz icossicc
      fvexi cicc fssd sge0xrcl simpr wfn ffnd fvelrnb syl adantr mpbid w3a cmpt
      wb cfz elfzuz eleqtrrdi ssriv sge0lessmpt 3ad2ant1 csu sylan2 sge0fsummpt
      fzfid simpll eqidd syl2anc eleq2i biimpi cc fsumser 3adant3 eqcomi fveq1i
      recnd eqtrd simp3 3eqtrrd feqmptd breq12d 3exp rexlimdv mpd ralrimiva cpw
      fveq2d cfn cin nfv ad4ant14 simplr breqtrd sge0gtfsumgt elpwinss 3ad2ant2
      adantlr cz elinel2 uzfissfz 3adant1r fmpt3d ad2antrr fsumrecl 3adantl3 ex
      simpl1r sselda adantll ffvelrnd ad4ant13 ad3antrrr simpl3 icogelb syl3anc
      0xr pnfxr fsumless 3ad2antl1 ltletrd reximdv fnfvelrn rneqd eleq12d breq2
      sylibr rspcev supxr2 syl22anc eqcomd ) ACUDZLMUEZBUFNZAUVDLUGUVFLOUAUIZUV
      FUJPZUAUVDUKUVGUVFMPZUVGUBUIZMPZUBUVDULZUMZUAQUKUVEUVFRAUVDQLAEQCAEQCVBEQ
      UNBDUOZVBAJUCUNQBDEGFAJUIZEOZSZUPUQURVCZQUVOBNZUSAEUVRUVOBHUTZVAZUVOQOUCU
      IZQOSUVOUWBUNVCQOAUVOUWBVDVEVFZAEQCUVNCUVNRZAITVGVHZVIQLUGAVJTVKABVLEEVLO
      ZAEDVMGVOZTZAEUVRUPUQVPVCZBHUVRUWIUGAUPUQVNZTVQVRAUVHUAUVDAUVGUVDOZSZKUIZ
      CNZUVGRZKEULZUVHUWLUWKUWPAUWKVSAUWKUWPWHZUWKACEVTUWQAEQCUWEWAKEUVGCWBWCWD
      WEUWLUWOUVHKEAUWMEOZUWOUVHUMUMUWKAUWRUWOUVHAUWRUWOWFZUVHJDUWMWIVCZUVSWGUF
      NZJEUVSWGZUFNZUJPZAUWRUXDUWOAJEUVSUWTVLUWHUVQUVRUWIUVSUWJUVTVAUWTEUGAJUWT
      EUVOUWTOZUVODVMNZEUVODUWMWJGWKZWLTWMWNUWSUVGUXAUVFUXCUJUWSUXAUWMUVNNZUWNU
      VGUWSUXAUWTUVSJWOZUXHAUWRUXAUXIRUWOAUWTUVSJADUWMWRZUXEAUVPUVSUVROZUXGUVTW
      PWQWNAUWRUXIUXHRUWOAUWRSZUVSJBDUWMUXLUXESZAUVPUVSUVSRAUWRUXEWSZUXEUVPUXLU
      XGVEZUVQUVSWTXAUWRUWMUXFOZAUWRUXPEUXFUWMGXBZXCVEZUXMAUVPUVSXDOUXNUXOUVQUV
      SUWAXIXAXEZXFXJUXHUWNRUWSUWMUVNCCUVNIXGXHTAUWRUWOXKXLAUWRUVFUXCRZUWOABUXB
      UFAJEUVRBHXMZXTZWNXNVHXOWDXPXQXRAUVMUAQAUVGQOZSZUVIUVLUYDUVISZUVGUXIMPZKE
      ULZUVLUYEUVGUHUIZUVSJWOZMPZUHEXSZYAYBZULUYGUYEUHEUVSUVGJVLUYEJYCUWFUYEUWG
      TAUVPUXKUYCUVIUVTYDAUYCUVIYEAUVIUVGUXCMPUYCAUVISUVGUVFUXCMAUVIVSAUXTUVIUY
      BWDYFYJYGUYEUYJUYGUHUYLUYDUYHUYLOZUYJUYGUMUMUVIUYDUYMUYJUYGUYDUYMUYJWFZUY
      HUWTUGZKEULZUYGAUYMUYJUYPUYCAUYMUYJWFUYHKDEAUYMDYKOUYJFWNGUYMAUYHEUGUYJUY
      HEYAYHZYIUYMAUYHYAOZUYJUYHUYKYAYLZYIYMYNUYNUYOUYFKEUYNUYOUYFUYNUYOSUVGUYI
      UXIAUYCUYMUYJUYOYTUYDUYMUYOUYIQOZUYJAUYMUYTUYCUYOAUYMSZUYHUVSJUYMUYRAUYSV
      EVUAUVOUYHOZSEQUVOBAEQBVBUYMVUBAJEUVSQBUYAUWAYOYPUYMVUBUVPAUYMUYHEUVOUYQU
      UAUUBUUCYQUUDYRUYDUYMUYOUXIQOZUYJAVUCUYCUYMUYOAUWTUVSJUXJUXEAUVPUVSQOZUXG
      UWAWPZYQUUEYRUYDUYMUYJUYOUUFUYDUYMUYOUYIUXIUJPZUYJAUYOVUFUYCAUYOSUWTUVSUY
      HJAUWTYAOUYOUXJWDAUXEVUDUYOVUEYJAUXEUPUVSUJPZUYOUXEAUVPVUGUXGUVQUPLOZUQLO
      ZUXKVUGVUHUVQUUITVUIUVQUUJTUVTUPUQUVSUUGUUHWPYJAUYOVSUUKYJUULUUMYSUUNXQXO
      WDXPXQUYDUYGUVLUMUVIUYDUYFUVLKEUYDUWRUYFUVLUYDUWRUYFWFUXIUVDOZUYFUVLUYDUW
      RVUJUYFAUWRVUJUYCUXLVUJUXHUVNUDZOZUXLUVNEVTZUWRVULAVUMUWRAEQUVNUWCWAWDUXL
      UXPUWRUXRUXQUUSEUWMUVNUUOXAUXLUXIUXHUVDVUKUXSUXLCUVNUWDUXLITUUPUUQVHYJXFU
      YDUWRUYFXKUVKUYFUBUXIUVDUVJUXIUVGMUURUUTXAXOXPWDXQYSXRUAUBUVDUVFUVAUVBUVC
      $.
  $}

  ${
    $d B n w x y $.  $d M k n w x y $.  $d Z k n w x y $.  $d n ph w x y $.
    sge0reuz.k $e |- F/ k ph $.
    sge0reuz.m $e |- ( ph -> M e. ZZ ) $.
    sge0reuz.z $e |- Z = ( ZZ>= ` M ) $.
    sge0reuz.b $e |- ( ( ph /\ k e. Z ) -> B e. ( 0 [,) +oo ) ) $.
    $( Value of the generalized sum of nonnegative reals, when the domain is a
       set of upper integers.  (Contributed by Glauco Siliprandi,
       8-Apr-2021.) $)
    sge0reuz $p |- ( ph -> ( sum^ ` ( k e. Z |-> B ) ) = sup ( ran ( n e. Z |->
       sum_ k e. ( M ... n ) B ) , RR* , < ) ) $=
      ( vx vy cxr cvv a1i wss wcel nfv wa syl2anc vw csumge0 cfv cpw cfn cin cv
      cmpt csu crn clt csup cfz co wceq fvex eqeltrdi sge0revalmpt eqid elinel2
      cuz nfan adantl cpnf cico cr rge0ssre simpll elpwinss adantr simpr sseldd
      cc0 adantll sselid fsumreclf rnmptssd supxrcl syl elfzuz eleqtrrdi syldan
      rexrd fzfid adantlr wrex cle wbr wb vex elrnmpt ax-mp biimpi w3a 3ad2ant1
      cz 3ad2ant2 3adant3 uzfissfz nfmpt1 nfrn nfrex wi id elrnmpt1 simplr nfcv
      sumex nfsum1 ad4ant14 simplll 0xr pnfxr icogelb syl3anc fsumlessf eqbrtrd
      nfeq 3adant2 breq2 rspcev 3exp rexlimd rexlimdv suplesup2 wral ssriv ovex
      mpd elpw mpbir fzfi elini sumeq1 rspceeqv elrnmptd 2a1i ralrimiva dfss3
      imp sylibr supxrss xrletrid eqtrd ) ACFBUHUBUCKFUDZUEUFZKUGZBCUIZUHZUJZMU
      KULZDFEDUGZUMUNZBCUIZUHZUJZMUKULZACKFBNGAFEVAUCZNFUURUOAIOEVAUPUQJURAUUKU
      UQAUUJMPZUUKMQAKUUFUUHMUUIAKRUUIUSZAUUGUUFQZSZUUHUVBUUGBCAUVACGUVACRVBUVA
      UUGUEQZAUUGUUEUEUTVCZUVBCUGZUUGQZSZVMVDVEUNZVFBVGUVGAUVEFQZBUVHQZAUVAUVFV
      HUVAUVFUVIAUVAUVFSUUGFUVEUVAUUGFPZUVFUUGFUEVIZVJUVAUVFVKVLVNJTVOVPWCVQZUU
      JVRVSAUUPMPUUQMQADFUUNMUUOADRUUOUSZAUULFQZSZUUNUVPUUMBCAUVOCGUVOCRVBUVPEU
      ULWDAUVEUUMQZBVFQZUVOAUVQUVIUVRUVQUVIAUVQUVEUURFUVEEUULVTIWAZVCAUVISZUVHV
      FBVGJVOWBZWEVPWCVQZUUPVRVSALUAUUJUUPUVMUWBALUGZUUJQZUWCUUHUOZKUUFWFZUWCUA
      UGZWGWHZUAUUPWFZUWDUWFAUWDUWFUWCNQZUWDUWFWILWJZKUUFUUHUWCUUINUUTWKWLWMVCA
      UWFUWIAUWEUWIKUUFAUVAUWEUWIAUVAUWEWNZUUGUUMPZDFWFUWIUWLUUGDEFAUVAEWPQUWEH
      WOIUVAAUVKUWEUVLWQAUVAUVCUWEUVDWRWSUWLUWMUWIDFUWLDRUWHDUAUUPDUUODFUUNWTXA
      UWHDRXBAUWEUVOUWMUWIXCXCUVAAUWESZUVOUWMUWIUWNUVOUWMWNUUNUUPQZUWCUUNWGWHZU
      WIUVOUWNUWOUWMUVOUVOUUNNQZUWOUVOXDUWQUVOUUMBCXHODFUUNUUONUVNXETWQUWNUWMUW
      PUVOUWNUWMSZUWCUUHUUNWGAUWEUWMXFUWRUUMBUUGCUWNUWMCAUWECGCUWCUUHCUWCXGUUGB
      CCUUGXGXIXRVBUWMCRVBUWREUULWDAUVQUVRUWEUWMUWAXJUWRUVQSAUVIVMBWGWHZAUWEUWM
      UVQXKUVQUVIUWRUVSVCUVTVMMQZVDMQZUVJUWSUWTUVTXLOUXAUVTXMOJVMVDBXNXOTUWNUWM
      VKXPXQXSUWHUWPUAUUNUUPUWGUUNUWCWGXTYATYBXSYCYIYBYDYTWBYEAUUPUUJPZUUSUUQUU
      KWGWHAUWDLUUPYFUXBAUWDLUUPAUWCUUPQZSUWCUUNUOZDFWFZUWDUXCUXEAUXCUXEUWJUXCU
      XEWIUWKDFUUNUWCUUONUVNWKWLWMVCAUXEUWDXCUXCAUXDUWDDFUXDUWDXCAUVOUXDKUUFUUH
      UWCUUINUUTUXDUUMUUFQZUXDUWFUXFUXDUUMUUEUEUUMUUEQUUMFPCUUMFUVSYGUUMFEUULUM
      YHYJYKEUULYLYMOUXDXDKUUMUUFUUHUUNUWCUUGUUMBCYNYOTUWJUXDUWKOYPYQYDVJYIYRLU
      UPUUJYSUUAUVMUUPUUJUUBTUUCUUD $.
  $}

  ${
    $d B n x y $.  $d M k n x y $.  $d Z k n x y $.  $d n ph y $.
    sge0reuzb.k $e |- F/ k ph $.
    sge0reuzb.p $e |- F/ x ph $.
    sge0reuzb.m $e |- ( ph -> M e. ZZ ) $.
    sge0reuzb.z $e |- Z = ( ZZ>= ` M ) $.
    sge0reuzb.b $e |- ( ( ph /\ k e. Z ) -> B e. ( 0 [,) +oo ) ) $.
    sge0reuzb.x $e |- ( ph -> E. x e. RR A. n e. Z sum_ k e. ( M ... n ) B <_ x
       ) $.
    $( Value of the generalized sum of uniformly bounded nonnegative reals,
       when the domain is a set of upper integers.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    sge0reuzb $p |- ( ph -> ( sum^ ` ( k e. Z |-> B ) ) = sup ( ran ( n e. Z
       |-> sum_ k e. ( M ... n ) B ) , RR , < ) ) $=
      ( vy cv cr wrex wceq wcel wa cmpt csumge0 cfv cfz co csu crn cxr clt csup
      sge0reuz wss c0 wne cle wbr wral nfv eqid nfan fzfid cuz elfzuz eleqtrrdi
      adantl cc0 cpnf cico rge0ssre sselid syldan adantlr fsumreclf rnmptssd cz
      cvv uzid syl eqidd oveq2 sumeq1d rspceeqv syl2anc sumex a1i elrnmptd ne0d
      wi vex elrnmpt ax-mp biimpi nfra1 rspa simpr simpl eqbrtrd rexlimd adantr
      wb ex mpd ralrimiva reximdai supxrre syl3anc eqtrd ) ADGCUAUBUCEGFEOZUDUE
      ZCDUFZUAZUGZUHUIUJZXLPUIUJZACDEFGHJKLUKAXLPULXLUMUNNOZBOZUOUPZNXLUQZBPQZX
      MXNRAEGXJPXKAEURXKUSZAXHGSZTZXICDAYADHYADURUTYBFXHVAADOZXISZCPSZYAAYDYCGS
      ZYEYDYFAYDYCFVBUCZGYCFXHVCKVDVEAYFTVFVGVHUEPCVILVJVKVLVMVNAXLFFUDUEZCDUFZ
      AEGXJYIXKVPXTAFGSYIYIRYIXJREGQAFYGGAFVOSFYGSJFVQVRKVDAYIVSEFGXJYIYIXHFRXI
      YHCDXHFFUDVTWAWBWCYIVPSAYHCDWDWEWFWGAXJXPUOUPZEGUQZBPQXSMAYKXRBPIAXPPSZYK
      XRWHAYLTZYKXRYMYKTZXQNXLYNXOXLSZTXOXJRZEGQZXQYOYQYNYOYQXOVPSYOYQWTNWIEGXJ
      XOXKVPXTWJWKWLVEYNYQXQWHYOYNYPXQEGYMYKEYMEURYJEGWMUTXQEURYKYAYPXQWHZWHYMY
      KYAYRYKYATYJYRYJEGWNYJYPXQYJYPTXOXJXPUOYJYPWOYJYPWPWQXAVRXAVEWRWSXBXCXAXA
      XDXBBNXLXEXFXG $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Measures
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Proofs for most of the theorems in section 112 of [Fremlin1]
$)

  $c Meas $.

  $( Extend class notation with the class of measures. $)
  cmea $a class Meas $.

  ${
    $d w x y $.
    $( Define the class of measures.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    df-mea $a |- Meas = { x | ( ( ( x : dom x --> ( 0 [,] +oo ) /\
      dom x e. SAlg ) /\ ( x ` (/) ) = 0 ) /\ A. y e. ~P dom x (
      ( y ~<_ _om /\ Disj_ w e. y w ) -> ( x ` U. y ) = ( sum^ ` ( x |` y ) )
      ) ) } $.
  $}

  ${
    $d M x z $.  $d x y z $.
    $( Express the predicate " ` M ` is a measure."  Definition 112A of
       [Fremlin1] p. 14.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    ismea $p |- ( M e. Meas <-> ( ( ( M : dom M --> ( 0 [,] +oo ) /\ dom M e.
       SAlg ) /\ ( M ` (/) ) = 0 ) /\ A. x e. ~P dom M ( ( x ~<_ _om /\ Disj_ y
       e. x y ) -> ( M ` U. x ) = ( sum^ ` ( M |` x ) ) ) ) ) $=
      ( vz cmea wcel cdm cc0 wf csalg wa c0 cfv wceq cv cres csumge0 wi anbi12d
      cpw cpnf cicc co com cdom wbr wdisj cuni wral id wb cvv fex feq12d eleq1d
      dmeq fveq1 eqeq1d pweqd reseq1 fveq2d eqeq12d imbi2d raleqbidv df-mea syl
      elab2g ad2antrr ibir pm5.21nii ) CEFZVKCGZHUAUBUCZCIZVLJFZKZLCMZHNZKZAOZU
      DUEUFBVTBOUGKZVTUHZCMZCVTPZQMZNZRZAVLTZUIZKZVKUJWJVKVPVKWJUKZVRWIVPCULFWK
      VLVMJCUMDOZGZVMWLIZWMJFZKZLWLMZHNZKZWAWBWLMZWLVTPZQMZNZRZAWMTZUIZKZWJDCEU
      LWLCNZWSVSXFWIXHWPVPWRVRXHWNVNWOVOXHWMVLVMWLCXHUJWLCUPZUNXHWMVLJXIUOSXHWQ
      VQHLWLCUQURSXHXDWGAXEWHXHWMVLXIUSXHXCWFWAXHWTWCXBWEWBWLCUQXHXAWDQWLCVTUTV
      AVBVCVDSZDABVEZVGVFVHVIXGWJDCEEXJXKVGVJ $.
  $}

  ${
    $d M x $.  $d x y $.
    dmmeasal.m $e |- ( ph -> M e. Meas ) $.
    dmmeasal.s $e |- S = dom M $.
    $( The domain of a measure is a sigma-algebra.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    dmmeasal $p |- ( ph -> S e. SAlg ) $=
      ( vx vy cdm csalg cc0 cpnf cicc co wf wcel wa c0 cfv wceq cv com cdom wbr
      wdisj cuni cres csumge0 cpw wral cmea ismea sylib simplld simprd eqeltrid
      wi ) ABCHZIEAUQJKLMCNZUQIOZAURUSPZQCRJSZFTZUAUBUCGVBGTUDPVBUECRCVBUFUGRSU
      PFUQUHUIZACUJOUTVAPVCPDFGCUKULUMUNUO $.
  $}

  ${
    $d M x $.  $d x y $.
    meaf.m $e |- ( ph -> M e. Meas ) $.
    meaf.s $e |- S = dom M $.
    $( A measure is a function that maps to nonnegative extended reals.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    meaf $p |- ( ph -> M : S --> ( 0 [,] +oo ) ) $=
      ( vx vy cc0 cpnf cicc co wf cdm csalg wcel c0 cfv wceq wa cv com cdom wbr
      wdisj cuni cres csumge0 wi cpw wral cmea ismea sylib simpld simplld feq2d
      a1i mpbird ) ABHIJKZCLCMZUSCLZAVAUTNOZPCQHRZAVAVBSVCSZFTZUAUBUCGVEGTUDSVE
      UECQCVEUFUGQRUHFUTUIUJZACUKOVDVFSDFGCULUMUNUOABUTUSCBUTRAEUQUPUR $.
  $}

  ${
    $d M x $.  $d x y $.
    mea0.1 $e |- ( ph -> M e. Meas ) $.
    $( The measure of the empty set is always 0 .  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    mea0 $p |- ( ph -> ( M ` (/) ) = 0 ) $=
      ( vx vy cdm cc0 cpnf cicc co wf csalg wcel wa c0 cfv wceq cv com cdom wbr
      wdisj cuni cres csumge0 wi cpw wral cmea ismea sylib simplrd ) ABFZGHIJBK
      UMLMNZOBPGQZDRZSTUAEUPERUBNUPUCBPBUPUDUEPQUFDUMUGUHZABUIMUNUONUQNCDEBUJUK
      UL $.
  $}

  ${
    $d A k n y $.  $d A n x y $.  $d F f n $.  $d F k m n y $.  $d G k n y $.
    $d G n x y $.  $d G n y z $.  $d X f n $.  $d X k m n y $.  $d X m n y z $.
    $d k m n ph y $.
    nnfoctbdjlem.a $e |- ( ph -> A C_ NN ) $.
    nnfoctbdjlem.g $e |- ( ph -> G : A -1-1-onto-> X ) $.
    nnfoctbdjlem.dj $e |- ( ph -> Disj_ y e. X y ) $.
    nnfoctbdjlem.f $e |- F = ( n e. NN |-> if ( ( n = 1 \/ -. ( n - 1 ) e. A )
       , (/) , ( G ` ( n - 1 ) ) ) ) $.
    $( There exists a mapping from ` NN ` onto any (nonempty) countable set of
       disjoint sets, such that elements in the range of the map are disjoint.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    nnfoctbdjlem $p |- ( ph -> E. f ( f : NN -onto-> ( X u. { (/) } ) /\ Disj_
       n e. NN ( f ` n ) ) ) $=
      ( vm cn c0 cfv wa wceq c1 wcel vk vx vz csn cun wfo cv wdisj wf wrex wral
      wex cmin co wn wo cif iftrue adantl 0ex snid elun2 ax-mp eqeltrdi adantll
      iffalse wf1o f1of adantr pm2.46 notnotrd ffvelrnd adantlr elun1 pm2.61dan
      syl eqeltrd fmptd crn simpr f1ofo forn 3syl eqcomd eleqtrd wb wfn fvelrnb
      ffnd mpbid w3a caddc sselda peano2nnd 3adant3 cmpt a1i 1red clt wbr nnrpd
      wi ltaddrp2d id breqtrd gtned neneqd oveq1 1cnd pncand sylan9eqr sylanbrc
      nncnd simplr fveq2d eqtrd ffvelrnda fvmptd eqeq1d syl2anc mpd 1nn fvmptd3
      fveq2 cvv cin eqtrdi eqeq1 orbi12d simpl ad2antlr sylib ad3antrrr cc nncn
      wne imbi12d rspc2va sylc disjor ioran iffalsed simp3 rspcev 3exp rexlimdv
      notnotd reximdva simpll elunnel1 elsni eqtr2d rspceeqv ralrimiva animorrl
      dffo3 fvmpt2 syldan ineq1d 0in ad4ant24 eleq1d notbid ifbieq2d ineq2d in0
      orcs ad5ant25 fvex ifex mpan2 sylan9eq fvexd 3adant2 ad5ant245 wf1 dff14a
      ineq12d f1of1 simprd jca31 subneintr2d ad2antrr neeq1 neeq1d neeq2 neeq2d
      ad4ant13 sylan2 ad4ant14 ineq1 eqeq2 ineq2 syl21anc orel1 olcd pm2.61dane
      ralrimivva sylibr nnex mptex eqeltri foeq1 fveq1d disjeq2dv anbi12d spcev
      adantllr ) ANHOUDZUEZFUFZENEUGZFPZUHZNUXJDUGZUFZENUXLUXOPZUHZQZDULANUXJFU
      IBUGZMUGZFPZRZMNUJZBUXJUKUXKAENUXLSRZUXLSUMUNZCTZUOZUPZOUYFGPZUQZUXJFAUXL
      NTZQZUYIUYKUXJTZUYLUYIUYNAUYLUYIQZUYKOUXJUYIUYKORZUYLUYIOUYJURZUSZOUXITOU
      XJTOUTVAOUXIHVBVCVDVEUYMUYIUOZQZUYKUYJUXJUYSUYKUYJRUYMUYIOUYJVFZUSUYTUYJH
      TZUYJUXJTAUYSVUBUYLAUYSQCHUYFGACHGUIZUYSACHGVGZVUCJCHGVHVPZVIUYSUYGAUYSUY
      GUYEUYHVJVKZUSVLZVMUYJHUXIVNVPVQVOLVRAUYDBUXJAUXTUXJTZQZUXTHTZUYDAVUJUYDV
      UHAVUJQZUYBUXTRZMNUJZUYDVUKUAUGZGPZUXTRZUACUJZVUMVUKUXTGVSZTZVUQVUKUXTHVU
      RAVUJVTAHVURRVUJAVURHAVUDCHGUFVURHRJCHGWACHGWBWCWDVIWEAVUSVUQWFZVUJAGCWGV
      UTACHGVUEWIUACUXTGWHVPVIWJVUKVUPVUMUACAVUNCTZVUPVUMXBXBVUJAVVAVUPVUMAVVAV
      UPWKZVUNSWLUNZNTZVVCFPZUXTRZVUMAVVAVVDVUPAVVAQZVUNACNVUNIWMZWNZWOVVBVVEVU
      OUXTAVVAVVEVUORVUPVVGEVVCUYKVUONFHFENUYKWPZRZVVGLWQVVGUXLVVCRZQZUYKUYJVUO
      VVMUYIOUYJVVMUYEUOUYHUOUYSVVMUXLSVVMSUXLVVMWRVVMSVVCUXLWSVVGSVVCWSWTVVLVV
      GSVUNVVGWRVVGVUNVVHXAXCVIVVLVVCUXLRVVGVVLUXLVVCVVLXDWDUSXEXFXGVVMUYGVVMUY
      FVUNCVVLVVGUYFVVCSUMUNVUNUXLVVCSUMXHVVGVUNSVVGVUNVVHXMVVGXIXJXKZAVVAVVLXN
      VQUUGUYEUYHUUAXLUUBVVMUYFVUNGVVNXOXPVVIACHVUNGVUEXQXRWOAVVAVUPUUCXPVULVVF
      MVVCNUYAVVCRUYBVVEUXTUYAVVCFYDXSUUDXTUUEVIUUFYAVUKVULUYCMNVULUYCXBVUKUYAN
      TZQVULUYBUXTVULXDWDWQUUHYAVMVUIVUJUOZQAUXTORZUYDAVUHVVPUUIVUHVVPVVQAVUHVV
      PQUXTUXITVVQUXTHUXIUUJUXTOUUKVPVEAVVQQZSNTZUXTSFPZRUYDVVSVVRYBWQVVRVVTOUX
      TAVVTORVVQAESUYKONFYELUYEUYHUYPUYQUVGVVSAYBWQOYETAUTWQYCVIVVQOUXTRAVVQUXT
      OVVQXDWDUSUULMSNUYBVVTUXTUYASFYDUUMXTXTVOUUNMBNUXJFUUPXLAUXLUYARZUXMUYBYF
      ZORZUPZMNUKENUKUXNAVWDEMNNAUYLVVOQZQZVWDUXLUYAVWFVWAVWCUUOVWFUXLUYAYPZQZV
      WCVWAVWHUYIVWCVWEUYIVWCAVWGUYLUYIVWCVVOUYOVWBOUYBYFOUYOUXMOUYBUYOUXMUYKOU
      YLUYIUYKYETZUXMUYKRZUYOUYKOYEUYRUTVDENUYKYEFLUUQZUURUYRXPUUSUYBUUTYGVMUVA
      VWHUYSQZUYASRZUYASUMUNZCTZUOZUPZVWCVWEVWQVWCAVWGUYSVVOVWQVWCUYLVVOVWQQZVW
      BUXMOYFOVWRUYBOUXMVWRUYBVWQOVWNGPZUQZOVWREUYAUYKVWTNFYELVWAUYIVWQUYJVWSOV
      WAUYEVWMUYHVWPUXLUYASYHVWAUYGVWOVWAUYFVWNCUXLUYASUMXHZUVBUVCYIVWAUYFVWNGV
      XAXOUVDZVVOVWQYJVWQVWTYETVVOVWQVWTOYEVWQOVWSURZUTVDUSYCVWQVWTORVVOVXCUSXP
      UVEUXMUVFYGVEUVHVWLVWQUOZQZVWBUYJVWSYFZOVWEUYSVXDVWBVXFRAVWGVWEUYSVXDWKUX
      MUYJUYBVWSVWEUYSUXMUYJRZVXDUYLUYSVXGVVOUYLUYSUXMUYKUYJUYLVWIVWJUYIOUYJUTU
      YFGUVIUVJVWKUVKVUAUVLVMWOVWEVXDUYBVWSRZUYSVVOVXDVXHUYLVVOVXDQZEUYAUYKVWSN
      FYEVVKVXILWQVXIVWAQUYKVWTVWSVWAUYKVWTRVXIVXBUSVXDVWTVWSRVVOVWAVWQOVWSVFYK
      XPVVOVXDYJVXIVWNGUVMXRVEUVNUVRUVOVXEUYJVWSRZUOVXJVXFORZUPZVXKVXEUYJVWSVXE
      UYGVWOQUBUGZUXTYPZVXMGPZUXTGPZYPZXBZBCUKUBCUKZQUYFVWNYPZUYJVWSYPZVXEUYGVW
      OVXSUYSUYGVWHVXDVUFYKVXDVWOVWLVXDVWOVWMVWPVJVKZUSVWFVXSVWGUYSVXDAVXSVWEAV
      UCVXSACHGUVPZVUCVXSQAVUDVYCJCHGUVSVPUBBCHGUVQYLUVTVIYMUWAVWHVXTUYSVXDVWHU
      XLUYASVWEUXLYNTZAVWGUYLVYDVVOUXLYOVIYKVWEUYAYNTZAVWGVVOVYEUYLUYAYOUSYKVWH
      XIVWFVWGVTUWBUWCVXRVXTVYAXBUYFUXTYPZUYJVXPYPZXBUBBUYFVWNCCVXMUYFRZVXNVYFV
      XQVYGVXMUYFUXTUWDVYHVXOUYJVXPVXMUYFGYDUWEYQUXTVWNRZVYFVXTVYGVYAUXTVWNUYFU
      WFVYIVXPVWSUYJUXTVWNGYDUWGYQYRYSXGVWFUYSVXDVXLVWGVWFUYSQVXDQVUBVWSHTZUXTU
      CUGZRZUXTVYKYFZORZUPZUCHUKBHUKZVXLAUYSVUBVWEVXDVUGUWHAVXDVYJVWEUYSVXDAVWO
      VYJVYBACHVWNGVUEXQUWIUWJAVYPVWEUYSVXDABHUXTUHVYPKHUXTVYKBUCVYLXDYTYLYMVYO
      VXLUYJVYKRZUYJVYKYFZORZUPBUCUYJVWSHHUXTUYJRZVYLVYQVYNVYSUXTUYJVYKYHVYTVYM
      VYROUXTUYJVYKUWKXSYIVYKVWSRZVYQVXJVYSVXKVYKVWSUYJUWLWUAVYRVXFOVYKVWSUYJUW
      MXSYIYRUWNUXHVXJVXKUWOYSXPVOVOUWPUWQUWRNUXMUYBEMUXLUYAFYDYTUWSUXSUXKUXNQD
      FFVVJYELENUYKUWTUXAUXBUXOFRZUXPUXKUXRUXNNUXJUXOFUXCWUBENUXQUXMWUBUYLQUXLU
      XOFWUBUYLYJUXDUXEUXFUXGXT $.
  $}

  ${
    $d X f g n x $.  $d X g n x y $.  $d f g m n x $.  $d g n ph x y $.
    $d m n x y $.
    nnfoctbdj.ctb $e |- ( ph -> X ~<_ _om ) $.
    nnfoctbdj.n0 $e |- ( ph -> X =/= (/) ) $.
    nnfoctbdj.dj $e |- ( ph -> Disj_ y e. X y ) $.
    $( There exists a mapping from ` NN ` onto any (nonempty) countable set of
       disjoint sets, such that elements in the range of the map are disjoint.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    nnfoctbdj $p |- ( ph -> E. f ( f : NN -onto-> ( X u. { (/) } ) /\ Disj_ n
       e. NN ( f ` n ) ) ) $=
      ( vg vx vm cn cv c0 cfv wa wcel c1 wceq cmin wfo wex csn cun com cdom wbr
      wdisj wne nnfoctb syl2anc crn cres wf1o cpw wrex clt cvv fofn adantl nnex
      wfn a1i wwe ltwenn wessf1orn w3a co wn cif cmpt elpwi 3ad2ant2 simpr forn
      wo wss adantr f1oeq3d mpbid adantll 3adant2 3ad2ant1 eqeq1 eleq1d orbi12d
      notbid fvoveq1 ifbieq2d cbvmptv nnfoctbdjlem 3exp rexlimdv mpd ex exlimdv
      oveq1 ) ALEIMZUAZIUBZLENUCUDCMZUADLDMZXAOUHPCUBZAEUEUFUGENUIWTFGEIUJUKAWS
      XCIAWSXCAWSPZJMZWRULZWRXEUMZUNZJLUOZUPXCXDJLUQWRURWSWRLVBALEWRUSUTLURQXDV
      AVCLUQVDXDVEVCVFXDXHXCJXIXDXEXIQZXHXCXDXJXHVGBXECDKLKMZRSZXKRTVHZXEQZVIZV
      PZNXMXGOZVJZVKXGEXJXDXELVQXHXELVLVMXDXHXEEXGUNZXJWSXHXSAWSXHPZXHXSWSXHVNX
      TXFEXEXGWSXFESXHLEWRVOVRVSVTWAWBXDXJBEBMUHZXHAYAWSHVRWCKDLXRXBRSZXBRTVHZX
      EQZVIZVPZNYCXGOZVJXKXBSZXPYFXQYGNYHXLYBXOYEXKXBRWDYHXNYDYHXMYCXEXKXBRTWQW
      EWGWFXKXBRXGTWHWIWJWKWLWMWNWOWPWN $.
  $}

  ${
    $d M y $.  $d X x y $.
    meadjuni.m $e |- ( ph -> M e. Meas ) $.
    meadjuni.s $e |- S = dom M $.
    meadjuni.x $e |- ( ph -> X C_ S ) $.
    meadjuni.cnb $e |- ( ph -> X ~<_ _om ) $.
    meadjuni.dj $e |- ( ph -> Disj_ x e. X x ) $.
    $( The measure of the disjoint union of a countable set is the extended sum
       of the measures.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    meadjuni $p |- ( ph -> ( M ` U. X ) = ( sum^ ` ( M |` X ) ) ) $=
      ( vy com cdom wbr cv wdisj cfv csumge0 wceq wa cuni cres wi cdm cpw breq1
      disjeq1 anbi12d unieq fveq2d reseq2 eqeq12d imbi12d cpnf cicc co wf csalg
      cc0 wcel wral cmea ismea sylib simprd cvv dmmeasal ssexd sseqtrdi rspcdva
      c0 elpwd mp2and ) AELMNZBEBOZPZEUAZDQZDEUBZRQZSZIJAKOZLMNZBWBVOPZTZWBUAZD
      QZDWBUBZRQZSZUCZVNVPTZWAUCKDUDZUEZEWBESZWEWLWJWAWOWCVNWDVPWBELMUFBWBEVOUG
      UHWOWGVRWIVTWOWFVQDWBEUIUJWOWHVSRWBEDUKUJULUMAWMUSUNUOUPDUQWMURUTTVKDQUSS
      TZWKKWNVAZADVBUTWPWQTFKBDVCVDVEAEWMVFAECURACDFGVGHVHAECWMHGVIVLVJVM $.
  $}

  ${
    meacl.1 $e |- ( ph -> M e. Meas ) $.
    meacl.2 $e |- S = dom M $.
    meacl.3 $e |- ( ph -> A e. S ) $.
    $( The measure of a set is a nonnegative extended real.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    meacl $p |- ( ph -> ( M ` A ) e. ( 0 [,] +oo ) ) $=
      ( cc0 cpnf cicc co meaf ffvelrnd ) ACHIJKBDACDEFLGM $.
  $}

  ${
    $d E i n $.  $d F x $.  $d J i n $.  $d J x $.  $d K i n $.  $d K x $.
    $d N i n $.  $d Z n $.  $d ph x $.
    iundjiunlem.z $e |- Z = ( ZZ>= ` N ) $.
    iundjiunlem.f $e |- F = ( n e. Z |-> ( ( E ` n ) \ U_ i e. ( N ..^ n ) ( E
       ` i ) ) ) $.
    iundjiunlem.j $e |- ( ph -> J e. Z ) $.
    iundjiunlem.k $e |- ( ph -> K e. Z ) $.
    iundjiunlem.lt $e |- ( ph -> J < K ) $.
    $( The sets in the sequence ` F ` are disjoint.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    iundjiunlem $p |- ( ph -> ( ( F ` J ) i^i ( F ` K ) ) = (/) ) $=
      ( vx cfv cv wcel wceq cfzo cin c0 incom wn wral wa ciun simpl simpr fveq2
      co cdif oveq2 iuneq1d difeq12d fvex difexi syl adantr eleqtrd eldifbd wss
      fvmpt eleqtrdi eluzelz2d elfzod ssiun2s ssneld sylc eldifi nsyl neleqtrrd
      cuz ralrimiva disj sylibr syl5eq ) AFEPZGEPZUAVSVRUAZUBVRVSUCAOQZVRRUDZOV
      SUEVTUBSAWBOVSAWAVSRZUFZVRFDPZBHFTUKZBQZDPZUGZULZWAWDWAWERZWAWJRWDAWABHGT
      UKZWHUGZRUDWKUDAWCUHWDWAGDPZWMWDWAVSWNWMULZAWCUIAVSWOSZWCAGIRWPMCGCQZDPZB
      HWQTUKZWHUGZULZWOIEWQGSZWRWNWTWMWQGDUJXBBWSWLWHWQGHTUMUNUOKWNWMGDUPUQVCUR
      USUTVAAWEWMWAAFWLRWEWMVBAFHGAFIHVMPLJVDAHGIJMVENVFBWLWHFWEWGFDUJVGURVHVIW
      AWEWIVJVKAVRWJSZWCAFIRXCLCFXAWJIEWQFSZWRWEWTWIWQFDUJXDBWSWFWHWQFHTUMUNUOK
      WEWIFDUPUQVCURUSVLVNOVSVRVOVPVQ $.
  $}

  ${
    $d E i m n x $.  $d F k m $.  $d F m x $.  $d N i m n x $.  $d Z k m n $.
    $d i k m n $.  $d i k m ph $.  $d ph x $.
    iundjiun.nph $e |- F/ n ph $.
    iundjiun.z $e |- Z = ( ZZ>= ` N ) $.
    iundjiun.e $e |- ( ph -> E : Z --> V ) $.
    iundjiun.f $e |- F = ( n e. Z |-> ( ( E ` n ) \ U_ i e. ( N ..^ n ) ( E ` i
       ) ) ) $.
    $( Given a sequence ` E ` of sets, a sequence ` F ` of disjoint sets is
       built, such that the indexed union stays the same.  As in the proof of
       Property 112C (d) of [Fremlin1] p. 16.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    iundjiun $p |- ( ph -> ( ( A. m e. Z U_ n e. ( N ... m ) ( F ` n ) = U_ n
       e. ( N ... m ) ( E ` n ) /\ U_ n e. Z ( F ` n ) = U_ n e. Z ( E ` n ) )
       /\ Disj_ n e. Z ( F ` n ) ) ) $=
      ( vk wceq wral wcel wa adantl adantr vx cv cfz co cfv ciun wdisj wss wrex
      eliun biimpi wi nfcv nfiu1 nfel w3a simp2 cuz elfzuz eqcomi eleqtrdi cfzo
      simpl cdif cvv simpr ffvelrnda difexd fvmpt2 syl2anc difssd eqsstrd simp3
      3adant3 sseldd rspe sylibr 3exp rexlimd mpd ralrimiva dfss3 clt wn fzssuz
      wbr a1i nfv fveq2 eleq2d uzwo4 simprl nfra1 nfan c1 cmin cr elfzoelz zred
      elfzelz 1red resubcld cle elfzolem1 ltm1d lelttrd ad4ant24 simplr elfzel1
      elfzel2 elfzole1 elfzle2 ltletrd ltled elfzd adantlr rspa adantlll ralnex
      cz ex ralrimi sylib sylnibr adantrl eldifd syldan eqcomd eleqtrd reximdai
      syl cin c0 wo cmpt iundjiunlem id eluzelz ad2antrr nffv eqelssd ralrimivw
      iuneqfzuz oveq2 iuneq1d difeq12d cbvmptv eqtri simpll wne neqne ad3antrrr
      simpllr lenltd mpbird leneltd sylanl2 ad5ant2345 anass incom eqtrd sylanb
      simplrr simplrl pm2.61dan df-or nfmpt1 nfcxfr cbvdisj disjor nfin equequ1
      nfeq nfor nfralw ineq1d eqeq1d orbi12d ralbidv cbvralw 3bitri jca31 ) ADG
      CUBZUCUDZDUBZFUEZUFZDUWDUWEEUEZUFZOZCIPZDIUWFUFDIUWHUFOZDIUWFUGZAUWJCIAUA
      UWGUWIAUAUBZUWIQZUAUWGPUWGUWIUHAUWOUAUWGAUWNUWGQZRUWNUWFQZDUWDUIZUWOUWPUW
      RAUWPUWRDUWNUWDUWFUJZUKSAUWRUWOULUWPAUWQUWODUWDJDUWNUWIDUWNUMDUWDUWHUNUOA
      UWEUWDQZUWQUWOAUWTUWQUPZUWNUWHQZDUWDUIZUWOUXAUWTUXBUXCAUWTUWQUQUXAUWFUWHU
      WNAUWTUWFUWHUHZUWQAUWTRZAUWEIQZUXDAUWTVCUWTUXFAUWTUWEGURUEZIUWEGUWCUSIUXG
      KUTVASZAUXFRZUWFUWHBGUWEVBUDZBUBZEUEZUFZVDZUWHUXIUXFUXNVEQUWFUXNOZAUXFVFU
      XIUWHUXMHAIHUWEELVGVHDIUXNVEFMVIVJZUXIUWHUXMVKVLVJVNAUWTUWQVMVOUXBDUWDVPV
      JDUWNUWDUWHUJZVQVRVSTVTWAUAUWGUWIWBVQAUWORZUWRUWPUXRUXBUXKUWEWCWFZUWNUXLQ
      ZWDZULZBUWDPZRZDUWDUIZUWRUWOUYEAUWOUWDUXGUHZUXCUYEUYFUWOGUWCWEWGUWOUXCUXQ
      UKUXBUXTUWDDBGUXTDWHUWEUXKOUWHUXLUWNUWEUXKEWIWJWKVJSAUYEUWRULUWOAUYDUWQDU
      WDJAUWTUYDUWQULUXEUYDUWQUXEUYDRZUWNUXNUWFUYGUWNUWHUXMUXEUXBUYCWLUXEUYCUWN
      UXMQZWDUXBUXEUYCRZUXTBUXJUIZUYHUYIUYABUXJPUYJWDUYIUYABUXJUXEUYCBUXEBWHUYB
      BUWDWMWNUYIUXKUXJQZUYAUYIUYKRUXSUYAUWTUYKUXSAUYCUWTUYKRZUXKUWEWOWPUDZUWEU
      YKUXKWQQUWTUYKUXKUXKGUWEWRZWSSZUYLUWEWOUWTUWEWQQZUYKUWTUWEUWEGUWCWTWSZTZU
      YLXAXBZUYRUYKUXKUYMXCWFUWTUXKGUWEXDSZUYLUWEUYRXEXFXGUWTUYCUYKUYBAUWTUYCRU
      YKRUYCUXKUWDQZUYBUWTUYCUYKXHUWTUYKVUAUYCUYLUXKGUWCUWTGXTQUYKUWEGUWCXITUWT
      UWCXTQUYKUWEGUWCXJZTZUYKUXKXTQUWTUYNSUYKGUXKXCWFUWTUXKGUWEXKSUYLUXKUWCUYO
      UYLUWCVUCWSZUYLUXKUYMUWCUYOUYSVUDUYTUWTUYMUWCWCWFUYKUWTUYMUWEUWCUWTUWEWOU
      YQUWTXAXBUYQUWTUWCVUBWSUWTUWEUYQXEUWEGUWCXLXMTXFXNXOXPUYBBUWDXQVJXRVTYAYB
      UXTBUXJXSYCBUWNUXJUXLUJYDYEYFUXEUXNUWFOUYDUXEUWFUXNAUWTUXFUXOUXHUXPYGYHTY
      IYAYAYJTVTUWSVQUUAUUBZAUWKUWLVUEUWFUWHCDGIKUUCYKAUWENUBZOZUWFVUFFUEZYLZYM
      OZYNZNIPZDIPZUWMAVULDIJAUXFVULUXIVUKNIUXIVUFIQZRZVUGWDZVUJULVUKVUOVUPVUJV
      UOVUPRZUWEVUFWCWFZVUJVUOVURVUJVUPVUOVURRBCEFUWEVUFGIKFDIUXNYOZCIUWCEUEZBG
      UWCVBUDZUXLUFZVDZYOMDCIUXNVVCUWEUWCOZUWHVUTUXMVVBUWEUWCEWIVVDBUXJVVAUXLUW
      EUWCGVBUUDUUEUUFUUGUUHZAUXFVUNVURUUMUXIVUNVURXHVUOVURVFYPXPVUQVURWDZRVUOV
      UFUWEWCWFZVUJVUOVUPVVFUUIUXFVUNVUPVVFVVGAVUPUXFVUNRZUWEVUFUUJZVVFVVGUWEVU
      FUUKVVHVVIRVVFRVUFUWEVVHVUFWQQZVVIVVFVUNVVJUXFVUNVUFVUNVUFUXGQVUFXTQVUNVU
      FIUXGVUNYQKVAGVUFYRYKWSSZYSUXFUYPVUNVVIVVFUXFUWEUXFUWEUXGQUWEXTQUXFUWEIUX
      GUXFYQKVAGUWEYRYKWSZUULVVHVVFVUFUWEXCWFZVVIVVHVVFRZVVMVVFVVHVVFVFVVNVUFUW
      EVVHVVJVVFVVKTUXFUYPVUNVVFVVLYSUUNUUOXPVVHVVIVVFXHUUPUUQUURVUOAVVHRZVVGVU
      JAUXFVUNUUSVVOVVGRZVUIVUHUWFYLZYMVUIVVQOVVPUWFVUHUUTWGVVPBCEFVUFUWEGIKVVE
      AUXFVUNVVGUVCAUXFVUNVVGUVDVVOVVGVFYPUVAUVBVJUVEYAVUGVUJUVFVQWAYAYBUWMCIUW
      CFUEZUGUWCVUFOZVVRVUHYLZYMOZYNZNIPZCIPVUMDCIUWFVVRCUWFUMDUWCFDFVUSMDIUXNU
      VGUVHZDUWCUMYTZUWEUWCFWIUVIIVVRVUHCNUWCVUFFWIUVJVWCVULCDIVWBDNIDIUMVVSVWA
      DVVSDWHDVVTYMDVVRVUHVWEDVUFFVWDDVUFUMYTUVKDYMUMUVMUVNUVOVULCWHUWCUWEOZVWB
      VUKNIVWFVVSVUGVWAVUJCDNUVLVWFVVTVUIYMVWFVVRUWFVUHUWCUWEFWIUVPUVQUVRUVSUVT
      UWAVQUWB $.
  $}

  ${
    meaxrcl.1 $e |- ( ph -> M e. Meas ) $.
    meaxrcl.2 $e |- S = dom M $.
    meaxrcl.3 $e |- ( ph -> A e. S ) $.
    $( The measure of a set is an extended real.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    meaxrcl $p |- ( ph -> ( M ` A ) e. RR* ) $=
      ( cc0 cpnf cicc co cxr cfv iccssxr meacl sselid ) AHIJKLBDMHINABCDEFGOP
      $.
  $}

  ${
    $d A x $.  $d B x $.  $d M x $.  $d S x $.  $d ph x $.
    meadjun.m $e |- ( ph -> M e. Meas ) $.
    meadjun.x $e |- S = dom M $.
    meadjun.a $e |- ( ph -> A e. S ) $.
    meadjun.b $e |- ( ph -> B e. S ) $.
    meadjun.dj $e |- ( ph -> ( A i^i B ) = (/) ) $.
    $( The measure of the union of two disjoint sets is the sum of the
       measures, Property 112C (a) of [Fremlin1] p. 15.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    meadjun $p |- ( ph -> ( M ` ( A u. B ) ) = ( ( M ` A ) +e ( M ` B ) ) ) $=
      ( vx c0 wceq cfv wa cc0 wcel adantr a1i adantl cun cxad cpnf cicc iccssxr
      co cxr meaf ffvelrnd sselid xaddid2 syl eqcomd uneq1 0un eqtrd fveq2 mea0
      fveq2d oveq1d 3eqtr4d wn wne simpl cin ad2antrr inidm ineq2 eqtr2id neqne
      eqcomi eqnetrd neneqd adantll pm2.65da neqned cuni csumge0 uniprg syl2anc
      cpr cres prssd com cdom wbr prfi csdm isfinite biimpi sdomdom ax-mp wdisj
      cfn cv csn disjxsn preq1 dfsn2 disjeq1d mpbird wb simpr disjprg pm2.61dan
      syl3anc meadjuni cmpt sge0pr fssresd feqmptd fvres mpteq2ia eqidd 3eqtrd
      id ) ABLMZBCUAZENZBENZCENZUBUFZMZAXQOZYAPYAUBUFZXSYBAYAYEMXQAYEYAAYAUGQYE
      YAMAPUCUDUFZUGYAPUCUEADYFCEADEFGUHZIUIZUJYAUKULUMRXQXSYAMAXQXRCEXQXRLCUAZ
      CBLCUNYICMXQCUOSUPUSTYDXTPYAUBYDXTLENZPXQXTYJMABLEUQTAYJPMXQAEFURRUPUTVAA
      XQVBZOZABCVCZYCAYKVDYLBCYLBCMZBCVEZLMZAYPYKYNJVFYKYNYPVBAYKYNOZYOLYQYOBLY
      NYOBMYKYNBBBVEZYOYRBBVGVKBCBVHVITYKBLVCYNBLVJRVLVMVNVOVPAYMOZXSBCWAZVQZEN
      ZEYTWBZVRNZYBAXSUUBMYMAXRUUAEAUUAXRABDQZCDQZUUAXRMHIBCDDVSVTUMUSRAUUBUUDM
      YMAKDEYTFGABCDHIWCZYTWDWEWFZAYTWNQZUUHBCWGUUIYTWDWHWFZUUHUUIUUJYTWIWJYTWD
      WKULWLSAYNKYTKWOZWMZYNUULAYNUULKCWPZUUKWMZUUNYNKCUUKWQSYNKYTUUMUUKYNYTCCW
      AZUUMBCCWRUUOUUMMYNUUMUUOCWSVKSUPWTXATAYNVBZOAYMUULAUUPVDUUPYMABCVJTYSUUL
      YPAYPYMJRYSUUEUUFYMUULYPXBAUUEYMHRZAUUFYMIRZAYMXCZKBCUUKBCDUUKBMXPUUKCMXP
      XDXFXAVTXEXGRYSKYTUUKENZXHZVRNZYBUUDYBYSBCUUTXTKYADDUUQUURAXTYFQYMADYFBEY
      GHUIRAYAYFQYMYHRUUKBEUQUUKCEUQUUSXIAUUDUVBMYMAUUCUVAVRAUUCKYTUUKUUCNZXHZU
      VAAKYTYFUUCADYFYTEYGUUGXJXKUVDUVAMAKYTUVCUUTUUKYTEXLXMSUPUSRYSYBXNVAXOVTX
      E $.
  $}

  ${
    meassle.m $e |- ( ph -> M e. Meas ) $.
    meassle.x $e |- S = dom M $.
    meassle.a $e |- ( ph -> A e. S ) $.
    meassle.b $e |- ( ph -> B e. S ) $.
    meassle.ss $e |- ( ph -> A C_ B ) $.
    $( The measure of a set is greater than or equal to the measure of a
       subset, Property 112C (b) of [Fremlin1] p. 15.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    meassle $p |- ( ph -> ( M ` A ) <_ ( M ` B ) ) $=
      ( cfv cdif cxad co cle meaxrcl csalg wcel dmmeasal wceq saldifcl2 syl3anc
      meacl xadd0ge cun wss biimpi syl fveq2d eqcomd cin c0 disjdif a1i meadjun
      undif eqtr2d breqtrd ) ABEKZUSCBLZEKZMNZCEKZOAUSVAABDEFGHPAUTDEFGADQRCDRB
      DRUTDRADEFGSIHDCBUAUBZUCUDAVCBUTUEZEKZVBAVFVCAVECEABCUFZVECTZJVGVHBCUPUGU
      HUIUJABUTDEFGHVDBUTUKULTABCUMUNUOUQUR $.
  $}

  ${
    meaunle.1 $e |- ( ph -> M e. Meas ) $.
    meaunle.2 $e |- S = dom M $.
    meaunle.3 $e |- ( ph -> A e. S ) $.
    meaunle.4 $e |- ( ph -> B e. S ) $.
    $( The measure of the union of two sets is less than or equal to the sum of
       the measures, Property 112C (c) of [Fremlin1] p. 15.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    meaunle $p |- ( ph -> ( M ` ( A u. B ) ) <_ ( ( M ` A ) +e ( M ` B ) ) )
             $=
      ( cun cfv cdif cxad co cle wceq undif2 a1i wcel meaxrcl saldifcl2 syl3anc
      eqcomi fveq2i csalg dmmeasal cin c0 disjdif meadjun eqtrd difssd xleadd2d
      meassle eqbrtrd ) ABCJZEKZBEKZCBLZEKZMNZURCEKZMNOAUQBUSJZEKZVAUQVDPAUPVCE
      VCUPBCQUCUDRABUSDEFGHADUESCDSBDSUSDSADEFGUFIHDCBUAUBZBUSUGUHPABCUIRUJUKAU
      TVBURAUSDEFGVETACDEFGITABDEFGHTAUSCDEFGVEIACBULUNUMUO $.
  $}

  ${
    $d G i j $.  $d G j k $.  $d G i x $.  $d M j k $.  $d S j k $.
    $d X i j $.  $d Y i j $.  $d Y j k $.  $d Y i x $.  $d i j ph $.
    $d k ph $.  $d ph x $.
    meadjiunlem.f $e |- ( ph -> M e. Meas ) $.
    meadjiunlem.3 $e |- S = dom M $.
    meadjiunlem.x $e |- ( ph -> X e. V ) $.
    meadjiunlem.g $e |- ( ph -> G : X --> S ) $.
    meadjiunlem.y $e |- Y = { i e. X | ( G ` i ) =/= (/) } $.
    meadjiunlem.dj $e |- ( ph -> Disj_ i e. X ( G ` i ) ) $.
    $( The sum of nonnegative extended reals, restricted to the range of
       another function.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    meadjiunlem $p |- ( ph -> ( sum^ ` ( M |` ran G ) ) = ( sum^ ` ( M o. G ) )
       ) $=
      ( vk cfv c0 wcel wa wceq vj vx crn cv cmpt csumge0 csn cdif cres ccom cvv
      nfv wf jca fex rnexg 3syl difssd cc0 cpnf cicc co meaf adantr frnd sselda
      wss sseldd ffvelrnd simpl cin id dfin4 eqcomi eleqtrdi elinel2 syl adantl
      elsni simpr fveq2d mea0 syl2anc sge0ss eqcomd feqresmpt ffvelrnda feqmptd
      eqtrd fveq2 fmptco wne crab ssrab2 a1i eqsstrid wn ad2antlr cmea ad4ant14
      eldifi neneq pm2.65da neqned neeq1d elrab sylibr eleqtrrdi eldifn nne wf1
      sylib ssexd wf1o eqid dffn3 eleq2i rabid bitri biimpi simprd nelsn eldifd
      wfn ffnd wdisj disjss1 sylc disjf1 wb f1eq1 mpbird wral ralrimiva rnmptss
      rneqd eqsstrd w3a 3adant2 syl3anc eldifsni fvelrnb mpbid 3adant3 3ad2ant3
      wrex simp1l simp2 eqnetrd adantll biimpri fvexd elrnmpt1 3adant1 3ad2ant1
      wi eleqtrd eqeltrd 3exp rexlimdv mpd eqelssd dff1o5 fvres sge0f1o 3eqtr4d
      3eqtrd ) AODUCZOUDZEPZUEZUFPZOUVHQUGZUHZUVJUEUFPZEUVHUIZUFPEDUJZUFPZAUVOU
      VLAUVNUVHUVJOUKAOULZAGBDUMZGFRZSDUKRUVHUKRAUVTUWALKUNGBFDUODUKUPUQAUVHUVM
      URZAUVIUVNRZSZBUSUTVAVBZUVIEABUWEEUMZUWCABEIJVCZVDUWDUVHBUVIAUVHBVGUWCAGB
      DLVEZVDAUVNUVHUVIUWBVFVHVIZAUVIUVHUVNUHZRZSAUVIQTZUVJUSTAUWKVJUWKUWLAUWKU
      VIUVHUVMVKZRZUWLUWKUVIUWJUWMUWKVLUWMUWJUVHUVMVMVNVOUWNUVIUVMRUWLUVIUVHUVM
      VPUVIQVSVQVQVRAUWLSZUVJQEPZUSUWOUVIQEAUWLVTWAAUWPUSTUWLAEIWBVDWIWCWDWEAUV
      PUVKUFAOBUWEUVHEUWGUWHWFWAAUVRUAGUAUDZDPZEPZUEZUFPZUAHUWSUEUFPZUVOAUVQUWT
      UFAUAOGBUWRUVJUWSDEAGBUWQDLWGAUAGBDLWHAOBUWEEUWGWHUVIUWREWJZWKWAAUXBUXAAH
      GUWSUAFAUAULZKAHCUDZDPZQWLZCGWMZGMUXHGVGAUXGCGWNWOWPZAUWQHRZSZBUWEUWREAUW
      FUXJUWGVDUXKGBUWQDAUVTUXJLVDAHGUWQUXIVFVIVIAUWQGHUHRZSZUWSUSWLZWQUWSUSTZU
      XMUXNUXJUXMUXNSZUWQUXHHUXPUWQGRZUWRQWLZSUWQUXHRUXPUXQUXRUXLUXQAUXNUWQGHXA
      WRUXPUWRQUXPUWRQTZUXOAUXSUXOUXLUXNAUXSSZUWSUWPUSUXSUWSUWPTAUWRQEWJVRUXTEA
      EWSRUXSIVDWBWIWTUXNUXOWQUXMUXSUWSUSXBWRXCXDUNUXGUXRCUWQGUXEUWQTUXFUWRQUXE
      UWQDWJXEXFXGMXHUXLUXJWQAUXNUWQGHXIWRXCUWSUSXJXLWDWEAUVOUXBAUVNUVJHUWSOUAD
      HUIZUWRUKUVSUXDUXCAHGFKUXIXMAHUVNUYAXKZUYAUCZUVNTZSHUVNUYAXNAUYBUYDAUYBHU
      VNCHUXFUEZXKZACHUXFUYEUVNACULUYEXOZAUXEHRZSZUXFUVHUVMUYIGUVHUXEDAGUVHDUMZ
      UYHADGYDZUYJAGBDLYEZGDXPXLVDAHGUXEUXIVFVIUYIUXGUXFUVMRWQUYHUXGAUYHUXEGRZU
      XGUYHUYMUXGSZUYHUXEUXHRUYNHUXHUXEMXQUXGCGXRXSZXTYAVRZUXFQYBVQYCZUYPAHGVGC
      GUXFYFCHUXFYFUXINCHGUXFYGYHYIAUYAUYETUYBUYFYJACGBHDLUXIWFZHUVNUYAUYEYKVQY
      LAUBUYCUVNAUYCUYEUCZUVNAUYAUYEUYRYPZAUXFUVNRZCHYMUYSUVNVGAVUACHUYQYNCHUXF
      UVNUYEUYGYOVQYQAUBUDZUVNRZSAVUBUVHRZVUBQWLZVUBUYCRZAVUCVJVUCVUDAVUBUVHUVM
      XAVRVUCVUEAVUBUVHQUUAVRAVUDVUEYRUXFVUBTZCGUUFZVUFAVUDVUHVUEAVUDSVUDVUHAVU
      DVTAVUDVUHYJZVUDAUYKVUIUYLCGVUBDUUBVQVDUUCUUDAVUEVUHVUFUUPVUDAVUESZVUGVUF
      CGVUJUYMVUGVUFVUJUYMVUGYRZVUBUXFUYCVUGVUJVUBUXFTUYMVUGUXFVUBVUGVLWEUUEVUK
      AUYMUXGUXFUYCRAVUEUYMVUGUUGVUJUYMVUGUUHVUJVUGUXGUYMVUEVUGUXGAVUEVUGSUXFVU
      BQVUEVUGVTVUEVUGVJUUIUUJYSAUYMUXGYRUXFUYSUYCUYMUXGUXFUYSRZAUYNUYHUXFUKRVU
      LUYHUYNUYOUUKUYNUXEDUULCHUXFUYEUKUYGUUMWCUUNAUYMUYSUYCTUXGAUYCUYSUYTWEUUO
      UUQYTUURUUSUUTYSUVAYTUVBUNHUVNUYAUVCXGUXJUWQUYAPUWRTAUWQHDUVDVRUWIUVEWEUV
      GUVF $.
  $}

  ${
    $d A i j k $.  $d A k x $.  $d B i j $.  $d B x $.  $d B i y $.
    $d M i k y $.  $d S i k y $.  $d i ph $.
    meadjiun.1 $e |- F/ k ph $.
    meadjiun.m $e |- ( ph -> M e. Meas ) $.
    meadjiun.s $e |- S = dom M $.
    meadjiun.b $e |- ( ( ph /\ k e. A ) -> B e. S ) $.
    meadjiun.a $e |- ( ph -> A ~<_ _om ) $.
    meadjiun.dj $e |- ( ph -> Disj_ k e. A B ) $.
    $( The measure of the disjoint union of a countable set is the extended sum
       of the measures.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    meadjiun $p |- ( ph -> ( M ` U_ k e. A B ) = ( sum^ ` ( k e. A |-> ( M ` B
       ) ) ) ) $=
      ( vx vi cfv cmpt wcel wceq cv nfcv vj ciun cuni cres csumge0 wral ralrimi
      vy crn ex dfiun3g syl fveq2d eqid rnmptssd com cdom wbr 1stcrestlem wdisj
      disjrnmpt2 meadjuni ccom cvv c0 wne crab wrel reldom brrelex1 mpan fmptdf
      fveq2 neeq1d cbvrabv csb wa simpr nfv nfan nfcsb1 nfel nfim eleq1w anbi2d
      wi csbeq1a eleq1d imbi12d chvarfv fvmptf syl2anc disjeq2dv cbvdisj bicomi
      wb a1i bitrd mpbird meadjiunlem cbvmpt coeq2i eqidd cc0 cpnf cicc co meaf
      feqmptd fmptco nffv eqcomi 3eqtrd eqtrd ) AEBCUBZFOEBCPZUIZUCZFOFXQUDUEOZ
      EBCFOZPZUEOZAXOXRFACDQZEBUFXOXRRAYCEBGAESZBQZYCJUJUGEBCDUKULUMAMDFXQHIAEB
      CDXPGXPUNZJUOABUPUQURZXQUPUQURKEBCUSULAEBCUTZMXQMSUTLEMBCXPYFVAULVBAXSFXP
      VCZUEOYBADNXPFVDBUASZXPOZVEVFZUABVGHIAYGBVDQZKUQVHYGYMVIBUPUQVJVKULAEBCDX
      PGJYFVLYLNSZXPOZVEVFUANBYJYNRYKYOVEYJYNXPVMVNVOANBYOUTZYHLAYPNBEYNCVPZUTZ
      YHANBYOYQAYNBQZVQZYSYQDQZYOYQRAYSVRAYEVQZYCWFYTUUAWFENYTUUAEAYSEGYSEVSVTE
      YQDEYNCEYNTZWAZEDTWBWCYDYNRZUUBYTYCUUAUUEYEYSAENBWDWEUUECYQDEYNCWGZWHWIJW
      JZEYNCYQBXPDUUCUUDUUFYFWKWLWMYRYHWPAYHYRENBCYQNCTZUUDUUFWNWOWQWRWSWTAYIYA
      UEAYIFNBYQPZVCZNBYQFOZPZYAYIUUJRAXPUUIFENBCYQUUHUUDUUFXAXBWQANUHBDYQUHSZF
      OUUKUUIFUUGAUUIXCAUHDXDXEXFXGFADFHIXHXIUUMYQFVMXJUULYARAYAUULENBXTUUKNXTT
      EYQFEFTUUDXKUUECYQFUUFUMXAXLWQXMUMXNXM $.
  $}

  ${
    $d M e n x y $.  $d M n w x y $.  $d S y $.  $d e n ph x y $.
    $d ph w x y $.
    ismeannd.sal $e |- ( ph -> S e. SAlg ) $.
    ismeannd.mf $e |- ( ph -> M : S --> ( 0 [,] +oo ) ) $.
    ismeannd.m0 $e |- ( ph -> ( M ` (/) ) = 0 ) $.
    ismeannd.iun $e |- ( ( ph /\ e : NN --> S /\ Disj_ n e. NN ( e ` n ) ) -> (
       M ` U_ n e. NN ( e ` n ) ) = ( sum^ ` ( n e. NN |-> ( M ` ( e ` n ) ) )
       ) ) $.
    $( Sufficient condition to prove that ` M ` is a measure.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    ismeannd $p |- ( ph -> M e. Meas ) $=
      ( vy cc0 wcel wa c0 cfv wceq csumge0 adantl cn adantr vx vw cdm cpnf cicc
      co wf csalg cv com cdom wbr wdisj cuni cres wi cpw wral cmea feq2d mpbird
      fdmd eqeltrd jca unieq uni0 a1i eqtrd fveq2d sylan9eqr reseq2 res0 eqtr4d
      sge00 adantlr wn csn cun wfo wex simpll simplrr simplrl neqne id cbvdisjv
      biimpi ad2antlr nnfoctbdj simpl simprl simprr ciun cmpt founiiun0 simplll
      wne fof wss elpwi sseqtrd 0sal syl snssi unssd fssd simpr syl3anc feqmptd
      adantllr reseq1d resmptd ssequn2 sylib eqcomd mpteq1d 3eqtrd cxad cvv nfv
      simplr p0ex disjsn biimpri ad2antrr sselda ffvelrnd ad4ant14 sge0splitmpt
      cin elsni fveq2 sylan2 mpteq2dva sge0z oveq2d fssresd feq1dd pm2.61dan ex
      sge0xrcl xaddid1d 3eqtrrd nfdisj1 nfan nnex eqidd sylan sge0fodjrn eqtr2d
      syl21anc exlimdv sylc ralrimiva jca31 ismea sylibr ) AEUCZKUDUEUFZEUGZUUR
      UHLZMZNEOZKPZMUAUIZUJUKULZJUVEJUIZUMZMZUVEUNZEOZEUVEUOZQOZPZUPZUAUURUQZUR
      ZMEUSLAUVBUVDUVQAUUTUVAAUUTBUUSEUGZGAUURBUUSEABUUSEGVBZUTVAAUURBUHUVSFVCV
      DHAUVOUAUVPAUVEUVPLZMZUVIUVNUWAUVIMZUVENPZUVNUWAUWCUVNUVIAUWCUVNUVTAUWCMZ
      UVKKUVMUWCAUVKUVCKUWCUVJNEUWCUVJNUNZNUVENVEUWENPUWCVFVGVHVIHVJUWDUVMNQOZK
      UWCUVMUWFPAUWCUVLNQUWCUVLENUOZNUVENEVKUWGNPUWCEVLVGVHVIRUWFKPUWDVNVGVHVMV
      OVOUWBUWCVPZMZUWAUVHMZSUVENVQZVRZCUIZVSZDSDUIZUWMOZUMZMZCVTUVNUWIUWAUVHUW
      AUVIUWHWAUWAUVFUVHUWHWBVDUWIUBCDUVEUWAUVFUVHUWHWCUWHUVENWQUWBUVENWDRUVIUB
      UVEUBUIZUMZUWAUWHUVHUWTUVFUVHUWTJUBUVEUVGUWSUVGUWSPWEWFWGRWHWIUWJUWRUVNCU
      WJUWRUVNUWJUWRMUWJUWNUWQUVNUWJUWRWJUWJUWNUWQWKUWJUWNUWQWLUWJUWNMUWQMUVKDS
      UWPWMZEOZDSUWPEOZWNQOZUVMUWNUVKUXBPUWJUWQUWNUVJUXAEDSUVEUWMWOVIWHUWAUWNUW
      QUXBUXDPZUVHUWAUWNMZUWQMZASBUWMUGZUWQUXEAUVTUWNUWQWPZUXFUXHUWQUXFSUWLBUWM
      UWNSUWLUWMUGUWASUWLUWMWRRUWAUWLBWSUWNUWAUVEUWKBUWAUVEUURBUVTUVEUURWSAUVEU
      URWTRAUURBPUVTUVSTXAZAUWKBWSZUVTANBLZUXKABUHLUXLFBXBXCZNBXDXCTXEZTXFTUXFU
      WQXGZIXHXJUWAUWNUWQUXDUVMPUVHUXGUVMJUWLUVGEOZWNZQOZUXDUWAUVMUXRPZUWNUWQUW
      ANUVELZUXSUWAUXTMZUVLUXQQUYAUVLJBUXPWNZUVEUOZJUVEUXPWNZUXQUWAUVLUYCPZUXTA
      UYEUVTAEUYBUVEAJBUUSEGXIXKTZTUWAUYCUYDPUXTUWAJBUVEUXPUXJXLZTUXTUYDUXQPUWA
      UXTJUVEUWLUXPUXTUWLUVEUXTUWKUVEWSUWLUVEPNUVEXDUWKUVEXMXNXOXPRXQVIUWAUXTVP
      ZMZUXRUYDQOZJUWKUXPWNZQOZXRUFZUYJKXRUFZUVMUYIJUVEUWKUXPUVPXSUYIJXTAUVTUYH
      YAUWKXSLZUYIYBVGUYHUVEUWKYJNPZUWAUYPUYHUVENYCYDRUWAUVGUVELZUXPUUSLZUYHUWA
      UYQMBUUSUVGEAUVRUVTUYQGYEUWAUVEBUVGUXJYFYGVOAUVGUWKLZUYRUVTUYHAUYSMUXPUVC
      UUSUYSUXPUVCPZAUYSUVGNEUVGNYKZVIRAUVCUUSLUYSABUUSNEGUXMYGTVCYHYIAUYMUYNPU
      VTUYHAUYLKUYJXRAUYLJUWKKWNZQOKAUYKVUBQAJUWKUXPKUYSAUVGNPZUXPKPZVUAAVUCMUX
      PUVCKVUCUYTAUVGNEYLRAUVDVUCHTVHZYMYNVIAUWKJXSAJXTUYOAYBVGYOVHYPYEUWAUYNUV
      MPUYHUWAUYNUYJUVMUWAUYJUWAUYDUVPUVEAUVTXGUWAUVEUUSUVLUYDUWAUVLUYCUYDUYFUY
      GVHZUWABUUSUVEEAUVRUVTGTUXJYQYRUUAUUBUWAUVMUYJUWAUVLUYDQVUFVIXOVHTUUCYSYE
      UXGUWLUXPSUXCJDUWMUWPXSUXGJXTUXFUWQDUXFDXTDSUWPUUDUUEUVGUWPEYLSXSLUXGUUFV
      GUWAUWNUWQYAUXOUXGUWOSLMUWPUUGUWAUVGUWLLZUYRUWNUWQUWAVUGMBUUSUVGEAUVRUVTV
      UGGYEUWAUWLBUVGUXNYFYGYHUXGAVUCVUDUXIVUEUUHUUIUUJXJXQUUKYTUULUUMYSYTUUNUU
      OUAJEUUPUUQ $.
  $}

  ${
    $d E i n x $.  $d F x $.  $d M n $.  $d N i n x $.  $d S i n $.
    $d Z n x $.  $d i ph x $.
    meaiunlelem.1 $e |- F/ n ph $.
    meaiunlelem.m $e |- ( ph -> M e. Meas ) $.
    meaiunlelem.s $e |- S = dom M $.
    meaiunlelem.z $e |- Z = ( ZZ>= ` N ) $.
    meaiunlelem.e $e |- ( ph -> E : Z --> S ) $.
    meaiunlelem.f $e |- F = ( n e. Z |-> ( ( E ` n ) \ U_ i e. ( N ..^ n ) ( E
       ` i ) ) ) $.
    $( The measure of the union of countable sets is less than or equal to the
       sum of the measures, Property 112C (d) of [Fremlin1] p. 16.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    meaiunlelem $p |- ( ph -> ( M ` U_ n e. Z ( E ` n ) ) <_ ( sum^ ` ( n e. Z
       |-> ( M ` ( E ` n ) ) ) ) ) $=
      ( cfv ciun wcel adantr com vx cv cmpt csumge0 cle cfz wceq wdisj iundjiun
      co wral simplrd eqcomd fveq2d cfzo cdif csalg dmmeasal ffvelrnda cdom wbr
      wa cfn fzofi csdm isfinite biimpi sdomdom syl ax-mp a1i wf elfzouz eqcomi
      cuz eleqtrdi adantl ffvelrnd saliuncl saldifcl2 syl3anc eqid uzct eqbrtri
      fmptdf simprd meadjiun eqidd 3eqtrd fvexi cmea meacl simpr difexd syl2anc
      cvv fvmpt2 difssd eqsstrd meassle sge0lempt eqbrtrd ) ADIDUBZEPZQZGPZDIXC
      FPZGPZUCUDPZDIXDGPZUCUDPUEAXFDIXGQZGPXIXIAXEXKGAXKXEADHUAUBUFUJZXGQDXLXDQ
      UGUAIUKZXKXEUGZDIXGUHZACUADEFHBIJMNOUIZULUMUNAIXGBDGJKLAIBXCFADIXDCHXCUOU
      JZCUBZEPZQZUPZBFJAXCIRZVBZBUQRZXDBRXTBRZYABRAYDYBABGKLURZSAIBXCENUSZAYEYB
      ABCXSXQYFXQTUTVAZAXQVCRZYHHXCVDYIXQTVEVAZYHYIYJXQVFVGXQTVHVIVJVKAXRXQRZVB
      IBXREAIBEVLYKNSYKXRIRAYKXRHVOPZIXRHXCVMIYLMVNVPVQVRVSSBXDXTVTWAOWEUSZITUT
      VAAIYLTUTMHYLYLWBWCWDVKAXMXNVBXOXPWFWGAXIWHWIADIXHXJWPJIWPRAIHVOMWJVKYCXG
      BGAGWKRYBKSZLYMWLYCXDBGYNLYGWLYCXGXDBGYNLYMYGYCXGYAXDYCYBYAWPRXGYAUGAYBWM
      YCXDXTBYGWNDIYAWPFOWQWOYCXDXTWRWSWTXAXB $.
  $}

  ${
    $d E n x $.  $d M n $.  $d N n x $.  $d S n x $.  $d Z n $.  $d ph x $.
    meaiunle.nph $e |- F/ n ph $.
    meaiunle.m $e |- ( ph -> M e. Meas ) $.
    meaiunle.s $e |- S = dom M $.
    meaiunle.z $e |- Z = ( ZZ>= ` N ) $.
    meaiunle.e $e |- ( ph -> E : Z --> S ) $.
    $( The measure of the union of countable sets is less than or equal to the
       sum of the measures, Property 112C (d) of [Fremlin1] p. 16.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    meaiunle $p |- ( ph -> ( M ` U_ n e. Z ( E ` n ) ) <_ ( sum^ ` ( n e. Z |->
       ( M ` ( E ` n ) ) ) ) ) $=
      ( vx cv cfv cfzo co ciun cdif cmpt eqid meaiunlelem ) ABMCDCGCNZDOMFUCPQM
      NDORSTZEFGHIJKLUDUAUB $.
  $}

  ${
    $d H x y $.  $d M y $.  $d X x $.  $d Y x y $.  $d ph x y $.
    psmeasurelem.x $e |- ( ph -> X e. V ) $.
    psmeasurelem.h $e |- ( ph -> H : X --> ( 0 [,] +oo ) ) $.
    psmeasurelem.m $e |- M = ( x e. ~P X |-> ( sum^ ` ( H |` x ) ) ) $.
    psmeasurelem.mf $e |- ( ph -> M : ~P X --> ( 0 [,] +oo ) ) $.
    psmeasurelem.y $e |- ( ph -> Y C_ ~P X ) $.
    psmeasurelem.dj $e |- ( ph -> Disj_ y e. Y y ) $.
    $( ` M ` applied to a disjoint union of subsets of its domain is the sum of
       ` M ` applied to such subset.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    psmeasurelem $p |- ( ph -> ( M ` U. Y ) = ( sum^ ` ( M |` Y ) ) ) $=
      ( cres csumge0 cfv cvv wcel wceq cuni cv cmpt cpw wss pwexd ssexg syl2anc
      simpr uniiun cc0 cpnf co wb elpwg syl mpbird pwpwuni mpbid elpwid fssresd
      cicc sge0iun reseq2 fveq2d fvexd fvmptd3 feqmptd wa fvres elssuni resabs1
      sselda eqcomd adantl 3eqtrd mpteq2dva eqtrd 3eqtr4d ) ADHUAZOZPQZCHWACUBZ
      OZPQZUCZPQVTEQEHOZPQACHWCWARHVTAHGUDZUEZWHRSHRSZMAGFIUFHWHRUGUHZAWCHSZUIZ
      CHUJAGUKULVBUMZVTDJAVTGAHWHUDSZVTWHSZAWOWIMAWJWOWIUNWKHWHRUOUPUQAWJWOWPUN
      WKHGRURUPUSZUTVANVCABVTDBUBZOZPQZWBWHERKWRVTTWSWAPWRVTDVDVEWQAWAPVFVGAWGW
      FPAWGCHWCWGQZUCWFACHWNWGAWHWNHELMVAVHACHXAWEAWLVIZXAWCEQZDWCOZPQZWEXBWLXA
      XCTWMWCHEVJUPXBBWCWTXEWHERKWRWCTWSXDPWRWCDVDVEAHWHWCMVMXBXDPVFVGXBXDWDPWL
      XDWDTAWLWDXDWLWCVTUEWDXDTWCHVKDWCVTVLUPVNVOVEVPVQVRVEVS $.
  $}

  ${
    $d H x z $.  $d M y z $.  $d X x z $.  $d ph x y z $.  $d w x y z $.
    psmeasure.x $e |- ( ph -> X e. V ) $.
    psmeasure.h $e |- ( ph -> H : X --> ( 0 [,] +oo ) ) $.
    psmeasure.m $e |- M = ( x e. ~P X |-> ( sum^ ` ( H |` x ) ) ) $.
    $( Point supported measure, Remark 112B (d) of [Fremlin1] p. 15.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    psmeasure $p |- ( ph -> M e. Meas ) $=
      ( vy vw vz cc0 wf wcel wa c0 cfv wceq csumge0 cdm cpnf cicc co csalg cdom
      cv com wbr wdisj cuni cres wi cpw wral simpr adantr elpwid fssres syl2anc
      cmea wss sge0cl fmptd dmmptd feq2d mpbird pwsal syl eqeltrd reseq2 fveq2d
      jca cvv 0elpw a1i fvexd fvmptd3 res0 fveq2i sge00 eqtri eqtrd simpl pweqd
      eleqtrd elpwi ad2antrr simplr cbvdisjv biimpi adantl psmeasurelem adantrl
      id ex ralrimiva jca31 ismea sylibr ) ADUAZMUBUCUDZDNZXAUEOZPZQDRZMSZPJUGZ
      UHUFUIZKXHKUGZUJZPZXHUKDRDXHULTRSZUMZJXAUNZUOZPDVAOAXEXGXPAXCXDAXCFUNZXBD
      NZABXQCBUGZULZTRZXBDAXSXQOZPZXTXQXSAYBUPZYCFXBCNZXSFVBXSXBXTNAYEYBHUQYCXS
      FYDURFXBXSCUSUTVCZIVDZAXAXQXBDABDXQYAXBIYFVEZVFVGAXAXQUEYHAFEOZXQUEOGEFVH
      VIVJVMAXFCQULZTRZMABQYAYKXQDVNIXSQSXTYJTXSQCVKVLQXQOAFVOVPAYJTVQVRYKMSAYK
      QTRMYJQTCVSVTWAWBVPWCAXNJXOAXHXOOZPZAXHXQVBZXNAYLWDYMXHXQUNZOYNYMXHXOYOAY
      LUPAXOYOSYLAXAXQYHWEUQWFXHXQWGVIAYNPZXLXMYPXKXMXIYPXKPBLCDEFXHAYIYNXKGWHA
      YEYNXKHWHIAXRYNXKYGWHAYNXKWIXKLXHLUGZUJZYPXKYRKLXHXJYQXJYQSWOWJWKWLWMWNWP
      UTWQWRJKDWSWT $.
  $}

  ${
    $d E m n $.  $d m n ph $.
    voliunsge0lem.s $e |- S = seq 1 ( + , G ) $.
    voliunsge0lem.g $e |- G = ( n e. NN |-> ( vol ` ( E ` n ) ) ) $.
    voliunsge0lem.e $e |- ( ph -> E : NN --> dom vol ) $.
    voliunsge0lem.d $e |- ( ph -> Disj_ n e. NN ( E ` n ) ) $.
    $( The Lebesgue measure function is countably additive.  (Contributed by
       Glauco Siliprandi, 3-Mar-2021.) $)
    voliunsge0lem $p |- ( ph -> ( vol ` U_ n e. NN ( E ` n ) ) = ( sum^ ` ( n
       e. NN |-> ( vol ` ( E ` n ) ) ) ) ) $=
      ( vm cfv cvol cpnf wceq cn wa wcel cxr cc0 a1i wrex ciun cmpt csumge0 nfv
      cv nfcv nfiu1 nffv nfeq1 w3a cicc co iccssxr cdm volf ffvelrnda ralrimiva
      wf wral iunmbl syl ffvelrnd sselid adantr 3adant3 cle eqcomd 3ad2ant3 wbr
      id wss ssiun2 adantl volss syl3anc eqbrtrd xrgepnfd rexlimd imp cvv nfre1
      3exp nfan nnex adantlr simpr sge0pnfmpt eqtr4d wn ralnex biimpri necon3bi
      cr wb wne ge0xrre syl2anc ex renepnf neneqd impbid ralbidva mpbid crn clt
      wi csup wdisj nfra1 rspa adantll jca ralrimi voliun 1zzd nnuz cico eleq1w
      c1 nfim anbi2d 2fveq3 eleq1d imbi12d 0xr pnfxr rexrd volge0 ltpnfd elicod
      chvarfv cbvmptv fmptd caddc cseq seqeq3 ax-mp eqtri sge0seq pm2.61dan
      syldan ) ACUFZDKZLKZMNZCOUAZCOUUDUBZLKZCOUUEUCZUDKZNZAUUGPZUUIMUUKAUUGUUI
      MNZAUUFUUNCOACUEZCUUIMCUUHLCLUGCOUUDUHUIUJAUUCOQZUUFUUNAUUPUUFUKZUUIAUUPU
      UIRQZUUFAUURUUPASMULUMZRUUISMUNALUOZUUSUUHLUUTUUSLUSZAUPTAUUDUUTQZCOUTUUH
      UUTQZAUVBCOAOUUTUUCDHUQZURUUDCVAVBZVCVDVEVFUUQMUUEUUIVGUUFAMUUENUUPUUFUUE
      MUUFVKZVHVIAUUPUUEUUIVGVJZUUFAUUPPZUVBUVCUUDUUHVLZUVGUVDAUVCUUPUVEVEUUPUV
      IACOUUDVMVNUUDUUHVOVPVFVQVRWCVSVTUUMOUUECWAAUUGCUUOUUFCOWBWDOWAQUUMWETAUU
      PUUEUUSQZUUGUVHUUTUUSUUDLUVAUVHUPTUVDVCZWFAUUGWGWHWIAUUGWJZUUEWNQZCOUTZUU
      LAUVLPUUFWJZCOUTZUVNUVLUVPAUVPUVLUUFCOWKWLVNAUVPUVNWOUVLAUVOUVMCOUVHUVOUV
      MUVHUVOUVMUVHUVOPUVJUUEMWPZUVMUVHUVJUVOUVKVEUVOUVQUVHUUFUUEMUVFWMVNUUEWQW
      RWSUVMUVOXGUVHUVMUUEMUUEWTXATXBXCVEXDAUVNPZUUIBXERXFXHZUUKUVRUVBUVMPZCOUT
      COUUDXIZUUIUVSNUVRUVTCOAUVNCUUOUVMCOXJWDZUVRUUPUVTUVRUUPPZUVBUVMAUUPUVBUV
      NUVDWFUVNUUPUVMAUVMCOXKXLZXMWSXNAUWAUVNIVEUUDBCEFGXOWRUVRUUJBXTOUVRXPXQUV
      RJOJUFZDKLKZSMXRUMZUUJUWCUUEUWGQZXGUVRUWEOQZPZUWFUWGQZXGCJUWJUWKCUVRUWICU
      WBUWICUEWDUWKCUEYAUUCUWENZUWCUWJUWHUWKUWLUUPUWIUVRCJOXSYBUWLUUEUWFUWGUUCU
      WELDYCZYDYEUWCSMUUESRQUWCYFTMRQUWCYGTUWCUUEUWDYHAUUPSUUEVGVJZUVNUVHUVBUWN
      UVDUUDYIVBWFUWCUUEUWDYJYKYLCJOUUEUWFUWMYMYNBYOEXTYPZYOUUJXTYPZFEUUJNUWOUW
      PNGYOEUUJXTYQYRYSYTWIUUBUUA $.
  $}

  ${
    $d E n $.  $d n ph $.
    voliunsge0.1 $e |- ( ph -> E : NN --> dom vol ) $.
    voliunsge0.2 $e |- ( ph -> Disj_ n e. NN ( E ` n ) ) $.
    $( The Lebesgue measure function is countably additive.  (Contributed by
       Glauco Siliprandi, 3-Mar-2021.) $)
    voliunsge0 $p |- ( ph -> ( vol ` U_ n e. NN ( E ` n ) ) = ( sum^ ` ( n e.
       NN |-> ( vol ` ( E ` n ) ) ) ) ) $=
      ( caddc cn cv cfv cvol cmpt c1 cseq eqid voliunsge0lem ) AFBGBHCIJIKZLMZB
      CPQNPNDEO $.
  $}

  ${
    $d e m n $.  $d e n ph $.
    $( The Lebeasgue measure on the Reals is actually a measure.  (Contributed
       by Glauco Siliprandi, 3-Mar-2021.) $)
    volmea $p |- ( ph -> vol e. Meas ) $=
      ( ve vn vm cvol cdm csalg wcel dmvolsal a1i cc0 wf wceq cn cv wdisj simp2
      cfv w3a 3ad2ant3 cpnf cicc co volf c0 vol0 ciun cmpt simp1 fveq2 cbvdisjv
      csumge0 biimpri biimpi voliunsge0 syl3anc ismeannd ) AEFZBCEURGHAIJURKUAU
      BUCELAUDJUEERKMAUFJANURBOZLZCNCOZUSRZPZSAUTDNDOZUSRZPZCNVBUGERCNVBERUHULR
      MAUTVCUIAUTVCQVCAVFUTVFVCDCNVEVBVDVAUSUJUKZUMTAUTVFSCUSAUTVFQVFAVCUTVFVCV
      GUNTUOUPUQ $.
  $}

  ${
    meage0.m $e |- ( ph -> M e. Meas ) $.
    meage0.a $e |- ( ph -> A e. dom M ) $.
    $( If the measure of a measurable set is greater than or equal to ` 0 ` .
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    meage0 $p |- ( ph -> 0 <_ ( M ` A ) ) $=
      ( cc0 cxr wcel cpnf cfv cicc co cle wbr 0xr a1i pnfxr cdm eqid meacl
      iccgelb syl3anc ) AFGHZIGHZBCJZFIKLHFUEMNUCAOPUDAQPABCRZCDUFSETFIUEUAUB
      $.
  $}

  ${
    meadjunre.m $e |- ( ph -> M e. Meas ) $.
    meadjunre.x $e |- S = dom M $.
    meadjunre.a $e |- ( ph -> A e. S ) $.
    meadjunre.b $e |- ( ph -> B e. S ) $.
    meadjunre.d $e |- ( ph -> ( A i^i B ) = (/) ) $.
    meadjunre.r $e |- ( ph -> ( M ` A ) e. RR ) $.
    meadjunre.f $e |- ( ph -> ( M ` B ) e. RR ) $.
    $( The measure of the union of two disjoint sets, with finite measure, is
       the sum of the measures, Property 112C (a) of [Fremlin1] p. 15.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    meadjunre $p |- ( ph -> ( M ` ( A u. B ) ) = ( ( M ` A ) + ( M ` B ) ) ) $=
      ( cun cfv cxad co caddc meadjun rexaddd eqtrd ) ABCMENBENZCENZOPUAUBQPABC
      DEFGHIJRAUAUBKLST $.
  $}

  ${
    meassre.m $e |- ( ph -> M e. Meas ) $.
    meassre.a $e |- ( ph -> A e. dom M ) $.
    meassre.r $e |- ( ph -> ( M ` A ) e. RR ) $.
    meassre.s $e |- ( ph -> B C_ A ) $.
    meassre.b $e |- ( ph -> B e. dom M ) $.
    $( If the measure of a measurable set is real, then the measure of any of
       its measurable subsets is real.  (Contributed by Glauco Siliprandi,
       8-Apr-2021.) $)
    meassre $p |- ( ph -> ( M ` B ) e. RR ) $=
      ( cc0 cpnf cico co cr cfv rge0ssre cxr wcel 0xr a1i pnfxr cdm eqid meage0
      meaxrcl rexrd meassle ltpnfd xrlelttrd elicod sselid ) AJKLMNCDOZPAJKULJQ
      RASTKQRAUATZACDUBZDEUNUCZIUEZACDEIUDAULBDOZKUPAUQGUFUMACBUNDEUOIFHUGAUQGU
      HUIUJUK $.
  $}

  ${
    meale0eq0.m $e |- ( ph -> M e. Meas ) $.
    meale0eq0.a $e |- ( ph -> A e. dom M ) $.
    meale0eq0.l $e |- ( ph -> ( M ` A ) <_ 0 ) $.
    $( A measure that is less than or equal to ` 0 ` is ` 0 ` .  (Contributed
       by Glauco Siliprandi, 8-Apr-2021.) $)
    meale0eq0 $p |- ( ph -> ( M ` A ) = 0 ) $=
      ( cfv cc0 cdm eqid meaxrcl cxr wcel 0xr a1i meage0 xrletrid ) ABCGHABCIZC
      DRJEKHLMANOFABCDEPQ $.
  $}

  ${
    meadif.m $e |- ( ph -> M e. Meas ) $.
    meadif.a $e |- ( ph -> A e. dom M ) $.
    meadif.r $e |- ( ph -> ( M ` A ) e. RR ) $.
    meadif.b $e |- ( ph -> B e. dom M ) $.
    meadif.s $e |- ( ph -> B C_ A ) $.
    $( The measure of the difference of two sets.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    meadif $p |- ( ph -> ( M ` ( A \ B ) ) = ( ( M ` A ) - ( M ` B ) ) ) $=
      ( cfv cdif caddc co wceq cmin cun wss wcel meassre recnd undif eqcomd cdm
      sylib fveq2d eqid csalg dmmeasal saldifcl2 syl3anc cin disjdif a1i difssd
      c0 meadjunre eqtr2d addrsub mpbid ) ACDJZBCKZDJZLMZBDJZNVBVDUTOMNAVDCVAPZ
      DJVCABVEDAVEBACBQVEBNICBUAUDUBUEACVADUCZDEVFUFZHAVFUGRBVFRCVFRVAVFRAVFDEV
      GUHFHVFBCUIUJZCVAUKUONACBULUMABCDEFGIHSZABVADEFGABCUNVHSZUPUQAUTVBVDAUTVI
      TAVBVJTAVDGTURUS $.
  $}

  ${
    $d E i m n $.  $d E i n x $.  $d F i m n $.  $d F i n x $.  $d M i m n $.
    $d M i n x $.  $d N i m n $.  $d N i n x $.  $d S n x $.  $d Z i m n $.
    $d Z i n x $.  $d i m n ph $.  $d ph x $.
    meaiuninclem.m $e |- ( ph -> M e. Meas ) $.
    meaiuninclem.n $e |- ( ph -> N e. ZZ ) $.
    meaiuninclem.z $e |- Z = ( ZZ>= ` N ) $.
    meaiuninclem.e $e |- ( ph -> E : Z --> dom M ) $.
    meaiuninclem.i $e |- ( ( ph /\ n e. Z ) -> ( E ` n ) C_ ( E ` ( n + 1 ) ) )
                       $.
    meaiuninclem.b $e |- ( ph -> E. x e. RR A. n e. Z ( M ` ( E ` n ) ) <_ x )
                      $.
    meaiuninclem.s $e |- S = ( n e. Z |-> ( M ` ( E ` n ) ) ) $.
    meaiuninclem.f $e |- F = ( n e. Z |-> ( ( E ` n ) \ U_ i e. ( N ..^ n ) ( E
       ` i ) ) ) $.
    $( Measures are continuous from below (bounded case): if ` E ` is a
       sequence of increasing measurable sets (with uniformly bounded measure)
       then the measure of the union is the union of the measure.  This is
       Proposition 112C (e) of [Fremlin1] p. 16.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    meaiuninclem $p |- ( ph -> S ~~> ( M ` U_ n e. Z ( E ` n ) ) ) $=
      ( cfv wcel vm crn cr clt csup cv ciun cli cc0 cpnf cico co wa cxr 0xr a1i
      pnfxr cdm cmea adantr eqid ffvelrnda meaxrcl meage0 cle wbr wral wrex w3a
      simp1 simp2 simp3 simprd rspa syl2anc 3ad2ant1 3ad2ant2 xrlelttrd syl3anc
      rexr ltpnf 3exp rexlimdv mpd elicod fmptd wss rge0ssre c1 caddc peano2uzs
      fssd adantl syldan meassle cmpt wceq fvexd fvmpt2d 2fveq3 cbvmptv fvmptd3
      cvv eqtri breq12d mpbird wi eqcomd breq1d ralbidva biimpd climsup csumge0
      reximdva cfz csu nfv cfzo cdif id com adantlr eleq1w anbi2d oveq2 eqeq12d
      imbi12d iuneq1d fveq2 cbviunv wdisj 3eqtrd chvarvv eleqtrdi fveq2d eleq1d
      cdom meadjiun cbvsumv eqtrd difexi fvmpt2 csalg dmmeasal fzoct wf fzossuz
      fvex cuz eqcomi sseqtri sseli ffvelrnd saliuncl saldifcl2 eqeltrd eqsstrd
      difssd cbvralvw biimpi sumeq1d iundjiun simplld simpr fvoveq1 eqtr2d fzct
      sseq12d iunincfi elfzuz ssd cbvdisjv sylib disjss1 sylc fzfid sge0fsummpt
      imp reximdv sge0reuzb mpteq2dva rneqd supeq1d eqtr4d uzct simplrd breqtrd
      ex ) ACCUBZUCUDUEZEJEUFZFSZUGZHSZUHABECIJMLAJUIUJUKULZUCCAEJUWLHSZUWOCAUW
      KJTZUMZUIUJUWPUIUNTUWRUOUPZUJUNTZUWRUQUPZUWRUWLHURZHAHUSTUWQKUTZUXBVAZAJU
      XBUWKFNVBZVCZUWRUWLHUXCUXEVDUWRUWPBUFZVEVFZEJVGZBUCVHZUWPUJUDVFZAUXJUWQPU
      TUWRUXIUXKBUCUWRUXGUCTZUXIUXKUWRUXLUXIVIZUWRUXLUXHUXKUWRUXLUXIVJZUWRUXLUX
      IVKUXMUXIUWQUXHUWRUXLUXIVLUXMAUWQUXNVMUXHEJVNVOUWRUXLUXHVIZUWPUXGUJUWRUXL
      UWPUNTUXHUXFVPUXLUWRUXGUNTUXHUXGVTVQUWTUXOUQUPUWRUXLUXHVLUXLUWRUXGUJUDVFU
      XHUXGWAVQVRVSWBWCWDZWEQWFUWOUCWGAWHUPWLUWRUWKCSZUWKWIWJULZCSZVEVFUWPUXRFS
      ZHSZVEVFUWRUWLUXTUXBHUXCUXDUXEAUWQUXRJTZUXTUXBTUWQUYBAIUWKJMWKWMZAJUXBUXR
      FNVBWNOWOUWRUXQUWPUXSUYAVEAEJUWPCXCCEJUWPWPZWQAQUPUWRUWLHWRWSZUWRUAUXRUAU
      FZFSHSZUYAJCXCCUYDUAJUYGWPQEUAJUWPUYGUWKUYFHFWTXAXDUYFUXRHFWTUYCUWRUXTHWR
      XBXEXFAUXJUXQUXGVEVFZEJVGZBUCVHPAUXIUYIBUCAUXIUYIXGUXLAUXIUYIAUXHUYHEJUWR
      UWPUXQUXGVEUWRUXQUWPUYEXHXIXJXKUTXNWDXLAUWJEJUWKGSZHSZWPXMSZEJUYJUGZHSZUW
      NAUYLUWJAUYLDJIDUFZXOULZUYKEXPZWPZUBZUCUDUEUWJABUYKEDIJAEXQZABXQLMUWRUIUJ
      UYKUWSUXAUWRUYJUXBHUXCUXDUWRUYJUWLDIUWKXRULZUYOFSZUGZXSZUXBUWQUYJVUDWQZAU
      WQUWQVUDXCTZVUEUWQXTZVUFUWQUWLVUCUWKFUUHUUAUPEJVUDXCGRUUBVOWMZUWRUXBUUCTZ
      UWLUXBTVUCUXBTVUDUXBTAVUIUWQAUXBHKUXDUUDUTZUXEUWRUXBDVUBVUAVUJVUAYAYQVFUW
      RUWKIUUEUPAUYOVUATZVUBUXBTUWQAVUKUMJUXBUYOFAJUXBFUUFVUKNUTVUKUYOJTZAVUAJU
      YOVUAIUUISZJIUWKUUGJVUMMUUJZUUKUULWMZUUMYBUUNUXBUWLVUCUUOVSUUPZVCZUWRUYJH
      UXCVUPVDUWRUYKUWPUJVUQUXFUXAUWRUYJUWLUXBHUXCUXDVUPUXEUWRUYJVUDUWLVUHUWRUW
      LVUCUURUUQWOUXPVRWEZAUXJUYQUXGVEVFZDJVGZBUCVHPAUXIVUTBUCAUXIVUTAUXIVUBHSZ
      UXGVEVFZDJVGZVUTUXIVVCAUXIVVCUXHVVBEDJUWKUYOWQZUWPVVAUXGVEUWKUYOHFWTZXIUU
      SUUTWMAVVCVUTAVVCVUTAVVBVUSDJAVULUMZVVAUYQUXGVEVVFVVAUYPUYFGSHSZUAXPZUYQU
      WRUWPIUWKXOULZVVGUAXPZWQZXGVVFVVAVVHWQZXGEDVVDUWRVVFVVKVVLVVDUWQVULAEDJYC
      YDZVVDUWPVVAVVJVVHVVEVVDVVIUYPVVGUAUWKUYOIXOYEUVAYFYGUWRUWPDVVIUYOGSZUGZH
      SDVVIVVNHSZWPXMSZVVJUWRUWLVVOHUWRVVODVVIVUBUGZUWLAUYFJTZUMZDIUYFXOULZVVNU
      GZDVWAVUBUGZWQZXGUWRVVOVVRWQZXGUAEUYFUWKWQZVVTUWRVWDVWEVWFVVSUWQAUAEJYCYD
      VWFVWBVVOVWCVVRVWFDVWAVVIVVNUYFUWKIXOYEZYHVWFDVWAVVIVUBVWGYHYFYGVVTVWBEVW
      AUYJUGZEVWAUWLUGZVWCVWBVWHWQVVTDEVWAVVNUYJUYOUWKGYIYJUPVVTVWHVWIWQZUAJVGZ
      VVSVWJAVWKVVSAVWKUYMUWMWQZEJUYJYKZADUAEFGIUXBJUYTMNRUVBZUVCUTAVVSUVDVWJUA
      JVNVOVWIVWCWQVVTEDVWAUWLVUBUWKUYOFYIZYJUPYLYMUWRDFIUWKUWQUWKVUMTAUWQUWKJV
      UMVUGMYNWMAVUKVUBUYOWIWJULFSZWGZUWQAVUKVULVWQVUOUWRUWLUXTWGZXGVVFVWQXGEDV
      VDUWRVVFVWRVWQVVMVVDUWLVUBUXTVWPVWOUWKUYOWIFWJUVEUVHYGOYMWNYBUVIUVFYOUWRV
      VIVVNUXBDHUWRDXQUXCUXDAUYOVVITZVVNUXBTZUWQAVWSVULVWTVWSVULAVWSUYOVUMJUYOI
      UWKUVJVUNYNWMZUWRUYJUXBTZXGVVFVWTXGEDVVDUWRVVFVXBVWTVVMVVDUYJVVNUXBUWKUYO
      GYIZYPYGVUPYMWNYBVVIYAYQVFUWRUWKIUVGUPADVVIVVNYKZUWQAVVIJWGDJVVNYKZVXDADV
      VIJVXAUVKAVWMVXEAVWKVWLUMVWMVWNVMZEDJUYJVVNVXCUVLUVMDVVIJVVNUVNUVOUTYRUWR
      VVQVVIVVPDXPZVVJUWRVVIVVPDUWRIUWKUVPAVWSVVPUWOTZUWQAVWSVULVXHVXAUWRUYKUWO
      TZXGVVFVXHXGEDVVDUWRVVFVXIVXHVVMVVDUYKVVPUWOUWKUYOHGWTYPYGVURYMWNYBUVQVXG
      VVJWQUWRVVIVVPVVGDUAUYOUYFHGWTYSUPYTYLYMVVHUYQWQVVFUYPVVGUYKUAEUYFUWKHGWT
      YSUPYTZXIXJXKUVRWNUWHUVSWDUVTAUCUWIUYSUDACUYRACDJVVAWPZUYRCVXKWQACUYDVXKQ
      EDJUWPVVAVVEXAXDUPADJVVAUYQVXJUWAYTUWBUWCUWDXHAUYNUYLAJUYJUXBEHUYTKUXDVUP
      JYAYQVFAIJMUWEUPVXFYRXHAUYMUWMHAVWKVWLVWMVWNUWFYOYLUWG $.
  $}

  ${
    $d E i k m n x $.  $d M i m n x $.  $d N i k m n x $.  $d Z i m n x $.
    $d i n ph x $.
    meaiuninc.m $e |- ( ph -> M e. Meas ) $.
    meaiuninc.n $e |- ( ph -> N e. ZZ ) $.
    meaiuninc.z $e |- Z = ( ZZ>= ` N ) $.
    meaiuninc.e $e |- ( ph -> E : Z --> dom M ) $.
    meaiuninc.i $e |- ( ( ph /\ n e. Z ) -> ( E ` n ) C_ ( E ` ( n + 1 ) ) ) $.
    meaiuninc.x $e |- ( ph -> E. x e. RR A. n e. Z ( M ` ( E ` n ) ) <_ x ) $.
    meaiuninc.s $e |- S = ( n e. Z |-> ( M ` ( E ` n ) ) ) $.
    $( Measures are continuous from below (bounded case): if ` E ` is a
       sequence of nondecreasing measurable sets (with bounded measure) then
       the measure of the union is the limit of the measures.  This is
       Proposition 112C (e) of [Fremlin1] p. 16.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    meaiuninc $p |- ( ph -> S ~~> ( M ` U_ n e. Z ( E ` n ) ) ) $=
      ( vm vi cv cfv cmpt vk ciun cli wceq 2fveq3 cbvmptv eqtri a1i cfzo eqtr3i
      co cdif fveq2 cbviunv difeq2i mpteq2i oveq2 iuneq1d difeq12d meaiuninclem
      eqbrtrd ) ACPHPRZESZFSZTZDHDRZESZUBFSUCCVEUDACDHVGFSZTZVEODPHVHVDVFVBFEUE
      UFUGZUHABVEQDEPHVCUAGVBUIUKZUARZESZUBZULZTZFGHIJKLMNCVEVIVJOUJVPPHVCQVKQR
      ZESZUBZULZTDHVGQGVFUIUKZVRUBZULZTPHVOVTVNVSVCUAQVKVMVRVLVQEUMUNUOUPPDHVTW
      CVBVFUDZVCVGVSWBVBVFEUMWDQVKWAVRVBVFGUIUQURUSUFUGUTVA $.
  $}

  ${
    $d B n x $.  $d E n x $.  $d M n x $.  $d N n x $.  $d Z n x $.
    $d n ph x $.
    meaiuninc2.m $e |- ( ph -> M e. Meas ) $.
    meaiuninc2.n $e |- ( ph -> N e. ZZ ) $.
    meaiuninc2.z $e |- Z = ( ZZ>= ` N ) $.
    meaiuninc2.e $e |- ( ph -> E : Z --> dom M ) $.
    meaiuninc2.i $e |- ( ( ph /\ n e. Z ) -> ( E ` n ) C_ ( E ` ( n + 1 ) ) )
       $.
    meaiuninc2.b $e |- ( ph -> B e. RR ) $.
    meaiuninc2.x $e |- ( ( ph /\ n e. Z ) -> ( M ` ( E ` n ) ) <_ B ) $.
    meaiuninc2.s $e |- S = ( n e. Z |-> ( M ` ( E ` n ) ) ) $.
    $( Measures are continuous from below (bounded case): if ` E ` is a
       sequence of nondecreasing measurable sets (with bounded measure) then
       the measure of the union is the limit of the measures.  This is
       Proposition 112C (e) of [Fremlin1] p. 16.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    meaiuninc2 $p |- ( ph -> S ~~> ( M ` U_ n e. Z ( E ` n ) ) ) $=
      ( vx cr cv cle wcel cfv wral wrex ralrimiva brralrspcev syl2anc meaiuninc
      wbr ) AQCDEFGHIJKLMABRUADSEUBFUBZBTUIZDHUCUJQSTUIDHUCQRUDNAUKDHOUEQDUJBTR
      HUFUGPUH $.
  $}

  ${
    $d E k x y $.  $d M k n x y $.  $d N k y $.  $d Z k n x y $.  $d k ph y $.
    meaiunincf.p $e |- F/ n ph $.
    meaiunincf.f $e |- F/_ n E $.
    meaiunincf.m $e |- ( ph -> M e. Meas ) $.
    meaiunincf.n $e |- ( ph -> N e. ZZ ) $.
    meaiunincf.z $e |- Z = ( ZZ>= ` N ) $.
    meaiunincf.e $e |- ( ph -> E : Z --> dom M ) $.
    meaiunincf.i $e |- ( ( ph /\ n e. Z ) -> ( E ` n ) C_ ( E ` ( n + 1 ) ) )
                   $.
    meaiunincf.x $e |- ( ph -> E. x e. RR A. n e. Z ( M ` ( E ` n ) ) <_ x ) $.
    meaiunincf.s $e |- S = ( n e. Z |-> ( M ` ( E ` n ) ) ) $.
    $( Measures are continuous from below (bounded case): if ` E ` is a
       sequence of nondecreasing measurable sets (with bounded measure) then
       the measure of the union is the limit of the measures.  This is
       Proposition 112C (e) of [Fremlin1] p. 16.  (Contributed by Glauco
       Siliprandi, 13-Feb-2022.) $)
    meaiunincf $p |- ( ph -> S ~~> ( M ` U_ n e. Z ( E ` n ) ) ) $=
      ( vk cfv nfcv vy cv ciun cli wcel wa c1 caddc wss nfv nfan nffv nfss nfim
      co wi wceq eleq1w anbi2d fveq2 fvoveq1 sseq12d imbi12d chvarfv cle wbr cr
      wral wrex breq2 ralbidv wb 2fveq3 breq1d cbvralw a1i bitrd cbvrexvw sylib
      nfbr cmpt cbvmpt eqtri meaiuninc cbviun fveq2i breqtrdi ) ACRHRUBZESZUCZF
      SDHDUBZESZUCZFSUDAUACREFGHKLMNAWKHUEZUFZWLWKUGUHUOESZUIZUPAWHHUEZUFZWIWHU
      GUHUOZESZUIZUPDRWSXBDAWRDIWRDUJUKDWIXADWHEJDWHTULZDWTEJDWTTULUMUNWKWHUQZW
      OWSWQXBXDWNWRADRHURUSXDWLWIWPXAWKWHEUTWKWHUGEUHVAVBVCOVDAWLFSZBUBZVEVFZDH
      VHZBVGVIWIFSZUAUBZVEVFZRHVHZUAVGVIPXHXLBUAVGXFXJUQZXHXEXJVEVFZDHVHZXLXMXG
      XNDHXFXJXEVEVJVKXOXLVLXMXNXKDRHXNRUJDXIXJVEDWIFDFTXCULZDVETDXJTVTXDXEXIXJ
      VEWKWHFEVMZVNVOVPVQVRVSCDHXEWARHXIWAQDRHXEXIRXETXPXQWBWCWDWJWMFRDHWIWLXCR
      WLTWHWKEUTWEWFWG $.
  $}

  ${
    $d E j k n $.  $d E j n x $.  $d M j n x $.  $d S j x $.  $d Z j k n $.
    $d Z j n x $.  $d j k n ph $.  $d ph x $.
    meaiuninc3v.m $e |- ( ph -> M e. Meas ) $.
    meaiuninc3v.n $e |- ( ph -> N e. ZZ ) $.
    meaiuninc3v.z $e |- Z = ( ZZ>= ` N ) $.
    meaiuninc3v.e $e |- ( ph -> E : Z --> dom M ) $.
    meaiuninc3v.i $e |- ( ( ph /\ n e. Z ) -> ( E ` n ) C_ ( E ` ( n + 1 ) ) )
                     $.
    meaiuninc3v.s $e |- S = ( n e. Z |-> ( M ` ( E ` n ) ) ) $.
    $( Measures are continuous from below: if ` E ` is a sequence of
       nondecreasing measurable sets (with bounded measure) then the measure of
       the union is the limit of the measures.  This is the general case of
       Proposition 112C (e) of [Fremlin1] p. 16 .  This theorem generalizes
       ~ meaiuninc and ~ meaiuninc2 where the sequence is required to be
       bounded.  (Contributed by Glauco Siliprandi, 13-Feb-2022.) $)
    meaiuninc3v $p |- ( ph -> S ~~>* ( M ` U_ n e. Z ( E ` n ) ) ) $=
      ( vx vj cfv cr wa wcel adantr vk cv cle wbr wral wrex ciun clsxlim cz cxr
      wf cdm cmea eqid ffvelrnda meaxrcl fmptd nfv nfcv nfra1 nfrex c1 caddc co
      nfan wss adantlr simpr meaiunincf climxlim2 wn clt 2fveq3 breq2d cbvrexvw
      wb wceq a1i rexr ad2antlr xrltnled rexbidva ralbidva rexnal ralbii ralnex
      bitrd bitri mpbird syldan cuz simp-4r syl simp-4l uztrn2 ad4ant24 syl2anc
      cpnf wi eleq1w anbi2d eleq1d imbi12d chvarvv ad5ant13 simplr w3a 3ad2ant1
      3adant3 simp1 3adant1 simpll uzssd3 elfzouz adantl sseldd adantll fvoveq1
      simp3 cfzo fveq2 sseq12d 3adantl3 ssinc meassle cvv fvexd fvmpt2 breqtrrd
      ad5ant135 xrltletrd xrltled ralrimiva reximdva ralimdva imp cmpt ad4ant13
      ex nfmpt1 nfcxfr xlimpnf rspa nfre1 nfralw ad3antlr dmmeasal com saliuncl
      cdom uzct ad3antrrr ssiun2s exp31 rexlimd mpd ralrimia xrpnf pm2.61dan )
      ACUBZDPZEPZNUBZUCUDZCGUEZNQUFZBCGUVAUGZEPZUHUDZAUVFRZUVHBFGAFUISUVFITZJAG
      UJBUKUVFACGUVBUJBAUUTGSZRZUVAEULZEAEUMSZUVLHTUVNUNZAGUVNUUTDKUOZUPZMUQZTU
      VJNBCDEFGAUVFCACURUVECNQCQUSUVDCGUTVAVECDUSAUVOUVFHTUVKJAGUVNDUKUVFKTAUVL
      UVAUUTVBVCVDDPZVFZUVFLVGAUVFVHMVIVJAUVFVKZUVCOUBZDPZEPZVLUDZOGUFZNQUEZUVI
      AUWBUWHUWHAUWBRUWHUWBAUWBVHAUWHUWBVPUWBAUWHUVDVKZCGUFZNQUEZUWBAUWGUWJNQAU
      VCQSZRZUWGUVCUVBVLUDZCGUFZUWJUWGUWOVPUWMUWFUWNOCGUWCUUTVQUWEUVBUVCVLUWCUU
      TEDVMVNVOVRUWMUWNUWICGUWMUVLRUVCUVBUWLUVCUJSZAUVLUVCVSZVTAUVLUVBUJSZUWLUV
      RVGWAWBWGWCUWKUWBVPAUWKUVEVKZNQUEUWBUWJUWSNQUVDCGWDWEUVENQWFWHVRWGTWIAUWH
      VHWJAUWHRZBWRUVHUHUWTBWRUHUDZUVCUUTBPZUCUDZCUWCWKPZUEZOGUFZNQUEZAUWHUXGAU
      WGUXFNQUWMUWFUXEOGUWMUWCGSZRZUWFUXEUXIUWFRZUXCCUXDUXJUUTUXDSZRZUVCUXBUXLU
      WLUWPAUWLUXHUWFUXKWLUWQWMZUXLAUVLUXBUJSAUWLUXHUWFUXKWNUXHUXKUVLUWMUWFFUUT
      UWCGJWOZWPAGUJUUTBUVSUOWQZUXLUVCUWEUXBUXMAUXHUWEUJSZUWLUWFUXKUVMUWRWSAUXH
      RZUXPWSCOUUTUWCVQZUVMUXQUWRUXPUXRUVLUXHACOGWTXAUXRUVBUWEUJUUTUWCEDVMXBXCU
      VRXDZXEUXOUXIUWFUXKXFAUXHUXKUWEUXBUCUDUWLUWFAUXHUXKXGZUWEUVBUXBUCUXTUWDUV
      AUVNEAUXHUVOUXKHXHUVPAUXHUWDUVNSUXKAGUVNUWCDKUOZXIUXTAUVLUVAUVNSAUXHUXKXJ
      UXHUXKUVLAUXNXKUVQWQUXTUADUWCUUTAUXHUXKXSAUXHUAUBZUWCUUTXTVDSZUYBDPZUYBVB
      VCVDDPZVFZUXKUXQUYCRAUYBGSZUYFAUXHUYCXLUXHUYCUYGAUXHUYCRUXDGUYBUXHUXDGVFU
      YCFUWCGJXMTUYCUYBUXDSUXHUYBUWCUUTXNXOXPXQUVMUWAWSAUYGRZUYFWSCUAUUTUYBVQZU
      VMUYHUWAUYFUYIUVLUYGACUAGWTXAUYIUVAUYDUVTUYEUUTUYBDYAUUTUYBVBDVCXRYBXCLXD
      WQYCYDYEUXHUXKUXBUVBVQZAUXHUXKRZUVLUVBYFSUYJUXNUYKUVAEYGCGUVBYFBMYHWQXKYI
      YJYKYLYMYSYNYOYPAUXAUXGVPUWHANOCBFGCBCGUVBYQMCGUVBYTUUAIJUVSUUBTWIUWTUVHW
      RVQZUVCUVHUCUDZNQUEZUWTUYMNQAUWHNANURUWGNQUTVEUWTUWLRZUWGUYMUWHUWLUWGAUWG
      NQUUCXQUYOUWFUYMOGUWTUWLOAUWHOAOURUWGONQOQUSUWFOGUUDUUEVEUWLOURVEUYMOURAU
      WLUXHUWFUYMWSWSUWHUWMUXHUWFUYMUXJUVCUVHUWLUWPAUXHUWFUWQUUFZAUVHUJSZUWLUXH
      UWFAUVGUVNEHUVPAUVNCUVAGAUVNEHUVPUUGGUUHUUJUDAFGJUUKVRUVQUUIZUPZUULZUXJUV
      CUWEUVHUYPAUXHUXPUWLUWFUXSYRUYTUXIUWFVHAUXHUWEUVHUCUDUWLUWFUXQUWDUVGUVNEA
      UVOUXHHTUVPUYAAUVGUVNSUXHUYRTUXHUWDUVGVFACGUVAUWCUWDUUTUWCDYAUUMXOYEYRYKY
      LUUNVGUUOUUPUUQAUYLUYNVPZUWHAUYQVUAUYSNUVHUURWMTWIYIWJUUS $.
  $}

  ${
    $d E k $.  $d M k n $.  $d Z k n $.  $d k ph $.
    meaiuninc3.p $e |- F/ n ph $.
    meaiuninc3.f $e |- F/_ n E $.
    meaiuninc3.m $e |- ( ph -> M e. Meas ) $.
    meaiuninc3.n $e |- ( ph -> N e. ZZ ) $.
    meaiuninc3.z $e |- Z = ( ZZ>= ` N ) $.
    meaiuninc3.e $e |- ( ph -> E : Z --> dom M ) $.
    meaiuninc3.i $e |- ( ( ph /\ n e. Z ) -> ( E ` n ) C_ ( E ` ( n + 1 ) ) )
                   $.
    meaiuninc3.s $e |- S = ( n e. Z |-> ( M ` ( E ` n ) ) ) $.
    $( Measures are continuous from below: if ` E ` is a sequence of
       nondecreasing measurable sets (with bounded measure) then the measure of
       the union is the limit of the measures.  This is the general case of
       Proposition 112C (e) of [Fremlin1] p. 16 .  This theorem generalizes
       ~ meaiuninc and ~ meaiuninc2 where the sequence is required to be
       bounded.  (Contributed by Glauco Siliprandi, 13-Feb-2022.) $)
    meaiuninc3 $p |- ( ph -> S ~~>* ( M ` U_ n e. Z ( E ` n ) ) ) $=
      ( vk cfv c1 nfcv nffv cv ciun clsxlim wcel wa caddc co wss nfan nfss nfim
      wi wceq eleq1w anbi2d fveq2 fvoveq1 sseq12d imbi12d chvarfv 2fveq3 cbvmpt
      nfv cmpt eqtri meaiuninc3v cbviun fveq2i breqtrdi ) ABPGPUAZDQZUBZEQCGCUA
      ZDQZUBZEQUCABPDEFGJKLMAVMGUDZUEZVNVMRUFUGDQZUHZULAVJGUDZUEZVKVJRUFUGZDQZU
      HZULCPWAWDCAVTCHVTCVCUICVKWCCVJDICVJSTZCWBDICWBSTUJUKVMVJUMZVQWAVSWDWFVPV
      TACPGUNUOWFVNVKVRWCVMVJDUPVMVJRDUFUQURUSNUTBCGVNEQZVDPGVKEQZVDOCPGWGWHPVN
      EPESPVNSZTCVKECESWETVMVJEDVAVBVEVFVLVOEPCGVKVNWEWIVJVMDUPVGVHVI $.
  $}

  ${
    $d E m n $.  $d E n x $.  $d F n x $.  $d G n $.  $d K m n $.  $d K n x $.
    $d M n $.  $d N n $.  $d Z m n $.  $d Z n x $.  $d m n ph $.  $d ph x $.
    meaiininclem.m $e |- ( ph -> M e. Meas ) $.
    meaiininclem.n $e |- ( ph -> N e. ZZ ) $.
    meaiininclem.z $e |- Z = ( ZZ>= ` N ) $.
    meaiininclem.e $e |- ( ph -> E : Z --> dom M ) $.
    meaiininclem.i $e |- ( ( ph /\ n e. Z ) -> ( E ` ( n + 1 ) ) C_ ( E ` n ) )
                       $.
    meaiininclem.k $e |- ( ph -> K e. ( ZZ>= ` N ) ) $.
    meaiininclem.r $e |- ( ph -> ( M ` ( E ` K ) ) e. RR ) $.
    meaiininclem.s $e |- S = ( n e. Z |-> ( M ` ( E ` n ) ) ) $.
    meaiininclem.g $e |- G = ( n e. Z |-> ( ( E ` K ) \ ( E ` n ) ) ) $.
    meaiininclem.f $e |- F = U_ n e. Z ( G ` n ) $.
    $( Measures are continuous from above: if ` E ` is a nonincreasing sequence
       of measurable sets, and any of the sets has finite measure, then the
       measure of the intersection is the limit of the measures.  This is
       Proposition 112C (f) of [Fremlin1] p. 16.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    meaiininclem $p |- ( ph -> S ~~> ( M ` |^|_ n e. Z ( E ` n ) ) ) $=
      ( vm vx cv cfv ciin cli wbr cmpt cmin co cuz wcel cdif wceq wss sseqtrrdi
      wa uzss syl adantr simpr sseldd cvv a1i cdm csalg eqid dmmeasal eleqtrrdi
      ffvelrnda mpdan saldifcl2 syl3anc elexd fvmpt2d syldan cmea cr cfzo caddc
      fveq2d simpl elfzouz adantl eleq1w anbi2d fvoveq1 sseq12d imbi12d chvarvv
      c1 wi fveq2 syl2anc adantlr ssdec meadif eqtrd oveq2d recnd nncand eqtr2d
      cc meassre mpteq2dva eluzelzd difssd eqsstrd fmptd sscond difeq2d cbvmptv
      nfv ciun eqtri peano2uzs fvex difexi fvmptd3 mpbird meaiuninc2 climresmpt
      meassle eqcomi fveq2i breqtrd climsubc1mpt eqbrtrd mpbid eqidd cdom sylib
      cun com wral wn wrex eldifd sylibr elndif saliuncl eqeltrid cin c0 iunssd
      disjdif eqsstrid meadjunre 3eqtr3d subaddd simpllr simplr eldifi ad2antrr
      uzct undif rspe eliun adantlll iuneq2dv eqcomd ad3antrrr condan ralrimiva
      eleqtrd wb vex eliin ax-mp ssd ssid sseq1d rspcev iinss nfcv nfii1 iinss2
      nfel ex ralrimi ralnex sylnibr neleqtrrd eqelssd breq12d ) ABCJCUCZDUDZUE
      ZHUDZUFUGCJUWGHUDZUHZGDUDZHUDZEHUDZUIUJZUFUGZACGUKUDZUWJUHZUWOUFUGUWPAUWR
      CUWQUWMUWFFUDZHUDZUIUJZUHUWOUFACUWQUWJUXAAUWFUWQULZUQZUXAUWMUWMUWJUIUJZUI
      UJUWJUXCUWTUXDUWMUIUXCUWTUWLUWGUMZHUDUXDUXCUWSUXEHAUXBUWFJULZUWSUXEUNUXCU
      WQJUWFAUWQJUOZUXBAUWQIUKUDZJAGUXHULUWQUXHUOPIGURUSMUPZUTAUXBVAZVBZACJUXEF
      VCFCJUXEUHZUNASVDAUXFUQZUXEHVEZUXMUXNVFULZUWLUXNULZUWGUXNULZUXEUXNULAUXOU
      XFAUXNHKUXNVGZVHZUTAUXPUXFAGJULZUXPAGUXHJPMVIZAJUXNGDNVJVKZUTZAJUXNUWFDNV
      JZUXNUWLUWGVLVMZVNVOZVPWAUXCUWLUWGHAHVQULZUXBKUTZAUXPUXBUYBUTZAUWMVRULUXB
      QUTZAUXBUXFUXQUXKUYDVPZUXCUADGUWFUXJAUAUCZGUWFVSUJULZUYLWKVTUJDUDZUYLDUDZ
      UOZUXBAUYMUQZAUYLJULZUYPAUYMWBZUYQUWQJUYLUYQAUXGUYSUXIUSUYMUYLUWQULAUYLGU
      WFWCWDVBUXMUWFWKVTUJZDUDZUWGUOZWLAUYRUQZUYPWLCUAUWFUYLUNZUXMVUCVUBUYPVUDU
      XFUYRACUAJWEWFVUDVUAUYNUWGUYOUWFUYLWKDVTWGUWFUYLDWMZWHWIOWJWNWOWPZWQWRWSU
      XCUWMUWJAUWMXCULUXBAUWMQWTZUTUXCUWJUXCUWLUWGHUYHUYIUYJVUFUYKXDWTXAXBXEAUW
      MUWTUWNCGUWQACXMUWQVGAIGPXFVUGUXCUWTUXCUWLUWSHUYHUYIUYJAUXBUXFUWSUWLUOUXK
      UXMUWSUXEUWLUYFUXMUWLUWGXGXHZVPAUXBUXFUWSUXNULUXKAJUXNUWFFACJUXEUXNFUYESX
      IZVJZVPXDWTACUWQUWTUHZCJUWSXNZHUDZUWNUFAVUKVUMUFUGCJUWTUHZVUMUFUGAUWMVUNC
      FHIJKLMVUIUXMUWSUYTFUDZUOUXEUWLVUAUMZUOUXMVUAUWGUWLOXJUXMUWSUXEVUOVUPUYFU
      XMUAUYTUWLUYOUMZVUPJFVCFUXLUAJVUQUHSCUAJUXEVUQVUDUWGUYOUWLVUEXKXLXOUYLUYT
      UNUYOVUAUWLUYLUYTDWMXKUXFUYTJULAIUWFJMXPWDVUPVCULUXMUWLVUAGDXQXRVDXSWHXTQ
      UXMUWSUWLUXNHAUYGUXFKUTUXRVUJUYCVUHYCVUNVGZYAACUWTVUMVUNVUKIGJMVURUYAVUKV
      GYBXTVUMUWNUNAVULEHEVULTYDYEVDYFYGYHACUWJUWOUWKUWRIGJMUWKVGUYAUWRVGYBYIAB
      UWKUWIUWOUFBUWKUNARVDAUWOUWLEUMZHUDZUWIAUWOVUTUNUWNVUTVTUJZUWMUNAEVUSYMZH
      UDZVVCVVAUWMAVVCYJAEVUSUXNHKUXRAEVULUXNTAUXNCUWSJUXSJYNYKUGAIJMUUOVDVUJUU
      AUUBZAUXOUXPEUXNULVUSUXNULUXSUYBVVDUXNUWLEVLVMZEVUSUUCUUDUNAEUWLUUFVDAUWL
      EHKUYBQAEVULUWLTACJUWSUWLVUHUUEUUGZVVDXDZAUWLVUSHKUYBQAUWLEXGVVEXDZUUHAVV
      BUWLHAEUWLUOVVBUWLUNVVFEUWLUUPYLWAUUIAUWMUWNVUTVUGAUWNVVGWTAVUTVVHWTUUJXT
      AVUSUWHHAUBVUSUWHAUBVUSUWHAUBUCZVUSULZUQZVVIUWGULZCJYOZVVIUWHULZVVKVVLCJV
      VKUXFUQZVVLVVJAVVJUXFVVLYPZUUKVVOVVPUQZVVIEULVVJYPVVQVVICJUXEXNZEVVJUXFVV
      PVVIVVRULZAVVJUXFUQZVVPUQZVVIUXEULZCJYQZVVSVWAUXFVWBVWCVVJUXFVVPUULVWAVVI
      UWLUWGVVJVVIUWLULUXFVVPVVIUWLEUUMUUNVVTVVPVAYRVWBCJUUQWNCVVIJUXEUURZYSUUS
      AVVREUNVVJUXFVVPAEVVRAEVULVVREVULUNATVDACJUWSUXEUYFUUTWRZUVAUVBUVEVVIEUWL
      YTUSUVCUVDVVIVCULVVNVVMUVFUBUVGCVVIJUWGVCUVHUVIYSUVJAVVNUQZVVIUWLEVWFUWHU
      WLVVIAUWHUWLUOZVVNAUWGUWLUOZCJYQZVWGAUXTUWLUWLUOZVWIUYAVWJAUWLUVKVDVWHVWJ
      CGJUWFGUNUWGUWLUWLUWFGDWMUVLUVMWNCJUWGUWLUVNUSUTAVVNVAVBVWFEVVRVVIVVNVVSY
      PAVVNVWCVVSVVNVWBYPZCJYOVWCYPVVNVWKCJCVVIUWHCVVIUVOCJUWGUVPUVRVVNUXFVWKVV
      NUXFUQZVVLVWKVWLUWHUWGVVIUXFUWHUWGUOVVNCJUWGUVQWDVVNUXFWBVBVVIUWGUWLYTUSU
      VSUVTVWBCJUWAYLVWDUWBWDAEVVRUNVVNVWEUTUWCYRUWDWAXBUWEXT $.
  $}

  ${
    $d E i m n $.  $d K i m n $.  $d M i m n $.  $d N i $.  $d Z i m n $.
    $d i ph $.
    meaiininc.f $e |- F/ n ph $.
    meaiininc.m $e |- ( ph -> M e. Meas ) $.
    meaiininc.n $e |- ( ph -> N e. ZZ ) $.
    meaiininc.z $e |- Z = ( ZZ>= ` N ) $.
    meaiininc.e $e |- ( ph -> E : Z --> dom M ) $.
    meaiininc.i $e |- ( ( ph /\ n e. Z ) -> ( E ` ( n + 1 ) ) C_ ( E ` n ) ) $.
    meaiininc.k $e |- ( ph -> K e. ( ZZ>= ` N ) ) $.
    meaiininc.r $e |- ( ph -> ( M ` ( E ` K ) ) e. RR ) $.
    meaiininc.s $e |- S = ( n e. Z |-> ( M ` ( E ` n ) ) ) $.
    $( Measures are continuous from above: if ` E ` is a nonincreasing sequence
       of measurable sets, and any of the sets has finite measure, then the
       measure of the intersection is the limit of the measures.  This is
       Proposition 112C (f) of [Fremlin1] p. 16.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    meaiininc $p |- ( ph -> S ~~> ( M ` |^|_ n e. Z ( E ` n ) ) ) $=
      ( vm vi cfv cv ciin cli wbr cmpt cdif ciun wcel wa c1 caddc co wss wi nfv
      nfan nfim wceq eleq1w anbi2d fvoveq1 fveq2 sseq12d imbi12d chvarfv 2fveq3
      cbvmptv difeq2d cbviunv meaiininclem eqtri cbviinv fveq2i breq12d mpbird
      a1i ) ABCHCUAZDTZUBZFTZUCUDRHRUAZDTFTZUEZSHSUAZDTZUBZFTZUCUDAWCSDRHWACHED
      TZVRUFZUEZTZUGWJEFGHJKLMAVQHUHZUIZVQUJUKULDTZVRUMZUNAWDHUHZUIZWDUJUKULDTZ
      WEUMZUNCSWQWSCAWPCIWPCUOUPWSCUOUQVQWDURZWMWQWOWSWTWLWPACSHUSUTWTWNWRVRWEV
      QWDUJDUKVAVQWDDVBZVCVDNVEOPRSHWBWEFTWAWDFDVFVGCSHWIWHWEUFWTVRWEWHXAVHVGRS
      HWKWDWJTWAWDWJVBVIVJABWCVTWGUCBWCURABCHVRFTZUEWCQCRHXBWBVQWAFDVFVGVKVPVTW
      GURAVSWFFCSHVRWEXAVLVMVPVNVO $.
  $}

  ${
    $d E k n $.  $d M k n $.  $d S k $.  $d Z k n $.
    meaiininc2.f $e |- F/ n ph $.
    meaiininc2.p $e |- F/ k ph $.
    meaiininc2.m $e |- ( ph -> M e. Meas ) $.
    meaiininc2.n $e |- ( ph -> N e. ZZ ) $.
    meaiininc2.z $e |- Z = ( ZZ>= ` N ) $.
    meaiininc2.e $e |- ( ph -> E : Z --> dom M ) $.
    meaiininc2.i $e |- ( ( ph /\ n e. Z ) -> ( E ` ( n + 1 ) ) C_ ( E ` n ) )
                   $.
    meaiininc2.k $e |- ( ph -> E. k e. Z ( M ` ( E ` k ) ) e. RR ) $.
    meaiininc2.s $e |- S = ( n e. Z |-> ( M ` ( E ` n ) ) ) $.
    $( Measures are continuous from above: if ` E ` is a nonincreasing sequence
       of measurable sets, and any of the sets has finite measure, then the
       measure of the intersection is the limit of the measures.  This is
       Proposition 112C (f) of [Fremlin1] p. 16.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    meaiininc2 $p |- ( ph -> S ~~> ( M ` |^|_ n e. Z ( E ` n ) ) ) $=
      ( cfv wcel nfv cv cr wrex ciin cli wbr w3a nf3an 3ad2ant1 cz cdm wf caddc
      cmea c1 co wss 3ad2antl1 cuz id eleqtrdi 3ad2ant2 simp3 meaiininc rexlimd
      3exp mpd ) ACUAZERFRUBSZCHUCBDHDUAZERZUDFRUEUFZPAVIVLCHJVLCTAVHHSZVIVLAVM
      VIUGBDEVHFGHAVMVIDIVMDTVIDTUHAVMFUNSVIKUIAVMGUJSVILUIMAVMHFUKEULVINUIAVMV
      JHSVJUOUMUPERVKUQVIOURVMAVHGUSRZSVIVMVHHVNVMUTMVAVBAVMVIVCQVDVFVEVG $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Outer measures and Caratheodory's construction
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Proofs for most of the theorems in section 113 of [Fremlin1]
$)

  $c OutMeas $.

  $( Extend class notation with the class of outer measures. $)
  come $a class OutMeas $.

  ${
    $d x y z $.
    $( Define the class of outer measures.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    df-ome $a |- OutMeas = { x | ( ( ( ( x : dom x --> ( 0 [,] +oo ) /\
      dom x = ~P U. dom x ) /\ ( x ` (/) ) = 0 ) /\ A. y e. ~P U. dom x
      A. z e. ~P y ( x ` z ) <_ ( x ` y ) ) /\ A. y e. ~P dom x
      ( y ~<_ _om -> ( x ` U. y ) <_ ( sum^ ` ( x |` y ) ) ) ) } $.
  $}

  $c CaraGen $.
  $( Extend class notation with a function that takes an outer measure and
     generates a sigma-algebra and a measure. $)
  ccaragen $a class CaraGen $.

  ${
    $d a e o $.
    $( Define the sigma-algebra generated by an outer measure.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    df-caragen $a |- CaraGen = ( o e. OutMeas |-> { e e. ~P U. dom o | A. a e.
      ~P U. dom o ( ( o ` ( a i^i e ) ) +e ( o ` ( a \ e ) ) ) = ( o ` a ) } )
      $.
  $}

  ${
    $d O a e o $.
    $( The sigma-algebra generated by an outer measure.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    caragenval $p |- ( O e. OutMeas -> ( CaraGen ` O ) = { e e. ~P U. dom O |
       A. a e. ~P U. dom O ( ( O ` ( a i^i e ) ) +e ( O ` ( a \ e ) ) ) = ( O `
       a ) } ) $=
      ( vo come wcel cv cin cfv cxad wceq cdm cuni cpw wral crab ccaragen fveq1
      co cvv cdif id dmexg uniexd pwexd rabexg syl unieqd pweqd raleqdv oveq12d
      dmeq eqeq12d ralbidv bitrd rabeqbidv df-caragen fvmptg syl2anc ) BEFZUTCG
      ZAGZHZBIZVAVBUAZBIZJSZVABIZKZCBLZMZNZOZAVLPZTFZBQIVNKUTUBUTVLTFVOUTVKTUTV
      JTBEUCUDUEVMAVLTUFUGDBVCDGZIZVEVPIZJSZVAVPIZKZCVPLZMZNZOZAWDPVNETQVPBKZWE
      VMAWDVLWFWCVKWFWBVJVPBULUHUIZWFWEWACVLOVMWFWACWDVLWGUJWFWAVICVLWFVSVGVTVH
      WFVQVDVRVFJVCVPBRVEVPBRUKVAVPBRUMUNUOUPADCUQURUS $.
  $}

  ${
    $d O x y z $.
    $( Express the predicate " ` O ` is an outer measure."  Definition 113A of
       [Fremlin1] p. 19.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    isome $p |- ( O e. V -> ( O e. OutMeas <-> ( ( ( ( O : dom O --> ( 0 [,]
       +oo ) /\ dom O = ~P U. dom O ) /\ ( O ` (/) ) = 0 ) /\ A. y e. ~P U. dom
       O A. z e. ~P y ( O ` z ) <_ ( O ` y ) ) /\ A. y e. ~P dom O ( y ~<_ _om
       -> ( O ` U. y ) <_ ( sum^ ` ( O |` y ) ) ) ) ) ) $=
      ( vx cv cdm cc0 cuni cpw wceq wa cfv cle wbr wral csumge0 anbi12d fveq1
      c0 cpnf cicc co wf com cdom cres wi come dmeq feq12d unieqd pweqd eqeq12d
      id eqeq1d breq12d ralbidv raleqbidv reseq1 fveq2d imbi2d df-ome elab2g )
      EFZGZHUAUBUCZVEUDZVFVFIZJZKZLZTVEMZHKZLZBFZVEMZAFZVEMZNOZBVRJZPZAVJPZLZVR
      UEUFOZVRIZVEMZVEVRUGZQMZNOZUHZAVFJZPZLCGZVGCUDZWNWNIZJZKZLZTCMZHKZLZVPCMZ
      VRCMZNOZBWAPZAWQPZLZWEWFCMZCVRUGZQMZNOZUHZAWNJZPZLECUIDVECKZWDXHWMXOXPVOX
      BWCXGXPVLWSVNXAXPVHWOVKWRXPVFWNVGVECXPUOVECUJZUKXPVFWNVJWQXQXPVIWPXPVFWNX
      QULUMZUNRXPVMWTHTVECSUPRXPWBXFAVJWQXRXPVTXEBWAXPVQXCVSXDNVPVECSVRVECSUQUR
      USRXPWKXMAWLXNXPVFWNXQUMXPWJXLWEXPWGXIWIXKNWFVECSXPWHXJQVECVRUTVAUQVBUSRE
      ABVCVD $.
  $}

  ${
    $d E a e $.  $d O a e $.
    caragenel.o $e |- ( ph -> O e. OutMeas ) $.
    caragenel.s $e |- S = ( CaraGen ` O ) $.
    $( Membership in the Caratheodory's construction.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    caragenel $p |- ( ph -> ( E e. S <-> ( E e. ~P U. dom O /\ A. a e. ~P U.
       dom O ( ( O ` ( a i^i E ) ) +e ( O ` ( a \ E ) ) ) = ( O ` a ) ) ) ) $=
      ( ve wcel cv cin cfv cdif cxad co wceq cdm cuni wral fveq2d crab ccaragen
      cpw wa come caragenval syl syl5eq eleq2d wb difeq2 oveq12d eqeq1d ralbidv
      ineq2 elrab a1i bitrd ) ACBICEJZHJZKZDLZUSUTMZDLZNOZUSDLZPZEDQRUCZSZHVHUA
      ZIZCVHIUSCKZDLZUSCMZDLZNOZVFPZEVHSZUDZABVJCABDUBLZVJGADUEIVTVJPFHDEUFUGUH
      UIVKVSUJAVIVRHCVHUTCPZVGVQEVHWAVEVPVFWAVBVMVDVONWAVAVLDUTCUSUOTWAVCVNDUTC
      USUKTULUMUNUPUQUR $.
  $}

  ${
    $d O y z $.
    omef.o $e |- ( ph -> O e. OutMeas ) $.
    omef.x $e |- X = U. dom O $.
    $( An outer measure is a function that maps to nonnegative extended reals.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    omef $p |- ( ph -> O : ~P X --> ( 0 [,] +oo ) ) $=
      ( vz vy cpw cc0 wf cuni wceq cfv wa cv cle wbr wral come syl cpnf cicc co
      cdm c0 com cdom cres csumge0 wi wcel wb isome mpbid simplld pweqi simp-4r
      eqtr4id feq2d mpbird ) ACHZIUAUBUCZBJBUDZVBBJZAVDVCVCKZHZLZUEBMILZAVDVGNV
      HNZFOBMGOZBMPQFVJHRGVFRZVJUFUGQVJKBMBVJUHUIMPQUJGVCHRZABSUKZVIVKNVLNZDAVM
      VMVNULDGFBSUMTUNZUOUOAVAVCVBBAVAVFVCCVEEUPAVNVGVOVDVGVHVKVLUQTURUSUT $.
  $}

  ${
    $d O x y $.
    ome0.1 $e |- ( ph -> O e. OutMeas ) $.
    $( The outer measure of the empty set is 0 .  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    ome0 $p |- ( ph -> ( O ` (/) ) = 0 ) $=
      ( vy vx cdm cc0 cpnf cicc co cuni cpw wceq wa cfv cv cle wbr wral come wf
      c0 com cdom cres csumge0 wi wcel wb isome syl mpbid simplld simprd ) ABFZ
      GHIJBUAUOUOKLZMNZUBBOGMZAUQURNZDPBOEPZBOQRDUTLSEUPSZUTUCUDRUTKBOBUTUEUFOQ
      RUGEUOLSZABTUHZUSVANVBNZCAVCVCVDUICEDBTUJUKULUMUN $.
  $}

  ${
    $d A z $.  $d B y z $.  $d O y z $.
    omessle.o $e |- ( ph -> O e. OutMeas ) $.
    omessle.x $e |- X = U. dom O $.
    omessle.b $e |- ( ph -> B C_ X ) $.
    omessle.a $e |- ( ph -> A C_ B ) $.
    $( The outer measure of a set is greater than or equal to the measure of a
       subset, Definition 113A (ii) of [Fremlin1] p. 19.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    omessle $p |- ( ph -> ( O ` A ) <_ ( O ` B ) ) $=
      ( vz vy cpw wcel cfv cle wbr wral cvv wceq wa cv come unidmex ssexd elpwg
      wss wb syl mpbird cdm cuni sseqtrdi cc0 cpnf cicc co wf cdom cres csumge0
      c0 com isome mpbid simplrd pweq raleqdv fveq2 breq2d ralbidv bitrd rspcva
      wi syl2anc breq1d ) ABCLZMZJUAZDNZCDNZOPZJVPQZBDNZVTOPZAVQBCUFZIABRMVQWEU
      GABCRACERADUBEFGUCHUDZIUDBCRUEUHUIACDUJZUKZLZMZVSKUAZDNZOPZJWKLZQZKWIQZWB
      AWJCWHUFZACEWHHGULACRMWJWQUGWFCWHRUEUHUIAWGUMUNUOUPDUQWGWISTVADNUMSTZWPWK
      VBURPWKUKDNDWKUSUTNOPVMKWGLQZADUBMZWRWPTWSTZFAWTWTXAUGFKJDUBVCUHVDVEWOWBK
      CWIWKCSZWOWMJVPQWBXBWMJWNVPWKCVFVGXBWMWAJVPXBWLVTVSOWKCDVHVIVJVKVLVNWAWDJ
      BVPVRBSVSWCVTOVRBDVHVOVLVN $.
  $}

  ${
    $d O x y $.
    $( The domain of an outer measure is a power set.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    omedm $p |- ( O e. OutMeas -> dom O = ~P U. dom O ) $=
      ( vy vx come wcel cdm cc0 cpnf cicc co wf cuni cpw wceq cfv wa cv cle wbr
      wral c0 com cdom cres csumge0 wi isome ibi simplld simplrd ) ADEZAFZGHIJA
      KZULULLMZNZUAAOGNZUKUMUOPUPPZBQAOCQZAORSBURMTCUNTZURUBUCSURLAOAURUDUEORSU
      FCULMTZUKUQUSPUTPCBADUGUHUIUJ $.
  $}

  ${
    $d A a $.  $d E a $.  $d O a $.
    caragensplit.o $e |- ( ph -> O e. OutMeas ) $.
    caragensplit.s $e |- S = ( CaraGen ` O ) $.
    caragensplit.x $e |- X = U. dom O $.
    caragensplit.e $e |- ( ph -> E e. S ) $.
    caragensplit.a $e |- ( ph -> A C_ X ) $.
    $( If ` E ` is in the set generated by the Caratheodory's method, then it
       splits any set ` A ` in two parts such that the sum of the outer
       measures of the two parts is equal to the outer measure of the whole set
       ` A ` .  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    caragensplit $p |- ( ph -> ( ( O ` ( A i^i E ) ) +e ( O ` ( A \ E ) ) ) = (
       O ` A ) ) $=
      ( va cpw wcel cin cfv cdif cxad wceq cvv cdm cuni cv co wral come unidmex
      wss wb ssexg syl2anc elpwg mpbird pweqi eleqtrdi wa caragenel mpbid ineq1
      syl simprd fveq2d difeq1 oveq12d fveq2 eqeq12d rspcva ) ABEUAUBZMZNLUCZDO
      ZEPZVJDQZEPZRUDZVJEPZSZLVIUEZBDOZEPZBDQZEPZRUDZBEPZSZABFMZVIABWFNZBFUHZKA
      BTNZWGWHUIAWHFTNWIKAEUFFGIUGBFTUJUKBFTULUTUMFVHIUNUOADVINZVRADCNWJVRUPJAC
      DELGHUQURVAVQWELBVIVJBSZVOWCVPWDWKVLVTVNWBRWKVKVSEVJBDUSVBWKVMWAEVJBDVCVB
      VDVJBEVEVFVGUK $.
  $}

  ${
    $d A x $.  $d O x $.
    caragenelss.o $e |- ( ph -> O e. OutMeas ) $.
    caragenelss.s $e |- S = ( CaraGen ` O ) $.
    caragenelss.a $e |- ( ph -> A e. S ) $.
    caragenelss.x $e |- X = U. dom O $.
    $( An element of the Caratheodory's construction is a subset of the base
       set of the outer measure.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    caragenelss $p |- ( ph -> A C_ X ) $=
      ( vx cpw wcel wss cdm cuni cv cin cfv wceq mpbid cdif cxad wral caragenel
      co wa simpld eqcomi pweqi a1i eleqtrd wb elpwg syl ) ABEKZLZBEMZABDNOZKZU
      OABUSLZJPZBQDRVABUADRUBUEVADRSJUSUCZABCLZUTVBUFHACBDJFGUDTUGUSUOSAUREEURI
      UHUIUJUKAVCUPUQULHBECUMUNT $.
  $}

  ${
    $d E a $.  $d O a $.  $d a ph $.
    carageneld.o $e |- ( ph -> O e. OutMeas ) $.
    carageneld.x $e |- X = U. dom O $.
    carageneld.s $e |- S = ( CaraGen ` O ) $.
    carageneld.e $e |- ( ph -> E e. ~P X ) $.
    carageneld.a $e |- ( ( ph /\ a e. ~P X ) -> ( ( O ` ( a i^i E ) ) +e ( O `
       ( a \ E ) ) ) = ( O ` a ) ) $.
    $( Membership in the Caratheodory's construction.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    carageneld $p |- ( ph -> E e. S ) $=
      ( wcel cdm cuni cpw cv cin cfv cdif wa cxad co wceq pweqi eleqtrdi eleq2i
      wral simpl bicomi biimpi adantl syl2anc ralrimiva jca caragenel mpbird )
      ACBLCDMNZOZLZFPZCQDRUTCSDRUAUBUTDRUCZFURUGZTAUSVBACEOZURJEUQHUDZUEAVAFURA
      UTURLZTAUTVCLZVAAVEUHVEVFAVEVFVFVEVCURUTVDUFUIUJUKKULUMUNABCDFGIUOUP $.
  $}

  ${
    omecl.o $e |- ( ph -> O e. OutMeas ) $.
    omecl.x $e |- X = U. dom O $.
    omecl.ss $e |- ( ph -> A C_ X ) $.
    $( The outer measure of a set is a nonnegative extended real.  (Contributed
       by Glauco Siliprandi, 17-Aug-2020.) $)
    omecl $p |- ( ph -> ( O ` A ) e. ( 0 [,] +oo ) ) $=
      ( cpw cc0 cpnf cicc co omef wcel wss cvv wb cdm cuni wceq a1i come uniexd
      dmexd eqeltrd ssexd elpwg syl mpbird ffvelrnd ) ADHZIJKLBCACDEFMABUKNZBDO
      ZGABPNULUMQABDPADCRZSZPDUOTAFUAAUNPACUBEUDUCUEGUFBDPUGUHUIUJ $.
  $}

  ${
    $d O a e $.
    caragenss.1 $e |- S = ( CaraGen ` O ) $.
    $( The sigma-algebra generated from an outer measure, by the Caratheodory's
       construction, is a subset of the domain of the outer measure.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    caragenss $p |- ( O e. OutMeas -> S C_ dom O ) $=
      ( va ve come wcel cdm wss cv cin cfv cdif cxad co wceq cuni cpw wral a1i
      crab ssrab2 ccaragen caragenval eqtrd omedm sseq12d mpbird ) BFGZABHZIDJZ
      EJZKBLUKULMBLNOUKBLPDUJQRZSZEUMUAZUMIZUPUIUNEUMUBTUIAUOUJUMUIABUCLZUOAUQP
      UICTEBDUDUEBUFUGUH $.
  $}

  ${
    $d O x y $.  $d Y y $.
    omeunile.o $e |- ( ph -> O e. OutMeas ) $.
    omeunile.x $e |- X = U. dom O $.
    omeunile.y $e |- ( ph -> Y C_ ~P X ) $.
    omeunile.ct $e |- ( ph -> Y ~<_ _om ) $.
    $( The outer measure of the union of a countable set is the less than or
       equal to the extended sum of the outer measures.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    omeunile $p |- ( ph -> ( O ` U. Y ) <_ ( sum^ ` ( O |` Y ) ) ) $=
      ( vy vx com cdom wbr cfv cle cpw wcel cvv wceq wa cuni cres csumge0 cv wi
      cdm wral wss wb come unidmex pwexd ssexg syl2anc elpwg mpbird omedm pweqi
      syl eqcomi a1i eqtr2d pweqd eleqtrd cpnf cicc co wf c0 isome mpbid simprd
      cc0 breq1 unieq fveq2d reseq2 breq12d imbi12d rspcva mpd ) ADKLMZDUAZBNZB
      DUBZUCNZOMZHADBUFZPZQIUDZKLMZWJUAZBNZBWJUBZUCNZOMZUEZIWIUGZWBWGUEZADCPZPZ
      WIADXAQZDWTUHZGADRQZXBXCUIAXCWTRQXDGACRABUJCEFUKULDWTRUMUNDWTRUOUSUPAWTWH
      AWHWHUAZPZWTABUJQZWHXFSZEBUQUSXFWTSAWTXFCXEFURUTVAVBVCVDAWHVMVEVFVGBVHXHT
      VIBNVMSTJUDBNWJBNOMJWJPUGIXFUGTZWRAXGXIWRTZEAXGXGXJUIEIJBUJVJUSVKVLWQWSID
      WIWJDSZWKWBWPWGWJDKLVNXKWMWDWOWFOXKWLWCBWJDVOVPXKWNWEUCWJDBVQVPVRVSVTUNWA
      $.
  $}

  ${
    $d O a $.  $d a ph $.
    caragen0.o $e |- ( ph -> O e. OutMeas ) $.
    caragen0.s $e |- S = ( CaraGen ` O ) $.
    $( The empty set belongs to any Caratheodory's construction.  First part of
       Step (b) in the proof of Theorem 113C of [Fremlin1] p. 19.  (Contributed
       by Glauco Siliprandi, 17-Aug-2020.) $)
    caragen0 $p |- ( ph -> (/) e. S ) $=
      ( va c0 cdm cuni eqid wcel a1i cfv cxad co cc0 wceq fveq2i adantr cpnf cv
      cpw 0elpw cin cdif in0 dif0 oveq12i ome0 oveq1d cicc cxr iccssxr come wss
      wa elpwi adantl omecl sselid xaddid2d 3eqtrd carageneld ) ABGCCHIZFDVDJZE
      GVDUBZKAVDUCLAFUAZVFKZUPZVGGUDZCMZVGGUEZCMZNOZGCMZVGCMZNOZPVPNOVPVNVQQVIV
      KVOVMVPNVJGCVGUFRVLVGCVGUGRUHLVIVOPVPNAVOPQVHACDUISUJVIVPVIPTUKOULVPPTUMV
      IVGCVDACUNKVHDSVEVHVGVDUOAVGVDUQURUSUTVAVBVC $.
  $}

  ${
    omexrcl.o $e |- ( ph -> O e. OutMeas ) $.
    omexrcl.x $e |- X = U. dom O $.
    omexrcl.a $e |- ( ph -> A C_ X ) $.
    $( The outer measure of a set is an extended real.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    omexrcl $p |- ( ph -> ( O ` A ) e. RR* ) $=
      ( cc0 cpnf cicc co cxr cfv iccssxr omecl sselid ) AHIJKLBCMHINABCDEFGOP
      $.
  $}

  ${
    $d O a $.  $d X a $.  $d a ph $.
    caragenunidm.o $e |- ( ph -> O e. OutMeas ) $.
    caragenunidm.x $e |- X = U. dom O $.
    caragenunidm.s $e |- S = ( CaraGen ` O ) $.
    $( The base set of an outer measure belongs to the sigma-algebra generated
       by the Caratheodory's construction.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    caragenunidm $p |- ( ph -> X e. S ) $=
      ( va cvv wcel come syl cfv cxad co cc0 wceq fveq2d adantl c0 cpw cdm cuni
      dmexg uniexg 3syl eqeltrid pwidg cv wa cin cdif elpwi df-ss biimpi ssdif0
      wss sylib ome0 adantr eqtrd oveq12d cpnf cicc cxr iccssxr sselid xaddid1d
      omecl eqidd 3eqtrd carageneld ) ABDCDHEFGADIJDDUAZJADCUBZUCZIFACKJZVNIJVO
      IJECKUDVNIUEUFUGDIUHLAHUIZVMJZUJZVQDUKZCMZVQDULZCMZNOVQCMZPNOWDWDVSWAWDWC
      PNVRWAWDQAVRVTVQCVRVQDUQZVTVQQZVQDUMZWEWFVQDUNUOLRSVSWCTCMZPVRWCWHQAVRWBT
      CVRWEWBTQWGVQDUPURRSAWHPQVRACEUSUTVAVBVSWDVSPVCVDOVEWDPVCVFVSVQCDAVPVREUT
      FVRWEAWGSVIVGVHVSWDVJVKVL $.
  $}

  ${
    caragensspw.o $e |- ( ph -> O e. OutMeas ) $.
    caragensspw.x $e |- X = U. dom O $.
    caragensspw.s $e |- S = ( CaraGen ` O ) $.
    $( The sigma-algebra generated from an outer measure, by the Caratheodory's
       construction, is a subset of the power set of the base set of the outer
       measure.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    caragensspw $p |- ( ph -> S C_ ~P X ) $=
      ( cdm cuni cpw come wcel wss caragenss syl pwuni a1i sstrd wceq pweqi
      eqcomi sseqtrd ) ABCHZIZJZDJZABUCUEACKLBUCMEBCGNOUCUEMAUCPQRUEUFSAUFUEDUD
      FTUAQUB $.
  $}

  ${
    omessre.o $e |- ( ph -> O e. OutMeas ) $.
    omessre.x $e |- X = U. dom O $.
    omessre.a $e |- ( ph -> A C_ X ) $.
    omessre.re $e |- ( ph -> ( O ` A ) e. RR ) $.
    omessre.b $e |- ( ph -> B C_ A ) $.
    $( If the outer measure of a set is real, then the outer measure of any of
       its subset is real.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    omessre $p |- ( ph -> ( O ` B ) e. RR ) $=
      ( cc0 cpnf cico co cr cfv rge0ssre cxr wcel a1i 0xr pnfxr omexrcl cle wbr
      sstrd omecl iccgelb syl3anc rexrd omessle ltpnfd xrlelttrd elicod sselid
      cicc ) AKLMNOCDPZQAKLUQKRSZAUATZLRSZAUBTZACDEFGACBEJHUFZUCZAURUTUQKLUPNSK
      UQUDUEUSVAACDEFGVBUGKLUQUHUIAUQBDPZLVCAVDIUJVAACBDEFGHJUKAVDIULUMUNUO $.
  $}

  ${
    caragenuni.o $e |- ( ph -> O e. OutMeas ) $.
    caragenuni.s $e |- S = ( CaraGen ` O ) $.
    $( The base set of the sigma-algebra generated by the Caratheodory's
       construction is the whole base set of the original outer measure.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    caragenuni $p |- ( ph -> U. S = U. dom O ) $=
      ( cuni cdm come wcel wss caragenss unissd eqid caragenunidm elssuni eqssd
      syl ) ABFZCGZFZABSACHIBSJDBCEKQLATBITRJABCTDTMENTBOQP $.
  $}

  ${
    caragenuncllem.o $e |- ( ph -> O e. OutMeas ) $.
    caragenuncllem.s $e |- S = ( CaraGen ` O ) $.
    caragenuncllem.e $e |- ( ph -> E e. S ) $.
    caragenuncllem.f $e |- ( ph -> F e. S ) $.
    caragenuncllem.x $e |- X = U. dom O $.
    caragenuncllem.a $e |- ( ph -> A C_ X ) $.
    $( The Caratheodory's construction is closed under the union.  Step (c) in
       the proof of Theorem 113C of [Fremlin1] p. 20.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    caragenuncllem $p |- ( ph -> ( ( O ` ( A i^i ( E u. F ) ) ) +e ( O ` ( A \
       ( E u. F ) ) ) ) = ( O ` A ) ) $=
      ( cun cin cfv cdif cxad co caragensplit ssinss1d eqcomd inass incom inabs
      wceq eqtri ineq2i fveq2i indifcom eqtr2i eqcomi difundir difid uneq1i 0un
      c0 3eqtrri indif2 oveq12i a1i eqidd 3eqtrd difun1 oveq12d cxr wcel wne wa
      cmnf omexrcl xrge0nemnfd jca caragenelss ssinss2d ssdifssd xaddass oveq2d
      omecl syl3anc eqtrd ) ABDENZOZFPZBWBQZFPZRSBDOZFPZBDQZEOZFPZRSZWIEQZFPZRS
      ZWHWKWNRSZRSZBFPZAWDWLWFWNRAWDWCDOZFPZWCDQZFPZRSZWLWLAXCWDAWCCDFGHILJABWB
      GMUATUBXCWLUFAWTWHXBWKRWSWGFWSBWBDOZOWGBWBDUCXDDBXDDWBODWBDUDDEUEUGUHUGUI
      XAWJFWJBEDQZOZBWBDQZOXAXFWJWJEWIOXFWIEUDEBDUJUKULXEXGBXGDDQZXENUQXENXEDED
      UMXHUQXEDUNUOXEUPURUHBWBDUSURUIUTVAAWLVBVCWFWNUFAWEWMFBDEVDUIVAVEAWHVFVGZ
      WHVJVHZVIWKVFVGZWKVJVHZVIWNVFVGZWNVJVHZVIWOWQUFAXIXJAWGFGHLABDGMUAZVKAWHA
      WGFGHLXOVSVLVMAXKXLAWJFGHLAWIEGAECFGHIKLVNVOZVKAWKAWJFGHLXPVSVLVMAXMXNAWM
      FGHLAWIGEABGDMVPZVPZVKAWNAWMFGHLXRVSVLVMWHWKWNVQVTAWQWHWIFPZRSWRAWPXSWHRA
      WICEFGHILKXQTVRABCDFGHILJMTWAVC $.
  $}

  ${
    $d E a $.  $d F a $.  $d O a $.  $d a ph $.
    caragenuncl.1 $e |- ( ph -> O e. OutMeas ) $.
    caragenuncl.2 $e |- S = ( CaraGen ` O ) $.
    caragenuncl.3 $e |- ( ph -> E e. S ) $.
    caragenuncl.4 $e |- ( ph -> F e. S ) $.
    $( The Caratheodory's construction is closed under the union.  Step (c) in
       the proof of Theorem 113C of [Fremlin1] p. 20.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    caragenuncl $p |- ( ph -> ( E u. F ) e. S ) $=
      ( va cun cdm cuni eqid wcel wss caragenelss cvv come adantr unssd unidmex
      cpw wb ssexg syl2anc elpwg syl mpbird cv adantl caragenuncllem carageneld
      wa elpwi ) ABCDKZEELMZJFUQNZGAUPUQUCZOZUPUQPZACDUQACBEUQFGHURQADBEUQFGIUR
      QUAZAUPROZUTVAUDAVAUQROVCVBAESUQFURUBUPUQRUEUFUPUQRUGUHUIAJUJZUSOZUNVDBCD
      EUQAESOVEFTGACBOVEHTADBOVEITURVEVDUQPAVDUQUOUKULUM $.
  $}

  ${
    $d E a x $.  $d O a $.  $d S a x $.  $d a ph $.
    caragendifcl.o $e |- ( ph -> O e. OutMeas ) $.
    caragendifcl.s $e |- S = ( CaraGen ` O ) $.
    caragendifcl.e $e |- ( ph -> E e. S ) $.
    $( The Caratheodory's construction is closed under the complement
       operation.  Second part of Step (b) in the proof of Theorem 113C of
       [Fremlin1] p. 19.  (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    caragendifcl $p |- ( ph -> ( U. S \ E ) e. S ) $=
      ( va vx cdif wcel wss syl cvv a1i cin cfv cxad co wceq cuni cdm eqid come
      cpw caragenss unissd ssdifssd wb ccaragen fvexi uniex difexg ax-mp mpbird
      elpwg cv elpwi adantl caragenuni eqcomd adantr difin2 incom eqtr2d fveq2d
      wa sseqtrd ssdifd sscon dfin4 eqimss2 sstrd elinel1 elinel2 elndif eldifd
      wn ssriv eqssd oveq12d cc0 cpnf cxr iccssxr omecl sselid ssinss1 xaddcomd
      cicc wral caragenel mpbid simprd r19.21bi 3eqtrd carageneld ) ABBUAZCJZDD
      UBZUAZHEXAUCZFAWSXAUEZKZWSXALZAWRXACABWTADUDKZBWTLEBDFUFMUGUHAWSNKZXDXEUI
      XGAWRNKXGBBDUJFUKULWRCNUMUNOWSXANUPMUOAHUQZXCKZVGZXHWSPZDQZXHWSJZDQZRSXHC
      JZDQZXHCPZDQZRSXRXPRSZXHDQZXJXLXPXNXRRXJXKXODXJXOWSXHPZXKXJXHWRLXOYATXJXH
      XAWRXIXHXALZAXHXAURZUSZAXAWRTXIAWRXAABDEFUTVAVBVHZXHCWRVCMYAXKTXJWSXHVDOV
      EVFXJXMXQDXJXMXQXJXMXHXOJZXQXJXOWSLXMYFLXJXHWRCYEVIXOWSXHVJMXJXQYFTZYFXQL
      YGXJXHCVKOYFXQVLMVMXQXMLXJIXQXMIUQZXQKZYHXHWSYHXHCVNYIYHCKYHWSKVRYHXHCVOY
      HCWRVPMVQVSOVTVFWAXJXPXRXJWBWCWJSZWDXPWBWCWEZXJXODXAAXFXIEVBZXBXJXHXACYDU
      HWFWGXJYJWDXRYKXJXQDXAYLXBXIXQXALZAXIYBYMYCXHCXAWHMUSWFWGWIAXSXTTZHXCACXC
      KZYNHXCWKZACBKYOYPVGGABCDHEFWLWMWNWOWPWQ $.
  $}

  ${
    $d A k x y $.  $d B x y $.  $d S k x y $.  $d ph x y $.
    caragenfiiuncl.kph $e |- F/ k ph $.
    caragenfiiuncl.o $e |- ( ph -> O e. OutMeas ) $.
    caragenfiiuncl.s $e |- S = ( CaraGen ` O ) $.
    caragenfiiuncl.a $e |- ( ph -> A e. Fin ) $.
    caragenfiiuncl.b $e |- ( ( ph /\ k e. A ) -> B e. S ) $.
    $( The Caratheodory's construction is closed under finite indexed union.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    caragenfiiuncl $p |- ( ph -> U_ k e. A B e. S ) $=
      ( vx vy c0 wceq ciun wcel wa adantl cv iuneq1 0iun eqtrd caragen0 eqeltrd
      a1i adantr wne simpl neqne nfv nfan adantlr cun come 3ad2ant1 simp2 simp3
      wn w3a caragenuncl 3adant1r cfn simpr fiiuncl syl2anc pm2.61dan ) ABNOZEB
      CPZDQZAVHRVINDVHVINOAVHVIENCPZNEBNCUAVKNOVHECUBUFUCSANDQVHADFHIUDUGUEAVHU
      SZRABNUHZVJAVLUIVLVMABNUJSAVMRELMBCDAVMEGVMEUKULAETBQCDQVMKUMALTZDQZMTZDQ
      ZVNVPUNDQVMAVOVQUTDVNVPFAVOFUOQVQHUPIAVOVQUQAVOVQURVAVBABVCQVMJUGAVMVDVEV
      FVG $.
  $}

  ${
    $d A k $.  $d B k $.  $d O k $.  $d X k $.  $d k ph $.
    omeunle.o $e |- ( ph -> O e. OutMeas ) $.
    omeunle.x $e |- X = U. dom O $.
    omeunle.a $e |- ( ph -> A C_ X ) $.
    omeunle.b $e |- ( ph -> B C_ X ) $.
    $( The outer measure of the union of two sets is less than or equal to the
       sum of the measures, Remark 113B (c) of [Fremlin1] p. 19.  (Contributed
       by Glauco Siliprandi, 17-Aug-2020.) $)
    omeunle $p |- ( ph -> ( O ` ( A u. B ) ) <_ ( ( O ` A ) +e ( O ` B ) ) ) $=
      ( vk cfv cvv wcel wss syl2anc csumge0 cxr omecl sselid wb cun cpr cuni co
      cxad cle wceq come unidmex ssexg uniprg eqcomd cres cc0 cpnf cicc iccssxr
      fveq2d unssd eqsstrd cfn prfi elexi a1i cpw wa elpwg syl mpbird jca prssg
      omef mpbid fssresd sge0xrcl xaddcld com cdom csdm isfinite biimpi sdomdom
      wbr ax-mp omeunile cv cmpt feqresmpt fveq2 sge0prle eqbrtrd xrletrd ) ABC
      UAZDKBCUBZUCZDKZBDKZCDKZUEUDZUFAWMWODAWOWMABLMZCLMZWOWMUGABENZELMZWTHADUH
      EFGUIZBELUJOZACENZXCXAIXDCELUJOZBCLLUKOZULURAWPDWNUMZPKZWSAUNUOUPUDZQWPUN
      UOUQZAWODEFGAWOWMEXHABCEHIUSUTRSAXILWNWNLMAWNVABCVBZVCVDAEVEZXKWNDADEFGVL
      ZABXNMZCXNMZVFZWNXNNZAXPXQAXPXBHAWTXPXBTXEBELVGVHVIAXQXFIAXAXQXFTXGCELVGV
      HVIVJAWTXAXRXSTXEXGBCXNLLVKOVMZVNVOAWQWRAXKQWQXLABDEFGHRZSAXKQWRXLACDEFGI
      RZSVPADEWNFGXTWNVQVRWCZAWNVAMZYCXMYDWNVQVSWCZYCYDYEWNVTWAWNVQWBVHWDVDWEAX
      JJWNJWFZDKZWGZPKWSUFAXIYHPAJXNXKWNDXOXTWHURABCYGWQJWRLLXEXGYAYBYFBDWIYFCD
      WIWJWKWLWK $.
  $}

  ${
    $d E m $.  $d O m n $.  $d X m n $.  $d Z m n $.
    omeiunle.nph $e |- F/ n ph $.
    omeiunle.ne $e |- F/_ n E $.
    omeiunle.o $e |- ( ph -> O e. OutMeas ) $.
    omeiunle.x $e |- X = U. dom O $.
    omeiunle.z $e |- Z = ( ZZ>= ` N ) $.
    omeiunle.e $e |- ( ph -> E : Z --> ~P X ) $.
    $( The outer measure of the indexed union of a countable set is the less
       than or equal to the extended sum of the outer measures.  (Contributed
       by Glauco Siliprandi, 17-Aug-2020.) $)
    omeiunle $p |- ( ph -> ( O ` U_ n e. Z ( E ` n ) ) <_ ( sum^ ` ( n e. Z |->
       ( O ` ( E ` n ) ) ) ) ) $=
      ( vm cfv csumge0 wcel cvv a1i wceq cv ciun crn cres cmpt cc0 cpnf cicc co
      cxr iccssxr wss wral wa cpw ffvelrnda elpwi ex ralrimi iunss sylibr omecl
      syl wfn ffnd cuz fvexi fnex syl2anc rnexg omef frnd fssresd sge0xrcl come
      sselid adantr eqid fmptdf cuni fvex rgenw dfiun3g ax-mp feqmptd nfcv nffv
      cle fveq2 cbvmpt eqtrd rneqd unieqd eqtr4d fveq2d cdom fnrndomg sylc uzct
      wbr com domtr omeunile eqbrtrd clt wwe ltweuz wb weeq2 mpbir sge0resrn wf
      ccom fcompt 2fveq3 breqtrd xrletrd ) ABGBUAZCOZUBZEOZECUCZUDZPOZBGXSEOZUE
      ZPOZAUFUGUHUIZUJYAUFUGUKAXTEFJKAXSFULZBGUMXTFULAYIBGHAXRGQZYIAYJUNZXSFUOZ
      QYIAGYLXRCMUPXSFUQVCZURUSBGXSFUTVAVBVPAYCRYBACRQZYBRQACGVDZGRQZYNAGYLCMVE
      ZYPAGDVFLVGSZGRCVHVICRVJVCAYLYHYBEAEFJKVKZAGYLCMVLZVMVNAYFRGYRABGYEYHYFHY
      KXSEFAEVOQYJJVQKYMVBYFVRVSVNAYAYBVTZEOYDWHAXTUUAEAXTBGXSUEZUCZVTZUUAXTUUD
      TZAXSRQZBGUMUUEUUFBGXRCWAWBBGXSRWCWDSAYBUUCACUUBACNGNUAZCOZUEZUUBANGYLCMW
      EUUIUUBTANBGUUHXSBUUGCIBUUGWFWGZNXSWFUUGXRCWIWJSWKWLWMWNWOAEFYBJKYTAYBGWP
      WTZGXAWPWTZYBXAWPWTAYPYOUUKYRYQGRCWQWRUULADGLWSSYBGXAXBVIXCXDAYDECXMZPOYG
      WHAGYLXEECRYRYSMGXEXFZAUUNDVFOZXEXFZDXGGUUOTUUNUUPXHLGUUOXEXIWDXJSXKAUUMY
      FPAYLYHEXLZGYLCXLZUUMYFTYSMUUQUURUNZUUMNGUUHEOZUEZYFNECGYLYHXNUVAYFTUUSNB
      GUUTYEBUUHEBEWFUUJWGNYEWFUUGXRECXOWJSWKVIWOXPXQ $.
  $}

  ${
    omelesplit.1 $e |- ( ph -> O e. OutMeas ) $.
    omelesplit.2 $e |- X = U. dom O $.
    omelesplit.3 $e |- ( ph -> A C_ X ) $.
    $( The outer measure of a set ` A ` is less than or equal to the extended
       addition of the outer measures of the decomposition induced on ` A ` by
       any ` E ` .  Step (a) in the proof of Caratheodory's Method, Theorem
       113C of [Fremlin1] p. 19.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    omelesplit $p |- ( ph -> ( O ` A ) <_ ( ( O ` ( A i^i E ) ) +e ( O ` ( A \
       E ) ) ) ) $=
      ( cfv cin cdif cun cxad co cle wceq inundif eqcomi a1i wss fveq2d ssinss1
      syl ssdifssd omeunle eqbrtrd ) ABDIBCJZBCKZLZDIUGDIUHDIMNOABUIDBUIPAUIBBC
      QRSUAAUGUHDEFGABETUGETHBCEUBUCABECHUDUEUF $.
  $}

  ${
    $d E k n z $.  $d E m n $.  $d O k n z $.  $d O m n $.  $d X n $.
    $d Y z $.  $d Z k n z $.  $d Z m n $.  $d k n ph z $.
    omeiunltfirp.o $e |- ( ph -> O e. OutMeas ) $.
    omeiunltfirp.x $e |- X = U. dom O $.
    omeiunltfirp.z $e |- Z = ( ZZ>= ` N ) $.
    omeiunltfirp.e $e |- ( ph -> E : Z --> ~P X ) $.
    omeiunltfirp.re $e |- ( ph -> ( O ` U_ n e. Z ( E ` n ) ) e. RR ) $.
    omeiunltfirp.y $e |- ( ph -> Y e. RR+ ) $.
    $( If the outer measure of a countable union is not ` +oo ` , then it can
       be arbitrarily approximated by finite sums of outer measures.
       (Contributed by Glauco Siliprandi, 17-Aug-2020.) $)
    omeiunltfirp $p |- ( ph -> E. z e. ( ~P Z i^i Fin ) ( O ` U_ n e. Z ( E ` n
       ) ) < ( sum_ n e. z ( O ` ( E ` n ) ) + Y ) ) $=
      ( cfv wa wcel adantr simpr vk vm cv cmpt csumge0 cpnf wceq ciun csu caddc
      co clt wbr cpw cfn cin wrex cres cvv cuz fvexi a1i cicc wf come ffvelrnda
      cc0 wss fvex elpw sylib omecl eqid fmptd cr sge0pnffigt wi simpl elpwinss
      resmptd fveq2d breqtrd adantll cxr rexrd ad2antrr sseldd ffvelrnd elinel2
      sge0xrcl adantl cico rge0ssre 0xr pnfxr omexrcl iccgelb syl3anc ralrimiva
      cle wral iunss sylibr ssiun2 syl omessle ltpnfd xrlelttrd elicod fsumrecl
      sselid rpred readdcld sge0fsum eqidd 2fveq3 fvexd fvmptd sumeq2dv cbvsumv
      3eqtrd crp ltaddrpd eqbrtrd xrlttrd syl2anc ex adantlr reximdva mpd wn wb
      sge0repnf mpbird nfv nfcv nfmpt1 nffv nfel ad3antrrr sge0ltfirpmpt simpll
      nfan ad4ant13 omeiunle fveq2i eleq1i biimpi ad2antlr adantllr sge0fsummpt
      cbvmptv syl21anc oveq1d lelttrd pm2.61dan ) ACICUCZDPZFPZUDZUEPZUFUGZCIUU
      RUHZFPZBUCZUUSCUIZHUJUKZULUMZBIUNZUOUPZUQZAUVBQZUVDUUTUVEURZUEPZULUMZBUVJ
      UQUVKUVLBUUTUSIUVDIUSRZUVLIEUTLVAZVBAIVGUFVCUKZUUTVDUVBACIUUSUVRUUTAUUQIR
      ZQZUURFGAFVERZUVSJSKUVTUURGUNZRZUURGVHZAIUWBUUQDMVFUURGUUQDVIVJZVKZVLZUUT
      VMVNZSAUVBTAUVDVORZUVBNSVPUVLUVOUVHBUVJAUVEUVJRZUVOUVHVQUVBAUWJQZUVOUVHUW
      KUVOQUWKUVDCUVEUUSUDZUEPZULUMZUVHUWKUVOVRUWJUVOUWNAUWJUVOQUVDUVNUWMULUWJU
      VOTUWJUVNUWMUGUVOUWJUVMUWLUEUWJCIUVEUUSUVEIUOVSZVTWASWBWCUWKUWNQUVDUWMUVG
      AUVDWDRUWJUWNAUVDNWEWFUWKUWMWDRUWNUWKUWLUVJUVEAUWJTUWKCUVEUUSUVRUWLUWKUUQ
      UVERZQZUURFGAUWAUWJUWPJWFZKUWQUWCUWDUWQIUWBUUQDAIUWBDVDUWJUWPMWFUWJUWPUVS
      AUWJUWPQUVEIUUQUWJUVEIVHUWPUWOSUWJUWPTWGWCZWHUWEVKZVLZUWLVMZVNWJSUWKUVGWD
      RUWNUWKUVGUWKUVFHUWKUVEUUSCUWJUVEUORZAUVEUVIUOWIZWKZUWQVGUFWLUKZVOUUSWMUW
      QVGUFUUSVGWDRZUWQWNVBZUFWDRZUWQWOVBZUWQUURFGUWRKUWTWPZUWQUXGUXIUUSUVRRZVG
      UUSWTUMUXHUXJUXAVGUFUUSWQWRUWQUUSUVDUFUXKUWQUVCFGUWRKAUVCGVHZUWJUWPAUWDCI
      XAUXMAUWDCIUWFWSCIUURGXBXCWFZWPUXJUWQUURUVCFGUWRKUXNUWQUVSUURUVCVHUWSCIUU
      RXDXEXFAUVDUFULUMUWJUWPAUVDNXGWFXHXIZXKXJZAHVORUWJAHOXLSXMZWESUWKUWNTUWKU
      WMUVGULUMUWNUWKUWMUVFUVGULUWKUWMUVEUAUCZUWLPZUAUIUVEUXRDPZFPZUAUIZUVFUWKU
      AUWLUVEUXEUWKCUVEUUSUXFUWLUXOUXBVNXNUWKUVEUXSUYAUAUWKUXRUVERZQZCUXRUUSUYA
      UVEUWLUSUYDUWLXOUUQUXRUGUUSUYAUGUYDUUQUXRFDXPWKUWKUYCTUYDUXTFXQXRXSUYBUVF
      UGUWKUVEUYAUUSUACUXRUUQFDXPXTVBYAUWKUVFHUXPAHYBRZUWJOSYCYDSYEYFYGYHYIYJAU
      VBYKZQZAUVAVORZUVKAUYFVRUYGUYHUYFAUYFTAUYHUYFYLUYFAUUTUSIUVPAUVQVBUWHYMSY
      NAUYHQZUVAUWMHUJUKZULUMZBUVJUQUVKUYICBIUUSUSHAUYHCACYOZCUVAVOCUUTUECUEYPC
      IUUSYQYRCVOYPYSUUCUVPUYIUVQVBAUVSUXLUYHUWGYHAUYEUYHOSAUYHTZUUAUYIUYKUVHBU
      VJUYIUWJQZUYKUVHUYNUYKQZUVDUVAUVGAUWIUYHUWJUYKNYTUYIUYHUWJUYKUYMWFAUWJUVG
      VORUYHUYKUXQUUDAUVDUVAWTUMUYHUWJUYKACDEFGIUYLCDYPJKLMUUEYTUYOUVAUYJUVGULU
      YNUYKTUYNUYJUVGUGUYKUYNUWMUVFHUJUYNAUBIUBUCZDPFPZUDZUEPZVORZUWJUWMUVFUGAU
      YHUWJUUBUYHUYTAUWJUYHUYTUVAUYSVOUUTUYRUECUBIUUSUYQUUQUYPFDXPUULUUFUUGUUHU
      UIUYIUWJTAUYTQZUWJQUVEUUSCUWJUXCVUAUXDWKAUWJUWPUUSUXFRUYTUXOUUJUUKUUMUUNS
      WBUUOYGYIYJYFUUP $.
  $}

  ${
    $d O n $.  $d X n $.  $d Z n $.
    omeiunlempt.nph $e |- F/ n ph $.
    omeiunlempt.o $e |- ( ph -> O e. OutMeas ) $.
    omeiunlempt.x $e |- X = U. dom O $.
    omeiunlempt.z $e |- Z = ( ZZ>= ` N ) $.
    omeiunlempt.e $e |- ( ( ph /\ n e. Z ) -> E C_ X ) $.
    $( The outer measure of the indexed union of a countable set is the less
       than or equal to the extended sum of the outer measures.  (Contributed
       by Glauco Siliprandi, 17-Aug-2020.) $)
    omeiunlempt $p |- ( ph -> ( O ` U_ n e. Z E ) <_ ( sum^ ` ( n e. Z |-> ( O
       ` E ) ) ) ) $=
      ( ciun cfv cmpt csumge0 cle wcel cvv fveq2d wbr cv nfmpt1 cpw wa wss come
      wb unidmex adantr ssexg syl2anc elpwg syl mpbird eqid omeiunle wceq simpr
      fmptdf fvmpt2 eqcomd iuneq2df mpteq2da breq12d ) ABGCMZENZBGCENZOZPNZQUAB
      GBUBZBGCOZNZMZENZBGVMENZOZPNZQUAABVLDEFGHBGCUCIJKABGCFUDZVLHAVKGRZUEZCVSR
      ZCFUFZLWACSRZWBWCUHWAWCFSRZWDLAWEVTAEUGFIJUIUJCFSUKULZCFSUMUNUOVLUPZUTUQA
      VGVOVJVRQAVFVNEABGCVMHWAVMCWAVTWDVMCURAVTUSWFBGCSVLWGVAULVBZVCTAVIVQPABGV
      HVPHWACVMEWHTVDTVEUO $.
  $}

  ${
    $d A j k n $.  $d E i n $.  $d F j k n $.  $d G j k $.  $d K j k n $.
    $d M i j n $.  $d M j k n $.  $d O j k n $.  $d S i $.  $d Z n $.
    $d i j n ph $.  $d k n ph $.
    carageniuncllem1.o $e |- ( ph -> O e. OutMeas ) $.
    carageniuncllem1.s $e |- S = ( CaraGen ` O ) $.
    carageniuncllem1.x $e |- X = U. dom O $.
    carageniuncllem1.a $e |- ( ph -> A C_ X ) $.
    carageniuncllem1.re $e |- ( ph -> ( O ` A ) e. RR ) $.
    carageniuncllem1.z $e |- Z = ( ZZ>= ` M ) $.
    carageniuncllem1.e $e |- ( ph -> E : Z --> S ) $.
    carageniuncllem1.g $e |- G = ( n e. Z |-> U_ i e. ( M ... n ) ( E ` i ) )
                            $.
    carageniuncllem1.f $e |- F = ( n e. Z |-> ( ( E ` n ) \ U_ i e. ( M ..^ n )
       ( E ` i ) ) ) $.
    carageniuncllem1.k $e |- ( ph -> K e. Z ) $.
    $( The outer measure of ` A i^i ( G `` n ) ` is the sum of the outer
       measures of ` A i^i ( F `` m ) ` .  These are lines 7 to 10 of Step (d)
       in the proof of Theorem 113C of [Fremlin1] p. 20.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    carageniuncllem1 $p |- ( ph -> sum_ n e. ( M ... K ) ( O ` ( A i^i ( F ` n
       ) ) ) = ( O ` ( A i^i ( G ` K ) ) ) ) $=
      ( vk vj cfz co wcel cv cfv cin csu wceq cuz eleqtrdi eluzfz2 syl id wi c1
      caddc oveq2 sumeq1d fveq2 ineq2d fveq2d eqeq12d imbi2d cz eluzel2 fzsn cc
      csn wss inss1 a1i omessre recnd sumsn syl2anc eqidd cfzo ciun cdif c0 cvv
      iuneq1d difeq12d uzid eqcomd eleqtrd fvex difexg fvmptd3 fzo0 iuneq1 0iun
      ax-mp eqtri difeq2i dif0 3eqtrd iunex iunxsng 3eqtr4d w3a simp3 simp1 imp
      ovex 3adant1 wa elfzouz adantl come adantr adantlr 3adant3 oveq1 3ad2ant3
      fsump1 cxad fzssp1 iunss1 eleqtrrdi peano2uz eqcomi sseq12d mpbird inabs3
      cr elfzoelz fzval3 difeq2d cun nfcv iunp1 eqtrd difundir sstri uneq1i 0un
      difid 3eqtri indif2 eqtr4d oveq12d difss rexadd nfv fzfid elfzuz ffvelrnd
      wf caragenfiiuncl eqeltrd ssinss1d caragensplit syl3anc 3exp fzind2 sylc
      ) AIJIUFUGZUHZAUVCBEUIZGUJZUKZKUJZEULZBIHUJZUKZKUJZUMZAIJUNUJZUHZUVDAIMUV
      NUCSUOZJIUPUQAURAJUDUIZUFUGZUVHEULZBUVQHUJZUKZKUJZUMZUSAJJUFUGZUVHEULZBJH
      UJZUKZKUJZUMZUSZAJUEUIZUFUGZUVHEULZBUWKHUJZUKZKUJZUMZUSZAJUWKUTVAUGZUFUGZ
      UVHEULZBUWSHUJZUKZKUJZUMZUSAUVMUSUDUEIJIUVQJUMZUWCUWIAUXFUVSUWEUWBUWHUXFU
      VRUWDUVHEUVQJJUFVBVCUXFUWAUWGKUXFUVTUWFBUVQJHVDVEVFVGVHUVQUWKUMZUWCUWQAUX
      GUVSUWMUWBUWPUXGUVRUWLUVHEUVQUWKJUFVBVCUXGUWAUWOKUXGUVTUWNBUVQUWKHVDVEVFV
      GVHUVQUWSUMZUWCUXEAUXHUVSUXAUWBUXDUXHUVRUWTUVHEUVQUWSJUFVBVCUXHUWAUXCKUXH
      UVTUXBBUVQUWSHVDVEVFVGVHUVQIUMZUWCUVMAUXIUVSUVIUWBUVLUXIUVRUVCUVHEUVQIJUF
      VBVCUXIUWAUVKKUXIUVTUVJBUVQIHVDVEVFVGVHUWJUVOAUWEJVMZUVHEULZBJGUJZUKZKUJZ
      UWHAUWDUXJUVHEAJVIUHZUWDUXJUMAUVOUXOUVPJIVJUQZJVKUQZVCAUXOUXNVLUHUXKUXNUM
      UXPAUXNABUXMKLNPQRUXMBVNABUXLVOVPVQVRUVHUXNEJVIUVEJUMZUVGUXMKUXRUVFUXLBUV
      EJGVDVEVFVSVTABJFUJZUKZKUJZUYAUXNUWHAUYAWAAUXMUXTKAUXLUXSBAUXLUXSDJJWBUGZ
      DUIZFUJZWCZWDZUXSWEWDZUXSAEJUVEFUJZDJUVEWBUGZUYDWCZWDZUYFMGWFUBUXRUYHUXSU
      YJUYEUVEJFVDUXRDUYIUYBUYDUVEJJWBVBWGWHAJUVNMAUXOJUVNUHUXPJWIUQAMUVNMUVNUM
      ASVPWJWKZUYFWFUHZAUXSWFUHUYMJFWLUXSUYEWFWMWRVPWNUYFUYGUMAUYEWEUXSUYEDWEUY
      DWCZWEUYBWEUMUYEUYNUMJWODUYBWEUYDWPWRDUYDWQWSWTVPUYGUXSUMAUXSXAVPXBVEVFAU
      WGUXTKAUWFUXSBAUWFDUWDUYDWCZDUXJUYDWCZUXSAEJDJUVEUFUGZUYDWCZUYOMHWFUAUXRD
      UYQUWDUYDUVEJJUFVBWGUYLUYOWFUHADUWDUYDJJUFXJUYCFWLZXCVPWNADUWDUXJUYDUXQWG
      AUXOUYPUXSUMUXPDJUYDUXSVIUYCJFVDXDUQXBVEVFXEXBVPUWKJIWBUGUHZUWRAUXEUYTUWR
      AXFAUYTUWQUXEUYTUWRAXGUYTUWRAXHUWRAUWQUYTUWRAUWQUWRURXIXKAUYTUWQXFUXAUWMB
      UWSGUJZUKZKUJZVAUGZUWPVUCVAUGZUXDAUYTUXAVUDUMUWQAUYTXLZUVHVUCEJUWKUYTUWKU
      VNUHZAUWKJIXMZXNAUVEUWTUHZUVHVLUHUYTAVUIXLZUVHVUJBUVGKLAKXOUHZVUINXPPABLV
      NZVUIQXPABKUJYKUHZVUIRXPUVGBVNVUJBUVFVOVPVQVRXQUVEUWSUMZUVGVUBKVUNUVFVUAB
      UVEUWSGVDVEVFYAXRUWQAVUDVUEUMUYTUWMUWPVUCVAXSXTAUYTVUEUXDUMUWQVUFVUEUXCUW
      NUKZKUJZUXCUWNWDZKUJZVAUGZVUPVURYBUGZUXDVUFUWPVUPVUCVURVAUYTUWPVUPUMAUYTV
      UPUWPUYTVUOUWOKUYTUWNUXBVNZVUOUWOUMUYTVVADUWLUYDWCZDUWTUYDWCZVNZVVDUYTUWL
      UWTVNVVDJUWKYCDUWLUWTUYDYDWRVPUYTUWNVVBUXBVVCUYTEUWKUYRVVBMHWFUAUVEUWKUMD
      UYQUWLUYDUVEUWKJUFVBWGUYTUWKUVNMVUHSYEVVBWFUHUYTDUWLUYDJUWKUFXJUYSXCVPWNZ
      UYTEUWSUYRVVCMHWFUAVUNDUYQUWTUYDUVEUWSJUFVBWGUYTUWSUVNMUYTVUGUWSUVNUHVUHJ
      UWKYFUQMUVNSYGZUOZVVCWFUHUYTDUWTUYDJUWSUFXJUYSXCVPWNZYHYIBUXBUWNYJUQVFWJX
      NVUFVUBVUQKVUFVUBBUXBUWNWDZUKZVUQVUFVUAVVIBVUFUWSFUJZDJUWSWBUGZUYDWCZWDZV
      VKVVBWDZVUAVVIUYTVVNVVOUMAUYTVVMVVBVVKUYTDVVLUWLUYDUYTUWLVVLUYTUWKVIUHUWL
      VVLUMUWKJIYLJUWKYMUQWJWGYNXNUYTVUAVVNUMAUYTEUWSUYKVVNMGWFUBVUNUYHVVKUYJVV
      MUVEUWSFVDVUNDUYIVVLUYDUVEUWSJWBVBWGWHVVGVVNWFUHZUYTVVKWFUHVVPUWSFWLVVKVV
      MWFWMWRVPWNXNUYTVVIVVOUMAUYTVVIVVBVVKYOZVVBWDZVVOUYTUXBVVQUWNVVBUYTUXBVVC
      VVQVVHUYTUYDVVKDJUWKDVVKYPVUHUYCUWSFVDYQYRVVEWHVVRVVOUMUYTVVRVVBVVBWDZVVO
      YOWEVVOYOVVOVVBVVKVVBYSVVSWEVVOVVBUUCUUAVVOUUBUUDVPYRXNXEVEVUQVVJUMVUFVVJ
      VUQBUXBUWNUUEYGVPUUFVFUUGVUFVUTVUSVUFVUPYKUHZVURYKUHVUTVUSUMAVVTUYTABVUOK
      LNPQRVUOBVNAVUOUXCBUXCUWNVOBUXBVOZYTVPVQXPVUFBVUQKLAVUKUYTNXPZPAVULUYTQXP
      AVUMUYTRXPVUQBVNVUFVUQUXCBUXCUWNUUHVWAYTVPVQVUPVURUUIVTWJVUFUXCCUWNKLVWBO
      PVUFUWNVVBCUYTUWNVVBUMAVVEXNAVVBCUHUYTAUWLUYDCDKADUUJNOAJUWKUUKAUYCUWLUHZ
      XLMCUYCFAMCFUUNVWCTXPVWCUYCMUHAVWCUYCUVNMUYCJUWKUULUVNMUMVWCVVFVPWKXNUUMU
      UOXPUUPAUXCLVNUYTABUXBLQUUQXPUURXBXRXBUUSUUTUVAUVB $.
  $}

  ${
    $d A k n z $.  $d E i k n $.  $d E i m n $.  $d F k n z $.  $d F m n $.
    $d M i k n $.  $d M i m n $.  $d M k n z $.  $d O k n z $.  $d S i $.
    $d X n $.  $d Y k z $.  $d Z i k n $.  $d Z i m n $.  $d Z k n z $.
    $d i k n ph $.  $d m n ph $.  $d ph z $.
    carageniuncllem2.o $e |- ( ph -> O e. OutMeas ) $.
    carageniuncllem2.s $e |- S = ( CaraGen ` O ) $.
    carageniuncllem2.x $e |- X = U. dom O $.
    carageniuncllem2.a $e |- ( ph -> A C_ X ) $.
    carageniuncllem2.re $e |- ( ph -> ( O ` A ) e. RR ) $.
    carageniuncllem2.m $e |- ( ph -> M e. ZZ ) $.
    carageniuncllem2.z $e |- Z = ( ZZ>= ` M ) $.
    carageniuncllem2.e $e |- ( ph -> E : Z --> S ) $.
    carageniuncllem2.y $e |- ( ph -> Y e. RR+ ) $.
    carageniuncllem2.g $e |- G = ( n e. Z |-> U_ i e. ( M ... n ) ( E ` i ) )
                              $.
    carageniuncllem2.f $e |- F = ( n e. Z |-> ( ( E ` n ) \ U_ i e. ( M ..^ n )
       ( E ` i ) ) ) $.
    $( The Caratheodory's construction is closed under countable union.  Step
       (d) in the proof of Theorem 113C of [Fremlin1] p. 20.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    carageniuncllem2 $p |- ( ph -> ( ( O ` ( A i^i U_ n e. Z ( E ` n ) ) ) +e (
       O ` ( A \ U_ n e. Z ( E ` n ) ) ) ) <_ ( ( O ` A ) + Y ) ) $=
      ( vk vz vm cv cfv ciun cin cdif cxad co caddc cle wcel wceq wss inss1 a1i
      cr omessre difssd rexadd syl2anc clt wbr wrex cfz csu cpw cmpt wf ssinss1
      cfn syl wb come unidmex ssexg inex1g elpwg mpbird adantr eqid fmptd fveq2
      cvv ineq2d cbvmptv feq1i simpr fvmpt2 iuneq2dv fveq2d wral wdisj iundjiun
      wa nfv simplrd eqcomd iunin2 eqtrd eqeltrrd eqeltrd omeiunltfirp elpwinss
      eqcomi sseldd adantll ad2antrr sumeq2dv oveq1d breq12d biimpd reximdva cz
      mpd adantl elinel2 uzfissfz ad3antrrr fzfid id fsumrecl readdcld ad4ant14
      ssfi adantlr cc0 cxr cpnf ex eqbrtrd breqtrd 3ad2ant1 3adant3 recnd rpred
      simplr cicc pnfxr omecl iccgelb syl3anc fsumless leadd1dd ltletrd reximdv
      0xr rexlimdva2 carageniuncllem1 w3a simp3 ltled ssdifssd oveq2 ovex iunex
      iuneq1d fvex fvmpt cbviunv cuz elfzuz eleqtrd ssriv iunss1 eqsstrd sscond
      ax-mp omessle le2addd add32d ffvelrnd caragenfiiuncl fvmptd3 caragensplit
      cc 3exp rexlimdv ) ABEMEUHZFUIZUJZUKZJUIZBUWFULZJUIZUMUNZUWHUWJUOUNZBJUIZ
      LUOUNZUPAUWHVBUQZUWJVBUQZUWKUWLURABUWGJKNPQRUWGBUSABUWFUTVAVCZABUWIJKNPQR
      ABUWFVDVCZUWHUWJVEVFAUWHBUEUHZHUIZUKZJUIZLUOUNZVGVHZUEMVIZUWLUWNUPVHZAUWH
      IUWSVJUNZBUWDGUIZUKZJUIZEVKZLUOUNZVGVHZUEMVIZUXEAEMUXIUJZJUIZUXLVGVHZUEMV
      IZUXNAUXPUFUHZUXJEVKZLUOUNZVGVHZUFMVLZVPUKZVIZUXRAEMUWDUEMBUWSGUIZUKZVMZU
      IZUJZJUIZUXSUYIJUIZEVKZLUOUNZVGVHZUFUYDVIUYEAUFEUYHIJKLMNPTAMKVLZUYHVNZMU
      YPEMUXIVMZVNZAEMUXIUYPUYRAUXIUYPUQZUWDMUQZAUYTUXIKUSZABKUSZVUBQBUXHKVOVQZ
      AUXIWIUQZUYTVUBVRABWIUQZVUEAVUCKWIUQVUFQAJVSKNPVTBKWIWAVFBUXHWIWBVQZUXIKW
      IWCVQWDWEUYRWFWGUYQUYSVRAMUYPUYHUYRUEEMUYGUXIUWSUWDURUYFUXHBUWSUWDGWHWJWK
      ZWLVAWDAUYKUXPVBAUYJUXOJAEMUYIUXIAVUAWTVUAVUEUYIUXIURZAVUAWMAVUEVUAVUGWEE
      MUXIWIUYHVUHWNZVFWOWPZAUWHUXPVBAUWGUXOJAUWGBEMUXHUJZUKZUXOAUWFVULBAVULUWF
      AEIUGUHVJUNZUXHUJEVUNUWEUJURUGMWQVULUWFUREMUXHWRADUGEFGICMAEXATUAUDWSXBXC
      WJVUMUXOURAUXOVUMEMBUXHXDXJVAXEWPZUWQXFZXGUBXHAUYOUYBUFUYDAUXSUYDUQZWTZUY
      OUYBVURUYKUXPUYNUYAVGAUYKUXPURVUQVUKWEVURUYMUXTLUOVURUXSUYLUXJEVURUWDUXSU
      QZWTZUYIUXIJVUTVUAVUEVUIVUQVUSVUAAVUQVUSWTUXSMUWDVUQUXSMUSZVUSUXSMVPXIZWE
      VUQVUSWMXKXLAVUEVUQVUSVUGXMVUJVFWPXNXOXPXQXRXTAUYBUXRUFUYDVURUYBWTZUXSUXG
      USZUEMVIZUXRVURVVEUYBVURUXSUEIMAIXSUQVUQSWETVUQVVAAVVBYAVUQUXSVPUQZAUXSUY
      CVPYBYAYCWEVVCVVDUXQUEMVVCVVDUXQVVCVVDWTUXPUYAUXLAUXPVBUQVUQUYBVVDVUPYDAV
      VDUYAVBUQVUQUYBAVVDWTZUXTLVVGUXSUXJEVVDVVFAVVDUXGVPUQVVDVVFVVDIUWSYEVVDYF
      UXGUXSYJVFYAVVGVUSWTZBUXIJKAJVSUQZVVDVUSNXMPAVUCVVDVUSQXMAUWMVBUQZVVDVUSR
      XMUXIBUSZVVHBUXHUTZVAVCYGZALVBUQZVVDALUBUUAZWEZYHYIVURUXLVBUQUYBVVDVURUXK
      LAUXKVBUQZVUQAUXGUXJEAIUWSYEZAUXJVBUQZUWDUXGUQZABUXIJKNPQRVVKAVVLVAVCWEZY
      GZWEAVVNVUQVVOWEYHXMVURUYBVVDUUBAVVDUYAUXLUPVHVUQUYBVVGUXTUXKLVVMAVVQVVDV
      WBWEVVPVVGUXGUXJUXSEVVGIUWSYEAVVTVVSVVDVWAYKAVVTYLUXJUPVHZVVDAVVTWTZYLYMU
      QZYNYMUQZUXJYLYNUUCUNUQZVWCVWEVWDUULVAVWFVWDUUDVAAVWGVVTAUXIJKNPVUDUUEWEY
      LYNUXJUUFUUGYKAVVDWMUUHUUIYIUUJYOUUKXTUUMXTAUXQUXMUEMAUWSMUQZWTZUXQUXMVWI
      UXQWTUWHUXPUXLVGAUWHUXPURVWHUXQVUOXMVWIUXQWMYPYOXRXTAUXMUXDUEMVWIUXMUXDVW
      IUXMWTUWHUXLUXCVGVWIUXMWMVWIUXLUXCURUXMVWIUXKUXBLUOVWIBCDEFGHUWSIJKMAVVIV
      WHNWEZOPAVUCVWHQWEZAVVJVWHRWEZTAMCFVNZVWHUAWEUCUDAVWHWMZUUNXOWEYQYOXRXTAU
      XDUXFUEMAVWHUXDUXFAVWHUXDUUOZUWLUXCBUWTULZJUIZUOUNZUWNUPVWOUWHUWJUXCVWQAV
      WHUWOUXDUWQYRZAVWHUWPUXDUWRYRAVWHUXCVBUQUXDVWIUXBLVWIBUXAJKVWJPVWKVWLUXAB
      USVWIBUWTUTVAVCZAVVNVWHVVOWEYHYSZAVWHVWQVBUQZUXDVWIBVWPJKVWJPVWKVWLVWIBUW
      TVDVCZYSVWOUWHUXCVWSVXAAVWHUXDUUPUUQAVWHUWJVWQUPVHUXDVWIUWIVWPJKVWJPVWIBK
      UWTVWKUURVWIUWTUWFBVWHUWTUWFUSAVWHUWTEUXGUWEUJZUWFVWHUWTDUXGDUHZFUIZUJZVX
      DEUWSDIUWDVJUNZVXFUJZVXGMHUWDUWSURDVXHUXGVXFUWDUWSIVJUUSUVBZUCDUXGVXFIUWS
      VJUUTVXEFUVCUVAUVDVXGVXDURVWHDEUXGVXFUWEVXEUWDFWHUVEVAXEVXDUWFUSZVWHUXGMU
      SVXKDUXGMVXEUXGUQZVXEIUVFUIZMVXEIUWSUVGVXMMURVXLMVXMTXJVAUVHZUVIEUXGMUWEU
      VJUVMVAUVKYAUVLUVNYSUVOAVWHVWRUWNURUXDVWIVWRUXBVWQUOUNZLUOUNUWNVWIUXBLVWQ
      VWIUXBVWTYTALUWAUQVWHALVVOYTWEVWIVWQVXCYTUVPVWIVXOUWMLUOVWIVXOUXBVWQUMUNZ
      UWMVWIVXPVXOVWIUXBVBUQVXBVXPVXOURVWTVXCUXBVWQVEVFXCVWIBCUWTJKVWJOPVWIUWTV
      XGCVWIEUWSVXIVXGMHCUCVXJVWNAVXGCUQVWHAUXGVXFCDJADXANOVVRAVXLWTMCVXEFAVWMV
      XLUAWEVXLVXEMUQAVXNYAUVQUVRWEZUVSVXQXGVWKUVTXEXOXEYSYQUWBUWCXTYP $.
  $}

  ${
    $d E a i n x $.  $d E i m n $.  $d M i m n $.  $d O a i n x $.  $d S i $.
    $d Z a i n x $.  $d Z i m n $.  $d a i n ph x $.
    carageniuncl.o $e |- ( ph -> O e. OutMeas ) $.
    carageniuncl.s $e |- S = ( CaraGen ` O ) $.
    carageniuncl.3 $e |- ( ph -> M e. ZZ ) $.
    carageniuncl.z $e |- Z = ( ZZ>= ` M ) $.
    carageniuncl.e $e |- ( ph -> E : Z --> S ) $.
    $( The Caratheodory's construction is closed under indexed countable union.
       Step (d) in the proof of Theorem 113C of [Fremlin1] p. 20.  (Contributed
       by Glauco Siliprandi, 17-Aug-2020.) $)
    carageniuncl $p |- ( ph -> U_ n e. Z ( E ` n ) e. S ) $=
      ( vi cv cfv wcel wa co cpnf cxr va vx vm ciun cdm cuni eqid cpw ffvelrnda
      wss wral elssuni syl caragenuni adantr sseqtrd ralrimiva iunss sylibr cvv
      wceq cuz fvexi fvex iunex a1i elpwg mpbird cin cdif cxad cc0 cicc iccssxr
      wb come elpwi ssinss1 adantl omecl sselid ssdifssd xaddcld cle wbr eqcomd
      pnfge id breqtrd wn cr simpl cico rge0ssre 0xr pnfxr necon3bi eliccelicod
      wne caddc crp cfzo cfz ad2antrr simpr cz ad3antrrr wf fveq2 oveq2 iuneq1d
      difeq12d cbvmptv carageniuncllem2 syl2anc pm2.61dan omelesplit carageneld
      cmpt xralrple xrletrid ) ABCGCNZDOZUDZFFUEUFZUAHYEUGZIAYDYEUHZPZYDYEUJZAY
      CYEUJZCGUKYIAYJCGAYBGPZQZYCBUFZYEYLYCBPYCYMUJAGBYBDLUIYCBULUMAYMYEVAYKABF
      HIUNUOUPUQCGYCYEURUSAYDUTPZYHYIVOYNACGYCGEVBKVCYBDVDVEVFYDYEUTVGUMVHAUANZ
      YGPZQZYOYDVIZFOZYOYDVJZFOZVKRZYOFOZYQYSUUAYQVLSVMRZTYSVLSVNZYQYRFYEAFVPPZ
      YPHUOZYFYPYRYEUJZAYPYOYEUJZUUHYOYEVQZYOYDYEVRUMVSVTWAYQUUDTUUAUUEYQYTFYEU
      UGYFYQYOYEYDYPUUIAUUJVSZWBVTWAWCZYQUUDTUUCUUEYQYOFYEUUGYFUUKVTZWAYQUUCSVA
      ZUUBUUCWDWEZYQUUNQUUBSUUCWDYQUUBSWDWEZUUNYQUUBTPZUUPUULUUBWGUMUOUUNSUUCVA
      YQUUNUUCSUUNWHZWFVSWIYQUUNWJZQZYQUUCWKPZUUOYQUUSWLZUUTVLSWMRWKUUCWNUUTVLS
      UUCVLTPUUTWOVFSTPUUTWPVFUUTYQUUCUUDPUVBUUMUMUUSUUCSWSYQUUNUUCSUURWQVSWRWA
      YQUVAQZUUOUUBUUCUBNZWTRWDWEZUBXAUKZUVCUVEUBXAUVCUVDXAPZQYOBMCDUCGUCNZDOZM
      EUVHXBRZMNDOZUDZVJZXSCGMEYBXCRUVKUDXSZEFYEUVDGYQUUFUVAUVGUUGXDIYFYQUUIUVA
      UVGUUKXDUVCUVAUVGYQUVAXEZUOAEXFPYPUVAUVGJXGKAGBDXHYPUVAUVGLXGUVCUVGXEUVNU
      GUCCGUVMYCMEYBXBRZUVKUDZVJUVHYBVAZUVIYCUVLUVQUVHYBDXIUVRMUVJUVPUVKUVHYBEX
      BXJXKXLXMXNUQUVCUUQUVAUUOUVFVOYQUUQUVAUULUOUVOUBUUBUUCXTXOVHXOXPYQYOYDFYE
      UUGYFUUKXQYAXR $.
  $}

  ${
    $d O n $.  $d S f $.  $d X f n $.  $d f n ph $.
    caragenunicl.o $e |- ( ph -> O e. OutMeas ) $.
    caragenunicl.s $e |- S = ( CaraGen ` O ) $.
    caragenunicl.y $e |- ( ph -> X C_ S ) $.
    caragenunicl.ctb $e |- ( ph -> X ~<_ _om ) $.
    $( The Caratheodory's construction is closed under countable union.  Step
       (d) in the proof of Theorem 113C of [Fremlin1] p. 20.  (Contributed by
       Glauco Siliprandi, 17-Aug-2020.) $)
    caragenunicl $p |- ( ph -> U. X e. S ) $=
      ( vf vn c0 wceq wcel wa adantl adantr cn wbr cdom com cuni unieq caragen0
      uni0 eqtrdi eqeltrd wn wne simpl neqne wfo wex csdm simpr cvv wrel reldom
      cv wb brrelex1 syl 0sdomg mpbird cen nnenom ensymi domentr syl2anc fodomr
      mpan a1i wi cfv ciun founiiun c1 come 1zzd nnuz fof wss fssd carageniuncl
      wf ex exlimdv mpd pm2.61dan ) ADKLZDUAZBMZAWINWJKBWIWJKLAWIWJKUAKDKUBUDUE
      OAKBMWIABCEFUCPUFAWIUGZNADKUHZWKAWLUIWLWMADKUJOAWMNZQDIURZUKZIULZWKWNKDUM
      RZDQSRZWQWNWRWMAWMUNWNDUOMZWRWMUSAWTWMADTSRZWTHSUPXAWTUQDTSUTVJVAPDUOVBVA
      VCAWSWMAXATQVDRZWSHXBAQTVEVFVKDTQVGVHPQDIVIVHWNWPWKIAWPWKVLWMAWPWKAWPNZWJ
      JQJURWOVMVNZBWPWJXDLAJQDWOVOOXCBJWOVPCQACVQMWPEPFXCVRVSXCQDBWOWPQDWOWDAQD
      WOVTOADBWAWPGPWBWCUFWEPWFWGVHWH $.
  $}

  ${
    $d S x $.  $d ph x $.
    caragensal.o $e |- ( ph -> O e. OutMeas ) $.
    caragensal.s $e |- S = ( CaraGen ` O ) $.
    $( Caratheodory's method generates a sigma-algebra.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    caragensal $p |- ( ph -> S e. SAlg ) $=
      ( vx csalg wcel c0 cuni cv cdif wral com cdom wbr wa simpr ralrimiva cvv
      cpw w3a caragen0 come adantr caragendifcl ad2antrr wss elpwi caragenunicl
      wi ad2antlr ex 3jca wb ccaragen fvexi a1i issal syl mpbird ) ABGHZIBHZBJF
      KZLBHZFBMZVDNOPZVDJBHZUKZFBUAZMZUBZAVCVFVKABCDEUCAVEFBAVDBHZQBVDCACUDHZVM
      DUEEAVMRUFSAVIFVJAVDVJHZQZVGVHVPVGQBCVDAVNVOVGDUGEVOVDBUHAVGVDBUIULVPVGRU
      JUMSUNABTHZVBVLUOVQABCUPEUQURFBTUSUTVA $.
  $}

  ${
    $d E i j n $.  $d G i j n $.  $d M i j n $.  $d N i j n $.  $d O i j n $.
    $d Z j n $.  $d i j n ph $.
    caratheodorylem1.o $e |- ( ph -> O e. OutMeas ) $.
    caratheodorylem1.s $e |- S = ( CaraGen ` O ) $.
    caratheodorylem1.z $e |- Z = ( ZZ>= ` M ) $.
    caratheodorylem1.e $e |- ( ph -> E : Z --> S ) $.
    caratheodorylem1.dj $e |- ( ph -> Disj_ n e. Z ( E ` n ) ) $.
    caratheodorylem1.g $e |- G = ( n e. Z |-> U_ i e. ( M ... n ) ( E ` i ) )
                               $.
    caratheodorylem1.n $e |- ( ph -> N e. ( ZZ>= ` M ) ) $.
    $( Lemma used to prove that Caratheodory's construction is sigma-additive.
       This is the proof of the statement in the middle of Step (e) in the
       proof of Theorem 113C of [Fremlin1] p. 21.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    caratheodorylem1 $p |- ( ph -> ( O ` ( G ` N ) ) = ( sum^ ` ( n e. ( M ...
       N ) |-> ( O ` ( E ` n ) ) ) ) ) $=
      ( wcel cfv wceq vj cfz co cv cmpt csumge0 cuz eluzfz2 syl id wi c1 2fveq3
      caddc oveq2 mpteq1d fveq2d eqeq12d imbi2d csn cz eluzel2 fzsn cc0 cpnf wa
      cicc cdm cuni come adantr eqid wss caragenss wf elsni adantl uzid eqeltrd
      eleqtrrdi ffvelrnd sseldd elssuni omecl fmptd sge0sn cvv eqidd ciun fveq2
      iuneq1d iunxsng 3eqtrrd ovex iunex a1i fvmptd3 3eqtr4d snidg fvexd fvmptd
      fvex cfzo w3a simp3 simp1 imp 3adant1 cin cdif elfzoel1 elfzoelz peano2zd
      cxad zred ltp1d lelttrd ltled cle 3jca eluz2 sylibr eleqtrdi eqcomd eqtrd
      wbr cun wdisj simpl simpr syl2anc 3eqtrd 3adant3 wral ffvelrnda ralrimiva
      c0 iunss eqsstrd omexrcl elfzole1 cr elfzd ssiun2s cbviunv mpteq2i eqcomi
      leid eqtri sseqtrd sseqin2 biimpi nfcv elfzouz iunp1 difeq1d sylib fzssuz
      cbvdisjv sseqtri wn fzp1nel eldifd disjiun2 undif4 oveq2d uneq12d oveq12d
      un0 simpll elfzelz elfzle1 adantll caragensplit elfzuz fssd sge0p1 oveq1d
      difid 3ad2ant3 sseli adantlr sstrd xaddcomd syl3anc 3exp fzind2 sylc ) AH
      GHUBUCZRZAHFSISZDUWIDUDZESZISZUEZUFSZTZAHGUGSZRZUWJQGHUHUIAUJAUAUDZFSISZD
      GUWTUBUCZUWNUEZUFSZTZUKAGFSZISZDGGUBUCZUWNUEZUFSZTZUKZACUDZFSZISZDGUXMUBU
      CZUWNUEZUFSZTZUKZAUXMULUNUCZFSZISZDGUYAUBUCZUWNUEZUFSZTZUKAUWQUKUACHGHUWT
      GTZUXEUXKAUYHUXAUXGUXDUXJUWTGIFUMUYHUXCUXIUFUYHDUXBUXHUWNUWTGGUBUOUPUQURU
      SUWTUXMTZUXEUXSAUYIUXAUXOUXDUXRUWTUXMIFUMUYIUXCUXQUFUYIDUXBUXPUWNUWTUXMGU
      BUOUPUQURUSUWTUYATZUXEUYGAUYJUXAUYCUXDUYFUWTUYAIFUMUYJUXCUYEUFUYJDUXBUYDU
      WNUWTUYAGUBUOUPUQURUSUWTHTZUXEUWQAUYKUXAUWKUXDUWPUWTHIFUMUYKUXCUWOUFUYKDU
      XBUWIUWNUWTHGUBUOUPUQURUSUXLUWSAUXJDGUTZUWNUEZUFSGUYMSUXGAUXIUYMUFADUXHUY
      LUWNAGVARZUXHUYLTAUWSUYNQGHVBUIZGVCUIZUPUQAGUYMVAUYOADUYLUWNVDVEVGUCUYMAU
      WLUYLRZVFZUWMIIVHZVIZAIVJRZUYQKVKZUYTVLZUYRUWMUYSRZUWMUYTVMZUYRBUYSUWMUYR
      VUABUYSVMZVUBBILVNZUIUYRJBUWLEAJBEVOZUYQNVKUYRUWLGJUYQUWLGTZAUWLGVPVQAGJR
      ZUYQAGUWRJAUYNGUWRRUYOGVRUIMVTZVKVSWAWBUWMUYSWCZUIWDUYMVLWEWFADGUWNUXGUYL
      UYMWGAUYMWHAVUIVFZUWMUXFIVUMGESZCUXHUXMESZWIZUWMUXFAVUNVUPTVUIAVUPCUYLVUO
      WIZVUNVUNACUXHUYLVUOUYPWKAVUJVUQVUNTVUKCGVUOVUNJUXMGEWJWLUIAVUNWHWMVKVUIU
      WMVUNTAUWLGEWJVQAUXFVUPTVUIADGCGUWLUBUCZVUOWIZVUPJFWGPVUICVURUXHVUOUWLGGU
      BUOWKVUKVUPWGRACUXHVUOGGUBWNUXMEXBWOWPWQVKWRUQAVUJGUYLRVUKGJWSUIAUXFIWTXA
      WMWPUXMGHXCUCRZUXTAUYGVUTUXTAXDAVUTUXSUYGVUTUXTAXEVUTUXTAXFUXTAUXSVUTUXTA
      UXSUXTUJXGXHAVUTUXSXDZUYBUYAESZXIZISZUYBVVBXJZISZXNUCZVVBISZUXOXNUCZUYCUY
      FAVUTVVGVVITUXSAVUTVFZVVDVVHVVFUXOXNVVJVVCVVBIVVJVVBUYBVMZVVCVVBTZVVJVVBU
      AUYDUWTESZWIZUYBVVJUYAUYDRZVVBVVNVMVUTVVOAVUTUYAGUYAUXMGHXKZVUTUXMUXMGHXL
      ZXMZVVRVUTGUYAVUTGVVPXOZVUTUYAVVRXOZVUTGUXMUYAVVSVUTUXMVVQXOZVVTUXMGHUUAZ
      VUTUXMVWAXPXQXRVUTUYAUUBRUYAUYAXSYFVVTUYAUUHUIUUCVQUAUYDVVMUYAVVBUWTUYAEW
      JZUUDUIZVVJUYBVVNVVJDUYAUAVURVVMWIZVVNJFWGFDJVUSUEDJVWEUEZPDJVUSVWECUAVUR
      VUOVVMUXMUWTEWJUUEUUFUUIZUWLUYATUAVURUYDVVMUWLUYAGUBUOWKVVJUYAUWRJVVJUYNU
      YAVARZGUYAXSYFZXDUYAUWRRVVJUYNVWHVWIAUYNVUTUYOVKZVVJUXMVUTUXMVARAVVQVQZXM
      ZVVJGUYAVVJGVWJXOZVVJUYAVWLXOZVVJGUXMUYAVWMVVJUXMVWKXOZVWNVUTGUXMXSYFAVWB
      VQVVJUXMVWOXPXQXRXTGUYAYAYBJUWRMUUGZYCZVVNWGRVVJUAUYDVVMGUYAUBWNUWTEXBZWO
      WPWQZYDUUJVVKVVLVVBUYBUUKUULUIUQVVJVVEUXNIVVJVVEUAUXPVVMWIZVVBYGZVVBXJZVW
      TVVBVVBXJZYGZUXNVVJUYBVXAVVBVVJUYBVVNVXAVWSVVJVVMVVBUAGUXMUAVVBUUMVUTUXMU
      WRRAUXMGHUUNVQZVWCUUOYEUUPVVJVXDVXBVVJVWTVVBXIYQTVXDVXBTVVJUAJVVMUXPUYAVV
      BAUAJVVMYHZVUTADJUWMYHVXFODUAJUWMVVMUWLUWTEWJUUSUUQVKUXPJVMVVJUXPUWRJGUXM
      UURVWPUUTZWPVVJUYAJUXPVWQVUTUYAUXPRUVAZAVXHVUTGUXMUVBWPVQUVCVWCUVDVWTVVBV
      VBUVEUIYDVVJVXDUXNYQYGZUXNVVJVWTUXNVXCYQVVJUXNVWTVVJAUXMJRZUXNVWTTAVUTYIZ
      VVJUXMUWRJVXEVWPYCZAVXJVFZDUXMVWEVWTJFWGFVWFTVXMVWGWPVXMUWLUXMTZVFZUAVURU
      XPVVMVXOUWLUXMGUBVXMVXNYJUVFWKAVXJYJVWTWGRVXMUAUXPVVMGUXMUBWNVWRWOWPXAZYK
      YDVXCYQTVVJVVBUVSWPUVGVXIUXNTVVJUXNUVIWPYEYLUQUVHYMAVUTUYCVVGTUXSVVJVVGUY
      CVVJUYBBVVBIUYTAVUAVUTKVKZLVUCVVJJBUYAEAVUHVUTNVKVWQWAVVJUYBVVNUYTVWSVVJV
      VMUYTVMZUAUYDYNVVNUYTVMVVJVXRUAUYDVVJUWTUYDRZVFAUWTJRZVXRAVUTVXSUVJVUTVXS
      VXTAVUTVXSVFZUWTUWRJVYAUYNUWTVARZGUWTXSYFZXDUWTUWRRVYAUYNVYBVYCVUTUYNVXSV
      VPVKVXSVYBVUTUWTGUYAUVKVQVXSVYCVUTUWTGUYAUVLVQXTGUWTYAYBVWPYCUVMAVXTVFZVV
      MUYSRVXRVYDBUYSVVMAVUFVXTAVUAVUFKVUGUIZVKAJBUWTENYOWBVVMUYSWCUIZYKYPUAUYD
      VVMUYTYRYBZYSUVNYDYMVVAUYFUXRVVHXNUCZUXOVVHXNUCZVVIAVUTUYFVYHTUXSVVJUWNVV
      HDGUXMVXEVVJUWLUYDRZVFZUWMIUYTVVJVUAVYJVXQVKVUCVYKAUWLJRZVUEVVJAVYJVXKVKV
      YJVYLVVJVYJUWLUWRJUWLGUYAUVOVWPYCVQAVYLVFVUDVUEAJUYSUWLEAJBUYSENVYEUVPYOV
      ULUIYKWDUWLUYAIEUMUVQYMUXSAVYHVYITVUTUXSUXRUXOVVHXNUXSUXOUXRUXSUJYDUVRUVT
      AVUTVYIVVITUXSVVJUXOVVHVVJUXNIUYTVXQVUCVVJAVXJUXNUYTVMVXKVXLVXMUXNVWTUYTV
      XPVXMVXRUAUXPYNVWTUYTVMVXMVXRUAUXPAUWTUXPRZVXRVXJAVYMVFAVXTVXRAVYMYIVYMVX
      TAUXPJUWTVXGUWAVQVYFYKUWBYPUAUXPVVMUYTYRYBYSYKYTVVJVVBIUYTVXQVUCVVJVVBVVN
      UYTVWDVYGUWCYTUWDYMYLWRUWEUWFUWGUWH $.
  $}

  ${
    $d E k m n $.  $d E k n x $.  $d G m n $.  $d O k m n $.  $d O k n x $.
    $d X n $.  $d k m n ph $.  $d ph x $.
    caratheodorylem2.o $e |- ( ph -> O e. OutMeas ) $.
    caratheodorylem2.x $e |- X = U. dom O $.
    caratheodorylem2.s $e |- S = ( CaraGen ` O ) $.
    caratheodorylem2.e $e |- ( ph -> E : NN --> S ) $.
    caratheodorylem2.5 $e |- ( ph -> Disj_ n e. NN ( E ` n ) ) $.
    caratheodorylem2.g $e |- G = ( k e. NN |-> U_ n e. ( 1 ... k ) ( E ` n ) )
                               $.
    $( Caratheodory's construction is sigma-additive.  Main part of Step (e) in
       the proof of Theorem 113C of [Fremlin1] p. 21.  (Contributed by Glauco
       Siliprandi, 17-Aug-2020.) $)
    caratheodorylem2 $p |- ( ph -> ( O ` U_ n e. NN ( E ` n ) ) = ( sum^ ` ( n
       e. NN |-> ( O ` ( E ` n ) ) ) ) ) $=
      ( cn cfv wss wcel cvv c1 vx vm cv ciun cmpt csumge0 wral wa cdm cuni come
      caragenss syl adantr ffvelrnda sseldd elssuni sseqtrrdi ralrimiva omexrcl
      iunss sylibr nnex a1i cc0 cpnf cicc co omecl eqid fmptd sge0xrcl nfv nfcv
      nnuz cpw caragensspw fssd omeiunle cle wbr cres cfn wceq elpwinss resmptd
      cin fveq2d adantl cfz wrex 1zzd elinel2 uzfissfz w3a cxr ad2antrr fz1ssnn
      wi vex ssel2 sselid adantll ffvelrnd elpwi 3adant2 elfznn sylan2 3ad2ant1
      wf ovex syl2anc simp3 sge0lessmpt wdisj nfiu1 fveq2 cbviunv oveq2 iuneq1d
      simpl1 eqtrd cbvmpt eqtri cuz eleqtrdi caratheodorylem1 eqcomd fvex iunex
      id fvmpt2 sylancl iunss1 eqsstrd omessle eqbrtrd 3adant3 xrletrd 3exp mpd
      rexlimdv sge0lefi mpbird xrletrid ) ADODUCZEPZUDZGPZDOUUGGPZUEZUFPZAUUHGH
      IJAUUGHQZDOUGUUHHQZAUUMDOAUUFORZUHZUUGGUIZUJZHUUPUUGUUQRUUGUURQUUPBUUQUUG
      ABUUQQZUUOAGUKRZUUSIBGKULUMUNAOBUUFELUOUPUUGUUQUQUMJURZUSDOUUGHVAVBZUTZAU
      UKSOOSRAVCVDZADOUUJVEVFVGVHZUUKUUPUUGGHAUUTUUOIUNJUVAVIZUUKVJVKZVLADETGHO
      ADVMDEVNIJVOAOBHVPZELABGHIJKVQVRZVSAUULUUIVTWAUUKUAUCZWBZUFPZUUIVTWAZUAOV
      PZWCWGZUGAUVMUAUVOAUVJUVORZUHZUVLDUVJUUJUEZUFPZUUIVTUVPUVLUVSWDAUVPUVKUVR
      UFUVPDOUVJUUJUVJOWCWEZWFWHWIUVQUVJTCUCZWJVHZQZCOWKUVSUUIVTWAZUVQUVJCTOUVQ
      WLVOUVPUVJOQAUVTWIUVPUVJWCRAUVJUVNWCWMWIWNUVQUWCUWDCOAUWAORZUWCUWDWSWSUVP
      AUWEUWCUWDAUWEUWCWOZUVSDUWBUUJUEZUFPZUUIAUWCUVSWPRUWEAUWCUHZUVRSUVJUVJSRU
      WIUAWTVDUWIDUVJUUJUVEUVRUWIUUFUVJRZUHZUUGGHAUUTUWCUWJIWQJUWKUUGUVHRUUMUWK
      OUVHUUFEAOUVHEXJUWCUWJUVIWQUWCUWJUUOAUWCUWJUHUWBOUUFUWAWRZUVJUWBUUFXAXBXC
      XDUUGHXEUMVIUVRVJVKVLXFAUWEUWHWPRUWCAUWGSUWBUWBSRZATUWAWJXKZVDADUWBUUJUVE
      UWGUUFUWBRZAUUOUUJUVERZUUFUWAXGZUVFXHUWGVJVKVLXIAUWEUUIWPRUWCUVCXIUWFDUWB
      UUJUVJSUWMUWFUWNVDUWFUWOUHAUUOUWPAUWEUWCUWOYAUWOUUOUWFUWQWIUVFXLAUWEUWCXM
      XNAUWEUWHUUIVTWAUWCAUWEUHZUWHUWAFPZGPZUUIVTUWRUWTUWHUWRBUBDEFTUWAGOAUUTUW
      EIUNZKVOAOBEXJUWELUNADOUUGXOUWEMUNFCODUWBUUGUDZUEDOUBTUUFWJVHZUBUCZEPZUDZ
      UENCDOUXBUXFDUWBUUGXPCUXFVNUWAUUFWDZUXBUBUWBUXEUDZUXFUXBUXHWDUXGDUBUWBUUG
      UXEUUFUXDEXQXRVDUXGUBUWBUXCUXEUWAUUFTWJXSXTYBYCYDUWEUWATYEPZRAUWEUWAOUXIU
      WEYKZVOYFWIYGYHUWRUWSUUHGHUXAJAUUNUWEUVBUNUWEUWSUUHQAUWEUWSUXBUUHUWEUWEUX
      BSRUWSUXBWDUXJDUWBUUGUWNUUFEYIYJCOUXBSFNYLYMUWEUWBOQZUXBUUHQUXKUWEUWLVDDU
      WBOUUGYNUMYOWIYPYQYRYSYTUNUUBUUAYQUSAUAUUIUUKSOUVDUVGUVCUUCUUDUUE $.
  $}

  ${
    $d O a e $.  $d O e j n $.  $d S e j n $.  $d e j m n $.  $d e j n ph $.
    caratheodory.o $e |- ( ph -> O e. OutMeas ) $.
    caratheodory.s $e |- S = ( CaraGen ` O ) $.
    $( Caratheodory's construction of a measure given an outer measure.  Proof
       of Theorem 113C of [Fremlin1] p. 19.  (Contributed by Glauco Siliprandi,
       17-Aug-2020.) $)
    caratheodory $p |- ( ph -> ( O |` S ) e. Meas ) $=
      ( ve vn va vm vj co cv cfv wceq wcel syl c0 fvres cn ciun cres caragensal
      cdm cuni cpnf cicc eqid omef cdif cxad wral crab ccaragen come caragenval
      cpw cc0 cin eqcomd eqcomi a1i eqtr2d eqsstrdi fssresd caragen0 ome0 eqtrd
      ssrab2 wf wdisj w3a csumge0 simp1 simp2 fveq2 cbvdisjv biimpi 3ad2ant3 c1
      cmpt cfz 3ad2ant1 biimpri cbviunv mpteq2i caratheodorylem2 syl3anc adantr
      wa csalg com cdom wbr nnenom endom ax-mp ffvelrn adantll saliuncl 3adant3
      cen mpteq2dva fveq2d 3eqtr4d ismeannd ) ABFGCBUAZABCDEUBZACUCUDZUPZUQUEUF
      KBCACXHDXHUGZUHABHLZFLZURCMXKXLUICMUJKXKCMNHXIUKZFXIULZXIAXNCUMMZBAXOXNAC
      UNOZXOXNNDFCHUOPUSXOBNABXOEUTVAVBXMFXIVHVCVDAQXFMZQCMZUQAQBOXQXRNABCDEVEQ
      BCRPACDVFVGASBXLVIZGSGLZXLMZVJZVKZGSYATZCMZGSYACMZVTZVLMZYDXFMZGSYAXFMZVT
      ZVLMZYCAXSISILZXLMZVJZYEYHNAXSYBVMAXSYBVNYBAYOXSYBYOGISYAYNXTYMXLVOVPZVQV
      RAXSYOVKBJGXLJSIVSJLWAKZYNTZVTCXHAXSXPYODWBXJEAXSYOVNYOAYBXSYBYOYPWCVRJSY
      RGYQYATIGYQYNYAYMXTXLVOWDWEWFWGAXSYIYENZYBAXSWIZYDBOYSYTBGYASABWJOXSXGWHS
      WKWLWMZYTSWKXAWMUUAWNSWKWOWPVAXSXTSOZYABOZASBXTXLWQWRZWSYDBCRPWTAXSYLYHNY
      BYTYKYGVLYTGSYJYFYTUUBWIUUCYJYFNUUDYABCRPXBXCWTXDXE $.
  $}

  ${
    $d x y X $.  $d O y z $.  $d X z $.
    0ome.1 $e |- ( ph -> X e. V ) $.
    0ome.2 $e |- O = ( x e. ~P X |-> 0 ) $.
    $( The map that assigns 0 to every subset, is an outer measure.
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    0ome $p |- ( ph -> O e. OutMeas ) $=
      ( vz vy wcel cc0 cpw wceq wa cfv a1i cr 0re syl cvv come cdm cpnf cicc co
      wf cuni c0 cv cle wbr wral cdom cres csumge0 wi cmpt eqid 0e0iccpnf fmpti
      eqidd cbvmptv eqtri feq1i dmeqi rgenw ax-mp feq2i bitri mpbir unipw pweqi
      com dmmptg eqcomi unieqi 3eqtri pm3.2i 0elpw elexi fvmpt leidi wss adantl
      elpwi id eqtr2i eleqtrd adantr sstrd wb simpr elpwg mpbird fvmptd3 fvmpt2
      sylancl breq12d ralrimiva rgen sspwuni sylib vuniex fvmptd reseq1d resmpt
      eqtrd fveq2d nfv sge0z a1d pwexd mptexg eqeltrd isome ) ACUAJZCUBZKUCUDUE
      ZCUFZXQXQUGZLZMZNZUHCOKMZNZHUIZCOZIUIZCOZUJUKZHYHLZULZIYAULZNZYHVMUMUKZYH
      UGZCOZCYHUNZUOOZUJUKZUPZIXQLZULZNZUUDAYNUUCYEYMYCYDXSYBXSELZXRIUUEKUQZUFZ
      IUUEXRKUUFUUFURKXRJYHUUEJZUSPUTXSXQXRUUFUFUUGXQXRCUUFCBUUEKUQUUFGBIUUEKKB
      UIYHMKVAVBVCZVDXQUUEXRUUFXQUUFUBZUUECUUFUUIVEKQJZIUUEULUUJUUEMUUKIUUERVFI
      UUEKQVNVGVCZVHVIVJXQUUEUUEUGZLZYAUULUUNUUEUUMEEVKVLVOZUUMXTUUEXQXQUUEUULV
      OVPVLZVQVRUHUUEJYDEVSIUHKKUUECYHUHMKVAUUIKQRVTWAVGVRYLIYAYHYAJZYJHYKUUQYF
      YKJZNZYJKKUJUKZUUTUUSKRWBZPUUSYGKYIKUJUUSIYFKKUUECQUUIYHYFMKVAZUUSYFUUEJZ
      YFEWCZUUSYFYHEUURYFYHWCUUQYFYHWEWDUUQYHEWCZUURUUQUUHUVEUUQYHYAUUEUUQWFYAU
      UEMUUQUUEUUNYAUUOUUPWGPWHZYHEWESWIWJUUSUURUVCUVDWKUUQUURWLYFEYKWMSWNUUKUU
      SRPWOUUQYIKMZUURUUQUUHUUKUVGUVFRIUUEKQCUUIWPWQWIWRWNWSWTVRUUAIUUBYHUUBJZY
      TYOUVHYTUUTUUTUVHUVAPUVHYQKYSKUJUVHHYPKKUUECQCHUUEKUQZMUVHCUUFUVIUUIIHUUE
      KKUVBVBVCPZUVHYFYPMNKVAUVHYPUUEJZYPEWCZUVHYHUUEWCZUVLUVHYHUUELZJUVMUVHYHU
      UBUVNUVHWFZUUBUVNMUVHXQUUEUULVLPWHYHUUEWESZYHEXAXBUVHYPTJZUVKUVLWKUVQUVHI
      XCPYPETWMSWNUUKUVHRPXDUVHYSHYHKUQZUOOKUVHYRUVRUOUVHYRUVIYHUNZUVRUVHCUVIYH
      UVJXEUVHUVMUVSUVRMUVPHUUEYHKXFSXGXHUVHYHHUUBUVHHXIUVOXJXGWRWNXKWTVRPACTJX
      PUUDWKACUUFTCUUFMAUUIPAUUETJUUFTJAEDFXLIUUEKTXMSXNIHCTXOSWN $.
  $}

  ${
    $d A a n $.  $d A n y $.  $d B n y $.  $d F n y $.  $d O a n $.
    $d O n y $.  $d X a $.  $d X y $.  $d Y n y $.  $d a n ph $.  $d ph y $.
    isomenndlem.o $e |- ( ph -> O : ~P X --> ( 0 [,] +oo ) ) $.
    isomenndlem.o0 $e |- ( ph -> ( O ` (/) ) = 0 ) $.
    isomenndlem.y $e |- ( ph -> Y C_ ~P X ) $.
    isomenndlem.subadd $e |- ( ( ph /\ a : NN --> ~P X ) -> ( O ` U_ n e. NN (
       a ` n ) ) <_ ( sum^ ` ( n e. NN |-> ( O ` ( a ` n ) ) ) ) ) $.
    isomenndlem.b $e |- ( ph -> B C_ NN ) $.
    isomenndlem.f $e |- ( ph -> F : B -1-1-onto-> Y ) $.
    isomenndlem.a $e |- A = ( n e. NN |-> if ( n e. B , ( F ` n ) , (/) ) ) $.
    $( ` O ` is sub-additive w.r.t. countable indexed union, implies that ` O `
       is sub-additive w.r.t. countable union.  Thus, the definition of Outer
       Measure can be given using an indexed union.  Definition 113A of
       [Fremlin1] p. 19 .  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    isomenndlem $p |- ( ph -> ( O ` U. Y ) <_ ( sum^ ` ( O |` Y ) ) ) $=
      ( cn c0 wa wceq vy cuni cfv cres csumge0 cle wbr cv ciun cmpt cpw csn cun
      wf id wcel cif iftrue adantl wf1o f1of syl wss a1i fssd ffvelrnda eqeltrd
      ssun1 adantlr wn iffalse 0ex snid elun2 ax-mp pm2.61dan fmptd 0elpw snssi
      unssd wi nnex mptex eqeltri feq1 anbi2d fveq1 iuneq2d fveq2d simpl fveq1d
      cvv mpteq2dva breq12d imbi12d vtocl syl2anc wfo wrex wral ad2antrr eqcomd
      simpr adantr eleqtrd adantll ffvelrnd wb iftrued eqtrd feq1d mpbird f1ofo
      eqid dffo3 sylib simprd rspa nfv nfre1 w3a 3adant3 3ad2ant1 fvex 3ad2ant3
      ifex fvmpt2 3eqtrrd 3exp rexlimd mpd ralrimiva jca sylibr founiiun simprl
      sselda cxad co cc0 3adant1l rspe uniun unisn uneq2i 3eqtrri wpss necon3bi
      un0 wex wne df-pss pssnel ad2antll ad2antlr exlimimdd simplll elsni con3i
      ex elunnel2 foelrni sylancl simp3 eqtr2d uncom undif mpteq1d difexg ssexd
      cin disjdifr eldifi syldan sge0splitmpt sge0xrcl xaddid2d eldifn iffalsed
      cdif cpnf cicc sge0z oveq1d feqresmpt fveq2 sge0f1o eqidd 3eqtrd 3eqtr4d
      ) AHUBZFUCZFHUDZUEUCZUFUGDQDUHZBUCZUIZFUCZDQUWPFUCZUJZUEUCZUFUGZAAQGUKZBU
      NZUXBAUOAQHRULZUMZUXCBADQUWOCUPZUWOEUCZRUQZUXFBAUWOQUPZSZUXGUXIUXFUPZAUXG
      UXLUXJAUXGSZUXIUXHUXFUXGUXIUXHTZAUXGUXHRURZUSZACUXFUWOEACHUXFEACHEUTZCHEU
      NZOCHEVAVBZHUXFVCAHUXEVHVDVEVFVGVIAUXGVJZUXLUXJAUXTSZUXIRUXFUXTUXIRTZAUXG
      UXHRVKZUSRUXFUPZUYARUXEUPUYDRVLVMRUXEHVNVOVDVGVIVPPVQZAHUXEUXCLUXEUXCVCZA
      RUXCUPUYFGVRRUXCVSVOVDVTVEZAQUXCIUHZUNZSZDQUWOUYHUCZUIZFUCZDQUYKFUCZUJZUE
      UCZUFUGZWAAUXDSZUXBWAIBBDQUXIUJZWLPDQUXIWBWCWDUYHBTZUYJUYRUYQUXBUYTUYIUXD
      AQUXCUYHBWEWFUYTUYMUWRUYPUXAUFUYTUYLUWQFUYTDQUYKUWPUWOUYHBWGWHWIUYTUYOUWT
      UEUYTDQUYNUWSUYTUXJSZUYKUWPFVUAUWOUYHBUYTUXJWJWKWIWMWIWNWOMWPWQAUWLUWRUWN
      UXAUFAUWKUWQFACQTZUWKUWQTZAVUBSZQHBWRZVUCVUDQHBUNZUAUHZUWPTZDQWSZUAHWTZSV
      UEVUDVUFVUJVUDVUFQHDQUXHUJZUNZVUDDQUXHHVUKVUDUXJSCHUWOEAUXRVUBUXJUXSXAVUB
      UXJUXGAVUBUXJSZUWOQCVUBUXJXCVUBQCTUXJVUBCQVUBUOZXBXDXEZXFXGVUKXNVQVUBVUFV
      ULXHAVUBQHBVUKVUBBUYSVUKBUYSTVUBPVDZVUBDQUXIUXHVUMUXGUXHRVUOXIWMXJXKUSXLV
      UDVUIUAHVUDVUGHUPZSVUGUXHTZDCWSZVUIAVUQVUSVUBAVUQSZVUSUAHWTZVUQVUSAVVAVUQ
      AUXRVVAACHEWRZUXRVVASAUXQVVBOCHEXMVBZDUACHEXOXPXQXDAVUQXCZVUSUAHXRWQVIVUD
      VUSVUIWAVUQVUDVURVUIDCVUDDXSVUHDQXTZVUDUXGVURVUIVUDUXGVURYAUXJVUHVUIVUDUX
      GUXJVURVUBUXGUXJAVUBUXGSZUWOCQVUBUXGXCVUBUXGWJXEZXFYBVUBUXGVURVUHAVUBUXGV
      URYAUWPUWOUYSUCZUXHVUGVUBUXGUWPVVHTVURVUBUWOBUYSVUPWKYCVUBUXGVVHUXHTVURVV
      FVVHUXIUXHVVFUXJUXIWLUPZVVHUXITVVGVVIVVFUXGUXHRUWOEYDVLYFZVDDQUXIWLUYSUYS
      XNYGWQUXGUXNVUBUXOUSXJYBVURVUBUXHVUGTZUXGVURVUGUXHVURUOXBYEYHUUAVUHDQUUBZ
      WQYIYJXDYKYLYMDUAQHBXOYNDQHBYOVBAVUBVJZSZUWKUXFUBZUWQUWKVVOTVVNVVOUWKUXEU
      BZUMUWKRUMUWKHUXEUUCVVPRUWKRVLUUDUUEUWKUUIUUFVDVVNQUXFBWRZVVOUWQTVVNQUXFB
      UNZVUIUAUXFWTZSVVQVVNVVRVVSAVVRVVMUYEXDVVNVUIUAUXFVVNVUGUXFUPZSZVUGRTZVUI
      VVNVWBVUIVVTVVNVWBSZUXJUXTSZVUIDVWCDXSVVEVVNVWDDUUJZVWBVVNCQUUGZVWEVVNCQV
      CZCQUUKZSVWFVVNVWGVWHAVWGVVMNXDVVMVWHAVUBCQVUNUUHUSYMCQUULYNDCQUUMVBXDAVW
      BVWDVUIWAVVMAVWBSZVWDVUIVWIVWDSZUXJVUHVUIVWIUXJUXTYPVWJUWPUXIRVUGAVWDUWPU
      XITZVWBAVWDSZUXJVVIVWKAUXJUXTYPVVIVWLVVJVDDQUXIWLBPYGZWQVIUXTUYBVWIUXJUYC
      UUNVWBRVUGTAVWDVWBVUGRVWBUOXBUUOYHVVLWQUUTVIUUPVIVWAVWBVJZSAVUQVUIAVVMVVT
      VWNUUQVVTVWNVUQVVNVVTVWNSVVTVUGUXEUPZVJZVUQVVTVWNWJVWNVWPVVTVWOVWBVUGRUUR
      UUSUSVUGHUXEUVAWQXFVUTVVKDCWSZVUIVUTVVBVUQVWQAVVBVUQVVCXDVVDDCHEVUGUVBWQV
      UTVVKVUIDCVUTDXSVVEAUXGVVKVUIWAWAVUQAUXGVVKVUIAUXGVVKYAZUXJVUHVUIAUXGUXJV
      VKACQUWONYQZYBVWRUWPUXHVUGAUXGUWPUXHTVVKUXMUWPUXIUXHUXMUXJVVIVWKVWSVVJVWM
      UVCUXPXJZYBAUXGVVKUVDUVEVVLWQYIXDYJYKWQVPYLYMDUAQUXFBXOYNDQUXFBYOVBXJVPWI
      AUXADQCUVTZCUMZUWSUJZUEUCDVXAUWSUJZUEUCZDCUWSUJZUEUCZYRYSZUWNAUWTVXCUEADQ
      VXBUWSAVXBQAVXBCVXAUMZQVXBVXITAVXACUVFVDAVWGVXIQTNCQUVGXPXJXBUVHWIADVXACU
      WSWLWLADXSZVXAWLUPZAQWLUPZVXKWBQCWLUVIVOVDZACQWLVXLAWBVDNUVJZVXACUVKRTACQ
      UVLVDAUWOVXAUPZSZAUXJUWSYTUWAUWBYSZUPZAVXOWJZVXOUXJAUWOQCUVMUSZUXKUXCVXQU
      WPFAUXCVXQFUNZUXJJXDAQUXCUWOBUYGVFXGZWQAUXGUXJVXRVWSVYBUVNZUVOAYTVXGYRYSV
      XGVXHUWNAVXGAVXFWLCVXNADCUWSVXQVXFVYCVXFXNVQUVPUVQAVXEYTVXGYRAVXEDVXAYTUJ
      ZUEUCYTAVXDVYDUEADVXAUWSYTVXPUWSRFUCZYTVXPUWPRFVXPUWPUXIRVXPUXJVVIVWKVXTV
      VIVXPVVJVDVWMWQVXPUXGUXHRVXOUXTAUWOQCUVRUSUVSXJWIVXPAVYEYTTVXSKVBXJWMWIAV
      XADWLVXJVXMUWCXJUWDAUWNUAHVUGFUCZUJZUEUCVXGVXGAUWMVYGUEAUAUXCVXQHFJLUWEWI
      AHVYFCUWSUADEUWPWLAUAXSVXJVUGUWPFUWFVXNOUXMUWPUXHVWTXBVUTUXCVXQVUGFAVYAVU
      QJXDAHUXCVUGLYQXGUWGAVXGUWHUWIUWJYHWNXL $.
  $}

  ${
    $d O a f n x $.  $d O x y $.  $d X a $.  $d a f m n $.  $d a f n ph x $.
    $d ph x y $.
    isomennd.x $e |- ( ph -> X e. V ) $.
    isomennd.o $e |- ( ph -> O : ~P X --> ( 0 [,] +oo ) ) $.
    isomennd.o0 $e |- ( ph -> ( O ` (/) ) = 0 ) $.
    isomennd.le $e |- ( ( ph /\ x C_ X /\ y C_ x ) -> ( O ` y ) <_ ( O ` x ) )
                   $.
    isomennd.sa $e |- ( ( ph /\ a : NN --> ~P X ) -> ( O ` U_ n e. NN ( a ` n )
       ) <_ ( sum^ ` ( n e. NN |-> ( O ` ( a ` n ) ) ) ) ) $.
    $( Sufficient condition to prove that ` O ` is an outer measure.
       Definition 113A of [Fremlin1] p. 19 .  (Contributed by Glauco
       Siliprandi, 11-Oct-2020.) $)
    isomennd $p |- ( ph -> O e. OutMeas ) $=
      ( wcel cc0 cpw wceq wa c0 cfv vf vm come cdm cpnf cicc co wf cuni cle wbr
      cv wral com cdom cres csumge0 wi id fdm feq2d mpbird syl unipw a1i unieqd
      pweqi pweqd 3eqtr4rd jca31 simpl simpr eqtrd adantr eleqtrd elpwi adantrr
      wss adantl syl3anc ralrimivva 0le0 unieq uni0 fveq2d reseq2 sge00 breq12d
      res0 ad4ant14 wn wne neqne wf1o wex ssnnf1octb adantll cmpt ad2antrr ciun
      cif sylan adantlr simprl simprr eleq1w fveq2 ifbieq1d cbvmptv isomenndlem
      cn ex exlimdv mpd syl2anc pm2.61dan ralrimiva cvv wb pwexd fexd isome ) A
      EUCNZEUDZOUEUFUGZEUHZYDYDUIZPZQZRSETZOQZRZCULZETBULZETUJUKZCYNPZUMBYHUMZR
      YNUNUOUKZYNUIZETZEYNUPZUQTZUJUKZURZBYDPZUMZRZAYLYQUUFAYFYIYKAGPZYEEUHZYFJ
      UUIYFUUIUUIUSUUIYDUUHYEEUUHYEEUTZVAVBVCAUUHUIZPZUUHYHYDUULUUHQAUUKGGVDVGV
      EZAYGUUKAYDUUHAUUIYDUUHQJUUJVCZVFVHZUUNVIKVJAYOBCYHYPAYNYHNZYMYPNZRZRAYNG
      VRZYMYNVRZYOAUURVKAUUPUUSUUQAUUPRZYNUUHNUUSUVAYNYHUUHAUUPVLAYHUUHQUUPAYHU
      ULUUHUUOUUMVMVNVOYNGVPVCVQUURUUTAUUQUUTUUPYMYNVPVSVSLVTWAAUUDBUUEAYNUUENZ
      RZYRUUCUVCYRRZYNSQZUUCAUVEUUCUVBYRAUVERZUUCOOUJUKZUVGUVFWBVEUVFYTOUUBOUJU
      VFYTYJOUVEYTYJQAUVEYSSEUVEYSSUIZSYNSWCUVHSQUVEWDVEVMWEVSAYKUVEKVNVMUVEUUB
      OQAUVEUUBSUQTZOUVEUUASUQUVEUUAESUPZSYNSEWFUVJSQUVEEWIVEVMWEUVIOQUVEWGVEVM
      VSWHVBWJUVDUVEWKZRUVDYNSWLZUUCUVDUVKVKUVKUVLUVDYNSWMVSUVDUVLRZUAULZUDZXKV
      RZUVOYNUVNWNZRZUAWOZUUCYRUVLUVSUVCYNUAWPWQUVMUVRUUCUAUVCUVRUUCURYRUVLUVCU
      VRUUCUVCUVRRUBXKUBULZUVONZUVTUVNTZSXAZWRUVODUVNEGYNHAUUIUVBUVRJWSAYKUVBUV
      RKWSUVCYNUUHVRZUVRUVCYNUUHPZNUWDUVCYNUUEUWEAUVBVLAUUEUWEQUVBAYDUUHUUNVHVN
      VOYNUUHVPVCVNUVCXKUUHHULZUHZDXKDULZUWFTZWTETDXKUWIETWRUQTUJUKZUVRUVCAUWGU
      WJAUVBVKMXBXCUVCUVPUVQXDUVCUVPUVQXEUBDXKUWCUWHUVONZUWHUVNTZSXAUVTUWHQUWAU
      WKUWBUWLSUBDUVOXFUVTUWHUVNXGXHXIXJXLWSXMXNXOXPXLXQVJAEXRNYCUUGXSAUUHYEXRE
      JAGFIXTYABCEXRYBVCVB $.
  $}

  ${
    $d E a $.  $d O a $.  $d a ph $.
    caragenel2d.o $e |- ( ph -> O e. OutMeas ) $.
    caragenel2d.x $e |- X = U. dom O $.
    caragenel2d.s $e |- S = ( CaraGen ` O ) $.
    caragenel2d.e $e |- ( ph -> E e. ~P X ) $.
    caragenel2d.a $e |- ( ( ph /\ a e. ~P X ) -> ( ( O ` ( a i^i E ) ) +e ( O `
       ( a \ E ) ) ) <_ ( O ` a ) ) $.
    $( Membership in the Caratheodory's construction.  Similar to
       ~ carageneld , but here "less then or equal to" is used, instead of
       equality.  This is Remark 113D of [Fremlin1] p. 21.  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    caragenel2d $p |- ( ph -> E e. S ) $=
      ( cv cpw wcel wa cfv cxr wss adantl omexrcl cin cdif cxad co adantr inss1
      come elpwi sstrid ssdifssd xaddcl syl2anc omelesplit xrletrid carageneld
      ) ABCDEFGHIJAFLZEMNZOZUPCUAZDPZUPCUBZDPZUCUDZUPDPURUTQNVBQNVCQNURUSDEADUG
      NUQGUEZHUQUSERAUQUSUPEUPCUFUPEUHZUISTURVADEVDHUQVAERAUQUPECVEUJSTUTVBUKUL
      URUPDEVDHUQUPERAVESZTKURUPCDEVDHVFUMUNUO $.
  $}

  ${
    omege0.o $e |- ( ph -> O e. OutMeas ) $.
    omege0.x $e |- X = U. dom O $.
    omege0.a $e |- ( ph -> A C_ X ) $.
    $( If the outer measure of a set is greater than or equal to ` 0 ` .
       (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    omege0 $p |- ( ph -> 0 <_ ( O ` A ) ) $=
      ( cc0 cxr wcel cpnf cfv cicc co cle wbr 0xr a1i pnfxr omecl iccgelb
      syl3anc ) AHIJZKIJZBCLZHKMNJHUEOPUCAQRUDASRABCDEFGTHKUEUAUB $.
  $}

  ${
    omess0.o $e |- ( ph -> O e. OutMeas ) $.
    omess0.x $e |- X = U. dom O $.
    omess0.a $e |- ( ph -> A C_ X ) $.
    omess0.z $e |- ( ph -> ( O ` A ) = 0 ) $.
    omess0.s $e |- ( ph -> B C_ A ) $.
    $( If the outer measure of a set is ` 0 ` , then the outer measure of its
       subsets is ` 0 ` .  (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    omess0 $p |- ( ph -> ( O ` B ) = 0 ) $=
      ( cfv cc0 sstrd omexrcl cxr wcel 0xr a1i cle omessle breqtrd xrletrid
      omege0 ) ACDKZLACDEFGACBEJHMZNLOPAQRAUDBDKLSACBDEFGHJTIUAACDEFGUEUCUB $.
  $}

  ${
    $d E a $.  $d O a $.  $d a ph $.
    caragencmpl.o $e |- ( ph -> O e. OutMeas ) $.
    caragencmpl.x $e |- X = U. dom O $.
    caragencmpl.e $e |- ( ph -> E C_ X ) $.
    caragencmpl.z $e |- ( ph -> ( O ` E ) = 0 ) $.
    caragencmpl.s $e |- S = ( CaraGen ` O ) $.
    $( A measure built with the Caratheodory's construction is complete.  See
       Definition 112Df of [Fremlin1] p. 19.  This is Exercise 113Xa of
       [Fremlin1] p. 21.  (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    caragencmpl $p |- ( ph -> E e. S ) $=
      ( va wcel wss cvv come cfv cxad cc0 adantr adantl cpw unidmex ssexd elpwg
      wb syl mpbird cv wa cin cdif co cle wceq inss2 omess0 oveq1d difssd elpwi
      a1i cxr sstrd omexrcl xaddid2 eqtrd omessle eqbrtrd caragenel2d ) ABCDEKF
      GJACEUAZLZCEMZHACNLVJVKUEACENADOEFGUBHUCCENUDUFUGAKUHZVILZUIZVLCUJZDPZVLC
      UKZDPZQULZVRVLDPUMVNVSRVRQULZVRVNVPRVRQVNCVODEADOLVMFSZGAVKVMHSACDPRUNVMI
      SVOCMVNVLCUOUTUPUQVNVRVALVTVRUNVNVQDEWAGVMVQEMAVMVQVLEVMVLCURZVLEUSZVBTVC
      VRVDUFVEVNVQVLDEWAGVMVLEMAWCTVMVQVLMAWBTVFVGVH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Lebesgue measure on n-dimensional Real numbers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Proofs for most of the theorems in section 115 of [Fremlin1]
$)

  $c voln* $.

  $( Extend class notation with the class of Lebesgue outer measure for the
     space of multidimensional real numbers. $)
  covoln $a class voln* $.

  ${
    $d x y z i j k $.
    $( Define the outer measure for the space of multidimensional real numbers.
       The cardinality of ` x ` is the dimension of the space modeled.
       Definition 115C of [Fremlin1] p. 30.  (Contributed by Glauco Siliprandi,
       11-Oct-2020.) $)
    df-ovoln $a |- voln* = ( x e. Fin |-> ( y e. ~P ( RR ^m x ) |-> if ( x =
    (/) , 0 , inf ( { z e. RR* | E. i e. ( ( ( RR X. RR ) ^m x ) ^m NN ) ( y
    C_ U_ j e. NN X_ k e. x ( ( [,) o. ( i ` j ) ) ` k ) /\ z = ( sum^ ` ( j
    e. NN |-> prod_ k e. x ( vol ` ( ( [,) o. ( i ` j ) ) ` k ) ) ) ) ) } ,
    RR* , < ) ) ) ) $.
  $}

  $c voln $.

  $( Extend class notation with the class of Lebesgue measure for the space of
     multidimensional real numbers. $)
  cvoln $a class voln $.

  $( Define the Lebesgue measure for the space of multidimensional real
     numbers.  The cardinality of ` x ` is the dimension of the space modeled.
     Definition 115C of [Fremlin1] p. 30.  (Contributed by Glauco Siliprandi,
     11-Oct-2020.) $)
  df-voln $a |- voln = ( x e. Fin |-> ( ( voln* ` x ) |` ( CaraGen ` ( voln*
    ` x ) ) ) ) $.

  ${
    $d X x $.  $d ph x $.
    vonval.1 $e |- ( ph -> X e. Fin ) $.
    $( Value of the Lebesgue measure for a given finite dimension.
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    vonval $p |- ( ph -> ( voln ` X ) = ( ( voln* ` X ) |` ( CaraGen ` ( voln*
       ` X ) ) ) ) $=
      ( vx covoln cfv ccaragen cres cfn cvoln cvv df-voln fveq2 2fveq3 reseq12d
      cv wceq wcel fvex resex a1i fvmptd3 ) ADBDPZEFZUDGFZHBEFZUFGFZHZIJKDLUCBQ
      UDUFUEUGUCBEMUCBGENOCUHKRAUFUGBESTUAUB $.
  $}

  ${
    $d X i j k x y z $.  $d ph x $.
    ovnval.1 $e |- ( ph -> X e. Fin ) $.
    $( Value of the Lebesgue outer measure for a given finite dimension.
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    ovnval $p |- ( ph -> ( voln* ` X ) = ( y e. ~P ( RR ^m X ) |-> if ( X = (/)
       , 0 , inf ( { z e. RR* | E. i e. ( ( ( RR X. RR ) ^m X ) ^m NN ) ( y C_
       U_ j e. NN X_ k e. X ( ( [,) o. ( i ` j ) ) ` k ) /\ z = ( sum^ ` ( j e.
       NN |-> prod_ k e. X ( vol ` ( ( [,) o. ( i ` j ) ) ` k ) ) ) ) ) } , RR*
       , < ) ) ) ) $=
      ( vx cr cv cmap co c0 wceq cc0 cn cfv cmpt cxr cpw cico ccom cixp csumge0
      ciun wss cvol cprod wa cxp wrex crab clt cinf cif cfn covoln cvv df-ovoln
      oveq2 pweqd eqeq1 oveq1d ixpeq1 iuneq2d sseq2d wcel simpl prodeq1d fveq2d
      mpteq2dva anbi12d rexeqbidv rabbidv infeq1d ifbieq2d mpteq12dv ovex mptex
      eqeq2d pwex a1i fvmptd3 ) AIGBJIKZLMZUAZWENOZPBKZEQFWEFKUBEKZDKRUCRZUDZUF
      ZUGZCKZEQWEWKUHRZFUIZSZUERZOZUJZDJJUKZWELMZQLMZULZCTUMZTUNUOZUPZSBJGLMZUA
      ZGNOZPWIEQFGWKUDZUFZUGZWOEQGWPFUIZSZUERZOZUJZDXBGLMZQLMZULZCTUMZTUNUOZUPZ
      SZUQURUSIBCDEFUTWEGOZBWGXHXJYEYGWFXIWEGJLVAVBYGWHXKXGYDPWEGNVCYGTXFYCUNYG
      XEYBCTYGXAXSDXDYAYGXCXTQLWEGXBLVAVDYGWNXNWTXRYGWMXMWIYGEQWLXLFWEGWKVEVFVG
      YGWSXQWOYGWRXPUEYGEQWQXOYGWJQVHZUJWEGWPFYGYHVIVJVLVKWAVMVNVOVPVQVRHYFUSVH
      ABXJYEXIJGLVSWBVTWCWD $.
  $}

  ${
    $d A x $.  $d B x $.  $d X x $.  $d Y x $.
    elhoi.1 $e |- ( ph -> X e. V ) $.
    $( Membership in a multidimensional half-open interval.  (Contributed by
       Glauco Siliprandi, 11-Oct-2020.) $)
    elhoi $p |- ( ph -> ( Y e. ( ( A [,) B ) ^m X ) <-> ( Y : X --> RR* /\ A. x
       e. X ( Y ` x ) e. ( A [,) B ) ) ) ) $=
      ( cico co cmap wcel wf cxr cv wa cvv wb a1i jca wral ovexd elmapg syl2anc
      cfv wss icossxr fssd ffvelrn ralrimiva wfn ffn adantr simpr sylibr impbii
      id ffnfv bitrd ) AGCDIJZFKJLZFUTGMZFNGMZBOZGUEUTLZBFUAZPZAUTQLFELVAVBRACD
      IUBHUTFGQEUCUDVBVGRAVBVGVBVCVFVBFUTNGVBUQUTNUFVBCDUGSUHVBVEBFFUTVDGUIUJTV
      GGFUKZVFPVBVGVHVFVCVHVFFNGULUMVCVFUNTBFUTGURUOUPSUS $.
  $}

  ${
    $d x y z $.
    $( A closed-below, open-above real interval is measurable, when the bounds
       are real.  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    icoresmbl $p |- ran ( [,) |` ( RR X. RR ) ) C_ dom vol $=
      ( vx vy vz cico cr cxp cres crn cvol cdm wss wcel wral wceq wrex elicores
      cv co biimpi wa simpr cxr simpl rexr adantl icombl syl2anc adantr eqeltrd
      wi rexlimdva2 rexlimiv a1i mpd rgen dfss3 mpbir ) DEEFGHZIJZKAQZUSLZAURMV
      AAURUTURLZUTBQZCQZDRZNZCEOZBEOZVAVBVHBCUTPSVHVAUJVBVGVABEVCELZVFVACEVIVDE
      LZTZVFTUTVEUSVKVFUAVKVEUSLZVFVKVIVDUBLZVLVIVJUCVJVMVIVDUDUEVCVDUFUGUHUIUK
      ULUMUNUOAURUSUPUQ $.
  $}

  ${
    $d X k $.
    hoissre.1 $e |- ( ph -> I : X --> ( RR X. RR ) ) $.
    $( The projection of a half-open interval onto a single dimension is a
       subset of ` RR ` .  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    hoissre $p |- ( ( ph /\ k e. X ) -> ( ( [,) o. I ) ` k ) C_ RR ) $=
      ( cv wcel wa cico ccom cfv c1st c2nd co cr cxp wf adantr simpr syl fvovco
      cxr wss ffvelrnda xp1st xp2nd rexrd icossre syl2anc eqsstrd ) ABFZDGZHZUK
      ICJKUKCKZLKZUNMKZINZOUMCIOODUKADOOPZCQULERAULSUAUMUOOGZUPUBGUQOUCUMUNURGZ
      USADURUKCEUDZUNOOUETUMUPUMUTUPOGVAUNOOUFTUGUOUPUHUIUJ $.
  $}

  ${
    $d A i y z $.  $d M y $.  $d X i j k y z $.  $d ph y $.
    ovnval2.1 $e |- ( ph -> X e. Fin ) $.
    ovnval2.2 $e |- ( ph -> A C_ ( RR ^m X ) ) $.
    ovnval2.3 $e |- M = { z e. RR* | E. i e. ( ( ( RR X. RR ) ^m X ) ^m NN ) (
       A C_ U_ j e. NN X_ k e. X ( ( [,) o. ( i ` j ) ) ` k ) /\ z = ( sum^ ` (
       j e. NN |-> prod_ k e. X ( vol ` ( ( [,) o. ( i ` j ) ) ` k ) ) ) ) ) }
                 $.
    $( Value of the Lebesgue outer measure of a subset ` A ` of the space of
       multidimensional real numbers.  (Contributed by Glauco Siliprandi,
       11-Oct-2020.) $)
    ovnval2 $p |- ( ph -> ( ( voln* ` X ) ` A ) = if ( X = (/) , 0 , inf ( M ,
       RR* , < ) ) ) $=
      ( wceq cc0 cv cfv cr cmap cxr clt cvv vy c0 cico ccom cixp ciun wss cprod
      cn cvol cmpt csumge0 wa cxp co wrex crab cinf cif cpw covoln ovnval biidd
      sseq1 anbi1d rexbidv rabbidv eqtr4di infeq1d ifbieq2d wcel wb ovexd ssexd
      adantl elpwg syl mpbird c0ex infeq1i xrltso infex eqeltrid ifcld fvmptd
      a1i ) AUACHUBLZMUANZEUIFHFNUCENDNOUDOZUEUFZUGZBNEUIHWIUJOFUHUKULOLZUMZDPP
      UNHQUOUIQUOZUPZBRUQZRSURZUSZWGMGRSURZUSZPHQUOZUTZHVAOTAUABDEFHIVBWHCLZWRW
      TLAXCWGWGWQWSMXCWGVCXCRWPGSXCWPCWJUGZWLUMZDWNUPZBRUQZGXCWOXFBRXCWMXEDWNXC
      WKXDWLWHCWJVDVEVFVGKVHVIVJVOACXBVKZCXAUGZJACTVKXHXIVLACXATAPHQVMJVNCXATVP
      VQVRAWGMWSTMTVKAVSWFAWSXGRSURZTRGXGSKVTXJTVKARXGSWAWBWFWCWDWE $.
  $}

  $( The Lebesgue measure of a left-closed, right-open interval with real
     bounds, is real.  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
  volicorecl $p |- ( ( A e. RR /\ B e. RR ) -> ( vol ` ( A [,) B ) ) e. RR ) $=
    ( cr wcel wa cico cvol cfv clt wbr cmin cc0 cif volico simpr simpl resubcld
    co 0red ifcld eqeltrd ) ACDZBCDZEZABFRGHABIJZBAKRZLMCABNUDUEUFLCUDBAUBUCOUB
    UCPQUDSTUA $.

  ${
    $d X k $.
    hoiprodcl.1 $e |- F/ k ph $.
    hoiprodcl.2 $e |- ( ph -> X e. Fin ) $.
    hoiprodcl.3 $e |- ( ph -> I : X --> ( RR X. RR ) ) $.
    $( The pre-measure of half-open intervals is a nonnegative real.
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    hoiprodcl $p |- ( ph -> prod_ k e. X ( vol ` ( ( [,) o. I ) ` k ) ) e. ( 0
       [,) +oo ) ) $=
      ( cc0 cpnf cico cfv cvol cxr wcel a1i wbr co cr syl syl2anc cv ccom cprod
      0xr pnfxr wa c1st c2nd clt cmin cif cxp wf adantr fvovco fveq2d ffvelrnda
      simpr wceq xp1st xp2nd eqtrd resubcld 0red ifcld eqeltrd fprodreclf rexrd
      volico cdm cle icombl volge0 fprodge0 ltpnfd elicod ) AHIDBUAZJCUBKZLKZBU
      CZHMNAUDOIMNAUEOAVTADVSBEFAVQDNZUFZVSVQCKZUGKZWCUHKZUIPZWEWDUJQZHUKZRWBVS
      WDWEJQZLKZWHWBVRWILWBCJRRDVQADRRULZCUMWAGUNAWAURUOZUPWBWDRNZWERNZWJWHUSWB
      WCWKNZWMADWKVQCGUQZWCRRUTSZWBWOWNWPWCRRVASZWDWEVITVBWBWFWGHRWBWEWDWRWQVCW
      BVDVEVFZVGZVHADVSBEFWSWBVRLVJZNHVSVKPWBVRWIXAWLWBWMWEMNWIXANWQWBWEWRVHWDW
      EVLTVFVRVMSVNAVTWTVOVP $.
  $}

  ${
    $d I f $.  $d X f i j $.  $d X i j x $.  $d f i j ph $.  $d f y z $.
    $d ph x $.
    hoicvr.2 $e |- I = ( j e. NN |-> ( x e. X |-> <. -u j , j >. ) ) $.
    hoicvr.3 $e |- ( ph -> X e. Fin ) $.
    $( ` I ` is a countable set of half-open intervals that covers the whole
       multidimensional reals.  See Definition 1135 (b) of [Fremlin1] p. 29.
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    hoicvr $p |- ( ph -> ( RR ^m X ) C_ U_ j e. NN X_ i e. X ( ( [,) o. ( I ` j
       ) ) ` i ) ) $=
      ( c0 wceq cr cn cfv wcel a1i wa cabs cc syl2anc adantr vf vz vy cmap cico
      co cv ccom cixp ciun wss csn reex mapdm0 ax-mp oveq2 ixpeq1 iuneq2d ixp0x
      cvv iuneq2i wne c1 1nn ne0ii iunconst eqtri eqtrd 3eqtr4d eqimss syl wral
      adantl wn wrex simpll simpr simplr crn clt csup wbr rncoss absf frn sstri
      wor cfn ltso elmapi ax-resscn fssd fco rnffi cdm frnd fdmi eqcomi sseqtri
      wf sstrd dmcosseq fdmd eqnetrd neneqd dm0rn0 sylnib adantll ad2antrr c1st
      neqne c2nd id w3a cxr cz zssre ressxr sselid ffvelrnda renegcld 3ad2antl1
      cneg sylan syl21anc cle leabsd breqtrd wfun eqcomd eleqtrd syl31anc letrd
      mpbird lelttrd eqid fveq2d vex ralrimiva sylibr neqned fisupcl sseldd wfn
      syl13anc arch ffnd adantlr simplll ad3antlr simp2 nnxrd 3ad2ant1 3adant1l
      nnnegz nnre 3ad2antl2 n0i abscld absnegd syldan fimaxre2 sylancr elmapfun
      fvco absfun funco eleqtrdi wb fvelrn eqeltrd suprub simpl3 ltnegd negnegd
      dmfco mpbid ltled elicod adantl3r cmpt mptexg fvmpt2 fveq1d 3adant3 eqidd
      cop opex fvmptd 3ad2ant3 negex op1st op2nd oveq12d 3adant1r ad5ant135 cxp
      opelxpi ad2antlr fmptd feq1d ad4ant14 fvovco jca elixp reximdva mpd eliun
      ex dfss3 pm2.61dan ) AFIJZKFUDUFZDLCFCUGZUEDUGZEMZUHMZUIZUJZUKZUXLUXTAUXL
      UXMUXSJUXTUXLKIUDUFZIULZUXMUXSUYAUYBJZUXLKUTNUYCUMKUTUNUOOFIKUDUPUXLUXSDL
      CIUXQUIZUJZUYBUXLDLUXRUYDCFIUXQUQURUYEUYBJUXLUYEDLUYBUJZUYBDLUYDUYBUYDUYB
      JUXOLNZCUXQUSOVALIVBUYFUYBJVCLVDVEDLUYBVFUOVGOVHVIUXMUXSVJVKVMAUXLVNZPZUA
      UGZUXSNZUAUXMVLUXTUYIUYKUAUXMUYIUYJUXMNZPZUYJUXRNZDLVOZUYKUYMAUYLUYHUYOAU
      YHUYLVPUYIUYLVQAUYHUYLVRAUYLPZUYHPZQUYJUHZVSZKVTWAZUXOVTWBZDLVOZUYOUYQUYT
      KNZVUBUYQUYSKUYTUYSKUKZUYQUYSQVSZKQUYJWCRKQWTZVUEKUKWDRKQWEUOWFZOZUYQKVTW
      GZUYSWHNZUYSIVBZVUDUYTUYSNVUIUYQWIOUYPVUJUYHUYPFKUYRWTZFWHNZVUJUYPVUFFRUY
      JWTVULVUFUYPWDOUYPFKRUYJUYLFKUYJWTZAUYJKFWJZVMZKRUKUYPWKOWLFRKQUYJWMSAVUM
      UYLHTFKUYRWNSZTUYLUYHVUKAUYLUYHPZUYSIVURUYRWOZIJUYSIJVURVUSIVURVUSFIUYLVU
      SFJUYHUYLVUSUYJWOZFUYLUYJVSZQWOZUKVUSVUTJUYLVVAKVVBUYLFKUYJVUOWPKVVBUKUYL
      KRVVBWKVVBRRKQWDWQWRZWSOXAQUYJXBVKUYLFKUYJVUOXCZVHTUYHFIVBUYLFIXKVMXDXEUY
      RXFXGUUAXHZVUHKUYSVTUUBUUEUUCZUYTDUUFVKUYQVUAUYNDLUYQUYGPZVUAUYNVVGVUAPZU
      YJFUUDZUXNUYJMZUXQNZCFVLZPUYNVVHVVIVVLUYQVUAVVIUYGUYPVVIUYHVUAUYPFKUYJVUP
      UUGXIUUHVVHVVKCFVVHUXNFNZPZVVJUXNUXPMZXJMZVVOXLMZUEUFZUXQVVNVVJUXOYCZUXOU
      EUFZVVRUYPUYGVUAVVMVVJVVTNZUYHUYPUYGPZVUAPZVVMPUYPUYGVUAVVMVWAUYPUYGVUAVV
      MUUIUYGUYGUYPVUAVVMUYGXMZUUJVWBVUAVVMVRVWCVVMVQUYPUYGVUAXNZVVMPZVVSUXOVVJ
      VWEUYGVVMVVSXONZUYPUYGVUAUUKZUYGVWGVVMUYGXPXOVVSXPKXOXQXRWFUXOUUOZXSTYDVW
      EUYGVVMUXOXONZVWHUYGVWJVVMUYGUXOVWDUULTYDVWEFXOUXNUYJUYLUYGVUAFXOUYJWTAUY
      LUYGVUAXNZFKXOUYJUYLUYGVUNVUAVUOUUMKXOUKVWKXROWLUUNXTVWFVVSVVJVWFUXOUYGUY
      PVVMUXOKNZVUAUYGVWLVVMUXOUUPZTUUQZYAUYPUYGVVMVVJKNVUAUYPFKUXNUYJVUPXTYBZV
      WFVVSVVJYCZYCZVVJVTVWFVWPUXOVTWBVVSVWQVTWBVWFVWPUYTUXOVWFVVJVWOYAZUYPUYGV
      VMVUCVUAUYPVVMPAUYLUYHVUCAUYLVVMVPAUYLVVMVRVVMUYHUYPFUXNUURVMZVVFYEYBZVWN
      VWFVWPVVJQMZUYTVWRUYPUYGVVMVXAKNZVUAUYLVVMVXBAUYLVVMPZVVJVXCKRVVJWKUYLFKU
      XNUYJVUOXTZXSZUUSXHYBZVWTUYPUYGVVMVWPVXAYFWBZVUAUYLVVMVXGAVXCVWPVWPQMVXAY
      FVXCVWPVXCVVJVXDYAYGVXCVVJVXEUUTYHXHYBVWFVUDVUKUBUGUCUGYFWBUBUYSVLUCKVOZV
      XAUYSNZVXAUYTYFWBVUDVWFVUGOUYPUYGVVMVUKVUAUYPVVMUYHVUKVWSVVEUVAYBUYPUYGVV
      MVXHVUAUYPVXHVVMUYPVUDVUJVXHVUGVUQUCUBUYSUVBUVCTYBUYPUYGVVMVXIVUAUYLVVMVX
      IAVXCVXAUXNUYRMZUYSVXCVXJVXAVXCUYJYIZUXNVUTNZVXJVXAJUYLVXKVVMUYJKFUVDZTZV
      XCUXNFVUTUYLVVMVQUYLFVUTJVVMUYLVUTFVVDYJTYKZUXNQUYJUVESYJVXCUYRYIZUXNVUSN
      ZVXJUYSNUYLVXPVVMUYLQYIZVXKVXPVXRUYLUVFOVXMQUYJUVGSTVXCVXQVVJVVBNZVXCVVJR
      VVBVXEVVCUVHVXCVXKVXLVXQVXSUVIVXNVXOUXNQUYJUVPSYNUXNUYRUVJSUVKXHYBUCUBUYS
      VXAUVLYLZYMUYPUYGVUAVVMUVMZYOVWFVWPUXOVWRVWNUVNUVQVWFVVJVWFKRVVJWKVWOXSUV
      OYHUVRVWFVVJUYTUXOVWOVWTVWNVWFVVJVXAUYTVWOVXFVWTVWFVVJVWOYGVXTYMVYAYOUVSY
      LUVTUYPUYGVVMVVTVVRJZUYHVUAAUYGVVMVYBUYLAUYGVVMXNZVVRVVTVYCVVPVVSVVQUXOUE
      VYCVVPVVSUXOUWGZXJMZVVSVYCVVOVYDXJVYCVVOUXNBFVYDUWAZMZVYDAUYGVVOVYGJVVMAU
      YGPZUXNUXPVYFVYHUYGVYFUTNZUXPVYFJAUYGVQAVYIUYGAVUMVYIHBFVYDWHUWBVKTDLVYFU
      TEGUWCSZUWDUWEVVMAVYGVYDJUYGVVMBUXNVYDVYDFVYFUTVVMVYFUWFVYDVYDJVVMBUGZUXN
      JPVYDYPOVVMXMVYDUTNVVMVVSUXOUWHOUWIUWJVHZYQVYEVVSJVYCVVSUXOUXOUWKZDYRZUWL
      OVHVYCVVQVYDXLMZUXOVYCVVOVYDXLVYLYQVYOUXOJVYCVVSUXOVYMVYNUWMOVHUWNYJUWOUW
      PYKVVNUXQVVRVVNUXPUEKKFUXNVVGFKKUWQZUXPWTZVUAVVMAUYGVYQUYLUYHVYHVYQFVYPVY
      FWTVYHBFVYDVYPVYFUYGVYDVYPNZAVYKFNUYGVVSKNVWLVYRUYGXPKVVSXQVWIXSVWMVVSUXO
      KKUWRSUWSVYFYPUWTVYHFVYPUXPVYFVYJUXAYNUXBXIVVHVVMVQUXCYJYKYSUXDCFUXQUYJUA
      YRUXEYTUXIUXFUXGYEDUYJLUXRUXHYTYSUAUXMUXSUXJYTUXK $.
  $}

  ${
    $d X k $.  $d k ph $.
    hoissrrn.1 $e |- ( ph -> I : X --> ( RR X. RR ) ) $.
    $( A half-open interval is a subset of R^n .  (Contributed by Glauco
       Siliprandi, 11-Oct-2020.) $)
    hoissrrn $p |- ( ph -> X_ k e. X ( ( [,) o. I ) ` k ) C_ ( RR ^m X ) ) $=
      ( cv cico ccom cfv cixp ciun cmap co cr wss cvv wcel wral fvex a1i sylibr
      rgenw ixpssmapg ax-mp reex hoissre ralrimiva iunss mapss syl2anc sstrd )
      ABDBFZGCHZIZJZBDUNKZDLMZNDLMZUOUQOZAUNPQZBDRUSUTBDULUMSUBBDUNPUCUDTANPQZU
      PNOZUQUROVAAUETAUNNOZBDRVBAVCBDABCDEUFUGBDUNNUHUAUPNDPUIUJUK $.
  $}

  ${
    $d A i z $.  $d i j k z $.
    ovn0val.1 $e |- ( ph -> A C_ ( RR ^m (/) ) ) $.
    $( The Lebesgue outer measure (for the zero dimensional space of reals) of
       every subset is zero.  (Contributed by Glauco Siliprandi,
       11-Oct-2020.) $)
    ovn0val $p |- ( ph -> ( ( voln* ` (/) ) ` A ) = 0 ) $=
      ( vj vk vi vz c0 covoln cfv wceq cc0 cn cv cr cmap co cxr a1i eqid wss wa
      cico ccom cixp ciun cvol cmpt csumge0 cxp wrex crab clt cinf cif cfn wcel
      cprod 0fin ovnval2 iftrue ax-mp eqtrd ) ABHIJJHHKZLBDMEHENUCDNFNJUDJZUEUF
      UAGNDMHVEUGJEURUHUIJKUBFOOUJHPQMPQUKGRULZRUMUNZUOZLAGBFDEVFHHUPUQAUSSCVFT
      UTVHLKZAVDVIHTVDLVGVAVBSVC $.
  $}

  ${
    $d A i z $.  $d X i j k z $.
    ovnn0val.1 $e |- ( ph -> X e. Fin ) $.
    ovnn0val.2 $e |- ( ph -> X =/= (/) ) $.
    ovnn0val.3 $e |- ( ph -> A C_ ( RR ^m X ) ) $.
    ovnn0val.4 $e |- M = { z e. RR* | E. i e. ( ( ( RR X. RR ) ^m X ) ^m NN ) (
       A C_ U_ j e. NN X_ k e. X ( ( [,) o. ( i ` j ) ) ` k ) /\ z = ( sum^ ` (
       j e. NN |-> prod_ k e. X ( vol ` ( ( [,) o. ( i ` j ) ) ` k ) ) ) ) ) }
                  $.
    $( The value of a (multidimensional) Lebesgue outer measure, defined on a
       nonzero-dimensional space of reals.  (Contributed by Glauco Siliprandi,
       11-Oct-2020.) $)
    ovnn0val $p |- ( ph -> ( ( voln* ` X ) ` A ) = inf ( M , RR* , < ) ) $=
      ( covoln cfv c0 wceq cc0 cxr clt cinf cif ovnval2 neneqd iffalsed eqtrd )
      ACHMNNHOPZQGRSTZUAUGABCDEFGHIKLUBAUFQUGAHOJUCUDUE $.
  $}

  ${
    $d A a i z $.  $d X a i j k z $.  $d a ph $.
    ovnval2b.1 $e |- ( ph -> X e. Fin ) $.
    ovnval2b.2 $e |- ( ph -> A C_ ( RR ^m X ) ) $.
    ovnval2b.3 $e |- L = ( a e. ~P ( RR ^m X ) |-> { z e. RR* | E. i e. ( ( (
       RR X. RR ) ^m X ) ^m NN ) ( a C_ U_ j e. NN X_ k e. X ( ( [,) o. ( i ` j
       ) ) ` k ) /\ z = ( sum^ ` ( j e. NN |-> prod_ k e. X ( vol ` ( ( [,) o.
       ( i ` j ) ) ` k ) ) ) ) ) } ) $.
    $( Value of the Lebesgue outer measure of a subset ` A ` of the space of
       multidimensional real numbers.  (Contributed by Glauco Siliprandi,
       11-Oct-2020.) $)
    ovnval2b $p |- ( ph -> ( ( voln* ` X ) ` A ) = if ( X = (/) , 0 , inf ( ( L
       ` A ) , RR* , < ) ) ) $=
      ( cfv wceq cc0 cv cr cmap cxr cvv covoln c0 cico ccom cixp ciun wss cprod
      cn cvol cmpt csumge0 wa cxp wrex crab clt cinf cif eqid ovnval2 biidd cpw
      co cleq1lem rexbidv rabbidv ovexd ssexd elpwd wcel xrex rabex a1i fvmptd3
      eqcomd infeq1d ifbieq2d eqtrd ) ACHUAMMHUBNZOCEUIFHFPUCEPDPMUDMZUEUFZUGBP
      EUIHWAUJMFUHUKULMNZUMZDQQUNHRVDUIRVDZUOZBSUPZSUQURZUSVTOCGMZSUQURZUSABCDE
      FWGHJKWGUTVAAVTVTWHWJOAVTVBASWGWIUQAWIWGAICIPZWBUGWCUMZDWEUOZBSUPWGQHRVDZ
      VCGTLWKCNZWMWFBSWOWLWDDWEWCWKCWBVEVFVGACWNTACWNTAQHRVHKVIKVJWGTVKAWFBSVLV
      MVNVOVPVQVRVS $.
  $}

  ${
    $d A x y $.  $d x y z $.
    $( The Lebesgue measure of a left-closed, right-open interval with real
       bounds, is real.  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    volicorescl $p |- ( A e. ran ( [,) |` ( RR X. RR ) ) -> ( vol ` A ) e. RR )
                    $=
      ( vx vy vz cico cr cres crn wcel cv wceq wrex cfv wa cxr ressxr wi adantr
      cvol mpd cxp co cle wbr crab cmpo df-ico reseq1i resmpo mp2an eqtri rneqi
      clt eleq2i biimpi eqid xrex rabex elrnmpo sylib simpr sseli adantl icoval
      wss syl2anc eqcomd eqtrd ex adantll reximdva fveq2 volicorecl eqeltrd a1i
      rexlimdvv 2a1d ) AEFFUAZGZHZIZABJZCJZEUBZKZCFLZBFLZASMZFIZWAAWBDJZUCUDWJW
      CUMUDNZDOUEZKZCFLZBFLZWGWAABCFFWLUFZHZIZWOWAWRVTWQAVSWPVSBCOOWLUFZVRGZWPE
      WSVRBCDUGUHFOVEZXAWTWPKPPBCOOFFWLUIUJUKULUNUOBCFFWLAWPWPUPWKDOUQURUSUTWAW
      NWFBFWAWBFIZNWMWECFXBWCFIZWMWEQWAXBXCNZWMWEXDWMNAWLWDXDWMVAXDWLWDKWMXDWDW
      LXDWBOIZWCOIZWDWLKXBXEXCFOWBPVBRXCXFXBFOWCPVBVCDWBWCVDVFVGRVHVIVJVKVKTZWA
      WEWIBCFFWAWIXDWEWAWGWIXGWAWEWIBCFFXDWEWIQQWAXDWEWIXDWENWHWDSMZFWEWHXHKXDA
      WDSVLVCXDXHFIWEWBWCVMRVNVIVOVPTVQVPT $.
  $}

  ${
    $d X k $.
    ovnprodcl.kph $e |- F/ k ph $.
    ovnprodcl.x $e |- ( ph -> X e. Fin ) $.
    ovnprodcl.f $e |- ( ph -> F : NN --> ( ( RR X. RR ) ^m X ) ) $.
    ovnprodcl.i $e |- ( ph -> I e. NN ) $.
    $( The product used in the definition of the outer Lebesgue measure in R^n
       is a nonnegative real.  (Contributed by Glauco Siliprandi,
       11-Oct-2020.) $)
    ovnprodcl $p |- ( ph -> prod_ k e. X ( vol ` ( ( [,) o. ( F ` I ) ) ` k ) )
       e. ( 0 [,) +oo ) ) $=
      ( cfv cr cxp cmap co wcel wf cn ffvelrnd elmapi syl hoiprodcl ) ABDCJZEFG
      AUBKKLZEMNZOEUCUBPAQUDDCHIRUBUCESTUA $.
  $}

  ${
    $d I i k $.  $d X i k $.  $d i ph $.
    hoiprodcl2.kph $e |- F/ k ph $.
    hoiprodcl2.x $e |- ( ph -> X e. Fin ) $.
    hoiprodcl2.l $e |- L = ( i e. ( ( RR X. RR ) ^m X ) |-> prod_ k e. X ( vol
       ` ( ( [,) o. i ) ` k ) ) ) $.
    hoiprodcl2.i $e |- ( ph -> I : X --> ( RR X. RR ) ) $.
    $( The pre-measure of half-open intervals is a nonnegative real.
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    hoiprodcl2 $p |- ( ph -> ( L ` I ) e. ( 0 [,) +oo ) ) $=
      ( cfv cv cico ccom cvol cprod co cr wceq wcel cc0 cpnf cmap fveq1d fveq2d
      cxp coeq2 ralrimivw prodeq2d wf cvv cfn wa wb reex xpex a1i elmapg mpbird
      jca syl hoiprodcl fvmptd3 eqeltrd ) ADEKFCLZMDNZKZOKZCPZUAUBMQZABDFVEMBLZ
      NZKZOKZCPVIRRUFZFUCQZEVJIVKDSZFVNVHCVQVNVHSCFVQVMVGOVQVEVLVFVKDMUGUDUEUHU
      IADVPTZFVODUJZJAVOUKTZFULTZUMVRVSUNAVTWAVTARRUOUOUPUQHUTVOFDUKULURVAUSACD
      FGHJVBZVCWBVD $.
  $}

  ${
    $d X i j k $.  $d X j k l $.  $d Y i $.  $d j k l ph $.
    hoicvrrex.fi $e |- ( ph -> X e. Fin ) $.
    hoicvrrex.y $e |- ( ph -> Y C_ ( RR ^m X ) ) $.
    $( Any subset of the multidimensional reals can be covered by a countable
       set of half-open intervals, see Definition 115A (b) of [Fremlin1] p. 29.
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    hoicvrrex $p |- ( ph -> E. i e. ( ( ( RR X. RR ) ^m X ) ^m NN ) ( Y C_ U_ j
       e. NN X_ k e. X ( ( [,) o. ( i ` j ) ) ` k ) /\ +oo = ( sum^ ` ( j e. NN
       |-> prod_ k e. X ( vol ` ( ( [,) o. ( i ` j ) ) ` k ) ) ) ) ) ) $=
      ( cn cmpt cr co wcel cico cfv cpnf wceq syl2anc cvv a1i cneg cop cxp cmap
      vl cv ccom cixp ciun wss cvol cprod csumge0 wa wrex nnre renegcld opelxpi
      wf ad2antlr eqid fmptd cfn reex xpex elmapg adantr mpbird ovex nnex elmap
      sylibr hoicvr eqidd cbvmptv mpteq2i fveq1d ixpeq2dv iuneq2d sseqtrd sstrd
      wb coeq2d cmul chash cexp c1st c2nd simpr elexd fvmpt2 fmpt3d fvovco opex
      c2 adantlr eqtrd fveq2d negex vex op1st op2nd oveq12d clt wbr cmin volico
      cc0 cif crp nnrp neglt syl iftrued caddc subnegd 2timesd eqtr4d prodeq2dv
      recnd 3eqtrd cc 2cnd adantl mulcld fprodconst mpteq2dva cicc ssriv eqcomi
      cioo ioorp sseqtri ioossicc sstri sge0xrcl c1 nfcv nfmpt1 nfeq cn0 hashcl
      2nn nnmulcld nnexpcl sselid cxr pnfxr 1nn sselii wn 1rp sge0rpcpnf eqcomd
      nnnfi xreqled nfv fvmptelrn nnge1d sge0lempt xrletrd xrgepnfd 3eqtrrd jca
      nfmpt fveq1 ixpeq2d iuneq2df sseq2d wral ralrimi prodeq2d mpteq2da eqeq2d
      a1d anbi12d rspcev ) ACIDECUFZUAZUVRUBZJZJZKKUCZEUDLZIUDLZMZFCIDEDUFZNUVR
      UWBOZUGZOZUHZUIZUJZPCIEUWJUKOZDULZJZUMOZQZUNZFCIDEUWGNUVRBUFZOZUGZOZUHZUI
      ZUJZPCIEUXCUKOZDULZJZUMOZQZUNZBUWEUOAIUWDUWBUSUWFACIUWAUWDUWBAUVRIMZUNZUW
      AUWDMZEUWCUWAUSZUXNDEUVTUWCUWAUXMUVTUWCMZAUWGEMZUXMUVSKMZUVRKMZUXQUXMUVRU
      VRUPZUQZUYAUVSUVRKKURRUTZUWAVAZVBAUXOUXPWBZUXMAUWCSMZEVCMZUYEUYFAKKVDVDVE
      TGUWCEUWASVCVFRVGVHZUWBVAZVBUWDIUWBUWCEUDVIVJVKVLAUWMUWRAFKEUDLZUWLHAUYJC
      IDEUWGNUVRCIUEEUVTJZJZOZUGZOZUHZUIUWLAUEDCUYLEUYLVAGVMACIUYPUWKADEUYOUWJA
      UWGUYNUWIAUYMUWHNAUVRUYLUWBUYLUWBQACIUYKUWAUEDEUVTUVTUEUFUWGQUVTVNVOVPTVQ
      WCVQVRVSVTWAAUWQCIWOUVRWDLZEWEOZWFLZJZUMOZPPAUWPUYTUMACIUWOUYSUXNUWOEUYQD
      ULZUYSUXNEUWNUYQDUXNUXRUNZUWNUVSUVRNLZUKOZUYQVUCUWJVUDUKVUCUWJUWGUWHOZWGO
      ZVUFWHOZNLVUDVUCUWHNKKEUWGUXNEUWCUWHUSUXRUXNDEUVTUWCUWHUXNUXMUWASMUWHUWAQ
      AUXMWIZUXNUWAUWDUYHWJCIUWASUWBUYIWKRZUYCWLVGUXNUXRWIWMVUCVUGUVSVUHUVRNVUC
      VUGUVTWGOZUVSVUCVUFUVTWGVUCVUFUWGUWAOZUVTUXNVUFVULQUXRUXNUWGUWHUWAVUJVQVG
      AUXRVULUVTQZUXMAUXRUNZUXRUVTSMZVUMAUXRWIVUOVUNUVSUVRWNTDEUVTSUWAUYDWKRWPW
      QZWRVUKUVSQVUCUVSUVRUVRWSZCWTZXATWQVUCVUHUVTWHOZUVRVUCVUFUVTWHVUPWRVUSUVR
      QVUCUVSUVRVUQVURXBTWQXCWQWRUXMVUEUYQQAUXRUXMVUEUVSUVRXDXEZUVRUVSXFLZXHXIZ
      VVAUYQUXMUXSUXTVUEVVBQUYBUYAUVSUVRXGRUXMVUTVVAXHUXMUVRXJMVUTUVRXKZUVRXLXM
      XNUXMVVAUVRUVRXOLUYQUXMUVRUVRUXMUVRUYAXTZVVDXPUXMUVRVVDXQXRYAUTWQXSUXNUYG
      UYQYBMVUBUYSQAUYGUXMGVGUXNWOUVRUXNYCUXMUVRYBMAVVDYDYEEUYQDYFRWQYGWRAVUAAU
      YTSIISMAVJTZACIUYSXHPYHLZUYTUXNIVVFUYSIXHPYKLZVVFIXJVVGCIXJVVCYIVVGXJYLYJ
      YMXHPYNYOZUXNUYQIMUYRUUAMZUYSIMUXNWOUVRWOIMUXNUUCTVUIUUDAVVIUXMAUYGVVIGEU
      UBXMVGUYQUYRUUERZUUFZUYTVAVBYPZAPCIYQJZUMOZVUAPUUGMAUUHTZAVVMSIVVEACIYQVV
      FVVMYQVVFMUXNIVVFYQVVHUUIUUJTVVMVAVBZYPVVLAPVVNVVOAVVNPACIYQSVVEIVCMUUKAU
      UOTYQXJMAUULTUUMUUNUUPACIYQUYSSACUUQVVEACIYQVVFVVPUURVVKUXNUYSVVJUUSUUTUV
      AUVBAPVNUVCUVDUXLUWSBUWBUWEUWTUWBQZUXFUWMUXKUWRVVQUXEUWLFVVQCIUXDUWKCUWTU
      WBCUWTYRCIUWAYSYTZVVQUXDUWKQUXMVVQDEUXCUWJDUWTUWBDUWTYRDCIUWADIYRDEUVTYSU
      VEYTZVVQUXCUWJQUXRVVQUWGUXBUWIVVQUXAUWHNUVRUWTUWBUVFWCVQZVGUVGVGUVHUVIVVQ
      UXJUWQPVVQUXIUWPUMVVQCIUXHUWOVVRVVQUXMUNEUXGUWNDVVQUXGUWNQZDEUVJUXMVVQVWA
      DEVVSVVQVWAUXRVVQUXCUWJUKVVTWRUVOUVKVGUVLUVMWRUVNUVPUVQR $.
  $}

  ${
    $d X j k $.  $d i j k ph $.  $d i ph z $.
    ovnsupge0.1 $e |- ( ph -> X e. Fin ) $.
    ovnsupge0.2 $e |- ( ph -> A C_ ( RR ^m X ) ) $.
    ovnsupge0.3 $e |- M = { z e. RR* | E. i e. ( ( ( RR X. RR ) ^m X ) ^m NN )
       ( A C_ U_ j e. NN X_ k e. X ( ( [,) o. ( i ` j ) ) ` k ) /\ z = ( sum^ `
       ( j e. NN |-> prod_ k e. X ( vol ` ( ( [,) o. ( i ` j ) ) ` k ) ) ) ) )
       } $.
    $( The set used in the definition of the Lebesgue outer measure is a subset
       of the nonnegative extended reals.  This is a substep for (a)(i) of the
       proof of Proposition 115D (a) of [Fremlin1] p. 30.  (Contributed by
       Glauco Siliprandi, 11-Oct-2020.) $)
    ovnsupge0 $p |- ( ph -> M C_ ( 0 [,] +oo ) ) $=
      ( cn cv cfv wa co cxr cc0 cpnf wcel cico ccom cixp ciun wss cprod csumge0
      cvol cmpt wceq cr cxp cmap wrex crab cicc wi wral w3a simp3 nnex icossicc
      cvv a1i nfv ad2antrr wf elmapi ad2antlr simpr ovnprodcl sselid eqid fmptd
      cfn sge0cl 3adant3 eqeltrd 3adant3l 3exp adantr rexlimdv ralrimiva sylibr
      rabss eqsstrid ) AGCELFHFMUAEMZDMZNUBNZUCUDUEZBMZELHWIUHNFUFZUIZUGNZUJZOZ
      DUKUKULHUMPZLUMPZUNZBQUOZRSUPPZKAWSWKXATZUQZBQURWTXAUEAXCBQAWKQTZOWPXBDWR
      AWHWRTZWPXBUQUQXDAXEWPXBAXEWOXBWJAXEWOUSWKWNXAAXEWOUTAXEWNXATWOAXEOZWMVCL
      LVCTXFVAVDXFELWLXAWMXFWGLTZOZRSUAPXAWLRSVBXHFWHWGHXHFVEAHVOTXEXGIVFXELWQW
      HVGAXGWHWQLVHVIXFXGVJVKVLWMVMVNVPVQVRVSVTWAWBWCWSBQXAWEWDWF $.
  $}

  ${
    $d A i z $.  $d I i j k z $.  $d L i z $.  $d X i j k z $.  $d i j k ph $.
    ovnlecvr.x $e |- ( ph -> X e. Fin ) $.
    ovnlecvr.n0 $e |- ( ph -> X =/= (/) ) $.
    ovnlecvr.l $e |- L = ( i e. ( ( RR X. RR ) ^m X ) |-> prod_ k e. X ( vol `
       ( ( [,) o. i ) ` k ) ) ) $.
    ovnlecvr.i $e |- ( ph -> I : NN --> ( ( RR X. RR ) ^m X ) ) $.
    ovnlecvr.ss $e |- ( ph -> A C_ U_ j e. NN X_ k e. X ( ( [,) o. ( I ` j ) )
       ` k ) ) $.
    $( Given a subset of multidimensional reals and a set of half-open
       intervals that covers it, the Lebesgue outer measure of the set is
       bounded by the generalized sum of the pre-measure of the half-open
       intervals.  The statement would also be true with ` X ` the empty set,
       but covers are not used for the zero-dimensional case.  (Contributed by
       Glauco Siliprandi, 11-Oct-2020.) $)
    ovnlecvr $p |- ( ph -> ( ( voln* ` X ) ` A ) <_ ( sum^ ` ( j e. NN |-> ( L
       ` ( I ` j ) ) ) ) ) $=
      ( cfv cn cico wceq wa wcel cvv vz covoln cv ccom cixp ciun wss cvol cprod
      cmpt csumge0 cr cxp cmap wrex cxr crab clt cinf cle wral ffvelrnda elmapi
      co syl hoissrrn ralrimiva iunss sylibr sstrd eqid ovnn0val wbr ssrab2 a1i
      wf nnex cc0 cpnf icossicc nfv cfn adantr hoiprodcl2 sselid fmptd sge0xrcl
      cicc wb ovex pm3.2i elmapg ax-mp fveq1d fveq2d prodeq2ad prodex mpteq2dva
      coeq2 fvmptd3 fveq1 coeq2d ixpeq2d iuneq2d sseq2d mpteq2dv eqeq2d anbi12d
      jca rspcev syl2anc eqeq1 anbi2d rexbidv elrab infxrlb eqbrtrd ) ABHUBNNBD
      OEHEUCZPDUCZCUCZNZUDZNZUEZUFZUGZUAUCZDOHYCUHNZEUIZUJZUKNZQZRZCULULUMZHUNV
      DZOUNVDZUOZUAUPUQZUPURUSZDOXSFNZGNZUJZUKNZUTAUABCDEYRHIJABDOEHXRPYTUDZNZU
      EZUFZULHUNVDZMAUUFUUHUGZDOVAUUGUUHUGAUUIDOAXSOSZRZEYTHUUKYTYOSHYNYTVPAOYO
      XSFLVBZYTYNHVCVEZVFVGDOUUFUUHVHVIVJYRVKVLAYRUPUGZUUCYRSZYSUUCUTVMUUNAYQUA
      UPVNVOAUUCUPSZYFUUCYKQZRZCYPUOZRUUOAUUPUUSAUUBTOOTSZAVQVOADOUUAVRVSWHVDZU
      UBUUKVRVSPVDUVAUUAVRVSVTUUKCEYTGHUUKEWAAHWBSUUJIWCKUUMWDWEUUBVKWFWGAFYPSZ
      BUUGUGZUUCDOHUUEUHNZEUIZUJZUKNZQZRZUUSAOYOFVPZUVBLYOTSZUUTRUVBUVJWIUVKUUT
      YNHUNWJVQWKYOOFTTWLWMVIAUVCUVHMAUUBUVFUKADOUUAUVEUUKCYTHXRPXTUDZNZUHNZEUI
      UVEYOGTKXTYTQZHUVNUVDEUVOUVMUUEUHUVOXRUVLUUDXTYTPWSWNWOWPUULUVETSUUKHUVDE
      WQVOWTWRWOXIUURUVICFYPXTFQZYFUVCUUQUVHUVPYEUUGBUVPDOYDUUFUVPEHYCUUEUVPEWA
      UVPYCUUEQXRHSUVPXRYBUUDUVPYAYTPXSXTFXAXBWNZWCXCXDXEUVPYKUVGUUCUVPYJUVFUKU
      VPDOYIUVEUVPHYHUVDEUVPYCUUEUHUVQWOWPXFWOXGXHXJXKXIYQUUSUAUUCUPYGUUCQZYMUU
      RCYPUVRYLUUQYFYGUUCYKXLXMXNXOVIYRUUCXPXKXQ $.
  $}

  ${
    $d A i z $.  $d X i j k z $.  $d j k ph $.
    ovnpnfelsup.1 $e |- ( ph -> X e. Fin ) $.
    ovnpnfelsup.2 $e |- ( ph -> A C_ ( RR ^m X ) ) $.
    ovnpnfelsup.3 $e |- M = { z e. RR* | E. i e. ( ( ( RR X. RR ) ^m X ) ^m NN
       ) ( A C_ U_ j e. NN X_ k e. X ( ( [,) o. ( i ` j ) ) ` k ) /\ z = ( sum^
       ` ( j e. NN |-> prod_ k e. X ( vol ` ( ( [,) o. ( i ` j ) ) ` k ) ) ) )
       ) } $.
    $( ` +oo ` is an element of the set used in the definition of the Lebesgue
       outer measure.  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    ovnpnfelsup $p |- ( ph -> +oo e. M ) $=
      ( cpnf cn cv cfv wceq wa cr cmap cxr cico ccom cixp ciun wss cvol csumge0
      cprod cmpt cxp co wrex crab wcel pnfxr a1i hoicvrrex eqeq1 anbi2d rexbidv
      jca elrab sylibr eqcomi eleqtrd ) ALCEMFHFNUAENDNOUBOZUCUDUEZBNZEMHVFUFOF
      UHUIUGOZPZQZDRRUJHSUKMSUKZULZBTUMZGALTUNZVGLVIPZQZDVLULZQLVNUNAVOVRVOAUOU
      PADEFHCIJUQVAVMVRBLTVHLPZVKVQDVLVSVJVPVGVHLVIURUSUTVBVCVNGPAGVNKVDUPVE $.
  $}

  ${
    $d A i z $.  $d B i z $.  $d X i j k z $.  $d i ph z $.
    ovnsslelem.1 $e |- ( ph -> X e. Fin ) $.
    ovnsslelem.2 $e |- ( ph -> X =/= (/) ) $.
    ovnsslelem.3 $e |- ( ph -> A C_ B ) $.
    ovnsslelem.4 $e |- ( ph -> B C_ ( RR ^m X ) ) $.
    ovnsslelem.5 $e |- M = { z e. RR* | E. i e. ( ( ( RR X. RR ) ^m X ) ^m NN )
       ( A C_ U_ j e. NN X_ k e. X ( ( [,) o. ( i ` j ) ) ` k ) /\ z = ( sum^ `
       ( j e. NN |-> prod_ k e. X ( vol ` ( ( [,) o. ( i ` j ) ) ` k ) ) ) ) )
       } $.
    ovnsslelem.6 $e |- N = { z e. RR* | E. i e. ( ( ( RR X. RR ) ^m X ) ^m NN )
       ( B C_ U_ j e. NN X_ k e. X ( ( [,) o. ( i ` j ) ) ` k ) /\ z = ( sum^ `
       ( j e. NN |-> prod_ k e. X ( vol ` ( ( [,) o. ( i ` j ) ) ` k ) ) ) ) )
       } $.
    $( The (multidimensional, nonzero-dimensional) Lebesgue outer measure of a
       subset is less than the L.o.m. of the whole set.  This is step (iii) of
       the proof of Proposition 115D (a) of [Fremlin1] p. 30.  (Contributed by
       Glauco Siliprandi, 11-Oct-2020.) $)
    ovnsslelem $p |- ( ph -> ( ( voln* ` X ) ` A ) <_ ( ( voln* ` X ) ` B ) )
                 $=
      ( cfv cxr wss cv covoln cle wbr clt cinf cn cico ccom cixp ciun cvol cmpt
      cprod csumge0 wceq wa cr cxp cmap co wrex crab wi wral adantr simpr sstrd
      adantrr id ad2antll jca ex reximdv ralrimivw ss2rab sylibr sseq12d mpbird
      a1i ssrab2 eqsstri infxrss syl2anc ovnn0val breq12d ) ACJUAQZQZDWFQZUBUCH
      RUDUEZIRUDUEZUBUCZAIHSZHRSZWKAWLDFUFGJGTUGFTETQUHQZUIUJZSZBTFUFJWNUKQGUMU
      LUNQUOZUPZEUQUQURJUSUTUFUSUTZVAZBRVBZCWOSZWQUPZEWSVAZBRVBZSZAWTXDVCZBRVDX
      FAXGBRAWRXCEWSAWRXCAWRUPXBWQAWPXBWQAWPUPCDWOACDSWPMVEAWPVFVGVHWQWQAWPWQVI
      VJVKVLVMVNWTXDBRVOVPAIXAHXEIXAUOAPVSHXEUOAOVSVQVRWMAHXEROXDBRVTWAVSIHWBWC
      AWGWIWHWJUBABCEFGHJKLACDUQJUSUTMNVGOWDABDEFGIJKLNPWDWEVR $.
  $}

  ${
    $d A i z $.  $d B i z $.  $d X i j k z $.  $d i j k ph z $.
    ovnssle.1 $e |- ( ph -> X e. Fin ) $.
    ovnssle.2 $e |- ( ph -> A C_ B ) $.
    ovnssle.3 $e |- ( ph -> B C_ ( RR ^m X ) ) $.
    $( The (multidimensional) Lebesgue outer measure of a subset is less than
       the L.o.m. of the whole set.  This is step (iii) of the proof of
       Proposition 115D (a) of [Fremlin1] p. 30.  (Contributed by Glauco
       Siliprandi, 11-Oct-2020.) $)
    ovnssle $p |- ( ph -> ( ( voln* ` X ) ` A ) <_ ( ( voln* ` X ) ` B ) ) $=
      ( vz vi vj vk c0 wceq cfv wa cc0 cr cmap co adantr cle wbr 0le0 a1i fveq2
      covoln fveq1d adantl wss simpr oveq2d sseqtrd sstrd ovn0val eqtrd breq12d
      mpbird wn cn cv cico ccom cixp ciun cvol cprod cmpt csumge0 cxp wrex crab
      cxr cfn wcel wne neqne eqid ovnsslelem pm2.61dan ) ADLMZBDUFNZNZCWANZUAUB
      ZAVTOZWDPPUAUBZWFWEUCUDWEWBPWCPUAWEWBBLUFNZNZPVTWBWHMAVTBWAWGDLUFUEZUGUHW
      EBWEBCQLRSZABCUIZVTFTWECQDRSZWJACWLUIZVTGTWEDLQRAVTUJUKULZUMUNUOWEWCCWGNZ
      PVTWCWOMAVTCWAWGWIUGUHWECWNUNUOUPUQAVTURZOHBCIJKBJUSKDKUTVAJUTIUTNVBNZVCV
      DZUIHUTJUSDWQVENKVFVGVHNMZOIQQVIDRSUSRSZVJHVLVKZCWRUIWSOIWTVJHVLVKZDADVMV
      NWPETWPDLVOADLVPUHAWKWPFTAWMWPGTXAVQXBVQVRVS $.
  $}

  ${
    $d A i z $.  $d A w z $.  $d E w z $.  $d M w $.  $d M x y $.
    $d X i j k z $.  $d X w z $.  $d i j k ph z $.  $d ph w z $.  $d ph x $.
    ovnlerp.x $e |- ( ph -> X e. Fin ) $.
    ovnlerp.n0 $e |- ( ph -> X =/= (/) ) $.
    ovnlerp.a $e |- ( ph -> A C_ ( RR ^m X ) ) $.
    ovnlerp.e $e |- ( ph -> E e. RR+ ) $.
    ovnlerp.m $e |- M = { z e. RR* | E. i e. ( ( ( RR X. RR ) ^m X ) ^m NN ) (
       A C_ U_ j e. NN X_ k e. X ( ( [,) o. ( i ` j ) ) ` k ) /\ z = ( sum^ ` (
       j e. NN |-> prod_ k e. X ( vol ` ( ( [,) o. ( i ` j ) ) ` k ) ) ) ) ) }
                 $.
    $( The Lebesgue outer measure of a subset of multidimensional real numbers
       can always be approximated by the total outer measure of a cover of
       half-open (multidimensional) intervals.  (Contributed by Glauco
       Siliprandi, 11-Oct-2020.) $)
    ovnlerp $p |- ( ph -> E. z e. M z <_ ( ( ( voln* ` X ) ` A ) +e E ) ) $=
      ( vw vy cv cle cxr cc0 vx covoln cfv cxad co wbr wrex clt cinf nfv wss cn
      cico ccom cixp ciun cvol cprod cmpt csumge0 wceq wa cxp cmap crab eqsstri
      cr ssrab2 cpnf ovnpnfelsup ne0d wcel wral 0red cicc ovnsupge0 pnfxr ssel2
      a1i 0xr iccgelb syl3anc ralrimiva syl breq1 ralbidv syl2anc infrpge simp3
      rspcev w3a ovnn0val eqcomd oveq1d 3ad2ant1 breqtrd 3exp reximdai mpd nfcv
      nfrab1 nfcxfr cbvrexfw sylib ) AOQZCIUBUCUCZGUDUEZRUFZOHUGZBQZXGRUFZBHUGA
      XEHSUHUIZGUDUEZRUFZOHUGXIAUAPOHGAUAUJHSUKAHCEULFIFQUMEQDQUCUNUCZUOUPUKXJE
      ULIXOUQUCFURUSUTUCVAVBDVGVGVCIVDUEULVDUEUGZBSVEZSNXPBSVHVFVSAHVIABCDEFHIJ
      LNVJVKATVGVLTPQZRUFZPHVMZUAQZXRRUFZPHVMZUAVGUGAVNAHTVIVOUEZUKZXTABCDEFHIJ
      LNVPYEXSPHYEXRHVLVBZTSVLZVISVLZXRYDVLXSYGYFVTVSYHYFVQVSHYDXRVRTVIXRWAWBWC
      WDYCXTUATVGYATVAYBXSPHYATXRRWEWFWJWGMWHAXNXHOHAOUJAXEHVLZXNXHAYIXNWKXEXMX
      GRAYIXNWIAYIXMXGVAXNAXLXFGUDAXFXLABCDEFHIJKLNWLWMWNWOWPWQWRWSXHXKOBHOHWTB
      HXQNXPBSXAXBXHBUJXKOUJXEXJXGRWEXCXD $.
  $}

  ${
    $d X i j k y z $.  $d i j k ph y z $.
    ovnf.1 $e |- ( ph -> X e. Fin ) $.
    $( The Lebesgue outer measure is a function that maps sets to nonnegative
       extended reals.  This is step (a)(i) of the proof of Proposition 115D
       (a) of [Fremlin1] p. 30.  (Contributed by Glauco Siliprandi,
       11-Oct-2020.) $)
    ovnf $p |- ( ph -> ( voln* ` X ) : ~P ( RR ^m X ) --> ( 0 [,] +oo ) ) $=
      ( vy vj vk vi vz cr cmap co cc0 cpnf cfv wf cv cn cxr wcel a1i cpw covoln
      cicc c0 wceq cico ccom cixp ciun wss cvol cprod cmpt csumge0 wa wrex crab
      cxp clt cinf cif 0e0iccpnf 0xr pnfxr adantr elpwi adantl eqid ovnpnfelsup
      cfn ovnsupge0 ne0d inficc ifcld fmptd ovnval feq1d mpbird ) AIBJKZUAZLMUC
      KZBUBNZOVTWADVTBUDUEZLDPZEQFBFPUFEPGPNUGNZUHUIUJHPEQBWEUKNFULUMUNNUEUOGII
      URBJKQJKUPHRUQZRUSUTZVAZUMZOADVTWHWAWIAWDVTSZUOZWCLWGWALWASWKVBTWKLMWFLRS
      WKVCTMRSWKVDTWKHWDGEFWFBABVJSWJCVEZWJWDVSUJAWDVSVFVGZWFVHZVKWKWFMWKHWDGEF
      WFBWLWMWNVIVLVMVNWIVHVOAVTWAWBWIADHGEFBCVPVQVR $.
  $}

  ${
    $d A a b e i $.  $d A a i l $.  $d A i z $.  $d C b e i $.  $d C i z $.
    $d E b e i $.  $d E i z $.  $d L a b e $.  $d L z $.  $d X a b e i j $.
    $d X h i j k $.  $d X a i j k l $.  $d X i j k z $.  $d a b e i j ph $.
    $d k ph z $.
    ovncvrrp.x $e |- ( ph -> X e. Fin ) $.
    ovncvrrp.n0 $e |- ( ph -> X =/= (/) ) $.
    ovncvrrp.a $e |- ( ph -> A C_ ( RR ^m X ) ) $.
    ovncvrrp.e $e |- ( ph -> E e. RR+ ) $.
    ovncvrrp.c $e |- C = ( a e. ~P ( RR ^m X ) |-> { l e. ( ( ( RR X. RR ) ^m X
       ) ^m NN ) | a C_ U_ j e. NN X_ k e. X ( ( [,) o. ( l ` j ) ) ` k ) } )
                 $.
    ovncvrrp.l $e |- L = ( h e. ( ( RR X. RR ) ^m X ) |-> prod_ k e. X ( vol `
       ( ( [,) o. h ) ` k ) ) ) $.
    ovncvrrp.d $e |- D = ( a e. ~P ( RR ^m X ) |-> ( e e. RR+ |-> { i e. ( C `
       a ) | ( sum^ ` ( j e. NN |-> ( L ` ( i ` j ) ) ) ) <_ ( ( ( voln* ` X )
       ` a ) +e e ) } ) ) $.
    $( The Lebesgue outer measure of a subset of multidimensional real numbers
       can always be approximated by the total outer measure of a cover of
       half-open (multidimensional) intervals.  (Contributed by Glauco
       Siliprandi, 11-Oct-2020.) $)
    ovncvrrp $p |- ( ph -> E. i i e. ( ( D ` A ) ` E ) ) $=
      ( vz vb cv cfv wcel cn cmpt csumge0 covoln cxad co cle wbr cico ccom cixp
      wa wex ciun wss cvol cprod wceq cxp cmap wrex cxr crab eqid ovnlerp simp1
      w3a simp3 rabid biimpi simprd adantr 3adant1 nfv nfe1 simp1l simp2 simp3l
      cr fveq1 coeq2d fveq1d ixpeq2dv iuneq2d sseq2d elrab sylibr cpw cvv sseq1
      id rabbidv wb ovexd ssexd elpwg syl mpbird ovex rabex a1i eqcomd 3ad2ant1
      fvmptd3 eleqtrd coeq2 fveq2d prodeq2ad wf elmapi simpr ffvelrnd mpteq2dva
      syl3anc prodex adantl eqtrd eqbrtrd 3adant1l 3adant3l 19.8ad 3exp rexlimd
      jca mpd crp nfcv fveq2 eleq2d oveq1d breq2d anbi12d rabbidva2 mpteq2dv ex
      imp syl21anc rexlimdv bicomi nfmpt1 nfcxfr nffv nfrabw nfmpt cbvmpt eqtri
      rpex mptex oveq2 fvex fvmptd eximdv ) AGUDZBCUEZUFZHUGHUDZUUSUEZKUEZUHZUI
      UEZBLUJUEZUEZJUKULZUMUNZURZGUSZUUSJBDUEZUEZUFZGUSAUBUDZUVIUMUNZUBBHUGILIU
      DZUOUVCUPZUEZUQZUTZVAZUVPHUGLUVTVBUEZIVCZUHZUIUEZVDZURZGWEWEVELVFULZUGVFU
      LZVGZUBVHVIZVGUVLAUBBGHIJUWMLOPQRUWMVJVKAUVQUVLUBUWMAUVPUWMUFZUVQUVLAUWNU
      VQVMAUVQUWLUVLAUWNUVQVLAUWNUVQVNUWNUVQUWLAUWNUWLUVQUWNUVPVHUFZUWLUWNUWOUW
      LURUWLUBVHVOVPVQVRVSAUVQURZUWLUVLUWPUWIUVLGUWKUWPGVTUVKGWAUWPUUSUWKUFZUWI
      UVLUWPUWQUWIVMZUVKGUWRUVAUVJUWRAUWQUWCUVAAUVQUWQUWIWBUWPUWQUWIWCUWPUWQUWC
      UWHWDAUWQUWCVMUUSBHUGILUVRUOUVBNUDZUEZUPZUEZUQZUTZVAZNUWKVIZUUTUWQUWCUUSU
      XFUFZAUWQUWCURZUXHUXGUXHWQUXEUWCNUUSUWKUWSUUSVDZUXDUWBBUXIHUGUXCUWAUXIILU
      XBUVTUXIUVRUXAUVSUXIUWTUVCUOUVBUWSUUSWFWGWHWIWJWKWLWMVSAUWQUXFUUTVDUWCAUU
      TUXFAMBMUDZUXDVAZNUWKVIZUXFWELVFULZWNZCWOSUXJBVDUXKUXENUWKUXJBUXDWPWRABUX
      NUFZBUXMVAZQABWOUFUXOUXPWSABUXMWOAWELVFWTQXABUXMWOXBXCXDZUXFWOUFAUXENUWKU
      WJUGVFXEXFXGXJXHXIXKXTUWPUWQUWHUVJUWCUVQUWQUWHUVJAUVQUWQUWHVMUVFUVPUVIUMU
      WQUWHUVFUVPVDUVQUWQUWHURUVFUWGUVPUWQUVFUWGVDUWHUWQUVEUWFUIUWQHUGUVDUWEUWQ
      UVBUGUFZURZFUVCLUVRUOFUDZUPZUEZVBUEZIVCUWEUWJKWOTUXTUVCVDZLUYCUWDIUYDUYBU
      VTVBUYDUVRUYAUVSUXTUVCUOXLWHXMXNUXSUGUWJUVBUUSUWQUGUWJUUSXOUXRUUSUWJUGXPV
      RUWQUXRXQXRUWEWOUFUXSLUWDIYAXGXJXSXMVRUWHUWGUVPVDUWQUWHUVPUWGUWHWQXHYBYCV
      SUVQUWQUWHVLYDYEYFYJYGYHYIUUBUUCYHUUDYKAUVKUVOGAUVKUVOAUVKURZUUSUVJGUUTVI
      ZUVNUVKUUSUYFUFZAUVKUYGUYGUVKUVJGUUTVOUUEVPYBUYEUVNUYFUYEEJUVFUVHEUDZUKUL
      ZUMUNZGUUTVIZUYFYLUVMWOUYEUCBEYLUVFUCUDZUVGUEZUYHUKULZUMUNZGUYLCUEZVIZUHZ
      EYLUYKUHZUXNDWODMUXNEYLUVFUXJUVGUEZUYHUKULZUMUNZGUXJCUEZVIZUHZUHUCUXNUYRU
      HUAMUCUXNVUEUYRUCVUEYMMEYLUYQMYLYMUYOMGUYPUYOMVTMUYLCMCMUXNUXLUHSMUXNUXLU
      UFUUGMUYLYMUUHUUIUUJUXJUYLVDZEYLVUDUYQVUFVUBUYOGVUCUYPVUFUUSVUCUFUUSUYPUF
      ZVUBUYOVUFVUCUYPUUSUXJUYLCYNYOVUFVUAUYNUVFUMVUFUYTUYMUYHUKUXJUYLUVGYNYPYQ
      YRYSYTUUKUULUYLBVDZEYLUYQUYKVUHUYOUYJGUYPUUTVUHVUGUVAUYOUYJVUHUYPUUTUUSUY
      LBCYNYOVUHUYNUYIUVFUMVUHUYMUVHUYHUKUYLBUVGYNYPYQYRYSYTAUXOUVKUXQVRUYSWOUF
      UYEEYLUYKUUMUUNXGXJUYHJVDZUYKUYFVDUYEVUIUYJUVJGUUTVUIUYIUVIUVFUMUYHJUVHUK
      UUOYQWRYBAJYLUFUVKRVRUYFWOUFUYEUVJGUUTBCUUPXFXGUUQXHXKUUAUURYK $.
  $}

  ${
    $d I i j k $.  $d I j k l $.  $d X i j k z $.  $d X j k l $.
    $d j k l ph $.
    ovn0lem.x $e |- ( ph -> X e. Fin ) $.
    ovn0lem.n0 $e |- ( ph -> X =/= (/) ) $.
    ovn0lem.m $e |- M = { z e. RR* | E. i e. ( ( ( RR X. RR ) ^m X ) ^m NN ) z
       = ( sum^ ` ( j e. NN |-> prod_ k e. X ( vol ` ( ( [,) o. ( i ` j ) ) ` k
       ) ) ) ) } $.
    ovn0lem.infm $e |- ( ph -> inf ( M , RR* , < ) e. ( 0 [,] +oo ) ) $.
    ovn0lem.i $e |- I = ( j e. NN |-> ( l e. X |-> <. 1 , 0 >. ) ) $.
    $( For any finite dimension, the Lebesgue outer measure of the empty set is
       zero.  This is step (a)(ii) of the proof of Proposition 115D (a) of
       [Fremlin1] p. 30.  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    ovn0lem $p |- ( ph -> inf ( M , RR* , < ) = 0 ) $=
      ( cc0 wcel cn cfv wceq c1 cxr clt cinf cpnf co iccssxr sselid 0xr a1i wss
      cicc cle wbr cv cico ccom cvol cprod cmpt csumge0 cr cxp cmap wrex ssrab2
      crab eqsstri wa wf cop 1re 0re pm3.2i opelxp mpbir eqid fmptd cvv wb reex
      cfn xpex elmapg syl2anc mpbird adantr ovexd nnex wex c0 wne n0 sylib nfcv
      nfv ad2antrr cc c1st ffvelrnda elmapi syl simpr fvovco elexd fvmpt2 eqidd
      c2nd elexi fvmptd fveq2d op1st eqtrd op2nd oveq12d 0le1 ico0 mp2an 3eqtrd
      1xr eqeltrd adantlr 2fveq3 wi eleq1w anbi2d eqeq1d imbi12d chvarvv fprod0
      vol0 0cn ex exlimdv mpd mpteq2dva sge0z 3eqtrrd fveq1 coeq2d fveq1d eqeq1
      ralrimivw prodeq2d mpteq2dv rspceeqv rexbidv elrab2 infxrlb pnfxr iccgelb
      jca sylibr syl3anc xrletrid ) AGUAUBUCZOAOUDUKUEZUAUUOOUDUFMUGOUAPZAUHUIZ
      AGUAUJZOGPZUUOOULUMUUSAGBUNZDQHEUNZUODUNZCUNZRZUPZRZUQRZEURZUSZUTRZSZCVAV
      AVBZHVCUEZQVCUEZVDZBUAVFUALUVPBUAVEVGUIAUUQOUVKSZCUVOVDZVHUUTAUUQUVRUURAF
      UVOPZODQHUVBUOUVCFRZUPZRZUQRZEURZUSZUTRZSUVRAUVSQUVNFVIZADQIHTOVJZUSZUVNF
      AUWIUVNPZUVCQPZAUWJHUVMUWIVIZAIHUWHUVMUWIUWHUVMPZAIUNZHPZVHUWMTVAPZOVAPZV
      HUWPUWQVKVLVMTOVAVAVNVOZUIUWIVPVQAUVMVRPZHWAPZUWJUWLVSUWSAVAVAVTVTWBUIJUV
      MHUWIVRWAWCWDWEWFZNVQZAUVNVRPQVRPZUVSUWGVSAUVMHVCWGUXCAWHUIZUVNQFVRVRWCWD
      WEAUWFDQOUSZUTROOAUWEUXEUTADQUWDOAUWKVHZUWOIWIZUWDOSZAUXGUWKAHWJWKUXGKIHW
      LWMWFUXFUWOUXHIUXFUWOUXHUXFUWOVHZHUWCUWNUWARUQRZEUWNUXIEWOEUXJWNAUWTUWKUW
      OJWPUXFUVBHPZUWCWQPUWOUXFUXKVHZUWCOWQUXLUWCWJUQRZOUXLUWBWJUQUXLUWBUVBUVTR
      ZWRRZUXNXGRZUOUETOUOUEZWJUXLUVTUOVAVAHUVBUXFHUVMUVTVIZUXKUXFUVTUVNPUXRAQU
      VNUVCFUXBWSUVTUVMHWTXAWFUXFUXKXBZXCUXLUXOTUXPOUOUXLUXOUWHWRRZTUXLUXNUWHWR
      UXLIUVBUWHUWHHUVTVRUXFUVTUWISZUXKUXFUWKUWIVRPUYAAUWKXBUXFUWIUVNUXAXDDQUWI
      VRFNXEWDWFUXLUWNUVBSVHUWHXFUXSUWHVRPUXLUWHUVMUWRXHUIXIZXJUXTTSUXLTOTVAVKX
      HZOUAUHXHZXKUIXLUXLUXPUWHXGRZOUXLUXNUWHXGUYBXJUYEOSUXLTOUYCUYDXMUIXLXNUXQ
      WJSZUXLUYFOTULUMZXOTUAPUUQUYFUYGVSXSUHTOXPXQVOUIXRXJUXMOSUXLYJUIXLZOWQPUX
      LYKUIXTYAUVBUWNUQUWAYBZUXFUWOXBUXLUWCOSZYCUXIUXJOSZYCEIUVBUWNSZUXLUXIUYJU
      YKUYLUXKUWOUXFEIHYDYEUYLUWCUXJOUYIYFYGUYHYHYIYLYMYNYOXJAQDVRADWOUXDYPAOXF
      YQCFUVOUVKUWFOUVDFSZUVJUWEUTUYMDQUVIUWDUYMHUVHUWCEUYMUVHUWCSEHUYMUVGUWBUQ
      UYMUVBUVFUWAUYMUVEUVTUOUVCUVDFYRYSYTXJUUBUUCUUDXJUUEWDUUKUVPUVRBOUAGUVAOS
      UVLUVQCUVOUVAOUVKUUAUUFLUUGUULGOUUHWDAUUQUDUAPZUUOUUPPOUUOULUMUURUYNAUUIU
      IMOUDUUOUUJUUMUUN $.
  $}

  ${
    $d X h i j k $.  $d X h j k l $.  $d X i j k m $.  $d X i j k z $.
    $d j k l ph $.  $d l m $.
    ovn0.1 $e |- ( ph -> X e. Fin ) $.
    $( For any finite dimension, the Lebesgue outer measure of the empty set is
       zero.  This is step (ii) of the proof of Proposition 115D (a) of
       [Fremlin1] p. 30.  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    ovn0 $p |- ( ph -> ( ( voln* ` X ) ` (/) ) = 0 ) $=
      ( vz vj vk vi vh vm vl c0 cfv wceq cc0 cv cn cmpt co cxr a1i covoln cprod
      cico ccom cvol csumge0 cr cxp cmap wrex crab clt cinf cif wss 0ss cixp wa
      ciun wb wral id jca simpr impbii rgenw rabbi mpbi ovnval2 iftrued iffalse
      rexbii wn adantl c1 cop cfn wcel adantr wne neqne eqid cpnf cicc sylan9eq
      eqcomd ovnf 0elpw ffvelrnd eqeltrd eqidd cbvmptv ovn0lem eqtrd pm2.61dan
      cpw ) AKBUALZLZBKMZNDOEPBFOUCEOZGOLUDLZUELFUBQUFLMZGUGUGUHBUIRPUIRZUJZDSU
      KZSULUMZUNZNADKGEFXEBCKUGBUIRZUOAXHUPTXDKEPFBXAUQUSZUOZXBURZGXCUJZUTZDSVA
      XEXLDSUKMXMDSXBXKGXCXBXKXBXJXBXJXBXIUPTXBVBVCXJXBVDVEVLVFXDXLDSVGVHVIZAWS
      XGNMAWSURWSNXFAWSVDVJAWSVMZURZXGXFNXOXGXFMAWSNXFVKZVNXPDGEFHPIBVONVPZQZQX
      EBJABVQVRXOCVSXOBKVTABKWAVNXEWBXPXFWRNWCWDRZXPWRXFAXOWRXGXFXNXQWEWFAWRXTV
      RXOAXHWPZXTKWQABCWGKYAVRAXHWHTWIVSWJHEPXSJBXRQZXSYBMHOWTMIJBXRXRIOJOMXRWK
      WLTWLWMWNWOWN $.
  $}

  ${
    ovncl.1 $e |- ( ph -> X e. Fin ) $.
    ovncl.2 $e |- ( ph -> A C_ ( RR ^m X ) ) $.
    $( The Lebesgue outer measure of a set is a nonnegative extended real.
       (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    ovncl $p |- ( ph -> ( ( voln* ` X ) ` A ) e. ( 0 [,] +oo ) ) $=
      ( cr cmap co cpw cc0 cpnf cicc covoln cfv ovnf wcel wss cvv wb ovexd syl
      ssexd elpwg mpbird ffvelrnd ) AFCGHZIZJKLHBCMNACDOABUGPZBUFQZEABRPUHUISAB
      UFRAFCGTEUBBUFRUCUAUDUE $.
  $}

  $( For the zero-dimensional space, ` voln* ` assigns zero to every subset.
     (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
  ovn02 $p |- ( voln* ` (/) ) = ( x e. ~P { (/) } |-> 0 ) $=
    ( c0 covoln cfv cr cmap co cpw cv cmpt csn cc0 wtru wceq tru cpnf a1i ax-mp
    wcel cvv cicc cfn 0fin ovnf feqmptd reex mapdm0 pweqi mpteq1 eqcomi sseqtrd
    elpwi ovn0val mpteq2ia 3eqtri ) BCDZAEBFGZHZAIZUPDZJZABKZHZUTJZAVCLJMUPVANO
    MAURLPUAGUPMBBUBSMUCQUDUERURVCNVAVDNUQVBETSUQVBNUFETUGRZUHAURVCUTUIRAVCUTLU
    SVCSZUSVFUSVBUQUSVBULVBUQNVFUQVBVEUJQUKUMUNUO $.
  ${
    ovnxrcl.1 $e |- ( ph -> X e. Fin ) $.
    ovnxrcl.2 $e |- ( ph -> A C_ ( RR ^m X ) ) $.
    $( The Lebesgue outer measure of a set is an extended real.  (Contributed
       by Glauco Siliprandi, 11-Oct-2020.) $)
    ovnxrcl $p |- ( ph -> ( ( voln* ` X ) ` A ) e. RR* ) $=
      ( cc0 cpnf cicc co cxr covoln cfv iccssxr ovncl sselid ) AFGHIJBCKLLFGMAB
      CDENO $.
  $}

  ${
    $d A a e i n $.  $d A a h n $.  $d A a i n z $.  $d C a e i $.  $d D n $.
    $d E e i n $.  $d F a e i j m n $.  $d F a h j k m n $.
    $d F i j k m n p $.  $d G i j k m n $.  $d I h j k m n $.
    $d I i j k m n p $.  $d L a e i j m n $.  $d L i j m n p $.
    $d X a e i j m n $.  $d X a h j k m n $.  $d X a i j k n z $.
    $d a e i j m n ph $.  $d k m n p ph $.
    ovnsubaddlem1.x $e |- ( ph -> X e. Fin ) $.
    ovnsubaddlem1.n0 $e |- ( ph -> X =/= (/) ) $.
    ovnsubaddlem1.a $e |- ( ph -> A : NN --> ~P ( RR ^m X ) ) $.
    ovnsubaddlem1.e $e |- ( ph -> E e. RR+ ) $.
    ovnsubaddlem1.z $e |- Z = ( a e. ~P ( RR ^m X ) |-> { z e. RR* | E. i e. (
       ( ( RR X. RR ) ^m X ) ^m NN ) ( a C_ U_ j e. NN X_ k e. X ( ( [,) o. ( i
       ` j ) ) ` k ) /\ z = ( sum^ ` ( j e. NN |-> prod_ k e. X ( vol ` ( ( [,)
       o. ( i ` j ) ) ` k ) ) ) ) ) } ) $.
    ovnsubaddlem1.c $e |- C = ( a e. ~P ( RR ^m X ) |-> { h e. ( ( ( RR X. RR )
       ^m X ) ^m NN ) | a C_ U_ j e. NN X_ k e. X ( ( [,) o. ( h ` j ) ) ` k )
       } ) $.
    ovnsubaddlem1.l $e |- L = ( i e. ( ( RR X. RR ) ^m X ) |-> prod_ k e. X (
       vol ` ( ( [,) o. i ) ` k ) ) ) $.
    ovnsubaddlem1.d $e |- D = ( a e. ~P ( RR ^m X ) |-> ( e e. RR+ |-> { i e. (
       C ` a ) | ( sum^ ` ( j e. NN |-> ( L ` ( i ` j ) ) ) ) <_ ( ( ( voln* `
       X ) ` a ) +e e ) } ) ) $.
    ovnsubaddlem1.i $e |- ( ( ph /\ n e. NN ) -> ( I ` n ) e. ( ( D ` ( A ` n )
       ) ` ( E / ( 2 ^ n ) ) ) ) $.
    ovnsubaddlem1.f $e |- ( ph -> F : NN -1-1-onto-> ( NN X. NN ) ) $.
    ovnsubaddlem1.g $e |- G = ( m e. NN |-> ( ( I ` ( 1st ` ( F ` m ) ) ) ` (
       2nd ` ( F ` m ) ) ) ) $.
    $( The Lebesgue outer measure is subadditive.  Proposition 115D (a)(iv) of
       [Fremlin1] p. 31 .  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    ovnsubaddlem1 $p |- ( ph -> ( ( voln* ` X ) ` U_ n e. NN ( A ` n ) ) <_ ( (
       sum^ ` ( n e. NN |-> ( ( voln* ` X ) ` ( A ` n ) ) ) ) +e E ) )
             $=
      ( vp cn cv cfv ciun c2 cexp cdiv cxad cmpt csumge0 cle cmap wss wral wcel
      co cr wa wf adantr simpr ffvelrnd syl ralrimiva iunss sylibr cvv nfv nnex
      a1i cc0 cpnf cico simpl cxp c2nd c1st xp1st xp2nd fvex wceq eleq1 3anbi3d
      w3a fveq2 feq1d imbi12d 3anbi2d fveq1d ccom cixp crab sseq1 rabbidv rabex
      wfn fvmptd3 ssrab2 eqsstrd wbr crp eleq2d oveq1d breq2d anbi12d rabbidva2
      mpteq2dv rpex mptex oveq2 adantl rpdivcld sseldd elmapi jca vtocl syl3anc
      wi syl2anc hoiprodcl2 sselid cxr eqtrd wrex 2fveq3 fveq12d elrab fveq2d
      covoln cpw elpwi ovnxrcl cicc icossicc cfn wf1o f1of ovex 2nn nnnn0 nnrpd
      nnexpcld fvmptd elmapfn ffvelrnda 3adant3 ffnfv fvmpt2 mpbird sge0xrclmpt
      simp3 id 0xr pnfxr clt cinf c0 ovnval2b neneqd iffalsed cvol cprod anbi1d
      cif rexbidv xrex infxrcl eqeltrd rpred 2re reexpcld wne recnd nnz expne0d
      2ne0 redivcld rexrd xaddcld ovncl xrge0ge0 rpgt0d ltpnfd xrltled eliccxrd
      0red ltled xadd0ge xrletrd pnfge 2rp rpexpcld anbi2d oveq2d eleq12d fmptd
      nnzd eleqtrd fveq1 coeq2d ixpeq2dv iuneq2d sseq2d simprd cop wfo ad2antrr
      sylib f1ofo opelxpi sylan foelrni nfre1 op1stg el2v eqeq1d 3adant1 op2ndd
      vex eqtr2d eqimss rspe rexlimd mpd iunss2 sstrd iunss1 ovnlecvr mpteq2dva
      3exp ax-mp eqidd sge0f1o eqtr4d op1std 3impa sge0xp eqcomd eqid sge0lempt
      sge0cl breq1d eqbrtrd sge0xadd rpge0d elicod sge0ad2en breqtrd ) ALUMLUNZ
      CUOZUPZRUUAUOZUOZLUMVVBVVDUOZMUQVVAURVHZUSVHZUTVHZVAVBUOZLUMVVFVAVBUOZMUT
      VHZVCAVVEKUMKUNZOUOZQUOZVAZVBUOZVVJAVVCRUAAVVBVIRVDVHZVEZLUMVFVVCVVRVEAVV
      SLUMAVVAUMVGZVJZVVBVVRUUBZVGVVSVWAUMVWBVVACAUMVWBCVKZVVTUCVLAVVTVMZVNZVVB
      VVRUUCVOZVPLUMVVBVVRVQVRUUDAKUMVVOVSAKVTZUMVSVGZAWAWBZAVVMUMVGZVJZWCWDWEV
      HZWCWDUUEVHZVVOWCWDUUFZVWKHJVVNQRVWKJVTVWKARUUGVGZAVWJWFZUAVOUGVWKRVIVIWG
      ZVVNVKRVWQVVMNUOZWHUOZVWRWIUOZPUOZUOZVKZVWKAVWTUMVGZVWSUMVGZVXCVWPVWKVWRU
      MUMWGZVGZVXDVWKUMVXFVVMNAUMVXFNVKZVWJAUMVXFNUUHZVXHUJUMVXFNUUIVOVLAVWJVMV
      NZVWRUMUMWJVOZVWKVXGVXEVXJVWRUMUMWKVOZAVXDIUNZUMVGZWPZRVWQVXMVXAUOZVKZYJZ
      AVXDVXEWPZVXCYJIVWSVWRWHWLVXMVWSWMZVXOVXSVXQVXCVXTVXNVXEAVXDVXMVWSUMWNWOV
      XTRVWQVXPVXBVXMVWSVXAWQWRWSAVVTVXNWPZRVWQVXMVVAPUOZUOZVKZYJZVXRLVWTVWRWIW
      LZVVAVWTWMZVYAVXOVYDVXQVYGVVTVXDAVXNVVAVWTUMWNZWTVYGRVWQVYCVXPVYGVXMVYBVX
      AVVAVWTPWQZXAWRWSVYAVYCVWQRVDVHZVGZVYDVYAUMVYJVXMVYBVYAVYBUMXHZVYKIUMVFZV
      JZUMVYJVYBVKZAVVTVYNVXNVWAVYLVYMVWAVYBVYJUMVDVHZVGZVYLVWAVVBDUOZVYPVYBVWA
      VYRVVBIUMJRJUNZWEVXMGUNZUOZXBZUOZXCZUPZVEZGVYPXDZVYPVWATVVBTUNZWUEVEZGVYP
      XDZWUGVWBDVSUFWUHVVBWMZWUIWUFGVYPWUHVVBWUEXEXFVWEWUGVSVGVWAWUFGVYPVYJUMVD
      UUJZXGWBXIZWUGVYPVEVWAWUFGVYPXJWBXKVWAVVHVVBEUOZUOZVYRVYBVWAWUOIUMVXMHUNZ
      UOZQUOZVAZVBUOZVVIVCXLZHVYRXDZVYRVWAFVVHWUTVVFFUNZUTVHZVCXLZHVYRXDZWVBXMW
      UNVSVWATVVBFXMWUTWUHVVDUOZWVCUTVHZVCXLZHWUHDUOZXDZVAZFXMWVFVAZVWBEVSUHWUK
      FXMWVKWVFWUKWVIWVEHWVJVYRWUKWUPWVJVGZWUPVYRVGWVIWVEWUKWVJVYRWUPWUHVVBDWQX
      NWUKWVHWVDWUTVCWUKWVGVVFWVCUTWUHVVBVVDWQXOXPXQXRXSVWEWVMVSVGVWAFXMWVFXTYA
      WBXIWVCVVHWMZWVFWVBWMVWAWVOWVEWVAHVYRWVOWVDVVIWUTVCWVCVVHVVFUTYBXPXFYCVWA
      MVVGAMXMVGZVVTUDVLVVTVVGXMVGAVVTVVGVVTUQVVAUQUMVGVVTUUKWBVVAUULZUUNUUMYCY
      DZWVBVSVGVWAWVAHVYRVVBDWLXGWBUUOZWVBVYRVEVWAWVAHVYRXJZWBXKUIYEYEZVYBVYJUM
      UUPVOVWAVYKIUMVWAUMVYJVXMVYBVWAVYQVYOWWAVYBVYJUMYFVOUUQZVPYGUURIUMVYJVYBU
      USVRAVVTVXNUVCVNVYCVWQRYFZVOZYHYHYIVWKRVWQVVNVXBVWJVVNVXBWMZAVWJVWJVXBVSV
      GZWWEVWJUVDWWFVWJVWSVXAWLWBKUMVXBVSOUKUUTYKZYCZWRUVAYLYMUVBALUMVVIVSALVTZ
      VWIVWAWCWDVVIWCYNVGZVWAUVEWBZWDYNVGZVWAUVFWBZVWAVVFVVHVWAVVFVVBSUOZYNUVGU
      VHZYNVWAVVFRUVIWMZWCWWOUVPZWWOVWABVVBHIJSRTAVWOVVTUAVLZVWFUEUVJAWWQWWOWMV
      VTAWWPWCWWOARUVIUBUVKUVLVLYOVWAWWNYNVEWWOYNVGVWAWWNVVBIUMJRVYSWEWUQXBUOZX
      CUPZVEZBUNIUMRWWSUVMUOJUVNVAVBUOWMZVJZHVYPYPZBYNXDZYNVWATVVBWUHWWTVEZWXBV
      JZHVYPYPZBYNXDWXEVWBSVSUEWUKWXHWXDBYNWUKWXGWXCHVYPWUKWXFWXAWXBWUHVVBWWTXE
      UVOUVQXFVWEWXEVSVGVWAWXDBYNUVRXGWBXIWXEYNVEVWAWXDBYNXJWBXKWWNUVSVOUVTZVWA
      VVHVWAMVVGAMVIVGVVTAMUDUWAZVLVVTVVGVIVGAVVTUQVVAUQVIVGVVTUWBWBZWVQUWCYCVV
      TVVGWCUWDAVVTUQVVAVVTUQWXKUWEUQWCUWDVVTUWHWBVVAUWFUWGYCUWIZUWJZUWKZVWAWCV
      VFVVIWWKWXIWXNVWAVVFVWMVGWCVVFVCXLVWAVVBRWWRVWFUWLZVVFUWMVOVWAVVFVVHWXIVW
      AWCWDVVHWWKWWMWXMVWAWCVVHVWAUWRWXLVWAVVHWVRUWNUWSVWAVVHWDWXMWWMVWAVVHWXLU
      WOUWPUWQZUWTUXAVWAVVIYNVGVVIWDVCXLWXNVVIUXBVOUWQZUVBAVVCHKJOQRUAUBUGAKUMV
      XBVYJOVWKUMVYJVWSVXAVWKVXAUMXHZVXPVYJVGZIUMVFZVJUMVYJVXAVKZVWKWXRWXTVWKVX
      AVYPVGZWXRVWKVWTCUOZDUOZVYPVXAVWKWYDWYCWUEVEZGVYPXDZVYPVWKTWYCWUJWYFVWBDV
      SUFWUHWYCWMZWUIWYEGVYPWUHWYCWUEXEXFVWKUMVWBVWTCAVWCVWJUCVLVXKVNZWYFVSVGVW
      KWYEGVYPWULXGWBXIWYFVYPVEVWKWYEGVYPXJWBXKVWKMUQVWTURVHZUSVHZWYCEUOZUOZWYD
      VXAVWKWYLWUTWYCVVDUOZWYJUTVHZVCXLZHWYDXDZWYDVWKFWYJWUTWYMWVCUTVHZVCXLZHWY
      DXDZWYPXMWYKVSVWKTWYCWVLFXMWYSVAZVWBEVSUHWYGFXMWVKWYSWYGWVIWYRHWVJWYDWYGW
      VNWUPWYDVGWVIWYRWYGWVJWYDWUPWUHWYCDWQXNWYGWVHWYQWUTVCWYGWVGWYMWVCUTWUHWYC
      VVDWQXOXPXQXRXSWYHWYTVSVGVWKFXMWYSXTYAWBXIWVCWYJWMZWYSWYPWMVWKXUAWYRWYOHW
      YDXUAWYQWYNWUTVCWVCWYJWYMUTYBXPXFYCVWKMWYIVWKAWVPVWPUDVOVWKUQVWTUQXMVGVWK
      UXCWBVWKVWTVXKUXIUXDYDWYPVSVGVWKWYOHWYDWYCDWLXGWBUUOWYPWYDVEVWKWYOHWYDXJW
      BXKVWKAVXDVXAWYLVGZVWPVXKVWAVYBWUOVGZYJAVXDVJZXUBYJLVWTVYFVYGVWAXUDXUCXUB
      VYGVVTVXDAVYHUXEVYGVYBVXAWUOWYLVYIVYGVVHWYJWUNWYKVVAVWTECYQVYGVVGWYIMUSVV
      AVWTUQURYBUXFYRUXGWSUIYHYKYEYEZVXAVYJUMUUPVOVWKWXSIUMVWKUMVYJVXMVXAVWKWYB
      WYAXUEVXAVYJUMYFVOUUQVPYGIUMVYJVXAUUSVRVXLVNUKUXHAVVBKUMJRVYSWEVVNXBZUOZX
      CZUPZVEZLUMVFVVCXUIVEAXUJLUMVWAVVBKWUPNUOWIUOZVVAWMZHUMXDZXUHUPZXUIVWAVVB
      IUMJRVYSWEVYCXBZUOZXCZUPZXUNVWAAVVTVYBVYRVGZVVBXURVEZAVVTWFVWDVWAWVBVYRVY
      BWVTVWAVYBWUOWVBUIWVSUXJZYMAVVTXUSWPZVYQXUTXVBVYBWUGVGVYQXUTVJXVBVYBVYRWU
      GAVVTXUSUVCAVVTVYRWUGWMXUSWUMUURUXJWUFXUTGVYBVYPVYTVYBWMZWUEXURVVBXVCIUMW
      UDXUQXVCJRWUCXUPXVCVYSWUBXUOXVCWUAVYCWEVXMVYTVYBUXKUXLXAUXMUXNUXOYSUXTUXP
      YIVWAXUQXUHVEZKXUMYPZIUMVFXURXUNVEVWAXVEIUMVWAVXNVJZVWRVVAVXMUXQZWMZKUMYP
      ZXVEXVFUMVXFNUXRZXVGVXFVGZXVIAXVJVVTVXNAVXIXVJUJUMVXFNUYAVOUXSVWAVVTVXNXV
      KVWDVVAVXMUMUMUYBUYCKUMVXFNXVGUYDYKXVFXVHXVEKUMXVFKVTXVDKXUMUYEXVFVWJXVHX
      VEXVFVWJXVHWPVVMXUMVGZXVDXVEVWJXVHXVLXVFVWJXVHVJZVWJVWTVVAWMZVJXVLXVMVWJX
      VNVWJXVHWFZXVHXVNVWJXVHVWTXVGWIUOZVVAVWRXVGWIWQXVPVVAWMZXVHXVQLIVVAVXMVSV
      SUYFUYGWBYOZYCYGXULXVNHVVMUMWUPVVMWMXUKVWTVVAWUPVVMWINYQUYHYSVRUYIVWJXVHX
      VDXVFXVMXUQXUHWMXVDXVMJRXUPXUGXVMVYSXUOXUFXVMVYCVVNWEXVMVVNVXBVYCXVMVWJWW
      EXVOWWGVOXVHVXBVYCWMVWJXVHVWSVXMVXAVYBXVHVWTVVAPXVRYTVVAVXMVWRLUYKZIUYKZU
      YJYRYCUYLUXLXAUXMXUQXUHUYMVOUYIXVDKXUMUYNYKVUBUYOUYPVPIKUMXUMXUQXUHUYQVOU
      YRXUNXUIVEZVWAXUMUMVEXWAXULHUMXJKXUMUMXUHUYSVUCWBUYRVPLUMVVBXUIVQVRUYTAVV
      QULVXFULUNZWHUOZXWBWIUOZPUOZUOZQUOZVAVBUOZVVJVCAVVQKUMVXBQUOZVAZVBUOXWHAV
      VPXWJVBAKUMVVOXWIVWKVVNVXBQWWHYTVUAYTAVXFXWGUMXWIULKNVWRVSAULVTVWGXWBVWRW
      MZXWFVXBQXWKXWCVWSXWEVXAXWBVWRPWIYQXWBVWRWHWQYRYTVWIUJVWKVWRVUDAXWBVXFVGZ
      VJZVWLVWMXWGVWNXWMHJXWFQRXWMJVTAVWOXWLUAVLUGXWMAXWDUMVGZXWCUMVGZRVWQXWFVK
      ZAXWLWFXWLXWNAXWBUMUMWJYCXWLXWOAXWBUMUMWKYCAXWNVXNWPZRVWQVXMXWEUOZVKZYJZA
      XWNXWOWPZXWPYJIXWCXWBWHWLVXMXWCWMZXWQXXAXWSXWPXXBVXNXWOAXWNVXMXWCUMWNWOXX
      BRVWQXWRXWFVXMXWCXWEWQWRWSVYEXWTLXWDXWBWIWLVVAXWDWMZVYAXWQVYDXWSXXCVVTXWN
      AVXNVVAXWDUMWNWTXXCRVWQVYCXWRXXCVXMVYBXWEVVAXWDPWQXAWRWSWWDYHYHYIYLYMVUEV
      UFAXWHLUMIUMVYCQUOZVAZVBUOZVAVBUOZVVJVCAXXGXWHAULUMUMXXDXWGLIVSVSAIVTXWBX
      VGWMZXWFVYCQXXHXWCVXMXWEVYBXXHXWDVVAPVVAVXMXWBXVSXVTVUGYTVVAVXMXWBXVSXVTU
      YJYRYTVWIVWIAVVTVXNXXDVWMVGXVFVWLVWMXXDVWNXVFHJVYCQRXVFJVTVWAVWOVXNWWRVLU
      GXVFVYKVYDWWBWWCVOYLYMZVUHVUIVUJALUMXXFVVIVSWWIVWIVWAXXEVSUMVWHVWAWAWBVWA
      IUMXXDVWMXXEXXIXXEVUKUXHVUMWXQVWAXUSXXFVVIVCXLZVWAVYBWVBVGXUSXXJVJXVAWVAX
      XJHVYBVYRWUPVYBWMZWUTXXFVVIVCXXKWUSXXEVBXXKIUMWURXXDXXKWUQVYCQVXMWUPVYBUX
      KYTXSYTVUNYSUXTUXPVULVUOVUOUXAAVVJVVKLUMVVHVAVBUOZUTVHVVLAUMVVFVVHLVSWWIV
      WIWXOWXPVUPAXXLMVVKUTAMLAWCWDMWWJAUVEWBWWLAUVFWBAMWXJUWJAMUDVUQAMWXJUWOVU
      RVUSUXFYOVUT $.
  $}

  ${
    $d A a e f g i j m n q $.  $d A a f g i j k l m n $.  $d A a i j k n z $.
    $d C a e i $.  $d D a e f g i j m n q $.  $d D a f g i j k m n q $.
    $d E a e f g i j m n q $.  $d E a f g i j k m n q $.  $d L a e i j m n $.
    $d X a e f g i j m n $.  $d X h i j k $.  $d X a f g i j k l m n $.
    $d X a i j k n z $.  $d a e f g i j m n ph $.  $d k m n ph $.
    ovnsubaddlem2.x $e |- ( ph -> X e. Fin ) $.
    ovnsubaddlem2.n0 $e |- ( ph -> X =/= (/) ) $.
    ovnsubaddlem2.a $e |- ( ph -> A : NN --> ~P ( RR ^m X ) ) $.
    ovnsubaddlem2.e $e |- ( ph -> E e. RR+ ) $.
    ovnsubaddlem2.z $e |- Z = ( a e. ~P ( RR ^m X ) |-> { z e. RR* | E. i e. (
       ( ( RR X. RR ) ^m X ) ^m NN ) ( a C_ U_ j e. NN X_ k e. X ( ( [,) o. ( i
       ` j ) ) ` k ) /\ z = ( sum^ ` ( j e. NN |-> prod_ k e. X ( vol ` ( ( [,)
       o. ( i ` j ) ) ` k ) ) ) ) ) } ) $.
    ovnsubaddlem2.c $e |- C = ( a e. ~P ( RR ^m X ) |-> { l e. ( ( ( RR X. RR )
       ^m X ) ^m NN ) | a C_ U_ j e. NN X_ k e. X ( ( [,) o. ( l ` j ) ) ` k )
       } ) $.
    ovnsubaddlem2.l $e |- L = ( h e. ( ( RR X. RR ) ^m X ) |-> prod_ k e. X (
       vol ` ( ( [,) o. h ) ` k ) ) ) $.
    ovnsubaddlem2.d $e |- D = ( a e. ~P ( RR ^m X ) |-> ( e e. RR+ |-> { i e. (
       C ` a ) | ( sum^ ` ( j e. NN |-> ( L ` ( i ` j ) ) ) ) <_ ( ( ( voln* `
       X ) ` a ) +e e ) } ) ) $.
    $( ` ( voln* `` X ) ` is subadditive.  Proposition 115D (a)(iv) of
       [Fremlin1] p. 31 .  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    ovnsubaddlem2 $p |- ( ph -> ( ( voln* ` X ) ` U_ n e. NN ( A ` n ) ) <_ ( (
       sum^ ` ( n e. NN |-> ( ( voln* ` X ) ` ( A ` n ) ) ) ) +e E ) ) $=
      ( vg vf vq vm cv cn wfn cfv c2 cexp co cdiv wcel wral wa ciun covoln cmpt
      wex csumge0 cxad cle wbr c0 wne wi fvex nnenom axcc3 simprl nfv nfan rspa
      nfra1 adantll cfn adantr cr cmap cpw wss simpr ffvelrnd elpwi syl crp cn0
      wf nnnn0 2nn a1i nnexpcl syl2anc nnrp adantl rpdivcld ovncvrrp sylibr mpd
      id n0 ex adantlr ralrimi adantrl jca eximdv mpi simpl simprr w3a cxp wf1o
      nnf1oxpnn simpl1 simpl2 wceq fveq2 2fveq3 oveq2d fveq12d eleq12d cbvralvw
      oveq2 3ad2ant3 c2nd c1st 3ad2antl1 cico ccom cprod fveq2d cbvmptv exlimdv
      cvol biimpri coeq2 fveq1d prodeq2ad eqtri ad2antrr ovnsubaddlem1 syl31anc
      biimpi syl3anc ) AUFUJZUKULZKUJZUUKUMZLUNUUMUOUPZUQUPZUUMCUMZEUMZUMZURZKU
      KUSZUTZUFVDZKUKUUQVANVBUMZUMKUKUUQUVDUMVCVEUMLVFUPVGVHZAUULUUSVIVJZUUTVKZ
      KUKUSZUTZUFVDUVCUFKUUSUKUUPUURVLVMVNAUVIUVBUFAUVIUVBAUVIUTUULUVAAUULUVHVO
      AUVHUVAUULAUVHUTZUUTKUKAUVHKAKVPUVGKUKVSVQUVJUUMUKURZUUTUVJUVKUTUVGUUTUVH
      UVKUVGAUVGKUKVRVTAUVKUVGUUTVKUVHAUVKUTZUVGUUTUVLUVGUTUVFUUTUVLUVFUVGUVLHU
      JZUUSURHVDUVFUVLUUQDEFGHIJUUPMNPQANWAURZUVKRWBANVIVJZUVKSWBUVLUUQWCNWDUPZ
      WEZURUUQUVPWFUVLUKUVQUUMCAUKUVQCWMZUVKTWBAUVKWGWHUUQUVPWIWJUVLLUUOALWKURZ
      UVKUAWBUVKUUOWKURZAUVKUUMWLURZUVTUUMWNUWAUUOUKURZUVTUWAUNUKURZUWAUWBUWCUW
      AWOWPUWAXEUNUUMWQWRUUOWSWJWJWTXAUCUDUEXBHUUSXFXCWBUVLUVGWGXDXGXHXDXGXIXJX
      KXGXLXMAUVBUVEUFAUVBUVEAUVBUTAUULUVAUVEAUVBXNAUULUVAVOAUULUVAXOAUULUVAXPZ
      UKUKUKXQUGUJZXRZUGVDUVEUGXSUWDUWFUVEUGUWDUWFUVEUWDUWFUTAUULUHUJZUUKUMZLUN
      UWGUOUPZUQUPZUWGCUMEUMZUMZURZUHUKUSZUWFUVEAUULUVAUWFXTAUULUVAUWFYAUWDUWNU
      WFUVAAUWNUULUWNUVAUWMUUTUHKUKUWGUUMYBZUWHUUNUWLUUSUWGUUMUUKYCUWOUWJUUPUWK
      UURUWGUUMECYDUWOUWIUUOLUQUWGUUMUNUOYIYEYFYGYHZUUAYJWBUWDUWFWGAUULUWNXPZUW
      FUTZBCDEFQHIJUIKLUWEUHUKUWGUWEUMZYKUMZUWSYLUMZUUKUMZUMZVCUUKMNOPAUULUWFUV
      NUWNAUVNUWFRWBYMAUULUWFUVOUWNAUVOUWFSWBYMAUULUWFUVRUWNAUVRUWFTWBYMAUULUWF
      UVSUWNAUVSUWFUAWBYMUBUCMGWCWCXQNWDUPZNJUJZYNGUJZYOZUMZYTUMZJYPZVCHUXDNUXE
      YNUVMYOZUMZYTUMZJYPZVCUDGHUXDUXJUXNUXFUVMYBZNUXIUXMJUXOUXHUXLYTUXOUXEUXGU
      XKUXFUVMYNUUBUUCYQUUDYRUUEUEUWRUVKUTUVAUVKUUTUWQUVAUWFUVKUWNAUVAUULUWNUVA
      UWPUUIYJUUFUWRUVKWGUUTKUKVRWRUWQUWFWGUHUIUKUXCUIUJZUWEUMZYKUMZUXQYLUMZUUK
      UMZUMUWGUXPYBZUWTUXRUXBUXTUYAUXAUXSUUKUWGUXPYLUWEYDYQUWGUXPYKUWEYDYFYRUUG
      UUHXGYSXMUUJXGYSXD $.
  $}

  ${
    $d A a e i j k l n $.  $d A a e i j k n y $.  $d A a i j k n z $.
    $d X a b d e f i j k l m n $.  $d X a d e f h i j k m n $.
    $d X a d e h i j k m n o $.  $d X a e i j k n y $.  $d X a i j k n z $.
    $d a e i j k n ph y $.  $d l m n o $.
    ovnsubadd.1 $e |- ( ph -> X e. Fin ) $.
    ovnsubadd.2 $e |- ( ph -> A : NN --> ~P ( RR ^m X ) ) $.
    $( ` ( voln* `` X ) ` is subadditive.  Proposition 115D (a)(iv) of
       [Fremlin1] p. 31 .  (Contributed by Glauco Siliprandi, 11-Oct-2020.) $)
    ovnsubadd $p |- ( ph -> ( ( voln* ` X ) ` U_ n e. NN ( A ` n ) ) <_ ( sum^
       ` ( n e. NN |-> ( ( voln* ` X ) ` ( A ` n ) ) ) ) ) $=
      ( vj vk vl vd vi wceq cn cv cfv cmpt cle co wcel crab vy vz vb vf vo ciun
      vm vh ve va c0 covoln csumge0 wbr wa cc0 fveq2 fveq1d adantl cr cmap wral
      wss cpw wf adantr simpr ffvelrnd elpwi syl ralrimiva iunss sylibr sseqtrd
      oveq2 ovn0val eqtrd cvv nnex a1i cpnf cicc cfn ovncl eqid sge0ge0 eqbrtrd
      fmptd wn cxr ovnxrcl sge0xrcl crp cico ccom cixp cxp cvol cprod cxad wrex
      ad2antrr wne neqne ad2antlr sseq1 rabbidv cbvmptv coeq2d ixpeq2dv cbvixpv
      eqtrdi cbviunv sseq2i rabbii mpteq2i fveq1i syl5eq eleq2d 2fveq3 cbvprodv
      fveq12d fveq2i oveq1d breq12d anbi12d fveq1 fveq2d mpteq2dv breq1d breq2d
      rabbidva2 cbvrabv ovnsubaddlem2 xrlexaddrp pm2.61dan ) ADUKLZCMCNZBOZUFZD
      ULOZOZCMYSUUAOZPZUMOZQUNAYQUOZUUBUPUUEQUUFUUBYTUKULOZOZUPYQUUBUUHLAYQYTUU
      AUUGDUKULUQURUSUUFYTUUFYTUTDVARZUTUKVARZAYTUUIVCZYQAYSUUIVCZCMVBUUKAUULCM
      AYRMSZUOZYSUUIVDZSUULUUNMUUOYRBAMUUOBVEZUUMFVFAUUMVGVHYSUUIVIVJZVKCMYSUUI
      VLVMZVFYQUUIUUJLADUKUTVAVOUSVNVPVQAUPUUEQUNYQAUUDVRMMVRSAVSVTZACMUUCUPWAW
      BRUUDUUNYSDADWCSZUUMEVFUUQWDUUDWEWHZWFVFWGAYQWIZUOZUAUUBUUEAUUBWJSUVBAYTD
      EUURWKVFAUUEWJSUVBAUUDVRMUUSUVAWLVFUVCUANZWMSZUOUBBUCUUOUCNZGMHDHNZWNGNZI
      NZOZWOZOZWPZUFZVCZIUTUTWQDVARZMVARZTZPZJUUOUDWMUEMUENZUGNZOZUHUVPDJNZWNUH
      NWOZOWROZJWSZPZOZPZUMOZUWCUUAOZUDNZWTRZQUNZUGUWCUCUUOUVFUEMJDUWCWNUVTUVIO
      ZWOZOZWPZUFZVCZIUVQTZPZOZTZPZPUIUHKGHCUVDUHUVPDUVGUWDOWROZHWSZPZDUJUUOUJN
      ZGMHDUVGWNUVHKNZOZWOOZWPUFVCUBNGMDUXLWROHWSPUMOLUOKUVQXAUBWJTPZUJIAUUTUVB
      UVEEXBUVBDUKXCAUVEDUKXDXEAUUPUVBUVEFXBUVCUVEVGUXMWEUCUJUUOUVRUXIUVNVCZIUV
      QTUVFUXILUVOUXNIUVQUVFUXIUVNXFXGXHUXHWEJUJUUOUXEUIWMGMUXKUXHOZPZUMOZUXIUU
      AOZUINZWTRZQUNZKUXIUVSOZTZPZUWCUXILZUXEUDWMUXQUXRUWLWTRZQUNZKUYBTZPUYDUYE
      UDWMUXDUYHUYEUXDGMUVHUWAOZUXHOZPZUMOZUYFQUNZUGUYBTUYHUYEUWNUYMUGUXCUYBUYE
      UWAUXCSUWAUYBSUWNUYMUYEUXCUYBUWAUYEUXCUWCUVSOUYBUWCUXBUVSUCUUOUXAUVRUWTUV
      OIUVQUWSUVNUVFUEGMUWRUVMUVTUVHLZUWRJDUWCUVKOZWPUVMUYNJDUWQUYOUYNUWCUWPUVK
      UYNUWOUVJWNUVTUVHUVIUQXIURXJJHDUYOUVLUWCUVGUVKUQXKXLXMXNXOXPXQUWCUXIUVSUQ
      XRXSUYEUWJUYLUWMUYFQUWJUYLLUYEUWIUYKUMUEGMUWHUYJUYNUWBUYIUWGUXHUWGUXHLUYN
      UHUVPUWFUXGDUWEUXFJHUWCUVGWRUWDXTYAXPVTUVTUVHUWAUQYBXHYCVTUYEUWKUXRUWLWTU
      WCUXIUUAUQYDYEYFYLUYMUYGUGKUYBUWAUXJLZUYLUXQUYFQUYPUYKUXPUMUYPGMUYJUXOUYP
      UYIUXKUXHUVHUWAUXJYGYHYIYHYJYMXLYIUDUIWMUYHUYCUWLUXSLZUYGUYAKUYBUYQUYFUXT
      UXQQUWLUXSUXRWTVOYKXGXHXLXHYNYOYP $.
  $}

  ${
    $d X a n x $.  $d X x y $.  $d a n ph x $.  $d ph x y $.
    ovnome.1 $e |- ( ph -> X e. Fin ) $.
    $( ` ( voln* `` X ) ` is an outer measure on the space of multidimensional
       real numbers with dimension equal to the cardinality of the finite set
       ` X ` .  Proposition 115D (a) of [Fremlin1] p. 30 .  (Contributed by
       Glauco Siliprandi, 11-Oct-2020.) $)
    ovnome $p |- ( ph -> ( voln* ` X ) e. OutMeas ) $=
      ( vx vy vn va covoln cfv cvv cr cmap co ovexd ovnf ovn0 cv wss w3a cfn cn
      wcel 3ad2ant1 simp3 simp2 ovnssle cpw wf adantr simpr ovnsubadd isomennd
      wa ) ADEFBHIJKBLMZGAKBLNABCOABCPADQZUNRZEQZUORZSUQUOBAUPBTUBZURCUCAUPURUD
      AUPURUEUFAUAUNUGGQZUHZUMUTFBAUSVACUIAVAUJUKUL $.
  $}

  ${
    vonmea.1 $e |- ( ph -> X e. Fin ) $.
    $( ` ( voln `` X ) ` is a measure on the space of multidimensional real
       numbers with dimension equal to the cardinality of the finite set
       ` X ` .  Comments in Definition 115E of [Fremlin1] p. 31 .  (Contributed
       by Glauco Siliprandi, 11-Oct-2020.) $)
    vonmea $p |- ( ph -> ( voln ` X ) e. Meas ) $=
      ( cvoln covoln ccaragen cres cmea vonval ovnome eqid caratheodory eqeltrd
      cfv ) ABDNBENZOFNZGHABCIAPOABCJPKLM $.
  $}

  ${
    volicon0.1 $e |- ( ph -> A e. RR ) $.
    volicon0.2 $e |- ( ph -> B e. RR ) $.
    volicon0.3 $e |- ( ph -> A < B ) $.
    $( The measure of a nonempty left-closed, right-open interval.
       (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    volicon0 $p |- ( ph -> ( vol ` ( A [,) B ) ) = ( B - A ) ) $=
      ( cico co cvol cfv clt wbr cmin cc0 cif cr wcel wceq volico syl2anc eqtrd
      iftrued ) ABCGHIJZBCKLZCBMHZNOZUEABPQCPQUCUFRDEBCSTAUDUENFUBUA $.
  $}

  ${
    $d A a j x $.  $d B a j $.  $d X a j x $.  $d Y a x $.  $d a j ph x $.
    hsphoif.h $e |- H = ( x e. RR |-> ( a e. ( RR ^m X ) |-> ( j e. X |-> if (
       j e. Y , ( a ` j ) , if ( ( a ` j ) <_ x , ( a ` j ) , x ) ) ) ) ) $.
    hsphoif.a $e |- ( ph -> A e. RR ) $.
    hsphoif.x $e |- ( ph -> X e. V ) $.
    hsphoif.b $e |- ( ph -> B : X --> RR ) $.
    $( ` H ` is a function (that returns the representation of the right side
       of a half-open interval intersected with a half-space).  Step (b) in
       Lemma 115B of [Fremlin1] p. 29.  (Contributed by Glauco Siliprandi,
       21-Nov-2020.) $)
    hsphoif $p |- ( ph -> ( ( H ` A ) ` B ) : X --> RR ) $=
      ( cr wcel cle cif cmpt cvv cfv wf cv wa ffvelrnda adantr ifcld eqid fmptd
      wbr cmap co wceq breq2 id ifbieq2d ifeq2d mpteq2dv ovex mptex a1i fvmptd3
      fveq1 breq1d ifbieq1d ifeq12d adantl wb reex jca elmapg syl mpbird mptexg
      fvmptd feq1d ) AHODCFUAZUAZUBHOEHEUCZIPZVSDUAZWACQUJZWACRZRZSZUBAEHWDOWEA
      VSHPZUDZVTWAWCOAHOVSDNUEZWGWBWACOWHACOPWFLUFUGUGWEUHUIAHOVRWEAJDEHVTVSJUC
      ZUAZWJCQUJZWJCRZRZSZWEOHUKULZVQTABCJWOEHVTWJWJBUCZQUJZWJWPRZRZSZSJWOWNSZO
      FTKWPCUMZJWOWTWNXBEHWSWMXBVTWRWLWJXBWQWKWPCWJWPCWJQUNXBUOUPUQURURLXATPAJW
      OWNOHUKUSUTVAVBWIDUMZWNWEUMAXCEHWMWDXCVTWJWAWLWCVSWIDVCZXCWKWBWJWACXCWJWA
      CQXDVDXDVEVFURVGADWOPZHODUBZNAOTPZHGPZUDXEXFVHAXGXHXGAVIVAMVJOHDTGVKVLVMA
      XHWETPMEHWDGVNVLVOVPVM $.
  $}

  ${
    $d A a b k $.  $d B a b k $.  $d X a b k x $.  $d a b ph x $.
    hoidmvval.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x )
       |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k ) )
       ) ) ) ) $.
    hoidmvval.a $e |- ( ph -> A : X --> RR ) $.
    hoidmvval.b $e |- ( ph -> B : X --> RR ) $.
    hoidmvval.x $e |- ( ph -> X e. Fin ) $.
    $( The dimensional volume of a multidimensional half-open interval.
       Definition 115A (c) of [Fremlin1] p. 29.  (Contributed by Glauco
       Siliprandi, 21-Nov-2020.) $)
    hoidmvval $p |- ( ph -> ( A ( L ` X ) B ) = if ( X = (/) , 0 , prod_ k e. X
       ( vol ` ( ( A ` k ) [,) ( B ` k ) ) ) ) ) $=
      ( cr cmap wceq cc0 cfv cvv wcel co c0 cv cico cvol cprod cmpo oveq2 eqeq1
      cif cfn prodeq1 ifbieq2d mpoeq123dv mpoex a1i fvmptd3 fveq1 adantr adantl
      ovex wa oveq12d fveq2d prodeq2ad ifeq2d reex elmapg syl2anc mpbird prodex
      wf wb c0ex ifex ovmpod ) AHICDNGOUAZVQGUBPZQGEUCZHUCZRZVSIUCZRZUDUAZUERZE
      UFZUJZVRQGVSCRZVSDRZUDUAZUERZEUFZUJZGFRSABGHINBUCZOUAZWOWNUBPZQWNWEEUFZUJ
      ZUGHIVQVQWGUGZUKFSJWNGPZHIWOWOWRVQVQWGWNGNOUHZXAWTWPVRWQWFQWNGUBUIWNGWEEU
      LUMUNMWSSTAHIVQVQWGNGOVAZXBUOUPUQVTCPZWBDPZVBZWGWMPAXEVRWFWLQXEGWEWKEXEWD
      WJUEXEWAWHWCWIUDXCWAWHPXDVSVTCURUSXDWCWIPXCVSWBDURUTVCVDVEVFUTACVQTZGNCVL
      ZKANSTZGUKTZXFXGVMXHAVGUPZMNGCSUKVHVIVJADVQTZGNDVLZLAXHXIXKXLVMXJMNGDSUKV
      HVIVJWMSTAVRQWLVNGWKEVKVOUPVP $.
  $}

  ${
    $d X k $.
    hoissrrn2.kph $e |- F/ k ph $.
    hoissrrn2.a $e |- ( ( ph /\ k e. X ) -> A e. RR ) $.
    hoissrrn2.b $e |- ( ( ph /\ k e. X ) -> B e. RR* ) $.
    $( A half-open interval is a subset of R^n .  (Contributed by Glauco
       Siliprandi, 21-Nov-2020.) $)
    hoissrrn2 $p |- ( ph -> X_ k e. X ( A [,) B ) C_ ( RR ^m X ) ) $=
      ( cico co cixp ciun cmap cr wss cvv wcel wral a1i syl2anc rgenw ixpssmapg
      ovex ax-mp reex cv wa cxr icossre ex ralrimi iunss sylibr mapss sstrd ) A
      DEBCIJZKZDEUPLZEMJZNEMJZUQUSOZAUPPQZDERVAVBDEBCIUCUADEUPPUBUDSANPQZURNOZU
      SUTOVCAUESAUPNOZDERVDAVEDEFADUFEQZVEAVFUGBNQCUHQVEGHBCUITUJUKDEUPNULUMURN
      EPUNTUO $.
  $}

  ${
    $d A a j x $.  $d B a j $.  $d K j $.  $d X a j x $.  $d Y a j x $.
    $d a j ph x $.
    hsphoival.h $e |- H = ( x e. RR |-> ( a e. ( RR ^m X ) |-> ( j e. X |-> if
       ( j e. Y , ( a ` j ) , if ( ( a ` j ) <_ x , ( a ` j ) , x ) ) ) ) ) $.
    hsphoival.a $e |- ( ph -> A e. RR ) $.
    hsphoival.x $e |- ( ph -> X e. V ) $.
    hsphoival.b $e |- ( ph -> B : X --> RR ) $.
    hsphoival.k $e |- ( ph -> K e. X ) $.
    $( ` H ` is a function (that returns the representation of the right side
       of a half-open interval intersected with a half-space).  Step (b) in
       Lemma 115B of [Fremlin1] p. 29.  (Contributed by Glauco Siliprandi,
       21-Nov-2020.) $)
    hsphoival $p |- ( ph -> ( ( ( H ` A ) ` B ) ` K ) = if ( K e. Y , ( B ` K )
       , if ( ( B ` K ) <_ A , ( B ` K ) , A ) ) ) $=
      ( wcel cle cif cr cv cfv wbr cmpt cmap co wceq breq2 id ifbieq2d mpteq2dv
      cvv ifeq2d ovex mptex a1i fvmptd3 fveq1 breq1d ifbieq1d ifeq12d adantl wf
      wa wb reex jca elmapg mpbird mptexg fvmptd eleq1 fveq2 ifbieq12d ffvelrnd
      syl ifcld ifexd ) AEGEUAZJQZVSDUBZWACRUCZWACSZSZGJQZGDUBZWFCRUCZWFCSZSZID
      CFUBZUBULAKDEIVTVSKUAZUBZWLCRUCZWLCSZSZUDZEIWDUDZTIUEUFZWJULABCKWREIVTWLW
      LBUAZRUCZWLWSSZSZUDZUDKWRWPUDZTFULLWSCUGZKWRXCWPXEEIXBWOXEVTXAWNWLXEWTWMW
      SCWLWSCWLRUHXEUIUJUMUKUKMXDULQAKWRWPTIUEUNUOUPUQWKDUGZWPWQUGAXFEIWOWDXFVT
      WLWAWNWCVSWKDURZXFWMWBWLWACXFWLWACRXGUSXGUTVAUKVBADWRQZITDVCZOATULQZIHQZV
      DXHXIVEAXJXKXJAVFUPNVGTIDULHVHVPVIAXKWQULQNEIWDHVJVPVKVSGUGZWDWIUGAXLVTWE
      WAWCWFWHVSGJVLVSGDVMZXLWBWGWAWFCXLWAWFCRXMUSXMUTVNVBPAWEWFWHTTAITGDOPVOZA
      WGWFCTXNMVQVRVK $.
  $}

  ${
    $d X k $.
    hoiprodcl3.k $e |- F/ k ph $.
    hoiprodcl3.x $e |- ( ph -> X e. Fin ) $.
    hoiprodcl3.a $e |- ( ( ph /\ k e. X ) -> A e. RR ) $.
    hoiprodcl3.b $e |- ( ( ph /\ k e. X ) -> B e. RR ) $.
    $( The pre-measure of half-open intervals is a nonnegative real.
       (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    hoiprodcl3 $p |- ( ph -> prod_ k e. X ( vol ` ( A [,) B ) ) e. ( 0 [,) +oo
       ) ) $=
      ( cc0 cpnf co cvol cxr wcel a1i wbr cr syl2anc rexrd cico cfv cprod pnfxr
      0xr cv wa clt cmin cif wceq volico resubcld 0red ifcld eqeltrd fprodreclf
      cdm cle icombl volge0 syl fprodge0 ltpnfd elicod ) AJKEBCUALZMUBZDUCZJNOA
      UEPKNOAUDPAVHAEVGDFGADUFEOUGZVGBCUHQZCBUILZJUJZRVIBROZCROVGVLUKHIBCULSVIV
      JVKJRVICBIHUMVIUNUOUPZUQZTAEVGDFGVNVIVFMUROZJVGUSQVIVMCNOVPHVICITBCUTSVFV
      AVBVCAVHVOVDVE $.
  $}

  $( The Lebesgue measure of a left-closed right-open interval is a real
     number.  (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
  volicore $p |- ( ( A e. RR /\ B e. RR ) -> ( vol ` ( A [,) B ) ) e. RR ) $=
    ( cr wcel wa cico cvol cfv clt wbr cmin cc0 cif volico simpr simpl resubcld
    co 0red ifcld eqeltrd ) ACDZBCDZEZABFRGHABIJZBAKRZLMCABNUDUEUFLCUDBAUBUCOUB
    UCPQUDSTUA $.
  ${
    $d A a b k $.  $d B a b k $.  $d X a b k x $.  $d a b k ph x $.
    hoidmvcl.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x )
       |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k ) )
       ) ) ) ) $.
    hoidmvcl.x $e |- ( ph -> X e. Fin ) $.
    hoidmvcl.a $e |- ( ph -> A : X --> RR ) $.
    hoidmvcl.b $e |- ( ph -> B : X --> RR ) $.
    $( The dimensional volume of a multidimensional half-open interval is a
       nonnegative real.  (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    hoidmvcl $p |- ( ph -> ( A ( L ` X ) B ) e. ( 0 [,) +oo ) ) $=
      ( cfv co cc0 cpnf wcel a1i cr c0 wceq cico cvol cprod hoidmvval 0e0icopnf
      cv cif cxr 0xr pnfxr clt wbr cmin ffvelrnda volico syl2anc resubcld ifcld
      wa 0red eqeltrd fprodrecl rexrd nfv cdm cle icombl volge0 fprodge0 ltpnfd
      syl elicod ) ACDGFNOGUAUBZPGEUHZCNZVPDNZUCOZUDNZEUEZUIPQUCOZABCDEFGHIJLMK
      UFAVOPWAWBPWBRAUGSAPQWAPUJRAUKSQUJRAULSAWAAGVTEKAVPGRVAZVTVQVRUMUNZVRVQUO
      OZPUIZTWCVQTRZVRTRVTWFUBAGTVPCLUPZAGTVPDMUPZVQVRUQURWCWDWEPTWCVRVQWIWHUSW
      CVBUTVCZVDZVEAGVTEAEVFKWJWCVSUDVGRZPVTVHUNWCWGVRUJRWLWHWCVRWIVEVQVRVIURVS
      VJVMVKAWAWKVLVNUTVC $.
  $}

  ${
    $d A a b k $.  $d B a b k $.  $d a b ph x $.  $d k x $.
    hoidmv0val.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x )
       |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k ) )
       ) ) ) ) $.
    hoidmv0val.a $e |- ( ph -> A : (/) --> RR ) $.
    hoidmv0val.b $e |- ( ph -> B : (/) --> RR ) $.
    $( The dimensional volume of a 0-dimensional half-open interval.
       Definition 115A (c) of [Fremlin1] p. 29.  (Contributed by Glauco
       Siliprandi, 21-Nov-2020.) $)
    hoidmv0val $p |- ( ph -> ( A ( L ` (/) ) B ) = 0 ) $=
      ( c0 cfv co wceq cc0 cv cico cvol a1i cprod cif cfn wcel hoidmvval iftrue
      0fin eqid ax-mp eqtrd ) ACDLFMNLLOZPLEQZCMULDMRNSMEUAZUBZPABCDEFLGHIJKLUC
      UDAUGTUEUNPOZAUKUOLUHUKPUMUFUITUJ $.
  $}

  ${
    $d A a b k $.  $d B a b k $.  $d X a b k x $.  $d a b ph x $.
    hoidmvn0val.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x
       ) |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k )
       ) ) ) ) ) $.
    hoidmvn0val.x $e |- ( ph -> X e. Fin ) $.
    hoidmvn0val.n $e |- ( ph -> X =/= (/) ) $.
    hoidmvn0val.a $e |- ( ph -> A : X --> RR ) $.
    hoidmvn0val.b $e |- ( ph -> B : X --> RR ) $.
    $( The dimensional volume of a non-0-dimensional half-open interval.
       Definition 115A (c) of [Fremlin1] p. 29.  (Contributed by Glauco
       Siliprandi, 21-Nov-2020.) $)
    hoidmvn0val $p |- ( ph -> ( A ( L ` X ) B ) = prod_ k e. X ( vol ` ( ( A `
       k ) [,) ( B ` k ) ) ) ) $=
      ( cfv co c0 wceq cc0 cv cico cvol cprod hoidmvval neneqd iffalsed eqtrd
      cif ) ACDGFOPGQRZSGETZCOUJDOUAPUBOEUCZUHUKABCDEFGHIJMNKUDAUISUKAGQLUEUFUG
      $.
  $}

  ${
    $d A a b k $.  $d B a b k $.  $d B c j k $.  $d C a b k x $.
    $d C c j k x $.  $d D a b k x $.  $d D c j k x $.  $d H a b k $.
    $d X a b k x $.  $d X c j k x $.  $d Y c j x $.  $d Z c j k x $.
    $d a b k ph x $.  $d c j k ph x $.
    hsphoidmvle2.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x
       ) |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k )
       ) ) ) ) ) $.
    hsphoidmvle2.x $e |- ( ph -> X e. Fin ) $.
    hsphoidmvle2.z $e |- ( ph -> Z e. ( X \ Y ) ) $.
    hsphoidmvle2.y $e |- X = ( Y u. { Z } ) $.
    hsphoidmvle2.c $e |- ( ph -> C e. RR ) $.
    hsphoidmvle2.d $e |- ( ph -> D e. RR ) $.
    hsphoidmvle2.e $e |- ( ph -> C <_ D ) $.
    hsphoidmvle2.h $e |- H = ( x e. RR |-> ( c e. ( RR ^m X ) |-> ( j e. X |->
       if ( j e. Y , ( c ` j ) , if ( ( c ` j ) <_ x , ( c ` j ) , x ) ) ) ) )
                      $.
    hsphoidmvle2.a $e |- ( ph -> A : X --> RR ) $.
    hsphoidmvle2.b $e |- ( ph -> B : X --> RR ) $.
    $( The dimensional volume of a half-open interval intersected with a two
       half-spaces.  Used in the last inequality of step (c) of Lemma 115B of
       [Fremlin1] p. 29.  (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    hsphoidmvle2 $p |- ( ph -> ( A ( L ` X ) ( ( H ` C ) ` B ) ) <_ ( A ( L ` X
       ) ( ( H ` D ) ` B ) ) ) $=
      ( cfv co cle wbr cif cico cvol csn cdif cv cprod cmul cr eldifad ffvelrnd
      wcel ifcld volicore syl2anc cfn wss difssd eldifi adantl ffvelrnda syldan
      ssfi wa fprodrecl nfv cdm cc0 cxr rexrd icombl volge0 syl fprodge0 adantr
      leidd iftrue simpr letrd iftrued breq12d mpbird wn clt simpl ltnled ltled
      eqcomd breqtrd ad2antrr iffalse pm2.61dan icossico syl22anc volss syl3anc
      wceq breq1d ne0d hsphoif hoidmvn0val recnd fveq2 oveq12d fveq2d hsphoival
      lemul1ad eldifbd iffalsed eqtrd oveq2d fprodsplit1 wf cun eleqtrdi eldifn
      elunnel2 prodeq2dv 3eqtrd ) ACDEIUGUGZKJUGZUHZCDFIUGUGZYKUHZUIUJMCUGZMDUG
      ZEUIUJZYPEUKZULUHZUMUGZKMUNZUOZHUPZCUGZUUCDUGZULUHZUMUGZHUQZURUHZYOYPFUIU
      JZYPFUKZULUHZUMUGZUUHURUHZUIUJAYTUUMUUHAYOUSVBZYRUSVBYTUSVBAKUSMCUEAMKLSU
      TZVAZAYQYPEUSAKUSMDUFUUPVAZUAVCZYOYRVDVEAUUOUUKUSVBUUMUSVBUUQAUUJYPFUSUUR
      UBVCZYOUUKVDVEAUUBUUGHAKVFVBZUUBKVGUUBVFVBRAKUUAVHKUUBVMVEZAUUCUUBVBZUUCK
      VBZUUGUSVBZUVCUVDAUUCKUUAVIZVJZAUVDVNZUUDUSVBZUUEUSVBZUVEAKUSUUCCUEVKZAKU
      SUUCDUFVKZUUDUUEVDVEVLZVOAUUBUUGHAHVPUVBUVMAUVCVNZUUFUMVQZVBZVRUUGUIUJUVN
      UVIUUEVSVBUVPAUVCUVDUVIUVGUVKVLUVNUUEAUVCUVDUVJUVGUVLVLVTUUDUUEWAVEUUFWBW
      CWDAYSUVOVBZUULUVOVBZYSUULVGZYTUUMUIUJAUUOYRVSVBUVQUUQAYRUUSVTYOYRWAVEAUU
      OUUKVSVBZUVRUUQAUUKUUTVTZYOUUKWAVEAYOVSVBUVTYOYOUIUJYRUUKUIUJZUVSAYOUUQVT
      UWAAYOUUQWFAYQUWBAYQVNZUWBYPYPUIUJZAUWDYQAYPUURWFWEUWCYRYPUUKYPUIYQYRYPXG
      AYQYPEWGVJUWCUUJYPFUWCYPEFAYPUSVBZYQUURWEAEUSVBZYQUAWEAFUSVBZYQUBWEAYQWHA
      EFUIUJZYQUCWEWIWJWKWLAYQWMZVNZUWBEUUKUIUJZUWJAEYPWNUJZUWKAUWIWOZUWJUWLUWI
      AUWIWHUWJEYPUWJAUWFUWMUAWCUWJAUWEUWMUURWCWPWLAUWLVNZUUJUWKUWNUUJVNEYPUUKU
      IUWNEYPUIUJUUJUWNEYPAUWFUWLUAWEAUWEUWLUURWEAUWLWHWQWEUUJYPUUKXGUWNUUJUUKY
      PUUJYPFWGWRVJWSUWNUUJWMZVNEFUUKUIAUWHUWLUWOUCWTUWOFUUKXGUWNUWOUUKFUUJYPFX
      AWRVJWSXBVEUWJYREUUKUIUWIYREXGAYQYPEXAVJXHWLXBYOUUKYOYRXCXDYSUULXEXFXQAYL
      UUIYNUUNUIAYLKUUDUUCYJUGZULUHZUMUGZHUQYTUUBUWRHUQZURUHUUIABCYJHJKNOQRAKMU
      UPXIZUEABEDGIVFKLPUDUARUFXJZXKAKUWRMYTHRUVHUWRUVHUVIUWPUSVBUWRUSVBUVKAKUS
      UUCYJUXAVKUUDUWPVDVEXLUUPAUUCMXGZVNUWRYOMYJUGZULUHZUMUGZYTUXBUWRUXEXGAUXB
      UWQUXDUMUXBUUDYOUWPUXCULUUCMCXMZUUCMYJXMXNXOVJAUXEYTXGUXBAUXDYSUMAUXCYRYO
      ULAUXCMLVBZYPYRUKYRABEDGIMVFKLPUDUARUFUUPXPAUXGYPYRAMKLSXRZXSXTYAXOWEXTYB
      AUWSUUHYTURAUUBUWRUUGHUVNUWQUUFUMUVNUWPUUEUUDULUVNUWPUUCLVBZUUEUUEEUIUJUU
      EEUKZUKUUEUVNBEDGIUUCVFKLPUDAUWFUVCUAWEAUVAUVCRWEZAKUSDYCUVCUFWEZUVGXPUVN
      UXIUUEUXJUVCUXIAUVCUUCLUUAYDZVBUUCUUAVBWMUXIUVCUUCKUXMUVFTYEUUCKUUAYFUUCL
      UUAYGVEVJZWJXTYAXOYHYAYIAYNKUUDUUCYMUGZULUHZUMUGZHUQYOMYMUGZULUHZUMUGZUUB
      UXQHUQZURUHUUNABCYMHJKNOQRUWTUEABFDGIVFKLPUDUBRUFXJZXKAKUXQMUXTHRUVHUXQUV
      HUVIUXOUSVBUXQUSVBUVKAKUSUUCYMUYBVKUUDUXOVDVEXLUUPUXBUXQUXTXGAUXBUXPUXSUM
      UXBUUDYOUXOUXRULUXFUUCMYMXMXNXOVJYBAUXTUUMUYAUUHURAUXSUULUMAUXRUUKYOULAUX
      RUXGYPUUKUKUUKABFDGIMVFKLPUDUBRUFUUPXPAUXGYPUUKUXHXSXTYAXOAUUBUXQUUGHUVNU
      XPUUFUMUVNUXOUUEUUDULUVNUXOUXIUUEUUEFUIUJUUEFUKZUKUUEUVNBFDGIUUCVFKLPUDAU
      WGUVCUBWEUXKUXLUVGXPUVNUXIUUEUYCUXNWJXTYAXOYHXNYIWKWL $.
  $}

  ${
    $d A a b k $.  $d B a b k $.  $d B c j k $.  $d C a b k x $.
    $d C c j k x $.  $d H a b k $.  $d X a b k x $.  $d X c j k x $.
    $d Y c j x $.  $d Z c j k x $.  $d a b k ph x $.  $d c j k ph x $.
    hsphoidmvle.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x
       ) |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k )
       ) ) ) ) ) $.
    hsphoidmvle.x $e |- ( ph -> X e. Fin ) $.
    hsphoidmvle.z $e |- ( ph -> Z e. ( X \ Y ) ) $.
    hsphoidmvle.y $e |- X = ( Y u. { Z } ) $.
    hsphoidmvle.c $e |- ( ph -> C e. RR ) $.
    hsphoidmvle.h $e |- H = ( x e. RR |-> ( c e. ( RR ^m X ) |-> ( j e. X |->
       if ( j e. Y , ( c ` j ) , if ( ( c ` j ) <_ x , ( c ` j ) , x ) ) ) ) )
                     $.
    hsphoidmvle.a $e |- ( ph -> A : X --> RR ) $.
    hsphoidmvle.b $e |- ( ph -> B : X --> RR ) $.
    $( The dimensional volume of a half-open interval intersected with a
       half-space, is less than or equal to the dimensional volume of the
       original half-open interval.  Used in the last inequality of step (e) of
       Lemma 115B of [Fremlin1] p. 30.  (Contributed by Glauco Siliprandi,
       21-Nov-2020.) $)
    hsphoidmvle $p |- ( ph -> ( A ( L ` X ) ( ( H ` C ) ` B ) ) <_ ( A ( L ` X
       ) B ) ) $=
      ( cfv co cle wbr cif cico cvol csn cdif cv cprod cmul cr eldifad ffvelrnd
      wcel ifcld volicore syl2anc cfn wss difssd eldifi adantl ffvelrnda syldan
      ssfi wa fprodrecl nfv cdm cc0 cxr rexrd icombl volge0 fprodge0 leidd min1
      syl icossico syl22anc volss syl3anc lemul1ad ne0d hoidmvn0val recnd fveq2
      hsphoif wceq oveq12d fveq2d hsphoival eldifbd iffalsed oveq2d fprodsplit1
      eqtrd adantr wf cun wn eleqtrdi eldifn iftrued prodeq2dv 3eqtrd hoidmvval
      elunnel2 c0 neneqd breq12d mpbird ) ACDEHUDUDZJIUDZUEZCDXSUEZUFUGLCUDZLDU
      DZEUFUGZYCEUHZUIUEZUJUDZJLUKZULZGUMZCUDZYJDUDZUIUEZUJUDZGUNZUOUEZYBYCUIUE
      ZUJUDZYOUOUEZUFUGAYGYRYOAYBUPUSZYEUPUSYGUPUSAJUPLCUBALJKRUQZURZAYDYCEUPAJ
      UPLDUCUUAURZTUTZYBYEVAVBAYTYCUPUSZYRUPUSUUBUUCYBYCVAVBAYIYNGAJVCUSZYIJVDY
      IVCUSQAJYHVEJYIVJVBZAYJYIUSZYJJUSZYNUPUSZUUHUUIAYJJYHVFZVGZAUUIVKZYKUPUSZ
      YLUPUSZUUJAJUPYJCUBVHZAJUPYJDUCVHZYKYLVAVBZVIZVLAYIYNGAGVMUUGUUSAUUHVKZYM
      UJVNZUSZVOYNUFUGUUTUUNYLVPUSUVBAUUHUUIUUNUULUUPVIUUTYLAUUHUUIUUOUULUUQVIV
      QYKYLVRVBYMVSWCVTAYFUVAUSZYQUVAUSZYFYQVDZYGYRUFUGAYTYEVPUSUVCUUBAYEUUDVQY
      BYEVRVBAYTYCVPUSZUVDUUBAYCUUCVQZYBYCVRVBAYBVPUSUVFYBYBUFUGYEYCUFUGZUVEAYB
      UUBVQUVGAYBUUBWAAUUEEUPUSZUVHUUCTYCEWBVBYBYCYBYEWDWEYFYQWFWGWHAXTYPYAYSUF
      AXTJYKYJXRUDZUIUEZUJUDZGUNYGYIUVLGUNZUOUEYPABCXRGIJMNPQAJLUUAWIZUBABEDFHV
      CJKOUATQUCWMZWJAJUVLLYGGQUUMUVLUUMUUNUVJUPUSUVLUPUSUUPAJUPYJXRUVOVHYKUVJV
      AVBWKUUAAYJLWNZVKUVLYBLXRUDZUIUEZUJUDZYGUVPUVLUVSWNAUVPUVKUVRUJUVPYKYBUVJ
      UVQUIYJLCWLZYJLXRWLWOWPVGAUVSYGWNUVPAUVRYFUJAUVQYEYBUIAUVQLKUSZYCYEUHYEAB
      EDFHLVCJKOUATQUCUUAWQAUWAYCYEALJKRWRWSXBWTWPXCXBXAAUVMYOYGUOAYIUVLYNGUUTU
      VKYMUJUUTUVJYLYKUIUUTUVJYJKUSZYLYLEUFUGYLEUHZUHYLUUTBEDFHYJVCJKOUAAUVIUUH
      TXCAUUFUUHQXCAJUPDXDUUHUCXCUULWQUUTUWBYLUWCUUHUWBAUUHYJKYHXEZUSYJYHUSXFUW
      BUUHYJJUWDUUKSXGYJJYHXHYJKYHXMVBVGXIXBWTWPXJWTXKAYAJXNWNZVOJYNGUNZUHUWFYS
      ABCDGIJMNPUBUCQXLAUWEVOUWFAJXNUVNXOWSAJYNLYRGQUUMYNUURWKUUAUVPYNYRWNAUVPY
      MYQUJUVPYKYBYLYCUIUVTYJLDWLWOWPVGXAXKXPXQ $.
  $}

  ${
    $d A a b k $.  $d A j k $.  $d B a b k $.  $d B j k $.  $d X a b k x $.
    $d X j k $.  $d a b k ph x $.
    hoidmvval0.p $e |- F/ j ph $.
    hoidmvval0.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x )
       |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k ) )
       ) ) ) ) $.
    hoidmvval0.x $e |- ( ph -> X e. Fin ) $.
    hoidmvval0.a $e |- ( ph -> A : X --> RR ) $.
    hoidmvval0.b $e |- ( ph -> B : X --> RR ) $.
    hoidmvval0.j $e |- ( ph -> E. j e. X ( B ` j ) <_ ( A ` j ) ) $.
    $( The dimensional volume of the (half-open interval) empty set.
       Definition 115A (c) of [Fremlin1] p. 29.  (Contributed by Glauco
       Siliprandi, 21-Nov-2020.) $)
    hoidmvval0 $p |- ( ph -> ( A ( L ` X ) B ) = 0 ) $=
      ( cfv cc0 wcel cr c0 wne co wceq id cle wrex fveq2 breq12d cbvrexvw rexn0
      cv wbr sylbir syl wa cico cvol cprod cfn adantr simpr wf hoidmvn0val nfan
      nfv w3a nfcv 3ad2ant1 ffvelrnda volicore syl2anc 3ad2antl1 oveq12d fveq2d
      cc recnd simp2 clt cmin cif 3adant3 volico wn simp3 lenltd mpbid iffalsed
      eqtrd fprod0 3adant1r 3exp rexlimd mpd eqidd 3eqtrd ) AAHUAUBZCDHGQUCZRUD
      AUEAEULZDQZWSCQZUFUMZEHUGZWQPXCFULZDQZXDCQZUFUMZFHUGWQXGXBFEHXDWSUDZXEWTX
      FXAUFXDWSDUHZXDWSCUHZUIUJXGFHUKUNUOAWQUPZWRHXFXEUQUCZURQZFUSZRRXKBCDFGHIJ
      LAHUTSZWQMVAAWQVBAHTCVCWQNVAAHTDVCWQOVAVDXKXCXNRUDZAXCWQPVAXKXBXPEHAWQEKW
      QEVFVEXPEVFXKWSHSZXBXPAXQXBXPWQAXQXBVGZHXMXAWTUQUCZURQZFWSXRFVFFXTVHAXQXO
      XBMVIAXQXDHSZXMVPSXBAYAUPZXMYBXFTSXETSXMTSAHTXDCNVJAHTXDDOVJXFXEVKVLVQVMX
      HXLXSURXHXFXAXEWTUQXJXIVNVOAXQXBVRXRXTXAWTVSUMZWTXAVTUCZRWAZRXRXATSZWTTSZ
      XTYEUDAXQYFXBAHTWSCNVJWBZAXQYGXBAHTWSDOVJWBZXAWTWCVLXRYCYDRXRXBYCWDAXQXBW
      EXRWTXAYIYHWFWGWHWIWJWKWLWMWNXKRWOWPVL $.
  $}

  ${
    $d A a b k $.  $d B a b k $.  $d X a b k x $.  $d Y k $.  $d Z k $.
    $d a b k ph x $.
    hoiprodp1.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x )
       |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k ) )
       ) ) ) ) $.
    hoiprodp1.y $e |- ( ph -> Y e. Fin ) $.
    hoiprodp1.3 $e |- ( ph -> Z e. V ) $.
    hoiprodp1.z $e |- ( ph -> -. Z e. Y ) $.
    hoiprodp1.x $e |- X = ( Y u. { Z } ) $.
    hoiprodp1.a $e |- ( ph -> A : X --> RR ) $.
    hoiprodp1.b $e |- ( ph -> B : X --> RR ) $.
    hoiprodp1.g $e |- G = prod_ k e. Y ( vol ` ( ( A ` k ) [,) ( B ` k ) ) ) $.
    $( The dimensional volume of a half-open interval with dimension
       ` n + 1 ` .  Used in the first equality of step (e) of Lemma 115B of
       [Fremlin1] p. 30.  (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    hoiprodp1 $p |- ( ph -> ( A ( L ` X ) B ) = ( G x. ( vol ` ( ( A ` Z ) [,)
       ( B ` Z ) ) ) ) ) $=
      ( cfv co cico cvol cprod csn cdif cmul cun cfn wcel snfi a1i unfi syl2anc
      cv eqeltrid snidg syl elun2 eleqtrrdi ne0d hoidmvn0val ffvelrnda volicore
      wa cr recnd wceq fveq2 oveq12d fveq2d adantl fprodsplit1 difeq1i wn difsn
      difun2 3eqtrd prodeq1d eqcomi eqtrd oveq2d ffvelrnd adantr ssun1 sseqtrri
      wf id sselid fprodrecl mulcomd ) ACDIGUBUCIEUQZCUBZWNDUBZUDUCZUEUBZEUFKCU
      BZKDUBZUDUCZUEUBZIKUGZUHZWREUFZUIUCZFXBUIUCZABCDEGILMNAIJXCUJZUKRAJUKULXC
      UKULZXHUKULOXIAKUMUNJXCUOUPURZAIKAKXHIAKXCULZKXHULAKHULXKPKHUSUTKXCJVAUTR
      VBZVCSTVDAIWRKXBEXJAWNIULZVGZWRXNWOVHULZWPVHULZWRVHULZAIVHWNCSVEAIVHWNDTV
      EWOWPVFZUPVIXLWNKVJZWRXBVJAXSWQXAUEXSWOWSWPWTUDWNKCVKWNKDVKVLVMVNVOAXFXBF
      UIUCXGAXEFXBUIAXEJWREUFZFAXDJWREAXDXHXCUHZJXCUHZJXDYAVJAIXHXCRVPUNYAYBVJA
      JXCVSUNAKJULVQYBJVJQKJVRUTVTWAXTFVJAFXTUAWBUNWCWDAXBFAXBAWSVHULWTVHULXBVH
      ULAIVHKCSXLWEAIVHKDTXLWEWSWTVFUPVIAFAFXTVHUAAJWREOAWNJULZVGZXOXPXQYDIVHWN
      CAIVHCWIYCSWFYCXMAYCJIWNJXHIJXCWGRWHYCWJWKVNZWEYDIVHWNDAIVHDWIYCTWFYEWEXR
      UPWLURVIWMWCVT $.
  $}

  ${
    $d C a b k $.  $d D a b k $.  $d D c h k $.  $d H a b k $.  $d S a b k x $.
    $d S c h k x $.  $d W a b j k x $.  $d W c h j k x $.  $d Y c h j x $.
    $d Z c h k x $.  $d a b j k ph x $.  $d c h j k ph x $.
    sge0hsphoire.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x
       ) |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k )
       ) ) ) ) ) $.
    sge0hsphoire.f $e |- ( ph -> Y e. Fin ) $.
    sge0hsphoire.z $e |- ( ph -> Z e. ( W \ Y ) ) $.
    sge0hsphoire.w $e |- W = ( Y u. { Z } ) $.
    sge0hsphoire.c $e |- ( ph -> C : NN --> ( RR ^m W ) ) $.
    sge0hsphoire.d $e |- ( ph -> D : NN --> ( RR ^m W ) ) $.
    sge0hsphoire.r $e |- ( ph -> ( sum^ ` ( j e. NN |-> ( ( C ` j ) ( L ` W ) (
       D ` j ) ) ) ) e. RR ) $.
    sge0hsphoire.h $e |- H = ( x e. RR |-> ( c e. ( RR ^m W ) |-> ( j e. W |->
       if ( j e. Y , ( c ` j ) , if ( ( c ` j ) <_ x , ( c ` j ) , x ) ) ) ) )
                      $.
    sge0hsphoire.s $e |- ( ph -> S e. RR ) $.
    $( If the generalized sum of dimensional volumes of n-dimensional half-open
       intervals is finite, then the sum stays finite if every half-open
       interval is intersected with a half-space.  (Contributed by Glauco
       Siliprandi, 21-Nov-2020.) $)
    sge0hsphoire $p |- ( ph -> ( sum^ ` ( j e. NN |-> ( ( C ` j ) ( L ` W ) ( (
       H ` S ) ` ( D ` j ) ) ) ) ) e. RR ) $=
      ( vh cn cv cfv co cmpt csumge0 cc0 cpnf cicc wcel wne cr cvv nnex cico wa
      a1i cfn csn cun snfi unfi syl2anc eqeltrid adantr wf ffvelrnda elmapi syl
      cmap cle wbr cif wceq eleq1w fveq2 breq1d ifbieq12d cbvmptv mpteq2i eqtri
      ifbieq1d hsphoif hoidmvcl eqid fmptd wss icossicc fssd sge0xrcl cxr pnfxr
      sge0cl rexrd nfv sselid cdif hsphoidmvle sge0lempt ltpnfd xrltned ge0xrre
      xrlelttrd ) AFUFFUGZCUHZXIDUHZEHUHUHZJIUHZUIZUJZUKUHZULUMUNUIZUOXPUMUPXPU
      QUOAXOURUFUFURUOAUSVBZAUFULUMUTUIZXQXOAFUFXNXSXOAXIUFUOZVAZBXJXLGIJMNPAJV
      CUOXTAJKLVDZVEZVCSAKVCUOYBVCUOZYCVCUOQYDALVFVBKYBVGVHVIVJZYAXJUQJVOUIZUOJ
      UQXJVKAUFYFXICTVLXJUQJVMVNZYABEXKUEHVCJKOHBUQOYFFJXIKUOZXIOUGZUHZYJBUGZVP
      VQZYJYKVRZVRZUJZUJZUJBUQOYFUEJUEUGZKUOZYQYIUHZYSYKVPVQZYSYKVRZVRZUJZUJZUJ
      UCBUQYPUUDOYFYOUUCFUEJYNUUBXIYQVSZYHYRYJYMYSUUAFUEKVTXIYQYIWAZUUEYLYTYJYS
      YKUUEYJYSYKVPUUFWBUUFWGWCWDWEWEWFZAEUQUOXTUDVJZYEYAXKYFUOJUQXKVKAUFYFXIDU
      AVLXKUQJVMVNZWHWIZXOWJWKXSXQWLAULUMWMZVBWNZWRAXPUMAXOURUFXRUULWOZUMWPUOAW
      QVBZAXPFUFXJXKXMUIZUJUKUHZUMUUMAUUPUBWSUUNAFUFXNUUOURAFWTXRYAXSXQXNUUKUUJ
      XAYAXSXQUUOUUKYABXJXKGIJMNPYEYGUUIWIXAYABXJXKEUEGHIJKLMNOPYEALJKXBUOXTRVJ
      SUUHUUGYGUUIXCXDAUUPUBXEXHXFXPXGVH $.
  $}

  ${
    $d A a b k $.  $d A j k $.  $d X a b k x $.  $d X j k $.  $d a b k ph x $.
    $d j k ph $.
    hoidmvval0b.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x
       ) |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k )
       ) ) ) ) ) $.
    hoidmvval0b.x $e |- ( ph -> X e. Fin ) $.
    hoidmvval0b.a $e |- ( ph -> A : X --> RR ) $.
    $( The dimensional volume of the (half-open interval) empty set.
       Definition 115A (c) of [Fremlin1] p. 29.  (Contributed by Glauco
       Siliprandi, 21-Nov-2020.) $)
    hoidmvval0b $p |- ( ph -> ( A ( L ` X ) A ) = 0 ) $=
      ( vj c0 wceq cfv co wa adantl cr adantr fveq2 oveqd wf wb feq2 hoidmv0val
      cc0 mpbid eqtrd wn nfv cfn wcel cv cle wbr wex wrex wne neqne n0 sylib wi
      simpr ffvelrnda eqidd eqled jca ex eximdv mpd df-rex hoidmvval0 pm2.61dan
      sylibr ) AFMNZCCFEOZPZUGNAVPQZVRCCMEOZPZUGVPVRWANAVPVQVTCCFMEUAUBRVSBCCDE
      GHIVSFSCUCZMSCUCZAWBVPKTVPWBWCUDAFMSCUERUHZWDUFUIAVPUJZQZBCCLDEFGHWFLUKIA
      FULUMWEJTAWBWEKTZWGWFLUNZFUMZWHCOZWJUOUPZQZLUQZWKLFURWFWILUQZWMWEWNAWEFMU
      SWNFMUTLFVAVBRWFWIWLLAWIWLVCWEAWIWLAWIQZWIWKAWIVDWOWJWJAFSWHCKVEWOWJVFVGV
      HVITVJVKWKLFVLVOVMVN $.
  $}

  ${
    $d A j z $.  $d A y $.  $d B x y $.  $d B z $.  $d C z $.  $d D z $.
    $d S j z $.  $d U j z $.  $d U x y $.  $d j ph z $.
    hoidmv1lelem1.a $e |- ( ph -> A e. RR ) $.
    hoidmv1lelem1.b $e |- ( ph -> B e. RR ) $.
    hoidmv1lelem1.l $e |- ( ph -> A < B ) $.
    hoidmv1lelem1.c $e |- ( ph -> C : NN --> RR ) $.
    hoidmv1lelem1.d $e |- ( ph -> D : NN --> RR ) $.
    hoidmv1lelem1.r $e |- ( ph -> ( sum^ ` ( j e. NN |-> ( vol ` ( ( C ` j )
       [,) ( D ` j ) ) ) ) ) e. RR ) $.
    hoidmv1lelem1.u $e |- U = { z e. ( A [,] B ) | ( z - A ) <_ ( sum^ ` ( j e.
       NN |-> ( vol ` ( ( C ` j ) [,) if ( ( D ` j ) <_ z , ( D ` j ) , z ) ) )
       ) ) } $.
    hoidmv1lelem1.s $e |- S = sup ( U , RR , < ) $.
    $( The supremum of ` U ` belongs to ` U ` .  This is the last part of step
       (a) and the whole step (b) in the proof of Lemma 114B of [Fremlin1]
       p. 23.  (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    hoidmv1lelem1 $p |- ( ph -> ( S e. U /\ A e. U /\ E. x e. RR A. y e. U y <_
       x ) ) $=
      ( wcel cv cle wbr wral cr wrex cmin co cn cfv cico cvol cmpt csumge0 cicc
      cif crab wa clt wss ssrab2 eqsstri a1i cxr rexrd ltled lbicc2 syl3anc cc0
      csup recnd subidd cvv nfv nnex cpnf wf volf ffvelrnda adantr ifcld icombl
      cdm syl2anc ffvelrnd sge0ge0mpt eqbrtrd jca wceq oveq1 id ifbieq2d oveq2d
      breq2 fveq2d mpteq2dv breq12d elrab sylibr eleqtrrdi ne0d supicc eqeltrid
      caddc iccssred sstrd sselda adantlr sge0xrclmpt pnfxr leidd min1 icossico
      wn syl22anc volss sge0lempt ltpnfd xrlelttrd xrltned eqid fmptd sge0repnf
      neneqd mpbird readdcld sseldd eleq2i biimpi adantl rabid lesubaddd iftrue
      ad3antrrr simpr syl31anc letrd iffalse ad2antlr pm2.61dan sylib simprd c0
      mpbid eqidd wne w3a iccsupr simp3d suprub breqtrrdi iftrued 3eqtr4d eqled
      ad2antrr ltnled leadd1dd ex ralrimi wb suprleub 3jca ) AIJTEJTZCUABUAUBUC
      CJUDBUEUFZAIDUAZEUGUHZKUIKUAZGUJZUVGHUJZUVEUBUCZUVIUVEUPZUKUHZULUJZUMZUNU
      JZUBUCZDEFUOUHZUQZJAIUVQTZIEUGUHZKUIUVHUVIIUBUCZUVIIUPZUKUHZULUJZUMZUNUJZ
      UBUCZURIUVRTAUVSUWGAIJUEUSVJZUVQSAJEFLMJUVQUTZAJUVRUVQRUVPDUVQVAVBVCZAJEA
      EUVRJAEUVQTZEEUGUHZKUIUVHUVIEUBUCZUVIEUPZUKUHZULUJZUMZUNUJZUBUCZUREUVRTAU
      WKUWSAEVDTFVDTEFUBUCUWKAELVEAFMVEAEFLMNVFEFVGVHAUWLVIUWRUBAEAELVKVLAUIUWP
      KVMAKVNZUIVMTZAVOVCZAUVGUITZURZULWCZVIVPUOUHZUWOULUXEUXFULVQZUXDVRVCZUXDU
      VHUETZUWNVDTUWOUXETAUIUEUVGGOVSZUXDUWNUXDUWMUVIEUEAUIUEUVGHPVSZAEUETZUXCL
      VTWAVEUVHUWNWBWDWEWFWGWHUVPUWSDEUVQUVEEWIZUVFUWLUVOUWRUBUVEEEUGWJUXMUVNUW
      QUNUXMKUIUVMUWPUXMUVLUWOULUXMUVKUWNUVHUKUXMUVJUWMUVEEUVIUVEEUVIUBWNUXMWKW
      LWMWOWPWOWQWRWSRWTZXAZXBXCZAUWGIUWFEXDUHZUBUCAIUWHUXQUBIUWHWIASVCAUWHUXQU
      BUCZUVEUXQUBUCZDJUDZAUXSDJADVNAUVEJTZUXSAUYAURZUVEUVOEXDUHZUXQAJUEUVEAJUV
      QUEUWJAEFLMXEZXFZXGZUYBUVOEUYBUVOUETUVOVPWIXNUYBUVOVPUYBUVOVPUYBKUIUVMVMU
      YBKVNZUXAUYBVOVCZUYBUXCURZUXEUXFUVLULUXGUYIVRVCUYIUXIUVKVDTUVLUXETZAUXCUX
      IUYAUXJXHUYIUVKUYIUVJUVIUVEUEAUXCUVIUETZUYAUXKXHZUYBUVEUETZUXCUYFVTZWAZVE
      UVHUVKWBWDZWEZXIZVPVDTZUYBXJVCZUYBUVOKUIUVHUVIUKUHZULUJZUMUNUJZVPUYRAVUCV
      DTUYAAVUCQVEZVTUYTUYBKUIUVMVUBVMUYGUYHUYQAUXCVUBUXFTUYAUXDUXEUXFVUAULUXHU
      XDUXIUVIVDTZVUAUXETZUXJUXDUVIUXKVEZUVHUVIWBWDZWEZXHUYIUYJVUFUVLVUAUTZUVMV
      UBUBUCUYPAUXCVUFUYAVUHXHUYIUVHVDTZVUEUVHUVHUBUCZUVKUVIUBUCZVUJAUXCVUKUYAU
      XDUVHUXJVEZXHZAUXCVUEUYAVUGXHAUXCVULUYAUXDUVHUXJXKZXHZUYIUYKUYMVUMUYLUYNU
      VIUVEXLWDUVHUVIUVHUVKXMXOUVLVUAXPVHXQAVUCVPUSUCUYAAVUCQXRZVTXSXTYDUYBUVNV
      MUIUYHUYBKUIUVMUXFUVNUYQUVNYAYBYCYEZAUXLUYALVTZYFAUXQUETZUYAAUWFEAUWFUETZ
      UWFVPWIXNAUWFVPAUWFVPAKUIUWDVMUWTUXBUXDUXEUXFUWCULUXHUXDUXIUWBVDTZUWCUXET
      ZUXJUXDUWBUXDUWAUVIIUEUXKAIUETZUXCAUVQUEIUYDUXPYGZVTZWAVEZUVHUWBWBWDZWEZX
      IZUYSAXJVCZAUWFVUCVPVVKVUDVVLAKUIUWDVUBVMUWTUXBVVJVUIUXDVVDVUFUWCVUAUTZUW
      DVUBUBUCVVIVUHUXDVUKVUEVULUWBUVIUBUCZVVMVUNVUGVUPUXDUYKVVEVVNUXKVVGUVIIXL
      WDUVHUVIUVHUWBXMXOUWCVUAXPVHXQVURXSXTYDAUWEVMUIUXBAKUIUWDUXFUWEVVJUWEYAYB
      YCYEZLYFZVTUYBUVPUVEUYCUBUCUYBUVEUVQTZUVPUYBUVEUVRTZVVQUVPURUYAVVRAUYAVVR
      JUVRUVERYHZYIYJZUVPDUVQYKUUAUUBUYBUVEEUVOUYFVUTVUSYLUUDUYBUVOUWFEVUSAVVBU
      YAVVOVTVUTUYBKUIUVMUWDVMUYGUYHUYQAUXCUWDUXFTUYAVVJXHUYIUYJVVDUVLUWCUTZUVM
      UWDUBUCUYPAUXCVVDUYAVVIXHUYIVUKVVCVULUVKUWBUBUCZVWAVUOAUXCVVCUYAVVHXHVUQU
      YIUVJVWBUYIUVJURZUVKUWBUYIUVKUETUVJUYOVTVWCUVIUVIUVKUWBVWCUVIUUEUVJUVKUVI
      WIUYIUVJUVIUVEYMYJVWCUWAUVIIVWCUVIUVEIUYIUYKUVJUYLVTUYIUYMUVJUYNVTAVVEUYA
      UXCUVJVVFYNUYIUVJYOUYBUVEIUBUCZUXCUVJUYBUVEUWHIUBUYBJUEUTZJUUCUUFZUVDUYAU
      VEUWHUBUCAVWEUYAUYEVTAVWFUYAUXOVTAUVDUYAAVWEVWFUVDAUXLFUETZURUWIUVCVWEVWF
      UVDUUGAUXLVWGLMWHUWJUXNBCEFEJUUHVHUUIZVTUYBVVRUYAVVTVVSWSBCJUVEUUJYPSUUKZ
      UUOYQUULUUMUUNUYIUVJXNZURZUWAVWBVWKUWAURZVWBUVEUVIUBUCZVWKVWMUWAVWKUVEUVI
      UYIUYMVWJUYNVTZUYIUYKVWJUYLVTZVWKUVEUVIUSUCVWJUYIVWJYOVWKUVEUVIVWNVWOUUPY
      EVFVTVWLUVKUVEUWBUVIUBVWJUVKUVEWIZUYIUWAUVJUVIUVEYRZYSUWAUWBUVIWIVWKUWAUV
      IIYMYJWQYEVWKUWAXNZURZVWBVWDUYBVWDUXCVWJVWRVWIYNVWSUVKUVEUWBIUBVWJVWPUYIV
      WRVWQYSVWRUWBIWIVWKUWAUVIIYRYJWQYEYTYTUVHUWBUVHUVKXMXOUVLUWCXPVHXQUUQYQUU
      RUUSAVWEVWFUVDVVAUXRUXTUUTUYEUXOVWHVVPBCDJUXQUVAYPYEWGAIEUWFVVFLVVOYLYEWH
      UVPUWGDIUVQUVEIWIZUVFUVTUVOUWFUBUVEIEUGWJVWTUVNUWEUNVWTKUIUVMUWDVWTUVLUWC
      ULVWTUVKUWBUVHUKVWTUVJUWAUVEIUVIUVEIUVIUBWNVWTWKWLWMWOWPWOWQWRWSRWTUXNVWH
      UVB $.
  $}

  ${
    $d A z $.  $d B z $.  $d C j z $.  $d D j z $.  $d K j $.  $d M j z $.
    $d M u $.  $d S j z $.  $d S u $.  $d U u $.  $d j ph $.
    hoidmv1lelem2.a $e |- ( ph -> A e. RR ) $.
    hoidmv1lelem2.b $e |- ( ph -> B e. RR ) $.
    hoidmv1lelem2.c $e |- ( ph -> C : NN --> RR ) $.
    hoidmv1lelem2.d $e |- ( ph -> D : NN --> RR ) $.
    hoidmv1lelem2.r $e |- ( ph -> ( sum^ ` ( j e. NN |-> ( vol ` ( ( C ` j )
       [,) ( D ` j ) ) ) ) ) e. RR ) $.
    hoidmv1lelem2.u $e |- U = { z e. ( A [,] B ) | ( z - A ) <_ ( sum^ ` ( j e.
       NN |-> ( vol ` ( ( C ` j ) [,) if ( ( D ` j ) <_ z , ( D ` j ) , z ) ) )
       ) ) } $.
    hoidmv1lelem2.e $e |- ( ph -> S e. U ) $.
    hoidmv1lelem2.g $e |- ( ph -> A <_ S ) $.
    hoidmv1lelem2.l $e |- ( ph -> S < B ) $.
    hoidmv1lelem2.k $e |- ( ph -> K e. NN ) $.
    hoidmv1lelem2.s $e |- ( ph -> S e. ( ( C ` K ) [,) ( D ` K ) ) ) $.
    hoidmv1lelem2.m $e |- M = if ( ( D ` K ) <_ B , ( D ` K ) , B ) $.
    $( This is the contradiction proven in step (c) in the proof of Lemma 114B
       of [Fremlin1] p. 23.  (Contributed by Glauco Siliprandi,
       21-Nov-2020.) $)
    hoidmv1lelem2 $p |- ( ph -> E. u e. U S < u ) $=
      ( wcel clt wbr cv cmin co cn cfv cle cif cico cvol cmpt csumge0 cicc wceq
      wa cr a1i ffvelrnd ifcld cxr wss rexrd syl2anc syl3anc ltled jca wb lemin
      mpbird letrd eqcomd breqtrd eqbrtrd caddc recnd npncand resubcld readdcld
      cpnf wn cvv nnex cc0 volf ffvelrnda adantr eqid fmptd sge0xrcl leidd min1
      icombl icossico syl22anc volss sge0lempt xrlelttrd neneqd sge0repnf oveq1
      xrltned simpl breq2d ifbieq2d oveq2d fveq2d breq12d elrab simprd leadd2dd
      adantl syldan iftrue simpr ad2antrr lelttrd ltnled pm2.61dan cxad mpteq1d
      ltmin breq1d ifbieq1d oveq12d sge0splitsn volicore rexadd volico iffalsed
      fveq2 oveq1d xrletrid 3eqtrd subcld wrex crab eqeltrd icossre sseldd min2
      icoltub eliccd cdm wf pnfxr nfv ltpnfd eleqtrdi mpteq2dva csn cdif difssd
      sylib sge0ssrempt difexg ax-mp eldifi sge0xrclmpt sge0lessmpt iffalse cun
      sge0repnfmpt difsnid neldifsnd mpbid ifbid eqeltrrd lenltd icogelb subidd
      syl eqtr2d ifeqda addcomd addassd iftrued eqtrd breq2 id sylibr eleqtrrdi
      mpteq2dv rspcev ) ALIUEHLUFUGZHCUHZUFUGZCIUUAALBUHZDUIUJZJUKJUHZFULZUWOGU
      LZUWMUMUGZUWQUWMUNZUOUJZUPULZUQZURULZUMUGZBDEUSUJZUUBZIALUXEUEZLDUIUJZJUK
      UWPUWQLUMUGZUWQLUNZUOUJZUPULZUQZURULZUMUGZVALUXFUEAUXGUXOADELMNALKGULZEUM
      UGZUXPEUNZVBLUXRUTAUDVCZAUXQUXPEVBAUKVBKGPUBVDZNVEZUUCZADUXRLUMADHUXRMAKF
      ULZUXPUOUJZVBHAUYCVBUEZUXPVFUEZUYDVBVGAUKVBKFOUBVDZAUXPUXTVHZUYCUXPUUDVIU
      CUUEZUYATAHUXRUMUGZHUXPUMUGZHEUMUGZVAZAUYKUYLAHUXPUYIUXTAUYCVFUEZUYFHUYDU
      EZHUXPUFUGZAUYCUYGVHZUYHUCUYCUXPHUUGVJZVKAHEUYINUAVKVLAHVBUEZUXPVBUEZEVBU
      EZUYJUYMVMUYIUXTNHUXPEVNVJVOVPALUXRUXSVQZVRALUXREUMUXSAUYTVUAUXREUMUGUXTN
      UXPEUUFVIVSUUHAUXHLHUIUJZHDUIUJZVTUJZUXNUMAVUEUXHALHDALUYBWAZAHUYIWAZADMW
      AWBVQAVUEVUCJUKUWPUWQHUMUGZUWQHUNZUOUJZUPULZUQZURULZVTUJZUXNAVUCVUDALHUYB
      UYIWCZAHDUYIMWCZWDAVUCVUMVUOAVUMVBUEVUMWEUTWFAVUMWEAVUMWEAVULWGUKUKWGUEZA
      WHVCZAJUKVUKWIWEUSUJZVULAUWOUKUEZVAZUPUUIZVUSVUJUPVVBVUSUPUUJZVVAWJVCZVVA
      UWPVBUEZVUIVFUEVUJVVBUEZAUKVBUWOFOWKZVVAVUIVVAVUHUWQHVBAUKVBUWOGPWKZAUYSV
      UTUYIWLZVEVHUWPVUIWRVIZVDZVULWMWNZWOZWEVFUEAUUKVCZAVUMJUKUWPUWQUOUJZUPULZ
      UQURULZWEVVMAVVQQVHZVVNAJUKVUKVVPWGAJUULZVURVVKVVAVVBVUSVVOUPVVDVVAVVEUWQ
      VFUEZVVOVVBUEZVVGVVAUWQVVHVHZUWPUWQWRVIZVDZVVAVVFVWAVUJVVOVGZVUKVVPUMUGVV
      JVWCVVAUWPVFUEZVVTUWPUWPUMUGZVUIUWQUMUGZVWEVVAUWPVVGVHZVWBVVAUWPVVGWPZVVA
      UWQVBUEZUYSVWHVVHVVIUWQHWQVIUWPUWQUWPVUIWSWTVUJVVOXAVJXBAVVQQUUMZXCXGXDAV
      ULWGUKVURVVLXEVOZWDAUXNVBUEUXNWEUTWFAUXNWEAUXNWEAUXMWGUKVURAJUKUXLVUSUXMV
      VAVVBVUSUXKUPVVDVVAVVEUXJVFUEZUXKVVBUEZVVGVVAUXJVVAUXIUWQLVBVVHALVBUEZVUT
      UYBWLZVEZVHZUWPUXJWRZVIZVDZUXMWMWNZWOZVVNAUXNVVQWEVXDVVRVVNAJUKUXLVVPWGVV
      SVURVXBVWDVVAVWOVWAUXKVVOVGZUXLVVPUMUGVXAVWCVVAVWFVVTVWGUXJUWQUMUGZVXEVWI
      VWBVWJVVAVWKVWPVXFVVHVWQUWQLWQVIUWPUWQUWPUXJWSWTUXKVVOXAVJXBVWLXCZXGXDAUX
      MWGUKVURVXCXEVOAVUDVUMVUCVUPVWMVUOAHUXEUEZVUDVUMUMUGZAHUXFUEVXHVXIVAAHIUX
      FSRUUNUXDVXIBHUXEUWMHUTZUWNVUDUXCVUMUMUWMHDUIXFVXJUXBVULURVXJJUKUXAVUKVXJ
      VUTVAZUWTVUJUPVXKUWSVUIUWPUOVXKUWRVUHUWMHUWQVXKUWMHUWQUMVXJVUTXHZXIVXLXJX
      KXLUUOXLXMXNUUSXOXPAVUNUXNUMUGLUYCUIUJZJUKKUUPZUUQZVUKUQURULZVTUJZVXMJVXO
      UXLUQURULZVTUJZUMUGAVXPVXRVXMAJUKVUKVXOWGVVSVURVVKVWMAUKVXNUURZUUTZAVXRVB
      UEZVXRWEUTWFAVXRWEAVXRWEAJVXOUXLWGVVSVXOWGUEZAVUQVYCWHUKVXNWGUVAUVBVCZAUW
      OVXOUEZVAZVVBVUSUXKUPVVCVYFWJVCVYFVVEVWNVWOVYFAVUTVVEAVYEXHVYEVUTAUWOUKVX
      NUVCXQZVVGVIAVYEVUTVWNVYGVWSXRZVWTVIZVDZUVDZVVNAVXRUXNWEVYKVXDVVNAJUKUXLV
      XOWGVURVXBVXTUVEVXGXCXGXDAVXOUXLJWGVVSVYDVYJUVHVOZALUYCUYBUYGWCAJVXOVUKUX
      LWGVVSVYDAVYEVUTVUKVUSUEVYGVVKXRZVYJVYFVVFVWOVUJUXKVGZVUKUXLUMUGAVYEVUTVV
      FVYGVVJXRVYIVYFVWFVWNVWGVUIUXJUMUGZVYNAVYEVUTVWFVYGVWIXRVYHAVYEVUTVWGVYGV
      WJXRAVYEVUTVYOVYGVVAVUHVYOVVAVUHVAZVUIUWQUXJUMVUHVUIUWQUTVVAVUHUWQHXSXQVY
      PUWQUXJUMUGZUWQUWQUMUGZUXIVAZVYPVYRUXIVVAVYRVUHVVAUWQVVHWPWLVYPUWQLVVAVWK
      VUHVVHWLZVVAVWPVUHVWQWLZVYPUWQHLVYTVVAUYSVUHVVIWLWUAVVAVUHXTAUWJVUTVUHAHU
      XRLUFAHUXRUFUGZUYPHEUFUGZVAZAUYPWUCUYRUAVLAUYSUYTVUAWUBWUDVMUYIUXTNHUXPEY
      GVJVOVUBVRZYAYBVKVLVYPVWKVWKVWPVYQVYSVMVYTVYTWUAUWQUWQLVNVJVOVSVVAVUHWFZV
      AZVUIHUXJUMWUFVUIHUTVVAVUHUWQHUVFXQWUGHUXJVVAUYSWUFVVIWLZVVAUXJVBUEWUFVWR
      WLWUGHUXJUFUGZHUWQUFUGZUWJVAZWUGWUJUWJWUGWUJWUFVVAWUFXTWUGHUWQWUHVVAVWKWU
      FVVHWLZYCVOAUWJVUTWUFWUEYAVLWUGUYSVWKVWPWUIWUKVMWUHWULVVAVWPWUFVWQWLHUWQL
      YGVJVOVKVSYDXRUWPUXJUWPVUIWSWTVUJUXKXAVJXBXPAVUNVXQUXNVXSUMAVUNVUCHUYCUIU
      JZVXPVTUJZVTUJZVUCWUMVTUJZVXPVTUJZVXQAVUMWUNVUCVTAVUMJVXOVXNUVGZVUKUQZURU
      LVXPUYCUXPHUMUGZUXPHUNZUOUJZUPULZYEUJZWUNAVULWUSURAJUKWURVUKAWURUKAKUKUEW
      URUKUTUBUKKUVIUVQVQZYFXLAVXOKVUKWVCJWGUKVVSVYDUBAKUKUVJZVYMUWOKUTZVUJWVBU
      PWVGUWPUYCVUIWVAUOUWOKFYPZWVGVUHWUTUWQUXPHWVGUWQUXPHUMUWOKGYPZYHWVIYIYJXL
      AVVBVUSWVBUPVVCAWJVCZAUYEWVAVFUEWVBVVBUEUYGAWVAAWUTUXPHVBUXTUYIVEZVHZUYCW
      VAWRVIVDYKAWVDVXPWVCVTUJZVXPWUMVTUJWUNAVXPVBUEWVCVBUEZWVDWVMUTVYAAUYEWVAV
      BUEZWVNUYGWVKUYCWVAYLVIVXPWVCYMVIAWVCWUMVXPVTAWVCUYCWVAUFUGZWVAUYCUIUJZWI
      UNZUYCHUFUGZWVQWIUNWUMAUYEWVOWVCWVRUTUYGWVKUYCWVAYNVIAWVPWVSWVQWIAWVAHUYC
      UFAWUTUXPHAUYPWUTWFUYRAHUXPUYIUXTYCUVKYOZXIUVLAWVSWVQWIWUMAWVQWUMUTWVSAWV
      AHUYCUIWVTYQWLAWVSWFZVAZWUMUYCUYCUIUJWIWWBHUYCUYCUIWWBHUYCAHVFUEWWAAWVAHV
      FWVTWVLUVMWLAUYNWWAUYQWLWWBHUYCUMUGWWAAWWAXTWWBHUYCAUYSWWAUYIWLAUYEWWAUYG
      WLZUVNVOAUYCHUMUGZWWAAUYNUYFUYOWWDUYQUYHUCUYCUXPHUVOVJZWLYRYQWWBUYCWWBUYC
      WWCWAUVPUVRUVSYSXKAVXPWUMAVXPVYAWAZAHUYCVUGAUYCUYGWAZYTZUVTYSYSXKAWUQWUOA
      VUCWUMVXPAVUCVUOWAWWHWWFUWAVQAWUPVXMVXPVTALHUYCVUFVUGWWGWBYQYSAUXNJWURUXL
      UQZURULVXRUYCUXPLUMUGZUXPLUNZUOUJZUPULZYEUJZVXSAUXMWWIURAJUKWURUXLWVEYFXL
      AVXOKUXLWWMJWGUKVVSVYDUBWVFVYJWVGUXKWWLUPWVGUWPUYCUXJWWKUOWVHWVGUXIWWJUWQ
      UXPLWVGUWQUXPLUMWVIYHWVIYIYJXLAVVBVUSWWLUPWVJAUYEWWKVFUEWWLVVBUEUYGAWWKAW
      WJUXPLVBUXTUYBVEZVHUYCWWKWRVIVDYKAWWNVXRWWMVTUJZVXRVXMVTUJVXSAVYBWWMVBUEZ
      WWNWWPUTVYLAUYEWWKVBUEZWWQUYGWWOUYCWWKYLVIVXRWWMYMVIAWWMVXMVXRVTAWWMUYCWW
      KUFUGZWWKUYCUIUJZWIUNZWWTVXMAUYEWWRWWMWXAUTUYGWWOUYCWWKYNVIAWWSWWTWIAUYCH
      WWKUYGUYIWWOWWEAHWWKUFUGZUYPUWJVAZAUYPUWJUYRWUEVLZAUYSUYTVWPWXBWXCVMUYIUX
      TUYBHUXPLYGVJVOYBUWBAWWKLUYCUIAWWJWWKLUTAWWJVAZWWKUXPLWWJWWKUXPUTAWWJUXPL
      XSXQWXEUXPLAUYFWWJUYHWLALVFUEWWJALUYBVHWLAWWJXTALUXPUMUGWWJALUXRUXPUMUXSA
      UYTVUAUXRUXPUMUGUXTNUXPEWQVIVSWLYRUWCAWWJWFZVAWWJUXPLAWXFXTYOYDYQYSXKAVXR
      VXMAVXRVYLWAALUYCVUFWWGYTUVTYSYSXMVOVPVSVLUXDUXOBLUXEUWMLUTZUWNUXHUXCUXNU
      MUWMLDUIXFWXGUXBUXMURWXGJUKUXAUXLWXGUWTUXKUPWXGUWSUXJUWPUOWXGUWRUXIUWMLUW
      QUWMLUWQUMUWDWXGUWEXJXKXLUWHXLXMXNUWFRUWGAUYPUWJWXDXOUWLUWJCLIUWKLHUFUWDU
      WIVI $.
  $}

  ${
    $d A j z $.  $d A y $.  $d B i j z $.  $d B j u $.  $d B x y $.
    $d C i j z $.  $d D i j z $.  $d D j u $.  $d S i j z $.  $d S j u $.
    $d U j u $.  $d U x y $.  $d U j z $.  $d i j ph z $.  $d ph u $.
    hoidmv1lelem3.a $e |- ( ph -> A e. RR ) $.
    hoidmv1lelem3.b $e |- ( ph -> B e. RR ) $.
    hoidmv1lelem3.l $e |- ( ph -> A < B ) $.
    hoidmv1lelem3.c $e |- ( ph -> C : NN --> RR ) $.
    hoidmv1lelem3.d $e |- ( ph -> D : NN --> RR ) $.
    hoidmv1lelem3.x $e |- ( ph -> ( A [,) B ) C_ U_ j e. NN ( ( C ` j ) [,) ( D
       ` j ) ) ) $.
    hoidmv1lelem3.r $e |- ( ph -> ( sum^ ` ( j e. NN |-> ( vol ` ( ( C ` j )
       [,) ( D ` j ) ) ) ) ) e. RR ) $.
    hoidmv1lelem3.u $e |- U = { z e. ( A [,] B ) | ( z - A ) <_ ( sum^ ` ( j e.
       NN |-> ( vol ` ( ( C ` j ) [,) if ( ( D ` j ) <_ z , ( D ` j ) , z ) ) )
       ) ) } $.
    hoidmv1lelem3.s $e |- S = sup ( U , RR , < ) $.
    $( The dimensional volume of a 1-dimensional half-open interval is less
       than or equal the generalized sum of the dimensional volumes of
       countable half-open intervals that cover it.  This is the nonempty,
       finite generalized sum, sub case in Lemma 114B of [Fremlin1] p. 23.
       (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    hoidmv1lelem3 $p |- ( ph -> ( B - A ) <_ ( sum^ ` ( j e. NN |-> ( vol ` ( (
       C ` j ) [,) ( D ` j ) ) ) ) ) ) $=
      ( cle wcel vy vx vu vi cmin co cn cfv wbr cico cvol cmpt csumge0 resubcld
      cv cif cr cpnf wceq wn cvv nnex a1i cc0 cicc icossicc cxr pnfxr ffvelrnda
      wa adantr ifcld volicore syl2anc rexrd icombl volge0 ltpnfd elicod sselid
      0xr cdm syl eqid fmptd sge0xrcl nfv volf ffvelrnd wss leidd min1 icossico
      syl22anc syl3anc sge0lempt xrlelttrd xrltned neneqd sge0repnf mpbird crab
      volss iccssred ssrab2 eqsstri wral wrex hoidmv1lelem1 simp1d sseldd simpl
      wf clt simpr ltnled ciun csup c0 wne sstrid simp3d simp2d suprub syl31anc
      ne0d breqtrrdi eliun sylib 3ad2ant1 fveq2 oveq12d fveq2d cbvmptv eqeltrid
      w3a fveq2i breq1d ifbieq1d eqcomi breq2i rabbii eqtri simp2 hoidmv1lelem2
      simp3 3exp rexlimdv mpd jca iccsupr ralrimiva sseli adantl ralbidva mpbid
      lenltd ralnex condan iccleub xrletrid eqeltrd eleqtrdi oveq1 breq2 oveq2d
      id ifbieq2d mpteq2dv breq12d elrab simprd letrd ) ADCUEUFZIUGIUOZEUHZUVOF
      UHZDSUIZUVQDUPZUJUFZUKUHZULZUMUHZIUGUVPUVQUJUFZUKUHZULZUMUHZADCKJUNAUWCUQ
      TUWCURUSUTAUWCURAUWCURAUWBVAUGUGVATAVBVCZAIUGUWAVDURVEUFZUWBAUVOUGTZVJZVD
      URUJUFUWIUWAVDURVFUWKVDURUWAVDVGTUWKWAVCURVGTZUWKVHVCUWKUWAUWKUVPUQTZUVSU
      QTUWAUQTAUGUQUVOEMVIZUWKUVRUVQDUQAUGUQUVOFNVIZADUQTZUWJKVKZVLZUVPUVSVMVNZ
      VOUWKUVTUKWBZTZVDUWASUIUWKUWMUVSVGTUXAUWNUWKUVSUWRVOUVPUVSVPVNZUVTVQWCUWK
      UWAUWSVRVSVTZUWBWDWEZWFZUWLAVHVCZAUWCUWGURUXEAUWGPVOUXFAIUGUWAUWEVAAIWGUW
      HUXCUWKUWTUWIUWDUKUWTUWIUKXMUWKWHVCUWKUWMUVQVGTZUWDUWTTZUWNUWKUVQUWOVOZUV
      PUVQVPVNZWIUWKUXAUXHUVTUWDWJZUWAUWESUIUXBUXJUWKUVPVGTUXGUVPUVPSUIUVSUVQSU
      IZUXKUWKUVPUWNVOUXIUWKUVPUWNWKUWKUVQUQTUWPUXLUWOUWQUVQDWLVNUVPUVQUVPUVSWM
      WNUVTUWDXCWOWPZAUWGPVRWQWRWSAUWBVAUGUWHUXDWTXAPADCDVEUFZTZUVNUWCSUIZADBUO
      ZCUEUFZIUGUVPUVQUXQSUIZUVQUXQUPZUJUFZUKUHZULZUMUHZSUIZBUXNXBZTUXOUXPVJADH
      UYFADGHADGADKVOZAGAUXNUQGACDJKXDZAHUXNGHUYFUXNQUYEBUXNXEXFZAGHTZCHTZUAUOU
      BUOSUIUAHXGUBUQXHZAUBUABCDEFGHIJKLMNPQRXIZXJZVTZXKZVOZADGSUIZGUCUOZXNUIZU
      CHXHZAUYRUTZVJZAGDXNUIZVUAAVUBXLZVUCVUDVUBAVUBXOVUCGDVUCAGUQTZVUEUYPWCVUC
      AUWPVUEKWCXPXAAVUDVJZGUWDTZIUGXHZVUAVUGGIUGUWDXQZTVUIVUGCDUJUFZVUJGAVUKVU
      JWJVUDOVKVUGCDGACVGTZVUDACJVOZVKADVGTZVUDUYGVKAGVGTVUDUYQVKACGSUIZVUDACHU
      QXNXRZGSAHUQWJZHXSXTZUYLUYKCVUPSUIAHUXNUQUYIUYHYAAHGUYNYFZAUYJUYKUYLUYMYB
      AUYJUYKUYLUYMYCUBUAHCYDYERYGVKZAVUDXOZVSXKIGUGUWDYHYIVUGVUHVUAIUGVUGUWJVU
      HVUAVUGUWJVUHYPBUCCDEFGHUDUVOUVSVUGUWJCUQTZVUHAVVBVUDJVKYJVUGUWJUWPVUHAUW
      PVUDKVKYJVUGUWJUGUQEXMZVUHAVVCVUDMVKYJVUGUWJUGUQFXMZVUHAVVDVUDNVKYJVUGUWJ
      UDUGUDUOZEUHZVVEFUHZUJUFZUKUHZULZUMUHZUQTZVUHAVVLVUDAVVKUWGUQVVJUWFUMUDIU
      GVVIUWEVVEUVOUSZVVHUWDUKVVMVVFUVPVVGUVQUJVVEUVOEYKZVVEUVOFYKZYLYMYNYQPYOV
      KYJHUYFUXRUDUGVVFVVGUXQSUIZVVGUXQUPZUJUFZUKUHZULZUMUHZSUIZBUXNXBQUYEVWBBU
      XNUYDVWAUXRSUYCVVTUMVVTUYCUDIUGVVSUYBVVMVVRUYAUKVVMVVFUVPVVQUXTUJVVNVVMVV
      PUXSVVGUVQUXQVVMVVGUVQUXQSVVOYRVVOYSYLYMYNYTYQUUAUUBUUCVUGUWJUYJVUHAUYJVU
      DUYNVKYJVUGUWJVUOVUHVUTYJVUGUWJVUDVUHVVAYJVUGUWJVUHUUDVUGUWJVUHUUFUVSWDUU
      EUUGUUHUUIVNAVUAUTZVUBAUYTUTZUCHXGZVWCAUYSGSUIZUCHXGVWEAVWFUCHAUYSHTZVJZU
      YSVUPGSVWHVUQVURUYLVWGUYSVUPSUIVWHHUXNUQUYIAUXNUQWJVWGUYHVKZYAAVURVWGVUSV
      KVWHVUQVURUYLVWHVVBUWPVJZHUXNWJZUYJVUQVURUYLYPAVWJVWGAVVBUWPJKUUJVKVWKVWH
      UYIVCAUYJVWGUYNVKUBUACDGHUUKWOYBAVWGXOUBUAHUYSYDYERYGUULAVWFVWDUCHVWHUYSG
      VWHUXNUQUYSVWIVWGUYSUXNTAHUXNUYSUYIUUMUUNXKAVUFVWGUYPVKUUQUUOUUPUYTUCHUUR
      YIVKUUSAVULVUNGUXNTGDSUIVUMUYGUYOCDGUUTWOUVAUYNUVBQUVCUYEUXPBDUXNUXQDUSZU
      XRUVNUYDUWCSUXQDCUEUVDVWLUYCUWBUMVWLIUGUYBUWAVWLUYAUVTUKVWLUXTUVSUVPUJVWL
      UXSUVRUXQDUVQUXQDUVQSUVEVWLUVGUVHUVFYMUVIYMUVJUVKYIUVLUXMUVM $.
  $}

  ${
    $d A a b j k x $.  $d A i j w z $.  $d A j k x y $.  $d B a b j k x $.
    $d B i j w z $.  $d B j k x y $.  $d C a b j k l x $.  $d C h i w z $.
    $d C j k x y $.  $d D a b j k l x $.  $d D h i w z $.  $d D j k x y $.
    $d V k y $.  $d X a b k l x $.  $d X k x y $.  $d Z h i w z $.
    $d Z i j w z $.  $d Z j k x y $.  $d a b j l ph x $.  $d i j ph z $.
    $d ph x y $.
    hoidmv1le.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x )
       |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k ) )
       ) ) ) ) $.
    hoidmv1le.z $e |- ( ph -> Z e. V ) $.
    hoidmv1le.x $e |- X = { Z } $.
    hoidmv1le.a $e |- ( ph -> A : X --> RR ) $.
    hoidmv1le.b $e |- ( ph -> B : X --> RR ) $.
    hoidmv1le.c $e |- ( ph -> C : NN --> ( RR ^m X ) ) $.
    hoidmv1le.d $e |- ( ph -> D : NN --> ( RR ^m X ) ) $.
    hoidmv1le.s $e |- ( ph -> X_ k e. X ( ( A ` k ) [,) ( B ` k ) ) C_ U_ j e.
       NN X_ k e. X ( ( ( C ` j ) ` k ) [,) ( ( D ` j ) ` k ) ) ) $.
    $( The dimensional volume of a 1-dimensional half-open interval is less
       than or equal to the generalized sum of the dimensional volumes of
       countable half-open intervals that cover it.  This is one of the two
       base cases of the induction of Lemma 115B of [Fremlin1] p. 29 (the other
       base case is the 0-dimensional case).  This proof of the 1-dimensional
       case is given in Lemma 114B of [Fremlin1] p. 23.  (Contributed by Glauco
       Siliprandi, 21-Nov-2020.) $)
    hoidmv1le $p |- ( ph -> ( A ( L ` X ) B ) <_ ( sum^ ` ( j e. NN |-> ( ( C `
       j ) ( L ` X ) ( D ` j ) ) ) ) ) $=
      ( vl vi vz vw vh vy cfv clt wbr co cn cv cmpt csumge0 cmin cico cvol cpnf
      cle wa wceq cr csn wcel syl ffvelrnd ad2antrr id eqcomd adantl breqtrd wn
      a1i simpr cvv nnex cc0 cicc wf cprod cfn eqeltrd adantr c0 cmap ffvelrnda
      elmapi hoidmvn0val cc volicore syl2anc recnd oveq12d fveq2d prodsn 3eqtrd
      fveq2 cif cmpo ax-mp eqtri eqid wss mpbird ciun wral wrex cop cixp eleq2i
      fmptd biimpi ixpeq2 sseqtrd eqidd wb elixpsn eqcomi ixpeq1 eliun wi mpbid
      rgen sylibr fveq1d fvexd fvmptd eqtr2d fvex fvmpt mpteq2ia cbvmptv breq1d
      mpd eqcom ifbieq1d breq12d pm2.61dan snidg eleqtrrdi resubcld rexrd pnfxr
      ltpnfd xrltled simpl snfi ne0d prodeq1i mpteq2dva cbvprodv ifeq2 mpoeq3ia
      cxr wne mpteq2i hoidmvcl icossicc fssd feq1dd sge0repnf crab simplr elsni
      csup iuneq2i opeq2 sneqd rspceeqv eleqtrd sseldd sylib w3a opex sneqr vex
      opthg simprd 3adant2 simp2 3exp rexlimdv reximdva ralrimiva dfss3 cbviunv
      ex iuneq2dv imbi1i imbi2i bitri mpbi fveq2i oveq1 breq2 ifbieq2d mpteq2dv
      oveq2d cbvrabv hoidmv1lelem3 prodeq1d volico iffalse sge0ge0 eqbrtrd
      iftrue ) ALCUIZLDUIZUJUKZCDKIUIZULZGUMGUNZEUIZUXNFUIZUXLULZUOZUPUIZVAUKZA
      UXKVBZUXTUXJUXIUQULZGUMLUXOUIZLUXPUIZURULZUSUIZUOZUPUIZVAUKZUYAUYHUTVCZUY
      IUYAUYJVBUYBUTUYHVAAUYBUTVAUKUXKUYJAUYBUTAUYBAUXJUXIAKVDLDSALLVEZKALJVFZL
      UYKVFPLJUUAVGQUUBZVHZAKVDLCRUYMVHZUUCZUUDUTUUPVFAUUEVOAUYBUYPUUFUUGVIUYJU
      TUYHVCUYAUYJUYHUTUYJVJVKVLVMUYAUYJVNZVBZUYAUYHVDVFZUYIUYAUYQUUHUYRUYSUYQU
      YAUYQVPUYRUYGVQUMUMVQVFZUYRVRVOAUMVSUTVTULZUYGWAUXKUYQAUMVUAUXRUYGAGUMUXQ
      UYFAUXNUMVFZVBZUXQKHUNZUXOUIZVUDUXPUIZURULZUSUIZHWBZUYKVUHHWBZUYFVUCBUXOU
      XPHIKMNOAKWCVFVUBAKUYKWCKUYKVCZAQVOZUYKWCVFALUUIVOWDZWEZAKWFUUQVUBAKLUYMU
      UJZWEVUCUXOVDKWGULZVFKVDUXOWAAUMVUPUXNETWHUXOVDKWIVGZVUCUXPVUPVFKVDUXPWAA
      UMVUPUXNFUAWHUXPVDKWIVGZWJVUIVUJVCVUCKUYKVUHHQUUKVOVUCUYLUYFWKVFVUJUYFVCA
      UYLVUBPWEVUCUYFVUCUYCVDVFUYDVDVFUYFVDVFVUCKVDLUXOVUQALKVFVUBUYMWEZVHZVUCK
      VDLUXPVURVUSVHZUYCUYDWLWMWNVUHUYFHLJVUDLVCZVUGUYEUSVVBVUEUYCVUFUYDURVUDLU
      XOWSVUDLUXPWSWOZWPWQWMWRUULZAUMVSUTURULZVUAUXRAGUMUXQVVEUXRVUCBUXOUXPUCIK
      MNIBWCMNVDBUNZWGULZVVGVVFWFVCZVSVVFVUDMUNZUIZVUDNUNZUIZURULZUSUIZHWBZWTZX
      AZUOBWCMNVVGVVGVVHVSVVFUCUNZVVIUIZVVRVVKUIZURULZUSUIZUCWBZWTZXAZUOOBWCVVQ
      VWEMNVVGVVGVVPVWDVVPVWDVCZVVIVVGVFVVKVVGVFVBVVOVWCVCVWFVVFVVNVWBHUCVUDVVR
      VCZVVMVWAUSVWGVVJVVSVVLVVTURVUDVVRVVIWSVUDVVRVVKWSWOWPUUMVVHVVOVWCVSUUNXB
      VOUUOUURXCVUNVUQVURUUSUXRXDXMVVEVUAXEAVSUTUUTVOUVAZUVBVIUVCXFUYAUYSVBZUYB
      UDUMUDUNZGUMUYCUOZUIZVWJGUMUYDUOZUIZURULZUSUIZUOZUPUIZUYHVAVWIUEUXIUXJVWK
      VWMUFUNZUXIUQULZUGUMLUGUNZEUIZUIZLVXAFUIZUIZVWSVAUKZVXEVWSWTZURULZUSUIZUO
      ZUPUIZVAUKZUFUXIUXJVTULZUVDZVDUJUVGZVXNUDAUXIVDVFZUXKUYSUYOVIAUXJVDVFZUXK
      UYSUYNVIAUXKUYSUVEAUMVDVWKWAUXKUYSAGUMUYCVDVWKVUTVWKXDZXMVIAUMVDVWMWAUXKU
      YSAGUMUYDVDVWMVVAVWMXDZXMVIAUXIUXJURULZUDUMVWOXGZXEUXKUYSAVXTGUMUYEXGZVYA
      AVVFVYBVFZBVXTXHVXTVYBXEAVYCBVXTAVVFVXTVFZVBZVVFUYEVFZGUMXIZVYCVYELVVFXJZ
      VEZHKUYEXKZVFZGUMXIZVYGVYEVYIGUMVYJXGZVFVYLVYEHKVUDCUIZVUDDUIZURULZXKZVYM
      VYIAVYQVYMXEVYDAVYQGUMHKVUGXKZXGZVYMUBVYSVYMVCAGUMVYRVYJVYRVYJVCZVUBVUGUY
      EVCZHKXHVYTWUAHKVUDKVFZVVBWUAWUBVUDUYKVFZVVBWUBWUCKUYKVUDQXLXNVUDLUVFVGZV
      VCVGYEHKVUGUYEXOXBVOUVHVOXPWEVYEVYIHUYKVXTXKZVYQVYEVYIWUEVFZVYILUHUNZXJZV
      EZVCZUHVXTXIZVYDWUKAVYDVYDVYIVYIVCWUKVYDVJVYDVYIXQUHVVFVXTWUIVYIVYIWUGVVF
      VCWUHVYHWUGVVFLUVIUVJUVKWMVLAWUFWUKXRZVYDAUYLWULPHUHLVXTVYIJXSVGWEXFAWUEV
      YQVCZVYDWUMAWUEHKVXTXKZVYQUYKKVCWUEWUNVCKUYKQXTHUYKKVXTYAXBVXTVYPVCZHKXHW
      UNVYQVCWUOHKWUBVYPVXTWUBVYNUXIVYOUXJURWUBVVBVYNUXIVCWUDVUDLCWSZVGWUBVVBVY
      OUXJVCWUDVUDLDWSZVGWOVKYEHKVXTVYPXOXBXCVOWEUVLUVMGVYIUMVYJYBUVNVYEVYKVYFG
      UMAVYKVYFYCVYDVUBAVYKVYFAVYKVBZWUJUHUYEXIZVYFWURVYIHUYKUYEXKZVFZWUSVYKWVA
      AVYKWVAVYJWUTVYIVUKVYJWUTVCQHKUYKUYEYAXBXLXNVLAWVAWUSXRZVYKAUYLWVBPHUHLUY
      EVYIJXSVGWEYDWURWUJVYFUHUYEAWUGUYEVFZWUJVYFYCYCVYKAWVCWUJVYFAWVCWUJUVOVVF
      WUGUYEAWUJVVFWUGVCZWVCAWUJVBZLLVCZWVDWVEVYHWUHVCZWVFWVDVBZWUJWVGAVYHWUHLV
      VFUVPUVQVLAWVGWVHXRZWUJAUYLVVFVQVFZWVIPWVJABUVRVOLVVFLWUGJVQUVSWMWEYDUVTU
      WAAWVCWUJUWBWDUWCWEUWDYPUWIVIUWEYPGVVFUMUYEYBYFUWFBVXTVYBUWGYFAVYAUDUMLVW
      JEUIZUIZLVWJFUIZUIZURULZXGZVYBAUDUMVWOWVOAVWJUMVFZVBZVWLWVLVWNWVNURWVRGVW
      JUYCWVLUMVWKVQWVRVWKXQUXNVWJVCZUYCWVLVCWVRWVSLUXOWVKUXNVWJEWSYGZVLAWVQVPZ
      WVRLWVKYHYIWVRGVWJUYDWVNUMVWMVQWVRVWMXQWVSUYDWVNVCWVRWVSLUXPWVMUXNVWJFWSY
      GZVLWWAWVRLWVMYHYIWOUWJWVPVYBVCAVYBWVPGUDUMUYEWVOWVSUYCWVLUYDWVNURWVTWWBW
      OZUWHXTVOYJXPVIVWIVWRUYHVDVWRUYHVCVWIVWQUYGUPVWQUDUMWVOUSUIZUOUYGUDUMVWPW
      WDWVQVWOWVOUSWVQVWLWVLVWNWVNURGVWJUYCWVLUMVWKWVTVXRLWVKYKYLZGVWJUYDWVNUMV
      WMWWBVXSLWVMYKYLZWOWPYMUDGUMWWDUYFVWJUXNVCZWVOUYEUSWVSUYEWVOVCZYCZWWGWVOU
      YEVCZYCZWWCWWIWWGWWHYCWWKWVSWWGWWHUXNVWJYQUWKWWHWWJWWGUYEWVOYQUWLUWMUWNWP
      YNXCUWOVOZUYAUYSVPWDVXLUEUNZUXIUQULZUDUMVWLVWNWWMVAUKZVWNWWMWTZURULZUSUIZ
      UOZUPUIZVAUKUFUEVXMVWSWWMVCZVWTWWNVXKWWTVAVWSWWMUXIUQUWPWXAVXJWWSUPWXAWWS
      UGUMVXCVXEWWMVAUKZVXEWWMWTZURULZUSUIZUOZVXJWWSWXFVCWXAWWSUDUMWVLWVNWWMVAU
      KZWVNWWMWTZURULZUSUIZUOWXFUDUMWWRWXJWVQWWQWXIUSWVQVWLWVLWWPWXHURWWEWVQWWO
      WXGVWNWVNWWMWVQVWNWVNWWMVAWWFYOWWFYRWOWPYMUDUGUMWXJWXEVWJVXAVCZWXIWXDUSWX
      KWVLVXCWXHWXCURWXKLWVKVXBVWJVXAEWSYGWXKWXGWXBWVNVXEWWMWXKWVNVXEWWMVAWXKLW
      VMVXDVWJVXAFWSYGZYOWXLYRWOWPYNXCVOWXAUGUMWXEVXIWXAWXDVXHUSWXAWXCVXGVXCURW
      XAVXGWXCWXAVXFWXBVWSWWMVXEVWSWWMVXEVAUWQWXAVJUWRVKUWTWPUWSYJWPYSUXAVXOXDU
      XBWWLVMWMYTUYAUXMUYBUXSUYHVAUYAUXMVXTUSUIZUXKUYBVSWTZUYBAUXMWXMVCUXKAUXMK
      VYPUSUIZHWBZUYKWXOHWBZWXMABCDHIKMNOVUMVUORSWJZAKUYKWXOHVULUXCZAUYLWXMWKVF
      WXQWXMVCZPAWXMAVXPVXQWXMVDVFUYOUYNUXIUXJWLWMWNWXOWXMHLJVVBVYPVXTUSVVBVYNU
      XIVYOUXJURWUPWUQWOWPWQWMZWRWEAWXMWXNVCZUXKAVXPVXQWYBUYOUYNUXIUXJUXDWMZWEU
      XKWXNUYBVCAUXKUYBVSUXHVLWRAUXSUYHVCUXKAUXRUYGUPVVDWPWEYSXFAUXKVNZVBZUXMVS
      UXSVAWYEUXMWXPWXQVSAUXMWXPVCWYDWXRWEAWXPWXQVCWYDWXSWEWYEWXQWXMWXNVSAWXTWY
      DWYAWEAWYBWYDWYCWEWYDWXNVSVCAUXKUYBVSUXEVLWRWRAVSUXSVAUKWYDAUXRVQUMUYTAVR
      VOVWHUXFWEUXGYT $.
  $}

  ${
    $d A a b j k u x $.  $d A c h j k u x $.  $d A r s t u v w $.
    $d A c t u v w y $.  $d A j u z $.  $d B a b k u $.  $d B c k u $.
    $d B r s u $.  $d B c u y $.  $d B u y z $.  $d C a b k u $.  $d C c k u $.
    $d C u z $.  $d D a b k u $.  $d D c h k u $.  $d D u z $.  $d E c u $.
    $d E u z $.  $d G c t u v y $.  $d G r t u v $.  $d G u y z $.
    $d H a b k u $.  $d H c k u $.  $d H u z $.  $d L c u $.  $d L u z $.
    $d S a b j k u x $.  $d S c h j k u x $.  $d S j u z $.
    $d U a b j k u x $.  $d U c h j k u x $.  $d U r s t u v w $.
    $d U c t u v w y $.  $d U j u z $.  $d W a b j k u x $.
    $d W c h j k u x $.  $d W j u z $.  $d Y a b j k x $.  $d Y c h j k x $.
    $d Z a b j k u x $.  $d Z c h j k u x $.  $d Z r s t u v w $.
    $d Z c t u v w y $.  $d Z j u z $.  $d a b j k ph u x $.
    $d c h j k ph u x $.  $d ph r s t u w $.  $d w y z $.
    hoidmvlelem1.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x
       ) |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k )
       ) ) ) ) ) $.
    hoidmvlelem1.x $e |- ( ph -> X e. Fin ) $.
    hoidmvlelem1.y $e |- ( ph -> Y C_ X ) $.
    hoidmvlelem1.z $e |- ( ph -> Z e. ( X \ Y ) ) $.
    hoidmvlelem1.w $e |- W = ( Y u. { Z } ) $.
    hoidmvlelem1.a $e |- ( ph -> A : W --> RR ) $.
    hoidmvlelem1.b $e |- ( ph -> B : W --> RR ) $.
    hoidmvlelem1.c $e |- ( ph -> C : NN --> ( RR ^m W ) ) $.
    hoidmvlelem1.d $e |- ( ph -> D : NN --> ( RR ^m W ) ) $.
    hoidmvlelem1.r $e |- ( ph -> ( sum^ ` ( j e. NN |-> ( ( C ` j ) ( L ` W ) (
       D ` j ) ) ) ) e. RR ) $.
    hoidmvlelem1.h $e |- H = ( x e. RR |-> ( c e. ( RR ^m W ) |-> ( j e. W |->
       if ( j e. Y , ( c ` j ) , if ( ( c ` j ) <_ x , ( c ` j ) , x ) ) ) ) )
                           $.
    hoidmvlelem1.g $e |- G = ( ( A |` Y ) ( L ` Y ) ( B |` Y ) ) $.
    hoidmvlelem1.e $e |- ( ph -> E e. RR+ ) $.
    hoidmvlelem1.u $e |- U = { z e. ( ( A ` Z ) [,] ( B ` Z ) ) | ( G x. ( z -
       ( A ` Z ) ) ) <_ ( ( 1 + E ) x. ( sum^ ` ( j e. NN |-> ( ( C ` j ) ( L `
       W ) ( ( H ` z ) ` ( D ` j ) ) ) ) ) ) } $.
    hoidmvlelem1.s $e |- S = sup ( U , RR , < ) $.
    hoidmvlelem1.ab $e |- ( ph -> ( A ` Z ) < ( B ` Z ) ) $.
    $( The supremum of ` U ` belongs to ` U ` .  Step (c) in the proof of Lemma
       115B of [Fremlin1] p. 29.  (Contributed by Glauco Siliprandi,
       21-Nov-2020.) $)
    hoidmvlelem1 $p |- ( ph -> S e. U ) $=
      ( vh vv vt vw vu vy vr vs cv cfv cmin co cmul c1 cn cmpt csumge0 cle wcel
      wbr wa cr clt csup wceq a1i syl eleqtrrdi wss c0 wne oveq2d cpnf hoidmvcl
      cc0 sselid cvv cfn syl2anc adantr cif fveq2 hsphoif cxr rexrd nfv eqbrtrd
      sge0lempt jca oveq1 fveq1d mpteq2dv fveq2d breq12d elrab sylibr ne0i wrex
      eqeltrd wral w3a syl3anc vex rexbidv elab biimpi adantl nfcv nfel nfan wi
      eqeq1 3adant3 eqcomd 3exp mpd ralrimiva simp3 rexlimdv remulcld adantlr
      ex caddc cicc crab csn cun cdif snidg elun2 ffvelrnd ssrab2 eqsstri leidd
      ltled eliccd recnd subidd cico rge0ssre cres ssfid ssun1 sseqtrri fssresd
      eqeltrid eqtrd 1red rpred readdcld 0red 0lt1 ltaddrpd lttrd nnex icossicc
      mul01d snfi unfi cmap wf ffvelrnda elmapi eleq1w breq1d ifbieq12d cbvmptv
      ifbieq1d mpteq2i eqtri fmpttd sge0cl sge0xrcl pnfxr eldifbd eldifd ltpnfd
      hsphoidmvle xrlelttrd xrltned ge0xrre mulge0 syl22anc supicc cab iccssred
      sge0ge0 oveq1d sstrd iccsupr simp3d supsubc icogelb nfre1 iccgelb subge0d
      eqid nfab sselda mpbird id 3ad2ant3 breqtrd rexlimd resubcld alrimiv abss
      rspceeqv elabd 3ad2ant1 iccsuble brralrspcev biid supmul1 syl33anc 3eqtrd
      simpl oveq2 reximdv rexlimi sseldd sge0hsphoire eleq2i sylib simprd simpr
      suprub syl31anc breqtrrdi hsphoidmvle2 lemul2ad letrd wb iccleub lesub1dd
      wal dfss3 suprleub ) AHMCVGZSDVHZVIVJZVKVJZVLLUUAVJZJVMJVGZFVHZVVBGVHZVUQ
      NVHZVHZPOVHZVJZVNZVOVHZVKVJZVPVRZCVURSEVHZUUBVJZUUCZIAHVVNVQZMHVURVIVJZVK
      VJZVVAJVMVVCVVDHNVHZVHZVVGVJZVNZVOVHZVKVJZVPVRZVSHVVOVQAVVPVWEAHIVTWAWBZV
      VNHVWFWCAUQWDZAIVURVVMAPVTSDUHASRSUUDZUUEZPASVWHVQZSVWIVQASQRUUFZVQVWJUFS
      VWKUUGWESVWHRUUHWEUGWFZUUIZAPVTSEUIVWLUUIZIVVNWGZAIVVOVVNUPVVLCVVNUUJUUKW
      DZAVURIVQZIWHWIZAVURVVOIAVURVVNVQZMVURVURVIVJZVKVJZVVAJVMVVCVVDVURNVHZVHZ
      VVGVJZVNZVOVHZVKVJZVPVRZVSVURVVOVQAVWSVXHAVURVVMVURVWMVWNVWMAVURVWMUULAVU
      RVVMVWMVWNURUUMUUNZAVXAWMVXGVPAVXAMWMVKVJZWMAVWTWMMVKAVURAVURVWMUUOUUPZWJ
      AMAMAWMWKUUQVJZVTMUURAMDRUUSZERUUSZROVHVJVXLUNABVXMVXNKORTUAUCAQRUDUEUUTZ
      APVTRDUHRPWGARVWIPRVWHUVAUGUVBWDZUVCAPVTREUIVXPUVCWLUVDZWNZUUOUVOZUVEAVVA
      VTVQZWMVVAVPVRZVXFVTVQZWMVXFVPVRWMVXGVPVRAVLLAUVFZALUOUVGUVHZAWMVVAAUVIZV
      YDAWMVLVVAVYEVYCVYDWMVLWAVRAUVJWDAVLLVYCUOUVKUVLUUMZAVXFWMWKUUBVJZVQVXFWK
      WIVYBAVXEWOVMVMWOVQZAUVMWDZAJVMVXDVYGAVVBVMVQZVSZVXLVYGVXDWMWKUVNZVYKBVVC
      VXCKOPTUAUCAPWPVQZVYJAPVWIWPUGARWPVQVWHWPVQZVWIWPVQVXOVYNASUVPWDRVWHUVQWQ
      UVDWRZVYKVVCVTPUVRVJZVQPVTVVCUVSZAVMVYPVVBFUJUVTVVCVTPUWAWEZVYKBVURVVDUSN
      WPPRUBNBVTUBVYPJPVVBRVQZVVBUBVGZVHZWUABVGZVPVRZWUAWUBWSZWSZVNZVNZVNBVTUBV
      YPUSPUSVGZRVQZWUHVYTVHZWUJWUBVPVRZWUJWUBWSZWSZVNZVNZVNUMBVTWUGWUOUBVYPWUF
      WUNJUSPWUEWUMVVBWUHWCZVYSWUIWUAWUDWUJWULJUSRUWBVVBWUHVYTWTZWUPWUCWUKWUAWU
      JWUBWUPWUAWUJWUBVPWUQUWCWUQUWFUWDUWEUWGUWGUWHZAVURVTVQZVYJVWMWRZVYOVYKVVD
      VYPVQPVTVVDUVSZAVMVYPVVBGUKUVTVVDVTPUWAWEZXAWLWNZUWIZUWJAVXFWKAVXEWOVMVYI
      WVDUWKZWKXBVQZAUWLWDZAVXFJVMVVCVVDVVGVJZVNVOVHZWKWVEAWVIULXCZWVGAJVMVXDWV
      HWOAJXDVYIWVCVYKVXLVYGWVHVYLVYKBVVCVVDKOPTUAUCVYOVYRWVBWLWNZVYKBVVCVVDVUR
      USKNOPRSTUAUBUCVYOASPRUUFVQZVYJASPRVWLASQRUFUWMUWNZWRZUGWUTWURVYRWVBUWPXF
      AWVIULUWOZUWQUWRVXFUWSWQAVXEWOVMVYIWVDUXEVVAVXFUWTUXAXEXGVVLVXHCVURVVNVUQ
      VURWCZVUTVXAVVKVXGVPWVPVUSVWTMVKVUQVURVURVIXHWJWVPVVJVXFVVAVKWVPVVIVXEVOW
      VPJVMVVHVXDWVPVVFVXCVVCVVGWVPVVDVVEVXBVUQVURNWTXIWJXJXKWJXLXMXNUPWFZIVURX
      OWEZUXBXQZAVVRUTVGZMVAVGZVKVJZWCZVAVBVGZVCVGZVURVIVJZWCZVCIXPZVBUXCZXPZUT
      UXCZVTWAWBZVWDVPAVVRMVWFVURVIVJZVKVJMWWIVTWAWBZVKVJZWWLAVVQWWMMVKAHVWFVUR
      VIVWGUXFWJAWWMWWNMVKAVDCVBVCIVURWWIAIVVNVTVWPAVURVVMVWMVWNUXDZUXGZWVRAIVT
      WGZVWRVUQVDVGZVPVRCIXRVDVTXPZAWUSVVMVTVQZVSVWOVWQWWRVWRWWTXSAWUSWXAVWMVWN
      XGVWPWVQVDCVURVVMVURIUXHXTUXIZVWMWWIUXOUXJWJAMVTVQZWMMVPVRZWMVEVGZVPVRZVE
      WWIXRZWWIVTWGZWWIWHWIZVFVGZWXEVPVRVFWWIXRVEVTXPZWWOWWLWCVXRAWMXBVQWVFMVXL
      VQWXDAWMVYEXCWVGVXQWMWKMUXKXTZAWXFVEWWIAWXEWWIVQZVSZWXEWWFWCZVCIXPZWXFWXM
      WXPAWXMWXPWWHWXPVBWXEVEYAWWDWXEWCWWGWXOVCIWWDWXEWWFYJYBYCYDYEWXNWXOWXFVCI
      AWXMVCAVCXDZVCWXEWWIVCWXEYFWWHVCVBWWGVCIUXLUXPZYGYHWXFVCXDAWWEIVQZWXOWXFY
      IYIWXMAWXSWXOWXFAWXSWXOXSWMWWFWXEVPAWXSWMWWFVPVRZWXOAWXSVSZWXTVURWWEVPVRZ
      WYAVURXBVQZVVMXBVQZWWEVVNVQZWYBAWYCWXSAVURVWMXCWRZAWYDWXSAVVMVWNXCWRZAIVV
      NWWEVWPUXQZVURVVMWWEUXMXTWYAWWEVURAIVTWWEWWQUXQZAWUSWXSVWMWRZUXNUXRYKWXOA
      WWFWXEWCWXSWXOWXEWWFWXOUXSYLUXTUYAYMWRUYBYNYOAWWHWWDVTVQZYIZVBVUNWXHAWYLV
      BAWWGWYKVCIAWXSWWGWYKAWXSWWGXSWWDWWFVTAWXSWWGYPAWXSWWFVTVQZWWGWYAWWEVURWY
      IWYJUYCZYKXQYMYQUYDWWHVBVTUYEXNAWMWWIVQZWXIAWWHWMWWFWCZVCIXPZVBWMVTVYEAVW
      QWMVWTWCWYQWVQAVWTWMVXKYLVCVURIWWFVWTWMWWEVURVURVIXHUYFWQWWDWMWCWWGWYPVCI
      WWDWMWWFYJYBUYGZWWIWMXOWEAVVMVURVIVJZVTVQZWXJWYSVPVRZVFWWIXRWXKAVVMVURVWN
      VWMUYCZAXUAVFWWIAWXJWWIVQZVSZWXJWWFWCZVCIXPZXUAXUCXUFAXUCXUFWWHXUFVBWXJVF
      YAWWDWXJWCWWGXUEVCIWWDWXJWWFYJYBYCYDYEXUDXUEXUAVCIAXUCVCWXQVCWXJWWIVCWXJY
      FWXRYGYHXUAVCXDAWXSXUEXUAYIYIXUCAWXSXUEXUAAWXSXUEXSZWXJWWFWYSVPAWXSXUEYPX
      UGVURVVMWWEVURAWXSWUSXUEWYJYKAWXSWXAXUEVWNUYHAWXSWYEXUEWYHYKAWXSVWSXUEVXI
      UYHUYIXEYMWRUYBYNYOVEVFWXJWYSVPVTWWIUYJWQWXCWXDWXGXSWXHWXIWXKXSVSZVEVFUTV
      AMWWIWWKWWKUXOXUHUYKUYLUYMUYNAWWLVWDVPVRZVYTVWDVPVRZUBWWKXRZAXUJUBWWKAVYT
      WWKVQZVSZVYTMWWFVKVJZWCZVCIXPZXUJXULXUPAXULVYTWWBWCZVAWWIXPZXUPXULXURWWJX
      URUTVYTUBYAWVTVYTWCWWCXUQVAWWIWVTVYTWWBYJYBYCYDZXURXUPYIXULXUQXUPVAWWIXUP
      VAXDWWAWWIVQZXUQXUPXUTXUQVSWWAWWFWCZVCIXPZXUPXUTXVBXUQXUTXVBWWHXVBVBWWAVA
      YAWWDWWAWCWWGXVAVCIWWDWWAWWFYJYBYCYDZWRXUQXVBXUPYIXUTXUQXVAXUOVCIXUQXVAXU
      OXUQXVAVSVYTWWBXUNXUQXVAUYOXVAWWBXUNWCXUQWWAWWFMVKUYPYEUVEYTUYQYEYNYTUYRW
      DYNYEZAXUPXUJYIXULAXUOXUJVCIAWXSXUOXUJAWXSXUOXSZVYTXUNVWDVPAWXSXUOYPZAWXS
      XUNVWDVPVRXUOWYAXUNVVAJVMVVCVVDWWENVHZVHZVVGVJZVNZVOVHZVKVJZVWDWYAMWWFAWX
      CWXSVXRWRZWYNYRWYAVVAXVKAVXTWXSVYDWRZWYAXVKVYGVQXVKWKWIXVKVTVQWYAXVJWOVMV
      YHWYAUVMWDZWYAJVMXVIVYGWYAVYJVSZVXLVYGXVIVYLXVPBVVCXVHKOPTUAUCAVYJVYMWXSV
      YOYSZAVYJVYQWXSVYRYSZXVPBWWEVVDUSNWPPRUBWURWYAWWEVTVQVYJWYIWRZXVQAVYJWVAW
      XSWVBYSZXAWLWNZUWIZUWJWYAXVKWKWYAXVJWOVMXVOXWBUWKZWVFWYAUWLWDZWYAXVKWVIWK
      XWCAWVIXBVQWXSWVJWRXWDWYAJVMXVIWVHWOWYAJXDZXVOXWAAVYJWVHVYGVQWXSWVKYSXVPB
      VVCVVDWWEUSKNOPRSTUAUBUCXVQAVYJWVLWXSWVNYSZUGXVSWURXVRXVTUWPXFAWVIWKWAVRW
      XSWVOWRUWQUWRXVKUWSWQZYRAVWDVTVQZWXSAVVAVWCVYDABFGHJKNOPRSTUAUBUCVXOWVMUG
      UJUKULUMAVVNVTHWWPWVSUYSZUYTZYRZWRWXSXUNXVLVPVRZAWXSWYEXWLWXSWWEVVOVQZWYE
      XWLVSWXSXWMIVVOWWEUPVUAYDVVLXWLCWWEVVNVUQWWEWCZVUTXUNVVKXVLVPXWNVUSWWFMVK
      VUQWWEVURVIXHWJXWNVVJXVKVVAVKXWNVVIXVJVOXWNJVMVVHXVIXWNVVFXVHVVCVVGXWNVVD
      VVEXVGVUQWWENWTXIWJXJXKWJXLXMVUBVUCYEWYAXVKVWCVVAXWGAVWCVTVQWXSXWJWRXVNAV
      YAWXSVYFWRWYAJVMXVIVWAWOXWEXVOXWAAVYJVWAVYGVQWXSVYKVXLVYGVWAVYLVYKBVVCVVT
      KOPTUAUCVYOVYRVYKBHVVDUSNWPPRUBWURAHVTVQZVYJXWIWRZVYOWVBXAWLWNYSXVPBVVCVV
      DWWEHUSKNOPRSTUAUBUCXVQXWFUGXVSAVYJXWOWXSXWPYSWYAWWEHVPVRVYJWYAWWEVWFHVPW
      YAWWRVWRWWTWXSWWEVWFVPVRAWWRWXSWWQWRAVWRWXSWVRWRAWWTWXSWXBWRAWXSVUDVDCIWW
      EVUEVUFUQVUGWRWURXVRXVTVUHXFVUIVUJYKXEYMYQWRYNYOAWWKVTWGZWWKWHWIZVYTWWSVP
      VRUBWWKXRVDVTXPZXWHXUIXUKVUKAVYTVTVQZUBWWKXRXWQAXWTUBWWKXUMXURXWTXULXURAX
      USYEXUMXUQXWTVAWWIAXULVAAVAXDVAVYTWWKVAVYTYFWWJVAUTWWCVAWWIUXLUXPYGYHXWTV
      AXDAXUTXUQXWTYIZYIXULAXUTXXAAXUTVSXVBXXAXUTXVBAXVCYEAXVBXXAYIXUTAXVAXXAVC
      IAWXSXVAXXAAWXSXVAXSZXUQXWTXXBXUQVSVYTWWBVTXXBXUQVUDXXBWWBVTVQXUQXXBMWWAA
      WXSWXCXVAXVMYKXXBWWAWWFVTAWXSXVAYPAWXSWYMXVAWYNYKXQYRWRXQYTYMYQWRYNYTWRUY
      BYNYOUBWWKVTVUOXNAWMWWKVQXWRAWWJWMWWBWCZVAWWIXPZUTWMVTVYEAWYOWMVXJWCXXDWY
      RAVXJWMVXSYLVAWMWWIWWBVXJWMWWAWMMVKUYPUYFWQWVTWMWCWWCXXCVAWWIWVTWMWWBYJYB
      UYGWWKWMXOWEAMWYSVKVJZVTVQVYTXXEVPVRZUBWWKXRXWSAMWYSVXRXUBYRAXXFUBWWKXUMX
      UPXXFXVDAXUPXXFYIXULAXUOXXFVCIAWXSXUOXXFXVEVYTXUNXXEVPXVFAWXSXUNXXEVPVRXU
      OWYAWWFWYSMWYNAWYTWXSXUBWRXVMAWXDWXSWXLWRWYAWWEVVMVURWYIAWXAWXSVWNWRWYJWY
      AWYCWYDWYEWWEVVMVPVRWYFWYGWYHVURVVMWWEVULXTVUMVUIYKXEYMYQWRYNYOVDUBVYTXXE
      VPVTWWKUYJWQXWKVDUBUBWWKVWDVUPVUFUXRXEXGVVLVWECHVVNVUQHWCZVUTVVRVVKVWDVPX
      XGVUSVVQMVKVUQHVURVIXHWJXXGVVJVWCVVAVKXXGVVIVWBVOXXGJVMVVHVWAXXGVVFVVTVVC
      VVGXXGVVDVVEVVSVUQHNWTXIWJXJXKWJXLXMXNUPWF $.
  $}

  ${
    $d A a b k $.  $d A z $.  $d B a b k $.  $d B y $.  $d B z $.
    $d C a b j k $.  $d C i j $.  $d C j z $.  $d D a b j k $.  $d D c j k l $.
    $d D i j $.  $d D j y $.  $d D j z $.  $d E z $.  $d F a b k $.  $d G z $.
    $d H a b k $.  $d H z $.  $d J a b k $.  $d K a b k $.  $d L z $.
    $d M i j $.  $d O i $.  $d P a b k x $.  $d Q a b j k x $.
    $d Q c j k l x $.  $d Q u $.  $d Q j z $.  $d S a b j k x $.
    $d S c j k l x $.  $d S i j x $.  $d S u $.  $d S j z $.  $d U u $.
    $d V x y $.  $d W a b j k x $.  $d W c j k l x $.  $d W j z $.
    $d Y a b j k x $.  $d Y c j k l x $.  $d Y j x y $.  $d Z c j k l x $.
    $d Z i j x $.  $d Z j x y $.  $d Z j z $.  $d a b j k ph x $.
    $d c j k l ph x $.  $d i j ph x $.  $d ph x y $.
    hoidmvlelem2.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x
       ) |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k )
       ) ) ) ) ) $.
    hoidmvlelem2.x $e |- ( ph -> X e. Fin ) $.
    hoidmvlelem2.y $e |- ( ph -> Y C_ X ) $.
    hoidmvlelem2.z $e |- ( ph -> Z e. ( X \ Y ) ) $.
    hoidmvlelem2.w $e |- W = ( Y u. { Z } ) $.
    hoidmvlelem2.a $e |- ( ph -> A : W --> RR ) $.
    hoidmvlelem2.b $e |- ( ph -> B : W --> RR ) $.
    hoidmvlelem2.c $e |- ( ph -> C : NN --> ( RR ^m W ) ) $.
    hoidmvlelem2.f $e |- F = ( y e. Y |-> 0 ) $.
    hoidmvlelem2.j $e |- J = ( j e. NN |-> if ( S e. ( ( ( C ` j ) ` Z ) [,) (
       ( D ` j ) ` Z ) ) , ( ( C ` j ) |` Y ) , F ) ) $.
    hoidmvlelem2.d $e |- ( ph -> D : NN --> ( RR ^m W ) ) $.
    hoidmvlelem2.k $e |- K = ( j e. NN |-> if ( S e. ( ( ( C ` j ) ` Z ) [,) (
       ( D ` j ) ` Z ) ) , ( ( D ` j ) |` Y ) , F ) ) $.
    hoidmvlelem2.r $e |- ( ph -> ( sum^ ` ( j e. NN |-> ( ( C ` j ) ( L ` W ) (
       D ` j ) ) ) ) e. RR ) $.
    hoidmvlelem2.h $e |- H = ( x e. RR |-> ( c e. ( RR ^m W ) |-> ( j e. W |->
       if ( j e. Y , ( c ` j ) , if ( ( c ` j ) <_ x , ( c ` j ) , x ) ) ) ) )
                            $.
    hoidmvlelem2.g $e |- G = ( ( A |` Y ) ( L ` Y ) ( B |` Y ) ) $.
    hoidmvlelem2.e $e |- ( ph -> E e. RR+ ) $.
    hoidmvlelem2.u $e |- U = { z e. ( ( A ` Z ) [,] ( B ` Z ) ) | ( G x. ( z -
       ( A ` Z ) ) ) <_ ( ( 1 + E ) x. ( sum^ ` ( j e. NN |-> ( ( C ` j ) ( L `
       W ) ( ( H ` z ) ` ( D ` j ) ) ) ) ) ) } $.
    hoidmvlelem2.su $e |- ( ph -> S e. U ) $.
    hoidmvlelem2.sb $e |- ( ph -> S < ( B ` Z ) ) $.
    hoidmvlelem2.p $e |- P = ( j e. NN |-> ( ( J ` j ) ( L ` Y ) ( K ` j ) ) )
                            $.
    hoidmvlelem2.m $e |- ( ph -> M e. NN ) $.
    hoidmvlelem2.le $e |- ( ph -> G <_ ( ( 1 + E ) x. sum_ j e. ( 1 ... M ) ( P
       ` j ) ) ) $.
    hoidmvlelem2.O $e |- O = ran ( i e. { j e. ( 1 ... M ) | S e. ( ( ( C ` j )
       ` Z ) [,) ( ( D ` j ) ` Z ) ) } |-> ( ( D ` i ) ` Z ) ) $.
    hoidmvlelem2.v $e |- V = ( { ( B ` Z ) } u. O ) $.
    hoidmvlelem2.q $e |- Q = inf ( V , RR , < ) $.
    $( This is the contradiction proven in step (d) in the proof of Lemma 115B
       of [Fremlin1] p. 29.  (Contributed by Glauco Siliprandi,
       21-Nov-2020.) $)
    hoidmvlelem2 $p |- ( ph -> E. u e. U S < u ) $=
      ( vl wcel clt wbr cv cfv cmin co cmul c1 caddc cn cmpt csumge0 cle wa syl
      cr cico sselid adantl wi wceq fveq2 fveq1d wf adantr syl2anc cfn eqeltrid
      c0 wss a1i cxr rexrd syl3anc eqcomd breqtrd adantlr cvv oveq12d pm2.61dan
      id wn recnd oveq2d cc0 rge0ssre 3eqtrd csu jca remulcld cif iftrue mpbird
      feq1d ad2antrr simpr fveq2d cc eqtrd cvol wrex cicc crab cdif snidg elun2
      csn cun eleqtrrdi ffvelrnd snssd cfz crn eqid simpl fz1ssnn elrabi eleq1w
      nfv anbi2d eleq1d imbi12d cmap ffvelrnda elmapi chvarvv rnmptssd eqsstrid
      unssd cinf wor wne ltso snfi fzfi rabfi ax-mp unfi fvex snid elun1 eqcomi
      rnmptfi eleqtri ne0i fiinfcl syl13anc sseldd ssrab2 eqsstri sstrd iccgelb
      iccssred wral simpll eleqtrdi elsni con3i elunnel1 adantll wb vex elrnmpt
      sylib w3a eleq2d biimpi simprd icoltub 3adant3 3ad2ant3 3exp rexlimdv mpd
      elrab ralrimiva breq2 rspcva lelttrd ltled fiminre lbinfle eliccd npncand
      eqbrtrid cpnf ssfid ssun1 sseqtrri fssresd hoidmvcl subcld adddid addcomd
      cres mulcld resubcl remulcl readdcl eqeltrrd 1red readdcld eldifbd eldifd
      rpred sge0hsphoire fzfid elfznn ovexd fvmpt2 0red fmptd resex ssexd ifcld
      iffalse mptexg eqeltrd fsumrecl mpteq2dv breq12d posdifd lemul1ad mulassd
      oveq1 mpbid fsummulc1 mulcomd sumeq2dv leadd12dd cuz nnsplit uncom eqtr2d
      cxad mpteq1d fvexd cin incom nnuzdisj eqtri icossicc ssid uznnssnn breq1d
      peano2nnd ifbieq12d cbvmptv mpteq2i hsphoif sge0splitmpt nnex sge0ssrempt
      ifbieq1d rexadd oveq1d addassd sge0fsummpt ax-resscn sstri syldan fsumadd
      0le1 rpge0d addge0d hsphoidmvle2 sge0lempt oveq2 addid1d eqbrtrd syl21anc
      mul01d neqne cprod hoiprodp1 oveqd feq2d hoidmv0val neneq ad2antlr neqned
      pm2.65da hoidmvn0val hoidmvval0b condan iftrued fvres prodeq2dv hsphoival
      3eqtrrd ltnled volico syl2an anabss5 icogelb eqleltd subidd adddird eqled
      iffalsed resubcld 3eqtr4d simplr sylanl2 rabid sylibr eqidd eqeq2d rspcev
      elrnmptd eleqtrd leneltd eqtr4d fsumle lemul2ad letrd ) AKMVTLKWAWBZLEWCZ
      WAWBZEMUUAAKSDWCZUJFWDZWEWFZWGWFZWHQWIWFZOWJOWCZHWDZWVEIWDZWUTTWDZWDZUGUC
      WDZWFZWKZWLWDZWGWFZWMWBZDWVAUJGWDZUUBWFZUUCZMAKWVQVTZSKWVAWEWFZWGWFZWVDOW
      JWVFWVGKTWDZWDZWVJWFZWKZWLWDZWGWFZWMWBZWNKWVRVTAWVSWWHAWVAWVPKAUGWPUJFUSA
      UJUIUJUUGZUUHZUGAUJWWIVTZUJWWJVTAUJUHUIUUDZVTZWWKUQUJWWLUUEWOUJWWIUIUUFWO
      URUUIZUUJZAUGWPUJGUTWWNUUJZAUFWPKAUFWVPUUGZUEUUHZWPVQAWWQUEWPAWVPWPWWPUUK
      AUENLUJWVFWDZUJWVGWDZWQWFZVTZOWHUDUULWFZUUCZUJNWCZIWDZWDZWKZUUMZWPVPANWXD
      WXGWPWXHANUUSWXHUUNZAWXEWXDVTZWNZAWXEWJVTZWXGWPVTZAWXKUUOZWXKWXMAWXKWXCWJ
      WXEUDUUPZWXBOWXEWXCUUQWRWSZAWVEWJVTZWNZWWTWPVTZWTAWXMWNZWXNWTONWVEWXEXAZW
      XSWYAWXTWXNWYBWXRWXMAONWJUURUUTZWYBWWTWXGWPWYBUJWVGWXFWVEWXEIXBXCZUVAUVBW
      XSUGWPUJWVGWXSWVGWPUGUVCWFZVTUGWPWVGXDZAWJWYEWVEIVDUVDWVGWPUGUVEWOZAUJUGV
      TWXRWWNXEZUUJZUVFZXFUVGUVHUVIUVHZAKUFWPWAUVJZUFVRAWPWAUVKZUFXGVTZUFXIUVLZ
      UFWPXJZWYLUFVTZWYMAUVMXKAUFWWRXGVQAWWQXGVTZUEXGVTWWRXGVTWYRAWVPUVNXKAUEWX
      IXGVPAWXDXGVTZWXIXGVTWYSAWXCXGVTWYSWHUDUVOWXBOWXCUVPUVQXKNWXHWXDWXGWXJUWC
      WOXHWWQUEUVRXFXHZAWVPUFVTZWYOXUAAWVPWWRUFWVPWWQVTWVPWWRVTWVPUJGUVSUVTWVPW
      WQUEUWAUVQUFWWRVQUWBZUWDXKZUFWVPUWEWOZWYKWPUFWAUWFUWGZXHUWHZAWVAKWWOXUFAW
      VALKWWOAMWPLAMWVQWPMWVQXJAMWVRWVQVJWVODWVQUWIUWJZXKAWVAWVPWWOWWPUWMUWKVKU
      WHZXUFAWVAXLVTWVPXLVTLWVQVTZWVALWMWBAWVAWWOXMAWVPWWPXMAMWVQLXUGVKWRWVAWVP
      LUWLXNALWYLKWAAWYQLBWCZWAWBZBUFUWNLWYLWAWBZXUEAXUKBUFAXUJUFVTZWNZXUJWVPXA
      ZXUKAXUOXUKXUMAXUOWNLWVPXUJWAALWVPWAWBXUOVLXEXUOWVPXUJXAAXUOXUJWVPXUOYAXO
      WSXPXQXUNXUOYBZWNAXUJUEVTZXUKAXUMXUPUWOXUMXUPXUQAXUMXUPWNXUJWWRVTZXUJWWQV
      TZYBZXUQXUMXURXUPXUMXUJUFWWRXUMYAVQUWPXEXUPXUTXUMXUSXUOXUJWVPUWQUWRWSXUJW
      WQUEUWSXFUWTAXUQWNZXUJWXGXAZNWXDUUAZXUKXUQXVCAXUQXUJWXIVTZXVCXUQXUJUEWXIX
      UQYAVPUWPXUJXRVTXVDXVCUXABUXBNWXDWXGXUJWXHXRWXJUXCUVQUXDWSXVAXVBXUKNWXDAW
      XKXVBXUKWTWTXUQAWXKXVBXUKAWXKXVBUXELWXGXUJWAAWXKLWXGWAWBZXVBWXLUJWXEHWDZW
      DZXLVTZWXGXLVTZLXVGWXGWQWFZVTZXVEWXLAWXMXVHWXOWXQWYAXVGWXSWWSWPVTZWTWYAXV
      GWPVTZWTONWYBWXSWYAXVLXVMWYCWYBWWSXVGWPWYBUJWVFXVFWVEWXEHXBXCZUVAUVBWXSUG
      WPUJWVFWXSWVFWYEVTUGWPWVFXDAWJWYEWVEHVAUVDWVFWPUGUVEWOZWYHUUJZUVFXMXFWXLA
      WXMXVIWXOWXQWYAWXGWYJXMXFWXKXVKAWXKWXEWXCVTZXVKWXKXVQXVKWNWXBXVKOWXEWXCWY
      BWXAXVJLWYBWWSXVGWWTWXGWQXVNWYDXSUXFUXOUXGUXHWSXVGWXGLUXIXNUXJXVBAWXGXUJX
      AWXKXVBXUJWXGXVBYAXOUXKXPUXLXEUXMUXNXFXTUXPXUKXULBWYLUFXUJWYLLWAUXQUXRXFW
      YLKXAAKWYLVRUWBXKXPZUXSUXTAKWYLWVPWMVRAWYPXUJCWCZWMWBCUFUWNBUFUUAZXUAWYLW
      VPWMWBWYKAWYPWYNWYOXVTWYKWYTXUDBCUFUYAXNZXUCBCWVPUFUYBXNUYEUYCAWWASLWVAWE
      WFZWGWFZSKLWEWFZWGWFZWIWFZWWGWMAWWASXWDXWBWIWFZWGWFXWEXWCWIWFZXWFAWVTXWGS
      WGAXWGWVTAKLWVAAKXUFYCZALXUHYCZAWVAWWOYCZUYDXOYDASXWDXWBASAYEUYFWQWFZWPSY
      FASFUIUYOZGUIUYOZUIUCWDZWFXWLVHABXWMXWNPUCUIUKULUNAUHUIUOUPUYGZAUGWPUIFUS
      UIUGXJZAUIWWJUGUIWWIUYHURUYIZXKZUYJAUGWPUIGUTXWSUYJUYKXHWRZYCZAKLXWIXWJUY
      LZALWVAXWJXWKUYLZUYMAXWEXWCASXWDXXAXXBUYPASXWBXXAXXCUYPUYNZYGAXWFWVDOWJWV
      FWVGLTWDZWDZWVJWFZWKZWLWDZWGWFZWVDWXCXWDWVEJWDZWGWFZOYHZWGWFZWIWFZWWGAXWH
      XWFWPXXDAXWEWPVTZXWCWPVTZWNXWHWPVTAXXPXXQASWPVTZXWDWPVTZWNXXPAXXRXXSXWTAK
      WPVTZLWPVTZWNXXSAXXTXYAXUFXUHYIKLUYQWOZYISXWDUYRWOZAXXRXWBWPVTZWNXXQAXXRX
      YDXWTAXYAWVAWPVTZWNXYDAXYAXYEXUHWWOYILWVAUYQWOYISXWBUYRWOZYIXWEXWCUYSWOUY
      TAXXJXXNAWVDXXIAWHQAVUAZAQVIVUEZVUBZABHILOPTUCUGUIUJUKULUMUNXWPAUJUGUIWWN
      AUJUHUIUQVUCZVUDZURVAVDVFVGXUHVUFZYJZAWVDXXMXYIAWXCXXLOAWHUDVUGZAWVEWXCVT
      ZWNZXWDXXKAXXSXYOXYBXEXYPAWXRXXKWPVTAXYOUUOZXYOWXRAWVEUDVUHZWSZWXSXWLWPXX
      KYFWXSXXKWVEUAWDZWVEUBWDZXWOWFZXWLWXRXXKYUBXAZAWXRWXRYUBXRVTYUCWXRYAWXRXY
      TYUAXWOVUIOWJYUBXRJVMVUJXFWSZWXSBXYTYUAPUCUIUKULUNAUIXGVTZWXRXWPXEZWXSUIW
      PXYTXDZUIWPWXBWVFUIUYOZRYKZXDZWXSWXBYUJWXSWXBWNZYUJUIWPYUHXDZWXSYULWXBWXS
      UGWPUIWVFXVOXWQWXSXWRXKZUYJXEYUKUIWPYUIYUHWXBYUIYUHXAWXSWXBYUHRYLWSYNYMWX
      SWXBYBZWNZYUJUIWPRXDZAYUPWXRYUNACUIYEWPRAXVSUIVTWNVUKVBVULZYOZYUOUIWPYUIR
      YUNYUIRXAWXSWXBYUHRVUPWSZYNYMXTWXSUIWPXYTYUIWXSWXRYUIXRVTZXYTYUIXAZAWXRYP
      ZAYUTWXRAWXBYUHRXRYUHXRVTAWVFUIWVEHUVSVUMXKARCUIYEWKZXRVBAUIXRVTYVCXRVTAU
      IUHXGUOUPVUNCUIYEXRVUQWOXHZVUOXEOWJYUIXRUAVCVUJXFZYNYMZWXSUIWPYUAXDZUIWPW
      XBWVGUIUYOZRYKZXDZWXSWXBYVJYUKYVJUIWPYVHXDZWXSYVKWXBWXSUGWPUIWVGWYGYUMUYJ
      XEYUKUIWPYVIYVHWXBYVIYVHXAZWXSWXBYVHRYLZWSYNYMYUOYVJYUPYURYUOUIWPYVIRYUNY
      VIRXAWXSWXBYVHRVUPWSZYNYMXTWXSUIWPYUAYVIWXSWXRYVIXRVTZYUAYVIXAZYVBAYVOWXR
      AWXBYVHRXRYVHXRVTAWVGUIWVEIUVSVUMXKYVDVUOXEOWJYVIXRUBVEVUJXFZYNYMZUYKVURZ
      WRZXFZYJVUSZYJZVUBAWVDWWFXYIABHIKOPTUCUGUIUJUKULUMUNXWPXYKURVAVDVFVGXUFVU
      FZYJAXWCXWEXXJXXNXYFXYCXYMYWCAXUIXWCXXJWMWBZALWVRVTXUIYWEWNALMWVRVKVJUWPW
      VOYWEDLWVQWUTLXAZWVCXWCWVNXXJWMYWFWVBXWBSWGWUTLWVAWEVVEYDYWFWVMXXIWVDWGYW
      FWVLXXHWLYWFOWJWVKXXGYWFWVIXXFWVFWVJYWFWVGWVHXXEWUTLTXBXCYDVUTYQYDVVAUXOU
      XDUXHAXWEWVDWXCXXKOYHZWGWFZXWDWGWFZXXNWMASYWHXWDXWTAWVDYWGXYIAWXCXXKOXYNY
      WAVUSZYJXYBAYEXWDAVUKXYBAWUQYEXWDWAWBXVRALKXUHXUFVVBVVFUXTVOVVCAYWIWVDYWG
      XWDWGWFZWGWFXXNAWVDYWGXWDAWVDXYIYCZAYWGYWJYCXXBVVDAYWKXXMWVDWGAYWKWXCXXKX
      WDWGWFZOYHXXMAWXCXXKXWDOXYNXXBXYPXXKYWAYCZVVGAWXCYWMXXLOXYPXXKXWDYWNAXWDY
      RVTZXYOXXBXEVVHVVIYSYDYSXPVVJAXXOWVDOUDWHWIWFZVVKWDZXXGWKWLWDZWXCXXGXXLWI
      WFZOYHZWIWFZWGWFZWWGWMAXXOWVDYWROWXCXXGWKWLWDZWIWFZWGWFZXXNWIWFZWVDYXDXXM
      WIWFZWGWFZYXBAXXJYXEXXNWIAXXIYXDWVDWGAXXIOYWQWXCUUHZXXGWKZWLWDYWRYXCVVOWF
      ZYXDAXXHYXJWLAOWJYXIXXGAYXIWJAWJWXCYWQUUHZYXIAUDWJVTWJYXLXAVNUDVVLWOYXLYX
      IXAAWXCYWQVVMXKVVNXOZVVPYQAOYWQWXCXXGXRXRAOUUSZAYWPVVKVVQZAWHUDUULVUIZYWQ
      WXCVVRZXIXAAYXQWXCYWQVVRXIYWQWXCVVSUDVVTVWAXKZAWVEYWQVTZWNZXWLYEUYFUUBWFZ
      XXGYEUYFVWBZYXTXWLXWLXXGXWLVWCYXTAWXRXXGXWLVTZAYXSUUOZYXTYWQWJWVEAYWQWJXJ
      ZYXSAYWPWJVTYYEAUDVNVWFYWPVWDWOZXEAYXSYPUWHZWXSBWVFXXFPUCUGUKULUNAUGXGVTZ
      WXRAUGWWJXGURAYUEWWIXGVTZWWJXGVTXWPYYIAUJUVNXKUIWWIUVRXFXHXEZXVOWXSBLWVGV
      STXGUGUIUMTBWPUMWYEOUGWVEUIVTZWVEUMWCZWDZYYMXUJWMWBZYYMXUJYKZYKZWKZWKZWKB
      WPUMWYEVSUGVSWCZUIVTZYYSYYLWDZUUUAXUJWMWBZUUUAXUJYKZYKZWKZWKZWKVGBWPYYRUU
      UFUMWYEYYQUUUEOVSUGYYPUUUDWVEYYSXAZYYKYYTYYMYYOUUUAUUUCOVSUIUURWVEYYSYYLX
      BZUUUGYYNUUUBYYMUUUAXUJUUUGYYMUUUAXUJWMUUUHVWEUUUHVWNVWGVWHVWIVWIVWAZAXYA
      WXRXUHXEZYYJWYGVWJZUYKZXFWRWRZXYPXWLYYAXXGYYBXYPAWXRYYCXYQXYSUUULXFZWRVWK
      AYWRWPVTYXCWPVTYXKYXDXAAOWJXXGYWQXRYXNWJXRVTAVWLXKZWXSXWLYYAXXGYYBUUULWRZ
      XYLYYFVWMZAOWJXXGWXCXRYXNUUUOUUUPXYLWXCWJXJAWXPXKVWMZYWRYXCVWOXFYGZYDVWPA
      YXHYXFAWVDYXDXXMYWLAYXDAXXIYXDWPUUUSXYLUYTYCAXXMYWBYCZUYMXOAYXGYXAWVDWGAY
      XGYWRYXCXXMWIWFZWIWFYXAAYWRYXCXXMAYWRUUUQYCAYXCUUURYCUUUTVWQAUUVAYWTYWRWI
      AUUVAWXCXXGOYHZXXMWIWFZYWTAYXCUUVBXXMWIAWXCXXGOXYNUUUNVWRVWPAYWTUUVCAWXCX
      XGXXLOXYNXYPAWXRXXGYRVTXYQXYSWXSXWLYRXXGXWLWPYRYFVWSVWTZUUULWRZXFAXYOWXRX
      XLYRVTXYSWXSXXLWXSXWDXXKAXXSWXRXYBXEYVTYJZYCVXAVXBXOYSYDYSYDYGAYXAWWFWVDA
      YWRYWTUUUQAWXCYWSOXYNXYPAWXRYWSWPVTZXYQXYSWXSXXGXXLWXSXWLWPXXGYFUUULWRUUV
      FVUBXFZVUSZVUBYWDXYIAWHQXYGXYHYEWHWMWBAVXCXKAQVIVXDVXEAYXAOYWQWWDWKWLWDZW
      XCWWDOYHZWIWFZWWFWMAYWRYWTUUVJUUVKUUUQUUVIAOWJWWDYWQXRYXNUUUOWXSXWLYYAWWD
      YYBWXSBWVFWWCPUCUGUKULUNYYJXVOWXSBKWVGVSTXGUGUIUMUUUIAXXTWXRXUFXEZYYJWYGV
      WJZUYKZWRZYWDYYFVWMZAWXCWWDOXYNXYPAWXRWWDWPVTXYQXYSWXSXWLWPWWDYFUUVOWRXFZ
      VUSZAOYWQXXGWWDXRYXNYXOUUUMYXTAWXRWWDYYAVTZYYDYYGUUVPXFZYXTAWXRXXGWWDWMWB
      ZYYDYYGWXSBWVFWVGLKVSPTUCUGUIUJUKULUMUNYYJAUJUGUIUUDVTWXRXYKXEURUUUJUUVMA
      LKWMWBWXRALKXUHXUFXVRUXTXEUUUIXVOWYGVXFZXFVXGAWXCYWSWWDOXYNUUVHUUVRXYPXXK
      YEXAZYWSWWDWMWBZXYPUUWDWNAWXRUUWDUUWEXYPAUUWDXYQXEXYPWXRUUWDXYSXEXYPUUWDY
      PWXSUUWDWNZYWSXXGWWDWMUUWFYWSXXGYEWIWFZXXGUUWFXXLYEXXGWIUUWFXXLXWDYEWGWFZ
      YEUUWDXXLUUWHXAWXSXXKYEXWDWGVXHWSAUUWHYEXAWXRUUWDAXWDXXBVXLYOYSYDWXSUUWGX
      XGXAUUWDWXSXXGUUVEVXIXEYSWXSUUWBUUWDUUWCXEVXJVXKXYPUUWDYBZWNXYPXXKYEUVLZU
      UWEXYPUUWIUUOUUWIUUWJXYPXXKYEVXMWSXYPUUWJWNZYWSWWDXYPUUVGUUWJUUVHXEUUWKYW
      SKWWSWEWFZXXKWGWFZWWDUUWKAWXRUUWJYWSUUWMXAXYPAUUWJXYQXEZXYPWXRUUWJXYSXEZX
      YPUUWJYPZWXSUUWJWNZYWSLWWSWEWFZXXKWGWFZXXLWIWFZUUWRXWDWIWFZXXKWGWFZUUWMUU
      WQXXGUUWSXXLWIUUWQXXGUIPWCZWVFWDZUUXCXXFWDZWQWFZYTWDZPVXNZWWSUJXXFWDZWQWF
      ZYTWDZWGWFZXXKUUWRWGWFZUUWSWXSXXGUUXLXAUUWJWXSBWVFXXFPUUXHUCWWLUGUIUJUKUL
      UNYUFAWWMWXRUQXEAUJUIVTZYBWXRXYJXEZURXVOUUUKUUXHUUNVXOXEUUWQUUXHXXKUUXKUU
      WRWGUUWQXXKYUBUIUUXDUUXCWVGWDZWQWFZYTWDZPVXNZUUXHWXSYUCUUWJYUDXEZUUWQYUBU
      IUUXCXYTWDZUUXCYUAWDZWQWFZYTWDZPVXNUUXSUUWQBXYTYUAPUCUIUKULUNWXSYUEUUWJYU
      FXEUUWQUIXIUUWQUIXIXAZUUWDWXSUUYEUUWDUUWJWXSUUYEWNZXXKYUBXYTYUAXIUCWDZWFZ
      YEWXSYUCUUYEYUDXEUUYEYUBUUYHXAWXSUUYEXWOUUYGXYTYUAUIXIUCXBVXPWSUUYFBXYTYU
      APUCUKULUNUUYFXIWPXYTXDYUGWXSYUGUUYEYVFXEUUYFXIUIWPXYTUUYEXIUIXAWXSUUYEUI
      XIUUYEYAXOWSZVXQYMUUYFXIWPYUAXDYVGWXSYVGUUYEYVRXEUUYFXIUIWPYUAUUYIVXQYMVX
      RYGXQUUWJUUWIWXSUUYEXXKYEVXSZVXTVYBVYAWXSYUGUUWJYVFXEWXSYVGUUWJYVRXEVYCUU
      WQUIUUYDUUXRPUUWQUUXCUIVTZWNZUUYCUUXQYTUUYLUUYAUUXDUUYBUUXPWQUUYLUUYAUUXC
      YUHWDZUUXDUUWQUUYAUUYMXAUUYKUUWQUUXCXYTYUHUUWQXYTYUIYUHWXSYVAUUWJYVEXEUUW
      QWXBYUHRUUWQWXBUUWDWXSYUNUUWDUUWJYUOXXKYUBRRXWOWFZYEWXSYUCYUNYUDXEYUOXYTR
      YUARXWOYUOXYTYUIRWXSYVAYUNYVEXEYUSYSYUOYUAYVIRWXSYVPYUNYVQXEYVNYSXSAUUYNY
      EXAWXRYUNABRPUCUIUKULUNXWPYUQVYDYOYGXQUUWJUUWIWXSYUNUUYJVXTVYEZVYFYSXCXEU
      UYKUUYMUUXDXAUUWQUUXCUIWVFVYGWSYSUUYLUUYBUUXCYVHWDZUUXPUUWQUUYBUUYPXAUUYK
      UUWQUUXCYUAYVHUUWQYUAYVIYVHWXSYVPUUWJYVQXEUUWQWXBYVLUUYOYVMWOYSXCXEUUYKUU
      YPUUXPXAUUWQUUXCUIWVGVYGWSYSXSYQVYHYSZWXSUUXSUUXHXAUUWJWXSUUXHUUXSWXSUIUU
      XGUUXRPWXSUUYKWNZUUXFUUXQYTUUYRUUXEUUXPUUXDWQUUYRUUXEUUYKUUXPUUXPLWMWBUUX
      PLYKZYKZUUXPUUYRBLWVGVSTUUXCXGUGUIUMUUUIWXSXYAUUYKUUUJXEWXSYYHUUYKYYJXEZW
      XSWYFUUYKWYGXEZUUYKUUXCUGVTWXSUUYKUUXCWWJUGUUXCUIWWIUWAURUUIWSZVYIUUYKUUY
      TUUXPXAWXSUUYKUUXPUUYSYLWSYSYDYQVYHXOXEVYJUUWQUUXKWWSLWQWFZYTWDZWWSLWAWBZ
      UUWRYEYKZUUWRUUWQUUXJUVUDYTUUWQUUXJWWSWWTLWMWBZWWTLYKZWQWFZUVUDWXSUUXJUVU
      JXAUUWJWXSUUXIUVUIWWSWQWXSUUXIUUXNWWTUVUIYKZUVUIWXSBLWVGVSTUJXGUGUIUMUUUI
      UUUJYYJWYGWYHVYIAUVUKUVUIXAWXRAUUXNWWTUVUIXYJVYTXEYSYDXEUUWQUVUILWWSWQUUW
      QUVUHWWTLUUWQLWWTWAWBZUVUHYBUUWQWWSXLVTZWWTXLVTZWXBUVULWXSUVUMUUWJWXSWWSX
      VPXMXEZWXSUVUNUUWJWXSWWTWYIXMXEZUUYOWWSWWTLUXIXNUUWQLWWTWXSXYAUUWJUUUJXEZ
      WXSWXTUUWJWYIXEVYKVVFVYTYDYSYQWXSUUWJUVUEUVUGXAZWXSXVLXYAUVURUUWQXVPUVUQW
      WSLVYLVYMVYNUUWQUVUFUVUGUUWRXAZUVUFUVUSUUWQUVUFUUWRYEYLWSUUWQUVUFYBZWNZUV
      UGYEUUWRUVUTUVUGYEXAUUWQUVUFUUWRYEVUPWSUVVAWXSWWSLXAZYEUUWRXAWXSUUWJUVUTU
      WOZUVVAUVVBWWSLWMWBZUVUTWNUVVAUVVDUVUTUUWQUVVDUVUTUUWQUVUMUVUNWXBUVVDUVUO
      UVUPUUYOWWSWWTLVYOXNZXEUUWQUVUTYPYIUVVAWWSLUVVAWXSXVLUVVCXVPWOUVVAWXSXYAU
      VVCUUUJWOVYPYMWXSUVVBWNUUWRWWSWWSWEWFZYEUVVBUUWRUVVFXAWXSUVVBLWWSWWSWEUVV
      BWWSLUVVBYAXOVWPWSWXSUVVFYEXAUVVBWXSWWSWXSWPYRWWSVWSXVPWRZVYQXEVVNXFYSXTY
      GXSWXSUUXMUUWSXAUUWJWXSXXKUUWRWXSXWLYRXXKUUVDYVSWRZWXSUUWRWXSLWWSUUUJXVPW
      UAYCZVVHXEYGVWPWXSUUWTUUXBXAUUWJWXSUUXBUUWTWXSUUWRXWDXXKUVVIAYWOWXRXXBXEZ
      UVVHVYRXOXEWXSUUXBUUWMXAUUWJWXSUUXAUUWLXXKWGWXSUUXAXWDUUWRWIWFUUWLWXSUUWR
      XWDUVVIUVVJUYNWXSKLWWSAKYRVTZWXRXWIXEALYRVTWXRXWJXEUVVGUYDYSVWPXEYGVXKUUW
      KWWDUIUUXDUUXCWWCWDZWQWFZYTWDZPVXNZWWSUJWWCWDZWQWFZYTWDZWGWFZXXKUUWLWGWFZ
      UUWMXYPWWDUVVSXAZUUWJXYPAWXRUVWAXYQXYSWXSBWVFWWCPUVVOUCUGUGUIUJUKULUNYUFW
      YHUUXOURXVOUUVNUVVOUUNVXOXFXEUUWKUVVOXXKUVVRUUWLWGUUWKAWXRUUWJUVVOXXKXAUU
      WNUUWOUUWPUUWQUUXSYUBUVVOXXKUUWQYUBUUXSUUYQXOWXSUVVOUUXSXAUUWJWXSUIUVVNUU
      XRPUUYRUVVMUUXQYTUUYRUVVLUUXPUUXDWQUUYRUVVLUUYKUUXPUUXPKWMWBUUXPKYKZYKZUU
      XPUUYRBKWVGVSTUUXCXGUGUIUMUUUIWXSXXTUUYKUUVMXEUVUAUVUBUVUCVYIUUYKUVWCUUXP
      XAWXSUUYKUUXPUVWBYLWSYSYDYQVYHXEUUXTWUBVXKUUWKUVVRWWSKWQWFZYTWDZWWSKWAWBZ
      UUWLYEYKZUUWLUUWKUVVQUVWDYTUUWKUVVPKWWSWQUUWKUVVPUUXNWWTWWTKWMWBZWWTKYKZY
      KZUVWIKXYPUVVPUVWJXAZUUWJAXYOWXRUVWKXYSWXSBKWVGVSTUJXGUGUIUMUUUIUUVMYYJWY
      GWYHVYIVXAXEAUVWJUVWIXAXYOUUWJAUUXNWWTUVWIXYJVYTYOUUWKWWTKXAZUVWIKXAZXYPU
      VWLUVWMUUWJXYPUVWLWNZUVWIWWTKUVWNUVWHWWTKUVWNWWTKXYPWXTUVWLAXYOWXRWXTXYSW
      YIVXAZXEXYPUVWLYPZVYSVYFUVWPYSXQUUWKUVWLYBZWNZUVWHWWTKUVWRKWWTWAWBUVWHYBU
      VWRKWWTXYPUVWQXXTUUWJXYPXXTUVWQAXXTXYOXUFXEXEXQZXYPUVWQWXTUUWJXYPWXTUVWQU
      VWOXEXQZUUWKKWWTWMWBUVWQUUWKKWYLWWTWMKWYLXAUUWKVRXKUUWKWYPXVTWWTUFVTWYLWW
      TWMWBUUWKAWYPUUWNWYKWOAXVTXYOUUWJXWAYOUUWKWWTWWRUFUUWKWWTUEVTWWTWWRVTUUWK
      WWTWXIUEUUWKNWXDWXGWWTWXHXRWXJUUWKWVEWXDVTZWWTWWTXAZWWTWXGXAZNWXDUUAUUWKX
      YOWXBWNUVXAUUWKXYOWXBAXYOUUWJWUCXYOAWXRUUWJWXBXYRUUYOWUDYIWXBOWXCWUEWUFUU
      WKWWTWUGUVXCUVXBNWVEWXDWXEWVEXAZWXGWWTWWTUVXDUJWXFWVGWXEWVEIXBXCWUHWUIXFU
      UWKUJWVGVVQWUJVPUUIWWTUEWWQUUFWOWWRUFXAUUWKXUBXKWUKBCWWTUFUYBXNVXJXEUVWQW
      WTKUVLUUWKWWTKVXMWSWULUVWRKWWTUVWSUVWTVYKVVFVYTXTYGYDYQUUWKXVLXXTUVWEUVWG
      XAXYPXVLUUWJXYPAWXRXVLXYQXYSXVPXFZXEZUUWKAXXTUUWNXUFWOZWWSKVYLXFUUWKUVWFU
      UWLYEUUWKWWSLKUVXFUUWKAXYAUUWNXUHWOUVXGUUWKAWXRUUWJUVVDUUWNUUWOUUWPUVVEVX
      KUUWKAWUQUUWNXVRWOUXSVYFYGXSXYPUVVTUUWMXAUUWJXYPXXKUUWLYWNXYPKWWSXYPAUVVK
      XYQXWIWOXYPWPYRWWSVWSUVXEWRUYLVVHXEYGWUMVYSXFXTWUNVVJAWWFUUVJOWXCWWDWKWLW
      DZVVOWFZUUVJUVXHWIWFZUUVLAWWFOYXIWWDWKZWLWDUVXIAWWEUVXKWLAOWJYXIWWDYXMVVP
      YQAOYWQWXCWWDXRXRYXNYXOYXPYXRUUWAAXYOWXRUUVTXYSUUVPVXAVWKYSAUUVJWPVTUVXHW
      PVTUVXIUVXJXAUUVQAUVXHUUVKWPAWXCWWDOXYNXYPAWXRWWDXWLVTXYQXYSUUVOXFVWRZUUV
      SVURUUVJUVXHVWOXFAUVXHUUVKUUVJWIUVXLYDVYJXPWUOVXJWUPVXJYIWVOWWHDKWVQWUTKX
      AZWVCWWAWVNWWGWMUVXMWVBWVTSWGWUTKWVAWEVVEYDUVXMWVMWWFWVDWGUVXMWVLWWEWLUVX
      MOWJWVKWWDUVXMWVIWWCWVFWVJUVXMWVGWVHWWBWUTKTXBXCYDVUTYQYDVVAUXOWUFVJUUIXV
      RWUSWUQEKMWURKLWAUXQWUIXF $.
  $}

  ${
    $d A a b h j k x $.  $d A e f g h j k $.  $d A h j z $.
    $d B a b h i j k x y $.  $d B c h i j k x $.  $d B f g h j k $.
    $d B h j u $.  $d B h i j z $.  $d C a b h i j k x y $.
    $d C c h i j k x $.  $d C h j u $.  $d C h i j z $.
    $d D a b h i j k x y $.  $d D c h i j k x $.  $d D h j u $.
    $d D h i j z $.  $d E a b h i k m x y $.  $d E c h i k m x $.
    $d E h i m z $.  $d F j $.  $d G a b h i k m x y $.  $d G c h i k m x $.
    $d G h i m z $.  $d H a b i j k $.  $d H i j z $.  $d J a b h j k x $.
    $d J g h j k $.  $d K a b h j k x $.  $d L a b h i j k x $.
    $d L e f g h j k $.  $d L h i j z $.  $d O j k $.
    $d P a b h i j k m x y $.  $d P c h i j k m x $.  $d S a b h i j k m x y $.
    $d S c h i j k m x $.  $d S h j m u $.  $d S h i j m z $.  $d U m u $.
    $d W a b i j k x $.  $d W c i j k x $.  $d W i j z $.
    $d Y a b h i j k m x y $.  $d Y c h i j k m x $.  $d Y e f g h j k $.
    $d Z a b h i j k x y $.  $d Z c h i j k x $.  $d Z h j u $.
    $d Z h i j z $.  $d a b h i j k m ph x y $.  $d c h i j k m ph x $.
    hoidmvlelem3.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x
       ) |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k )
       ) ) ) ) ) $.
    hoidmvlelem3.x $e |- ( ph -> X e. Fin ) $.
    hoidmvlelem3.y $e |- ( ph -> Y C_ X ) $.
    hoidmvlelem3.z $e |- ( ph -> Z e. ( X \ Y ) ) $.
    hoidmvlelem3.w $e |- W = ( Y u. { Z } ) $.
    hoidmvlelem3.a $e |- ( ph -> A : W --> RR ) $.
    hoidmvlelem3.b $e |- ( ph -> B : W --> RR ) $.
    hoidmvlelem3.lt $e |- ( ( ph /\ k e. W ) -> ( A ` k ) < ( B ` k ) ) $.
    hoidmvlelem3.f $e |- F = ( y e. Y |-> 0 ) $.
    hoidmvlelem3.c $e |- ( ph -> C : NN --> ( RR ^m W ) ) $.
    hoidmvlelem3.j $e |- J = ( j e. NN |-> if ( S e. ( ( ( C ` j ) ` Z ) [,) (
       ( D ` j ) ` Z ) ) , ( ( C ` j ) |` Y ) , F ) ) $.
    hoidmvlelem3.d $e |- ( ph -> D : NN --> ( RR ^m W ) ) $.
    hoidmvlelem3.k $e |- K = ( j e. NN |-> if ( S e. ( ( ( C ` j ) ` Z ) [,) (
       ( D ` j ) ` Z ) ) , ( ( D ` j ) |` Y ) , F ) ) $.
    hoidmvlelem3.r $e |- ( ph -> ( sum^ ` ( j e. NN |-> ( ( C ` j ) ( L ` W ) (
       D ` j ) ) ) ) e. RR ) $.
    hoidmvlelem3.h $e |- H = ( x e. RR |-> ( c e. ( RR ^m W ) |-> ( j e. W |->
       if ( j e. Y , ( c ` j ) , if ( ( c ` j ) <_ x , ( c ` j ) , x ) ) ) ) )
                          $.
    hoidmvlelem3.g $e |- G = ( ( A |` Y ) ( L ` Y ) ( B |` Y ) ) $.
    hoidmvlelem3.e $e |- ( ph -> E e. RR+ ) $.
    hoidmvlelem3.u $e |- U = { z e. ( ( A ` Z ) [,] ( B ` Z ) ) | ( G x. ( z -
       ( A ` Z ) ) ) <_ ( ( 1 + E ) x. ( sum^ ` ( j e. NN |-> ( ( C ` j ) ( L `
       W ) ( ( H ` z ) ` ( D ` j ) ) ) ) ) ) } $.
    hoidmvlelem3.s $e |- ( ph -> S e. U ) $.
    hoidmvlelem3.sb $e |- ( ph -> S < ( B ` Z ) ) $.
    hoidmvlelem3.p $e |- P = ( j e. NN |-> ( ( J ` j ) ( L ` Y ) ( K ` j ) ) )
                          $.
    hoidmvlelem3.i $e |- ( ph -> A. e e. ( RR ^m Y ) A. f e. ( RR ^m Y ) A. g
       e. ( ( RR ^m Y ) ^m NN ) A. h e. ( ( RR ^m Y ) ^m NN ) ( X_ k e. Y ( ( e
       ` k ) [,) ( f ` k ) ) C_ U_ j e. NN X_ k e. Y ( ( ( g ` j ) ` k ) [,) (
       ( h ` j ) ` k ) ) -> ( e ( L ` Y ) f ) <_ ( sum^ ` ( j e. NN |-> ( ( g `
       j ) ( L ` Y ) ( h ` j ) ) ) ) ) ) $.
    hoidmvlelem3.i2 $e |- ( ph -> X_ k e. W ( ( A ` k ) [,) ( B ` k ) ) C_ U_ j
       e. NN X_ k e. W ( ( ( C ` j ) ` k ) [,) ( ( D ` j ) ` k ) ) ) $.
    hoidmvlelem3.o $e |- O = ( x e. X_ k e. Y ( ( A ` k ) [,) ( B ` k ) ) |-> (
       k e. W |-> if ( k e. Y , ( x ` k ) , S ) ) ) $.
    $( This is the contradiction proven in step (d) in the proof of Lemma 115B
       of [Fremlin1] p. 29.  (Contributed by Glauco Siliprandi,
       21-Nov-2020.) $)
    hoidmvlelem3 $p |- ( ph -> E. u e. U S < u ) $=
      ( vm vi c1 co cv cfv csu cmul cle wbr cn wrex clt c0 wceq wa wcel 1nn a1i
      cres fveq2 eqtrd adantl cr wf simpr fveq2d cpnf cico id wi imbi12d fvmpt2
      cc0 cvv syl2anc cfn wss syl adantr elmapd mpbird eqeltrd pm2.61dan sselid
      cif ad2antrr oveq12d feq1d oveq2d adantlr crp cmpt csumge0 eqid cixp wral
      simpl fveq1d rspcva mpd ralbidv 3ad2ant1 caddc cfz csn 0le0 res0 oveq123d
      reseq2 f0 hoidmv0val 3eqtrd nfcvd 1red rge0ssre elexi eleq1 anbi2d eleq1d
      nfv ovexd cun eldifad snssi unssd eqsstrd ssfid ssun1 eqcomi sseqtri cmap
      iftrue ffvelrnda elmapi sseqtrri fssresd reex ssexd wn iffalse 0red fmptd
      hoidmvcl vtocl recnd sumsnd ovex fvmpt ax-mp oveqd fvex resex eqeltrdi wb
      elexd eqcomd feq2d rpred readdcld mul01d eqidd breq12d oveq2 cz nnzi fzsn
      sumeq1d breq2d rspcev wne neqne cdiv eqeltrid 1rp jca rpaddcl rpgt0 gtned
      nnuz redivcld ltpnfd breqtrd nnex cicc icossicc sge0repnf cmin cprod cvol
      ltaddrpd hoidmvn0val fvres elun1 eleqtrrdi ffvelrnd volico syldan iftrued
      prodeq2dv 3eqtr4d difrp mpbid fprodrpcl ltdivgt1 ciun wfn fvexd ralrimivw
      ifcld fnmpt mptexg fneq1d nfcv nfixp1 nfel nfan vex simprbi rspa ad4ant24
      elixp cdif snidg elun2 eleqtrd rexrd iccssxr crab eqsstri iccgelb syl3anc
      cxr ssrab2 elicod eleq2i biimpi elunnel1 adantll eleq12d adantllr ralrimi
      elsni ex sylibr sseldd eliun sylib ixpfn 3adant3 3adant2 3ad2ant3 3eqtrrd
      w3a ad5ant125 simprd ad3antrrr ad2antlr ifbieq1d fvmptd iffalsed reximdva
      eldifbd ralrimiva dfss3 fveq1 oveq1d sseq1d oveq1 breq1d ixpeq2dv iuneq2d
      ixpeq2dva sseq2d mpteq2dv idd mpteq2dva ltletrd sge0uzfsumgt fzfid elfznn
      fsumrecl ltled ledivmuld crn cinf cbvmptv fveq2i eleq1w ifbieq12d mpteq2i
      eqtri oveq2i breq2i rabbii simp2 cbvsumv eqeq12d chvarvv eleq2d eqeltrrid
      reseq1d ifeq2 biid ifbieq2i eqtr4d 3ad2antl1 rneqi cbvrabv mpteq1i uneq2i
      sumeq2dv hoidmvlelem2 3exp rexlimdv ) AUAVTSUUAWAZVTVRWBZUUBWAZQWBZJWCZQW
      DZWEWAZWFWGZVRWHWIZKEWBWJWGELWIZAUIWKWLZWVAAWVCWMZVTWHWNZUAWUMVTUUCZWUQQW
      DZWEWAZWFWGZWVAWVEWVDWOWPWVDWVIXKXKWFWGZWVJWVDUUDWPWVDUAXKWVHXKWFWVDUAFUI
      WQZGUIWQZUIUEWCZWAZWKWKWKUEWCZWAZXKUAWVNWLZWVDVIWPWVCWVNWVPWLAWVCWVKWKWVL
      WKWVMWVOUIWKUEWRZWVCWVKFWKWQZWKUIWKFUUGWVSWKWLWVCFUUEWPWSWVCWVLGWKWQZWKUI
      WKGUUGWVTWKWLWVCGUUEWPWSUUFWTWVDBWKWKRUEUKULUNWKXAWKXBWVDXAUUHWPZWWAUUIUU
      JWVDWVHWUMXKWEWAZXKXKWVDWVGXKWUMWEWVDWVGVTJWCZVTUCWCZVTUDWCZWVMWAZXKAWVGW
      WCWLWVCAWUQWWCQVTXAAQWWCUUKAQUURAWUPVTWLZWMWUPVTJAWWGXCXDAUULZAWWCAXKXEXF
      WAZXAWWCUUMAAWVEWWCWWIWNZAXGZWVEAWOWPZAWUPWHWNZWMZWUQWWIWNZXHAWVEWMZWWJXH
      QVTVTWHWOUUNZWWGWWNWWPWWOWWJWWGWWMWVEAWUPVTWHUUOUUPZWWGWUQWWCWWIWUPVTJWRU
      UQXIWWNWUQWUPUCWCZWUPUDWCZWVMWAZWWIWWMWUQWXAWLZAWWMWWMWXAXLWNWXBWWMXGZWWM
      WWSWWTWVMUUSQWHWXAXLJVNXJXMZWTWWNBWWSWWTRUEUIUKULUNAUIXNWNZWWMAUGUIAUHUGU
      OAUGUIUJUUCZUUTZUHUGWXGWLAURWPAUIWXFUHUPAUJUHWNWXFUHXOAUJUHUIUQUVAUJUHUVB
      XPUVCUVDUVEZUIUGXOZAUIWXGUGUIWXFUVFZUGWXGURUVGZUVHWPZUVEZXQWWNWWSXAUIUVIW
      AZWNUIXAWWSXBZAWHWXNWUPUCAQWHKUJWUPHWCZWCZUJWUPIWCZWCZXFWAZWNZWXPUIWQZTYC
      ZWXNUCWWNWYAWYCWXNWNWWNWYAWMZWYCWYBWXNWYAWYCWYBWLZWWNWYAWYBTUVJZWTZWWNWYB
      WXNWNZWYAWWNWYHUIXAWYBXBZWWNUGXAUIWXPWWNWXPXAUGUVIWAZWNUGXAWXPXBAWHWYJWUP
      HVCUVKWXPXAUGUVLXPWXIWWNUIWXGUGWXJURUVMZWPZUVNZWWNXAUIWYBXLXLXAXLWNZWWNUV
      OWPZAUIXLWNWWMAUIUGXNWXHWXLUVPZXQZXRXSXQXTWWNWYAUVQZWMZWYCTWXNWYRWYCTWLWW
      NWYAWYBTUVRWTZATWXNWNZWWMWYRAXUAUIXATXBZACUIXKXATACWBUIWNWMUVSVBUVTZAXAUI
      TXLXNWYNAUVOWPZWXMXRXSZYDZXTYAVDUVTZUVKWWSXAUIUVLXPWWNWWTWXNWNUIXAWWTXBZA
      WHWXNWUPUDAQWHWYAWXRUIWQZTYCZWXNUDWWNWYAXUJWXNWNWYDXUJXUIWXNWYAXUJXUIWLZW
      WNWYAXUITUVJZWTWWNXUIWXNWNZWYAWWNXUMUIXAXUIXBWWNUGXAUIWXRWWNWXRWYJWNUGXAW
      XRXBAWHWYJWUPIVEUVKWXRXAUGUVLXPWYLUVNWWNXAUIXUIXLXLWYOWYQXRXSXQXTWYSXUJTW
      XNWYRXUJTWLWWNWYAXUITUVRWTXUFXTYAZVFUVTZUVKWWTXAUIUVLXPZUWAXTZUWBXMYBUWCU
      WDXQWWCWWFWLZWVDWVEXURWOQVTWXAWWFWHJWWGWWSWWDWWTWWEWVMWUPVTUCWRZWUPVTUDWR
      ZYEVNWWDWWEWVMUWEUWFUWGWPWVDWWFWWDWWEWVOWAZXKWVCWWFXVAWLAWVCWVMWVOWWDWWEW
      VRUWHWTWVDBWWDWWERUEUKULUNWVDWKXAWWDXBZUIXAWWDXBZAXVCWVCAAWVEXVCWWKWWLWWN
      WXOXHWWPXVCXHQVTWWQWWGWWNWWPWXOXVCWWRWWGUIXAWWSWWDXUSYFXIWWNWXOUIXAWYCXBZ
      WWNWYAXVDWYDXVDWYIWWNWYIWYAWYMXQWYDUIXAWYCWYBWYGYFXSWYSXVDXUBAXUBWWMWYRXU
      CYDWYSUIXAWYCTWYTYFXSYAWWNUIXAWWSWYCWWNWWMWYCXLWNZWWSWYCWLZAWWMXCZWWNWYAX
      VEWYDWYCWYBXLWYGWXPUIWUPHUWIUWJUWKWYSWYCTXLWYTWWNTXLWNZWYRAXVHWWMATWXNXUE
      UWMZXQXQXTYAQWHWYCXLUCVDXJXMZYFXSUWBXMXQWVCXVBXVCUWLAWVCWKUIXAWWDWVCUIWKW
      VCXGUWNZUWOWTXSWVDWKXAWWEXBZUIXAWWEXBZAXVMWVCAAWVEXVMWWKWWLWWNXUHXHWWPXVM
      XHQVTWWQWWGWWNWWPXUHXVMWWRWWGUIXAWWTWWEXUTYFXIXUPUWBXMXQWVCXVLXVMUWLAWVCW
      KUIXAWWEXVKUWOWTXSUUIWSUUJYGAWWBXKWLWVCAWUMAWUMAVTSWWHASVJUWPUWQZUWCUWRXQ
      WVDXKUWSUUJUWTXSWUTWVIVRVTWHWUNVTWLZWUSWVHUAWFXVOWURWVGWUMWEXVOWUOWVFWUQQ
      XVOWUOVTVTUUBWAZWVFWUNVTVTUUBUXAXVPWVFWLZXVOVTUXBWNZXVQVTWOUXCZVTUXDUWGWP
      WSUXEYGUXFUXGXMAWVCUVQZWMAUIWKUXHZWVAAXVTYOXVTXWAAUIWKUXIWTAXWAWMZUAWUMUX
      JWAZWURWJWGZVRWHWIWVAXWBWUQXWCQVRVTWHXWBQUURXVRXWBXVSWPUXQAWWMWWOXWAXUQYH
      AXWCXAWNZXWAAUAWUMAUAWVNXAVIAWWIXAWVNUUMABWVKWVLRUEUIUKULUNWXMAUGXAUIFUSW
      XIAWYKWPZUVNZAUGXAUIGUTXWFUVNZUWAYBUXKZXVNAXKWUMAUVSAWUMYIWNZXKWUMWJWGAVT
      YIWNZSYIWNZWMXWJAXWKXWLXWKAUXLWPVJUXMVTSUXNXPZWUMUXOXPUXPUXRZXQZXWBQWHWUQ
      YJZYKWCZXEWLZXWCXWQWJWGZAXWRXWSXWAAXWRWMXWCXEXWQWJAXWCXEWJWGXWRAXWCXWNUXS
      XQXWRXEXWQWLAXWRXWQXEXWRXGUWNWTUXTYHXWBXWRUVQZWMXWBXWQXAWNZXWSXWBXWTYOAXW
      TXXAXWAAXWTWMZXXAXWTAXWTXCXXBXWPXLWHWHXLWNZXXBUYAWPAWHXKXEUYBWAZXWPXBXWTA
      QWHWUQXXDXWPWWNWWIXXDWUQXKXEUYCXUQYBXWPYLUVTXQUYDXSYHXWBXXAWMXWCUAXWQXWBX
      WEXXAXWOXQAXXAUAXAWNZXWAAXXEXXAXWIXQYHXWBXXAXCXWBXWCUAWJWGZXXAXWBVTWUMWJW
      GZXXFAXXGXWAAVTSWWHVJUYHXQXWBUAWUMXWBUAUIRWBZGWCZXXHFWCZUYEWAZRUYFZYIXWBW
      VNUIXXHWVKWCZXXHWVLWCZXFWAZUYGWCZRUYFZUAXXLXWBBWVKWVLRUEUIUKULUNAWXEXWAWX
      MXQAXWAXCAUIXAWVKXBZXWAXWGXQAUIXAWVLXBZXWAXWHXQUYIWVQXWBVIWPZAXXLXXQWLXWA
      AXXQXXLAUIXXPXXKRAXXHUIWNZWMZXXPXXJXXIXFWAZUYGWCZXXJXXIWJWGZXXKXKYCZXXKXY
      AXXPXYDWLAXYAXXOXYCUYGXYAXXMXXJXXNXXIXFXXHUIFUYJZXXHUIGUYJZYEXDWTXYBXXJXA
      WNZXXIXAWNZXYDXYFWLXYBUGXAXXHFAUGXAFXBZXYAUSXQXYAXXHUGWNZAXYAXXHWXGUGXXHU
      IWXFUYKURUYLZWTZUYMZXYBUGXAXXHGAUGXAGXBZXYAUTXQXYNUYMZXXJXXIUYNXMXYBXYEXX
      KXKAXYAXYLXYEXYNVAUYOZUYPUUJUYQUWNXQUYRAXXLYIWNXWAAUIXXKRWXMXYBXYEXXKYIWN
      ZXYRXYBXYIXYJXYEXYSUWLXYOXYQXXJXXIUYSXMUYTVUAXQXTAXWJXWAXWMXQVUBUYTXQXWBU
      AXWQWFWGZXXAXWBXYTWVNQWHWXAYJZYKWCZWFWGZAYUCXWAAYUCYUCARUIXYCYMZQWHRUIXXH
      WWSWCZXXHWWTWCZXFWAZYMZVUCZXOZYUCABWBZYUIWNZBYUDYNYUJAYULBYUDAYUKYUDWNZWM
      ZYUKYUHWNZQWHWIZYULYUNYUKUFWCZRUGXXHWXPWCZXXHWXRWCZXFWAZYMZWNZQWHWIZYUPYU
      NYUQQWHYVAVUCZWNYVCYUNRUGXYCYMZYVDYUQAYVEYVDXOYUMVPXQYUNYUQUGVUDZXXHYUQWC
      ZXYCWNZRUGYNZWMYUQYVEWNYUNYVFYVIYUNYVFRUGXYAXXHYUKWCZKYCZYJZUGVUDZYUNYVKX
      LWNZRUGYNZYVMAYVOYUMAYVNRUGAXYAYVJKXLAXXHYUKVUEAKLVLUWMZVUGZVUFXQRUGYVKYV
      LXLYVLYLZVUHXPYUNUGYUQYVLYUNYUMYVLXLWNZYUQYVLWLAYUMXCAYVSYUMAUGXNWNYVSWXH
      RUGYVKXNVUIXPXQBYUDYVLXLUFVQXJXMZVUJXSYUNYVHRUGAYUMRARUURRYUKYUDRYUKVUKRU
      IXYCVULVUMVUNZYUNXYLYVHYUNXYLWMZYVGYVKXYCYWBYVGXXHYVLWCZYVKYUNYVGYWCWLZXY
      LYUNXXHYUQYVLYVTYPZXQAXYLYWCYVKWLZYUMAXYLWMZXYLYVNYWFAXYLXCAYVNXYLYVQXQRU
      GYVKXLYVLYVRXJZXMYHWSYWBXYAYVKXYCWNZYWBXYAWMYVKYVJXYCXYAYVKYVJWLZYWBXYAYV
      JKUVJZWTYUMXYAYVJXYCWNZAXYLYUMXYAWMYWLRUIYNZXYAYWLYUMYWMXYAYUMYUKUIVUDZYW
      MRUIXYCYUKBVUOZVUSVUPXQYUMXYAXCYWLRUIVUQXMVURXTAXYLXYAUVQZYWIYUMYWGYWPWMZ
      YWIKUJFWCZUJGWCZXFWAZWNZAYXAXYLYWPAYWRYWSKAYWRAUGXAUJFUSAUJWXGUGAUJWXFWNZ
      UJWXGWNAUJUHUIVUTZWNZYXBUQUJYXCVVAXPUJWXFUIVVBXPWXGUGWLAWXKWPVVCZUYMVVDZA
      YWSAUGXAUJGUTYXEUYMVVDZAYWRYWSUYBWAZVVJKYWRYWSVVEALYXHKLUADWBZYWRUYEWAWEW
      AZWUMQWHWXPWXRYXIUBWCZWCZUGUEWCZWAZYJZYKWCZWEWAZWFWGZDYXHVVFZYXHVKYXRDYXH
      VVKVVGVLYBZYBAYWRVVJWNYWSVVJWNKYXHWNYWRKWFWGYXFYXGYXTYWRYWSKVVHVVIVMVVLYD
      YWQYVKKXYCYWTYWPYVKKWLYWGXYAYVJKUVRWTXYLYWPXYCYWTWLZAXYLYWPWMZXXHUJWLZYYA
      YYBXXHWXFWNZYYCYYBXXHWXGWNZYWPYYDXYLYYEYWPXYLYYEUGWXGXXHURVVMVVNXQXYLYWPX
      CXXHUIWXFVVOXMXXHUJVVTXPYYCXXJYWRXXIYWSXFXXHUJFWRXXHUJGWRYEXPVVPVVQXSVVRY
      AXTVWAVVSUXMRUGXYCYUQYUKUFUWIZVUSVWBVWCQYUQWHYVAVWDVWEYUNYVBYUOQWHYUNWWMW
      MZYVBYUOYYGYVBWMZYWNYVJYUGWNZRUIYNZWMYUOYYHYWNYYJYUNYWNWWMYVBYUMYWNARUIXY
      CYUKVWFWTYDYYHYYIRUIYYGYVBRYUNWWMRYWAWWMRUURVUNRYUQYVARYUQVUKRUGYUTVULVUM
      VUNYYHXYAYYIYYHXYAWMZYVJYUTYUGYYKYVJYVGYUTAYUMXYAYVJYVGWLWWMYVBAYUMXYAVWK
      YVGYWCYVKYVJAYUMYWDXYAYWEVWGAXYAYWFYUMXYBXYLYVNYWFXYNAYVNXYAYVQXQYWHXMVWH
      XYAAYWJYUMYWKVWIVWJVWLYVBXYAYVGYUTWNZYYGYVBXYAWMZYYLRUGYNZXYLYYLYYMYVFYYN
      YYMYVBYVFYYNWMYVBXYAYORUGYUTYUQYYFVUSZVWEVWMXYAXYLYVBXYMWTYYLRUGVUQXMVVPX
      TYYKYUGYUTYYKYUEYURYUFYUSXFYYKYUEXXHWYBWCZYURYYHYUEYYPWLZXYAYYHAWWMWYAYYQ
      AAYUMWWMYVBWWKVWNZWWMWWMYUNYVBWXCVWOZYYHKUJYUQWCZWXTYUNKYYTWLWWMYVBYUNYYT
      UJYVLWCZUJUIWNZUJYUKWCZKYCZKYUNUJYUQYVLYVTYPAUUUAUUUDWLYUMARUJYVKUUUDUGYV
      LXLAYVLUWSYYCYVKUUUDWLAYYCXYAUUUBYVJUUUCKXXHUJUIUUOXXHUJYUKWRVWPWTYXEAUUU
      BUUUCKXLAUJYUKVUEYVPVUGVWQXQAUUUDKWLYUMAUUUBUUUCKAUJUHUIUQVWTVWRXQVWJYDYY
      HUJUGWNZYYNYYTWXTWNZYYHAUUUEYYRYXEXPYVBYYNYYGYVBYVFYYNYYOVUPWTYYLUUUFRUJU
      GYYCYVGYYTYUTWXTXXHUJYUQWRYYCYURWXQYUSWXSXFXXHUJWXPWRXXHUJWXRWRYEVVQYQXMX
      TZAWWMWYAVWKZXXHWWSWYBUUUHWWSWYCWYBAWWMXVFWYAXVJVWGWYAAWYEWWMWYFVWIWSYPVV
      IXQXYAYYPYURWLYYHXXHUIWXPUYJWTWSYYKYUFXXHXUIWCZYUSYYHYUFUUUIWLZXYAYYHAWWM
      WYAUUUJYYRYYSUUUGUUUHXXHWWTXUIUUUHWWTXUJXUIAWWMWWTXUJWLZWYAWWNWWMXUJXLWNU
      UUKXVGWWNXUJWXNXUNUWMQWHXUJXLUDVFXJXMZVWGWYAAXUKWWMXULVWIWSYPVVIXQXYAUUUI
      YUSWLYYHXXHUIWXRUYJWTWSYEUWNVVCVWAVVSUXMRUIYUGYUKYWOVUSVWBVWAVWSYRQYUKWHY
      UHVWDVWBVXABYUDYUIVXBVWBAUDWXNWHUVIWAZWNZYUDQWHRUIYUEXXHWUPPWBZWCZWCZXFWA
      ZYMZVUCZXOZWVNQWHWWSUUUPWVMWAZYJZYKWCZWFWGZXHZPUUUMYNZYUJYUCXHZAUUUNWHWXN
      UDXBXUOAWXNWHUDXLXLAXAUIUVIUUSZXXCAUYAWPZXRXSAUCUUUMWNZYUDQWHRUIXXHWUPOWB
      ZWCZWCZUUUQXFWAZYMZVUCZXOZWVNQWHUUVMUUUPWVMWAZYJZYKWCZWFWGZXHZPUUUMYNZOUU
      UMYNZUUVGAUUVKWHWXNUCXBXUGAWXNWHUCXLXLUUVIUUVJXRXSAWVLWXNWNZRUIXXJXXHNWBZ
      WCZXFWAZYMZUUVQXOZWVKUUWGWVMWAZUUWAWFWGZXHZPUUUMYNZOUUUMYNZNWXNYNZUUWEAUU
      WFXXSXWHAXAUIWVLXLXLXUDWYPXRXSAWVKWXNWNZRUIXXHMWBZWCZUUWHXFWAZYMZUUVQXOZU
      UWSUUWGWVMWAZUUWAWFWGZXHZPUUUMYNZOUUUMYNZNWXNYNZMWXNYNUUWQAUUWRXXRXWGAXAU
      IWVKXLXLXUDWYPXRXSVOUUXIUUWQMWVKWXNUUWSWVKWLZUUXHUUWPNWXNUUXJUUXGUUWOOUUU
      MUUXJUUXFUUWNPUUUMUUXJUUXCUUWKUUXEUUWMUUXJUUXBUUWJUUVQUUXJRUIUUXAUUWIUUXJ
      XYAWMZUUWTXXJUUWHXFUUXKUUWTXXMXXJUUXJUUWTXXMWLXYAXXHUUWSWVKVXCXQXYAXXMXXJ
      WLUUXJXYGWTWSVXDVXJVXEUUXJUUXDUUWLUUWAWFUUWSWVKUUWGWVMVXFVXGXIYSYSYSYQXMU
      UWPUUWENWVLWXNUUWGWVLWLZUUWOUUWDOUUUMUUXLUUWNUUWCPUUUMUUXLUUWKUUVRUUWMUUW
      BUUXLUUWJYUDUUVQUUXLRUIUUWIXYCUUXLXYAWMZUUWHXXIXXJXFUUXMUUWHXXNXXIUUXLUUW
      HXXNWLXYAXXHUUWGWVLVXCXQXYAXXNXXIWLUUXLXYHWTWSYGVXJVXEUUXLUUWLWVNUUWAWFUU
      WGWVLWVKWVMUXAVXGXIYSYSYQXMUUWDUUVGOUCUUUMUUVLUCWLZUUWCUUVFPUUUMUUXNUUVRU
      UVAUUWBUUVEUUXNUUVQUUUTYUDUUXNQWHUUVPUUUSUUXNRUIUUVOUUURUUXNUUVNYUEUUUQXF
      UUXNXXHUUVMWWSWUPUUVLUCVXCZYPVXDVXHVXIVXKUUXNUUWAUUVDWVNWFUUXNUUVTUUVCYKU
      UXNQWHUUVSUUVBUUXNUUVMWWSUUUPWVMUUXOVXDVXLXDUXFXIYSYQXMUUVFUUVHPUDUUUMUUU
      OUDWLZUUVAYUJUUVEYUCUUXPUUUTYUIYUDUUXPQWHUUUSYUHUUXPRUIUUURYUGUUXPUUUQYUF
      YUEXFUUXPXXHUUUPWWTWUPUUUOUDVXCZYPYGVXHVXIVXKUUXPUUVDYUBWVNWFUUXPUUVCYUAY
      KUUXPQWHUUVBWXAUUXPUUUPWWTWWSWVMUUXQYGVXLXDUXFXIYQXMYRAYUCVXMYRXQXWBUAWVN
      XWQYUBWFXXTXWBXWPYUAYKXWBQWHWUQWXAWWMWXBXWBWXDWTVXNXDUWTXSXQVXOXMYAVXPXWB
      XWDWUTVRWHAWUNWHWNZXWDWUTXHZXWAAUUXSUUXRAXWDWUTAXWDWMZXWCWURWFWGWUTUUXTXW
      CWURAXWEXWDXWNXQAWURXAWNXWDAWUOWUQQAVTWUNVXQAWUPWUOWNZWMAWWMWUQXAWNAUUYAY
      OUUYAWWMAWUPWUNVXRWTWWNWWIXAWUQUUMXUQYBXMVXSXQZAXWDXCVXTUUXTUAWURWUMAXXEX
      WDXWIXQUUYBAXWJXWDXWMXQVYAUYTVWAXQYHVWSYRXMYAAWUTWVBVRWHAUUXRWUTWVBAUUXRW
      UTVWKZBCDEFGHIVSWHVSWBZVSWHKUJUUYDHWCZWCZUJUUYDIWCZWCZXFWAZWNZUUYEUIWQZCU
      IXKYJZYCZYJZWCZUUYDVSWHUUYJUUYGUIWQZUUYLYCZYJZWCZWVMWAZYJZYWSUUCZQKUJUUUO
      HWCZWCZUJUUUOIWCZWCZXFWAZWNZPWUOVVFZWXSYJZVYBZUUTZXAWJVYCZKLPVSRSUUYLUAUB
      UUYNUUYRUEWUNQUUYJVSWUOVVFZWXSYJZVYBZUVULUGUHUIUJUKULUMUNAUUXRUHXNWNWUTUO
      YTAUUXRUIUHXOWUTUPYTAUUXRYXDWUTUQYTURAUUXRXYKWUTUSYTAUUXRXYPWUTUTYTAUUXRW
      HWYJHXBWUTVCYTUUYLYLUUYNYLZAUUXRWHWYJIXBWUTVEYTUUYRYLZAUUXRVSWHUUYEUUYGYX
      MWAZYJZYKWCZXAWNWUTAUVVAQWHWXPWXRYXMWAZYJZYKWCXAUVUTUVVCYKVSQWHUVUSUVVBUU
      YDWUPWLUUYEWXPUUYGWXRYXMUUYDWUPHWRUUYDWUPIWRYEVYDVYEVGUXKYTUBBXAUMWYJQUGW
      UPUIWNZWUPUMWBZWCZUVVFYUKWFWGZUVVFYUKYCZYCZYJZYJZYJBXAUMWYJVSUGUUYDUIWNZU
      UYDUVVEWCZUVVMYUKWFWGZUVVMYUKYCZYCZYJZYJZYJVHBXAUVVKUVVRUMWYJUVVJUVVQQVSU
      GUVVIUVVPWUPUUYDWLZUVVDUVVLUVVFUVVHUVVMUVVOQVSUIVYFWUPUUYDUVVEWRZUVVSUVVG
      UVVNUVVFUVVMYUKUVVSUVVFUVVMYUKWFUVVTVXGUVVTVWPVYGVYDVYHVYHVYIVIAUUXRXWLWU
      TVJYTLYXSYXJWUMVSWHUUYEUUYGYXKWCZYXMWAZYJZYKWCZWEWAZWFWGZDYXHVVFVKYXRUVWF
      DYXHYXQUVWEYXJWFYXPUVWDWUMWEYXOUVWCYKQVSWHYXNUVWBUVVSWXPUUYEYXLUVWAYXMWUP
      UUYDHWRZUVVSWXRUUYGYXKWUPUUYDIWRZXDYEVYDVYEVYJVYKVYLVYIAUUXRKLWNWUTVLYTAU
      UXRKYWSWJWGWUTVMYTUVUAYLZAUUXRWUTVYMUUYCUAWUMWUOUUYDJWCZVSWDZWEWAZWUMWUOU
      UYDUVUAWCZVSWDZWEWAWFWUTAUAUVWLWFWGUUXRWUTUAWUSUVWLWFWUTXGWUSUVWLWLWUTWUR
      UVWKWUMWEWUOWUQUVWJQVSWUPUUYDJWRZVYNVYJWPUXTVWIUUYCUVWKUVWNWUMWEUUYCWUOUV
      WJUVWMVSAUUXRUUYDWUOWNZUVWJUVWMWLZWUTAUVWPWMAUUYDWHWNZUVWQAUVWPYOUVWPUVWR
      AUUYDWUNVXRWTAUVWRWMZUVWJUUYJUUYKTYCZUUYJUUYPTYCZWVMWAZUVWMUVWSUVWJUUYDUC
      WCZUUYDUDWCZWVMWAZUVXBUVWRUVWJUVXEWLZAWWMWXBXHUVWRUVXFXHQVSUVVSWWMUVWRWXB
      UVXFQVSWHVYFZUVVSWUQUVWJWXAUVXEUVWOUVVSWWSUVXCWWTUVXDWVMWUPUUYDUCWRZWUPUU
      YDUDWRZYEVYOXIWXDVYPWTUVWSUVXCUVWTUVXDUVXAWVMWWNXVFXHUVWSUVXCUVWTWLZXHQVS
      UVVSWWNUVWSXVFUVXJUVVSWWMUVWRAUVXGUUPZUVVSWWSUVXCWYCUVWTUVXHUVVSWYAUUYJWY
      BUUYKTUVVSWXTUUYIKUVVSWXQUUYFWXSUUYHXFUVVSUJWXPUUYEUVWGYPUVVSUJWXRUUYGUVW
      HYPYEVYQZUVVSWXPUUYEUIUVWGVYSVWPVYOXIXVJVYPWWNUUUKXHUVWSUVXDUVXAWLZXHQVSU
      VVSWWNUVWSUUUKUVXMUVXKUVVSWWTUVXDXUJUVXAUVXIUVVSWYAUUYJXUIUUYPTUVXLUVVSWX
      RUUYGUIUVWHVYSVWPVYOXIUUULVYPYEWSUVWSUVWMUUYTUVXBUVWSUVWRUUYTXLWNUVWMUUYT
      WLAUVWRXCZUVWSUUYOUUYSWVMUUSVSWHUUYTXLUVUAUVWIXJXMUVWSUUYOUVWTUUYSUVXAWVM
      UVWSUUYOUUYMUVWTUVWSUVWRUUYMXLWNZUUYOUUYMWLUVXNAUVXOUVWRAUUYJUUYKUUYLXLUU
      YKXLWNAUUYEUIUUYDHUWIUWJWPAUUYLTXLVBXVIVYRZVUGXQVSWHUUYMXLUUYNUVUQXJXMUUY
      MUVWTWLZUVWSUUYLTWLUVXQTUUYLVBUVGZUUYJUUYLTUUYKVYTUWGWPWSUVWSUUYSUUYQUVXA
      UVWSUVWRUUYQXLWNZUUYSUUYQWLUVXNAUVXSUVWRAUUYJUUYPUUYLXLUUYPXLWNAUUYGUIUUY
      DIUWIUWJWPUVXPVUGXQVSWHUUYQXLUUYRUVURXJXMUUYQUVXAWLUVWSUUYJUUYJUUYLTUUYPU
      UYJWUAUVXRWUBWPWSYEWSWUCXMWUDWUIYGUXTUVUOPUVUNUVUFYJQPUVUNWXSUVUFWUPUUUOW
      LUJWXRUVUEWUPUUUOIWRYPVYDWUEUVUKUVUPUVUBUVUJUVUOQUVUIUVUNWXSUVUHUUYJPVSWU
      OUUUOUUYDWLZUVUGUUYIKUVXTUVUDUUYFUVUFUUYHXFUVXTUJUVUCUUYEUUUOUUYDHWRYPUVX
      TUJUVUEUUYGUUUOUUYDIWRYPYEVYQWUFWUGWUEWUHUVUMYLWUJWUKWULYR $.
  $}

  ${
    $d A a b h j k x y $.  $d A c h j k x $.  $d A e f g h j k $.
    $d A h j z $.  $d B a b h j k x y $.  $d B c h j k x $.  $d B f g h j k $.
    $d B h j u y $.  $d B h j z $.  $d C a b h i j k l x y $.
    $d C c h i j k l x $.  $d C g h i j k y $.  $d C h j u y $.  $d C h j z $.
    $d D a b h i j k l x y $.  $d D c h i j k l x $.  $d D g h i j k y $.
    $d D h j u y $.  $d D h j z $.  $d E a b h k x y $.  $d E c h k x $.
    $d E h z $.  $d G a b h k x y $.  $d G c h k x $.  $d G h z $.
    $d H a b j k $.  $d H c j k $.  $d H j z $.  $d L a b h j k l x y $.
    $d L c h j k l x $.  $d L e f g h j k $.  $d L h j z $.
    $d S a b h i j k l x y $.  $d S c h i j k l x $.  $d S g h i j k y $.
    $d S h j u y $.  $d S h j z $.  $d U a b j k x y $.  $d U c j k x $.
    $d U j u y $.  $d U j z $.  $d W a b h j k x y $.  $d W c h j k x $.
    $d W h j z $.  $d Y a b h i j k l x y $.  $d Y c h i j k l x $.
    $d Y e f g h j k $.  $d Y a b h j k w x y $.  $d Z a b h i j k l x y $.
    $d Z c h i j k l x $.  $d Z g h i j k y $.  $d Z h j u y $.  $d Z h j z $.
    $d a b h j k ph x y $.  $d c h j k ph x $.  $d c h j k w x $.  $d ph u y $.
    hoidmvlelem4.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x
       ) |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k )
       ) ) ) ) ) $.
    hoidmvlelem4.x $e |- ( ph -> X e. Fin ) $.
    hoidmvlelem4.y $e |- ( ph -> Y C_ X ) $.
    hoidmvlelem4.n $e |- ( ph -> Y =/= (/) ) $.
    hoidmvlelem4.z $e |- ( ph -> Z e. ( X \ Y ) ) $.
    hoidmvlelem4.w $e |- W = ( Y u. { Z } ) $.
    hoidmvlelem4.a $e |- ( ph -> A : W --> RR ) $.
    hoidmvlelem4.b $e |- ( ph -> B : W --> RR ) $.
    hoidmvlelem4.k $e |- ( ( ph /\ k e. W ) -> ( A ` k ) < ( B ` k ) ) $.
    hoidmvlelem4.c $e |- ( ph -> C : NN --> ( RR ^m W ) ) $.
    hoidmvlelem4.d $e |- ( ph -> D : NN --> ( RR ^m W ) ) $.
    hoidmvlelem4.r $e |- ( ph -> ( sum^ ` ( j e. NN |-> ( ( C ` j ) ( L ` W ) (
       D ` j ) ) ) ) e. RR ) $.
    hoidmvlelem4.h $e |- H = ( x e. RR |-> ( c e. ( RR ^m W ) |-> ( j e. W |->
       if ( j e. Y , ( c ` j ) , if ( ( c ` j ) <_ x , ( c ` j ) , x ) ) ) ) )
                         $.
    hoidmvlelem4.14 $e |- G = ( ( A |` Y ) ( L ` Y ) ( B |` Y ) ) $.
    hoidmvlelem4.e $e |- ( ph -> E e. RR+ ) $.
    hoidmvlelem4.u $e |- U = { z e. ( ( A ` Z ) [,] ( B ` Z ) ) | ( G x. ( z -
       ( A ` Z ) ) ) <_ ( ( 1 + E ) x. ( sum^ ` ( j e. NN |-> ( ( C ` j ) ( L `
       W ) ( ( H ` z ) ` ( D ` j ) ) ) ) ) ) } $.
    hoidmvlelem4.s $e |- S = sup ( U , RR , < ) $.
    hoidmvlelem4.i $e |- ( ph -> A. e e. ( RR ^m Y ) A. f e. ( RR ^m Y ) A. g
       e. ( ( RR ^m Y ) ^m NN ) A. h e. ( ( RR ^m Y ) ^m NN ) ( X_ k e. Y ( ( e
       ` k ) [,) ( f ` k ) ) C_ U_ j e. NN X_ k e. Y ( ( ( g ` j ) ` k ) [,) (
       ( h ` j ) ` k ) ) -> ( e ( L ` Y ) f ) <_ ( sum^ ` ( j e. NN |-> ( ( g `
       j ) ( L ` Y ) ( h ` j ) ) ) ) ) ) $.
    hoidmvlelem4.i2 $e |- ( ph -> X_ k e. W ( ( A ` k ) [,) ( B ` k ) ) C_ U_ j
       e. NN X_ k e. W ( ( ( C ` j ) ` k ) [,) ( ( D ` j ) ` k ) ) ) $.
    $( The dimensional volume of a multidimensional half-open interval is less
       than or equal the generalized sum of the dimensional volumes of
       countable half-open intervals that cover it.  Induction step of Lemma
       115B of [Fremlin1] p. 29, case nonempty interval and dimension of the
       space greater than ` 1 ` .  (Contributed by Glauco Siliprandi,
       21-Nov-2020.) $)
    hoidmvlelem4 $p |- ( ph -> ( A ( L ` W ) B ) <_ ( ( 1 + E ) x. ( sum^ ` ( j
       e. NN |-> ( ( C ` j ) ( L ` W ) ( D ` j ) ) ) ) ) ) $=
      ( vu vy vl vi vw cfv co c1 cn cv cmpt csumge0 cmul cc0 cpnf cico cfn wcel
      cr wss syl syl2anc hoidmvcl sselid cicc wne cvv a1i adantr cmap ffvelrnda
      wa wf elmapi cle wbr cif wceq eleq1 fveq2 breq1d ifbieq1d cbvmptv mpteq2i
      eqtri cdif ffvelrnd cxr rexrd remulcld cmin clt wi breq12d wrex wn sseldd
      simpr mpbird cres cixp eqid fveq1d oveq12d reseq1d eqidd ifbieq2i fveq12d
      ciun wral adantl iccleub oveq2d cvol cprod caddc rge0ssre csn cun eldifad
      snssi unssd eqsstrid ssfi 1red rpred readdcld nfv nnex icossicc ifbieq12d
      snidg elun2 eqcomd eleqtrd sge0clmpt sge0xrclmpt pnfxr eldifd hsphoidmvle
      hsphoif eldifbd sge0lempt ltpnfd xrlelttrd xrltned ge0xrre anbi2d imbi12d
      crab ancli vtoclg sylc hoidmvlelem1 iccssxr ssrab2 eqsstri simpl iccssred
      ltnled adantlr eleq2d biid id cbvixpv mpteq12i hoidmvlelem3 csup c0 sstrd
      crp sselda syl3anc ralrimiva brralrspcev suprub syl31anc breqtrrdi lenltd
      ralbidva mpbid ralnex sylib condan xrletrid eqcomi eleq12d oveq1 mpteq2dv
      ne0i fveq2d elrab simprd ssfid hoiprodp1 ssun1 sseqtri volicon0 prodeq2dv
      syldan fssresd hoidmvn0val fvres volico eqtr3d 3eqtrd 3eqtr4d 0le1 rpge0d
      eqtrd addge0d lemul2ad letrd ) ADETSVKZVLZVMPUUAVLZNVNNVOZFVKZVUBGVKZUCEV
      KZRVKZVKZUYSVLZVPZVQVKZVRVLZVUANVNVUCVUDUYSVLZVPVQVKZVRVLAVSVTWAVLZWDUYTU
      UBABDEOSTUDUEUGAUAWBWCZTUAWETWBWCZUHATUBUCUUCZUUDZUAULAUBVUQUAUIAUCUAWCVU
      QUAWEAUCUAUBUKUUEUCUAUUFWFUUGUUHUATUUIWGZUMUNWHWIAVUAVUJAVMPAUUJZAPVAUUKZ
      UULZAVUJVSVTWJVLZWCVUJVTWKVUJWDWCANVNVUHWLANUUMZVNWLWCAUUNWMZAVUBVNWCZWQZ
      VUNVVCVUHVSVTUUOZVVGBVUCVUGOSTUDUEUGAVUPVVFVUSWNZVVGVUCWDTWOVLZWCTWDVUCWR
      AVNVVJVUBFUPWPVUCWDTWSWFZVVGBVUEVUDMRWBTUBUFRBWDUFVVJNTVUBUBWCZVUBUFVOZVK
      ZVVNBVOZWTXAZVVNVVOXBZXBZVPZVPZVPBWDUFVVJMTMVOZUBWCZVWAVVMVKZVWCVVOWTXAZV
      WCVVOXBZXBZVPZVPZVPUSBWDVVTVWHUFVVJVVSVWGNMTVVRVWFVUBVWAXCZVVLVWBVVNVVQVW
      CVWEVUBVWAUBXDVUBVWAVVMXEZVWIVVPVWDVVNVWCVVOVWIVVNVWCVVOWTVWJXFVWJXGUUPXH
      XIXIXJZAVUEWDWCZVVFATWDUCEUNAUCVURTAUCVUQWCZUCVURWCAUCUAUBXKZWCZVWMUKUCVW
      NUUQWFUCVUQUBUURWFATVURTVURXCAULWMUUSUUTZXLZWNZVVIVVGVUDVVJWCTWDVUDWRAVNV
      VJVUBGUQWPVUDWDTWSWFZUVFWHWIZUVAAVUJVTANVNVUHWLVVDVVEVWTUVBZVTXMWCAUVCWMZ
      AVUJVUMVTVXAAVUMURXNVXBANVNVUHVULWLVVDVVEVWTVVGVUNVVCVULVVHVVGBVUCVUDOSTU
      DUEUGVVIVVKVWSWHWIVVGBVUCVUDVUEMORSTUBUCUDUEUFUGVVIAUCTUBXKWCVVFAUCTUBVWP
      AUCUAUBUKUVGZUVDWNULVWRVWKVVKVWSUVEUVHZAVUMURUVIUVJUVKVUJUVLWGZXOAVUAVUMV
      VBURXOAUYTVUKWTXAQVUEUCDVKZXPVLZVRVLZVUKWTXAZAVUEVXFVUEWJVLZWCZVXIAVUEQCV
      OZVXFXPVLZVRVLZVUANVNVUCVUDVXLRVKZVKZUYSVLZVPZVQVKZVRVLZWTXAZCVXJUVOZWCZV
      XKVXIWQAVYCHIWCZABCDEFGHINOPQRSTUAUBUCUDUEUFUGUHUIUKULUMUNUPUQURUSUTVAVBV
      CAUCTWCZAVYEWQZVXFVUEXQXAZVWPAVYEVWPUVPAOVOZTWCZWQZVYHDVKZVYHEVKZXQXAZXRV
      YFVYGXROUCTVYHUCXCZVYJVYFVYMVYGVYNVYIVYEAVYHUCTXDUVMVYNVYKVXFVYLVUEXQVYHU
      CDXEVYHUCEXEXSUVNUOUVQUVRZUVSZAVUEHVYBIAVUEHAVUEVWQXNZAVXJXMHVXFVUEUVTAIV
      XJHIVYBVXJVBVYACVXJUWAUWBZVYPWIZWIAVUEHWTXAZHVFVOZXQXAZVFIXTZAVYTYAZWQZAH
      VUEXQXAZWUCAWUDUWCZWUEWUFWUDAWUDYCWUEHVUEAHWDWCZWUDAVXJWDHAVXFVUEATWDUCDU
      MVWPXLZVWQUWDZVYSYBZWNWUEAVWLWUGVWQWFUWEYDZAWUFWQBVGCVFDEFGVHVNVHVOZVIVNH
      UCVIVOZFVKZVKZUCWUNGVKZVKZWAVLZWCZWUOUBYEZVJUBVSVPZXBZVPZVKZWUMVIVNWUTWUQ
      UBYEZWVBXBZVPZVKZUBSVKZVLZVPHIJKLMNOPVGUBVSVPZQRVIVNWUTWVAWVLXBZVPZVIVNWU
      TWVFWVLXBZVPZSBVGUBVGVOZDVKZWVQEVKZWAVLZYFZVGTWVQUBWCZWVQVVOVKZHXBZVPZVPZ
      TUAUBUCUDUEUFUGAVUOWUFUHWNAUBUAWEWUFUIWNAVWOWUFUKWNULATWDDWRZWUFUMWNATWDE
      WRZWUFUNWNAVYIVYMWUFUOUWFWVLYGAVNVVJFWRWUFUPWNVINVNWVMHUCVUCVKZUCVUDVKZWA
      VLZWCZVUCUBYEZWVLXBWUNVUBXCZWUTWWLWVAWWMWVLWWNWUSWWKHWWNWUPWWIWURWWJWAWWN
      UCWUOVUCWUNVUBFXEZYHWWNUCWUQVUDWUNVUBGXEZYHYIUWGZWWNWUOVUCUBWWOYJXGXHAVNV
      VJGWRWUFUQWNVINVNWVOWWLVUDUBYEZWVLXBWWNWUTWWLWVFWWRWVLWWQWWNWUQVUDUBWWPYJ
      XGXHAVUMWDWCWUFURWNUSUTAPUWPWCWUFVAWNVBAVYDWUFVYPWNAWUFYCVHNVNWVKVUBWVNVK
      ZVUBWVPVKZWVJVLWUMVUBXCZWVEWWSWVIWWTWVJWXAWUMVUBWVDWVNWVDWVNXCWXAVIVNWVCW
      VMWUTWUTWVBWVLWVAWUTUWHZVJVGUBVSVSVJVOWVQXCVSYKXHZYLXIWMWXAUWIZYMWXAWUMVU
      BWVHWVPWVHWVPXCWXAVIVNWVGWVOWUTWUTWVBWVLWVFWXBWXCYLXIWMWXDYMYIXHAOUBVYHJV
      OZVKVYHKVOZVKWAVLYFNVNOUBVYHVUBLVOVKZVKVYHVUBVWAVKZVKWAVLYFYNWEWXEWXFWVJV
      LNVNWXGWXHWVJVLVPVQVKWTXAXRMWDUBWOVLZVNWOVLZYOLWXJYOKWXIYOJWXIYOWUFVDWNAO
      TVYKVYLWAVLZYFNVNOTVYHVUCVKVYHVUDVKWAVLYFYNWEWUFVEWNWWFWWFBOUBWXKYFZOTVYH
      UBWCZVYHVVOVKZHXBZVPZVPWWFYGBWWAWWEWXLWXPVGOUBWVTWXKWVQVYHXCZWVRVYKWVSVYL
      WAWVQVYHDXEWVQVYHEXEYIUWJVGOTWWDWXOWXQWWBWXMWWCWXNHWVQVYHUBXDWVQVYHVVOXEX
      GXHUWKXJUWLWGWUEAWUFWUCYAZWUGWULAWXRWUFAWUBYAZVFIYOZWXRAWUAHWTXAZVFIYOWXT
      AWYAVFIAWUAIWCZWQZWUAIWDXQUWMZHWTWYCIWDWEZIUWNWKZWUAWVQWTXAVFIYOVGWDXTZWY
      BWUAWYDWTXAAWYEWYBAIVXJWDIVXJWEAVYRWMZWUJUWOWNZWYBWYFAIWUAUXOYPAWYGWYBAVW
      LWUAVUEWTXAZVFIYOWYGVWQAWYJVFIWYCVXFXMWCZVUEXMWCZWUAVXJWCWYJAWYKWYBAVXFWU
      IXNZWNAWYLWYBVYQWNAIVXJWUAWYHUWQVXFVUEWUAYQUWRUWSVGVFWUAVUEWTWDIUWTWGWNAW
      YBYCZVGVFIWUAUXAUXBVCUXCUWSAWYAWXSVFIWYCWUAHWYCIWDWUAWYIWYNYBAWUHWYBWUKWN
      UXDUXEUXFWUBVFIUXGUXHWNWGUXIAWYKWYLHVXJWCHVUEWTXAWYMVYQVYSVXFVUEHYQUWRUXJ
      VYBIXCAIVYBVBUXKWMUXLYDVYAVXICVUEVXJVXLVUEXCZVXNVXHVXTVUKWTWYOVXMVXGQVRVX
      LVUEVXFXPUXMYRWYOVXSVUJVUAVRWYOVXRVUIVQWYONVNVXQVUHWYOVXPVUGVUCUYSWYOVUDV
      XOVUFVXLVUERXEYHYRUXNUXPYRXSUXQUXHUXRAUYTVXHVUKWTAUYTUBWXKYSVKZOYTZVXFVUE
      WAVLYSVKZVRVLVXHABDEOWYQSVWNTUBUCUDUEUGAUAUBUHUIUXSZUKVXCULUMUNWYQYGUXTAW
      YQQWYRVXGVRAUBVYLVYKXPVLZOYTZXUAWYQQAXUAYKAUBWYPWYTOAWXMWQZVYKVYLXUBTWDVY
      HDAWWGWXMUMWNXUBUBTVYHUBVURTUBVUQUYATVURULUXKUYBZAWXMYCWIZXLZXUBTWDVYHEAW
      WHWXMUNWNXUDXLZAWXMVYIVYMXUDUOUYEUYCZUYDAQDUBYEZEUBYEZWVJVLZUBVYHXUHVKZVY
      HXUIVKZWAVLZYSVKZOYTXUAQXUJXCAUTWMABXUHXUIOSUBUDUEUGWYSUJATWDUBDUMUBTWEAX
      UCWMZUYFATWDUBEUNXUOUYFUYGAUBXUNWYTOXUBXUNWYPVYMWYTVSXBZWYTWXMXUNWYPXCAWX
      MXUMWXKYSWXMXUKVYKXULVYLWAVYHUBDUYHVYHUBEUYHYIUXPYPXUBVYKWDWCVYLWDWCWYPXU
      PXCXUEXUFVYKVYLUYIWGZXUBWYPXUPWYTXUQXUGUYJUYKUYDUYKUYLAVXFVUEWUIVWQVYOUYC
      YIUYOXFYDAVUJVUMVUAVXEURVVBAVMPVUTVVAVSVMWTXAAUYMWMAPVAUYNUYPVXDUYQUYR $.
  $}

  ${
    $d A a b h j k r s x $.  $d A c h j k r s x $.  $d A e f g h j k $.
    $d A a b h j k r w x $.  $d A h j r w x z $.  $d B a b h j k r s x $.
    $d B c h j k r s x $.  $d B f g h j k $.  $d B a b h j k r w x $.
    $d B h j r w x z $.  $d C a b h i j k l w x $.  $d C c h i j k l w x $.
    $d C g h i j k l w $.  $d C a b h j k r w x $.  $d C h i j l w x z $.
    $d D a b h i j k l w x $.  $d D c h i j k l w x $.  $d D g h i j k l w $.
    $d D a b h j k r w x $.  $d D h i j l w x z $.  $d L a b h i j k l w x $.
    $d L c h i j k l w x $.  $d L e f g h j k $.  $d L a b h j k r w x $.
    $d L h i j l w x z $.  $d W a b d h i j k l w x $.
    $d W c d h i j k l w x $.  $d W d g h i j k l w $.  $d W a b h j k r s x $.
    $d W d h i j l w x z $.  $d Y a b d h i j k l w x $.
    $d Y c d h i j k l w x $.  $d Y e f g h j k $.  $d Y d h i j l w x z $.
    $d Z a b h j k w x $.  $d Z c h j k w x $.  $d Z g h j k w $.
    $d Z h j w x z $.  $d a b h j k ph r s x $.  $d c h j k ph r s x $.
    $d g h j k r w $.
    hoidmvlelem5.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x
       ) |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k )
       ) ) ) ) ) $.
    hoidmvlelem5.f $e |- ( ph -> X e. Fin ) $.
    hoidmvlelem5.y $e |- ( ph -> Y C_ X ) $.
    hoidmvlelem5.z $e |- ( ph -> Z e. ( X \ Y ) ) $.
    hoidmvlelem5.w $e |- W = ( Y u. { Z } ) $.
    hoidmvlelem5.a $e |- ( ph -> A : W --> RR ) $.
    hoidmvlelem5.b $e |- ( ph -> B : W --> RR ) $.
    hoidmvlelem5.c $e |- ( ph -> C : NN --> ( RR ^m W ) ) $.
    hoidmvlelem5.d $e |- ( ph -> D : NN --> ( RR ^m W ) ) $.
    hoidmvlelem5.i $e |- ( ph -> A. e e. ( RR ^m Y ) A. f e. ( RR ^m Y ) A. g
       e. ( ( RR ^m Y ) ^m NN ) A. h e. ( ( RR ^m Y ) ^m NN ) ( X_ k e. Y ( ( e
       ` k ) [,) ( f ` k ) ) C_ U_ j e. NN X_ k e. Y ( ( ( g ` j ) ` k ) [,) (
       ( h ` j ) ` k ) ) -> ( e ( L ` Y ) f ) <_ ( sum^ ` ( j e. NN |-> ( ( g `
       j ) ( L ` Y ) ( h ` j ) ) ) ) ) ) $.
    hoidmvlelem5.s $e |- ( ph -> X_ k e. W ( ( A ` k ) [,) ( B ` k ) ) C_ U_ j
       e. NN X_ k e. W ( ( ( C ` j ) ` k ) [,) ( ( D ` j ) ` k ) ) ) $.
    hoidmvlelem5.n $e |- ( ph -> Y =/= (/) ) $.
    $( The dimensional volume of a multidimensional half-open interval is less
       than or equal the generalized sum of the dimensional volumes of
       countable half-open intervals that cover it.  Induction step of Lemma
       115B of [Fremlin1] p. 29.  (Contributed by Glauco Siliprandi,
       21-Nov-2020.) $)
    hoidmvlelem5 $p |- ( ph -> ( A ( L ` W ) B ) <_ ( sum^ ` ( j e. NN |-> ( (
       C ` j ) ( L ` W ) ( D ` j ) ) ) ) ) $=
      ( vs vr vi vz vw vl vd vc cv cfv cle wbr wrex co cn cmpt csumge0 wa nfre1
      cc0 nfv nfan cfn wcel csn cun wss ssfi syl2anc snfi a1i unfi adantr cr wf
      eqeltrid simpr hoidmvval0 cvv nnex cpnf cicc cico icossicc cmap ffvelrnda
      elmapi syl hoidmvcl sselid fmpttd sge0ge0 eqbrtrd wn cxr clt ltpnf adantl
      wceq id adantlr wral simpll wb mpbird cmul fveq2 oveq12d cbvmptv ad2antlr
      crp biimpi cres cmin ad3antrrr breq12d breq1d ifbieq1d mpteq2dv ifbieq12d
      cif eqtrd eqid oveq2d cixp ciun syl21anc ad2antrr pm2.61dan eqcomd ltnled
      icossxr sge0xrcl rge0ssre breqtrd xrltled ralbidva ralnex bitrd sge0repnf
      c1 caddc fveq2i eleq1i crab csup c0 wne cdif cbvralvw rspa ad5ant25 fveq1
      biimpri ifeq12d eleq1w mpteq2i oveq1 ifeq2d fveq12d fveq1d 2fveq3 cbvrabv
      breq2 eqidd fveq2d wi hoidmvlelem4 ralrimiva 0xr pnfxr elicod xralrple2 )
      AULUTZDVAZUWECVAZVBVCZULNVDZCDNMVAZVEZKVFKUTZEVAZUWLFVAZUWJVEZVGZVHVAZVBV
      CZAUWIVIZUWKVKUWQVBUWSBCDULLMNRSAUWIULAULVLUWHULNVJVMTANVNVOZUWIANPQVPZVQ
      ZVNUDAPVNVOZUXAVNVOZUXBVNVOAOVNVOZPOVRZUXCUAUBOPVSVTUXDAQWAWBPUXAWCVTWGZW
      DANWECWFZUWIUEWDANWEDWFZUWIUFWDAUWIWHWIAVKUWQVBVCZUWIAUWPWJVFVFWJVOZAWKWB
      ZAKVFUWOVKWLWMVEZAUWLVFVOZVIZVKWLWNVEZUXMUWOVKWLWOUXOBUWMUWNLMNRSTAUWTUXN
      UXGWDUXOUWMWENWPVEZVONWEUWMWFAVFUXQUWLEUGWQUWMWENWRWSUXOUWNUXQVONWEUWNWFA
      VFUXQUWLFUHWQUWNWENWRWSWTXAXBZXCZWDXDAUWIXEZVIZUWQWLXJZUWRAUYBUWRUXTAUYBV
      IZUWKUWQAUWKXFVOZUYBAUXPXFUWKVKWLUUCABCDLMNRSTUXGUEUFWTZXAZWDAUWQXFVOZUYB
      AUWPWJVFUXLUXRUUDZWDUYCUWKWLUWQXGAUWKWLXGVCZUYBAUWKWEVOUYIAUXPWEUWKUUEUYE
      XAUWKXHWSWDUYBWLUWQXJAUYBUWQWLUYBXKUUAXIUUFUUGXLUYAUYBXEZVIAUWGUWFXGVCZUL
      NXMZUWQWEVOZUWRAUXTUYJXNUYAUYLUYJUYAUYLUXTAUXTWHAUYLUXTXOUXTAUYLUWHXEZULN
      XMZUXTAUYKUYNULNAUWENVOVIUWGUWFANWEUWECUEWQANWEUWEDUFWQUUBUUHUYOUXTXOAUWH
      ULNUUIWBUUJWDXPWDAUYJUYMUXTAUYJVIZUYMUYJAUYJWHUYPUWPWJVFUXKUYPWKWBAVFUXMU
      WPWFUYJUXRWDUUKXPXLAUYLVIZUYMVIZUWRUWKUULUMUTZUUMVEZUWQXQVEVBVCZUMYBXMUYR
      VUAUMYBUYRUYSYBVOZVIUYQUNVFUNUTZEVAZVUCFVAZUWJVEZVGZVHVAZWEVOZVUBVUAUYQUY
      MVUBXNUYMVUIUYQVUBUYMVUIUWQVUHWEUWPVUGVHKUNVFUWOVUFUWLVUCXJUWMVUDUWNVUEUW
      JUWLVUCEXRUWLVUCFXRXSXTUUNUUOZYCYAUYRVUBWHUYQVUIVIZVUBVIBUOCDEFCPYDDPYDPM
      VAZVEZUPUTZQCVAZYEVEZXQVEZUYTUQVFUQUTZEVAZVURFVAZVUNUPWEURUXQUNNVUCPVOZVU
      CURUTZVAZVVCVUNVBVCZVVCVUNYLZYLZVGZVGZVGZVAZVAZUWJVEZVGZVHVAZXQVEZVBVCZUP
      VUOQDVAWMVEZUUPZWEXGUUQZVVRGHIJKLUYSVUMBWEURUXQUNNVVAVVCVVCBUTZVBVCZVVCVV
      TYLZYLZVGZVGZVGZMNOPQRSUSTAUXEUYLVUIVUBUAYFAUXFUYLVUIVUBUBYFAPUURUUSUYLVU
      IVUBUKYFAQOPUUTVOUYLVUIVUBUCYFUDAUXHUYLVUIVUBUEYFAUXIUYLVUIVUBUFYFUYLLUTZ
      NVOZVWGCVAZVWGDVAZXGVCZAVUIVUBUYLVWHVIVWKLNXMZVWHVWKUYLVWLVWHUYLVWLUYKVWK
      ULLNUWEVWGXJUWGVWIUWFVWJXGUWEVWGCXRUWEVWGDXRYGUVAYCWDUYLVWHWHVWKLNUVBVTUV
      CAVFUXQEWFUYLVUIVUBUGYFAVFUXQFWFUYLVUIVUBUHYFVUIUYMUYQVUBUYMVUIVUJUVEYABW
      EVWEUSUXQKNUWLPVOZUWLUSUTZVAZVWOVVTVBVCZVWOVVTYLZYLZVGZVGURUSUXQVWDVWSVVB
      VWNXJZVWDUNNVVAVUCVWNVAZVXAVVTVBVCZVXAVVTYLZYLZVGZVWSVWTUNNVWCVXDVWTVVAVV
      CVXAVWBVXCVUCVVBVWNUVDZVWTVWAVXBVVCVXAVVTVWTVVCVXAVVTVBVXFYHVXFYIUVFYJVXE
      VWSXJVWTUNKNVXDVWRVUCUWLXJZVVAVWMVXAVXCVWOVWQUNKPUVGVUCUWLVWNXRZVXGVXBVWP
      VXAVWOVVTVXGVXAVWOVVTVBVXHYHVXHYIYKXTWBYMXTUVHVUMYNVUKVUBWHVVPVUMUOUTZVUO
      YEVEZXQVEZUYTKVFUWMUWNVXIVWFVAZVAZUWJVEZVGZVHVAZXQVEZVBVCUPUOVVQVUNVXIXJZ
      VUQVXKVVOVXQVBVXRVUPVXJVUMXQVUNVXIVUOYEUVIYOVXRVVNVXPUYTXQVXRVVMVXOVHVXRV
      VMUQVFVUSVUTVXLVAZUWJVEZVGZVXOVXRUQVFVVLVXTVXRVVKVXSVUSUWJVXRVUTVVJVXLVXR
      VUNVXIVVIVWFVVIVWFXJVXRUPBWEVVHVWEVUNVVTXJZURUXQVVGVWDVYBUNNVVFVWCVYBVVAV
      VEVWBVVCVYBVVDVWAVVCVUNVVCVVTVUNVVTVVCVBUVOVYBVVCUVPVYBXKYKUVJYJYJXTWBVXR
      XKUVKUVLYOYJVYAVXOXJVXRUQKVFVXTVXNVURUWLXJVUSUWMVXSVXMUWJVURUWLEXRVURUWLV
      XLFUVMXSXTWBYMUVQYOYGUVNVVSYNALPVWGGUTZVAVWGHUTZVAWNVEYPKVFLPVWGUWLIUTVAZ
      VAVWGUWLJUTVAZVAWNVEYPYQVRVYCVYDVULVEKVFVYEVYFVULVEVGVHVAVBVCUVRJWEPWPVEZ
      VFWPVEZXMIVYHXMHVYGXMGVYGXMUYLVUIVUBUIYFALNVWIVWJWNVEYPKVFLNVWGUWMVAVWGUW
      NVAWNVEYPYQVRUYLVUIVUBUJYFUVSYRUVTUYRUMUWKUWQUYRUMVLAUYDUYLUYMUYFYSUYRVKW
      LUWQVKXFVOUYRUWAWBWLXFVOUYRUWBWBAUYGUYLUYMUYHYSAUXJUYLUYMUXSYSUYMUWQWLXGV
      CUYQUWQXHXIUWCUWDXPYRYTYT $.
  $}

  ${
    $d A a b c d k $.  $d B b c d k $.  $d C c d j k $.  $d D d j k $.
    $d L a b c d e f g h i j l o u v x y $.
    $d L a b c d g i j l o u v x y z $.  $d X a b c d i j k l o u v x y z $.
    $d a b c d i j l o ph u v x y z $.  $d e f g h i j k l o u v x y $.
    hoidmvle.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x )
       |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k ) )
       ) ) ) ) $.
    hoidmvle.x $e |- ( ph -> X e. Fin ) $.
    hoidmvle.a $e |- ( ph -> A : X --> RR ) $.
    hoidmvle.b $e |- ( ph -> B : X --> RR ) $.
    hoidmvle.c $e |- ( ph -> C : NN --> ( RR ^m X ) ) $.
    hoidmvle.d $e |- ( ph -> D : NN --> ( RR ^m X ) ) $.
    hoidmvle.s $e |- ( ph -> X_ k e. X ( ( A ` k ) [,) ( B ` k ) ) C_ U_ j e.
       NN X_ k e. X ( ( ( C ` j ) ` k ) [,) ( ( D ` j ) ` k ) ) ) $.
    $( The dimensional volume of a n-dimensional half-open interval is less
       than or equal the generalized sum of the dimensional volumes of
       countable half-open intervals that cover it.  Lemma 115B of [Fremlin1]
       p. 29.  (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    hoidmvle $p |- ( ph -> ( A ( L ` X ) B ) <_ ( sum^ ` ( j e. NN |-> ( ( C `
       j ) ( L ` X ) ( D ` j ) ) ) ) ) $=
      ( cn vd vc vy vz ve vf vg vh vi vl vu vv vo cv cfv cico co cixp ciun cmpt
      wss csumge0 cle wbr cr cmap wcel wi wral wf cvv wa wb nnex a1i elmapg syl
      mpbird cfn c0 wceq oveq2 eleq2d oveq1d ixpeq1 iuneq2d sseq12d fveq2 oveqd
      cun mpteq2dv fveq2d breq12d imbi12d ralbidv2 cc0 cvol cprod cif prodeq2ad
      cmpo fveq1 ifeq2d oveq2d cbvmpov mpteq2i elmapi adantr adantl simpl simpr
      cpnf adantlr adantll ralrimiva sseq1d breq1d ralbidv fveq1d sseq2d breq2d
      ixpeq2dv iuneq2dv cbvralvw bitrd biimpi ad2antrr eleqtrd adantlll oveq12d
      jca31 cbviunv ad2antlr ad3antrrr cbvixpv syl2anc ad5ant12 ralbii rspcva
      eqtrd ovex pm3.2i reex jca csn hoidmv0val ad5ant23 nfv cicc icossicc 0fin
      eqtri ovexd fvmap hoidmvcl sselid sge0ge0mpt eqbrtrd oveq1 simplll eldifi
      a1d cdif adantrl 0un eqtr2d eqcomd adantllr ixpeq1d cbvprodv simp-6r eqid
      uneq1 id eqcom imbi1i imbi2i bitri mpbi iuneq2i hoidmv1le ad8antr simplrl
      eqtr2i wn simplrr ad4ant23 cbvmptv ad6antr sseq12i wne neqne hoidmvlelem5
      fveq2i breq2i sylib pm2.61dan ex findcard2d mpd ) AHJHUNZCUOZUXADUOZUPUQZ
      URZGTHJUXAGUNZEUOZUOZUXAUXFFUOZUOZUPUQZURZUSZVAZCDJIUOZUQZGTUXGUXIUXOUQZU
      TZVBUOZVCVDZSAFVEJVFUQZTVFUQZVGZUXEGTHJUXHUXAUXFUAUNZUOZUOZUPUQZURZUSZVAZ
      UXPGTUXGUYEUXOUQZUTZVBUOZVCVDZVHZUAUYBVIZUXNUXTVHZAUYCTUYAFVJZRAUYAVKVGZT
      VKVGZVLZUYCUYRVMVUAAUYSUYTVEJVFUUAVNUUBVOZUYATFVKVKVPVQVRAEUYBVGZUXEGTHJU
      XAUXFUBUNZUOZUOZUYFUPUQZURZUSZVAZUXPGTVUEUYEUXOUQZUTZVBUOZVCVDZVHZUAUYBVI
      ZUBUYBVIZUYPAVUCTUYAEVJZQAVUAVUCVURVMVUBUYATEVKVKVPVQVRADUYAVGZHJUXBUXALU
      NZUOZUPUQZURZVUIVAZCVUTUXOUQZVUMVCVDZVHZUAUYBVIZUBUYBVIZLUYAVIZVUQAVUSJVE
      DVJZPAVEVKVGZJVSVGZVLZVUSVVKVMAVVLVVMVVLAUUCVONUUDZVEJDVKVSVPVQVRACUYAVGZ
      HJUXAKUNZUOZVVAUPUQZURZVUIVAZVVQVUTUXOUQZVUMVCVDZVHZUAUYBVIZUBUYBVIZLUYAV
      IZKUYAVIZVVJAVVPJVECVJZOAVVNVVPVWIVMVVOVEJCVKVSVPVQVRAHBUNZVVSURZGTHVWJVU
      GURZUSZVAZVVQVUTVWJIUOZUQZGTVUEUYEVWOUQZUTZVBUOZVCVDZVHZUAVEVWJVFUQZTVFUQ
      ZVIZUBVXCVIZLVXBVIZKVXBVIHVTVVSURZGTHVTVUGURZUSZVAZVVQVUTVTIUOZUQZGTVUEUY
      EVXKUQZUTZVBUOZVCVDZVHZUAVEVTVFUQZTVFUQZVIZUBVXSVIZLVXRVIZKVXRVIHUCUNZVVS
      URZGTHVYCVUGURZUSZVAZVVQVUTVYCIUOZUQZGTVUEUYEVYHUQZUTZVBUOZVCVDZVHZUAVEVY
      CVFUQZTVFUQZVIZUBVYPVIZLVYOVIZKVYOVIZHVYCUDUNZUUEZWJZVVSURZGTHWUCVUGURZUS
      ZVAZVVQVUTWUCIUOZUQZGTVUEUYEWUHUQZUTZVBUOZVCVDZVHZUAVEWUCVFUQZTVFUQZVIZUB
      WUPVIZLWUOVIZKWUOVIZVWHBUCUDJVWJVTWAZVXFVYBKVXBVXRWVAVVQVXBVGZVVQVXRVGZVX
      FVYBWVAVXBVXRVVQVWJVTVEVFWBZWCWVAVXEVYALVXBVXRWVAVUTVXBVGZVUTVXRVGZVXEVYA
      WVAVXBVXRVUTWVDWCWVAVXDVXTUBVXCVXSWVAVUDVXCVGZVUDVXSVGZVXDVXTWVAVXCVXSVUD
      WVAVXBVXRTVFWVDWDZWCWVAVXAVXQUAVXCVXSWVAUYDVXCVGZUYDVXSVGZVXAVXQWVAVXCVXS
      UYDWVIWCWVAVWNVXJVWTVXPWVAVWKVXGVWMVXIHVWJVTVVSWEWVAGTVWLVXHHVWJVTVUGWEWF
      WGWVAVWPVXLVWSVXOVCWVAVWOVXKVVQVUTVWJVTIWHZWIWVAVWRVXNVBWVAGTVWQVXMWVAVWO
      VXKVUEUYEWVLWIWKWLWMWNWNWOWNWOWNWOWNWOVWJVYCWAZVXFVYSKVXBVYOWVMWVBVVQVYOV
      GVXFVYSWVMVXBVYOVVQVWJVYCVEVFWBZWCWVMVXEVYRLVXBVYOWVMWVEVUTVYOVGVXEVYRWVM
      VXBVYOVUTWVNWCWVMVXDVYQUBVXCVYPWVMWVGVUDVYPVGVXDVYQWVMVXCVYPVUDWVMVXBVYOT
      VFWVNWDZWCWVMVXAVYNUAVXCVYPWVMWVJUYDVYPVGVXAVYNWVMVXCVYPUYDWVOWCWVMVWNVYG
      VWTVYMWVMVWKVYDVWMVYFHVWJVYCVVSWEWVMGTVWLVYEHVWJVYCVUGWEWFWGWVMVWPVYIVWSV
      YLVCWVMVWOVYHVVQVUTVWJVYCIWHZWIWVMVWRVYKVBWVMGTVWQVYJWVMVWOVYHVUEUYEWVPWI
      WKWLWMWNWNWOWNWOWNWOWNWOVWJWUCWAZVXFWUSKVXBWUOWVQWVBVVQWUOVGZVXFWUSWVQVXB
      WUOVVQVWJWUCVEVFWBZWCWVQVXEWURLVXBWUOWVQWVEVUTWUOVGZVXEWURWVQVXBWUOVUTWVS
      WCWVQVXDWUQUBVXCWUPWVQWVGVUDWUPVGZVXDWUQWVQVXCWUPVUDWVQVXBWUOTVFWVSWDZWCW
      VQVXAWUNUAVXCWUPWVQWVJUYDWUPVGZVXAWUNWVQVXCWUPUYDWWBWCWVQVWNWUGVWTWUMWVQV
      WKWUDVWMWUFHVWJWUCVVSWEWVQGTVWLWUEHVWJWUCVUGWEWFWGWVQVWPWUIVWSWULVCWVQVWO
      WUHVVQVUTVWJWUCIWHZWIWVQVWRWUKVBWVQGTVWQWUJWVQVWOWUHVUEUYEWWDWIWKWLWMWNWN
      WOWNWOWNWOWNWOVWJJWAZVXFVWGKVXBUYAWWEWVBVVQUYAVGVXFVWGWWEVXBUYAVVQVWJJVEV
      FWBZWCWWEVXEVWFLVXBUYAWWEWVEVUTUYAVGVXEVWFWWEVXBUYAVUTWWFWCWWEVXDVWEUBVXC
      UYBWWEWVGVUDUYBVGVXDVWEWWEVXCUYBVUDWWEVXBUYATVFWWFWDZWCWWEVXAVWDUAVXCUYBW
      WEWVJUYDUYBVGVXAVWDWWEVXCUYBUYDWWGWCWWEVWNVWAVWTVWCWWEVWKVVTVWMVUIHVWJJVV
      SWEWWEGTVWLVUHHVWJJVUGWEWFWGWWEVWPVWBVWSVUMVCWWEVWOUXOVVQVUTVWJJIWHZWIWWE
      VWRVULVBWWEGTVWQVUKWWEVWOUXOVUEUYEWWHWIWKWLWMWNWNWOWNWOWNWOWNWOAVYBKVXRAW
      VCVLZVYALVXRWWIWVFVLZVXTUBVXSWWJWVHVLZVXQUAVXSWWKWVKVLZVXPVXJWWLVXLWPVXOV
      CWVCWVFVXLWPWAAWVHWVKWVCWVFVLBVVQVUTHIUEUFIBVSKLVXBVXBWVAWPVWJVVSWQUOZHWR
      ZWSZXAZUTZBVSUEUFVXBVXBWVAWPVWJUXAUEUNZUOZUXAUFUNZUOZUPUQZWQUOZHWRZWSZXAZ
      UTMBVSWWPWXFKLUEUFVXBVXBWWOWXEWVAWPVWJWWSVVAUPUQZWQUOZHWRZWSVVQWWRWAZWVAW
      WNWXIWPWXJVWJWWMWXHHWXJVVSWXGWQWXJVVRWWSVVAUPUXAVVQWWRXBWDZWLWTXCVUTWWTWA
      ZWVAWXIWXDWPWXLVWJWXHWXCHWXLWXGWXBWQWXLVVAWXAWWSUPUXAVUTWWTXBXDZWLWTXCXEX
      FUULWVCVTVEVVQVJWVFVVQVEVTXGXHWVFVTVEVUTVJWVCVUTVEVTXGXIUUFUUGWVHWVKWPVXO
      VCVDWWJWVHWVKVLZTVXMGVKWXNGUUHUYTWXNVNVOWXNUXFTVGZVLZWPXLUPUQWPXLUUIUQVXM
      WPXLUUJWXPBVUEUYEHIVTKLMVTVSVGWXPUUKVOWVHWXOVTVEVUEVJZWVKWVHWXOVLZVUEVXRV
      GWXQWXRVXRTUXFVUDVKVKWXRVEVTVFUUMUYTWXRVNVOWVHWXOXJWVHWXOXKUUNVUEVEVTXGVQ
      XMWVKWXOVTVEUYEVJZWVHWVKWXOVLZUYEVXRVGWXSWXTVXRTUXFUYDVKVKWXTVEVTVFUUMUYT
      WXTVNVOWVKWXOXJWVKWXOXKUUNUYEVEVTXGVQXNUUOUUPUUQXNUURUVBXOXOXOXOAVYCJVAZW
      UAJVYCUVCVGZVLZVLZVYTWUTWYDVYTVLWYDHVYCWXBURZGTHVYCUXAUXFUGUNZUOZUOZUXAUX
      FUHUNZUOZUOZUPUQZURZUSZVAZWWRWWTVYHUQZGTWYGWYJVYHUQZUTZVBUOZVCVDZVHZUHVYP
      VIZUGVYPVIZUFVYOVIZUEVYOVIZWUTWYDVYTXJVYTXUEWYDVYTXUEVYSXUDKUEVYOWXJVYSHV
      YCWXGURZVYFVAZWWRVUTVYHUQZVYLVCVDZVHZUAVYPVIZUBVYPVIZLVYOVIZXUDWXJVYRXULL
      VYOWXJVYQXUKUBVYPWXJVYNXUJUAVYPWXJVYGXUGVYMXUIWXJVYDXUFVYFWXJHVYCVVSWXGWX
      KYBXPWXJVYIXUHVYLVCVVQWWRVUTVYHUUSXQWNXRXRXRXUMXUDVMWXJXULXUCLUFVYOWXLXUL
      WYEVYFVAZWYPVYLVCVDZVHZUAVYPVIZUBVYPVIZXUCWXLXUKXUQUBVYPWXLXUJXUPUAVYPWXL
      XUGXUNXUIXUOWXLXUFWYEVYFWXLHVYCWXGWXBWXMYBXPWXLXUHWYPVYLVCVUTWWTWWRVYHWBX
      QWNXRXRXURXUCVMWXLXUQXUBUBUGVYPVUDWYFWAZXUQWYEGTHVYCWYHUYFUPUQZURZUSZVAZW
      YPGTWYGUYEVYHUQZUTZVBUOZVCVDZVHZUAVYPVIZXUBXUSXUPXVHUAVYPXUSXUNXVCXUOXVGX
      USVYFXVBWYEXUSGTVYEXVAXUSVYEXVAWAWXOXUSHVYCVUGXUTXUSVUFWYHUYFUPXUSUXAVUEW
      YGUXFVUDWYFXBZXSWDYBXHYCXTXUSVYLXVFWYPVCXUSVYKXVEVBXUSGTVYJXVDXUSVUEWYGUY
      EVYHXVJWDWKWLYAWNXRXVIXUBVMXUSXVHXUAUAUHVYPUYDWYIWAZXVCWYOXVGWYTXVKXVBWYN
      WYEXVKGTXVAWYMXVKXVAWYMWAWXOXVKHVYCXUTWYLXVKUYFWYKWYHUPXVKUXAUYEWYJUXFUYD
      WYIXBZXSXDYBXHYCXTXVKXVFWYSWYPVCXVKXVEWYRVBXVKGTXVDWYQXVKUYEWYJWYGVYHXVLX
      DWKWLYAWNYDVOYEYDVOYEYDVOYEYDYFXIWYDXUEVLZWUSKWUOXVMWVRVLZWURLWUOXVNWVTVL
      ZWUQUBWUPXVOWWAVLZWUNUAWUPXVPWWCVLZWUGWUMXVQWUGVLZVYCVTWAZWUMXVRXVSVLZAWU
      AJVGZVLZVVQVEWUBVFUQZVGZVLZVUTXWCVGZVLZVUDXWCTVFUQZVGZVLZUYDXWHVGZVLZHWUB
      VVSURZUITHWUBUXAUIUNZVUDUOZUOZUXAXWNUYDUOZUOZUPUQZURZUSZVAZVLZXVSWUMXVTXW
      JXWKXXBXVQXVSXWJWUGXVPXVSXWJWWCXVPXVSVLXWEXWFXWIXVOXVSXWEWWAXVNXVSXWEWVTW
      YDWVRXVSXWEXUEWYDWVRVLXVSVLAXWAXWDAWYCWVRXVSUUTWYDXWAWVRXVSAWYBXWAWYAWYBX
      WAAWUAJVYCUVAXIUVDYGWVRXVSXWDWYDWVRXVSVLVVQWUOXWCWVRXVSXJXVSWUOXWCWAZWVRX
      VSWUCWUBVEVFXVSWUBWUCXVSWUCVTWUBWJZWUBVYCVTWUBUVMZXXEWUBWAXVSWUBUVEVOZUVF
      ZUVGXDZXIYHXNYKUVHXMXMWVTWWAXVSXWFXVNWVTXVSXWFWWAWVTXVSVLVUTWUOXWCWVTXVSX
      JXVSXXDWVTXXIXIYHXMYIWWAXVSXWIXVOWWAXVSVLVUDWUPXWHWWAXVSXJXVSWUPXWHWAZWWA
      XVSWUOXWCTVFXXIWDZXIYHXNYKXMXMWWCWUGXVSXWKXVPWWCXVSXWKWUGWWCXVSVLUYDWUPXW
      HWWCXVSXJXVSXXJWWCXXKXIYHXMYIWUGXVSXXBXVQWUGXVSVLZXXBWUGWUGXVSXJXXLXWMWUD
      XXAWUFXVSXWMWUDWAWUGXVSHWUBWUCVVSXXHUVIXIXVSXXAWUFWAWUGXVSXXAUITHWUCXWSUR
      ZUSZWUFXVSUITXWTXXMXVSXWTXXMWAXWNTVGZXVSHWUBWUCXWSXXHUVIXHYCXXNWUFWAXVSUI
      GTXXMWUEXWNUXFWAZHWUCXWSVUGXXPXWPVUFXWRUYFUPXXPUXAXWOVUEXWNUXFVUDWHZXSXXP
      UXAXWQUYEXWNUXFUYDWHZXSYJZYBYLVOYTXIWGVRXNYKXVRXVSXKXXCXVSVLZWUMVVQVUTWUB
      IUOZUQZGTVUEUYEXYAUQZUTZVBUOZVCVDZXXCXYFXVSXXCBVVQVUTVUDUYDGUJIJWUBWUAUKU
      LIWWQBVSUKULVXBVXBWVAWPVWJUJUNZUKUNZUOZXYGULUNZUOZUPUQZWQUOZUJWRZWSZXAZUT
      MBVSWWPXYPKLUKULVXBVXBWWOXYOWVAWPVWJUXAXYHUOZVVAUPUQZWQUOZHWRZWSVVQXYHWAZ
      WVAWWNXYTWPYUAVWJWWMXYSHYUAVVSXYRWQYUAVVRXYQVVAUPUXAVVQXYHXBWDWLWTXCVUTXY
      JWAZWVAXYTXYNWPYUBXYTVWJXYIXYGVUTUOZUPUQZWQUOZUJWRZXYNXYTYUFWAYUBVWJXYSYU
      EHUJUXAXYGWAZXYRYUDWQYUGXYQXYIVVAYUCUPUXAXYGXYHWHUXAXYGVUTWHZYJWLUVJVOYUB
      VWJYUEXYMUJYUBYUDXYLWQYUBYUCXYKXYIUPXYGVUTXYJXBXDWLWTYTXCXEXFUULZAXWAXWDX
      WFXWIXWKXXBUVKWUBUVLXWGWUBVEVVQVJZXWIXWKXXBXWDYUJXWBXWFVVQVEWUBXGYMYNXWGW
      UBVEVUTVJZXWIXWKXXBXWFYUKXWEVUTVEWUBXGXIYNXWJTXWCVUDVJZXWKXXBXWIYULXWGVUD
      XWCTXGXIYGXWKTXWCUYDVJXWJXXBUYDXWCTXGYMXXBUJWUBXYGVVQUOZYUCUPUQZURZGTUJWU
      BXYGVUEUOZXYGUYEUOZUPUQZURZUSZVAZXWLXXBYVAXXBXXBUVNXXBYUOXWMYUTXXAYUOXWMW
      AXXBUJHWUBYUNVVSYUGVVSYUNWAZVHZXYGUXAWAZYUNVVSWAZVHZYUGVVRYUMVVAYUCUPUXAX
      YGVVQWHYUHYJZYVCYVDYVBVHYVFYUGYVDYVBUXAXYGUVOUVPYVBYVEYVDVVSYUNUVOUVQUVRU
      VSYOVOYUTXXAWAXXBXXAGTHWUBVUGURZUSYUTUIGTXWTYVHXXPHWUBXWSVUGXXSYBYLGTYVHY
      USYVHYUSWAWXOHUJWUBVUGYURYUGVUFYUPUYFYUQUPUXAXYGVUEWHUXAXYGUYEWHYJZYOVOUV
      TUWDVOWGVRXIUWAXHXXTWUIXYBWULXYEVCXVSWUIXYBWAXXCXVSWUHXYAVVQVUTXVSWUCWUBI
      XVSWUCXXEWUBXXFXXGYTWLZWIXIXVSWULXYEWAXXCXVSWUKXYDVBXVSGTWUJXYCXVSWUHXYAV
      UEUYEYVJWIWKWLXIWMVRYPXVRXVSUWEZVLZWUIUITXWOXWQWUHUQZUTZVBUOZVCVDWUMYVLBV
      VQVUTVUDUYDUEUFUGUMUIUJIWUCJVYCWUAUKULYUIAVVMWYCXUEWVRWVTWWAWWCWUGYVKNUWB
      XVOWWAWYAWWCWUGYVKWYDXUEWYAWVRWVTWWAAWYAWYBXUEUWCYQYQXVOWWAWYBWWCWUGYVKWY
      DXUEWYBWVRWVTWWAAWYAWYBXUEUWFYQYQWUCUVLXVPWUCVEVVQVJZWWCWUGYVKWVRWVTYVPXV
      MWWAWVRYVPWVTVVQVEWUCXGXHUWGYNXVPWUCVEVUTVJZWWCWUGYVKWVRWVTYVQXVMWWAWVTYV
      QWVRVUTVEWUCXGXIUWGYNXVPTWUOVUDVJZWWCWUGYVKWWAYVRXVOVUDWUOTXGXIYNWWCWUGYV
      KTWUOUYDVJZXVPWWCYVSWUGYVKUYDWUOTXGYGYIXVMUJVYCXYGWWRUOZXYGWWTUOZUPUQZURZ
      UITUJVYCXYGXWNWYFUOZUOZXYGXWNUMUNZUOZUOZUPUQZURZUSZVAZWYPUITYWDYWGVYHUQZU
      TZVBUOZVCVDZVHZUMVYPVIZUGVYPVIZUFVYOVIZUEVYOVIZWVRWVTWWAWWCWUGYVKXUEYXAWY
      DXUEYXAXUDYWTUEVYOXUCYWSUFVYOXUBYWRUGVYPXUAYWQUHUMVYPWYIYWFWAZWYOYWLWYTYW
      PYXBWYEYWCWYNYWKWYEYWCWAYXBHUJVYCWXBYWBYUGWWSYVTWXAYWAUPUXAXYGWWRWHUXAXYG
      WWTWHYJYOVOYXBWYNUITHVYCUXAYWDUOZUXAXWNWYIUOZUOZUPUQZURZUSZYWKWYNYXHWAYXB
      GUITWYMYXGUXFXWNWAZHVYCWYLYXFYXIWYHYXCWYKYXEUPYXIUXAWYGYWDUXFXWNWYFWHZXSY
      XIUXAWYJYXDUXFXWNWYIWHZXSYJYBYLVOYXBUITYXGYWJYXBYXGYWJWAXXOYXBYXGUJVYCYWE
      XYGYXDUOZUPUQZURZYWJYXGYXNWAYXBHUJVYCYXFYXMYUGYXCYWEYXEYXLUPUXAXYGYWDWHUX
      AXYGYXDWHYJYOVOYXBUJVYCYXMYWIYXBYXLYWHYWEUPYXBXYGYXDYWGXWNWYIYWFXBZXSXDYB
      YTXHYCYTWGYXBWYSYWOWYPVCYXBWYRYWNVBYXBWYRUITYWDYXDVYHUQZUTZYWNWYRYXQWAYXB
      GUITWYQYXPYXIWYGYWDWYJYXDVYHYXJYXKYJUWHVOYXBUITYXPYWMYXBYXDYWGYWDVYHYXOXD
      WKYTWLYAWNYDYRYRYRYFXIUWIWUGUJWUCYUNURZUITUJWUCXYGXWOUOZXYGXWQUOZUPUQZURZ
      USZVAZXVQYVKWUGYYDWUDYXRWUFYYCHUJWUCVVSYUNYVGYOGUITWUEYYBYXIWUEUJWUCYURUR
      ZYYBWUEYYEWAYXIHUJWUCVUGYURYVIYOVOYXIUJWUCYURYYAYXIYUPYXSYUQYXTUPYXIXYGVU
      EXWOUXFXWNVUDWHXSYXIXYGUYEXWQUXFXWNUYDWHXSYJYBYTYLUWJYFYMYVKVYCVTUWKXVRVY
      CVTUWLXIUWMYVOWULWUIVCYVNWUKVBUIGTYVMWUJXXPXWOVUEXWQUYEWUHXXQXXRYJUWHUWNU
      WOUWPUWQUWRXOXOXOXOYPUWRNUWSVWGVVJKCUYAVVQCWAZVWFVVILUYAYYFVWEVVHUBUYBYYF
      VWDVVGUAUYBYYFVWAVVDVWCVVFYYFVVTVVCVUIYYFHJVVSVVBYYFVVRUXBVVAUPUXAVVQCXBW
      DYBXPYYFVWBVVEVUMVCVVQCVUTUXOUUSXQWNXRXRXRYSYPVVIVUQLDUYAVUTDWAZVVHVUPUBU
      YBYYGVVGVUOUAUYBYYGVVDVUJVVFVUNYYGVVCUXEVUIYYGHJVVBUXDYYGVVAUXCUXBUPUXAVU
      TDXBXDYBXPYYGVVEUXPVUMVCVUTDCUXOWBXQWNXRXRYSYPVUPUYPUBEUYBVUDEWAZVUOUYOUA
      UYBYYHVUJUYJVUNUYNYYHVUIUYIUXEYYHGTVUHUYHYYHVUHUYHWAWXOYYHHJVUGUYGYYHVUFU
      XHUYFUPYYHUXAVUEUXGUXFVUDEXBZXSWDYBXHYCXTYYHVUMUYMUXPVCYYHVULUYLVBYYHGTVU
      KUYKYYHVUEUXGUYEUXOYYIWDWKWLYAWNXRYSYPUYOUYQUAFUYBUYDFWAZUYJUXNUYNUXTYYJU
      YIUXMUXEYYJGTUYHUXLYYJUYHUXLWAWXOYYJHJUYGUXKYYJUYFUXJUXHUPYYJUXAUYEUXIUXF
      UYDFXBZXSXDYBXHYCXTYYJUYMUXSUXPVCYYJUYLUXRVBYYJGTUYKUXQYYJUYEUXIUXGUXOYYK
      XDWKWLYAWNYSYPUWT $.
  $}

  ${
    $d A i j z $.  $d B i j z $.  $d H i j $.  $d I i z $.  $d X i j k z $.
    $d j k ph $.
    ovnhoilem1.x $e |- ( ph -> X e. Fin ) $.
    ovnhoilem1.a $e |- ( ph -> A : X --> RR ) $.
    ovnhoilem1.b $e |- ( ph -> B : X --> RR ) $.
    ovnhoilem1.c $e |- I = X_ k e. X ( ( A ` k ) [,) ( B ` k ) ) $.
    ovnhoilem1.m $e |- M = { z e. RR* | E. i e. ( ( ( RR X. RR ) ^m X ) ^m NN )
       ( I C_ U_ j e. NN X_ k e. X ( ( [,) o. ( i ` j ) ) ` k ) /\ z = ( sum^ `
       ( j e. NN |-> prod_ k e. X ( vol ` ( ( [,) o. ( i ` j ) ) ` k ) ) ) ) )
       } $.
    ovnhoilem1.h $e |- H = ( j e. NN |-> ( k e. X |-> if ( j = 1 , <. ( A ` k )
       , ( B ` k ) >. , <. 0 , 0 >. ) ) ) $.
    $( The Lebesgue outer measure of a multidimensional half-open interval is
       less than or equal to the product of its length in each dimension.
       First part of the proof of Proposition 115D (b) of [Fremlin1] p. 30.
       (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    ovnhoilem1 $p |- ( ph -> ( ( voln* ` X ) ` I ) <_ prod_ k e. X ( vol ` ( (
       A ` k ) [,) ( B ` k ) ) ) ) $=
      ( cfv wceq cc0 covoln c0 cxr clt cinf cif cv cico co cvol cprod cixp cmap
      cle cr a1i nfv ffvelrnda wa rexrd hoissrrn2 eqsstrd ovnval2 iftrue adantl
      wcel wbr cpnf 0xr pnfxr hoiprodcl3 icogelb syl3anc adantr eqbrtrd iffalse
      wn wss ccom ciun cmpt csumge0 cxp wrex crab ssrab2 eqsstri icossxr sselid
      cn wf c1 cop opelxpi syl2anc 0re mp2an ifcld fmpttd cvv cfn wb reex jctil
      xpex elmapg syl mpbird fmptd ovex nnex c1st c2nd mpteq2dv 1nn feq1d simpr
      sylibr fvovco elexd fvmpt2d fveq2d fvex op1st eqtrd oveq12d coeq2d fveq1d
      op2nd ax-mp eqcomd prodeq2dv hoiprodcl ad2antrr simpl adantlr 3eqtrd nfcv
      elexi jca elmap eqidd fvmptd3 ixpeq2dva 3eqtr4d ixpeq2dv ssiun2s eqsstrdi
      mptexg fveq2 csn 1red cicc icossicc prodeq2ad sge0snmpt snssi elsni chash
      cdif cexp eldifi eldifsni neneqd iffalsed 0le0 ico0 mpbir vol0 fprodconst
      cc 0cnd neqne hashnncl 0exp sge0ss nfmpt1 nfmpt nfcxfr nfeq fveq1 ixpeq2d
      wne iuneq2d sseq2d a1d ralrimi eqeq2d anbi12d rspcev eqeq1 anbi2d rexbidv
      prodeq2d elrab eqcomi eleqtrd infxrlb pm2.61dan ) AIKUARRKUBSZTJUCUDUEZUF
      ZKGUGZCRZUXCDRZUHUIZUJRZGUKZUNABIEFGJKLAIGKUXFULZUOKUMUIIUXISAOUPZAUXDUXE
      GKAGUQZAKUOUXCCMURZAUXCKVFZUSZUXEAKUOUXCDNURZUTVAVBPVCAUWTUXBUXHUNVGAUWTU
      SUXBTUXHUNUWTUXBTSAUWTTUXAVDVEATUXHUNVGZUWTATUCVFZVHUCVFZUXHTVHUHUIZVFUXP
      UXQAVIUPUXRAVJUPAUXDUXEGKUXKLUXLUXOVKZTVHUXHVLVMVNVOAUWTVQZUSZUXBUXAUXHUN
      UYAUXBUXASAUWTTUXAVPVEUYBJUCVRZUXHJVFUXAUXHUNVGUYCUYBJIFWJGKUXCUHFUGZEUGZ
      RZVSZRZULZVTZVRZBUGZFWJKUYHUJRZGUKZWAZWBRZSZUSZEUOUOWCZKUMUIZWJUMUIZWDZBU
      CWEZUCPVUBBUCWFWGUPUYBUXHVUCJUYBUXHUCVFZUYKUXHUYPSZUSZEVUAWDZUSUXHVUCVFUY
      BVUDVUGAVUDUYAAUXSUCUXHTVHWHUXTWIVNUYBHVUAVFZIFWJGKUXCUHUYDHRZVSZRZULZVTZ
      VRZUXHFWJKVUKUJRZGUKZWAZWBRZSZUSZVUGAVUHUYAAWJUYTHWKVUHAFWJGKUYDWLSZUXDUX
      EWMZTTWMZUFZWAZUYTHAVVEUYTVFZUYDWJVFZAVVFKUYSVVEWKZAGKVVDUYSUXNVVAVVBVVCU
      YSUXNUXDUOVFUXEUOVFVVBUYSVFUXLUXOUXDUXEUOUOWNWOZVVCUYSVFZUXNTUOVFZVVKVVJW
      PWPTTUOUOWNWQZUPZWRWSAUYSWTVFZKXAVFZUSVVFVVHXBAVVOVVNLUOUOXCXCXEXDUYSKVVE
      WTXAXFXGXHVNZQXIUYTWJHUYSKUMXJXKUUAXRVNUYBVUNVUSAVUNUYAAIGKUXCUHWLHRZVSZR
      ZULZVUMAUXIUXIIVVTAUXIUUBUXJAGKVVSUXFUXNVVSUXCVVQRZXLRZVWAXMRZUHUIUXFUXNV
      VQUHUOUOKUXCAKUYSVVQWKZUXMAVWDKUYSGKVVBWAZWKAGKVVBUYSVVIWSAKUYSVVQVWEAFWL
      VVEVWEWJHWTQVVAGKVVDVVBVVAVVBVVCVDXNWLWJVFZAXOUPAVVOVWEWTVFLGKVVBXAUUIXGU
      UCZXPXHZVNAUXMXQXSUXNVWBUXDVWCUXEUHUXNVWBVVBXLRZUXDUXNVWAVVBXLAGKVVBVVQWT
      VWGUXNVVBUYSVVIXTYAZYBVWIUXDSUXNUXDUXEUXCCYCZUXCDYCZYDUPYEUXNVWCVVBXMRZUX
      EUXNVWAVVBXMVWJYBVWMUXESUXNUXDUXEVWKVWLYIUPYEYFYEZUUDUUEVWFVVTVUMVRXOFWJV
      ULWLVVTVVAGKVUKVVSVVAUXCVUJVVRVVAVUIVVQUHUYDWLHUUJZYGYHZUUFUUGYJUUHVNUYBU
      XHKVVSUJRZGUKZFWLUUKZVUPWAWBRZVURAUXHVWRSUYAAKUXGVWQGUXNVWQUXGUXNVVSUXFUJ
      VWNYBYKYLVNAVWRVWTSUYAAVWTVWRAWLVUPVWRFUOAUULAUXSTVHUUMUIZVWRTVHUUNZAGVVQ
      KUXKLVWHYMWIVVAKVUOVWQGVVAVUKVVSUJVWPYBUUOUUPYKVNUYBVWSWJVUPFWTUYBFUQWJWT
      VFUYBXKUPVWSWJVRZUYBVWFVXCXOWLWJUUQYJUPUYBUYDVWSVFZUSZUXSVXAVUPVXBVXEGVUI
      KVXEGUQAVVOUYAVXDLYNAVXDKUYSVUIWKZUYAAVXDUSAVVAVXFAVXDYOVXDVVAAUYDWLUURVE
      AVVAUSZVXFVWDAVWDVVAVWHVNVXGKUYSVUIVVQVVAVUIVVQSAVWOVEXPXHWOYPYMWIUYBUYDW
      JVWSUUTVFZUSVUPKTGUKZTKUUSRZUVAUIZTAVXHVUPVXISUYAAVXHUSZKVUOTGVXLUXMUSZVU
      OUBUJRZTVXMVUKUBUJVXMVUKUXCVUIRZXLRZVXOXMRZUHUITTUHUIZUBVXMVUIUHUOUOKUXCV
      XLVXFUXMVXLVXFKUYSGKVVCWAZWKZAVXTVXHAGKVVCUYSVVMWSVNVXLKUYSVUIVXSVXLVUIVV
      EVXSVXLAVVGVUIVVESAVXHYOVXHVVGAUYDWJVWSUVBVEAFWJVVEHWTHFWJVVEWAZSAQUPAVVG
      USVVEUYTVVPXTYAWOVXHVVEVXSSAVXHGKVVDVVCVXHVVAVVBVVCVXHUYDWLUYDWJWLUVCUVDU
      VEXNVEYEZXPXHVNVXLUXMXQXSVXMVXPTVXQTUHVXMVXPVVCXLRZTVXMVXOVVCXLVXLGKVVCVU
      IWTVYBVVCWTVFVXMVVCUYSVVLYSUPYAZYBVYCTSVXMTTTUCVIYSZVYEYDUPYEVXMVXQVVCXMR
      ZTVXMVXOVVCXMVYDYBVYFTSVXMTTVYEVYEYIUPYEYFVXRUBSZVXMVYGTTUNVGZUVFUXQUXQVY
      GVYHXBVIVITTUVGWQUVHUPYQYBVXNTSVXMUVIUPYEYLYPAVXIVXKSZUYAVXHAVVOTUVKVFVYI
      LAUVLKTGUVJWOYNUYBVXKTSZVXHUYBVXJWJVFZVYJUYBVYKKUBUWCZUYAVYLAKUBUVMVEUYBV
      VOVYKVYLXBAVVOUYALVNKUVNXGXHVXJUVOXGVNYQUVPYQYTVUFVUTEHVUAUYEHSZUYKVUNVUE
      VUSVYMUYJVUMIVYMFWJUYIVULVYMGKUYHVUKGUYEHGUYEYRGHVYAQGFWJVVEGWJYRGKVVDUVQ
      UVRUVSUVTZVYMUYHVUKSUXMVYMUXCUYGVUJVYMUYFVUIUHUYDUYEHUWAYGYHZVNUWBUWDUWEV
      YMUYPVURUXHVYMUYOVUQWBVYMFWJUYNVUPVYMKUYMVUOGVYMUYMVUOSZGKVYNVYMVYPUXMVYM
      UYHVUKUJVYOYBUWFUWGUWNXNYBUWHUWIUWJWOYTVUBVUGBUXHUCUYLUXHSZUYRVUFEVUAVYQU
      YQVUEUYKUYLUXHUYPUWKUWLUWMUWOXRVUCJSUYBJVUCPUWPUPUWQJUXHUWRWOVOUWSVO $.
  $}

  ${
    $d A a b i k z $.  $d B a b i k z $.  $d F k n $.  $d I a b i n x z $.
    $d L a b i n x z $.  $d M i z $.  $d S k n $.  $d X a b i j k l n $.
    $d X a b i j k n x z $.  $d a b i k l n ph $.  $d ph x z $.
    ovnhoilem2.x $e |- ( ph -> X e. Fin ) $.
    ovnhoilem2.n $e |- ( ph -> X =/= (/) ) $.
    ovnhoilem2.a $e |- ( ph -> A : X --> RR ) $.
    ovnhoilem2.b $e |- ( ph -> B : X --> RR ) $.
    ovnhoilem2.i $e |- I = X_ k e. X ( ( A ` k ) [,) ( B ` k ) ) $.
    ovnhoilem2.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x )
       |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k ) )
       ) ) ) ) $.
    ovnhoilem2.m $e |- M = { z e. RR* | E. i e. ( ( ( RR X. RR ) ^m X ) ^m NN )
       ( I C_ U_ j e. NN X_ k e. X ( ( [,) o. ( i ` j ) ) ` k ) /\ z = ( sum^ `
       ( j e. NN |-> prod_ k e. X ( vol ` ( ( [,) o. ( i ` j ) ) ` k ) ) ) ) )
       } $.
    ovnhoilem2.f $e |- F = ( i e. ( ( ( RR X. RR ) ^m X ) ^m NN ) |-> ( n e. NN
       |-> ( l e. X |-> ( 1st ` ( ( i ` n ) ` l ) ) ) ) ) $.
    ovnhoilem2.s $e |- S = ( i e. ( ( ( RR X. RR ) ^m X ) ^m NN ) |-> ( n e. NN
       |-> ( l e. X |-> ( 2nd ` ( ( i ` n ) ` l ) ) ) ) ) $.
    $( The Lebesgue outer measure of a multidimensional half-open interval is
       less than or equal to the product of its length in each dimension.
       Second part of the proof of Proposition 115D (b) of [Fremlin1] p. 30.
       (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    ovnhoilem2 $p |- ( ph -> ( A ( L ` X ) B ) <_ ( ( voln* ` X ) ` I ) ) $=
      ( cfv co cxr clt cinf covoln cle wbr cv wral wcel cico ccom cixp ciun wss
      wa cn cvol cprod cmpt csumge0 wceq cxp cmap wrex crab eleq2i rabid biimpi
      cr bitri simprd adantl wi w3a cfn 3ad2ant1 wf c1st elmapi ffvelrnda xp1st
      syl fmpttd cvv reex a1i 1nn ffvelrnd elmapex adantr elmapg syl2anc mpbird
      wb c1 id nnex mptex fvmpt2 feq1d 3ad2ant2 xp2nd simp3 fveq2 fveq1d fveq2d
      c2nd oveq12d ixpeq2dv simpr ixpeq2dva simpl mptexg eqid eqtrd eqidd fvexd
      iuneq2dv fvmptd adantlr 2fveq3 3eqtr4d 3adant3 mpteq2dva prodeq2dv eqcomd
      adantll ad2antrr breqtrd cc0 cpnf cbviunv sseq12d mpbid 3adant3r hoidmvle
      fvovco cbvmptv wne adantlll hoidmvn0val 3adant3l 3exp rexlimdv mpd ssrab2
      ralrimiva eqsstri icossxr hoidmvcl sselid infxrgelb nfv hoissrrn2 eqsstrd
      c0 rexrd ovnn0val ) ADEOMUHZUIZNUJUKULZLOUMUHUHZUNAUVIUVJUNUOZUVICUPZUNUO
      ZCNUQZAUVNCNAUVMNURZVDZLHVEIOIUPZUSHUPZGUPZUHZUTUHZVAZVBZVCZUVMHVEOUWBVFU
      HZIVGZVHZVIUHZVJZVDZGVRVRVKZOVLUIZVEVLUIZVMZUVNUVPUWOAUVPUVMUJURZUWOUVPUW
      PUWOVDZUVPUVMUWOCUJVNZURUWQNUWRUVMUEVOUWOCUJVPVSVQVTWAUVQUWKUVNGUWNAUVTUW
      NURZUWKUVNWBWBUVPAUWSUWKUVNAUWSUWKWCZUVIJVEJUPZUVTKUHZUHZUXAUVTFUHZUHZUVH
      UIZVHZVIUHZUVMUNUWTBDEUXBUXDJIMOPQUDAUWSOWDURZUWKSWEAUWSOVRDWFUWKUAWEAUWS
      OVREWFUWKUBWEUWSAVEVROVLUIZUXBWFZUWKUWSUXKVEUXJJVERORUPZUXAUVTUHZUHZWGUHZ
      VHZVHZWFUWSJVEUXPUXJUWSUXAVEURZVDZUXPUXJURZOVRUXPWFZUXSROUXOVRUXSUXLOURZV
      DZUXNUWLURZUXOVRURZUXSOUWLUXLUXMUXSUXMUWMUROUWLUXMWFUWSVEUWMUXAUVTUVTUWMV
      EWHZWIUXMUWLOWHWKWIZUXNVRVRWJZWKWLUXSVRWMURZOWMURZUXTUYAXCUYIUXSWNWOZUWSU
      YJUXRUWSXDUVTUHZUWMURZUYJUWSVEUWMXDUVTUYFXDVEURUWSWPWOWQUYMUWLWMURUYJUYLU
      WLOWRVTWKZWSZVROUXPWMWMWTXAXBWLUWSVEUXJUXBUXQUWSUWSUXQWMURZUXBUXQVJZUWSXE
      ZUYPUWSJVEUXPXFXGZWOGUWNUXQWMKUFXHZXAXIXBXJUWSAVEUXJUXDWFZUWKUWSVUAVEUXJJ
      VEROUXNXPUHZVHZVHZWFUWSJVEVUCUXJUXSVUCUXJURZOVRVUCWFZUXSROVUBVRUYCUYDVUBV
      RURZUYGUXNVRVRXKZWKWLUXSUYIUYJVUEVUFXCUYKUYOVROVUCWMWMWTXAXBWLUWSVEUXJUXD
      VUDUWSUWSVUDWMURZUXDVUDVJUYRVUIUWSJVEVUCXFXGWOGUWNVUDWMFUGXHXAZXIXBXJAUWS
      UWEIOUVRDUHZUVREUHZUSUIVAZJVEIOUVRUXCUHZUVRUXEUHZUSUIZVAZVBZVCZUWJAUWSUWE
      WCZUWEVUSAUWSUWEXLVUTLVUMUWDVURLVUMVJZVUTUCWOAUWSUWDVURVJZUWEUWSVVBAUWSHV
      EIOUVRUWAUHZWGUHZVVCXPUHZUSUIZVAZVBZJVEIOUVRUXMUHZWGUHZVVIXPUHZUSUIZVAZVB
      ZUWDVURVVHVVNVJUWSHJVEVVGVVMUVSUXAVJZIOVVFVVLVVOVVDVVJVVEVVKUSVVOVVCVVIWG
      VVOUVRUWAUXMUVSUXAUVTXMXNZXOVVOVVCVVIXPVVPXOXQXRUUAWOUWSHVEUWCVVGUWSUVSVE
      URVDZIOUWBVVFVVQUVROURZVDZUWAUSVRVROUVRVVQOUWLUWAWFZVVRVVQUWAUWMURVVTUWSV
      EUWMUVSUVTUYFWIUWAUWLOWHWKWSVVQVVRXSUUFZXTYGUWSJVEVUQVVMUXSIOVUPVVLUXSVVR
      VDZVUNVVJVUOVVKUSVWBVUNUVRUXPUHZVVJUXSVUNVWCVJVVRUXSUVRUXCUXPUXSUXCUXAUXQ
      UHZUXPUXSUXAUXBUXQUXSUWSUYPUYQUWSUXRYAUYPUXSUYSWOUYTXAXNUXSUXRUXPWMURZVWD
      UXPVJUWSUXRXSZUWSVWEUXRUWSUYJVWEUYNROUXOWMYBWKWSJVEUXPWMUXQUXQYCXHXAYDZXN
      WSUWSVVRVWCVVJVJUXRUWSVVRVDZRUVRUXOVVJOUXPWMVWHUXPYEVWHUXLUVRVJZVDZUXNVVI
      WGVWJUXLUVRUXMVWHVWIXSXOXOUWSVVRXSZVWHVVIWGYFYHYIYDVWBVUOUVRVUCUHZVVKUXSV
      UOVWLVJVVRUXSUVRUXEVUCUXSUXEUXAVUDUHZVUCUWSUXEVWMVJUXRUWSUXAUXDVUDVUJXNWS
      UXSUXRVUCWMURZVWMVUCVJVWFUWSVWNUXRUWSUYJVWNUYNROVUBWMYBWKWSJVEVUCWMVUDVUD
      YCXHXAYDZXNWSUWSVVRVWLVVKVJUXRVWHRUVRVUBVVKOVUCWMVWHVUCYEVWIVUBVVKVJVWHUX
      LUVRXPUXMYJWAVWKVWHVVIXPYFYHYIYDXQXTYGYKWAYLUUBUUCUUDUUEAUWSUWJUXHUVMVJUW
      EAUWSUWJWCJVEOVWCVWLUSUIZVFUHZIVGZVHZVIUHZUWIUXHUVMUWSAVWTUWIVJUWJUWSVWSU
      WHVIUWSVWSHVEOVVFVFUHZIVGZVHZUWHVWSVXCVJUWSJHVEVWRVXBUXAUVSVJZOVWQVXAIVXD
      VVRVDZVWPVVFVFVXEVWCVVDVWLVVEUSVXEVWCUVRROUXLUWAUHZWGUHZVHZUHZVVDVXDVWCVX
      IVJVVRVXDUVRUXPVXHVXDROUXOVXGVXDUYBVDZUXNVXFWGVXJUXLUXMUWAVXJUXAUVSUVTVXD
      UYBYAXOXNZXOYMXNWSVVRVXIVVDVJVXDVVRRUVRVXGVVDOVXHWMVVRVXHYEVWIVXGVVDVJVVR
      UXLUVRWGUWAYJWAVVRXEZVVRVVCWGYFYHWAYDVXEVWLUVRROVXFXPUHZVHZUHZVVEVXDVWLVX
      OVJVVRVXDUVRVUCVXNVXDROVUBVXMVXJUXNVXFXPVXKXOYMXNWSVVRVXOVVEVJVXDVVRRUVRV
      XMVVEOVXNWMVVRVXNYEVWIVXMVVEVJVVRUXLUVRXPUWAYJWAVXLVVRVVCXPYFYHWAYDXQXOYN
      UUGWOUWSHVEVXBUWGVVQOVXAUWFIVVSVVFUWBVFVVSUWBVVFVWAYOXOYNYMYDXOXJAUWSUXHV
      WTVJUWJAUWSVDZUXGVWSVIVXPJVEUXFVWRVXPUXRVDZUXFUXPVUCUVHUIVWRVXQUXCUXPUXEV
      UCUVHUWSUXRUXCUXPVJAVWGYPUWSUXRUXEVUCVJAVWOYPXQVXQBUXPVUCIMOPQUDAUXIUWSUX
      RSYQAOUVEUUHUWSUXRTYQVXQROUXOVRVXQUYBVDZUYDUYEUWSUXRUYBUYDAUYGUUIZUYHWKWL
      VXQROVUBVRVXRUYDVUGVXSVUHWKWLUUJYDYMXOYLAUWSUWJXLYKUUKYRUULWSUUMUUNUUPANU
      JVCZUVIUJURUVLUVOXCVXTANUWRUJUEUWOCUJUUOUUQWOAYSYTUSUIUJUVIYSYTUURABDEIMO
      PQUDSUAUBUUSUUTCNUVIUVAXAXBAUVKUVJACLGHINOSTALVUMUXJVVAAUCWOAVUKVULIOAIUV
      BAOVRUVRDUAWIAVVRVDVULAOVRUVREUBWIUVFUVCUVDUEUVGYOYR $.
  $}

  ${
    $d A a b c d k $.  $d A c d i j k n z $.  $d B a b c d k $.
    $d B c d i j k n z $.  $d I c d i n y z $.  $d I h i w z $.
    $d L c d i n y z $.  $d X a b c d k x y $.  $d X h i j k w z $.
    $d X c d i j k l n $.  $d a b c d k ph x y $.  $d i j k l n ph $.
    $d j k n ph y z $.
    ovnhoi.x $e |- ( ph -> X e. Fin ) $.
    ovnhoi.a $e |- ( ph -> A : X --> RR ) $.
    ovnhoi.b $e |- ( ph -> B : X --> RR ) $.
    ovnhoi.c $e |- I = X_ k e. X ( ( A ` k ) [,) ( B ` k ) ) $.
    ovnhoi.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x ) |->
       if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k ) ) ) )
       ) ) $.
    $( The Lebesgue outer measure of a multidimensional half-open interval is
       its dimensional volume (the product of its length in each dimension,
       when the dimension is nonzero).  Proposition 115D (b) of [Fremlin1]
       p. 30.  (Contributed by Glauco Siliprandi, 21-Nov-2020.) $)
    ovnhoi $p |- ( ph -> ( ( voln* ` X ) ` I ) = ( A ( L ` X ) B ) ) $=
      ( cfv cr wceq cc0 c0 vz vi vj vn vy vl vh vw vc vd covoln co cv cico cixp
      cmap a1i nfv ffvelrnda wcel wa hoissrrn2 eqsstrd ovnxrcl cpnf cxr icossxr
      rexrd hoidmvcl sselid cle wbr fveq2 fveq1d adantl wss csn ixp0x eqtrd cvv
      ixpeq1 reex mapdm0 ax-mp 3eqtr4d eqimss syl ovn0val 0red eqeltrd eqidd wf
      oveqd adantr simpr feq2d mpbid hoidmv0val eqled wn cvol cprod cn cop cmpt
      c1 cif ccom ciun csumge0 wrex crab eqid eqeq1 mpteq2dv cbvmptv ovnhoilem1
      cxp ifbid cfn wne neqne hoidmvn0val eqcomd pm2.61dan c2nd c1st cmpo fveq1
      breqtrd fvoveq1d prodeq2ad ifeq2d oveq2d fveq2d cbvmpov mpteq2dva mpteq2i
      simpl coeq2d oveq2 prodeq1 ifbieq2d mpoeq123dv anbi2d rexbidv wb ixpeq2dv
      eqtri iuneq2dv sseq2d prodeq2dv anbi12d cbvrexvw bitrd cbvrabv ovnhoilem2
      eqeq2d xrletrid ) AFHUKPZPZCDHGPZULZAFHKAFEHEUMZCPZUVDDPZUNULZUOZQHUPULFU
      VHRZANUQAUVEUVFEHAEURAHQUVDCLUSAUVDHUTZVAUVFAHQUVDDMUSVHVBVCVDASVEUNULVFU
      VCSVEVGABCDEGHIJOKLMVIVJAHTRZUVAUVCVKVLAUVKVAZUVAUVCUVLUVASQUVLUVAFTUKPZP
      ZSUVKUVAUVNRAUVKFUUTUVMHTUKVMVNVOUVLFUVLFQTUPULZRFUVOVPUVLUVHTVQZFUVOUVKU
      VHUVPRAUVKUVHETUVGUOZUVPEHTUVGWAUVQUVPRUVKEUVGVRUQVSVOUVIUVLNUQUVOUVPRZUV
      LQVTUTUVRWBQVTWCWDUQWEFUVOWFWGWHVSZUVLWIZWJUVLSSUVAUVCUVLSWKUVSUVLUVCCDTG
      PZULZSUVKUVCUWBRAUVKUVBUWACDHTGVMWMVOUVLBCDEGIJOUVLHQCWLZTQCWLAUWCUVKLWNU
      VLHTQCAUVKWOZWPWQUVLHQDWLZTQDWLAUWEUVKMWNUVLHTQDUWDWPWQWRVSZWEZWSAUVKWTZV
      AZUVAHUVGXAPEXBZUVCVKAUVAUWJVKVLUWHAUACDUBUCEUDXCEHUDUMZXFRZUVEUVFXDZSSXD
      ZXGZXEZXEFFUCXCEHUVDUNUCUMZUBUMZPZXHZPZUOZXIZVPZUAUMZUCXCHUXAXAPZEXBZXEZX
      JPZRZVAZUBQQXRHUPULXCUPULZXKZUAVFXLZHKLMNUXNXMUDUCXCUWPEHUWQXFRZUWMUWNXGZ
      XEUWKUWQRZEHUWOUXPUXQUWLUXOUWMUWNUWKUWQXFXNXSXOXPXQWNUWIUVCUWJUWIBCDEGHIJ
      OAHXTUTUWHKWNZUWHHTYAAHTYBVOZAUWCUWHLWNZAUWEUWHMWNZYCYDYJYEAUVKUVCUVAVKVL
      UVLUVCUVAUVLUVCSQUWFUVTWJUVLUVAUVCUWGYDWSUWIUEUACDUBUXLUCXCUFHUFUMZUWSPZY
      FPZXEZXEZXEUBUCEUDUBUXLUCXCUFHUYCYGPZXEZXEZXEFGFUCXCEHUVDUNUWQUGUMZPZXHZP
      ZUOZXIZVPZUHUMZUCXCHUYMXAPZEXBZXEZXJPZRZVAZUGUXLXKZUHVFXLHUIUJUFUXRUXSUXT
      UYANGBXTIJQBUMZUPULZVUFVUETRZSVUEUVDIUMZPZUVDJUMZPZUNULXAPZEXBZXGZYHZXEUE
      XTUIUJQUEUMZUPULZVUQVUPTRZSVUPUVDUIUMZPZUVDUJUMZPZUNULZXAPZEXBZXGZYHZXEOB
      UEXTVUOVVGVUEVUPRZVUOUIUJVUFVUFVUGSVUEVVDEXBZXGZYHZVVGVUOVVKRVVHIJUIUJVUF
      VUFVUNVVJVUGSVUEVUTVUKUNULZXAPZEXBZXGVUHVUSRZVUGVUMVVNSVVOVUEVULVVMEVVOVU
      IVUTVUKXAUNUVDVUHVUSYIYKYLYMVUJVVARZVUGVVNVVISVVPVUEVVMVVDEVVPVVLVVCXAVVP
      VUKVVBVUTUNUVDVUJVVAYIYNYOYLYMYPUQVVHUIUJVUFVUFVVJVUQVUQVVFVUEVUPQUPUUAZV
      VQVVHVUGVURVVIVVESVUEVUPTXNVUEVUPVVDEUUBUUCUUDVSXPUUIVUDUXMUHUAVFUYQUXERZ
      VUDUYPUXEVUARZVAZUGUXLXKZUXMVVRVUCVVTUGUXLVVRVUBVVSUYPUYQUXEVUAXNUUEUUFVW
      AUXMUUGVVRVVTUXKUGUBUXLUYJUWRRZUYPUXDVVSUXJVWBUYOUXCFVWBUCXCUYNUXBVWBUWQX
      CUTZVAZEHUYMUXAVWDUVDUYLUWTVWDUYKUWSUNVWDUWQUYJUWRVWBVWCYSVNYTVNUUHUUJUUK
      VWBVUAUXIUXEVWBUYTUXHXJVWBUCXCUYSUXGVWBHUYRUXFEVWBUVJVAZUYMUXAXAVWEUVDUYL
      UWTVWEUYKUWSUNVWEUWQUYJUWRVWBUVJYSVNYTVNYOUULXOYOUURUUMUUNUQUUOUUPUBUXLUY
      IUDXCUFHUYBUWKUWRPZPZYGPZXEZXEUCUDXCUYHVWIUWQUWKRZUFHUYGVWHVWJUYBHUTZVAZU
      YCVWGYGVWLUYBUWSVWFVWLUWQUWKUWRVWJVWKYSYOVNZYOYQXPYRUBUXLUYFUDXCUFHVWGYFP
      ZXEZXEUCUDXCUYEVWOVWJUFHUYDVWNVWLUYCVWGYFVWMYOYQXPYRUUQYEUUS $.
  $}

  ${
    dmovn.1 $e |- ( ph -> X e. Fin ) $.
    $( The domain of the Lebesgue outer measure is the power set of the
       n-dimensional Real numbers.  Step (a)(i) of the proof of Proposition
       115D (a) of [Fremlin1] p. 30.  (Contributed by Glauco Siliprandi,
       24-Dec-2020.) $)
    dmovn $p |- ( ph -> dom ( voln* ` X ) = ~P ( RR ^m X ) ) $=
      ( cr cmap co cpw cc0 cpnf cicc covoln cfv ovnf fdmd ) ADBEFGHIJFBKLABCMN
      $.
  $}

  ${
    $d X k $.  $d k ph $.
    hoicoto2.i $e |- ( ph -> I : X --> ( RR X. RR ) ) $.
    hoicoto2.a $e |- A = ( k e. X |-> ( 1st ` ( I ` k ) ) ) $.
    hoicoto2.b $e |- B = ( k e. X |-> ( 2nd ` ( I ` k ) ) ) $.
    $( The half-open interval expressed using a composition of a function into
       ` ( RR X. RR ) ` and using two distinct real-valued functions for the
       borders.  (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    hoicoto2 $p |- ( ph -> X_ k e. X ( ( [,) o. I ) ` k ) = X_ k e. X ( ( A ` k
       ) [,) ( B ` k ) ) ) $=
      ( cico cfv co wcel cr cvv wceq syl elexd fvmpt2 syl2anc cv ccom c1st c2nd
      wa cxp adantr simpr fvovco ffvelrnda xp1st eqcomd xp2nd oveq12d ixpeq2dva
      wf eqtrd ) ADFDUAZJEUBKZURBKZURCKZJLZAURFMZUEZUSUREKZUCKZVEUDKZJLVBVDEJNN
      FURAFNNUFZEUPVCGUGAVCUHZUIVDVFUTVGVAJVDUTVFVDVCVFOMUTVFPVIVDVFNVDVEVHMZVF
      NMAFVHUREGUJZVENNUKQRDFVFOBHSTULVDVAVGVDVCVGOMVAVGPVIVDVGNVDVJVGNMVKVENNU
      MQRDFVGOCISTULUNUQUO $.
  $}

  ${
    dmvon.x $e |- ( ph -> X e. Fin ) $.
    $( Lebesgue measurable n-dimensional subsets of Reals.  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    dmvon $p |- ( ph -> dom ( voln ` X ) = ( CaraGen ` ( voln* ` X ) ) ) $=
      ( cvoln cfv cdm covoln ccaragen cres vonval dmeqd wss wceq come wcel eqid
      ovnome caragenss syl ssdmres sylib eqidd 3eqtrd ) ABDEZFBGEZUEHEZIZFZUFUF
      AUDUGABCJKAUFUEFLZUHUFMAUENOUIABCQUFUEUFPRSUFUETUAAUFUBUC $.
  $}

  ${
    $d X k $.
    hoi2toco.1 $e |- F/ k ph $.
    hoi2toco.c $e |- I = ( k e. X |-> <. ( A ` k ) , ( B ` k ) >. ) $.
    $( The half-open interval expressed using a composition of a function into
       ` ( RR X. RR ) ` and using two distinct real-valued functions for the
       borders.  (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    hoi2toco $p |- ( ph -> X_ k e. X ( ( [,) o. I ) ` k ) = X_ k e. X ( ( A ` k
       ) [,) ( B ` k ) ) ) $=
      ( cv cico ccom cfv co wcel cdm wceq a1i adantr cvv syl2anc wa cop funmpt2
      wfun simpr cmpt dmeqi wral opex 2a1i ralrimi dmmptg eqtr2d eleqtrd fvmpt2
      syl fvco fveq2d df-ov eqcomi 3eqtrd ixpeq2d ) ADFDIZJEKLZVCBLZVCCLZJMZGAV
      CFNZUAZVDVCELZJLZVEVFUBZJLZVGVIEUDZVCEOZNVDVKPAVNVHVNADFVLEHUCQRVIVCFVOAV
      HUEZAFVOPVHAVODFVLUFZOZFVOVRPAEVQHUGQAVLSNZDFUHVRFPAVSDFGVSAVHVEVFUIZUJUK
      DFVLSULUPUMRUNVCJEUQTVIVJVLJVIVHVSVJVLPVPVSVIVTQDFVLSEHUOTURVMVGPVIVGVMVE
      VFJUSUTQVAVB $.
  $}

  ${
    $d K x $.  $d X a x $.  $d Y a x $.  $d Y k x $.  $d ph x $.
    hoidifhspval.d $e |- D = ( x e. RR |-> ( a e. ( RR ^m X ) |-> ( k e. X |->
       if ( k = K , if ( x <_ ( a ` k ) , ( a ` k ) , x ) , ( a ` k ) ) ) ) )
       $.
    hoidifhspval.y $e |- ( ph -> Y e. RR ) $.
    $( ` D ` is a function that returns the representation of the left side of
       the difference of a half-open interval and a half-space.  Used in Lemma
       115F of [Fremlin1] p. 31 .  (Contributed by Glauco Siliprandi,
       24-Dec-2020.) $)
    hoidifhspval $p |- ( ph -> ( D ` Y ) = ( a e. ( RR ^m X ) |-> ( k e. X |->
       if ( k = K , if ( Y <_ ( a ` k ) , ( a ` k ) , Y ) , ( a ` k ) ) ) ) )
       $=
      ( cr cmap cv wceq cle wbr cif cmpt cvv mpteq2dv cfv breq1 ifbieq2d ifeq1d
      co id wcel ovex mptex a1i fvmptd3 ) ABGHKFLUEZDFDMZENZBMZUMHMUAZOPZUPUOQZ
      UPQZRZRHULDFUNGUPOPZUPGQZUPQZRZRZKCSIUOGNZHULUTVDVFDFUSVCVFUNURVBUPVFUQVA
      UOGUPUOGUPOUBVFUFUCUDTTJVESUGAHULVDKFLUHUIUJUK $.
  $}

  ${
    $d I i k y $.  $d X i k x y $.  $d Y i k y $.  $d i k ph x y $.
    hspval.h $e |- H = ( x e. Fin |-> ( i e. x , y e. RR |-> X_ k e. x if ( k =
       i , ( -oo (,) y ) , RR ) ) ) $.
    hspval.x $e |- ( ph -> X e. Fin ) $.
    hspval.i $e |- ( ph -> I e. X ) $.
    hspval.y $e |- ( ph -> Y e. RR ) $.
    $( The value of the half-space of n-dimensional Real numbers.  (Contributed
       by Glauco Siliprandi, 24-Dec-2020.) $)
    hspval $p |- ( ph -> ( I ( H ` X ) Y ) = X_ k e. X if ( k = I , ( -oo (,) Y
       ) , RR ) ) $=
      ( cr cv wceq cmnf cioo cvv wcel co cif cixp cfv cmpo cfn eqidd mpoeq123dv
      id ixpeq1 reex eqid mpoexg syl2anc fvmptd3 wa simpl eqeq2d simpr ifbieq1d
      a1i oveq2d ixpeq2dv adantl wral ovex ifcli ralrimiva ixpexg syl ovmpod )
      ADCGIHNEHEOZDOZPZQCOZRUAZNUBZUCZEHVLGPZQIRUAZNUBZUCZHFUDSABHDCBOZNEWCVQUC
      ZUEDCHNVRUEZUFFSJWCHPZDCWCNWDHNVRWFUIWFNUGEWCHVQUJUHKAHUFTNSTZWESTKWGAUKV
      ADCHNVRUFSWEWEULUMUNUOVMGPZVOIPZUPZVRWBPAWJEHVQWAWJVNVSVPVTNWJVMGVLWHWIUQ
      URWJVOIQRWHWIUSVBUTVCVDLMAWASTZEHVEWBSTAWKEHWKAVLHTUPVSVTNSQIRVFUKVGVAVHE
      HWASVIVJVK $.
  $}

  ${
    $d A i z $.  $d C a b k $.  $d C i k z $.  $d D a b k $.  $d D i k z $.
    $d L i z $.  $d X a b j k x $.  $d X i j k z $.  $d a b j k ph x $.
    ovnlecvr2.x $e |- ( ph -> X e. Fin ) $.
    ovnlecvr2.c $e |- ( ph -> C : NN --> ( RR ^m X ) ) $.
    ovnlecvr2.d $e |- ( ph -> D : NN --> ( RR ^m X ) ) $.
    ovnlecvr2.s $e |- ( ph -> A C_ U_ j e. NN X_ k e. X ( ( ( C ` j ) ` k ) [,)
       ( ( D ` j ) ` k ) ) ) $.
    ovnlecvr2.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x )
       |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k ) )
       ) ) ) ) $.
    $( Given a subset of multidimensional reals and a set of half-open
       intervals that covers it, the Lebesgue outer measure of the set is
       bounded by the generalized sum of the pre-measure of the half-open
       intervals.  (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    ovnlecvr2 $p |- ( ph -> ( ( voln* ` X ) ` A ) <_ ( sum^ ` ( j e. NN |-> ( (
       C ` j ) ( L ` X ) ( D ` j ) ) ) ) ) $=
      ( wceq cfv cn cr vi vz c0 covoln cv co cmpt csumge0 cle wbr wa cc0 fveq1d
      fveq2 adantl cico cixp ciun cmap wss adantr csn wne c1 wcel 1nn ax-mp a1i
      ne0i iunconst syl ixpeq1 ixp0x eqtrd iuneq2dv reex mapdm0 3eqtr4d sseqtrd
      cvv ovn0val nfv nnex cpnf cicc icossicc cfn ffvelrnda hoidmvcl sge0ge0mpt
      wf elmapi sselid eqbrtrd wn simpl neqne ccom cvol cprod cxp wrex cxr crab
      clt cinf simpr wral rexrd icossre ralrimiva ss2ixp ixpconstg iunss sylibr
      syl2anc sstrd eqid ovnn0val ssrab2 sge0xrclmpt cop opelxpi fmpttd wb xpex
      elmapg mpbird c1st c2nd fvmpt2 coeq2d fveq2d adantlr mpteq2dva jca nfmpt1
      fvex nfcv nfeq ovexd mptexg fvovco op1stg mp2an oveq12d 3eqtrrd ixpeq2dva
      opex op2nd eqidd hoidmvn0val eqcomd prodeq2dv nfmpt fveq1 iuneq2df sseq2d
      ixpeq2d nfan wi a1d ralrimi prodeq2d mpteq2da eqeq2d anbi12d rspcev eqeq1
      anbi2d rexbidv elrab infxrlb pm2.61dan ) AIUCQZCIUDRZRZFSFUEZDRZUVRERZIHR
      UFZUGZUHRZUIUJZAUVOUKZUVQULUWCUIUWEUVQCUCUDRZRZULUVOUVQUWGQAUVOCUVPUWFIUC
      UDUNUMUOUWECUWECFSGIGUEZUVSRZUWHUVTRZUPUFZUQZURZTUCUSUFZACUWMUTUVOOVAUWEF
      SUCVBZURZUWOUWMUWNAUWPUWOQZUVOASUCVCZUWQUWRAVDSVEUWRVFSVDVIVGVHFSUWOVJVKV
      AUVOUWMUWPQAUVOFSUWLUWOUVOUWLUWOQUVRSVEZUVOUWLGUCUWKUQZUWOGIUCUWKVLUWTUWO
      QUVOGUWKVMVHVNVAVOUOUWNUWOQZUWETVTVEZUXAVPTVTVQVGVHVRVSWAVNAULUWCUIUJUVOA
      SUWAFVTAFWBZSVTVEZAWCVHZAUWSUKZULWDUPUFULWDWEUFUWAULWDWFUXFBUVSUVTGHIJKPA
      IWGVEZUWSLVAZUXFUVSTIUSUFZVEITUVSWKZASUXIUVRDMWHUVSTIWLVKZUXFUVTUXIVEITUV
      TWKZASUXIUVRENWHUVTTIWLVKZWIWMZWJVAWNAUVOWOZUKAIUCVCZUWDAUXOWPUXOUXPAIUCW
      QUOAUXPUKZUVQCFSGIUWHUPUVRUAUEZRZWRZRZUQZURZUTZUBUEZFSIUYAWSRZGWTZUGZUHRZ
      QZUKZUATTXAZIUSUFZSUSUFZXBZUBXCXDZXCXEXFZUWCUIUXQUBCUAFGUYPIAUXGUXPLVAZAU
      XPXGZACUXIUTUXPACUWMUXIOAUWLUXIUTZFSXHUWMUXIUTAUYTFSUXFUWLGITUQZUXIUXFUWK
      TUTZGIXHUWLVUAUTUXFVUBGIUXFUWHIVEZUKZUWITVEZUWJXCVEVUBUXFITUWHUVSUXKWHZVU
      DUWJUXFITUWHUVTUXMWHZXIUWIUWJXJXPXKGIUWKTXLVKAVUAUXIQZUWSAUXGUXBVUHLUXBAV
      PVHGITWGVTXMXPVAVSXKFSUWLUXIXNXOXQVAUYPXRXSUXQUYPXCUTZUWCUYPVEZUYQUWCUIUJ
      VUIUXQUYOUBXCXTVHUXQUWCXCVEZUYDUWCUYIQZUKZUAUYNXBZUKVUJUXQVUKVUNAVUKUXPAF
      SUWAVTUXCUXEUXNYAVAUXQFSGIUWIUWJYBZUGZUGZUYNVEZCFSGIUWHUPUVRVUQRZWRZRZUQZ
      URZUTZUWCFSIVVAWSRZGWTZUGZUHRZQZUKZVUNAVURUXPAVURSUYMVUQWKZAFSVUPUYMUXFVU
      PUYMVEZIUYLVUPWKZUXFGIVUOUYLVUDVUEUWJTVEVUOUYLVEVUFVUGUWIUWJTTYCXPYDZUXFU
      YLVTVEZUXGVVLVVMYEVVOUXFTTVPVPYFVHUXHUYLIVUPVTWGYGXPYHYDAUYMVTVEUXDVURVVK
      YEAUYLIUSUUAUXEUYMSVUQVTVTYGXPYHVAUXQVVDVVIAVVDUXPACUWMVVCOAFSUWLVVBUXFGI
      UWKVVAVUDVVAUWHUPVUPWRZRZUWHVUPRZYIRZVVRYJRZUPUFZUWKUXFVVAVVQQVUCUXFUWHVU
      TVVPUXFVUSVUPUPUXFUWSVUPVTVEZVUSVUPQAUWSXGAVWBUWSAUXGVWBLGIVUOWGUUBVKVAFS
      VUPVTVUQVUQXRYKXPYLUMVAVUDVUPUPTTIUWHUXFVVMVUCVVNVAUXFVUCXGUUCAVUCVWAUWKQ
      UWSAVUCUKZVVSUWIVVTUWJUPVWCVVSVUOYIRZUWIVWCVVRVUOYIVWCVUCVUOVTVEZVVRVUOQA
      VUCXGVWEVWCUWIUWJUUIVHGIVUOVTVUPVUPXRYKXPZYMVWDUWIQZVWCUWIVTVEUWJVTVEVWGU
      WHUVSYRZUWHUVTYRZUWIUWJVTVTUUDUUEVHVNVWCVVTVUOYJRZUWJVWCVVRVUOYJVWFYMVWJU
      WJQVWCUWIUWJVWHVWIUUJVHVNUUFYNUUGZUUHVOVSVAUXQFSIUWKWSRZGWTZUGZUHRZVWOUWC
      VVHUXQVWOUUKUXQUWBVWNUHUXQFSUWAVWMUXQUWSUKBUVSUVTGHIJKPUXQUXGUWSUYRVAUXQU
      XPUWSUYSVAAUWSUXJUXPUXKYNAUWSUXLUXPUXMYNUULYOYMAVVHVWOQUXPAVVGVWNUHAFSVVF
      VWMUXFIVVEVWLGVUDVVAUWKWSVUDUWKVVAVWKUUMYMUUNYOYMVAVRYPVUMVVJUAVUQUYNUXRV
      UQQZUYDVVDVULVVIVWPUYCVVCCVWPFSUYBVVBFUXRVUQFUXRYSFSVUPYQYTZVWPUYBVVBQUWS
      VWPGIUYAVVAGUXRVUQGUXRYSGFSVUPGSYSGIVUOYQUUOYTZVWPUYAVVAQVUCVWPUWHUXTVUTV
      WPUXSVUSUPUVRUXRVUQUUPYLUMZVAUUSVAUUQUURVWPUYIVVHUWCVWPUYHVVGUHVWPFSUYGVV
      FVWQVWPUWSUKZIUYFVVEGVWTUYFVVEQZGIVWPUWSGVWRUWSGWBUUTVWPVUCVXAUVAUWSVWPVX
      AVUCVWPUYAVVAWSVWSYMUVBVAUVCUVDUVEYMUVFUVGUVHXPYPUYOVUNUBUWCXCUYEUWCQZUYK
      VUMUAUYNVXBUYJVULUYDUYEUWCUYIUVIUVJUVKUVLXOUYPUWCUVMXPWNXPUVN $.
  $}

  ${
    $d A a i r $.  $d A a l $.  $d B h $.  $d C a i r $.  $d E i r $.
    $d I h j k $.  $d I i j $.  $d I j k l $.  $d L a i r $.  $d T h $.
    $d X a i j r $.  $d X h j k $.  $d X a j k l $.  $d a j k ph $.
    $d h j k ph $.  $d ph r $.
    ovncvr2.x $e |- ( ph -> X e. Fin ) $.
    ovncvr2.a $e |- ( ph -> A C_ ( RR ^m X ) ) $.
    ovncvr2.e $e |- ( ph -> E e. RR+ ) $.
    ovncvr2.c $e |- C = ( a e. ~P ( RR ^m X ) |-> { l e. ( ( ( RR X. RR ) ^m X
       ) ^m NN ) | a C_ U_ j e. NN X_ k e. X ( ( [,) o. ( l ` j ) ) ` k ) } )
                $.
    ovncvr2.l $e |- L = ( h e. ( ( RR X. RR ) ^m X ) |-> prod_ k e. X ( vol ` (
       ( [,) o. h ) ` k ) ) ) $.
    ovncvr2.d $e |- D = ( a e. ~P ( RR ^m X ) |-> ( r e. RR+ |-> { i e. ( C ` a
       ) | ( sum^ ` ( j e. NN |-> ( L ` ( i ` j ) ) ) ) <_ ( ( ( voln* ` X ) `
       a ) +e r ) } ) ) $.
    ovncvr2.i $e |- ( ph -> I e. ( ( D ` A ) ` E ) ) $.
    ovncvr2.b $e |- B = ( j e. NN |-> ( k e. X |-> ( 1st ` ( ( I ` j ) ` k ) )
       ) ) $.
    ovncvr2.t $e |- T = ( j e. NN |-> ( k e. X |-> ( 2nd ` ( ( I ` j ) ` k ) )
       ) ) $.
    $( ` B ` and ` T ` are the left and right side of a cover of ` A ` .  This
       cover is made of n-dimensional half-open intervals and approximates the
       n-dimensional Lebesgue outer volume of ` A ` .  (Contributed by Glauco
       Siliprandi, 24-Dec-2020.) $)
    ovncvr2 $p |- ( ph -> ( ( ( B : NN --> ( RR ^m X ) /\ T : NN --> ( RR ^m X
       ) ) /\ A C_ U_ j e. NN X_ k e. X ( ( ( B ` j ) ` k ) [,) ( ( T ` j ) ` k
       ) ) ) /\ ( sum^ ` ( j e. NN |-> prod_ k e. X ( vol ` ( ( ( B ` j ) ` k )
       [,) ( ( T ` j ) ` k ) ) ) ) ) <_ ( ( ( voln* ` X ) ` A ) +e E ) ) ) $=
      ( cn cr cmap co wf wa cv cfv cico cixp ciun wss cvol cprod csumge0 covoln
      cmpt cxad cle wbr c1st wcel cxp ccom crab cpw wceq sseq1 rabbidv wb ovexd
      cvv ssexd elpwg syl mpbird ovex rabex fvmptd3 ssrab2 eqsstrd fveq2 eleq2d
      a1i oveq1d breq2d anbi12d rabbidva2 mpteq2dv rpex mptex oveq2 adantl fvex
      fvmptd eleqtrd fveq1 fveq2d breq1d elrab sylib simpld sseldd elmapi simpr
      crp adantr ffvelrnd ffvelrnda xp1st fmpttd reex elmapg syl2anc feq1d c2nd
      cfn xp2nd jca coeq2d fveq1d ixpeq2dv iuneq2dv sseq2d simprd fvovco mptexg
      fvmpt2d fvexd eqcomd oveq12d eqtrd adantlr fvmpt2 ixpeq2dva sseqtrd coeq2
      ad2antlr adantllr 3eqtrd prodeq2dv volicore fprodrecl mpteq2dva eqbrtrd
      jca31 ) AUGUHNUIUJZCUKZUGUUMFUKZULBIUGJNJUMZIUMZCUNZUNZUUPUUQFUNZUNZUOUJZ
      UPZUQZURIUGNUVBUSUNZJUTZVCZVAUNZBNVBUNZUNZKVDUJZVEVFAUUNUUOAUUNUGUUMIUGJN
      UUPUUQLUNZUNZVGUNZVCZVCZUKAIUGUVOUUMAUUQUGVHZULZUVOUUMVHZNUHUVOUKZUVRJNUV
      NUHUVRUUPNVHZULZUVMUHUHVIZVHZUVNUHVHUVRNUWCUUPUVLUVRUVLUWCNUIUJZVHNUWCUVL
      UKZUVRUGUWEUUQLAUGUWELUKZUVQALUWEUGUIUJZVHZUWGABDUNZUWHLAUWJBIUGJNUUPUOUU
      QQUMZUNZVJZUNZUPZUQZURZQUWHVKZUWHAPBPUMZUWPURZQUWHVKUWRUUMVLZDVRUAUWSBVMZ
      UWTUWQQUWHUWSBUWPVNVOABUXAVHZBUUMURZSABVRVHUXCUXDVPABUUMVRAUHNUIVQSVSBUUM
      VRVTWAWBZUWRVRVHAUWQQUWHUWEUGUIWCWDWJWEZUWRUWHURAUWQQUWHWFWJWGALUWJVHZIUG
      UVLMUNZVCZVAUNZUVKVEVFZALIUGUUQHUMZUNZMUNZVCZVAUNZUVKVEVFZHUWJVKZVHUXGUXK
      ULALKBEUNZUNUXRUDAOKUXPUVJOUMZVDUJZVEVFZHUWJVKZUXRXLUXSVRAPBOXLUXPUWSUVIU
      NZUXTVDUJZVEVFZHUWSDUNZVKZVCOXLUYCVCZUXAEVRUCUXBOXLUYHUYCUXBUYFUYBHUYGUWJ
      UXBUXLUYGVHUXLUWJVHUYFUYBUXBUYGUWJUXLUWSBDWHWIUXBUYEUYAUXPVEUXBUYDUVJUXTV
      DUWSBUVIWHWKWLWMWNWOUXEUYIVRVHAOXLUYCWPWQWJWEUXTKVMZUYCUXRVMAUYJUYBUXQHUW
      JUYJUYAUVKUXPVEUXTKUVJVDWRWLVOWSTUXRVRVHAUXQHUWJBDWTWDWJXAXBUXQUXKHLUWJUX
      LLVMZUXPUXJUVKVEUYKUXOUXIVAUYKIUGUXNUXHUYKUXMUVLMUUQUXLLXCXDWOXDXEXFXGZXH
      ZXILUWEUGXJWAXMAUVQXKZXNZUVLUWCNXJWAZXOZUVMUHUHXPWAXQZAUVSUVTVPZUVQAUHVRV
      HZNYCVHZUYSUYTAXRWJZRUHNUVOVRYCXSXTXMWBXQAUGUUMCUVPCUVPVMAUEWJZYAWBAUUOUG
      UUMIUGJNUVMYBUNZVCZVCZUKAIUGVUEUUMUVRVUEUUMVHZNUHVUEUKZUVRJNVUDUHUWBUWDVU
      DUHVHUYQUVMUHUHYDWAXQZAVUGVUHVPZUVQAUYTVUAVUJVUBRUHNVUEVRYCXSXTXMWBXQAUGU
      UMFVUFFVUFVMAUFWJZYAWBYEABIUGJNUUPUOUVLVJZUNZUPZUQZUVDAUWIBVUOURZALUWRVHU
      WIVUPULALUWJUWRUYMUXFXBUWQVUPQLUWHUWKLVMZUWPVUOBVUQIUGUWOVUNVUQUWOVUNVMUV
      QVUQJNUWNVUMVUQUUPUWMVULVUQUWLUVLUOUUQUWKLXCYFYGYHXMYIYJXFXGYKAIUGVUNUVCU
      VRJNVUMUVBUWBVUMUVNVUDUOUJZUVBUWBUVLUOUHUHNUUPUVRUWFUWAUYPXMUVRUWAXKZYLZU
      WBUVNUUSVUDUVAUOUWBUUSUVNUVRJNUVNUURVRAIUGUVOCVRVUCAUVOVRVHZUVQAVUAVVARJN
      UVNYCYMWAXMZYNUWBUVMVGYOYNYPUWBUVAVUDUVRJNVUDUUTVRAIUGVUEFVRVUKAVUEVRVHZU
      VQAVUAVVCRJNVUDYCYMWAXMZYNUWBUVMYBYOYNYPYQZYRUUAYIUUBAUVHUXJUVKVEAUVGUXIV
      AAIUGUVFUXHUVRUXHUVFUVRGUVLNUUPUOGUMZVJZUNZUSUNZJUTZUVFUWEMUHMGUWEVVJVCVM
      UVRUBWJUVRVVFUVLVMZULZNVVIUVEJVVLUWAULZVVHUVBUSVVMVVHVUMVURUVBAVVKUWAVVHV
      UMVMZUVQVVKVVNAUWAVVKUUPVVGVULVVFUVLUOUUCYGUUDUUEUVRUWAVUMVURVMVVKVUTYSUV
      RUWAVURUVBVMVVKVVEYSUUFXDUUGUYOUVRNUVEJAVUAUVQRXMUWBUUSUHVHUVAUHVHUVEUHVH
      UWBNUHUUPUURUVRNUHUURUKZUWAUVRVVOUVTUYRUVRNUHUURUVOUVRUVQVVAUURUVOVMUYNVV
      BIUGUVOVRCUEYTXTYAWBXMVUSXNUWBNUHUUPUUTUVRNUHUUTUKZUWAUVRVVPVUHVUIUVRNUHU
      UTVUEUVRUVQVVCUUTVUEVMUYNVVDIUGVUEVRFUFYTXTYAWBXMVUSXNUUSUVAUUHXTUUIXAYPU
      UJXDAUXGUXKUYLYKUUKUUL $.
  $}

  ${
    dmovnsal.x $e |- ( ph -> X e. Fin ) $.
    dmovnsal.s $e |- S = dom ( voln ` X ) $.
    $( The domain of the Lebesgue measure is a sigma-algebra.  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    dmovnsal $p |- ( ph -> S e. SAlg ) $=
      ( cvoln cfv vonmea dmmeasal ) ABCFGACDHEI $.
  $}

  ${
    unidmovn.1 $e |- ( ph -> X e. Fin ) $.
    $( Base set of the n-dimensional Lebesgue outer measure.  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    unidmovn $p |- ( ph -> U. dom ( voln* ` X ) = ( RR ^m X ) ) $=
      ( covoln cfv cdm cuni cr cmap co cpw dmovn unieqd wceq unipw a1i eqtrd )
      ABDEFZGHBIJZKZGZSARTABCLMUASNASOPQ $.
  $}

  ${
    rrnmbl.1 $e |- ( ph -> X e. Fin ) $.
    $( The set of n-dimensional Real numbers is Lebesgue measurable.
       (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    rrnmbl $p |- ( ph -> ( RR ^m X ) e. dom ( voln ` X ) ) $=
      ( cr cmap co cvoln cfv wcel covoln cuni ccaragen ovnome eqid caragenunidm
      cdm cpw dmovn unieqd wceq unipw a1i eqtr2d dmvon eleq12d mpbird ) ADBEFZB
      GHPZIBJHZPZKZUILHZIAULUIUKABCMUKNULNOAUGUKUHULAUKUGQZKZUGAUJUMABCRSUNUGTA
      UGUAUBUCABCUDUEUF $.
  $}

  ${
    $d A a k $.  $d K a x $.  $d X a k x $.  $d Y a k x $.  $d a ph x $.
    hoidifhspval2.d $e |- D = ( x e. RR |-> ( a e. ( RR ^m X ) |-> ( k e. X |->
       if ( k = K , if ( x <_ ( a ` k ) , ( a ` k ) , x ) , ( a ` k ) ) ) ) )
                      $.
    hoidifhspval2.y $e |- ( ph -> Y e. RR ) $.
    hoidifhspval2.x $e |- ( ph -> X e. V ) $.
    hoidifhspval2.a $e |- ( ph -> A : X --> RR ) $.
    $( ` D ` is a function that returns the representation of the left side of
       the difference of a half-open interval and a half-space.  Used in Lemma
       115F of [Fremlin1] p. 31 .  (Contributed by Glauco Siliprandi,
       24-Dec-2020.) $)
    hoidifhspval2 $p |- ( ph -> ( ( D ` Y ) ` A ) = ( k e. X |-> if ( k = K ,
       if ( Y <_ ( A ` k ) , ( A ` k ) , Y ) , ( A ` k ) ) ) ) $=
      ( wceq cfv cif cr cvv wcel cv cle wbr cmpt cmap hoidifhspval fveq1 breq2d
      co ifbieq1d ifeq12d mpteq2dv adantl wf wa wb a1i jca elmapg mpbird mptexg
      reex syl fvmptd ) AJCEHEUAZFOZIVEJUAZPZUBUCZVHIQZVHQZUDZEHVFIVECPZUBUCZVM
      IQZVMQZUDZRHUEUIZIDPSABDEFHIJKLUFVGCOZVLVQOAVSEHVKVPVSVFVJVOVHVMVSVIVNVHV
      MIVSVHVMIUBVEVGCUGZUHVTUJVTUKULUMACVRTZHRCUNZNARSTZHGTZUOWAWBUPAWCWDWCAVB
      UQMURRHCSGUSVCUTAWDVQSTMEHVPGVAVCVD $.
  $}

  ${
    $d A f h i k l x y $.  $d B f h i k l x y $.  $d H f h i k l x y $.
    $d X f h i k l x y $.  $d f h i k l ph x y $.
    hspdifhsp.x $e |- ( ph -> X e. Fin ) $.
    hspdifhsp.n $e |- ( ph -> X =/= (/) ) $.
    hspdifhsp.a $e |- ( ph -> A : X --> RR ) $.
    hspdifhsp.b $e |- ( ph -> B : X --> RR ) $.
    hspdifhsp.h $e |- H = ( x e. Fin |-> ( l e. x , y e. RR |-> X_ i e. x if (
       i = l , ( -oo (,) y ) , RR ) ) ) $.
    $( A n-dimensional half-open interval is the intersection of the difference
       of half spaces.  This is a substep of Proposition 115G (a) of [Fremlin1]
       p. 32.  (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    hspdifhsp $p |- ( ph -> X_ i e. X ( ( A ` i ) [,) ( B ` i ) ) = |^|_ i e. X
       ( ( i ( H ` X ) ( B ` i ) ) \ ( i ( H ` X ) ( A ` i ) ) ) ) $=
      ( vk wcel wceq wa cr adantlr vf vh cv cfv cico co cixp cdif ciin wal wral
      wb nfv nfcv nfixp1 nfel nfan cmnf cif wfn ixpfn ad2antlr wss fveq2 oveq2d
      cioo iftrue eqtr4d eqimss syl ioossre iffalse sseqtrrid pm2.61i cxr mnfxr
      wn a1i ffvelrnda rexrd icossre syl2anc simpl simpr oveq12d adantll sseldd
      fvixp mnfltd clt wbr icoltub syl3anc eliood sselid ralrimiva elixp sylibr
      jca vex cfn cmpo cmpt equequ1 ifbid cbvixpv mpoeq3ia mpteq2i eqtri adantr
      ffvelrnd hspval eleqtrrd eleqtrd iooltub adantllr cle biimpi simprd sylan
      wf rspa icogelb lenltd mpbid pm2.65da eldifd ralrimi eliin ax-mp ad2antrr
      ex cvv simpll simplr syl21anc adantl ad4ant13 eqcomd eqsstrdi c0 difeq12d
      wex wne n0 id eleq2d eliind eldifad exlimdv mpd nfii1 eldifi eqeltrd ssid
      fvixp2 pm2.61dan eldifn ad3antlr mpbird elicod impbid alrimiv dfcleq ) AU
      AUCZFHFUCZDUDZUVFEUDZUEUFZUGZPZUVEFHUVFUVHHGUDZUFZUVFUVGUVLUFZUHZUIZPZULZ
      UAUJUVJUVPQAUVRUAAUVKUVQAUVKUVQAUVKRZUVEUVOPZFHUKZUVQUVSUVTFHAUVKFAFUMZFU
      VEUVJFUVEUNZFHUVIUOUPUQUVSUVFHPZUVTUVSUWDRZUVEUVMUVNUWEUVEOHOUCZUVFQZURUV
      HVFUFZSUSZUGZUVMUWEUVEHUTZUWFUVEUDZUWIPZOHUKZRUVEUWJPZUWEUWKUWNUVKUWKAUWD
      FHUVIUVEVAVBUWEUWMOHUVSUWFHPZUWMUWDUVSUWPRZURUWFEUDZVFUFZUWIUWLUWGUWSUWIV
      CZUWGUWSUWIQUWTUWGUWSUWHUWIUWGUWRUVHURVFUWFUVFEVDVEUWGUWHSVGZVHUWSUWIVIVJ
      UWGVQZSUWSUWIURUWRVKUWGUWHSVLZVMVNUWQURUWRUWLURVOPZUWQVPVRAUWPUWRVOPZUVKA
      UWPRZUWRAHSUWFEMVSZVTZTZUWQUWFDUDZUWRUEUFZSUWLAUWPUXKSVCZUVKUXFUXJSPUXEUX
      LAHSUWFDLVSZUXHUXJUWRWAWBTUVKUWPUWLUXKPZAUVKUWPRUVKUWPUXNUVKUWPWCUVKUWPWD
      FHUVIUWFUXKUVEUVFUWFQZUVGUXJUVHUWRUEUVFUWFDVDZUVFUWFEVDZWEWHWBWFZWGZUWQUW
      LUXSWIUWQUXJVOPZUXEUXNUWLUWRWJWKAUWPUXTUVKUXFUXJUXMVTTUXIUXRUXJUWRUWLWLWM
      WNWOTWPWSOHUWIUVEUAWTZWQWRAUWDUVMUWJQZUVKAUWDRZBCIOGUVFHUVHGBXAICBUCZSFUY
      DUVFIUCZQZURCUCZVFUFZSUSZUGZXBZXCZBXAICUYDSOUYDUWFUYEQZUYHSUSZUGZXBZXCNBX
      AUYKUYPICUYDSUYJUYOUYJUYOQUYEUYDPUYGSPRZFOUYDUYIUYNUXOUYFUYMUYHSFOIXDXEXF
      VRXGXHXIZAHXAPZUWDJXJZAUWDWDZUYCHSUVFEAHSEYAUWDMXJVUAXKZXLZTXMUWEUVEUVNPZ
      UVFUVEUDZUVGWJWKZAUWDVUDVUFUVKUYCVUDRZUXDUVGVOPZVUEURUVGVFUFZPZVUFUXDVUGV
      PVRUYCVUHVUDUYCUVGUYCHSUVFDAHSDYAUWDLXJVUAXKZVTZXJVUGUVEOHUWGVUISUSZUGZPZ
      UWDVUJVUGUVEUVNVUNUYCVUDWDUYCUVNVUNQVUDUYCBCIOGUVFHUVGUYRUYTVUAVUKXLZXJXN
      UYCUWDVUDVUAXJOHVUMUVFVUIUVEUWGVUISVGZWHWBURUVGVUEXOWMXPUWEVUFVQZVUDUWEUV
      GVUEXQWKZVURUWEVUHUVHVOPZVUEUVIPZVUSAUWDVUHUVKVULTAUWDVUTUVKUYCUVHVUBVTZT
      UVKUWDVVAAUVKVVAFHUKZUWDVVAUVKUWKVVCUVKUWKVVCRZFHUVIUVEUYAWQZXRXSVVAFHYBX
      TWFZUVGUVHVUEYCWMUWEUVGVUEAUWDUVGSPZUVKVUKTUWEUVISVUEAUWDUVISVCZUVKUYCVVG
      VUTVVHVUKVVBUVGUVHWAWBTVVFWGYDYEXJYFYGYLYHUVEYMPUVQUWAULUYAFUVEHUVOYMYIYJ
      ZWRYLAUVQUVKAUVQRZVVDUVKVVJUWKVVCVVJUWPOUUCZUWKAVVKUVQAHUUAUUDZVVKKVVLVVK
      OHUUEXRVJXJVVJUWPUWKOVVJUWPUWKVVJUWPRZUVEUBHUBUCZUWFQUWSSUSZUGZPUWKVVMUVE
      UWFUWRUVLUFZVVPUVQUWPUVEVVQPAUVQUWPRZUVEVVQUWFUXJUVLUFZVVRFUVEHUVOVVQVVSU
      HZUWFUVQUWPWCUVQUWPWDUXOUVOVVTUVEUXOUVMVVQUVNVVSUXOUVFUWFUVHUWRUVLUXOUUFZ
      UXQWEUXOUVFUWFUVGUXJUVLVWAUXPWEUUBUUGUUHUUIWFVVMBCIUBGUWFHUWRGUYLBXAICUYD
      SUBUYDVVNUYEQZUYHSUSZUGZXBZXCNBXAUYKVWEICUYDSUYJVWDUYJVWDQUYQFUBUYDUYIVWC
      UVFVVNQUYFVWBUYHSFUBIXDXEXFVRXGXHXIAUYSUVQUWPJYKVVJUWPWDAUWPUWRSPUVQUXGTX
      LXNUBHVVOUVEVAVJYLUUJUUKVVJVVAFHAUVQFUWBFUVEUVPUWCFHUVOUULUPUQVVJUWDVVAVV
      JUWDRAUVTUWDVVAAUVQUWDYNUVQUWDUVTAUVQUWDRUWAUWDUVTUVQUWAUWDUVQUWAVVIXRXJU
      VQUWDWDUVTFHYBWBWFVVJUWDWDAUVTRZUWDRZUVGUVHVUEAUWDVUHUVTVULTAUWDVUTUVTVVB
      TVWGVUEVWGAUVEUVMPZUWDVUESPZAUVTUWDYNZUVTVWHAUWDUVEUVMUVNUUMZVBZVWFUWDWDZ
      AVWHRZUWDRZUWHSVUEURUVHVKZVWOUWOUWDVUEUWHPZVWOUVEUVMUWJAVWHUWDYOAUWDUYBVW
      HVUCTXNZVWNUWDWDOHUWIUVFUWHUVEUXAWHWBZWOZYPZVTVWGVUSVURVWGVUFVUDVWGVUFRVW
      NUWDVUFVUDVWFVWNUWDVUFVWFAVWHAUVTWCUVTVWHAVWKYQWSYKVWFUWDVUFYOVWGVUFWDVWO
      VUFRZUVEVUNUVNVXBUWKUWLVUMPZOHUKZRVUOVXBUWKVXDVWOUWKVUFVWOUWOUWKVWROHUWIU
      VEVAVJXJVXBVXCOHVXBUWPRZUWGVXCVXEUWGRUWLVUIVUMVXBUWGUWLVUIPUWPVXBUWGRUWLV
      UEVUIUWGUWLVUEQVXBUWFUVFUVEVDYQVXBVUJUWGVXBURUVGVUEUXDVXBVPVRAUWDVUHVWHVU
      FVULYRVWOVWIVUFVWTXJZVXBVUEVXFWIVWOVUFWDWNXJUUNTUWGVUIVUMQVXEUWGVUMVUIVUQ
      YSYQXNVWOUWPUXBVXCVUFVWOUWPRZUXBRUWLSVUMVXGUWLSPUXBVXGUWISUWLUWGUWISVCUWG
      UWIUWHSUXAVWPYTUXBUWISSUXCSUUOYTVNVXGUWOUWPUWMVWOUWOUWPVWRXJVWOUWPWDOHUWI
      UVEUUPWBWOXJUXBSVUMQVXGUXBVUMSUWGVUISVLYSYQXNXPUUQWPWSOHVUMUVEUYAWQWRAUWD
      VUNUVNQVWHVUFUYCUVNVUNVUPYSYRXNYPUVTVUDVQAUWDVUFUVEUVMUVNUURUUSYFVWGUVGVU
      EVWGAUWDVVGVWJVWMVUKWBVXAYDUUTVWGAVWHUWDVUEUVHWJWKZVWJVWLVWMVWOUXDVUTVWQV
      XHUXDVWOVPVRAUWDVUTVWHVVBTVWSURUVHVUEXOWMYPUVAYPYLYHWSVVEWRYLUVBUVCUAUVJU
      VPUVDWR $.
  $}

  ${
    unidmvon.x $e |- ( ph -> X e. Fin ) $.
    unidmvon.s $e |- S = dom ( voln ` X ) $.
    $( Base set of the n-dimensional Lebesgue measure.  (Contributed by Glauco
       Siliprandi, 24-Dec-2020.) $)
    unidmvon $p |- ( ph -> U. S = ( RR ^m X ) ) $=
      ( cuni covoln cfv ccaragen cdm cr cmap cvoln wceq a1i dmvon unieqd ovnome
      co eqtrd eqid caragenuni unidmovn 3eqtrd ) ABFCGHZIHZFUEJFKCLSABUFABCMHJZ
      UFBUGNAEOACDPTQAUFUEACDRUFUAUBACDUCUD $.
  $}

  ${
    $d A a k $.  $d K a x $.  $d X a k x $.  $d Y a k x $.  $d a k ph x $.
    hoidifhspf.d $e |- D = ( x e. RR |-> ( a e. ( RR ^m X ) |-> ( k e. X |-> if
       ( k = K , if ( x <_ ( a ` k ) , ( a ` k ) , x ) , ( a ` k ) ) ) ) ) $.
    hoidifhspf.y $e |- ( ph -> Y e. RR ) $.
    hoidifhspf.x $e |- ( ph -> X e. V ) $.
    hoidifhspf.a $e |- ( ph -> A : X --> RR ) $.
    $( ` D ` is a function that returns the representation of the left side of
       the difference of a half-open interval and a half-space.  Used in Lemma
       115F of [Fremlin1] p. 31 .  (Contributed by Glauco Siliprandi,
       24-Dec-2020.) $)
    hoidifhspf $p |- ( ph -> ( ( D ` Y ) ` A ) : X --> RR ) $=
      ( cr cfv wf cif wcel ifcld cv wceq cle wbr ffvelrnda adantr hoidifhspval2
      cmpt wa fmpttd feq1d mpbird ) AHOCIDPPZQHOEHEUAZFUBZIUNCPZUCUDZUPIRZUPRZU
      HZQAEHUSOAUNHSZUIZUOURUPOVBUQUPIOAHOUNCNUEZAIOSVALUFTVCTUJAHOUMUTABCDEFGH
      IJKLMNUGUKUL $.
  $}

  ${
    $d A a k $.  $d J k $.  $d K a k x $.  $d X a k x $.  $d Y a k x $.
    $d a k ph x $.
    hoidifhspval3.d $e |- D = ( x e. RR |-> ( a e. ( RR ^m X ) |-> ( k e. X |->
       if ( k = K , if ( x <_ ( a ` k ) , ( a ` k ) , x ) , ( a ` k ) ) ) ) )
       $.
    hoidifhspval3.y $e |- ( ph -> Y e. RR ) $.
    hoidifhspval3.x $e |- ( ph -> X e. V ) $.
    hoidifhspval3.a $e |- ( ph -> A : X --> RR ) $.
    hoidifhspval3.j $e |- ( ph -> J e. X ) $.
    $( ` D ` is a function that returns the representation of the left side of
       the difference of a half-open interval and a half-space.  Used in Lemma
       115F of [Fremlin1] p. 31 .  (Contributed by Glauco Siliprandi,
       24-Dec-2020.) $)
    hoidifhspval3 $p |- ( ph -> ( ( ( D ` Y ) ` A ) ` J ) = if ( J = K , if ( Y
       <_ ( A ` J ) , ( A ` J ) , Y ) , ( A ` J ) ) ) $=
      ( wceq cfv cle cif cv hoidifhspval2 eqeq1 fveq2 breq2d ifbieq1d ifbieq12d
      wbr cvv adantl fvexd cr elexd ifcld fvmptd ) AEFEUAZGQZJUPCRZSUHZURJTZURT
      ZFGQZJFCRZSUHZVCJTZVCTZICJDRRUIABCDEGHIJKLMNOUBUPFQZVAVFQAVGUQVBUTURVEVCU
      PFGUCVGUSVDURVCJVGURVCJSUPFCUDZUEVHUFVHUGUJPAVBVEVCUIAVDVCJUIAFCUKZAJULMU
      MUNVIUNUO $.
  $}

  ${
    $d A a b k $.  $d A c h k $.  $d B a b k $.  $d D a b k $.  $d K c h x $.
    $d X a b k x $.  $d X c h k x $.  $d Y a b k x $.  $d Y c h k x $.
    $d a b k ph x $.  $d c h k ph x $.
    hoidifhspdmvle.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m
       x ) |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k
       ) ) ) ) ) ) $.
    hoidifhspdmvle.x $e |- ( ph -> X e. Fin ) $.
    hoidifhspdmvle.a $e |- ( ph -> A : X --> RR ) $.
    hoidifhspdmvle.b $e |- ( ph -> B : X --> RR ) $.
    hoidifhspdmvle.k $e |- ( ph -> K e. X ) $.
    hoidifhspdmvle.d $e |- D = ( x e. RR |-> ( c e. ( RR ^m X ) |-> ( h e. X
       |-> if ( h = K , if ( x <_ ( c ` h ) , ( c ` h ) , x ) , ( c ` h ) ) ) )
       ) $.
    hoidifhspdmvle.y $e |- ( ph -> Y e. RR ) $.
    $( The dimensional volume of the difference of a half-open interval and a
       half-space is less than or equal to the dimensional volume of the whole
       half-open interval.  Used in Lemma 115F of [Fremlin1] p. 31 .
       (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    hoidifhspdmvle $p |- ( ph -> ( ( ( D ` Y ) ` A ) ( L ` X ) B ) <_ ( A ( L `
       X ) B ) ) $=
      ( cfv co cle wbr cv cico cvol cprod nfv wcel wa cr cfn ffvelrnda volicore
      hoidifhspf syl2anc cdm cc0 cxr icombl volge0 syl wss wceq cif adantr max2
      rexrd wf simpr hoidifhspval3 iftrue adantl eqtr2d breqtrd leidd pm2.61dan
      iffalse icossico syl22anc syl3anc fprodle ne0d hoidmvn0val breq12d mpbird
      wn volss ) ACKEUBUBZDJIUBZUCZCDWLUCZUDUEJGUFZWKUBZWODUBZUGUCZUHUBZGUIZJWO
      CUBZWQUGUCZUHUBZGUIZUDUEAJWSXCGAGUJPAWOJUKZULZWPUMUKZWQUMUKZWSUMUKAJUMWOW
      KABCEFHUNJKNTUAPQUQZUOZAJUMWODRUOZWPWQUPURXFWRUHUSZUKZUTWSUDUEXFXGWQVAUKZ
      XMXJXFWQXKVJZWPWQVBURZWRVCVDXFXAUMUKZXHXCUMUKAJUMWOCQUOZXKXAWQUPURXFXMXBX
      LUKZWRXBVEZWSXCUDUEXPXFXQXNXSXRXOXAWQVBURXFXAVAUKXNXAWPUDUEZWQWQUDUEXTXFX
      AXRVJXOXFWOHVFZYAXFYBULZXAKXAUDUEXAKVGZWPUDYCKUMUKZXQXAYDUDUEXFYEYBAYEXEU
      AVHZVHXFXQYBXRVHKXAVIURYCWPYBYDXAVGZYDXFWPYGVFZYBXFBCEFWOHUNJKNTYFAJUNUKX
      EPVHAJUMCVKXEQVHAXEVLVMZVHYBYGYDVFXFYBYDXAVNVOVPVQXFYBWIZULZXAXAWPUDXFXAX
      AUDUEYJXFXAXRVRVHYKWPYGXAXFYHYJYIVHYJYGXAVFXFYBYDXAVTVOVPVQVSXFWQXKVRXAWQ
      WPWQWAWBWRXBWJWCWDAWMWTWNXDUDABWKDGIJLMOPAJHSWEZXIRWFABCDGIJLMOPYLQRWFWGW
      H $.
  $}

  ${
    voncmpl.x $e |- ( ph -> X e. Fin ) $.
    voncmpl.s $e |- S = dom ( voln ` X ) $.
    voncmpl.e $e |- ( ph -> E e. dom ( voln ` X ) ) $.
    voncmpl.z $e |- ( ph -> ( ( voln ` X ) ` E ) = 0 ) $.
    voncmpl.f $e |- ( ph -> F C_ E ) $.
    $( The Lebesgue measure is complete.  See Definition 112Df of [Fremlin1]
       p. 19.  This is an observation written after Definition 115E of
       [Fremlin1] p. 31.  (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    voncmpl $p |- ( ph -> F e. S ) $=
      ( cfv cdm eqid wcel wss syl cc0 cres fveq1d wceq covoln cuni ovnome cvoln
      ccaragen dmvon caragenss eqsstrd sseldd elssuni sstrd eqcomd vonval eqtrd
      come eqtr2d reseq2d eleqtrrdi fvres 3eqtrrd omess0 caragencmpl eleqtrd
      a1i ) ADEUAKZUEKZBAVFDVEVELZUBZAEFUCZVHMZADCVHJACVGNCVHOAEUDKZLZVGCAVLVFV
      GAEFUFZAVEUONVFVGOVIVFVEVFMZUGPUHHUICVGUJPZUKACDVEVHVIVJVOAQCVEVFRZKZCVEB
      RZKZCVEKZAQCVKKZVQAWAQIULACVKVPAEFUMSUNACVPVRAVFBVEABVLVFBVLTAGVDVMUPZUQS
      ACBNVSVTTACVLBHGURCBVEUSPUTJVAVNVBWBVC $.
  $}

  ${
    $d X i $.  $d Y i $.
    hoiqssbllem1.i $e |- F/ i ph $.
    hoiqssbllem1.x $e |- ( ph -> X e. Fin ) $.
    hoiqssbllem1.n $e |- ( ph -> X =/= (/) ) $.
    hoiqssbllem1.y $e |- ( ph -> Y e. ( RR ^m X ) ) $.
    hoiqssbllem1.c $e |- ( ph -> C : X --> RR ) $.
    hoiqssbllem1.d $e |- ( ph -> D : X --> RR ) $.
    hoiqssbllem1.e $e |- ( ph -> E e. RR+ ) $.
    hoiqssbllem1.l $e |- ( ( ph /\ i e. X ) -> ( C ` i ) e. ( ( ( Y ` i ) - ( E
       / ( 2 x. ( sqrt ` ( # ` X ) ) ) ) ) (,) ( Y ` i ) ) ) $.
    hoiqssbllem1.r $e |- ( ( ph /\ i e. X ) -> ( D ` i ) e. ( ( Y ` i ) (,) ( (
       Y ` i ) + ( E / ( 2 x. ( sqrt ` ( # ` X ) ) ) ) ) ) ) $.
    $( The center of the n-dimensional ball belongs to the half-open interval.
       (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    hoiqssbllem1 $p |- ( ph -> Y e. X_ i e. X ( ( C ` i ) [,) ( D ` i ) ) ) $=
      ( wcel cfv co cr cvv wfn cv cico wral w3a cixp cmap elmapfn syl ffvelrnda
      elexd wa rexrd wf elmapi c2 chash cmul cdiv cmin cxr cioo clt wbr crp 2rp
      csqrt a1i cn c0 wne cfn wb hashnncl mpbird nnred elrpd rpsqrtcld rpmulcld
      nngt0d rpdivcld rpred adantr resubcld iooltub syl3anc ltled caddc ioogtlb
      readdcld elicod ex ralrimi 3jca elixp2 sylibr ) AGUAQZGFUBZDUCZGRZWTBRZWT
      CRZUDSZQZDFUEZUFGDFXDUGQAWRWSXFAGTFUHSZKULAGXGQZWSKGTFUIUJAXEDFHAWTFQZXEA
      XIUMZXBXCXAXJXBAFTWTBLUKZUNXJXCAFTWTCMUKUNXJXAAFTWTGAXHFTGUOKGTFUPUJUKZUN
      ZXJXBXAXKXLXJXAEUQFURRZVHRZUSSZUTSZVASZVBQXAVBQZXBXRXAVCSQXBXAVDVEXJXRXJX
      AXQXLAXQTQXIAXQAEXPNAUQXOUQVFQAVGVIAXNAXNAXNAXNVJQZFVKVLZJAFVMQXTYAVNIFVO
      UJVPZVQAXNYBWAVRVSVTWBWCWDZWEUNXMOXRXAXBWFWGWHXJXSXAXQWISZVBQXCXAYDVCSQXA
      XCVDVEXMXJYDXJXAXQXLYCWKUNPXAYDXCWJWGWLWMWNWODFXDGWPWQ $.
  $}

  ${
    $d C f g h i $.  $d C i j $.  $d D f g h i $.  $d D i j $.  $d E f i $.
    $d X f g h i $.  $d X i j $.  $d Y f g h i $.  $d f g h i ph $.
    hoiqssbllem2.i $e |- F/ i ph $.
    hoiqssbllem2.x $e |- ( ph -> X e. Fin ) $.
    hoiqssbllem2.n $e |- ( ph -> X =/= (/) ) $.
    hoiqssbllem2.y $e |- ( ph -> Y e. ( RR ^m X ) ) $.
    hoiqssbllem2.c $e |- ( ph -> C : X --> RR ) $.
    hoiqssbllem2.d $e |- ( ph -> D : X --> RR ) $.
    hoiqssbllem2.e $e |- ( ph -> E e. RR+ ) $.
    hoiqssbllem2.l $e |- ( ( ph /\ i e. X ) -> ( C ` i ) e. ( ( ( Y ` i ) - ( E
       / ( 2 x. ( sqrt ` ( # ` X ) ) ) ) ) (,) ( Y ` i ) ) ) $.
    hoiqssbllem2.r $e |- ( ( ph /\ i e. X ) -> ( D ` i ) e. ( ( Y ` i ) (,) ( (
       Y ` i ) + ( E / ( 2 x. ( sqrt ` ( # ` X ) ) ) ) ) ) ) $.
    $( The center of the n-dimensional ball belongs to the half-open interval.
       (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    hoiqssbllem2 $p |- ( ph -> X_ i e. X ( ( C ` i ) [,) ( D ` i ) ) C_ ( Y (
       ball ` ( dist ` ( RR^ ` X ) ) ) E ) ) $=
      ( co wcel wbr cr vf vg vh vj crrx cfv cds cbl cico cixp wral wss clt cmin
      cv wa cexp csu csqrt cmap cvv cmpo wceq cfn eqid rrxdsfi syl adantr fveq1
      c2 adantl oveq12d oveq1d sumeq2sdv fveq2d ffvelrnda rexrd hoissrrn2 simpr
      sseldd fvexd ovmpod nfcv nfixp1 nfel nfan simpl wf elmapi icossre syl2anc
      sylan cxr adantlr fvixp2 adantll resubcld cn0 2nn0 a1i reexpcld fsumreclf
      cc0 cle fveq2 cbvixpv syl21anc sqge0d fsumge0 resqrtcld resqcld rpred wne
      fsumrecl cabs cmul cdiv cioo iooltub syl3anc ltled caddc ioogtlb syl22anc
      wb mpbird 0red mpbid eqcomd breqtrd fsumlt sqrtltd jca recnd rpne0d eqtrd
      rpgt0d cc oveq2d 3eqtrd eleq2i biimpi simpll biimpri ad2antlr eqeltrd crp
      c0 chash 2rp cn hashnncl nnred elrpd rpsqrtcld rpmulcld rpdivcld readdcld
      nngt0d elicod icodiamlt lelttrd posdifd abslt2sqd eqbrtrd rerpdivcld sylc
      absidd lt2sub pnncand rpcnd 2cnd divdiv3d divcld 2halvesd lt2sq fsumconst
      divgt0d sqdiv sqrtth sqcld gtned divcan2d eqidd lttrd cxmet cmet rrxmetfi
      sqrtsq metxmet 3syl eleqtrdi elbl2 ralrimiva dfss3 sylibr ) AUAUOZGEFUEUF
      ZUGUFZUHUFQZRZUADFDUOZBUFZUXBCUFZUIQZUJZUKUXFUWTULAUXAUAUXFAUWQUXFRZUPZUX
      AGUWQUWSQZEUMSZUXHUXIFUXDUXCUNQZVJUQQZDURZUSUFZEUXHUXIFUXBGUFZUXBUWQUFZUN
      QZVJUQQZDURZUSUFZTUXHUBUCGUWQTFUTQZUYAFUXBUBUOZUFZUXBUCUOZUFZUNQZVJUQQZDU
      RZUSUFZUXTUWSVAAUWSUBUCUYAUYAUYIVBVCZUXGAFVDRZUYJIUYAUBUCDUWRFUWRVEUYAVEZ
      VFVGVHUYBGVCZUYDUWQVCZUPZUYIUXTVCUXHUYOUYHUXSUSUYOFUYGUXRDUYOUYFUXQVJUQUY
      OUYCUXOUYEUXPUNUYMUYCUXOVCUYNUXBUYBGVIVHUYNUYEUXPVCUYMUXBUYDUWQVIVKVLVMVN
      VOVKAGUYARZUXGKVHZUXHUXFUYAUWQAUXFUYAULUXGAUXCUXDDFHAFTUXBBLVPZAUXBFRZUPZ
      UXDAFTUXBCMVPZVQZVRVHAUXGVSVTZUXHUXSUSWAWBZUXHUXSUXHFUXRDAUXGDHDUWQUXFDUW
      QWCDFUXEWDWEWFUXHAUYKAUXGWGZIVGUXHUYSUPZUXQVJVUFUXOUXPUXHAUYSUXOTRVUEAFTU
      XBGAUYPFTGWHKGTFWIVGVPZWLVUFUXETUXPAUYSUXETULZUXGUYTUXCTRZUXDWMRVUHUYRVUB
      UXCUXDWJWKWNUXGUYSUXPUXERZADFUXEUWQWOWPZVTWQZVJWRRVUFWSWTXAZXBZUXHAUWQUDF
      UDUOZBUFZVUOCUFZUIQZUJZRZXCUXSXDSVUEUXGVUTAUXGVUTUXFVUSUWQDUDFUXEVURUXBVU
      OVCUXCVUPUXDVUQUIUXBVUOBXEUXBVUOCXEVLXFUUAZUUBVKZAVUTUPZFUXRDAUYKVUTIVHZV
      VCUYSUPZAUXGUYSUXRTRAVUTUYSUUCZVUTUXGAUYSUXGVUTVVAUUDUUEZVVCUYSVSZVUMXGZV
      VEAUXGUYSXCUXRXDSVVFVVGVVHVUFUXQVULXHXGXIWKZXJUUFAUXNTRUXGAUXMAFUXLDIUYTU
      XKUYTUXDUXCVUAUYRWQZXKZXNZAFUXLDIVVLUYTUXKVVKXHXIZXJVHAETRZUXGAENXLZVHZUX
      HUXIUXTUXNUMVUDUXHUXSUXMUMSZUXTUXNUMSUXHAVUTVVRVUEVVBVVCFUXRUXLDVVDAFUUHX
      MZVUTJVHVVIAUYSUXLTRVUTVVLWNVVEAUXGUYSUXRUXLUMSVVFVVGVVHVUFUXQUXKVULVUFUX
      DUXCUXHAUYSUXDTRZVUEVUAWLZUXHAUYSVUIVUEUYRWLZWQVUFUXQXOUFZUXKUXKXOUFZUMVU
      FVUIVVTUXOUXERZVUJVWCUXKUMSVWBVWAUXHAUYSVWEVUEUYTUXCUXDUXOUYTUXCUYRVQVUBU
      YTUXOVUGVQZUYTUXCUXOUYRVUGUYTUXOEVJFUUIUFZUSUFZXPQZXQQZUNQZWMRZUXOWMRZUXC
      VWKUXOXRQRZUXCUXOUMSUYTVWKUYTUXOVWJVUGAVWJTRUYSAVWJAEVWINAVJVWHVJUUGRAUUJ
      WTZAVWGAVWGAVWGAVWGUUKRZVVSJAUYKVWPVVSYEIFUULVGYFZUUMZAVWGVWQUUSZUUNUUOZU
      UPUUQXLVHZWQZVQZVWFOVWKUXOUXCXSXTYAZUYTVWMUXOVWJYBQZWMRZUXDUXOVXEXRQRZUXO
      UXDUMSVWFUYTVXEUYTUXOVWJVUGVXAUURZVQZPUXOVXEUXDYCXTZUUTWLVUKUXCUXDUXOUXPU
      VAYDAUYSUXKVWDVCUXGUYTVWDUXKUYTUXKVVKUYTXCUXKUYTYGVVKUYTUXCUXDUMSXCUXKUMS
      UYTUXCUXOUXDUYRVUGVUAVXDVXJUVBUYTUXCUXDUYRVUAUVCYHYAZUVHYIWNYJUVDXGYKWKUX
      HUXSUXMVUNVVJUXHAUXMTRVUEVVMVGUXHAXCUXMXDSVUEVVNVGYLYHUVEAUXNEUMSUXGAUXNF
      EVWHXQQZVJUQQZDURZUSUFZEUMAUXMVXNUMSUXNVXOUMSAFUXLVXMDIJVVLAVXMTRUYSAVXLA
      EVWHVVPVWTUVFZXKZVHZUYTUXKVXLUMSZUXLVXMUMSZUYTUXKVXEVWKUNQZVXLUMUYTVVTVUI
      UPZVXETRZVWKTRZUPZUPUXDVXEUMSZVWKUXCUMSZUPUXKVYAUMSUYTVYBVYEUYTVVTVUIVUAU
      YRYMUYTVYCVYDVXHVXBYMYMUYTVYFVYGUYTVWMVXFVXGVYFVWFVXIPUXOVXEUXDXSXTUYTVWL
      VWMVWNVYGVXCVWFOVWKUXOUXCYCXTYMUXDUXCVXEVWKUVIUVGUYTVYAVWJVWJYBQZVXLUYTUX
      OVWJVWJUYTUXOVUGYNUYTVWJVXAYNZVYIUVJAVYHVXLVCUYSAVYHVXLVJXQQZVYJYBQVXLAVW
      JVYJVWJVYJYBAVYJVWJAEVWHVJAEVVPYNZAVWHVWTUVKZAUVLAVWHVWTYOZAVJVWOYOUVMYIZ
      VYNVLAVXLAEVWHVYKVYLVYMUVNUVOYPVHYPYJUYTUXKTRXCUXKXDSVXLTRZXCVXLXDSZVXSVX
      TYEVVKVXKAVYOUYSVXPVHZAVYPUYSAXCVXLAYGZVXPAEVWHVVPAVWHVWTXLAENYQZAVWHVWTY
      QUVRYAVHUXKVXLUVPYDYHYKAUXMVXNVVMVVNAFVXMDIVXRXNAFVXMDIVXRUYTVXLVYQXHXIYL
      YHAVXOEVJUQQZUSUFZEEAVXNVYTUSAVXNVWGVXMXPQZVWGVYTVWGXQQZXPQVYTAUYKVXMYRRV
      XNWUBVCIAVXMVXQYNFVXMDUVQWKAVXMWUCVWGXPAVXMVYTVWHVJUQQZXQQZWUCAEYRRVWHYRR
      VWHXCXMVXMWUEVCVYKVYLVYMEVWHUVSXTAWUDVWGVYTXQAVWGYRRWUDVWGVCAVWGVWRYNZVWG
      UVTVGYSYPYSAVYTVWGAEVYKUWAWUFAXCVWGVYRVWSUWBUWCYTVOAVVOXCEXDSWUAEVCVVPAXC
      EVYRVVPVYSYAEUWIWKAEUWDYTYJVHUWEUXHUWSUYAUWFUFRZEWMRUYPUWQUYARUXAUXJYEAWU
      GUXGAUYKUWSUYAUWGUFRWUGIUWSFUWSVEUWHUWSUYAUWJUWKVHUXHEVVQVQUYQUXHUWQUYAUY
      AVUCUYLUWLUWQUWSGEUYAUWMYDYFUWNUAUXFUWTUWOUWP $.
  $}

  ${
    $d E c d i k $.  $d X c d i k $.  $d Y c d i k $.  $d c d i ph $.
    hoiqssbllem3.x $e |- ( ph -> X e. Fin ) $.
    hoiqssbllem3.n $e |- ( ph -> X =/= (/) ) $.
    hoiqssbllem3.y $e |- ( ph -> Y e. ( RR ^m X ) ) $.
    hoiqssbllem3.e $e |- ( ph -> E e. RR+ ) $.
    $( A n-dimensional ball contains a nonempty half-open interval with
       vertices with rational components.  (Contributed by Glauco Siliprandi,
       24-Dec-2020.) $)
    hoiqssbllem3 $p |- ( ph -> E. c e. ( QQ ^m X ) E. d e. ( QQ ^m X ) ( Y e.
       X_ i e. X ( ( c ` i ) [,) ( d ` i ) ) /\ X_ i e. X ( ( c ` i ) [,) ( d `
       i ) ) C_ ( Y ( ball ` ( dist ` ( RR^ ` X ) ) ) E ) ) ) $=
      ( cfv cq co wcel wa cvv cr adantl ad3antrrr vk cv c2 chash cmul cdiv cmin
      csqrt cioo cin wral caddc cmap wrex cico cixp cds cbl wss wex wfn qex a1i
      crrx inex1 c0 wceq cle wbr clt wn wf elmapi syl ffvelrnda crp 2rp wne cfn
      cn hashnncl mpbird nnrp rpsqrtcld rpmulcld rpdivcld adantr ltsubrpd rpred
      wb resubcld ltnled mpbid rexrd qinioo mtbird choicefi simpl nfra1 elinel1
      neqned rspa ex ralrimi jca sylibr elmapg syl2anc simprr eximdv mpd df-rex
      ffnfv ltaddrpd readdcld reeanv nfv qssre ad2antrr ad2antlr elin2d adantlr
      nfan fssd adantll hoiqssbllem1 fveq2 oveq1d oveq12d ineq2d eleq12d biimpi
      cbvralvw sylanbr hoiqssbllem2 reximdva ) ABUBZFUBZLZMYQELZCUCDUDLZUHLZUEN
      ZUFNZUGNZYTUINZUJZOZBDUKZYQGUBZLZMYTYTUUDULNZUINZUJZOZBDUKZPZGMDUMNZUNZFU
      URUNZEBDYSUUKUONUPZOZUVAECDVDLUQLURLNUSZPZGUURUNZFUURUNAUUIFUURUNZUUPGUUR
      UNZPUUTAUVFUVGAYRUUROZUUIPZFUTZUVFAYRDVAZUUIPZFUTUVJABDUUGFQHUUGQOAYQDOZP
      ZMUUFVBVEVCUVNUUGVFUVNUUGVFVGYTUUEVHVIZUVNUUEYTVJVIUVOVKUVNYTUUDADRYQEAER
      DUMNOZDREVLJERDVMVNVOZAUUDVPOUVMACUUCKAUCUUBUCVPOAVQVCAUUAAUUAVTOZUUAVPOA
      UVRDVFVRZIADVSOZUVRUVSWJHDWAVNWBUUAWCVNWDWEWFWGZWHUVNUUEYTUVNYTUUDUVQUVNU
      UDUWAWIZWKZUVQWLWMUVNUUEYTUVNUUEUWCWNUVNYTUVQWNZWOWPXAWQAUVLUVIFAUVLUVIAU
      VLPZUVHUUIUWEUVHDMYRVLZUWEUVKYSMOZBDUKZPZUWFUVLUWIAUVLUVKUWHUVKUUIWRUUIUW
      HUVKUUIUWGBDUUHBDWSZUUIUVMUWGUUIUVMPZUUHUWGUUHBDXBZYSMUUFWTVNXCXDSXESBDMY
      RXMXFAUVHUWFWJZUVLAMQOZUVTUWMUWNAVBVCZHMDYRQVSXGXHWGWBAUVKUUIXIXEXCXJXKUU
      IFUURXLXFAUUJUUROZUUPPZGUTZUVGAUUJDVAZUUPPZGUTUWRABDUUNGQHUUNQOUVNMUUMVBV
      EVCUVNUUNVFUVNUUNVFVGUULYTVHVIZUVNYTUULVJVIUXAVKUVNYTUUDUVQUWAXNUVNYTUULU
      VQUVNYTUUDUVQUWBXOZWLWMUVNYTUULUWDUVNUULUXBWNWOWPXAWQAUWTUWQGAUWTUWQAUWTP
      ZUWPUUPUXCUWPDMUUJVLZUXCUWSUUKMOZBDUKZPZUXDUWTUXGAUWTUWSUXFUWSUUPWRUUPUXF
      UWSUUPUXEBDUUOBDWSZUUPUVMUXEUUPUVMPZUUOUXEUUOBDXBZUUKMUUMWTVNXCXDSXESBDMU
      UJXMXFAUWPUXDWJZUWTAUWNUVTUXKUWOHMDUUJQVSXGXHWGWBAUWSUUPXIXEXCXJXKUUPGUUR
      XLXFXEUUIUUPFGUURUURXPXFAUUSUVEFUURAUVHPZUUQUVDGUURUXLUWPPZUUQUVDUXMUUQPZ
      UVBUVCUXNYRUUJBCDEUXMUUQBUXMBXQUUIUUPBUWJUXHYCYCAUVTUVHUWPUUQHTAUVSUVHUWP
      UUQITAUVPUVHUWPUUQJTUXLDRYRVLZUWPUUQUVHUXOAUVHDMRYRYRMDVMMRUSZUVHXRVCYDSZ
      XSUWPDRUUJVLZUXLUUQUWPDMRUUJUUJMDVMUXPUWPXRVCYDZXTACVPOZUVHUWPUUQKTUUQUVM
      YSUUFOZUXMUUIUVMUYAUUPUWKMUUFYSUWLYAZYBYEUUQUVMUUKUUMOZUXMUUPUVMUYCUUIUXI
      MUUMUUKUXJYAZYEYEYFUXNUXMUAUBZYRLZMUYEELZUUDUGNZUYGUINZUJZOZUADUKZUYEUUJL
      ZMUYGUYGUUDULNZUINZUJZOZUADUKZPZUVCUXMUUQWRUUQUYSUXMUUQUYLUYRUUIUYLUUPUUI
      UYLUUHUYKBUADYQUYEVGZYSUYFUUGUYJYQUYEYRYGUYTUUFUYIMUYTUUEUYHYTUYGUIUYTYTU
      YGUUDUGYQUYEEYGZYHVUAYIYJYKYMZYLWGUUPUYRUUIUUPUYRUUOUYQBUADUYTUUKUYMUUNUY
      PYQUYEUUJYGUYTUUMUYOMUYTYTUYGUULUYNUIVUAUYTYTUYGUUDULVUAYHYIYJYKYMZYLSXES
      UXMUYSPZYRUUJBCDEVUDBXQAUVTUVHUWPUYSHTAUVSUVHUWPUYSITAUVPUVHUWPUYSJTUXLUX
      OUWPUYSUXQXSUWPUXRUXLUYSUXSXTAUXTUVHUWPUYSKTUYSUVMUYAUXMUYLUVMUYAUYRUYLUU
      IUVMUYAVUBUYBYNYBYEUYSUVMUYCUXMUYRUVMUYCUYLUYRUUPUVMUYCVUCUYDYNYEYEYOXHXE
      XCYPYPXK $.
  $}

  ${
    $d E c d i $.  $d X c d i $.  $d Y c d i $.  $d c d i ph $.
    hoiqssbl.x $e |- ( ph -> X e. Fin ) $.
    hoiqssbl.y $e |- ( ph -> Y e. ( RR ^m X ) ) $.
    hoiqssbl.e $e |- ( ph -> E e. RR+ ) $.
    $( A n-dimensional ball contains a nonempty half-open interval with
       vertices with rational components.  (Contributed by Glauco Siliprandi,
       24-Dec-2020.) $)
    hoiqssbl $p |- ( ph -> E. c e. ( QQ ^m X ) E. d e. ( QQ ^m X ) ( Y e. X_ i
       e. X ( ( c ` i ) [,) ( d ` i ) ) /\ X_ i e. X ( ( c ` i ) [,) ( d ` i )
       ) C_ ( Y ( ball ` ( dist ` ( RR^ ` X ) ) ) E ) ) ) $=
      ( c0 wceq cfv co wcel cq cmap wrex a1i cr cv cico cixp cds cbl wss wa csn
      crrx 0ex snid adantr oveq2 cvv reex mapdm0 ax-mp eqtrd adantl eleqtrd crp
      cxmet cmet cfn 0fin eqid rrxmetfi metxmet eleqtrrdi blcntr syl3anc eqcomd
      elsni syl oveq1d snssd jca biidd rspcev syl2anc wb eqtr2d eleq2d rexbidv2
      anbi1d anbi12d mpbird ixpeq1 ixp0x 2fveq3 fveq2d oveqd sseq12d rexbidv wn
      qex wne neqne hoiqssbllem3 pm2.61dan ) ADKLZEBDBUAZFUAZMXBGUAZMUBNZUCZOZX
      FECDUIMUDMZUEMZNZUFZUGZGPDQNZRZFXMRZAXAUGZXOEKUHZOZXQECKUIMUDMZUEMZNZUFZU
      GZGXMRZFXMRZXPYEYCGXQRZFXQRZXPKXQOZYFYGYHXPKUJUKSZXPYHYCYFYIXPXRYBXPETDQN
      ZXQAEYJOZXAIULXAYJXQLAXAYJTKQNZXQDKTQUMYLXQLZXATUNOYMUOTUNUPUQZSURUSUTZXP
      KYAXPKKCXTNZYAXPXSYLVBMOZKYLOCVAOZKYPOYQXPXSYLVCMOZYQKVDOYSVEXSKXSVFVGUQX
      SYLVHUQSXPKXQYLYIYNVIAYRXAJULXSKCYLVJVKXPKECXTXPEKXPXREKLYOEKVMVNVLVOUTVP
      VQYCYCGKXQXDKLYCVRVSVTYFYFFKXQXCKLYFVRVSVTXAYEYGWAAXAYDYFFXMXQXAXCXMOXCXQ
      OYDYFXAXMXQXCXAXQXMXAXMPKQNZXQDKPQUMYTXQLZXAPUNOUUAWPPUNUPUQSWBVLZWCXAYCY
      CGXMXQXAXDXMOXDXQOYCXAXMXQXDUUBWCWEWDWFWDUSWGXAXOYEWAAXAXNYDFXMXAXLYCGXMX
      AXGXRXKYBXAXFXQEXAXFBKXEUCZXQBDKXEWHUUCXQLXABXEWISURZWCXAXFXQXJYAUUDXAXIX
      TECXAXHXSUEDKUDUIWJWKWLWMWFWNWNUSWGAXAWOZUGBCDEFGADVDOUUEHULUUEDKWQADKWRU
      SAYKUUEIULAYRUUEJULWSWT $.
  $}

  ${
    $d A a b k $.  $d A c h k $.  $d B a b k $.  $d B c h k $.  $d K c h k x $.
    $d K c h k y $.  $d S a b k $.  $d T a b k $.  $d X a b k x $.
    $d X c h k x $.  $d X c h k y $.  $d Y a b k x $.  $d Y c h k x $.
    $d Y c h k y $.  $d a b k ph x $.  $d c h k ph x $.  $d ph y $.
    hspmbllem1.x $e |- ( ph -> X e. Fin ) $.
    hspmbllem1.k $e |- ( ph -> K e. X ) $.
    hspmbllem1.y $e |- ( ph -> Y e. RR ) $.
    hspmbllem1.a $e |- ( ph -> A : X --> RR ) $.
    hspmbllem1.b $e |- ( ph -> B : X --> RR ) $.
    hspmbllem1.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x )
       |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k ) )
       ) ) ) ) $.
    hspmbllem1.t $e |- T = ( y e. RR |-> ( c e. ( RR ^m X ) |-> ( h e. X |-> if
       ( h e. ( X \ { K } ) , ( c ` h ) , if ( ( c ` h ) <_ y , ( c ` h ) , y )
       ) ) ) ) $.
    hspmbllem1.s $e |- S = ( x e. RR |-> ( c e. ( RR ^m X ) |-> ( h e. X |-> if
       ( h = K , if ( x <_ ( c ` h ) , ( c ` h ) , x ) , ( c ` h ) ) ) ) ) $.
    $( Any half-space of the n-dimensional Real numbers is Lebesgue measurable.
       This is Step (a) of Lemma 115F of [Fremlin1] p. 31.  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    hspmbllem1 $p |- ( ph -> ( A ( L ` X ) B ) = ( ( A ( L ` X ) ( ( T ` Y ) `
       B ) ) +e ( ( ( S ` Y ) ` A ) ( L ` X ) B ) ) ) $=
      ( cfv co cxad caddc cv cico cvol cprod cc0 cpnf rge0ssre cfn cdif hsphoif
      csn hoidmvcl sselid hoidifhspf rexaddd cmul ne0d hoidmvn0val oveq12d wceq
      cun uncom a1i wss snssd undif sylib eqtrd eqcomd prodeq1d nfv nfcv difssd
      cr ssfid neldifsnd wcel wa wf adantr sselda ffvelrnd volicore recnd fveq2
      syl2anc fveq2d fprodsplitsn cle wbr cif hsphoival iftrue adantl prodeq2dv
      oveq2d oveq1d 3eqtrd eqeltrrd hoidifhspval3 wn eldifsni iffalsed fvoveq1d
      wne neneq syl cc eqid iftruei c0 ad2antrr simplr simpr letrd cxr wb rexrd
      ico0 mpbird iffalse pm2.61dan vol0 addid1d clt ltnled adantlr cmin volico
      simpl resubcld 3eqtrrd addid2d iftrued addcomd npncand 3eqtr4d fprodcl
      lttrd eqtr2d adddid ) ADEMGUEUEZLKUEZUFZDMFUEUEZEUUKUFZUGUFUULUUNUHUFZLIU
      IZDUEZUUPEUEZUJUFZUKUEZIULZDEUUKUFZAUULUUNAUMUNUJUFZWBUULUOABDUUJIKLNOUBQ
      TACMEHGUPLLJUSZUQZPUCSQUAURZUTVAAUVCWBUUNUOABUUMEIKLNOUBQABDFHJUPLMPUDSQT
      VBZUAUTVAVCAUUOLUUQUUPUUJUEZUJUFZUKUEZIULZLUUPUUMUEZUURUJUFZUKUEZIULZUHUF
      UVEUUTIULZJDUEZJUUJUEZUJUFZUKUEZVDUFZUVPJUUMUEZJEUEZUJUFZUKUEZVDUFZUHUFZU
      VAAUULUVKUUNUVOUHABDUUJIKLNOUBQALJRVEZTUVFVFABUUMEIKLNOUBQUWHUVGUAVFVGAUV
      KUWAUVOUWFUHAUVKUVEUVDVIZUVJIULUVEUVJIULZUVTVDUFUWAALUWIUVJIAUWILAUWIUVDU
      VEVIZLUWIUWKVHAUVEUVDVJVKAUVDLVLUWKLVHAJLRVMUVDLVNVOVPVQZVRAUVEJUVJUVTILA
      IVSZIUVTVTALUVEQALUVDWAZWCZRAJLWDZAUUPUVEWEZWFZUVJUWRUUQWBWEUVHWBWEUVJWBW
      EUWRLWBUUPDALWBDWGUWQTWHZAUVELUUPUWNWIZWJUWRLWBUUPUUJUWRCMEHGUPLUVEPUCAMW
      BWEZUWQSWHZALUPWEUWQQWHZALWBEWGUWQUAWHZURUWTWJZUUQUVHWKWNWLZUUPJVHZUVIUVS
      UKUXGUUQUVQUVHUVRUJUUPJDWMZUUPJUUJWMVGWOAUVTAUVQWBWEZUVRWBWEUVTWBWEALWBJD
      TRWJZALWBJUUJUVFRWJUVQUVRWKWNWLZWPAUWJUVPUVTVDAUVEUVJUUTIUWRUVIUUSUKUWRUV
      HUURUUQUJUWRUVHUWQUURUURMWQWRUURMWSZWSZUURUWRCMEHGUUPUPLUVEPUCUXBUXCUXDUW
      TWTUWQUXMUURVHAUWQUURUXLXAXBVPZXDWOZXCXEXFAUVOUWIUVNIULUVEUVNIULZUWEVDUFU
      WFALUWIUVNIUWLVRAUVEJUVNUWEILUWMIUWEVTUWORUWPUWRUVNUWRUVLWBWEUURWBWEUVNWB
      WEUWRLWBUUPUUMALWBUUMWGUWQUVGWHUWTWJUWRUVHUURWBUXNUXEXGUVLUURWKWNWLUXGUVM
      UWDUKUXGUVLUWBUURUWCUJUUPJUUMWMUUPJEWMZVGWOAUWEAUWBWBWEUWCWBWEZUWEWBWEALW
      BJUUMUVGRWJALWBJEUARWJZUWBUWCWKWNWLZWPAUXPUVPUWEVDAUVEUVNUUTIUWRUVLUUQUUR
      UKUJUWRUVLUXGMUUQWQWRUUQMWSZUUQWSZUUQUWRBDFHUUPJUPLMPUDUXBUXCUWSUWTXHUWQU
      YBUUQVHAUWQUXGUYAUUQUWQUUPJXMUXGXIUUPLJXJUUPJXNXOXKXBVPXLXCXEXFVGAUVAUVPU
      VQUWCUJUFZUKUEZVDUFZUVPUVTUWEUHUFZVDUFUWGAUVAUWIUUTIULUYEALUWIUUTIUWLVRAU
      VEJUUTUYDILUWMIUYDVTUWORUWPUWRUVJUUTXPUXOUXFXGZUXGUUSUYCUKUXGUUQUVQUURUWC
      UJUXHUXQVGWOAUYDAUXIUXRUYDWBWEUXJUXSUVQUWCWKWNWLZWPVPAUYDUYFUVPVDAUYFUVQU
      WCMWQWRZUWCMWSZUJUFZUKUEZMUVQWQWRZUVQMWSZUWCUJUFZUKUEZUHUFZUYDAUVTUYLUWEU
      YPUHAUVSUYKUKAUVRUYJUVQUJAUVRJUVEWEZUWCUYJWSUYJACMEHGJUPLUVEPUCSQUARWTAUY
      RUWCUYJUWPXKVPXDWOAUWBUYNUWCUKUJAUWBJJVHZUYNUVQWSZUYNABDFHJJUPLMPUDSQTRXH
      UYTUYNVHAUYSUYNUVQJXQXRVKVPXLVGAUYIUYQUYDVHAUYIWFZUYQUYDUYPUHUFZUYDUMUHUF
      ZUYDUYIUYQVUBVHAUYIUYLUYDUYPUHUYIUYKUYCUKUYIUYJUWCUVQUJUYIUWCMXAXDWOXEXBV
      UAUYPUMUYDUHVUAUYPXSUKUEZUMVUAUYOXSUKVUAUYMUYOXSVHVUAUYMWFZUYOUYCXSUYMUYO
      UYCVHVUAUYMUYNUVQUWCUJUYMUVQMXAZXEXBVUEUYCXSVHZUWCUVQWQWRZVUEUWCMUVQAUXRU
      YIUYMUXSXTZAUXAUYIUYMSXTAUXIUYIUYMUXJXTZAUYIUYMYAVUAUYMYBYCVUEUVQYDWEZUWC
      YDWEZVUGVUHYEVUEUVQVUJYFVUEUWCVUIYFUVQUWCYGWNYHVPVUAUYMXIZWFUYOMUWCUJUFZX
      SVUMUYOVUNVHVUAVUMUYNMUWCUJUYMUVQMYIZXEXBVUAVUNXSVHZVUMVUAVUPUYIAUYIYBVUA
      MYDWEZVULVUPUYIYEAVUQUYIAMSYFZWHAVULUYIAUWCUXSYFWHMUWCYGWNYHWHVPYJWOVUDUM
      VHZVUAYKVKVPXDAVUCUYDVHUYIAUYDUYHYLWHXFAUYIXIZWFZUYQUVQMUJUFZUKUEZUYPUHUF
      ZUYDVVAUYLVVCUYPUHVUTUYLVVCVHAVUTUYKVVBUKVUTUYJMUVQUJUYIUWCMYIXDWOXBXEVVA
      AMUWCYMWRZVVDUYDVHZAVUTYRZVVAVVEVUTAVUTYBVVAMUWCVVAAUXAVVGSXOVVAAUXRVVGUX
      SXOYNYHAVVEWFZUYMVVFVVHUYMWFVVDVVCUYDUHUFZUMUYDUHUFZUYDUYMVVDVVIVHVVHUYMU
      YPUYDVVCUHUYMUYNUVQUWCUKUJVUFXLXDXBAUYMVVIVVJVHVVEAUYMWFZVVCUMUYDUHVVKVVC
      VUDUMVVKVVBXSUKVVKVVBXSVHZUYMAUYMYBVVKVUKVUQVVLUYMYEAVUKUYMAUVQUXJYFWHAVU
      QUYMVURWHUVQMYGWNYHWOVUSVVKYKVKVPXEYOAVVJUYDVHVVEUYMAUYDUYHUUAXTXFVVHVUMW
      FZVVDVVCVUNUKUEZUHUFZMUVQYPUFZUWCMYPUFZUHUFZUYDVUMVVDVVOVHVVHVUMUYPVVNVVC
      UHVUMUYNMUWCUKUJVUOXLXDXBVVMVVHUVQMYMWRZVVOVVRVHVVHVUMYRZAVUMVVSVVEAVUMWF
      ZVVSVUMAVUMYBVWAUVQMAUXIVUMUXJWHAUXAVUMSWHYNYHYOZVVHVVSWFZVVCVVPVVNVVQUHA
      VVSVVCVVPVHVVEAVVSWFZVVCVVSVVPUMWSZVVPVWDUXIUXAVVCVWEVHAUXIVVSUXJWHZAUXAV
      VSSWHUVQMYQWNVVSVWEVVPVHAVVSVVPUMXAXBVPYOVVHVVNVVQVHVVSVVHVVNVVEVVQUMWSZV
      VQVVHUXAUXRVVNVWGVHAUXAVVESWHZAUXRVVEUXSWHZMUWCYQWNVVEVWGVVQVHAVVEVVQUMXA
      XBVPWHVGWNVVMVVHVVSVVRUYDVHVVTVWBVWCUWCUVQYPUFZUVQUWCYMWRZVWJUMWSZVVRUYDV
      WCVWLVWJVWCVWKVWJUMVWCUVQMUWCAVVSUXIVVEVWFYOZVVHUXAVVSVWHWHVVHUXRVVSVWIWH
      ZVVHVVSYBAVVEVVSYAUUGUUBVQAVVRVWJVHVVEVVSAVVRVVQVVPUHUFVWJAVVPVVQAVVPAMUV
      QSUXJYSWLAVVQAUWCMUXSSYSWLUUCAUWCMUVQAUWCUXSWLAMSWLAUVQUXJWLUUDVPXTVWCUXI
      UXRUYDVWLVHVWMVWNUVQUWCYQWNUUEWNXFYJWNVPYJUUHXDAUVPUVTUWEAUVEUUTIUWOUYGUU
      FUXKUXTUUIYTXFAUVBUVAABDEIKLNOUBQUWHTUAVFVQYT $.
  $}

  ${
    $d A f j k $.  $d C a b c h k l $.  $d C f k l $.  $d D a b c h j k l $.
    $d D f j k l $.  $d H f j k $.  $d K a b c h j k l x y $.  $d K f j k l $.
    $d S a b k l $.  $d S f k l $.  $d T a b k l $.  $d T f k l $.
    $d X a b c h j k l x y $.  $d X f j k l $.  $d Y a b c h j k l x y $.
    $d Y f j k l $.  $d a b c h j k l ph x y $.  $d f j k l ph $.
    hspmbllem2.h $e |- H = ( x e. Fin |-> ( l e. x , y e. RR |-> X_ k e. x if (
       k = l , ( -oo (,) y ) , RR ) ) ) $.
    hspmbllem2.x $e |- ( ph -> X e. Fin ) $.
    hspmbllem2.k $e |- ( ph -> K e. X ) $.
    hspmbllem2.y $e |- ( ph -> Y e. RR ) $.
    hspmbllem2.e $e |- ( ph -> E e. RR+ ) $.
    hspmbllem2.c $e |- ( ph -> C : NN --> ( RR ^m X ) ) $.
    hspmbllem2.d $e |- ( ph -> D : NN --> ( RR ^m X ) ) $.
    hspmbllem2.a $e |- ( ph -> A C_ U_ j e. NN X_ k e. X ( ( ( C ` j ) ` k )
       [,) ( ( D ` j ) ` k ) ) ) $.
    hspmbllem2.g $e |- ( ph -> ( sum^ ` ( j e. NN |-> prod_ k e. X ( vol ` ( (
       ( C ` j ) ` k ) [,) ( ( D ` j ) ` k ) ) ) ) ) <_ ( ( ( voln* ` X ) ` A )
       + E ) ) $.
    hspmbllem2.r $e |- ( ph -> ( ( voln* ` X ) ` A ) e. RR ) $.
    hspmbllem2.i $e |- ( ph -> ( ( voln* ` X ) ` ( A i^i ( K ( H ` X ) Y ) ) )
       e. RR ) $.
    hspmbllem2.f $e |- ( ph -> ( ( voln* ` X ) ` ( A \ ( K ( H ` X ) Y ) ) ) e.
       RR ) $.
    hspmbllem2.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x )
       |-> if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k ) )
       ) ) ) ) $.
    hspmbllem2.t $e |- T = ( y e. RR |-> ( c e. ( RR ^m X ) |-> ( h e. X |-> if
       ( h e. ( X \ { K } ) , ( c ` h ) , if ( ( c ` h ) <_ y , ( c ` h ) , y )
       ) ) ) ) $.
    hspmbllem2.s $e |- S = ( x e. RR |-> ( c e. ( RR ^m X ) |-> ( h e. X |-> if
       ( h = K , if ( x <_ ( c ` h ) , ( c ` h ) , x ) , ( c ` h ) ) ) ) ) $.
    $( Any half-space of the n-dimensional Real numbers is Lebesgue measurable.
       This is Step (b) of Lemma 115F of [Fremlin1] p. 31.  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    hspmbllem2 $p |- ( ph -> ( ( ( voln* ` X ) ` ( A i^i ( K ( H ` X ) Y ) ) )
       + ( ( voln* ` X ) ` ( A \ ( K ( H ` X ) Y ) ) ) ) <_ ( ( ( voln* ` X ) `
       A ) + E ) ) $=
      ( vf cfv co cdif caddc cn cmpt csumge0 cvv nfv wcel a1i cc0 cpnf cico cfn
      cv wa adantr cr cmap wf ffvelrnda elmapi syl hoidmvcl sselid cprod cle c0
      fveq2d eqbrtrd ge0lere wbr cif wceq weq syl2anc eqtrd mpbird eqidd oveq2d
      wss eqcomd mpteq2dv eqtr2d fveq1d mpbid fmpttd wi fveq2 wb cixp ciun wral
      jca wrex simpl adantl eliun simpr cxr w3a 3adant3 ffvelrnd ad5ant135 cmnf
      rexrd iftrue wn iffalse eleqtrd elixp syl3anc adantl3r clt ad2antrr 3expa
      fvmptd breqtrd pm2.61dan ad4ant13 ex sylibr cin covoln readdcld nnex cicc
      rpred icossicc sge0clmpt cvol wne ne0i hoidmvn0val mpteq2dva hsphoif cmpo
      csn oveq2 eqeq1 prodeq1 ifbieq2d mpoeq123dv cbvmptv eqtri diffi snfi unfi
      cun snidg elun2 neldifsnd eldifd eqid uncom snssd undif sylib hsphoidmvle
      feq2d mpteq1d mpteq12dv oveq123d breq12d sge0lempt hoidifhspf fssd sge0cl
      hoidifhspdmvle eleq1w anbi2d imbi12d chvarvv elmapg elinel1 sselda simpll
      oveqd feq1d reex elinel2 wfn ixpfn nfcv nfixp1 nfel simp3 ioossre eqsstrd
      nfan cioo ssid pm2.61i hspval biimpi simprd rspa ad4ant14 adantll icogelb
      vex ad4ant124 icoltub 3ad2ant1 simp2 breq1d biimpa iftrued 3adant1 ifeq2d
      breq2 id ovex mptex fvmptd3 fveq1 ifbieq1d ifeq12d mptexg ifbieq12d fvexd
      eqeltrd ifexd 3adant2 iffalsed 3ad2ant3 3eqtrrd eqtr3d ad5ant145 3adant1r
      eleq1 mnfxr iooltub ad4ant123 notbid adantlr adantllr neqne nelsn ralrimi
      elicod syl21anc reximdva mpd ralrimiva dfss3 ixpeq2dv sseqtrrdi ovnlecvr2
      2fveq3 iuneq2i mpteq2ia fveq2i eldifi icossre sseldd hoidifhspval3 simpl1
      ad5ant134 breq2d 3ad2antl3 rexlimdva2 3syl ltnled r19.29a mnfltd ad4ant24
      ad4antr eliood 3ad2antl1 eldifn condan ad5ant124 adantl4r oveq1d ad2antlr
      eleq2d leadd12dd cxad hspmbllem1 sge0xadd rexaddd letrd ) ADNQPMURUSZUUAZ
      PUUBURZURZDVXBUTZVXDURZVAUSZJVBJVMZEURZVXIFURZPOURZUSZVCZVDURZDVXDURZLVAU
      SZAVXEVXGULUMUUCAVXQVXOAVXPLUKALUFUUFUUCZAJVBVXMVEAJVFZVBVEVGAUUDVHZAVXIV
      BVGZVNZVIVJVKUSZVIVJUUEUSZVXMVIVJUUGZVYBBVXJVXKKOPRSUNAPVLVGZVYAUCVOZVYBV
      XJVPPVQUSZVGPVPVXJVRZAVBVYHVXIEUGVSVXJVPPVTWAZVYBVXKVYHVGPVPVXKVRZAVBVYHV
      XIFUHVSZVXKVPPVTWAZWBWCZUUHAVXOJVBPKVMZVXJURZVYOVXKURZVKUSZUUIURKWDZVCZVD
      URVXQWEAVXNVYTVDAJVBVXMVYSVYBBVXJVXKKOPRSUNVYGAPWFUUJZVYAANPVGZWUAUDPNUUK
      WAVOVYJVYMUULUUMWGUJWHZWIZVXRAVXHJVBVXJVXKQHURZURZVXLUSZVCZVDURZJVBVXJQGU
      RZURZVXKVXLUSZVCZVDURZVAUSZVXOWEAVXEVXGWUIWUNULUMAVXOWUIWUDAJVBWUGVEVXSVX
      TVYBVYCVYDWUGVYEVYBBVXJWUFKOPRSUNVYGVYJVYBCQVXKIHVLPPNUUPZUTZTUOAQVPVGZVY
      AUEVOZVYGVYMUUNZWBWCZUUHAJVBWUGVXMVEVXSVXTWVAVYNVYBVXJVXKQCVPTVPWUQWUPUVG
      ZVQUSZIWVBIVMZWUQVGZWVDTVMZURZWVGCVMZWEWJZWVGWVHWKZWKZVCZVCZVCZURZURZWVBO
      URZUSZVXJVXKWVQUSZWEWJWUGVXMWEWJVYBCVXJVXKQIKWVNOWVBWUQNRSTOBVLRSVPBVMZVQ
      USZWWAWVTWFWLZVIWVTVYORVMURVYOSVMURVKUSUUIURZKWDZWKZUUOZVCCVLRSVPWVHVQUSZ
      WWGWVHWFWLZVIWVHWWCKWDZWKZUUOZVCUNBCVLWWFWWKBCWMZRSWWAWWAWWEWWGWWGWWJWVTW
      VHVPVQUUQZWWMWWLWWBWWHWWDWWIVIWVTWVHWFUURWVTWVHWWCKUUSUUTUVAUVBUVCAWVBVLV
      GZVYAAWUQVLVGZWUPVLVGZWWNAVYFWWOUCPWUPUVDWAWWPANUVEVHWUQWUPUVFWNVOANWVBWU
      QUTVGVYAANWVBWUQANWUPVGZNWVBVGAWUBWWQUDNPUVHWANWUPWUQUVIWAANPUVJUVKVOWVBU
      VLWUSWVNUVLVYBWVBVPVXJVRVYIVYJVYBWVBPVPVXJAWVBPWLVYAAWVBWUPWUQUVGZPWVBWWR
      WLAWUQWUPUVMVHAWUPPWSWWRPWLANPUDUVNWUPPUVOUVPWOZVOZUVRWPVYBWVBVPVXKVRVYKV
      YMVYBWVBPVPVXKWWTUVRWPUVQVYBWVRWUGWVSVXMWEAWVRWUGWLVYAAVXJVXJWVPWUFWVQVXL
      AWVBPOWWSWGZAVXJWQAVXKWVOWUEAQWVNHAHCVPTVYHIPWVKVCZVCZVCZWVNHWXDWLAUOVHAC
      VPWXCWVMAWVMWXCATWVCWVLVYHWXBAWVBPVPVQWWSWRAIWVBPWVKWWSUVSUVTWTXAXBXCXCUW
      AVOVYBWVQVXLVXJVXKAWVQVXLWLVYAWXAVOUWPUWBXDUWCWIZAVXOWUNWUDAWUMVEVBVXTAVB
      VYCVYDWUMAJVBWULVYCVYBBWUKVXKKOPRSUNVYGVYBBVXJGINVLPQTUPWUSVYGVYJUWDZVYMW
      BZXEVYCVYDWSAVYEVHUWEUWFAJVBWULVXMVEVXSVXTVYBVYCVYDWULVYEWXGWCZVYNVYBBVXJ
      VXKGIKNOPQRSTUNVYGVYJVYMAWUBVYAUDVOZUPWUSUWGUWCWIZAVXEJVBVXJVXIUAVBUAVMZF
      URZWUEURZVCZURZVXLUSZVCZVDURZWUIWEABVXCEWXNJKOPRSUCUGAUAVBWXMVYHAWXKVBVGZ
      VNZWXMVYHVGZPVPWXMVRZWXTCQWXLIHVLPWUQTUOAWURWXSUEVOZAVYFWXSUCVOZVYBVYKXFW
      XTPVPWXLVRZXFJUAJUAWMZVYBWXTVYKWYEWYFVYAWXSAJUAVBUWHUWIWYFPVPVXKWXLVXIWXK
      FXGUWQUWJVYMUWKUUNWXTVPVEVGZVYFVNZWYAWYBXHAWYHWXSAWYGVYFWYGAUWRVHUCXLZVOV
      PPWXMVEVLUWLWAWPXEAVXCJVBKPVYPVYOWUFURZVKUSZXIZXJZJVBKPVYPVYOWXOURZVKUSZX
      IZXJAUQVMZWYMVGZUQVXCXKVXCWYMWSAWYRUQVXCAWYQVXCVGZVNZWYQWYLVGZJVBXMZWYRWY
      TWYQKPVYRXIZVGZJVBXMZXUBWYTAWYQDVGZXUEAWYSXNWYSXUFAWYQDVXBUWMXOAXUFVNWYQJ
      VBXUCXJZVGXUEADXUGWYQUIUWNJWYQVBXUCXPUVPZWNWYTXUDXUAJVBWYTVYAVNAWYQVXBVGZ
      VYAXUDXUAXFAWYSVYAUWOWYTXUIVYAWYSXUIAWYQDVXBUWSXOVOWYTVYAXQAXUIVNZVYAVNZX
      UDXUAXUKXUDVNZWYQPUWTZVYOWYQURZWYKVGZKPXKZVNXUAXULXUMXUPXUDXUMXUKKPVYRWYQ
      UXAZXOXULXUOKPXUKXUDKXUKKVFKWYQXUCKWYQUXBKPVYRUXCUXDZUXHXULVYOPVGZXUOXULX
      USVNZVYPWYJXUNAVYAXUSVYPXRVGZXUIXUDAVYAXUSXSZVYPXVBPVPVYOVXJAVYAVYIXUSVYJ
      XTZAVYAXUSUXEZYAZYDZYBAVYAXUSWYJXRVGXUIXUDXVBWYJXVBPVPVYOWUFAVYAPVPWUFVRX
      USWUTXTXVDYAYDYBXUJXUSXUNXRVGZVYAXUDXUJXUSVNZXUNXVHVYONWLZYCQUXIUSZVPWKZV
      PXUNXVIXVKVPWSXVIXVKXVJVPXVIXVJVPYEZXVJVPWSXVIYCQUXFVHUXGXVIYFZXVKVPVPXVI
      XVJVPYGZVPVPWSXVMVPUXJVHUXGUXKXVHWYQKPXVKXIZVGZXUSXUNXVKVGZXUJXVPXUSXUJWY
      QVXBXVOAXUIXQAVXBXVOWLXUIABCUAKMNPQUBUCUDUEUXLZVOYHVOXUJXUSXQXVPXUSVNXVQK
      PXKZXUSXVQXVPXVSXUSXVPXUMXVSXVPXUMXVSVNZKPXVKWYQUQUXSZYIZUXMUXNVOXVPXUSXQ
      XVQKPUXOWNWNZWCYDUXPAVYAXUDXUSVYPXUNWEWJZXUIVYBXUDVNXUSVNZXVAVYQXRVGZXUNV
      YRVGZXWDAVYAXUSXVAXUDXVFUXTZAVYAXUSXWFXUDXVBVYQXVBPVPVYOVXKAVYAVYKXUSVYMX
      TXVDYAYDZUXTZXUDXUSXWGVYBXUDXUSVNXWGKPXKZXUSXWGXUDXWKXUSXUDXUMXWKXUDXUMXW
      KVNKPVYRWYQXWAYIUXMUXNVOXUDXUSXQXWGKPUXOWNUXQZVYPVYQXUNUXRYJZYKXUTXVIXUNW
      YJYLWJZXUTXVIVNZVYQQWEWJZXWNXWOXWPVNXUNVYQWYJYLXUTXUNVYQYLWJZXVIXWPAVYAXU
      DXUSXWQXUIXWEXVAXWFXWGXWQXWHXWJXWLVYPVYQXUNUYAYJZYKZYMXUKXVIXWPVYQWYJWLZX
      UDXUSXUKXVIXWPXSVYBXVIXWPXWTXUKXVIVYBXWPXUKAVYAAXUIVYAUWOXUJVYAXQXLUYBXUK
      XVIXWPUYCXUKXVIXWPUXEVYBXVIXWPXSNVXKURZQWEWJZXXAQWKZVYQWYJXVIXWPXXCVYQWLV
      YBXVIXWPVNZXXCXXAVYQXXDXXBXXAQXVIXWPXXBXVIVYQXXAQWEVYONVXKXGZUYDZUYEUYFXV
      IXXAVYQWLXWPXVIVYQXXAXXEWTVOWOUYGVYBXVIXXCWYJWLZXWPAVYAXVIXXGAVYAXVIXSWYJ
      VYOIPWVEWVDVXKURZXXHQWEWJZXXHQWKZWKZVCZURZNWUQVGZXXAXXCWKZXXCAVYAWYJXXMWL
      XVIVYBVYOWUFXXLVYBTVXKIPWVEWVGWVGQWEWJZWVGQWKZWKZVCZXXLVYHWUEVEAWUETVYHXX
      SVCZWLVYAACQWXCXXTVPHVEUOWVHQWLZTVYHWXBXXSXYAIPWVKXXRXYAWVEWVJXXQWVGXYAWV
      IXXPWVHQWVGWVHQWVGWEUYIXYAUYJUUTUYHXAXAUEXXTVEVGATVYHXXSVPPVQUYKUYLVHUYMV
      OWVFVXKWLZXXSXXLWLVYBXYBIPXXRXXKXYBWVEWVGXXHXXQXXJWVDWVFVXKUYNZXYBXXPXXIW
      VGXXHQXYBWVGXXHQWEXYCUYDXYCUYOUYPXAXOVYLAXXLVEVGZVYAAVYFXYDUCIPXXKVLUYQWA
      VOYOZXCXTAXVIXXMXXOWLVYAAXVIVNZXXMVYOWUQVGZVYQXWPVYQQWKZWKZXXOXYFAXUSXXMX
      YIWLAXVIXNZXYFVYONPAXVIXQXYFAWUBXYJUDWAUYTAXUSVNZIVYOXXKXYIPXXLVEXYKXXLWQ
      IKWMZXXKXYIWLZXYKXYLWVEXYGXXHXXJVYQXYHIKWUQUWHWVDVYOVXKXGZXYLXXIXWPXXHVYQ
      QXYLXXHVYQQWEXYNUYDXYNUYOUYRZXOAXUSXQZAXYIVEVGZXUSAXYGVYQXYHVEVEAVYOVXKUY
      SZAXWPVYQQVEVPXYRUEVUAVUAVOZYOWNXVIXYIXXOWLAXVIXYGXXNVYQXYHXXAXXCVYONWUQV
      UIXXEXVIXWPXXBVYQXXAQXXFXXEUYOUYRXOWOVUBXVIAXXOXXCWLVYAXVIXXNXXAXXCXVINPU
      VJVUCVUDVUEYNZXTVUFYJVUGYPXUKXUSXVIXWPYFZXWNXUDXUKXUSVNZXVIVNZYUAVNZXUNQW
      YJYLXUKXUSXVIXUNQYLWJZYUAXUJXUSXVIYUEVYAXUJXUSXVIXSZYCXRVGZQXRVGZXUNXVJVG
      YUEYUGYUFVUJVHXUJXUSYUHXVIAYUHXUIAQUEYDZVOUYBYUFXUNXVKXVJXUJXUSXVQXVIXWCX
      TXVIXUJXVKXVJWLXUSXVLVUDYHYCQXUNVUKYJVUHVULYUDQXXCWYJXVIYUAQXXCWLYUBXVIYU
      AVNZXXCQQYUJXXBXXAQYUJYUAXXBYFZXVIYUAXQXVIYUAYUKXHYUAXVIXWPXXBXXFVUMVOXDV
      UCYUJQWQXBUXQYUCXXGYUAAVYAXUSXVIXXGXUIVYBXVIXXGXUSXYTVUNYKVOWOYPYKYQXUTXV
      MVNZXUNVYQWYJYLXUTXWQXVMXWSVOYULWYJXYIVYQXUKXUSWYJXYIWLZXUDXVMAVYAXUSYUMX
      UIAVYAXUSYUMXVBIVYOXXKXYIPWUFVEAVYAWUFXXLWLXUSXYEXTXYLXYMXVBXYOXOXVDAXUSX
      YQVYAXYSVUBYOYNVUOYRXUSXVMXYIVYQWLXULXUSXVMVNZXYGVYQXYHYUNVYOPWUPXUSXVMXN
      XVMVYOWUPVGYFZXUSXVMVYONUUJYUOVYONVUPVYONVUQWAXOUVKUYFUXQXBYPYQVUSYSVURXL
      KPWYKWYQXWAYIYTYSVUTVVAVVBJWYQVBWYLXPYTVVCUQVXCWYMVVDYTJVBWYPWYLVYAKPWYOW
      YKVYAWYNWYJVYPVKVYAVYOWXOWUFVYAUAVXIWXMWUFVBWXNVEVYAWXNWQUAJWMZWXMWUFWLVY
      AWXKVXIWUEFVVHXOVYAUYJZVYAVXKWUEUYSYOZXCWRVVEVVIVVFUNVVGWXRWUIWLAWXQWUHVD
      JVBWXPWUGVYAWXOWUFVXJVXLYURWRVVJVVKVHYPAVXGJVBVXIUAVBWXKEURZWUJURZVCZURZV
      XKVXLUSZVCZVDURZWUNWEABVXFYVAFJKOPRSUCAUAVBYUTVYHWXTYUTVYHVGZPVPYUTVRZWXT
      BYUSGINVLPQTUPWYCWYDWXTYUSVYHVGPVPYUSVRAVBVYHWXKEUGVSYUSVPPVTWAUWDAYVFYVG
      XHZWXSAWYHYVHWYIVPPYUTVEVLUWLWAVOWPXEUHAWYQJVBKPVYOYVBURZVYQVKUSZXIZXJZVG
      ZUQVXFXKVXFYVLWSAYVMUQVXFAWYQVXFVGZVNZWYQYVKVGZJVBXMZYVMYVOXUEYVQYVOAXUFX
      UEAYVNXNZYVNXUFAWYQDVXBVVLXOXUHWNZYVOXUDYVPJVBYVOVYAVNZXUDYVPYVTXUDVNZYVP
      WYQKPVYOWUKURZVYQVKUSZXIZVGZYWAXUMXUNYWCVGZKPXKZVNYWEYWAXUMYWGXUDXUMYVTXU
      QXOZYWAYWFKPYVTXUDKYVTKVFXURUXHYWAXUSYWFYWAXUSVNZYWBVYQXUNAVYAXUSYWBXRVGY
      VNXUDXVBYWBXVBPVPVYOWUKAVYAPVPWUKVRXUSWXFXTXVDYAYDYBAVYAXUDXUSXWFYVNXWJYK
      AVYAXUDXUSXVGYVNXWEXUNXWEVYRVPXUNVYBXUSVYRVPWSZXUDVYBXUSVNVYPVPVGZXWFYWJA
      VYAXUSYWKXVEYNAVYAXUSXWFXWIYNVYPVYQVVMWNVUNXWLVVNZYDYKYWIXVIYWBXUNWEWJZYW
      IXVIVNZYWBQVYPWEWJZVYPQWKZXUNWEYVTXUSXVIYWBYWPWLXUDYVTXUSVNZXVIVNYWBXVIYW
      PVYPWKZYWPAVYAXUSYWBYWRWLZYVNXVIXVBBVXJGIVYONVLPQTUPAVYAWURXUSWUSXTAVYAVY
      FXUSVYGXTXVCXVDVVOZVVQXVIYWRYWPWLYWQXVIYWPVYPYEXOWOVUOYWNYWOYWPXUNWEWJYWN
      YWOVNYWPVYPXUNWEYWOYWPVYPWLYWNYWOVYPQYEXOYWIXWDXVIYWOAVYAXUDXUSXWDYVNXWMY
      KYMWHYWNYWOYFZVNYWPQXUNWEYXAYWPQWLYWNYWOVYPQYGXOYWNQXUNWEWJZYXAYVOXUSXVIY
      XBVYAXUDYVOXUSXVIXSZYXBXUIYXCYXBYFZVNZWYQXVOVXBYXEXVTXVPYXEYVONWYQURZQYLW
      JZXVTYVOXUSXVIYXDVVPZYXEYXGQYXFWEWJZYFZXVIYVOYXDYXJXUSXVIYXDVNYXDYXJXVIYX
      DXQXVIYXDYXJXHYXDXVIYXBYXIXVIXUNYXFQWEVYONWYQXGZVVRVUMVOXDVVSYXEYXFQYXCYX
      FVPVGYXDYXCYXFXUNVPXVIYVOYXFXUNWLXUSXVIXUNYXFYXKWTVUDYVOXUSXUNVPVGZXVIYVO
      XUSVNXUEYXLYVOXUEXUSYVSVOAXUSXUEYXLXFYVNXYKXUDYXLJVBXYKVYAVNZXUDVNVYBXUDX
      USYXLAVYAVYBXUSXUDVYBUYJYRYXMXUDXQXYKXUSVYAXUDXYPYMYWLVUTVVTVUNVVBZXTUYTV
      OYXEYVOAWURYXHYVRUEVWAVWBWPYVOYXGVNZXUMXVSYVOXUMYXGYVOXUDXUMJVBYWHYVSVWCV
      OYXOXVQKPYXOXUSVNZXVIXVQYXPXVIVNZXUNXVJXVKYXQYCQXUNYUGYXQVUJVHAYUHYVNYXGX
      USXVIYUIVWFYVOXUSYXLYXGXVIYXNYRZYXQXUNYXRVWDYXGXVIYUEYVOXUSYXGXVIVNXUNYXF
      QYLXVIXUNYXFWLYXGYXKXOYXGXVIXNWHVWEVWGXVIXVJXVKWLYXPXVIXVKXVJXVLWTXOYHYXP
      XVMVNXUNVPXVKYVOXUSYXLYXGXVMYXNYRXVMVPXVKWLYXPXVMXVKVPXVNWTXOYHYQVVCXLWNX
      WBYTYVOXUSYXDXVOVXBWLZXVIAYXSYVNYXDAVXBXVOXVRWTYMVWHYHYXCXUIYFZYXDYVOXUSY
      XTXVIYVNYXTAWYQDVXBVWIXOUYBVOVWJVUGVOWHYQWHAYVNVYAXUDXUSXVMYWMXWEXVMVNZYW
      BVYPXUNWEYYAYWBYWRVYPAVYAXUSYWSXUDXVMYWTVWKXVMYWRVYPWLXWEXVIYWPVYPYGXOWOX
      WEXWDXVMXWMVOWHVWLYQAVYAXUDXUSXWQYVNXWRYKVUSYSVURXLKPYWCWYQXWAYIYTYWAYVKY
      WDWYQVYAYVKYWDWLYVOXUDVYAKPYVJYWCVYAYVIYWBVYQVKVYAVYOYVBWUKVYAUAVXIYUTWUK
      VBYVAVEVYAYVAWQYUPYUTWUKWLVYAWXKVXIWUJEVVHXOYUQVYAVXJWUJUYSYOZXCVWMVVEVWN
      VWOWPYSVVAVVBJWYQVBYVKXPYTVVCUQVXFYVLVVDYTUNVVGYVEWUNWLAYVDWUMVDJVBYVCWUL
      VYAYVBWUKVXKVXLYYBVWMVVJVVKVHYPVWPAVXOJVBWUGWULVWQUSZVCZVDURWUIWUNVWQUSWU
      OAVXNYYDVDAJVBVXMYYCVYBBCVXJVXKGHIKNOPQRSTVYGWXIWUSVYJVYMUNUOUPVWRUUMWGAV
      BWUGWULJVEVXSVXTWVAWXHVWSAWUIWUNWXEWXJVWTVUEYPWUCVXA $.
  $}

  ${
    $d A a b c e h i j k l x y $.  $d A a e h i j r $.  $d B a b c h k l $.
    $d C a h i r $.  $d D a b c h j k l x y $.  $d D a h j r $.
    $d H e i j k $.  $d K a b c e h i j k l x y $.  $d L a h i r $.
    $d T a b c h j k l $.  $d X a b c e h i j k l x y $.  $d X a e h i j r $.
    $d Y a b c e h i j k l x y $.  $d a b c e h i j k l ph x y $.  $d ph r $.
    hspmbllem3.h $e |- H = ( x e. Fin |-> ( l e. x , y e. RR |-> X_ k e. x if (
       k = l , ( -oo (,) y ) , RR ) ) ) $.
    hspmbllem3.x $e |- ( ph -> X e. Fin ) $.
    hspmbllem3.i $e |- ( ph -> K e. X ) $.
    hspmbllem3.y $e |- ( ph -> Y e. RR ) $.
    hspmbllem3.a $e |- ( ph -> ( ( voln* ` X ) ` A ) e. RR ) $.
    hspmbllem3.s $e |- ( ph -> A C_ ( RR ^m X ) ) $.
    hspmbllem3.c $e |- C = ( a e. ~P ( RR ^m X ) |-> { l e. ( ( ( RR X. RR ) ^m
       X ) ^m NN ) | a C_ U_ j e. NN X_ k e. X ( ( [,) o. ( l ` j ) ) ` k ) } )
                        $.
    hspmbllem3.l $e |- L = ( h e. ( ( RR X. RR ) ^m X ) |-> prod_ k e. X ( vol
       ` ( ( [,) o. h ) ` k ) ) ) $.
    hspmbllem3.d $e |- D = ( a e. ~P ( RR ^m X ) |-> ( r e. RR+ |-> { i e. ( C
       ` a ) | ( sum^ ` ( j e. NN |-> ( L ` ( i ` j ) ) ) ) <_ ( ( ( voln* ` X
       ) ` a ) +e r ) } ) ) $.
    hspmbllem3.10 $e |- B = ( j e. NN |-> ( k e. X |-> ( 1st ` ( ( i ` j ) ` k
       ) ) ) ) $.
    hspmbllem3.11 $e |- T = ( j e. NN |-> ( k e. X |-> ( 2nd ` ( ( i ` j ) ` k
       ) ) ) ) $.
    $( Any half-space of the n-dimensional Real numbers is Lebesgue measurable.
       Lemma 115F of [Fremlin1] p. 31.  This proof handles the non-trivial
       cases (nonzero dimension and finite outer measure).  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    hspmbllem3 $p |- ( ph -> ( ( ( voln* ` X ) ` ( A i^i ( K ( H ` X ) Y ) ) )
       +e ( ( voln* ` X ) ` ( A \ ( K ( H ` X ) Y ) ) ) ) <_ ( ( voln* ` X ) `
       A ) ) $=
      ( ve vc vb cfv co cin covoln cdif cxad caddc cle cr wcel wceq cmap sstrid
      inss1 ovncl wss a1i ovnssle ge0lere ssdifssd difssd rexadd syl2anc wbr cv
      crp wral wa wex cfn adantr wne ne0d simpr ovncvrrp cif cmpt csn cico cvol
      c0 cc0 cprod cmpo ad2antrr cn cixp ciun csumge0 cpw fveq1 fveq2d mpteq2dv
      wf crab breq1d cbvrabv mpteq2i eqtri ovncvr2 simplld simpld simplrd rpred
      simprd rexaddd breqtrd eqid hspmbllem2 ex exlimdv mpd ralrimiva wb alrple
      readdcld mpbird eqbrtrd ) ADNQPMUOUPZUQZPURUOZUOZDYMUSZYOUOZUTUPZYPYRVAUP
      ZDYOUOZVBAYPVCVDZYRVCVDZYSYTVEAUUAYPUEAYNPUBAYNDVCPVFUPZDYMVHZUFVGVIAYNDP
      UBYNDVJAUUEVKUFVLVMZAUUAYRUEAYQPUBADUUDYMUFVNVIAYQDPUBADYMVOUFVLVMZYPYRVP
      VQAYTUUAVBVRZYTUUAULVSZVAUPZVBVRZULVTWAZAUUKULVTAUUIVTVDZWBZJVSZUUIDGUOUO
      VDZJWCUUKUUNDFGRIJKLUUIOPSTAPWDVDZUUMUBWEZAPWOWFUUMAPNUCWGWEADUUDVJZUUMUF
      WEZAUUMWHZUGUHUIWIUUNUUPUUKJUUNUUPUUKUUNUUPWBZBCDEHBVCUMUUDIPIVSZNVEBVSZU
      VCUMVSUOZVBVRUVEUVDWJUVEWJWKWKWKZCVCUMUUDIPUVCPNWLUSVDUVEUVECVSZVBVRUVEUV
      GWJWJWKWKWKZIKLUUIMNBWDSUNVCUVDVFUPZUVIUVDWOVEWPUVDLVSZSVSZUOUVJUNVSUOWMU
      PWNUOLWQWJWRWKZPQSUNUMTUAUUNUUQUUPUURWEZANPVDUUMUUPUCWSAQVCVDUUMUUPUDWSUU
      NUUMUUPUVAWEZUVBWTUUDEXHZWTUUDHXHZUVBUVOUVPWBZDKWTLPUVJKVSZEUOUOUVJUVRHUO
      UOWMUPZXAXBVJZKWTPUVSWNUOLWQWKXCUOZUUAUUIUTUPZVBVRZUVBDEFGHIIKLUUIUUOOPRS
      TUVMUUNUUSUUPUUTWEUVNUGUHGSUUDXDZRVTKWTUVRUUOUOZOUOZWKZXCUOZUVKYOUORVSUTU
      PZVBVRZJUVKFUOZXIZWKZWKSUWDRVTKWTUVRUVCUOZOUOZWKZXCUOZUWIVBVRZIUWKXIZWKZW
      KUISUWDUWMUWTRVTUWLUWSUWJUWRJIUWKUUOUVCVEZUWHUWQUWIVBUXAUWGUWPXCUXAKWTUWF
      UWOUXAUWEUWNOUVRUUOUVCXEXFXGXFXJXKXLXLXMUUNUUPWHUJUKXNZXOZXPUVBUVOUVPUXCX
      SUVBUVQUVTUWCUXBXQUVBUWAUWBUUJVBUVBUVQUVTWBUWCUXBXSUUNUWBUUJVEUUPUUNUUAUU
      IAUUAVCVDZUUMUEWEUUNUUIUVAXRXTWEYAAUXDUUMUUPUEWSAUUBUUMUUPUUFWSAUUCUUMUUP
      UUGWSUVLYBUVHYBUVFYBYCYDYEYFYGAYTVCVDUXDUUHUULYHAYPYRUUFUUGYJUEULYTUUAYIV
      QYKYL $.
  $}

  ${
    $d H a j p t $.  $d K a b h j l p t x y $.  $d X a b c h j l p r s t $.
    $d X b c h i j l p r s t $.  $d X a b h j l m p r t $.
    $d X b h i j l m n p r $.  $d X a b c h j l p s t x y $.
    $d Y a b h j l p t x y $.  $d a b h j l p ph r t $.  $d i j l m n p x y $.
    $d k l p x y $.  $d ph t x y $.
    hspmbl.1 $e |- H = ( x e. Fin |-> ( l e. x , y e. RR |-> X_ k e. x if ( k =
       l , ( -oo (,) y ) , RR ) ) ) $.
    hspmbl.x $e |- ( ph -> X e. Fin ) $.
    hspmbl.i $e |- ( ph -> K e. X ) $.
    hspmbl.y $e |- ( ph -> Y e. RR ) $.
    $( Any half-space of the n-dimensional Real numbers is Lebesgue measurable.
       Lemma 115F of [Fremlin1] p. 31.  (Contributed by Glauco Siliprandi,
       24-Dec-2020.) $)
    hspmbl $p |- ( ph -> ( K ( H ` X ) Y ) e. dom ( voln ` X ) ) $=
      ( vp cfv wcel cv wceq cr cmpt va vj vm vt vc vs vi vn vh vr vb covoln cdm
      ccaragen cvoln cuni ovnome eqid cpw cmnf cioo cif cixp cmap wss ciun ovex
      co reex ifex ixpssmap cvv wral iftrue ioossre a1i eqsstrd wn iffalse ssid
      pm2.61i rgenw iunss mpbir mapss mp2an sstri ixpexg ax-mp elpwg cmpo equid
      wb cfn cbvixpv mpteq2i eqtri cpnf eqtrd wa cxad cle wbr simpl syl eleqtrd
      simpr adantr adantl ovnxrcl id eqcomd syl2anc cn c1st cico ccom crab cvol
      crp cprod csumge0 c2nd ad2antrr coeq2d fveq1d fveq2d fveq2 fveq1 ixpeq2dv
      cbvmptv iuneq2dv sseq2d cbvrabv fveq12d eleq2d anbi12d rabbidva2 mpteq2dv
      2fveq3 equequ1 ifbid mpoeq123i hspval cicc ovnf fdmd unieqd unipw eleq12d
      cc0 pweqd mpbird cin cxr inss1 elpwi sstrd ssdifssd xaddcld pnfge breqtrd
      cdif wne ovncl neqne ge0xrre cxp sseq1 rabbidv prodeq2dv cbviunv cbvprodv
      oveq1d breq12d eqidd oveq2 breq2d hspmbllem3 pm2.61dan caragenel2d dmvon
      ) AFHGEOVHZGULOZUNOZGUOOUMZAUWEUWCUWDUWDUMZUPZUAAGKUQUWHURUWEURAUWCUWHUSZ
      PNGNQZFRZUTHVAVHZSVBZVCZSGVDVHZUSZPZUWQAUWQUWNUWOVEZUWNNGUWMVFZGVDVHZUWON
      GUWMUWKUWLSUTHVAVGVIVJZVKSVLPUWSSVEZUWTUWOVEVIUXBUWMSVEZNGVMUXCNGUWKUXCUW
      KUWMUWLSUWKUWLSVNUWLSVEUWKUTHVOVPVQUWKVRZUWMSSUWKUWLSVSSSVEUXDSVTVPVQWAWB
      NGUWMSWCWDUWSSGVLWEWFWGUWNVLPZUWQUWRWMUWMVLPZNGVMUXEUXFNGUXAWBNGUWMVLWHWI
      UWNUWOVLWJWIWDVPAUWCUWNUWIUWPABCINEFGHEBWNICBQZSDUXGDQZIQZRZUTCQVAVHZSVBZ
      VCZWKZTBWNICUXGSNUXGUWJUXIRZUXKSVBZVCZWKZTJBWNUXNUXRICUXGSUXMUXGSUXQBWLSU
      RDNUXGUXLUXPUXHUWJRUXJUXOUXKSDNIUUAUUBWOUUCWPWQZKLMUUDAUWHUWOAUWHUWPUPZUW
      OAUWGUWPAUWPUUKWRUUEVHZUWDAGKUUFUUGUUHUXTUWORAUWOUUIVPWSUULZUUJUUMAUAQZUW
      IPZWTZAUYCUWPPZUYCUWCUUNZUWDOZUYCUWCUVCZUWDOZXAVHZUYCUWDOZXBXCZAUYDXDZUYE
      UYCUWIUWPAUYDXGUYEAUWIUWPRUYNUYBXEXFAUYFWTZUYLWRRZUYMUYOUYPWTUYKWRUYLXBUY
      OUYKWRXBXCZUYPUYOUYKUUOPUYQUYOUYHUYJUYOUYGGAGWNPZUYFKXHZUYFUYGUWOVEAUYFUY
      GUYCUWOUYGUYCVEUYFUYCUWCUUPVPUYCUWOUUQZUURXIXJUYOUYIGUYSUYOUYCUWOUWCUYFUY
      CUWOVEZAUYTXIZUUSXJUUTUYKUVAXEXHUYPWRUYLRUYOUYPUYLWRUYPXKXLXIUVBUYOUYPVRZ
      WTZUYOUYLSPZUYMUYOVUCXDVUDUYLUYAPZUYLWRUVDZVUEUYOVUFVUCUYOUYCGUYSVUBUVEXH
      VUCVUGUYOUYLWRUVFXIUYLUVGXMUYOVUEWTBCUYCUBXNUCGUCQZUBQZUDQZOZOZXOOZTZTUAU
      WPUYCUBXNNGUWJXPVUIUXIOZXQZOZVCZVFZVEZISSUVHGVDVHZXNVDVHZXRZTZUEUWPUFXTUC
      XNVUHVUJOZUGVVAGVUHXPUGQZXQZOXSOZUCYAZTZOZTZYBOZUEQZUWDOZUFQZXAVHZXBXCZUD
      VVNUAUWPUYCUGXNUHGUHQZXPVVFVUHOZXQZOZVCZVFZVEZUCVVBXRZTZOZXRZTZTUGXNUCGVU
      HVVFVUJOZOZYCOZTZTUIUDUBNEFUGVVAGUWJVVGOZXSOZNYAZTZGHUJUKIUXSUYOUYRVUEUYS
      XHAFGPUYFVUELYDAHSPUYFVUEMYDUYOVUEXGUYOVUAVUEVUBXHUAUKUWPVVCUKQZVUSVEZIVV
      BXRUYCVWSRVUTVWTIVVBUYCVWSVUSUVIUVJYKUGUIVVAVWQGUWJXPUIQZXQZOZXSOZNYAVVFV
      XARZGVWPVXDNVXEUWJGPZWTZVWOVXCXSVXGUWJVVGVXBVXGVVFVXAXPVXEVXFXDYEYFYGUVKY
      KUEUKUWPVWJUJXTUBXNVUKVWROZTZYBOZVWSUWDOZUJQZXAVHZXBXCZUDVWSVVDOZXRZTZVVN
      VWSRZVWJUFXTVXJVXKVVPXAVHZXBXCZUDVXOXRZTZVXQVXRUFXTVWIVYAVXRVVRVXTUDVWHVX
      OVXRVUJVWHPVUJVXOPZVVRVXTVXRVWHVXOVUJVXRVVNVWSVWGVVDVWGVVDRVXRUAUWPVWFVVC
      VWFUYCUGXNNGUWJXPVVFVXAOZXQZOZVCZVFZVEZUIVVBXRVVCVWEVYIUCUIVVBVUHVXARZVWD
      VYHUYCVYJUGXNVWCVYGVYJVWCVYGRVVFXNPZVYJVWCNGUWJVWAOZVCZVYGVWCVYMRVYJUHNGV
      WBVYLVVSUWJVWAYHWOVPVYJNGVYLVYFVYJUWJVWAVYEVYJVVTVYDXPVVFVUHVXAYIYEYFYJWS
      XHYLYMYNVYIVUTUIIVVBVXAUXIRZVYHVUSUYCVYNVYHUGXNNGUWJXPVVFUXIOZXQZOZVCZVFZ
      VUSVYNUGXNVYGVYRVYNVYGVYRRVYKVYNNGVYFVYQVYNUWJVYEVYPVYNVYDVYOXPVVFVXAUXIY
      IYEYFYJXHYLVYSVUSRVYNUGUBXNVYRVURVVFVUIRZNGVYQVUQVYTUWJVYPVUPVYTVYOVUOXPV
      VFVUIUXIYHYEYFYJUVLVPWSYMYNWQWPVPVXRXKYOYPVXRVVMVXJVVQVXSXBVXRVVLVXIYBVVL
      VXIRVXRUCUBXNVVKVXHVUHVUIRZVVEVUKVVJVWRVVJVWRRWUAUGVVAVVIVWQGVVHVWPUCNVUH
      UWJXSVVGYTUVMWPVPVUHVUIVUJYHYOYKVPYGVXRVVOVXKVVPXAVVNVWSUWDYHUVNUVOYQYRYS
      VYBVXQRVXRUFUJXTVYAVXPVVPVXLRZVXTVXNUDVXOVXOWUBVYCVYCVXTVXNWUBVXOVXOVUJWU
      BVXOUVPYPWUBVXSVXMVXJXBVVPVXLVXKXAUVQUVRYQYRYKVPWSYKUBXNVUNNGUWJVUKOZXOOZ
      TUCNGVUMWUDVUHUWJXOVUKYTYKWPUGUBXNVWNNGWUCYCOZTZVYTVWNUCGVULYCOZTZWUFVYTU
      CGVWMWUGVYTVWLVULYCVYTVUHVWKVUKVVFVUIVUJYHYFYGYSWUHWUFRVYTUCNGWUGWUEVUHUW
      JYCVUKYTYKVPWSYKUVSXMUVTXMUWAAUWFUWEAGKUWBXLXF $.
  $}

  ${
    $d A i l x y $.  $d B i l x y $.  $d H i l x y $.  $d S i $.
    $d X i l x y $.  $d i l ph x y $.
    hoimbllem.x $e |- ( ph -> X e. Fin ) $.
    hoimbllem.n $e |- ( ph -> X =/= (/) ) $.
    hoimbllem.s $e |- S = dom ( voln ` X ) $.
    hoimbllem.a $e |- ( ph -> A : X --> RR ) $.
    hoimbllem.b $e |- ( ph -> B : X --> RR ) $.
    hoimbllem.h $e |- H = ( x e. Fin |-> ( l e. x , y e. RR |-> X_ i e. x if (
       i = l , ( -oo (,) y ) , RR ) ) ) $.
    $( Any n-dimensional half-open interval is Lebesgue measurable.  This is a
       substep of Proposition 115G (a) of [Fremlin1] p. 32.  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    hoimbllem $p |- ( ph -> X_ i e. X ( ( A ` i ) [,) ( B ` i ) ) e. S ) $=
      ( cfv co wcel adantr cv cico cixp cdif ciin hspdifhsp vonmea dmmeasal cfn
      cvoln com cdom wbr fict syl wa csalg cdm simpr cr wf ffvelrnd hspmbl wceq
      eqcomi a1i eleqtrd ffvelrnda saldifcl2 syl3anc saliincl eqeltrd ) AGIGUAZ
      DQZVMEQZUBRUCGIVMVOIHQZRZVMVNVPRZUDZUEFABCDEGHIJKLNOPUFAFGVSIAFIUJQZAIKUG
      MUHZAIUISZIUKULUMKIUNUOLAVMISZUPZFUQSZVQFSVRFSVSFSAWEWCWATWDVQVTURZFWDBCG
      HVMIVOJPAWBWCKTZAWCUSZWDIUTVMEAIUTEVAWCOTWHVBVCWFFVDWDFWFMVEVFZVGWDVRWFFW
      DBCGHVMIVNJPWGWHAIUTVMDNVHVCWIVGFVQVRVIVJVKVL $.
  $}

  ${
    $d A i l x y $.  $d B i l x y $.  $d S i $.  $d X i l x y $.
    $d h i j l w x y z $.  $d i l ph x y $.
    hoimbl.x $e |- ( ph -> X e. Fin ) $.
    hoimbl.s $e |- S = dom ( voln ` X ) $.
    hoimbl.a $e |- ( ph -> A : X --> RR ) $.
    hoimbl.b $e |- ( ph -> B : X --> RR ) $.
    $( Any n-dimensional half-open interval is Lebesgue measurable.  This is a
       substep of Proposition 115G (a) of [Fremlin1] p. 32.  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    hoimbl $p |- ( ph -> X_ i e. X ( ( A ` i ) [,) ( B ` i ) ) e. S ) $=
      ( vh vz vj c0 wceq cv co cixp cr a1i vx vy vw vl cfv cico wcel cmap cvoln
      wa cdm cfn adantr rrnmbl csn reex mapdm0 ax-mp eqcomi ixpeq1d ixp0x eqtrd
      cvv id oveq2 3eqtr4d adantl eleq12d mpbird wn cmnf cioo cif cmpo cmpt wne
      necon3bi wf eqidd eqeq1 ifbid cbvixpv mpoeq123dv ixpeq2dv cbvmpov cbvmptv
      eqeq2 ifeq1d hoimbllem pm2.61dan ) AFNOZEFEPZBUEWLCUEUFQZRZDUGZAWKUJZWOSF
      UHQZFUIUEUKZUGWPFAFULUGZWKGUMUNWPWNWQDWRWKWNWQOAWKNUOZSNUHQZWNWQWTXAOWKXA
      WTSVCUGXAWTOUPSVCUQURUSTWKWNENWMRZWTWKEFNWMWKVDZUTXBWTOWKEWMVATVBFNSUHVEV
      FVGDWROWPHTVHVIAWKVJZUJUAUBBCDEUCULKLUCPZSMXEMPZKPZOZVKLPZVLQZSVMZRZVNZVO
      FUDAWSXDGUMXDFNVPAWKFNXCVQVGHAFSBVRXDIUMAFSCVRXDJUMUCUAULXMUDUBUAPZSEXNWL
      UDPZOZVKUBPZVLQZSVMZRZVNZXEXNOZXMKLXNSEXNWLXGOZXJSVMZRZVNZYAYBKLXESXLXNSY
      EYBVDZYBSVSYBXLMXNXKRZYEYBMXEXNXKYGUTYHYEOYBMEXNXKYDXFWLOXHYCXJSXFWLXGVTW
      AWBTVBWCYFYAOYBKLUDUBXNSYEXTEXNXPXJSVMZRXGXOOZEXNYDYIYJYCXPXJSXGXOWLWGWAW
      DXIXQOZEXNYIXSYKXPXJXRSXIXQVKVLVEWHWDWETVBWFWIWJ $.
  $}

  ${
    $d G h $.  $d H h $.  $d X h i $.  $d Y h $.
    opnvonmbllem1.i $e |- F/ i ph $.
    opnvonmbllem1.x $e |- ( ph -> X e. V ) $.
    opnvonmbllem1.c $e |- ( ph -> C : X --> QQ ) $.
    opnvonmbllem1.d $e |- ( ph -> D : X --> QQ ) $.
    opnvonmbllem1.s $e |- ( ph -> X_ i e. X ( ( C ` i ) [,) ( D ` i ) ) C_ B )
                          $.
    opnvonmbllem1.g $e |- ( ph -> B C_ G ) $.
    opnvonmbllem1.y $e |- ( ph -> Y e. X_ i e. X ( ( C ` i ) [,) ( D ` i ) ) )
       $.
    opnvonmbllem1.k $e |- K = { h e. ( ( QQ X. QQ ) ^m X ) | X_ i e. X ( ( [,)
       o. h ) ` i ) C_ G } $.
    opnvonmbllem1.h $e |- H = ( i e. X |-> <. ( C ` i ) , ( D ` i ) >. ) $.
    $( The half-open interval expressed using a composition of a function
       (Contributed by Glauco Siliprandi, 24-Dec-2020.) $)
    opnvonmbllem1 $p |- ( ph -> E. h e. K Y e. X_ i e. X ( ( [,) o. h ) ` i ) )
                         $=
      ( wcel cv cico ccom cfv cixp wrex cq cxp cmap co wss wa ffvelrnda opelxpi
      wf cop syl2anc fmptdf cvv wb qex a1i jca elmapg syl mpbird hoi2toco sstrd
      xpex eqsstrd wceq nfcv cmpt nfmpt1 nfcxfr nfeq coeq2 fveq1d adantr sseq1d
      ixpeq2d elrab2 sylibr eleqtrrd nfv crab nfrab1 eleq2d rspcef ) AHIUBZLFKF
      UCZUDHUEZUFZUGZUBZLFKWMUDEUCZUEZUFZUGZUBZEIUHAHUIUIUJZKUKULZUBZWPGUMZUNWL
      AXEXFAXEKXCHUQZAFKWMCUFZWMDUFZURZXCHMAWMKUBZUNXHUIUBXIUIUBXJXCUBAKUIWMCOU
      OAKUIWMDPUOXHXIUIUIUPUSUAUTAXCVAUBZKJUBZUNXEXGVBAXLXMXLAUIUIVCVCVKVDNVEXC
      KHVAJVFVGVHAWPFKXHXIUDULUGZGACDFHKMUAVIZAXNBGQRVJVLVEXAGUMZXFEHXDIWRHVMZX
      AWPGXQFKWTWOFWRHFWRVNFHFKXJVOUAFKXJVPVQVRXQWTWOVMXKXQWMWSWNWRHUDVSVTWAWCZ
      WBTWDWEALXNWPSXOWFXBWQEHIWQEWGEHVNEIXPEXDWHTXPEXDWIVQXQXAWPLXRWJWKUS $.
  $}

  ${
    $d G c d e h i x $.  $d K c d e h i x $.  $d K h i k $.  $d S h i $.
    $d X c d e h i x $.  $d X x $.  $d X h i k $.  $d c d e h i ph x $.
    $d k ph $.
    opnvonmbllem2.x $e |- ( ph -> X e. Fin ) $.
    opnvonmbllem2.n $e |- S = dom ( voln ` X ) $.
    opnvonmbllem2.g $e |- ( ph -> G e. ( TopOpen ` ( RR^ ` X ) ) ) $.
    opnvonmbl.k $e |- K = { h e. ( ( QQ X. QQ ) ^m X ) | X_ i e. X ( ( [,) o. h
       ) ` i ) C_ G } $.
    $( An open subset of the n-dimensional Real numbers is Lebesgue measurable.
       This is Proposition 115G (a) of [Fremlin1] p. 32.  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    opnvonmbllem2 $p |- ( ph -> G e. S ) $=
      ( vk cfv wcel wss wa co cr eqid cq vx ve vc cico ccom cixp ciun wral wrex
      vd crrx cds cbl crp cmap cxmet cmopn cmet cfn rrxmetfi syl metxmet adantr
      cv ctopn crefld cfrlm ctcph wceq rrxval fveq2d ovex tcphtopn ax-mp eqcomd
      cvv a1i 3eqtrd eleqtrd simpr mopni2 syl3anc w3a ctopon rrxtoponfi toponss
      ad2antrr syl2anc sseldd hoiqssbl 3adant3 wi cop cmpt nfv nfcv nfixp1 nfel
      nfss nf3an 3ad2ant1 wf elmapi 3ad2ant2 adantl simp3r simp1r opnvonmbllem1
      nfan simp3l adantlr 3adant2 rexlimdvv mpd rexlimdv eliun sylibr ralrimiva
      3exp dfss3 cxp crab eleq2i biimpi rabid sylib simprd iunss cdom c1st c2nd
      com wbr reex qssre mp2an 2fveq3 cbvmptv fmpttd eqeltrd eqssd dmovnsal qct
      ssrab2 eqsstri xpct mpct ssct xpex xpss12 mapss sselid hoicoto2 ffvelrnda
      sseli xp1st xp2nd hoimbl saliuncl ) AECFDGDVDZUDCVDZUEMUFZUGZBAEUVCAUAVDZ
      UVCNZUAEUHEUVCOAUVEUAEAUVDENZPZUVDUVBNCFUIZUVEUVGUVDUBVDZGUKMZULMZUMMQZEO
      ZUBUNUIZUVHUVGUVKRGUOQZUPMNZEUVKUQMZNZUVFUVNAUVPUVFAUVKUVOURMNZUVPAGUSNZU
      VSHUVKGUVKSUTVAUVKUVOVBVAVCAUVRUVFAEUVJVEMZUVQJAUWAVFGVGQZVHMZVEMZUWCULMZ
      UQMZUVQAUVJUWCVEAUVTUVJUWCVIHUVJGUSUVJSVJVAZVKUWDUWFVIZAUWBVPNUWHVFGVGVLU
      WEUWCUWDVPUWBUWCSUWESUWDSVMVNVQAUWEUVKUQAUWCUVJULAUVJUWCUWGVOVKVKVRVSVCAU
      VFVTZUBEUVKUVDUVQUVOUVQSWAWBUVGUVMUVHUBUNUVGUVIUNNZUVMUVHUVGUWJUVMWCZUVDD
      GUUTUCVDZMZUUTUJVDZMZUDQZUFZNZUWQUVLOZPZUJTGUOQZUIUCUXAUIZUVHUVGUWJUXBUVM
      UVGUWJPDUVIGUVDUCUJAUVTUVFUWJHWGUVGUVDUVONUWJUVGEUVOUVDAEUVOOZUVFAUWAUVOW
      DMNZEUWANUXCAUVTUXDHGUWAUWASWEVAJEUWAUVOWFWHVCUWIWIVCUVGUWJVTWJWKUWKUWTUV
      HUCUJUXAUXAUVGUVMUWLUXANZUWNUXANZPZUWTUVHWLWLZUWJAUVMUXHUVFAUVMPZUXGUWTUV
      HUXIUXGUWTWCUVLUWLUWNCDEDGUWMUWOWMWNZFUSGUVDUXIUXGUWTDUXIDWOUXGDWOUWRUWSD
      DUVDUWQDUVDWPDGUWPWQZWRDUWQUVLUXKDUVLWPWSXIWTUXIUXGUVTUWTAUVTUVMHVCXAUXGU
      XIGTUWLXBZUWTUXEUXLUXFUWLTGXCVCXDUXGUXIGTUWNXBZUWTUXFUXMUXEUWNTGXCXEXDUXI
      UXGUWRUWSXFAUVMUXGUWTXGUXIUXGUWRUWSXJKUXJSXHXSXKXLXMXNXSXOXNCUVDFUVBXPXQX
      RUAEUVCXTXQAUVBEOZCFUHUVCEOAUXNCFAUVAFNZPZUVATTYAZGUOQZNZUXNUXPUVAUXNCUXR
      YBZNZUXSUXNPUXOUYAAUXOUYAFUXTUVAKYCYDXEUXNCUXRYEYFYGXRCFUVBEYHXQUUAABCUVB
      FABGHIUUBAFUXROZUXRYLYIYMFYLYIYMUYBAFUXTUXRKUXNCUXRUUDUUEZVQAUXQGATYLYIYM
      ZUYDUXQYLYIYMUYDAUUCVQZUYETTUUFWHHUUGFUXRUUHWHUXPUVBDGUUTLGLVDZUVAMZYJMZW
      NZMUUTLGUYGYKMZWNZMUDQUFBUXPUYIUYKDUVAGUXOGRRYAZUVAXBZAUXOUVAUYLGUOQZNUYM
      UXOUXRUYNUVAUYLVPNUXQUYLOZUXRUYNORRYNYNUUITROZUYPUYOYOYOTRTRUUJYPUXQUYLGV
      PUUKYPFUXRUVAUYCUUOUULUVAUYLGXCVAXEZLDGUYHUUTUVAMZYJMUYFUUTYJUVAYQYRLDGUY
      JUYRYKMUYFUUTYKUVAYQYRUUMUXPUYIUYKBDGAUVTUXOHVCIUXPLGUYHRUXPUYFGNPZUYGUYL
      NZUYHRNUXPGUYLUYFUVAUYQUUNZUYGRRUUPVAYSUXPLGUYJRUYSUYTUYJRNVUAUYGRRUUQVAY
      SUURYTUUSYT $.
  $}

  ${
    $d G f h i $.  $d S h i $.  $d X f h i k $.  $d h i ph $.
    opnvonmbl.x $e |- ( ph -> X e. Fin ) $.
    opnvonmbl.s $e |- S = dom ( voln ` X ) $.
    opnvonmbl.g $e |- ( ph -> G e. ( TopOpen ` ( RR^ ` X ) ) ) $.
    $( An open subset of the n-dimensional Real numbers is Lebesgue measurable.
       This is Proposition 115G (a) of [Fremlin1] p. 32.  (Contributed by
       Glauco Siliprandi, 24-Dec-2020.) $)
    opnvonmbl $p |- ( ph -> G e. S ) $=
      ( vh vi vk vf cv cico ccom cfv cixp wss cq cxp wceq cmap co fveq2 cbvixpv
      crab a1i coeq2 fveq1d ixpeq2dv eqtrd sseq1d cbvrabv opnvonmbllem2 ) ABHIC
      JDJLZMKLZNZOZPZCQZKRRSDUAUBZUEDEFGUSIDILZMHLZNZOZPZCQKHUTUOVBTZURVECVFURI
      DVAUPOZPZVEURVHTVFJIDUQVGUNVAUPUCUDUFVFIDVGVDVFVAUPVCUOVBMUGUHUIUJUKULUM
      $.
  $}

  ${
    opnssborel.a $e |- A = ( TopOpen ` ( RR^ ` X ) ) $.
    opnssborel.b $e |- B = ( SalGen ` A ) $.
    $( Open sets of a generalized real Euclidean space are Borel sets (notice
       that this theorem is even more general, because ` X ` is not required to
       be a set).  (Contributed by Glauco Siliprandi, 3-Jan-2021.) $)
    opnssborel $p |- A C_ B $=
      ( cvv wcel wss crrx cfv ctopn fvexi sssalgen ax-mp ) AFGABHACIJKDLBFAEMN
      $.
  $}

  ${
    $d S y $.  $d X y $.  $d ph y $.
    borelmbl.x $e |- ( ph -> X e. Fin ) $.
    borelmbl.s $e |- S = dom ( voln ` X ) $.
    borelmbl.b $e |- B = ( SalGen ` ( TopOpen ` ( RR^ ` X ) ) ) $.
    $( All Borel subsets of the n-dimensional Real numbers are Lebesgue
       measurable.  This is Proposition 115G (b) of [Fremlin1] p. 32.  See also
       Definition 111G (d) of [Fremlin1] p. 13.  (Contributed by Glauco
       Siliprandi, 3-Jan-2021.) $)
    borelmbl $p |- ( ph -> B C_ S ) $=
      ( vy cvv crrx cfv ctopn fvexd dmovnsal cv wcel wa cfn cuni wceq opnvonmbl
      adantr simpr ssd cvoln cdm cmap eqid unidmvon unieqi a1i rrxunitopnfi syl
      cr co 3eqtr4d salgenss ) ACBIDJKZLKZAURLMGACDEFNAHUSCAHOZUSPZQCUTDADRPZVA
      EUBFAVAUCUAUDADUEKUFZSZUNDUGUOZCSZUSSZAVCDEVCUHUIVFVDTACVCFUJUKAVBVGVETED
      ULUMUPUQ $.
  $}

  $( The Lebesgue measure of a left-closed right-open interval with real
     bounds, is a nonnegative real number.  (Contributed by Glauco Siliprandi,
     3-Mar-2021.) $)
  volicorege0 $p |- ( ( A e. RR /\ B e. RR ) -> ( vol ` ( A [,) B ) ) e. ( 0
     [,) +oo ) ) $=
    ( cr wcel wa cc0 cpnf cico co cvol cfv rexrd cxr pnfxr a1i volicore cdm cle
    0red wbr simpl simpr icombl syl2anc volge0 syl ltpnfd elicod ) ACDZBCDZEZFG
    ABHIZJKZUKFUKSLGMDUKNOUKUMABPZLUKULJQDZFUMRTUKUIBMDUOUIUJUAUKBUIUJUBLABUCUD
    ULUEUFUKUMUNUGUH $.
  ${
    $d E a $.  $d X a $.
    isvonmbl.1 $e |- ( ph -> X e. Fin ) $.
    $( The predicate " ` A ` is measurable w.r.t. the n-dimensional Lebesgue
       measure".  A set is measurable if it splits every other set ` x ` in a
       "nice" way, that is, if the measure of the pieces ` x i^i A ` and
       ` x \ A ` sum up to the measure of ` x ` .  Definition 114E of
       [Fremlin1] p. 25.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    isvonmbl $p |- ( ph -> ( E e. dom ( voln ` X ) <-> ( E C_ ( RR ^m X ) /\ A.
       a e. ~P ( RR ^m X ) ( ( ( voln* ` X ) ` ( a i^i E ) ) +e ( ( voln* ` X )
       ` ( a \ E ) ) ) = ( ( voln* ` X ) ` a ) ) ) ) $=
      ( cfv cdm wcel cpw co wceq wral wa cr cmap wss adantl adantr sseqtrd ex
      cvoln covoln ccaragen cuni cv cin cdif cxad dmvon eleq2d ovnome caragenel
      eqid elpwi unidmovn simpr eqcomd wb cvv ovex ssex elpwg syl mpbird impbid
      pweqd raleq anbi12d 3bitrd ) ABCUAFGZHBCUBFZUCFZHBVKGUDZIZHZDUEZBUFVKFVPB
      UGVKFUHJVPVKFKZDVNLZMBNCOJZPZVQDVSIZLZMAVJVLBACEUIUJAVLBVKDACEUKVLUMULAVO
      VTVRWBAVOVTAVOVTAVOMBVMVSVOBVMPZABVMUNQAVMVSKVOACEUOZRSTAVTVOAVTMZVOWCWEB
      VSVMAVTUPAVSVMKVTAVMVSWDUQRSVTVOWCURZAVTBUSHWFBVSNCOUTVABVMUSVBVCQVDTVEAV
      NWAKVRWBURAVMVSWDVFVQDVNWAVGVCVHVI $.
  $}

  ${
    mblvon.1 $e |- ( ph -> X e. Fin ) $.
    mblvon.2 $e |- ( ph -> A e. dom ( voln ` X ) ) $.
    $( The n-dimensional Lebesgue measure of a measurable set is the same as
       its n-dimensional Lebesgue outer measure.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    mblvon $p |- ( ph -> ( ( voln ` X ) ` A ) = ( ( voln* ` X ) ` A ) ) $=
      ( cvoln cfv covoln ccaragen cres vonval wcel wceq cdm dmvon eleqtrd fvres
      fveq1d syl eqtrd ) ABCFGZGBCHGZUBIGZJZGZBUBGZABUAUDACDKRABUCLUEUFMABUANUC
      EACDOPBUCUBQST $.
  $}

  ${
    vonmblss.1 $e |- ( ph -> X e. Fin ) $.
    $( n-dimensional Lebesgue measurable sets are subsets of the n-dimensional
       real Euclidean space.  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    vonmblss $p |- ( ph -> dom ( voln ` X ) C_ ~P ( RR ^m X ) ) $=
      ( cvoln cfv cdm covoln ccaragen cr cmap co cpw dmvon come wcel wss ovnome
      eqid caragenss syl dmovn sseqtrd eqsstrd ) ABDEFBGEZHEZIBJKLZABCMAUEUDFZU
      FAUDNOUEUGPABCQUEUDUERSTABCUAUBUC $.
  $}

  $( The measure of left-closed right-open interval.  (Contributed by Glauco
     Siliprandi, 3-Mar-2021.) $)
  volico2 $p |- ( ( A e. RR /\ B e. RR ) -> ( vol ` ( A [,) B ) ) = if ( A <_ B
     , ( B - A ) , 0 ) ) $=
    ( cr wcel wa cle wbr co cmin cc0 cif wceq adantl adantr simpll simplr simpr
    iftrued 3eqtr4d wn cico cvol cfv iftrue volico ltled adantlr simpld lenlteq
    simprd eqcomd eqled lenltd mpbid iffalsed recn subidd ad2antrr oveq1 3eqtrd
    clt syl2anc pm2.61dan stoic1a iffalse ) ACDZBCDZEZABFGZABUAHUBUCZVIBAIHZJKZ
    LZVHVIEZABVAGZVMVHVOVMVIVHVOEZVOVKJKZVKVJVLVOVQVKLVHVOVKJUDMVHVJVQLZVOABUEZ
    NVPVIVKJVPABVFVGVOOVFVGVOPVHVOQUFZRSUGVNVOTZEZVHABLZVMVHVIWAOZWBABWBVFVGWDU
    HWBVFVGWDUJVHVIWAPVNWAQUIVHWCEZVQVKVJVLWEVQJAAIHZVKWEVOVKJWEBAFGWAWEBAVFVGW
    CPZWEABVHWCQZUKULWEBAWGVFVGWCOZUMUNUOVFJWFLVGWCVFWFJVFAAUPUQUKURWCWFVKLVHAB
    AIUSMUTVHVRWCVSNWEVIVKJWEABWIWHULRSVBVCVHVITZEZVQJVJVLWKVOVKJVHVOVIVTVDUOVH
    VRWJVSNWJVLJLVHVIVKJVEMSVC $.

  ${
    vonmblss2.x $e |- ( ph -> X e. Fin ) $.
    vonmblss2.y $e |- ( ph -> Y e. dom ( voln ` X ) ) $.
    $( n-dimensional Lebesgue measurable sets are subsets of the n-dimensional
       real Euclidean space.  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    vonmblss2 $p |- ( ph -> Y C_ ( RR ^m X ) ) $=
      ( cr cmap co cpw wcel wss cvoln cfv cdm vonmblss sseldd elpwi syl ) ACFBG
      HZIZJCSKABLMNTCABDOEPCSQR $.
  $}

  ${
    $d F k n $.  $d k ph $.
    ovolval2lem.1 $e |- ( ph -> F : NN --> ( <_ i^i ( RR X. RR ) ) ) $.
    $( The value of the Lebesgue outer measure for subsets of the reals,
       expressed using ` sum^ ` .  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    ovolval2lem $p |- ( ph -> ran seq 1 ( + , ( ( abs o. - ) o. F ) ) = ran ( n
       e. NN |-> sum_ k e. ( 1 ... n ) ( vol ` ( ( [,) o. F ) ` k ) ) ) ) $=
      ( cmin c1 cn co cfv cr wcel wceq cle cvv wf a1i wa adantr cc cabs ccom cv
      caddc cseq cfz cico cvol csu cmpt cxp cmap cin wss reex inss2 mapss mp2an
      xpex inex2 nnex elmapd mpbird sselid 1zzd nnuz elmapi simpr fvovco fveq2d
      c1st c2nd ffvelrnda xp1st xp2nd volicore syl2anc eqeltrd recnd fsumsermpt
      syl eqid clt wbr cc0 cif iftrued sylan cxr ressxr cop xpss 1st2ndb eqcomd
      wn sylib inss1 df-br sylibr lenltd xrletrid w3a simp3 simp1 simp2 eqleltd
      mpbid simprd iffalsed subeq0bd eqtr4d syl3anc pm2.61dan volico abssuble0d
      fssd 3eqtr4d df-ov eqcomi cnmetdval mpteq2dva rr2sscn2 absf subf fcomptss
      3eqtrd fco seqeq3d eqtr2d rneqd ) AUDUAFUBZDUBZGUEZCHGCUCUFIBUCZUGDUBJZUH
      JZBUIUJZAYQUDBHYPUJZGUEZYMADKKUKZHULIZLZYQYSMANYTUMZHULIZUUADYTOLUUCYTUNU
      UDUUAUNKKUOUOUSZNYTUPUUCYTHOUQURADUUDLHUUCDPEAUUCHDOOUUCOLAYTNUUEUTQHOLAV
      AQVBVCVDZUUBYPBCYQYSGHUUBVEVFUUBYNHLZRZYPUUHYPYNDJZVKJZUUIVLJZUGIZUHJZKUU
      HYOUULUHUUHDUGKKHYNUUBHYTDPZUUGDYTHVGZSUUBUUGVHVIVJZUUHUUJKLZUUKKLZUUMKLU
      UHUUIYTLZUUQUUBHYTYNDUUOVMZUUIKKVNWAZUUHUUSUURUUTUUIKKVOWAZUUJUUKVPVQVRVS
      YQWBYSWBVTWAAYRYLUDGAYRBHUUIYKJZUJYLABHYPUVCAUUGRZUUMUUJUUKFIUAJZYPUVCUVD
      UUJUUKWCWDZUUKUUJFIZWEWFZUVGUUMUVEUVDUVFUVHUVGMZUVDUVFRUVFUVGWEUVDUVFVHWG
      UVDUVFWOZRZUUQUURUUJUUKMZUVIUVDUUQUVJAUUBUUGUUQUUFUVAWHZSZUVDUURUVJAUUBUU
      GUURUUFUVBWHZSZUVKUUJUUKUVKKWIUUJWJUVNVDUVKKWIUUKWJUVPVDUVDUUJUUKNWDZUVJU
      VDUUJUUKWKZNLUVQUVDUVRUUINUVDUUIUVRAUUBUUGUUIUVRMZUUFUUHUUIOOUKZLUVSUUHYT
      UVTUUIKKWLUUTVDUUIWMWPZWHWNAHNYNDAHUUCNDEUUCNUNANYTWQQXPVMVRUUJUUKNWRWSZS
      UVKUUKUUJNWDUVJUVDUVJVHUVKUUKUUJUVPUVNWTVCXAUUQUURUVLXBZUVHWEUVGUWCUVFUVG
      WEUWCUVQUVJUWCUVLUVQUVJRUUQUURUVLXCZUWCUUJUUKUUQUURUVLXDUUQUURUVLXEZXFXGX
      HXIUWCUUKUUJUWCUUKUWEVSUWCUUJUUKUWDWNXJXKXLXMUVDUUQUURUUMUVHMUVMUVOUUJUUK
      XNVQUVDUUJUUKUVMUVOUWBXOXQUVDUUBUUGYPUUMMAUUBUUGUUFSZAUUGVHZUUPVQUVDUUBUU
      GUVCUVEMUWFUWGUUHUVCUVRYKJZUUJUUKYKIZUVEUUHUUIUVRYKUWAVJUWHUWIMUUHUWIUWHU
      UJUUKYKXRXSQUUHUUJTLUUKTLUWIUVEMUUHUUJUVAVSUUHUUKUVBVSUUJUUKYKYKWBXTVQYFV
      QXQYAABHYTTTUKZKDYKAUUBUUNUUFUUOWAYTUWJUNAYBQUWJKYKPZATKUAPUWJTFPUWKYCYDU
      WJTKUAFYGURQYEXKYHYIYJ $.
  $}

  ${
    $d A f y $.  $d f ph y $.
    ovolval2.a $e |- ( ph -> A C_ RR ) $.
    ovolval2.m $e |- M = { y e. RR* | E. f e. ( ( <_ i^i ( RR X. RR ) ) ^m NN )
       ( A C_ U. ran ( (,) o. f ) /\ y = ( sum^ ` ( ( abs o. - ) o. f ) ) ) }
                 $.
    $( The value of the Lebesgue outer measure for subsets of the reals,
       expressed using ` sum^ ` .  See ~ ovolval for an alternative expression.
       (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    ovolval2 $p |- ( ph -> ( vol* ` A ) = inf ( M , RR* , < ) ) $=
      ( ccom wss cabs cmin cxr clt wceq cr cn a1i wcel wf cc covol cfv cioo crn
      cv cuni caddc c1 cseq csup wa cle cxp cmap co wrex crab cinf eqid ovolval
      cin syl csumge0 cz cvv reex xpex inss2 mapss mp2an sseli 1zzd adantl nnuz
      cc0 cpnf cico absfico subf fco rr2sscn2 elmapi fcoss eqcomd eqeq2d anbi2d
      sge0seq rexbidva rabbidv eqcomi 3eqtrd infeq1d eqtrd ) ACUAUBZCUCDUEZHUDU
      FIZBUEZUGJKHZWOHZUHUIZUDLMUJZNZUKZDULOOUMZVAZPUNUOZUPZBLUQZLMURZELMURACOI
      WNXINFBCDXHXHUSZUTVBALXHEMAXHXHWPWQWSVCUBZNZUKZDXFUPZBLUQZEXHXHNAXJQAXGXN
      BLAXCXMDXFAWOXFRZUKZXBXLWPXQXAXKWQXQXKXAXQWSWTUHPXPUHVDRZAXPWOXDPUNUOZRZX
      RXFXSWOXDVERXEXDIXFXSIOOVFVFVGULXDVHXEXDPVEVIVJVKZXTVLVBVMVNXPPVOVPVQUOZW
      SSAXPTTUMZYBXDPWRWOYCYBWRSZXPTYBJSYCTKSYDVRVSYCTYBJKVTVJQXDYCIXPWAQXPXTPX
      DWOSYAWOXDPWBVBWCVMWTUSWGWDWEWFWHWIXOENAEXOGWJQWKWLWM $.
  $}

  ${
    $d A n $.  $d B n $.  $d C n $.  $d X n $.  $d n ph $.
    ovnsubadd2lem.x $e |- ( ph -> X e. Fin ) $.
    ovnsubadd2lem.a $e |- ( ph -> A C_ ( RR ^m X ) ) $.
    ovnsubadd2lem.b $e |- ( ph -> B C_ ( RR ^m X ) ) $.
    ovnsubadd2lem.c $e |- C = ( n e. NN |-> if ( n = 1 , A , if ( n = 2 , B ,
       (/) ) ) ) $.
    $( ` ( voln* `` X ) ` is subadditive.  Proposition 115D (a)(iv) of
       [Fremlin1] p. 31 .  The special case of the union of 2 sets.
       (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    ovnsubadd2lem $p |- ( ph -> ( ( voln* ` X ) ` ( A u. B ) ) <_ ( ( ( voln* `
       X ) ` A ) +e ( ( voln* ` X ) ` B ) ) ) $=
      ( cn cfv c1 wceq c2 c0 wcel wa cvv a1i cv ciun covoln csumge0 cle wbr cun
      cmpt cxad co cif cmap cpw iftrue adantl ovexd ssexd elpwd eqeltrd adantlr
      cr adantr wn simpl iffalsed simpr iftrued eqtrd adantll ad2antrr adantllr
      0elpw pm2.61dan fmptd ovnsubadd cpr cdif wral eldifi eldifn vex id nelpr1
      neneqd syl nelpr2 syl2anc 0ex fvmpt2 ralrimiva iunxdif3 eqcomd wss pm3.2i
      nfcv 1nn 2nn prssi ax-mp dfss4 mpbi iuneq1 fveq2 iunxprg fvmptd3 wne 1ne2
      mp2an necomi eqnetrd uneq12d eqidd 3eqtrd fveq2d nfv cfn sselda ffvelrnda
      nnex elpwi ovncl ovn0 sge0ss eqsstrd 2fveq3 sge0pr oveq12d breq12d mpbid
      cc0 ) AEKEUAZDLZUBZFUCLZLZEKYLYNLZUHUDLZUEUFBCUGZYNLZBYNLZCYNLZUIUJZUEUFA
      DEFGAEKYKMNZBYKONZCPUKZUKZVAFULUJZUMZDAYKKQZRZUUCUUFUUHQZAUUCUUKUUIAUUCRU
      UFBUUHUUCUUFBNAUUCBUUEUNZUOABUUHQUUCABUUGSABUUGSAVAFULUPZHUQZHURVBUSUTUUJ
      UUCVCZRUUDUUKAUUOUUDUUKUUIAUUORUUDRUUFCUUHUUOUUDUUFCNAUUOUUDRZUUFUUECUUPU
      UCBUUEUUOUUDVDVEUUPUUDCPUUOUUDVFVGVHVIACUUHQUUOUUDACUUGSACUUGSUUMIUQZIURV
      JUSVKUUOUUDVCZUUKUUJUUOUURRZUUFPUUHUUSUUFUUEPUUSUUCBUUEUUOUURVDVEUUSUUDCP
      UUOUURVFVEVHZPUUHQUUSUUGVLTUSVIVMVMJVNZVOAYOYSYQUUBUEAYMYRYNAYMEKKMOVPZVQ
      ZVQZYLUBZEUVBYLUBZYRAUVEYMAYLPNZEUVCVRUVEYMNAUVGEUVCAYKUVCQZRZYLUUFPUVIUU
      IUUFSQZYLUUFNUVHUUIAYKKUVBVSUOUVHUVJAUVHUUFPSUVHUUOUURUUFPNZUVHYKUVBQZVCZ
      UUOYKKUVBVTZUVMYKMUVMYKMOSYKSQUVMEWATZUVMWBZWCWDWEUVHUVMUURUVNUVMYKOUVMYK
      MOSUVOUVPWFWDWEUUTWGZPSQUVHWHTUSUOEKUUFSDJWIWGUVHUVKAUVQUOVHZWJEKYLUVCEUV
      CWOWKWEWLUVEUVFNZAUVDUVBNZUVSUVBKWMZUVTMKQZOKQZRUWAUWBUWCWPWQWNMOKWRWSZUV
      BKWTXAEUVDUVBYLXBWSTAUVFMDLZODLZUGZYRYRUVFUWGNZAUWBUWCUWHWPWQEMOYLUWEUWFK
      KYKMDXCYKODXCXDXHTAUWEBUWFCAEMUUFBKDSJUULUWBAWPTZUUNXEZAEOUUFCKDSJUUDUUFU
      UECUUDUUCBUUEUUDYKMUUDYKOMUUDWBOMXFUUDMOXGXITXJWDVEUUDCPUNVHUWCAWQTZUUQXE
      ZXKAYRXLXMXMXNAYQEUVBYPUHUDLZUWEYNLZUWFYNLZUIUJUUBAUWMYQAUVBKYPESAEXOKSQA
      XSTUWAAUWDTZAUVLRZYLFAFXPQZUVLGVBUWQAUUIYLUUGWMZAUVLVDAUVBKYKUWPXQUUJYLUU
      HQUWSAKUUHYKDUVAXRYLUUGXTWEWGYAUVIYPPYNLYJUVIYLPYNUVRXNUVIFAUWRUVHGVBYBVH
      YCWLAMOYPUWNEUWOKKUWIUWKAUWEFGAUWEBUUGUWJHYDYAAUWFFGAUWFCUUGUWLIYDYAYKMYN
      DYEYKOYNDYEMOXFAXGTYFAUWNYTUWOUUAUIAUWEBYNUWJXNAUWFCYNUWLXNYGXMYHYI $.
  $}

  ${
    $d A m n $.  $d B m n $.  $d X n $.  $d n ph $.
    ovnsubadd2.x $e |- ( ph -> X e. Fin ) $.
    ovnsubadd2.a $e |- ( ph -> A C_ ( RR ^m X ) ) $.
    ovnsubadd2.b $e |- ( ph -> B C_ ( RR ^m X ) ) $.
    $( ` ( voln* `` X ) ` is subadditive.  Proposition 115D (a)(iv) of
       [Fremlin1] p. 31 .  The special case of the union of 2 sets.
       (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    ovnsubadd2 $p |- ( ph -> ( ( voln* ` X ) ` ( A u. B ) ) <_ ( ( ( voln* ` X
       ) ` A ) +e ( ( voln* ` X ) ` B ) ) ) $=
      ( vm vn cn cv c1 wceq c2 c0 cif cmpt eqeq1 ifbid ifbieq2d ovnsubadd2lem
      cbvmptv ) ABCHJHKZLMZBUCNMZCOPZPZQIDEFGHIJUGIKZLMZBUHNMZCOPZPUCUHMZUDUIUF
      UKBUCUHLRULUEUJCOUCUHNRSTUBUA $.
  $}

  ${
    $d A f y $.  $d f n $.  $d f ph y $.
    ovolval3.a $e |- ( ph -> A C_ RR ) $.
    ovolval3.m $e |- M = { y e. RR* | E. f e. ( ( <_ i^i ( RR X. RR ) ) ^m NN )
       ( A C_ U. ran ( (,) o. f ) /\ y = ( sum^ ` ( ( vol o. (,) ) o. f ) ) ) }
       $.
    $( The value of the Lebesgue outer measure for subsets of the reals,
       expressed using ` sum^ ` and ` vol o. (,) ` .  See ~ ovolval and
       ~ ovolval2 for alternative expressions.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    ovolval3 $p |- ( ph -> ( vol* ` A ) = inf ( M , RR* , < ) ) $=
      ( vn cfv cioo wceq cr cn co cxr wcel wf a1i syl2anc cc covol cv ccom cuni
      crn wss cabs cmin csumge0 wa cle cxp cin cmap wrex crab clt cinf ovolval2
      eqid cvol cmpt c2nd c1st cop cvv reex xpex inss2 mapss mp2an sseli elmapi
      syl ffvelrnda 1st2nd2 fveq2d df-ov eqcomi eqtrd wbr xp1st xp2nd w3a simpr
      adantr ovolfcl simp3d volioo syl3anc wfun cdm ioof ffun rexpssxrxp sselid
      cpw ax-mp fdmi eleqtrd recnd cnmetdval abssub abssubge0d 3eqtrd mpteq2dva
      fvco 3eqtr4d cc0 cpnf cicc volioof fssd fcompt fco rr2sscn2 eqeq2d anbi2d
      absf subf rexbiia rabbii eqtr2i infeq1i ) ACUAICJDUBZUCUEUDUFZBUBZUGUHUCZ
      YEUCZUIIZKZUJZDUKLLULZUMZMUNNZUOZBOUPZOUQURZEOUQURZABCDYQFYQUTUSYRYSKAOYQ
      EUQEYFYGVAJUCZYEUCZUIIZKZUJZDYOUOZBOUPYQGUUEYPBOUUDYLDYOYEYOPZUUCYKYFUUFU
      UBYJYGUUFUUAYIUIUUFHMHUBZYEIZYTIZVBZHMUUHYHIZVBZUUAYIUUFHMUUIUUKUUFUUGMPZ
      UJZUUHJIZVAIZUUHVCIZUUHVDIZUHNZUUIUUKUUNUUPUURUUQJNZVAIZUUSUUNUUOUUTVAUUN
      UUOUURUUQVEZJIZUUTUUNUUHUVBJUUNUUHYMPZUUHUVBKUUFMYMUUGYEUUFYEYMMUNNZPMYMY
      EQYOUVEYEYMVFPYNYMUFYOUVEUFLLVGVGVHUKYMVIYNYMMVFVJVKVLYEYMMVMVNZVOZUUHLLV
      PVNZVQUVCUUTKUUNUUTUVCUURUUQJVRVSRVTVQUUNUURLPZUUQLPZUURUUQUKWAZUVAUUSKUU
      NUVDUVIUVGUUHLLWBVNZUUNUVDUVJUVGUUHLLWCVNZUUNUVIUVJUVKUUNMYNYEQZUUMUVIUVJ
      UVKWDUUFUVNUUMYEYNMVMWFUUFUUMWEYEUUGWGSWHZUURUUQWIWJVTUUNJWKZUUHJWLZPUUIU
      UPKUVPUUNOOULZLWQZJQUVPWMUVRUVSJWNWRRUUNUUHUVRUVQUUNYMUVRUUHWOUVGWPUVRUVQ
      KUUNUVQUVRUVRUVSJWMWSVSRWTUUHVAJXGSUUNUUKUVBYHIZUURUUQYHNZUUSUUNUUHUVBYHU
      VHVQUVTUWAKUUNUWAUVTUURUUQYHVRVSRUUNUWAUURUUQUHNUGIZUUSUGIZUUSUUNUURTPZUU
      QTPZUWAUWBKUUNUURUVLXAZUUNUUQUVMXAZUURUUQYHYHUTXBSUUNUWDUWEUWBUWCKUWFUWGU
      URUUQXCSUUNUURUUQUVLUVMUVOXDXEXEXHXFUUFUVRXIXJXKNZYTQZMUVRYEQUUAUUJKUWIUU
      FXLRUUFMYMUVRYEUVFYMUVRUFUUFWORXMHYTYEMUVRUWHXNSUUFTTULZLYHQZMUWJYEQYIUUL
      KUWKUUFTLUGQUWJTUHQUWKXSXTUWJTLUGUHXOVKRUUFMYMUWJYEUVFYMUWJUFUUFXPRXMHYHY
      EMUWJLXNSXHVQXQXRYAYBYCYDRVT $.
  $}

  ${
    ovnsplit.x $e |- ( ph -> X e. Fin ) $.
    ovnsplit.a $e |- ( ph -> A C_ ( RR ^m X ) ) $.
    $( The n-dimensional Lebesgue outer measure function is finitely
       sub-additive: application to a set split in two parts.  (Contributed by
       Glauco Siliprandi, 3-Mar-2021.) $)
    ovnsplit $p |- ( ph -> ( ( voln* ` X ) ` A ) <_ ( ( ( voln* ` X ) ` ( A i^i
       B ) ) +e ( ( voln* ` X ) ` ( A \ B ) ) ) ) $=
      ( covoln cfv cin cdif cun cxad co cle wceq inundif eqcomi fveq2i a1i cr
      cmap ssinss1d ssdifssd ovnsubadd2 eqbrtrd ) ABDGHZHZBCIZBCJZKZUFHZUHUFHUI
      UFHLMNUGUKOABUJUFUJBBCPQRSAUHUIDEABCTDUAMZFUBABULCFUCUDUE $.
  $}

  ${
    $d A n $.  $d F n $.  $d G n $.  $d n ph $.
    ovolval4lem1.f $e |- ( ph -> F : NN --> ( RR* X. RR* ) ) $.
    ovolval4lem1.g $e |- G = ( n e. NN |-> <. ( 1st ` ( F ` n ) ) , if ( ( 1st
       ` ( F ` n ) ) <_ ( 2nd ` ( F ` n ) ) , ( 2nd ` ( F ` n ) ) , ( 1st ` ( F
       ` n ) ) ) >. ) $.
    ovolval4lem1.a $e |- A = { n e. NN | ( 1st ` ( F ` n ) ) <_ ( 2nd ` ( F ` n
       ) ) } $.
    $( |- ( ( ph /\ n e.  A ) -> ( ( (,) o.  G ) ` n ) = ( ( (,) o. F ) ` n ) )
       (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    ovolval4lem1 $p |- ( ph -> ( U. ran ( (,) o. F ) = U. ran ( (,) o. G ) /\ (
       vol o. ( (,) o. F ) ) = ( vol o. ( (,) o. G ) ) ) ) $=
      ( cioo wceq cvol cn cfv cxr wf syl2anc wcel wa adantr c0 ccom crn cuni cv
      ciun cdif cun wfn cr cpw cxp ioof a1i fco ffnd fniunfv syl eqcomd wss cle
      c1st c2nd wbr crab ssrab2 eqsstri undif mpbi eqcomi iuneq1i eqtri cif cop
      iunxun ffvelrnda xp1st xp2nd ifcld opelxpd fmptd sseli adantl fvco3 simpl
      1st2nd2 cvv elexd fvmpt2d eleq2i biimpi rabid sylib simprd iftrued opeq2d
      eqidd 3eqtrd eqtr4d fveq2d eqtrd iuneq2dv eldifi anim1i sylibr adantll wn
      cmpt eldifn ad2antlr pm2.65da iffalsed co iooid eqtr2i iun0 simplr syldan
      df-ov clt simpr xrltnled mpbird xrltled condan wb ioo0 eqtr3d uneq12d cdm
      wral eqeltrd ralrimiva jca ffnfv pm2.61dan wfun fnfun fdmd eleqtrd fvco
      3eqtrrd cc0 cpnf cicc volf ioombl adantlr simpll bicomi eqeltrrdi 3eqtr4d
      eldif eqfnfvd ) AIDUAZUBUCZIEUAZUBUCZJKUUNUAZKUUPUAZJAUUOCLCUDZUUNMZUEZCB
      UVAUEZCLBUFZUVAUEZUGZUUQAUVBUUOAUUNLUHZUVBUUOJALUIUJZUUNANNUKZUVHIOZLUVID
      OZLUVHUUNOUVJAULUMZFLUVIUVHIDUNPZUOZCLUUNUPUQURUVBUVFJAUVBCBUVDUGZUVAUEUV
      FCLUVOUVAUVOLBLUSUVOLJBUUTDMZVAMZUVPVBMZUTVCZCLVDZLHUVSCLVEVFZBLVGVHVIZVJ
      CBUVDUVAVNVKUMAUUQCLUUTUUPMZUEZCBUWCUEZCUVDUWCUEZUGZUVFAUWDUUQAUUPLUHZUWD
      UUQJALUVHUUPAUVJLUVIEOZLUVHUUPOUVLACLUVQUVSUVRUVQVLZVMZUVIEAUUTLQZRZUVQUW
      JNNUWMUVPUVIQZUVQNQZALUVIUUTDFVOZUVPNNVPUQZUWMUVSUVRUVQNUWMUWNUVRNQZUWPUV
      PNNVQUQZUWQVRVSZGVTZLUVIUVHIEUNPZUOZCLUUPUPUQURUWDUWGJAUWDCUVOUWCUEUWGCLU
      VOUWCUWBVJCBUVDUWCVNVKUMAUWEUVCUWFUVEACBUWCUVAAUUTBQZRZUWCUUTEMZIMZUVAUXE
      UWIUWLUWCUXGJZAUWIUXDUXASUXDUWLABLUUTUWAWAWBZLUVIUUTIEWCZPUXEUVAUVPIMZUXG
      UXEUVKUWLUVAUXKJZAUVKUXDFSUXILUVIUUTIDWCZPUXEUVPUXFIUXEUVPUVQUVRVMZUXFUXE
      AUWLUVPUXNJZAUXDWDZUXIUWMUWNUXOUWPUVPNNWEUQZPUXEUXFUWKUXNUXNUXEAUWLUXFUWK
      JZUXPUXIACLUWKEWFECLUWKXGJAGUMUWMUWKUVIUWTWGWHZPUXEUWJUVRUVQUXEUVSUVRUVQU
      XDUVSAUXDUWLUVSUXDUUTUVTQZUWLUVSRZUXDUXTBUVTUUTHWIZWJUVSCLWKZWLWMWBWNWOUX
      EUXNWPWQWRWSWTWRZXAAUWFTUVEAUWFCUVDTUEZTACUVDUWCTAUUTUVDQZRZUWCUXGUVQUVQV
      MZIMZTUYGUWIUWLUXHAUWIUYFUXASUYFUWLAUUTLBXBZWBZUXJPUYGUXFUYHIUYGUXFUWKUYH
      UYGAUWLUXRAUYFWDZUYKUXSPUYGUWJUVQUVQUYGUVSUVRUVQUYGUVSUXDUYFUVSUXDAUYFUVS
      RZUXTUXDUYMUYAUXTUYFUWLUVSUYJXCUYCXDUYBXDZXEUYFUXDXFZAUVSUUTLBXHZXIXJXKWO
      WTWSUYITJUYGTUVQUVQIXLZUYIUYQTUVQXMVIUVQUVQIXRXNUMWQZXAUYETJACUVDXOUMZWTA
      UVEUYETACUVDUVATUYGUVAUXKUXNIMZTUYGUVKUWLUXLUYGAUVKUYLFUQUYKUXMPUYGUVPUXN
      IUYGAUWLUXOUYLUYKUXQPWSUYGUVQUVRIXLZUYTTVUAUYTJUYGUVQUVRIXRZUMUYGVUATJZUV
      RUVQUTVCZUYGVUDUXDUYGVUDXFZRZUYFUVSUXDAUYFVUEXPVUFUVQUVRUYGUWOVUEAUYFUWLU
      WOUYKUWQXQZSZUYGUWRVUEAUYFUWLUWRUYKUWSXQZSZVUFUVQUVRXSVCVUEUYGVUEXTVUFUVQ
      UVRVUHVUJYAYBYCUYNPUYFUYOAVUEUYPXIYDUYGUWOUWRVUCVUDYEVUGVUIUVQUVRYFPYBZYG
      WQZXAUYSWTWRYHUUAWQACLUURUUSALUUBUUCUUDXLZUURAKYIZVUMKOZLVUNUUNOZLVUMUURO
      VUOAUUEUMZAUVGUVAVUNQZCLYJZRVUPAUVGVUSUVNAVURCLUWMUVAVUAVUNUWMUVAUXKUYTVU
      AUWMUVKUWLUXLAUVKUWLFSAUWLXTZUXMPUWMUVPUXNIUXQWSUYTVUAJUWMVUAUYTVUBVIUMWQ
      VUAVUNQUWMUVQUVRUUFZUMYKZYLYMCLVUNUUNYNXDLVUNVUMKUUNUNPUOALVUMUUSAVUOLVUN
      UUPOZLVUMUUSOVUQAUWHUWCVUNQZCLYJZRVVCAUWHVVEUXCAVVDCLUWMUXDVVDUWMUXDRZUWC
      UVAVUNAUXDUWCUVAJUWLUYDUUGZUWMVURUXDVVBSYKUWMUYORZAUYFVVDAUWLUYOUUHZUWLUY
      OUYFAUWLUYORZUYFUYFVVJUUTLBUULUUIWJXEZUYGUWCTVUNUYRUYGTVUAVUNVUKVVAUUJYKP
      YOYLYMCLVUNUUPYNXDLVUNVUMKUUPUNPUOUWMUVAKMZUWCKMZUUTUURMZUUTUUSMZUWMUVAUW
      CKUWMUXDUVAUWCJZVVFUWCUVAVVGURVVHAUYFVVPVVIVVKUYGUVATUWCVULUYRWRPYOWSUWMU
      UNYPZUUTUUNYIZQVVNVVLJAVVQUWLAUVGVVQUVNLUUNYQUQSUWMUUTLVVRVUTALVVRJUWLAVV
      RLALUVHUUNUVMYRURSYSUUTKUUNYTPUWMUUPYPZUUTUUPYIZQVVOVVMJAVVSUWLAUWHVVSUXC
      LUUPYQUQSUWMUUTLVVTVUTALVVTJUWLAVVTLALUVHUUPUXBYRURSYSUUTKUUPYTPUUKUUMYM
      $.
  $}

  ${
    $d A f g y $.  $d G g $.  $d G n $.  $d f k n $.  $d g ph y $.
    ovolval4lem2.a $e |- ( ph -> A C_ RR ) $.
    ovolval4lem2.m $e |- M = { y e. RR* | E. f e. ( ( RR X. RR ) ^m NN ) ( A C_
       U. ran ( (,) o. f ) /\ y = ( sum^ ` ( ( vol o. (,) ) o. f ) ) ) } $.
    ovolval4lem2.g $e |- G = ( n e. NN |-> <. ( 1st ` ( f ` n ) ) , if ( ( 1st
       ` ( f ` n ) ) <_ ( 2nd ` ( f ` n ) ) , ( 2nd ` ( f ` n ) ) , ( 1st ` ( f
       ` n ) ) ) >. ) $.
    $( The value of the Lebesgue outer measure for subsets of the reals.
       Similar to ~ ovolval3 , but here ` f ` is may represent unordered
       interval bounds.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    ovolval4lem2 $p |- ( ph -> ( vol* ` A ) = inf ( M , RR* , < ) ) $=
      ( cioo ccom wss cfv wceq wa cr cn cle wcel vg vk cv crn cuni cvol csumge0
      cxp cmap co wrex cxr crab cin wf c1st c2nd wbr iftrue opeq2d adantl df-br
      cif cop biimpi eqeltrd wn iffalse elmapi ffvelrnda xp1st syl leidd adantr
      sylib pm2.61dan xp2nd ifcld opelxpi syl2anc elind fmptd cvv reex xpex a1i
      inex2 nnex elmapd mpbird simpr rexpssxrxp fssd 2fveq3 ovolval4lem1 simpld
      breq12d cbvrabv sseqtrd adantrr simprd coass 3eqtr4d fveq2d eqtrd adantrl
      jca coeq2 rneqd unieqd sseq2d eqeq2d anbi12d rspcev rexlimiva inss2 mapss
      mp2an sseli impbii rabbii eqtri ovolval3 ) ABCUAGHGCKDUCZLZUDZUEZMZBUCZUF
      KLZYDLZUGNZOZPZDQQUHZRUIUJZUKZBULUMCKUAUCZLZUDZUEZMZYIYJYRLZUGNZOZPZUASYO
      UNZRUIUJZUKZBULUMIYQUUIBULYQUUIYNUUIDYPYDYPTZYNPZFUUHTZCKFLZUDZUEZMZYIYJF
      LZUGNZOZPZUUIUUJUULYNUUJUULRUUGFUOUUJEREUCZYDNZUPNZUVCUVBUQNZSURZUVDUVCVC
      ZVDZUUGFUUJUVARTPZSYOUVGUVHUVEUVGSTUVHUVEPUVGUVCUVDVDZSUVEUVGUVIOUVHUVEUV
      FUVDUVCUVEUVDUVCUSUTVAUVEUVISTZUVHUVEUVJUVCUVDSVBVEVAVFUVHUVEVGZPUVGUVCUV
      CVDZSUVKUVGUVLOUVHUVKUVFUVCUVCUVEUVDUVCVHUTVAUVHUVLSTZUVKUVHUVCUVCSURUVMU
      VHUVCUVHUVBYOTZUVCQTZUUJRYOUVAYDYDYORVIZVJZUVBQQVKVLZVMUVCUVCSVBVOVNVFVPU
      VHUVOUVFQTUVGYOTUVRUVHUVEUVDUVCQUVHUVNUVDQTUVQUVBQQVQVLUVRVRUVCUVFQQVSVTW
      AJWBUUJUUGRFWCWCUUGWCTUUJYOSQQWDWDWEZWGWFRWCTUUJWHWFWIWJVNUUKUUPUUSUUJYHU
      UPYMUUJYHPCYGUUOUUJYHWKUUJYGUUOOZYHUUJUVTUFYELZUFUUMLZOZUUJUBUCZYDNZUPNZU
      WEUQNZSURZUBRUMEYDFUUJRYOULULUHZYDUVPYOUWIMUUJWLWFWMJUWHUVEUBERUWDUVAOUWF
      UVCUWGUVDSUWDUVAUPYDWNUWDUVAUQYDWNWQWRWOZWPVNWSWTUUJYMUUSYHUUJYMPYIYLUURU
      UJYMWKUUJYLUUROYMUUJYKUUQUGUUJUWAUWBYKUUQUUJUVTUWCUWJXAYKUWAOUUJUFKYDXBWF
      UUQUWBOUUJUFKFXBWFXCXDVNXEXFXGUUFUUTUAFUUHYRFOZUUBUUPUUEUUSUWKUUAUUOCUWKY
      TUUNUWKYSUUMYRFKXHXIXJXKUWKUUDUURYIUWKUUCUUQUGYRFYJXHXDXLXMXNVTXOUUFYQUAU
      UHYRUUHTZUUFPYRYPTZUUFYQUWLUWMUUFUUHYPYRYOWCTUUGYOMUUHYPMUVSSYOXPUUGYORWC
      XQXRXSVNUWLUUFWKYNUUFDYRYPYDYROZYHUUBYMUUEUWNYGUUACUWNYFYTUWNYEYSYDYRKXHX
      IXJXKUWNYLUUDYIUWNYKUUCUGYDYRYJXHXDXLXMXNVTXOXTYAYBYC $.
  $}

  ${
    $d A f y $.  $d f k n $.  $d ph y $.
    ovolval4.a $e |- ( ph -> A C_ RR ) $.
    ovolval4.m $e |- M = { y e. RR* | E. f e. ( ( RR X. RR ) ^m NN ) ( A C_ U.
       ran ( (,) o. f ) /\ y = ( sum^ ` ( ( vol o. (,) ) o. f ) ) ) } $.
    $( The value of the Lebesgue outer measure for subsets of the reals.
       Similar to ~ ovolval3 , but here ` f ` may represent unordered interval
       bounds.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    ovolval4 $p |- ( ph -> ( vol* ` A ) = inf ( M , RR* , < ) ) $=
      ( vn vk cn cv cfv c1st c2nd cle wbr cif cop cmpt 2fveq3 breq12d ifbieq12d
      wceq opeq12d cbvmptv ovolval4lem2 ) ABCDHIJIKZDKZLZMLZUJUINLZOPZUKUJQZRZS
      EFGIHJUNHKZUHLZMLZUQUPNLZOPZURUQQZRUGUOUCZUJUQUMUTUGUOMUHTZVAULUSUKUJURUQ
      VAUJUQUKUROVBUGUONUHTZUAVCVBUBUDUEUF $.
  $}

  ${
    $d C n $.  $d W n $.  $d n ph $.
    ovolval5lem1.a $e |- ( ( ph /\ n e. NN ) -> A e. RR ) $.
    ovolval5lem1.b $e |- ( ( ph /\ n e. NN ) -> B e. RR ) $.
    ovolval5lem1.w $e |- ( ph -> W e. RR+ ) $.
    ovolval5lem1.c $e |- C = { n e. NN | A < B } $.
    $( ` |- ( ph -> ( sum^ `` ( n e. NN |-> ( vol `` ( ( A - ( W / ( 2 ^ n ) `
       ` ) ) (,) B ) ) ) ) <_ ( ( sum^ `` ( n e. NN |-> ( vol `` ( A [,) B ) `
       ` ) ) ) +e W ) ) ` .  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    ovolval5lem1 $p |- ( ph -> ( sum^ ` ( n e. NN |-> ( vol ` ( ( A - ( W / ( 2
       ^ n ) ) ) (,) B ) ) ) ) <_ ( ( sum^ ` ( n e. NN |-> ( vol ` ( A [,) B )
       ) ) ) +e W ) ) $=
      ( cn co cfv wcel a1i cc0 cpnf cr adantr cle cexp cdiv cmin cioo cvol cmpt
      c2 cv csumge0 cico caddc cxad cvv nfv nnex wa cdm cicc wf ioombl ffvelrnd
      volf sge0xrclmpt cxr 0xr pnfxr volicore syl2anc rpred cn0 2nn nnnn0 nnred
      nnexpcl adantl wne nnne0d redivcld readdcld rexrd wbr icombl volge0 nnrpd
      syl crp rpdivcld addge0d rexr ltpnf xrltled eliccxrd xaddcld cif resubcld
      rpge0d wceq volioore iftrue recnd subsubd sublevolico leadd1dd eqbrtrd wn
      3eqtrd iffalse eqtrd pm2.61dan sge0lempt eqcomd mpteq2dva fveq2d sge0xadd
      rexaddd ltpnfd elicod sge0ad2en oveq2d xreqled xrletrd ) AEKBFUGEUHZUALZU
      BLZUCLZCUDLZUEMZUFUIMEKBCUJLZUEMZYDUKLZUFZUIMZEKYIUFUIMZFULLZAEKYGUMAEUNZ
      KUMNAUOOZAYBKNZUPZUEUQZPQURLZYFUEYSYTUEUSYRVBOZYFYSNYRYECUTOVAZVCAEKYJUMY
      OYPYRPQYJPVDNZYRVEOZQVDNZYRVFOZYRYJYRYIYDYRBRNZCRNZYIRNGHBCVGVHZYRFYCAFRN
      YQAFIVIZSYQYCRNAYQYCYQUGKNZYBVJNYCKNUUKYQVKOYBVLUGYBVNVHZVMVOYQYCPVPAYQYC
      UULVQVOVRZVSZVTYRYIYDUUIUUMYRYHYSNZPYITWAYRUUGCVDNUUOGYRCHVTBCWBVHZYHWCWE
      YRYDYRFYCAFWFNYQISYQYCWFNAYQYCUULWDVOWGWPZWHZYRYJRNZYJQTWAUUNUUSYJQYJWIUU
      EUUSVFOYJWJWKWEWLZVCZAYMFAEKYIUMYOYPYRYSYTYHUEUUAUUPVAZVCAFUUJVTZWMAEKYGY
      JUMYOYPUUBUUTYRYECTWAZYGYJTWAYRUVDUPZYGCBUCLZYDUKLZYJTUVEYGUVDCYEUCLZPWNZ
      UVHUVGYRYGUVIWQZUVDYRYERNUUHUVJYRBYDGUUMWOHYECWRVHZSUVDUVIUVHWQYRUVDUVHPW
      SVOYRUVHUVGWQUVDYRCBYDYRCHWTYRBGWTYRYDUUMWTXASXFYRUVGYJTWAUVDYRUVFYIYDYRC
      BHGWOUUIUUMYRBCGHXBXCSXDYRUVDXEZUPZYGPYJTUVMYGUVIPYRUVJUVLUVKSUVLUVIPWQYR
      UVDUVHPXGVOXHYRPYJTWAUVLUURSXDXIXJAYLYNUVAAYLEKYIYDULLZUFZUIMYMEKYDUFUIMZ
      ULLYNAYKUVOUIAEKYJUVNYRUVNYJYRYIYDUUIUUMXOXKXLXMAKYIYDEUMYOYPUVBYRPQYDUUD
      UUFYRYDUUMVTUUQYRYDRNZYDQTWAUUMUVQYDQYDWIUUEUVQVFOYDWJWKWEWLXNAUVPFYMULAF
      EAPQFUUCAVEOUUEAVFOUVCAFIWPAFUUJXPXQXRXSXFXTYA $.
  $}

  ${
    $d A f z $.  $d F m n $.  $d G f $.  $d G n $.  $d Q z $.  $d W n $.
    $d W z $.  $d Y z $.  $d Z f z $.  $d n ph $.
    ovolval5lem2.q $e |- Q = { z e. RR* | E. f e. ( ( RR X. RR ) ^m NN ) ( A C_
       U. ran ( (,) o. f ) /\ z = ( sum^ ` ( ( vol o. (,) ) o. f ) ) ) } $.
    ovolval5lem2.y $e |- ( ph -> Y = ( sum^ ` ( ( vol o. [,) ) o. F ) ) ) $.
    ovolval5lem2.z $e |- Z = ( sum^ ` ( ( vol o. (,) ) o. G ) ) $.
    ovolval5lem2.f $e |- ( ph -> F : NN --> ( RR X. RR ) ) $.
    ovolval5lem2.s $e |- ( ph -> A C_ U. ran ( [,) o. F ) ) $.
    ovolval5lem2.w $e |- ( ph -> W e. RR+ ) $.
    ovolval5lem2.g $e |- G = ( n e. NN |-> <. ( ( 1st ` ( F ` n ) ) - ( W / ( 2
       ^ n ) ) ) , ( 2nd ` ( F ` n ) ) >. ) $.
    $( ` |- ( ( ph /\ n e. NN ) -> <. ( ( 1st `` ( F `` n ) ) - `
       ` ( W / ( 2 ^ n ) ) ) , ( 2nd `` ( F `` n ) ) >. e. ( RR X. RR ) ) ` .
       (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    ovolval5lem2 $p |- ( ph -> E. z e. Q z <_ ( Y +e W ) ) $=
      ( cr cn vm wcel cxad cle wbr wrex cxr cioo ccom crn cuni wss cvol csumge0
      co cv cfv wceq wa cxp cmap a1i cvv nnex cpnf cicc volioof rexpssxrxp c1st
      cc0 wf cexp cdiv cmin c2nd cop ffvelrnda xp1st syl rpred adantr 2nn nnnn0
      c2 nnexpcld nnred adantl wne nnne0d redivcld resubcld xp2nd opelxpd fmptd
      fcoss sge0xrcl eqeltrd reex xpex elmapd mpbird cico ciun wral rexrd nnrpd
      clt crp rpdivcld ltsubrpd id opex fvmpt2 syl2anc fveq2d ovex op1stg mp2an
      fvex eqtrd eqcomd 1st2nd2 df-ov eqtr4d sseq12d rgenw dfiun3g cpw fcomptss
      cmpt rneqd unieqd eqtr2d jca coeq2 rspcev 2fveq3 breq12d nfcv fssd breq1d
      op2nd eqled icossioo syl22anc ralrimiva ss2iun icof sseq2d eqeq2d anbi12d
      ioof sstrd anbi2d rexbidv elrab2 sylibr crab cbvrabv ovolval5lem1 oveq12d
      eqeq1 volioofmpt mpteq2dva ressxr xpss2 ax-mp volicofmpt oveq1d breq1 ) A
      KDUBZKJIUCUOZUDUEZBUPZUVLUDUEZBDUFAKUGUBZCUHEUPZUIZUJZUKZULZKUMUHUIZUVQUI
      ZUNUQZURZUSZESSUTZTVAUOZUFZUSUVKAUVPUWIAKUWBHUIZUNUQZUGKUWKURZANVBZAUWJVC
      TTVCUBAVDVBZAUGUGUTZVJVEVFUOZUWGTUWBHUWOUWPUWBVKAVGVBUWGUWOULAVHVBZAFTFUP
      ZGUQZVIUQZIWDUWRVLUOZVMUOZVNUOZUWSVOUQZVPZUWGHAUWRTUBZUSZUXCUXDSSUXGUWTUX
      BUXGUWSUWGUBZUWTSUBATUWGUWRGOVQZUWSSSVRVSZUXGIUXAAISUBUXFAIQVTWAUXFUXASUB
      AUXFUXAUXFWDUWRWDTUBUXFWBVBUWRWCWEZWFWGUXFUXAVJWHAUXFUXAUXKWIWGWJWKUXGUXH
      UXDSUBUXIUWSSSWLVSZWMRWNZWOWPWQAHUWHUBZCUHHUIZUJZUKZULZUWLUSZUWIAUXNTUWGH
      VKUXMAUWGTHVCVCUWGVCUBASSWRWRWSVBUWNWTXAAUXRUWLACXBGUIZUJZUKZUXQPAUYBUXQU
      LFTUWSXBUQZXCZFTUWRHUQZUHUQZXCZULZAUYCUYFULZFTXDUYHAUYIFTUXGUYIUWTUXDXBUO
      ZUYEVIUQZUYEVOUQZUHUOZULZUXGUYKUGUBUYLUGUBUYKUWTXGUEZUXDUYLUDUEUYNUXGUYKU
      XGUYEUWGUBZUYKSUBATUWGUWRHUXMVQZUYESSVRVSXEUXGUYLUXGUYPUYLSUBUYQUYESSWLVS
      XEUXGUYOUXCUWTXGUEUXGUWTUXBUXJUXGIUXAAIXHUBUXFQWAUXFUXAXHUBAUXFUXAUXKXFWG
      XIXJUXGUYKUXCUWTXGUXFUYKUXCURAUXFUYKUXEVIUQZUXCUXFUYEUXEVIUXFUXFUXEVCUBZU
      YEUXEURUXFXKUYSUXFUXCUXDXLVBFTUXEVCHRXMXNZXOUYRUXCURZUXFUXCVCUBUXDVCUBVUA
      UWTUXBVNXPZUWSVOXSZUXCUXDVCVCXQXRVBXTWGZUUAXAUXGUXDUYLUXLUXGUYLUXDUXFUYLU
      XDURAUXFUYLUXEVOUQZUXDUXFUYEUXEVOUYTXOVUEUXDURUXFUXCUXDVUBVUCUUBVBXTWGZYA
      UUCUYKUYLUWTUXDUUDUUEUXGUYCUYJUYFUYMUXGUYCUWTUXDVPZXBUQZUYJUXGUWSVUGXBUXG
      UXHUWSVUGURUXIUWSSSYBVSXOUYJVUHURUXGUWTUXDXBYCVBYDUXGUYFUYKUYLVPZUHUQZUYM
      UXGUYEVUIUHUXGUYPUYEVUIURUYQUYESSYBVSXOUYMVUJURUXGUYKUYLUHYCVBYDYEXAUUFFT
      UYCUYFUUGVSAUYBUYDUXQUYGAUYDFTUYCYJZUJZUKZUYBAUYCVCUBZFTXDZUYDVUMURVUOAVU
      NFTUWSXBXSYFVBFTUYCVCYGVSAVULUYAAVUKUXTAUXTVUKAFTUWGUWOUGYHZGXBOUWQUWOVUP
      XBVKAUUHVBYIYAYKYLYMAUYGFTUYFYJZUJZUKZUXQAUYFVCUBZFTXDZUYGVUSURVVAAVUTFTU
      YEUHXSYFVBFTUYFVCYGVSAVURUXPAVUQUXOAUXOVUQAFTUWGUWOSYHZHUHUXMUWQUWOVVBUHV
      KAUULVBYIYAYKYLYMYEXAUUMUWMYNUWFUXSEHUWHUVQHURZUWAUXRUWEUWLVVCUVTUXQCVVCU
      VSUXPVVCUVRUXOUVQHUHYOYKYLUUIVVCUWDUWKKVVCUWCUWJUNUVQHUWBYOXOUUJUUKYPXNYN
      UWAUVNUWDURZUSZEUWHUFUWIBKUGDUVNKURZVVEUWFEUWHVVFVVDUWEUWAUVNKUWDUVBUUNUU
      OLUUPUUQAUVMFTUXCUXDUHUOZUMUQZYJZUNUQZFTUYJUMUQYJZUNUQZIUCUOZUDUEAUWTUXDU
      AUPZGUQZVIUQZVVOVOUQZXGUEZUATUURFIUXJUXLQVVRUWTUXDXGUEUAFTVVNUWRURVVPUWTV
      VQUXDXGVVNUWRVIGYQVVNUWRVOGYQYRUUSUUTAKVVJUVLVVMUDAKUWKVVJUWMAUWJVVIUNAUW
      JFTUYMUMUQZYJVVIAFTHFHYSATUWGUWOHUXMUWQYTUVCAFTVVSVVHUXGUYMVVGUMUXGUYKUXC
      UYLUXDUHVUDVUFUVAXOUVDXTXOXTAJVVLIUCAJUMXBUIGUIZUNUQVVLMAVVTVVKUNAFTGFGYS
      ATUWGSUGUTZGOUWGVWAULZASUGULVWBUVESUGSUVFUVGVBYTUVHXOXTUVIYRXAUVOUVMBKDUV
      NKUVLUDUVJYPXN $.
  $}

  ${
    $d A f g z $.  $d A f n y $.  $d M w y z $.  $d Q f w y z $.
    $d f g m w z $.  $d m n w $.
    ovolval5lem3.m $e |- M = { y e. RR* | E. f e. ( ( RR X. RR ) ^m NN ) ( A C_
       U. ran ( [,) o. f ) /\ y = ( sum^ ` ( ( vol o. [,) ) o. f ) ) ) } $.
    ovolval5lem3.q $e |- Q = { z e. RR* | E. f e. ( ( RR X. RR ) ^m NN ) ( A C_
       U. ran ( (,) o. f ) /\ z = ( sum^ ` ( ( vol o. (,) ) o. f ) ) ) } $.
    $( The value of the Lebesgue outer measure for subsets of the reals, using
       covers of left-closed right-open intervals are used, instead of open
       intervals.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    ovolval5lem3 $p |- inf ( Q , RR* , < ) = inf ( M , RR* , < ) $=
      ( vn cxr wceq wtru wss wcel cioo ccom cfv wa cn co vw vg vm clt cinf cuni
      cv crn cvol csumge0 cr cxp cmap wrex crab ssrab2 eqsstri infxrcl mp1i a1i
      cico crp cxad cle wbr simpr rabeq2i biimpi simprd adantr w3a c1st c2 cexp
      cdiv cmin c2nd cop cmpt coeq2 rneqd unieqd sseq2d fveq2d anbi12d cbvrexvw
      eqeq2d rabbii eqtr4i simp3r wf elmapi 3ad2ant2 simp3l simp1 2fveq3 oveq2d
      eqid oveq2 oveq12d opeq12d cbvmptv ovolval5lem2 3exp rexlimdv imp syl2anc
      3adant1 infleinf eqeq1 anbi2d rexbidv cbvrabv wi wral ciun fvovco sseq12d
      ioossico mpbird ralrimiva ss2iun syl wfn cpw ioof rexpssxrxp fssd fniunfv
      fco ffnd icof mpbid sstrd adantrr voliooicof eqtrd adantrl jca mpbir ex
      reximia rgenw ss2rab sseq12i infxrss mp2an xrletrid mptru ) DJUDUEZFJUDUE
      ZKLUUJUUKDJMZUUJJNLDCOEUGZPZUHZUFZMZBUGZUIOPZUUMPZUJQZKZRZEUKUKULZSUMTZUN
      ZBJUOZJHUVFBJUPUQZDURUSFJMZUUKJNLFCVAUUMPZUHUFZMZAUGZUIVAPUUMPZUJQZKZRZEU
      VEUNZAJUOZJGUVRAJUPUQZFURUSLAUABDFUULLUVHUTUVILUVTUTUVMFNZUAUGZVBNZUURUVM
      UWBVCTVDVEBDUNZLUWAUWCRUWCUVRUWDUWAUWCVFUWAUVRUWCUWAUVMJNZUVRUWAUWEUVRRUV
      RAFJGVGVHVIVJUWCUVRUWDUWCUVQUWDEUVEUWCUUMUVENZUVQUWDUWCUWFUVQVKBCDUBIUUMU
      CSUCUGZUUMQZVLQZUWBVMUWGVNTZVOTZVPTZUWHVQQZVRZVSZUWBUVMUUSUWOPUJQZDUVGCOU
      BUGZPZUHZUFZMZUURUUSUWQPZUJQZKZRZUBUVEUNZBJUOHUXFUVFBJUXEUVCUBEUVEUWQUUMK
      ZUXAUUQUXDUVBUXGUWTUUPCUXGUWSUUOUXGUWRUUNUWQUUMOVTWAWBWCUXGUXCUVAUURUXGUX
      BUUTUJUWQUUMUUSVTWDWGWEWFWHWIUWCUWFUVLUVPWJUWPWRUWFUWCSUVDUUMWKZUVQUUMUVD
      SWLZWMUWCUWFUVLUVPWNUWCUWFUVQWOUCISUWNIUGZUUMQZVLQZUWBVMUXJVNTZVOTZVPTZUX
      KVQQZVRUWGUXJKZUWLUXOUWMUXPUXQUWIUXLUWKUXNVPUWGUXJVLUUMWPUXQUWJUXMUWBVOUW
      GUXJVMVNWSWQWTUWGUXJVQUUMWPXAXBXCXDXEXFXGXHXIUUKUUJVDVEZLDFMZUVIUXRUXSUVG
      UVSMUVGUUQUVMUVAKZRZEUVEUNZAJUOZUVSUVFUYBBAJUURUVMKZUVCUYAEUVEUYDUVBUXTUU
      QUURUVMUVAXJXKXLXMUYCUVSMUYBUVRXNZAJXOUYEAJUYAUVQEUVEUWFUYAUVQUWFUYARUVLU
      VPUWFUUQUVLUXTUWFUUQRCUUPUVKUWFUUQVFUWFUUPUVKMZUUQUWFISUXJUUNQZXPZISUXJUV
      JQZXPZMZUYFUWFUYGUYIMZISXOUYKUWFUYLISUWFUXJSNZRZUYLUXLUXPOTZUXLUXPVATZMZU
      YQUYNUXLUXPXSUTUYNUYGUYOUYIUYPUYNUUMOUKUKSUXJUWFUXHUYMUXIVJZUWFUYMVFZXQUY
      NUUMVAUKUKSUXJUYRUYSXQXRXTYAISUYGUYIYBYCUWFUYHUUPUYJUVKUWFUUNSYDUYHUUPKUW
      FSUKYEZUUNUWFJJULZUYTOWKZSVUAUUMWKZSUYTUUNWKVUBUWFYFUTUWFSUVDVUAUUMUXIUVD
      VUAMUWFYGUTYHZSVUAUYTOUUMYJXGYKISUUNYIYCUWFUVJSYDUYJUVKKUWFSJYEZUVJUWFVUA
      VUEVAWKZVUCSVUEUVJWKVUFUWFYLUTVUDSVUAVUEVAUUMYJXGYKISUVJYIYCXRYMVJYNYOUWF
      UXTUVPUUQUWFUXTRUVMUVAUVOUWFUXTVFUWFUVAUVOKUXTUWFUUTUVNUJUWFSUUMUXIYPWDVJ
      YQYRYSUUAUUBUUCUYBUVRAJUUDYTUQDUVGFUVSHGUUEYTUVTDFUUFUUGUTUUHUUI $.
  $}

  ${
    $d A f g x y z $.  $d M y z $.  $d ph y $.
    ovolval5.a $e |- ( ph -> A C_ RR ) $.
    ovolval5.m $e |- M = { y e. RR* | E. f e. ( ( RR X. RR ) ^m NN ) ( A C_ U.
       ran ( [,) o. f ) /\ y = ( sum^ ` ( ( vol o. [,) ) o. f ) ) ) } $.
    $( The value of the Lebesgue outer measure for subsets of the reals, using
       covers of left-closed right-open intervals are used, instead of open
       intervals.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    ovolval5 $p |- ( ph -> ( vol* ` A ) = inf ( M , RR* , < ) ) $=
      ( vg vx vz cfv cioo cv ccom csumge0 wceq wa wrex cxr a1i covol crn wss cr
      cuni cvol cxp cn cmap co crab clt eqeq1 anbi2d rexbidv coeq2 rneqd unieqd
      cinf wb sseq2d fveq2d eqeq2d anbi12d cbvrexvw bitrd ovolval4 ovolval5lem3
      cbvrabv eqtrd ) ACUAKCLHMZNZUBZUEZUCZIMZUFLNZVKNZOKZPZQZHUDUDUGUHUIUJZRZI
      SUKZSULUSZESULUSZABCDWDFWCCLDMZNZUBZUEZUCZBMZVQWGNZOKZPZQZDWBRZIBSVPWLPZW
      CVOWLVSPZQZHWBRZWQWRWAWTHWBWRVTWSVOVPWLVSUMUNUOXAWQUTWRWTWPHDWBVKWGPZVOWK
      WSWOXBVNWJCXBVMWIXBVLWHVKWGLUPUQURVAZXBVSWNWLXBVRWMOVKWGVQUPVBZVCVDVETVFV
      IVGWEWFPABJCWDDEGWCWKJMZWNPZQZDWBRZIJSVPXEPZWCWKVPWNPZQZDWBRZXHWCXLUTXIWA
      XKHDWBXBVOWKVTXJXCXBVSWNVPXDVCVDVETXIXKXGDWBXIXJXFWKVPXEWNUMUNUOVFVIVHTVJ
      $.
  $}

  ${
    $d A i j k $.  $d B i $.  $d F j k $.  $d I i j k $.  $d V k $.  $d Z i $.
    $d j k ph $.
    ovnovollem1.a $e |- ( ph -> A e. V ) $.
    ovnovollem1.f $e |- ( ph -> F e. ( ( RR X. RR ) ^m NN ) ) $.
    ovnovollem1.i $e |- I = ( j e. NN |-> { <. A , ( F ` j ) >. } ) $.
    ovnovollem1.s $e |- ( ph -> B C_ U. ran ( [,) o. F ) ) $.
    ovnovollem1.b $e |- ( ph -> B e. W ) $.
    ovnovollem1.z $e |- ( ph -> Z = ( sum^ ` ( ( vol o. [,) ) o. F ) ) ) $.
    $( if ` F ` is a cover of ` B ` in ` RR ` , then ` I ` is the corresponding
       cover in the space of 1-dimensional reals.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    ovnovollem1 $p |- ( ph -> E. i e. ( ( ( RR X. RR ) ^m { A } ) ^m NN ) ( ( B
       ^m { A } ) C_ U_ j e. NN X_ k e. { A } ( ( [,) o. ( i ` j ) ) ` k ) /\ Z
       = ( sum^ ` ( j e. NN |-> prod_ k e. { A } ( vol ` ( ( [,) o. ( i ` j ) )
       ` k ) ) ) ) ) ) $=
      ( cn cico cfv cr cxp csn cmap co wcel cv ccom cixp ciun wss cprod csumge0
      cvol cmpt wceq wa wrex cop eqidd adantr elmapi syl ffvelrnda fsng syl2anc
      wf wb mpbird snssd fssd cvv reex xpex a1i snex elmapd fmptd nnex crn cuni
      ovexd wfn cxr cpw icof rexpssxrxp fcoss ffnd fniunfv eqcomd sseqtrd iunex
      fvex snn0d mapss2 mpbid nfv fvexd iunmapsn wfun cdm elmapfun fdmd eleqtrd
      simpr fvco iuneq2dv oveq1d ffund fvmpt2 adantl funeqd dmeqd eleq2d fveq1d
      id eqtrd ad2antlr elsni fveq2d ad2antrr 3eqtrd ixpeq2dva ixpconst 3eqtr4d
      fvsng c1st c2nd nfcv ressxr xpss2 ax-mp volicofmpt snidg dmsnopg eleqtrrd
      cc coeq2d 1st2nd2 df-ov eqcomi xp1st xp2nd volicore eqeltrd 2fveq3 prodsn
      recnd eqtr2d mpteq2dva jca fveq1 ixpeq2dv sseq2d simpl prodeq2dv mpteq2dv
      iuneq2d eqeq2d anbi12d rspcev ) AHUAUAUBZBUCZUDUEZRUDUEZUFZCUVDUDUEZERFUV
      DFUGZSEUGZHTZUHZTZUIZUJZUKZKERUVDUVMUNTZFULZUOZUMTZUPZUQZUVHERFUVDUVISUVJ
      DUGZTZUHZTZUIZUJZUKZKERUVDUWFUNTZFULZUOZUMTZUPZUQZDUVFURAUVGRUVEHVGAERBUV
      JGTZUSZUCZUVEHAUVJRUFZUQZUWRUVEUFUVDUVCUWRVGUWTUVDUWPUCZUVCUWRUWTUVDUXAUW
      RVGZUWRUWRUPZUWTUWRUTUWTBIUFZUWPUVCUFZUXBUXCVHAUXDUWSLVAZARUVCUVJGAGUVCRU
      DUEUFZRUVCGVGMGUVCRVBVCZVDZBUWPIUVCUWRVEVFVIZUWTUWPUVCUXIVJVKUWTUVCUVDUWR
      VLVLUVCVLUFUWTUAUAVMVMVNVOUVDVLUFZUWTBVPZVOVQVINVRAUVERHVLVLAUVCUVDUDWBRV
      LUFAVSVOZVQVIAUVPUWAAUVHERUVJSGUHZTZUJZUVDUDUEZUVOACUXPUKUVHUXQUKACUXNVTW
      AZUXPOAUXPUXRAUXNRWCUXPUXRUPARWDWEZUXNAWDWDUBZUXSUVCRSGUXTUXSSVGAWFVOUVCU
      XTUKAWGVOUXHWHWIERUXNWJVCWKWLACUXPUVDJVLVLPUXPVLUFAERUXOVSUVJUXNWNWMVOUXK
      AUXLVOABILWOWPWQAERUWPSTZUJZUVDUDUEZERUYAUVDUDUEZUJZUXQUVOAUYEUYCAERUYABV
      LVLIAEWRUXMUWTUWPSWSLWTWKAUXPUYBUVDUDAERUXOUYAUWTGXAZUVJGXBZUFUXOUYAUPAUY
      FUWSAUXGUYFMGUVCRXCVCVAUWTUVJRUYGAUWSXFARUYGUPUWSAUYGRARUVCGUXHXDWKVAXEUV
      JSGXGVFXHXIAERUVNUYDUWTUVNFUVDUYAUIZUYDUWTFUVDUVMUYAUWTUVIUVDUFZUQZUVMUVI
      UVKTZSTZUYAUYAUYJUVKXAZUVIUVKXBZUFZUVMUYLUPUWTUYMUYIUWTUYMUWRXAZUWTUVDUXA
      UWRUXJXJZUWTUVKUWRUWSUVKUWRUPZAUWSUWSUWRVLUFZUYRUWSXQUYSUWSUWQVPVOERUWRVL
      HNXKVFZXLZXMVIVAUYJUYOUYIUWTUYIXFUWTUYOUYIVHUYIUWTUYNUVDUVIUWTUYNUWRXBZUV
      DUWTUVKUWRVUAXNUWTUVDUXAUWRUXJXDXRXOVAVIUVISUVKXGVFUYJUYKUWPSUYJUYKUVIUWR
      TZBUWRTZUWPUWSUYKVUCUPAUYIUWSUVIUVKUWRUYTXPXSUYIVUCVUDUPUWTUYIUVIBUWRUVIB
      XTYAXLAVUDUWPUPZUWSUYIAUXDUWPVLUFZVUELAUVJGWSZBUWPIVLYGZVFYBYCYAUYJUYAUTY
      CYDUYHUYDUPUWTFUVDUYAUXLUWPSWNYEVOXRXHYFWLAKUNSUHGUHZUMTUVTQAVUIUVSUMAVUI
      ERUWPYHTZUWPYITZSUEZUNTZUOUVSAERGEGYJARUVCUAWDUBZGUXHUVCVUNUKZAUAWDUKVUOY
      KUAWDUAYLYMVOVKYNAERVUMUVRUWTUVRBUVLTZUNTZVUMUWTUXDVUQYRUFUVRVUQUPUXFUWTV
      UQUWTVUQVUMUAUWTVUPVULUNUWTVUPBSUWRUHZTZVUDSTZVULUWSVUPVUSUPAUWSBUVLVURUW
      SUVKUWRSUYTYSXPXLUWTUYPBVUBUFZVUSVUTUPUYQAVVAUWSABUVDVUBAUXDBUVDUFLBIYOVC
      AVUFVUBUVDUPVUGBUWPVLYPVCYQVABSUWRXGVFUWTVUTVUJVUKUSZSTZVULUWTVUDVVBSUWTV
      UDUWPVVBUWTUXDVUFVUEUXFUWTUVJGWSVUHVFUWTUXEUWPVVBUPUXIUWPUAUAYTVCXRYAVVCV
      ULUPUWTVULVVCVUJVUKSUUAUUBVOXRYCYAZUWTVUJUAUFZVUKUAUFZVUMUAUFUWTUXEVVEUXI
      UWPUAUAUUCVCUWTUXEVVFUXIUWPUAUAUUDVCVUJVUKUUEVFUUFUUIUVQVUQFBIUVIBUNUVLUU
      GUUHVFVVDUUJUUKXRYAXRUULUWOUWBDHUVFUWCHUPZUWIUVPUWNUWAVVGUWHUVOUVHVVGERUW
      GUVNVVGFUVDUWFUVMVVGUVIUWEUVLVVGUWDUVKSUVJUWCHUUMYSXPUUNUUSUUOVVGUWMUVTKV
      VGUWLUVSUMVVGERUWKUVRVVGUVDUWJUVQFVVGUYIUQZUWFUVMUNVVHUVIUWEUVLVVHUWDUVKS
      VVHUVJUWCHVVGUYIUUPXPYSXPYAUUQUURYAUUTUVAUVBVF $.
  $}

  ${
    $d A j k $.  $d B f $.  $d F f $.  $d F j k $.  $d I k $.  $d V k $.
    $d Z f $.  $d j k ph $.
    ovnovollem2.a $e |- ( ph -> A e. V ) $.
    ovnovollem2.b $e |- ( ph -> B e. W ) $.
    ovnovollem2.i $e |- ( ph -> I e. ( ( ( RR X. RR ) ^m { A } ) ^m NN ) ) $.
    ovnovollem2.s $e |- ( ph -> ( B ^m { A } ) C_ U_ j e. NN X_ k e. { A } ( (
       [,) o. ( I ` j ) ) ` k ) ) $.
    ovnovollem2.z $e |- ( ph -> Z = ( sum^ ` ( j e. NN |-> prod_ k e. { A } (
       vol ` ( ( [,) o. ( I ` j ) ) ` k ) ) ) ) ) $.
    ovnovollem2.f $e |- F = ( j e. NN |-> ( ( I ` j ) ` A ) ) $.
    $( if ` I ` is a cover of ` ( B ^m { A } ) ` in ` RR^ 1 ` , then ` F ` is
       the corresponding cover in the reals.  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    ovnovollem2 $p |- ( ph -> E. f e. ( ( RR X. RR ) ^m NN ) ( B C_ U. ran (
       [,) o. f ) /\ Z = ( sum^ ` ( ( vol o. [,) ) o. f ) ) ) ) $=
      ( cr cn wcel cxp cmap co cico ccom crn cuni wss cvol csumge0 wceq wa wrex
      cfv cv wf csn elmapi syl adantr simpr ffvelrnd snidg fmptd reex xpex nnex
      wb elmap a1i mpbird ciun cixp fveq2d adantl wfun cdm elmapfun fdmd eqcomd
      elsni eleqtrd fvco syl2anc cvv fvexd fvmpt2 ffund dmmptd 3eqtrd ixpeq2dva
      id eqtrd snex fvex ixpconst iuneq2dv nfv iunmapsn sseqtrd ne0d mapss2 wfn
      iunex cxr cpw icof rexpssxrxp fcoss ffnd cprod cmpt c1st c2nd nfcv ressxr
      fniunfv xpss2 ax-mp fssd volicofmpt cc eqeltrd 1st2nd2 df-ov eqcomi xp1st
      cop xp2nd volicore recnd 2fveq3 prodsn eqtr2d mpteq2dva eqtr4d jca unieqd
      coeq2 rneqd sseq2d eqeq2d anbi12d rspcev ) AGRRUAZSUBUCZTZCUDGUEZUFZUGZUH
      ZKUIUDUEZGUEZUJUNZUKZULZCUDDUOZUEZUFZUGZUHZKUULUUQUEZUJUNZUKZULZDUUFUMAUU
      GSUUEGUPZAESBEUOZHUNZUNZUUEGAUVGSTZULZBUQZUUEBUVHUVKUVHUUEUVLUBUCZTZUVLUU
      EUVHUPUVKSUVMUVGHASUVMHUPZUVJAHUVMSUBUCTUVONHUVMSURUSUTAUVJVAZVBZUVHUUEUV
      LURUSZABUVLTZUVJABITZUVSLBIVCUSZUTZVBZQVDZUUGUVFVHAUUESGRRVEVEVFVGVIVJVKA
      UUKUUOACESUVGUUHUNZVLZUUJACUWFUHCUVLUBUCZUWFUVLUBUCZUHAUWGESFUVLFUOZUDUVH
      UEZUNZVMZVLZUWHOAUWMESUWEUVLUBUCZVLUWHAESUWLUWNUVKUWLFUVLUWEVMZUWNUVKFUVL
      UWKUWEUVKUWIUVLTZULUWKBUWJUNZUVIUDUNZUWEUWPUWKUWQUKUVKUWPUWIBUWJUWIBWAVNV
      OUVKUWQUWRUKZUWPUVKUVHVPZBUVHVQZTUWSUVKUVNUWTUVQUVHUUEUVLVRUSUVKBUVLUXAUW
      BUVKUXAUVLUVKUVLUUEUVHUVRVSVTWBBUDUVHWCWDZUTUVKUWRUWEUKUWPUVKUWRUVGGUNZUD
      UNZUWEUVJUWRUXDUKAUVJUVIUXCUDUVJUXCUVIUVJUVJUVIWETZUXCUVIUKZUVJWLUVJBUVHW
      FESUVIWEGQWGZWDVTVNVOUVKUWEUXDUVKGVPZUVGGVQZTUWEUXDUKAUXHUVJASUUEGUWDWHUT
      UVKUVGSUXIUVPASUXIUKUVJAUXISAEGSUVIUUEQUWCWIVTUTWBUVGUDGWCWDZVTWMZUTWJWKU
      WOUWNUKUVKFUVLUWEBWNZUVGUUHWOZWPVJWMWQAESUWEBWEWEIAEWRSWETAVGVJUVKUVGUUHW
      FLWSWMWTACUWFUVLJWEWEMUWFWETAESUWEVGUXMXDVJUVLWETAUXLVJAUVLBUWAXAXBVKAUUH
      SXCUWFUUJUKASXEXFZUUHAXEXEUAZUXNUUESUDGUXOUXNUDUPAXGVJUUEUXOUHAXHVJUWDXIX
      JESUUHXQUSWTAKESUVLUWKUIUNZFXKZXLZUJUNUUNPAUUMUXRUJAUUMESUXCXMUNZUXCXNUNZ
      UDUCZUIUNZXLUXRAESGEGXOASUUERXEUAZGUWDUUEUYCUHZARXEUHUYDXPRXERXRXSVJXTYAA
      ESUYBUXQUVKUXQUWQUIUNZUYBUVKUVTUYEYBTUXQUYEUKAUVTUVJLUTUVKUYEUVKUYEUYBRUV
      KUWQUYAUIUVKUWQUWRUWEUYAUXBUXKUVKUWEUXDUXSUXTYHZUDUNZUYAUXJUVKUXCUYFUDUVK
      UXCUUETZUXCUYFUKUVKUXCUVIUUEUVKUVJUXEUXFUVPUVKBUVHWFUXGWDUWCYCZUXCRRYDUSV
      NUYGUYAUKUVKUYAUYGUXSUXTUDYEYFVJWJWJVNZUVKUXSRTZUXTRTZUYBRTUVKUYHUYKUYIUX
      CRRYGUSUVKUYHUYLUYIUXCRRYIUSUXSUXTYJWDYCYKUXPUYEFBIUWIBUIUWJYLYMWDUYJYNYO
      WMVNYPYQUVEUUPDGUUFUUQGUKZUVAUUKUVDUUOUYMUUTUUJCUYMUUSUUIUYMUURUUHUUQGUDY
      SYTYRUUAUYMUVCUUNKUYMUVBUUMUJUUQGUULYSVNUUBUUCUUDWD $.
  $}

  ${
    $d A f i j k n z $.  $d A i j k l n z $.  $d A f i m n $.
    $d B f i j k n z $.  $d B i j k l n z $.  $d N z $.  $d V k l $.
    $d f i j k n ph z $.  $d l m n $.  $d l n ph z $.
    ovnovollem3.a $e |- ( ph -> A e. V ) $.
    ovnovollem3.b $e |- ( ph -> B C_ RR ) $.
    ovnovollem3.m $e |- M = { z e. RR* | E. i e. ( ( ( RR X. RR ) ^m { A } ) ^m
       NN ) ( ( B ^m { A } ) C_ U_ j e. NN X_ k e. { A } ( ( [,) o. ( i ` j ) )
       ` k ) /\ z = ( sum^ ` ( j e. NN |-> prod_ k e. { A } ( vol ` ( ( [,) o.
       ( i ` j ) ) ` k ) ) ) ) ) } $.
    ovnovollem3.n $e |- N = { z e. RR* | E. f e. ( ( RR X. RR ) ^m NN ) ( B C_
       U. ran ( [,) o. f ) /\ z = ( sum^ ` ( ( vol o. [,) ) o. f ) ) ) } $.
    $( The 1-dimensional Lebesgue outer measure agrees with the Lebesgue outer
       measure on subsets of Real numbers.  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    ovnovollem3 $p |- ( ph -> ( ( voln* ` { A } ) ` ( B ^m { A } ) ) = ( vol* `
       B ) ) $=
      ( vn wceq cfv cv cn vl vm csn c0 cc0 cxr clt cinf cif cmap co covol snn0d
      covoln neneqd iffalsed cfn wcel snfi a1i cr cvv wss mapss syl2anc ovnval2
      reex ovolval5 cico ccom crn cuni cvol csumge0 wa cxp wrex crab cixp cprod
      ciun cmpt ad2antrr simplr fveq2 opeq2d sneqd cbvmptv simprl adantr simprr
      ssexd ovnovollem1 rexlimdva2 3ad2ant1 simp2 simp3l coeq2d fveq1d ixpeq2dv
      cop w3a cbvixpv eqtrd cbviunv sseq2i biimpi syl simp3r prodeq2ad cbvprodv
      fveq2d fveq2i eqeq2i ovnovollem2 rexlimdv impbid rabbidv 3eqtr4d infeq1d
      3exp ) ACUCZUDQZUEIUFUGUHZUIYDDYBUJUKZYBUNRRDULRZAYCUEYDAYBUDACKLUMUOUPAB
      YEFGHIYBYBUQURACUSUTAVAVBURZDVAVCYEVAYBUJUKVCYGAVGUTZMDVAYBVBVDVENVFAYFJU
      FUGUHYDABDEJMOVHAUFJIUGADVIESZVJVKVLVCZBSZVMVIVJYIVJVNRQZVOZEVAVAVPZTUJUK
      ZVQZBUFVRZYEGTHYBHSZVIGSZFSZRZVJZRZVSZWAZVCZYKGTYBUUCVMRZHVTZWBZVNRZQZVOZ
      FYNYBUJUKTUJUKZVQZBUFVRZJIAYPUUNBUFAYPUUNAYMUUNEYOAYIYOURZVOZYMVOCDFGHYIP
      TCPSZYIRZXAZUCZWBKVBYKACKURZUUPYMLWCAUUPYMWDPGTUVACYSYIRZXAZUCUURYSQZUUTU
      VDUVEUUSUVCCUURYSYIWEWFWGWHUUQYJYLWIUUQDVBURZYMAUVFUUPADVAVBYHMWLZWJWJUUQ
      YJYLWKWMWNAUULYPFUUMAYTUUMURZUULYPAUVHUULXBZCDEPUAUBTCUBSZYTRZRZWBYTKVBYK
      AUVHUVBUULLWOAUVHUVFUULUVGWOAUVHUULWPUVIUUFYEPTUAYBUASZVIUURYTRZVJZRZVSZW
      AZVCZAUVHUUFUUKWQUUFUVSUUEUVRYEGPTUUDUVQYSUURQZUUDHYBYRUVORZVSZUVQUVTHYBU
      UCUWAUVTYRUUBUVOUVTUUAUVNVIYSUURYTWEWRWSZWTUWBUVQQUVTHUAYBUWAUVPYRUVMUVOW
      EZXCUTXDXEXFXGXHUVIUUKYKPTYBUVPVMRZUAVTZWBZVNRZQZAUVHUUFUUKXIUUKUWIUUJUWH
      YKUUIUWGVNGPTUUHUWFUVTUUHYBUWAVMRZHVTZUWFUVTYBUUGUWJHUVTUUCUWAVMUWCXLXJUW
      KUWFQUVTYBUWJUWEHUAYRUVMQUWAUVPVMUWDXLXKUTXDWHXMXNXGXHUBPTUVLCUVNRUVJUURQ
      CUVKUVNUVJUURYTWEWSWHXOYAXPXQXRJYQQAOUTIUUOQANUTXSXTXDXS $.
  $}

  ${
    $d A f i j k z $.  $d B f i j k z $.  $d B f w z $.  $d V k $.
    $d f i j k ph z $.
    ovnovol.a $e |- ( ph -> A e. V ) $.
    ovnovol.b $e |- ( ph -> B C_ RR ) $.
    $( The 1-dimensional Lebesgue outer measure agrees with the Lebesgue outer
       measure on subsets of Real numbers.  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    ovnovol $p |- ( ph -> ( ( voln* ` { A } ) ` ( B ^m { A } ) ) = ( vol* ` B )
       ) $=
      ( vz vf vi vj vk vw cmap co cn cv cico cfv ccom wceq cixp ciun cvol cprod
      csn wss cmpt csumge0 wa cr cxp wrex cxr crab crn cuni eqid anbi2d rexbidv
      eqeq1 cbvrabv ovnovollem3 ) AGBCHIJKCBUEZMNJOKVCKPQJPIPRSRZUAUBUFGPZJOVCV
      DUCRKUDUGUHRTUIIUJUJUKZVCMNOMNULGUMUNZCQHPZSUOUPUFZLPZUCQSVHSUHRZTZUIZHVF
      OMNZULZLUMUNDEFVGUQVOVIVEVKTZUIZHVNULLGUMVJVETZVMVQHVNVRVLVPVIVJVEVKUTURU
      SVAVB $.
  $}

  ${
    $d A f $.  $d B y $.  $d X f $.  $d Y f $.  $d Y y $.  $d f ph $.
    vonvolmbllem.a $e |- ( ph -> A e. V ) $.
    vonvolmbllem.b $e |- ( ph -> B C_ RR ) $.
    vonvolmbllem.e $e |- ( ph -> A. y e. ~P RR ( vol* ` y ) = ( ( vol* ` ( y
       i^i B ) ) +e ( vol* ` ( y \ B ) ) ) ) $.
    vonvolmbllem.x $e |- ( ph -> X C_ ( RR ^m { A } ) ) $.
    vonvolmbllem.y $e |- Y = U_ f e. X ran f $.
    $( If a subset ` B ` of real numbers is Lebesgue measurable, then its
       corresponding 1-dimensional set is measurable w.r.t. the n-dimensional
       Lebesgue measure, (with ` n ` equal to ` 1 ` ).  (Contributed by Glauco
       Siliprandi, 3-Mar-2021.) $)
    vonvolmbllem $p |- ( ph -> ( ( ( voln* ` { A } ) ` ( X i^i ( B ^m { A } ) )
       ) +e ( ( voln* ` { A } ) ` ( X \ ( B ^m { A } ) ) ) ) = ( ( voln* ` { A
       } ) ` X ) ) $=
      ( cmap co cfv cxad covol cr cvv csn cin covoln cdif nfcv ineq1d wcel reex
      ssmapsn a1i cv crn ciun wss wral wa wf sselda elmapi frnd ralrimiva iunss
      sylibr eqsstrid ssexd snex inmap fveq2d ssinss1d ovnovol difeq1d difmapsn
      syl eqtrd ssdifssd oveq12d wceq elpwd fveq2 difeq1 eqeq12d rspcva syl2anc
      cpw ineq1 3eqtrd eqtr4d ) AGDCUAZNOZUBZWHUCPZPZGWIUDZWKPZQOHDUBZRPZHDUDZR
      PZQOZGWKPZAWLWPWNWRQAWLWOWHNOZWKPWPAWJXAWKAWJHWHNOZWIUBXAAGXBWIACSGHEFEHU
      EILMUIZUFAHDWHTTTAHSTSTUGAUHUJZAHEGEUKZULZUMZSMAXFSUNZEGUOXGSUNAXHEGAXEGU
      GUPZWHSXEXIXESWHNOZUGWHSXEUQAGXJXELURXESWHUSVMUTVAEGXFSVBVCVDZVEZADSTXDJV
      EZWHTUGACVFUJVGVNVHACWOFIAHDSXKVIVJVNAWNWQWHNOZWKPWRAWMXNWKAWMXBWIUDXNAGX
      BWIXCVKAHDCTTFXLXMIVLVNVHACWQFIAHSDXKVOVJVNVPAWTXBWKPHRPZWSAGXBWKXCVHACHF
      IXKVJAHSWDZUGBUKZRPZXQDUBZRPZXQDUDZRPZQOZVQZBXPUOXOWSVQZAHSTXLXKVRKYDYEBH
      XPXQHVQZXRXOYCWSXQHRVSYFXTWPYBWRQYFXSWORXQHDWEVHYFYAWQRXQHDVTVHVPWAWBWCWF
      WG $.
  $}

  ${
    $d A f x y $.  $d B f x y $.  $d f g x y $.  $d f ph x y $.
    vonvolmbl.a $e |- ( ph -> A e. V ) $.
    vonvolmbl.b $e |- ( ph -> B C_ RR ) $.
    $( A subset of Real numbers is Lebesgue measurable if and only if its
       corresponding 1-dimensional set is measurable w.r.t. the 1-dimensional
       Lebesgue measure.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    vonvolmbl $p |- ( ph -> ( ( B ^m { A } ) e. dom ( voln ` { A } ) <-> B e.
       dom vol ) ) $=
      ( vx vy cv cmap co cfv cxad wceq cr wcel wa cvv a1i wss vf csn cin covoln
      vg cdif cpw wral covol cvoln cdm cvol vex reex ssexd cfn snfi elexd inmap
      eqcomd fveq2d difmapsn oveq12d ovexd elpwi mapss elpwd adantl simpl ineq1
      ad2antrr syl2anc difeq1 fveq2 eqeq12d rspcva adantll eqidd 3eqtrd ovnovol
      adantr adantlr ssinss1d ssdifssd 3eqtr3d ralrimiva ex ciun simplr cbviunv
      crn rneq vonvolmbllem impbid isvonmbl mpbirand wb ismbl4 3bitr4d ) AGIZCB
      UBZJKZUCZXAUDLZLZWTXBUFZXDLZMKZWTXDLZNZGOXAJKZUGZUHZHIZUILZXNCUCZUILZXNCU
      FZUILZMKZNZHOUGZUHZXBXAUJLUKPZCULUKPZAXMYCAXMYCAXMQZYAHYBYFXNYBPZQZXNXAJK
      ZXDLZXPXAJKZXDLZXRXAJKZXDLZMKZXOXTYHYOYJYHYOYIXBUCZXDLZYIXBUFZXDLZMKZYJYJ
      AYOYTNXMYGAYLYQYNYSMAYKYPXDAYPYKAXNCXARRRXNRPAHUMSZACORORPZAUNSZFUOZAXAUP
      XAUPPABUQSZURUSUTVAAYMYRXDAYRYMAXNCBRRDUUAUUDEVBUTVAVCVKXMYGYTYJNZAXMYGQY
      IXLPZXMUUFYGUUGXMYGYIXKRYGXNXAJVDYGUUBXNOTZYIXKTUUBYGUNSXNOVEZXNOXARVFVLV
      GVHXMYGVIXJUUFGYIXLWTYINZXHYTXIYJUUJXEYQXGYSMUUJXCYPXDWTYIXBVJVAUUJXFYRXD
      WTYIXBVMVAVCWTYIXDVNVOVPVLVQYHYJVRVSUTAYGYJXONXMAYGQZBXNDABDPZYGEWAZYGUUH
      AUUIVHZVTWBAYGYOXTNXMUUKYLXQYNXSMUUKBXPDUUMUUKXNCOUUNWCVTUUKBXRDUUMUUKXNO
      CUUNWDVTVCWBWEWFWGAYCXMAYCQZXJGXLUUOWTXLPZQHBCUADWTUEWTUEIZWKZWHAUULYCUUP
      EVKACOTZYCUUPFVKAYCUUPWIUUPWTXKTUUOWTXKVEVHUEUAWTUURUAIZWKUUQUUTWLWJWMWFW
      GWNAYDXBXKTZXMAUUBUUSUVAUUCFCOXARVFVLAXBXAGUUEWOWPAYEUUSYCFYEUUSYCQWQAHCW
      RSWPWS $.
  $}

  ${
    vonvol.a $e |- ( ph -> A e. V ) $.
    vonvol.b $e |- ( ph -> B e. dom vol ) $.
    $( The 1-dimensional Lebesgue measure agrees with the Lebesgue measure on
       subsets of Real numbers.  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    vonvol $p |- ( ph -> ( ( voln ` { A } ) ` ( B ^m { A } ) ) = ( vol ` B ) )
              $=
      ( csn cmap co covoln cfv covol cvoln cvol cdm wcel cr wss mblss syl snfi
      ovnovol cfn a1i vonvolmbl mpbird mblvon wceq mblvol 3eqtr4d ) ACBGZHIZUKJ
      KKCLKZULUKMKZKCNKZABCDEACNOPZCQRFCSTZUBAULUKUKUCPABUAUDAULUNOPUPFABCDEUQU
      EUFUGAUPUOUMUHFCUITUJ $.
  $}

  ${
    $d A f $.  $d X f $.  $d f ph $.
    vonvolmbl2.f $e |- F/_ f Y $.
    vonvolmbl2.a $e |- ( ph -> A e. V ) $.
    vonvolmbl2.x $e |- ( ph -> X C_ ( RR ^m { A } ) ) $.
    vonvolmbl2.y $e |- Y = U_ f e. X ran f $.
    $( A subset ` X ` of the space of 1-dimensional Real numbers is Lebesgue
       measurable if and only if its projection ` Y ` on the Real numbers is
       Lebesgue measure.  (Contributed by Glauco Siliprandi, 3-Mar-2021.) $)
    vonvolmbl2 $p |- ( ph -> ( X e. dom ( voln ` { A } ) <-> Y e. dom vol ) )
                 $=
      ( csn cvoln cfv cdm wcel cmap co cvol cr wss ssmapsn eleq1d crn ciun wral
      cv wa adantr simpr sseldd elmapi frn 3syl ralrimiva iunss sylibr eqsstrid
      wf vonvolmbl bitrd ) AEBKZLMNZOFVAPQZVBOFRNOAEVCVBABSEFCDGHIJUAUBABFDHAFC
      ECUFZUCZUDZSJAVESTZCEUEVFSTAVGCEAVDEOZUGZVDSVAPQZOVASVDURVGVIEVJVDAEVJTVH
      IUHAVHUIUJVDSVAUKVASVDULUMUNCEVESUOUPUQUSUT $.
  $}

  ${
    $d A f $.  $d X f $.  $d f ph $.
    vonvol2.f $e |- F/_ f Y $.
    vonvol2.a $e |- ( ph -> A e. V ) $.
    vonvol2.x $e |- ( ph -> X e. dom ( voln ` { A } ) ) $.
    vonvol2.y $e |- Y = U_ f e. X ran f $.
    $( The 1-dimensional Lebesgue measure agrees with the Lebesgue measure on
       subsets of Real numbers.  (Contributed by Glauco Siliprandi,
       3-Mar-2021.) $)
    vonvol2 $p |- ( ph -> ( ( voln ` { A } ) ` X ) = ( vol ` Y ) ) $=
      ( csn cmap co cfv cvol cdm wcel cr eqcomd wss cvoln cfn vonmblss2 ssmapsn
      snfi a1i eqeltrd cv crn ciun wral wa adantr simpr sseldd elmapi ralrimiva
      wf 3syl iunss sylibr eqsstrid vonvolmbl mpbid vonvol fveq2d eqidd 3eqtr4d
      frn ) AFBKZLMZVJUANZNFONZEVLNVMABFDHAVKVLPZQFOPQAVKEVNAEVKABREFCDGHAVJEVJ
      UBQABUEUFIUCZJUDSZIUGABFDHAFCECUHZUIZUJZRJAVRRTZCEUKVSRTAVTCEAVQEQZULZVQR
      VJLMZQVJRVQURVTWBEWCVQAEWCTWAVOUMAWAUNUOVQRVJUPVJRVQVIUSUQCEVRRUTVAVBVCVD
      VEAEVKVLAVKEVPSVFAVMVGVH $.
  $}

  ${
    $d A j $.  $d B j $.  $d S j $.  $d X j k $.  $d j ph $.
    hoimbl2.k $e |- F/ k ph $.
    hoimbl2.x $e |- ( ph -> X e. Fin ) $.
    hoimbl2.s $e |- S = dom ( voln ` X ) $.
    hoimbl2.a $e |- ( ( ph /\ k e. X ) -> A e. RR ) $.
    hoimbl2.b $e |- ( ( ph /\ k e. X ) -> B e. RR ) $.
    $( Any n-dimensional half-open interval is Lebesgue measurable.  This is a
       substep of Proposition 115G (a) of [Fremlin1] p. 32.  (Contributed by
       Glauco Siliprandi, 8-Apr-2021.) $)
    hoimbl2 $p |- ( ph -> X_ k e. X ( A [,) B ) e. S ) $=
      ( vj cico co cixp wcel cr wceq wi nfcv cv cmpt cfv csb simpr nfan nfcsb1v
      wa nfv nfel nfim eleq1w anbi2d csbeq1a eleq1d imbi12d chvarfv nfcsb1 eqid
      fvmptf syl2anc oveq12d ixpeq2dva nfov cbvixp eqcomi eqtr2d fmptdf eqeltrd
      a1i hoimbl ) AEFBCMNZOZLFLUAZEFBUBZUCZVNEFCUBZUCZMNZOZDAVTLFEVNBUDZEVNCUD
      ZMNZOZVMALFVSWCAVNFPZUHZVPWAVRWBMWFWEWAQPZVPWARAWEUEZAEUAZFPZUHZBQPZSWFWG
      SELWFWGEAWEEGWEEUIUFZEWAQEVNBUGZEQTZUJUKWIVNRZWKWFWLWGWPWJWEAELFULUMZWPBW
      AQEVNBUNZUOUPJUQEVNBWAFVOQEVNTZEVNBWSURWRVOUSZUTVAWFWEWBQPZVRWBRWHWKCQPZS
      WFXASELWFXAEWMEWBQEVNCWSURZWOUJUKWPWKWFXBXAWQWPCWBQEVNCUNZUOUPKUQEVNCWBFV
      QQWSXCXDVQUSZUTVAVBVCWDVMRAVMWDELFVLWCLVLTEWAWBMWNEMTXCVDWPBWACWBMWRXDVBV
      EVFVJVGAVOVQDLFHIAEFBQVOGJWTVHAEFCQVQGKXEVHVKVI $.
  $}

  ${
    voncl.x $e |- ( ph -> X e. Fin ) $.
    voncl.s $e |- S = dom ( voln ` X ) $.
    voncl.a $e |- ( ph -> A e. S ) $.
    $( The Lebesgue measure of a set is a nonnegative extended real.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    voncl $p |- ( ph -> ( ( voln ` X ) ` A ) e. ( 0 [,] +oo ) ) $=
      ( cvoln cfv vonmea meacl ) ABCDHIADEJFGK $.
  $}

  ${
    $d A a b k $.  $d B a b k $.  $d X a b k x $.  $d a b k ph x $.
    vonhoi.x $e |- ( ph -> X e. Fin ) $.
    vonhoi.a $e |- ( ph -> A : X --> RR ) $.
    vonhoi.b $e |- ( ph -> B : X --> RR ) $.
    vonhoi.c $e |- I = X_ k e. X ( ( A ` k ) [,) ( B ` k ) ) $.
    vonhoi.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x ) |->
       if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k ) ) ) )
       ) ) $.
    $( The Lebesgue outer measure of a multidimensional half-open interval is
       its dimensional volume (the product of its length in each dimension,
       when the dimension is nonzero).  A direct consequence of Proposition
       115D (b) of [Fremlin1] p. 30.  (Contributed by Glauco Siliprandi,
       8-Apr-2021.) $)
    vonhoi $p |- ( ph -> ( ( voln ` X ) ` I ) = ( A ( L ` X ) B ) ) $=
      ( cvoln cfv covoln co cv cico cixp cdm eqid hoimbl eqeltrid mblvon ovnhoi
      eqtrd ) AFHPQZQFHRQQCDHGQSAFHKAFEHETZCQUKDQUASUBUJUCZNACDULEHKULUDLMUEUFU
      GABCDEFGHIJKLMNOUHUI $.
  $}

  ${
    vonxrcl.x $e |- ( ph -> X e. Fin ) $.
    vonxrcl.s $e |- S = dom ( voln ` X ) $.
    vonxrcl.a $e |- ( ph -> A e. S ) $.
    $( The Lebesgue measure of a set is an extended real.  (Contributed by
       Glauco Siliprandi, 8-Apr-2021.) $)
    vonxrcl $p |- ( ph -> ( ( voln ` X ) ` A ) e. RR* ) $=
      ( cc0 cpnf cicc co cxr cvoln cfv iccssxr voncl sselid ) AHIJKLBDMNNHIOABC
      DEFGPQ $.
  $}

  $( A n-dimensional open interval is a subset of the half-open interval with
     the same bounds.  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
  ioosshoi $p |- X_ k e. X ( A (,) B ) C_ X_ k e. X ( A [,) B ) $=
    ( cioo co cixp cico wss wtru nftru cv wcel wa ioossico a1i ixpssixp mptru )
    CDABEFZGCDABHFZGIJCDSTCKSTIJCLDMNABOPQR $.
  ${
    $d A a b k $.  $d B a b k $.  $d X a b k x $.  $d a b k ph x $.
    vonn0hoi.x $e |- ( ph -> X e. Fin ) $.
    vonn0hoi.n $e |- ( ph -> X =/= (/) ) $.
    vonn0hoi.a $e |- ( ph -> A : X --> RR ) $.
    vonn0hoi.b $e |- ( ph -> B : X --> RR ) $.
    vonn0hoi.i $e |- I = X_ k e. X ( ( A ` k ) [,) ( B ` k ) ) $.
    $( The Lebesgue outer measure of a multidimensional half-open interval when
       the dimension of the space is nonzero.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    vonn0hoi $p |- ( ph -> ( ( voln ` X ) ` I ) = prod_ k e. X ( vol ` ( ( A `
       k ) [,) ( B ` k ) ) ) ) $=
      ( vx va vb cfv cv co cico cvol cprod cvoln cfn cr cmap wceq cc0 cmpo cmpt
      c0 cif eqid vonhoi hoidmvn0val eqtrd ) AEFUAOOBCFLUBMNUCLPZUDQZUPUOUIUEUF
      UODPZMPOUQNPORQSODTUJUGUHZOQFUQBOUQCORQSODTALBCDEURFMNGIJKURUKZULALBCDURF
      MNUSGHIJUMUN $.
  $}

  ${
    von0val.1 $e |- ( ph -> A e. dom ( voln ` (/) ) ) $.
    $( The Lebesgue measure (for the zero dimensional space of reals) of every
       measurable set is zero.  (Contributed by Glauco Siliprandi,
       8-Apr-2021.) $)
    von0val $p |- ( ph -> ( ( voln ` (/) ) ` A ) = 0 ) $=
      ( cvoln cfv covoln cc0 cfn wcel 0fin a1i mblvon vonmblss2 ovn0val eqtrd
      c0 ) ABPDEEBPFEEGABPPHIAJKZCLABAPBQCMNO $.
  $}

  ${
    $d A j $.  $d B j $.  $d X j k $.  $d j ph $.
    vonhoire.n $e |- F/ k ph $.
    vonhoire.x $e |- ( ph -> X e. Fin ) $.
    vonhoire.a $e |- ( ( ph /\ k e. X ) -> A e. RR ) $.
    vonhoire.b $e |- ( ( ph /\ k e. X ) -> B e. RR ) $.
    $( The Lebesgue measure of a n-dimensional half-open interval is a real
       number.  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    vonhoire $p |- ( ph -> ( ( voln ` X ) ` X_ k e. X ( A [,) B ) ) e. RR )
             $=
      ( vj c0 wceq cico cixp cfv cr wcel adantl adantr eqeltrd cvoln cc0 fveq1d
      co wa fveq2 cdm ixpeq1 cfn 0fin a1i eqid cv pm2.21i hoimbl2 von0val eqtrd
      noel 0red wn wne neqne cmpt cvol cprod csb simpr wi nfv nfan nfcsb1 nfel1
      nfcv nfim eleq1w anbi2d csbeq1a imbi12d chvarfv syl2anc oveq12d ixpeq2dva
      eleq1d fvmptf nfel nfov cbvixp eqcomi eqtr2d fveq2d wf vonn0hoi fprodrecl
      fmptdf volicore syldan pm2.61dan ) AEKLZDEBCMUDZNZEUAOZOZPQZAWRUEZXBUBPXD
      XBWTKUAOZOZUBWRXBXFLAWRWTXAXEEKUAUFUCRXDWTXDWTDKWSNZXEUGZWRWTXGLADEKWSUHR
      AXGXHQWRABCXHDKFKUIQAUJUKXHULDUMZKQZBPQZAXJXKXIURZUNRXJCPQZAXJXMXLUNRUOST
      UPUQXDUSTAWRUTZEKVAZXCXNXOAEKVBRAXOUEZXBEJUMZDEBVCZOZXQDECVCZOZMUDZVDOZJV
      EZPXPXBJEYBNZXAOZYDAXBYFLXOAWTYEXAAYEJEDXQBVFZDXQCVFZMUDZNZWTAJEYBYIAXQEQ
      ZUEZXSYGYAYHMYLYKYGPQZXSYGLAYKVGZAXIEQZUEZXKVHYLYMVHDJYLYMDAYKDFYKDVIVJZD
      YGPDXQBDXQVMZVKZVLVNXIXQLZYPYLXKYMYTYOYKADJEVOVPZYTBYGPDXQBVQZWCVRHVSZDXQ
      BYGEXRPYRYSUUBXRULZWDVTZYLYKYHPQZYAYHLYNYPXMVHYLUUFVHDJYLUUFDYQDYHPDXQCYR
      VKZDPVMWEVNYTYPYLXMUUFUUAYTCYHPDXQCVQZWCVRIVSZDXQCYHEXTPYRUUGUUHXTULZWDVT
      ZWAWBYJWTLAWTYJDJEWSYIJWSVMDYGYHMYSDMVMUUGWFYTBYGCYHMUUBUUHWAWGWHUKWIWJSX
      PXRXTJYEEAEUIQXOGSAXOVGAEPXRWKXOADEBPXRFHUUDWNSAEPXTWKXOADECPXTFIUUJWNSYE
      ULWLUQAYDPQXOAEYCJGYLXSPQYAPQYCPQYLXSYGPUUEUUCTYLYAYHPUUKUUITXSYAWOVTWMST
      WPWQ $.
  $}

  ${
    $d A n $.  $d B n $.  $d F k n $.  $d X k n $.  $d n ph $.
    iinhoiicclem.k $e |- F/ k ph $.
    iinhoiicclem.a $e |- ( ( ph /\ k e. X ) -> A e. RR ) $.
    iinhoiicclem.b $e |- ( ( ph /\ k e. X ) -> B e. RR ) $.
    iinhoiicclem.f $e |- ( ph -> F e. |^|_ n e. NN X_ k e. X ( A [,) ( B + ( 1
       / n ) ) ) ) $.
    $( A n-dimensional closed interval expressed as the indexed intersection of
       half-open intervals.  One side of the double inclusion.  (Contributed by
       Glauco Siliprandi, 8-Apr-2021.) $)
    iinhoiicclem $p |- ( ph -> F e. X_ k e. X ( A [,] B ) ) $=
      ( wcel co wral cn c1 cr wss cxr syl cvv wfn cfv cicc cixp cdiv caddc cico
      cv w3a ciin elexd wf wrex 1nn a1i peano2re rexrd icossre syl2anc ixpssixp
      wa wceq oveq2 1div1e1 eqtrd oveq2d ixpeq2dv sseq1d rspcev iinss sseldd wb
      elixpconstg mpbid ffnd ffvelrnda cle wbr ssid adantr simpr fvixp2 icogelb
      syl3anc nnrecre adantl readdcld ressxr sselid eliin r19.21bi elixp2 sylib
      clt simp3d an32s icoltub ralrimiva nfv xrralrecnnle mpbird eliccd ralrimi
      ltled ex 3jca sylibr ) AFUALZFGUBZDUIZFUCZBCUDMZLZDGNZUJFDGXMUELAXIXJXOAF
      EODGBCPEUIZUFMZUGMZUHMZUEZUKZKULZAGQFAFDGQUEZLZGQFUMZAYAYCFAXTYCRZEOUNZYA
      YCRAPOLZDGBCPUGMZUHMZUEZYCRZYGYHAUOUPZADGYJQHAXKGLZVBZBQLYISLZYJQRIYOYIYO
      CQLZYIQLJCUQTURZBYIUSUTVAYFYLEPOXPPVCZXTYKYCYSDGXSYJYSXRYIBUHYSXQPCUGYSXQ
      PPUFMZPXPPPUFVDYTPVCYSVEUPVFVGVGVHZVIVJUTEOXTYCVKTKVLAFYALZYDYEVMKDGQFYAV
      NTVOZVPAXNDGHAYNXNYOBCXLIJAGQXKFUUCVQZYOBSLZYPXLYJLZBXLVRVSYOBIURZYRYOFYK
      LZYNUUFAUUHYNAYAYKFAXTYKRZEOUNZYAYKRAYHYKYKRZUUJYMUUKAYKVTUPUUIUUKEPOYSXT
      YKYKUUAVIVJUTEOXTYKVKTKVLWAAYNWBDGYJFWCUTBYIXLWDWEYOXLCVRVSXLXRVRVSZEONYO
      UULEOYOXPOLZVBZXLXRYOXLQLUUMUUDWAUUNCXQYOYQUUMJWAUUMXQQLYOXPWFWGWHZUUNUUE
      XRSLXLXSLZXLXRWOVSYOUUEUUMUUGWAUUNQSXRWIUUOWJAUUMYNUUPAUUMVBZUUPDGUUQXIXJ
      UUPDGNZUUQFXTLZXIXJUURUJAUUSEOAUUBUUSEONZKAXIUUBUUTVMYBEFOXTUAWKTVOWLDGXS
      FWMWNWPWLWQBXRXLWRWEXEWSYOXLCEYOEWTYOQSXLWIUUDWJJXAXBXCXFXDXGDGXMFWMXH $.
  $}

  ${
    $d A f n $.  $d A m n $.  $d B f n $.  $d B m n $.  $d X f k n $.
    $d X k m n $.  $d f n ph $.
    iunhoiicc.k $e |- F/ k ph $.
    iunhoiicc.a $e |- ( ( ph /\ k e. X ) -> A e. RR ) $.
    iunhoiicc.b $e |- ( ( ph /\ k e. X ) -> B e. RR ) $.
    $( A n-dimensional closed interval expressed as the indexed intersection of
       half-open intervals.  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    iinhoiicc $p |- ( ph -> |^|_ n e. NN X_ k e. X ( A [,) ( B + ( 1 / n ) ) )
       = X_ k e. X ( A [,] B ) ) $=
      ( vf vm cn c1 cv cdiv co wcel wss wa adantlr caddc cico cixp oveq2 oveq2d
      ciin cicc wral wceq ixpeq2dv cbviinv eleq2i biimpi adantl nfcv nfiin nfel
      nfixp1 nfan cr biimpri iinhoiicclem syldan ralrimiva dfss3 sylibr nfv cxr
      cle wbr clt rexrd nnrp ad2antlr rpreccld rpred readdcld ltaddrpd iccssico
      crp leidd syl22anc ixpssixp ssiin eqssd ) AELDFBCMENZOPZUAPZUBPZUCZUFZDFB
      CUGPZUCZAJNZWMQZJWKUHWKWMRAWOJWKAWNWKQZWNKLDFBCMKNZOPZUAPZUBPZUCZUFZQZWOW
      PXCAWPXCWKXBWNEKLWJXAWFWQUIZDFWIWTXDWHWSBUBXDWGWRCUAWFWQMOUDUEUEUJUKULZUM
      UNAXCSBCDEWNFAXCDGDWNXBDWNUOKDLXADLUODFWTURUPUQUSADNFQZBUTQZXCHTAXFCUTQZX
      CITXCWPAWPXCXEVAUNVBVCVDJWKWMVEVFAWMWJRZELUHWMWKRAXIELAWFLQZSZDFWLWIAXJDG
      XJDVGUSXKXFSZBVHQZWHVHQBBVIVJCWHVKVJWLWIRAXFXMXJAXFSBHVLTXLWHXLCWGAXFXHXJ
      ITZXLWGXLWFXJWFVTQAXFWFVMVNVOZVPVQVLXLBAXFXGXJHTWAXLCWGXNXOVRBWHBCVSWBWCV
      DELWJWMWDVFWE $.
  $}

  ${
    $d C n $.  $d F k n $.  $d X k $.  $d n ph $.
    iunhoiioolem.K $e |- F/ k ph $.
    iunhoiioolem.x $e |- ( ph -> X e. Fin ) $.
    iunhoiioolem.n $e |- ( ph -> X =/= (/) ) $.
    iunhoiioolem.a $e |- ( ( ph /\ k e. X ) -> A e. RR ) $.
    iunhoiioolem.b $e |- ( ( ph /\ k e. X ) -> B e. RR* ) $.
    iunhoiioolem.f $e |- ( ph -> F e. X_ k e. X ( A (,) B ) ) $.
    iunhoiioolem.c $e |- C = inf ( ran ( k e. X |-> ( ( F ` k ) - A ) ) , RR ,
       < ) $.
    $( A n-dimensional open interval expressed as the indexed union of
       half-open intervals.  One side of the double inclusion.  (Contributed by
       Glauco Siliprandi, 8-Apr-2021.) $)
    iunhoiioolem $p |- ( ph -> F e. U_ n e. NN X_ k e. X ( ( A + ( 1 / n ) )
       [,) B ) ) $=
      ( wcel clt wbr cr adantlr c1 cv cdiv co caddc cico cixp wrex ciun crp cfv
      cn cmin cmpt crn eqid wa cioo wf ixpf syl wral ioossre rgenw iunss sylibr
      wss a1i fssd ffvelrnda resubcld cc0 cxr rexrd adantr simpr fvixp2 syl2anc
      ioogtlb syl3anc posdifd mpbid elrpd rnmptssd cinf wor cfn c0 ltso rnmptfi
      wne rnmptn0 fiinfcl syl13anc eqeltrid sseldd rpgtrecnn cvv elexd ad2antrr
      wfn w3a ffnd nfv nfan nfcv nfmpt1 nfrn nfinf nfcxfr nfbr nnrecre ad2antlr
      readdcld ressxr ad4ant14 ad3antrrr simplr cle id ovexd elrnmpt1 infrefilb
      adantl eqbrtrid ltletrd ltaddsub2d mpbird ltled iooltub elicod ex ralrimi
      3jca elixp2 reximdva mpd eliun ) AGEHBUAFUBZUCUDZUEUDZCUFUDZUGZPZFULUHZGF
      ULUUCUIPAYTDQRZFULUHZUUEADUJPUUGAEHEUBZGUKZBUMUDZUNZUOZUJDAEHUUJUJUUKIUUK
      UPZAUUHHPZUQZUUJUUOUUIBAHSUUHGAHEHBCURUDZUIZSGAGEHUUPUGZPZHUUQGUSNEHUUPGU
      TVAZAUUPSVGZEHVBZUUQSVGUVBAUVAEHBCVCVDVHEHUUPSVEVFVIZVJZLVKZUUOBUUIQRZVLU
      UJQRUUOBVMPZCVMPZUUIUUPPZUVFUUOBLVNZMUUOUUSUUNUVIAUUSUUNNVOAUUNVPEHUUPGVQ
      VRZBCUUIVSVTUUOBUUILUVDWAWBWCWDADUULSQWEZUULOASQWFZUULWGPZUULWHWKUULSVGZU
      VLUULPUVMAWIVHAHWGPUVNJEUUKHUUJUUMWJVAZAEHUUJUUKSIUVEUUMKWLAEHUUJSUUKIUUM
      UVEWDZSUULQWMWNWOZWPDFWQVAAUUFUUDFULAYSULPZUQZUUFUUDUVTUUFUQZGWRPZGHXAZUU
      IUUBPZEHVBZXBUUDUWAUWBUWCUWEAUWBUVSUUFAGUURNWSWTAUWCUVSUUFAHUUQGUUTXCWTUW
      AUWDEHUVTUUFEAUVSEIUVSEXDXEEYTDQEYTXFEQXFZEDUVLOEUULSQEUUKEHUUJXGXHESXFUW
      FXIXJXKXEUWAUUNUWDUWAUUNUQZUUACUUIUVTUUNUUAVMPUUFUVTUUNUQZUUAUWHBYTAUUNBS
      PZUVSLTZUVSYTSPZAUUNYSXLXMZXNZVNTUVTUUNUVHUUFAUUNUVHUVSMTTUWAHVMUUHGAHVMG
      USUVSUUFAHSVMGUVCSVMVGAXOVHVIWTVJUWGUUAUUIUVTUUNUUASPUUFUWMTAUUNUUISPUVSU
      UFUVDXPZUWGUUAUUIQRYTUUJQRUWGYTDUUJUVTUUNUWKUUFUWLTZADSPUVSUUFUUNAUULSDUV
      QUVRWPXQAUUNUUJSPUVSUUFUVEXPUVTUUFUUNXRUVTUUNDUUJXSRUUFUWHDUVLUUJXSOUWHUV
      OUVNUUJUULPZUVLUUJXSRAUVOUVSUUNUVQWTAUVNUVSUUNUVPWTUUNUWPUVTUUNUUNUUJWRPU
      WPUUNXTUUNUUIBUMYAEHUUJUUKWRUUMYBVRYDUUJUULYCVTYETYFUWGBYTUUIUVTUUNUWIUUF
      UWJTUWOUWNYGYHYIAUUNUUICQRZUVSUUFUUOUVGUVHUVIUWQUVJMUVKBCUUIYJVTXPYKYLYMY
      NEHUUBGYOVFYLYPYQFGULUUCYRVF $.
  $}

  ${
    $d A f n $.  $d B f n $.  $d X f k n $.  $d f n ph $.
    iunhoiioo.k $e |- F/ k ph $.
    iunhoiioo.x $e |- ( ph -> X e. Fin ) $.
    iunhoiioo.a $e |- ( ( ph /\ k e. X ) -> A e. RR ) $.
    iunhoiioo.b $e |- ( ( ph /\ k e. X ) -> B e. RR* ) $.
    $( A n-dimensional open interval expressed as the indexed union of
       half-open intervals.  (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    iunhoiioo $p |- ( ph -> U_ n e. NN X_ k e. X ( ( A + ( 1 / n ) ) [,) B ) =
       X_ k e. X ( A (,) B ) ) $=
      ( c0 wceq cn cv co cixp a1i wcel wa adantlr vf c1 cdiv cico ciun cioo csn
      caddc wne nnn0 iunconst ax-mp ixpeq1 ixp0x adantr iuneq2dv 3eqtr4d adantl
      eqtrd wn wss wral nfv nfan cxr clt wbr cle rexrd cr crp ad2antlr rpreccld
      nnrp ltaddrpd xrleidd icossioo syl22anc ixpssixp ralrimiva iunss cfv cmin
      sylibr cmpt crn cinf nfcv nfixp1 cfn ad2antrr neqne ad4ant14 iunhoiioolem
      nfel simpr eqid eqelssd pm2.61dan ) AFKLZEMDFBUBENZUCOZUHOZCUDOZPZUEZDFBC
      UFOZPZLZWTXIAWTEMKUGZUEZXJXFXHXKXJLZWTMKUIXLUJEMXJUKULQWTEMXEXJWTXEXJLXAM
      RZWTXEDKXDPZXJDFKXDUMXNXJLWTDXDUNQUSUOUPWTXHDKXGPZXJDFKXGUMXOXJLWTDXGUNQU
      SUQURAWTUTZSZUAXFXHAXFXHVAZXPAXEXHVAZEMVBXRAXSEMAXMSZDFXDXGAXMDGXMDVCVDXT
      DNZFRZSZBVERZCVERZBXCVFVGCCVHVGZXDXGVAAYBYDXMAYBSZBIVITAYBYEXMJTYCBXBAYBB
      VJRZXMITYCXAXMXAVKRAYBXAVNVLVMVOAYBYFXMYGCJVPTBCXCCVQVRVSVTEMXEXHWAWDUOXQ
      UANZXHRZSBCDFYAYIWBBWCOWEWFVJVFWGZDEYIFXQYJDAXPDGXPDVCVDDYIXHDYIWHDFXGWIW
      OVDAFWJRXPYJHWKXPFKUIAYJFKWLVLAYBYHXPYJIWMAYBYEXPYJJWMXQYJWPYKWQWNWRWS $.
  $}

  ${
    $d A i $.  $d B i $.  $d X i $.  $d i ph $.
    ioovonmbl.x $e |- ( ph -> X e. Fin ) $.
    ioovonmbl.s $e |- S = dom ( voln ` X ) $.
    ioovonmbl.a $e |- ( ph -> A : X --> RR* ) $.
    ioovonmbl.b $e |- ( ph -> B : X --> RR* ) $.
    $( Any n-dimensional open interval is Lebesgue measurable.  This is the
       first statement in Proposition 115G (c) of [Fremlin1] p. 32.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    ioovonmbl $p |- ( ph -> X_ i e. X ( ( A ` i ) (,) ( B ` i ) ) e. S ) $=
      ( cv cfv cioo co cixp ioorrnopnxr opnvonmbl ) ADEFEKZBLRCLMNOFGHABCEFGIJP
      Q $.
  $}

  ${
    $d A n $.  $d B n $.  $d C i $.  $d D i $.  $d S n $.  $d X i n $.
    $d i n ph $.
    iccvonmbllem.x $e |- ( ph -> X e. Fin ) $.
    iccvonmbllem.s $e |- S = dom ( voln ` X ) $.
    iccvonmbllem.a $e |- ( ph -> A : X --> RR ) $.
    iccvonmbllem.b $e |- ( ph -> B : X --> RR ) $.
    iccvonmbllem.c $e |- C = ( n e. NN |-> ( i e. X |-> ( ( A ` i ) - ( 1 / n )
       ) ) ) $.
    iccvonmbllem.d $e |- D = ( n e. NN |-> ( i e. X |-> ( ( B ` i ) + ( 1 / n )
       ) ) ) $.
    $( Any n-dimensional closed interval is Lebesgue measurable.  This is the
       second statement in Proposition 115G (c) of [Fremlin1] p. 32.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    iccvonmbllem $p |- ( ph -> X_ i e. X ( ( A ` i ) [,] ( B ` i ) ) e. S ) $=
      ( cfv co cn cr cxr cv cicc cixp cioo ciin wcel wa c1 cdiv cmin caddc wceq
      cmpt cvv a1i cfn adantr mptexd fvmpt2d ffvelrnda adantlr nnrecre ad2antlr
      resubcld an32s readdcld oveq12d iineq2dv iooiinicc eqtrd ixpeq2dva eqcomd
      eqidd c0 wne nnn0 ixpiin syl 3eqtr3d dmovnsal com cdom wbr nnct wf fmpttd
      wss ressxr fssd feq1d mpbird ioovonmbl saliincl eqeltrd ) AGIGUAZBPZWOCPZ
      UBQZUCZHRGIWOHUAZDPZPZWOWTEPZPZUDQZUCZUEZFAWSGIHRXEUEZUCZWSXGAXIWSAGIXHWR
      AWOIUFZUGZXHHRWPUHWTUIQZUJQZWQXLUKQZUDQZUEWRXKHRXEXOXKWTRUFZUGXBXMXDXNUDA
      XPXJXBXMULAXPUGZGIXMXASAHRGIXMUMZDUNDHRXRUMULANUOXQGIXMUPAIUPUFXPJUQZURUS
      ZXQXJUGZWPXLAXJWPSUFXPAISWOBLUTZVAXPXLSUFAXJWTVBVCZVDZUSVEAXPXJXDXNULXQGI
      XNXCSAHRGIXNUMZEUNEHRYEUMULAOUOXQGIXNUPXSURUSZYAWQXLAXJWQSUFXPAISWOCMUTZV
      AYCVFZUSVEVGVHXKWPWQHYBYGVIVJVKVLAWSVMARVNVOZXIXGULYIAVPUOZGHIRXEVQVRVSAF
      HXFRAFIJKVTRWAWBWCAWDUOYJXQXAXCFGIXSKXQITXAWEITXRWEXQISTXRXQGIXMSYDWFSTWG
      XQWHUOZWIXQITXAXRXTWJWKXQITXCWEITYEWEXQISTYEXQGIXNSYHWFYKWIXQITXCYEYFWJWK
      WLWMWN $.
  $}

  ${
    $d A i j n $.  $d B i j n $.  $d S n $.  $d X i j n $.  $d i n ph $.
    iccvonmbl.x $e |- ( ph -> X e. Fin ) $.
    iccvonmbl.s $e |- S = dom ( voln ` X ) $.
    iccvonmbl.a $e |- ( ph -> A : X --> RR ) $.
    iccvonmbl.b $e |- ( ph -> B : X --> RR ) $.
    $( Any n-dimensional closed interval is Lebesgue measurable.  This is the
       second statement in Proposition 115G (c) of [Fremlin1] p. 32.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    iccvonmbl $p |- ( ph -> X_ i e. X ( ( A ` i ) [,] ( B ` i ) ) e. S ) $=
      ( vn vj cn cv cfv co cmin cmpt caddc fveq2 c1 cdiv oveq1d cbvmptv mpteq2i
      wceq iccvonmbllem ) ABCKMLFLNZBOZUAKNUBPZQPZRZRKMLFUHCOZUJSPZRZRDEKFGHIJK
      MULEFENZBOZUJQPZRLEFUKURUHUPUFZUIUQUJQUHUPBTUCUDUEKMUOEFUPCOZUJSPZRLEFUNV
      AUSUMUTUJSUHUPCTUCUDUEUG $.
  $}

  ${
    $d A n $.  $d B k n $.  $d C k $.  $d S n $.  $d T n $.  $d X k n $.
    $d Z k n $.  $d k n ph $.
    vonioolem1.x $e |- ( ph -> X e. Fin ) $.
    vonioolem1.a $e |- ( ph -> A : X --> RR ) $.
    vonioolem1.b $e |- ( ph -> B : X --> RR ) $.
    vonioolem1.u $e |- ( ph -> X =/= (/) ) $.
    vonioolem1.t $e |- ( ( ph /\ k e. X ) -> ( A ` k ) < ( B ` k ) ) $.
    vonioolem1.c $e |- C = ( n e. NN |-> ( k e. X |-> ( ( A ` k ) + ( 1 / n ) )
       ) ) $.
    vonioolem1.d $e |- D = ( n e. NN |-> X_ k e. X ( ( ( C ` n ) ` k ) [,) ( B
       ` k ) ) ) $.
    vonioolem1.s $e |- S = ( n e. NN |-> ( ( voln ` X ) ` ( D ` n ) ) ) $.
    vonioolem1.r $e |- T = ( n e. NN |-> prod_ k e. X ( ( B ` k ) - ( ( C ` n )
       ` k ) ) ) $.
    vonioolem1.e $e |- E = inf ( ran ( k e. X |-> ( ( B ` k ) - ( A ` k ) ) ) ,
       RR , < ) $.
    vonioolem1.n $e |- N = ( ( |_ ` ( 1 / E ) ) + 1 ) $.
    vonioolem1.z $e |- Z = ( ZZ>= ` N ) $.
    $( The sequence of the measures of the half-open intervals converges to the
       measure of their union.  (Contributed by Glauco Siliprandi,
       8-Apr-2021.) $)
    vonioolem1 $p |- ( ph -> S ~~> prod_ k e. X ( ( B ` k ) - ( A ` k ) ) ) $=
      ( cv cfv cmin co cprod cli wbr cn c1 cdiv cmpt wceq a1i wcel wa caddc cvv
      cfn mptexd adantr fvmpt2d ovexd oveq2d cr ffvelrnda adantlr recnd nnrecre
      wf ad2antlr subsub4d eqtr4d prodeq2dv mpteq2dva eqtrd nfv rpssre wb difrp
      crp clt syl2anc mpbid sselid eqid fprodsubrecnncnv eqbrtrd mptex eqeltrid
      nnex cvoln cfl cn0 cc0 cle 1rp crn rnmptssd cinf wor wne wss ltso rnmptfi
      cz c0 rnmptn0 sstrd fiinfcl syl13anc sseldd rpdivcld rpred rpge0d nn0p1nn
      syl flge0nn0 nnzd cico cixp cvol recnnltrp simpld uznnssnn eqsstrid simpr
      cuz cdm readdcld fmpttd mpbird syldan syldanl adantl fvmpt2 hoimbl fveq2d
      feq1d elexd vonn0hoi volico nnrecred ad2antrr eleq2i biimpi eluzle lerecd
      cif nnrpd nnrp simprd elrnmpt1 infrefilb syl3anc eqbrtrid ltletrd lelttrd
      id ltaddsub2d iftrued 3eqtrd fvexd prodex 3eqtr4rd climeq ) AGLHUFZCUGZUV
      KBUGZUHUIZHUJZUKULFUVOUKULAGIUMLUVNUNIUFZUOUIZUHUIZHUJZUPZUVOUKAGIUMLUVLU
      VKUVPDUGZUGZUHUIZHUJZUPZUVTGUWEUQAUBURAIUMUWDUVSAUVPUMUSZUTZLUWCUVRHUWGUV
      KLUSZUTZUWCUVLUVMUVQVAUIZUHUIUVRUWIUWBUWJUVLUHUWGHLUWJUWAVBAIUMHLUWJUPZDV
      BDIUMUWKUPUQASURAUWKVBUSUWFAHLUWJVCNVDVEVFZUWIUVMUVQVAVGVFZVHUWIUVLUVMUVQ
      UWIUVLAUWHUVLVIUSZUWFALVIUVKCPVJZVKZVLUWIUVMUWGLVIUVKBALVIBVNUWFOVEVJZVLU
      WIUVQUWFUVQVIUSZAUWHUVPVMVOZVLVPVQVRVSVTAUVNUVTHILAHWAZNAUWHUTZUVNUXAWEVI
      UVNWBUXAUVMUVLWFULZUVNWEUSZRUXAUVMVIUSZUWNUXBUXCWCALVIUVKBOVJUWOUVMUVLWDW
      GWHZWIZVLUVTWJWKWLAUVOIGFKVBVBMUEAGUWEVBUBUWEVBUSAIUMUWDWOWMURWNAFIUMUVPE
      UGZLWPUGZUGZUPZVBUAUXJVBUSAIUMUXIWOWMURWNAKUNJUOUIZWQUGZUNVAUIZXJUDAUXMAU
      XLWRUSZUXMUMUSAUXKVIUSWSUXKWTULUXNAUXKAUNJUNWEUSAXAURAHLUVNUPZXBZWEJAHLUV
      NWEUXOUWTUXOWJZUXEXCZAJUXPVIWFXDZUXPUCAVIWFXEZUXPVCUSZUXPXKXFUXPVIXGZUXSU
      XPUSUXTAXHURALVCUSZUYANHUXOLUVNUXQXIYAZAHLUVNUXOWEUWTUXEUXQQXLAUXPWEVIUXR
      WEVIXGAWBURXMZVIUXPWFXNXOWNXPZXQZXRAUXKUYGXSUXKYBWGUXLXTYAYCWNAUVPMUSZUTZ
      UXIUWDUVPFUGZUVPGUGZUYIUXIHLUWBUVLYDUIZYEZUXHUGLUYLYFUGZHUJUWDUYIUXGUYMUX
      HAUYHUWFUXGUYMUQUYIMUMUVPAMUMXGUYHAMKYLUGZUMUEAKUMUSZUYOUMXGAUYPUNKUOUIZJ
      WFULZAJWEUSUYPUYRUTUYFJKUDYGYAZYHZKYIYAYJVEAUYHYKXPZAIUMUYMEVBEIUMUYMUPUQ
      ATURUWGUYMUXHYMZUWGUWACVUBHLAUYCUWFNVEVUBWJUWGLVIUWAVNZLVIUWKVNUWGHLUWJVI
      UWIUVMUVQUWQUWSYNYOUWGLVIUWAUWKUWLUUCYPZALVICVNZUWFPVEUUAUUDVFYQUUBUYIUWA
      CHUYMLAUYCUYHNVEALXKXFUYHQVEAUYHUWFVUCVUAVUDYQZAVUEUYHPVEUYMWJUUEUYILUYNU
      WCHUYIUWHUTZUYNUWBUVLWFULZUWCWSUUMZUWCVUGUWBVIUSUWNUYNVUIUQUYILVIUVKUWAVU
      FVJAUYHUWFUWHUWNVUAUWPYRZUWBUVLUUFWGVUGVUHUWCWSVUGUWBUWJUVLWFAUYHUWFUWHUW
      BUWJUQVUAUWMYRVUGUWJUVLWFULUVQUVNWFULVUGUVQUYQUVNAUYHUWFUWHUWRVUAUWSYRZAU
      YQVIUSZUYHUWHAKUYTUUGZUUHAUWHUVNVIUSUYHUXFVKUYIUVQUYQWTULZUWHUYIKUVPWTULZ
      VUNUYHVUOAUYHUVPUYOUSZVUOUYHVUPMUYOUVPUEUUIUUJKUVPUUKYAYSUYIKUVPAKWEUSUYH
      AKUYTUUNVEUYIUWFUVPWEUSVUAUVPUUOYAUULWHVEAUWHUYQUVNWFULUYHUXAUYQJUVNAVULU
      WHVUMVEAJVIUSUWHAWEVIJWBUYFWIVEUXFAUYRUWHAUYPUYRUYSUUPVEUXAJUXSUVNWTUCUXA
      UYBUYAUVNUXPUSZUXSUVNWTULAUYBUWHUYEVEAUYAUWHUYDVEUWHVUQAUWHUWHUVNVBUSVUQU
      WHUVCUWHUVLUVMUHVGHLUVNUXOVBUXQUUQWGYSUVNUXPUURUUSUUTUVAVKUVBVUGUVMUVQUVL
      AUYHUWFUWHUXDVUAUWQYRVUKVUJUVDYPWLUVEVTVRUVFUYIUWFUXIVBUSUYJUXIUQVUAUYIUX
      GUXHUVGIUMUXIVBFUAYTWGUYIUWFUWDVBUSZUYKUWDUQVUAVURUYILUWCHUVHURIUMUWDVBGU
      BYTWGUVIUVJWH $.
  $}

  ${
    $d A j k n $.  $d A k m n $.  $d B j k n $.  $d B k m n $.  $d C k m n $.
    $d D m n $.  $d I n $.  $d X j k n $.  $d X k m n $.  $d k m n ph $.
    vonioolem2.x $e |- ( ph -> X e. Fin ) $.
    vonioolem2.a $e |- ( ph -> A : X --> RR ) $.
    vonioolem2.b $e |- ( ph -> B : X --> RR ) $.
    vonioolem2.n $e |- ( ph -> X =/= (/) ) $.
    vonioolem2.t $e |- ( ( ph /\ k e. X ) -> ( A ` k ) < ( B ` k ) ) $.
    vonioolem2.i $e |- I = X_ k e. X ( ( A ` k ) (,) ( B ` k ) ) $.
    vonioolem2.c $e |- C = ( n e. NN |-> ( k e. X |-> ( ( A ` k ) + ( 1 / n ) )
       ) ) $.
    vonioolem2.d $e |- D = ( n e. NN |-> X_ k e. X ( ( ( C ` n ) ` k ) [,) ( B
       ` k ) ) ) $.
    $( The n-dimensional Lebesgue measure of open intervals.  This is the first
       statement in Proposition 115G (d) of [Fremlin1] p. 32.  (Contributed by
       Glauco Siliprandi, 8-Apr-2021.) $)
    vonioolem2 $p |- ( ph -> ( ( voln ` X ) ` I ) = prod_ k e. X ( ( B ` k ) -
       ( A ` k ) ) ) $=
      ( cn cfv co vm vj cv cvoln cmpt cli wbr cmin cprod wceq ciun c1 1zzd nnuz
      vonmea cico cixp cdm wcel wa cfn adantr eqid cr wf cdiv ffvelrnda nnrecre
      caddc ad2antlr readdcld fmpttd cvv a1i mptexd fvmpt2d feq1d mpbird hoimbl
      fmptd wss nfv cxr cle oveq2 oveq2d mpteq2dv cbvmptv eqtri simpr peano2nnd
      fvmptd3 ovexd 1red nnre cc0 wne peano2nn nnne0 syl redivcld eqeltrd rexrd
      ressxr sselid adantlr clt ltp1d nnrpd ltrecd mpbid ltled leadd2dd breq12d
      eqidd eqled icossico syl22anc ixpssixp elexd fveq2 fveq1d oveq1d ixpeq2dv
      nnrp wral ovex rgenw ixpexg sseq12d wtru fssd eqcomd crn cfl cuz wi eqcom
      cinf fveq2i ax-mp vonhoire cioo nftru ioossico eqsstrd ioovonmbl eqeltrid
      mptru meassre cmea crp rpreccld ltaddrpd icossioo ixpeq2dva eqtrd meassle
      meaiuninc2 iunhoiioo iuneq2dv 3eqtr4d fveq2d breqtrd 2fveq3 eqcomi imbi1i
      imbi2i bitri mpbi prodeq2ad oveq12d infeq1i oveq2i oveq1i eqbrtrd climuni
      rneqi vonioolem1 syl2anc ) AGRGUCZESZIUDSZSZUEZHUWCSZUFUGUWEIFUCZCSZUWGBS
      ZUHTZFUIZUFUGUWFUWKUJAUWEGRUWBUKZUWCSZUWFUFAUWFUWEGEUWCULRAIJUOZAUMUNAGRF
      IUWGUWADSZSZUWHUPTZUQZUWCURZEAUWARUSZUTZUWOCUWSFIAIVAUSUWTJVBZUWSVCZUXAIV
      DUWOVEIVDFIUWIULUWAVFTZVITZUEZVEUXAFIUXEVDUXAUWGIUSZUTZUWIUXDUXAIVDUWGBAI
      VDBVEUWTKVBVGZUWTUXDVDUSAUXGUWAVHZVJZVKVLUXAIVDUWOUXFAGRUXFDVMDGRUXFUEZUJ
      APVNAUXFVMUSUWTAFIUXEVAJVOVBVPZVQVRAIVDCVEUWTLVBVSZQVTUXAUWBUWAULVITZESZW
      AUWRFIUWGUXODSZSZUWHUPTZUQZWAUXAFIUWQUXSUXAFWBZUXHUXRWCUSUWHWCUSZUXRUWPWD
      UGZUWHUWHWDUGZUWQUXSWAUXHUXRUXHUXRUWIULUXOVFTZVITZVDUXAFIUYFUXQVMUXAUAUXO
      FIUWIULUAUCZVFTZVITZUEZFIUYFUERDVMDUXLUARUYJUEPGUARUXFUYJUWAUYGUJZFIUXEUY
      IUYKUXDUYHUWIVIUWAUYGULVFWEWFWGWHWIUYGUXOUJZFIUYIUYFUYLUYHUYEUWIVIUYGUXOU
      LVFWEWFWGUXAUWAAUWTWJWKZUXAFIUYFVAUXBVOWLUXHUWIUYEVIWMVPZUXHUWIUYEUXIUWTU
      YEVDUSAUXGUWTULUXOUWTWNZUWTUWAULUWAWOZUYOVKUWTUXORUSUXOWPWQUWAWRZUXOWSWTX
      AZVJZVKXBXCAUXGUYBUWTAUXGUTZVDWCUWHXDAIVDUWGCLVGZXEZXFZUXHUYCUYFUXEWDUGUX
      HUYEUXDUWIUYSUXKUXIUWTUYEUXDWDUGAUXGUWTUYEUXDUYRUXJUWTUWAUXOXGUGUYEUXDXGU
      GUWTUWAUYPXHUWTUWAUXOUWAYEZUWTUXOUYQXIXJXKXLVJXMUXHUXRUYFUWPUXEWDUYNUXAFI
      UXEUWOVMUXMUXHUWIUXDVIWMVPZXNVRUXHUWHUWHAUXGUWHVDUSUWTVUAXFUXHUWHXOXPZUXR
      UWHUWPUWHXQXRXSUXAUWBUWRUXPUXTAGRUWREVMEGRUWRUEZUJAQVNUXAUWRUWSUXNXTVPZUX
      AUAUXOFIUWGUYGDSZSZUWHUPTZUQZUXTREVMEVUGUARVULUEQGUARUWRVULUYKFIUWQVUKUYK
      UWPVUJUWHUPUYKUWGUWOVUIUWAUYGDYAYBZYCYDWHWIUYLFIVUKUXSUYLVUJUXRUWHUPUYLUW
      GVUIUXQUYGUXODYAYBYCYDUYMUXTVMUSZUXAUXSVMUSZFIYFVUNVUOFIUXRUWHUPYGYHFIUXS
      VMYIUUAVNWLYJVRAFIUWIUWHUPTZUQZHUWCUWNABCUWSFIJUXCKLVSAUWIUWHFIAFWBZJAIVD
      UWGBKVGZVUAUUBAHFIUWIUWHUUCTZUQZVUQHVVAUJZAOVNZVVAVUQWAZAVVDYKFIVUTVUPFUU
      DVUTVUPWAYKUXGUTUWIUWHUUEVNXSUUIVNUUFAHVVAUWSOABCUWSFIJUXCAIVDWCBKVDWCWAA
      XDVNZYLAIVDWCCLVVEYLUUGUUHZUUJUXAUWBHUWSUWCAUWCUUKUSUWTUWNVBUXCUXAUWBUWRU
      WSVUHUXNXBAHUWSUSUWTVVFVBUXAUWBHWAFIUXEUWHUPTZUQZVVAWAUXAFIVVGVUTUYAUXHUW
      IWCUSZUYBUWIUXEXGUGUYDVVGVUTWAAUXGVVIUWTUYTVDWCUWIXDVUSXEXFVUCUXHUWIUXDUX
      IUWTUXDUULUSAUXGUWTUWAVUDUUMVJUUNVUFUWIUWHUXEUWHUUOXRXSUXAUWBVVHHVVAUXAUW
      BUWRVVHVUHUXAFIUWQVVGUXHUWPUXEUWHUPVUEYCUUPUUQZVVBUXAOVNYJVRUURUWEVCUUSAU
      WFUWMAHUWLUWCAUWLHAGRVVHUKVVAUWLHAUWIUWHFGIVURJVUSVUBUUTAGRUWBVVHVVJUVAVV
      CUVBYMUVCYMUVDAUWEUARUYGESUWCSZUEZUWKUFUWEVVLUJAGUARUWDVVKUWAUYGUWCEUVEWH
      ZVNABCDEVVLUARIUWHVUJUHTZFUIZUEFGFIUWJUEZYNZVDXGYSZULVVRVFTZYOSZULVITZIUL
      UBIUBUCZCSZVWBBSZUHTZUEZYNZVDXGYSZVFTZYOSZULVITZYPSJKLMNPQUWEVVLVVMUVFUAG
      RVVOIUWHUWPUHTZFUIUYGUWAUJZIVVNVWLFVWMVUJUWPUWHUHUYKUWPVUJUJZYQZVWMVUJUWP
      UJZYQZVUMVWOVWMVWNYQVWQUYKVWMVWNUWAUYGYRUVGVWNVWPVWMUWPVUJYRUVHUVIUVJWFUV
      KWHVVRVCVWAVCVWKVWAYPVWJVVTULVIVWIVVSYOVWHVVRULVFVDVWGVVQXGVWFVVPUBFIVWEU
      WJVWBUWGUJVWCUWHVWDUWIUHVWBUWGCYAVWBUWGBYAUVLWHUVRUVMUVNYTUVOYTUVSUVPUWFU
      WKUWEUVQUVT $.
  $}

  ${
    $d A a b k $.  $d A j k m n $.  $d B a b k $.  $d B j k m n $.  $d I n $.
    $d L k $.  $d X a b k x $.  $d X j k m n $.  $d a b k ph x $.
    $d j k n ph $.
    vonioo.x $e |- ( ph -> X e. Fin ) $.
    vonioo.a $e |- ( ph -> A : X --> RR ) $.
    vonioo.b $e |- ( ph -> B : X --> RR ) $.
    vonioo.i $e |- I = X_ k e. X ( ( A ` k ) (,) ( B ` k ) ) $.
    vonioo.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x ) |->
       if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k ) ) ) )
       ) ) $.
    $( The n-dimensional Lebesgue measure of an open interval.  This is the
       first statement in Proposition 115G (d) of [Fremlin1] p. 32.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    vonioo $p |- ( ph -> ( ( voln ` X ) ` I ) = ( A ( L ` X ) B ) ) $=
      ( c0 wceq cfv cr adantr vj vm vn cvoln co wa wf wb feq2 adantl hoidmv0val
      cc0 mpbid eqcomd cv cioo cixp fveq2 a1i ixpeq1 eqtrd fveq12d cdm cfn wcel
      0fin eqid cxr wss ressxr ioovonmbl von0val oveqd 3eqtr4d wn wne neqne clt
      fssd wbr wral cmin cprod cico cvol nfv nfra1 cif ffvelrnda volico syl2anc
      nfan ad4ant14 iftrued adantll ex ralrimi prodeq2d breq12d cbvralvw biimpi
      rspa cn c1 cdiv caddc cmpt simpr sylanbr oveq1d cbvmptv oveq2 oveq2d nfcv
      mpteq2dv nffvmpt1 nffv nfov nfixpw fveq1d ixpeq2dv vonioolem2 hoidmvn0val
      cbvmpt syldan cle rexnal bicomi wi lenltd mpbird w3a 3ad2ant1 simp2 simp3
      wrex sselid 3adant3 fveq2d pm2.61dan reximdva mpd nfixp1 nfcxfr nfeq mea0
      adantlr vonmea ioo0 rspe ixp0 syl ne0i eleq1w 3anbi23d imbi1d cc volicore
      recnd 3ad2antl1 oveq12d iffalsed fprodeq0g chvarvv 3exp rexlimd imp ) AHP
      QZFHUDRZRZCDHGRZUEZQZAUVHUFZULCDPGRZUEZUVJUVLUVNUVPULUVNBCDEGIJOUVNHSCUGZ
      PSCUGZAUVQUVHLTUVHUVQUVRUHAHPSCUIUJUMZUVNHSDUGZPSDUGZAUVTUVHMTUVHUVTUWAUH
      AHPSDUIUJUMZUKUNUVNUVJEPEUOZCRZUWCDRZUPUEZUQZPUDRZRZULUVHUVJUWIQAUVHFUWGU
      VIUWHHPUDURUVHFEHUWFUQZUWGFUWJQZUVHNUSEHPUWFUTVAVBUJUVNUWGUVNCDUWHVCZEPPV
      DVEUVNVFUSUWLVGUVNPSVHCUVSSVHVIUVNVJUSZVSUVNPSVHDUWBUWMVSVKVLVAUVHUVLUVPQ
      AUVHUVKUVOCDHPGURVMUJVNAUVHVOZHPVPZUVMUWNUWOAHPVQUJAUWOUFZUWDUWEVRVTZEHWA
      ZUVMUWPUWRUFZHUWEUWDWBUEZEWCZHUWDUWEWDUEZWERZEWCZUVJUVLUWSUXDUXAUWSHUXCUW
      TEUWSUXCUWTQZEHUWPUWREUWPEWFZUWQEHWGWLUWSUWCHVEZUXEUWSUXGUFUXCUWQUWTULWHZ
      UWTAUXGUXCUXHQZUWOUWRAUXGUFZUWDSVEZUWESVEZUXIAHSUWCCLWIZAHSUWCDMWIZUWDUWE
      WJWKWMUWRUXGUXHUWTQUWPUWRUXGUFUWQUWTULUWQEHXBZWNWOVAWPWQWRUNUWPUWRUAUOZCR
      ZUXPDRZVRVTZUAHWAZUVJUXAQUWRUXTUWPUWRUXTUWQUXSEUAHUWCUXPQZUWDUXQUWEUXRVRU
      WCUXPCURZUWCUXPDURZWSWTZXAUJUWPUXTUFCDUBXCUAHUXQXDUBUOZXEUEZXFUEZXGZXGZUB
      XCEHUWCUYEUYIRZRZUWEWDUEZUQZXGEUCFHUWPHVDVEZUXTAUYNUWOKTZTUWPUVQUXTAUVQUW
      OLTZTUWPUVTUXTAUVTUWOMTZTUWPUWOUXTAUWOXHZTUXTUXGUWQUWPUXTUWRUXGUWQUYDUXOX
      IWONUBUCXCUYHEHUWDXDUCUOZXEUEZXFUEZXGZUYEUYSQZUYHEHUWDUYFXFUEZXGZVUBUYHVU
      EQVUCUAEHUYGVUDUXPUWCQZUXQUWDUYFXFUXPUWCCURZXJXKUSVUCEHVUDVUAVUCUYFUYTUWD
      XFUYEUYSXDXEXLXMXOVAXKUBUCXCUYMEHUWCUYSUYIRZRZUWEWDUEZUQUCUYMXNEUBHVUJUBH
      XNUBVUIUWEWDUBUWCVUHUBXCUYHUYSXPUBUWCXNXQUBWDXNUBUWEXNXRXSVUCEHUYLVUJVUCU
      YKVUIUWEWDVUCUWCUYJVUHUYEUYSUYIURXTXJYAYDYBYEUWPUVLUXDQZUWRUWPBCDEGHIJOUY
      OUYRUYPUYQYCZTVNUWPUWRVOZUWEUWDYFVTZEHYPZUVMAVUMVUOUWOAVUMUFUWQVOZEHYPZVU
      OVUMVUQAVUMVUQVUQVUMUWQEHYGYHXAUJAVUQVUOYIVUMAVUPVUNEHUXJVUPVUNUXJVUPUFZV
      UNVUPUXJVUPXHVURUWEUWDUXJUXLVUPUXNTUXJUXKVUPUXMTYJYKWPUUATUUBUUGUWPVUOUVM
      UWPVUNUVMEHUXFEUVJUVLEFUVIEUVIXNEFUWJNEHUWFUUCUUDXQEUVLXNUUEAUXGVUNUVMYIY
      IUWOAUXGVUNUVMAUXGVUNYLZPUVIRZULUVJUVLAUXGVUTULQVUNAUVIAHKUUHUUFYMVUSFPUV
      IVUSFUWJPUWKVUSNUSVUSUWFPQZEHYPZUWJPQVUSUXGVVAVVBAUXGVUNYNVUSVVAVUNAUXGVU
      NYOVUSUWDVHVEZUWEVHVEZVVAVUNUHAUXGVVCVUNUXJSVHUWDVJUXMYQYRAUXGVVDVUNUXJSV
      HUWEVJUXNYQYRUWDUWEUUIWKYKVVAEHUUJWKEHUWFUUKUULVAYSVUSUVLUXDULAUXGVUKVUNA
      UXGUWOVUKUXGUWOAHUWCUUMUJVULYEYRAUXPHVEZUXRUXQYFVTZYLZUXDULQZYIVUSVVHYIUA
      EVUFVVGVUSVVHVUFVVEUXGVVFVUNAUAEHUUNVUFUXRUWEUXQUWDYFUXPUWCDURVUGWSUUOUUP
      VVGHUXCUXPEVVGEWFAVVEUYNVVFKYMAVVEUXGUXCUUQVEVVFUXJUXCUXJUXKUXLUXCSVEUXMU
      XNUWDUWEUURWKUUSUUTAVVEVVFYNVVGUYAUFUXCUXQUXRWDUEZWERZULUYAUXCVVJQVVGUYAU
      XBVVIWEUYAUWDUXQUWEUXRWDUYBUYCUVAYSUJVVGVVJULQUYAVVGVVJUXSUXRUXQWBUEZULWH
      ZULAVVEVVJVVLQZVVFAVVEUFZUXQSVEUXRSVEVVMAHSUXPCLWIZAHSUXPDMWIZUXQUXRWJWKY
      RVVGUXSVVKULVVGVVFUXSVOZAVVEVVFYOAVVEVVFVVQUHVVFVVNUXRUXQVVPVVOYJYRUMUVBV
      ATVAUVCUVDVAVNUVETUVFUVGYEYTYEYT $.
  $}

  ${
    $d A k n $.  $d B n $.  $d C k $.  $d X k n $.  $d k n ph $.
    vonicclem1.x $e |- ( ph -> X e. Fin ) $.
    vonicclem1.a $e |- ( ph -> A : X --> RR ) $.
    vonicclem1.b $e |- ( ph -> B : X --> RR ) $.
    vonicclem1.u $e |- ( ph -> X =/= (/) ) $.
    vonicclem1.t $e |- ( ( ph /\ k e. X ) -> ( A ` k ) <_ ( B ` k ) ) $.
    vonicclem1.c $e |- C = ( n e. NN |-> ( k e. X |-> ( ( B ` k ) + ( 1 / n ) )
       ) ) $.
    vonicclem1.d $e |- D = ( n e. NN |-> X_ k e. X ( ( A ` k ) [,) ( ( C ` n )
       ` k ) ) ) $.
    vonicclem1.s $e |- S = ( n e. NN |-> ( ( voln ` X ) ` ( D ` n ) ) ) $.
    $( The sequence of the measures of the half-open intervals converges to the
       measure of their intersection.  (Contributed by Glauco Siliprandi,
       8-Apr-2021.) $)
    vonicclem1 $p |- ( ph -> S ~~> prod_ k e. X ( ( B ` k ) - ( A ` k ) ) ) $=
      ( cfv wcel cr cn cv cmin co cdiv caddc cprod cmpt cli cvoln wceq a1i cico
      c1 wa cixp cvol simpr cvv cdm cfn adantr eqid wf adantlr nnrecre ad2antlr
      ffvelrnda readdcld fmpttd mptexd fvmpt2d feq1d mpbird hoimbl elexd syldan
      fveq2d wne vonn0hoi clt wbr cc0 cif syldanl syl2anc cle crp nnrp rpreccld
      c0 volico ltaddrpd breqtrrd lelttrd iftrued eqtrd prodeq2dv 3eqtrd oveq1d
      recnd addsubd mpteq2dva nfv resubcld fprodaddrecnncnv eqbrtrd ) AFHUAIGUB
      ZCRZXHBRZUCUDZUNHUBZUEUDZUFUDZGUGZUHZIXKGUGUIAFHUAXLERZIUJRZRZUHZXPFXTUKA
      QULAHUAXSXOAXLUASZUOZXSIXHXLDRZRZXJUCUDZGUGZXOYBXSGIXJYDUMUDZUPZXRRIYGUQR
      ZGUGYFYBXQYHXRAYAYAXQYHUKAYAURZAHUAYHEUSEHUAYHUHUKAPULYBYHXRUTZYBBYCYKGIA
      IVASYAJVBZYKVCAITBVDYAKVBZYBITYCVDZITGIXIXMUFUDZUHZVDYBGIYOTYBXHISZUOZXIX
      MAYQXITSZYAAITXHCLVHZVEZYAXMTSAYQXLVFVGZVIZVJYBITYCYPAHUAYPDUSDHUAYPUHUKA
      OULAYPUSSYAAGIYOVAJVKVBVLZVMVNZVOVPVLVQVRYBBYCGYHIYLAIWKVSYAMVBYMAYAYAYNY
      JUUEVQZYHVCVTYBIYIYEGYRYIXJYDWAWBZYEWCWDZYEYRXJTSZYDTSYIUUHUKAYAYAYQUUIYJ
      YBITXHBYMVHZWEZYBITXHYCUUFVHZXJYDWLWFYRUUGYEWCYRXJXIYDUUKAYAYAYQYSYJUUAWE
      ZUULAYQXJXIWGWBYANVEYRXIYOYDWAYRXIXMUUMYAXMWHSAYQYAXLXLWIWJVGWMAYAYAYQYDY
      OUKYJYBGIYOYCUSUUDYRYOTUUCVPVLZWEWNWOWPWQWRWSYBIYEXNGYRYEYOXJUCUDXNYRYDYO
      XJUCUUNWTYRXIXMXJYRXIUUAXAYRXMUUBXAYRXJUUJXAXBWQWRWQXCWQAXKXPGHIAGXDJAYQU
      OZXKUUOXIXJYTAITXHBKVHXEXAXPVCXFXG $.
  $}

  ${
    $d A k n $.  $d A k m n $.  $d B k n $.  $d B k m n $.  $d C k m n $.
    $d D m n $.  $d I n $.  $d X k n $.  $d X k m n $.  $d k m n ph $.
    vonicclem2.x $e |- ( ph -> X e. Fin ) $.
    vonicclem2.a $e |- ( ph -> A : X --> RR ) $.
    vonicclem2.b $e |- ( ph -> B : X --> RR ) $.
    vonicclem2.n $e |- ( ph -> X =/= (/) ) $.
    vonicclem2.t $e |- ( ( ph /\ k e. X ) -> ( A ` k ) <_ ( B ` k ) ) $.
    vonicclem2.i $e |- I = X_ k e. X ( ( A ` k ) [,] ( B ` k ) ) $.
    vonicclem2.c $e |- C = ( n e. NN |-> ( k e. X |-> ( ( B ` k ) + ( 1 / n ) )
       ) ) $.
    vonicclem2.d $e |- D = ( n e. NN |-> X_ k e. X ( ( A ` k ) [,) ( ( C ` n )
       ` k ) ) ) $.
    $( The n-dimensional Lebesgue measure of closed intervals.  This is the
       second statement in Proposition 115G (d) of [Fremlin1] p. 32.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    vonicclem2 $p |- ( ph -> ( ( voln ` X ) ` I ) = prod_ k e. X ( ( B ` k ) -
       ( A ` k ) ) ) $=
      ( cn cfv c1 vm cv cvoln cmpt cli wbr cmin cprod wceq ciin nfv vonmea 1zzd
      co nnuz cico cixp cdm wcel wa adantr eqid cr cdiv caddc ffvelrnda adantlr
      cfn nnrecre ad2antlr readdcld fmpttd cvv a1i mptexd fvmpt2d mpbird hoimbl
      feq1d fmptd wss cxr cle ressxr sselid ovexd eqeltrd rexrd leidd 1red nnre
      wf cc0 wne peano2nn nnne0 syl redivcld clt ltp1d nnrpd ltrecd mpbid ltled
      nnrp leadd2dd oveq2 oveq2d mpteq2dv cbvmptv eqtri simpr peano2nnd fvmptd3
      breq12d icossico syl22anc ixpssixp fveq2 fveq1d ixpeq2dv wral ovex ixpexg
      rgenw ax-mp elexd sseq12d cuz 1nn eleqtri fveq2d simpl elexi eleq1 anbi2d
      wi anbi1d eleq1d eqcomd vtocl syl21anc meaiininc cicc iinhoiicc ixpeq2dva
      imbi12d vonhoire eqtrd iineq2dv 3eqtr4d breqtrd 2fveq3 vonicclem1 eqbrtrd
      eqcomi climuni syl2anc ) AGRGUBZESZIUCSZSZUDZHUVASZUEUFUVCIFUBZCSZUVEBSZU
      GUNFUHZUEUFUVDUVHUIAUVCGRUUTUJZUVASZUVDUEAUVCGETUVATRAGUKAIJULAUMUOAGRFIU
      VGUVEUUSDSZSZUPUNZUQZUVAURZEAUUSRUSZUTZBUVKUVOFIAIVHUSUVPJVAZUVOVBAIVCBWL
      UVPKVAZUVQIVCUVKWLIVCFIUVFTUUSVDUNZVEUNZUDZWLUVQFIUWAVCUVQUVEIUSZUTZUVFUV
      TAUWCUVFVCUSUVPAIVCUVECLVFZVGZUVPUVTVCUSAUWCUUSVIZVJZVKZVLUVQIVCUVKUWBAGR
      UWBDVMDGRUWBUDZUIAPVNAUWBVMUSUVPAFIUWAVHJVOVAVPZVSVQVRZQVTUVQUUSTVEUNZESZ
      UUTWAFIUVGUVEUWMDSZSZUPUNZUQZUVNWAUVQFIUWQUVMUVQFUKUWDUVGWBUSZUVLWBUSUVGU
      VGWCUFUWPUVLWCUFZUWQUVMWAAUWCUWSUVPAUWCUTZVCWBUVGWDAIVCUVEBKVFZWEVGUWDUVL
      UWDUVLUWAVCUVQFIUWAUVKVMUWKUWDUVFUVTVEWFVPZUWIWGZWHUWDUVGUVQIVCUVEBUVSVFW
      IUWDUWTUVFTUWMVDUNZVEUNZUWAWCUFUWDUXEUVTUVFUVPUXEVCUSAUWCUVPTUWMUVPWJZUVP
      UUSTUUSWKZUXGVKUVPUWMRUSUWMWMWNUUSWOZUWMWPWQWRZVJUWHUWFUVPUXEUVTWCUFAUWCU
      VPUXEUVTUXJUWGUVPUUSUWMWSUFUXEUVTWSUFUVPUUSUXHWTUVPUUSUWMUUSXEUVPUWMUXIXA
      XBXCXDVJXFUWDUWPUXFUVLUWAWCUVQFIUXFUWOVMUVQUAUWMFIUVFTUAUBZVDUNZVEUNZUDZF
      IUXFUDRDVMDUWJUARUXNUDPGUARUWBUXNUUSUXKUIZFIUWAUXMUXOUVTUXLUVFVEUUSUXKTVD
      XGXHXIXJXKUXKUWMUIZFIUXMUXFUXPUXLUXEUVFVEUXKUWMTVDXGXHXIUVQUUSAUVPXLXMZUV
      QFIUXFVHUVRVOXNUWDUVFUXEVEWFVPUXCXOVQUVGUVLUVGUWPXPXQXRUVQUWNUWRUUTUVNUVQ
      UAUWMFIUVGUVEUXKDSZSZUPUNZUQZUWRREVMEGRUVNUDZUARUYAUDQGUARUVNUYAUXOFIUVMU
      XTUXOUVLUXSUVGUPUXOUVEUVKUXRUUSUXKDXSXTXHYAXJXKUXPFIUXTUWQUXPUXSUWPUVGUPU
      XPUVEUXRUWOUXKUWMDXSXTXHYAUXQUWRVMUSZUVQUWQVMUSZFIYBUYCUYDFIUVGUWPUPYCYEF
      IUWQVMYDYFVNXNAGRUVNEVMEUYBUIAQVNUVQUVNUVOUWLYGVPZYHVQTTYISZUSATRUYFYJUOY
      KVNATESZUVASFIUVGUVETDSZSZUPUNZUQZUVASVCAUYGUYKUVAAGTUVNUYKREVMQUUSTUIZFI
      UVMUYJUYLUVLUYIUVGUPUYLUVEUVKUYHUUSTDXSXTZXHYATRUSZAYJVNUYKVMUSZAUYJVMUSZ
      FIYBUYOUYPFIUVGUYIUPYCYEFIUYJVMYDYFVNXNYLAUVGUYIFIAFUKZJUXBUXAAUYNUWCUYIV
      CUSZAUWCYMUYNUXAYJVNAUWCXLUWDUVLVCUSZYQAUYNUTZUWCUTZUYRYQGTTRYJYNUYLUWDVU
      AUYSUYRUYLUVQUYTUWCUYLUVPUYNAUUSTRYOYPYRUYLUVLUYIVCUYMYSUUGUXDUUAUUBUUHWG
      UVCVBUUCAUVDUVJAHUVIUVAAUVIHAGRFIUVGUWAUPUNZUQZUJFIUVGUVFUUDUNUQZUVIHAUVG
      UVFFGIUYQUXBUWEUUEAGRUUTVUCUVQUUTUVNVUCUYEUVQFIUVMVUBUWDUVLUWAUVGUPUXCXHU
      UFUUIUUJHVUDUIAOVNUUKYTYLYTUULAUVCUARUXKESUVASZUDZUVHUEUVCVUFUIAGUARUVBVU
      EUUSUXKUVAEUUMXJZVNABCDEVUFFGIJKLMNPQUVCVUFVUGUUPUUNUUOUVDUVHUVCUUQUUR $.
  $}

  ${
    $d A a b k $.  $d A i j k n $.  $d B a b k $.  $d B i j k m n $.  $d I n $.
    $d X a b k x $.  $d X i j k m n $.  $d a b k ph x $.  $d j k n ph $.
    vonicc.x $e |- ( ph -> X e. Fin ) $.
    vonicc.a $e |- ( ph -> A : X --> RR ) $.
    vonicc.b $e |- ( ph -> B : X --> RR ) $.
    vonicc.i $e |- I = X_ k e. X ( ( A ` k ) [,] ( B ` k ) ) $.
    vonicc.l $e |- L = ( x e. Fin |-> ( a e. ( RR ^m x ) , b e. ( RR ^m x ) |->
       if ( x = (/) , 0 , prod_ k e. x ( vol ` ( ( a ` k ) [,) ( b ` k ) ) ) )
       ) ) $.
    $( The n-dimensional Lebesgue measure of a closed interval.  This is the
       second statement in Proposition 115G (d) of [Fremlin1] p. 32.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    vonicc $p |- ( ph -> ( ( voln ` X ) ` I ) = ( A ( L ` X ) B ) ) $=
      ( c0 wceq cfv cc0 cr vj vm vi vn cvoln co wa wf adantr wb feq2 hoidmv0val
      adantl mpbid eqcomd cicc cixp fveq2 a1i ixpeq1 eqtrd fveq12d cdm cfn wcel
      cv 0fin eqid iccvonmbl von0val oveqd 3eqtr4d wne neqne cle wbr wral cprod
      cmin cico cvol nfv nfra1 nfan cif ffvelrnda volico2 syl2anc ad4ant14 rspa
      wn iftrued adantll ex ralrimi prodeq2d breq12d cbvralvw biimpi cn c1 cdiv
      caddc cmpt simpr sylanbr oveq1d cbvmptv mpteq2i oveq2 oveq2d eqtri fveq1d
      mpteq2dv ixpeq2dv vonicclem2 syldan hoidmvn0val clt wrex rexnal bicomi wi
      ltnled mpbird reximdva mpd nfcv nfcxfr nffv w3a 3ad2ant1 simp2 cxr ressxr
      simp3 sselid 3adant3 fveq2d pm2.61dan adantlr nfixp1 cmap cmpo nfif nfmpo
      nfcprod1 nfmpt nfov nfeq vonmea mea0 icc0 rspe syl eleq1w 3anbi23d imbi1d
      ixp0 ne0i volicore recnd 3ad2antl1 oveq12d fprodeq0g chvarvv 3exp rexlimd
      cc iffalsed imp ) AHPQZFHUERZRZCDHGRZUFZQZAUVLUGZSCDPGRZUFZUVNUVPUVRUVTSU
      VRBCDEGIJOUVRHTCUHZPTCUHZAUWAUVLLUIUVLUWAUWBUJAHPTCUKUMUNZUVRHTDUHZPTDUHZ
      AUWDUVLMUIUVLUWDUWEUJAHPTDUKUMUNZULUOUVRUVNEPEVFZCRZUWGDRZUPUFZUQZPUERZRZ
      SUVLUVNUWMQAUVLFUWKUVMUWLHPUEURUVLFEHUWJUQZUWKFUWNQZUVLNUSEHPUWJUTVAVBUMU
      VRUWKUVRCDUWLVCZEPPVDVEUVRVGUSUWPVHUWCUWFVIVJVAUVLUVPUVTQAUVLUVOUVSCDHPGU
      RVKUMVLAUVLWKZHPVMZUVQUWQUWRAHPVNUMAUWRUGZUWHUWIVOVPZEHVQZUVQUWSUXAUGZHUW
      IUWHVSUFZEVRZHUWHUWIVTUFZWARZEVRZUVNUVPUXBUXGUXDUXBHUXFUXCEUXBUXFUXCQZEHU
      WSUXAEUWSEWBZUWTEHWCWDUXBUWGHVEZUXHUXBUXJUGUXFUWTUXCSWEZUXCAUXJUXFUXKQZUW
      RUXAAUXJUGZUWHTVEZUWITVEZUXLAHTUWGCLWFZAHTUWGDMWFZUWHUWIWGWHWIUXAUXJUXKUX
      CQUWSUXAUXJUGUWTUXCSUWTEHWJZWLWMVAWNWOWPUOUWSUXAUAVFZCRZUXSDRZVOVPZUAHVQZ
      UVNUXDQUXAUYCUWSUXAUYCUWTUYBEUAHUWGUXSQZUWHUXTUWIUYAVOUWGUXSCURZUWGUXSDUR
      ZWQWRZWSUMUWSUYCUGCDUBWTUAHUYAXAUBVFZXBUFZXCUFZXDZXDZUCWTEHUWHUWGUCVFZUYL
      RZRZVTUFZUQZXDEUDFHUWSHVDVEZUYCAUYRUWRKUIZUIUWSUWAUYCAUWAUWRLUIZUIUWSUWDU
      YCAUWDUWRMUIZUIUWSUWRUYCAUWRXEZUIUYCUXJUWTUWSUYCUXAUXJUWTUYGUXRXFWMNUYLUB
      WTEHUWIUYIXCUFZXDZXDUDWTEHUWIXAUDVFZXBUFZXCUFZXDZXDUBWTUYKVUDUAEHUYJVUCUX
      SUWGQZUYAUWIUYIXCUXSUWGDURZXGXHXIUBUDWTVUDVUHUYHVUEQZEHVUCVUGVUKUYIVUFUWI
      XCUYHVUEXAXBXJXKXNXHXLUCUDWTUYQEHUWHUWGVUEUYLRZRZVTUFZUQUYMVUEQZEHUYPVUNV
      UOUYOVUMUWHVTVUOUWGUYNVULUYMVUEUYLURXMXKXOXHXPXQUWSUVPUXGQZUXAUWSBCDEGHIJ
      OUYSVUBUYTVUAXRZUIVLUWSUXAWKZUWIUWHXSVPZEHXTZUVQAVURVUTUWRAVURUGUWTWKZEHX
      TZVUTVURVVBAVURVVBVVBVURUWTEHYAYBWSUMAVVBVUTYCVURAVVAVUSEHUXMVVAVUSUXMVVA
      UGZVUSVVAUXMVVAXEVVCUWIUWHUXMUXOVVAUXQUIUXMUXNVVAUXPUIYDYEWNYFUIYGUUAUWSV
      UTUVQUWSVUSUVQEHUXIEUVNUVPEFUVMEUVMYHEFUWNNEHUWJUUBYIYJECDUVOECYHEHGEGBVD
      IJTBVFZUUCUFZVVEVVDPQZSVVDUWGIVFRUWGJVFRVTUFWARZEVRZWEZUUDZXDOEBVDVVJEVDY
      HIJEVVEVVEVVIEVVEYHZVVKVVFESVVHVVFEWBESYHVVDVVGEEVVDYHUUGUUEUUFUUHYIEHYHY
      JEDYHUUIUUJAUXJVUSUVQYCYCUWRAUXJVUSUVQAUXJVUSYKZPUVMRZSUVNUVPAUXJVVMSQVUS
      AUVMAHKUUKUULYLVVLFPUVMVVLFUWNPUWOVVLNUSVVLUWJPQZEHXTZUWNPQVVLUXJVVNVVOAU
      XJVUSYMVVLVVNVUSAUXJVUSYPAUXJVVNVUSUJZVUSUXMUWHYNVEUWIYNVEVVPUXMTYNUWHYOU
      XPYQUXMTYNUWIYOUXQYQUWHUWIUUMWHYRYEVVNEHUUNWHEHUWJUUSUUOVAYSVVLUVPUXGSAUX
      JVUPVUSAUXJUWRVUPUXJUWRAHUWGUUTUMVUQXQYRAUXSHVEZUYAUXTXSVPZYKZUXGSQZYCVVL
      VVTYCUAEVUIVVSVVLVVTVUIVVQUXJVVRVUSAUAEHUUPVUIUYAUWIUXTUWHXSVUJUXSUWGCURW
      QUUQUURVVSHUXFUXSEVVSEWBAVVQUYRVVRKYLAVVQUXJUXFUVIVEVVRUXMUXFUXMUXNUXOUXF
      TVEUXPUXQUWHUWIUVAWHUVBUVCAVVQVVRYMVVSUYDUGUXFUXTUYAVTUFZWARZSUYDUXFVWBQV
      VSUYDUXEVWAWAUYDUWHUXTUWIUYAVTUYEUYFUVDYSUMVVSVWBSQUYDVVSVWBUYBUYAUXTVSUF
      ZSWEZSAVVQVWBVWDQZVVRAVVQUGZUXTTVEUYATVEVWEAHTUXSCLWFZAHTUXSDMWFZUXTUYAWG
      WHYRVVSUYBVWCSVVSVVRUYBWKZAVVQVVRYPAVVQVVRVWIUJVVRVWFUYAUXTVWHVWGYDYRUNUV
      JVAUIVAUVEUVFVAVLUVGUIUVHUVKXQYTXQYT $.
  $}

  ${
    $d A k $.  $d X k $.  $d k ph $.
    snvonmbl.1 $e |- ( ph -> X e. Fin ) $.
    snvonmbl.2 $e |- ( ph -> A e. ( RR ^m X ) ) $.
    $( A n-dimensional singleton is Lebesgue measurable.  This is the first
       statement in Proposition 115G (e) of [Fremlin1] p. 32.  (Contributed by
       Glauco Siliprandi, 8-Apr-2021.) $)
    snvonmbl $p |- ( ph -> { A } e. dom ( voln ` X ) ) $=
      ( vk csn cv cfv cicc co cixp cvoln cdm rrxsnicc eqcomd eqid cr cmap wcel
      wf elmapi syl iccvonmbl eqeltrd ) ABGZFCFHBIZUGJKLZCMINZAUHUFABFCEOPABBUI
      FCDUIQABRCSKTCRBUAEBRCUBUCZUJUDUE $.
  $}

  ${
    $d A a b k $.  $d B a b k $.  $d X a b k x $.  $d a b j k x $.
    $d a b k ph x $.
    vonn0ioo.x $e |- ( ph -> X e. Fin ) $.
    vonn0ioo.n $e |- ( ph -> X =/= (/) ) $.
    vonn0ioo.a $e |- ( ph -> A : X --> RR ) $.
    vonn0ioo.b $e |- ( ph -> B : X --> RR ) $.
    vonn0ioo.i $e |- I = X_ k e. X ( ( A ` k ) (,) ( B ` k ) ) $.
    $( The n-dimensional Lebesgue measure of an open interval when the
       dimension of the space is nonzero.  This is the first statement in
       Proposition 115G (d) of [Fremlin1] p. 32.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    vonn0ioo $p |- ( ph -> ( ( voln ` X ) ` I ) = prod_ k e. X ( vol ` ( ( A `
       k ) [,) ( B ` k ) ) ) ) $=
      ( vx va vb cfv cv co wceq cico cvol vj cvoln cfn cr cmap c0 cc0 cprod cif
      cmpo cmpt wcel fveq2 oveq12d fveq2d cbvprodv ifeq2 ax-mp mpoeq3ia mpteq2i
      wa a1i vonioo fveq1i oveqi eqtrd eqid hoidmvn0val ) AEFUBOOZBCFLUCMNUDLPZ
      UEQZVKVJUFRZUGVJDPZMPZOZVMNPZOZSQZTOZDUHZUIZUJZUKZOZQZFVMBOVMCOSQTODUHAVI
      BCFLUCMNVKVKVLUGVJUAPZVNOZWFVPOZSQZTOZUAUHZUIZUJZUKZOZQZWEALBCDEWNFMNGIJK
      LUCWMWBMNVKVKWLWAWLWARZVNVKULVPVKULVAWKVTRWQVJWJVSUADWFVMRZWIVRTWRWGVOWHV
      QSWFVMVNUMWFVMVPUMUNUOUPVLWKVTUGUQURVBUSUTZVCWPWERAWOWDBCFWNWCWSVDVEVBVFA
      LBCDWCFMNWCVGGHIJVHVF $.
  $}

  ${
    $d A a b k $.  $d B a b k $.  $d X a b k x $.  $d a b j k x $.
    $d a b k ph x $.
    vonn0icc.x $e |- ( ph -> X e. Fin ) $.
    vonn0icc.n $e |- ( ph -> X =/= (/) ) $.
    vonn0icc.a $e |- ( ph -> A : X --> RR ) $.
    vonn0icc.b $e |- ( ph -> B : X --> RR ) $.
    vonn0icc.i $e |- I = X_ k e. X ( ( A ` k ) [,] ( B ` k ) ) $.
    $( The n-dimensional Lebesgue measure of a closed interval, when the
       dimension of the space is nonzero.  This is the second statement in
       Proposition 115G (d) of [Fremlin1] p. 32.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    vonn0icc $p |- ( ph -> ( ( voln ` X ) ` I ) = prod_ k e. X ( vol ` ( ( A `
       k ) [,] ( B ` k ) ) ) ) $=
      ( vx va vb cfv cv co wceq cico cvol vj cvoln cfn cr cmap c0 cc0 cprod cif
      cmpo cmpt cicc wcel wa fveq2 oveq12d fveq2d cbvprodv ifeq2 ax-mp mpoeq3ia
      a1i vonicc fveq1i oveqi eqtrd eqid hoidmvn0val ffvelrnda voliccico eqcomd
      mpteq2i prodeq2dv 3eqtrd ) AEFUBOOZBCFLUCMNUDLPZUEQZVQVPUFRZUGVPDPZMPZOZV
      SNPZOZSQZTOZDUHZUIZUJZUKZOZQZFVSBOZVSCOZSQTOZDUHFWLWMULQTOZDUHAVOBCFLUCMN
      VQVQVRUGVPUAPZVTOZWPWBOZSQZTOZUAUHZUIZUJZUKZOZQZWKALBCDEXDFMNGIJKLUCXCWHM
      NVQVQXBWGXBWGRZVTVQUMWBVQUMUNXAWFRXGVPWTWEUADWPVSRZWSWDTXHWQWAWRWCSWPVSVT
      UOWPVSWBUOUPUQURVRXAWFUGUSUTVBVAVLZVCXFWKRAXEWJBCFXDWIXIVDVEVBVFALBCDWIFM
      NWIVGGHIJVHAFWNWODAVSFUMUNZWOWNXJWLWMAFUDVSBIVIAFUDVSCJVIVJVKVMVN $.
  $}

  ${
    $d A x $.  $d X x $.  $d ph x $.
    ctvonmbl.1 $e |- ( ph -> X e. Fin ) $.
    ctvonmbl.2 $e |- ( ph -> A C_ ( RR ^m X ) ) $.
    ctvonmbl.3 $e |- ( ph -> A ~<_ _om ) $.
    $( Any n-dimensional countable set is Lebesgue measurable.  This is the
       second statement in Proposition 115G (e) of [Fremlin1] p. 32.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    ctvonmbl $p |- ( ph -> A e. dom ( voln ` X ) ) $=
      ( vx cv csn ciun cvoln cfv cdm iunid vonmea eqid dmmeasal wcel wa cfn cr
      adantr cmap co sselda snvonmbl saliuncl eqeltrrid ) ABGBGHZIZJCKLZMZGBNAU
      LGUJBAULUKACDOULPQFAUIBRZSUICACTRUMDUBABUACUCUDUIEUEUFUGUH $.
  $}

  ${
    $d A j $.  $d B j $.  $d X j k $.  $d j ph $.
    vonn0ioo2.k $e |- F/ k ph $.
    vonn0ioo2.x $e |- ( ph -> X e. Fin ) $.
    vonn0ioo2.n $e |- ( ph -> X =/= (/) ) $.
    vonn0ioo2.a $e |- ( ( ph /\ k e. X ) -> A e. RR ) $.
    vonn0ioo2.b $e |- ( ( ph /\ k e. X ) -> B e. RR ) $.
    vonn0ioo2.i $e |- I = X_ k e. X ( A (,) B ) $.
    $( The n-dimensional Lebesgue measure of an open interval when the
       dimension of the space is nonzero.  This is the first statement in
       Proposition 115G (d) of [Fremlin1] p. 32.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    vonn0ioo2 $p |- ( ph -> ( ( voln ` X ) ` I ) = prod_ k e. X ( vol ` ( A (,)
       B ) ) ) $=
      ( vj cfv cioo cvol wceq wcel cr nfcv cvoln cv cmpt co cixp cico cprod a1i
      csb simpr nfv nfan nfcsb1v nfel nfim eleq1w anbi2d csbeq1a eleq1d imbi12d
      wa chvarfv eqid fvmpts syl2anc oveq12d ixpeq2dva nfov equcoms eqidd eqtrd
      wi eqcomd cbvixp eqtr4d fveq2d fmptdf vonn0ioo voliooico prodeq2dv 3eqtrd
      nffv cbvprod ) AEFUANZNMFMUBZDFBUCZNZWEDFCUCZNZOUDZUEZWDNFWGWIUFUDZPNZMUG
      ZFBCOUDZPNZDUGZAEWKWDAEDFWOUEZWKEWRQALUHAWKMFDWEBUIZDWECUIZOUDZUEZWRAMFWJ
      XAAWEFRZVAZWGWSWIWTOXDXCWSSRZWGWSQAXCUJZADUBZFRZVAZBSRZVLXDXEVLDMXDXEDAXC
      DGXCDUKULZDWSSDWEBUMZDSTZUNUOXGWEQZXIXDXJXEXNXHXCADMFUPUQZXNBWSSDWEBURZUS
      UTJVBZDWEBFWFSWFVCZVDVEZXDXCWTSRZWIWTQXFXICSRZVLXDXTVLDMXDXTDXKDWTSDWECUM
      ZXMUNUOXNXIXDYAXTXOXNCWTSDWECURZUSUTKVBZDWECFWHSWHVCZVDVEZVFVGXBWRQAMDFXA
      WODWSWTOXLDOTYBVHZMWOTWEXGQZWSBWTCOYHWSBBYHBWSBWSQDMXPVIVMYHBVJVKYHCWTCWT
      QDMYCVIVMVFZVNUHVKVOVPAWFWHMWKFHIADFBSWFGJXRVQADFCSWHGKYEVQWKVCVRAWNFXAPN
      ZMUGZWQAFWMYJMXDWMWSWTUFUDZPNZYJXDWLYLPXDWGWSWIWTUFXSYFVFVPXDYJYMXDWSWTXQ
      YDVSVMVKVTYKWQQAFYJWPMDYHXAWOPYIVPDFTMFTDXAPDPTYGWBMWPTWCUHVKWA $.
  $}

  ${
    $d A k $.  $d X k $.  $d k ph $.
    vonsn.1 $e |- ( ph -> X e. Fin ) $.
    vonsn.2 $e |- ( ph -> A e. ( RR ^m X ) ) $.
    $( The n-dimensional Lebesgue measure of a singleton is zero.  This is the
       first statement in Proposition 115G (e) of [Fremlin1] p. 32.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    vonsn $p |- ( ph -> ( ( voln ` X ) ` { A } ) = 0 ) $=
      ( vk c0 wceq cvoln cfv cc0 wa adantl wcel cr cmap co adantr cvol syl 0fin
      csn fveq2 fveq1d cfn a1i oveq2 eleqtrd snvonmbl von0val eqtrd wn neqne cv
      wne cicc cixp cprod rrxsnicc eqcomd fveq2d simpr wf elmapi vonn0icc chash
      eqid cexp cxr ffvelrnda rexrd iccid volsn prodeq2dv cc fprodconst syl2anc
      0cnd cn wb hashnncl mpbird 0exp 3eqtrd syldan pm2.61dan ) ACGHZBUBZCIJZJZ
      KHZAWGLZWJWHGIJZJZKWGWJWNHAWGWHWIWMCGIUCUDMWLWHWLBGGUENWLUAUFWLBOCPQZOGPQ
      ZABWONZWGERWGWOWPHACGOPUGMUHUIUJUKAWGULZCGUOZWKWRWSACGUMMAWSLZWJFCFUNZBJZ
      XBUPQZUQZWIJZCXCSJZFURZKAWJXEHWSAWHXDWIAXDWHABFCEUSUTVARWTBBFXDCACUENZWSD
      RAWSVBZACOBVCZWSAWQXJEBOCVDTZRZXLXDVGVEWTXGCKFURZKCVFJZVHQZKAXGXMHWSACXFK
      FAXACNLZXFXBUBZSJZKXPXCXQSXPXBVINXCXQHXPXBACOXABXKVJZVKXBVLTVAXPXBONXRKHX
      SXBVMTUKVNRAXMXOHZWSAXHKVONXTDAVRCKFVPVQRWTXNVSNZXOKHWTYAWSXIAYAWSVTZWSAX
      HYBDCWATRWBXNWCTWDWDWEWF $.
  $}

  ${
    $d A j $.  $d B j $.  $d X j k $.  $d j ph $.
    vonn0icc2.k $e |- F/ k ph $.
    vonn0icc2.x $e |- ( ph -> X e. Fin ) $.
    vonn0icc2.n $e |- ( ph -> X =/= (/) ) $.
    vonn0icc2.a $e |- ( ( ph /\ k e. X ) -> A e. RR ) $.
    vonn0icc2.b $e |- ( ( ph /\ k e. X ) -> B e. RR ) $.
    vonn0icc2.i $e |- I = X_ k e. X ( A [,] B ) $.
    $( The n-dimensional Lebesgue measure of a closed interval, when the
       dimension of the space is nonzero.  This is the second statement in
       Proposition 115G (d) of [Fremlin1] p. 32.  (Contributed by Glauco
       Siliprandi, 8-Apr-2021.) $)
    vonn0icc2 $p |- ( ph -> ( ( voln ` X ) ` I ) = prod_ k e. X ( vol ` ( A [,]
       B ) ) ) $=
      ( vj cfv cicc cvol wceq wcel cr nfcv cvoln cv cmpt co cprod a1i csb simpr
      cixp wa wi nfan nfcsb1v nfel eleq1w anbi2d csbeq1a eleq1d imbi12d chvarfv
      nfv nfim eqid fvmpts syl2anc oveq12d ixpeq2dva equcoms eqcomd eqidd eqtrd
      nfov cbvixp eqtr4d fveq2d fmptdf vonn0icc prodeq2dv nffv cbvprod 3eqtrd )
      AEFUANZNMFMUBZDFBUCZNZWCDFCUCZNZOUDZUIZWBNFWHPNZMUEZFBCOUDZPNZDUEZAEWIWBA
      EDFWLUIZWIEWOQALUFAWIMFDWCBUGZDWCCUGZOUDZUIZWOAMFWHWRAWCFRZUJZWEWPWGWQOXA
      WTWPSRZWEWPQAWTUHZADUBZFRZUJZBSRZUKXAXBUKDMXAXBDAWTDGWTDVAULZDWPSDWCBUMZD
      STZUNVBXDWCQZXFXAXGXBXKXEWTADMFUOUPZXKBWPSDWCBUQZURUSJUTDWCBFWDSWDVCZVDVE
      XAWTWQSRZWGWQQXCXFCSRZUKXAXOUKDMXAXODXHDWQSDWCCUMZXJUNVBXKXFXAXPXOXLXKCWQ
      SDWCCUQZURUSKUTDWCCFWFSWFVCZVDVEVFZVGWSWOQAMDFWRWLDWPWQOXIDOTXQVLZMWLTWCX
      DQZWPBWQCOYBWPBBYBBWPBWPQDMXMVHVIYBBVJVKYBCWQCWQQDMXRVHVIVFZVMUFVKVNVOAWD
      WFMWIFHIADFBSWDGJXNVPADFCSWFGKXSVPWIVCVQAWKFWRPNZMUEZWNAFWJYDMXAWHWRPXTVO
      VRYEWNQAFYDWMMDYBWRWLPYCVODFTMFTDWRPDPTYAVSMWMTVTUFVKWA $.
  $}

  ${
    $d A x $.  $d X x $.  $d ph x $.
    vonct.1 $e |- ( ph -> X e. Fin ) $.
    vonct.2 $e |- ( ph -> A C_ ( RR ^m X ) ) $.
    vonct.3 $e |- ( ph -> A ~<_ _om ) $.
    $( The n-dimensional Lebesgue measure of any countable set is zero.  This
       is the second statement in Proposition 115G (e) of [Fremlin1] p. 32.
       (Contributed by Glauco Siliprandi, 8-Apr-2021.) $)
    vonct $p |- ( ph -> ( ( voln ` X ) ` A ) = 0 ) $=
      ( vx cvoln cfv cv csn ciun cmpt csumge0 cc0 wceq iunid eqcomi a1i wcel wa
      fveq2i cdm nfv vonmea eqid adantr cr cmap co sselda snvonmbl wdisj sndisj
      cfn meadjiun vonsn mpteq2dva fveq2d dmmeasal eqeltrrid sge0z eqtrd 3eqtrd
      saliuncl ) ABCHIZIZGBGJZKZLZVFIZGBVIVFIZMZNIZOVGVKPABVJVFVJBGBQZRUBSABVIV
      FUCZGVFAGUDZACDUEZVPUFZAVHBTZUAZVHCACUOTVTDUGZABUHCUIUJVHEUKZULZFGBVIUMAG
      BUNSUPAVNGBOMZNIOAVMWENAGBVLOWAVHCWBWCUQURUSABGVPVQABVJVPVOAVPGVIBAVPVFVR
      VSUTFWDVEVAVBVCVD $.
  $}

  $( There are non-measurable sets (the Axiom of Choice is used, in the invoked
     ~ weth ).  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
  vitali2 $p |- dom vol C. ~P RR $=
    ( vo cr wwe wex cvol cdm cpw wpss cvv wcel reex weth ax-mp vitali exlimiv
    cv ) BAPZCZADZEFBGHZBIJSKABILMRTAQNOM $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Measurable functions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Proofs for most of the theorems in section 121 of [Fremlin1].  Real-valued
  functions are considered, and measurability is defined with respect to an
  arbitrary sigma-algebra.  When the sigma-algebra on the domain is the
  Lebesgue measure on the reals, then all real-valued measurable functions
  in the sense of ~ df-mbf are also sigma-measurable, but the definition in
  this section considers as measurable functions, some that are not measurable
  in the sense of ~ df-mbf (see ~ mbfpsssmf and ~ smfmbfcex ).

$)

  $c SMblFn $.

  $( Extend class notation with the class of real-valued measurable functions
     w.r.t. sigma-algebras. $)
  csmblfn $a class SMblFn $.

  ${
    $d s f a $.
    $( Define a real-valued measurable function w.r.t. a given sigma-algebra.
       See Definition 121C of [Fremlin1] p. 36 and Definition 135E (b) of
       [Fremlin1] p. 80 .  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    df-smblfn $a |- SMblFn = ( s e. SAlg |-> { f e. ( RR ^pm U. s ) | A. a e.
      RR ( `' f " ( -oo (,) a ) ) e. ( s |`t dom f ) } ) $.
  $}

  ${
    $d A x y $.  $d F y $.  $d ph y $.
    pimltmnf2.1 $e |- F/_ x F $.
    pimltmnf2.2 $e |- ( ph -> F : A --> RR ) $.
    $( Given a real-valued function, the preimage of an open interval,
       unbounded below, with upper bound ` -oo ` , is the empty set.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    pimltmnf2 $p |- ( ph -> { x e. A | ( F ` x ) < -oo } = (/) ) $=
      ( vy cv cfv cmnf clt wbr crab c0 wceq nfcv nfv nffv a1i wcel fveq2 breq1d
      nfbr cbvrabw wn wral wa cle cxr mnfxr cr ffvelrnda rexrd xrltled xrlenltd
      mnfltd mpbid ralrimiva rabeq0 sylibr eqtrd ) ABHZDIZJKLZBCMZGHZDIZJKLZGCM
      ZNVEVIOAVDVHBGCBCPGCPVDGQBVGJKBVFDEBVFPRBKPBJPUCVBVFOVCVGJKVBVFDUAUBUDSAV
      HUEZGCUFVINOAVJGCAVFCTUGZJVGUHLVJVKJVGJUITVKUJSZVKVGACUKVFDFULZUMZVKVGVMU
      PUNVKJVGVLVNUOUQURVHGCUSUTVA $.
  $}

  ${
    $d A x $.
    preimagelt.x $e |- F/ x ph $.
    preimagelt.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    preimagelt.c $e |- ( ph -> C e. RR* ) $.
    $( The preimage of a right-open, unbounded below interval, is the
       complement of a left-closed unbounded above interval.  (Contributed by
       Glauco Siliprandi, 26-Jun-2021.) $)
    preimagelt $p |- ( ph -> ( A \ { x e. A | C <_ B } ) = { x e. A | B < C } )
                   $=
      ( cle wbr crab nfrab1 wcel wa adantl rabid cxr sylan2 adantr xrltnled clt
      cdif nfcv nfdif cv eldifi wn eldifn anim1i sylibr mtand sylanbrc rabidim1
      mpbird rabidim2 mpbid intnand sylnibr eldifd impbida eqrd ) ABCEDIJZBCKZU
      BZDEUAJZBCKZFBCVCBCUCVBBCLUDVEBCLABUEZVDMZVGVFMZAVHNZVGCMZVEVIVHVKAVGCVCU
      FZOVJVEVBUGZVHVMAVHVBVGVCMZVGCVCUHVHVBNVKVBNZVNVHVKVBVLUIVBBCPZUJUKOVJDEV
      HAVKDQMZVLGRAEQMZVHHSTUNVEBCPULAVINZVGCVCVIVKAVEBCUMZOVSVOVNVSVBVKVSVEVMV
      IVEAVEBCUOOVSDEVIAVKVQVTGRAVRVIHSTUPUQVPURUSUTVA $.
  $}

  ${
    $d A x $.
    preimalegt.x $e |- F/ x ph $.
    preimalegt.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    preimalegt.c $e |- ( ph -> C e. RR* ) $.
    $( The preimage of a left-open, unbounded above interval, is the complement
       of a right-closed unbounded below interval.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    preimalegt $p |- ( ph -> ( A \ { x e. A | B <_ C } ) = { x e. A | C < B } )
                   $=
      ( cle wbr crab nfrab1 wcel wa adantl rabid cxr adantr sylan2 xrltnled clt
      cdif nfcv nfdif cv eldifi wn eldifn anim1i sylibr mtand sylanbrc rabidim1
      mpbird rabidim2 mpbid intnand sylnibr eldifd impbida eqrd ) ABCDEIJZBCKZU
      BZEDUAJZBCKZFBCVCBCUCVBBCLUDVEBCLABUEZVDMZVGVFMZAVHNZVGCMZVEVIVHVKAVGCVCU
      FZOVJVEVBUGZVHVMAVHVBVGVCMZVGCVCUHVHVBNVKVBNZVNVHVKVBVLUIVBBCPZUJUKOVJEDA
      EQMZVHHRVHAVKDQMZVLGSTUNVEBCPULAVINZVGCVCVIVKAVEBCUMZOVSVOVNVSVBVKVSVEVMV
      IVEAVEBCUOOVSEDAVQVIHRVIAVKVRVTGSTUPUQVPURUSUTVA $.
  $}

  ${
    $d A x $.
    pimconstlt0.x $e |- F/ x ph $.
    pimconstlt0.b $e |- ( ph -> B e. RR ) $.
    pimconstlt0.f $e |- F = ( x e. A |-> B ) $.
    pimconstlt0.c $e |- ( ph -> C e. RR* ) $.
    pimconstlt0.l $e |- ( ph -> C <_ B ) $.
    $( Given a constant function, its preimage with respect to an unbounded
       below, open interval, with upper bound less than or equal to the
       constant, is the empty set.  Second part of Proposition 121E (a) of
       [Fremlin1] p. 37 .  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    pimconstlt0 $p |- ( ph -> { x e. A | ( F ` x ) < C } = (/) ) $=
      ( cv cfv clt wbr wceq wcel cle adantr cr wn wral crab c0 cmpt a1i fvmpt2d
      wa breqtrrd cxr eqeltrd rexrd xrlenltd mpbid ex ralrimi rabeq0 sylibr ) A
      BLZFMZENOZUAZBCUBVABCUCUDPAVBBCGAUSCQZVBAVCUHZEUTROVBVDEDUTRAEDROVCKSABCD
      FTFBCDUEPAIUFADTQVCHSZUGZUIVDEUTAEUJQVCJSVDUTVDUTDTVFVEUKULUMUNUOUPVABCUQ
      UR $.
  $}

  ${
    $d A x $.
    pimconstlt1.1 $e |- F/ x ph $.
    pimconstlt1.2 $e |- ( ph -> B e. RR ) $.
    pimconstlt1.3 $e |- F = ( x e. A |-> B ) $.
    pimconstlt1.4 $e |- ( ph -> B < C ) $.
    $( Given a constant function, its preimage with respect to an unbounded
       below, open interval, with upper bound larger than the constant, is the
       whole domain.  First part of Proposition 121E (a) of [Fremlin1] p. 37 .
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    pimconstlt1 $p |- ( ph -> { x e. A | ( F ` x ) < C } = A ) $=
      ( cv clt wbr wss a1i wcel wa cr adantr sylibr crab ssrab2 wral simpr cmpt
      cfv wceq fvmpt2d eqbrtrd jca rabid ex ralrimi nfcv nfrab1 dfss3f eqssd )
      ABKZFUFZELMZBCUAZCVACNAUTBCUBOAURVAPZBCUCCVANAVBBCGAURCPZVBAVCQZVCUTQVBVD
      VCUTAVCUDVDUSDELABCDFRFBCDUEUGAIOADRPVCHSUHADELMVCJSUIUJUTBCUKTULUMBCVABC
      UNUTBCUOUPTUQ $.
  $}

  ${
    $d A x $.
    pimltpnf.1 $e |- F/ x ph $.
    pimltpnf.2 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    $( Given a real-valued function, the preimage of an open interval,
       unbounded below, with upper bound ` +oo ` , is the whole domain.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    pimltpnf $p |- ( ph -> { x e. A | B < +oo } = A ) $=
      ( cpnf clt wbr crab wss ssrab2 a1i cv wcel wral wa simpr cr sylibr syl ex
      ltpnf jca rabid ralrimi nfcv nfrab1 dfss3f eqssd ) ADGHIZBCJZCULCKAUKBCLM
      ABNZULOZBCPCULKAUNBCEAUMCOZUNAUOQZUOUKQUNUPUOUKAUORUPDSOUKFDUCUAUDUKBCUET
      UBUFBCULBCUGUKBCUHUITUJ $.
  $}

  ${
    $d A x y $.  $d F y $.  $d ph y $.
    pimgtpnf2.1 $e |- F/_ x F $.
    pimgtpnf2.2 $e |- ( ph -> F : A --> RR ) $.
    $( Given a real-valued function, the preimage of an open interval,
       unbounded above, with lower bound ` +oo ` , is the empty set.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    pimgtpnf2 $p |- ( ph -> { x e. A | +oo < ( F ` x ) } = (/) ) $=
      ( vy cpnf cv cfv clt wbr crab c0 wceq nfcv nfv nffv a1i wcel fveq2 breq2d
      nfbr cbvrabw wn wral wa cle cr ffvelrnda rexrd cxr pnfxr xrltled xrlenltd
      ltpnfd mpbid ralrimiva rabeq0 sylibr eqtrd ) AHBIZDJZKLZBCMZHGIZDJZKLZGCM
      ZNVEVIOAVDVHBGCBCPGCPVDGQBHVGKBHPBKPBVFDEBVFPRUCVBVFOVCVGHKVBVFDUAUBUDSAV
      HUEZGCUFVINOAVJGCAVFCTUGZVGHUHLVJVKVGHVKVGACUIVFDFUJZUKZHULTVKUMSZVKVGVLU
      PUNVKVGHVMVNUOUQURVHGCUSUTVA $.
  $}

  ${
    $d A a x $.  $d B a $.  $d C a x $.  $d S a $.
    salpreimagelt.x $e |- F/ x ph $.
    salpreimagelt.a $e |- F/ a ph $.
    salpreimagelt.s $e |- ( ph -> S e. SAlg ) $.
    salpreimagelt.u $e |- A = U. S $.
    salpreimagelt.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    salpreimagelt.p $e |- ( ( ph /\ a e. RR ) -> { x e. A | a <_ B } e. S ) $.
    salpreimagelt.c $e |- ( ph -> C e. RR ) $.
    $( If all the preimages of left-closed, unbounded below intervals, belong
       to a sigma-algebra, then all the preimages of right-open, unbounded
       below intervals, belong to the sigma-algebra.  (iv) implies (i) in
       Proposition 121B of [Fremlin1] p. 36.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    salpreimagelt $p |- ( ph -> { x e. A | B < C } e. S ) $=
      ( wbr crab cle cdif cr wcel clt cuni wceq eqcomi difeq1d rexrd preimagelt
      a1i eqtr2d wa ancli cv wi nfcv nfel1 nfan nfim eleq1 anbi2d breq1 rabbidv
      nfv eleq1d imbi12d vtoclg1f sylc saldifcld eqeltrd ) ADEUAOBCPZFUBZEDQOZB
      CPZRZFAVMCVLRVIAVJCVLVJCUCACVJKUDUHUEABCDEHLAENUFUGUIAFVLJAESTZAVNUJZVLFT
      ZNAVNNUKAGULZSTZUJZVQDQOZBCPZFTZUMVOVPUMGESVOVPGAVNGIGESGEUNUOUPVPGVBUQVQ
      EUCZVSVOWBVPWCVRVNAVQESURUSWCWAVLFWCVTVKBCVQEDQUTVAVCVDMVEVFVGVH $.
  $}

  ${
    pimrecltpos.x $e |- F/ x ph $.
    pimrecltpos.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    pimrecltpos.n $e |- ( ( ph /\ x e. A ) -> B =/= 0 ) $.
    pimrecltpos.c $e |- ( ph -> C e. RR+ ) $.
    $( The preimage of an unbounded below, open interval, with positive upper
       bound, for the reciprocal function.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    pimrecltpos $p |- ( ph -> { x e. A | ( 1 / B ) < C } = ( { x e. A | ( 1 / C
       ) < B } u. { x e. A | B < 0 } ) ) $=
      ( clt wbr crab wcel cc0 wa adantr jca sylibr adantl syldan cv c1 cdiv cun
      co wb wal wceq rabidim1 simpr rabid elun2 syl adantll wn cr sylan2 necomd
      0red wne lttri5d elrpd ad2antrr rabidim2 ad2antlr ltrec1d elun1 pm2.61dan
      crp ex simplbi rprecred rpred rpgt0d recgt0d simprbi lttrd adantlr simpll
      elunnel1 rereccld reclt0d syl2anc impbid alrimi nfrab1 nfun cleqf ) ABUAZ
      UBDUCUEZEJKZBCLZMZWIUBEUCUEZDJKZBCLZDNJKZBCLZUDZMZUFZBUGWLWSUHAXABFAWMWTA
      WMWTAWMOZWQWTWMWQWTAWMWQOZWIWRMZWTXCWICMZWQOXDXCXEWQWMXEWQWKBCUIZPWMWQUJQ
      WQBCUKZRWIWRWPULUMUNXBWQUOZNDJKZWTXBXHOZNDXJUSXBDUPMZXHWMAXEXKXFGUQZPXBND
      UTZXHAWMXEXMWMXEAXFSZAXEOZDNHURTPXBXHUJVAXBXIOZWIWPMZWTXPXEWOOXQXPXEWOXBX
      EXIXNPXPDEXPDXBXKXIXLPXBXIUJVBAEVIMZWMXIIVCWMWKAXIWKBCVDVEVFQWOBCUKZRWIWP
      WRVGUMTVHVJAWTWMAWTOZXQWMAXQWMWTAXQOZXEWKOZWMYAXEWKXQXEAXQXEWOXSVKSZYAEDA
      XRXQIPZYADAXQXEXKYCGTZYANWNDYAUSYAEYDVLYEANWNJKXQAEAEIVMZAEIVNZVOPXQWOAXQ
      XEWOXSVPSZVQVBYHVFQWKBCUKZRVRXTXQUOZOAXDWMAWTYJVSWTYJXDAWIWPWRVTUNAXDOZYB
      WMYKXEWKXDXEAXDXEWQXGVKSZYKWJNEAXDXEWJUPMYLXODGHWATYKUSAEUPMXDYFPYKDAXDXE
      XKYLGTXDWQAXDXEWQXGVPSWBANEJKXDYGPVQQYIRWCVHVJWDWEBWLWSWKBCWFBWPWRWOBCWFW
      QBCWFWGWHR $.
  $}

  ${
    $d A a x $.  $d B a $.  $d C a x $.  $d S a $.
    salpreimalegt.x $e |- F/ x ph $.
    salpreimalegt.a $e |- F/ a ph $.
    salpreimalegt.s $e |- ( ph -> S e. SAlg ) $.
    salpreimalegt.u $e |- A = U. S $.
    salpreimalegt.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    salpreimalegt.p $e |- ( ( ph /\ a e. RR ) -> { x e. A | B <_ a } e. S ) $.
    salpreimalegt.c $e |- ( ph -> C e. RR ) $.
    $( If all the preimages of right-closed, unbounded below intervals, belong
       to a sigma-algebra, then all the preimages of left-open, unbounded above
       intervals, belong to the sigma-algebra.  (ii) implies (iii) in
       Proposition 121B of [Fremlin1] p. 35.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    salpreimalegt $p |- ( ph -> { x e. A | C < B } e. S ) $=
      ( wbr crab cle cdif cr wcel clt cuni wceq eqcomi difeq1d rexrd preimalegt
      a1i eqtr2d wa ancli cv wi nfv nfan nfim eleq1 anbi2d breq2 rabbidv eleq1d
      imbi12d vtoclg1f sylc saldifcld eqeltrd ) AEDUAOBCPZFUBZDEQOZBCPZRZFAVKCV
      JRVGAVHCVJVHCUCACVHKUDUHUEABCDEHLAENUFUGUIAFVJJAESTZAVLUJZVJFTZNAVLNUKAGU
      LZSTZUJZDVOQOZBCPZFTZUMVMVNUMGESVMVNGAVLGIVLGUNUOVNGUNUPVOEUCZVQVMVTVNWAV
      PVLAVOESUQURWAVSVJFWAVRVIBCVOEDQUSUTVAVBMVCVDVEVF $.
  $}

  ${
    $d A x $.
    pimiooltgt.1 $e |- F/ x ph $.
    pimiooltgt.2 $e |- ( ph -> L e. RR* ) $.
    pimiooltgt.3 $e |- ( ph -> R e. RR* ) $.
    pimiooltgt.4 $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    $( The preimage of an open interval is the intersection of the preimage of
       an unbounded below open interval and an unbounded above open interval.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    pimiooltgt $p |- ( ph -> { x e. A | B e. ( L (,) R ) } = ( { x e. A | B < R
       } i^i { x e. A | L < B } ) ) $=
      ( wcel crab wbr wral wss cxr sylibr syl cmnf cpnf co clt cin wi cv adantr
      cioo w3a 3adant3 simp3 iooltub syl3anc 3exp ralrimi ioogtlb ssind elinel1
      ss2rab wa ssrab2 sseli adantl syldan mnfxr a1i elinel2 rabidim2 xrlelttrd
      mnfled xrltned necomd pnfxr cle pnfge xrltletrd xrred eliood jca rabid ex
      nfrab1 nfin dfss3f eqssd ) ADFEUGUAKZBCLZDEUBMZBCLZFDUBMZBCLZUCZAWFWHWJAW
      EWGUDZBCNWFWHOAWLBCGABUEZCKZWEWGAWNWEUHZFPKZEPKZWEWGAWNWPWEAWPWNHUFZUIZAW
      NWQWEAWQWNIUFZUIZAWNWEUJZFEDUKULUMUNWEWGBCURQAWEWIUDZBCNWFWJOAXCBCGAWNWEW
      IWOWPWQWEWIWSXAXBFEDUOULUMUNWEWIBCURQUPAWMWFKZBWKNWKWFOAXDBWKGAWMWKKZXDAX
      EUSZWNWEUSXDXFWNWEXEWNAXEWMWHKZWNWMWHWJUQZWHCWMWGBCUTVARVBZXFFEDAXEWNWPXI
      WRVCZAXEWNWQXIWTVCZXFDAXEWNDPKXIJVCZXFSDXFSDSPKXFVDVEZXLXFSFDXMXJXLXFFXJV
      IXEWIAXEWMWJKWIWMWHWJVFWIBCVGRVBZVHVJVKXFDTXLTPKXFVLVEZXFDETXLXKXOXEWGAXE
      XGWGXHWGBCVGRVBZXFWQETVMMXKEVNRVOVJVPXNXPVQVRWEBCVSQVTUNBWKWFBWHWJWGBCWAW
      IBCWAWBWEBCWAWCQWD $.
  $}

  ${
    $d A x $.  $d B x $.  $d F x $.  $d ph x $.
    preimaicomnf.1 $e |- ( ph -> F : A --> RR* ) $.
    preimaicomnf.2 $e |- ( ph -> B e. RR* ) $.
    $( Preimage of an open interval, unbounded below.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    preimaicomnf $p |- ( ph -> ( `' F " ( -oo [,) B ) ) = { x e. A | ( F ` x )
       < B } ) $=
      ( ccnv cmnf wcel crab wbr cxr wa mnfxr a1i ad2antrr simpr ex adantr co cv
      cico cima cfv clt wfn wceq fncnvima2 syl icoltub syl3anc ffvelrnda mnfled
      ffnd cle elicod impbid rabbidva eqtrd ) AEHIDUCUAZUDZBUBZEUEZVAJZBCKZVDDU
      FLZBCKAECUGVBVFUHACMEFUOBCVAEUIUJAVEVGBCAVCCJZNZVEVGVIVEVGVIVENZIMJZDMJZV
      EVGVKVJOPAVLVHVEGQVIVERIDVDUKULSVIVGVEVIVGNZIDVDVKVMOPAVLVHVGGQVIVDMJVGAC
      MVCEFUMZTVIIVDUPLVGVIVDVNUNTVIVGRUQSURUSUT $.
  $}

  ${
    $d A x y $.  $d F y $.  $d ph y $.
    pimltpnf2.1 $e |- F/_ x F $.
    pimltpnf2.2 $e |- ( ph -> F : A --> RR ) $.
    $( Given a real-valued function, the preimage of an open interval,
       unbounded below, with upper bound ` +oo ` , is the whole domain.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    pimltpnf2 $p |- ( ph -> { x e. A | ( F ` x ) < +oo } = A ) $=
      ( vy cv cfv cpnf clt wbr crab wceq nfcv nfv nffv nfbr fveq2 breq1d a1i cr
      cbvrabw ffvelrnda pimltpnf eqtrd ) ABHZDIZJKLZBCMZGHZDIZJKLZGCMZCUJUNNAUI
      UMBGCBCOGCOUIGPBULJKBUKDEBUKOQBKOBJORUGUKNUHULJKUGUKDSTUCUAAGCULAGPACUBUK
      DFUDUEUF $.
  $}

  ${
    $d A x y $.  $d F y $.  $d ph y $.
    pimgtmnf2.1 $e |- F/_ x F $.
    pimgtmnf2.2 $e |- ( ph -> F : A --> RR ) $.
    $( Given a real-valued function, the preimage of an open interval,
       unbounded above, with lower bound ` -oo ` , is the whole domain.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    pimgtmnf2 $p |- ( ph -> { x e. A | -oo < ( F ` x ) } = A ) $=
      ( vy cmnf cv cfv clt wbr crab wss ssrab2 a1i wral wa ssid nfcv mnfltd nfv
      wcel cr ffvelrnda ralrimiva nffv nfbr wceq fveq2 breq2d cbvralw sylib jca
      ssrabf sylibr eqssd ) AHBIZDJZKLZBCMZCVACNAUTBCOPACCNZUTBCQZRCVANAVBVCVBA
      CSPAHGIZDJZKLZGCQVCAVFGCAVDCUCRVEACUDVDDFUEUAUFVFUTGBCBHVEKBHTBKTBVDDEBVD
      TUGUHUTGUBVDURUIVEUSHKVDURDUJUKULUMUNUTBCCBCTZVGUOUPUQ $.
  $}

  ${
    $d A x y $.  $d A x z $.  $d F x y $.  $d I x z $.  $d R x $.  $d S y $.
    pimdecfgtioc.x $e |- F/ x ph $.
    pimdecfgtioc.a $e |- ( ph -> A C_ RR ) $.
    pimdecfgtioc.f $e |- ( ph -> F : A --> RR* ) $.
    pimdecfgtioc.i $e |- ( ph -> A. x e. A A. y e. A ( x <_ y -> ( F ` y ) <_ (
       F ` x ) ) ) $.
    pimdecfgtioc.r $e |- ( ph -> R e. RR* ) $.
    pimdecfgtioc.y $e |- Y = { x e. A | R < ( F ` x ) } $.
    pimdecfgtioc.c $e |- S = sup ( Y , RR* , < ) $.
    pimdecfgtioc.e $e |- ( ph -> S e. Y ) $.
    pimdecfgtioc.d $e |- I = ( -oo (,] S ) $.
    $( Given a nonincreasing function, the preimage of an unbounded above, open
       interval, when the supremum of the preimage belongs to the preimage.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    pimdecfgtioc $p |- ( ph -> Y = ( I i^i A ) ) $=
      ( wcel cxr vz cin cr wss cfv clt wbr crab ssrab2 eqsstri sstrd ressiocsup
      cv ssind wral wa elinel2 adantl adantr sselid ffvelrnd wf eleqtrdi nfrab1
      a1i csup nfcxfr nfcv nfsup nffv nfbr fveq2 breq2d elrabf sylib simprd cle
      wceq wi r19.21bi syldan jca cmnf cioc mnfxr ressxr sseldd elinel1 iocleub
      syl3anc breq2 breq1d imbi12d rspcva sylc xrltletrd rabeq2i sylibr ralrimi
      co ex nfv nfci dfss3f eqssd ) AIHDUBZAIHDAIFHAIDUCIDUDAIEBUMZGUEZUFUGZBDU
      HZDOXIBDUIUJZVEZKUKZPQRULXLUNAXGISZBXFUOXFIUDAXNBXFJAXGXFSZXNAXOUPZXGDSZX
      IUPXNXPXQXIXOXQAXGHDUQURZXPEFGUEZXHAETSXONUSAXSTSXOADTFGLAIDFXKQUTZVAUSXP
      DTXGGADTGVBXOLUSXRVAAEXSUFUGZXOAFDSZYAAFXJSYBYAUPAFIXJQOVCXIYABFDBFITUFVF
      PBITUFBIXJOXIBDVDVGZBTVHBUFVHZVIVGZBDVHBEXSUFBEVHYDBFGBGVHYEVJVKXGFVRXHXS
      EUFXGFGVLVMVNVOVPUSXPYBXGCUMZVQUGZYFGUEZXHVQUGZVSZCDUOZUPXGFVQUGZXSXHVQUG
      ZXPYBYKAYBXOXTUSAXOXQYKXRAYKBDMVTWAWBXPWCTSZFTSZXGWCFWDWTZSZYLYNXPWEVEAYO
      XOAUCTFWFAIUCFXMQWGUTUSXOYQAXOXGHYPXGHDWHRVCURWCFXGWIWJYJYLYMVSCFDYFFVRZY
      GYLYIYMYFFXGVQWKYRYHXSXHVQYFFGVLWLWMWNWOWPWBXIBIDOWQWRXAWSBXFIBUAXFUAUMXF
      SBXBXCYCXDWRXE $.
  $}

  ${
    $d A x y z $.  $d F x y z $.  $d I x y z $.  $d R x $.  $d S x y z $.
    $d ph z $.
    pimincfltioc.x $e |- F/ x ph $.
    pimincfltioc.h $e |- F/ y ph $.
    pimincfltioc.a $e |- ( ph -> A C_ RR ) $.
    pimincfltioc.f $e |- ( ph -> F : A --> RR* ) $.
    pimincfltioc.i $e |- ( ph -> A. x e. A A. y e. A ( x <_ y -> ( F ` x ) <_ (
       F ` y ) ) ) $.
    pimincfltioc.r $e |- ( ph -> R e. RR* ) $.
    pimincfltioc.y $e |- Y = { x e. A | ( F ` x ) < R } $.
    pimincfltioc.c $e |- S = sup ( Y , RR* , < ) $.
    pimincfltioc.e $e |- ( ph -> S e. Y ) $.
    pimincfltioc.d $e |- I = ( -oo (,] S ) $.
    $( Given a nondecreasing function, the preimage of an unbounded below, open
       interval, when the supremum of the preimage belongs to the preimage.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    pimincfltioc $p |- ( ph -> Y = ( I i^i A ) ) $=
      ( wcel vz cin cr wss cfv clt wbr crab ssrab2 eqsstri a1i sstrd ressiocsup
      cv ssind wral wa elinel2 adantl cxr wf adantr ffvelrnd sselid cle wi wceq
      eleq1w anbi2d fveq2 breq1d imbi12d nfv nfan cmnf cioc mnfxr ressxr sseldd
      elinel1 eleqtrdi iocleub syl3anc dmrelrnrel elrab2 sylib simprd xrlelttrd
      co chvarvv jca rabeq2i sylibr ex ralrimi nfci nfrab1 nfcxfr dfss3f eqssd
      ) AIHDUBZAIHDAIFHAIDUCIDUDAIBUNZGUEZEUFUGZBDUHZDPXDBDUIUJZUKZLULZQRSUMXGU
      OAXBITZBXAUPXAIUDAXIBXAJAXBXATZXIAXJUQZXBDTZXDUQXIXKXLXDXJXLAXBHDURUSZXKX
      CFGUEZEXKDUTXBGADUTGVAXJMVBXMVCAXNUTTXJADUTFGMAIDFXFRVDZVCVBAEUTTXJOVBAUA
      UNZXATZUQZXPGUEZXNVEUGZVFXKXCXNVEUGZVFUABXPXBVGZXRXKXTYAYBXQXJAUABXAVHVIY
      BXSXCXNVEXPXBGVJVKVLXRBCDXPFVEVEGAXQBJXQBVMZVNAXQCKXQCVMVNAXBCUNZVEUGXCYD
      GUEVEUGVFCDUPBDUPXQNVBXQXPDTAXPHDURUSAFDTZXQXOVBXRVOUTTZFUTTZXPVOFVPWIZTZ
      XPFVEUGYFXRVQUKAYGXQAUCUTFVRAIUCFXHRVSVDVBXQYIAXQXPHYHXPHDVTSWAUSVOFXPWBW
      CWDWJAXNEUFUGZXJAYEYJAFITYEYJUQRXDYJBFDIXBFVGXCXNEUFXBFGVJVKPWEWFWGVBWHWK
      XDBIDPWLWMWNWOBXAIBUAXAYCWPBIXEPXDBDWQWRWSWMWT $.
  $}

  ${
    $d A x y $.  $d F x y $.  $d I x y $.  $d R x y $.  $d Y y $.
    pimdecfgtioo.x $e |- F/ x ph $.
    pimdecfgtioo.h $e |- F/ y ph $.
    pimdecfgtioo.a $e |- ( ph -> A C_ RR ) $.
    pimdecfgtioo.f $e |- ( ph -> F : A --> RR* ) $.
    pimdecfgtioo.d $e |- ( ph -> A. x e. A A. y e. A ( x <_ y -> ( F ` y ) <_ (
       F ` x ) ) ) $.
    pimdecfgtioo.r $e |- ( ph -> R e. RR* ) $.
    pimdecfgtioo.y $e |- Y = { x e. A | R < ( F ` x ) } $.
    pimdecfgtioo.c $e |- S = sup ( Y , RR* , < ) $.
    pimdecfgtioo.e $e |- ( ph -> -. S e. Y ) $.
    pimdecfgtioo.i $e |- I = ( -oo (,) S ) $.
    $( Given a nondecreasing function, the preimage of an unbounded below, open
       interval, when the supremum of the preimage does not belong to the
       preimage.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    pimdecfgtioo $p |- ( ph -> Y = ( I i^i A ) ) $=
      ( wcel cin cr wss cv cfv clt wbr crab ssrab2 eqsstri a1i sstrd ressioosup
      ssind wral wa elinel2 adantl wn cmnf cxr cioo co mnfxr csup ressxr sstrdi
      supxrcld eqeltrid adantr elinel1 eleqtrdi iooltub syl3anc cle wf ffvelrnd
      simpr xrlenltd mpbird nfv nfan fveq2 breq2d elrab2 biimpi simprd ad2antlr
      wceq sseldd ad2antrr sselda ad4ant13 ltled adantllr ad5ant14 ad3antrrr wi
      ltnled rspa syl2an syl2anc simpllr xrletrd mpbid syldan condan ex ralrimi
      mpd wb sselid supxrleub eqbrtrid rabeq2i sylibr nfcv nfrab1 nfcxfr dfss3f
      jca eqssd ) AIHDUAZAIHDAIFHAIDUBIDUCAIEBUDZGUEZUFUGZBDUHZDPYFBDUIUJUKZLUL
      ZQRSUMYHUNAYDITZBYCUOYCIUCAYJBYCJAYDYCTZYJAYKUPZYDDTZYFUPYJYLYMYFYKYMAYDH
      DUQZURZYLYFYDFUFUGZYLYPYFUSZYLUTVATZFVATZYDUTFVBVCZTZYPYRYLVDUKAYSYKAFIVA
      UFVEZVAQAIAIUBVAYIVFVGZVHVIVJZYKUUAAYKYDHYTYDHDVKSVLURUTFYDVMVNVJYLYQUPZF
      YDVOUGYPUSUUEFUUBYDVOQUUEUUBYDVOUGZCUDZYDVOUGZCIUOZYLYQYEEVOUGZUUIUUEUUJY
      QYLYQVRUUEYEEYLYEVATZYQYLDVAYDGADVAGVPZYKMVJYOVQZVJYLEVATZYQAUUNYKOVJZVJV
      SVTYLUUJUPZUUHCIYLUUJCAYKCKYKCWAWBUUJCWAWBUUPUUGITZUUHUUPUUQUPZUUHEUUGGUE
      ZUFUGZUUQUUTUUPUUHUSZUUQUUGDTZUUTUUQUVBUUTUPYFUUTBUUGDIYDUUGWIYEUUSEUFYDU
      UGGWCWDPWEWFWGWHUURUVAYDUUGVOUGZUUTUSZYLUUQUVAUVCUUJYLUUQUPZUVAUPZYDUUGYL
      YDUBTUUQUVAYLDUBYDADUBUCYKLVJYOWJZWKZAUUQUUGUBTYKUVAAIUBUUGYIWLWMZUVFYDUU
      GUFUGUVAUVEUVAVRUVFYDUUGUVHUVIWSVTWNWOUURUVCUPZUUSEVOUGUVDUVJUUSYEEAUUQUU
      SVATYKUUJUVCAUUQUPDVAUUGGAUULUUQMVJAIDUUGYHWLZVQWPZYLUUKUUJUUQUVCUUMWQYLU
      UNUUJUUQUVCUUOWQZYLUUQUVCUUSYEVOUGZUUJUVEUVCUPZUVCUVNUVEUVCVRUVOUVCUVNWRZ
      CDUOZUVBUVPYLUVQUUQUVCAUVQBDUOYMUVQYKNYNUVQBDWTXAWKAUUQUVBYKUVCUVKWMUVPCD
      WTXBXJWOYLUUJUUQUVCXCXDUVJUUSEUVLUVMVSXEXFXGXHXIXFYLUUFUUIXKZYQYLIVAUCZYD
      VATZUVRAUVSYKUUCVJYLUBVAYDVFUVGXLZCIYDXMXBVJVTXNUUEFYDYLYSYQUUDVJYLUVTYQU
      WAVJVSXEXGYAYFBIDPXOXPXHXIBYCIBYCXQBIYGPYFBDXRXSXTXPYB $.
  $}

  ${
    $d A w x y z $.  $d F w x y z $.  $d I w x y z $.  $d R x y $.
    $d Y w y z $.  $d ph w z $.
    pimincfltioo.x $e |- F/ x ph $.
    pimincfltioo.h $e |- F/ y ph $.
    pimincfltioo.a $e |- ( ph -> A C_ RR ) $.
    pimincfltioo.f $e |- ( ph -> F : A --> RR* ) $.
    pimincfltioo.i $e |- ( ph -> A. x e. A A. y e. A ( x <_ y -> ( F ` x ) <_ (
       F ` y ) ) ) $.
    pimincfltioo.r $e |- ( ph -> R e. RR* ) $.
    pimincfltioo.y $e |- Y = { x e. A | ( F ` x ) < R } $.
    pimincfltioo.c $e |- S = sup ( Y , RR* , < ) $.
    pimincfltioo.e $e |- ( ph -> -. S e. Y ) $.
    pimincfltioo.d $e |- I = ( -oo (,) S ) $.
    $( Given a nondecreasing function, the preimage of an unbounded below, open
       interval, when the supremum of the preimage does not belong to the
       preimage.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    pimincfltioo $p |- ( ph -> Y = ( I i^i A ) ) $=
      ( cle vw vz cin cr wss cv cfv clt wbr ssrab2 eqsstri a1i sstrd ressioosup
      crab ssind wcel wral wa elinel2 adantl wn cmnf cxr cioo mnfxr csup ressxr
      co sstrdi supxrcld eqeltrid adantr elinel1 eleqtrdi iooltub syl3anc simpr
      wf ffvelrnd xrlenltd mpbird nfan wceq fveq2 breq1d elrab2 biimpi ad5ant14
      nfv simprd sseldd ad3antrrr sselda ad2antrr ad4ant13 ltnled ltled simpllr
      adantllr wi breq1 imbi12d breq2 breq2d cbvral2vw dmrelrnrel xrletrd mpbid
      sylibr syldan condan ex ralrimi sselid supxrleub syl2anc eqbrtrid rabeq2i
      wb jca nfcv nfrab1 nfcxfr dfss3f eqssd ) AIHDUCZAIHDAIFHAIDUDIDUEAIBUFZGU
      GZEUHUIZBDUOZDPYJBDUJUKULZLUMZQRSUNYLUPAYHIUQZBYGURYGIUEAYNBYGJAYHYGUQZYN
      AYOUSZYHDUQZYJUSYNYPYQYJYOYQAYHHDUTVAZYPYJYHFUHUIZYPYSYJVBZYPVCVDUQZFVDUQ
      ZYHVCFVEVIZUQZYSUUAYPVFULAUUBYOAFIVDUHVGZVDQAIAIUDVDYMVHVJZVKVLVMZYOUUDAY
      OYHHUUCYHHDVNSVOVAVCFYHVPVQVMYPYTUSZFYHTUIYSVBUUHFUUEYHTQUUHUUEYHTUIZCUFZ
      YHTUIZCIURZYPYTEYITUIZUULUUHUUMYTYPYTVRUUHEYIYPEVDUQZYTAUUNYOOVMZVMYPYIVD
      UQZYTYPDVDYHGADVDGVSZYOMVMYRVTZVMWAWBYPUUMUSZUUKCIYPUUMCAYOCKYOCWJWCUUMCW
      JWCUUSUUJIUQZUUKUUSUUTUSZUUKUUJGUGZEUHUIZAUUTUVCYOUUMUUKVBZUUTUVCAUUTUUJD
      UQZUVCUUTUVEUVCUSYJUVCBUUJDIYHUUJWDYIUVBEUHYHUUJGWEWFPWGWHWKVAWIUVAUVDYHU
      UJTUIZUVCVBZUVAUVDUSYHUUJYPYHUDUQZUUMUUTUVDYPDUDYHADUDUEYOLVMYRWLZWMAUUTU
      UJUDUQZYOUUMUVDAIUDUUJYMWNZWIYPUUTUVDYHUUJUHUIZUUMYPUUTUSZUVDUSZUVLUVDUVM
      UVDVRUVNYHUUJYPUVHUUTUVDUVIWOAUUTUVJYOUVDUVKWPWQWBWTWRUVAUVFUSZEUVBTUIUVG
      UVOEYIUVBYPUUNUUMUUTUVFUUOWMZYPUUPUUMUUTUVFUURWMAUUTUVBVDUQYOUUMUVFAUUTUS
      DVDUUJGAUUQUUTMVMAIDUUJYLWNZVTWIZYPUUMUUTUVFWSYPUUTUVFYIUVBTUIZUUMUVMUVFU
      SZUAUBDYHUUJTTGUVTUAWJUVTUBWJAUAUFZUBUFZTUIZUWAGUGZUWBGUGZTUIZXAZUBDURUAD
      URZYOUUTUVFAUVFUVSXAZCDURBDURUWHNUWGUWIYHUWBTUIZYIUWETUIZXAUAUBBCDDUWAYHW
      DZUWCUWJUWFUWKUWAYHUWBTXBUWLUWDYIUWETUWAYHGWEWFXCUWBUUJWDZUWJUVFUWKUVSUWB
      UUJYHTXDUWMUWEUVBYITUWBUUJGWEXEXCXFXJWMYPYQUUTUVFYRWOAUUTUVEYOUVFUVQWPUVM
      UVFVRXGWTXHUVOEUVBUVPUVRWAXIXKXLXMXNXKYPUUIUULXTZYTYPIVDUEZYHVDUQZUWNAUWO
      YOUUFVMYPUDVDYHVHUVIXOZCIYHXPXQVMWBXRUUHFYHYPUUBYTUUGVMYPUWPYTUWQVMWAXIXL
      YAYJBIDPXSXJXMXNBYGIBYGYBBIYKPYJBDYCYDYEXJYF $.
  $}

  ${
    $d A x $.  $d B x $.  $d F x $.  $d ph x $.
    preimaioomnf.1 $e |- ( ph -> F : A --> RR ) $.
    preimaioomnf.2 $e |- ( ph -> B e. RR* ) $.
    $( Preimage of an open interval, unbounded below.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    preimaioomnf $p |- ( ph -> ( `' F " ( -oo (,) B ) ) = { x e. A | ( F ` x )
       < B } ) $=
      ( ccnv cmnf cioo co cima cico cv cfv clt wbr crab cr cin crn fimacnvinrn2
      wfun wceq ffund frnd syl2anc icomnfinre imaeq2d eqtr2d frexr preimaicomnf
      wss eqtrd ) AEHZIDJKZLZUOIDMKZLZBNEODPQBCRAUSUOURSTZLZUQAEUCEUASUMUSVAUDA
      CSEFUEACSEFUFURSEUBUGAUTUPUOADGUHUIUJABCDEACEFUKGULUN $.
  $}

  ${
    $d A n $.  $d B n $.  $d C n $.  $d n ph $.  $d n x $.
    preimageiingt.x $e |- F/ x ph $.
    preimageiingt.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    preimageiingt.c $e |- ( ph -> C e. RR ) $.
    $( A preimage of a left-closed, unbounded above interval, expressed as an
       indexed intersection of preimages of open, unbounded above intervals.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    preimageiingt $p |- ( ph -> { x e. A | C <_ B } = |^|_ n e. NN { x e. A | (
       C - ( 1 / n ) ) < B } ) $=
      ( cle wbr crab cn wcel wral wa cxr ad2antrr sylibr ex c1 cv cdiv cmin clt
      co ciin wi wss simpllr cr adantr adantl resubcld rexrd ad4ant14 ad3antrrr
      nnrecre crp rpreccl syl ltsubrpd simplr xrltletrd jca rabid ralrimiva cvv
      nnrp wb vex eliin ax-mp ralrimi nfcv nfrab1 nfiin rabssf wceq c0 wne nnn0
      iinrab a1i ad4ant13 simpr xrltled ralimdva nfra1 nfan xrralrecnnge mpbird
      imp nfv ss2rab eqsstrd eqssd ) AEDJKZBCLZFMEUAFUBZUCUFZUDUFZDUEKZBCLZUGZA
      WRBUBZXENZUHZBCOWSXEUIAXHBCGAXFCNZXHAXIPZWRXGXJWRPZXFXDNZFMOZXGXKXLFMXKWT
      MNZPZXIXCPXLXOXIXCAXIWRXNUJXOXBEDAXNXBQNZXIWRAXNPZXBXQEXAAEUKNZXNIULZXNXA
      UKNAWTURUMUNUOZUPAEQNXIWRXNAEIUOUQXJDQNZWRXNHRAXNXBEUEKXIWRXQEXAXSXNXAUSN
      ZAXNWTUSNYBWTVIWTUTVAUMVBUPXJWRXNVCVDVEXCBCVFSVGXFVHNXGXMVJBVKFXFMXDVHVLV
      MSTTVNWRBCXEFBMXDBMVOXCBCVPVQVRSAXEXCFMOZBCLZWSXEYDVSZAMVTWAYEWBXCFBMCWCV
      MWDAYCWRUHZBCOYDWSUIAYFBCGAXIYFXJYCWRXJYCPZWRXBDJKZFMOZXJYCYIXJXCYHFMXJXN
      PZXCYHYJXCPXBDAXNXPXIXCXTWEXJYAXNXCHRYJXCWFWGTWHWMYGEDFXJYCFXJFWNXCFMWIWJ
      AXRXIYCIRXJYAYCHULWKWLTTVNYCWRBCWOSWPWQ $.
  $}

  ${
    $d A n $.  $d B n $.  $d C n $.  $d n ph $.  $d n x $.
    preimaleiinlt.x $e |- F/ x ph $.
    preimaleiinlt.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    preimaleiinlt.c $e |- ( ph -> C e. RR ) $.
    $( A preimage of a left-open, right-closed, unbounded below interval,
       expressed as an indexed intersection of preimages of open, unbound below
       intervals.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    preimaleiinlt $p |- ( ph -> { x e. A | B <_ C } = |^|_ n e. NN { x e. A | B
       < ( C + ( 1 / n ) ) } ) $=
      ( wbr crab cn wcel wral wa ad2antrr cr rexrd sylibr ex cle c1 cv co caddc
      cdiv clt ciin wi wss simpllr cxr ad3antrrr adantr nnrecre adantl readdcld
      ad4ant14 simplr crp nnrp rpreccl syl ltaddrpd xrlelttrd jca ralrimiva cvv
      rabid wb vex eliin ax-mp ralrimi nfcv nfrab1 nfiin rabssf c0 wne wceq a1i
      nnn0 iinrab ad4ant13 simpr xrltled ralimdva imp nfra1 xrralrecnnle mpbird
      nfv nfan ss2rab eqsstrd eqssd ) ADEUAJZBCKZFLDEUBFUCZUFUDZUEUDZUGJZBCKZUH
      ZAWRBUCZXEMZUIZBCNWSXEUJAXHBCGAXFCMZXHAXIOZWRXGXJWROZXFXDMZFLNZXGXKXLFLXK
      WTLMZOZXIXCOXLXOXIXCAXIWRXNUKXODEXBXJDULMZWRXNHPXOEAEQMZXIWRXNIUMRXOXBAXN
      XBQMZXIWRAXNOZEXAAXQXNIUNZXNXAQMAWTUOUPUQZURRXJWRXNUSAXNEXBUGJXIWRXSEXAXT
      XNXAUTMZAXNWTUTMYBWTVAWTVBVCUPVDURVEVFXCBCVISVGXFVHMXGXMVJBVKFXFLXDVHVLVM
      STTVNWRBCXEFBLXDBLVOXCBCVPVQVRSAXEXCFLNZBCKZWSALVSVTZXEYDWAYEAWCWBXCFBLCW
      DVCAYCWRUIZBCNYDWSUJAYFBCGAXIYFXJYCWRXJYCOZWRDXBUAJZFLNZXJYCYIXJXCYHFLXJX
      NOZXCYHYJXCOZDXBXJXPXNXCHPYKXBAXNXRXIXCYAWERYJXCWFWGTWHWIYGDEFXJYCFXJFWMX
      CFLWJWNXJXPYCHUNAXQXIYCIPWKWLTTVNYCWRBCWOSWPWQ $.
  $}

  ${
    $d A x $.
    pimgtmnf.1 $e |- F/ x ph $.
    pimgtmnf.2 $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    $( Given a real-valued function, the preimage of an open interval,
       unbounded above, with lower bound ` -oo ` , is the whole domain.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    pimgtmnf $p |- ( ph -> { x e. A | -oo < B } = A ) $=
      ( cmnf clt wbr crab cv cmpt cfv wcel wa cr eqidd fvmpt2d eqcomd breq2d
      rabbida nfmpt1 eqid fmptdf pimgtmnf2 eqtrd ) AGDHIZBCJGBKZBCDLZMZHIZBCJCA
      UGUKBCEAUHCNOZDUJGHULUJDABCDUIPAUIQFRSTUAABCUIBCDUBABCDPUIEFUIUCUDUEUF $.
  $}

  ${
    pimrecltneg.x $e |- F/ x ph $.
    pimrecltneg.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    pimrecltneg.n $e |- ( ( ph /\ x e. A ) -> B =/= 0 ) $.
    pimrecltneg.c $e |- ( ph -> C e. RR ) $.
    pimrecltneg.l $e |- ( ph -> C < 0 ) $.
    $( The preimage of an unbounded below, open interval, with negative upper
       bound, for the reciprocal function.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    pimrecltneg $p |- ( ph -> { x e. A | ( 1 / B ) < C } = { x e. A | B e. ( (
       1 / C ) (,) 0 ) } ) $=
      ( c1 co clt wbr wcel cc0 wa adantl adantr cr cv cdiv crab wb wal rabidim1
      cioo wceq cxr 1red ltned redivcld 0xr a1i sylan2 rabidim2 syldan rereccld
      rexrd wne lttrd reclt0 mpbird ltdiv23neg mpbid eliood jca rabid sylibr ex
      0red simplbi simprbi ioogtlbd iooltubd impbid alrimi nfrab1 cleqf ) ABUAZ
      KDUBLZEMNZBCUCZOZVTDKEUBLZPUGLOZBCUCZOZUDZBUEWCWGUHAWIBFAWDWHAWDWHAWDQZVT
      COZWFQWHWJWKWFWDWKAWBBCUFZRZWJWEPDAWEUIOZWDAWEAKEAUJZIAEPIJUKULUSZSPUIOZW
      JUMUNWDAWKDTOZWLGUOZWJWBWEDMNZWDWBAWBBCUPRZWJKDEAKTOZWDWOSWSWJDPMNWAPMNWJ
      WAEPWJDWSAWDWKDPUTWMHUQZURAETOZWDISZWJVKXAAEPMNZWDJSZVAWJDWSXCVBVCZXEXGVD
      VEXHVFVGWFBCVHZVIVJAWHWDAWHQZWKWBQWDXJWKWBWHWKAWHWKWFXIVLRZXJWTWBXJWEPDAW
      NWHWPSZWQXJUMUNZWHWFAWHWKWFXIVMRZVNXJKEDAXBWHWOSAXDWHISAXFWHJSAWHWKWRXKGU
      QXJWEPDXLXMXNVOVDVEVGWBBCVHVIVJVPVQBWCWGWBBCVRWFBCVRVSVI $.
  $}

  ${
    $d A a n $.  $d B a n $.  $d C a n x $.  $d S a n $.  $d n ph $.
    salpreimagtge.x $e |- F/ x ph $.
    salpreimagtge.a $e |- F/ a ph $.
    salpreimagtge.s $e |- ( ph -> S e. SAlg ) $.
    salpreimagtge.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    salpreimagtge.p $e |- ( ( ph /\ a e. RR ) -> { x e. A | a < B } e. S ) $.
    salpreimagtge.c $e |- ( ph -> C e. RR ) $.
    $( If all the preimages of left-open, unbounded above intervals, belong to
       a sigma-algebra, then all the preimages of left-closed, unbounded above
       intervals, belong to the sigma-algebra.  (iii) implies (iv) in
       Proposition 121B of [Fremlin1] p. 35.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    salpreimagtge $p |- ( ph -> { x e. A | C <_ B } e. S ) $=
      ( vn wbr crab cn clt wcel cr cle c1 cdiv cmin ciin preimageiingt com cdom
      cv co nnct a1i c0 wne nnn0 wa adantr nnrecre adantl resubcld wi nfan nfim
      nfv ovex eleq1 anbi2d breq1 rabbidv eleq1d imbi12d vtoclf syldan saliincl
      wceq eqeltrd ) AEDUAOBCPNQEUBNUIZUCUJZUDUJZDROZBCPZUEFABCDENHKMUFAFNWAQJQ
      UGUHOAUKULQUMUNAUOULAVQQSZVSTSZWAFSZAWBUPEVRAETSWBMUQWBVRTSAVQURUSUTAGUIZ
      TSZUPZWEDROZBCPZFSZVAAWCUPZWDVAGVSWKWDGAWCGIWCGVDVBWDGVDVCEVRUDVEWEVSVOZW
      GWKWJWDWLWFWCAWEVSTVFVGWLWIWAFWLWHVTBCWEVSDRVHVIVJVKLVLVMVNVP $.
  $}

  ${
    $d A a n $.  $d B a n $.  $d C a n x $.  $d S a n $.  $d n ph $.
    salpreimaltle.x $e |- F/ x ph $.
    salpreimaltle.a $e |- F/ a ph $.
    salpreimaltle.s $e |- ( ph -> S e. SAlg ) $.
    salpreimaltle.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    salpreimaltle.p $e |- ( ( ph /\ a e. RR ) -> { x e. A | B < a } e. S ) $.
    salpreimaltle.c $e |- ( ph -> C e. RR ) $.
    $( If all the preimages of right-open, unbounded below intervals, belong to
       a sigma-algebra, then all the preimages of right-closed, unbounded below
       intervals, belong to the sigma-algebra.  (i) implies (ii) in Proposition
       121B of [Fremlin1] p. 35.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    salpreimaltle $p |- ( ph -> { x e. A | B <_ C } e. S ) $=
      ( vn wbr crab cn wcel wa cr cle c1 cv cdiv co caddc clt preimaleiinlt com
      ciin cdom nnct a1i c0 wne nnn0 simpl nnrecre adantl readdcld sylan wi nfv
      nfan nfim ovex eleq1 anbi2d breq2 rabbidv eleq1d imbi12d syl2anc saliincl
      wceq vtoclf eqeltrd ) ADEUAOBCPNQDEUBNUCZUDUEZUFUEZUGOZBCPZUJFABCDENHKMUH
      AFNWBQJQUIUKOAULUMQUNUOAUPUMAVRQRZSAVTTRZWBFRZAWCUQAETRZWCWDMWFWCSEVSWFWC
      UQWCVSTRWFVRURUSUTVAAGUCZTRZSZDWGUGOZBCPZFRZVBAWDSZWEVBGVTWMWEGAWDGIWDGVC
      VDWEGVCVEEVSUFVFWGVTVOZWIWMWLWEWNWHWDAWGVTTVGVHWNWKWBFWNWJWABCWGVTDUGVIVJ
      VKVLLVPVMVNVQ $.
  $}

  ${
    $d D a x $.  $d F a f $.  $d F a x $.  $d S a f s $.  $d S a x $.
    $d a ph s $.  $d ph x $.
    issmflem.s $e |- ( ph -> S e. SAlg ) $.
    issmflem.d $e |- D = dom F $.
    $( The predicate " ` F ` is a real-valued measurable function w.r.t. to the
       sigma-algebra ` S ` ".  A function is measurable iff the preimages of
       all open intervals unbounded below are in the subspace sigma-algebra
       induced by its domain.  The domain of ` F ` is required to be a subset
       of the underlying set of ` S ` .  Definition 121C of [Fremlin1] p. 36,
       and Proposition 121B (i) of [Fremlin1] p. 35 .  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    issmflem $p |- ( ph -> ( F e. ( SMblFn ` S ) <-> ( D C_ U. S /\ F : D -->
       RR /\ A. a e. RR { x e. D | ( F ` x ) < a } e. ( S |`t D ) ) ) ) $=
      ( vf wcel wss cr crest co wa wceq cvv a1i adantr adantl vs csmblfn cfv wf
      cuni cv clt wbr crab wral w3a cpm ccnv cmnf cioo cima cdm simpr df-smblfn
      csalg unieq oveq2d rabeqdv oveq1 ralbidv rabbidv eqtrd ovex rabex fvmptd3
      eleq2d eleqtrd elrabi elpmi2 eqsstrid syldan elpmi simpld wb feq2i mpbird
      cnveq imaeq1d dmeq eleq12d elrab simprbi syl2anc simpl rexrd preimaioomnf
      rspa eqcomd oveq2i ralrimiva 3jca ex reex uniexd simprr fssxp xpss1 sstrd
      syl cxp dmss dmxpss elpm2r syl22anc 3adantr3 ralbidva biimpd imp 3adantr1
      jca sylibr impbid ) AEDUBUCZJZCDUEZKZCLEUDZBUFEUCFUFZUGUHBCUIZDCMNZJZFLUJ
      ZUKZAXSYHAXSOZYAYBYGAXSELXTULNZJZYAYIEIUFZUMZUNYCUONZUPZDYLUQZMNZJZFLUJZI
      YJUIZJZYKYIEXRYTAXSURAXRYTPXSAUADYOUAUFZYPMNZJZFLUJZILUUBUEZULNZUIZYTUTUB
      QIUAFUSUUBDPZUUHUUEIYJUIYTUUIUUEIUUGYJUUIUUFXTLULUUBDVAVBVCUUIUUEYSIYJUUI
      UUDYRFLUUIUUCYQYOUUBDYPMVDVKVEVFVGGYTQJAYSIYJLXTULVHVIRVJZSVLZYSIEYJVMXDZ
      YKYAAYKCEUQZXTHLXTEVNVOTVPYIYBUUMLEUDZYIUUNUUMXTKZYIYKUUNUUOOUULLXTEVQXDV
      RYBUUNVSYICUUMLEHVTRWAZYIYFFLYIYCLJZOZYFEUMZYNUPZDUUMMNZJZUURUVBFLUJZUUQU
      VBYIUVCUUQYIUUAUVCUUKUUAYKUVCYSUVCIEYJYLEPZYRUVBFLUVDYOUUTYQUVAUVDYMUUSYN
      YLEWBWCUVDYPUUMDMYLEWDVBWEVEWFZWGXDSYIUUQURZUVBFLWLWHUURYDUUTYEUVAUURYBUU
      QYDUUTPYIYBUUQUUPSUVFYBUUQOZUUTYDUVGBCYCEYBUUQWIUVGYCYBUUQURWJWKWMZWHYEUV
      APUURCUUMDMHWNRWEWAWOWPWQAYHXSAYHOZEYTXRUVIYKUVCOUUAUVIYKUVCAYAYBYKYGAYAY
      BOZOZLQJZXTQJZYBYAYKUVLUVKWRRAUVMUVJADUTGWSSAYAYBWTAUVJEXTLXEZKZYAUVJUVOA
      UVJECLXEZUVNYBEUVPKYACLEXATYAUVPUVNKYBCXTLXBSXCTAUVOOCUUMXTHUVOUUOAUVOUUM
      UVNUQZXTEUVNXFUVQXTKUVOXTLXGRXCTVOVPLXTCEQQXHXIXJAYBYGUVCYAYBYGOUVCAYBYGU
      VCYBYGUVCYBYFUVBFLUVGYDUUTYEUVAUVHUVGCUUMDMCUUMPUVGHRVBWEXKXLXMTXNXOUVEXP
      AYTXRPYHAXRYTUUJWMSVLWQXQ $.
  $}

  ${
    $d D a b x y $.  $d F a b x y $.  $d S a b y $.  $d b ph y $.
    issmf.s $e |- ( ph -> S e. SAlg ) $.
    issmf.d $e |- D = dom F $.
    $( The predicate " ` F ` is a real-valued measurable function w.r.t. to the
       sigma-algebra ` S ` ".  A function is measurable iff the preimages of
       all open intervals unbounded below are in the subspace sigma-algebra
       induced by its domain.  The domain of ` F ` is required to be a subset
       of the underlying set of ` S ` .  Definition 121C of [Fremlin1] p. 36,
       and Proposition 121B (i) of [Fremlin1] p. 35 .  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    issmf $p |- ( ph -> ( F e. ( SMblFn ` S ) <-> ( D C_ U. S /\ F : D --> RR
       /\ A. a e. RR { x e. D | ( F ` x ) < a } e. ( S |`t D ) ) ) ) $=
      ( vy vb cfv wcel cr cv clt wbr crab wral w3a wb csmblfn cuni wss wf crest
      co issmflem breq2 rabbidv eleq1d fveq2 breq1d cbvrabv eleq1i a1i cbvralvw
      wceq bitrd 3anbi3i ) AEDUAKLCDUBUCZCMEUDZINZEKZJNZOPZICQZDCUEUFZLZJMRZSZU
      TVABNZEKZFNZOPZBCQZVGLZFMRZSZAICDEJGHUGVJVRTAVIVQUTVAVHVPJFMVDVMUQZVHVCVM
      OPZICQZVGLZVPVSVFWAVGVSVEVTICVDVMVCOUHUIUJWBVPTVSWAVOVGVTVNIBCVBVKUQVCVLV
      MOVBVKEUKULUMUNUOURUPUSUOUR $.
  $}

  ${
    $d A a b x $.  $d B a b $.  $d C a x $.  $d S a b $.  $d b ph $.
    salpreimalelt.x $e |- F/ x ph $.
    salpreimalelt.a $e |- F/ a ph $.
    salpreimalelt.s $e |- ( ph -> S e. SAlg ) $.
    salpreimalelt.u $e |- A = U. S $.
    salpreimalelt.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    salpreimalelt.p $e |- ( ( ph /\ a e. RR ) -> { x e. A | B <_ a } e. S ) $.
    salpreimalelt.c $e |- ( ph -> C e. RR ) $.
    $( If all the preimages of right-closed, unbounded below intervals, belong
       to a sigma-algebra, then all the preimages of right-open, unbounded
       below intervals, belong to the sigma-algebra.  (ii) implies (i) in
       Proposition 121B of [Fremlin1] p. 36.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    salpreimalelt $p |- ( ph -> { x e. A | B < C } e. S ) $=
      ( vb cv wcel nfv nfan adantlr cr wa adantr cxr clt wbr crab salpreimalegt
      csalg cle simpr salpreimagtge salpreimagelt ) ABCDEFGHIJKLAGPZUAQZUBZBCDU
      NFOAUOBHUOBRSUPORAFUIQZUOJUCABPCQZDUDQZUOLTAOPZUAQZUTDUEUFBCUGFQUOAVAUBBC
      DUTFGAVABHVABRSAVAGIVAGRSAUQVAJUCKAURUSVALTAUODUNUJUFBCUGFQVAMTAVAUKUHTAU
      OUKULNUM $.
  $}

  ${
    $d A a b x $.  $d B a b $.  $d C a x $.  $d S a b $.  $d b ph $.
    salpreimagtlt.x $e |- F/ x ph $.
    salpreimagtlt.a $e |- F/ a ph $.
    salpreimagtlt.s $e |- ( ph -> S e. SAlg ) $.
    salpreimagtlt.u $e |- A = U. S $.
    salpreimagtlt.b $e |- ( ( ph /\ x e. A ) -> B e. RR* ) $.
    salpreimagtlt.p $e |- ( ( ph /\ a e. RR ) -> { x e. A | a < B } e. S ) $.
    salpreimagtlt.c $e |- ( ph -> C e. RR ) $.
    $( If all the preimages of lef-open, unbounded above intervals, belong to a
       sigma-algebra, then all the preimages of right-open, unbounded below
       intervals, belong to the sigma-algebra.  (iii) implies (i) in
       Proposition 121B of [Fremlin1] p. 36.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    salpreimagtlt $p |- ( ph -> { x e. A | B < C } e. S ) $=
      ( vb cv cr wcel nfv clt wa nfan csalg adantr cxr adantlr wbr crab wi nfim
      wceq eleq1w anbi2d breq1 rabbidv eleq1d simpr salpreimagtge salpreimagelt
      imbi12d chvarfv ) ABCDEFGHIJKLAGPZQRZUAZBCDVBFOAVCBHVCBSUBVDOSAFUCRVCJUDA
      BPCRDUERVCLUFAOPZQRZVEDTUGZBCUHZFRZVCVDVBDTUGZBCUHZFRZUIAVFUAZVIUIGOVMVIG
      AVFGIVFGSUBVIGSUJVBVEUKZVDVMVLVIVNVCVFAGOQULUMVNVKVHFVNVJVGBCVBVEDTUNUOUP
      UTMVAUFAVCUQURNUS $.
  $}

  ${
    $d A a x $.  $d D a x $.  $d F a x $.  $d S a $.
    smfpreimalt.s $e |- ( ph -> S e. SAlg ) $.
    smfpreimalt.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    smfpreimalt.d $e |- D = dom F $.
    smfpreimalt.a $e |- ( ph -> A e. RR ) $.
    $( Given a function measurable w.r.t. to a sigma-algebra, the preimage of
       an open interval unbounded below is in the subspace sigma-algebra
       induced by its domain.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    smfpreimalt $p |- ( ph -> { x e. D | ( F ` x ) < A } e. ( S |`t D ) ) $=
      ( va cr wcel cv cfv clt wbr crab crest co wral cuni wss csmblfn w3a issmf
      wf mpbid simp3d wceq breq2 rabbidv eleq1d rspcva syl2anc ) ACLMBNFOZKNZPQ
      ZBDRZEDSTZMZKLUAZUPCPQZBDRZUTMZJADEUBUCZDLFUGZVBAFEUDOMVFVGVBUEHABDEFKGIU
      FUHUIVAVEKCLUQCUJZUSVDUTVHURVCBDUQCUPPUKULUMUNUO $.
  $}

  ${
    $d D a x $.  $d F a x $.  $d S a x $.
    smff.s $e |- ( ph -> S e. SAlg ) $.
    smff.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    smff.d $e |- D = dom F $.
    $( A function measurable w.r.t. to a sigma-algebra, is actually a function.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    smff $p |- ( ph -> F : D --> RR ) $=
      ( vx va cuni wss cr wf cv cfv clt wbr crab crest wcel co wral csmblfn w3a
      issmf mpbid simp2d ) ABCJKZBLDMZHNDOINPQHBRCBSUATILUBZADCUCOTUHUIUJUDFAHB
      CDIEGUEUFUG $.
  $}

  ${
    $d D a x $.  $d F a x $.  $d S a $.
    smfdmss.s $e |- ( ph -> S e. SAlg ) $.
    smfdmss.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    smfdmss.d $e |- D = dom F $.
    $( The domain of a function measurable w.r.t. to a sigma-algebra, is a
       subset of the set underlying the sigma-algebra.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    smfdmss $p |- ( ph -> D C_ U. S ) $=
      ( vx va cuni wss cr wf cv cfv clt wbr crab crest wcel co wral csmblfn w3a
      issmf mpbid simp1d ) ABCJKZBLDMZHNDOINPQHBRCBSUATILUBZADCUCOTUHUIUJUDFAHB
      CDIEGUEUFUG $.
  $}

  ${
    $d D a y $.  $d F a y $.  $d S a $.  $d a x y $.
    issmff.x $e |- F/_ x F $.
    issmff.s $e |- ( ph -> S e. SAlg ) $.
    issmff.d $e |- D = dom F $.
    $( The predicate " ` F ` is a real-valued measurable function w.r.t. to the
       sigma-algebra ` S ` ".  A function is measurable iff the preimages of
       all open intervals unbounded below are in the subspace sigma-algebra
       induced by its domain.  The domain of ` F ` is required to be a subset
       of the underlying set of ` S ` .  Definition 121C of [Fremlin1] p. 36,
       and Proposition 121B (i) of [Fremlin1] p. 35 .  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    issmff $p |- ( ph -> ( F e. ( SMblFn ` S ) <-> ( D C_ U. S /\ F : D --> RR
       /\ A. a e. RR { x e. D | ( F ` x ) < a } e. ( S |`t D ) ) ) ) $=
      ( vy cfv wcel cr cv clt wbr crab wral w3a nfcv csmblfn wss wf crest issmf
      cuni co wb cdm nfdm nfcxfr nffv nfbr nfv wceq fveq2 breq1d cbvrabw eleq1i
      ralbii 3anbi3i a1i bitrd ) AEDUAKLCDUFUBZCMEUCZJNZEKZFNZOPZJCQZDCUDUGZLZF
      MRZSZVDVEBNZEKZVHOPZBCQZVKLZFMRZSZAJCDEFHIUEVNWAUHAVMVTVDVEVLVSFMVJVRVKVI
      VQJBCJCTBCEUIIBEGUJUKBVGVHOBVFEGBVFTULBOTBVHTUMVQJUNVFVOUOVGVPVHOVFVOEUPU
      QURUSUTVAVBVC $.
  $}

  ${
    $d D x $.  $d F a x $.  $d S a $.
    issmfd.a $e |- F/ a ph $.
    issmfd.s $e |- ( ph -> S e. SAlg ) $.
    issmfd.d $e |- ( ph -> D C_ U. S ) $.
    issmfd.f $e |- ( ph -> F : D --> RR ) $.
    issmfd.p $e |- ( ( ph /\ a e. RR ) -> { x e. D | ( F ` x ) < a } e. ( S |`t
       D ) ) $.
    $( A sufficient condition for " ` F ` being a real-valued measurable
       function w.r.t. to the sigma-algebra ` S ` ".  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    issmfd $p |- ( ph -> F e. ( SMblFn ` S ) ) $=
      ( csmblfn cfv wcel cr cv crab crest co mpbird cdm cuni wss wf clt wbr w3a
      wral fdmd eqsstrd ffdmd wa wb rabeqdv oveq2d eleq12d ex ralrimi 3jca eqid
      adantr issmf ) AEDLMNEUAZDUBZUCZVCOEUDZBPEMFPZUEUFZBVCQZDVCRSZNZFOUHZUGAV
      EVFVLAVCCVDACOEJUIZIUJACOEJUKAVKFOGAVGONZVKAVNULVKVHBCQZDCRSZNZKAVKVQUMVN
      AVIVOVJVPAVHBVCCVMUNAVCCDRVMUOUPVATUQURUSABVCDEFHVCUTVBT $.
  $}

  ${
    $d A a x $.  $d D a $.  $d F a $.  $d S a $.
    smfpreimaltf.x $e |- F/_ x F $.
    smfpreimaltf.s $e |- ( ph -> S e. SAlg ) $.
    smfpreimaltf.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    smfpreimaltf.d $e |- D = dom F $.
    smfpreimaltf.a $e |- ( ph -> A e. RR ) $.
    $( Given a function measurable w.r.t. to a sigma-algebra, the preimage of
       an open interval unbounded below is in the subspace sigma-algebra
       induced by its domain.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    smfpreimaltf $p |- ( ph -> { x e. D | ( F ` x ) < A } e. ( S |`t D ) ) $=
      ( va cr wcel cv cfv clt wbr crab crest co wral cuni wss wf csmblfn issmff
      w3a mpbid simp3d wceq breq2 rabbidv eleq1d rspcva syl2anc ) ACMNBOFPZLOZQ
      RZBDSZEDTUAZNZLMUBZUQCQRZBDSZVANZKADEUCUDZDMFUEZVCAFEUFPNVGVHVCUHIABDEFLG
      HJUGUIUJVBVFLCMURCUKZUTVEVAVIUSVDBDURCUQQULUMUNUOUP $.
  $}

  ${
    $d D x $.  $d F a $.  $d S a $.  $d a x $.
    issmfdf.x $e |- F/_ x F $.
    issmfdf.a $e |- F/ a ph $.
    issmfdf.s $e |- ( ph -> S e. SAlg ) $.
    issmfdf.d $e |- ( ph -> D C_ U. S ) $.
    issmfdf.f $e |- ( ph -> F : D --> RR ) $.
    issmfdf.p $e |- ( ( ph /\ a e. RR ) -> { x e. D | ( F ` x ) < a } e. ( S
       |`t D ) ) $.
    $( A sufficient condition for " ` F ` being a measurable function w.r.t. to
       the sigma-algebra ` S ` ".  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    issmfdf $p |- ( ph -> F e. ( SMblFn ` S ) ) $=
      ( cfv wcel cr cv crab crest co wceq csmblfn cdm cuni wss clt wbr wral w3a
      wf fdmd eqsstrd ffdmd wa wb nfdm nfcv rabeqf oveq2d eleq12d adantr mpbird
      syl ex ralrimi 3jca eqid issmff ) AEDUAMNEUBZDUCZUDZVHOEUIZBPEMFPZUEUFZBV
      HQZDVHRSZNZFOUGZUHAVJVKVQAVHCVIACOEKUJZJUKACOEKULAVPFOHAVLONZVPAVSUMVPVMB
      CQZDCRSZNZLAVPWBUNVSAVNVTVOWAAVHCTVNVTTVRVMBVHCBEGUOBCUPUQVBAVHCDRVRURUSU
      TVAVCVDVEABVHDEFGIVHVFVGVA $.
  $}

  ${
    $d B a w x $.  $d F a w x $.  $d S a w $.  $d a ph w $.
    sssmf.s $e |- ( ph -> S e. SAlg ) $.
    sssmf.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    $( The restriction of a sigma-measurable function, is sigma-measurable.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    sssmf $p |- ( ph -> ( F |` B ) e. ( SMblFn ` S ) ) $=
      ( vx va vw cin cr wf wss a1i wceq syl wcel wa adantr cvv cdm cres smfdmss
      nfv cuni inss2 eqid sstrid smff fssres syl2anc freld resindm eqcomd dmres
      wrel feq12d mpbird feq2d mpbid cv cfv clt wbr crab crest co csalg csmblfn
      wrex simpr smfpreimalt wb elrest w3a elinel1 fvresd breq1d rabbiia rabss2
      dmexd ax-mp id inss1 eqsstrd ssrab2 ssind wral nfrab1 nfcv elinel2 adantl
      nfeq sseli elind eleqtrd rabid biimpi simprd jca sylibr ex ralrimi dfss3f
      sseld eqssd eqtrd 3adant2 3ad2ant1 simp1l ssexd simp2 elrestd eqeltrd mpd
      3exp rexlimdv issmfd ) AGBDUAZJZCDBUBZHAHUDEAXTXSCUEBXSUFZAXSCDEFXSUGZUCU
      HAYAUAZKYALZXTKYALAYEXTKDXTUBZLZAXSKDLXTXSMZYGAXSCDEFYCUIZYHAYBNZXSKXTDUJ
      UKAYDXTKYAYFAYFYAADUPYFYAOAXSKDYIULDBUMPUNYDXTOADBUONZUQURAYDXTKYAYKUSUTA
      HVAZKQZRZGVAZDVBZYLVCVDZGXSVEZIVAZXSJZOZICVJZYOYAVBZYLVCVDZGXTVEZCXTVFVGZ
      QZYNYRCXSVFVGQZUUBYNGYLXSCDACVHQZYMESZADCVIVBZQYMFSYCAYMVKVLAUUHUUBVMZYMA
      UUIXSTQUULEADUUKFWAZIYRXSCVHTVNUKSUTYNUUAUUGICYNYSCQZUUAUUGYNUUNUUAVOZUUE
      YSXTJZUUFYNUUAUUEUUPOZUUNUUAUUQYNUUAUUEYQGXTVEZUUPUUEUUROUUAUUDYQGXTYOXTQ
      ZUUCYPYLVCUUSYOBDYOBXSVPVQVRVSNUUAUURUUPUUAUURYSXTUUAUURYRYSYHUURYRMYBYQG
      XTXSVTWBUUAYRYTYSUUAWCZYTYSMUUAYSXSWDNWEUHUURXTMUUAYQGXTWFNWGUUAYOUURQZGU
      UPWHZUUPUURMZUUAUVAGUUPGYRYTYQGXSWIGYTWJWMZUUAUUPUURYOUUAUVBUVCUUAUVAGUUP
      UVDUUAYOUUPQZUVAUUAUVERZUUSYQRUVAUVFUUSYQUVEUUSUUAYOYSXTWKZWLUVFYOYRQZYQU
      VFYOYTYRUVEYOYTQUUAUVEYSXSYOYOYSXTVPUVEUUSYOXSQZUVGXTXSYOYBWNPWOWLUUAYTYR
      OUVEUUAYRYTUUTUNSWPUVHUVIYQUVHUVIYQRYQGXSWQWRWSPWTYQGXTWQXAXBXCGUUPUURGUU
      PWJYQGXTWIXDZXAXEXCUVJXAXFXGWLXHUUOUUPXTCVHTYSYNUUNUUIUUAUUJXIUUOAXTTQAYM
      UUNUUAXJAXTXSTUUMYJXKPYNUUNUUAXLUUPUGXMXNXPXQXOXR $.
  $}

  ${
    $d F a x $.  $d S a $.  $d a ph x $.
    mbfresmf.1 $e |- ( ph -> F e. MblFn ) $.
    mbfresmf.2 $e |- ( ph -> ran F C_ RR ) $.
    mbfresmf.3 $e |- S = dom vol $.
    $( A real-valued measurable function is a sigma-measurable function (w.r.t.
       the Lebesgue measure on the Reals).  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    mbfresmf $p |- ( ph -> F e. ( SMblFn ` S ) ) $=
      ( vx va cdm csalg wceq a1i wcel dmvolsal eqeltrd cr cuni wss adantr cvv
      nfv cvol cmbf mbfdmssre syl unieqi unidmvol eqtri sseqtrrdi wfn crn wa wf
      cc mbff ffn 3syl jca df-f sylibr cv cfv clt wbr crab ccnv cmnf cioo crest
      co cima cxr adantl preimaioomnf eqcomd elexi eqeltri dmexd mbfima syl2anc
      rexr eleqtrrd cin cnvimass dfss biimpi ax-mp elrestd issmfd ) AGCIZBCHAHU
      AABUBIZJBWKKAFLZWKJMANLOAWJPBQZACUCMZWJPRDCUDUEWMWKQPBWKFUFUGUHUIACWJUJZC
      UKPRZULWJPCUMZAWOWPAWNWJUNCUMWODCUOWJUNCUPUQEURWJPCUSUTZAHVAZPMZULZGVACVB
      WSVCVDGWJVEZCVFVGWSVHVJZVKZBWJVIVJXAXDXBXAGWJWSCAWQWTWRSWTWSVLMAWSWAVMVNV
      OXAXDWJBTTXDBTMXABWKTFWKJNVPVQLAWJTMWTACUCDVRSAXDBMWTAXDWKBAWNWQXDWKMDWRW
      JVGWSCVSVTWLWBSXDWJRZXDXDWJWCKZCXCWDXEXFXDWJWEWFWGWHOWI $.
  $}

  ${
    $d F a x $.  $d J x $.  $d S a $.  $d a ph x $.
    cnfsmf.1 $e |- ( ph -> J e. Top ) $.
    cnfsmf.k $e |- K = ( topGen ` ran (,) ) $.
    cnfsmf.f $e |- ( ph -> F e. ( ( J |`t dom F ) Cn K ) ) $.
    cnfsmf.s $e |- S = ( SalGen ` J ) $.
    $( A continuous function is measurable.  Proposition 121D (b) of [Fremlin1]
       p. 36 is a special case of this theorem, where the topology on the
       domain is induced by the standard topology on n-dimensional Real
       numbers.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    cnfsmf $p |- ( ph -> F e. ( SMblFn ` S ) ) $=
      ( vx va ctop crest co cuni wcel eqid cvv cr adantr cdm nfv ccn wf cnf syl
      salgencld fdmd ovex uniex a1i eqeltrd unirestss wss sssalgen unissd sstrd
      eqsstrd wceq cioo crn ctg uniretop unieqi eqtr4i feq3d mpbird ffdmd cv wa
      cfv clt wbr crab csalg ssrest syl2anc rabeqdv nfcv cxr rexr adantl sseldd
      rfcnpre2 issmfd ) AJCUAZBCKAKUBABLDFIUGZAWFDWFMNZOZBOZAWIEOZCACWHEUCNPZWI
      WKCUDZHCWHEWIWKWIQZWKQUEUFZUHZAWIDOWJADWFLRFAWFWIRWPWIRPAWHDWFMUIUJUKULUM
      ADBADLPDBUNZFBLDIUOUFZUPUQURAWISCAWISCUDWMWOASWKCWISWKUSASUTVAVBVKZOWKVCE
      WSGVDVEUKVFVGVHAKVIZSPZVJZWHBWFMNZJVICVKWTVLVMZJWFVNZAWHXCUNZXAABVOPWQXFW
      GWRWFDBVOVPVQTXBXEXDJWIVNZWHAXEXGUSXAAXDJWFWIWPVRTXBJXGWTCWHEWIJWTVSJCVSX
      BJUBGWNXGQXAWTVTPAWTWAWBAWLXAHTWDULWCWE $.
  $}

  ${
    $d A b $.  $d A x y $.  $d B b $.  $d C x y $.  $d D b $.  $d D x y $.
    $d E b $.  $d E x y $.  $d F x y $.  $d R x y $.  $d Y b $.  $d Y y $.
    incsmflem.x $e |- F/ x ph $.
    incsmflem.y $e |- F/ y ph $.
    incsmflem.a $e |- ( ph -> A C_ RR ) $.
    incsmflem.f $e |- ( ph -> F : A --> RR* ) $.
    incsmflem.i $e |- ( ph -> A. x e. A A. y e. A ( x <_ y -> ( F ` x ) <_ ( F
       ` y ) ) ) $.
    incsmflem.j $e |- J = ( topGen ` ran (,) ) $.
    incsmflem.b $e |- B = ( SalGen ` J ) $.
    incsmflem.r $e |- ( ph -> R e. RR* ) $.
    incsmflem.l $e |- Y = { x e. A | ( F ` x ) < R } $.
    incsmflem.c $e |- C = sup ( Y , RR* , < ) $.
    incsmflem.d $e |- D = ( -oo (,) C ) $.
    incsmflem.e $e |- E = ( -oo (,] C ) $.
    $( A nondecreasing function is Borel measurable.  Proposition 121D (c) of
       [Fremlin1] p. 36 .  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    incsmflem $p |- ( ph -> E. b e. B Y = ( b i^i A ) ) $=
      ( wcel cv cin wceq wrex wa cmnf cioc co cxr mnfxr a1i cr wss cfv clt crab
      wbr ssrab2 eqsstri sstrd sselda iocborel eqeltrid nfcv nfrab1 nfcxfr nfel
      nfan nfv adantr wf wi wral simpr pimincfltioc ineq1 rspceeqv syl2anc cioo
      cle wn iooborel eqeltri nfn pimincfltioo pm2.61dan ) AFLUFZLMUGZDUHZUIMEU
      JZAWMUKZIEUFLIDUHZUIWPWQIULFUMUNEUEWQULEFKULUOUFWQUPUQALURFALDURLDUSALBUG
      ZJUTZHVAVCZBDVBZDUBXABDVDVEUQPVFVGSTVHVIWQBCDHFJILAWMBNBFLBFVJBLXBUBXABDV
      KVLVMZVNAWMCOWMCVOVNADURUSZWMPVPADUOJVQZWMQVPAWSCUGZWFVCWTXFJUTWFVCVRCDVS
      BDVSZWMRVPAHUOUFZWMUAVPUBUCAWMVTUEWAMIEWOWRLWNIDWBWCWDAWMWGZUKZGEUFZLGDUH
      ZUIWPAXKXIXKAGULFWEUNEUDULEFKSTWHWIUQVPXJBCDHFJGLAXIBNWMBXCWJVNAXICOXICVO
      VNAXDXIPVPAXEXIQVPAXGXIRVPAXHXIUAVPUBUCAXIVTUDWKMGEWOXLLWNGDWBWCWDWL $.
  $}

  ${
    $d A b x $.  $d A w x y z $.  $d B a b $.  $d F a b x $.  $d F a w x z $.
    $d F w x y z $.  $d a ph w z $.
    incsmf.a $e |- ( ph -> A C_ RR ) $.
    incsmf.f $e |- ( ph -> F : A --> RR ) $.
    incsmf.i $e |- ( ph -> A. x e. A A. y e. A ( x <_ y -> ( F ` x ) <_ ( F ` y
       ) ) ) $.
    incsmf.j $e |- J = ( topGen ` ran (,) ) $.
    incsmf.b $e |- B = ( SalGen ` J ) $.
    $( A real-valued, nondecreasing function is Borel measurable.  Proposition
       121D (c) of [Fremlin1] p. 36 .  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    incsmf $p |- ( ph -> F e. ( SMblFn ` B ) ) $=
      ( vw vz wcel cfv cr cv wbr cle va nfv ctop cioo crn ctg retop eqeltri a1i
      salgencld cuni unisalgen2 wceq unieqi uniretop eqcomi 3eqtrrd sseqtrd clt
      vb wa crab crest co cin wrex cxr csup cmnf cioc wss adantr wf frexr breq1
      wral fveq2 breq1d imbi12d breq2 breq2d cbvral2vw rexr adantl cbvrabv eqid
      wi sylib incsmflem wb csalg cvv reex ssexd elrest syl2anc mpbird issmfd )
      ABDEFUAAUAUBAEUCGGUCOAGUDUEUFPZUCKUGUHUIZLUJZADQEUKZHAXBGUKZWSUKZQAGEUCWT
      LULXCXDUMAGWSKUNUIXDQUMAQXDUOUPUIUQURIAUARZQOZVAZBRZFPZXEUSSZBDVBZEDVCVDO
      ZXKUTRDVEUMUTEVFZXGMNDEXKVGUSVHZVIXNUDVDZXEVIXNVJVDZFGXKUTXGMUBXGNUBADQVK
      XFHVLADVGFVMXFADFIVNVLAMRZNRZTSZXQFPZXRFPZTSZWGZNDVPMDVPZXFAXHCRZTSZXIYEF
      PZTSZWGZCDVPBDVPYDJYIYCXQYETSZXTYGTSZWGBCMNDDXHXQUMZYFYJYHYKXHXQYETVOYLXI
      XTYGTXHXQFVQZVRVSYEXRUMZYJXSYKYBYEXRXQTVTYNYGYAXTTYEXRFVQWAVSWBWHVLKLXFXE
      VGOAXEWCWDXJXTXEUSSBMDYLXIXTXEUSYMVRWEXNWFXOWFXPWFWIAXLXMWJZXFAEWKODWLOYO
      XAADQWLQWLOAWMUIHWNUTXKDEWKWLWOWPVLWQWR $.
  $}

  ${
    $d F a x $.  $d S a $.  $d a ph $.
    smfsssmf.r $e |- ( ph -> R e. SAlg ) $.
    smfsssmf.s $e |- ( ph -> S e. SAlg ) $.
    smfsssmf.i $e |- ( ph -> R C_ S ) $.
    smfsssmf.f $e |- ( ph -> F e. ( SMblFn ` R ) ) $.
    $( If a function is measurable w.r.t. to a sigma-algebra, then it is
       measurable w.r.t. to a larger sigma-algebra.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    smfsssmf $p |- ( ph -> F e. ( SMblFn ` S ) ) $=
      ( vx va cdm cuni cv wcel crest co cfv wss csalg adantr nfv smfdmss unissd
      eqid sstrd smff cr clt wbr crab ssrest syl2anc csmblfn smfpreimalt sseldd
      wa simpr issmfd ) AIDKZCDJAJUAFAUSBLCLAUSBDEHUSUDZUBABCGUCUEAUSBDEHUTUFAJ
      MZUGNZUPZBUSOPZCUSOPZIMDQVAUHUIIUSUJAVDVERZVBACSNBCRVFFGUSBCSUKULTVCIVAUS
      BDABSNVBETADBUMQNVBHTUTAVBUQUNUOUR $.
  $}

  ${
    $d D a b x $.  $d F a b x $.  $d S a b x $.  $d b ph $.
    issmflelem.x $e |- F/ x ph $.
    issmflelem.a $e |- F/ a ph $.
    issmflelem.s $e |- ( ph -> S e. SAlg ) $.
    issmflelem.d $e |- D = dom F $.
    issmflelem.i $e |- ( ph -> D C_ U. S ) $.
    issmflelem.f $e |- ( ph -> F : D --> RR ) $.
    issmflelem.l $e |- ( ( ph /\ a e. RR ) -> { x e. D | ( F ` x ) <_ a } e. (
       S |`t D ) ) $.
    $( The predicate " ` F ` is a real-valued measurable function w.r.t. to the
       sigma-algebra ` S ` ".  A function is measurable iff the preimages of
       all right-closed intervals unbounded below are in the subspace
       sigma-algebra induced by its domain.  The domain of ` F ` is required to
       be a subset of the underlying set of ` S ` .  Definition 121C of
       [Fremlin1] p. 36, and Proposition 121B (ii) of [Fremlin1] p. 35 .
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    issmflelem $p |- ( ph -> F e. ( SMblFn ` S ) ) $=
      ( vb wcel cr crab wa wceq adantr csmblfn cfv cuni wss wf cv clt wbr crest
      co wral w3a csalg simpr restuni4 eqcomd mpdan rabeqdv nfv nfan cvv uniexd
      ssexd eqid subsalsal eleqtrd ffvelrnda syldan rexrd adantlr salpreimalelt
      cxr cle eqeltrd ralrimiva 3jca issmf mpbird ) AEDUAUBOCDUCZUDZCPEUEZBUFZE
      UBZNUFZUGUHZBCQZDCUIUJZOZNPUKZULAVTWAWIKLAWHNPAWDPOZRZWFWEBWGUCZQZWGAWFWM
      SWJAWEBCWLAVTCWLSKAVTRZWLCWNDCUMADUMOVTITZAVTUNZUOZUPUQURTWKBWLWCWDWGFAWJ
      BGWJBUSUTAWJFHWJFUSUTAWGUMOZWJAVTWRKWNCDWGVAWOWNCVSVAAVSVAOVTADUMIVBTWPVC
      WGVDVEUQTWLVDAWBWLOZWCVLOWJAWSRZWCAWSWBCOWCPOWTWBWLCAWSUNAWLCSZWSAVTXAKWQ
      UQZTVFACPWBELVGVHVIVJAFUFZPOZWCXCVMUHZBWLQZWGOWJAXDRXFXEBCQZWGAXFXGSXDAXE
      BWLCXBURTMVNVJAWJUNVKVNVOVPABCDENIJVQVR $.
  $}

  ${
    $d D a b x y $.  $d D b c y $.  $d F a b x y $.  $d F b c y $.
    $d S a b y $.  $d S b c y $.  $d b c ph y $.
    issmfle.s $e |- ( ph -> S e. SAlg ) $.
    issmfle.d $e |- D = dom F $.
    $( The predicate " ` F ` is a real-valued measurable function w.r.t. to the
       sigma-algebra ` S ` ".  A function is measurable iff the preimages of
       all right-closed intervals unbounded below are in the subspace
       sigma-algebra induced by its domain.  The domain of ` F ` is required to
       be b subset of the underlying set of ` S ` .  Definition 121C of
       [Fremlin1] p. 36, and Proposition 121B (ii) of [Fremlin1] p. 35 .
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    issmfle $p |- ( ph -> ( F e. ( SMblFn ` S ) <-> ( D C_ U. S /\ F : D --> RR
       /\ A. a e. RR { x e. D | ( F ` x ) <_ a } e. ( S |`t D ) ) ) ) $=
      ( vy vb wcel cr cv cle wbr crab wa adantr nfv nfan vc csmblfn cfv cuni wf
      wss crest co wral w3a csalg simpr smfdmss smff cvv uniexd ssexd subsalsal
      syldan eqid cxr frexr ffvelrnda smfpreimalt adantlr salpreimaltle ralrimi
      clt 3jca nfcv nfrab1 nfel nfralw nf3an nfra1 simpr1 simpr2 rspa 3ad2antl3
      ex adantll issmflelem impbid wb wceq breq2 rabbidv fveq2 breq1d a1i eqtrd
      cbvrabv eleq1d cbvralvw 3anbi3i bitrd ) AEDUBUCKZCDUDZUFZCLEUEZIMZEUCZJMZ
      NOZICPZDCUGUHZKZJLUIZUJZWSWTBMZEUCZFMZNOZBCPZXFKZFLUIZUJZAWQXIAWQXIAWQQZW
      SWTXHXRCDEADUKKZWQGRZAWQULZHUMZXRCDEXTYAHUNZXRXGJLAWQJAJSZWQJSTXRXCLKZXGX
      RYEQZICXBXCXFUAXRYEIAWQIAISZWQISTYEISTYFUASXRXFUKKYEXRCDXFUOXTAWQWSCUOKYB
      AWSQCWRUOAWRUOKWSADUKGUPRAWSULUQUSXFUTURRYFCVAXAEXRCVAEUEYEXRCEYCVBRVCXRU
      AMZLKZXBYHVHOICPXFKYEXRYIQIYHCDEXRXSYIXTRXRWQYIYARHXRYIULVDVEXRYEULVFVTVG
      VIVTAXIWQAXIQICDEJAXIIYGWSWTXHIWSISWTISXGIJLILVJIXEXFXDICVKIXFVJVLVMVNTAX
      IJYDWSWTXHJWSJSWTJSXGJLVOVNTAXSXIGRHAWSWTXHVPAWSWTXHVQXIYEXGAXHWSYEXGWTXG
      JLVRVSWAWBVTWCXIXQWDAXHXPWSWTXGXOJFLXCXLWEZXEXNXFYJXEXBXLNOZICPZXNYJXDYKI
      CXCXLXBNWFWGYLXNWEYJYKXMIBCXAXJWEXBXKXLNXAXJEWHWIWLWJWKWMWNWOWJWP $.
  $}

  ${
    $d A x $.  $d R x $.
    smfpimltmpt.x $e |- F/ x ph $.
    smfpimltmpt.s $e |- ( ph -> S e. SAlg ) $.
    smfpimltmpt.b $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    smfpimltmpt.f $e |- ( ph -> ( x e. A |-> B ) e. ( SMblFn ` S ) ) $.
    smfpimltmpt.r $e |- ( ph -> R e. RR ) $.
    $( Given a function measurable w.r.t. to a sigma-algebra, the preimage of
       an open interval unbounded below is in the subspace sigma-algebra
       induced by its domain.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    smfpimltmpt $p |- ( ph -> { x e. A | B < R } e. ( S |`t A ) ) $=
      ( clt wbr crab crest co wcel eqid wceq cv cfv nfmpt1 smfpreimaltf dmmptdf
      cmpt cdm nfdm nfcv rabeqf syl wa a1i fvmpt2d breq1d rabbida eqidd 3eqtrrd
      eqcomd oveq2d eleq12d mpbird ) ADEMNZBCOZFCPQZRBUAZBCDUFZUBZEMNZBVGUGZOZF
      VJPQZRABEVJFVGBCDUCZIKVJSLUDAVDVKVEVLAVKVIBCOZVDVDAVJCTVKVNTABVGCDGHVGSZJ
      UEZVIBVJCBVGVMUHBCUIUJUKAVIVCBCHAVFCRULVHDEMABCDVGGVGVGTAVOUMJUNUOUPAVDUQ
      URACVJFPAVJCVPUSUTVAVB $.
  $}

  ${
    $d A x $.  $d D a x $.  $d F a $.  $d S a $.
    smfpimltxr.x $e |- F/_ x F $.
    smfpimltxr.s $e |- ( ph -> S e. SAlg ) $.
    smfpimltxr.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    smfpimltxr.d $e |- D = dom F $.
    smfpimltxr.a $e |- ( ph -> A e. RR* ) $.
    $( Given a function measurable w.r.t. to a sigma-algebra, the preimage of
       an open interval unbounded below is in the subspace sigma-algebra
       induced by its domain.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    smfpimltxr $p |- ( ph -> { x e. D | ( F ` x ) < A } e. ( S |`t D ) ) $=
      ( cpnf wceq clt wbr crab wcel wa adantr cmnf va cv crest co breq2 rabbidv
      cfv adantl cuni wss cr wf csmblfn w3a issmff mpbid simp2d pimltpnf2 eqidd
      wral 3eqtrd csalg simp1d restuni4 eqcomd cvv cdm dmexd eqeltrid subsalsal
      eqid salunid eqeltrd wn wne neqne c0 pimltmnf2 eqtrd 0sald adantlr simpll
      cxr syl simplr xrred simpr smfpreimaltf syl2anc pm2.61dan syldan ) ACLMZB
      UBFUGZCNOZBDPZEDUCUDZQZAWLRZWODWPWRWOWMLNOZBDPZDDWLWOWTMAWLWNWSBDCLWMNUEU
      FUHAWTDMWLABDFGADEUIUJZDUKFULZWMUAUBNOBDPWPQUAUKUTZAFEUMUGZQZXAXBXCUNIABD
      EFUAGHJUOUPZUQZURSWRDUSVAADWPQWLADWPUIZWPAXHDAEDVBHAXAXBXCXFVCVDVEAWPADEW
      PVFHADFVGVFJAFXDIVHVIWPVKVJZVLVMSVMAWLVNZCLVOZWQXJXKACLVPUHAXKRZCTMZWQAXM
      WQXKAXMRZWOVQWPXNWOWMTNOZBDPZVQXMWOXPMAXMWNXOBDCTWMNUEUFUHXNBDFGAXBXMXGSV
      RVSAVQWPQXMAWPXIVTSVMWAXLXMVNZRZACUKQZWQAXKXQWBZXRCXRACWCQXTKWDXQCTVOXLCT
      VPUHAXKXQWEWFAXSRBCDEFGAEVBQXSHSAXEXSISJAXSWGWHWIWJWKWJ $.
  $}

  ${
    $d A a x $.  $d B a $.  $d S a $.
    issmfdmpt.x $e |- F/ x ph $.
    issmfdmpt.a $e |- F/ a ph $.
    issmfdmpt.s $e |- ( ph -> S e. SAlg ) $.
    issmfdmpt.i $e |- ( ph -> A C_ U. S ) $.
    issmfdmpt.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    issmfdmpt.p $e |- ( ( ph /\ a e. RR ) -> { x e. A | B < a } e. ( S |`t A )
       ) $.
    $( A sufficient condition for " ` F ` being a measurable function w.r.t. to
       the sigma-algebra ` S ` ".  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    issmfdmpt $p |- ( ph -> ( x e. A |-> B ) e. ( SMblFn ` S ) ) $=
      ( cmpt cr cv wcel wa clt wbr crab nfmpt1 eqid fmptdf cfv crest co wceq wb
      wral eqidd fvmpt2d breq1d ex ralrimi rabbi sylib adantr eqeltrd issmfdf )
      ABCEBCDMZFBCDUAHIJABCDNUTGKUTUBUCAFOZNPZQBOZUTUDZVARSZBCTZDVARSZBCTZECUEU
      FAVFVHUGZVBAVEVGUHZBCUIVIAVJBCGAVCCPZVJAVKQVDDVARABCDUTNAUTUJKUKULUMUNVEV
      GBCUOUPUQLURUS $.
  $}

  ${
    $d A x $.  $d B x $.  $d F a $.  $d S a $.  $d a ph $.  $d a x $.
    smfconst.x $e |- F/ x ph $.
    smfconst.s $e |- ( ph -> S e. SAlg ) $.
    smfconst.a $e |- ( ph -> A C_ U. S ) $.
    smfconst.b $e |- ( ph -> B e. RR ) $.
    smfconst.f $e |- F = ( x e. A |-> B ) $.
    $( Given a sigma-algebra over a base set X, every partial real-valued
       constant function is measurable.  Proposition 121E (a) of [Fremlin1]
       p. 37 .  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    smfconst $p |- ( ph -> F e. ( SMblFn ` S ) ) $=
      ( va nfv cr wcel wa wbr nfan ad2antrr cvv nfmpt1 nfcxfr adantr fmptdf clt
      cmpt cv cfv crab crest co cuni cin simpr pimconstlt1 eqidd wceq wss sylib
      sseqin2 eqcomd 3eqtrd csalg uniexd ssexd salunid eqid elrestd eqeltrd cxr
      wn rexr ad2antlr cle simplr lenltd mpbird pimconstlt0 subsalsal pm2.61dan
      c0 0sald issmfdf ) ABCEFLBFBCDUFKBCDUAUBALMHIABCDNFGADNOZBUGZCOJUCKUDALUG
      ZNOZPZDWFUEQZWEFUHWFUEQBCUIZECUJUKZOWHWIPZWJEULZCUMZWKWLWJCCWNWLBCDWFFWHW
      IBAWGBGWGBMRZWIBMRAWDWGWIJSKWHWIUNUOWLCUPACWNUQWGWIAWNCACWMURWNCUQICWMUTU
      SVASVBWLWNCEVCTWMAEVCOWGWIHSZACTOWGWIACWMTAEVCHVDIVEZSWLEWPVFWNVGVHVIWHWI
      VKZPZWJWAWKWSBCDWFFWHWRBWOWRBMRAWDWGWRJSZKWGWFVJOAWRWFVLVMWSWFDVNQWRWHWRU
      NWSWFDAWGWRVOWTVPVQVRAWAWKOWGWRAWKACEWKTHWQWKVGVSWBSVIVTWC $.
  $}

  ${
    $d A x $.  $d C x $.
    sssmfmpt.s $e |- ( ph -> S e. SAlg ) $.
    sssmfmpt.f $e |- ( ph -> ( x e. A |-> B ) e. ( SMblFn ` S ) ) $.
    sssmfmpt.c $e |- ( ph -> C C_ A ) $.
    $( The restriction of a sigma-measurable function is sigma-measurable.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    sssmfmpt $p |- ( ph -> ( x e. C |-> B ) e. ( SMblFn ` S ) ) $=
      ( cmpt cres csmblfn cfv resmptd eqcomd sssmf eqeltrd ) ABEDJZBCDJZEKZFLMA
      TRABCEDINOAEFSGHPQ $.
  $}

  ${
    cnfrrnsmf.x $e |- ( ph -> X e. Fin ) $.
    cnfrrnsmf.j $e |- J = ( TopOpen ` ( RR^ ` X ) ) $.
    cnfrrnsmf.k $e |- K = ( topGen ` ran (,) ) $.
    cnfrrnsmf.f $e |- ( ph -> F e. ( ( J |`t dom F ) Cn K ) ) $.
    cnfrrnsmf.b $e |- B = ( SalGen ` J ) $.
    $( A function, continuous from the standard topology on the space of
       n-dimensional reals to the standard topology on the reals, is Borel
       measurable.  Proposition 121D (b) of [Fremlin1] p. 36 .  (Contributed by
       Glauco Siliprandi, 26-Jun-2021.) $)
    cnfrrnsmf $p |- ( ph -> F e. ( SMblFn ` B ) ) $=
      ( cfn wcel ctop rrxtop syl cnfsmf ) ABCDEAFLMDNMGFDLHOPIJKQ $.
  $}

  ${
    $d A x y z $.  $d ph x y z $.
    smfid.j $e |- J = ( topGen ` ran (,) ) $.
    smfid.b $e |- B = ( SalGen ` J ) $.
    smfid.a $e |- ( ph -> A C_ RR ) $.
    $( The identity function is Borel sigma-measurable.  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    smfid $p |- ( ph -> ( x e. A |-> x ) e. ( SMblFn ` B ) ) $=
      ( vy vz cv cr wcel wa simpr cle wbr cfv wceq a1i wss adantr sseldd fmpttd
      cmpt wi wral fvmptd ad2antrr ad4ant13 breq12d mpbird ex ralrimiva incsmf
      eqid ) AIJCDBCBKZUEZEHABCUQLAUQCMZNCLUQACLUAUSHUBAUSOUCUDAIKZJKZPQZUTURRZ
      VAURRZPQZUFZJCUGICAUTCMZNZVFJCVHVACMZNZVBVEVJVBNZVEVBVJVBOVKVCUTVDVAPVHVC
      UTSVIVBVHBUTUQUTCURCURURSZVHURUPZTVHUQUTSOAVGOZVNUHUIAVIVDVASVGVBAVINZBVA
      UQVACURCVLVOVMTVOUQVASOAVIOZVPUHUJUKULUMUNUNFGUO $.
  $}

  ${
    bormflebmf.x $e |- ( ph -> X e. Fin ) $.
    bormflebmf.b $e |- B = ( SalGen ` ( TopOpen ` ( RR^ ` X ) ) ) $.
    bormflebmf.l $e |- L = dom ( voln ` X ) $.
    bormflebmf.f $e |- ( ph -> F e. ( SMblFn ` B ) ) $.
    $( A Borel measurable function is Lebesgue measurable.  Proposition 121D
       (a) of [Fremlin1] p. 36 .  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    bormflebmf $p |- ( ph -> F e. ( SMblFn ` L ) ) $=
      ( cvv crrx cfv ctopn fvexd salgencld dmovnsal borelmbl smfsssmf ) ABDCABJ
      EKLZMLASMNGOADEFHPABDEFHGQIR $.
  $}

  ${
    $d A a x $.  $d D a x $.  $d F a x $.  $d S a $.
    smfpreimale.s $e |- ( ph -> S e. SAlg ) $.
    smfpreimale.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    smfpreimale.d $e |- D = dom F $.
    smfpreimale.a $e |- ( ph -> A e. RR ) $.
    $( Given a function measurable w.r.t. to a sigma-algebra, the preimage of a
       closed interval unbounded below is in the subspace sigma-algebra induced
       by its domain.  See Proposition 121B (ii) of [Fremlin1] p. 35
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    smfpreimale $p |- ( ph -> { x e. D | ( F ` x ) <_ A } e. ( S |`t D ) ) $=
      ( va cr wcel cv cfv cle wbr crab crest co wral wss wf csmblfn w3a issmfle
      cuni mpbid simp3d wceq breq2 rabbidv eleq1d rspcva syl2anc ) ACLMBNFOZKNZ
      PQZBDRZEDSTZMZKLUAZUPCPQZBDRZUTMZJADEUGUBZDLFUCZVBAFEUDOMVFVGVBUEHABDEFKG
      IUFUHUIVAVEKCLUQCUJZUSVDUTVHURVCBDUQCUPPUKULUMUNUO $.
  $}

  ${
    $d D a b x $.  $d F a b x $.  $d S a b x $.  $d b ph $.
    issmfgtlem.x $e |- F/ x ph $.
    issmfgtlem.a $e |- F/ a ph $.
    issmfgtlem.s $e |- ( ph -> S e. SAlg ) $.
    issmfgtlem.d $e |- D = dom F $.
    issmfgtlem.i $e |- ( ph -> D C_ U. S ) $.
    issmfgtlem.f $e |- ( ph -> F : D --> RR ) $.
    issmfgtlem.p $e |- ( ph -> A. a e. RR { x e. D | a < ( F ` x ) } e. ( S |`t
       D ) ) $.
    $( The predicate " ` F ` is a real-valued measurable function w.r.t. to the
       sigma-algebra ` S ` ".  A function is measurable iff the preimages of
       all left-open intervals unbounded above are in the subspace
       sigma-algebra induced by its domain.  The domain of ` F ` is required to
       be a subset of the underlying set of ` S ` .  Definition 121C of
       [Fremlin1] p. 36, and Proposition 121B (iii) of [Fremlin1] p. 35 .
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    issmfgtlem $p |- ( ph -> F e. ( SMblFn ` S ) ) $=
      ( vb wcel cr crab wa adantr cvv csmblfn cfv cuni wss wf cv clt crest wral
      wbr co w3a wceq csalg restuni4 eqcomd rabeqdv nfv nfan uniexd simpr ssexd
      mpdan subsalsal cxr eleqtrd ffvelrnd rexrd adantlr r19.21bi salpreimagtlt
      eqid eqeltrd ralrimiva 3jca issmf mpbird ) AEDUAUBOCDUCZUDZCPEUEZBUFZEUBZ
      NUFZUGUJZBCQZDCUHUKZOZNPUIZULAVSVTWHKLAWGNPAWCPOZRZWEWDBWFUCZQZWFAWEWLUMW
      IAWDBCWKAWKCADCUNIKUOZUPUQSWJBWKWBWCWFFAWIBGWIBURUSAWIFHWIFURUSAWFUNOWIAC
      DWFTIAVSCTOKAVSRCVRTAVRTOVSADUNIUTSAVSVAVBVCWFVLVDSWKVLAWAWKOZWBVEOWIAWNR
      ZWBWOCPWAEAVTWNLSWOWAWKCAWNVAAWKCUMWNWMSVFVGVHVIAFUFZPOZWPWBUGUJZBWKQZWFO
      WIAWQRWSWRBCQZWFAWSWTUMWQAWRBWKCWMUQSAWTWFOFPMVJVMVIAWIVAVKVMVNVOABCDENIJ
      VPVQ $.
  $}

  ${
    $d D a b x y $.  $d D b c y $.  $d F a b x y $.  $d F b c y $.
    $d S a b y $.  $d S b c y $.  $d b c ph y $.
    issmfgt.s $e |- ( ph -> S e. SAlg ) $.
    issmfgt.d $e |- D = dom F $.
    $( The predicate " ` F ` is a real-valued measurable function w.r.t. to the
       sigma-algebra ` S ` ".  A function is measurable iff the preimages of
       all left-open intervals unbounded above are in the subspace
       sigma-algebra induced by its domain.  The domain of ` F ` is required to
       be b subset of the underlying set of ` S ` .  Definition 121C of
       [Fremlin1] p. 36, and Proposition 121B (iii) of [Fremlin1] p. 35 .
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    issmfgt $p |- ( ph -> ( F e. ( SMblFn ` S ) <-> ( D C_ U. S /\ F : D --> RR
       /\ A. a e. RR { x e. D | a < ( F ` x ) } e. ( S |`t D ) ) ) ) $=
      ( vb vy vc wcel cr cv clt crab wa adantr simpr nfv csmblfn cfv wss wf wbr
      cuni crest co wral w3a smfdmss smff nfan wceq restuni4 eqcomd rabeqdv cvv
      csalg uniexd ssexd syldan eqid subsalsal cxr eleqtrd ffvelrnd adantlr cle
      rexrd issmfle mpbid simp3d eleq1d ralbidv mpbird syl2anc salpreimalegt ex
      rspa eqeltrd ralrimi 3jca nfcv nfrab1 nfel nfralw nf3an simpr1 issmfgtlem
      nfra1 simpr2 simpr3 impbid wb breq1 rabbidv fveq2 breq2d cbvrabv cbvralvw
      a1i eqtrd 3anbi3i bitrd ) AEDUAUBLZCDUFZUCZCMEUDZINZJNZEUBZOUEZJCPZDCUGUH
      ZLZIMUIZUJZXHXIFNZBNZEUBZOUEZBCPZXOLZFMUIZUJZAXFXRAXFXRAXFQZXHXIXQYGCDEAD
      USLZXFGRZAXFSZHUKZYGCDEYIYJHULZYGXPIMAXFIAITZXFITUMYGXJMLZXPYGYNQZXNXMJXO
      UFZPZXOYGXNYQUNYNYGXMJCYPYGYPCYGDCUSYIYKUOZUPUQRYOJYPXLXJXOKYGYNJAXFJAJTZ
      XFJTUMYNJTUMYOKTYGXOUSLYNYGCDXOURYIAXFXHCURLYKAXHQCXGURAXGURLXHADUSGUTRAX
      HSVAVBXOVCVDRYPVCYGXKYPLZXLVELYNYGYTQZXLUUACMXKEYGXIYTYLRUUAXKYPCYGYTSYGY
      PCUNYTYRRVFVGVJVHYGKNZMLZXLUUBVIUEZJYPPZXOLZYNYGUUCQUUFKMUIZUUCUUFYGUUGUU
      CYGUUGUUDJCPZXOLZKMUIZYGXHXIUUJYGXFXHXIUUJUJYJYGJCDEKYIHVKVLVMYGUUFUUIKMY
      GUUEUUHXOYGUUDJYPCYRUQVNVOVPRYGUUCSUUFKMVTVQVHYGYNSVRWAVSWBWCVSAXRXFAXRQJ
      CDEIAXRJYSXHXIXQJXHJTXIJTXPJIMJMWDJXNXOXMJCWEJXOWDWFWGWHUMAXRIYMXHXIXQIXH
      ITXIITXPIMWKWHUMAYHXRGRHAXHXIXQWIAXHXIXQWLAXHXIXQWMWJVSWNXRYFWOAXQYEXHXIX
      PYDIFMXJXSUNZXNYCXOUUKXNXSXLOUEZJCPZYCUUKXMUULJCXJXSXLOWPWQUUMYCUNUUKUULY
      BJBCXKXTUNXLYAXSOXKXTEWRWSWTXBXCVNXAXDXBXE $.
  $}

  ${
    $d D x $.  $d F a x $.  $d S a $.
    issmfled.a $e |- F/ a ph $.
    issmfled.s $e |- ( ph -> S e. SAlg ) $.
    issmfled.d $e |- ( ph -> D C_ U. S ) $.
    issmfled.f $e |- ( ph -> F : D --> RR ) $.
    issmfled.6 $e |- ( ( ph /\ a e. RR ) -> { x e. D | ( F ` x ) <_ a } e. ( S
       |`t D ) ) $.
    $( A sufficient condition for " ` F ` being a real-valued measurable
       function w.r.t. to the sigma-algebra ` S ` ".  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    issmfled $p |- ( ph -> F e. ( SMblFn ` S ) ) $=
      ( csmblfn cfv wcel cr cv crab crest co mpbird cdm cuni wss wf cle wbr w3a
      wral fdmd eqsstrd ffdmd wa wb rabeqdv oveq2d eleq12d ex ralrimi 3jca eqid
      adantr issmfle ) AEDLMNEUAZDUBZUCZVCOEUDZBPEMFPZUEUFZBVCQZDVCRSZNZFOUHZUG
      AVEVFVLAVCCVDACOEJUIZIUJACOEJUKAVKFOGAVGONZVKAVNULVKVHBCQZDCRSZNZKAVKVQUM
      VNAVIVOVJVPAVHBVCCVMUNAVCCDRVMUOUPVATUQURUSABVCDEFHVCUTVBT $.
  $}

  ${
    $d A x y $.  $d B y $.  $d R x y $.
    smfpimltxrmpt.x $e |- F/ x ph $.
    smfpimltxrmpt.s $e |- ( ph -> S e. SAlg ) $.
    smfpimltxrmpt.b $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    smfpimltxrmpt.f $e |- ( ph -> ( x e. A |-> B ) e. ( SMblFn ` S ) ) $.
    smfpimltxrmpt.r $e |- ( ph -> R e. RR* ) $.
    $( Given a function measurable w.r.t. to a sigma-algebra, the preimage of
       an open interval unbounded below is in the subspace sigma-algebra
       induced by its domain.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    smfpimltxrmpt $p |- ( ph -> { x e. A | B < R } e. ( S |`t A ) ) $=
      ( vy clt wbr crab crest wcel wceq nfcv co cv cmpt cfv cdm nfmpt1 nfdm nfv
      nffv nfbr fveq2 breq1d cbvrabw a1i eqid smfpimltxr eqeltrd dmmptdf rabeqf
      syl wa fvmpt2d rabbida eqidd 3eqtrrd eqcomd oveq2d eleq12d mpbird ) ADENO
      ZBCPZFCQUAZRBUBZBCDUCZUDZENOZBVNUEZPZFVQQUAZRAVRMUBZVNUDZENOZMVQPZVSVRWCS
      AVPWBBMVQBVNBCDUFZUGZMVQTVPMUHBWAENBVTVNWDBVTTUIBNTBETUJVMVTSVOWAENVMVTVN
      UKULUMUNAMEVQFVNMVNTIKVQUOLUPUQAVKVRVLVSAVRVPBCPZVKVKAVQCSVRWFSABVNCDGHVN
      UOZJURZVPBVQCWEBCTUSUTAVPVJBCHAVMCRVAVODENABCDVNGVNVNSAWGUNJVBULVCAVKVDVE
      ACVQFQAVQCWHVFVGVHVI $.
  $}

  ${
    $d X x $.  $d ph x $.
    smfmbfcex.s $e |- S = dom vol $.
    smfmbfcex.x $e |- ( ph -> X C_ RR ) $.
    smfmbfcex.n $e |- ( ph -> -. X e. S ) $.
    smfmbfcex.f $e |- F = ( x e. X |-> 0 ) $.
    $( A constant function, with non-lebesgue-measurable domain is a
       sigma-measurable functions (w.r.t. the Lebesgue measure on the Reals)
       but it is not a measurable functions ( w.r.t. to ~ df-mbf ).
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    smfmbfcex $p |- ( ph -> ( F e. ( SMblFn ` S ) /\ -. F e. MblFn ) ) $=
      ( csmblfn cfv wcel cmbf cc0 csalg cdm a1i cr cuni 0red wn nfv cvol unieqi
      dmvolsal eqeltri unidmvol eqtri sseqtrrdi smfconst cv dmmptd wceq eleq12d
      wa eqcomi mtbird mbfdm nsyl jca ) ADCJKLDMLZUAABENCDABUBCOLACUCPZOFUEUFQA
      ERCSZGVCVBSRCVBFUDUGUHUIATIUJADPZVBLZVAAVEECLHAVDEVBCABDENRIABUKELUOTULVB
      CUMACVBFUPQUNUQDURUSUT $.
  $}

  ${
    $d D x $.  $d F a x $.  $d S a $.
    issmfgtd.a $e |- F/ a ph $.
    issmfgtd.s $e |- ( ph -> S e. SAlg ) $.
    issmfgtd.d $e |- ( ph -> D C_ U. S ) $.
    issmfgtd.f $e |- ( ph -> F : D --> RR ) $.
    issmfgtd.p $e |- ( ( ph /\ a e. RR ) -> { x e. D | a < ( F ` x ) } e. ( S
       |`t D ) ) $.
    $( A sufficient condition for " ` F ` being a measurable function w.r.t. to
       the sigma-algebra ` S ` ".  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    issmfgtd $p |- ( ph -> F e. ( SMblFn ` S ) ) $=
      ( cfv wcel cr cv crab crest co wceq adantr csmblfn cdm wss wf clt wbr w3a
      cuni wral fdmd eqsstrd wa rabeqdv oveq2d eleq12d mpbird ralrimi 3jca eqid
      ffdmd ex issmfgt ) AEDUALMEUBZDUHZUCZVCNEUDZFOZBOELUEUFZBVCPZDVCQRZMZFNUI
      ZUGAVEVFVLAVCCVDACNEJUJZIUKACNEJUTAVKFNGAVGNMZVKAVNULZVKVHBCPZDCQRZMKVOVI
      VPVJVQAVIVPSVNAVHBVCCVMUMTAVJVQSVNAVCCDQVMUNTUOUPVAUQURABVCDEFHVCUSVBUP
      $.
  $}

  ${
    $d A a x $.  $d D a x $.  $d F a x $.  $d S a $.
    smfpreimagt.s $e |- ( ph -> S e. SAlg ) $.
    smfpreimagt.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    smfpreimagt.d $e |- D = dom F $.
    smfpreimagt.a $e |- ( ph -> A e. RR ) $.
    $( Given a function measurable w.r.t. to a sigma-algebra, the preimage of
       an open interval unbounded above is in the subspace sigma-algebra
       induced by its domain.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    smfpreimagt $p |- ( ph -> { x e. D | A < ( F ` x ) } e. ( S |`t D ) ) $=
      ( va cr wcel cv cfv clt wbr crab crest co wral wss wf csmblfn w3a issmfgt
      cuni mpbid simp3d wceq breq1 rabbidv eleq1d rspcva syl2anc ) ACLMKNZBNFOZ
      PQZBDRZEDSTZMZKLUAZCUQPQZBDRZUTMZJADEUGUBZDLFUCZVBAFEUDOMVFVGVBUEHABDEFKG
      IUFUHUIVAVEKCLUPCUJZUSVDUTVHURVCBDUPCUQPUKULUMUNUO $.
  $}

  ${
    $d A p q $.  $d B p q $.  $d C p q $.  $d D p q $.  $d K x $.  $d R p q $.
    $d p ph q $.  $d p q x $.
    smfaddlem1.x $e |- F/ x ph $.
    smfaddlem1.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    smfaddlem1.d $e |- ( ( ph /\ x e. C ) -> D e. RR ) $.
    smfaddlem1.r $e |- ( ph -> R e. RR ) $.
    smfaddlem1.k $e |- K = ( p e. QQ |-> { q e. QQ | ( p + q ) < R } ) $.
    $( Given the sum of two functions, the preimage of an unbounded below, open
       interval, expressed as the countable union of intersections of preimages
       of both functions.  Proposition 121E (b) of [Fremlin1] p. 37 .
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    smfaddlem1 $p |- ( ph -> { x e. ( A i^i C ) | ( B + D ) < R } = U_ p e. QQ
       U_ q e. ( K ` p ) { x e. ( A i^i C ) | ( B < p /\ D < q ) } ) $=
      ( clt wcel cq wa adantr cv caddc wbr cin crab cfv ciun wal wceq wrex cmin
      co wb cioo simpl inss1 rabid simplbi sselid adantl syl2anc elinel2 syldan
      rexrd sylan2 resubcld simprbi ltaddsubd mpbid qelioo cxr ad2antrr elioore
      cr qre simpr iooltub syl3anc ltsub13d adantlr nfv nfre1 wi simplr 3adant3
      3ad2ant3 3ad2ant2 3ad2ant1 simp3 ltadd2dd recnd pncan3d breqtrd ad5ant135
      w3a jca sylibr cvv qex rabex a1i fvmpt2 ad4antlr eleqtrrd simp-5r ioogtlb
      id syl ad5ant13 ad4ant14 jca32 ex rexlimd mpd eliun reximdva rexbii bitri
      rspe biimpi simpld elinel1 3adant2 readdcld simp2l ssrab2 eleqtrd simprld
      ssriv sseli simprrd ltadd12dd rabidim2 lttrd 3exp rexlimdvv impbid nfrab1
      nfcv nfiun alrimi cleqf ) ABUAZDFUBULZGPUCZBCEUDZUEZQZUUCJRIJUAZHUFZDUUIP
      UCZFIUAZPUCZSZBUUFUEZUGZUGZQZUMZBUHUUGUUQUIAUUSBKAUUHUURAUUHUURAUUHSZUUCU
      UPQZJRUJZUURUUTUUIDGFUKULZUNULQZJRUJUVBUUTJDUVCUUTDUUTAUUCCQZDVNQZAUUHUOU
      UHUVEAUUHUUFCUUCCEUPUUHUUCUUFQZUUEUUEBUUFUQZURZUSUTLVAZVDZUUTUVCUUTGFAGVN
      QZUUHNTZUUHAUVGFVNQZUVIAUVGUUCEQZUVNUVGUVOAUUCCEVBUTMVCZVEZVFVDZUUTUUEDUV
      CPUCUUHUUEAUUHUVGUUEUVHVGUTUUTDFGUVJUVQUVMVHVIVJUUTUVDUVAJRUUTUUIRQZSZUVD
      UVAUVTUVDSZUUCUUOQZIUUJUJZUVAUWAUULFGUUIUKULZUNULQZIRUJUWCUWAIFUWDUUTFVKQ
      ZUVSUVDUUTFUVQVDZVLUVTUWDVKQZUVDUVTUWDUVTGUUIAUVLUUHUVSNVLUVSUUIVNQZUUTUU
      IVOZUTVFVDZTUUTUVDFUWDPUCUVSUUTUVDSZUUIGFUVDUWIUUTUUIDUVCVMZUTUUTUVLUVDUV
      MTZUUTUVNUVDUVQTUWLDVKQZUVCVKQZUVDUUIUVCPUCUUTUWOUVDUVKTZUUTUWPUVDUVRTZUU
      TUVDVPZDUVCUUIVQVRVSVTVJUWAUWEUWCIRUWAIWAUWBIUUJWBUWAUULRQZUWEUWCWCUWAUWT
      SZUWEUWCUXAUWESZUULUUJQZUWBUWCUXBUULUUIUULUBULZGPUCZIRUEZUUJUXBUWTUXESUUL
      UXFQZUXBUWTUXEUWAUWTUWEWDUUTUVDUWEUXEUVSUWTUUTUVDUWEWOZUXDUUIUWDUBULGPUXH
      UULUWDUUIUWEUUTUULVNQZUVDUULFUWDVMWFUXHGUUIUUTUVDUVLUWEUWNWEZUVDUUTUWIUWE
      UWMWGZVFZUXKUXHUWFUWHUWEUULUWDPUCUUTUVDUWFUWEUWGWHUXHUWDUXLVDUUTUVDUWEWIF
      UWDUULVQVRWJUXHUUIGUXHUUIUXKWKUXHGUXJWKWLWMWNWPUXEIRUQWQUVSUUJUXFUIZUUTUV
      DUWTUWEUVSUVSUXFWRQZUXMUVSXGUXNUVSUXEIRWSWTXAJRUXFWRHOXBVAZXCXDUXBUVGUUNS
      ZUWBUXBUVGUUKUUMUXBUUHUVGAUUHUVSUVDUWTUWEXEUVIXHUUTUVDUUKUVSUWTUWEUWLUWOU
      WPUVDUUKUWQUWRUWSDUVCUUIXFVRXIUVTUWEUUMUVDUWTUVTUWESUWFUWHUWEUUMUUTUWFUVS
      UWEUWGVLUVTUWHUWEUWKTUVTUWEVPFUWDUULXFVRXJXKUUNBUUFUQZWQUWBIUUJXSVAXLXLXM
      XNIUUCUUJUUOXOZWQXLXPXNJUUCRUUPXOZWQXLAUURUUHAUURSUWCJRUJZUUHUURUXTAUURUX
      TUURUVBUXTUXSUVAUWCJRUXRXQXRXTUTAUXTUUHWCUURAUWBUUHJIRUUJAUVSUXCSZUWBUUHA
      UYAUWBWOZUVGUUESUUHUYBUVGUUEUWBAUVGUYAUWBUVGUUNUWBUXPUXQXTZYAZWFUYBUUDUXD
      GUYBDFAUWBUVFUYAUWBAUVGUVFUYDAUVGUVEUVFUVGUVEAUUCCEYBUTLVCVEYCZAUWBUVNUYA
      UWBAUVGUVNUYDUVPVEYCZYDUYBUUIUULUYBUVSUWIAUVSUXCUWBYEUWJXHZUYBUWTUXIUYAAU
      WTUWBUYAUXFRUULUXEIRYFUYAUULUUJUXFUVSUXCVPUVSUXMUXCUXOTYGZUSWGRVNUULJRVNU
      WJYIYJXHZYDAUYAUVLUWBNWHUYBDFUUIUULUYEUYFUYGUYIUWBAUUKUYAUWBUVGUUKUUMUYCY
      HWFUWBAUUMUYAUWBUVGUUKUUMUYCYKWFYLUYAAUXEUWBUYAUXGUXEUYHUXEIRYMXHWGYNWPUV
      HWQYOYPTXNXLYQUUABUUGUUQUUEBUUFYRJBRUUPBRYSIBUUJUUOBUUJYSUUNBUUFYRYTYTUUB
      WQ $.
  $}

  ${
    $d A p q x $.  $d B p q $.  $d C p q x $.  $d D p q $.  $d K q x $.
    $d R p q $.  $d S p q $.  $d p ph q $.
    smfaddlem2.x $e |- F/ x ph $.
    smfaddlem2.s $e |- ( ph -> S e. SAlg ) $.
    smfaddlem2.a $e |- ( ph -> A e. V ) $.
    smfaddlem2.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    smfaddlem2.d $e |- ( ( ph /\ x e. C ) -> D e. RR ) $.
    smfaddlem2.m $e |- ( ph -> ( x e. A |-> B ) e. ( SMblFn ` S ) ) $.
    smfaddlem2.7 $e |- ( ph -> ( x e. C |-> D ) e. ( SMblFn ` S ) ) $.
    smfaddlem2.r $e |- ( ph -> R e. RR ) $.
    smfaddlem2.k $e |- K = ( p e. QQ |-> { q e. QQ | ( p + q ) < R } ) $.
    $( The sum of two sigma-measurable functions is measurable.  Proposition
       121E (b) of [Fremlin1] p. 37 .  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    smfaddlem2 $p |- ( ph -> { x e. ( A i^i C ) | ( B + D ) < R } e. ( S |`t (
       A i^i C ) ) ) $=
      ( caddc co clt wbr cin crab cq cv cfv wa ciun smfaddlem1 cvv wcel elinel1
      crest adantl ssdf ssexd eqid subsalsal com cdom qct a1i csalg adantr cmpt
      wss wceq rabex fvmpt2d ssrab2 eqsstrdi ssdomg sylc domtr syl2anc ad2antrr
      qex cr nfv nfan syldan ad4ant14 csmblfn sssmfmpt qre ad2antlr smfpimltmpt
      inrab elinel2 ssriv sselda sselid salincld eqeltrrid saliuncl eqeltrd ) A
      DFUBUCGUDUEBCEUFZUGLUHKLUIZIUJZDXBUDUEZFKUIZUDUEZUKBXAUGZULZULHXAUQUCZABC
      DEFGIKLMPQTUAUMAXILXHUHAXAHXIUNNAXACJOABXACMBUIZXAUOZXJCUOZAXJCEUPURZUSZU
      TXIVAVBZUHVCVDUEZAVEVFAXBUHUOZUKZXIKXGXCAXIVGUOZXQXOVHXRXCUHVDUEZXPXCVCVD
      UEXRUHUNUOZXCUHVJXTYAXRWAVFXRXCXBXEUBUCGUDUEZKUHUGZUHALUHYCIUNILUHYCVIVKA
      UAVFYCUNUOXRYBKUHWAVLVFVMYBKUHVNVOZXCUHUNVPVQXPXRVEVFXCUHVCVRVSXRXEXCUOZU
      KZXGXDBXAUGZXFBXAUGZUFXIXDXFBXAWLYFXIYGYHAXSXQYEXOVTYFBXADXBHWBXRYEBAXQBM
      XQBWCWDYEBWCWDZAHVGUOXQYENVTZAXKDWBUOZXQYEAXKXLYKXMPWEWFABXADVIHWGUJZUOXQ
      YEABCDXAHNRXNWHVTXQXBWBUOAYEXBWIZWJWKYFBXAFXEHWBYIYJAXKFWBUOZXQYEAXKXJEUO
      ZYNXKYOAXJCEWMURZQWEWFABXAFVIYLUOXQYEABEFXAHNSABXAEMYPUSWHVTYFUHWBXELUHWB
      YMWNXRXCUHXEYDWOWPWKWQWRWSWSWT $.
  $}

  ${
    $d A a p q x $.  $d B a p q $.  $d C a p q x $.  $d D a p q $.
    $d S a p q $.  $d a p ph q $.  $d a p q r x $.
    smfadd.x $e |- F/ x ph $.
    smfadd.s $e |- ( ph -> S e. SAlg ) $.
    smfadd.a $e |- ( ph -> A e. V ) $.
    smfadd.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    smfadd.d $e |- ( ( ph /\ x e. C ) -> D e. RR ) $.
    smfadd.m $e |- ( ph -> ( x e. A |-> B ) e. ( SMblFn ` S ) ) $.
    smfadd.n $e |- ( ph -> ( x e. C |-> D ) e. ( SMblFn ` S ) ) $.
    $( The sum of two sigma-measurable functions is measurable.  Proposition
       121E (b) of [Fremlin1] p. 37 .  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    smfadd $p |- ( ph -> ( x e. ( A i^i C ) |-> ( B + D ) ) e. ( SMblFn ` S ) )
               $=
      ( vp cv wcel cr cq va vr vq cin caddc co nfv cuni elinel1 adantl ssdf cdm
      cmpt eqid dmmptdf eqcomd smfdmss eqsstrd sstrd wa syldan elinel2 readdcld
      fmptdf fvmptelrn clt wbr crab nfan csalg adantr adantlr csmblfn cfv simpr
      wceq oveq2 breq1d cbvrabv mpteq2i smfaddlem2 issmfdmpt ) ABCEUDZDFUEUFZGU
      AIAUAUGJAWCCGUHZABWCCIBQZWCRZWFCRZAWFCEUIUJZUKACBCDUMZULZWEAWKCABWJCDSIWJ
      UNLUOUPAWKGWJJNWKUNUQURUSABWCWDSABWCWDSBWCWDUMZIAWGUTDFAWGWHDSRZWILVAAWGW
      FERZFSRZWGWNAWFCEVBUJMVAVCWLUNVDVEAUAQZSRZUTBCDEFWPGPTPQZUBQZUEUFZWPVFVGZ
      UBTVHZUMHUCPAWQBIWQBUGVIAGVJRWQJVKACHRWQKVKAWHWMWQLVLAWNWOWQMVLAWJGVMVNZR
      WQNVKABEFUMXCRWQOVKAWQVOPTXBWRUCQZUEUFZWPVFVGZUCTVHXAXFUBUCTWSXDVPWTXEWPV
      FWSXDWRUEVQVRVSVTWAWB $.
  $}

  ${
    $d A b $.  $d A x y $.  $d B b $.  $d C y $.  $d D b $.  $d D x y $.
    $d E b $.  $d E x $.  $d F x y $.  $d R x y $.  $d Y b $.  $d Y y $.
    decsmflem.x $e |- F/ x ph $.
    decsmflem.y $e |- F/ y ph $.
    decsmflem.a $e |- ( ph -> A C_ RR ) $.
    decsmflem.f $e |- ( ph -> F : A --> RR* ) $.
    decsmflem.i $e |- ( ph -> A. x e. A A. y e. A ( x <_ y -> ( F ` y ) <_ ( F
       ` x ) ) ) $.
    decsmflem.j $e |- J = ( topGen ` ran (,) ) $.
    decsmflem.b $e |- B = ( SalGen ` J ) $.
    decsmflem.r $e |- ( ph -> R e. RR* ) $.
    decsmflem.l $e |- Y = { x e. A | R < ( F ` x ) } $.
    decsmflem.c $e |- C = sup ( Y , RR* , < ) $.
    decsmflem.d $e |- D = ( -oo (,) C ) $.
    decsmflem.e $e |- E = ( -oo (,] C ) $.
    $( A nonincreasing function is Borel measurable.  Proposition 121D (c) of
       [Fremlin1] p. 36 .  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    decsmflem $p |- ( ph -> E. b e. B Y = ( b i^i A ) ) $=
      ( wcel cv cin wceq wrex wa cmnf cioc co cxr mnfxr a1i cr wss cfv clt crab
      wbr ssrab2 eqsstri sstrd sselda iocborel eqeltrid csup nfrab1 nfcxfr nfcv
      nfsup nfel nfan adantr wf cle wi wral simpr pimdecfgtioc rspceeqv syl2anc
      ineq1 wn cioo iooborel eqeltri nfn nfv pimdecfgtioo pm2.61dan ) AFLUFZLMU
      GZDUHZUIMEUJZAWOUKZIEUFLIDUHZUIWRWSIULFUMUNEUEWSULEFKULUOUFWSUPUQALURFALD
      URLDUSALHBUGZJUTZVAVCZBDVBZDUBXCBDVDVEUQPVFVGSTVHVIWSBCDHFJILAWOBNBFLBFLU
      OVAVJUCBLUOVABLXDUBXCBDVKVLZBUOVMBVAVMVNVLXEVOZVPADURUSZWOPVQADUOJVRZWOQV
      QAXACUGZVSVCXIJUTXBVSVCVTCDWABDWAZWORVQAHUOUFZWOUAVQUBUCAWOWBUEWCMIEWQWTL
      WPIDWFWDWEAWOWGZUKZGEUFZLGDUHZUIWRAXNXLXNAGULFWHUNEUDULEFKSTWIWJUQVQXMBCD
      HFJGLAXLBNWOBXFWKVPAXLCOXLCWLVPAXGXLPVQAXHXLQVQAXJXLRVQAXKXLUAVQUBUCAXLWB
      UDWMMGEWQXOLWPGDWFWDWEWN $.
  $}

  ${
    $d A b w x $.  $d A w x y $.  $d A w y z $.  $d B a b $.  $d F a b w x $.
    $d F a w x y $.  $d F w y z $.  $d a ph $.
    decsmf.x $e |- F/ x ph $.
    decsmf.y $e |- F/ y ph $.
    decsmf.a $e |- ( ph -> A C_ RR ) $.
    decsmf.f $e |- ( ph -> F : A --> RR ) $.
    decsmf.i $e |- ( ph -> A. x e. A A. y e. A ( x <_ y -> ( F ` y ) <_ ( F ` x
       ) ) ) $.
    decsmf.j $e |- J = ( topGen ` ran (,) ) $.
    decsmf.b $e |- B = ( SalGen ` J ) $.
    $( A real-valued, nonincreasing function is Borel measurable.  Proposition
       121D (c) of [Fremlin1] p. 36 .  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    decsmf $p |- ( ph -> F e. ( SMblFn ` B ) ) $=
      ( wcel cr wceq cv wbr cle va vb vw vz nfv ctop cioo crn ctg retop eqeltri
      cfv salgencld cuni unisalgen2 unieqi uniretop eqcomi 3eqtrrd sseqtrd crab
      a1i wa clt crest co cin wrex cxr csup cmnf cioc nfan adantr wf frexr wral
      wss breq1 fveq2 breq2d imbi12d breq2 breq1d cbvral2vw sylib sylibr adantl
      wi rexr eqid cbvrabv supeq1i decsmflem cvv csalg elexd reex ssexd syl2anc
      wb elrest mpbird issmfgtd ) ABDEFUAAUAUEAEUFGGUFOAGUGUHUIULZUFMUJUKVBZNUM
      ZADPEUNZJAXHGUNZXEUNZPAGEUFXFNUOXIXJQAGXEMUPVBXJPQAPXJUQURVBUSUTKAUARZPOZ
      VCZXKBRZFULZVDSZBDVAZEDVEVFOZXQUBRDVGQUBEVHZXMBCDEXKUCRZFULZVDSZUCDVAZVIV
      DVJZVKYDUGVFZXKVKYDVLVFZFGXQUBAXLBHXLBUEVMAXLCIXLCUEVMADPVRXLJVNADVIFVOXL
      ADFKVPVNXMXTUDRZTSZYGFULZYATSZWIZUDDVQUCDVQZXNCRZTSZYMFULZXOTSZWIZCDVQBDV
      QZAYLXLAYRYLLYQYKXTYMTSZYOYATSZWIBCUCUDDDXNXTQZYNYSYPYTXNXTYMTVSUUAXOYAYO
      TXNXTFVTWAWBYMYGQZYSYHYTYJYMYGXTTWCUUBYOYIYATYMYGFVTWDWBWEZWFVNUUCWGMNXLX
      KVIOAXKWJWHXQWKVIYCXQVDYBXPUCBDXTXNQYAXOXKVDXTXNFVTWAWLWMYEWKYFWKWNAXRXSX
      AZXLAEWOODWOOUUDAEWPXGWQADPWOPWOOAWRVBJWSUBXQDEWOWOXBWTVNXCXD $.
  $}

  ${
    $d A x y $.  $d D y $.  $d F y $.
    smfpreimagtf.x $e |- F/_ x F $.
    smfpreimagtf.s $e |- ( ph -> S e. SAlg ) $.
    smfpreimagtf.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    smfpreimagtf.d $e |- D = dom F $.
    smfpreimagtf.a $e |- ( ph -> A e. RR ) $.
    $( Given a function measurable w.r.t. to a sigma-algebra, the preimage of
       an open interval unbounded above is in the subspace sigma-algebra
       induced by its domain.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    smfpreimagtf $p |- ( ph -> { x e. D | A < ( F ` x ) } e. ( S |`t D ) ) $=
      ( vy cv cfv clt wbr crab crest wceq nfcv co cdm nfdm nfcxfr nfv nffv nfbr
      fveq2 breq2d cbvrabw a1i smfpreimagt eqeltrd ) ACBMZFNZOPZBDQZCLMZFNZOPZL
      DQZEDRUAUQVASAUPUTBLDBDFUBJBFGUCUDLDTUPLUEBCUSOBCTBOTBURFGBURTUFUGUNURSUO
      USCOUNURFUHUIUJUKALCDEFHIJKULUM $.
  $}

  ${
    $d D a b x $.  $d F a b x $.  $d S a b x $.  $d b ph $.
    issmfgelem.x $e |- F/ x ph $.
    issmfgelem.a $e |- F/ a ph $.
    issmfgelem.s $e |- ( ph -> S e. SAlg ) $.
    issmfgelem.d $e |- D = dom F $.
    issmfgelem.i $e |- ( ph -> D C_ U. S ) $.
    issmfgelem.f $e |- ( ph -> F : D --> RR ) $.
    issmfgelem.p $e |- ( ph -> A. a e. RR { x e. D | a <_ ( F ` x ) } e. ( S
       |`t D ) ) $.
    $( The predicate " ` F ` is a real-valued measurable function w.r.t. to the
       sigma-algebra ` S ` ".  A function is measurable iff the preimages of
       all left-closed intervals unbounded above are in the subspace
       sigma-algebra induced by its domain.  The domain of ` F ` is required to
       be a subset of the underlying set of ` S ` .  Definition 121C of
       [Fremlin1] p. 36, and Proposition 121B (iv) of [Fremlin1] p. 36 .
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    issmfgelem $p |- ( ph -> F e. ( SMblFn ` S ) ) $=
      ( vb wcel cr crab wa adantr cvv csmblfn cfv cuni wss wf cv clt crest wral
      wbr co w3a wceq csalg restuni4 eqcomd rabeqdv nfv nfan uniexd simpr ssexd
      mpdan eqid subsalsal cxr eleqtrd ffvelrnd rexrd adantlr cle eleq1d ralbid
      mpbid rspa syl2anc salpreimagelt eqeltrd ralrimiva 3jca issmf mpbird ) AE
      DUAUBOCDUCZUDZCPEUEZBUFZEUBZNUFZUGUJZBCQZDCUHUKZOZNPUIZULAWDWEWMKLAWLNPAW
      HPOZRZWJWIBWKUCZQZWKAWJWQUMWNAWIBCWPAWPCADCUNIKUOZUPZUQSWOBWPWGWHWKFAWNBG
      WNBURUSAWNFHWNFURUSAWKUNOWNACDWKTIAWDCTOKAWDRCWCTAWCTOWDADUNIUTSAWDVAVBVC
      WKVDVESWPVDAWFWPOZWGVFOWNAWTRZWGXACPWFEAWEWTLSXAWFWPCAWTVAAWPCUMWTWRSVGVH
      VIVJAFUFZPOZXBWGVKUJZBWPQZWKOZWNAXCRXFFPUIZXCXFAXGXCAXDBCQZWKOZFPUIXGMAXI
      XFFPHAXHXEWKAXDBCWPWSUQVLVMVNSAXCVAXFFPVOVPVJAWNVAVQVRVSVTABCDENIJWAWB $.
  $}

  ${
    $d D a b x y $.  $d D b c y $.  $d F a b x y $.  $d F b c y $.
    $d S a b y $.  $d S b c y $.  $d b c ph y $.
    issmfge.s $e |- ( ph -> S e. SAlg ) $.
    issmfge.d $e |- D = dom F $.
    $( The predicate " ` F ` is a real-valued measurable function w.r.t. to the
       sigma-algebra ` S ` ".  A function is measurable iff the preimages of
       all left-closed intervals unbounded above are in the subspace
       sigma-algebra induced by its domain.  The domain of ` F ` is required to
       be b subset of the underlying set of ` S ` .  Definition 121C of
       [Fremlin1] p. 36, and Proposition 121B (iv) of [Fremlin1] p. 36 .
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    issmfge $p |- ( ph -> ( F e. ( SMblFn ` S ) <-> ( D C_ U. S /\ F : D --> RR
       /\ A. a e. RR { x e. D | a <_ ( F ` x ) } e. ( S |`t D ) ) ) ) $=
      ( vb vy wcel cr cv cle wbr crab wa adantr simpr nfv vc csmblfn cfv wss wf
      cuni crest co wral w3a csalg smfdmss smff nfan cvv uniexd ssexd subsalsal
      syldan eqid cxr ffvelrnda adantlr clt smfpreimagt salpreimagtge ralrimiva
      rexrd 3jca nfcv nfrab1 nfralw nf3an nfra1 simpr1 simpr2 simpr3 issmfgelem
      ex nfel impbid wceq breq1 rabbidv fveq2 breq2d cbvrabv a1i eqtrd cbvralvw
      wb eleq1d 3anbi3i bitrd ) AEDUBUCKZCDUFZUDZCLEUEZIMZJMZEUCZNOZJCPZDCUGUHZ
      KZILUIZUJZWQWRFMZBMZEUCZNOZBCPZXDKZFLUIZUJZAWOXGAWOXGAWOQZWQWRXFXPCDEADUK
      KZWOGRZAWOSZHULZXPCDEXRXSHUMZXPXEILXPWSLKZQZJCXAWSXDUAXPYBJAWOJAJTZWOJTUN
      YBJTUNYCUATXPXDUKKYBXPCDXDUOXRAWOWQCUOKXTAWQQCWPUOAWPUOKWQADUKGUPRAWQSUQU
      SXDUTURRXPWTCKZXAVAKYBXPYEQXAXPCLWTEYAVBVHVCXPUAMZLKZYFXAVDOJCPXDKYBXPYGQ
      JYFCDEXPXQYGXRRXPWOYGXSRHXPYGSVEVCXPYBSVFVGVIVSAXGWOAXGQJCDEIAXGJYDWQWRXF
      JWQJTWRJTXEJILJLVJJXCXDXBJCVKJXDVJVTVLVMUNAXGIAITWQWRXFIWQITWRITXEILVNVMU
      NAXQXGGRHAWQWRXFVOAWQWRXFVPAWQWRXFVQVRVSWAXGXOWKAXFXNWQWRXEXMIFLWSXHWBZXC
      XLXDYHXCXHXANOZJCPZXLYHXBYIJCWSXHXANWCWDYJXLWBYHYIXKJBCWTXIWBXAXJXHNWTXIE
      WEWFWGWHWIWLWJWMWHWN $.
  $}

  ${
    $d C r $.  $d F x $.  $d P r $.  $d S k m n $.  $d S s $.  $d Z j n $.
    $d Z k m n $.  $d Z m n x $.  $d k m n ph $.  $d k m ph r $.
    smflimlem1.1 $e |- Z = ( ZZ>= ` M ) $.
    smflimlem1.2 $e |- ( ph -> S e. SAlg ) $.
    smflimlem1.3 $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F ` m
       ) | ( m e. Z |-> ( ( F ` m ) ` x ) ) e. dom ~~> } $.
    smflimlem1.4 $e |- P = ( m e. Z , k e. NN |-> { s e. S | { x e. dom ( F ` m
       ) | ( ( F ` m ) ` x ) < ( A + ( 1 / k ) ) } = ( s i^i dom ( F ` m ) ) }
       ) $.
    smflimlem1.5 $e |- H = ( m e. Z , k e. NN |-> ( C ` ( m P k ) ) ) $.
    smflimlem1.6 $e |- I = |^|_ k e. NN U_ n e. Z |^|_ m e. ( ZZ>= ` n ) ( m H
       k ) $.
    smflimlem1.7 $e |- ( ( ph /\ r e. ran P ) -> ( C ` r ) e. r ) $.
    $( Lemma for the proof that the limit of a sequence of sigma-measurable
       functions is sigma-measurable, Proposition 121F (a) of [Fremlin1]
       p. 38 .  This lemma proves that ` ( D i^i I ) ` is in the subspace
       sigma-algebra induced by ` D ` .  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    smflimlem1 $p |- ( ph -> ( D i^i I ) e. ( S |`t D ) ) $=
      ( vj cin csalg cvv wcel cfv cmpt cli cdm ciin ciun crab wral fvex eqeltri
      cv cuz c0 wne cz uzssz eleq2i biimpi sselid uzid syl ne0d dmex a1i iinexg
      rgenw syl2anc rgen iunexg mp2an rabex cn co com cdom wbr nnct nnn0 adantr
      uzct eqid adantl simpll adantllr adantlll uztrn2 ssd sselda adantll simp3
      wa w3a wceq simp2 ovmpt4g syl3anc c1 cdiv caddc clt simp1 rabexd eqsstrdi
      ssrab2 ralrimivw 3ad2ant1 elrnmpoid wi ovex eleq1 anbi2d fveq2 id eleq12d
      crn imbi12d vtocl sseldd eqeltrd saliincl saliuncl eqeltrid incom elrestd
      ) AEMUFEGUGUHMSEUHUIAEIOBUTIUTZKUJZUJZUKULUMUIZBJOIJUTZVAUJZYOUMZUNZUOZUP
      UHTYQBUUBOUHUIUUAUHUIZJOUQUUBUHUIONVAUJZUHRNVAURUSUUCJOYROUIZYSVBVCZYTUHU
      IZIYSUQZUUCUUEYSYRUUEYRVDUIYRYSUIUUEUUDVDYRNVEUUEYRUUDUIOUUDYRRVFVGVHYRVI
      VJVKZUUHUUEUUGIYSYOYNKURVLVOVMIYSYTUHVNVPVQJOUUAUHUHVRVSVTUSVMAMHWAJOIYSY
      NHUTZLWBZUNZUOZUNGUCAGHUUMWASWAWCWDWEAWFVMWAVBVCAWGVMAUUJWAUIZWTZGJUULOAG
      UGUIZUUNSWHZOWCWDWEUUONORWIVMUUOUUEWTZGIUUKYSUUOUUPUUEUUQWHYSWCWDWEUURYRY
      SYSWJWIVMUUEUUFUUOUUIWKUURYNYSUIZWTAUUNYNOUIZUUKGUIAUUEUUSAUUNAUUEUUSWLWM
      UUNUUEUUSUUNAUUNUUEUUSWLWNUUEUUSUUTUUOUUEYSOYNUUEUEYSONUEUTYRORWOWPWQWRAU
      UNUUTXAZUUKYNUUJFWBZDUJZGUVAUUTUUNUVCUHUIZUUKUVCXBAUUNUUTWSZAUUNUUTXCZUVD
      UVAUVBDURVMIHOWAUVCLUHUBXDXEUVAUVBGUVCUVAUVBYPCXFUUJXGWBXHWBXIWEBYTUPPUTY
      TUFXBZPGUPZGUVAUUTUUNUVHUHUIZUVBUVHXBUVEUVFUVAAUVIAUUNUUTXJZAUVGPGUVHUGUV
      HWJSXKZVJIHOWAUVHFUHUAXDXEUVGPGXMXLUVAAUVBFYDZUIZUVCUVBUIZUVJUVAUUTUUNUVI
      HWAUQZIOUQZUVMUVEUVFAUUNUVPUUTAUVOIOAUVIHWAUVKXNXNXOIHOWAUVHFUHUAXPXEAQUT
      ZUVLUIZWTZUVQDUJZUVQUIZXQAUVMWTZUVNXQQUVBYNUUJFXRUVQUVBXBZUVSUWBUWAUVNUWC
      UVRUVMAUVQUVBUVLXSXTUWCUVTUVCUVQUVBUVQUVBDYAUWCYBYCYEUDYFVPYGYHXEYIYJYIYK
      EMYLYM $.
  $}

  ${
    $d A i k m n $.  $d A k m s $.  $d C r $.  $d D i k m n $.  $d F i n x $.
    $d F s x $.  $d G i k m n $.  $d H s $.  $d I x $.  $d P r $.  $d S s $.
    $d Z i k m n x $.  $d Z j n $.  $d i k m n ph x $.  $d k m ph r $.
    smflimlem2.1 $e |- Z = ( ZZ>= ` M ) $.
    smflimlem2.2 $e |- ( ph -> S e. SAlg ) $.
    smflimlem2.3 $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smflimlem2.4 $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F ` m
       ) | ( m e. Z |-> ( ( F ` m ) ` x ) ) e. dom ~~> } $.
    smflimlem2.5 $e |- G = ( x e. D |-> ( ~~> ` ( m e. Z |-> ( ( F ` m ) ` x )
       ) ) ) $.
    smflimlem2.6 $e |- ( ph -> A e. RR ) $.
    smflimlem2.7 $e |- P = ( m e. Z , k e. NN |-> { s e. S | { x e. dom ( F ` m
       ) | ( ( F ` m ) ` x ) < ( A + ( 1 / k ) ) } = ( s i^i dom ( F ` m ) ) }
       ) $.
    smflimlem2.8 $e |- H = ( m e. Z , k e. NN |-> ( C ` ( m P k ) ) ) $.
    smflimlem2.9 $e |- I = |^|_ k e. NN U_ n e. Z |^|_ m e. ( ZZ>= ` n ) ( m H
       k ) $.
    smflimlem2.10 $e |- ( ( ph /\ r e. ran P ) -> ( C ` r ) e. r ) $.
    $( Lemma for the proof that the limit of sigma-measurable functions is
       sigma-measurable, Proposition 121F (a) of [Fremlin1] p. 38 .  This lemma
       proves one-side of the double inclusion for the proof that the preimages
       of right-closed, unbounded-below intervals are in the subspace
       sigma-algebra induced by ` D ` .  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    smflimlem2 $p |- ( ph -> { x e. D | ( G ` x ) <_ A } C_ ( D i^i I ) ) $=
      ( vi vj cv cfv cle wbr crab wss cmpt cli cdm wcel ciin ciun nfrab1 nfcxfr
      cuz ssrab2f a1i wi wral wa cn co wrex c1 caddc clt simpllr ssrab2 eqsstri
      cdiv sseli wceq fveq2 iineq1d cbviunv eleq2i eliun bitri sylib syl cr nfv
      nfan nfcv nfii1 nfel nfmpt1 eqid uzssz biimpi sselid uzid ad2antlr simpld
      cz simplll uzss sseqtrrdi sselda ad4ant24 adantll w3a fvexd 3adant3 csalg
      adantr simp3 syl3anc adantl3r sylibr eqcomd simplr uztrn2 simpll2 syl2anc
      cvv simpr id ex syl31anc reximdva mpd cin ralrimivw eleq12d ovmpt4g eliin
      wb ax-mp ralrimiva eliinid eqidd fvmpt2d wf csmblfn smff ffvelrnd eqeltrd
      ffvelrnda rabidim2 climdm fnlimfv breqtrd ad4antr ad5antr simp-4r nnrecrp
      adantl crp climleltrp simp-6l nf3an simpll fvmpt2 eqbrtrd 3ad2antl3 rabid
      jca syldan adantrl ralimdaa rexlimdva2 nfra1 simpll1 ssd 3adantl1 adantlr
      ssrexv rspa crn simp1 simp2 rabexd 3ad2ant1 elrnmpoid ovex anbi2d imbi12d
      eleq1 vtocl mpbid ineq1 eqeq2d elrab simprd inss1 eqsstrdi sseldd ralrimi
      vex ad5ant145 eleqtrrdi rabss ssind ) ABUKZLULZCUMUNZBEUOZENUXHEUPAUXGBEB
      EIPUXEIUKZKULZULZUQZURUSUTZBJPIJUKZVEULZUXJUSZVAZVBZUOZUBUXMBUXRVCVDZVFVG
      AUXGUXENUTZVHZBEVIUXHNUPAUYBBEAUXEEUTZVJZUXGUYAUYDUXGVJZUXEHVKJPIUXOUXIHU
      KZMVLZVAZVBZVAZNUYEUXEUYIUTZHVKVIZUXEUYJUTZUYEUYKHVKUYEUYFVKUTZVJZUXEUYHU
      TZJPVMZUYKUYOUXEUXKCVNUYFVTVLZVOVLZVPUNZBUXPUOZUTZIUXOVIZJPVMZUYQUYOUXEIU
      IUKZVEULZUXPVAZUTZUIPVMZVUDUYOUYCVUIAUYCUXGUYNVQUYCUXEUXRUTZVUIEUXRUXEEUX
      SUXRUBUXMBUXRVRVSWAVUJUXEUIPVUGVBZUTVUIUXRVUKUXEJUIPUXQVUGUXNVUEWBIUXOVUF
      UXPUXNVUEVEWCWDWEWFUIUXEPVUGWGWHWIWJUYOVUHVUDUIPUYOVUEPUTZVJZVUHVJZVUCJVU
      FVMZVUDVUNUXIUXLULZWKUTZVUPUYSVPUNZVJZIUXOVIZJVUFVMVUOVUNUXFCJIUXLVUEVUEU
      YRVUFVUMVUHIUYOVULIUYEUYNIUYEIWLUYNIWLWMVULIWLZWMIUXEVUGIUXEWNIVUFUXPWOWP
      ZWMIPUXKWQVUFWRZVULVUEVUFUTZUYOVUHVULVUEXEUTVVDVULOVEULZXEVUEOWSVULVUEVVE
      UTZPVVEVUESWFWTZXAVUEXBWJXCUYEVULVUHUXIVUFUTZVUQUYNUYDVULVUHVVHVUQUXGUYDV
      ULVJZVUHVJVVHVJZAUXIPUTZUXEUXPUTZVUQVVJAUYCUYDVULVUHVVHXFXDVULVVHVVKUYDVU
      HVULVUFPUXIVULVUFVVEPVULVVFVUFVVEUPVVGOVUEXGWJSXHZXIZXJVUHVVHVVLVVIIUXEVU
      FUXPUUAZXKAVVKVVLXLZVUPUXKWKAVVKVUPUXKWBZVVLAIPUXKUXLYFAUXLUUBAVVKVJZUXEU
      XJXMUUCXNVVPUXPWKUXEUXJAVVKUXPWKUXJUUDVVLVVRUXPGUXJAGXOUTVVKTXPAPGUUEULUX
      IKUAUUIUXPWRUUFXNAVVKVVLXQUUGUUHXRXSXSUYDUXLUXFURUNUXGUYNVULVUHUYDUXLUXLU
      RULZUXFURUYDUXMUXLVVSURUNZUYDVVTUXMUYCVVTAUYCUXMVVTUYCUXEUXSUTZUXMUYCVWAE
      UXSUXEUBWFWTUXMBUXRUUJWJUXLUUKZWIUURVWBXTVWBWIUYDUXFVVSUYDBEIKLUXEPUXTBKW
      NUCAUYCYGUULYAUUMUUNACWKUTUYCUXGUYNVULVUHUDUUOUYDUXGUYNVULVUHUUPVUNUYNUYR
      UUSUTUYEUYNVULVUHVQUYFUUQWJUUTVUNVUTVUCJVUFVUNUXNVUFUTZVJAVULVUHVWCVUTVUC
      VHAUYCUXGUYNVULVUHVWCUVAVUNVULVWCUYOVULVUHYBXPVUMVUHVWCYBVUNVWCYGAVULVUHX
      LZVWCVJZVUSVUBIUXOVWDVWCIAVULVUHIAIWLVVAVVBUVBVWCIWLWMVWEUXIUXOUTZVJVWDVV
      HVUSVUBVHVWDVWCVWFUVCVWCVWFVVHVWDVUEUXIUXNVUFVVCYCXKVWDVVHVJZVUSVUBVWGVUR
      VUBVUQVWGVURUYTVUBVWGVURVJZVVKVURUYTVWHVULVVHVVKAVULVUHVVHVURYDVWDVVHVURY
      BVVNYEVWGVURYGVVKVURVJUXKVUPUYSVPVVKUXKVUPWBVURVVKVUPUXKVVKVVKUXKYFUTVVQV
      VKYHVVKUXEUXJXMIPUXKYFUXLUXLWRUVDYEYAXPVVKVURYGUVEYEVWGUYTVJZVVLUYTVJVUBV
      WIVVLUYTVWGVVLUYTVUHAVVHVVLVULVVOUVFXPVWGUYTYGUVHUYTBUXPUVGXTUVIUVJYIYEUV
      KYJYKYLVULVUOVUDVHZUYOVUHVULVUFPUPVWJVVMVUCJVUFPUVRWJXCYLUVLYLUYOVUCUYPJP
      AUYNUXNPUTZVUCUYPVHUYCUXGAUYNVWKXLZVUCUYPVWLVUCVJZUXEUYGUTZIUXOVIZUYPVWMV
      WNIUXOVWLVUCIVWLIWLVUBIUXOUVMWMVWMVWFVWNVWMVWFVJAUYNVVKVUBVWNAUYNVWKVUCVW
      FUVNAUYNVWKVUCVWFYDVWLVWFVVKVUCUYNVWKVWFVVKAVWKVWFVVKUYNVWKUXOPUXIVWKUJUX
      OPOUJUKUXNPSYCUVOXIXKUVPUVQVUCVWFVUBVWLVUBIUXOUVSXKAUYNVVKXLZVUBVJVUAUYGU
      XEVWPVUAUYGUPVUBVWPVUAUYGUXPYMZUYGVWPUYGGUTZVUAVWQWBZVWPUYGVUAQUKZUXPYMZW
      BZQGUOZUTZVWRVWSVJVWPUXIUYFFVLZDULZVXEUTZVXDVWPAVXEFUVTZUTZVXGAUYNVVKUWAZ
      VWPVVKUYNVXCYFUTZHVKVIZIPVIZVXIAUYNVVKXQZAUYNVVKUWBZAUYNVXMVVKAVXLIPAVXKH
      VKAVXBQGVXCXOVXCWRTUWCZYNYNUWDIHPVKVXCFYFUEUWEXRARUKZVXHUTZVJZVXQDULZVXQU
      TZVHAVXIVJZVXGVHRVXEUXIUYFFUWFVXQVXEWBZVXSVYBVYAVXGVYCVXRVXIAVXQVXEVXHUWI
      UWGVYCVXTVXFVXQVXEVXQVXEDWCVYCYHYOUWHUHUWJYEVWPVXFUYGVXEVXCVWPUYGVXFVWPVV
      KUYNVXFYFUTUYGVXFWBVXNVXOVWPVXEDXMIHPVKVXFMYFUFYPXRYAVWPVVKUYNVXKVXEVXCWB
      VXNVXOVWPAVXKVXJVXPWJIHPVKVXCFYFUEYPXRYOUWKVXBVWSQUYGGVWTUYGWBVXAVWQVUAVW
      TUYGUXPUWLUWMUWNWIUWOUYGUXPUWPUWQXPVWPVUBYGUWRYJYIUWSUXEYFUTZUYPVWOYRBUWT
      ZIUXEUXOUYGYFYQYSXTYIUXAYKYLJUXEPUYHWGXTYTVYDUYMUYLYRVYEHUXEVKUYIYFYQYSXT
      UGUXBYIYTUXGBENUXCXTUXD $.
  $}

  ${
    $d A k m s x $.  $d C k m s $.  $d C y $.  $d F i k m n x $.
    $d F i k m s x $.  $d H i k m n $.  $d K i k m s x $.  $d K i y $.
    $d M m $.  $d P k m s $.  $d P y $.  $d S k m s $.  $d X i k m x $.
    $d Z i k m n x $.  $d i k m ph $.  $d ph y $.
    smflimlem3.z $e |- Z = ( ZZ>= ` M ) $.
    smflimlem3.s $e |- ( ph -> S e. SAlg ) $.
    smflimlem3.m $e |- ( ( ph /\ m e. Z ) -> ( F ` m ) e. ( SMblFn ` S ) ) $.
    smflimlem3.d $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F ` m
       ) | ( m e. Z |-> ( ( F ` m ) ` x ) ) e. dom ~~> } $.
    smflimlem3.a $e |- ( ph -> A e. RR ) $.
    smflimlem3.p $e |- P = ( m e. Z , k e. NN |-> { s e. S | { x e. dom ( F ` m
       ) | ( ( F ` m ) ` x ) < ( A + ( 1 / k ) ) } = ( s i^i dom ( F ` m ) ) }
       ) $.
    smflimlem3.h $e |- H = ( m e. Z , k e. NN |-> ( C ` ( m P k ) ) ) $.
    smflimlem3.i $e |- I = |^|_ k e. NN U_ n e. Z |^|_ m e. ( ZZ>= ` n ) ( m H
       k ) $.
    smflimlem3.c $e |- ( ( ph /\ y e. ran P ) -> ( C ` y ) e. y ) $.
    smflimlem3.x $e |- ( ph -> X e. ( D i^i I ) ) $.
    smflimlem3.k $e |- ( ph -> K e. NN ) $.
    smflimlem3.y $e |- ( ph -> Y e. RR+ ) $.
    smflimlem3.l $e |- ( ph -> ( 1 / K ) < Y ) $.
    $( The limit of sigma-measurable functions is sigma-measurable.
       Proposition 121F (a) of [Fremlin1] p. 38 .  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    smflimlem3 $p |- ( ph -> E. m e. Z A. i e. ( ZZ>= ` m ) ( X e. dom ( F ` i
       ) /\ ( ( F ` i ) ` X ) < ( A + Y ) ) ) $=
      ( cv cfv cdm wcel c1 cdiv co caddc clt wbr wa cuz wral wrex ciin ciun cli
      cmpt crab ssrab2 eqsstri cin inss1 sselid fveq2 dmeqd eqcom imbi1i imbi2i
      wceq wi bitri cbviinv a1i iuneq2i iineq1d cbviunv eqtri eleqtrdi allbutfi
      mpbi eqid biimpi syl cn elin2d oveq1 iineq2i oveq2 adantr iineq2dv eleq2d
      iuneq2d eliind sylib jca rexanuz2 sylibr simpll simpr uztrn2 sylan simprl
      w3a adantl ovmpod eleqtrd csalg rabexd eleq1 anbi2d imbi12d breq12d elrab
      cvv cmpo simprd ex syl2anc ralimdva reximdva mpd cr wf readdcld ad2antrr
      simp3 oveq12 fveq2d fvexd 3adant3 3expa adantrl crn cxp wfn ralrimivw a1d
      elind imp ralrimiva fnmpo fnovrn syl3anc ovex eleq12d vtocl syldan fveq1d
      id oveq2d rabeqbidv ineq2d eqeq12d rabbidv ineq1 eqeq2d eqcomd eqidd smff
      feq12d chvarvv ffvelrnd adantrr nnrecred rpred simprr ltadd2dd lttrd ) AR
      IUOZMUPZUQZURZRUWEUPZDUSPUTVAZVBVAZVCVDZVEZIKUOZVFUPZVGZKTVHZUWGUWHDSVBVA
      ZVCVDZVEZIUWNVGZKTVHAUWGRUWDPNVAZURZVEZIUWNVGZKTVHZUWPAUWGIUWNVGKTVHZUXBI
      UWNVGKTVHZVEUXEAUXFUXGARKTIUWNUWFVIZVJZURZUXFARLTKLUOZVFUPZUWMMUPZUQZVIZV
      JZUXIAFUXPRFKTBUOZUXMUPZVLVKUQURZBUXPVMUXPUEUXSBUXPVNVOAFOVPFRFOVQUKVRVRU
      XPLTIUXLUWFVIZVJUXILTUXOUXTUXOUXTWDUXKTURZKIUXLUXNUWFUWDUWMWDZUWFUXNWDZWE
      ZUWMUWDWDZUXNUWFWDZWEZUYBUWEUXMUWDUWMMVSZVTUYDUYEUYCWEUYGUYBUYEUYCUWDUWMW
      AZWBUYCUYFUYEUWFUXNWAWCWFWOZWGWHWILKTUXTUXHUXKUWMWDZIUXLUWNUWFUXKUWMVFVSZ
      WJWKWLWMUXJUXFUXIUWFIKQRTUBUXIWPWNWQWRARKTIUWNUXAVIZVJZURUXGAJRWSKTIUWNUW
      DJUOZNVAZVIZVJZUYNPAROJWSUYRVIZAFORUKWTOJWSLTKUXLUWMUYONVAZVIZVJZVIUYSUIJ
      WSVUBUYRVUBUYRWDUYOWSURVUBLTIUXLUYPVIZVJUYRLTVUAVUCVUAVUCWDUYAKIUXLUYTUYP
      UWMUWDUYONXAWGWHWILKTVUCUYQUYKIUXLUWNUYPUYLWJWKWLWHXBWLWMULUYOPWDZUYRUYNR
      VUDKTUYQUYMVUDIUWNUYPUXAVUDUYPUXAWDUWDUWNURZUYOPUWDNXCXDXEXGXFXHUYNUXAIKQ
      RTUBUYNWPWNXIXJUWGUXBKIQTUBXKXLAUXDUWOKTAUWMTURZVEZUXCUWLIUWNVUGVUEVEZAUW
      DTURZUXCUWLWEAVUFVUEXMZVUGVUFVUEVUIAVUFXNQUWDUWMTUBXOXPZAVUIVEZUXCUWLVULU
      XCVEZUWGUWKVULUWGUXBXQZVUMUWGUWKVUMRUXQUWEUPZUWJVCVDZBUWFVMZURUWLVUMRUWDP
      GVAZEUPZUWFVPZVUQVUMVUSUWFRVULUXBRVUSURZUWGAVUIUXBVVAAVUIUXBXRRUXAVUSAVUI
      UXBUUAAVUIUXAVUSWDUXBVULKJUWDPTWSUWMUYOGVAZEUPZVUSNYINKJTWSVVCYJWDVULUHWH
      UYEVUDVEZVVCVUSWDVULVVDVVBVUREUWMUWDUYOPGUUBUUCXSAVUIXNZAPWSURZVUIULXDZVU
      LVUREUUDXTUUEYAUUFUUGVUNUUMVULVUTVUQWDUXCVULVUQVUTVULVUSHURZVUQVUTWDZVULV
      USVUQUAUOZUWFVPZWDZUAHVMZURVVHVVIVEVULVUSVURVVMAVUIVURGUUHZURZVUSVURURZVU
      LGTWSUUIUUJZVUIVVFVVOAVVQVUIAUXRDUSUYOUTVAZVBVAZVCVDZBUXNVMZVVJUXNVPZWDZU
      AHVMZYIURZJWSVGZKTVGVVQAVWFKTAVUFVWFAVWFVUFAVWEJWSAVWCUAHVWDYBVWDWPUCYCUU
      KUULUUNUUOKJTWSVWDGYIUGUUPWRXDVVEVVGTWSUWDPGUUQUURACUOZVVNURZVEZVWGEUPZVW
      GURZWEAVVOVEZVVPWECVURUWDPGUUSVWGVURWDZVWIVWLVWKVVPVWMVWHVVOAVWGVURVVNYDY
      EVWMVWJVUSVWGVURVWGVUREVSVWMUVDUUTYFUJUVAUVBVULKJUWDPTWSVWDVVMGYIGKJTWSVW
      DYJWDVULUGWHVVDVWDVVMWDVULVVDVWCVVLUAHVVDVWAVUQVWBVVKVVDVVTVUPBUXNUWFUYEU
      YFVUDUYJXDVVDUXRVUOVVSUWJVCUYEUXRVUOWDZVUDUYBVUOUXRWDZWEZUYEVWNWEZUYBUXQU
      WEUXMUYHUVCVWPUYEVWOWEVWQUYBUYEVWOUYIWBVWOVWNUYEVUOUXRWAWCWFWOXDVUDVVSUWJ
      WDUYEVUDVVRUWIDVBUYOPUSUTXCUVEXSYGUVFUYEVWBVVKWDVUDUYEUXNUWFVVJUYJUVGXDUV
      HUVIXSVVEVVGAVVMYIURVUIAVVLUAHVVMYBVVMWPUCYCXDXTYAVVLVVIUAVUSHVVJVUSWDVVK
      VUTVUQVVJVUSUWFUVJUVKYHXIYKUVLXDYAVUPUWKBRUWFUXQRWDZVUOUWHUWJUWJVCUXQRUWE
      VSVWRUWJUVMYGYHXIYKXJYLYMYNYOYPAUWOUWTKTVUGUWLUWSIUWNVUHAVUIUWLUWSWEVUJVU
      KVULUWLUWSVULUWLVEZUWGUWRVULUWGUWKXQVWSUWHUWJUWQVULUWGUWHYQURUWKVULUWGVEU
      WFYQRUWEVULUWFYQUWEYRZUWGVUGUXNYQUXMYRZWEVULVWTWEKIUYEVUGVULVXAVWTUYEVUFV
      UIAUWMUWDTYDYEUYEUXNUWFYQUXMUWEUWMUWDMVSUYJUVOYFVUGUXNHUXMAHYBURVUFUCXDUD
      UXNWPUVNUVPXDVULUWGXNUVQUVRAUWJYQURVUIUWLADUWIUFAPULUVSZYSYTAUWQYQURVUIUW
      LADSUFASUMUVTZYSYTVULUWGUWKUWAAUWJUWQVCVDVUIUWLAUWISDVXBVXCUFUNUWBYTUWCXJ
      YLYMYNYOYP $.
  $}

  ${
    $d A i j k m s z $.  $d A i j k m x y $.  $d C j k m s $.  $d C k r $.
    $d D i j k m n x $.  $d D i k r x y $.  $d F i j k m n x z $.
    $d F i l m n $.  $d F i j k m s z $.  $d G i m y $.  $d H i j k m n $.
    $d I i j k m x y $.  $d I i k r x y $.  $d M m $.  $d P j k m s $.
    $d P k r $.  $d S j k m s $.  $d Z i j k m n x z $.  $d i j k m n ph x $.
    $d ph r x y $.
    smflimlem4.1 $e |- ( ph -> M e. ZZ ) $.
    smflimlem4.2 $e |- Z = ( ZZ>= ` M ) $.
    smflimlem4.3 $e |- ( ph -> S e. SAlg ) $.
    smflimlem4.4 $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smflimlem4.5 $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F ` m
       ) | ( m e. Z |-> ( ( F ` m ) ` x ) ) e. dom ~~> } $.
    smflimlem4.6 $e |- G = ( x e. D |-> ( ~~> ` ( m e. Z |-> ( ( F ` m ) ` x )
       ) ) ) $.
    smflimlem4.7 $e |- ( ph -> A e. RR ) $.
    smflimlem4.8 $e |- P = ( m e. Z , k e. NN |-> { s e. S | { x e. dom ( F ` m
       ) | ( ( F ` m ) ` x ) < ( A + ( 1 / k ) ) } = ( s i^i dom ( F ` m ) ) }
       ) $.
    smflimlem4.9 $e |- H = ( m e. Z , k e. NN |-> ( C ` ( m P k ) ) ) $.
    smflimlem4.10 $e |- I = |^|_ k e. NN U_ n e. Z |^|_ m e. ( ZZ>= ` n ) ( m H
       k ) $.
    smflimlem4.11 $e |- ( ( ph /\ r e. ran P ) -> ( C ` r ) e. r ) $.
    $( Lemma for the proof that the limit of sigma-measurable functions is
       sigma-measurable, Proposition 121F (a) of [Fremlin1] p. 38 .  This lemma
       proves one-side of the double inclusion for the proof that the preimages
       of right-closed, unbounded-below intervals are in the subspace
       sigma-algebra induced by ` D ` .  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    smflimlem4 $p |- ( ph -> ( D i^i I ) C_ { x e. D | ( G ` x ) <_ A } ) $=
      ( vy vz vi vj vl cv cfv cle wbr cin wss inss1 a1i wcel wa caddc co crp cr
      wral sselda cmpt cli cvv wceq nfv nfcv cdm csalg adantr csmblfn ffvelrnda
      wf eqid smff adantlr cuz ciin ciun crab fveq2 mpteq2dv eleq1d eqtri simpr
      cbvrabv fnlimfvre fvmpt2d eqeltrd syldan rpre adantl readdcld c2 cdiv clt
      elexd w3a wrex c1 cn rphalfcl rpgtrecnn ad4antr ad5ant15 ad3antrrr breq1d
      syl cmpo oveq2 oveq2d breq2d rabbidv eqtrd cbvmpo2 cbviinv rexlimdva2 mpd
      eqeq1d cmin cabs ad2antrr wi dmeqd adantrr recnd simprr adantl3r ad5ant13
      cc ex fveq2d simpll iineq2dv iuneq2dv simp-4r simplr smflimlem3 cz eleq1w
      crn ad3antlr anbi2d feq12d imbi12d chvarvv iuneq2i iineq1d cbviunv rabeqi
      ad4ant14 fveq1d cbvmptv eqcomi eleq1i rabbii 3eqtri fveq2i mpteq2i abscld
      fnlimabslt resubcld rehalfcld ad2antlr leabsd recn abssubd eqbrtrd simprl
      lelttrd ltsubadd2d mpbid ralimdva reximdai eleq2d anbi12d oveq1d rexanuz3
      df-3an 3ancomb bitr3i rexbii 3adant3 ffvelrnd ad4ant134 simpllr 3ad2antr1
      sylib simp3 rehalfcl jca readdcl simpr2 ltadd1dd 3adantr2 addassd 2halves
      lttrd breqtrd ltled ralrimiva wb alrple syl2anc mpbird ssrabdv ) ABUOZLUP
      ZCUQURZBEENUSZUXSEUTAENVAVBZAUXPUXSVCZVDZUXRUXQCUJUOZVEVFZUQURZUJVGVIZUYB
      UYEUJVGUYBUYCVGVCZVDZUXQUYDUYBUXQVHVCZUYGAUYAUXPEVCZUYIAUXSEUXPUXTVJZAUYJ
      VDZUXQIPUXPIUOZKUPZUPZVKZVLUPZVHABEUYQLVMLBEUYQVKZVNAUDVBUYLUYQVHUYLUKEIJ
      KOUXPPUYLIVOIKVPUKKVPTAUYMPVCZUYNVQZVHUYNWBZUYJAUYSVDZUYTGUYNAGVRVCZUYSUA
      VSAPGVTUPZUYMKUBWAZUYTWCWDZWEEUYPVLVQZVCZBJPIJUOZWFUPZUYTWGZWHZWIZIPUKUOZ
      UYNUPZVKZVUGVCZUKVULWIUCVUHVUQBUKVULUXPVUNVNZUYPVUPVUGVURIPUYOVUOUXPVUNUY
      NWJZWKWLWOWMZAUYJWNWPZXFWQVVAWRWSZVSZAUYGUYDVHVCUYAAUYGVDZCUYCACVHVCZUYGU
      EVSZUYGUYCVHVCZAUYCWTZXAZXBWEUYHUXPUYTVCZUXQUYOUYCXCXDVFZVEVFZXEURZUYOCVV
      KVEVFZXEURZXGZIPXHZUXQUYDXEURZUYHVVJVVOVDZVVMVDZIPXHVVQUYHUXQUXPULUOZKUPZ
      UPZVVKVEVFZXEURZUXPVWBVQZVCZVWCVVNXEURZVDZVVSVVMIULOPUYHIVOZTUYHXIHUOZXDV
      FZVVKXEURZHXJXHZVWIULUYMWFUPZVIIPXHZUYGVWNUYBUYGVVKVGVCZVWNUYCXKZVVKHXLXQ
      XAUYHVWMVWPHXJUYHVWKXJVCZVDZVWMVDUKRCDEFGULUMIJKMNVWKOUXPVVKPQTAVUCUYAUYG
      VWSVWMUAXMUYBUYSUYNVUDVCZUYGVWSVWMAUYSVXAUYAVUEWEXNVUTUYBVVEUYGVWSVWMAVVE
      UYAUEVSZXOFIHPXJUYOCVWLVEVFZXEURZBUYTWIZQUOUYTUSZVNZQGWIZXRIUMPXJVUOCXIUM
      UOZXDVFZVEVFZXEURZUKUYTWIZVXFVNZQGWIZXRUFIHUMPXJVXHVXOHPVPZUMPVPZUMVXHVPH
      VXOVPVWKVXIVNZVXGVXNQGVXRVXEVXMVXFVXRVXEVUOVXCXEURZUKUYTWIZVXMVXEVXTVNVXR
      VXDVXSBUKUYTVURUYOVUOVXCXEVUSXPWOVBVXRVXSVXLUKUYTVXRVXCVXKVUOXEVXRVWLVXJC
      VEVWKVXIXIXDXSXTYAYBYCYHYBYDWMMIHPXJUYMVWKFVFZDUPZXRIUMPXJUYMVXIFVFZDUPZX
      RUGIHUMPXJVYBVYDVXPVXQUMVYBVPHVYDVPVXRVYAVYCDVWKVXIUYMFXSUUAYDWMNHXJJPIVU
      JUYMVWKMVFZWGZWHZWGUMXJJPIVUJUYMVXIMVFZWGZWHZWGUHHUMXJVYGVYJVXRJPVYFVYIVX
      RVUIPVCZVDZIVUJVYEVYHVYLUYMVUJVCZVDVWKVXIUYMMVXRVYKVYMUUBXTUUCUUDYEWMUYBR
      UOZFUUJVCZVYNDUPVYNVCZUYGVWSVWMAVYOVYPUYAUIWEXNAUYAUYGVWSVWMUUEUYHVWSVWMU
      UFUYGVWQUYBVWSVWMVWRUUKVWTVWMWNUUGYFYGUYHVWCVHVCZVWCUXQYIVFYJUPZVVKXEURZV
      DZULVWOVIZIPXHVWEULVWOVIZIPXHUYHBEULIKLOUXPVVKPUYHULVOULKVPBKVPAOUUHVCUYA
      UYGSYKTAVWAPVCZVWFVHVWBWBZUYAUYGVUBVUAYLAWUCVDZWUDYLIULUYMVWAVNZVUBWUEVUA
      WUDWUFUYSWUCAIULPUUIUULWUFUYTVWFVHUYNVWBUYMVWAKWJZWUFUYNVWBWUGYMUUMUUNVUF
      UUOUUTEVUMVUHBIPULVWOVWFWGZWHZWIULPVWCVKZVUGVCZBWUIWIUCVUHBVULWUIVULJPUNV
      UJUNUOZKUPZVQZWGZWHWUIJPVUKWUOVUKWUOVNVYKIUNVUJUYTWUNUYMWULVNUYNWUMUYMWUL
      KWJYMYEVBUUPJIPWUOWUHVUIUYMVNZWUOUNVWOWUNWGZWUHWUPUNVUJVWOWUNVUIUYMWFWJUU
      QWUQWUHVNWUPUNULVWOWUNVWFWULVWAVNWUMVWBWULVWAKWJYMYEVBYCUURWMUUSVUHWUKBWU
      IUYPWUJVUGWUJUYPULIPVWCUYOVWAUYMVNZUXPVWBUYNVWAUYMKWJZUVAZUVBUVCZUVDUVEUV
      FLUYRBEWUJVLUPZVKUDBEUYQWVBUYPWUJVLWVAUVGUVHWMUYBUYJUYGUYKVSUYGVWQUYBVWRX
      AUVJUYHWUAWUBIPVWJUYHUYSWUAWUBYLUYHUYSVDZVYTVWEULVWOUYHVYTVWEYLUYSVWAVWOV
      CUYHVYTVWEUYHVYTVDZUXQVWCYIVFZVVKXEURVWEWVDWVEWVEYJUPZVVKUYHVYQWVEVHVCVYS
      UYHVYQVDZUXQVWCUYHUYIVYQVVCVSUYHVYQWNUVKZYNZUYHVYQWVFVHVCVYSWVGWVEWVGWVEW
      VHYOUVIYNUYGVVKVHVCZUYBVYTUYGUYCVVHUVLZUVMZWVDWVEWVIUVNUYBVYTWVFVVKXEURUY
      GUYBVYTVDWVFVYRVVKXEUYBVYQWVFVYRVNVYSUYBVYQVDUXQVWCUYBUXQYSVCVYQUYBUXQVVB
      YOVSVYQVWCYSVCUYBVWCUVOXAUVPYNUYBVYQVYSYPUVQWEUVSWVDUXQVWCVVKUYHUYIVYTVVC
      VSUYHVYQVYSUVRWVLUVTUWAYTYKUWBYTUWCYGWURVWGVVJVWHVVOWURVWFUYTUXPWURVWBUYN
      WUSYMUWDWURVWCUYOVVNXEWUTXPUWEWURVWDVVLUXQXEWURVWCUYOVVKVEWUTUWFYAUWGVVTV
      VPIPVVTVVJVVOVVMXGVVPVVJVVOVVMUWHVVJVVOVVMUWIUWJUWKUWQUYHVVPVVRIPWVCVVPVD
      ZUXQVVNVVKVEVFZUYDXEWVMUXQVVLWVNUYHUYIUYSVVPVVCYKWVCVVMVVJVVLVHVCZVVOAUYG
      UYSVVJWVOUYAVVDUYSVDZVVJVDZUYOVVKAUYSVVJUYOVHVCZUYGAUYSVVJXGUYTVHUXPUYNAU
      YSVUAVVJVUFUWLAUYSVVJUWRUWMUWNZWVQUYGWVJAUYGUYSVVJUWOWVKXQZXBYQUWPAUYGWVN
      VHVCUYAUYSVVPVVDVVNVVKVVDVVEWVJVDVVNVHVCZVVDVVEWVJVVFVVDVVGWVJVVIUYCUWSXQ
      ZUWTCVVKUXAXQZWWBXBYRWVCVVJVVMVVOUXBWVCVVJVVOVVLWVNXEURZVVMAUYGUYSVVSWWDU
      YAWVPVVSVDUYOVVNVVKWVPVVJWVRVVOWVSYNVVDWWAUYSVVSWWCYKWVPVVJWVJVVOWVTYNWVP
      VVJVVOYPUXCYQUXDUXGAUYGWVNUYDVNUYAUYSVVPVVDWVNCVVKVVKVEVFZVEVFZUYDVVDCVVK
      VVKVVDCVVFYOVVDVVKWWBYOZWWGUXEUYGWWFUYDVNAUYGWWEUYCCVEUYGUYCYSVCWWEUYCVNU
      YGUYCVVHYOUYCUXFXQXTXAYCYRUXHYFYGUXIUXJUYBUYIVVEUXRUYFUXKVVBVXBUJUXQCUXLU
      XMUXNUXO $.
  $}

  ${
    $d A k m n x $.  $d A k m s x $.  $d C k m r $.  $d C k m s $.
    $d D k m n x $.  $d D k m r x $.  $d F k m n x $.  $d F k m s x $.
    $d G k m n $.  $d H k m n $.  $d H k m s $.  $d I k m r x $.  $d M m $.
    $d P k m r $.  $d P k m s $.  $d S k m n $.  $d S k m s $.  $d Z k m n x $.
    $d k m n ph x $.  $d ph r x $.
    smflimlem5.1 $e |- ( ph -> M e. ZZ ) $.
    smflimlem5.2 $e |- Z = ( ZZ>= ` M ) $.
    smflimlem5.3 $e |- ( ph -> S e. SAlg ) $.
    smflimlem5.4 $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smflimlem5.5 $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F ` m
       ) | ( m e. Z |-> ( ( F ` m ) ` x ) ) e. dom ~~> } $.
    smflimlem5.6 $e |- G = ( x e. D |-> ( ~~> ` ( m e. Z |-> ( ( F ` m ) ` x )
       ) ) ) $.
    smflimlem5.7 $e |- ( ph -> A e. RR ) $.
    smflimlem5.8 $e |- P = ( m e. Z , k e. NN |-> { s e. S | { x e. dom ( F ` m
       ) | ( ( F ` m ) ` x ) < ( A + ( 1 / k ) ) } = ( s i^i dom ( F ` m ) ) }
       ) $.
    smflimlem5.9 $e |- H = ( m e. Z , k e. NN |-> ( C ` ( m P k ) ) ) $.
    smflimlem5.10 $e |- I = |^|_ k e. NN U_ n e. Z |^|_ m e. ( ZZ>= ` n ) ( m H
       k ) $.
    smflimlem5.11 $e |- ( ( ph /\ r e. ran P ) -> ( C ` r ) e. r ) $.
    $( Lemma for the proof that the limit of sigma-measurable functions is
       sigma-measurable, Proposition 121F (a) of [Fremlin1] p. 38 .  This lemma
       proves that the preimages of right-closed, unbounded-below intervals are
       in the subspace sigma-algebra induced by ` D ` .  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    smflimlem5 $p |- ( ph -> { x e. D | ( G ` x ) <_ A } e. ( S |`t D ) ) $=
      ( cv cfv cle wbr crab cin crest co smflimlem2 smflimlem4 eqssd smflimlem1
      eqeltrd ) ABUJLUKCULUMBEUNZENUOZGEUPUQAVCVDABCDEFGHIJKLMNOPQRTUAUBUCUDUEU
      FUGUHUIURABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUSUTABCDEFGHIJKMNOPQRTUAUC
      UFUGUHUIVAVB $.
  $}

  ${
    $d A c k m n x $.  $d A c k m s x $.  $d D c k m n r x $.  $d F k m n x $.
    $d F k m s x $.  $d G c k m n $.  $d M m $.  $d P c i j k l m n r x $.
    $d P c j k l m s x $.  $d P c k m n r x y $.  $d S c k m n $.
    $d S c k m s $.  $d Z i j k l m n r x $.  $d Z j k l m s x $.
    $d c k m n ph r x y $.
    smflimlem6.1 $e |- ( ph -> M e. ZZ ) $.
    smflimlem6.2 $e |- Z = ( ZZ>= ` M ) $.
    smflimlem6.3 $e |- ( ph -> S e. SAlg ) $.
    smflimlem6.4 $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smflimlem6.5 $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F ` m
       ) | ( m e. Z |-> ( ( F ` m ) ` x ) ) e. dom ~~> } $.
    smflimlem6.6 $e |- G = ( x e. D |-> ( ~~> ` ( m e. Z |-> ( ( F ` m ) ` x )
       ) ) ) $.
    smflimlem6.7 $e |- ( ph -> A e. RR ) $.
    smflimlem6.8 $e |- P = ( m e. Z , k e. NN |-> { s e. S | { x e. dom ( F ` m
       ) | ( ( F ` m ) ` x ) < ( A + ( 1 / k ) ) } = ( s i^i dom ( F ` m ) ) }
       ) $.
    $( Lemma for the proof that the limit of sigma-measurable functions is
       sigma-measurable, Proposition 121F (a) of [Fremlin1] p. 38 .  This lemma
       proves that the preimages of right-closed, unbounded-below intervals are
       in the subspace sigma-algebra induced by ` D ` .  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    smflimlem6 $p |- ( ph -> { x e. D | ( G ` x ) <_ A } e. ( S |`t D ) ) $=
      ( vy vc vl vj vi vr cv cfv wcel crn wral wex cle wbr crab crest co cn cxp
      cdom com cvv wfn cuz fvexi nnex xpex a1i c1 cdiv caddc clt cdm wceq csalg
      cin wa eqid rabexd adantr ralrimivva fnmpo fnrndomg sylc uzct nnct pm3.2i
      syl xpct ax-mp domtr syl2anc wrex c0 wne wb vex elrnmpog biimpi adantl wi
      simp3 csmblfn ffvelrnda adantrr nnrecre readdcld adantrl smfpreimalt fvex
      w3a cr dmex elrest mpbid sylibr 3adant3 eqnetrd 3exp rexlimdvv mpd axccd2
      rabn0 cmpo ciin ciun cz wf fvoveq1 oveq2 fveq2d cbvmpov nfcv nfmpo2 nfiin
      nfov nfiun iineq2dv oveq1 cbviinv eqtrd iuneq2dv fveq2 id eleq12d rspccva
      cbviin adantll smflimlem5 ex exlimdv ) AUCUIZUDUIZUJZUUNUKZUCEULZUMZUDUNB
      UIZKUJCUOUPBDUQFDURUSUKZAUCUURUDAUURMUTVAZVBUPZUVBVCVBUPZUURVCVBUPAUVBVDU
      KZEUVBVEZUVCUVEAMUTMLVFPVGVHVIVJAUUTHUIZJUJZUJCVKGUIZVLUSZVMUSZVNUPBUVHVO
      ZUQZNUIUVLVRVPZNFUQZVDUKZGUTUMHMUMUVFAUVPHGMUTAUVPUVGMUKZUVIUTUKZVSZAUVNN
      FUVOVQUVOVTQWAWBWCHGMUTUVOEVDUBWDWJUVBVDEWEWFUVDAMVCVBUPZUTVCVBUPZVSUVDUV
      TUWALMPWGWHWIMUTWKWLVJUURUVBVCWMWNAUUNUURUKZVSUUNUVOVPZGUTWOHMWOZUUNWPWQZ
      UWBUWDAUWBUWDUUNVDUKUWBUWDWRUCWSHGMUTUVOUUNEVDUBWTWLXAXBAUWDUWEXCUWBAUWCU
      WEHGMUTAUVSUWCUWEAUVSUWCXMUUNUVOWPAUVSUWCXDAUVSUVOWPWQZUWCAUVSVSZUVNNFWOZ
      UWFUWGUVMFUVLURUSUKZUWHUWGBUVKUVLFUVHAFVQUKZUVSQWBAUVQUVHFXEUJZUKUVRAMUWK
      UVGJRXFXGUVLVTAUVRUVKXNUKUVQAUVRVSCUVJACXNUKZUVRUAWBUVRUVJXNUKAUVIXHXBXIX
      JXKAUWIUWHWRZUVSAUWJUVLVDUKZUWMQUWNAUVHUVGJXLXOVJNUVMUVLFVQVDXPWNWBXQUVNN
      FYEXRXSXTYAYBWBYCYDAUUSUVAUDAUUSUVAAUUSVSBCUUODEFGHIJKUEUFMUTUEUIZUFUIZEU
      SUUOUJZYFZUFUTIMUGIUIZVFUJZUGUIZUWPUWRUSZYGZYHZYGLMNUHALYIUKUUSOWBPAUWJUU
      SQWBAMUWKJYJUUSRWBSTAUWLUUSUAWBUBUEUFHGMUTUWQUVGUVIEUSZUUOUJUVGUWPEUSZUUO
      UJUWOUVGUWPUUOEYKUWPUVIVPZUXFUXEUUOUWPUVIUVGEYLYMYNUFGUTUXDIMHUWTUVGUVIUW
      RUSZYGZYHGUXDYOIUFMUXIUFMYOHUFUWTUXHUFUWTYOUFUVGUVIUWRUFUVGYOUEUFMUTUWQYP
      UFUVIYOYRYQYSUXGIMUXCUXIUXGUXCUXIVPUWSMUKUXGUXCUGUWTUXAUVIUWRUSZYGZUXIUXG
      UGUWTUXBUXJUXGUXBUXJVPUXAUWTUKUWPUVIUXAUWRYLWBYTUXKUXIVPUXGUGHUWTUXJUXHUX
      AUVGUVIUWRUUAUUBVJUUCWBUUDUUIUUSUHUIZUURUKUXLUUOUJZUXLUKZAUUQUXNUCUXLUURU
      UNUXLVPZUUPUXMUUNUXLUUNUXLUUOUUEUXOUUFUUGUUHUUJUUKUULUUMYC $.
  $}

  ${
    $d D i j l y $.  $d F i j k l s y $.  $d F i l n y $.  $d F j k l s t y $.
    $d F i l w y $.  $d G a i j l y $.  $d M l $.  $d S a i j k l m s y $.
    $d S i l m n y $.  $d S a j k l m s t y $.  $d Z i j k l m x y $.
    $d Z i l m n x y $.  $d Z j k l m t x y $.  $d Z i l m w y $.
    $d a i j l m ph y $.  $d a i j k l m x y $.  $d n ph y $.
    smflim.n $e |- F/_ m F $.
    smflim.x $e |- F/_ x F $.
    smflim.m $e |- ( ph -> M e. ZZ ) $.
    smflim.z $e |- Z = ( ZZ>= ` M ) $.
    smflim.s $e |- ( ph -> S e. SAlg ) $.
    smflim.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smflim.d $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F ` m ) |
       ( m e. Z |-> ( ( F ` m ) ` x ) ) e. dom ~~> } $.
    smflim.g $e |- G = ( x e. D |-> ( ~~> ` ( m e. Z |-> ( ( F ` m ) ` x ) ) )
       ) $.
    $( The limit of sigma-measurable functions is sigma-measurable.
       Proposition 121F (a) of [Fremlin1] p. 38 .  Notice that every function
       in the sequence can have a different (partial) domain, and the domain of
       convergence can be decidedly irregular (Remark 121G of [Fremlin1]
       p. 39 ).  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    smflim $p |- ( ph -> G e. ( SMblFn ` S ) ) $=
      ( vl nfcv vy va vw vi vk vs vj vt nfv cuz cfv cdm ciin ciun cuni wss cmpt
      cv cli wcel crab nffv nfdm nfiin nfiun ssrab2f eqsstri a1i wa wrex eleq2i
      cz uzssz biimpi sselid uzid adantl csalg adantr csmblfn ffvelrnda smfdmss
      syl eqid nfss wceq fveq2 dmeqd sseq1d rspce syl2anc iinss iunssd sstrd cr
      nfmpt1 nfel nfii1 nfrabw nfcxfr nfan wf smff adantlr nfmpt nfel1 mpteq2dv
      eleq1d cbvrabw cbviin eqidd iineq12dv eqtrd cbviunv fveq1d cbvmptf eleq1i
      anbi12i rabbia2 3eqtri cbvrabv iuneq2i eqtri simpr fnlimfvre nfrab1 cn c1
      fveq2d cdiv co caddc clt wbr cin cmpo nfbr breq1d eqeq12d rabbidv anbi12d
      fmptd simpl mpteq2dva nfin ineq1 eleq2d ineq2d oveq2 oveq2d breq2d eqeq1d
      nfeq rabbidva2 sylan9eq cbvmpo eqcomi smflimlem6 issmfled ) AUACDHUBAUBUI
      OACFJEFURZUJUKZEURZGUKZULZUMZUNZDUOZCUVFUPACEJBURZUVCUKZUQZUSULZUTZBUVFVA
      ZUVFQUVLBUVFFBJUVEBJTZEBUVAUVDBUVATBUVCBUVBGLBUVBTVBZVCVDVEZVFVGVHAFJUVEU
      VGAUUTJUTZVIZUVDUVGUPZEUVAVJZUVEUVGUPUVRUUTUVAUTZUUTGUKZULZUVGUPZUVTUVQUW
      AAUVQUUTVLUTUWAUVQIUJUKZVLUUTIVMUVQUUTUWEUTJUWEUUTNVKVNVOUUTVPWCVQUVRUWCD
      UWBADVRUTZUVQOVSAJDVTUKZUUTGPWAUWCWDWBUVSUWDEUUTUVAEUWCUVGEUWBEUUTGKEUUTT
      VBVCEUVGTWEUVBUUTWFZUVDUWCUVGUWHUVCUWBUVBUUTGWGWHWIWJWKEUVAUVDUVGWLWCWMWN
      AUACEJUAURZUVCUKZUQZUSUKZWOHAUWICUTZVIUCCEUDGIUWIJAUWMEAEUIEUWICEUWITZECU
      VMQUVLEBUVFEUVJUVKEJUVIWPEUVKTWQFEJUVEEJTZEUVAUVDWRVEWSWTWQXAKUCGTNAUVBJU
      TZUVDWOUVCXBUWMAUWPVIUVDDUVCAUWFUWPOVSAJUWGUVBGPWAUVDWDXCXDCSJUWISURZGUKZ
      UKZUQZUVKUTZUAUDJSUDURZUJUKZUWRULZUMZUNZVAZEJUCURZUVCUKZUQZUVKUTZUCUDJEUX
      CUVDUMZUNZVAZCUVMUWKUVKUTZUAUVFVAUXGQUVLUXOBUAUVFUVPUAUVFTUVLUAUIBUWKUVKB
      EJUWJUVNBUWIUVCUVOBUWITZVBXEZXFUVHUWIWFZUVJUWKUVKUXREJUVIUWJUVHUWIUVCWGXG
      ZXHXIUXOUXAUAUVFUXFUWIUVFUTUWIUXFUTUXOUXAUVFUXFUWIFUDJUVEUXEUUTUXBWFZUVES
      UVAUXDUMZUXEUVEUYAWFUXTESUVAUVDUXDSUVDTZEUWREUWQGKEUWQTVBZVCZUVBUWQWFZUVC
      UWRUVBUWQGWGZWHXJVHUXTSUVAUXCUXDUXDUUTUXBUJWGUXTUWQUXCUTVIUXDXKXLXMXNVKUW
      KUWTUVKESJUWJUWSUWOSJTZSUWJTEUWIUWRUYCUWNVBZUYEUWIUVCUWRUYFXOXPXQXRXSXTZU
      XGSJUXHUWRUKZUQZUVKUTZUCUXFVAUXNUXAUYLUAUCUXFUWIUXHWFZUWTUYKUVKUYMSJUWSUY
      JUWIUXHUWRWGXGXHYAUYLUXKUCUXFUXMUXHUXFUTUXHUXMUTUYLUXKUXFUXMUXHUDJUXEUXLU
      XEUXLWFUXBJUTSEUXCUXDUVDUYDUYBUWQUVBWFZUWRUVCUWQUVBGWGZWHZXJVHYBVKUYKUXJU
      VKSEJUYJUXIUYGUWOEUXHUWRUYCEUXHTVBSUXITUYNUXHUWRUVCUYOXOXPXQXRXSYCYCAUWMY
      DYEHBCUVJUSUKZUQZUACUWLUQRBUACUYQUWLBCUVMQUVLBUVFYFWTZUACTZUAUYQTZBUWKUSB
      USTZUXQVBUXRUVJUWKUSUXSYIXPYCUUBAUBURZWOUTZVIUAVUCCEUEJYGUVIVUCYHUEURZYJY
      KZYLYKZYMYNZBUVDVAZUFURZUVDYOZWFZUFDVAZYPZDUGSUDGHIJUHAIVLUTVUDMVSNAUWFVU
      DOVSAJUWGGXBVUDPVSUYIHUYRUACUWTUSUKZUQRBUACUYQVUOUYSUYTVUABUWTUSVUBBSJUWS
      UVNBUWIUWRBUWQGLBUWQTVBZUXPVBZXEVBUXRUVJUWTUSUXRUVJSJUVHUWRUKZUQZUWTUVJVU
      SWFUXRESJUVIVURUWOUYGSUVITEUVHUWRUYCEUVHTVBUYEUVHUVCUWRUYFXOXPVHUXRSJVURU
      WSUXRUWQJUTZVIUVHUWIUWRUXRVUTUUCYIUUDXMYIXPYCAVUDYDSUGJYGUWSVUCYHUGURZYJY
      KZYLYKZYMYNZUAUXDVAZUHURZUXDYOZWFZUHDVAZYPVUNSUGEUEJYGVVIVUMVVHEUHDEVVEVV
      GVVDEUAUXDEUWSVVCYMUYHEYMTEVVCTYQUYDWSEVVFUXDEVVFTUYDUUEUUMEDTWSUEVVITSVU
      MTUGVUMTUYNVVAVUEWFZVVIUVIVVCYMYNZBUVDVAZVUKWFZUFDVAZVUMUYNVVIVURVVCYMYNZ
      BUXDVAZVUJUXDYOZWFZUFDVAZVVNVVIVVSWFUYNVVHVVRUHUFDVVFVUJWFZVVEVVPVVGVVQVV
      EVVPWFVVTVVDVVOUABUXDUAUXDTBUWRVUPVCBUWSVVCYMVUQBYMTBVVCTYQVVOUAUIUWIUVHW
      FUWSVURVVCYMUWIUVHUWRWGYRXIVHVVFVUJUXDUUFYSYAVHUYNVVRVVMUFDUYNVVPVVLVVQVU
      KUYNVVOVVKBUXDUVDUYNUVHUXDUTUVHUVDUTVVOVVKUYNUXDUVDUVHUYPUUGUYNVURUVIVVCY
      MUYNUVHUWRUVCUYOXOYRUUAUUNUYNUXDUVDVUJUYPUUHYSYTXMVVJVVMVULUFDVVJVVLVUIVU
      KVVJVVKVUHBUVDVVJVVCVUGUVIYMVVJVVBVUFVUCYLVVAVUEYHYJUUIUUJUUKYTUULYTUUOUU
      PUUQUURUUS $.
  $}

  ${
    $d F f $.  $d S f $.  $d X x $.  $d ph x $.
    nsssmfmbflem.s $e |- S = dom vol $.
    nsssmfmbflem.x $e |- ( ph -> X C_ RR ) $.
    nsssmfmbflem.n $e |- ( ph -> -. X e. S ) $.
    nsssmfmbflem.f $e |- F = ( x e. X |-> 0 ) $.
    $( The sigma-measurable functions (w.r.t. the Lebesgue measure on the
       Reals) are not a subset of the measurable functions.  (Contributed by
       Glauco Siliprandi, 26-Jun-2021.) $)
    nsssmfmbflem $p |- ( ph -> E. f ( f e. ( SMblFn ` S ) /\ -. f e. MblFn ) )
                    $=
      ( cvv wcel csmblfn cfv cmbf wn wa cv cr eleq1 wex cc0 0red fmptd reex a1i
      ssexd fexd smfmbfcex wceq notbid anbi12d spcegv sylc ) AEKLECMNZLZEOLZPZQ
      ZDRZUOLZUTOLZPZQZDUAAFSKEABFUBSEABRFLQUCJUDAFSKSKLAUEUFHUGUHABCEFGHIJUIVD
      USDEKUTEUJZVAUPVCURUTEUOTVEVBUQUTEOTUKULUMUN $.
  $}

  ${
    $d S f x $.  $d f x y $.
    nsssmfmbf.1 $e |- S = dom vol $.
    $( The sigma-measurable functions (w.r.t. the Lebesgue measure on the
       Reals) are not a subset of the measurable functions.  (Contributed by
       Glauco Siliprandi, 26-Jun-2021.) $)
    nsssmfmbf $p |- -. ( SMblFn ` S ) C_ MblFn $=
      ( vf vx vy csmblfn cfv cmbf wss wn cv wcel wa wex cr cpw cvol cdm vitali2
      nss pssnssi mpbi cc0 cmpt elpwi adantr eleq2i bicomi notbii biimpi adantl
      eqid nsssmfmbflem exlimiv ax-mp mpbir ) AFGZHIJCKZUQLURHLJMCNZDKZOPZLZUTQ
      RZLZJZMZDNZUSVAVCIJVGVCVASUADVAVCTUBVFUSDVFEACEUTUCUDZUTBVBUTOIVEUTOUEUFV
      EUTALZJZVBVEVJVDVIVIVDAVCUTBUGUHUIUJUKVHULUMUNUOCUQHTUP $.
  $}

  ${
    $d A x $.  $d D x y $.  $d F y $.  $d ph y $.
    smfpimgtxr.x $e |- F/_ x F $.
    smfpimgtxr.s $e |- ( ph -> S e. SAlg ) $.
    smfpimgtxr.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    smfpimgtxr.d $e |- D = dom F $.
    smfpimgtxr.a $e |- ( ph -> A e. RR* ) $.
    $( Given a function measurable w.r.t. to a sigma-algebra, the preimage of
       an open interval unbounded above is in the subspace sigma-algebra
       induced by its domain.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    smfpimgtxr $p |- ( ph -> { x e. D | A < ( F ` x ) } e. ( S |`t D ) ) $=
      ( vy cmnf wceq clt wbr wcel wa adantr cpnf cv crab crest co breq1 rabbidv
      cfv adantl cdm nfdm nfcxfr nfcv nfv nffv nfbr fveq2 breq2d cbvrabw a1i cr
      wf smff simpr ffvelrnd pimgtmnf eqidd 3eqtrd eqtrd csalg smfdmss restuni4
      cuni eqcomd cvv csmblfn dmexd eqeltrid eqid subsalsal salunid eqeltrd wne
      wn neqne pimgtpnf2 0sald adantlr simpll cxr syl simplr xrred smfpreimagtf
      c0 syl2anc pm2.61dan syldan ) ACMNZCBUAZFUGZOPZBDUBZEDUCUDZQZAWRRZXBDXCXE
      XBMWTOPZBDUBZDWRXBXGNAWRXAXFBDCMWTOUEUFUHAXGDNWRAXGMLUAZFUGZOPZLDUBZDDXGX
      KNAXFXJBLDBDFUIZJBFGUJUKLDULXFLUMBMXIOBMULBOULBXHFGBXHULUNUOWSXHNWTXIMOWS
      XHFUPUQURUSALDXIALUMAXHDQZRDUTXHFADUTFVAXMADEFHIJVBZSAXMVCVDVEADVFVGSVHAD
      XCQWRADXCVLZXCAXODAEDVIHADEFHIJVJVKVMAXCADEXCVNHADXLVNJAFEVOUGZIVPVQXCVRV
      SZVTWASWAAWRWCZCMWBZXDXRXSACMWDUHAXSRZCTNZXDAYAXDXSAYARZXBWNXCYBXBTWTOPZB
      DUBZWNYAXBYDNAYAXAYCBDCTWTOUEUFUHAYDWNNYAABDFGXNWESVHAWNXCQYAAXCXQWFSWAWG
      XTYAWCZRZACUTQZXDAXSYEWHZYFCYFACWIQYHKWJAXSYEWKYECTWBXTCTWDUHWLAYGRBCDEFG
      AEVIQYGHSAFXPQYGISJAYGVCWMWOWPWQWP $.
  $}

  ${
    $d A x $.  $d L x $.
    smfpimgtmpt.x $e |- F/ x ph $.
    smfpimgtmpt.s $e |- ( ph -> S e. SAlg ) $.
    smfpimgtmpt.b $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    smfpimgtmpt.f $e |- ( ph -> ( x e. A |-> B ) e. ( SMblFn ` S ) ) $.
    smfpimgtmpt.l $e |- ( ph -> L e. RR ) $.
    $( Given a function measurable w.r.t. to a sigma-algebra, the preimage of
       an open interval unbounded above is in the subspace sigma-algebra
       induced by its domain.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    smfpimgtmpt $p |- ( ph -> { x e. A | L < B } e. ( S |`t A ) ) $=
      ( clt wbr crab crest co wcel eqid wceq cv cfv nfmpt1 smfpreimagtf dmmptdf
      cmpt cdm nfdm nfcv rabeqf syl wa a1i fvmpt2d breq2d rabbida eqidd 3eqtrrd
      eqcomd oveq2d eleq12d mpbird ) AFDMNZBCOZECPQZRFBUAZBCDUFZUBZMNZBVGUGZOZE
      VJPQZRABFVJEVGBCDUCZIKVJSLUDAVDVKVEVLAVKVIBCOZVDVDAVJCTVKVNTABVGCDGHVGSZJ
      UEZVIBVJCBVGVMUHBCUIUJUKAVIVCBCHAVFCRULVHDFMABCDVGGVGVGTAVOUMJUNUOUPAVDUQ
      URACVJEPAVJCVPUSUTVAVB $.
  $}

  ${
    $d A a x $.  $d D a x $.  $d F a x $.  $d S a $.
    smfpreimage.s $e |- ( ph -> S e. SAlg ) $.
    smfpreimage.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    smfpreimage.d $e |- D = dom F $.
    smfpreimage.a $e |- ( ph -> A e. RR ) $.
    $( Given a function measurable w.r.t. to a sigma-algebra, the preimage of a
       closed interval unbounded above is in the subspace sigma-algebra induced
       by its domain.  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    smfpreimage $p |- ( ph -> { x e. D | A <_ ( F ` x ) } e. ( S |`t D ) ) $=
      ( va cr wcel cv cfv cle wbr crab crest co wral wss wf csmblfn w3a issmfge
      cuni mpbid simp3d wceq breq1 rabbidv eleq1d rspcva syl2anc ) ACLMKNZBNFOZ
      PQZBDRZEDSTZMZKLUAZCUQPQZBDRZUTMZJADEUGUBZDLFUCZVBAFEUDOMVFVGVBUEHABDEFKG
      IUFUHUIVAVEKCLUPCUJZUSVDUTVHURVCBDUPCUQPUKULUMUNUO $.
  $}

  ${
    $d S f $.
    mbfpsssmf.1 $e |- S = dom vol $.
    $( Real-valued measurable functions are a proper subset of sigma-measurable
       functions (w.r.t. the Lebesgue measure on the reals).  (Contributed by
       Glauco Siliprandi, 26-Jun-2021.) $)
    mbfpsssmf $p |- ( MblFn i^i ( RR ^pm RR ) ) C. ( SMblFn ` S ) $=
      ( vf cmbf cr cpm co cin csmblfn cfv wpss wss wn wa cv elinel1 crn elinel2
      wcel ssriv elpmrn syl mbfresmf nsssmfmbf nsstr mp2an pm3.2i dfpss3 mpbir
      ) DEEFGZHZAIJZKUKULLZULUKLMZNUMUNCUKULCOZUKSZAUOUODUJPZUPUOUJSUOQELUODUJR
      EEUOUAUBBUCTULDLMUKDLUNABUDCUKDUQTULDUKUEUFUGUKULUHUI $.
  $}

  ${
    $d A x y $.  $d B y $.  $d L x y $.
    smfpimgtxrmpt.x $e |- F/ x ph $.
    smfpimgtxrmpt.s $e |- ( ph -> S e. SAlg ) $.
    smfpimgtxrmpt.b $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    smfpimgtxrmpt.f $e |- ( ph -> ( x e. A |-> B ) e. ( SMblFn ` S ) ) $.
    smfpimgtxrmpt.l $e |- ( ph -> L e. RR* ) $.
    $( Given a function measurable w.r.t. to a sigma-algebra, the preimage of
       an open interval unbounded above is in the subspace sigma-algebra
       induced by its domain.  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    smfpimgtxrmpt $p |- ( ph -> { x e. A | L < B } e. ( S |`t A ) ) $=
      ( vy clt wbr crab crest wcel wceq nfcv co cv cmpt cfv cdm nfmpt1 nfdm nfv
      nffv nfbr fveq2 breq2d cbvrabw a1i eqid smfpimgtxr eqeltrd dmmptdf rabeqf
      syl wa fvmpt2d rabbida eqidd 3eqtrrd eqcomd oveq2d eleq12d mpbird ) AFDNO
      ZBCPZECQUAZRFBUBZBCDUCZUDZNOZBVNUEZPZEVQQUAZRAVRFMUBZVNUDZNOZMVQPZVSVRWCS
      AVPWBBMVQBVNBCDUFZUGZMVQTVPMUHBFWANBFTBNTBVTVNWDBVTTUIUJVMVTSVOWAFNVMVTVN
      UKULUMUNAMFVQEVNMVNTIKVQUOLUPUQAVKVRVLVSAVRVPBCPZVKVKAVQCSVRWFSABVNCDGHVN
      UOZJURZVPBVQCWEBCTUSUTAVPVJBCHAVMCRVAVODFNABCDVNGVNVNSAWGUNJVBULVCAVKVDVE
      ACVQEQAVQCWHVFVGVHVI $.
  $}

  ${
    $d A x $.  $d L x $.  $d R x $.
    smfpimioompt.x $e |- F/ x ph $.
    smfpimioompt.s $e |- ( ph -> S e. SAlg ) $.
    smfpimioompt.a $e |- ( ph -> A e. V ) $.
    smfpimioompt.b $e |- ( ( ph /\ x e. A ) -> B e. W ) $.
    smfpimioompt.m $e |- ( ph -> ( x e. A |-> B ) e. ( SMblFn ` S ) ) $.
    smfpimioompt.l $e |- ( ph -> L e. RR* ) $.
    smfpimioompt.r $e |- ( ph -> R e. RR* ) $.
    $( Given a function measurable w.r.t. to a sigma-algebra, the preimage of
       an open interval is in the subspace sigma-algebra induced by its domain.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    smfpimioompt $p |- ( ph -> { x e. A | B e. ( L (,) R ) } e. ( S |`t A ) )
                   $=
      ( co crab cr eqid cioo wcel clt wbr cin crest cv wa cmpt cdm smff dmmptdf
      wf feq2d mpbid fvmptelrn pimiooltgt subsalsal smfpimltxrmpt smfpimgtxrmpt
      rexrd salincld eqeltrd ) ADGEUAQUBBCRDEUCUDBCRZGDUCUDBCRZUEFCUFQZABCDEGJO
      PABUGCUBUHDABCDSABCDUIZUJZSVGUMCSVGUMAVHFVGKNVHTUKAVHCSVGABVGCDIJVGTMULUN
      UOUPVAUQAVFVDVEACFVFHKLVFTURABCDEFIJKMNPUSABCDFGIJKMNOUTVBVC $.
  $}

  ${
    $d A x $.  $d B x $.  $d D x $.  $d F x $.  $d ph x $.
    smfpimioo.s $e |- ( ph -> S e. SAlg ) $.
    smfpimioo.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    smfpimioo.d $e |- D = dom F $.
    smfpimioo.a $e |- ( ph -> A e. RR* ) $.
    smfpimioo.b $e |- ( ph -> B e. RR* ) $.
    $( Given a function measurable w.r.t. to a sigma-algebra, the preimage of
       an open interval is in the subspace sigma-algebra induced by its domain.
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    smfpimioo $p |- ( ph -> ( `' F " ( A (,) B ) ) e. ( S |`t D ) ) $=
      ( vx ccnv cioo co cima cv cfv cr cvv wcel crab crest cmpt feqmptd imaeq1d
      smff cnveqd wceq eqid mptpreima a1i eqtrd cuni csalg uniexd smfdmss ssexd
      nfv ffvelrnda csmblfn eqeltrrd smfpimioompt eqeltrd ) AFMZBCNOZPZLQZFRZVF
      UALDUBZEDUCOAVGLDVIUDZMZVFPZVJAVEVLVFAFVKALDSFADEFGHIUGZUEZUHUFVMVJUIALDV
      IVFVKVKUJUKULUMALDVICEBTSALUSGADEUNTAEUOGUPADEFGHIUQURADSVHFVNUTAFVKEVARV
      OHVBJKVCVD $.
  $}

  ${
    $d D e n x $.  $d F e n x $.  $d S e n $.  $d T g n x $.  $d T x y $.
    $d e g n ph x $.  $d e ph x y $.
    smfresal.s $e |- ( ph -> S e. SAlg ) $.
    smfresal.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    smfresal.d $e |- D = dom F $.
    smfresal.t $e |- T = { e e. ~P RR | ( `' F " e ) e. ( S |`t D ) } $.
    $( Given a sigma-measurable function, the subsets of ` RR ` whose preimage
       is in the sigma-algebra induced by the function's domain, form a
       sigma-algebra.  First part of the proof of Proposition 121E (f) of
       [Fremlin1] p. 38 .  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    smfresal $p |- ( ph -> T e. SAlg ) $=
      ( vx cvv wcel cr a1i wa wceq syl adantr cn vg vn vy cuni ccnv cv crest co
      cima cpw reex pwex rabex2 0elpw ima0 csalg uniexd smfdmss ssexd subsalsal
      eqid 0sald eqeltrd jca imaeq2 eleq1d elrab2 sylibr cdif wal nfv wrex nfcv
      c0 wb crab nfrab1 nfcxfr eluni2f biimpi adantl nfuni nfel nfel1 wi eleq2i
      nfan wss rabidim1 elpwi simpr sseldd ex rexlimd mpd cmin caddc cioo ovexd
      c1 ioossre elpwd cfv smff ffnd fncnvima2 wf ffvelrnd adantlr cmpt csmblfn
      wfn feqmptd eqcomd cxr peano2rem rexrd peano2re smfpimioompt id ltm1 ltp1
      eliood eleq2 rspcef syl2anc impbid alrimi difeq1d difss ssexi elpwg ax-mp
      dfcleq mpbir wfun ffund difpreima simprd ciun fimacnv restuni4 eqtrd nnex
      eqtr4d saldifcld fvex iunex ffvelrn elrabi iunssd imaiun com cdom adantll
      wbr nnct saliuncl issalnnd ) AKDUAUBLDUDZDLMAFUEZEUFZUIZCBUGUHZMZENUJZDJN
      UKULUMOAVNUVFMZUVAVNUIZUVDMZPVNDMAUVGUVIUVGANUNOAUVHVNUVDUVHVNQAUVAUOOAUV
      DABCUVDLGABCUDLACUPGUQABCFGHIURZUSZUVDVAUTZVBVCVDUVEUVIEVNUVFDUVBVNQUVCUV
      HUVDUVBVNUVAVEVFJVGVHUUTVAAKUFZDMZPZUUTUVMVIZNUVMVIZDAUVPUVQQUVNAUUTNUVMA
      UCUFZUUTMZUVRNMZVOZUCVJUUTNQAUWAUCAUCVKAUVSUVTAUVSUVTAUVSPZUVRUVBMZEDVLZU
      VTUVSUWDAUVSUWDEUVRDEUVRVMZEDUVEEUVFVPZJUVEEUVFVQVRZVSZVTWAUWBUWCUVTEDAUV
      SEAEVKEUVRUUTUWEEDUWGWBWCWGEUVRNUWEWDUVBDMZUWCUVTWEWEUWBUWIUWCUVTUWIUWCPU
      VBNUVRUWIUVBNWHZUWCUWIUVBUVFMZUWJUWIUVBUWFMZUWKUWIUWLDUWFUVBJWFVTUVEEUVFW
      IRUVBNWJRSUWIUWCWKWLWMOWNWOWMAUVTUVSAUVTPZUWDUVSUWMUVRWTWPUHZUVRWTWQUHZWR
      UHZDMZUVRUWPMZUWDUWMUWPUVFMZUVAUWPUIZUVDMZPUWQUWMUWSUXAAUWSUVTAUWPNLAUWNU
      WOWRWSUWPNWHAUWNUWOXAOXBSUWMUWTUVMFXCZUWPMKBVPZUVDAUWTUXCQZUVTAFBXLUXDABN
      FABCFGHIXDZXEKBUWPFXFRSUWMKBUXBUWOCUWNLNUWMKVKACUPMUVTGSABLMUVTUVKSAUVMBM
      ZUXBNMUVTAUXFPBNUVMFABNFXGZUXFUXESAUXFWKXHXIAKBUXBXJZCXKXCZMUVTAUXHFUXIAF
      UXHAKBNFUXEXMXNHVCSUVTUWNXOMAUVTUWNUVRXPXQZWAUVTUWOXOMAUVTUWOUVRXRXQZWAXS
      VCVDUVEUXAEUWPUVFDUVBUWPQUVCUWTUVDUVBUWPUVAVEVFJVGVHUVTUWRAUVTUWNUWOUVRUX
      JUXKUVTXTUVRYAUVRYBYCWAUWCUWREUWPDUWREVKEUWPVMUWGUVBUWPUVRYDYEYFUWHVHWMYG
      YHUCUUTNYNVHYISUVOUVQUVFMZUVAUVQUIZUVDMZPUVQDMUVOUXLUXNUXLUVOUXLUVQNWHZNU
      VMYJZUVQLMUXLUXOVOUVQNUKUXPYKUVQNLYLYMYOOUVOUXMUVDUDZUVAUVMUIZVIZUVDAUXMU
      XSQUVNAUXMUVANUIZUXRVIZUXSAFYPUXMUYAQABNFUXEYQNUVMFYRRAUXTUXQUXRAUXTBUXQA
      UXGUXTBQUXEBNFUUARACBUPGUVJUUBUUEYIUUCSUVOUVDUXRAUVDUPMZUVNUVLSUVNUXRUVDM
      ZAUVNUVMUVFMZUYCUVNUYDUYCPUVEUYCEUVMUVFDUVBUVMQUVCUXRUVDUVBUVMUVAVEVFJVGV
      TYSWAUUFVCVDUVEUXNEUVQUVFDUVBUVQQUVCUXMUVDUVBUVQUVAVEVFJVGVHVCATDUAUFZXGZ
      PZUBTUBUFZUYEXCZYTZUVFMZUVAUYJUIZUVDMZPUYJDMUYGUYKUYMUYFUYKAUYFUYJNLUYJLM
      UYFUBTUYIUUDUYHUYEUUGUUHOUYFUBTUYINUYFUYHTMZPZUYIDMZUYINWHZTDUYHUYEUUIZUY
      PUYIUVFMZUYQUYPUYIUWFMZUYSUYPUYTDUWFUYIJWFVTUVEEUYIUVFUUJRUYINWJRRUUKXBWA
      UYGUYLUBTUVAUYIUIZYTZUVDUYLVUBQUYGUBUVATUYIUULOUYGUVDUBVUATAUYBUYFUVLSTUU
      MUUNUUPUYGUUQOUYFUYNVUAUVDMZAUYOUYPVUCUYRUYPUYSVUCUYPUYSVUCPUVEVUCEUYIUVF
      DUVBUYIQUVCVUAUVDUVBUYIUVAVEVFJVGVTYSRUUOUURVCVDUVEUYMEUYJUVFDUVBUYJQUVCU
      YLUVDUVBUYJUVAVEVFJVGVHUUS $.
  $}

  ${
    $d A x $.  $d B a $.  $d C a x $.  $d S a $.  $d a ph $.
    smfrec.x $e |- F/ x ph $.
    smfrec.s $e |- ( ph -> S e. SAlg ) $.
    smfrec.a $e |- ( ph -> A e. V ) $.
    smfrec.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    smfrec.m $e |- ( ph -> ( x e. A |-> B ) e. ( SMblFn ` S ) ) $.
    smfrec.e $e |- C = { x e. A | B =/= 0 } $.
    $( The reciprocal of a sigma-measurable functions is sigma-measurable.
       First part of Proposition 121E (e) of [Fremlin1] p. 38 .  (Contributed
       by Glauco Siliprandi, 26-Jun-2021.) $)
    smfrec $p |- ( ph -> ( x e. C |-> ( 1 / B ) ) e. ( SMblFn ` S ) ) $=
      ( cc0 cr wcel wa clt wbr adantr va c1 cdiv co nfv cuni wne ssrab2 eqsstri
      crab cmpt eqid dmmptdf eqcomd smfdmss eqsstrd sstrid cv 1red sseli adantl
      cdm syldan eleq2i rabidim2 syl redivcld crest cun nfan ad4ant14 crp simpl
      biimpi simpr elrpd adantll pimrecltpos csalg cvv rabexd subsalsal csmblfn
      ad2antrr cfv wss a1i sssmfmpt rprecred smfpimgtmpt smfpimltmpt eqeltrd wn
      0red saluncld wceq wb breq2 ad2antlr reclt0 bicomd adantlr rabbida simpll
      bitrd simplr lttri5d adantlll cioo sylan2 pimrecltneg lt0ne0 smfpimioompt
      neqne rexrd syl2anc pm2.61dan issmfdmpt ) ABEUBDUCUDZFUAHAUAUEIAECFUFZEDN
      UGZBCUJZCMYABCUHUIZACBCDUKZVBZXTAYECABYDCDOHYDULKUMUNAYEFYDILYEULUOUPUQAB
      URZEPZQZUBDYHUSAYGYFCPZDOPZYGYIAECYFYCUTZVAKVCZYGYAAYGYFYBPZYAYGYMEYBYFMV
      DVNYABCVEVFZVAZVGAUAURZOPZQZNYPRSZXSYPRSZBEUJZFEVHUDZPZYRYSQZUUAUBYPUCUDZ
      DRSBEUJZDNRSZBEUJZVIUUBUUDBEDYPYRYSBAYQBHYQBUEVJZYSBUEVJZAYGYJYQYSYLVKZYG
      YAUUDYNVAYQYSYPVLPAYQYSQZYPYQYSVMYQYSVOVPZVQVRUUDUUBUUFUUHAUUBVSPYQYSAEFU
      UBVTIAYABCEGMJWAZUUBULWBWDUUDBEDFUUEOUUJYRFVSPZYSAUUOYQITZTUUKYRBEDUKFWCW
      EPZYSAUUQYQABCDEFILECWFAYCWGWHZTZTYQYSUUEOPZAUULYPUUMWIVQWJAUUHUUBPZYQYSA
      BEDNFOHIYLUURAWNZWKZWDWOWLYRYSWMZQZYPNWPZUUCAUVFUUCYQUVDAUVFQZUUAUUHUUBUV
      GYTUUGBEAUVFBHUVFBUEVJUVGYGQYTXSNRSZUUGUVFYTUVHWQAYGYPNXSRWRWSAYGUVHUUGWQ
      UVFYHUUGUVHYHDYLYOWTXAXBXEXCAUVAUVFUVCTWLVKUVEUVFWMZQYRYPNRSZUUCYRUVDUVIX
      DYQUVDUVIUVJAYQUVDQZUVIQZYPNYQUVDUVIXDUVLWNUVIYPNUGUVKYPNXNVAYQUVDUVIXFXG
      XHYRUVJQZUUADUUENXIUDPBEUJUUBUVMBEDYPYRUVJBUUIUVJBUEVJZYRYGYJUVJYGYRYIYJY
      KAYIYJYQKXBXJXBZYGYAUVMYNVAYRYQUVJAYQVOTYRUVJVOXKUVMBEDNFUUEVTOUVNYRUUOUV
      JUUPTAEVTPYQUVJUUNWDUVOYRUUQUVJUUSTUVMUUEYQUVJUUTAYQUVJQZUBYPUVPUSYQUVJVM
      YPXLVGVQXOUVMNANOPYQUVJUVBWDXOXMWLXPXQXQXR $.
  $}

  ${
    $d A a x $.  $d F a x $.  $d S a $.  $d a ph x $.
    smfres.s $e |- ( ph -> S e. SAlg ) $.
    smfres.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    smfres.a $e |- ( ph -> A e. V ) $.
    $( The restriction of sigma-measurable function is sigma-measurable.
       Proposition 121E (h) of [Fremlin1] p. 37 .  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    smfres $p |- ( ph -> ( F |` A ) e. ( SMblFn ` S ) ) $=
      ( vx va cin a1i cr wcel crest co cmnf cvv adantr wceq cdm cres cuni inss1
      nfv wss eqid smfdmss sstrd wf smff fresin syl cv wa cfv clt wbr crab ccnv
      cioo cima ovexd csalg csmblfn cxr mnfxr rexr smfpimioo elrestd wfun ffund
      adantl respreima eqcomd preimaioomnf eqtr2d restco syl3anc eleq12d mpbird
      dmexd issmfd ) AIDUAZBKZCDBUBZJAJUEFAWEWDCUCWEWDUFAWDBUDLAWDCDFGWDUGZUHUI
      AWDMDUJWEMWFUJZAWDCDFGWGUKZWDMDBULUMZAJUNZMNZUOZIUNWFUPWKUQURIWEUSZCWEOPZ
      NDUTQWKVAPZVBZBKZCWDOPZBOPZNWMWRBWSREWQWMCWDOVCABENZWLHSWMQWKWDCDACVDNZWL
      FSADCVEUPZNWLGSWGQVFNWMVGLWLWKVFNAWKVHVMZVIWRUGVJWMWNWRWOWTWMWRWFUTWPVBZW
      NAWRXETWLAXEWRADVKXEWRTAWDMDWIVLWPBDVNUMVOSWMIWEWKWFAWHWLWJSXDVPVQWMWTWOA
      WTWOTZWLAXBWDRNXAXFFADXCGWBHWDBCVDREVRVSSVOVTWAWC $.
  $}

  ${
    smfmullem1.a $e |- ( ph -> A e. RR ) $.
    smfmullem1.u $e |- ( ph -> U e. RR ) $.
    smfmullem1.v $e |- ( ph -> V e. RR ) $.
    smfmullem1.l $e |- ( ph -> ( U x. V ) < A ) $.
    smfmullem1.x $e |- X = ( ( A - ( U x. V ) ) / ( 1 + ( ( abs ` U ) + ( abs `
       V ) ) ) ) $.
    smfmullem1.y $e |- Y = if ( 1 <_ X , 1 , X ) $.
    smfmullem1.p $e |- ( ph -> P e. ( ( U - Y ) (,) U ) ) $.
    smfmullem1.r $e |- ( ph -> R e. ( U (,) ( U + Y ) ) ) $.
    smfmullem1.s $e |- ( ph -> S e. ( ( V - Y ) (,) V ) ) $.
    smfmullem1.z $e |- ( ph -> Z e. ( V (,) ( V + Y ) ) ) $.
    smfmullem1.h $e |- ( ph -> H e. ( P (,) R ) ) $.
    smfmullem1.i $e |- ( ph -> I e. ( S (,) Z ) ) $.
    $( The multiplication of two sigma-measurable functions is measurable: this
       is the step (i) of the proof of Proposition 121E (d) of [Fremlin1]
       p. 37 .  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    smfmullem1 $p |- ( ph -> ( H x. I ) < A ) $=
      ( cmul co clt wbr cmin caddc elioored recnd mulsubd subdird subdid mulcld
      oveq12d addsub4d eqcomd mulcomd oveq2d oveq1d 3eqtrd addcld npcand subcld
      eqtrd addsubassd eqtr2d pnpcan2d 3eqtrrd c2 cexp cabs cfv cr wcel resubcl
      wa jca syl remulcl readdcl c1 cle cif crp wceq a1i cdiv wb remulcld difrp
      1rp syl2anc mpbid abscld readdcld cc0 0re rpgt0d absge0d addge01d ltletrd
      1red letrd elrpd rpdivcld eqeltrd ifcld resqcl resubcld resqcld cc leabsd
      rpred absmuld cioo rexrd ioogtlb syl3anc lttrd iooltub absdifltd ioogtlbd
      mpbird iooltubd ltmul12ad eqbrtrd lelttrd sqvald ltled lemul1ad leadd12dd
      cxr breqtrd ltleaddd cicc min1 adddid eqbrtrid sqrlearg 1cnd mulid1d min2
      eliccd leadd1dd addcomd gtned divcan1d ltsub1d ) AGHUEUFZBUGUHUULFIUEUFZU
      IUFZBUUMUIUFZUGUHAUUNGFUIUFZHIUIUFZUEUFZUUPIUEUFZFUUQUEUFZUJUFZUJUFZUUOUG
      AUVBUULIFUEUFZUJUFZGIUEUFZHFUEUFZUJUFZUIUFZUVGUUMUUMUJUFZUIUFZUJUFZUULUUM
      UJUFZUVIUIUFZUUNAUURUVHUVAUVJUJAGFHIAGAGCDUCUKZULZAFNULZAHAHELUDUKZULZAIO
      ULZUMZAUVAUVEUUMUIUFZFHUEUFZUUMUIUFZUJUFZUVEUWBUJUFZUVIUIUFZUVJAUUSUWAUUT
      UWCUJAGFIUVOUVPUVSUNAFHIUVPUVRUVSUOUQAUWFUWDAUVEUWBUUMUUMAGIUVOUVSUPZAFHU
      VPUVRUPAFIUVPUVSUPZUWHURUSAUWEUVGUVIUIAUWBUVFUVEUJAFHUVPUVRUTVAVBVCUQAUVM
      UVHUVGUJUFZUVIUIUFUVKAUVLUWIUVIUIAUWIUVLAUWIUVDUVLAUVDUVGAUULUVCAGHUVOUVR
      UPZAIFUVSUVPUPVDZAUVEUVFUWGAHFUVRUVPUPVDZVEAUVCUUMUULUJAIFUVSUVPUTVAVGUSV
      BAUVHUVGUVIAUVDUVGUWKUWLVFZUWLAUUMUUMUWHUWHVDVHVIAUULUUMUUMUWJUWHUWHVJVKA
      UVBKVLVMUFZKIVNVOZUEUFZKFVNVOZUEUFZUJUFZUJUFZUUOAUURVPVQZUVAVPVQZVSUVBVPV
      QAUXAUXBAUUPVPVQZUUQVPVQZVSUXAAUXCUXDAGVPVQZFVPVQZVSUXCAUXEUXFUVNNVTGFVRW
      AZAHVPVQZIVPVQZVSUXDAUXHUXIUVQOVTHIVRWAZVTUUPUUQWBWAZAUUSVPVQZUUTVPVQZVSU
      XBAUXLUXMAUXCUXIVSUXLAUXCUXIUXGOVTUUPIWBWAZAUXFUXDVSUXMAUXFUXDNUXJVTFUUQW
      BWAZVTUUSUUTWCWAZVTUURUVAWCWAAUWNVPVQZUWSVPVQZVSUWTVPVQAUXQUXRAKVPVQUXQAK
      AKWDJWEUHZWDJWFZWGKUXTWHARWIZAUXSWDJWGWDWGVQAWNWIZAJUUOWDUWQUWOUJUFZUJUFZ
      WJUFZWGJUYEWHAQWIZAUUOUYDAUUMBUGUHZUUOWGVQZPAUUMVPVQBVPVQUYGUYHWKAFINOWLZ
      MUUMBWMWOWPAUYDAWDUYCAXEZAUWQUWOAFUVPWQZAIUVSWQZWRZWRZAWSWDUYDWSVPVQAWTWI
      ZUYJUYNAWDUYBXAZAWSUYCWEUHWDUYDWEUHAWSUWQUYCUYOUYKUYMAFUVPXBZAWSUWOWEUHUW
      QUYCWEUHAIUVSXBZAUWQUWOUYKUYLXCWPXFAWDUYCUYJUYMXCWPXDXGXHXIZXJXIXPZKXKWAZ
      AUWPVPVQZUWRVPVQZVSUXRAVUBVUCAKUWOUYTUYLWLZAKUWQUYTUYKWLZVTUWPUWRWCWAZVTU
      WNUWSWCWAZABUUMMUYIXLZAUURUVAUWNUWSUXKUXPAKUYTXMAUWPUWRVUDVUEWRAUURKKUEUF
      ZUWNUGAUURUURVNVOZVUIUXKAUURAUURUVHXNUVTUWMXIWQAKKUYTUYTWLAUURUXKXOAVUJUU
      PVNVOZUUQVNVOZUEUFVUIUGAUUPUUQAUUPUXGULZAUUQUXJULZXQAVUKKVULKAUUPVUMWQZUY
      TAUUQVUNWQZUYTAUUPVUMXBZAVUKKUGUHFKUIUFZGUGUHZGFKUJUFZUGUHZVSAVUSVVAAVURC
      GAFKNUYTXLZACVURFSUKZUVNAVURYOVQFYOVQZCVURFXRUFVQVURCUGUHAVURVVBXSAFNXSZS
      VURFCXTYAACYOVQZDYOVQZGCDXRUFVQZCGUGUHACVVCXSZADADFVUTTUKZXSZUCCDGXTYAYBA
      GDVUTUVNVVJAFKNUYTWRZAVVFVVGVVHGDUGUHVVIVVKUCCDGYCYAAVVDVUTYOVQDFVUTXRUFV
      QDVUTUGUHVVEAVUTVVLXSTFVUTDYCYAYBVTAGFKUVNNUYTYDYFZAUUQVUNXBAVULKUGUHIKUI
      UFZHUGUHZHIKUJUFZUGUHZVSAVVOVVQAVVNEHAIKOUYTXLZAEVVNIUAUKZUVQAVVNIEAVVNVV
      RXSAIOXSZUAYEAELHAEVVSXSZALALIVVPUBUKZXSZUDYEYBAHLVVPUVQVWBAIKOUYTWRZAELH
      VWAVWCUDYGAIVVPLVVTAVVPVWDXSUBYGYBVTAHIKUVQOUYTYDYFZYHYIYJAUWNVUIAKAKUYTU
      LZYKUSYPAUUSUUTUWPUWRUXNUXOVUDVUEAUUSUUSVNVOZUWPUXNAUUSAUUSUXNULWQVUDAUUS
      UXNXOAVWGVUKUWOUEUFUWPWEAUUPIVUMUVSXQAVUKKUWOVUOUYTUYLUYRAVUKKVUOUYTVVMYL
      ZYMYIXFAUUTUUTVNVOZUWRUXOAUUTAUUTUXOULWQVUEAUUTUXOXOAVWIVULUWQUEUFZUWRWEA
      VWIUWQVULUEUFVWJAFUUQUVPVUNXQAUWQVULAUWQUYKULZAVULVUPULUTVGAVULKUWQVUPUYT
      UYKUYQAVULKVUPUYTVWEYLYMYIXFYNYQAUWTKUWSUJUFZUUOVUGAKUWSUYTVUFWRVUHAUWNKU
      WSVUAUYTVUFAUWNKWEUHKWSWDYRUFVQAWSWDKUYOUYJUYTAWSVUKKUYOVUOUYTVUQVWHXFAKU
      XTWDWERAWDVPVQZJVPVQZUXTWDWEUHUYJAJUYSXPZWDJYSWOUUAUUFAKUYTUUBYFUUGAVWLKW
      DUWOUWQUJUFZUJUFZUEUFZUUOWEAVWRKWDUEUFZKVWPUEUFZUJUFVWLAKWDVWPVWFAUUCZAUW
      OUWQAUWOUYLULZVWKVDZYTAVWSKVWTUWSUJAKVWFUUDAKUWOUWQVWFVXBVWKYTUQVIAVWRJVW
      QUEUFZUUOWEAKJVWQUYTVWOAWDVWPUYJAUWOUWQUYLUYKWRZWRZAWSVWQUYOVXFAWSWDVWQUY
      OUYJVXFUYPAWSVWPWEUHWDVWQWEUHAWSUWOVWPUYOUYLVXEUYRAWSUWQWEUHUWOVWPWEUHUYQ
      AUWOUWQUYLUYKXCWPXFAWDVWPUYJVXEXCWPXDZYLAKUXTJWEUYAAVWMVWNUXTJWEUHUYJVWOW
      DJUUEWOYIYMAVXDUYEVWQUEUFUUOVWQWJUFZVWQUEUFUUOAJUYEVWQUEUYFVBAUYEVXHVWQUE
      AUYDVWQUUOWJAUYCVWPWDUJAUWQUWOVWKVXBUUHVAVAVBAUUOVWQAUUOVUHULAWDVWPVXAVXC
      VDAWSVWQUYOVXGUUIUUJVCYPYIXFXDYIAUULBUUMAGHUVNUVQWLMUYIUUKYF $.
  $}

  ${
    $d A q $.  $d P q u v $.  $d R q u v $.  $d S q u v $.  $d U q $.
    $d V q $.  $d Z q u v $.  $d ph u v $.
    smfmullem2.a $e |- ( ph -> A e. RR ) $.
    smfmullem2.k $e |- K = { q e. ( QQ ^m ( 0 ... 3 ) ) | A. u e. ( ( q ` 0 )
       (,) ( q ` 1 ) ) A. v e. ( ( q ` 2 ) (,) ( q ` 3 ) ) ( u x. v ) < A } $.
    smfmullem2.u $e |- ( ph -> U e. RR ) $.
    smfmullem2.v $e |- ( ph -> V e. RR ) $.
    smfmullem2.l $e |- ( ph -> ( U x. V ) < A ) $.
    smfmullem2.p $e |- ( ph -> P e. QQ ) $.
    smfmullem2.r $e |- ( ph -> R e. QQ ) $.
    smfmullem2.s $e |- ( ph -> S e. QQ ) $.
    smfmullem2.z $e |- ( ph -> Z e. QQ ) $.
    smfmullem2.p2 $e |- ( ph -> P e. ( ( U - Y ) (,) U ) ) $.
    smfmullem2.42 $e |- ( ph -> R e. ( U (,) ( U + Y ) ) ) $.
    smfmullem2.w2 $e |- ( ph -> S e. ( ( V - Y ) (,) V ) ) $.
    smfmullem2.z2 $e |- ( ph -> Z e. ( V (,) ( V + Y ) ) ) $.
    smfmullem2.x $e |- X = ( ( A - ( U x. V ) ) / ( 1 + ( ( abs ` U ) + ( abs `
       V ) ) ) ) $.
    smfmullem2.y $e |- Y = if ( 1 <_ X , 1 , X ) $.
    $( The multiplication of two sigma-measurable functions is measurable: this
       is the step (i) of the proof of Proposition 121E (d) of [Fremlin1]
       p. 37 .  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    smfmullem2 $p |- ( ph -> E. q e. K ( U e. ( ( q ` 0 ) (,) ( q ` 1 ) ) /\ V
       e. ( ( q ` 2 ) (,) ( q ` 3 ) ) ) ) $=
      ( cs4 wcel cc0 cfv c1 cioo co c2 c3 wa cv wrex cfz cmap cmul clt wbr wral
      cq c4 cfzo cword chash wceq s4cld s4len a1i jca cvv cn0 wb wrdmap syl2anc
      qex 4nn0 mpbid caddc cz 3z fzval3 ax-mp 3p1e4 oveq2i eqtri eqcomi eleqtrd
      oveq2d simpr s4fv0 syl s4fv1 oveq12d adantr s4fv2 s4fv3 syldan adantlr cr
      ad2antrr cmin simplr smfmullem1 fveq1 raleqdv ralbidv bitrd elrab2 sylibr
      ralrimiva qssre sselid rexrd cxr cle cif crp cabs abscld readdcld absge0d
      1rp recnd addge01d eqeltrd resubcld iooltub syl3anc ioogtlb eliood eqcomd
      eleq2d cdiv remulcld difrp 1red rpgt0d letrd ltletrd elrpd rpdivcld ifcld
      0re rpred nfv nfcv crab nfrab1 nfcxfr anbi12d rspcef ) AEFGMUJZIUKZHULUUT
      UMZUNUUTUMZUOUPZUKZJUQUUTUMZURUUTUMZUOUPZUKZUSZHULNUTZUMZUNUVKUMZUOUPZUKZ
      JUQUVKUMZURUVKUMZUOUPZUKZUSZNIVAAUUTVHULURVBUPZVCUPZUKZCUTZBUTZVDUPDVEVFZ
      BUVHVGZCUVDVGZUSUVAAUWCUWHAUUTVHULVIVJUPZVCUPZUWBAUUTVHVKUKZUUTVLUMVIVMZU
      SZUUTUWJUKZAUWKUWLAEFGMVHTUAUBUCVNUWLAEFGMVOVPVQAVHVRUKZVIVSUKZUWMUWNVTUW
      OAWCVPUWPAWDVPVIVHUUTVRWAWBWEAUWIUWAVHVCUWIUWAVMAUWAUWIUWAULURUNWFUPZVJUP
      ZUWIURWGUKUWAUWRVMWHULURWIWJUWQVIULVJWKWLWMWNVPWPWOAUWGCUVDAUWDUVDUKZUWDE
      FUOUPZUKZUWGAUWSUSUWDUVDUWTAUWSWQAUVDUWTVMUWSAUVBEUVCFUOAEVHUKUVBEVMTEFGM
      VHWRWSAFVHUKUVCFVMUAEFGMVHWTWSXAZXBWOAUXAUSZUWFBUVHUXCUWEUVHUKZUWEGMUOUPZ
      UKZUWFAUXDUXFUXAAUXDUXFUXFAUXDUSUWEUVHUXEAUXDWQAUVHUXEVMUXDAUVFGUVGMUOAGV
      HUKUVFGVMUBEFGMVHXCWSAMVHUKUVGMVMUCEFGMVHXDWSXAZXBWOAUXFWQXEXFUXCUXFUSDEF
      GHUWDUWEJKLMADXGUKZUXAUXFOXHAHXGUKUXAUXFQXHAJXGUKUXAUXFRXHAHJVDUPZDVEVFZU
      XAUXFSXHUHUIAEHLXIUPZHUOUPUKZUXAUXFUDXHAFHHLWFUPZUOUPUKZUXAUXFUEXHAGJLXIU
      PZJUOUPUKZUXAUXFUFXHAMJJLWFUPZUOUPUKZUXAUXFUGXHAUXAUXFXJUXCUXFWQXKXEXRXEX
      RVQUWFBUVRVGZCUVNVGZUWHNUUTUWBIUVKUUTVMZUXTUXSCUVDVGUWHUYAUXSCUVNUVDUYAUV
      LUVBUVMUVCUOULUVKUUTXLUNUVKUUTXLXAZXMUYAUXSUWGCUVDUYAUWFBUVRUVHUYAUVPUVFU
      VQUVGUOUQUVKUUTXLURUVKUUTXLXAZXMXNXOPXPXQAUVEUVIAHUWTUVDAEFHAEAVHXGEXSTXT
      YAAFAVHXGFXSUAXTYAQAUXKYBUKHYBUKZUXLEHVEVFAUXKAHLQALALUNKYCVFZUNKYDZYELUY
      FVMAUIVPAUYEUNKYEUNYEUKAYJVPZAKDUXIXIUPZUNHYFUMZJYFUMZWFUPZWFUPZUUAUPZYEK
      UYMVMAUHVPAUYHUYLAUXJUYHYEUKZSAUXIXGUKUXHUXJUYNVTAHJQRUUBOUXIDUUCWBWEAUYL
      AUNUYKAUUDZAUYIUYJAHAHQYKZYGZAJAJRYKZYGZYHZYHZAULUNUYLULXGUKAUUKVPZUYOVUA
      AUNUYGUUEAULUYKYCVFUNUYLYCVFAULUYIUYKVUBUYQUYTAHUYPYIAULUYJYCVFUYIUYKYCVF
      AJUYRYIAUYIUYJUYQUYSYLWEUUFAUNUYKUYOUYTYLWEUUGUUHUUIYMUUJYMUULZYNYAAHQYAZ
      UDUXKHEYOYPAUYDUXMYBUKUXNHFVEVFVUDAUXMAHLQVUCYHYAUEHUXMFYQYPYRAUVDUWTUXBY
      SWOAJUXEUVHAGMJAGAVHXGGXSUBXTYAAMAVHXGMXSUCXTYARAUXOYBUKJYBUKZUXPGJVEVFAU
      XOAJLRVUCYNYAAJRYAZUFUXOJGYOYPAVUEUXQYBUKUXRJMVEVFVUFAUXQAJLRVUCYHYAUGJUX
      QMYQYPYRAUVHUXEUXGYSWOVQUVTUVJNUUTIUVJNUUMNUUTUUNNIUXTNUWBUUOPUXTNUWBUUPU
      UQUYAUVOUVEUVSUVIUYAUVNUVDHUYBYTUYAUVRUVHJUYCYTUURUUSWB $.
  $}

  ${
    $d K p r s z $.  $d R q $.  $d U p q r s u v z $.  $d V p q r s u v z $.
    $d Y p r s u v z $.  $d p ph r s u v z $.
    smfmullem3.r $e |- ( ph -> R e. RR ) $.
    smfmullem3.k $e |- K = { q e. ( QQ ^m ( 0 ... 3 ) ) | A. u e. ( ( q ` 0 )
       (,) ( q ` 1 ) ) A. v e. ( ( q ` 2 ) (,) ( q ` 3 ) ) ( u x. v ) < R } $.
    smfmullem3.u $e |- ( ph -> U e. RR ) $.
    smfmullem3.v $e |- ( ph -> V e. RR ) $.
    smfmullem3.l $e |- ( ph -> ( U x. V ) < R ) $.
    smfmullem3.x $e |- X = ( ( R - ( U x. V ) ) / ( 1 + ( ( abs ` U ) + ( abs `
       V ) ) ) ) $.
    smfmullem3.y $e |- Y = if ( 1 <_ X , 1 , X ) $.
    $( The multiplication of two sigma-measurable functions is measurable: this
       is the step (i) of the proof of Proposition 121E (d) of [Fremlin1]
       p. 37 .  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    smfmullem3 $p |- ( ph -> E. q e. K ( U e. ( ( q ` 0 ) (,) ( q ` 1 ) ) /\ V
       e. ( ( q ` 2 ) (,) ( q ` 3 ) ) ) ) $=
      ( co wcel cq vp vr vs vz cv cmin cioo cc0 cfv c1 c2 c3 wa cle wbr cif crp
      wrex wceq a1i 1rp cmul cabs caddc cdiv cr wb remulcld difrp syl2anc mpbid
      clt 1re recnd abscld readdcld 0re rpgt0d 0red absge0d letrd ltletrd elrpd
      addge01d rpdivcld eqeltrd ifcld rpred resubcld ltsubrpd ltaddrpd ad2antrr
      qelioo simp-4l syl ad8antr simp-8r simp-6r simp-4r simplr simp-7r simp-5r
      rexrd simpllr simpr smfmullem2 rexlimdva2 mpd ) AUAUEZEIUFRZEUGRSZUATUREU
      HJUEZUIUJXLUIUGRSGUKXLUIULXLUIUGRSUMJFURZAUAXJEAXJAEIMAIAIUJHUNUOZUJHUPZU
      QIXOUSAQUTAXNUJHUQUJUQSAVAUTZAHDEGVBRZUFRZUJEVCUIZGVCUIZVDRZVDRZVERZUQHYC
      USAPUTAXRYBAXQDVLUOZXRUQSZOAXQVFSDVFSZYDYEVGAEGMNVHKXQDVIVJVKAYBAUJYAUJVF
      SAVMUTZAXSXTAEAEMVNZVOZAGAGNVNZVOZVPZVPZAUHUJYBUHVFSAVQUTYGYMAUJXPVRAUHYA
      UNUOUJYBUNUOAUHXSYAAVSYIYLAEYHVTAUHXTUNUOXSYAUNUOAGYJVTAXSXTYIYKWDVKWAAUJ
      YAYGYLWDVKWBWCWEWFWGWFZWHZWIXCAEMXCZAEIMYNWJWMAXKXMUATAXITSZUMZXKUMZUBUEZ
      EEIVDRZUGRSZUBTURZXMAUUCYQXKAUBEUUAYPAUUAAEIMYOVPXCAEIMYNWKWMWLYSUUBXMUBT
      YSYTTSZUMZUUBUMZUCUEZGIUFRZGUGRSZUCTURZXMUUFAUUJAYQXKUUDUUBWNZAUCUUHGAUUH
      AGINYOWIXCAGNXCZAGINYNWJWMWOUUFUUIXMUCTUUFUUGTSZUMZUUIUMZUDUEZGGIVDRZUGRS
      ZUDTURZXMUUOAUUSUUFAUUMUUIUUKWLAUDGUUQUULAUUQAGINYOVPXCAGINYNWKWMWOUUOUUR
      XMUDTUUOUUPTSZUMZUURUMBCDXIYTUUGEFGHIUUPJAYFYQXKUUDUUBUUMUUIUUTUURKWPLAEV
      FSYQXKUUDUUBUUMUUIUUTUURMWPAGVFSYQXKUUDUUBUUMUUIUUTUURNWPAYDYQXKUUDUUBUUM
      UUIUUTUUROWPAYQXKUUDUUBUUMUUIUUTUURWQYSUUDUUBUUMUUIUUTUURWRUUFUUMUUIUUTUU
      RWSUUOUUTUURWTYRXKUUDUUBUUMUUIUUTUURXAUUEUUBUUMUUIUUTUURXBUUNUUIUUTUURXDU
      VAUURXEPQXFXGXHXGXHXGXHXGXH $.
  $}

  ${
    $d A q u v x $.  $d B q u v $.  $d C q u v x $.  $d D q u v $.  $d K q x $.
    $d R q u v $.  $d S q $.  $d ph q u v $.
    smfmullem4.x $e |- F/ x ph $.
    smfmullem4.s $e |- ( ph -> S e. SAlg ) $.
    smfmullem4.a $e |- ( ph -> A e. V ) $.
    smfmullem4.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    smfmullem4.d $e |- ( ( ph /\ x e. C ) -> D e. RR ) $.
    smfmullem4.m $e |- ( ph -> ( x e. A |-> B ) e. ( SMblFn ` S ) ) $.
    smfmullem4.n $e |- ( ph -> ( x e. C |-> D ) e. ( SMblFn ` S ) ) $.
    smfmullem4.r $e |- ( ph -> R e. RR ) $.
    smfmullem4.k $e |- K = { q e. ( QQ ^m ( 0 ... 3 ) ) | A. u e. ( ( q ` 0 )
       (,) ( q ` 1 ) ) A. v e. ( ( q ` 2 ) (,) ( q ` 3 ) ) ( u x. v ) < R } $.
    smfmullem4.e $e |- E = ( q e. K |-> { x e. ( A i^i C ) | ( B e. ( ( q ` 0 )
       (,) ( q ` 1 ) ) /\ D e. ( ( q ` 2 ) (,) ( q ` 3 ) ) ) } ) $.
    $( The multiplication of two sigma-measurable functions is measurable.
       Proposition 121E (d) of [Fremlin1] p. 37 .  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    smfmullem4 $p |- ( ph -> { x e. ( A i^i C ) | ( B x. D ) < R } e. ( S |`t (
       A i^i C ) ) ) $=
      ( cmul co clt wbr cin crab cv cfv ciun crest wcel wi wral wss w3a wrex c1
      cc0 cioo c2 c3 wa cmin cabs caddc cle cif cr 3ad2ant1 inss1 sselda syldan
      cdiv a1i 3adant3 elinel2 adantl simp3 eqid smfmullem3 rabid bicomi biimpi
      adantll adantlr wceq cvv cmpt inrab csalg ssexd subsalsal adantr nfv nfan
      csmblfn sssmfmpt cfz cmap wf cq ssrab2 eqsstri qssre mapss mp2an sstri id
      reex cz 0z 3re ltleii mpbir ax-mp ffvelrnd rexrd pm3.2i elfz smfpimioompt
      3z wb mp3an eleqtrd ex sylibr ralrimi nfcv rabidim2 breq1d rspcva syl2anc
      syl com cdom wtru sselid ovexd elmapd mpbid cuz 0re 3pm3.2i eluz2 eluzfz1
      3pos 0le1 1re 1lt3 1z ssdf 0le2 2re 2lt3 eluzfz2 salincld eqeltrrid elexd
      2z fvmpt2d eqcomd 3adantl3 reximdva mpd eliun 3exp nfci nfrab1 nfmpt nffv
      nfcxfr nfiun rabssf eqsstrdi simpr simprd eleqtrdi ad2antlr oveq1 ralbidv
      simpld oveq2 ssrabf iunssd eqssd ovex ssdomg fzfid mpct mptru domtr fmptd
      jca qct ffvelrnda saliuncl eqeltrd ) AFHUEUFZIUGUHZBEGUIZUJZNLNUKZKULZUMZ
      JUXDUNUFZAUXEUXHAUXCBUKZUXHUOZUPZBUXDUQUXEUXHURAUXLBUXDOAUXJUXDUOZUXCUXKA
      UXMUXCUSZUXJUXGUOZNLUTZUXKUXNFVBUXFULZVAUXFULZVCUFZUOZHVDUXFULZVEUXFULZVC
      UFZUOZVFZNLUTUXPUXNCDIFLHIUXBVGUFVAFVHULHVHULVIUFVIUFVQUFZVAUYFVJUHVAUYFV
      KZNAUXMIVLUOUXCUBVMUCAUXMFVLUOZUXCAUXMUXJEUOUYHAUXDEUXJUXDEURAEGVNVRZVORV
      PZVSAUXMHVLUOZUXCAUXMUXJGUOZUYKUXMUYLAUXJEGVTWAZSVPZVSAUXMUXCWBUYFWCUYGWC
      WDUXNUYEUXONLAUXMUXFLUOZUYEUXOUPUXCAUXMVFZUYOVFZUYEUXOUYQUYEVFUXJUYEBUXDU
      JZUXGUYPUYEUXJUYRUOZUYOUXMUYEUYSAUXMUYEVFZUYSUYSUYTUYEBUXDWEWFWGWHWIUYQUY
      RUXGWJZUYEAUYOVUAUXMAUYOVFZUXGUYRANLUYRKWKKNLUYRWLZWJAUDVRVUBUYRUXIVUBUYR
      UXTBUXDUJZUYDBUXDUJZUIUXIUXTUYDBUXDWMVUBUXIVUDVUEAUXIWNUOUYOAUXDJUXIWKPAU
      XDEMQUYIWOZUXIWCWPZWQVUBBUXDFUXRJUXQWKVLAUYOBOUYOBWRZWSZAJWNUOUYOPWQZAUXD
      WKUOUYOVUFWQZAUXMUYHUYOUYJWIABUXDFWLJWTULZUOUYOABEFUXDJPTUYIXAWQVUBUXQUYO
      UXQVLUOAUYOVBVEXBUFZVLVBUXFUYOUXFVLVUMXCUFZUOVUMVLUXFXDUYOLVUNUXFLXEVUMXC
      UFZVUNLDUKZCUKZUEUFZIUGUHZCUYCUQZDUXSUQZNVUOUJZVUOUCVVANVUOXFXGZVLWKUOZXE
      VLURVUOVUNURXMXHXEVLVUMWKXIXJXKUYOXLZUUAUYOVLVUMUXFWKWKVVDUYOXMVRUYOVBVEX
      BUUBUUCUUDZVBVUMUOZUYOVEVBUUEULUOZVVGVVHVBXNUOZVEXNUOZVBVEVJUHZUSVVIVVJVV
      KXOYEVBVEUUFXPUUJXQUUGVBVEUUHXRZVBVEUUIXSVRXTWAYAVUBUXRUYOUXRVLUOAUYOVUMV
      LVAUXFVVFVAVUMUOZUYOVVMVBVAVJUHZVAVEVJUHZVFZVVNVVOUUKVAVEUULXPUUMXQYBVAXN
      UOVVIVVJVVMVVPYFUUNXOYEVAVBVEYCYGXRVRXTWAYAYDVUBBUXDHUYBJUYAWKVLVUIVUJVUK
      AUXMUYKUYOUYNWIABUXDHWLVULUOUYOABGHUXDJPUAABUXDGOUYMUUOXAWQVUBUYAUYOUYAVL
      UOAUYOVUMVLVDUXFVVFVDVUMUOZUYOVVQVBVDVJUHZVDVEVJUHZVFZVVRVVSUUPVDVEUUQXPU
      URXQYBVDXNUOVVIVVJVVQVVTYFUVCXOYEVDVBVEYCYGXRVRXTWAYAVUBUYBUYOUYBVLUOAUYO
      VUMVLVEUXFVVFVEVUMUOZUYOVVHVWAVVLVBVEUUSXSVRXTWAYAYDUUTUVAZUVBUVDZUVEWIWQ
      YHYIUVFUVGUVHNUXJLUXGUVIYJUVJYKUXCBUXDUXHNBLUXGBNLVUHUVKZBUXFKBKVUCUDBNLU
      YRVWDUYEBUXDUVLUVMUVOBUXFYLUVNZUVPUVQYJANLUXGUXEVUBUXGUXDURZUXCBUXGUQZVFU
      XGUXEURVUBVWFVWGVUBUXGUYRUXDVWCUYEBUXDXFUVRVUBUXCBUXGVUIVUBUXOUXCVUBUXOVF
      ZUYDFVUQUEUFZIUGUHZCUYCUQZUXCVWHUXTUYDVWHUYSUYEVWHUXJUXGUYRVUBUXOUVSVUBUX
      GUYRWJUXOVWCWQYHUYEBUXDYMYQZUVTVWHUXTVVAVWKVWHUXTUYDVWLUWEUYOVVAAUXOUYOUX
      FVVBUOVVAUYOUXFLVVBVVEUCUWAVVANVUOYMYQUWBVUTVWKDFUXSVUPFWJZVUSVWJCUYCVWMV
      URVWIIUGVUPFVUQUEUWCYNUWDYOYPVWJUXCCHUYCVUQHWJVWIUXBIUGVUQHFUEUWFYNYOYPYI
      YKUWQUXCBUXDUXGVWEBUXDYLUWGYJUWHUWIAUXINUXGLVUGLYRYSUHZALVUOYSUHZVUOYRYSU
      HZVWNLVUOURZVWOVVCVUOWKUOVWQVWOUPXEVUMXCUWJLVUOWKUWKXSXSVWPYTXEVUMXEYRYSU
      HYTUWRVRYTVBVEUWLUWMUWNLVUOYRUWOXJVRALUXIUXFKANLUYRUXIKVWBUDUWPUWSUWTUXA
      $.
  $}

  ${
    $d A a p q u v x $.  $d B a p q u v $.  $d C a p q u v x $.
    $d D a p q u v $.  $d S a p q $.  $d a p ph q u v $.  $d a p q x $.
    smfmul.x $e |- F/ x ph $.
    smfmul.s $e |- ( ph -> S e. SAlg ) $.
    smfmul.a $e |- ( ph -> A e. V ) $.
    smfmul.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    smfmul.d $e |- ( ( ph /\ x e. C ) -> D e. RR ) $.
    smfmul.m $e |- ( ph -> ( x e. A |-> B ) e. ( SMblFn ` S ) ) $.
    smfmul.n $e |- ( ph -> ( x e. C |-> D ) e. ( SMblFn ` S ) ) $.
    $( The multiplication of two sigma-measurable functions is measurable.
       Proposition 121E (d) of [Fremlin1] p. 37 .  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    smfmul $p |- ( ph -> ( x e. ( A i^i C ) |-> ( B x. D ) ) e. ( SMblFn ` S )
       ) $=
      ( vu co cv wcel cfv va vv vq vp cin cmul nfv cuni elinel1 adantl ssdf cdm
      cmpt cr eqid dmmptdf eqcomd smfdmss eqsstrd sstrd syldan elinel2 remulcld
      wa clt wbr c2 c3 cioo wral cc0 c1 cfz cmap crab nfan csalg adantr adantlr
      csmblfn simpr wceq fveq1 oveq12d raleqdv ralbidv bitrd cbvrabv smfmullem4
      cq issmfdmpt ) ABCEUEZDFUFQGUAIAUAUGJAWLCGUHZABWLCIBRZWLSZWNCSZAWNCEUIUJZ
      UKACBCDUMZULZWMAWSCABWRCDUNIWRUOLUPUQAWSGWRJNWSUOURUSUTAWOVDDFAWOWPDUNSZW
      QLVAAWOWNESZFUNSZWOXAAWNCEVBUJMVAVCAUARZUNSZVDBUBPCDEFXCGUCPRUBRUFQXCVEVF
      ZUBVGUDRZTZVHXFTZVIQZVJZPVKXFTZVLXFTZVIQZVJZUDWJVKVHVMQVNQZVOZDVKUCRZTZVL
      XQTZVIQZSFVGXQTZVHXQTZVIQZSVDBWLVOUMZXPHUCAXDBIXDBUGVPAGVQSXDJVRACHSXDKVR
      AWPWTXDLVSAXAXBXDMVSAWRGVTTZSXDNVRABEFUMYESXDOVRAXDWAXNXEUBYCVJZPXTVJZUDU
      CXOXFXQWBZXNYFPXMVJYGYHXJYFPXMYHXEUBXIYCYHXGYAXHYBVIVGXFXQWCVHXFXQWCWDWEW
      FYHYFPXMXTYHXKXRXLXSVIVKXFXQWCVLXFXQWCWDWEWGWHYDUOWIWK $.
  $}

  ${
    $d A x $.  $d C x $.
    smfmulc1.x $e |- F/ x ph $.
    smfmulc1.s $e |- ( ph -> S e. SAlg ) $.
    smfmulc1.a $e |- ( ph -> A e. V ) $.
    smfmulc1.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    smfmulc1.c $e |- ( ph -> C e. RR ) $.
    smfmulc1.m $e |- ( ph -> ( x e. A |-> B ) e. ( SMblFn ` S ) ) $.
    $( A sigma-measurable function multiplied by a constant is
       sigma-measurable.  Proposition 121E (c) of [Fremlin1] p. 37 .
       (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    smfmulc1 $p |- ( ph -> ( x e. A |-> ( C x. B ) ) e. ( SMblFn ` S ) ) $=
      ( cmul co cmpt cin cr wcel eqid csmblfn cfv wceq inidm eqcomi mpteq1i a1i
      cv adantr cdm cuni dmmptdf eqcomd smfdmss eqsstrd smfconst smfmul eqeltrd
      ) ABCEDNOZPZBCCQZUSPZFUAUBUTVBUCABCVAUSVACCUDUEUFUGABCECDFGHIJAERSBUHCSLU
      IKABCEFBCEPZHIACBCDPZUJZFUKAVECABVDCDRHVDTKULUMAVEFVDIMVETUNUOLVCTUPMUQUR
      $.
  $}

  ${
    $d A x $.  $d C x $.  $d E x $.
    smfdiv.x $e |- F/ x ph $.
    smfdiv.s $e |- ( ph -> S e. SAlg ) $.
    smfdiv.a $e |- ( ph -> A e. V ) $.
    smfdiv.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    smfdiv.c $e |- ( ph -> C e. W ) $.
    smfdiv.d $e |- ( ( ph /\ x e. C ) -> D e. RR ) $.
    smfdiv.m $e |- ( ph -> ( x e. A |-> B ) e. ( SMblFn ` S ) ) $.
    smfdiv.n $e |- ( ph -> ( x e. C |-> D ) e. ( SMblFn ` S ) ) $.
    smfdiv.e $e |- E = { x e. C | D =/= 0 } $.
    $( The fraction of two sigma-measurable functions is measurable.
       Proposition 121E (e) of [Fremlin1] p. 37 .  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    smfdiv $p |- ( ph -> ( x e. ( A i^i E ) |-> ( B / D ) ) e. ( SMblFn ` S ) )
               $=
      ( wcel cin cdiv co cmpt c1 cmul csmblfn cfv cv wa cr elinel1 adantl recnd
      syldan cc0 wne crab ssrab2 eqsstri elinel2 sselid eleq2i rabidim2 divrecd
      biimpi syl mpteq2da 1red sseli redivcld smfrec smfmul eqeltrd ) ABCHUAZDF
      UBUCZUDBVODUEFUBUCZUFUCZUDGUGUHABVOVPVRKABUIZVOTZUJZDFWADAVTVSCTZDUKTVTWB
      AVSCHULUMNUOUNWAFAVTVSETZFUKTZVTWCAVTHEVSHFUPUQZBEURZESWEBEUSUTZVSCHVAZVB
      UMPUOUNVTWEAVTVSHTZWEWHWIVSWFTZWEWIWJHWFVSSVCVFWEBEVDVGZVGUMVEVHABCDHVQGI
      KLMNAWIUJZUEFWLVIAWIWCWDWIWCAHEVSWGVJUMPUOWIWEAWKUMVKQABEFHGJKLOPRSVLVMVN
      $.
  $}

  ${
    $d D e $.  $d F e $.  $d G q $.  $d S e $.  $d T p q $.  $d e p ph $.
    $d ph q $.
    smfpimbor1lem1.s $e |- ( ph -> S e. SAlg ) $.
    smfpimbor1lem1.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    smfpimbor1lem1.a $e |- D = dom F $.
    smfpimbor1lem1.j $e |- J = ( topGen ` ran (,) ) $.
    smfpimbor1lem1.8 $e |- ( ph -> G e. J ) $.
    smfpimbor1lem1.t $e |- T = { e e. ~P RR | ( `' F " e ) e. ( S |`t D ) } $.
    $( Every open set belongs to ` T ` .  This is the second step in the proof
       of Proposition 121E (f) of [Fremlin1] p. 38 .  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    smfpimbor1lem1 $p |- ( ph -> G e. T ) $=
      ( cioo cq wceq wa wcel adantr vq vp cv cxp cima wss cuni wex simprr csalg
      tgqioo2 smfresal cvv iooex imaexi a1i id ssexd adantl simpr cfv wrex wfun
      ioofun fvelima syl2anc wi w3a c1st c2nd co eqcomd cop fveq2d df-ov eqcomi
      1st2nd2 eqtrd 3adant1 cr ccnv crest ioossre ovex elpw mpbir csmblfn xp1st
      cpw cxr rexrd xp2nd smfpimioo imaeq2 eleq1d elrab2 sylibr 3adant3 eqeltrd
      qred jca 3exp rexlimdv mpd ssd sstrd elpwd com cdom wbr ssdomg qct pm3.2i
      ax-mp xpct fimact mp2an domtr salunicl adantrr ex exlimdv ) AUAUCZOPPUDZU
      EZUFZGYCUGZQZRZUAUHGDSZAGHUALMUKAYIYJUAAYIYJAYIRGYGDAYFYHUIAYFYGDSYHAYFRZ
      DYCADUJSYFABCDEFIJKNULTYKYCDUMYFYCUMSAYFYCYEUMYEUMSZYFOYDUMUNUOZUPYFUQURU
      SYKYCYEDAYFUTAYEDUFYFAUAYEDAYCYESZRUBUCZOVAZYCQZUBYDVBZYCDSZYNYRAYNOVCZYN
      YRYTYNVDUPYNUQUBYCYDOVEVFUSAYRYSVGYNAYQYSUBYDAYOYDSZYQYSAUUAYQVHYCYOVIVAZ
      YOVJVAZOVKZDUUAYQYCUUDQAUUAYQRYCYPUUDYQYCYPQUUAYQYPYCYQUQVLUSUUAYPUUDQYQU
      UAYPUUBUUCVMZOVAZUUDUUAYOUUEOYOPPVQVNUUFUUDQUUAUUDUUFUUBUUCOVOVPUPVRTVRVS
      AUUAUUDDSZYQAUUARZUUDVTWIZSZFWAZUUDUEZCBWBVKZSZRUUGUUHUUJUUNUUJUUHUUJUUDV
      TUFUUBUUCWCUUDVTUUBUUCOWDWEWFUPUUHUUBUUCBCFACUJSUUAITAFCWGVASUUAJTKUUAUUB
      WJSAUUAUUBUUAUUBYOPPWHWTWKUSUUAUUCWJSAUUAUUCUUAUUCYOPPWLWTWKUSWMXAUUKEUCZ
      UEZUUMSUUNEUUDUUIDUUOUUDQUUPUULUUMUUOUUDUUKWNWONWPWQWRWSXBXCTXDXETXFXGYFY
      CXHXIXJZAYFYCYEXIXJZYEXHXIXJZUUQYLYFUURVGYMYCYEUMXKXNUUSYFYDXHXIXJZYTUUSP
      XHXIXJZUVARUUTUVAUVAXLXLXMPPXOXNVDYDOXPXQUPYCYEXHXRVFUSXSXTWSYAYBXD $.
  $}

  ${
    $d D e x $.  $d E e x $.  $d F e x $.  $d J e x $.  $d S e $.  $d T x $.
    $d e ph x $.
    smfpimbor1lem2.s $e |- ( ph -> S e. SAlg ) $.
    smfpimbor1lem2.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    smfpimbor1lem2.a $e |- D = dom F $.
    smfpimbor1lem2.j $e |- J = ( topGen ` ran (,) ) $.
    smfpimbor1lem2.b $e |- B = ( SalGen ` J ) $.
    smfpimbor1lem2.e $e |- ( ph -> E e. B ) $.
    smfpimbor1lem2.p $e |- P = ( `' F " E ) $.
    smfpimbor1lem2.t $e |- T = { e e. ~P RR | ( `' F " e ) e. ( S |`t D ) } $.
    $( Given a sigma-measurable function, the preimage of a Borel set belongs
       to the subspace sigma-algebra induced by the domain of the function.
       Proposition 121E (f) of [Fremlin1] p. 37 .  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    smfpimbor1lem2 $p |- ( ph -> P e. ( S |`t D ) ) $=
      ( cr wcel vx ccnv cima crest co cpw wa ctop crn ctg cfv retop eqeltri a1i
      cioo smfresal csalg adantr csmblfn simpr smfpimbor1lem1 ssd cuni wss wral
      cv wrex nfcv crab nfrab1 nfcxfr eluni2f biimpi nfuni nfel nfv wi rabidim1
      eleq2i syl elpwi sseldd rexlimd mpd rgen dfss3 mpbir wceq uniretop eqcomi
      ex unieqi eqtr2i eqcomd unissd eqssd eqtr4d salgenss imaeq2 eleq1d elrab2
      eqsstrd sylib simprd eqeltrid ) ADIUBZHUCZECUDUEZQAHSUFZTZXGXHTZAHFTXJXKU
      GABFHAFBUHJJUHTAJUOUIUJUKZUHNULUMUNOACEFGIKLMRUPAUAJFAUAVFZJTZUGCEFGIXMJA
      EUQTXNKURAIEUSUKTXNLURMNAXNUTRVAVBZAFVCZSJVCZAXPSXPSVDZAXRXMSTZUAXPVEXSUA
      XPXMXPTZXMGVFZTZGFVGZXSXTYCGXMFGXMVHZGFXFYAUCZXHTZGXIVIZRYFGXIVJVKZVLVMXT
      YBXSGFGXMXPYDGFYHVNVOXSGVPYAFTZYBXSVQVQXTYIYBXSYIYBUGYASXMYIYASVDZYBYIYAX
      ITZYJYIYAYGTZYKYIYLFYGYARVSVMYFGXIVRVTYASWAVTURYIYBUTWBWKUNWCWDWEUAXPSWFW
      GUNASXQXPAXQSXQSWHASXLVCXQWIXLJJXLNWJWLWMUNZWNAJFXOWOXBWPYMWQWRPWBYFXKGHX
      IFYAHWHYEXGXHYAHXFWSWTRXAXCXDXE $.
  $}

  ${
    $d D e $.  $d E e $.  $d F e $.  $d J e $.  $d S e $.  $d e ph $.
    smfpimbor1.s $e |- ( ph -> S e. SAlg ) $.
    smfpimbor1.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    smfpimbor1.a $e |- D = dom F $.
    smfpimbor1.j $e |- J = ( topGen ` ran (,) ) $.
    smfpimbor1.b $e |- B = ( SalGen ` J ) $.
    smfpimbor1.e $e |- ( ph -> E e. B ) $.
    smfpimbor1.p $e |- P = ( `' F " E ) $.
    $( Given a sigma-measurable function, the preimage of a Borel set belongs
       to the subspace sigma-algebra induced by the domain of the function.
       Proposition 121E (f) of [Fremlin1] p. 37 .  (Contributed by Glauco
       Siliprandi, 26-Jun-2021.) $)
    smfpimbor1 $p |- ( ph -> P e. ( S |`t D ) ) $=
      ( ve ccnv cv cima crest co wcel cr cpw crab eqid smfpimbor1lem2 ) ABCDEGQ
      PRSECTUAUBPUCUDUEZPFGHIJKLMNOUHUFUG $.
  $}

  ${
    $d A x $.  $d ph x $.
    smf2id.j $e |- J = ( topGen ` ran (,) ) $.
    smf2id.b $e |- B = ( SalGen ` J ) $.
    smf2id.a $e |- ( ph -> A C_ RR ) $.
    $( Twice the identity function is Borel sigma-measurable (just an example,
       to test previous general theorems).  (Contributed by Glauco Siliprandi,
       26-Jun-2021.) $)
    smf2id $p |- ( ph -> ( x e. A |-> ( 2 x. x ) ) e. ( SMblFn ` B ) ) $=
      ( cv c2 cvv nfv ctop wcel cioo crn ctg cfv a1i cr retop eqeltri salgencld
      reex ssexd wa wss adantr simpr sseldd 2re smfid smfmulc1 ) ABCBIZJDKABLAD
      MEEMNAEOPQRMFUAUBSGUCACTKTKNAUDSHUEAUNCNZUFCTUNACTUGUOHUHAUOUIUJJTNAUKSAB
      CDEFGHULUM $.
  $}

  ${
    $d B e $.  $d F a e $.  $d F a x $.  $d H a e $.  $d H a x $.  $d S a e $.
    $d a e ph $.  $d ph x $.
    smfco.s $e |- ( ph -> S e. SAlg ) $.
    smfco.f $e |- ( ph -> F e. ( SMblFn ` S ) ) $.
    smfco.j $e |- J = ( topGen ` ran (,) ) $.
    smfco.b $e |- B = ( SalGen ` J ) $.
    smfco.h $e |- ( ph -> H e. ( SMblFn ` B ) ) $.
    $( The composition of a Borel sigma-measurable function with a
       sigma-measurable function, is sigma-measurable.  Proposition 121E (g) of
       [Fremlin1] p. 37 .  (Contributed by Glauco Siliprandi, 26-Jun-2021.) $)
    smfco $p |- ( ph -> ( H o. F ) e. ( SMblFn ` S ) ) $=
      ( vx cima cr wcel cfv co adantr wceq cvv va ve ccnv cdm ccom nfv cuni wss
      cnvimass a1i eqid smfdmss sstrd crn ctop cioo ctg retop eqeltri salgencld
      smff ffund funcofd frnd fssd cv clt wbr crab cmnf crest cnvco imaeq1i cxr
      wa wf rexr adantl preimaioomnf imaco 3eqtr3a cin wrex csalg csmblfn simpr
      smfpreimalt eqeltrd wb elexd dmexd elrest syl2anc mpbid wi 3ad2ant3 ovexd
      w3a imaeq2 cnvexg imaexg 3syl smfpimbor1 elrestd inpreima restabs syl3anc
      wfun syl eqcomd 3eltr4d 3adant3 3exp rexlimdv mpd issmfd ) ALDUCZEUDZMZCE
      DUEZUAAUAUFGAXSDUDZCUGXSYAUHZADXRUIUJZAYACDGHYAUKZULUMAXSEUNNXTAEDAXRNEAX
      RBEABUOFFUOOAFUPUNUQPUOIURUSUJJUTZKXRUKZVAZVBAYANDAYACDGHYDVAVBZVCAXRNEYG
      VDVEZAUAVFZNOZVOZLVFZXTPYJVGVHLXSVIZXQEUCZVJYJUPQZMZMZCXSVKQZYLXTUCZYPMXQ
      YOUEZYPMZYNYRYTUUAYPEDVLVMYLLXSYJXTAXSNXTVPYKYIRYKYJVNOAYJVQVRZVSUUBYRSYL
      XQYOYPVTUJWAYLYQUBVFZXRWBZSZUBBWCZYRYSOZYLYQBXRVKQZOZUUGYLYQYMEPYJVGVHLXR
      VIUUIYLLXRYJEAXRNEVPYKYGRUUCVSYLLYJXRBEABWDOYKYERAEBWEPZOYKKRYFAYKWFWGWHA
      UUJUUGWIZYKABTOXRTOUULABWDYEWJAEUUKKWKUBYQXRBTTWLWMRWNYLUUFUUHUBBAUUDBOZU
      UFUUHWOWOYKAUUMUUFUUHAUUMUUFWRYRXQUUEMZYSUUFAYRUUNSUUMYQUUEXQWSWPAUUMUUNY
      SOUUFAUUMVOZXQUUDMZXSWBZCYAVKQZXSVKQZUUNYSUUOUUQXSUURTTUUPUUOCYAVKWQAXSTO
      ZUUMADTOXQTOUUTADCWEPZHWJDTWTXQXRTXAXBRUUOBYAUUPCUUDDFACWDOZUUMGRADUVAOUU
      MHRYDIJAUUMWFUUPUKXCUUQUKXDAUUNUUQSZUUMADXHUVCYHUUDXRDXEXIRAYSUUSSUUMAUUS
      YSAUVBYBYATOUUSYSSGYCADUVAHWKXSYACWDTXFXGXJRXKXLWHXMRXNXOWHXP $.
  $}

  ${
    $d A x $.
    smfneg.x $e |- F/ x ph $.
    smfneg.s $e |- ( ph -> S e. SAlg ) $.
    smfneg.a $e |- ( ph -> A e. V ) $.
    smfneg.b $e |- ( ( ph /\ x e. A ) -> B e. RR ) $.
    smfneg.m $e |- ( ph -> ( x e. A |-> B ) e. ( SMblFn ` S ) ) $.
    $( The negative of a sigma-measurable function is measurable.  (Contributed
       by Glauco Siliprandi, 23-Oct-2021.) $)
    smfneg $p |- ( ph -> ( x e. A |-> -u B ) e. ( SMblFn ` S ) ) $=
      ( cneg cmpt c1 cmul co csmblfn cfv cv wcel recnd mulm1d eqcomd neg1rr a1i
      wa mpteq2da cr smfmulc1 eqeltrd ) ABCDLZMBCNLZDOPZMEQRABCUKUMGABSCTUFZUMU
      KUNDUNDJUAUBUCUGABCDULEFGHIJULUHTAUDUEKUIUJ $.
  $}

  ${
    $d A x $.
    smffmpt.x $e |- F/ x ph $.
    smffmpt.s $e |- ( ph -> S e. SAlg ) $.
    smffmpt.b $e |- ( ( ph /\ x e. A ) -> B e. V ) $.
    smffmpt.m $e |- ( ph -> ( x e. A |-> B ) e. ( SMblFn ` S ) ) $.
    $( A function measurable w.r.t. to a sigma-algebra, is actually a function.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smffmpt $p |- ( ph -> ( x e. A |-> B ) : A --> RR ) $=
      ( cr cmpt wf cdm eqid smff dmmptdf eqcomd feq2d mpbird ) ACKBCDLZMUANZKUA
      MAUBEUAHJUBOPACUBKUAAUBCABUACDFGUAOIQRST $.
  $}

  ${
    $d D y $.  $d F j k n y $.  $d S j k $.  $d Z j k m n y $.
    $d Z j m n x y $.  $d j k ph $.
    smflim2.n $e |- F/_ m F $.
    smflim2.x $e |- F/_ x F $.
    smflim2.m $e |- ( ph -> M e. ZZ ) $.
    smflim2.z $e |- Z = ( ZZ>= ` M ) $.
    smflim2.s $e |- ( ph -> S e. SAlg ) $.
    smflim2.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smflim2.d $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F ` m ) |
       ( m e. Z |-> ( ( F ` m ) ` x ) ) e. dom ~~> } $.
    smflim2.g $e |- G = ( x e. D |-> ( ~~> ` ( m e. Z |-> ( ( F ` m ) ` x ) ) )
       ) $.
    $( The limit of a sequence of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (a) of [Fremlin1] p. 38 .  Notice
       that every function in the sequence can have a different (partial)
       domain, and the domain of convergence can be decidedly irregular (Remark
       121G of [Fremlin1] p. 39 ).  TODO: this has fewer distinct variable
       conditions than ~ smflim and should replace it.  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    smflim2 $p |- ( ph -> G e. ( SMblFn ` S ) ) $=
      ( vy nfcv vj vk cfv cmpt cli cdm wcel cuz ciin ciun crab nffv nfiin nfiun
      cv nfdm nfv wceq fveq2 fveq1d cbvmpt nfmpt nfcxfr mpteq2dv eleq1d cbvrabw
      nfel iineq1d dmeqd cbviin a1i eqtrd cbviunv eleq2i eleq1i anbi12i rabbia2
      3eqtri nfrab1 fveq2d cbvmptf eqtri smflim ) ASCDUAUBGHIJUAGTSGTMNOPCEJBUO
      ZEUOZGUCZUCZUDZUEUFZUGZBFJEFUOZUHUCZWFUFZUIZUJZUKZEJSUOZWFUCZUDZWIUGZSWOU
      KUAJWQUAUOZGUCZUCZUDZWIUGZSUBJUAUBUOZUHUCZXBUFZUIZUJZUKQWJWTBSWOFBJWNBJTZ
      EBWLWMBWLTBWFBWEGLBWETULUPUMUNSWOTWJSUQBWSWIBWSXDEUAJWRXCUAWRTEWQXBEXAGKE
      XATULZEWQTULWEXAURZWQWFXBWEXAGUSZUTVAZBUAJXCXKBWQXBBXAGLBXATULBWQTULVBZVC
      BWITVGWDWQURZWHWSWIXQEJWGWRWDWQWFUSVDZVEVFWTXESWOXJWQWOUGWQXJUGWTXEWOXJWQ
      FUBJWNXIWKXFURZWNEXGWMUIZXIXSEWLXGWMWKXFUHUSVHXTXIURXSEUAXGWMXHUAWMTEXBXL
      UPXMWFXBXNVIVJVKVLVMVNWSXDWIXOVOVPVQVRHBCWHUEUCZUDSCXDUEUCZUDRBSCYAYBBCWP
      QWJBWOVSVCSCTSYATBXDUEBUETXPULXQWHXDUEXQWHWSXDXRWSXDURXQXOVKVLVTWAWBWC $.
  $}

  ${
    $d A h $.  $d A s y $.  $d C s y $.  $d F h $.  $d F s y $.  $d H h $.
    $d S h n $.  $d S n s y $.  $d Z h n $.  $d Z n y $.  $d ph y $.
    smfpimcclem.n $e |- F/ n ph $.
    smfpimcclem.z $e |- Z e. V $.
    smfpimcclem.s $e |- ( ph -> S e. W ) $.
    smfpimcclem.c $e |- ( ( ph /\ y e. ran ( n e. Z |-> { s e. S | ( `' ( F ` n
       ) " A ) = ( s i^i dom ( F ` n ) ) } ) ) -> ( C ` y ) e. y ) $.
    smfpimcclem.h $e |- H = ( n e. Z |-> ( C ` { s e. S | ( `' ( F ` n ) " A )
       = ( s i^i dom ( F ` n ) ) } ) ) $.
    $( Lemma for ~ smfpimcc given the choice function ` C ` .  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    smfpimcclem $p |- ( ph -> E. h ( h : Z --> S /\ A. n e. Z ( `' ( F ` n ) "
       A ) = ( ( h ` n ) i^i dom ( F ` n ) ) ) ) $=
      ( wceq wcel wf cv cfv ccnv cima cdm cin wral wa wex crab nfcv ssrab2f cvv
      cmpt crn eqid rabexd adantr simpl simpr elrnmpt1 syl2anc jca eleq1 anbi2d
      wi fveq2 eleq12d imbi12d vtoclg sylc sselid fmptdf nfrab1 nffv nfin ineq1
      id nfeq eqeq2d elrabf sylib simprd elexd fvmpt2d ineq1d eqtr4d ex ralrimi
      a1i elexi mptex eqeltri feq1 nfmpt1 nfcxfr fveq1 ralbid anbi12d spcev ) A
      LEIUAZGUBZHUCZUDCUEZXCIUCZXDUFZUGZSZGLUHZLEFUBZUAZXEXCXKUCZXGUGZSZGLUHZUI
      ZFUJAGLXEMUBZXGUGZSZMEUKZDUCZEINAXCLTZUIZYAEYBXTMEMEULZUMYDYAUNTZAYAGLYAU
      OZUPZTZUIZYBYATZAYFYCAXTMEYAKYAUQPURUSZYDAYIAYCUTYDYCYFYIAYCVAYLGLYAYGUNY
      GUQVBVCVDABUBZYHTZUIZYMDUCZYMTZVGYJYKVGBYAUNYMYASZYOYJYQYKYRYNYIAYMYAYHVE
      VFYRYPYBYMYAYMYADVHYRVSVIVJQVKVLZVMRVNAXIGLNAYCXIYDXEYBXGUGZXHYDYBETZXEYT
      SZYDYKUUAUUBUIYSXTUUBMYBEMYADMDULXTMEVOVPZYEMXEYTMXEULMYBXGUUCMXGULVQVTXR
      YBSXSYTXEXRYBXGVRWAWBWCWDYDXFYBXGAGLYBIUNIGLYBUOZSARWKYDYBYAYSWEWFWGWHWIW
      JXQXBXJUIFIIUUDUNRGLYBLJOWLWMWNXKISZXLXBXPXJLEXKIWOUUEXOXIGLGXKIGXKULGIUU
      DRGLYBWPWQVTUUEXNXHXEUUEXMXFXGXCXKIWRWGWAWSWTXAVC $.
  $}

  ${
    $d A f h m s $.  $d A h m n $.  $d A f m s w y $.  $d F f h m s $.
    $d F f m s w y $.  $d S f h m s $.  $d S f m s w y $.  $d Z f h m $.
    $d Z h m n $.  $d Z f m w y $.  $d f m ph w y $.
    smfpimcc.1 $e |- F/_ n F $.
    smfpimcc.z $e |- Z = ( ZZ>= ` M ) $.
    smfpimcc.s $e |- ( ph -> S e. SAlg ) $.
    smfpimcc.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smfpimcc.j $e |- J = ( topGen ` ran (,) ) $.
    smfpimcc.b $e |- B = ( SalGen ` J ) $.
    smfpimcc.a $e |- ( ph -> A e. B ) $.
    $( Given a countable set of sigma-measurable functions, and a Borel set
       ` A ` there exists a choice function ` h ` that, for each measurable
       function, chooses a measurable set that, when intersected with the
       function's domain, gives the preimage of ` A ` .  This is a
       generalization of the observation at the beginning of the proof of
       Proposition 121F of [Fremlin1] p. 39 .  The statement would also be
       provable for uncountable sets, but in most cases it will suffice to
       consider the countable case, and only the axiom of countable choice will
       be needed.  (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smfpimcc $p |- ( ph -> E. h ( h : Z --> S /\ A. n e. Z ( `' ( F ` n ) " A )
       = ( ( h ` n ) i^i dom ( F ` n ) ) ) ) $=
      ( vm cfv wcel vy vf vs vw cv wf ccnv cima cdm cin wceq wral wex crab cmpt
      wa crn com cdom wbr uzct a1i mptct rnct 3syl wrex c0 wne cvv eqid elrnmpt
      wb vex ax-mp biimpi adantl wi w3a simp3 crest co adantr csmblfn ffvelrnda
      csalg smfpimbor1 fvex dmex elrest syl2anc mpbid rabn0 sylibr 3adant3 3exp
      eqnetrd rexlimdv mpd axccd2 nfv nfmpt1 nfrn nfralw nfan cuz fvexi eleq12d
      fveq2 id rspccva adantll smfpimcclem ex exlimdv nfcv nffv nfcnv nfdm nfin
      nfima cnveqd imaeq1d dmeqd ineq12d eqeq12d cbvralw anbi2i exbii sylib
      nfeq ) AJDEUEZUFZRUEZGSZUGZBUHZYMYKSZYNUIZUJZUKZRJULZUPZEUMZYLFUEZGSZUGZB
      UHZUUDYKSZUUEUIZUJZUKZFJULZUPZEUMAUAUEZUBUEZSZUUNTZUARJYPUCUEYRUJUKZUCDUN
      ZUOZUQZULZUBUMUUCAUAUVAUBAJURUSUTZUUTURUSUTUVAURUSUTUVCAIJLVAVBRJUUSVCUUT
      VDVEAUUNUVATZUPUUNUUSUKZRJVFZUUNVGVHZUVDUVFAUVDUVFUUNVITUVDUVFVLUAVMRJUUS
      UUNUUTVIUUTVJVKVNVOVPAUVFUVGVQUVDAUVEUVGRJAYMJTZUVEUVGAUVHUVEVRUUNUUSVGAU
      VHUVEVSAUVHUUSVGVHZUVEAUVHUPZUURUCDVFZUVIUVJYPDYRVTWATZUVKUVJCYRYPDBYNHAD
      WETZUVHMWBAJDWCSYMGNWDYRVJOPABCTUVHQWBYPVJWFAUVLUVKVLZUVHAUVMYRVITZUVNMUV
      OAYNYMGWGWHVBUCYPYRDWEVIWIWJWBWKUURUCDWLWMWNWPWOWQWBWRWSAUVBUUCUBAUVBUUCA
      UVBUPUDBUUODERGRJUUSUUOSUOZVIWEJUCAUVBRARWTUUQRUAUVARUUTRJUUSXAXBUUQRWTXC
      XDJIXELXFAUVMUVBMWBUVBUDUEZUVATUVQUUOSZUVQTZAUUQUVSUAUVQUVAUUNUVQUKZUUPUV
      RUUNUVQUUNUVQUUOXHUVTXIXGXJXKUVPVJXLXMXNWRUUBUUMEUUAUULYLYTUUKRFJFYPYSFYO
      BFYNFYMGKFYMXOXPZXQFBXOXTFYQYRFYQXOFYNUWAXRXSYJUUKRWTYMUUDUKZYPUUGYSUUJUW
      BYOUUFBUWBYNUUEYMUUDGXHZYAYBUWBYQUUHYRUUIYMUUDYKXHUWBYNUUEUWCYCYDYEYFYGYH
      YI $.
  $}

  ${
    $d D x $.  $d F a x $.  $d S a $.  $d ph x $.
    issmfle2d.a $e |- F/ a ph $.
    issmfle2d.s $e |- ( ph -> S e. SAlg ) $.
    issmfle2d.d $e |- ( ph -> D C_ U. S ) $.
    issmfle2d.f $e |- ( ph -> F : D --> RR ) $.
    issmfle2d.l $e |- ( ( ph /\ a e. RR ) -> ( `' F " ( -oo (,] a ) ) e. ( S
       |`t D ) ) $.
    $( A sufficient condition for " ` F ` being a measurable function w.r.t. to
       the sigma-algebra ` S ` ".  (Contributed by Glauco Siliprandi,
       23-Oct-2021.) $)
    issmfle2d $p |- ( ph -> F e. ( SMblFn ` S ) ) $=
      ( vx cv cr wcel wa ccnv cmnf cioc co cima cfv cle wbr crest wf adantr cxr
      crab rexr adantl preimaiocmnf eqeltrrd issmfled ) AKBCDEFGHIAELZMNZOZDPQU
      NRSTKLDUAUNUBUCKBUHCBUDSUPKBUNDABMDUEUOIUFUOUNUGNAUNUIUJUKJULUM $.
  $}

  ${
    $d A n x $.  $d B n $.  $d S m n $.  $d Z m n x $.
    smflimmpt.p $e |- F/ m ph $.
    smflimmpt.x $e |- F/ x ph $.
    smflimmpt.n $e |- F/ n ph $.
    smflimmpt.m $e |- ( ph -> M e. ZZ ) $.
    smflimmpt.z $e |- Z = ( ZZ>= ` M ) $.
    smflimmpt.a $e |- ( ( ph /\ m e. Z ) -> A e. V ) $.
    smflimmpt.b $e |- ( ( ph /\ m e. Z /\ x e. A ) -> B e. W ) $.
    smflimmpt.s $e |- ( ph -> S e. SAlg ) $.
    smflimmpt.l $e |- ( ( ph /\ m e. Z ) -> ( x e. A |-> B ) e. ( SMblFn ` S )
       ) $.
    smflimmpt.d $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) A | ( m e. Z
       |-> B ) e. dom ~~> } $.
    smflimmpt.g $e |- G = ( x e. D |-> ( ~~> ` ( m e. Z |-> B ) ) ) $.
    $( The limit of a sequence of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (a) of [Fremlin1] p. 38 .  Notice
       that every function in the sequence can have a different (partial)
       domain, and the domain of convergence can be decidedly irregular (Remark
       121G of [Fremlin1] p. 39 ). ` A ` can contain ` m ` as a free variable,
       in other words it can be thought as an indexed collection ` A ( m ) ` .
       ` B ` can be thought as a collection with two indices ` B ( m , x ) ` .
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smflimmpt $p |- ( ph -> G e. ( SMblFn ` S ) ) $=
      ( cv cmpt cfv cli cdm wcel cuz ciin ciun crab csmblfn wceq a1i wa nfv cvv
      nfan uztrn2 adantll simpll mptexd syl2anc eqid fvmpt2 dmeqd simplll simpr
      adantr syl3anc fnmptd eqtr2d iineq2d iuneq2df eqcomd eqtr4d eleq2d biimpa
      fndmd adantrr wrex eliun biimpi wi simpllr wb nfcv nfii1 nfel cz eluzelz2
      adantl ad2antlr fvexi uzssd3 fvexd eliinid climeldmeqmpt3 adantllr mpbird
      wss adantlr exp31 rexlimd adantrl mpd jca ex biimpar mpbid rabbida3 eqtrd
      syl impbid eleq2i rabidim1 3syl nfiu1 nfrabw nfcxfr nf3an simp2 3ad2antl3
      w3a uzssd2 simpl1 sylan climfveqmpt3 3exp fveq1d mpteq2da eleq1d rabbida2
      mpteq12da fveq2d mpteq12df nfmpt1 3eqtrd nfmpt fmptdf smflim2 eqeltrd ) A
      IBGMBUEZGUEZGMBCDUFZUFZUGZUGZUFZUHUIZUJZBHMGHUEZUKUGZUUJUIZULZUMZUNZUULUH
      UGZUFZFUOUGZAIBEGMDUFZUHUGZUFZBGMUUFUUHUGZUFZUUMUJZBHMGUUPUUHUIZULZUMZUNZ
      UVHUHUGZUFUVBIUVFUPAUDUQABEUVEUVMUVNOAEUVDUUMUJZBHMGUUPCULZUMZUNZUVMEUVRU
      PAUCUQAUVOUVIBUVQUVLOAUUFUVQUJZUVOURZUUFUVLUJZUVIURZAUVTUWBAUVTURZUWAUVIA
      UVSUWAUVOAUVSUWAAUVQUVLUUFAUVQUUSUVLAHMUVPUURPAUUOMUJZURZGUUPCUUQAUWDGNUW
      DGUSZVAZUWEUUGUUPUJZURZUUQUVJCUWIUUJUUHUWIUUGMUJZUUHUTUJZUUJUUHUPZUWDUWHU
      WJAJUUGUUOMRVBZVCZUWIAUWJUWKAUWDUWHVDZUWNAUWJURZBCDKSVEZVFGMUUHUTUUIUUIVG
      ZVHZVFVIUWICUUHUWIBCDUUHLUWEUWHBAUWDBOUWDBUSVAUWHBUSVAUWIUUFCUJZURAUWJUWT
      DLUJZAUWDUWHUWTVJUWIUWJUWTUWNVLUWIUWTVKTVMUUHVGZVNWBVOVPVQAHMUVKUURPUWEGU
      UPUVJUUQUWGUWIAUWJUVJUUQUPUWOUWNUWPUUHUUJUWPUUJUUHUWPUWJUWKUWLAUWJVKUWQUW
      SVFVRZVIVFVPVQZVSVTZWAWCUWCUUFUVPUJZHMWDZUVIAUVSUXGUVOUVSUXGAUVSUXGHUUFMU
      VPWEWFZWOWCAUVOUXGUVIWGUVSAUVOURZUXFUVIHMAUVOHPUVOHUSZVAUVIHUSZUXIUWDUXFU
      VIUXIUWDURUXFURUVIUVOAUVOUWDUXFWHAUWDUXFUVIUVOWIZUVOUWEUXFURZMUVGMDUTGUUO
      UTUTUUPUWEUXFGUWGGUUFUVPGUUFWJGUUPCWKWLZVAUWDUUOWMUJZAUXFJUUOMRWNZWPUUPVG
      ZMUTUJZUXMMJUKRWQZUQZUXTUWDUUPMXDAUXFJUUOMRWRWPZUYAUXMUWHURZUUFUUHWSUYBUW
      TUXAUVGDUPZUXFUWHUWTUWEGUUFUUPCWTZVCZUYBAUWJUWTUXAUWEUWHAUXFUWOXEUWEUWHUW
      JUXFUWNXEUYETVMBCDLUUHUXBVHZVFXAZXBXCXFXGXHXIXJXKAUWBUVTAUWBURZUVSUVOAUWA
      UVSUVIAUVSUWAUXEXLWCZUYHUXGUVOUYHUVSUXGUYIUXHXPAUVIUXGUVOWGUWAAUVIURZUXFU
      VOHMAUVIHPUXKVAUXJUYJUWDUXFUVOUYJUWDURUXFURUVIUVOAUVIUWDUXFWHAUWDUXFUXLUV
      IUYGXBXMXFXGXHXIXJXKXQXNXOAUUFEUJZURZUVNUVEUYLUXGUVNUVEUPZUYKUXGAUYKUUFUV
      RUJZUVSUXGUYKUYNEUVRUUFUCXRWFUVOBUVQXSUXHXTWOUYLUXFUYMHMAUYKHPHUUFEHUUFWJ
      HEUVRUCUVOHBUVQUXJHMUVPYAYBYCWLVAUYMHUSAUWDUXFUYMWGWGUYKAUWDUXFUYMAUWDUXF
      YGZMUVGMDUTGUUOUTUTUUPAUWDUXFGNUWFUXNYDUYOUWDUXOAUWDUXFYEZUXPXPUXQUXRUYOU
      XSUQZUYQUYOJUUOMRUYPYHZUYRUYOUWHURZUUFUUHWSUYSUWTUXAUYCUXFAUWHUWTUWDUYDYF
      ZUYSAUWJUWTUXAAUWDUXFUWHYIUYOUWDUWHUWJUYPUWMYJUYTTVMUYFVFYKYLVLXGXIVRYQAB
      UVMUVNUUTUVAOAUVIUUNBUVLUUSOUXDAUVHUULUUMAUULUVHAGMUUKUVGNUWPUUFUUJUUHUWP
      UUHUUJUXCVRYMZYNVRYOYPAUVHUULUHAGMUVGUUKNUWPUUKUVGVUAVRYNYRYSUUAABUUTFGHU
      UIUVBJMGMUUHYTBGMUUHBMWJBCDYTUUBQRUAAGMUUHUVCUUINUBUWRUUCUUTVGUVBVGUUDUUE
      $.
  $}

  ${
    $d A n x $.  $d D n x y $.  $d F x y $.  $d G n x $.  $d H n x y $.
    $d M n $.  $d S n $.  $d Z n x y $.  $d n ph x y $.
    smfsuplem1.m $e |- ( ph -> M e. ZZ ) $.
    smfsuplem1.z $e |- Z = ( ZZ>= ` M ) $.
    smfsuplem1.s $e |- ( ph -> S e. SAlg ) $.
    smfsuplem1.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smfsuplem1.d $e |- D = { x e. |^|_ n e. Z dom ( F ` n ) | E. y e. RR A. n
       e. Z ( ( F ` n ) ` x ) <_ y } $.
    smfsuplem1.g $e |- G = ( x e. D |-> sup ( ran ( n e. Z |-> ( ( F ` n ) ` x
       ) ) , RR , < ) ) $.
    smfsuplem1.a $e |- ( ph -> A e. RR ) $.
    smfsuplem1.h $e |- ( ph -> H : Z --> S ) $.
    smfsuplem1.i $e |- ( ( ph /\ n e. Z ) -> ( `' ( F ` n ) " ( -oo (,] A ) ) =
       ( ( H ` n ) i^i dom ( F ` n ) ) ) $.
    $( The supremum of a countable set of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (b) of [Fremlin1] p. 38 .
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smfsuplem1 $p |- ( ph -> ( `' G " ( -oo (,] A ) ) e. ( S |`t D ) ) $=
      ( ccnv cmnf cioc co cima cv cfv ciin cin crest wss wral wcel wa cdm csalg
      wfn cr adantr csmblfn ffvelrnda eqid smff ffnd cle wbr wrex ssrab2 iinss2
      crab eqsstri sstrid ad2antlr cnvimass sseli adantl wceq cmpt crn clt csup
      nfv c0 wne cuz cz uzid syl eleqtrrdi ne0d adantlr sseldd adantll ffvelrnd
      wf rabeq2i simprbi suprclrnmpt fmptd ad2antrr eleqtrd cxr mnfxr a1i rexrd
      fdmd an32s syldan mnfltd ffdmd an32 suprubrnmpt fvmpt2d breqtrrd simpr wb
      biimpi elpreima mpbid simprd iocleubd letrd eliocd elpreimad ssd eqsstrdi
      inss1 sstrd ralrimiva ssiin sylibr fssdm ssind iniin1 elinel2 eqeltrd w3a
      3adant3 cvv fveq2 ineq1d eleq2d eliind nfcv nfii1 simpll eliinid 3ad2ant3
      nfel nfan elinel1 ancoms 3adant1 elind eleqtrrd 3ad2ant1 syld3an3 syl3anc
      simp3 ex ralrimi syldanl suprleubrnmpt mpbird eqbrtrd eqsstrd eqssd rgenw
      fvex dmex iinexd rabexd eqeltrid com cdom uzct saliincl elrestd ) AIUBUCD
      UDUEZUFZGLGUGZJUHZUIZEUJZFEUKUEAUWAUWEAUWAUWDEAUWAUWCULZGLUMUWAUWDULAUWFG
      LAUWBLUNZUOZUWAUWBHUHZUBUVTUFZUWCUWHBUWAUWJUWHBUGZUWAUNZUOZUWIUPZUWKUVTUW
      IUWHUWIUWNURZUWLUWHUWNUSUWIUWHUWNFUWIAFUQUNUWGOUTALFVAUHUWBHPVBUWNVCVDZVE
      ZUTUWMEUWNUWKUWGEUWNULAUWLUWGEGLUWNUIZUWNEUWKUWIUHZCUGVFVGGLUMCUSVHZBUWRV
      KZUWRQUWTBUWRVIVLZGLUWNVJZVMVNUWMUWKIUPZEUWLUWKUXDUNZUWHUWAUXDUWKIUVTVOZV
      PZVQAUXDEVRUWGUWLAEUSIABEGLUWSVSVTUSWAWBZUSIAUWKEUNZUOZGCLUWSUXJGWCZALWDW
      EZUXIALKAKKWFUHZLAKWGUNKUXMUNMKWHWINWJZWKZUTUXJUWGUOZUWNUSUWKUWIAUWGUWNUS
      UWIWPUXIUWPWLUXIUWGUWKUWNUNZAUXIUWGUOUWRUWNUWKUWGUWRUWNULUXIUXCVQUXIUWKUW
      RUNZUWGEUWRUWKUXBVPUTWMZWNWOZUXIUWTAUXIUXRUWTUWTBEUWRQWQWRZVQZWSZRWTZXGXA
      XBZWMUWMUCDUWSUCXCUNZUWMXDXEADXCUNZUWGUWLADSXFZXAUWMUWSUWHUWLUXIUWSUSUNZU
      YEAUXIUWGUYIUXTXHXIZXFUWMUWSUYJXJUWMUWSUWKIUHZDUYJAUWLUYKUSUNZUWGAUWLUXEU
      YLUWLUXEAUXGVQAUXDUSUWKIAEUSIUYDXKVBXIWLADUSUNZUWGUWLSXAUWHUWLUXIUWSUYKVF
      VGUYEUWHUXIUOZUWSUXHUYKVFUYNUXPUWSUXHVFVGUYNUXPAUWGUXIXLXRUXJGCLUWSUXKUXT
      UYBXMWIAUXIUYKUXHVRZUWGABEUXHIUSIBEUXHVSVRARXEUYCXNZWLXOXIAUWLUYKDVFVGUWG
      AUWLUOZUCDUYKUYFUYQXDXEAUYGUWLUYHUTUYQUXIUYKUVTUNZUYQUWLUXIUYRUOZAUWLXPAU
      WLUYSXQZUWLAIEURZUYTAEUSIUYDVEZEUWKUVTIXSWIUTXTYAYBWLYCYDYEYFUWHUWJUWCUWN
      UJZUWCUAUWCUWNYHYGYIYJGLUWCUWAYKYLAEUSUWAIUXFUYDYMYNAUWEGLUWCEUJZUIZUWAAU
      XLUWEVUEVRUXOGLEUWCYOWIABVUEUWAAUWKVUEUNZUOZEUWKUVTIAVUAVUFVUBUTVUGUWKKJU
      HZEUJZUNZUXIVUGGUWKLVUDVUIKAVUFXPAKLUNVUFUXNUTUWBKVRZVUDVUIUWKVUKUWCVUHEU
      WBKJUUAUUBUUCUUDZUWKVUHEYPZWIZVUGUCDUYKUYFVUGXDXEAUYGVUFUYHUTAVUFUXIUYKXC
      UNVUNUXJUYKUXJUYKUXHUSUYPUYCYQZXFXIAVUFVUJUCUYKWAVGVULAVUJUOUYKAVUJUXIUYL
      VUJUXIAVUMVQVUOXIXJXIVUGUYKUXHDVFAVUFUXIUYOVUNUYPXIVUGUXHDVFVGUWSDVFVGZGL
      UMVUGVUPGLAVUFGAGWCGUWKVUEGUWKUUEGLVUDUUFUUJUUKZVUGUWGVUPVUGUWGUOAUWGUWKV
      UDUNZVUPAVUFUWGUUGVUGUWGXPVUFUWGVURAGUWKLVUDUUHWNAUWGVURUWKUWJUNZVUPAUWGV
      URYRZUWKVUCUWJVUTUWCUWNUWKVURAUWKUWCUNUWGUWKUWCEUULUUIUWGVURUXQAUWGVURUXI
      UXQVURUXIUWGUWKUWCEYPVQUXIUWGUXQUXSUUMXIUUNUUOAUWGUWJVUCVRVURUAYSUUPAUWGV
      USYRZUCDUWSUYFVVAXDXEAUWGUYGVUSUYHUUQVVAUXQUWSUVTUNZVVAVUSUXQVVBUOZAUWGVU
      SUUTAUWGVUSVVCXQZVUSUWHUWOVVDUWQUWNUWKUVTUWIXSWIYSXTYAYBUURUUSUVAUVBVUGGC
      LUWSDVUQAUXLVUFUXOUTAVUFUXIUWGUYIVUNUXTUVCVUGUXIUWTVUNUYAWIAUYMVUFSUTUVDU
      VEUVFYDYEYFUVGUVHAUWEEFUQYTUWDOAEUXAYTQAUWTBUWRUXAYTUXAVCAGLUWNYTUXOUWNYT
      UNZGLUMAVVEGLUWIUWBHUVJUVKUVIXEUVLUVMUVNAFGUWCLOLUVOUVPVGAKLNUVQXEUXOALFU
      WBJTVBUVRUWEVCUVSYQ $.
  $}

  ${
    $d A h m n w y $.  $d D h m w y $.  $d D m w x y $.  $d F h m n w y $.
    $d F m n w x y $.  $d G h m w $.  $d M m $.  $d S h m w y $.
    $d Z h m n w y $.  $d Z m n w x y $.  $d h m ph w y $.
    smfsuplem2.m $e |- ( ph -> M e. ZZ ) $.
    smfsuplem2.z $e |- Z = ( ZZ>= ` M ) $.
    smfsuplem2.s $e |- ( ph -> S e. SAlg ) $.
    smfsuplem2.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smfsuplem2.d $e |- D = { x e. |^|_ n e. Z dom ( F ` n ) | E. y e. RR A. n
       e. Z ( ( F ` n ) ` x ) <_ y } $.
    smfsuplem2.g $e |- G = ( x e. D |-> sup ( ran ( n e. Z |-> ( ( F ` n ) ` x
       ) ) , RR , < ) ) $.
    smfsuplem2.8 $e |- ( ph -> A e. RR ) $.
    $( The supremum of a countable set of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (b) of [Fremlin1] p. 38 .
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smfsuplem2 $p |- ( ph -> ( `' G " ( -oo (,] A ) ) e. ( S |`t D ) ) $=
      ( vm cfv vh vw cv wf ccnv cmnf cioc co cima cdm cin wceq wral wa wex wcel
      crest cioo crn ctg csalgen nfcv cxr mnfxr a1i iocborel smfpimcc cz adantr
      eqid csalg csmblfn cle wbr cr wrex ciin crab fveq2 cbviinv breq1d ralbidv
      dmeqd wb fveq1d cbvralvw bitrd rexbidv cbvrabv2w eqtri cmpt csup mpteq2dv
      cbvmptv eqtrd rneqd supeq1d simprl simplrr cnveqd imaeq1d ineq12d eqeq12d
      clt rspccva sylancom smfsuplem1 ex exlimdv mpd ) AKFUAUCZUDZGUCZHTZUEZUFD
      UGUHZUIZXMXKTZXNUJZUKZULZGKUMZUNZUAUOIUEXPUIFEUQUHUPZAXPURUSUTTZVATZFUAGH
      YEJKGHVBMNOYEVJZYFVJZAUFYFDYEUFVCUPAVDVERYGYHVFVGAYCYDUAAYCYDAYCUNZUBCDEF
      SHIXKJKAJVHUPYCLVIMAFVKUPYCNVIAKFVLTHUDYCOVIEBUCZXNTZCUCZVMVNZGKUMZCVOVPZ
      BGKXSVQZVRUBUCZSUCZHTZTZYLVMVNZSKUMZCVOVPZUBSKYSUJZVQZVRPYOUUCBUBYPUUEYPU
      UEULYJYQULZGSKXSUUDXMYRULZXNYSXMYRHVSZWCZVTVEUUFYNUUBCVOUUFYNYQXNTZYLVMVN
      ZGKUMZUUBUUFYMUUKGKUUFYKUUJYLVMYJYQXNVSZWAWBUULUUBWDUUFUUKUUAGSKUUGUUJYTY
      LVMUUGYQXNYSUUHWEZWAWFVEWGWHWIWJIBEGKYKWKZUSZVOXDWLZWKUBESKYTWKZUSZVOXDWL
      ZWKQBUBEUUQUUTUUFVOUUPUUSXDUUFUUOUURUUFUUOGKUUJWKZUURUUFGKYKUUJUUMWMUVAUU
      RULUUFGSKUUJYTUUNWNVEWOWPWQWNWJADVOUPYCRVIAXLYBWRYIYRKUPZYBYSUEZXPUIZYRXK
      TZUUDUKZULZAXLYBUVBWSYAUVGGYRKUUGXQUVDXTUVFUUGXOUVCXPUUGXNYSUUHWTXAUUGXRU
      VEXSUUDXMYRXKVSUUIXBXCXEXFXGXHXIXJ $.
  $}

  ${
    $d D n x y $.  $d F n x y $.  $d G a $.  $d M n $.  $d S a n y $.
    $d Z n x y $.  $d a n ph y $.  $d ph x y $.
    smfsuplem3.m $e |- ( ph -> M e. ZZ ) $.
    smfsuplem3.z $e |- Z = ( ZZ>= ` M ) $.
    smfsuplem3.s $e |- ( ph -> S e. SAlg ) $.
    smfsuplem3.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smfsuplem3.d $e |- D = { x e. |^|_ n e. Z dom ( F ` n ) | E. y e. RR A. n
       e. Z ( ( F ` n ) ` x ) <_ y } $.
    smfsuplem3.g $e |- G = ( x e. D |-> sup ( ran ( n e. Z |-> ( ( F ` n ) ` x
       ) ) , RR , < ) ) $.
    $( The supremum of a countable set of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (b) of [Fremlin1] p. 38 .
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smfsuplem3 $p |- ( ph -> G e. ( SMblFn ` S ) ) $=
      ( cfv cr wcel adantr va nfv cv cdm ciin cuni wss cle wbr wral wrex ssrab2
      crab eqsstri a1i cuz uzid syl eleqtrrdi wceq fveq2 dmeqd csmblfn ffvelrnd
      cz eqid smfdmss iinssd sstrd cmpt crn clt csup wa c0 ne0d csalg ffvelrnda
      wne smff adantlr iinss2 adantl sseldd adantll rabeq2i simprbi suprclrnmpt
      wf sseli fmptd simpr smfsuplem2 issmfle2d ) ADEHUAAUAUBMADFJFUCZGQZUDZUEZ
      EUFZDWRUGADBUCZWPQZCUCUHUIFJUJCRUKZBWRUMWROXBBWRULUNZUOAFJWQWSIGQZUDZIAII
      UPQZJAIVESZIXFSKIUQURLUSZWOIUTWPXDWOIGVAVBAXEEXDMAJEVCQZIGNXHVDXEVFVGVHVI
      ABDFJXAVJVKRVLVMRHAWTDSZVNZFCJXAXKFUBAJVOVSXJAJIXHVPTXKWOJSZVNWQRWTWPAXLW
      QRWPWIXJAXLVNWQEWPAEVQSZXLMTAJXIWOGNVRWQVFVTWAXJXLWTWQSAXJXLVNWRWQWTXLWRW
      QUGXJFJWQWBWCXJWTWRSZXLDWRWTXCWJTWDWEVDXJXBAXJXNXBXBBDWROWFWGWCWHPWKAUAUC
      ZRSZVNBCXODEFGHIJAXGXPKTLAXMXPMTAJXIGWIXPNTOPAXPWLWMWN $.
  $}

  ${
    $d D m w z $.  $d F m w y z $.  $d M m $.  $d S m z $.  $d Z m n w x y $.
    $d Z m w x y z $.  $d m ph w z $.
    smfsup.n $e |- F/_ n F $.
    smfsup.x $e |- F/_ x F $.
    smfsup.m $e |- ( ph -> M e. ZZ ) $.
    smfsup.z $e |- Z = ( ZZ>= ` M ) $.
    smfsup.s $e |- ( ph -> S e. SAlg ) $.
    smfsup.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smfsup.d $e |- D = { x e. |^|_ n e. Z dom ( F ` n ) | E. y e. RR A. n e. Z
       ( ( F ` n ) ` x ) <_ y } $.
    smfsup.g $e |- G = ( x e. D |-> sup ( ran ( n e. Z |-> ( ( F ` n ) ` x ) )
       , RR , < ) ) $.
    $( The supremum of a countable set of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (b) of [Fremlin1] p. 38 .
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smfsup $p |- ( ph -> G e. ( SMblFn ` S ) ) $=
      ( vm nfcv vw vz cv cfv cle wbr wral cr wrex cdm ciin crab nffv nfdm nfiin
      nfv nfbr nfralw nfrex wceq fveq2 cbviin a1i breq1d ralbidv fveq1d cbvralw
      dmeqd wb bitrd rexbidv breq2 cbvrexvw cbvrabcsfw cmpt crn clt csup nfrab1
      eqtri nfcxfr nfmpt nfrn nfsup mpteq2dv cbvmpt eqtrd rneqd supeq1d cbvmptf
      smfsuplem3 ) AUAUBDESGHIJMNOPDBUCZFUCZGUDZUDZCUCZUEUFZFJUGZCUHUIZBFJWNUJZ
      UKZULZUAUCZSUCZGUDZUDZUBUCZUEUFZSJUGZUBUHUIZUASJXEUJZUKZULQWSXJBUAXAXLUAX
      ATSBJXKBJTZBXEBXDGLBXDTUMZUNUOWSUAUPXIBUBUHBUHTZXHBSJXMBXFXGUEBXCXEXNBXCT
      UMZBUETBXGTUQURUSXAXLUTWLXCUTZFSJWTXKSWTTFXEFXDGKFXDTUMZUNWMXDUTZWNXEWMXD
      GVAZVHVBVCXQWSXFWPUEUFZSJUGZCUHUIZXJXQWRYBCUHXQWRXCWNUDZWPUEUFZFJUGZYBXQW
      QYEFJXQWOYDWPUEWLXCWNVAZVDVEYFYBVIXQYEYAFSJYESUPFXFWPUEFXCXEXRFXCTUMZFUET
      FWPTUQXSYDXFWPUEXSXCWNXEXTVFZVDVGVCVJVKYCXJVIXQYBXICUBUHWPXGUTYAXHSJWPXGX
      FUEVLVEVMVCVJVNVTHBDFJWOVOZVPZUHVQVRZVOUADSJXFVOZVPZUHVQVRZVORBUADYLYOBDX
      BQWSBXAVSWAUADTUAYLTBYNUHVQBYMBSJXFXMXPWBWCXOBVQTWDXQUHYKYNVQXQYJYMXQYJFJ
      YDVOZYMXQFJWOYDYGWEYPYMUTXQFSJYDXFSYDTYHYIWFVCWGWHWIWJVTWK $.
  $}

  ${
    $d A x y $.  $d B y $.  $d S n $.  $d Z n x y $.
    smfsupmpt.n $e |- F/ n ph $.
    smfsupmpt.x $e |- F/ x ph $.
    smfsupmpt.y $e |- F/ y ph $.
    smfsupmpt.m $e |- ( ph -> M e. ZZ ) $.
    smfsupmpt.z $e |- Z = ( ZZ>= ` M ) $.
    smfsupmpt.s $e |- ( ph -> S e. SAlg ) $.
    smfsupmpt.b $e |- ( ( ph /\ n e. Z /\ x e. A ) -> B e. V ) $.
    smfsupmpt.f $e |- ( ( ph /\ n e. Z ) -> ( x e. A |-> B ) e. ( SMblFn ` S )
       ) $.
    smfsupmpt.d $e |- D = { x e. |^|_ n e. Z A | E. y e. RR A. n e. Z B <_ y }
                   $.
    smfsupmpt.g $e |- G = ( x e. D |-> sup ( ran ( n e. Z |-> B ) , RR , < ) )
                   $.
    $( The supremum of a countable set of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (b) of [Fremlin1] p. 38 .
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smfsupmpt $p |- ( ph -> G e. ( SMblFn ` S ) ) $=
      ( cmpt cfv cle wbr wral wrex cdm ciin crab crn clt csup csmblfn wceq wcel
      cv cr wa eqidd fvmpt2d dmeqd nfcv nfcri nfan 3expa dmmptdf eqtr2d iineq2d
      eqid nfmpt1 nfmpt nffv nfiin rabeqf syl nfv nfii1 wb simpll simpr eliinid
      nfdm adantll eqtrd adantlr eleqtrd w3a fveq1d 3adant3 simp3 fvmpt4 breq1d
      syl2anc syl3anc ralbida rexbid rabbida syl5eq nfra1 nfrex nfrabw rabidim1
      nfcxfr eleq2s sylan mpteq2da supeq1d mpteq12da fmptd2f smfsup eqeltrd
      rneqd ) AIBBURZHURZHLBDEUCZUCZUDZUDZCURZUEUFZHLUGZCUSUHZBHLXSUIZUJZUKZHLX
      TUCZULZUSUMUNZUCZGUOUDZAIBFHLEUCZULZUSUMUNZUCYKUBABFYOYGYJNAFEYAUEUFZHLUG
      ZCUSUHZBHLDUJZUKZYGUAAYTYRBYFUKZYGAYSYFUPYTUUAUPAHLDYEMAXPLUQZUTZYEXQUIZD
      UUCXSXQAHLXQXRYLAXRVATVBZVCZUUCBXQDEKAUUBBNBHLBLVDZVEVFXQVKAUUBXODUQZEKUQ
      ZSVGVHZVIVJYRBYSYFBYSVDHBLYEUUGBXSBXPXRBHLXQUUGBDEVLVMZBXPVDVNWDVOVPVQAYR
      YDBYFNAXOYFUQZUTZYQYCCUSAUULCOUULCVRVFUUMYPYBHLAUULHMHBYFHLYEVSVEVFUUMUUB
      UTZAUUBUUHYPYBVTAUULUUBWAUUMUUBWBUUNXOYEDUULUUBXOYEUQAHXOLYEWCWEAUUBYEDUP
      UULUUCYEUUDDUUFUUJWFWGWHAUUBUUHWIZEXTYAUEUUOXTXOXQUDZEAUUBXTUUPUPUUHUUCXO
      XSXQUUEWJWKUUOUUHUUIUUPEUPAUUBUUHWLSBDEKWMWOVIZWNWPWQWRWSWFWTAXOFUQZUTZUS
      YNYIUMUUSYMYHUUSHLEXTAUURHMHBFHFYTUAYRHBYSYQHCUSHUSVDYPHLXAXBHLDVSXCXEVEV
      FUUSUUBUTAUUBUUHEXTUPAUURUUBWAUUSUUBWBUURUUBUUHAUURXOYSUQZUUBUUHUUTXOYTFY
      RBYSXDUAXFHXOLDWCXGWEUUQWPXHXNXIXJWTABCYGGHXRYKJLHLXQVLUUKPQRAHLXQYLMTXKY
      GVKYKVKXLXM $.
  $}

  ${
    $d F y $.  $d Z n x y $.  $d n ph x $.
    smfsupxr.n $e |- F/_ n F $.
    smfsupxr.x $e |- F/_ x F $.
    smfsupxr.m $e |- ( ph -> M e. ZZ ) $.
    smfsupxr.z $e |- Z = ( ZZ>= ` M ) $.
    smfsupxr.s $e |- ( ph -> S e. SAlg ) $.
    smfsupxr.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smfsupxr.d $e |- D = { x e. |^|_ n e. Z dom ( F ` n ) | sup ( ran ( n e. Z
       |-> ( ( F ` n ) ` x ) ) , RR* , < ) e. RR } $.
    smfsupxr.g $e |- G = ( x e. D |-> sup ( ran ( n e. Z |-> ( ( F ` n ) ` x )
       ) , RR* , < ) ) $.
    $( The supremum of a countable set of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (b) of [Fremlin1] p. 38 .
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smfsupxr $p |- ( ph -> G e. ( SMblFn ` S ) ) $=
      ( cr wcel nfcv vy cv cfv cle wbr wral wrex cdm ciin crab cmpt crn csmblfn
      clt csup cxr wceq a1i wa nfv nfii1 nfel nfan c0 wne uzn0d adantr wf csalg
      ffvelrnda eqid smff adantlr eliinid ffvelrnd supxrre3rnmpt rabbidva eqtrd
      adantll nfmpt1 nfrn nfsup nfrabw nfcxfr nffv nfiin ssrab2f eqsstri sselid
      nfdm id sylan eleqtrdi rabidim2 syl adantl syldan supxrrernmpt mpteq12dva
      wb mpbid smfsup eqeltrd ) AGBBUBZEUBZFUCZUCZUAUBUDUEEIUFUARUGZBEIXFUHZUIZ
      UJZEIXGUKZULZRUNUOZUKZDUMUCZAGBCXMUPUNUOZUKZXOGXRUQAQURABCXQXKXNACXQRSZBX
      JUJZXKCXTUQAPURAXSXHBXJAXDXJSZUSZEUAIXGAYAEAEUTZEXDXJEXDTZEIXIVAZVBVCAIVD
      VEZYAAHILMVFZVGYBXEISZUSXIRXDXFAYHXIRXFVHZYAAYHUSXIDXFADVISYHNVGAIXPXEFOV
      JXIVKVLZVMYAYHXDXISZAEXDIXIVNZVSVOVPZVQVRAXDCSZUSZEUAIXGAYNEYCEXDCYDECXTP
      XSEBXJEXQREXMUPUNEXLEIXGVTWAEUPTEUNTWBERTVBYEWCWDVBVCAYFYNYGVGYOYHUSXIRXD
      XFAYHYIYNYJVMYNYHYKAYNYAYHYKYNCXJXDCXTXJPXSBXJEBIXIBITBXFBXEFKBXETWEWJWFW
      GWHYNWKZWIZYLWLVSVOYOXSXHYNXSAYNXDXTSXSYNXDCXTYPPWMXSBXJWNWOWPAYNYAXSXHWT
      YNYAAYQWPYMWQXAWRWSVRABUAXKDEFXOHIJKLMNOXKVKXOVKXBXC $.
  $}

  ${
    $d D m n w x y z $.  $d F m n w x y z $.  $d M m $.  $d S m n z $.
    $d Z m n w x y z $.  $d m n ph w x y z $.
    smfinflem.m $e |- ( ph -> M e. ZZ ) $.
    smfinflem.z $e |- Z = ( ZZ>= ` M ) $.
    smfinflem.s $e |- ( ph -> S e. SAlg ) $.
    smfinflem.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smfinflem.d $e |- D = { x e. |^|_ n e. Z dom ( F ` n ) | E. y e. RR A. n e.
       Z y <_ ( ( F ` n ) ` x ) } $.
    smfinflem.g $e |- G = ( x e. D |-> inf ( ran ( n e. Z |-> ( ( F ` n ) ` x )
       ) , RR , < ) ) $.
    $( The infimum of a countable set of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (c) of [Fremlin1] p. 38 .
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smfinflem $p |- ( ph -> G e. ( SMblFn ` S ) ) $=
      ( vm cr wcel cle vz vw cv cfv cneg cmpt crn clt csup csmblfn cinf wceq wa
      a1i nfv c0 wne uzn0d adantr cdm wf csalg ffvelrnda eqid smff adantlr ciin
      wral wrex crab ssrab2 eleq2i biimpi sselid simpr eliinid syl2anc ffvelrnd
      wbr adantll rabidim2 syl infnsuprnmpt mpteq2dva eqtrd cvv fvex dmex rgenw
      adantl iinexd rabexd renegcld fveq2 ralbidv rexbidv nfcv nfdm nfiin dmeqd
      breq2d cbviin wb nffv nfbr fveq1d cbvralw bitrd breq1 cbvrexvw cbvrabcsfw
      eqtri elrab2 simprd renegcl ad2antlr rspcva ancoms simpllr ad4ant14 mpbid
      lenegd brralrspcev w3a nfra1 nf3an simpl2 3adant3 simp3 syl3anc 3ad2antl1
      3ad2ant2 rspa 3ad2antl3 leneg ex ralrimi 3exp eqeltrd smfneg mpd wal nfel
      ralrimiva rexlimdva2 suprclrnmpt nfii1 nfan nfel1 biimp3a rexlimd negnegd
      simpll recn 3ad2ant1 breqtrd rspcev rexlimdv impbid alrimi mpteq12f 3expa
      rabbida feqmptd eqcomd smfsupmpt ) AHBDFJBUCZFUCZGUDZUDZUEZUFUGRUHUIZUEZU
      FZEUJUDZAHBDFJUVJUFUGRUHUKZUFZUVNHUVQULAPUNABDUVPUVMAUVGDSZUMZFCJUVJUVSFU
      OZAJUPUQUVRAIJKLURZUSZUVSUVHJSZUMZUVIUTZRUVGUVIAUWCUWERUVIVAZUVRAUWCUMZUW
      EEUVIAEVBSUWCMUSZAJUVOUVHGNVCZUWEVDVEZVFUVRUWCUVGUWESZAUVRUWCUMUVGFJUWEVG
      ZSZUWCUWKUVRUWMUWCUVRCUCZUVJTVSZFJVHZCRVIZBUWLVJZUWLUVGUWQBUWLVKUVRUVGUWR
      SZDUWRUVGOVLVMZVNUSUVRUWCVOFUVGJUWEVPZVQVTVRZUVRUWQAUVRUWSUWQUWTUWQBUWLWA
      WBWJWCWDWEABDUVLEWFABUOZMAUWQBUWLDWFOAFJUWEWFUWAUWEWFSZFJVHAUXDFJUVIUVHGW
      GWHZWIUNWKWLUVSFCJUVKUVTUWBUWDUVJUXBWMUVSUAUCZUVGQUCZGUDZUDZTVSZQJVHZUARV
      IZUVKUWNTVSFJVHCRVIZUVRUXLAUVRUVGQJUXHUTZVGZSZUXLUVRUXPUXLUMUXFUBUCZUXHUD
      ZTVSZQJVHZUARVIZUXLUBUVGUXODUXQUVGULZUXTUXKUARUYBUXSUXJQJUYBUXRUXIUXFTUXQ
      UVGUXHWNXAWOWPDUWRUYAUBUXOVJOUWQUYABUBUWLUXOUBUWLWQQBJUXNBJWQBUXHBUXHWQWR
      WSUWQUBUOUYABUOUWLUXOULUVGUXQULZFQJUWEUXNQUWEWQFUXHFUXHWQZWRUVHUXGULZUVIU
      XHUVHUXGGWNZWTXBUNUYCUWQUWNUXRTVSZQJVHZCRVIZUYAUYCUWPUYHCRUYCUWPUWNUXQUVI
      UDZTVSZFJVHZUYHUYCUWOUYKFJUYCUVJUYJUWNTUVGUXQUVIWNXAWOUYLUYHXCUYCUYKUYGFQ
      JUYKQUOFUWNUXRTFUWNWQZFTWQFUXQUXHUYDFUXQWQXDXEUYEUYJUXRUWNTUYEUXQUVIUXHUY
      FXFXAXGUNXHWPUYIUYAXCUYCUYHUXTCUARUWNUXFULUYGUXSQJUWNUXFUXRTXIWOXJUNXHXKX
      LXMVMXNWJUVSUXKUXMUARUVSUXFRSZUMZUXKUMZUXFUEZRSZUVKUYQTVSZFJVHUXMUYNUYRUV
      SUXKUXFXOZXPUYPUYSFJUYPUWCUMZUXFUVJTVSZUYSUXKUWCVUBUYOUWCUXKVUBUXJVUBQUVH
      JUXGUVHULZUXIUVJUXFTVUCUVGUXHUVIUXGUVHGWNXFXAXQXRVTVUAUXFUVJUVSUYNUXKUWCX
      SUVSUWCUVJRSZUYNUXKUXBXTYBYAUUDCFUVKUYQTRJYCVQUUEUUAUUFABDUVLUFZBUVKUXFTV
      SZFJVHZUARVIZBUWLVJZUVLUFZUVOADVUIULZBUUBUVLUVLULZBDVHZVUEVUJULAVUKBUXCAD
      UWRVUIDUWRULAOUNAUWQVUHBUWLUXCAUWMUMZUWQVUHVUNUWPVUHCRVUNCUOVUHCUOVUNUWNR
      SZUWPVUHVUNVUOUWPYDZUWNUEZRSZUVKVUQTVSZFJVHVUHVUOVUNVURUWPUWNXOYLVUPVUSFJ
      VUNVUOUWPFAUWMFAFUOZFUVGUWLFUVGWQFJUWEUUGUUCUUHZFUWNRUYMUUIUWOFJYEYFVUPUW
      CVUSVUPUWCUMVUOVUDUWOVUSVUNVUOUWPUWCYGVUNVUOUWCVUDUWPVUNUWCUMAUWCUWKVUDAU
      WMUWCUUMVUNUWCVOUWMUWCUWKAUXAVTAUWCUWKYDZUWERUVGUVIAUWCUWFUWKUWJYHAUWCUWK
      YIVRZYJZYKUWPVUNUWCUWOVUOUWOFJYMYNVUOVUDUWOVUSUWNUVJYOUUJYJYPYQUAFUVKVUQT
      RJYCVQYRUUKVUNVUGUWQUARVUNUYNVUGUWQVUNUYNVUGYDZUYRUYQUVJTVSZFJVHZUWQUYNVU
      NUYRVUGUYTYLVVEVVFFJVUNUYNVUGFVVAUYNFUOVUFFJYEYFVVEUWCVVFVVEUWCUMVUDUYNVU
      FVVFVUNUYNUWCVUDVUGVVDYKVUNUYNVUGUWCYGVUGVUNUWCVUFUYNVUFFJYMYNVUDUYNVUFYD
      ZUYQUVKUEZUVJTVVHVUFUYQVVITVSZVUDUYNVUFYIVUDUYNVUFVVJXCZVUFVUDUYNUMUVKRSZ
      UYNVVKVUDVVLUYNUVJXOUSVUDUYNVOUVKUXFYOVQYHYAVUDUYNVVIUVJULVUFVUDUVJUVJUUN
      UULUUOUUPYJYPYQUWPVVGCUYQRUWNUYQULUWOVVFFJUWNUYQUVJTXIWOUUQVQYRUURUUSUVCW
      EUUTVUMAVULBDUVLVDWIUNBDUVLVUIUVLUVAVQABUAUWEUVKVUIEFVUJIRJVUTUXCAUAUOKLM
      VVBUVJVVCWMUWGBUWEUVJEWFUWGBUOUWHUXDUWGUXEUNAUWCUWKVUDVVCUVBUWGBUWEUVJUFZ
      UVIUVOUWGUVIVVMUWGBUWERUVIUWJUVDUVEUWIYSYTVUIVDVUJVDUVFYSYTYS $.
  $}

  ${
    $d D m w z $.  $d F m w y z $.  $d S m $.  $d Z m n w x y $.
    $d Z m w x y z $.  $d m ph w z $.
    smfinf.n $e |- F/_ n F $.
    smfinf.x $e |- F/_ x F $.
    smfinf.m $e |- ( ph -> M e. ZZ ) $.
    smfinf.z $e |- Z = ( ZZ>= ` M ) $.
    smfinf.s $e |- ( ph -> S e. SAlg ) $.
    smfinf.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smfinf.d $e |- D = { x e. |^|_ n e. Z dom ( F ` n ) | E. y e. RR A. n e. Z
       y <_ ( ( F ` n ) ` x ) } $.
    smfinf.g $e |- G = ( x e. D |-> inf ( ran ( n e. Z |-> ( ( F ` n ) ` x ) )
       , RR , < ) ) $.
    $( The infimum of a countable set of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (c) of [Fremlin1] p. 38 .
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smfinf $p |- ( ph -> G e. ( SMblFn ` S ) ) $=
      ( vm nfcv vw vz cv cfv cle wbr wral cr wrex cdm ciin crab nffv nfdm nfiin
      nfv nfbr nfralw nfrex wceq fveq2 cbviin a1i breq2d ralbidv fveq1d cbvralw
      dmeqd wb bitrd rexbidv breq1 cbvrexvw cbvrabcsfw cmpt crn clt cinf nfrab1
      eqtri nfcxfr nfmpt nfrn nfinf mpteq2dv cbvmpt eqtrd rneqd infeq1d cbvmptf
      smfinflem ) AUAUBDESGHIJMNOPDCUCZBUCZFUCZGUDZUDZUEUFZFJUGZCUHUIZBFJWOUJZU
      KZULZUBUCZUAUCZSUCZGUDZUDZUEUFZSJUGZUBUHUIZUASJXFUJZUKZULQWSXJBUAXAXLUAXA
      TSBJXKBJTZBXFBXEGLBXETUMZUNUOWSUAUPXIBUBUHBUHTZXHBSJXMBXCXGUEBXCTBUETBXDX
      FXNBXDTUMZUQURUSXAXLUTWMXDUTZFSJWTXKSWTTFXFFXEGKFXETUMZUNWNXEUTZWOXFWNXEG
      VAZVHVBVCXQWSWLXGUEUFZSJUGZCUHUIZXJXQWRYBCUHXQWRWLXDWOUDZUEUFZFJUGZYBXQWQ
      YEFJXQWPYDWLUEWMXDWOVAZVDVEYFYBVIXQYEYAFSJYESUPFWLXGUEFWLTFUETFXDXFXRFXDT
      UMZUQXSYDXGWLUEXSXDWOXFXTVFZVDVGVCVJVKYCXJVIXQYBXICUBUHWLXCUTYAXHSJWLXCXG
      UEVLVEVMVCVJVNVTHBDFJWPVOZVPZUHVQVRZVOUADSJXGVOZVPZUHVQVRZVORBUADYLYOBDXB
      QWSBXAVSWAUADTUAYLTBYNUHVQBYMBSJXGXMXPWBWCXOBVQTWDXQUHYKYNVQXQYJYMXQYJFJY
      DVOZYMXQFJWPYDYGWEYPYMUTXQFSJYDXGSYDTYHYIWFVCWGWHWIWJVTWK $.
  $}

  ${
    $d A x y $.  $d B y $.  $d S n $.  $d Z n x y $.
    smfinfmpt.n $e |- F/ n ph $.
    smfinfmpt.x $e |- F/ x ph $.
    smfinfmpt.y $e |- F/ y ph $.
    smfinfmpt.m $e |- ( ph -> M e. ZZ ) $.
    smfinfmpt.z $e |- Z = ( ZZ>= ` M ) $.
    smfinfmpt.s $e |- ( ph -> S e. SAlg ) $.
    smfinfmpt.b $e |- ( ( ph /\ n e. Z /\ x e. A ) -> B e. V ) $.
    smfinfmpt.f $e |- ( ( ph /\ n e. Z ) -> ( x e. A |-> B ) e. ( SMblFn ` S )
       ) $.
    smfinfmpt.d $e |- D = { x e. |^|_ n e. Z A | E. y e. RR A. n e. Z y <_ B }
                   $.
    smfinfmpt.g $e |- G = ( x e. D |-> inf ( ran ( n e. Z |-> B ) , RR , < ) )
                   $.
    $( The infimum of a countable set of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (c) of [Fremlin1] p. 38 .
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smfinfmpt $p |- ( ph -> G e. ( SMblFn ` S ) ) $=
      ( cv cmpt cfv cle wbr wral cr wrex cdm ciin crab crn clt cinf csmblfn a1i
      wceq wcel wa eqidd fvmpt2d dmeqd nfcv nfel nfan eqid csalg adantr smffmpt
      wal 3expa fvmptelrn dmmptdf 3eqtrrd iineq2d nfmpt1 nfmpt nffv nfdm rabeqf
      nfiin syl nfv nfii1 wb simpll simpr eliinid adantll eqcomd adantlr fveq1d
      eleqtrd 3adant3 simp3 fvmpt2 syl2anc eqtr2d breq2d syl3anc ralbida rexbid
      w3a rabbida eqtrd alrimi nfra1 nfrex nfrabw nfcxfr eleq2i biimpi rabidim1
      wi idi mpteq2da rneqd infeq1d ex ralrimi mpteq12f fmptdf smfinf eqeltrd )
      AIBCUCZBUCZHUCZHLBDEUDZUDZUEZUEZUFUGZHLUHZCUIUJZBHLYLUKZULZUMZHLYMUDZUNZU
      IUOUPZUDZGUQUEZAIBFHLEUDZUNZUIUOUPZUDZUUCIUUHUSAUBURAFYSUSZBVLUUGUUBUSZBF
      UHUUHUUCUSAUUIBNAFYGEUFUGZHLUHZCUIUJZBHLDULZUMZYSFUUOUSAUAURAUUOUUMBYRUMZ
      YSAUUNYRUSUUOUUPUSAHLDYQMAYILUTZVAZYQYJUKDDUURYLYJAHLYJYKUUDAYKVBTVCZVDUU
      RBYJDEUIAUUQBNBYILBYIVEZBLVEZVFVGZYJVHZUURBDEUIUURBDEGKUVBAGVIUTUUQRVJAUU
      QYHDUTZEKUTZSVMTVKVNVOUURDVBVPZVQUUMBUUNYRBUUNVEHBLYQUVABYLBYIYKBHLYJUVAB
      DEVRVSZUUTVTWAWCWBWDAUUMYPBYRNAYHYRUTZVAZUULYOCUIAUVHCOUVHCWEVGUVIUUKYNHL
      AUVHHMHYHYRHYHVEZHLYQWFVFVGUVIUUQVAZAUUQUVDUUKYNWGAUVHUUQWHUVIUUQWIUVKYHY
      QDUVHUUQYHYQUTAHYHLYQWJWKAUUQYQDUSUVHUURDYQUVFWLWMWOAUUQUVDXEZEYMYGUFUVLY
      MYHYJUEZEAUUQYMUVMUSUVDUURYHYLYJUUSWNWPUVLUVDUVEUVMEUSAUUQUVDWQSBDEKYJUVC
      WRWSWTZXAXBXCXDXFXGXGXHAUUJBFNAYHFUTZUUJAUVOVAZUIUUFUUAUOUVPUUEYTUVPHLEYM
      AUVOHMHYHFUVJHFUUOUAUUMHBUUNUULHCUIHUIVEUUKHLXIXJHLDWFXKXLVFVGUVPUUQVAAUU
      QUVDEYMUSZAUVOUUQWHUVPUUQWIUVOUUQUVDAUVOUUQVAYHUUNUTZUUQUVDUVOUVRUUQUVOYH
      UUOUTZUVRUVOUVSFUUOYHUAXMXNUUMBUUNXOWDVJUVOUUQWIHYHLDWJWSWKUVLUVQXPUVNXQX
      BXRXSXTYAYBBFUUGYSUUBYCWSXGABCYSGHYKUUCJLHLYJVRUVGPQRAHLYJUUDYKMTYKVHYDYS
      VHUUCVHYEYF $.
  $}

  ${
    $d E n x $.  $d F j m n x $.  $d K j n x $.  $d Z n $.
    smflimsuplem1.z $e |- Z = ( ZZ>= ` M ) $.
    smflimsuplem1.e $e |- E = ( n e. Z |-> { x e. |^|_ m e. ( ZZ>= ` n ) dom (
       F ` m ) | sup ( ran ( m e. ( ZZ>= ` n ) |-> ( ( F ` m ) ` x ) ) , RR* ,
       < ) e. RR } ) $.
    smflimsuplem1.h $e |- H = ( n e. Z |-> ( x e. ( E ` n ) |-> sup ( ran ( m
       e. ( ZZ>= ` n ) |-> ( ( F ` m ) ` x ) ) , RR* , < ) ) ) $.
    smflimsuplem1.k $e |- ( ph -> K e. Z ) $.
    $( If ` H ` converges, the ` limsup ` of ` F ` is real.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    smflimsuplem1 $p |- ( ph -> dom ( H ` K ) C_ dom ( F ` K ) ) $=
      ( vj cfv cmpt cxr wcel a1i cdm cuz cv crn clt csup cr ciin crab cvv fveq2
      wceq fveq1d cbvmptv rneqi supeq1i mpteq2i mpteq1d rneqd supeq1d mpteq12dv
      eqtrd fvex mptex fvmptd3 dmeqd xrltso supex dmmpti cbviinv eleq2i anbi12i
      eqid eleq1i rabbia2 iineq1d eleq2d eleq1d anbi12d rabbidva2 wne eluzelz2d
      cz c0 uzid ne0i 3syl wral dmex rgenw iinexd rabexd 3eqtrd wss ssrab2 ssid
      syl iinssd sstrd eqsstrd ) AHGPZUAZOHUBPZBUCZOUCZFPZPZQZUDZRUEUFZUGSZBOXC
      XFUAZUHZUIZHFPZUAZAXBBHEPZXJQZUAZXQXNAXAXRADHBDUCZEPZCXTUBPZXDCUCZFPZPZQZ
      UDZRUEUFZQZXRJGUJMXTHULZYIBYAOYBXGQZUDZRUEUFZQZXRYIYNULYJBYAYHYMRYGYLUEYF
      YKCOYBYEXGYCXEULZXDYDXFYCXEFUKZUMUNUOUPZUQTYJBYAYMXQXJXTHEUKYJRYLXIUEYJYK
      XHYJOYBXCXGXTHUBUKZURUSUTZVAVBNXRUJSABXQXJHEVCVDTVEVFXSXQULABXQXJXRRXIUEV
      GVHXRVMVITADHYHUGSZBCYBYDUAZUHZUIZXNJEUJLYJUUCYMUGSZBOYBXLUHZUIZXNUUCUUFU
      LYJYTUUDBUUBUUEXDUUBSXDUUESZYTUUDUUBUUEXDCOYBUUAXLYOYDXFYPVFVJVKYHYMUGYQV
      NVLVOTYJUUDXKBUUEXMYJUUGXDXMSUUDXKYJUUEXMXDYJOYBXCXLYRVPVQYJYMXJUGYSVRVSV
      TVBNAXKBXMXNUJXNVMAOXCXLUJAHWCSZHXCSZXCWDWAAIHJKNWBZHWEZXCHWFWGXLUJSZOXCW
      HAUULOXCXFXEFVCWIWJTWKWLVEWMAXNXMXPXNXMWNAXKBXMWOTAOXCXLXPXPHAUUHUUIUUJUU
      KWQXEHULXFXOXEHFUKVFXPXPWNAXPWPTWRWSWT $.
  $}

  ${
    $d E y $.  $d F x y $.  $d M m $.  $d X m y $.  $d Z m n x $.  $d n x y $.
    $d ph y $.
    smflimsuplem2.p $e |- F/ m ph $.
    smflimsuplem2.m $e |- ( ph -> M e. ZZ ) $.
    smflimsuplem2.z $e |- Z = ( ZZ>= ` M ) $.
    smflimsuplem2.s $e |- ( ph -> S e. SAlg ) $.
    smflimsuplem2.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smflimsuplem2.e $e |- E = ( n e. Z |-> { x e. |^|_ m e. ( ZZ>= ` n ) dom (
       F ` m ) | sup ( ran ( m e. ( ZZ>= ` n ) |-> ( ( F ` m ) ` x ) ) , RR* ,
       < ) e. RR } ) $.
    smflimsuplem2.h $e |- H = ( n e. Z |-> ( x e. ( E ` n ) |-> sup ( ran ( m
       e. ( ZZ>= ` n ) |-> ( ( F ` m ) ` x ) ) , RR* , < ) ) ) $.
    smflimsuplem2.n $e |- ( ph -> n e. Z ) $.
    smflimsuplem2.r $e |- ( ph -> ( limsup ` ( m e. Z |-> ( ( F ` m ) ` X ) ) )
       e. RR ) $.
    smflimsuplem2.x $e |- ( ph -> X e. |^|_ m e. ( ZZ>= ` n ) dom ( F ` m ) )
                      $.
    $( The superior limit of a sequence of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (d) of [Fremlin1] p. 39 .
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smflimsuplem2 $p |- ( ph -> X e. dom ( H ` n ) ) $=
      ( vy cv cuz cfv cmpt crn cxr clt csup cr wcel cdm ciin crab cle wral wrex
      wa wbr eqid wf wss eleqtrdi uzss syl sseqtrrdi adantr simpr csalg csmblfn
      sseldd ffvelrnda smff syldan iinss2 adantl ffvelrnd clsp nfmpt1 cz fmptdf
      cpnf eluzelz ffnd cvv nfcv fvexd mptfnd a1i fvmpt2d fvmpt2 syl2anc eqtr4d
      limsupequz eqcomi mpteq1i fveq2i eqtrd renepnfd eqnetrd limsupubuzmpt wne
      wceq uzid ne0i 3syl supxrre3rnmpt mpbird jca fveq2 mpteq2dv rneqd supeq1d
      c0 eleq1d cbvrabv eleq2i elrab bitri sylibr nfrab1 nfmpt nfcxfr nffv fvex
      mptexf dmeqd cbvmptf xrltso supex dmmptd dmex rgenw iinexd rabexd 3eqtrrd
      id eleqtrd ) AJDEUCZUDUEZBUCZDUCZGUEZUEZUFZUGZUHUIUJZUKULZBDUUAUUDUMZUNZU
      OZYTHUEZUMZAJUUKULZDUUAJUUDUEZUFZUGZUHUIUJZUKULZUSZJUULULZAUUOUUTUAAUUTUU
      PUBUCZUPUTDUUAUQUBUKURAUBUUPDYTUUALUUAVAAUUCUUAULZUSZUUJUKJUUDAUVDUUCKULZ
      UUJUKUUDVBUVEUUAKUUCAUUAKVCUVDAUUAIUDUEZKAYTUVGULZUUAUVGVCAYTKUVGSNVDZIYT
      VEVFNVGVHAUVDVIVLZAUVFUSUUJCUUDACVJULUVFOVHAKCVKUEUUCGPVMUUJVAVNVOUVEUUKU
      UJJUVDUUKUUJVCADUUAUUJVPVQAUUOUVDUAVHVLVRZAUUQVSUEZDKUUPUFZVSUEZWCAUVLDUV
      GUUPUFZVSUEZUVNADUUQUVOYTYTILDUUAUUPVTDUVGUUPVTAUVHYTWAULZUVIIYTWDVFZAUUA
      UKUUQADUUAUUPUKUUQLUVKUUQVAZWBWEMADUVGUUPWFDUVGWGLAUUCUVGULZUSJUUDWHWIUVR
      UVEUUCUUQUEUUPUUCUVOUEZADUUAUUPUUQWFUUQUUQXDAUVSWJUVEJUUDWHZWKUVEUVTUUPWF
      ULUWAUUPXDUVEUUCKUVGUVJNVDUWBDUVGUUPWFUVOUVOVAWLWMWNWOUVPUVNXDAUVOUVMVSDU
      VGKUUPKUVGNWPWQWRWJWSAUVNTWTXAXBADUBUUAUUPLAUVQYTUUAULUUAXOXCUVRYTXEUUAYT
      XFXGZUVKXHXIXJUVBJDUUAUVCUUDUEZUFZUGZUHUIUJZUKULZUBUUKUOZULUVAUULUWIJUUIU
      WHBUBUUKUUBUVCXDZUUHUWGUKUWJUHUUGUWFUIUWJUUFUWEUWJDUUAUUEUWDUUBUVCUUDXKXL
      XMXNZXPXQXRUWHUUTUBJUUKUVCJXDZUWGUUSUKUWLUHUWFUURUIUWLUWEUUQUWLDUUAUWDUUP
      UVCJUUDXKXLXMXNXPXSXTYAAUUNBYTFUEZUUHUFZUMUWMUULAUUMUWNAAYTKULZUUMUWNXDAY
      RSAEKUWNHWFHEKUWNUFXDARWJUWNWFULAUWOUSBUWMUUHBYTFBFEKUULUFQBEKUULBKWGUUIB
      UUKYBYCYDBYTWGYEZYTFYFYGWJWKWMYHAUBUWNUWMUWGWFBUBUWMUUHUWGUWPUBUWMWGUBUUH
      WGBUWGWGUWKYIUWGWFULAUVCUWMULUSUHUWFUIYJYKWJYLAUWOUULWFULUWMUULXDSAUUIBUU
      KUULWFUULVAADUUAUUJWFUWCUUJWFULZDUUAUQAUWQDUUAUUDUUCGYFYMYNWJYOYPEKUULWFF
      QWLWMYQYS $.
  $}

  ${
    $d E x $.  $d F m x $.  $d H k x $.  $d S k n $.  $d Z k n x $.
    $d Z m n x $.  $d k n ph x $.  $d m n ph x $.
    smflimsuplem3.m $e |- ( ph -> M e. ZZ ) $.
    smflimsuplem3.z $e |- Z = ( ZZ>= ` M ) $.
    smflimsuplem3.s $e |- ( ph -> S e. SAlg ) $.
    smflimsuplem3.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smflimsuplem3.e $e |- E = ( n e. Z |-> { x e. |^|_ m e. ( ZZ>= ` n ) dom (
       F ` m ) | sup ( ran ( m e. ( ZZ>= ` n ) |-> ( ( F ` m ) ` x ) ) , RR* ,
       < ) e. RR } ) $.
    smflimsuplem3.h $e |- H = ( n e. Z |-> ( x e. ( E ` n ) |-> sup ( ran ( m
       e. ( ZZ>= ` n ) |-> ( ( F ` m ) ` x ) ) , RR* , < ) ) ) $.
    $( The limit of the ` ( H `` n ) ` functions is sigma-measurable.
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smflimsuplem3 $p |- ( ph -> ( x e. { x e. U_ k e. Z |^|_ n e. ( ZZ>= ` k )
       dom ( H ` n ) | ( n e. Z |-> ( ( H ` n ) ` x ) ) e. dom ~~> } |-> ( ~~>
       ` ( n e. Z |-> ( ( H ` n ) ` x ) ) ) ) e. ( SMblFn ` S ) ) $=
      ( cfv cmpt wcel cv cdm cli cuz ciin ciun crab cvv nfv fvex dmex a1i fvexd
      wa w3a csmblfn cr csalg adantr crn cxr csup cres wceq eqid eluzelz2 uzn0d
      clt rgenw iinexd adantl rabexd fvmpt2d fvres eqcomd dmeqd iineq2dv eleq2d
      wral fveq1d mpteq2ia rneqi supeq1i anbi12d rabbidva2 eqtrd mpteq12dv nfcv
      eleq1d cz wss eleq2i biimpi uzss sseqtrrdi fssresd smfsupxr eqeltrd fmptd
      wf syl ffvelrnda smff feqmptd smflimmpt ) ABFUAZIRZUBZBUAZXGRZFKXJSZUCUBT
      BDKFDUAUDRXHUEUFUGZCFDBXLXKUCRSZJUHUHKAFUIABUIADUILMXHUHTAXFKTZUNZXGXFIUJ
      UKULAXNXIXHTUOXIXGUMNXOBXHXJSZXGCUPRZXOXGXPXOBXHUQXGXOXHCXGACURTXNNUSZAKX
      QXFIAFKBXFGRZEXFUDRZXIEUAZHRZRZSZUTZVAVHVBZSZXQIXOYGBEXTXIYAHXTVCZRZRZSZU
      TZVAVHVBZUQTZBEXTYIUBZUEZUGZYMSZXQXOBXSYFYQYMXOXSYFUQTZBEXTYBUBZUEZUGZYQA
      FKUUBGUHGFKUUBSVDAPULXOYSBUUAUUBUHUUBVEXNUUAUHTAXNEXTYTUHXNXFXTJXFKMVFZXT
      VEZVGYTUHTZEXTVSXNUUEEXTYBYAHUJUKVIULVJVKVLVMXOYSYNBUUAYPXOXIUUATXIYPTYSY
      NXOUUAYPXIXOEXTYTYOXOYAXTTZUNYBYIUUFYBYIVDXOUUFYIYBYAXTHVNVOZVKVPVQVRXOYF
      YMUQYFYMVDXOVAYEYLVHYDYKEXTYCYJUUFXIYBYIUUGVTWAWBWCULZWIWDWEWFUUHWGXOBYQC
      EYHYRXFXTEYHWHBYHWHXNXFWJTAUUCVKUUDXRXOKXQXTHAKXQHWTXNOUSXNXTKWKAXNXTJUDR
      ZKXNXFUUITZXTUUIWKXNUUJKUUIXFMWLWMJXFWNXAMWOVKWPYQVEYRVEWQWRQWSXBZXHVEXCX
      DVOUUKWRXLVEXMVEXE $.
  $}

  ${
    $d E n x $.  $d F k m n x $.  $d H n $.  $d M m $.  $d N k m n $.
    $d Z m n $.  $d k m ph $.
    smflimsuplem4.1 $e |- F/ n ph $.
    smflimsuplem4.m $e |- ( ph -> M e. ZZ ) $.
    smflimsuplem4.z $e |- Z = ( ZZ>= ` M ) $.
    smflimsuplem4.s $e |- ( ph -> S e. SAlg ) $.
    smflimsuplem4.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smflimsuplem4.e $e |- E = ( n e. Z |-> { x e. |^|_ m e. ( ZZ>= ` n ) dom (
       F ` m ) | sup ( ran ( m e. ( ZZ>= ` n ) |-> ( ( F ` m ) ` x ) ) , RR* ,
       < ) e. RR } ) $.
    smflimsuplem4.h $e |- H = ( n e. Z |-> ( x e. ( E ` n ) |-> sup ( ran ( m
       e. ( ZZ>= ` n ) |-> ( ( F ` m ) ` x ) ) , RR* , < ) ) ) $.
    smflimsuplem4.n $e |- ( ph -> N e. Z ) $.
    smflimsuplem4.i $e |- ( ph -> x e. |^|_ n e. ( ZZ>= ` N ) dom ( H ` n ) )
                             $.
    smflimsuplem4.c $e |- ( ph -> ( n e. Z |-> ( ( H ` n ) ` x ) ) e. dom ~~> )
                               $.
    $( If ` H ` converges, the ` limsup ` of ` F ` is real.  (Contributed by
       Glauco Siliprandi, 23-Oct-2021.) $)
    smflimsuplem4 $p |- ( ph -> ( limsup ` ( m e. Z |-> ( ( F ` m ) ` x ) ) )
       e. RR ) $=
      ( vk cv cfv cmpt clsp cuz crn cxr clt csup cinf cr cvv nfv eluzelz2d eqid
      wcel fvexd limsupequzmpt cdm csalg adantr csmblfn uzssd2 sselda ffvelrnda
      wa syldan smff smflimsuplem1 ciin simpr wceq fveq2 eleq2d eliind ffvelrnd
      dmeqd sseldd rexrd limsupvaluzmpt eqtrd wss a1i fvex mptex fvmpt2d xrltso
      supex iineq2d eleqtrd eliinid syl2anc mpdan crab eluzelz2 uzn0d wral dmex
      dmmpti rgenw iinexd adantl rabexd fvmpt2 rabid sylib eqeltrd cli mpteq2da
      simprd mpteq1d rneqd supeq1d c1 caddc co w3a cle cz eluzelz peano2zd zred
      wbr ltp1d eqcomd breqtrd ltled eluzd uzss rnmptss2 3adant1 simpll syldanl
      syl uztrn2 adantll rnmptssd ressxr sstrd 3adant3 supxrss fvexi ssdf eqidd
      climeldmeqmpt mpbid eqeltrrd climinf2mpt eqbrtrd climreclmpt ) ADKBUCZDUC
      ZGUDZUDZUEUFUDZEJUGUDZDEUCZUGUDZUUPUEZUHZUIUJUKZUEZUHUIUJULZUMAUUQDUURUUP
      UEUFUDUVEAKUURUUPDIJUNUNADUOZMAIJKNSUPZNUURUQZAUUNKURZVHUUMUUOUSAUUNUURUR
      ZVHZUUMUUOUSUTAUUPDEJUURUVFUVGUVHUVKUUPUVKUUOVAZUMUUMUUOUVKUVLCUUOACVBURU
      VJOVCAUVJUVIUUOCVDUDZURAUURKUUNAIJKNSVEZVFZAKUVMUUNGPVGVIUVLUQVJUVKUUNHUD
      ZVAZUVLUUMUVKBDEFGHUUNIKNQRUVOVKUVKEUUMUURUUSHUDZVAZUVQUUNAUUMEUURUVSVLZU
      RUVJTVCAUVJVMUUSUUNVNZUVSUVQUUMUWAUVRUVPUUSUUNHVOVSVPVQVTVRZWAWBWCAUUMUVR
      UDZUVEEJUURLUVGUVHAUUSUURURZVHZUWCUVCUMUWEUUMUUSFUDZURZUWCUVCVNUWEUUMEUUR
      UWFVLZURZUWDUWGAUWIUWDAUUMUVTUWHTAEUURUVSUWFLUWEUVSBUWFUVCUEZVAZUWFUWEUVR
      UWJAUWDUUSKURZUVRUWJVNUWEUURKUUSAUURKWDUWDUVNVCAUWDVMZVTZAEKUWJHUNHEKUWJU
      EVNARWEUWJUNURAUWLVHZBUWFUVCUUSFWFWGWEWHVIZVSUWKUWFVNUWEBUWFUVCUWJUIUVBUJ
      WIWJZUWJUQXAWEWCWKWLVCUWMEUUMUURUWFWMWNZUWEBUWFUVCUVRUNUWPUVCUNURUWEUWGVH
      UWQWEWHWOZUWEUUMDUUTUVLVLZURZUVCUMURZUWEUUMUXBBUWTWPZURUXAUXBVHUWEUUMUWFU
      XCUWRUWEUWLUXCUNURZUWFUXCVNUWNAUWDUWLUXDUWNUWOUXBBUWTUXCUNUXCUQUWLUWTUNUR
      AUWLDUUTUVLUNUWLUUSUUTIUUSKNWQUUTUQZWRUVLUNURZDUUTWSUWLUXFDUUTUUOUUNGWFWT
      XBWEXCXDXEVIEKUXCUNFQXFWNWLUXBBUWTXGXHXLZXIAEUURUWCUEZUVDUVEXJAEUURUWCUVC
      LUWSXKZAUVCDUBUCZUGUDZUUPUEZUHZUIUJUKZUBEJUURLAUBUOUVGUVHUXGUUSUXJVNZUIUV
      BUXMUJUXOUVAUXLUXODUUTUXKUUPUUSUXJUGVOXMXNXOAUWDUXJUUSXPXQXRZVNZXSUXMUVBW
      DZUVBUIWDZUXNUVCXTYEUWDUXQUXRAUWDUXQVHZDUXKUUTUUPUNUXTDUOUXTUXJUUTURUXKUU
      TWDUXTUUSUXJUUTUXEUWDUUSYAURUXQJUUSYBVCZUXTUXJUXPYAUWDUXQVMZUXTUUSUYAYCXI
      ZUXTUUSUXJUXTUUSUYAYDZUXTUXJUYCYDUXTUUSUXPUXJUJUXTUUSUYDYFUXTUXJUXPUYBYGY
      HYIYJUUSUXJYKYPUXTUUNUXKURVHUUMUUOUSYLYMAUWDUXSUXQUWEUVBUMUIUWEDUUTUUPUMU
      VAUWEDUOUVAUQUWEUUNUUTURZVHAUVJUUPUMURAUWDUWLUYEAUWNAUWLUYEYNYOUWDUYEUVJA
      JUUNUUSUURUVHYQYRUWBWNYSUMUIWDUWEYTWEUUAUUBUXMUVBUUCWNAUXHUVDXJVAZUXIAEKU
      WCUEUYFURUXHUYFURUAAKUWCUURUWCUNUNEJUNUNUURLUVGUVHKUNURAKIUGNUUDWEUVNUWOU
      UMUVRUSAJUGUSAEUURUURLUWMUUEUWEUUMUVRUSUWEUWCUUFUUGUUHUUIUUJUUKUULXI $.
  $}

  ${
    $d E y $.  $d F n x y $.  $d M m $.  $d N m n $.  $d X m n y $.
    $d Z m n x $.
    smflimsuplem5.a $e |- F/ n ph $.
    smflimsuplem5.b $e |- F/ m ph $.
    smflimsuplem5.m $e |- ( ph -> M e. ZZ ) $.
    smflimsuplem5.z $e |- Z = ( ZZ>= ` M ) $.
    smflimsuplem5.s $e |- ( ph -> S e. SAlg ) $.
    smflimsuplem5.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smflimsuplem5.e $e |- E = ( n e. Z |-> { x e. |^|_ m e. ( ZZ>= ` n ) dom (
       F ` m ) | sup ( ran ( m e. ( ZZ>= ` n ) |-> ( ( F ` m ) ` x ) ) , RR* ,
       < ) e. RR } ) $.
    smflimsuplem5.h $e |- H = ( n e. Z |-> ( x e. ( E ` n ) |-> sup ( ran ( m
       e. ( ZZ>= ` n ) |-> ( ( F ` m ) ` x ) ) , RR* , < ) ) ) $.
    smflimsuplem5.r $e |- ( ph -> ( limsup ` ( m e. Z |-> ( ( F ` m ) ` X ) ) )
       e. RR ) $.
    smflimsuplem5.n $e |- ( ph -> N e. Z ) $.
    smflimsuplem5.x $e |- ( ph -> X e. |^|_ m e. ( ZZ>= ` N ) dom ( F ` m ) )
                        $.
    $( ` H ` converges to the superior limit of ` F ` .  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    smflimsuplem5 $p |- ( ph -> ( n e. ( ZZ>= ` N ) |-> ( ( H ` n ) ` X ) ) ~~>
       ( limsup ` ( m e. ( ZZ>= ` N ) |-> ( ( F ` m ) ` X ) ) ) ) $=
      ( vy cuz cfv cv cmpt crn cxr clt csup clsp cli wcel wa wceq eleq2i biimpi
      cvv wss uzss syl sseqtrrdi sselda cr cdm ciin crab nfcv nfrab1 nfmpt nffv
      nfcxfr fvex mptexf a1i fvmpt2 syl2anc fveq1d fveq2 mpteq2dv rneqd supeq1d
      cbvmptf simpl fveq2d mpteq2dva eleq1d iinss1 adantl adantr sseldd cle wbr
      wral wrex nfv nfan eqid simpll adantll csalg csmblfn ffvelrnda smff eliin
      wb mpbid simpr rspa ffvelrnd eluzelz limsupequzmpt renepnfd limsupubuzmpt
      cz eqeltrd c0 wne uzid2 ne0d supxrre3rnmpt mpbird elrabd cbvrabv eleqtrdi
      dmex rgenw iinexd rabexd eleqtrrd eqtrd mpteq2da eluzelz2 supcnvlimsupmpt
      fvmptd3 eqbrtrd ) AEJUEUFZKEUGZHUFZUFZUHEYSDYTUEUFZKDUGZGUFZUFZUHZUIZUJUK
      ULZUHDYSUUFUHUMUFZUNAEYSUUBUUIMAYTYSUOZUPZUUBKBYTFUFZDUUCBUGZUUEUFZUHZUIZ
      UJUKULZUHZUFUUIUULKUUAUUSUULYTLUOZUUSUTUOZUUAUUSUQAYSLYTAJLUOZYSLVAUBUVBY
      SIUEUFZLUVBJUVCUOZYSUVCVAUVBUVDLUVCJPURUSIJVBVCPVDVCZVEZUVAUULBUUMUURBYTF
      BFELUURVFUOZBDUUCUUEVGZVHZVIZUHSBELUVJBLVJUVGBUVIVKVLVNBYTVJVMZYTFVOVPVQE
      LUUSUTHTVRVSVTUULUDKDUUCUDUGZUUEUFZUHZUIZUJUKULZUUIUUMUUSVFBUDUUMUURUVPUV
      KUDUUMVJUDUURVJBUVPVJUUNUVLUQZUJUUQUVOUKUVQUUPUVNUVQDUUCUUOUVMUUNUVLUUEWA
      WBWCWDWEUVLKUQZUJUVOUUHUKUVRUVNUUGUVRDUUCUVMUUFUVRUUDUUCUOZUPUVLKUUEUVRUV
      SWFWGWHWCWDZUULKUVJUUMUULKUVPVFUOZUDUVIVIUVJUULUWAUUIVFUOZUDKUVIUVRUVPUUI
      VFUVTWIUULDYSUVHVHZUVIKUUKUWCUVIVAZAUUKUUCYSVAUWDJYTVBZDUUCYSUVHWJVCWKAKU
      WCUOZUUKUCWLWMUULUWBUUFUVLWNWODUUCWPUDVFWQUULUDUUFDYTUUCAUUKDNUUKDWRWSZUU
      CWTZUULUVSUPAUUDYSUOZUUFVFUOAUUKUVSXAUUKUVSUWIAUUKUUCYSUUDUWEVEXBAUWIUPZU
      VHVFKUUEUWJUVHCUUEACXCUOUWIQWLUWJAUUDLUOZUUECXDUFZUOAUWIWFAYSLUUDUVEVEALU
      WLUUDGRXEVSUVHWTXFUWJKUVHUOZDYSWPZUWIUWMAUWNUWIAUWFUWNUCAUWFUWFUWNXHUCDKY
      SUVHUWCXGVCXIWLAUWIXJUWMDYSXKVSXLZVSZUULUUGUMUFZUULUWQDLUUFUHUMUFZVFUULUU
      CLUUFDYTIVFUTUWGUUKYTXQUOAJYTXMWKAIXQUOUUKOWLUWHPUWPUUFUTUOZUULUWKUPKUUEV
      OZVQXNAUWRVFUOUUKUAWLXRXOXPUULDUDUUCUUFUWGUUKUUCXSXTAUUKUUCYTYTJYAYBZWKUW
      PYCYDZYEUWAUVGUDBUVIUVLUUNUQZUVPUURVFUXCUJUVOUUQUKUXCUVNUUPUXCDUUCUVMUUOU
      XCUVSUPUVLUUNUUEUXCUVSWFWGWHWCWDWIYFYGUULUUTUVJUTUOUUMUVJUQUVFUULUVGBUVIU
      VJUTUVJWTUUKUVIUTUOAUUKDUUCUVHUTUXAUVHUTUOZDUUCWPUUKUXDDUUCUUEUUDGVOYHYIV
      QYJWKYKELUVJUTFSVRVSYLUXBYQYMYNAUUFDEJYSNAUVBJXQUOUBIJLPYOVCZYSWTZUWOAUUJ
      UWRVFAYSLUUFDJIUTUTNUXEOUXFPUWSUWJUWTVQUWSAUWKUPUWTVQXNUAXRYPYR $.
  $}

  ${
    $d F n x $.  $d M m $.  $d N m n $.  $d X m n $.  $d Z m n x $.
    smflimsuplem6.a $e |- F/ n ph $.
    smflimsuplem6.b $e |- F/ m ph $.
    smflimsuplem6.m $e |- ( ph -> M e. ZZ ) $.
    smflimsuplem6.z $e |- Z = ( ZZ>= ` M ) $.
    smflimsuplem6.s $e |- ( ph -> S e. SAlg ) $.
    smflimsuplem6.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smflimsuplem6.e $e |- E = ( n e. Z |-> { x e. |^|_ m e. ( ZZ>= ` n ) dom (
       F ` m ) | sup ( ran ( m e. ( ZZ>= ` n ) |-> ( ( F ` m ) ` x ) ) , RR* ,
       < ) e. RR } ) $.
    smflimsuplem6.h $e |- H = ( n e. Z |-> ( x e. ( E ` n ) |-> sup ( ran ( m
       e. ( ZZ>= ` n ) |-> ( ( F ` m ) ` x ) ) , RR* , < ) ) ) $.
    smflimsuplem6.r $e |- ( ph -> ( limsup ` ( m e. Z |-> ( ( F ` m ) ` X ) ) )
       e. RR ) $.
    smflimsuplem6.n $e |- ( ph -> N e. Z ) $.
    smflimsuplem6.x $e |- ( ph -> X e. |^|_ m e. ( ZZ>= ` N ) dom ( F ` m ) )
       $.
    $( The superior limit of a sequence of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (d) of [Fremlin1] p. 39 .
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smflimsuplem6 $p |- ( ph -> ( n e. Z |-> ( ( H ` n ) ` X ) ) e. dom ~~> )
       $=
      ( cv cfv cmpt cvv wcel cuz clsp cli wbr cdm fvexi a1i fvexd smflimsuplem5
      mptexd cz eluzelz2 syl eqid wss eleq2i biimpi uzss sseqtrrdi wa climeqmpt
      ssid mpbird breldmg syl3anc ) AELKEUDZHUEZUEZUFZUGUHDJUIUEZKDUDGUEUEUFZUJ
      UEZUGUHVQVTUKULZVQUKUMUHAELVPUGLUGUHALIUIPUNUOZURAVSUJUPAWAEVRVPUFVTUKULA
      BCDEFGHIJKLMNOPQRSTUAUBUCUQAELVRVPVTUGJUGUGVRMWBAJUIUPAJLUHZJUSUHUBIJLPUT
      VAVRVBAWCVRLVCUBWCVRIUIUEZLWCJWDUHZVRWDVCWCWELWDJPVDVEIJVFVAPVGVAVRVRVCAV
      RVJUOAVNVRUHVHKVOUPVIVKVQVTUGUGUKVLVM $.
  $}

  ${
    $d E k x $.  $d F k m n x $.  $d F m n x y $.  $d H k m n x $.  $d M m $.
    $d Z k m n x $.  $d k m n ph x $.
    smflimsuplem7.m $e |- ( ph -> M e. ZZ ) $.
    smflimsuplem7.z $e |- Z = ( ZZ>= ` M ) $.
    smflimsuplem7.s $e |- ( ph -> S e. SAlg ) $.
    smflimsuplem7.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smflimsuplem7.d $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F `
       m ) | ( limsup ` ( m e. Z |-> ( ( F ` m ) ` x ) ) ) e. RR } $.
    smflimsuplem7.e $e |- E = ( k e. Z |-> { x e. |^|_ m e. ( ZZ>= ` k ) dom (
       F ` m ) | sup ( ran ( m e. ( ZZ>= ` k ) |-> ( ( F ` m ) ` x ) ) , RR* ,
       < ) e. RR } ) $.
    smflimsuplem7.h $e |- H = ( k e. Z |-> ( x e. ( E ` k ) |-> sup ( ran ( m
       e. ( ZZ>= ` k ) |-> ( ( F ` m ) ` x ) ) , RR* , < ) ) ) $.
    $( The superior limit of a sequence of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (d) of [Fremlin1] p. 39 .
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smflimsuplem7 $p |- ( ph -> D = { x e. U_ n e. Z |^|_ k e. ( ZZ>= ` n ) dom
                 ( H ` k ) | ( k e. Z |-> ( ( H ` k ) ` x ) ) e. dom ~~> } ) $=
      ( wcel vy cv cfv cmpt clsp cr cuz cdm ciin ciun crab cli wceq a1i wb wrex
      wal wa simpl rabidim2 adantl rabidim1 eliun nfv w3a wral nfcv nfmpt1 nffv
      sylib nfel nfan nfii1 nf3an cz simpl1l syl csalg csmblfn uztrn2 3ad2antl2
      wf simpl1r wss uzss iinss1 sseldd 3ad2antl3 smflimsuplem2 ralrimiva eliin
      cvv vex ax-mp sylibr 3exp reximdai syl21anc biimpi nfiu1 nfrabw wi simp1l
      imp simp1r simp2 simp3 smflimsuplem6 syldan rexlimd mpd rabid ex eluzelz2
      jca ssrab2 uzidd wfn crn cxr clt csup wor xrltso supexd eqid fnmptd fveq2
      mpteq1d rneqd supeq1d mpteq12dv fvex mptex eleq1d eqsstrd adantr 3adant1r
      3adant3 nfrab1 fvmpt fneq1d mpbird fndmd iineq1d eleq2d anbi12d rabbidva2
      id mpteq2dv cbvrabv ne0d rgenw iinexd rabexd fvmptd3 dmeqd sseq1d syl2anc
      dmex rspcev iinss ss2iun sstrd simplbi simprbi smflimsuplem4 sylan2 sseld
      ssrabf impbid alrimiv cleqf eqtrd ) ACFLBUBZFUBZIUCZUCZUDZUEUCZUFTZBGLFGU
      BZUGUCZUVQUHZUIZUJZUKZELUVOEUBZJUCZUCZUDZULUHZTZBGLEUWCUWIUHZUIZUJZUKZCUW
      GUMAQUNAUVOUWGTZUVOUWQTZUOZBUQUWGUWQUMAUWTBAUWRUWSAUWRUWSAUWRURZUVOUWPTZU
      WMURUWSUXAUXBUWMUXAAUWAUVOUWETZGLUPZUXBAUWRUSUWRUWAAUWABUWFUTVAZUWRUXDAUW
      RUVOUWFTZUXDUWABUWFVBZGUVOLUWEVCZVJVAAUWAURZUXDURUVOUWOTZGLUPZUXBUXIUXDUX
      KUXIUXCUXJGLUXIGVDUXIUWBLTZUXCUXJUXIUXLUXCVEZUVOUWNTZEUWCVFZUXJUXMUXNEUWC
      UXMUWHUWCTZURZBDFEHIJKUVOLUXMUXPFUXIUXLUXCFAUWAFAFVDFUVTUFFUVSUEFUEVGFLUV
      RVHVIFUFVGVKVLUXLFVDFUVOUWEFUVOVGFUWCUWDVMVKVNZUXPFVDVLUXQAKVOTZAUWAUXLUX
      CUXPVPZMVQNUXQADVRTZUXTOVQUXQALDVSUCIWBZUXTPVQRSUXLUXIUXPUWHLTUXCKUWHUWBL
      NVTWAAUWAUXLUXCUXPWCUXCUXIUXPUVOFUWHUGUCZUWDUIZTZUXLUXCUXPURUWEUYDUVOUXPU
      WEUYDWDZUXCUXPUYCUWCWDUYFUWBUWHWEFUYCUWCUWDWFVQVAUXCUXPUSWGWHWIWJUVOWLTUX
      JUXOUOBWMEUVOUWCUWNWLWKWNWOWPWQXDGUVOLUWOVCZWOWRUXAUXDUWMUWRUXDAUWRUXFUXD
      UXGUXFUXDUXHWSVQVAUXAUXCUWMGLAUWRGAGVDZGUVOUWGGUVOVGZUWAGBUWFUWAGVDZGLUWE
      WTXAVKVLUWMGVDZAUWRUWAUXLUXCUWMXBXBUXEUXIUXLUXCUWMUXMBDFEHIJKUWBUVOLUXMEV
      DUXRUXMAUXSAUWAUXLUXCXCZMVQNUXMAUYAUYLOVQUXMAUYBUYLPVQRSAUWAUXLUXCXEUXIUX
      LUXCXFUXIUXLUXCXGXHWPXIXJXKXOUWMBUWPXLZWOXMAUWQUWGUVOAUWQUWFWDZUWABUWQVFZ
      URUWQUWGWDAUYNUYOAUWQUWPUWFUWQUWPWDAUWMBUWPXPUNAUWOUWEWDZGLVFUWPUWFWDAUYP
      GLAUXLURZUWNUWEWDZEUWCUPZUYPUYQUWBUWCTZUWBJUCZUHZUWEWDZUYSUXLUYTAUXLUWBKU
      WBLNXNXQZVAUYQVUBUWBHUCZUWEUYQVUEVUAUYQVUAVUEXRBVUEFUWCUVRUDZXSZXTYAYBZUD
      ZVUEXRUYQBVUEVUHVUIWLUYQBVDUYQUVOVUETURZXTVUGYAXTYAYCVUJYDUNYEVUIYFYGUYQV
      UEVUAVUIUXLVUAVUIUMAEUWBBUWHHUCZFUYCUVRUDZXSZXTYAYBZUDVUILJUWHUWBUMZBVUKV
      UNVUEVUHUWHUWBHYHVUOXTVUMVUGYAVUOVULVUFVUOFUYCUWCUVRUWHUWBUGYHZYIYJYKZYLS
      BVUEVUHUWBHYMYNUUAVAUUBUUCUUDUYQVUEVUHUFTZBUWEUKZUWEUXLVUEVUSUMAUXLEUWBVU
      NUFTZBUYDUKVUSLHWLRVUOVUTVURBUYDUWEVUOUYEUXCVUTVURVUOUYDUWEUVOVUOFUYCUWCU
      WDVUPUUEUUFVUOVUNVUHUFVUQYOUUGUUHUXLUUIUXLFUWCUAUBZUVQUCZUDZXSZXTYAYBZUFT
      ZUAUWEVUSWLVURVVFBUAUWEUVOVVAUMZVUHVVEUFVVGXTVUGVVDYAVVGVUFVVCVVGFUWCUVRV
      VBUVOVVAUVQYHUUJYJYKYOUUKUXLFUWCUWDWLUXLUWCUWBVUDUULUWDWLTZFUWCVFUXLVVHFU
      WCUVQUVPIYMUUTUUMUNUUNUUOUUPVAVUSUWEWDUYQVURBUWEXPUNYPYPUYRVUCEUWBUWCVUOU
      WNVUBUWEVUOUWIVUAUWHUWBJYHUUQUURUVAUUSEUWCUWNUWEUVBVQWJGLUWOUWEUVCVQUVDAU
      WABUWQAUWSURZUXKUWAUWSUXKAUWSUXBUXKUWSUXBUWMUYMUVEUXBUXKUYGWSVQVAVVIUXJUW
      AGLAUWSGUYHGUVOUWQUYIUWMGBUWPUYKGLUWOWTXAVKVLUYJUWSAUWMUXLUXJUWAXBXBUWSUX
      BUWMUYMUVFAUWMURZUXLUXJUWAVVJUXLUXJVEBDFEHIJKUWBLVVJUXLUXJEAUWMEAEVDEUWKU
      WLELUWJVHEUWLVGVKVLUXLEVDEUVOUWOEUVOVGEUWCUWNVMVKVNAUXLUXJUXSUWMAUXLUXSUX
      JAUXSUXLMYQYSYRNAUXLUXJUYAUWMAUXLUYAUXJAUYAUXLOYQYSYRAUXLUXJUYBUWMAUXLUYB
      UXJAUYBUXLPYQYSYRRSVVJUXLUXJXFVVJUXLUXJXGAUWMUXLUXJXEUVGWPUVHXJXKWJXOUWAB
      UWFUWQUWMBUWPYTZBUWFVGUVJWOUVIUVKUVLBUWGUWQUWABUWFYTVVKUVMWOUVN $.
  $}

  ${
    $d D k m n $.  $d E k x $.  $d F k m n x $.  $d F w x z $.  $d F m x y $.
    $d H k m n x $.  $d M m $.  $d S k n $.  $d Z k m n x $.  $d Z w x z $.
    $d Z m x y $.  $d k m n ph x $.  $d y z $.
    smflimsuplem8.m $e |- ( ph -> M e. ZZ ) $.
    smflimsuplem8.z $e |- Z = ( ZZ>= ` M ) $.
    smflimsuplem8.s $e |- ( ph -> S e. SAlg ) $.
    smflimsuplem8.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smflimsuplem8.d $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F `
       m ) | ( limsup ` ( m e. Z |-> ( ( F ` m ) ` x ) ) ) e. RR } $.
    smflimsuplem8.g $e |- G = ( x e. D |-> ( limsup ` ( m e. Z |-> ( ( F ` m )
       ` x ) ) ) ) $.
    smflimsuplem8.e $e |- E = ( k e. Z |-> { x e. |^|_ m e. ( ZZ>= ` k ) dom (
       F ` m ) | sup ( ran ( m e. ( ZZ>= ` k ) |-> ( ( F ` m ) ` x ) ) , RR* ,
       < ) e. RR } ) $.
    smflimsuplem8.h $e |- H = ( k e. Z |-> ( x e. ( E ` k ) |-> sup ( ran ( m
       e. ( ZZ>= ` k ) |-> ( ( F ` m ) ` x ) ) , RR* , < ) ) ) $.
    $( The superior limit of a sequence of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (d) of [Fremlin1] p. 39 .
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smflimsuplem8 $p |- ( ph -> G e. ( SMblFn ` S ) ) $=
      ( vw vy vz cfv cmpt cli cdm wcel cuz ciin ciun crab csmblfn clsp wceq a1i
      cv smflimsuplem7 wa wrex cr rabidim1 eliun eleq2s adantl nfv w3a wbr nfcv
      sylib nfii1 nfel nf3an cz adantr 3ad2ant1 csalg wf rabidim2 fveq2 cbvmptv
      fveq1d 3eqtr2i fveq2i eleq1i sylibr simp2 simp3 smflimsuplem5 fvexd fvexi
      cvv eluzelz2d eqid uzidd uzssd uzssd2 climeqmpt simp1l nfan limsupequzmpt
      mpbid syl2anc breqtrd climfvd 3exp rexlimd mpteq12dva eqtrd smflimsuplem3
      eluzelz2 mpd eqeltrd ) AJBEMBURZEURZKUEZUEZUFZUGUHUIBGMEGURZUJUEZXQUHUKUL
      UMZXSUGUEZUFZDUNUEZAJBCFMXOFURZIUEZUEZUFZUOUEZUFZYDJYKUPASUQABCYJYBYCABCD
      EFGHIKLMNOPQRTUAUSAXOCUIZUTZXOFYAYGUHZUKZUIZGMVAZYJYCUPZYLYQAYQXOYJVBUIZB
      GMYOULZUMZCXOUUAUIXOYTUIYQYSBYTVCGXOMYOVDVKRVEVFYMYPYRGMYMGVGYRGVGYMXTMUI
      ZYPYRYMUUBYPVHZYJXSUUCXSFYAYHUFUOUEZYJUGUUCEYAXRUFUUDUGVIXSUUDUGVIUUCBDFE
      HIKLXTXOMUUCEVGZYMUUBYPFYMFVGUUBFVGZFXOYOFXOVJFYAYNVLVMVNYMUUBLVOUIZYPAUU
      GYLNVPVQOYMUUBDVRUIZYPAUUHYLPVPVQYMUUBMYEIVSZYPAUUIYLQVPVQTUAUUCUBMXOUBUR
      ZIUEZUEZUFZUOUEZVBUIZYSYMUUBUUOYPYLUUOAYLYSUUOYSXOUUACYSBYTVTRVEYJUUNVBYI
      UUMUOYIUCMXOUCURZIUEZUEZUFUDMXOUDURZIUEZUEZUFUUMFUCMYHUURYFUUPUPXOYGUUQYF
      UUPIWAWCWBUDUCMUVAUURUUSUUPUPXOUUTUUQUUSUUPIWAWCWBUDUBMUVAUULUUSUUJUPXOUU
      TUUKUUSUUJIWAWCWBWDWEWFZVKVFVQUVBWGYMUUBYPWHZYMUUBYPWIWJUUCEYAMXRUUDWMXTW
      MWMYAUUEUUCXTUJWKMWMUIUUCMLUJOWLUQUUCLXTMOUVCWNZYAWOZUUCXTXTUUCXTUVDWPWQU
      UCLXTMOUVCWRUUCXPYAUIUTXOXQWKWSXCUUCAUUBUUDYJUPAYLUUBYPWTUVCAUUBUTZYAMYHF
      XTLWMWMAUUBFAFVGUUFXAUUBXTVOUIALXTMOXLVFAUUGUUBNVPUVEOUVFYFYAUIUTXOYGWKUV
      FYFMUIUTXOYGWKXBXDXEXFXGXHXMXIXJABDGFEHIKLMNOPQTUAXKXN $.
  $}

  ${
    $d D j k q w $.  $d F i j k l p q w y $.  $d F j n q $.  $d M q $.
    $d S j k $.  $d Z i j k l q w x y $.  $d Z j m n q $.  $d j k ph q w $.
    $d m q x $.  $d p q w x y $.
    smflimsup.n $e |- F/_ m F $.
    smflimsup.x $e |- F/_ x F $.
    smflimsup.m $e |- ( ph -> M e. ZZ ) $.
    smflimsup.z $e |- Z = ( ZZ>= ` M ) $.
    smflimsup.s $e |- ( ph -> S e. SAlg ) $.
    smflimsup.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smflimsup.d $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F ` m )
       | ( limsup ` ( m e. Z |-> ( ( F ` m ) ` x ) ) ) e. RR } $.
    smflimsup.g $e |- G = ( x e. D |-> ( limsup ` ( m e. Z |-> ( ( F ` m ) ` x
       ) ) ) ) $.
    $( The superior limit of a sequence of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (d) of [Fremlin1] p. 39 .
       (Contributed by Glauco Siliprandi, 23-Oct-2021.) $)
    smflimsup $p |- ( ph -> G e. ( SMblFn ` S ) ) $=
      ( vw vq vk vj vi vl vy vp cv cuz cfv cmpt crn cxr clt csup wcel ciin crab
      cr cdm clsp ciun wceq fveq2 iineq1d nfcv nffv nfdm dmeqd cbviin a1i eqtrd
      cbviunv eleq2i fveq1d cbvmpt fveq2i anbi12i rabbia2 nfiin nfiun nfv nfmpt
      eleq1i mpteq2dv fveq2d eleq1d cbvrabw 3eqtri mpteq2i nfrab1 cbvmptf nfsup
      nfel nfcxfr nfrn supeq1d eleq2d mpteq1d anbi12d rabbidva2 cbvmptv cbviinv
      rneqd rneqi supeq1i fveq1i mpteq12i eqtri mpteq12dv smflimsuplem8 ) ASCDU
      ATUBUCJTUCUGZUHUIZBUGZTUGZGUIZUIZUJZUKZULUMUNZURUOZBTXLXOUSZUPZUQZUJZGHUD
      JUEUDUGZUCJUFXLXMUFUGZGUIZUIZUJZUKZULUMUNZURUOZBUFXLYGUSZUPZUQZUJZUIZUFYE
      UHUIZUEUGZYGUIZUJZUKZULUMUNZUJZUJIJMNOPCEJXMEUGZGUIZUIZUJZUTUIZURUOZBFJEF
      UGZUHUIZUUFUSZUPZVAZUQZTJXPUJZUTUIZURUOZBUBJTUBUGZUHUIZYAUPZVAZUQTJSUGZXO
      UIZUJZUTUIZURUOZSUVCUQQUUJUUSBUUOUVCXMUUOUOXMUVCUOUUJUUSUUOUVCXMFUBJUUNUV
      BUUKUUTVBZUUNEUVAUUMUPZUVBUVIEUULUVAUUMUUKUUTUHVCVDUVJUVBVBUVIETUVAUUMYAT
      UUMVEEXOEXNGKEXNVEVFZVGUUEXNVBZUUFXOUUEXNGVCZVHVIVJVKVLVMUUIUURURUUHUUQUT
      ETJUUGXPTUUGVEEXMXOUVKEXMVEVFUVLXMUUFXOUVMVNVOVPZWCVQVRUUSUVHBSUVCUBBJUVB
      BJVEZTBUVAYABUVAVEBXOBXNGLBXNVEVFZVGZVSVTSUVCVEUUSSWABUVGURBUVFUTBUTVEBTJ
      UVEUVOBUVDXOUVPBUVDVEVFZWBVFZBURVEZWMXMUVDVBZUURUVGURUWAUUQUVFUTUWATJXPUV
      EXMUVDXOVCZWDWEZWFWGWHHBCUUIUJBCUURUJSCUVGUJRBCUUIUURUVNWIBSCUURUVGBCUUPQ
      UUJBUUOWJWNSCVESUURVEUVSUWCWKWHUCUAJYCTUAUGZUHUIZUVEUJZUKZULUMUNZURUOZSTU
      WEYAUPZUQZXKUWDVBZYCTXLUVEUJZUKZULUMUNZURUOZSYBUQZUWKYCUWQVBUWLXTUWPBSYBT
      BXLYABXLVEZUVQVSSYBVEXTSWABUWOURBUWNULUMBUWMBTXLUVEUWRUVRWBWOBULVEBUMVEWL
      UVTWMUWAXSUWOURUWAULXRUWNUMUWAXQUWMUWATXLXPUVEUWBWDXCWPWFWGVJUWLUWPUWISYB
      UWJUWLUVDYBUOUVDUWJUOUWPUWIUWLYBUWJUVDUWLTXLUWEYAXKUWDUHVCZVDWQUWLUWOUWHU
      RUWLULUWNUWGUMUWLUWMUWFUWLTXLUWEUVEUWSWRXCWPWFWSWTVKXAUDUAJUUDSUWDYDUIZUW
      HUJZYEUWDVBZUUDSYEYDUIZTYRUVEUJZUKZULUMUNZUJZUXAUUDUXGVBUXBUUDSYQUFYRUVDY
      GUIZUJZUKZULUMUNZUJUXGUESYQUUCUXKYSUVDVBZULUUBUXJUMUXLUUAUXIUXLUFYRYTUXHY
      SUVDYGVCWDXCWPXASYQUXKUXCUXFYEYPYDUCJYOYCYLXTBYNYBXMYNUOXMYBUOYLXTYNYBXMU
      FTXLYMYAYFXNVBZYGXOYFXNGVCZVHXBVMYKXSURULYJXRUMYIXQUFTXLYHXPTYHVEUFXMXOUF
      XOVEUFXMVEVFUXMXMYGXOUXNVNVOXDXEWCVQVRWIXFULUXJUXEUMUXIUXDUFTYRUXHUVEUXMU
      VDYGXOUXNVNXAXDXEXGXHVJUXBSUXCUXFUWTUWHYEUWDYDVCUXBULUXEUWGUMUXBUXDUWFUXB
      TYRUWEUVEYEUWDUHVCWRXCWPXIVKXAXJ $.
  $}

  ${
    $d A n x $.  $d B n $.  $d M m $.  $d S m $.  $d Z m n x $.
    smflimsupmpt.p $e |- F/ m ph $.
    smflimsupmpt.x $e |- F/ x ph $.
    smflimsupmpt.n $e |- F/ n ph $.
    smflimsupmpt.m $e |- ( ph -> M e. ZZ ) $.
    smflimsupmpt.z $e |- Z = ( ZZ>= ` M ) $.
    smflimsupmpt.s $e |- ( ph -> S e. SAlg ) $.
    smflimsupmpt.b $e |- ( ( ph /\ m e. Z /\ x e. A ) -> B e. W ) $.
    smflimsupmpt.f $e |- ( ( ph /\ m e. Z ) -> ( x e. A |-> B ) e. ( SMblFn ` S
       ) ) $.
    smflimsupmpt.d $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) A | (
       limsup ` ( m e. Z |-> B ) ) e. RR } $.
    smflimsupmpt.g $e |- G = ( x e. D |-> ( limsup ` ( m e. Z |-> B ) ) ) $.
    $( The superior limit of a sequence of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (d) of [Fremlin1] p. 39 . ` A ` can
       contain ` m ` as a free variable, in other words it can be thought of as
       an indexed collection ` A ( m ) ` . ` B ` can be thought of as a
       collection with two indices ` B ( m , x ) ` .  (Contributed by Glauco
       Siliprandi, 23-Oct-2021.) $)
    smflimsupmpt $p |- ( ph -> G e. ( SMblFn ` S ) ) $=
      ( cv cmpt cfv clsp cr wcel cuz cdm ciin ciun crab csmblfn wceq a1i wa nfv
      simpr nfan simpll uztrn2 adantll elexd fvmpt2 syl2anc dmeqd 3expa dmmptdf
      cvv eqid eqtr2d iineq2d iuneq2df adantr eleqtrd adantrr wrex eliun biimpi
      adantl w3a nfcv nfii1 nfel nf3an fveq1d 3adantl3 eliinid 3ad2antl3 simpl1
      wi syl3anc eqtrd mpteq2da fveq2d 3ad2ant1 eluzelz2 3ad2ant2 limsupequzmpt
      cz fvexd syldan nfci simp2 limsupequzmpt2 3eqtr4d 3exp rexlimd mpd simprr
      uzidd eqeltrd jca ex simpl eqcomd 3adant3 impbid rabbida3 eleq2i rabidim1
      simp3 syl sylan2 mpteq12da nfmpt1 nfmpt fmptd2f smflimsup ) AIBGLBUCZGUCZ
      GLBCDUDZUDZUEZUEZUDUFUEZUGUHZBHLGHUCZUIUEZYOUJZUKZULZUMZYQUDZFUNUEZAIBEGL
      DUDUFUEZUDZUUEIUUHUOAUBUPABEUUGUUDYQNAEUUGUGUHZBHLGYTCUKZULZUMZUUDEUULUOA
      UAUPAUUIYRBUUKUUCNAYKUUKUHZUUIUQZYKUUCUHZYRUQZAUUNUUPAUUNUQZUUOYRAUUMUUOU
      UIAUUMUQZYKUUKUUCAUUMUSAUUKUUCUOUUMAHLUUJUUBOAYSLUHZUQZGYTCUUAAUUSGMUUSGU
      RZUTUUTYLYTUHZUQZAYLLUHZCUUAUOAUUSUVBVAZUUSUVBUVDAJYLYSLQVBVCZAUVDUQZUUAY
      MUJCUVGYOYMUVGUVDYMVJUHYOYMUOAUVDUSUVGYMUUFTVDGLYMVJYNYNVKVEVFZVGUVGBYMCD
      KAUVDBNUVDBURUTYMVKZAUVDYKCUHZDKUHZSVHVIVLVFVMVNZVOVPVQUUQYQUUGUGAUUMYQUU
      GUOZUUIUURYKUUJUHZHLVRZUVMUUMUVOAUUMUVOHYKLUUJVSVTWAAUVOUVMWLUUMAUVNUVMHL
      OUVMHURAUUSUVNUVMAUUSUVNWBZGYTYPUDZUFUEGYTDUDZUFUEYQUUGUVPUVQUVRUFUVPGYTY
      PDAUUSUVNGMUVAGYKUUJGYKWCGYTCWDWEWFZUVPUVBUQZYPYKYMUEZDAUUSUVBYPUWAUOZUVN
      UVCAUVDUWBUVEUVFUVGYKYOYMUVHWGVFWHUVTUVJUVKUWADUOUVNAUVBUVJUUSGYKYTCWIWJZ
      UVTAUVDUVJUVKAUUSUVNUVBWKAUUSUVBUVDUVNUVFWHZUWCSWMZBCDKYMUVIVEVFWNWOWPUVP
      LYTYPGJYSVJVJUVSAUUSJXAUHUVNPWQUUSAYSXAUHUVNJYSLQWRWSZQYTVKZUVPUVDUQYKYOX
      BZUVPUVBUVDYPVJUHUWDUWHXCWTUVPLYTDGYSJYSKUVSGHLUVAXDGYTWCQUWGAUUSUVNXEUVP
      YSUWFXLUWEXFXGXHXIVOXJZVQAUUMUUIXKXMXNXOAUUPUUNAUUPUQAUUMYRUUNAUUPXPAUUOU
      UMYRAUUOUQYKUUCUUKAUUOUSAUUCUUKUOUUOAUUKUUCUVLXQVOVPVQAUUOYRXKAUUMYRWBZUU
      MUUIAUUMYRXEUWJUUGYQUGAUUMUUGYQUOZYRUURYQUUGUWIXQZXRAUUMYRYCXMXNWMXOXSXTW
      NYKEUHZAUUMUWKUWMYKUULUHZUUMUWMUWNEUULYKUAYAVTUUIBUUKYBYDUWLYEYFWNABUUDFG
      HYNUUEJLGLYMYGBGLYMBLWCBCDYGYHPQRAGLYMUUFMTYIUUDVKUUEVKYJXM $.
  $}

  ${
    $d D x $.  $d F n x $.  $d M m $.  $d S m $.  $d Z m n x $.  $d m n ph x $.
    smfliminflem.m $e |- ( ph -> M e. ZZ ) $.
    smfliminflem.z $e |- Z = ( ZZ>= ` M ) $.
    smfliminflem.s $e |- ( ph -> S e. SAlg ) $.
    smfliminflem.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smfliminflem.d $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F `
       m ) | ( liminf ` ( m e. Z |-> ( ( F ` m ) ` x ) ) ) e. RR } $.
    smfliminflem.g $e |- G = ( x e. D |-> ( liminf ` ( m e. Z |-> ( ( F ` m ) `
       x ) ) ) ) $.
    $( The inferior limit of a countable set of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (e) of [Fremlin1] p. 39 .
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    smfliminflem $p |- ( ph -> G e. ( SMblFn ` S ) ) $=
      ( wcel wa cr cvv cv cfv cneg cmpt clsp csmblfn clsi wceq a1i cxne cdm cuz
      wral wrex ciin ciun crab ssrab2 eqsstri sselid eqid allbutfi sylib adantl
      id wi nfv nfra1 nfan fvexi eluzelz2 zred ad2antlr cpnf cico co cin simpll
      wf elinel1 csalg adantr ffvelrnda syl2an simplr eluzelz2d cxr rexrd pnfxr
      smff cz elinel2 icogelbd eluzd adantlr rspa syl2anc liminfval4 rexlimdva2
      adantlll ffvelrnd xnegeqd mptex limsupcli xnegnegi eqtr2d rabeq2i simprbi
      mpd rexnegd renegcld eqeltrrd eqtrd mpteq2dva wne uzn0d fvex rgenw iinexg
      c0 dmex rgen iunexg mp2an ssexi wb biimpi imp sylan2 simpl simpr xnegrecl
      xnegrecl2 eqeltrd impbida syl rabbidva mpteq1df w3a smfneg negex feqmptd
      smflimsupmpt ) AHBCEJBUAZEUAZGUBZUBZUCZUDZUEUBZUCZUDZDUFUBZAHBCEJUUGUDUGU
      BZUDZUULHUUOUHAPUIABCUUNUUKAUUDCQZRZUUNUUJUJZUUKUUQUUDUUFUKZQZEFUAZULUBZU
      MZFJUNZUUNUURUHZUUPUVDAUUPUUDFJEUVBUUSUOZUPZQZUVDUUPCUVGUUDCUUNSQZBUVGUQZ
      UVGOUVIBUVGURUSZUUPVEUTUVGUUSEFIUUDJLUVGVAVBZVCVDAUVDUVEVFUUPAUVCUVEFJAUV
      AJQZRZUVCRZEJUUGUVATUVNUVCEUVNEVGUUTEUVBVHVIJTQZUVOJIULLVJZUIUVMUVASQAUVC
      UVMUVAIUVAJLVKZVLZVMUVOUUEJUVAVNVOVPZVQQZRUUSSUUDUUFUVOAUUEJQZUUSSUUFVSUW
      AAUVMUVCVRUUEJUVTVTZAUWBRZUUSDUUFADWAQUWBMWBZAJUUMUUEGNWCZUUSVAWJZWDUVMUV
      CUWAUUTAUVMUVCRUWARUVCUUEUVBQZUUTUVMUVCUWAWEUVMUWAUWHUVCUVMUWARZUVAUUEUVB
      UVBVAZUVMUVAWKQUWAUVRWBUWAUUEWKQUVMUWAIUUEJLUWCWFVDUWIUVAVNUUEUVMUVAWGQUW
      AUVMUVAUVSWHWBVNWGQUWIWIUIUWAUUEUVTQUVMUUEJUVTWLVDWMWNWOUUTEUVBWPWQWTXAWR
      WSZWBXIZUUQUUJUUQUUNUCZUUJSUUQUUJUUNUJZUWMUUQUWNUURUJZUUJUUQUUNUURUWLXBUW
      OUUJUHUUQUUJUUITEJUUHUVQXCXDZXEUIXFUUQUUNUUPUVIAUUPUVHUVIUVIBCUVGOXGXHVDZ
      XJXFUUQUUNUWQXKXLZXJXMXNXMABCUUJDTABVGZMCTQACUVGUVPUVFTQZFJUMUVGTQUVQUWTF
      JUVMUVBXTXOUUSTQZEUVBUMZUWTUVMUVAUVBUVRUWJXPUXBUVMUXAEUVBUUFUUEGXQYAZXRUI
      EUVBUUSTXSWQYBFJUVFTTYCYDUVKYEUIUWRABCUUJUDBUUJSQZBUVGUQZUUJUDZUUMABCUXEU
      UJUWSACUVJUXECUVJUHAOUIAUVIUXDBUVGAUVHRUVEUVIUXDYFUVHAUVDUVEUVHUVDUVLYGAU
      VDUVEUWKYHYIUVEUVIUXDUVEUVIRZUUJWGQZUURSQZUXDUXHUXGUWPUIUXGUUNUURSUVEUVIY
      JUVEUVIYKXLUUJYMWQUVEUXDRUUNUURSUVEUXDYJUXDUXIUVEUUJYLVDYNYOYPYQXMYRABUUS
      UUHUXEDEFUXFITJAEVGUWSAFVGKLMUUHTQAUWBUUTYSUUGUUAUIUWDBUUSUUGDTUWDBVGUWEU
      XAUWDUXCUIUWDUUSSUUDUUFUWGWCUWDUUFBUUSUUGUDUUMUWDBUUSSUUFUWGUUBUWFXLYTUXE
      VAUXFVAUUCYNYTYN $.
  $}

  ${
    $d D y $.  $d F i k n $.  $d F i k y $.  $d M k $.  $d S k $.
    $d Z i k m n x $.  $d Z i k m x y $.  $d i k ph y $.
    smfliminf.n $e |- F/_ m F $.
    smfliminf.x $e |- F/_ x F $.
    smfliminf.m $e |- ( ph -> M e. ZZ ) $.
    smfliminf.z $e |- Z = ( ZZ>= ` M ) $.
    smfliminf.s $e |- ( ph -> S e. SAlg ) $.
    smfliminf.f $e |- ( ph -> F : Z --> ( SMblFn ` S ) ) $.
    smfliminf.d $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) dom ( F ` m )
       | ( liminf ` ( m e. Z |-> ( ( F ` m ) ` x ) ) ) e. RR } $.
    smfliminf.g $e |- G = ( x e. D |-> ( liminf ` ( m e. Z |-> ( ( F ` m ) ` x
       ) ) ) ) $.
    $( The inferior limit of a countable set of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (e) of [Fremlin1] p. 39 .
       (Contributed by Glauco Siliprandi, 2-Jan-2022.) $)
    smfliminf $p |- ( ph -> G e. ( SMblFn ` S ) ) $=
      ( vk nfcv vy vi cv cfv cmpt clsi wcel cuz cdm ciin ciun crab wceq iineq1d
      cr fveq2 nfdm nffv dmeqd cbviin a1i eqtrd cbviun rabeqi nfiin nfiun nfmpt
      nfv nfel adantr mpteq2da fveq1d cbvmpt fveq2d eleq1d 3eqtri nfrab1 nfcxfr
      cbvrabw cbvmptf eqtri smfliminflem ) AUACDSUBGHIJMNOPCEJBUCZEUCZGUDZUDZUE
      ZUFUDZUOUGZBFJEFUCZUHUDZWEUIZUJZUKZULZWIBUBJSUBUCZUHUDZSUCZGUDZUIZUJZUKZU
      LSJUAUCZWSUDZUEZUFUDZUOUGZUAXBULQWIBWNXBFUBJWMXAUBWMTFXATWJWPUMZWMEWQWLUJ
      ZXAXHEWKWQWLWJWPUHUPUNXIXAUMXHESWQWLWTSWESWETUQEWSEWRGKEWRTURZUQWDWRUMZWE
      WSWDWRGUPZUSUTVAVBVCVDWIXGBUAXBUBBJXABJTZSBWQWTBWQTBWSBWRGLBWRTURZUQVEVFU
      AXBTWIUAVHBXFUOBXEUFBUFTBSJXDXMBXCWSXNBXCTURVGURZBUOTVIWCXCUMZWHXFUOXPWGX
      EUFXPWGEJXCWEUDZUEZXEXPEJWFXQXPEVHXPWFXQUMWDJUGWCXCWEUPVJVKXRXEUMXPESJXQX
      DSXQTEXCWSXJEXCTURXKXCWEWSXLVLVMVAVBVNZVOVSVPHBCWHUEUACXFUERBUACWHXFBCWOQ
      WIBWNVQVRUACTUAWHTXOXSVTWAWB $.
  $}

  ${
    $d A n x $.  $d B n $.  $d M m $.  $d S m $.  $d Z m n x $.
    smfliminfmpt.p $e |- F/ m ph $.
    smfliminfmpt.x $e |- F/ x ph $.
    smfliminfmpt.n $e |- F/ n ph $.
    smfliminfmpt.m $e |- ( ph -> M e. ZZ ) $.
    smfliminfmpt.z $e |- Z = ( ZZ>= ` M ) $.
    smfliminfmpt.s $e |- ( ph -> S e. SAlg ) $.
    smfliminfmpt.b $e |- ( ( ph /\ m e. Z /\ x e. A ) -> B e. V ) $.
    smfliminfmpt.f $e |- ( ( ph /\ m e. Z ) -> ( x e. A |-> B ) e. ( SMblFn ` S
       ) ) $.
    smfliminfmpt.d $e |- D = { x e. U_ n e. Z |^|_ m e. ( ZZ>= ` n ) A | (
       liminf ` ( m e. Z |-> B ) ) e. RR } $.
    smfliminfmpt.g $e |- G = ( x e. D |-> ( liminf ` ( m e. Z |-> B ) ) ) $.
    $( The inferior limit of a countable set of sigma-measurable functions is
       sigma-measurable.  Proposition 121F (e) of [Fremlin1] p. 39 . ` A ` can
       contain ` m ` as a free variable, in other words it can be thought of as
       an indexed collection ` A ( m ) ` . ` B ` can be thought of as a
       collection with two indices ` B ( m , x ) ` .  (Contributed by Glauco
       Siliprandi, 2-Jan-2022.) $)
    smfliminfmpt $p |- ( ph -> G e. ( SMblFn ` S ) ) $=
      ( cv cmpt cfv clsi cr wcel cuz cdm ciin ciun crab csmblfn wceq a1i wa nfv
      simpr nfan simpll uztrn2 adantll elexd fvmpt2 syl2anc dmeqd 3expa dmmptdf
      cvv eqid eqtr2d iineq2d iuneq2df adantr eleqtrd adantrr wrex eliun biimpi
      adantl w3a nfcv nfii1 nfel nf3an fveq1d 3adantl3 eliinid 3ad2antl3 simpl1
      simp2 sylan syl3anc eqtrd mpteq2da eluzelz2 uzidd 3ad2ant2 liminfequzmpt2
      wi fveq2d fvexd 3eqtr4d 3exp rexlimd mpd simprr eqeltrd jca simpl 3adant3
      eqcomd simp3 impbida rabbida3 eleq2i rabidim1 syl sylan2 mpteq12da nfmpt1
      nfmpt fmptd2f smfliminf ) AIBGLBUCZGUCZGLBCDUDZUDZUEZUEZUDUFUEZUGUHZBHLGH
      UCZUIUEZYJUJZUKZULZUMZYLUDZFUNUEZAIBEGLDUDUFUEZUDZYTIUUCUOAUBUPABEUUBYSYL
      NAEUUBUGUHZBHLGYOCUKZULZUMZYSEUUGUOAUAUPAUUDYMBUUFYRNAYFUUFUHZUUDUQZYFYRU
      HZYMUQZAUUIUQZUUJYMAUUHUUJUUDAUUHUQZYFUUFYRAUUHUSAUUFYRUOUUHAHLUUEYQOAYNL
      UHZUQZGYOCYPAUUNGMUUNGURZUTUUOYGYOUHZUQZAYGLUHZCYPUOAUUNUUQVAZUUNUUQUUSAJ
      YGYNLQVBZVCZAUUSUQZYPYHUJCUVCYJYHUVCUUSYHVJUHYJYHUOAUUSUSUVCYHUUATVDGLYHV
      JYIYIVKVEVFZVGUVCBYHCDKAUUSBNUUSBURUTYHVKZAUUSYFCUHZDKUHZSVHVIVLVFVMVNZVO
      VPVQUULYLUUBUGAUUHYLUUBUOZUUDUUMYFUUEUHZHLVRZUVIUUHUVKAUUHUVKHYFLUUEVSVTW
      AAUVKUVIXAUUHAUVJUVIHLOUVIHURAUUNUVJUVIAUUNUVJWBZGYOYKUDZUFUEGYODUDZUFUEY
      LUUBUVLUVMUVNUFUVLGYOYKDAUUNUVJGMUUPGYFUUEGYFWCGYOCWDWEWFZUVLUUQUQZYKYFYH
      UEZDAUUNUUQYKUVQUOZUVJUURAUUSUVRUUTUVBUVCYFYJYHUVDWGVFWHUVPUVFUVGUVQDUOUV
      JAUUQUVFUUNGYFYOCWIWJZUVPAUUSUVFUVGAUUNUVJUUQWKUVLUUNUUQUUSAUUNUVJWLZUVAW
      MUVSSWNZBCDKYHUVEVEVFWOWPXBUVLLYOYKGYNJYNVJUVOGLWCZGYOWCZQYOVKZUVTUUNAYNY
      OUHUVJUUNYNJYNLQWQWRWSZUVPYFYJXCWTUVLLYODGYNJYNKUVOUWBUWCQUWDUVTUWEUWAWTX
      DXEXFVOXGZVQAUUHUUDXHXIXJAUUKUQAUUHYMUUIAUUKXKAUUJUUHYMAUUJUQYFYRUUFAUUJU
      SAYRUUFUOUUJAUUFYRUVHXMVOVPVQAUUJYMXHAUUHYMWBZUUHUUDAUUHYMWLUWGUUBYLUGAUU
      HUUBYLUOZYMUUMYLUUBUWFXMZXLAUUHYMXNXIXJWNXOXPWOYFEUHZAUUHUWHUWJYFUUGUHZUU
      HUWJUWKEUUGYFUAXQVTUUDBUUFXRXSUWIXTYAWOABYSFGHYIYTJLGLYHYBBGLYHBLWCBCDYBY
      CPQRAGLYHUUAMTYDYSVKYTVKYEXI $.
  $}

$( (End of Glauco Siliprandi's mathbox.) $)
$( End $[ set-mbox-gs.mm $] $)


$( Begin $[ set-mbox-ss.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Saveliy Skresanov
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Ceva's theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    sigar $e |- G = ( x e. CC , y e. CC |->
                          ( Im ` ( ( * ` x ) x. y ) ) ) $.
    $( Define the signed area by treating complex numbers as vectors with two
       components.  (Contributed by Saveliy Skresanov, 19-Sep-2017.) $)
    sigarval $p |- ( ( A e. CC /\ B e. CC )
          -> ( A G B ) = ( Im ` ( ( * ` A ) x. B ) ) ) $=
      ( cc cv ccj cfv cmul co cim wceq wa simpl fveq2d simpr oveq12d fvex
      ovmpoa ) ABCDGGAHZIJZBHZKLZMJCIJZDKLZMJEUBCNZUDDNZOZUEUGMUJUCUFUDDKUJUBCI
      UHUIPQUHUIRSQFUGMTUA $.

    $( Signed area takes value in reals.  (Contributed by Saveliy Skresanov,
       19-Sep-2017.) $)
    sigarim $p |- ( ( A e. CC /\ B e. CC ) -> ( A G B ) e. RR ) $=
      ( cc wcel wa co ccj cfv cmul cim cr sigarval simpl cjcld simpr mulcld
      imcld eqeltrd ) CGHZDGHZIZCDEJCKLZDMJZNLOABCDEFPUEUGUEUFDUECUCUDQRUCUDSTU
      AUB $.

    $( Signed area is anticommutative.  (Contributed by Saveliy Skresanov,
       19-Sep-2017.) $)
    sigarac $p |- ( ( A e. CC /\ B e. CC ) -> ( A G B ) = -u ( B G A ) ) $=
      ( cc wcel wa co ccj cfv cmul cim cneg sigarval cjcl adantl simpl cjmuld
      simpr cjcjd oveq1d cjcld mulcomd 3eqtrrd fveq2d mulcld 3eqtrd wceq ancoms
      imcjd negeqd eqtr4d ) CGHZDGHZIZCDEJZDKLZCMJZNLZOZDCEJZOUQURCKLZDMJZNLUTK
      LZNLVBABCDEFPUQVEVFNUQVFUSKLZVDMJDVDMJVEUQUSCUPUSGHUODQRZUOUPSZTUQVGDVDMU
      QDUOUPUAZUBUCUQDVDVJUQCVIUDUEUFUGUQUTUQUSCVHVIUHULUIUQVCVAUPUOVCVAUJABDCE
      FPUKUMUN $.

    $( Signed area is additive by the first argument.  (Contributed by Saveliy
       Skresanov, 19-Sep-2017.) $)
    sigaraf $p |- ( ( A e. CC /\ B e. CC /\ C e. CC )
          -> ( ( A + C ) G B ) = ( ( A G B ) + ( C G B ) ) ) $=
      ( cc wcel caddc co ccj cfv cmul cim wceq wa cjcld eqtrd sigarval 3adant2
      w3a cjadd oveq1d simp1 simp3 adddird fveq2d mulcld imaddd syl2anc 3adant3
      simp2 addcld 3simpc ancomd syl oveq12d 3eqtr4d ) CHIZDHIZEHIZUBZCEJKZLMZD
      NKZOMZCLMZDNKZOMZELMZDNKZOMZJKZVDDFKZCDFKZEDFKZJKVCVGVIVLJKZOMVNVCVFVROVC
      VFVHVKJKZDNKZVRUTVBVFVTPVAUTVBQVEVSDNCEUCUDUAVCVHVKDVCCUTVAVBUEZRZVCEUTVA
      VBUFZRZUTVAVBUMZUGSUHVCVIVLVCVHDWBWEUIVCVKDWDWEUIUJSVCVDHIVAVOVGPVCCEWAWC
      UNWEABVDDFGTUKVCVPVJVQVMJUTVAVPVJPVBABCDFGTULVCVBVAQVQVMPVCVAVBUTVAVBUOUP
      ABEDFGTUQURUS $.

    $( Signed area is additive (with respect to subtraction) by the first
       argument.  (Contributed by Saveliy Skresanov, 19-Sep-2017.) $)
    sigarmf $p |- ( ( A e. CC /\ B e. CC /\ C e. CC )
          -> ( ( A - C ) G B ) = ( ( A G B ) - ( C G B ) ) ) $=
      ( cc wcel cmin co ccj cfv cmul cim wceq wa cjcld eqtrd sigarval w3a cjsub
      oveq1d 3adant2 subdird fveq2d mulcld imsubd subcld syl2anc 3adant3 3simpc
      simp1 simp3 simp2 ancomd syl oveq12d 3eqtr4d ) CHIZDHIZEHIZUAZCEJKZLMZDNK
      ZOMZCLMZDNKZOMZELMZDNKZOMZJKZVDDFKZCDFKZEDFKZJKVCVGVIVLJKZOMVNVCVFVROVCVF
      VHVKJKZDNKZVRUTVBVFVTPVAUTVBQVEVSDNCEUBUCUDVCVHVKDVCCUTVAVBUMZRZVCEUTVAVB
      UNZRZUTVAVBUOZUESUFVCVIVLVCVHDWBWEUGVCVKDWDWEUGUHSVCVDHIVAVOVGPVCCEWAWCUI
      WEABVDDFGTUJVCVPVJVQVMJUTVAVPVJPVBABCDFGTUKVCVBVAQVQVMPVCVAVBUTVAVBULUPAB
      EDFGTUQURUS $.

    $( Signed area is additive by the second argument.  (Contributed by Saveliy
       Skresanov, 19-Sep-2017.) $)
    sigaras $p |- ( ( A e. CC /\ B e. CC /\ C e. CC )
          -> ( A G ( B + C ) ) = ( ( A G B ) + ( A G C ) ) ) $=
      ( cc wcel w3a caddc co cneg wceq sigarac syl2anc wa cr ancomd sigarim syl
      simp1 simp2 simp3 addcld sigaraf negeqd 3com12 3simpa recnd 3simpb negdid
      eqtrd eqcomd oveq12d 3eqtrd ) CHIZDHIZEHIZJZCDEKLZFLZVACFLZMZDCFLZMZECFLZ
      MZKLZCDFLZCEFLZKLUTUQVAHIVBVDNUQURUSUBZUTDEUQURUSUCZUQURUSUDZUEABCVAFGOPU
      TVDVEVGKLZMZVIURUQUSVDVPNURUQUSJVCVOABDCEFGUFUGUHUTVEVGUTVEUTURUQQVERIUTU
      QURUQURUSUISABDCFGTUAUJUTVGUTUSUQQVGRIUTUQUSUQURUSUKSABECFGTUAUJULUMUTVFV
      JVHVKKUTVJVFUTUQURVJVFNVLVMABCDFGOPUNUTVKVHUTUQUSVKVHNVLVNABCEFGOPUNUOUP
      $.

    $( Signed area is additive (with respect to subtraction) by the second
       argument.  (Contributed by Saveliy Skresanov, 19-Sep-2017.) $)
    sigarms $p |- ( ( A e. CC /\ B e. CC /\ C e. CC )
          -> ( A G ( B - C ) ) = ( ( A G B ) - ( A G C ) ) ) $=
      ( cc wcel w3a cmin co cneg wceq sigarac syl2anc wa cr ancomd sigarim syl
      simp1 simp2 simp3 subcld negeqd 3com12 3simpa recnd 3simpb caddc negsubdi
      sigarmf simpl negcld simpr subnegd eqtr4d eqtrd eqcomd oveq12d 3eqtrd ) C
      HIZDHIZEHIZJZCDEKLZFLZVGCFLZMZDCFLZMZECFLZMZKLZCDFLZCEFLZKLVFVCVGHIVHVJNV
      CVDVEUBZVFDEVCVDVEUCZVCVDVEUDZUEABCVGFGOPVFVJVKVMKLZMZVOVDVCVEVJWBNVDVCVE
      JVIWAABDCEFGUMUFUGVFVKHIZVMHIZWBVONVFVKVFVDVCQVKRIVFVCVDVCVDVEUHSABDCFGTU
      AUIVFVMVFVEVCQVMRIVFVCVEVCVDVEUJSABECFGTUAUIWCWDQZWBVLVMUKLVOVKVMULWEVLVM
      WEVKWCWDUNUOWCWDUPUQURPUSVFVLVPVNVQKVFVPVLVFVCVDVPVLNVRVSABCDFGOPUTVFVQVN
      VFVCVEVQVNNVRVTABCEFGOPUTVAVB $.

    $( Signed area is linear by the second argument.  (Contributed by Saveliy
       Skresanov, 19-Sep-2017.) $)
    sigarls $p |- ( ( A e. CC /\ B e. CC /\ C e. RR )
          -> ( A G ( B x. C ) ) = ( ( A G B ) x. C ) ) $=
      ( cc wcel cfv cmul cim recnd 3adant1 fveq2d mulcld mulcomd 3eqtr4d wceq
      co cr w3a ccj simp1 cjcld simp2 wa simpr mulassd simp3 immul2d syl eqtr3d
      imcl simpl sigarval syl2anc 3adant3 oveq1d ) CHIZDHIZEUAIZUBZCUCJZDEKTZKT
      ZLJZVDDKTZLJZEKTZCVEFTZCDFTZEKTVCVHEKTZLJZVGVJVCVMVFLVCVDDEVCCUTVAVBUDZUE
      ZUTVAVBUFZVAVBEHIUTVAVBUGZEVAVBUHMZNZUIOVCEVHKTZLJEVIKTVNVJVCEVHUTVAVBUJV
      CVDDVPVQPZUKVCVMWALVCVHEWBVTQOVCVIEVCVHHIZVIHIWBWCVIVHUNMULVTQRUMVCUTVEHI
      ZVKVGSVOVAVBWDUTVRDEVAVBUOVSPNABCVEFGUPUQVCVLVIEKUTVAVLVISVBABCDFGUPURUSR
      $.

    $( Signed area of a flat parallelogram is zero.  (Contributed by Saveliy
       Skresanov, 20-Sep-2017.) $)
    sigarid $p |- ( A e. CC -> ( A G A ) = 0 ) $=
      ( cc wcel co ccj cfv cmul cim cc0 wceq sigarval anidms cr cjcl id mulcomd
      cjmulrcl eqeltrd reim0d eqtrd ) CFGZCCDHZCIJZCKHZLJZMUEUFUINABCCDEOPUEUHU
      EUHCUGKHQUEUGCCRUESTCUAUBUCUD $.

    $( Expand the signed area formula by linearity.  (Contributed by Saveliy
       Skresanov, 20-Sep-2017.) $)
    sigarexp $p |- ( ( A e. CC /\ B e. CC /\ C e. CC )
  -> ( ( A - C ) G ( B - C ) ) = ( ( ( A G B ) - ( A G C ) ) - ( C G B ) ) ) $=
      ( cc wcel w3a cmin co wceq simp2 simp3 subcld sigarms cc0 oveq2d 3eqtrd
      sigarmf syld3an2 oveq1d syld3an1 sigarid wa sigarim recnd syl2anc subid1d
      syl ) CHIZDHIZEHIZJZCEKLDEKLZFLZCUPFLZEUPFLZKLZCDFLCEFLKLZUSKLVAEDFLZKLUL
      UPHIUMUNUQUTMUODEULUMUNNZULUMUNOZPABCUPEFGUAUBUOURVAUSKABCDEFGQUCUOUSVBVA
      KUOUSVBEEFLZKLZVBRKLVBUNUMULUNUSVFMVDABEDEFGQUDUOVERVBKUOUNVERMVDABEFGUEU
      KSUOVBUOUNUMVBHIVDVCUNUMUFVBABEDFGUGUHUIUJTST $.

    $( Signed area ` ( A - C ) G ( B - C ) ` acts as a double area of a
       triangle ` A B C ` .  Here we prove that cyclically permuting the
       vertices doesn't change the area.  (Contributed by Saveliy Skresanov,
       20-Sep-2017.) $)
    sigarperm $p |- ( ( A e. CC /\ B e. CC /\ C e. CC )
          -> ( ( A - C ) G ( B - C ) ) = ( ( B - A ) G ( C - A ) ) ) $=
      ( cc wcel co cmin caddc cneg wa sigarim recnd syl2anc negsubd wceq cr w3a
      simp2 simp3 sigarac eqcomd oveq2d eqtr3d oveq1d sigarexp addcomd 3eqtr2rd
      simp1 3comr sub32d 3eqtrd 3eqtr4rd ) CHIZDHIZEHIZUAZDEFJZDCFJZKJZCEFJZKJZ
      VACDFJZLJZVDKJZDCKJECKJFJZCEKJDEKJFJZUTVCVGVDKUTVAVBMZLJVCVGUTVAVBUTURUSV
      AHIUQURUSUBZUQURUSUCZURUSNVAABDEFGOPQZUTURUQVBHIVLUQURUSULZURUQNVBABDCFGO
      PQRUTVKVFVALUTVFVKUTUQURVFVKSVOVLABCDFGUDQUEUFUGUHURUSUQVIVESABDECFGUIUMU
      TVJVFVDKJEDFJZKJVFVPKJZVDKJVHABCDEFGUIUTVFVDVPUTVFUTUQURVFTIVOVLABCDFGOQP
      ZUTVDUTUQUSVDTIVOVMABCEFGOQPUTVPUTUSURVPTIVMVLABEDFGOQPZUNUTVQVGVDKUTVGVF
      VALJVFVPMZLJVQUTVAVFVNVRUJUTVTVAVFLUTVAVTUTURUSVAVTSVLVMABDEFGUDQUEUFUTVF
      VPVRVSRUKUHUOUP $.

    sigardiv.a $e |- ( ph -> ( A e. CC /\ B e. CC /\ C e. CC ) ) $.
    sigardiv.b $e |- ( ph -> -. C = A ) $.
    sigardiv.c $e |- ( ph -> ( ( B - A ) G ( C - A ) ) = 0 ) $.
    $( If signed area between vectors ` B - A ` and ` C - A ` is zero, then
       those vectors lie on the same line.  (Contributed by Saveliy Skresanov,
       22-Sep-2017.) $)
    sigardiv $p |- ( ph -> ( ( B - A ) / ( C - A ) ) e. RR ) $=
      ( co cdiv ccj cfv cr cc wcel cmul eqeltrrd simp2d simp1d subcld divcan5rd
      simp3d neqned subne0d cjdivd cjcld cjne0d mulcld cim cc0 sigarval syl2anc
      cmin wceq eqtr3d reim0bd mulcomd cjmulrcld mulne0d redivcld eqeltrd cjred
      divcld cjcjd ) AEDUPLZFDUPLZMLZNOZVJPAVKNOVKVJAVKAVKVHNOZVINOZMLZPAVHVIAE
      DADQRZEQRZFQRZIUAAVOVPVQIUBZUCZAFDAVOVPVQIUEZVRUCZAFDVTVRAFDJUFUGZUHAVLVI
      SLZVMVISLZMLVNPAVLVMVIAVHVSUIZAVIWAUIZWAAVIWAWBUJZWBUDAWCWDAWCAVLVIWEWAUK
      AVHVIGLZWCULOZUMAVHQRVIQRWHWIUQVSWABCVHVIGHUNUOKURUSAVIVMSLWDPAVIVMWAWFUT
      AVIWAVATAVMVIWFWAWGWBVBVCTVDZVEAVJAVHVIVSWAWBVFVGURWJT $.
  $}

  ${
    $d x y A $.  $d x y B $.
    sigarimcd.sigar $e |- G = ( x e. CC , y e. CC |->
                          ( Im ` ( ( * ` x ) x. y ) ) ) $.
    sigarimcd.a $e |- ( ph -> ( A e. CC /\ B e. CC ) ) $.
    $( Signed area takes value in complex numbers.  Deduction version.
       (Contributed by Saveliy Skresanov, 23-Sep-2017.) $)
    sigarimcd $p |- ( ph -> ( A G B ) e. CC ) $=
      ( cc wcel wa co sigarim recnd syl ) ADIJEIJKZDEFLZIJHPQBCDEFGMNO $.

    sigariz.a $e |- ( ph -> ( A G B ) = 0 ) $.
    $( If signed area is zero, the signed area with swapped arguments is also
       zero.  Deduction version.  (Contributed by Saveliy Skresanov,
       23-Sep-2017.) $)
    sigariz $p |- ( ph -> ( B G A ) = 0 ) $=
      ( cc0 cneg co cc wcel wa wceq sigarac syl eqtr3d negeqd sigarimcd negnegd
      neg0 a1i ancomd 3eqtr3rd ) AJKZEDFLZKZKJUHAJUIADEFLZJUIIADMNZEMNZOUJUIPHB
      CDEFGQRSTUGJPAUCUDAUHABCEDFGAUKULHUEUAUBUF $.
  $}

  ${
    $d t x y A $.  $d t x y B $.  $d t x y C $.  $d t G $.  $d t ph $.
    sigarcol.sigar $e |- G
        = ( x e. CC , y e. CC |-> ( Im ` ( ( * ` x ) x. y ) ) ) $.
    sigarcol.a $e |- ( ph -> ( A e. CC /\ B e. CC /\ C e. CC ) ) $.
    sigarcol.b $e |- ( ph -> -. A = B ) $.
    $( Given three points ` A ` , ` B ` and ` C ` such that ` -. A = B ` , the
       point ` C ` lies on the line going through ` A ` and ` B ` iff the
       corresponding signed area is zero.  That justifies the usage of signed
       area as a collinearity indicator.  (Contributed by Saveliy Skresanov,
       22-Sep-2017.) $)
    sigarcol $p |- ( ph -> ( ( ( A - C ) G ( B - C ) ) = 0
          <-> E. t e. RR C = ( B + ( t x. ( A - B ) ) ) ) ) $=
      ( cmin co cc0 wceq cmul caddc wcel cc adantr cv cr wrex w3a simp2d simp3d
      wa cdiv simp1d 3jca wn sigarperm syl eqeq1d biimpa sigardiv subcld neqned
      eqtrd subne0d divcan1d oveq2d pncan3d eqtr2d rspceeqv syl2anc ex 3ad2ant1
      oveq1 simp2 recnd mulcld mvrladdd mulcomd sigarac sigarls syl3anc sigarid
      simp3 oveq1d cneg mul02d 3eqtrd negeqd neg0 a1i rexlimdv3a impbid ) AEGLM
      FGLMHMZNOZGFDUAZEFLMZPMZQMZOZDUBUCZAWJWPAWJUGZGFLMZWLUHMZUBRGFWSWLPMZQMZO
      WPWQBCFGEHIAFSRZGSRZESRZUDZWJAXBXCXDAXDXBXCJUEZAXDXBXCJUFZAXDXBXCJUIZUJZT
      AEFOUKWJKTZAWJWRWLHMZNOAWIXKNAWIFELMGELMHMZXKAXDXBXCUDWIXLOJBCEFGHIULUMAX
      EXLXKOXIBCFGEHIULUMUSZUNUOUPWQXAFWRQMGWQWTWRFQWQWRWLAWRSRWJAGFXGXFUQTAWLS
      RZWJAEFXHXFUQTWQEFAXDWJXHTAXBWJXFTZWQEFXJURUTVAVBWQFGXOAXCWJXGTVCVDDWSUBW
      NXAGWKWSOWMWTFQWKWSWLPVIVBVEVFVGAWOWJDUBAWKUBRZWOUDZWIXKWLWKPMZWLHMZNAXPW
      IXKOWOXMVHXQXKWMWLHMXSXQWRWMWLHXQGFWMAXPXBWOXFVHZXQWKWLXQWKAXPWOVJZVKZXQE
      FAXPXDWOXHVHXTUQZVLAXPWOVSVMVTXQWMXRWLHXQWKWLYBYCVNVTUSXQXSWLXRHMZWAZNWAZ
      NXQXRSRXNXSYEOXQWLWKYCYBVLYCBCXRWLHIVOVFXQYDNXQYDWLWLHMZWKPMZNWKPMNXQXNXN
      XPYDYHOYCYCYABCWLWLWKHIVPVQXQYGNWKPXQXNYGNOYCBCWLHIVRUMVTXQWKYBWBWCWDYFNO
      XQWEWFWCWCWGWH $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.
    sharhght.sigar $e |- G
        = ( x e. CC , y e. CC |-> ( Im ` ( ( * ` x ) x. y ) ) ) $.
    sharhght.a $e |- ( ph -> ( A e. CC /\ B e. CC /\ C e. CC ) ) $.
    sharhght.b $e |- ( ph -> ( D e. CC /\ ( ( A - D ) G ( B - D ) ) = 0 ) ) $.
    $( Let ` A B C ` be a triangle, and let ` D ` lie on the line ` A B ` .
       Then (doubled) areas of triangles ` A D C ` and ` C D B ` relate as
       lengths of corresponding bases ` A D ` and ` D B ` .  (Contributed by
       Saveliy Skresanov, 23-Sep-2017.) $)
    sharhght $p |- ( ph -> ( ( ( C - A ) G ( D - A ) ) x. ( B - D ) )
          = ( ( ( C - B ) G ( D - B ) ) x. ( A - D ) ) ) $=
      ( wceq cmin co cmul cc0 cc wcel subcld adantr wa cr simp3d simp1d sigarim
      simpld syl2anc recnd mul01d simp2d simpr subeq0bd oveq2d ccj cfv sigarval
      cim eqcomd cjcld eqtrd fveq2d 0red reim0d 3eqtrd oveq1d mul02d 3eqtr4d wn
      cdiv npncand sigaraf syl3anc eqtr3d simprd sigarperm addid1d 3eqtr2d cneg
      c1 negsubdi2d neqned subne0d divnegd dividd negeqd mulm1d div32d sigardiv
      caddc 3jca sigarls divcld mulassd divcan1d pm2.61dan ) AEGLZFDMNZGDMNZHNZ
      EGMNZONZFEMNZGEMNZHNZDGMNZONZLAWPUAZWSPONPXAXFXGWSXGWSXGWQQRZWRQRZWSUBRAX
      HWPAFDADQRZEQRZFQRZJUCZAXJXKXLJUDZSTAXIWPAGDAGQRZXEWTHNZPLZKUFZXNSZTBCWQW
      RHIUEUGUHUIXGWTPWSOXGEGAXKWPAXJXKXLJUJZTAWPUKZULUMXGXFPXEONPXGXDPXEOXGXDX
      BUNUOZXCONZUQUOZPUQUOPXGXBQRZXCQRZXDYDLAYEWPAFEXMXTSTZAYFWPAGEXRXTSTBCXBX
      CHIUPUGXGYCPUQXGYCYBPONPXGXCPYBOXGGEAXOWPXRTZXGEGYAURULUMXGYBXGXBYGUSUIUT
      VAXGPXGVBVCVDVEXGXEXGDGAXJWPXNTYHSVFUTVGAWPVHZUAZXAXDXEWTVINZONZWTONXDYKW
      TONZONXFYJWSYLWTOYJWSXBWRHNZXBXCYKONZHNZYLYJWSYNEDMNZWRHNZWINZYNPWINYNYJX
      BYQWINZWRHNZWSYSYJYTWQWRHYJFEDAXLYIXMTZAXKYIXTTZAXJYIXNTZVJVEYJYEXIYQQRUU
      AYSLYJFEUUBUUCSZAXIYIXSTZYJEDUUCUUDSBCXBWRYQHIVKVLVMYJPYRYNWIYJXPPYRAXQYI
      AXOXQKVNTZYJXJXKXOXPYRLUUDUUCAXOYIXRTZBCDEGHIVOVLVMUMYJYNYJYNYJYEXIYNUBRU
      UEUUFBCXBWRHIUEUGUHVPVQYJWRYOXBHYJXCWTVINZXEONZWRYOYJUUJVSVRZXEONXEVRWRYJ
      UUIUUKXEOYJUUIWTVRZWTVINWTWTVINZVRUUKYJXCUULWTVIYJUULXCYJEGUUCUUHVTURVEYJ
      WTWTYJEGUUCUUHSZUUNYJEGUUCUUHYJEGAYIUKZWAWBZWCYJUUMVSYJWTUUNUUPWDWEVQVEYJ
      XEYJDGUUDUUHSZWFYJDGUUDUUHVTVDYJXCWTXEYJGEUUHUUCSZUUNUUQUUPWGVMUMYJYEYFYK
      UBRYPYLLUUEUURYJBCGDEHIYJXOXJXKUUHUUDUUCWJUUOUUGWHBCXBXCYKHIWKVLVDVEYJXDY
      KWTYJYEYFXDQRUUEUURYEYFUAXDBCXBXCHIUEUHUGYJXEWTUUQUUNUUPWLUUNWMYJYMXEXDOY
      JXEWTUUQUUNUUPWNUMVDWO $.

    $( Subtracting (double) area of ` A D C ` from ` A B C ` yields the
       (double) area of ` D B C ` .  (Contributed by Saveliy Skresanov,
       23-Sep-2017.) $)
    sigaradd $p |- ( ph -> ( ( ( B - C ) G ( A - C ) )
              - ( ( D - C ) G ( A - C ) ) ) = ( ( B - C ) G ( D - C ) ) ) $=
      ( cmin co cc0 cc wcel wceq subcld syl3anc cneg simp1d simp3d nnncan1d jca
      simpld oveq2d simp2d sigarms eqtr3d sigarac syl2anc simprd negeqd negnegd
      sigarimcd neg0 3eqtr3d subid1d 3eqtrd nnncan2d oveq1d sigarmf 3eqtr2rd c1
      a1i cmul cr 1red renegcld sigarls mulm1d 1cnd negcld negsubdi2d sigarperm
      mulcomd 3eqtr4d ) AEFLMZDFLMZHMGFLMZVSHMLMZEGLMZVTHMZFGLMZWBHMZVRVTHMZAWC
      WBVSHMZVRVTLMZVSHMZWAAWCWGWBDGLMZHMZLMZWGNLMWGAWBVSWJLMZHMZWCWLAWMVTWBHAD
      FGADOPZEOPZFOPZJUAZAWOWPWQJUBZAGOPZWJWBHMZNQZKUEZUCUFAWBOPZVSOPZWJOPZWNWL
      QAEGAWOWPWQJUGZXCRZADFWRWSRZADGWRXCRZBCWBVSWJHIUHSUIAWKNWGLAWKTZTNTZWKNAX
      KNAXAXKNAXFXDXAXKQXJXHBCWJWBHIUJUKAWTXBKULUIUMAWKABCWBWJHIAXDXFXHXJUDUOUN
      XLNQAUPVEUQUFAWGABCWBVSHIAXDXEXHXIUDUOURUSAWHWBVSHAEGFXGXCWSUTVAAVROPXEVT
      OPWIWAQAEFXGWSRXIAGFXCWSRBCVRVSVTHIVBSVCAWBWDVDTZVFMZHMZWBWDHMZXMVFMZWCWE
      AXDWDOPZXMVGPXOXQQXHAFGWSXCRZAVDAVHVIBCWBWDXMHIVJSAXNVTWBHAXMWDVFMWDTXNVT
      AWDXSVKAXMWDAVDAVLVMZXSVPAFGWSXCVNUQUFAXMXPVFMXPTZXQWEAXPABCWBWDHIAXDXRXH
      XSUDUOZVKAXPXMYBXTVPAXRXDWEYAQXSXHBCWDWBHIUJUKVQUQAWQWPWTWEWFQWSXGXCBCFEG
      HIVOSUS $.
  $}

  ${
    cevathlem1.a $e |- ( ph -> ( A e. CC /\ B e. CC /\ C e. CC ) ) $.
    cevathlem1.b $e |- ( ph -> ( D e. CC /\ E e. CC /\ F e. CC ) ) $.
    cevathlem1.c $e |- ( ph -> ( G e. CC /\ H e. CC /\ K e. CC ) ) $.
    cevathlem1.d $e |- ( ph -> ( A =/= 0 /\ E =/= 0 /\ C =/= 0 ) ) $.
    cevathlem1.e $e |- ( ph -> ( ( A x. B ) = ( C x. D ) /\ ( E x. F )
        = ( A x. G ) /\ ( C x. H ) = ( E x. K ) ) ) $.
    $( Ceva's theorem first lemma.  Multiplies three identities and divides by
       the common factors.  (Contributed by Saveliy Skresanov, 24-Sep-2017.) $)
    cevathlem1 $p |- ( ph -> ( ( B x. F ) x. H ) = ( ( D x. G ) x. K ) ) $=
      ( cmul co cc wcel mulcld simp2d simp3d cc0 wne mulne0d wceq oveq12d mul4d
      simp1d 3eqtr3d mul32d mulcomd oveq1d eqtrd eqtr4d mulcanad ) ACGPQZIPQZEH
      PQZJPQZBFPQZDPQZAUQIACGABRSZCRSZDRSZKUAZAERSZFRSZGRSZLUBZTZAHRSZIRSZJRSZM
      UAZTAUSJAEHAVGVHVILUIZAVLVMVNMUIZTZAVLVMVNMUBZTAVADABFAVCVDVEKUIZAVGVHVIL
      UAZTZAVCVDVEKUBZTAVADWBWCABFVTWAABUCUDZFUCUDZDUCUDZNUIAWDWEWFNUAUEAWDWEWF
      NUBUEAVBURPQZDBPQZFPQZUTPQZVBUTPQAVAUQPQZDIPQZPQWHUSPQZFJPQZPQWGWJAWKWMWL
      WNPABCPQZFGPQZPQDEPQZBHPQZPQWKWMAWOWQWPWRPAWOWQUFZWPWRUFZWLWNUFZOUIAWSWTX
      AOUAUGABCFGVTVFWAVJUHADEBHWCVPVTVQUHUJAWSWTXAOUBUGAVAUQDIWBVKWCVOUHAWHUSF
      JADBWCVTTVRWAVSUHUJAVBWIUTPAVBBDPQZFPQWIABFDVTWAWCUKAXBWHFPABDVTWCULUMUNU
      MUOUP $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x y O $.
    $d x y E $.  $d x y F $.
    cevath.sigar $e |- G
        = ( x e. CC , y e. CC |-> ( Im ` ( ( * ` x ) x. y ) ) ) $.
    cevath.a $e |- ( ph -> ( A e. CC /\ B e. CC /\ C e. CC ) ) $.
    cevath.b $e |- ( ph -> ( F e. CC /\ D e. CC /\ E e. CC ) ) $.
    cevath.c $e |- ( ph -> O e. CC ) $.
    cevath.d $e |- ( ph -> ( ( ( A - O ) G ( D - O ) ) = 0
       /\ ( ( B - O ) G ( E - O ) ) = 0 /\ ( ( C - O ) G ( F - O ) ) = 0 ) ) $.
    cevath.e $e |- ( ph -> ( ( ( A - F ) G ( B - F ) ) = 0
       /\ ( ( B - D ) G ( C - D ) ) = 0 /\ ( ( C - E ) G ( A - E ) ) = 0 ) ) $.
    cevath.f $e |- ( ph -> ( ( ( A - O ) G ( B - O ) ) =/= 0
   /\ ( ( B - O ) G ( C - O ) ) =/= 0 /\ ( ( C - O ) G ( A - O ) ) =/= 0 ) ) $.
    $( Ceva's theorem second lemma.  Relate (doubled) areas of triangles
       ` C A O ` and ` A B O ` with of segments ` B D ` and ` D C ` .
       (Contributed by Saveliy Skresanov, 24-Sep-2017.) $)
    cevathlem2 $p |- ( ph -> ( ( ( C - O ) G ( A - O ) ) x. ( B - D ) )
          = ( ( ( A - O ) G ( B - O ) ) x. ( D - C ) ) ) $=
      ( cmin co cmul cneg wcel simp2d simp1d 3jca cc0 wceq jca sigariz sigaradd
      cc subcld sigarperm syl3anc eqtr4d oveq1d sigarimcd simp3d subdird eqtr3d
      sharhght oveq12d cr sigarim syl2anc recnd 3eqtrrd sigarac mulneg12 oveq2d
      negsubdi2d eqtrd 3eqtrd ) AFKSTZDKSTZJTZEGSTZUATZEKSTZVPJTZFGSTZUATZVPVTJ
      TZUBZWBUATZWDGFSTZUATZAWCDESTZGESTZJTZWBUATZKESTZWJJTZWBUATZSTZDFSTZWGJTZ
      VRUATZKFSTZWGJTZVRUATZSTZVSAWKWNSTZWBUATWCWPAXDWAWBUAAXDWIWMJTZWAABCGDEKJ
      LAGULUCZDULUCZEULUCZAIULUCXFHULUCNUDZAXGXHFULUCZMUEZAXGXHXJMUDZUFAKULUCZG
      KSTZVPJTUGUHOABCVPXNJLAVPULUCZXNULUCADKXKOUMZAGKXIOUMUIAVPXNJTUGUHVTHKSTJ
      TUGUHVOIKSTJTUGUHPUEUJUIZUKAXHXGXMWAXEUHXLXKOBCEDKJLUNUOUPUQAWKWNWBABCWIW
      JJLAWIULUCWJULUCZADEXKXLUMAGEXIXLUMZUIURABCWMWJJLAWMULUCXRAKEOXLUMXSUIURA
      FGAXGXHXJMUSZXIUMZUTVAAWLWSWOXBSABCEFDGJLAXHXJXGXLXTXKUFAXFVRWBJTUGUHZXIA
      DISTEISTJTUGUHYBFHSTDHSTJTUGUHQUDUIZVBABCEFKGJLAXHXJXMXLXTOUFYCVBVCAWRXAS
      TZVRUATXCVSAWRXAVRAWRAWQULUCWGULUCZWRVDUCADFXKXTUMAGFXIXTUMZBCWQWGJLVEVFV
      GABCWTWGJLAWTULUCYEAKFOXTUMYFUIURAEGXLXIUMUTAYDVQVRUAAYDWQWTJTZVQABCGDFKJ
      LAXFXGXJXIXKXTUFXQUKAXJXGXMVQYGUHXTXKOBCFDKJLUNUOUPUQVAVHAWAWEWBUAAVTULUC
      ZXOWAWEUHAEKXLOUMZXPBCVTVPJLVIVFUQAWFWDWBUBZUATZWHAWDULUCWBULUCWFYKUHABCV
      PVTJLAXOYHXPYIUIURYAWDWBVJVFAYJWGWDUAAFGXTXIVLVKVMVN $.

    $( Ceva's theorem.  Let ` A B C ` be a triangle and let points ` F ` ,
       ` D ` and ` E ` lie on sides ` A B ` , ` B C ` , ` C A `
       correspondingly.  Suppose that cevians ` A D ` , ` B E ` and ` C F `
       intersect at one point ` O ` .  Then triangle's sides are partitioned
       into segments and their lengths satisfy a certain identity.  Here we
       obtain a bit stronger version by using complex numbers themselves
       instead of their absolute values.

       The proof goes by applying ~ cevathlem2 three times and then using
       ~ cevathlem1 to multiply obtained identities and prove the theorem.

       In the theorem statement we are using function ` G ` as a collinearity
       indicator.  For justification of that use, see ~ sigarcol .  This is
       Metamath 100 proof #61.  (Contributed by Saveliy Skresanov,
       24-Sep-2017.) $)
    cevath $p |- ( ph -> ( ( ( A - F ) x. ( C - E ) ) x. ( B - D ) )
          = ( ( ( F - B ) x. ( E - A ) ) x. ( D - C ) ) ) $=
      ( co cc cmin wcel simp2d subcld simp3d jca sigarimcd simp1d 3jca cc0 cmul
      wne wceq cevathlem2 cevathlem1 ) AEKUASZFKUASZJSZDIUASZUQDKUASZJSZIEUASZU
      TUPJSZFHUASZHDUASZEGUASZGFUASZAURTUBUSTUBVATUBABCUPUQJLAUPTUBZUQTUBZAEKAD
      TUBZETUBZFTUBZMUCZOUDZAFKAVJVKVLMUEZOUDZUFUGADIAVJVKVLMUHZAITUBZGTUBZHTUB
      ZNUHZUDABCUQUTJLAVIUTTUBZVPADKVQOUDZUFUGUIAVBTUBVCTUBVDTUBAIEWAVMUDABCUTU
      PJLAWBVHWCVNUFUGAFHVOAVRVSVTNUEZUDUIAVETUBVFTUBVGTUBAHDWDVQUDAEGVMAVRVSVT
      NUCZUDAGFWEVOUDUIAURUJULZVCUJULZVAUJULZAWGWFWHRUCZAWGWFWHRUHZAWGWFWHRUEZU
      IAURUSUKSVAVBUKSUMVCVDUKSURVEUKSUMVAVFUKSVCVGUKSUMABCFDEIGHJKLAVLVJVKVOVQ
      VMUIAVTVRVSWDWAWEUIOAUQIKUASJSUJUMZUTGKUASJSUJUMZUPHKUASJSUJUMZAWMWNWLPUE
      ZAWMWNWLPUHZAWMWNWLPUCZUIAVDDHUASJSUJUMZUSEIUASJSUJUMZVFFGUASJSUJUMZAWSWT
      WRQUEZAWSWTWRQUHZAWSWTWRQUCZUIAWHWGWFWKWJWIUIUNABCEFDHIGJKLAVKVLVJVMVOVQU
      IAVSVTVRWEWDWAUIOAWNWLWMWQWOWPUIAWTWRWSXCXAXBUIAWFWHWGWIWKWJUIUNABCDEFGHI
      JKLMNOPQRUNUIUO $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Simple groups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    simpcntrab.a $e |- B = ( Base ` G ) $.
    simpcntrab.b $e |- .0. = ( 0g ` G ) $.
    simpcntrab.c $e |- Z = ( Cntr ` G ) $.
    simpcntrab.d $e |- ( ph -> G e. SimpGrp ) $.
    $( The center of a simple group is trivial or the group is abelian.
       (Contributed by SS, 3-Jan-2024.) $)
    simpcntrab $p |- ( ph -> ( Z = { .0. } \/ G e. Abel ) ) $=
      ( wceq wa wo cabl wcel cgrp cfv syl cress co adantr csn simpggrpd cntrnsg
      cnsg simpgnsgeqd ancli andi biimpi simpr orim1i 3syl ccntr oveq2i eqtr3di
      oveq2 adantl ressid eqtr3d eqid cntrabl eqeltrrd orim2i ) AEDUAJZAEBJZKZL
      ZVCCMNZLAAVCVDLZKZAVCKZVELZVFAVHAEBCDFGIACONZECUDPNACIUBZCEHUCQUEUFVIVKAV
      CVDUGUHVJVCVEAVCUIUJUKVEVGVCVECCULPZRSZCMVECBRSZVOCVDVPVOJAVDCERSVPVOEBCR
      UOEVNCRHUMUNUPAVPCJZVDAVLVQVMBCOFUQQTURAVOMNZVDAVLVRVMCVOVOUSUTQTVAVBQ $.
  $}

$( (End of Saveliy Skresanov's mathbox.) $)
$( End $[ set-mbox-ss.mm $] $)


$( Begin $[ set-mbox-ju.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Jarvin Udandy
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $( Table of Contents [ Search Code: pyY6vpz5mecT2rh9 ]
   Table of Contents for MathBox

   Note: All search codes are randomly generated strings.

   0| Table of Contents [ Search Code: pyY6vpz5mecT2rh9 ]
   1| Preface for Mathbox [ Search Code: gmFp93ENa4XAkymc ]
   2| Main Section [ Search Code: MnBcpxXHRCLsx9Bj ]
    -Propositional Calculus
   3| Experimental Section [ Search Code: 6hFY3NX45ggpE7Hx ]
        -Propositional Calculus
    - ?
  $)

  $( PREFACE FOR MATHBOX [ Search Code: gmFp93ENa4XAkymc ]

    Aim: Prove interesting results, personally meaningful results, or
    supplement set.mm as much as possible.

    The order of declaring things:
    variables, wffs, constants, definitions, followed by
    broad-use-formulas, and lastly more subject-specific results.

    Occasionally grouping like-formulas when sensible.
  $)

  $( BEGIN MAIN SECTION [ Search Code: MnBcpxXHRCLsx9Bj ]
   This section of the mathbox is for official results.
  $)

  $v jph $.  $( jarvin Greek phi $)
  $v jps $.  $( jarvin Greek psi $)
  $v jch $.  $( jarvin Greek chi $)
  $v jth $.  $( jarvin Greek theta $)
  $v jta $.  $( jarvin Greek tau $)
  $v jet $.  $( jarvin Greek eta $)
  $v jze $.  $( jarvin Greek zeta $)
  $v jsi $.  $( jarvin Greek sigma $)
  $v jrh $.  $( jarvin Greek rho $)
  $v jmu $.  $( jarvin Greek mu $)
  $v jla $.  $( jarvin Greek lambda $)

  $( Let variable ` jph ` be a wff. $)
  wjph $f wff jph $.
  $( Let variable ` jps ` be a wff. $)
  wjps $f wff jps $.
  $( Let variable ` jch ` be a wff. $)
  wjch $f wff jch $.
  $( Let variable ` jth ` be a wff. $)
  wjth $f wff jth $.
  $( Let variable ` jta ` be a wff. $)
  wjta $f wff jta $.
  $( Let variable ` jet ` be a wff. $)
  wjet $f wff jet $.
  $( Let variable ` jze ` be a wff. $)
  wjze $f wff jze $.
  $( Let variable ` jsi ` be a wff. $)
  wjsi $f wff jsi $.
  $( Let variable ` jrh ` be a wff. $)
  wjrh $f wff jrh $.
  $( Let variable ` jmu ` be a wff. $)
  wjmu $f wff jmu $.
  $( Let variable ` jla ` be a wff. $)
  wjla $f wff jla $.

  $( The third axiom of a system called "L" but proven to be a theorem since
     set.mm uses a different third axiom.  This is named hirst after Holly P.
     Hirst and Jeffry L. Hirst.  Axiom A3 of [Mendelson] p. 35.  (Contributed
     by Jarvin Udandy, 7-Feb-2015.)  (Proof modification is discouraged.) $)
  hirstL-ax3 $p |- ( ( -. ph -> -. ps ) -> ( ( -. ph -> ps ) -> ph ) ) $=
    ( wn wi wo pm4.64 pm4.66 pm2.64 com12 sylbi syl5bi ) ACZBDABEZLBCZDZAABFOAN
    EZMADABGMPAABHIJK $.

  $( Recover ~ ax-3 from ~ hirstL-ax3 .  (Contributed by Jarvin Udandy,
     3-Jul-2015.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  ax3h $p |- ( ( -. ph -> -. ps ) -> ( ps -> ph ) ) $=
    ( wn wi hirstL-ax3 jarr syl ) ACZBCDHBDADBADABEHBAFG $.

  $( A closed form showing (a implies b and b implies a) same-as (a same-as b).
     (Contributed by Jarvin Udandy, 3-Sep-2016.) $)
  aibandbiaiffaiffb $p |- ( ( ( ph -> ps ) /\ ( ps -> ph ) ) <->
( ph <-> ps ) ) $=
    ( wb wi wa dfbi2 bicomi ) ABCABDBADEABFG $.

  $( A closed form showing (a implies b and b implies a) implies (a same-as b).
     (Contributed by Jarvin Udandy, 3-Sep-2016.) $)
  aibandbiaiaiffb $p |- ( ( ( ph -> ps ) /\ ( ps -> ph ) ) ->
( ph <-> ps ) ) $=
    ( wb wi wa dfbi2 biimpri ) ABCABDBADEABFG $.

  ${
    notatnand.1 $e |- -. ph $.
    $( Do not use.  Use intnanr instead.  Given not a, there exists a proof for
       not (a and b).  (Contributed by Jarvin Udandy, 31-Aug-2016.) $)
    notatnand $p |- -. ( ph /\ ps ) $=
      ( intnanr ) ABCD $.
  $}

  ${
    aistia.1 $e |- ( ph <-> T. ) $.
    $( Given a is equivalent to ` T. ` , there exists a proof for a.
       (Contributed by Jarvin Udandy, 30-Aug-2016.) $)
    aistia $p |- ph $=
      ( wtru wb tbtru mpbir ) AACDBAEF $.
  $}

  ${
    aisfina.1 $e |- ( ph <-> F. ) $.
    $( Given a is equivalent to ` F. ` , there exists a proof for not a.
       (Contributed by Jarvin Udandy, 30-Aug-2016.) $)
    aisfina $p |- -. ph $=
      ( wn wfal wb nbfal mpbir ) ACADEBAFG $.
  $}

  ${
    bothtbothsame.1 $e |- ( ph <-> T. ) $.
    bothtbothsame.2 $e |- ( ps <-> T. ) $.
    $( Given both a, b are equivalent to ` T. ` , there exists a proof for a is
       the same as b.  (Contributed by Jarvin Udandy, 31-Aug-2016.) $)
    bothtbothsame $p |- ( ph <-> ps ) $=
      ( wtru bitr4i ) AEBCDF $.
  $}

  ${
    bothfbothsame.1 $e |- ( ph <-> F. ) $.
    bothfbothsame.2 $e |- ( ps <-> F. ) $.
    $( Given both a, b are equivalent to ` F. ` , there exists a proof for a is
       the same as b.  (Contributed by Jarvin Udandy, 31-Aug-2016.) $)
    bothfbothsame $p |- ( ph <-> ps ) $=
      ( wfal bitr4i ) AEBCDF $.
  $}

  ${
    aiffbbtat.1 $e |- ( ph <-> ps ) $.
    aiffbbtat.2 $e |- ( ps <-> T. ) $.
    $( Given a is equivalent to b, b is equivalent to ` T. ` there exists a
       proof for a is equivalent to T. (Contributed by Jarvin Udandy,
       29-Aug-2016.) $)
    aiffbbtat $p |- ( ph <-> T. ) $=
      ( wtru bitri ) ABECDF $.
  $}

  ${
    aisbbisfaisf.1 $e |- ( ph <-> ps ) $.
    aisbbisfaisf.2 $e |- ( ps <-> F. ) $.
    $( Given a is equivalent to b, b is equivalent to ` F. ` there exists a
       proof for a is equivalent to F. (Contributed by Jarvin Udandy,
       30-Aug-2016.) $)
    aisbbisfaisf $p |- ( ph <-> F. ) $=
      ( wfal bitri ) ABECDF $.
  $}

  ${
    axorbtnotaiffb.1 $e |- ( ph \/_ ps ) $.
    $( Given a is exclusive to b, there exists a proof for (not (a
       if-and-only-if b)); ~ df-xor is a closed form of this.  (Contributed by
       Jarvin Udandy, 7-Sep-2016.) $)
    axorbtnotaiffb $p |- -. ( ph <-> ps ) $=
      ( wxo wb wn df-xor mpbi ) ABDABEFCABGH $.
  $}

  ${
    aiffnbandciffatnotciffb.1 $e |- ( ph <-> -. ps ) $.
    aiffnbandciffatnotciffb.2 $e |- ( ch <-> ph ) $.
    $( Given a is equivalent to (not b), c is equivalent to a, there exists a
       proof for ( not ( c iff b ) ).  (Contributed by Jarvin Udandy,
       7-Sep-2016.) $)
    aiffnbandciffatnotciffb $p |- -. ( ch <-> ps ) $=
      ( wb wn bitri xor3 mpbir ) CBFGCBGZFCAKEDHCBIJ $.
  $}

  ${
    axorbciffatcxorb.1 $e |- ( ph \/_ ps ) $.
    axorbciffatcxorb.2 $e |- ( ch <-> ph ) $.
    $( Given a is equivalent to (not b), c is equivalent to a. there exists a
       proof for ( c xor b ).  (Contributed by Jarvin Udandy, 7-Sep-2016.) $)
    axorbciffatcxorb $p |- ( ch \/_ ps ) $=
      ( wxo wb wn axorbtnotaiffb xor3 mpbi aiffnbandciffatnotciffb df-xor mpbir
      ) CBFCBGHABCABGHABHGABDIABJKELCBMN $.
  $}

  ${
    aibnbna.1 $e |- ( ph -> ps ) $.
    aibnbna.2 $e |- -. ps $.
    $( Given a implies b, (not b), there exists a proof for (not a).
       (Contributed by Jarvin Udandy, 1-Sep-2016.) $)
    aibnbna $p |- -. ph $=
      ( mto ) ABDCE $.
  $}

  ${
    aibnbaif.1 $e |- ( ph -> ps ) $.
    aibnbaif.2 $e |- -. ps $.
    $( Given a implies b, not b, there exists a proof for a is F. (Contributed
       by Jarvin Udandy, 1-Sep-2016.) $)
    aibnbaif $p |- ( ph <-> F. ) $=
      ( aibnbna bifal ) AABCDEF $.
  $}

  ${
    aiffbtbat.1 $e |- ( ph <-> ps ) $.
    aiffbtbat.2 $e |- ( T. <-> ps ) $.
    $( Given a is equivalent to b, T. is equivalent to b. there exists a proof
       for a is equivalent to T. (Contributed by Jarvin Udandy,
       29-Aug-2016.) $)
    aiffbtbat $p |- ( ph <-> T. ) $=
      ( wtru bitr4i ) ABECDF $.
  $}

  ${
    astbstanbst.1 $e |- ( ph <-> T. ) $.
    astbstanbst.2 $e |- ( ps <-> T. ) $.
    $( Given a is equivalent to T., also given that b is equivalent to T, there
       exists a proof for a and b is equivalent to T. (Contributed by Jarvin
       Udandy, 29-Aug-2016.) $)
    astbstanbst $p |- ( ( ph /\ ps ) <-> T. ) $=
      ( wa aistia pm3.2i bitru ) ABEABACFBDFGH $.
  $}

  ${
    aistbistaandb.1 $e |- ( ph <-> T. ) $.
    aistbistaandb.2 $e |- ( ps <-> T. ) $.
    $( Given a is equivalent to T., also given that b is equivalent to T, there
       exists a proof for (a and b).  (Contributed by Jarvin Udandy,
       9-Sep-2016.) $)
    aistbistaandb $p |- ( ph /\ ps ) $=
      ( aistia pm3.2i ) ABACEBDEF $.
  $}

  ${
    aisbnaxb.1 $e |- ( ph <-> ps ) $.
    $( Given a is equivalent to b, there exists a proof for (not (a xor b)).
       (Contributed by Jarvin Udandy, 28-Aug-2016.) $)
    aisbnaxb $p |- -. ( ph \/_ ps ) $=
      ( wxo wb wn notnoti df-xor mtbir ) ABDABEZFJCGABHI $.
  $}

  $( If a implies b, then a implies not not b.  (Contributed by Jarvin Udandy,
     28-Aug-2016.) $)
  atbiffatnnb $p |- ( ( ph -> ps ) -> ( ph -> -. -. ps ) ) $=
    ( wn idd notnotb syl6ib a2i ) ABBCCZABBHABDBEFG $.

  $( Application of bicom1 with a, b swapped.  (Contributed by Jarvin Udandy,
     31-Aug-2016.) $)
  bisaiaisb $p |- ( ( ps <-> ph ) -> ( ph <-> ps ) ) $=
    ( bicom1 ) BAC $.

  $( If a implies b, then a implies not not b.  (Contributed by Jarvin Udandy,
     29-Aug-2016.) $)
  atbiffatnnbalt $p |- ( ( ph -> ps ) -> ( ph -> -. -. ps ) ) $=
    ( atbiffatnnb ) ABC $.

  ${
    abnotbtaxb.1 $e |- ph $.
    abnotbtaxb.2 $e |- -. ps $.
    $( Assuming a, not b, there exists a proof a-xor-b.)  (Contributed by
       Jarvin Udandy, 31-Aug-2016.) $)
    abnotbtaxb $p |- ( ph \/_ ps ) $=
      ( wxo wb wn wa xor3 wi pm5.1 ibibr mpbi mp2an bitri mpbir2an df-xor mpbir
      ) ABEABFGZSABGZCDSATFZATHZABIATUAUBFZCDUBUAJUBUCJATKUBUALMNOPABQR $.
  $}

  ${
    abnotataxb.1 $e |- -. ph $.
    abnotataxb.2 $e |- ps $.
    $( Assuming not a, b, there exists a proof a-xor-b.)  (Contributed by
       Jarvin Udandy, 31-Aug-2016.) $)
    abnotataxb $p |- ( ph \/_ ps ) $=
      ( wxo wb wn wa wo pm3.2i olci xor mpbir df-xor ) ABEABFGZOABGHZBAGZHZIRPB
      QDCJKABLMABNM $.
  $}

  ${
    conimpf.1 $e |- ph $.
    conimpf.2 $e |- -. ps $.
    conimpf.3 $e |- ( ph -> ps ) $.
    $( Assuming a, not b, and a implies b, there exists a proof that a is
       false.)  (Contributed by Jarvin Udandy, 28-Aug-2016.) $)
    conimpf $p |- ( ph <-> F. ) $=
      ( aibnbaif ) ABEDF $.
  $}

  ${
    conimpfalt.1 $e |- ph $.
    conimpfalt.2 $e |- -. ps $.
    conimpfalt.3 $e |- ( ph -> ps ) $.
    $( Assuming a, not b, and a implies b, there exists a proof that a is
       false.)  (Contributed by Jarvin Udandy, 29-Aug-2016.) $)
    conimpfalt $p |- ( ph <-> F. ) $=
      ( aibnbaif ) ABEDF $.
  $}

  ${
    aistbisfiaxb.1 $e |- ( ph <-> T. ) $.
    aistbisfiaxb.2 $e |- ( ps <-> F. ) $.
    $( Given a is equivalent to T., Given b is equivalent to F. there exists a
       proof for a-xor-b.  (Contributed by Jarvin Udandy, 31-Aug-2016.) $)
    aistbisfiaxb $p |- ( ph \/_ ps ) $=
      ( aistia aisfina abnotbtaxb ) ABACEBDFG $.
  $}

  ${
    aisfbistiaxb.1 $e |- ( ph <-> F. ) $.
    aisfbistiaxb.2 $e |- ( ps <-> T. ) $.
    $( Given a is equivalent to F., Given b is equivalent to T., there exists a
       proof for a-xor-b.  (Contributed by Jarvin Udandy, 31-Aug-2016.) $)
    aisfbistiaxb $p |- ( ph \/_ ps ) $=
      ( aisfina aistia abnotataxb ) ABACEBDFG $.
  $}

  ${
    aifftbifffaibif.1 $e |- ( ph <-> T. ) $.
    aifftbifffaibif.2 $e |- ( ps <-> F. ) $.
    $( Given a is equivalent to T., Given b is equivalent to F., there exists a
       proof for that a implies b is false.  (Contributed by Jarvin Udandy,
       7-Sep-2020.) $)
    aifftbifffaibif $p |- ( ( ph -> ps ) <-> F. ) $=
      ( wi wn wa aistia aisfina pm3.2i annim biimpi ax-mp bifal ) ABEZABFZGZOFZ
      APACHBDIJQRABKLMN $.
  $}

  ${
    aifftbifffaibifff.1 $e |- ( ph <-> T. ) $.
    aifftbifffaibifff.2 $e |- ( ps <-> F. ) $.
    $( Given a is equivalent to T., Given b is equivalent to F., there exists a
       proof for that a iff b is false.  (Contributed by Jarvin Udandy,
       7-Sep-2020.) $)
    aifftbifffaibifff $p |- ( ( ph <-> ps ) <-> F. ) $=
      ( wb wn wfal aistia aisfina abnotbtaxb axorbtnotaiffb nbfal biimpi ax-mp
      ) ABEZFZOGEZABABACHBDIJKPQOLMN $.
  $}

  ${
    atnaiana.1 $e |- ph $.
    $( Given a, it is not the case a implies a self contradiction.
       (Contributed by Jarvin Udandy, 7-Sep-2020.) $)
    atnaiana $p |- -. ( ph -> ( ph /\ -. ph ) ) $=
      ( wn wa wi bitru pm3.24 bifal aifftbifffaibif aisfina ) AAACDZEAKABFKAGHI
      J $.
  $}

  ${
    ainaiaandna.1 $e |- ph $.
    $( Given a, a implies it is not the case a implies a self contradiction.
       (Contributed by Jarvin Udandy, 7-Sep-2020.) $)
    ainaiaandna $p |- ( ph -> -. ( ph -> ( ph /\ -. ph ) ) ) $=
      ( wn wa wi atnaiana a1i ) AAACDECAABFG $.
  $}

  ${
    abcdta.1 $e |- ( ( ( ph /\ ps ) /\ ch ) /\ th ) $.
    $( Given (((a and b) and c) and d), there exists a proof for a.
       (Contributed by Jarvin Udandy, 3-Sep-2016.) $)
    abcdta $p |- ph $=
      ( wa simpli ) ABABFZCHCFDEGGG $.
  $}

  ${
    abcdtb.1 $e |- ( ( ( ph /\ ps ) /\ ch ) /\ th ) $.
    $( Given (((a and b) and c) and d), there exists a proof for b.
       (Contributed by Jarvin Udandy, 3-Sep-2016.) $)
    abcdtb $p |- ps $=
      ( wa simpli simpri ) ABABFZCICFDEGGH $.
  $}

  ${
    abcdtc.1 $e |- ( ( ( ph /\ ps ) /\ ch ) /\ th ) $.
    $( Given (((a and b) and c) and d), there exists a proof for c.
       (Contributed by Jarvin Udandy, 3-Sep-2016.) $)
    abcdtc $p |- ch $=
      ( wa simpli simpri ) ABFZCICFDEGH $.
  $}

  ${
    abcdtd.1 $e |- ( ( ( ph /\ ps ) /\ ch ) /\ th ) $.
    $( Given (((a and b) and c) and d), there exists a proof for d.
       (Contributed by Jarvin Udandy, 3-Sep-2016.) $)
    abcdtd $p |- th $=
      ( wa simpri ) ABFCFDEG $.
  $}

  $( Operands in a biconditional expression converted negated.  Additionally
     biconditional converted to show antecedent implies sequent.  Closed form.
     (Contributed by Jarvin Udandy, 7-Sep-2020.) $)
  abciffcbatnabciffncba $p |- ( -. ( ( ph /\ ps ) /\ ch ) -> -. ( ( ch /\
ps ) /\ ph ) ) $=
    ( wa wn wb an31 notbi biimpi ax-mp ) ABDCDZEZCBDADZEZKMFZLNFZABCGOPKMHIJI
    $.

  ${
    abciffcbatnabciffncbai.1 $e |- ( ( ( ph /\ ps ) /\ ch ) <-> ( ( ch /\ ps )
/\ ph ) ) $.
    $( Operands in a biconditional expression converted negated.  Additionally
       biconditional converted to show antecedent implies sequent.
       (Contributed by Jarvin Udandy, 7-Sep-2020.) $)
    abciffcbatnabciffncbai $p |- ( -. ( ( ph /\ ps ) /\ ch ) -> -. ( ( ch /\ ps
 ) /\ ph ) ) $=
      ( wa wn wb notbi biimpi ax-mp ) ABECEZFZCBEAEZFZKMGZLNGZDOPKMHIJI $.
  $}

  ${
    nabctnabc.1 $e |- -. ( ph -> ( ps /\ ch ) ) $.
    $( not ( a -> ( b /\ c ) ) we can show: not a implies ( b /\ c ).
       (Contributed by Jarvin Udandy, 7-Sep-2020.) $)
    nabctnabc $p |- ( -. ph -> ( ps /\ ch ) ) $=
      ( wn wa wb wi pm4.61 biimpi ax-mp simpli simpri 2th bicom con3i notnotrd
      ) AEBCFZREZASAASGZSAGZASASARHEZASFZDUBUCARIJKZLASUDMNTUAASOJKJPQ $.
  $}

  ${
    jabtaib.1 $e |- ( ph /\ ps ) $.
    $( For when pm3.4 lacks a pm3.4i.  (Contributed by Jarvin Udandy,
       9-Sep-2020.) $)
    jabtaib $p |- ( ph -> ps ) $=
      ( wa wi pm3.4 ax-mp ) ABDABECABFG $.
  $}

  ${
    onenotinotbothi.1 $e |- -. ( ph -> ps ) $.
    $( From one negated implication it is not the case its nonnegated form and
       a random others are both true.  (Contributed by Jarvin Udandy,
       11-Sep-2020.) $)
    onenotinotbothi $p |- -. ( ( ph -> ps ) /\ ( ch -> th ) ) $=
      ( wi wn wo wa orci pm3.14 ax-mp ) ABFZGZCDFZGZHMOIGNPEJMOKL $.
  $}

  ${
    twonotinotbothi.1 $e |- -. ( ph -> ps ) $.
    twonotinotbothi.2 $e |- -. ( ch -> th ) $.
    $( From these two negated implications it is not the case their nonnegated
       forms are both true.  (Contributed by Jarvin Udandy, 11-Sep-2020.) $)
    twonotinotbothi $p |- -. ( ( ph -> ps ) /\ ( ch -> th ) ) $=
      ( wi wn wo wa orci pm3.14 ax-mp ) ABGZHZCDGZHZINPJHOQEKNPLM $.
  $}

  ${
    clifte.1 $e |- ( ph /\ -. ch ) $.
    clifte.2 $e |- th $.
    $( show d is the same as an if-else involving a,b.  (Contributed by Jarvin
       Udandy, 20-Sep-2020.) $)
    clifte $p |- ( th <-> ( ( ph /\ -. ch ) \/ ( ps /\ ch ) ) ) $=
      ( wn wa wo orci 2th ) DACGHZBCHZIFLMEJK $.
  $}

  ${
    cliftet.1 $e |- ( ph /\ ch ) $.
    cliftet.2 $e |- th $.
    $( show d is the same as an if-else involving a,b.  (Contributed by Jarvin
       Udandy, 20-Sep-2020.) $)
    cliftet $p |- ( th <-> ( ( ph /\ ch ) \/ ( ps /\ -. ch ) ) ) $=
      ( wa wn wo orci 2th ) DACGZBCHGZIFLMEJK $.
  $}

  ${
    clifteta.1 $e |- ( ( ph /\ -. ch ) \/ ( ps /\ ch ) ) $.
    clifteta.2 $e |- th $.
    $( show d is the same as an if-else involving a,b.  (Contributed by Jarvin
       Udandy, 20-Sep-2020.) $)
    clifteta $p |- ( th <-> ( ( ph /\ -. ch ) \/ ( ps /\ ch ) ) ) $=
      ( wn wa wo 2th ) DACGHBCHIFEJ $.
  $}

  ${
    cliftetb.1 $e |- ( ( ph /\ ch ) \/ ( ps /\ -. ch ) ) $.
    cliftetb.2 $e |- th $.
    $( show d is the same as an if-else involving a,b.  (Contributed by Jarvin
       Udandy, 20-Sep-2020.) $)
    cliftetb $p |- ( th <-> ( ( ph /\ ch ) \/ ( ps /\ -. ch ) ) ) $=
      ( wa wn wo 2th ) DACGBCHGIFEJ $.
  $}

  ${
    confun.1 $e |- ph $.
    confun.2 $e |- ( ch -> ps ) $.
    confun.3 $e |- ( ch -> th ) $.
    confun.4 $e |- ( ph -> ( ph -> ps ) ) $.
    $( Given the hypotheses there exists a proof for (c implies ( d iff a ) ).
       (Contributed by Jarvin Udandy, 6-Sep-2020.) $)
    confun $p |- ( ch -> ( th <-> ph ) ) $=
      ( ax-1 wi a1i impbid ax-mp impbii sylibr bitrd ) CDCACDCCDICDJCGKLCCACAJC
      CBAFABAABJEHMABAJEABIMNOKCAILP $.
  $}

  ${
    confun2.1 $e |- ( ps -> ph ) $.
    confun2.2 $e |- ( ps -> -. ( ps -> ( ps /\ -. ps ) ) ) $.
    confun2.3 $e |- ( ( ps -> ph ) -> ( ( ps -> ph ) -> ph ) ) $.
    $( Confun simplified to two propositions.  (Contributed by Jarvin Udandy,
       6-Sep-2020.) $)
    confun2 $p |- ( ps -> ( -. ( ps -> ( ps /\ -. ps ) ) <-> ( ps -> ph ) ) )
$=
      ( wi wn wa confun ) BAFABBBBGHFGCCDEI $.
  $}

  ${
    confun3.1 $e |- ( ph <-> ( ch -> ps ) ) $.
    confun3.2 $e |- ( th <-> -. ( ch -> ( ch /\ -. ch ) ) ) $.
    confun3.3 $e |- ( ch -> ps ) $.
    confun3.4 $e |- ( ch -> -. ( ch -> ( ch /\ -. ch ) ) ) $.
    confun3.5 $e |- ( ( ch -> ps ) -> ( ( ch -> ps ) -> ps ) ) $.
    $( Confun's more complex form where both a,d have been "defined".
       (Contributed by Jarvin Udandy, 6-Sep-2020.) $)
    confun3 $p |- ( ch -> ( -. ( ch -> ( ch /\ -. ch ) ) <-> ( ch -> ps ) ) )
$=
      ( wi wn wa confun ) CBJBCCCCKLJKGGHIM $.
  $}

  ${
    confun4.1 $e |- ph $.
    confun4.2 $e |- ( ( ph -> ps ) -> ps ) $.
    confun4.3 $e |- ( ps -> ( ph -> ch ) ) $.
    confun4.4 $e |- ( ( ch -> th ) -> ( ( ph -> th ) <-> ps ) ) $.
    confun4.5 $e |- ( ta <-> ( ch -> th ) ) $.
    confun4.6 $e |- ( et <-> -. ( ch -> ( ch /\ -. ch ) ) ) $.
    confun4.7 $e |- ps $.
    confun4.8 $e |- ( ch -> th ) $.
    $( An attempt at derivative.  Resisted simplest path to a proof.
       (Contributed by Jarvin Udandy, 6-Sep-2020.) $)
    confun4 $p |- ( ch -> ( ps -> ta ) ) $=
      ( wi wa ax-mp wb pm3.2i pm3.4 bicom1 biimpi ) CBEOZPCUCOCUCACGBACOMIQQBEP
      UCBEMCDOZENUDEEUDRUDERKEUDUAQUBQSBETQSCUCTQ $.
  $}

  ${
    confun5.1 $e |- ph $.
    confun5.2 $e |- ( ( ph -> ps ) -> ps ) $.
    confun5.3 $e |- ( ps -> ( ph -> ch ) ) $.
    confun5.4 $e |- ( ( ch -> th ) -> ( ( ph -> th ) <-> ps ) ) $.
    confun5.5 $e |- ( ta <-> ( ch -> th ) ) $.
    confun5.6 $e |- ( et <-> -. ( ch -> ( ch /\ -. ch ) ) ) $.
    confun5.7 $e |- ps $.
    confun5.8 $e |- ( ch -> th ) $.
    $( An attempt at derivative.  Resisted simplest path to a proof.
       Interesting that ch, th, ta, et were all provable.  (Contributed by
       Jarvin Udandy, 7-Sep-2020.) $)
    confun5 $p |- ( ch -> ( et <-> ta ) ) $=
      ( wb wi wn ax-mp bicom1 biimpi wa atnaiana 2th ax-1 ) FEOZCUEPFECCCQUAPQZ
      FCACGBACPMIRRUBUFFFUFOUFFOLFUFSRTRCDPZENUGEEUGOUGEOKEUGSRTRUCUECUDR $.
  $}

  ${
    plcofph.1 $e |- ( ch <-> ( ( ( ( ph /\ ps ) <-> ph ) -> ( ph /\ -. ( ph /\
-. ph ) ) ) /\ ( ph /\ -. ( ph /\ -. ph ) ) ) ) $.
    plcofph.2 $e |- ph $.
    plcofph.3 $e |- ps $.
    $( Given, a,b and a "definition" for c, c is demonstrated.  (Contributed by
       Jarvin Udandy, 8-Sep-2020.) $)
    plcofph $p |- ch $=
      ( wa wb wn wi pm3.24 pm3.2i a1i bicomi biimpi ax-mp ) ABGAHZAAAIGIZGZJZSG
      ZCTSSQAREAKLZMUBLUACCUADNOP $.
  $}

  ${
    pldofph.1 $e |- ( ta <-> ( ( ch -> th ) /\ ( ph <-> ch ) /\ ( ( ph -> ps )
-> ( ps <-> th ) ) ) ) $.
    pldofph.2 $e |- ph $.
    pldofph.3 $e |- ps $.
    pldofph.4 $e |- ch $.
    pldofph.5 $e |- th $.
    $( Given, a,b c, d, "definition" for e, e is demonstrated.  (Contributed by
       Jarvin Udandy, 8-Sep-2020.) $)
    pldofph $p |- ta $=
      ( wi wb w3a a1i 2th 3pm3.2i bicomi biimpi ax-mp ) CDKZACLZABKZBDLZKZMZETU
      AUDDCJNACGIOUCUBBDHJONPUEEEUEFQRS $.
  $}

  ${
    plvcofph.1 $e |- ( ch <-> ( ( ( ( ph /\ ps ) <-> ph ) -> ( ph /\ -. ( ph /\
 -. ph ) ) ) /\ ( ph /\ -. ( ph /\ -. ph ) ) ) ) $.
    plvcofph.2 $e |- ( ta <-> ( ( ch -> th ) /\ ( ph <-> ch ) /\ ( ( ph -> ps )
 -> ( ps <-> th ) ) ) ) $.
    plvcofph.3 $e |- ( et <-> ( ch /\ ta ) ) $.
    plvcofph.4 $e |- ph $.
    plvcofph.5 $e |- ps $.
    plvcofph.6 $e |- th $.
    $( Given, a,b,d, and "definitions" for c, e, f: f is demonstrated.
       (Contributed by Jarvin Udandy, 8-Sep-2020.) $)
    plvcofph $p |- et $=
      ( wa plcofph pldofph pm3.2i bicomi biimpi ax-mp ) CEMZFCEABCGJKNZABCDEHJK
      UALOPTFFTIQRS $.
  $}

  ${
    plvcofphax.1 $e |- ( ch <-> ( ( ( ( ph /\ ps ) <-> ph ) -> ( ph /\ -. ( ph
/\ -. ph ) ) ) /\ ( ph /\ -. ( ph /\ -. ph ) ) ) ) $.
    plvcofphax.2 $e |- ( ta <-> ( ( ch -> th ) /\ ( ph <-> ch ) /\ ( ( ph -> ps
 ) -> ( ps <-> th ) ) ) ) $.
    plvcofphax.3 $e |- ( et <-> ( ch /\ ta ) ) $.
    plvcofphax.4 $e |- ph $.
    plvcofphax.5 $e |- ps $.
    plvcofphax.6 $e |- th $.
    plvcofphax.7 $e |- ( ze <-> -. ( ps /\ -. ta ) ) $.
    $( Given, a,b,d, and "definitions" for c, e, f, g: g is demonstrated.
       (Contributed by Jarvin Udandy, 8-Sep-2020.) $)
    plvcofphax $p |- ze $=
      ( wn wa wi plcofph ax-mp biimpi pldofph pm3.2i pm3.4 iman bicomi ) BEOPOZ
      GBEQZUFBEPUGBELABCDEIKLABCHKLRMUAUBBEUCSUGUFBEUDTSUFGGUFNUETS $.
  $}

  ${
    plvofpos.1 $e |- ( ch <-> ( -. ph /\ -. ps ) ) $.
    plvofpos.2 $e |- ( th <-> ( -. ph /\ ps ) ) $.
    plvofpos.3 $e |- ( ta <-> ( ph /\ -. ps ) ) $.
    plvofpos.4 $e |- ( et <-> ( ph /\ ps ) ) $.
    plvofpos.5 $e |- ( ze <-> ( ( ( ( ( -. ( ( mu -> ch ) /\ ( mu -> th ) ) /\
 -. ( ( mu -> ch ) /\ ( mu -> ta ) ) ) /\
 -. ( ( mu -> ch ) /\ ( ch -> et ) ) ) /\
 -. ( ( mu -> th ) /\ ( mu -> ta ) ) ) /\
 -. ( ( mu -> th ) /\ ( mu -> et ) ) ) /\
 -. ( ( mu -> ta ) /\ ( mu -> et ) ) ) ) $.
    plvofpos.6 $e |- ( si <-> ( ( ( mu -> ch ) \/ ( mu -> th ) ) \/
( ( mu -> ta ) \/ ( mu -> et ) ) ) ) $.
    plvofpos.7 $e |- ( rh <-> ( ze /\ si ) ) $.
    plvofpos.8 $e |- ze $.
    plvofpos.9 $e |- si $.
    $( rh is derivable because ONLY one of ch, th, ta, et is implied by mu.
       (Contributed by Jarvin Udandy, 11-Sep-2020.) $)
    plvofpos $p |- rh $=
      ( wa pm3.2i bicomi biimpi ax-mp ) GHTZIGHRSUAUEIIUEQUBUCUD $.
  $}

  $(
    The dandysum binary to decimal equivalence table.
    Please note the differences! In binary 0100 would normally be the value of
    '4' in Decimal.
        Here it is '2' in Decimal.

        1111 = is 15 in Decimal
        0111 = is 14 in Decimal
        1011 = is 13 in Decimal
        0011 = is 12 in Decimal
        1101 = is 11 in Decimal
        0101 = is 10 in Decimal
        1001 = is 9 in Decimal
        0001 = is 8 in Decimal
        1110 = is 7 in Decimal
        0110 = is 6 in Decimal
        1010 = is 5 in Decimal
        0010 = is 4 in Decimal
        1100 = is 3 in Decimal
        0100 = is 2 in Decimal
        1000 = is 1 in Decimal
        0000 = is 0 in Decimal
  $)

  ${
    mdandyv0.1 $e |- ( ph <-> F. ) $.
    mdandyv0.2 $e |- ( ps <-> T. ) $.
    mdandyv0.3 $e |- ( ch <-> F. ) $.
    mdandyv0.4 $e |- ( th <-> F. ) $.
    mdandyv0.5 $e |- ( ta <-> F. ) $.
    mdandyv0.6 $e |- ( et <-> F. ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ph, ps accordingly.  (Contributed by Jarvin Udandy,
       6-Sep-2016.) $)
    mdandyv0 $p |- ( ( ( ( ch <-> ph ) /\ ( th <-> ph ) ) /\ ( ta <-> ph ) ) /\
                     ( et <-> ph ) ) $=
      ( wb wa bothfbothsame pm3.2i ) CAMZDAMZNZEAMZNFAMSTQRCAIGODAJGOPEAKGOPFAL
      GOP $.
  $}

  ${
    mdandyv1.1 $e |- ( ph <-> F. ) $.
    mdandyv1.2 $e |- ( ps <-> T. ) $.
    mdandyv1.3 $e |- ( ch <-> T. ) $.
    mdandyv1.4 $e |- ( th <-> F. ) $.
    mdandyv1.5 $e |- ( ta <-> F. ) $.
    mdandyv1.6 $e |- ( et <-> F. ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ph, ps accordingly.  (Contributed by Jarvin Udandy,
       6-Sep-2016.) $)
    mdandyv1 $p |- ( ( ( ( ch <-> ps ) /\ ( th <-> ph ) ) /\ ( ta <-> ph ) ) /\
                     ( et <-> ph ) ) $=
      ( wb wa bothtbothsame bothfbothsame pm3.2i ) CBMZDAMZNZEAMZNFAMTUARSCBIHO
      DAJGPQEAKGPQFALGPQ $.
  $}

  ${
    mdandyv2.1 $e |- ( ph <-> F. ) $.
    mdandyv2.2 $e |- ( ps <-> T. ) $.
    mdandyv2.3 $e |- ( ch <-> F. ) $.
    mdandyv2.4 $e |- ( th <-> T. ) $.
    mdandyv2.5 $e |- ( ta <-> F. ) $.
    mdandyv2.6 $e |- ( et <-> F. ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ph, ps accordingly.  (Contributed by Jarvin Udandy,
       6-Sep-2016.) $)
    mdandyv2 $p |- ( ( ( ( ch <-> ph ) /\ ( th <-> ps ) ) /\ ( ta <-> ph ) ) /\
                     ( et <-> ph ) ) $=
      ( wb wa bothfbothsame bothtbothsame pm3.2i ) CAMZDBMZNZEAMZNFAMTUARSCAIGO
      DBJHPQEAKGOQFALGOQ $.
  $}

  ${
    mdandyv3.1 $e |- ( ph <-> F. ) $.
    mdandyv3.2 $e |- ( ps <-> T. ) $.
    mdandyv3.3 $e |- ( ch <-> T. ) $.
    mdandyv3.4 $e |- ( th <-> T. ) $.
    mdandyv3.5 $e |- ( ta <-> F. ) $.
    mdandyv3.6 $e |- ( et <-> F. ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ph, ps accordingly.  (Contributed by Jarvin Udandy,
       6-Sep-2016.) $)
    mdandyv3 $p |- ( ( ( ( ch <-> ps ) /\ ( th <-> ps ) ) /\ ( ta <-> ph ) ) /\
                     ( et <-> ph ) ) $=
      ( wb wa bothtbothsame pm3.2i bothfbothsame ) CBMZDBMZNZEAMZNFAMTUARSCBIHO
      DBJHOPEAKGQPFALGQP $.
  $}

  ${
    mdandyv4.1 $e |- ( ph <-> F. ) $.
    mdandyv4.2 $e |- ( ps <-> T. ) $.
    mdandyv4.3 $e |- ( ch <-> F. ) $.
    mdandyv4.4 $e |- ( th <-> F. ) $.
    mdandyv4.5 $e |- ( ta <-> T. ) $.
    mdandyv4.6 $e |- ( et <-> F. ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ph, ps accordingly.  (Contributed by Jarvin Udandy,
       6-Sep-2016.) $)
    mdandyv4 $p |- ( ( ( ( ch <-> ph ) /\ ( th <-> ph ) ) /\
( ta <-> ps ) ) /\
( et <-> ph ) )
$=
      ( wb wa bothfbothsame pm3.2i bothtbothsame ) CAMZDAMZNZEBMZNFAMTUARSCAIGO
      DAJGOPEBKHQPFALGOP $.
  $}

  ${
    mdandyv5.1 $e |- ( ph <-> F. ) $.
    mdandyv5.2 $e |- ( ps <-> T. ) $.
    mdandyv5.3 $e |- ( ch <-> T. ) $.
    mdandyv5.4 $e |- ( th <-> F. ) $.
    mdandyv5.5 $e |- ( ta <-> T. ) $.
    mdandyv5.6 $e |- ( et <-> F. ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ph, ps accordingly.  (Contributed by Jarvin Udandy,
       6-Sep-2016.) $)
    mdandyv5 $p |- ( ( ( ( ch <-> ps ) /\ ( th <-> ph ) ) /\
( ta <-> ps ) ) /\
( et <-> ph ) )
$=
      ( wb wa bothtbothsame bothfbothsame pm3.2i ) CBMZDAMZNZEBMZNFAMTUARSCBIHO
      DAJGPQEBKHOQFALGPQ $.
  $}

  ${
    mdandyv6.1 $e |- ( ph <-> F. ) $.
    mdandyv6.2 $e |- ( ps <-> T. ) $.
    mdandyv6.3 $e |- ( ch <-> F. ) $.
    mdandyv6.4 $e |- ( th <-> T. ) $.
    mdandyv6.5 $e |- ( ta <-> T. ) $.
    mdandyv6.6 $e |- ( et <-> F. ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ph, ps accordingly.  (Contributed by Jarvin Udandy,
       6-Sep-2016.) $)
    mdandyv6 $p |- ( ( ( ( ch <-> ph ) /\ ( th <-> ps ) ) /\
( ta <-> ps ) ) /\
( et <-> ph ) )
$=
      ( wb wa bothfbothsame bothtbothsame pm3.2i ) CAMZDBMZNZEBMZNFAMTUARSCAIGO
      DBJHPQEBKHPQFALGOQ $.
  $}

  ${
    mdandyv7.1 $e |- ( ph <-> F. ) $.
    mdandyv7.2 $e |- ( ps <-> T. ) $.
    mdandyv7.3 $e |- ( ch <-> T. ) $.
    mdandyv7.4 $e |- ( th <-> T. ) $.
    mdandyv7.5 $e |- ( ta <-> T. ) $.
    mdandyv7.6 $e |- ( et <-> F. ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ph, ps accordingly.  (Contributed by Jarvin Udandy,
       6-Sep-2016.) $)
    mdandyv7 $p |- ( ( ( ( ch <-> ps ) /\ ( th <-> ps ) ) /\
( ta <-> ps ) ) /\
( et <-> ph ) )
$=
      ( wb wa bothtbothsame pm3.2i bothfbothsame ) CBMZDBMZNZEBMZNFAMTUARSCBIHO
      DBJHOPEBKHOPFALGQP $.
  $}

  ${
    mdandyv8.1 $e |- ( ph <-> F. ) $.
    mdandyv8.2 $e |- ( ps <-> T. ) $.
    mdandyv8.3 $e |- ( ch <-> F. ) $.
    mdandyv8.4 $e |- ( th <-> F. ) $.
    mdandyv8.5 $e |- ( ta <-> F. ) $.
    mdandyv8.6 $e |- ( et <-> T. ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ph, ps accordingly.  (Contributed by Jarvin Udandy,
       6-Sep-2016.) $)
    mdandyv8 $p |- ( ( ( ( ch <-> ph ) /\ ( th <-> ph ) ) /\
( ta <-> ph ) ) /\
( et <-> ps ) )
$=
      ( wb wa bothfbothsame pm3.2i bothtbothsame ) CAMZDAMZNZEAMZNFBMTUARSCAIGO
      DAJGOPEAKGOPFBLHQP $.
  $}

  ${
    mdandyv9.1 $e |- ( ph <-> F. ) $.
    mdandyv9.2 $e |- ( ps <-> T. ) $.
    mdandyv9.3 $e |- ( ch <-> T. ) $.
    mdandyv9.4 $e |- ( th <-> F. ) $.
    mdandyv9.5 $e |- ( ta <-> F. ) $.
    mdandyv9.6 $e |- ( et <-> T. ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ph, ps accordingly.  (Contributed by Jarvin Udandy,
       6-Sep-2016.) $)
    mdandyv9 $p |- ( ( ( ( ch <-> ps ) /\ ( th <-> ph ) ) /\
( ta <-> ph ) ) /\
( et <-> ps ) )
$=
      ( wb wa bothtbothsame bothfbothsame pm3.2i ) CBMZDAMZNZEAMZNFBMTUARSCBIHO
      DAJGPQEAKGPQFBLHOQ $.
  $}

  ${
    mdandyv10.1 $e |- ( ph <-> F. ) $.
    mdandyv10.2 $e |- ( ps <-> T. ) $.
    mdandyv10.3 $e |- ( ch <-> F. ) $.
    mdandyv10.4 $e |- ( th <-> T. ) $.
    mdandyv10.5 $e |- ( ta <-> F. ) $.
    mdandyv10.6 $e |- ( et <-> T. ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ph, ps accordingly.  (Contributed by Jarvin Udandy,
       6-Sep-2016.) $)
    mdandyv10 $p |- ( ( ( ( ch <-> ph ) /\ ( th <-> ps ) ) /\
( ta <-> ph ) ) /\
( et <-> ps ) )
$=
      ( wb wa bothfbothsame bothtbothsame pm3.2i ) CAMZDBMZNZEAMZNFBMTUARSCAIGO
      DBJHPQEAKGOQFBLHPQ $.
  $}

  ${
    mdandyv11.1 $e |- ( ph <-> F. ) $.
    mdandyv11.2 $e |- ( ps <-> T. ) $.
    mdandyv11.3 $e |- ( ch <-> T. ) $.
    mdandyv11.4 $e |- ( th <-> T. ) $.
    mdandyv11.5 $e |- ( ta <-> F. ) $.
    mdandyv11.6 $e |- ( et <-> T. ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ph, ps accordingly.  (Contributed by Jarvin Udandy,
       6-Sep-2016.) $)
    mdandyv11 $p |- ( ( ( ( ch <-> ps ) /\ ( th <-> ps ) ) /\
( ta <-> ph ) ) /\
( et <-> ps ) )
$=
      ( wb wa bothtbothsame pm3.2i bothfbothsame ) CBMZDBMZNZEAMZNFBMTUARSCBIHO
      DBJHOPEAKGQPFBLHOP $.
  $}

  ${
    mdandyv12.1 $e |- ( ph <-> F. ) $.
    mdandyv12.2 $e |- ( ps <-> T. ) $.
    mdandyv12.3 $e |- ( ch <-> F. ) $.
    mdandyv12.4 $e |- ( th <-> F. ) $.
    mdandyv12.5 $e |- ( ta <-> T. ) $.
    mdandyv12.6 $e |- ( et <-> T. ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ph, ps accordingly.  (Contributed by Jarvin Udandy,
       6-Sep-2016.) $)
    mdandyv12 $p |- ( ( ( ( ch <-> ph ) /\ ( th <-> ph ) ) /\
( ta <-> ps ) ) /\
( et <-> ps ) )
$=
      ( wb wa bothfbothsame pm3.2i bothtbothsame ) CAMZDAMZNZEBMZNFBMTUARSCAIGO
      DAJGOPEBKHQPFBLHQP $.
  $}

  ${
    mdandyv13.1 $e |- ( ph <-> F. ) $.
    mdandyv13.2 $e |- ( ps <-> T. ) $.
    mdandyv13.3 $e |- ( ch <-> T. ) $.
    mdandyv13.4 $e |- ( th <-> F. ) $.
    mdandyv13.5 $e |- ( ta <-> T. ) $.
    mdandyv13.6 $e |- ( et <-> T. ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ph, ps accordingly.  (Contributed by Jarvin Udandy,
       6-Sep-2016.) $)
    mdandyv13 $p |- ( ( ( ( ch <-> ps ) /\ ( th <-> ph ) ) /\
( ta <-> ps ) ) /\
( et <-> ps ) )
$=
      ( wb wa bothtbothsame bothfbothsame pm3.2i ) CBMZDAMZNZEBMZNFBMTUARSCBIHO
      DAJGPQEBKHOQFBLHOQ $.
  $}

  ${
    mdandyv14.1 $e |- ( ph <-> F. ) $.
    mdandyv14.2 $e |- ( ps <-> T. ) $.
    mdandyv14.3 $e |- ( ch <-> F. ) $.
    mdandyv14.4 $e |- ( th <-> T. ) $.
    mdandyv14.5 $e |- ( ta <-> T. ) $.
    mdandyv14.6 $e |- ( et <-> T. ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ph, ps accordingly.  (Contributed by Jarvin Udandy,
       6-Sep-2016.) $)
    mdandyv14 $p |- ( ( ( ( ch <-> ph ) /\ ( th <-> ps ) ) /\
( ta <-> ps ) ) /\
( et <-> ps ) )
$=
      ( wb wa bothfbothsame bothtbothsame pm3.2i ) CAMZDBMZNZEBMZNFBMTUARSCAIGO
      DBJHPQEBKHPQFBLHPQ $.
  $}

  ${
    mdandyv15.1 $e |- ( ph <-> F. ) $.
    mdandyv15.2 $e |- ( ps <-> T. ) $.
    mdandyv15.3 $e |- ( ch <-> T. ) $.
    mdandyv15.4 $e |- ( th <-> T. ) $.
    mdandyv15.5 $e |- ( ta <-> T. ) $.
    mdandyv15.6 $e |- ( et <-> T. ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ph, ps accordingly.  (Contributed by Jarvin Udandy,
       6-Sep-2016.) $)
    mdandyv15 $p |- ( ( ( ( ch <-> ps ) /\ ( th <-> ps ) ) /\
( ta <-> ps ) ) /\
( et <-> ps ) )
$=
      ( wb wa bothtbothsame pm3.2i ) CBMZDBMZNZEBMZNFBMSTQRCBIHODBJHOPEBKHOPFBL
      HOP $.
  $}

  ${
    mdandyvr0.1 $e |- ( ph <-> ze ) $.
    mdandyvr0.2 $e |- ( ps <-> si ) $.
    mdandyvr0.3 $e |- ( ch <-> ph ) $.
    mdandyvr0.4 $e |- ( th <-> ph ) $.
    mdandyvr0.5 $e |- ( ta <-> ph ) $.
    mdandyvr0.6 $e |- ( et <-> ph ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ze, si accordingly.  (Contributed by Jarvin Udandy,
       7-Sep-2016.) $)
    mdandyvr0 $p |- ( ( ( ( ch <-> ze ) /\ ( th <-> ze ) ) /\
( ta <-> ze ) ) /\
( et <-> ze ) )
$=
      ( wb wa bitri pm3.2i ) CGOZDGOZPZEGOZPFGOUAUBSTCAGKIQDAGLIQREAGMIQRFAGNIQ
      R $.
  $}

  ${
    mdandyvr1.1 $e |- ( ph <-> ze ) $.
    mdandyvr1.2 $e |- ( ps <-> si ) $.
    mdandyvr1.3 $e |- ( ch <-> ps ) $.
    mdandyvr1.4 $e |- ( th <-> ph ) $.
    mdandyvr1.5 $e |- ( ta <-> ph ) $.
    mdandyvr1.6 $e |- ( et <-> ph ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ze, si accordingly.  (Contributed by Jarvin Udandy,
       7-Sep-2016.) $)
    mdandyvr1 $p |- ( ( ( ( ch <-> si ) /\ ( th <-> ze ) ) /\
( ta <-> ze ) ) /\
( et <-> ze ) )
$=
      ( wb wa bitri pm3.2i ) CHOZDGOZPZEGOZPFGOUAUBSTCBHKJQDAGLIQREAGMIQRFAGNIQ
      R $.
  $}

  ${
    mdandyvr2.1 $e |- ( ph <-> ze ) $.
    mdandyvr2.2 $e |- ( ps <-> si ) $.
    mdandyvr2.3 $e |- ( ch <-> ph ) $.
    mdandyvr2.4 $e |- ( th <-> ps ) $.
    mdandyvr2.5 $e |- ( ta <-> ph ) $.
    mdandyvr2.6 $e |- ( et <-> ph ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ze, si accordingly.  (Contributed by Jarvin Udandy,
       7-Sep-2016.) $)
    mdandyvr2 $p |- ( ( ( ( ch <-> ze ) /\ ( th <-> si ) ) /\
( ta <-> ze ) ) /\
( et <-> ze ) )
$=
      ( wb wa bitri pm3.2i ) CGOZDHOZPZEGOZPFGOUAUBSTCAGKIQDBHLJQREAGMIQRFAGNIQ
      R $.
  $}

  ${
    mdandyvr3.1 $e |- ( ph <-> ze ) $.
    mdandyvr3.2 $e |- ( ps <-> si ) $.
    mdandyvr3.3 $e |- ( ch <-> ps ) $.
    mdandyvr3.4 $e |- ( th <-> ps ) $.
    mdandyvr3.5 $e |- ( ta <-> ph ) $.
    mdandyvr3.6 $e |- ( et <-> ph ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ze, si accordingly.  (Contributed by Jarvin Udandy,
       7-Sep-2016.) $)
    mdandyvr3 $p |- ( ( ( ( ch <-> si ) /\ ( th <-> si ) ) /\
( ta <-> ze ) ) /\
( et <-> ze ) )
$=
      ( wb wa bitri pm3.2i ) CHOZDHOZPZEGOZPFGOUAUBSTCBHKJQDBHLJQREAGMIQRFAGNIQ
      R $.
  $}

  ${
    mdandyvr4.1 $e |- ( ph <-> ze ) $.
    mdandyvr4.2 $e |- ( ps <-> si ) $.
    mdandyvr4.3 $e |- ( ch <-> ph ) $.
    mdandyvr4.4 $e |- ( th <-> ph ) $.
    mdandyvr4.5 $e |- ( ta <-> ps ) $.
    mdandyvr4.6 $e |- ( et <-> ph ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ze, si accordingly.  (Contributed by Jarvin Udandy,
       7-Sep-2016.) $)
    mdandyvr4 $p |- ( ( ( ( ch <-> ze ) /\ ( th <-> ze ) ) /\
( ta <-> si ) ) /\
( et <-> ze ) )
$=
      ( wb wa bitri pm3.2i ) CGOZDGOZPZEHOZPFGOUAUBSTCAGKIQDAGLIQREBHMJQRFAGNIQ
      R $.
  $}

  ${
    mdandyvr5.1 $e |- ( ph <-> ze ) $.
    mdandyvr5.2 $e |- ( ps <-> si ) $.
    mdandyvr5.3 $e |- ( ch <-> ps ) $.
    mdandyvr5.4 $e |- ( th <-> ph ) $.
    mdandyvr5.5 $e |- ( ta <-> ps ) $.
    mdandyvr5.6 $e |- ( et <-> ph ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ze, si accordingly.  (Contributed by Jarvin Udandy,
       7-Sep-2016.) $)
    mdandyvr5 $p |- ( ( ( ( ch <-> si ) /\ ( th <-> ze ) ) /\
( ta <-> si ) ) /\
( et <-> ze ) )
$=
      ( wb wa bitri pm3.2i ) CHOZDGOZPZEHOZPFGOUAUBSTCBHKJQDAGLIQREBHMJQRFAGNIQ
      R $.
  $}

  ${
    mdandyvr6.1 $e |- ( ph <-> ze ) $.
    mdandyvr6.2 $e |- ( ps <-> si ) $.
    mdandyvr6.3 $e |- ( ch <-> ph ) $.
    mdandyvr6.4 $e |- ( th <-> ps ) $.
    mdandyvr6.5 $e |- ( ta <-> ps ) $.
    mdandyvr6.6 $e |- ( et <-> ph ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ze, si accordingly.  (Contributed by Jarvin Udandy,
       7-Sep-2016.) $)
    mdandyvr6 $p |- ( ( ( ( ch <-> ze ) /\ ( th <-> si ) ) /\
( ta <-> si ) ) /\
( et <-> ze ) )
$=
      ( wb wa bitri pm3.2i ) CGOZDHOZPZEHOZPFGOUAUBSTCAGKIQDBHLJQREBHMJQRFAGNIQ
      R $.
  $}

  ${
    mdandyvr7.1 $e |- ( ph <-> ze ) $.
    mdandyvr7.2 $e |- ( ps <-> si ) $.
    mdandyvr7.3 $e |- ( ch <-> ps ) $.
    mdandyvr7.4 $e |- ( th <-> ps ) $.
    mdandyvr7.5 $e |- ( ta <-> ps ) $.
    mdandyvr7.6 $e |- ( et <-> ph ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ze, si accordingly.  (Contributed by Jarvin Udandy,
       7-Sep-2016.) $)
    mdandyvr7 $p |- ( ( ( ( ch <-> si ) /\ ( th <-> si ) ) /\
( ta <-> si ) ) /\
( et <-> ze ) )
$=
      ( wb wa bitri pm3.2i ) CHOZDHOZPZEHOZPFGOUAUBSTCBHKJQDBHLJQREBHMJQRFAGNIQ
      R $.
  $}

  ${
    mdandyvr8.1 $e |- ( ph <-> ze ) $.
    mdandyvr8.2 $e |- ( ps <-> si ) $.
    mdandyvr8.3 $e |- ( ch <-> ph ) $.
    mdandyvr8.4 $e |- ( th <-> ph ) $.
    mdandyvr8.5 $e |- ( ta <-> ph ) $.
    mdandyvr8.6 $e |- ( et <-> ps ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ze, si accordingly.  (Contributed by Jarvin Udandy,
       7-Sep-2016.) $)
    mdandyvr8 $p |- ( ( ( ( ch <-> ze ) /\ ( th <-> ze ) ) /\
( ta <-> ze ) ) /\
( et <-> si ) )
$=
      ( mdandyvr7 ) BACDEFHGJIKLMNO $.
  $}

  ${
    mdandyvr9.1 $e |- ( ph <-> ze ) $.
    mdandyvr9.2 $e |- ( ps <-> si ) $.
    mdandyvr9.3 $e |- ( ch <-> ps ) $.
    mdandyvr9.4 $e |- ( th <-> ph ) $.
    mdandyvr9.5 $e |- ( ta <-> ph ) $.
    mdandyvr9.6 $e |- ( et <-> ps ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ze, si accordingly.  (Contributed by Jarvin Udandy,
       7-Sep-2016.) $)
    mdandyvr9 $p |- ( ( ( ( ch <-> si ) /\ ( th <-> ze ) ) /\
( ta <-> ze ) ) /\
( et <-> si ) )
$=
      ( mdandyvr6 ) BACDEFHGJIKLMNO $.
  $}

  ${
    mdandyvr10.1 $e |- ( ph <-> ze ) $.
    mdandyvr10.2 $e |- ( ps <-> si ) $.
    mdandyvr10.3 $e |- ( ch <-> ph ) $.
    mdandyvr10.4 $e |- ( th <-> ps ) $.
    mdandyvr10.5 $e |- ( ta <-> ph ) $.
    mdandyvr10.6 $e |- ( et <-> ps ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ze, si accordingly.  (Contributed by Jarvin Udandy,
       7-Sep-2016.) $)
    mdandyvr10 $p |- ( ( ( ( ch <-> ze ) /\ ( th <-> si ) ) /\
( ta <-> ze ) ) /\
( et <-> si ) )
$=
      ( mdandyvr5 ) BACDEFHGJIKLMNO $.
  $}

  ${
    mdandyvr11.1 $e |- ( ph <-> ze ) $.
    mdandyvr11.2 $e |- ( ps <-> si ) $.
    mdandyvr11.3 $e |- ( ch <-> ps ) $.
    mdandyvr11.4 $e |- ( th <-> ps ) $.
    mdandyvr11.5 $e |- ( ta <-> ph ) $.
    mdandyvr11.6 $e |- ( et <-> ps ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ze, si accordingly.  (Contributed by Jarvin Udandy,
       7-Sep-2016.) $)
    mdandyvr11 $p |- ( ( ( ( ch <-> si ) /\ ( th <-> si ) ) /\
( ta <-> ze ) ) /\
( et <-> si ) )
$=
      ( mdandyvr4 ) BACDEFHGJIKLMNO $.
  $}

  ${
    mdandyvr12.1 $e |- ( ph <-> ze ) $.
    mdandyvr12.2 $e |- ( ps <-> si ) $.
    mdandyvr12.3 $e |- ( ch <-> ph ) $.
    mdandyvr12.4 $e |- ( th <-> ph ) $.
    mdandyvr12.5 $e |- ( ta <-> ps ) $.
    mdandyvr12.6 $e |- ( et <-> ps ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ze, si accordingly.  (Contributed by Jarvin Udandy,
       7-Sep-2016.) $)
    mdandyvr12 $p |- ( ( ( ( ch <-> ze ) /\ ( th <-> ze ) ) /\
( ta <-> si ) ) /\
( et <-> si ) )
$=
      ( mdandyvr3 ) BACDEFHGJIKLMNO $.
  $}

  ${
    mdandyvr13.1 $e |- ( ph <-> ze ) $.
    mdandyvr13.2 $e |- ( ps <-> si ) $.
    mdandyvr13.3 $e |- ( ch <-> ps ) $.
    mdandyvr13.4 $e |- ( th <-> ph ) $.
    mdandyvr13.5 $e |- ( ta <-> ps ) $.
    mdandyvr13.6 $e |- ( et <-> ps ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ze, si accordingly.  (Contributed by Jarvin Udandy,
       7-Sep-2016.) $)
    mdandyvr13 $p |- ( ( ( ( ch <-> si ) /\ ( th <-> ze ) ) /\
( ta <-> si ) ) /\
( et <-> si ) )
$=
      ( mdandyvr2 ) BACDEFHGJIKLMNO $.
  $}

  ${
    mdandyvr14.1 $e |- ( ph <-> ze ) $.
    mdandyvr14.2 $e |- ( ps <-> si ) $.
    mdandyvr14.3 $e |- ( ch <-> ph ) $.
    mdandyvr14.4 $e |- ( th <-> ps ) $.
    mdandyvr14.5 $e |- ( ta <-> ps ) $.
    mdandyvr14.6 $e |- ( et <-> ps ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ze, si accordingly.  (Contributed by Jarvin Udandy,
       7-Sep-2016.) $)
    mdandyvr14 $p |- ( ( ( ( ch <-> ze ) /\ ( th <-> si ) ) /\
( ta <-> si ) ) /\
( et <-> si ) )
$=
      ( mdandyvr1 ) BACDEFHGJIKLMNO $.
  $}

  ${
    mdandyvr15.1 $e |- ( ph <-> ze ) $.
    mdandyvr15.2 $e |- ( ps <-> si ) $.
    mdandyvr15.3 $e |- ( ch <-> ps ) $.
    mdandyvr15.4 $e |- ( th <-> ps ) $.
    mdandyvr15.5 $e |- ( ta <-> ps ) $.
    mdandyvr15.6 $e |- ( et <-> ps ) $.
    $( Given the equivalences set in the hypotheses, there exist a proof where
       ch, th, ta, et match ze, si accordingly.  (Contributed by Jarvin Udandy,
       7-Sep-2016.) $)
    mdandyvr15 $p |- ( ( ( ( ch <-> si ) /\ ( th <-> si ) ) /\
( ta <-> si ) ) /\
( et <-> si ) )
$=
      ( mdandyvr0 ) BACDEFHGJIKLMNO $.
  $}

  ${
    mdandyvrx0.1 $e |- ( ph \/_ ze ) $.
    mdandyvrx0.2 $e |- ( ps \/_ si ) $.
    mdandyvrx0.3 $e |- ( ch <-> ph ) $.
    mdandyvrx0.4 $e |- ( th <-> ph ) $.
    mdandyvrx0.5 $e |- ( ta <-> ph ) $.
    mdandyvrx0.6 $e |- ( et <-> ph ) $.
    $( Given the exclusivities set in the hypotheses, there exist a proof where
       ch, th, ta, et exclude ze, si accordingly.  (Contributed by Jarvin
       Udandy, 7-Sep-2016.) $)
    mdandyvrx0 $p |- ( ( ( ( ch \/_ ze ) /\ ( th \/_ ze ) ) /\
( ta \/_ ze ) ) /\
( et \/_ ze ) )
$=
      ( wxo wa axorbciffatcxorb pm3.2i ) CGOZDGOZPZEGOZPFGOUAUBSTAGCIKQAGDILQRA
      GEIMQRAGFINQR $.
  $}

  ${
    mdandyvrx1.1 $e |- ( ph \/_ ze ) $.
    mdandyvrx1.2 $e |- ( ps \/_ si ) $.
    mdandyvrx1.3 $e |- ( ch <-> ps ) $.
    mdandyvrx1.4 $e |- ( th <-> ph ) $.
    mdandyvrx1.5 $e |- ( ta <-> ph ) $.
    mdandyvrx1.6 $e |- ( et <-> ph ) $.
    $( Given the exclusivities set in the hypotheses, there exist a proof where
       ch, th, ta, et exclude ze, si accordingly.  (Contributed by Jarvin
       Udandy, 7-Sep-2016.) $)
    mdandyvrx1 $p |- ( ( ( ( ch \/_ si ) /\ ( th \/_ ze ) ) /\
( ta \/_ ze ) ) /\
( et \/_ ze ) )
$=
      ( wxo wa axorbciffatcxorb pm3.2i ) CHOZDGOZPZEGOZPFGOUAUBSTBHCJKQAGDILQRA
      GEIMQRAGFINQR $.
  $}

  ${
    mdandyvrx2.1 $e |- ( ph \/_ ze ) $.
    mdandyvrx2.2 $e |- ( ps \/_ si ) $.
    mdandyvrx2.3 $e |- ( ch <-> ph ) $.
    mdandyvrx2.4 $e |- ( th <-> ps ) $.
    mdandyvrx2.5 $e |- ( ta <-> ph ) $.
    mdandyvrx2.6 $e |- ( et <-> ph ) $.
    $( Given the exclusivities set in the hypotheses, there exist a proof where
       ch, th, ta, et exclude ze, si accordingly.  (Contributed by Jarvin
       Udandy, 7-Sep-2016.) $)
    mdandyvrx2 $p |- ( ( ( ( ch \/_ ze ) /\ ( th \/_ si ) ) /\
( ta \/_ ze ) ) /\
( et \/_ ze ) )
$=
      ( wxo wa axorbciffatcxorb pm3.2i ) CGOZDHOZPZEGOZPFGOUAUBSTAGCIKQBHDJLQRA
      GEIMQRAGFINQR $.
  $}

  ${
    mdandyvrx3.1 $e |- ( ph \/_ ze ) $.
    mdandyvrx3.2 $e |- ( ps \/_ si ) $.
    mdandyvrx3.3 $e |- ( ch <-> ps ) $.
    mdandyvrx3.4 $e |- ( th <-> ps ) $.
    mdandyvrx3.5 $e |- ( ta <-> ph ) $.
    mdandyvrx3.6 $e |- ( et <-> ph ) $.
    $( Given the exclusivities set in the hypotheses, there exist a proof where
       ch, th, ta, et exclude ze, si accordingly.  (Contributed by Jarvin
       Udandy, 7-Sep-2016.) $)
    mdandyvrx3 $p |- ( ( ( ( ch \/_ si ) /\ ( th \/_ si ) ) /\
( ta \/_ ze ) ) /\
( et \/_ ze ) )
$=
      ( wxo wa axorbciffatcxorb pm3.2i ) CHOZDHOZPZEGOZPFGOUAUBSTBHCJKQBHDJLQRA
      GEIMQRAGFINQR $.
  $}

  ${
    mdandyvrx4.1 $e |- ( ph \/_ ze ) $.
    mdandyvrx4.2 $e |- ( ps \/_ si ) $.
    mdandyvrx4.3 $e |- ( ch <-> ph ) $.
    mdandyvrx4.4 $e |- ( th <-> ph ) $.
    mdandyvrx4.5 $e |- ( ta <-> ps ) $.
    mdandyvrx4.6 $e |- ( et <-> ph ) $.
    $( Given the exclusivities set in the hypotheses, there exist a proof where
       ch, th, ta, et exclude ze, si accordingly.  (Contributed by Jarvin
       Udandy, 7-Sep-2016.) $)
    mdandyvrx4 $p |- ( ( ( ( ch \/_ ze ) /\ ( th \/_ ze ) ) /\
( ta \/_ si ) ) /\
( et \/_ ze ) )
$=
      ( wxo wa axorbciffatcxorb pm3.2i ) CGOZDGOZPZEHOZPFGOUAUBSTAGCIKQAGDILQRB
      HEJMQRAGFINQR $.
  $}

  ${
    mdandyvrx5.1 $e |- ( ph \/_ ze ) $.
    mdandyvrx5.2 $e |- ( ps \/_ si ) $.
    mdandyvrx5.3 $e |- ( ch <-> ps ) $.
    mdandyvrx5.4 $e |- ( th <-> ph ) $.
    mdandyvrx5.5 $e |- ( ta <-> ps ) $.
    mdandyvrx5.6 $e |- ( et <-> ph ) $.
    $( Given the exclusivities set in the hypotheses, there exist a proof where
       ch, th, ta, et exclude ze, si accordingly.  (Contributed by Jarvin
       Udandy, 7-Sep-2016.) $)
    mdandyvrx5 $p |- ( ( ( ( ch \/_ si ) /\ ( th \/_ ze ) ) /\
( ta \/_ si ) ) /\
( et \/_ ze ) )
$=
      ( wxo wa axorbciffatcxorb pm3.2i ) CHOZDGOZPZEHOZPFGOUAUBSTBHCJKQAGDILQRB
      HEJMQRAGFINQR $.
  $}

  ${
    mdandyvrx6.1 $e |- ( ph \/_ ze ) $.
    mdandyvrx6.2 $e |- ( ps \/_ si ) $.
    mdandyvrx6.3 $e |- ( ch <-> ph ) $.
    mdandyvrx6.4 $e |- ( th <-> ps ) $.
    mdandyvrx6.5 $e |- ( ta <-> ps ) $.
    mdandyvrx6.6 $e |- ( et <-> ph ) $.
    $( Given the exclusivities set in the hypotheses, there exist a proof where
       ch, th, ta, et exclude ze, si accordingly.  (Contributed by Jarvin
       Udandy, 7-Sep-2016.) $)
    mdandyvrx6 $p |- ( ( ( ( ch \/_ ze ) /\ ( th \/_ si ) ) /\
( ta \/_ si ) ) /\
( et \/_ ze ) )
$=
      ( wxo wa axorbciffatcxorb pm3.2i ) CGOZDHOZPZEHOZPFGOUAUBSTAGCIKQBHDJLQRB
      HEJMQRAGFINQR $.
  $}

  ${
    mdandyvrx7.1 $e |- ( ph \/_ ze ) $.
    mdandyvrx7.2 $e |- ( ps \/_ si ) $.
    mdandyvrx7.3 $e |- ( ch <-> ps ) $.
    mdandyvrx7.4 $e |- ( th <-> ps ) $.
    mdandyvrx7.5 $e |- ( ta <-> ps ) $.
    mdandyvrx7.6 $e |- ( et <-> ph ) $.
    $( Given the exclusivities set in the hypotheses, there exist a proof where
       ch, th, ta, et exclude ze, si accordingly.  (Contributed by Jarvin
       Udandy, 7-Sep-2016.) $)
    mdandyvrx7 $p |- ( ( ( ( ch \/_ si ) /\ ( th \/_ si ) ) /\
( ta \/_ si ) ) /\
( et \/_ ze ) )
$=
      ( wxo wa axorbciffatcxorb pm3.2i ) CHOZDHOZPZEHOZPFGOUAUBSTBHCJKQBHDJLQRB
      HEJMQRAGFINQR $.
  $}

  ${
    mdandyvrx8.1 $e |- ( ph \/_ ze ) $.
    mdandyvrx8.2 $e |- ( ps \/_ si ) $.
    mdandyvrx8.3 $e |- ( ch <-> ph ) $.
    mdandyvrx8.4 $e |- ( th <-> ph ) $.
    mdandyvrx8.5 $e |- ( ta <-> ph ) $.
    mdandyvrx8.6 $e |- ( et <-> ps ) $.
    $( Given the exclusivities set in the hypotheses, there exist a proof where
       ch, th, ta, et exclude ze, si accordingly.  (Contributed by Jarvin
       Udandy, 7-Sep-2016.) $)
    mdandyvrx8 $p |- ( ( ( ( ch \/_ ze ) /\ ( th \/_ ze ) ) /\
( ta \/_ ze ) ) /\
( et \/_ si ) )
$=
      ( mdandyvrx7 ) BACDEFHGJIKLMNO $.
  $}

  ${
    mdandyvrx9.1 $e |- ( ph \/_ ze ) $.
    mdandyvrx9.2 $e |- ( ps \/_ si ) $.
    mdandyvrx9.3 $e |- ( ch <-> ps ) $.
    mdandyvrx9.4 $e |- ( th <-> ph ) $.
    mdandyvrx9.5 $e |- ( ta <-> ph ) $.
    mdandyvrx9.6 $e |- ( et <-> ps ) $.
    $( Given the exclusivities set in the hypotheses, there exist a proof where
       ch, th, ta, et exclude ze, si accordingly.  (Contributed by Jarvin
       Udandy, 7-Sep-2016.) $)
    mdandyvrx9 $p |- ( ( ( ( ch \/_ si ) /\ ( th \/_ ze ) ) /\
( ta \/_ ze ) ) /\
( et \/_ si ) )
$=
      ( mdandyvrx6 ) BACDEFHGJIKLMNO $.
  $}

  ${
    mdandyvrx10.1 $e |- ( ph \/_ ze ) $.
    mdandyvrx10.2 $e |- ( ps \/_ si ) $.
    mdandyvrx10.3 $e |- ( ch <-> ph ) $.
    mdandyvrx10.4 $e |- ( th <-> ps ) $.
    mdandyvrx10.5 $e |- ( ta <-> ph ) $.
    mdandyvrx10.6 $e |- ( et <-> ps ) $.
    $( Given the exclusivities set in the hypotheses, there exist a proof where
       ch, th, ta, et exclude ze, si accordingly.  (Contributed by Jarvin
       Udandy, 7-Sep-2016.) $)
    mdandyvrx10 $p |- ( ( ( ( ch \/_ ze ) /\ ( th \/_ si ) ) /\
( ta \/_ ze ) ) /\
( et \/_ si ) )
$=
      ( mdandyvrx5 ) BACDEFHGJIKLMNO $.
  $}

  ${
    mdandyvrx11.1 $e |- ( ph \/_ ze ) $.
    mdandyvrx11.2 $e |- ( ps \/_ si ) $.
    mdandyvrx11.3 $e |- ( ch <-> ps ) $.
    mdandyvrx11.4 $e |- ( th <-> ps ) $.
    mdandyvrx11.5 $e |- ( ta <-> ph ) $.
    mdandyvrx11.6 $e |- ( et <-> ps ) $.
    $( Given the exclusivities set in the hypotheses, there exist a proof where
       ch, th, ta, et exclude ze, si accordingly.  (Contributed by Jarvin
       Udandy, 7-Sep-2016.) $)
    mdandyvrx11 $p |- ( ( ( ( ch \/_ si ) /\ ( th \/_ si ) ) /\
( ta \/_ ze ) ) /\
( et \/_ si ) )
$=
      ( mdandyvrx4 ) BACDEFHGJIKLMNO $.
  $}

  ${
    mdandyvrx12.1 $e |- ( ph \/_ ze ) $.
    mdandyvrx12.2 $e |- ( ps \/_ si ) $.
    mdandyvrx12.3 $e |- ( ch <-> ph ) $.
    mdandyvrx12.4 $e |- ( th <-> ph ) $.
    mdandyvrx12.5 $e |- ( ta <-> ps ) $.
    mdandyvrx12.6 $e |- ( et <-> ps ) $.
    $( Given the exclusivities set in the hypotheses, there exist a proof where
       ch, th, ta, et exclude ze, si accordingly.  (Contributed by Jarvin
       Udandy, 7-Sep-2016.) $)
    mdandyvrx12 $p |- ( ( ( ( ch \/_ ze ) /\ ( th \/_ ze ) ) /\
( ta \/_ si ) ) /\
( et \/_ si ) )
$=
      ( mdandyvrx3 ) BACDEFHGJIKLMNO $.
  $}

  ${
    mdandyvrx13.1 $e |- ( ph \/_ ze ) $.
    mdandyvrx13.2 $e |- ( ps \/_ si ) $.
    mdandyvrx13.3 $e |- ( ch <-> ps ) $.
    mdandyvrx13.4 $e |- ( th <-> ph ) $.
    mdandyvrx13.5 $e |- ( ta <-> ps ) $.
    mdandyvrx13.6 $e |- ( et <-> ps ) $.
    $( Given the exclusivities set in the hypotheses, there exist a proof where
       ch, th, ta, et exclude ze, si accordingly.  (Contributed by Jarvin
       Udandy, 7-Sep-2016.) $)
    mdandyvrx13 $p |- ( ( ( ( ch \/_ si ) /\ ( th \/_ ze ) ) /\
( ta \/_ si ) ) /\
( et \/_ si ) )
$=
      ( mdandyvrx2 ) BACDEFHGJIKLMNO $.
  $}

  ${
    mdandyvrx14.1 $e |- ( ph \/_ ze ) $.
    mdandyvrx14.2 $e |- ( ps \/_ si ) $.
    mdandyvrx14.3 $e |- ( ch <-> ph ) $.
    mdandyvrx14.4 $e |- ( th <-> ps ) $.
    mdandyvrx14.5 $e |- ( ta <-> ps ) $.
    mdandyvrx14.6 $e |- ( et <-> ps ) $.
    $( Given the exclusivities set in the hypotheses, there exist a proof where
       ch, th, ta, et exclude ze, si accordingly.  (Contributed by Jarvin
       Udandy, 7-Sep-2016.) $)
    mdandyvrx14 $p |- ( ( ( ( ch \/_ ze ) /\ ( th \/_ si ) ) /\
( ta \/_ si ) ) /\
( et \/_ si ) )
$=
      ( mdandyvrx1 ) BACDEFHGJIKLMNO $.
  $}

  ${
    mdandyvrx15.1 $e |- ( ph \/_ ze ) $.
    mdandyvrx15.2 $e |- ( ps \/_ si ) $.
    mdandyvrx15.3 $e |- ( ch <-> ps ) $.
    mdandyvrx15.4 $e |- ( th <-> ps ) $.
    mdandyvrx15.5 $e |- ( ta <-> ps ) $.
    mdandyvrx15.6 $e |- ( et <-> ps ) $.
    $( Given the exclusivities set in the hypotheses, there exist a proof where
       ch, th, ta, et exclude ze, si accordingly.  (Contributed by Jarvin
       Udandy, 7-Sep-2016.) $)
    mdandyvrx15 $p |- ( ( ( ( ch \/_ si ) /\ ( th \/_ si ) ) /\ ( ta \/_ si ) )
                     /\ ( et \/_ si ) ) $=
      ( mdandyvrx0 ) BACDEFHGJIKLMNO $.
  $}

  ${
    H15NH16TH15IH16.1 $e |- ph $.
    H15NH16TH15IH16.2 $e |- ps $.
    H15NH16TH15IH16.3 $e |- ch $.
    H15NH16TH15IH16.4 $e |- th $.
    H15NH16TH15IH16.5 $e |- ta $.
    H15NH16TH15IH16.6 $e |- et $.
    H15NH16TH15IH16.7 $e |- ze $.
    H15NH16TH15IH16.8 $e |- si $.
    H15NH16TH15IH16.9 $e |- rh $.
    H15NH16TH15IH16.10 $e |- mu $.
    H15NH16TH15IH16.11 $e |- la $.
    H15NH16TH15IH16.12 $e |- ka $.
    H15NH16TH15IH16.13 $e |- jph $.
    H15NH16TH15IH16.14 $e |- jps $.
    H15NH16TH15IH16.15 $e |- jch $.
    H15NH16TH15IH16.16 $e |- jth $.
    $( Given 15 hypotheses and a 16th hypothesis, there exists a proof the 15
       imply the 16th.  (Contributed by Jarvin Udandy, 8-Sep-2016.) $)
    H15NH16TH15IH16 $p |- ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ph /\ ps ) /\ ch )
        /\ th ) /\ ta ) /\ et ) /\ ze ) /\ si ) /\ rh ) /\ mu ) /\ la ) /\ ka )
        /\ jph ) /\ jps ) /\ jch ) -> jth ) $=
      ( wa a1i ) PABUMCUMDUMEUMFUMGUMHUMIUMJUMKUMLUMMUMNUMOUMULUN $.
  $}

  $( END MAIN SECTION
   This is the end-of the main section.
  $)

  $( BEGIN EXPERIMENTS [ Search Code: 6hFY3NX45ggpE7Hx ]
   This section of the mathbox is for experiments/works-in-progress that aren't
   officially ready, are suggested to me to try, or have a high chance of being
   removed later on.

   Self-Rule: Every theorem must have in its description that it is subject to
   modification by the author and at increased risk of being abandoned
   or removed.

   Like so:
   (Experimental! Has increased risk of ..
   abandonment/removal/modification by author.)

   This section should be at the very end of the mathbox to make full use of
   available theorems elsewhere in the mathbox.

    The order of declaring things:
    variables, wffs, constants, definitions, followed by
    broad-use-formulas, and lastly more subject-specific results.

    Occasionally grouping like-formulas
    when sensible.

    But now keep the experimental versions of all that beyond this point.
  $)

  ${
    dandysum2p2e4.a $e |- ( ph <-> ( th /\ ta ) ) $.
    dandysum2p2e4.b $e |- ( ps <-> ( et /\ ze ) ) $.
    dandysum2p2e4.c $e |- ( ch <-> ( si /\ rh ) ) $.
    dandysum2p2e4.d $e |- ( th <-> F. ) $.
    dandysum2p2e4.e $e |- ( ta <-> F. ) $.
    dandysum2p2e4.f $e |- ( et <-> T. ) $.
    dandysum2p2e4.g $e |- ( ze <-> T. ) $.
    dandysum2p2e4.h $e |- ( si <-> F. ) $.
    dandysum2p2e4.i $e |- ( rh <-> F. ) $.
    dandysum2p2e4.j $e |- ( mu <-> F. ) $.
    dandysum2p2e4.k $e |- ( la <-> F. ) $.
    dandysum2p2e4.l $e |- ( ka <-> ( ( th \/_ ta ) \/_ ( th /\ ta ) ) ) $.
    dandysum2p2e4.m $e |- ( jph <-> ( ( et \/_ ze ) \/ ph ) ) $.
    dandysum2p2e4.n $e |- ( jps <-> ( ( si \/_ rh ) \/ ps ) ) $.
    dandysum2p2e4.o $e |- ( jch <-> ( ( mu \/_ la ) \/ ch ) ) $.
    $( CONTRADICTION PROVED AT 1 + 1 = 2 .

       Given the right hypotheses we can prove a dandysum of 2+2=4.  The qed
       step is the value '4' in Decimal BEING IMPLIED by the hypotheses.

       Note:  Values that when added would exceed a 4bit value are not
       supported.

       Note:  Digits begin from left (least) to right (greatest).  E.g., 1000
       would be '1', 0100 would be '2', 0010 would be '4'.

       How to perceive the hypotheses' bits in order:  ( th <-> F. ), ( ta <->
       F. ) Would be input value X's first bit, and input value Y's first bit.

       ( et <-> F ), ( ze <-> F. ) would be input value X's second bit, and
       input value Y's second bit.  (Contributed by Jarvin Udandy,
       6-Sep-2016.) $)
    dandysum2p2e4 $p |- ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ph <-> ( th /\ ta ) )
    /\ ( ps <-> ( et /\ ze ) ) ) /\ ( ch <-> ( si /\ rh ) ) )
    /\ ( th <-> F. ) ) /\ ( ta <-> F. ) ) /\ ( et <-> T. ) ) /\ ( ze <-> T. ) )
    /\ ( si <-> F. ) ) /\ ( rh <-> F. ) ) /\ ( mu <-> F. ) ) /\ ( la <-> F. ) )
    /\ ( ka <-> ( ( th \/_ ta ) \/_ ( th /\ ta ) ) ) )
    /\ ( jph <-> ( ( et \/_ ze ) \/ ph ) ) )
    /\ ( jps <-> ( ( si \/_ rh ) \/ ps ) ) )
    /\ ( jch <-> ( ( mu \/_ la ) \/ ch ) ) )
    -> ( ( ( ( ka <-> F. ) /\ ( jph <-> F. ) ) /\ ( jps <-> T. ) )
    /\ ( jch <-> F. ) ) ) $=
      ( wfal wb wtru wxo biimpi bothfbothsame aisbnaxb aisfina notatnand 2false
      wa aibnbaif bothtbothsame mtbir pm3.2ni pm3.2i astbstanbst aiffbbtat olci
      wo aistia bitru a1i ) LUKULZMUKULZVAZNUMULZVAZOUKULZVAADEVAZULBFGVAZULVAC
      HIVAZULVADUKULVAEUKULVAFUMULVAGUMULVAHUKULVAIUKULVAJUKULVAKUKULVALDEUNZVT
      UNZULVAMFGUNZAVJZULVANHIUNZBVJZULVAOJKUNZCVJZULVAVRVSVPVQVNVOLWDLWDUGUOWC
      VTWCVTDEDESTUPUQDEDSURUSZUTUQVBMWFMWFUHUOWEAFGFGUAUBVCUQAVTWKPVDVEVBVFNWH
      UIWHBWGBBWAQFGUAUBVGVHVKVIVLVHVFOWJOWJUJUOWICJKJKUEUFUPUQCWBHIHUCURUSRVDV
      EVBVFVM $.
  $}

  ${
    mdandysum2p2e4.1 $e |- ( jth <-> F. ) $.
    mdandysum2p2e4.2 $e |- ( jta <-> T. ) $.
    mdandysum2p2e4.a $e |- ( ph <-> ( th /\ ta ) ) $.
    mdandysum2p2e4.b $e |- ( ps <-> ( et /\ ze ) ) $.
    mdandysum2p2e4.c $e |- ( ch <-> ( si /\ rh ) ) $.
    mdandysum2p2e4.d $e |- ( th <-> jth ) $.
    mdandysum2p2e4.e $e |- ( ta <-> jth ) $.
    mdandysum2p2e4.f $e |- ( et <-> jta ) $.
    mdandysum2p2e4.g $e |- ( ze <-> jta ) $.
    mdandysum2p2e4.h $e |- ( si <-> jth ) $.
    mdandysum2p2e4.i $e |- ( rh <-> jth ) $.
    mdandysum2p2e4.j $e |- ( mu <-> jth ) $.
    mdandysum2p2e4.k $e |- ( la <-> jth ) $.
    mdandysum2p2e4.l $e |- ( ka <-> ( ( th \/_ ta ) \/_ ( th /\ ta ) ) ) $.
    mdandysum2p2e4.m $e |- ( jph <-> ( ( et \/_ ze ) \/ ph ) ) $.
    mdandysum2p2e4.n $e |- ( jps <-> ( ( si \/_ rh ) \/ ps ) ) $.
    mdandysum2p2e4.o $e |- ( jch <-> ( ( mu \/_ la ) \/ ch ) ) $.
    $( CONTRADICTION PROVED AT 1 + 1 = 2 .  Luckily Mario Carneiro did a
       successful version of his own.

       See Mario's Relevant Work:  Half adder and full adder in propositional
       calculus.

       Given the right hypotheses we can prove a dandysum of 2+2=4.  The qed
       step is the value '4' in Decimal BEING IMPLIED by the hypotheses.

       Note:  Values that when added would exceed a 4bit value are not
       supported.

       Note:  Digits begin from left (least) to right (greatest).  E.g., 1000
       would be '1', 0100 would be '2'. 0010 would be '4'.

       How to perceive the hypotheses' bits in order:  ( th <-> F. ), ( ta <->
       F. ) Would be input value X's first bit, and input value Y's first bit.

       ( et <-> F. ), ( ze <-> F. ) would be input value X's second bit, and
       input value Y's second bit.

       In mdandysum2p2e4, one might imagine what jth or jta could be then do
       the math with their truths.  Also limited to the restriction jth, jta
       are having opposite truths equivalent to the stated truth constants.
       (Contributed by Jarvin Udandy, 6-Sep-2016.) $)
    mdandysum2p2e4 $p |- ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ( ph <-> ( th /\ ta ) )
    /\ ( ps <-> ( et /\ ze ) ) ) /\ ( ch <-> ( si /\ rh ) ) )
    /\ ( th <-> F. ) ) /\ ( ta <-> F. ) ) /\ ( et <-> T. ) ) /\ ( ze <-> T. ) )
    /\ ( si <-> F. ) ) /\ ( rh <-> F. ) ) /\ ( mu <-> F. ) ) /\ ( la <-> F. ) )
    /\ ( ka <-> ( ( th \/_ ta ) \/_ ( th /\ ta ) ) ) )
    /\ ( jph <-> ( ( et \/_ ze ) \/ ph ) ) )
    /\ ( jps <-> ( ( si \/_ rh ) \/ ps ) ) )
    /\ ( jch <-> ( ( mu \/_ la ) \/ ch ) ) )
    -> ( ( ( ( ka <-> F. ) /\ ( jph <-> F. ) ) /\ ( jps <-> T. ) )
    /\ ( jch <-> F. ) ) ) $=
      ( aisbbisfaisf aiffbbtat dandysum2p2e4 ) ABCDEFGHIJKLMNOTUAUBDPUCRUOEPUDR
      UOFQUESUPGQUFSUPHPUGRUOIPUHRUOJPUIRUOKPUJRUOUKULUMUNUQ $.
  $}

  $( END EXPERIMENTS
   This is the end-of the experiment section of the mathbox.
   Which should be at the end of the mathbox too.
  $)

$( (End of Jarvin Udandy's mathbox.) $)
$( End $[ set-mbox-ju.mm $] $)


$( Begin $[ set-mbox-adh.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Adhemar
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $( Replacement of a nested antecedent with an outer antecedent.  Commuted
     simplificated form of elimination of a nested antecedent.  Also holds
     intuitionistically.  Polish prefix notation:  CCCpqrCsCqr .  (Contributed
     by ADH, 10-Nov-2023.)  (Proof modification is discouraged.) $)
  adh-jarrsc $p |- ( ( ( ph -> ps ) -> ch ) -> ( th -> ( ps -> ch ) ) ) $=
    ( wi jarr ax-1 ax-mp pm2.04 ) DABECEZBCEZEZEZJDKEELMABCFLDGHDJKIH $.
  $( $j usage 'adh-jarrsc' avoids 'ax-3'; $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Minimal implicational calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Minimal implicational calculus, or intuitionistic implicational calculus, or
  positive implicational calculus, is the implicational fragment of minimal
  calculus (which is also the implicational fragment of intuitionistic calculus
  and of positive calculus).  It is sometimes called "C-pure intuitionism"
  since the letter C is used to denote implication in Polish prefix notation.
  It can be axiomatized by the inference rule of modus ponens ~ ax-mp together
  with the axioms { ~ ax-1 , ~ ax-2 } (sometimes written KS), or with
  { ~ imim1 , ~ ax-1 , ~ pm2.43 } (written B'KW), or with { ~ imim2 ,
  ~ pm2.04 , ~ ax-1 , ~ pm2.43 } (written BCKW), or with the single axiom
  ~ adh-minim , or with the single axiom ~ adh-minimp .  This section proves
  first ~ adh-minim from { ~ ax-1 , ~ ax-2 }, followed by the converse, due to
  Ivo Thomas; and then it proves ~ adh-minimp from { ~ ax-1 , ~ ax-2 }, also
  followed by the converse, also due to Ivo Thomas.

  Sources for this section are
  * Carew Arthur Meredith, _A single axiom of positive logic_, The Journal of
    Computing Systems, volume 1, issue 3, July 1953, pages 169--170;
  * Ivo Thomas, _On Meredith's sole positive axiom_, Notre Dame Journal of
    Formal Logic, volume XV, number 3, July 1974, page 477, in which the
    derivations of { ~ ax-1 , ~ ax-2 } from ~ adh-minim are shortened (compared
    to Meredith's derivations in the aforementioned paper);
  * Carew Arthur Meredith and Arthur Norman Prior, _Notes on the axiomatics of
    the propositional calculus_, Notre Dame Journal of Formal Logic, volume IV,
    number 3, July 1963, pages 171--187; and
  * the webpage
    ~ https://web.ics.purdue.edu/~~dulrich/C-pure-intuitionism-page.htm
    on Dolph Edward "Ted" Ulrich's website, where these and other single
    axioms for the minimal implicational calculus are listed.

  This entire section also holds intuitionistically.

  Users of the Polish prefix notation also often use a compact notation for
  proof derivations known as the D-notation where "D" stands for "condensed
  Detachment".  For instance, "D21" means detaching ~ ax-1 from ~ ax-2 , that
  is, using modus ponens ~ ax-mp with ~ ax-1 as minor premise and ~ ax-2 as
  major premise.  When the numbered lemmas surpass 10, dots are added between
  the numbers.  D-strings are accepted by the grammar
  Dundotted := digit | "D" Dundotted Dundotted ;
  Ddotted := digit + | "D" Ddotted "." Ddotted ;
  Dstr := Dundotted | Ddotted .

  (Contributed by BJ, 11-Apr-2021.)
  (Revised by ADH, 10-Nov-2023.)

$)

  $( A single axiom for minimal implicational calculus, due to Meredith.  Other
     single axioms of the same length are known, but it is thought to be the
     minimal length.  This is the axiom from Carew Arthur Meredith, _A single
     axiom of positive logic_, The Journal of Computing Systems, volume 1,
     issue 3, July 1953, pages 169--170.  A two-line review by Alonzo Church of
     this article can be found in The Journal of Symbolic Logic, volume 19,
     issue 2, June 1954, page 144, ~ https://doi.org/10.2307/2268914 .  Known
     as "HI-1" on Dolph Edward "Ted" Ulrich's web page.  In the next 6 lemmas
     and 3 theorems, ~ ax-1 and ~ ax-2 are derived from this single axiom in 16
     detachments (instances of ~ ax-mp ) in total.  Polish prefix notation:
     CCCpqrCsCCqCrtCqt .  (Contributed by ADH, 10-Nov-2023.) $)
  adh-minim $p |- ( ( ( ph -> ps ) -> ch ) ->
                      ( th -> ( ( ps -> ( ch -> ta ) ) -> ( ps -> ta ) ) ) ) $=
    ( wi pm2.04 adh-jarrsc ax-2 imim2 ax-mp ax-1 ) DABFCFZBCEFFZBEFZFZFZFZMDPFF
    QRNMOFZFZQNCOFZFZTBCEGUASFZUBTFMUAOFZFZUCMUABCFZFZFZUEABCUAHUGUDFZUHUEFUAUF
    OFZFZUIUANFZUKCBEGNUJFULUKFBCEINUJUAJKKUAUFOIKUGUDMJKKMUAOGKUASNJKKNMOGKQDL
    KDMPGK $.
  $( $j usage 'adh-minim' avoids 'ax-3'; $)

  $( First lemma for the derivation of ~ ax-1 and ~ ax-2 from ~ adh-minim and
     ~ ax-mp .  Polish prefix notation:  CpCCqCCrCCsCqtCstuCqu .  (Contributed
     by ADH, 10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minim-ax1-ax2-lem1 $p |- ( ph -> ( ( ps -> ( ( ch -> ( ( th ->
            ( ps -> ta ) ) -> ( th -> ta ) ) ) -> et ) ) -> ( ps -> et ) ) ) $=
    ( wze wi adh-minim ax-mp ) GDHZBHCDBEHHDEHHHZHABLFHHBFHHHGDBCEIKBLAFIJ $.

  $( Second lemma for the derivation of ~ ax-1 and ~ ax-2 from ~ adh-minim and
     ~ ax-mp .  Polish prefix notation:  CCpCCqCCrCpsCrstCpt .  (Contributed by
     ADH, 10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minim-ax1-ax2-lem2 $p |- ( ( ph -> ( ( ps ->
    ( ( ch -> ( ph -> th ) ) -> ( ch -> th ) ) ) -> ta ) ) -> ( ph -> ta ) ) $=
    ( wet wze wsi wrh wmu wla wi adh-minim-ax1-ax2-lem1 ax-mp ) FGHIGJLLIJLLLKL
    LGKLLLZABCADLLCDLLLELLAELLFGHIJKMOABCDEMN $.

  $( Third lemma for the derivation of ~ ax-1 and ~ ax-2 from ~ adh-minim and
     ~ ax-mp .  Polish prefix notation:  CCpCqrCqCsCpr .  (Contributed by ADH,
     10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minim-ax1-ax2-lem3 $p |- ( ( ph -> ( ps -> ch ) ) ->
                                          ( ps -> ( th -> ( ph -> ch ) ) ) ) $=
    ( wi adh-minim-ax1-ax2-lem1 adh-minim-ax1-ax2-lem2 ax-mp ) ABCEEZBDIACEZEED
    JEZEEBKEZEEILEIBDACKFIBDJLGH $.

  $( Fourth lemma for the derivation of ~ ax-1 and ~ ax-2 from ~ adh-minim and
     ~ ax-mp .  Polish prefix notation:  CCCpqrCCqCrsCqs .  (Contributed by
     ADH, 10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minim-ax1-ax2-lem4 $p |- ( ( ( ph -> ps ) -> ch ) ->
                                ( ( ps -> ( ch -> th ) ) -> ( ps -> th ) ) ) $=
    ( wet wze wsi wi adh-minim adh-minim-ax1-ax2-lem2 ax-mp ) ABHCHZEFLGHHFGHHH
    ZBCDHHBDHHZHHLNHABCMDILEFGNJK $.

  $( Derivation of ~ ax-1 from ~ adh-minim and ~ ax-mp .  Carew Arthur Meredith
     derived ~ ax-1 in _A single axiom of positive logic_, The Journal of
     Computing Systems, volume 1, issue 3, July 1953, pages 169--170.  However,
     here we follow the shortened derivation by Ivo Thomas, _On Meredith's sole
     positive axiom_, Notre Dame Journal of Formal Logic, volume XV, number 3,
     July 1974, page 477.  Polish prefix notation:  CpCqp .  (Contributed by
     ADH, 10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minim-ax1 $p |- ( ph -> ( ps -> ph ) ) $=
    ( wch wth wta wet wze wsi wi adh-minim-ax1-ax2-lem1 adh-minim-ax1-ax2-lem3
    adh-minim-ax1-ax2-lem4 ax-mp ) ABCDBEIIDEIIIZAIZIZBAIZIIZAQIZABCDEAJQPIZRSI
    QBFGBHIIGHIIIZOIIZPIIZTQBFGHOJNQIUBIUCTINBAUAKNQUBPLMMBAPQLMM $.

  $( Fifth lemma for the derivation of ~ ax-2 from ~ adh-minim and ~ ax-mp .
     Polish prefix notation:  CpCCCqrsCCrCstCrt .  (Contributed by ADH,
     10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minim-ax2-lem5 $p |- ( ph -> ( ( ( ps -> ch ) -> th ) ->
                              ( ( ch -> ( th -> ta ) ) -> ( ch -> ta ) ) ) ) $=
    ( wi adh-minim-ax1-ax2-lem4 adh-minim-ax1 ax-mp ) BCFDFCDEFFCEFFFZAJFBCDEGJ
    AHI $.

  $( Sixth lemma for the derivation of ~ ax-2 from ~ adh-minim and ~ ax-mp .
     Polish prefix notation:  CCpCCCCqrsCCrCstCrtuCpu .  (Contributed by ADH,
     10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minim-ax2-lem6 $p |- ( ( ph -> ( ( ( ( ps -> ch ) -> th ) ->
    ( ( ch -> ( th -> ta ) ) -> ( ch -> ta ) ) ) -> et ) ) -> ( ph -> et ) ) $=
    ( wze wi adh-minim-ax2-lem5 adh-minim-ax1-ax2-lem4 ax-mp ) GAHZBCHDHCDEHHCE
    HHHZHAMFHHAFHHLBCDEIGAMFJK $.

  $( Derivation of a commuted form of ~ ax-2 from ~ adh-minim and ~ ax-mp .
     Polish prefix notation:  CCpqCCpCqrCpr .  (Contributed by ADH,
     10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minim-ax2c $p |- ( ( ph -> ps ) ->
                                ( ( ph -> ( ps -> ch ) ) -> ( ph -> ch ) ) ) $=
    ( wth wta wet wze wsi wrh wmu wla adh-minim-ax2-lem5 adh-minim-ax1-ax2-lem4
    wi adh-minim-ax2-lem6 ax-mp ) ABNZDENFNEFGNNEGNNNZANZBNZABCNNACNNZNNZQUANZQ
    RABCLSQNTNZUBUCNHINJNIJKNNIKNNNZSNZANZUDUFUEANNUGUEDEFGAOUFHIJKAOPUESABMPSQ
    TUAMPP $.

  $( Derivation of ~ ax-2 from ~ adh-minim and ~ ax-mp .  Carew Arthur Meredith
     derived ~ ax-2 in _A single axiom of positive logic_, The Journal of
     Computing Systems, volume 1, issue 3, July 1953, pages 169--170.  However,
     here we follow the shortened derivation by Ivo Thomas, _On Meredith's sole
     positive axiom_, Notre Dame Journal of Formal Logic, volume XV, number 3,
     July 1974, page 477.  Polish prefix notation:  CCpCqrCCpqCpr .
     (Contributed by ADH, 10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minim-ax2 $p |- ( ( ph -> ( ps -> ch ) ) ->
                                          ( ( ph -> ps ) -> ( ph -> ch ) ) ) $=
    ( wth wta wi adh-minim-ax2c adh-minim-ax1-ax2-lem3 ax-mp adh-minim-ax2-lem6
    wet wze ) ABCFFZDEFKFEKLFFELFFFZABFZACFZFZFFZMQFOMPFFRABCGOMPNHIMDEKLQJI $.

  $( Derivation of ~ id (reflexivity of implication, PM *2.08 WhiteheadRussell
     p. 101) from ~ adh-minim-ax1 , ~ adh-minim-ax2 , and ~ ax-mp .  It uses
     the derivation written DD211 in D-notation.  (See head comment for an
     explanation.)  Polish prefix notation:  Cpp .  (Contributed by ADH,
     10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minim-idALT $p |- ( ph -> ph ) $=
    ( wps wi adh-minim-ax1 adh-minim-ax2 ax-mp ) ABACZCZAACZABDAGACCHICAGDAGAEF
    F $.

  $( Derivation of ~ pm2.43 WhiteheadRussell p. 106 (also called "hilbert" or
     "W") from ~ adh-minim-ax1 , ~ adh-minim-ax2 , and ~ ax-mp .  It uses the
     derivation written DD22D21 in D-notation.  (See head comment for an
     explanation.)  (Contributed by ADH, 10-Nov-2023.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  adh-minim-pm2.43 $p |- ( ( ph -> ( ph -> ps ) ) -> ( ph -> ps ) ) $=
    ( wi adh-minim-ax1 adh-minim-ax2 ax-mp ) AABCZCZAACZCZHGCZAGACCJAGDAGAEFHIG
    CCJKCAABEHIGEFF $.

  $( Another single axiom for minimal implicational calculus, due to Meredith.
     Other single axioms of the same length are known, but it is thought to be
     the minimal length.  Among single axioms of this length, it is the one
     with simplest antecedents (i.e., in the corresponding ordering of binary
     trees which first compares left subtrees, it is the first one).  Known as
     "HI-2" on Dolph Edward "Ted" Ulrich's web page.  In the next 4 lemmas and
     5 theorems, ~ ax-1 and ~ ax-2 are derived from this other single axiom in
     20 detachments (instances of ~ ax-mp ) in total.  Polish prefix notation:
     CpCCqrCCCsqCrtCqt ; or CtCCpqCCCspCqrCpr in Carew Arthur Meredith and
     Arthur Norman Prior, _Notes on the axiomatics of the propositional
     calculus_, Notre Dame Journal of Formal Logic, volume IV, number 3, July
     1963, pages 171--187, on page 180.  (Contributed by BJ, 4-Apr-2021.)
     (Revised by ADH, 10-Nov-2023.) $)
  adh-minimp $p |- ( ph ->
  ( ( ps -> ch ) -> ( ( ( th -> ps ) -> ( ch -> ta ) ) -> ( ps -> ta ) ) ) ) $=
    ( wi jarr ax-2 imim2 ax-mp pm2.04 ax-1 ) BCFZDBFCEFZFZBEFZFFZAQFOMPFZFZQOBN
    FZFZSDBNGTRFUASFBCEHTROIJJOMPKJQALJ $.
  $( $j usage 'adh-minimp' avoids 'ax-3'; $)

  $( First lemma for the derivation of ~ jarr , ~ imim1 , and a commuted form
     of ~ ax-2 , and indirectly ~ ax-1 and ~ ax-2 , from ~ adh-minimp and
     ~ ax-mp .  Polish prefix notation:  CCpqCCCrpCqsCps .  (Contributed by
     ADH, 10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minimp-jarr-imim1-ax2c-lem1 $p |- ( ( ph -> ps ) ->
                      ( ( ( ch -> ph ) -> ( ps -> th ) ) -> ( ph -> th ) ) ) $=
    ( wet wze wsi wrh wmu wi adh-minimp ax-mp ) EFGJHFJGIJJFIJJJJZABJCAJBDJJADJ
    JJEFGHIKMABCDKL $.

  $( Second lemma for the derivation of ~ jarr , and indirectly ~ ax-1 , a
     commuted form of ~ ax-2 , and ~ ax-2 proper, from ~ adh-minimp and
     ~ ax-mp .  Polish prefix notation:  CCCpqCCCrsCCCtrCsuCruvCqv .
     (Contributed by ADH, 10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minimp-jarr-lem2 $p |- ( ( ( ph -> ps ) ->
                   ( ( ( ch -> th ) -> ( ( ( ta -> ch ) -> ( th -> et ) ) ->
                                ( ch -> et ) ) ) -> ze ) ) -> ( ps -> ze ) ) $=
    ( wi adh-minimp adh-minimp-jarr-imim1-ax2c-lem1 ax-mp ) BCDHECHDFHHCFHHHZHA
    BHLGHHBGHHBCDEFIBLAGJK $.

  $( Third lemma for the derivation of ~ jarr and a commuted form of ~ ax-2 ,
     and indirectly ~ ax-1 and ~ ax-2 proper , from ~ adh-minimp and ~ ax-mp .
     Polish prefix notation:  CCCCpqCCCrpCqsCpstt .  (Contributed by ADH,
     10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minimp-jarr-ax2c-lem3 $p |- ( ( ( ( ph -> ps ) ->
      ( ( ( ch -> ph ) -> ( ps -> th ) ) -> ( ph -> th ) ) ) -> ta ) -> ta ) $=
    ( wet wze wsi wrh wmu wi adh-minimp-jarr-lem2 ax-mp ) FGHKIGKHJKKGJKKKZKZAB
    KCAKBDKKADKKKEKZKNEKKPEKFNABCDELOPGHIJELM $.

  $( Derivation of ~ jarr (also called "syll-simp") from ~ minimp and ~ ax-mp .
     Polish prefix notation:  CCCpqrCqr .  (Contributed by BJ, 4-Apr-2021.)
     (Revised by ADH, 10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minimp-sylsimp $p |- ( ( ( ph -> ps ) -> ch ) -> ( ps -> ch ) ) $=
    ( wi adh-minimp-jarr-ax2c-lem3 adh-minimp-jarr-imim1-ax2c-lem1 ax-mp
    adh-minimp-jarr-lem2 ) ABDZICDZCDZDZJBCDZDZIIDZOODODDZJDJDZLIIIIJEIQDJIDQKD
    DLDDQLDIQJKFIQJIPCLHGGJLDBJDLMDDNDDLNDJLBMFJLBJACNHGG $.

  $( Derivation of ~ ax-1 from ~ adh-minimp and ~ ax-mp .  Polish prefix
     notation:  CpCqp .  (Contributed by BJ, 4-Apr-2021.)  (Revised by ADH,
     10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minimp-ax1 $p |- ( ph -> ( ps -> ph ) ) $=
    ( wi adh-minimp-sylsimp ax-mp ) ABCZACBACZCAGCABADFAGDE $.

  $( Derivation of ~ imim1 ("left antimonotonicity of implication", theorem
     *2.06 of [WhiteheadRussell] p. 100) from ~ adh-minimp and ~ ax-mp .
     Polish prefix notation:  CCpqCCqrCpr .  (Contributed by ADH, 10-Nov-2023.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  adh-minimp-imim1 $p |- ( ( ph -> ps ) ->
                                          ( ( ps -> ch ) -> ( ph -> ch ) ) ) $=
    ( wth wrh wi adh-minimp-sylsimp adh-minimp-jarr-imim1-ax2c-lem1 ax-mp ) DAF
    ZBCFZFACFZFZKLFZFZABFZNFZJKLGEPFZOFQFZOQFPMFSABDCHPMENHIROQGII $.

  $( Derivation of a commuted form of ~ ax-2 from ~ adh-minimp and ~ ax-mp .
     Polish prefix notation:  CCpqCCpCqrCpr .  (Contributed by BJ, 4-Apr-2021.)
     (Revised by ADH, 10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minimp-ax2c $p |- ( ( ph -> ps ) ->
                                ( ( ph -> ( ps -> ch ) ) -> ( ph -> ch ) ) ) $=
    ( wth wta wet wze adh-minimp-jarr-ax2c-lem3 adh-minimp-jarr-imim1-ax2c-lem1
    wi ax-mp adh-minimp-sylsimp adh-minimp-imim1 ) DEJFDJEGJJDGJJJZAJZBCJZJZACJ
    ZJZAPJZRJZJZABJZUAJZTTJZSJUAJZUBTQJZUFOOJZTJQJZUGOAJUIDEFGAHOAOPIKUHTQLKTQT
    RIKUESUALKUCSJUBUDJABNCIUCSUAMKK $.

  $( Fourth lemma for the derivation of ~ ax-2 from ~ adh-minimp and ~ ax-mp .
     Polish prefix notation:  CpCCqCprCqr .  (Contributed by ADH, 10-Nov-2023.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  adh-minimp-ax2-lem4 $p |- ( ph -> ( ( ps ->
                                          ( ph -> ch ) ) -> ( ps -> ch ) ) ) $=
    ( wi adh-minimp-ax2c adh-minimp-sylsimp ax-mp ) BADBACDDBCDDZDAHDBACEBAHFG
    $.

  $( Derivation of ~ ax-2 from ~ adh-minimp and ~ ax-mp .  Polish prefix
     notation:  CCpCqrCCpqCpr .  (Contributed by BJ, 4-Apr-2021.)  (Revised by
     ADH, 10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minimp-ax2 $p |- ( ( ph -> ( ps -> ch ) ) ->
                                          ( ( ph -> ps ) -> ( ph -> ch ) ) ) $=
    ( wi adh-minimp-ax2-lem4 adh-minimp-ax2c ax-mp ) ABCDDZABDZHACDZDDZIJDZDDZH
    LDZHIJEKMNDABCFKHLEGG $.

  $( Derivation of ~ id (reflexivity of implication, PM *2.08 WhiteheadRussell
     p. 101) from ~ adh-minimp-ax1 , ~ adh-minimp-ax2 , and ~ ax-mp .  It uses
     the derivation written DD211 in D-notation.  (See head comment for an
     explanation.)  Polish prefix notation:  Cpp .  (Contributed by ADH,
     10-Nov-2023.)  (Proof modification is discouraged.)
     (New usage is discouraged.) $)
  adh-minimp-idALT $p |- ( ph -> ph ) $=
    ( wps wi adh-minimp-ax1 adh-minimp-ax2 ax-mp ) ABACZCZAACZABDAGACCHICAGDAGA
    EFF $.

  $( Derivation of ~ pm2.43 WhiteheadRussell p. 106 (also called "hilbert" or
     "W") from ~ adh-minimp-ax1 , ~ adh-minimp-ax2 , and ~ ax-mp .  It uses the
     derivation written DD22D21 in D-notation.  (See head comment for an
     explanation.)  Polish prefix notation:  CCpCpqCpq .  (Contributed by BJ,
     31-May-2021.)  (Revised by ADH, 10-Nov-2023.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  adh-minimp-pm2.43 $p |- ( ( ph -> ( ph -> ps ) ) -> ( ph -> ps ) ) $=
    ( wi adh-minimp-ax1 adh-minimp-ax2 ax-mp ) AABCZCZAACZCZHGCZAGACCJAGDAGAEFH
    IGCCJKCAABEHIGEFF $.

$( (End of Adhemar's mathbox.) $)
$( End $[ set-mbox-adh.mm $] $)


$( Begin $[ set-mbox-av.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Alexander van der Vekens
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  General auxiliary theorems (1)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Unordered and ordered pairs - extension for singletons
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y z $.
    $( There is a unique element of a singleton which is equal to another
       singleton.  (Contributed by AV, 24-Aug-2022.) $)
    eusnsn $p |- E! x { x } = { y } $=
      ( vz csn wceq weu weq wal wex equequ2 bibi2d albidv cvv sneqbg elv ax-gen
      cv wb speivw eu6 mpbir ) AQZDBQZDEZAFUDACGZRZAHZCIUGUDABGZRZAHCBCBGZUFUIA
      UJUEUHUDCBAJKLUIAUIAUBUCMNOPSUDACTUA $.
  $}

  ${
    $d x y $.
    $( If the class abstraction ` { x | ph } ` associated with the wff ` ph `
       is a singleton, the wff is true for the singleton element.  (Contributed
       by AV, 24-Aug-2022.) $)
    absnsb $p |- ( { x | ph } = { y } -> [ y / x ] ph ) $=
      ( cv cab wcel csn wb wal weq wi wceq wsb velsn bibi12i biimpr sylbi alimi
      abid nfab1 nfcv cleqf sb6 3imtr4i ) BDZABEZFZUECDZGZFZHZBIBCJZAKZBIUFUILA
      BCMUKUMBUKAULHUMUGAUJULABSBUHNOAULPQRBUFUIABTBUIUAUBABCUCUD $.
  $}

  ${
    $d x y $.  $d ph y $.
    $( Another way to express existential uniqueness of a wff ` ph ` : its
       associated class abstraction ` { x | ph } ` is a singleton.  Variant of
       ~ euabsn2 using existential uniqueness for the singleton element instead
       of existence only.  (Contributed by AV, 24-Aug-2022.) $)
    euabsneu $p |- ( E! x ph <-> E! y { x | ph } = { y } ) $=
      ( cab cv csn wceq wex wmo wa weu mosneq eqcom mobii biantru euabsn2 df-eu
      mpbi 3bitr4i ) ABDZCEFZGZCHZUCUBCIZJABKUBCKUDUCUATGZCIUDCTLUEUBCUATMNROAB
      CPUBCQS $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Unordered and ordered pairs - extension for unordered pairs
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( An element of a proper unordered pair is the first element iff it is not
     the second element.  (Contributed by AV, 18-Jun-2020.) $)
  elprneb $p |- ( ( A e. { B , C } /\ B =/= C ) -> ( A = B <-> A =/= C ) ) $=
    ( cpr wcel wne wceq wb wo wi elpri neeq1 eqcoms pm5.1 ex sylbid neeq2 wa wn
    nesym sylan2b necon2abid sylbird jaoi syl imp ) ABCDEZBCFZABGZACFZHZUGUIACG
    ZIUHUKJZABCKUIUMULUIUHUJUKUHUJHBABACLMUIUJUKUIUJNOPULUHBAFZUKACBQULUNUKULUN
    RUIACUNULUISZULUOHBATULUONUAUBOUCUDUEUF $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Unordered and ordered pairs - extension for ordered pairs
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Equality for ordered pairs implies equality of unordered pairs with the
     same elements.  (Contributed by AV, 9-Jul-2023.) $)
  oppr $p |- ( ( A e. V /\ B e. W )
                -> ( <. A , B >. = <. C , D >. -> { A , B } = { C , D } ) ) $=
    ( wcel wa cop wceq cpr opthg preq12 syl6bi ) AEGBFGHABICDIJACJBDJHABKCDKJAB
    CDEFLABCDMN $.

  $( Equality for unordered pairs corresponds to equality of unordered pairs
     with the same elements.  (Contributed by AV, 9-Jul-2023.) $)
  opprb $p |- ( ( ( A e. V /\ B e. W ) /\ ( C e. X /\ D e. Y ) )
            -> ( { A , B } = { C , D } <-> ( <. A , B >. = <. C , D >.
                                          \/ <. A , B >. = <. D , C >. ) ) ) $=
    ( wcel wa cpr wceq wo cop preq12bg wb opthg adantr orbi12d bitr4d ) AEIBFIJ
    ZCGIDHIJZJZABKCDKLACLBDLJZADLBCLJZMABNZCDNLZUFDCNLZMABCDEFGHOUCUGUDUHUEUAUG
    UDPUBABCDEFQRUAUHUEPUBABDCEFQRST $.

  ${
    $d A x y $.  $d B x y $.  $d a b x y $.  $d ph x y $.
    $( Lemma 1 for ~ or2expropbi and ~ ich2exprop .  (Contributed by AV,
       16-Jul-2023.) $)
    or2expropbilem1 $p |- ( ( A e. X /\ B e. X ) -> ( ( A = a /\ B = b )
                            -> ( ph -> E. x E. y ( <. A , B >. = <. x , y >.
                                    /\ [. y / b ]. [. x / a ]. ph ) ) ) ) $=
      ( wcel wa cv wceq cop wsbc wex cvv vex sbcid adantl opeq12 pm3.2i anim1ci
      a1i adantr sylbbr anim12ci nfv wb eqeq2d dfsbcq sbcbidv sylan9bbr anbi12d
      weq spc2ed sylc exp31 com23 ) DFIEFIJZADGKZLEHKZLJZDEMZBKZCKZMZLZAGVDNZHV
      ENZJZCOBOZUSAVBVKUSAJZVBJAUTPIZVAPIZJZJZVCUTVAMZLZAGUTNZHVANZJZVKVLVPVBUS
      VOAVOUSVMVNGQHQUAUCUBUDVLVTVBVRAVTUSVTVSAVSHRAGRUESDEUTVATUFAVJWABCUTVAPP
      WABUGWACUGBGUNZCHUNZJZVJWAUHAWDVGVRVIVTWDVFVQVCVDVEUTVATUIWCVIVHHVANWBVTV
      HHVEVAUJWBVHVSHVAAGVDUTUJUKULUMSUOUPUQUR $.

    $d A a b $.  $d B a b $.
    $( Lemma 2 for ~ or2expropbi and ~ ich2exprop .  (Contributed by AV,
       16-Jul-2023.) $)
    or2expropbilem2 $p |- ( E. a E. b ( <. A , B >. = <. a , b >. /\ ph )
                           <-> E. x E. y ( <. A , B >. = <. x , y >.
                                           /\ [. y / b ]. [. x / a ]. ph ) ) $=
      ( cop cv wceq wa wsbc nfv nfcv nfsbc1v nfsbcw nfan weq opeq12 sbceq1a
      eqeq2d sylan9bb anbi12d cbvex2v ) DEHZFIZGIZHZJZAKZUEBIZCIZHZJZAFUKLZGULL
      ZKFGBCUJBMUJCMUNUPFUNFMUOFGULFULNAFUKOPQUNUPGUNGMUOGULOQFBRZGCRZKZUIUNAUP
      USUHUMUEUFUGUKULSUAUQAUOURUPAFUKTUOGULTUBUCUD $.

    $d R a b x y $.  $d V a b $.  $d X a b $.  $d ph x y $.
    $( If two classes are strictly ordered, there is an ordered pair of both
       classes fulfilling a wff iff there is an unordered pair of both classes
       fulfilling the wff.  (Contributed by AV, 26-Aug-2023.) $)
    or2expropbi $p |- ( ( ( X e. V /\ R Or X )
                          /\ ( A e. X /\ B e. X /\ A R B ) )
         -> ( E. a E. b ( { A , B } = { a , b } /\ ( a R b /\ ph ) )
          <-> E. a E. b ( <. A , B >. = <. a , b >. /\ ( a R b /\ ph ) ) ) ) $=
      ( vx vy wcel wa cv wceq wex nfv nfex wi cvv adantl wor wbr w3a cpr nfsbcw
      cop wsbc nfcv nfsbc1v nfan wo wb preq12bg mpanr12 3adant3 or2expropbilem1
      vex breq12 ancoms wn soasym expd 3imp2 pm2.21d adantr sylbird impd sylbid
      ex jaod exlimd or2expropbilem2 syl6ibr oppr anim1d 2eximdv impbid ) FEKZF
      DUAZLZBFKZCFKZBCDUBZUCZLZBCUDGMZHMZUDNZWFWGDUBZALZLZHOZGOZBCUFZWFWGUFNZWJ
      LZHOGOZWEWMWNIMZJMZUFNZWJGWRUGZHWSUGZLZJOZIOZWQWEWLXEGWEGPXDGIXCGJWTXBGWT
      GPXAGHWSGWSUHWJGWRUIUEUJQQWEWKXEHWEHPXDHIXCHJWTXBHWTHPXAHWSUIUJQQWEWHWJXE
      WEWHBWFNCWGNLZBWGNZCWFNZLZUKZWJXERZWDWHXJULZVTWAWBXLWCWAWBLZWFSKWGSKXLGUQ
      HUQBCWFWGFFSSUMUNUOTWEXFXKXIWDXFXKRZVTWAWBXNWCWJIJBCFGHUPUOTWEXIXKWEXILZW
      IAXEXOWICBDUBZAXERZXIXPWIULZWEXHXGXRCWFBWGDURUSTWEXPXQRXIWEXPXQVTWAWBWCXP
      UTZVTWAWBWCXSRZVSXMXTRVRVSXMXTFDBCVAVITVBVCVDVEVFVGVIVJVHVGVKVKWJIJBCGHVL
      VMWDWQWMRZVTWAWBYAWCXMWPWKGHXMWOWHWJBCWFWGFFVNVOVPUOTVQ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Relations - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A b $.  $d R b $.
    $( If there is a unique set which is related to a class, then the class
       must be a set.  (Contributed by AV, 25-Aug-2022.) $)
    eubrv $p |- ( E! b A R b -> A e. _V ) $=
      ( cvv wcel cv wbr weu brprcneu con4i ) ADEACFBGCHCABIJ $.

    $( If there is a unique set which is related to a class, then the class is
       an element of the domain of the relation.  (Contributed by AV,
       25-Aug-2022.) $)
    eubrdm $p |- ( E! b A R b -> A e. dom R ) $=
      ( cv wbr weu cvv wcel cio cdm eubrv iotaex a1i wsbc iota4 csb wb sbcbr12g
      ax-mp wceq csbconstg csbvargi breq12i sylbb syl breldmg syl3anc ) ACDZBEZ
      CFZAGHUICIZGHZAUKBEZABJHABCKULUJUICLZMUJUICUKNZUMUICOUOCUKAPZCUKUHPZBEZUM
      ULUOURQUNCUKAUHBGRSUPAUQUKBULUPATUNCUKAGUASCUKUNUBUCUDUEAUKGGBUFUG $.
  $}

  $( Element of the domain of a restriction to a singleton.  (Contributed by
     Alexander van der Vekens, 2-Jul-2017.) $)
  eldmressn $p |- ( B e. dom ( F |` { A } ) -> B = A ) $=
    ( wceq csn cdm cin cres wcel wa elin elsni adantr sylbi dmres eleq2s ) BADZ
    BAEZCFZGZCRHFBTIBRIZBSIZJQBRSKUAQUBBALMNCROP $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Definite description binder (inverted iota) - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y $.
    $( Example for a defined iota being the empty set, i.e., ` A. y x C_ y ` is
       a wff satisfied by a unique value ` x ` , namely ` x = (/) ` (the empty
       set is the one and only set which is a subset of every set).
       (Contributed by AV, 24-Aug-2022.) $)
    iota0def $p |- ( iota x A. y x C_ y ) = (/) $=
      ( c0 cvv wcel cv wss wal cio wceq 0ex wb wa al0ssb a1i iota5 mp2an ) CDEZ
      RAFZBFGBHZAICJKKRTACDTSCJLRRMBSNOPQ $.

    $( Example for an undefined iota being the empty set, i.e., ` A. y y e. x `
       is a wff not satisfied by a (unique) value ` x ` (there is no set, and
       therefore certainly no unique set, which contains every set).
       (Contributed by AV, 24-Aug-2022.) $)
    iota0ndef $p |- ( iota x A. y y e. x ) = (/) $=
      ( wel wal weu wn cio c0 wceq wex wmo wa intnanr df-eu mtbir iotanul ax-mp
      nalset ) BACBDZAEZFSAGHITSAJZSAKZLUAUBABRMSANOSAPQ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Functions - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( If a function's value at an argument is the universal class (which can
     never be the case because of ~ fvex ), the function's value at this
     argument is any set (especially the empty set).  In short "If a function's
     value is a proper class, it is a set", which sounds strange/contradictory,
     but which is a consequence of that a contradiction implies anything (see
     ~ pm2.21i ).  (Contributed by Alexander van der Vekens, 26-May-2017.) $)
  fveqvfvv $p |- ( ( F ` A ) = _V -> ( F ` A ) = B ) $=
    ( cfv wceq cvv wcel wi fvex eleq1a ax-mp vprc pm2.21i syl eqcoms ) ACDZBEZF
    PFPEZFFGZQPFGRSHACIPFFJKSQLMNO $.

  $( Composition of two functions, similar to ~ fnco .  (Contributed by
     Alexander van der Vekens, 25-Jul-2017.) $)
  fnresfnco $p |- ( ( ( F |` ran G ) Fn ran G /\ G Fn B )
                    -> ( F o. G ) Fn B ) $=
    ( crn cres wfn wa ccom wfun cdm wceq fnfun funresfunco syl2an wss cin dmres
    fndm eqeq1i syl df-ss sylbb2 adantr dmcosseq adantl eqtrd df-fn sylanbrc )
    BCDZEZUIFZCAFZGZBCHZIZUNJZAKUNAFUKUJICIUOULUIUJLACLBCMNUMUPCJZAUMUIBJZOZUPU
    QKUKUSULUKUJJZUIKZUSUIUJRVAUIURPZUIKUSUTVBUIBUIQSUIURUAUBTUCBCUDTULUQAKUKAC
    RUEUFUNAUGUH $.

  $( A composition restricted to a singleton is a function under certain
     conditions.  (Contributed by Alexander van der Vekens, 25-Jul-2017.) $)
  funcoressn $p |- ( ( ( ( G ` X ) e. dom F /\ Fun ( F |` { ( G ` X ) } ) )
                       /\ ( G Fn A /\ X e. A ) )
                     -> Fun ( ( F o. G ) |` { X } ) ) $=
    ( cfv cdm wcel csn cres wfun wa wfn ccom crn wceq syl adantr adantl fnfun
    wi dmressnsn df-fn simplbi2com imp cima fnsnfv df-ima reseq2d fneq12d mpbid
    eqtrdi funres funfnd fnresfnco syl2anc resco funeqi sylibr ) DCEZBFGZBUSHZI
    ZJZKZCALZDAGZKZKZBCDHZIZMZJZBCMVIIZJVHVKVJFZLZVLVHBVJNZIZVPLZVJVNLZVOVHVBVA
    LZVRVDVTVGUTVCVTUTVBFVAOZVCVTTUSBUAVTVCWAVBVAUBUCPUDQVHVAVPVBVQVHVAVPBVHVAC
    VIUEZVPVGVAWBOVDADCUFRCVIUGUKZUHWCUIUJVGVSVDVEVSVFVECJZVSACSWDVJVICULUMPQRV
    NBVJUNUOVNVKSPVMVKBCVIUPUQUR $.

  ${
    $d A x y $.  $d F x y $.  $d G x y $.  $d X x y $.  $d A z $.  $d F z $.
    $d G z $.  $d X z $.  $d y z $.
    $( A restriction to a singleton with a function value is a function under
       certain conditions.  (Contributed by Alexander van der Vekens,
       25-Jul-2017.)  (Proof shortened by Peter Mazsa, 2-Oct-2022.) $)
    funressnfv $p |- ( ( ( X e. dom ( F o. G ) /\ Fun ( ( F o. G ) |` { X } ) )
                         /\ ( G Fn A /\ X e. A ) )
                       -> Fun ( F |` { ( G ` X ) } ) ) $=
      ( vx vy vz cdm wcel wfun wa cv wbr wmo wi wceq adantl wb eqcoms ex relres
      ccom csn cres wfn cfv wrel wral dmfco biimpd funfni dmressnsn eleq2 velsn
      a1i dffun7 snidg adantr mpbid wex fvex isseti eqcom fnbrfvb breq1 biimpcd
      syl5bb anim12ii eximdv mpi cvv simpr vex sylancl mpbird biantrurd bitr4id
      brcog brresi ad2antlr sylibd moimdv com23 rspcimdv com13 mpcom imp31 snid
      simplbiim biantrur mobidv bitr2di syl6bi syl syl6com a1d pm2.43i ralrimiv
      sylbi sylanbrc ) DBCUBZHZIZXADUCZUDZJZKCAUEZDAIZKZKZBDCUFZUCZUDZUGZELZFLZ
      XMMZFNZEXMHZUHXMJXNXJBXLUAUOXJXREXSXJXOXSIZXROZXCXFXIXJYAOZXCXIYBOXFXIXCX
      KBHIZYBXCYCOADCCJDCHIKXCYCDBCUIUJUKYCXSXLPZYBXKBULYDXTXJXRYDXTXOXLIZXJXRO
      ZXSXLXOUMYEXOXKPZYFEXKUNYGXJXRYGXJKZXKXLIZXKXPBMZKZFNZXRXJYLYGXJYJFNZYLXC
      XFXIYMXEHZXDPZXCXFXIYMOZODXAULXFXCYOYPXFXEUGXOXPXEMZFNZEYNUHZXCYOYPOOEFXE
      UPYOXCYSYPYOXCYSYPOYOXCKZYRYPEDYNYTDXDIZDYNIZXCUUAYODXBUQQYOUUAUUBRZXCUUC
      XDYNXDYNDUMSURUSYTXODPZKZXIYRYMUUEXIYRYMOUUEXIKZYJYQFUUFYJDXPXEMZYQXIYJUU
      GOUUEXIYJUUGXIYJKZUUGDXPXAMZUUHUUIDGLZCMZUUJXPBMZKZGUTZUUHUUJXKPZGUTUUNGX
      KDCVAZVBUUHUUOUUMGXIUUOUUKYJUULXIUUOUUKUUOXKUUJPXIUUKUUJXKVCADUUJCVDVGUJU
      UOYJUULYJUULRXKUUJXKUUJXPBVESVFVHVIVJXIUUIUUNRZYJXIXHXPVKIUUQXGXHVLFVMZGD
      XPBCAVKVRVNURVOXHUUGUUIRXGYJXHUUGUUAUUIKUUIXDDXPXAUURVSXHUUAUUIDAUQVPVQVT
      VOTQUUDUUGYQRZYTXIUUSDXODXOXPXEVESVTWAWBTWCWDTWEWIWEWFWGXJYJYKFYJYKRXJYIY
      JXKUUPWHWJUOWKUSQYHYKXQFYGYKXQRXJYGXQXKXPXMMYKXOXKXPXMVEXLXKXPBUURVSWLURW
      KUSTWSWMWCWNWOWPWGWQWREFXMUPWT $.
  $}

  $( The value of a function ` F ` at a set ` A ` is in the range of the
     function ` F ` if ` A ` is in the domain of the function ` F ` .  It is
     sufficient that ` F ` is a function at ` A ` .  (Contributed by AV,
     1-Sep-2022.) $)
  funressndmfvrn $p |- ( ( Fun ( F |` { A } ) /\ A e. dom F )
                         -> ( F ` A ) e. ran F ) $=
    ( csn cres wfun cdm wcel wa cfv crn simpr fvressn adantl eldmressnsn fvelrn
    wceq sylan2 eqeltrrd fvrnressn sylc ) BACDZEZABFZGZHZUDABIZUAJZGUFBJGUBUDKU
    EAUAIZUFUGUDUHUFPUBBUCALMUDUBAUAFGUHUGGABNAUAOQRBUCAST $.

  ${
    $d y z F $.  $d x y z $.
    $( A function restricted to a singleton has at most one value for the
       singleton element as argument.  (Contributed by AV, 2-Sep-2022.) $)
    funressnvmo $p |- ( Fun ( F |` { x } ) -> E* y x F y ) $=
      ( vz cv csn cres wfun wrel wbr wmo wal dffun6 weq wb breq1 equcoms biimpd
      moimdv spimvw wcel vsnid vex brresi mpbiran biimpri moimi syl simplbiim )
      CAEZFZGZHULIDEZBEZULJZBKZDLZUJUNCJZBKZDBULMUQUJUNULJZBKZUSUPVADADANZUTUOB
      VBUTUOUTUOOADUJUMUNULPQRSTURUTBUTURUTUJUKUAURAUBUKUJUNCBUCUDUEUFUGUHUI $.
  $}

  ${
    $d x y A $.  $d x y F $.  $d y V $.
    $( A function restricted to a singleton has at most one value for the
       singleton element as argument.  (Contributed by AV, 2-Sep-2022.) $)
    funressnmo $p |- ( ( A e. V /\ Fun ( F |` { A } ) ) -> E* y A F y ) $=
      ( vx wcel csn cres wfun cv wbr wmo wceq sneq reseq2d funeqd breq1 imbi12d
      wi mobidv funressnvmo vtoclg imp ) BDFCBGZHZIZBAJZCKZALZCEJZGZHZIZUJUGCKZ
      ALZSUFUISEBDUJBMZUMUFUOUIUPULUEUPUKUDCUJBNOPUPUNUHAUJBUGCQTREACUAUBUC $.
  $}

  ${
    $d y A $.  $d y F $.  $d y V $.
    $( There is exactly one value of a class which is a function restricted to
       a singleton, analogous to ~ funeu . ` A e. _V ` is required because
       otherwise ` E! y A F y ` , see ~ brprcneu .  (Contributed by AV,
       7-Sep-2022.) $)
    funressneu $p |- ( ( ( A e. V /\ B e. W ) /\ Fun ( F |` { A } ) /\ A F B )
                       -> E! y A F y ) $=
      ( wcel wa csn cres wfun wbr w3a cv wex weu cdm simp1l simp1r syl simp3 wi
      breldmg syl3anc eldmg ibi wmo simpl anim1i 3adant3 funressnmo moeu sylib
      mpd ) BEGZCFGZHZDBIJKZBCDLZMZBANDLZAOZVAAPZUTBDQZGZVBUTUOUPUSVEUOUPURUSRU
      OUPURUSSUQURUSUABCEFDUCUDVEVBABDVDUEUFTUTVAAUGZVBVCUBUTUOURHZVFUQURVGUSUQ
      UOURUOUPUHUIUJABDEUKTVAAULUMUN $.
  $}

  $( Conditions for a restriction to be an onto function.  Part of ~ fresf1o .
     (Contributed by AV, 29-Sep-2024.) $)
  fresfo $p |- ( ( Fun F /\ C C_ ran F )
                 -> ( F |` ( `' F " C ) ) : ( `' F " C ) -onto-> C ) $=
    ( wfun crn wss wa cdm ccnv cima wfn funfn biimpi adantr wceq sseqin2 eqcomd
    cin adantl eqidd rescnvimafod ) BCZABDZEZFZBGZABHAIZABUABUEJZUCUAUGBKLMUCAU
    BAQZNUAUCUHAUCUHANAUBOLPRUDUFST $.

  ${
    $d B b f g $.  $d S b f g $.  $d V b g $.
    $( The class of all functions from a (proper) singleton into ` B ` is the
       union of all the singletons of (proper) ordered pairs over the elements
       of ` B ` as second component.  (Contributed by AV, 13-Sep-2024.) $)
    fsetsniunop $p |- ( S e. V -> { f | f : { S } --> B }
                                  = U_ b e. B { { <. S , b >. } } ) $=
      ( vg wcel csn cv wf cab cop ciun wrex wceq cfv wa fsn2g simpl simpr opeq2
      wb sneqd eqeq2d adantl rspcedvd syl6bi fsnd adantr feq1d mpbird rexlimdva
      ex impbid velsn bicomi rexbii bitrdi vex feq1 elab eliun 3bitr4g eqrdv )
      BDGZFBHZACIZJZCKZEABEIZLZHZHZMZVEVFAFIZJZVOVMGZEANZVOVIGVOVNGVEVPVOVLOZEA
      NZVRVEVPVTVEVPBVOPZAGZVOBWALZHZOZQZVTBAVODRWFVSWEEWAAWBWESVJWAOZVSWEUBWFW
      GVLWDVOWGVKWCVJWABUAUCUDUEWBWETUFUGVEVSVPEAVEVJAGZQZVSVPWIVSQZVPVFAVLJZWI
      WKVSWIBVJDAVEWHSVEWHTUHUIWJVFAVOVLWIVSTUJUKUMULUNVSVQEAVQVSFVLUOUPUQURVHV
      PCVOFUSVFAVGVOUTVAEVOAVMVBVCVD $.

    $d B b y $.  $d S y $.
    $( The class of all functions from a (proper) singleton into ` B ` is the
       class of all the singletons of (proper) ordered pairs over the elements
       of ` B ` as second component.  (Contributed by AV, 13-Sep-2024.) $)
    fsetabsnop $p |- ( S e. V -> { f | f : { S } --> B }
                                 = { y | E. b e. B y = { <. S , b >. } } ) $=
      ( wcel csn cv wf cab cop ciun wceq wrex fsetsniunop iunsn eqtrdi ) CEGCHB
      DIJDKFBCFILHZHMAISNFBOAKBCDEFPFABSQR $.
  $}

  ${
    $d A x $.  $d B b x y $.  $d S b x y $.  $d V b x $.
    fsetsnf.a $e |- A = { y | E. b e. B y = { <. S , b >. } } $.
    fsetsnf.f $e |- F = ( x e. B |-> { <. S , x >. } ) $.
    $( The mapping of an element of a class to a singleton function is a
       function.  (Contributed by AV, 13-Sep-2024.) $)
    fsetsnf $p |- ( S e. V -> F : B --> A ) $=
      ( wcel cv cop csn wa wceq wrex simpr weq wb opeq2 sneqd eqeq2d eqidd snex
      adantl rspcedvd eqeq1 rexbidv elab2 sylibr fmptd ) EGKZADEALZMZNZCFUMUNDK
      ZOZUPEHLZMZNZPZHDQZUPCKURVBUPUPPZHUNDUMUQRHASZVBVDTURVEVAUPUPVEUTUOUSUNEU
      AUBUCUFURUPUDUGBLZVAPZHDQVCBUPCUOUEVFUPPVGVBHDVFUPVAUHUIIUJUKJUL $.

    $d B m n x $.  $d F m n $.  $d S m n $.  $d V m n $.
    $( The mapping of an element of a class to a singleton function is an
       injection.  (Contributed by AV, 13-Sep-2024.) $)
    fsetsnf1 $p |- ( S e. V -> F : B -1-1-> A ) $=
      ( vm vn wcel cv wceq weq wa cop csn cvv wf cfv wi wral wf1 fsetsnf wb a1i
      cmpt opeq2 sneqd adantl simpl snex simpr eqeq12d opex sneqr opthg adantrr
      fvmptd syl6bi syl5 sylbid ralrimivva dff13 sylanbrc ) EGMZDCFUAKNZFUBZLNZ
      FUBZOZKLPZUCZLDUDKDUDDCFUEABCDEFGHIJUFVHVOKLDDVHVIDMZVKDMZQZQZVMEVIRZSZEV
      KRZSZOZVNVRVMWDUGVHVRVJWAVLWCVRAVIEANZRZSZWADFTFADWGUIOVRJUHZAKPZWGWAOVRW
      IWFVTWEVIEUJUKULVPVQUMWATMVRVTUNUHVAVRAVKWGWCDFTWHALPZWGWCOVRWJWFWBWEVKEU
      JUKULVPVQUOWCTMVRWBUNUHVAUPULWDVTWBOZVSVNVTWBEVIUQURVSWKEEOZVNQZVNVHVPWKW
      MUGVQEVIEVKGDUSUTWLVNUOVBVCVDVEKLDCFVFVG $.

    $d A m n $.  $d b m y $.  $d b n $.
    $( The mapping of an element of a class to a singleton function is a
       surjection.  (Contributed by AV, 13-Sep-2024.) $)
    fsetsnfo $p |- ( S e. V -> F : B -onto-> A ) $=
      ( vm vn wcel cv wceq wrex cop csn weq opeq2 wf cfv wral wfo fsetsnf eqeq1
      vex rexbidv elab2 sneqd eqeq2d cbvrexvw wa simpr cvv cmpt a1i adantl snex
      fvmptd eqcomd adantr eqtrd reximdva syl5bi imp ralrimiva dffo3 sylanbrc
      ex ) EGMZDCFUAKNZLNZFUBZOZLDPZKCUCDCFUDABCDEFGHIJUEVKVPKCVKVLCMZVPVQVLEHN
      ZQZRZOZHDPZVKVPBNZVTOZHDPWBBVLCKUGBKSWDWAHDWCVLVTUFUHIUIWBVLEVMQZRZOZLDPV
      KVPWAWGHLDHLSZVTWFVLWHVSWEVRVMETUJUKULVKWGVOLDVKVMDMZUMZWGVOWJWGUMVLWFVNW
      JWGUNWJWFVNOWGWJVNWFWJAVMEANZQZRZWFDFUOFADWMUPOWJJUQALSZWMWFOWJWNWLWEWKVM
      ETUJURVKWIUNWFUOMWJWEUSUQUTVAVBVCVJVDVEVEVFVGLKDCFVHVI $.

    $( The mapping of an element of a class to a singleton function is a
       bijection.  (Contributed by AV, 13-Sep-2024.) $)
    fsetsnf1o $p |- ( S e. V -> F : B -1-1-onto-> A ) $=
      ( wcel wf1 wfo wf1o fsetsnf1 fsetsnfo df-f1o sylanbrc ) EGKDCFLDCFMDCFNAB
      CDEFGHIJOABCDEFGHIJPDCFQR $.
  $}

  ${
    $d B b x y $.  $d B b f $.  $d S b x y $.  $d S f $.  $d V b x $.
    $( The class of all functions from a (proper) singleton into a proper class
       ` B ` is not a set.  (Contributed by AV, 13-Sep-2024.) $)
    fsetsnprcnex $p |- ( ( S e. V /\ B e/ _V )
                         -> { f | f : { S } --> B } e/ _V ) $=
      ( vy vb vx wcel cvv wnel wa csn cv wf cab cop wceq wn eqid df-nel wrex wb
      cmpt fsetsnf1o f1ovv syl notbid 3bitr4g biimpa fsetabsnop adantr neleq12d
      wf1o eqidd mpbird ) BDHZAIJZKZBLACMNCOZIJEMBFMPLQFAUAEOZIJZUPUQVAUPAIHZRU
      TIHZRUQVAUPVBVCUPAUTGABGMPLUCZUMVBVCUBGEUTABVDDFUTSVDSUDAUTVDUEUFUGAITUTI
      TUHUIURUSUTIIUPUSUTQUQEABCDFUJUKURIUNULUO $.
  $}

  ${
    cfsetsnfsetfv.f $e |- F = { f | ( f : A --> B
                                    /\ E. b e. B A. z e. A ( f ` z ) = b ) } $.
    $( The class of constant functions is a subclass of the class of functions.
       (Contributed by AV, 13-Sep-2024.) $)
    cfsetssfset $p |- F C_ { f | f : A --> B } $=
      ( cv wf cfv wceq wral wrex wa cab wss wi ss2ab simpl mpgbir eqsstri ) EBC
      DHZIZAHUBJFHKABLFCMZNZDOZUCDOZGUFUGPUEUCQDUEUCDRUCUDSTUA $.

    $d A a g $.  $d G g $.  $d V g $.  $d X a g $.  $d Y g $.
    cfsetsnfsetfv.g $e |- G = { x | x : { Y } --> B } $.
    cfsetsnfsetfv.h $e |- H = ( g e. G |-> ( a e. A |-> ( g ` Y ) ) ) $.
    $( The function value of the mapping of the class of singleton functions
       into the class of constant functions.  (Contributed by AV,
       13-Sep-2024.) $)
    cfsetsnfsetfv $p |- ( ( A e. V /\ X e. G )
                          -> ( H ` X ) = ( a e. A |-> ( X ` Y ) ) ) $=
      ( wcel cmpt wceq wa cfv cvv a1i fveq1 adantr mpteq2dva adantl simpr simpl
      cv mptexd fvmptd ) CJRZKHRZUAZFKMCLFUKZUBZSZMCLKUBZSZHIUCIFHUSSTUPQUDUQKT
      ZUSVATUPVBMCURUTVBURUTTMUKCRLUQKUEUFUGUHUNUOUIUPMCUTJUNUOUJULUM $.

    $d A b f z $.  $d B x $.  $d B a b f $.  $d F g $.  $d G a b z $.
    $d V a b z $.  $d Y a b f z $.  $d Y g x $.  $d b f g z $.
    $( The mapping of the class of singleton functions into the class of
       constant functions is a function.  (Contributed by AV, 14-Sep-2024.) $)
    cfsetsnfsetf $p |- ( ( A e. V /\ Y e. A ) -> H : G --> F ) $=
      ( wcel wa cv wceq cfv cmpt wral wrex cab cvv simpl adantr mptexd csn feq1
      wf vex elab2 biimpi adantl snidg ffvelrnd fmpttd wb eqeq2 eqidd ralrimiva
      ralbidv rspcedvd jca weq simpr fvexd nfcv nfmpt1 nfeq nfan fvmptdf eqeq1d
      nfv ralbidva rexbidv anbi12d elabd eleqtrrdi fmptd ) CJQZKCQZRZFHLCKFSZUA
      ZUBZGIWEWFHQZRZWHCDESZULZBSZWKUAZMSZTZBCUCZMDUDZRZEUEGWJWSCDWHULZWGWOTZBC
      UCZMDUDZREWHUFWJLCWGJWEWCWIWCWDUGUHUIWJWTXCWJLCWGDWJWGDQLSCQWJKUJZDKWFWIX
      DDWFULZWEWIXEXDDASZULXEAWFHFUMXDDXFWFUKOUNUOUPWEKXDQZWIWDXGWCKCUQUPUHURZU
      HUSWJXBWGWGTZBCUCZMWGDXHWOWGTZXBXJUTWJXKXAXIBCWOWGWGVAVDUPWJXIBCWJWMCQZRW
      GVBVCVEVFWKWHTZWLWTWRXCCDWKWHUKXMWQXBMDXMWPXABCXMXLRZWNWGWOXNLWMWGWGCWKUF
      XMXLUGXNLBVGRWGVBXMXLVHXNKWFVIXMXLLLWKWHLWKVJLCWGVKVLXLLVPVMLWMVJLWGVJVNV
      OVQVRVSVTNWAPWB $.

    $d A a m n $.  $d G m n $.  $d H m n $.  $d V m n $.  $d Y m n y $.
    $d g m n x $.
    $( The mapping of the class of singleton functions into the class of
       constant functions is an injection.  (Contributed by AV,
       14-Sep-2024.) $)
    cfsetsnfsetf1 $p |- ( ( A e. V /\ Y e. A ) -> H : G -1-1-> F ) $=
      ( vm vn wa wceq vy wcel wf cv cfv weq wral wf1 cfsetsnfsetf cfsetsnfsetfv
      wi cmpt ad2ant2r ad2ant2rl eqeq12d cvv wb ralrimiva mpteqb syl simplr idd
      fvexd rspcimdv csn vex elab2 anbi12i w3a simp3 simp1r fveq2 ralsng mpbird
      feq1 wfn anim12i 3ad2ant2 eqfnfv 3exp syl5bi syld sylbid ralrimivva dff13
      ffn imp sylanbrc ) CJUBZKCUBZSZHGIUCQUDZIUEZRUDZIUEZTZQRUFZUKZRHUGQHUGHGI
      UHABCDEFGHIJKLMNOPUIWKWRQRHHWKWLHUBZWNHUBZSZSZWPLCKWLUEZULZLCKWNUEZULZTZW
      QXBWMXDWOXFWIWSWMXDTWJWTABCDEFGHIJWLKLMNOPUJUMWIWTWOXFTWJWSABCDEFGHIJWNKL
      MNOPUJUNUOXBXGXCXETZLCUGZWQXBXCUPUBZLCUGXGXIUQXBXJLCXBLUDZCUBSKWLVCURLCXC
      XEUPUSUTXBXIXHWQXBXHXHLKCWIWJXAVAXBXKKTSXHVBVDWKXAXHWQUKZXAKVEZDWLUCZXMDW
      NUCZSZWKXLWSXNWTXOXMDAUDZUCZXNAWLHQVFXMDXQWLVOOVGXRXOAWNHRVFXMDXQWNVOOVGV
      HWKXPXHWQWKXPXHVIZWQUAUDZWLUEZXTWNUEZTZUAXMUGZXSYDXHWKXPXHVJXSWJYDXHUQWIW
      JXPXHVKYCXHUAKCXTKTYAXCYBXEXTKWLVLXTKWNVLUOVMUTVNXSWLXMVPZWNXMVPZSZWQYDUQ
      XPWKYGXHXNYEXOYFXMDWLWFXMDWNWFVQVRUAXMWLWNVSUTVNVTWAWGWBWCWCWDQRHGIWEWH
      $.

    $d A a b y z $.  $d B b n x y z $.  $d F m n $.  $d H b $.  $d V y $.
    $d b f m z $.
    $( The mapping of the class of singleton functions into the class of
       constant functions is a surjection.  (Contributed by AV,
       14-Sep-2024.) $)
    cfsetsnfsetfo $p |- ( ( A e. V /\ Y e. A ) -> H : G -onto-> F ) $=
      ( wcel wa cv wceq vm vn vy wf cfv wrex wral wfo cfsetsnfsetf vex weq feq1
      fveq1 adantr eqeq1d ralbidva rexbidv anbi12d elab2 cmpt csn simpllr fmptd
      eqid snex mptex sylibr wb mpteq2dv eqeq2d adantl simpr eqidd snidg fvmptd
      ad6antlr eqtr4d ralimdva imp wfn ffn cvv nfv fnmptd jca eqfnfv syl mpbird
      ex fvexd rspcedvd simp-4l cfsetsnfsetfv rexbidva rexlimdva expimpd syl5bi
      sylan ralrimiv dffo3 sylanbrc ) CJQZKCQZRZHGIUDUASZUBSZIUEZTZUBHUFZUAGUGH
      GIUHABCDEFGHIJKLMNOPUIXDXIUAGXEGQCDXEUDZBSZXEUEZMSZTZBCUGZMDUFZRZXDXICDES
      ZUDZXKXRUEZXMTZBCUGZMDUFZRXQEXEGUAUJEUAUKZXSXJYCXPCDXRXEULYDYBXOMDYDYAXNB
      CYDXKCQZRXTXLXMYDXTXLTYEXKXRXEUMUNUOUPUQURNUSXDXJXPXIXDXJRZXOXIMDYFXMDQZR
      ZXOXIYHXORZXIXELCKXFUEZUTZTZUBHUFYIYLXELCKUCKVAZXMUTZUEZUTZTZUBYNHYIYMDYN
      UDZYNHQYIUCYMXMDYNYFYGXOUCSZYMQVBYNVDVCYMDASZUDYRAYNHUCYMXMKVEVFYMDYTYNUL
      OUSVGXFYNTZYLYQVHYIUUAYKYPXEUUALCYJYOKXFYNUMVIVJVKYIYQXLXKYPUEZTZBCUGZYHX
      OUUDYHXNUUCBCYHYERZXNUUCUUEXNRZXLXMUUBUUEXNVLUUFLXKYOXMCYPDUUFYPVMUUFLBUK
      ZRZUCKXMXMYMYNDUUHYNVMUUHYSKTRXMVMXCKYMQXBXJYGYEXNUUGKCVNVPUUFYGUUGYFYGYE
      XNVBZUNVOUUEYEXNYHYEVLUNUUIVOVQWIVRVSYIXECVTZYPCVTZRZYQUUDVHYHUULXOYFUULY
      GYFUUJUUKXJUUJXDCDXEWAVKYFLCYOYPWBYFLWCYFLSCQRKYNWJYPVDWDWEUNUNBCXEYPWFWG
      WHWKYIXHYLUBHYIXFHQZRXGYKXEYIXBUUMXGYKTXBXCXJYGXOWLABCDEFGHIJXFKLMNOPWMWR
      VJWNWHWIWOWPWQWSUBUAHGIWTXA $.

    $( The mapping of the class of singleton functions into the class of
       constant functions is a bijection.  (Contributed by AV, 14-Sep-2024.) $)
    cfsetsnfsetf1o $p |- ( ( A e. V /\ Y e. A ) -> H : G -1-1-onto-> F ) $=
      ( wcel wa wf1 wfo wf1o cfsetsnfsetf1 cfsetsnfsetfo df-f1o sylanbrc ) CJQK
      CQRHGISHGITHGIUAABCDEFGHIJKLMNOPUBABCDEFGHIJKLMNOPUCHGIUDUE $.
  $}

  ${
    $d A a b f g y z $.  $d B a b f g y z $.  $d V a b g y z $.
    $( First version of proof for ~ fsetprcnex , which was much more
       complicated.  (Contributed by AV, 14-Sep-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    fsetprcnexALT $p |- ( ( ( A e. V /\ A =/= (/) ) /\ B e/ _V )
                       -> { f | f : A --> B } e/ _V ) $=
      ( vz vb vy vg va wcel wa cvv wnel cv wf cfv cab wn wi eqid wceq wral wrex
      c0 wne wss abanssl wex n0 csn vex a1i fsetsnprcnex sylan df-nel cmpt wf1o
      sylib wb cfsetsnfsetf1o ancoms adantr f1ovv bicomd syl mtbird exp31 sylbi
      exlimiv impcom imp sylibr prcssprc sylancr ) ADJZAUDUEZKZBLMZKZABCNZOZENV
      TPFNUAEAUBFBUCZKCQZWACQZUFWCLMZWDLMWAWBCUGVSWCLJZRZWEVQVRWGVPVOVRWGSZVPGN
      ZAJZGUHVOWHSZGAUIWJWKGWJVOVRWGWJVOKZVRKZWFWIUJBVTOCQZLJZWMWNLMZWORWLWILJZ
      VRWPWQWLGUKULBWICLUMUNWNLUOURWMWNWCHWNIAWIHNPUPUPZUQZWFWOUSWLWSVRVOWJWSCE
      ABCHWCWNWRDWIIFWCTWNTWRTUTVAVBWSWOWFWNWCWRVCVDVEVFVGVIVHVJVKWCLUOVLWCWDVM
      VN $.
  $}

  ${
    fcores.f $e |- ( ph -> F : A --> B ) $.
    fcores.e $e |- E = ( ran F i^i C ) $.
    fcores.p $e |- P = ( `' F " C ) $.
    $( Lemma 1 for ~ fcores .  (Contributed by AV, 17-Sep-2024.) $)
    fcoreslem1 $p |- ( ph -> P = ( `' F " E ) ) $=
      ( ccnv cima crn cin wfun wceq ffund cnvimainrn syl eqcomd imaeq2i 3eqtr4g
      ) AGKZDLZUCGMDNZLZEUCFLAUFUDAGOUFUDPABCGHQDGRSTJFUEUCIUAUB $.

    fcores.x $e |- X = ( F |` P ) $.
    $( Lemma 2 for ~ fcores .  (Contributed by AV, 17-Sep-2024.) $)
    fcoreslem2 $p |- ( ph -> ran X = E ) $=
      ( crn cima ccnv cres df-ima wceq a1i cin rneqi eqtr2id fcoreslem1 imaeq2d
      eqcomi wfun ffund funimacnv syl inss1 eqsstri df-ss sylib eqtrd 3eqtrd
      wss ) AHMZGENZGGOFNZNZFAURGEPZMZUQGEQVBUQRAUQVBHVALUAUESUBAEUSGABCDEFGIJK
      UCUDAUTFGMZTZFAGUFUTVDRABCGIUGFGUHUIAFVCUPZVDFRVEAFVCDTVCJVCDUJUKSFVCULUM
      UNUO $.

    $( Lemma 3 for ~ fcores .  (Contributed by AV, 13-Sep-2024.) $)
    fcoreslem3 $p |- ( ph -> X : P -onto-> E ) $=
      ( wfo cres ffnd crn cin wceq a1i ccnv cima rescnvimafod foeq1 mp1i mpbird
      wb ) AEFHMZEFGENZMZABDEFGABCGIOFGPDQRAJSEGTDUARAKSUBHUHRUGUIUFALEFHUHUCUD
      UE $.

    fcores.g $e |- ( ph -> G : C --> D ) $.
    fcores.y $e |- Y = ( G |` E ) $.
    $( Lemma 4 for ~ fcores .  (Contributed by AV, 17-Sep-2024.) $)
    fcoreslem4 $p |- ( ph -> ( Y o. X ) Fn P ) $=
      ( wfn crn wceq wss ccom cres ffnd cin a1i eqsstrdi fnssresd fneq1i sylibr
      inss2 wfo fcoreslem3 fofn syl fcoreslem2 eqimss fnco syl3anc ) AKGRZJFRZJ
      SZGUAZKJUBFRAIGUCZGRUTADGIADEIPUDAGHSZDUEZDGVFTAMUFVEDUKUGUHGKVDQUIUJAFGJ
      ULVAABCDFGHJLMNOUMFGJUNUOAVBGTVCABCDFGHJLMNOUPVBGUQUOGFKJURUS $.

    $d C x $.  $d F x $.  $d G x $.  $d P x $.  $d X x $.  $d Y x $.
    $d ph x $.
    $( Every composite function ` ( G o. F ) ` can be written as composition of
       restrictions of the composed functions (to their minimum domains).
       (Contributed by GL and AV, 17-Sep-2024.) $)
    fcores $p |- ( ph -> ( G o. F ) = ( Y o. X ) ) $=
      ( wf wcel cfv vx ccom ccnv cima wfn wfun ffund fcof syl2anc fneq2i sylibr
      ffnd fcoreslem4 cv wa cres fveq1i simpr fvresd syl5eq fveq2d crn cnvimass
      cin cdm sseli fvelrn syl2an eleq2i biimpi fvimacnvi elind eleqtrrdi eqtrd
      eqsstri wfo fcoreslem3 fof syl adantr fvco3d wss a1i sselda eqcomd eleq2d
      wb fdmd mpbird 3eqtr4rd eqfnfvd ) AUAFIHUBZKJUBZAWLHUCDUDZUEWLFUEAWNEWLAD
      EIRHUFZWNEWLRPABCHLUGZDEIHUHUIULFWNWLNUJUKABCDEFGHIJKLMNOPQUMAUAUNZFSZUOZ
      WQJTZKTZWQHTZITZWQWMTWQWLTWSXAXBKTZXCWSWTXBKWSWTWQHFUPZTXBWQJXEOUQWSWQFHA
      WRURZUSUTVAWSXDXBIGUPZTXCXBKXGQUQWSXBGIWSXBHVBZDVDGWSXHDXBAWOWQHVEZSZXBXH
      SWRWPFXIWQFWNXINHDVCVOZVFWQHVGVHAWOWQWNSZXBDSWRWPWRXLFWNWQNVIVJWQDHVKVHVL
      MVMUSUTVNWSFGWQKJAFGJRZWRAFGJVPXMABCDFGHJLMNOVQFGJVRVSVTXFWAWSBCWQIHABCHR
      WRLVTWSWQBSZXJAFXIWQFXIWBAXKWCWDAXNXJWGWRABXIWQAXIBABCHLWHWEWFVTWIWAWJWK
      $.

    $( Lemma for ~ fcoresf1 .  (Contributed by AV, 18-Sep-2024.) $)
    fcoresf1lem $p |- ( ( ph /\ Z e. P )
                        -> ( ( G o. F ) ` Z ) = ( Y ` ( X ` Z ) ) ) $=
      ( ccom cfv wcel wa wceq fcores fveq1d adantr wfo fcoreslem3 fof syl simpr
      wf fvco3d eqtrd ) ALFUAZUBZLIHSZTZLKJSZTZLJTKTAURUTUCUOALUQUSABCDEFGHIJKM
      NOPQRUDUEUFUPFGLKJAFGJULZUOAFGJUGVAABCDFGHJMNOPUHFGJUIUJUFAUOUKUMUN $.

    ${
      $d E x y $.  $d F y $.  $d G y $.  $d P a b x y $.  $d X a b y $.
      $d Y a b y $.  $d ph a b y $.
      fcoresf1.i $e |- ( ph -> ( G o. F ) : P -1-1-> D ) $.
      $( If a composition is injective, then the restrictions of its components
         to the minimum domains are injective.  (Contributed by GL and AV,
         18-Sep-2024.)  (Revised by AV, 7-Oct-2024.) $)
      fcoresf1 $p |- ( ph -> ( X : P -1-1-> E /\ Y : E -1-1-> D ) ) $=
        ( wceq wi vx vy va vb wf1 wf cv cfv wral wfo fcoreslem3 fof syl ccom wa
        dff13 wcel fcoresf1lem adantrr adantrl eqeq12d imbi1d a1i imim1d sylbid
        fveq2 ralimdvva adantld syl5bi mpd sylanbrc cres crn cin inss2 eqsstrdi
        fssresd feq1i sylibr wrex fcoreslem2 eqcomd eleq2d wfn wb fvelrnb bitrd
        fofn anbi12d fveqeq2 eqeq1 imbi12d eqeq2d equequ2 rspc2v adantl syld ex
        imim2d impl eqeqan12rd eqeq12 ancoms syl5ibcom expd rexlimdva ralrimivv
        com23 impd jca ) AFGJUEZGEKUEZAFGJUFZUAUGZJUHZUBUGZJUHZSZXNXPSZTZUBFUIU
        AFUIZXKAFGJUJZXMABCDFGHJLMNOUKZFGJULUMAFEIHUNZUEZYARYEFEYDUFZXNYDUHZXPY
        DUHZSZXSTZUBFUIUAFUIZUOZAYAUAUBFEYDUPZAYKYAYFAYJXTUAUBFFAXNFUQZXPFUQZUO
        UOZYJXOKUHZXQKUHZSZXSTXTYPYIYSXSYPYGYQYHYRAYNYGYQSYOABCDEFGHIJKXNLMNOPQ
        URUSAYOYHYRSYNABCDEFGHIJKXPLMNOPQURUTVAVBYPXRYSXSXRYSTYPXOXQKVFVCVDVEVG
        VHVIVJUAUBFGJUPVKAGEKUFZXNKUHZXPKUHZSZXSTZUBGUIUAGUIXLAGEIGVLZUFYTADEGI
        PAGHVMZDVNZDGUUGSAMVCUUFDVOVPVQGEKUUEQVRVSAUUDUAUBGGAXNGUQZXPGUQZUOUCUG
        ZJUHZXNSZUCFVTZUDUGZJUHZXPSZUDFVTZUOUUDAUUHUUMUUIUUQAUUHXNJVMZUQZUUMAGU
        URXNAUURGABCDFGHJLMNOWAWBZWCAJFWDZUUSUUMWEAYBUVAYCFGJWHUMZUCFXNJWFUMWGA
        UUIXPUURUQZUUQAGUURXPUUTWCAUVAUVCUUQWEUVBUDFXPJWFUMWGWIAUUMUUQUUDAUULUU
        QUUDTUCFAUUJFUQZUOZUUQUULUUDUVEUUPUULUUDTUDFUVEUUNFUQZUOZUUPUULUUDUVGUU
        KKUHZUUOKUHZSZUUKUUOSZTZUUPUULUOZUUDAUVDUVFUVLAYEUVDUVFUOZUVLTZRYEYLAUV
        OYMAYKUVOYFAUVNYKUVLAUVNYKUVLTAUVNUOZYKUUJYDUHZUUNYDUHZSZUUJUUNSZTZUVLU
        VNYKUWATAYJUWAUVQYHSZUUJXPSZTUAUBUUJUUNFFXNUUJSYIUWBXSUWCXNUUJYHYDWJXNU
        UJXPWKWLXPUUNSZUWBUVSUWCUVTUWDYHUVRUVQXPUUNYDVFWMUBUDUCWNWLWOWPUVPUWAUV
        JUVTTUVLUVPUVSUVJUVTUVPUVQUVHUVRUVIAUVDUVQUVHSUVFABCDEFGHIJKUUJLMNOPQUR
        USAUVFUVRUVISUVDABCDEFGHIJKUUNLMNOPQURUTVAVBUVPUVTUVKUVJUVTUVKTUVPUUJUU
        NJVFVCWSVEWQWRXHVHVIVJWTUVMUVJUUCUVKXSUULUUPUVHUUAUVIUUBUUKXNKVFUUOXPKV
        FXAUULUUPUVKXSWEUUKXNUUOXPXBXCWLXDXEXFXHXFXIVEXGUAUBGEKUPVKXJ $.
    $}

    $( A composition is injective iff the restrictions of its components to the
       minimum domains are injective.  (Contributed by GL and AV,
       7-Oct-2024.) $)
    fcoresf1b $p |- ( ph -> ( ( G o. F ) : P -1-1-> D
                              <-> ( X : P -1-1-> E /\ Y : E -1-1-> D ) ) ) $=
      ( ccom wf1 wa wf adantr simpr fcoresf1 ex f1co ancoms wb fcores f1eq1 syl
      wceq syl5ibr impbid ) AFEIHRZSZFGJSZGEKSZTZAUPUSAUPTBCDEFGHIJKABCHUAUPLUB
      MNOADEIUAUPPUBQAUPUCUDUEUSUPAFEKJRZSZURUQVAFGEKJUFUGAUOUTULUPVAUHABCDEFGH
      IJKLMNOPQUIFEUOUTUJUKUMUN $.

    ${
      fcoresfo.s $e |- ( ph -> ( G o. F ) : P -onto-> D ) $.
      $( If a composition is surjective, then the restriction of its first
         component to the minimum domain is surjective.  (Contributed by AV,
         17-Sep-2024.) $)
      fcoresfo $p |- ( ph -> Y : E -onto-> D ) $=
        ( wf wfo ccom cres crn cin wceq a1i inss2 eqsstrdi fssresd feq1i sylibr
        fcoreslem3 fof syl wb fcores eqcomd foeq1 mpbird foco2 syl3anc ) AGEKSZ
        FGJSZFEKJUAZTZGEKTAGEIGUBZSVBADEGIPAGHUCZDUDZDGVHUEAMUFVGDUGUHUIGEKVFQU
        JUKAFGJTVCABCDFGHJLMNOULFGJUMUNAVEFEIHUAZTZRAVDVIUEVEVJUOAVIVDABCDEFGHI
        JKLMNOPQUPUQFEVDVIURUNUSFGEKJUTVA $.
    $}

    $( A composition is surjective iff the restriction of its first component
       to the minimum domain is surjective.  (Contributed by GL and AV,
       7-Oct-2024.) $)
    fcoresfob $p |- ( ph -> ( ( G o. F ) : P -onto-> D
                              <-> Y : E -onto-> D ) ) $=
      ( wfo wa adantr ccom wf simpr fcoresfo fcoreslem3 anim1ci foco syl fcores
      wceq wb foeq1 mpbird impbida ) AFEIHUAZRZGEKRZAUPSBCDEFGHIJKABCHUBUPLTMNO
      ADEIUBUPPTQAUPUCUDAUQSZUPFEKJUAZRZURUQFGJRZSUTAVAUQABCDFGHJLMNOUEUFFGEKJU
      GUHURUOUSUJZUPUTUKAVBUQABCDEFGHIJKLMNOPQUITFEUOUSULUHUMUN $.

    $( A composition is bijective iff the restriction of its first component to
       the minimum domain is bijective and the restriction of its second
       component to the minimum domain is injective.  (Contributed by GL and
       AV, 7-Oct-2024.) $)
    fcoresf1ob $p |- ( ph -> ( ( G o. F ) : P -1-1-onto-> D
                           <-> ( X : P -1-1-> E /\ Y : E -1-1-onto-> D ) ) ) $=
      ( wf1 wfo wa ccom fcoresf1b fcoresfob anbi12d anass bitrdi df-f1o 3bitr4g
      wf1o anbi2i ) AFEIHUAZRZFEUKSZTZFGJRZGEKRZGEKSZTZTZFEUKUIUOGEKUIZTAUNUOUP
      TZUQTUSAULVAUMUQABCDEFGHIJKLMNOPQUBABCDEFGHIJKLMNOPQUCUDUOUPUQUEUFFEUKUGU
      TURUOGEKUGUJUH $.

    ${
      f1cof1blem.s $e |- ( ph -> ran F = C ) $.
      $( Lemma for ~ f1cof1b and ~ focofob .  (Contributed by AV,
         18-Sep-2024.) $)
      f1cof1blem $p |- ( ph -> ( ( P = A /\ E = C )
                              /\ ( X = F /\ Y = G ) ) ) $=
        ( wceq syl5eq wa ccnv crn cima eqcomd imaeq2d cdm cnvimarndm fdmd eqtrd
        cin simpr ineq1d inidm eqtrdi mpdan jca cres reseq2d freld resdm eqtr4d
        wrel syl jca32 ) AFBSZGDSZUAJHSKISAVFVGAFHUBZHUCZUDZBAFVHDUDVJNADVIVHAV
        IDRUEUFTZAVJHUGZBHUHZABCHLUITUJAGVIDUKZDMAVIDSZVNDSRAVOUAZVNDDUKDVPVIDD
        AVOULUMDUNUOUPTZUQAJHVLURZHAJHFURVROAFVLHAFVJVLVKVMUOUSTAHVCVRHSABCHLUT
        HVAVDUJAKIIUGZURZIAKIGURVTQAGVSIAGDVSVQADEIPUIVBUSTAIVCVTISADEIPUTIVAVD
        UJVE $.
    $}
  $}

  $( If the range of ` F ` equals the domain of ` G ` , then the composition
     ` ( G o. F ) ` is injective iff ` F ` and ` G ` are both injective.
     (Contributed by GL and AV, 19-Sep-2024.) $)
  f1cof1b $p |- ( ( F : A --> B /\ G : C --> D /\ ran F = C )
                  -> ( ( G o. F ) : A -1-1-> D
                       <-> ( F : A -1-1-> B /\ G : C -1-1-> D ) ) ) $=
    ( wf wceq wf1 wa cima cres eqid simpll adantr simpr ancomd f1eq123d biimpd
    wb crn w3a ccom ccnv simp1 simp2 simp3 f1cof1blem f1eq2 bicomd ancom anbi2i
    cin 3syl sylibr fcoresf1 simprl eqidd simprr anim12d sylc sylbida wfun ffrn
    impbid2 anbi1d df-f1 3bitr4g 3ad2ant1 f1eq3 3ad2ant3 bitrd anbi2d mpbird ex
    ax-1 f1cof1 ancoms imaeq2 cnvimarndm eqtrdi eqcoms fdmd eqtrd syl5ib impbid
    cdm syl ) ABEGZCDFGZEUAZCHZUBZADFEUCZIZABEIZCDFIZJZWMWOWRWMWOJZWQWPWSWQWPJZ
    WQACEIZJZWMWOEUDZCKZDWNIZXBWMXEWOWMXDAHZWKCUMZCHZJZEXDLZEHZFXGLZFHZJZJZXFXE
    WOTZWMABCDXDXGEFXJXLWIWJWLUEZXGMZXDMZXJMZWIWJWLUFZXLMZWIWJWLUGUHZXFXHXNNXDA
    DWNUIZUNUJWMXEJZXIXMXKJZJZXGDXLIZXDXGXJIZJXBWMYGXEWMXOYGYCYFXNXIXMXKUKULUOO
    YEYIYHYEABCDXDXGEFXJXLWMWIXEXQOXRXSXTWMWJXEYAOYBWMXEPUPQYGYHWQYIXAYGYHWQYGX
    GCDDXLFXIXMXKUQXIXHYFXFXHPOZYGDURRSYGYIXAYGXDAXGCXJEXIXMXKUSXFXHYFNYJRSUTVA
    VBWMWTXBTWOWMWPXAWQWMWPAWKEIZXAWIWJWPYKTWLWIWIXCVCZJAWKEGZYLJWPYKWIWIYMYLWI
    WIYMABEVDWIYMVPVEVFABEVGAWKEVGVHVIWLWIYKXATWJWKCAEVJVKVLVMOVNQVOWRXEWMWOWQW
    PXEABCDFEVQVRWMXFXPWMXDEWGZAWLWIXDYNHZWJYOCWKCWKHXDXCWKKYNCWKXCVSEVTWAWBVKW
    MABEXQWCWDYDWHWEWF $.

  $( If the domain of a function ` G ` is a subset of the range of a function
     ` F ` , then the composition ` ( G o. F ) ` is surjective iff ` G ` is
     surjective.  (Contributed by GL and AV, 29-Sep-2024.) $)
  funfocofob $p |- ( ( Fun F /\ G : A --> B /\ A C_ ran F )
            -> ( ( G o. F ) : ( `' F " A ) -onto-> B <-> G : A -onto-> B ) ) $=
    ( wfun wf crn wss w3a ccnv wfo cres wa cdm biimpi adantr eqid simpr ex wceq
    cima ccom cin fdmrn 3ad2ant1 simp2 fcoresfo sseqin2 3ad2ant3 eqtr4d reseq2d
    fdmd wrel freld resdm syl eqtrd eqidd foeq123d sylibd simpl1 simpl3 syl3anc
    focofo impbid ) CEZABDFZACGZHZIZCJAUAZBDCUBKZABDKZVJVLVHAUCZBDVNLZKZVMVJVLV
    PVJVLMCNZVHABVKVNCDCVKLZVOVJVQVHCFZVLVFVGVSVIVFVSCUDOUEPVNQVKQVRQVJVGVLVFVG
    VIUFZPVOQVJVLRUGSVJVNABBVODVJVODDNZLZDVJVNWADVJVNAWAVIVFVNATZVGVIWCAVHUHOUI
    ZVJABDVTULUJUKVJDUMWBDTVJABDVTUNDUOUPUQWDVJBURUSUTVJVMVLVJVMMVMVFVIVLVJVMRV
    FVGVIVMVAVFVGVIVMVBABDCVDVCSVE $.

  $( If the domain of a function ` G ` equals the range of a function ` F ` ,
     then the composition ` ( G o. F ) ` is surjective iff ` G ` is surjective.
     (Contributed by GL and AV, 29-Sep-2024.) $)
  fnfocofob $p |- ( ( F Fn A /\ G : B --> C /\ ran F = B )
                  -> ( ( G o. F ) : A -onto-> C <-> G : B -onto-> C ) ) $=
    ( wfn wf crn wceq w3a ccom wfo ccnv cima wb cdm cnvimarndm 3ad2ant1 eqtr2id
    fndm imaeq2 3ad2ant3 eqtrd foeq2 syl wss fnfun id eqimss2 funfocofob syl3an
    wfun bitrd ) DAFZBCEGZDHZBIZJZACEDKZLZDMZBNZCUSLZBCELZURAVBIUTVCOURAVAUPNZV
    BURVEDPZADQUNUOVFAIUQADTRSUQUNVEVBIUOUPBVAUAUBUCAVBCUSUDUEUNDULUOUOUQBUPUFV
    CVDOADUGUOUHBUPUIBCDEUJUKUM $.

  $( If the domain of a function ` G ` equals the range of a function ` F ` ,
     then the composition ` ( G o. F ) ` is surjective iff ` G ` and ` F ` as
     function to the domain of ` G ` are both surjective.  Symmetric version of
     ~ fnfocofob including the fact that ` F ` is a surjection onto its range.
     (Contributed by GL and AV, 20-Sep-2024.)  (Proof shortened by AV,
     29-Sep-2024.) $)
  focofob $p |- ( ( F : A --> B /\ G : C --> D /\ ran F = C )
                  -> ( ( G o. F ) : A -onto-> D
                       <-> ( F : A -onto-> C /\ G : C -onto-> D ) ) ) $=
    ( wf crn wceq w3a ccom wfo wa wfn wb ffn fnfocofob syl3an1 dffn4 sylib
    3ad2ant1 foeq3 3ad2ant3 mpbid biantrurd bitrd ) ABEGZCDFGZEHZCIZJZADFEKLZCD
    FLZACELZUMMUGEANZUHUJULUMOABEPZACDEFQRUKUNUMUKAUIELZUNUGUHUQUJUGUOUQUPAESTU
    AUJUGUQUNOUHUICAEUBUCUDUEUF $.

  $( If the range of ` F ` equals the domain of ` G ` , then the composition
     ` ( G o. F ) ` is bijective iff ` F ` and ` G ` are both bijective.
     (Contributed by GL and AV, 7-Oct-2024.) $)
  f1ocof1ob $p |- ( ( F : A --> B /\ G : C --> D /\ ran F = C )
                    -> ( ( G o. F ) : A -1-1-onto-> D
                      <-> ( F : A -1-1-> C /\ G : C -1-1-onto-> D ) ) ) $=
    ( wf crn wceq w3a ccom wf1 wfo wa wf1o wb ffrn 3ad2ant1 feq3 df-f1o f1cof1b
    3ad2ant3 mpbid syld3an1 wfn fnfocofob syl3an1 anbi12d bitrdi anbi2i 3bitr4g
    ffn anass ) ABEGZCDFGZEHZCIZJZADFEKZLZADUSMZNZACELZCDFLZCDFMZNZNZADUSOVCCDF
    OZNURVBVCVDNZVENVGURUTVIVAVEACEGZUOUNUQUTVIPURAUPEGZVJUNUOVKUQABEQRUQUNVKVJ
    PUOUPCAESUBUCACCDEFUAUDUNEAUEUOUQVAVEPABEULACDEFUFUGUHVCVDVEUMUIADUSTVHVFVC
    CDFTUJUK $.

  $( If the range of ` F ` equals the domain of ` G ` , then the composition
     ` ( G o. F ) ` is bijective iff ` F ` and ` G ` are both bijective.
     Symmetric version of ~ f1ocof1ob including the fact that ` F ` is a
     surjection onto its range.  (Contributed by GL and AV, 20-Sep-2024.)
     (Proof shortened by AV, 7-Oct-2024.) $)
  f1ocof1ob2 $p |- ( ( F : A --> B /\ G : C --> D /\ ran F = C )
                    -> ( ( G o. F ) : A -1-1-onto-> D
                      <-> ( F : A -1-1-onto-> C /\ G : C -1-1-onto-> D ) ) ) $=
    ( wf crn wceq w3a ccom wf1o wf1 wa f1ocof1ob f1f1orn f1oeq3 syl5ib 3ad2ant3
    wi f1of1 impbid1 anbi1d bitrd ) ABEGZCDFGZEHZCIZJZADFEKLACEMZCDFLZNACELZUKN
    ABCDEFOUIUJULUKUIUJULUHUEUJULTUFUJAUGELUHULACEPUGCAEQRSACEUAUBUCUD $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Alternative for Russell's definition of a description binder
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c iota' $.
  $( Extend class notation with an alternative for Russell's definition of a
     description binder (inverted iota). $)
  caiota $a class ( iota' x ph ) $.

  ${
    $d w x z $.  $d ph w z $.  $d ph w y $.  $d x y $.
    $( Soundness justification theorem for ~ df-aiota .  (Contributed by AV,
       24-Aug-2022.) $)
    aiotajust $p |- |^| { y | { x | ph } = { y } }
                    = |^| { z | { x | ph } = { z } } $=
      ( vw cab cv csn wceq weq sneq eqeq2d cbvabv eqtri inteqi ) ABFZCGZHZIZCFZ
      PDGZHZIZDFZTPEGZHZIZEFUDSUGCECEJRUFPQUEKLMUGUCEDEDJUFUBPUEUAKLMNO $.
  $}

  ${
    $d y x $.  $d y ph $.
    $( Alternate version of Russell's definition of a description binder, which
       can be read as "the unique ` x ` such that ` ph ` ", where ` ph `
       ordinarily contains ` x ` as a free variable.  Our definition is
       meaningful only when there is exactly one ` x ` such that ` ph ` is true
       (see ~ aiotaval ); otherwise, it is not a set (see ~ aiotaexb ), or even
       more concrete, it is the universe ` _V ` (see ~ aiotavb ).  Since this
       is an alternative for ~ df-iota , we call this symbol ` iota' `
       _alternate iota_ in the following.

       The advantage of this definition is the clear distinguishability of the
       defined and undefined cases: the alternate iota over a wff is defined
       iff it is a set (see ~ aiotaexb ).  With the original definition, there
       is no corresponding theorem ` ( E! x ph <-> ( iota x ph ) =/= (/) ) ` ,
       because ` (/) ` can be a valid unique set satisfying a wff (see, for
       example, ~ iota0def ).  Only the right to left implication would hold,
       see (negated) ~ iotanul .  For defined cases, however, both definitions
       ~ df-iota and ~ df-aiota are equivalent, see ~ reuaiotaiota .  (Proposed
       by BJ, 13-Aug-2022.)  (Contributed by AV, 24-Aug-2022.) $)
    df-aiota $a |- ( iota' x ph ) = |^| { y | { x | ph } = { y } } $.

    $( Alternate definition of the alternate version of Russell's definition of
       a description binder.  Definition 8.18 in [Quine] p. 56.  (Contributed
       by AV, 24-Aug-2022.) $)
    dfaiota2 $p |- ( iota' x ph ) = |^| { y | A. x ( ph <-> x = y ) } $=
      ( caiota cab cv csn wceq cint weq wb wal df-aiota absn abbii inteqi eqtri
      ) ABDABECFZGHZCEZIABCJKBLZCEZIABCMTUBSUACABRNOPQ $.
  $}

  ${
    $d x y $.  $d ph y $.
    $( The iota and the alternate iota over a wff ` ph ` are equal iff there is
       a unique satisfying value of ` { x | ph } = { y } ` .  (Contributed by
       AV, 25-Aug-2022.) $)
    reuabaiotaiota $p |- ( E! y { x | ph } = { y }
                         <-> ( iota x ph ) = ( iota' x ph ) ) $=
      ( cab csn wceq weu cuni cint cio caiota uniintab df-iota df-aiota eqeq12i
      cv bitr4i ) ABDCPEFZCGRCDZHZSIZFABJZABKZFRCLUBTUCUAABCMABCNOQ $.

    $( The iota and the alternate iota over a wff ` ph ` are equal iff there is
       a unique value ` x ` satisfying ` ph ` .  (Contributed by AV,
       25-Aug-2022.) $)
    reuaiotaiota $p |- ( E! x ph <-> ( iota x ph ) = ( iota' x ph ) ) $=
      ( vy weu cab cv csn wceq cio caiota euabsneu reuabaiotaiota bitri ) ABDAB
      ECFGHCDABIABJHABCKABCLM $.

    $( The alternate iota over a wff ` ph ` is a set iff there is a unique
       value ` x ` satisfying ` ph ` .  (Contributed by AV, 25-Aug-2022.) $)
    aiotaexb $p |- ( E! x ph <-> ( iota' x ph ) e. _V ) $=
      ( vy cab cv csn wceq wex cint cvv wcel weu caiota intexab df-aiota eleq1i
      euabsn2 3bitr4i ) ABDCEFGZCHSCDIZJKABLABMZJKSCNABCQUATJABCOPR $.

    $( The alternate iota over a wff ` ph ` is the universe iff there is no
       unique value ` x ` satisfying ` ph ` .  (Contributed by AV,
       25-Aug-2022.) $)
    aiotavb $p |- ( -. E! x ph <-> ( iota' x ph ) = _V ) $=
      ( vy caiota cvv wcel wceq weu cab cv csn wn intnex df-aiota eleq1i notbii
      cint eqeq1i 3bitr4i aiotaexb xchnxbir ) ABDZEFZUBEGZABHABICJKGCIZQZEFZLUF
      EGUCLUDUEMUCUGUBUFEABCNZOPUBUFEUHRSABTUA $.

    $( This is to ~ df-aiota what ~ iotauni is to ~ df-iota (it uses
       intersection like ~ df-aiota , similar to ~ iotauni using union like
       ~ df-iota ; we could also prove an analogous result using union here
       too, in the same way that we have ~ iotaint ).  (Contributed by BJ,
       31-Aug-2024.) $)
    aiotaint $p |- ( E! x ph -> ( iota' x ph ) = |^| { x | ph } ) $=
      ( weu cio caiota cab cint wceq reuaiotaiota biimpi iotaint eqtr3d ) ABCZA
      BDZABEZABFGMNOHABIJABKL $.

    ${
      $( Alternate definition of ` iota' ` : this is to ~ df-aiota what
         ~ dfiota4 is to ~ df-iota . operation using the ` if ` operator.  It
         is simpler than ~ df-aiota and uses no dummy variables, so it would be
         the preferred definition if ` iota' ` becomes the description binder
         used in set.mm.  (Contributed by BJ, 31-Aug-2024.) $)
      dfaiota3 $p |- ( iota' x ph ) = if ( E! x ph , |^| { x | ph } , _V ) $=
        ( caiota weu cab cint cvv cif wceq wi wn aiotaint biimpi ifval mpbir2an
        aiotavb ) ABCZABDZABEFZGHIRQSIJRKZQGIZJABLTUAABPMRQSGNO $.
    $}

    $( If the iota over a wff ` ph ` is not empty, the alternate iota over
       ` ph ` is a set.  (Contributed by AV, 25-Aug-2022.) $)
    iotan0aiotaex $p |- ( ( iota x ph ) =/= (/) -> ( iota' x ph ) e. _V ) $=
      ( cio c0 wne weu caiota cvv wcel iotanul necon1ai aiotaexb sylib ) ABCZDE
      ABFZABGHIONDABJKABLM $.

    $( The alternate iota over a wff ` ph ` is a set iff the iota and the
       alternate iota over ` ph ` are equal.  (Contributed by AV,
       25-Aug-2022.) $)
    aiotaexaiotaiota $p |- ( ( iota' x ph ) e. _V
                             <-> ( iota x ph ) = ( iota' x ph ) ) $=
      ( caiota cvv wcel weu cio wceq aiotaexb reuaiotaiota bitr3i ) ABCZDEABFAB
      GLHABIABJK $.
  $}

  ${
    $d x y z $.  $d ph z $.
    $( Theorem 8.19 in [Quine] p. 57.  This theorem is the fundamental property
       of (alternate) iota.  (Contributed by AV, 24-Aug-2022.) $)
    aiotaval $p |- ( A. x ( ph <-> x = y ) -> ( iota' x ph ) = y ) $=
      ( vz weq wb wal caiota cio cv cab csn wceq eusnsn eqcom eubii mpbir eqeq1
      weu eubidv mpbiri absn reuabaiotaiota bitri 3imtr3i iotaval eqtrd ) ABCEF
      BGZABHZABIZCJZABKZUKLZMZULDJLZMZDSZUHUIUJMZUNUQUMUOMZDSZUTUOUMMZDSDCNUSVA
      DUMUOOPQUNUPUSDULUMUORTUAABUKUBUQUJUIMURABDUCUJUIOUDUEABCUFUG $.
  $}

  ${
    $d x y z $.
    $( Example for a defined alternate iota being the empty set, i.e.,
       ` A. y x C_ y ` is a wff satisfied by a unique value ` x ` , namely
       ` x = (/) ` (the empty set is the one and only set which is a subset of
       every set).  This corresponds to ~ iota0def .  (Contributed by AV,
       25-Aug-2022.) $)
    aiota0def $p |- ( iota' x A. y x C_ y ) = (/) $=
      ( vz c0 cvv wcel cv wss wal wceq wb caiota 0ex al0ssb ax-gen weq wi eqeq2
      bibi2d albidv imbi12d aiotaval vtoclg mp2 ) DEFAGZBGHBIZUEDJZKZAIZUFALZDJ
      ZMUHABUENOUFACPZKZAIZUJCGZJZQUIUKQCDEUODJZUNUIUPUKUQUMUHAUQULUGUFUODUERST
      UODUJRUAUFACUBUCUD $.

    $( Example for an undefined alternate iota being no set, i.e.,
       ` A. y y e. x ` is a wff not satisfied by a (unique) value ` x ` (there
       is no set, and therefore certainly no unique set, which contains every
       set).  This is different from ~ iota0ndef , where the iota still is a
       set (the empty set).  (Contributed by AV, 25-Aug-2022.) $)
    aiota0ndef $p |- ( iota' x A. y y e. x ) e/ _V $=
      ( wel wal caiota cvv wnel weu wn wex wa nalset intnanr df-eu mtbir df-nel
      wmo wcel aiotaexb xchbinxr mpbir ) BACBDZAEZFGZUBAHZIUEUBAJZUBAQZKUFUGABL
      MUBANOUDUCFRUEUCFPUBASTUA $.
  $}


$( Begin $[ set-mbox-av-2reu.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Double restricted existential uniqueness
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Restricted quantification (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    r19.32.1 $e |- F/ x ph $.
    $( Theorem 19.32 of [Margaris] p. 90 with restricted quantifiers, analogous
       to ~ r19.32v .  (Contributed by Alexander van der Vekens,
       29-Jun-2017.) $)
    r19.32 $p |- ( A. x e. A ( ph \/ ps ) <-> ( ph \/ A. x e. A ps ) ) $=
      ( wn wi wral wo nfn r19.21 df-or ralbii 3bitr4i ) AFZBGZCDHOBCDHZGABIZCDH
      AQIOBCDACEJKRPCDABLMAQLN $.
  $}

  ${
    $d x y A $.  $d y ph $.
    $( An equivalent expression for restricted existence, analogous to ~ exsb .
       (Contributed by Alexander van der Vekens, 1-Jul-2017.) $)
    rexsb $p |- ( E. x e. A ph <-> E. y e. A A. x ( x = y -> ph ) ) $=
      ( weq wi wal nfv nfa1 ax12v sp com12 impbid cbvrexw ) ABCEZAFZBGZBCDACHPB
      IOAQABCJQOAPBKLMN $.

    $( An equivalent expression for restricted existence, analogous to ~ exsb .
       (Contributed by Alexander van der Vekens, 1-Jul-2017.) $)
    rexrsb $p |- ( E. x e. A ph <-> E. y e. A A. x e. A ( x = y -> ph ) ) $=
      ( wrex weq wi wal wral rexsb cv wcel alral df-ral wa 19.27v pm2.04 eleq1w
      biimprd imim1d a2i 3syl alimi sylbir ex sylbi com12 impbid2 rexbiia bitri
      imp ) ABDEBCFZAGZBHZCDEUMBDIZCDEABCDJUNUOCDCKDLZUNUOUMBDMUOUPUNUOBKDLZUMG
      ZBHZUPUNGUMBDNUSUPUNUSUPOURUPOZBHUNURUPBPUTUMBURUPUMURULUQAGZGULUPAGZGUPU
      MGUQULAQULVAVBULUPUQAULUQUPBCDRSTUAULUPAQUBUKUCUDUEUFUGUHUIUJ $.
  $}

  ${
    $d w x y z B $.  $d w x z A $.  $d z w ph $.
    $( An equivalent expression for double restricted existence, analogous to
       ~ rexsb .  (Contributed by Alexander van der Vekens, 1-Jul-2017.) $)
    2rexsb $p |- ( E. x e. A E. y e. B ph <-> E. z e. A E. w e. B
                   A. x A. y ( ( x = z /\ y = w ) -> ph ) ) $=
      ( wrex weq wi wal wa rexsb rexbii rexcom bitri impexp albii 19.21v bitr2i
      ) ACGHZBFHZCEIZAJZCKZBFHZEGHZBDIZUCLAJZCKZBKZEGHDFHZUBUEEGHZBFHUGUAUMBFAC
      EGMNUEBEFGOPUGUKDFHZEGHULUFUNEGUFUHUEJZBKZDFHUNUEBDFMUPUKDFUOUJBUJUHUDJZC
      KUOUIUQCUHUCAQRUHUDCSTRNPNUKEDGFOPP $.

    $( An equivalent expression for double restricted existence, analogous to
       ~ 2exsb .  (Contributed by Alexander van der Vekens, 1-Jul-2017.) $)
    2rexrsb $p |- ( E. x e. A E. y e. B ph <-> E. z e. A E. w e. B
                   A. x e. A A. y e. B ( ( x = z /\ y = w ) -> ph ) ) $=
      ( wrex wi wral wa rexrsb rexbii rexcom bitri impexp ralbii r19.21v bitr2i
      weq ) ACGHZBFHZCETZAIZCGJZBFHZEGHZBDTZUCKAIZCGJZBFJZEGHDFHZUBUEEGHZBFHUGU
      AUMBFACEGLMUEBEFGNOUGUKDFHZEGHULUFUNEGUFUHUEIZBFJZDFHUNUEBDFLUPUKDFUOUJBF
      UJUHUDIZCGJUOUIUQCGUHUCAPQUHUDCGRSQMOMUKEDGFNOO $.
  $}

  ${
    $d x z A $.  $d x y B $.  $d z y B $.  $d w y B $.
    cbvral2.1 $e |- F/ z ph $.
    cbvral2.2 $e |- F/ x ch $.
    cbvral2.3 $e |- F/ w ch $.
    cbvral2.4 $e |- F/ y ps $.
    cbvral2.5 $e |- ( x = z -> ( ph <-> ch ) ) $.
    cbvral2.6 $e |- ( y = w -> ( ch <-> ps ) ) $.
    $( Change bound variables of double restricted universal quantification,
       using implicit substitution, analogous to ~ cbvral2v .  (Contributed by
       Alexander van der Vekens, 2-Jul-2017.) $)
    cbvral2 $p |- ( A. x e. A A. y e. B ph <-> A. z e. A A. w e. B ps ) $=
      ( wral nfcv nfral weq cbvralw ralbidv ralbii bitri ) AEIPZDHPCEIPZFHPBGIP
      ZFHPUDUEDFHAFEIFIQJRCDEIDIQKRDFSACEINUATUEUFFHCBEGILMOTUBUC $.

    $( Change bound variables of double restricted universal quantification,
       using implicit substitution, analogous to ~ cbvrex2v .  (Contributed by
       Alexander van der Vekens, 2-Jul-2017.) $)
    cbvrex2 $p |- ( E. x e. A E. y e. B ph <-> E. z e. A E. w e. B ps ) $=
      ( wrex nfcv nfrex weq cbvrexw rexbidv rexbii bitri ) AEIPZDHPCEIPZFHPBGIP
      ZFHPUDUEDFHAFEIFIQJRCDEIDIQKRDFSACEINUATUEUFFHCBEGILMOTUBUC $.
  $}

  $( Example for a theorem about a restricted universal quantification in which
     the restricting class depends on (actually is) the bound variable:  All
     sets containing themselves contain the universal class.  (Contributed by
     AV, 24-Jun-2023.) $)
  ralndv1 $p |- A. x e. x _V e. x $=
    ( cvv cv wcel wel elirrv pm2.21i rgen ) BACZDZAIAAEJAFGH $.

  $( Second example for a theorem about a restricted universal quantification
     in which the restricting class depends on the bound variable: all subsets
     of a set are sets.  (Contributed by AV, 24-Jun-2023.) $)
  ralndv2 $p |- A. x e. ~P x x e. _V $=
    ( cv cvv wcel cpw vex rgenw ) ABZCDAHEAFG $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Restricted uniqueness and "at most one" quantification
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d B x y $.  $d C x y $.  $d F x y $.  $d ph x y $.  $d ps y $.  $d ps z $.
    $d th x $.  $d x z $.
    reuf1odnf.f $e |- ( ph -> F : C -1-1-onto-> B ) $.
    reuf1odnf.x $e |- ( ( ph /\ x = ( F ` y ) ) -> ( ps <-> ch ) ) $.
    reuf1odnf.z $e |- ( x = z -> ( ps <-> th ) ) $.
    reuf1odnf.n $e |- F/ x ch $.
    $( There is exactly one element in each of two isomorphic sets.  Variant of
       ~ reuf1od with no distinct variable condition for ` ch ` .  (Contributed
       by AV, 19-Mar-2023.) $)
    reuf1odnf $p |- ( ph -> ( E! x e. B ps <-> E! y e. C ch ) ) $=
      ( wreu cv wsbc wceq wa wb cfv wf1o f1of syl ffvelrnda wcel f1ofveu reubii
      wf eqcom sylibr sylan sbceq1a adantl cbvsbcvw bitrdi reuxfr1d a1i reubidv
      bicomd cvv fvexd nfv wnf sbciedf 3bitrd ) ABEHODGFPZJUAZQZFIOBEVHQZFIOCFI
      OABVIEFVHHIAIHVGJAIHJUBZIHJUIKIHJUCUDUEAVKEPZHUFZVLVHRZFIOZKVKVMSVHVLRZFI
      OVOFIHVLJUGVNVPFIVLVHUJUHUKULAVNSBVJVIVNBVJTABEVHUMUNBDEGVHMUOZUPUQAVIVJF
      IAVJVIVJVITAVQURUTUSAVJCFIABCEVHVAAVGJVBLAEVCCEVDANURVEUSVF $.
  $}

  ${
    $d B x y $.  $d C x y $.  $d F x y $.  $d ph x y $.  $d ps y $.  $d ch x $.
    reuf1od.f $e |- ( ph -> F : C -1-1-onto-> B ) $.
    reuf1od.x $e |- ( ( ph /\ x = ( F ` y ) ) -> ( ps <-> ch ) ) $.
    $( There is exactly one element in each of two isomorphic sets.
       (Contributed by AV, 19-Mar-2023.) $)
    reuf1od $p |- ( ph -> ( E! x e. B ps <-> E! y e. C ch ) ) $=
      ( cv cfv wf1o wf f1of syl ffvelrnda wcel wceq wreu wa eqcom reubii sylibr
      f1ofveu sylan reuxfr1d ) ABCDEEKZHLZFGAGFUHHAGFHMZGFHNIGFHOPQAUJDKZFRZUKU
      ISZEGTZIUJULUAUIUKSZEGTUNEGFUKHUEUMUOEGUKUIUBUCUDUFJUG $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d V x y $.
    $( There is a set which is equal to one of two other sets iff the other
       sets are equal.  (Contributed by AV, 24-Jan-2023.) $)
    euoreqb $p |- ( ( A e. V /\ B e. V ) -> ( E! x e. V ( x = A \/ x = B )
                                              <-> A = B ) ) $=
      ( vy wcel wa cv wceq wo wi eqeq1 orbi12d eqeq2 imbi12d rspcv wn com12 ex
      wreu weq wral wrex reu8 simprlr ioran eqid pm2.24i simplbiim eqtr2 ancoms
      syl expimpd ja syld simprll adantr sylbi jaoi impd rexlimdva syl5bi reueq
      a1d biimpi adantl wb orbi1d oridm bitrdi reubidv mpbird impbid ) BDFZCDFZ
      GZAHZBIZVQCIZJZADTZBCIZWAVTEHZBIZWCCIZJZAEUAZKZEDUBZGZADUCVPWBVTWFAEDWGVR
      WDVSWEVQWCBLVQWCCLMUDVPWJWBADVPVQDFZGZVTWIWBVTWLWIWBKZVRWLWMKVSVRWLWMVRWL
      GZWICBIZCCIZJZVSKZWBWNVOWIWRKVRVNVOWKUEWHWRECDWEWFWQWGVSWEWDWOWEWPWCCBLWC
      CCLMWCCVQNOPULWRWNWBWQVSWNWBKZWQQWOQWPQWSWOWPUFWPWSCUGUHUIVSVRWLWBVSVRGWB
      WLVRVSWBVQBCUJZUKVDUMUNRUOSVSWLWMVSWLGZWIBBIZWBJZVRKZWBXAVNWIXDKVSVNVOWKU
      PWHXDEBDWDWFXCWGVRWDWDXBWEWBWCBBLWCBCLMWCBVQNOPULXDXAWBXCVRXAWBKZXCQXBQZW
      BQZGXEXBWBUFXFXEXGXBXEBUGUHUQURVRVSWLWBVRVSGWBWLWTVDUMUNRUOSUSRUTVAVBVPWB
      WAVPWBGZWAVSADTZVPXIWBVOXIVNVOXIADCVCVEVFUQXHVTVSADXHVTVSVSJVSXHVRVSVSWBV
      RVSVGVPBCVQNVFVHVSVIVJVKVLSVM $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Analogs to Existential uniqueness (double quantification)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y A $.  $d x y B $.
    $( Double restricted existential uniqueness, analogous to ~ 2eu3 .
       (Contributed by Alexander van der Vekens, 29-Jun-2017.) $)
    2reu3 $p |- ( A. x e. A A. y e. B ( E* x e. A ph \/ E* y e. B ph ) ->
                ( ( E! x e. A E! y e. B ph /\ E! y e. B E! x e. A ph )
                <-> ( E! x e. A E. y e. B ph /\ E! y e. B E. x e. A ph ) ) ) $=
      ( wrmo wo wral wreu wa wrex orcom ralbii nfrmo1 r19.32 bitri 2reu1 biimpd
      wb 2rexreu nfcv nfralw wi ancom syl6ib adantld adantrd ancoms jca impbid1
      jaoi sylbi ) ABDFZACEFZGZCEHZBDHZUMCEHZUNBDHZGZACEIBDIZABDICEIZJZACEKBDIZ
      ABDKCEIZJZSUQURUNGZBDHUTUPVGBDUPUNURGZVGUPUNUMGZCEHVHUOVICEUMUNLMUNUMCEAC
      ENOPUNURLPMURUNBDUMBCEBEUAABDNUBOPUTVCVFURVCVFUCUSURVBVFVAURVBVEVDJZVFURV
      BVJACBEDQRVEVDUDUEUFUSVAVFVBUSVAVFABCDEQRUGUKVFVAVBABCDETVEVDVBACBEDTUHUI
      UJUL $.
  $}

  ${
    $d x A $.  $d x y B $.
    $( Two equivalent expressions for double restricted existential uniqueness,
       analogous to ~ 2eu7 .  (Contributed by Alexander van der Vekens,
       2-Jul-2017.) $)
    2reu7 $p |- ( ( E! x e. A E. y e. B ph /\ E! y e. B E. x e. A ph ) <->
                  E! x e. A E! y e. B ( E. x e. A ph /\ E. y e. B ph ) ) $=
      ( wrex wreu wa nfcv nfre1 nfreuw reuan ancom reubii 3bitri 3bitr4ri ) ABD
      FZCEGZACEFZHZBDGRSBDGZHQSHZCEGZBDGUARHRSBDQBCEBEIABDJKLUCTBDUCSQHZCEGSRHT
      UBUDCEQSMNSQCEACEJLSRMONUARMP $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Two equivalent expressions for double restricted existential uniqueness,
       analogous to ~ 2eu8 .  Curiously, we can put ` E! ` on either of the
       internal conjuncts but not both.  We can also commute
       ` E! x e. A E! y e. B ` using ~ 2reu7 .  (Contributed by Alexander van
       der Vekens, 2-Jul-2017.) $)
    2reu8 $p |- ( E! x e. A E! y e. B ( E. x e. A ph /\ E. y e. B ph ) <->
                  E! x e. A E! y e. B ( E! x e. A ph /\ E. y e. B ph ) ) $=
      ( wrex wreu wa 2reu2 pm5.32i nfcv nfreu1 nfreuw reuan ancom reubii 3bitri
      nfre1 3bitr4ri 2reu7 3bitr3ri ) ACEFZBDGZABDGZCEGZHZUCABDFZCEGZHUDUBHZCEG
      ZBDGZUGUBHCEGBDGUCUEUHACBEDIJUEUBHZBDGUEUCHUKUFUEUBBDUDBCEBEKABDLMNUJULBD
      UJUBUDHZCEGUBUEHULUIUMCEUDUBOPUBUDCEACERNUBUEOQPUCUEOSABCDETUA $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Additional theorems for double restricted existential uniqueness
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A a b u v w x y $.  $d B a b u v w x y $.  $d ph a b u v w $.
    $d ch a b u v y $.  $d ta a b u x $.  $d th a b u x $.  $d et u w y $.
    $d ps u w x y $.  $d ze x $.
    2reu8i.x $e |- ( x = v -> ( ph <-> ta ) ) $.
    2reu8i.v $e |- ( x = v -> ( ch <-> th ) ) $.
    2reu8i.w $e |- ( y = w -> ( ph <-> ch ) ) $.
    2reu8i.b $e |- ( y = b -> ( ph <-> et ) ) $.
    2reu8i.a $e |- ( x = a -> ( ch <-> ze ) ) $.
    2reu8i.1 $e |- ( ( ( ch -> y = w ) /\ ze ) -> y = w ) $.
    2reu8i.2 $e |- ( ( x = a /\ y = b ) -> ( ph <-> ps ) ) $.
    $( Implication of a double restricted existential uniqueness in terms of
       restricted existential quantification and restricted universal
       quantification, see also ~ 2reu8 .  The involved wffs depend on the
       setvar variables as follows: ph(x,y), ta(v,y), ch(x,w), th(v,w),
       et(x,b), ps(a,b), ze(a,w).  (Contributed by AV, 1-Apr-2023.) $)
    2reu8i $p |- ( E! x e. A E! y e. B ph -> E. x e. A E. y e. B
                                             ( ph /\ A. a e. A A. b e. B
                                  ( et -> ( b = y /\ ( ps -> a = x ) ) ) ) ) $=
      ( vu wreu weq wi wral wa wrex reubii imbi1d ralbidv anbi12d rexbidv bitri
      reu8 wsb cv wcel nfv nfs1v nfcv nfim nfan sbequ12 equequ1 imbi12d cbvrexw
      nfralw imbi1i ralbii anbi2i r19.41 bitr4i r19.28v simplr equequ2 ad2antrl
      nfrex anbi2d adantl imp sbievw bicomi sbbii sbco2vv pm3.35 equcomd sylbir
      rspc ex com12 ad2antlr simplrr ad2antrr wb sbequ sbbidv imbi2d vex sbc2ie
      wsbc a1i biimprd adantld sbsbc sylibr pm2.27 ax7 syl6 syld ralimdva exp31
      syl5bi com24 imp41 jca rspcedvd sbcom2 sbf 3bitri anbi12i rexbii impancom
      syl exp32 jcad expimpd ralrimivv syl5 expd impd reximdva reximia sylbi
      mpd ) AIMUDZHLUDZACIJUEZUFZJMUGZUHZIMUIZEDYSUFZJMUGZUHZIMUIZHKUEZUFZKLUGZ
      UHZHLUIZAFOIUEZBNHUEZUFZUHUFZOMUGNLUGZUHZIMUIZHLUIYRUUCHLUDUULYQUUCHLACIJ
      MRUPUJUUCUUGHKLUUHUUBUUFIMUUHAEUUAUUEPUUHYTUUDJMUUHCDYSQUKULUMUNUPUOUUKUU
      SHLUUKUUBEIUCUQZDIUCUQZUCJUEZUFZJMUGZUHZUCMUIZUUHUFZKLUGZUHZIMUIZHURLUSZU
      USUUKUUCUVHUHUVJUUJUVHUUCUUIUVGKLUUGUVFUUHUUFUVEIUCMUUFUCUTUUTUVDIEIUCVAU
      VCIJMIMVBZUVAUVBIDIUCVAUVBIUTVCVIVDZIUCUEZEUUTUUEUVDEIUCVEUVNUUDUVCJMUVND
      UVAYSUVBDIUCVEIUCJVFVGULUMVHVJVKVLUUBUVHIMUVGIKLILVBUVFUUHIUVEIUCMUVLUVMV
      SUUHIUTVCVIVMVNUVKUVIUURIMUVKIURMUSUHZUUBUVHUURUVOAUUAUVHUURUFUVOAUHZUUAU
      VHUURUUAUVHUHUUAUVGUHZKLUGZUVPUURUUAUVGKLVOUVPUVRUURUVPUVRUHZAUUQUVOAUVRV
      PUVSUUPNOLMUVPNURZLUSZOURZMUSZUHZUVRUUPUVPUWDUHZUVRUUAUUTKNUQZUVAKNUQZUVB
      UFZJMUGZUHZUCMUIZHNUEZUFZUHZUUPUWAUVRUWNUFUVPUWCUVQUWNKUVTLUUAUWMKUUAKUTU
      WKUWLKUWJKUCMKMVBZUWFUWIKUUTKNVAUWHKJMUWOUWGUVBKUVAKNVAUVBKUTVCVIVDVSUWLK
      UTVCVDKNUEZUVGUWMUUAUWPUVFUWKUUHUWLUWPUVEUWJUCMUWPUUTUWFUVDUWIUUTKNVEUWPU
      VCUWHJMUWPUVAUWGUVBUVAKNVEUKULUMUNKNHVQVGVTWJVRUWEUUAUWMUUPUWEUUAUHZCJOUQ
      ZIOUEZUFZUWMUUPUFZUWEUUAUWTUWDUUAUWTUFZUVPUWCUXBUWAYTUWTJUWBMUWRUWSJCJOVA
      UWSJUTVCJOUECUWRYSUWSCJOVEJOIVQVGWJWAWAWBUWTAIOUQZUWSUFZUWQUXAUWRUXCUWSUW
      RAIJUQZJOUQUXCCUXEJOUXECACIJRWCZWDZWEAIOJWFUOVJUWQUXDUWMUUPUWQUXDUHZUWMUH
      ZFUUMUUOUXDFUUMUFUWQUWMFUXDUUMFUXCUXDUUMUFAFIOSWCZUXCUXDUUMUXCUXDUHIOUXCU
      WSWGWHWKWIWLWMUXIFBUUNUXIFBUHZUHHNUXIUXKUWLUXHUXKUWMUWLUXHUXKUHZUWKUWMUWL
      UFUXLAIUCUQZHNUQZUXEHNUQZUVBUFZJMUGZUHZUCMUIUWKUXLUXRUXCHNUQZUXOOJUEZUFZJ
      MUGZUHZUCUWBMUWQUWCUXDUXKUVPUWAUWCUUAWNWOUCOUEZUXRUYCWPUXLUYDUXNUXSUXQUYB
      UYDUXMUXCHNAUCOIWQWRUYDUXPUYAJMUYDUVBUXTUXOUCOJVFWSULUMWAUXLUXSUYBUXLAIUW
      BXBZHUVTXBZUXSUXHUXKUYFUXHBUYFFUXHUYFBUYFBWPUXHABHIUVTUWBNWTOWTUBXAXCXDXE
      WBUXSUYEHNUQUYFUXCUYEHNAIOXFWEUYEHNXFUOXGUWEUUAUXDUXKUYBUWEUXKUXDUUAUYBUW
      EUXKUXDUUAUYBUFUWEUXKUHZUXDUHZYTUYAJMUYHJURMUSZUHZYTUYAUXOGUYJYTUHZUXTUXO
      CHNUQGUXECHNUXFWECGHNTWCUOUYKGYSUXTYTGYSUFUYJYTGYSUAWKWAUYHYSUXTUFZUYIYTU
      YGUXDUYLUYGUXDUWSUYLUXDFUWSUFZUYGUWSUXCFUWSUXJVJFUYMUWSUFUWEBFUWSXHVRXNIO
      JXIXJWBWOXKXNWKXLXMXOXPXQXRUWJUXRUCMUWFUXNUWIUXQUWFUXMHKUQZKNUQUXNUUTUYNK
      NUUTAHKUQZIUCUQUYNEUYOIUCUYOEAEHKPWCWDWEAHKIUCXSUOWEUXMHNKWFUOUWHUXPJMUWG
      UXOUVBUWGCIUCUQZHKUQZKNUQUYPHNUQUXOUVAUYQKNUVACHKUQZIUCUQUYQDUYRIUCUYRDCD
      HKQWCWDWECHKIUCXSUOWEUYPHNKWFUYPUXEHNUYPUXEIUCUQUXECUXEIUCUXGWEUXEIUCAIJV
      AXTUOWEYAVJVKYBYCXGUWKUWLXHYEYDWBWHYFYGXMXNYPYHXKYDYIXQWKYJYKYHYLYMXNYNYO
      $.
  $}

  ${
    $d V a b c d e f $.  $d ph c d e $.  $d th b d e f $.  $d ch a e f $.
    $d ta a e f $.  $d et b f $.  $d ps c $.
    2reuimp.c $e |- ( b = c -> ( ph <-> th ) ) $.
    2reuimp.d $e |- ( a = d -> ( ph <-> ch ) ) $.
    2reuimp.a $e |- ( a = d -> ( th <-> ta ) ) $.
    2reuimp.e $e |- ( b = e -> ( ph <-> et ) ) $.
    2reuimp.f $e |- ( c = f -> ( th <-> ps ) ) $.
    $( Implication of a double restricted existential uniqueness in terms of
       restricted existential quantification and restricted universal
       quantification.  The involved wffs depend on the setvar variables as
       follows: ph(a,b), th(a,c), ch(d,b), ta(d,c), et(a,e), ps(a,f)
       (Contributed by AV, 13-Mar-2023.) $)
    2reuimp0 $p |- ( E! a e. V E! b e. V ph
                    -> E. a e. V A. d e. V A. b e. V E. e e. V A. f e. V
                   ( ( et /\ ( ( ch /\ A. c e. V ( ta -> b = c ) ) -> a = d ) )
                     /\ ( ps -> e = f ) ) ) $=
      ( wral wa wreu wi wrex reu8 reubii imbi1d ralbidv anbi12d rexbidv r19.28v
      weq equequ1 imbi2d cbvrexvw r19.23v ancom r19.42v bitr4i equequ2 cbvralvw
      imbi12d ex expcom syl7bi imp32 reximi sylbi ralimi syl syl5bir imp ) AKIU
      AZJIUAADKLUKZUBZLISZTZKIUCZJIUAZFCEVMUBZLISZTZJMUKZUBZTZBGHUKZUBZTHISZGIU
      CZKISZMISZJIUCZVLVQJIADKLINUDUEVRVQWAKIUCZWBUBZMISTZJIUCWKVQWLJMIWBVPWAKI
      WBACVOVTOWBVNVSLIWBDEVMPUFUGUHUIUDWNWJJIWNVQWMTZMISWJVQWMMIUJWOWIMIVQWMWI
      VQFDGLUKZUBZLISZTZGIUCZWMWIUBVPWSKGIKGUKZAFVOWRQXAVNWQLIXAVMWPDKGLULUMUGU
      HUNWMWCKISZWTWIWAWBKIUOWTXBWIWTXBTWTWCTZKISWIWTWCKIUJXCWHKIXCWCWSTZGIUCZW
      HXCWCWTTXEWTWCUPWCWSGIUQURXDWGGIWCFWRWGWRWFHISZWCFWGWQWFLHILHUKDBWPWERLHG
      USVAUTFWCXFWGUBWDXFWGWDWFHIUJVBVCVDVEVFVGVHVIVBVJVGVKVHVIVFVGVG $.

    $d ch c $.  $d et c $.
    $( Implication of a double restricted existential uniqueness in terms of
       restricted existential quantification and restricted universal
       quantification if the class of the quantified elements is not empty.
       (Contributed by AV, 13-Mar-2023.) $)
    2reuimp $p |- ( ( V =/= (/) /\ E! a e. V E! b e. V ph )
                 -> E. a e. V A. d e. V A. b e. V E. e e. V A. f e. V E. c e. V
                   ( ( ch /\ ( ta -> b = c ) )
                     -> ( ps -> ( et /\ ( a = d /\ e = f ) ) ) ) ) $=
      ( wi wa c0 wne weq wral wrex wreu r19.28zv bicomd imbi1d r19.36zv r19.42v
      pm5.31r an12 syl6ib ancoms syl6 sylan reximi sylbir expcom syl6bir sylbid
      expd com23 imp4c ralimdv reximdv 2reuimp0 impel ) IUAUBZFCEKLUCSZLIUDTZJM
      UCZSZTBGHUCZSZTZHIUDZGIUEZKIUDZMIUDZJIUECVKTZBFVMVOTTZSZSZLIUEZHIUDZGIUEZ
      KIUDZMIUDZJIUEAKIUFJIUFVJWAWJJIVJVTWIMIVJVSWHKIVJVRWGGIVJVQWFHIVJFVNVPWFV
      JVNFVPWFSZVJVNWBLIUDZVMSZFWKSZVJVLWLVMVJWLVLCVKLIUGUHUIVJWMWBVMSZLIUEZWNW
      BVMLIUJWPFVPWFFVPTZWPWFWQWPTWQWOTZLIUEWFWQWOLIUKWRWELIWQBFVOTZSZWOWEBVOFU
      LWTWOTWBWTVMTWDWBVMWTULVMWTWDVMWTTBVMWSTWCBWSVMULVMFVOUMUNUOUPUQURUSUTVCV
      AVBVDVEVFVGVFVFVGABCDEFGHIJKLMNOPQRVHVI $.
  $}

$( End $[ set-mbox-av-2reu.mm $] $)


$( Begin $[ set-mbox-av-afv_aov.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Alternative definitions of function and operation values
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  The current definition of the value ` ( F `` A ) ` of a function ` F ` at an
  argument ` A ` (see ~ df-fv ) assures that this value is always a set, see
  ~ fex .  This is because this definition can be applied to any classes ` F `
  and ` A ` , and evaluates to the empty set when it is not meaningful (as
  shown by ~ ndmfv and ~ fvprc ).

  Although it is very convenient for many theorems on functions and their
  proofs, there are some cases in which from ` ( F `` A ) = (/) ` alone it
  cannot be decided/derived whether ` ( F `` A ) ` is meaningful ( ` F ` is
  actually a function which is defined for ` A ` and really has the function
  value ` (/) ` at ` A ` ) or not.  Therefore, additional assumptions are
  required, such as ` (/) e/ ran F ` , ` (/) e. ran F ` or
  ` Fun F /\ A e. dom F ` (see, for example, ~ ndmfvrcl ).

  To avoid such an ambiguity, an alternative definition ` ( F ''' A ) ` (see
  ~ df-afv ) would be possible which evaluates to the universal class
  ( ` ( F ''' A ) = _V ` ) if it is not meaningful (see ~ afvnfundmuv ,
  ~ ndmafv , ~ afvprc and ~ nfunsnafv ), and which corresponds to the current
  definition ( ` ( F `` A ) = ( F ''' A ) ` ) if it is (see ~ afvfundmfveq ).
  That means ` ( F ''' A ) = _V -> ( F `` A ) = (/) ` (see ~ afvpcfv0 ), but
  ` ( F `` A ) = (/) -> ( F ''' A ) = _V ` is not generally valid.

  In the theory of partial functions, it is a common case that ` F ` is not
  defined at ` A ` , which also would result in ` ( F ''' A ) = _V ` .  In this
  context we say ` ( F ''' A ) ` "is not defined" instead of "is not
  meaningful".

  With this definition the following intuitive equivalence holds:
  ` ( F ''' A ) e. _V ` <-> " ` ( F ''' A ) ` is meaningful/defined".

  An interesting question would be if ` ( F `` A ) ` could be replaced by
  ` ( F ''' A ) ` in most of the theorems based on function values.  If we look
  at the (currently 19) proofs using the definition ~ df-fv of ` ( F `` A ) `,
  we see that analogues for the following 8 theorems can be proven using the
  alternative definition: ~ fveq1 -> ~ afveq1 , ~ fveq2 -> ~ afveq2 ,
  ~ nffv -> ~ nfafv , ~ csbfv12 -> csbafv12g , ~ fvres -> ~ afvres ,
  ~ rlimdm -> ~ rlimdmafv , ~ tz6.12-1 -> ~ tz6.12-1-afv , ~ fveu -> ~ afveu .

  Three theorems proved by directly using ~ df-fv are within a mathbox
  ( ~ fvsb ) or not used ( ~ isumclim3 , ~ avril1 ).

  However, the remaining 8 theorems proved by directly using ~ df-fv are used
  more or less often:

  * ~ fvex : used in about 1750 proofs.

  * ~ tz6.12-1 : root theorem of many theorems which have not a strict
  analogue, and which are used many times: ~ fvprc (used in about 127 proofs),
  ~ tz6.12i (used - indirectly via ~ fvbr0 and ~ fvrn0 - in 18 proofs, and in
  ~ fvclss used in ~ fvclex used in ~ fvresex , which is not used!), ~ dcomex
  (used in 4 proofs), ~ ndmfv (used in 86 proofs) and ~ nfunsn (used by ~ dffv2
  which is not used).

  * ~ fv2 : only used by ~ elfv , which is only used by ~ fv3 , which is not
  used.

  * ~ dffv3 : used by ~ dffv4 (the previous "df-fv"), which now is only used in
  deprecated (usage discouraged) theorems or within mathboxes
  ( ~ csbfv12gALTVD ), by ~ shftval (itself used in 9
  proofs), by ~ dffv5 (mathbox) and by ~ fvco2 , which has the analogue
  ~ afvco2 .

  * ~ fvopab5 : used only by ~ ajval (not used) and by ~ adjval (used -
  indirectly - in 9 proofs).

  * ~ zsum : used (via ~ isum , ~ sum0 and ~ fsumsers ) in more than 90 proofs.

  * ~ isumshft : used in ~ pserdv2 and (via ~ logtayl ) 4 other proofs.

  * ~ ovtpos : used in 14 proofs.

  As a result of this analysis we can say that the current definition of a
  function value is crucial for Metamath and cannot be exchanged easily with an
  alternative definition. While ~ fv2 , ~ dffv3 , ~ fvopab5 , ~ zsum ,
  ~ isumshft and ~ ovtpos are not critical or are, hopefully, also valid for
  the alternative definition, ~ fvex and ~ tz6.12-1 (and the theorems based on
  them) are essential for the current definition of function values.

  With the same arguments, an alternative definition of operation values
  ` (( A O B )) ` could be meaningful to avoid ambiguities, see ~ df-aov .

  For additional details, see
  ~ https://groups.google.com/g/metamath/c/cteNUppB6A4 .

$)

$( *** Definition moved to the front so that the text above will appear
   in the html output! *** $)

  $c defAt $. $( "defined at" predicate $)
  $c ''' $. $( Threefold straight apostrophe (function value symbol) $)
  $c (( $.  $( Double left parenthesis $)
  $c )) $.  $( Double right parenthesis $)

  $( Extend the definition of a wff to include the "defined at" predicate.
     Read:  "(the function) ` F ` is defined at (the argument) ` A ` ".  In a
     previous version, the token "def@" was used.  However, since the @ is used
     (informally) as a replacement for $ in commented out sections that may be
     deleted some day.  While there is no violation of any standard to use the
     @ in a token, it could make the search for such commented-out sections
     slightly more difficult.  (See remark of Norman Megill at
     ~ https://groups.google.com/g/metamath/c/cteNUppB6A4 ). $)
  wdfat $a wff F defAt A $.

  $( Extend the definition of a class to include the value of a function.
     Read:  "the value of ` F ` at ` A ` " or " ` F ` of ` A ` ".  In a
     previous version, the symbol " ' " was used.  However, since the
     similarity with the symbol ` `` ` used for the current definition of a
     function's value (see ~ df-fv ), which, by the way, was intended to
     visualize that in many cases ` `` ` and " ' " are exchangeable, makes
     reading the theorems, especially those which use both definitions as
     ~ dfafv2 , very difficult, 3 apostrophes ` ''' ` are used now so that it's
     easier to distinguish from ~ df-fv and ~ df-ima .  And not three backticks
     ( three times ` `` ` ) since that would be annoying to escape in a
     comment.  (See remark of Norman Megill and Gerard Lang at
     ~ https://groups.google.com/g/metamath/c/cteNUppB6A4 ). $)
  cafv $a class ( F ''' A ) $.

  $( Extend class notation to include the value of an operation ` F ` (such as
     ` + ` ) for two arguments ` A ` and ` B ` .  Note that the syntax is
     simply three class symbols in a row surrounded by a pair of parentheses in
     contrast to the current definition, see ~ df-ov . $)
  caov $a class (( A F B )) $.

  $( Definition of the predicate that determines if some class ` F ` is defined
     as function for an argument ` A ` or, in other words, if the function
     value for some class ` F ` for an argument ` A ` is defined.  We say that
     ` F ` is defined at ` A ` if a ` F ` is a function restricted to the
     member ` A ` of its domain.  (Contributed by Alexander van der Vekens,
     25-May-2017.) $)
  df-dfat $a |- ( F defAt A <-> ( A e. dom F /\ Fun ( F |` { A } ) ) ) $.

  ${
    $d x A $.  $d x F $.
    $( Alternative definition of the value of a function, ` ( F ''' A ) ` ,
       also known as function application.  In contrast to ` ( F `` A ) = (/) `
       (see ~ df-fv and ~ ndmfv ), ` ( F ''' A ) = _V ` if F is not defined for
       A!  (Contributed by Alexander van der Vekens, 25-May-2017.)  (Revised by
       BJ/AV, 25-Aug-2022.) $)
    df-afv $a |- ( F ''' A ) = ( iota' x A F x ) $.
  $}

  $( Define the value of an operation.  In contrast to ~ df-ov , the
     alternative definition for a function value (see ~ df-afv ) is used.  By
     this, the value of the operation applied to two arguments is the universal
     class if the operation is not defined for these two arguments.  There are
     still no restrictions of any kind on what those class expressions may be,
     although only certain kinds of class expressions - a binary operation
     ` F ` and its arguments ` A ` and ` B ` - will be useful for proving
     meaningful theorems.  (Contributed by Alexander van der Vekens,
     26-May-2017.) $)
  df-aov $a |- (( A F B )) = ( F ''' <. A , B >. ) $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Restricted quantification (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d X x $.  $d A x $.  $d ph x $.  $d th x $.
    ralbinrald.1 $e |- ( ph -> X e. A ) $.
    ralbinrald.2 $e |- ( x e. A -> x = X ) $.
    ralbinrald.3 $e |- ( x = X -> ( ps <-> th ) ) $.
    $( Elemination of a restricted universal quantification under certain
       conditions.  (Contributed by Alexander van der Vekens, 2-Aug-2017.) $)
    ralbinrald $p |- ( ph -> ( A. x e. A ps <-> th ) ) $=
      ( wral cv wceq wb adantl rspcdv wcel wa bicomd syl biimpd ralrimdva
      impbid ) ABDEJCABCDFEGDKZFLZBCMAINOACBDEAUCEPZQCBUECBMZAUEUDUFHUDBCIRSNTU
      AUB $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The universal class (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( If a class is the universal class it doesn't belong to any class,
     generalization of ~ nvel .  (Contributed by Alexander van der Vekens,
     26-May-2017.) $)
  nvelim $p |- ( A = _V -> -. A e. B ) $=
    ( cvv wceq wcel nvel wb eleq1 eqcoms mtbii ) ACDCBEZABEZBFKLGCACABHIJ $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Introduce the Axiom of Power Sets (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( If a statement holds for all sets, there is not a unique set for which the
     statement holds.  (Contributed by Alexander van der Vekens,
     28-Nov-2017.) $)
  alneu $p |- ( A. x ph -> -. E! x ph ) $=
    ( weu wal wn wex eunex exnal sylib con2i ) ABCZABDZKAEBFLEABGABHIJ $.

  ${
    $d A y $.  $d V y $.
    $( If there is a unique second component in an ordered pair contained in a
       given set, the first component must be a set.  (Contributed by Alexander
       van der Vekens, 29-Nov-2017.) $)
    eu2ndop1stv $p |- ( E! y <. A , y >. e. V -> A e. _V ) $=
      ( cv cop wcel wex weu cvv euex wi nfeu1 nfcv nfel1 wn wa c0 opprc1 eleq1d
      nfim wal ax-5 alneu syl6bi impcom wb eubidv notbid adantl mpbird ex con4d
      syl exlimi mpcom ) BADZEZCFZAGURAHZBIFZURAJURUSUTKAUSUTAURALABIABMNTURUTU
      SURUTOZUSOZURVAPVBQCFZAHZOZVAURVEVAURVCVEVAUQQCBUPRSZVCVCAUAVEVCAUBVCAUCU
      MUDUEVAVBVEUFURVAUSVDVAURVCAVFUGUHUIUJUKULUNUO $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Predicate "defined at"
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    dfateq12d.1 $e |- ( ph -> F = G ) $.
    dfateq12d.2 $e |- ( ph -> A = B ) $.
    $( Equality deduction for "defined at".  (Contributed by Alexander van der
       Vekens, 26-May-2017.) $)
    dfateq12d $p |- ( ph -> ( F defAt A <-> G defAt B ) ) $=
      ( cdm wcel cres wfun wa wdfat dmeqd eleq12d sneqd reseq12d funeqd df-dfat
      csn anbi12d 3bitr4g ) ABDHZIZDBTZJZKZLCEHZIZECTZJZKZLBDMCEMAUDUIUGULABCUC
      UHGADEFNOAUFUKADEUEUJFABCGPQRUABDSCESUB $.
  $}

  ${
    nfdfat.1 $e |- F/_ x F $.
    nfdfat.2 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for "defined at".  To prove a
       deduction version of this theorem is not easily possible because many
       deduction versions for bound-variable hypothesis builder for constructs
       the definition of "defined at" is based on are not available (e.g., for
       Fun/Rel, dom, ` C_ ` , etc.).  (Contributed by Alexander van der Vekens,
       26-May-2017.) $)
    nfdfat $p |- F/ x F defAt A $=
      ( wdfat cdm wcel csn cres wfun wa df-dfat nfdm nfel nfsn nfres nffun nfan
      nfxfr ) BCFBCGZHZCBIZJZKZLABCMUBUEAABUAEACDNOAUDACUCDABEPQRST $.
  $}

  ${
    $d x y A $.  $d x y F $.
    $( Alternate definition of the predicate "defined at" not using the ` Fun `
       predicate.  (Contributed by Alexander van der Vekens, 22-Jul-2017.)
       (Proof shortened by Peter Mazsa, 2-Oct-2022.) $)
    dfdfat2 $p |- ( F defAt A <-> ( A e. dom F /\ E! y A F y ) ) $=
      ( vx wdfat cdm wcel csn cres wfun wbr weu wral df-dfat wrel relres dffun8
      wa cv eubidv mpbiran anbi2i wb cvv brres elv a1i ralbidv eldmressnsn wceq
      eldmressn velsn biimpri breq1 anbi2d mpbirand ralbinrald pm5.32i 3bitri
      bitrd ) BCEBCFGZCBHZIZJZRVADSZASZVCKZALZDVCFZMZRVABVFCKZALZRBCNVDVJVAVDVC
      OVJCVBPDAVCQUAUBVAVJVLVAVJVEVBGZVEVFCKZRZALZDVIMVLVAVHVPDVIVAVGVOAVGVOUCZ
      VAVQAVBVEVFCUDUEUFUGTUHVAVPVLDVIBBCUIBVECUKVEBUJZVOVKAVRVOVMVKVMVRDBULUMV
      RVNVKVMVEBVFCUNUOUPTUQUTURUS $.
  $}

  $( A function is defined at any element of its domain.  (Contributed by AV,
     2-Sep-2022.) $)
  fundmdfat $p |- ( ( Fun F /\ A e. dom F ) -> F defAt A ) $=
    ( wfun cdm wcel wa csn cres wdfat funres anim1ci df-dfat sylibr ) BCZABDEZF
    OBAGZHCZFABINQOPBJKABLM $.

  $( A function is not defined at a proper class.  (Contributed by AV,
     1-Sep-2022.) $)
  dfatprc $p |- ( -. A e. _V -> -. F defAt A ) $=
    ( cvv wcel wn cdm csn cres wfun wo wdfat prcnel orcd ianor df-dfat xchnxbir
    wa sylibr ) ACDEZABFZDZEZBAGHIZEZJZABKZESUBUDATLMUAUCQUEUFUAUCNABOPR $.

  $( The value of a function ` F ` at a set ` A ` is in the range of the
     function ` F ` if ` F ` is defined at ` A ` .  (Contributed by AV,
     1-Sep-2022.) $)
  dfatelrn $p |- ( F defAt A -> ( F ` A ) e. ran F ) $=
    ( wdfat cdm wcel csn cres wfun cfv crn df-dfat funressndmfvrn ancoms sylbi
    wa ) ABCABDEZBAFGHZOABIBJEZABKQPRABLMN $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Alternative definition of the value of a function
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x A $.  $d x F $.
    $( Alternative definition of ` ( F ''' A ) ` using ` ( F `` A ) ` directly.
       (Contributed by Alexander van der Vekens, 22-Jul-2017.)  (Revised by AV,
       25-Aug-2022.) $)
    dfafv2 $p |- ( F ''' A ) = if ( F defAt A , ( F ` A ) , _V ) $=
      ( vx cdm wcel cv wbr weu wa cfv cvv cif caiota wdfat cafv wceq wtru sylib
      cio wn df-fv simprr reuaiotaiota syl5eq eubrdm ancri con3i adantl aiotavb
      eqcomd ifeqda mptru wb dfdfat2 ifbi ax-mp df-afv 3eqtr4ri ) ABDEZACFBGZCH
      ZIZABJZKLZUTCMZABNZVCKLZABOVDVEPQVBVCKVEQVBIZVCUTCSZVECABUAVHVAVIVEPQUSVA
      UBUTCUCRUDQVBTZIZVEKVKVATZVEKPVJVLQVAVBVAUSABCUEUFUGUHUTCUIRUJUKULVFVBUMV
      GVDPCABUNVFVBVCKUOUPCABUQUR $.
  $}

  ${
    afveq12d.1 $e |- ( ph -> F = G ) $.
    afveq12d.2 $e |- ( ph -> A = B ) $.
    $( Equality deduction for function value, analogous to ~ fveq12d .
       (Contributed by Alexander van der Vekens, 26-May-2017.) $)
    afveq12d $p |- ( ph -> ( F ''' A ) = ( G ''' B ) ) $=
      ( wdfat cfv cvv cif cafv dfateq12d fveq12d ifbieq1d dfafv2 3eqtr4g ) ABDH
      ZBDIZJKCEHZCEIZJKBDLCELARTSUAJABCDEFGMABCDEFGNOBDPCEPQ $.
  $}

  $( Equality theorem for function value, analogous to ~ fveq1 .  (Contributed
     by Alexander van der Vekens, 22-Jul-2017.) $)
  afveq1 $p |- ( F = G -> ( F ''' A ) = ( G ''' A ) ) $=
    ( wceq id eqidd afveq12d ) BCDZAABCHEHAFG $.

  $( Equality theorem for function value, analogous to ~ fveq1 .  (Contributed
     by Alexander van der Vekens, 22-Jul-2017.) $)
  afveq2 $p |- ( A = B -> ( F ''' A ) = ( F ''' B ) ) $=
    ( wceq eqidd id afveq12d ) ABDZABCCHCEHFG $.

  ${
    nfafv.1 $e |- F/_ x F $.
    nfafv.2 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for function value, analogous to
       ~ nffv .  To prove a deduction version of this analogous to ~ nffvd is
       not easily possible because a deduction version of ~ nfdfat cannot be
       shown easily.  (Contributed by Alexander van der Vekens,
       26-May-2017.) $)
    nfafv $p |- F/_ x ( F ''' A ) $=
      ( cafv wdfat cfv cvv cif dfafv2 nfdfat nffv nfcv nfif nfcxfr ) ABCFBCGZBC
      HZIJBCKQARIABCDELABCDEMAINOP $.
  $}

  ${
    $d A y $.  $d B y $.  $d F y $.  $d x y $.
    $( Move class substitution in and out of a function value, analogous to
       ~ csbfv12 , with a direct proof proposed by Mario Carneiro, analogous to
       ~ csbov123 .  (Contributed by Alexander van der Vekens, 23-Jul-2017.) $)
    csbafv12g $p |- ( A e. V -> [_ A / x ]_ ( F ''' B )
                                = ( [_ A / x ]_ F ''' [_ A / x ]_ B ) ) $=
      ( vy cv cafv csb csbeq1 afveq12d eqeq12d vex nfcsb1v nfafv csbeq1a csbief
      wceq weq vtoclg ) AFGZCDHZIZAUACIZAUADIZHZRABUBIZABCIZABDIZHZRFBEUABRZUCU
      GUFUJAUABUBJUKUDUHUEUIAUABDJAUABCJKLAUAUBUFFMAUDUEAUADNAUACNOAFSCUDDUEAUA
      DPAUACPKQT $.
  $}

  $( If a class is a function restricted to a member of its domain, then the
     function value for this member is equal for both definitions.
     (Contributed by Alexander van der Vekens, 25-May-2017.) $)
  afvfundmfveq $p |- ( F defAt A -> ( F ''' A ) = ( F ` A ) ) $=
    ( wdfat cafv cfv cvv cif dfafv2 iftrue syl5eq ) ABCZABDKABEZFGLABHKLFIJ $.

  $( If a set is not in the domain of a class or the class is not a function
     restricted to the set, then the function value for this set is the
     universe.  (Contributed by Alexander van der Vekens, 26-May-2017.) $)
  afvnfundmuv $p |- ( -. F defAt A -> ( F ''' A ) = _V ) $=
    ( wdfat wn cafv cfv cvv cif dfafv2 iffalse syl5eq ) ABCZDABELABFZGHGABILMGJ
    K $.

  $( The value of a class outside its domain is the universe, compare with
     ~ ndmfv .  (Contributed by Alexander van der Vekens, 25-May-2017.) $)
  ndmafv $p |- ( -. A e. dom F -> ( F ''' A ) = _V ) $=
    ( wdfat cdm wcel cafv cvv wceq cres wfun df-dfat simplbi afvnfundmuv nsyl5
    csn ) ABCZABDEZABFGHPQBAOIJABKLABMN $.

  $( If the function value of a class for an argument is a set, the argument is
     contained in the domain of the class.  (Contributed by Alexander van der
     Vekens, 25-May-2017.) $)
  afvvdm $p |- ( ( F ''' A ) e. B -> A e. dom F ) $=
    ( cdm wcel cafv wn cvv wceq ndmafv nvelim syl con4i ) ACDEZACFZBEZNGOHIPGAC
    JOBKLM $.

  $( If the restriction of a class to a singleton is not a function, its value
     is the universe, compare with ~ nfunsn .  (Contributed by Alexander van
     der Vekens, 25-May-2017.) $)
  nfunsnafv $p |- ( -. Fun ( F |` { A } ) -> ( F ''' A ) = _V ) $=
    ( wdfat csn cres wfun cafv cvv wceq wcel df-dfat simprbi afvnfundmuv nsyl5
    cdm ) ABCZBADEFZABGHIPABOJQABKLABMN $.

  $( If the function value of a class for an argument is a set, the class
     restricted to the singleton of the argument is a function.  (Contributed
     by Alexander van der Vekens, 25-May-2017.) $)
  afvvfunressn $p |- ( ( F ''' A ) e. B -> Fun ( F |` { A } ) ) $=
    ( csn cres wfun cafv wcel wn cvv wceq nfunsnafv nvelim syl con4i ) CADEFZAC
    GZBHZPIQJKRIACLQBMNO $.

  $( A function's value at a proper class is the universe, compare with
     ~ fvprc .  (Contributed by Alexander van der Vekens, 25-May-2017.) $)
  afvprc $p |- ( -. A e. _V -> ( F ''' A ) = _V ) $=
    ( cvv wcel wn cdm cafv wceq prcnel ndmafv syl ) ACDEABFZDEABGCHALIABJK $.

  $( If a function's value at an argument is a set, the argument is also a set.
     (Contributed by Alexander van der Vekens, 25-May-2017.) $)
  afvvv $p |- ( ( F ''' A ) e. B -> A e. _V ) $=
    ( cvv wcel cafv wn wceq afvprc nvelim syl con4i ) ADEZACFZBEZMGNDHOGACINBJK
    L $.

  $( If the value of the alternative function at an argument is the universe,
     the function's value at this argument is the empty set.  (Contributed by
     Alexander van der Vekens, 25-May-2017.) $)
  afvpcfv0 $p |- ( ( F ''' A ) = _V -> ( F ` A ) = (/) ) $=
    ( cafv cvv wceq wdfat cfv cif c0 dfafv2 eqeq1i wa wn wo eqcom eqif fveqvfvv
    bitri eqcoms sylbi adantl wne cdm wcel cres wfun fvfundmfvn0 df-dfat sylibr
    csn necon1bi adantr jaoi ) ABCZDEABFZABGZDHZDEZUPIEZUNUQDABJKURUODUPEZLZUOM
    ZDDEZLZNZUSURDUQEVEUQDOUODUPDPRVAUSVDUTUSUOUSUPDAIBQSUAVBUSVCUOUPIUPIUBABUC
    UDBAUJUEUFLUOABUGABUHUIUKULUMTT $.

  $( The value of the alternative function at a set as argument equals the
     function's value at this argument.  (Contributed by Alexander van der
     Vekens, 25-May-2017.) $)
  afvnufveq $p |- ( ( F ''' A ) =/= _V -> ( F ''' A ) = ( F ` A ) ) $=
    ( cafv cfv wceq cvv wdfat afvfundmfveq afvnfundmuv nsyl5 necon1ai ) ABCZABD
    EZLFABGMLFEABHABIJK $.

  $( The value of the alternative function at a set as argument equals the
     function's value at this argument.  (Contributed by Alexander van der
     Vekens, 25-May-2017.) $)
  afvvfveq $p |- ( ( F ''' A ) e. B -> ( F ''' A ) = ( F ` A ) ) $=
    ( cafv wcel cvv wne cfv wceq nvelim necon2ai afvnufveq syl ) ACDZBEZNFGNACH
    IONFNBJKACLM $.

  $( If the value of the alternative function at an argument is the empty set,
     the function's value at this argument is the empty set.  (Contributed by
     Alexander van der Vekens, 25-May-2017.) $)
  afv0fv0 $p |- ( ( F ''' A ) = (/) -> ( F ` A ) = (/) ) $=
    ( cafv cvv wcel c0 wceq cfv wi 0ex eleq1a ax-mp afvvfveq eqeq1 biimpd mpcom
    syl ) ABCZDEZRFGZABHZFGZFDETSIJFDRKLSRUAGZTUBIADBMUCTUBRUAFNOQP $.

  $( If the function's value at an argument is not the empty set, it equals the
     value of the alternative function at this argument.  (Contributed by
     Alexander van der Vekens, 25-May-2017.) $)
  afvfvn0fveq $p |- ( ( F ` A ) =/= (/) -> ( F ''' A ) = ( F ` A ) ) $=
    ( cfv wne wdfat cafv wceq cdm wcel csn cres wfun fvfundmfvn0 df-dfat sylibr
    c0 wa afvfundmfveq syl ) ABCZPDZABEZABFTGUAABHIBAJKLQUBABMABNOABRS $.

  $( The function's value at an argument is an element of a set if and only if
     the value of the alternative function at this argument is an element of
     that set, if the set does not contain the empty set.  (Contributed by
     Alexander van der Vekens, 25-May-2017.) $)
  afv0nbfvbi $p |- ( (/) e/ B -> ( ( F ''' A ) e. B <-> ( F ` A ) e. B ) ) $=
    ( c0 wnel cafv wcel cfv wceq afvvfveq eleq1 biimpd mpcom wi wa wne cdm cres
    csn wfun elnelne2 ancoms fvfundmfvn0 wdfat df-dfat afvfundmfveq sylbir 4syl
    wb eqcoms ex pm2.43d impbid2 ) DBEZACFZBGZACHZBGZUOUQIZUPURABCJUSUPURUOUQBK
    LMUNURUPUNURURUPNZUNUROUQDPZACQGCASRTOZUSUTURUNVAUQDBUAUBACUCVBACUDUSACUEAC
    UFUGUSURUPURUPUIUQUOUQUOBKUJLUHUKULUM $.

  $( The function's value at an argument is the empty set if and only if the
     value of the alternative function at this argument is either the empty set
     or the universe.  (Contributed by Alexander van der Vekens,
     25-May-2017.) $)
  afvfv0bi $p |- ( ( F ` A ) = (/)
                     <-> ( ( F ''' A ) = (/) \/ ( F ''' A ) = _V ) ) $=
    ( cfv c0 wceq cvv wo wn wa ioran wi wne df-ne afvnufveq sylbir eqeq1 notbid
    cafv biimpd syl impcom sylbi con4i afv0fv0 afvpcfv0 jaoi impbii ) ABCZDEZAB
    RZDEZUJFEZGZUMUIUMHUKHZULHZIUIHZUKULJUOUNUPUOUJUHEZUNUPKUOUJFLUQUJFMABNOUQU
    NUPUQUKUIUJUHDPQSTUAUBUCUKUIULABUDABUEUFUG $.

  ${
    $d A x $.  $d F x $.
    $( The value of a function at a unique point, analogous to ~ fveu .
       (Contributed by Alexander van der Vekens, 29-Nov-2017.) $)
    afveu $p |- ( E! x A F x -> ( F ''' A ) = U. { x | A F x } ) $=
      ( cvv wcel cv wbr weu cafv cab cuni wceq df-br eubii eu2ndop1stv sylbi wa
      cop cdm wi wex euex eldmg syl5ibrcom impcom dfdfat2 cfv afvfundmfveq fveu
      wdfat sylan9eq ex sylbir expcom pm2.43a adantl mpd mpancom ) BDEZBAFZCGZA
      HZBCIZVAAJKZLZVBBUTRCEZAHUSVAVFABUTCMNABCOPUSVBQBCSEZVEVBUSVGVBVGUSVAAUAV
      AAUBABCDUCUDUEVBVGVETUSVGVBVEVGVBVBVETZVGVBQBCUJZVHABCUFVIVBVEVIVBVCBCUGV
      DBCUHABCUIUKULUMUNUOUPUQUR $.
  $}

  $( Equivalence of function value and binary relation, analogous to
     ~ fnbrfvb .  (Contributed by Alexander van der Vekens, 25-May-2017.) $)
  fnbrafvb $p |- ( ( F Fn A /\ B e. A ) ->
                   ( ( F ''' B ) = C <-> B F C ) ) $=
    ( wfn wcel wa cafv wceq cfv wbr cdm csn cres wfun wi fndm wb eleq2 syl imp
    eqcoms biimpd snssi adantl fnssresb adantr fnfun wdfat df-dfat afvfundmfveq
    wss mpbird sylbir syl2anc eqeq1d fnbrfvb bitrd ) DAEZBAFZGZBDHZCIBDJZCIBCDK
    VAVBVCCVABDLZFZDBMZNZOZVBVCIZUSUTVEUSVDAIZUTVEPADQVJUTVEUTVERAVDAVDBSUBUCTU
    AVAVGVFEZVHVAVKVFAULZUTVLUSBAUDUEUSVKVLRUTAVFDUFUGUMVFVGUHTVEVHGBDUIVIBDUJB
    DUKUNUOUPABCDUQUR $.

  $( Equivalence of function value and ordered pair membership, analogous to
     ~ fnopfvb .  (Contributed by Alexander van der Vekens, 25-May-2017.) $)
  fnopafvb $p |- ( ( F Fn A /\ B e. A ) ->
                   ( ( F ''' B ) = C <-> <. B , C >. e. F ) ) $=
    ( wfn wcel wa cafv wceq wbr cop fnbrafvb df-br bitrdi ) DAEBAFGBDHCIBCDJBCK
    DFABCDLBCDMN $.

  $( Equivalence of function value and binary relation, analogous to
     ~ funbrfvb .  (Contributed by Alexander van der Vekens, 25-May-2017.) $)
  funbrafvb $p |- ( ( Fun F /\ A e. dom F ) ->
                   ( ( F ''' A ) = B <-> A F B ) ) $=
    ( wfun cdm wfn wcel cafv wceq wbr wb funfn fnbrafvb sylanb ) CDCCEZFAOGACHB
    IABCJKCLOABCMN $.

  $( Equivalence of function value and ordered pair membership, analogous to
     ~ funopfvb .  (Contributed by Alexander van der Vekens, 25-May-2017.) $)
  funopafvb $p |- ( ( Fun F /\ A e. dom F ) ->
                   ( ( F ''' A ) = B <-> <. A , B >. e. F ) ) $=
    ( wfun cdm wfn wcel cafv wceq cop wb funfn fnopafvb sylanb ) CDCCEZFAOGACHB
    IABJCGKCLOABCMN $.

  $( The second argument of a binary relation on a function is the function's
     value, analogous to ~ funbrfv .  (Contributed by Alexander van der Vekens,
     25-May-2017.) $)
  funbrafv $p |- ( Fun F -> ( A F B -> ( F ''' A ) = B ) ) $=
    ( wfun wbr cafv wceq wi wrel funrel wa cdm releldm funbrafvb biimprd expcom
    wcel syl ex pm2.43i com14 com13 ) CDZABCEZACFBGZHZUCCIZUCUFHZCJUDUCUGUEUDUC
    UGUEHHUGUDUCUDUEUGUDUHUGUDKACLQZUHABCMUCUIUFUCUIKUEUDABCNOPRSUATUBRT $.

  ${
    $d x y A $.  $d x y B $.  $d x y F $.
    $( Function value in terms of a binary relation, analogous to ~ funbrfv2b .
       (Contributed by Alexander van der Vekens, 25-May-2017.) $)
    funbrafv2b $p |- ( Fun F ->
                       ( A F B <-> ( A e. dom F /\ ( F ''' A ) = B ) ) ) $=
      ( wfun wbr wcel wa cafv wceq wrel wi funrel releldm ex pm4.71rd funbrafvb
      cdm syl pm5.32da bitr4d ) CDZABCEZACQFZUBGUCACHBIZGUAUBUCUACJZUBUCKCLUEUB
      UCABCMNROUAUCUDUBABCPST $.

    $( Representation of a function in terms of its values, analogous to
       ~ dffn5 (only one direction of implication!).  (Contributed by Alexander
       van der Vekens, 25-May-2017.) $)
    dfafn5a $p |- ( F Fn A -> F = ( x e. A |-> ( F ''' x ) ) ) $=
      ( vy wfn cv wcel cafv wceq wa copab cmpt wrel fnrel dfrel4v sylib fnbr ex
      wbr pm4.71rd eqcom fnbrafvb syl5bb pm5.32da bitr4d opabbidv eqtrd eqtr4di
      df-mpt ) CBEZCAFZBGZDFZUKCHZIZJZADKZABUNLUJCUKUMCSZADKZUQUJCMCUSIBCNADCOP
      UJURUPADUJURULURJUPUJURULUJURULBUKUMCQRTUJULUOURUOUNUMIUJULJURUMUNUABUKUM
      CUBUCUDUEUFUGADBUNUIUH $.

    $( Representation of a function in terms of its values, analogous to
       ~ dffn5 (only if it is assumed that the function value for each x is a
       set).  (Contributed by Alexander van der Vekens, 25-May-2017.) $)
    dfafn5b $p |- ( A. x e. A ( F ''' x ) e. V
                    -> ( F Fn A <-> F = ( x e. A |-> ( F ''' x ) ) ) ) $=
      ( cv cafv wcel wral cmpt wceq dfafn5a eqid fnmpt fneq1 syl5ibrcom impbid2
      wfn ) AECFZDGABHZCBQZCABRIZJZABCKSTUBUABQABRUADUALMBCUANOP $.

    $( The range of a function expressed as a collection of the function's
       values, analogous to ~ fnrnfv .  (Contributed by Alexander van der
       Vekens, 25-May-2017.) $)
    fnrnafv $p |- ( F Fn A -> ran F = { y | E. x e. A y = ( F ''' x ) } ) $=
      ( wfn crn cv cafv cmpt wceq wrex cab dfafn5a rneqd eqid rnmpt eqtrdi ) DC
      EZDFACAGDHZIZFBGSJACKBLRDTACDMNABCSTTOPQ $.

    $( A member of a function's range is a value of the function, analogous to
       ~ fvelrnb with the additional requirement that the member must be a set.
       (Contributed by Alexander van der Vekens, 25-May-2017.) $)
    afvelrnb $p |- ( ( F Fn A /\ B e. V )
                     -> ( B e. ran F <-> E. x e. A ( F ''' x ) = B ) ) $=
      ( vy wfn wcel wa crn cv cafv wceq wrex cab fnrnafv adantr eleq2d wb eqeq1
      eqcom bitrdi rexbidv elabg adantl bitrd ) DBGZCEHZIZCDJZHCFKZAKDLZMZABNZF
      OZHZULCMZABNZUIUJUOCUGUJUOMUHAFBDPQRUHUPURSUGUNURFCEUKCMZUMUQABUSUMCULMUQ
      UKCULTCULUAUBUCUDUEUF $.

    $( A member of a function's range is a value of the function, only one
       direction of implication of ~ fvelrnb .  (Contributed by Alexander van
       der Vekens, 1-Jun-2017.) $)
    afvelrnb0 $p |- ( F Fn A
                      -> ( B e. ran F -> E. x e. A ( F ''' x ) = B ) ) $=
      ( vy wfn crn wcel cv cafv wceq wrex cab fnrnafv eleq2d eqeq1 eqcom bitrdi
      rexbidv elabg ibi syl6bi ) DBFZCDGZHCEIZAIDJZKZABLZEMZHZUFCKZABLZUCUDUICA
      EBDNOUJULUHULECUIUECKZUGUKABUMUGCUFKUKUECUFPCUFQRSTUAUB $.

    $( Alternate definition of the image of a function, analogous to
       ~ dfimafn .  (Contributed by Alexander van der Vekens, 25-May-2017.) $)
    dfaimafn $p |- ( ( Fun F /\ A C_ dom F ) ->
                  ( F " A ) = { y | E. x e. A ( F ''' x ) = y } ) $=
      ( wfun cdm wss wa cima cv wbr wrex cab cafv wceq dfima2 wcel wb funbrafvb
      ssel ex syl9r imp31 rexbidva abbidv eqtr4id ) DEZCDFZGZHZDCIAJZBJZDKZACLZ
      BMUKDNULOZACLZBMABDCPUJUPUNBUJUOUMACUGUIUKCQZUOUMRZUIUQUKUHQZUGURCUHUKTUG
      USURUKULDSUAUBUCUDUEUF $.

    $( Alternate definition of the image of a function as an indexed union of
       singletons of function values, analogous to ~ dfimafn2 .  (Contributed
       by Alexander van der Vekens, 25-May-2017.) $)
    dfaimafn2 $p |- ( ( Fun F /\ A C_ dom F ) ->
                   ( F " A ) = U_ x e. A { ( F ''' x ) } ) $=
      ( vy wfun cdm wss wa cima cv cafv wceq cab ciun csn wrex dfaimafn eqtr4di
      iunab wcel df-sn eqcom abbii eqtri a1i iuneq2i ) CEBCFGHZCBIZABAJZCKZDJZL
      ZDMZNZABUJOZNUGUHULABPDMUNADBCQULADBSRABUOUMUOUMLUIBTUOUKUJLZDMUMDUJUAUPU
      LDUKUJUBUCUDUEUFR $.

    $( Function value in an image, analogous to ~ fvelima .  (Contributed by
       Alexander van der Vekens, 25-May-2017.) $)
    afvelima $p |- ( ( Fun F /\ A e. ( F " B ) ) ->
                  E. x e. B ( F ''' x ) = A ) $=
      ( wfun cima wcel cafv wceq wrex wbr elimag ibi funbrafv reximdv syl5 imp
      cv ) DEZBDCFZGZARZDHBIZACJZUAUBBDKZACJZSUDUAUFABDCTLMSUEUCACUBBDNOPQ $.
  $}

  $( A function's value belongs to its range, analogous to ~ fvelrn .
     (Contributed by Alexander van der Vekens, 25-May-2017.) $)
  afvelrn $p |- ( ( Fun F /\ A e. dom F ) -> ( F ''' A ) e. ran F ) $=
    ( wfun cdm wcel wa cfv cafv crn wdfat wceq csn funres anim1i ancomd df-dfat
    cres sylibr afvfundmfveq eqcomd syl fvelrn eqeltrrd ) BCZABDEZFZABGZABHZBIU
    FABJZUGUHKUFUEBALZQCZFUIUFUKUEUDUKUEUJBMNOABPRUIUHUGABSTUAABUBUC $.

  $( A function's value belongs to its range, analogous to ~ fnfvelrn .
     (Contributed by Alexander van der Vekens, 25-May-2017.) $)
  fnafvelrn $p |- ( ( F Fn A /\ B e. A ) -> ( F ''' B ) e. ran F ) $=
    ( cafv crn wcel afvelrn funfni ) BCDCEFABCBCGH $.

  $( A function's value belongs to its codomain, analogous to ~ ffvelrn .
     (Contributed by Alexander van der Vekens, 25-May-2017.) $)
  fafvelrn $p |- ( ( F : A --> B /\ C e. A ) -> ( F ''' C ) e. B ) $=
    ( wf wcel wa cafv crn wfn ffn fnafvelrn sylan wi frn sseld adantr mpd ) ABD
    EZCAFZGCDHZDIZFZUABFZSDAJTUCABDKACDLMSUCUDNTSUBBUAABDOPQR $.

  ${
    $d x y A $.  $d x y B $.  $d x y F $.
    $( A function maps to a class to which all values belong, analogous to
       ~ ffnfv .  (Contributed by Alexander van der Vekens, 25-May-2017.) $)
    ffnafv $p |- ( F : A --> B
                   <-> ( F Fn A /\ A. x e. A ( F ''' x ) e. B ) ) $=
      ( vy wf wfn cv cafv wcel wral wa ffn fafvelrn ralrimiva jca crn wss simpl
      wceq wrex afvelrnb0 nfra1 nfv rsp eleq1 biimpcd syl6 rexlimd sylan9 ssrdv
      wi df-f sylanbrc impbii ) BCDFZDBGZAHZDIZCJZABKZLZUPUQVABCDMUPUTABBCURDNO
      PVBUQDQZCRUPUQVASVBEVCCUQEHZVCJUSVDTZABUAVAVDCJZABVDDUBVAVEVFABUTABUCVFAU
      DVAURBJUTVEVFULUTABUEVEUTVFUSVDCUFUGUHUIUJUKBCDUMUNUO $.
  $}

  $( The value of a restricted function, analogous to ~ fvres .  (Contributed
     by Alexander van der Vekens, 22-Jul-2017.) $)
  afvres $p |- ( A e. B -> ( ( F |` B ) ''' A ) = ( F ''' A ) ) $=
    ( cdm wcel cres wfun wa cafv wceq eqcomd funeqd biimpd anim12d impcom wdfat
    cfv df-dfat afvfundmfveq cvv csn cin biimpri dmres eleqtrrdi snssi resabs1d
    elin ex sylbir syl fvres adantl adantr 3eqtrd wn wi pm3.4 sylbi com12 con3d
    eleq2s afvnfundmuv sylnbir eqtrd pm2.61ian ) ACDZEZCAUAZFZGZHZABEZACBFZIZAC
    IZJVLVMHZVOAVNQZACQZVPVQAVNDZEZVNVIFZGZHZVOVRJZVMVLWDVMVHWAVKWCVMVHWAVMVHHZ
    ABVGUBZVTAWGEZWFABVGUHZUCCBUDZUEUIVMVKWCVMVJWBVMWBVJVMCVIBABUFUGZKLMNOWDAVN
    PZWEAVNRZAVNSUJUKVMVRVSJVLABCULUMVLVSVPJVMVLVPVSVLACPZVPVSJACRZACSUJKUNUOVL
    UPZVMHZVOTVPWQWDUPZVOTJZVMWPWRVMWDVLVMWAVHWCVKWAVMVHVMVHUQZAWGVTWHWFWTWIVMV
    HURUSWJVBUTVMWCVKVMWBVJWKLMNVAOWDWLWSWMAVNVCVDUKWPTVPJVMWPVPTVLWNVPTJWOACVC
    VDKUNVEVF $.

  ${
    $d x y A $.  $d x y F $.
    $( Function value.  Theorem 6.12(1) of [TakeutiZaring] p. 27, analogous to
       ~ tz6.12 .  (Contributed by Alexander van der Vekens, 29-Nov-2017.) $)
    tz6.12-afv $p |- ( ( <. A , y >. e. F /\ E! y <. A , y >. e. F )
                        -> ( F ''' A ) = y ) $=
      ( vx cvv wcel cv cop weu wa cafv wceq wi wbr simpl adantl com12 sylbir ex
      syl cfv cdm csn cres wfun vex df-br biimpri breldmg syl3anc wral velsn wb
      a1i breq1 bitr3id eqcoms eubidv biimpd sylbi ralrimiv wfn fnres fnfun jca
      impr wdfat df-dfat afvfundmfveq tz6.12 eqtrd eu2ndop1stv pm2.24d pm2.61i
      wn ) BEFZBAGZHCFZVRAIZJZBCKZVQLZMVPVTWBVPVTJZWABCUAZVQWCBCUBFZCBUCZUDZUEZ
      JZWAWDLZVPVRVSWIVPVRJZWEVSWIMWKVPVQEFZBVQCNZWEVPVROWLWKAUFUNVRWMVPWMVRBVQ
      CUGZUHPBVQEECUIUJWEVSWIWEVSJZWEWHWEVSOWODGZVQCNZAIZDWFUKZWHWOWRDWFVSWPWFF
      ZWRMWEWTVSWRWTWPBLZVSWRMDBULXAVSWRXAVRWQAVRWQUMBWPVRWMBWPLWQWNBWPVQCUOUPU
      QURUSUTQPVAWSWGWFVBWHDAWFCVCWFWGVDRTVESTVFWIBCVGWJBCVHBCVIRTVTWDVQLVPABCV
      JPVKSVTVPVOZWBVSXBWBMVRVSVPWBABCVLVMPQVN $.

    $( Function value (Theorem 6.12(1) of [TakeutiZaring] p. 27, analogous to
       ~ tz6.12-1 .  (Contributed by Alexander van der Vekens, 29-Nov-2017.) $)
    tz6.12-1-afv $p |- ( ( A F y /\ E! y A F y ) -> ( F ''' A ) = y ) $=
      ( cv wbr cop wcel weu cafv wceq df-br eubii tz6.12-afv syl2anb ) BADZCEZB
      OFCGZQAHBCIOJPAHBOCKZPQARLABCMN $.
  $}

  $( Domains of a function composition, analogous to ~ dmfco .  (Contributed by
     Alexander van der Vekens, 23-Jul-2017.) $)
  dmfcoafv $p |- ( ( Fun G /\ A e. dom G ) ->
                   ( A e. dom ( F o. G ) <-> ( G ''' A ) e. dom F ) ) $=
    ( wfun cdm wcel wa ccom cfv cafv dmfco cres wceq funres anim2i ancoms wdfat
    csn df-dfat afvfundmfveq sylbir syl eqcomd eleq1d bitrd ) CDZACEFZGZABCHEFA
    CIZBEZFACJZUJFABCKUHUIUKUJUHUKUIUHUGCARZLDZGZUKUIMZUGUFUNUFUMUGULCNOPUNACQU
    OACSACTUAUBUCUDUE $.

  $( Value of a function composition, analogous to ~ fvco2 .  (Contributed by
     Alexander van der Vekens, 23-Jul-2017.) $)
  afvco2 $p |- ( ( G Fn A /\ X e. A ) -> ( ( F o. G ) ''' X ) =
                 ( F ''' ( G ''' X ) ) ) $=
    ( wcel wa cafv cfv cdm cres wfun wceq adantl imp wdfat df-dfat afvfundmfveq
    wi wn cvv wfn ccom csn fvco2 simpll wb df-fn eleq2 eqcoms biimpd jca sylanb
    syl mpbird funcoressn sylbir syl2anc adantr 3eqtr4d wo funfni bicomd notbid
    dmfco ianor ndmafv syl6com funressnfv afvnfundmuv sylnbir nsyl4 com12 con1d
    ex jaoi sylbi eqcomd eqtrd pm2.61ian eqidd fnfun funresd afveq12d ) CAUAZDA
    EZFZDBCUBZGZDCHZBGZDCGZBGWIBIEZBWIUCJKZFZWFWHWJLWNWFFZDWGHZWIBHZWHWJWFWPWQL
    WNABCDUDMWODWGIEZWGDUCZJKZWHWPLZWOWRWLWLWMWFUEWOCKZDCIZEZFZWRWLUFZWFXEWNWDX
    BXCALZFZWEXECAUGZXHWEFXBXDXBXGWEUEXHWEXDXGWEXDRZXBXGWEXDWEXDUFAXCAXCDUHUIUJ
    MZNUKULMDBCVDZUMUNABCDUOWRWTFZDWGOZXADWGPZDWGQUPUQWNWJWQLZWFWNWIBOZXPWIBPZW
    IBQUPURUSWNSZWFFWHTWJXSWFWHTLZXSWLSZWMSZUTWFXTRZWLWMVEYAYCYBWFYAWRSZXTWFYAY
    DWFWLWRWFWRWLXFADCXLVAVBVCUJDWGVFVGWFYBXTWFXTWMXTSWFWMXMWFWMRXTXMWFWMABCDVH
    VNXMXNXTXODWGVIVJVKVLVMVLVOVPNXSTWJLWFXSWJTWNXQWJTLXRWIBVIVJVQURVRVSWFWIWKB
    BWFBVTWFWKWIWFXDCWSJKZWKWILZWDWEXDWDXHXJXIXKVPNWDYEWEWDWSCACWAWBURXDYEFDCOY
    FDCPDCQUPUQVQWCVR $.

  ${
    $d F w x y z $.  $d ph w x y z $.
    rlimdmafv.1 $e |- ( ph -> F : A --> CC ) $.
    rlimdmafv.2 $e |- ( ph -> sup ( A , RR* , < ) = +oo ) $.
    $( Two ways to express that a function has a limit, analogous to ~ rlimdm .
       (Contributed by Alexander van der Vekens, 27-Nov-2017.) $)
    rlimdmafv $p |- ( ph -> ( F e. dom ~~>r <-> F ~~>r ( ~~>r ''' F ) ) ) $=
      ( vx vy vz vw crli wcel wbr cv wex wa wceq cvv weq breq2 adantr cdm eldmg
      cafv ibi simpr cfv wdfat weu rlimrel brrelex1i adantl vex breldmg syl3anc
      a1i wi wal biimprd spimevw cc wf cxr clt csup cpnf simprl simprr alrimivv
      rlimuni ex eu4 sylanbrc dfdfat2 afvfundmfveq syl df-fv wb expr syl5ibrcom
      cio impbid iota5 elvd syl5eq eqtrd breqtrrd exlimdv syl5 releldmi impbid1
      ) ACJUAZKZCCJUCZJLZWLCFMZJLZFNZAWNWLWQFCJWKUBUDAWPWNFAWPWNAWPOZCWOWMJAWPU
      EZWRWMCJUFZWOWRCJUGZWMWTPWRWLCGMZJLZGUHZXAWRCQKZWOQKZWPWLWPXEACWOJUIUJUKX
      FWRFULUOWSCWOQQJUMUNWRXCGNZXCCHMZJLZOZGHRZUPZHUQGUQXDWPXGAWPXCGFGFRXCWPXB
      WOCJSURUSUKWRXLGHWRXJXKWRXJOBXBXHCWRBUTCVAZXJAXMWPDTTWRBVBVCVDVEPZXJAXNWP
      ETTWRXCXIVFWRXCXIVGVIVJVHXCXIGHXBXHCJSVKVLGCJVMVLCJVNVOWRWTCIMZJLZIVTZWOI
      CJVPWRXQWOPFWRXPIWOQWRXPIFRZVQXFWRXPXRAWPXPXRAWPXPOZOBXOWOCAXMXSDTAXNXSET
      AWPXPVGAWPXPVFVIVRWRXPXRWPWSXOWOCJSVSWATWBWCWDWEWFVJWGWHCWMJUIWIWJ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Alternative definition of the value of an operation
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    aoveq123d.1 $e |- ( ph -> F = G ) $.
    aoveq123d.2 $e |- ( ph -> A = B ) $.
    aoveq123d.3 $e |- ( ph -> C = D ) $.
    $( Equality deduction for operation value, analogous to ~ oveq123d .
       (Contributed by Alexander van der Vekens, 26-May-2017.) $)
    aoveq123d $p |- ( ph -> (( A F C )) = (( B G D )) ) $=
      ( cop cafv caov opeq12d afveq12d df-aov 3eqtr4g ) ABDKZFLCEKZGLBDFMCEGMAR
      SFGHABCDEIJNOBDFPCEGPQ $.
  $}

  ${
    nfaov.2 $e |- F/_ x A $.
    nfaov.3 $e |- F/_ x F $.
    nfaov.4 $e |- F/_ x B $.
    $( Bound-variable hypothesis builder for operation value, analogous to
       ~ nfov .  To prove a deduction version of this analogous to ~ nfovd is
       not quickly possible because many deduction versions for bound-variable
       hypothesis builder for constructs the definition of alternative
       operation values is based on are not available (see ~ nfafv ).
       (Contributed by Alexander van der Vekens, 26-May-2017.) $)
    nfaov $p |- F/_ x (( A F B )) $=
      ( caov cop cafv df-aov nfop nfafv nfcxfr ) ABCDHBCIZDJBCDKAODFABCEGLMN $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.  $d y F $.
    $( Move class substitution in and out of an operation.  (Contributed by
       Alexander van der Vekens, 26-May-2017.) $)
    csbaovg $p |- ( A e. D -> [_ A / x ]_ (( B F C )) =
           (( [_ A / x ]_ B [_ A / x ]_ F [_ A / x ]_ C )) ) $=
      ( vy caov csb wceq csbeq1 aoveq123d eqeq12d vex nfcsb1v nfaov weq csbeq1a
      cv csbief vtoclg ) AGSZCDFHZIZAUBCIZAUBDIZAUBFIZHZJABUCIZABCIZABDIZABFIZH
      ZJGBEUBBJZUDUIUHUMAUBBUCKUNUEUJUFUKUGULAUBBFKAUBBCKAUBBDKLMAUBUCUHGNAUEUF
      UGAUBCOAUBFOAUBDOPAGQCUEDUFFUGAUBFRAUBCRAUBDRLTUA $.
  $}

  $( If a class is a function restricted to an ordered pair of its domain, then
     the value of the operation on this pair is equal for both definitions.
     (Contributed by Alexander van der Vekens, 26-May-2017.) $)
  aovfundmoveq $p |- ( F defAt <. A , B >. -> (( A F B )) = ( A F B ) ) $=
    ( cop wdfat cafv cfv caov co afvfundmfveq df-aov df-ov 3eqtr4g ) ABDZCENCFN
    CGABCHABCINCJABCKABCLM $.

  $( If an ordered pair is not in the domain of a class or the class is not a
     function restricted to the ordered pair, then the operation value for this
     pair is the universal class.  (Contributed by Alexander van der Vekens,
     26-May-2017.) $)
  aovnfundmuv $p |- ( -. F defAt <. A , B >. -> (( A F B )) = _V ) $=
    ( cop wdfat wn caov cafv cvv df-aov afvnfundmuv syl5eq ) ABDZCEFABCGMCHIABC
    JMCKL $.

  $( The value of an operation outside its domain, analogous to ~ ndmafv .
     (Contributed by Alexander van der Vekens, 26-May-2017.) $)
  ndmaov $p |- ( -. <. A , B >. e. dom F -> (( A F B )) = _V ) $=
    ( cop cdm wcel wn caov cafv cvv df-aov ndmafv syl5eq ) ABDZCEFGABCHNCIJABCK
    NCLM $.

  $( The value of an operation outside its domain, analogous to ~ ndmovg .
     (Contributed by Alexander van der Vekens, 26-May-2017.) $)
  ndmaovg $p |- ( ( dom F = ( R X. S ) /\ -. ( A e. R /\ B e. S ) )
              -> (( A F B )) = _V ) $=
    ( cdm cxp wceq wcel wa wn cop caov cvv opelxp eleq2 eqcoms bitr3id notbid
    wb biimpa ndmaov syl ) EFZCDGZHZACIBDIJZKZJABLZUDIZKZABEMNHUFUHUKUFUGUJUGUI
    UEIZUFUJABCDOULUJTUEUDUEUDUIPQRSUAABEUBUC $.

  $( If the operation value of a class for an ordered pair is a set, the
     ordered pair is contained in the domain of the class.  (Contributed by
     Alexander van der Vekens, 26-May-2017.) $)
  aovvdm $p |- ( (( A F B )) e. C -> <. A , B >. e. dom F ) $=
    ( caov wcel cop cafv cdm df-aov eleq1i afvvdm sylbi ) ABDEZCFABGZDHZCFODIFN
    PCABDJKOCDLM $.

  $( If the restriction of a class to a singleton is not a function, its
     operation value is the universal class.  (Contributed by Alexander van der
     Vekens, 26-May-2017.) $)
  nfunsnaov $p |- ( -. Fun ( F |` { <. A , B >. } ) -> (( A F B )) = _V ) $=
    ( cop csn cres wfun wn caov cafv cvv df-aov nfunsnafv syl5eq ) CABDZEFGHABC
    IOCJKABCLOCMN $.

  $( If the operation value of a class for an argument is a set, the class
     restricted to the singleton of the argument is a function.  (Contributed
     by Alexander van der Vekens, 26-May-2017.) $)
  aovvfunressn $p |- ( (( A F B )) e. C -> Fun ( F |` { <. A , B >. } ) ) $=
    ( caov wcel cop cafv csn cres wfun df-aov eleq1i afvvfunressn sylbi ) ABDEZ
    CFABGZDHZCFDQIJKPRCABDLMQCDNO $.

  ${
    aovprc.1 $e |- Rel dom F $.
    $( The value of an operation when the one of the arguments is a proper
       class, analogous to ~ ovprc .  (Contributed by Alexander van der Vekens,
       26-May-2017.) $)
    aovprc $p |- ( -. ( A e. _V /\ B e. _V ) -> (( A F B )) = _V ) $=
      ( cvv wcel wa wn caov cop cafv df-aov wceq df-br brrelex12i sylbir ndmafv
      cdm wbr nsyl5 syl5eq ) AEFBEFGZHABCIABJZCKZEABCLUCCRZFZUBUDEMUFABUESUBABU
      ENABUEDOPUCCQTUA $.

    $( Reverse closure for an operation value, analogous to ~ afvvv .  In
       contrast to ~ ovrcl , elementhood of the operation's value in a set is
       required, not containing an element.  (Contributed by Alexander van der
       Vekens, 26-May-2017.) $)
    aovrcl $p |- ( (( A F B )) e. C -> ( A e. _V /\ B e. _V ) ) $=
      ( caov wcel cop cafv cvv wa df-aov eleq1i cdm afvvdm wbr df-br brrelex12i
      sylbir syl sylbi ) ABDFZCGABHZDIZCGZAJGBJGKZUBUDCABDLMUEUCDNZGZUFUCCDOUHA
      BUGPUFABUGQABUGERSTUA $.
  $}

  $( If the alternative value of the operation on an ordered pair is the
     universal class, the operation's value at this ordered pair is the empty
     set.  (Contributed by Alexander van der Vekens, 26-May-2017.) $)
  aovpcov0 $p |- ( (( A F B )) = _V -> ( A F B ) = (/) ) $=
    ( cop cafv cvv wceq cfv c0 caov co afvpcfv0 df-aov eqeq1i df-ov 3imtr4i ) A
    BDZCEZFGQCHZIGABCJZFGABCKZIGQCLTRFABCMNUASIABCONP $.

  $( The alternative value of the operation on an ordered pair equals the
     operation's value at this ordered pair.  (Contributed by Alexander van der
     Vekens, 26-May-2017.) $)
  aovnuoveq $p |- ( (( A F B )) =/= _V -> (( A F B )) = ( A F B ) ) $=
    ( caov cvv wne cop cafv co wceq df-aov neeq1i afvnufveq df-ov 3eqtr4g sylbi
    cfv ) ABCDZEFABGZCHZEFZRABCIZJRTEABCKZLUATSCQRUBSCMUCABCNOP $.

  $( The alternative value of the operation on an ordered pair equals the
     operation's value on this ordered pair.  (Contributed by Alexander van der
     Vekens, 26-May-2017.) $)
  aovvoveq $p |- ( (( A F B )) e. C -> (( A F B )) = ( A F B ) ) $=
    ( caov wcel cop cafv co wceq df-aov eleq1i cfv afvvfveq df-ov 3eqtr4g sylbi
    ) ABDEZCFABGZDHZCFZRABDIZJRTCABDKZLUATSDMRUBSCDNUCABDOPQ $.

  $( If the alternative value of the operation on an ordered pair is the empty
     set, the operation's value at this ordered pair is the empty set.
     (Contributed by Alexander van der Vekens, 26-May-2017.) $)
  aov0ov0 $p |- ( (( A F B )) = (/) -> ( A F B ) = (/) ) $=
    ( cop cafv c0 wceq cfv caov co afv0fv0 df-aov eqeq1i df-ov 3imtr4i ) ABDZCE
    ZFGPCHZFGABCIZFGABCJZFGPCKSQFABCLMTRFABCNMO $.

  $( If the operation's value at an argument is not the empty set, it equals
     the value of the alternative operation at this argument.  (Contributed by
     Alexander van der Vekens, 26-May-2017.) $)
  aovovn0oveq $p |- ( ( A F B ) =/= (/) -> (( A F B )) = ( A F B ) ) $=
    ( co c0 wne cop cfv caov wceq df-ov neeq1i afvfvn0fveq df-aov 3eqtr4g sylbi
    cafv ) ABCDZEFABGZCHZEFZABCIZRJRTEABCKZLUASCQTUBRSCMABCNUCOP $.

  $( The operation's value on an ordered pair is an element of a set if and
     only if the alternative value of the operation on this ordered pair is an
     element of that set, if the set does not contain the empty set.
     (Contributed by Alexander van der Vekens, 26-May-2017.) $)
  aov0nbovbi $p |- ( (/) e/ C -> ( (( A F B )) e. C <-> ( A F B ) e. C ) ) $=
    ( c0 wnel cop cafv wcel cfv caov co afv0nbfvbi df-aov eleq1i df-ov 3bitr4g
    ) ECFABGZDHZCIRDJZCIABDKZCIABDLZCIRCDMUASCABDNOUBTCABDPOQ $.

  $( The operation's value on an ordered pair is the empty set if and only if
     the alternative value of the operation on this ordered pair is either the
     empty set or the universal class.  (Contributed by Alexander van der
     Vekens, 26-May-2017.) $)
  aovov0bi $p |- ( ( A F B ) = (/)
                     <-> ( (( A F B )) = (/) \/ (( A F B )) = _V ) ) $=
    ( co c0 wceq cop cfv cafv cvv wo caov eqeq1i afvfv0bi df-aov bicomi orbi12i
    df-ov 3bitri ) ABCDZEFABGZCHZEFUACIZEFZUCJFZKABCLZEFZUFJFZKTUBEABCRMUACNUDU
    GUEUHUGUDUFUCEABCOZMPUHUEUFUCJUIMPQS $.

  $( --------------------------- $)

  ${
    $d x A $.  $d x y B $.  $d x y C $.  $d y D $.  $d x y F $.  $d x y S $.
    $( A frequently used special case of ~ rspc2ev for operation values,
       analogous to ~ rspceov .  (Contributed by Alexander van der Vekens,
       26-May-2017.) $)
    rspceaov $p |- ( ( C e. A /\ D e. B /\ S = (( C F D )) ) ->
                 E. x e. A E. y e. B S = (( x F y )) ) $=
      ( cv caov wceq eqidd id aoveq123d eqeq2d rspc2ev ) GAIZBIZHJZKGEFHJZKGERH
      JZKABEFCDQEKZSUAGUBQERRHHUBHLUBMUBRLNORFKZUATGUCEERFHHUCHLUCELUCMNOP $.
  $}

  $( Equivalence of operation value and ordered triple membership, analogous to
     ~ fnopfvb .  (Contributed by Alexander van der Vekens, 26-May-2017.) $)
  fnotaovb $p |- ( ( F Fn ( A X. B ) /\ C e. A /\ D e. B ) ->
                   ( (( C F D )) = R <-> <. C , D , R >. e. F ) ) $=
    ( cxp wfn wcel w3a cop cafv wceq caov cotp wb wa opelxpi fnopafvb sylan2
    3impb df-aov eqeq1i df-ot eleq1i 3bitr4g ) FABGZHZCAIZDBIZJCDKZFLZEMZUKEKZF
    IZCDFNZEMCDEOZFIUHUIUJUMUOPZUIUJQUHUKUGIURCDABRUGUKEFSTUAUPULECDFUBUCUQUNFC
    DEUDUEUF $.

  ${
    $d x y w A $.  $d x y w B $.  $d x y w C $.  $d x y w F $.
    $( An operation maps to a class to which all values belong, analogous to
       ~ ffnov .  (Contributed by Alexander van der Vekens, 26-May-2017.) $)
    ffnaov $p |- ( F : ( A X. B ) --> C <-> ( F Fn ( A X. B ) /\
         A. x e. A A. y e. B (( x F y )) e. C ) ) $=
      ( vw cxp wf wfn cv cafv wcel wral wa caov ffnafv cop wceq afveq2 eqtr4di
      df-aov eleq1d ralxp anbi2i bitri ) CDHZEFIFUGJZGKZFLZEMZGUGNZOUHAKZBKZFPZ
      EMZBDNACNZOGUGEFQULUQUHUKUPGABCDUIUMUNRZSZUJUOEUSUJURFLUOUIURFTUMUNFUBUAU
      CUDUEUF $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x y F $.  $d x y R $.  $d x y S $.
    faovcl.1 $e |- F : ( R X. S ) --> C $.
    $( Closure law for an operation, analogous to ~ fovcl .  (Contributed by
       Alexander van der Vekens, 26-May-2017.) $)
    faovcl $p |- ( ( A e. R /\ B e. S ) -> (( A F B )) e. C ) $=
      ( vx vy wcel wa cv caov wral cxp wceq eqidd id aoveq123d eleq1d wf ffnaov
      wfn simprbi ax-mp rspc2v mpi ) ADJBEJKHLZILZFMZCJZIENHDNZABFMZCJZDEOZCFUA
      ZULGUPFUOUCULHIDECFUBUDUEUKUNAUIFMZCJHIABDEUHAPZUJUQCURUHAUIUIFFURFQURRUR
      UIQSTUIBPZUQUMCUSAAUIBFFUSFQUSAQUSRSTUFUG $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y V $.
    aovmpt4g.3 $e |- F = ( x e. A , y e. B |-> C ) $.
    $( Value of a function given by the maps-to notation, analogous to
       ~ ovmpt4g .  (Contributed by Alexander van der Vekens, 26-May-2017.) $)
    aovmpt4g $p |- ( ( x e. A /\ y e. B /\ C e. V ) -> (( x F y )) = C ) $=
      ( cv wcel w3a caov co cop cdm csn cres wfun wceq wa cxp wi dmmpog opelxpi
      eleq2 syl5ibr impcom 3impa mpofun funres ax-mp wdfat df-dfat aovfundmoveq
      syl sylbir sylancl ovmpt4g eqtrd ) AIZCJZBIZDJZEGJZKZUTVBFLZUTVBFMZEVEUTV
      BNZFOZJZFVHPZQRZVFVGSZVAVCVDVJVDVAVCTZVJVDVICDUAZSZVNVJUBABCDEFGHUCVNVJVP
      VHVOJUTVBCDUDVIVOVHUEUFUOUGUHFRVLABCDEFHUIVKFUJUKVJVLTVHFULVMVHFUMUTVBFUN
      UPUQABCDEFGHURUS $.
  $}

  ${
    $d x y S $.  $d x y F $.
    aoprssdm.1 $e |- ( ( x e. S /\ y e. S ) -> (( x F y )) e. S ) $.
    $( Domain of closure of an operation.  In contrast to ~ oprssdm , no
       additional property for S ( ` -. (/) e. S ` ) is required!  (Contributed
       by Alexander van der Vekens, 26-May-2017.) $)
    aoprssdm $p |- ( S X. S ) C_ dom F $=
      ( cxp cdm relxp cv wcel wa opelxp cafv caov df-aov eqeltrrid afvvdm sylbi
      cop syl relssi ) ABCCFZDGZCCHAIZBIZSZUBJUDCJUECJKZUFUCJZUDUECCLUGUFDMZCJU
      HUGUIUDUEDNCUDUEDOEPUFCDQTRUA $.
  $}

  ${
    ndmaov.1 $e |- dom F = ( S X. S ) $.
    ${
      ndmaovcl.2 $e |- ( ( A e. S /\ B e. S ) -> (( A F B )) e. S ) $.
      ndmaovcl.3 $e |- (( A F B )) e. _V $.
      $( The "closure" of an operation outside its domain, when the operation's
         value is a set in contrast to ~ ndmovcl where it is required that the
         domain contains the empty set ( ` (/) e. S ` ).  (Contributed by
         Alexander van der Vekens, 26-May-2017.) $)
      ndmaovcl $p |- (( A F B )) e. S $=
        ( wcel wa caov cop cxp opelxp cdm eqcomi eleq2i cvv wn wceq ndmaov vprc
        eleq1 biimpd pm2.21i syl6com mpsyl sylnbi sylnbir pm2.61i ) ACHBCHIZABD
        JZCHZFUJABKZCCLZHZULABCCMUOUMDNZHZULUNUPUMUPUNEOPUKQHZUQRUKQSZULGABDTUS
        URQQHZULUSURUTUKQQUBUCUTULUAUDUEUFUGUHUI $.
    $}

    $( Reverse closure law, in contrast to ~ ndmovrcl where it is required that
       the operation's domain doesn't contain the empty set
       ( ` -. (/) e. S ` ), no additional asumption is required.  (Contributed
       by Alexander van der Vekens, 26-May-2017.) $)
    ndmaovrcl $p |- ( (( A F B )) e. S -> ( A e. S /\ B e. S ) ) $=
      ( caov wcel cop cdm wa aovvdm cxp opelxp biimpi eleq2s syl ) ABDFCGABHZDI
      ZGACGBCGJZABCDKSQCCLZRQTGSABCCMNEOP $.

    $( Any operation is commutative outside its domain, analogous to
       ~ ndmovcom .  (Contributed by Alexander van der Vekens, 26-May-2017.) $)
    ndmaovcom $p |- ( -. ( A e. S /\ B e. S ) -> (( A F B )) = (( B F A )) ) $=
      ( wcel wa wn caov cvv cop cdm wceq cxp opelxp eqcomi eleq2i bitr3i ndmaov
      sylnbi ancom 3bitr2i eqtr4d ) ACFZBCFZGZHABDIZJBADIZUFABKZDLZFZUGJMUFUICC
      NZFUKABCCOULUJUIUJULEPZQRABDSTUFBAKZUJFZUHJMUFUEUDGUNULFUOUDUEUABACCOULUJ
      UNUMQUBBADSTUC $.

    $( Any operation is associative outside its domain.  In contrast to
       ~ ndmovass where it is required that the operation's domain doesn't
       contain the empty set ( ` -. (/) e. S ` ), no additional assumption is
       required.  (Contributed by Alexander van der Vekens, 26-May-2017.) $)
    ndmaovass $p |- ( -. ( A e. S /\ B e. S /\ C e. S ) ->
                      (( (( A F B )) F C )) = (( A F (( B F C )) )) ) $=
      ( wcel caov cvv cop wceq wa eleq2i opelxp bitri aovvdm sylbi syl ndmaov
      wi w3a cdm cxp df-3an simplbi2 imp nsyl5 3anass biimpri a1d expcom impcom
      wn pm2.43i eqtr4d ) ADGZBDGZCDGZUAZUMABEHZCEHZIABCEHZEHZUTCJZEUBZGZUSVAIK
      VFUTDGZURLZUSVFVDDDUCZGVHVEVIVDFMUTCDDNOVGURUSVGABJZVEGZURUSTZABDEPVKUPUQ
      LZVLVKVJVIGVMVEVIVJFMABDDNOUSVMURUPUQURUDUEQRUFQUTCESUGAVBJZVEGZUSVCIKVOU
      SVOUPVBDGZLZVOUSTZVOVNVIGVQVEVIVNFMAVBDDNOVPUPVRVPBCJZVEGZUPVRTZBCDEPVTUQ
      URLZWAVTVSVIGWBVEVIVSFMBCDDNOUPWBVRUPWBLZUSVOUSWCUPUQURUHUIUJUKQRULQUNAVB
      ESUGUO $.

    ${
      ndmaov.6 $e |- dom G = ( S X. S ) $.
      $( Any operation is distributive outside its domain.  In contrast to
         ~ ndmovdistr where it is required that the operation's domain doesn't
         contain the empty set ( ` -. (/) e. S ` ), no additional assumption is
         required.  (Contributed by Alexander van der Vekens, 26-May-2017.) $)
      ndmaovdistr $p |- ( -. ( A e. S /\ B e. S /\ C e. S ) ->
          (( A G (( B F C )) )) = (( (( A G B )) F (( A G C )) )) ) $=
        ( wcel caov cvv cop cdm wa eleq2i opelxp bitri wi aovvdm sylbi w3a wceq
        wn cxp 3anass simplbi2com impcom ndmaov nsyl5 simpll simprr simplr 3jca
        syl ex syl11 imp eqtr4d ) ADIZBDIZCDIZUAZUCABCEJZFJZKABFJZACFJZEJZAVCLZ
        FMZIZVBVDKUBVJUSVCDIZNZVBVJVHDDUDZIVLVIVMVHHOAVCDDPQVKUSVBVKBCLZEMZIZUS
        VBRZBCDESVPUTVANZVQVPVNVMIVRVOVMVNGOBCDDPQVBUSVRUSUTVAUEUFTUNUGTAVCFUHU
        IVEVFLZVOIZVBVGKUBVTVEDIZVFDIZNZVBVTVSVMIWCVOVMVSGOVEVFDDPQWAWBVBWAABLZ
        VIIZWBVBRZABDFSWEUSUTNZWFWEWDVMIWGVIVMWDHOABDDPQACLZVIIZWGVBWBWIUSVANZW
        GVBRWIWHVMIWJVIVMWHHOACDDPQWJWGVBWJWGNUSUTVAUSVAWGUJWJUSUTUKUSVAWGULUMU
        OTACDFSUPTUNUQTVEVFEUHUIUR $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Alternative definitions of function values (2)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  In the following, a second approach is followed to define function values
  alternately to ~ df-afv .

  The current definition of the value ` ( F `` A ) ` of a function ` F ` at an
  argument ` A ` (see ~ df-fv ) assures that this value is always a set, see
  ~ fex .  This is because this definition can be applied to any classes ` F `
  and ` A ` , and evaluates to the empty set when it is not meaningful (as
  shown by ~ ndmfv and ~ fvprc ). "` ( F `` A ) ` is meaningful" means "the
  class ` F ` regarded as function is defined at the argument ` A `" in this
  context. This is also expressed by ` F defAt A `, see ~ df-dfat .  In the
  theory of partial functions, it is a common case that ` F ` is not defined at
  ` A `.

  Although it is very convenient for many theorems on functions and their
  proofs, there are some cases in which from ` ( F `` A ) = (/) ` alone it
  cannot be decided/derived whether ` ( F `` A ) ` is meaningful ( ` F ` is
  actually a function which is defined for ` A ` and really has the function
  value ` (/) ` at ` A ` ) or not.  Therefore, additional assumptions are
  required, such as ` (/) e/ ran F ` , ` (/) e. ran F ` , ` F defAt A ` , or
  ` Fun F /\ A e. dom F ` (see, for example, ~ ndmfvrcl ).

  To avoid such an ambiguity, an alternative definition ` ( F '''' A ) ` (see
  ~ df-afv2 ) would be possible which evaluates to a set not belonging to the
  range of ` F ` ( ` ( F '''' A ) = ~P U. ran F ` ) if it is not meaningful
  (see ~ ndfatafv2 ).  We say "` ( F '''' A ) ` is not defined (or undefined)"
  if ` ( F '''' A ) ` is not in the range of ` F ` (` ( F '''' A ) e/ ran F `).
  Because of ~ afv2ndefb , this is equivalent to ` ( ( F '''' A ) = `
  ` ~P U. ran F `.  If ` ( F '''' A ) ` is in the range of ` F `
  (` ( F '''' A ) e. ran F `), we say that "` ( F '''' A ) ` is defined".

  If ` ran F ` is a set, we can use the symbol ` Undef ` to express that
  ` ( F '''' A ) ` is not defined: ` ( F '''' A ) = ( Undef `` ran F ) ` (see
  ~ ndfatafv2undef ).  We could have used this symbol directly to define the
  alternate value of a function, which would have the advantage that
  ` ( F '''' A ) ` would always be a set.  But first this symbol is defined
  using the original function value, which would not make it possible to
  replace the original definition by the alternate definition, and second we
  would have to assume that ` ran F e. _V ` in most of the theorems.

  To summarize,  that means ` ( F '''' A ) e/ ran F -> ( F `` A ) = (/) ` (see
  ~ afv2ndeffv0 ), but ` ( F `` A ) = (/) -> ( F '''' A ) e/ ran F ` is not
  generally valid, see ~ afv2fv0 .

  The alternate definition, however, corresponds to the current definition
  (` ( F `` A ) = ( F '''' A ) ` ) if the function ` F ` is defined at ` A `
  (see ~ dfatafv2eqfv ).

  With this definition the following intuitive equivalence holds:
  ` ( F defAt A <-> ( F '''' A ) e. ran F ) `, see ~ dfatafv2rnb .

  An interesting question would be if ` ( F `` A ) ` could be replaced by
  ` ( F ''' A ) ` in most of the theorems based on function values.  If we look
  at the (currently 24) proofs using the definition ~ df-fv of ` ( F `` A ) `,
  we see that analogues for the following 7 theorems can be proven using the
  alternative definition: ~ fveq1 -> ~ afv2eq1 , ~ fveq2 -> ~ afv2eq2 ,
  ~ nffv -> ~ nfafv2 , ~ csbfv12 -> csbafv212g , ~ rlimdm -> ~ rlimdmafv2 ,
  ~ tz6.12-1 -> ~ tz6.12-1-afv2 , ~ fveu -> ~ afv2eu .

  Six theorems proved by directly using ~ df-fv are within a mathbox
  ( ~ fvsb , ~ uncov ) or not used ( ~ rlimdmafv , ~ avril1 ) or experimental
  ( ~ dfafv2 , ~ dfafv22 ).

  However, the remaining 11 theorems proved by directly using ~ df-fv are used
  more or less often:

  * ~ fvex : used in about 1600 proofs:  Only if the function is defined at the
    argument, or the range of the function/class is a set, analog theorems can
    be proven ( ~ dfatafv2ex resp. ~ afv2ex ).  All of these 1600 proofs have
    to be checked if one of these two theorems can be used instead of ~ fvex .

  * ~ fvres : used in about 400 proofs : Only if the function is defined at the
    argument, an analog theorem can be proven ( ~ afv2res ).  In the undefined
    case such a theorem cannot exist (without additional assumtions), because
    the range of ` ( F |`` B ) ` is mostly different from the range of ` F `,
    and therefore also the "undefined" values are different.  All of these 400
    proofs have to be checked if ~ afv2res can be used instead of ~ fvres .

  * ~ tz6.12-2 (-> ~ tz6.12-2-afv2 ): root theorem of many theorems which
    have not a strict analogue, and which are used many times:

  ** ~ fvprc (-> ~ afv2prc ), used in 193 proofs,

  ** ~ tz6.12i (-> ~ tz6.12i-afv2 ), used - indirectly via ~ fvbr0 and ~ fvrn0
     - in 19 proofs, and in ~ fvclss used in ~ fvclex used in ~ fvresex (which
     is not used!) and in ~ dcomex (used in 4 proofs),

  ** ~ ndmfv (-> ndmafv2nrn ), used in 124 proofs

  ** ~ nfunsn (-> nfunsnafv2 ), used by ~ fvfundmfvn0 (used in 3 proofs),
     and ~ dffv2 (not used)

  ** ~ funpartfv , ~ setrec2lem1 (mathboxes)

  * ~ fv2 : only used by ~ elfv , which is only used by ~ fv3 , which is not
    used.

  * ~ dffv3 (-> dfafv23 ): used by ~ dffv4 (the previous "df-fv"), which now is
    only used in mathboxes ( ~ csbfv12gALTVD ), by ~ shftval (itself used in 11
    proofs), by ~ dffv5 (mathbox) and by ~ fvco2 (-> ~ afv2co2 ).

  * ~ fvopab5 : used only by ~ ajval (not used) and by ~ adjval , which is used
    in ~ adjval2 (not used) and in ~ adjbdln (used in 7 proofs).

  * ~ zsum : used (via ~ isum , ~ sum0 , ~ sumss and ~ fsumsers )
             in 76 proofs.

  * ~ isumshft : used in ~ pserdv2 (used in ~ logtayl , ~ binomcxplemdvsum ) ,
      ~ eftlub (used in 4 proofs), ~ binomcxplemnotnn0 (used in ~ binomcxp
      only) and ~ logtayl (used in 4 proofs).

  * ~ ovtpos : used in 16 proofs.

  * ~ zprod : used in 3 proofs: ~ iprod , ~ zprodn0 and ~ prodss

  * ~ iprodclim3 : not used!

  As a result of this analysis we can say that the current definition of a
  function value is crucial for Metamath and cannot be exchanged easily with an
  alternative definition.  While ~ fv2 , ~ dffv3 , ~ fvopab5 , ~ zsum ,
  ~ isumshft , ~ ovtpos and ~ zprod are not critical or are, hopefully, also
  valid for the alternative definition, ~ fvex , ~ fvres and ~ tz6.12-2 (and
  the theorems based on them) are essential for the current definition of
  function values.

$)

  $c '''' $. $( Fourfold straight apostrophe (function value symbol) $)

  $( Extend the definition of a class to include the alternate function value.
     Read:  "the value of ` F ` at ` A ` " or " ` F ` of ` A ` ".  For using
     several apostrophes as a symbol see comment for ~ cafv . $)
  cafv2 $a class ( F '''' A ) $.

  ${
    $d x A $.  $d x F $.
    $( Alternate definition of the value of a function, ` ( F '''' A ) ` , also
       known as function application (and called "alternate function value" in
       the following).  In contrast to ` ( F `` A ) = (/) ` (see comment of
       ~ df-fv , and especially ~ ndmfv ), ` ( F '''' A ) ` is guaranteed not
       to be in the range of ` F ` if ` F ` is not defined at ` A ` (whereas
       ` (/) ` can be a member of ` ran F ` ).  (Contributed by AV,
       2-Sep-2022.) $)
    df-afv2 $a |- ( F '''' A )
                  = if ( F defAt A , ( iota x A F x ) , ~P U. ran F ) $.

    $( If a function is defined at a class ` A ` the alternate function value
       at ` A ` is the unique value assigned to ` A ` by the function
       (analogously to ` ( F `` A ) ` ).  (Contributed by AV, 2-Sep-2022.) $)
    dfatafv2iota $p |- ( F defAt A -> ( F '''' A ) = ( iota x A F x ) ) $=
      ( wdfat cafv2 cv wbr cio crn cuni cpw cif df-afv2 iftrue syl5eq ) BCDZBCE
      PBAFCGAHZCIJKZLQABCMPQRNO $.

    $( The alternate function value at a class ` A ` if the function is not
       defined at this set ` A ` .  (Contributed by AV, 2-Sep-2022.) $)
    ndfatafv2 $p |- ( -. F defAt A -> ( F '''' A ) = ~P U. ran F ) $=
      ( vx wdfat wn cafv2 cv wbr cio crn cuni cpw cif df-afv2 iffalse syl5eq )
      ABDZEABFQACGBHCIZBJKLZMSCABNQRSOP $.

    $( The alternate function value at a class ` A ` is undefined if the
       function, whose range is a set, is not defined at ` A ` .  (Contributed
       by AV, 2-Sep-2022.) $)
    ndfatafv2undef $p |- ( ( ran F e. V /\ -. F defAt A )
                           -> ( F '''' A ) = ( Undef ` ran F ) ) $=
      ( wdfat wn crn wcel cuni cpw cund cfv ndfatafv2 undefval eqcomd sylan9eqr
      cafv2 ) ABDEBFZCGZABPQHIZQJKZABLRTSQCMNO $.

    $( The alternate function value at a class ` A ` is always a set if the
       function/class ` F ` is defined at ` A ` .  (Contributed by AV,
       6-Sep-2022.) $)
    dfatafv2ex $p |- ( F defAt A -> ( F '''' A ) e. _V ) $=
      ( vx wdfat cafv2 cv wbr cio cvv dfatafv2iota iotaex eqeltrdi ) ABDABEACFB
      GZCHICABJMCKL $.

    $( The alternate function value is always a set if the range of the
       function is a set.  (Contributed by AV, 2-Sep-2022.) $)
    afv2ex $p |- ( ran F e. V -> ( F '''' A ) e. _V ) $=
      ( crn wcel cafv2 wdfat wbr cio cuni cpw cif cvv df-afv2 iotaex a1i uniexg
      vx cv pwexd ifcld eqeltrid ) BDZCEZABFABGZARSBHZRIZUCJZKZLMRABNUDUEUGUIMU
      GMEUDUFROPUDUHMUCCQTUAUB $.
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.  $d x G $.  $d x ph $.
    afv2eq12d.1 $e |- ( ph -> F = G ) $.
    afv2eq12d.2 $e |- ( ph -> A = B ) $.
    $( Equality deduction for function value, analogous to ~ fveq12d .
       (Contributed by AV, 4-Sep-2022.) $)
    afv2eq12d $p |- ( ph -> ( F '''' A ) = ( G '''' B ) ) $=
      ( vx wdfat cv wbr cio crn cuni cpw cif cafv2 dfateq12d eqidd df-afv2
      breq123d iotabidv rneqd unieqd pweqd ifbieq12d 3eqtr4g ) ABDIZBHJZDKZHLZD
      MZNZOZPCEIZCUIEKZHLZEMZNZOZPBDQCEQAUHUOUKUNUQUTABCDEFGRAUJUPHABCUIUIDEGFA
      UISUAUBAUMUSAULURADEFUCUDUEUFHBDTHCETUG $.
  $}

  $( Equality theorem for function value, analogous to ~ fveq1 .  (Contributed
     by AV, 4-Sep-2022.) $)
  afv2eq1 $p |- ( F = G -> ( F '''' A ) = ( G '''' A ) ) $=
    ( wceq id eqidd afv2eq12d ) BCDZAABCHEHAFG $.

  $( Equality theorem for function value, analogous to ~ fveq2 .  (Contributed
     by AV, 4-Sep-2022.) $)
  afv2eq2 $p |- ( A = B -> ( F '''' A ) = ( F '''' B ) ) $=
    ( wceq eqidd id afv2eq12d ) ABDZABCCHCEHFG $.

  ${
    $d A y $.  $d F y $.  $d x y $.
    nfafv2.1 $e |- F/_ x F $.
    nfafv2.2 $e |- F/_ x A $.
    $( Bound-variable hypothesis builder for function value, analogous to
       ~ nffv .  To prove a deduction version of this analogous to ~ nffvd is
       not easily possible because a deduction version of ~ nfdfat cannot be
       shown easily.  (Contributed by AV, 4-Sep-2022.) $)
    nfafv2 $p |- F/_ x ( F '''' A ) $=
      ( vy cafv2 wdfat cv wbr cio crn cuni cpw df-afv2 nfdfat nfcv nfbr nfiotaw
      cif nfrn nfuni nfpw nfif nfcxfr ) ABCGBCHZBFIZCJZFKZCLZMZNZTFBCOUFAUIULAB
      CDEPUHAFABUGCEDAUGQRSAUKAUJACDUAUBUCUDUE $.
  $}

  ${
    $d A y $.  $d B y $.  $d F y $.  $d x y $.
    $( Move class substitution in and out of a function value, analogous to
       ~ csbfv12 , with a direct proof proposed by Mario Carneiro, analogous to
       ~ csbov123 .  (Contributed by AV, 4-Sep-2022.) $)
    csbafv212g $p |- ( A e. V -> [_ A / x ]_ ( F '''' B )
                                = ( [_ A / x ]_ F '''' [_ A / x ]_ B ) ) $=
      ( vy cv cafv2 csb csbeq1 afv2eq12d eqeq12d vex nfcsb1v nfafv2 weq csbeq1a
      wceq csbief vtoclg ) AFGZCDHZIZAUACIZAUADIZHZRABUBIZABCIZABDIZHZRFBEUABRZ
      UCUGUFUJAUABUBJUKUDUHUEUIAUABDJAUABCJKLAUAUBUFFMAUDUEAUADNAUACNOAFPCUDDUE
      AUADQAUACQKST $.
  $}

  $( The alternate function value is always a set if the function (resp. the
     domain of the function) is a set.  (Contributed by AV, 3-Sep-2022.) $)
  fexafv2ex $p |- ( F e. V -> ( F '''' A ) e. _V ) $=
    ( wcel crn cvv cafv2 rnexg afv2ex syl ) BCDBEFDABGFDBCHABFIJ $.

  $( The alternate function value at a class ` A ` at which the function is not
     defined is undefined, i.e., not in the range of the function.
     (Contributed by AV, 2-Sep-2022.) $)
  ndfatafv2nrn $p |- ( -. F defAt A -> ( F '''' A ) e/ ran F ) $=
    ( wdfat cafv2 crn cuni cpw wceq wnel ndfatafv2 pwuninel df-nel eleq1 notbid
    wn wcel syl5bb mpbiri syl ) ABCOABDZBEZFGZHZTUAIZABJUCUDUBUAPZOZUAKUDTUAPZO
    UCUFTUALUCUGUETUBUAMNQRS $.

  $( The value of a class outside its domain is not in the range, compare with
     ~ ndmfv .  (Contributed by AV, 2-Sep-2022.) $)
  ndmafv2nrn $p |- ( -. A e. dom F -> ( F '''' A ) e/ ran F ) $=
    ( cdm wcel wn wdfat cafv2 crn wnel csn cres wfun wo orc wa df-dfat xchnxbir
    ianor sylibr ndfatafv2nrn syl ) ABCDZEZABFZEZABGBHIUCUCBAJKLZEZMZUEUCUGNUBU
    FOUHUDUBUFRABPQSABTUA $.

  ${
    $d x y A $.  $d x y z F $.
    $( The alternate function value at a class ` A ` is defined, i.e., in the
       range of the function if the function is defined at ` A ` .
       (Contributed by AV, 2-Sep-2022.) $)
    funressndmafv2rn $p |- ( F defAt A -> ( F '''' A ) e. ran F ) $=
      ( vy vx vz cv wbr cio wcel csn cres wfun wa wi wceq eleq1d cop wex breq2
      wb wdfat cafv2 crn dfatafv2iota df-dfat sneq reseq2d funeqd eleq1 anbi12d
      cdm breq1 iotabidv imbi12d eqid iotaex eqeq2 bibi12d imbi2d weu eldmg ibi
      adantl wmo funressnvmo adantr moeu sylib mpd cbviotavw eqeq1i bitr2di syl
      iota1 vtocl mpbii df-br vex opeq1 spcev elrn2 sylibr vtoclg anabsi6 sylbi
      eqeltrd ) ABUAZABUBACFZBGZCHZBUCZCABUDWGABUKZIZBAJZKZLZMWJWKIZABUEWMWPWQB
      DFZJZKZLZWRWLIZMZWRWHBGZCHZWKIZNWPWMMZWQNDAWLWRAOZXCXGXFWQXHXAWPXBWMXHWTW
      OXHWSWNBWRAUFUGUHWRAWLUIUJXHXEWJWKXHXDWICWRAWHBULUMPUNXCEFZXEQZBIZERZXFXC
      WRXEQZBIZXLXCWRXEBGZXNXCXEXEOZXOXEUOXCXEXIOZWRXIBGZTZNXCXPXOTZNEXEXDCUPZX
      IXEOZXSXTXCYBXQXPXRXOXIXEXEUQXIXEWRBSURUSXCXREUTZXSXCXRERZYCXBYDXAXBYDEWR
      BWLVAVBVCXCXREVDZYDYCNXAYEXBDEBVEVFXREVGVHVIYCXRXREHZXIOXQXREVNYFXEXIXRXD
      ECXIWHWRBSVJVKVLVMVOVPWRXEBVQVHXKXNEWRDVRXIWROXJXMBXIWRXEVSPVTVMEXEBYAWAW
      BWCWDWEWF $.
  $}

  $( Two ways to say that an alternate function value is not defined.
     (Contributed by AV, 5-Sep-2022.) $)
  afv2ndefb $p |- ( ( F '''' A ) = ~P U. ran F <-> ( F '''' A ) e/ ran F ) $=
    ( cafv2 crn cuni cpw wceq wnel wcel wn pwuninel df-nel notbid syl5bb mpbiri
    eleq1 wdfat funressndmafv2rn con3i sylbi ndfatafv2 syl impbii ) ABCZBDZEFZG
    ZUDUEHZUGUHUFUEIZJZUEKUHUDUEIZJZUGUJUDUELZUGUKUIUDUFUEPMNOUHABQZJZUGUHULUOU
    MUNUKABRSTABUAUBUC $.

  $( If the restriction of a class to a singleton is not a function, its value
     at the singleton element is undefined, compare with ~ nfunsn .
     (Contributed by AV, 2-Sep-2022.) $)
  nfunsnafv2 $p |- ( -. Fun ( F |` { A } ) -> ( F '''' A ) e/ ran F ) $=
    ( csn cres wfun wn wdfat cafv2 crn wnel cdm wcel wo olc wa df-dfat xchnxbir
    ianor sylibr ndfatafv2nrn syl ) BACDEZFZABGZFZABHBIJUCABKLZFZUCMZUEUCUGNUFU
    BOUHUDUFUBRABPQSABTUA $.

  $( A function's value at a proper class is not defined, compare with
     ~ fvprc .  (Contributed by AV, 5-Sep-2022.) $)
  afv2prc $p |- ( -. A e. _V -> ( F '''' A ) e/ ran F ) $=
    ( cvv wcel wn cdm cafv2 crn wnel prcnel ndmafv2nrn syl ) ACDEABFZDEABGBHIAM
    JABKL $.

  $( The alternate function value at a class ` A ` is defined, i.e. in the
     range of the function, iff the function is defined at ` A ` .
     (Contributed by AV, 2-Sep-2022.) $)
  dfatafv2rnb $p |- ( F defAt A <-> ( F '''' A ) e. ran F ) $=
    ( wdfat cafv2 wcel funressndmafv2rn wn wnel ndfatafv2nrn df-nel sylib con4i
    crn impbii ) ABCZABDZBMZEZABFOROGPQHRGABIPQJKLN $.

  $( If a set is in the range of a function, the alternate function value at a
     class ` A ` equals this set or is not in the range of the function iff the
     alternate function value at the class ` A ` either equals this set or is
     not in the range of the function.  If ` B e/ ran F ` , both disjuncts of
     the exclusive or can be true: ` ( F '''' A ) = B `
     ` -> ( F '''' A ) e/ ran F ` .  (Contributed by AV, 11-Sep-2022.) $)
  afv2orxorb $p |- ( B e. ran F
                     -> ( ( ( F '''' A ) = B \/ ( F '''' A ) e/ ran F )
                      <-> ( ( F '''' A ) = B \/_ ( F '''' A ) e/ ran F ) ) ) $=
    ( crn wcel cafv2 wceq wnel wo wxo wn wi wa wb eleq1 eqcoms a1d jca ex com12
    biimpa nnel sylibr anbi2d elnelall impcom syl6bir pm2.24 adantr jaoi df-xor
    simpl xor3 dfbi2 3bitri syl6ibr xoror impbid1 ) BCDZEZACFZBGZVAUSHZIZVBVCJZ
    UTVDVBVCKZLZVFVBLZMZVEVDUTVIVBUTVILVCVBUTVIVBUTMZVGVHVJVFVBVJVAUSEZVFVBUTVK
    UTVKNBVABVAUSOPUAVAUSUBUCQVJVBVFVBUTULQRSVCUTVIVCUTMZVGVHVBVLVFVBVLVCVKMVFV
    BVKUTVCVABUSOUDVKVCVFVFVAUSUEUFUGTVCVHUTVCVBUHUIRSUJTVEVBVCNKVBVFNVIVBVCUKV
    BVCUMVBVFUNUOUPVBVCUQUR $.

  $( The alternate function value at a class ` A ` is defined, i.e., in the
     range of the function, iff ` A ` is in the domain of the function.
     (Contributed by AV, 3-Sep-2022.) $)
  dmafv2rnb $p |- ( Fun ( F |` { A } )
                    -> ( A e. dom F <-> ( F '''' A ) e. ran F ) ) $=
    ( csn cres wfun cdm wcel wa cafv2 crn iba df-dfat dfatafv2rnb bitr3i bitrdi
    wdfat ) BACDEZABFGZRQHZABIBJGZQRKSABPTABLABMNO $.

  $( The alternate function value at a class ` A ` is defined, i.e., in the
     range of the function iff ` A ` is in the domain of the function.
     (Contributed by AV, 3-Sep-2022.) $)
  fundmafv2rnb $p |- ( Fun F -> ( A e. dom F <-> ( F '''' A ) e. ran F ) ) $=
    ( wfun csn cres cdm wcel cafv2 crn wb funres dmafv2rnb syl ) BCBADZECABFGAB
    HBIGJNBKABLM $.

  $( An alternate function value belongs to the range of the function,
     analogous to ~ fvelrn .  (Contributed by AV, 3-Sep-2022.) $)
  afv2elrn $p |- ( ( Fun F /\ A e. dom F ) -> ( F '''' A ) e. ran F ) $=
    ( wfun cdm wcel wa wdfat cafv2 crn fundmdfat dfatafv2rnb sylib ) BCABDEFABG
    ABHBIEABJABKL $.

  $( If the alternate function value at an argument is the empty set, the
     function is defined at this argument.  (Contributed by AV, 3-Sep-2022.) $)
  afv20defat $p |- ( ( F '''' A ) = (/) -> F defAt A ) $=
    ( wdfat cafv2 c0 wceq wn crn cuni cpw ndfatafv2 pwne0 neii eqeq1 mtbiri syl
    con4i ) ABCZABDZEFZRGSBHIZJZFZTGABKUCTUBEFUBEUALMSUBENOPQ $.

  $( An alternate function value belongs to the range of the function,
     analogous to ~ fnfvelrn .  (Contributed by AV, 2-Sep-2022.) $)
  fnafv2elrn $p |- ( ( F Fn A /\ B e. A ) -> ( F '''' B ) e. ran F ) $=
    ( cafv2 crn wcel afv2elrn funfni ) BCDCEFABCBCGH $.

  $( An alternate function value belongs to the codomain of the function,
     analogous to ~ ffvelrn .  (Contributed by AV, 2-Sep-2022.) $)
  fafv2elrn $p |- ( ( F : A --> B /\ C e. A ) -> ( F '''' C ) e. B ) $=
    ( wf wcel wa cafv2 crn wfn ffn fnafv2elrn sylan wi frn sseld adantr mpd ) A
    BDEZCAFZGCDHZDIZFZUABFZSDAJTUCABDKACDLMSUCUDNTSUBBUAABDOPQR $.

  $( An alternate function value is defined, i.e., belongs to the range of the
     function, iff its argument is in the domain of the function.  (Contributed
     by AV, 3-Sep-2022.) $)
  fafv2elrnb $p |- ( F : A --> B -> ( C e. A <-> ( F '''' C ) e. ran F ) ) $=
    ( wf wcel cafv2 crn wfn ffn fnafv2elrn sylan ex cdm wceq wi wnel ndmafv2nrn
    fdm wn df-nel sylib con4i eleq2 syl5ib syl impbid ) ABDEZCAFZCDGZDHZFZUHUIU
    LUHDAIUIULABDJACDKLMUHDNZAOZULUIPABDSULCUMFZUNUIUOULUOTUJUKQULTCDRUJUKUAUBU
    CUMACUDUEUFUG $.

  $( If the codomain of a function is a set, the alternate function value is
     always also a set.  (Contributed by AV, 4-Sep-2022.) $)
  frnvafv2v $p |- ( ( F : A --> B /\ B e. V ) -> ( F '''' C ) e. _V ) $=
    ( wf wcel wa crn cvv cafv2 wfn wss wi df-f ssexg ex simplbiim imp afv2ex
    syl ) ABDFZBEGZHDIZJGZCDKJGUBUCUEUBDALUDBMZUCUENABDOUFUCUEUDBEPQRSCDJTUA $.

  ${
    $d A x $.  $d F x $.
    $( Function value when ` F ` is (locally) not a function.  Theorem 6.12(2)
       of [TakeutiZaring] p. 27, analogous to ~ tz6.12-2 .  (Contributed by AV,
       5-Sep-2022.) $)
    tz6.12-2-afv2 $p |- ( -. E! x A F x -> ( F '''' A ) e/ ran F ) $=
      ( wdfat cv wbr weu cafv2 crn wnel wcel dfdfat2 simprbi ndfatafv2nrn nsyl5
      cdm ) BCDZBAECFAGZBCHCIJQBCPKRABCLMBCNO $.

    $( The value of a function at a unique point, analogous to ~ fveu .
       (Contributed by AV, 5-Sep-2022.) $)
    afv2eu $p |- ( E! x A F x -> ( F '''' A ) = U. { x | A F x } ) $=
      ( cvv wcel cv wbr weu cafv2 cab cuni wceq eubrv cdm euex eldmg syl5ibrcom
      wa wex wi impcom wdfat dfdfat2 cio dfatafv2iota sylan9eq ex sylbir expcom
      iotauni pm2.43a adantl mpd mpancom ) BDEZBAFCGZAHZBCIZUPAJKZLZBCAMUOUQRBC
      NEZUTUQUOVAUQVAUOUPASUPAOABCDPQUAUQVAUTTUOVAUQUTVAUQUQUTTZVAUQRBCUBZVBABC
      UCVCUQUTVCUQURUPAUDUSABCUEUPAUJUFUGUHUIUKULUMUN $.

    $d B x $.
    $( The value of a restricted function for an argument at which the function
       is defined.  Analog to ~ fvres .  (Contributed by AV, 5-Sep-2022.) $)
    afv2res $p |- ( ( F defAt A /\ A e. B )
                    -> ( ( F |` B ) '''' A ) = ( F '''' A ) ) $=
      ( vx wdfat wcel wa cres cafv2 cv wbr cio cdm csn wfun wceq df-dfat eqcomd
      wi dfatafv2iota cin elin biimpri dmres eleqtrrdi ex snssi resabs1d funeqd
      biimpd anim12d com12 sylbi imp sylbir syl vex brresi baib iotabidv adantl
      adantr 3eqtrd ) ACEZABFZGZACBHZIZADJZVGKZDLZAVICKZDLZACIZVFAVGMZFZVGANZHZ
      OZGZVHVKPZVDVEVTVDACMZFZCVQHZOZGZVEVTSACQVEWFVTVEWCVPWEVSVEWCVPVEWCGZABWB
      UAZVOAWHFWGABWBUBUCCBUDUEUFVEWEVSVEWDVRVEVRWDVECVQBABUGUHRUIUJUKULUMUNVTA
      VGEWAAVGQDAVGTUOUPVEVKVMPVDVEVJVLDVJVEVLBAVICDUQURUSUTVAVDVMVNPVEVDVNVMDA
      CTRVBVC $.
  $}

  ${
    $d x y A $.  $d x y F $.
    $( Function value (Theorem 6.12(1) of [TakeutiZaring] p. 27), analogous to
       ~ tz6.12 .  (Contributed by AV, 5-Sep-2022.) $)
    tz6.12-afv2 $p |- ( ( <. A , y >. e. F /\ E! y <. A , y >. e. F )
                        -> ( F '''' A ) = y ) $=
      ( vx cvv wcel cv cop weu wa cafv2 wceq wi wbr cio simpl adantl com12 syl
      ex wdfat cdm csn cres wfun vex a1i df-br biimpri breldmg syl3anc velsn wb
      wral breq1 bitr3id eqcoms eubidv biimpd sylbi ralrimiv fnres fnfun sylbir
      wfn df-dfat sylibr dfatafv2iota bicomi eubii biimpi anim12i iota1 biimpac
      jca impr eqtrd wn eu2ndop1stv pm2.24d pm2.61i ) BEFZBAGZHCFZWDAIZJZBCKZWC
      LZMWBWFWHWBWFJZWGBWCCNZAOZWCWIBCUAZWGWKLWIBCUBFZCBUCZUDZUEZJZWLWBWDWEWQWB
      WDJZWMWEWQMWRWBWCEFZWJWMWBWDPWSWRAUFUGWDWJWBWJWDBWCCUHZUIZQBWCEECUJUKWMWE
      WQWMWEJZWMWPWMWEPXBDGZWCCNZAIZDWNUNZWPXBXEDWNWEXCWNFZXEMWMXGWEXEXGXCBLZWE
      XEMDBULXHWEXEXHWDXDAWDXDUMBXCWDWJBXCLXDWTBXCWCCUOUPUQURUSUTRQVAXFWOWNVEWP
      DAWNCVBWNWOVCVDSVOTSVPBCVFVGABCVHSWIWJWJAIZJZWKWCLZWFXJWBWDWJWEXIXAWEXIWD
      WJAWJWDWTVIVJVKVLQXIWJXKWJAVMVNSVQTWFWBVRZWHWEXLWHMWDWEWBWHABCVSVTQRWA $.

    $( Function value (Theorem 6.12(1) of [TakeutiZaring] p. 27), analogous to
       ~ tz6.12-1 .  (Contributed by AV, 5-Sep-2022.) $)
    tz6.12-1-afv2 $p |- ( ( A F y /\ E! y A F y ) -> ( F '''' A ) = y ) $=
      ( cv wbr cop wcel weu cafv2 wceq df-br eubii tz6.12-afv2 syl2anb ) BADZCE
      ZBOFCGZQAHBCIOJPAHBOCKZPQARLABCMN $.
  $}

  ${
    $d y F $.  $d y A $.
    $( Corollary of Theorem 6.12(1) of [TakeutiZaring] p. 27, analogous to
       ~ tz6.12c .  (Contributed by AV, 5-Sep-2022.) $)
    tz6.12c-afv2 $p |- ( E! y A F y -> ( ( F '''' A ) = y <-> A F y ) ) $=
      ( cv wbr weu cafv2 wceq nfeu1 nfv euex tz6.12-1-afv2 expcom breq2 biimprd
      syli exlimimdd syl5ibcom impbid ) BADZCEZAFZBCGZTHZUAUBBUCCEZUDUAUBUAUEAU
      AAIUEAJUAAKUAUBUDUEUAUBUDABCLMZUDUEUAUCTBCNZOPQUGRUFS $.
  $}

  ${
    $d y F $.  $d y A $.  $d y B $.
    $( Corollary of Theorem 6.12(2) of [TakeutiZaring] p. 27. analogous to
       ~ tz6.12i .  (Contributed by AV, 5-Sep-2022.) $)
    tz6.12i-afv2 $p |- ( B e. ran F -> ( ( F '''' A ) = B -> A F B ) ) $=
      ( vy cafv2 wceq crn wcel wbr wi cv eleq1 weu wb wdfat dfatafv2rnb dfdfat2
      cdm breq2 3imtr3d simprbi sylbir tz6.12c-afv2 syl biimpcd sylbird vtocleg
      eqcoms pm2.43i a1i com12 ) ACEZBFZBCGZHZABCIZUMULUNHZAULCIZUOUPUQURJZUMUQ
      URUSDULUNDKZULFUTUNHZAUTCIZUQURVAVBJULUTULUTFZVAUQVBULUTUNLUQVCVBUQVBDMZV
      CVBNUQACOZVDACPVEACRHVDDACQUAUBDACUCUDUEUFUHUTULUNLUTULACSTUGUIUJULBUNLUL
      BACSTUK $.
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.  $d x V $.  $d x W $.
    $( The second argument of a binary relation on a function is the function's
       value, analogous to ~ funbrfv .  (Contributed by AV, 7-Sep-2022.) $)
    funressnbrafv2 $p |- ( ( ( A e. V /\ B e. W ) /\ Fun ( F |` { A } ) )
                           -> ( A F B -> ( F '''' A ) = B ) ) $=
      ( vx wcel wa csn cres wfun wbr cafv2 wceq simpllr cv eleq1 anbi2d anbi1d
      wi breq2 anbi12d eqeq2 imbi12d weu funressneu 3expa tz6.12-1-afv2 syl2an2
      id vtoclg mpcom ex ) ADGZBEGZHZCAIJKZHZABCLZACMZBNZUOURUSHZVAUNUOUQUSOUNF
      PZEGZHZUQHZAVCCLZHZUTVCNZTVBVATFBEVCBNZVHVBVIVAVJVFURVGUSVJVEUPUQVJVDUOUN
      VCBEQRSVCBACUAUBVCBUTUCUDVGVGVFVGFUEZVIVGUJVEUQVGVKFAVCCDEUFUGFACUHUIUKUL
      UM $.

    $( Equivalence of function value and binary relation, analogous to
       ~ fnbrfvb or ~ funbrfvb . ` B e. _V ` is required, because otherwise
       ` A F B <-> (/) e. F ` can be true, but ` ( F '''' A ) = B ` is always
       false (because of ~ dfatafv2ex ).  (Contributed by AV, 6-Sep-2022.) $)
    dfatbrafv2b $p |- ( ( F defAt A /\ B e. W )
                        -> ( ( F '''' A ) = B <-> A F B ) ) $=
      ( vx wdfat wcel wa cafv2 wceq wbr cv wb cvv dfatafv2ex adantr eqeq2 breq2
      eqid simpr bibi12d adantl cdm dfdfat2 tz6.12c-afv2 simplbiim vtocld mpbii
      weu syl5ibcom csn cres wfun wi df-dfat simpll jca31 sylanb funressnbrafv2
      syl impbid ) ACFZBDGZHZACIZBJZABCKZVDAVECKZVFVGVDVEVEJZVHVESVDVEELZJZAVJC
      KZMZVIVHMZEVENVBVENGVCACOPVJVEJZVMVNMVDVOVKVIVLVHVJVEVEQVJVEACRUAUBVBVMVC
      VBACUCZGZVLEUIVMEACUDEACUEUFPUGUHVEBACRUJVDVQVCHCAUKULUMZHZVGVFUNVBVQVRHZ
      VCVSACUOVTVCHVQVCVRVQVRVCUPVTVCTVTVRVCVQVRTPUQURABCVPDUSUTVA $.
  $}

  $( Equivalence of function value and ordered pair membership, analogous to
     ~ fnopfvb or ~ funopfvb .  (Contributed by AV, 6-Sep-2022.) $)
  dfatopafv2b $p |- ( ( F defAt A /\ B e. W )
                      -> ( ( F '''' A ) = B <-> <. A , B >. e. F ) ) $=
    ( wdfat wcel wa cafv2 wceq wbr cop dfatbrafv2b df-br bitrdi ) ACEBDFGACHBIA
    BCJABKCFABCDLABCMN $.

  ${
    $d x A $.  $d x B $.  $d x F $.
    $( The second argument of a binary relation on a function is the function's
       value, analogous to ~ funbrfv .  (Contributed by AV, 6-Sep-2022.) $)
    funbrafv2 $p |- ( Fun F -> ( A F B -> ( F '''' A ) = B ) ) $=
      ( vx wfun wbr cafv2 wceq cvv wcel wa wrel funrel brrelex2 sylan cv anbi2d
      wi breq2 eqeq2 imbi12d funeu tz6.12-1-afv2 sylan2 anabss7 vtoclg mpcom ex
      weu ) CEZABCFZACGZBHZBIJZUJUKKZUMUJCLUKUNCMABCNOUJADPZCFZKZULUPHZRUOUMRDB
      IUPBHZURUOUSUMUTUQUKUJUPBACSQUPBULTUAUJUQUSURUQUQDUIUSDAUPCUBDACUCUDUEUFU
      GUH $.

    $( Equivalence of function value and binary relation, analogous to
       ~ fnbrfvb .  (Contributed by AV, 6-Sep-2022.) $)
    fnbrafv2b $p |- ( ( F Fn A /\ B e. A )
                      -> ( ( F '''' B ) = C <-> B F C ) ) $=
      ( vx wfn wcel wa cafv2 wceq wbr eqid cv wb cvv wdfat fundmdfat funfni syl
      breq2 dfatafv2ex eqeq2 bibi12d adantl tz6.12c-afv2 vtocld mpbii syl5ibcom
      weu fneu wi wfun fnfun funbrafv2 adantr impbid ) DAFZBAGZHZBDIZCJZBCDKZUS
      BUTDKZVAVBUSUTUTJZVCUTLUSUTEMZJZBVEDKZNZVDVCNZEUTOUSBDPZUTOGVJABDBDQRBDUA
      SVEUTJZVHVINUSVKVFVDVGVCVEUTUTUBVEUTBDTUCUDUSVGEUIVHEABDUJEBDUESUFUGUTCBD
      TUHUQVBVAUKZURUQDULVLADUMBCDUNSUOUP $.
  $}

  $( Equivalence of function value and ordered pair membership, analogous to
     ~ fnopfvb .  (Contributed by AV, 6-Sep-2022.) $)
  fnopafv2b $p |- ( ( F Fn A /\ B e. A )
                    -> ( ( F '''' B ) = C <-> <. B , C >. e. F ) ) $=
    ( wfn wcel wa cafv2 wceq wbr cop fnbrafv2b df-br bitrdi ) DAEBAFGBDHCIBCDJB
    CKDFABCDLBCDMN $.

  $( Equivalence of function value and binary relation, analogous to
     ~ funbrfvb .  (Contributed by AV, 6-Sep-2022.) $)
  funbrafv22b $p |- ( ( Fun F /\ A e. dom F )
                      -> ( ( F '''' A ) = B <-> A F B ) ) $=
    ( wfun cdm wfn wcel cafv2 wceq wbr wb funfn fnbrafv2b sylanb ) CDCCEZFAOGAC
    HBIABCJKCLOABCMN $.

  $( Equivalence of function value and ordered pair membership, analogous to
     ~ funopfvb .  (Contributed by AV, 6-Sep-2022.) $)
  funopafv2b $p |- ( ( Fun F /\ A e. dom F )
                     -> ( ( F '''' A ) = B <-> <. A , B >. e. F ) ) $=
    ( wfun cdm wfn wcel cafv2 wceq cop wb funfn fnopafv2b sylanb ) CDCCEZFAOGAC
    HBIABJCGKCLOABCMN $.

  ${
    $d x y A $.  $d x y F $.
    $( Singleton of function value, analogous to ~ fnsnfv .  (Contributed by
       AV, 7-Sep-2022.) $)
    dfatsnafv2 $p |- ( F defAt A -> { ( F '''' A ) } = ( F " { A } ) ) $=
      ( vy vx wdfat cv cafv2 wceq cab wbr csn cima eqcom cvv dfatbrafv2b syl5bb
      wb elvd abbidv df-sn a1i cdm wcel weu dfdfat2 imasng adantr sylbi 3eqtr4d
      wa ) ABEZCFZABGZHZCIZAULBJZCIZUMKZBAKLZUKUNUPCUNUMULHZUKUPULUMMUKUTUPQCAU
      LBNORPSURUOHUKCUMTUAUKABUBZUCZADFBJDUDZUJUSUQHZDABUEVBVDVCCAVABUFUGUHUI
      $.
  $}

  ${
    $d F x $.  $d A x $.
    $( A definition of function value in terms of iota, analogous to ~ dffv3 .
       (Contributed by AV, 6-Sep-2022.) $)
    dfafv23 $p |- ( F defAt A
                    -> ( F '''' A ) = ( iota x x e. ( F " { A } ) ) ) $=
      ( wdfat cafv2 cv wbr cio csn cima wcel dfatafv2iota wb cvv wa cop cdm weu
      dfdfat2 simplbi elimasng sylan df-br bitr4di elvd iotabidv eqtr4d ) BCDZB
      CEBAFZCGZAHUICBIJKZAHABCLUHUKUJAUHUKUJMAUHUINKZOUKBUIPCKZUJUHBCQZKZULUKUM
      MUHUOUJARABCSTCBUIUNNUAUBBUICUCUDUEUFUG $.
  $}

  ${
    $d x y A $.  $d x y F $.  $d x y G $.
    $( Domain of a function composition, analogous to ~ dmfco .  (Contributed
       by AV, 7-Sep-2022.) $)
    dfatdmfcoafv2 $p |- ( G defAt A -> ( A e. dom ( F o. G )
                                          <-> ( G '''' A ) e. dom F ) ) $=
      ( vy vx wdfat cv cop wcel wex wa cdm wceq cvv wb elvd exbidv bitrd eldm2g
      syl cafv2 ccom dfatafv2ex opeq1 eleq1d ceqsexgv bicomd dfatopafv2b syl5bb
      eqcom anbi1d csn cres wfun df-dfat opelco2g adantr sylbi 3bitr4rd ) ACFZA
      CUAZDGZHZBIZDJZAEGZHCIZVFVBHZBIZKZEJZDJZVABLIZABCUBZLIZUTVDVKDUTVDVFVAMZV
      IKZEJZVKUTVANIZVDVROACUCZVSVRVDVIVDEVANVPVHVCBVFVAVBUDUEUFUGTUTVQVJEUTVPV
      GVIVPVAVFMZUTVGVFVAUJUTWAVGOEAVFCNUHPUIUKQRQUTVSVMVEOVTDVABNSTUTACLZIZCAU
      LUMUNZKVOVLOZACUOWCWEWDWCVOAVBHVNIZDJVLDAVNWBSWCWFVKDWCWFVKODEAVBBCWBNUPP
      QRUQURUS $.
  $}

  ${
    $d F y z $.  $d G y z $.  $d X y z $.
    $( Lemma for ~ dfatco .  (Contributed by AV, 8-Sep-2022.) $)
    dfatcolem $p |- ( ( G defAt X /\ F defAt ( G '''' X ) )
                      -> E! y X ( F o. G ) y ) $=
      ( vz wdfat cafv2 wa cv wbr weu wex cdm wcel wi wceq wb cvv adantl syl2anc
      ccom dfdfat2 wal eqidd cres wfun df-dfat simplbi dfatbrafv2b sylan2 mpbid
      simpr dfatafv2ex breq12 ancoms anbi12d spc2egv mp2and tz6.12c-afv2 adantr
      csn breq2 sylbi breq1 exbiri sylbird impd exlimdv alrimiv sylan2b pm2.43i
      euim com12 vex a1i brcog syl2an eubidv mpbird ) DCFZDCGZBFZHZDAIZBCUAJZAK
      DEIZCJZWFWDBJZHZELZAKZWCWKWBVTWABMZNZWAWDBJZAKZHZWCWKOZAWABUBWPWQVTWOWQWM
      WCWOWKWCWJALZWJWNOZAUCWOWKOWCDWACJZWAWABGZBJZWRWCWAWAPZWTWCWAUDWBVTWMXCWT
      QWBWMBWAVAUEUFWABUGUHZDWACWLUIUJUKWCXAXAPZXBWCXAUDWCWBXARNZXEXBQVTWBULWBX
      FVTWABUMSZWAXABRUITUKWCXFWMWTXBHZWROXGWBWMVTXDSWIXHAEXAWARWLWDXAPZWFWAPZH
      WGWTWHXBXJWGWTQXIWFWADCVBSXJXIWHXBQWFWAWDXABUNUOUPUQTURWCWSAWCWIWNEWCWGWH
      WNWCWGWAWFPZWHWNOZVTXKWGQZWBVTDCMZNZWGEKZHXMEDCUBXPXMXOEDCUSSVCUTWBXKXLOV
      TWBXKWNWHXKWNWHQWBWAWFWDBVDSVESVFVGVHVIWJWNAVLTVMSSVJVKWCWEWJAVTXOWDRNZWE
      WJQWBVTXOCDVAUEUFDCUGUHXQWBAVNVOEDWDBCXNRVPVQVRVS $.
  $}

  ${
    $d F x y $.  $d G x y $.  $d X x y $.
    $( The predicate "defined at" for a function composition.  (Contributed by
       AV, 8-Sep-2022.) $)
    dfatco $p |- ( ( G defAt X /\ F defAt ( G '''' X ) )
                   -> ( F o. G ) defAt X ) $=
      ( vy vx wdfat cafv2 wa ccom cdm wcel wbr weu wex dfatcolem euex syl df-dm
      cv cab eleq2i wb cres wfun df-dfat simplbi adantr wceq breq1 exbidv elabg
      csn syl5bb mpbird dfdfat2 sylanbrc ) CBFZCBGAFZHZCABIZJZKZCDSZUTLZDMZCUTF
      USVBVDDNZUSVEVFDABCOZVDDPQVBCESZVCUTLZDNZETZKZUSVFVAVKCEDUTRUAUSCBJZKZVLV
      FUBUQVNURUQVNBCULUCUDCBUEUFUGVJVFECVMVHCUHVIVDDVHCVCUTUIUJUKQUMUNVGDCUTUO
      UP $.
  $}

  ${
    $d F x $.  $d G x $.  $d X x $.
    $( Value of a function composition, analogous to ~ fvco2 .  (Contributed by
       AV, 8-Sep-2022.) $)
    afv2co2 $p |- ( ( G defAt X /\ F defAt ( G '''' X ) )
                    -> ( ( F o. G ) '''' X ) = ( F '''' ( G '''' X ) ) ) $=
      ( vx wdfat cafv2 wa cv ccom csn cima wcel imaco dfatsnafv2 adantr imaeq2d
      cio wceq eqtr4id dfafv23 eleq2d iotabidv dfatco syl adantl 3eqtr4d ) CBEZ
      CBFZAEZGZDHZABIZCJZKZLZDQZUKAUHJZKZLZDQZCULFZUHAFZUJUOUSDUJUNURUKUJUNABUM
      KZKURABUMMUJUQVCAUGUQVCRUICBNOPSUAUBUJCULEVAUPRABCUCDCULTUDUIVBUTRUGDUHAT
      UEUF $.
  $}

  ${
    $d F w x y z $.  $d ph w x y z $.
    rlimdmafv2.1 $e |- ( ph -> F : A --> CC ) $.
    rlimdmafv2.2 $e |- ( ph -> sup ( A , RR* , < ) = +oo ) $.
    $( Two ways to express that a function has a limit, analogous to ~ rlimdm .
       (Contributed by AV, 5-Sep-2022.) $)
    rlimdmafv2 $p |- ( ph -> ( F e. dom ~~>r <-> F ~~>r ( ~~>r '''' F ) ) ) $=
      ( vx vw vy vz crli wcel wbr cv wex wa wceq cvv weq breq2 adantr cdm cafv2
      eldmg ibi simpr cio wdfat weu rlimrel brrelex1i adantl vex a1i breldmg wi
      syl3anc wal biimprd spimevw cc wf cxr clt csup cpnf simprl simprr rlimuni
      ex alrimivv eu4 sylanbrc dfdfat2 dfatafv2iota syl syl5ibrcom impbid iota5
      wb expr elvd eqtrd breqtrrd exlimdv syl5 releldmi impbid1 ) ACJUAZKZCCJUB
      ZJLZWICFMZJLZFNZAWKWIWNFCJWHUCUDAWMWKFAWMWKAWMOZCWLWJJAWMUEZWOWJCGMZJLZGU
      FZWLWOCJUGZWJWSPWOWICHMZJLZHUHZWTWOCQKZWLQKZWMWIWMXDACWLJUIUJUKXEWOFULUMW
      PCWLQQJUNUPWOXBHNZXBCIMZJLZOZHIRZUOZIUQHUQXCWMXFAWMXBHFHFRXBWMXAWLCJSURUS
      UKWOXKHIWOXIXJWOXIOBXAXGCWOBUTCVAZXIAXLWMDTTWOBVBVCVDVEPZXIAXMWMETTWOXBXH
      VFWOXBXHVGVHVIVJXBXHHIXAXGCJSVKVLHCJVMVLGCJVNVOWOWSWLPFWOWRGWLQWOWRGFRZVS
      XEWOWRXNAWMWRXNAWMWROZOBWQWLCAXLXODTAXMXOETAWMWRVGAWMWRVFVHVTWOWRXNWMWPWQ
      WLCJSVPVQTVRWAWBWCVIWDWECWJJUIWFWG $.
  $}

$( *** Relationship between the original and the alternate definition ***
   *** of the value of a function.                                    *** $)

  ${
    $d x A $.  $d x F $.
    $( Alternate definition of ` ( F '''' A ) ` using ` ( F `` A ) ` directly.
       (Contributed by AV, 3-Sep-2022.) $)
    dfafv22 $p |- ( F '''' A ) = if ( F defAt A , ( F ` A ) , ~P U. ran F ) $=
      ( vx cafv2 wdfat cv wbr cio crn cuni cpw cif cfv df-afv2 wceq df-fv ifeq1
      eqcomi ax-mp eqtri ) ABDABEZACFBGCHZBIJKZLZUAABMZUCLZCABNUBUEOUDUFOUEUBCA
      BPRUAUBUEUCQST $.
  $}

  $( If the alternate function value at an argument is undefined, i.e., not in
     the range of the function, the function's value at this argument is the
     empty set.  (Contributed by AV, 3-Sep-2022.) $)
  afv2ndeffv0 $p |- ( ( F '''' A ) e/ ran F -> ( F ` A ) = (/) ) $=
    ( cafv2 crn wnel cdm wcel wn csn cres wfun wo c0 wceq wa df-nel dfatafv2rnb
    cfv wdfat df-dfat bitr3i notbii ianor 3bitri ndmfv nfunsn jaoi sylbi ) ABCZ
    BDZEZABFGZHZBAIJKZHZLZABRMNZUKUIUJGZHULUNOZHUPUIUJPURUSURABSUSABQABTUAUBULU
    NUCUDUMUQUOABUEABUFUGUH $.

  $( If a function is defined at a class ` A ` , the alternate function value
     equals the function's value at ` A ` .  (Contributed by AV,
     3-Sep-2022.) $)
  dfatafv2eqfv $p |- ( F defAt A -> ( F '''' A ) = ( F ` A ) ) $=
    ( wdfat cafv2 cfv crn cuni cpw cif dfafv22 iftrue syl5eq ) ABCZABDMABEZBFGH
    ZINABJMNOKL $.

  $( If the alternate function value is defined, i.e., in the range of the
     function, the alternate function value equals the function's value.
     (Contributed by AV, 3-Sep-2022.) $)
  afv2rnfveq $p |- ( ( F '''' A ) e. ran F -> ( F '''' A ) = ( F ` A ) ) $=
    ( cafv2 crn wcel wdfat cfv wceq dfatafv2rnb dfatafv2eqfv sylbir ) ABCZBDEAB
    FLABGHABIABJK $.

  $( If the alternate function value at an argument is the empty set, the
     function's value at this argument is the empty set.  (Contributed by AV,
     3-Sep-2022.) $)
  afv20fv0 $p |- ( ( F '''' A ) = (/) -> ( F ` A ) = (/) ) $=
    ( wdfat cafv2 c0 wceq cfv afv20defat dfatafv2eqfv eqcomd adantr simpr eqtrd
    wa mpancom ) ABCZABDZEFZABGZEFABHPRNSQEPSQFRPQSABIJKPRLMO $.

  $( If the function's value at an argument is not the empty set, it equals the
     alternate function value at this argument.  (Contributed by AV,
     3-Sep-2022.) $)
  afv2fvn0fveq $p |- ( ( F ` A ) =/= (/) -> ( F '''' A ) = ( F ` A ) ) $=
    ( cfv c0 wne wdfat cafv2 wceq cdm wcel csn cres wfun wa fvfundmfvn0 df-dfat
    sylibr dfatafv2eqfv syl ) ABCZDEZABFZABGTHUAABIJBAKLMNUBABOABPQABRS $.

  $( If the function's value at an argument is the empty set, then the
     alternate function value at this argument is the empty set or undefined.
     (Contributed by AV, 3-Sep-2022.) $)
  afv2fv0 $p |- ( ( F ` A ) = (/) -> ( ( F '''' A ) = (/)
                                    \/ ( F '''' A ) e/ ran F ) ) $=
    ( cafv2 c0 wceq crn wnel wo cfv wn ioran wcel nnel afv2rnfveq eqeq1d notbid
    wa sylbi biimpac con4i ) ABCZDEZUABFZGZHZABIZDEZUEJUBJZUDJZQUGJZUBUDKUIUHUJ
    UIUBUGUIUAUFDUIUAUCLUAUFEUAUCMABNROPSRT $.

  $( The function's value at an argument is the empty set if and only if the
     alternate function value at this argument is the empty set or undefined.
     (Contributed by AV, 3-Sep-2022.) $)
  afv2fv0b $p |- ( ( F ` A ) = (/) <-> ( ( F '''' A ) = (/)
                                       \/ ( F '''' A ) e/ ran F ) ) $=
    ( cfv c0 wceq cafv2 crn wnel wo afv2fv0 afv20fv0 afv2ndeffv0 jaoi impbii )
    ABCDEZABFZDEZPBGHZIABJQORABKABLMN $.

  $( If a set is in the range of a function, the function's value at an
     argument is the empty set if and only if the alternate function value at
     this argument is either the empty set or undefined.  (Contributed by AV,
     11-Sep-2022.) $)
  afv2fv0xorb $p |- ( (/) e. ran F -> ( ( F ` A ) = (/)
                    <-> ( ( F '''' A ) = (/) \/_ ( F '''' A ) e/ ran F ) ) ) $=
    ( cfv c0 wceq cafv2 crn wnel wo wcel wxo afv2fv0b afv2orxorb syl5bb ) ABCDE
    ABFZDEZOBGZHZIDQJPRKABLADBMN $.

$( End $[ set-mbox-av-afv_aov.mm $] $)


$( Begin $[ set-mbox-av-aux.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  General auxiliary theorems (2)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Logical conjunction - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Rearrangement of 4 conjuncts: second and forth positions interchanged.
     (Contributed by AV, 18-Feb-2022.) $)
  an4com24 $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) )
                   <-> ( ( ph /\ th ) /\ ( ch /\ ps ) ) ) $=
    ( wa an43 ancom anbi2i bitri ) ABECDEEADEZBCEZEJCBEZEABCDFKLJBCGHI $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Abbreviated conjunction and disjunction of three wff's - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Commutative law for a conjunction with a triple conjunction: second and
     forth positions interchanged.  (Contributed by AV, 18-Feb-2022.) $)
  3an4ancom24 $p |- ( ( ( ph /\ ps /\ ch ) /\ th )
                      <-> ( ( ph /\ th /\ ch ) /\ ps ) ) $=
    ( wa w3a an4com24 3an4anass 3bitr4i ) ABECDEEADECBEEABCFDEADCFBEABCDGABCDHA
    DCBHI $.

  $( Rearrangement of 4 conjuncts with a triple conjunction.  (Contributed by
     AV, 4-Mar-2022.) $)
  4an21 $p |- ( ( ( ph /\ ps ) /\ ch /\ th )
                <-> ( ps /\ ( ph /\ ch /\ th ) ) ) $=
    ( wa w3a 3anass ancom anbi1i anass bicomi anbi2i bitri ) ABEZCDFNCDEZEZBACD
    FZEZNCDGPBAEZOEZRNSOABHITBAOEZERBAOJUAQBQUAACDGKLMMM $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Negated membership (alternative)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Declare new connectives. $)
  $c e// $. $( Not an element of (stylized epsilon with slash through it). $)

  $( Extend wff notation to include the 'not elemet of' relation. $)
  cnelbr $a class e// $.

  ${
    $d x y $.
    $( Define negated membership as binary relation.  Analogous to ~ df-eprel
       (the membership relation).  (Contributed by AV, 26-Dec-2021.) $)
    df-nelbr $a |- e// = { <. x , y >. | -. x e. y } $.

    $( Alternate definition of the negated membership as binary relation.
       (Proposed by BJ, 27-Dec-2021.)  (Contributed by AV, 27-Dec-2021.) $)
    dfnelbr2 $p |- e// = ( ( _V X. _V ) \ _E ) $=
      ( vx vy cv cvv wcel wa copab wel wn cxp cep cnelbr difopab df-xp df-eprel
      cdif difeq12i df-nelbr vex pm3.2i biantrur opabbii eqtri 3eqtr4ri ) ACDEZ
      BCDEZFZABGZABHZABGZPUGUIIZFZABGZDDJZKPLUGUIABMUNUHKUJABDDNABOQLUKABGUMABR
      UKULABUGUKUEUFASBSTUAUBUCUD $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( The binary relation of a set not being a member of another set.
       (Contributed by AV, 26-Dec-2021.) $)
    nelbr $p |- ( ( A e. V /\ B e. W ) -> ( A e// B <-> -. A e. B ) ) $=
      ( vx vy wel wn wcel cnelbr cv wceq wa eleq12 notbid df-nelbr brabga ) EFG
      ZHABIZHEFABJCDEKZALFKZBLMRSTAUABNOEFPQ $.
  $}

  ${
    $d x y $.
    $( If a set is related to another set by the negated membership relation,
       then it is not a member of the other set.  The other direction of the
       implication is not generally true, because if ` A ` is a proper class,
       then ` -. A e. B ` would be true, but not ` A e// B ` .  (Contributed by
       AV, 26-Dec-2021.) $)
    nelbrim $p |- ( A e// B -> -. A e. B ) $=
      ( vx vy cvv wcel wa cnelbr wbr wn wel df-nelbr relopabiv brrelex12i nelbr
      biimpd mpcom ) AEFBEFGZABHIZABFJZABHCDKJCDHCDLMNRSTABEEOPQ $.
  $}

  $( A set is related to another set by the negated membership relation iff it
     is not a member of the other set.  (Contributed by AV, 26-Dec-2021.) $)
  nelbrnel $p |- ( ( A e. V /\ B e. W ) -> ( A e// B <-> A e/ B ) ) $=
    ( wcel wa cnelbr wbr wn wnel nelbr df-nel bitr4di ) ACEBDEFABGHABEIABJABCDK
    ABLM $.

  $( If a set is related to another set by the negated membership relation,
     then it is not a member of the other set.  (Contributed by AV,
     26-Dec-2021.) $)
  nelbrnelim $p |- ( A e// B -> A e/ B ) $=
    ( cnelbr wbr wcel wn wnel nelbrim df-nel sylibr ) ABCDABEFABGABHABIJ $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The empty set - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A x $.  $d ph x $.  $d ta x $.
    $( Selecting one of two alternatives within a restricted generalization if
       one of the alternatives is false.  (Contributed by AV, 6-Sep-2018.)
       (Proof shortened by AV, 13-Oct-2018.) $)
    ralralimp $p |- ( ( ph /\ A =/= (/) )
                -> ( A. x e. A ( ( ph -> ( th \/ ta ) ) /\ -. th ) -> ta ) ) $=
      ( c0 wne wa wo wi wn wral ornld adantr ralimdv rspn0 adantl syld ) AEFGZH
      ZABCIJBKHZDELCDELZCTUACDEAUACJSABCMNOSUBCJACDEPQR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Indexed union and intersection - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d B a c d e s $.  $d V a c d e s $.  $d W a c d e s $.  $d X a c d e s $.
    $( The union of singletons consisting of ordered triples which have
       distinct first and third components are disjunct.  (Contributed by
       Alexander van der Vekens, 10-Mar-2018.) $)
    otiunsndisjX $p |- ( B e. X
                      -> Disj_ a e. V U_ c e. W { <. a , B , c >. } ) $=
      ( vd vs ve wcel cv cotp csn ciun wceq wral wa wn adantr sylibr weq cin c0
      wo wdisj wi orc a1d wrex eliun wb simprl adantl simpl otthg syl3anc simp1
      w3a syl6bi con3d com13 imp31 velsn eqeq1 notbid mpbird sylnibr rexlimdva2
      sylbi nrexdv syl5bi ralrimiv oteq3 cbviunv eleq2i notbii ralbii disj olcd
      ex sneqd pm2.61i ralrimivva oteq1 iuneq2d disjor ) ADJZEGUAZFCEKZAFKZLZMZ
      NZFCGKZAWJLZMZNZUBUCOZUDZGBPEBPEBWMUEWGWSEGBBWHWGWIBJZWNBJZQZQZWSUFWHWSXC
      WHWRUGUHWHRZXCWSXDXCQZWRWHXEHKZWQJZRZHWMPZWRXEXFICWNAIKZLZMZNZJZRZHWMPXIX
      EXOHWMXFWMJXFWLJZFCUIXEXOFXFCWLUJXEXPXOFCXEWJCJZQZXPQZXFXLJZICUIXNXSXTICX
      SXJCJZQZXFXKOZXTYBYCRZWKXKOZRZXSYFYAXRYFXPXDXCXQYFXQXCXDYFXQXCXDYFUFXQXCQ
      ZYEWHYGYEWHAAOZFIUAZURZWHYGWTWGXQYEYJUKXCWTXQWGWTXAULUMXQWGXBULXQXCUNWIAW
      JWNBAXJDCUOUPWHYHYIUQUSUTVTVAVBSSXSYDYFUKZYAXPYKXRXPXFWKOZYKHWKVCYLYCYEXF
      WKXKVDVEVIUMSVFHXKVCVGVJIXFCXLUJVGVHVKVLXHXOHWMXGXNWQXMXFFICWPXLYIWOXKWJX
      JWNAVMWAVNVOVPVQTHWMWQVRTVSVTWBWCBWMWQEGWHFCWLWPWHWKWOWIWNAWJWDWAWEWFT $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Functions - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Equality of function values with conditional arguments, see also ~ fvif .
     (Contributed by Alexander van der Vekens, 21-May-2018.) $)
  fvifeq $p |- ( A = if ( ph , B , C )
                 -> ( F ` A ) = if ( ph , ( F ` B ) , ( F ` C ) ) ) $=
    ( cif wceq cfv fveq2 fvif eqtrdi ) BACDFZGBEHLEHACEHDEHFBLEIACDEJK $.

  ${
    $d i x X $.  $d i x Y $.  $d i x F $.
    $( The range of a one-to-one function ` F ` of an unordered pair into a set
       is the unordered pair of the function values.  (Contributed by Alexander
       van der Vekens, 2-Feb-2018.) $)
    rnfdmpr $p |- ( ( X e. V /\ Y e. W )
                -> ( F Fn { X , Y } -> ran F = { ( F ` X ) , ( F ` Y ) } ) ) $=
      ( vx vi wcel wa cpr cfv wceq cv cab cun fveq2 eqeq2d abbidv csn df-sn wfn
      wrex fnrnfv adantl ciun iunxprg adantr iunab eqcomi uneq12i df-pr 3eqtr3g
      crn eqtr4i eqtrd ex ) DBHECHIZADEJZUAZAUMZDAKZEAKZJZLUQUSIZUTFMZGMZAKZLZG
      URUBFNZVCUSUTVILUQGFURAUCUDVDGURVHFNZUEZVEVALZFNZVEVBLZFNZOZVIVCUQVKVPLUS
      GDEVJVMVOBCVFDLZVHVLFVQVGVAVEVFDAPQRVFELZVHVNFVRVGVBVEVFEAPQRUFUGVHGFURUH
      VPVASZVBSZOVCVMVSVOVTVSVMFVATUIVTVOFVBTUIUJVAVBUKUNULUOUP $.
  $}

  $( The image of the range of a function ` F ` under a function ` E ` if ` F `
     is a function from a pair into the domain of ` E ` .  (Contributed by
     Alexander van der Vekens, 2-Feb-2018.) $)
  imarnf1pr $p |- ( ( X e. V /\ Y e. W )
          -> ( ( ( F : { X , Y } --> dom E /\ E : dom E --> R )
                 /\ ( ( E ` ( F ` X ) ) = A /\ ( E ` ( F ` Y ) ) = B ) )
               -> ( E " ran F ) = { A , B } ) ) $=
    ( wcel wa cpr wf cfv wceq cima wi wfn ffn adantr cdm adantl simpll ffvelrnd
    crn prid1g prid2g ad2antll fnimapr syl3anc ex impcom rnfdmpr syl5com eqcomd
    imaeq2d preq12 3eqtr3d ) HFJZIGJZKZHILZDUAZEMZVCCDMZKZHENZDNZAOIENZDNZBOKZK
    ZDEUEZPZABLZOVAVLKZDVGVILZPZVHVJLZVNVOVLVAVRVSOZVFVAVTQVKVFVAVTVFVAKZDVCRZV
    GVCJVIVCJVTVFWBVAVEWBVDVCCDSUBTWAVBVCHEVDVEVAUCZVAHVBJZVFUSWDUTHIFUFTUBUDWA
    VBVCIEWCUTIVBJVFUSHIGUGUHUDVCVGVIDUIUJUKTULVPVQVMDVPVMVQVLVAVMVQOZVFVAWEQZV
    KVDWFVEVDEVBRVAWEVBVCESEFGHIUMUNTTULUOUPVKVSVOOVAVFVHVJABUQUHURUK $.

  ${
    $d F a v w x y $.
    $( A function is an ordered pair iff it is a singleton of an ordered pair.
       (Contributed by AV, 20-Sep-2020.)  (Avoid depending on this detail.) $)
    funop1 $p |- ( E. x E. y F = <. x , y >.
                  -> ( Fun F <-> E. x E. y F = { <. x , y >. } ) ) $=
      ( vv vw va cv cop wceq wex wfun csn wb wa opeq12 eqeq2d cbvex2vw exlimivv
      weq vex funopsn sneqd spc2ev adantl exlimiv syl expcom funsn funeq mpbiri
      impbid1 sylbi ) CAGZBGZHZIZBJAJCDGZEGZHZIZEJDJCKZCUOLZIZBJAJZMZUPUTABDEAD
      SBESNUOUSCUMUNUQUROPQUTVEDEUTVAVDVAUTVDVAUTNUQFGZLIZCVFVFHZLZIZNZFJVDCUQU
      RFDTETUAVKVDFVJVDVGVCVJABVFVFFTZVLAFSBFSNZVBVICVMUOVHUMUNVFVFOUBPUCUDUEUF
      UGVCVAABVCVAVBKUMUNATBTUHCVBUIUJRUKRUL $.
  $}

  ${
    $d G a b $.
    $( A function with a domain containing (at least) two different elements is
       not an ordered pair.  (Contributed by AV, 21-Sep-2020.)  (Avoid
       depending on this detail.) $)
    fun2dmnopgexmpl $p |- ( G = { <. 0 , 1 >. , <. 1 , 1 >. }
                            -> -. G e. ( _V X. _V ) ) $=
      ( va vb cc0 c1 cop cpr wceq cv wex cvv cxp wcel wn wal csn wa intnanr 1ex
      vex wo 0ne1 neii gen2 eqeq1 propeqop bitrdi notbid 2albidv mpbiri 2nexaln
      c0ex sylibr elvv sylnibr ) ADEFEEFGZHZABIZCIZFZHZCJBJZAKKLMUQVANZCOBOZVBN
      UQVDDEHZURDPHZQZVEUSDEGHQZVHUAZQZNZCOBOVKBCVGVIVEVFDEUBUCRRUDUQVCVKBCUQVA
      VJUQVAUPUTHVJAUPUTUEDEEEURUSULSSSBTCTUFUGUHUIUJVABCUKUMBCAUNUO $.
  $}

  ${
    $d C x y $.  $d ph x y $.
    opabresex0d.x $e |- ( ( ph /\ x R y ) -> x e. C ) $.
    opabresex0d.t $e |- ( ( ph /\ x R y ) -> th ) $.
    opabresex0d.y $e |- ( ( ph /\ x e. C ) -> { y | th } e. V ) $.
    opabresex0d.c $e |- ( ph -> C e. W ) $.
    $( A collection of ordered pairs, the class of all possible second
       components being a set, with a restriction of a binary relation is a
       set.  (Contributed by Alexander van der Vekens, 1-Nov-2017.)  (Revised
       by AV, 1-Jan-2021.) $)
    opabresex0d $p |- ( ph -> { <. x , y >. | ( x R y /\ ps ) } e. _V ) $=
      ( cv wbr wcel wa wal copab cvv wi jca ex alrimivv elexd opabex3d opabbrex
      cab syl2anc ) ADNZENGOZUJFPZCQZUAZERDRUMDESTPUKBQDESTPAUNDEAUKUMAUKQULCJK
      UBUCUDACDEFIMAULQCEUHHLUEUFUMBDEGTUGUI $.

    $( A collection of ordered pairs, the class of all possible second
       components being a set, is a set.  (Contributed by AV, 15-Jan-2021.) $)
    opabbrfex0d $p |- ( ph -> { <. x , y >. | x R y } e. _V ) $=
      ( cv wbr copab wa cvv pm4.24 opabbii opabresex0d eqeltrid ) ACMDMFNZCDOUB
      UBPZCDOQUBUCCDUBRSAUBBCDEFGHIJKLTUA $.
  $}

  ${
    $d A y $.  $d B y $.  $d C x y $.  $d ph x y $.
    opabresexd.x $e |- ( ( ph /\ x R y ) -> x e. C ) $.
    opabresexd.y $e |- ( ( ph /\ x R y ) -> y : A --> B ) $.
    opabresexd.a $e |- ( ( ph /\ x e. C ) -> A e. U ) $.
    opabresexd.b $e |- ( ( ph /\ x e. C ) -> B e. V ) $.
    opabresexd.c $e |- ( ph -> C e. W ) $.
    $( A collection of ordered pairs, the second component being a function,
       with a restriction of a binary relation is a set.  (Contributed by
       Alexander van der Vekens, 1-Nov-2017.)  (Revised by AV, 15-Jan-2021.) $)
    opabresexd $p |- ( ph -> { <. x , y >. | ( x R y /\ ps ) } e. _V ) $=
      ( cv wf cvv wcel wa cab mapex syl2anc opabresex0d ) ABEFDQRZCDGHSKLMACQGT
      UAEITFJTUFDUBSTNOEFIJDUCUDPUE $.

    $( A collection of ordered pairs, the second component being a function, is
       a set.  (Contributed by AV, 15-Jan-2021.) $)
    opabbrfexd $p |- ( ph -> { <. x , y >. | x R y } e. _V ) $=
      ( cv wbr copab wa cvv pm4.24 opabbii opabresexd eqeltrid ) ABPCPGQZBCRUEU
      ESZBCRTUEUFBCUEUAUBAUEBCDEFGHIJKLMNOUCUD $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x y D $.  $d x y ph $.  $d x ch $.
    f1oresf1orab.1 $e |- F = ( x e. A |-> C ) $.
    f1oresf1orab.2 $e |- ( ph -> F : A -1-1-onto-> B ) $.
    f1oresf1orab.3 $e |- ( ph -> D C_ A ) $.
    f1oresf1orab.4 $e |- ( ( ph /\ x e. A /\ y = C ) -> ( ch <-> x e. D ) ) $.
    $( Build a bijection by restricting the domain of a bijection.
       (Contributed by AV, 1-Aug-2022.) $)
    f1oresf1orab $p |- ( ph -> ( F |` D ) : D -1-1-onto-> { y e. B | ch } ) $=
      ( crab cres wf1o cv wcel f1oresrab wss wceq dfss7 sylib reseq2d f1oeq123d
      eqcomd eqidd mpbird ) AHBDFNZIHOZPCQHRZCENZUIIULOZPAUKBCDEFGIJKMSAHULUIUI
      UJUMAHULIAULHAHETULHUALCEHUBUCUFZUDUNAUIUGUEUH $.
  $}

  ${
    $d x A $.  $d x B $.  $d x y D $.  $d x y F $.  $d x y ph $.  $d x ch $.
    f1oresf1o.1 $e |- ( ph -> F : A -1-1-onto-> B ) $.
    f1oresf1o.2 $e |- ( ph -> D C_ A ) $.
    f1oresf1o.3 $e |- ( ph -> ( E. x e. D ( F ` x ) = y
                                <-> ( y e. B /\ ch ) ) ) $.
    $( Build a bijection by restricting the domain of a bijection.
       (Contributed by AV, 31-Jul-2022.) $)
    f1oresf1o $p |- ( ph -> ( F |` D ) : D -1-1-onto-> { y e. B | ch } ) $=
      ( crab cres wf1o wss syl syl2anc cv wceq cab cima wf1 f1of1 cfv wrex wfun
      f1ores f1ofun f1odm sseqtrrd dfimafn wcel wa abbidv df-rab eqtr4di eqtr2d
      cdm f1oeq3d mpbird ) AGBDFLZHGMZNGHGUAZVBNZAEFHUBZGEOVDAEFHNZVEIEFHUCPJEF
      GHUGQAVAVCGVBAVCCRHUDDRZSCGUEZDTZVAAHUFZGHURZOVCVISAVFVJIEFHUHPAGEVKJAVFV
      KESIEFHUIPUJCDGHUKQAVIVGFULBUMZDTVAAVHVLDKUNBDFUOUPUQUSUT $.
  $}

  ${
    $d x A $.  $d x B $.  $d x y D $.  $d x y F $.  $d x y ph $.  $d x ch $.
    f1oresf1o2.1 $e |- ( ph -> F : A -1-1-onto-> B ) $.
    f1oresf1o2.2 $e |- ( ph -> D C_ A ) $.
    f1oresf1o2.3 $e |- ( ( ph /\ y = ( F ` x ) ) -> ( x e. D <-> ch ) ) $.
    $( Build a bijection by restricting the domain of a bijection.
       (Contributed by AV, 31-Jul-2022.) $)
    f1oresf1o2 $p |- ( ph -> ( F |` D ) : D -1-1-onto-> { y e. B | ch } ) $=
      ( cv wceq wrex wcel wa syl adantr wi ex cfv w3a wf1o f1of 3adant3 ffvelrn
      wf sselda jca wb eleq1 3ad2ant3 mpbid eqcom biimpd syl5bi 3imp rexlimdv3a
      com23 wfo f1ofo foelrni sylan nfv nfre1 nfim expcom eqcoms adantl sylbird
      rspe rexlimd syld impd impbid f1oresf1o ) ABCDEFGHIJACLZHUAZDLZMZCGNZVSFO
      ZBPZAVTWCCGAVQGOZVTUBZWBBWEVRFOZWBWEEFHUGZVQEOZPZWFAWDWIVTAWDPWGWHAWGWDAE
      FHUCZWGIEFHUDQRAGEVQJUHUIUEEFVQHUFQVTAWFWBUJWDVRVSFUKULUMAWDVTBAVTWDBVTVS
      VRMZAWDBSZVRVSUNZAWKWLAWKPZWDBKUOTUPUSUQUIURAWBBWAAWBVTCENZBWASZAWBWOAEFH
      UTZWBWOAWJWQIEFHVAQCEFHVSVBVCTAVTWPCEACVDBWACBCVDVTCGVEVFAWHVTWPSVTWKAWHP
      WPWMAWKWPSWHAWKWPWNBWDWAKWKWDWASZAWRVRVSWDVTWAVTCGVKVGVHVIVJTRUPTVLVMVNVO
      VP $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Maps-to notation - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d M y $.  $d N x y $.  $d X x y $.  $d V x $.  $d ps x $.
    fvmptrab.f $e |- F = ( x e. V |-> { y e. M | ph } ) $.
    fvmptrab.r $e |- ( x = X -> ( ph <-> ps ) ) $.
    fvmptrab.s $e |- ( x = X -> M = N ) $.
    fvmptrab.v $e |- ( X e. V -> N e. _V ) $.
    fvmptrab.n $e |- ( X e/ V -> N = (/) ) $.
    $( Value of a function mapping a set to a class abstraction restricting a
       class depending on the argument of the function.  More general version
       of ~ fvmptrabfv , but relying on the fact that out-of-domain arguments
       evaluate to the empty set, which relies on set.mm's particular encoding.
       (Contributed by AV, 14-Feb-2022.) $)
    fvmptrab $p |- ( F ` X ) = { y e. N | ps } $=
      ( wcel cfv crab wceq cvv c0 cmpt a1i cv rabeqbidv adantl id rabexd fvmptd
      eqid wn fvmptndm wnel df-nel rabeq rab0 eqtr2di syl sylbir eqtrd pm2.61i
      ) IHOZIEPZBDGQZRVACIADFQZVCHESECHVDUARVAJUBCUCIRZVDVCRVAVEABDFGLKUDUEVAUF
      VABDGVCSVCUIMUGUHVAUJZVBTVCCHVDEIJUKVFIHULZTVCRZIHUMVGGTRZVHNVIVCBDTQTBDG
      TUNBDUOUPUQURUSUT $.
  $}

  ${
    $d F x $.  $d G x y $.  $d V x $.  $d X x y $.  $d Y x y $.  $d ps x $.
    fvmptrabdm.f $e |- F = ( x e. V |-> { y e. ( G ` Y ) | ph } ) $.
    fvmptrabdm.r $e |- ( x = X -> ( ph <-> ps ) ) $.
    fvmptrabdm.v $e |- ( Y e. dom G -> X e. dom F ) $.
    $( Value of a function mapping a set to a class abstraction restricting the
       value of another function.  See also ~ fvmptrabfv .  (Suggested by BJ,
       18-Feb-2022.)  (Contributed by AV, 18-Feb-2022.) $)
    fvmptrabdm $p |- ( F ` X ) = { y e. ( G ` Y ) | ps } $=
      ( cdm wcel wi wo crab wceq c0 cvv wn cfv pm2.1 imor wa ordir rabeqdv rab0
      ndmfv eqtr2di sylan9eq rabbidv dmmpt rabid2 fvex rabex a1i mprgbir eqtr4i
      cv eleq2i biimpi fvmptd3 jaoi sylbir expcom sylbi mp2 ) IFMNZHEMZNZOZVKUA
      ZVKPZHEUBZBDIFUBZQZRZLVKUCVLVIUAZVKPZVNVROVIVKUDVNVTVRVNVTUEVMVSUEZVKPVRV
      MVSVKUFWAVRVKVMVSVOSVQHEUIVSVQBDSQSVSBDVPSIFUIUGBDUHUJUKVKCHADVPQZVQGETJC
      UTZHRABDVPKULVKHGNVJGHVJWBTNZCGQZGCGWBEJUMGWERWDCGWDCGUNWDWCGNADVPIFUOZUP
      UQURUSVAVBVQTNVKBDVPWFUPUQVCVDVEVFVGVH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Ordering on reals - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Transitive law, weaker form of ~ lelttr .  (Contributed by AV,
     14-Oct-2018.) $)
  leltletr $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A <_ B /\ B < C ) -> A <_ C ) ) $=
    ( cr wcel w3a wa cle wbr clt 3simpb lelttr ltle sylsyld ) ADEZBDEZCDEZFOQGA
    BHIBCJIGACJIACHIOPQKABCLACMN $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Subtraction - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( ((a-b)+c)-a = c-a holds for complex numbers a,b,c.  (Contributed by
     Alexander van der Vekens, 23-Mar-2018.) $)
  cnambpcma $p |- ( ( A e. CC /\ B e. CC /\ C e. CC )
                    -> ( ( ( A - B ) + C ) - A ) = ( C - B ) ) $=
    ( cc wcel w3a cmin co caddc subcl 3adant3 simp3 simp1 addsubd wa oveq1d cc0
    wceq 3ad2ant1 3eqtrd simpl simpr sub32 anidms simp2 subadd23d subid addid2d
    3jca syl ancoms 3adant1 ) ADEZBDEZCDEZFZABGHZCIHAGHUQAGHZCIHAAGHZBGHZCIHZCB
    GHZUPUQCAUMUNUQDEUOABJKUMUNUOLZUMUNUOMNUPURUTCIUPUMUNUMFZURUTRUMUNVDUOUMUNO
    UMUNUMUMUNUAZUMUNUBVEUIKABAUCUJPUPVAUSVBIHZQVBIHZVBUPUSBCUMUNUSDEZUOUMVHAAJ
    UDSUMUNUOUEVCUFUMUNVFVGRUOUMUSQVBIAUGPSUNUOVGVBRUMUNUOOVBUOUNVBDECBJUKUHULT
    T $.

  $( ((a+b)-c)+d = ((a+d)+b)-c holds for complex numbers a,b,c,d.  (Contributed
     by Alexander van der Vekens, 23-Mar-2018.) $)
  cnapbmcpd $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) )
              -> ( ( ( A + B ) - C ) + D ) = ( ( ( A + D ) + B ) - C ) ) $=
    ( cc wcel wa caddc co addcl adantr simpr adantl simpl addsubd add32d oveq1d
    cmin eqtr3d ) AEFZBEFZGZCEFZDEFZGZGZABHIZDHIZCRIUGCRIDHIADHIBHIZCRIUFUGDCUB
    UGEFUEABJKUEUDUBUCUDLMZUEUCUBUCUDNMOUFUHUICRUFABDUBTUETUANKUBUAUETUALKUJPQS
    $.

  $( The sum of two complex numbers is equal to the difference of these two
     complex numbers iff the subtrahend is 0.  (Contributed by AV,
     8-May-2023.) $)
  addsubeq0 $p |- ( ( A e. CC /\ B e. CC )
                    -> ( ( A + B ) = ( A - B ) <-> B = 0 ) ) $=
    ( cc wcel wa caddc co cmin wceq cneg cc0 negsub eqcomd eqeq2d adantl addcan
    wb negcl mpd3an3 eqneg 3bitrd ) ACDZBCDZEZABFGZABHGZIUEABJZFGZIZBUGIZBKIZUD
    UFUHUEUDUHUFABLMNUBUCUGCDZUIUJQUCULUBBROABUGPSUCUJUKQUBBTOUA $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Ordering on reals (cont.) - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Addition and subtraction on one side of "less than or equal to".
     (Contributed by Alexander van der Vekens, 18-Mar-2018.) $)
  leaddsuble $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                    ( B <_ C <-> ( ( A + B ) - C ) <_ A ) ) $=
    ( cr wcel w3a cle caddc co cmin wb leadd2 3comr readdcl 3adant3 simp3 simp1
    wbr lesubaddd bitr4d ) ADEZBDEZCDEZFZBCGRZABHIZACHIGRZUFCJIAGRUBUCUAUEUGKBC
    ALMUDUFCAUAUBUFDEUCABNOUAUBUCPUAUBUCQST $.

  $( If two real numbers are less than a third real number, the sum of the real
     numbers is less than twice the third real number.  (Contributed by
     Alexander van der Vekens, 21-May-2018.) $)
  2leaddle2 $p |- ( ( A e. RR /\ B e. RR /\ C e. RR )
                 -> ( ( A < C /\ B < C ) -> ( A + B ) < ( 2 x. C ) ) ) $=
    ( cr wcel w3a clt wbr wa caddc co c2 cle readdcl 3adant3 3ad2ant3 adantr id
    jca sylc cmul anidms 2re remulcl mpan 3jca simpr lt2add recn leidd eqbrtrrd
    2timesd ltletr ex ) ADEZBDEZCDEZFZACGHBCGHIZABJKZLCUAKZGHZURUSIZUTDEZCCJKZD
    EZVADEZFZUTVEGHZVEVAMHZIVBURVHUSURVDVFVGUOUPVDUQABNOUQUOVFUPUQVFCCNUBPUQUOV
    GUPLDEUQVGUCLCUDUEZPUFQVCVIVJVCUOUPIZUQUQIZIZUSVIURVNUSURVLVMUOUPVLUQVLROUQ
    UOVMUPUQUQUQUQRZVOSPSQURUSUGABCCUHTURVJUSUQUOVJUPUQVAVEVAMUQCCUIULUQVAVKUJU
    KPQSUTVEVAUMTUN $.

  $( Variant of trichotomy law for 'less than'.  (Contributed by Alexander van
     der Vekens, 8-Jun-2018.) $)
  ltnltne $p |- ( ( A e. RR /\ B e. RR ) ->
                ( A < B <-> ( -. B < A /\ -. B = A ) ) ) $=
    ( cr wcel wa clt wbr cle wn wceq wo ltnle wb leloe ancoms notbid a1i 3bitrd
    ioran ) ACDZBCDZEZABFGBAHGZIBAFGZBAJZKZIZUDIUEIEZABLUBUCUFUATUCUFMBANOPUGUH
    MUBUDUESQR $.

  $( A real number increasd by 1 is less than or equal to the number increased
     by 2.  (Contributed by Alexander van der Vekens, 17-Sep-2018.) $)
  p1lep2 $p |- ( N e. RR -> ( N + 1 ) <_ ( N + 2 ) ) $=
    ( cr wcel c1 c2 1red 2re a1i id cle wbr 1le2 leadd2dd ) ABCZDEANFEBCNGHNIDE
    JKNLHM $.

  $( If the result of subtracting two numbers is greater than a number, the
     result of adding one of these subtracted numbers to the number is less
     than the result of subtracting the other subtracted number only.
     (Contributed by Alexander van der Vekens, 9-Jun-2018.) $)
  ltsubsubaddltsub $p |- ( ( J e. RR /\ ( L e. RR /\ M e. RR /\ N e. RR ) )
                    -> ( J < ( ( L - M ) - N ) <-> ( J + M ) < ( L - N ) ) ) $=
    ( cr wcel w3a wa cmin clt wbr caddc simpl resubcl 3adant3 simp3 adantl recn
    co cc resubcld simpr2 ltadd1d wceq nnpcan syl3an breq2d bitrd ) AEFZBEFZCEF
    ZDEFZGZHZABCISZDISZJKACLSZUPCLSZJKUQBDISZJKUNAUPCUIUMMUMUPEFUIUMUODUJUKUOEF
    ULBCNOUJUKULPUAQUIUJUKULUBUCUNURUSUQJUMURUSUDZUIUJBTFUKCTFULDTFUTBRCRDRBCDU
    EUFQUGUH $.

  $( An integer minus 1 is positive under certain circumstances.  (Contributed
     by Alexander van der Vekens, 9-Jun-2018.) $)
  zm1nn $p |- ( ( N e. NN0 /\ L e. ZZ )
                 -> ( ( J e. RR /\ 0 <_ J /\ J < ( ( L - N ) - 1 ) )
                      -> ( L - 1 ) e. NN ) ) $=
    ( cr wcel cc0 cle wbr cmin co c1 clt cz wa wi 0red zre adantl 1red adantr
    w3a cn0 cn simpl nn0re resubcl syl2anr peano2rem syl lelttr syl3anc posdifd
    caddc ltaddsubd elnn0z leadd2d readdcli readdcld peano2zm ltaddsub2d biimpd
    1re 0re a1i elnnz sylanbrc ex syld expd sylbid impancom sylbi sylbird com23
    imp 3impib com12 ) ADEZFAGHZABCIJZKIJZLHZUACUBEZBMEZNZBKIJZUCEZVRVSWBWEWGOV
    RWEVSWBNZWGVRWEWHWGOVRWENZWHFWALHZWGWIFDEVRWADEZWHWJOWIPVRWEUDWIVTDEZWKWEWL
    VRWDBDEZCDEZWLWCBQZCUEZBCUFUGZRVTUHUIFAWAUJUKWEWJWGOVRWEWJKVTLHZWGWEKVTWESZ
    WQULWEWRKCUMJZBLHZWGWEKCBWSWCWNWDWPTWDWMWCWORUNWCWDXAWGOZWCCMEZFCGHZNWDXBOC
    UOXCWDXDXBXCWDNZXDKFUMJZWTGHZXBXEFCKXEPXCWNWDCQZTXESUPXEXGXAWGXEXGXANZXFBLH
    ZWGXEXFDEZWTDEZWMXIXJOXKXEKFVBVCUQVDXCXLWDXCKCXCSXHURTWDWMXCWORXFWTBUJUKXEX
    JWGXEXJNWFMEZFWFLHZWGXEXMXJWDXMXCBUSRTXEXJXNWDXJXNOXCWDXJXNWDKFBWDSWDPWOUTV
    ARVOWFVEVFVGVHVIVJVKVLVOVMVMRVHVGVNVPVQ $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Imaginary and complex number properties - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    recnaddnred.a $e |- ( ph -> A e. RR ) $.
    recnaddnred.b $e |- ( ph -> B e. ( CC \ RR ) ) $.
    $( The sum of a real number and an imaginary number is not a real number.
       (Contributed by AV, 23-Jan-2023.) $)
    readdcnnred $p |- ( ph -> ( A + B ) e/ RR ) $=
      ( caddc co cr wcel wn cc cim cfv cc0 wceq wb recnd reim0b syl eqeq1d wnel
      eldifbd df-nel eldifad addcld reim0d oveq1d addid2d imaddd 3bitr4d notbid
      imcld eqtrd bitrd syl5bb mpbird ) ABCFGZHUAZCHIZJZACKHEUBURUQHIZJAUTUQHUC
      AVAUSAVAUQLMZNOZUSAUQKIVAVCPABCABDQZACKHEUDZUEUQRSABLMZCLMZFGZNOVGNOZVCUS
      AVHVGNAVHNVGFGVGAVFNVGFABDUFUGAVGAVGACVEULQUHUMTAVBVHNABCVDVEUITACKIUSVIP
      VECRSUJUNUKUOUP $.

    $( The difference of a real number and an imaginary number is not a real
       number.  (Contributed by AV, 23-Jan-2023.) $)
    resubcnnred $p |- ( ph -> ( A - B ) e/ RR ) $=
      ( cmin co cr wcel wn cc cim cfv cc0 wceq wb recnd reim0b syl eqeq1d imcld
      eldifbd df-nel eldifad subcld reim0d oveq1d df-neg eqtr4di imsubd negeq0d
      wnel cneg bitrd 3bitr4d notbid syl5bb mpbird ) ABCFGZHULZCHIZJZACKHEUBUTU
      SHIZJAVBUSHUCAVCVAAVCUSLMZNOZVAAUSKIVCVEPABCABDQZACKHEUDZUEUSRSABLMZCLMZF
      GZNOVIUMZNOZVEVAAVJVKNAVJNVIFGVKAVHNVIFABDUFUGVIUHUITAVDVJNABCVFVGUJTAVAV
      INOZVLACKIVAVMPVGCRSAVIAVIACVGUAQUKUNUOUNUPUQUR $.

    cndivrenred.n $e |- ( ph -> A =/= 0 ) $.
    $( The product of a real number and an imaginary number is not a real
       number.  (Contributed by AV, 23-Jan-2023.) $)
    recnmulnred $p |- ( ph -> ( A x. B ) e/ RR ) $=
      ( cmul co cr wnel wcel wn cc eldifbd df-nel cc0 wne wb eldifad mulre
      syl3anc bicomd notbid syl5bb mpbird ) ABCGHZIJZCIKZLZACMIENUGUFIKZLAUIUFI
      OAUJUHAUHUJACMKBIKBPQUHUJRACMIESDFCBTUAUBUCUDUE $.

    $( The quotient of an imaginary number and a real number is not a real
       number.  (Contributed by AV, 23-Jan-2023.) $)
    cndivrenred $p |- ( ph -> ( B / A ) e/ RR ) $=
      ( cdiv co cr wcel wn cc cim cfv cc0 wceq wb recnd reim0b syl wnel eldifbd
      df-nel eldifad divcld diveq0ad imdivd eqeq1d 3bitr4d notbid syl5bb mpbird
      imcld bitrd ) ACBGHZIUAZCIJZKZACLIEUBUPUOIJZKAURUOIUCAUSUQAUSUOMNZOPZUQAU
      OLJUSVAQACBACLIEUDZABDRZFUEUOSTACMNZBGHZOPVDOPZVAUQAVDBAVDACVBUMRVCFUFAUT
      VEOABCDVBFUGUHACLJUQVFQVBCSTUIUNUJUKUL $.
  $}

  $( The square root of a negative number is not a real number.  (Contributed
     by AV, 28-Feb-2023.) $)
  sqrtnegnre $p |- ( ( X e. RR /\ X < 0 ) -> ( sqrt ` X ) e/ RR ) $=
    ( cr wcel cc0 clt wbr wa csqrt cfv wn wnel ci cneg cmul wceq adantr imp a1i
    co cc recn negnegd eqcomd fveq2d simpl renegcld cle wi 0re mpan2 wb le0neg1
    ltle mpbid sqrtnegd eqtrd ax-icn negcld sqrtcld mulcomd resqrtcld inelr wne
    eldifd lt0neg1 ltne sylan 3imtr3d sqrt00 syl2anc bicomd necon3bid ex sylbid
    recnmulnred df-nel sylib eqneltrd sylibr ) ABCZADEFZGZAHIZBCJWCBKWBWCLAMZHI
    ZNSZBWBWCWDMZHIWFWBAWGHWBWGAVTWGAOWAVTAAUAZUBPUCUDWBWDWBAVTWAUEUFZWBADUGFZD
    WDUGFZVTWAWJVTDBCZWAWJUHUIADUMUJZQVTWJWKUKWAAULZPUNZUOUPWBWFWELNSZBWBLWELTC
    WBUQRZWBWDWBAVTATCWAWHPURUSUTWBWPBKWPBCJWBWELWBWDWIWOVAWBLTBWQLBCJWBVBRVDVT
    WAWEDVCZVTWADWDEFZWRAVEZVTWSWRVTWSGZWDDVCZWRVTWLWSXBWLVTUIRDWDVFVGXAWDDWEDX
    AWEDOZWDDOZXAWDBCWKXCXDUKXAAVTWSUEUFVTWSWKVTWAWJWSWKWMWTWNVHQWDVIVJVKVLUNVM
    VNQVOWPBVPVQVRVRWCBVPVS $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Nonnegative integers (as a subset of complex numbers) - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Closure law for subtraction of reals, restricted to nonnegative integers.
     (Contributed by Alexander van der Vekens, 6-Apr-2018.) $)
  nn0resubcl $p |- ( ( A e. NN0 /\ B e. NN0 ) -> ( A - B ) e. RR ) $=
    ( cn0 wcel cr cmin co nn0re resubcl syl2an ) ACDAEDBEDABFGEDBCDAHBHABIJ $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Integers (as a subset of complex numbers) - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( If an integer is between another integer and its successor, the integer is
     equal to the other integer.  (Contributed by AV, 30-May-2020.) $)
  zgeltp1eq $p |- ( ( I e. ZZ /\ A e. ZZ )
                      -> ( ( A <_ I /\ I < ( A + 1 ) ) -> I = A ) ) $=
    ( cz wcel wa cle wbr c1 caddc co clt simprr wb zleltp1 adantr mpbird simprl
    wceq cr zre letri3 syl2an mpbir2and ex ) BCDZACDZEZABFGZBAHIJKGZEZBARZUGUJE
    ZUKBAFGZUHULUMUIUGUHUILUGUMUIMUJBANOPUGUHUIQUGUKUMUHEMZUJUEBSDASDUNUFBTATBA
    UAUBOUCUD $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Decimal arithmetic  - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( 11 is 1 times 10 to the power of 1, plus 1.  (Contributed by AV,
     4-Aug-2020.)  (Revised by AV, 9-Sep-2021.) $)
  1t10e1p1e11 $p |- ; 1 1 = ( ( 1 x. ( ; 1 0 ^ 1 ) ) + 1 ) $=
    ( c1 cdc cc0 cmul co caddc cexp dfdec10 ax-1cn 10nn nncni cc wcel wceq exp1
    ax-mp eqcomi oveq2i mulcomli oveq1i eqtri ) AABACBZADEZAFEAUBAGEZDEZAFEAAHU
    CUEAFAUBUEIUBJKZUBUDADUDUBUBLMUDUBNUFUBOPQRSTUA $.

  $( Add 1 to a 2 digit number with carry.  This is a special case of
     ~ decsucc , but in closed form.  As observed by ML, this theorem allows
     for carrying the 1 down multiple decimal constructors, so we can carry the
     1 multiple times down a multi-digit number, e.g., by applying this theorem
     three times we get ` ( ; ; 9 9 9 + 1 ) = ; ; ; 1 0 0 0 ` .  (Contributed
     by AV, 4-Aug-2020.)  (Revised by ML, 8-Aug-2020.)  (Proof shortened by AV,
     10-Sep-2021.) $)
  deccarry $p |- ( A e. NN -> ( ; A 9 + 1 ) = ; ( A + 1 ) 0 ) $=
    ( cn wcel c1 caddc co cc0 cdc c9 cmul df-dec 9nn peano2nn nnmulcld nncnd cc
    a1i nncni eqtr2id eqtrd ax-mp addid1d nncn adddid mulid1d oveq2d id addassd
    1cnd oveq1i ) ABCZADEFZGHIDEFZULJFZGEFZAIHZDEFZULGKUKUOUNUQUKUNUKUNUKUMULUM
    BCZUKIBCURLIMUAZQZAMNOUBUKUNUMAJFZUMDJFZEFZUQUKUMADUMPCUKUMUSRQZAUCUKUIZUDU
    KVCVAUMEFZUQUKVBUMVAEUKUMVDUEUFUKUQVAIEFZDEFVFUPVGDEAIKUJUKVAIDUKVAUKUMAUTU
    KUGNOIPCUKILRQVEUHSTTTS $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Upper sets of integers - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( If an integer is greater than or equal to a nonnegative integer, then it
     is a nonnegative integer.  (Contributed by Alexander van der Vekens,
     27-Aug-2018.) $)
  eluzge0nn0 $p |- ( N e. ( ZZ>= ` M ) -> ( 0 <_ M -> N e. NN0 ) ) $=
    ( cuz cfv wcel cz cle wbr w3a cc0 cn0 wi eluz2 wa simpl2 cr zre 0red simpl
    ex simpr 3jca syl2an letr syl expcomd 3imp1 elnn0z sylanbrc sylbi ) BACDEAF
    EZBFEZABGHZIZJAGHZBKEZLABMUNUOUPUNUONULJBGHZUPUKULUMUOOUKULUMUOUQUKULUMUOUQ
    LLUKULNZUOUMUQURJPEZAPEZBPEZIZUOUMNUQLUKUTVAVBULAQBQUTVANZUSUTVAVCRUTVASUTV
    AUAUBUCJABUDUEUFTUGBUHUITUJ $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Infinity and the extended real number system (cont.) - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Negated extended trichotomy law for 'less than' and 'less than or equal
     to'.  (Contributed by AV, 18-Jul-2020.) $)
  nltle2tri $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* )
                    -> -. ( A < B /\ B <_ C /\ C <_ A ) ) $=
    ( cxr wcel w3a clt wbr wa wi wn xrltletr wo id impcom wb xrltnle 3adant2 ex
    cle biimpd imp olcd expcom syl com23 impd pm2.61i df-3an notbii ianor bitri
    orcd a1d sylibr mpd ) ADEZBDEZCDEZFZABGHZBCTHZIZACGHZJZVAVBCATHZFZKZABCLUTV
    EVHUTVEIZVCKZVFKZMZVHVCVIVLJVCUTVEVLVCVEUTVLVCVEUTVLJZVCVEIVDVMVEVCVDVENOUT
    VDVLUTVDIVKVJUTVDVKUTVDVKUQUSVDVKPURACQRUAUBUCUDUESUFUGVJVLVIVJVJVKVJNUMUNU
    HVHVCVFIZKVLVGVNVAVBVFUIUJVCVFUKULUOSUP $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Finite intervals of integers - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Subset relationship for finite sets of sequential integers.  (Contributed
     by Alexander van der Vekens, 16-Mar-2018.) $)
  ssfz12 $p |- ( ( K e. ZZ /\ L e. ZZ /\ K <_ L )
                 -> ( ( K ... L ) C_ ( M ... N ) -> ( M <_ K /\ L <_ N ) ) ) $=
    ( cz wcel cle wbr w3a cfz co wa wi cuz cfv syl ssel2 eluz2 3ad2ant3 sylbi
    wss eluz biimp3ar eluzfz1 eluzfz2 elfzuz3 pm3.21 com13 elfzuz syl11 3syl ex
    a1i com4t com24 pm2.43i com14 mpcom mpd ) AEFZBEFZABGHZIZAABJKZFZVDCDJKZUAZ
    CAGHZBDGHZLZMZVCBANOFZVEUTVAVLVBABUBUCZABUDPBVDFZVCVEVKMVCVLVNVMABUEPVGVCVE
    VNVJVGVCVEVNVJMZMMVGVEVCVGVOVGVEVCVGVOMMZVGVELAVFFZVPVDVFAQVGVNVQVCVJVGVNVQ
    VCVJMZMZVGVNLBVFFDBNOFZVSVDVFBQBCDUFACNOFZVTVRVQWACEFZUTVHIVTVRMZCARVHWBWCU
    TVCVTVHVJVTVHVJMZMVCVTVADEFZVIIWDBDRVIVAWDWEVIVHUGSTUMUHSTACDUIUJUKULUNPULU
    OUPUQURUS $.

  $( Membership of an integer in a finite set of sequential integers starting
     at 0.  (Contributed by Alexander van der Vekens, 25-May-2018.) $)
  elfz2z $p |- ( ( K e. ZZ /\ N e. ZZ )
                 -> ( K e. ( 0 ... N ) <-> ( 0 <_ K /\ K <_ N ) ) ) $=
    ( cc0 cfz co wcel cn0 wa cle wbr cz w3a elfz2nn0 adantr elnn0z cr wi adantl
    zre ex df-3an bitri wb nn0ge0 simpll anim1i 0red letr syl3anc simplbi2 syld
    sylibr expcomd imp31 jca impbid2 pm5.32rd syl5bb ) ACBDEFZAGFZBGFZHZABIJZHZ
    AKFZBKFZHZCAIJZVCHZUSUTVAVCLVDABMUTVAVCUAUBVGVCVBVHVGVCVBVHUCVGVCHZVBVHUTVH
    VAAUDNVJVHVBVJVHHZUTVAVKVEVHHUTVJVEVHVEVFVCUEUFAOULVGVCVHVAVGVHVCVAVGVICBIJ
    ZVAVGCPFAPFZBPFZVIVLQVGUGVEVMVFASNVFVNVEBSRCABUHUIVFVLVAQVEVAVFVLBOUJRUKUMU
    NUOTUPTUQUR $.

  $( If there are two elements in a finite set of sequential integers starting
     at 0, these two elements as well as the upper bound are nonnegative
     integers.  (Contributed by Alexander van der Vekens, 7-Apr-2018.) $)
  2elfz3nn0 $p |- ( ( A e. ( 0 ... N ) /\ B e. ( 0 ... N ) )
                    -> ( A e. NN0 /\ B e. NN0 /\ N e. NN0 ) ) $=
    ( cc0 cfz co wcel cn0 w3a elfznn0 cle wbr wi elfz2nn0 wa 3anass simplbi2com
    3adant3 sylbi mpan9 ) ADCEFZGAHGZBUAGZUBBHGZCHGZIZACJUCUDUEBCKLZIUBUFMZBCNU
    DUEUHUGUFUBUDUEOUBUDUEPQRST $.

  $( The addition of two members of a finite set of sequential integers
     starting at 0 is commutative.  (Contributed by Alexander van der Vekens,
     22-May-2018.)  (Revised by Alexander van der Vekens, 9-Jun-2018.) $)
  fz0addcom $p |- ( ( A e. ( 0 ... N ) /\ B e. ( 0 ... N ) )
                    -> ( A + B ) = ( B + A ) ) $=
    ( cc0 cfz co wcel cc caddc wceq elfznn0 nn0cnd addcom syl2an ) ADCEFZGZAHGB
    HGABIFBAIFJBOGZPAACKLQBBCKLABMN $.

  $( If the sum of two integers of a 0-based finite set of sequential integers
     is greater than the upper bound, the difference between one of the
     integers and the difference between the upper bound and the other integer
     is in the 0-based finite set of sequential integers with the first integer
     as upper bound.  (Contributed by Alexander van der Vekens, 7-Apr-2018.)
     (Revised by Alexander van der Vekens, 31-May-2018.) $)
  2elfz2melfz $p |- ( ( A e. ( 0 ... N ) /\ B e. ( 0 ... N ) )
                  -> ( N < ( A + B ) -> ( B - ( N - A ) ) e. ( 0 ... A ) ) ) $=
    ( cc0 co wcel wa caddc wbr cmin cle cz wi adantr cr zre ad2antrr adantl imp
    zred cfz clt elfzelz elfzel2 simplr zsubcl adantlr zsubcld zaddcl expcom id
    cn0 ltsub1d anim12i resubcld readdcl simpll jca ltle 3syl zcn subidd cc w3a
    wceq simp3 simp1 addcomd oveq1d subsub3 eqtr4d syl3anc sylibd sylbid elnn0z
    breq12d sylanbrc exp31 syl2anc mpan9 elfznn0 zcnd npcan breqtrrd lesubadd2d
    elfzle2 syl mpbird elfz2nn0 syl3anbrc ex ) ADCUAEZFZBWLFZGZCABHEZUBIZBCAJEZ
    JEZDAUAEFZWOWQGWSULFZAULFZWSAKIZWTWOWQXAWMALFZWNWQXAMZADCUCZWNCLFZBLFZXDXEM
    BDCUDBDCUCZXGXHGZXDWQXAXJXDGZWQGWSLFZDWSKIZXAXKXLWQXKBWRXGXHXDUEXGXDWRLFXHC
    AUFUGUHNXKWQXMXKWQCCJEZWPCJEZUBIZXMXKCWPCXGCOFZXHXDCPZQZXJXDWPOFZXHXDXTMXGX
    DXHXTXDXHGWPABUITUJRSXSUMXKXPXNXOKIZXMXKXQBOFZGZAOFZGZXNOFZXOOFZGXPYAMXJYCX
    DYDXGXQXHYBXRBPUNAPUNYEYFYGXQYFYBYDXQCCXQUKZYHUOQYEWPCYCYDXTYBYDXTMXQYDYBXT
    ABUPUJRSXQYBYDUQUOURXNXOUSUTXKXNDXOWSKXGXNDVEXHXDXGCCVAZVBQXKBVCFZCVCFZAVCF
    ZXOWSVEXJYJXDXHYJXGBVARNXGYKXHXDYIQXDYLXJAVARYJYKYLVDZXOBAHEZCJEWSYMWPYNCJY
    MABYJYKYLVFYJYKYLVGVHVIBCAVJVKVLVPVMVNSWSVOVQVRVSVTSWMXBWNWQACWAQWOXCWQWOXC
    BWRAHEZKIWOBCYOKWNBCKIWMBDCWFRWOYKYLGZYOCVEWMYPWNWMYKYLWMCADCUDZWBWMAXFWBUR
    NCAWCWGWDWOBWRAWNYBWMWNBXITRWMWROFWNWMCAWMCYQTWMAXFTZUONWMYDWNYRNWEWHNWSAWI
    WJWK $.

  $( The sum of two integers in 0-based finite sets of sequential integers is
     greater than or equal to zero.  (Contributed by Alexander van der Vekens,
     8-Jun-2018.) $)
  fz0addge0 $p |- ( ( A e. ( 0 ... M ) /\ B e. ( 0 ... N ) )
                    -> 0 <_ ( A + B ) ) $=
    ( cc0 cfz co wcel wa cn0 cr cle wbr caddc elfznn0 anim12i nn0ge0 jca addge0
    nn0re 3syl ) AECFGHZBEDFGHZIAJHZBJHZIZAKHZBKHZIZEALMZEBLMZIZIEABNGLMUBUDUCU
    EACOBDOPUFUIULUDUGUEUHATBTPUDUJUEUKAQBQPRABSUA $.

  $( Membership of an integer in a finite set of sequential integers with the
     integer as upper bound and a lower bound less than or equal to the
     integer.  (Contributed by AV, 21-Oct-2018.) $)
  elfzlble $p |- ( ( N e. ZZ /\ M e. NN0 ) -> N e. ( ( N - M ) ... N ) ) $=
    ( cz wcel cn0 wa cmin co cuz cfv cfz cle wbr zsubcl sylan2 simpl cc0 nn0ge0
    nn0z cr adantl zre nn0re subge02 syl2an mpbid eluz2 syl3anbrc eluzfz2 syl
    wb ) BCDZAEDZFZBBAGHZIJDZBUOBKHDUNUOCDZULUOBLMZUPUMULACDUQASBANOULUMPUNQALM
    ZURUMUSULARUAULBTDATDUSURUKUMBUBAUCBAUDUEUFUOBUGUHUOBUIUJ $.

  $( Membership of an element of a finite set of sequential integers in a
     finite set of sequential integers with the same upper bound and a lower
     bound less than the upper bound.  (Contributed by AV, 21-Oct-2018.) $)
  elfzelfzlble $p |- ( ( M e. ZZ /\ K e. ( 0 ... N ) /\ N < ( M + K ) )
                       -> K e. ( ( N - M ) ... N ) ) $=
    ( cz wcel cc0 cfz co wbr w3a cle wa elfz2 adantr anim2i syl adantl 3jca cr
    wi caddc clt cmin 3simpc sylbi simpl ancomd zsubcl 3adant3 elfzel2 zred zre
    simprr elfzelz simp1 readdcl 3adant1 ltle syl2anc lesubadd2 sylibrd elfzle2
    3impia 3ad2ant2 jca32 sylibr ) BDEZAFCGHEZCBAUAHZUBIZJZCBUCHZDEZCDEZADEZJZV
    LAKIZACKIZLLAVLCGHEVKVPVQVRVGVHVPVJVGVHLZVGVNVOLZLZVPVHVTVGVHFDEZVNVOJZFAKI
    VRLZLVTAFCMWCVTWDWBVNVOUDNUEOWAVMVNVOWAVNVGLVMWAVGVNVTVNVGVNVOUFZOUGCBUHPVT
    VNVGWEQVGVNVOUMRPUIVGVHVJVQVSCSEZBSEZASEZJZVJVQTVSWFWGWHVHWFVGVHCAFCUJUKQVG
    WGVHBULNVHWHVGVHAAFCUNUKQRWIVJCVIKIZVQWIWFVISEZVJWJTWFWGWHUOWGWHWKWFBAUPUQC
    VIURUSCBAUTVAPVCVHVGVRVJAFCVBVDVEAVLCMVF $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Half-open integer ranges - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Join a predecessor to the beginning of an open integer interval.
     Generalization of ~ fzo0sn0fzo1 .  (Contributed by AV, 14-Jul-2020.) $)
  fzopred $p |- ( ( M e. ZZ /\ N e. ZZ /\ M < N )
                 -> ( M ..^ N ) = ( { M } u. ( ( M + 1 ) ..^ N ) ) ) $=
    ( cz wcel clt wbr w3a cfzo co caddc cun csn cfz wceq fzolb fzofzp1 fzosplit
    c1 sylbir syl fzosn 3ad2ant1 uneq1d eqtrd ) ACDZBCDZABEFZGZABHIZAARJIZHIZUJ
    BHIZKZALZULKUHUJABMIDZUIUMNUHAUIDUOABOABAPSABUJQTUHUKUNULUEUFUKUNNUGAUAUBUC
    UD $.

  $( Join a predecessor and a successor to the beginning and the end of an open
     integer interval.  This theorem holds even if ` N = M ` (then
     ` ( M ... N ) = { M } = ( { M } u. (/) ) u. { M } ) ` .  (Contributed by
     AV, 14-Jul-2020.) $)
  fzopredsuc $p |- ( N e. ( ZZ>= ` M ) -> ( M ... N )
                           = ( ( { M } u. ( ( M + 1 ) ..^ N ) ) u. { N } ) ) $=
    ( wceq wcel cfz co csn c1 caddc cfzo cun wi cz wa oveq1 sylan9eqr uneq1d c0
    wbr ex cuz cfv unidm eqcomi fzsn sneq oveq1d uneq12d clt wn cle zre peano2z
    lep1d zred lenltd mpbid wb fzonlt0 mpancom uneq2d un0 3eqtr4a eluzelz syl11
    eqtrdi fzisfzounsn adantl w3a eluz2 simpl1 simpl2 wne nesym cr ltlen syl2an
    biimprd exp4b 3imp syl5bir imp 3jca sylbi impcom fzopred syl eqtrd pm2.61i
    ) ABCZBAUAUBDZABEFZAGZAHIFZBJFZKZBGZKZCZLBMDZWJWSWKWTWJWSWTWJNWQWQWQKZWLWRX
    AWQWQUCUDWJWTWLBBEFWQABBEOBUEPWJWTWRWQBHIFZBJFZKZWQKXAWJWPXDWQWJWMWQWOXCABU
    FWJWNXBBJABHIOUGUHQWTXDWQWQWTXDWQRKWQWTXCRWQWTXBBUISUJZXCRCZWTBXBUKSXEWTBBU
    LZUNWTBXBXGWTXBBUMZUOUPUQXBMDWTXEXFURXHXBBUSUTUQVAWQVBVFQPVCTABVDVEWJUJZWKW
    SXIWKNZWLABJFZWQKZWRWKWLXLCXIABVGVHXJXKWPWQXJAMDZWTABUISZVIZXKWPCWKXIXOWKXM
    WTABUKSZVIZXIXOLABVJXQXIXOXQXINXMWTXNXMWTXPXIVKXMWTXPXIVLXQXIXNXIBAVMZXQXNB
    AVNXMWTXPXRXNLXMWTXPXRXNXMWTNXNXPXRNZXMAVODBVODXNXSURWTAULXGABVPVQVRVSVTWAW
    BWCTWDWEABWFWGQWHTWI $.

  $( Join 0 and a successor to the beginning and the end of an open integer
     interval starting at 1.  (Contributed by AV, 14-Jul-2020.) $)
  1fzopredsuc $p |- ( N e. NN0
                    -> ( 0 ... N ) = ( ( { 0 } u. ( 1 ..^ N ) ) u. { N } ) ) $=
    ( cn0 wcel cc0 cuz cfv cfz co csn c1 cfzo cun wceq elnn0uz caddc fzopredsuc
    0p1e1 oveq1i uneq2i uneq1i eqtrdi sylbi ) ABCADEFCZDAGHZDIZJAKHZLZAIZLZMANU
    CUDUEDJOHZAKHZLZUHLUIDAPULUGUHUKUFUEUJJAKQRSTUAUB $.

  $( An element of an open integer interval starting at 1 joined by 0 and a
     successor at the beginning and the end is either 0 or an element of the
     open integer interval or the successor.  (Contributed by AV,
     14-Jul-2020.) $)
  el1fzopredsuc $p |- ( N e. NN0 -> ( I e. ( 0 ... N )
                              <-> ( I = 0 \/ I e. ( 1 ..^ N ) \/ I = N ) ) ) $=
    ( cn0 wcel cc0 co wceq w3o cz csn cun wi wa wo elun wb elsng adantl df-3or
    ex cfz cfzo elfzelz 1fzopredsuc eleq2d orbi1i orbi1d orbi12d syl5bb biimpri
    c1 bitri syl6bi com23 sylbid mpdi c0ex snid a1i eleq1 mpbird idd syl5ibrcom
    snidg 3orim123d imp sylib sylibr adantr impbid ) BCDZAEBUAFZDZAEGZAUKBUBFZD
    ZABGZHZVKVMAIDZVRAEBUCVKVMAEJZVOKZBJZKZDZVSVRLVKVLWCABUDUEZVKVSWDVRVKVSWDVR
    LVKVSMZWDVNVPNZVQNZVRWDAVTDZVPNZAWBDZNZWFWHWDAWADZWKNWLAWAWBOWMWJWKAVTVOOUF
    ULZWFWJWGWKVQWFWIVNVPVSWIVNPVKAEIQRUGVSWKVQPVKABIQRUHUIVRWHVNVPVQSUJUMTUNUO
    UPVKVRVMVKVRMZVMWDWOWLWDWOWIVPWKHZWLVKVRWPVKVNWIVPVPVQWKVNWILVKVNWIEVTDZWQV
    NEUQURUSAEVTUTVAUSVKVPVBVKWKVQBWBDBCVDABWBUTVCVEVFWIVPWKSVGWNVHVKVMWDPVRWEV
    IVATVJ $.

  $( Subtracting a difference from a number which is not less than the
     difference results in a bounded nonnegative integer.  (Contributed by
     Alexander van der Vekens, 21-May-2018.) $)
  subsubelfzo0 $p |- ( ( A e. ( 0 ..^ N ) /\ I e. ( 0 ..^ N )
                 /\ -. I < ( N - A ) ) -> ( I - ( N - A ) ) e. ( 0 ..^ A ) ) $=
    ( cc0 co wcel cmin clt wbr w3a cz cn0 wi wa cle cr wb adantr syl2anr adantl
    cfzo wn cuz cfv cn elfzo0 nnre 3ad2ant2 nn0re resubcl 3ad2ant1 lenlt bicomd
    syl2anc biimpa nnz zsubcl syl2an impancom imp subge0 mpbird elnn0z sylanbrc
    nn0z ltle simplr1 nn0sub mpbid elnn0uz sylib ltsub1d wceq nncn nn0cn breq2d
    cc nncan biimpd sylbid ex com3l 3impia impcom 3jca exp31 3adant2 sylbi 3imp
    syl5bi elfzo2 sylibr ) ADCUAEZFZBWMFZBCAGEZHIUBZJBWPGEZDUCUDFZAKFZWRAHIZJZW
    RDAUAEFWNWOWQXBWNALFZCUEFZACHIZJWOWQXBMZMZACUFXCXEXGXDWOBLFZXDBCHIZJZXCXENZ
    XFBCUFXKXJWQXBXKXJNZWQNZWSWTXAXMWRLFZWSXMWPBOIZXNXLWQXOXLWPPFZBPFZWQXOQXJCP
    FZAPFZXPXKXDXHXRXICUGZUHZXCXSXEAUIZRZCAUJZSXJXQXKXHXDXQXIBUIZUKTXPXQNXOWQWP
    BULUMUNUOXMWPLFZXHXOXNQXLYFWQXLWPKFZDWPOIZYFXJCKFZWTYGXKXDXHYIXICUPUHXCWTXE
    AVERZCAUQSXLYHACOIZXKXJYKXCXJXEYKXCXSXRXEYKMXJYBYAACVFURUSUTXJXRXSYHYKQXKYA
    YCCAVASVBWPVCVDRXHXDXIXKWQVGWPBVHUNVIWRVJVKXLWTWQXKWTXJYJRRXLXAWQXJXKXAXHXD
    XIXKXAMXKXHXDNZXIXAXCYLXIXAMZMXEXCYLYMXCYLNZXIWRCWPGEZHIZXAYNBCWPYLXQXCXHXQ
    XDYERTYLXRXCXDXRXHXTTZTYLXRXSXPXCYQYBYDSVLYNYPXAYNYOAWRHYLCVQFZAVQFYOAVMXCX
    DYRXHCVNTAVOCAVRSVPVSVTWARWBWCWDRWEWFWJWGWHWIWRDAWKWL $.

  $( A half-open integer range can represent an ordered pair, analogous to
     ~ fzopth .  (Contributed by Alexander van der Vekens, 1-Jul-2018.) $)
  fzoopth $p |- ( ( M e. ZZ /\ N e. ZZ /\ M < N ) ->
                ( ( M ..^ N ) = ( J ..^ K ) <-> ( M = J /\ N = K ) ) ) $=
    ( cz wcel clt wbr w3a co wceq wa cuz cfv wss uzss 3syl wb syl wi cfzo simpl
    fzolb sylibr simpr eleqtrd elfzouz biimpri adantr adantl elfzolt3b eleqtrrd
    eleq2 mpbid eqssd simpl1 uz11 cle cmin fzoend elfzoel2 eqcoms elfzo2 simprl
    zlem1lt ancoms biimprd impancom impcom 3jca expcom 3adant1 a1d sylbi syl6bi
    com23 com13 mpcom eluz2 pm3.2 3ad2ant2 com12 com3l imp syl3anbrc simpl2 jca
    c1 ex oveq12 impbid1 ) CEFZDEFZCDGHZIZCDUAJZABUAJZKZCAKZDBKZLZWOWRXAWOWRLZW
    SWTXBCMNZAMNZKZWSXBXCXDXBCWQFZCXDFXCXDOXBCWPWQXBWOCWPFZWOWRUBCDUCZUDWOWRUEZ
    UFCABUGACPQXBAWPFAXCFXDXCOXBAWQWPXBXFAWQFZXBXGXFWOXGWRXGWOXHUHZUIWRXGXFRWOW
    PWQCUMUJUNCABUKSZXIULACDUGCAPQUOXBWLXEWSRWLWMWNWRUPCAUQSUNXBDMNZBMNZKZWTXBX
    MXNXBBEFZWMBDURHZIZDXNFZXMXNOXJXBXRXLXJBWHUSJZWQFZXBXRTZABUTXPYAYBXTABVAXBY
    AXPXRWRWOYAXPXRTZTWRYAWOYCWRYAXTWPFZWOYCTZYAYDRWQWPWQWPXTUMVBYDXTXCFZWMXTDG
    HZIZYEXTCDVCYHYCWOWMYGYCYFXPWMYGLZXRXPYILXPWMXQXPYIUBXPWMYGVDYIXPXQWMXPYGXQ
    WMXPLXQYGXPWMXQYGRBDVEVFVGVHVIVJVKVLVMVNVOVPVIVQVRSVRXSXRBDVSUHBDPQXBWMXPDW
    HUSJZBGHZLZLZBXMFZXNXMOWOWRYMXGWOWRYMTZXKXGYJWPFZWOYOTCDUTWRYPWOYMWRYPYJWQF
    ZWOYMTZWPWQYJUMYQYJXDFZXPYKIYRYJABVCXPYKYRYSWOYLYMWMWLYLYMTWNWMYLVTWAWBVLVN
    VOWCSVRWDYMWMXPDBURHZYNWMYLUBWMXPYKVDYLWMYTXPWMYKYTXPWMLYTYKWMXPYTYKRDBVEVF
    VGVHVIDBVSWEDBPQUOXBWMXOWTRWLWMWNWRWFDBUQSUNWGWICADBUAWJWK $.

  ${
    $d F i $.  $d M i $.  $d P i $.
    $( Two functions over a half-open range of nonnegative integers are equal
       if and only if their domains have the same length and the function
       values are the same at each position.  (Contributed by Alexander van der
       Vekens, 1-Jul-2018.) $)
    2ffzoeq $p |- ( ( ( M e. NN0 /\ N e. NN0 ) /\ ( F : ( 0 ..^ M ) --> X
                             /\ P : ( 0 ..^ N ) --> Y ) ) -> ( F = P
              <-> ( M = N /\ A. i e. ( 0 ..^ M ) ( F ` i ) = ( P ` i ) ) ) ) $=
      ( cc0 wceq wcel wa cfzo co wf wb wi c0 adantl impcom adantr cn0 cfv eqeq1
      cv wral anbi1d f0bi wfn ffn fndmu cle cz 0z nn0z fzon sylancr nn0ge0 0red
      wbr nn0re letri3d biimprd mpand sylbird syl5com syl2imc sylbir imp syl6bi
      ex com3l a1i oveq2 eqtrdi feq2d bitrdi imbi2d 3imtr4d feq2i bitri biimpac
      fzo0 syl anbi12d eqtr3 com12 expd impbid raleqdv mpbiri biantrud bitrd wn
      ral0 anim12i eqfnfv2 wne df-ne elnnne0 clt w3a 0zd nnz nngt0 3jca fzoopth
      cn simpr anim1d anim1i impbid1 impancom syl5bir pm2.61ian ) DHIZDUAJZEUAJ
      ZKZHDLMZFCNZHELMZGANZKZKZCAIZDEIZBUDZCUBYGAUBIZBXSUEZKZOXOYDKZYEYFYJYKYEY
      FYDXOYEYFPZYCXRXOYLPXOYCXRYLXOCQIZYBKZXRYEHEIZPZPZYCXRYLPYNYQPXOYEYNXRYOY
      EYNAQIZYBKXRYOPZYEYMYRYBCAQUCUFYRYBYSYRQGANZYBYSPAGUGZYBAYAUHZYTAQUHZYSYA
      GAUIZQGAUIUUBUUCYSUUBUUCKYAQIZXRYOYAQAUJXRUUEEHUKUSZYOXRHULJZEULJZUUFUUEO
      UMXQUUHXPEUNRHEUOUPXQUUFYOPXPXQHEUKUSZUUFYOEUQXQYOUUIUUFKXQHEXQUREUTVAVBV
      CRVDVEVJVFVGVHVIVKVLXOXTYMYBXOXTQFCNZYMXOXSQFCXOXSHHLMZQDHHLVMZHWBZVNZVOC
      FUGZVPUFXOYLYPXRXOYFYOYEDHEUCVQVQVRVKSSYDXOYFYEPZYCXOUUPPXRYCXOYFYEXOYFKZ
      YCYEUUQYCYMYRKYEUUQXTYMYBYRXOXTYMOYFXOXTUUKFCNZYMXOXSUUKFCUULVOUURUUJYMUU
      KQFCUUMVSUUOVTVPTUUQEHIZYBYROYFXOUUSDEHUCWAUUSYBUUKGANZYRUUSYAUUKGAEHHLVM
      VOUUTYTYRUUKQGAUUMVSUUAVTVPWCWDCAQWEVIWFWGRSWHXOYFYJOYDXOYIYFXOYIYHBQUEYH
      BWNXOYHBXSQUUNWIWJWKTWLXOWMZYDKZYEXSYAIZYIKZYJUVBCXSUHZUUBKZYEUVDOYDUVFUV
      AYCUVFXRXTUVEYBUUBXSFCUIUUDWORRBXSYACAWPWCYDUVAUVDYJOZXRUVAUVGPYCUVADHWQZ
      XRUVGDHWRXPUVHXQUVGXPUVHKDXGJZXQUVGPDWSUVIXQUVGUVIXQKZUVDYJUVJUVCYFYIUVJU
      VCHHIZYFKZYFUVJUUGDULJZHDWTUSZXAZUVCUVLOUVIUVOXQUVIUUGUVMUVNUVIXBDXCDXDXE
      THEHDXFWCUVKYFXHVIXIYFUVCYIDEHLVMXJXKVJVGXLXMTSWLXN $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The modulo (remainder) operation - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( An integer decreased by 1 is 0 modulo a positive integer iff the integer
     is 1 modulo the same modulus.  (Contributed by AV, 6-Jun-2020.) $)
  m1mod0mod1 $p |- ( ( A e. RR /\ N e. RR /\ 1 < N )
                     -> ( ( ( A - 1 ) mod N ) = 0 <-> ( A mod N ) = 1 ) ) $=
    ( cr wcel c1 clt wbr w3a cmin co cmo cc0 wceq wa caddc eqcomd adantr oveq1d
    syl 3adant1 cc recn npcan1 3ad2ant1 simpr 1mod oveq12d peano2rem 1red simpl
    crp 0lt1 0re 1re lttr mp3an12 mpani imp elrpd modaddabs 0p1e1 oveq1i syl5eq
    wi 3eqtr3d eqtrd oveq2d simp1 modcld recnd subidd modsubmod syl3anc impbida
    3jca 0mod ) ACDZBCDZEBFGZHZAEIJZBKJZLMZABKJZEMZVTWCNZWDWAEOJZBKJZEWFAWGBKVT
    AWGMZWCVQVRWIVSVQAUADZWIAUBWJWGAAUCPSUDQRWFWBEBKJZOJZBKJZLEOJZBKJZWHEWFWLWN
    BKWFWBLWKEOVTWCUEVTWKEMZWCVRVSWPVQBUFZTQUGRWFWACDZECDZBUKDZHZWMWHMVTXAWCVTW
    RWSWTVQVRWRVSAUHUDVTUIVRVSWTVQVRVSNZBVRVSUJVRVSLBFGZVRLEFGZVSXCULLCDWSVRXDV
    SNXCVDUMUNLEBUOUPUQURUSTZVOQWAEBUTSVTWOEMZWCVRVSXFVQXBWOWKEWNEBKVAVBWQVCTQV
    EVFVTWENZWBAWDIJZBKJZLXGWAXHBKXGEWDAIXGWDEVTWEUEPVGRVTXILMWEVTWDWDIJZBKJZLB
    KJZXILVTXJLBKVTWDVTWDVTABVQVRVSVHZXEVIZVJVKRVTVQWDCDWTXKXIMXMXNXEAWDBVLVMVT
    WTXLLMXEBVPSVEQVFVN $.

  $( An integer modulo 2 is either 0 or 1.  (Contributed by AV, 24-May-2020.)
     (Proof shortened by OpenAI, 3-Jul-2020.) $)
  elmod2 $p |- ( N e. ZZ -> ( N mod 2 ) e. { 0 , 1 } ) $=
    ( cz wcel c2 cmo co cc0 cfzo cpr 2nn zmodfzo ancoms mpan fzo0to2pr eleqtrdi
    c1 cn ) ABCZADEFZGDHFZGPIDQCZRSTCZJRUAUBADKLMNO $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The infinite sequence builder "seq"
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d k n x F $.  $d k n x M $.  $d k n x N $.  $d k n x ph $.
    smonoord.0 $e |- ( ph -> M e. ZZ ) $.
    smonoord.1 $e |- ( ph -> N e. ( ZZ>= ` ( M + 1 ) ) ) $.
    smonoord.2 $e |- ( ( ph /\ k e. ( M ... N ) ) -> ( F ` k ) e. RR ) $.
    smonoord.3 $e |- ( ( ph /\ k e. ( M ... ( N - 1 ) ) ) ->
                   ( F ` k ) < ( F ` ( k + 1 ) ) ) $.
    $( Ordering relation for a strictly monotonic sequence, increasing case.
       Analogous to ~ monoord (except that the case ` M = N ` must be
       excluded).  Duplicate of ~ monoords ?  (Contributed by AV,
       12-Jul-2020.) $)
    smonoord $p |- ( ph -> ( F ` M ) < ( F ` N ) ) $=
      ( c1 caddc co wcel cfv clt wbr wi fveq2 sylc cr vx vn cfz cuz eluzfz2 syl
      cv wceq eleq1 breq2d imbi12d imbi2d cz cmin wral eluzp1m1 syl2anc eluzfz1
      weq ralrimiva fvoveq1 breq12d rspcv a1d wa peano2fzr adantll ex peano2uzr
      a1i imim1d adantr impcom eluzelz adantl elfzuz3 ad2antll elfzuzb sylanbrc
      syl11 cle zre lep1d jccir eluzuzle eleq1d fzp1ss sseld com12 lttr syl3anc
      wss mpan2d animpimp2impd uzind4 mpcom mpd ) AEDJKLZEUCLZMZDCNZECNZOPZAEWR
      UDNZMZWTGWREUEUFXEAWTXCQZGAUAUGZWSMZXAXGCNZOPZQZQAWRWSMZXAWRCNZOPZQZQZAUB
      UGZWSMZXAXQCNZOPZQZQAXQJKLZWSMZXAYBCNZOPZQZQAXFQUAUBWREXGWRUHZXKXOAYGXHXL
      XJXNXGWRWSUIYGXIXMXAOXGWRCRUJUKULUAUBUSZXKYAAYHXHXRXJXTXGXQWSUIYHXIXSXAOX
      GXQCRUJUKULXGYBUHZXKYFAYIXHYCXJYEXGYBWSUIYIXIYDXAOXGYBCRUJUKULXGEUHZXKXFA
      YJXHWTXJXCXGEWSUIYJXIXBXAOXGECRUJUKULXPWRUMMAXNXLADDEJUNLZUCLZMZBUGZCNZYN
      JKLCNZOPZBYLUOZXNAYKDUDNZMZYMADUMMZXEYTFGDEUPUQDYKURUFAYQBYLIUTZYQXNBDYLY
      NDUHZYOXAYPXMOYNDCRZYNDJCKVAVBVCSVDVJXQXDMZAYAYCYEXTAUUEVEZYCXRXTUUFYCXRU
      UEYCXRAXQWREVFVGVHVKAUUEYCVEZVEZXTXSYDOPZYEUUHXQYLMZYRUUIUUHXQYSMZYKXQUDN
      MZUUJUUGAUUKUUEAUUKQYCUUAUUEUUKAUUAUUEUUKDXQVIVHFVTVLVMZUUHXQUMMZEYBUDNMZ
      UULUUGUUNAUUEUUNYCWRXQVNVLVOYCUUOAUUEYBWREVPVQXQEUPUQXQDYKVRVSAYRUUGUUBVL
      YQUUIBXQYLBUBUSZYOXSYPYDOYNXQCRZYNXQJCKVAVBVCSUUHXATMZXSTMZYDTMZXTUUIVEYE
      QAUURUUGADDEUCLZMZYOTMZBUVAUOZUURAEYSMZUVBAUUADWRWAPZVEXEUVEAUUAUVFFUUADD
      WBWCWDGWRDEWESDEURUFAUVCBUVAHUTZUVCUURBDUVAUUCYOXATUUDWFVCSVLUUHXQUVAMZUV
      DUUSUUHUUKYBUVAMZUVHUUMUUGAUVIYCAUVIQUUEAYCUVIAWSUVAYBAUUAWSUVAWLFDEWGUFW
      HWIVOVMZXQDEVFUQAUVDUUGUVGVLZUVCUUSBXQUVAUUPYOXSTUUQWFVCSUUHUVIUVDUUTUVJU
      VKUVCUUTBYBUVAYNYBUHYOYDTYNYBCRWFVCSXAXSYDWJWKWMWNWOWPWQ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Finite and infinite sums - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A k x $.  $d B x $.  $d X k x $.
    $( A finite sum with one of its integer summands removed is a real number.
       (Contributed by Alexander van der Vekens, 31-Aug-2018.) $)
    fsummsndifre $p |- ( ( A e. Fin /\ A. k e. A B e. ZZ )
                            -> sum_ k e. ( A \ { X } ) B e. RR ) $=
      ( vx cfn wcel cz wral wa csn cdif csu cv csb nfcv nfcsb1v csbeq1a cbvsumi
      cr diffi adantr wi eldifi rspcsbela sylan zred expcom adantl imp fsumrecl
      eqeltrid ) AFGZBHGCAIZJZADKZLZBCMUQCENZBOZEMTUQBUSCEEBPCURBQCURBRSUOUQUSE
      UMUQFGUNAUPUAUBUOURUQGZUSTGZUNUTVAUCUMUTUNVAUTUNJUSUTURAGUNUSHGURAUPUDCUR
      ABHUEUFUGUHUIUJUKUL $.

    $( Separate out a term in a finite sum by splitting the sum into two parts.
       (Contributed by Alexander van der Vekens, 31-Aug-2018.) $)
    fsumsplitsndif $p |- ( ( A e. Fin /\ X e. A /\ A. k e. A B e. ZZ )
          -> sum_ k e. A B = ( sum_ k e. ( A \ { X } ) B + [_ X / k ]_ B ) ) $=
      ( vx cfn wcel cz wral csu caddc co csb wceq cun cc rspcsbela zcnd cbvsumi
      wa w3a csn cdif cv wn cin neldifsnd disjsn sylibr uncom simp2 snssd undif
      c0 wss sylib eqtr2id simp1 expcom 3ad2ant3 fsumsplit nfcv nfcsb1v csbeq1a
      wi imp oveq12i 3eqtr4g 3adant1 sumsns syl2anc oveq2d eqtrd ) AFGZDAGZBHGC
      AIZUAZABCJZADUBZUCZBCJZVSBCJZKLZWACDBMZKLVQACEUDZBMZEJVTWFEJZVSWFEJZKLVRW
      CVQVTVSWFAEVQDVTGUEVTVSUFUNNVQDAUGVTDUHUIVQVTVSOVSVTOZAVTVSUJVQVSAUOWIANV
      QDAVNVOVPUKZULVSAUMUPUQVNVOVPURVQWEAGZWFPGZVPVNWKWLVEVOWKVPWLWKVPTWFCWEAB
      HQRUSUTVFVAABWFCEEBVBZCWEBVCZCWEBVDZSWAWGWBWHKVTBWFCEWMWNWOSVSBWFCEWMWNWO
      SVGVHVQWBWDWAKVQVOWDPGZWBWDNWJVOVPWPVNVOVPTWDCDABHQRVIBCDAVJVKVLVM $.

    $d N k x $.
    $( A finite sum of summands modulo a positive number with one of its
       summands removed is a real number.  (Contributed by Alexander van der
       Vekens, 31-Aug-2018.) $)
    fsummmodsndifre $p |- ( ( A e. Fin /\ N e. NN /\ A. k e. A B e. ZZ )
                            -> sum_ k e. ( A \ { X } ) ( B mod N ) e. RR ) $=
      ( vx cfn wcel cn cz cmo co csu csb cr wa wi cvv adantr eqeltrid wral cdif
      w3a cv nfcv nfcsb1v csbeq1a cbvsumi diffi 3ad2ant1 eldifi rspcsbela sylan
      csn expcom 3ad2ant3 imp wceq vex csbov1g ax-mp zre adantl crp nnrp modcld
      ex 3ad2ant2 mpd fsumrecl ) AGHZDIHZBJHCAUAZUCZAEUNZUBZBDKLZCMVPCFUDZVQNZF
      MOVPVQVSCFFVQUECVRVQUFCVRVQUGUHVNVPVSFVKVLVPGHVMAVOUIUJVNVRVPHZPCVRBNZJHZ
      VSOHZVNVTWBVMVKVTWBQVLVTVMWBVTVRAHVMWBVRAVOUKCVRABJULUMUOUPUQVNWBWCQZVTVL
      VKWDVMVLWBWCVLWBPZVSWADKLZOVRRHVSWFURFUSCVRBDKRUTVAWEWADWBWAOHVLWAVBVCVLD
      VDHWBDVESVFTVGVHSVIVJT $.
  $}

  ${
    $d A k x $.  $d B x $.  $d N k x $.  $d k x z $.
    $( A finite sum of summands modulo a positive number with an additional
       summand is an integer.  (Contributed by Alexander van der Vekens,
       1-Sep-2018.) $)
    fsummmodsnunz $p |- ( ( A e. Fin /\ N e. NN
                             /\ A. k e. ( A u. { z } ) B e. ZZ )
                           -> sum_ k e. ( A u. { z } ) ( B mod N ) e. ZZ ) $=
      ( vx cfn wcel cn cz cv csn cmo co csu csb wa wi cvv eqeltrid cun wral w3a
      nfcv nfcsb1v csbeq1a cbvsumi snfi unfi 3ad2ant1 rspcsbela expcom 3ad2ant3
      mpan2 imp wceq csbov1g ax-mp simpr simpl zmodcld nn0zd ex 3ad2ant2 adantr
      vex mpd fsumzcl ) BGHZEIHZCJHDBAKZLZUAZUBZUCZVMCEMNZDOVMDFKZVPPZFOJVMVPVR
      DFFVPUDDVQVPUEDVQVPUFUGVOVMVRFVIVJVMGHZVNVIVLGHVSVKUHBVLUIUNUJVOVQVMHZQDV
      QCPZJHZVRJHZVOVTWBVNVIVTWBRVJVTVNWBDVQVMCJUKULUMUOVOWBWCRZVTVJVIWDVNVJWBW
      CVJWBQZVRWAEMNZJVQSHVRWFUPFVFDVQCEMSUQURWEWFWEWAEVJWBUSVJWBUTVAVBTVCVDVEV
      GVHT $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Extensible structures - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    setsidel.s $e |- ( ph -> S e. V ) $.
    setsidel.b $e |- ( ph -> B e. W ) $.
    setsidel.r $e |- R = ( S sSet <. A , B >. ) $.
    $( The injected slot is an element of the structure with replacement.
       (Contributed by AV, 10-Nov-2021.) $)
    setsidel $p |- ( ph -> <. A , B >. e. R ) $=
      ( cop cvv csn cdif cres cun wcel opex snid elun2 mp1i csts co wceq syl5eq
      setsval syl2anc eleqtrrd ) ABCKZELBMNOZUIMZPZDUIUKQUIULQAUIBCRSUIUKUJTUAA
      DEUIUBUCZULJAEFQCGQUMULUDHIBCEFGUFUGUEUH $.

    setsnidel.c $e |- ( ph -> C e. X ) $.
    setsnidel.d $e |- ( ph -> D e. Y ) $.
    setsnidel.s $e |- ( ph -> <. C , D >. e. S ) $.
    setsnidel.n $e |- ( ph -> A =/= C ) $.
    $( The injected slot is an element of the structure with replacement.
       (Contributed by AV, 10-Nov-2021.) $)
    setsnidel $p |- ( ph -> <. C , D >. e. R ) $=
      ( cvv wcel cop csn cdif cres cun elexd necomd eldifsn sylanbrc wa opelres
      wne wb syl mpbir2and elun1 csts co wceq setsval syl2anc syl5eq eleqtrrd )
      ADEUAZGSBUBUCZUDZBCUAZUBZUEZFAVDVFTZVDVITAVJDVETZVDGTZADSTDBULVKADJOUFABD
      RUGDSBUHUIQAEKTVJVKVLUJUMPVEDEGKUKUNUOVDVFVHUPUNAFGVGUQURZVINAGHTCITVMVIU
      SLMBCGHIUTVAVBVC $.
  $}

  $( The value of the structure replacement function is a set.  (Contributed by
     AV, 10-Nov-2021.) $)
  setsv $p |- ( ( S e. V /\ B e. W ) -> ( S sSet <. A , B >. ) e. _V ) $=
    ( wcel wa cop csts co cvv csn cdif cres cun setsval resexg snex a1i unexg
    syl2an2r eqeltrd ) CDFZBEFZGZCABHZIJCKALMZNZUFLZOZKABCDEPUCUHKFUDUIKFZUJKFC
    UGDQUKUEUFRSUHUIKKTUAUB $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Preimages of function values
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  According to Wikipedia ("Image (mathematics)", 17-Mar-2024,
  ~ https://en.wikipedia.org/wiki/ImageSupport_(mathematics) ): "... evaluating
  a given function ` f ` at each element of a given subset ` A ` of its domain
  produces a set, called the "image of ` A ` under (or through) ` f `".
  Similarly, the inverse image (or preimage) of a given subset ` B ` of the
  codomain of ` f ` is the set of all elements of the domain that map to the
  members of ` B ` ."  The preimage of a set ` B ` under a function ` f ` is
  often denoted as "f^-1 (B)", but in set.mm, the idiom ` ( ``' f " B ) ` is
  used.  As a special case, the idiom for the preimage of a function value at
  ` X ` under a function ` F ` is ` ( ``' F " { ( F `` X ) } ) ` (according to
  Wikipedia, the preimage of a singleton is also called a "fiber").

  We use the label fragment "preima" (as in ~ mptpreima ) for theorems about
  preimages (sometimes, also "imacnv" is used as in ~ fvimacnvi ), and
  "preimafv" (as in ~ preimafvn0 ) for theorems about preimages of a function
  value.

  In this section, ` P = { z | E. x e. A z = ( ``' F " { ( F `` x ) } ) } `
  will be the set of all preimages of function values of a function ` F `,
  that means ` S e. P ` is a preimage of a function value (see, for example,
  ~ elsetpreimafv ): ` S = ( ``' F " { ( F `` x ) } ) `.

  With the help of such a set, it is shown that every function ` F : A --> B `
  can be decomposed into a surjective and an injective function (see
  ~ fundcmpsurinj ) by constructing a surjective function ` g : A -onto-> P `
  and an injective function ` h : P -1-1-> B ` so that ` F = ( h o. g ) ` ( see
  ~ fundcmpsurinjpreimafv ).  See also Wikipedia ("Surjective function",
  17-Mar-2024, ~ https://en.wikipedia.org/wiki/Surjective_function (section
  "Composition and decomposition").  This is different from the decomposition
  of ` F ` into the surjective function ` g : A -onto-> ( F " A ) ` (with
  ` ( g `` x ) = ( F `` x ) ` for ` x e. A `) and the injective function
  ` h = ( _I |`` ( F " A ) ) `,  ( see ~ fundcmpsurinjimaid ), see also
  Wikipedia ("Bijection, injection and surjection", 17-Mar-2024,
  ~ https://en.wikipedia.org/wiki/Bijection,_injection_and_surjection (section
  "Properties").

  Finally, it is shown that every function ` F : A --> B ` can be decomposed
  into a surjective, a bijective and an injective function (see
  ~ fundcmpsurbijinj ), by showing that there is a bijection between the set of
  all preimages of values of a function and the range of the function (see
  ~ imasetpreimafvbij ).  From this, both variants of decompositions of a
  function into a surjective and an injective function can be derived:

  Let ` F = ( ( I o. B ) o. S ) ` be a decomposition of a function into a
  surjective, a bijective and an injective function, then ` F = ( J o. S ) `
  with ` J = ( I o. B ) ` (an injective function) is a decomposition into a
  surjective and an injective function corresponding to ~ fundcmpsurinj , and
  ` F = ( I o. O ) ` with ` O = ( B o. S ) ` (a surjective function) is a
  decomposition into a surjective and an injective function corresponding to
  ~ fundcmpsurinjimaid .

$)

  $( The preimage of a function value at ` X ` contains ` X ` .  (Contributed
     by AV, 7-Mar-2024.) $)
  preimafvsnel $p |- ( ( F Fn A /\ X e. A )
                       -> X e. ( `' F " { ( F ` X ) } ) ) $=
    ( wfn wcel wa ccnv cfv csn cima wceq simpr eqidd fniniseg adantr mpbir2and
    wb ) BADZCAEZFZCBGCBHZIJEZSUAUAKZRSLTUAMRUBSUCFQSAUACBNOP $.

  $( The preimage of a function value is not empty.  (Contributed by AV,
     7-Mar-2024.) $)
  preimafvn0 $p |- ( ( F Fn A /\ X e. A )
                     -> ( `' F " { ( F ` X ) } ) =/= (/) ) $=
    ( wfn wcel wa ccnv cfv csn cima preimafvsnel ne0d ) BADCAEFBGCBHIJCABCKL $.

  ${
    $d F x y $.  $d S x y $.  $d X x y $.
    $( The union of the image of a subset ` S ` of the domain of a function
       with elements having the same function value is the function value at
       one of the elements of ` S ` .  (Contributed by AV, 5-Mar-2024.) $)
    uniimafveqt $p |- ( ( F : A --> B /\ S C_ A /\ X e. S )
                       -> ( A. x e. S ( F ` x ) = ( F ` X )
                          -> U. ( F " S ) = ( F ` X ) ) ) $=
      ( vy wf wss wcel w3a cv cfv wceq wral cima cuni wa ciun wfun 3ad2ant1 syl
      ffun adantr funiunfv simp3 cbvralvw biimpi fveq2 iuneqconst syl2an eqtr3d
      fveqeq2 ex ) BCEHZDBIZFDJZKZALZEMFEMZNZADOZEDPQZUTNURVBRZGDGLZEMZSZVCUTVD
      ETZVGVCNURVHVBUOUPVHUQBCEUCUAUDGDEUEUBURUQVFUTNZGDOZVGUTNVBUOUPUQUFVBVJVA
      VIAGDUSVEUTEUMUGUHGDVFUTFVEFEUIUJUKULUN $.
  $}

  ${
    $d A x $.  $d F x $.  $d X x $.
    $( The union of the image of the preimage of a function value is the
       function value.  (Contributed by AV, 12-Mar-2024.) $)
    uniimaprimaeqfv $p |- ( ( F Fn A /\ X e. A )
                        -> U. ( F " ( `' F " { ( F ` X ) } ) ) = ( F ` X ) ) $=
      ( vx wfn wcel wa crn wf ccnv cfv csn cima wss w3a wceq wral cuni adantr
      cv dffn3 biimpi cdm cnvimass fndm sseqtrid preimafvsnel wb fniniseg simpr
      3jca syl6bi ralrimiv uniimafveqt sylc ) BAEZCAFZGZABHZBIZBJCBKZLZMZANZCVC
      FZODTZBKVAPZDVCQBVCMRVAPURUTVDVEUPUTUQUPUTABUAUBSUPVDUQUPBUCVCABVBUDABUEU
      FSABCUGUKURVGDVCURVFVCFZVFAFZVGGZVGUPVHVJUHUQAVAVFBUISVIVGUJULUMDAUSVCBCU
      NUO $.
  $}

  ${
    $d A x z $.  $d F x z $.
    setpreimafvex.p $e |- P = { z | E. x e. A z = ( `' F " { ( F ` x ) } ) } $.
    $( The class ` P ` of all preimages of function values is a set.
       (Contributed by AV, 10-Mar-2024.) $)
    setpreimafvex $p |- ( A e. V -> P e. _V ) $=
      ( wcel cv ccnv cfv csn cima wceq wrex cab cvv abrexexg eqeltrid ) CFHDBIE
      JAIEKLMZNACOBPQGABCTFRS $.

    ${
      $d S x z $.
      $( The characterization of an element of the class ` P ` of all preimages
         of function values.  (Contributed by AV, 10-Mar-2024.) $)
      elsetpreimafvb $p |- ( S e. V
                  -> ( S e. P <-> E. x e. A S = ( `' F " { ( F ` x ) } ) ) ) $=
        ( wcel cv ccnv cfv csn cima wceq wrex cab eleq2i eqeq1 rexbidv syl5bb
        elabg ) EDIEBJZFKAJFLMNZOZACPZBQZIEGIEUDOZACPZDUGEHRUFUIBEGUCEOUEUHACUC
        EUDSTUBUA $.

      $( An element of the class ` P ` of all preimages of function values.
         (Contributed by AV, 8-Mar-2024.) $)
      elsetpreimafv $p |- ( S e. P
                                 -> E. x e. A S = ( `' F " { ( F ` x ) } ) ) $=
        ( wcel ccnv cv cfv csn cima wceq wrex elsetpreimafvb ibi ) EDHEFIAJFKLM
        NACOABCDEFDGPQ $.

      $( An element of the class ` P ` of all preimages of function values is a
         subset of the domain of the function.  (Contributed by AV,
         8-Mar-2024.) $)
      elsetpreimafvssdm $p |- ( ( F Fn A /\ S e. P ) -> S C_ A ) $=
        ( wcel wfn wss ccnv cv cfv csn cima wceq wrex wi elsetpreimafv wa sseq1
        cdm cnvimass fndm sseqtrid adantr syl5ibrcom expcom rexlimiv syl impcom
        com23 ) EDHZFCIZECJZUMEFKALZFMNZOZPZACQUNUORZABCDEFGSUSUTACUPCHZUNUSUOU
        NVAUSUORUNVATUOUSURCJZUNVBVAUNFUBURCFUQUCCFUDUEUFEURCUAUGUHULUIUJUK $.

      $( There is an element in a preimage ` S ` of function values so that
         ` S ` is the preimage of the function value at this element.
         (Contributed by AV, 8-Mar-2024.) $)
      fvelsetpreimafv $p |- ( ( F Fn A /\ S e. P )
                                 -> E. x e. S S = ( `' F " { ( F ` x ) } ) ) $=
        ( wfn ccnv cv cfv csn cima wceq wrex wcel wa preimafvsnel adantrr wb ex
        eleq2 ad2antll mpbird simprr jca reximdv2 elsetpreimafv impel ) FCHZEFI
        AJZFKLMZNZACOUMAEOEDPUJUMUMACEUJUKCPZUMQZUKEPZUMQUJUOQZUPUMUQUPUKULPZUJ
        UNURUMCFUKRSUMUPURTUJUNEULUKUBUCUDUJUNUMUEUFUAUGABCDEFGUHUI $.
    $}

    ${
      $d X x z $.
      $( The preimage of a function value is an element of the class ` P ` of
         all preimages of function values.  (Contributed by AV,
         10-Mar-2024.) $)
      preimafvelsetpreimafv $p |- ( ( F Fn A /\ A e. V /\ X e. A )
                                    -> ( `' F " { ( F ` X ) } ) e. P ) $=
        ( wfn wcel w3a ccnv cfv csn cima cv wceq wrex wb cvv fveq2 sneqd eqeq2d
        id imaeq2d adantl eqidd rspcedvd 3ad2ant3 wa fnex cnvexg imaexg 3adant3
        3syl elsetpreimafvb syl mpbird ) ECIZCFJZGCJZKZELZGEMZNZOZDJZVFVCAPZEMZ
        NZOZQZACRZVAUSVMUTVAVLVFVFQZAGCVAUDVHGQZVLVNSVAVOVKVFVFVOVJVEVCVOVIVDVH
        GEUAUBUEUCUFVAVFUGUHUIVBVFTJZVGVMSUSUTVPVAUSUTUJETJVCTJVPCFEUKETULVCVET
        UMUOUNABCDVFETHUPUQUR $.
    $}

    ${
      $d A s z $.  $d F s $.  $d P s x $.
      $( The class ` P ` of all preimages of function values is a subset of the
         power set of the domain of the function.  (Contributed by AV,
         5-Mar-2024.) $)
      preimafvsspwdm $p |- ( F Fn A -> P C_ ~P A ) $=
        ( vs wfn cv wss wral cpw elsetpreimafvssdm ralrimiva pwssb sylibr ) ECH
        ZGIZCJZGDKDCLJQSGDABCDREFMNGDCOP $.
    $}

    $( The empty set is not an element of the class ` P ` of all preimages of
       function values.  (Contributed by AV, 6-Mar-2024.) $)
    0nelsetpreimafv $p |- ( F Fn A -> (/) e/ P ) $=
      ( wfn c0 wcel wn wnel ccnv cv cfv csn cima wceq wral sylibr cvv ralrimiva
      wrex wa preimafvsnel n0i ralnex eqcom notbii ralbii bitr3i elsetpreimafvb
      syl wb 0ex ax-mp sylnibr df-nel ) ECGZHDIZJHDKURHELAMZENOPZQZACUBZUSURVAH
      QZJZACRZVCJZURVEACURUTCIUCUTVAIVECEUTUDVAUTUEULUAVGVBJZACRVFVBACUFVHVEACV
      BVDHVAUGUHUIUJSHTIUSVCUMUNABCDHETFUKUOUPHDUQS $.

    ${
      $d S x z $.  $d X x $.  $d Y x $.
      $( An element of the preimage of a function value is an element of the
         domain of the function with the same value as another element of the
         preimage.  (Contributed by AV, 9-Mar-2024.) $)
      elsetpreimafvbi $p |- ( ( F Fn A /\ S e. P /\ X e. S )
                     -> ( Y e. S <-> ( Y e. A /\ ( F ` Y ) = ( F ` X ) ) ) ) $=
        ( wfn wcel cfv wceq wa wb ccnv cv wi fniniseg eleq2 csn cima wrex eqeq2
        anbi2d eqcoms sylan9bb ex adantld sylbid bibi1d rexlimivw elsetpreimafv
        imbi12d syl5ibr syl11 3imp ) FCJZEDKZGEKZHEKZHCKZHFLZGFLZMZNZOZEFPAQFLZ
        UAUBZMZACUCURUTVGRZUSVJURVKRACURVKVJGVIKZHVIKZVFOZRURVLGCKZVDVHMZNVNCVH
        GFSURVPVNVOURVPVNURVMVBVCVHMZNZVPVFCVHHFSVRVFOVHVDVHVDMVQVEVBVHVDVCUDUE
        UFUGUHUIUJVJUTVLVGVNEVIGTVJVAVMVFEVIHTUKUNUOULABCDEFIUMUPUQ $.

      $( The elements of the preimage of a function value have the same
         function values.  (Contributed by AV, 5-Mar-2024.) $)
      elsetpreimafveqfv $p |- ( ( F Fn A /\ ( S e. P /\ X e. S /\ Y e. S ) )
                                -> ( F ` X ) = ( F ` Y ) ) $=
        ( wfn wcel cfv wceq wi w3a wa elsetpreimafvbi simpr eqcomd syl6bi 3imp2
        3exp ) FCJZEDKZGEKZHEKZGFLZHFLZMZUCUDUEUFUINUCUDUEOUFHCKZUHUGMZPZUIABCD
        EFGHIQULUHUGUJUKRSTUBUA $.

      $( If an element of the domain of the function has the same function
         value as an element of the preimage of a function value, then it is an
         element of the same preimage.  (Contributed by AV, 9-Mar-2024.) $)
      eqfvelsetpreimafv $p |- ( ( F Fn A /\ S e. P /\ X e. S )
                      -> ( ( Y e. A /\ ( F ` Y ) = ( F ` X ) ) -> Y e. S ) ) $=
        ( wfn wcel w3a cfv wceq wa elsetpreimafvbi biimprd ) FCJEDKGEKLHEKHCKHF
        MGFMNOABCDEFGHIPQ $.
    $}

    ${
      $d A y $.  $d F y $.  $d P y $.  $d S x z $.  $d S y $.  $d X x y $.
      $( An element of the preimage of a function value expressed as a
         restricted class abstraction.  (Contributed by AV, 9-Mar-2024.) $)
      elsetpreimafvrab $p |- ( ( F Fn A /\ S e. P /\ X e. S )
                                -> S = { x e. A | ( F ` x ) = ( F ` X ) } ) $=
        ( vy wfn wcel w3a cv cfv wceq crab wa elsetpreimafvbi fveqeq2 elrab
        bitr4di eqrdv ) FCJEDKGEKLZIEAMZFNGFNZOZACPZUCIMZEKUHCKUHFNUEOZQUHUGKAB
        CDEFGUHHRUFUIAUHCUDUHUEFSTUAUB $.

      $d P x y $.
      $( The image of an element of the preimage of a function value is the
         singleton consisting of the function value at one of its elements.
         (Contributed by AV, 5-Mar-2024.) $)
      imaelsetpreimafv $p |- ( ( F Fn A /\ S e. P /\ X e. S )
                                -> ( F " S ) = { ( F ` X ) } ) $=
        ( vy wcel w3a cv cfv csn cima wceq wrex wa 3adant3 3ad2ant1 fveq2 sneqd
        wfn ccnv fvelsetpreimafv imaeq2d eqeq2d cbvrexvw sylibr imaeq2 3ad2ant3
        crn cin fnfun funimacnv syl elsetpreimafvbi wi wss fnfvelrn snssd df-ss
        wfun sylib simp3 eqtrd 3expib sylbid imp 3eqtrd rexlimdv3a mpd ) FCUCZE
        DJZGEJZKZEFUDZILZFMZNZOZPZIEQZFEOZGFMZNZPZVMVNWCVOVMVNREVQALZFMZNZOZPZA
        EQWCABCDEFHUEWBWLIAEVRWHPZWAWKEWMVTWJVQWMVSWIVRWHFUAUBUFUGUHUISVPWBWGIE
        VPVREJZWBKWDFWAOZVTFULZUMZWFWBVPWDWOPWNEWAFUJUKVPWNWOWQPZWBVMVNWRVOVMFV
        CWRCFUNVTFUOUPTTVPWNWQWFPZWBVPWNWSVPWNVRCJZVSWEPZRZWSABCDEFGVRHUQVMVNXB
        WSURVOVMWTXAWSVMWTXAKZWQVTWFVMWTWQVTPZXAVMWTRZVTWPUSXDXEVSWPCVRFUTVAVTW
        PVBVDSXCVSWEVMWTXAVEUBVFVGTVHVISVJVKVL $.

      $( The union of the image of an element of the preimage of a function
         value is an element of the range of the function.  (Contributed by AV,
         5-Mar-2024.)  (Revised by AV, 22-Mar-2024.) $)
      uniimaelsetpreimafv $p |- ( ( F Fn A /\ S e. P )
                                  -> U. ( F " S ) e. ran F ) $=
        ( vy wfn wcel wa cv cima cuni crn wex c0 wnel wi 0nelsetpreimafv wne n0
        elnelne2 sylib expcom syl imp cfv csn wceq imaelsetpreimafv unieqd fvex
        3expa unisn eqtrdi wf biimpi ad2antrr elsetpreimafvssdm sselda ffvelrnd
        dffn3 eqeltrd exlimddv ) FCIZEDJZKZHLZEJZFEMZNZFOZJHVFVGVJHPZVFQDRZVGVN
        SABCDFGTVGVOVNVGVOKEQUAVNEQDUCHEUBUDUEUFUGVHVJKZVLVIFUHZVMVPVLVQUIZNVQV
        PVKVRVFVGVJVKVRUJABCDEFVIGUKUNULVQVIFUMUOUPVPCVMVIFVFCVMFUQZVGVJVFVSCFV
        CURUSVHECVIABCDEFGUTVAVBVDVE $.
    $}

    ${
      $d R x z $.  $d S x z $.  $d X x $.  $d Y x $.
      $( If two preimages of function values contain elements with identical
         function values, then both preimages are equal.  (Contributed by AV,
         8-Mar-2024.) $)
      elsetpreimafveq $p |- ( ( F Fn A /\ ( S e. P /\ R e. P )
                                                 /\ ( X e. S /\ Y e. R ) )
                                 -> ( ( F ` X ) = ( F ` Y ) -> S = R ) ) $=
        ( wcel wa w3a cfv wceq crab simpl 3anim123i adantr elsetpreimafvrab wfn
        cv eqeq2 rabbidv adantl id syl simpr 3eqtr4d ex ) GCUAZFDKZEDKZLZHFKZIE
        KZLZMZHGNZIGNZOZFEOURVALZAUBGNZUSOZACPZVCUTOZACPZFEVAVEVGOURVAVDVFACUSU
        TVCUCUDUEVBUKULUOMZFVEOURVHVAUKUKUNULUQUOUKUFZULUMQUOUPQRSABCDFGHJTUGVB
        UKUMUPMZEVGOURVJVAUKUKUNUMUQUPVIULUMUHUOUPUHRSABCDEGIJTUGUIUJ $.
    $}
  $}

  ${
    $d A x z $.  $d F x z $.
    fundcmpsurinj.p $e |- P = { z | E. x e. A z = ( `' F " { ( F ` x ) } ) } $.
    ${
      fundcmpsurinj.g $e |- G = ( x e. A |-> ( `' F " { ( F ` x ) } ) ) $.
      $( Lemma 1 for ~ fundcmpsurinj .  (Contributed by AV, 4-Mar-2024.) $)
      fundcmpsurinjlem1 $p |- ran G = P $=
        ( crn cv ccnv cfv csn cima wceq wrex cab rnmpt eqtr4i ) FIBJEKAJELMNZOA
        CPBQDABCTFHRGS $.

      $d V x $.
      $( Lemma 2 for ~ fundcmpsurinj .  (Contributed by AV, 4-Mar-2024.) $)
      fundcmpsurinjlem2 $p |- ( ( F Fn A /\ A e. V ) -> G : A -onto-> P ) $=
        ( wfn wcel wa crn wceq wfo ccnv cv cfv csn cvv cima wral fnex ralrimivw
        cnvexg imaexg 3syl fnmpt syl fundcmpsurinjlem1 df-fo sylanblrc ) ECJCGK
        LZFCJZFMDNCDFOUMEPZAQERSZUAZTKZACUBUNUMURACUMETKUOTKURCGEUCETUEUOUPTUFU
        GUDACUQFTIUHUIABCDEFHIUJCDFUKUL $.
    $}

    ${
      $d F p $.  $d P p $.  $d X p $.
      fundcmpsurinj.h $e |- H = ( p e. P |-> U. ( F " p ) ) $.
      $( Lemma 3 for ~ fundcmpsurinj .  (Contributed by AV, 3-Mar-2024.) $)
      fundcmpsurinjlem3 $p |- ( ( Fun F /\ X e. P )
                                -> ( H ` X ) = U. ( F " X ) ) $=
        ( wfun wcel wa cv cima cuni cvv cmpt wceq a1i imaeq2 unieqd funimaexg
        adantl simpr uniexd fvmptd ) EKZGDLZMZHGEHNZOZPZEGOZPZDFQFHDUMRSUJJTUKG
        SZUMUOSUJUPULUNUKGEUAUBUDUHUIUEUJUNQEGDUCUFUG $.

      $d A p x z $.  $d P x $.
      $( Lemma for ~ imasetpreimafvbij : the mapping ` H ` is a function into
         the range of function ` F ` .  (Contributed by AV, 22-Mar-2024.) $)
      imasetpreimafvbijlemf $p |- ( F Fn A -> H : P --> ( F " A ) ) $=
        ( wfn cv cima cuni wcel wa crn uniimaelsetpreimafv wceq fnima adantr
        eleqtrrd fmptd ) ECJZGDEGKZLMZECLZFUCUDDNZOUEEPZUFABCDUDEHQUCUFUHRUGCES
        TUAIUB $.

      $d A y $.  $d F y $.  $d P y $.  $d X x y $.  $d Y p $.  $d Y x y $.
      $d Y z $.
      $( Lemma for ~ imasetpreimafvbij : the value of the mapping ` H ` at a
         preimage of a value of function ` F ` .  (Contributed by AV,
         5-Mar-2024.) $)
      imasetpreimafvbijlemfv $p |- ( ( F Fn A /\ Y e. P /\ X e. Y )
                                -> ( H ` Y ) = ( F ` X ) ) $=
        ( vy wfn wcel w3a cfv cima wa wceq syl cuni cv ciun wfun anim1i 3adant3
        fnfun fundcmpsurinjlem3 3ad2ant1 funiunfv wral simpl1 elsetpreimafveqfv
        simp3 simpl2 simpr simpl3 syl13anc ralrimiva iuneqconst syl2anc 3eqtr2d
        fveq2 ) ECMZHDNZGHNZOZHFPZEHQUAZLHLUBZEPZUCZGEPZVGEUDZVERZVHVISVDVEVOVF
        VDVNVECEUGZUEUFABCDEFHIJKUHTVGVNVLVISVDVEVNVFVPUILHEUJTVGVFVKVMSZLHUKVL
        VMSVDVEVFUNVGVQLHVGVJHNZRVDVEVRVFVQVDVEVFVRULVDVEVFVRUOVGVRUPVDVEVFVRUQ
        ABCDHEVJGJUMURUSLHVKVMGVJGEVCUTVAVB $.

      $d X z $.  $d p y $.
      $( Lemma for ~ imasetpreimafvbij : for a preimage of a value of function
         ` F ` there is an element of the preimage so that the value of the
         mapping ` H ` at this preimage is the function value at this element.
         (Contributed by AV, 5-Mar-2024.) $)
      imasetpreimafvbijlemfv1 $p |- ( ( F Fn A /\ X e. P )
                                      -> E. y e. X ( H ` X ) = ( F ` y ) ) $=
        ( wfn wcel wa c0 wne cfv cv wceq wex wrex wnel 0nelsetpreimafv elnelne2
        wi expcom syl imp simpr imasetpreimafvbijlemfv 3expa jca eximdv 3imtr4g
        ex n0 df-rex mpd ) FDLZHEMZNZHOPZHGQBRZFQSZBHUAZUSUTVBUSOEUBZUTVBUEACDE
        FJUCUTVFVBHOEUDUFUGUHVAVCHMZBTVGVDNZBTVBVEVAVGVHBVAVGVHVAVGNVGVDVAVGUIU
        SUTVGVDACDEFGVCHIJKUJUKULUOUMBHUPVDBHUQUNUR $.

      $d A a b r s x $.  $d A r s z $.  $d F a b p r s $.  $d H a b r s $.
      $d P a b r s $.
      $( Lemma for ~ imasetpreimafvbij : the mapping ` H ` is an injective
         function into the range of function ` F ` .  (Contributed by AV,
         9-Mar-2024.)  (Revised by AV, 22-Mar-2024.) $)
      imasetpreimafvbijlemf1 $p |- ( F Fn A -> H : P -1-1-> ( F " A ) ) $=
        ( vs vr vb va cv cfv wceq wi wral wcel wa cima wf imasetpreimafvbijlemf
        wfn wf1 wrex imasetpreimafvbijlemfv1 anim12dan wb eqeq12 ancoms simplll
        adantl simpllr simpr anim1i elsetpreimafveq syl3anc adantr sylbid exp32
        rexlimdva com23 impd mpd ralrimivva dff13 sylanbrc ) ECUDZDECUAZFUBJNZF
        OZKNZFOZPZVKVMPZQZKDRJDRDVJFUEABCDEFGHIUCVIVQJKDDVIVKDSZVMDSZTZTZVLLNZE
        OZPZLVKUFZVNMNZEOZPZMVMUFZTVQVIVRWEVSWIALBCDEFVKGHIUGAMBCDEFVMGHIUGUHWA
        WEWIVQWAWDWIVQQLVKWAWBVKSZTZWIWDVQWKWHWDVQQMVMWKWFVMSZTZWHWDVQWMWHWDTZT
        VOWCWGPZVPWNVOWOUIZWMWDWHWPVLWCVNWGUJUKUMWMWOVPQZWNWMVIVTWJWLTWQVIVTWJW
        LULVIVTWJWLUNWKWJWLWAWJUOUPABCDVMVKEWBWFHUQURUSUTVAVBVCVBVDVEVFJKDVJFVG
        VH $.

      $d V a p y $.  $d a z $.
      $( Lemma for ~ imasetpreimafvbij : the mapping ` H ` is a function onto
         the range of function ` F ` .  (Contributed by AV, 22-Mar-2024.) $)
      imasetpreimafvbijlemfo $p |- ( ( F Fn A /\ A e. V )
                                     -> H : P -onto-> ( F " A ) ) $=
        ( va vy wcel wa cima wceq adantr cv cfv wrex imasetpreimafvbijlemf cuni
        wfn wf crn wfo cab csn preimafvelsetpreimafv 3expa imaeq2 unieqd eqeq2d
        ccnv wb adantl uniimaprimaeqfv adantlr eqcomd rspcedvd eqeq1 syl5ibrcom
        eqcoms rexbidv rexlimdva sylan9eq ex reximdva elsetpreimafv fveq2 sneqd
        imaeq2d cbvrexvw sylibr impel eqeq2 impbid abbidv cdm wss fnfun eqimss2
        wfun fndm syl jca dfimafn rnmpt a1i 3eqtr4rd dffo2 sylanbrc ) ECUCZCGMZ
        NZDECOZFUDZFUEZWPPDWPFUFWMWQWNABCDEFHIJUAQWOKRZESZLRZPZKCTZLUGZXAEHRZOZ
        UBZPZHDTZLUGZWPWRWOXCXILWOXCXIWOXBXIKCWOWSCMZNZXIXBWTXGPZHDTXLXMWTEEUNZ
        WTUHZOZOZUBZPZHXPDWMWNXKXPDMABCDEGWSIUIUJXEXPPZXMXSUOXLXTXGXRWTXTXFXQXE
        XPEUKULZUMUPXLXRWTWMXKXRWTPWNCEWSUQURUSZUTXBXHXMHDXHXMUOXAWTXAWTXGVAVCV
        DVBVEWOXHXCHDWOXEDMZNXCXHXMKCTZWOXTKCTZYDYCWOXTXMKCXLXTXMXLXTWTXRXGYBXT
        XGXRYAUSVFVGVHYCXEXNARZESZUHZOZPZACTYEABCDXEEIVIXTYJKACWSYFPZXPYIXEYKXO
        YHXNYKWTYGWSYFEVJVKVLUMVMVNVOXHXBXMKCXAXGWTVPVDVBVEVQVRWOEWCZCEVSZVTZNZ
        WPXDPWMYOWNWMYLYNCEWAWMYMCPYNCEWDCYMWBWEWFQKLCEWGWEWRXJPWOHLDXGFJWHWIWJ
        DWPFWKWL $.

      $( The mapping ` H ` is a bijective function betwen the set ` P ` of all
         preimages of values of function ` F ` and the range of ` F ` .
         (Contributed by AV, 22-Mar-2024.) $)
      imasetpreimafvbij $p |- ( ( F Fn A /\ A e. V )
                                -> H : P -1-1-onto-> ( F " A ) ) $=
        ( wfn wcel wa cima imasetpreimafvbijlemf1 adantr imasetpreimafvbijlemfo
        wf1 wfo wf1o df-f1o sylanbrc ) ECKZCGLZMDECNZFRZDUEFSDUEFTUCUFUDABCDEFH
        IJOPABCDEFGHIJQDUEFUAUB $.
    $}

    $d A a x z $.  $d A i $.  $d A g h y $.  $d B a g h i $.  $d B x y z $.
    $d F a i y $.  $d F g h $.  $d P a i $.  $d P g h x y $.  $d V a $.
    $d V x y $.
    $( Every function ` F : A --> B ` can be decomposed into a surjective
       function onto ` P ` , a bijective function from ` P ` and an injective
       function into the codomain of ` F ` .  (Contributed by AV,
       22-Mar-2024.) $)
    fundcmpsurbijinjpreimafv $p |- ( ( F : A --> B /\ A e. V )
           -> E. g E. h E. i ( ( g : A -onto-> P /\ h : P -1-1-onto-> ( F " A )
                  /\ i : ( F " A ) -1-1-> B ) /\ F = ( ( i o. h ) o. g ) ) ) $=
      ( va vy wcel cv cfv cima cmpt cvv wceq wf ccnv csn cuni cid cres w3a wf1o
      wa wfo wf1 ccom wex simpr mptexd setpreimafvex adantl wfun ffun funimaexg
      sylan resiexd 3jca wfn fveq2 sneqd imaeq2d cbvmptv fundcmpsurinjlem2 eqid
      ffn imasetpreimafvbij wi f1oi f1of1 wss fimass f1ss sylan2 ex mp2b adantr
      uniimaprimaeqfv fveq2d mpteq2dva crn funfvima2d fvresi syl eqtrd ad2antrr
      ffrn preimafvelsetpreimafv syl3anc eqidd imaeq2 unieqd fmptco dffn5 sylib
      3eqtr4rd f1of fnima eqcomd feq2d mpbird uniimaelsetpreimafv cofmpt coeq1d
      mp1i jca wb foeq1 3ad2ant1 f1oeq1 3ad2ant2 f1eq1 3ad2ant3 3anbi123d simp3
      simp2 coeq12d simp1 eqeq2d anbi12d spc3egv sylc ) CDIUAZCJNZUIZLCIUBZLOZI
      PZUCZQZRZSNZMEIMOZQZUDZRZSNZUEICQZUFZSNZUGCEYPUJZEUUCUUAUHZUUCDUUDUKZUGZI
      UUDUUAULZYPULZTZUIZCEFOZUJZEUUCGOZUHZUUCDHOZUKZUGZIUURUUPULZUUNULZTZUIZHU
      MGUMFUMYJYQUUBUUEYJLCYOJYHYIUNZUOYJMEYTSYIESNYHABCEIJKUPUQUOYJUUCSYHIURYI
      UUCSNCDIUSICJUTVAVBVCYJUUIUULYJUUFUUGUUHYHICVDZYIUUFCDIVKZABCEIYPJKLACYOY
      KAOZIPZUCZQYLUVHTZYNUVJYKUVKYMUVIYLUVHIVEVFVGVHVIVAYHUVFYIUUGUVGABCEIUUAJ
      MKUUAVJVLVAYHUUHYIUUCUUCUUDUHZUUCUUCUUDUKZYHUUHVMUUCVNZUUCUUCUUDVOUVMYHUU
      HYHUVMUUCDVPUUHCDICVQUUCUUCDUUDVRVSVTWAWBVCYJIMEYTUUDPZRZYPULZUUKYJLCIYOQ
      ZUDZUUDPZRZLCYMRZUVQIYJUWALCYMUUDPZRUWBYJLCUVTUWCYJYLCNZUIZUVSYMUUDYJUVFU
      WDUVSYMTYHUVFYIUVGWBZCIYLWCVAWDWEYJLCUWCYMUWEYMUUCNUWCYMTYJCIWFZIYLYHCUWG
      IUAYICDIWLWBWGUUCYMWHWIWEWJYJLMCEYOUVOUVTYPUVPUWEUVFYIUWDYOENYHUVFYIUWDUV
      GWKYJYIUWDUVEWBYJUWDUNABCEIJYLKWMWNYJYPWOYJUVPWOYRYOTZYTUVSUUDUWHYSUVRYRY
      OIWPWQWDWRYHIUWBTZYIYHUVFUWIUVGLCIWSWTWBXAYJUVPUUJYPYJUVFUVPUUJTUWFUVFUUJ
      UVPUVFMEYTUWGUUCUUDUVFUWGUUCUUDUAUUCUUCUUDUAZUVLUWJUVFUVNUUCUUCUUDXBXJUVF
      UWGUUCUUCUUDUVFUUCUWGCIXCXDXEXFABCEYRIKXGXHXDWIXIWJXKUVDUUMFGHYPUUAUUDSSS
      UUNYPTZUUPUUATZUURUUDTZUGZUUTUUIUVCUULUWNUUOUUFUUQUUGUUSUUHUWKUWLUUOUUFXL
      UWMCEUUNYPXMXNUWLUWKUUQUUGXLUWMEUUCUUPUUAXOXPUWMUWKUUSUUHXLUWLUUCDUURUUDX
      QXRXSUWNUVBUUKIUWNUVAUUJUUNYPUWNUURUUDUUPUUAUWKUWLUWMXTUWKUWLUWMYAYBUWKUW
      LUWMYCYBYDYEYFYG $.

    $d A f g j x $.  $d B f h j $.  $d F f j $.  $d P f j $.  $d V f g j $.
    $( Every function ` F : A --> B ` can be decomposed into a surjective
       function onto ` P ` and an injective function from ` P ` .  (Contributed
       by AV, 12-Mar-2024.)  (Proof shortened by AV, 22-Mar-2024.) $)
    fundcmpsurinjpreimafv $p |- ( ( F : A --> B /\ A e. V ) -> E. g E. h
                  ( g : A -onto-> P /\ h : P -1-1-> B /\ F = ( h o. g ) ) ) $=
      ( vf vj wcel wa cv wf1 w3a ccom wceq wex wf cima fundcmpsurbijinjpreimafv
      wfo wf1o cvv vex coex simprl1 simp3 3ad2ant2 f1co syl2anc ad2antrl simprr
      f1of1 3jca f1eq1 coeq1 eqeq2d 3anbi23d spcegv mpsyl exlimdvv eximdv mpd
      ex ) CDHUACIMNZCEFOZUDZEHCUBZKOZUEZVKDLOZPZQZHVNVLRZVIRZSZNZLTKTZFTVJEDGO
      ZPZHWBVIRZSZQZGTZFTABCDEFKLHIJUCVHWAWGFVHVTWGKLVHVTWGVQUFMVHVTNZVJEDVQPZV
      SQZWGVNVLLUGKUGUHWHVJWIVSVJVMVOVSVHUIVPWIVHVSVPVOEVKVLPZWIVJVMVOUJVMVJWKV
      OEVKVLUPUKEVKDVNVLULUMUNVHVPVSUOUQWFWJGVQUFWBVQSZWCWIWEVSVJEDWBVQURWLWDVR
      HWBVQVIUSUTVAVBVCVGVDVEVF $.
  $}

  ${
    $d A g h p x y z $.  $d B g h p x y z $.  $d F g h p x y z $.
    $d V g x y $.
    $( Every function ` F : A --> B ` can be decomposed into a surjective and
       an injective function.  (Contributed by AV, 13-Mar-2024.) $)
    fundcmpsurinj $p |- ( ( F : A --> B /\ A e. V ) -> E. g E. h E. p
                   ( g : A -onto-> p /\ h : p -1-1-> B /\ F = ( h o. g ) ) ) $=
      ( vz vx vy wcel cv wfo wf1 wceq w3a wex cfv csn cima wf wa ccom ccnv wrex
      cab cvv abrexexg adantl fveq2 sneqd eqeq2d cbvrexvw fundcmpsurinjpreimafv
      imaeq2d abbii foeq3 f1eq2 3anbi12d 2exbidv spcedv exrot3 sylib ) ABEUAZAF
      KZUBZAGLZCLZMZVGBDLZNZEVJVHUCOZPZDQCQZGQVMGQDQCQVFVNAHLZEUDZILZERZSZTZOZI
      AUEZHUFZVHMZWCBVJNZVLPZDQCQGUGWCVEWCUGKVDIHAVTFUHUIJHABWCCDEFWBVOVPJLZERZ
      SZTZOZJAUEHWAWKIJAVQWGOZVTWJVOWLVSWIVPWLVRWHVQWGEUJUKUOULUMUPUNVGWCOZVMWF
      CDWMVIWDVKWEVLVGWCAVHUQVGWCBVJURUSUTVAVMGCDVBVC $.

    $d A g h i p q x y z $.  $d B i q $.  $d F i q $.
    $( Every function ` F : A --> B ` can be decomposed into a surjective, a
       bijective and an injective function.  (Contributed by AV,
       23-Mar-2024.) $)
    fundcmpsurbijinj $p |- ( ( F : A --> B /\ A e. V )
         -> E. g E. h E. i E. p E. q ( ( g : A -onto-> p /\ h : p -1-1-onto-> q
                          /\ i : q -1-1-> B ) /\ F = ( ( i o. h ) o. g ) ) ) $=
      ( vz vy vx wcel wa cv wceq wex cima cvv wb wfo wf1o wf1 w3a ccom ccnv cfv
      wf csn wrex wfun ffun funimaexg sylan abrexexg adantl fveq2 sneqd imaeq2d
      eqeq2d cbvrexvw abbii fundcmpsurbijinjpreimafv foeq3 f1oeq23 ancoms f1eq2
      cab adantr 3anbi123d anbi1d 3exbidv spc2egv syl21anc exrot4 excom13 bitri
      imp 2exbii sylib ) ABFUHZAGMZNZAIOZCOZUAZWDHOZDOZUBZWGBEOZUCZUDZFWJWHUEWE
      UEPZNZEQZDQCQZIQHQZWNHQIQEQZDQCQZWCFARZSMZJOZFUFZKOZFUGZUIZRZPZKAUJZJVHZS
      MZAXJWEUAZXJWTWHUBZWTBWJUCZUDZWMNZEQDQCQZWQWAFUKWBXAABFULFAGUMUNWBXKWAKJA
      XGGUOUPLJABXJCDEFGXIXBXCLOZFUGZUIZRZPZLAUJJXHYBKLAXDXRPZXGYAXBYCXFXTXCYCX
      EXSXDXRFUQURUSUTVAVBVCXAXKNXQWQWPXQHIWTXJSSWGWTPZWDXJPZNZWNXPCDEYFWLXOWMY
      FWFXLWIXMWKXNYEWFXLTYDWDXJAWEVDUPYEYDWIXMTWDXJWGWTWHVEVFYDWKXNTYEWGWTBWJV
      GVIVJVKVLVMVRVNWQWOIQHQZDQCQWSWOHICDVOYGWRCDWNHIEVPVSVQVT $.
  $}

  ${
    $d A x $.  $d B x $.  $d F x $.  $d H x $.  $d I x $.
    fundcmpsurinjimaid.i $e |- I = ( F " A ) $.
    fundcmpsurinjimaid.g $e |- G = ( x e. A |-> ( F ` x ) ) $.
    fundcmpsurinjimaid.h $e |- H = ( _I |` I ) $.
    $( Every function ` F : A --> B ` can be decomposed into a surjective
       function onto the image ` ( F " A ) ` of the domain of ` F ` and an
       injective function from the image ` ( F " A ) ` .  (Contributed by AV,
       17-Mar-2024.) $)
    fundcmpsurinjimaid $p |- ( F : A --> B
                -> ( G : A -onto-> I /\ H : I -1-1-> B /\ F = ( H o. G ) ) ) $=
      ( wf wfo wf1 ccom wceq cfv cmpt syl5eq a1i ax-mp cima fimadmfo cv wfn ffn
      dffn5 sylib eqcomd eqidd foeq123d mpbird cid cres wf1o wi f1of1 wss f1eq1
      f1oi wb biimpri fimass eqsstrid f1ss syl2an ex mp2b wcel wa fveq1i adantr
      simpr fnfvimad eleqtrrdi fvresi syl mpteq2dva coeq2i feq1i mpbir 3eqtr4rd
      f1of cofmpt 3jca ) BCDKZBGELZGCFMZDFENZOWEWFBDBUAZDLBCDUBWEBBGWIEDWEEABAU
      CZDPZQZDIWEDWLWEDBUDZDWLOBCDUEZABDUFUGZUHRWEBUIGWIOWEHSUJUKGGULGUMZUNZGGW
      PMZWEWGUOGUSZGGWPUPWRWEWGWRGGFMZGCUQWGWEWTWRFWPOWTWRUTJGGFWPURTVAWEGWICHB
      CDBVBVCGGCFVDVEVFVGWEABWKFPZQZWLWHDWEABXAWKWEWJBVHZVIZXAWKWPPZWKWKFWPJVJX
      DWKGVHXEWKOXDWKWIGXDBWJBDWEWMXCWNVKWEXCVLZXFVMHVNZGWKVOVPRVQWEWHFWLNXBEWL
      FIVRWEABWKGGFGGFKZWEXHGGWPKZWQXIWSGGWPWBTGGFWPJVSVTSXGWCRWOWAWD $.
  $}

  ${
    $d A g h p y $.  $d B g h p y $.  $d F g h p y $.
    $( Alternate proof of ~ fundcmpsurinj , based on ~ fundcmpsurinjimaid :
       Every function ` F : A --> B ` can be decomposed into a surjective and
       an injective function.  (Proof modification is discouraged.)
       (New usage is discouraged.)  (Contributed by AV, 13-Mar-2024.) $)
    fundcmpsurinjALT $p |- ( ( F : A --> B /\ A e. V ) -> E. g E. h E. p
                   ( g : A -onto-> p /\ h : p -1-1-> B /\ F = ( h o. g ) ) ) $=
      ( vy wcel wa cv cvv w3a wfo wf1 ccom wceq wex eqid eqidd wf cfv cmpt cima
      cid cres mptexg wfun ffun funimaexg sylan resiexd 3jca fundcmpsurinjimaid
      adantl adantr simp1 simp3 foeq123d wb simpl simpr f1eq123d 3adant1 ancoms
      coeq12d 3adant3 eqeq2d 3anbi123d spc3egv sylc ) ABEUAZAFIZJZHAHKEUBZUCZLI
      ZUEEAUDZUFZLIZVRLIZMAVRVPNZVRBVSOZEVSVPPZQZMZAGKZCKZNZWGBDKZOZEWJWHPZQZMZ
      GRDRCRVNVQVTWAVMVQVLHAVOFUGUOVNVRLVLEUHVMWAABEUIEAFUJUKZULWOUMVLWFVMHABEV
      PVSVRVRSVPSVSSUNUPWNWFCDGVPVSVRLLLWHVPQZWJVSQZWGVRQZMZWIWBWKWCWMWEWSAAWGV
      RWHVPWPWQWRUQWSATWPWQWRURUSWQWRWKWCUTWPWQWRJZWGVRBBWJVSWQWRVAWQWRVBWTBTVC
      VDWSWLWDEWPWQWLWDQZWRWQWPXAWQWPJWJVSWHVPWQWPVAWQWPVBVFVEVGVHVIVJVK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Partitions of real intervals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Based on the theorems of the fourierdlem* series of GS's mathbox.

$)

  $c RePart $.

  $( Extend class notation with the partitions of a closed interval of extended
     reals. $)
  ciccp $a class RePart $.

  ${
    $d i m p $.
    $( Define partitions of a closed interval of extended reals.  Such
       partitions are finite increasing sequences of extended reals.
       (Contributed by AV, 8-Jul-2020.) $)
    df-iccp $a |- RePart = ( m e. NN |-> { p e. ( RR* ^m ( 0 ... m ) ) |
                       A. i e. ( 0 ..^ m ) ( p ` i ) < ( p ` ( i + 1 ) ) } ) $.

    $d M i m p $.
    $( Partition consisting of a fixed number ` M ` of parts.  (Contributed by
       AV, 9-Jul-2020.) $)
    iccpval $p |- ( M e. NN -> ( RePart ` M ) = { p e. ( RR* ^m ( 0 ... M ) ) |
                       A. i e. ( 0 ..^ M ) ( p ` i ) < ( p ` ( i + 1 ) ) } ) $=
      ( vm cv cfv c1 caddc co clt wbr cc0 cfzo wral cxr cfz cmap crab cn oveq2
      ciccp wceq oveq2d raleqdv rabeqbidv df-iccp ovex rabex fvmpt ) DBAEZCEZFU
      JGHIUKFJKZALDEZMIZNZCOLUMPIZQIZRULALBMIZNZCOLBPIZQIZRSUAUMBUBZUOUSCUQVAVB
      UPUTOQUMBLPTUCVBULAUNURUMBLMTUDUEADCUFUSCVAOUTQUGUHUI $.

    $d P i p $.
    $( A special partition.  Corresponds to ~ fourierdlem2 in GS's mathbox.
       (Contributed by AV, 9-Jul-2020.) $)
    iccpart $p |- ( M e. NN -> ( P e. ( RePart ` M )
             <-> ( P e. ( RR* ^m ( 0 ... M ) )
                  /\ A. i e. ( 0 ..^ M ) ( P ` i ) < ( P ` ( i + 1 ) ) ) ) ) $=
      ( vp cn wcel ciccp cfv cv c1 caddc co clt wbr cc0 cfzo wral cxr cfz fveq1
      cmap crab wa iccpval eleq2d wceq breq12d ralbidv elrab bitrdi ) CEFZACGHZ
      FABIZDIZHZUMJKLZUNHZMNZBOCPLZQZDROCSLUALZUBZFAVAFUMAHZUPAHZMNZBUSQZUCUKUL
      VBABCDUDUEUTVFDAVAUNAUFZURVEBUSVGUOVCUQVDMUMUNATUPUNATUGUHUIUJ $.

    $d I i $.
    $( Implications for a class being a partition.  (Contributed by AV,
       11-Jul-2020.) $)
    iccpartimp $p |- ( ( M e. NN /\ P e. ( RePart ` M ) /\ I e. ( 0 ..^ M ) )
                       -> ( P e. ( RR* ^m ( 0 ... M ) )
                            /\ ( P ` I ) < ( P ` ( I + 1 ) ) ) ) $=
      ( vi cn wcel ciccp cfv cc0 cfzo co cxr cfz cmap c1 caddc clt wbr wa wi cv
      wral iccpart wceq fveq2 fvoveq1 breq12d rspccv adantl simpl jctild syl6bi
      3imp ) CEFZACGHFZBICJKZFZALICMKNKFZBAHZBOPKAHZQRZSZUNUOURDUAZAHZVCOPKAHZQ
      RZDUPUBZSZUQVBTADCUCVHUQVAURVGUQVATURVFVADBUPVCBUDVDUSVEUTQVCBAUEVCBOAPUF
      UGUHUIURVGUJUKULUM $.
  $}

  ${
    $d M i $.  $d P i $.
    $( The restriction of a partition is a partition.  (Contributed by AV,
       16-Jul-2020.) $)
    iccpartres $p |- ( ( M e. NN /\ P e. ( RePart ` ( M + 1 ) ) )
                       -> ( P |` ( 0 ... M ) ) e. ( RePart ` M ) ) $=
      ( vi cn wcel c1 caddc co ciccp cfv cc0 cfz cxr clt wral wa wb syl wss wi
      cres cmap cv wbr cfzo peano2nn iccpart simpl cuz uzid peano2uz elmapssres
      nnz fzss2 syl2anr fzoss2 ssralv adantld imp wceq fzossfz a1i sselda fvres
      eqcomd simpr elfzouz adantl fzofzp1b mpbid breq12d biimpd ralimdva adantr
      cz ex impcom mpd mpbir2and sylbid ) BDEZABFGHZIJEZAKBLHZUAZBIJEZWAWCAMKWB
      LHZUBHEZCUCZAJZWIFGHZAJZNUDZCKWBUEHZOZPZWFWAWBDEWCWPQBUFACWBUGRWAWPWFWAWP
      PZWFWEMWDUBHEZWIWEJZWKWEJZNUDZCKBUEHZOZWPWHWDWGSZWRWAWHWOUHWAWBBUIJZEZXDW
      ABXEEZXFWABVOEXGBUMBUJRBBUKRZBKWBUNRAMWGWDULUOWQWMCXBOZXCWAWPXIWAWOXIWHWA
      XBWNSZWOXITWAXFXJXHBKWBUPRWMCXBWNUQRURUSWPWAXIXCTZWHWAXKTWOWHWAXKWHWAPZWM
      XACXBXLWIXBEZPZWMXAXNWJWSWLWTNXNWIWDEZWJWSUTXLXBWDWIXBWDSXLKBVAVBVCXOWSWJ
      WIWDAVDVERXNWTWLXNWKWDEZWTWLUTXNXMXPXLXMVFXNWIKUIJEZXMXPQXMXQXLWIKBVGVHKB
      WIVIRVJWKWDAVDRVEVKVLVMVPVNVQVRWAWFWRXCPQWPWECBUGVNVSVPVTUS $.
  $}

  ${
    iccpartgtprec.m $e |- ( ph -> M e. NN ) $.
    iccpartgtprec.p $e |- ( ph -> P e. ( RePart ` M ) ) $.
    ${
      $d M i $.  $d P i $.
      iccpartxr.i $e |- ( ph -> I e. ( 0 ... M ) ) $.
      $( If there is a partition, then all intermediate points and bounds are
         extended real numbers.  (Contributed by AV, 11-Jul-2020.) $)
      iccpartxr $p |- ( ph -> ( P ` I ) e. RR* ) $=
        ( vi cc0 cfz co cxr cmap wcel wf cv cfv c1 caddc syl clt wbr cfzo ciccp
        wral wa cn wb iccpart mpbid simpld elmapi ffvelrnd ) AIDJKZLCBABLUNMKNZ
        UNLBOAUOHPZBQUPRSKBQUAUBHIDUCKUEZABDUDQNZUOUQUFZFADUGNURUSUHEBHDUITUJUK
        BLUNULTGUM $.
    $}

    ${
      iccpartgtprec.i $e |- ( ph -> I e. ( 1 ... M ) ) $.
      $( If there is a partition, then all intermediate points and the upper
         bound are strictly greater than the preceeding intermediate points or
         lower bound.  (Contributed by AV, 11-Jul-2020.) $)
      iccpartgtprec $p |- ( ph -> ( P ` ( I - 1 ) ) < ( P ` I ) ) $=
        ( c1 cmin co cfv caddc clt cc0 cfz wcel cfzo cz wb syl cxr wbr cn ciccp
        cmap wa nnzd fzval3 eleq2d mpbid cc nncnd pncan1 eqcomd oveq2d elfzelzd
        wceq peano2zd elfzom1b syl2anc bitr4d mpbird syl3anc simprd zcnd npcan1
        iccpartimp fveq2d breqtrrd ) ACHIJZBKZVJHLJZBKZCBKMABUANDOJUEJPZVKVMMUB
        ZADUCPBDUDKPVJNDQJZPZVNVOUFEFAVQCHDHLJZQJZPZACHDOJZPZVTGADRPZWBVTSADEUG
        ZWCWAVSCHDUHUITUJAVQVJNVRHIJZQJZPZVTAVPWFVJADWENQAWEDADUKPWEDUQADEULDUM
        TUNUOUIACRPVRRPVTWGSACHDGUPZADWDURCVRUSUTVAVBBVJDVGVCVDACVLBAVLCACUKPVL
        CUQACWHVECVFTUNVHVI $.
    $}

    ${
      iccpartipre.i $e |- ( ph -> I e. ( 1 ..^ M ) ) $.
      $( If there is a partition, then all intermediate points are real
         numbers.  (Contributed by AV, 11-Jul-2020.) $)
      iccpartipre $p |- ( ph -> ( P ` I ) e. RR ) $=
        ( c1 cmin co cfv cxr wcel wbr cc0 cfz cz syl sseldd iccpartxr caddc clt
        cr cuz wss cn cle w3a nnz peano2zm id zre lem1d 3jca eluz2 sylibr fzss2
        cfzo fzossfz sselid elfzoelz nnzd elfzm1b syl2anc mpbid 1eluzge0 fzoss1
        wb mp1i sstrdi fzofzp1 iccpartgtprec ciccp wa iccpartimp syl3anc simprd
        cmap xrre2 syl32anc ) ACHIJZBKZLMCBKZLMCHUAJZBKZLMWBWCUBNWCWEUBNZWCUCMA
        BWADEFAODHIJZPJZODPJZWAADWGUDKMZWHWIUEADUFMZWJEWKWGQMZDQMZWGDUGNZUHZWJW
        KWMWODUIWMWLWMWNDUJWMUKWMDDULUMUNRWGDUOUPRWGODUQRACHDPJZMZWAWHMZAHDURJZ
        WPCHDUSGUTZACQMZWMWQWRVHACWSMXAGCHDVARADEVBCDVCVDVESTABCDEFAWSWICAWSODU
        RJZWIHOUDKMWSXBUEAVFHODVGVIZODUSVJGSTABWDDEFACXBMZWDWIMAWSXBCXCGSZODCVK
        RTABCDEFWTVLABLWIVRJMZWFAWKBDVMKMXDXFWFVNEFXEBCDVOVPVQWBWCWEVSVT $.
    $}

    $d M i k $.  $d P i k $.  $d ph i k $.
    $( If there is a partition, then all intermediate points are strictly less
       than the upper bound.  (Contributed by AV, 12-Jul-2020.) $)
    iccpartiltu $p |- ( ph -> A. i e. ( 1 ..^ M ) ( P ` i ) < ( P ` M ) ) $=
      ( wcel cfv clt wbr c1 co wi wa adantr adantl cr w3a imp syl vk cn cv cfzo
      wral wceq c0 ral0 oveq2 fzo0 eqtrdi fveq2 breq2d raleqbidv mpbiri 2a1d wn
      cxr simpr ciccp cc0 cfz cn0 nnnn0 nn0fz0 sylib iccpartxr cpnf cmnf w3o cz
      elfzoelz ad2antll caddc cuz elfzo2 cle eluzelz peano2zd 3ad2ant1 simp2 wb
      elxr zltp1le sylan biimp3a eluz2 syl3anbrc sylbi eqcomd eleq1d com12 1red
      biimpcd elfz2 zre syl3anc expcomd adantrd 3adant2 3ad2ant3 syl5bi 3adant3
      letr wne anim12ci 3adant1 ltlen nesym anbi2i bitr2di expd adantld elfzelz
      biimpd 1zzd elfzel2 3jca 3ad2ant2 elfzo mpbird 3exp impcom iccpartipre ex
      jca pm2.61i cmin cmap 1eluzge0 fzoss1 mp1i elfzoel2 fzoval eleq2d elfzouz
      wss sseld sylbid breq2 sseldd iccpartimp simprd smonoord ltpnf elfzubelfz
      syl5ibr elfzofz iccpartgtprec eqcoms c2 nnne0 biimpri nn0n0n1ge2 ige2m1fz
      df-ne nltmnf pm2.21dd 3jaoi impl ralrimiva mpcom expcom mpd ) ADUBGZCUCZB
      HZDBHZIJZCKDUDLZUEZEDKUFZAUVEUVKMZMUVLUVKAUVEUVLUVKUVGKBHZIJZCUGUEUVOCUHU
      VLUVIUVOCUVJUGUVLUVJKKUDLUGDKKUDUIKUJUKUVLUVHUVNUVGIDKBULUMUNUOUPAUVLUQZU
      VMAUVPNZUVEUVKUVHURGZUVQUVENZUVKUVSBDDUVQUVEUSZUVQBDUTHGZUVEAUWAUVPFOOZUV
      EDVADVBLZGZUVQUVEDVCGZUWDDVDZDVEVFPVGUVRUVHQGZUVHVHUFZUVHVIUFZVJZUVSUVKMU
      VHWCUWJUVSUVKUWJUVSNUVICUVJUWJUVSUVFUVJGZUVIUWGUVSUWKNZUVIMUWHUWIUWGUWLUV
      IUWGUWLNZUABUVFDUWKUVFVKGZUWGUVSUVFKDVLVMUWKDUVFKVNLZVOHGZUWGUVSUWKUVFKVO
      HGZDVKGZUVFDIJZRZUWPUVFKDVPZUWTUWOVKGZUWRUWODVQJZUWPUWQUWRUXBUWSUWQUVFKUV
      FVRZVSVTUWQUWRUWSWAUWQUWRUWSUXCUWQUWNUWRUWSUXCWBUXDUVFDWDWEWFUWODWGWHWIVM
      UAUCZDUFZUWMUXEUVFDVBLGZNZUXEBHZQGZMUXHUXFUXJUWMUXFUXJMZUXGUWGUXKUWLUXFUW
      GUXJUXFUVHUXIQUXFUXIUVHUXEDBULWJWKWNOOWLUXFUQZUXHUXJUXLUXHNBUXEDUXHUVEUXL
      UWMUVEUXGUWLUVEUWGUVSUVEUWKUVTOZPZOPUXHUWAUXLUWMUWAUXGUWLUWAUWGUVSUWAUWKU
      WBOZPZOPUXHUXLUXEUVJGZUWMUXGUXLUXQMZUWKUXGUXRMUWGUVSUWKUXGUXLUXQUWKUXGUXL
      RZUXQKUXEVQJZUXEDIJZNZUXSUXTUYAUWKUXGUXTUXLUWKUXGUXTUXGUWNUWRUXEVKGZRZUVF
      UXEVQJZUXEDVQJZNZNZUWKUXTUXEUVFDWOZUWKUWTUYHUXTMZUXAUWQUWRUYJUWSUWQKVKGZU
      WNKUVFVQJZRUYJKUVFWGUYLUYKUYJUWNUYHUYLUXTUYDUYGUYLUXTMZUWNUYCUYGUYMMUWRUW
      NUYCNZUYEUYMUYFUYNUYLUYEUXTUYNKQGUVFQGZUXEQGZUYLUYENUXTMUYNWMUWNUYOUYCUVF
      WPOUYCUYPUWNUXEWPZPKUVFUXEXDWQWRWSWTSWLXAWIVTWIXBSXCUXGUXLUYAUWKUXGUXLUYA
      UXGUYHUXLUYAMZUYIUYDUYGUYRUYDUYFUYRUYEUYDUYFUXLUYAUYDUYFUXLNZUYAUYDUYAUYF
      DUXEXEZNZUYSUYDUYPDQGZNZUYAVUAWBUWRUYCVUCUWNUWRVUBUYCUYPDWPUYQXFXGUXEDXHT
      UYTUXLUYFDUXEXIXJXKXOXLXMSWISXGYFUXSUYCUYKUWRRZUXQUYBWBUXGUWKVUDUXLUXGUYC
      UYKUWRUXEUVFDXNUXGXPUXEUVFDXQXRXSUXEKDXTTYAYBVMSYCYDYEYGUWMUXEUVFDKYHLZVB
      LZGZNZBURUWCYILGZUXIUXEKVNLBHIJZVUHUVEUWAUXEVADUDLZGZVUIVUJNUWMUVEVUGUXNO
      UWMUWAVUGUXPOUWMVUGVULUWKVUGVULMUWGUVSUWKVUGVULUWKVUGNZUVJVUKUXEKVAVOHGUV
      JVUKYQVUMYJKVADYKYLUWKVUGUXQUWKVUGUXEUVFDUDLZGUXQUWKVUFVUNUXEUWKVUNVUFUWK
      UWRVUNVUFUFUVFKDYMUVFDYNTWJYOUWKVUNUVJUXEUWKUWQVUNUVJYQUVFKDYPUVFKDYKTYRY
      SSUUAYEVMSBUXEDUUBWQUUCUUDYEUWLUVIUWHUVGVHIJZUWLUVGQGVUOUWLBUVFDUXMUXOUVS
      UWKUSYDUVGUUETUVHVHUVGIYTUUGUWIUWLUVIUWIUWLNZVUEBHZVIIJZUVIVUPVURVUQUVHIJ
      ZVUPBDDUWLUVEUWIUXMPZUWLUWAUWIUXOPZVUPUVFKDVBLZGZDVVBGUWKVVCUWIUVSUVFKDUU
      HVMUVFKDUUFTUUIUWIVURVUSWBZUWLVVDVIUVHVIUVHVUQIYTUUJOYAVUPVUQURGVURUQVUPB
      VUEDVUTVVAVUPUWEUUKDVQJZNZVUEUWCGUWLVVFUWIUWLUWEVVEUVSUWEUWKUVEUWEUVQUWFP
      ZOUWLUWEDVAXEZDKXEZRZVVEUVSVVJUWKUVSUWEVVHVVIVVGUVEVVHUVQDUULPUVQVVIUVEUV
      PVVIAVVIUVPDKUUPUUMPOXRODUUNTYFPDUUOTVGVUQUUQTUURYEUUSUUTUVAYEWIUVBYEUVCY
      GUVD $.

    $( If there is a partition, then all intermediate points are strictly
       greater than the lower bound.  (Contributed by AV, 12-Jul-2020.) $)
    iccpartigtl $p |- ( ph -> A. i e. ( 1 ..^ M ) ( P ` 0 ) < ( P ` i ) ) $=
      ( c1 cc0 cfv clt wbr co wi wcel wa syl adantr cr adantl ad2antrl vk cv c0
      wceq cfzo wral ral0 oveq2 eqtrdi raleqdv mpbiri a1d wn cxr cn0 cfz nnnn0d
      fzo0 0elfz iccpartxr cpnf cmnf w3o elxr 0zd caddc elfzouz 0p1e1 eleqtrrdi
      cuz fveq2i fveq2 eqcomd eleq1d biimpcd ad3antrrr wne cn ciccp elfz2nn0 cz
      cle w3a elfzo2 simpl1 simpr2 nn0ge0 0red eluzelre syl3anc expcomd syl5com
      zre lelttr 3impia 3ad2ant2 imp elnnz sylanbrc nn0re expd exp31 com34 3imp
      com35 expdcom 3imp1 elfzo0 syl3anbrc syl5bi sylbi impcom simpr fzo1fzo0n0
      ex iccpartipre exp32 expdimp pm2.61dne cmin cmap ad3antlr elfzoelz fzoval
      eleq2d wss elfzouz2 fzoss2 sseld sylbid iccpartimp simprd smonoord lbfzo0
      ralrimiva sylibr 3jca wb breq1 mpbid 1nn0 a1i nnnn0 nnge1 eqeltrid pnfnlt
      pm2.21dd mnflt ralbidv mpbird 3jaoi mpcom expcom pm2.61i ) DGUDZAHBIZCUBZ
      BIZJKZCGDUELZUFZMUUOUVAAUUOUVAUUSCUCUFUUSCUGUUOUUSCUUTUCUUOUUTGGUELUCDGGU
      EUHGURUIUJUKULAUUOUMZUVAUUPUNNZAUVBOZUVAAUVCUVBABHDEFADUONZHHDUPLZNADEUQD
      USPUTQUVCUUPRNZUUPVAUDZUUPVBUDZVCUVDUVAMZUUPVDUVGUVJUVHUVIUVGUVDUVAUVGUVD
      OZUUSCUUTUVKUUQUUTNZOZUABHUUQUVMVEUVLUUQHGVFLZVJIZNUVKUVLUUQGVJIZUVOUUQGD
      VGUVNGVJVHVKVISUVMUAUBZHUUQUPLNZOUVQBIZRNZUVQHUVGUVQHUDZUVTMUVDUVLUVRUWAU
      VGUVTUWAUUPUVSRUWAUVSUUPUVQHBVLVMVNVOVPUVMUVRUVQHVQZUVTUVKUVLUVRUWBOZUVTM
      ZAUVLUWDMUVGUVBAUVLUWCUVTAUVLUWCOZOBUVQDADVRNZUWEEQABDVSINZUWEFQUWEUVQUUT
      NZAUWEUVQHDUELZNZUWBUWHUWCUVLUWJUVRUVLUWJMZUWBUVRUVQUONZUUQUONZUVQUUQWBKZ
      WCZUWKUVQUUQVTUVLUUQUVPNZDWANZUUQDJKZWCZUWOUWJUUQGDWDUWOUWSUWJUWOUWSOZUWL
      UWFUVQDJKZUWJUWLUWMUWNUWSWEUWTUWQHDJKZUWFUWOUWPUWQUWRWFUWOUWSUXBUWMUWLUWS
      UXBMUWNUWMHUUQWBKZUWSUXBUUQWGUWPUWQUWRUXCUXBMUWPUWQOZUXCUWRUXBUXDHRNUUQRN
      ZDRNZUXCUWROUXBMUXDWHUWPUXEUWQGUUQWIQUWQUXFUWPDWMSZHUUQDWNWJWKWOWLWPWQDWR
      WSUWLUWMUWNUWSUXAUWLUWMUWSUWNUXAUWSUWLUWMUWNUXAMZUWPUWQUWRUWLUWMOZUXHMUWP
      UWQUWNUXIUWRUXAUWPUWQUXIUWNUWRUXAMZUWPUWQUXIUWNUXJMZUXDUXIOUVQRNZUXEUXFUX
      KUWLUXLUXDUWMUVQWTTUXIUXEUXDUWMUXEUWLUUQWTSSUXDUXFUXIUXGQUXLUXEUXFWCUWNUW
      RUXAUVQUUQDWNXAWJXBXCXEXDXFXCXGUVQDXHXIXOXJXKQXLUWCUWBUVLUVRUWBXMSUVQDXNW
      SSXPXQTWQXRXSUVMUVQHUUQGXTLUPLZNZOZBUNUVFYALNZUVSUVQGVFLBIJKZUXOUWFUWGUWJ
      UXPUXQOUVDUWFUVGUVLUXNAUWFUVBEQYBUVDUWGUVGUVLUXNAUWGUVBFQYBUVMUXNUWJUVMUX
      NUVQHUUQUELZNUWJUVMUXMUXRUVQUVMUUQWANZUXMUXRUDUVLUXSUVKUUQGDYCSUXSUXRUXMH
      UUQYDVMPYEUVMUXRUWIUVQUVMDUUQVJINZUXRUWIYFUVLUXTUVKUUQGDYGSUUQHDYHPYIYJWQ
      BUVQDYKWJYLYMYOXOUVHUVDUVAUVHUVDOZUUSCUUTUYAUVLOZVAUVNBIZJKZUUSUYBUUPUYCJ
      KZUYDUYBUXPUYEUYBUWFUWGHUWINZWCZUXPUYEOUYAUYGUVLAUYGUVHUVBAUWFUWGUYFEFAUW
      FUYFEDYNYPYQTQBHDYKPYLUYAUYEUYDYRZUVLUVHUYHUVDUUPVAUYCJYSQQYTUYBUYCUNNUYD
      UMUYBBUVNDUYAUWFUVLAUWFUVHUVBETQUYAUWGUVLAUWGUVHUVBFTQUYAUVNUVFNZUVLAUYIU
      VHUVBAUVNGUVFVHAGUONZUVEGDWBKZWCZGUVFNAUWFUYLEUWFUYJUVEUYKUYJUWFUUAUUBDUU
      CDUUDYQPGDVTYPUUETQUTUYCUUFPUUGYOXOUVIUVDUVAUVIUVDOZUVAVBUURJKZCUUTUFZAUY
      OUVIUVBAUYNCUUTAUVLOZUURRNUYNUYPBUUQDAUWFUVLEQAUWGUVLFQAUVLXMXPUURUUHPYOT
      UYMUUSUYNCUUTUVIUUSUYNYRUVDUUPVBUURJYSQUUIUUJXOUUKXKUULUUMUUN $.

    $( If there is a partition, then the lower bound is strictly less than the
       upper bound.  Corresponds to ~ fourierdlem11 in GS's mathbox.
       (Contributed by AV, 12-Jul-2020.) $)
    iccpartlt $p |- ( ph -> ( P ` 0 ) < ( P ` M ) ) $=
      ( vi c1 wceq cc0 cfv clt wbr wi wa co cxr wcel adantr syl iccpartxr caddc
      cfz cmap cn ciccp cfzo lbfzo0 sylibr iccpartimp simprd adantl fveq2 1e0p1
      syl3anc fveq2i eqtrdi breqtrrd ex wn wral iccpartiltu iccpartigtl 1nn a1i
      cv wne df-ne cle nnge1d 1red nnred ltlend biimprd mpand syl5bir syl3anbrc
      imp elfzo1 breq2d rspcv breq1d cn0 nnnn0 0elfz 3syl elfz2nn0 nn0fz0 sylib
      1nn0 xrlttr expcomd syld com23 com24 mp2d com12 pm2.61i ) CGHZAIBJZCBJZKL
      ZMWRAXAWRANWSIGUAOZBJZWTKAWSXCKLZWRABPICUBOZUCOQZXDACUDQZBCUEJQZIICUFOQZX
      FXDNDEAXGXIDCUGUHBICUIUNUJUKWRWTXCHAWRWTGBJZXCCGBULGXBBUMUOUPRUQURAWRUSZX
      AAFVEZBJZWTKLZFGCUFOZUTZWSXMKLZFXOUTZXKXAMABFCDEVAABFCDEVBAXKXRXPXAAXKXRX
      PXAMZMAXKNZXRWSXJKLZXSXTGXOQZXRYAMXTGUDQZXGGCKLZYBYCXTVCVDAXGXKDRZAXKYDXK
      CGVFZAYDCGVGAGCVHLZYFYDACDVIZAYDYGYFNAGCAVJACDVKVLVMVNVOVQCGVRVPZXQYAFGXO
      XLGHZXMXJWSKXLGBULZVSVTSXTXPYAXAXTXPXJWTKLZYAXAMXTYBXPYLMYIXNYLFGXOYJXMXJ
      WTKYKWAVTSXTYAYLXAXTWSPQZXJPQWTPQZYAYLNXAMAYMXKABICDEAXGCWBQZIXEQDCWCZCWD
      WETRXTBGCYEAXHXKERXTGWBQZYOYGGXEQYQXTWIVDAYOXKAXGYODYPSRAYGXKYHRGCWFVPTAY
      NXKABCCDEAXGCXEQZDXGYOYRYPCWGWHSTRWSXJWTWJUNWKWLWMWLURWNWOWPWQ $.

    $( If there is a partition, then all intermediate points and the lower
       bound are strictly less than the upper bound.  (Contributed by AV,
       14-Jul-2020.) $)
    iccpartltu $p |- ( ph -> A. i e. ( 0 ..^ M ) ( P ` i ) < ( P ` M ) ) $=
      ( vk cv cfv clt wbr cc0 cfzo co wcel c1 cun cz wceq syl csn caddc w3a 0zd
      cn nnz nngt0 3jca fzopred 0p1e1 a1i oveq1d uneq2d eqtrd eleq2d wo elun wi
      elsni wa fveq2 adantr iccpartlt adantl eqbrtrd ex wral breq1d iccpartiltu
      weq rspccv syl11 jaoi com12 syl5bi sylbid ralrimiv ) ACHZBIZDBIZJKZCLDMNZ
      AVRWBOVRLUAZPDMNZQZOZWAAWBWEVRAWBWCLPUBNZDMNZQZWEALROZDROZLDJKZUCZWBWISAD
      UEOZWMEWNWJWKWLWNUDDUFDUGUHTLDUITAWHWDWCAWGPDMWGPSAUJUKULUMUNUOWFVRWCOZVR
      WDOZUPZAWAVRWCWDUQWQAWAWOAWAURZWPWOVRLSZWRVRLUSWSAWAWSAUTVSLBIZVTJWSVSWTS
      AVRLBVAVBAWTVTJKWSABDEFVCVDVEVFTGHZBIZVTJKZGWDVGWPWAAXCWAGVRWDGCVJXBVSVTJ
      XAVRBVAVHVKABGDEFVIVLVMVNVOVPVQ $.

    $( If there is a partition, then all intermediate points and the upper
       bound are strictly greater than the lower bound.  (Contributed by AV,
       14-Jul-2020.) $)
    iccpartgtl $p |- ( ph -> A. i e. ( 1 ... M ) ( P ` 0 ) < ( P ` i ) ) $=
      ( vk cc0 cfv cv clt wbr c1 co wcel wceq wo wb a1i fveq2 cfz csn cn elnnuz
      cfzo cun cuz sylib fzisfzounsn syl eleq2d elun velsn orbi2d 3bitrd wi weq
      wral breq2d rspccv iccpartigtl syl11 wa iccpartlt adantl breqtrrd ex jaoi
      adantr com12 sylbid ralrimiv ) AHBIZCJZBIZKLZCMDUANZAVNVQOZVNMDUENZOZVNDP
      ZQZVPAVRVNVSDUBZUFZOZVTVNWCOZQZWBAVQWDVNADMUGIOZVQWDPADUCOWHEDUDUHMDUIUJU
      KWEWGRAVNVSWCULSAWFWAVTWFWARACDUMSUNUOWBAVPVTAVPUPWAVMGJZBIZKLZGVSURVTVPA
      WKVPGVNVSGCUQWJVOVMKWIVNBTUSUTABGDEFVAVBWAAVPWAAVCVMDBIZVOKAVMWLKLWAABDEF
      VDVEWAVOWLPAVNDBTVIVFVGVHVJVKVL $.

    ${
      $d M j k $.  $d P i j $.  $d ph j $.
      $( If there is a partition, then all intermediate points and the bounds
         are strictly ordered.  (Contributed by AV, 18-Jul-2020.) $)
      iccpartgt $p |- ( ph -> A. i e. ( 0 ... M ) A. j e. ( 0 ... M )
                              ( i < j -> ( P ` i ) < ( P ` j ) ) ) $=
        ( vk clt wbr cfv wi cc0 co wcel c1 wceq wa cz cle cfz csn cun caddc cuz
        cv cn0 nnnn0d elnn0uz sylib fzpred syl 0p1e1 oveq1i uneq2d eqtrd eleq2d
        a1i wo elun velsn orbi1i bitri cfzo fzisfzounsn orbi2i bitrdi wne simpl
        wral simpr gt0ne0d fzo1fzo0n0 sylanbrc iccpartigtl fveq2 breq2d syl2imc
        rspcv expd impcom breq1 imbi12d syl5ibr com12 iccpartlt breqan12rd a1dd
        breq1d ex jaoi elfzelz ad3antlr w3a peano2zd ad2antlr elfzoelz ad2antrr
        wb anim12ci adantr zltp1le mpbid 3jca eluz2 sylibr cn ciccp 1zzd adantl
        elfzle1 1red elfzel1 zred letr syl3anc mpan2d syl5com syl3anbrc elfzel2
        imp ad4antr nnred elfzle2 elfzolt2 lelttrd elfzo2 iccpartipre cmin cmap
        cr cxr ad3antrrr fzoval wss elfzo0le 0le1 0red mpani sylbid mpd 0zd jca
        elfzoel2 ssfzo12bi mpbird eqsstrrd sselda iccpartimp simprd exp31 com23
        smonoord elfzuz iccpartiltu breq2 3imtr4d exp4c com13 com3r sylbi imp32
        anbi2d ralrimivva ) ACUFZDUFZIJZUVEBKZUVFBKZIJZLZCDMEUANZUVLAUVEUVLOZUV
        FUVLOZUVKAUVMUVEMUBZPEUANZUCZOZUVNUVKLZAUVLUVQUVEAUVLUVOMPUDNZEUANZUCZU
        VQAEMUEKOZUVLUWBQAEUGOUWCAEFUHEUIUJZMEUKULAUWAUVPUVOUWAUVPQAUVTPEUAUMUN
        URUOUPUQUVRAUVSUVRUVEMQZUVEUVPOZUSZAUVSLUVRUVEUVOOZUWFUSUWGUVEUVOUVPUTU
        WHUWEUWFCMVAVBVCAUVNUWGUVKAUVNUVFMEVDNZOZUVFEQZUSZUWGUVKLAUVNUVFUWIEUBZ
        UCZOZUWLAUVLUWNUVFAUWCUVLUWNQUWDMEVEULUQUWOUWJUVFUWMOZUSUWLUVFUWIUWMUTU
        WPUWKUWJDEVAVFVCVGUWGUWLAUVKUWEUWLAUVKLZLUWFUWLUWEUWQUWJUWEUWQLUWKUWEUW
        JUWQUWEUWJAUVKUWJARUVKUWEMUVFIJZMBKZUVIIJZLZAUWJUXAAUWJUWRUWTUWJUWRRZUV
        FPEVDNZOZAUWSHUFZBKZIJZHUXCVJUWTUXBUWJUVFMVHUXDUWJUWRVIUXBUVFUWJUWRVKVL
        UVFEVMVNABHEFGVOUXGUWTHUVFUXCUXEUVFQUXFUVIUWSIUXEUVFBVPVQVSVRVTWAUWEUVG
        UWRUVJUWTUVEMUVFIWBUWEUVHUWSUVIIUVEMBVPZWIWCWDVTWEUWKUWEUWQUWKUWERZAUVJ
        UVGAUVJUXIUWSEBKZIJABEFGWFUWEUWKUVHUWSUVIUXJIUXHUVFEBVPZWGWDWHWJWKWEUWL
        UWFUWQUWJUWFUWQLUWKUWJUWFUWQUWJUWFRZUVGAUVJUXLUVGAUVJUXLUVGRZARZHBUVEUV
        FUWFUVESOZUWJUVGAUVEPEWLZWMUXNUVEPUDNZSOZUVFSOZUXQUVFTJZWNZUVFUXQUEKOUX
        MUYAAUXMUXRUXSUXTUWFUXRUWJUVGUWFUVEUXPWOWPUWJUXSUWFUVGUVFMEWQZWRUXMUVGU
        XTUXLUVGVKZUXMUXOUXSRZUVGUXTWSUXLUYDUVGUWJUXSUWFUXOUYBUXPWTXAZUVEUVFXBU
        LXCXDXAUXQUVFXEXFUXNUXEUVEUVFUANOZRZBUXEEAEXGOZUXMUYFFWPZABEXHKOZUXMUYF
        GWPUYGUXEPUEKZOZESOZUXEEIJUXEUXCOUYGPSOUXESOZPUXETJZUYLUYGXIUYFUYNUXNUX
        EUVEUVFWLZXJUXNUYFUYOUWFUYFUYOLUWJUVGAUWFPUVETJZUYFUYOUVEPEXKZUYFUYQUVE
        UXETJZUYOUXEUVEUVFXKUYFPYKOZUVEYKOZUXEYKOZUYQUYSRUYOLUYFXLUYFUVEUXEUVEU
        VFXMXNUYFUXEUYPXNZPUVEUXEXOXPXQXRWMYAPUXEXEXSUXMUYMAUYFUWFUYMUWJUVGUVEP
        EXTZWPWRUYGUXEUVFEUYFVUBUXNVUCXJUWJUVFYKOUWFUVGAUYFUWJUVFUYBXNYBUYGEUYI
        YCUYFUXEUVFTJUXNUXEUVEUVFYDXJUWJUVFEIJUWFUVGAUYFUVFMEYEYBYFUXEPEYGXSYHU
        XNUXEUVEUVFPYINUANZOZRZBYLUVLYJNOZUXFUXEPUDNBKIJZVUGUYHUYJUXEUWIOVUHVUI
        RAUYHUXMVUFFWPAUYJUXMVUFGWPUXNVUEUWIUXEUXNVUEUVEUVFVDNZUWIUXNUXSVUJVUEQ
        UWJUXSUWFUVGAUYBYMUVEUVFYNULUXMVUJUWIYOZAUXMVUKMUVETJZUVFETJZRZUXLVUNUV
        GUWJVUMUWFVULUVFEYPUWFUYQVULUYRUWFMPTJZUYQVULYQUWFMYKOUYTVUAVUOUYQRVULL
        UWFYRUWFXLUWFUVEUXPXNMPUVEXOXPYSUUAWTXAUXMUYDMSOZUYMRZUVGVUKVUNWSUYEUWJ
        VUQUWFUVGUWJVUPUYMUWJUUBUVFMEUUDUUCWRUYCUVEUVFMEUUEXPUUFXAUUGUUHBUXEEUU
        IXPUUJUUMUUKUULWJUWKUWFAUVGUVJUWKUWFARZUVEEIJZRZUVHUXJIJZVURUVGRUVJVUTV
        VALUWKVURVUSVVAAUWFVUSVVALAUWFVUSVVAUWFVUSRZUVEUXCOZAUXFUXJIJZHUXCVJVVA
        VVBUVEUYKOZUYMVUSVVCUWFVVEVUSUVEPEUUNXAUWFUYMVUSVUDXAUWFVUSVKUVEPEYGXSA
        BHEFGUUOVVDVVAHUVEUXCUXEUVEQUXFUVHUXJIUXEUVEBVPWIVSVRVTWAYAURUWKUVGVUSV
        URUVFEUVEIUUPUVCUWKUVIUXJUVHIUXKVQUUQUURWKWEWKUUSYTUUTUVAWEYTUVBUVD $.
    $}

    $( If there is a partition, then all intermediate points and the lower and
       the upper bound are less than or equal to the upper bound.  (Contributed
       by AV, 14-Jul-2020.) $)
    iccpartleu $p |- ( ph -> A. i e. ( 0 ... M ) ( P ` i ) <_ ( P ` M ) ) $=
      ( vk cv cfv cle wbr cc0 co wcel wceq wo syl a1i adantr clt cfz csn cun cn
      cfzo cuz cn0 nnnn0 elnn0uz sylib fzisfzounsn eleq2d wb elun orbi2d 3bitrd
      velsn wi wa ciccp wss fzossfz sselda iccpartxr cxr nn0fz0 wral iccpartltu
      weq fveq2 breq1d rspccv imp xrltled expcom xrleidd adantl eqbrtrd ex jaoi
      com12 sylbid ralrimiv ) ACHZBIZDBIZJKZCLDUAMZAWDWHNZWDLDUEMZNZWDDOZPZWGAW
      IWDWJDUBZUCZNZWKWDWNNZPZWMAWHWOWDADLUFINZWHWOOADUDNZWSEWTDUGNZWSDUHZDUIUJ
      QLDUKQULWPWRUMAWDWJWNUNRAWQWLWKWQWLUMACDUQRUOUPWMAWGWKAWGURWLAWKWGAWKUSZW
      EWFXCBWDDAWTWKESABDUTINWKFSAWJWHWDWJWHVAALDVBRVCVDAWFVENWKABDDEFAWTDWHNZE
      WTXAXDXBDVFUJQVDZSAWKWEWFTKZAGHZBIZWFTKZGWJVGWKXFURABGDEFVHXIXFGWDWJGCVIX
      HWEWFTXGWDBVJVKVLQVMVNVOWLAWGWLAUSWEWFWFJWLWEWFOAWDDBVJSAWFWFJKWLAWFXEVPV
      QVRVSVTWAWBWC $.

    $( If there is a partition, then all intermediate points and the upper and
       the lower bound are greater than or equal to the lower bound.
       (Contributed by AV, 14-Jul-2020.) $)
    iccpartgel $p |- ( ph -> A. i e. ( 0 ... M ) ( P ` 0 ) <_ ( P ` i ) ) $=
      ( vk cc0 cfv cle wbr cfz co wcel wceq c1 syl a1i adantr clt cv wo csn cun
      caddc cuz cn0 nnnn0d elnn0uz sylib fzpred eleq2d elun velsn 0p1e1 orbi12d
      wb oveq1d 3bitrd wi 0elfz iccpartxr xrleidd fveq2 breq2d syl5ibr wa ciccp
      cxr cn wss 1nn0 sselda wral iccpartgtl weq rspccv imp xrltled expcom jaoi
      fzss1 com12 sylbid ralrimiv ) AHBIZCUAZBIZJKZCHDLMZAWGWJNZWGHOZWGPDLMZNZU
      BZWIAWKWGHUCZHPUEMZDLMZUDZNZWGWPNZWGWRNZUBZWOAWJWSWGADHUFIZNZWJWSOADUGNZX
      EADEUHZDUIUJHDUKQULWTXCUQAWGWPWRUMRAXAWLXBWNXAWLUQACHUNRAWRWMWGAWQPDLWQPO
      AUORURULUPUSWOAWIWLAWIUTWNAWIWLWFWFJKAWFABHDEFAXFHWJNXGDVAQVBZVCWLWHWFWFJ
      WGHBVDVEVFAWNWIAWNVGZWFWHAWFVINWNXHSXIBWGDADVJNWNESABDVHINWNFSAWMWJWGAPXD
      NZWMWJVKAPUGNZXJXKAVLRPUIUJPHDWBQVMVBAWNWFWHTKZAWFGUAZBIZTKZGWMVNWNXLUTAB
      GDEFVOXOXLGWGWMGCVPXNWHWFTXMWGBVDVEVQQVRVSVTWAWCWDWE $.

    $d M i p $.  $d P p $.  $d ph p $.
    $( If there is a partition, then all intermediate points and bounds are
       contained in a closed interval of extended reals.  (Contributed by AV,
       14-Jul-2020.) $)
    iccpartrn $p |- ( ph -> ran P C_ ( ( P ` 0 ) [,] ( P ` M ) ) ) $=
      ( vi vk cc0 cfv co cv wcel wb cxr wbr wral wa syl adantr cle vp cicc wceq
      crn cfz wrex wfn ciccp cmap caddc clt cfzo iccpart elmapfn syl6bi fvelrnb
      c1 cn simpr iccpartxr wi iccpartgel fveq2 breq2d rspcva expcom iccpartleu
      mpd weq imp breq1d w3a cn0 nnnn0 0elfz 3syl nn0fz0 sylib elicc1 mpbir3and
      jca eleq1 syl5ibcom rexlimdva sylbid ssrdv ) AUABUDZHBIZCBIZUBJZAUAKZWGLZ
      FKZBIZWKUCZFHCUEJZUFZWKWJLZABWPUGZWLWQMABCUHILZWSEAWTBNWPUIJLZWNWMUQUJJBI
      UKOFHCULJPZQZWSACURLZWTXCMDBFCUMRXAWSXBBNWPUNSUOVHFWPWKBUPRAWOWRFWPAWMWPL
      ZQZWNWJLZWOWRXFXGWNNLZWHWNTOZWNWITOZXFBWMCAXDXEDSAWTXEESAXEUSUTAXEXIAWHGK
      ZBIZTOZGWPPZXEXIVAABGCDEVBXEXNXIXMXIGWMWPGFVIZXLWNWHTXKWMBVCZVDVEVFRVJAXE
      XJAXLWITOZGWPPZXEXJVAABGCDEVGXEXRXJXQXJGWMWPXOXLWNWITXPVKVEVFRVJXFWHNLZWI
      NLZQZXGXHXIXJVLMAYAXEAXSXTABHCDEAXDCVMLZHWPLDCVNZCVOVPUTABCCDEAXDCWPLZDXD
      YBYDYCCVQVRRUTWASWHWIWNVSRVTWNWKWJWBWCWDWEWF $.

    $( The range of the partition is between its starting point and its ending
       point.  Corresponds to ~ fourierdlem15 in GS's mathbox.  (Contributed by
       Glauco Siliprandi, 11-Dec-2019.)  (Revised by AV, 14-Jul-2020.) $)
    iccpartf $p |- ( ph -> P : ( 0 ... M ) --> ( ( P ` 0 ) [,] ( P ` M ) ) ) $=
      ( vi cc0 cfz co wfn crn cfv cicc wss wf cn wcel ciccp cxr cmap cv clt wbr
      c1 caddc cfzo wral wa iccpart elmapfn adantr sylc iccpartrn df-f sylanbrc
      syl6bi ) ABGCHIZJZBKGBLCBLMIZNUQUSBOACPQZBCRLQZURDEUTVABSUQTIQZFUAZBLVCUD
      UEIBLUBUCFGCUFIUGZUHURBFCUIVBURVDBSUQUJUKUPULABCDEUMUQUSBUNUO $.

    $( If there is a partition, then all intermediate points and bounds are
       contained in a closed interval of extended reals.  (Contributed by AV,
       14-Jul-2020.) $)
    iccpartel $p |- ( ( ph /\ I e. ( 0 ... M ) )
                      -> ( P ` I ) e. ( ( P ` 0 ) [,] ( P ` M ) ) ) $=
      ( cc0 cfz co cfv cicc iccpartf ffvelrnda ) AGDHIGBJDBJKICBABDEFLM $.
  $}

  ${
    $d M i p x $.  $d X i p x y $.
    $( An element of any partitioned half-open interval of extended reals is an
       element of a part of this partition.  (Contributed by AV,
       18-Jul-2020.) $)
    iccelpart $p |- ( M e. NN -> A. p e. ( RePart ` M )
                           ( X e. ( ( p ` 0 ) [,) ( p ` M ) )
                             -> E. i e. ( 0 ..^ M )
                                X e. ( ( p ` i ) [,) ( p ` ( i + 1 ) ) ) ) ) $=
      ( cc0 cfv cico co wcel c1 cfzo wi ciccp fveq2 eleq2d syl adantr cvv csb
      wa vx vy cv caddc wrex wral csn oveq2d oveq2 fzo01 eqtrdi rexeqdv imbi12d
      wceq raleqbidv weq cn0 wb 0nn0 fv0p1e1 oveq12d rexsng ax-mp biimpri rgenw
      nfv nfra1 nfan cle wbr nnnn0 fzonn0p1 ad2antrr fvoveq1 adantl cxr clt w3a
      peano2nn simpr cfz nnnn0d 0elfz iccpartxr nn0fz0 sylib jca adantlr elico1
      cn simp1 simpl simpr3 3jca ex sylbid impr fzelp1 ad2ant2r mpbird rspcedvd
      exp43 wn cres iccpartres rspsbca vex resex sbcimg sbcel2 csbov12g csbfv12
      csbvarg csbconstg fveq12d syl5eq eqtrd syl5bb sbcrex rexbidv bitrd simpr2
      xrltnle syl2anr exbiri com23 imp31 eqcomd biimpa elfzofz fzofzp1 rexbidva
      wsbc fvres wss cuz cz nnz uzid com24 peano2uz fzoss2 ssrexv embantd com34
      3syl syld com13 sylbi mpcom imp pm2.61d ralrimi nnind ) CEDUCZFZUAUCZUUOF
      ZGHZIZCAUCZUUOFZUVAJUDHZUUOFZGHZIZAEUUQKHZUEZLZDUUQMFZUFCUUPJUUOFZGHZIZUV
      FAEUGZUEZLZDJMFZUFCUUPUBUCZUUOFZGHZIZUVFAEUVRKHZUEZLZDUVRMFZUFZCUUPUVRJUD
      HZUUOFZGHZIZUVFAEUWGKHZUEZLZDUWGMFZUFZCUUPBUUOFZGHZIZUVFAEBKHZUEZLZDBMFZU
      FUAUBBUUQJUNZUVIUVPDUVJUVQUUQJMNUXCUUTUVMUVHUVOUXCUUSUVLCUXCUURUVKUUPGUUQ
      JUUONUHOUXCUVFAUVGUVNUXCUVGEJKHUVNUUQJEKUIUJUKULUMUOUAUBUPZUVIUWDDUVJUWEU
      UQUVRMNUXDUUTUWAUVHUWCUXDUUSUVTCUXDUURUVSUUPGUUQUVRUUONUHOUXDUVFAUVGUWBUU
      QUVREKUIULUMUOUUQUWGUNZUVIUWMDUVJUWNUUQUWGMNUXEUUTUWJUVHUWLUXEUUSUWICUXEU
      URUWHUUPGUUQUWGUUONUHOUXEUVFAUVGUWKUUQUWGEKUIULUMUOUUQBUNZUVIUXADUVJUXBUU
      QBMNUXFUUTUWRUVHUWTUXFUUSUWQCUXFUURUWPUUPGUUQBUUONUHOUXFUVFAUVGUWSUUQBEKU
      IULUMUOUVPDUVQUVOUVMEUQIUVOUVMURUSUVFUVMAEUQUVAEUNZUVEUVLCUXGUVBUUPUVDUVK
      GUVAEUUONUUOUVAUTVAOVBVCVDVEUVRWJIZUWFUWOUXHUWFTZUWMDUWNUXHUWFDUXHDVFUWDD
      UWEVGVHUXIUVSCVIVJZUUOUWNIZUWMLZUXHUXJUXLLUWFUXHUXJUXKUWJUWLUXHUXJTZUXKUW
      JTZTZUVFCUVSUWHGHZIZAUVRUWKUXHUVRUWKIZUXJUXNUXHUVRUQIZUXRUVRVKZUVRVLPVMAU
      BUPZUVFUXQURUXOUYAUVEUXPCUYAUVBUVSUVDUWHGUVAUVRUUONUVAUVRJUUOUDVNVAOVOUXO
      UXQCVPIZUXJCUWHVQVJZVRZUXMUXKUWJUYDUXMUXKTZUWJUYBUUPCVIVJZUYCVRZUYDUYEUUP
      VPIZUWHVPIZTZUWJUYGURZUXHUXKUYJUXJUXHUXKTZUYHUYIUYLUUOEUWGUXHUWGWJIUXKUVR
      VSZQZUXHUXKVTZUXHEEUWGWAHZIZUXKUXHUWGUQIZUYQUXHUWGUYMWBZUWGWCPQWDZUYLUUOU
      WGUWGUYNUYOUXHUWGUYPIZUXKUXHUYRVUAUYSUWGWEWFQWDZWGZWHUUPUWHCWIZPUXMUYGUYD
      LZUXKUXJVUEUXHUXJUYGUYDUXJUYGTUYBUXJUYCUYGUYBUXJUYBUYFUYCWKZVOUXJUYGWLUXJ
      UYBUYFUYCWMWNWOVOQWPWQUXOUVSVPIZUYITZUXQUYDURUXHUXKVUHUXJUWJUYLVUGUYIUYLU
      UOUVRUWGUYNUYOUXHUVRUYPIZUXKUXHUVREUVRWAHZIZVUIUXHUXSVUKUXTUVRWEWFZUVREUV
      RWRPQWDZVUBWGWSUVSUWHCWIPWTXAXBQUXHUWFUXJXCZUXLLUXHUXKVUNUWFUWMUXHUXKVUNU
      WFUWMLLZUUOVUJXDZUWEIZUYLVUOUUOUVRXEVUQUWFVUNUYLUWMVUQUWFVUNUYLUWMLLZVUQU
      WFTUWDDVUPYMZVURUWDDVUPUWEXFVUSCEVUPFZUVRVUPFZGHZIZCUVAVUPFZUVCVUPFZGHZIZ
      AUWBUEZLZVURVUPRIZVUSVVIURUUOVUJDXGXHVVJVUSUWADVUPYMZUWCDVUPYMZLVVIUWAUWC
      DVUPRXIVVJVVKVVCVVLVVHVVKCDVUPUVTSZIVVJVVCDVUPCUVTXJVVJVVMVVBCVVJVVMDVUPU
      UPSZDVUPUVSSZGHVVBDVUPUUPUVSGRXKVVJVVNVUTVVOVVAGVVJVVNDVUPESZDVUPUUOSZFVU
      TDVUPEUUOXLVVJVVPEVVQVUPDVUPRXMZDVUPERXNXOXPVVJVVODVUPUVRSZVVQFVVADVUPUVR
      UUOXLVVJVVSUVRVVQVUPVVRDVUPUVRRXNXOXPVAXQOXRVVLUVFDVUPYMZAUWBUEVVJVVHUVFD
      AVUPUWBXSVVJVVTVVGAUWBVVTCDVUPUVESZIVVJVVGDVUPCUVEXJVVJVWAVVFCVVJVWADVUPU
      VBSZDVUPUVDSZGHVVFDVUPUVBUVDGRXKVVJVWBVVDVWCVVEGVVJVWBDVUPUVASZVVQFVVDDVU
      PUVAUUOXLVVJVWDUVAVVQVUPVVRDVUPUVARXNXOXPVVJVWCDVUPUVCSZVVQFVVEDVUPUVCUUO
      XLVVJVWEUVCVVQVUPVVRDVUPUVCRXNXOXPVAXQOXRXTXRUMYAVCUYLVUNVVIUWMUYLVUNUWJV
      VIUWLUYLVUNUWJVVIUWLLZLUYLVUNTZUWJUWAVWFVWGUWJUYGUWAUYLUYKVUNUYLUYJUYKVUC
      VUDPQVWGUYGUWAVWGUYGTZUWAUYBUYFCUVSVQVJZVRZVWHUYBUYFVWIUYGUYBVWGVUFVOVWGU
      YBUYFUYCYBUYLVUNUYGVWIUYLUYGVUNVWIUYLUYGVWIVUNUYGUYBVUGVWIVUNURUYLVUFVUMC
      UVSYCYDYEYFYGWNVWHUYHVUGTZUWAVWJURUYLVWKVUNUYGUYLUYHVUGUYTVUMWGVMUUPUVSCW
      IPWTWOWPUYLUWAVWFLVUNUYLUWAVWFUYLUWATZVVCVVHUWLUYLUWAVVCUYLUVTVVBCUYLUUPV
      UTUVSVVAGUYLVUTUUPUYLEVUJIZVUTUUPUNUXHVWMUXKUXHUXSVWMUXTUVRWCPQEVUJUUOYNP
      YHUYLVVAUVSUYLVUKVVAUVSUNUXHVUKUXKVULQUVRVUJUUOYNPYHVAOYIVWLVVHUWCUWLVWLV
      VGUVFAUWBVWLUVAUWBIZTZVVFUVECVWOVVDUVBVVEUVDGVWOUVAVUJIZVVDUVBUNVWNVWPVWL
      UVAEUVRYJVOUVAVUJUUOYNPUYLVWNVVEUVDUNZUWAUYLVWNTUVCVUJIZVWQVWNVWRUYLEUVRU
      VAYKVOUVCVUJUUOYNPWHVAOYLVWLUWBUWKYOZUWCUWLLUXHVWSUXKUWAUXHUVRUVRYPFZIZUW
      GVWTIVWSUXHUVRYQIVXAUVRYRUVRYSPUVRUVRUUAUVREUWGUUBUUFVMUVFAUWBUWKUUCPWPUU
      DWOQUUGWOUUEUUHUUIPWOYTUUJWOYTUUKUULUUMWOUUN $.
  $}

  ${
    $d M i j k p $.  $d P i j k p $.  $d X i p $.  $d M i p x $.  $d P x $.
    $d ph i j k $.  $d ph x $.
    iccpartiun.m $e |- ( ph -> M e. NN ) $.
    iccpartiun.p $e |- ( ph -> P e. ( RePart ` M ) ) $.
    $( A half-open interval of extended reals is the union of the parts of its
       partition.  (Contributed by AV, 18-Jul-2020.) $)
    iccpartiun $p |- ( ph -> ( ( P ` 0 ) [,) ( P ` M ) )
                 = U_ i e. ( 0 ..^ M ) ( ( P ` i ) [,) ( P ` ( i + 1 ) ) ) ) $=
      ( vp vj vk cc0 cfv cico co cv wcel wi wral fveq1 cle wbr vx cfzo c1 caddc
      ciun wrex ciccp cn iccelpart oveq12d eleq2d rexbidv imbi12d rspcva expcom
      wceq 3syl mpd wa cxr wss cn0 cfz nnnn0 iccpartxr nn0fz0 biimpi jca adantr
      0elfz elfzofz iccpartgel fveq2 breq2d syl2anr fzofzp1 iccpartleu icossico
      weq breq1d syl12anc sseld rexlimdva impbid eliun bitr4di eqrdv ) AUAJBKZD
      BKZLMZCJDUBMZCNZBKZWLUCUDMZBKZLMZUEZAUANZWJOZWRWPOZCWKUFZWRWQOAWSXAABDUGK
      ZOZWSXAPZFADUHOZWRJGNZKZDXFKZLMZOZWRWLXFKZWNXFKZLMZOZCWKUFZPZGXBQZXCXDPEC
      DWRGUIXCXQXDXPXDGBXBXFBUPZXJWSXOXAXRXIWJWRXRXGWHXHWILJXFBRDXFBRUJUKXRXNWT
      CWKXRXMWPWRXRXKWMXLWOLWLXFBRWNXFBRUJUKULUMUNUOUQURAWTWSCWKAWLWKOZUSZWPWJW
      RXTWHUTOZWIUTOZUSZWHWMSTZWOWISTZWPWJVAAYCXSAYAYBABJDEFAXEDVBOZJJDVCMZOEDV
      DZDVJUQVEABDDEFAXEYFDYGOZEYHYFYIDVFVGUQVEVHVIXSWLYGOWHHNZBKZSTZHYGQYDAWLJ
      DVKABHDEFVLYLYDHWLYGHCVSYKWMWHSYJWLBVMVNUNVOXSWNYGOINZBKZWISTZIYGQYEAJDWL
      VPABIDEFVQYOYEIWNYGYMWNUPYNWOWISYMWNBVMVTUNVOWHWIWMWOVRWAWBWCWDCWRWKWPWEW
      FWG $.

    $d I i j $.  $d J j $.
    $( Lemma for ~ icceuelpart .  (Contributed by AV, 19-Jul-2020.) $)
    icceuelpartlem $p |- ( ph -> ( ( I e. ( 0 ..^ M ) /\ J e. ( 0 ..^ M ) )
                          -> ( I < J -> ( P ` ( I + 1 ) ) <_ ( P ` J ) ) ) ) $=
      ( vi vj cc0 co wcel wa clt wbr cfv wceq wi adantr adantl cfzo c1 caddc wo
      cle fveq2 olcd a1d wn cz elfzoelz wne zltp1le biimpcd impcom df-ne sylbb1
      necom jca cr wb peano2z zred zre anim12i ltlen syl mpbird syl2an cfz wral
      ex iccpartgt fzofzp1 elfzofz breq1 breq1d imbi12d breq2 breq2d mpan9 syld
      cv rspc2v expdimp orcd pm2.61i cxr cn ciccp iccpartxr xrleloe exp31 ) ACJ
      EUAKZLZDWNLZMZCDNOZCUBUCKZBPZDBPZUEOZAWQMZWRMZXBWTXANOZWTXAQZUDZWSDQZXDXG
      RXHXGXDXHXFXEWSDBUFUGUHXHUIZXDXGXIXDMXEXFXDXIXEXCWRXIXEXCWRXIMZWSDNOZXEWQ
      XJXKRZAWOCUJLZDUJLZXLWPCJEUKDJEUKXMXNMZXJXKXOXJMZXKWSDUEOZDWSULZMZXPXQXRX
      JXOXQWRXOXQRXIXOWRXQCDUMUNSUOXJXRXOXIXRWRWSDULXIXRWSDUPWSDURUQTTUSXPWSUTL
      ZDUTLZMZXKXSVAXOYBXJXMXTXNYAXMWSCVBVCDVDVESWSDVFVGVHVLVITAHWCZIWCZNOZYCBP
      ZYDBPZNOZRZIJEVJKZVKHYJVKZWQXKXERZABHIEFGVMWOWSYJLZDYJLZYKYLRWPJECVNZDJEV
      OZYIYLWSYDNOZWTYGNOZRHIWSDYJYJYCWSQZYEYQYHYRYCWSYDNVPYSYFWTYGNYCWSBUFVQVR
      YDDQZYQXKYRXEYDDWSNVSYTYGXAWTNYDDBUFVTVRWDVIWAWBWEUOWFVLWGXDWTWHLZXAWHLZM
      ZXBXGVAXCUUCWRXCUUAUUBXCBWSEAEWILWQFSZABEWJPLWQGSZWQYMAWOYMWPYOSTWKXCBDEU
      UDUUEWQYNAWPYNWOYPTTWKUSSWTXAWLVGVHWM $.

    $d X j $.
    $( An element of a partitioned half-open interval of extended reals is an
       element of exactly one part of the partition.  (Contributed by AV,
       19-Jul-2020.) $)
    icceuelpart $p |- ( ( ph /\ X e. ( ( P ` 0 ) [,) ( P ` M ) ) )
                       -> E! i e. ( 0 ..^ M )
                          X e. ( ( P ` i ) [,) ( P ` ( i + 1 ) ) ) ) $=
      ( vj cc0 cfv cico co wcel wa wi adantr com12 cxr wbr adantl vp cv c1 cfzo
      caddc wrex weq wral wreu ciccp cn iccelpart syl wceq fveq1 oveq12d eleq2d
      rexbidv imbi12d rspcva adantld mp2and cle clt w3a cfz elfzofz fzofzp1 jca
      iccpartxr adantrr elico1 adantrl anbi12d w3o elfzoelz zred anim12i lttri4
      wb cr icceuelpartlem imp31 wn simpl nltle2tri syl3anc pm2.21d 3expd com23
      com25 imp4b 3adant3 3ad2ant3 imp syldan expcom 2a1 ancomsd 3ad2ant2 3jaoi
      ex 3adant2 mpcom sylbid ralrimivva fveq2 fvoveq1 reu4 sylanbrc ) AEIBJZDB
      JZKLZMZNZECUBZBJZXPUCUELZBJZKLZMZCIDUDLZUFZYAEHUBZBJZYDUCUELZBJZKLZMZNZCH
      UGZOZHYBUHCYBUHZYACYBUIXOBDUJJZMZEIUAUBZJZDYPJZKLZMZEXPYPJZXRYPJZKLZMZCYB
      UFZOZUAYNUHZYCAYOXNGPAUUGXNADUKMZUUGFCDEUAULUMPYOUUGNZXOYCUUIXNYCAUUFXNYC
      OUABYNYPBUNZYTXNUUEYCUUJYSXMEUUJYQXKYRXLKIYPBUODYPBUOUPUQUUJUUDYACYBUUJUU
      CXTEUUJUUAXQUUBXSKXPYPBUOXRYPBUOUPUQURUSUTVAQVBAYMXNAYLCHYBYBAXPYBMZYDYBM
      ZNZNZYJERMZXQEVCSZEXSVDSZVEZUUOYEEVCSZEYGVDSZVEZNZYKUUNYAUURYIUVAUUNXQRMZ
      XSRMZNZYAUURVTAUUKUVEUULAUUKNZUVCUVDUVFBXPDAUUHUUKFPZAYOUUKGPZUUKXPIDVFLZ
      MAXPIDVGTVJZUVFBXRDUVGUVHUUKXRUVIMAIDXPVHTVJZVIVKXQXSEVLUMUUNYERMZYGRMZNZ
      YIUVAVTAUULUVNUUKAUULNZUVLUVMUVOBYDDAUUHUULFPZAYOUULGPZUULYDUVIMAYDIDVGTV
      JZUVOBYFDUVPUVQUULYFUVIMAIDYDVHTVJZVIVMYEYGEVLUMVNXPYDVDSZYKYDXPVDSZVOZUU
      NUVBYKOZUUNXPWAMZYDWAMZNZUWBUUMUWFAUUKUWDUULUWEUUKXPXPIDVPVQUULYDYDIDVPVQ
      VRTXPYDVSUMUVTUUNUWCOYKUWAUUNUVTUWCUUNUVTXSYEVCSZUWCAUUMUVTUWGABXPYDDFGWB
      WCUVBUUNUWGNZYKUURUVAUWHYKOZUUQUUOUVAUWIOUUPUVAUUQUWIUUOUUSUUQUWIOUUTUUOU
      USNUWHUUQYKUUOUUSUUNUWGUUQYKOUUOUUQUUNUWGUUSYKUUOUUNUUQUWGUUSYKOOZUUOUUNU
      UQUWJOUUOUUNNZUUQUWGUUSYKUWKUUQUWGUUSVEZYKUWKUUOUVDUVLUWLWDUUOUUNWEZUUNUV
      DUUOAUUKUVDUULUVKVKTUUNUVLUUOAUULUVLUUKUVRVMTEXSYEWFWGWHWIXBWJWKWLWJWMQWN
      WOQWPWQYKUUNUVBWRUUNUWAUWCUUNUWAYGXQVCSZUWCAUUMUWAUWNAUULUUKUWAUWNOABYDXP
      DFGWBWSWCUVBUUNUWNNZYKUURUVAUWOYKOZUUPUUOUVAUWPOUUQUVAUUPUWPUUOUUTUUPUWPO
      UUSUUOUUTNUWOUUPYKUUOUUTUUNUWNUUPYKOZUUOUUNUUTUWNUWQOZUUOUUNUUTUWROUWKUUT
      UWNUUPYKUWKUUTUWNUUPVEZYKUWKUUOUVMUVCUWSWDUWMUUNUVMUUOAUULUVMUUKUVSVMTUUN
      UVCUUOAUUKUVCUULUVJVKTEYGXQWFWGWHWIXBWJWLWJXCQWTWOQWPWQXAXDXEXFPYAYICHYBY
      KXTYHEYKXQYEXSYGKXPYDBXGXPYDUCBUEXHUPUQXIXJ $.

    $d ph p $.
    $( The segments of a partitioned half-open interval of extended reals are a
       disjoint collection.  (Contributed by AV, 19-Jul-2020.) $)
    iccpartdisj $p |- ( ph -> Disj_ i e. ( 0 ..^ M )
                                    ( ( P ` i ) [,) ( P ` ( i + 1 ) ) ) ) $=
      ( vp vj cv cfv co cico wcel cc0 wi cxr cle wbr adantr ex c1 cfzo wrmo wal
      caddc wdisj wrex wreu nfv nfreu1 wa simpl wss cn ciccp cfz cn0 nnnn0 3syl
      0elfz iccpartxr nn0fz0 biimpi wral iccpartgel elfzofz adantl fveq2 breq2d
      wceq rspcv syl mpid imp iccpartleu fzofzp1 breq1d icossico syl22anc sseld
      icceuelpart syl6an rexlimd rmo5 sylibr alrimiv df-disj ) AGIZCIZBJZWIUAUE
      KZBJZLKZMZCNDUBKZUCZGUDCWOWMUFAWPGAWNCWOUGWNCWOUHZOWPAWNWQCWOACUIWNCWOUJA
      WIWOMZWNWQOAWRUKZAWNWHNBJZDBJZLKZMWQAWRULWSWMXBWHWSWTPMXAPMWTWJQRZWLXAQRZ
      WMXBUMWSBNDADUNMZWRESZABDUOJMWRFSZANNDUPKZMZWRAXEDUQMZXIEDURZDUTUSSVAWSBD
      DXFXGADXHMZWRAXEXJXLEXKXJXLDVBVCUSSVAAWRXCAWRWTHIZBJZQRZHXHVDZXCABHDEFVEA
      WRXPXCOZWSWIXHMZXQWRXRAWINDVFVGXOXCHWIXHXMWIVJXNWJWTQXMWIBVHVIVKVLTVMVNAW
      RXDAWRXNXAQRZHXHVDZXDABHDEFVOAWRXTXDOZWSWKXHMZYAWRYBANDWIVPVGXSXDHWKXHXMW
      KVJXNWLXAQXMWKBVHVQVKVLTVMVNWTXAWJWLVRVSVTABCDWHEFWAWBTWCWNCWOWDWEWFCGWOW
      MWGWE $.
  $}

  ${
    $d I i k x $.  $d M i k x $.  $d P i k x $.  $d X x $.  $d ph i k x $.
    iccpartnel.m $e |- ( ph -> M e. NN ) $.
    iccpartnel.p $e |- ( ph -> P e. ( RePart ` M ) ) $.
    iccpartnel.x $e |- ( ph -> X e. ran P ) $.
    $( A point of a partition is not an element of any open interval determined
       by the partition.  Corresponds to ~ fourierdlem12 in GS's mathbox.
       (Contributed by Glauco Siliprandi, 11-Dec-2019.)  (Revised by AV,
       8-Jul-2020.) $)
    iccpartnel $p |- ( ( ph /\ I e. ( 0 ..^ M ) )
                       -> -. X e. ( ( P ` I ) (,) ( P ` ( I + 1 ) ) ) ) $=
      ( vi cfv wcel wa wi clt wbr wb adantr mpd ex com12 vx vk c1 caddc co cioo
      cc0 cfzo wn cxr w3a elioo3g wceq cfz wrex crn wfn ciccp cmap wral iccpart
      cv cn syl elmapfn syl6bi fvelrnb mpbid wo cr elfzelz zred adantl elfzoelz
      cle lelttric syl2an breq2 breq1 anbi12d leloe iccpartgt simpr elfzofz weq
      fveq2 breq1d imbi12d breq2d rspc2v pm3.35 iccpartxr simp1 syl2anr xrlenlt
      xrltle sylibd com13 imp pm2.21d xrltnr 3ad2ant1 sylbid jaoi com23 syl6bir
      a1d com14 impd com24 zltp1le peano2zd bitrd fzofzp1 simp2 xrltnsym expcom
      cz expd 3ad2ant2 rexlimdva sylbi ax-1 pm2.61i ) ECBJZCUCUDUEZBJZUFUEKZACU
      GDUHUEZKZLZYHUIZMZYHYEUJKZYGUJKZEUJKZUKZYEENOZEYGNOZLZLZYMYEYGEULYKUUAYLA
      YJUUAYLMZAUAVBZBJZEUMZUAUGDUNUEZUOZYJUUBMZAEBUPKZUUGHABUUFUQZUUIUUGPABDUR
      JKZUUJGAUUKBUJUUFUSUEKZIVBZBJZUUMUCUDUEBJNOIYIUTZLZUUJADVCKZUUKUUPPFBIDVA
      VDUULUUJUUOBUJUUFVEQVFRUAUUFEBVGVDVHAUUEUUHUAUUFAUUCUUFKZLZYJUUEUUBUUSYJU
      UEUUBMZUUSYJLZUUCCVOOZCUUCNOZVIZUUTUUSUUCVJKZCVJKZUVDYJUURUVEAUURUUCUUCUG
      DVKZVLVMZYJCCUGDVNZVLZUUCCVPVQUVDUVAUUTUVBUVAUUTMUVCUVBUUAUUEUVAYLUVBYQYT
      UUEUVAYLMZMZUVBYTYQUVLUUEYTYQUVBUVKUUEYTYEUUDNOZUUDYGNOZLZYQUVBUVKMMZUUEU
      VMYRUVNYSUUDEYENVRUUDEYGNVSVTZUVMUVPUVNUVAYQUVBUVMYLUVAUVBYQUVMYLMZUVAUVB
      UUCCNOZUUCCUMZVIZYQUVRMZUUSUVEUVFUVBUWAPYJUVHUVJUUCCWAVQUWAUVAUWBUVSUVAUW
      BMZUVTUVAUVSUWBUVAUVSUUDYENOZMZUVSUWBMUVAUUMUBVBZNOZUUNUWFBJZNOZMZUBUUFUT
      IUUFUTZUWEUUSUWKYJAUWKUURABIUBDFGWBQQZUUSUURCUUFKUWKUWEMYJAUURWCZCUGDWDUW
      JUWEUUCUWFNOZUUDUWHNOZMIUBUUCCUUFUUFIUAWEZUWGUWNUWIUWOUUMUUCUWFNVSUWPUUNU
      UDUWHNUUMUUCBWFWGWHUWFCUMZUWNUVSUWOUWDUWFCUUCNVRUWQUWHYEUUDNUWFCBWFWIWHWJ
      VQRUVSUWEUVAUWBUVSUWEUWCUVSUWELUWDUWCUVSUWDWKUWDUVAUWBUWDUVALZYQUVRUWRYQL
      UVMYLUWRYQUVMUIZUWDUVAYQUWSMYQUVAUWDUWSYQUVAUWDUWSMYQUVALUWDUUDYEVOOZUWSU
      VAUUDUJKZYNUWDUWTMYQUUSUXAYJUUSBUUCDAUUQUURFQAUUKUURGQUWMWLQZYNYOYPWMZUUD
      YEWPWNUVAUXAYNUWTUWSPYQUXBUXCUUDYEWOWNWQSWRWSWSWTSSVDSWRRTUVTUWBUVAUVTYQU
      VRUVTYQLZUVMYEYENOZYLUVTUVMUXEPYQUVTUUDYEYENUUCCBWFWIQUXDUXEYLYQUXEUIZUVT
      YNYOUXFYPYEXAXBVMWTXCSXGXDTXCXEXHQXFXHXEXIXJUVCUUAUUEUVAYLUVCYQYTUVLUVCYT
      YQUVLUUEYTYQUVCUVKUUEYTUVOYQUVCUVKMMUVQUVAYQUVCUVOYLUVAUVCYQUVOYLMZUVAUVC
      YFUUCNOZYFUUCUMZVIZYQUXGMZUVAUVCYFUUCVOOZUXJYJCXRKUUCXRKZUVCUXLPUUSUVIUUR
      UXMAUVGVMCUUCXKWNYJYFVJKUVEUXLUXJPUUSYJYFYJCUVIXLVLUVHYFUUCWAWNXMUXJUVAUX
      KUXHUVAUXKMZUXIUVAUXHUXKUVAUXHYGUUDNOZMZUXHUXKMUVAUWKUXPUWLYJYFUUFKUURUWK
      UXPMUUSUGDCXNUWMUWJUXPYFUWFNOZYGUWHNOZMIUBYFUUCUUFUUFUUMYFUMZUWGUXQUWIUXR
      UUMYFUWFNVSUXSUUNYGUWHNUUMYFBWFWGWHUBUAWEZUXQUXHUXRUXOUWFUUCYFNVRUXTUWHUU
      DYGNUWFUUCBWFWIWHWJWNRUXHUXPUVAUXKUXHUXPUXNUXHUXPLUXOUXNUXHUXOWKUVOUVAYQU
      XOYLUVNUVAYQUXOYLMZMMUVMUVNUVAYQUYAUVAYQLZUVNUYAUYBUVNLUXOYLUYBUVNUXOUIZU
      VAUXAYOUVNUYCMYQUXBYNYOYPXOUUDYGXPVQWSWTXQXSVMXHVDSWRRTUXIUXKUVAUXIUVOYQY
      LUXIUVOYEYGNOZYGYGNOZLYQYLMZUXIUYDUVMUYEUVNUXIYGUUDYENYFUUCBWFZWIUXIYGUUD
      YGNUYGWGVTUYEUYFUYDYQUYEYLYQUYEYLYOYNUYEUIYPYGXAXTWTTVMXFXEXGXDTXCXEXHXFX
      HXEXIXJXDTRSXEYARWSTYBYLYKYCYD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Shifting functions with an integer range domain
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d F x $.  $d E x $.  $d X x $.
    fargshift.g $e |- G = ( x e. ( 0 ..^ ( # ` F ) ) |-> ( F ` ( x + 1 ) ) ) $.
    $( If a class is a function, then the values of the "shifted function"
       correspond to the function values of the class.  (Contributed by
       Alexander van der Vekens, 23-Nov-2017.) $)
    fargshiftfv $p |- ( ( N e. NN0 /\ F : ( 1 ... N ) --> dom E )
                  -> ( X e. ( 0 ..^ N ) -> ( G ` X ) = ( F ` ( X + 1 ) ) ) ) $=
      ( cn0 wcel c1 cfz co cdm wa cc0 cfzo cfv caddc wceq cvv wfn ffn fseq1hash
      wf chash wi oveq2 eqcoms eleq2d biimpd syl sylan2 imp fvex fvoveq1 fvmptg
      cv sylancl ex ) EHIZJEKLZBMZCUDZNZFOEPLZIZFDQFJRLZCQZSZVDVFNFOCUEQZPLZIZV
      HTIVIVDVFVLVCUTCVAUAZVFVLUFZVAVBCUBUTVMNVJESZVNCEUCVOVFVLVOVEVKFVEVKSEVJE
      VJOPUGUHUIUJUKULUMVGCUNAFAUQZJRLCQVHVKTDVPFJCRUOGUPURUS $.

    $( If a class is a function, then also its "shifted function" is a
       function.  (Contributed by Alexander van der Vekens, 23-Nov-2017.) $)
    fargshiftf $p |- ( ( N e. NN0 /\ F : ( 1 ... N ) --> dom E )
                     -> G : ( 0 ..^ ( # ` F ) ) --> dom E ) $=
      ( cn0 wcel c1 cfz co cdm wf wa cv caddc cfv cc0 chash wceq cfzo fseq1hash
      wral wfn sylan2 wb eleq1 oveq2 feq2d anbi12d eqcoms wi fz0add1fz1 ffvelrn
      ffn expcom syl impancom ralrimiv syl6bi mpcom fmpt sylib ) EGHZIEJKZBLZCM
      ZNZAOZIPKZCQZVFHZARCSQZUAKZUCZVNVFDMVMETZVHVOVGVDCVEUDVPVEVFCUOCEUBUEVPVH
      VMGHZIVMJKZVFCMZNZVOVHVTUFEVMEVMTZVDVQVGVSEVMGUGWAVEVRVFCEVMIJUHUIUJUKVTV
      LAVNVQVIVNHZVSVLVQWBNVJVRHZVSVLULVMVIUMVSWCVLVRVFVJCUNUPUQURUSUTVAAVNVFVK
      DFVBVC $.

    $d F k l x y z $.  $d E y z $.  $d G y z $.
    $( If a function is 1-1, then also the shifted function is 1-1.
       (Contributed by Alexander van der Vekens, 23-Nov-2017.) $)
    fargshiftf1 $p |- ( ( N e. NN0 /\ F : ( 1 ... N ) -1-1-> dom E )
                     -> G : ( 0 ..^ ( # ` F ) ) -1-1-> dom E ) $=
      ( vy vz vk vl wcel c1 co wa cfv wceq wi adantl adantr impcom cn0 cfz cfzo
      cdm wf1 cc0 chash wf cv weq f1f fargshiftf sylan2 wfn ffn fseq1hash eleq1
      wral wb oveq2 f1eq2 anbi12d dff13 caddc fz0add1fz1 anim12dan fveq2 eqeq1d
      syl eqeq1 imbi12d eqeq2d eqeq2 rspc2v fargshiftfv expcom com13 eqeq12d cc
      w3a elfzoelz zcnd 1cnd 3jca addcan2 imbi2d biimpa sylbid syld exp31 com24
      ex imp mpd ralrimdvv sylbi syl6bir mpcom sylanbrc ) EUAKZLEUBMZBUDZCUEZNZ
      UFCUGOZUCMZXBDUHZGUIZDOZHUIZDOZPZGHUJZQZHXFURGXFURZXFXBDUEXCWTXAXBCUHZXGX
      AXBCUKZABCDEFULUMXEEPZXDXOXCWTXPXRXQXPWTCXAUNXRXAXBCUOCEUPUMUMXRXDXEUAKZL
      XEUBMZXBCUEZNXOXRXSWTYAXCXEEUAUQXRXTXAPYAXCUSXEELUBUTXTXAXBCVAVIVBYAXSXOY
      AXTXBCUHZIUIZCOZJUIZCOZPZIJUJZQZJXTURIXTURZNZXSXOQIJXTXBCVCYKXSXNGHXFXFXH
      XFKZXJXFKZNZXSYKXNXSYNYKXNQZXSYNNZXHLVDMZXTKZXJLVDMZXTKZNZYOXSYLYRYMYTXEX
      HVEXEXJVEVFYKUUAYPXNYBYJUUAYPXNQQYBYPUUAYJXNYBYPUUAYJXNQYBYPNZUUANZYJYQCO
      ZYSCOZPZYQYSPZQZXNUUAYJUUHQUUBYIUUHUUDYFPZYQYEPZQIJYQYSXTXTYCYQPZYGUUIYHU
      UJUUKYDUUDYFYCYQCVGVHYCYQYEVJVKYEYSPZUUIUUFUUJUUGUULYFUUEUUDYEYSCVGVLYEYS
      YQVMVKVNRUUCUUHXNUUCUUHNXLUUFXMUUCXLUUFUSZUUHUUBUUMUUAUUBXIUUDXKUUEYPYBXI
      UUDPZYNXSYBUUNQZYLXSUUOQYMYBXSYLUUNXSYBYLUUNQABCDXEXHFVOVPVQSTTYPYBXKUUEP
      ZYNXSYBUUPQZYMXSUUQQYLYBXSYMUUPXSYBYMUUPQABCDXEXJFVOVPVQRTTVRSSUUCUUHUUFX
      MQUUCUUGXMUUFUUCXHVSKZXJVSKZLVSKZVTZUUGXMUSUUBUVAUUAYPUVAYBYPUURUUSUUTYNU
      URXSYLUURYMYLXHXHUFXEWAWBSRYNUUSXSYMUUSYLYMXJXJUFXEWAWBRRYPWCWDRSXHXJLWEV
      IWFWGWHWLWIWJWKWMVQWNVPVQWOWPTWQWRGHXFXBDVCWS $.

    $d N x y z $.
    $( If a function is onto, then also the shifted function is onto.
       (Contributed by Alexander van der Vekens, 24-Nov-2017.) $)
    fargshiftfo $p |- ( ( N e. NN0 /\ F : ( 1 ... N ) -onto-> dom E )
                     -> G : ( 0 ..^ ( # ` F ) ) -onto-> dom E ) $=
      ( vy vz wcel c1 co wa cc0 cfv cfzo wceq sylan2 caddc adantl wb cn0 cfz wf
      cdm wfo chash crn fof fargshiftf cv wrex cab rnmpt wfn fofn fnrnfv syl wi
      df-fo biimpi eqeq1 eqcom bitrdi ffn fseq1hash fz0add1fz1 cmin nn0z fzval3
      cz nn0cn 1cnd addcomd oveq2d eqtrd eleq2d biimpa adantr fzosubel3 syl2anc
      oveq1 eqeq2d cc elfzelz zcnd npcand eqcomd rspcedvd fveq2 rexxfrd rexeqdv
      oveq2 bibi2d mpbird syldan abbidv eqeq1d biimpcd syl6bi com23 mpcom dffo2
      mpd syl5eq sylanbrc ) EUAIZJEUBKZBUDZCUEZLZMCUFNZOKZXHDUCZDUGZXHPXLXHDUEX
      IXFXGXHCUCZXMXGXHCUHZABCDEFUIQXJXNGUJZAUJZJRKZCNZPZAXLUKZGULZXHAGXLXTDFUM
      XJCUGZXQHUJZCNZPZHXGUKZGULZPZYCXHPZXIYJXFXICXGUNZYJXGXHCUOHGXGCUPUQSYLYDX
      HPZLZXJYJYKURZXIYNXFXIYNXGXHCUSUTSYMXJYOURYLYMYJXJYKYMYJYIXHPZXJYKURYMYJX
      HYIPYPYDXHYIVAXHYIVBVCXJYPYKXJYIYCXHXJYHYBGXFXIXKEPZYHYBTZXIXFXOYQXPXOXFY
      LYQXGXHCVDCEVEQQXFYQLYRYHYAAMEOKZUKZTZXFUUAYQXFYGYAHAXSXGYSEXRVFXFYEXGIZL
      ZYEXSPZYEYEJVGKZJRKZPZAUUEYSUUCYEJJERKZOKZIZEVJIZUUEYSIXFUUBUUJXFXGUUIYEX
      FXGJEJRKZOKZUUIXFUUKXGUUMPEVHZJEVIUQXFUULUUHJOXFEJEVKXFVLVMVNVOVPVQXFUUKU
      UBUUNVRYEJEVSVTXRUUEPZUUDUUGTUUCUUOXSUUFYEXRUUEJRWAWBSUUCUUFYEUUCYEJUUBYE
      WCIXFUUBYEYEJEWDWESUUCVLWFWGWHUUDYGYATXFUUDYFXTXQYEXSCWIWBSWJVRYQYRUUATXF
      YQYBYTYHYQYAAXLYSXKEMOWLWKWMSWNWOWPWQWRWSWTSXAXCXDXLXHDXBXE $.

    $d E k $.  $d G k $.  $d N k $.  $d P k $.  $d E l $.  $d N l $.  $d P l $.
    $( The values of a shifted function correspond to the value of the original
       function.  (Contributed by Alexander van der Vekens, 24-Nov-2017.) $)
    fargshiftfva $p |- ( ( N e. NN0 /\ F : ( 1 ... N ) --> dom E )
      -> ( A. k e. ( 1 ... N ) ( E ` ( F ` k ) ) = [_ k / x ]_ P
        -> A. l e. ( 0 ..^ N ) ( E ` ( G ` l ) ) = [_ ( l + 1 ) / x ]_ P ) ) $=
      ( wcel c1 co wa cv cfv csb wceq wral wi ex cn0 cfz cdm wf cfzo fz0add1fz1
      caddc cc0 simpl adantr 2fveq3 csbeq1 eqeq12d adantl anim1i simpr ad3antlr
      wb fargshiftfv imp eqcomd syl2anc fveqeq2d bitrd rspcdv com23 com24 imp31
      mpancom ralrimiv ) GUAJZKGUBLZDUCEUDZMZCNZEODOZAVOBPZQZCVLRZHNZFOZDOAVTKU
      GLZBPZQZHUHGUELZRVNVSMWDHWEVKVMVSVTWEJZWDSVKWFVSVMWDVKWFVSVMWDSSZWBVLJZVK
      WFMZWGGVTUFWHWIMZVMVSWDWJVMVSWDSWJVMMZVRWDCWBVLWJWHVMWHWIUIUJWKVOWBQZMZVR
      WBEOZDOZWCQZWDWLVRWPURWKWLVPWOVQWCVOWBDEUKAVOWBBULUMUNWMWNWAWCDWMVNWFWNWA
      QWKVNWLWJVKVMWIVKWHVKWFUIUNUOUJWIWFWHVMWLVKWFUPUQVNWFMWAWNVNWFWAWNQADEFGV
      TIUSUTVAVBVCVDVETVFVITVGVHVJT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Words over a set (extension)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Last symbol of a word - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The last symbol of a not empty word exists.  The empty set must be
     excluded as symbol, because otherwise, it cannot be distinguished between
     valid cases ( ` (/) ` is the last symbol) and invalid cases ( ` (/) `
     means that no last symbol exists.  This is because of the special
     definition of a function in set.mm.  (Contributed by Alexander van der
     Vekens, 18-Mar-2018.) $)
  lswn0 $p |- ( ( W e. Word V /\ (/) e/ V /\ ( # ` W ) =/= 0 )
                  -> ( lastS ` W ) =/= (/) ) $=
    ( cword wcel c0 wnel chash cfv cc0 wne w3a clsw c1 cmin co wceq wi wa com12
    cn0 lsw 3ad2ant1 cfzo wrdf lencl simpll clt wbr elnnne0 biimpri nnm1nn0 syl
    wf cn nn0re ltm1d adantr elfzo0 syl3anbrc adantll ffvelrnd ex eleq1a eqcoms
    syl2anc wn nnel syl6ibr necon2ad syl6 com23 3imp eqnetrd ) BACZDZEAFZBGHZIJ
    ZKBLHZVQMNOZBHZEVOVPVSWAPVRBVNUAUBVOVPVRWAEJZVOVRVPWBVOVRWAADZVPWBQVOIVQUCO
    ZABUMZVQTDZVRWCQABUDABUEWEWFRZVRWCWGVRRWDAVTBWEWFVRUFWFVRVTWDDZWEWFVRRZVTTD
    ZVQUNDZVTVQUGUHZWHWIWKWJWKWIVQUIUJZVQUKULWMWFWLVRWFVQVQUOUPUQVTVQURUSUTVAVB
    VEWCVPWAEWCWAEPZEADZVPVFWNWCWOWCWOQEWAWCEWAPWOWAAEVCSVDSEAVGVHVIVJVKVLVM $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Unordered pairs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Interchangeable setvar variables
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c <> $.

  $( Extend wff notation to include the propery of a wff ` ph ` that the setvar
     variables ` x ` and ` y ` are interchangeable.  Read this notation
     as " ` x ` and ` y ` are interchangeable in wff ` ph ` ". $)
  wich $a wff [ x <> y ] ph $.

  ${
    $d a ph $.  $d a x $.  $d a y $.
    $( Define the property of a wff ` ph ` that the setvar variables ` x ` and
       ` y ` are interchangeable.  For an alternate definition using implicit
       substitution and a temporary setvar variable see ~ ichcircshi .
       Another, equivalent definition using two temporary setvar variables is
       provided in ~ dfich2 .  (Contributed by AV, 29-Jul-2023.) $)
    df-ich $a |- ( [ x <> y ] ph <-> A. x A. y
                               ( [ x / a ] [ y / x ] [ a / y ] ph <-> ph ) ) $.
  $}

  ${
    $d a y $.  $d a x $.  $d a ph $.
    $( The first interchangeable setvar variable is not free.  (Contributed by
       AV, 21-Aug-2023.) $)
    nfich1 $p |- F/ x [ x <> y ] ph $=
      ( va wich wsb wb wal df-ich nfa1 nfxfr ) ABCEACDFBCFDBFAGCHZBHBABCDILBJK
      $.

    $( The second interchangeable setvar variable is not free.  (Contributed by
       AV, 21-Aug-2023.) $)
    nfich2 $p |- F/ y [ x <> y ] ph $=
      ( va wich wsb wb wal df-ich nfa2 nfxfr ) ABCEACDFBCFDBFAGZCHBHCABCDILCBJK
      $.
  $}

  ${
    $d a x ph $.  $d a y ph $.
    $( Setvar variables are interchangeable in a wff they do not appear in.
       (Contributed by SN, 23-Nov-2023.) $)
    ichv $p |- [ x <> y ] ph $=
      ( va wich wsb wb wal sbv sbbii bitri gen2 df-ich mpbir ) ABCEACDFZBCFZDBF
      ZAGZCHBHRBCQADBFAPADBPABCFAOABCACDIJABCIKJADBIKLABCDMN $.
  $}

  ${
    $d a x $.  $d a y $.  $d a ph $.
    ichf.1 $e |- F/ x ph $.
    ichf.2 $e |- F/ y ph $.
    $( Setvar variables are interchangeable in a wff they are not free in.
       (Contributed by SN, 23-Nov-2023.) $)
    ichf $p |- [ x <> y ] ph $=
      ( va wich wsb wb wal sbf sbbii bitri sbv gen2 df-ich mpbir ) ABCGACFHZBCH
      ZFBHZAIZCJBJUABCTAFBHASAFBSABCHARABCACFEKLABCDKMLAFBNMOABCFPQ $.
  $}

  ${
    $d a ph $.  $d a x $.
    $( A setvar variable is always interchangeable with itself.  (Contributed
       by AV, 29-Jul-2023.) $)
    ichid $p |- [ x <> x ] ph $=
      ( va wich wsb wb wal sbid sbbii sbid2vw bitri gen2 df-ich mpbir ) ABBDABC
      EZBBEZCBEZAFZBGBGRBBQOCBEAPOCBOBHIACBJKLABBCMN $.
  $}

  ${
    $d a x $.  $d a y $.  $d a ph $.
    icht.1 $e |- ph $.
    $( A theorem is interchangeable.  (Contributed by SN, 4-May-2024.) $)
    icht $p |- [ x <> y ] ph $=
      ( va wich wsb wb wal sbt 2th gen2 df-ich mpbir ) ABCFACEGZBCGZEBGZAHZCIBI
      RBCQAPEBOBCACEDJJJDKLABCEMN $.
  $}

  ${
    $d a x ph $.  $d a y ph $.  $d a ps $.  $d a ch $.
    ichbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula building rule for interchangeability (deduction).  (Contributed
       by SN, 4-May-2024.) $)
    ichbidv $p |- ( ph -> ( [ x <> y ] ps <-> [ x <> y ] ch ) ) $=
      ( va wsb wb wal wich sbbidv bibi12d albidv df-ich 3bitr4g ) ABEGHZDEHZGDH
      ZBIZEJZDJCEGHZDEHZGDHZCIZEJZDJBDEKCDEKAUAUFDATUEEASUDBCARUCGDAQUBDEABCEGF
      LLLFMNNBDEGOCDEGOP $.
  $}

  ${
    $d z ph $.  $d x ps $.  $d y ch $.  $d x y z $.
    ichcircshi.1 $e |- ( x = z -> ( ph <-> ps ) ) $.
    ichcircshi.2 $e |- ( y = x -> ( ps <-> ch ) ) $.
    ichcircshi.3 $e |- ( z = y -> ( ch <-> ph ) ) $.
    $( The setvar variables are interchangeable if they can be circularily
       shifted using a third setvar variable, using implicit substitution.
       (Contributed by AV, 29-Jul-2023.) $)
    ichcircshi $p |- [ x <> y ] ph $=
      ( wich wsb wb wal weq bicomd equcoms sbievw 2sbbii sbbii 3bitri df-ich
      gen2 mpbir ) ADEJAEFKZDEKFDKZALZEMDMUFDEUECDEKZFDKBFDKAUDCFDEDACEFACLFEFE
      NCAIOPQRUGBFDCBDECBLEDEDNBCHOPQSBAFDBALDFDFNABGOPQTUBADEFUAUC $.
  $}

  ${
    $d ph x $.  $d ps x $.  $d a x $.  $d b x $.
    $( If two setvar variables are interchangeable in two wffs, then they are
       interchangeable in the conjunction of these two wffs.  Notice that the
       reverse implication is not necessarily true.  Corresponding theorems
       will hold for other commutative operations, too.  (Contributed by AV,
       31-Jul-2023.)  Use ~ df-ich instead of ~ dfich2 to reduce axioms.
       (Revised by SN, 4-May-2024.) $)
    ichan $p |- ( ( [ a <> b ] ph /\ [ a <> b ] ps )
                  -> [ a <> b ] ( ph /\ ps ) ) $=
      ( vx wsb wb wal wa wich sbbii 3bitri pm4.38 syl5bb alanimi df-ich anbi12i
      sban 3imtr4i ) ADEFZCDFZECFZAGZDHZCHZBDEFZCDFZECFZBGZDHZCHZIABIZDEFZCDFZE
      CFZULGZDHZCHACDJZBCDJZIULCDJUDUJUQCUCUIUPDUOUBUHIZUCUIIULUOTUFIZCDFZECFUA
      UGIZECFUTUNVBECUMVACDABDERKKVBVCECTUFCDRKUAUGECRLUBUHABMNOOURUEUSUKACDEPB
      CDEPQULCDEPS $.
  $}

  ${
    $d a u $.  $d b u $.  $d ph u $.
    $( Negation does not affect interchangeability.  (Contributed by SN,
       30-Aug-2023.) $)
    ichn $p |- ( [ a <> b ] ph <-> [ a <> b ] -. ph ) $=
      ( vu wsb wb wal wn wich notbi sbn sbbii bitri bibi1i bitr4i 2albii df-ich
      3bitr4i ) ACDEZBCEZDBEZAFZCGBGAHZCDEZBCEZDBEZUCFZCGBGABCIUCBCIUBUGBCUBUAH
      ZUCFUGUAAJUFUHUCUFTHZDBEUHUEUIDBUESHZBCEUIUDUJBCACDKLSBCKMLTDBKMNOPABCDQU
      CBCDQR $.
  $}

  $( Formula building rule for implication in interchangeability.  (Contributed
     by SN, 4-May-2024.) $)
  ichim $p |- ( ( [ a <> b ] ph /\ [ a <> b ] ps )
                                       -> [ a <> b ] ( ph -> ps ) ) $=
    ( wich wa wn wi ichn ichan sylan2b sylib wtru iman a1i ichbidv mptru sylibr
    wb ) ACDEZBCDEZFZABGZFZGZCDEZABHZCDEZUBUDCDEZUFUATUCCDEUIBCDIAUCCDJKUDCDILU
    HUFSMUGUECDUGUESMABNOPQR $.

  ${
    $d a b ph $.  $d z ph $.  $d a b x y $.  $d x y z $.
    $( Alternate definition of the propery of a wff ` ph ` that the setvar
       variables ` x ` and ` y ` are interchangeable.  (Contributed by AV and
       WL, 6-Aug-2023.) $)
    dfich2 $p |- ( [ x <> y ] ph <-> A. a A. b
                   ( [ a / x ] [ b / y ] ph <-> [ b / x ] [ a / y ] ph ) ) $=
      ( vz wich wsb wb df-ich nfs1v nfsbv sbbib albii sbco4 bibi1i 2albii bitri
      wal nfv alcom 3bitr3i ) ABCGACFHBCHFBHZAIZCSBSZACEHZBDHZACDHZBEHIESZDSZAB
      CFJUGEBHZDCHZAIZCSZBSUKUHIZDSZBSZUEUJUNUPBUKADCUGEBCUFBDCACEKLLADTMNUMUDB
      CULUCAABCFEDOPQUQUOBSZDSUJUOBDUAURUIDUGUHEBUFBDKUHETMNRUBR $.
  $}

  ${
    $d a b x y $.  $d ps a b $.
    $( The interchangeability of setvar variables is commutative.  (Contributed
       by AV, 20-Aug-2023.) $)
    ichcom $p |- ( [ x <> y ] ps <-> [ y <> x ] ps ) $=
      ( va vb wsb wb wal wich alcom sbcom2 bibi12i 2albii bitri dfich2 3bitr4i
      ) ACDFBEFZACEFBDFZGZDHEHZABEFCDFZABDFCEFZGZEHDHZABCIACBITSEHDHUDSEDJSUCDE
      QUARUBACDBEKACEBDKLMNABCEDOACBDEOP $.
  $}

  ${
    $d a b u v ps $.  $d u v x y ch $.  $d a b x y $.
    ichbi12i.1 $e |- ( ( x = a /\ y = b ) -> ( ps <-> ch ) ) $.
    $( Equivalence for interchangeable setvar variables.  (Contributed by AV,
       29-Jul-2023.) $)
    ichbi12i $p |- ( [ x <> y ] ps <-> [ a <> b ] ch ) $=
      ( vv vu wsb wb wal wich nfv sbco2v sbbii sbcom2 bitri nfsbv 2sbbii bicomi
      2sbievw 3bitr3i 3bitr3ri bibi12i 2albii dfich2 3bitr4i ) ADHJZCIJZADIJZCH
      JZKZHLILBFHJEIJZBFIJEHJZKZHLILACDMBEFMUMUPIHUJUNULUOUICEJZEIJADFJZCEJZFHJ
      ZEIJUJUNUQUTEIUQURFHJZCEJUTUIVACEVAUIADHFAFNZOUAPURFHCEQRPUICIEADHEAENZSO
      USBEFHIABCDFEGUBZTUCUSFIJZEHJUKCEJZEHJUOULVEVFEHVEURFIJZCEJVFURCEFIQVGUKC
      EADIFVBOPRPUSBEFIHVDTUKCHEADIEVCSOUDUEUFACDIHUGBEFIHUGUH $.
  $}

  $( In an equality for the same setvar variable, the setvar variable is
     interchangeable by itself.  Special case of ~ ichid and ~ icheq without
     distinct variables restriction.  (Contributed by AV, 29-Jul-2023.) $)
  icheqid $p |- [ x <> x ] x = x $=
    ( weq ichid ) AABAC $.

  ${
    $d x y z $.
    $( In an equality of setvar variables, the setvar variables are
       interchangeable.  (Contributed by AV, 29-Jul-2023.) $)
    icheq $p |- [ x <> y ] x = y $=
      ( vz weq wich wsb wb equsb3r 2sbbii equsb3 sbbii equcom bitri 3bitri gen2
      wal df-ich mpbir ) ABDZABESBCFZABFCAFZSGZBPAPUBABUAACDZABFZCAFBCDZCAFZSTU
      CCABABCAHIUDUECAABCJKUFBADSCABHBALMNOSABCQR $.
  $}

  ${
    $d b x y $.
    $( Lemma for ~ ichnfim :  A substitution for a nonfree variable has no
       effect.  (Contributed by Wolf Lammen, 6-Aug-2023.)  Avoid ~ ax-13 .
       (Revised by Gino Giotto, 1-May-2024.) $)
    ichnfimlem $p |- ( A. y F/ x ph
                       -> ( [ a / x ] [ b / y ] ph <-> [ b / y ] ph ) ) $=
      ( wnf wal wsb wb wi weq nfa1 sb6 a1i biimpri axc4i syl6bi nf5d nfim1 nfal
      sbequ12 imbi2d equsalv bicomi nfnf1 sp nfim nfxfr pm5.5 nfbidf mpbii sbft
      nfv syl ) ABFZCGZACEHZBFZUQBDHUQIUPUPUQJZBFURUSCEKZUPAJZJZCGZBVCUSVAUSCEU
      PUQCUOCLZUPUQCVDUPUQUTAJZCGZUQCGUQVFIUPACEMZNVEUQCUQVFVGOPQRSUTAUQUPACEUA
      UBUCUDVBBCUTVABUTBUMUPABUOBCABUETZUOCUFSUGTUHUPUSUQBVHUPUQUIUJUKUQBDULUN
      $.
  $}

  ${
    $d a b x y $.  $d a b ph $.
    $( If in an interchangeability context ` x ` is not free in ` ph ` , the
       same holds for ` y ` .  (Contributed by Wolf Lammen, 6-Aug-2023.)
       (Revised by AV, 23-Sep-2023.) $)
    ichnfim $p |- ( ( A. y F/ x ph /\ [ x <> y ] ph ) -> A. x F/ y ph ) $=
      ( va vb wnf wal wich nfnf1 nfal nfich1 nfan wsb dfich2 ichnfimlem bibi12d
      wa wb bicom1 syl6bi 2alimdv syl5bi imp sbnf2 sylibr alrimi ) ABFZCGZABCHZ
      QZACFZBUHUIBUGBCABIJABCKLUJACDMZACEMZRZEGDGZUKUHUIUOUIUMBDMZULBEMZRZEGDGU
      HUOABCDENUHURUNDEUHURUMULRUNUHUPUMUQULABCDEOABCEDOPUMULSTUAUBUCACDEUDUEUF
      $.
  $}

  ${
    $d x y $.
    $( If ` x ` and ` y ` are interchangeable in ` ph ` , they are both free or
       both not free in ` ph ` .  (Contributed by Wolf Lammen, 6-Aug-2023.)
       (Revised by AV, 23-Sep-2023.) $)
    ichnfb $p |- ( [ x <> y ] ph -> ( A. x F/ y ph <-> A. y F/ x ph ) ) $=
      ( wich wnf wal ichcom ichnfim sylan2b expcom impbid ) ABCDZACEBFZABECFZML
      NLMACBDNABCGACBHIJNLMABCHJK $.
  $}

  ${
    $d a u x $.  $d b u x $.  $d ph u $.
    $( Move a universal quantifier inside interchangeability.  (Contributed by
       SN, 30-Aug-2023.) $)
    ichal $p |- ( A. x [ a <> b ] ph -> [ a <> b ] A. x ph ) $=
      ( vu wsb wal wich ax-11 alimi sbal 2sbbii sbbii 3bitri albi syl5bb 2alimi
      wb 3syl df-ich albii 3imtr4i ) ADEFZCDFZECFZARZDGZCGZBGZABGZDEFZCDFECFZUJ
      RZDGCGZACDHZBGUJCDHUIUGBGZCGUFBGZDGZCGUNUGBCIUPURCUFBDIJUQUMCDULUEBGZUQUJ
      ULUCBGZCDFZECFUDBGZECFUSUKUTECDCABDEKLVAVBECUCBCDKMUDBECKNUEABOPQSUOUHBAC
      DETUAUJCDETUB $.
  $}

  $( Two setvar variables are always interchangeable when there are two
     universal quantifiers.  (Contributed by SN, 23-Nov-2023.) $)
  ich2al $p |- [ x <> y ] A. x A. y ph $=
    ( wal nfa1 nfa2 ichf ) ACDZBDBCHBEACBFG $.

  $( Two setvar variables are always interchangeable when there are two
     existential quantifiers.  (Contributed by SN, 23-Nov-2023.) $)
  ich2ex $p |- [ x <> y ] E. x E. y ph $=
    ( wex nfe1 excom nfxfr ichf ) ACDZBDZBCIBEJABDZCDCABCFKCEGH $.

  ${
    $d a b c t $.
    $( Example for interchangeable setvar variables in a statement of predicate
       calculus with equality.  (Contributed by AV, 31-Jul-2023.) $)
    ichexmpl1 $p |- [ a <> b ] E. a E. b E. c
                               ( a = b /\ a =/= c /\ b =/= c ) $=
      ( vt weq cv wne w3a wex wb equequ1 neeq1 3anbi12d 2exbidv cbvexvw equequ2
      a1i 3anbi13d exbidv bitri exbii 3ancomb equcom 3anbi1i 3exbii ichcircshi
      excom ) ABEZAFZCFZGZBFZUJGZHZCIBIZAIZDBEZDFZUJGZUMHZCIZBIZDIZDAEZUSUKHZCI
      ZAIZDIZABDUPVCJADEZUOVBADVIUNUTBCVIUHUQUKUSUMADBKUIURUJLMNOQVCVHJBAEZVBVG
      DVAVFBAVJUTVECVJUQVDUMUKUSBADPULUIUJLRSOUAQVHUPJUQVHVJUMUKHZCIZAIZBIZUPVG
      VMDBUQVEVKACUQVDVJUSUMUKDBAKURULUJLMNOVNVLBIAIUPVLBAUGVKUNABCVKVJUKUMHUNV
      JUMUKUBVJUHUKUMBAUCUDTUETTQUF $.
  $}

  ${
    $d a b c t $.
    $( Example for interchangeable setvar variables in an arithmetic
       expression.  (Contributed by AV, 31-Jul-2023.) $)
    ichexmpl2 $p |- [ a <> b ] ( ( a e. CC /\ b e. CC /\ c e. CC )
                     -> ( ( a ^ 2 ) + ( b ^ 2 ) ) = ( c ^ 2 ) ) $=
      ( vt cv cc wcel w3a c2 cexp co caddc wceq weq eleq1w 3anbi1d oveq1 eqeq1d
      wi imbi12d oveq1d 3anbi2d oveq2d 3ancoma imbi1i 3ad2ant2 3ad2ant1 addcomd
      sqcl pm5.74i bitri bitrdi ichcircshi ) AEZFGZBEZFGZCEZFGZHZUNIJKZUPIJKZLK
      ZURIJKZMZSZDEZFGZUQUSHZVGIJKZVBLKZVDMZSVHUOUSHZVJVALKZVDMZSZABDADNZUTVIVE
      VLVQUOVHUQUSADFOPVQVCVKVDVQVAVJVBLUNVGIJQUARTBANZVIVMVLVOVRUQUOVHUSBAFOUB
      VRVKVNVDVRVBVAVJLUPUNIJQUCRTDBNZVPUQUOUSHZVBVALKZVDMZSZVFVSVMVTVOWBVSVHUQ
      UOUSDBFOPVSVNWAVDVSVJVBVALVGUPIJQUARTWCUTWBSVFVTUTWBUQUOUSUDUEUTWBVEUTWAV
      CVDUTVBVAUQUOVBFGUSUPUIUFUOUQVAFGUSUNUIUGUHRUJUKULUM $.
  $}

  ${
    $d A a b x y $.  $d B a b x y $.  $d X a b $.  $d ph x y $.
    $( If the setvar variables are interchangeable in a wff, there is an
       ordered pair fulfilling the wff iff there is an unordered pair
       fulfilling the wff.  (Contributed by AV, 16-Jul-2023.) $)
    ich2exprop $p |- ( ( A e. X /\ B e. X /\ [ a <> b ] ph )
                     -> ( E. a E. b ( { A , B } = { a , b } /\ ph )
                      <-> E. a E. b ( <. A , B >. = <. a , b >. /\ ph ) ) ) $=
      ( vx vy wcel cv wceq wa wex cop wsbc nfv nfex wi wb cvv wich nfich1 nf3an
      w3a cpr nfcv nfsbc1v nfsbcw nfich2 wo vex mpanr12 3adant3 or2expropbilem1
      nfan preq12bg ichcom biimpi 3ad2ant3 adantr pm3.2i anim12i simpr anim12ci
      a1i opeq12 eqeq2d adantl dfsbcq sbceq1a wsb wal df-ich sbsbc sbcbii bitri
      bitr3id sylbi sylan9bbr bitrd anbi12d spc2ed sylc exp31 com23 jaod sylbid
      2sp impd exlimd or2expropbilem2 syl6ibr oppr anim1d 2eximdv impbid ) BDIZ
      CDIZAEFUAZUDZBCUEEJZFJZUEKZALZFMZEMZBCNZXAXBNKZALZFMEMZWTXFXGGJZHJZNZKZAE
      XKOZFXLOZLZHMZGMZXJWTXEXSEWQWRWSEWQEPWREPAEFUBUCXREGXQEHXNXPEXNEPXOEFXLEX
      LUFAEXKUGUHUOQQWTXDXSFWQWRWSFWQFPWRFPAEFUIUCXRFGXQFHXNXPFXNFPXOFXLUGUOQQW
      TXCAXSWTXCBXAKCXBKLZBXBKCXAKLZUJZAXSRZWQWRXCYBSZWSWQWRLZXATIZXBTIZYDEUKZF
      UKZBCXAXBDDTTUPULUMWTXTYCYAWQWRXTYCRWSAGHBCDEFUNUMWTAYAXSWTAYAXSWTALZYALA
      FEUAZYGYFLZLXGXBXANZKZALZXSYJYKYAYLWTYKAWSWQYKWRWSYKAEFUQURUSUTYLYAYGYFYI
      YHVAVEVBYJAYAYNWTAVCBCXBXAVFVDYKXQYOGHXBXATTYOGPYOHPYKXKXBKZXLXAKZLZLZXNY
      NXPAYRXNYNSYKYRXMYMXGXKXLXBXAVFVGVHYSXPXOFXAOZAYRXPYTSZYKYQUUAYPXOFXLXAVI
      VHVHYRYTYTGXBOZYKAYPYTUUBSYQYTGXBVJUTYKAEGVKZFEVKZGFVKZASZEVLFVLZUUBASAFE
      GVMUUBUUEUUGAUUEUUDGXBOUUBUUDGFVNUUDYTGXBUUDUUCFXAOYTUUCFEVNUUCXOFXAAEGVN
      VOVPVOVPUUFFEWHVQVRVSVTWAWBWCWDWEWFWGWIWJWJAGHBCEFWKWLWQWRXJXFRWSYEXIXDEF
      YEXHXCABCXAXBDDWMWNWOUMWP $.
  $}

  ${
    $d a b c d v w x y $.  $d a b v w x y p $.  $d c d v w x y ph $.
    $d p ph $.  $d X p $.  $d X c d v w x y $.
    $( If the setvar variables are interchangeable in a wff, there is never a
       unique ordered pair with different components fulfilling the wff
       (because if ` <. a , b >. ` fulfils the wff, then also ` <. b , a >. `
       fulfils the wff).  (Contributed by AV, 27-Aug-2023.) $)
    ichnreuop $p |- ( [ a <> b ] ph -> -. E! p e. ( X X. X )
                            E. a E. b ( p = <. a , b >. /\ a =/= b /\ ph ) ) $=
      ( vx vy vv vc vd cv cop wceq w3a wex wi wa wn nfv adantl vw wich wne wral
      wrex cxp wreu wcel wo notnotb wsbc nfsbc1v nf3an nfcv nfsbcw opeq12 simpl
      eqeq2d simpr neeq12d sbceq1a sylan9bbr 3anbi123d cbvex2v vex opth biimpcd
      eleq1w com12 sylbi 3ad2ant1 impcom adantr eqidd necom biimpi 3ad2ant2 wsb
      wb wal dfich2 2sp sbsbc sbbii bitri 3bitr3g biimpd 3ad2ant3 sbccom sylibr
      3jca opeq2 neeq2 spcegf sylc nfex opeq1 neeq1 exbidv opth1 necon3ai eqeq2
      equcomd mtbird 3adant3 jcnd eqeq1d 3anbi1d 2exbidv imbi12d notbid rspc2ev
      syl3anc rexnal2 sylib ex exlimdvv syl5bi syl5bir ianor ralrimivva ralnex2
      orrd eqeq1 reuop sylnibr ) ADEUBZFKZGKZLZDKZEKZLZMZYKYLUCZANZEODOZHKZUAKZ
      LZYMMZYOANZEODOZYTYJMZPZUABUDHBUDZQZGBUEFBUEZCKZYMMZYOANZEODOZCBBUFUGYGUU
      GRZGBUDFBUDUUHRYGUUMFGBBYGYHBUHZYIBUHZQZQZYQRZUUFRZUIUUMUUQUURUUSUURRYQUU
      QUUSYQUJYQYJIKZJKZLZMZUUTUVAUCZAEUVAUKZDUUTUKZNZJOIOUUQUUSYPUVGDEIJYPISYP
      JSUVCUVDUVFDUVCDSUVDDSUVEDUUTULUMUVCUVDUVFEUVCESUVDESUVEEDUUTEUUTUNZAEUVA
      ULUOUMYKUUTMZYLUVAMZQZYNUVCYOUVDAUVFUVKYMUVBYJYKYLUUTUVAUPURUVKYKUUTYLUVA
      UVIUVJUQUVIUVJUSUTUVJAUVEUVIUVFAEUVAVAUVEDUUTVAVBVCVDUUQUVGUUSIJUUQUVGUUS
      UUQUVGQZUUERZUABUEHBUEZUUSUVLUVABUHZUUTBUHZUVAUUTLZYMMZYOANZEOZDOZUVQYJMZ
      PZRZUVNUVGUUQUVOUVCUVDUUQUVOPZUVFUVCYHUUTMZYIUVAMZQZUWEYHYIUUTUVAFVEGVEVF
      ZUWGUWEUWFUUQUWGUVOUUPUWGUVOPZYGUUOUWJUUNUWGUUOUVOGJBVHVGTTVITVJVKVLZUVGU
      UQUVPUVCUVDUUQUVPPZUVFUVCUWHUWLUWIUWFUWLUWGUUQUWFUVPUUPUWFUVPPZYGUUNUWMUU
      OUWFUUNUVPFIBVHVGVMTVIVMVJVKVLZUVLUWAUWBUVLUVOUVQUVAYLLZMZUVAYLUCZADUVAUK
      ZNZEOZUWAUWKUVLUVPUVQUVQMZUVAUUTUCZUWREUUTUKZNZUWTUWNUVLUXAUXBUXCUVLUVQVN
      UVGUXBUUQUVDUVCUXBUVFUVDUXBUUTUVAVOVPVQTUVLAEUUTUKZDUVAUKZUXCUVGUUQUXFUVF
      UVCUUQUXFPUVDUUQUVFUXFYGUVFUXFPZUUPYGAEJVRZDIVRZAEIVRZDJVRZVSZJVTIVTZUXGA
      DEIJWAUXMUVFUXFUXMUXIUXKUVFUXFUXLIJWBUXIUVEDIVRUVFUXHUVEDIAEJWCWDUVEDIWCW
      EUXKUXEDJVRUXFUXJUXEDJAEIWCWDUXEDJWCWEWFWGVJVMVIWHVLAEDUUTUVAWIWJWKUWSUXD
      EUUTBUVHUXAUXBUXCEUXAESUXBESUWREUUTULUMYLUUTMZUWPUXAUWQUXBUWRUXCUXNUWOUVQ
      UVQYLUUTUVAWLURYLUUTUVAWMUWREUUTVAVCWNWOUVTUWTDUVABDUVAUNUWSDEUWPUWQUWRDU
      WPDSUWQDSADUVAULUMWPYKUVAMZUVSUWSEUXOUVRUWPYOUWQAUWRUXOYMUWOUVQYKUVAYLWQU
      RYKUVAYLWRADUVAVAVCWSWNWOUVGUWBRZUUQUVCUVDUXPUVFUVCUVDQUWBUVQUVBMZUVDUXQR
      UVCUXQUUTUVAUXQJIUVAUUTUUTUVAJVEIVEWTXCXATUVCUWBUXQVSUVDYJUVBUVQXBVMXDXET
      XFUVMUWDUVAYSLZYMMZYOANZEODOZUXRYJMZPZRHUAUVAUUTBBYRUVAMZUUEUYCUYDUUCUYAU
      UDUYBUYDUUBUXTDEUYDUUAUXSYOAUYDYTUXRYMYRUVAYSWQZXGXHXIUYDYTUXRYJUYEXGXJXK
      YSUUTMZUYCUWCUYFUYAUWAUYBUWBUYFUXTUVSDEUYFUXSUVRYOAUYFUXRUVQYMYSUUTUVAWLZ
      XGXHXIUYFUXRUVQYJUYGXGXJXKXLXMUUEHUABBXNXOXPXQXRXSYCYQUUFXTWJYAUUGFGBBYBX
      OUULYQUUCHUABBCFGUUIYJMZUUKYPDEUYHUUJYNYOAUUIYJYMYDXHXIUUIYTMZUUKUUBDEUYI
      UUJUUAYOAUUIYTYMYDXHXIYEYF $.
  $}

  ${
    $d X a b p v w x y $.  $d ph p v w x y $.
    $( If the setvar variables are interchangeable in a wff, and there is a
       unique ordered pair fulfilling the wff, then both setvar variables must
       be equal.  (Contributed by AV, 28-Aug-2023.) $)
    ichreuopeq $p |- ( [ a <> b ] ph
                    -> ( E! p e. ( X X. X ) E. a E. b ( p = <. a , b >. /\ ph )
                         -> E. a E. b ( a = b /\ ph ) ) ) $=
      ( vx vy vv vw cv cop wceq wa wex wi nfv nfan nfcv wsbc wsb wreu wral wrex
      cxp wich eqeq1 anbi1d 2exbidv reuop wcel nfich1 nfe1 nfralw nfich2 opeq12
      nfim nfex eqeq1d imbi12d ancoms adantl simprr adantr simpl eqidd vex opth
      rspc2gv wb sbceq1a equcoms sylan9bbr wal dfich2 sbsbc sbbii bitri 3bitr3g
      2sp sylbi biimpd com12 syl6bi imp impcom sbccom sylibr jca nfsbc1v eqeq2d
      opeq2 anbi12d spcegf sylc opeq1 exbidv 3eqtr3rd anim1i exp31 syl5bi opth1
      impd syl11 19.8ad ex embantd syl5d exlimd rexlimdvva ) CJZDJZEJZKZLZAMZEN
      DNZCBBUDUAFJZGJZKZXMLZAMZENZDNZHJZIJZKZXMLZAMZENZDNZYFXSLZOZIBUBZHBUBZMZG
      BUCFBUCADEUEZXKXLLZAMZENZDNZXPYCYJHIBBCFGXJXSLZXOYADEUUAXNXTAXJXSXMUFUGUH
      XJYFLZXOYHDEUUBXNYGAXJYFXMUFUGUHUIYPYOYTFGBBYPXQBUJZXRBUJZMZMZYCYNYTUUFYB
      YNYTOZDYPUUEDADEUKUUEDPQYNYTDYMDHBDBRZYLDIBUUHYJYKDYIDULYKDPUPUMUMYSDULUP
      UUFYAUUGEYPUUEEADEUNUUEEPQYNYTEYMEHBEBRZYLEIBUUIYJYKEYIEDYHEULUQYKEPUPUMU
      MYSEDYREULUQUPUUFYNXRXQKZXMLZAMZENZDNZUUJXSLZOZYAYTUUEYNUUPOZYPUUDUUCUUQY
      LUUPHIXRXQBBYDXRLYEXQLMZYJUUNYKUUOUURYHUULDEUURYGUUKAUURYFUUJXMYDYEXRXQUO
      ZURUGUHUURYFUUJXSUUSURUSVHUTVAUUFYAUUPYTOUUFYAMZUUNUUOYTUUTUUDUUJXRXLKZLZ
      ADXRSZMZENZUUNUUFUUDYAYPUUCUUDVBVCUUTUUCUUJUUJLZUVCEXQSZMZUVEUUFUUCYAUUEU
      UCYPUUCUUDVDVAVCUUTUVFUVGUUTUUJVEUUTAEXQSZDXRSZUVGYAUUFUVJXTAUUFUVJOZXTXQ
      XKLZXRXLLZMZAUVKOXQXRXKXLFVFZGVFZVGZUVNAAEXRSZDXQSZUVKUVMAUVRUVLUVSAUVRVI
      EGAEXRVJVKUVRUVSVIDFUVRDXQVJVKVLUUFUVSUVJYPUVSUVJOUUEYPUVSUVJYPAEGTZDFTZA
      EFTZDGTZVIZGVMFVMZUVSUVJVIADEFGVNUWEUWAUWCUVSUVJUWDFGVSUWAUVRDFTUVSUVTUVR
      DFAEGVOVPUVRDFVOVQUWCUVIDGTUVJUWBUVIDGAEFVOVPUVIDGVOVQVRVTWAVCWBWCVTWDWEA
      EDXQXRWFWGWHUVDUVHEXQBEXQRUVFUVGEUVFEPUVCEXQWIQXLXQLZUVBUVFUVCUVGUWFUVAUU
      JUUJXLXQXRWKWJUVCEXQVJWLWMWNUUMUVEDXRBDXRRUVDDEUVBUVCDUVBDPADXRWIQUQXKXRL
      ZUULUVDEUWGUUKUVBAUVCUWGXMUVAUUJXKXRXLWOWJADXRVJWLWPWMWNUUTUUOYTUUTUUOMZY
      SDUWHYREUUTUUOYRYAUUOYROUUFXRXQLZYAYRUUOUWIXTAYRXTUVNUWIAYROUVQUWIUVNAYRU
      WIUVNMZYQAUWJXRXQXLXKUWIUVNVDUWIUVLUVMVBUVNUVLUWIUVLUVMVDVAWQWRWSWTXBXRXQ
      XQXRUVPUVOXAXCVAWDXDXDXEXFXEXGXHXHXBXIWT $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Set of unordered pairs
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Two identical representations of the class of all unordered pairs.
     (Contributed by AV, 21-Nov-2021.) $)
  sprid $p |- { p | E. a e. _V E. b e. _V p = { a , b } }
              = { p | E. a E. b p = { a , b } } $=
    ( cv cpr wceq cvv wrex wex rexv exbii bitri abbii ) ADBDCDEFZCGHZBGHZNCIZBI
    ZAPOBIROBJOQBNCJKLM $.

  ${
    $d A a b p $.  $d B a b p $.
    $( An unordered pair is an element of all unordered pairs.  At least one of
       the two elements of the unordered pair must be a set.  Otherwise, the
       unordered pair would be the empty set, see ~ prprc , which is not an
       element of all unordered pairs, see ~ spr0nelg .  (Contributed by AV,
       21-Nov-2021.) $)
    elsprel $p |- ( ( A e. V \/ B e. W )
                    -> { A , B } e. { p | E. a E. b p = { a , b } } ) $=
      ( wcel wo cpr cv wceq wex cvv elex wa csn adantr adantl ex cab orim12i wi
      elisset exdistrv preq12 eqcomd 2eximi sylbir syl2an expcom wn preq2 dfsn2
      sneq eqtr3id eqtr2d spimevw prprc2 eqeq1d exbidv mpbird eximdv syl5 preq1
      pm2.61i prprc1 impcom excom sylibr syl11 jaoi syl prex eqeq1 2exbidv elab
      ) ACHZBDHZIZABJZFKZGKZJZLZGMZFMZWAEKZWDLZGMFMZEUAHVTANHZBNHZIWGVRWKVSWLAC
      OBDOUBWKWGWLWLWKWGUCWKWLWGWKWBALZFMZWCBLZGMZWGWLFANUDZGBNUDZWNWPPWMWOPZGM
      FMWGWMWOFGUEWSWEFGWSWDWAWBWCABUFUGUHUIUJZUKWKWNWLULZWGWQXAWMWFFXAWMWFXAWM
      PZWFAQZWDLZGMZWMXEXAWMXDGFWCWBLZWMXDXFWMPZWDWBWBJZXCXFWDXHLWMWCWBWBUMRXGX
      HWBQZXCWBUNWMXIXCLXFWBAUOSUPUQTURSXBWEXDGXBWAXCWDXAWAXCLWMABUSRUTVAVBTVCV
      DVFWKWLWGUCWKWLWGWTTWPWKULZWGWLWPXJWGWPXJPWEFMZGMZWGXJWPXLXJWOXKGXJWOXKXJ
      WOPZXKBQZWDLZFMZWOXPXJWOXOFGWBWCLZWOXOXQWOPZWDWCWCJZXNXQWDXSLWOWBWCWCVERX
      RXSWCQZXNWCUNWOXTXNLXQWCBUOSUPUQTURSXMWEXOFXMWAXNWDXJWAXNLWOABVGRUTVAVBTV
      CVHWEFGVIVJTWRVKVFVLVMWJWGEWAABVNWHWALWIWEFGWHWAWDVOVPVQVJ $.
  $}

  ${
    $d a p $.  $d b p $.
    $( The empty set is not an element of all unordered pairs.  (Contributed by
       AV, 21-Nov-2021.) $)
    spr0nelg $p |- (/) e/ { p | E. a E. b p = { a , b } } $=
      ( c0 cv cpr wceq wex cab wnel wa wn wo wal ianor bicomi albii alnex bitri
      vex nesymi eqeq1 mtbiri alrimivv 2nexaln sylibr imori mpgbi df-nel clelab
      prnz wcel xchbinx mpbir ) DAEZBEZCEZFZGZCHBHZAIZJZUODGZUTKZAHZLZVCLUTLZMZ
      VFAVHANVDLZANVFVHVIAVIVHVCUTOPQVDARSVCVGVCUSLZCNBNVGVCVJBCVCUSDURGURDUPUQ
      BTUKUAUODURUBUCUDUSBCUEUFUGUHVBDVAULVEDVAUIUTADUJUMUN $.
  $}

  $( Declare new symbols needed. $)
  $c Pairs $.

  $( Extend class notation with set of pairs. $)
  cspr $a class Pairs $.

  ${
    $d a b p v $.
    $( Define the function which maps a set ` v ` to the set of pairs
       consisting of elements of the set ` v ` .  (Contributed by AV,
       21-Nov-2021.) $)
    df-spr $a |- Pairs = ( v e. _V |-> { p | E. a e. v E. b e. v
                                             p = { a , b } } ) $.
  $}

  ${
    $d V a b p v $.  $d W a b p v $.
    $( The set of all unordered pairs over a given set ` V ` .  (Contributed by
       AV, 21-Nov-2021.) $)
    sprval $p |- ( V e. W -> ( Pairs ` V ) = { p | E. a e. V E. b e. V
                                                    p = { a , b } } ) $=
      ( vv wcel cpr wceq wrex cab cvv cspr cmpt df-spr wral ralrimivw abrexex2g
      cv mpdan a1i wa wb id rexeq rexeqbidv adantl abbidv elex weu zfpair2 eueq
      mpbi euabex mp1i fvmptd ) ABGZFACSDSESHZIZEFSZJZDUTJZCKZUSEAJZDAJZCKZLMLM
      FLVCNIUQFCDEOUAUQUTAIZUBVBVECVGVBVEUCUQVGVAVDDUTAVGUDUSEUTAUEUFUGUHABUIUQ
      VDCKLGZDAPVFLGUQVHDAUQUSCKLGZEAPVHUQVIEAUSCUJZVIUQURLGVJDEUKCURULUMUSCUNU
      OQUSECABLRTQVDDCABLRTUP $.
  $}

  ${
    $d V a b p $.  $d W a b p $.
    $( The set of all unordered pairs over a given set ` V ` , expressed by a
       restricted class abstraction.  (Contributed by AV, 21-Nov-2021.) $)
    sprvalpw $p |- ( V e. W -> ( Pairs ` V ) = { p e. ~P V |
                                       E. a e. V E. b e. V p = { a , b } } ) $=
      ( wcel cspr cfv cv cpr wceq wrex cab cpw crab sprval wa wb wss prssi prex
      eleq1 elpw bitrdi syl5ibrcom rexlimivv pm4.71ri a1i abbidv df-rab eqtr4di
      eqtrd ) ABFZAGHCIZDIZEIZJZKZEALDALZCMZUSCANZOZABCDEPUMUTUNVAFZUSQZCMVBUMU
      SVDCUSVDRUMUSVCURVCDEAAUOAFUPAFQVCURUQASZUOUPATURVCUQVAFVEUNUQVAUBUQAUOUP
      UAUCUDUEUFUGUHUIUSCVAUJUKUL $.

    $( The set of all unordered pairs over a given set ` V ` is a subset of the
       set of all unordered pairs.  (Contributed by AV, 21-Nov-2021.) $)
    sprssspr $p |- ( Pairs ` V ) C_ { p | E. a E. b p = { a , b } } $=
      ( cvv wcel cspr cfv cv cpr wceq wex cab wss wrex sprval wa a1i eqsstrd c0
      wi wal r2ex simpr 2eximi sylbi ax-gen ss2ab sylibr wn fvprc 0ss pm2.61i )
      AEFZAGHZBICIZDIZJKZDLCLZBMZNUNUOURDAOCAOZBMZUTAEBCDPUNVAUSUAZBUBZVBUTNVDU
      NVCBVAUPAFUQAFQZURQZDLCLUSURCDAAUCVFURCDVEURUDUEUFUGRVAUSBUHUISUNUJZUOTUT
      AGUKTUTNVGUTULRSUM $.

    $( The empty set is not an unordered pair over any set ` V ` .
       (Contributed by AV, 21-Nov-2021.) $)
    spr0el $p |- (/) e/ ( Pairs ` V ) $=
      ( vp va vb c0 cv cpr wceq wex cab wnel cspr cfv spr0nelg wcel wn sprssspr
      sseli con3i df-nel 3imtr4i ax-mp ) EBFCFDFGHDICIBJZKZEALMZKZBCDNEUCOZPEUE
      OZPUDUFUHUGUEUCEABCDQRSEUCTEUETUAUB $.

    $( The set of all unordered pairs over a given set ` V ` , expressed by a
       restricted class abstraction.  (Contributed by AV, 21-Nov-2021.) $)
    sprvalpwn0 $p |- ( V e. W -> ( Pairs ` V ) = { p e. ( ~P V \ { (/) } ) |
                                       E. a e. V E. b e. V p = { a , b } } ) $=
      ( wcel cspr cfv cv cpr wceq wrex cpw crab c0 csn wa wne a1i anbi1i wi vex
      cdif sprvalpw prnz eqnetrd rexlimivv adantl pm4.71ri ancom eldifsn bicomi
      id anass 3bitr3i bitri rabbia2 eqtrdi ) ABFAGHCIZDIZEIZJZKZEALDALZCAMZNVD
      CVEOPUCZNABCDEUDVDVDCVEVFUSVEFZVDQZUSORZVHQZUSVFFZVDQZVHVIVDVIVGVCVIDEAAV
      CVIUAUTAFVAAFQVCUSVBOVCUMVBORVCUTVADUBUESUFSUGUHUIVIVGQZVDQVGVIQZVDQVJVLV
      MVNVDVIVGUJTVIVGVDUNVNVKVDVKVNUSVEOUKULTUOUPUQUR $.

    $d X a b p $.
    $( An element of the set of all unordered pairs over a given set ` V ` is a
       pair of elements of the set ` V ` .  (Contributed by AV,
       22-Nov-2021.) $)
    sprel $p |- ( X e. ( Pairs ` V ) -> E. a e. V E. b e. V X = { a , b } ) $=
      ( vp cvv wcel cspr cfv cv cpr wceq wrex elfvex crab sprvalpw eleq2d eqeq1
      cpw 2rexbidv elrab simprbi syl6bi mpcom ) AFGZBAHIZGZBCJDJKZLZDAMCAMZBAHN
      UEUGBEJZUHLZDAMCAMZEASZOZGZUJUEUFUOBAFECDPQUPBUNGUJUMUJEBUNUKBLULUICDAAUK
      BUHRTUAUBUCUD $.

    $( An element of a subset of the set of all unordered pairs over a given
       set ` V ` , is a pair of elements of the set ` V ` .  (Contributed by
       AV, 22-Nov-2021.) $)
    prssspr $p |- ( ( P C_ ( Pairs ` V ) /\ X e. P )
                    -> E. a e. V E. b e. V X = { a , b } ) $=
      ( cspr cfv wss wcel wa cv cpr wceq wrex ssel2 sprel syl ) ABFGZHCAIJCRICD
      KEKLMEBNDBNARCOBCDEPQ $.

    $d Y a b p $.
    $( An unordered pair of elements of a fixed set ` V ` belongs to the set of
       all unordered pairs over the set ` V ` .  (Contributed by AV,
       21-Nov-2021.) $)
    prelspr $p |- ( ( V e. W /\ ( X e. V /\ Y e. V ) )
                    -> { X , Y } e. ( Pairs ` V ) ) $=
      ( vp va vb wcel wa cpr wceq wrex cpw crab cspr cfv prelpwi eqidd eqeq2d
      cv preq1 preq2 rspc2ev mpd3an3 jca adantl 2rexbidv sylibr sprvalpw adantr
      eqeq1 elrab eleqtrrd ) ABHZCAHZDAHZIZIZCDJZETZFTZGTZJZKZGALFALZEAMZNZAOPZ
      URUSVFHZUSVCKZGALFALZIZUSVGHUQVLUNUQVIVKCDAQUOUPUSUSKZVKUQUSRVJVMUSCVBJZK
      FGCDAAVACKVCVNUSVACVBUASVBDKVNUSUSVBDCUBSUCUDUEUFVEVKEUSVFUTUSKVDVJFGAAUT
      USVCUKUGULUHUNVHVGKUQABEFGUIUJUM $.

    $d U a b $.  $d W a b $.
    $( The elements of a pair from the set of all unordered pairs over a given
       set ` V ` are elements of the set ` V ` .  (Contributed by AV,
       22-Nov-2021.) $)
    prsprel $p |- ( ( { X , Y } e. ( Pairs ` V ) /\ ( X e. U /\ Y e. W ) )
                      -> ( X e. V /\ Y e. V ) ) $=
      ( va vb cpr cspr wcel wa cv wceq wrex wi wb eleq1 eqcoms bi2anan9 biimpd
      sprel wo preq12bg ancomsd jaoi com12 adantl sylbid expcom com23 rexlimivv
      cfv syl imp ) DEHZBIULJZDAJECJKZDBJZEBJZKZUPUOFLZGLZHMZGBNFBNUQUTOZBUOFGU
      AVCVDFGBBVABJZVBBJZKZUQVCUTUQVGVCUTOUQVGKVCDVAMZEVBMZKZDVBMZEVAMZKZUBZUTD
      EVAVBACBBUCVGVNUTOUQVNVGUTVJVGUTOVMVJVGUTVHVEURVIVFUSVEURPVADVADBQRVFUSPV
      BEVBEBQRSTVMVFVEUTVMVFVEKUTVKVFURVLVEUSVFURPVBDVBDBQRVEUSPVAEVAEBQRSTUDUE
      UFUGUHUIUJUKUMUN $.

    $( The elements of a pair from a subset of the set of all unordered pairs
       over a given set ` V ` are elements of the set ` V ` .  (Contributed by
       AV, 21-Nov-2021.) $)
    prsssprel $p |- ( ( P C_ ( Pairs ` V ) /\ { X , Y } e. P
                        /\ ( X e. U /\ Y e. W ) )
                      -> ( X e. V /\ Y e. V ) ) $=
      ( cspr cfv wss cpr wcel wa ssel2 prsprel stoic3 ) ACGHZIEFJZAKQPKEBKFDKLE
      CKFCKLAPQMBCDEFNO $.
  $}

  ${
    $d V a b p $.  $d W a b p $.
    $( The set of all unordered pairs over a given set ` V ` , expressed by a
       restricted class abstraction.  (Contributed by AV, 24-Nov-2021.) $)
    sprvalpwle2 $p |- ( V e. W -> ( Pairs ` V )
                            = { p e. ( ~P V \ { (/) } ) | ( # ` p ) <_ 2 } ) $=
      ( va vb wcel cspr cfv cv cpr wceq wrex cpw c0 csn cdif crab chash c2 cle
      wbr sprvalpwn0 wa wb hashle2prv adantl bicomd rabbidva eqtrd ) ABFZAGHCIZ
      DIEIJKEALDALZCAMNOPZQUKRHSTUAZCUMQABCDEUBUJULUNCUMUJUKUMFZUCUNULUOUNULUDU
      JUKADEUEUFUGUHUI $.
  $}

  ${
    $d P c p x y $.  $d V c p x y $.
    $( Lemma for ~ sprsymrelf and ~ sprsymrelfv .  (Contributed by AV,
       19-Nov-2021.) $)
    sprsymrelfvlem $p |- ( P C_ ( Pairs ` V )
             -> { <. x , y >. | E. c e. P c = { x , y } } e. ~P ( V X. V ) ) $=
      ( vp cvv wcel cspr wss cv wceq wrex wi wa eleq1 syl6bi com12 adantl c0 wb
      cfv cpr copab cxp cpw simpl prsssprel 3exp com13 el2v rexlimiv imp simpld
      simprd opabex2 cop wex elopab adantld ad2antrr opelxp bitrdi mpbird sylbi
      ex exlimivv ssrdv elpwd fvprc sseq2d ss0b wal rexeq mtbiri alrimivv opab0
      wn rex0 sylibr 0elpw eqeltrdi pm2.61i ) DGHZCDIUBZJZEKZAKZBKZUCZLZECMZABU
      DZDDUEZUFZHZNWDWFWPWDWFOZWMWNGWQWLABDDGGWDWFUGZWRWQWLOZWHDHZWIDHZWQWLWTXA
      OZWFWLXBNWDWLWFXBWKWFXBNZECWKWGCHZXCWKXDWJCHZXCWGWJCPXEXCNABWFXEWHGHWIGHO
      ZXBWFXEXFXBCGDGWHWIUHUIUJUKQRULZRSUMZUNWSWTXAXHUOUPWQFWMWNFKZWMHZWQXIWNHZ
      XJXIWHWIUQZLZWLOZBURAURWQXKNZWLABXIUSXNXOABXNWQXKXNWQOZXKXBXNWQXBXNWFXBWD
      WLXCXMXGSUTUMXPXKXLWNHZXBXMXKXQUAWLWQXIXLWNPVAWHWIDDVBVCVDVFVGVERVHVIVFWD
      VRZWFCTLZWPXRWFCTJXSXRWETCDIVJVKCVLVCXSWMTWOXSWLVRZBVMAVMWMTLXSXTABXSWLWK
      ETMWKEVSWKECTVNVOVPWLABVQVTWNWAWBQWC $.
  $}

  ${
    $d V c p i j $.  $d a b c i j p x y $.
    $( Lemma for ~ sprsymrelf1 .  (Contributed by AV, 22-Nov-2021.) $)
    sprsymrelf1lem $p |- ( ( a C_ ( Pairs ` V ) /\ b C_ ( Pairs ` V ) )
                           -> ( { <. x , y >. | E. c e. a c = { x , y } }
                              = { <. x , y >. | E. c e. b c = { x , y } }
                                -> a C_ b ) ) $=
      ( vp vi vj cv wss wa cpr wceq wrex wel wi wcel wb ex cfv prssspr ad4ant14
      cspr copab simpr adantr eleq1d eqeq1 adantl eqidd rspcedvd adantlr preq12
      cop weq eqeq2d rexbidv opelopabga bicomd ad3antrrr mpbid sylbid eleq2 cvv
      ad2antll el2v eqtr3 equcomd biimpd com13 imp rexlimiva com12 syld expimpd
      syl5bi rexlimdva2 rexlimiv mpcom ssrdv ) DJZCUDUAZKZEJZWCKZLZFJZAJZBJZMZN
      ZFWBOZABUEZWLFWEOZABUEZNZWBWEKWGWQLZGWBWEWRGDPZGEPZGJZHJZIJZMZNZICOZHCOZW
      RWSLZWTWDWSXGWFWQWBCXAHIUBUCXFXHWTQZHCXBCRZXEXIICXJXCCRLZXELZWRWSWTXLWRLZ
      WSXBXCUOZWNRZWTXMWSXDWBRZXOXMXAXDWBXLXEWRXKXEUFUGUHXMXPXOXMXPLWHXDNZFWBOZ
      XOXLXPXRWRXLXPLZXQXDXDNZFXDWBXLXPUFXQXQXTSXSWHXDXDUIUJXSXDUKULUMXKXRXOSXE
      WRXPXKXOXRWMXRABXBXCCCAHUPBIUPLZWLXQFWBYAWKXDWHWIWJXBXCUNUQZURUSUTVAVBTVC
      XMXOXNWPRZWTWQXOYCSXLWGWNWPXNVDVFYCXQFWEOZXMWTYCYDSHIWOYDABXBXCVEVEYAWLXQ
      FWEYBURUSVGXLYDWTQZWRXEYEXKYDXEWTXQXEWTQZFWEFEPZXQYFXEXQYGWTXEXQYGWTQXEXQ
      LZYGWTYHWHXAWEYHGFXAWHXDVHVIUHVJTVKVLVMVNUJUGVQVCVOVPVRVSVTTWAT $.
  $}

  ${
    $d V q $.
    sprsymrelfo.q $e |- Q = { q e. ( Pairs ` V ) | A. a e. V A. b e. V
                                                ( q = { a , b } -> a R b ) } $.
    $( Lemma 1 for ~ sprsymrelfo .  (Contributed by AV, 22-Nov-2021.) $)
    sprsymrelfolem1 $p |- Q e. ~P ( Pairs ` V ) $=
      ( cv cpr wceq wbr wi wral cspr cfv crab cpw cvv fvex ssrab2 eqeltri
      elpwi2 ) ADHEHZFHZIJUCUDBKLFCMECMZDCNOZPZUFQGUGUFRCNSUEDUFTUBUA $.

    $d Q c $.  $d R a b c q x y $.  $d V a b c x y $.  $d W a b c $.
    $( Lemma 2 for ~ sprsymrelfo .  (Contributed by AV, 23-Nov-2021.) $)
    sprsymrelfolem2 $p |- ( ( V e. W /\ R C_ ( V X. V )
                              /\ A. x e. V A. y e. V ( x R y <-> y R x ) )
                            -> ( x R y <-> E. c e. Q c = { x , y } ) ) $=
      ( wcel cv wral wceq wa wi imp weq com12 cxp wss wbr w3a cpr wrex cspr cfv
      wb cop df-br simpl adantl opelxp sylib prelspr syl2an2r ex syl5bi 3adant3
      ssel wo vex preq12b breq12 biimpd adantr ancomsd 3ad2ant3 com23 bi2anan9r
      rsp2 eleq1 ancoms imbi12d mpbid expimpd jaoi ralrimivva crab eleq2i eqeq1
      imbi1d 2ralbidv elrab bitri sylanbrc eqidd rspcev syl2anc prsprel mpanr12
      syl6bi preq1 eqeq2d breq1 preq2 breq2 rspc2v imp4c mpcom sylanb rexlimiva
      cvv a1d impbid ) EFLZDEEUAZUBZAMZBMZDUCZXKXJDUCZUIZBENAENZUDZXLJMZXJXKUEZ
      OZJCUFZXPXLXTXPXLPZXRCLZXRXROZXTYAXREUGUHZLZXRHMZIMZUEZOZYFYGDUCZQZIENHEN
      ZYBXPXLYEXGXIXLYEQXOXLXJXKUJZDLZXGXIPZYEXJXKDUKYOYNYEYOXGYNXJELZXKELZPZYE
      XGXIULYOYNPYMXHLZYRYOYNYSXIYNYSQXGDXHYMVAUMRXJXKEEUNUOEFXJXKUPUQURUSUTRYA
      YKHIEEYIAHSBISPZAISZBHSZPZVBZYAYFELZYGELZPZPZYJXJXKYFYGAVCZBVCZHVCIVCVDUU
      DUUHYJYTUUHYJQUUCUUHYTYJYAYTYJQZUUGXLUUKXPYTXLYJYTXLYJXJYFXKYGDVEVFTUMVGT
      UUCYAUUGYJUUCYAPYQYPPZXMQZUUGYJQZYAUUMUUCXPXLUUMXPUULXLXMXOXGUULXLXMQZQXI
      XOUULUUOXOUULPXLXMXOUULXNXOYPYQXNXNABEEVLVHRVFURVIVJRUMUUCUUMUUNUIYAUUCUU
      LUUGXMYJUUBYQUUEUUAYPUUFXKYFEVMXJYGEVMVKUUBUUAXMYJUIXKYFXJYGDVEVNVOVGVPVQ
      VRTUSVSYBXRGMZYHOZYJQZIENHENZGYDVTZLYEYLPCUUTXRKWAUUSYLGXRYDUUPXROZUURYKH
      IEEUVAUUQYIYJUUPXRYHWBWCWDWEWFWGYAXRWHXSYCJXRCXQXRXRWBWIWJURXTXPXLXSXPXLQ
      ZJCXQCLZXQYDLZXQYHOZYJQZIENHENZPZXSUVBUVCXQUUTLUVHCUUTXQKWAUUSUVGGXQYDGJS
      ZUURUVFHIEEUVIUUQUVEYJUUPXQYHWBWCWDWEWFUVHXSPZXLXPYRUVJXLUVHXSYRUVDXSYRQU
      VGXSUVDYRXSUVDYEYRXQXRYDVMYEXJXDLXKXDLYRUUIUUJXDEXDXJXKWKWLWMTVGRYRUVDUVG
      XSXLYRUVGXSXLQZQUVDUVFUVKXQXJYGUEZOZXJYGDUCZQHIXJXKEEHASZUVEUVMYJUVNUVOYH
      UVLXQYFXJYGWNWOYFXJYGDWPVOIBSZUVMXSUVNXLUVPUVLXRXQYGXKXJWQWOYGXKXJDWRVOWS
      XEWTXAXEXBXCTXF $.
  $}

  ${
    $d P p $.  $d V c x y $.  $d c p x y $.
    sprsymrelf.p $e |- P = ~P ( Pairs ` V ) $.
    sprsymrelf.r $e |- R = { r e. ~P ( V X. V ) |
                             A. x e. V A. y e. V ( x r y <-> y r x ) } $.
    ${
      $d X c p x y $.
      sprsymrelf.f $e |- F = ( p e. P |-> { <. x , y >. |
                                            E. c e. p c = { x , y } } ) $.
      $( The value of the function ` F ` which maps a subset of the set of
         pairs over a fixed set ` V ` to the relation relating two elements of
         the set ` V ` iff they are in a pair of the subset.  (Contributed by
         AV, 19-Nov-2021.) $)
      sprsymrelfv $p |- ( X e. P -> ( F ` X ) = { <. x , y >. |
                                                 E. c e. X c = { x , y } } ) $=
        ( wcel cv cpr wceq wrex copab cpw cxp rexeq opabbidv cspr cfv wss elpwi
        id eleq2s sprsymrelfvlem syl fvmptd3 ) GCNZIGJOAOBOPQZJIOZRZABSUNJGRZAB
        SZCEFFUATZMUOGQUPUQABUNJUOGUBUCUMUHUMGFUDUEZUFZURUSNVAGUTTCGUTUGKUIABGF
        JUJUKUL $.

      $d a b c p x y $.  $d p r $.  $d R p $.  $d V c r x y $.
      $( The mapping ` F ` is a function from the subsets of the set of pairs
         over a fixed set ` V ` into the symmetric relations ` R ` on the fixed
         set ` V ` .  (Contributed by AV, 19-Nov-2021.) $)
      sprsymrelf $p |- F : P --> R $=
        ( va vb cv wceq wcel wbr wral wa cpr wrex copab wb cxp cpw crab cfv wss
        cspr sprsymrelfvlem wel prcom a1i eqeq2d rexbidva cop df-br opabidw vex
        bitri weq preq12 rexbidv cbvopabv 3bitr4g ralrimivva jca eleq2i nfopab1
        braba elpw nfeq2 nfopab2 bibi12d ralbid elrab 3imtr4i eleqtrrdi fmpti
        breq ) HCDIOZAOZBOZUAZPZIHOZUBZABUCZELWGCQZWIWCWDGOZRZWDWCWKRZUDZBFSZAF
        SZGFFUEUFZUGZDWGFUJUHZUIZWIWQQZWCWDWIRZWDWCWIRZUDZBFSZAFSZTWJWIWRQWTXAX
        FABWGFIUKWTXDABFFWTWCFQWDFQTTZWHWBWDWCUAZPZIWGUBZXBXCXGWFXIIWGXGIHULTZW
        EXHWBWEXHPXKWCWDUMUNUOUPXBWCWDUQWIQWHWCWDWIURWHABUSVAWBMOZNOZUAZPZIWGUB
        ZXJMNWDWCWIBUTAUTMBVBNAVBTZXOXIIWGXQXNXHWBXLXMWDWCVCUOVDWHXPABMNAMVBBNV
        BTZWFXOIWGXRWEXNWBWCWDXLXMVCUOVDVEVKVFVGVHWJWGWSUFZQWTCXSWGJVIWGWSHUTVL
        VAWPXFGWIWQWKWIPZWOXEAFAWKWIWHABVJVMXTWNXDBFBWKWIWHABVNVMXTWLXBWMXCWCWD
        WKWIWAWDWCWKWIWAVOVPVPVQVRKVSVT $.

      $d F a b $.  $d P a b $.  $d V a b $.
      $( The mapping ` F ` is a one-to-one function from the subsets of the set
         of pairs over a fixed set ` V ` into the symmetric relations ` R ` on
         the fixed set ` V ` .  (Contributed by AV, 19-Nov-2021.) $)
      sprsymrelf1 $p |- F : P -1-1-> R $=
        ( va vb cv cfv wceq wcel wa wss wf1 wf weq wi wral sprsymrelf cpr copab
        wrex sprsymrelfv eqeqan12d cspr cpw eleq2i vex bitri sprsymrelf1lem imp
        elpw eqcom syl5bi ancoms eqssd ex syl2anb sylbid rgen2 dff13 mpbir2an )
        CDEUACDEUBMOZEPZNOZEPZQZMNUCZUDZNCUEMCUEABCDEFGHIJKLUFVPMNCCVJCRZVLCRZS
        VNIOAOBOUGQZIVJUIABUHZVSIVLUIABUHZQZVOVQVRVKVTVMWAABCDEFVJGHIJKLUJABCDE
        FVLGHIJKLUJUKVQVJFULPZTZVLWCTZWBVOUDVRVQVJWCUMZRWDCWFVJJUNVJWCMUOUSUPVR
        VLWFRWECWFVLJUNVLWCNUOUSUPWDWESZWBVOWGWBSVJVLWGWBVJVLTABFMNIUQURWGWBVLV
        JTZWEWDWBWHUDWBWAVTQWEWDSWHVTWAUTABFNMIUQVAVBURVCVDVEVFVGMNCDEVHVI $.

      $d a b c f q t x y $.  $d r t $.  $d F f t $.  $d P f t $.  $d R f p $.
      $d R t $.  $d V f q c t x y $.  $d W a b c f t x y $.
      $( The mapping ` F ` is a function from the subsets of the set of pairs
         over a fixed set ` V ` onto the symmetric relations ` R ` on the fixed
         set ` V ` .  (Contributed by AV, 23-Nov-2021.) $)
      sprsymrelfo $p |- ( V e. W -> F : P -onto-> R ) $=
        ( vt vf cv wceq wral wa wi vq va vb wcel wf cfv wrex wfo sprsymrelf a1i
        cpr copab cxp cpw wbr breq bibi12d 2ralbidv elrab2 cspr sprsymrelfolem1
        crab eqid eleqtrri rexeq opabbidv eqeq2d adantl wss velpw wrel cvv xpss
        wb sstr2 mpi df-rel sylibr dfrel4v nfv nfra1 nfan sprsymrelfolem2 3expa
        nfra2w opabbid biimpd ex com23 syl5bi expcom sylbi rspcedvd sprsymrelfv
        mpd imp31 impcom rexbidva mpbird ralrimiva dffo3 sylanbrc ) FGUDZCDEUEZ
        NPZOPZEUFZQZOCUGZNDRCDEUHXDXCABCDEFHIJKLMUIUJXCXINDXCXEDUDZSZXIXEJPAPZB
        PZUKQZJXFUGZABULZQZOCUGZXJXCXRXJXEFFUMZUNZUDZXLXMXEUOZXMXLXEUOZVNZBFRZA
        FRZSZXCXRTXLXMHPZUOZXMXLYHUOZVNZBFRAFRYFHXEXTDYHXEQZYKYDABFFYLYIYBYJYCX
        LXMYHXEUPXMXLYHXEUPUQURLUSYGXCXRYGXCSZXQXEXNJUAPUBPZUCPZUKQYNYOXEUOTUCF
        RUBFRUAFUTUFZVBZUGZABULZQZOYQCYQCUDYMYQYPUNCYQXEFUAUBUCYQVCZVAKVDUJXFYQ
        QZXQYTVNYMUUBXPYSXEUUBXOYRABXNJXFYQVEVFVGVHYAYFXCYTYAXEXSVIZYFXCYTTTNXS
        VJUUCXCYFYTXCUUCYFYTTZXCUUCSZXEVKZUUDUUCUUFXCUUCXEVLVLUMZVIZUUFUUCXSUUG
        VIUUHFFVMXEXSUUGVOVPXEVQVRVHUUFXEYBABULZQZUUEUUDABXEVSUUEYFUUJYTUUEYFUU
        JYTTUUEYFSZUUJYTUUKUUIYSXEUUKYBYRABUUEYFAUUEAVTYEAFWAWBUUEYFBUUEBVTYDAB
        FFWEWBXCUUCYFYBYRVNABYQXEFGUAUBUCJUUAWCWDWFVGWGWHWIWJWOWKWIWLWPWMWHWLWQ
        XKXHXQOCXKXFCUDZSXGXPXEUULXGXPQXKABCDEFXFHIJKLMWNVHVGWRWSWTONCDEXAXB $.

      $( The mapping ` F ` is a bijection between the subsets of the set of
         pairs over a fixed set ` V ` into the symmetric relations ` R ` on the
         fixed set ` V ` .  (Contributed by AV, 23-Nov-2021.) $)
      sprsymrelf1o $p |- ( V e. W -> F : P -1-1-onto-> R ) $=
        ( wcel wf1 wfo wf1o sprsymrelf1 a1i sprsymrelfo df-f1o sylanbrc ) FGNZC
        DEOZCDEPCDEQUDUCABCDEFHIJKLMRSABCDEFGHIJKLMTCDEUAUB $.
    $}

    $d c p r x y $.  $d f c p x y $.  $d P f $.  $d R f p $.  $d V r $.
    $d W c x y $.
    $( There is a bijection between the subsets of the set of pairs over a
       fixed set ` V ` and the symmetric relations ` R ` on the fixed set
       ` V ` .  (Contributed by AV, 23-Nov-2021.) $)
    sprbisymrel $p |- ( V e. W -> E. f f : P -1-1-onto-> R ) $=
      ( vp vc wcel cv cpr wceq wrex cvv wf1o cspr cmpt wex cfv cpw fvex eqeltri
      copab pwex mptexg mp1i eqid sprsymrelf1o f1oeq1 spcegv sylc ) FGMZKCLNANB
      NOPLKNQABUGZUAZRMZCDURSZCDENZSZEUBCRMUSUPCFTUCZUDRIVCFTUEUHUFKCUQRUIUJABC
      DURFGHKLIJURUKULVBUTEURRCDVAURUMUNUO $.

    $( The class ` P ` of subsets of the set of pairs over a fixed set ` V `
       and the class ` R ` of symmetric relations on the fixed set ` V ` are
       equinumerous.  (Contributed by AV, 27-Nov-2021.) $)
    sprsymrelen $p |- ( V e. W -> P ~~ R ) $=
      ( vf wcel cv wf1o wex cen wbr sprbisymrel bren sylibr ) EFKCDJLMJNCDOPABC
      DJEFGHIQCDJRS $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Proper (unordered) pairs
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Proper (unordered) pairs are unordered pairs with exactly 2 elements.  The
  set of proper pairs with elements of a class ` V ` is defined by
  ` { x e. ~P V | ( # `` x ) = 2 } `.

  For example, ` { 1 ,  2 } ` is a proper pair, because ` 1 =/= 2 ` ( see
  ~ 1ne2 ).  Examples for not proper unordered pairs are ` { 1 , 1 } = { 1 } `
  (see ~ preqsn ), ` { 1 , _V } = { 1 } ` (see ~ prprc2 ) or
  ` { _V , _V } = (/) ` (see ~ prprc ).

$)

  ${
    $d V x $.  $d V a b $.  $d X x $.  $d X a b $.
    prpair.p $e |- P = { x e. ~P V | ( # ` x ) = 2 } $.
    $( Characterization of a proper pair:  A class is a proper pair iff it
       consists of exactly two different sets.  (Contributed by AV,
       11-Mar-2023.) $)
    prpair $p |- ( X e. P <-> E. a e. V E. b e. V
                              ( X = { a , b } /\ a =/= b ) ) $=
      ( wcel cv chash cfv c2 wceq cpw crab wa wrex fveqeq2 imp adantr cpr elrab
      wne eleq2i hash2prb wss elpwi ancom 2rexbii biimpi ss2rexv syl2im prelpwi
      sylbid hashprg biimpd adantld wb eleq1 anbi12d adantl mpbir2and rexlimivv
      ex impbii 3bitri ) DBHDAIZJKLMZACNZOZHDVIHZDJKLMZPZDEIZFIZUAZMZVNVOUCZPZF
      CQECQZBVJDGUDVHVLADVIVGDLJRUBVMVTVKVLVTVKVLVRVQPZFDQEDQZVTDVIEFUEVKDCUFWB
      VSFDQEDQZVTDCUGWBWCWAVSEFDDVRVQUHUIUJVSEFDCUKULUNSVSVMEFCCVNCHVOCHPZVSVMW
      DVSPVMVPVIHZVPJKLMZWDWEVSVNVOCUMTWDVSWFWDVRWFVQWDVRWFVNVOCCUOUPUQSVSVMWEW
      FPURZWDVQWGVRVQVKWEVLWFDVPVIUSDVPLJRUTTVAVBVDVCVEVF $.
  $}

  ${
    $d V p $.  $d W p $.
    prproropf1o.o $e |- O = ( R i^i ( V X. V ) ) $.
    $( Lemma 0 for ~ prproropf1o .  Remark: ` O ` , the set of ordered ordered
       pairs, i.e., ordered pairs in which the first component is less than the
       second component, can alternatively be written as
       ` O = { x e. ( V X. V ) | ( 1st `` x ) R ( 2nd `` x ) } ` or even as
       ` O = { x e. ( V X. V ) | <. ( 1st `` x ) , ( 2nd `` x ) >. e. R } ` ,
       by which the relationship between ordered and unordered pair is
       immediately visible.  (Contributed by AV, 18-Mar-2023.) $)
    prproropf1olem0 $p |- ( W e. O <-> ( W = <. ( 1st ` W ) , ( 2nd ` W ) >.
                                    /\ ( ( 1st ` W ) e. V /\ ( 2nd ` W ) e. V )
                                    /\ ( 1st ` W ) R ( 2nd ` W ) ) ) $=
      ( wcel cxp cin wa c1st cfv c2nd cop wceq wbr w3a eleq2i elin ancom wb
      eleq1 df-br bitr4di adantr pm5.32i bitri anbi2i df-3an 3bitr4i 3bitri
      elxp6 ) DBFDACCGZHZFDAFZDULFZIZDDJKZDLKZMZNZUQCFURCFIZUQURAOZPZBUMDEQDAUL
      RUNUTVAIZIZVDVBIZUPVCVEVDUNIVFUNVDSVDUNVBUTUNVBTVAUTUNUSAFVBDUSAUAUQURAUB
      UCUDUEUFUOVDUNDCCUKUGUTVAVBUHUIUJ $.

    prproropf1o.p $e |- P = { p e. ~P V | ( # ` p ) = 2 } $.
    $( Lemma 1 for ~ prproropf1o .  (Contributed by AV, 12-Mar-2023.) $)
    prproropf1olem1 $p |- ( ( R Or V /\ W e. O )
                            -> { ( 1st ` W ) , ( 2nd ` W ) } e. P ) $=
      ( wor wcel wa c1st cfv c2nd cpr chash c2 wceq cvv fvex cpw cop wbr simpr2
      w3a prproropf1olem0 prelpwi syl wne wpo sopo adantr po2ne syl3anc hashprg
      simpr3 wb mp2an sylib jca sylan2b cv fveqeq2 elrab2 sylibr ) DBIZECJZKELM
      ZENMZOZDUAZJZVJPMQRZKZVJAJVGVFEVHVIUBRZVHDJVIDJKZVHVIBUCZUEZVNBCDEGUFVFVR
      KZVLVMVSVPVLVFVOVPVQUDZVHVIDUGUHVSVHVIUIZVMVSDBUJZVPVQWAVFWBVRDBUKULVTVFV
      OVPVQUPVHVIBDUMUNVHSJVISJWAVMUQELTENTVHVISSUOURUSUTVAFVBZPMQRVMFVJVKAWCVJ
      QPVCHVDVE $.

    $d R a b $.  $d V a b $.  $d X a b $.  $d X p $.
    $( Lemma 2 for ~ prproropf1o .  (Contributed by AV, 13-Mar-2023.) $)
    prproropf1olem2 $p |- ( ( R Or V /\ X e. P )
                       -> <. inf ( X , V , R ) , sup ( X , V , R ) >. e. O ) $=
      ( va vb wcel wa cinf csup cop cv wrex wbr cif ifcl wor cxp cin cpr prpair
      wceq wne simpll simplrl simplrr infsupprpr syl13anc df-br sylib w3a infpr
      simprr 3adant1 eqeltrd suppr jca 3expb adantr opelxp sylibr infeq1 supeq1
      elind wb opeq12d eleq1d ad2antrl mpbird rexlimdvva syl5bi imp eleqtrrdi
      ex ) DBUAZEAKZLEDBMZEDBNZOZBDDUBZUCZCVSVTWCWEKZVTEIPZJPZUDZUFZWGWHUGZLZJD
      QIDQVSWFFADEIJHUEVSWLWFIJDDVSWGDKZWHDKZLZLZWLWFWPWLLZWFWIDBMZWIDBNZOZWEKZ
      WQBWDWTWQWRWSBRZWTBKWQVSWMWNWKXBVSWOWLUHVSWMWNWLUIVSWMWNWLUJWPWJWKUQDWGWH
      BUKULWRWSBUMUNWQWRDKZWSDKZLZWTWDKWPXEWLVSWMWNXEVSWMWNUOZXCXDXFWRWGWHBRZWG
      WHSZDDWGWHBUPWMWNXHDKVSXGWGWHDTURUSXFWSWHWGBRZWGWHSZDDWGWHBUTWMWNXJDKVSXI
      WGWHDTURUSVAVBVCWRWSDDVDVEVHWJWFXAVIWPWKWJWCWTWEWJWAWRWBWSDEWIBVFDEWIBVGV
      JVKVLVMVRVNVOVPGVQ $.

    ${
      $d O p $.  $d P p $.  $d R p $.
      prproropf1o.f $e |- F = ( p e. P |-> <. inf ( p , V , R ) ,
                                              sup ( p , V , R ) >. ) $.
      $( Lemma 3 for ~ prproropf1o .  (Contributed by AV, 13-Mar-2023.) $)
      prproropf1olem3 $p |- ( ( R Or V /\ W e. O )
                            -> ( F ` { ( 1st ` W ) , ( 2nd ` W ) } )
                               = <. ( 1st ` W ) , ( 2nd ` W ) >. ) $=
        ( wcel wa cfv cinf csup cop cvv wceq opeq12d wbr wor c1st cpr cv infeq1
        c2nd supeq1 w3a prproropf1olem0 cif simpl simprll simprlr infpr syl3anc
        iftrue ad2antll eqtrd suppr wn impr iffalsed 3adantr1 sylan2b sylan9eqr
        soasym prproropf1olem1 opex a1i fvmptd2 ) EBUAZFDKZLZGFUBMZFUFMZUCZGUDZ
        EBNZVQEBOZPZVNVOPZACQJVQVPRZVMVTVPEBNZVPEBOZPZWAWBVRWCVSWDEVQVPBUEEVQVP
        BUGSVLVKFWARZVNEKZVOEKZLZVNVOBTZUHWEWARZBDEFHUIVKWIWJWKWFVKWIWJLZLZWCVN
        WDVOWMWCWJVNVOUJZVNWMVKWGWHWCWNRVKWLUKZVKWGWHWJULZVKWGWHWJUMZEVNVOBUNUO
        WJWNVNRVKWIWJVNVOUPUQURWMWDVOVNBTZVNVOUJZVOWMVKWGWHWDWSRWOWPWQEVNVOBUSU
        OWMWRVNVOVKWIWJWRUTEBVNVOVFVAVBURSVCVDVEABDEFGHIVGWAQKVMVNVOVHVIVJ $.

      $d R c d $.  $d V c d $.  $d W a b c d $.  $d Z a b c d $.  $d Z p $.
      $( Lemma 4 for ~ prproropf1o .  (Contributed by AV, 14-Mar-2023.) $)
      prproropf1olem4 $p |- ( ( R Or V /\ W e. P /\ Z e. P )
                              -> ( ( F ` Z ) = ( F ` W ) -> Z = W ) ) $=
        ( wcel wceq wi wa wb wn syl6bi eqeq1d ex vc vd va wor w3a cfv cinf csup
        vb cop cv cvv infeq1 supeq1 opeq12d simp3 a1i fvmptd3 simp2 eqeq12d cpr
        opex wne prpair id infexd supexd jca ad4antr opthg syl wo wbr w3o solin
        wrex cif infpr 3expb iftrue sylan9eqr eqeq2d suppr adantl ioran iffalse
        sotric simplbiim impcom eqtrd anbi12d adantrr simpl simprll simprlr orc
        adantr syl3anc eqneqall adantld ancomd sylan2 anbi1d ancoms 3jaoi mpcom
        olc sylbid ad2antrl imp a1d ancom2s expdimp vex preq12b syl6ibr imbi12d
        eqeqan12rd eqeq12 com12 mpbird rexlimdvva com13 syl5bi sylbi 3imp31 ) E
        BUDZFALZGALZUEZGCUFZFCUFZMGEBUGZGEBUHZUJZFEBUGZFEBUHZUJZMZGFMZYJYKYOYLY
        RYJHGHUKZEBUGZUUAEBUHZUJZYOACULKUUAGMUUBYMUUCYNEUUAGBUMEUUAGBUNUOYGYHYI
        UPYOULLYJYMYNVBUQURYJHFUUDYRACULKUUAFMUUBYPUUCYQEUUAFBUMEUUAFBUNUOYGYHY
        IUSYRULLYJYPYQVBUQURUTYIYHYGYSYTNZYIGUAUKZUBUKZVAZMZUUFUUGVCZOZUBEVPUAE
        VPZYHYGUUENZNHAEGUAUBJVDYHFUCUKZUIUKZVAZMZUUNUUOVCZOZUIEVPUCEVPZUULUUMH
        AEFUCUIJVDYGUUTUULUUEYGUUSUULUUENZUCUIEEYGUUNELZUUOELZOZOZUUSUVAUVEUUSO
        ZUUKUUEUAUBEEUVFUUFELZUUGELZOZOZUUKUUEUVJUUKOZUUEUUHEBUGZUUHEBUHZUJZUUP
        EBUGZUUPEBUHZUJZMZUUHUUPMZNZUVKUVRUVLUVOMZUVMUVPMZOZUVSUVKUVLULLZUVMULL
        ZOZUVRUWCPYGUWFUVDUUSUVIUUKYGUWDUWEYGEUUHBYGVEZVFYGEUUHBUWGVGVHVIUVLUVM
        UVOUVPULULVJVKUVKUWCUUFUUNMZUUGUUOMZOZUUFUUOMZUUGUUNMZOZVLZUVSUVJUUKUWC
        UWNNZUVJUUJUWOUUIUVFUVIUUJUWOUVEUUSUVIUUJOZUWONZUVEUURUWQUUQUUNUUOBVMZU
        UNUUOMZUUOUUNBVMZVNUVEUURUWQNZEUUNUUOBVOUWRUVEUXANUWSUWTUWRUVEUXAUWRUVE
        OZUWQUURUXBUWPUWOUXBUWPOUWCUVLUUNMZUVMUUOMZOZUWNUXBUWCUXEPUWPUXBUWAUXCU
        WBUXDUXBUVOUUNUVLUVEUWRUVOUWRUUNUUOVQZUUNYGUVBUVCUVOUXFMZEUUNUUOBVRVSZU
        WRUUNUUOVTWAWBUXBUVPUUOUVMUXBUVPUWTUUNUUOVQZUUOUVEUVPUXIMZUWRYGUVBUVCUX
        JEUUNUUOBWCVSZWDUVEUWRUXIUUOMZUVEUWRUWSUWTVLQZUXLEUUNUUOBWGUXMUWSQUWTQU
        XLUWSUWTWEUWTUUNUUOWFWHRWIWJWBWKWQUXBUWPUXEUWNNZYGUWPUXNNUWRUVDYGUWPUXN
        UUFUUGBVMZUUFUUGMZUUGUUFBVMZVNZYGUWPOZUXNYGUVIUXRUUJEUUFUUGBVOWLZUXOUXS
        UXNNUXPUXQUXOUXSUXNUXOUXSOZUXEUWJUWNUYAUXCUWHUXDUWIUYAUVLUUFUUNUXSUXOUV
        LUXOUUFUUGVQZUUFUXSYGUVGUVHUVLUYBMZYGUWPWMZYGUVGUVHUUJWNZYGUVGUVHUUJWOZ
        EUUFUUGBVRWRZUXOUUFUUGVTWAZSUYAUVMUUGUUOUYAUVMUXQUUFUUGVQZUUGUXSUVMUYIM
        ZUXOUXSYGUVGUVHUYJUYDUYEUYFEUUFUUGBWCWRZWDUXSUXOUYIUUGMZUXSUXOUXPUXQVLQ
        ZUYLYGUVIUXOUYMPUUJEUUFUUGBWGWLUYMUXPQUXQQUYLUXPUXQWEUXQUUFUUGWFWHRWIWJ
        ZSWKUWJUWMWPZRTUXPUWPUXNYGUXPUUJUXNUVIUXNUUFUUGWSWTWTUXQUXSUXNUXQUXSOZU
        XEUYBUUNMZUWKOZUWNUYPUXCUYQUXDUWKUYPUVLUYBUUNUXSUYCUXQUYGWDZSUYPUVMUUFU
        UOUXSUXQUVMUYIUUFUYKUXQUUFUUGVTWAZSWKUYPUYRUWLUWKOUWNUYPUYQUWLUWKUXSUXQ
        UYQUWLPZUXSUXQUUGUUFMZUXOVLQZVUAUWPYGUVHUVGOUXQVUCPUWPUVGUVHUVIUUJWMXAE
        UUGUUFBWGXBZVUCUYBUUGUUNVUCVUBQUXOQUYBUUGMZVUBUXOWEUXOUUFUUGWFWHZSRWIXC
        UWKUWLUWNUWMUWJXGZXDRXHTXEXFTXIXJXHTXKTUWSUXAUVEUWQUUNUUOWSXKUWTUVEUXAU
        WTUVEOZUWQUURVUHUWPUWOVUHUWPOUWCUVLUUOMZUVMUUNMZOZUWNVUHUWCVUKPUWPVUHUW
        AVUIUWBVUJVUHUVOUUOUVLVUHUVOUXFUUOUVEUXGUWTUXHWDUVEUWTUXFUUOMZUVEUWTUUO
        UUNMZUWRVLQZVULYGUVCUVBUWTVUNPEUUOUUNBWGXLVUNVUMQUWRQVULVUMUWRWEUWRUUNU
        UOWFWHRWIWJWBVUHUVPUUNUVMUVEUWTUVPUXIUUNUXKUWTUUNUUOVTWAWBWKWQVUHUWPVUK
        UWNNZYGUWPVUONUWTUVDYGUWPVUOUXRUXSVUOUXTUXOUXSVUONUXPUXQUXOUXSVUOUYAVUK
        UWMUWNUYAVUIUWKVUJUWLUYAUVLUUFUUOUYHSUYAUVMUUGUUNUYNSWKVUGRTUXPUWPVUOYG
        UXPUUJVUOUVIVUOUUFUUGWSWTWTUXQUXSVUOUYPVUKUWIUWHOUWNUYPVUIUWIVUJUWHUYPU
        VLUUGUUOUYPUVLUYBUUGUYSUXSUXQVUEUXSUXQVUCVUEVUDVUFRWIWJSUYPUVMUUFUUNUYT
        SWKUWHUWIUWNUYOXDRTXEXFTXIXJXHTXKTXEXFWTXJXMWTXJUUFUUGUUNUUOUAXNUBXNUCX
        NUIXNXOXPXHUUKUVJUUEUVTPZUUIUVJVUPNUUJUVJUUIVUPUVFUUIVUPNZUVIUUQVUQUVEU
        URUUQUUIVUPUUQUUIOYSUVRYTUVSUUIUUQYOUVNYRUVQUUIYMUVLYNUVMEGUUHBUMEGUUHB
        UNUOUUQYPUVOYQUVPEFUUPBUMEFUUPBUNUOXRUUIUUQYTUVSPGUUHFUUPXSXDXQTXIWQXTW
        QWIYATYBTYBYCYDYEYFXH $.

      $d p w z $.  $d F w z $.  $d O p w z $.  $d P p w z $.  $d R p w z $.
      $d V w z $.
      $( There is a bijection between the set of proper pairs and the set of
         ordered ordered pairs, i.e., ordered pairs in which the first
         component is less than the second component.  (Contributed by AV,
         15-Mar-2023.) $)
      prproropf1o $p |- ( R Or V -> F : P -1-1-onto-> O ) $=
        ( vz vw cv cfv wceq wral cinf cop wcel wa sylanbrc wor wf1 wf1o wf csup
        wfo wi prproropf1olem2 cmpt infeq1 supeq1 opeq12d cbvmptv eqtri 3ancomb
        fmptd w3a 3anass bitri prproropf1olem4 sylbir ralrimivva wrex c1st c2nd
        dff13 cpr prproropf1olem1 eqeq2d adantl prproropf1olem3 prproropf1olem0
        wb fveq2 wbr simp1bi eqcomd eqtr2d rspcedvd ralrimiva dffo3 df-f1o ) EB
        UAZADCUBZADCUFZADCUCWCADCUDZJLZCMZKLZCMNWGWINUGZKAOJAOWDWCKAWIEBPZWIEBU
        EZQZDCABDEWIFGHUHCFAFLZEBPZWNEBUEZQZUIKAWMUIIFKAWQWMWNWINWOWKWPWLEWNWIB
        UJEWNWIBUKULUMUNUPZWCWJJKAAWCWGARZWIARZSSZWCWTWSUQZWJXBWCWSWTUQXAWCWTWS
        UOWCWSWTURUSABCDEWIWGFGHIUTVAVBJKADCVFTWCWFWIWHNZJAVCZKDOWEWRWCXDKDWCWI
        DRZSZXCWIWIVDMZWIVEMZVGZCMZNZJXIAABDEWIFGHVHWGXINZXCXKVMXFXLWHXJWIWGXIC
        VNVIVJXFXJXGXHQZWIABCDEWIFGHIVKXEXMWINWCXEWIXMXEWIXMNXGERXHERSXGXHBVOBD
        EWIGVLVPVQVJVRVSVTJKADCWATADCWBT $.
    $}

    $d O f p $.  $d P f p $.  $d R f p $.  $d V f $.
    $( The set of proper pairs and the set of ordered ordered pairs, i.e.,
       ordered pairs in which the first component is less than the second
       component, are equinumerous.  (Contributed by AV, 15-Mar-2023.) $)
    prproropen $p |- ( ( V e. W /\ R Or V ) -> O ~~ P ) $=
      ( vf wcel wor wa cv wf1o wex cen wbr cinf csup cvv cop cmpt chash c2 wceq
      cfv cpw rabexd adantr mptexd eqid prproropf1o adantl f1oeq1 spcedv ensymb
      pwexg bren bitri sylibr ) DEJZDBKZLZACIMZNZIOZCAPQZVCVEACFAFMZDBRVHDBSUAZ
      UBZNZITVJVCFAVITVAATJVBVAVHUCUFUDUEFDUGATHDEUQUHUIUJVBVKVAABVJCDFGHVJUKUL
      UMACVDVJUNUOVGACPQVFCAUPACIURUSUT $.
  $}

  ${
    $d O p x y $.  $d P p x y $.  $d R p x y $.  $d V p x y $.  $d ch x $.
    $d ph p x y $.  $d ps y $.  $d ps z $.  $d th x $.  $d x z $.
    prproropreud.o $e |- O = ( R i^i ( V X. V ) ) $.
    prproropreud.p $e |- P = { p e. ~P V | ( # ` p ) = 2 } $.
    prproropreud.b $e |- ( ph -> R Or V ) $.
    prproropreud.x $e |- ( x = <. inf ( y , V , R ) , sup ( y , V , R ) >.
                           -> ( ps <-> ch ) ) $.
    prproropreud.z $e |- ( x = z -> ( ps <-> th ) ) $.
    $( There is exactly one ordered ordered pair fulfilling a wff iff there is
       exactly one proper pair fulfilling an equivalent wff.  (Contributed by
       AV, 20-Mar-2023.) $)
    prproropreud $p |- ( ph -> ( E! x e. O ps <-> E! y e. P ch ) ) $=
      ( wreu cv wceq cinf csup cop cmpt cfv wsbc wor prproropf1o syl wb sbceq1a
      wf1o eqid adantl nfsbc1v reuf1odnf wcel wa cvv eqidd infeq1 opeq12d simpr
      supeq1 opex a1i fvmptd sbceq1d sbcieg bitrd reubidva ) ABEJRBEFSZLHLSZKIU
      AZVMKIUBZUCZUDZUEZUFZFHRCFHRABVSDEFGJHVQAKIUGHJVQULOHIVQJKLMNVQUMUHUIESVR
      TBVSUJABEVRUKUNQBEVRUOUPAVSCFHAVLHUQZURZVSBEVLKIUAZVLKIUBZUCZUFZCWABEVRWD
      WALVLVPWDHVQUSWAVQUTVMVLTZVPWDTWAWFVNWBVOWCKVMVLIVAKVMVLIVDVBUNAVTVCWDUSU
      QZWAWBWCVEVFZVGVHWAWGWECUJWHBCEWDUSPVIUIVJVKVJ $.
  $}

  ${
    $d p x $.  $d V x $.
    pairreueq.p $e |- P = { x e. ~P V | ( # ` x ) = 2 } $.
    $( Two equivalent representations of the existence of a unique proper pair.
       (Contributed by AV, 1-Mar-2023.) $)
    pairreueq $p |- ( E! p e. P ph
                      <-> E! p e. ~P V ( ( # ` p ) = 2 /\ ph ) ) $=
      ( cv wcel wa weu cpw chash cfv c2 wceq wreu fveqeq2 elrab2 anbi1i df-reu
      anass bitri eubii 3bitr4i ) EGZCHZAIZEJUEDKZHZUELMNOZAIZIZEJAECPUKEUHPUGU
      LEUGUIUJIZAIULUFUMABGZLMNOUJBUEUHCUNUENLQFRSUIUJAUAUBUCAECTUKEUHTUD $.
  $}

  ${
    $d A a b p q x y $.  $d B a b p q x y $.  $d P a b p q x y $.
    $d V a b x $.  $d ph a b p x y $.
    paireqne.a $e |- ( ph -> A e. V ) $.
    paireqne.b $e |- ( ph -> B e. V ) $.
    paireqne.p $e |- P = { x e. ~P V | ( # ` x ) = 2 } $.
    $( Two sets are not equal iff there is exactly one proper pair whose
       elements are either one of these sets.  (Contributed by AV,
       27-Jan-2023.) $)
    paireqne $p |- ( ph -> ( E! p e. P A. x e. p ( x = A \/ x = B )
                             <-> A =/= B ) ) $=
      ( va vb wceq wi wa wcel wb eqeq1 syl ex vq vy cv wral wreu wne wrex raleq
      wo weq reu8 cpr chash cfv c2 cpw crab eleq2i elss2prb bitri orbi12d ralpr
      vex bitrdi imbi2d ralbidv anbi12d prelpwi ad3antrrr hashprg adantl biimpd
      ad2antll jca com12 adantr impcom eqtr3 eqneqall a1d equcoms preq12 eqcomd
      impd expcom prcom syl5eq imp fveqeq2d mpbird fveqeq2 elrab sylibr imbi12d
      jaoi eqeq2 rspcv ralprg imbi1d eqid orci olci pm5.5 mp2an pm3.2i preq12bg
      cvv sylancr eqeq12 necon3bid necom ad2antrl sylbid syl5bi syld rexlimdvva
      syl6ibr rexlimdva elpr a1i ralrimiva wel prid1g eleq2 prid2g eqtr2d exp32
      simplrr mpdd rspcedvd impbid ) ABUCZCMZYLDMZUIZBGUCZUDZGEUEZCDUFZYRYQYOBU
      AUCZUDZGUAUJZNZUAEUDZOZGEUGAYSYQUUAGUAEYOBYPYTUHUKAUUEYSGEAYPEPZUUEYSNZUU
      FKUCZLUCZUFZYPUUHUUIULZMZOZLFUGKFUGZAUUGUUFYPYLUMUNUOMZBFUPZUQZPUUNEUUQYP
      JURKLBYPFUSUTAUUMUUGKLFFAUUHFPZUUIFPZOZOZUUMUUGUVAUUMOZUUEUUHCMZUUHDMZUIZ
      UUICMZUUIDMZUIZOZUUAUUKYTMZNZUAEUDZOZYSUULUUEUVMQUVAUUJUULYQUVIUUDUVLUULY
      QYOBUUKUDUVIYOBYPUUKUHYOUVEUVHBUUHUUIKVCZLVCZBKUJYMUVCYNUVDYLUUHCRYLUUHDR
      VAZBLUJYMUVFYNUVGYLUUICRYLUUIDRVAZVBVDUULUUCUVKUAEUULUUBUVJUUAYPUUKYTRVEV
      FVGVMUVBUVIUVLYSUVBUVIUVLYSNUVBUVIOZUVLYOBCDULZUDZUUKUVSMZNZYSUVRUVSEPZUV
      LUWBNUVRUVSUUPPZUVSUMUNUOMZOZUWCUVRUWDUWEAUWDUUTUUMUVIACFPZDFPZOZUWDAUWGU
      WHHIVNZCDFVHSZVIUVRUWEUUKUMUNUOMZUVBUWLUVIUUMUVAUWLUUJUVAUWLNUULUVAUUJUWL
      UVAUUJUWLUUTUUJUWLQAUUHUUIFFVJVKVLVOVPVQVPUVRUVSUUKUOUMUVIUVBUVSUUKMZUVEU
      VHUVBUWMNZUVCUVHUWNNUVDUVHUVCUWNUVFUVCUWNNUVGUVFUVCUWNUVFUVCOLKUJZUWNUUIU
      UHCVRUWNKLKLUJZUVAUUMUWMUWPUUMUWMNUVAUWPUUJUULUWMUULUWMNUUHUUIVSWDVTWDWAZ
      STUVCUVGUWNUVCUVGOZUWMUVBUWRUUKUVSUUHUUICDWBZWCVTWEWOVOUVHUVDUWNUVFUVDUWN
      NUVGUVFUVDUWNUVFUVDOZUWMUVBUWTUUKUVSUWTUUKUUIUUHULUVSUUHUUIWFUUIUUHCDWBWG
      ZWCVTTUVGUVDUWNUVGUVDOUWOUWNUUIUUHDVRUWQSTWOVOWOWHVQWIWJVNUWCUVSUUQPUWFEU
      UQUVSJURUUOUWEBUVSUUPYLUVSUOUMWKWLUTZWMUVKUWBUAUVSEYTUVSMUUAUVTUVJUWAYOBY
      TUVSUHYTUVSUUKWPWNWQSUVRUWBCCMZCDMZUIZDCMZDDMZUIZOZUWANZYSAUWBUXJQUUTUUMU
      VIAUVTUXIUWAAUWIUVTUXIQUWJYOUXEUXHBCDFFYMYMUXCYNUXDYLCCRYLCDRVAYNYMUXFYNU
      XGYLDCRYLDDRVAWRSWSVIUXJUWAUVRYSUXEUXHUXJUWAQUXCUXDCWTXAUXGUXFDWTXBUXIUWA
      XCXDUVBUWAYSNUVIUVBUWAUWRUVDUVFOZUIZYSUVAUWAUXLQZUUMAUXMUUTAUUHXGPZUUIXGP
      ZOUWIUXMUXNUXOUVNUVOXEUWJUUHUUICDXGXGFFXFXHVPVPUUJUXLYSNUVAUULUXLUUJYSUWR
      UUJYSNUXKUWRUUJYSUWRUUHUUICDUUHCUUIDXIXJVLUXKUUJDCUFZYSUXKUUJUXPUXKUUHUUI
      DCUUHDUUICXIXJVLCDXKXQWOVOXLXMVPXNXMXOTWDXMTXPXNWHXRXNAYSYRAYSOZYQYOBUBUC
      ZUDZGUBUJZNZUBEUDZOZGEUGYRUXQUYCUVTUXSUVSUXRMZNZUBEUDZOZGUVSEUXQUWFUWCUXQ
      UWDUWEAUWDYSUWKVPAYSUWEAYSUWEAUWIYSUWEQUWJCDFFVJSVLWHVNUXBWMYPUVSMZUYCUYG
      QUXQUYHYQUVTUYBUYFYOBYPUVSUHUYHUYAUYEUBEUYHUXTUYDUXSYPUVSUXRRVEVFVGVKUXQU
      VTUYFUXQYOBUVSUXQYLUVSPZYOUXQUYIYOUYIYOQUXQYLCDBVCXSXTVLWHYAUXQUYEUBEUXQU
      XREPZUYEUYJUUJUXRUUKMZOZLFUGKFUGZUXQUYEUYJUXRUUQPUYMEUUQUXRJURKLBUXRFUSUT
      UXQUYLUYEKLFFUXQUUTOZUYLUYEUYNUYLOZUXSUVEUYDUYOKUBYBZUXSUVENUYOUYPUUHUUKP
      ZUYNUYQUYLUURUYQUXQUUSUUHUUIFYCXLVPUYKUYPUYQQUYNUUJUXRUUKUUHYDVMWJYOUVEBU
      UHUXRUVPWQSUYOUXSUVHUVEUYDNUYOLUBYBZUXSUVHNUYOUYRUUIUUKPZUYNUYSUYLUUSUYSU
      XQUURUUHUUIFYEVMVPUYKUYRUYSQUYNUUJUXRUUKUUIYDVMWJYOUVHBUUIUXRUVQWQSUYOUVH
      UVEUYDUYOUVHUVEOZOUXRUUKUVSUYNUUJUYKUYTYHUYTUYOUWAUVHUVEUYOUWANZUVFUVEVUA
      NUVGUVEUVFVUAUVCUVFVUANUVDUVCUVFVUAUVCUVFOUWPVUAUUHUUICVRUYOUWPUWAUUJUWPU
      WANUYNUYKUWPUUJUWAUWAUUHUUIVSVOXLVOZSTUVFUVDVUAUWTUWAUYOUXAVTWEWOVOUVEUVG
      VUAUVCUVGVUANUVDUVCUVGVUAUWRUWAUYOUWSVTTUVDUVGVUAUVDUVGOUWPVUAUUHUUIDVRVU
      BSTWOVOWOWHVQYFYGXOYITXPXNWHYAVNYJYQUXSGUBEYOBYPUXRUHUKWMTYK $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Set of proper unordered pairs
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Declare new symbols needed. $)
  $c PrPairs $.

  $( Extend class notation with set of proper unordered pairs. $)
  cprpr $a class PrPairs $.

  ${
    $d a b p v $.
    $( Define the function which maps a set ` v ` to the set of proper
       unordered pairs consisting of exactly two (different) elements of the
       set ` v ` .  (Contributed by AV, 29-Apr-2023.) $)
    df-prpr $a |- PrPairs = ( v e. _V |-> { p | E. a e. v E. b e. v
                                            ( a =/= b /\ p = { a , b } ) } ) $.
  $}

  ${
    $d V a b p v $.  $d W a b p v $.
    $( The set of all proper unordered pairs over a given set ` V ` .
       (Contributed by AV, 29-Apr-2023.) $)
    prprval $p |- ( V e. W -> ( PrPairs ` V )
                              = { p | E. a e. V E. b e. V
                                      ( a =/= b /\ p = { a , b } ) } ) $=
      ( vv wcel cv wne cpr wceq wa wrex cab cvv cprpr ralrimivw abrexex2g mpdan
      wral df-prpr rexeq rexeqbi1dv abbidv adantl elex wss simpr ss2abi zfpair2
      weu eueqi euabex mp1i ssexg sylancr fvmptd2 ) ABGZFADHZEHZIZCHUSUTJZKZLZE
      FHZMZDVEMZCNZVDEAMZDAMZCNZOPOFCDEUAVEAKZVHVKKURVLVGVJCVFVIDVEAVDEVEAUBUCU
      DUEABUFURVICNOGZDATVKOGURVMDAURVDCNZOGZEATVMURVOEAURVNVCCNZUGVPOGZVOVDVCC
      VAVCUHUIVCCUKVQURCVBDEUJULVCCUMUNVNVPOUOUPQVDECABORSQVIDCABORSUQ $.
  $}

  ${
    $d V a b p $.  $d W a b p $.
    $( The set of all proper unordered pairs over a given set ` V ` , expressed
       by a restricted class abstraction.  (Contributed by AV, 29-Apr-2023.) $)
    prprvalpw $p |- ( V e. W -> ( PrPairs ` V )
                                = { p e. ~P V | E. a e. V E. b e. V
                                           ( a =/= b /\ p = { a , b } ) } ) $=
      ( wcel cprpr cfv cv wne cpr wceq wa wrex cab cpw crab prprval wb wss prex
      prssi eleq1 adantl bitrdi syl5ibrcom rexlimivv pm4.71ri a1i abbidv df-rab
      elpw eqtr4di eqtrd ) ABFZAGHDIZEIZJZCIZUPUQKZLZMZEANDANZCOZVCCAPZQZABCDER
      UOVDUSVEFZVCMZCOVFUOVCVHCVCVHSUOVCVGVBVGDEAAUPAFUQAFMVGVBUTATZUPUQAUBVBVG
      UTVEFZVIVAVGVJSURUSUTVEUCUDUTAUPUQUAULUEUFUGUHUIUJVCCVEUKUMUN $.

    $d P a b p $.
    $( An element of the set of all proper unordered pairs over a given set
       ` V ` is a subset of ` V ` of size two.  (Contributed by AV,
       29-Apr-2023.) $)
    prprelb $p |- ( V e. W -> ( P e. ( PrPairs ` V )
                                <-> ( P e. ~P V /\ ( # ` P ) = 2 ) ) ) $=
      ( va vb vp wcel cprpr cfv cpw cv wne cpr wceq wrex chash bitrdi wex cvv
      wa c2 crab prprvalpw eleq2d eqeq1 anbi2d 2rexbidv elrab hash2exprb prelpw
      eleq1 wb el2v biimpri syl6bi adantld pm4.71rd 2exbidv r2ex bitr4di bitr2d
      com12 pm5.32i ) BCGZABHIZGZABJZGZDKZEKZLZAVIVJMZNZTZEBODBOZTZVHAPIUANZTVD
      VFAVKFKZVLNZTZEBODBOZFVGUBZGVPVDVEWBABCFDEUCUDWAVOFAVGVRANZVTVNDEBBWCVSVM
      VKVRAVLUEUFUGUHQVHVOVQVHVQVNERDRZVOAVGDEUIVHWDVIBGVJBGTZVNTZERDRVOVHVNWFD
      EVHVNWEVHVMWEVKVMVHWEVMVHVLVGGZWEAVLVGUKWEWGWEWGULDEVIVJBSSUJUMUNUOVBUPUQ
      URVNDEBBUSUTVAVCQ $.
  $}

  ${
    $d P a b p $.  $d X a b p $.
    $( A set is an element of the set of all proper unordered pairs over a
       given set ` X ` iff it is a pair of different elements of the set
       ` X ` .  (Contributed by AV, 7-May-2023.) $)
    prprelprb $p |- ( P e. ( PrPairs ` X ) <-> ( X e. _V
                     /\ E. a e. X E. b e. X ( P = { a , b } /\ a =/= b ) ) ) $=
      ( vp cvv wcel cprpr cv wceq wa wrex wb eleq2d reximdvva imp adantl adantr
      wi ex cfv cpr wne cpw prprvalpw eqeq1 anbi2d 2rexbidv elrab bitrdi pm3.22
      crab a1i anim2i simpr ancomd prelpwi eleq1 mpbird r19.41vv biancomi sylib
      jca impbid1 bitrd wn c0 fvprc noel pm2.21 mp1i impd impbid pm2.61i ) BFGZ
      ABHUAZGZVOACIZDIZUBZJZVRVSUCZKZDBLCBLZKZMVOVQABUDZGZWBWAKZDBLCBLZKZWEVOVQ
      AWBEIZVTJZKZDBLCBLZEWFULZGWJVOVPWOABFECDUENWNWIEAWFWKAJZWMWHCDBBWPWLWAWBW
      KAVTUFUGUHUIUJVOWJWEVOWJWEWJWDVOWGWIWDWGWHWCCDBBWHWCSWGVRBGVSBGKZKWBWAUKU
      MOPUNTWEWHWGKZDBLCBLZWJVOWDWSVOWCWRCDBBVOWQKZWCWRWTWCKZWHWGXAWAWBWTWCUOUP
      XAWGVTWFGZWTXBWCWQXBVOVRVSBUQQRWCWGXBMZWTWAXCWBAVTWFURRQUSVCTOPWSWGWIWHWG
      CDBBUTVAVBVDVEVOVFZVQAVGGZWEXDVPVGABHVHNXDXEWEXEVFXEWESXDAVIXEWEVJVKXDVOW
      DXEVOWDXESVJVLVMVEVN $.
  $}

  ${
    $d V a b p $.
    $( The set of all proper unordered pairs over a given set ` V ` is the set
       of all unordered pairs over that set of size two.  (Contributed by AV,
       29-Apr-2023.) $)
    prprspr2 $p |- ( PrPairs ` V ) = { p e. ( Pairs ` V ) | ( # ` p ) = 2 } $=
      ( va vb cvv wcel cprpr cfv cv chash c2 wceq cspr crab wa cab wrex wb a1i
      c0 wne sprval abeq2d anbi1d r19.41vv fveqeq2 hashprg el2v bitr4di pm5.32i
      cpr biancomi 2rexbidva bitr3id bitrd abbidv df-rab prprval 3eqtr4rd fvprc
      wn rab0 rabeqdv pm2.61i ) AEFZAGHZBIZJHKLZBAMHZNZLVEVGVIFZVHOZBPZCIZDIZUA
      ZVGVNVOUKZLZOZDAQCAQZBPVJVFVEVLVTBVEVLVRDAQCAQZVHOZVTVEVKWAVHVEWABVIAEBCD
      UBUCUDWBVRVHOZDAQCAQVEVTVRVHCDAAUEVEWCVSCDAAWCVSRVEVNAFVOAFOOWCVPVRVRVHVP
      VRVHVQJHKLZVPVGVQKJUFVPWDRCDVNVOEEUGUHUIUJULSUMUNUOUPVJVMLVEVHBVIUQSAEBCD
      URUSVEVAZVHBTNZTVJVFWFTLWEVHBVBSWEVHBVITAMUTVCAGUTUSVD $.
  $}

  ${
    $d V p $.  $d W p $.
    $( There is a unique proper unordered pair over a given set ` V `
       fulfilling a wff iff there is a unique unordered pair over ` V ` of size
       two fulfilling this wff.  (Contributed by AV, 30-Apr-2023.) $)
    prprsprreu $p |- ( V e. W -> ( E! p e. ( PrPairs ` V ) ph
                       <-> E! p e. ( Pairs ` V ) ( ( # ` p ) = 2 /\ ph ) ) ) $=
      ( wcel cv cprpr cfv wa cspr chash c2 wceq wreu wb prprspr2 rabeq2i df-reu
      weu a1i anbi1d anass bitrdi eubidv 3bitr4g ) BCEZDFZBGHZEZAIZDSUGBJHZEZUG
      KHLMZAIZIZDSADUHNUNDUKNUFUJUODUFUJULUMIZAIUOUFUIUPAUIUPOUFUMDUHUKBDPQTUAU
      LUMAUBUCUDADUHRUNDUKRUE $.
  $}

  ${
    $d V p $.  $d W p $.
    $( There is a unique proper unordered pair over a given set ` V `
       fulfilling a wff iff there is a unique subset of ` V ` of size two
       fulfilling this wff.  (Contributed by AV, 29-Apr-2023.) $)
    prprreueq $p |- ( V e. W -> ( E! p e. ( PrPairs ` V ) ph
                                <-> E! p e. ~P V ( ( # ` p ) = 2 /\ ph ) ) ) $=
      ( wcel cv cprpr cfv wa weu chash c2 wceq wreu prprelb anbi1d anass bitrdi
      cpw df-reu eubidv 3bitr4g ) BCEZDFZBGHZEZAIZDJUDBSZEZUDKHLMZAIZIZDJADUENU
      KDUHNUCUGULDUCUGUIUJIZAIULUCUFUMAUDBCOPUIUJAQRUAADUETUKDUHTUB $.
  $}

  ${
    $d a b x y p $.  $d ph x y $.  $d ps p $.
    sbcpr.x $e |- ( p = { x , y } -> ( ph <-> ps ) ) $.
    $( The proper substitution of an unordered pair for a setvar variable
       corresponds to a proper substitution of each of its elements.
       (Contributed by AV, 7-Apr-2023.) $)
    sbcpr $p |- ( [. { a , b } / p ]. ph <-> [. b / y ]. [. a / x ]. ps ) $=
      ( cv wsbc wa wex sbc5 wi wal alrimiv sbc6 sylibr exlimiv sylbi cpr weq wb
      wceq preq12 eqcomd eqeq2d biimpa syl biimpd expcom com24 imp31 vex bicomd
      expd ex com13 impcom prex impbii ) AEFIZGIZUAZJZBCVBJZDVCJZVEEIZVDUDZAKZE
      LVGAEVDMVJVGEVJDGUBZVFNZDOVGVJVLDVJVKVFVJVKKZCFUBZBNZCOVFVMVOCVIAVKVOVIVN
      VKABVIVNVKABNZVNVKKZVIVPVQVIKZABVRVHCIZDIZUAZUDZABUCVQVIWBVQVDWAVHVQWAVDV
      SVTVBVCUEUFUGUHZHUIUJUKUPULUMPBCVBFUNQRUQPVFDVCGUNQRSTVGVIANZEOVEVGWDEVGV
      KVFKZDLWDVFDVCMWEWDDVFVKWDVFVNBKZCLVKWDNZBCVBMWFWGCBVNWGBVNVKWDVIVQBAVQVI
      BANVRBAVRWBBAUCWCWBABHUOUIUJUKURUPUSSTUSSTPAEVDVBVCUTQRVA $.
  $}

  ${
    $d V a b c d p q x y $.  $d X a b c d p q x y $.  $d X p q w $.
    $d ps q w $.  $d ps a b c d q x y $.  $d th c d p q $.  $d ch c d p q $.
    reupr.a $e |- ( p = { a , b } -> ( ps <-> ch ) ) $.
    reupr.x $e |- ( p = { x , y } -> ( ps <-> th ) ) $.
    $( There is a unique unordered pair fulfilling a wff iff there are uniquely
       two sets fulfilling a corresponding wff.  (Contributed by AV,
       7-Apr-2023.) $)
    reupr $p |- ( X e. V -> ( E! p e. ( Pairs ` X ) ps
             <-> E. a e. X E. b e. X ( ch /\ A. x e. X A. y e. X
                                       ( th -> { x , y } = { a , b } ) ) ) ) $=
      ( vq cv wsbc wceq wi wa wrex wcel vw vc vd cspr cfv wreu wral cpr nfsbc1v
      sbceq1a dfsbcq reu8nf sprel biimpcd adantr ad2antlr imp pm3.22 prelspr wb
      eqeq2 imbi12d adantl rspcdv syl zfpair2 sbcie pm2.27 sylbir eqcom syl6ibr
      com12 eqcoms imbi2d syl5ibrcom a1d expimpd imp4c impcom ralrimivva jca ex
      syl6 reximdvva expcom com13 rexlimdva simprl nfv preq1 eqeq1d preq2 rspc2
      nfim sbcpr sylbi impd rexlimdvva impel ralrimiva nfcv nfralw nfan ralbidv
      eqeq1 anbi12d rspce syl12anc impbid syl5bb ) AHGUDUEZUFAAHMNZOZHNZXLPZQZM
      XKUGZRZHXKSZGFTZBCDNZENZUHZINZJNZUHZPZQZEGUGDGUGZRZJGSIGSZAXMAHUANZOHMUAX
      KAHXLUIZAHYLUIAHYLUJAHYLXLUKULXTXSYKXTXRYKHXKXNXKTZXTXRYKQZYNXNYFPZJGSIGS
      ZXTYOQGXNIJUMXRXTYQYKXTXRYQYKQXTXRRZYPYJIJGGYRYDGTYEGTRZRZYPYJYTYPRZBYIYT
      YPBXRYPBQZXTYSAUUBXQYPABKUNUOUPUQUUAYHDEGGYAGTYBGTRZUUAYHUUCYRYSYPYHUUCXT
      XRYSYPYHQZQZUUCXTRZAXQUUEUUFARZXQAHYCOZXNYCPZQZUUEUUGXTUUCRZXQUUJQUUFUUKA
      UUCXTURUOUUKXPUUJMYCXKGFYAYBUSXLYCPZXPUUJUTUUKUULXMUUHXOUUIAHXLYCUKXLYCXN
      VAVBVCVDVEUUJUUDYSUUJYHYPCYCXNPZQCUUJUUMCUUJUUIUUMCUUHUUJUUIQACHYCDEVFLVG
      UUHUUIVHVIYCXNVJVKVLYPYGUUMCYGUUMUTYFXNYFXNYCVAVMVNVOVPWCVQVQVRVSVTWAWBWD
      WEWFVEVSWGXTYJXSIJGGXTYSRZYJXSUUNYJRZYFXKTZBXMYFXLPZQZMXKUGZXSUUNUUPYJGFY
      DYEUSUOUUNBYIWHUUOUURMXKUUOXLUBNZUCNZUHZPZUCGSUBGSUURXLXKTUUOUVCUURUBUCGG
      UUOUUTGTUVAGTRZRUURUVCAHUVBOZYFUVBPZQZUVDUUOUVGUVDUUNYJUVGUUNUVDYJUVGQUUN
      UVDRZBYIUVGUVHBRYICDUUTOZEUVAOZUVBYFPZQZUVGUVDYIUVLQUUNBYHUVLUVIUUTYBUHZY
      FPZQDEUUTUVAGGUVIUVNDCDUUTUIUVNDWIWNUVJUVKEUVIEUVAUIUVKEWIWNYAUUTPZCUVIYG
      UVNCDUUTUJUVOYCUVMYFYAUUTYBWJWKVBYBUVAPZUVIUVJUVNUVKUVIEUVAUJUVPUVMUVBYFY
      BUVAUUTWLWKVBWMUPUVEUVLUVFUVEUVLUVKUVFUVEUVJUVLUVKQACDEHUBUCLWOUVJUVKVHWP
      YFUVBVJVKVLWCVQWEWQVSUVCXMUVEUUQUVFAHXLUVBUKXLUVBYFVAVBVOWRGXLUBUCUMWSWTX
      RBUUSRHYFXKBUUSHBHWIUURHMXKHXKXAXMUUQHYMUUQHWIWNXBXCYPABXQUUSKYPXPUURMXKY
      PXOUUQXMXNYFXLXEVNXDXFXGXHWBWRXIXJ $.

    $( There is a unique proper unordered pair fulfilling a wff iff there are
       uniquely two different sets fulfilling a corresponding wff.
       (Contributed by AV, 30-Apr-2023.) $)
    reuprpr $p |- ( X e. V -> ( E! p e. ( PrPairs ` X ) ps
             <-> E. a e. X E. b e. X ( a =/= b /\ ch /\ A. x e. X A. y e. X
                        ( ( x =/= y /\ th ) -> { x , y } = { a , b } ) ) ) ) $=
      ( cfv cv chash c2 wceq wa wrex cvv wcel cprpr wreu cspr wne wi prprsprreu
      cpr wral w3a fveqeq2 hashprg el2v bitr4di anbi12d reupr df-3an bicomi a1i
      wb 2rexbidv 3bitrd ) GFUAZAHGUBMUCHNZOMPQZARZHGUDMUCINZJNZUEZBRZDNZENZUEZ
      CRZVKVLUHZVGVHUHZQUFEGUIDGUIZRZJGSIGSVIBVQUJZJGSIGSAGFHUGVFVJVNDEFGHIJVDV
      PQZVEVIABVTVEVPOMPQZVIVDVPPOUKVIWAUTIJVGVHTTULUMUNKUOVDVOQZVEVMACWBVEVOOM
      PQZVMVDVOPOUKVMWCUTDEVKVLTTULUMUNLUOUPVCVRVSIJGGVRVSUTVCVSVRVIBVQUQURUSVA
      VB $.
  $}

  $( Equality for unordered pairs with partially ordered elements.
     (Contributed by AV, 9-Jul-2023.) $)
  poprelb $p |- ( ( ( Rel R /\ R Po X ) /\ ( A e. X /\ B e. X )
                                        /\ ( A R B /\ C R D ) )
                  -> ( { A , B } = { C , D } <-> ( A = C /\ B = D ) ) ) $=
    ( wrel wpo wa wcel wbr w3a cpr wceq wo cvv wb simp2 an3 wi 3adant2 preq12bg
    brrelex12 syl syl2anc idd breq12 ancoms bicomd anbi2d po2nr adantll pm2.21d
    wn ex com13 syl6bi com23 com14 3imp jaod orc impbid1 bitrd ) EGZFEHZIZAFJBF
    JIZABEKZCDEKZIZLZABMCDMNZACNBDNIZADNZBCNZIZOZVNVLVHCPJDPJIZVMVRQVGVHVKRVLVE
    VJIZVSVGVKVTVHVEVFVIVJSUACDEUCUDABCDFFPPUBUEVLVRVNVLVNVNVQVLVNUFVGVHVKVQVNT
    VQVHVKVGVNVQVKVHVGVNTZVQVKVIBAEKZIZVHWATVQVJWBVIVQWBVJVPVOWBVJQBCADEUGUHUIU
    JVGVHWCVNVGVHWCVNTVGVHIWCVNVFVHWCUNVEFABEUKULUMUOUPUQURUSUTVAVNVQVBVCVD $.

  $( The existence of an ordered pair fulfilling a wff implies the existence of
     an unordered pair fulfilling the wff.  (Contributed by AV,
     29-Jul-2023.) $)
  2exopprim $p |- ( E. a E. b ( <. A , B >. = <. a , b >. /\ ph )
                    -> E. a E. b ( { A , B } = { a , b } /\ ph ) ) $=
    ( cop cv wceq wa cpr wi cvv oppr el2v eqcomd eqcoms anim1i 2eximi ) BCFZDGZ
    EGZFZHZAIBCJZTUAJZHZAIDEUCUFAUFUBSUBSHZUEUDUGUEUDHKDETUABCLLMNOPQR $.

  ${
    $d V m n p v w $.  $d X a b i j m n p x y $.  $d X a b m n p v w x y $.
    $d i j m n p ph x y $.  $d ph v w x y $.
    $( There is a unique unordered pair with ordered elements fulfilling a wff
       if there is a unique ordered pair fulfilling the wff.  (Contributed by
       AV, 28-Jul-2023.) $)
    reuopreuprim $p |- ( X e. V -> ( E! p e. ( X X. X ) E. a E. b
                                                 ( p = <. a , b >. /\ ph )
                                 -> E! p e. ( Pairs ` X ) E. a E. b
                                                 ( p = { a , b } /\ ph ) ) ) $=
      ( vm vn cv wceq wa wex wi wral anbi1d 2exbidv nfv nfan eqeq1d wb vx vy vi
      vj vv vw cop cxp wreu wrex wcel cpr cspr cfv eqeq1 simpll simplr cvv oppr
      reuop el2v anim1i 2eximi adantr adantl nfe1 nfcv nfim nfralw nfex preq12b
      wo vex opeq1 imbi12d opeq2 rspc2v w3a wsbc pm3.22 3adant2 sbceq1a equcoms
      eqidd sylan9bb 3ad2ant2 biimpa jca32 nfsbc1v nfsbcw opeq12 eqeq2d anbi12d
      spc2ed imp pm2.27 3syl syl6 com23 3exp com24 syld com13 a1d imp42 anim1ci
      ancoms sylan9bbr prcom eqtr3id jaod syl5bi exlimd ralrimivva preq1 imbi2d
      ex impd 2ralbidv preq2 rspc2ev syl112anc rexlimivv reupr syl5ibr ) DIZEIZ
      FIZUGZJZAKZFLELZDCCUHUIUAIZUBIZUGZYIJZAKZFLZELZUCIZUDIZUGZYIJZAKZFLZELZUU
      BYOJZMZUDCNZUCCNZKZUBCUJUACUJZCBUKZYFYGYHULZJZAKZFLELZDCUMUNUIZYLYSUUFUCU
      DCCDUAUBYFYOJZYKYQEFUUSYJYPAYFYOYIUOOPYFUUBJZYKUUDEFUUTYJUUCAYFUUBYIUOOPU
      TUULUURUUMUEIZUFIZULZUUNJZAKZFLELZGIZHIZULZUUNJZAKZFLZELZUVIUVCJZMZHCNGCN
      ZKZUFCUJUECUJZUUKUVRUAUBCCYMCUKZYNCUKZKZUUKUVRUWAUUKKZUVSUVTYMYNULZUUNJZA
      KZFLELZUVMUVIUWCJZMZHCNGCNZUVRUVSUVTUUKUPUVSUVTUUKUQUUKUWFUWAYSUWFUUJYQUW
      EEFYPUWDAYPUWDMUAUBYMYNYGYHURURUSVAVBVCVDVEUWBUWHGHCCUWBUVGCUKZUVHCUKZKZK
      ZUVLUWGEUWBUWLEUWAUUKEUWAEQYSUUJEYREVFUUIEUCCECVGZUUHEUDCUWNUUFUUGEUUEEVF
      UUGEQVHVIVIRRUWLEQRUWGEQUWMUVKUWGFUWBUWLFUWAUUKFUWAFQYSUUJFYRFEYQFVFVJUUI
      FUCCFCVGZUUHFUDCUWOUUFUUGFUUEFEUUDFVFVJUUGFQVHVIVIRRUWLFQRUWGFQUWMUVJAUWG
      UVJUVGYGJZUVHYHJZKZUVGYHJZUVHYGJZKZVLUWMAUWGMZUVGUVHYGYHGVMHVMEVMFVMVKUWM
      UWRUXBUXAUWAYSUUJUWLUWRUXBMZUWAUUJUWLUXCMMYSUWLUUJUWAUXCUWLUUJUVGUVHUGZYI
      JZAKZFLELZUXDYOJZMZUWAUXCMUUHUXIUVGUUAUGZYIJZAKZFLELZUXJYOJZMUCUDUVGUVHCC
      YTUVGJZUUFUXMUUGUXNUXOUUDUXLEFUXOUUCUXKAUXOUUBUXJYIYTUVGUUAVNZSOPUXOUUBUX
      JYOUXPSVOUUAUVHJZUXMUXGUXNUXHUXQUXLUXFEFUXQUXKUXEAUXQUXJUXDYIUUAUVHUVGVPZ
      SOPUXQUXJUXDYOUXRSVOVQUWLUWRUWAUXIUXBUWLUWRUWAUXIUXBMUWLUWRUWAVRZAUXIUWGU
      XSAUXIUWGMUXSAKZUXIUXHUWGUXTUWAUWLKZUXDUXDJZAEUVGVSZFUVHVSZKZKUXGUXIUXHMU
      XTUYAUYBUYDUXSUYAAUWLUWAUYAUWRUWLUWAVTWAVDUXTUXDWDUXSAUYDUWRUWLAUYDTUWAUW
      PAUYCUWQUYDAUYCTEGAEUVGWBZWCUYCUYDTFHUYCFUVHWBZWCWEWFWGWHUYAUYEUXGUWAUXFU
      YEEFUVGUVHCCUYBUYDEUYBEQUYCEFUVHEUVHVGAEUVGWIWJRUYBUYDFUYBFQUYCFUVHWIRYGU
      VGJZYHUVHJZKZUXFUYETUWAUYJUXEUYBAUYDUYJYIUXDUXDYGYHUVGUVHWKWLUYHAUYCUYIUY
      DUYFUYGWEWMVEWNWOUXGUXHWPWQUXHUWGMGHUVGUVHYMYNURURUSVAWRXQWSWTXAXBXCXDXEU
      WAYSUUJUWLUXAUXBMZUWAUUJUWLUYKMMYSUWLUUJUWAUYKUWLUUJUVHUVGUGZYIJZAKZFLELZ
      UYLYOJZMZUWAUYKMUWKUWJUUJUYQMUUHUYQUVHUUAUGZYIJZAKZFLELZUYRYOJZMUCUDUVHUV
      GCCYTUVHJZUUFVUAUUGVUBVUCUUDUYTEFVUCUUCUYSAVUCUUBUYRYIYTUVHUUAVNZSOPVUCUU
      BUYRYOVUDSVOUUAUVGJZVUAUYOVUBUYPVUEUYTUYNEFVUEUYSUYMAVUEUYRUYLYIUUAUVGUVH
      VPZSOPVUEUYRUYLYOVUFSVOVQXGUWLUXAUWAUYQUXBUWLUXAUWAUYQUXBMUWLUXAUWAVRZAUY
      QUWGVUGAUYQUWGMVUGAKZUYQUYPUWGVUHUWAUWKUWJKZKZUYLUYLJZAFUVGVSZEUVHVSZKZKU
      YOUYQUYPMVUHVUJVUKVUMVUGVUJAUWLUWAVUJUXAUWLVUIUWAUWJUWKVTXFWAVDVUHUYLWDVU
      GAVUMUXAUWLAVUMTUWAUWSAVULUWTVUMAVULTFGAFUVGWBZWCVULVUMTEHVULEUVHWBZWCWEW
      FWGWHVUJVUNUYOUWAUYNVUNEFUVHUVGCCVUKVUMEVUKEQVULEUVHWIRVUKVUMFVUKFQVULFEU
      VHFUVHVGAFUVGWIWJRYGUVHJZYHUVGJZKZUYNVUNTUWAVUSUYMVUKAVUMVUSYIUYLUYLYGYHU
      VHUVGWKWLVURAVULVUQVUMVUOVUPXHWMVEWNWOUYOUYPWPWQUYPUVIUVHUVGULZUWCUVHUVGX
      IUYPVUTUWCJMHGUVHUVGYMYNURURUSVAXJWRXQWSWTXAXBXCXDXEXKXLXRXMXMXNUVQUWFUWI
      KYMUVBULZUUNJZAKZFLELZUVMUVIVVAJZMZHCNGCNZKUEUFYMYNCCUVAYMJZUVFVVDUVPVVGV
      VHUVEVVCEFVVHUVDVVBAVVHUVCVVAUUNUVAYMUVBXOZSOPVVHUVOVVFGHCCVVHUVNVVEUVMVV
      HUVCVVAUVIVVIWLXPXSWMUVBYNJZVVDUWFVVGUWIVVJVVCUWEEFVVJVVBUWDAVVJVVAUWCUUN
      UVBYNYMXTZSOPVVJVVFUWHGHCCVVJVVEUWGUVMVVJVVAUWCUVIVVKWLXPXSWMYAYBXQYCUUQU
      VFUVMGHBCDUEUFYFUVCJZUUPUVEEFVVLUUOUVDAYFUVCUUNUOOPYFUVIJZUUPUVKEFVVMUUOU
      VJAYFUVIUUNUOOPYDYEXL $.
  $}
$( End $[ set-mbox-av-aux.mm $] $)


$( Begin $[ set-mbox-av-nt.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Number theory (extension)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Fermat numbers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  At first, the (sequence of) Fermat numbers ` FermatNo ` (the ` n `-th Fermat
  number is denoted as ` ( FermatNo `` n ) ` ) is defined, see ~ df-fmtno , and
  basic theorems are provided.  Afterwards, it is shown that the first five
  Fermat numbers are prime, the (first) five Fermat primes, see
  ~ fmtnofz04prm , but that the fifth Fermat number (counting starts at ` 0 `!)
  is not prime, see ~ fmtno5nprm .  The fourth Fermat number (i.e., the fifth
  Fermat prime) ` ( FermatNo `` 4 ) =  ; ; ; ; 6 5 5 3 7 ` is currently the
  biggest number proven to be prime in set.mm, see ~ 65537prm (previously, it
  was ` ; ; ; 4 0 0 1 `, see ~ 4001prm ).

  Another important result of this section is Goldbach's theorem ~ goldbachth ,
  showing that two different Fermut numbers are coprime.  By this, it can be
  proven that there is an infinite number of primes, see ~ prminf2 .

  Finally, it is shown that every prime of the form ` ( ( 2 ^ k ) + 1 ) ` must
  be a Fermat number (i.e., a Fermat prime), see ~ 2pwp1prmfmtno .

$)

  $c FermatNo $.

  $( Extend class notation with the Fermat numbers. $)
  cfmtno $a class FermatNo $.

  $( Define the function that enumerates the _Fermat numbers_, see definition
     in [ApostolNT] p. 7.  (Contributed by AV, 13-Jun-2021.) $)
  df-fmtno $a |- FermatNo = ( n e. NN0 |-> ( ( 2 ^ ( 2 ^ n ) ) + 1 ) ) $.

  ${
    $d N n $.
    $( The ` N ` th Fermat number.  (Contributed by AV, 13-Jun-2021.) $)
    fmtno $p |- ( N e. NN0 -> ( FermatNo ` N ) = ( ( 2 ^ ( 2 ^ N ) ) + 1 ) ) $=
      ( vn cn0 wcel c2 cv cexp co caddc cfmtno cvv df-fmtno oveq2 oveq2d oveq1d
      c1 wceq id ovexd fvmptd3 ) ACDZBAEEBFZGHZGHZPIHEEAGHZGHZPIHCJKBLUBAQZUDUF
      PIUGUCUEEGUBAEGMNOUARUAUFPIST $.
  $}

  $( Each Fermat number is greater than or equal to 3.  (Contributed by AV,
     4-Aug-2021.) $)
  fmtnoge3 $p |- ( N e. NN0 -> ( FermatNo ` N ) e. ( ZZ>= ` 3 ) ) $=
    ( cn0 wcel cfmtno cfv c2 cexp co c1 caddc c3 cuz cz cle wbr nn0expcld nn0zd
    a1i cr mpbid fmtno 3z 2nn0 id peano2nn0 syl cmin 3m1e2 cc wceq 2cn exp1 2re
    ax-mp 1le2 expge1d 1zzd clt 1lt2 leexp2d eqbrtrrid eqbrtrid 3re 1red nn0red
    lesubaddd eluz2 syl3anbrc eqeltrd ) ABCZADEFFAGHZGHZIJHZKLEZAUAVJKMCZVMMCKV
    MNOZVMVNCVOVJUBRVJVMVJVLBCVMBCVJFVKFBCVJUCRZVJFAVQVJUDZPZPZVLUEUFQVJKIUGHZV
    LNOVPVJWAFVLNUHVJFFIGHZVLNFUICWBFUJUKFULUNVJIVKNOWBVLNOVJFAFSCVJUMRZVRIFNOV
    JUORUPVJFIVKWCVJUQVJVKVSQIFUROVJUSRUTTVAVBVJKIVLKSCVJVCRVJVDVJVLVTVEVFTKVMV
    GVHVI $.

  $( Each Fermat number is a positive integer.  (Contributed by AV,
     26-Jul-2021.)  (Proof shortened by AV, 4-Aug-2021.) $)
  fmtnonn $p |- ( N e. NN0 -> ( FermatNo ` N ) e. NN ) $=
    ( cn0 wcel cfmtno cfv c3 cuz c2 cn fmtnoge3 uzuzle23 eluz2nn 3syl ) ABCADEZ
    FGECNHGECNICAJNKNLM $.

  $( A Fermat number minus one is a power of a power of two.  (Contributed by
     AV, 29-Jul-2021.) $)
  fmtnom1nn $p |- ( N e. NN0
                    -> ( ( FermatNo ` N ) - 1 ) = ( 2 ^ ( 2 ^ N ) ) ) $=
    ( cn0 wcel cfmtno cfv c1 cmin co c2 cexp caddc fmtno oveq1d cc wceq 2nn0 id
    a1i nn0expcld nn0cnd pncan1 syl eqtrd ) ABCZADEZFGHIIAJHZJHZFKHZFGHZUGUDUEU
    HFGALMUDUGNCUIUGOUDUGUDIUFIBCUDPRZUDIAUJUDQSSTUGUAUBUC $.

  ${
    $d N k $.
    $( Each Fermat number is odd.  (Contributed by AV, 26-Jul-2021.) $)
    fmtnoodd $p |- ( N e. NN0 -> -. 2 || ( FermatNo ` N ) ) $=
      ( vk cn0 wcel c2 cfmtno cfv cdvds cmul co c1 caddc wceq cexp nnexpcld syl
      cz cn nnzd oveq1d wbr wn cv wrex cmin 2nn a1i id nnm1nn0 oveq2 eqeqan12rd
      fmtno 2cnd nncnd mulcomd cc expm1t syl2anc eqtr4d rspcedvd fmtnonn mpbird
      wb odd2np1 ) ACDZEAFGZHUAUBZEBUCZIJZKLJZVFMZBQUDZVEVKEEEANJZKUEJZNJZIJZKL
      JZEVMNJZKLJZMBVOQVEVOVEEVNERDVEUFUGZVEVMRDZVNCDVEEAVTVEUHOZVMUIPOZSVHVOMZ
      VEVJVQVFVSWDVIVPKLVHVOEIUJTAULUKVEVPVRKLVEVPVOEIJZVRVEEVOVEUMZVEVOWCUNUOV
      EEUPDWAVRWEMWFWBEVMUQURUSTUTVEVFQDVGVLVCVEVFAVASBVFVDPVB $.
  $}

  ${
    $d F n $.
    $( A Fermat number is a function value of the enumeration of the Fermat
       numbers.  (Contributed by AV, 3-Aug-2021.) $)
    fmtnorn $p |- ( F e. ran FermatNo <-> E. n e. NN0 ( FermatNo ` n ) = F ) $=
      ( cfmtno cn0 wfn crn wcel cv cfv wceq wrex wb c2 cexp co c1 ovex df-fmtno
      caddc fnmpti fvelrnb ax-mp ) CDEBCFGAHZCIBJADKLADMMUCNONOZPSOCUDPSQARTADB
      CUAUB $.
  $}

  ${
    $d m n $.
    $( The enumeration of the Fermat numbers is a one-one function into the
       positive integers.  (Contributed by AV, 3-Aug-2021.) $)
    fmtnof1 $p |- FermatNo : NN0 -1-1-> NN $=
      ( vn vm cn0 cn cfmtno cv wceq wi wral c2 cexp co c1 wcel nn0expcld adantr
      cfv a1i adantl cz wf1 wf weq caddc df-fmtno 2nn0 nnexpcld peano2nnd fmpti
      2nn id wa fmtno eqeqan12d cc nn0cnd 1cnd addcan2d cr clt wbr wb 2re nn0zd
      1lt2 expcan syl31anc bitrd nn0z w3a biimpd sylbid rgen2 dff13 mpbir2an )
      CDEUACDEUBAFZEQZBFZEQZGZABUCZHZBCIACIACDJJVPKLZKLZMUDLZEAUEVPCNZWDWFJWCJD
      NWFUJRWFJVPJCNZWFUFRZWFUKOZUGUHUIWBABCCWFVRCNZULZVTWEJJVRKLZKLZMUDLZGZWAW
      FWJVQWEVSWNVPUMVRUMUNWKWOWCWLGZWAWKWOWDWMGZWPWKWDWMMWFWDUONWJWFWDWFJWCWHW
      IOUPPWJWMUONWFWJWMWJJWLWGWJUFRZWJJVRWRWJUKOZOUPSWKUQURWKJUSNZWCTNZWLTNZMJ
      UTVAZWQWPVBWTWKVCRZWFXAWJWFWCWIVDPWJXBWFWJWLWSVDSXCWKVERZJWCWLVFVGVHWKWTV
      PTNZVRTNZXCWPWAHXDWFXFWJVPVIPWJXGWFVRVISXEWTXFXGVJXCULWPWAJVPVRVFVKVGVLVL
      VMABCDEVNVO $.
  $}

  $( The set of Fermat numbers is infinite.  (Contributed by AV,
     3-Aug-2021.) $)
  fmtnoinf $p |- ran FermatNo e/ Fin $=
    ( cfmtno crn cfn wcel wn cn0 cn wf1 wf fmtnof1 f1f cdm wceq fdm wss nnssnn0
    nnnfi syl wb cvv ssfi expcom con3d eleq1 mtbiri wfun fundmfibi mtbird nn0ex
    mp2 ffun mp2b wa f1dmvrnfibi notbid mp2an mpbi nelir ) ABZCACDZEZUSCDZEZFGA
    HZFGAIZVAJFGAKVEUTALZCDZVEVFFMZVGEFGANVHVGFCDZGFOZGCDZEVIEPQVJVIVKVIVJVKFGU
    AUBUCUJVFFCUDUERVEAUFUTVGSFGAUKAUGRUHULFTDZVDVAVCSUIJVLVDUMUTVBFGATUNUOUPUQ
    UR $.

  $( The first recurrence relation for Fermat numbers, see Wikipedia "Fermat
     number", ~ https://en.wikipedia.org/wiki/Fermat_number#Basic_properties ,
     22-Jul-2021.  (Contributed by AV, 22-Jul-2021.) $)
  fmtnorec1 $p |- ( N e. NN0 -> ( FermatNo ` ( N + 1 ) )
                                = ( ( ( ( FermatNo ` N ) - 1 ) ^ 2 ) + 1 ) ) $=
    ( cn0 wcel c1 caddc co cfmtno cfv c2 cexp cmin wceq fmtno syl 2nn0 nn0expcl
    cc wa oveq1d cz peano2nn0 cmul mpan nn0cnd sylancr pncan1 cc0 wne 2cnne0 2z
    nn0zd jctir expmulz 2ne0 nn0z expp1z mp3an12i eqcomd oveq2d 3eqtr2rd 3eqtrd
    2cn ) ABCZADEFZGHZIIVDJFZJFZDEFZIIAJFZJFZDEFZDKFZIJFZDEFAGHZDKFZIJFZDEFVCVD
    BCVEVHLAUAVDMNVCVGVMDEVCVMVJIJFZIVIIUBFZJFZVGVCVLVJIJVCVJQCZVLVJLVCIBCZVIBC
    ZVTOWAVCWBOIAPUCZWAWBRVJIVIPUDUEVJUFNSVCIQCZIUGUHZRVITCZITCZRVSVQLUIVCWFWGV
    CVIWCUKUJULIVIIUMUEVCVRVFIJVCVFVRWDWEVCATCVFVRLVBUNAUOIAUPUQURUSUTSVCVMVPDE
    VCVLVOIJVCVKVNDKVCVNVKAMURSSSVA $.

  $( The floor of the square root of 2 to the power of 2 to the power of a
     positive integer plus a bounded nonnegative integer.  (Contributed by AV,
     28-Jul-2021.) $)
  sqrtpwpw2p $p |- ( ( N e. NN /\ M e. NN0
                       /\ M < ( ( 2 ^ ( ( 2 ^ ( N - 1 ) ) + 1 ) ) + 1 ) )
                     -> ( |_ ` ( sqrt ` ( ( 2 ^ ( 2 ^ N ) ) + M ) ) )
                        = ( 2 ^ ( 2 ^ ( N - 1 ) ) ) ) $=
    ( wcel cn0 c2 c1 co cexp caddc clt wbr wceq cle wa adantr syl nn0expcld cc0
    cr jca cn cmin w3a csqrt cfv cmul cc nncn npcan1 eqcomd oveq2d 2cnd nnm1nn0
    cfl expp1d eqtrd 2nn0 expmuld nn0ge0 adantl wb nnnn0 nn0red anim12i addge01
    a1i nn0re mpbid eqbrtrrd simpr nn0addcld resqrtth breqtrrd resqrtcl sqrtge0
    syl12anc mpbird 3adant3 wi peano2nn0 axltadd syl3anc 3impia nn0cnd 3ad2ant1
    1cnd addassd binom21 eqtr3d mulcomd eqtr4d oveq12d oveq1d breq12d resqrtcld
    le2sq addge0 lt2sq syl21anc cz nn0zd flbi ) BUACZADCZAEEBFUBGZHGZFIGZHGZFIG
    ZJKZUCZEEBHGZHGZAIGZUDUEZUNUEEXFHGZLZXPXOMKZXOXPFIGZJKZNZXKXRXTXCXDXRXJXCXD
    NZXRXPEHGZXOEHGZMKZYBYCXNYDMYBXMYCXNMYBXMEXFEUFGZHGZYCYBXLYFEHYBXLEXEFIGZHG
    ZYFYBBYHEHYBYHBYBBUGCZYHBLZXCYJXDBUHZOBUIZPUJUKYBEXEYBULZXCXEDCXDBUMZOUOUPU
    KYBEXFEYNEDCZYBUQVFXCXFDCZXDXCEXEYPXCUQVFZYOQZOURUPYBRAMKZXMXNMKZXDYTXCAUSZ
    UTYBXMSCZASCZNZYTUUAVAXCUUCXDUUDXCXMXCEXLYRXCEBYRBVBQQZVCAVGZVDZXMAVEPVHVIY
    BXNSCZRXNMKZNZYDXNLYBXNDCZUUKYBXMAXCXMDCZXDUUFOZXCXDVJVKZUULUUIUUJXNVGXNUST
    PZXNVLPZVMYBXPSCZRXPMKZNZXOSCZRXOMKZXRYEVAXCUUTXDXCXPDCZUUTXCEXFYRYSQZUVCUU
    RUUSXPVGXPUSTPOYBUUKUVAUUPXNVNPZYBUUKUVBUUPXNVOPZXPXOWPVPVQVRXKXTYDXSEHGZJK
    ZXKUVHXNXMXHIGZFIGZJKZXKXNXMXIIGZUVJJXCXDXJXNUVLJKZYBUUDXISCUUCXJUVMVSXDUUD
    XCUUGUTYBXIYBXHDCZXIDCXCUVNXDXCEXGYRXCYQXGDCYSXFVTPQZOXHVTPVCYBXMUUNVCAXIXM
    WAWBWCXKXMXHFXCXDXMUGCXJXCXMUUFWDWEXCXDXHUGCXJXCXHUVOWDWEXKWFWGVMXCXDUVHUVK
    VAXJYBYDXNUVGUVJJUUQXCUVGUVJLXDXCUVGYCEXPUFGZIGZFIGZUVJXCXPUGCUVGUVRLXCXPUV
    DWDZXPWHPXCUVQUVIFIXCYCXMUVPXHIXCYGYCXMXCEXFEXCULZYRYSURXCYFXLEHXCYIYFXLXCE
    XEUVTYOUOXCYHBEHXCYJYKYLYMPUKWIUKWIXCUVPXPEUFGXHXCEXPUVTUVSWJXCEXFUVTYSUOWK
    WLWMUPOWNVRVQXCXDXTUVHVAZXJYBUVAUVBXSSCZRXSMKZNZUWAYBXNYBXNUUOVCYBUUERXMMKZ
    YTNZNUUJYBUUEUWFUUHXCUWEXDYTXCUUMUWEUUFXMUSPUUBVDTXMAWQPWOUVFXCUWDXDXCXSDCZ
    UWDXCUVCUWGUVDXPVTPUWGUWBUWCXSVGXSUSTPOXOXSWRWSVRVQTXKUVAXPWTCZNZXQYAVAXCXD
    UWIXJYBUVAUWHUVEXCUWHXDXCXPUVDXAOTVRXOXPXBPVQ $.

  $( The floor of the square root of a Fermat number.  (Contributed by AV,
     28-Jul-2021.) $)
  fmtnosqrt $p |- ( N e. NN -> ( |_ ` ( sqrt ` ( FermatNo ` N ) ) )
                               = ( 2 ^ ( 2 ^ ( N - 1 ) ) ) ) $=
    ( cn wcel cfv csqrt cfl c2 cexp co c1 caddc cn0 wceq syl fveq2d clt wbr a1i
    nn0expcld cr cfmtno cmin nnnn0 fmtno w3a id 1nn0 cc0 2nn0 nnm1nn0 peano2nn0
    2nn nnexpcld nngt0 wa nn0red 1re jca ltaddpos2 mpbid 3jca sqrtpwpw2p eqtrd
    wb ) ABCZAUADZEDZFDGGAHIHIJKIZEDZFDZGGAJUBIZHIZHIZVEVGVIFVEVFVHEVEALCVFVHMA
    UCAUDNOOVEVEJLCZJGVLJKIZHIZJKIPQZUEVJVMMVEVEVNVQVEUFVNVEUGRVEUHVPPQZVQVEVPB
    CVRVEGVOGBCVEULRVEVLLCVOLCVEGVKGLCVEUIRZAUJSVLUKNZUMVPUNNVEVPTCZJTCZUOVRVQV
    DVEWAWBVEVPVEGVOVSVTSUPWBVEUQRURVPJUSNUTVAJAVBNVC $.

  $( The ` 0 ` th Fermat number, see remark in [ApostolNT] p. 7.  (Contributed
     by AV, 13-Jun-2021.) $)
  fmtno0 $p |- ( FermatNo ` 0 ) = 3 $=
    ( cc0 cfmtno cfv c2 cexp co c1 caddc c3 cn0 wcel wceq 0nn0 fmtno ax-mp exp0
    cc 2cn oveq2i oveq1i exp1 2p1e3 3eqtri eqtri ) ABCZDDAEFZEFZGHFZIAJKUEUHLMA
    NOUHDGEFZGHFDGHFIUGUIGHUFGDEDQKZUFGLRDPOSTUIDGHUJUIDLRDUAOTUBUCUD $.

  $( The ` 1 ` st Fermat number, see remark in [ApostolNT] p. 7.  (Contributed
     by AV, 13-Jun-2021.) $)
  fmtno1 $p |- ( FermatNo ` 1 ) = 5 $=
    ( c1 cfmtno cfv c2 cexp co caddc c5 cn0 wcel wceq 1nn0 fmtno ax-mp 2cn exp1
    c4 cc oveq2i oveq1i sq2 4p1e5 3eqtri eqtri ) ABCZDDAEFZEFZAGFZHAIJUEUHKLAMN
    UHDDEFZAGFQAGFHUGUIAGUFDDEDRJUFDKODPNSTUIQAGUATUBUCUD $.

  ${
    $d n x y $.
    $( Lemma for ~ fmtnorec2 (induction step).  (Contributed by AV,
       29-Jul-2021.) $)
    fmtnorec2lem $p |- ( y e. NN0 -> ( ( FermatNo ` ( y + 1 ) )
                              = ( prod_ n e. ( 0 ... y ) ( FermatNo ` n ) + 2 )
            -> ( FermatNo ` ( ( y + 1 ) + 1 ) )
               = ( prod_ n e. ( 0 ... ( y + 1 ) ) ( FermatNo ` n ) + 2 ) ) ) $=
      ( cn0 wcel c1 caddc co cfmtno cfv cc0 c2 wceq cmin cmul syl oveq12d eqtrd
      cexp oveq1d adantl cv cfz cprod wa peano2nn0 3syl 2cnd expp1d oveq2d 2nn0
      fmtno a1i nn0expcld nn0cnd sqvald expmuld fmtnom1nn adantr oveq1 fzfid cc
      3eqtr4d elfznn0 fmtnonn nncnd fprodcl 1cnd addsubassd 2m1e1 oveq2i eqtrdi
      subcld muls1d mulid2d joinlmuladdmuld eqcom subadd2d bitr4id oveq2 eqcoms
      cn mulcld addassd cuz elnn0uz biimpi fveq2 eqcomd npcan1 subadd23d nncand
      fprodp1 3eqtrd sylan9eqr ex sylbid imp ) AUAZCDZWREFGZHIZJWRUBGZBUAZHIZBU
      CZKFGZLZWTEFGZHIZJWTUBGZXDBUCZKFGZLWSXGUDZXIXAEMGZXNNGZEFGZXFEMGZXNNGZEFG
      ZXLWSXIXPLXGWSXIKKXHRGZRGZEFGZXPWSWTCDZXHCDXIYBLWRUEZWTUEXHUKUFWSYAXOEFWS
      YAKKWTRGZKNGZRGZXOWSXTYFKRWSKWTWSUGZYDUHUIWSKYERGZKRGYIYINGYGXOWSYIWSYIWS
      KYEKCDWSUJULZWSKWTYJYDUMZUMUNUOWSKYEKYHYJYKUPWSXNYIXNYINWSYCXNYILYDWTUQOZ
      YLPVBQSQURXGXPXSLWSXGXOXREFXGXNXQXNNXAXFEMUSSSTXMXSXEXANGZXEMGZXNFGZEFGZX
      LXMXRYOEFWSXRYOLXGWSXRXEEFGZXNNGYOWSXQYQXNNWSXQXEKEMGZFGYQWSXEKEWSXBXDBWS
      JWRUTXCXBDZXDVADZWSYSXCCDZYTXCWRVCUUAXDXCVDVEZOTVFZYHWSVGZVHYREXEFVIVJVKS
      WSXEXNEYOUUCWSXAEWSXAWSYCXAWADYDWTVDOVEZUUDVLZUUDWSXEXNNGYNEXNNGXNFWSXEXA
      UUCUUEVMWSXNUUFVNPVOQURSWSXGYPXLLZWSXGXAKMGZXELZUUGWSXGXFXALUUIXAXFVPWSXA
      KXEUUEYHUUCVQVRWSUUIUUGUUIWSYPYMUUHMGZXNFGZEFGZXLYPUULLXEUUHXEUUHLZYOUUKE
      FUUMYNUUJXNFXEUUHYMMVSSSVTWSUULUUJXNEFGZFGZXKXAUUHMGZFGZXLWSUUJXNEWSYMUUH
      WSXEXAUUCUUEWBWSXAKUUEYHVLZVLUUFUUDWCWSUUOXKUUHMGZXAFGUUQWSUUJUUSUUNXAFWS
      YMXKUUHMWSXKYMWSXDXABJWRWSWRJWDIDWRWEWFXCXJDZYTWSUUTUUAYTXCWTVCUUBOTZXCWT
      HWGWLWHSWSXAVADUUNXALUUEXAWIOPWSXKUUHXAWSXJXDBWSJWTUTUVAVFUURUUEWJQWSUUPK
      XKFWSXAKUUEYHWKUIWMWNWOWPWQQWMWO $.

    $d N n x $.
    $( The second recurrence relation for Fermat numbers, see ProofWiki
       "Product of Sequence of Fermat Numbers plus 2", 29-Jul-2021,
~ https://proofwiki.org/wiki/Product_of_Sequence_of_Fermat_Numbers_plus_2 or
       Wikipedia "Fermat number", 29-Jul-2021,
       ~ https://en.wikipedia.org/wiki/Fermat_number#Basic_properties .
       (Contributed by AV, 29-Jul-2021.) $)
    fmtnorec2 $p |- ( N e. NN0 -> ( FermatNo ` ( N + 1 ) )
                         = ( prod_ n e. ( 0 ... N ) ( FermatNo ` n ) + 2 ) ) $=
      ( vx vy cv c1 caddc co cfmtno cfv cc0 cfz cprod c2 fvoveq1 oveq2 prodeq1d
      wceq oveq1d eqeq12d weq prodeq1 syl c5 c3 fmtno0 oveq1i 3p2e5 eqtri fz0sn
      csn prodeq1i cz wcel cc 0z cn0 0nn0 fmtnonn nncnd ax-mp fveq2 mp2an 0p1e1
      prodsn fveq2i fmtno1 3eqtr4ri fmtnorec2lem nn0ind ) CEZFGHIJZKVKLHZAEZIJZ
      AMZNGHZRKFGHZIJZKKLHZVOAMZNGHZRDEZFGHZIJZKWCLHZVOAMZNGHZRWDFGHIJZKWDLHZVO
      AMZNGHZRBFGHIJZKBLHZVOAMZNGHZRCDBVKKRZVLVSVQWBVKKFIGOWQVPWANGWQVMVTVOAVKK
      KLPQSTCDUAZVLWEVQWHVKWCFIGOWRVPWGNGWRVMWFVOAVKWCKLPQSTVKWDRZVLWIVQWLVKWDF
      IGOWSVPWKNGWSVMWJVOAVKWDKLPQSTVKBRZVLWMVQWPVKBFIGOWTVMWNRZVQWPRVKBKLPXAVP
      WONGVMWNVOAUBSUCTKIJZNGHZUDWBVSXCUENGHUDXBUENGUFUGUHUIWAXBNGWAKUKZVOAMZXB
      VTXDVOAUJULKUMUNXBUOUNZXEXBRUPKUQUNZXFURXGXBKUSUTVAVOXBAKUMVNKIVBVEVCUIUG
      VSFIJUDVRFIVDVFVGUIVHDAVIVJ $.
  $}

  ${
    $d M k n $.  $d N k n $.
    $( Any Fermat number divides a greater Fermat number minus 2.  Corollary of
       ~ fmtnorec2 , see ProofWiki "Product of Sequence of Fermat Numbers plus
       2/Corollary", 31-Jul-2021.  (Contributed by AV, 1-Aug-2021.) $)
    fmtnodvds $p |- ( ( N e. NN0 /\ M e. NN )
                   -> ( FermatNo ` N ) || ( ( FermatNo ` ( N + M ) ) - 2 ) ) $=
      ( vk vn cn0 wcel cn cfmtno cfv caddc co c1 c2 cdvds wbr cle syl cr adantl
      wceq wa cc0 cmin cfz cprod wral simpl nn0nnaddcl nnm1nn0 1red nnre adantr
      cv nn0re nnge1 leadd2dd wb readdcl syl2an leaddsub syl3anc mpbid elfz2nn0
      syl3anbrc fzfid wss fz0ssnn0 a1i cexp cz 2nn0 id nn0expcld nn0zd peano2zd
      df-fmtno fmptd fprodfvdvdsd fveq2 breq1d rspcv sylc elfznn0 fmtnonn nncnd
      fprodcl 2cnd cc nn0cn addcl npcan1 eqcomd fveq2d fmtnorec2 eqtrd mvrraddd
      nncn breqtrrd ) BEFZAGFZUAZBHIZUBBAJKZLUCKZUDKZCUMZHIZCUEZXCHIZMUCKNXABXE
      FZDUMZHIZXHNOZDXEUFXBXHNOZXAWSXDEFZBXDPOZXJWSWTUGXAXCGFXOBAUHXCUIQZXABLJK
      XCPOZXPXALABXAUJZWTARFZWSAUKZSWSBRFZWTBUNZULZWTLAPOWSAUOSUPXAYBLRFXCRFZXR
      XPUQYDXSWSYBXTYEWTYCYABAURUSBLXCUTVAVBBXDVCVDXADXEECHXAUBXDVEZXEEVFXAXDVG
      VHXADEMMXKVIKZVIKZLJKZVJHXKEFZYIVJFXAYJYHYJYHYJMYGMEFYJVKVHZYJMXKYKYJVLVM
      VMVNVOSDVPVQVRXMXNDBXEXKBTXLXBXHNXKBHVSVTWAWBXAXIXHMXAXEXGCYFXAXFXEFZUAZX
      GYMXFEFZXGGFYLYNXAXFXDWCSXFWDQWEWFXAWGXAXIXDLJKZHIZXHMJKZXAXCYOHXAYOXCXAX
      CWHFZYOXCTWSBWHFAWHFYRWTBWIAWQBAWJUSXCWKQWLWMXAXOYPYQTXQCXDWNQWOWPWR $.
  $}

  $( Lemma 1 for ~ goldbachth .  (Contributed by AV, 1-Aug-2021.) $)
  goldbachthlem1 $p |- ( ( N e. NN0 /\ M e. NN0 /\ M < N )
                         -> ( FermatNo ` M ) || ( ( FermatNo ` N ) - 2 ) ) $=
    ( cn0 wcel clt wbr w3a cfmtno cmin co caddc c2 cdvds cn simp2 cz nn0z nn0cn
    cfv cc wb znnsub syl2anr biimp3a fmtnodvds syl2anc wa wceq anim12ci 3adant3
    pncan3 syl eqcomd fveq2d oveq1d breqtrrd ) BCDZACDZABEFZGZAHSZABAIJZKJZHSZL
    IJZBHSZLIJMUTURVBNDZVAVEMFUQURUSOUQURUSVGURAPDBPDUSVGUAUQAQBQABUBUCUDVBAUEU
    FUTVFVDLIUTBVCHUTVCBUTATDZBTDZUGZVCBUHUQURVJUSUQVIURVHBRARUIUJABUKULUMUNUOU
    P $.

  $( Lemma 2 for ~ goldbachth .  (Contributed by AV, 1-Aug-2021.) $)
  goldbachthlem2 $p |- ( ( N e. NN0 /\ M e. NN0 /\ M < N )
                     -> ( ( FermatNo ` N ) gcd ( FermatNo ` M ) ) = 1 ) $=
    ( cn0 wcel wbr cfmtno cfv co cdvds wa c1 wceq cz 3adant3 syl c2 wi 3ad2ant1
    cn sylbid clt cgcd fmtnonn nnzd anim12ci gcddvds goldbachthlem1 gcdcl nn0zd
    w3a 3ad2ant2 2z a1i zsubcld dvdstr syl3anc mpan2d dvds2sub ancomsd cc nncnd
    cmin 2cnd nncand breq2d wo cprime wb gcdnncl dvdsprime sylancr breq1 adantl
    2prm fmtnoodd pm2.21d ad2antrr ex com23 adantld mpd gcdcom eqeq1d jaod syld
    biimpd syland ) BCDZACDZABUAEZUJZAFGZBFGZUBHZWLIEZWNWMIEZJZWMWLUBHZKLZWKWLM
    DZWMMDZJZWQWHWIXBWJWHXAWIWTWHWMBUCZUDZWIWLAUCZUDZUEZNZWLWMUFZOWKWOWNWMPVBHZ
    IEZWPWSWKWOWLXJIEZXKABUGWKWNMDZWTXJMDZWOXLJXKQWKWNWKXBWNCDXHWLWMUHOUIZWIWHW
    TWJXFUKWHWIXNWJWHWMPXDPMDWHULUMUNRZWNWLXJUOUPUQWKXKWPJWNWMXJVBHZIEZWSWKWPXK
    XRWKXMXAXNWPXKJXRQXOWHWIXAWJXDRXPWNWMXJURUPUSWKXRWNPIEZWSWKXQPWNIWKWMPWHWIW
    MUTDWJWHWMXCVARWKVCVDVEWKXSWNPLZWNKLZVFZWSWKPVGDWNSDZXSYBVHVNWKWLSDZWMSDZJZ
    YCWHWIYFWJWHYEWIYDXCXEUENWLWMVIOPWNVJVKWKXTWSYAWHWIXTWSQZWJWHWIJZWQYGYHXBWQ
    XGXIOYHWPYGWOYHXTWPWSYHXTWPWSQYHXTJWPPWMIEZWSXTWPYIVHYHWNPWMIVLVMWHYIWSQWIX
    TWHYIWSBVOVPVQTVRVSVTWANWKYAWSWKWNWRKWKXBWNWRLXHWLWMWBOWCWFWDTTWEWGWA $.

  $( Goldbach's theorem:  Two different Fermat numbers are coprime.  See
     ProofWiki "Goldbach's theorem", 31-Jul-2021,
     ~ https://proofwiki.org/wiki/Goldbach%27s_Theorem or Wikipedia "Fermat
     number", 31-Jul-2021,
     ~ https://en.wikipedia.org/wiki/Fermat_number#Basic_properties .
     (Contributed by AV, 1-Aug-2021.) $)
  goldbachth $p |- ( ( N e. NN0 /\ M e. NN0 /\ N =/= M )
                     -> ( ( FermatNo ` N ) gcd ( FermatNo ` M ) ) = 1 ) $=
    ( cn0 wcel w3a clt wbr wceq cfmtno cfv co c1 cr nn0re 3adant3 wi cz fmtnonn
    cgcd nnzd wne lttri4 syl2an gcdcom syl2anr goldbachthlem2 eqtrd 3exp impcom
    w3o eqneqall com12 3ad2ant3 3expia 3jaod mpd ) BCDZACDZBAUAZEZBAFGZBAHZABFG
    ZUJZBIJZAIJZSKZLHZUQURVDUSUQBMDAMDVDURBNANBAUBUCOUTVAVHVBVCUQURVAVHPZUSURUQ
    VIURUQVAVHURUQVAEVGVFVESKZLURUQVGVJHZVAUQVEQDVFQDVKURUQVEBRTURVFARTVEVFUDUE
    OBAUFUGUHUIOUSUQVBVHPURVBUSVHVHBAUKULUMUQURVCVHPUSUQURVCVHABUFUNOUOUP $.

  ${
    $d N n $.
    $( The third recurrence relation for Fermat numbers, see Wikipedia "Fermat
       number", 31-Jul-2021,
       ~ https://en.wikipedia.org/wiki/Fermat_number#Basic_properties .
       (Contributed by AV, 2-Aug-2021.) $)
    fmtnorec3 $p |- ( N e. ( ZZ>= ` 2 ) -> ( FermatNo ` N )
               = ( ( FermatNo ` ( N - 1 ) )
                   + ( ( 2 ^ ( 2 ^ ( N - 1 ) ) ) x.
                       prod_ n e. ( 0 ... ( N - 2 ) ) ( FermatNo ` n ) ) ) ) $=
      ( c2 cfv wcel c1 cmin co cfmtno cexp cmul caddc cn0 syl a1i eqcomd oveq2d
      cc wceq oveq1d cuz cc0 cfz cv cprod fzfid cn elfznn0 fmtnonn nncnd adantl
      fprodcl uznn0sub fmtnorec2 mvlraddd 2nn0 eluz2nn nnm1nn0 nn0expcld nn0cnd
      2cn peano2nn0 subdid ax-1cn w3a subsub syl3anc 2m1e1 oveq2i eqtrdi fveq2d
      eluzelcn eqtrd mulid2d adddird addcomd fmtno eqtr4d sqvald 3eqtr2d mulcld
      addsubassd npcan1 binom2sub1 nnsqcld subcld addassd 2timesi eqcomi mulcli
      fmtnorec1 subadd23d mulneg2d negsubdi2d fmtnom1nn subnegd mulcomd 3eqtr3d
      cneg eqtr3d 3eqtrd 3eqtrrd ) BCUADEZBFGHZIDZCCXDJHZJHZUBBCGHZUCHZAUDZIDZA
      UEZKHZLHXEXGXHFLHZIDZCGHZKHZLHXEXGXEKHZXGCKHZGHZLHZBIDZXCXMXQXELXCXLXPXGK
      XCXLCXOXCXIXKAXCUBXHUFXJXIEZXKREXCYCXKYCXJMEXKUGEXJXHUHXJUINUJUKULCREZXCV
      AOZXCXOXLCLHZXCXHMEZXOYFSCBUMZAXHUNNPUOQQXCXQXTXELXCXQXGXOKHZXSGHXTXCXGXO
      CXCXGXCCXFCMEXCUPOZXCCXDYJXCBUGEXDMEZBUQBURNZUSUSUTZXCXOXCXNMEZXOUGEXCYGY
      NYHXHVBNXNUINUJYEVCXCYIXRXSGXCXOXEXGKXCXNXDIXCXNBCFGHZGHZXDXCBREZYDFREZXN
      YPSCBVLZYEYRXCVDOZYQYDYRVEYPXNBCFVFPVGYOFBGVHVIVJVKQTVMQXCXEXRLHZXSGHXECJ
      HZXSGHZYAYBXCUUAUUBXSGXCUUAFXEKHZXRLHFXGLHZXEKHZUUBXCXEUUDXRLXCUUDXEXCXEX
      CXEXCYKXEUGEYLXDUINZUJZVNPTXCFXGXEYTYMUUHVOXCUUFXEXEKHUUBXCUUEXEXEKXCUUEX
      GFLHZXEXCFXGYTYMVPXCYKXEUUISYLXDVQNVRTXCXEUUHVSVRVTTXCXEXRXSUUHXCXGXEYMUU
      HWAXCXGCYMYEWAWBXCYBXDFLHZIDZXEFGHZCJHZFLHZUUCXCBUUJIXCUUJBXCYQUUJBSYSBWC
      NPVKXCYKUUKUUNSYLXDWKNXCUUNUUBCXEKHZGHZFLHZFLHZUUPCFKHZLHZUUCXCUUMUUQFLXC
      XEREUUMUUQSUUHXEWDNTXCUURUUPFFLHZLHUUTXCUUPFFXCUUBUUOXCUUBXCXEUUGWEUJZXCC
      XEYEUUHWAZWFYTYTWGXCUVAUUSUUPLUVAUUSSXCUUSUVAFVDWHWIOQVMXCUUTUUBUUSUUOGHZ
      LHUUBCFXEGHZKHZLHZUUCXCUUBUUOUUSUVBUVCUUSREXCCFVAVDWJOWLXCUVDUVFUUBLXCUVF
      UVDXCCFXEYEYTUUHVCPQXCUUBUVFWSZGHUUBCXGKHZGHUVGUUCXCUVHUVIUUBGXCCUVEWSZKH
      UVHUVIXCCUVEYEXCFXEYTUUHWFZWMXCUVJXGCKXCUVJUULXGXCFXEYTUUHWNXCYKUULXGSYLX
      DWONVMQWTQXCUUBUVFUVBXCCUVEYEUVKWAWPXCUVIXSUUBGXCCXGYEYMWQQWRXAXAXBWRXB
      $.
  $}

  $( The fourth recurrence relation for Fermat numbers, see Wikipedia "Fermat
     number", 31-Jul-2021,
     ~ https://en.wikipedia.org/wiki/Fermat_number#Basic_properties .
     (Contributed by AV, 31-Jul-2021.) $)
  fmtnorec4 $p |- ( N e. ( ZZ>= ` 2 ) -> ( FermatNo ` N )
                 = ( ( ( FermatNo ` ( N - 1 ) ) ^ 2 )
                     - ( 2 x. ( ( ( FermatNo ` ( N - 2 ) ) - 1 ) ^ 2 ) ) ) ) $=
    ( c2 wcel c1 cmin co cexp cmul caddc c4 wceq syl oveq1d cc a1i nncnd oveq2d
    oveq12d addcld eqtrd cuz cfv cfmtno cn0 eluz2nn nnm1nn0 fmtno 2nn nn0expcld
    cn 2nn0 nnexpcld binom21 2cn expmuld expp1d npcan1 eqtr3d uznn0sub peano2cn
    3eqtrd binom2sub1 mulcld subcld 1cnd adddid subdid eqcomd 2m1e1 2t1e2 2t2e4
    subsubd mulassd mulcli 4cn 2p2e4 subaddeqd subadd2d mpbid eluzge2nn0 mpbird
    addassd addsubd 3eqtr4d 3eqtrrd ) ABUAUBCZADEFZUCUBZBGFZBABEFZUCUBZDEFZBGFZ
    HFZEFBBAGFZGFZBBBWGGFZGFZHFZIFZDIFZBBBWJGFZGFZBGFZBXCHFZIFZDIFZBXCDIFZHFZEF
    ZDIFZHFZEFXAWSBBHFZXCHFZIFZBIFZXNJIFZEFZBIFZEFZAUCUBZWFWIXAWNXLEWFWIWRDIFZB
    GFZWRBGFZWSIFZDIFZXAWFWHYBBGWFWGUDCZWHYBKWFAUJCYGAUEZAUFLZWGUGLMWFWRNCYCYFK
    WFWRWFBWQBUJCWFUHOZWFBWGBUDCWFUKOZYIUIZULPZWRUMLWFYEWTDIWFYDWPWSIWFBWQBHFZG
    FYDWPWFBWQBBNCWFUNOZYKYLUOWFYNWOBGWFBWGDIFZGFYNWOWFBWGYOYIUPWFYPABGWFANCYPA
    KWFAYHPZAUQLQURQURMMVAWFWMXKBHWFWMXHDEFZBGFZXHBGFZXIEFZDIFZXKWFWLYRBGWFWKXH
    DEWFWJUDCWKXHKBAUSZWJUGLMMWFXHNCZYSUUBKWFXCNCZUUDWFXCWFBXBYJWFBWJYKUUCUIZUL
    ZPZXCUTLZXHVBLWFUUAXJDIWFYTXGXIEWFUUEYTXGKUUHXCUMLMMVAQRWFXLXSXAEWFXLBXJHFZ
    BDHFZIFXSWFBXJDYOWFXGXIWFXFNCXGNCWFXDXEWFXDWFXCBUUGYKULPZWFBXCYOUUHVCZSZXFU
    TLWFBXHYOUUIVCZVDWFVEZVFWFUUJXRUUKBIWFUUJBXGHFZBXIHFZEFXRWFBXGXIYOWFXFDUUNU
    UPSUUOVGWFUUQXPUURXQEWFUUQBXFHFZUUKIFXPWFBXFDYOUUNUUPVFWFUUSXOUUKBIWFUUSBXD
    HFZBXEHFZIFXOWFBXDXEYOUULUUMVFWFUUTWSUVAXNIWFUUTBBBABDEFZEFZGFZGFZHFWSWFXDU
    VEBHWFBXBBHFZGFXDUVEWFBXBBYOYKUUFUOWFUVFUVDBGWFBWJDIFZGFUVFUVDWFBWJYOUUCUPW
    FUVGUVCBGWFUVCUVGWFABDYQYOUUPVLVHQURQURQWFUVEWRBHWFUVDWQBGWFUVCWGBGWFUVBDAE
    UVBDKWFVIOQQQQTWFXNUVAWFBBXCYOYOUUHVMVHZRTUUKBKWFVJOZRTWFUURBXEBIFZHFUVAXMI
    FXQWFXIUVJBHWFXIXEUUKIFUVJWFBXCDYOUUHUUPVFWFUUKBXEIUVIQTQWFBXEBYOUUMYOVFWFU
    VAXNXMJIUVHXMJKWFVKORVARTUVIRTQWFWTXSEFZDIFWPDIFZXTYAWFUVKWPDIWFUVKWPKWPXSI
    FWTKWFXSWSWPIWFWSBEFZXRKXSWSKWFXRUVMWFXPBWSXQWFXOBWFWSXNWFBWRYOYMVCZWFXMXCX
    MNCWFBBUNUNVNOUUHVCZSZYOSZYOUVNWFXNJUVOJNCWFVOOZSZWFXPBIFXOBBIFZIFXOJIFWSXQ
    IFWFXOBBUVPYOYOWBWFUVTJXOIUVTJKWFVPOQWFWSXNJUVNUVOUVRWBVAVQVHWFWSBXRUVNYOWF
    XPXQUVQUVSVDZVRVSQWFWTXSWPWFWPWSWFWPWFBWOYJWFBAYKAVTZUIULPZUVNSZWFXRBUWAYOS
    ZUWCVRWAMWFWTDXSUWDUUPUWEWCWFAUDCYAUVLKUWBAUGLWDWE $.

  $( The ` 2 ` nd Fermat number, see remark in [ApostolNT] p. 7.  (Contributed
     by AV, 13-Jun-2021.) $)
  fmtno2 $p |- ( FermatNo ` 2 ) = ; 1 7 $=
    ( c2 cfmtno cfv cexp co c1 caddc c7 cdc cn0 wcel wceq fmtno ax-mp c4 c6 sq2
    2nn0 oveq2i oveq1i 2exp4 1nn0 6nn0 6p1e7 eqid decsuc 3eqtri eqtri ) ABCZAAA
    DEZDEZFGEZFHIZAJKUIULLRAMNULAODEZFGEFPIZFGEUMUKUNFGUJOADQSTUNUOFGUATFPHUOUB
    UCUDUOUEUFUGUH $.

  $( The ` 3 ` rd Fermat number, see remark in [ApostolNT] p. 7.  (Contributed
     by AV, 13-Jun-2021.) $)
  fmtno3 $p |- ( FermatNo ` 3 ) = ; ; 2 5 7 $=
    ( c3 cfmtno cfv c2 cexp co c1 caddc c5 cdc c7 wcel wceq 3nn0 fmtno ax-mp c8
    cn0 c6 oveq1i cu2 oveq2i 2exp8 2nn0 5nn0 deccl 6nn0 6p1e7 eqid decsuc eqtri
    3eqtri ) ABCZDDAEFZEFZGHFZDIJZKJZARLUMUPMNAOPUPDQEFZGHFUQSJZGHFURUOUSGHUNQD
    EUAUBTUSUTGHUCTUQSKUTDIUDUEUFUGUHUTUIUJULUK $.

  $( The ` 4 ` th Fermat number, see remark in [ApostolNT] p. 7.  (Contributed
     by AV, 13-Jun-2021.) $)
  fmtno4 $p |- ( FermatNo ` 4 ) = ; ; ; ; 6 5 5 3 7 $=
    ( c4 cfmtno cfv c2 cexp co c1 caddc c6 c5 cdc c3 c7 cn0 wcel wceq 6nn0 5nn0
    oveq1i deccl 4nn0 fmtno ax-mp 2exp4 oveq2i 2exp16 6p1e7 decsuc 3eqtri eqtri
    3nn0 eqid ) ABCZDDAEFZEFZGHFZIJKZJKZLKZMKZANOUMUPPUAAUBUCUPDGIKZEFZGHFUSIKZ
    GHFUTUOVBGHUNVADEUDUESVBVCGHUFSUSIMVCURLUQJIJQRTRTUKTQUGVCULUHUIUJ $.

  $( Lemma 1 for ~ fmtno5 .  (Contributed by AV, 22-Jul-2021.) $)
  fmtno5lem1 $p |- ( ; ; ; ; 6 5 5 3 6 x. 6 ) = ; ; ; ; ; 3 9 3 2 1 6 $=
    ( c6 c5 cdc c3 c9 c2 c1 6nn0 5nn0 deccl 3nn0 eqid c8 cmul co 1nn0 8nn0 0nn0
    cc0 decmul1c 0p1e1 6t6e36 6p3e9 decaddi 6cn 5cn 6t5e30 mulcomli 3cn addid2i
    9nn0 decsuc 6t3e18 1p1e2 8p3e11 decaddci ) ABCZBCZDCZADECZDCZFCZGCAADUSACZH
    URDUQBABHIJZIJZKJHVCLHKVAGCZMGVBUSANODVAGUTDDEKUKJZKJZPJQKURDVFMAGUSHVEKUSL
    QPVASGURANOVHRUAUQBVASADURHVDIURLRKUTSDUQANODVGRKABUTSADUQHHIUQLRKDAEAANODK
    HKUBUCUDABDSCUEUFUGUHZTDUIUJUDVITULADGMCUEUIUMUHTVAGFVFVHPUNVFLULPUOUPUBT
    $.

  $( Lemma 2 for ~ fmtno5 .  (Contributed by AV, 22-Jul-2021.) $)
  fmtno5lem2 $p |- ( ; ; ; ; 6 5 5 3 6 x. 5 ) = ; ; ; ; ; 3 2 7 6 8 0 $=
    ( c6 c5 cdc c3 c2 c7 c8 5nn0 6nn0 deccl 3nn0 eqid 0nn0 cmul co 2nn0 decaddi
    cc0 c1 decmul1c 7nn0 1nn0 5p1e6 6t5e30 2cn addid2i 5t5e25 decsuc 5cn 5t3e15
    5p2e7 3cn mulcomli 5p3e8 ) ABCZBCZDCZADECZFCZACZGCRBDUQACZHUPDUOBABIHJZHJZK
    JIVALMKUTBGUQBNODUSAURFDEKPJZUAJZIJHKUPDUTBBSUQHVCKUQLHUBUSBAUPBNOVEHUCUOBU
    SBBEUPHVBHUPLHPURBFUOBNOEVDHPABURBBEUOHIHUOLHPDREABNOEKMPUDEUEUFQUGTUKQUGTU
    HBDSBCUIULUJUMTUNQUDT $.

  $( Lemma 3 for ~ fmtno5 .  (Contributed by AV, 22-Jul-2021.) $)
  fmtno5lem3 $p |- ( ; ; ; ; 6 5 5 3 6 x. 3 ) = ; ; ; ; ; 1 9 6 6 0 8 $=
    ( c6 c5 cdc c3 c1 c9 c8 3nn0 6nn0 5nn0 deccl eqid 8nn0 1nn0 co 5p1e6 decsuc
    cmul 6t3e18 decmul1c cc0 9nn0 8p1e9 5t3e15 3t3e9 decmul1 decsucc ) ABCZBCZD
    CZAEFCZACZACZUACGDEUJACZHUIDUHBABIJKZJKZHKIUNLMNULBCZUMUJDROULBUKAEFNUBKZIK
    ZJKULBAUQUSJPUQLQUIDUQFDUJHUPHUJLUHBULBDEUIHUOJUILJNUKBAUHDROURJPABUKBDEUHH
    IJUHLJNEGFADRONMUCSQUDTQUDTUEUFUGST $.

  $( Lemma 4 for ~ fmtno5 .  (Contributed by AV, 30-Jul-2021.) $)
  fmtno5lem4 $p |- ( ; ; ; ; 6 5 5 3 6 ^ 2 )
                   = ; ; ; ; ; ; ; ; ; 4 2 9 4 9 6 7 2 9 6 $=
    ( c6 c5 cdc c3 c2 co c9 c1 cc0 c7 c8 caddc 6nn0 deccl 3nn0 0nn0 8nn0 decadd
    c4 eqid cexp cmul 5nn0 nn0cni sqvali fmtno5lem1 fmtno5lem2 decmul10add 4nn0
    eqcomi fmtno5lem3 2nn0 9nn0 7nn0 1nn0 7p1e8 3p1e4 9p3e12 decaddci 3p2e5 7cn
    2cn 7p2e9 addcomli 6cn ax-1cn 6p1e7 decsuc 8cn 8p6e14 decaddc deceq1i 5p1e6
    00id 1p1e2 8p1e9 5p3e8 decaddi 9p2e11 8p7e15 6p4e10 addid2i decaddm10 2p1e3
    4cn 9cn 9p6e15 eqtri 9p7e16 4p3e7 3eqtri ) ABCZBCZDCZACZEUAFWOWOUBFDGCZDCZE
    CZHCZACZICZDECZJCZACZKCZICZLFZICZXFLFZICZHGCZACZACZICZKCZLFZICZWTLFSECZGCZS
    CZGCZACZJCZECZGCZACWOWOWNAWMDWLBABMUCNZUCNZONZMNZUDUEWNAXPWTWOYHMYIWOWNUBFX
    PWMDXIXOWOYGOYIWOWMUBFXIWLBXGXFWOYFUCYIWOWLUBFXGABWTXFWOMUCYIWOAUBFWTUFUJZW
    OBUBFXFUGUJZUHUJYKUHUJWODUBFXOUKUJUHUJYJUHXTBCZJCZSCZICZKCZIWSAYEAXQWTYOKYN
    IYMSYLJXTBXSSXRGSEUIULNZUMNZUINZUCNZUNNZUINZPNZQNPWRHWQEWPDDGOUMNZONZULNZUO
    NZMXPYPIXSECZACZICZKCZICZIXNKYOKXJXOUUKIUUJKUUIIUUHAXSEYRULNZMNZPNZQNZPNPXM
    IXLAXKAHGUOUMNZMNZMNZPNQXIUULIXRBCZGCZKCZSCZICZIXEIUUKIXHXFUVCIUVBSUVAKUUTG
    XRBYQUCNZUMNZQNZUINZPNPXDKXCAXBJDEOULNZUNNZMNZQNZPXGUVDIWTIXEIUVCIXAXFWSAUU
    GMNPUVLPXATXFTZWSAXDKUVBSWTXEUUGMUVKQWTTZXETZUVAJKWSXDLFUVFUNUPWRHXCAUVAJWS
    XDUUFUOUVJMWSTZXDTZWQEXBJUUTGWRXCUUEULUVIUNWRTZXCTZWPDDEXRBWQXBUUDOOULWQTZX
    BTZDGESWPDOUMOWPTZUQULURUSUTRJEGVAVBVCVDRAHJVEVFVGVDRVHUIKAHSCVIVEVJVDVKVNR
    VLUVMUVCIXDKUUJKUVDXEUVHPUVKQUVDTUVOUVBSXCAUUIIUVCXDUVGUIUVJMUVCTUVQUUHBAUV
    BXCLFUUMUCVMUVAKXBJUUHBUVBXCUVFQUVIUNUVBTUVSXSHEUVAXBLFYRUOVOUUTGDEXSHUVAXB
    UVEUMOULUVATUWAXRKGUUTDLFYQQVPXRBKUUTDYQUCOUUTTVQVRVHUOVSVKVHUCVTVKVHPASHIC
    VEWEWAVDVKKVIWBZRVNRVLXOTUULXNLFUUKXMLFZICYOUUKXMUUPUUSWCUWDYNIUUJKXLAYMSUU
    KXMUUOQUURMUUKTXMTYLAJUUJXLLFYTMVGUUIIXKAYLAUUJXLUUNPUUQMUUJTXLTUUHAHGXTBUU
    IXKUUMMUOUMUUITXKTXSDSUUHHLFYROUQXSEDUUHYRULWDUUHTVHVHUCGAHBCWFVEWGVDVKAVEW
    BZRVHUIVJVKVLWHUWCRVLUVNYOKWRHYDGYPWSUUCQUUFUOYPTUVPYNIWQEYCEYOWRUUBPUUEULY
    OTUVRYMSWPDYBJYNWQUUAUIUUDOYNTUVTYLJDGYAAYMWPYTUNOUMYMTUWBXTKGYLDLFYSQVPXTB
    KYLDYSUCOYLTVQVRVHMGJHACWFVAWIVDVKWJREVBWBRVPRUWERWK $.

  $( The ` 5 ` th Fermat number.  (Contributed by AV, 30-Jul-2021.) $)
  fmtno5 $p |- ( FermatNo ` 5 ) = ; ; ; ; ; ; ; ; ; 4 2 9 4 9 6 7 2 9 7 $=
    ( c5 cfmtno cfv c4 c1 co c2 cexp caddc cdc c9 c6 4nn0 eqtri 2nn0 deccl 9nn0
    c7 6nn0 c3 cmin df-5 fveq2i cn0 wcel wceq fmtnorec1 ax-mp 7nn0 6p1e7 fmtno4
    5nn0 3nn0 1nn0 3p1e4 eqid decsuc 6cn ax-1cn df-7 mvrraddi oveq1i fmtno5lem4
    decsubi ) ABCZDBCZEUAFZGHFZEIFZDGJZKJZDJZKJZLJZRJZGJZKJZRJVEDEIFZBCZVIAVRBU
    BUCDUDUEVSVIUFMDUGUHNVQLRVHVPKVOGVNRVMLVLKVKDVJKDGMOPQPMPQPSPUIPOPQPSUJVHLA
    JZAJZTJZLJZGHFVQLJVGWCGHWBRLWADJVFEWATVTALASULPULPZUMPUIUNUKWATDWBWDUMUOWBU
    PUQRLEURUSUTVAVDVBVCNUQN $.

  $( The ` 0 ` th Fermat number is a prime (_first Fermat prime_).
     (Contributed by AV, 13-Jun-2021.) $)
  fmtno0prm $p |- ( FermatNo ` 0 ) e. Prime $=
    ( cc0 cfmtno cfv c3 cprime fmtno0 3prm eqeltri ) ABCDEFGH $.

  $( The ` 1 ` st Fermat number is a prime (_second Fermat prime_).
     (Contributed by AV, 13-Jun-2021.) $)
  fmtno1prm $p |- ( FermatNo ` 1 ) e. Prime $=
    ( c1 cfmtno cfv c5 cprime fmtno1 5prm eqeltri ) ABCDEFGH $.

  $( The ` 2 ` nd Fermat number is a prime (_third Fermat prime_).
     (Contributed by AV, 13-Jun-2021.) $)
  fmtno2prm $p |- ( FermatNo ` 2 ) e. Prime $=
    ( c2 cfmtno cfv c1 c7 cdc cprime fmtno2 17prm eqeltri ) ABCDEFGHIJ $.

  $( 257 is a prime number (the _fourth Fermat prime_).  (Contributed by AV,
     15-Jun-2021.) $)
  257prm $p |- ; ; 2 5 7 e. Prime $=
    ( c2 c5 cdc c7 2nn0 5nn0 deccl decnncl c4 c1 4nn0 7nn0 1nn0 c3 3nn0 cmul co
    caddc eqid c9 7nn c8 8nn0 2lt8 5lt10 7lt10 3decltc 5nn 1lt10 declti c6 df-7
    3t2e6 dec2dvds cdvds wbr 3nn 2nn 3cn mulid1i oveq1i 3p2e5 eqtri 2lt3 ndvdsi
    3dvds2dec 5cn 2cn 5p2e7 addcomli 7p7e14 breq2i 3dvdsdec ax-1cn 4p1e5 3bitri
    4cn bitri mtbir 2lt5 dec5dvds2 6nn0 7t3e21 decaddi 7t6e42 decmul2c 5lt7 1nn
    4nn nn0cni mulcomi 11multnc mulcomli 4p3e7 4lt10 cc0 9nn0 10nn 0nn0 mulid2i
    1p1e2 decsuc decadd 9cn 9p2e11 9t3e27 addid1i decmac declt 8cn 7cn decaddci
    3pos 8p7e15 5p3e8 7t5e35 decmul1c 2lt10 9nn 9pos prmlem2 ) ABCZDCZYBDABEFGZ
    UAHAUBBIDJEUCFKLMUDUEUFUGYBDJABEUHHLMUIUJYBNUKDYDOUMULUNNYCUOUPZNBUOUPZNBJA
    UQMURNJPQZARQNARQBYGNARNUSUTVAVBVCVDVEYENABRQZDRQZUOUPNJICZUOUPZYFABDEFLVFY
    IYJNUOYIDDRQYJYHDDRBADVGVHVIVJZVAVKVCVLYKNJIRQZUOUPYFJIMKVMYMBNUOIJBVQVNVOV
    JZVLVRVPVSYBADYDURVTVIWADYCNUKCZBUANUKOWBGUHYBADDYOPQBYDEFNUKYBADIYOLOWBYOS
    EKAJBDNPQIEMKWCYNWDWEWFYLWDWGVEJJCZYCANCZIJJMWHHANEOGWIYBNDYPYQPQIYDOKANYBN
    YPNYQJJMMGZEOYQSZOOYPAPQZNRQAYPPQZNRQYBYTUUANRYPAYPYRWJZVHWKVAAABUUANEEOAEW
    LNABUSVHVBVJWDZVCNYPNNCUSUUBNOWLZWMWFINDVQUSWNVJZWDJJIWHMKWOUJVEJNCZYCJTCZJ
    WPCZJNMUQHJTMWQGZWRUUFUUGPQZUUHRQUUGUUFPQZUUHRQYCUUJUUKUUHRUUFUUGUUFJNMOGZW
    JZUUGUUIWJWKVAJTJWPUUFYBDYPUUGUUHMWQMWSUUGSUUHSUULLYRJNJAABJUUFPQJYPRQMOMEU
    UFUUMWTYPJJACUUBVNJJAYPMMXAYPSXBVJXAVBXCTUUFPQZWPRQYPDCZWPRQUUOUUNUUOWPRJNY
    PDTAUUFWQMOUUFSLETJPQZARQTARQYPUUPTARTXDUTVAXEVCXFWFVAUUOUUOYPDYRLGWJXGVCXH
    ZVCJWPNMWSUQXMXIVEJDCZYCJBCZAJDMUAHJBMFGURYBBDUURUUSPQAYDFEJBYBBUURUBUUSJDM
    LGZMFUUSSFUCJDBAUURJPQUBMLUCUURUURUUTWJUTXAFUBDUUSXJXKXNVJXLJDUBBBNUURFMLUU
    RSFOJBPQZNRQBNRQUBUVABNRBVGWTVAXOVCXPXQWFVIWDJDAWHLEXRUJVEUUGYCUUFUUHJTMXSH
    UULWRUUQJWPTMWSXSXTXIVEYQYCYPIANEUQHYRWIYBNDYQYPPQIYDOKANYBNYPNYQYREOYSOOUU
    CUUDXQUUEWDANIUROKWOUJVEYA $.

  $( The ` 3 ` rd Fermat number is a prime (_fourth Fermat prime_).
     (Contributed by AV, 15-Jun-2021.) $)
  fmtno3prm $p |- ( FermatNo ` 3 ) e. Prime $=
    ( c3 cfmtno cfv c2 c5 cdc c7 cprime fmtno3 257prm eqeltri ) ABCDEFGFHIJK $.

  ${
    $d N n $.  $d P n $.
    $( Any power of two is coprime to any prime not being two.  (Contributed by
       AV, 25-Jul-2021.) $)
    odz2prm2pw $p |- ( ( ( N e. NN /\ P e. ( Prime \ { 2 } ) )
                       /\ ( ( ( 2 ^ ( 2 ^ N ) ) mod P ) =/= 1
                           /\ ( ( 2 ^ ( 2 ^ ( N + 1 ) ) ) mod P ) = 1 ) )
                    -> ( ( odZ ` P ) ` 2 ) = ( 2 ^ ( N + 1 ) ) ) $=
      ( vn cn wcel cprime c2 wa cexp co c1 wceq cdvds wbr wi cn0 syl2anr adantr
      cz wb csn cdif cmo wne caddc codz cfv cmin eldifi 2nn a1i peano2nn nnnn0d
      2nn0 nn0expcld nnexpcld nnzd modprm1div cgcd w3a prmnn syl adantl eldifsn
      2z simpr necomd sylbi 2prm prmrp sylancr 3jca odzdvds syl2anc bitrd nnnn0
      mpbird wn necon3abid cv cle wrex odzcl dvdsprmpweqle mp3an2i breq1 notbid
      clt wo nn0re nnred leloe cuz nn0z zleltp1 biimpar eluz2 syl3anbrc dvdsexp
      cr nnz mp3an2ani pm2.24d expcom oveq2 2a1d jaoi com12 sylbid imp eqtrd ex
      expl rexlimdva syld com23 imp32 ) BDEZAFGUAZUBEZHZGGBIJZIJZAUCJZKUDZGGBKU
      EJZIJZIJZAUCJKLZGAUFUGUGZYGLZYAYIYEYKYAYIYJYGMNZYEYKOYAYIAYHKUHJMNZYLXTAF
      EZYHSEYIYMTXRAFXSUIZXRYHXRGYGGDEXRUJUKZXRGYFGPEXRUNUKZXRYFBULZUMZUOZUPUQY
      HAURQYAADEZGSEZGAUSJKLZUTZYGPEZYMYLTYAUUAUUBUUCXTUUAXRXTYNUUAYOAVAVBVCUUB
      YAVEUKXTUUCXRXTUUCGAUDZXTYNAGUDZHZUUFAFGVDUUHAGYNUUGVFVGVHXTGFEZYNUUCUUFT
      VIYOGAVJVKVQVCVLZXRUUEXTYTRGYGAVMVNVOYAYEYLYKYAYEYJYBMNZVRZYLYKOYAUUKYDKY
      AYDKLZAYCKUHJMNZUUKXTYNYCSEUUMUUNTXRYOXRYCXRGYBYPXRGBYQBVPUOZUPUQYCAURQYA
      UUDYBPEZUUNUUKTUUJXRUUPXTUUORGYBAVMVNVOVSYAYLUULYKYAYLCVTZYFWANZYJGUUQIJZ
      LZHZCPWBZUULYKOZUUIYAYJDEZYFPEZYLUVBOVIYAUUDUVDUUJGAWCVBXRUVEXTYSRYJGCYFW
      DWEYAUVAUVCCPYAUUQPEZHZUURUUTUVCUVGUURHZUUTHZUULUUSYBMNZVRZYKUVIUUKUVJUUT
      UUKUVJTUVHYJUUSYBMWFVCWGUVIUVKYKUVIUVKHYJUUSYGUVIUUTUVKUVHUUTVFRUVIUVKUUS
      YGLZUVHUVKUVLOZUUTUVGUURUVMUVGUURUUQYFWHNZUUQYFLZWIZUVMUVFUUQWTEYFWTEZUUR
      UVPTYAUUQWJXRUVQXTXRYFYRWKRUUQYFWLQUVPUVGUVMUVNUVGUVMOUVOUVGUVNUVMUVGUVNH
      ZUVJUVLUUBUVGUVFUVNBUUQWMUGEZUVJVEYAUVFVFUVRUUQSEZBSEZUUQBWANZUVSUVGUVTUV
      NUVFUVTYAUUQWNZVCRUVGUWAUVNYAUWAUVFXRUWAXTBXARZRRUVGUWBUVNUVFUVTUWAUWBUVN
      TYAUWCUWDUUQBWOQWPUUQBWQWRGUUQBWSXBXCXDUVOUVLUVGUVKUUQYFGIXEXFXGXHXIXJRXJ
      XKXLXIXMXNXOXPXIXPXIXPXQ $.
  $}

  $( Lemma for ~ fmtnoprmfac1 :  The order of 2 modulo a prime that divides the
     n-th Fermat number is 2^(n+1).  (Contributed by AV, 25-Jul-2021.)  (Proof
     shortened by AV, 18-Mar-2022.) $)
  fmtnoprmfac1lem $p |- ( ( N e. NN /\ P e. ( Prime \ { 2 } )
                            /\ P || ( FermatNo ` N ) )
                          -> ( ( odZ ` P ) ` 2 ) = ( 2 ^ ( N + 1 ) ) ) $=
    ( cn wcel cprime c2 cfv cdvds wbr c1 co cexp wceq cmo syl adantr adantl wne
    wa ex csn cdif cfmtno codz caddc cc0 eldifi prmnn ad2antlr cn0 nnnn0 breq2d
    wb fmtno biimpa dvdsmod0 syl2anc cneg wi cz 2nn a1i 2nn0 nn0expcld nnexpcld
    nnzd 1zzd summodnegmod syl3anc crp neg1z jctir nnrpd anim12i modexp cmul cc
    simpr 2cnd 3jca expmul expp1d eqcomd oveq2d eqtr3d oveq1d neg1sqe1 cr nnred
    w3a clt prmgt1 1mod eqtrd eqeq12d simpll sylan2 m1modnnsub1 eldifsni necomd
    cmin nncnd 1cnd subadd2d 1p1e2 eqeq1i bitrdi necon3bid mpbird eqnetrd eqeq1
    sylbid imp simplr odz2prm2pw syl12anc syld pm2.43d 3impia ) BCDZAEFUAZUBDZA
    BUCGZHIZFAUDGGFBJUEKLKZMZXTYBSZYDFFBLKZLKZJUEKZANKUFMZYFYGYDYKYGYDSACDZAYJH
    IZYKYBYLXTYDYBAEDZYLAEYAUGZAUHZOZUIYGYDYMXTYDYMUMYBXTYCYJAHXTBUJDZYCYJMBUKZ
    BUNOULPUOAYJUPUQTYGYKYFYGYKYIANKZJURZANKZMZYKYFUSZYGYIUTDZJUTDZYLYKUUCUMZXT
    UUEYBXTYIXTFYHFCDXTVAVBXTFBFUJDZXTVCVBZYSVDZVEVFZPZYGVGYBYLXTYQQZYIJAVHZVIY
    GUUCYIFLKZANKZUUAFLKZANKZMZUUDYGUUCUUSYGUUCSUUEUUAUTDZSZUUHAVJDZSZUUCUUSYGU
    VAUUCYGUUEUUTUULVKVLPYGUVCUUCXTUUHYBUVBUUIYBYNUVBYOYNAYPVMOVNPYGUUCVRYIUUAF
    AVOVITYGUUSFYELKZANKZJMZUUDYGUUPUVEUURJYGUUOUVDANYGFYHFVPKZLKZUUOUVDYGFVQDZ
    YHUJDZUUHWJZUVHUUOMXTUVKYBXTUVIUVJUUHXTVSUUJUUIVTPFYHFWAOYGUVGYEFLYGYEUVGYG
    FBYGVSXTYRYBYSPWBWCWDWEWFYGUURJANKZJYGUUQJANUUQJMYGWGVBWFYBUVLJMZXTYBAWHDJA
    WKIZUVMYBAYQWIYBYNUVNYOAWLOAWMUQQWNWOYGUVFUUDYGUVFSZYKYFUVOYKSYGYTJRZUVFYFY
    GUVFYKWPUVOYKUVPUVOYKUUCUVPUVOUUEUUFYLWJZUUGYGUVQUVFYBXTYNUVQYOXTYNSZUUEUUF
    YLXTUUEYNUUKPUVRVGYNYLXTYPQVTWQPUUNOUVOUUCUVPUVOUUCSZUVPUUBJRZUVOUVTUUCYGUV
    TUVFYGUUBAJXAKZJYGYLUUBUWAMUUMAWROYGUWAJRFARYGAFYBAFRXTAEFWSQWTYGUWAJFAYGUW
    AJMJJUEKZAMFAMYGAJJYBAVQDXTYBAYQXBQYGXCZUWCXDUWBFAXEXFXGXHXIXJPPUVSYTJUUBJU
    UCYTJMUUBJMUMUVOYTUUBJXKQXHXITXLXMYGUVFYKXNABXOXPTTXLXQXLXRXQXS $.

  ${
    $d N k $.  $d P k $.
    $( Divisor of Fermat number (special form of Euler's result, see
       ~ fmtnofac1 ):  Let F_n be a Fermat number.  Let p be a prime divisor of
       F_n.  Then p is in the form: k*2^(n+1)+1 where k is a positive integer.
       (Contributed by AV, 25-Jul-2021.) $)
    fmtnoprmfac1 $p |- ( ( N e. NN /\ P e. Prime
                         /\ P || ( FermatNo ` N ) )
                      -> E. k e. NN P = ( ( k x. ( 2 ^ ( N + 1 ) ) ) + 1 ) ) $=
      ( c2 wceq cn wcel cprime cfv cdvds wbr c1 co wi wa adantr syl adantl a1i
      wb cfmtno w3a cv caddc cexp cmul wrex breq1 wn cn0 nnnn0 fmtnoodd pm2.21d
      sylbid a1d ex 3impd codz csn cdif simpr1 wne neqne anim2i sylibr 3ad2ant2
      eldifsn impcom simpr3 fmtnoprmfac1lem syl3anc cphi cz cgcd prmnn ad2antll
      2z necomd 2prm anim1i prmrp mpbird odzphi cmin phiprm breq2d 2nn peano2nn
      nnnn0d nnexpcld cle cuz prmuz2 nn0ge2m1nn syl2anc anim12i nndivides eqcom
      eluzle cc nncnd 1cnd nncn peano2nn0 mulcld subadd2d adantll 3bitrd biimpd
      rexbidva com23 mpd 3adantr3 pm2.61i ) ADEZCFGZAHGZACUAIZJKZUBZABUCZDCLUDM
      ZUEMZUFMZLUDMZEZBFUGZNXOXPXQXSYGXOXPXQXSYGNZNXOXPOZYHXQYIXSDXRJKZYGXOXSYJ
      TXPADXRJUHPYIYJYGXPYJUIZXOXPCUJGZYKCUKZCULQRUMUNUOUPUQXOUIZXTYGYNXTOZDAUR
      IIZYCEZYGYOXPAHDUSUTGZXSYQYNXPXQXSVAXTYNYRXQXPYNYRNXSXQYNYRXQYNOXQADVBZOY
      RYNYSXQADVCZVDAHDVGVEUPVFVHYNXPXQXSVIACVJVKYNXPXQYQYGNZXSYNXPXQOZOZYPAVLI
      ZJKZUUAUUCAFGZDVMGZDAVNMLEZUUEXQUUFYNXPAVOZVPUUGUUCVQSUUCUUHDAVBZYNUUJUUB
      YNADYTVRPUUCDHGZXQOZUUHUUJTUUBUULYNXPUUKXQUUKXPVSSVTRDAWAQWBDAWCVKUUCUUEY
      PALWDMZJKZUUAUUCUUDUUMYPJXQUUDUUMEYNXPAWEVPWFUUCYQUUNYGUUCYQUUNYGNUUCYQOU
      UNYCUUMJKZYGYQUUNUUOTUUCYPYCUUMJUHRUUCUUOYGNYQUUCUUOYDUUMEZBFUGZYGUUCYCFG
      ZUUMFGZOZUUOUUQTUUBUUTYNXPUURXQUUSXPDYBDFGXPWGSZXPYBCWHWIWJXQAUJGDAWKKZUU
      SXQAUUIWIXQADWLIGUVBAWMDAWSQAWNWOWPRBYCUUMWQQUUCUUQYGUUCUUPYFBFUUCYAFGZOZ
      UUPUUMYDEZYEAEZYFUUPUVETUVDYDUUMWRSUUBUVCUVEUVFTYNUUBUVCOZALYDUUBAWTGZUVC
      XQUVHXPXQAUUIXARPUVGXBUVGYAYCUVCYAWTGUUBYAXCRUUBYCWTGZUVCXPUVIXQXPYCXPDYB
      UVAXPYLYBUJGYMCXDQWJXAPPXEXFXGUVFYFTUVDYEAWRSXHXJXIUNPUNUPXKUNXLXMXLUPXN
      $.
  $}

  ${
    $d N k $.  $d N n $.  $d P n $.
    $( Lemma for ~ fmtnoprmfac2 .  (Contributed by AV, 26-Jul-2021.) $)
    fmtnoprmfac2lem1 $p |- ( ( N e. ( ZZ>= ` 2 ) /\ P e. ( Prime \ { 2 } )
                               /\ P || ( FermatNo ` N ) )
                             -> ( ( 2 ^ ( ( P - 1 ) / 2 ) ) mod P ) = 1 ) $=
      ( vn vk c2 wcel wbr c1 co cmul wceq cn cmo wa cz c8 cc a1i cn0 c3 cuz cfv
      cprime csn cdif cfmtno cdvds w3a caddc cexp wrex cmin cdiv eluz2nn eldifi
      cv id fmtnoprmfac1 syl3an clgs 2z simp2 lgsvalmod eqcomd sylancr ad2antrr
      c7 cpr wi nncn adantl 2nn eluzge2nn0 peano2nn0 syl nnexpcld nncnd mulcomd
      adantr 8cn cc0 wne 0re gtneii divcan2d oveq1d divcld mulassd 3eqtrd oveq1
      8pos eqeq2d cle 3m1e2 eluzle eqbrtrid cr 1red eluzelre lesubaddd mpbid wb
      3re 3nn0 nn0sub oveq2 eqeq1d cu2 eqcomi 2cnne0 eluzelz peano2zd 3z expsub
      nnzd syl12anc oveq12d nnexpcl mp2an nncni 2cn 2ne0 expne0i mp3an rspcedvd
      eqtrd 8nn 2nn0 nn0expcld nn0zd zdiv nnz zmulcld nnzi 2re 8re 2lt8 eqeltrd
      ltleii 3ad2ant2 eluz2 mpbir3an mulp1mod1 sylancl prid1g mp1i ex 3ad2antl1
      1nn sylbid imp 2lgs mpbird clt prmuz2 eluz2gt1 jca 1mod 3syl rexlimdva2
      mpd ) BEUAUBZFZAUCEUDZUEFZABUFUBUGGZUHZACUPZEBHUIIZUJIZJIZHUIIZKZCLUKZEAH
      ULIEUMIUJIAMIZHKZUVCBLFUVEAUCFZUVFUVFUVNBUNAUCUVDUOZUVFUQACBURUSUVGUVMUVP
      CLUVGUVHLFZNZUVMNZUVOEAUTIZAMIZHAMIZHUVGUVOUWCKZUVSUVMUVGEOFZUVEUWEVAUVCU
      VEUVFVBUWFUVENUWCUVOEAVCVDVEVFUWAUWBHAMUWAUWBHKZAPMIZHVGVHZFZUVTUVMUWJUVC
      UVEUVSUVMUWJVIUVFUVCUVSNZUVMAPUVJPUMIZUVHJIZJIZHUIIZKZUWJUWKUVLUWOAUWKUVK
      UWNHUIUWKUVKUVJUVHJIPUWLJIZUVHJIUWNUWKUVHUVJUVSUVHQFUVCUVHVJVKZUVCUVJQFUV
      SUVCUVJUVCEUVIELFZUVCVLRZUVCBSFUVISFZBVMBVNVOZVPVQZVSZVRUWKUVJUWQUVHJUWKU
      WQUVJUWKUVJPUXDPQFZUWKVTRZPWAWBZUWKWAPWCWKWDZRWEVDWFUWKPUWLUVHUXFUVCUWLQF
      UVSUVCUVJPUXCUXEUVCVTRUXGUVCUXHRWGVSUWRWHWIWFWLUWKUWPUWJUWKUWPNUWHUWOPMIZ
      UWIUWPUWHUXIKUWKAUWOPMWJVKUWKUXIUWIFUWPUWKUXIHUWIUWKUWMOFPUVBFZUXIHKUWKUW
      LUVHUVCUWLOFZUVSUVCPDUPZJIZUVJKZDOUKZUXKUVCUXNPEUVITULIZUJIZJIZUVJKZDUXQO
      UVCUXQUVCEUXPUWTUVCTUVIWMGZUXPSFZUVCTHULIZBWMGUXTUVCUYBEBWMWNEBWOWPUVCTHB
      TWQFUVCXCRUVCWREBWSWTXAUVCTSFZUXAUXTUYAXBXDUXBTUVIXEVEXAVPXOUXLUXQKZUXNUX
      SXBUVCUYDUXMUXRUVJUXLUXQPJXFXGVKUVCUXRETUJIZUVJUYEUMIZJIUVJUVCPUYEUXQUYFJ
      PUYEKUVCUYEPXHXIRUVCEQFZEWAWBZNZUVIOFTOFZUXQUYFKUYIUVCXJRUVCBEBXKXLUYJUVC
      XMREUVITXNXPXQUVCUVJUYEUXCUYEQFUVCUYEUWSUYCUYELFVLXDETXRXSXTRUYEWAWBZUVCU
      YGUYHUYJUYKYAYBXMETYCYDRWEYFYEUVCPLFUVJOFUXOUXKXBYGUVCUVJUVCEUVIESFUVCYHR
      UXBYIYJDPUVJYKVEXAVSUVSUVHOFUVCUVHYLVKYMUXJUWFPOFEPWMGVAPYGYNEPYOYPYQYSEP
      UUAUUBUWMPUUCUUDHLFHUWIFUWKUUIHVGLUUEUUFYRVSYRUUGUUJUUHUUKUVGUWGUWJXBZUVS
      UVMUVEUVCUYLUVFUVEUVQUYLUVRAUULVOYTVFUUMWFUVGUWDHKZUVSUVMUVEUVCUYMUVFUVEU
      VQAWQFZHAUUNGZNZUYMUVRUVQAUVBFZUYPAUUOUYQUYNUYOEAWSAUUPUUQVOAUURUUSYTVFWI
      UUTUVA $.
  $}

  ${
    $d N k $.  $d P k $.
    $( Divisor of Fermat number (special form of Lucas' result, see
       ~ fmtnofac2 ):  Let F_n be a Fermat number.  Let p be a prime divisor of
       F_n.  Then p is in the form: k*2^(n+2)+1 where k is a positive integer.
       (Contributed by AV, 26-Jul-2021.) $)
    fmtnoprmfac2 $p |- ( ( N e. ( ZZ>= ` 2 ) /\ P e. Prime
                        /\ P || ( FermatNo ` N ) )
                      -> E. k e. NN P = ( ( k x. ( 2 ^ ( N + 2 ) ) ) + 1 ) ) $=
      ( c2 wceq wcel cdvds wbr co cmul c1 cn wi wa wb syl adantl ex a1i cc cexp
      cuz cfv cprime cfmtno w3a caddc wrex breq1 adantr cn0 eluzge2nn0 fmtnoodd
      cv wn pm2.21d sylbid a1d 3impd cmin cdiv cmo csn cdif simpr1 neqne anim2i
      wne eldifsn sylibr 3ad2ant2 impcom simpr3 fmtnoprmfac2lem1 syl3anc cz 2nn
      simpl oddprm nnnn0d nnexpcld nnzd jca modprm1div codz cgcd 2z necomd 2prm
      prmnn ancomd prmrp 3jca odzdvds eluz2nn 3ad2ant1 fmtnoprmfac1lem peano2nn
      mpbird nndivides syl2an eqcom cc0 nncnd peano2cnm simpr ad2antrr nnmulcld
      2cnne0 divmul3 nncn 2cnd mulassd expp1d add1p1 oveq2d eqtr3d eqtrd eqeq2d
      1cnd nnaddcld mulcld subadd2d 3bitrd rexbidva biimpd adantrr expr 3adant3
      id mpd pm2.61i ) ADEZCDUBUCFZAUDFZACUEUCZGHZUFZABUNZDCDUGIZUAIZJIZKUGIZEZ
      BLUHZMYMYNYOYQUUEYMYNYOYQUUEMZMYMYNNZUUFYOUUGYQDYPGHZUUEYMYQUUHOYNADYPGUI
      UJUUGUUHUUEYNUUHUOZYMYNCUKFUUICULCUMPQUPUQURRUSYMUOZYRUUEUUJYRNZDAKUTIZDV
      AIZUAIZAVBIKEZUUEUUKYNAUDDVCVDFZYQUUOUUJYNYOYQVEYRUUJUUPYOYNUUJUUPMYQYOUU
      JUUPYOUUJNZYOADVHZNUUPUUJUURYOADVFZVGAUDDVIVJZRVKVLZUUJYNYOYQVMZACVNVOUUK
      UUOAUUNKUTIGHZUUEUUKYOUUNVPFZNZUUOUVCOYRUUJUVEYOYNUUJUVEMYQYOUUJUVEUUQYOU
      VDYOUUJVRUUQUUNUUQDUUMDLFZUUQVQSUUQUUMUUQUUPUUMLFZUUTAVSPZVTZWAWBWCRVKVLU
      UNAWDPUUKUVCDAWEUCUCZUUMGHZUUEUUKALFZDVPFZDAWFIKEZUFZUUMUKFZNZUVCUVKOYRUU
      JUVQYOYNUUJUVQMYQYOUUJUVQUUQUVOUVPUUQUVLUVMUVNYOUVLUUJAWJZUJUVMUUQWGSUUQU
      VNDAVHZUUJUVSYOUUJADUUSWHQUUQDUDFZYONUVNUVSOUUQYOUVTUUJUVTYOUVTUUJWISVGWK
      DAWLPWSWMUVIWCRVKVLDUUMAWNPUUKUVJDCKUGIZUAIZEZUVKUUEMZUUKCLFZUUPYQUWCYRUW
      EUUJYNYOUWEYQCWOZWPQUVAUVBACWQVOUUKUWCUWDUUKUWCNUVKUWBUUMGHZUUEUWCUVKUWGO
      UUKUVJUWBUUMGUIQUUKUWGUUEMZUWCYRUUJUWHYNYOUUJUWHMYQYNYOUUJUWHYNUUQNUWGYSU
      WBJIZUUMEZBLUHZUUEYNUWBLFZUVGUWGUWKOUUQYNDUWAUVFYNVQSZYNUWAYNUWEUWALFUWFC
      WRZPVTWAZUVHBUWBUUMWTXAYNYOUWKUUEMUUJYNYONZUWKUUEUWPUWJUUDBLUWPYSLFZNZUWJ
      UUMUWIEZUULUWIDJIZEZUUDUWJUWSOUWRUWIUUMXBSUWRUULTFZUWITFDTFDXCVHNZUWSUXAO
      UWPUXBUWQYOUXBYNYOATFZUXBYOAUVRXDZAXEPQUJUWRUWIUWRYSUWBUWPUWQXFYNUWLYOUWQ
      UWOXGXHXDUXCUWRXISUULUWIDXJVOUWRUXAUULUUBEUUCAEZUUDUWRUWTUUBUULUWRUWTYSUW
      BDJIZJIUUBUWRYSUWBDUWQYSTFUWPYSXKQZYNUWBTFYOUWQYNUWBUWOXDXGUWRXLXMUWRUXGU
      UAYSJYNUXGUUAEZYOUWQYNUWEUXIUWFUWEDUWAKUGIZUAIUXGUUAUWEDUWAUWEXLUWEUWAUWN
      VTXNUWEUXJYTDUAUWECTFUXJYTECXKCXOPXPXQPXGXPXRXSUWRAKUUBUWPUXDUWQYOUXDYNUX
      EQUJUWRXTUWRYSUUAUXHYNUUATFYOUWQYNUUAYNDYTUWMYNUWEYTUKFUWFUWEYTUWECDUWEYJ
      UVFUWEVQSYAVTPWAXDXGYBYCUXFUUDOUWRUUCAXBSYDYDYEYFYGUQYHYIVLUJUQRYKUQUQYKR
      YL $.
  $}

  ${
    $d M k x $.  $d N k m n x y z $.
    $( Lemma for ~ fmtnofac2 (Induction step).  (Contributed by AV,
       30-Jul-2021.) $)
    fmtnofac2lem $p |- ( ( y e. ( ZZ>= ` 2 ) /\ z e. ( ZZ>= ` 2 ) )
               -> ( ( ( ( N e. ( ZZ>= ` 2 ) /\ y || ( FermatNo ` N ) )
                        -> E. k e. NN0 y = ( ( k x. ( 2 ^ ( N + 2 ) ) ) + 1 ) )
                      /\ ( ( N e. ( ZZ>= ` 2 ) /\ z || ( FermatNo ` N ) )
                      -> E. k e. NN0 z = ( ( k x. ( 2 ^ ( N + 2 ) ) ) + 1 ) ) )
                   -> ( ( N e. ( ZZ>= ` 2 ) /\ ( y x. z ) || ( FermatNo ` N ) )
        -> E. k e. NN0 ( y x. z ) = ( ( k x. ( 2 ^ ( N + 2 ) ) ) + 1 ) ) ) ) $=
      ( vm vn c2 wcel wa cmul co caddc c1 wceq cn0 wrex wi adantr adantl cc cuz
      cv cfv cfmtno cdvds wbr cexp eluzelz eluzge2nn0 fmtnonn nnzd syl muldvds2
      cz syl2an3an muldvds1 pm2.27 ad2ant2lr ad2ant2l weq oveq1 oveq1d cbvrexvw
      eqeq2d simpl a1i nn0addcld nn0expcld nn0mulcld simpr nn0addcl wb rspcedvd
      2nn0 eqidd nn0cn nn0cnd mulcld jca muladd11r adddir eqcomd oveq2d mulassd
      w3a 3eqtr4d eqtrd eqeq1d rexbidva mpbird adantll oveq12 ancoms syl5ibrcom
      3jca rexbidv expd anassrs rexlimdva com23 impd syl2and exp32 syld expimpd
      syl5bi mpdd ) AUBZGUAUCZHZBUBZXIHZIZDXIHZXHXKJKZDUDUCZUEUFZIXNXHXPUEUFZIZ
      XHCUBZGDGLKZUGKZJKZMLKZNZCOPZQZXNXKXPUEUFZIZXKYDNZCOPZQZIZXOYDNZCOPZXMXNX
      QYMYOQZXMXNIZXQYHYPXMXHUNHZXKUNHZXNXPUNHZXQYHQXJYRXLGXHUHRZXLYSXJGXKUHSZX
      NDOHZYTDUIZUUCXPDUJUKULZXHXKXPUMUOYQXQXRYHYPQXMYRYSXNYTXQXRQUUAUUBUUEXHXK
      XPUPUOYQXRYHYPYQXRYHIZIYGYFYLYKYOXNXRYGYFQXMYHXSYFUQURXNYHYLYKQXMXRYIYKUQ
      USYQYFYKIYOQUUFYQYFYKYOYFXHEUBZYBJKZMLKZNZEOPYQYKYOQZYEUUJCEOCEUTZYDUUIXH
      UULYCUUHMLXTUUGYBJVAVBVDVCYQUUJUUKEOYQUUGOHZIZYKUUJYOYKXKFUBZYBJKZMLKZNZF
      OPUUNUUJYOQZYJUURCFOCFUTZYDUUQXKUUTYCUUPMLXTUUOYBJVAVBVDVCUUNUURUUSFOYQUU
      MUUOOHZUURUUSQYQUUMUVAIZIZUURUUJYOUVCYOUURUUJIZUUIUUQJKZYDNZCOPZXNUVBUVGX
      MXNUVBIZUVGUUHUUOJKZUUGUUOLKZLKZYBJKZMLKZYDNZCOPUVHUVNUVMUVMNZCUVKOUVHUVI
      UVJUVHUUHUUOUVHUUGYBUVBUUMXNUUMUVAVEZSXNYBOHUVBXNGYAGOHXNVNVFZXNDGUUDUVQV
      GVHZRVIUVBUVAXNUUMUVAVJZSVIUVBUVJOHXNUUGUUOVKZSVGXTUVKNZUVNUVOVLUVHUWAYDU
      VMUVMUWAYCUVLMLXTUVKYBJVAVBVDSUVHUVMVOVMUVHUVFUVNCOUVHXTOHZIZUVEUVMYDUWCU
      VEUUHUUPJKZUUHUUPLKZLKZMLKZUVMUWCUUHTHZUUPTHZIZUVEUWGNUVHUWJUWBUVHUWHUWIU
      VHUUGYBUVBUUGTHZXNUUMUWKUVAUUGVPRSXNYBTHZUVBXNYBUVRVQRZVRZUVHUUOYBUVBUUOT
      HZXNUVBUUOUVSVQSZUWMVRVSRUUHUUPVTULUWCUWFUVLMLUWCUVIYBJKZUWELKUWQUVJYBJKZ
      LKZUWFUVLUWCUWEUWRUWQLUWCUWRUWEUWCUWKUWOUWLWEZUWRUWENUVHUWTUWBUVHUWKUWOUW
      LUVBUWKXNUVBUUGUVPVQSUWPUWMWORUUGUUOYBWAULWBWCUWCUWDUWQUWELUWCUWQUWDUWCUU
      HUUOYBUVHUWHUWBUWNRUVHUWOUWBUWPRUVHUWLUWBUWMRWDWBVBUWCUVITHZUVJTHZUWLWEZU
      VLUWSNUVHUXCUWBUVHUXAUXBUWLUVHUUHUUOUWNUWPVRUVBUXBXNUVBUVJUVTVQSUWMWORUVI
      UVJYBWAULWFVBWGWHWIWJWKUVDYNUVFCOUVDXOUVEYDUUJUURXOUVENXHUUIXKUUQJWLWMWHW
      PWNWQWRWSXFWTWSXFXARXBXCXDXGXEWT $.

    $( Divisor of Fermat number (Euler's Result refined by Fran&ccedil;ois
       &Eacute;douard Anatole Lucas), see ~ fmtnofac1 :  Let F_n be a Fermat
       number.  Let m be divisor of F_n.  Then m is in the form: k*2^(n+2)+1
       where k is a nonnegative integer.  (Contributed by AV, 30-Jul-2021.) $)
    fmtnofac2 $p |- ( ( N e. ( ZZ>= ` 2 ) /\ M e. NN /\ M || ( FermatNo ` N ) )
                     -> E. k e. NN0 M = ( ( k x. ( 2 ^ ( N + 2 ) ) ) + 1 ) ) $=
      ( wcel c2 cdvds wbr caddc co c1 wceq cn0 wa wi breq1 anbi2d eqeq1 rexbidv
      wrex cc0 vx vy vz cn cuz cfv cfmtno cv cexp cmul imbi12d weq a1i wb oveq1
      0nn0 oveq1d eqeq2d adantl 2nn0 eluzge2nn0 nn0addcld nn0cnd mul02d eqtr2di
      nn0expcld 0p1e1 rspcedvd adantr cprime simpl wss w3a nnssnn0 fmtnoprmfac2
      simprr ssrexv mpsyl syl3anc ex fmtnofac2lem prmind expd 3imp21 ) BUDDZCEU
      EUFDZBCUGUFZFGZBAUHZECEHIZUIIZUJIZJHIZKZALSZWEWFWHWOWFUAUHZWGFGZMZWPWMKZA
      LSZNWFJWGFGZMZJWMKZALSZNWFUBUHZWGFGZMZXEWMKZALSZNWFUCUHZWGFGZMZXJWMKZALSZ
      NWFXEXJUJIZWGFGZMZXOWMKZALSZNWFWHMZWONUAUBUCBWPJKZWRXBWTXDYAWQXAWFWPJWGFO
      PYAWSXCALWPJWMQRUKUAUBULZWRXGWTXIYBWQXFWFWPXEWGFOPYBWSXHALWPXEWMQRUKUAUCU
      LZWRXLWTXNYCWQXKWFWPXJWGFOPYCWSXMALWPXJWMQRUKWPXOKZWRXQWTXSYDWQXPWFWPXOWG
      FOPYDWSXRALWPXOWMQRUKWPBKZWRXTWTWOYEWQWHWFWPBWGFOPYEWSWNALWPBWMQRUKWFXDXA
      WFXCJTWKUJIZJHIZKZATLTLDWFUPUMWITKZXCYHUNWFYIWMYGJYIWLYFJHWITWKUJUOUQURUS
      WFYGTJHIJWFYFTJHWFWKWFWKWFEWJELDWFUTUMZWFCECVAYJVBVFVCVDUQVGVEVHVIWPVJDZW
      RWTYKWRMWFYKWQWTWRWFYKWFWQVKUSYKWRVKYKWFWQVPUDLVLWFYKWQVMWSAUDSWTVNWPACVO
      WSAUDLVQVRVSVTUBUCACWAWBWCWD $.
  $}

  ${
    $d M k n $.  $d N k n $.
    $( Divisor of Fermat number (Euler's Result), see ProofWiki "Divisor of
       Fermat Number/Euler's Result", 24-Jul-2021,
       ~ https://proofwiki.org/wiki/Divisor_of_Fermat_Number/Euler's_Result ):
       "Let F_n be a Fermat number.  Let m be divisor of F_n.  Then m is in the
       form: k*2^(n+1)+1 where k is a positive integer."  Here, however, k must
       be a nonnegative integer, because k must be 0 to represent 1 (which is a
       divisor of F_n ).

       Historical Note:  In 1747, Leonhard Paul Euler proved that a divisor of
       a Fermat number F_n is always in the form kx2^(n+1)+1.  This was later
       refined to k*2^(n+2)+1 by Fran&ccedil;ois &Eacute;douard Anatole Lucas,
       see ~ fmtnofac2 .  (Contributed by AV, 30-Jul-2021.) $)
    fmtnofac1 $p |- ( ( N e. NN /\ M e. NN /\ M || ( FermatNo ` N ) )
                     -> E. k e. NN0 M = ( ( k x. ( 2 ^ ( N + 1 ) ) ) + 1 ) ) $=
      ( vn wcel c2 c1 caddc co cexp cmul wceq cn0 c5 c4 a1i wa oveq1 oveq1d cc0
      cn cfmtno cfv cdvds wbr cv wrex wo wi elnn1uz2 cprime 5prm dvdsprime mpan
      cuz wb 1nn0 simpl adantl eqeq12d 4cn mulid2i eqcomi oveq1i eqtri rspcedvd
      df-5 0nn0 mul02i 0p1e1 syl6bi fveq2 fmtno1 eqtrdi breq2d 1p1e2 oveq2d sq2
      jaoi eqeq2d rexbidv imbi12d syl5ibr w3a fmtnofac2 id 2nn0 nn0mulcld simpr
      adantr eqeqan12d cc eluzge2nn0 nn0cnd add1p1 eqcomd 2cnd peano2nn0 expp1d
      syl nn0expcld mulcomd 3eqtrd mulassd eqtr4d 3ad2antl1 rexlimdva2 mpd 3exp
      nn0cn sylbi 3imp ) CUAEZBUAEZBCUBUCZUDUEZBAUFZFCGHIZJIZKIZGHIZLZAMUGZXMCG
      LZCFUOUCEZUHXNXPYCUIZUIZCUJYDYGYEXNYFYDBNUDUEZBXQOKIZGHIZLZAMUGZUIXNYHBNL
      ZBGLZUHZYLNUKEXNYHYOUPULNBUMUNYMYLYNYMYKNGOKIZGHIZLZAGMGMEYMUQPYMXQGLZQBN
      YJYQYMYSURYSYJYQLYMYSYIYPGHXQGOKRSUSUTYRYMNOGHIYQVGOYPGHYPOOVAVBVCVDVEPVF
      YNYKGTOKIZGHIZLZATMTMEYNVHPYNXQTLZQBGYJUUAYNUUCURUUCYJUUALYNUUCYIYTGHXQTO
      KRSUSUTUUBYNUUAGUUATGHIGYTTGHOVAVIVDVJVEVCPVFVSVKYDXPYHYCYLYDXONBUDYDXOGU
      BUCNCGUBVLVMVNVOYDYBYKAMYDYAYJBYDXTYIGHYDXSOXQKYDXSFFJIOYDXRFFJYDXRGGHIFC
      GGHRVPVNVQVRVNVQSVTWAWBWCYEXNXPYCYEXNXPWDZBDUFZFCFHIZJIZKIZGHIZLZDMUGYCDB
      CWEUUDUUJYCDMUUDUUEMEZQZUUJQZYBUUIUUEFKIZXSKIZGHIZLAUUNMUULUUNMEZUUJUUKUU
      QUUDUUKUUEFUUKWFFMEZUUKWGPWHUSWJUUMXQUUNLZBUUIYAUUPUULUUJWIUUSXTUUOGHXQUU
      NXSKRSWKUUMUUHUUOGHUULUUHUUOLZUUJYEXNUUKUUTXPYEUUKQZUUHUUEFXSKIZKIUUOUVAU
      UGUVBUUEKYEUUGUVBLUUKYEUUGFXRGHIZJIXSFKIUVBYEUUFUVCFJYEUVCUUFYECWLEUVCUUF
      LYECCWMZWNCWOWTWPVQYEFXRYEWQZYECMEXRMEUVDCWRWTZWSYEXSFYEXSYEFXRUURYEWGPUV
      FXAWNZUVEXBXCWJVQUVAUUEFXSUUKUUEWLEYEUUEXJUSUVAWQYEXSWLEUUKUVGWJXDXEXFWJS
      VFXGXHXIVSXKXL $.
  $}

  $( The floor of the square root of the fourth Fermat number is 256.
     (Contributed by AV, 28-Jul-2021.) $)
  fmtno4sqrt $p |- ( |_ ` ( sqrt ` ( FermatNo ` 4 ) ) ) = ; ; 2 5 6 $=
    ( c4 cfmtno cfv csqrt cfl c2 c1 cmin co cexp c5 cdc c6 cn wcel c8 c3 oveq2i
    wceq eqtri 4nn fmtnosqrt ax-mp 4m1e3 cu2 2exp8 ) ABCDCECZFFAGHIZJIZJIZFKLML
    ZANOUGUJSUAAUBUCUJFPJIUKUIPFJUIFQJIPUHQFJUDRUETRUFTT $.

  ${
    $d P k $.
    $( If P was a (prime) factor of the fourth Fermat number less than the
       square root of the fourth Fermat number, it would be either 65 or 129 or
       193.  (Contributed by AV, 28-Jul-2021.) $)
    fmtno4prmfac $p |- ( ( P e. Prime /\ P || ( FermatNo ` 4 )
                              /\ P <_ ( |_ ` ( sqrt ` ( FermatNo ` 4 ) ) ) )
                        -> ( P = ; 6 5 \/ P = ; ; 1 2 9 \/ P = ; ; 1 9 3 ) ) $=
      ( wcel c4 cfv wbr cle c6 cdc wceq c1 c2 c3 wa caddc co cmul wi 6nn0 4nn0
      c8 vk cprime cfmtno cdvds csqrt cfl c5 c9 w3o cv cexp cn cuz cz 2z 4z 2re
      wrex 4re 2lt4 ltleii eluz2 mpbir3an fmtnoprmfac2 mp3an1 wo cun elnnuz 4nn
      cfzo nnuz eleqtri fzouzsplit ax-mp eleq2i elun ctp fzo1to4tp bitri orbi1i
      vex eltp 3bitri 4p2e6 oveq2i 2exp6 eqtri oveq1i eqeq2i simpl oveq1 nn0cni
      deccl mulid2i eqtrdi oveq1d 4p1e5 eqid decsuc adantl eqtrd ex cc0 6cn 2cn
      2nn0 6t2e12 mulcomli eqcomi 4cn 4t2e8 decmul10add 1nn0 8nn0 8p1e9 addid2i
      0nn0 8cn decaddi 3nn0 6t3e18 mulcomi eqtr3i 4t3e12 2p1e3 decadd 3orim123d
      3cn 9nn0 a1i com13 wb clt cr nn0rei nn0zi adantr mpbid sylbi syl5bi breq1
      fmtno4sqrt breq2i wn w3a 6t4e24 4t4e16 decmul2c zre decnncl nngt0i pm3.2i
      lemul1 mp3an2i eqbrtrrid 5nn0 id zmulcld zleltp1 sylancr 3adant1 eluzelre
      biimpa remulcld peano2re ltnled pm2.21d sylbid jaoi com12 rexlimdv 3impia
      syl mpd ) AUBBZACUCDZUDEZAUVPUEDUFDZFEZAGUGHZIZAJKHZUHHZIZAJUHHZLHZIZUIZU
      VOUVQMZAUAUJZKCKNOZUKOZPOZJNOZIZUAULURZUVSUWHQZCKUMDBZUVOUVQUWPUWRKUNBCUN
      BZKCFEUOUPKCUQUSUTVAKCVBVCAUACVDVEUWIUWOUWQUAULUWJULBZUWIUWOUWQQZUWTUWJJI
      ZUWJKIZUWJLIZUIZUWJCUMDZBZVFZUWIUXAQUWTUWJJUMDZBUWJJCVJOZUXFVGZBZUXHUWJVH
      UXIUXKUWJCUXIBUXIUXKICULUXIVIVKVLJCVMVNVOUXLUWJUXJBZUXGVFUXHUWJUXJUXFVPUX
      MUXEUXGUXMUWJJKLVQZBUXEUXJUXNUWJVRVOUWJJKLUAWAWBVSVTVSWCUXHUWIUXAUWOAUWJG
      CHZPOZJNOZIZUXHUWIMUWQUWNUXQAUWMUXPJNUWLUXOUWJPUWLKGUKOUXOUWKGKUKWDWEWFWG
      WEWHWIUXHUXRUWQQZUWIUXEUXSUXGUVSUXRUXEUWHUXRUXEUWHQQUVSUXRUXBUWAUXCUWDUXD
      UWGUXRUXBUWAUXRUXBMAUXQUVTUXRUXBWJUXBUXQUVTIUXRUXBUXQUXOJNOUVTUXBUXPUXOJN
      UXBUXPJUXOPOUXOUWJJUXOPWKUXOUXOGCRSWMZWLWNWOWPGCUGUXORSWQUXOWRZWSWOWTXAXB
      UXRUXCUWDUXRUXCMAUXQUWCUXRUXCWJUXCUXQUWCIUXRUXCUXQUWBXCHZTNOZJNOUWCUXCUXP
      UYCJNUXCUXPKUXOPOUYCUWJKUXOPWKGCUWBTKRSXFKGPOUWBGKUWBXDXEXGXHXIKCPOTCKTXJ
      XEXKXHXIXLWOWPUWBTUHUYCJKXMXFWMZXNXOUWBXCTUYBTUYDXQXNUYBWRTXRXPXSWSWOWTXA
      XBUXRUXDUWGUXRUXDMAUXQUWFUXRUXDWJUXDUXQUWFIUXRUXDUXQJTHZXCHZUWBNOZJNOUWFU
      XDUXPUYGJNUXDUXPLUXOPOUYGUWJLUXOPWKGCUYEUWBLRSXTGLPOUYELGPOYAGLXDYHYBYCCL
      POUWBLCPOYDCLXJYHYBYCXLWOWPUWEKLUYGJUHXMYIWMXFYEUYEXCJKUWEKUYFUWBJTXMXNWM
      XQXMXFUYFWRUWBWRJTUHUYEXMXNXOUYEWRWSKXEXPYFWSWOWTXAXBYGYJYKUXGUXRUWQUVSAK
      UGHZGHZFEZUXGUXRMZUWHUVRUYIAFUUBUUCUYKUYJUXQUYIFEZUWHUXRUYJUYLYLUXGAUXQUY
      IFUUAWTUXGUYLUWHQUXRUXGUYLUWHUXGUYIUXQYMEZUYLUUDUXGUWSUWJUNBZCUWJFEZUUEUY
      MCUWJVBUYNUYOUYMUWSUYNUYOMZUYIUXPFEZUYMUYPUYICUXOPOZUXPFGCUYHGCJUXOSRSUYA
      RXMKCUGCGPOXFSWQGCKCHXDXJUUFXHWSUUGUUHUYNUYOUYRUXPFEZCYNBUYNUWJYNBUXOYNBZ
      XCUXOYMEZMZUYOUYSYLUSUWJUUIVUBUYNUYTVUAUXOUXTYOZUXOGCRVIUUJUUKUULYJCUWJUX
      OUUMUUNUVCUUOUYPUYIUNBUXPUNBZUYQUYMYLUYIUYHGKUGXFUUPWMRWMZYPUYNVUDUYOUYNU
      WJUXOUYNUUQUXOUNBUYNUXOUXTYPYJUURYQUYIUXPUUSUUTYRUVAYSUXGUYIUXQUYIYNBUXGU
      YIVUEYOYJUXGUXPYNBUXQYNBUXGUWJUXOCUWJUVBUYTUXGVUCYJUVDUXPUVEUVMUVFYRUVGYQ
      UVHYTXBUVIYQYTXBYSUVJUVKUVNUVL $.
  $}

  $( If P was a (prime) factor of the fourth Fermat number, it would be 193.
     (Contributed by AV, 28-Jul-2021.) $)
  fmtno4prmfac193 $p |- ( ( P e. Prime /\ P || ( FermatNo ` 4 )
                            /\ P <_ ( |_ ` ( sqrt ` ( FermatNo ` 4 ) ) ) )
                          -> P = ; ; 1 9 3 ) $=
    ( cprime wcel c4 cfv wbr c6 c5 cdc wceq c1 c9 c3 cmul co 1nn0 3nn 3nn0 eqid
    caddc cfmtno cdvds csqrt cfl cle w3a c2 w3o fmtno4prmfac wi 5nn decnncl 1nn
    1lt5 1lt10 declti nprmi 5nn0 5cn mulid1i oveq1i 5p1e6 eqtri 5t3e15 decmul2c
    eqtr4di eleq1d mtbiri pm2.21d 4nn0 4nn 1lt3 4t3e12 3t3e9 decmul1 ax-1 3jaoi
    id com12 3ad2ant1 mpd ) ABCZADUAEZUBFZAWCUCEUDEUEFZUFAGHIZJZAKUGIZLIZJZAKLI
    MIJZUHZWKAUIWBWDWLWKUJWEWLWBWKWGWBWKUJWJWKWGWBWKWGWBHKMIZNOZBCHWMWNUKKMPQUL
    UNKMKUMRPUOUPWNSUQWGAWNBWGAWFWNWGVRKMGHHKWMURPRWMSURPHKNOZKTOHKTOGWOHKTHUSU
    TVAVBVCVDVEVFVGVHVIWJWBWKWJWBDMIZMNOZBCWPMWQDMVJQULQDMKVKRPUOUPVLWQSUQWJAWQ
    BWJAWIWQWJVRDMWHLMWPRVJRWPSVMVNVOVFVGVHVIWKWBVPVQVSVTWA $.

  $( 193 is not a (prime) factor of the fourth Fermat number.  (Contributed by
     AV, 24-Jul-2021.) $)
  fmtno4nprmfac193 $p |- -. ; ; 1 9 3 || ( FermatNo ` 4 ) $=
    ( c1 c9 c3 c4 c6 c5 c7 1nn0 9nn0 deccl 3nn0 c2 co 5nn0 2nn0 7nn0 eqid caddc
    cdc c8 cfmtno cfv wbr cc0 3nn decnncl 1nn decnncl2 cmul 6nn0 4nn0 0nn0 8nn0
    cdvds mulid2i oveq1i 3p2e5 eqtri 9t3e27 decmul1c 3t3e9 decmul1 ax-1cn 5p1e6
    3cn 5cn addcomli 6p1e7 8cn 7cn 8p7e15 decaddc 7p7e14 decaddci decsuc 9p5e14
    4p1e5 7p1e8 9p3e12 decma2c 9cn 9p8e17 1p2e3 decaddi mulcomli decmul2c 2p1e3
    9t9e81 decadd addid1i 10pos 1lt9 declt decltc ndvdsi fmtno4 breq2i mtbir
    9nn ) ABSZCSZDUAUBZUNUCXAEFSZFSZCSZGSZUNUCXAXFCCSZBSZAASZUDSZWTCABHIJZUEUFX
    GBCCKKJZIJXIAAHUGUFUHXCDSZLSZGXIUDXEGXAXHUIMXJXMLXCDEFUJNJZUKJZOJPAAHHJZULX
    GBXNGXAAGSZCSZXHWTCXKKJZXLIXHQPXRCAGHPJZKJCCXRCXAXMLFTSZXGXSKKYAKXGQXSQXTOF
    TNUMJFGSZBGFXCDXACUIMZXRYBRMFGNPJZIPNWTCYCBCXAKXKKXAQZABFGCLWTKHIWTQZPOACUI
    MZLRMCLRMFYHCLRCVEUOUPUQURUSUTVAVBZAGFTGFXRYBHPNUMXRQYBQAFRMZARMEARMGYJEARF
    AEVFVCVDVGUPVHURNTGAFSVIVJVKVGVLEDFYCGRMUJUKVQFGDEYCGNPPYCQZVDUKVMVNVOUKVPV
    LYCBLYBYDCYEIKYIFGTYCNPVRYKVOOVSVNVTWTCXSGBLXAIXKKYFPOXRACWTBUIMLYAHOABXRAB
    TWTIHIYGHUMABUIMZTRMBTRMXRYLBTRBWAUOUPWBURWHUTWCWDBCLGSWAVEUSWEUTWFXJQXMLAA
    XDCXNXIXPOHHXNQXIQXCDFXMXOUKVQXMQVOWGWIGVJWJWIXIWTUDCXQXKULKWKAABHHWSWLWMWN
    WOXBXFXAUNWPWQWR $.

  $( The ` 4 `-th Fermat number (65537) is a prime (the _fifth Fermat prime_).
     (Contributed by AV, 28-Jul-2021.) $)
  fmtno4prm $p |- ( FermatNo ` 4 ) e. Prime $=
    ( vp c4 cfv cprime wcel c2 cdvds wbr co cexp c1 cn0 wceq 4nn0 ax-mp clt 2nn
    cn nnexpcl mp2an cfmtno cuz cv csqrt cfl cfz cin wral caddc fmtno nn0expcli
    wn 2nn0 cr 2re 1lt2 expgt1 mp3an eluz2b2 mpbir2an peano2uz eqeltri wa c9 c3
    cdc cle elinel2 adantr elinel1 elfzle2 syl fmtno4prmfac193 fmtno4nprmfac193
    simpr syl3anc breq1 mtbiri pm2.01da rgen isprm7 ) BUACZDEWBFUBCZEAUCZWBGHZU
    LZAFWBUDCUECZUFIZDUGZUHWBFFBJIZJIZKUIIZWCBLEZWBWLMNBUJOWKWCEZWLWCEWNWKREZKW
    KPHZFREZWJLEWOQFBUMNUKFWJSTFUNEWJREZKFPHWPUOWQWMWRQNFBSTUPFWJUQURWKUSUTFWKV
    AOVBWFAWIWDWIEZWEWSWEVCZWDKVDVFVEVFZMZWFWTWDDEZWEWDWGVGHZXBWSXCWEWDWHDVHVIW
    SWEVOWSXDWEWSWDWHEXDWDWHDVJWDFWGVKVLVIWDVMVPXBWEXAWBGHVNWDXAWBGVQVRVLVSVTAW
    BWAUT $.

  $( 65537 is a prime number (the _fifth Fermat prime_).  (Contributed by AV,
     28-Jul-2021.) $)
  65537prm $p |- ; ; ; ; 6 5 5 3 7 e. Prime $=
    ( c4 cfmtno cfv c6 c5 cdc c3 c7 cprime fmtno4 fmtno4prm eqeltrri ) ABCDEFEF
    GFHFIJKL $.

  $( The first five Fermat numbers are prime, see remark in [ApostolNT] p. 7.
     (Contributed by AV, 28-Jul-2021.) $)
  fmtnofz04prm $p |- ( N e. ( 0 ... 4 ) -> ( FermatNo ` N ) e. Prime ) $=
    ( cc0 c4 cfz co wcel wceq c1 w3o cfmtno cfv cprime cn0 wb fveq2 eqeltrdi c2
    cfzo c3 3jaoi el1fzopredsuc fmtno0prm ctp fmtno1prm fmtno2prm fmtno3prm syl
    4nn0 ax-mp eltpi fzo1to4tp eleq2s fmtno4prm sylbi ) ABCDEFZABGZAHCREZFZACGZ
    IZAJKZLFZCMFUOUTNUHACUAUIUPVBURUSUPVABJKLABJOUBPVBAHQSUCZUQAVCFAHGZAQGZASGZ
    IVBAHQSUJVDVBVEVFVDVAHJKLAHJOUDPVEVAQJKLAQJOUEPVFVASJKLASJOUFPTUGUKULUSVACJ
    KLACJOUMPTUN $.

  $( The first five Fermat numbers are prime.  (Contributed by AV,
     28-Jul-2021.) $)
  fmtnole4prm $p |- ( ( N e. NN0 /\ N <_ 4 ) -> ( FermatNo ` N ) e. Prime ) $=
    ( cn0 wcel c4 cle wbr wa cc0 cfz co cfmtno cprime simpl 4nn0 simpr elfz2nn0
    cfv a1i syl3anbrc fmtnofz04prm syl ) ABCZADEFZGZAHDIJCZAKQLCUDUBDBCZUCUEUBU
    CMUFUDNRUBUCOADPSATUA $.

  $( Lemma 1 for ~ fmtno5fac .  (Contributed by AV, 22-Jul-2021.) $)
  fmtno5faclem1 $p |- ( ; ; ; ; ; ; 6 7 0 0 4 1 7 x. 4 )
                      = ; ; ; ; ; ; ; 2 6 8 0 1 6 6 8 $=
    ( c6 c7 cdc cc0 c4 c1 c2 4nn0 6nn0 7nn0 deccl 0nn0 1nn0 eqid 8nn0 2nn0 cmul
    c8 co decaddi 6t4e24 4p2e6 7t4e28 decmul1c 4cn mul02i decmul1 0p1e1 mulid2i
    4t4e16 ) ABCZDCZDCZECZFCZBGACZRCZDCZFCZACZACREGUOBCZHUNFUMEULDUKDABIJKZLKZL
    KZHKZMKJVANOPUTEAUOEQSGUSAURFUQDUPRGAPIKOKLKZMKIKHPUNFUTEEUOHVEMUONUMEUSAEF
    UNHVDHUNNIMURDFUMEQSFVFLMULDURDEUMHVCLUMNUKDUQDEULHVBLULNABUPREGUKHIJUKNOPG
    EAAEQSGPHPUAUBTUCUDEUEUFZUGVGUGUHTUJUDEUEUIUGUBTUCUD $.

  $( Lemma 2 for ~ fmtno5fac .  (Contributed by AV, 22-Jul-2021.) $)
  fmtno5faclem2 $p |- ( ; ; ; ; ; ; 6 7 0 0 4 1 7 x. 6 )
                      = ; ; ; ; ; ; ; 4 0 2 0 2 5 0 2 $=
    ( c6 c7 cdc c4 c1 c2 6nn0 7nn0 deccl 0nn0 4nn0 1nn0 eqid 2nn0 cmul decmul1c
    cc0 co 6cn decmul1 c5 c3 3nn0 6t6e36 6p4e10 decaddci2 7t6e42 mul02i addid2i
    3p1e4 2cn decaddi 4cn 6t4e24 mulcomli mulid2i 4p1e5 ) ABCZQCZQCZDCZECZBDQCZ
    FCZQCZFCZUACZQCFADVBBCZGVAEUTDUSQURQABGHIZJIZJIZKIZLIHVHMNKVFDCZAVGVBAORDVF
    DVEFVDQVCFDQKJINIJIZNIZKIGKVAEVMAAVBGVLLVBMUTDVFDAFVAGVKKVAMKNVEQFUTAORFVNJ
    NUSQVEQAUTGVJJUTMURQVDQAUSGVIJUSMABVCFADURGGHURMNKUBADAAORDUCGKUDUJUEUFUGPA
    SUHZTVPTFUKUIULADFDCSUMUNUOPASUPTVFDUAVMEVOKLVMMUQULUEUFUGP $.

  $( Lemma 3 for ~ fmtno5fac .  (Contributed by AV, 22-Jul-2021.) $)
  fmtno5faclem3 $p |- ( ; ; ; ; ; ; ; ; 4 0 2 0 2 5 0 2 0
                          + ; ; ; ; ; ; ; 2 6 8 0 1 6 6 8 )
                      = ; ; ; ; ; ; ; ; 4 2 8 8 2 6 6 8 8 $=
    ( c4 cc0 cdc c2 c5 c6 c8 c1 4nn0 0nn0 2nn0 5nn0 6nn0 8nn0 1nn0 eqid addid2i
    deccl 2cn decadd decaddi 6cn 6p2e8 addcomli 8cn addid1i 5p1e6 ) ABCZDCZBCZD
    CZECZBCZDCZBDFCZGCZBCZHCZFCZFCZGADCZGCZGCZDCZFCZFCZGCGUNBCZUTGCZUMDULBUKEUJ
    DUIBUHDABIJRZKRZJRZKRZLRZJRZKRJUSFURFUQHUPBUOGDFKMRZNRZJRZORZMRZMRNVGPVHPUM
    DUSFVFGUNUTVNKVSMUNPUTPULBURFVEFUMUSVMJVRMUMPUSPUKEUQHVDFULURVLLVQOULPURPUJ
    DUPBVCDUKUQVKKVPJUKPUQPUIBUOGVBGUJUPVJJVONUJPUPPUHDDFVAGUIUOVIKKMUIPUOPABDU
    HDIJKUHPDSQUAFDGUBSUCUDZTGUEQZTDSUFTUGTFUBQTVTTWAT $.

  $( The factorisation of the ` 5 ` th Fermat number, see remark in [ApostolNT]
     p. 7.  (Contributed by AV, 22-Jul-2021.) $)
  fmtno5fac $p |- ( FermatNo ` 5 )
                  = ( ; ; ; ; ; ; 6 7 0 0 4 1 7 x. ; ; 6 4 1 ) $=
    ( c4 cc0 c2 c6 c8 c1 co c7 c9 cmul 4nn0 2nn0 deccl 8nn0 6nn0 0nn0 7nn0 eqid
    cdc decadd c5 caddc cfmtno cfv 1nn0 fmtno5faclem3 deceq1i 9nn0 6p1e7 decsuc
    8p1e9 8p6e14 decaddci 7cn 2cn 7p2e9 addcomli addid1i 8p4e12 decaddc addid2i
    6cn fmtno5faclem2 eqcomi fmtno5faclem1 decmul10add nn0cni mulid1i 3eqtr4ri
    fmtno5 ) ABSCSBSCSUASBSCSZBSCDSESBSFSDSDSESZUBGZBSZDHSZBSZBSZASZFSZHSZUBGAC
    SZISZASZISZDSZHSZCSZISZHSVTDASZFSJGUAUCUDWAESZESZCSZDSZDSZESZESZBVSHWHHVNVT
    WOEWNEWMDWLDWKCWJEWAEACKLMZNMZNMZLMZOMZOMZNMZNMPVRFVQAVPBVOBDHOQMZPMZPMZKMZ
    UEMZQVMWPBUFUGVTRWOEVRFWGIWPVSXCNXGUEWPRVSRWNEVQAWFCWOVRXBNXFKWORVRRWEDHWNV
    QUBGWDDWCIWBAWAIWQUHMKMUHMOMOUIWMDVPBWEDWNVQXAOXEPWNRVQRWLDVOBWDDWMVPWTOXDP
    WMRVPRWKCDHWCIWLVOWSLOQWLRVORWJEAWBWKDWRNOWKRWAEIWJWQNUKWJRUJKULUMHCIUNUOUP
    UQTDVBURZTXITUJLUSUTUKTHUNVATWIFVMVTVTDAOKMUEVSHXHQMZVTWIJGVMDAVKVLVTOKXJVT
    DJGVKVCVDVTAJGVLVEVDVFVDVTFJGVTVTVTXJVGVHVDVFVJVI $.

  $( The ` 5 ` th Fermat number is a not a prime.  (Contributed by AV,
     22-Jul-2021.) $)
  fmtno5nprm $p |- ( FermatNo ` 5 ) e/ Prime $=
    ( c5 cfmtno cfv cprime c6 c7 cdc cc0 c4 c1 6nn0 7nn0 0nn0 4nn0 1nn0 decnncl
    deccl 1nn 1lt10 declti 7nn 4nn cmul co fmtno5fac eqcomi nprmi nelir ) ABCZD
    EFGZHGZHGZIGZJGZFGZEIGZJGZUIUNFUMJULIUKHUJHEFKLQMQMQNQZOQUAPUPJEIKNQRPUNFJU
    MJURRPLOSTUPJJEIKUBPOOSTUIUOUQUCUDUEUFUGUH $.

  ${
    $d F p $.  $d G p $.
    prmdvdsfmtnof1lem1.i $e |- I = inf ( { p e. Prime | p || F } , RR , < ) $.
    prmdvdsfmtnof1lem1.j $e |- J = inf ( { p e. Prime | p || G } , RR , < ) $.
    $( Lemma 1 for ~ prmdvdsfmtnof1 .  (Contributed by AV, 3-Aug-2021.) $)
    prmdvdsfmtnof1lem1 $p |- ( ( F e. ( ZZ>= ` 2 ) /\ G e. ( ZZ>= ` 2 ) )
                              -> ( I = J
                                   -> ( I e. Prime /\ I || F /\ I || G ) ) ) $=
      ( wcel wa cdvds wbr cprime cr clt wi a1i cn sstri nfcv breq1 cuz cfv crab
      c2 cv cinf wceq w3a wor cfn c0 wne wss ltso eluz2nn adantr prmdvdsfi wrex
      exprmfct rabn0 sylibr ssrab2 prmssnn nnssre syl13anc eleq1i adantl nfrab1
      syl fiinfcl nfinf nfcxfr nfbr elrabf simp2l simp2r simp1r 3ad2ant3 mpbird
      wb 3jca 3exp syl5bi sylbi syl5bir mpd ) AUDUAUBZHZBWGHZIZEUEZAJKZELUCZMNU
      FZWMHZCDUGZCLHZCAJKZCBJKZUHZOZWJMNUIZWMUJHZWMUKULZWMMUMZWOXBWJUNPZWJAQHZX
      CWHXGWIAUOUPAEUQVIWJWLELURZXDWHXHWIAEUSUPWLELUTVAXEWJWMLMWLELVBLQMVCVDRZR
      PMWMNVJVEWOCWMHZWJXACWNWMFVFWJWKBJKZELUCZMNUFZXLHZXJXAOZWJXBXLUJHZXLUKULZ
      XLMUMZXNXFWJBQHZXPWIXSWHBUOVGBEUQVIWJXKELURZXQWIXTWHBEUSVGXKELUTVAXRWJXLL
      MXKELVBXIRPMXLNVJVEXNDXLHZWJXODXMXLGVFYAXOOWJYADLHZDBJKZIZXOXKYCEDLEDXMGE
      XLMNXKELVHEMSZENSZVKVLZELSZEDBJYGEJSZEBSVMWKDBJTVNXJWQWRIZYDXAWLWRECLECWN
      FEWMMNWLELVHYEYFVKVLZYHECAJYKYIEASVMWKCAJTVNYDYJWPWTYDYJWPUHZWQWRWSYDWQWR
      WPVOYDWQWRWPVPYLWSYCYBYCYJWPVQWPYDWSYCVTYJCDBJTVRVSWAWBWCWDPWEWFWEWF $.
  $}

  ${
    $d F m n $.  $d G m n $.  $d I m n $.
    $( Lemma 2 for ~ prmdvdsfmtnof1 .  (Contributed by AV, 3-Aug-2021.) $)
    prmdvdsfmtnof1lem2 $p |- ( ( F e. ran FermatNo /\ G e. ran FermatNo )
                        -> ( ( I e. Prime /\ I || F /\ I || G ) -> F = G ) ) $=
      ( vn vm cfmtno wcel wceq cn0 cprime w3a wi wa wn cn cgcd c1 wb eleq1 imp
      crn cv cfv wrex cdvds wbr fmtnorn 2a1 co fmtnonn ad2antrl adantr ad2antll
      2a1d mpbid wne simpll simplr fveq2 con3i adantl neqned goldbachth syl3anc
      weq eqeq12 notbid oveq12 eqeq1d imbi12d ancoms syl5ibcom com23 coprmdvds1
      impcom prmnn syl3anr1 1nprm pm2.21i syl6bi com12 a1d 3ad2ant1 mpd pm2.61i
      ex exp43 rexlimdva rexlimiv syl2anb ) AFUAZGDUBZFUCZAHZDIUDZEUBZFUCZBHZEI
      UDZCJGZCAUEUFZCBUEUFZKZABHZLZBWKGDAUGEBUGWOWSXEWNWSXELDIWLIGZWSWNXEXFWRWN
      XELZEIXDXFWPIGZMZWRXGLLXDXGXIWRXDWNXCUHUNXDNZXIWRWNXEXJXIMZWRWNMZMZAOGZBO
      GZABPUIZQHZXEXMWMOGZXNXKXRXLXFXRXJXHWLUJUKULWNXRXNRXKWRWMAOSUMUOXMWQOGZXO
      XKXSXLXHXSXJXFWPUJUMULWRXSXORXKWNWQBOSUKUOXKXLXQXIXJXLXQLXIXLXJXQXIWMWQHZ
      NZWMWQPUIZQHZLZXLXJXQLZXIYAYCXIYAMZXFXHWLWPUPYCXFXHYAUQXFXHYAURYFWLWPYADE
      VEZNXIYGXTWLWPFUSUTVAVBWPWLVCVDWFWNWRYDYERWNWRMZYAXJYCXQYHXTXDWMAWQBVFVGY
      HYBXPQWMAWQBPVHVIVJVKVLVMVOTXNXOXQKZXCXDYIXCMCQHZXDWTCOGZYIXAXBYJCVPYIYKX
      AXBKYJABCVNTVQXCYIYJXDLZWTXAYIYLLXBWTYLYIYJWTXDYJWTQJGZXDCQJSYMXDVRVSVTWA
      WBWCVOWDWFVDWGWEWHVMWITWJ $.
  $}

  ${
    $d F g h $.  $d f g h n p $.
    prmdvdsfmtnof.1 $e |- F = ( f e. ran FermatNo
                              |-> inf ( { p e. Prime | p || f } , RR , < ) ) $.
    $( The mapping of a Fermat number to its smallest prime factor is a
       function.  (Contributed by AV, 4-Aug-2021.)  (Proof shortened by II,
       16-Feb-2023.) $)
    prmdvdsfmtnof $p |- F : ran FermatNo --> Prime $=
      ( vn cfmtno cprime cv cr clt wcel cfv cn0 wrex wa a1i cuz cn syl sstri c0
      crn cdvds wbr crab cinf wceq fmtnorn wor cfn wne wss ltso fmtnoge3 adantr
      c2 c3 eleq1 adantl mpbid uzuzle23 eluz2nn prmdvdsfi exprmfct rabn0 sylibr
      wb 3syl ssrab2 prmssnn nnssre w3a fiinfcl sselid syl13anc rexlimiva sylbi
      fmpti ) AFUBZGCHAHZUCUDZCGUEZIJUFZBDVTVSKEHZFLZVTUGZEMNWCGKZEVTUHWFWGEMWD
      MKZWFOZIJUIZWBUJKZWBUAUKZWBIULZWGWJWIUMPWIVTUPQLKZVTRKWKWIVTUQQLZKZWNWIWE
      WOKZWPWHWQWFWDUNUOWFWQWPVGWHWEVTWOURUSUTVTVASZVTVBVTCVCVHWIWACGNZWLWIWNWS
      WRVTCVDSWACGVEVFWMWIWBGIWACGVIZGRIVJVKTTPWJWKWLWMVLOWBGWCWTIWBJVMVNVOVPVQ
      VR $.

    $( The mapping of a Fermat number to its smallest prime factor is a
       one-to-one function.  (Contributed by AV, 4-Aug-2021.) $)
    prmdvdsfmtnof1 $p |- F : ran FermatNo -1-1-> Prime $=
      ( vg vh vn cprime cv cfv wceq weq wcel wa cdvds wbr crab cr clt cn0 wf wi
      cfmtno crn wf1 wral prmdvdsfmtnof cinf cvv breq2 rabbidv infeq1d wor ltso
      id a1i infexd fvmptd3 eqeqan12d w3a c2 cuz wrex fmtnorn fmtnoge3 uzuzle23
      c3 adantr wb eleq1 adantl mpbid rexlimiva sylbi prmdvdsfmtnof1lem1 syl2an
      syl eqid prmdvdsfmtnof1lem2 syld sylbid rgen2 dff13 mpbir2an ) UCUDZHBUEW
      EHBUAEIZBJZFIZBJZKZEFLZUBZFWEUFEWEUFABCDUGWLEFWEWEWFWEMZWHWEMZNZWJCIZWFOP
      ZCHQZRSUHZWPWHOPZCHQZRSUHZKZWKWMWNWGWSWIXBWMAWFWPAIZOPZCHQZRSUHZWSWEBUIDA
      ELZRXFWRSXHXEWQCHXDWFWPOUJUKULWMUOWMRWRSRSUMZWMUNUPUQURWNAWHXGXBWEBUIDAFL
      ZRXFXASXJXEWTCHXDWHWPOUJUKULWNUOWNRXASXIWNUNUPUQURUSWOXCWSHMWSWFOPWSWHOPU
      TZWKWMWFVAVBJZMZWHXLMZXCXKUBWNWMGIZUCJZWFKZGTVCXMGWFVDXQXMGTXOTMZXQNXPXLM
      ZXMXRXSXQXRXPVGVBJMXSXOVEXPVFVQZVHXQXSXMVIXRXPWFXLVJVKVLVMVNWNXPWHKZGTVCX
      NGWHVDYAXNGTXRYANXSXNXRXSYAXTVHYAXSXNVIXRXPWHXLVJVKVLVMVNWFWHWSXBCWSVRXBV
      RVOVPWFWHWSVSVTWAWBEFWEHBWCWD $.
  $}

  ${
    $d f p $.
    $( The set of prime numbers is infinite.  The proof of this variant of
       ~ prminf is based on Goldbach's theorem ~ goldbachth (via
       ~ prmdvdsfmtnof1 and ~ prmdvdsfmtnof1lem2 ), see Wikipedia "Fermat
       number", 4-Aug-2021,
       ~ https://en.wikipedia.org/wiki/Fermat_number#Basic_properties .
       (Contributed by AV, 4-Aug-2021.) $)
    prminf2 $p |- Prime e/ Fin $=
      ( vf vp cfmtno crn cprime cv cdvds wbr crab cr clt cinf cmpt wf1 cfn wnel
      wi wn wcel sylbi eqid prmdvdsfmtnof1 ax-1 nnel fmtnoinf f1fi df-nel mpsyl
      wa pm2.21 ex pm2.61i ax-mp ) CDZEAUNBFAFGHBEIJKLMZNZEOPZAUOBUOUAUBUQUPUQQ
      ZUQUPUCUQREOSZUREOUDUSUPUQUNOPZUSUPUIUNOSZUQUEUNEUOUFUTVARVAUQQUNOUGVAUQU
      JTUHUKTULUM $.
  $}

  ${
    $d K m n p $.  $d k m p $.
    $( For ` ( ( 2 ^ k ) + 1 ) ` to be prime, ` k ` must be a power of 2, see
       Wikipedia "Fermat number", section "Other theorms about Fermat numbers",
       ~ https://en.wikipedia.org/wiki/Fermat_number , 5-Aug-2021.
       (Contributed by AV, 7-Aug-2021.) $)
    2pwp1prm $p |- ( ( K e. NN /\ ( ( 2 ^ K ) + 1 ) e. Prime )
                        -> E. n e. NN0 K = ( 2 ^ n ) ) $=
      ( cn wcel c2 cexp co c1 wa wceq cn0 cdvds wbr cmin clt cz adantl ad2antlr
      a1i adantr vp vm vk caddc cprime cv wrex csn cdif oddprmdvds adantlr cmul
      wn wi wb eldifi prmnn syl simpl nndivides syl2anr cneg cle 2re nnnn0 1le2
      cr expge1d 1zzd 2nn nnexpcld nnzd zleltp1 syl2anc mpbid nncnd 1cnd subneg
      cc breq2d mpbird nnred nnnn0d nn0mulcld 1red nnz zmulcld 1lt2 prmgt1 nnre
      cc0 nngt0 ltmulgt11 syl3anc ltexp2a syl32anc ltadd1dd eqcomd oveq2 oveq1d
      subnegd 3brtr3d cfzo csu neg1z zsubcld cfn fzofi elfzonn0 zexpcl fzonnsub
      syl2an nnm1nn0 fsumzcl neg1cn pwdif 2cnd expcld eqcoms expmuld eqtrd 1exp
      dvdsmul1 negeqd oddn2prm oexpneg oveq12d dvdsnprmd pm2.21d com23 impancom
      ex impl rexlimdva sylbid mpd pm2.18da ) BCDZEBFGZHUDGZUEDZIZBEAUFFGJAKUGZ
      UUBUUCUMZIUAUFZBLMZUAUEEUHZUIZUGZUUCYRUUDUUIUUAABUAUJUKUUBUUIUUCUNUUDUUBU
      UFUUCUAUUHUUBUUEUUHDZIZUUFUBUFZUUEULGZBJZUBCUGZUUCUUJUUECDZYRUUFUUOUOUUBU
      UJUUEUEDZUUPUUEUEUUGUPZUUEUQURZYRUUAUSUBUUEBUTVAUUKUUNUUCUBCUUBUUJUULCDZU
      UNUUCUNZYRUUJUUTIZUUAUVAYRUVBIZUUNUUAUUCUVCUUNUUAUUCUNUVCUUNIZUUAUUCUVDEU
      ULFGZHVBZNGZYTUVBHUVGOMZYRUUNUUTUVHUUJUUTUVHHUVEHUDGZOMZUUTHUVEVCMZUVJUUT
      EUULEVGDZUUTVDSUULVEZHEVCMUUTVFSVHUUTHPDUVEPDZUVKUVJUOUUTVIUUTUVEUUTEUULE
      CDZUUTVJSUVMVKZVLZHUVEVMVNVOUUTUVEVSDZHVSDZUVHUVJUOUUTUVEUVPVPZUUTVQZUVRU
      VSIUVGUVIHOUVEHVRVTVNWAQRUVDUVIEUUMFGZHUDGZUVGYTOUVBUVIUWCOMYRUUNUVBUVEUW
      BHUUTUVEVGDUUJUUTUVEUVPWBQUVBUWBUVBEUUMUVOUVBVJSUVBUULUUEUUTUULKDUUJUVMQZ
      UUJUUEKDZUUTUUJUUEUUSWCTZWDVKWBUVBWEUVBUVLUULPDZUUMPDHEOMZUULUUMOMZUVEUWB
      OMUVLUVBVDSUUTUWGUUJUULWFQZUVBUULUUEUWJUUJUUEPDZUUTUUJUUEUUSVLZTWGUWHUVBW
      HSUVBHUUEOMZUWIUUJUWMUUTUUJUUQUWMUURUUEWIURTUVBUULVGDZUUEVGDZWKUULOMZUWMU
      WIUOUUTUWNUUJUULWJQUUJUWOUUTUUJUUEUUSWBTUUTUWPUUJUULWLQUULUUEWMWNVOEUULUU
      MWOWPWQRUVBUVIUVGJZYRUUNUUTUWQUUJUUTUVGUVIUUTUVEHUVTUWAXAWRQRUUNUWCYTJUVC
      UUNUWBYSHUDUUMBEFWSWTQXBUVDUVGYTLMUVGUVEUUEFGZUVFUUEFGZNGZLMZUVDUXAUVGUVG
      WKUUEXCGZUVEUCUFZFGZUVFUUEUXCNGZHNGZFGZULGZUCXDZULGZLMZUVBUXKYRUUNUVBUVGP
      DZUXIPDUXKUUTUXLUUJUUTUVEUVFUVQUVFPDZUUTXESXFQUVBUXBUXHUCUXBXGDUVBWKUUEXH
      SUVBUXCUXBDZIZUXDUXGUVBUVNUXCKDUXDPDUXNUUTUVNUUJUVQQUXCUUEXIUVEUXCXJXLUXO
      UXMUXFKDZUXGPDUXMUXOXESUXOUXECDZUXPUXNUXQUVBUXCWKUUEXKQUXEXMURUVFUXFXJVNW
      GXNUVGUXIYCVNRUVBUXAUXKUOYRUUNUVBUWTUXJUVGLUVBUWEUVRUVFVSDZUWTUXJJUWFUUTU
      VRUUJUVTQUXRUVBXOSUVEUVFUCUUEXPWNVTRWAUVDYTUWTUVGLUVDYTYSUVFNGZUWTUVCYTUX
      SJZUUNYRUXTUVBYRUXSYTYRYSHYREBYRXQBVEXRYRVQXAWRTTUVDYSUWRUVFUWSNUVDYSUWBU
      WRUUNYSUWBJZUVCUYABUUMBUUMEFWSXSQUVBUWBUWRJYRUUNUVBEUULUUEUVBXQUWFUWDXTRY
      AUVBUVFUWSJZYRUUNUUJUYBUUTUUJUVFHUUEFGZVBZUWSUUJHUYCUUJUYCHUUJUWKUYCHJUWL
      UUEYBURWRYDUUJUWSUYDUUJUVSUUPEUUELMUMUWSUYDJUUJVQUUSUUEYEHUUEYFWNWRYATRYG
      YAVTWAYHYIYLYJYKYMYNYOYNTYPYQ $.
  $}

  ${
    $d K n $.  $d P n $.
    $( Every prime number of the form ` ( ( 2 ^ k ) + 1 ) ` must be a Fermat
       number.  (Contributed by AV, 7-Aug-2021.) $)
    2pwp1prmfmtno $p |- ( ( K e. NN /\ P = ( ( 2 ^ K ) + 1 ) /\ P e. Prime )
                          -> E. n e. NN0 P = ( FermatNo ` n ) ) $=
      ( cn wcel c2 cexp co c1 caddc wceq cprime w3a cv cn0 wrex cfmtno simp1 wi
      cfv eleq1 biimpa 3adant1 2pwp1prm syl2anc simpl oveq2 oveq1d adantl eqtrd
      wa fmtno eqcomd sylan9eqr exp32 com12 3ad2ant2 imp reximdva mpd ) CDEZAFC
      GHZIJHZKZALEZMZCFBNZGHZKZBOPZAVGQTZKZBOPVFVAVCLEZVJVAVDVERVDVEVMVAVDVEVMA
      VCLUAUBUCBCUDUEVFVIVLBOVFVGOEZVIVLSZVDVAVNVOSVEVNVDVOVNVDVIVLVDVIUKZVNAFV
      HGHZIJHZVKVPAVCVRVDVIUFVIVCVRKVDVIVBVQIJCVHFGUGUHUIUJVNVKVRVGULUMUNUOUPUQ
      URUSUT $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Mersenne primes
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

"In mathematics, a _Mersenne prime_ is a prime number that is one less than a
power of two.  That is, it is a prime number of the form M_n = 2^n-1 for some
integer n.  They are named after Marin Mersenne ...  If n is a composite number
then so is 2^n-1.  Therefore, an equivalent definition of the Mersenne primes
is that they are the prime numbers of the form M_p = 2^p-1 for some prime p.",
see Wikipedia "Mersenne prime", 16-Aug-2021,
~ https://en.wikipedia.org/wiki/Mersenne_prime . See also definition in
[ApostolNT] p. 4.

This means that if M_n = 2^n-1 is prime, than n must be prime, too, see
~ mersenne .  The reverse direction is not generally valid: If p is prime,
then M_p = 2^p-1 needs not be prime, e.g. M_11 = 2047 = 23 x 89, see
~ m11nprm .  This is an example of ~ sgprmdvdsmersenne , stating that if p
with p = 3 modulo 4 (here 11) and q=2p+1 (here 23) are prime, then q divides
M_p.

"In number theory, a prime number p is a _Sophie Germain prime_ if 2p+1 is also
prime.  The number 2p+1 associated with a Sophie Germain prime is called a
_safe prime_.", see Wikipedia "Safe and Sophie Germain primes", 21-Aug-2021,
~ https://en.wikipedia.org/wiki/Safe_and_Sophie_Germain_primes . Hence,
11 is a Sophie Germain prime and 2x11+1=23 is its associated safe prime.  By
~ sfprmdvdsmersenne , it is shown that if a safe prime q is congruent to 7
modulo 8, then it is a divisor of the Mersenne number with its matching Sophie
Germain prime as exponent.

The main result of this section, however, is the formal proof of a theorem of
S. Ligh and L. Neal in "A note on Mersenne numbers", see ~ lighneal .

$)

  $( The second Mersenne number M_2 = 3 is a prime number.  (Contributed by AV,
     16-Aug-2021.) $)
  m2prm $p |- ( ( 2 ^ 2 ) - 1 ) e. Prime $=
    ( c2 cexp co c1 cmin c3 cprime c4 sq2 oveq1i 4m1e3 eqtri 3prm eqeltri ) AAB
    CZDECZFGPHDECFOHDEIJKLMN $.

  $( The third Mersenne number M_3 = 7 is a prime number.  (Contributed by AV,
     16-Aug-2021.) $)
  m3prm $p |- ( ( 2 ^ 3 ) - 1 ) e. Prime $=
    ( c2 c3 cexp co c1 cmin c7 cprime c8 cu2 oveq1i wceq caddc 7p1e8 8cn ax-1cn
    7cn subadd2i mpbir eqtri 7prm eqeltri ) ABCDZEFDZGHUDIEFDZGUCIEFJKUEGLGEMDI
    LNIEGOPQRSTUAUB $.

  $( A condition equivalent to the floor of a square root.  (Contributed by AV,
     17-Aug-2021.) $)
  flsqrt $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ B e. NN0 )
                 -> ( ( |_ ` ( sqrt ` A ) ) = B
                      <-> ( ( B ^ 2 ) <_ A /\ A < ( ( B + 1 ) ^ 2 ) ) ) ) $=
    ( cr wcel cc0 cle wbr wa cn0 csqrt cfv wceq c1 co clt c2 cexp wb jca nn0red
    caddc cz resqrtcl nn0z flbi syl2an nn0re nn0ge0 sqrtsq eqcomd breq1d adantl
    cfl syl nn0sqcl sqge0d anim2i ancomd sqrtle peano2nn0 1red 0le1 a1i addge0d
    bitr4d sqrtsqd breq2d 2nn0 nn0expcld sqrtlt sylan2 anbi12d bitrd ) ACDEAFGH
    ZBIDZHZAJKZUMKBLZBVQFGZVQBMUANZOGZHZBPQNZAFGZAVTPQNZOGZHVNVQCDBUBDVRWBRVOAU
    CBUDVQBUEUFVPVSWDWAWFVPVSWCJKZVQFGZWDVOVSWHRVNVOBWGVQFVOBCDZEBFGZHZBWGLVOWI
    WJBUGZBUHZSWKWGBBUIUJUNUKULVPWCCDZEWCFGZHZVNHWDWHRVPVNWPVOWPVNVOWNWOVOWCBUO
    TVOBWLUPSUQURWCAUSUNVEVPWAVQWEJKZOGZWFVOWAWRRVNVOVTWQVQOVOWQVTVOVTVOVTBUTZT
    ZVOBMWLVOVAWMEMFGVOVBVCVDVFUJVGULVOVNWECDZEWEFGZHWFWRRVOXAXBVOWEVOVTPWSPIDV
    OVHVCVITVOVTWTUPSAWEVJVKVEVLVM $.

  $( The floor of the square root of a nonnegative number is 5 iff the number
     is between 25 and 35.  (Contributed by AV, 17-Aug-2021.) $)
  flsqrt5 $p |- ( ( X e. RR /\ 0 <_ X )
          -> ( ( ; 2 5 <_ X /\ X < ; 3 6 ) <-> ( |_ ` ( sqrt ` X ) ) = 5 ) ) $=
    ( cr wcel cc0 cle wbr wa cfv c5 c2 cexp co clt cdc c6 cmul sqvali eqtri a1i
    wb csqrt cfl wceq c1 caddc c3 cn0 5nn0 flsqrt mpan2 5cn 5t5e25 breq1i 5p1e6
    oveq1i 6cn 6t6e36 breq2i anbi12d bitr2d ) ABCDAEFGZAUAHUBHIUCZIJKLZAEFZAIUD
    UELZJKLZMFZGZJINZAEFZAUFONZMFZGVAIUGCVBVHTUHAIUIUJVAVDVJVGVLVDVJTVAVCVIAEVC
    IIPLVIIUKQULRUMSVGVLTVAVFVKAMVFOJKLZVKVEOJKUNUOVMOOPLVKOUPQUQRRURSUSUT $.

  $( 3 does not divide 4.  (Contributed by AV, 18-Aug-2021.) $)
  3ndvds4 $p |- -. 3 || 4 $=
    ( c3 c4 c1 3nn 1nn0 1nn cmul co caddc 3t1e3 oveq1i 3p1e4 eqtri 1lt3 ndvdsi
    ) ABCCDEFACGHZCIHACIHBPACIJKLMNO $.

  $( 139 is a prime number.  In contrast to ~ 139prm , the proof of this
     theorem uses ~ 3dvds2dec for checking the divisibility by 3.  Although the
     proof using ~ 3dvds2dec is longer (regarding size: 1849 characters
     compared with 1809 for ~ 139prm ), the number of essential steps is
     smaller (301 compared with 327 for ~ 139prm ).  (Contributed by Mario
     Carneiro, 19-Feb-2014.)  (Revised by AV, 18-Aug-2021.)
     (New usage is discouraged.)  (Proof modification is discouraged.) $)
  139prmALT $p |- ; ; 1 3 9 e. Prime $=
    ( c1 c3 cdc c9 1nn0 3nn0 c8 c4 9nn0 caddc co c7 c6 0nn0 6nn0 7nn0 cmul 2nn0
    cc0 c2 deccl 9nn decnncl 8nn0 4nn0 1lt8 3lt10 9lt10 3decltc 3nn 1lt10 4t2e8
    declti dec2dvds cdvds wbr 3ndvds4 3dvdsdec 3cn ax-1cn 3p1e4 addcomli breq2i
    df-9 bitri mtbir 3dvds2dec oveq1i 9cn 4cn 9p4e13 eqtri 4lt5 5p4e9 dec5dvds2
    4nn 7nn 6nn eqid dec0h 7cn mulid1i 6cn addid2i 7p6e13 9t7e63 mulcomli 6p3e9
    oveq12i decaddi decma2c 6lt7 ndvdsi 1nn 2cn oveq2i nncni 1p2e3 mulid2i 00id
    addid1i 7p2e9 3eqtri decmac 7lt10 nn0cni mul01i c5 5nn0 8p5e13 8t7e56 6lt10
    8cn 5cn 2p1e3 6t2e12 decsuc 8p1e9 6t3e18 decrmac 2nn prmlem2 ) ABCZDCZYCDAB
    EFUAZUBUCAGBHDAEUDFUEIEUFUGUHUIYCDAABEUJUCZIEUKUMYCHGDYEUEULVDUNBYDUOUPZBYC
    UOUPZYHBHUOUPZUQYHBABJKZUOUPYIABEFURYJHBUOBAHUSUTVAVBZVCVEVFYGBYJDJKZUOUPYH
    ABDEFIVGYLYCBUOYLHDJKYCYJHDJYKVHDHYCVIVJVKVBVLVCVEVFYCHDYEVPVMVNVOLYDADCZMV
    QADEIUAVRADSMLYCDMYMMEINOYMVSZMOVTZPIOLAQKZSMJKZJKLMJKZYCYPLYQMJLWAWBMWCWDZ
    WIWEVLMBDLDQKMOFODLMBCVIWAWFWGMBDWCUSWHVBZWJWKWLWMAACZYDATCZLAAEWNUCZATERUA
    VQATSLUUAYCDTUUBLERNPUUBVSLPVTZAAEEUAIRUUAAQKZSTJKZJKUUETJKYCUUFTUUEJTWOWDW
    PAABUUETEERUUAUUAUUCWQWBWRWJVLAASLTTDSUUALEENPUUAVSUUDRINATQKZSSJKZJKTSJKTU
    UGTUUHSJTWOWSZWTWITWOXAVLUUGLJKTLJKDSDCZUUGTLJUUIVHLTDWAWOXBVBDIVTZXCXDWKAA
    LWNEPXEUMWMYCYDASCZDYFASENUAUBASSDYCYCDSUULDENNIUULVSUUKYEINYCAQKZUUHJKYCSJ
    KYCUUMYCUUHSJYCYCYEXFZWBWTWIYCUUNXAVLYCSQKZDJKSDJKDUUJUUOSDJYCUUNXGVHDVIWDU
    UKXCWKABDWNFIUHUMWMALCZYDGBALEVQUCUDUJALSBGYCDXHUUPBEPNFUUPVSBFVTUDIXIAGQKZ
    SXHJKZJKGXHJKYCUUQGUURXHJGXMWSXHXNWDWIXJVLXHMDLGQKBXIOFGLXHMCXMWAXKWGWHWJXD
    ALBWNPFUGUMWMYMYDLMADEUBUCPVRADSMLYCDMYMMEINOYNYOPIOALQKZYQJKYRYCUUSLYQMJLW
    AWSYSWIWEVLMBDDLQKMOFOWFYTWJXDADMWNIOXLUMWMTBCZYDMATBRUJUCOWNTBMYCDAUUTARFE
    UUTVSOIEATBTMQKERXOMTUUBWCWOXPWGXQAGDBMQKEUDXRMBAGCWCUSXSWGXQXTTBAYAFEUKUMW
    MYB $.

  $( 31 is a prime number.  In contrast to ~ 37prm , the proof of this theorem
     is not based on the "blanket" ~ prmlem2 , but on ~ isprm7 .  Although the
     checks for non-divisibility by the primes 7 to 23 are not needed, the
     proof is much longer (regarding size) than the proof of ~ 37prm (1810
     characters compared with 1213 for ~ 37prm ).  The number of essential
     steps, however, is much smaller (138 compared with 213 for ~ 37prm ).
     (Contributed by AV, 17-Aug-2021.)  (Proof modification is discouraged.) $)
  31prm $p |- ; 3 1 e. Prime $=
    ( vn c3 c1 cprime wcel c2 cdvds wbr cfz co cz cle 3nn0 1nn0 ltleii c4 c5 wa
    wceq cc0 cdc cuz cfv cv wn csqrt cfl cin wral 2z deccl nn0zi 3nn c9 2re 9re
    2nn0 2lt9 declei eluz2 mpbir3an cpr cun wo elun elin elpr 0nn0 mul02i 1e0p1
    vex 2cn dec2dvds breq1 mtbiri 3ndvds4 caddc 3dvdsdec 3p1e4 bitri mtbir jaoi
    breq2i sylbi adantr wi eleq1 4nprm pm2.21i syl6bi 1nn 1lt5 dec5dvds a1d imp
    indir eleq2s c6 clt 5nn0 5re 5lt9 2lt3 decleh 6nn 1lt6 declt cr nn0rei 9pos
    wb 0re pm3.2i flsqrt5 bicomd ax-mp mpbir2an oveq2i w3a 5nn nnzi 3pm3.2i 3re
    3z 3lt5 elfz2 fzsplit df-3 fzpr 2p1e3 preq2i 3eqtri oveq1i df-5 4p1e5 eqtri
    4z uneq12i ineq1i rgen isprm7 ) BCUAZDEUUBFUBUCEZAUDZUUBGHZUEZAFUUBUFUCUGUC
    ZIJZDUHZUIUUCFKEZUUBKEFUUBLHUJUUBBCMNUKZULBCFUMNUQFUNUOUPUROUSFUUBUTVAUUFAU
    UIUUFUUDFBVBZPQVBZVCZDUHZUUIUUFUUDUULDUHZUUMDUHZVCZUUOUUDUUREUUDUUPEZUUDUUQ
    EZVDUUFUUDUUPUUQVEUUSUUFUUTUUSUUDUULEZUUDDEZRUUFUUDUULDVFUVAUUFUVBUVAUUDFSZ
    UUDBSZVDUUFUUDFBAVKZVGUVCUUFUVDUVCUUEFUUBGHBTTCMVHFVLVIVJVMUUDFUUBGVNVOUVDU
    UEBUUBGHZUVFBPGHZVPUVFBBCVQJZGHUVGBCMNVRUVHPBGVSWCVTWAUUDBUUBGVNVOWBWDWEWDU
    UTUUDUUMEZUVBRUUFUUDUUMDVFUVIUVBUUFUVIUUDPSZUUDQSZVDUVBUUFWFZUUDPQUVEVGUVJU
    VLUVKUVJUVBPDEZUUFUUDPDWGUVMUUFWHWIWJUVKUUFUVBUVKUUEQUUBGHBCMWKWLWMUUDQUUBG
    VNVOWNWBWDWOWDWBWDUULUUMDWPWQUUHUUNDUUHFQIJZFBIJZUVHQIJZVCZUUNUUGQFIUUGQSZF
    QUAUUBLHZUUBBWRUAWSHZFBQCUQMWTNQUNXAUPXBOXCXDBCWRMNXEXFXGUUBXHEZTUUBLHZRZUV
    RUVSUVTRZXKUWAUWBUUBUUKXIBCTUMNVHTUNXLUPXJOUSXMUWCUWDUVRUUBXNXOXPXQXRBUVNEZ
    UVNUVQSUWEUUJQKEZBKEZXSFBLHZBQLHZRUUJUWFUWGUJQXTYAYDYBUWHUWIFBUOYCXCOBQYCXA
    YEOXMBFQYFXQBFQYGXPUVOUULUVPUUMUVOFFCVQJZIJZFUWJVBZUULBUWJFIYHXRUUJUWKUWLSU
    JFYIXPUWJBFYJYKYLUVPPQIJPPCVQJZIJZUUMUVHPQIVSYMQUWMPIYNXRUWNPUWMVBZUUMPKEUW
    NUWOSYQPYIXPUWMQPYOYKYPYLYRYLYSWQYTAUUBUUAXQ $.

  $( The fifth Mersenne number M_5 = 31 is a prime number.  (Contributed by AV,
     17-Aug-2021.) $)
  m5prm $p |- ( ( 2 ^ 5 ) - 1 ) e. Prime $=
    ( c2 c5 cexp co c1 cmin c3 cdc cprime c4 3nn0 2nn0 1nn0 2exp5 3p1e4 decsubi
    2m1e1 31prm eqeltri ) ABCDZEFDGEHIGAEJTEKLMNOQPRS $.

  $( 127 is a prime number.  (Contributed by AV, 16-Aug-2021.)  (Proof
     shortened by AV, 16-Sep-2021.) $)
  127prm $p |- ; ; 1 2 7 e. Prime $=
    ( c1 c2 cdc c7 1nn0 2nn0 c8 7nn0 c3 c6 3nn0 cc0 cmul co caddc c9 eqtri eqid
    c5 5nn0 deccl 7nn decnncl c4 8nn0 4nn0 2lt10 7lt10 3decltc 2nn 1lt10 declti
    1lt8 3t2e6 df-7 dec2dvds cdvds wbr 3nn 3t3e9 oveq1i 9p1e10 ndvdsi 3dvds2dec
    1nn 1lt3 1p2e3 7p3e10 addcomli breq2i bitri mtbir 2lt5 5p2e7 dec5dvds2 0nn0
    7cn 3cn dec0h mulid1i 5cn addid2i oveq12i 7p5e12 6nn0 8t7e56 mulcomli 6p1e7
    8cn decaddi decma2c 1lt7 6nn nn0cni ax-1cn 1p1e2 6cn 6lt10 9nn0 9cn mulid2i
    10nn 9p3e12 9t3e27 addid1i decmac 3pos declt 7t7e49 9p8e17 decaddci decrmac
    8nn 4p1e5 8lt10 9nn 5p1e6 6p6e12 9t6e54 4p3e7 3lt9 2cn 5t2e10 dec10p 5t3e15
    1lt2 decltc prmlem2 ) ABCZDCZYIDABEFUAZUBUCAGBUDDAEUEFUFHEUMUGUHUIYIDAABEUJ
    UCZHEUKULYIIJDYKKUNUOUPIYJUQURZIALCZUQURZIYNIAUSKVEIIMNZAONPAONYNYPPAOUTVAV
    BQVFVCYMIABONZDONZUQURYOABDEFHVDYRYNIUQYRIDONYNYQIDOVGVADIYNVQVRVHVIQVJVKVL
    YIBDYKUJVMVNVODYJAGCZAUBAGEUEUAVEAGLADYIDSYSAEUEVPEYSRAEVSHHTDAMNZLSONZONDS
    ONZYIYTDUUASODVQVTSWAWBWCWDQSJDDGMNATWEEGDSJCWIVQWFWGWHWJWKWLVCAACZYJUUCJAA
    EVEUCAAEEUAZWMAALJUUCYIDAUUCJEEVPWEUUCRZJWEVSUUDHEUUCAMNZLAONZONUUCAONYIUUF
    UUCUUGAOUUCUUCUUDWNVTZAWOWBWCAABUUCAEEEUUEWPWJQAADUUFJEEWEUUHJADWQWOWHVIWJW
    KAAJVEEWEWRULVCAICZYJPYNAIEUSUCZWSXBAIALPYIDBUUIYNEKEVPUUIRZYNRWSHFAPMNZYQO
    NPIONYIUULPYQIOPWTXAVGWCXCQBDDIPMNLFHVPPIBDCWTVRXDWGDVQXEWJXFALIEVPUSXGXHVC
    ADCZYJDGADEUBUCHXMADDYIDSUUMGEHUEUUMRHHTADMNZSONUUBYIUUNDSODVQXAVAWDQUDPDSD
    DMNGUFWSUEXIXNHXJXKXLADGVEHUEXOULVCAPCZYJJUUIAPEXPUCWEUUJAPAIJYIDSUUOUUIEWS
    EKUUORUUKWEHTAJMNZASONZONJJONYIUUPJUUQJOJWQXASAJWAWOXQVIWCXRQSUDDPJMNITUFKX
    SXTWJXFAIPEKXPYAXHVCBICZYJSYIBIFUSUCTYLBIABSYIDAUURYIFKEFUURRYIRTHEBSMNZAAO
    NZONYNBONYIUUSYNUUTBOSBYNWAYBYCWGWPWCBYDQASDISMNBETFSIASCWAVRYEWGVNWJXFABBI
    EFFKUGYFYGVCYH $.

  $( The seventh Mersenne number M_7 = 127 is a prime number.  (Contributed by
     AV, 18-Aug-2021.) $)
  m7prm $p |- ( ( 2 ^ 7 ) - 1 ) e. Prime $=
    ( c2 c7 cexp co c1 cmin cdc cprime c8 1nn0 2nn0 deccl 8nn0 2exp7 2p1e3 eqid
    c3 decsuc wceq caddc 7p1e8 8cn ax-1cn subadd2i mpbir decsubi 127prm eqeltri
    7cn ) ABCDZEFDEAGZBGHUKIBEQGUJEEAJKLMJNEAQUKJKOUKPRIEFDBSBETDISUAIEBUBUCUIU
    DUEUFUGUH $.

  $( The eleventh Mersenne number M_11 = 2047 is not a prime number.
     (Contributed by AV, 18-Aug-2021.) $)
  m11nprm $p |- ( ( 2 ^ ; 1 1 ) - 1 ) = ( ; 8 9 x. ; 2 3 ) $=
    ( c2 c1 cdc co cc0 c4 c7 c8 c9 c3 cmul 2nn0 deccl 4nn0 8nn0 1nn0 eqid caddc
    c5 3nn0 cexp cmin 0nn0 2exp11 4p1e5 decsuc 8m1e7 decsubi 9nn0 7nn0 c6 2p2e4
    8t2e16 oveq12i 6nn0 1p1e2 6p4e10 eqtri 8t3e24 oveq1i nn0cni addid1i decma2c
    decaddci2 9t2e18 8p2e10 9t3e27 decmul2c decmul1c eqtr4i ) ABBCUADZBUBDAECZF
    CZGCHICZAJCZKDVMHGVLSCVKBVLFAELUCMZNMOPUDVLFSVMVPNUEVMQUFUGUHHIVMGVOVLVNAJL
    TMOUIVNQUJVPAJAEHVLFAVOVLLTLUCVOQZVLQONLHAKDZAARDZRDBUKCZFRDVLVRVTVSFRUMULU
    NBUKAVTFPUONVTQUPUQVDURHJKDZERDAFCZERDWBWAWBERUSUTWBWBAFLNMVAVBURVCAJVLGIAV
    OUILTVQUJLBHAIAKDAPOLVEUPVFVDVGVHVIVJ $.

  ${
    $d N z $.
    $( If a number is ` 3 ` modulo ` 4 ` , twice the number plus ` 1 ` is ` 7 `
       modulo ` 8 ` .  (Contributed by AV, 19-Aug-2021.) $)
    mod42tp1mod8 $p |- ( ( N e. ZZ /\ ( N mod 4 ) = 3 )
                         -> ( ( ( 2 x. N ) + 1 ) mod 8 ) = 7 ) $=
      ( vz cz wcel c4 cmo co c3 wceq c2 cmul c1 caddc c8 c7 a1i c6 eqtrd oveq1d
      cc0 cv wrex cn cn0 clt wbr wa 4nn 3nn0 3lt4 jctir modremain mpd3an23 2cnd
      wb simpr 4z zmulcld zcnd cc 3cn adddid 4cn mul12d 2cn 4t2e8 oveq2i eqtrdi
      mulcomli 3t2e6 oveq12d 8nn nnzi 6cn 1cnd addassd 6p1e7 oveq2d adantl cico
      id crp nnrp mp1i cxr 0xr 8re rexri 7re cle 7pos ltleii elicod muladdmodid
      0re 7lt8 oveq2 eqeq1d syl5ibcom rexlimdva sylbid imp ) ACDZAEFGHIZJAKGZLM
      GZNFGZOIZXCXDBUAZEKGZHMGZAIZBCUBZXHXCEUCDZHUDDZHEUEUFZUGXDXMUOXNXCUHPXCXO
      XPXOXCUIPUJUKBEHAULUMXCXLXHBCXCXICDZUGZJXKKGZLMGZNFGZOIXLXHXRYAXINKGZOMGZ
      NFGZOXRXTYCNFXRXTYBQMGZLMGZYCXRXSYELMXRXSJXJKGZJHKGZMGYEXRJXJHXRUNZXRXJXR
      XIEXCXQUPZECDXRUQPURUSHUTDXRVAPVBXRYGYBYHQMXRYGXIJEKGZKGYBXRJXIEYIXRXIYJU
      SEUTDXRVCPVDYKNXIKEJNVCVEVFVIVGVHYHQIXRHJQVAVEVJVIPVKRSXQYFYCIXCXQYFYBQLM
      GZMGYCXQYBQLXQYBXQXINXQWANCDXQNVLVMPURUSQUTDXQVNPXQVOVPXQYLOYBMYLOIXQVQPV
      RRVSRSXQYDOIZXCXQNWBDZOTNVTGDYMNUCDYNXQVLNWCWDXQTNOTWEDXQWFPNWEDXQNWGWHPO
      WEDXQOWIWHPTOWJUFXQTOWOWIWKWLPONUEUFXQWPPWMONXIWNUMVSRXLYAXGOXLXTXFNFXLXS
      XELMXKAJKWQSSWRWSWTXAXB $.
  $}

  ${
    $d P m $.  $d Q m $.
    $( If ` Q ` is a safe prime (i.e. ` Q = ( ( 2 x. P ) + 1 ) ` for a prime
       ` P ` ) with ` Q == 7 ` (mod ` 8 ` ), then ` Q ` divides the ` P `-th
       Mersenne number M_P. (Contributed by AV, 20-Aug-2021.) $)
    sfprmdvdsmersenne $p |- ( ( P e. Prime /\ ( Q e. Prime
                               /\ ( Q mod 8 ) = 7 /\ Q = ( ( 2 x. P ) + 1 ) ) )
                              -> Q || ( ( 2 ^ P ) - 1 ) ) $=
      ( wcel cmo co wceq c2 c1 cexp cmin wbr wi wa wb cz adantr a1i clt cc ex
      vm cprime c8 c7 cmul caddc cdvds cpr wo olc cvv ovex elprg mp1i clgs 2lgs
      mpbird ad2antlr cv wn wrex csn cdif 2z wne simpr cr 2re 2m1e1 prmnn nnred
      1lt2 prmgt1 mulgt1d eqbrtrid 1red nnmulcld ltsubaddd mpbid ad2antrr breq2
      cn 2nn adantl gtned eldifsn sylanbrc lgsqrmodndvds sylancr cdiv 1cnd 2cnd
      nncnd mulcld subadd2d cc0 prmz peano2zm zcnd 2cnne0 divmul2 syl3anc eqcom
      syl 3bitr4rd biimpa oveq2 cn0 crp zsqcl oveq1 oveq1d pncan1 2ne0 divcan3d
      eqtrd nnnn0d eqeltrd jca modexp syl211anc divcan2d eqcomd oveq2d ad3antlr
      nnrpd zcn 2nn0 expmuld eqtr2d vfermltl ad5ant245 eqeqan12d 1mod sylan9eqr
      id syl2anc com23 syld syl5 ad4antlr zexpcl ad4antr 1zzd impd mpd rexlimdv
      moddvds sylbid sylbird 3imp2 ) AUBCZBUBCZBUCDEZUDFZBGAUEEZHUFEZFZBGAIEZHJ
      EUGKZUULUUMUUOUURUUTLLUULUUMMZUURUUOUUTUVAUURUUOUUTLUUOUUNHUDUHCZUVAUURMZ
      UUTUUOUVBUUNHFZUUOUIZUUOUVDUJUUNUKCUVBUVENUUOBUCDULUUNHUDUKUMUNUQUVCUVBGB
      UOEHFZUUTUUMUVFUVBNUULUURBUPURUVCUVFUAUSZGIEZBDEGBDEFZBUVGUGKUTZMZUAOVAZU
      UTUVCGOCZBUBGVBVCCZUVFUVLLVDUVCUUMBGVEUVNUVAUUMUURUULUUMVFPUVCGBGVGCZUVCV
      HQUVCGBRKZGUUQRKZUULUVQUUMUURUULGHJEZUUPRKUVQUULUVRHUUPRVIUULGAUVOUULVHQZ
      UULAAVJZVKHGRKUULVLQAVMVNVOUULGHUUPUVSUULVPUULUUPUULGAGWBCUULWCQUVTVQVKVR
      VSVTUURUVPUVQNUVABUUQGRWAWDUQWEBUBGWFWGUAGBWHWIUVCUVKUUTUAOUVCBHJEZGWJEZA
      FZUVGOCZUVKUUTLZLZUVAUURUWCUVAUWAUUPFZUUQBFZUWCUURUVABHUUPUUMBSCUULUUMBBV
      JZWMWDUVAWKUULUUPSCZUUMUULGAUULWLZUULAUVTWMZWNZPWOUVAUWASCZASCZGSCGWPVEZM
      ZUWCUWGNUUMUWNUULUUMUWAUUMBOCUWAOCBWQBWRXDWSZWDUULUWOUUMUWLPUWQUVAWTQUWAA
      GXAXBUURUWHNUVABUUQXCQXEXFUWCGUWBIEZUUSFZUVCUWFUWBAGIXGUVCUWDUWTUWEUVCUWD
      UWTUWELUVCUWDMZUVKUWTUUTUXAUVIUVJUWTUUTLZUXAUVJUVIUXBUXAUVJUVIUXBLUXAUVJM
      ZUVIUVHUWBIEZBDEZUWSBDEZFZUXBUXAUVIUXGLUVJUXAUVIUXGUXAUVIMZUVHOCZUVMUWBXH
      CZBXICZMZUVIUXGUWDUXIUVCUVIUVGXJURUVMUXHVDQUVCUXLUWDUVIUVCUXJUXKUVCUWBAXH
      UVCUWBUUQHJEZGWJEZAUVCUWAUXMGWJUURUWAUXMFUVABUUQHJXKWDXLUULUXNAFUUMUURUUL
      UXNUUPGWJEAUULUXMUUPGWJUULUWJUXMUUPFUWMUUPXMXDXLUULAGUWLUWKUWPUULXNQXOXPV
      TXPUULAXHCZUUMUURUULAUVTXQZVTXRZUUMUXKUULUURUUMBUWIYFURXSVTUXAUVIVFUVHGUW
      BBXTYATPUXCUWTUXGUUTUXCUWTUXGUUTLUXCUWTMUXGHUUSBDEZFZUUTUXCUWTUXEHUXFUXRU
      XCUXEUVGUWAIEZBDEZHUXAUXEUYAFUVJUXAUXDUXTBDUXAUXTUVGGUWBUEEZIEZUXDUUMUXTU
      YCFUULUURUWDUUMUWAUYBUVGIUUMUYBUWAUUMUWAGUWRUUMWLUWPUUMXNQYBYCYDYEUXAUVGG
      UWBUWDUVGSCUVCUVGYGWDUVCUXJUWDUXQPGXHCUXAYHQYIYJXLPUUMUWDUVJUYAHFUULUURUV
      GBYKYLXPUWSUUSBDXKYMUXAUXSUUTLUVJUWTUXAUXSUUTUXAUXSMZUXRHBDEZFZUUTUXSUXAU
      XRHUYEUXSHUXRUXSYPYCUUMHUYEFUULUURUWDUUMUYEHUUMBVGCHBRKUYEHFUUMBUWIVKBVMB
      YNYQYCYEYOUYDBWBCZUUSOCZHOCUYFUUTNUUMUYGUULUURUWDUXSUWIUUAUULUYHUUMUURUWD
      UXSUULUVMUXOUYHVDUXPGAUUBWIUUCUYDUUDUUSHBUUHXBVSTVTUUITYRYSTYRUUEYRTYRYTU
      UFUUGYSUUJYTTYRTUUK $.
  $}

  $( If ` P ` is a Sophie Germain prime (i.e. ` Q = ( ( 2 x. P ) + 1 ) ` is
     also prime) with ` P == 3 ` (mod ` 4 ` ), then ` Q ` divides the ` P `-th
     Mersenne number M_P. (Contributed by AV, 20-Aug-2021.) $)
  sgprmdvdsmersenne $p |- ( ( ( P e. Prime /\ ( P mod 4 ) = 3 )
                              /\ ( Q = ( ( 2 x. P ) + 1 ) /\ Q e. Prime ) )
                            -> Q || ( ( 2 ^ P ) - 1 ) ) $=
    ( cprime wcel c4 cmo co c3 wceq wa c2 cmul c1 caddc c8 cexp cmin cdvds wbr
    c7 simpll simprr oveq1 adantr prmz mod42tp1mod8 sylan9eqr sfprmdvdsmersenne
    cz sylan simprl syl13anc ) ACDZAEFGHIZJZBKALGMNGZIZBCDZJZJUMURBOFGZTIUQBKAP
    GMQGRSUMUNUSUAUOUQURUBUSUOUTUPOFGZTUQUTVAIURBUPOFUCUDUMAUIDUNVATIAUEAUFUJUG
    UOUQURUKABUHUL $.

  $( Lemma 1 for ~ lighneal .  (Contributed by AV, 11-Aug-2021.) $)
  lighneallem1 $p |- ( ( P = 2 /\ M e. NN /\ N e. NN )
                     -> ( ( 2 ^ N ) - 1 ) =/= ( P ^ M ) ) $=
    ( c2 wceq cn wcel w3a cexp co c1 cmin cdvds wbr wn wne cz 2z iddvdsexp wb
    simp2 sylancr oveq1 breq2d 3ad2ant1 mpbird mpan notnotd nnnn0 nnexpcld nnzd
    2nn a1i oddm1even syl mtbid 3ad2ant3 nbrne1 syl2anc necomd ) ADEZBFGZCFGZHZ
    ABIJZDCIJZKLJZVDDVEMNZDVGMNZOZVEVGPVDVHDDBIJZMNZVDDQGZVBVLRVAVBVCUADBSUBVAV
    BVHVLTVCVAVEVKDMADBIUCUDUEUFVCVAVJVBVCDVFMNZOZVIVCVNVMVCVNRDCSUGUHVCVFQGVOV
    ITVCVFVCDCDFGVCULUMCUIUJUKVFUNUOUPUQDVEVGMURUSUT $.

  ${
    $d M k $.  $d N k $.  $d P k $.
    $( Lemma 2 for ~ lighneal .  (Contributed by AV, 13-Aug-2021.) $)
    lighneallem2 $p |- ( ( ( P e. ( Prime \ { 2 } ) /\ M e. NN /\ N e. NN )
                           /\ 2 || N
                           /\ ( ( 2 ^ N ) - 1 ) = ( P ^ M ) ) -> M = 1 ) $=
      ( c2 wcel cn wbr cexp co c1 cmin wceq wi wa a1i c3 cle cr 3ad2ant1 clt vk
      cprime csn cdif cdvds cv cmul wrex wb evennn2n 3ad2ant3 oveq2 eqcoms 2cnd
      w3a nncn mulcomd oveq2d cn0 2nn0 nnnn0 expmuld eqtrd adantl oveq1d eqeq1d
      sylan9eqr cuz cfv wo elnn1uz2 cc 2cn exp1 ax-mp eqtrdi c4 sq2 4m1e3 eqtri
      oveq1i adantr eqcom eldifi prmnn nnre 3syl 3ad2ant2 reexpcld simpr syl5bi
      eqled ex clog cdiv cfl crp nnred prmgt1 jca syl nnz 3rp efexple oddprmge3
      syl3anc eluzle nnrp logled mpbid relogcl rplogcl divle1le sylancr fldivle
      mpbird relogcld wne cc0 nnrpd 1red gtned logne0 redivcld flcld zred nnge1
      letr letri3d bitr2id biimpd mpand syld expd mpan2d mpid sylbid sq1 eqcomi
      cz oveq2i caddc eluzge2nn0 nn0expcld 1nn0 1p1e2 eluz2gt1 2re 1zzd eluzelz
      eqeq1i ltexp2d eqbrtrid anim12i 3adant3 difsqpwdvds syl31anc 2t1e2 breq2i
      1lt2 prmuz2 dvdsprm sylancl syl5bb eldifsn eqneqall com12 simplbiim sylbi
      2prm jaoi impcom rexlimdva2 3imp ) AUBDUCZUDEZBFEZCFEZUOZDCUEGZDCHIZJKIZA
      BHIZLZBJLZUVSUVTDUAUFZUGIZCLZUAFUHZUWDUWEMZUVRUVPUVTUWIUIUVQUACUJUKUVSUWH
      UWJUAFUVSUWFFEZNZUWHNZUWDDUWFHIZDHIZJKIZUWCLZUWEUWMUWBUWPUWCUWMUWAUWOJKUW
      HUWLUWADUWGHIZUWOUWAUWRLCUWGCUWGDHULUMUWKUWRUWOLUVSUWKUWRDUWFDUGIZHIUWOUW
      KUWGUWSDHUWKDUWFUWKUNZUWFUPUQURUWKDUWFDUWTDUSEZUWKUTOUWFVAVBVCVDVGVEVFUWL
      UWQUWEMZUWHUWKUVSUXBUWKUWFJLZUWFDVHVIZEZVJUVSUXBMZUWFVKUXCUXFUXEUXCUVSUXB
      UXCUVSNUWQPUWCLZUWEUXCUWQUXGUIUVSUXCUWPPUWCUXCUWPDDHIZJKIZPUXCUWOUXHJKUXC
      UWNDDHUXCUWNDJHIZDUWFJDHULDVLEUXJDLVMDVNVOZVPVEVEUXIVQJKIPUXHVQJKVRWAVSVT
      VPVFWBUVSUXGUWEMUXCUVSUXGUWCPQGZUWEUXGUWCPLZUVSUXLPUWCWCUVSUXMUXLUVSUXMNU
      WCPUVSUWCREUXMUVSABUVPUVQAREZUVRUVPAUBEZAFEZUXNAUBUVOWDZAWEZAWFWGSUVQUVPB
      USEZUVRBVAZWHWIWBUVSUXMWJWLWMWKUVSUXLBPWNVIZAWNVIZWOIZWPVIZQGZUWEUVSUXNJA
      TGZNZBYTEZPWQEZUXLUYEUIUVPUVQUYGUVRUVPUXOUYGUXQUXOUXNUYFUXOAUXRWRAWSZWTZX
      ASUVQUVPUYHUVRBXBWHUYIUVSXCOAPBXDXFUVSUYEUYCJQGZUWEUVSUYLUYAUYBQGZUVPUVQU
      YMUVRUVPPAQGZUYMUVPAPVHVIEUYNAXEPAXGXAUVPPAUYIUVPXCOUVPUXOUXPAWQEZUXQUXRA
      XHZWGXIXJSUVSUYAREZUYBWQEZUYLUYMUIUYIUYQXCPXKVOZUVPUVQUYRUVRUVPUXOUYGUYRU
      XQUYKAXLWGSZUYAUYBXMXNXPUVSUYEUYDUYCQGZUYLUWEMZUVSUYQUYRVUAUYSUYTUYAUYBXO
      XNUVSUYEVUANZBUYCQGZVUBUVSBREZUYDREZUYCREZVUCVUDMUVQUVPVUEUVRBWFZWHZUVPUV
      QVUFUVRUVPUYDUVPUYCUVPUYAUYBUYQUVPUYSOUVPUXOUXPUYBREUXQUXRUXPAUYPXQWGUVPU
      XOUYOAJXRZNUYBXSXRUXQUXOUYOVUJUXOAUXRXTUXOJAUXOYAUYJYBWTAYCWGYDZYEYFSUVPU
      VQVUGUVRVUKSZBUYDUYCYHXFUVSVUDUYLUWEUVSVUDUYLNZBJQGZUWEUVSVUEVUGJREVUMVUN
      MVUIVULUVSYABUYCJYHXFUVQUVPVUNUWEMUVRUVQJBQGZVUNUWEBYGUVQVUOVUNNZUWEUWEJB
      LUVQVUPBJWCUVQJBUVQYAVUHYIYJYKYLWHYMYNYMYOYPYQYMVDYQWMUXEUVSUXBUWQUWOJDHI
      ZKIZUWCLZUXEUVSNZUWEUWPVURUWCJVUQUWOKVUQJYRYSUUAUUKVUSUWCVURLZVUTUWEVURUW
      CWCVUTVVAADJUGIZUEGZUWEVUTUWNUSEZJUSEZJJUUBIZUWNTGZUXOUXSNZVVAVVCMUXEVVDU
      VSUXEDUWFUXAUXEUTOUWFUUCUUDWBVVEVUTUUEOUXEVVGUVSUXEVVFUXJUWNTVVFDUXJUUFUX
      JDUXKYSVTUXEJUWFTGUXJUWNTGUWFUUGUXEDJUWFDREUXEUUHOUXEUUIDUWFUUJJDTGUXEUUT
      OUULXJUUMWBUVSVVHUXEUVPUVQVVHUVRUVPUXOUVQUXSUXQUXTUUNUUOVDUWNJABUUPUUQUVS
      VVCUWEMZUXEUVPUVQVVIUVRUVPVVCADLZUWEVVCADUEGZUVPVVJVVBDAUEUURUUSUVPAUXDEZ
      DUBEVVKVVJUIUVPUXOVVLUXQAUVAXAUVJDAUVBUVCUVDUVPUXOADXRZVVJUWEMAUBDUVEVVJV
      VMUWEUWEADUVFUVGUVHYQSVDYMWKWKWMUVKUVIUVLWBYQUVMYQUVN $.

    $d M j k $.  $d N j k $.  $d P j k $.
    $( Lemma 3 for ~ lighneal .  (Contributed by AV, 11-Aug-2021.) $)
    lighneallem3 $p |- ( ( ( P e. ( Prime \ { 2 } ) /\ M e. NN /\ N e. NN )
                            /\ ( -. 2 || N /\ 2 || M )
                            /\ ( ( 2 ^ N ) - 1 ) = ( P ^ M ) ) -> M = 1 ) $=
      ( c2 wcel cn cdvds wbr wa cexp co c1 cmin wceq wi cc wb syl adantr cmul
      vj vk cprime csn cdif w3a oveq2 2cn exp1 ax-mp eqtrdi oveq1d 2m1e1 adantl
      wn eqeq1d cz cn0 prmnn nnnn0 3syl nn0zd iddvdsexp sylan breq2 dvds1 eleq1
      eldifi 1nprm pm2.21i syl6bi syl5com sylbid ad2antrr sylbird ex mpid com23
      a1d 3adant3 3imp cv caddc wrex cuz cfv wne neqne anim2i sylibr oddge22np1
      eluz2b3 3ad2antl3 eqcoms a1i 2nn0 nn0mulcld expp1d nn0expcld nn0cnd eqtrd
      npcan1 eqcomd oveq2d peano2cnm 1cnd adddid mulcld ax-1cn addsubassd 2t1e2
      mulcomd mulcli oveq1i 3eqtrd ad2antlr sylan9eqr 3ad2ant1 3ad2ant2 subadd2
      eqtri 3jca cc0 cfz nncn pwm1geoser cdiv subcld fzfid elfznn0 fsumzcl zcnd
      csu crp 2rp syl3anc wo sylbi 2prm breq2d rpcnne0d divmul2 2nn id nnmulcld
      div23 syl2anc notnotd oddm1even mtbid notbid ad4ant14 elnn0 eldifsn simpr
      necomd neneqd simpl prmdvdsexpb mp3an2i mtbird exp0d sylan9eq mtbiri jaoi
      n2dvds1 syl11 imp chash nnm1nn0 hashfz0 npcand eqtr2d evensumodd oddn2prm
      biimpa olcd oddm1d2 mpbid euclemma mpbird pm2.24d exp31 com34 com24 com25
      rexlimdva impd pm2.61d ) AUCDUDZUEEZBFEZCFEZUFZDCGHUOZDBGHZIZDCJKZLMKZABJ
      KZNZUFCLNZBLNZUWNUWQUXAUXBUXCOZUWKUWLUWQUXAUXDOZOUWMUWKUWLIZUXEUWQUXFUXBU
      XAUXCUXFUXBUXAUXCOZUXFUXBIZUXALUWTNZUXCUXHUWSLUWTUXBUWSLNUXFUXBUWSDLMKZLU
      XBUWRDLMUXBUWRDLJKZDCLDJUGDPEZUXKDNUHDUIUJUKULUMUKUNUPUXFUXIUXCOUXBUXFUXI
      AUWTGHZUXCUWKAUQEZUWLUXMUWKAUWKAUCEZAFEZAUREZAUCUWJVHZAUSZAUTVAZVBZABVCVD
      UXFUXIUXMUXCOUXFUXIIUXMALGHZUXCUXIUYBUXMQUXFLUWTAGVEUNUWKUYBUXCOUWLUXIUWK
      UYBALNZUXCUWKUXQUYBUYCQUXTAVFRUWKUXOUYCUXCUXRUYCUXOLUCEZUXCALUCVGUYDUXCVI
      VJVKVLVMVNVOVPVQSVMVPVRVSVTWAUWNUWQUXAUXBUOZUXCOZUWNUWOUWPUXAUYFOUWNUYEUW
      PUXAUWOUXCUWNUYEUWPUXAUWOUXCOOOUWNUYEIZUWOUXAUWPUXCUYGUWODUAWBZTKZLWCKZCN
      ZUAFWDZUXAUWPUXCOOZUWMUWKUYEUWOUYLQZUWLUWMUYEIZCDWEWFEZUYNUYOUWMCLWGZIUYP
      UYEUYQUWMCLWHWICWLWJUACWKRWMUWNUYLUYMOUYEUWNUYLUWPUXAUXCUWNUYKUWPUXGOUAFU
      WNUYHFEZIZUWPUYKUXGUYSUWPUYKUXGUYSUWPIZUYKIZUXADDUYIJKZLMKZTKZLWCKZUWTNZU
      XCVUAUWSVUEUWTUYKUYTUWSDUYJJKZLMKZVUEUWSVUHNCUYJCUYJNUWRVUGLMCUYJDJUGULWN
      UYRVUHVUENUWNUWPUYRVUHDVUBTKZLMKVUDDLTKZWCKZLMKZVUEUYRVUGVUILMUYRVUGVUBDT
      KVUIUYRDUYIUXLUYRUHWOZUYRDUYHDUREUYRWPWOZUYHUTWQZWRUYRVUBDUYRVUBUYRDUYIVU
      NVUOWSZWTZVUMXLXAULUYRVUIVUKLMUYRVUIDVUCLWCKZTKVUKUYRVUBVURDTUYRVURVUBUYR
      VUBPEZVURVUBNVUQVUBXBRXCXDUYRDVUCLVUMUYRVUSVUCPEZVUQVUBXERZUYRXFZXGXAULUY
      RVULVUDVUJLMKZWCKVUEUYRVUDVUJLUYRDVUCVUMVVAXHZVUJPEUYRDLUHXIXMWOVVBXJUYRV
      VCLVUDWCVVCLNUYRVVCUXJLVUJDLMXKXNUMYAWOXDXAXOXPXQUPUYTVUFUXCOUYKUYTVUFUWT
      LMKZVUDNZUXCUYTUWTPEZLPEZVUDPEZUFZVVFVUFQUYSVVJUWPUYSVVGVVHVVIUWNVVGUYRUW
      NUWTUWNABUWKUWLUXQUWMUXTXRZUWLUWKBUREUWMBUTXSZWSWTSUYSXFUYRVVIUWNVVDUNYBS
      UWTLVUDXTRUYTVVFALMKZYCBLMKZYDKZAUBWBZJKZUBYMZTKZVUDNZUXCUYSVVFVVTQUWPUYS
      VVEVVSVUDUWNVVEVVSNUYRUWNAUBBUWKUWLAPEZUWMUWKUXOUXPVWAUXRUXSAYEVAZXRZVVLY
      FSUPSUYTVVTVVSDYGKZVUCNZUXCUYTVVSPEVUTUXLDYCWGIZVWEVVTQUYTVVMVVRUYTALUWNV
      WAUYRUWPVWCVNUYTXFZYHZUWNVVRPEZUYRUWPUWNVVRUWNVVOVVQUBUWNYCVVNYIUWNVVPVVO
      EZIZVVQVWKAVVPUWNUXQVWJVVKSVWJVVPUREZUWNVVPVVNYJZUNWSVBZYKYLVNZXHUYTVUBLU
      YRVUSUWNUWPVUQXPVWGYHUYTDDYNEUYTYOWOUUAZVVSVUCDUUBYPUYTVWEVVMDYGKZVVRTKZV
      UCNZUXCUYTVWDVWRVUCUYTVVMPEVWIVWFVWDVWRNVWHVWOVWPVVMVVRDUUFYPUPUYTVWSDVUC
      GHZUOZUXCUYRVXAUWNUWPUYRDVUBGHZUOZVWTUYRVXBUYRDUQEUYIFEVXBUYRDVUNVBUYRDUY
      HDFEUYRUUCWOUYRUUDUUEDUYIVCUUGUUHUYRVUBUQEVXCVWTQUYRVUBVUPVBVUBUUIRUUJXPU
      YTVWSVXAUXCOUYTVWSIVXADVWRGHZUOZUXCVWSVXEVXAQUYTVWSVXDVWTVWRVUCDGVEUUKUNU
      YTVXEUXCOVWSUYTVXDUXCUYTVXDDVWQGHZDVVRGHZYQZUYTVXGVXFUYTVVOVVQUBUYTYCVVNY
      IUWNVWJVVQUQEUYRUWPVWNUULUYTVWJDVVQGHZUOZUWNVWJVXJOZUYRUWPUWKUWLVXKUWMVWL
      UWKVXJVWJVWLVVPFEZVVPYCNZYQUWKVXJOZVVPUUMVXLVXNVXMVXLUWKVXJVXLUWKIZVXIDAN
      ZVXODAUWKDAWGZVXLUWKUXOADWGZIZVXQAUCDUUNVXSADUXOVXRUUOUUPYRUNUUQDUCEZVXOU
      XOVXLVXIVXPQYSUWKUXOVXLUXRUNVXLUWKUURDAVVPUUSUUTUVAVPVXMUWKVXJVXMUWKIZVXI
      DLGHUVFVYAVVQLDGVXMUWKVVQAYCJKLVVPYCAJUGUWKAVWBUVBUVCYTUVDVPUVEYRVWMUVGXR
      VNUVHUYSUWPDVVOUVIWFZGHUYSBVYBDGUWNBVYBNZUYRUWLUWKVYCUWMUWLVYBVVNLWCKZBUW
      LVVNUREVYBVYDNBUVJVVNUVKRUWLBLBYEUWLXFUVLUVMXSSYTUVPUVNUVQUWNVXDVXHQZUYRU
      WPUWNVXTVWQUQEZVVRUQEZUFZVYEUWKUWLVYHUWMUXFVXTVYFVYGVXTUXFYSWOUWKVYFUWLUW
      KDAGHUOZVYFAUVOUWKUXNVYIVYFQUYAAUVRRUVSSUXFVVOVVQUBUXFYCVVNYIUXFVWJIZVVQV
      YJAVVPUWKUXQUWLVWJUXTVNVWJVWLUXFVWMUNWSVBYKYBVTDVWQVVRUVTRVNUWAUWBSVOVPVQ
      VMVOVMVOSVMUWCVRUWGUWDSVMUWEVPUWFUWHWAUWI $.
  $}

  $( Lemma 1 for ~ lighneallem4 .  (Contributed by AV, 16-Aug-2021.) $)
  lighneallem4a $p |- ( ( A e. ( ZZ>= ` 2 ) /\ M e. ( ZZ>= ` 3 )
                          /\ S = ( ( ( A ^ M ) + 1 ) / ( A + 1 ) ) )
                        -> 2 <_ S ) $=
    ( c2 wcel c3 co c1 cle wbr cmul cr 2re a1i syl adantr cn0 adantl cc0 wb cuz
    cfv cexp caddc cdiv wceq wa eluzelre peano2re remulcld eluzge2nn0 eluzge3nn
    w3a nnnn0d nn0expcld nn0red 1red eluz2nn leadd2dd eluzelcn 2timesd breqtrrd
    nnge1d clt 2pos pm3.2i 3jca lemul2 mpbid cc 2cn mulassd cmin c4 sq2 eqeltri
    4re nn0sqcl cn nnm1nn0 2nn0 eluzle leexp1a syl12anc 2p1e3 eqbrtrid leaddsub
    mp3an2i cz 2z eluzelz peano2zm eluz2gt1 leexp2d letrd sqvali eqcomi eluz2n0
    0le2 wne expm1d eqcomd 3brtr4d remulcli nngt0d jca lemuldiv mpbird eqbrtrrd
    lep1d nnnn0 nn0p1gt0 3syl 3adant3 breq2 3ad2ant3 ) ADUAUBEZCFUAUBEZBACUCGZH
    UDGZAHUDGZUEGZUFZUMDBIJZDYBIJZXQXRYEYCXQXRUGZDYAKGZXTIJZYEYFYGXSXTXQYGLEXRX
    QDYADLEZXQMNZXQALEZYALEZDAUHZAUIOZUJPZYFXSYFACXQAQEZXRAUKZPZXRCQEXQXRCCULZU
    NRUOUPZYFXSLEZXTLEZYTXSUIOZYFYGDDAKGZKGZXSYOXQUUELEXRXQDUUDYJXQDAYJYMUJZUJP
    YTYFYAUUDIJZYGUUEIJZXQUUGXRXQYAAAUDGUUDIXQHAAXQUQYMYMXQAAURZVCUSXQADAUTZVAV
    BPYFYLUUDLEZYISDVDJZUGZUMZUUGUUHTXQUUNXRXQYLUUKUUMYNUUFUUMXQYIUULMVEVFNVGPY
    AUUDDVHOVIYFDDKGZAKGZUUEXSIYFDDADVJEYFVKNZUUQXQAVJEXRUUJPZVLYFUUPXSIJZUUOXS
    AUEGZIJZYFDDUCGZACHVMGZUCGZUUOUUTIYFUVBADUCGZUVDUVBLEYFUVBVNLVOVQVPNXQUVELE
    XRXQUVEXQYPUVEQEYQAVROUPPYFUVDYFAUVCYRXRUVCQEZXQXRCVSEUVFYSCVTORUOUPYFYIYKD
    QEZUMZSDIJZDAIJZUVBUVEIJXQUVHXRXQYIYKUVGYJYMUVGXQWANVGPUVIYFWSNXQUVJXRDAWBP
    DADWCWDYFDUVCIJZUVEUVDIJXRUVKXQXRDHUDGZCIJZUVKXRUVLFCIWEFCWBWFYIXRHLECLEUVM
    UVKTMXRUQFCUHDHCWGWHVIRYFADUVCXQYKXRYMPDWIEYFWJNXRUVCWIEZXQXRCWIEZUVNFCWKZC
    WLORXQHAVDJXRAWMPWNVIWOUUOUVBUFYFUVBUUODVKWPWQNYFUVDUUTYFACUURXQASWTXRAWRPX
    RUVOXQUVPRXAXBXCUUOLEYFUUAYKSAVDJZUGZUUSUVATDDMMXDYTXQUVRXRXQYKUVQYMXQAUUIX
    EXFPUUOXSAXGWHXHXIWOYFXSYTXJWOYIYFUUBYLSYAVDJZUGZYHYETMUUCXQUVTXRXQYLUVSYNX
    QAVSEYPUVSUUIAXKAXLXMXFPDXTYAXGWHVIXNYCXQYDYETXRBYBDIXOXPXH $.

  ${
    $d A k $.  $d M k $.
    $( Lemma 2 for ~ lighneallem4 .  (Contributed by AV, 16-Aug-2021.) $)
    lighneallem4b $p |- ( ( A e. ( ZZ>= ` 2 ) /\ M e. ( ZZ>= ` 2 )
                            /\ -. 2 || M )
                 -> sum_ k e. ( 0 ... ( M - 1 ) ) ( ( -u 1 ^ k ) x. ( A ^ k ) )
                    e. ( ZZ>= ` 2 ) ) $=
      ( c2 wcel cdvds wbr cz cc0 c1 co cexp cle a1i wa cn0 c3 wceq wi cc cuz wn
      cfv w3a cmin cfz cneg cv csu 2z fzfid neg1z elfznn0 zexpcl sylancr adantl
      cmul eluzge2nn0 adantr nn0expcld nn0zd zmulcld fsumzcl 3adant3 caddc cdiv
      simp1 3z eluzelz 3ad2ant2 eluz2 clt wo 2re zre leloed zltp1le mpan biimpd
      cr wb df-3 breq1i syl6ibr com13 z2even breq2 mpbii pm2.24d a1d jaoi com12
      sylbid imp 3adant1 sylbi syl3anbrc eluzelcn 3ad2ant1 cn simp3 oddpwp1fsum
      eluz2nn eqcomd wne nn0cnd peano2cn syl zcnd peano2nnd nncnd nnne0d divmul
      jca syl3anc mpbird lighneallem4a ) ADUAUCZEZCXREZDCFGZUBZUDZDHEZICJUEKZUF
      KZJUGZBUHZLKZAYHLKZUQKZBUIZHEZDYLMGZYLXREYDYCUJNXSXTYMYBXSXTOZYFYKBYOIYEU
      KYOYHYFEZOZYIYJYPYIHEZYOYPYGHEYHPEZYRULYHYEUMZYGYHUNUOUPYQYJYQAYHYOAPEZYP
      XSUUAXTAURUSZUSYPYSYOYTUPUTVAVBVCVDZYCXSCQUAUCEZYLACLKZJVEKZAJVEKZVFKZRYN
      XSXTYBVGYCQHEZCHEZQCMGZUUDUUIYCVHNXTXSUUJYBDCVIVJXTYBUUKXSXTYBUUKXTYDUUJD
      CMGZUDYBUUKSZDCVKUUJUULUUMYDUUJUULUUMUUJUULDCVLGZDCRZVMZUUMUUJDCDVTEUUJVN
      NCVOVPUUPUUJUUMUUNUUJUUMSUUOYBUUJUUNUUKUUJUUNUUKSSYBUUJUUNDJVEKZCMGZUUKUU
      JUUNUURYDUUJUUNUURWAUJDCVQVRVSQUUQCMWBWCWDNWEUUOUUMUUJUUOYAUUKUUODDFGYAWF
      DCDFWGWHWIWJWKWLWMWNWOWPWNWOQCVKWQYCUUHYLYCUUHYLRZUUGYLUQKZUUFRZYCUUFUUTY
      CABCXSXTATEYBDAWRWSXTXSCWTEYBCXCVJXSXTYBXAXBXDYCUUFTEZYLTEUUGTEZUUGIXEZOZ
      UUSUVAWAXSXTUVBYBYOUUETEUVBYOUUEYOACUUBXTCPEXSCURUPUTXFUUEXGXHVDYCYLUUCXI
      XSXTUVEYBXSUVCUVDXSUUGXSAAXCXJZXKXSUUGUVFXLXNWSUUFYLUUGXMXOXPXDAYLCXQXODY
      LVKWQ $.
  $}

  ${
    $d M k n $.  $d N k n $.  $d P k n $.
    $( Lemma 3 for ~ lighneal .  (Contributed by AV, 16-Aug-2021.) $)
    lighneallem4 $p |- ( ( ( P e. ( Prime \ { 2 } ) /\ M e. NN /\ N e. NN )
                           /\ ( -. 2 || N /\ -. 2 || M )
                           /\ ( ( 2 ^ N ) - 1 ) = ( P ^ M ) ) -> M = 1 ) $=
      ( vk c2 wcel cn cdvds wbr wn wa cexp co c1 wceq wi 3ad2ant1 adantr syl cz
      vn cprime csn cdif w3a cmin caddc cc wb 2cnd nnnn0 expcld 3ad2ant3 eldifi
      1cnd prmnn nncn 3syl cn0 3ad2ant2 3jca subadd2 cc0 cfz cneg cv csu simpl2
      cmul simpr oddpwp1fsum eqeq1d peano2nn nnzd fzfid neg1z a1i zexpcl syl2an
      elfznn0 nnz zmulcld fsumzcl jca ad2antrr dvdsmul2 adantl 2a1 wrex cuz cfv
      breq2 2prm prmuz2 wne df-ne eluz2b3 simplbi2 syl5bir impcom lighneallem4b
      com12 syl3anc dvdsprmpweqnn mp3an2i 2z iddvdsexp sylan nn0expcld nn0zd ex
      simprr impel cpr nn0z m1expcl2 ovex elpr n2dvdsm1 mtbiri n2dvds1 jaoi a1d
      sylbi mpcom elnn0 oddn2prm prmdvdsexp mp3an2ani mtbird expcom oveq2 exp0d
      wo eqtrd breq2d ioran sylanbrc mpan sylbid euclemma chash nnm1nn0 hashfz0
      npcan1 eqtr2d notbid biimpd impr oddsumodd pm2.21d sylbird mpid rexlimdva
      syld exp32 impd pm2.61i mpd adantld 3imp ) AUBEUCZUDFZBGFZCGFZUEZECHIJZEB
      HIZJZKECLMZNUFMABLMZOZBNOZUVFUVIUVLUVMPZUVGUVFUVIUVNUVFUVIKZUVLUVKNUGMZUV
      JOZUVMUVOUVJUHFZNUHFZUVKUHFZUEZUVLUVQUIUVFUWAUVIUVFUVRUVSUVTUVEUVCUVRUVDU
      VEECUVEUJCUKZULUMUVFUOUVFABUVCUVDAUHFZUVEUVCAUBFZAGFZUWCAUBUVBUNZAUPZAUQU
      RZQZUVDUVCBUSFUVEBUKUTULVARUVJNUVKVBSUVOUVQANUGMZVCBNUFMZVDMZNVEZDVFZLMZA
      UWNLMZVIMZDVGZVIMZUVJOZUVMUVOUVPUWSUVJUVOADBUVFUWCUVIUWIRUVCUVDUVEUVIVHUV
      FUVIVJVKVLUVOUWTUVMUVOUWTKZUWRUWSHIZUVMUXAUWJTFZUWRTFZKZUXBUVFUXEUVIUWTUV
      FUXCUXDUVCUVDUXCUVEUVCUWDUWEUXCUWFUWGUWEUWJAVMVNURQUVFUWLUWQDUVFVCUWKVOUV
      FUWNUWLFZKUWOUWPUVFUWMTFZUWNUSFZUWOTFZUXFUXGUVFVPVQUWNUWKVTZUWMUWNVRZVSUV
      FATFZUXHUWPTFZUXFUVCUVDUXLUVEUVCUWDUWEUXLUWFUWGAWAURZQUXJAUWNVRVSWBWCWDWE
      UWJUWRWFSUXAUXBUWRUVJHIZUVMUWTUXBUXOUIUVOUWSUVJUWRHWLWGUVOUXOUVMPZUWTUVMU
      VOUXPPUVMUVOUXOWHUVMJZUVFUVIUXPUVFUXQUVIUXPPUVFUXQUVIUXPUVFUXQUVIKZKZUXOU
      WREUAVFZLMZOZUAGWIZUVMEUBFZUXSUWREWJWKZFZCUSFZUXOUYCPWMUXSAUYEFZBUYEFZUVI
      UYFUVFUYHUXRUVCUVDUYHUVEUVCUWDUYHUWFAWNSQRUXRUVFUYIUXQUVFUYIPUVIUVFUXQUYI
      UVDUVCUXQUYIPUVEUXQBNWOZUVDUYIBNWPUYIUVDUYJBWQWRWSUTXBRWTUVFUXQUVIXLADBXA
      XCUVFUYGUXRUVEUVCUYGUVDUWBUMRUWREUACXDXEUXSUYBUVMUAGUXSUXTGFZKZUYBEUYAHIZ
      UVMUXSETFZUYKUYMUYNUXSXFVQEUXTXGXHUYLUYBUYMUVMPUYLUYBKUYMEUWRHIZUVMUYBUYO
      UYMUIUYLUWRUYAEHWLWGUYLUYOUVMPUYBUYLUYOUVMUYLUWLUWQDUYLVCUWKVOUYLUXHUWQTF
      ZUXFUVFUXHUYPPZUXRUYKUVCUVDUYQUVEUVCUWDUWEUYQUWFUWGUWEUXHUYPUWEUXHKZUWOUW
      PUWEUXGUXHUXIUXGUWEVPVQUXKXHUYRUWPUYRAUWNUWEAUSFZUXHAUKZRUWEUXHVJXIXJWBXK
      URQWEUXJXMUYLUXHEUWQHIZJZUXFUVFUXHVUBPZUXRUYKUVCUVDVUCUVEUVCUXHVUBUVCUXHK
      ZVUAEUWOHIZEUWPHIZYNZVUDVUEJZVUFJZVUGJUXHVUHUVCUWOUWMNXNFZUXHVUHUXHUWNTFV
      UJUWNXOUWNXPSVUJUWOUWMOZUWONOZYNZUXHVUHPUWOUWMNUWMUWNLXQXRVUMVUHUXHVUKVUH
      VULVUKVUEEUWMHIXSUWOUWMEHWLXTVULVUEENHIZYAUWONEHWLXTYBYCYDYEWGUXHUVCVUIUX
      HUWNGFZUWNVCOZYNUVCVUIPZUWNYFVUOVUQVUPUVCVUOVUIUVCVUOKVUFEAHIZUVCVURJVUOA
      YGRUYDUVCUXLVUOVUOVUFVURUIWMUXNUVCVUOVJAEUWNYHYIYJYKVUPUVCVUIVUPUVCKZVUFV
      UNYAVUSUWPNEHVUSUWPAVCLMZNVUPUWPVUTOUVCUWNVCALYLRVUSAUVCUWCVUPUWHWGYMYOYP
      XTXKYBYDWTVUEVUFYQYRUYDVUDUXIUXMVUAVUGUIWMUXHUXIUVCUXGUXHUXIVPUXKYSWGVUDU
      WPVUDAUWNUVCUYSUXHUVCUWDUWEUYSUWFUWGUYTURRUVCUXHVJXIXJEUWOUWPUUAXEYJXKQWE
      UXJXMUXSEUWLUUBWKZHIZJZUYKUVFUXQUVIVVCUVFUXQKZUVIVVCVVDUVHVVBVVDBVVAEHUVF
      BVVAOZUXQUVDUVCVVEUVEUVDVVAUWKNUGMZBUVDUWKUSFVVAVVFOBUUCUWKUUDSUVDBUHFVVF
      BOBUQBUUESUUFUTRYPUUGUUHUUIRUUJUUKRUULXKUUMUUNUUOUUPXBUUQUURRYTUUSXKYTYTX
      KUUTUVA $.
  $}

  $( If a power of a prime ` P ` (i.e. ` P ^ M ` ) is of the form
     ` 2 ^ N - 1 ` , then ` N ` must be prime and ` M ` must be ` 1 ` .
     Generalization of ~ mersenne (where ` M = 1 ` is a prerequisite).  Theorem
     of S. Ligh and L. Neal (1974) "A note on Mersenne mumbers", Mathematics
     Magazine, 47:4, 231-233.  (Contributed by AV, 16-Aug-2021.) $)
  lighneal $p |- ( ( ( P e. Prime /\ M e. NN /\ N e. NN )
                     /\ ( ( 2 ^ N ) - 1 ) = ( P ^ M ) )
                   -> ( M = 1 /\ N e. Prime ) ) $=
    ( cprime wcel cn w3a c2 cexp co c1 wceq wa wi wne 3exp cdvds wbr com24 wn
    cmin lighneallem1 eqneqall syl5com a1d cdif lighneallem2 com3r lighneallem3
    csn eldifsn com14 expcomd lighneallem4 pm2.61d com13 sylbir pm2.61ine 3imp1
    expcom wb oveq2 eqeq2d adantl cc prmnn nncnd 3ad2ant1 exp1d cz nnz 3ad2ant3
    simpl1 eleq1 mpbird mersenne syl2an2r ex sylbid adantr impancom jcai ) ADEZ
    BFEZCFEZGZHCIJKUAJZABIJZLZMBKLZCDEZWCWDWEWIWJWCWDWEWIWJNZNNZNAHAHLZWMWCWNWD
    WEWLWNWDWEGWGWHOWIWJABCUBWJWGWHUCUDPUEWCAHOZWMWCWOMADHUJUFEZWMADHUKWEWDWPWL
    WEHCQRZWDWPWLNZNWEWPWDWQWLWPWDWEWQWLNZWPWDWEWSWPWDWEGZWQWIWJABCUGPPUHSWDWQT
    ZWEWRWDHBQRZXAWEWRNZNWDXAXBXCWPXAXBMZWEWDWLWPWDWEXDWLWPWDWEXDWLNWTXDWIWJABC
    UIPPSULUMWDXAXBTZXCWPXAXEMZWEWDWLWPWDWEXFWLWPWDWEXFWLNWTXFWIWJABCUNPPSULUMU
    OUPUOUPUQUTURUSWFWJWIWKWFWJMWIWGAKIJZLZWKWJWIXHVAWFWJWHXGWGBKAIVBVCVDWFXHWK
    NWJWFXHWGALZWKWFXGAWGWFAWCWDAVEEWEWCAAVFVGVHVIVCWFXIWKWFCVJEZXIWGDEZWKWEWCX
    JWDCVKVLWFXIMXKWCWCWDWEXIVMXIXKWCVAWFWGADVNVDVOCVPVQVRVSVTVSWAWB $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Proth's theorem
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    modexp2m1d.a $e |- ( ph -> A e. ZZ ) $.
    modexp2m1d.e $e |- ( ph -> E e. RR+ ) $.
    modexp2m1d.g $e |- ( ph -> 1 < E ) $.
    modexp2m1d.m $e |- ( ph -> ( A mod E ) = ( -u 1 mod E ) ) $.
    $( The square of an integer which is -1 modulo a number greater than 1 is 1
       modulo the same modulus.  (Contributed by AV, 5-Jul-2020.) $)
    modexp2m1d $p |- ( ph -> ( ( A ^ 2 ) mod E ) = 1 ) $=
      ( c2 cexp co cmo c1 cneg cmul zcnd oveq1d wcel a1i eqtrd wceq cz neg1z cr
      sqvald modmul12d neg1mulneg1e1 clt wbr rpred 1mod syl2anc ) ABHIJZCKJZLMZ
      UNNJZCKJZLAUMBBNJZCKJUPAULUQCKABABDOUDPABUNBUNCDUNUAQAUBRZDUREGGUESAUPLCK
      JZLAUOLCKUOLTAUFRPACUCQLCUGUHUSLTACEUIFCUJUKSS $.
  $}

  ${
    proththd.n $e |- ( ph -> N e. NN ) $.
    proththd.k $e |- ( ph -> K e. NN ) $.
    proththd.p $e |- ( ph -> P = ( ( K x. ( 2 ^ N ) ) + 1 ) ) $.
    $( Lemma for ~ proththd .  (Contributed by AV, 4-Jul-2020.) $)
    proththdlem $p |- ( ph -> ( P e. NN /\ 1 < P
                                /\ ( ( P - 1 ) / 2 ) e. NN ) ) $=
      ( c2 co c1 wceq cn wcel clt wbr cmin cdiv w3a a1i cz cexp cmul 2nn nnnn0d
      caddc nnexpcld nnmulcld peano2nnd cc0 1m1e0 eqbrtrid 1red nnred ltsubaddd
      nngt0d mpbid cc nncnd pncan1 syl oveq1d cdvds nnzd 3jca iddvdsexp syl2anc
      2z dvdsmultr2 wb nndivdvds eqeltrd eleq1 breq2 oveq1 3anbi123d syl5ibrcom
      sylc eleq1d mpd ) ABCHDUAIZUBIZJUEIZKZBLMZJBNOZBJPIZHQIZLMZRZGAWIWCWBLMZJ
      WBNOZWBJPIZHQIZLMZRAWJWKWNAWAACVTFAHDHLMZAUCSZADEUDUFZUGZUHAJJPIZWANOWKAW
      SUIWANUJAWAWRUOUKAJJWAAULZWTAWAWRUMUNUPAWMWAHQIZLAWLWAHQAWAUQMWLWAKAWAWRU
      RWAUSUTVAAHWAVBOZXALMZAHTMZCTMZVTTMZRHVTVBOZXBAXDXEXFXDAVGSZACFVCAVTWQVCV
      DAXDDLMXGXHEHDVEVFHCVTVHVQAWALMWOXBXCVIWRWPWAHVJVFUPVKVDWCWDWJWEWKWHWNBWB
      LVLBWBJNVMWCWGWMLWCWFWLHQBWBJPVNVAVRVOVPVS $.

    $d N p x $.  $d P p x $.  $d ph p x $.
    proththd.l $e |- ( ph -> K < ( 2 ^ N ) ) $.
    proththd.x $e |- ( ph -> E. x e. ZZ
                      ( ( x ^ ( ( P - 1 ) / 2 ) ) mod P ) = ( -u 1 mod P ) ) $.
    $( Proth's theorem (1878).  If P is a _Proth number_, i.e. a number of the
       form k2^n+1 with k less than 2^n, and if there exists an integer x for
       which x^((P-1)/2) is -1 modulo P, then P is prime.  Such a prime is
       called a _Proth prime_.  Like Pocklington's theorem (see ~ pockthg ),
       Proth's theorem allows for a convenient method for verifying large
       primes.  (Contributed by AV, 5-Jul-2020.) $)
    proththd $p |- ( ph -> P e. Prime ) $=
      ( c2 cexp co wcel c1 cmo wceq wa cz adantr vp cn 2nn nnnn0d nnexpcld cmul
      a1i caddc nncnd mulcomd oveq1d eqtrd cdvds wbr cmin cdiv cgcd wrex cprime
      cv wi wb simpr 2prm prmdvdsexpb syl3anc cneg cc clt proththdlem peano2cnm
      simp1d syl 2cnd cc0 wne 2ne0 divcan1d eqcomd oveq2d zcn adantl cn0 simp3d
      2nn0 expmuld ad4ant13 anim1i ancomd zexpcl crp nnrpd ad3antrrr modexp2m1d
      simp2d oveq2 eleq1d mpbird anim2i ancoms zred 1red renegcld eqcoms eqeq1d
      biimpa eqidd modsub12d peano2zm ad2antrr modgcd ax-1cn negdi2 mp2an 1p1e2
      cr syl2anc negeqi eqtri nnnegz 2z nnzd neggcd sylancr w3a oddm1d2 biimprd
      wn nnz impel isoddgcd1 mpbid 3adant2 3eqtr3d ex reximdva sylbid ralrimiva
      jca mpid pockthg ) ABKELMZDCUAAKEKUBNZAUCUGZAEFUDUEZGIACDUUBUFMZOUHMUUBDU
      FMZOUHMHAUUFUUGOUHADUUBADGUIAUUBUUEUIUJUKULAUAUTZUUBUMUNZBUTZCOUOMZLMZCPM
      ZOQZUUJUUKUUHUPMZLMZOUOMZCUQMZOQZRZBSURZVAUAUSAUUHUSNZRZUUIUUHKQZUVAUVCUV
      BKUSNZEUBNZUUIUVDVBAUVBVCUVEUVCVDUGAUVFUVBFTUUHKEVEVFAUVDUVAVAUVBAUVDUUJU
      UKKUPMZLMZCPMZOVGZCPMZQZBSURZUVAJAUVDUVMUVAVAAUVDRZUVLUUTBSUVNUUJSNZRZUVL
      UUTUVPUVLRZUUNUUSUVQUUMUVHKLMZCPMOUVQUULUVRCPAUVOUULUVRQUVDUVLAUVORZUULUU
      JUVGKUFMZLMUVRUVSUUKUVTUUJLUVSUVTUUKUVSUUKKAUUKVHNZUVOACVHNUWAACACUBNZOCV
      IUNZUVGUBNZACDEFGHVJZVLZUICVKVMTUVSVNKVOVPUVSVQUGVRVSVTUVSUUJUVGKUVOUUJVH
      NAUUJWAWBKWCNUVSWEUGAUVGWCNZUVOAUVGAUWBUWCUWDUWEWDUDZTWFULWGUKUVQUVHCUVPU
      VHSNZUVLUVPUVOUWGRUWIUVPUWGUVOUVNUWGUVOAUWGUVDUWHTZWHWIUUJUVGWJVMTACWKNUV
      DUVOUVLACUWFWLWMZAUWCUVDUVOUVLAUWBUWCUWDUWEWOWMUVPUVLVCWNULUVQUUQCPMZCUQM
      ZUVJOUOMZCPMZCUQMZUUROUVQUWLUWOCUQUVQUUPUVJOOCUVPUUPXPNUVLUVPUUPUVPUVOUUO
      WCNZRZUUPSNZUVOUVNUWRUVNUWQUVOUVNUWQUWGUWJUVDUWQUWGVBAUVDUUOUVGWCUUHKUUKU
      PWPWQWBWRWSWTUUJUUOWJVMZXATUVQOUVQXBZXCUXAUXAUWKUVPUVLUUPCPMZUVKQZUVNUVLU
      XCVBZUVOUVDUXDAUVDUVIUXBUVKUVDUVHUUPCPUVDUVGUUOUUJLUVGUUOQKUUHKUUHUUKUPWP
      XDVTUKXEWBTXFUVQOCPMXGXHUKUVPUWMUURQZUVLUVPUUQSNZUWBUXEUVPUWSUXFUWTUUPXIV
      MAUWBUVDUVOUWFXJUUQCXKXQTAUWPOQUVDUVOUVLAUWPKVGZCPMZCUQMZOAUWOUXHCUQAUWNU
      XGCPUWNUXGQAUWNOOUHMZVGZUXGOVHNZUXLUWNUXKQXLXLUXLUXLRUXKUWNOOXMVSXNUXJKXO
      XRXSUGUKUKAUXIUXGCUQMZOAUXGSNZUWBUXIUXMQAUUCUXNUUDKXTVMUWFUXGCXKXQAUXMKCU
      QMZOAKSNCSNZUXMUXOQYAACUWFYBKCYCYDAUWBUWCUWDYEUXOOQZUWEUWBUWDUXQUWCUWBUWD
      RKCUMUNYHZUXQUWBUVGSNZUXRUWDUWBUXRUXSUWBUXPUXRUXSVBCYIZCYFVMYGUVGYIYJUWBU
      XRUXQVBZUWDUWBUXPUYAUXTCYKVMTYLYMVMULULULWMYNYSYOYPYOYTTYQYRUUA $.
  $}

  $( 5 times the cube of 2 is 40.  (Contributed by AV, 4-Jul-2020.) $)
  5tcu2e40 $p |- ( 5 x. ( 2 ^ 3 ) ) = ; 4 0 $=
    ( c5 c2 c3 cexp co cmul c8 cc0 cdc cu2 oveq2i 5cn 8cn mulcomi 8t5e40 3eqtri
    c4 ) ABCDEZFEAGFEGAFEQHIRGAFJKAGLMNOP $.

  $( 3 to the fourth power is -1 modulo 41.  (Contributed by AV,
     5-Jul-2020.) $)
  3exp4mod41 $p |- ( ( 3 ^ 4 ) mod ; 4 1 ) = ( -u 1 mod ; 4 1 ) $=
    ( c3 c4 cexp co c1 cdc cmo c8 c2 cmul caddc eqcomi oveq2i wcel eqtri oveq1i
    c9 4cn 2cn mulcli cneg 2p2e4 cc cn0 wceq 3cn 2nn0 expadd sq3 oveq12i 9t9e81
    mp3an 3eqtri cc0 dfdec10 4t2e8 mulcomli cmin ax-1cn 2m1e1 10nn nncni neg1cn
    negsubi addassi adddii mul12i 2t1e2 3eqtr3ri 3eqtr2i 1nn decnncl addcomi cr
    4nn0 crp cz neg1rr cn nnrp ax-mp 2z modcyc ) ABCDZBEFZGDHEFZWEGDIWEJDZEUAZK
    DZWEGDZWHWEGDZWDWFWEGWDAIIKDZCDZAICDZWNJDZWFBWLACWLBUBLMAUCNIUDNZWPWMWOUEUF
    UGUGAIIUHULWOQQJDWFWNQWNQJUIUIUJUKOUMPWFWIWEGWFEUNFZHJDZEKDZWIHEUOWSWQIBJDZ
    JDZIWHKDZKDXAIKDZWHKDWIWRXAEXBKHWTWQJWTHBIHRSUPUQLMXBEXBIEURDEIESUSVDUTOLUJ
    XAIWHWQWTWQVAVBZIBSRTTSVCVEXCWGWHKIWQBJDZEKDZJDIXEJDZIEJDZKDWGXCIXEESWQBXDR
    TUSVFXFWEIJWEXFBEUOLMXGXAXHIKIWQBSXDRVGVHUJVIPVJOPWJWHWGKDZWEGDZWKWIXIWEGWG
    WHIWESWEBEVOVKVLZVBTVCVMPWHVNNWEVPNZIVQNXJWKUEVRWEVSNXLXKWEVTWAWBWHWEIWCULO
    UM $.

  ${
    41prothprm.p $e |- P = ; 4 1 $.
    $( Lemma 1 for ~ 41prothprm .  (Contributed by AV, 4-Jul-2020.) $)
    41prothprmlem1 $p |- ( ( P - 1 ) / 2 ) = ; 2 0 $=
      ( c1 cmin co c2 cdiv cc0 cdc c4 cmul caddc dfdec10 eqtri oveq1i wcel wceq
      cc 10nn 4cn nncni mulcli pncan1 ax-mp 2cn 2ne0 divassi 4d2e2 oveq2i dec0u
      2nn0 ) ACDEZFGECHIZJKEZFGEZFHIZULUNFGULUNCLEZCDEZUNAUQCDAJCIUQBJCMNOUNRPU
      RUNQUMJUMSUAZTUBUNUCUDNOUOUMJFGEZKEZUPUMJFUSTUEUFUGVAUMFKEUPUTFUMKUHUIFUK
      UJNNN $.

    $( Lemma 2 for ~ 41prothprm .  (Contributed by AV, 5-Jul-2020.) $)
    41prothprmlem2 $p |- ( ( 3 ^ ( ( P - 1 ) / 2 ) ) mod P )
                         = ( -u 1 mod P ) $=
      ( c3 c1 cmin co c2 cexp cmo cdc oveq2i oveq1i c4 c5 eqcomi wcel wceq 4nn0
      eqtri cz cdiv cc0 cneg 41prothprmlem1 cmul 5cn 4cn 5t4e20 mulcomli cc cn0
      3cn 5nn0 expmul mp3an wa crp 3z zexpcl mp2an neg1z pm3.2i cn decnncl nnrp
      ax-mp 3exp4mod41 modexp caddc 3p2e5 2z m1expaddsub ax-1cn 2p1e3 subaddrii
      1nn 2cn neg1cn exp1 3eqtri 3eqtr4i ) CADEFGUAFZHFZAIFCGUBJZHFZAIFZDUCZAIF
      ZWCWEAIWBWDCHABUDKLWEMDJZIFZWGWIIFZWFWHWJCMHFZNHFZWIIFZWGNHFZWIIFZWKWEWMW
      IIWECMNUEFZHFZWMWDWQCHWQWDNMWDUFUGUHUIOKCUJPMUKPZNUKPZWRWMQULRUMCMNUNUOSL
      WLTPZWGTPZUPWTWIUQPZUPWLWIIFWKQWNWPQXAXBCTPZWSXAURRCMUSUTVAVBWTXCUMWIVCPX
      CMDRVPVDWIVEVFVBVGWLWGNWIVHUOWOWGWIIWOWGCGVIFZHFZWGCGEFZHFZWGNXEWGHXENVJO
      KXHXFXDGTPXHXFQURVKCGVLUTOXHWGDHFZWGXGDWGHCGDULVQVMVNVOKWGUJPXIWGQVRWGVSV
      FSVTLVTAWIWEIBKAWIWGIBKWAS $.

    $d P x $.
    $( 41 is a _Proth prime_.  (Contributed by AV, 5-Jul-2020.) $)
    41prothprm $p |- ( P = ( ( 5 x. ( 2 ^ 3 ) ) + 1 ) /\ P e. Prime ) $=
      ( vx c3 c1 co c2 cexp cmo wceq c5 cmul caddc wcel wa c4 cdc c8 a1i cz cc0
      cmin cdiv cneg cprime 41prothprmlem2 dfdec10 4t2e8 4cn 2cn mulcomi eqtr3i
      oveq2i 5cn mulassi 5t2e10 oveq1i 3eqtr2i cu2 eqcomi 3eqtri cn 3nn 5nn clt
      simpr wbr 5lt8 breqtrri cv wrex 3z wb oveq1 oveq1d eqeq1d adantl rspcedvd
      id adantr proththd jca mp2an ) DAEUBFGUCFZHFZAIFZEUDAIFZJZAKGDHFZLFZEMFZJ
      ZWLAUENZOABUFAPEQEUAQZPLFZEMFWKBPEUGWOWJEMKRLFZWOWJWPKGPLFZLFKGLFZPLFWORW
      QKLPGLFRWQUHPGUIUJUKULUMKGPUNUJUIUOWRWNPLUPUQURRWIKLWIRUSUTUMULUQVAWHWLOZ
      WLWMWHWLVFZWSCAKDDVBNWSVCSKVBNWSVDSWTKWIVEVGWSKRWIVEVHUSVISWHCVJZWDHFZAIF
      ZWGJZCTVKWLWHXDWHCDTDTNWHVLSXADJZXDWHVMWHXEXCWFWGXEXBWEAIXADWDHVNVOVPVQWH
      VSVRVTWAWBWC $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Solutions of quadratic equations
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A x $.  $d B x $.  $d C x $.  $d D x $.  $d ph x $.
    quad1.a $e |- ( ph -> A e. CC ) $.
    quad1.z $e |- ( ph -> A =/= 0 ) $.
    quad1.b $e |- ( ph -> B e. CC ) $.
    quad1.c $e |- ( ph -> C e. CC ) $.
    quad1.d $e |- ( ph -> D = ( ( B ^ 2 ) - ( 4 x. ( A x. C ) ) ) ) $.
    $( A condition for a quadratic equation with complex coefficients to have
       (exactly) one complex solution.  (Contributed by AV, 23-Jan-2023.) $)
    quad1 $p |- ( ph -> ( E! x e. CC
                             ( ( A x. ( x ^ 2 ) ) + ( ( B x. x ) + C ) ) = 0
                          <-> D = 0 ) ) $=
      ( c2 co cmul caddc cc0 wceq cc cdiv wcel cv cexp wreu cneg csqrt cfv cmin
      wo wa adantr wne simpr c4 quad reubidva wb negcld sqcld 4cn mulcld subcld
      a1i eqeltrd sqrtcld addcld 2cnd mulne0d divcld euoreqb syl2anc divsubdird
      divdird negsubd divnegd oveq2d 3eqtr2d eqeq12d addcand syl112anc cnsqrt00
      2ne0 div11 eqnegd syl bitrd 3bitrd ) ACBUAZLUBMNMDWGNMEOMOMPQZBRUCWGDUDZF
      UEUFZOMZLCNMZSMZQWGWIWJUGMZWLSMZQUHZBRUCZWMWOQZFPQZAWHWPBRAWGRTZUICDEFWGA
      CRTWTGUJACPUKWTHUJADRTWTIUJAERTWTJUJAWTULAFDLUBMZUMCENMZNMZUGMZQWTKUJUNUO
      AWMRTWORTWQWRUPAWKWLAWIWJADIUQZAFAFXDRKAXAXCADIURAUMXBUMRTAUSVBACEGJUTUTV
      AVCZVDZVEALCAVFZGUTZALCXHGLPUKAWAVBHVGZVHAWNWLAWIWJXEXGVAXIXJVHBWMWORVIVJ
      AWRWIWLSMZWJWLSMZOMZXKWJUDZWLSMZOMZQZWSAWMXMWOXPAWIWJWLXEXGXIXJVLAWOXKXLU
      GMXKXLUDZOMXPAWIWJWLXEXGXIXJVKAXKXLAWIWLXEXIXJVHZAWJWLXGXIXJVHZVMAXRXOXKO
      AWJWLXGXIXJVNVOVPVQAXQXLXOQZWJXNQZWSAXKXLXOXSXTAXNWLAWJXGUQZXIXJVHVRAWJRT
      XNRTWLRTWLPUKYAYBUPXGYCXIXJWJXNWLWBVSAYBWJPQZWSAWJXGWCAFRTYDWSUPXFFVTWDWE
      WFWEWF $.
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d D x $.  $d ph x $.
    requad2.a $e |- ( ph -> A e. RR ) $.
    requad2.z $e |- ( ph -> A =/= 0 ) $.
    requad2.b $e |- ( ph -> B e. RR ) $.
    requad2.c $e |- ( ph -> C e. RR ) $.
    requad2.d $e |- ( ph -> D = ( ( B ^ 2 ) - ( 4 x. ( A x. C ) ) ) ) $.
    $( A condition for a quadratic equation with real coefficients to have (at
       least) one real solution.  (Contributed by AV, 23-Jan-2023.) $)
    requad01 $p |- ( ph -> ( E. x e. RR
                                ( ( A x. ( x ^ 2 ) ) + ( ( B x. x ) + C ) ) = 0
                             <-> 0 <_ D ) ) $=
      ( c2 co cmul cc0 wceq cr wcel cc adantr cv cexp caddc wrex cle cneg csqrt
      wbr wa cfv cdiv cmin wo recnd wne recn adantl c4 quad wi wb eleq1 wn wnel
      2re a1i remulcld negcld resqcld resubcld eqeltrd sqrtcld renegcld negnegd
      4re addcld ci eqcomd fveq2d clt 0red ltnled ltle syl2anc sylbird le0neg1d
      imp mpbid sqrtnegd eqtrd ax-icn mulcomd resqrtcld inelr mpbir2an lt0neg1d
      cdif eldif ltne sylan sqrt00 bicomd necon3bid ex sylbid recnmulnred sylib
      df-nel eldifd readdcnnred 2cnd 2ne0 mulne0d cndivrenred con4d resubcnnred
      eqneltrd subcld jaod com23 rexlimdva simpr readdcld redivcld oveq1 oveq2d
      oveq2 oveq1d oveq12d eqeq1d eqidd mulcld divcld mpbird rspcedvd impbid
      orcd ) ACBUAZLUBMZNMZDYRNMZEUCMZUCMZOPZBQUDZOFUEUHZAUUDUUFBQAYRQRZUIZUUDY
      RDUFZFUGUJZUCMZLCNMZUKMZPZYRUUIUUJULMZUULUKMZPZUMZUUFUUHCDEFYRACSRZUUGACG
      UNZTACOUOZUUGHTADSRZUUGADIUNZTAESRZUUGAEJUNZTUUGYRSRAYRUPUQAFDLUBMZURCENM
      ZNMZULMZPZUUGKTUSAUUGUURUUFUTAUURUUGUUFAUUNUUGUUFUTZUUQAUUNUVKAUUNUIUUGUU
      MQRZUUFUUNUUGUVLVAAYRUUMQVBUQAUVLUUFUTUUNAUUFUVLAUUFVCZUVLVCZAUVMUIZUUMQV
      DUVNUVOUULUUKAUULQRUVMALCLQRZAVEVFGVGTZUVOUUKSQAUUKSRUVMAUUIUUJADUVCVHZAF
      AFAFUVIQKAUVFUVHADIVIAURUVGURQRAVOVFACEGJVGVGVJVKZUNZVLZVPZTUVOUUKQVDUUKQ
      RVCUVOUUIUUJAUUIQRZUVMADIVMZTZUVOUUJSQAUUJSRUVMUWATUVOUUJVQFUFZUGUJZNMZQU
      VOUUJUWFUFZUGUJUWHUVOFUWIUGUVOUWIFAUWIFPUVMAFUVTVNTVRVSUVOUWFAUWFQRZUVMAF
      UVSVMZTZUVOFOUEUHZOUWFUEUHZAUVMUWMAUVMFOVTUHZUWMAFOUVSAWAZWBZAFQRZOQRZUWO
      UWMUTUVSUWPFOWCWDWEWGAUWMUWNVAUVMAFUVSWFTWHZWIWJUVOUWHUWGVQNMZQUVOVQUWGVQ
      SRZUVOWKVFAUWGSRUVMAUWFAFUVTVHVLTWLUVOUXAQVDUXAQRVCUVOUWGVQUVOUWFUWLUWTWM
      VQSQWQRZUVOUXCUXBVQQRVCWKWNVQSQWRWOVFAUVMUWGOUOZAUVMUWOUXDUWQAUWOOUWFVTUH
      ZUXDAFUVSWPAUXEUXDAUXEUIZUWFOUOZUXDAUWSUXEUXGUWPOUWFWSWTUXFUWFOUWGOUXFUWG
      OPZUWFOPZUXFUWJUWNUXHUXIVAAUWJUXEUWKTAUXEUWNAUWSUWJUXEUWNUTUWPUWKOUWFWCWD
      WGUWFXAWDXBXCWHXDXEWEWGXFUXAQXHXGXQXQXIZXJUUKQXHXGXIAUULOUOZUVMALCAXKZUUT
      LOUOAXLVFHXMZTZXNUUMQXHXGXDXOTXEXDAUUQUVKAUUQUIUUGUUPQRZUUFUUQUUGUXOVAAYR
      UUPQVBUQAUXOUUFUTUUQAUUFUXOAUVMUXOVCZUVOUUPQVDUXPUVOUULUUOUVQUVOUUOSQAUUO
      SRUVMAUUIUUJUVRUWAXRTUVOUUOQVDUUOQRVCUVOUUIUUJUWEUXJXPUUOQXHXGXIUXNXNUUPQ
      XHXGXDXOTXEXDXSXTWGXEYAAUUFUUEAUUFUIZUUDCUUMLUBMZNMZDUUMNMZEUCMZUCMZOPZBU
      UMQUXQUUKUULUXQUUIUUJAUWCUUFUWDTUXQFAUWRUUFUVSTAUUFYBWMYCUXQLCUVPUXQVEVFA
      CQRUUFGTVGAUXKUUFUXMTYDUUNUUDUYCVAUXQUUNUUCUYBOUUNYTUXSUUBUYAUCUUNYSUXRCN
      YRUUMLUBYEYFUUNUUAUXTEUCYRUUMDNYGYHYIYJUQUXQUYCUUMUUMPZUUMUUPPZUMUXQUYDUY
      EUXQUUMYKYQUXQCDEFUUMAUUSUUFUUTTAUVAUUFHTAUVBUUFUVCTAUVDUUFUVETAUUMSRUUFA
      UUKUULUWBALCUXLUUTYLUXMYMTAUVJUUFKTUSYNYOXDYP $.

    $( A condition for a quadratic equation with real coefficients to have
       (exactly) one real solution.  (Contributed by AV, 26-Jan-2023.) $)
    requad1 $p |- ( ph -> ( E! x e. RR
                               ( ( A x. ( x ^ 2 ) ) + ( ( B x. x ) + C ) ) = 0
                            <-> D = 0 ) ) $=
      ( cc0 c2 co caddc wceq cr wcel cc adantr cle cv cexp cmul wreu wb wi cneg
      wbr wa csqrt cfv cdiv cmin wo recnd ad2antrr recn adantl c4 quad reubidva
      wne renegcld resqcld 4re a1i remulcld resubcld eqeltrd resqrtcl sylan 2re
      readdcld 2cnd mulne0d redivcld euoreqb syl2anc sqrtcld divdird divsubdird
      2ne0 negcld divcld negsubd divnegd oveq2d 3eqtr2d eqeq12d div11 syl112anc
      addcand eqnegd sqrt00 bitrd 3bitrd expcom requad01 notbid biimparc reurex
      wrex nsyl pm2.21d clt 0red ltnled lt0ne0d eqneqall syl5com impbid pm2.61i
      wn ex ) LFUAUIZACBUBZMUCNUDNDXQUDNEONONLPZBQUEZFLPZUFZUGAXPYAAXPUJZXSXQDU
      HZFUKULZONZMCUDNZUMNZPXQYCYDUNNZYFUMNZPUOZBQUEZYGYIPZXTYBXRYJBQYBXQQRZUJC
      DEFXQACSRXPYMACGUPZUQACLVCXPYMHUQADSRXPYMADIUPZUQAESRXPYMAEJUPUQYMXQSRYBX
      QURUSAFDMUCNZUTCEUDNZUDNZUNNZPXPYMKUQVAVBYBYGQRYIQRYKYLUFYBYEYFYBYCYDAYCQ
      RXPADIVDTZAFQRZXPYDQRAFYSQKAYPYRADIVEAUTYQUTQRAVFVGACEGJVHVHVIVJZFVKVLZVN
      AYFQRXPAMCMQRAVMVGGVHZTZAYFLVCZXPAMCAVOYNMLVCAWCVGHVPZTZVQYBYHYFYBYCYDYTU
      UCVIUUEUUHVQBYGYIQVRVSYBYLYCYFUMNZYDYFUMNZONZUUIYDUHZYFUMNZONZPZXTYBYGUUK
      YIUUNAYGUUKPXPAYCYDYFADYOWDZAFAFUUBUPVTZAYFUUDUPZUUGWATYBYIUUIUUJUNNZUUIU
      UJUHZONUUNAYIUUSPXPAYCYDYFUUPUUQUURUUGWBTYBUUIUUJAUUISRXPAYCYFUUPUURUUGWE
      TZAUUJSRXPAYDYFUUQUURUUGWETZWFYBUUTUUMUUIOYBYDYFAYDSRZXPUUQTZAYFSRZXPUURT
      UUHWGWHWIWJYBUUOUUJUUMPZYDUULPZXTYBUUIUUJUUMUVAUVBAUUMSRXPAUULYFAYDUUQWDZ
      UURUUGWETWMAUVFUVGUFZXPAUVCUULSRUVEUUFUVIUUQUVHUURUUGYDUULYFWKWLTYBUVGYDL
      PZXTYBYDUVDWNAUUAXPUVJXTUFUUBFWOVLWPWQWPWQWRXPXNZAYAUVKAUJZXSXTUVLXSXTUVL
      XRBQXCZXSAUVMXNUVKAUVMXPABCDEFGHIJKWSWTXAXRBQXBXDXEUVLFLVCXTXSUVLFAFLXFUI
      UVKAFLUUBAXGXHXAXIXSFLXJXKXLXOXM $.

    $d A a b p y $.  $d B a b p y $.  $d C a b p y $.  $d D p y $.
    $d ph a b p y $.  $d a b p x $.  $d p q x $.
    $( A condition for a quadratic equation with real coefficients to have
       (exactly) two different real solutions.  (Contributed by AV,
       28-Jan-2023.) $)
    requad2 $p |- ( ph -> ( E! p e. ~P RR ( ( # ` p ) = 2 /\ A. x e. p
                              ( ( A x. ( x ^ 2 ) ) + ( ( B x. x ) + C ) ) = 0 )
                            <-> 0 < D ) ) $=
      ( cc0 c2 wceq co cmul caddc cr wcel vq vy va vb cle wbr cv chash cfv cexp
      wral wa cpw wreu clt wb wi cneg csqrt cdiv cmin wo cc recnd ad3antrrr wne
      elelpwi expcom adantl imp c4 quad ralbidva anbi2d reubidva crab pairreueq
      eqid bicomi a1i renegcld adantr resqcld remulcld resubcld simpr resqrtcld
      4re eqeltrd readdcld 2re 2cnne0 mulne0 syl12anc redivcld fveqeq2 paireqne
      cbvrabv negcld sqrtcld addcld subcld 2cnd mulcld syl112anc negsubd eqcomd
      div11 eqeq2d addcand 3bitrd necon3bid cnsqrt00 syl eqnegd leltned 3bitr4d
      0red bitrd wrex cpr hash2prb raleq vex oveq1 oveq2d oveq1d oveq12d eqeq1d
      wn oveq2 ralpr bitrdi ex com12 rspcedv adantld sylbid rexlimdvva impcom
      impd rexlimdva requad01 sylibd con3d reurex nsyl pm2.21d ltle pm2.24 syl6
      syl2anc com23 impbid pm2.61i ) MFUEUFZAGUGZUHUINOZCBUGZNUJPZQPZDUUSQPZERP
      ZRPZMOZBUUQUKZULZGSUMZUNZMFUOUFZUPZUQAUUPUVKAUUPULZUVIUURUUSDURZFUSUIZRPZ
      NCQPZUTPZOUUSUVMUVNVAPZUVPUTPZOVBZBUUQUKZULZGUVHUNZUVJUVLUVGUWBGUVHUVLUUQ
      UVHTZULZUVFUWAUURUWEUVEUVTBUUQUWEUUSUUQTZULZCDEFUUSACVCTZUUPUWDUWFACHVDZV
      EACMVFZUUPUWDUWFIVEADVCTUUPUWDUWFADJVDZVEAEVCTUUPUWDUWFAEKVDVEUWGUUSUWEUW
      FUUSSTZUWDUWFUWLUQUVLUWFUWDUWLUUSUUQSVGVHVIVJVDAFDNUJPZVKCEQPZQPZVAPZOUUP
      UWDUWFLVEVLVMVNVOUVLUWCUWAGUAUGZUHUINOZUAUVHVPZUNZUVQUVSVFZUVJUWCUWTUPUVL
      UWTUWCUWAUAUWSSGUWSVRVQVSVTUVLBUVQUVSUWSSGUVLUVOUVPUVLUVMUVNAUVMSTUUPADJW
      AWBUVLFAFSTZUUPAFUWPSLAUWMUWOADJWCAVKUWNVKSTAWHVTACEHKWDWDWEWIZWBZAUUPWFZ
      WGZWJAUVPSTUUPANCNSTZAWKVTHWDWBAUVPMVFZUUPANVCTNMVFULZUWHUWJUXHUXIAWLVTUW
      IINCWMWNZWBZWOUVLUVRUVPUVLUVMUVNUVLDADSTUUPJWBWAUXFWEUVLNCUXGUVLWKVTACSTU
      UPHWBWDUXKWOUWRUUSUHUINOUABUVHUWQUUSNUHWPWRWQUVLUXAUVNUVNURZVFZUVJAUXAUXM
      UPUUPAUVQUVSUVNUXLAUVQUVSOZUVOUVROZUVOUVMUXLRPZOUVNUXLOZAUVOVCTUVRVCTUVPV
      CTUXHUXNUXOUPAUVMUVNADUWKWSZAFAFUXCVDZWTZXAAUVMUVNUXRUXTXBANCAXCUWIXDUXJU
      VOUVRUVPXHXEAUVRUXPUVOAUXPUVRAUVMUVNUXRUXTXFXGXIAUVMUVNUXLUXRUXTAUVNUXTWS
      XJXKXLWBUVLUVNMVFZFMVFZUXMUVJAUYAUYBUPUUPAUVNMFMAFVCTUVNMOZFMOUPUXSFXMXNX
      LWBUVLUVNUXLUVNMAUXQUYCUPUUPAUVNUXTXOWBXLUVLMFUVLXRUXDUXEXPXQXSXKXSVHUUPY
      JZAUVKUYDAULZUVIUVJUYEUVIUVJUYEUVGGUVHXTZUVIAUYDUYFYJAUYFUUPAUYFCUBUGZNUJ
      PZQPZDUYGQPZERPZRPZMOZUBSXTZUUPAUVGUYNGUVHAUWDULZUURUVFUYNUYOUURUCUGZUDUG
      ZVFZUUQUYPUYQYAZOZULZUDUUQXTUCUUQXTZUVFUYNUQZUWDUURVUBUPAUUQUVHUCUDYBVIUY
      OVUAVUCUCUDUUQUUQUYOUYPUUQTZUYQUUQTZULZULZVUAVUCVUGVUAULZUVFCUYPNUJPZQPZD
      UYPQPZERPZRPZMOZCUYQNUJPZQPZDUYQQPZERPZRPZMOZULZUYNVUAUVFVVAUPZVUGUYTVVBU
      YRUYTUVFUVEBUYSUKVVAUVEBUUQUYSYCUVEVUNVUTBUYPUYQUCYDUDYDUUSUYPOZUVDVUMMVV
      CUVAVUJUVCVULRVVCUUTVUICQUUSUYPNUJYEYFVVCUVBVUKERUUSUYPDQYKYGYHYIUUSUYQOZ
      UVDVUSMVVDUVAVUPUVCVURRVVDUUTVUOCQUUSUYQNUJYEYFVVDUVBVUQERUUSUYQDQYKYGYHY
      IYLYMVIVIVUHVUTUYNVUNVUGVUTUYNUQVUAVUGUYMVUTUBUYQSUYOVUFUYQSTZUWDVUFVVEUQ
      AVUFUWDVVEVUEUWDVVEUQVUDVUEUWDVVEUYQUUQSVGYNVIYOVIVJUYGUYQOZUYMVUTUPVUGVV
      FUYLVUSMVVFUYIVUPUYKVURRVVFUYHVUOCQUYGUYQNUJYEYFVVFUYJVUQERUYGUYQDQYKYGYH
      YIVIYPWBYQYRYNYSYRUUAUUBAUBCDEFHIJKLUUCUUDUUEYTUVGGUVHUUFUUGUUHAUYDUVJUVI
      UQAUVJUYDUVIAUVJUUPUYDUVIUQAMSTUXBUVJUUPUQAXRUXCMFUUIUULUUPUVIUUJUUKUUMYT
      UUNYNUUO $.
  $}
$( End $[ set-mbox-av-nt.mm $] $)


$( Begin $[ set-mbox-av-even-odd.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Even and odd numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Even and odd numbers can be characterized in many different ways.  In the
  following, the definition of even and odd numbers is based on the fact that
  dividing an even number (resp. an odd number increased by 1) by 2 is an
  integer, see ~ df-even and ~ df-odd .  Alternate definitions resp.
  characterizations are provided in ~ dfeven2 , ~ dfeven3 , ~ dfeven4 and in
  ~ dfodd2 , ~ dfodd3 , ~ dfodd4 , ~ dfodd5 , ~ dfodd6 . Each characterization
  can be useful (and used) in an appropriate context, e.g. ~ dfodd6 in
  ~ opoeALTV and ~ dfodd3 in ~ oddprmALTV .  Having a fixed definition for even
  and odd numbers, and alternate characterizations as theorems, advanced
  theorems about even and/or odd numbers can be expressed more explicitly, and
  the appropriate characterization can be chosen for their proof, which may
  become clearer and sometimes also shorter (see, for example, ~ divgcdoddALTV
  and ~ divgcdodd ).

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Definitions and basic properties
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c Even Odd $.

  $( Extend the definition of a class to include the set of even numbers. $)
  ceven $a class Even $.

  $( Extend the definition of a class to include the set of odd numbers. $)
  codd $a class Odd $.

  $( Define the set of even numbers.  (Contributed by AV, 14-Jun-2020.) $)
  df-even $a |- Even = { z e. ZZ | ( z / 2 ) e. ZZ } $.

  $( Define the set of odd numbers.  (Contributed by AV, 14-Jun-2020.) $)
  df-odd $a |- Odd = { z e. ZZ | ( ( z + 1 ) / 2 ) e. ZZ } $.

  ${
    $d Z z $.
    $( The predicate "is an even number".  An even number is an integer which
       is divisible by 2, i.e. the result of dividing the even integer by 2 is
       still an integer.  (Contributed by AV, 14-Jun-2020.) $)
    iseven $p |- ( Z e. Even <-> ( Z e. ZZ /\ ( Z / 2 ) e. ZZ ) ) $=
      ( vz cv c2 cdiv co cz wcel ceven wceq oveq1 eleq1d df-even elrab2 ) BCZDE
      FZGHADEFZGHBAGIOAJPQGOADEKLBMN $.

    $( The predicate "is an odd number".  An odd number is an integer which is
       not divisible by 2, i.e. the result of dividing the odd integer
       increased by 1 and then divided by 2 is still an integer.  (Contributed
       by AV, 14-Jun-2020.) $)
    isodd $p |- ( Z e. Odd <-> ( Z e. ZZ /\ ( ( Z + 1 ) / 2 ) e. ZZ ) ) $=
      ( vz cv c1 caddc co c2 cdiv cz wcel codd wceq oveq1d eleq1d df-odd elrab2
      oveq1 ) BCZDEFZGHFZIJADEFZGHFZIJBAIKRALZTUBIUCSUAGHRADEQMNBOP $.
  $}

  $( An even number is an integer.  (Contributed by AV, 14-Jun-2020.) $)
  evenz $p |- ( Z e. Even -> Z e. ZZ ) $=
    ( ceven wcel cz c2 cdiv co iseven simplbi ) ABCADCAEFGDCAHI $.

  $( An odd number is an integer.  (Contributed by AV, 14-Jun-2020.) $)
  oddz $p |- ( Z e. Odd -> Z e. ZZ ) $=
    ( codd wcel cz c1 caddc co c2 cdiv isodd simplbi ) ABCADCAEFGHIGDCAJK $.

  $( The result of dividing an even number by 2 is an integer.  (Contributed by
     AV, 15-Jun-2020.) $)
  evendiv2z $p |- ( Z e. Even -> ( Z / 2 ) e. ZZ ) $=
    ( ceven wcel cz c2 cdiv co iseven simprbi ) ABCADCAEFGDCAHI $.

  $( The result of dividing an odd number increased by 1 and then divided by 2
     is an integer.  (Contributed by AV, 15-Jun-2020.) $)
  oddp1div2z $p |- ( Z e. Odd -> ( ( Z + 1 ) / 2 ) e. ZZ ) $=
    ( codd wcel cz c1 caddc co c2 cdiv isodd simprbi ) ABCADCAEFGHIGDCAJK $.

  $( The result of dividing an odd number decreased by 1 and then divided by 2
     is an integer.  (Contributed by AV, 15-Jun-2020.) $)
  oddm1div2z $p |- ( Z e. Odd -> ( ( Z - 1 ) / 2 ) e. ZZ ) $=
    ( codd wcel c1 caddc co c2 cdiv cz cmin oddp1div2z wb oddz zob syl mpbid )
    ABCZADEFGHFICZADJFGHFICZAKQAICRSLAMANOP $.

  $( The predicate "is an odd number".  An odd number is an integer which is
     not divisible by 2, i.e. the result of dividing the odd number decreased
     by 1 and then divided by 2 is still an integer.  (Contributed by AV,
     15-Jun-2020.) $)
  isodd2 $p |- ( Z e. Odd <-> ( Z e. ZZ /\ ( ( Z - 1 ) / 2 ) e. ZZ ) ) $=
    ( codd wcel cz c1 caddc co c2 cdiv wa cmin isodd zob pm5.32i bitri ) ABCADC
    ZAEFGHIGDCZJPAEKGHIGDCZJALPQRAMNO $.

  ${
    $d x z $.
    $( Alternate definition for odd numbers.  (Contributed by AV,
       15-Jun-2020.) $)
    dfodd2 $p |- Odd = { z e. ZZ | ( ( z - 1 ) / 2 ) e. ZZ } $=
      ( vx codd cv c1 cmin co c2 cdiv cz wcel wa isodd2 weq oveq1 oveq1d eleq1d
      crab elrab bitr4i eqriv ) BCADZEFGZHIGZJKZAJRZBDZCKUGJKUGEFGZHIGZJKZLUGUF
      KUGMUEUJAUGJABNZUDUIJUKUCUHHIUBUGEFOPQSTUA $.
  $}

  ${
    $d i z $.
    $( Alternate definition for odd numbers.  (Contributed by AV,
       18-Jun-2020.) $)
    dfodd6 $p |- Odd = { z e. ZZ | E. i e. ZZ z = ( ( 2 x. i ) + 1 ) } $=
      ( cv c1 cmin co c2 cdiv cz wcel crab cmul caddc wceq wa simpr 2cnd adantr
      cc syl codd wrex dfodd2 weq oveq2 cc0 wne w3a peano2zm zcnd 2ne0 a1i 3jca
      divcan2 sylan9eqr oveq1d zcn npcan1 eqtrd eqeq2d eqidd rspcedvd ex syl2an
      oveq1 mulcl pncan1 adantl divcan3d eqeltrd rexlimdva2 impbid rabbiia
      eqtri ) UAACZDEFZGHFZIJZAIKVOGBCZLFZDMFZNZBIUBZAIKAUCVRWCAIVOIJZVRWCWDVRW
      CWDVROZWBAAUDBVQIWDVRPWEVSVQNZOZWAVOVOWGWAVPDMFZVOWGVTVPDMWFWEVTGVQLFZVPV
      SVQGLUEWEVPSJZGSJZGUFUGZUHZWIVPNWDWMVRWDWJWKWLWDVPVOUIUJWDQZWLWDUKULUMRVP
      GUNTUOUPWEWHVONZWFWDWOVRWDVOSJWOVOUQVOURTRRUSUTWEVOVAVBVCWDWBVRBIWDVSIJZO
      ZWBOZVQVSIWRVQVTGHFZVSWRVPVTGHWBWQVPWADEFZVTVOWADEVEWQVTSJZWTVTNWDWKVSSJZ
      XAWPWNVSUQZGVSVFVDVTVGTUOUPWQWSVSNWBWQVSGWPXBWDXCVHWQQWLWQUKULVIRUSWQWPWB
      WDWPPRVJVKVLVMVN $.

    $( Alternate definition for even numbers.  (Contributed by AV,
       18-Jun-2020.) $)
    dfeven4 $p |- Even = { z e. ZZ | E. i e. ZZ z = ( 2 x. i ) } $=
      ( cv c2 cdiv co cz wcel crab cmul wceq wa simpr adantl cc zcn adantr 2cnd
      2ne0 a1i ceven wrex df-even oveq2 eqeq2d cc0 wne divcan2d eqcomd rspcedvd
      wb ex oveq1 divcan3d sylan9eqr eqeltrd rexlimdva2 impbid rabbiia eqtri )
      UAACZDEFZGHZAGIVADBCZJFZKZBGUBZAGIAUCVCVGAGVAGHZVCVGVHVCVGVHVCLZVFVADVBJF
      ZKZBVBGVHVCMVDVBKZVFVKUKVIVLVEVJVAVDVBDJUDUENVIVJVAVIVADVHVAOHVCVAPQVIRDU
      FUGZVISTUHUIUJULVHVFVCBGVHVDGHZLZVFLVBVDGVFVOVBVEDEFVDVAVEDEUMVOVDDVNVDOH
      VHVDPNVORVMVOSTUNUOVOVNVFVHVNMQUPUQURUSUT $.
  $}

  $( The predecessor of an even number is odd.  (Contributed by AV,
     16-Jun-2020.) $)
  evenm1odd $p |- ( Z e. Even -> ( Z - 1 ) e. Odd ) $=
    ( ceven wcel c1 cmin co cz caddc c2 cdiv codd evenz peano2zm wa iseven wceq
    syl cc zcn npcan1 eqcomd oveq1d eleq1d biimpa sylbi isodd sylanbrc ) ABCZAD
    EFZGCZUIDHFZIJFZGCZUIKCUHAGCZUJALAMQUHUNAIJFZGCZNUMAOUNUPUMUNUOULGUNAUKIJUN
    UKAUNARCUKAPASATQUAUBUCUDUEUIUFUG $.

  $( The successor of an even number is odd.  (Contributed by AV,
     16-Jun-2020.) $)
  evenp1odd $p |- ( Z e. Even -> ( Z + 1 ) e. Odd ) $=
    ( ceven wcel c1 caddc co cz cmin c2 cdiv codd evenz peano2zd wa iseven wceq
    cc zcn pncan1 syl eqcomd oveq1d eleq1d biimpa sylbi isodd2 sylanbrc ) ABCZA
    DEFZGCUIDHFZIJFZGCZUIKCUHAALMUHAGCZAIJFZGCZNULAOUMUOULUMUNUKGUMAUJIJUMUJAUM
    AQCUJAPARASTUAUBUCUDUEUIUFUG $.

  $( The successor of an odd number is even.  (Contributed by AV,
     16-Jun-2020.) $)
  oddp1eveni $p |- ( Z e. Odd -> ( Z + 1 ) e. Even ) $=
    ( codd wcel c1 caddc co cz c2 cdiv oddz peano2zd oddp1div2z iseven sylanbrc
    ceven ) ABCZADEFZGCQHIFGCQOCPAAJKALQMN $.

  $( The predecessor of an odd number is even.  (Contributed by AV,
     6-Jul-2020.) $)
  oddm1eveni $p |- ( Z e. Odd -> ( Z - 1 ) e. Even ) $=
    ( codd wcel c1 cmin co cz c2 cdiv ceven oddz peano2zm syl oddm1div2z iseven
    sylanbrc ) ABCZADEFZGCZRHIFGCRJCQAGCSAKALMANROP $.

  $( An even number is not an odd number.  (Contributed by AV, 16-Jun-2020.) $)
  evennodd $p |- ( Z e. Even -> -. Z e. Odd ) $=
    ( ceven wcel cz wn c1 caddc co c2 cdiv wo codd iseven zeo2 biimpd imp sylbi
    wa olcd isodd notbii ianor bitri sylibr ) ABCZADCZEZAFGHIJHDCZEZKZALCZEZUEU
    IUGUEUFAIJHDCZRUIAMUFUMUIUFUMUIANOPQSULUFUHRZEUJUKUNATUAUFUHUBUCUD $.

  $( An odd number is not an even number.  (Contributed by AV, 16-Jun-2020.) $)
  oddneven $p |- ( Z e. Odd -> -. Z e. Even ) $=
    ( codd wcel cz wn c2 cdiv co wo ceven c1 caddc isodd biimpd con2d imp sylbi
    wa zeo2 olcd ianor iseven xchnxbir sylibr ) ABCZADCZEZAFGHDCZEZIZAJCZEUEUIU
    GUEUFAKLHFGHDCZRUIAMUFULUIUFUHULUFUHULEASNOPQTUFUHRUJUKUFUHUAAUBUCUD $.

  $( The negative of an even number is even.  (Contributed by AV,
     20-Jun-2020.) $)
  enege $p |- ( A e. Even -> -u A e. Even ) $=
    ( cz wcel c2 cdiv co wa cneg ceven znegcl adantr adantl cc cc0 wne w3a 2cnd
    wb zcn iseven 2ne0 a1i 3jca divneg eleq1d syl mpbid jca 3imtr4i ) ABCZADEFZ
    BCZGZAHZBCZUNDEFZBCZGAICUNICUMUOUQUJUOULAJKUMUKHZBCZUQULUSUJUKJLUMAMCZDMCZD
    NOZPZUSUQRUJVCULUJUTVAVBASUJQVBUJUAUBUCKVCURUPBADUDUEUFUGUHATUNTUI $.

  $( The negative of an odd number is odd.  (Contributed by AV,
     20-Jun-2020.) $)
  onego $p |- ( A e. Odd -> -u A e. Odd ) $=
    ( cz wcel c1 cmin co c2 cdiv wa cneg caddc codd znegcl adantr adantl cc cc0
    wne wb eleq1d peano2zm zcnd 2cnd 2ne0 a1i w3a divneg syl3anc mpbid wceq zcn
    1cnd negsubdi eqcomd syl2anc oveq1d mpbird jca isodd2 isodd 3imtr4i ) ABCZA
    DEFZGHFZBCZIZAJZBCZVGDKFZGHFZBCZIALCVGLCVFVHVKVBVHVEAMNVFVKVCJZGHFZBCZVFVDJ
    ZBCZVNVEVPVBVDMOVFVCPCZGPCZGQRZVPVNSVBVQVEVBVCAUAUBNVFUCVSVFUDUEVQVRVSUFVOV
    MBVCGUGTUHUIVBVKVNSVEVBVJVMBVBVIVLGHVBAPCZDPCZVIVLUJAUKVBULVTWAIVLVIADUMUNU
    OUPTNUQURAUSVGUTVA $.

  ${
    $d N i n $.
    $( Exponentiation of -1 by an even power.  (Contributed by Glauco
       Siliprandi, 29-Jun-2017.)  (Revised by AV, 6-Jul-2020.) $)
    m1expevenALTV $p |- ( N e. Even -> ( -u 1 ^ N ) = 1 ) $=
      ( vi vn ceven wcel cz c2 cv cmul co wceq wrex wa c1 eqeq1 rexbidv dfeven4
      cneg cexp a1i elrab2 oveq2 cc cc0 wne neg1cn neg1ne0 2z syl22anc neg1sqe1
      id expmulz oveq1i 1exp syl5eq eqtrd adantl sylan9eqr rexlimdva2 imp sylbi
      ) ADEAFEZAGBHZIJZKZBFLZMNRZASJZNKZCHZVDKZBFLVFCAFDVJAKVKVEBFVJAVDOPCBQUAV
      BVFVIVBVEVIBFVEVBVCFEZMVHVGVDSJZNAVDVGSUBVLVMNKVBVLVMVGGSJZVCSJZNVLVGUCEZ
      VGUDUEZGFEZVLVMVOKVPVLUFTVQVLUGTVRVLUHTVLUKVGGVCULUIVLVONVCSJNVNNVCSUJUMV
      CUNUOUPUQURUSUTVA $.
  $}

  $( Exponentiation of -1 by an odd power.  (Contributed by AV, 6-Jul-2020.) $)
  m1expoddALTV $p |- ( N e. Odd -> ( -u 1 ^ N ) = -u 1 ) $=
    ( codd wcel c1 cneg cexp co cmin caddc cmul cc wceq oddz zcnd npcan1 eqcomd
    syl oveq2d a1i cz cc0 wne neg1ne0 peano2zm expp1zd oddm1eveni m1expevenALTV
    neg1cn ceven oveq1d mulid2d eqtrd 3eqtrd ) ABCZDEZAFGUOADHGZDIGZFGUOUPFGZUO
    JGZUOUNAUQUOFUNAKCZAUQLUNAAMZNUTUQAAOPQRUNUOUPUOKCUNUHSZUOUAUBUNUCSUNATCUPT
    CVAAUDQUEUNUSDUOJGUOUNURDUOJUNUPUICURDLAUFUPUGQUJUNUOVBUKULUM $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Alternate definitions using the "divides" relation
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)
  ${
    $d i z $.
    $( Alternate definition for even numbers.  (Contributed by AV,
       18-Jun-2020.) $)
    dfeven2 $p |- Even = { z e. ZZ | 2 || z } $=
      ( vi ceven cv c2 cmul co wceq cz wrex crab cdvds wbr dfeven4 wcel wa 2cnd
      eqcom cc zcn adantl mulcomd eqeq1d syl5bb rexbidva wb divides mpan bitr4d
      2z rabbiia eqtri ) CADZEBDZFGZHZBIJZAIKEUMLMZAIKABNUQURAIUMIOZUQUNEFGZUMH
      ZBIJZURUSUPVABIUPUOUMHUSUNIOZPZVAUMUORVDUOUTUMVDEUNVDQVCUNSOUSUNTUAUBUCUD
      UEEIOUSURVBUFUJBEUMUGUHUIUKUL $.

    $( Alternate definition for odd numbers.  (Contributed by AV,
       18-Jun-2020.) $)
    dfodd3 $p |- Odd = { z e. ZZ | -. 2 || z } $=
      ( vi codd cv c2 cmul co c1 caddc wceq cz wrex crab cdvds wbr wn dfodd6 wb
      wcel wa eqcom a1i rexbidva odd2np1 bitr4d rabbiia eqtri ) CADZEBDZFGHIGZJ
      ZBKLZAKMEUHNOPZAKMABQULUMAKUHKSZULUJUHJZBKLUMUNUKUOBKUKUORUNUIKSTUHUJUAUB
      UCBUHUDUEUFUG $.
  $}

  ${
    $d Z z $.
    $( The predicate "is an even number".  An even number is an integer which
       is divisible by 2.  (Contributed by AV, 18-Jun-2020.) $)
    iseven2 $p |- ( Z e. Even <-> ( Z e. ZZ /\ 2 || Z ) ) $=
      ( vz c2 cv cdvds wbr cz ceven breq2 dfeven2 elrab2 ) CBDZEFCAEFBAGHLACEIB
      JK $.

    $( The predicate "is an odd number".  An odd number is an integer which is
       not divisible by 2.  (Contributed by AV, 18-Jun-2020.) $)
    isodd3 $p |- ( Z e. Odd <-> ( Z e. ZZ /\ -. 2 || Z ) ) $=
      ( vz c2 cv cdvds wbr wn cz codd wceq breq2 notbid dfodd3 elrab2 ) CBDZEFZ
      GCAEFZGBAHIOAJPQOACEKLBMN $.
  $}

  $( 2 divides an even number.  (Contributed by AV, 18-Jun-2020.) $)
  2dvdseven $p |- ( Z e. Even -> 2 || Z ) $=
    ( ceven wcel cz c2 cdvds wbr iseven2 simprbi ) ABCADCEAFGAHI $.

  $( A multiple of 2 is an even number.  (Contributed by AV, 5-Jun-2023.) $)
  m2even $p |- ( Z e. ZZ -> ( 2 x. Z ) e. Even ) $=
    ( cz wcel c2 co cdvds wbr ceven 2z a1i id zmulcld dvdsmul1 iseven2 sylanbrc
    cmul mpan ) ABCZDAPEZBCDSFGZSHCRDADBCZRIJRKLUARTIDAMQSNO $.

  $( 2 does not divide an odd number.  (Contributed by AV, 18-Jun-2020.) $)
  2ndvdsodd $p |- ( Z e. Odd -> -. 2 || Z ) $=
    ( codd wcel cz c2 cdvds wbr wn isodd3 simprbi ) ABCADCEAFGHAIJ $.

  $( 2 divides an odd number increased by 1.  (Contributed by AV,
     18-Jun-2020.) $)
  2dvdsoddp1 $p |- ( Z e. Odd -> 2 || ( Z + 1 ) ) $=
    ( codd wcel c2 cdvds wbr wn c1 caddc co 2ndvdsodd cz wb oddp1even syl mpbid
    oddz ) ABCZDAEFGZDAHIJEFZAKRALCSTMAQANOP $.

  $( 2 divides an odd number decreased by 1.  (Contributed by AV,
     18-Jun-2020.) $)
  2dvdsoddm1 $p |- ( Z e. Odd -> 2 || ( Z - 1 ) ) $=
    ( codd wcel c2 cdvds wbr wn c1 cmin co 2ndvdsodd cz wb oddz oddm1even mpbid
    syl ) ABCZDAEFGZDAHIJEFZAKRALCSTMANAOQP $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Alternate definitions using the "modulo" operation
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Alternate definition for even numbers.  (Contributed by AV,
     18-Jun-2020.) $)
  dfeven3 $p |- Even = { z e. ZZ | ( z mod 2 ) = 0 } $=
    ( ceven cv c2 cdiv co cz wcel crab cmo cc0 wceq df-even cr crp zre 2rp mod0
    wb sylancl bicomd rabbiia eqtri ) BACZDEFGHZAGIUDDJFKLZAGIAMUEUFAGUDGHZUFUE
    UGUDNHDOHUFUESUDPQUDDRTUAUBUC $.

  $( Alternate definition for odd numbers.  (Contributed by AV,
     18-Jun-2020.) $)
  dfodd4 $p |- Odd = { z e. ZZ | ( z mod 2 ) = 1 } $=
    ( codd cv c1 cmin co c2 cdiv cz wcel crab cmo dfodd2 cc0 cr crp wb peano2zm
    wceq a1i zred 2rp sylancl clt wbr zre 2re m1mod0mod1 syl3anc bitr3d rabbiia
    mod0 1lt2 eqtri ) BACZDEFZGHFIJZAIKUOGLFDSZAIKAMUQURAIUOIJZUPGLFNSZUQURUSUP
    OJGPJUTUQQUSUPUORUAUBUPGULUCUSUOOJGOJZDGUDUEZUTURQUOUFVAUSUGTVBUSUMTUOGUHUI
    UJUKUN $.

  $( Alternate definition for odd numbers.  (Contributed by AV,
     18-Jun-2020.) $)
  dfodd5 $p |- Odd = { z e. ZZ | ( z mod 2 ) =/= 0 } $=
    ( codd cv c2 cmo co c1 wceq cz crab cc0 wne dfodd4 wcel cpr wb elmod2 prcom
    eleq2i biimpi ax-1ne0 elprneb sylancl syl rabbiia eqtri ) BACZDEFZGHZAIJUHK
    LZAIJAMUIUJAIUGINUHKGOZNZUIUJPZUGQULUHGKOZNZGKLUMULUOUKUNUHKGRSTUAUHGKUBUCU
    DUEUF $.

  $( The floor of an even number divided by 2 is equal to the even number
     divided by 2.  (Contributed by AV, 7-Jun-2020.)  (Revised by AV,
     18-Jun-2020.) $)
  zefldiv2ALTV $p |- ( N e. Even -> ( |_ ` ( N / 2 ) ) = ( N / 2 ) ) $=
    ( ceven wcel c2 cdiv co cz cfl cfv wceq evendiv2z flid syl ) ABCADEFZGCNHIN
    JAKNLM $.

  $( The floor of an odd numer divided by 2 is equal to the odd number first
     decreased by 1 and then divided by 2.  (Contributed by AV, 7-Jun-2020.)
     (Revised by AV, 18-Jun-2020.) $)
  zofldiv2ALTV $p |- ( N e. Odd -> ( |_ ` ( N / 2 ) ) = ( ( N - 1 ) / 2 ) ) $=
    ( codd wcel c2 cdiv co cfl cfv c1 cmin caddc cc wceq oddz zcnd npcan1 eqtrd
    cc0 wa wbr eqcomd oveq1d wne peano2cnm 2cnne0 a1i divdir syl3anc syl fveq2d
    1cnd cle clt halfge0 halflt1 pm3.2i cz cr wb oddm1div2z halfre flbi2 mpbiri
    sylancl ) ABCZADEFZGHAIJFZDEFZIDEFZKFZGHZVHVEVFVJGVEALCZVFVJMVEAANOVLVFVGIK
    FZDEFZVJVLAVMDEVLVMAAPUAUBVLVGLCILCDLCDRUCSZVNVJMAUDVLUKVOVLUEUFVGIDUGUHQUI
    UJVEVKVHMZRVIULTZVIIUMTZSZVQVRUNUOUPVEVHUQCVIURCVPVSUSAUTVAVIVHVBVDVCQ $.

  $( Odd number representation by using the floor function.  (Contributed by
     Glauco Siliprandi, 11-Dec-2019.)  (Revised by AV, 18-Jun-2020.) $)
  oddflALTV $p |- ( K e. Odd -> K = ( ( 2 x. ( |_ ` ( K / 2 ) ) ) + 1 ) ) $=
    ( codd wcel c2 cdiv co cfl cmul c1 caddc cmin zofldiv2ALTV oveq2d oveq1d cz
    cfv cc oddz zcnd syl peano2zm 2cnd cc0 wne 2ne0 a1i divcan2d npcan1 3eqtrrd
    wceq ) ABCZDADEFGPZHFZIJFDAIKFZDEFZHFZIJFUNIJFZAUKUMUPIJUKULUODHALMNUKUPUNI
    JUKUNDUKAOCZUNQCARZURUNAUASTUKUBDUCUDUKUEUFUGNUKAQCUQAUJUKAUSSAUHTUI $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Alternate definitions using the "gcd" operation
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The predicate "is an even number".  An even number and 2 have 2 as
     greatest common divisor.  (Contributed by AV, 1-Jul-2020.) $)
  iseven5 $p |- ( Z e. Even <-> ( Z e. ZZ /\ ( 2 gcd Z ) = 2 ) ) $=
    ( ceven wcel cz c2 cdvds wbr wa cgcd co wceq iseven2 2nn gcdzeq mpan bicomd
    cn wb pm5.32i bitri ) ABCADCZEAFGZHUAEAIJEKZHALUAUBUCUAUCUBEQCUAUCUBRMEANOP
    ST $.

  $( The predicate "is an odd number".  An odd number and 2 have 1 as greatest
     common divisor.  (Contributed by AV, 1-Jul-2020.) $)
  isodd7 $p |- ( Z e. Odd <-> ( Z e. ZZ /\ ( 2 gcd Z ) = 1 ) ) $=
    ( codd wcel cz c2 cdvds wn wa cgcd co c1 wceq isodd3 cprime 2prm coprm mpan
    wbr wb pm5.32i bitri ) ABCADCZEAFRGZHUBEAIJKLZHAMUBUCUDENCUBUCUDSOEAPQTUA
    $.

  ${
    $d x z $.
    $( Alternate definition for even numbers.  (Contributed by AV,
       1-Jul-2020.) $)
    dfeven5 $p |- Even = { z e. ZZ | ( 2 gcd z ) = 2 } $=
      ( vx ceven c2 cv cgcd co wceq cz crab wcel iseven5 weq oveq2 eqeq1d elrab
      wa bitr4i eqriv ) BCDAEZFGZDHZAIJZBEZCKUDIKDUDFGZDHZQUDUCKUDLUBUFAUDIABMU
      AUEDTUDDFNOPRS $.

    $( Alternate definition for odd numbers.  (Contributed by AV,
       1-Jul-2020.) $)
    dfodd7 $p |- Odd = { z e. ZZ | ( 2 gcd z ) = 1 } $=
      ( vx codd c2 cv cgcd co c1 wceq cz crab wcel wa isodd7 oveq2 eqeq1d elrab
      weq bitr4i eqriv ) BCDAEZFGZHIZAJKZBEZCLUEJLDUEFGZHIZMUEUDLUENUCUGAUEJABR
      UBUFHUAUEDFOPQST $.
  $}

  $( The greatest common divisor of an odd number and 2 is 1, i.e., 2 and any
     odd number are coprime.  Remark:  The proof using ~ dfodd7 is longer (see
     proof in comment)!  (Contributed by AV, 5-Jun-2023.) $)
  gcd2odd1 $p |- ( Z e. Odd -> ( Z gcd 2 ) = 1 ) $=
    ( codd wcel c2 cgcd co c1 cz wceq oddz 2z gcdcom sylancl cdvds wn 2ndvdsodd
    wbr cprime wb 2prm coprm sylancr mpbid eqtrd ) ABCZADEFZDAEFZGUEAHCZDHCUFUG
    IAJZKADLMUEDANQOZUGGIZAPUEDRCUHUJUKSTUIDAUAUBUCUD $.
   $( vz c2 cgcd co c1 wceq cv cz crab codd wcel oveq2 eqeq1d elrab gcdcom mpan
    wa 2z biimpa sylbi dfodd7 eleq2s ) ACDEZFGZACBHZDEZFGZBIJZKAUILAILZCADEZFGZ
    RUEUHULBAIUFAGUGUKFUFACDMNOUJULUEUJUKUDFCILUJUKUDGSCAPQNTUABUBUC $)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Theorems of part 5 revised
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( No even integer equals an odd integer (i.e. no integer can be both even
     and odd).  Exercise 10(a) of [Apostol] p. 28.  (Contributed by NM,
     31-Jul-2004.)  (Revised by AV, 16-Jun-2020.) $)
  zneoALTV $p |- ( ( A e. Even /\ B e. Odd ) -> A =/= B ) $=
    ( codd wcel ceven wn wne oddneven nelne2 sylan2 ) BCDAEDBEDFABGBHABEIJ $.

  $( An integer is even or odd.  (Contributed by NM, 1-Jan-2006.)  (Revised by
     AV, 16-Jun-2020.) $)
  zeoALTV $p |- ( Z e. ZZ -> ( Z e. Even \/ Z e. Odd ) ) $=
    ( cz wcel c2 cdiv co wa c1 caddc wo ceven codd zeo ancli sylib iseven isodd
    andi orbi12i sylibr ) ABCZUAADEFBCZGZUAAHIFDEFBCZGZJZAKCZALCZJUAUAUBUDJZGUF
    UAUIAMNUAUBUDROUGUCUHUEAPAQST $.

  $( An integer is even or odd but not both.  (Contributed by Mario Carneiro,
     12-Sep-2015.)  (Revised by AV, 16-Jun-2020.) $)
  zeo2ALTV $p |- ( Z e. ZZ -> ( Z e. Even <-> -. Z e. Odd ) ) $=
    ( cz wcel ceven codd wn evennodd wo wi zeoALTV ax-1 pm2.24 jaoi syl impbid2
    ) ABCZADCZAECZFZAGPQRHSQIZAJQTRQSKRQLMNO $.

  $( A positive integer is even or odd but not both.  (Contributed by NM,
     1-Jan-2006.)  (Revised by AV, 19-Jun-2020.) $)
  nneoALTV $p |- ( N e. NN -> ( N e. Even <-> -. N e. Odd ) ) $=
    ( cn wcel cz ceven codd wn wb nnz zeo2ALTV syl ) ABCADCAECAFCGHAIAJK $.

  ${
    nneoiALTV.1 $e |- N e. NN $.
    $( A positive integer is even or odd but not both.  (Contributed by NM,
       20-Aug-2001.)  (Revised by AV, 19-Jun-2020.) $)
    nneoiALTV $p |- ( N e. Even <-> -. N e. Odd ) $=
      ( cn wcel ceven codd wn wb nneoALTV ax-mp ) ACDAEDAFDGHBAIJ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Theorems of part 6 revised
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d N n z $.
    $( An integer is odd iff it is one plus twice another integer.
       (Contributed by Scott Fenton, 3-Apr-2014.)  (Revised by AV,
       19-Jun-2020.) $)
    odd2np1ALTV $p |- ( N e. ZZ ->
      ( N e. Odd <-> E. n e. ZZ ( ( 2 x. n ) + 1 ) = N ) ) $=
      ( vz cz wcel c2 cv cmul co c1 caddc wceq wrex wa codd ibar wb a1i rexbidv
      eqcom eqeq1 dfodd6 elrab2 3bitr4rd ) BDEZBFAGHIJKIZLZADMZUEUHNZUFBLZADMBO
      EZUEUHPUEUJUGADUJUGQUEUFBTRSUKUIQUECGZUFLZADMUHCBDOULBLUMUGADULBUFUASCAUB
      UCRUD $.
  $}

  $( An integer is odd iff its predecessor is even.  (Contributed by Mario
     Carneiro, 5-Sep-2016.)  (Revised by AV, 19-Jun-2020.) $)
  oddm1evenALTV $p |- ( N e. ZZ -> ( N e. Odd <-> ( N - 1 ) e. Even ) ) $=
    ( cz wcel codd c1 cmin co c2 cdiv wa ceven isodd2 peano2zm biantrurd iseven
    baib bitrd bitr4di ) ABCZADCZAEFGZBCZUAHIGBCZJZUAKCSTUCUDTSUCALPSUBUCAMNQUA
    OR $.

  $( An integer is odd iff its successor is even.  (Contributed by Mario
     Carneiro, 5-Sep-2016.)  (Revised by AV, 19-Jun-2020.) $)
  oddp1evenALTV $p |- ( N e. ZZ -> ( N e. Odd <-> ( N + 1 ) e. Even ) ) $=
    ( cz wcel codd c1 caddc co c2 cdiv ceven isodd baib peano2z biantrurd bitrd
    wa iseven bitr4di ) ABCZADCZAEFGZBCZUAHIGBCZPZUAJCSTUCUDTSUCAKLSUBUCAMNOUAQ
    R $.

  ${
    $d A n $.  $d N n $.
    $( The exponential of the negative of a number, when the exponent is odd.
       (Contributed by Mario Carneiro, 25-Apr-2015.)  (Revised by AV,
       19-Jun-2020.)  (Proof shortened by AV, 10-Jul-2022.) $)
    oexpnegALTV $p |- ( ( A e. CC /\ N e. NN /\ N e. Odd ) ->
      ( -u A ^ N ) = -u ( A ^ N ) ) $=
      ( vn wcel c2 cmul co c1 wceq cneg cz syl wa cn0 oveq1d a1i expmuld expp1d
      cexp eqtr3d cc cn codd w3a cv caddc wrex wb oddz odd2np1ALTV ibi 3ad2ant3
      simpl1 cmin simprr simpl2 nncnd 1cnd 2z simprl zmulcl sylancr zcnd mpbird
      subadd2d nnm1nn0 eqeltrrd expcld mulneg2d negcld cc0 cle wbr crp 2rp zred
      sqneg nn0ge0d prodge0rd elnn0z sylanbrc 3eqtr4d oveq2d negeqd rexlimddv
      2nn0 ) AUADZBUBDZBUCDZUDZECUEZFGZHUFGZBIZAJZBSGZABSGZJZICKWIWGWNCKUGZWHWI
      WSWIBKDWIWSUHBUICBUJLUKULWJWKKDZWNMZMZAWLSGZAFGZJZWPWRXBXCWOFGZXEWPXBXCAX
      BAWLWGWHWIXAUMZXBBHUNGZWLNXBXHWLIWNWJWTWNUOZXBBHWLXBBWGWHWIXAUPZUQXBURXBW
      LXBEKDWTWLKDUSWJWTWNUTZEWKVAVBVCVEVDXBWHXHNDXJBVFLVGZVHXGVIXBWOWLSGZWOFGZ
      XFWPXBXMXCWOFXBWOESGZWKSGAESGZWKSGXMXCXBXOXPWKSXBWGXOXPIXGAVQLOXBWOEWKXBA
      XGVJZXBWTVKWKVLVMWKNDXKXBEWKEVNDXBVOPXBWKXKVPXBWLXLVRVSWKVTWAZENDXBWFPZQX
      BAEWKXGXRXSQWBOXBWOWMSGXNWPXBWOWLXQXLRXBWMBWOSXIWCTTTXBXDWQXBAWMSGXDWQXBA
      WLXGXLRXBWMBASXIWCTWDTWE $.

    $( The exponential of the negative of a number not being 0, when the
       exponent is odd.  (Contributed by AV, 19-Jun-2020.) $)
    oexpnegnz $p |- ( ( A e. CC /\ A =/= 0 /\ N e. Odd )
                      -> ( -u A ^ N ) = -u ( A ^ N ) ) $=
      ( vn cc wcel cc0 wne c2 cmul co wceq cneg cexp cz syl wa 2z oveq1d eqtr3d
      jca31 codd w3a cv c1 caddc wrex wb oddz odd2np1ALTV biimpd pm2.43i simpl1
      3ad2ant3 simpl2 simprl zmulcl sylancr expclzd mulneg2d negcld negne0d a1i
      sqneg simpl adantl expmulz 3eqtr4d expp1zd simprr oveq2d negeqd rexlimddv
      jca ) ADEZAFGZBUAEZUBZHCUCZIJZUDUEJZBKZALZBMJZABMJZLZKCNVPVNWACNUFZVOVPWF
      VPVPWFVPBNEVPWFUGBUHCBUIOUJUKUMVQVRNEZWAPZPZAVSMJZAIJZLZWCWEWIWJWBIJZWLWC
      WIWJAWIAVSVNVOVPWHULZVNVOVPWHUNZWIHNEZWGVSNEQVQWGWAUOHVRUPUQZURWNUSWIWBVS
      MJZWBIJZWMWCWIWRWJWBIWIWBHMJZVRMJZAHMJZVRMJZWRWJWIWTXBVRMWIVNWTXBKWNAVCOR
      WIWBDEZWBFGZPWPWGPZPWRXAKWIXDXEXFWIAWNUTZWIAWNWOVAZWHXFVQWHWPWGWPWHQVBWGW
      AVDVMVEZTWBHVRVFOWIVNVOPXFPWJXCKWIVNVOXFWNWOXITAHVRVFOVGRWIWBVTMJWSWCWIWB
      VSXGXHWQVHWIVTBWBMVQWGWAVIZVJSSSWIWKWDWIAVTMJWKWDWIAVSWNWOWQVHWIVTBAMXJVJ
      SVKSVL $.
  $}

  $( Value of the zeroth bit.  (Contributed by Mario Carneiro, 5-Sep-2016.)
     (Revised by AV, 19-Jun-2020.) $)
  bits0ALTV $p |- ( N e. ZZ -> ( 0 e. ( bits ` N ) <-> N e. Odd ) ) $=
    ( cz wcel cc0 cbits cfv c2 cexp co cdiv cfl cdvds wbr wn codd 0nn0 bitsval2
    cn0 wb c1 mpan2 cc wceq 2cn exp0 ax-mp oveq2i zcn div1d syl5eq fveq2d eqtrd
    flid breq2d notbid isodd3 baibr 3bitrd ) ABCZDAEFCZGAGDHIZJIZKFZLMZNZGALMZN
    ZAOCZUSDRCUTVESPDAQUAUSVDVFUSVCAGLUSVCAKFAUSVBAKUSVBATJIAVATAJGUBCVATUCUDGU
    EUFUGUSAAUHUIUJUKAUMULUNUOVHUSVGAUPUQUR $.

  $( The zeroth bit of an even number is zero.  (Contributed by Mario Carneiro,
     5-Sep-2016.)  (Revised by AV, 19-Jun-2020.) $)
  bits0eALTV $p |- ( N e. Even -> -. 0 e. ( bits ` N ) ) $=
    ( ceven wcel cc0 cbits cfv codd evennodd cz wb evenz bits0ALTV syl mtbird )
    ABCZDAEFCZAGCZAHOAICPQJAKALMN $.

  $( The zeroth bit of an odd number is zero.  (Contributed by Mario Carneiro,
     5-Sep-2016.)  (Revised by AV, 19-Jun-2020.) $)
  bits0oALTV $p |- ( N e. Odd -> 0 e. ( bits ` N ) ) $=
    ( codd wcel cc0 cbits cfv cz wb oddz bits0ALTV syl ibir ) ABCZDAEFCZMAGCNMH
    AIAJKL $.

  $( Either ` A / ( A gcd B ) ` is odd or ` B / ( A gcd B ) ` is odd.
     (Contributed by Scott Fenton, 19-Apr-2014.)  (Revised by AV,
     21-Jun-2020.) $)
  divgcdoddALTV $p |- ( ( A e. NN /\ B e. NN ) ->
    ( ( A / ( A gcd B ) ) e. Odd \/ ( B / ( A gcd B ) ) e. Odd ) ) $=
    ( cn wcel wa co cdiv cz c2 cdvds wbr wn wo codd nnz cc0 wceq adantr mpbid
    wb cgcd divgcdodd gcddvds syl2an simpld wne anim12i neneqd intnanrd gcdn0cl
    syl2anc nnzd nnne0d dvdsval2 syl3anc biantrurd simprd adantl orbi12d isodd3
    nnne0 orbi12i sylibr ) ACDZBCDZEZAABUAFZGFZHDZIVHJKLZEZBVGGFZHDZIVLJKLZEZMZ
    VHNDZVLNDZMVFVJVNMVPABUBVFVJVKVNVOVFVIVJVFVGAJKZVIVFVSVGBJKZVDAHDZBHDZVSVTE
    VEAOZBOZABUCUDZUEVFVGHDZVGPUFZWAVSVITVFVGVFWAWBEAPQZBPQZELZVGCDVDWAVEWBWCWD
    UGVDWJVEVDWHWIVDAPAVAUHUIRABUJUKZULZVFVGWKUMZVDWAVEWCRVGAUNUOSUPVFVMVNVFVTV
    MVFVSVTWEUQVFWFWGWBVTVMTWLWMVEWBVDWDURVGBUNUOSUPUSSVQVKVRVOVHUTVLUTVBVC $.

  ${
    $d A a i j n z $.  $d B b i j n z $.
    $( The sum of two odds is even.  (Contributed by Scott Fenton, 7-Apr-2014.)
       (Revised by AV, 20-Jun-2020.) $)
    opoeALTV $p |- ( ( A e. Odd /\ B e. Odd ) -> ( A + B ) e. Even ) $=
      ( vn vi vj codd wcel wa caddc co cz c2 cv cmul wceq wrex c1 wi imp cc zcn
      va vb vz ceven oddz zaddcl syl2an eqeq1 rexbidv dfodd6 elrab2 ex ad3antlr
      adantr peano2zd wb oveq2 eqeq2d adantl oveq12 2cnd anim1i ancoms syl 1cnd
      mulcl sylan add4d simpl simpr adddid oveq1d addcl 1p1e2 eqtr4i a1i oveq2d
      2t1e2 3eqtr4rd eqtrd rspcedvd rexlimdva2 expimpd syl5bi dfeven4 sylanbrc
      sylbi ) AFGZBFGZHABIJZKGZWKLCMZNJZOZCKPZWKUEGWIAKGZBKGZWLWJAUFBUFABUGUHWI
      WJWPWIWQALDMZNJZQIJZOZDKPZHZWJWPRUBMZXAOZDKPXCUBAKFXEAOXFXBDKXEAXAUIUJUBD
      UKULWJWRBLEMZNJZQIJZOZEKPZHZXDWPUCMZXIOZEKPXKUCBKFXMBOXNXJEKXMBXIUIUJUCEU
      KULWQXCXLWPRZWQXBXODKWQWSKGZHZXBHZWRXKWPXRWRHZXJWPEKXSXGKGZHZXJHZWOWKLWSX
      GIJZQIJZNJZOZCYDKYBYCYAYCKGZXJXSXTYGXPXTYGRWQXBWRXPXTYGWSXGUGUMUNSUOUPWMY
      DOZWOYFUQYBYHWNYEWKWMYDLNURUSUTYBWKXAXIIJZYEYAXJWKYIOZXBXJYJRXQWRXTXBXJYJ
      AXABXIIVAUMUNSYAYIYEOZXJXSXTYKXPXTYKRWQXBWRXPXTYKXPWSTGZXGTGZYKXTWSUAXGUA
      YLYMHZYIWTXHIJZQQIJZIJZYEYNWTQXHQYNLTGZYLHZWTTGYMYLYSYMYRYLYMVBVCVDLWSVGV
      EYNVFZYLYRYMXHTGYLVBLXGVGVHYTVIYNLYCNJZLQNJZIJYOUUBIJYEYQYNUUAYOUUBIYNLWS
      XGYNVBZYLYMVJYLYMVKVLVMYNLYCQUUCWSXGVNYTVLYNYPUUBYOIYPUUBOYNYPLUUBVOVSVPV
      QVRVTWAUHUMUNSUOWAWBWCWDWCSWEWHSUDMZWNOZCKPWPUDWKKUEUUDWKOUUEWOCKUUDWKWNU
      IUJUDCWFULWG $.

    $( The sum of an odd and an even is odd.  (Contributed by Scott Fenton,
       7-Apr-2014.)  (Revised by AV, 20-Jun-2020.) $)
    opeoALTV $p |- ( ( A e. Odd /\ B e. Even ) -> ( A + B ) e. Odd ) $=
      ( vn vi vj codd wcel wa caddc co cz c2 cv cmul c1 wceq wrex wi imp cc zcn
      va vb vz ceven evenz zaddcl syl2an eqeq1 rexbidv dfodd6 elrab2 dfeven4 ex
      oddz ad3antlr adantr oveq2 oveq1d eqeq2d adantl oveq12 2cnd mulcld ancoms
      1cnd mulcl add32d adddid eqcomd eqtrd rspcedvd rexlimdva2 r19.29an syl5bi
      wb expimpd sylbi sylanbrc ) AFGZBUEGZHABIJZKGZWBLCMZNJZOIJZPZCKQZWBFGVTAK
      GZBKGZWCWAAUOBUFABUGUHVTWAWHVTWIALDMZNJZOIJZPZDKQZHZWAWHRUBMZWMPZDKQWOUBA
      KFWQAPWRWNDKWQAWMUIUJUBDUKULWAWJBLEMZNJZPZEKQZHZWPWHUCMZWTPZEKQXBUCBKUEXD
      BPXEXAEKXDBWTUIUJUCEUMULWIWNXCWHRDKWIWKKGZHZWNHZWJXBWHXHWJHZXAWHEKXIWSKGZ
      HZXAHZWGWBLWKWSIJZNJZOIJZPZCXMKXKXMKGZXAXIXJXQXFXJXQRWIWNWJXFXJXQWKWSUGUN
      UPSUQWDXMPZWGXPVPXLXRWFXOWBXRWEXNOIWDXMLNURUSUTVAXLWBWMWTIJZXOXKXAWBXSPZW
      NXAXTRXGWJXJWNXAXTAWMBWTIVBUNUPSXKXSXOPZXAXIXJYAXFXJYARWIWNWJXFXJYAXFXJHZ
      XSWLWTIJZOIJXOYBWLOWTXJXFWLTGXJXFHZLWKYDVCXFWKTGZXJWKUAZVAVDVEYBVFXFLTGWS
      TGZWTTGXJXFVCWSUAZLWSVGUHVHYBYCXNOIYBXNYCYBLWKWSYBVCXFYEXJYFUQXJYGXFYHVAV
      IVJUSVKUNUPSUQVKVLVMVQVNVOVRSUDMZWFPZCKQWHUDWBKFYIWBPYJWGCKYIWBWFUIUJUDCU
      KULVS $.
  $}

  $( The difference of two odds is even.  (Contributed by Scott Fenton,
     7-Apr-2014.)  (Revised by AV, 20-Jun-2020.) $)
  omoeALTV $p |- ( ( A e. Odd /\ B e. Odd ) -> ( A - B ) e. Even ) $=
    ( codd wcel wa cneg caddc co cmin ceven cc wceq oddz negsub syl2an opoeALTV
    zcnd onego sylan2 eqeltrrd ) ACDZBCDZEABFZGHZABIHZJUAAKDBKDUDUELUBUAAAMQUBB
    BMQABNOUBUAUCCDUDJDBRAUCPST $.

  $( The difference of an odd and an even is odd.  (Contributed by Scott
     Fenton, 7-Apr-2014.)  (Revised by AV, 20-Jun-2020.) $)
  omeoALTV $p |- ( ( A e. Odd /\ B e. Even ) -> ( A - B ) e. Odd ) $=
    ( codd wcel ceven wa cneg caddc co cmin wceq oddz evenz negsub syl2an enege
    cc zcnd opeoALTV sylan2 eqeltrrd ) ACDZBEDZFABGZHIZABJIZCUBAQDBQDUEUFKUCUBA
    ALRUCBBMRABNOUCUBUDEDUECDBPAUDSTUA $.

  $( A prime not equal to ` 2 ` is odd.  (Contributed by Mario Carneiro,
     4-Feb-2015.)  (Revised by AV, 21-Jun-2020.) $)
  oddprmALTV $p |- ( N e. ( Prime \ { 2 } ) -> N e. Odd ) $=
    ( cprime c2 csn cdif wcel wne wa codd eldifsn cz cdvds wbr prmz adantr wceq
    wn c1 a1i sylanbrc wo necom df-ne sylbb adantl nesymi ioran cn wb dvdsprime
    1ne2 2nn sylan2 mtbird isodd3 sylbi ) ABCDEFABFZACGZHZAIFZABCJUSAKFZCALMZQU
    TUQVAURANOUSVBCAPZCRPZUAZUSVCQZVDQZVEQURVFUQURCAGVFACUBCAUCUDUEVGUSRCUKUFSV
    CVDUGTURUQCUHFZVBVEUIVHURULSACUJUMUNAUOTUP $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Theorems of AV's mathbox revised
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( 0 is an even number.  (Contributed by AV, 11-Feb-2020.)  (Revised by AV,
     17-Jun-2020.) $)
  0evenALTV $p |- 0 e. Even $=
    ( cc0 ceven wcel cz c2 cdiv co 0z 2cn 2ne0 div0i eqeltri iseven mpbir2an )
    ABCADCAEFGZDCHOADEIJKHLAMN $.

  $( 0 is not an odd number.  (Contributed by AV, 3-Feb-2020.)  (Revised by AV,
     17-Jun-2020.) $)
  0noddALTV $p |- 0 e/ Odd $=
    ( cc0 codd wnel ceven 0evenALTV wn df-nel cz wb zeo2ALTV bicomd ax-mp bitri
    wcel 0z mpbir ) ABCZADNZEQABNFZRABGAHNZSRIOTRSAJKLMP $.

  $( 1 is an odd number.  (Contributed by AV, 3-Feb-2020.)  (Revised by AV,
     18-Jun-2020.) $)
  1oddALTV $p |- 1 e. Odd $=
    ( c1 codd wcel cz caddc co c2 cdiv 1p1e2 oveq1i 2div2e1 eqtri eqeltri isodd
    1z mpbir2an ) ABCADCAAEFZGHFZDCORADRGGHFAQGGHIJKLOMANP $.

  $( 1 is not an even number.  (Contributed by AV, 12-Feb-2020.)  (Revised by
     AV, 18-Jun-2020.) $)
  1nevenALTV $p |- 1 e/ Even $=
    ( c1 codd wcel ceven wnel 1oddALTV wn cz wb 1z zeo2ALTV ax-mp df-nel bitr4i
    con2bii mpbi ) ABCZADEZFQADCZGRSQAHCSQGIJAKLOADMNP $.

  $( 2 is an even number.  (Contributed by AV, 12-Feb-2020.)  (Revised by AV,
     18-Jun-2020.) $)
  2evenALTV $p |- 2 e. Even $=
    ( c2 ceven wcel cz cdiv co 2z c1 2div2e1 1z eqeltri iseven mpbir2an ) ABCAD
    CAAEFZDCGNHDIJKALM $.

  $( 2 is not an odd number.  (Contributed by AV, 3-Feb-2020.)  (Revised by AV,
     18-Jun-2020.) $)
  2noddALTV $p |- 2 e/ Odd $=
    ( c2 codd wnel ceven wcel 2evenALTV wn df-nel cz wb 2z zeo2ALTV ax-mp bitri
    bicomd mpbir ) ABCZADEZFQABEGZRABHAIEZSRJKTRSALOMNP $.

  $( An odd nonnegative integer is either 1 or greater than 2.  (Contributed by
     AV, 2-Jun-2020.)  (Revised by AV, 21-Jun-2020.) $)
  nn0o1gt2ALTV $p |- ( ( N e. NN0 /\ N e. Odd ) -> ( N = 1 \/ 2 < N ) ) $=
    ( wcel codd wceq c2 wbr wo cc0 wi a1d eleq1 wnel df-nel pm2.21 sylbi syl6bi
    wn ax-mp jaoi imp cn0 c1 clt cn elnn0 cuz cfv elnn1uz2 orc cz cle wa eluz1i
    2z cr 2re a1i zre leloed olc wb eqcoms 2noddALTV 0noddALTV ) AUABZACBZAUBDZ
    EAUCFZGZVEAUDBZAHDZGVFVIIZAUEVJVLVKVJVGAEUFUGBZGVLAUHVGVLVMVGVIVFVGVHUIJVMA
    UJBZEAUKFZULVLEAUNUMVNVOVLVNVOVHEADZGVLVNEAEUOBVNUPUQAURUSVHVLVPVHVIVFVHVGU
    TJVPVFECBZVIVFVQVAAEAECKVBECLZVQVIIZVCVRVQQVSECMVQVINORPSPTOSOVKVFHCBZVIAHC
    KHCLZVTVIIZVDWAVTQWBHCMVTVINORPSOT $.

  $( An alternate characterization of an odd number greater than 1.
     (Contributed by AV, 2-Jun-2020.)  (Revised by AV, 21-Jun-2020.) $)
  nnoALTV $p |- ( ( N e. ( ZZ>= ` 2 ) /\ N e. Odd )
                 -> ( ( N - 1 ) / 2 ) e. NN ) $=
    ( c2 cuz cfv wcel codd wa c1 cmin co cz cc0 clt wbr cn oddm1div2z cr adantr
    cdiv a1i adantl eluz2b1 1red zre posdifd biimpa w3a peano2zm zred 2pos 3jca
    wb 2re gt0div syl mpbid sylbi elnnz sylanbrc ) ABCDEZAFEZGAHIJZBSJZKEZLVCMN
    ZVCOEVAVDUTAPUAUTVEVAUTAKEZHAMNZGZVEAUBVHLVBMNZVEVFVGVIVFHAVFUCAUDUEUFVHVBQ
    EZBQEZLBMNZUGZVIVEULVFVMVGVFVJVKVLVFVBAUHUIVKVFUMTVLVFUJTUKRVBBUNUOUPUQRVCU
    RUS $.

  $( An alternate characterization of an odd nonnegative integer.  (Contributed
     by AV, 28-May-2020.)  (Revised by AV, 21-Jun-2020.) $)
  nn0oALTV $p |- ( ( N e. NN0 /\ N e. Odd ) -> ( ( N - 1 ) / 2 ) e. NN0 ) $=
    ( cn0 wcel codd wa c1 cmin co c2 cz cc0 cle wbr oddm1div2z adantl wi cr a1i
    cdiv sylbi cn wceq wo elnn0 nnm1ge0 clt nnre peano2rem syl 2re 2pos syl3anc
    wb ge0div mpbid a1d eleq1 wnel 0noddALTV wn df-nel pm2.21 ax-mp syl6bi jaoi
    imp elnn0z sylanbrc ) ABCZADCZEAFGHZISHZJCZKVLLMZVLBCVJVMVIANOVIVJVNVIAUACZ
    AKUBZUCVJVNPZAUDVOVQVPVOVNVJVOKVKLMZVNAUEVOVKQCZIQCZKIUFMZVRVNUMVOAQCVSAUGA
    UHUIVTVOUJRWAVOUKRVKIUNULUOUPVPVJKDCZVNAKDUQKDURZWBVNPZUSWCWBUTWDKDVAWBVNVB
    TVCVDVETVFVLVGVH $.

  $( An alternate characterization of an even nonnegative integer.
     (Contributed by AV, 22-Jun-2020.) $)
  nn0e $p |- ( ( N e. NN0 /\ N e. Even ) -> ( N / 2 ) e. NN0 ) $=
    ( cn0 wcel ceven wa c2 cdiv co cz cc0 cle wbr nn0ge0 cr clt wb 2re a1i 2pos
    nn0re ge0div syl3anc mpbid evendiv2z anim12ci elnn0z sylibr ) ABCZADCZEAFGH
    ZICZJUJKLZEUJBCUHULUIUKUHJAKLZULAMUHANCFNCZJFOLZUMULPATUNUHQRUOUHSRAFUAUBUC
    AUDUEUJUFUG $.

  $( An alternate characterization of an even positive integer.  (Contributed
     by AV, 5-Jun-2023.) $)
  nneven $p |- ( ( N e. NN /\ N e. Even ) -> ( N / 2 ) e. NN ) $=
    ( cn wcel ceven wa c2 cdiv co cz cc0 clt wbr nnre cr 2re nngt0 2pos divgt0d
    a1i evendiv2z anim12ci elnnz sylibr ) ABCZADCZEAFGHZICZJUFKLZEUFBCUDUHUEUGU
    DAFAMFNCUDOSAPJFKLUDQSRATUAUFUBUC $.

  ${
    $d N m $.
    $( For each odd nonnegative integer there is a nonnegative integer which,
       multiplied by 2 and increased by 1, results in the odd nonnegative
       integer.  (Contributed by AV, 30-May-2020.)  (Revised by AV,
       22-Jun-2020.) $)
    nn0onn0exALTV $p |- ( ( N e. NN0 /\ N e. Odd )
                         -> E. m e. NN0 N = ( ( 2 x. m ) + 1 ) ) $=
      ( wcel codd c1 cmin co c2 cdiv cv cmul caddc wceq wrex nn0oALTV wa oveq1d
      cn0 cc syl simpr wb oveq2 eqeq2d adantl nn0cn peano2cnm 2cnd cc0 wne 2ne0
      a1i divcan2d npcan1 eqtr2d adantr rspcedvd syldan ) BRCZBDCBEFGZHIGZRCZBH
      AJZKGZELGZMZARNBOUSVBPZVFBHVAKGZELGZMZAVARUSVBUAVCVAMZVFVJUBVGVKVEVIBVKVD
      VHELVCVAHKUCQUDUEUSVJVBUSVIUTELGZBUSVHUTELUSUTHUSBSCZUTSCBUFZBUGTUSUHHUIU
      JUSUKULUMQUSVMVLBMVNBUNTUOUPUQUR $.

    $( For each even nonnegative integer there is a nonnegative integer which,
       multiplied by 2, results in the even nonnegative integer.  (Contributed
       by AV, 30-May-2020.)  (Revised by AV, 22-Jun-2020.) $)
    nn0enn0exALTV $p |- ( ( N e. NN0 /\ N e. Even )
                         -> E. m e. NN0 N = ( 2 x. m ) ) $=
      ( cn0 wcel ceven wa c2 cv cmul co wceq cdiv wb oveq2 eqeq2d adantl cc cc0
      nn0e wne nn0cn 2cnd 2ne0 a1i w3a divcan2 eqcomd syl3anc adantr rspcedvd )
      BCDZBEDZFZBGAHZIJZKZBGBGLJZIJZKZAUQCBSUNUQKZUPUSMUMUTUOURBUNUQGINOPUKUSUL
      UKBQDZGQDZGRTZUSBUAUKUBVCUKUCUDVAVBVCUEURBBGUFUGUHUIUJ $.

    $( For each even positive integer there is a positive integer which,
       multiplied by 2, results in the even positive integer.  (Contributed by
       AV, 5-Jun-2023.) $)
    nnennexALTV $p |- ( ( N e. NN /\ N e. Even )
                        -> E. m e. NN N = ( 2 x. m ) ) $=
      ( cn wcel ceven wa c2 cv cmul co wceq cdiv nneven oveq2 eqeq2d adantl cc0
      wb cc wne nncn 2cnd 2ne0 a1i w3a divcan2 eqcomd syl3anc adantr rspcedvd )
      BCDZBEDZFZBGAHZIJZKZBGBGLJZIJZKZAUQCBMUNUQKZUPUSRUMUTUOURBUNUQGINOPUKUSUL
      UKBSDZGSDZGQTZUSBUAUKUBVCUKUCUDVAVBVCUEURBBGUFUGUHUIUJ $.
  $}

  $( 2 to the power of a positive integer is even.  (Contributed by AV,
     2-Jun-2020.)  (Revised by AV, 20-Jun-2020.) $)
  nnpw2evenALTV $p |- ( N e. NN -> ( 2 ^ N ) e. Even ) $=
    ( cn wcel c2 cexp co cz cdvds wbr ceven cn0 2z nnnn0 sylancr iddvdsexp mpan
    zexpcl iseven2 sylanbrc ) ABCZDAEFZGCZDUAHIZUAJCTDGCZAKCUBLAMDAQNUDTUCLDAOP
    UARS $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Additional theorems
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The sum of an even and an odd is odd.  (Contributed by AV,
     24-Jul-2020.) $)
  epoo $p |- ( ( A e. Even /\ B e. Odd ) -> ( A + B ) e. Odd ) $=
    ( ceven wcel codd wa caddc co wceq evenz zcnd addcom syl2an opeoALTV ancoms
    cc oddz eqeltrd ) ACDZBEDZFABGHZBAGHZESAPDBPDUAUBITSAAJKTBBQKABLMTSUBEDBANO
    R $.

  $( The difference of an even and an odd is odd.  (Contributed by AV,
     24-Jul-2020.) $)
  emoo $p |- ( ( A e. Even /\ B e. Odd ) -> ( A - B ) e. Odd ) $=
    ( ceven wcel codd wa cneg caddc co cmin wceq evenz zcnd negsub syl2an onego
    cc oddz epoo sylan2 eqeltrrd ) ACDZBEDZFABGZHIZABJIZEUBAQDBQDUEUFKUCUBAALMU
    CBBRMABNOUCUBUDEDUEEDBPAUDSTUA $.

  $( The sum of two even numbers is even.  (Contributed by AV, 21-Jul-2020.) $)
  epee $p |- ( ( A e. Even /\ B e. Even ) -> ( A + B ) e. Even ) $=
    ( ceven wcel wa c1 caddc co cmin codd evenp1odd evenm1odd opoeALTV cc evenz
    syl2an wb zcnd adantr 1cnd adantl w3a ppncan eleq1d syl3anc mpbid ) ACDZBCD
    ZEZAFGHZBFIHZGHZCDZABGHZCDZUGUJJDUKJDUMUHAKBLUJUKMPUIANDZFNDZBNDZUMUOQUGUPU
    HUGAAORSUITUHURUGUHBBORUAUPUQURUBULUNCAFBUCUDUEUF $.

  $( The difference of two even numbers is even.  (Contributed by AV,
     21-Jul-2020.) $)
  emee $p |- ( ( A e. Even /\ B e. Even ) -> ( A - B ) e. Even ) $=
    ( ceven wcel wa cneg caddc co cmin wceq evenz zcnd negsub syl2an enege epee
    cc sylan2 eqeltrrd ) ACDZBCDZEABFZGHZABIHZCTAQDBQDUCUDJUATAAKLUABBKLABMNUAT
    UBCDUCCDBOAUBPRS $.

  $( If a summand is even, the other summand is even iff the sum is even.
     (Contributed by AV, 21-Jul-2020.) $)
  evensumeven $p |- ( ( A e. ZZ /\ B e. Even )
                      -> ( A e. Even <-> ( A + B ) e. Even ) ) $=
    ( cz wcel ceven wa caddc co wi epee expcom adantl cmin wceq zcn evenz pncan
    cc zcnd syl2an adantr simpr anim1i ancomd emee syl eqeltrrd ex impbid ) ACD
    ZBEDZFZAEDZABGHZEDZUKUMUOIUJUMUKUOABJKLULUOUMULUOFZUNBMHZAEULUQANZUOUJARDBR
    DURUKAOUKBBPSABQTUAUPUOUKFUQEDUPUKUOULUKUOUJUKUBUCUDUNBUEUFUGUHUI $.

  $( 3 is an odd number.  (Contributed by AV, 20-Jul-2020.) $)
  3odd $p |- 3 e. Odd $=
    ( c2 ceven wcel c3 codd 2evenALTV c1 caddc co df-3 evenp1odd eqeltrid ax-mp
    ) ABCZDECFNDAGHIEJAKLM $.

  $( 4 is an even number.  (Contributed by AV, 23-Jul-2020.) $)
  4even $p |- 4 e. Even $=
    ( c3 codd wcel c4 ceven 3odd c1 caddc co df-4 oddp1eveni eqeltrid ax-mp ) A
    BCZDECFNDAGHIEJAKLM $.

  $( 5 is an odd number.  (Contributed by AV, 23-Jul-2020.) $)
  5odd $p |- 5 e. Odd $=
    ( c4 ceven wcel c5 codd 4even c1 caddc co df-5 evenp1odd eqeltrid ax-mp ) A
    BCZDECFNDAGHIEJAKLM $.

  $( 6 is an even number.  (Contributed by AV, 20-Jul-2020.) $)
  6even $p |- 6 e. Even $=
    ( c6 ceven wcel cz c2 cdiv co 6nn nnzi c3 cmul 3t2e6 eqcomi oveq1i 3cn 2ne0
    2cn divcan4i eqtri 3z eqeltri iseven mpbir2an ) ABCADCAEFGZDCAHIUDJDUDJEKGZ
    EFGJAUEEFUEALMNJEOQPRSTUAAUBUC $.

  $( 7 is an odd number.  (Contributed by AV, 20-Jul-2020.) $)
  7odd $p |- 7 e. Odd $=
    ( c7 c6 c1 caddc co codd df-7 ceven wcel 6even evenp1odd ax-mp eqeltri ) AB
    CDEZFGBHINFIJBKLM $.

  $( 8 is an even number.  (Contributed by AV, 23-Jul-2020.) $)
  8even $p |- 8 e. Even $=
    ( c8 ceven wcel cz c2 cdiv co 8nn nnzi c4 cmul 4t2e8 eqcomi oveq1i 4cn 2ne0
    2cn divcan4i eqtri 4z eqeltri iseven mpbir2an ) ABCADCAEFGZDCAHIUDJDUDJEKGZ
    EFGJAUEEFUEALMNJEOQPRSTUAAUBUC $.

  $( A prime number is even iff it is 2.  (Contributed by AV, 21-Jul-2020.) $)
  evenprm2 $p |- ( P e. Prime -> ( P e. Even <-> P = 2 ) ) $=
    ( cprime wcel ceven c2 wceq wi 2a1 wn wa csn cdif codd df-ne biimpri anim2i
    wne ancoms eldifsn sylibr oddprmALTV oddneven pm2.21d 3syl ex pm2.61i eleq1
    2evenALTV mpbiri impbid1 ) ABCZADCZAEFZUMUKULUMGZGUMUKULHUMIZUKUNUOUKJZABEK
    LCZAMCZUNUPUKAEQZJZUQUKUOUTUOUSUKUSUOAENOPRABESTAUAURULUMAUBUCUDUEUFUMULEDC
    UHAEDUGUIUJ $.

  $( Every prime number not being 2 is an odd prime number.  (Contributed by
     AV, 21-Aug-2021.) $)
  oddprmne2 $p |- ( ( P e. Prime /\ P e. Odd ) <-> P e. ( Prime \ { 2 } ) ) $=
    ( cprime wcel codd wa c2 wne csn cdif wn wceq ceven cz wb prmz zeo2ALTV syl
    evenprm2 bitr3d nne bitr4di con4bid pm5.32i eldifsn bitr4i ) ABCZADCZEUFAFG
    ZEABFHICUFUGUHUFUGUHUFUGJZAFKZUHJUFALCZUIUJUFAMCUKUINAOAPQARSAFTUAUBUCABFUD
    UE $.

  $( A prime number which is odd is an integer greater than or equal to 3.
     (Contributed by AV, 20-Jul-2020.)  (Proof shortened by AV,
     21-Aug-2021.) $)
  oddprmuzge3 $p |- ( ( P e. Prime /\ P e. Odd ) -> P e. ( ZZ>= ` 3 ) ) $=
    ( cprime wcel codd wa c2 csn cdif c3 cuz cfv oddprmne2 oddprmge3 sylbi ) AB
    CADCEABFGHCAIJKCALAMN $.

  $( If an even number is greater than another even number, then it is greater
     than or equal to the other even number plus 2.  (Contributed by AV,
     25-Dec-2021.) $)
  evenltle $p |- ( ( N e. Even /\ M e. Even /\ M < N ) -> ( M + 2 ) <_ N ) $=
    ( ceven wcel clt wbr caddc co cle wa c1 cz wb evenz zltp1le syl2anr wceq cr
    zred sylbid c2 peano2re syl leloe peano2zd zcnd adantl add1p1 breq1d biimpd
    wo cc codd wi evenp1odd zneoALTV eqneqall eqcoms syl5com sylan2 jaod 3impia
    wne ) BCDZACDZABEFZAUAGHZBIFZVDVEJZVFAKGHZBIFZVHVEALDBLDZVFVKMVDANZBNZABOPV
    IVKVJBEFZVJBQZUKZVHVEVJRDZBRDVKVQMVDVEARDVRVEAVMSAUBUCVDBVNSVJBUDPVIVOVHVPV
    IVOVJKGHZBIFZVHVEVJLDVLVOVTMVDVEAVMUEVNVJBOPVIVTVHVIVSVGBIVIAULDZVSVGQVEWAV
    DVEAVMUFUGAUHUCUIUJTVEVDVJUMDZVPVHUNAUOVDWBJBVJVCZVPVHBVJUPWCVHUNBVJVHBVJUQ
    URUSUTVATTVB $.

  $( If an odd number is the sum of two prime numbers, one of the prime numbers
     must be 2.  (Contributed by AV, 26-Dec-2021.) $)
  odd2prm2 $p |- ( ( N e. Odd /\ ( P e. Prime /\ Q e. Prime )
                      /\ N = ( P + Q ) )
                    -> ( P = 2 \/ Q = 2 ) ) $=
    ( c2 wceq codd cprime wa caddc wi wn wne df-ne eldifsn oddprmALTV sylbir ex
    wcel syl5bir a1d co w3a eleq1 ceven evennodd pm2.21d cdif im2anan9 opoeALTV
    wo csn imp syl syl11 expd syl6bi 3imp231 com12 orc olc pm2.61ii ) ADEZBDEZC
    FRZAGRZBGRZHZCABIUAZEZUBZVBVCUJZJZVBKZVCKZVLVJVMVNHZVKVIVDVGVOVKJZVIVDVHFRZ
    VGVPJCVHFUCVQVGVOVKVHUDRZVQVKVGVOHZVRVQVKVHUEUFVSAFRZBFRZHZVRVGVOWBVEVMVTVF
    VNWAVMADLZVEVTADMVEWCVTVEWCHAGDUKUGZRVTAGDNAOPQSVNBDLZVFWABDMVFWEWAVFWEHBWD
    RWABGDNBOPQSUHULABUIUMUNUOUPUQURQVBVKVJVBVCUSTVCVKVJVCVBUTTVA $.

  $( If an even number is the sum of three prime numbers, one of the prime
     numbers must be 2.  (Contributed by AV, 25-Dec-2021.) $)
  even3prm2 $p |- ( ( N e. Even /\ ( P e. Prime /\ Q e. Prime /\ R e. Prime )
                      /\ N = ( ( P + Q ) + R ) )
                    -> ( P = 2 \/ Q = 2 \/ R = 2 ) ) $=
    ( wcel cprime w3a caddc co wceq c2 wo wi wa codd adantl cc zcnd prmz cz w3o
    ceven olc a1d wn cmin wne df-ne csn cdif eldifsn oddprmALTV emoo expcom syl
    sylbir ex syl5bir com23 3ad2ant3 impcom 3adant3 3simpa 3ad2ant2 eqcom evenz
    adantr zaddcl syl2an subadd2d biimprd syl5bi 3impia odd2prm2 syl3anc df-3or
    orcd pm2.61i sylibr ) DUBEZAFEZBFEZCFEZGZDABHIZCHIZJZGZAKJZBKJZLZCKJZLZWIWJ
    WLUAWLWHWMMWLWMWHWLWKUCUDWLUEZWHWMWNWHNZWKWLWODCUFIZOEZWAWBNZWPWEJZWKWHWNWQ
    VTWDWNWQMZWGWDVTWTWCWAVTWTMWBWCWNVTWQWNCKUGZWCVTWQMZCKUHWCXAXBWCXANCFKUIUJE
    ZXBCFKUKXCCOEZXBCULVTXDWQDCUMUNUOUPUQURUSUTVAVBVAWHWRWNWDVTWRWGWAWBWCVCVDPW
    HWSWNVTWDWGWSWGWFDJZVTWDNZWSDWFVEXFWSXEXFDCWEVTDQEWDVTDDVFRVGWDCQEZVTWCWAXG
    WBWCCCSRUTPWDWEQEZVTWAWBXHWCWRWEWAATEBTEWETEWBASBSABVHVIRVBPVJVKVLVMPABWPVN
    VOVQUQVRWIWJWLVPVS $.

  ${
    $d N p q $.  $d P p q $.  $d Q p q $.  $d R p q $.
    $( Lemma for ~ mogoldbb .  (Contributed by AV, 26-Dec-2021.) $)
    mogoldbblem $p |- ( ( ( P e. Prime /\ Q e. Prime /\ R e. Prime )
                          /\ N e. Even /\ ( N + 2 ) = ( ( P + Q ) + R ) )
                        -> E. p e. Prime E. q e. Prime N = ( p + q ) ) $=
      ( c2 wceq cprime wcel caddc co wi wa eqeq2d cc zcnd adantr adantl cz wrex
      w3o w3a ceven 2evenALTV epee mpan2 3ad2ant2 simp1 simp3 even3prm2 syl3anc
      cv oveq1 oveq1d wb 2cnd addcl 3adant1 addass comraddd evenz zaddcl syl2an
      prmz addcan2d bitrd simpll simplr simpr oveq2 eqcomd sylan9eq rspcedeq2vd
      rexbidv rspcedvd ex sylbid com12 syl6bi com13 3imp 3jca add32 syl 3adant2
      3adant3 3jaoi mpcom ) AGHZBGHZCGHZUBZAIJZBIJZCIJZUCZDUDJZDGKLZABKLZCKLZHZ
      UCZDFUMZEUMZKLZHZEIUAZFIUAZXCWSUDJZWQXBWMWRWQXJXBWRGUDJXJUEDGUFUGUHWQWRXB
      UIWQWRXBUJABCWSUKULWJXCXIMWKWLXCWJXIWQWRXBWJXIMZWOWPWRXBXKMZMWNWOWPNZWRXL
      WJXBXMWRNZXIWJXBWSGBKLZCKLZHZXNXIMWJXAXPWSWJWTXOCKAGBKUNUOOXNXQXIXNXQDBCK
      LZHZXIXNXQWSXRGKLZHZXSXMXQYAUPWRXMXPXTWSXMGPJZBPJZCPJZXPXTHXMUQWOYCWPWOBB
      VEZQRWPYDWOWPCCVEZQZSYBYCYDUCXPGXRYBYCYDUIYCYDXRPJZYBBCURUSGBCUTVAULORXND
      XRGWRDPJZXMWRDDVBQZSXMYHWRXMXRWOBTJZCTJZXRTJWPYEYFBCVCVDQRXNUQVFVGXMXSXIM
      WRXMXSXIXMXSNZXHDBXEKLZHZEIUAZFBIWOWPXSVHXDBHZXHYPUPYMYQXGYOEIYQXFYNDXDBX
      EKUNOVOSYMECIDYNWOWPXSVIYMXECHZDXRYNXMXSVJYRYNXRXECBKVKVLVMVNVPVQRVRVSVTW
      AVQUSWBVSXCWKXIWQWRXBWKXIMZWNWPWRXBYSMZMWOWNWPNZWRYTWKXBUUAWRNZXIWKXBWSAG
      KLZCKLZHZUUBXIMWKXAUUDWSWKWTUUCCKBGAKVKUOOUUBUUEXIUUBUUEDACKLZHZXIUUBUUEW
      SUUFGKLZHUUGUUBUUDUUHWSUUBAPJZYBYDUCZUUDUUHHUUAUUJWRUUAUUIYBYDWNUUIWPWNAA
      VEZQRUUAUQWPYDWNYGSWCRAGCWDWEOUUBDUUFGWRYIUUAYJSUUAUUFPJWRUUAUUFWNATJZYLU
      UFTJWPUUKYFACVCVDQRUUBUQVFVGUUAUUGXIMWRUUAUUGXIUUAUUGNZXHDAXEKLZHZEIUAZFA
      IWNWPUUGVHXDAHZXHUUPUPZUUMUUQXGUUOEIUUQXFUUNDXDAXEKUNOVOZSUUMECIDUUNWNWPU
      UGVIUUMYRDUUFUUNUUAUUGVJYRUUNUUFXECAKVKVLVMVNVPVQRVRVSVTWAVQWFWBVSXCWLXIW
      QWRXBWLXIMZWNWOWRXBUUTMZMWPWNWONZWRUVAWLXBUVBWRNZXIWLXBWSWTGKLZHZUVCXIMWL
      XAUVDWSCGWTKVKOUVCUVEXIUVCUVEDWTHZXIUVCDWTGWRYIUVBYJSUVBWTPJWRUVBWTWNUULY
      KWTTJWOUUKYEABVCVDQRUVCUQVFUVBUVFXIMWRUVBUVFXIUVBUVFNZXHUUPFAIWNWOUVFVHUU
      QUURUVGUUSSUVGEBIDUUNWNWOUVFVIUVGXEBHZDWTUUNUVBUVFVJUVHUUNWTXEBAKVKVLVMVN
      VPVQRVRVSVTWAVQWGWBVSWHWI $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Perfect Number Theorem (revised)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d k n x A $.  $d k n x B $.  $d k n x ph $.
    perfectALTVlem.1 $e |- ( ph -> A e. NN ) $.
    perfectALTVlem.2 $e |- ( ph -> B e. NN ) $.
    perfectALTVlem.3 $e |- ( ph -> B e. Odd ) $.
    perfectALTVlem.4 $e |- ( ph -> ( 1 sigma ( ( 2 ^ A ) x. B ) )
                                   = ( 2 x. ( ( 2 ^ A ) x. B ) ) ) $.
    $( Lemma for ~ perfectALTV .  (Contributed by Mario Carneiro, 7-Jun-2016.)
       (Revised by AV, 1-Jul-2020.) $)
    perfectALTVlem1 $p |- ( ph -> ( ( 2 ^ ( A + 1 ) ) e. NN
                              /\ ( ( 2 ^ ( A + 1 ) ) - 1 ) e. NN
                              /\ ( B / ( ( 2 ^ ( A + 1 ) ) - 1 ) ) e. NN ) ) $=
      ( c2 c1 co cn wcel syl sylancr wbr cmul cgcd wceq csgm cz caddc cexp cmin
      cdiv cn0 2nn nnnn0d peano2nn0 nnexpcl clt cr 2re peano2nnd expgt1 syl3anc
      a1i 1lt2 wb nnsub mpbid cdvds nnzd peano2zm 1nn0 sgmnncl dvdsmul1 syl2anc
      1nn 2cn expp1 nncnd mulcom sylancl eqtrd oveq1d mulassd 1cnd codd simprbi
      cc isodd7 wi 2z rpexp1i mpd sgmmul syl13anc pncan1 oveq2d 1sgm2ppw eqtr3d
      3eqtr3d 3eqtrd breqtrrd ceven nnpw2evenALTV evenm1odd wa coprmdvds mp2and
      gcdcomd nndivdvds 3jca ) AHBIUAJZUBJZKLZXEIUCJZKLZCXGUDJKLZAHKLZXDUELZXFU
      FABUELZXKABDUGZBUHMZHXDUINZAIXEUJOZXHAHUKLZXDKLZIHUJOZXPXQAULUPABDUMZXSAU
      QUPHXDUNUOAIKLXFXPXHURVHXOIXEUSNUTZAXGCVAOZXIAXGXECPJZVAOZXGXEQJZIRZYBAXG
      XGICSJZPJZYCVAAXGTLZYGTLXGYHVAOAXETLZYIAXEXOVBZXEVCMZAYGAIUELCKLZYGKLVDEI
      CVENVBXGYGVFVGAYCHHBUBJZPJZCPJHYNCPJZPJZYHAXEYOCPAXEYNHPJZYOAHVTLZXLXEYRR
      VIXMHBVJNAYNVTLYSYRYORAYNAXJXLYNKLZUFXMHBUINZVKZVIYNHVLVMVNVOAHYNCYSAVIUP
      UUBACEVKVPAIYPSJZIYNSJZYGPJZYQYHAIVTLYTYMYNCQJIRZUUCUUERAVQUUAEAHCQJIRZUU
      FACVRLZUUGFUUHCTLZUUGCWAVSMAHTLZUUIXLUUGUUFWBUUJAWCUPZACEVBZXMHCBWDUOWEIY
      NCWFWGGAUUDXGYGPAIHXDIUCJZUBJZSJZUUDXGAUUNYNISAUUMBHUBABVTLUUMBRABDVKBWHM
      WIWIAXRUUOXGRXTXDWJMWKVOWLWMWNAYEXEXGQJZIAXGXEYLYKXAAHXGQJIRZUUPIRZAXGVRL
      ZUUQAXEWOLZUUSAXRUUTXTXDWPMXEWQMUUSYIUUQXGWAVSMAUUJYIXKUUQUURWBUUKYLXNHXG
      XDWDUOWEVNAYIYJUUIYDYFWRYBWBYLYKUULXGXECWSUOWTAYMXHYBXIUREYACXGXBVGUTXC
      $.

    $( Lemma for ~ perfectALTV .  (Contributed by Mario Carneiro, 17-May-2016.)
       (Revised by AV, 1-Jul-2020.) $)
    perfectALTVlem2 $p |- ( ph -> ( B e. Prime
                                    /\ B = ( ( 2 ^ ( A + 1 ) ) - 1 ) ) ) $=
      ( vk wcel c2 c1 caddc co wceq cdvds wbr cn clt a1i cmul vn vx cprime cexp
      cmin cuz cfv cv wo wi wral cdiv cr perfectALTVlem1 simp3d nnred nnge1d cc
      1re 2cn exp1 ax-mp df-2 eqtri cz 2re 1zzd peano2nnd nnzd 1lt2 crp ltaddrp
      nnrpd sylancr ax-1cn nncnd addcom breqtrd ltexp2a syl32anc wa syl syl3anc
      jca sylibr sylanbrc cle wn ctp csu cfn wss syl2anc ad2antrr sselda nnnn0d
      mpbid nn0ge0d csn cun df-tp unssd eqsstrid w3o eltpi breq1 syl5ibrcom imp
      3jaod syl5 ssrabdv fsumless cin c0 simpr disjsn tpfi fsumsplit id oveq12d
      sumsn wne gtned mulcld oveq2d eqtrd oveq1d divcan3d 3eqtr3d csgm cn0 cgcd
      sylancl mpd 3brtr3d ltnled necomd 1nn eqeq1 adantr eqbrtrrid ltaddsubd wb
      simp1d 1rp cc0 peano2rem expgt1 posdif elrp ltdiv2d div1d lelttrd eluz2b2
      nnrp cpr crab cfz fzfid dvdsssfz1 ssfi ssrab2 prssi snssd simp2d dvdsmul2
      simplrl nnne0d divcan2d iddvds simplrr incom disjsn2 eqtr3id prfi divdird
      df-pr subdird mulid2d pncan3d divassd 3eqtr4d ccxp nnexpcl mulcom mulassd
      expp1 2nn codd isodd7 sylbi rpexp1i sgmmul syl13anc pncan 1sgm2ppw eqtr3d
      2z 3eqtrd sgmnncl sgmval sselid cxp1d sumeq2dv remulcld ltaddrpd readdcld
      1nn0 3eqtrrd condan elpri ralrimiva 1dvds orbi12d imbi12d rspcv syl3c ord
      expr necon1ad eqeq2d orbi1d imbi2d ralbidv mpbird isprm2 ltp1d snssi mp1i
      peano2re diveq1ad necon3bid biimpar nelprd ex necon1bd ) ACUCIZCJBKLMZUDM
      ZKUEMZNZACJUFUGIZUAUHZCOPZVUCKNZVUCCNZUIZUJZUAQUKZUYQACQIZKCRPVUBEAKCUYTU
      LMZCKUMIZAUSSZAVUKAUYSQIZUYTQIZVUKQIZABCDEFGUNZUOZUPZACEUPAVUKVURUQAVUKCK
      ULMZCRAKUYTRPZVUKVUTRPAKKLMZUYSRPVVAAVVBJKUDMZUYSRVVCJVVBJURIZVVCJNUTJVAV
      BVCVDAJUMIZKVEIUYRVEIKJRPZKUYRRPVVCUYSRPVVEAVFSZAVGAUYRABDVHZVIVVFAVJSZAK
      KBLMZUYRRAVULBVKIKVVJRPUSABDVMKBVLVNAKURIZBURIZVVJUYRNVOABDVPZKBVQVNVRJKU
      YRVSVTUUAAKKUYSVUMVUMAUYSAVUNVUOVUPVUQUUDZUPZUUBWQAKUYTCKVKIAUUESAUYTUMIZ
      UUFUYTRPZWAUYTVKIAVVPVVQAUYSUMIZVVPVVOUYSUUGWBAKUYSRPZVVQAVVEUYRQIZVVFVVS
      VVGVVHVVIJUYRUUHWCAVULVVRVVSVVQUUCUSVVOKUYSUUIVNWQWDUYTUUJWEAVUJCVKIECUUO
      WBUUKWQACACEVPZUULVRZUUMZCUUNWFAVUIVUDVUCVUKNZVUFUIZUJZUAQUKZAVWFUAQAVUCQ
      IZVUDVWEAVWHVUDWAZWAZVUCVUKCUUPZIZVWEVWJVWLUYSVUKTMZVUCLMZVWMWGPZVWJVWLWH
      ZWAZVUKCVUCWIZHUHZHWJZUBUHZCOPZUBQUUQZVWSHWJZVWNVWMWGVWQVXCVWSVWRHAVXCWKI
      ZVWIVWPAKCUURMZWKIVXCVXFWLZVXEAKCUUSAVUJVXGECUBUUTWBVXFVXCUVAWMZWNVWQVWSV
      XCIZWAZVWSVWQVXCQVWSVXCQWLVWQVXBUBQUVBZSWOZUPVXJVWSVXJVWSVXLWPWRVWQVXBUBQ
      VWRVWQVWRVWKVUCWSZWTZQVUKCVUCXAZVWQVWKVXMQAVWKQWLZVWIVWPAVUPVUJVXPVUREVUK
      CQUVCWMZWNVWQVUCQAVWHVUDVWPUVGZUVDXBXCZVWQVXAVWRIZVXBVXTVXAVUKNZVXACNZVXA
      VUCNZXDVWQVXBVXAVUKCVUCXEVWQVYAVXBVYBVYCAVYAVXBUJVWIVWPAVXBVYAVUKCOPAVUKU
      YTVUKTMZCOAUYTVEIVUKVEIVUKVYDOPAUYTAVUNVUOVUPVUQUVEZVIAVUKVURVIUYTVUKUVFW
      MACUYTVWAAUYTVYEVPZAUYTVYEUVHZUVIVRVXAVUKCOXFXGZWNAVYBVXBUJVWIVWPAVXBVYBC
      COPZACVEIZVYIACEVIZCUVJWBVXACCOXFXGZWNVWQVXBVYCVUDAVWHVUDVWPUVKVXAVUCCOXF
      XGXIXJXHXKXLVWQVWTVWKVWSHWJZVXMVWSHWJZLMVWNVWQVWKVXMVWSVWRHVWQVWPVWKVXMXM
      XNNVWJVWPXOVWKVUCXPWEVWRVXNNVWQVXOSVWRWKIVWQVUKCVUCXQSVWQVWSVWRIWAVWSVWQV
      WRQVWSVXSWOVPXRVWQVYMVWMVYNVUCLAVYMVWMNVWIVWPAVUKWSZVWSHWJZCWSZVWSHWJZLMV
      UKCLMZVYMVWMAVYPVUKVYRCLAVUPVUKURIVYPVUKNVURAVUKVURVPVWSVUKHVUKQVWSVUKNXS
      YAWMAVUJCURIVYRCNEVWAVWSCHCQVWSCNXSYAWMXTAVYOVYQVWSVWKHAVYOVYQXMVYQVYOXMZ
      XNVYQVYOUVLACVUKYBVYTXNNAVUKCVUSVWBYCCVUKUVMWBUVNVWKVYOVYQWTNAVUKCUVQSVWK
      WKIAVUKCUVOSAVWSVWKIWAVWSAVWKQVWSVXQWOVPXRACUYTCTMZLMZUYTULMZVUKWUAUYTULM
      ZLMVWMVYSACWUAUYTVWAAUYTCVYFVWAYDVYFVYGUVPAWUCUYSCTMZUYTULMZVWMAWUBWUEUYT
      ULAWUBCWUECUEMZLMWUEAWUAWUGCLAWUAWUEKCTMZUEMWUGAUYSKCAUYSVVNVPZVVKAVOSZVW
      AUVRAWUHCWUEUEACVWAUVSYEYFYEACWUEVWAAUYSCWUIVWAYDUVTYFYGAUYSCUYTWUIVWAVYF
      VYGUWAZYFAWUDCVUKLACUYTVWAVYFVYGYHYEYIUWBZWNVWQVUCURIZWUMVYNVUCNVWQVUCVXR
      VPZWUNVWSVUCHVUCURVWSVUCNXSYAWMXTYFAVXDVWMNZVWIVWPAVWMKCYJMZVXCVWSKUWCMZH
      WJZVXDAWUFUYTWUPTMZUYTULMVWMWUPAWUEWUSUYTULAWUEJJBUDMZTMZCTMJWUTCTMZTMZWU
      SAUYSWVACTAUYSWUTJTMZWVAAVVDBYKIZUYSWVDNUTABDWPZJBUWGVNAWUTURIVVDWVDWVANA
      WUTAJQIWVEWUTQIZUWHWVFJBUWDVNZVPZUTWUTJUWEYMYFYGAJWUTCVVDAUTSWVIVWAUWFAKW
      VBYJMZKWUTYJMZWUPTMZWVCWUSAVVKWVGVUJWUTCYLMKNZWVJWVLNWUJWVHEAJCYLMKNZWVMA
      CUWIIZWVNFWVOVYJWVNWAWVNCUWJVYJWVNXOUWKWBAJVEIZVYJWVEWVNWVMUJWVPAUWRSVYKW
      VFJCBUWLWCYNKWUTCUWMUWNGAWVKUYTWUPTAKJUYRKUEMZUDMZYJMZWVKUYTAWVRWUTKYJAWV
      QBJUDAVVLVVKWVQBNVVMVOBKUWOYMYEYEAVVTWVSUYTNVVHUYRUWPWBUWQYGYIUWSYGWUKAWU
      PUYTAWUPAKYKIVUJWUPQIUXHEKCUWTVNVPVYFVYGYHYIAVVKVUJWUPWURNVOEKCHUBUXAVNAV
      XCWUQVWSHAVXIWAZVWSWVTVWSWVTVXCQVWSVXKAVXIXOUXBZVPUXCUXDUXIZWNYOVWQVWMVWN
      RPVWOWHVWQVWMVUCAVWMUMIZVWIVWPAUYSVUKVVOVUSUXEZWNZVWQVUCVXRVMUXFVWQVWMVWN
      WWEVWQVWMVUCWWEVWQVUCVXRUPUXGYPWQUXJVUCVUKCUXKWBUXSUXLZAVUHVWFUAQAVUGVWEV
      UDAVUEVWDVUFAKVUKVUCAKCYBZKVUKNZACKAKCVUMVWCYCYQZAWWHKCAWWHKCNZAKQIZVWGKC
      OPZWWHWWJUIZWWKAYRSWWFAVYJWWLVYKCUXMWBZVWFWWLWWMUJUAKQVUEVUDWWLVWEWWMVUCK
      COXFVUEVWDWWHVUFWWJVUCKVUKYSVUCKCYSUXNUXOUXPUXQUXRUXTYNUYAUYBUYCUYDUYEUAC
      UYFWFAVWMKLMZVWMWGPZWHZVUAAVWMWWORPWWQAVWMWWDUYGAVWMWWOWWDAWWCWWOUMIWWDVW
      MUYJWBYPWQAWWPCUYTACUYTYBZWWPAWWRWAZVUKCKWIZVWSHWJZVXDWWOVWMWGAWXAVXDWGPW
      WRAVXCVWSWWTHVXHWVTVWSWWAUPWVTVWSWVTVWSWWAWPWRAVXBUBQWWTAWWTVWKKWSZWTZQVU
      KCKXAZAVWKWXBQVXQWWKWXBQWLAYRKQUYHUYIXBXCZAVXAWWTIZVXBWXFVYAVYBVXAKNZXDAV
      XBVXAVUKCKXEAVYAVXBVYBWXGVYHVYLAVXBWXGWWLWWNVXAKCOXFXGXIXJXHXKXLYTWWSWXAV
      YMWXBVWSHWJZLMZWWOWWSVWKWXBVWSWWTHWWSKVWKIWHVWKWXBXMXNNWWSKVUKCWWSVUKKAVU
      KKYBWWRAVUKKCUYTACUYTVWAVYFVYGUYKUYLUYMYQAWWGWWRWWIYTUYNVWKKXPWEWWTWXCNWW
      SWXDSWWTWKIWWSVUKCKXQSWWSVWSWWTIWAVWSWWSWWTQVWSAWWTQWLWWRWXEYTWOVPXRAWXIW
      WONWWRAVYMVWMWXHKLWULAVVKVVKWXHKNWUJVOVWSKHKURVWSKNXSYAYMXTYTYFAWUOWWRWWB
      YTYOUYOUYPYNWD $.
  $}

  ${
    $d p N $.
    $( The Euclid-Euler theorem, or Perfect Number theorem.  A positive even
       integer ` N ` is a perfect number (that is, its divisor sum is ` 2 N ` )
       if and only if it is of the form ` 2 ^ ( p - 1 ) x. ( 2 ^ p - 1 ) ` ,
       where ` 2 ^ p - 1 ` is prime (a Mersenne prime).  (It follows from this
       that ` p ` is also prime.)  This is Metamath 100 proof #70.
       (Contributed by Mario Carneiro, 17-May-2016.)  (Revised by AV,
       1-Jul-2020.)  (Proof modification is discouraged.) $)
    perfectALTV $p |- ( ( N e. NN /\ N e. Even )
                        -> ( ( 1 sigma N ) = ( 2 x. N )
        <-> E. p e. ZZ ( ( ( 2 ^ p ) - 1 ) e. Prime /\
                        N = ( ( 2 ^ ( p - 1 ) ) x. ( ( 2 ^ p ) - 1 ) ) ) ) ) $=
      ( cn wcel wa c1 csgm co c2 cmul wceq cexp cmin cprime cz cdvds sylancr cc
      wbr oveq2d ceven cv wrex caddc 2dvdseven ad2antlr wb simpll pcelnn mpbird
      cpc 2prm nnzd peano2zd cdiv pcdvds cn0 2nn nnnn0d nnexpcl nndivdvds mpbid
      syl2anc wn codd pcndvds2 isodd3 sylanbrc simpr nncn ad2antrr nncnd nnne0d
      3eqtr4d perfectALTVlem2 simprd simpld ax-1cn pncan sylancl eqcomd oveq12d
      divcan2d eqeltrrd eqtr3d oveq2 oveq1d eleq1d oveq1 eqeq2d rspcev syl12anc
      anbi12d perfect1 2cn mersenne prmnn syl expm1t nnm1nn0 expcl mulcom eqtrd
      ex 2cnd adantl mulassd 3eqtrd eqeq12d syl5ibrcom impr rexlimiva impbid1 )
      ACDZAUADZEZFAGHZIAJHZKZIBUBZLHZFMHZNDZAIXTFMHZLHZYBJHZKZEZBOUCZXPXSYIXPXS
      EZIAUKHZFUDHZODIYLLHZFMHZNDZAIYLFMHZLHZYNJHZKZYIYJYKYJYKYJYKCDZIAPSZXOUUA
      XNXSAUEUFYJINDZXNYTUUAUGULXNXOXSUHZIAUIQUJZUMUNYJAIYKLHZUOHZYNNYJUUFNDZUU
      FYNKZYJYKUUFUUDYJUUEAPSZUUFCDZYJUUBXNUUIULUUCIAUPQYJXNUUECDZUUIUUJUGUUCYJ
      ICDYKUQDUUKURYJYKUUDUSIYKUTQZAUUEVAVCVBZYJUUFODIUUFPSVDZUUFVEDYJUUFUUMUMY
      JUUBXNUUNULUUCIAVFQUUFVGVHYJXQXRFUUEUUFJHZGHIUUOJHXPXSVIYJUUOAFGYJAUUEXNA
      RDXOXSAVJVKYJUUEUULVLYJUUEUULVMWCZTYJUUOAIJUUPTVNVOZVPZYJUUGUUHUUQVQWDYJU
      UOAYRUUPYJUUEYQUUFYNJYJYKYPILYJYPYKYJYKRDFRDYPYKKYJYKUUDVLVRYKFVSVTWATUUR
      WBWEYHYOYSEBYLOXTYLKZYCYOYGYSUUSYBYNNUUSYAYMFMXTYLILWFWGZWHUUSYFYRAUUSYEY
      QYBYNJUUSYDYPILXTYLFMWITUUTWBWJWMWKWLXDYHXSBOXTODZYCYGXSUVAYCEZXSYGFYFGHZ
      IYFJHZKUVBUVCYAYBJHIYEJHZYBJHUVDXTWNUVBYAUVEYBJUVBYAYEIJHZUVEUVBIRDZXTCDZ
      YAUVFKWOUVBXTNDUVHXTWPXTWQWRZIXTWSQUVBYERDZUVGUVFUVEKUVBUVGYDUQDZUVJWOUVB
      UVHUVKUVIXTWTWRIYDXAQZWOYEIXBVTXCWGUVBIYEYBUVBXEUVLUVBYBYCYBCDUVAYBWQXFVL
      XGXHYGXQUVCXRUVDAYFFGWFAYFIJWFXIXJXKXLXM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Number theory (extension 2)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Fermat pseudoprimes
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  "In number theory, the _Fermat pseudoprimes_ make up the most important class
  of pseudoprimes that come from Fermat's little theorem  ... [[which] states
  that if p is prime and a is coprime to p, then a^(p-1)-1 is divisible by p
  [[see ~ fermltl ].

  For an integer a > 1, if a composite integer x divides a^(x-1)-1, then x is
  called a Fermat pseudoprime to base a.  In other words, a composite integer
  is a Fermat pseudoprime to base a if it successfully passes the Fermat
  primality test for the base a. The false statement [[see ~ nfermltl2rev ]
  that all numbers that pass the Fermat primality test for base 2, are prime,
  is called the Chinese hypothesis.", see Wikipedia "Fermat pseudoprime",
  ~ https://en.wikipedia.org/wiki/Fermat_pseudoprime , 29-May-2023.

$)

  $c FPPr $.

  $( Extend class notation with the Fermat pseudoprimes. $)
  cfppr $a class FPPr $.

  ${
    $d n x $.
    $( Define the function that maps a positive integer to the set of _Fermat
       pseudoprimes_ to the base of this positive integer.  Since Fermat
       pseudoprimes shall be composite (positive) integers, they must be
       nonprime integers greater than or equal to 4 (we cannot use ` x e. NN `
       ` /\ x e/ Prime ` because ` x = 1 ` would fulfil this requirement, but
       should not be regarded as "composite" integer).  (Contributed by AV,
       29-May-2023.) $)
    df-fppr $a |- FPPr = ( n e. NN |-> { x e. ( ZZ>= ` 4 ) | ( x e/ Prime
                                     /\ x || ( ( n ^ ( x - 1 ) ) - 1 ) ) } ) $.
  $}

  ${
    $d N n x $.
    $( The set of Fermat pseudoprimes to the base ` N ` .  (Contributed by AV,
       29-May-2023.) $)
    fppr $p |- ( N e. NN -> ( FPPr ` N ) = { x e. ( ZZ>= ` 4 ) | ( x e/ Prime
                                     /\ x || ( ( N ^ ( x - 1 ) ) - 1 ) ) } ) $=
      ( vn cv cprime wnel c1 cmin co cexp cdvds wbr wa c4 cuz cfv crab cn cfppr
      wceq oveq1 oveq1d breq2d anbi2d rabbidv df-fppr fvex rabex fvmpt ) CBADZE
      FZUJCDZUJGHIZJIZGHIZKLZMZANOPZQUKUJBUMJIZGHIZKLZMZAURQRSULBTZUQVBAURVCUPV
      AUKVCUOUTUJKVCUNUSGHULBUMJUAUBUCUDUEACUFVBAURNOUGUHUI $.
  $}

  ${
    $d N x $.
    $( The set of Fermat pseudoprimes to the base ` N ` , expressed by a modulo
       operation instead of the divisibility relation.  (Contributed by AV,
       30-May-2023.) $)
    fpprmod $p |- ( N e. NN -> ( FPPr ` N ) = { x e. ( ZZ>= ` 4 ) |
                       ( x e/ Prime /\ ( ( N ^ ( x - 1 ) ) mod x ) = 1 ) } ) $=
      ( cn wcel cfppr cfv cv cprime wnel c1 cmin co cexp cdvds wbr wa c4 cuz cz
      crab cmo wceq fppr c2 wb eluz4eluz2 cn0 nnz eluz4nn nnm1nn0 zexpcl syl2an
      syl modm1div syl2an2 bicomd anbi2d rabbidva eqtrd ) BCDZBEFAGZHIZVABVAJKL
      ZMLZJKLNOZPZAQRFZTVBVDVAUALJUBZPZAVGTABUCUTVFVIAVGUTVAVGDZPZVEVHVBVKVHVEV
      JVAUDRFDUTVDSDZVHVEUEVAUFUTBSDVCUGDZVLVJBUHVJVACDVMVAUIVAUJUMBVCUKULVDVAU
      NUOUPUQURUS $.

    $d X x $.
    $( A Fermat pseudoprime to the base ` N ` .  (Contributed by AV,
       30-May-2023.) $)
    fpprel $p |- ( N e. NN -> ( X e. ( FPPr ` N ) <-> ( X e. ( ZZ>= ` 4 )
                      /\ X e/ Prime /\ ( ( N ^ ( X - 1 ) ) mod X ) = 1 ) ) ) $=
      ( vx cn wcel cfppr cfv c4 cuz cprime wnel c1 cmin co cexp cmo wceq wa w3a
      cv crab fpprmod eleq2d neleq1 oveq1 oveq2d id oveq12d eqeq1d elrab bitrdi
      anbi12d 3anass bitr4di ) ADEZBAFGZEZBHIGZEZBJKZABLMNZONZBPNZLQZRZRZUSUTVD
      SUOUQBCTZJKZAVGLMNZONZVGPNZLQZRZCURUAZEVFUOUPVNBCAUBUCVMVECBURVGBQZVHUTVL
      VDVGBJUDVOVKVCLVOVJVBVGBPVOVIVAAOVGBLMUEUFVOUGUHUIULUJUKUSUTVDUMUN $.
  $}

  ${
    $d n x $.
    $( The base of a Fermat pseudoprime is a positive integer.  (Contributed by
       AV, 30-May-2023.) $)
    fpprbasnn $p |- ( X e. ( FPPr ` N ) -> N e. NN ) $=
      ( vn vx cn wcel cfppr cfv wi ax-1 wn c0 wceq cv cprime wnel c1 cmin cexp
      co cdvds wbr wa c4 cuz crab df-fppr fvmptndm eleq2 pm2.21i syl6bi pm2.61i
      noel syl ) AEFZBAGHZFZUOIZUOUQJUOKUPLMZURCEDNZOPUTCNUTQRTSTQRTUAUBUCDUDUE
      HUFGADCUGUHUSUQBLFZUOUPLBUIVAUOBUMUJUKUNUL $.
  $}

  $( A Fermat pseudoprime to the base ` N ` is a positive integer.
     (Contributed by AV, 30-May-2023.) $)
  fpprnn $p |- ( X e. ( FPPr ` N ) -> X e. NN ) $=
    ( cn wcel cfppr cfv fpprbasnn c4 cuz cprime wnel c1 cmin co cexp cmo fpprel
    wceq w3a eluz4nn 3ad2ant1 syl6bi mpcom ) ACDZBAEFDZBCDZABGUDUEBHIFDZBJKZABL
    MNONBPNLRZSUFABQUGUHUFUIBTUAUBUC $.

  ${
    $d X m y $.
    $( A Fermat pseudoprime to the base 2 is odd.  (Contributed by AV,
       5-Jun-2023.) $)
    fppr2odd $p |- ( X e. ( FPPr ` 2 ) -> X e. Odd ) $=
      ( vy vm c2 wcel c1 cmin co cexp wceq wi cn wb wa cmul adantr cz syl cn0
      cc cfppr cfv codd c4 cuz cprime wnel cmo w3a wn 2nn fpprel ax-mp cv ceven
      wrex eluz4nn eluzelz zeo2ALTV biimprd nnennexALTV syl6an oveq1 id oveq12d
      oveq2d eqeq1d adantl caddc crp 2z a1i nnmulcld nnm1nn0 zexpcl modmuladdim
      sylancr nnrpd syl2anc zcnd zcn 2cnd nncn mulcld 1cnd subadd eqcom syl3anc
      bitrdi subcld npcan1 eqcomd eqcomi oveq2i sub1m1 subdid 3eqtr4a nn0mulcld
      2t1e2 2nn0 eqeltrd expp1d expcld mulcomd eqtrd mul12d wne zmulcld zsubcld
      simpr m2even 1oddALTV zneoALTV sylancl eqneqall syl5com sylbird rexlimdva
      nnz sylbid syld ex com23 imp 3adant2 sylbi pm2.18d ) ADUAUBEZAUCEZYHAUDUE
      UBEZAUFUGZDAFGHZIHZAUHHZFJZUIZYIUJZYIKZDLEZYHYPMUKDAULUMYJYOYRYKYJYONZYQA
      DBUNZOHZJZBLUPZYIYTALEZYQAUOEZUUDYJUUEYOAUQPYTUUFYQYJUUFYQMZYOYJAQEUUGUDA
      URAUSRPUTBAVAVBYJYOUUDYIKYJUUDYOYIYJUUCYOYIKZBLYJUUALEZNZUUCUUHUUJUUCNYOD
      UUBFGHZIHZUUBUHHZFJZYIUUCYOUUNMUUJUUCYNUUMFUUCYMUULAUUBUHUUCYLUUKDIAUUBFG
      VCVFUUCVDVEVGVHUUJUUNYIKZUUCUUIUUOYJUUIUUNUULCUNZUUBOHZFVIHZJZCQUPZYIUUIU
      ULQEZUUBVJEUUNUUTKUUIDQEZUUKSEZUVAVKUUIUUBLEUVCUUIDUUAYSUUIUKVLUUIVDVMZUU
      BVNRZDUUKVOZVQUUIUUBUVDVRUULFCUUBVPVSUUIUUSYICQUUIUUPQEZNZUUSUULUUQGHZFJZ
      YIUVHUULTEZUUQTEZFTEZUVJUUSMUVHUULUVHUVBUVCUVAVKUUIUVCUVGUVEPUVFVQVTUVHUU
      PUUBUVGUUPTEUUIUUPWAVHZUVHDUUAUVHWBZUUIUUATEUVGUUAWCZPZWDZWDUVHWEZUVKUVLU
      VMUIUVJUURUULJUUSUULUUQFWFUURUULWGWIWHUVHUVJDDUUKFGHZIHZUUPUUAOHZGHZOHZFJ
      ZYIUVHUVIUWDFUVHUVIDUWAOHZDUWBOHZGHZUWDUVHUULUWFUUQUWGGUVHUULDUVTFVIHZIHZ
      UWFUVHUUKUWIDIUVHUWIUUKUVHUUKTEZUWIUUKJUUIUWKUVGUUIUUBFUUIDUUAUUIWBUVPWDU
      UIWEWJPUUKWKRWLVFUVHUWJUWADOHUWFUVHDUVTUVOUVHUVTDUUAFGHZOHZSUVHUUBDGHZUUB
      DFOHZGHUVTUWMDUWOUUBGUWODWSWMWNUVHUUBTEUVTUWNJUVRUUBWORUVHDUUAFUVOUVQUVSW
      PWQUVHDUWLDSEUVHWTVLUUIUWLSEUVGUUAVNPWRXAZXBUVHUWADUVHDUVTUVOUWPXCZUVOXDX
      EXEUVHUUPDUUAUVNUVOUVQXFVEUVHUWDUWHUVHDUWAUWBUVOUWQUVHUUPUUAUVNUVQWDWPWLX
      EVGUVHUWDFXGZUWEYIUVHUWDUOEZFUCEUWRUVHUWCQEUWSUVHUWAUWBUVHUVBUVTSEUWAQEVK
      UWPDUVTVOVQUVHUUPUUAUUIUVGXJUUIUUAQEUVGUUAXSPXHXIUWCXKRXLUWDFXMXNYIUWDFXO
      XPXTXQXRYAVHPXTYBXRYCYDYAYEYFYG $.
  $}

  $( 341 is the product of 11 and 31.  (Contributed by AV, 3-Jun-2023.) $)
  11t31e341 $p |- ( ; 1 1 x. ; 3 1 ) = ; ; 3 4 1 $=
    ( c1 c3 c4 cdc 3nn0 1nn0 deccl eqid cmul co nn0cni mulid2i 3cn ax-1cn 3p1e4
    addcomli decaddi decmul1c ) AABCDABADZBAADZBAEFGZFFTHFEBACASIJBEFESSUAKLZBA
    CMNOPQUBR $.

  $( Eight to the eighth power modulo nine is one.  (Contributed by AV,
     3-Jun-2023.) $)
  2exp340mod341 $p |- ( ( 2 ^ ; ; 3 4 0 ) mod ; ; 3 4 1 ) = 1 $=
    ( c2 c3 c4 cdc cc0 co c1 3nn0 4nn0 deccl 2nn 1nn0 c8 2nn0 oveq1i caddc cmul
    c6 2cn eqtri cexp cmo c7 1nn decnncl 7nn0 0nn0 0z c5 8nn0 5nn0 3z 2exp5 5cn
    6nn0 5t2e10 mulcomli 3p1e4 eqid decsuc decmulnc 3t3e9 9p1e10 4cn 3cn 4t3e12
    decmul2c mulid1i deceq12i 9nn0 3t2e6 6p6e12 decaddci 2t2e4 decmul1c 3eqtr4i
    mod2xi 2t0e0 0p1e1 nncni mul02i 1t1e1 addid2i mulid2i modxp1i nn0cni 4t4e16
    c9 4t2e8 4p1e5 2p1e3 6t2e12 6p1e7 8cn 8t2e16 7cn 7t2e14 cr wcel crp cle wbr
    clt wceq 1re cn nnrp ax-mp 0le1 4nn 9re 1lt9 ltleii decltdi modid mp4an ) A
    BCDZEDZUAFXQGDZUBFGXSUBFZGAGUCDZEDZEXRGGXSXQGBCHIJZUDUEZKYAEGUCLUFJZUGJUHLL
    AMUIDZBYBBADZGXSYDKMUIUJUKJULBAHNJZLAMCDZEYFGRDZYGXSYDKMCUJIJUHGRLUOJZYHACA
    DZEYICYJXSYDKCAINJUHIYKAAGDZEYLACXSYDKAGNLJUHNIAAEDZEYMGAXSYDKAENUGJUHLNAGE
    DZEYNGGXSYDKGELUGJZUHLLAUIBYOYGGXSYDKUKULYHLAUIUAFYGXSUBUMOUIAYOUNSUPUQZYOA
    DZBDZGPFYRCDBXSQFZGPFYGYGQFYRBCYSYOAYPNJHURYSUSUTYTYSGPYTBXQQFZBGQFZDYSXQGB
    HYCLVAUUAYRUUBBBCYOABGXQHHIXQUSNLBBQFZGPFWHGPFYOUUCWHGPVBOVCTCBGADVDVEVFUQV
    GBVEVHVITOBAYRCYGRYGYHHNYGUSIUOBYGQFZRPFUUCBAQFZDZRPFYRUUDUUFRPBABHHNVAOWHR
    AYOUUFRVJUOUOUUCWHUUERVBVKVIVCNVLVMTAYGQFABQFZAAQFZDRCDBAANHNVAUUGRUUHCBARV
    ESVKUQVNVITVOVPZVQAYOQFAGQFZAEQFZDYNGEANLUGVAUUJAUUKEASVHZVRVITEGPFGEXSQFZG
    PFGGQFVSUUMEGPXSXSYDVTWAZOWBVPZVQAEGYNNUGVSYNUSUTEAPFAUUMAPFGAQFZASWCUUMEAP
    UUNOASWDZVPWEAYMQFUUHUUJDYLAGANNLVAUUHCUUJAVNUULVITECPFCUUMCPFUUHCVDWCUUMEC
    PUUNOVNVPVQAYLQFACQFZUUHDYICAANINVAUURMUUHCCAMVDSWIUQVNVITEYJPFYJUUMYJPFCCQ
    FYJYJYKWFWCUUMEYJPUUNOWGVPVQMCUIYIUJIWJYIUSUTEYGPFYGUUMYGPFYJAQFYGYGYHWFWCU
    UMEYGPUUNOGRBAAGYJNLUOYJUSNLUUPGPFAGPFZBUUPAGPUUQOWKTWLVOVPWEMUIYAEAGYFNUJU
    KYFUSUGLGRUCAMQFLUOWMMAYJWNSWOUQUTYQVGUUIVQAYBQFAYAQFZUUKDXRYAEANYEUGVAUUTX
    QUUKEGUCBCAGYANLUFYAUSILUUJGPFUUSBUUJAGPUULOWKTUCAGCDWPSWQUQVGVRVITUUOVQGWR
    WSXSWTWSZEGXAXBGXSXCXBXTGXDXEXSXFWSUVAYDXSXGXHXIXQGGBCHXJUELLGWHXEXKXLXMXNG
    XSXOXPT $.

  $( 341 is the (smallest) _Poulet number_ (Fermat pseudoprime to the base 2).
     (Contributed by AV, 3-Jun-2023.) $)
  341fppr2 $p |- ; ; 3 4 1 e. ( FPPr ` 2 ) $=
    ( c3 c4 cdc c1 c2 cfv wcel cprime co cexp cmo cle wbr 3nn0 1nn decnncl nnzi
    cz 1nn0 mpbir3an cfppr cuz wnel cmin wceq 4z 4nn0 deccl 4nn c9 4re 9re 4lt9
    ltleii declei eluz2 cmul wn 2nn0 2re 2lt9 3nn mp2an df-nel 11t31e341 eqcomi
    nprm eleq1i xchbinx mpbir cc0 caddc eqid 1m1e0 decsubi oveq2i 2exp340mod341
    2z oveq1i eqtri cn w3a wb 2nn fpprel ax-mp ) ABCZDCZEUAFGZWHBUBFGZWHHUCZEWH
    DUDIZJIZWHKIZDUEZWJBRGWHRGBWHLMUFWHWGDABNUGUHZOPQWGDBABNUIPSUGBUJUKULUMUNUO
    BWHUPTWKDDCZADCZUQIZHGZURZWQEUBFZGZWRXBGZXAXCERGZWQRGEWQLMVRWQDDSOPQDDEOSUS
    EUJUTULVAUNZUOEWQUPTXDXEWRRGEWRLMVRWRADNOPQADEVBSUSXFUOEWRUPTWQWRVGVCWKWHHG
    WTWHHVDWHWSHWSWHVEVFVHVIVJWNEWGVKCZJIZWHKIDWMXHWHKWLXGEJWGDVKWGDVLIZWHDWPSS
    WHVMXIVMVNVOVPVSVQVTEWAGWIWJWKWOWBWCWDEWHWEWFT $.

  $( 4 is the (smallest) Fermat pseudoprime to the base 1.  (Contributed by AV,
     3-Jun-2023.) $)
  4fppr1 $p |- 4 e. ( FPPr ` 1 ) $=
    ( c4 c1 cfppr cfv wcel cuz cprime wnel cmin co cexp cmo wceq cz ax-mp 4nprm
    4z uzid c3 eqtri nelir 4m1e3 oveq2i 3z 1exp oveq1i cr clt wbr 4re 1lt4 1mod
    mp2an cn w3a wb 1nn fpprel mpbir3an ) ABCDEZAAFDEZAGHZBABIJZKJZALJZBMZANEVA
    QAROAGPUAVEBALJZBVDBALVDBSKJZBVCSBKUBUCSNEVHBMUDSUEOTUFAUGEBAUHUIVGBMUJUKAU
    LUMTBUNEUTVAVBVFUOUPUQBAUROUS $.

  $( Eight to the eighth power modulo nine is one.  (Contributed by AV,
     2-Jun-2023.) $)
  8exp8mod9 $p |- ( ( 8 ^ 8 ) mod 9 ) = 1 $=
    ( c8 cexp co c9 cmo c1 c4 cc0 9nn 0z 1nn0 c2 c7 wcel oveq1i c6 caddc mod2xi
    8nn cmul 4nn0 2nn0 7nn nnzi 8nn0 cc wceq 8cn exp1 ax-mp 2t1e2 cdc 6nn0 3nn0
    3p1e4 eqid decsuc 9cn 7cn 9t7e63 mulcomli 8t8e64 3eqtr4i 2t2e4 0p1e1 mul02i
    c3 1t1e1 4cn 2cn 4t2e8 cr crp cle wbr clt 1re cn nnrp 0le1 1lt9 modid mp4an
    eqtri ) AABCDECFDECZFAGHAFFDISUAJKKALHGFFDISUBJKKAFMLAFDISKMUCUDUEKAFBCZADE
    AUFNWFAUGUHAUIUJOUKPVGULZFQCPGULMDTCZFQCAATCPVGGWGUMUNUOWGUPUQWHWGFQDMWGURU
    SUTVAOVBVCRVDHFQCFHDTCZFQCFFTCVEWIHFQDURVFOVHVCZRGLAVIVJVKVAWJRFVLNDVMNZHFV
    NVOFDVPVOWEFUGVQDVRNWKIDVSUJVTWAFDWBWCWD $.

  $( 9 is the (smallest) Fermat pseudoprime to the base 8.  (Contributed by AV,
     2-Jun-2023.) $)
  9fppr8 $p |- 9 e. ( FPPr ` 8 ) $=
    ( c8 cn wcel c9 cfv c4 cuz cprime c1 co cexp cmo cz cle wbr ltleii mpbir3an
    eluz2 c3 c2 cfppr 8nn wnel cmin wceq w3a 4z 9nn nnzi 4re 4lt9 cmul wn 2z 3z
    9re 2re 3re 2lt3 nprm mp2an df-nel 3t3e9 eqcomi eleq1i xchbinx mpbir oveq2i
    9m1e8 oveq1i 8exp8mod9 eqtri 3pm3.2i fpprel mpbiri ax-mp ) ABCZDAUAECZUBVQV
    RDFGECZDHUCZADIUDJZKJZDLJZIUEZUFVSVTWDVSFMCDMCFDNOUGDUHUIFDUJUPUKPFDRQVTSSU
    LJZHCZUMZSTGECZWHWGWHTMCSMCTSNOUNUOTSUQURUSPTSRQZWISSUTVAVTDHCWFDHVBDWEHWED
    VCVDVEVFVGWCAAKJZDLJIWBWJDLWAAAKVIVHVJVKVLVMADVNVOVP $.

  ${
    $( Alternate definition of a _weak pseudoprime_ ` X ` , which fulfils
       ` ( N ^ X ) == N ` (modulo ` X ` ), see Wikipedia "Fermat pseudoprime",
       ~ https://en.wikipedia.org/wiki/Fermat_pseudoprime , 29-May-2023.
       (Contributed by AV, 31-May-2023.) $)
    dfwppr $p |- ( ( N e. NN /\ X e. NN )
                   -> ( ( ( N ^ X ) mod X ) = ( N mod X )
                        <-> X || ( ( N ^ X ) - N ) ) ) $=
      ( cn wcel wa cexp co cz cmo wceq cmin cdvds wbr wb simpr cn0 nnnn0 zexpcl
      nnz syl2an adantr moddvds syl3anc ) ACDZBCDZEUEABFGZHDZAHDZUFBIGABIGJBUFA
      KGLMNUDUEOUDUHBPDUGUEASZBQABRTUDUHUEUIUAUFABUBUC $.
  $}

  $( A Fermat pseudoprime to the base ` N ` is a _weak pseudoprime_ (see
     Wikipedia "Fermat pseudoprime", 29-May-2023,
     ~ https://en.wikipedia.org/wiki/Fermat_pseudoprime .  (Contributed by AV,
     31-May-2023.) $)
  fpprwppr $p |- ( X e. ( FPPr ` N )
                     -> ( ( N ^ X ) mod X ) = ( N mod X ) ) $=
    ( cn wcel cfppr cfv cexp co cmo wceq fpprbasnn c1 cmul syl2an adantr oveq1d
    wi wa cz sylbid cuz cprime wnel cmin w3a fpprel cn0 nnz eluz4nn nnm1nn0 syl
    c4 zexpcl zred crp nnrpd adantl modcld recnd 1cnd cc nncn cc0 nnne0 mulcand
    oveq1 cr modmulmodr syl3anc eqeq1d zcnd mulcomd expm1t eqcomd eqtrd mulid1d
    wne eqeq12d biimpd syl5 sylbird a1d ex 3impd mpcom ) ACDZBAEFDZABGHZBIHZABI
    HZJZABKWFWGBULUAFDZBUBUCZABLUDHZGHZBIHZLJZUEWKABUFWFWLWMWQWKWFWLWMWQWKQZQWF
    WLRZWRWMWSWQAWPMHZALMHZJZWKWSWPLAWSWPWSWOBWSWOWFASDZWNUGDZWOSDWLAUHZWLBCDZX
    DBUIZBUJUKAWNUMNZUNZWLBUODZWFWLBXGUPUQZURUSWSUTWFAVADZWLAVBZOZWFAVCVQWLAVDO
    VEXBWTBIHZXABIHZJZWSWKWTXABIVFWSXQAWOMHZBIHZXPJZWKWSXOXSXPWSXCWOVGDXJXOXSJW
    FXCWLXEOXIXKAWOBVHVIVJWSXTWKWSXSWIXPWJWSXRWHBIWSXRWOAMHZWHWSAWOXNWSWOXHVKVL
    WFXLXFYAWHJWLXMXGXLXFRWHYAABVMVNNVOPWSXAABIWFXAAJWLWFAXMVPOPVRVSTVTWAWBWCWD
    TWE $.

  $( An integer ` X ` which is coprime with an integer ` N ` is a Fermat
     pseudoprime to the base ` N ` iff it is a weak pseudoprime to the base
     ` N ` .  (Contributed by AV, 2-Jun-2023.) $)
  fpprwpprb $p |- ( ( X gcd N ) = 1 -> ( X e. ( FPPr ` N )
             <-> ( ( X e. ( ZZ>= ` 4 ) /\ X e/ Prime )
                   /\ ( N e. NN /\ ( ( N ^ X ) mod X ) = ( N mod X ) ) ) ) ) $=
    ( co c1 wceq cfv wcel wa cmo cmin wi sylbid cdvds wbr adantr syl2anr adantl
    cz wb cmul cgcd cfppr c4 cuz cprime wnel cn fpprbasnn w3a fpprel 3simpa a1i
    cexp fpprwppr jca simprll simprlr eluz4nn cn0 nnnn0d zexpcl moddvds syl3anc
    mpcom nnz cc nncn expm1t oveq1d nnm1nn0 syl mulsubfacd eqtrd breq2d zsubcld
    zcnd 1zzd dvdsmulgcd syl2anc eluzelz gcdcom syl2an eqeq1d biimpd imp oveq2d
    mulid1d com23 expimpd impcom eluz4eluz2 modm1div mpbird mpbir3and impbid2
    ex c2 ) BAUACZDEZBAUBFGZBUCUDFGZBUEUFZHZAUGGZABUMCZBICABICEZHZHZWTXCXGXDWTX
    CABUHZXDWTXAXBABDJCZUMCZBICDEZUIZXCABUJZXMXCKXDXAXBXLUKULLVDWTXDXFXIABUNUOU
    OWSXHWTWSXHHZWTXAXBXLWSXAXBXGUPWSXAXBXGUQXOXLBXKDJCZMNZXHWSXQXCXGWSXQKZXAXG
    XRKXBXAXDXFXRXAXDHZXFBXEAJCZMNZXRXSBUGGZXERGZARGZXFYASXAYBXDBURZOXDYDBUSGYC
    XAAVEZXABYEUTABVAPXDYDXAYFQZXEABVBVCXSYABXPATCZMNZXRXSXTYHBMXSXTXKATCZAJCYH
    XSXEYJAJXDAVFGZYBXEYJEXAAVGZYEABVHPVIXSXKAXSXKXDYDXJUSGZXKRGZXAYFXAYBYMYEBV
    JVKZAXJVAZPZVPXDYKXAYLQVLVMVNXSYIBXPABUACZTCZMNZXRXSXPRGYDYIYTSXSXKDYQXSVQV
    OZYGBXPAVRVSXSWSYTXQXSWSYTXQKXSWSHZYTXQUUBYSXPBMUUBYSXPDTCZXPUUBYRDXPTXSWSY
    RDEZXSWSUUDXSWRYRDXABRGYDWRYREXDUCBVTYFBAWAWBWCWDWEWFXSUUCXPEWSXSXPXSXPUUAV
    PWGOVMVNWDWPWHLLLWIOWEWJXOBWQUDFGZYNHZXLXQSXHUUFWSXHUUEYNXCUUEXGXAUUEXBBWKO
    OXGYDYMYNXCXDYDXFYFOXAYMXBYOOYPPUOQXKBWLVKWMXHWTXMSZWSXGUUGXCXDUUGXFXNOQQWN
    WPWO $.

  $( An alternate definition for a Fermat pseudoprime to the base 2.
     (Contributed by AV, 5-Jun-2023.) $)
  fpprel2 $p |- ( X e. ( FPPr ` 2 )
                  <-> ( ( X e. ( ZZ>= ` 2 ) /\ X e. Odd /\ X e/ Prime )
                        /\ ( ( 2 ^ X ) mod X ) = 2 ) ) $=
    ( c2 cfv wcel w3a co cmo wceq wa c4 c1 wb 3ad2ant1 adantr cr wbr clt 2re c3
    a1i cfppr cuz codd cprime wnel cexp cmin cn fpprel mp1i eluz4eluz2 fppr2odd
    2nn adantl simpr2 3jca fpprwppr crp cc0 eluz4nn nnrpd 0le2 cz eluz2 zlem1lt
    cle wi 4z mpan 4m1e3 breq1i 3re zre 2lt3 simpr lttrd ex syl5bi sylbid sylbi
    modid syl22anc sylan9eq jca pm2.43i ge2nprmge4 3adant2 simp3 eluz2nn eqcomd
    3imp syl eqeq2d biimpa cgcd gcd2odd1 3ad2ant2 fpprwpprb mpbir2and impbii )
    ABUACDZABUBCDZAUCDZAUDUEZEZBAUFFAGFZBHZIZXAXHXAXAAJUBCDZXDBAKUGFUFFAGFKHZEZ
    XHBUHDZXAXKLXAUMBAUIUJXAXKXHXAXKIZXEXGXMXBXCXDXKXBXAXIXDXBXJAUKMUNXAXCXKAUL
    NXAXIXDXJUOUPXAXKXFBAGFZBBAUQXIXDXNBHZXJXIBODZAURDZUSBVFPZBAQPZXOXPXIRTXIAA
    UTVAXRXIVBTXIJVCDZAVCDZJAVFPZEXSJAVDXTYAYBXSYAYBXSVGVGXTYAYBJKUGFZAQPZXSXTY
    AYBYDLVHJAVEVIYDSAQPZYAXSYCSAQVJVKYAYEXSYAYEIZBSAXPYFRTSODYFVLTYAAODYEAVMNB
    SQPYFVNTYAYEVOVPVQVRVSTWKVTZBAWAZWBMWCWDVQVSWEXHXAXIXDIZXLXFXNHZIZXEYIXGXEX
    IXDXBXDXIXCAWFWGZXBXCXDWHWDNXHXLYJXLXHUMTXEXGYJXEBXNXFXEXNBXEXPXQXRXSXOXPXE
    RTXBXCXQXDXBAAWIVAMXRXEVBTXEXIXSYLYGWLYHWBWJWMWNWDXHABWOFKHZXAYIYKILXEYMXGX
    CXBYMXDAWPWQNBAWRWLWSWT $.

  $( Fermat's little theorem with base 8 reversed is not generally true:  There
     is an integer ` p ` (for example 9, see ~ 9fppr8 ) so that " ` p ` is
     prime" does not follow from ` 8 ^ p == 8 ` (mod ` p ` ).  (Contributed by
     AV, 3-Jun-2023.) $)
  nfermltl8rev $p |- E. p e. ( ZZ>= ` 3 )
                     -. ( ( ( 8 ^ p ) mod p ) = ( 8 mod p ) -> p e. Prime ) $=
    ( c8 cexp co cmo wceq cprime wcel wi wn c3 wa c9 cn 9nn eleq1 wbr cc0 caddc
    c1 cv cuz cfv wrex elexi oveq2 id oveq12d eqeq12d imbi12d notbid anbi12d cz
    wex cle 3z nnzi 3re 9re 3lt9 ltleii eluz2 mpbir3an 8nn 8nn0 0z 8exp8mod9 cr
    1nn0 crp clt 1re nnrp ax-mp 0le1 1lt9 modid mp4an eqtr4i 8p1e9 cmul addid2i
    8cn mul02i oveq1i mulid2i 3eqtr4i modxp1i 9nprm pm3.2i annim mpbi ceqsexv2d
    9cn df-rex mpbir ) BAUAZCDZWQEDZBWQEDZFZWQGHZIZJZAKUBUCZUDWQXEHZXDLZAUNXGMX
    EHZBMCDZMEDZBMEDZFZMGHZIZJZLAMMNOUEWQMFZXFXHXDXOWQMXEPXPXCXNXPXAXLXBXMXPWSX
    JWTXKXPWRXIWQMEWQMBCUFXPUGUHWQMBEUFUIWQMGPUJUKULXHXOXHKUMHMUMHKMUOQUPMOUQKM
    URUSUTVAKMVBVCXLXMJZLXOXLXQBBRMTBMOVDVEVFVIVEBBCDMEDTTMEDZVGTVHHMVJHZRTUOQT
    MVKQXRTFVLMNHXSOMVMVNVOVPTMVQVRVSVTRBSDBRMWADZBSDTBWADBWCWBXTRBSMWNWDWEBWCW
    FWGWHWIWJXLXMWKWLWJWMXDAXEWOWP $.

  $( Fermat's little theorem with base 2 reversed is not generally true:  There
     is an integer ` p ` (for example 341, see ~ 341fppr2 ) so that " ` p ` is
     prime" does not follow from ` 2 ^ p == 2 ` (mod ` p ` ).  (Contributed by
     AV, 3-Jun-2023.) $)
  nfermltl2rev $p |- E. p e. ( ZZ>= ` 3 )
                     -. ( ( ( 2 ^ p ) mod p ) = ( 2 mod p ) -> p e. Prime ) $=
    ( c2 cexp co cmo wceq cprime wcel wn c3 cfv cdc c1 cle 3nn0 deccl 1nn0 0nn0
    cz cc0 cv wi cuz wrex wa wex c4 decex eleq1 oveq2 id oveq12d eqeq12d notbid
    imbi12d anbi12d wbr 3z 4nn0 nn0zi dec0h c9 3re 9re 3lt9 ltleii 3nn 0re 9pos
    decltdi eqbrtri eluz2 mpbir3an cfppr 341fppr2 fpprwppr ax-mp cmul 11t31e341
    decleh eqcomi 2nn0 2re 2lt9 0lt1 3pos nprm mp2an eqneltri pm3.2i annim mpbi
    2z ceqsexv2d df-rex mpbir ) BAUAZCDZWQEDZBWQEDZFZWQGHZUBZIZAJUCKZUDWQXEHZXD
    UEZAUFXGJUGLZMLZXEHZBXICDZXIEDZBXIEDZFZXIGHZUBZIZUEAXIXHMUHWQXIFZXFXJXDXQWQ
    XIXEUIXRXCXPXRXAXNXBXOXRWSXLWTXMXRWRXKWQXIEWQXIBCUJXRUKULWQXIBEUJUMWQXIGUIU
    OUNUPXJXQXJJSHXISHJXINUQURXIXHMJUGOUSPZQPUTJTJLXINJOVATXHJMRXSOQJVBVCVDVEVF
    JUGTVGUSRTVBVHVDVIVFVJVTVKJXIVLVMXNXOIZUEXQXNXTXIBVNKHXNVOBXIVPVQXIMMLZJMLZ
    VRDZGYCXIVSWAYABUCKZHZYBYDHZYCGHIYEBSHZYASHBYANUQWMYAMMQQPUTBTBLZYANBWBVAZT
    MBMRQWBQBVBWCVDWDVFZWEVTVKBYAVLVMYFYGYBSHBYBNUQWMYBJMOQPUTBYHYBNYITJBMROWBQ
    YJWFVTVKBYBVLVMYAYBWGWHWIWJXNXOWKWLWJWNXDAXEWOWP $.

  ${
    $d a p $.
    $( Fermat's little theorem reversed is not generally true:  There are
       integers ` a ` and ` p ` so that " ` p ` is prime" does not follow from
       ` a ^ p == a ` (mod ` p ` ).  (Contributed by AV, 3-Jun-2023.) $)
    nfermltlrev $p |- E. a e. ZZ E. p e. ( ZZ>= ` 3 )
                      -. ( ( ( a ^ p ) mod p ) = ( a mod p ) -> p e. Prime ) $=
      ( cv cexp co cmo wceq cprime wcel wi wn c3 cuz cfv wrex cz wa 8nn oveq1
      c8 wex cn elexi oveq1d eqeq12d imbi1d notbid rexbidv anbi12d nfermltl8rev
      eleq1 nnzi pm3.2i ceqsexv2d df-rex mpbir ) BCZACZDEZURFEZUQURFEZGZURHIZJZ
      KZALMNZOZBPOUQPIZVGQZBUAVITPIZTURDEZURFEZTURFEZGZVCJZKZAVFOZQBTTUBRUCUQTG
      ZVHVJVGVQUQTPUKVRVEVPAVFVRVDVOVRVBVNVCVRUTVLVAVMVRUSVKURFUQTURDSUDUQTURFS
      UEUFUGUHUIVJVQTRULAUJUMUNVGBPUOUP $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Goldbach's conjectures
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  <HTML>
  According to Wikipedia ("Goldbach's conjecture", 20-Jul-2020,
  ~ https://en.wikipedia.org/wiki/Goldbach's_conjecture ) "Goldbach's
  conjecture ... states: Every even integer greater than 2 can be expressed as
  the sum of two primes."  "It is also known as strong, even or binary Goldbach
  conjecture, to distinguish it from a weaker conjecture, known ... as the
  _Goldbach's weak conjecture_, the _odd Goldbach conjecture_, or the _ternary
  Goldbach conjecture_.  This weak conjecture asserts that all odd numbers
  greater than 7 are the sum of three odd primes.".  In the following, the
  terms "binary Goldbach conjecture" resp. "ternary Goldbach conjecture" will
  be used (following the terminology used in [Helfgott] p. 2), because there
  are a strong and a weak version of the ternary Goldbach conjecture.  The term
  _Goldbach partition_ is used for a sum of two resp. three (odd) primes
  resulting in an even resp. odd number without further specialization.
  <br><br>

  Using the definition of a _Goldbach number_, which is "a positive even
  integer that can be expressed as the sum of two odd primes." (see ~ df-gbe ),
  "another form of the statement of Goldbach's conjecture is that all even
  integers greater than 4 are Goldbach numbers.".  4 is not a Goldbach number,
  but it is the sum of two primes (2 and 2) nevertheless. ~ sbgoldbalt shows
  that both forms are equivalent.
  <br><br>

  Hint (see Wikipedia, ("Goldbach's weak conjecture", 26-Jul-2020,
  ~ https://en.wikipedia.org/wiki/Goldbach's_weak_conjecture ): "Some state the
  [[weak] conjecture as 'Every odd number greater than 7 can be expressed as
  the sum of three odd primes.'  This version excludes 7 = 2+2+3 because this
  requires the even prime 2.  On odd numbers larger than 7 it is slightly
  stronger as it also excludes sums like 17 = 2+2+13, which are allowed in the
  other formulation.  Helfgott's proof [see below] covers both versions of the
  conjecture.  Like the other formulation, this one also immediately follows
  from Goldbach's strong conjecture."  The definition of "weak odd Goldbach
  numbers", see ~ df-gbow , is the basis for "the other formulation", to
  formulate the weak ternary Goldbach conjecture.  Alternately, ~ df-gbo
  provides a definition of "(strong) odd Goldbach numbers" allowing for stating
  the strong ternary Goldbach conjecture.  In literature, the term "Goldbach
  number" is used for "even Goldbach numbers" (according to definition
  ~ df-gbe ), whereas there seems to be no explicit names and definitions for
  "odd Goldbach numbers".  Since there are more theorems for "strong odd
  Goldbach numbers", "odd Goldbach numbers" refers to "strong odd Goldbach
  numbers" in the following. Otherwise, the term "weak odd Goldbach
  numbers" is explicitly used.
  <br><br>

  In contrast to the two versions of the binary Goldbach conjecture, the two
  versions of the ternary Goldbach conjecture are different not only for small
  numbers, but the strong version excludes cases like a=2+2+b in general, e.g.,
  23=2+2+19.  Therefore, it seems to be more difficult to prove the strong
  ternary Goldbach conjecture than the weak version, because there are fewer
  possible partitions available.
  <br><br>

  Although the binary Goldbach conjecture is not proven yet, the ternary
  Goldbach conjecture was proven by Harald Helfgott in 2014 (the weak as well
  as the strong version, see Main theorem in [Helfgott] p. 2).  It would be
  great if this proof can be formalized with Metamath (although it is not in
  the Metamath 100 list).  This section should be a starting point for this.
  <br><br>

  The main problem will be to provide means to express the results from
  checking "small" numbers (performed with a computer): numbers up to about
  4 x 10^18 for the binary Goldbach conjecture (see section 2 in [OeSilva]
  p. 2042, called "even Goldbach conjecture" here) resp. about 9 x 10^30 for
  the ternary Goldbach conjecture (see section 1.2.2 in [Helfgott] p. 4) or
  8 x 10^26 (see theorem 2.1 in [OeSilva] p. 2057, called "odd Goldbach
  conjecture" here).  Maybe each of the results must be provided as theorem,
  like ~ 6gbe , which would be quite a lot...
  <br><br>

  As proposed in the Google group discussion
  https://groups.google.com/g/metamath/c/DOXS4pg0h8w , this problem could be
  solved by using a reflective verifier or adding a concept of verification
  certificates that can be added into the Metamath databases as a reference.
  To sidestep the computation problem for now, the corresponding theorems are
  temporarily provided as axioms, see ~ ax-bgbltosilva , ~ ax-hgprmladder and
  ~ ax-tgoldbachgt .

  <h1>Summary/glossary:</h1>

  <table border="1" id="goldbach-glossary0">
  <tr><th>Term</th><th>Synonyms</th><th>Label fragment</th>
      <th>Definition/Theorem</th><th>Remarks</th></tr>
  <tr><td><b>binary Goldbach partition</b></td>
      <td>simply "Goldbach partition"</td>
      <td></td>
      <td></td>
      <td>A pair of primes (p,q) that sum to an even integer 2n=p+q</td>
      <td>See ~ https://mathworld.wolfram.com/GoldbachPartition.html </td></tr>
  <tr><td><b>weak Goldbach partition</b></td>
      <td></td>
      <td>gbpart</td>
      <td></td>
      <td>A sum of two resp. three primes resulting in an even resp. odd number
          without further specialization.</td>
      <td></td></tr>
  <tr><td><b>Goldbach partition</b></td>
      <td></td>
      <td>gbpart</td>
      <td></td>
      <td>A sum of two resp. three <b>odd</b> primes resulting in an even resp.
          odd number without further specialization.</td>
      <td></td></tr>
  <tr><td><b>even Goldbach number</b></td>
      <td>simply "Goldbach number"</td>
      <td>gbe</td>
      <td> ~ df-gbe </td>
      <td>A positive even integer that can be expressed as the sum of two odd
          primes.</td>
      <td>See ~ https://mathworld.wolfram.com/GoldbachNumber.html </td></tr>
  <tr><td><b>weak odd Goldbach number</b></td>
      <td></td>
      <td>gbow</td>
      <td> ~ df-gbow </td>
      <td>A positive odd integer that can be expressed as the sum of three
          primes.</td>
      <td></td></tr>
  <tr><td><b>odd Goldbach number</b></td>
      <td>strong odd Goldbach number</td>
      <td>gbo</td>
      <td> ~ df-gbo </td>
      <td>A positive odd integer that can be expressed as the sum of three
          <b>odd</b> primes.</td>
      <td></td></tr>
  <tr><td><b>strong binary Goldbach conjecture</b></td>
      <td>"the" Goldbach conjecture" [[*1], even Goldbach conjecture [[*2]</td>
      <td>sbgoldb</td>
      <td></td>
      <td>Every even integer greater than 4 can be expressed as the sum of two
          <b>odd</b> primes.</td>
      <td>[[*1] Equation (1) in [ApostolNT] p. 304 or [[*2] introduction of
          [OeSilva] p. 2033. </td></tr>
  <tr><td><b>binary Goldbach conjecture</b>[[*1][[*3]</td>
      <td>strong Goldbach conjecture [[*1], even Goldbach conjecture [[*1], or
          simply "the Goldbach conjecture" [[*1][[*2]</td>
      <td>bgoldb, b</td>
      <td> ~ sbgoldbb </td>
      <td>Every even integer greater than 2 can be expressed as the sum of two
          primes.</td>
      <td>See [[*1] ~ https://en.wikipedia.org/wiki/Goldbach's_conjecture ,
          [[*2] statement in [ApostolNT] p. 9 or [[*3] section 1.1 in
          [Helfgott] p. 2.</td></tr>
  <tr><td><b>weak ternary Goldbach conjecture</b></td>
      <td>Goldbach's weak conjecture [[*1], odd Goldbach conjecture [[*1][[*3],
          ternary Goldbach conjecture [[*2],  ternary Goldbach problem[[*1],
          three-primes problem [[*1][[*2]</td>
      <td>wtgoldb, wt</td>
      <td> ~ stgoldbwt , ~ sbgoldbwt </td>
      <td>Every odd number greater than 5 can be expressed as the sum of three
          primes.</td>
      <td>See [[*1] ~ https://en.wikipedia.org/wiki/Goldbach's_weak_conjecture,
          [[*2] section 1.1 in [Helfgott] p. 2 or [[*3] section 2.4 in
          [OeSilva] p. 2057.</td></tr>
  <tr><td><b>ternary Goldbach conjecture</b></td>
      <td>strong ternary Goldbach conjecture, the "weak" Goldbach
          conjecture</td>
      <td>tgoldb, stgoldb, st</td>
      <td> ~ sbgoldbst </td>
      <td>Every odd number greater than 7 can be expressed as the sum of three
          <b>odd</b> primes.</td>
      <td>See ~ https://en.wikipedia.org/wiki/Goldbach's_weak_conjecture ,
          ~ https://mathworld.wolfram.com/GoldbachConjecture.html or section
          7.4 in [Helfgott] p. 71.</td></tr>
  <tr><td><b>Goldbach's original conjecture (modern version)</b></td>
      <td>the "ternary" Goldbach conjecture</td>
      <td>mogoldb, m</td>
      <td> ~ sbgoldbm </td>
      <td>Every integer greater than 5 can be written as the sum of three
          primes.</td>
      <td>See ~ https://en.wikipedia.org/wiki/Goldbach's_weak_conjecture ,
          and ~ https://mathworld.wolfram.com/GoldbachConjecture.html
          </td></tr>
  <tr><td><b>Goldbach's original conjecture (original version)</b></td>
      <td></td>
      <td>ogoldb, o</td>
      <td> ~ sbgoldbo </td>
      <td>Every integer greater than 2 can be written as the sum of three
          "primes" (considered the number 1 to be a "prime").</td>
      <td>See ~ https://en.wikipedia.org/wiki/Goldbach's_weak_conjecture ,
          and ~ https://mathworld.wolfram.com/GoldbachConjecture.html
          </td></tr>
  </table>
  </HTML>

$)

  $c GoldbachEven GoldbachOddW GoldbachOdd $.

  $( Extend the definition of a class to include the set of even numbers which
     have a Goldbach partition. $)
  cgbe $a class GoldbachEven $.

  $( Extend the definition of a class to include the set of odd numbers which
     can be written as a sum of three primes. $)
  cgbow $a class GoldbachOddW $.

  $( Extend the definition of a class to include the set of odd numbers which
     can be written as a sum of three odd primes. $)
  cgbo $a class GoldbachOdd $.

  ${
    $d z p q r $.
    $( Define the set of (even) Goldbach numbers, which are positive even
       integers that can be expressed as the sum of two odd primes.  By this
       definition, the binary Goldbach conjecture can be expressed as
       ` A. n e. Even ( 4 < n -> n e. GoldbachEven ) ` .  (Contributed by AV,
       14-Jun-2020.) $)
    df-gbe $a |- GoldbachEven = { z e. Even | E. p e. Prime E. q e. Prime
                                 ( p e. Odd /\ q e. Odd /\ z = ( p + q ) ) } $.

    $( Define the set of weak odd Goldbach numbers, which are positive odd
       integers that can be expressed as the sum of three primes.  By this
       definition, the weak ternary Goldbach conjecture can be expressed as
       ` A. m e. Odd ( 5 < m -> m e. GoldbachOddW ) ` .  (Contributed by AV,
       14-Jun-2020.) $)
    df-gbow $a |- GoldbachOddW = { z e. Odd | E. p e. Prime E. q e. Prime
                                 E. r e. Prime z = ( ( p + q ) + r ) } $.

    $( Define the set of (strong) odd Goldbach numbers, which are positive odd
       integers that can be expressed as the sum of three _odd_ primes.  By
       this definition, the strong ternary Goldbach conjecture can be expressed
       as ` A. m e. Odd ( 7 < m -> m e. GoldbachOdd ) ` .  (Contributed by AV,
       26-Jul-2020.) $)
    df-gbo $a |- GoldbachOdd = { z e. Odd | E. p e. Prime E. q e. Prime
                           E. r e. Prime ( ( p e. Odd /\ q e. Odd /\ r e. Odd )
                                           /\ z = ( ( p + q ) + r ) ) } $.
  $}

  ${
    $d Z z p q r $.
    $( The predicate "is an even Goldbach number".  An even Goldbach number is
       an even integer having a Goldbach partition, i.e. which can be written
       as a sum of two odd primes.  (Contributed by AV, 20-Jul-2020.) $)
    isgbe $p |- ( Z e. GoldbachEven <-> ( Z e. Even
                            /\ E. p e. Prime E. q e. Prime
                               ( p e. Odd /\ q e. Odd /\ Z = ( p + q ) ) ) ) $=
      ( vz cv codd wcel caddc co wceq w3a cprime wrex ceven cgbe eqeq1 2rexbidv
      3anbi3d df-gbe elrab2 ) CEZFGZBEZFGZDEZUAUCHIZJZKZBLMCLMUBUDAUFJZKZBLMCLM
      DANOUEAJZUHUJCBLLUKUGUIUBUDUEAUFPRQDBCST $.

    $( The predicate "is a weak odd Goldbach number".  A weak odd Goldbach
       number is an odd integer having a Goldbach partition, i.e. which can be
       written as a sum of three primes.  (Contributed by AV, 20-Jul-2020.) $)
    isgbow $p |- ( Z e. GoldbachOddW
                  <-> ( Z e. Odd /\ E. p e. Prime E. q e. Prime E. r e. Prime
                                    Z = ( ( p + q ) + r ) ) ) $=
      ( vz cv caddc co wceq cprime wrex codd cgbow eqeq1 rexbidv df-gbow elrab2
      2rexbidv ) EFZDFCFGHBFGHZIZBJKZCJKDJKATIZBJKZCJKDJKEALMSAIZUBUDDCJJUEUAUC
      BJSATNOREBCDPQ $.

    $( The predicate "is an odd Goldbach number".  An odd Goldbach number is an
       odd integer having a Goldbach partition, i.e. which can be written as
       sum of three odd primes.  (Contributed by AV, 26-Jul-2020.) $)
    isgbo $p |- ( Z e. GoldbachOdd
                  <-> ( Z e. Odd /\ E. p e. Prime E. q e. Prime E. r e. Prime
                                    ( ( p e. Odd /\ q e. Odd /\ r e. Odd )
                                      /\ Z = ( ( p + q ) + r ) ) ) ) $=
      ( vz cv codd wcel w3a caddc co wceq cprime wrex cgbo eqeq1 anbi2d rexbidv
      wa 2rexbidv df-gbo elrab2 ) DFZGHCFZGHBFZGHIZEFZUCUDJKUEJKZLZSZBMNZCMNDMN
      UFAUHLZSZBMNZCMNDMNEAGOUGALZUKUNDCMMUOUJUMBMUOUIULUFUGAUHPQRTEBCDUAUB $.

    $( An even Goldbach number is even.  (Contributed by AV, 25-Jul-2020.) $)
    gbeeven $p |- ( Z e. GoldbachEven -> Z e. Even ) $=
      ( vp vq cgbe wcel ceven cv codd caddc wceq w3a cprime wrex isgbe simplbi
      co ) ADEAFEBGZHECGZHEAQRIPJKCLMBLMACBNO $.

    $( A weak odd Goldbach number is odd.  (Contributed by AV, 25-Jul-2020.) $)
    gbowodd $p |- ( Z e. GoldbachOddW -> Z e. Odd ) $=
      ( vp vq vr cgbow wcel codd cv caddc co wceq cprime wrex isgbow simplbi )
      AEFAGFABHCHIJDHIJKDLMCLMBLMADCBNO $.

    $( A (strong) odd Goldbach number is a weak Goldbach number.  (Contributed
       by AV, 26-Jul-2020.) $)
    gbogbow $p |- ( Z e. GoldbachOdd -> Z e. GoldbachOddW ) $=
      ( vp vq vr codd wcel cv w3a caddc co wceq wa cprime wrex cgbo cgbow simpr
      reximi anim2i isgbo isgbow 3imtr4i ) AEFZBGZEFCGZEFDGZEFHZAUDUEIJUFIJKZLZ
      DMNZCMNZBMNZLUCUHDMNZCMNZBMNZLAOFAPFULUOUCUKUNBMUJUMCMUIUHDMUGUHQRRRSADCB
      TADCBUAUB $.

    $( An odd Goldbach number is odd.  (Contributed by AV, 26-Jul-2020.) $)
    gboodd $p |- ( Z e. GoldbachOdd -> Z e. Odd ) $=
      ( cgbo wcel cgbow codd gbogbow gbowodd syl ) ABCADCAECAFAGH $.
  $}

  ${
    $d Z p q r $.
    $( Any even Goldbach number is positive.  (Contributed by AV,
       20-Jul-2020.) $)
    gbepos $p |- ( Z e. GoldbachEven -> Z e. NN ) $=
      ( vp vq cgbe wcel ceven cv codd caddc co wceq w3a cprime wrex wa cn isgbe
      wi prmnn nnaddcl syl2an eleq1 syl5ibr 3ad2ant3 com12 a1i rexlimdvv sylbi
      imp ) ADEAFEZBGZHEZCGZHEZAUKUMIJZKZLZCMNBMNZOAPEZACBQUJURUSUJUQUSBCMMUKME
      ZUMMEZOZUQUSRRUJUQVBUSUPULVBUSRUNVBUSUPUOPEZUTUKPEUMPEVCVAUKSUMSUKUMTUAAU
      OPUBUCUDUEUFUGUIUH $.

    $( Any weak odd Goldbach number is positive.  (Contributed by AV,
       20-Jul-2020.) $)
    gbowpos $p |- ( Z e. GoldbachOddW -> Z e. NN ) $=
      ( vp vq vr cgbow wcel codd cv caddc co wceq cprime wrex wa isgbow anim12i
      cn wi prmnn adantr nnaddcl syl adantl nnaddcld eleq1 syl5ibrcom rexlimdva
      a1i rexlimdvv imp sylbi ) AEFAGFZABHZCHZIJZDHZIJZKZDLMZCLMBLMZNAQFZADCBOU
      LUTVAULUSVABCLLUMLFZUNLFZNZUSVARRULVDURVADLVDUPLFZNZVAURUQQFVFUOUPVFUMQFZ
      UNQFZNZUOQFVDVIVEVBVGVCVHUMSUNSPTUMUNUAUBVEUPQFVDUPSUCUDAUQQUEUFUGUHUIUJU
      K $.

    $( Any odd Goldbach number is positive.  (Contributed by AV,
       26-Jul-2020.) $)
    gbopos $p |- ( Z e. GoldbachOdd -> Z e. NN ) $=
      ( cgbo wcel cgbow cn gbogbow gbowpos syl ) ABCADCAECAFAGH $.

    $( Any even Goldbach number is greater than 5.  (Contributed by AV,
       20-Jul-2020.) $)
    gbegt5 $p |- ( Z e. GoldbachEven -> 5 < Z ) $=
      ( vp vq wcel w3a cprime wa c5 clt wbr wi c3 ancoms cz cle cr c6 a1i imp
      ex cgbe ceven cv codd caddc wceq wrex isgbe cuz cfv oddprmuzge3 eluz2 zre
      co 3re pm3.2i pm3.22 le2add sylancr ancomsd 3p3e6 breq1i 5lt6 5re readdcl
      6re ltletr syl3anc mpani syl5bi syld syl2an adantl com23 exp4b 3imp com13
      3adant1 sylbi an4s 3adant3 impcom wb breq2 3ad2ant3 mpbird rexlimdvv ) AU
      ADAUBDZBUCZUDDZCUCZUDDZAWIWKUEUNZUFZEZCFUGBFUGZGHAIJZACBUHWHWPWQWHWOWQBCF
      FWIFDZWKFDZGZWOWQKKWHWTWOWQWTWOGWQHWMIJZWOWTXAWJWLWTXAKWNWJWLGWTXAWJWRWLW
      SXAWJWRGWILUIUJZDZWKXBDZXAWLWSGWRWJXCWIUKMWSWLXDWKUKMXCXDXAXCLNDZWINDZLWI
      OJZEZXDXAKLWIULXDXEWKNDZLWKOJZEZXHXALWKULXFXGXKXAKZXEXFXGXLXKXGXFXAXEXIXJ
      XGXFXAKZKXEXIXJXGXMXEXIGXFXJXGGZXAXIXFXNXAKZKXEXIXFXOXIWKPDZWIPDZXOXFWKUM
      WIUMXPXQGZXNLLUEUNZWMOJZXAXRXGXJXTXRLPDZYAGXQXPGXGXJGXTKYAYAUOUOUPXPXQUQL
      LWIWKURUSUTXTQWMOJZXRXAXSQWMOVAVBXRHQIJZYBXAVCXRHPDZQPDZWMPDZYCYBGXAKYDXR
      VDRYEXRVFRXQXPYFWIWKVEMHQWMVGVHVIVJVKVLTVMVNVOVPVQSVRVJVSSVLVTTWAWBWOWQXA
      WCZWTWNWJYGWLAWMHIWDWEVMWFTRWGSVS $.

    $( Any weak odd Goldbach number is greater than 5.  (Contributed by AV,
       20-Jul-2020.) $)
    gbowgt5 $p |- ( Z e. GoldbachOddW -> 5 < Z ) $=
      ( vp vq vr wcel caddc co cprime wa c5 wbr wi c2 cz anim12i cr 3ad2ant2 c4
      cle c6 cgbow codd wceq wrex clt isgbow w3a cuz cfv prmuz2 eluz2 sylib zre
      cv 2re pm3.2i jctil simp3 le2add sylc 2p2e4 breq1i zaddcl zred adantr 4re
      simpr 4p2e6 5lt6 5re a1i zaddcld ltletr syl3anc mpani syl5bi expcom com12
      6re imp exp31 breq2 syl5ibrcom syl2an rexlimdva adantl rexlimdvva sylbi
      mpd ) AUAEAUBEZABUNZCUNZFGZDUNZFGZUCZDHUDZCHUDBHUDZIJAUEKZADCBUFWJWRWSWJW
      QWSBCHHWKHEZWLHEZIZWQWSLWJXBWPWSDHXBMNEZWKNEZMWKSKZUGZXCWLNEZMWLSKZUGZIZX
      CWNNEZMWNSKZUGZWPWSLWNHEZWTXFXAXIWTWKMUHUIZEXFWKUJMWKUKULXAWLXOEXIWLUJMWL
      UKULOXNWNXOEXMWNUJMWNUKULXJXMIWSWPJWOUEKZXJXMXPXJMMFGZWMSKZXMXPLZXJMPEZXT
      IZWKPEZWLPEZIZIXEXHIXRXJYDYAXFYBXIYCXDXCYBXEWKUMQXGXCYCXHWLUMQOXTXTUOUOUP
      UQXFXEXIXHXCXDXEURXCXGXHUROMMWKWLUSUTXFXIXRXSLZXDXCXIYELXEXIXDYEXGXCXDYEL
      XHXDXGYEXRRWMSKZXDXGIZXSXQRWMSVAVBYGYFXMXPYGYFIZXMIZRMFGZWOSKZXPYIRPEZXTI
      ZWMPEZWNPEZIZIYFXLIYKYIYPYMYHYNXMYOYGYNYFYGWMWKWLVCZVDVEXKXCYOXLWNUMQOYLX
      TVFUOUPUQYHYFXMXLYGYFVGXCXKXLURORMWMWNUSUTYHXMYKXPLZYGXMYRLYFXMYGYRXKXCYG
      YRLXLYGXKYRYKTWOSKZYGXKIZXPYJTWOSVHVBYTJTUEKZYSXPVIYTJPEZTPEZWOPEUUAYSIXP
      LUUBYTVJVKUUCYTVSVKYTWOYTWMWNYGWMNEXKYQVEYGXKVGVLVDJTWOVMVNVOVPVQQVRVEVTW
      IWAVPVQQVRQVTWIVTAWOJUEWBWCWDWEWFWGVTWH $.

    $( Any weak odd Goldbach number is greater than or equal to 7.  Because of
       ~ 7gbow , this bound is strict.  (Contributed by AV, 20-Jul-2020.) $)
    gbowge7 $p |- ( Z e. GoldbachOddW -> 7 <_ Z ) $=
      ( vp vq vr wcel c5 clt wbr c7 cle caddc co wi cz sylancr codd cprime wrex
      c6 cv cgbow gbowgt5 c1 cn gbowpos wb 5nn nnzi nnz zltp1le biimpd syl wceq
      wo 5p1e6 breq1i cr 6re nnred leloe syl5bb 6nn nnzd wa 6p1e7 syl6ib isgbow
      eleq1 ceven wn 6even evennodd pm2.21 mp2b syl6bir com12 adantr sylbi jaod
      sylbid syld mpd ) AUAEZFAGHZIAJHZAUBWCWDFUCKLZAJHZWEWCAUDEZWDWGMAUEZWHWDW
      GWHFNEANEZWDWGUFFUGUHAUIFAUJOUKULWCWGSAGHZSAUMZUNZWEWGSAJHZWCWMWFSAJUOUPW
      CSUQEAUQEWNWMUFURWCAWIUSSAUTOVAWCWKWEWLWCWKSUCKLZAJHZWEWCSNEZWJWKWPMSVBUH
      WCAWIVCWQWJVDWKWPSAUJUKOWOIAJVEUPVFWCAPEZABTCTKLDTKLUMDQRCQRBQRZVDWLWEMZA
      DCBVGWRWTWSWLWRWEWLWRSPEZWESAPVHSVIEXAVJXAWEMVKSVLXAWEVMVNVOVPVQVRVSVTWAW
      B $.

    $( Any odd Goldbach number is greater than or equal to 9.  Because of
       ~ 9gbo , this bound is strict.  (Contributed by AV, 26-Jul-2020.) $)
    gboge9 $p |- ( Z e. GoldbachOdd -> 9 <_ Z ) $=
      ( vp vq vr wcel codd cv w3a caddc co wa cprime wrex c9 cle c3 oddprmuzge3
      wbr c6 cr cgbo isgbo wi df-3an an6 cuz cfv 6p3e9 cz eluzelz zaddcl syl2an
      wceq zred eluzelre anim12i 3impa 6re 3re pm3.2i jctil 3p3e6 eluzle le2add
      sylc eqbrtrrid 3adant3 3ad2ant3 jca syl3an sylbi sylanbr breq2 syl5ibrcom
      expimpd rexlimdva a1i rexlimdvv imp ) AUAEAFEZBGZFEZCGZFEZDGZFEZHZAWAWCIJ
      ZWEIJZUMZKZDLMZCLMBLMZKNAORZADCBUBVTWMWNVTWLWNBCLLWALEZWCLEZKZWLWNUCUCVTW
      QWKWNDLWQWELEZKZWGWJWNWSWGKWNWJNWIORZWSWOWPWRHZWGWTWOWPWRUDXAWGKWOWBKZWPW
      DKZWRWFKZHWTWOWPWRWBWDWFUEXBWAPUFUGZEZXCWCXEEZXDWEXEEZWTWAQWCQWEQXFXGXHHZ
      NSPIJZWIOUHXISTEZPTEZKZWHTEZWETEZKZKSWHORZPWEORZKXJWIORXIXPXMXFXGXHXPXFXG
      KZXNXHXOXSWHXFWAUIEWCUIEWHUIEXGPWAUJPWCUJWAWCUKULUNPWEUOUPUQXKXLURUSUTVAX
      IXQXRXFXGXQXHXSSPPIJZWHOVBXSXLXLKZWATEZWCTEZKZKPWAORZPWCORZKXTWHORXSYDYAX
      FYBXGYCPWAUOPWCUOUPXLXLUSUSUTVAXFYEXGYFPWAVCPWCVCUPPPWAWCVDVEVFVGXHXFXRXG
      PWEVCVHVISPWHWEVDVEVFVJVKVLAWINOVMVNVOVPVQVRVSVK $.
  $}

  $( Any even Goldbach number is greater than or equal to 6.  Because of
     ~ 6gbe , this bound is strict.  (Contributed by AV, 20-Jul-2020.) $)
  gbege6 $p |- ( Z e. GoldbachEven -> 6 <_ Z ) $=
    ( cgbe wcel cn c5 clt wbr c6 cle gbepos gbegt5 c1 caddc co 5nn nnzi zltp1le
    cz wb nnz sylancr biimpd 5p1e6 breq1i syl6ib sylc ) ABCADCZEAFGZHAIGZAJAKUG
    UHELMNZAIGZUIUGUHUKUGERCARCUHUKSEOPATEAQUAUBUJHAIUCUDUEUF $.

  $( The Goldbach partition of 6.  (Contributed by AV, 20-Jul-2020.) $)
  gbpart6 $p |- 6 = ( 3 + 3 ) $=
    ( c3 caddc co c6 3p3e6 eqcomi ) AABCDEF $.

  $( The (weak) Goldbach partition of 7.  (Contributed by AV, 20-Jul-2020.) $)
  gbpart7 $p |- 7 = ( ( 2 + 2 ) + 3 ) $=
    ( c2 caddc co c3 c4 c7 2p2e4 oveq1i 4p3e7 eqtr2i ) AABCZDBCEDBCFKEDBGHIJ $.

  $( The Goldbach partition of 8.  (Contributed by AV, 20-Jul-2020.) $)
  gbpart8 $p |- 8 = ( 3 + 5 ) $=
    ( c3 c5 caddc co c8 5cn 3cn 5p3e8 addcomli eqcomi ) ABCDEBAEFGHIJ $.

  $( The (strong) Goldbach partition of 9.  (Contributed by AV,
     26-Jul-2020.) $)
  gbpart9 $p |- 9 = ( ( 3 + 3 ) + 3 ) $=
    ( c3 caddc co c6 c9 3p3e6 oveq1i 6p3e9 eqtr2i ) AABCZABCDABCEJDABFGHI $.

  $( The (strong) Goldbach partition of 11.  (Contributed by AV,
     29-Jul-2020.) $)
  gbpart11 $p |- ; 1 1 = ( ( 3 + 3 ) + 5 ) $=
    ( c3 caddc co c5 c6 c1 cdc 3p3e6 oveq1i 6p5e11 eqtr2i ) AABCZDBCEDBCFFGLEDB
    HIJK $.

  ${
    $d p q r $.
    $( 6 is an even Goldbach number.  (Contributed by AV, 20-Jul-2020.) $)
    6gbe $p |- 6 e. GoldbachEven $=
      ( vp vq c6 cgbe wcel cv codd caddc co wceq cprime wrex c3 3prm 3odd eleq1
      w3a biidd eqeq2d 3anbi123d ceven 6even gbpart6 oveq1 oveq2 mp3an mpbir2an
      3pm3.2i rspc2ev isgbe ) CDECUAEAFZGEZBFZGEZCUKUMHIZJZQZBKLAKLZUBMKEZUSMGE
      ZUTCMMHIZJZQZURNNUTUTVBOOUCUHUQVCUTUNCMUMHIZJZQABMMKKUKMJZULUTUNUNUPVEUKM
      GPVFUNRVFUOVDCUKMUMHUDSTUMMJZUTUTUNUTVEVBVGUTRUMMGPVGVDVACUMMMHUESTUIUFCB
      AUJUG $.

    $( 7 is a weak odd Goldbach number.  (Contributed by AV, 20-Jul-2020.) $)
    7gbow $p |- 7 e. GoldbachOddW $=
      ( vp vq vr c7 cgbow wcel codd cv caddc co wceq cprime wrex c2 2prm oveq1d
      c3 oveq2 eqeq2d rexbidv gbpart7 rspceeqv mp2an oveq1 rspc2ev mp3an isgbow
      7odd 3prm mpbir2an ) DEFDGFDAHZBHZIJZCHZIJZKZCLMZBLMALMZUHNLFZUSDNNIJZUNI
      JZKZCLMZUROOQLFDUTQIJZKVCUIUACQLVAVDDUNQUTIRUBUCUQVCDNULIJZUNIJZKZCLMABNN
      LLUKNKZUPVGCLVHUOVFDVHUMVEUNIUKNULIUDPSTULNKZVGVBCLVIVFVADVIVEUTUNIULNNIR
      PSTUEUFDCBAUGUJ $.

    $( 8 is an even Goldbach number.  (Contributed by AV, 20-Jul-2020.) $)
    8gbe $p |- 8 e. GoldbachEven $=
      ( vp vq c8 cgbe wcel ceven cv codd caddc co wceq w3a cprime wrex c5 eleq1
      c3 biidd eqeq2d 3anbi123d 8even 5prm 3prm 5odd 5p3e8 eqcomi 3pm3.2i oveq1
      3odd oveq2 rspc2ev mp3an isgbe mpbir2an ) CDECFEAGZHEZBGZHEZCUOUQIJZKZLZB
      MNAMNZUAOMEQMEOHEZQHEZCOQIJZKZLZVBUBUCVCVDVFUDUIVECUEUFUGVAVGVCURCOUQIJZK
      ZLABOQMMUOOKZUPVCURURUTVIUOOHPVJURRVJUSVHCUOOUQIUHSTUQQKZVCVCURVDVIVFVKVC
      RUQQHPVKVHVECUQQOIUJSTUKULCBAUMUN $.

    $( 9 is an odd Goldbach number.  (Contributed by AV, 26-Jul-2020.) $)
    9gbo $p |- 9 e. GoldbachOdd $=
      ( vp vq vr c9 wcel codd cv w3a caddc co wceq wa cprime wrex c8 3prm eleq1
      c3 3odd eqeq2d cgbo c1 df-9 ceven 8even evenp1odd eqeltri 3pm3.2i gbpart9
      ax-mp pm3.2i 3anbi3d oveq2 anbi12d rspcev 3anbi1d rexbidv 3anbi2d rspc2ev
      mp2an oveq1 oveq1d mp3an isgbo mpbir2an ) DUAEDFEAGZFEZBGZFEZCGZFEZHZDVFV
      HIJZVJIJZKZLZCMNZBMNAMNZDOUBIJZFUCOUDEVSFEUEOUFUJUGRMEZVTRFEZWAVKHZDRRIJZ
      VJIJZKZLZCMNZVRPPVTWAWAWAHZDWCRIJZKZLZWGPWHWJWAWAWASSSUHUIUKWFWKCRMVJRKZW
      BWHWEWJWLVKWAWAWAVJRFQULWLWDWIDVJRWCIUMTUNUOUTVQWGWAVIVKHZDRVHIJZVJIJZKZL
      ZCMNABRRMMVFRKZVPWQCMWRVLWMVOWPWRVGWAVIVKVFRFQUPWRVNWODWRVMWNVJIVFRVHIVAV
      BTUNUQVHRKZWQWFCMWSWMWBWPWEWSVIWAWAVKVHRFQURWSWOWDDWSWNWCVJIVHRRIUMVBTUNU
      QUSVCDCBAVDVE $.

    $( 11 is an odd Goldbach number.  (Contributed by AV, 29-Jul-2020.) $)
    11gbo $p |- ; 1 1 e. GoldbachOdd $=
      ( vp vq vr c1 wcel codd cv w3a caddc co wceq wa cprime c6 c5 eleq1 eqeq2d
      wrex c3 anbi12d cdc cgbo 6p5e11 ceven 6even 5odd epoo mp2an eqeltrri 3prm
      3pm3.2i gbpart11 pm3.2i 3anbi3d oveq2 rspcev 3anbi1d oveq1 oveq1d rexbidv
      5prm 3odd 3anbi2d rspc2ev mp3an isgbo mpbir2an ) DDUAZUBEVHFEAGZFEZBGZFEZ
      CGZFEZHZVHVIVKIJZVMIJZKZLZCMRZBMRAMRZNOIJZVHFUCNUDEOFEZWBFEUEUFNOUGUHUISM
      EZWDSFEZWEVNHZVHSSIJZVMIJZKZLZCMRZWAUJUJOMEWEWEWCHZVHWGOIJZKZLZWKVAWLWNWE
      WEWCVBVBUFUKULUMWJWOCOMVMOKZWFWLWIWNWPVNWCWEWEVMOFPUNWPWHWMVHVMOWGIUOQTUP
      UHVTWKWEVLVNHZVHSVKIJZVMIJZKZLZCMRABSSMMVISKZVSXACMXBVOWQVRWTXBVJWEVLVNVI
      SFPUQXBVQWSVHXBVPWRVMIVISVKIURUSQTUTVKSKZXAWJCMXCWQWFWTWIXCVLWEWEVNVKSFPV
      CXCWSWHVHXCWRWGVMIVKSSIUOUSQTUTVDVEVHCBAVFVG $.
  $}

  $( If the strong ternary Goldbach conjecture is valid, then the weak ternary
     Goldbach conjecture holds, too.  (Contributed by AV, 27-Jul-2020.) $)
  stgoldbwt $p |- ( A. n e. Odd ( 7 < n -> n e. GoldbachOdd )
                    -> A. n e. Odd ( 5 < n -> n e. GoldbachOddW ) ) $=
    ( c7 clt wbr wcel wi c5 cgbow codd wa a1d ex cle c6 wceq wo cz caddc com12
    c1 cv cgbo pm3.35 gbogbow syl wn oddz zred 7re a1i lenltd leloed adantr 6nn
    cr co nnzi jctir adantl df-7 breq2i biimpi df-6 wb zltp1le sylancr eqbrtrid
    5nn biimpa anim12ci zgeltp1eq sylc orcd olc jaoi expd sylbid eleq1 evennodd
    ceven 6even pm2.21d mp1i 7gbow mpbiri syl6d sylbird a1dd pm2.61i ralimia )
    BAUAZCDZWKUBEZFZGWKCDZWKHEZFZAIWLWKIEZWNWQFZFWLWSWRWLWNWQWLWNJWMWQWLWMUCWMW
    PWOWKUDKUELKWLUFZWRWQWNWRWTWQWRWTWKBMDZWQWRWKBWRWKWKUGZUHZBUOEWRUIUJZUKWRXA
    WOWKNOZWKBOZPZWPWRXAWKBCDZXFPZWOXGFZWRWKBXCXDULXIWRXJXIWRWOXGXHWRWOJZXGFXFX
    HXKXGXHXKJZXEXFXLWKQEZNQEZJZNWKMDZWKNTRUPZCDZJXEXKXOXHXKXMXNWRXMWOXBUMNUNUQ
    URUSXHXRXKXPXHXRBXQWKCUTVAVBXKNGTRUPZWKMVCWRWOXSWKMDZWRGQEXMWOXTVDGVHUQXBGW
    KVEVFVIVGVJNWKVKVLVMLXFXGXKXFXEVNKVOVPSVQXGWRWPXEWRWPFXFXEWRNIEZWPWKNIVRNVT
    EZYAWPFXEWAYBYAWPNVSWBWCVQXFWPWRXFWPBHEWDWKBHVRWEKVOSWFWGSWHWIWJ $.

  ${
    $d m n p q r $.
    $( If the strong binary Goldbach conjecture is valid, then the (weak)
       ternary Goldbach conjecture holds, too.  (Contributed by AV,
       20-Jul-2020.) $)
    sbgoldbwt $p |- ( A. n e. Even ( 4 < n -> n e. GoldbachEven )
                      -> A. m e. Odd ( 5 < m -> m e. GoldbachOddW ) ) $=
      ( vp vq vr c4 clt wbr wcel wi codd caddc co cle c6 wceq c7 wa c3 cprime
      cv cgbe ceven wral c5 cgbow cz oddz c1 wb 5nn nnzi zltp1le mpan wo breq1i
      5p1e6 cr 6re a1i zre leloed syl5bb 6nn 6p1e7 7re cmin simpr 3odd omoeALTV
      jctir breq2 eleq1 imbi12d rspcv 3syl 4p3e7 eqcomi 4re 3re ltaddsub biimpd
      w3a syl3anc syl5bi impcom adantr pm2.27 syl wrex isgbe 3prm zcn 3cn npcan
      cc eqcomd oveq2 eqcoms sylan9eq rspcedeq2vd oveq1 eqeq2d rexbidv 3ad2ant3
      syl5ib com12 ad4antlr reximdva jctild isgbow syl6ibr 3syld ex com23 7gbow
      adantld mpbii a1d sylbid 6even evennodd pm2.21d ax-mp syl6bir com24 mpcom
      jaoi ralrimiva ) FBUAZGHZYJUBIZJZBUCUDZUEAUAZGHZYOUFIZJZAKYOKIZYNYRYOUGIZ
      YSYNYRJYOUHYTYPYNYSYQYTYPUEUILMZYONHZYNYSYQJZJZUEUGIYTYPUUBUJUEUKULUEYOUM
      UNYTUUBOYOGHZOYOPZUOZUUDUUBOYONHYTUUGUUAOYONUQUPYTOYOOURIYTUSUTYOVAZVBVCU
      UGYTUUDUUEYTUUDJZUUFYTUUEUUDYTUUEOUILMZYONHZUUDOUGIYTUUEUUKUJOVDULOYOUMUN
      YTUUKQYOGHZQYOPZUOZUUDUUKQYONHYTUUNUUJQYONVEUPYTQYOQURIYTVFUTUUHVBVCUUNYT
      UUDUULUUIUUMUULYTUUDUULYTRZYSYNYQUUOYSYNYQJUUOYSRZYNFYOSVGMZGHZUUQUBIZJZU
      USYQUUPYSSKIZRUUQUCIZYNUUTJUUPYSUVAUUOYSVHZVIVKYOSVJYMUUTBUUQUCYJUUQPYKUU
      RYLUUSYJUUQFGVLYJUUQUBVMVNVOVPUUPUURUUTUUSJUUOUURYSYTUULUURUULFSLMZYOGHZY
      TUURQUVDYOGUVDQVQVRUPYTFURIZSURIZYOURIZUVEUURJUVFYTVSUTUVGYTVTUTUUHUVFUVG
      UVHWCUVEUURFSYOWAWBWDWEWFWGUURUUSWHWIUUSUVBCUAZKIZDUAZKIZUUQUVIUVKLMZPZWC
      ZDTWJZCTWJZRUUPYQUUQDCWKUUPUVQYQUVBUUPUVQYSYOUVMEUAZLMZPZETWJZDTWJZCTWJZR
      YQUUPUVQUWCYSUUPUVPUWBCTUUPUVITIZRUVOUWADTYTUVOUWAJUULYSUWDUVKTIUVOYTUWAU
      VNUVJYTUWAJUVLYTYOUUQUVRLMZPZETWJUVNUWAYTESTYOUWESTIYTWLUTYTUVRSPYOUUQSLM
      ZUWEYTYOWPIZSWPIZRZYOUWGPYTUWHUWIYOWMWNVKUWJUWGYOYOSWOWQWIUWGUWEPSUVRSUVR
      UUQLWRWSWTXAUVNUWFUVTETUVNUWEUVSYOUUQUVMUVRLXBXCXDXFXEXGXHXIXIUVCXJYOEDCX
      KXLXQWEXMXNXOXNUUMUUDYTUUMUUCYNUUMYQYSUUMQUFIYQXPQYOUFVMXRXSXSXSYHXGXTXTX
      GUUFUUDYTUUFUUCYNUUFYSOKIZYQOYOKVMOUCIZUWKYQJYAUWLUWKYQOYBYCYDYEXSXSYHXGX
      TXTYFYGWFYI $.

    $( If the strong binary Goldbach conjecture is valid, then the (strong)
       ternary Goldbach conjecture holds, too.  (Contributed by AV,
       26-Jul-2020.) $)
    sbgoldbst $p |- ( A. n e. Even ( 4 < n -> n e. GoldbachEven )
                      -> A. m e. Odd ( 7 < m -> m e. GoldbachOdd ) ) $=
      ( vp vq vr c4 cv clt wbr wcel wi codd wa c3 co wceq caddc a1i cprime wrex
      cgbe ceven wral c7 cgbo cmin simpl 3odd jctir omoeALTV breq2 imbi12d 3syl
      eleq1 rspcv 4p3e7 breq1i cr 4re oddz zred ltaddsubd biimpd syl5bir pm2.27
      3re imp syl isgbe 3prm wb 3anbi3d oveq2 eqeq2d anbi12d adantl simp1 simp2
      w3a 3jca cc zcnd ad3antrrr 3cn prmz zaddcl syl2an adantll subadd2d biimpa
      cz eqcomd 3ad2antr3 jca rspcedvd ex reximdva jctild isgbo syl6ibr adantld
      syl5bi 3syld com12 expd ralrimiv ) FBGZHIZXGUAJZKZBUBUCZUDAGZHIZXLUEJZKAL
      XKXLLJZXMXNXOXMMZXKXNXPXKFXLNUFOZHIZXQUAJZKZXSXNXPXONLJZMXQUBJZXKXTKXPXOY
      AXOXMUGZUHUIXLNUJXJXTBXQUBXGXQPXHXRXIXSXGXQFHUKXGXQUAUNULUOUMXPXRXTXSKXOX
      MXRXMFNQOZXLHIZXOXRYDUDXLHUPUQXOYEXRXOFNXLFURJXOUSRNURJXOVFRXOXLXLUTZVAVB
      VCVDVGXRXSVEVHXSYBCGZLJZDGZLJZXQYGYIQOZPZVSZDSTZCSTZMXPXNXQDCVIXPYOXNYBXP
      YOXOYHYJEGZLJZVSZXLYKYPQOZPZMZESTZDSTZCSTZMXNXPYOUUDXOXPYNUUCCSXPYGSJZMZY
      MUUBDSUUFYISJZMZYMUUBUUHYMMZUUAYHYJYAVSZXLYKNQOZPZMZENSNSJUUIVJRYPNPZUUAU
      UMVKUUIUUNYRUUJYTUULUUNYQYAYHYJYPNLUNVLUUNYSUUKXLYPNYKQVMVNVOVPUUIUUJUULY
      MUUJUUHYMYHYJYAYHYJYLVQYHYJYLVRYAYMUHRVTVPUUHYHYLUULYJUUHYLMUUKXLUUHYLUUK
      XLPUUHXLNYKXOXLWAJXMUUEUUGXOXLYFWBWCNWAJUUHWDRUUEUUGYKWAJXPUUEUUGMYKUUEYG
      WKJYIWKJYKWKJUUGYGWEYIWEYGYIWFWGWBWHWIWJWLWMWNWOWPWQWQYCWRXLEDCWSWTXAXBXC
      XDXEXF $.
  $}

  $( Lemma 1 for ~ sbgoldbalt :  If an even number greater than 4 is the sum of
     two primes, one of the prime summands must be odd, i.e. not 2.
     (Contributed by AV, 22-Jul-2020.) $)
  sbgoldbaltlem1 $p |- ( ( P e. Prime /\ Q e. Prime )
                -> ( ( N e. Even /\ 4 < N /\ N = ( P + Q ) ) -> Q e. Odd ) ) $=
    ( cprime wcel wa ceven c4 clt wbr caddc co w3a wi c2 evenprm2 adantl syl6bi
    wceq wb codd wn cn prmnn nneoALTV bicomd syl bitrd oveq2 eqeq2d breq2 eleq1
    3anbi3d anbi12d cz prmz 2evenALTV evensumeven oveq1 2p2e4 eqtrdi breq2d 4re
    sylancl ltnri pm2.21i sylbird com13 imp expd 3imp adantr sylbid ex pm2.61d2
    com12 ax-1 ) ADEZBDEZFZBUAEZCGEZHCIJZCABKLZSZMZWANZVTWAUBZBOSZWGVSWHWITVRVS
    WHBGEZWIVSBUCEZWHWJTBUDWKWJWHBUEUFUGBPUHQVRWIWGNVSVRWIWGVRWIFZWFWBWCCAOKLZS
    ZMZWAWLWEWNWBWCWIWEWNTVRWIWDWMCBOAKUIUJQUMVRWOWANWIWOVRWAWBWCWNVRWANZWNWCWB
    WPWNWCWBWPWNWCWBFHWMIJZWMGEZFWPWNWCWQWBWRCWMHIUKCWMGULUNWQWRWPVRWRWQWAVRWRA
    GEZWQWANZVRAUOEOGEWSWRTAUPUQAOURVDVRWSAOSZWTAPXAWQHHIJZWAXAWMHHIXAWMOOKLHAO
    OKUSUTVAVBXBWAHVCVEVFRRVGVHVIRVJVHVKVPVLVMVNVLVMWAWFVQVO $.

  $( Lemma 2 for ~ sbgoldbalt :  If an even number greater than 4 is the sum of
     two primes, the primes must be odd, i.e. not 2.  (Contributed by AV,
     22-Jul-2020.) $)
  sbgoldbaltlem2 $p |- ( ( P e. Prime /\ Q e. Prime )
                        -> ( ( N e. Even /\ 4 < N /\ N = ( P + Q ) )
                             -> ( P e. Odd /\ Q e. Odd ) ) ) $=
    ( cprime wcel wa ceven c4 clt wbr caddc co wceq codd wi prmz sbgoldbaltlem1
    w3a cc zcnd addcom syl2anr eqeq2d 3anbi3d sylbid ancoms jcad ) ADEZBDEZFCGE
    ZHCIJZCABKLZMZRZANEZBNEUIUHUNUOOUIUHFZUNUJUKCBAKLZMZRUOUPUMURUJUKUPULUQCUHA
    SEBSEULUQMUIUHAAPTUIBBPTABUAUBUCUDBACQUEUFABCQUG $.

  ${
    $d n p q $.
    $( An alternate (related to the original) formulation of the binary
       Goldbach conjecture:  Every even integer greater than 2 can be expressed
       as the sum of two primes.  (Contributed by AV, 22-Jul-2020.) $)
    sbgoldbalt $p |- ( A. n e. Even ( 4 < n -> n e. GoldbachEven )
                       <-> A. n e. Even ( 2 < n
                           -> E. p e. Prime E. q e. Prime n = ( p + q ) ) ) $=
      ( c4 clt wbr wcel wi c2 caddc co wceq cprime wrex cle c3 cr a1i wa codd
      cv cgbe ceven c1 cz wb evenz zltp1le sylancr 2p1e3 breq1i 3re zred leloed
      2z wo 3z 3p1e4 4re pm3.35 w3a isgbe simp3 reximdva imp sylbi a1d ex com23
      syl 2prm 2p2e4 eqcomi mp3an eqeq1 2rexbidv mpbii jaoi com12 sylbid syl5bi
      rspceov wn 3odd eleq1 oddneven pm2.21d 2lt4 2re lttr syl3anc mpani simpll
      simpr anim1i adantr df-3an sylibr sbgoldbaltlem2 sylanbrc syl6ibr embantd
      sylc jca impbid ralbiia ) DAUAZEFZXGUBGZHZIXGEFZXGCUAZBUAZJKZLZBMNZCMNZHZ
      AUCXGUCGZXJXRXSXKXJXQXSXKIUDJKZXGOFZXJXQHZXSIUEGXGUEGZXKYAUFUOXGUGZIXGUHU
      IYAPXGOFZXSYBXTPXGOUJUKXSYEPXGEFZPXGLZUPZYBXSPXGPQGXSULRXSXGYDUMZUNYHXSYB
      YFXSYBHZYGXSYFYBXSYFPUDJKZXGOFZYBXSPUEGYCYFYLUFUQYDPXGUHUIYLDXGOFZXSYBYKD
      XGOURUKXSYMXHDXGLZUPZYBXSDXGDQGZXSUSRZYIUNYOXSYBXHYJYNXHXJXSXQXHXJXSXQHZX
      HXJSXIYRXHXIUTXIXQXSXIXSXLTGZXMTGZXOVAZBMNZCMNZSZXQXGBCVBZXSUUCXQXSUUBXPC
      MXSXLMGZSZUUAXOBMUUAXOHUUGXMMGZSYSYTXOVCRVDVDVEVFVGVJVHVIYNYBXSYNXQXJYNDX
      NLZBMNCMNZXQIMGZUUKDIIJKZLUUJVKVKUULDVLVMCBMMIIDJWBVNYNUUIXOCBMMDXGXNVOVP
      VQVGVGVRVSVTWAVTVSYGXSYBYGXGTGZXSWCYGPTGUUMWDPXGTWEVQXGWFVJWGVRVSVTWAVTVI
      XSXHXRXIXSXHXRXIHXSXHSZXKXQXIXSXHXKXSIDEFZXHXKWHXSIQGZYPXGQGUUOXHSXKHUUPX
      SWIRYQYIIDXGWJWKWLVEUUNXQUUDXIUUNXQUUDUUNXQSXSUUCXSXHXQWMUUNXQUUCUUNXPUUB
      CMUUNUUFSZXOUUABMUUQUUHSZXOUUAUURXOSZYSYTSZXOUUAUUSUUFUUHSZXSXHXOVAZUUTUU
      RUVAXOUUQUUFUUHUUNUUFWNWOWPUUSUUNXOSUVBUURUUNXOUUNUUFUUHWMWOXSXHXOWQWRXLX
      MXGWSXCUURXOWNYSYTXOWQWTVHVDVDVEXDVHUUEXAXBVHVIXEXF $.

    $( If the strong binary Goldbach conjecture is valid, the binary Goldbach
       conjecture is valid.  (Contributed by AV, 23-Dec-2021.) $)
    sbgoldbb $p |- ( A. n e. Even ( 4 < n -> n e. GoldbachEven )
                     -> A. n e. Even ( 2 < n
                        -> E. p e. Prime E. q e. Prime n = ( p + q ) ) ) $=
      ( c4 cv clt wbr cgbe wcel wi ceven wral caddc wceq cprime wrex sbgoldbalt
      c2 co biimpi ) DAEZFGUAHIJAKLRUAFGUACEBEMSNBOPCOPJAKLABCQT $.
  $}

  ${
    $d N n p q r $.
    $( If the binary Goldbach conjecture is valid, then an even integer greater
       than 5 can be expressed as the sum of three primes:  Since ` ( N - 2 ) `
       is even iff ` N ` is even, there would be primes ` p ` and ` q ` with
       ` ( N - 2 ) = ( p + q ) ` , and therefore ` N = ( ( p + q ) + 2 ) ` .
       (Contributed by AV, 24-Dec-2021.) $)
    sgoldbeven3prm $p |- ( A. n e. Even ( 4 < n -> n e. GoldbachEven )
                           -> ( ( N e. Even /\ 6 <_ N )
                                -> E. p e. Prime E. q e. Prime E. r e. Prime
                                   N = ( ( p + q ) + r ) ) ) $=
      ( c4 cv clt wbr wcel wi ceven c2 caddc co wceq cprime wrex c6 wa cgbe cle
      wral sbgoldbb cmin 2p2e4 evenz zred 4lt6 4re 6re ltletr mp3an12 mpani syl
      cr imp eqbrtrid 2re a1i ltaddsub2d mpbid 2evenALTV emee mpan2 breq2 eqeq1
      adantr 2rexbidv imbi12d rspcv 2prm wb oveq2 eqeq2d adantl zcnd 2cnd npcan
      cc eqcomd syl2anc simpr oveq1d eqtrd rspcedvd ex reximdv imim2d syl9r mpd
      mpid syl5com ) FAGZHIWNUAJKALUCMWNHIZWNEGDGNOZPZDQREQRZKZALUCZBLJZSBUBIZT
      ZBWPCGZNOZPZCQRZDQRZEQRZADEUDXCWTMBMUEOZHIZXIXCMMNOZBHIXKXCXLFBHUFXAXBFBH
      IZXABUPJZXBXMKXABBUGZUHZXNFSHIZXBXMUIFUPJSUPJXNXQXBTXMKUJUKFSBULUMUNUOUQU
      RXCMMBMUPJXCUSUTZXRXAXNXBXPVHVAVBXAWTXKXIKZKZXBXAXJLJZXTXAMLJYAVCBMVDVEYA
      WTXKXJWPPZDQRZEQRZKZXAXSWSYEAXJLWNXJPZWOXKWRYDWNXJMHVFYFWQYBEDQQWNXJWPVGV
      IVJVKXAYDXIXKXAYCXHEQXAYBXGDQXAYBXGXAYBTZXFBWPMNOZPZCMQMQJYGVLUTXDMPZXFYI
      VMYGYJXEYHBXDMWPNVNVOVPYGBXJMNOZYHXABYKPZYBXABVTJZMVTJZYLXABXOVQXAVRYMYNT
      YKBBMVSWAWBVHYGXJWPMNXAYBWCWDWEWFWGWHWHWIWJWKVHWLWM $.
  $}

  ${
    $d m n p q r $.
    $( If the strong binary Goldbach conjecture is valid, the modern version of
       the original formulation of the Goldbach conjecture also holds:  Every
       integer greater than 5 can be expressed as the sum of three primes.
       (Contributed by AV, 24-Dec-2021.) $)
    sbgoldbm $p |- ( A. n e. Even ( 4 < n -> n e. GoldbachEven )
              -> A. n e. ( ZZ>= ` 6 ) E. p e. Prime E. q e. Prime E. r e. Prime
                                      n = ( ( p + q ) + r ) ) $=
      ( vm c4 cv clt wbr cgbe wcel wi ceven wral caddc co cprime wrex c6 c5 cuz
      wceq cfv breq2 eleq1w imbi12d cbvralvw cz cle w3a eluz2 wo sgoldbeven3prm
      codd zeoALTV expdcom cgbow sbgoldbwt wa rspa c1 df-6 breq1i 5nn nnzi oddz
      wb zltp1le sylancr biimprd syl5bi imp isgbow simprbi a1i embantd ex com23
      adantl mpd syl com13 jaoi 3adant1 sylbi impcom ralrimiva ) FAGZHIZWHJKZLZ
      AMNFEGZHIZWLJKZLZEMNZWHDGCGOPBGOPUBBQRCQRDQRZASUAUCZNWKWOAEMWHWLUBWIWMWJW
      NWHWLFHUDAEJUEUFUGWPWQAWRWHWRKZWPWQWSSUHKZWHUHKZSWHUIIZUJWPWQLZSWHUKXAXBX
      CWTXAXBXCXAWHMKZWHUNKZULXBXCLZWHUOXDXFXEWPXDXBWQEWHBCDUMUPWPXBXEWQWPTWHHI
      ZWHUQKZLZAUNNZXBXEWQLLAEURXJXEXBWQXJXEXBWQLZXJXEUSXIXKXIAUNUTXEXIXKLXJXEX
      BXIWQXEXBXIWQLXEXBUSZXGXHWQXEXBXGXBTVAOPZWHUIIZXEXGSXMWHUIVBVCXEXGXNXETUH
      KXAXGXNVGTVDVEWHVFTWHVHVIVJVKVLXHWQLXLXHXEWQWHBCDVMVNVOVPVQVRVSVTVQVRWAWB
      WCWAVLWDWEWFWGWE $.

    $d n p q r x y $.
    $( If the modern version of the original formulation of the Goldbach
       conjecture is valid, the (weak) binary Goldbach conjecture also holds.
       (Contributed by AV, 26-Dec-2021.) $)
    mogoldbb $p |- ( A. n e. ( ZZ>= ` 6 )
                        E. p e. Prime E. q e. Prime E. r e. Prime
                           n = ( ( p + q ) + r )
                     -> A. n e. Even ( 2 < n
                            -> E. p e. Prime E. q e. Prime n = ( p + q ) ) ) $=
      ( vm vy vx cv caddc co wceq cprime wrex c6 c2 wbr wi wcel wa cle cuz wral
      cfv clt ceven nfra1 eqeq1 rexbidv 2rexbidv cbvralvw cz 6nn nnzi a1i evenz
      2z zaddcld adantr cmin c4 4cn 2cn 4p2e6 mvrraddi 2p2e4 2evenALTV evenltle
      eqcomi mp3an2 eqbrtrrid eqbrtrid cr w3a wb 6re 2re zred 3jca lesubadd syl
      mpbid eluz2 syl3anbrc rspcv syl5bi nfre1 nfcv nfrex simplrl simplrr simpr
      nfv simp-4l mogoldbblem oveq1 eqeq2d oveq2 sylibr syl3anc rexlimdva2 expr
      cbvrex2vw rexlimd ex syldc expd ralrimi ) AHZDHZCHZIJZBHZIJZKZBLMZCLMDLMZ
      ANUAUCZUBZOXHUDPZXHXKKZCLMZDLMZQAUEXPAXQUFXRXHUERZXSYBYCXSSZXRXHOIJZXMKZB
      LMZCLMZDLMZYBXREHZXMKZBLMZCLMDLMZEXQUBZYDYIXPYMAEXQXHYJKZXOYLDCLLYOXNYKBL
      XHYJXMUGUHUIUJYDYEXQRZYNYIQYDNUKRZYEUKRZNYETPZYPYQYDNULUMUNYCYRXSYCXHOXHU
      OZOUKRYCUPUNUQURYDNOUSJZXHTPZYSYDUUAUTXHTNUTOVAVBUTOIJNVCVHVDYDUTOOIJZXHT
      VEYCOUERXSUUCXHTPVFOXHVGVIVJVKYDNVLRZOVLRZXHVLRZVMZUUBYSVNYCUUGXSYCUUDUUE
      UUFUUDYCVOUNUUEYCVPUNYCXHYTVQVRURNOXHVSVTWANYEWBWCYMYIEYEXQYJYEKZYLYGDCLL
      UUHYKYFBLYJYEXMUGUHUIWDVTWEYDYHYBDLYDDWLYADLWFYDXILRZYHYBQYDUUISZYGYBCLUU
      JCWLYACDLCLWGXTCLWFWHYDUUIXJLRZYGYBQYDUUIUUKSZSZYFYBBLUUMXLLRZSZYFSUUIUUK
      UUNVMZYCYFYBUUOUUPYFUUOUUIUUKUUNYDUUIUUKUUNWIYDUUIUUKUUNWJUUMUUNWKVRURYCX
      SUULUUNYFWMUUOYFWKUUPYCYFVMXHFHZGHZIJZKZGLMFLMYBXIXJXLXHGFWNXTUUTXHUUQXJI
      JZKDCFGLLXIUUQKXKUVAXHXIUUQXJIWOWPXJUURKUVAUUSXHXJUURUUQIWQWPXBWRWSWTXAXC
      XDXCXEXFXG $.

    $( The strong binary Goldbach conjecture and the modern version of the
       original formulation of the Goldbach conjecture are equivalent.
       (Contributed by AV, 26-Dec-2021.) $)
    sbgoldbmb $p |- ( A. n e. Even ( 4 < n -> n e. GoldbachEven )
             <-> A. n e. ( ZZ>= ` 6 ) E. p e. Prime E. q e. Prime E. r e. Prime
                                      n = ( ( p + q ) + r ) ) $=
      ( c4 cv clt wbr cgbe wcel wi ceven wral caddc co wceq cprime wrex c6 cuz
      cfv sbgoldbm c2 mogoldbb sbgoldbalt sylibr impbii ) EAFZGHUHIJKALMZUHDFCF
      NOZBFNOPBQRCQRDQRASTUAMZABCDUBUKUCUHGHUHUJPCQRDQRKALMUIABCDUDACDUEUFUG $.
  $}

  ${
    $d P p q r $.  $d n p q r $.
    sbgoldbo.p $e |- P = ( { 1 } u. Prime ) $.
    $( If the strong binary Goldbach conjecture is valid, the original
       formulation of the Goldbach conjecture also holds:  Every integer
       greater than 2 can be expressed as the sum of three "primes" with
       regarding 1 to be a prime (as Goldbach did).  Original text:  "Es
       scheint wenigstens, dass eine jede Zahl, die groesser ist als 2, ein
       aggregatum trium numerorum primorum sey."  (Goldbach, 1742).
       (Contributed by AV, 25-Dec-2021.) $)
    sbgoldbo $p |- ( A. n e. Even ( 4 < n -> n e. GoldbachEven )
                     -> A. n e. ( ZZ>= ` 3 ) E. p e. P E. q e. P E. r e. P
                                             n = ( ( p + q ) + r ) ) $=
      ( c4 wcel caddc co wceq wrex c3 c6 c1 wb c5 cprime adantl c2 clt wbr cgbe
      cv wi ceven wral cuz cfv nfra1 cmin cfz cun cz cle 3z 6nn nnzi 3re ltleii
      6re 3lt6 eluz2 mpbir3an uzsplit eleq2d ax-mp wo elun csn 6m1e5 oveq2i 5nn
      cfzo 5re 3lt5 fzopredsuc eqtri eleq2i elsni 1ex snid orci eleqtrri a1i wa
      mpbir simpl oveq1 oveq1d eqeq12d 2rexbidv eqeq2d rexbidv df-3 df-2 oveq1i
      oveq2 eqtr4id rspcedeq2vd rspcedvd syl df-5 oveq12i 4z fzval3 eqtr4i fzsn
      3p1e4 bitri 2prm olci df-4 eqcomd eqtrd sylbi jaoi 3prm a1d sbgoldbm rspa
      wss ssun2 sseqtrri rexss simpr reximi ex com12 syl5bi ralrimi ) GBUDZUAUB
      YLUCHUEZBUFUGZYLEUDZDUDZIJZCUDZIJZKZCALZDALZEALZBMUHUIZYMBUFUJYLUUDHZYLMN
      OUKJZULJZNUHUIZUMZHZYNUUCNUUDHZUUEUUJPUUKMUNHZNUNHMNUOUBUPNUQURMNUSVAVBUT
      MNVCVDUUKUUDUUIYLMNVEVFVGUUJYNUUCUUJYLUUGHZYLUUHHZVHYNUUCUEZYLUUGUUHVIUUM
      UUOUUNUUMYLMVJZMOIJZQVNJZUMZQVJZUMZHZUUOUUGUVAYLUUGMQULJZUVAUUFQMULVKVLQU
      UDHZUVCUVAKUVDUULQUNHMQUOUBUPQVMURMQUSVOVPUTMQVCVDMQVQVGVRVSUVBUUCYNUVBYL
      UUSHZYLUUTHZVHUUCYLUUSUUTVIUVEUUCUVFUVEYLUUPHZYLUURHZVHUUCYLUUPUURVIUVGUU
      CUVHUVGYLMKZUUCYLMVTUVIUUBMOYPIJZYRIJZKZCALZDALEOAOAHZUVIOOVJZRUMZAOUVPHO
      UVOHZORHZVHUVQUVROWAWBWCOUVORVIWGFWDZWEZUVIYOOKZWFZYTUVLDCAAUWBYLMYSUVKUV
      IUWAWHUWAYSUVKKUVIUWAYQUVJYRIYOOYPIWIWJSWKWLUVIUVMMOOIJZYRIJZKZCALZDOAUVT
      YPOKZUVMUWFPUVIUWGUVLUWECAUWGUVKUWDMUWGUVJUWCYRIYPOOIWRWJWMWNSUVICOAMUWDU
      VTYROKZUWEUVIUWHMUWCOIJZUWDMTOIJZUWIWOTUWCOIWPWQVRYROUWCIWRWSSWTXAXAXBUVH
      YLGVJZHZUUCUVHYLGGULJZHUWLUURUWMYLUURGGOIJZVNJZUWMUUQGQUWNVNXIXCXDGUNHZUW
      MUWOKXEGGXFVGXGVSUWMUWKYLUWPUWMUWKKXEGXHVGVSXJUWLYLGKZUUCYLGVTUWQUUBYLTYP
      IJZYRIJZKZCALZDALZETATAHUWQTUVPATUVPHTUVOHZTRHZVHUXDUXCXKXLTUVORVIWGFWDWE
      YOTKZUUBUXBPUWQUXEYTUWTDCAAUXEYSUWSYLUXEYQUWRYRIYOTYPIWIWJWMWLSUWQUXAYLUW
      JYRIJZKZCALZDOAUVNUWQUVSWEZUWGUXAUXHPUWQUWGUWTUXGCAUWGUWSUXFYLUWGUWRUWJYR
      IYPOTIWRWJWMWNSUWQCOAYLUXFUXIUWQUWHWFZYLGUXFUWQUWHWHUXJGUWJOIJZUXFGUXKKUX
      JGUUQUXKXMMUWJOIWOWQVRWEUWHUXKUXFKUWQUWHUXFUXKYROUWJIWRXNSXOXOWTXAXAXBXPX
      QXPUVFYLQKZUUCYLQVTUXLUUBYLMYPIJZYRIJZKZCALZDALZEMAMAHUXLMUVPAMUVPHMUVOHZ
      MRHZVHUXSUXRXRXLMUVORVIWGFWDWEYOMKZUUBUXQPUXLUXTYTUXODCAAUXTYSUXNYLUXTYQU
      XMYRIYOMYPIWIWJWMWLSUXLUXPYLUUQYRIJZKZCALZDOAUVNUXLUVSWEZUWGUXPUYCPUXLUWG
      UXOUYBCAUWGUXNUYAYLUWGUXMUUQYRIYPOMIWRWJWMWNSUXLCOAYLUYAUYDUXLUWHWFYLQUYA
      UXLUWHWHUWHQUYAKUXLUWHQUUQOIJZUYAQUWNUYEXCGUUQOIXMWQVRYROUUQIWRWSSXOWTXAX
      AXBXQXPXSXPYNUUNUUCYNYTCRLZDRLZERLZBUUHUGZUUNUUCUEBCDEXTUYIUUNUUCUYIUUNWF
      UYHUUCUYHBUUHYAUYHYORHZUYGWFZEALZUUCRAYBZUYHUYLPRUVPARUVOYCFYDZUYGERAYEVG
      UYKUUBEAUYGUUBUYJUYGYPRHZUYFWFZDALZUUBUYMUYGUYQPUYNUYFDRAYEVGUYPUUADAUYFU
      UAUYOUYFYRRHZYTWFZCALZUUAUYMUYFUYTPUYNYTCRAYEVGUYSYTCAUYRYTYFYGXPSYGXPSYG
      XPXBYHXBYIXQXPYIYJYK $.
  $}

  ${
    $d d f k $.
    $( 4 is the sum of at most 3 (actually 2) primes.  (Contributed by AV,
       2-Aug-2020.) $)
    nnsum3primes4 $p |- E. d e. NN E. f e. ( Prime ^m ( 1 ... d ) )
                        ( d <_ 3 /\ 4 = sum_ k e. ( 1 ... d ) ( f ` k ) ) $=
      ( c2 cn wcel c3 cle c4 c1 cpr cfv wceq wa cprime co cfz 1ne2 2ex ax-mp cv
      wbr csu cmap wrex 2nn cop wne 1ex fpr wss 2prm pm3.2i prss mpbi fss mpan2
      wf mp2b prmex prex elmap mpbir 2re 3re 2lt3 ltleii caddc cc 2cn cvv fveq2
      fvpr1 eqtrdi fvpr2 id ancri a1i sumpr 2p2e4 eqtr2i fveq1 sumeq2sdv eqeq2d
      jctl anbi2d rspcev mp2an oveq2 df-2 oveq2i cz 1z fzpr 1p1e2 preq2i oveq2d
      eqtri breq1 sumeq1d anbi12d rexeqbidv ) DEFDGHUBZIJDKZBUAZAUAZLZBUCZMZNZA
      OXDUDPZUEZCUAZGHUBZIJXMQPZXGBUCZMZNZAOXOUDPZUEZCEUEUFJDUGDDUGKZXKFZXCIXDX
      EYALZBUCZMZNZXLYBXDOYAURZJDUHZXDDDKZYAURZYGRJDDDUISSSUJYJYIOUKZYGDOFZYLNY
      KYLYLULULUMDDOSSUNUOXDYIOYAUPUQUSOXDYAUTJDVAVBVCXCYEDGVDVEVFVGYDDDVHPZIDV
      IFZYDYMMVJYNJDYCDBDVKVIXEJMYCJYALZDXEJYAVLYHYODMRJDDDUISVMTVNXEDMYCDYALZD
      XEDYAVLYHYPDMRJDDDSSVOTVNYNYNYNVPVQYNJVKFUIWEYHYNRVRVSTVTWAUMXJYFAYAXKXFY
      AMZXIYEXCYQXHYDIYQXDXGYCBXEXFYAWBWCWDWFWGWHXTXLCDEXMDMZXRXJAXSXKYRXOXDOUD
      YRXOJDQPZXDXMDJQWIYSJJJVHPZQPZXDDYTJQWJWKUUAJYTKZXDJWLFUUAUUBMWMJWNTYTDJW
      OWPWRWRVNZWQYRXNXCXQXIXMDGHWSYRXPXHIYRXOXDXGBUUCWTWDXAXBWGWH $.

    $( 4 is the sum of at most 4 (actually 2) primes.  (Contributed by AV,
       23-Jul-2020.)  (Proof shortened by AV, 2-Aug-2020.) $)
    nnsum4primes4 $p |- E. d e. NN E. f e. ( Prime ^m ( 1 ... d ) )
                        ( d <_ 4 /\ 4 = sum_ k e. ( 1 ... d ) ( f ` k ) ) $=
      ( cv c3 cle wbr c4 c1 cfz co cfv csu wceq wa wrex cn wcel cr a1i cmap clt
      cprime nnsum3primes4 3lt4 wi nnre 3re 4re leltletr syl3anc mpan2i reximdv
      anim1d reximia ax-mp ) CDZEFGZHIUQJKZBDADLBMNZOZAUCUSUAKZPZCQPUQHFGZUTOZA
      VBPZCQPABCUDVCVFCQUQQRZVAVEAVBVGURVDUTVGUREHUBGZVDUEVGUQSRESRZHSRZURVHOVD
      UFUQUGVIVGUHTVJVGUITUQEHUJUKULUNUMUOUP $.
  $}

  ${
    $d P d f k $.
    $( Every prime is "the sum of at most 3" (actually one - the prime itself)
       primes.  (Contributed by AV, 2-Aug-2020.)  (Proof shortened by AV,
       17-Apr-2021.) $)
    nnsum3primesprm $p |- ( P e. Prime
                            -> E. d e. NN E. f e. ( Prime ^m ( 1 ... d ) )
                        ( d <_ 3 /\ P = sum_ k e. ( 1 ... d ) ( f ` k ) ) ) $=
      ( cprime wcel c1 cn c3 cle cv csu wceq wa cmap co wrex cfz cr sylancr wbr
      csn cfv 1nn cop wf cz 1zzd id fsnd prmex snex elmap sylibr simpl sumeq2dv
      1re fvsng cc prmz zcnd eqidd sumsn eqtr2d 1le3 jctil elsni adantl fveq12d
      eqeq2d anbi2d rspcev syl2anc oveq2 fzsn ax-mp eqtrdi oveq2d breq1 sumeq1d
      1z anbi12d rexeqbidv ) AEFZGHFGIJUAZAGUBZCKZBKZUCZCLZMZNZBEWFOPZQZDKZIJUA
      ZAGWORPZWICLZMZNZBEWQOPZQZDHQUDWDGAUEUBZWMFZWEAWFGXCUCZCLZMZNZWNWDWFEXCUF
      XDWDGAUGEWDUHWDUIUJEWFXCUKGULUMUNWDXGWEWDXFWFACLZAWDWFXEACWDWGWFFZNGSFZWD
      XEAMUQWDXJUOGASEURTUPWDXKAUSFXIAMUQWDAAUTVAAACGSWGGMZAVBVCTVDVEVFWLXHBXCW
      MWHXCMZWKXGWEXMWJXFAXMWFWIXECXMXJNWGGWHXCXMXJUOXJXLXMWGGVGVHVIUPVJVKVLVMX
      BWNDGHWOGMZWTWLBXAWMXNWQWFEOXNWQGGRPZWFWOGGRVNGUGFXOWFMWAGVOVPVQZVRXNWPWE
      WSWKWOGIJVSXNWRWJAXNWQWFWICXPVTVJWBWCVLT $.

    $( Every prime is "the sum of at most 4" (actually one - the prime itself)
       primes.  (Contributed by AV, 23-Jul-2020.)  (Proof shortened by AV,
       2-Aug-2020.) $)
    nnsum4primesprm $p |- ( P e. Prime
                            -> E. d e. NN E. f e. ( Prime ^m ( 1 ... d ) )
                        ( d <_ 4 /\ P = sum_ k e. ( 1 ... d ) ( f ` k ) ) ) $=
      ( cprime wcel cv c3 cle wbr c1 cfz co cfv wa wrex cn c4 cr a1i csu clt wi
      wceq cmap nnsum3primesprm 3lt4 nnre 3re 4re syl3anc mpan2i anim1d reximdv
      leltletr reximia syl ) AEFDGZHIJZAKURLMZCGBGNCUAUDZOZBEUTUEMZPZDQPURRIJZV
      AOZBVCPZDQPABCDUFVDVGDQURQFZVBVFBVCVHUSVEVAVHUSHRUBJZVEUGVHURSFHSFZRSFZUS
      VIOVEUCURUHVJVHUITVKVHUJTURHRUOUKULUMUNUPUQ $.
  $}

  ${
    $d N d f k p q $.
    $( Any even Goldbach number is the sum of at most 3 (actually 2) primes.
       (Contributed by AV, 2-Aug-2020.) $)
    nnsum3primesgbe $p |- ( N e. GoldbachEven
                            -> E. d e. NN E. f e. ( Prime ^m ( 1 ... d ) )
                        ( d <_ 3 /\ N = sum_ k e. ( 1 ... d ) ( f ` k ) ) ) $=
      ( vp vq wcel cv co wceq cprime wrex wa c3 c1 cfz cfv cn c2 cpr cgbe ceven
      codd caddc w3a cle wbr csu cmap isgbe wi 2nn wb oveq2 df-2 oveq2i cz fzpr
      1z ax-mp 1p1e2 preq2i 3eqtri eqtrdi oveq2d breq1 sumeq1d eqeq2d rexeqbidv
      a1i anbi12d adantl cop wne 1ne2 1ex 2ex vex fpr mp1i prssi fssd cvv prmex
      prex pm3.2i elmapg mpbird fveq1 adantr sumeq2dv eqeq1d anbi2d fveq2 fvpr1
      wf prmz fvpr2 zcn anim12i sumpr syl2an 2re 3re 2lt3 ltleii jctil rspcedvd
      cc eqeq1 eqcom bitrdi rexbidv 3ad2ant3 a1d ex rexlimivv impcom sylbi ) CU
      AGCUBGZEHZUCGZFHZUCGZCYAYCUDIZJZUEZFKLEKLZMDHZNUFUGZCOYIPIZBHZAHZQZBUHZJZ
      MZAKYKUIIZLZDRLZCFEUJYHXTYTYGXTYTUKZEFKKYAKGZYCKGZMZYGUUAUUDYGMZYTXTUUEYS
      SNUFUGZCOSTZYNBUHZJZMZAKUUGUIIZLZDSRSRGZUUEULVJYISJZYSUULUMUUEUUNYQUUJAYR
      UUKUUNYKUUGKUIUUNYKOSPIZUUGYISOPUNUUOOOOUDIZPIZOUUPTZUUGSUUPOPUOUPOUQGZUU
      QUURJUSOURUTUUPSOVAVBVCVDZVEUUNYJUUFYPUUIYISNUFVFUUNYOUUHCUUNYKUUGYNBUUTV
      GVHVKVIVLUUEUULUUFUUHYEJZMZAUUKLZUUDUVCYGUUDUVBUUFUUGYLOYAVMSYCVMTZQZBUHZ
      YEJZMZAUVDUUKUUDUVDUUKGZUUGKUVDWPZUUDUUGYAYCTZKUVDOSVNZUUGUVKUVDWPUUDVOOS
      YAYCVPVQEVRZFVRZVSVTYAYCKWAWBKWCGZUUGWCGZMUVIUVJUMUUDUVOUVPWDOSWEWFKUUGUV
      DWCWCWGVTWHYMUVDJZUVBUVHUMUUDUVQUVAUVGUUFUVQUUHUVFYEUVQUUGYNUVEBUVQYNUVEJ
      YLUUGGYLYMUVDWIWJWKWLWMVLUUDUVGUUFUUBYAUQGZYCUQGZUVGUUCYAWQYCWQUVRUVSMZOS
      UVEYABYCUQRYLOJUVEOUVDQZYAYLOUVDWNUVLUWAYAJVOOSYAYCVPUVMWOUTVDYLSJUVESUVD
      QZYCYLSUVDWNUVLUWBYCJVOOSYAYCVQUVNWRUTVDUVRYAXIGUVSYCXIGYAWSYCWSWTUUSUUMM
      UVTUUSUUMUSULWFVJUVLUVTVOVJXAXBSNXCXDXEXFXGXHWJYGUULUVCUMZUUDYFYBUWCYDYFU
      UJUVBAUUKYFUUIUVAUUFYFUUIYEUUHJUVACYEUUHXJYEUUHXKXLWMXMXNVLWHXHXOXPXQXRXS
      $.

    $( Any even Goldbach number is the sum of at most 4 (actually 2) primes.
       (Contributed by AV, 23-Jul-2020.)  (Proof shortened by AV,
       2-Aug-2020.) $)
    nnsum4primesgbe $p |- ( N e. GoldbachEven
                            -> E. d e. NN E. f e. ( Prime ^m ( 1 ... d ) )
                        ( d <_ 4 /\ N = sum_ k e. ( 1 ... d ) ( f ` k ) ) ) $=
      ( cgbe wcel cv c3 cle wbr c1 cfz co cfv wa wrex cn c4 cr a1i csu wceq clt
      cprime cmap nnsum3primesgbe 3lt4 wi nnre 3re 4re leltletr syl3anc reximdv
      mpan2i anim1d reximia syl ) CEFDGZHIJZCKUSLMZBGAGNBUAUBZOZAUDVAUEMZPZDQPU
      SRIJZVBOZAVDPZDQPABCDUFVEVHDQUSQFZVCVGAVDVIUTVFVBVIUTHRUCJZVFUGVIUSSFHSFZ
      RSFZUTVJOVFUHUSUIVKVIUJTVLVIUKTUSHRULUMUOUPUNUQUR $.

    $( Every integer greater than 1 and less than or equal to 8 is the sum of
       at most 3 primes.  (Contributed by AV, 2-Aug-2020.) $)
    nnsum3primesle9 $p |- ( ( N e. ( ZZ>= ` 2 ) /\ N <_ 8 )
                      -> E. d e. NN E. f e. ( Prime ^m ( 1 ... d ) )
                         ( d <_ 3 /\ N = sum_ k e. ( 1 ... d ) ( f ` k ) ) ) $=
      ( c2 wcel c8 cle wbr wceq c3 wo c4 c5 c6 c7 cprime clt a1i wb cuz cfv cfz
      wa cv c1 co csu cmap wrex cn eluzelre cr 8re leloed caddc cz eluzelz nnzi
      7nn zleltp1 sylancl 7re 7p1e8 breq2i 3bitr3rd 6nn 6re 6p1e7 5nn 5re 5p1e6
      4z 4re 4p1e5 3z 3re 3p1e4 w3a eluz2 wi 2re zre cmin eqcomi breq1i zlem1lt
      3m1e2 mpan biimprd syl5bi wn lenltd pm2.21 syl6bi syldc eqcom biimpi 2a1d
      jaoi com12 sylbid imp 2lt3 breq1 mpbiri impbid1 sylbi orbi1d bitrd biimpd
      3adant1 2prm eleq1 nnsum3primesprm syl 3prm nnsum3primes4 anbi2d 2rexbidv
      eqeq1 5prm cgbe 6gbe nnsum3primesgbe 7prm 8gbe ) CEUAUBFZCGHIZUDCEJZCKJZL
      ZCMJZLZCNJZLZCOJZLZCPJZLZCGJZLZDUEZKHIZCUFUUCUCUGZBUEAUEUBBUHZJZUDZAQUUEU
      IUGZUJDUKUJZYHYIUUBYHYICGRIZUUALZUUBYHCGECULZGUMFYHUNSUOYHUULUUBYHUUKYTUU
      AYHUUKCPRIZYSLZYTYHCPHIZCPUFUPUGZRIZUUOUUKYHCUQFZPUQFUUPUURTECURZPUTUSCPV
      AVBYHCPUUMPUMFYHVCSUOUURUUKTYHUUQGCRVDVESVFYHUUNYRYSYHUUNCORIZYQLZYRYHCOH
      IZCOUFUPUGZRIZUVBUUNYHUUSOUQFUVCUVETUUTOVGUSCOVAVBYHCOUUMOUMFYHVHSUOUVEUU
      NTYHUVDPCRVIVESVFYHUVAYPYQYHUVACNRIZYOLZYPYHCNHIZCNUFUPUGZRIZUVGUVAYHUUSN
      UQFUVHUVJTUUTNVJUSCNVAVBYHCNUUMNUMFYHVKSUOUVJUVATYHUVIOCRVLVESVFYHUVFYNYO
      YHUVFCMRIZYMLZYNYHCMHIZCMUFUPUGZRIZUVLUVFYHUUSMUQFUVMUVOTUUTVMCMVAVBYHCMU
      UMMUMFYHVNSUOUVOUVFTYHUVNNCRVOVESVFYHUVKYLYMYHUVKCKRIZYKLZYLYHCKHIZCKUFUP
      UGZRIZUVQUVKYHUUSKUQFZUVRUVTTUUTVPCKVAVBYHCKUUMKUMFZYHVQSUOUVTUVKTYHUVSMC
      RVRVESVFYHUVPYJYKYHEUQFZUUSECHIZVSUVPYJTZECVTUUSUWDUWEUWCUUSUWDUDUVPYJUUS
      UWDUVPYJWAZUUSUWDECRIZECJZLZUWFUUSECEUMFUUSWBSCWCZUOUWIUUSUWFUWGUUSUWFWAU
      WHUUSUWGKCHIZUWFUWGKUFWDUGZCRIZUUSUWKEUWLCRUWLEWHWEWFUUSUWKUWMUWAUUSUWKUW
      MTVPKCWGWIWJWKUUSUWKUVPWLUWFUUSKCUWBUUSVQSUWJWMUVPYJWNWOWPUWHYJUUSUVPUWHY
      JECWQWRWSWTXAXBXCYJUVPEKRIXDCEKRXEXFXGXLXHXIXJXIXJXIXJXIXJXIXJXIXKXBXCYTU
      UJUUAYRUUJYSYPUUJYQYNUUJYOYLUUJYMYJUUJYKYJCQFZUUJYJUWNEQFXMCEQXNXFCABDXOZ
      XPYKUWNUUJYKUWNKQFXQCKQXNXFUWOXPWTYMUUJUUDMUUFJZUDZAUUIUJDUKUJABDXRYMUUHU
      WQDAUKUUIYMUUGUWPUUDCMUUFYAXSXTXFWTYOUWNUUJYOUWNNQFYBCNQXNXFUWOXPWTYQCYCF
      ZUUJYQUWROYCFYDCOYCXNXFABCDYEZXPWTYSUWNUUJYSUWNPQFYFCPQXNXFUWOXPWTUUAUWRU
      UJUUAUWRGYCFYGCGYCXNXFUWSXPWTXP $.

    $( Every integer greater than 1 and less than or equal to 8 is the sum of
       at most 4 primes.  (Contributed by AV, 24-Jul-2020.)  (Proof shortened
       by AV, 2-Aug-2020.) $)
    nnsum4primesle9 $p |- ( ( N e. ( ZZ>= ` 2 ) /\ N <_ 8 )
                      -> E. d e. NN E. f e. ( Prime ^m ( 1 ... d ) )
                         ( d <_ 4 /\ N = sum_ k e. ( 1 ... d ) ( f ` k ) ) ) $=
      ( c2 cuz cfv wcel c8 cle wbr wa cv c3 co wrex cn c4 cr a1i cfz csu cprime
      c1 wceq cmap nnsum3primesle9 clt 3lt4 wi nnre 3re leltletr syl3anc mpan2i
      4re anim1d reximdv reximia syl ) CEFGHCIJKLDMZNJKZCUDVAUAOZBMAMGBUBUEZLZA
      UCVCUFOZPZDQPVARJKZVDLZAVFPZDQPABCDUGVGVJDQVAQHZVEVIAVFVKVBVHVDVKVBNRUHKZ
      VHUIVKVASHNSHZRSHZVBVLLVHUJVAUKVMVKULTVNVKUPTVANRUMUNUOUQURUSUT $.
  $}

  ${
    $d N f k m p q r $.
    $( If the (weak) ternary Goldbach conjecture is valid, then every odd
       integer greater than 5 is the sum of 3 primes.  (Contributed by AV,
       2-Jul-2020.) $)
    nnsum4primesodd $p |- ( A. m e. Odd ( 5 < m -> m e. GoldbachOddW )
                         -> ( ( N e. ( ZZ>= ` 6 ) /\ N e. Odd )
                              -> E. f e. ( Prime ^m ( 1 ... 3 ) )
                                 N = sum_ k e. ( 1 ... 3 ) ( f ` k ) ) ) $=
      ( vp c6 cfv wcel wa c5 cv wi c1 c3 co wceq cprime cz a1i c2 vq vr cuz clt
      codd wbr cgbow wral cfz csu cmap breq2 eleq1 imbi12d rspcv adantl cle w3a
      wrex eluz2 5lt6 5re 6re zre ltletr syl3anc mpani imp 3adant1 sylbi adantr
      cr pm2.27 syl caddc isgbow cop ctp wf 1ex 2ex 3ex vex 1ne2 1re ltneii 2re
      1lt3 2lt3 1p2e3 eqcomi oveq2i 1z fztp ax-mp eqid id 1p1e2 tpeq123d 3eqtri
      ftp feq2i sylibr wss df-3an tpss sylbb1 fssd cvv prmex ovex pm3.2i elmapg
      wb mp1i mpbird fveq1 sumeq2sdv eqeq2d sumeq1d fveq2 wne fvtp1 mp2an fvtp2
      eqtrdi fvtp3 cc prmz zcnd 3anim123i 3expa 2z 3pm3.2i sumtp rspcedvd eqeq1
      3z eqtr2d rexbidv syl5ibrcom rexlimdva rexlimivv 3syld com12 ) DFUCGHZDUE
      HZIZJCKZUDUFZUUIUGHZLZCUEUHZDMNUIOZBKZAKZGZBUJZPZAQUUNUKOZUSZUUHUUMJDUDUF
      ZDUGHZLZUVCUVAUUGUUMUVDLUUFUULUVDCDUEUUIDPUUJUVBUUKUVCUUIDJUDULUUIDUGUMUN
      UOUPUUHUVBUVDUVCLUUFUVBUUGUUFFRHZDRHZFDUQUFZURUVBFDUTUVFUVGUVBUVEUVFUVGUV
      BUVFJFUDUFZUVGUVBVAUVFJVLHZFVLHZDVLHUVHUVGIUVBLUVIUVFVBSUVJUVFVCSDVDJFDVE
      VFVGVHVIVJVKUVBUVCVMVNUVCUVALUUHUVCUUGDEKZUAKZVOOUBKZVOOZPZUBQUSZUAQUSEQU
      SZIUVADUBUAEVPUVQUVAUUGUVPUVAEUAQQUVKQHZUVLQHZIZUVOUVAUBQUVTUVMQHZIZUVAUV
      OUVNUURPZAUUTUSUWBUWCUVNUUNUUOMUVKVQTUVLVQNUVMVQVRZGZBUJZPZAUWDUUTUWBUWDU
      UTHZUUNQUWDVSZUWBUUNUVKUVLUVMVRZQUWDUWBMTNVRZUWJUWDVSZUUNUWJUWDVSUWLUWBMT
      NUVKUVLUVMVTWAWBEWCZUAWCZUBWCZWDMNWEWHWFZTNWGWIWFZXASUUNUWKUWJUWDUUNMMTVO
      OZUIOZMMMVOOZUWRVRZUWKNUWRMUIUWRNWJWKWLMRHZUWSUXAPWMMWNWOMMPZUXAUWKPMWPUX
      CMMUWTTUWRNUXCWQUWTTPUXCWRSUWRNPUXCWJSWSWOWTZXBXCUVRUVSUWAURUWBUWJQXDUVRU
      VSUWAXEUVKUVLUVMQUWMUWNUWOXFXGXHQXIHZUUNXIHZIUWHUWIXNUWBUXEUXFXJMNUIXKXLQ
      UUNUWDXIXIXMXOXPUUPUWDPZUWCUWGXNUWBUXGUURUWFUVNUXGUUNUUQUWEBUUOUUPUWDXQXR
      XSUPUWBUWFUWKUWEBUJUVNUWBUUNUWKUWEBUUNUWKPUWBUXDSXTUWBMTNUWEBUVKUVLUVMRRR
      UUOMPUWEMUWDGZUVKUUOMUWDYAMTYBZMNYBZUXHUVKPWDUWPMTNUVKUVLUVMVTUWMYCYDYFUU
      OTPUWETUWDGZUVLUUOTUWDYAUXITNYBZUXKUVLPWDUWQMTNUVKUVLUVMWAUWNYEYDYFUUONPU
      WENUWDGZUVMUUONUWDYAUXJUXLUXMUVMPUWPUWQMTNUVKUVLUVMWBUWOYGYDYFUVRUVSUWAUV
      KYHHZUVLYHHZUVMYHHZURUVRUXNUVSUXOUWAUXPUVRUVKUVKYIYJUVSUVLUVLYIYJUWAUVMUV
      MYIYJYKYLUXBTRHZNRHZURUWBUXBUXQUXRWMYMYRYNSUXIUWBWDSUXJUWBUWPSUXLUWBUWQSY
      OYSYPUVOUUSUWCAUUTDUVNUURYQYTUUAUUBUUCUPVJSUUDUUE $.

    $( If the (strong) ternary Goldbach conjecture is valid, then every odd
       integer greater than 7 is the sum of 3 primes.  (Contributed by AV,
       26-Jul-2020.) $)
    nnsum4primesoddALTV $p |- ( A. m e. Odd ( 7 < m -> m e. GoldbachOdd )
                         -> ( ( N e. ( ZZ>= ` 8 ) /\ N e. Odd )
                              -> E. f e. ( Prime ^m ( 1 ... 3 ) )
                                 N = sum_ k e. ( 1 ... 3 ) ( f ` k ) ) ) $=
      ( c8 cfv wcel codd wa c7 cv wi c1 c3 co wceq cprime cz a1i c2 cuz clt wbr
      vp vq vr cgbo wral cfz csu cmap wrex breq2 eleq1 imbi12d rspcv adantl cle
      w3a eluz2 7lt8 7re 8re zre ltletr syl3anc mpani imp 3adant1 adantr pm2.27
      cr sylbi syl caddc isgbo cop ctp 1ex 2ex 3ex vex 1ne2 1re 1lt3 ltneii 2re
      wf 2lt3 ftp 1p2e3 eqcomi oveq2i 1z fztp ax-mp 1p1e2 tpeq123d 3eqtri feq2i
      eqid id sylibr wss df-3an tpss sylbb1 fssd cvv wb ovex pm3.2i elmapg mp1i
      prmex mpbird fveq1 sumeq2sdv eqeq2d sumeq1d fveq2 fvtp1 mp2an fvtp2 fvtp3
      wne eqtrdi cc prmz zcnd 3anim123i 3expa 2z 3z sumtp eqtr2d rspcedvd eqeq1
      3pm3.2i rexbidv syl5ibrcom adantld rexlimdva rexlimivv 3syld com12 ) DEUA
      FGZDHGZIZJCKZUBUCZUUJUGGZLZCHUHZDMNUIOZBKZAKZFZBUJZPZAQUUOUKOZULZUUIUUNJD
      UBUCZDUGGZLZUVDUVBUUHUUNUVELUUGUUMUVECDHUUJDPUUKUVCUULUVDUUJDJUBUMUUJDUGU
      NUOUPUQUUIUVCUVEUVDLUUGUVCUUHUUGERGZDRGZEDURUCZUSUVCEDUTUVGUVHUVCUVFUVGUV
      HUVCUVGJEUBUCZUVHUVCVAUVGJVLGZEVLGZDVLGUVIUVHIUVCLUVJUVGVBSUVKUVGVCSDVDJE
      DVEVFVGVHVIVMVJUVCUVDVKVNUVDUVBLUUIUVDUUHUDKZHGUEKZHGUFKZHGUSZDUVLUVMVOOU
      VNVOOZPZIZUFQULZUEQULUDQULZIUVBDUFUEUDVPUVTUVBUUHUVSUVBUDUEQQUVLQGZUVMQGZ
      IZUVRUVBUFQUWCUVNQGZIZUVQUVBUVOUWEUVBUVQUVPUUSPZAUVAULUWEUWFUVPUUOUUPMUVL
      VQTUVMVQNUVNVQVRZFZBUJZPZAUWGUVAUWEUWGUVAGZUUOQUWGWHZUWEUUOUVLUVMUVNVRZQU
      WGUWEMTNVRZUWMUWGWHZUUOUWMUWGWHUWOUWEMTNUVLUVMUVNVSVTWAUDWBZUEWBZUFWBZWCM
      NWDWEWFZTNWGWIWFZWJSUUOUWNUWMUWGUUOMMTVOOZUIOZMMMVOOZUXAVRZUWNNUXAMUIUXAN
      WKWLWMMRGZUXBUXDPWNMWOWPMMPZUXDUWNPMXAUXFMMUXCTUXANUXFXBUXCTPUXFWQSUXANPU
      XFWKSWRWPWSZWTXCUWAUWBUWDUSUWEUWMQXDUWAUWBUWDXEUVLUVMUVNQUWPUWQUWRXFXGXHQ
      XIGZUUOXIGZIUWKUWLXJUWEUXHUXIXOMNUIXKXLQUUOUWGXIXIXMXNXPUUQUWGPZUWFUWJXJU
      WEUXJUUSUWIUVPUXJUUOUURUWHBUUPUUQUWGXQXRXSUQUWEUWIUWNUWHBUJUVPUWEUUOUWNUW
      HBUUOUWNPUWEUXGSXTUWEMTNUWHBUVLUVMUVNRRRUUPMPUWHMUWGFZUVLUUPMUWGYAMTYFZMN
      YFZUXKUVLPWCUWSMTNUVLUVMUVNVSUWPYBYCYGUUPTPUWHTUWGFZUVMUUPTUWGYAUXLTNYFZU
      XNUVMPWCUWTMTNUVLUVMUVNVTUWQYDYCYGUUPNPUWHNUWGFZUVNUUPNUWGYAUXMUXOUXPUVNP
      UWSUWTMTNUVLUVMUVNWAUWRYEYCYGUWAUWBUWDUVLYHGZUVMYHGZUVNYHGZUSUWAUXQUWBUXR
      UWDUXSUWAUVLUVLYIYJUWBUVMUVMYIYJUWDUVNUVNYIYJYKYLUXETRGZNRGZUSUWEUXEUXTUY
      AWNYMYNYSSUXLUWEWCSUXMUWEUWSSUXOUWEUWTSYOYPYQUVQUUTUWFAUVADUVPUUSYRYTUUAU
      UBUUCUUDUQVMSUUEUUF $.

    $d N o $.
    $( If the (weak) ternary Goldbach conjecture is valid, then every even
       integer greater than 8 is the sum of an odd Goldbach number and 3.
       (Contributed by AV, 24-Jul-2020.) $)
    evengpop3 $p |- ( A. m e. Odd ( 5 < m -> m e. GoldbachOddW )
                      -> ( ( N e. ( ZZ>= ` 9 ) /\ N e. Even )
                           -> E. o e. GoldbachOddW N = ( o + 3 ) ) ) $=
      ( c9 wcel wa c5 clt wbr cgbow codd c3 co caddc wceq a1i syl wb c1 c8 wral
      cuz cfv ceven cv wi cmin wrex 3odd anim1i ancomd emoo breq2 eleq1 imbi12d
      adantl rspcdv cz cle w3a eluz2 5p3e8 8p1e9 9cn ax-1cn 8cn subadd2i eqtr4i
      mpbir zlem1lt biimp3a eqbrtrid 5re 3re 3jca 3ad2ant2 ltaddsub mpbid sylbi
      cr zre adantr simpr oveq1 eqeq2d cc eluzelcn 3cn npcan eqcomd rspcedvd ex
      jca embantd syldc ) CDUBUCEZCUDEZFZGAUEZHIZWSJEZUFZAKUAGCLUGMZHIZXCJEZUFZ
      CBUEZLNMZOZBJUHZWRXBXFAXCKWRWQLKEZFXCKEWRXKWQWPXKWQXKWPUIPUJUKCLULQWSXCOZ
      XBXFRWRXLWTXDXAXEWSXCGHUMWSXCJUNUOUPUQWRXDXEXJWPXDWQWPDUREZCUREZDCUSIZUTZ
      XDDCVAXPGLNMZCHIZXDXPXQDSUGMZCHXQTXSVBXSTOTSNMDOVCDSTVDVEVFVGVIVHXMXNXOXS
      CHIDCVJVKVLXPGVTEZLVTEZCVTEZUTZXRXDRXNXMYCXOXNXTYAYBXTXNVMPYAXNVNPCWAVOVP
      GLCVQQVRVSWBWRXEXJWRXEFZXICXCLNMZOZBXCJWRXEWCXGXCOZXIYFRYDYGXHYECXGXCLNWD
      WEUPYDCWFEZLWFEZFZYFWRYJXEWPYJWQWPYHYIDCWGYIWPWHPWMWBWBYJYECCLWIWJQWKWLWN
      WO $.

    $( If the (strong) ternary Goldbach conjecture is valid, then every even
       integer greater than 10 is the sum of an odd Goldbach number and 3.
       (Contributed by AV, 27-Jul-2020.)  (Proof shortened by AV,
       15-Sep-2021.) $)
    evengpoap3 $p |- ( A. m e. Odd ( 7 < m -> m e. GoldbachOdd )
                      -> ( ( N e. ( ZZ>= ` ; 1 2 ) /\ N e. Even )
                           -> E. o e. GoldbachOdd N = ( o + 3 ) ) ) $=
      ( c1 c2 wcel wa c7 clt wbr cgbo wi codd c3 co caddc wceq a1i cr adantr cv
      cdc cuz cfv ceven wral cmin wrex 3odd anim1i ancomd emoo wb breq2 imbi12d
      syl eleq1 adantl rspcdv cle w3a eluz2 cc0 7p3e10 1nn0 0nn0 2nn 2pos declt
      cz eqbrtri 7re 3re readdcli 2nn0 deccl nn0rei zre ltletr mp3an12i 3adant1
      mpani 3ad2ant2 ltaddsubd mpbid sylbi simpr oveq1 eqeq2d cc eluzelcn jctir
      imp 3cn npcan eqcomd rspcedvd ex embantd syldc ) CDEUBZUCUDFZCUEFZGZHAUAZ
      IJZXEKFZLZAMUFHCNUGOZIJZXIKFZLZCBUAZNPOZQZBKUHZXDXHXLAXIMXDXCNMFZGXIMFXDX
      QXCXBXQXCXQXBUIRUJUKCNULUPXEXIQZXHXLUMXDXRXFXJXGXKXEXIHIUNXEXIKUQUOURUSXD
      XJXKXPXBXJXCXBXAVJFZCVJFZXACUTJZVAZXJXACVBYBHNPOZCIJZXJXTYAYDXSXTYAYDXTYC
      XAIJZYAYDYCDVCUBXAIVDDVCEVEVFVGVHVIVKYCSFXASFXTCSFZYEYAGYDLHNVLVMVNXADEVE
      VOVPVQCVRZYCXACVSVTWBWMWAYBHNCHSFYBVLRNSFYBVMRXTXSYFYAYGWCWDWEWFTXDXKXPXD
      XKGZXOCXINPOZQZBXIKXDXKWGXMXIQZXOYJUMYHYKXNYICXMXINPWHWIURYHCWJFZNWJFZGZY
      JXDYNXKXBYNXCXBYLYMXACWKWNWLTTYNYICCNWOWPUPWQWRWSWT $.

    $d N f g k m o $.
    $( If the (weak) ternary Goldbach conjecture is valid, then every even
       integer greater than 8 is the sum of 4 primes.  (Contributed by AV,
       25-Jul-2020.) $)
    nnsum4primeseven $p |- ( A. m e. Odd ( 5 < m -> m e. GoldbachOddW )
                         -> ( ( N e. ( ZZ>= ` 9 ) /\ N e. Even )
                              -> E. f e. ( Prime ^m ( 1 ... 4 ) )
                                 N = sum_ k e. ( 1 ... 4 ) ( f ` k ) ) ) $=
      ( wbr wcel wi cfv wa c1 c4 cfz co wceq cprime c3 caddc cz a1i adantr codd
      vo vg c5 cv clt cgbow wral cuz ceven csu cmap wrex evengpop3 cmin simplll
      c9 imp c6 6nn nnzi 3z 6p3e9 eqcomi fveq2i eleq2i eluzsub syl3anc ad3antlr
      biimpi 3odd anim1i adantl ancomd emoo syl nnsum4primesodd syl12anc wf cop
      csn cun wn simpr 4z cfzo fzonel fzoval ax-mp w3a 4cn ax-1cn 3pm3.2i 3p1e4
      cc 3cn subadd2 mpbiri oveq2i eqtri mtbir pm3.2i 3prm fsnunf fzval3 cle 1z
      1re 4re 1lt4 ltleii eluz2 mpbir3an fzosplitsn uneq1i 3eqtri sylibr cvv wb
      feq2i prmex ovex elmapg mp1i mpbird fveq1 sumeq2dv eqeq2d wo velsn orbi2i
      elun 3bitri wne cr mtbiri adantld ex eqcomd mpd elfz2 3lt4 ltnle necon2ad
      mpbii breq1 eqcoms 3ad2ant3 sylbi fvunsn ffvelrn ancoms prmz zcnd eqeltrd
      3re fveq2 cdm eleq2 fsnunfv sylan9eq eqeltrdi jaoi com12 syl5bi sumeq12dv
      fsumm1 biimpa oveq1d oveq2d eluzelcn npcand eqtrd 3eqtrrd rspcedvd expcom
      fdm elmapi syl11 rexlimdv rexlimdva2 ) UDCUEZUFEUWBUGFGCUAUHZDUQUIHZFZDUJ
      FZIZDJKLMZBUEZAUEZHZBUKZNZAOUWHULMZUMZUWCUWGIZDUBUEZPQMNZUBUGUMZUWOUWCUWG
      UWSCUBDUNURUWPUWRUWOUBUGUWPUWQUGFZIZUWRIZDPUOMZJPLMZUWIUCUEZHZBUKZNZUCOUX
      DULMZUMZUWOUXBUWCUXCUSUIHFZUXCUAFZUXJUWCUWGUWTUWRUPUWGUXKUWCUWTUWRUWEUXKU
      WFUWEUSRFZPRFZDUSPQMZUIHZFZUXKUXMUWEUSUTVASUXNUWEVBSUWEUXQUWDUXPDUQUXOUIU
      XOUQVCVDVEVFVJPUSDVGVHTVIUXBUWFPUAFZIZUXLUXAUXSUWRUWPUXSUWTUWPUXRUWFUWGUX
      RUWFIUWCUWEUXRUWFUXRUWEVKSVLVMVNTTDPVOVPUWCUXKUXLIUXJUCBCUXCVQURVRUWGUXJU
      WOGZUWCUWTUWRUWEUXTUWFUWEUXHUWOUCUXIUXDOUXEVSZUWEUXHUWOGZUXEUXIFUWEUYAUYB
      UWEUYAIZUXHUWOUYCUXHIZUWMDUWHUWIUXEKPVTWAWBZHZBUKZNZAUYEUWNUYCUYEUWNFZUXH
      UYCUYIUWHOUYEVSZUYCUXDKWAZWBZOUYEVSZUYJUYCUYAKRFZKUXDFZWCZIZPOFZUYMUWEUYA
      WDUYQUYCUYNUYPWEUYOKJKWFMZFJKWGUXDUYSKUYSUXDUYSJKJUOMZLMZUXDUYNUYSVUANWEJ
      KWHWIUYTPJLKWOFZJWOFZPWOFZWJZUYTPNZVUBVUCVUDWKWLWPWMVUEVUFPJQMKNWNKJPWQWR
      WIZWSWTZVDVFXAZXBSUYRUYCXCSUXDOUXERKPXDVHUWHUYLOUYEUWHJKJQMWFMZUYSUYKWBZU
      YLUYNUWHVUJNWEJKXEWIKJUIHFZVUJVUKNVULJRFZUYNJKXFEXGWEJKXHXIXJXKJKXLXMZJKX
      NWIUYSUXDUYKVUHXOXPZXTXQOXRFZUWHXRFZIUYIUYJXSUYCVUPVUQYAJKLYBXBOUWHUYEXRX
      RYCYDYETUWJUYENZUWMUYHXSUYDVURUWLUYGDVURUWHUWKUYFBVURUWKUYFNUWIUWHFZUWIUW
      JUYEYFTYGYHVMUYDUYGVUAUYFBUKZKUYEHZQMZUXCVVAQMZDUYCUYGVVBNUXHUYCUYFVVABJK
      VULUYCVUNSUYCVUSUYFWOFZVUSUWIUXDFZUWIKNZYIZUYCVVDVUSUWIUYLFVVEUWIUYKFZYIV
      VGUWHUYLUWIVUOVFUWIUXDUYKYLVVHVVFVVEBKYJYKYMVVGUYCVVDVVEUYCVVDGVVFVVEUYAV
      VDUWEVVEUYAVVDVVEUYAIZUYFUXFWOVVIKUWIYNZUYFUXFNZVVEVVJUYAVVEVUMUXNUWIRFZW
      JZJUWIXFEZUWIPXFEZIZIVVJUWIJPUUAVVMVVPVVJVVLVUMVVPVVJGUXNVVLVVOVVJVVNVVLV
      VOKUWIKUWINZVVOWCGVVLVVQVVOKPXFEZPYOFZKYOFZIZVVRWCZVVSVVTUUPXIXBVWAPKUFEV
      WBUUBPKUUCUUEWIVVOVVRXSUWIKUWIKPXFUUFUUGYPSUUDYQUUHURUUIZTUXEKPUWIUUJZVPV
      VIUXFVVIUXFOFZUXFRFUYAVVEVWEUXDOUWIUXEUUKUULUXFUUMVPUUNUUOYRYQVVFUYCVVDVV
      FUYCIUYFPWOVVFUYCUYFVVAPUWIKUYEUUQZUYAVVAPNZUWEUYAUYNUXNKUXEUURZFZWCZVWGU
      YNUYAWESUXNUYAVBSUYAVWHUXDNZVWJUXDOUXEUVQVWKVWIUYOVUIVWHUXDKUUSYPVPZUXERR
      KPUUTZVHVMUVAWPUVBYRUVCUVDUVEURVWFUVGTUYDVUTUXCVVAQUYDUXCVUTUYCUXHUXCVUTN
      UYCUXGVUTUXCUYCUXDVUAUXFUYFBUXDVUANUYCPUYTJLUYTPVUGVDWSSUYCVVEIZUYFUXFVWN
      VVJVVKVVEVVJUYCVWCVMVWDVPYSUVFYHUVHYSUVIUYCVVCDNUXHUYCVVCUXCPQMZDUYCVVAPU
      XCQUYCUYNUXNVWJVWGUYNUYCWESUXNUYCVBSUYAVWJUWEVWLVMVWMVHUVJUWEVWODNUYAUWED
      PUQDUVKVUDUWEWPSUVLTUVMTUVNUVOYRUVPUXEOUXDUVRUVSUVTTVIYTUWAYTYR $.

    $( If the (strong) ternary Goldbach conjecture is valid, then every even
       integer greater than 10 is the sum of 4 primes.  (Contributed by AV,
       27-Jul-2020.) $)
    nnsum4primesevenALTV $p |- ( A. m e. Odd ( 7 < m -> m e. GoldbachOdd )
                         -> ( ( N e. ( ZZ>= ` ; 1 2 ) /\ N e. Even )
                              -> E. f e. ( Prime ^m ( 1 ... 4 ) )
                                 N = sum_ k e. ( 1 ... 4 ) ( f ` k ) ) ) $=
      ( wbr wcel c1 cfv wa c4 co wceq cprime c3 caddc c8 cz a1i cle adantr cgbo
      vo vg c7 cv clt wi codd wral cdc cuz ceven cfz csu cmap wrex cmin simplll
      c2 8nn nnzi zaddcld eluzelz w3a eluz2 8p4e12 breq1i 1nn0 2nn declt 8p3e11
      3z 3brtr4i cr 8re 3re readdcld 4re zre ltleletr syl3anc mpani syl5bir imp
      1lt2 3adant1 sylbi syl3anbrc eluzsub ad3antlr 3odd anim1i adantl emoo syl
      ancomd nnsum4primesoddALTV syl12anc wf cop csn cun wn simpr fzonel fzoval
      4z ax-mp cc 4cn ax-1cn 3cn 3p1e4 subadd2 mpbiri mp3an oveq2i eqtri eqcomi
      cfzo eleq2i mtbir pm3.2i 3prm fsnunf fzval3 1z 1re 1lt4 ltleii fzosplitsn
      mpbir3an cvv wb eqeq2d wo mtbiri adantld ex eqcomd uneq1i feq2i ovex mp1i
      3eqtri sylibr prmex elmapg mpbird fveq1 sumeq2sdv velsn orbi2i 3bitri wne
      elun elfz2 3lt4 ltnle mpbii breq1 eqcoms necon2ad 3ad2ant3 fvunsn ffvelrn
      ancoms prmz zcnd eqeltrd fveq2 cdm fdm eleq2 sylan9eq eqeltrdi jaoi com12
      fsnunfv syl5bi fsumm1 sumeq12dv biimpa oveq1d oveq2d npcand eqtrd 3eqtrrd
      eluzelcn rspcedvd expcom elmapi syl11 rexlimdv mpd evengpoap3 r19.29a ) U
      DCUEZUFEUWRUAFUGCUHUIZDGUSUJZUKHFZDULFZIZDGJUMKZBUEZAUEZHZBUNZLZAMUXDUOKZ
      UPZUWSUXCIZDUBUEZNOKLZUXKUBUAUXLUXMUAFZIZUXNIZDNUQKZGNUMKZUXEUCUEZHZBUNZL
      ZUCMUXSUOKZUPZUXKUXQUWSUXRPUKHFZUXRUHFZUYEUWSUXCUXOUXNURUXCUYFUWSUXOUXNUX
      AUYFUXBUXAPQFZNQFZDPNOKZUKHFZUYFUYHUXAPUTVARZUYIUXAVLRZUXAUYJQFDQFZUYJDSE
      ZUYKUXAPNUYLUYMVBUWTDVCUXAUWTQFZUYNUWTDSEZVDUYOUWTDVEUYNUYQUYOUYPUYNUYQUY
      OUYQPJOKZDSEZUYNUYOUYRUWTDSVFVGUYNUYJUYRUFEZUYSUYOGGUJUWTUYJUYRUFGGUSVHVH
      VIWEVJVKVFVMUYNUYJVNFUYRVNFDVNFUYTUYSIUYOUGUYNPNPVNFUYNVORZNVNFZUYNVPRVQU
      YNPJVUAJVNFZUYNVRRVQDVSUYJUYRDVTWAWBWCWDWFWGUYJDVEWHNPDWIWATWJUXQUXBNUHFZ
      IZUYGUXPVUEUXNUXLVUEUXOUXLVUDUXBUXCVUDUXBIUWSUXAVUDUXBVUDUXAWKRWLWMWPTTDN
      WNWOUWSUYFUYGIUYEUCBCUXRWQWDWRUXCUYEUXKUGZUWSUXOUXNUXAVUFUXBUXAUYCUXKUCUY
      DUXSMUXTWSZUXAUYCUXKUGZUXTUYDFUXAVUGVUHUXAVUGIZUYCUXKVUIUYCIZUXIDUXDUXEUX
      TJNWTXAXBZHZBUNZLZAVUKUXJVUIVUKUXJFZUYCVUIVUOUXDMVUKWSZVUIUXSJXAZXBZMVUKW
      SZVUPVUIVUGJQFZJUXSFZXCZIZNMFZVUSUXAVUGXDVVCVUIVUTVVBXGVVAJGJXTKZFGJXEUXS
      VVEJVVEUXSVVEGJGUQKZUMKZUXSVUTVVEVVGLXGGJXFXHVVFNGUMJXIFZGXIFZNXIFZVVFNLZ
      XJXKXLVVHVVIVVJVDVVKNGOKJLXMJGNXNXOXPZXQXRZXSYAYBZYCRVVDVUIYDRUXSMUXTQJNY
      EWAUXDVURMVUKUXDGJGOKXTKZVVEVUQXBZVURVUTUXDVVOLXGGJYFXHJGUKHFZVVOVVPLVVQG
      QFZVUTGJSEYGXGGJYHVRYIYJGJVEYLZGJYKXHVVEUXSVUQVVMUUAUUEZUUBUUFMYMFZUXDYMF
      ZIVUOVUPYNVUIVWAVWBUUGGJUMUUCYCMUXDVUKYMYMUUHUUDUUITUXFVUKLZUXIVUNYNVUJVW
      CUXHVUMDVWCUXDUXGVULBUXEUXFVUKUUJUUKYOWMVUJVUMVVGVULBUNZJVUKHZOKZUXRVWEOK
      ZDVUIVUMVWFLUYCVUIVULVWEBGJVVQVUIVVSRVUIUXEUXDFZVULXIFZVWHUXEUXSFZUXEJLZY
      PZVUIVWIVWHUXEVURFVWJUXEVUQFZYPVWLUXDVURUXEVVTYAUXEUXSVUQUUPVWMVWKVWJBJUU
      LUUMUUNVWLVUIVWIVWJVUIVWIUGVWKVWJVUGVWIUXAVWJVUGVWIVWJVUGIZVULUYAXIVWNJUX
      EUUOZVULUYALZVWJVWOVUGVWJVVRUYIUXEQFZVDZGUXESEZUXENSEZIZIVWOUXEGNUUQVWRVX
      AVWOVWQVVRVXAVWOUGUYIVWQVWTVWOVWSVWQVWTJUXEJUXELZVWTXCUGVWQVXBVWTJNSEZVUB
      VUCIZVXCXCZVUBVUCVPVRYCVXDNJUFEVXEUURNJUUSUUTXHVWTVXCYNUXEJUXEJNSUVAUVBYQ
      RUVCYRUVDWDWGZTUXTJNUXEUVEZWOVWNUYAVWNUYAMFZUYAQFVUGVWJVXHUXSMUXEUXTUVFUV
      GUYAUVHWOUVIUVJYSYRVWKVUIVWIVWKVUIIVULNXIVWKVUIVULVWENUXEJVUKUVKZVUGVWENL
      ZUXAVUGVUTUYIJUXTUVLZFZXCZVXJVUTVUGXGRUYIVUGVLRVUGVXKUXSLZVXMUXSMUXTUVMVX
      NVXLVVAVVNVXKUXSJUVNYQWOZUXTQQJNUVSZWAWMUVOXLUVPYSUVQUVRUVTWDVXIUWATVUJVW
      DUXRVWEOVUJUXRVWDVUIUYCUXRVWDLVUIUYBVWDUXRVUIUXSVVGUYAVULBUXSVVGLVUINVVFG
      UMVVFNVVLXSXQRVUIVWJIZVULUYAVXQVWOVWPVWJVWOVUIVXFWMVXGWOYTUWBYOUWCYTUWDVU
      IVWGDLUYCVUIVWGUXRNOKZDVUIVWENUXROVUIVUTUYIVXMVXJVUTVUIXGRUYIVUIVLRVUGVXM
      UXAVXOWMVXPWAUWEUXAVXRDLVUGUXADNUWTDUWIVVJUXAXLRUWFTUWGTUWHUWJYSUWKUXTMUX
      SUWLUWMUWNTWJUWOUWSUXCUXNUBUAUPCUBDUWPWDUWQYS $.

    $d d f k m n $.
    $( If the (weak) ternary Goldbach conjecture is valid, then every integer
       greater than 1 is the sum of at most 4 primes, showing that
       Schnirelmann's constant would be less than or equal to 4.  See corollary
       1.1 in [Helfgott] p. 4.  (Contributed by AV, 25-Jul-2020.) $)
    wtgoldbnnsum4prm $p |- ( A. m e. Odd ( 5 < m -> m e. GoldbachOddW )
            -> A. n e. ( ZZ>= ` 2 ) E. d e. NN E. f e. ( Prime ^m ( 1 ... d ) )
                         ( d <_ 4 /\ n = sum_ k e. ( 1 ... d ) ( f ` k ) ) ) $=
      ( cv wbr wcel c4 cle c1 cfz co wa wrex cn c2 c9 c3 c6 clt cgbow codd wral
      c5 wi cfv csu wceq cprime cmap cuz cfzo wo cun wb cz 2z 9nn nnzi 2re 2lt9
      9re ltleii eluz2 mpbir3an fzouzsplit eleq2d ax-mp elun bitri c8 w3a simp1
      elfzo2 caddc df-9 breq2i eluz2nn 8nn jctir adantr nnleltp1 biimprd syl5bi
      syl 3impia jca sylbi nnsum4primesle9 a1d ceven 4nn a1i oveq2 oveq2d breq1
      sumeq1d eqeq2d anbi12d rexeqbidv adantl 4re leidi nnsum4primeseven impcom
      r19.42v sylanbrc rspcedvd 3nn 3re 3lt4 6nn 6re 6lt9 eluzuzle mp2an anim1i
      ex nnsum4primesodd mpan9 eluzelz zeoALTV mpjaodan jaoi ralrimiva ) UECFZU
      AGYGUBHUFCUCUDZEFZIJGZDFZKYILMZBFAFUGZBUHZUIZNZAUJYLUKMZOZEPOZDQULUGZYKYT
      HZYHYSUUAYKQRUMMZHZYKRULUGZHZUNZYHYSUFZUUAYKUUBUUDUOZHZUUFRYTHZUUAUUIUPUU
      JQUQHRUQHZQRJGURRUSUTQRVAVCVBVDQRVEVFUUJYTUUHYKQRVGVHVIYKUUBUUDVJVKUUCUUG
      UUEUUCYSYHUUCUUAYKVLJGZNZYSUUCUUAUUKYKRUAGZVMZUUMYKQRVOUUOUUAUULUUAUUKUUN
      VNUUAUUKUUNUULUUNYKVLKVPMZUAGZUUAUUKNZUULRUUPYKUAVQVRUURUULUUQUURYKPHZVLP
      HZNZUULUUQUPUUAUVAUUKUUAUUSUUTYKVSVTWAWBYKVLWCWFWDWEWGWHWIABYKEWJWFWKUUEY
      KWLHZUUGYKUCHZUUEUVBNZYHYSUVDYHNZYRIIJGZYKKILMZYMBUHZUIZNZAUJUVGUKMZOZEIP
      IPHUVEWMWNYIIUIZYRUVLUPUVEUVMYPUVJAYQUVKUVMYLUVGUJUKYIIKLWOZWPUVMYJUVFYOU
      VIYIIIJWQUVMYNUVHYKUVMYLUVGYMBUVNWRWSWTXAXBUVEUVFUVIAUVKOZUVLUVFUVEIXCXDW
      NYHUVDUVOABCYKXEXFUVFUVIAUVKXGXHXIXSUUEUVCNZYHYSUVPYHNZYRSIJGZYKKSLMZYMBU
      HZUIZNZAUJUVSUKMZOZESPSPHUVQXJWNYISUIZYRUWDUPUVQUWEYPUWBAYQUWCUWEYLUVSUJU
      KYISKLWOZWPUWEYJUVRYOUWAYISIJWQUWEYNUVTYKUWEYLUVSYMBUWFWRWSWTXAXBUVQUVRUW
      AAUWCOZUWDUVRUVQSIXKXCXLVDWNUVPYKTULUGHZUVCNYHUWGUUEUWHUVCTUQHTRJGUUEUWHU
      FTXMUTTRXNVCXOVDRTYKXPXQXRABCYKXTYAUVRUWAAUWCXGXHXIXSUUEYKUQHUVBUVCUNRYKY
      BYKYCWFYDYEWIXFYF $.

    $( If the (strong) ternary Goldbach conjecture is valid, then every integer
       greater than 1 is the sum of at most 4 primes.  (Contributed by AV,
       27-Jul-2020.) $)
    stgoldbnnsum4prm $p |- ( A. m e. Odd ( 7 < m -> m e. GoldbachOdd )
            -> A. n e. ( ZZ>= ` 2 ) E. d e. NN E. f e. ( Prime ^m ( 1 ... d ) )
                         ( d <_ 4 /\ n = sum_ k e. ( 1 ... d ) ( f ` k ) ) ) $=
      ( c7 cv clt wbr cgbo wcel wi codd wral c5 cgbow c4 co cfv wrex cle c1 cfz
      csu wceq wa cprime cmap cn c2 cuz stgoldbwt wtgoldbnnsum4prm syl ) FCGZHI
      UOJKLCMNOUOHIUOPKLCMNEGZQUAIDGUBUPUCRZBGAGSBUDUEUFAUGUQUHRTEUITDUJUKSNCUL
      ABCDEUMUN $.

    $d d n o $.
    $( If the binary Goldbach conjecture is valid, then every integer greater
       than 1 is the sum of at most 3 primes, showing that Schnirelmann's
       constant would be equal to 3.  (Contributed by AV, 2-Aug-2020.) $)
    bgoldbnnsum3prm $p |- ( A. m e. Even ( 4 < m -> m e. GoldbachEven )
            -> A. n e. ( ZZ>= ` 2 ) E. d e. NN E. f e. ( Prime ^m ( 1 ... d ) )
                         ( d <_ 3 /\ n = sum_ k e. ( 1 ... d ) ( f ` k ) ) ) $=
      ( vo c4 cv clt wbr wcel wi c3 cle co wa cn c2 c9 c6 cgbe ceven c1 cfz cfv
      wral csu wceq cprime cmap wrex cuz cfzo wo cun wb cz 2z 9nn nnzi 2re 2lt9
      9re ltleii eluz2 mpbir3an fzouzsplit eleq2d ax-mp elun bitri c8 w3a simp1
      elfzo2 caddc df-9 breq2i eluz2nn 8nn jctir adantr nnleltp1 biimprd syl5bi
      syl 3impia jca sylbi nnsum3primesle9 a1d codd weq breq2 eleq1w imbi12d cr
      rspcv 4re eluzelre 3jca adantl eluzle 4lt9 jctil ltletr sylc pm2.27 syl5d
      a1i ex impcom nnsum3primesgbe syl6 c5 cgbow 3nn oveq2 oveq2d breq1 eqeq2d
      sumeq1d anbi12d rexeqbidv 3re leidi 6nn 6re 6lt9 eluzuzle nnsum4primesodd
      mp2an anim1i mpan9 r19.42v sylanbrc rspcedvd expcom sbgoldbwt syl11 jaoi
      eluzelz zeoALTV mpjaodan ralrimiva ) GCHZIJZUUFUAKZLZCUBUFZEHZMNJZDHZUCUU
      KUDOZBHAHUEZBUGZUHZPZAUIUUNUJOZUKZEQUKZDRULUEZUUMUVBKZUUJUVAUVCUUMRSUMOZK
      ZUUMSULUEZKZUNZUUJUVALZUVCUUMUVDUVFUOZKZUVHSUVBKZUVCUVKUPUVLRUQKSUQKZRSNJ
      URSUSUTRSVAVCVBVDRSVEVFUVLUVBUVJUUMRSVGVHVIUUMUVDUVFVJVKUVEUVIUVGUVEUVAUU
      JUVEUVCUUMVLNJZPZUVAUVEUVCUVMUUMSIJZVMZUVOUUMRSVOUVQUVCUVNUVCUVMUVPVNUVCU
      VMUVPUVNUVPUUMVLUCVPOZIJZUVCUVMPZUVNSUVRUUMIVQVRUVTUVNUVSUVTUUMQKZVLQKZPZ
      UVNUVSUPUVCUWCUVMUVCUWAUWBUUMVSVTWAWBUUMVLWCWFWDWEWGWHWIABUUMEWJWFWKUVGUU
      MUBKZUVIUUMWLKZUVGUWDPUUJUUMUAKZUVAUWDUVGUUJUWFLUWDUUJGUUMIJZUWFLZUVGUWFU
      UIUWHCUUMUBCDWMUUGUWGUUHUWFUUFUUMGIWNCDUAWOWPWRUWDUVGUWHUWFLZUWDUVGPZUWGU
      WIUWJGWQKZSWQKZUUMWQKZVMZGSIJZSUUMNJZPUWGUVGUWNUWDUVGUWKUWLUWMUWKUVGWSXJU
      WLUVGVCXJSUUMWTXAXBUWJUWPUWOUVGUWPUWDSUUMXCXBXDXEGSUUMXFXGUWGUWFXHWFXKXIX
      LABUUMEXMXNXOFHZIJUWQXPKLFWLUFZUVGUWEPZUVAUUJUWSUWRUVAUWSUWRPZUUTMMNJZUUM
      UCMUDOZUUOBUGZUHZPZAUIUXBUJOZUKZEMQMQKUWTXQXJUUKMUHZUUTUXGUPUWTUXHUURUXEA
      UUSUXFUXHUUNUXBUIUJUUKMUCUDXRZXSUXHUULUXAUUQUXDUUKMMNXTUXHUUPUXCUUMUXHUUN
      UXBUUOBUXIYBYAYCYDXBUWTUXAUXDAUXFUKZUXGUXAUWTMYEYFXJUWSUUMTULUEKZUWEPUWRU
      XJUVGUXKUWETUQKTSNJUVGUXKLTYGUTTSYHVCYIVDSTUUMYJYLYMABFUUMYKYNUXAUXDAUXFY
      OYPYQYRFCYSYTUVGUUMUQKUWDUWEUNSUUMUUBUUMUUCWFUUDUUAWIXLUUE $.
  $}

  $( Lemma 1 for ~ bgoldbtbnd : the odd numbers between 7 and 13 (exclusive)
     are odd Goldbach numbers.  (Contributed by AV, 29-Jul-2020.) $)
  bgoldbtbndlem1 $p |- ( ( N e. Odd /\ 7 < N /\ N e. ( 7 [,) ; 1 3 ) )
                         -> N e. GoldbachOdd ) $=
    ( codd wcel c7 clt wbr c1 co cle wb c8 cz nnzi caddc a1i cr c9 com12 ceven
    c2 c3 cdc cico cgbo cxr w3a wa 7re rexri 1nn0 decnncl nnrei elico1 mp2an wi
    3nn wceq wo 7nn oddz zltp1le 7p1e8 breq1i 8re zre syl2an 3bitrd sylancr 8nn
    leloe 8p1e9 9re zred leloed cc0 9p1e10 10re 10nn dec10p eqcomi oveq1i nncni
    9nn 1nn ax-1cn addassi 1p1e2 oveq2i eqtri 3eqtri 2nn wn 2p1e3 lenltd pm2.21
    2cn syl6bi eleq1 c6 6even epee eqeltrri evennodd ax-mp pm2.21i syl6bir jaoi
    6p6e12 sylbid 11gbo mpbii 2a1d 5p5e10 5odd opoeALTV 9gbo 8even imp 3ad2ant3
    c5 syl5bi 3impia ) ABCZDAEFZADGUAUBZUCHCZAUDCZYFAUECZDAIFZAYEEFZUFZYCYDUGZY
    GDUECYEUECYFYKJDUHUIYEYEGUAUJUPUKULZUIDYEAUMUNYKYLYGYJYHYLYGUOYIYLYJYGYCYDY
    JYGUOZYCYDKAEFZKAUQZURZYNYCDLCZALCZYDYQJDUSMAUTZYRYSUGZYDDGNHZAIFZKAIFZYQDA
    VAUUCUUDJUUAUUBKAIVBVCOYRKPCZAPCUUDYQJYSUUEYRVDOAVEKAVJVFVGVHYQYCYNYOYCYNUO
    ZYPYCYOYNYCYOQAEFZQAUQZURZYNYCYOKGNHZAIFZQAIFZUUIYCKLCYSYOUUKJKVIMYTKAVAVHU
    UKUULJYCUUJQAIVKVCOYCQAQPCYCVLOYCAYTVMZVNVGUUIYCYNUUGUUFUUHYCUUGYNYCUUGGVOU
    BZAEFZUUNAUQZURZYNYCUUGQGNHZAIFZUUNAIFZUUQYCQLCYSUUGUUSJQWCMYTQAVAVHUUSUUTJ
    YCUURUUNAIVPVCOYCUUNAUUNPCYCVQOUUMVNVGUUQYCYNUUOUUFUUPYCUUOYNYCUUOGGUBZAEFZ
    UVAAUQZURZYNYCUUOUUNGNHZAIFZUVAAIFZUVDYCUUNLCYSUUOUVFJUUNVRMYTUUNAVAVHUVFUV
    GJYCUVEUVAAIGVSZVCOYCUVAAUVAPCYCUVAGGUJWDUKZULOUUMVNVGUVDYCYNUVBUUFUVCYCUVB
    YNYCUVBGTUBZAEFZUVJAUQZURZYNYCUVBUVAGNHZAIFZUVJAIFZUVMYCUVALCYSUVBUVOJUVAUV
    IMYTUVAAVAVHUVOUVPJYCUVNUVJAIUVNUVEGNHUUNGGNHZNHZUVJUVAUVEGNUVEUVAUVHVTWAUU
    NGGUUNVRWBZWEWEWFUVRUUNTNHZUVJUVQTUUNNWGWHTVSZWIWJVCOYCUVJAUVJPCYCUVJGTUJWK
    UKZULOUUMVNVGUVMYCYNUVKUUFUVLYCUVKYNYCUVKYJWLZYNYCUVKUVJGNHZAIFZYEAIFZUWCYC
    UVJLCYSUVKUWEJUVJUWBMYTUVJAVAVHUWEUWFJYCUWDYEAIUWDUVTGNHUUNTGNHZNHZYEUVJUVT
    GNUVTUVJUWAVTWAUUNTGUVSWPWEWFUWHUUNUANHYEUWGUAUUNNWMWHUAVSWIWJVCOYCYEAYEPCY
    CYMOUUMWNVGYJYGWOWQRUVLYCUVJBCZYNUVJABWRUWIYNUVJSCUWIWLWSWSNHZUVJSXHWSSCZUW
    KUWJSCWTWTWSWSXAUNXBUVJXCXDXEXFXGRXIRUVCYGYCYJUVCUVAUDCYGXJUVAAUDWRXKXLXGRX
    IRUUPYCUUNBCZYNUUNABWRUWLYNUUNSCUWLWLXTXTNHZUUNSXMXTBCZUWNUWMSCXNXNXTXTXOUN
    XBUUNXCXDXEXFXGRXIRUUHYGYCYJUUHQUDCYGXPQAUDWRXKXLXGRXIRYPYCKBCZYNKABWRUWOYN
    KSCUWOWLXQKXCXDXEXFXGRXIXRRXSRYAYB $.

  ${
    $d D i $.  $d F i $.  $d I i $.  $d N i $.
    bgoldbtbnd.m $e |- ( ph -> M e. ( ZZ>= ` ; 1 1 ) ) $.
    bgoldbtbnd.n $e |- ( ph -> N e. ( ZZ>= ` ; 1 1 ) ) $.
    bgoldbtbnd.b $e |- ( ph -> A. n e. Even ( ( 4 < n /\ n < N )
                                              -> n e. GoldbachEven ) ) $.
    bgoldbtbnd.d $e |- ( ph -> D e. ( ZZ>= ` 3 ) ) $.
    bgoldbtbnd.f $e |- ( ph -> F e. ( RePart ` D ) ) $.
    bgoldbtbnd.i $e |- ( ph -> A. i e. ( 0 ..^ D )
                            ( ( F ` i ) e. ( Prime \ { 2 } )
                              /\ ( ( F ` ( i + 1 ) ) - ( F ` i ) ) < ( N - 4 )
                              /\ 4 < ( ( F ` ( i + 1 ) ) - ( F ` i ) ) ) ) $.
    bgoldbtbnd.0 $e |- ( ph -> ( F ` 0 ) = 7 ) $.
    bgoldbtbnd.1 $e |- ( ph -> ( F ` 1 ) = ; 1 3 ) $.
    bgoldbtbnd.l $e |- ( ph -> M < ( F ` D ) ) $.
    ${
      bgoldbtbndlem2.s $e |- S = ( X - ( F ` ( I - 1 ) ) ) $.
      $( Lemma 2 for ~ bgoldbtbnd .  (Contributed by AV, 1-Aug-2020.) $)
      bgoldbtbndlem2 $p |- ( ( ph /\ X e. Odd /\ I e. ( 1 ..^ D ) )
                             -> ( ( X e. ( ( F ` I ) [,) ( F ` ( I + 1 ) ) )
                                    /\ ( X - ( F ` I ) ) <_ 4 )
                                  -> ( S e. Even /\ S < N /\ 4 < S ) ) ) $=
        ( codd wcel c1 cfzo co w3a cmin cfv cprime c2 csn cdif caddc c4 clt wbr
        cico cle wa ceven wi cv cc0 cz elfzoelz elfzoel2 elfzom1b wss fzossrbm1
        wral adantl sseld sylbid com12 mp2and wceq fveq2 eleq1d fvoveq1 oveq12d
        breq1d breq2d 3anbi123d rspcv syl syl5com a1d simp2 oddprmALTV 3ad2ant1
        3imp anim12i adantr omoeALTV eqeltrid wb cc zcnd 3ad2ant3 npcan1 fveq2d
        oveq1d eldifi prmz cr zre simp1 ralimi fzo0ss1 sseli ex com23 a1i com13
        mpcom cdc cuz eluzelz oddz simplr simprl 4re lesubaddd simpllr resubcld
        zred readdcld resubcl exp32 3syl 3adant3 impcom 1eluzge0 sselda 3adant2
        imp mp1i ad2antrr cxr iccpartxr simplrr simplrl simplll lesub1d adantrr
        simprr biimpa simpll ltaddsub2 bicomd syl3anc biimpd adantld recnd recn
        4cn addsubassd mpbird lelttrd sylan2 expcom eqbrtrid syl6 mpid ad2antlr
        fzoss1 3ad2ant2 syl2an biimpcd cn c3 eluzge3nn ciccp cfz fzossfz sstrdi
        fzofzp1 jca elico1 syl6bi adantrd lesub1dd ltletrd breqtrrdi 3jca mpdan
        ) AJUAUBZGUCBUDUEZUBZUFZGUCUGUEZFUHZUIUJUKZULZUBZUWKUCUMUEZFUHZUWLUGUEZ
        IUNUGUEZUOUPZUNUWRUOUPZUFZJGFUHZGUCUMUEZFUHZUQUEUBZJUXCUGUEUNURUPZUSZCU
        TUBZCIUOUPZUNCUOUPZUFZVAAUWGUWIUXBAUWIUXBVAUWGADVBZFUHZUWNUBZUXMUCUMUEF
        UHZUXNUGUEZUWSUOUPZUNUXQUOUPZUFZDVCBUDUEZVJZUWIUXBPUWIUWKUYAUBZUYBUXBVA
        UWIGVDUBZBVDUBZUYCGUCBVEZGUCBVFUYDUYEUSZUWIUYCUYGUWIUWKVCBUCUGUEUDUEZUB
        UYCGBVGUYGUYHUYAUWKUYEUYHUYAVHUYDBVIVKVLVMVNVOUXTUXBDUWKUYAUXMUWKVPZUXO
        UWOUXRUWTUXSUXAUYIUXNUWLUWNUXMUWKFVQZVRUYIUXQUWRUWSUOUYIUXPUWQUXNUWLUGU
        XMUWKUCFUMVSUYJVTZWAUYIUXQUWRUNUOUYKWBWCWDWEWFWGWKUWJUXBUSZUXHUXLUYLUXH
        USZUXIUXJUXKUYMCJUWLUGUEZUTTUYMUWGUWLUAUBZUSZUYNUTUBUYLUYPUXHUWJUWGUXBU
        YOAUWGUWIWHUWOUWTUYOUXAUWLWIWJWLWMJUWLWNWEWOUYMCUYNIUOTUXHUYLUYNIUOUPZU
        XGUYLUYQVAUXFUYLUXGUYQUXBUWJUXGUYQVAZUWOUWTUWJUYRVAZUXAUWOUWTUYSUWOUWJU
        WTUYRUWJUWOUWTUYRVAUWJUWOUSUWTUXCUWLUGUEZUWSUOUPZUYRUWJUWTVUAWPUWOUWJUW
        RUYTUWSUOUWJUWQUXCUWLUGUWJUWPGFUWJGWQUBZUWPGVPZUWIAVUBUWGUWIGUYFWRZWSGW
        TZWEXAXBWAWMUWOUWJVUAUYRVAZUWOUWLUIUBZUWLVDUBZUWJVUFVAUWLUIUWMXCZUWLXDZ
        VUHUWLXEUBZUWJVUFUWLXFUXCUWNUBZUWJVUKVUFVAZAUWGUWIVULUYBAUWGUWIVULVAZVA
        ZPUYBUXODUYAVJZAVUOVAUXTUXODUYAUXOUXRUXSXGXHUWGAVUPVUNAVUPVUNVAVAUWGAUW
        IVUPVULAUWIVUPVULVAZAUWIUSZGUYAUBZVUQUWIVUSAUWHUYAGBXIXJVKUXOVULDGUYAUX
        MGVPZUXNUXCUWNUXMGFVQZVRZWDWEXKXLXMXNWEXOWKVULUXCUIUBZUXCVDUBZUWJVUMVAU
        XCUIUWMXCZUXCXDZVVDUXCXEUBZUWJVUMUXCXFAUWGVVGVUMVAZUWIAUWGVVHAIUCUCXPZX
        QUHUBIVDUBZUWGVVHVAZLVVIIXRVVJIXEUBZVVKIXFVVLUWGVVHUWGVVLJXEUBZVVHUWGJJ
        XSYFZVVLVVMUSZVVGVUKVUFVVOVVGVUKUSZUSZUXGVUAUYQVVQUXGJUNUXCUMUEZURUPZVU
        AUYQVAVVQJUXCUNVVLVVMVVPXTZVVOVVGVUKYAZUNXEUBZVVQYBXMZYCVVQVVSVUAUYQVVQ
        VVSVUAUSZUSZUYNVVRUWLUGUEZIVWEJUWLVVLVVMVVPVWDYDVVOVVGVUKVWDUUAZYEVWEVV
        RUWLVWEUNUXCVWBVWEYBXMVVOVVGVUKVWDUUBYGVWGYEVVLVVMVVPVWDUUCVVQVVSUYNVWF
        URUPZVUAVVQVVSVWHVVQJVVRUWLVVTVVQUNUXCVWCVWAYGVVOVVGVUKUUFUUDUUGUUEVWEV
        WFIUOUPZUNUYTUMUEZIUOUPZVVQVWDVWKVVQVUAVWKVVSVVQVUAVWKVVQVWBUYTXEUBZVVL
        VUAVWKWPVWCVVPVWLVVOUXCUWLYHVKVVLVVMVVPUUHVWBVWLVVLUFVWKVUAUNUYTIUUIUUJ
        UUKUULUUMYPVVQVWIVWKWPVWDVVQVWFVWJIUOVVQUNUXCUWLUNWQUBVVQUUPXMVVQUXCVWA
        UUNVVPUWLWQUBZVVOVUKVWMVVGUWLUUOVKVKUUQWAWMUURUUSYIVMXLYIUUTXKWEYJYPYKW
        FYJXOWFYJYLVMUVAXLYPYKYLVNVKYLUVBUYMUNUYNCUOUYMUNUYTUYNVWBUYMYBXMUYMUXC
        UWLUWJVVGUXBUXHAUWIVVGUWGAUWIVVGAUWIUYBVVGPAUWIUYBVVGVAVURUYBVULUXEUXCU
        GUEZUWSUOUPZUNVWNUOUPZUFZVVGVURVUSUYBVWQVAAUWHUYAGUCVCXQUHUBZUWHUYAVHZA
        YMUCVCBUVFZYQYNZUXTVWQDGUYAVUTUXOVULUXRVWOUXSVWPVVBVUTUXQVWNUWSUOVUTUXP
        UXEUXNUXCUGUXMGUCFUMVSVVAVTZWAVUTUXQVWNUNUOVXBWBWCWDWEVULVWOVVGVWPVULVV
        CVVGVVEVVCUXCVVFYFWEWJUVCXKUVDYPYOYRZUXBVUKUWJUXHUWOUWTVUKUXAUWOVUGVUKV
        UIVUGUWLVUJYFWEWJZUVEZYEUYLUYNXEUBZUXHUWJVVMVUKVXFUXBUWGAVVMUWIVVNUVGZV
        XDJUWLYHUVHWMUYLUNUYTUOUPZUXHUXBUWJVXHUXAUWOUWJVXHVAUWTUWJUXAVXHUWJUWRU
        YTUNUOUWJUWQUXCUWLUGUWJUWPGFUWIAVUCUWGUWIVUBVUCVUDVUEWEWSXAXBWBUVIWSYLW
        MUYMUXCJUWLVXCUWJVVMUXBUXHVXGYRVXEUYLUXHUXCJURUPZUWJUXHVXIVAUXBUWJUXFVX
        IUXGUWJUXFJYSUBZVXIJUXEUOUPZUFZVXIUWJUXCYSUBZUXEYSUBZUSZUXFVXLWPAUWIVXO
        UWGVURVXMVXNVURFGBABUVJUBZUWIABUVKXQUHUBZVXPNBUVLWEWMZAFBUVMUHUBUWIOWMZ
        AUWHVCBUVNUEZGAVXQUWHVXTVHNVXQUWHUYAVXTVWRVWSVXQYMVWTYQVCBUVOUVPWEYNYTV
        URFUXDBVXRVXSVURVUSUXDVXTUBVXAVCBGUVQWEYTUVRYOUXCUXEJUVSWEVXJVXIVXKWHUV
        TUWAWMYPUWBUWCTUWDUWEXKUWF $.
    $}

    bgoldbtbnd.r $e |- ( ph -> ( F ` D ) e. RR ) $.
    ${
      bgoldbtbndlem3.s $e |- S = ( X - ( F ` I ) ) $.
      $( Lemma 3 for ~ bgoldbtbnd .  (Contributed by AV, 1-Aug-2020.) $)
      bgoldbtbndlem3 $p |- ( ( ph /\ X e. Odd /\ I e. ( 1 ..^ D ) )
                             -> ( ( X e. ( ( F ` I ) [,) ( F ` ( I + 1 ) ) )
                                    /\ 4 < S )
                             -> ( S e. Even /\ S < N /\ 4 < S ) ) ) $=
        ( codd wcel c1 cfzo co w3a cfv cprime c2 csn cdif caddc cmin c4 clt wbr
        cico wa ceven wi cc0 cv wral fzo0ss1 sseli fveq2 eleq1d fvoveq1 oveq12d
        wceq breq1d breq2d 3anbi123d rspcv syl2imc a1d 3imp oddprmALTV 3ad2ant1
        simp2 anim12i adantr omoeALTV syl eqeltrid eldifi prmz zred cfz fzofzp1
        cr wo cun cuz cz elfzo2 cle eluz2 zre leltletr syl3an exp5o com34 sylbi
        1zzd syl3anbrc fzisfzounsn eleq2d bitrdi cn c3 eluzge3nn ad2antrl ciccp
        elun simplr iccpartipre exp31 elsni wb mpbird a1i jaod sylbid mpd com12
        3impia cdc cxr rexr simprr resubcld 4re lttr syl3anc exp32 3adant3 imp
        ex eluzelre oddz anim12ci adantl simpllr simplrl simplrr simpr ltsub1dd
        elico1 simplll mpand impr 4pos simpl mpbii simpll mp2and 3ad2ant3 com23
        ltsubposd syl2an com13 3syl impcom adantrr eqbrtrid 3jca mpdan ) AJUBUC
        ZGUDBUEUFZUCZUGZGFUHZUIUJUKZULZUCZGUDUMUFZFUHZUVNUNUFZIUOUNUFZUPUQZUOUV
        TUPUQZUGZJUVNUVSURUFUCZUOCUPUQZUSZCUTUCZCIUPUQZUWFUGZVAAUVJUVLUWDAUVLUW
        DVAUVJUVLGVBBUEUFZUCADVCZFUHZUVPUCZUWLUDUMUFFUHZUWMUNUFZUWAUPUQZUOUWPUP
        UQZUGZDUWKVDUWDUVKUWKGBVEVFPUWSUWDDGUWKUWLGVKZUWNUVQUWQUWBUWRUWCUWTUWMU
        VNUVPUWLGFVGZVHUWTUWPUVTUWAUPUWTUWOUVSUWMUVNUNUWLGUDFUMVIUXAVJZVLUWTUWP
        UVTUOUPUXBVMVNVOVPVQVRUVMUWDUSZUWGUWJUXCUWGUSZUWHUWIUWFUXDCJUVNUNUFZUTU
        AUXDUVJUVNUBUCZUSZUXEUTUCUXCUXGUWGUVMUVJUWDUXFAUVJUVLWAUVQUWBUXFUWCUVNV
        SVTWBWCJUVNWDWEWFUXDCUXEIUPUAUXCUWEUXEIUPUQZUWFUXCUWEUXHUWDUVMUWEUXHVAZ
        UVQUWBUVMUXIVAZUWCUVQUWBUXJUVQUVNUIUCZUVNWLUCZUWBUXJVAUVNUIUVOWGUXKUVNU
        VNWHWIUVMUWBUXLUXIUVMUVSWLUCZUWBUXLUXIVAVAZAUVJUVLUXMUVLAUVJUSZUXMUVLUV
        RUDBWJUFZUCZUXOUXMVAZUDBGWKUVLUXQUVRUVKUCZUVRBUKZUCZWMZUXRUVLUXQUVRUVKU
        XTWNZUCUYBUVLUXPUYCUVRUVLBUDWOUHZUCZUXPUYCVKUVLGUYDUCZBWPUCZGBUPUQZUGZU
        YEGUDBWQUYIUDWPUCZUYGUDBWRUQZUYEUYIXFUYFUYGUYHWAUYFUYGUYHUYKUYFUYJGWPUC
        ZUDGWRUQZUGUYGUYHUYKVAZVAZUDGWSUYJUYLUYMUYOUYJUYLUYGUYMUYNUYJUYLUYGUYMU
        YHUYKUYJUDWLUCUYLGWLUCUYGBWLUCUYMUYHUSUYKVAUDWTGWTBWTUDGBXAXBXCXDVRXEVR
        UDBWSXGXEUDBXHWEXIUVRUVKUXTXPXJUVLUXSUXRUYAUVLUXSUXOUXMUVLUXSUSZUXOUSFU
        VRBABXKUCZUYPUVJABXLWOUHUCUYQNBXMWEXNAFBXOUHUCUYPUVJOXNUVLUXSUXOXQXRXSU
        YAUXRVAUVLUYAUVRBVKZUXRUVRBXTUYRUXOUXMUYRUXOUSUXMBFUHZWLUCZAUYTUYRUVJTX
        NUYRUXMUYTYAUXOUYRUVSUYSWLUVRBFVGVHWCYBYTWEYCYDYEYFYGYHAUVJUXMUXNVAZUVL
        AIWLUCZJWLUCZVUAUVJAIUDUDYIZWOUHUCVUBLVUDIUUAWEUVJJJUUBWIVUBVUCUSZUXMUX
        LUWBUXIVUEUXMUXLUWBUXIVAVUEUXMUXLUSZUSZUWEUWBUXHVUGUWEJYJUCZUVNJWRUQZJU
        VSUPUQZUGZUWBUXHVAZVUGUVNYJUCZUVSYJUCZUSZUWEVUKYAVUFVUOVUEUXMVUNUXLVUMU
        VSYKUVNYKUUCUUDUVNUVSJUUJWEVUKVUGVULVUJVUHVUGVULVAVUIVUGVUJVULVUGVUJUWB
        UXHVUGVUJUWBUSZUSUXEUWAUPUQZUWAIUPUQZUXHVUGVUJUWBVUQVUGVUJUSZUXEUVTUPUQ
        ZUWBVUQVUSJUVSUVNVUBVUCVUFVUJUUEVUEUXMUXLVUJUUFZVUEUXMUXLVUJUUGZVUGVUJU
        UHUUIVUSUXEWLUCZUVTWLUCUWAWLUCZVUTUWBUSVUQVAVUGVVCVUJVUGJUVNVUBVUCVUFXQ
        VUEUXMUXLYLYMZWCVUSUVSUVNVVAVVBYMVUSIUOVUBVUCVUFVUJUUKUOWLUCZVUSYNYCYMU
        XEUVTUWAYOYPUULUUMVUGVURVUPVUEVURVUFVUEVBUOUPUQVURUUNVUEUOIVVFVUEYNYCVU
        BVUCUUOUVAUUPWCWCVUGVUQVURUSUXHVAZVUPVUGVVCVVDVUBVVGVVEVUGIUOVUBVUCVUFU
        UQZVVFVUGYNYCYMVVHUXEUWAIYOYPWCUURYQYGUUSYGYEUUTYQXDUVBYRYFUVCUVDYSYRUV
        EYSUVFUVGUXCUWEUWFYLUVHYTUVI $.
    $}

    $d D p q r $.  $d F m p q r $.  $d I m p q r $.  $d N m n $.
    $d X m p q r $.  $d ph p q r $.
    $( Lemma 4 for ~ bgoldbtbnd .  (Contributed by AV, 1-Aug-2020.) $)
    bgoldbtbndlem4 $p |- ( ( ( ph /\ I e. ( 1 ..^ D ) ) /\ X e. Odd )
                           -> ( ( X e. ( ( F ` I ) [,) ( F ` ( I + 1 ) ) )
                                  /\ ( X - ( F ` I ) ) <_ 4 )
                                -> E. p e. Prime E. q e. Prime E. r e. Prime
                                   ( ( p e. Odd /\ q e. Odd /\ r e. Odd )
                                     /\ X = ( ( p + q ) + r ) ) ) ) $=
      ( vm c1 cfzo co wcel wa codd cfv caddc cico cmin c4 cle wbr ceven clt w3a
      cv wceq cprime wrex wi simpll simpr eqid bgoldbtbndlem2 syl3anc cgbe wral
      simplr breq2 breq1 anbi12d eleq1 imbi12d cbvralvw rspcv syl5bi isgbe cdif
      id c2 csn cc0 simp1 ralimi cn0 cn c3 cuz nnm1nn0 3ad2ant1 sylbi eluzge3nn
      elfzo1 a1i a1d cz elfzo2 cr eluzelre adantr 1red resubcld zre adantl lttr
      ltm1d mpand 3impia 3jcad syl imp elfzo0 sylibr fveq2 eleq1d eldifi expcom
      syl6 com13 mpcom ad2antrr wb 3anbi3d eqeq2d oddprmALTV ad3antrrr anim12ci
      oveq2 3simpa df-3an cc oddz zcnd com23 reximdva syld prmz oveq1 sylan9req
      npcand exp31 impcom jca rspcedvd ex exp41 com25 syl6com ancoms 3impib mpd
      com15 imp31 ) AFUDBUEUFUGZUHZIUIUGZUHZIFEUJZFUDUKUFEUJULUFUGIUVBUMUFUNUOU
      PUHZIFUDUMUFZEUJZUMUFZUQUGZUVFHURUPZUNUVFURUPZUSZLUTZUIUGZKUTZUIUGZJUTZUI
      UGZUSZIUVKUVMUKUFZUVOUKUFZVAZUHZJVBVCZKVBVCZLVBVCZUVAAUUTUURUVCUVJVDAUURU
      UTVEUUSUUTVFAUURUUTVLABUVFCDEFGHIMNOPQRSTUAUVFVGVHVIAUURUUTUVJUWDVDZAUNDU
      TZURUPZUWFHURUPZUHZUWFVJUGZVDZDUQVKZUURUUTUWEVDVDOUVJUWLUURUUTAUWDUVGUVHU
      VIUWLUURUUTAUWDVDVDVDZVDUVGUWLUVHUVIUHZUWMUVGUWLUVIUVHUHZUVFVJUGZVDZUWNUW
      MVDUWLUNUCUTZURUPZUWRHURUPZUHZUWRVJUGZVDZUCUQVKUVGUWQUWKUXCDUCUQUWFUWRVAZ
      UWIUXAUWJUXBUXDUWGUWSUWHUWTUWFUWRUNURVMUWFUWRHURVNVOUWFUWRVJVPVQVRUXCUWQU
      CUVFUQUWRUVFVAZUXAUWOUXBUWPUXEUWSUVIUWTUVHUWRUVFUNURVMUWRUVFHURVNVOUWRUVF
      VJVPVQVSVTUWNUWQUVGUWMUVIUVHUWQUVGUWMVDZVDUWQUWOUWPUXFUWQWCUWPUWMUVGUWPUV
      GUVLUVNUVFUVRVAZUSZKVBVCZLVBVCZUHUWMUVFKLWAUVGUXJUWMUVGAUURUUTUXJUWDUVGAU
      URUUTUXJUWDVDUVGAUHZUURUHZUUTUHZUXIUWCLVBUXMUVKVBUGZUHZUXHUWBKVBUXOUVMVBU
      GZUHZUXHUWBUXQUXHUHZUWAUVLUVNUVEUIUGZUSZIUVRUVEUKUFZVAZUHZJUVEVBUXOUVEVBU
      GZUXPUXHUXLUYDUUTUXNUXKUURUYDAUURUYDVDZUVGCUTZEUJZVBWDWEZWBZUGZUYFUDUKUFE
      UJUYGUMUFZHUNUMUFURUPZUNUYKURUPZUSZCWFBUEUFZVKZAUYERUYPUYJCUYOVKZAUYEVDUY
      NUYJCUYOUYJUYLUYMWGWHZUURAUYQUYDAUURUYQUYDVDUUSUYQUVEUYIUGZUYDUUSUVDUYOUG
      ZUYQUYSVDUUSUVDWIUGZBWJUGZUVDBURUPZUSZUYTAUURVUDABWKWLUJUGZUURVUDVDPVUEUU
      RVUAVUBVUCUURVUAVDVUEUURFWJUGZVUBFBURUPZUSVUABFWQVUFVUBVUAVUGFWMWNWOWRVUE
      VUBUURBWPWSUURVUCVDVUEUURFUDWLUJUGZBWTUGZVUGUSVUCFUDBXAVUHVUIVUGVUCVUHVUI
      UHZUVDFURUPZVUGVUCVUJFVUHFXBUGZVUIUDFXCXDZXJVUJUVDXBUGVULBXBUGZVUKVUGUHVU
      CVDVUJFUDVUMVUJXEXFVUMVUIVUNVUHBXGXHUVDFBXIVIXKXLWOWRXMXNXOUVDBXPXQUYJUYS
      CUVDUYOUYFUVDVAUYGUVEUYIUYFUVDEXRXSVSXNZUVEVBUYHXTZYBYAYCXNYDXHXOYEYEUVOU
      VEVAZUWAUYCYFUXRVUQUVQUXTUVTUYBVUQUVPUXSUVLUVNUVOUVEUIVPYGVUQUVSUYAIUVOUV
      EUVRUKYLYHVOXHUXRUXTUYBUXRUVLUVNUHZUXSUHUXTUXQUXSUXHVURUXLUXSUUTUXNUXPUXK
      UURUXSAUURUXSVDZUVGUYPAVUSRUYPUYQAVUSVDUYRUURAUYQUXSAUURUYQUXSVDUUSUYQUYS
      UXSVUOUVEYIYBYAYCXNYDXHXOYJUVLUVNUXGYMYKUVLUVNUXSYNXQUXHUXQUYBUVLUVNUXGUX
      QUYBVDVURUXQUXGUYBVURUXQUXGUYBVURUXQUHZUXGIUVFUVEUKUFUYAVUTIUVEUXQIYOUGZV
      URUXMVVAUXNUXPUUTVVAUXLUUTIIYPYQXHYEXHUXQUVEYOUGZVURUXLVVBUUTUXNUXPUXKUUR
      VVBAUURVVBVDZUVGUYPAVVCRUYPUYQAVVCVDUYRUURAUYQVVBAUURUYQVVBVDUUSUYQUYSVVB
      VUOUYSUYDVVBVUPUYDUVEUVEUUAYQXNYBYAYCXNYDXHXOYJXHUUDUVFUVRUVEUKUUBUUCUUEY
      RXLUUFUUGUUHUUIYSYSUUJUUKXOWOWSUULUUMYCYTYRUUNUUPUUOUUQYT $.

    $d D f i j $.  $d F f i j m $.  $d M j p q r $.  $d N i m n $.
    $d N p q r $.  $d ph j n p q r $.  $d f j n $.
    $( If the binary Goldbach conjecture is valid up to an integer ` N ` , and
       there is a series ("ladder") of primes with a difference of at most
       ` N ` up to an integer ` M ` , then the strong ternary Goldbach
       conjecture is valid up to ` M ` , see section 1.2.2 in [Helfgott] p. 4
       with N = 4 x 10^18, taken from [OeSilva], and M = 8.875 x 10^30.
       (Contributed by AV, 1-Aug-2020.) $)
    bgoldbtbnd $p |- ( ph -> A. n e. Odd ( ( 7 < n /\ n < M )
                                           -> n e. GoldbachOdd ) ) $=
      ( wa wcel wi vp vq vr vf vj vm c7 clt wbr cgbo codd w3a caddc wceq cprime
      cv co wrex simprl cc0 cfv cico c1 cfzo ciccp wral cn c3 cuz eluzge3nn syl
      iccelpart fveq1 oveq12d eleq2d rexbidv imbi12d cxr cle oddz zred ad2antrl
      rspcv rexrd cr 7re ltle sylancr adantr impcom adantl cdc eluzelre simprrr
      com12 xrlttrd wb oveq1d rexri elico1 bitrd mpbir3and csn fzo0sn0fzo1 elun
      wo cun bitrdi velsn fveq2 fv0p1e1 sylan9eq simprrl bgoldbtbndlem1 syl3anc
      simpr isgbo ex sylbi cmin c4 expcomd ceven cgbe breq2 breq1 anbi12d eleq1
      sylbid 3ad2ant1 sylibr cc zcnd ad2antlr com23 jca reximdva imp syld mpd
      sylib simprd c2 cdif fzo0ss1 sseli eleq1d fvoveq1 breq1d breq2d 3anbi123d
      mpan9 bgoldbtbndlem4 ad2ant2r simplll eqid bgoldbtbndlem3 cbvralvw syl5bi
      simpllr pm3.35 isgbe eldifi ad5antlr 3anbi3d oveq2 eqeq2d ad4antlr 3simpa
      oddprmALTV anim12ci df-3an prmz npcand oveq1 sylan9req exp31 3impia exp41
      rspcedvd com25 a1d ancoms com13 3impib impl resubcld 4re lelttric sylancl
      com15 mpjaod mpdan expcom impd jaoi rexlimdv embantd exp32 ralrimiv ) AUG
      DUPZUHUIZUXAFUHUIZRZUXAUJSZTDUKAUXAUKSZUXDUXEAUXFUXDRZRZUXFUAUPZUKSZUBUPZ
      UKSZUCUPZUKSZULZUXAUXIUXKUMUQZUXMUMUQZUNZRZUCUOURZUBUOURZUAUOURZRZUXEUXHU
      XFUYBAUXFUXDUSZAUXGUYBAUXAUTUDUPZVAZBUYEVAZVBUQZSZUXAUEUPZUYEVAZUYJVCUMUQ
      ZUYEVAZVBUQZSZUEUTBVDUQZURZTZUDBVEVAZVFZUXGUYBTZABVGSZUYTABVHVIVASVUBKBVJ
      VKZUEBUXAUDVLVKAUYTUXAUTEVAZBEVAZVBUQZSZUXAUYJEVAZUYLEVAZVBUQZSZUEUYPURZT
      ZVUAAEUYSSUYTVUMTLUYRVUMUDEUYSUYEEUNZUYIVUGUYQVULVUNUYHVUFUXAVUNUYFVUDUYG
      VUEVBUTUYEEVMBUYEEVMVNVOVUNUYOVUKUEUYPVUNUYNVUJUXAVUNUYKVUHUYMVUIVBUYJUYE
      EVMUYLUYEEVMVNVOVPVQWCVKAUXGVUMUYBAUXGVUMUYBTUXHVUGVULUYBUXHVUGUXAVRSZUGU
      XAVSUIZUXAVUEUHUIZUXFVUOAUXDUXFUXAUXFUXAUXAVTZWAZWDWBZUXGVUPAUXDUXFVUPUXB
      UXFVUPTUXCUXFUXBVUPUXFUGWESUXAWESZUXBVUPTWFVUSUGUXAWGWHWOWIWJWKUXHUXAFVUE
      VUTAFVRSZUXGAFVCVCWLZVIVASZVVBHVVDFVVCFWMWDVKWIAVUEVRSZUXGAVUEQWDWIZAUXFU
      XBUXCWNAFVUEUHUIUXGPWIWPUXHVUGUXAUGVUEVBUQZSZVUOVUPVUQULZAVUGVVHWQUXGAVUF
      VVGUXAAVUDUGVUEVBNWRVOWIUXHUGVRSVVEVVHVVIWQUGWFWSVVFUGVUEUXAWTWHXAXBUXHVU
      KUYBUEUYPUXHUYJUYPSZUYJUTXCZSZUYJVCBVDUQZSZXFZVUKUYBTZAVVJVVOWQZUXGAVUBVV
      QVUCVUBVVJUYJVVKVVMXGZSVVOVUBUYPVVRUYJBXDVOUYJVVKVVMXEXHVKWIVVOUXHVVPVVLU
      XHVVPTZVVNVVLUYJUTUNZVVSUEUTXIVVTUXHVVPVVTUXHRZVUKUXAUGVCVHWLZVBUQZSZUYBV
      WAVUJVWCUXAVVTUXHVUJVUDVCEVAZVBUQZVWCVVTVUHVUDVUIVWEVBUYJUTEXJEUYJXKVNAVW
      FVWCUNUXGAVUDUGVWEVWBVBNOVNWIXLVOUXHVWDUYBTVVTUXHVWDUYBUXHVWDRZUXFUYBVWGU
      XEUYCVWGUXFUXBVWDUXEUXHUXFVWDUYDWIUXHUXBVWDAUXFUXBUXCXMWIUXHVWDXPUXAXNXOU
      XAUCUBUAXQZUUAUUBXRWKYIXRXSVVNAUXGVVPAVVNUXGVVPTZAVVNRZVUHUOUUCXCZUUDZSZV
      UIVUHXTUQZGYAXTUQZUHUIZYAVWNUHUIZULZVWIACUPZEVAZVWLSZVWSVCUMUQEVAZVWTXTUQ
      ZVWOUHUIZYAVXCUHUIZULZCUYPVFZVVNVWRMVVNVVJVXGVWRTVVMUYPUYJBUUEUUFVXFVWRCU
      YJUYPVWSUYJUNZVXAVWMVXDVWPVXEVWQVXHVWTVUHVWLVWSUYJEXJZUUGVXHVXCVWNVWOUHVX
      HVXBVUIVWTVUHXTVWSUYJVCEUMUUHVXIVNZUUIVXHVXCVWNYAUHVXJUUJUUKWCVKUULVWJVWR
      RZUXGVVPVXKUXGRZUXAVUHXTUQZYAVSUIZVVPYAVXMUHUIZVXLVUKVXNUYBVWJUXFVUKVXNRU
      YBTVWRUXDABCDEUYJFGUXAUCUBUAHIJKLMNOPQUUMUUNYBVXLVUKVXOUYBVXLVUKVXORZVXMY
      CSZVXMGUHUIZVXOULZUYBVXLAUXFVVNVXPVXSTAVVNVWRUXGUUOVXKUXFUXDUSAVVNVWRUXGU
      UTABVXMCDEUYJFGUXAHIJKLMNOPQVXMUUPUUQXOVXKUXGVXSUYBTZAVVNVWRUXGVXTTZAYAUX
      AUHUIZUXAGUHUIZRZUXAYDSZTZDYCVFZVVNVWRRZVYATJVXSVYGVYHUXGAUYBVXQVXRVXOVYG
      VYHUXGAUYBTTTZTVXQVYGVXRVXORZVYIVXQVYGVXOVXRRZVXMYDSZTZVYJVYITVYGYAUFUPZU
      HUIZVYNGUHUIZRZVYNYDSZTZUFYCVFVXQVYMVYFVYSDUFYCUXAVYNUNZVYDVYQVYEVYRVYTVY
      BVYOVYCVYPUXAVYNYAUHYEUXAVYNGUHYFYGUXAVYNYDYHVQUURVYSVYMUFVXMYCVYNVXMUNZV
      YQVYKVYRVYLWUAVYOVXOVYPVXRVYNVXMYAUHYEVYNVXMGUHYFYGVYNVXMYDYHVQWCUUSVYJVY
      MVXQVYIVXOVXRVYMVXQVYITZTVYKVYMWUBVYKVYMRVYLWUBVYKVYLUVAVYLVYIVXQVYLVXQUX
      JUXLVXMUXPUNZULZUBUOURZUAUOURZRVYIVXMUBUAUVBVXQWUFVYIVXQAVYHUXGWUFUYBVXQA
      VYHUXGWUFUYBTVXQARZVYHRZUXGRZWUEUYAUAUOWUIUXIUOSZRZWUDUXTUBUOWUKUXKUOSZRZ
      WUDUXTWUMWUDRZUXSUXJUXLVUHUKSZULZUXAUXPVUHUMUQZUNZRZUCVUHUOVYHVUHUOSZWUGU
      XGWUJWULWUDVWRWUTVVNVWMVWPWUTVWQVUHUOVWKUVCZYJWKUVDUXMVUHUNZUXSWUSWQWUNWV
      BUXOWUPUXRWURWVBUXNWUOUXJUXLUXMVUHUKYHUVEWVBUXQWUQUXAUXMVUHUXPUMUVFUVGYGW
      KWUNWUPWURWUNUXJUXLRZWUORWUPWUMWUOWUDWVCVYHWUOWUGUXGWUJWULVWRWUOVVNVWMVWP
      WUOVWQVUHUVJYJWKUVHUXJUXLWUCUVIUVKUXJUXLWUOUVLYKWUDWUMWURUXJUXLWUCWUMWURT
      WVCWUMWUCWURWVCWUMWUCWURWVCWUMRWUCUXAVXMVUHUMUQZWUQWUKWVDUXAUNZWVCWULWUIW
      VEWUJWUIUXAVUHUXFUXAYLSWUHUXDUXFUXAVURYMWBVYHVUHYLSZWUGUXGVWRWVFVVNVWMVWP
      WVFVWQVWMWUTWVFWVAWUTVUHVUHUVMZYMVKYJWKYNUVNWIWBVXMUXPVUHUMUVOUVPUVQYOUVR
      WJYPUVTXRYQYQUVSUWAYRXSUWBVKXRUWCUWDYSYOUWEUWKYTUWFYRYSYBVXLVXMWESYAWESVX
      NVXOXFVXLUXAVUHUXFVVAVXKUXDVUSWBVWRVUHWESZVWJUXGVWMVWPWVHVWQVWMWUTWVHWVAW
      UTVUHWVGWAVKYJYNUWGUWHVXMYAUWIUWJUWLXRUWMUWNUWOUWPWOYIUWQUWRXRYOYSYTYRYPV
      WHYKUWSUWT $.
  $}

  $(
      The following theorems are not proven or are based on not proven
      theorems, provided as "axioms" temporarily.
  $)

  $( The binary Goldbach conjecture is valid for all even numbers less than or
     equal to 4x10^18, see section 2 in [OeSilva] p. 2042.  Temporarily
     provided as "axiom".  (Contributed by AV, 3-Aug-2020.)  (Revised by AV,
     9-Sep-2021.) $)
  ax-bgbltosilva $a |- ( ( N e. Even /\ 4 < N
                           /\ N <_ ( 4 x. ( ; 1 0 ^ ; 1 8 ) ) )
                        -> N e. GoldbachEven ) $.

  ${
    $d G m $.  $d O m p q r z $.  $d m n p q r z $.
    ax-tgoldbachgt.o $e |- O = { z e. ZZ | -. 2 || z } $.
    ax-tgoldbachgt.g $e |- G = { z e. O | E. p e. Prime E. q e. Prime
                           E. r e. Prime ( ( p e. O /\ q e. O /\ r e. O )
                                           /\ z = ( ( p + q ) + r ) ) } $.
    $( Temporary duplicate of ~ tgoldbachgt , provided as "axiom" as long as
       this theorem is in the mathbox of Thierry Arnoux:  Odd integers greater
       than ` ( ; 1 0 ^ ; 2 7 ) ` have at least a representation as a sum of
       three odd primes.  Final statement in section 7.4 of [Helfgott] p. 70 ,
       expressed using the set ` G ` of odd numbers which can be written as a
       sum of three odd primes.  (Contributed by Thierry Arnoux,
       22-Dec-2021.) $)
    ax-tgoldbachgt $a |- E. m e. NN ( m <_ ( ; 1 0 ^ ; 2 7 )
                          /\ A. n e. O ( m < n -> n e. G ) ) $.
  $}

  ${
    $d m n z p q r $.
    $( Variant of Thierry Arnoux's ~ tgoldbachgt using the symbols ` Odd ` and
       ` GoldbachOdd ` :  The ternary Goldbach conjecture is valid for large
       odd numbers (i.e. for all odd numbers greater than a fixed ` m ` ).
       This is proven by Helfgott (see section 7.4 in [Helfgott] p. 70) for
       ` m ` = 10^27.  (Contributed by AV, 2-Aug-2020.)  (Revised by AV,
       15-Jan-2022.) $)
    tgoldbachgtALTV $p |- E. m e. NN ( m <_ ( ; 1 0 ^ ; 2 7 )
                          /\ A. n e. Odd ( m < n -> n e. GoldbachOdd ) ) $=
      ( vz vr vq vp cgbo codd dfodd3 df-gbo ax-tgoldbachgt ) CABGHDEFCICDEFJK
      $.
  $}

  ${
    $d m n $.
    $( The binary Goldbach conjecture is valid for small even numbers (i.e. for
       all even numbers less than or equal to a fixed big ` m ` ).  This is
       verified for m = 4 x 10^18 by Oliveira e Silva, see ~ ax-bgbltosilva .
       (Contributed by AV, 3-Aug-2020.)  (Revised by AV, 9-Sep-2021.) $)
    bgoldbachlt $p |- E. m e. NN ( ( 4 x. ( ; 1 0 ^ ; 1 8 ) ) <_ m
                                     /\ A. n e. Even ( ( 4 < n /\ n < m )
                                                -> n e. GoldbachEven ) ) $=
      ( c4 c1 cc0 cdc c8 co cn wcel cv cle wbr clt wa wi ceven wral breq2 cr id
      cexp cmul cgbe wrex 4nn cn0 10nn 1nn0 8nn0 deccl nnexpcl nnmulcli wceq wb
      mp2an anbi2d imbi1d ralbidv anbi12d adantl nnre leidd simplr simprl evenz
      zred ltle syl2anr a1d imp32 ax-bgbltosilva syl3anc ralrimiva jca rspcedvd
      ex ax-mp ) CDEFZDGFZUBHZUCHZIJZWBAKZLMZCBKZNMZWFWDNMZOZWFUDJZPZBQRZOZAIUE
      CWAUFVSIJVTUGJWAIJUHDGUIUJUKVSVTULUPUMWCWMWBWBLMZWGWFWBNMZOZWJPZBQRZOZAWB
      IWCUAWDWBUNZWMWSUOWCWTWEWNWLWRWDWBWBLSWTWKWQBQWTWIWPWJWTWHWOWGWDWBWFNSUQU
      RUSUTVAWCWNWRWCWBWBVBZVCWCWQBQWCWFQJZOZWPWJXCWPOXBWGWFWBLMZWJWCXBWPVDXCWG
      WOVEXCWGWOXDXCWOXDPZWGXBWFTJWBTJXEWCXBWFWFVFVGXAWFWBVHVIVJVKWFVLVMVQVNVOV
      PVR $.

    $( There is a partition ("ladder") of primes from 7 to 8.8 x 10^30 with
       parts ("rungs") having lengths of at least 4 and at most N - 4, see
       section 1.2.2 in [Helfgott] p. 4.  Temporarily provided as "axiom".
       (Contributed by AV, 3-Aug-2020.)  (Revised by AV, 9-Sep-2021.) $)
    ax-hgprmladder $a |- E. d e. ( ZZ>= ` 3 ) E. f e. ( RePart ` d )
                     ( ( ( f ` 0 ) = 7 /\ ( f ` 1 ) = ; 1 3
                         /\ ( f ` d ) = ( ; 8 9 x. ( ; 1 0 ^ ; 2 9 ) ) )
                       /\ A. i e. ( 0 ..^ d )
                          ( ( f ` i ) e. ( Prime \ { 2 } )
                            /\ ( ( f ` ( i + 1 ) ) - ( f ` i ) )
                               < ( ( 4 x. ( ; 1 0 ^ ; 1 8 ) ) - 4 )
                            /\ 4 < ( ( f ` ( i + 1 ) ) - ( f ` i ) ) ) ) $.

    $d N d f i n $.
    $( The ternary Goldbach conjecture is valid for all odd numbers less than
       8.8 x 10^30 (actually 8.875694 x 10^30, see section 1.2.2 in [Helfgott]
       p. 4, using ~ bgoldbachlt , ~ ax-hgprmladder and ~ bgoldbtbnd .
       (Contributed by AV, 4-Aug-2020.)  (Revised by AV, 9-Sep-2021.) $)
    tgblthelfgott $p |- ( ( N e. Odd /\ 7 < N
                             /\ N < ( ; 8 8 x. ( ; 1 0 ^ ; 2 9 ) ) )
                           -> N e. GoldbachOdd ) $=
      ( cc0 cfv c1 cdc c8 co wcel c4 clt wbr wa wi cz cle mp2an cr nnrei pm3.2i
      nnzi vf vd vi vn cv c7 wceq c3 c9 c2 cexp cmul w3a cprime cdif caddc cmin
      csn cfzo wral wrex cuz codd cgbo ax-hgprmladder 1nn0 1nn decnncl 8nn0 8nn
      ciccp cn0 10nn 2nn0 9nn nnnn0i nnexpcl nnmulcli 1re 0le1 1lt10 declti 0re
      cn 10re 10pos ltleii cc nncni exp1 ax-mp breqtrri 1z 3pm3.2i 9nn0 ltexp2a
      2nn ltmul12a mp4an wb zmulcl zltp1le 1t10e1p1e11 eqcomi breq1i bitri mpbi
      eluz2 mpbir3an a1i 4nn 1lt4 4z cgbe ceven simpl simprl evenz zred sylancl
      4re ltle imp32 ax-bgbltosilva syl3anc ex ralrimiv ad2antrr simpr ad2antlr
      a1d simpl1 simpl2 nngt0i 8lt9 breq2 mpbiri 3ad2ant3 adantr eleq1 ltmul1a
      declt bgoldbtbnd exp31 rexlimivv breq1 anbi12d imbi12d rspcv com23 3impib
      sylcom ) BUAUEZCUFUGZDUUMCDUHEUGZUBUEZUUMCZFUIEZDBEZUJUIEZUKGZULGZUGZUMZU
      CUEZUUMCZUNUJURUOHUVEDUPGUUMCUVFUQGZIUUSDFEZUKGZULGZIUQGJKIUVGJKUMUCBUUPU
      SGUTZLZUAUUPVKCZVAUBUHVBCZVAZAVCHZUFAJKZAFFEZUVAULGZJKZUMZAVDHZMUAUCUBVEU
      VOUWAUFUDUEZJKZUWCUVSJKZLZUWCVDHZMZUDVCUTZUWBUVLUWAUWIMUBUAUVNUVMUUPUVNHZ
      UUMUVMHZLZUVLUWAUWIUWLUVLLUWALZUUPUCUDUUMUVSUVJUVSDDEZVBCZHZUWMUWPUWNNHZU
      VSNHZUWNUVSOKZUWNDDVFVGVHTZUVSUVRUVAFFVIVJVHZUUSWDHZUUTVLHUVAWDHVMUUTUJUI
      VNVOVHZVPUUSUUTVQPZVRTZDUUSDUKGZULGZUVSJKZUWSDQHZUVRQHZLBDOKZDUVRJKZLUXFQ
      HZUVAQHZLBUXFOKZUXFUVAJKZLUXHUXIUXJVSUVRUXARZSUXKUXLVTFFDVJVIVFWAWBSUXMUX
      NUXFUXBDVLHUXFWDHVMVFUUSDVQPZRZUVAUXDRZSUXOUXPBUUSUXFOBUUSWCWEWFWGUUSWHHU
      XFUUSUGUUSVMWIUUSWJWKWLZUUSQHZDNHZUUTNHZUMDUUSJKZDUUTJKZLUXPUYBUYCUYDWEWM
      UUTUXCTWNUYEUYFWAUJUIDWQWOVFWAWBSUUSDUUTWPPSDUVRUXFUVAWRWSUXHUXGDUPGZUVSO
      KZUWSUXGNHZUWRUXHUYHWTUYCUXFNHUYIWMUXFUXRTDUXFXAPZUXEUXGUVSXBPUYGUWNUVSOU
      WNUYGXCXDZXEXFXGUWNUVSXHXIXJUVJUWOHZUWMUYLUWQUVJNHZUWNUVJOKZUWTUVJIUVIXKU
      XBUVHVLHUVIWDHVMUVHDFVFVJVHZVPUUSUVHVQPZVRZTUXGUVJJKZUYNUXIIQHZLUXKDIJKZL
      UXMUVIQHZLUXOUXFUVIJKZLUYRUXIUYSVSYASUXKUYTVTXLSUXMVUAUXSUVIUYPRSUXOVUBUY
      AUYBUYCUVHNHZUMUYEDUVHJKZLVUBUYBUYCVUCWEWMUVHUYOTWNUYEVUDWADFDVGVIVFWAWBS
      UUSDUVHWPPSDIUXFUVIWRWSUYRUYGUVJOKZUYNUYIUYMUYRVUEWTUYJINHUVINHUYMXMUVIUY
      PTIUVIXAPUXGUVJXBPUYGUWNUVJOUYKXEXFXGUWNUVJXHXIXJUWMIUWCJKZUWCUVJJKZLZUWC
      XNHZMZUDXOUWCXOHZVUJMUWMVUKVUHVUIVUKVUHLVUKVUFUWCUVJOKZVUIVUKVUHXPVUKVUFV
      UGXQVUKVUFVUGVULVUKVUGVULMZVUFVUKUWCQHUVJQHVUMVUKUWCUWCXRXSUVJUYQRUWCUVJY
      BXTYKYCUWCYDYEYFXJYGUWLUWJUVLUWAUWJUWKXPYHUWLUWKUVLUWAUWJUWKYIYHUVLUVKUWL
      UWAUVDUVKYIYJUVLUUNUWLUWAUUNUUOUVCUVKYLYJUVLUUOUWLUWAUUNUUOUVCUVKYMYJUVLU
      VSUUQJKZUWLUWAUVDVUNUVKUVCUUNVUNUUOUVCVUNUVSUVBJKZUXJUURQHZUXNBUVAJKZLZUM
      UVRUURJKVUOUXJVUPVURUXQUURFUIVIVOVHZRUXNVUQUXTUVAUXDYNSWNFFUIVIVIVOYOUUBU
      VRUURUVAUUAPUUQUVBUVSJYPYQYRYSYJUVLUUQQHZUWLUWAUVDVUTUVKUVCUUNVUTUUOUVCVU
      TUVBQHUVBUURUVAVUSUXDVRRUUQUVBQYTYQYRYSYJUUCUUDUUEUVPUVQUVTUWIUWBMUVPUWIU
      VQUVTLZUWBUWHVVAUWBMUDAVCUWCAUGZUWFVVAUWGUWBVVBUWDUVQUWEUVTUWCAUFJYPUWCAU
      VSJUUFUUGUWCAVDYTUUHUUIUUJUUKUULWK $.

    $( The ternary Goldbach conjecture is valid for small odd numbers (i.e. for
       all odd numbers less than a fixed big ` m ` greater than 8 x 10^30).
       This is verified for m = 8.875694 x 10^30 by Helfgott, see
       ~ tgblthelfgott .  (Contributed by AV, 4-Aug-2020.)  (Revised by AV,
       9-Sep-2021.) $)
    tgoldbachlt $p |- E. m e. NN ( ( 8 x. ( ; 1 0 ^ ; 3 0 ) ) < m
                                     /\ A. n e. Odd ( ( 7 < n /\ n < m )
                                               -> n e. GoldbachOdd ) ) $=
      ( c8 cdc cc0 cexp co cmul cn wcel clt wbr wa codd 8nn 10nn nnmulcli caddc
      oveq1i nncni c1 c2 c9 c3 cv c7 cgbo wral wrex 8nn0 decnncl cn0 2nn0 deccl
      wi 9nn0 nnexpcl mp2an id wceq anbi2d imbi1d ralbidv anbi12d adantl simplr
      wb breq2 simprl simprr tgblthelfgott syl3anc ex ralrimiva nnrei 3nn0 0nn0
      nngt0i ltaddposi mpbi dfdec10 8cn adddiri mulcomi mulassi nncn a1i expp1d
      ax-mp eqcomi 3eqtr2i eqid decsucc oveq2i cc mulcom oveq1d 3eqtri breqtrri
      2p1e3 jctil rspcedvd ) CCDZUAEDZUBUCDZFGZHGZIJZCXDUDEDZFGZHGZAUEZKLZUFBUE
      ZKLZXNXLKLZMZXNUGJZUOZBNUHZMZAIUIXCXFCCUJOUKXDIJZXEULJZXFIJPUBUCUMUPUNZXD
      XEUQURZQXHYAXKXGKLZXOXNXGKLZMZXRUOZBNUHZMZAXGIXHUSXLXGUTZYAYKVGXHYLXMYFXT
      YJXLXGXKKVHYLXSYIBNYLXQYHXRYLXPYGXOXLXGXNKVHVAVBVCVDVEXHYJYFXHYIBNXHXNNJZ
      MZYHXRYNYHMYMXOYGXRXHYMYHVFYNXOYGVIYNXOYGVJXNVKVLVMVNXKXKCXFHGZRGZXGKEYOK
      LXKYPKLYOCXFOYEQZVRYOXKYOYQVOXKCXJOYBXIULJXJIJPUDEVPVQUNXDXIUQURZQVOVSVTX
      GXDCHGZCRGZXFHGYSXFHGZYORGZYPXCYTXFHCCWASYSCXFYSXDCPOQTZWBXFYETZWCUUBXDXE
      UARGZFGZCHGZYORGXJCHGZYORGZYPUUAUUGYORUUAXFYSHGXFXDHGZCHGUUGYSXFUUCUUDWDX
      FXDCUUDXDPTWBWEUUJUUFCHUUFUUJYBUUFUUJUTPYBXDXEXDWFYCYBYDWGWHWIWJSWKSUUGUU
      HYORUUFXJCHUUEXIXDFUBUDXEUMWTXEWLWMWNSSXJWOJZCWOJZUUIYPUTXJYRTWBUUKUULMUU
      HXKYORXJCWPWQURWRWRWSXAXBWI $.

    $d m n o $.
    $( The ternary Goldbach conjecture is valid.  Main theorem in [Helfgott]
       p. 2.  This follows from ~ tgoldbachlt and ~ ax-tgoldbachgt .
       (Contributed by AV, 2-Aug-2020.)  (Revised by AV, 9-Sep-2021.) $)
    tgoldbach $p |- A. n e. Odd ( 7 < n -> n e. GoldbachOdd ) $=
      ( vm vo c7 clt wbr wcel wi codd c1 cc0 co cle cr c8 wa pm3.2i a1i com23
      cn cv cgbo cdc c2 cexp oddz zred cn0 10re 2nn0 7nn decnncl nnnn0i reexpcl
      wo mp2an lelttric sylancl c3 cmul wral wrex tgoldbachlt wceq breq2 eleq1w
      breq1 anbi12d imbi12d rspcv recni mulid2i 1re 8re 0le1 3nn decnncl2 10nn0
      1lt8 nn0expcli nn0ge0i w3a nnzi 3pm3.2i 1lt10 3nn0 7nn0 0nn0 7lt10 decltc
      cz 2lt3 ltexp2a ltmul12a syl22anc eqbrtrrid remulcli adantl syl3anc mpand
      nnre lttr imp adantr 3jca lelttr syl mpan2d anim1i ancomd pm2.27 ex exp41
      com25 syld com15 imp32 rexlimiva ax-mp tgoldbachgtALTV expcomd imp43 a1dd
      com14 impr jaoi mpcom rgen ) DAUAZEFZYIUBGZHZAIYIJKUCZUDDUCZUELZMFZYOYIEF
      ZUOZYIIGZYLYSYINGZYONGZYRYSYIYIUFUGZYMNGZYNUHGUUAUIYNUDDUJUKULZUMZYMYNUNU
      PZYIYOUQURYPYSYLHZYQOYMUSKUCZUELZUTLZBUAZEFZDCUAZEFZUUMUUKEFZPZUUMUBGZHZC
      IVAZPZBTVBYPUUGHZBCVCUUTUVABTUUKTGZUULUUSUVAUVBUUSUULUVAYSUUSUULYPUVBYLYS
      UUSYJYIUUKEFZPZYKHZUULYPUVBYLHHHUURUVECYIIUUMYIVDZUUPUVDUUQYKUVFUUNYJUUOU
      VCUUMYIDEVEUUMYIUUKEVGVHCAUBVFZVIVJYSUVBUULYPUVEYLYSUVBUULYPUVEYLHYSUVBPZ
      UULPZYPPZYJUVEYKUVJYJUVEYKHZUVJYJPZUVDUVKUVLUVCYJUVJUVCYJUVIYPUVCUVIYPYOU
      UKEFZUVCUVHUULUVMUVHYOUUJEFZUULUVMUVHYOJYOUTLZUUJEYOYOUUFVKVLUVHJNGZONGZP
      ZKJMFZJOEFZPZUUAUUINGZPZKYOMFZYOUUIEFZPZUVOUUJEFUVRUVHUVPUVQVMVNQRUWAUVHU
      VSUVTVOVSQRUWCUVHUUAUWBUUFUUCUUHUHGUWBUIUUHUSVPVQZUMYMUUHUNUPZQRUWFUVHUWD
      UWEYOYMYNVRUUEVTWAUUCYNWKGZUUHWKGZWBJYMEFZYNUUHEFZPUWEUUCUWIUWJUIYNUUDWCU
      UHUWGWCWDUWKUWLWEUDUSDKUJWFWGWHWIWLWJQYMYNUUHWMUPQRJOYOUUIWNWOWPUVHUUAUUJ
      NGZUUKNGZUVNUULPUVMHUUAUVHUUFRZUWMUVHOUUIVNUWHWQRUVBUWNYSUUKXAWRZYOUUJUUK
      XBWSWTXCUVIYTUUAUWNWBZYPUVMPUVCHUVHUWQUULUVHYTUUAUWNYSYTUVBUUBXDZUWOUWPXE
      XDYIYOUUKXFXGXHXCXIXJUVDYKXKXGXLSXMXNXOXPSXQXRXSUUKYOMFZUUKUUMEFZUUQHZCIV
      AZPZBTVBYQUUGHZBCXTUXCUXDBTUVBUWSUXBUXDYSUXBYQUVBUWSPZYLYSUXBUUKYIEFZYKHZ
      YQUXEYLHZHUXAUXGCYIIUVFUWTUXFUUQYKUUMYIUUKEVEUVGVIVJYSYQUXGUXHYSYQUXGUXHH
      YSYQPZUXEUXGYLUXIUXEUXGYLHUXIUXEPZUXGYKYJUXJUXFUXGYKHYSYQUVBUWSUXFYSUVBYQ
      UWSUXFHZYSUVBYQUXKHUVHUWSYQUXFUVHUWNUUAYTUWSYQPUXFHUWPUWOUWRUUKYOYIXFWSYA
      XLSYBUXFYKXKXGYCXLSXLSXOYDYEXRXSYFYGYH $.
  $}

  $(
    @( The binary Goldbach conjecture is valid. @)
    goldbach @p |- A. n e. Even ( 4 < n -> n e. GoldbachEven ) @=
      ? @.
  $)
$( End $[ set-mbox-av-even-odd.mm $] $)


$( Begin $[ set-mbox-av-graph.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Graph theory (extension)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Isomorphic graphs
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  In the following, a general definition of the isomorphy relation for graphs
  and specializations for simple hypergraphs ( ~ isomushgr ) and simple
  pseudographs ( ~ isomuspgr ) are provided.  The latter corresponds to the
  definition in [Bollobas] p. 3).  It is shown that the isomorphy relation for
  graphs is an equivalence relation ( ~ isomgrref , ~ isomgrsym , ~ isomgrtr ).
  Fianlly, isomorphic graphs with different representations are studied
  ( ~ strisomgrop , ~ ushrisomgr ).

  Maybe more important than graph isomorphy is the notion of graph isomorphism,
  which can be defined as in ~ df-grisom .  Then ` A IsomGr B <-> `
  ` E. f f e. ( A GrIsom B ) ` resp. ` A IsomGr B <-> ( A GrIsom B ) =/= (/) `.
  Notice that there can be multiple isomorphisms between two graphs (let
  ` <. { A , B } , { { A , B } } >. ` and ` <. { { M , N } , { { M , N } } >. `
  be two graphs with two vertices and one edge, then ` A |-> M , B |-> N ` and
   ` A |-> N , B |-> M ` are two different isomorphisms between these graphs).

  Another approach could be to define a category of graphs (there are maybe
  multiple ones), where graph morphisms are couples consisting in a function on
  vertices and a function on edges with required compatibilities, as used
  in the definition of ` GrIsom `.  And then, a graph isomorphism is defined as
  an isomorphism in the category of graphs (something like "GraphIsom
  = ( Iso `` GraphCat )" ).  Then general category theory theorems could be
  used, e.g., to show that graph isomorphy is an equivalence relation.

$)

  $( Introduce new constant symbols. $)
  $c GrIsom $. $( Graph isomorphisms. $)
  $c IsomGr $. $( Predicate "is isomorphic" for graphs $)

  $( Extend class notation to include the graph ispmorphisms. $)
  cgrisom $a class GrIsom $.

  $( Extend class notation to include the isomorphy relation for graphs. $)
  cisomgr $a class IsomGr $.

  ${
    $d f g i x y $.
    $( Define the class of all isomorphisms between two graphs.  (Contributed
       by AV, 11-Dec-2022.) $)
    df-grisom $a |- GrIsom = ( x e. _V , y e. _V |-> { <. f , g >. |
                       ( f : ( Vtx ` x ) -1-1-onto-> ( Vtx ` y )
                      /\ g : dom ( iEdg ` x ) -1-1-onto-> dom ( iEdg ` y )
                      /\ A. i e. dom ( iEdg ` x ) ( f " ( ( iEdg ` x ) ` i ) )
                                        = ( ( iEdg ` y ) ` ( g ` i ) ) ) } ) $.
  $}

  ${
    $d f g i x y $.
    $( Define the isomorphy relation for graphs.  (Contributed by AV,
       11-Nov-2022.) $)
    df-isomgr $a |- IsomGr = { <. x , y >. |
                          E. f ( f : ( Vtx ` x ) -1-1-onto-> ( Vtx ` y )
            /\ E. g ( g : dom ( iEdg ` x ) -1-1-onto-> dom ( iEdg ` y )
                      /\ A. i e. dom ( iEdg ` x ) ( f " ( ( iEdg ` x ) ` i ) )
                                        = ( ( iEdg ` y ) ` ( g ` i ) ) ) ) } $.

    $( The isomorphy relation for graphs is a relation.  (Contributed by AV,
       11-Nov-2022.) $)
    isomgrrel $p |- Rel IsomGr $=
      ( vx vy vf vg vi cv cvtx cfv wf1o ciedg cdm cima wceq wral wa wex cisomgr
      df-isomgr relopabiv ) AFZGHBFZGHCFZITJHZKZUAJHZKDFZIUBEFZUCHLUGUFHUEHMEUD
      NODPOCPABQABCDERS $.
  $}

  ${
    $d A f g i $.  $d B f g i $.  $d I i $.
    isomgr.v $e |- V = ( Vtx ` A ) $.
    isomgr.w $e |- W = ( Vtx ` B ) $.
    isomgr.i $e |- I = ( iEdg ` A ) $.
    isomgr.j $e |- J = ( iEdg ` B ) $.
    ${
      $d A f g i x y $.  $d B x y $.  $d I x y $.  $d J x y $.  $d V x y $.
      $d W x y $.
      $( The isomorphy relation for two graphs.  (Contributed by AV,
         11-Nov-2022.) $)
      isomgr $p |- ( ( A e. X /\ B e. Y )
                     -> ( A IsomGr B <-> E. f ( f : V -1-1-onto-> W
      /\ E. g ( g : dom I -1-1-onto-> dom J
              /\ A. i e. dom I ( f " ( I ` i ) ) = ( J ` ( g ` i ) ) ) ) ) ) $=
        ( cv cvtx cfv ciedg wceq vx vy wf1o cdm cima wa wex cisomgr eqidd fveq2
        adantr eqtr4di adantl f1oeq123d dmeqd imaeq2d eqeq12d raleqbidv anbi12d
        wral fveq1d exbidv df-isomgr brabga ) UAPZQRZUBPZQRZCPZUCZVESRZUDZVGSRZ
        UDZDPZUCZVIEPZVKRZUEZVQVORZVMRZTZEVLUTZUFZDUGZUFZCUGHIVIUCZFUDZGUDZVOUC
        ZVIVQFRZUEZVTGRZTZEWHUTZUFZDUGZUFZCUGUAUBABUHJKVEATZVGBTZUFZWFWRCXAVJWG
        WEWQXAVFHVHIVIVIXAVIUIXAVFAQRZHWSVFXBTWTVEAQUJUKLULXAVHBQRZIWTVHXCTWSVG
        BQUJUMMULUNXAWDWPDXAVPWJWCWOXAVLWHVNWIVOVOXAVOUIXAVKFXAVKASRZFWSVKXDTWT
        VEASUJUKNULZUOZXAVMGXAVMBSRZGWTVMXGTWSVGBSUJUMOULZUOUNXAWBWNEVLWHXFXAVS
        WLWAWMXAVRWKVIXAVQVKFXEVAUPXAVTVMGXHVAUQURUSVBUSVBUAUBCDEVCVD $.
    $}

    $( Implications of two graphs being isomorphic.  (Contributed by AV,
       11-Nov-2022.) $)
    isisomgr $p |- ( A IsomGr B -> E. f ( f : V -1-1-onto-> W
      /\ E. g ( g : dom I -1-1-onto-> dom J
                /\ A. i e. dom I ( f " ( I ` i ) ) = ( J ` ( g ` i ) ) ) ) ) $=
      ( cisomgr cv wf1o cdm cfv wa cvv wbr cima wceq wral wex wcel wb isomgrrel
      brrelex12i isomgr syl ibi ) ABNUAZHICOZPFQZGQDOZPUNEOZFRUBUQUPRGRUCEUOUDS
      DUESCUEZUMATUFBTUFSUMURUGABNUHUIABCDEFGHITTJKLMUJUKUL $.
  $}

  ${
    $d A f g i $.  $d B f g i $.  $d Y i $.
    $( A set is isomorphic to a hypergraph if it has the same vertices and the
       same edges.  (Contributed by AV, 11-Nov-2022.) $)
    isomgreqve $p |- ( ( ( A e. UHGraph /\ B e. Y )
              /\ ( ( Vtx ` A ) = ( Vtx ` B ) /\ ( iEdg ` A ) = ( iEdg ` B ) ) )
                       -> A IsomGr B ) $=
      ( vf vg vi wcel wa cvtx cfv wceq ciedg cv wf1o wral cid cvv adantr adantl
      eqid cuhgr cisomgr wbr cdm cima wex cres fvexd resiexd f1oi simprl mpbiri
      f1oeq2d dmexd simprr dmeqd wss uhgrss ad4ant14 wb sseq2 mpbid resiima syl
      fvresi fveq2d id dmeq reseq2d fveq1d fveq12d 3eqtr2d ralrimiva jca f1oeq1
      eqeq2d ralbidv anbi12d spcedv imaeq1 eqeq1d anbi2d exbidv isomgr mpbird
      fveq1 ) AUAGZBCGZHZAIJZBIJZKZALJZBLJZKZHZHZABUBUCZWJWKDMZNZWMUDZWNUDZEMZN
      ZWSFMZWMJZUEZXEXCJZWNJZKZFXAOZHZEUFZHZDUFZWQXNWJWKPWKUGZNZXDXPXFUEZXIKZFX
      AOZHZEUFZHDQXPWQWKQWQBIUHUIWQXQYBWQXQWKWKXPNWKUJWQWJWKWKXPWIWLWOUKUMULWQY
      AXAXBPXBUGZNZXRXEYCJZWNJZKZFXAOZHEQYCWQXBQWQWNQWQBLUHUNUIWQYDYHWQYDXBXBYC
      NXBUJWQXAXBXBYCWQWMWNWIWLWOUOUPUMULWQYGFXAWQXEXAGZHZXRXFXEPXAUGZJZWMJZYFY
      JXFWKUQZXRXFKYJXFWJUQZYNWGYIYOWHWPWMXEAWJWJTZWMTZURUSWQYOYNUTZYIWPYRWIWLY
      RWOWJWKXFVARSRVBWKXFVCVDYJYLXEWMYIYLXEKWQXAXEVESVFWQYMYFKZYIWPYSWIWOYSWLW
      OYLYEWMWNWOVGWOXEYKYCWOXAXBPWMWNVHVIVJVKSSRVLVMVNXCYCKZXDYDXTYHXAXBXCYCVO
      YTXSYGFXAYTXIYFXRYTXHYEWNXEXCYCWFVFVPVQVRVSVNWSXPKZWTXQXMYBWJWKWSXPVOUUAX
      LYAEUUAXKXTXDUUAXJXSFXAUUAXGXRXIWSXPXFVTWAVQWBWCVRVSWIWRXOUTWPABDEFWMWNWJ
      WKUACYPWKTYQWNTWDRWE $.
  $}

  ${
    $d A e f g h i j $.  $d B e f g h i j $.  $d E e g h i $.  $d K g h i j $.
    $d V e g h i j $.  $d W e g h i j $.
    isomushgr.v $e |- V = ( Vtx ` A ) $.
    isomushgr.w $e |- W = ( Vtx ` B ) $.
    isomushgr.e $e |- E = ( Edg ` A ) $.
    isomushgr.k $e |- K = ( Edg ` B ) $.
    $( The isomorphy relation for two simple hypergraphs.  (Contributed by AV,
       28-Nov-2022.) $)
    isomushgr $p |- ( ( A e. USHGraph /\ B e. USHGraph ) -> ( A IsomGr B
                   <-> E. f ( f : V -1-1-onto-> W /\ E. g ( g : E -1-1-onto-> K
                                  /\ A. e e. E ( f " e ) = ( g ` e ) ) ) ) ) $=
      ( wcel wa wf1o cfv wceq ccom syl vh vi vj cushgr cisomgr wbr cv ciedg cdm
      cima wral wex eqid isomgr ccnv cvv fvex vex cnvex coex a1i crn cpw c0 csn
      cdif wf1 ushgrf f1f1orn wb cedg edgval eqtri f1oeq3 ax-mp sylibr ad3antlr
      simprl f1ocnv ad3antrrr f1oco syl2anc eleq2i wrex f1fn fvelrnb wi imaeq2d
      wfn fveq2 2fveq3 eqeq12d rspccv ad2antll coass eqcomi fveq1i dff1o4 sylib
      imp simprd ad4antr wf f1of ffvelrnda fvco2 f1ocnvfv1 sylan f1ofn ad2antrl
      fveq2d 3eqtrd eqtr2id ad2antrr imaeq2 eqcoms simpr sylan9eqr adantl mpdan
      3eqtr4d rexlimdva jca f1oeq1 eqeq2d ralbidv anbi12d spcedv exlimdv biimpi
      ex fveq1 wfun ffund adantr anim12ci fnfco ad5antlr fco anim1i f1oeq23 cid
      sylbid syl5bi ralrimiv fvelrn raleqi rspccva cres simplr funcocnv2 eqcomd
      mp2an feq3 coeq1d fveq1d eqtrdi feq23i syl2anr ffvelrn fvresi fvco3 eqtrd
      3eqtr3rd ralrimiva impbid pm5.32da exbidv bitrd ) AUDNZBUDNZOZABUEUFHIDUG
      ZPZAUHQZUIZBUHQZUIZUAUGZPZUVMUBUGZUVOQZUJZUWAUVSQZUVQQZRZUBUVPUKZOZUAULZO
      ZDULUVNFGEUGZPZUVMCUGZUJZUWMUWKQZRZCFUKZOZEULZOZDULABDUAUBUVOUVQHIUDUDJKU
      VOUMZUVQUMZUNUVLUWJUWTDUVLUVNUWIUWSUVLUVNOZUWIUWSUXCUWHUWSUAUXCUWHUWSUXCU
      WHOZUWRFGUVQUVSUVOUOZSZSZPZUWNUWMUXGQZRZCFUKZOEUPUXGUXGUPNUXDUVQUXFBUHUQZ
      UVSUXEUAURUVOAUHUQZUSUTUTVAUXDUXHUXKUXDUVRGUVQPZFUVRUXFPZUXHUVKUXNUVJUVNU
      WHUVKUVRUVQVBZUVQPZUXNUVKUVRIVCVDVEZVFZUVQVGUXQUVQBIKUXBVHUVRUXSUVQVITZGU
      XPRZUXNUXQVJGBVKQUXPMBVLVMZGUXPUVRUVQVNVOVPZVQUXDUVTFUVPUXEPZUXOUXCUVTUWG
      VRUVJUYDUVKUVNUWHUVJUVPFUVOPZUYDUVJUVPUVOVBZUVOPZUYEUVJUVPHVCUXRVFZUVOVGZ
      UYGUVOAHJUXAVHZUVPUYHUVOVITZFUYFRZUYEUYGVJFAVKQUYFLAVLVMZFUYFUVPUVOVNVOVP
      ZUVPFUVOVSTVTFUVPUVRUVSUXEWAWBFUVRGUVQUXFWAWBUXDUXJCFUWMFNUWMUYFNZUXDUXJF
      UYFUWMUYMWCUXDUYOUCUGZUVOQZUWMRZUCUVPWDZUXJUVJUYOUYSVJZUVKUVNUWHUVJUVOUVP
      WIZUYTUVJUYIVUAUYJUVPUYHUVOWETUCUVPUWMUVOWFTVTUXDUYRUXJUCUVPUXDUYPUVPNZOZ
      UVMUYQUJZUYPUVSQUVQQZRZUYRUXJWGUXDVUBVUFUWGVUBVUFWGUXCUVTUWFVUFUBUYPUVPUW
      AUYPRZUWCVUDUWEVUEVUGUWBUYQUVMUWAUYPUVOWJWHUWAUYPUVQUVSWKWLWMWNWTVUCVUFOZ
      UYRUXJVUHUYROVUEUYQUXGQZUWNUXIVUCVUEVUIRVUFUYRVUCVUIUYQUVQUVSSZUXESZQZVUE
      UYQUXGVUKVUKUXGUVQUVSUXEWOWPWQVUCVULUYQUXEQZVUJQZUYPVUJQZVUEVUCUXEUYFWIZU
      YQUYFNVULVUNRUVJVUPUVKUVNUWHVUBUVJVUAVUPUVJUYGVUAVUPOUYKUVPUYFUVOWRWSXAXB
      UXDUVPUYFUYPUVOUVJUVPUYFUVOXCZUVKUVNUWHUVJUYGVUQUYKUVPUYFUVOXDTZVTXEUYFVU
      JUXEUYQXFWBVUCVUMUYPVUJUXDUYEVUBVUMUYPRUVJUYEUVKUVNUWHUYNVTUVPFUYPUVOXGXH
      XKUXDUVSUVPWIZVUBVUOVUERUVTVUSUXCUWGUVPUVRUVSXIXJUVPUVQUVSUYPXFXHXLXMXNUY
      RVUHUWNVUDVUEUWNVUDRUWMUYQUWMUYQUVMXOXPVUCVUFXQXRUYRUXIVUIRZVUHVUTUWMUYQU
      WMUYQUXGWJXPXSYAYKXTYBUUCUUDUUEYCUWKUXGRZUWLUXHUWQUXKFGUWKUXGYDVVAUWPUXJC
      FVVAUWOUXIUWNUWMUWKUXGYLYEYFYGYHYKYIUXCUWRUWIEUXCUWRUWIUXCUWROZUWHUVPUVRU
      VQUOZUWKUVOSZSZPZUWCUWAVVEQZUVQQZRZUBUVPUKZOUAUPVVEVVEUPNVVBVVCVVDUVQUXLU
      SUWKUVOEURUXMUTUTVAVVBVVFVVJVVBUXPUVRVVCPZUVPUXPVVDPZVVFVVBUXQVVKUVKUXQUV
      JUVNUWRUXTVQUVRUXPUVQVSTVVBUYFUXPUWKPZUYGVVLUWLVVMUXCUWQUWLVVMUYLUYAUWLVV
      MVJUYMUYBFUYFGUXPUWKUUAUUMYJXJUVJUYGUVKUVNUWRUYKVTUVPUYFUXPUWKUVOWAWBUVPU
      XPUVRVVCVVDWAWBVVBVVIUBUVPVVBUWAUVPNZOZUWBUYFNZVVIVVBUVOYMZVVNVVPUXCVVQUW
      RUXCUVPUYFUVOUVJVUQUVKUVNVURXNYNYOUWAUVOUUFXHVVOVVPOZUWCUWBUWKQZUWAUVQVVE
      SZQZVVHVVOUWPCUYFUKZVVPUWCVVSRZVVBVWBVVNUWQVWBUXCUWLUWQVWBUWPCFUYFUYMUUGY
      JWNYOUWPVWCCUWBUYFUWMUWBRUWNUWCUWOVVSUWMUWBUVMXOUWMUWBUWKWJWLUUHXHVVRUWAU
      UBUXPUUIZVVDSZQZUWAVVDQZVWDQZVWAVVSVVRVVDUVPWIZVVNVWFVWHRVVRUWKFWIZUVPFUV
      OXCZOZVWIVVBVWLVVNVVPUXCVWKUWRVWJUVJVWKUVKUVNUVJVUQVWKVURUYLVWKVUQVJUYMFU
      YFUVPUVOUUNVOVPXNZUWLVWJUWQFGUWKXIYOYPXNFUVPUWKUVOYQTVVBVVNVVPUUJZUVPVWDV
      VDUWAXFWBVVRVWFUWAUVQVVCSZVVDSZQVWAVVRUWAVWEVWPVVRVWDVWOVVDUVKVWDVWORUVJU
      VNUWRVVNVVPUVKVWOVWDUVKUVQYMVWOVWDRUVKUVRGUVQUVKUXNUVRGUVQXCUYCUVRGUVQXDT
      YNUVQUUKTUULYRUUOUUPUWAVWPVVTUVQVVCVVDWOWQUUQVVRVWHVWGVVSVVRVWGUXPNZVWHVW
      GRVVRUVPUXPVVDXCZVVNOZVWQVVOVWSVVPVVBVWRVVNUWRFUXPUWKXCZVWKVWRUXCUWLVWTUW
      QUWLFGUWKXCZVWTFGUWKXDZFGFUXPUWKFUMUYBUURWSYOUVJVWKUVKUVNUVJUYEVWKUYNUVPF
      UVOXDTZXNUVPFUXPUWKUVOYSUUSYTYOUVPUXPUWAVVDUUTTUXPVWGUVATVVRVWKVVNOZVWGVV
      SRVVOVXDVVPVVBVWKVVNUVJVWKUVKUVNUWRVXCVTYTYOUVPFUWAUWKUVOUVBTUVCUVDVVRVVE
      UVPWIZVVNVWAVVHRVVRVVCGWIZUVPGVVDXCZVXEUVKVXFUVJUVNUWRVVNVVPUVKUVQUVRWIZV
      XFUVKUXNVXHVXFOUYCUVRGUVQWRWSXAYRVVRVXAVWKOZVXGVVBVXIVVNVVPUXCVWKUWRVXAVW
      MUWLVXAUWQVXBYOYPXNUVPFGUWKUVOYSTGUVPVVCVVDYQWBVWNUVPUVQVVEUWAXFWBXLXTUVE
      YCUVSVVERZUVTVVFUWGVVJUVPUVRUVSVVEYDVXJUWFVVIUBUVPVXJUWEVVHUWCVXJUWDVVGUV
      QUWAUVSVVEYLXKYEYFYGYHYKYIUVFUVGUVHUVI $.

    $d a b g f x y $.  $d e x y $.  $d A x y $.  $d B x y $.  $d E x y $.
    $d K x y $.  $d V x y $.  $d W x y $.
    $( Lemma 1 for ~ isomuspgr .  (Contributed by AV, 29-Nov-2022.) $)
    isomuspgrlem1 $p |- ( ( ( ( ( A e. USPGraph /\ B e. USPGraph )
               /\ f : V -1-1-onto-> W ) /\ ( g : E -1-1-onto-> K
               /\ A. e e. E ( f " e ) = ( g ` e ) ) ) /\ ( a e. V /\ b e. V ) )
                   -> ( { ( f ` a ) , ( f ` b ) } e. K -> { a , b } e. E ) ) $=
      ( vx wcel wa wceq wi vy cuspgr wf1o cima cfv wral cpr ccnv simpl ad2antlr
      cv f1ocnvdm sylan wrex cupgr uspgrupgr adantr ad4antr upgredg eleq1 com12
      biimpd imp w3a wb ad6antlr simpr ad5ant12 3jca f1ocnvfvb syl imaeq2 fveq2
      eqeq12d rspccv adantl eqeq1 eqcoms wfn fnimapr eqeq1d wo fvex preq12b weq
      f1ofn wf1 f1of1 anim12ci f1veqaeq syl2anr anim12d impcom orcd ex olcd vex
      jaoi syl6ibr sylbi expcom expd imp31 eleq1d impancom sylbid mpdan sylbird
      mpd rexlimdvva ) AUBQZBUBQZRZHIDUKZUCZRZFGEUKZUCZXNCUKZUDZXSXQUEZSZCFUFZR
      ZRZJUKZHQZKUKZHQZRZRZYFXNUEZYHXNUEZUGZGQZYFYHUGZFQZYKYORZYNXQUHUEZFQZYQYK
      XRYOYTYDXRXPYJXRYCUIZUJFGYNXQULUMYRYTRZYSPUKZUAUKZUGZSZUAHUNPHUNZYQYRAUOQ
      ZYTUUGXMUUHXOYDYJYOXKUUHXLAUPUQURYSFAHPUALNUSUMUUBUUFYQPUAHHUUBUUCHQZUUDH
      QZRZRZUUFYQUULUUFRUUEFQZYQUULUUFUUMYTUUFUUMTYRUUKUUFYTUUMUUFYTUUMYSUUEFUT
      VBVAUJVCUULUUMUUFYQUULUUMRZUUFUUEXQUEZYNSZYQUUNXRUUMYOVDUUPUUFVEUUNXRUUMY
      OYDXRXPYJYOYTUUKUUMUUAVFUULUUMVGYKYOYOYTUUKUUMYKYOVGVHVIFGUUEYNXQVJVKUUNX
      NUUEUDZUUOSZUUPYQTUULUUMUURYEUUMUURTZYJYOYTUUKYDUUSXPYCUUSXRYBUURCUUEFXSU
      UESXTUUQYAUUOXSUUEXNVLXSUUEXQVMVNVOVPVPURVCUUNUURRUUPUUQYNSZYQUURUUPUUTVE
      ZUUNUVAUUOUUQUUOUUQYNVQVRVPUUNUUTYQTUURUUNUUTUUCXNUEZUUDXNUEZUGZYNSZYQUUN
      UUQUVDYNUUNXNHVSZUUIUUJVDZUUQUVDSUULUVGUUMUULUVFUUIUUJXOUVFXMYDYJYOYTUUKH
      IXNWFVFUUKUUIUUBUUIUUJUIZVPUUKUUJUUBUUIUUJVGZVPVIUQHUUCUUDXNVTVKWAUULUVEU
      UMYQUULUVERZUUMYQUVJUUEYPFUUBUUKUVEUUEYPSZYRUUKUVEUVKTZTZYTYKUVMYOYEYJUVM
      XOYJUVMTXMYDXOYJUUKUVLYJUUKRZXOUVLUVEUVNXORZUVKUVEUVBYLSZUVCYMSZRZUVBYMSZ
      UVCYLSZRZWBZUVOUVKTUVBUVCYLYMUUCXNWCUUDXNWCYFXNWCYHXNWCWDUWBUVOPJWEZUAKWE
      ZRZPKWEZUAJWEZRZWBZUVKUVRUVOUWITUWAUVRUVOUWIUVRUVORUWEUWHUVOUVRUWEUVOUVPU
      WCUVQUWDXOHIXNWGZUUIYGRUVPUWCTUVNHIXNWHZYJYGUUKUUIYGYIUIZUVHWIHIUUCYFXNWJ
      WKXOUWJUUJYIRUVQUWDTUVNUWKYJYIUUKUUJYGYIVGZUVIWIHIUUDYHXNWJWKWLWMWNWOUWAU
      VOUWIUWAUVORUWHUWEUVOUWAUWHUVOUVSUWFUVTUWGXOUWJUUIYIRUVSUWFTUVNUWKYJYIUUK
      UUIUWMUVHWIHIUUCYHXNWJWKXOUWJUUJYGRUVTUWGTUVNUWKYJYGUUKUUJUWLUVIWIHIUUDYF
      XNWJWKWLWMWPWOWRUUCUUDYFYHPWQUAWQJWQKWQWDWSWTVAXAXBUJVCUQUQXCXDVBXEXFUQXF
      XGXHXEXIWOXJXIXGWO $.

    ${
      $d F e x $.  $d X e x $.
      isomuspgrlem2.g $e |- G = ( x e. E |-> ( F " x ) ) $.
      $( Lemma 1 for ~ isomuspgrlem2 .  (Contributed by AV, 29-Nov-2022.) $)
      isomuspgrlem2a $p |- ( F e. X -> A. e e. E ( F " e ) = ( G ` e ) ) $=
        ( wcel cv cima wceq cfv wa cvv cmpt a1i weq imaeq2 adantl imaexg adantr
        simpr fvmptd eqcomd ralrimiva ) FKQZFDRZSZUPGUAZTDEUOUPEQZUBZURUQUTAUPF
        ARZSZUQEGUCGAEVBUDTUTPUEADUFVBUQTUTVAUPFUGUHUOUSUKUOUQUCQUSFUPKUIUJULUM
        UN $.

      $d A c d x $.  $d E a b c d $.  $d F a b c d $.  $d K a b c d $.
      $d V a b c d $.  $d ph c d x $.
      isomuspgrlem2.a $e |- ( ph -> A e. USPGraph ) $.
      isomuspgrlem2.f $e |- ( ph -> F : V -1-1-onto-> W ) $.
      isomuspgrlem2.i $e |- ( ph -> A. a e. V A. b e. V ( { a , b } e. E
                                      <-> { ( F ` a ) , ( F ` b ) } e. K ) ) $.
      $( Lemma 2 for ~ isomuspgrlem2 .  (Contributed by AV, 29-Nov-2022.) $)
      isomuspgrlem2b $p |- ( ph -> G : E --> K ) $=
        ( vc vd cv cima wcel wral wf wa cpr wceq cupgr cuspgr uspgrupgr upgredg
        wrex syl sylan wi cfv wb weq preq12 eleq1d fveq2 adantr preq12d bibi12d
        adantl rspc2gv syl5com imp bicom bianir ex syl5bi wfn wf1o f1ofn simprl
        w3a simprr 3jca fnimapr eqcomd biimpd com23 syld com13 mpd eleq1 imaeq2
        imbi12d mpbird exp31 com24 imp31 rexlimdvva ralrimiva fmpt sylib ) AFBU
        CZUDZHUEZBEUFEHGUGAXCBEAXAEUEZUHZXAUAUCZUBUCZUIZUJZUBIUOUAIUOZXCACUKUEZ
        XDXJACULUEXKRCUMUPXAECIUAUBMOUNUQXEXIXCUAUBIIAXDXFIUEZXGIUEZUHZXIXCURAX
        IXNXDXCAXIXNXDXCURZAXIUHZXNUHZXOXHEUEZFXHUDZHUEZURZXQXRXFFUSZXGFUSZUIZH
        UEZUTZYAXPXNYFAXNYFURXIAKUCZLUCZUIZEUEZYGFUSZYHFUSZUIZHUEZUTZLIUFKIUFXN
        YFTYOYFKLXFXGIIKUAVAZLUBVAZUHZYJXRYNYEYRYIXHEYGYHXFXGVBVCYRYMYDHYRYKYBY
        LYCYPYKYBUJYQYGXFFVDVEYQYLYCUJYPYHXGFVDVHVFVCVGVIVJVEVKXRYFXQXTXRYFYEXQ
        XTURYFYEXRUTZXRYEXRYEVLXRYSYEXRYEVMVNVOXRXQYEXTXRXQYEXTURXRXQUHZYEXTYTY
        DXSHYTXSYDYTFIVPZXLXMVTZXSYDUJXQUUBXRXQUUAXLXMXPUUAXNAUUAXIAIJFVQUUASIJ
        FVRUPVEVEXPXLXMVSXPXLXMWAWBVHIXFXGFWCUPWDVCWEVNWFWGWHWIXPXOYAUTZXNXIUUC
        AXIXDXRXCXTXAXHEWJXIXBXSHXAXHFWKVCWLVHVEWMWNWOWPWQWIWRBEHXBGQWSWT $.

      $d G c d e $.
      isomuspgrlem2.x $e |- ( ph -> F e. X ) $.
      $( Lemma 3 for ~ isomuspgrlem2 .  (Contributed by AV, 29-Nov-2022.) $)
      isomuspgrlem2c $p |- ( ph -> G : E -1-1-> K ) $=
        ( vc vd ve wf cv cfv wceq wi wral isomuspgrlem2b wcel wa isomuspgrlem2a
        wf1 cima wb syl imaeq2 fveq2 eqeq12d rspcv ad2antrl imp eqcomd ad2antll
        mpidan wss wf1o f1of1 cuspgr cupgr uspgrupgr cuhgr upgruhgr cedg eleq2i
        cvtx cpw edguhgr elpwi sseqtrrdi ex syl5bi anim12d 3syl syl2an2r biimpd
        f1imaeq sylbid ralrimivva dff13 sylanbrc ) AEHGUFUCUGZGUHZUDUGZGUHZUIZW
        OWQUIZUJZUDEUKUCEUKEHGUPABCDEFGHIJLMNOPQRSTUAULAXAUCUDEEAWOEUMZWQEUMZUN
        ZUNZWSFWOUQZFWQUQZUIZWTAXDFUEUGZUQZXIGUHZUIZUEEUKZWSXHURAFKUMXMUBBCDUEE
        FGHIJKNOPQRUOUSXEXMUNZWPXFWRXGXNXFWPXEXMXFWPUIZXBXMXOUJAXCXLXOUEWOEXIWO
        UIXJXFXKWPXIWOFUTXIWOGVAVBVCVDVEVFXNXGWRXEXMXGWRUIZXCXMXPUJAXBXLXPUEWQE
        XIWQUIXJXGXKWRXIWQFUTXIWQGVAVBVCVGVEVFVBVHXEXHWTAIJFUPZXDWOIVIZWQIVIZUN
        ZXHWTURAIJFVJXQTIJFVKUSAXDXTACVLUMCVMUMZXDXTUJZSCVNYACVOUMZYBCVPYCXBXRX
        CXSXBWOCVQUHZUMZYCXREYDWOPVRYCYEXRYCYEUNWOCVSUHZVTZUMZXRWOCWAYHWOYFIWOY
        FWBNWCUSWDWEXCWQYDUMZYCXSEYDWQPVRYCYIXSYCYIUNWQYGUMZXSWQCWAYJWQYFIWQYFW
        BNWCUSWDWEWFUSWGVEIJWOWQFWJWHWIWKWLUCUDEHGWMWN $.

      $d B c d $.  $d E b m n $.  $d F a m n $.  $d F y $.  $d G y $.
      $d K e m n $.  $d V m n $.  $d W c d m n $.  $d X y $.  $d ph e m n $.
      $d ph y $.  $d c d y $.
      isomuspgrlem2.b $e |- ( ph -> B e. USPGraph ) $.
      $( Lemma 4 for ~ isomuspgrlem2 .  (Contributed by AV, 1-Dec-2022.) $)
      isomuspgrlem2d $p |- ( ph -> G : E -onto-> K ) $=
        ( vy ve vc vd vm vn wf cv cfv wceq wrex wral wfo isomuspgrlem2b wcel wa
        cpr cupgr cuspgr uspgrupgr syl upgredg sylan cima wi eleq1 anbi2d f1ofo
        wf1o foelrn ex anim12d adantr imp preq12 ancoms eleq1d weq preq1 preq1d
        wb fveq2 bibi12d preq2 preq2d rspc2va bicomd biimpd com13 syl6bi imaeq2
        com14 imp31 wfn w3a f1ofn ad3antrrr simprl simpr 3jca fnimapr sylan9eqr
        adantl eqeq2d rspcedvd anassrs expd rexlimdva com23 impd impcom ad4antr
        isomuspgrlem2a eqeq12d rspcv eqcom rexbidva mpbird rexlimdvva ralrimiva
        mpd syl6ibr dffo3 sylanbrc ) AEHGUJUDUKZUEUKZGULZUMZUEEUNZUDHUOEHGUPABC
        DEFGHIJLMNOPQRSTUAUQAYLUDHAYHHURZUSZYHUFUKZUGUKZUTZUMZUGJUNUFJUNZYLADVA
        URZYMYSADVBURYTUCDVCVDYHHDJUFUGOQVEVFYNYRYLUFUGJJYNYOJURZYPJURZUSZUSZYR
        YLUUDYRUSZYLYQFYIVGZUMZUEEUNZYRUUDUUHYRYNUUCUUHYRYNAYQHURZUSZUUCUUHVHYR
        YMUUIAYHYQHVIVJUUJUUCUUHUUJUUCUSZYOUHUKZFULZUMZUHIUNZYPUIUKZFULZUMZUIIU
        NZUSZUUHUUJUUCUUTAUUCUUTVHUUIAUUAUUOUUBUUSAUUAUUOAIJFUPZUUAUUOAIJFVLZUV
        ATIJFVKVDZUHIJYOFVMVFVNAUUBUUSAUVAUUBUUSUVCUIIJYPFVMVFVNVOVPVQUUKUUOUUS
        UUHUUKUUNUUSUUHVHUHIUUKUULIURZUSZUUSUUNUUHUVEUURUUNUUHVHUIIUVEUUPIURZUS
        UURUUNUUHUUKUVDUVFUURUUNUSZUUHVHUUKUVDUVFUSZUSZUVGUUHUVIUVGUSZUUGYQUUMU
        UQUTZUMZUEUULUUPUTZEUUKUVHUVGUVMEURZUUJUVHUVGUVNVHVHZUUCAUUIUVOUVGUUIUV
        HAUVNUVGUUIUVKHURZUVHAUVNVHVHUVGYQUVKHUUNUURUVLYOYPUUMUUQVRVSZVTAUVHUVP
        UVNALUKZMUKZUTZEURZUVRFULZUVSFULZUTZHURZWDZMIUOLIUOZUVHUVPUVNVHZVHUAUWG
        UVHUWHUWGUVHUSUVPUVNUVHUWGUVPUVNWDUVHUWGUSUVNUVPUWFUVNUVPWDUULUVSUTZEUR
        ZUUMUWCUTZHURZWDLMUULUUPIILUHWAZUWAUWJUWEUWLUWMUVTUWIEUVRUULUVSWBVTUWMU
        WDUWKHUWMUWBUUMUWCUVRUULFWEWCVTWFMUIWAZUWJUVNUWLUVPUWNUWIUVMEUVSUUPUULW
        GVTUWNUWKUVKHUWNUWCUUQUUMUVSUUPFWEWHVTWFWIWJVSWKVNVDWLWMWOVQVPWPUVJYIUV
        MUMZUSUUFUVKYQUWOUVJUUFFUVMVGZUVKYIUVMFWNUVJFIWQZUVDUVFWRZUWPUVKUMUVIUW
        RUVGUVIUWQUVDUVFAUWQUUIUUCUVHAUVBUWQTIJFWSVDWTUUKUVDUVFXAUVHUVFUUKUVDUV
        FXBXFXCVPIUULUUPFXDVDXEXGUVGUVLUVIUVQXFXHVNXIXJXKXLXKXMYDVNWMXMXNUUEYKU
        UGUEEUUEYIEURZUSZYHYQYJUUFUUEYRUWSUUDYRXBVPUWTFYHVGZYHGULZUMZUDEUOZYJUU
        FUMZUWTFKURZUXDAUXFYMUUCYRUWSUBXOBCDUDEFGHIJKNOPQRXPVDUWSUXDUXEVHUUEUWS
        UXDUUFYJUMZUXEUXCUXGUDYIEUDUEWAUXAUUFUXBYJYHYIFWNYHYIGWEXQXRYJUUFXSYEXF
        YDXQXTYAVNYBYDYCUEUDEHGYFYG $.

      $( Lemma 5 for ~ isomuspgrlem2 .  (Contributed by AV, 1-Dec-2022.) $)
      isomuspgrlem2e $p |- ( ph -> G : E -1-1-onto-> K ) $=
        ( wf1 wfo wf1o isomuspgrlem2c isomuspgrlem2d df-f1o sylanbrc ) AEHGUDEH
        GUEEHGUFABCDEFGHIJKLMNOPQRSTUAUBUGABCDEFGHIJKLMNOPQRSTUAUBUCUHEHGUIUJ
        $.
    $}

    $d E a b $.  $d K a b $.  $d V a b $.
    $( Lemma 2 for ~ isomuspgr .  (Contributed by AV, 1-Dec-2022.) $)
    isomuspgrlem2 $p |- ( ( ( A e. USPGraph /\ B e. USPGraph )
                            /\ f : V -1-1-onto-> W )
                          -> ( A. a e. V A. b e. V ( { a , b } e. E
                                           <-> { ( f ` a ) , ( f ` b ) } e. K )
                               -> E. g ( g : E -1-1-onto-> K
                                    /\ A. e e. E ( f " e ) = ( g ` e ) ) ) ) $=
      ( vx wcel wa cv cvv cuspgr wf1o cpr cfv wb wral cima wceq cmpt cedg fvexi
      wex mptex eqid simplll simplr simpr vex a1i isomuspgrlem2e isomuspgrlem2a
      simpllr mp1i jca f1oeq1 fveq1 eqeq2d ralbidv anbi12d spcegv mpsyl ex ) AU
      AQZBUAQZRZHIDSZUBZRZJSZKSZUCFQVSVPUDVTVPUDUCGQUEKHUFJHUFZFGESZUBZVPCSZUGZ
      WDWBUDZUHZCFUFZRZEULZPFVPPSUGZUIZTQVRWARZFGWLUBZWEWDWLUDZUHZCFUFZRZWJPFWK
      FAUJNUKUMWMWNWQWMPABFVPWLGHITJKLMNOWLUNZVMVNVQWAUOVOVQWAUPVRWAUQVPTQZWMDU
      RZUSVMVNVQWAVBUTWTWQWMXAPABCFVPWLGHITLMNOWSVAVCVDWIWREWLTWBWLUHZWCWNWHWQF
      GWBWLVEXBWGWPCFXBWFWOWEWDWBWLVFVGVHVIVJVKVL $.

    $d A a b g e $.  $d B a b $.  $d W a b $.
    $( The isomorphy relation for two simple pseudographs.  This corresponds to
       the definition in [Bollobas] p. 3.  (Contributed by AV, 1-Dec-2022.) $)
    isomuspgr $p |- ( ( A e. USPGraph /\ B e. USPGraph ) -> ( A IsomGr B
                      <-> E. f ( f : V -1-1-onto-> W /\ A. a e. V A. b e. V
                 ( { a , b } e. E <-> { ( f ` a ) , ( f ` b ) } e. K ) ) ) ) $=
      ( vg ve wcel wa cv cfv wceq cisomgr wbr wf1o cima wral wex cpr uspgrushgr
      cuspgr wb cushgr isomushgr syl2an wi imaeq2 eqeq12d rspccv adantl imp wfn
      fveq2 ad3antlr simprl simprr fnimapr syl3anc eqeq1d adantr f1of ffvelrnda
      f1ofn wf eleq1 syl5ibrcom sylbid mpd exp41 com23 isomuspgrlem1 ralrimivva
      impr impbid ex exlimdv isomuspgrlem2 pm5.32da exbidv bitrd ) AUIPZBUIPZQZ
      ABUAUBZFGCRZUCZDENRZUCZWMORZUDZWQWOSZTZODUEZQZNUFZQZCUFZWNHRZIRZUGZDPZXFW
      MSXGWMSUGZEPZUJZIFUEHFUEZQZCUFWIAUKPBUKPWLXEUJWJAUHBUHABOCNDEFGJKLMULUMWK
      XDXNCWKWNXCXMWKWNQZXCXMXOXBXMNXOXBXMXOXBQZXLHIFFXPXFFPZXGFPZQZQXIXKXPXSXI
      XKUNZXOWPXAXSXTUNXOWPQZXSXAXTYAXSXAXIXKYAXSQZXAQZXIQZWMXHUDZXHWOSZTZXKYCX
      IYGXAXIYGUNYBWTYGOXHDWQXHTWRYEWSYFWQXHWMUOWQXHWOVAUPUQURUSYDYGXJYFTZXKYCY
      GYHUJZXIYBYIXAYBYEXJYFYBWMFUTZXQXRYEXJTWNYJWKWPXSFGWMVKVBYAXQXRVCYAXQXRVD
      FXFXGWMVEVFVGVHVHYDXKYHYFEPYCDEXHWOWPDEWOVLXOXSXADEWOVIVBVJXJYFEVMVNVOVPV
      QVRWAUSABOCNDEFGHIJKLMVSWBVTWCWDABOCNDEFGHIJKLMWEWBWFWGWH $.
  $}

  $( The isomorphy relation is reflexive for hypergraphs.  (Contributed by AV,
     11-Nov-2022.) $)
  isomgrref $p |- ( G e. UHGraph -> G IsomGr G ) $=
    ( cuhgr wcel cvtx cfv wceq ciedg wa cisomgr wbr id eqid pm3.2i a1i syl21anc
    isomgreqve ) ABCZQQADEZRFZAGEZTFZHZAAIJQKZUCUBQSUARLTLMNAABPO $.

  ${
    $d A e f g h i j $.  $d B e f g h i j $.  $d Y f g i j $.
    $( The isomorphy relation is symmetric for hypergraphs.  (Contributed by
       AV, 11-Nov-2022.) $)
    isomgrsym $p |- ( ( A e. UHGraph /\ B e. Y )
                      -> ( A IsomGr B -> B IsomGr A ) ) $=
      ( vf vg vi ve vh vj wcel wa cfv cv wf1o cima wceq wral wex adantr wi cvtx
      cuhgr cisomgr wbr ciedg cdm eqid isomgr ccnv cvv vex cnvex a1i f1ocnv w3a
      adantl 3ad2ant2 f1ocnvdm 3ad2antl2 wb fveq2 imaeq2d 2fveq3 eqeq12d rspcdv
      f1ocnvfv2 fveq2d eqeq2d wf1 wss f1of1 3ad2ant3 simpl1l uhgrss syl2anc jca
      f1imacnv syl imaeq2 eqtr3d sylbid syld com23 3exp com34 impd 3imp1 eqcomd
      ralrimiva f1oeq1 fveq1 ralbidv anbi12d spcedv exlimdv imp32 imaeq1 eqeq1d
      ex anbi2d exbidv ancoms mpbird ) AUBJZBCJZKZABUCUDAUALZBUALZDMZNZAUELZUFZ
      BUELZUFZEMZNZXIFMZXKLZOZXQXOLXMLZPZFXLQZKZERZKZDRBAUCUDZABDEFXKXMXGXHUBCX
      GUGZXHUGZXKUGZXMUGZUHXFYEYFDXFYEYFXFYEKZYFXHXGGMZNZXNXLHMZNZYLIMZXMLZOZYP
      YNLZXKLZPZIXNQZKZHRZKZGRZYKUUEXHXGXIUIZNZYOUUGYQOZYTPZIXNQZKZHRZKGUJUUGUU
      GUJJYKXIDUKULUMYKUUHUUMYEUUHXFXJUUHYDXGXHXIUNSUPXFXJYDUUMXFYDXJUUMXFYCXJU
      UMTEXFYCXJUUMXFYCXJUOZUULXNXLXOUIZNZUUIYPUUOLZXKLZPZIXNQZKHUJUUOUUOUJJUUN
      XOEUKULUMUUNUUPUUTYCXFUUPXJXPUUPYBXLXNXOUNSUQUUNUUSIXNUUNYPXNJZKUURUUIXFY
      CXJUVAUURUUIPZXFXPYBXJUVAUVBTZTXFXPXJYBUVCXFXPXJYBUVCTXFXPXJUOZUVAYBUVBUV
      DUVAYBUVBTUVDUVAKZYBXIUUROZUUQXOLZXMLZPZUVBUVEYAUVIFUUQXLXPXFUVAUUQXLJZXJ
      XLXNYPXOURUSZXQUUQPZYAUVIUTUVEUVLXSUVFXTUVHUVLXRUURXIXQUUQXKVAVBXQUUQXMXO
      VCVDUPVEUVEUVIUVFYQPZUVBUVEUVHYQUVFUVEUVGYPXMXPXFUVAUVGYPPXJXLXNYPXOVFUSV
      GVHUVEUVMUVBUVEUVMKZUUGUVFOZUURUUIUVNXGXHXIVIZUURXGVJZKZUVOUURPUVEUVRUVMU
      VEUVPUVQUVDUVPUVAXJXFUVPXPXGXHXIVKVLSUVEXDUVJUVQXDXEXPXJUVAVMUVKXKUUQAXGY
      GYIVNVOVPSXGXHUURXIVQVRUVMUVOUUIPUVEUVFYQUUGVSUPVTWSWAWBWSWCWDWEWFWGWHWIV
      PYNUUOPZYOUUPUUKUUTXNXLYNUUOWJUVSUUJUUSIXNUVSYTUURUUIUVSYSUUQXKYPYNUUOWKV
      GVHWLWMWNWDWOWCWPVPYLUUGPZYMUUHUUDUUMXHXGYLUUGWJUVTUUCUULHUVTUUBUUKYOUVTU
      UAUUJIXNUVTYRUUIYTYLUUGYQWQWRWLWTXAWMWNXFYFUUFUTZYEXEXDUWABAGHIXMXKXHXGCU
      BYHYGYJYIUHXBSXCWSWOWA $.
  $}

  $( The isomorphy relation is symmetric for hypergraphs.  (Contributed by AV,
     11-Nov-2022.) $)
  isomgrsymb $p |- ( ( A e. UHGraph /\ B e. UHGraph )
                     -> ( A IsomGr B <-> B IsomGr A ) ) $=
    ( cuhgr wcel wa cisomgr wbr isomgrsym wi ancoms impbid ) ACDZBCDZEABFGZBAFG
    ZABCHMLONIBACHJK $.

  ${
    $d A i j $.  $d B i j k $.  $d C j k $.  $d X j $.  $d f i j $.
    $d g i j k $.  $d j k v $.  $d j k w $.
    $( Lemma for ~ isomgrtr .  (Contributed by AV, 5-Dec-2022.) $)
    isomgrtrlem $p |- ( ( ( ( ( A e. UHGraph /\ B e. UHGraph /\ C e. X )
                              /\ f : ( Vtx ` A ) -1-1-onto-> ( Vtx ` B )
                              /\ v : ( Vtx ` B ) -1-1-onto-> ( Vtx ` C ) )
            /\ ( g : dom ( iEdg ` A ) -1-1-onto-> dom ( iEdg ` B )
                 /\ A. i e. dom ( iEdg ` A ) ( f " ( ( iEdg ` A ) ` i ) )
                                             = ( ( iEdg ` B ) ` ( g ` i ) ) ) )
            /\ ( w : dom ( iEdg ` B ) -1-1-onto-> dom ( iEdg ` C )
                 /\ A. k e. dom ( iEdg ` B ) ( v " ( ( iEdg ` B ) ` k ) )
                                             = ( ( iEdg ` C ) ` ( w ` k ) ) ) )
       -> A. j e. dom ( iEdg ` A ) ( ( v o. f ) " ( ( iEdg ` A ) ` j ) )
                                   = ( ( iEdg ` C ) ` ( ( w o. g ) ` j ) ) ) $=
      ( wcel cvtx cfv cv wf1o ciedg cima wceq wa cuhgr w3a cdm wral ccom a1i wi
      imaco weq fveq2 imaeq2d 2fveq3 eqeq12d rspccv adantl ad2antlr imp simplrr
      wf f1of ffvelrn syl adantr sylc eqtrd wfn f1ofn fvco2 sylan eqcomd fveq2d
      ex 3eqtrd ralrimiva ) CUALDUALEKLUBCMNDMNZFOZPVOEMNBOZPUBZCQNZUCZDQNZUCZG
      OZPZVPHOZVSNZRZWEWCNWANZSZHVTUDZTZTZWBEQNZUCAOZPZVQJOZWANZRZWPWNNWMNZSZJW
      BUDZTZTZVQVPUEIOZVSNZRZXDWNWCUENZWMNZSIVTXCXDVTLZTZXFVQVPXERZRZXDWCNZWNNZ
      WMNZXHXFXLSXJVQVPXEUHUFXJXLVQXMWANZRZXOXJXKXPVQXCXIXKXPSZWKXIXRUGZVRXBWJX
      SWDWIXRHXDVTHIUIZWGXKWHXPXTWFXEVPWEXDVSUJUKWEXDWAWCULUMUNUOUPUQUKXJXAXMWB
      LZXQXOSZWLWOXAXIURXCXIYAWKXIYAUGZVRXBWDYCWJWDVTWBWCUSZYCVTWBWCUTYDXIYAVTW
      BXDWCVAVLVBVCUPUQWTYBJXMWBWPXMSZWRXQWSXOYEWQXPVQWPXMWAUJUKWPXMWMWNULUMUNV
      DVEXJXNXGWMXJXGXNXCWCVTVFZXIXGXNSWKYFVRXBWDYFWJVTWBWCVGVCUPVTWNWCXDVHVIVJ
      VKVMVN $.

    $d A e f g h i j v w $.  $d B f g k v w $.  $d C e f g h v w $.
    $d X f g v w $.
    $( The isomorphy relation is transitive for hypergraphs.  (Contributed by
       AV, 5-Dec-2022.) $)
    isomgrtr $p |- ( ( A e. UHGraph /\ B e. UHGraph /\ C e. X )
                      -> ( ( A IsomGr B /\ B IsomGr C ) -> A IsomGr C ) ) $=
      ( vf vg vv vw vh vj cuhgr wcel wa cfv cv wf1o wceq wral wex eqid vi vk ve
      w3a cisomgr wbr cvtx ciedg cima wb isomgr 3adant3 3adant1 anbi12d wi ccom
      cdm cvv vex coex a1i simpl simprl f1oco syl2anr isomgrtrlem f1oeq1 fveq2d
      jca fveq1 eqeq2d ralbidv spcedv ex exlimdv 3exp com34 imp32 imaeq1 eqeq1d
      anbi2d exbidv 3adant2 ad2antrr mpbird impd sylbid ) AKLZBKLZCDLZUDZABUEUF
      ZBCUEUFZMAUGNZBUGNZEOZPZAUHNZUQZBUHNZUQZFOZPZWPUAOZWRNUIXDXBNWTNQUAWSRZMZ
      FSZMZESZWOCUGNZGOZPZXACUHNZUQZHOZPZXKUBOZWTNUIXQXONXMNQUBXARZMZHSZMZGSZMA
      CUEUFZWKWLXIWMYBWHWIWLXIUJWJABEFUAWRWTWNWOKKWNTZWOTZWRTZWTTZUKULWIWJWMYBU
      JWHBCGHUBWTXMWOXJKDYEXJTZYGXMTZUKUMUNWKXIYBYCWKXHYBYCUOZEWKXHYJWKXHMZYAYC
      GYKYAYCYKYAMZYCWNXJUCOZPZWSXNIOZPZYMJOZWRNZUIZYQYONZXMNZQZJWSRZMZISZMZUCS
      ZYLUUFWNXJXKWPUPZPZYPUUHYRUIZUUAQZJWSRZMZISZMUCURUUHUUHURLYLXKWPGUSEUSUTV
      AYLUUIUUNYAXLWQUUIYKXLXTVBWKWQXGVCWNWOXJXKWPVDVEYKXLXTUUNWKWQXGXLXTUUNUOZ
      UOWKWQXLXGUUOWKWQXLXGUUOUOWKWQXLUDZXFUUOFUUPXFUUOUUPXFMZXSUUNHUUQXSUUNUUQ
      XSMZUUMWSXNXOXBUPZPZUUJYQUUSNZXMNZQZJWSRZMIURUUSUUSURLUURXOXBHUSFUSUTVAUU
      RUUTUVDXSXPXCUUTUUQXPXRVBUUPXCXEVCWSXAXNXOXBVDVEHGABCEFUAJUBDVFVIYOUUSQZY
      PUUTUULUVDWSXNYOUUSVGUVEUUKUVCJWSUVEUUAUVBUUJUVEYTUVAXMYQYOUUSVJVHVKVLUNV
      MVNVOVNVOVPVQVRVRVIYMUUHQZYNUUIUUEUUNWNXJYMUUHVGUVFUUDUUMIUVFUUCUULYPUVFU
      UBUUKJWSUVFYSUUJUUAYMUUHYRVSVTVLWAWBUNVMWKYCUUGUJZXHYAWHWJUVGWIACUCIJWRXM
      WNXJKDYDYHYFYIUKWCWDWEVNVOVNVOWFWG $.
  $}

  ${
    strisomgrop.g $e |- G = <. V , E >. $.
    strisomgrop.h $e |- H = { <. ( Base ` ndx ) , V >. ,
                               <. ( .ef ` ndx ) , E >. } $.
    $( A graph represented as an extensible structure with vertices as base set
       and indexed edges is isomorphic to a hypergraph represented as ordered
       pair with the same vertices and edges.  (Contributed by AV,
       11-Nov-2022.) $)
    strisomgrop $p |- ( ( G e. UHGraph /\ V e. X /\ E e. Y ) -> G IsomGr H ) $=
      ( wcel cvv cvtx cfv wceq ciedg cnx cop a1i 3adant1 fveq2i 3eqtr4d cisomgr
      cuhgr w3a wbr simp1 cbs cedgf cpr prex eqeltri struct2grvtx struct2griedg
      opvtxfv opiedgfv isomgreqve syl22anc ) BUBIZDEIZAFIZUCZUQCJIZBKLZCKLZMBNL
      ZCNLZMBCUAUDUQURUSUEVAUTCOUFLDPZOUGLAPZUHJHVFVGUIUJQUTDAPZKLZDVBVCURUSVID
      MUQADEFUMRVBVIMUTBVHKGSQURUSVCDMUQACDEFHUKRTUTVHNLZAVDVEURUSVJAMUQADEFUNR
      VDVJMUTBVHNGSQURUSVEAMUQACDEFHULRTBCJUOUP $.
  $}

  ${
    $d G f g i $.  $d H f g i $.  $d V f g i $.
    ushrisomgr.v $e |- V = ( Vtx ` G ) $.
    ushrisomgr.e $e |- E = ( Edg ` G ) $.
    ushrisomgr.s $e |- H = <. V , ( _I |` E ) >. $.
    $( A simple hypergraph (with arbitrarily indexed edges) is isomorphic to a
       graph with the same vertices and the same edges, indexed by the edges
       themselves.  (Contributed by AV, 11-Nov-2022.) $)
    ushrisomgr $p |- ( G e. USHGraph -> G IsomGr H ) $=
      ( vf vg vi wcel cvtx cfv wf1o ciedg wceq wa cvv a1i resiexd cushgr wbr cv
      cisomgr cdm cima wral wex cid cres fvexi f1oi fveq2i cedg id ax-mp pm3.2i
      cop opvtxfv mp1i syl5eq f1oeq3d mpbird fvexd crn cpw c0 csn cdif wf1 eqid
      ushgrf f1f1orn syl sylancr dmeqd dmresi edgval eqtrdi eqtrd wss ushgruhgr
      opiedgfv cuhgr uhgrss sylan resiima wfun f1f ffund fvelrn eqtri eleqtrrdi
      wf fvresi eqtr2id fveq1d 3eqtr2d ralrimiva jca f1oeq1 fveq1 fveq2d eqeq2d
      ralbidv anbi12d spcedv imaeq1 eqeq1d anbi2d exbidv wb opex eqeltri isomgr
      mpan2 ) BUAKZBCUDUBZDCLMZHUCZNZBOMZUEZCOMZUEZIUCZNZXTJUCZYBMZUFZYHYFMZYDM
      ZPZJYCUGZQZIUHZQZHUHZXQYQDXSUIDUJZNZYGYSYIUFZYLPZJYCUGZQZIUHZQHRYSXQDRDRK
      ZXQDBLEUKZSTXQYTUUEXQYTDDYSNZUUHXQDULSXQXSDDYSXQXSDUIAUJZURZLMZDCUUJLGUMU
      UFUUIRKZQUUKDPXQUUFUULUUGARKZUULABUNFUKZUUMARUUMUOTUPUQUUIDRRUSUTVAVBVCXQ
      UUDYCYEYBNZUUAYIYDMZPZJYCUGZQIRYBXQBOVDXQUUOUURXQUUOYCYBVEZYBNZXQYCDVFVGV
      HVIZYBVJZUUTYBBDEYBVKZVLZYCUVAYBVMVNXQYEUUSYCYBXQYEUUIUEZUUSXQYDUUIXQYDUU
      JOMZUUICUUJOGUMZXQUUFUULUVFUUIPZUUGXQARUUMXQUUNSTUUIDRRWCZVOVAVPXQUVEAUUS
      AVQXQABUNMZUUSAUVJPXQFSBVRZVSVAVTVBVCXQUUQJYCXQYHYCKZQZUUAYIYIUUIMZUUPUVM
      YIDWAZUUAYIPXQBWDKUVLUVOBWBYBYHBDEUVCWEWFDYIWGVNUVMYIAKUVNYIPUVMYIUUSAXQY
      BWHUVLYIUUSKXQYCUVAYBXQUVBYCUVAYBWNUVDYCUVAYBWIVNWJYHYBWKWFAUVJUUSFUVKWLW
      MAYIWOVNUVMYIUUIYDUVMYDUVFUUIUVGUVMUUFUULUVHUUGUVMARUUMUVMUUNSTUVIVOWPWQW
      RWSWTYFYBPZYGUUOUUCUURYCYEYFYBXAUVPUUBUUQJYCUVPYLUUPUUAUVPYKYIYDYHYFYBXBX
      CXDXEXFXGWTXTYSPZYAYTYPUUEDXSXTYSXAUVQYOUUDIUVQYNUUCYGUVQYMUUBJYCUVQYJUUA
      YLXTYSYIXHXIXEXJXKXFXGXQCRKXRYRXLCUUJRGDUUIXMXNBCHIJYBYDDXSUAREXSVKUVCYDV
      KXOXPVC $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Loop-free graphs - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d E x $.  $d V x $.
    1hegrlfgr.a $e |- ( ph -> A e. X ) $.
    1hegrlfgr.b $e |- ( ph -> B e. V ) $.
    1hegrlfgr.c $e |- ( ph -> C e. V ) $.
    1hegrlfgr.n $e |- ( ph -> B =/= C ) $.
    1hegrlfgr.x $e |- ( ph -> E e. ~P V ) $.
    1hegrlfgr.i $e |- ( ph -> ( iEdg ` G ) = { <. A , E >. } ) $.
    1hegrlfgr.e $e |- ( ph -> { B , C } C_ E ) $.
    $( A graph ` G ` with one hyperedge joining at least two vertices is a
       loop-free graph.  (Contributed by AV, 23-Feb-2021.) $)
    1hegrlfgr $p |- ( ph -> ( iEdg ` G ) : { A }
                                        --> { x e. ~P V | 2 <_ ( # ` x ) } ) $=
      ( csn c2 chash wcel cv cfv cle wbr cpw crab ciedg cop wf1o f1osng syl2anc
      wf f1of syl prid1g sseldd prid2g nehash2 wceq fveq2 breq2d elrab sylanbrc
      cpr snssd fssd feq1d mpbird ) ACQZRBUAZSUBZUCUDZBHUEZUFZGUGUBZULVIVNCFUHQ
      ZULAVIFQZVNVPAVIVQVPUIZVIVQVPULACITFVMTZVRJNCFIVMUJUKVIVQVPUMUNAFVNAVSRFS
      UBZUCUDZFVNTNADEFVMNADEVDZFDPADHTDWBTKDEHUOUNUPAWBFEPAEHTEWBTLDEHUQUNUPMU
      RVLWABFVMVJFUSVKVTRUCVJFSUTVAVBVCVEVFAVIVNVOVPOVGVH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Walks - extension
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c UPWalks $.

  $( Extend class notation with walks (of a pseudograph). $)
  cupwlks $a class UPWalks $.

  ${
    $d f g k p $.
    $( Define the set of all walks (in a pseudograph), called "simple walks" in
       the following.

       According to Wikipedia ("Path (graph theory)",
       ~ https://en.wikipedia.org/wiki/Path_(graph_theory) , 3-Oct-2017):  "A
       walk of length k in a graph is an alternating sequence of vertices and
       edges, v0 , e0 , v1 , e1 , v2 , ... , v(k-1) , e(k-1) , v(k) which
       begins and ends with vertices.  If the graph is undirected, then the
       endpoints of e(i) are v(i) and v(i+1)."

       According to Bollobas:  " A walk W in a graph is an alternating sequence
       of vertices and edges x0 , e1 , x1 , e2 , ... , e(l) , x(l) where e(i) =
       x(i-1)x(i), 0<i<=l.", see Definition of [Bollobas] p. 4.

       Therefore, a walk can be represented by two mappings f from { 1 , ... ,
       n } and p from { 0 , ... , n }, where f enumerates the (indices of the)
       edges, and p enumerates the vertices.  So the walk is represented by the
       following sequence: p(0) e(f(1)) p(1) e(f(2)) ... p(n-1) e(f(n)) p(n).

       Although this definition is also applicable for arbitrary hypergraphs,
       it allows only walks consisting of not proper hyperedges (i.e. edges
       connecting at most two vertices).  Therefore, it should be used for
       pseudographs only.  (Contributed by Alexander van der Vekens and Mario
       Carneiro, 4-Oct-2017.)  (Revised by AV, 28-Dec-2020.) $)
    df-upwlks $a |- UPWalks = ( g e. _V |-> { <. f , p >. |
                                ( f e. Word dom ( iEdg ` g )
                                /\ p : ( 0 ... ( # ` f ) ) --> ( Vtx ` g )
                                /\ A. k e. ( 0 ..^ ( # ` f ) )
                                   ( ( iEdg ` g ) ` ( f ` k ) )
                                   = { ( p ` k ) , ( p ` ( k + 1 ) ) } ) } ) $.
  $}

  ${
    $d G f g k p $.  $d I f g p $.  $d V g p $.  $d W f g $.
    upwlksfval.v $e |- V = ( Vtx ` G ) $.
    upwlksfval.i $e |- I = ( iEdg ` G ) $.
    $( The set of simple walks (in an undirected graph).  (Contributed by
       Alexander van der Vekens, 19-Oct-2017.)  (Revised by AV,
       28-Dec-2020.) $)
    upwlksfval $p |- ( G e. W -> ( UPWalks ` G ) = { <. f , p >. |
            ( f e. Word dom I /\ p : ( 0 ... ( # ` f ) ) --> V
              /\ A. k e. ( 0 ..^ ( # ` f ) )
                 ( I ` ( f ` k ) ) = { ( p ` k ) , ( p ` ( k + 1 ) ) } ) } ) $=
      ( vg wcel cv ciedg cfv cc0 co cvtx wceq copab cvv cword chash wf c1 caddc
      cdm cfz cpr cfzo wral w3a cupwlks df-upwlks fveq2 eqtr4di dmeqd wrdeq syl
      eleq2d feq3d fveq1d eqeq1d ralbidv 3anbi123d opabbidv elex 3anass opabbii
      wa fvexi dmex wrdexg mp1i cab a1i mapex sylancr wss simpl ss2abi opabex3d
      ovex ssexd eqeltrid fvmptd3 ) CFKZJCALZJLZMNZUFZUAZKZOWGUBNZUGPZWHQNZGLZU
      CZBLZWGNZWINZWRWPNWRUDUEPWPNUHZRZBOWMUIPZUJZUKZAGSWGDUFZUAZKZWNEWPUCZWSDN
      ZXARZBXCUJZUKZAGSZTULTAJBGUMWHCRZXEXMAGXOWLXHWQXIXDXLXOWKXGWGXOWJXFRWKXGR
      XOWIDXOWICMNDWHCMUNIUOZUPWJXFUQURUSXOWOEWPWNXOWOCQNEWHCQUNHUOUTXOXBXKBXCX
      OWTXJXAXOWSWIDXPVAVBVCVDVECFVFWFXNXHXIXLVIZVIZAGSTXMXRAGXHXIXLVGVHWFXQAGX
      GTXFTKXGTKWFDDCMIVJVKXFTVLVMWFXHVIZXQGVNZXIGVNZTXSWNTKETKZYATKOWMUGWBYBXS
      ECQHVJVOWNETTGVPVQXTYAVRXSXQXIGXIXLVSVTVOWCWAWDWE $.

    $d F f k p $.  $d P f k p $.  $d V f $.
    $( Properties of a pair of functions to be a simple walk.  (Contributed by
       Alexander van der Vekens, 20-Oct-2017.)  (Revised by AV,
       28-Dec-2020.) $)
    isupwlk $p |- ( ( G e. W /\ F e. U /\ P e. Z ) -> ( F ( UPWalks ` G ) P
        <-> ( F e. Word dom I /\ P : ( 0 ... ( # ` F ) ) --> V
              /\ A. k e. ( 0 ..^ ( # ` F ) )
                 ( I ` ( F ` k ) ) = { ( P ` k ) , ( P ` ( k + 1 ) ) } ) ) ) $=
      ( vf vp wcel w3a cfv cv cc0 co wceq cupwlks wbr cop cdm cword chash wf c1
      cfz caddc cpr cfzo copab df-br upwlksfval 3ad2ant1 eleq2d syl5bb wb eleq1
      wral wa adantr simpr fveq2 oveq2d feq12d fveq1 fveq2d eqeqan12d raleqbidv
      preq12d 3anbi123d opelopabga 3adant1 bitrd ) EHNZDBNZAINZOZDAEUAPZUBZDAUC
      ZLQZFUDUEZNZRWDUFPZUISZGMQZUGZCQZWDPZFPZWKWIPZWKUHUJSZWIPZUKZTZCRWGULSZVA
      ZOZLMUMZNZDWENZRDUFPZUISZGAUGZWKDPZFPZWKAPZWOAPZUKZTZCRXEULSZVAZOZWBWCWAN
      VTXCDAWAUNVTWAXBWCVQVRWAXBTVSLCEFGHMJKUOUPUQURVRVSXCXPUSVQXAXPLMDABIWDDTZ
      WIATZVBZWFXDWJXGWTXOXQWFXDUSXRWDDWEUTVCXSWHXFGWIAXQXRVDXQWHXFTXRXQWGXERUI
      WDDUFVEZVFVCVGXSWRXMCWSXNXQWSXNTXRXQWGXERULXTVFVCXQXRWMXIWQXLXQWLXHFWKWDD
      VHVIXRWNXJWPXKWKWIAVHWOWIAVHVLVJVKVMVNVOVP $.

    $d F f k p $.  $d P f k p $.  $d V f $.
    $( Generalization of ~ isupwlk :  Conditions for two classes to represent a
       simple walk.  (Contributed by AV, 5-Nov-2021.) $)
    isupwlkg $p |- ( G e. W -> ( F ( UPWalks ` G ) P <-> ( F e. Word dom I
              /\ P : ( 0 ... ( # ` F ) ) --> V
              /\ A. k e. ( 0 ..^ ( # ` F ) )
                 ( I ` ( F ` k ) ) = { ( P ` k ) , ( P ` ( k + 1 ) ) } ) ) ) $=
      ( vf vp wcel cvv w3a cupwlks cfv cc0 cfz co cv wbr cdm cword chash wf cpr
      c1 caddc wceq cfzo wral wi upwlksfval brfvopab a1i wa elex cpm ovex fvexi
      cvtx fpm elexd anim12i 3adant3 ex 3anass syl6ibr wb isupwlk pm5.21ndd ) D
      GLZDMLZCMLZAMLZNZCADOPUAZCEUBUCZLZQCUDPZRSZFAUEZBTZCPEPWCAPWCUGUHSZAPUFUI
      BQVTUJSUKZNZVQVPULVLJTZVRLQWGUDPZRSFKTZUEWCWGPEPWCWIPWDWIPUFUIBQWHUJSUKNJ
      KCAODJBDEFMKHIUMUNUOVLWFVMVNVOUPZUPZVPVLWFWKVLVMWFWJDGUQVSWBWJWEVSVNWBVOC
      VRUQWBAFWAURSWAFAQVTRUSFDVAHUTVBVCVDVEVDVFVMVNVOVGVHVPVQWFVIULVLAMBCDEFMM
      HIVJUOVK $.

    $( Basic properties of a simple walk.  (Contributed by Alexander van der
       Vekens, 31-Oct-2017.)  (Revised by AV, 29-Dec-2020.) $)
    upwlkbprop $p |- ( F ( UPWalks ` G ) P
                     -> ( G e. _V /\ F e. _V /\ P e. _V ) ) $=
      ( vf vp vk cvv wcel cupwlks cfv wbr w3a wa cv co c0 wi cdm cword chash wf
      cc0 cfz caddc cpr wceq cfzo copab upwlksfval breqd brabv syl6bi imdistani
      c1 wral 3anass sylibr ex wn fvprc breq br0 pm2.21i syl pm2.61i ) CKLZBACM
      NZOZVJBKLZAKLZPZUAZVJVLVOVJVLQVJVMVNQZQVOVJVLVQVJVLBAHRZDUBUCLUFVRUDNZUGS
      EIRZUEJRZVRNDNWAVTNWAURUHSVTNUIUJJUFVSUKSUSPZHIULZOVQVJVKWCBAHJCDEKIFGUMU
      NWBHIBAUOUPUQVJVMVNUTVAVBVJVCVKTUJZVPCMVDWDVLBATOZVOBAVKTVEWEVOBAVFVGUPVH
      VI $.
  $}

  ${
    $d F k $.  $d G k $.  $d P k $.
    $( A simple walk is a walk.  (Contributed by AV, 30-Dec-2020.)  (Proof
       shortened by AV, 27-Feb-2021.) $)
    upwlkwlk $p |- ( F ( UPWalks ` G ) P -> F ( Walks ` G ) P ) $=
      ( vk cvv wcel w3a cupwlks cfv wbr cwlks ciedg cvtx eqid upwlkbprop cc0 co
      wceq wral idd cdm cword chash cfz wf cv c1 cpr cfzo csn wss wif ifpprsnss
      caddc wi wa a1i ralimdva 3anim123d isupwlk iswlk 3imtr4d mpcom ) CEFBEFAE
      FGZBACHIJZBACKIJZABCCLIZCMIZVHNZVGNZOVDBVGUAUBFZPBUCIZUDQVHAUEZDUFZBIVGIZ
      VNAIZVNUGUNQAIZUHZRZDPVLUIQZSZGVKVMVPVQRVOVPUJRVRVOUKULZDVTSZGVEVFVDVKVKV
      MVMWAWCVDVKTVDVMTVDVSWBDVTVSWBUOVDVNVTFUPVPVQVOUMUQURUSAEDBCVGVHEEVIVJUTA
      EDBCVGVHEEVIVJVAVBVC $.

    $( In a pseudograph, a walk is a simple walk.  (Contributed by AV,
       30-Dec-2020.)  (Proof shortened by AV, 2-Jan-2021.) $)
    upgrwlkupwlk $p |- ( ( G e. UPGraph /\ F ( Walks ` G ) P )
                         -> F ( UPWalks ` G ) P ) $=
      ( vk cfv wbr wcel cvv w3a wa cc0 co wceq wral wi eqid adantr exp31 impcom
      cpr cwlks cupgr cupwlks wlkv ciedg cdm cword chash cfz cvtx wf cv c1 cfzo
      caddc csn wss wif iswlk simpr1 simpr2 wn df-ifp dfsn2 preq2 syl5eq eqeq2d
      wo biimpa a1d cedg simpr simpl upgredginwlk syl2anr imp wne simprr simplr
      df-ne fvexd 3jca sylbir adantl upgredgpr syl31anc eqcomd mpd com12 syl5bi
      id jaoi ralimdva ex com23 3impia sylbid impd wb isupwlk mpbird mpid ) BAC
      UAEFZCUBGZBACUCEFZXCXDCHGBHGAHGIZXEABCUDXCXDXFXEXCXDJZXFJXEBCUEEZUFUGGZKB
      UHEZUILCUJEZAUKZDULZBEXHEZXMAEZXMUMUOLZAEZTZMZDKXJUNLZNZIZXFXGYBXFXCXDYBX
      FXCXIXLXOXQMZXNXOUPZMZXRXNUQZURZDXTNZIZXDYBOAHDBCXHXKHHXKPZXHPZUSXFXDYIYB
      XFXDYIYBXFXDJZYIJXIXLYAYLXIXLYHUTYLXIXLYHVAYIYLYAXIXLYHYLYAOXIXLJZYLYHYAY
      MYLYHYAOYMYLJZYGXSDXTYGYCYEJZYCVBZYFJZVHZYNXMXTGZJZXSYCYEYFVCYRYTXSYOYTXS
      OYQYOXSYTYCYEXSYCYDXRXNYCYDXOXOTXRXOVDXOXQXOVEVFVGVIVJYTYQXSYTXNCVKEZGZYQ
      XSOYNYSUUBYLXDXIYSUUBOYMXFXDVLXIXLVMUUABCXHXMYKUUAPZVNVOVPYTUUBYQXSYTUUBJ
      ZYQJZXRXNUUEXDUUBYFXOHGZXQHGZXOXQVQZIZXRXNMUUDXDYQYTXDUUBYNXDYSYMXFXDVRQQ
      QYTUUBYQVSUUDYPYFVRYQUUIUUDYPUUIYFYPUUHUUIXOXQVTUUHUUFUUGUUHUUHXMAWAUUHXP
      AWAUUHWKWBWCQWDXOXQXNHUUACXKHYJUUCWEWFWGRWHWIWLWIWJWMWNWOWPSWBRWOWQWRSXFX
      EYBWSXGAHDBCXHXKHHYJYKWTWDXARXBS $.
  $}

  $( In a pseudograph, the definitions for a walk and a simple walk are
     equivalent.  (Contributed by AV, 30-Dec-2020.) $)
  upgrwlkupwlkb $p |- ( G e. UPGraph -> ( F ( Walks ` G ) P
                                         <-> F ( UPWalks ` G ) P ) ) $=
    ( cupgr wcel cwlks cfv wbr cupwlks upgrwlkupwlk ex upwlkwlk impbid1 ) CDEZB
    ACFGHZBACIGHZNOPABCJKABCLM $.

  ${
    $d G k $.  $d F k $.  $d P k $.
    upgrisupwlkALT.v $e |- V = ( Vtx ` G ) $.
    upgrisupwlkALT.i $e |- I = ( iEdg ` G ) $.
    $( Alternate proof of ~ upgriswlk using the definition of ` UPGraph ` and
       related theorems.  (Contributed by AV, 2-Jan-2021.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    upgrisupwlkALT $p |- ( ( G e. UPGraph /\ F e. U /\ P e. Z )
                      -> ( F ( Walks ` G ) P
        <-> ( F e. Word dom I /\ P : ( 0 ... ( # ` F ) ) --> V
              /\ A. k e. ( 0 ..^ ( # ` F ) )
                 ( I ` ( F ` k ) ) = { ( P ` k ) , ( P ` ( k + 1 ) ) } ) ) ) $=
      ( cupgr wcel w3a cwlks cfv wbr cupwlks cdm cc0 co cword chash wf cv caddc
      cfz c1 cpr wceq cfzo wral wb upgrwlkupwlkb 3ad2ant1 isupwlk bitrd ) EKLZD
      BLZAHLZMDAENOPZDAEQOPZDFRUALSDUBOZUFTGAUCCUDZDOFOVCAOVCUGUETAOUHUICSVBUJT
      UKMUQURUTVAULUSADEUMUNABCDEFGKHIJUOUP $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Edges of graphs expressed as sets of unordered pairs
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d G p $.
    $( The set of edges of a pseudograph is a subset of the set of unordered
       pairs of vertices.  (Contributed by AV, 24-Nov-2021.) $)
    upgredgssspr $p |- ( G e. UPGraph
                         -> ( Edg ` G ) C_ ( Pairs ` ( Vtx ` G ) ) ) $=
      ( vp cupgr wcel cedg cfv cv chash c2 cle wbr cvtx cpw cdif crab upgredgss
      c0 csn cspr cvv wceq fvex sprvalpwle2 ax-mp sseqtrrdi ) ACDAEFBGHFIJKBALF
      ZMQRNOZUFSFZBAPUFTDUHUGUAALUBUFTBUCUDUE $.
  $}

  ${
    $d P e q v $.  $d V e q v $.  $d W e v $.
    uspgrsprf.p $e |- P = ~P ( Pairs ` V ) $.
    uspgrsprf.g $e |- G = { <. v , e >. | ( v = V /\ E. q e. USPGraph
                                  ( ( Vtx ` q ) = v /\ ( Edg ` q ) = e ) ) } $.
    $( The set ` G ` of "simple pseudographs" for a fixed set ` V ` of vertices
       is a subset of a Cartesian product.  For more details about the class
       ` G ` of all "simple pseudographs" see comments on ~ uspgrbisymrel .
       (Contributed by AV, 24-Nov-2021.) $)
    uspgropssxp $p |- ( V e. W -> G C_ ( W X. P ) ) $=
      ( wcel cv wceq cvtx cfv cedg wa cuspgr wrex cspr wss cxp wb eqcoms adantr
      copab eleq1 biimpac wi w3a cpw uspgrupgr upgredgssspr syl 3ad2ant1 simp2l
      cupgr simp3 eqtrd fveq2d sseqtrd fvex elpw sylibr eqcomd 3ad2ant2 3eltr4d
      simpr a1i 3exp rexlimiv impcom adantl opabssxpd eqsstrid ) EFJZDAKZELZGKZ
      MNZVPLZVRONZCKZLZPZGQRZPZACUEFBUAIVOWFACFBWFVOVPFJZVQVOWGUBZWEWHEVPEVPFUF
      UCUDUGWFWBBJZVOWEVQWIWDVQWIUHGQVRQJZWDVQWIWJWDVQUIZWAESNZUJZWBBWKWAWLTWAW
      MJWKWAVSSNZWLWJWDWAWNTZVQWJVRUPJWOVRUKVRULUMUNWKVSESWKVSVPEWJVTWCVQUOWJWD
      VQUQURUSUTWAWLVROVAVBVCWDWJWBWALVQWDWAWBVTWCVGVDVEBWMLWKHVHVFVIVJVKVLVMVN
      $.

    $d G g $.
    ${
      $d X g $.
      uspgrsprf.f $e |- F = ( g e. G |-> ( 2nd ` g ) ) $.
      $( The value of the function ` F ` which maps a "simple pseudograph" for
         a fixed set ` V ` of vertices to the set of edges (i.e. range of the
         edge function) of the graph.  Solely for ` G ` as defined here, the
         function ` F ` is a bijection between the "simple pseudographs" and
         the subsets of the set of pairs ` P ` over the fixed set ` V ` of
         vertices, see ~ uspgrbispr .  (Contributed by AV, 24-Nov-2021.) $)
      uspgrsprfv $p |- ( X e. G -> ( F ` X ) = ( 2nd ` X ) ) $=
        ( wcel cv c2nd cfv cvv fveq2 id fvexd fvmptd3 ) HFMZDHDNZOPHOPFEQLUCHOR
        UBSUBHOTUA $.

      $d P e g v $.
      $( The mapping ` F ` is a function from the "simple pseudographs" with a
         fixed set of vertices ` V ` into the subsets of the set of pairs over
         the set ` V ` .  (Contributed by AV, 24-Nov-2021.) $)
      uspgrsprf $p |- F : G --> P $=
        ( cv cfv wcel wceq wa cuspgr cspr wss adantr c2nd cvtx cedg wrex eleq2i
        cop wex copab elopab bitri cupgr uspgrupgr upgredgssspr syl simpr fveq2
        sseq12d adantl mpbid rexlimiva sseq2d vex op2ndd sseq1d mpbird cpw fvex
        wb elpw sylibr exlimivv sylbi fmpti ) DFBDLZUAMZEKVNFNZVNALZCLZUFOZVQGO
        ZHLZUBMZVQOZWAUCMZVROZPZHQUDZPZPZCUGAUGZVOBNZVPVNWHACUHZNWJFWLVNJUEWHAC
        VNUIUJWIWKACWIVOGRMZSZWKWIWNVRWMSZWHWOVSWHVRVQRMZSZWOWGWQVTWFWQHQWAQNZW
        FPWDWBRMZSZWQWRWTWFWRWAUKNWTWAULWAUMUNTWFWTWQVHWRWFWDVRWSWPWCWEUOWCWSWP
        OWEWBVQRUPTUQURUSUTURVTWQWOVHWGVTWPWMVRVQGRUPVATUSURVSWNWOVHWHVSVOVRWMV
        QVRVNAVBCVBVCVDTVEWKVOWMVFZNWNBXAVOIUEVOWMVNUAVGVIUJVJVKVLVM $.

      $d F a b $.  $d G a b g $.  $d P a b $.  $d V a b f e v w $.
      $d V f q w $.
      $( The mapping ` F ` is a one-to-one function from the "simple
         pseudographs" with a fixed set of vertices ` V ` into the subsets of
         the set of pairs over the set ` V ` .  (Contributed by AV,
         25-Nov-2021.) $)
      uspgrsprf1 $p |- F : G -1-1-> P $=
        ( va vw vf cv cfv wceq wi wa wex vb wf1 wf weq wral uspgrsprf wcel c2nd
        uspgrsprfv eqeqan12d cvtx cedg cuspgr copab eleq2i elopab opeq12 eqeq2d
        cop wrex wb eqeq1 adantr eqeq2 bi2anan9 rexbidv anbi12d cbvex2vw 3bitri
        bitri ex equcoms syl6bir ad2antrl imp vex op2ndd eqeq12d eqeq12 3imtr4d
        com12 exlimivv syl2anb sylbid rgen2 dff13 mpbir2an ) FBEUBFBEUCLOZEPZUA
        OZEPZQZLUAUDZRZUAFUELFUEABCDEFGHIJKUFWNLUAFFWHFUGZWJFUGZSWLWHUHPZWJUHPZ
        QZWMWOWPWIWQWKWRABCDEFGWHHIJKUIABCDEFGWJHIJKUIUJWOWHMOZNOZUSZQZWTGQZHOZ
        UKPZWTQZXEULPZXAQZSZHUMUTZSZSZNTMTZWJAOZCOZUSZQZXOGQZXFXOQZXHXPQZSZHUMU
        TZSZSZCTATZWSWMRZWPWOWHYDACUNZUGWHXQQZYDSZCTATXNFYHWHJUOYDACWHUPYJXMACM
        NAMUDZCNUDZSZYIXCYDXLYMXQXBWHXOXPWTXAUQURYMXSXDYCXKYKXSXDVAYLXOWTGVBVCY
        MYBXJHUMYKXTXGYLYAXIXOWTXFVDXPXAXHVDVEVFVGVGVHVIWPWJYHUGYFFYHWJJUOYDACW
        JUPVJXNYFYGXMYFYGRMNYFXMYGYEXMYGRACYEXMYGYEXMSZNCUDZXBXQQZWSWMYEXMYOYPR
        ZXSXMYQRXRYCXMXSYQXDXSYQRXCXKXDXSYKYQWTGXOVDYQMAMAUDYOYPWTXAXOXPUQVKVLV
        MVNWAVNVOYNWQXAWRXPXCWQXAQYEXLWTXAWHMVPNVPVQVNYEWRXPQZXMXRYRYDXOXPWJAVP
        CVPVQVCVCVRYEXMWMYPVAZXRXMYSRYDXMXRYSXCXRYSRXLXCXRYSWHXBWJXQVSVKVCWAVCV
        OVTVKWBWAWBVOWCWDWELUAFBEWFWG $.

      $d V a f p $.  $d W a b $.  $d W p $.  $d W q $.  $d a q $.
      $( The mapping ` F ` is a function from the "simple pseudographs" with a
         fixed set of vertices ` V ` onto the subsets of the set of pairs over
         the set ` V ` .  (Contributed by AV, 25-Nov-2021.) $)
      uspgrsprfo $p |- ( V e. W -> F : G -onto-> P ) $=
        ( va vb wcel cv cfv wceq wa cvv vp vf wrex wral wfo uspgrsprf c2nd cspr
        wf a1i wss wi cpw eleq2i velpw bitri cop cvtx cedg cuspgr eqidd cid cdm
        cres chash c2 cle wbr csn cdif crab wf1 wf1o wex vex f1oi dmresi f1oeq2
        c0 ax-mp sylibr sprvalpwle2 sseq2d biimpac jca weq f1oeq3 sseq1 anbi12d
        spcedv resiexg f11o resiexd anim1ci isuspgrop syl mpbird fveqeq2 adantl
        wb sylan2 crn edgopval rnresi eqtrdi ancoms rspcedvd copab eqeq1 adantr
        opvtxfv eqeq2 rexbidv opelopabga syl5bb fveq2 eqeq2d op2ndg elvd eqcomd
        bi2anan9 ex sylbi impcom uspgrsprfv rexbidva ralrimiva dffo3 sylanbrc )
        GHOZFBEUIZMPZNPZEQZRZNFUCZMBUDFBEUEYKYJABCDEFGIJKLUFUJYJYPMBYJYLBOZSZYP
        YLYMUGQZRZNFUCZYQYJUUAYQYLGUHQZUKZYJUUAULYQYLUUBUMZOUUCBUUDYLJUNMUUBUOU
        PUUCYJUUAUUCYJSZYTYLGYLUQZUGQZRZNUUFFUUEUUFFOZGGRZIPZURQZGRZUUKUSQZYLRZ
        SZIUTUCZSZUUEUUJUUQUUEGVAUUEUUPGVBYLVDZUQZURQGRZUUTUSQZYLRZSZIUUTUTUUEU
        UTUTOZUUSVCZUAPVEQVFVGVHUAGUMVSVIVJVKZUUSVLZUUEUVFUBPZUUSVMZUVIUVGUKZSZ
        UBVNUVHUUEUVLUVFYLUUSVMZYLUVGUKZSUBTYLYLTOZUUEMVOZUJUUEUVMUVNUUEYLYLUUS
        VMZUVMUVQUUEYLVPUJUVFYLRUVMUVQWTYLVQUVFYLYLUUSVRVTWAYJUUCUVNYJUUBUVGYLG
        HUAWBWCWDWEUBMWFUVJUVMUVKUVNUVIYLUVFUUSWGUVIYLUVGWHWIWJUBUVFUVGUUSUVOUU
        STOZUVPYLTWKVTWLWAUUEYJUVRSUVEUVHWTUUCUVRYJUUCYLTUVOUUCUVPUJZWMZWNUUSGH
        TUAWOWPWQUUKUUTRZUUPUVDWTUUEUWAUUMUVAUUOUVCUUKUUTGURWRUUKUUTYLUSWRWIWSY
        JUUCUVDYJUUCSZUVAUVCUUCYJUVRUVAUVTUUSGHTXKXAUWBUVBUUSXBZYLUUCYJUVRUVBUW
        CRUVTUUSGHTXCXAYLXDXEWEXFXGWEUUIUUFAPZGRZUULUWDRZUUNCPZRZSZIUTUCZSZACXH
        ZOZUUEUURFUWLUUFKUNUUEYJUVOSUWMUURWTUUCUVOYJUVSWNUWKUURACGYLHTUWECMWFZS
        ZUWEUUJUWJUUQUWEUWEUUJWTUWNUWDGGXIXJUWOUWIUUPIUTUWEUWFUUMUWNUWHUUOUWDGU
        ULXLUWGYLUUNXLYAXMWIXNWPXOWQYMUUFRZYTUUHWTUUEUWPYSUUGYLYMUUFUGXPXQWSUUE
        UUGYLYJUUGYLRZUUCYJUWQMGYLHTXRXSWSXTXGYBYCYDYRYOYTNFYRYMFOZSYNYSYLUWRYN
        YSRYRABCDEFGYMIJKLYEWSXQYFWQYGNMFBEYHYI $.

      $( The mapping ` F ` is a bijection between the "simple pseudographs"
         with a fixed set of vertices ` V ` and the subsets of the set of pairs
         over the set ` V ` .  See also the comments on ~ uspgrbisymrel .
         (Contributed by AV, 25-Nov-2021.) $)
      uspgrsprf1o $p |- ( V e. W -> F : G -1-1-onto-> P ) $=
        ( wcel wf1 wfo wf1o uspgrsprf1 a1i uspgrsprfo df-f1o sylanbrc ) GHMZFBE
        NZFBEOFBEPUCUBABCDEFGIJKLQRABCDEFGHIJKLSFBETUA $.
    $}

    $d P e g v $.  $d W q $.
    $( The class ` G ` of all "simple pseudographs" with a fixed set of
       vertices ` V ` is a set.  (Contributed by AV, 26-Nov-2021.) $)
    uspgrex $p |- ( V e. W -> G e. _V ) $=
      ( vg wcel cvv cspr cfv cpw fvex pwex eqeltri cv c2nd cmpt wf1o eqid f1ovv
      wb uspgrsprf1o syl mpbiri ) EFKZDLKZBLKZBEMNZOLHULEMPQRUIDBJDJSTNUAZUBUJU
      KUEABCJUMDEFGHIUMUCUFDBUMUDUGUH $.

    $d G f $.  $d P f g $.
    $( There is a bijection between the "simple pseudographs" with a fixed set
       of vertices ` V ` and the subsets of the set of pairs over the set
       ` V ` .  (Contributed by AV, 26-Nov-2021.) $)
    uspgrbispr $p |- ( V e. W -> E. f f : G -1-1-onto-> P ) $=
      ( vg wcel cv wf1o c2nd cfv cmpt cvv uspgrex mptexd uspgrsprf1o f1oeq1
      eqid spcedv ) FGLZEBDMZNEBKEKMOPZQZNDRUHUEKEUGRABCEFGHIJSTABCKUHEFGHIJUHU
      CUAEBUFUHUBUD $.

    $( The set ` G ` of the "simple pseudographs" with a fixed set of vertices
       ` V ` and the class ` P ` of subsets of the set of pairs over the fixed
       set ` V ` are equinumerous.  (Contributed by AV, 27-Nov-2021.) $)
    uspgrspren $p |- ( V e. W -> G ~~ P ) $=
      ( vf wcel cv wf1o wex cen wbr uspgrbispr bren sylibr ) EFKDBJLMJNDBOPABCJ
      DEFGHIQDBJRS $.
  $}

  ${
    $d V e q v $.  $d V r x y $.  $d W e q v $.  $d W x y $.
    uspgrbisymrel.g $e |- G = { <. v , e >. | ( v = V /\ E. q e. USPGraph
                                  ( ( Vtx ` q ) = v /\ ( Edg ` q ) = e ) ) } $.
    uspgrbisymrel.r $e |- R = { r e. ~P ( V X. V ) |
                                   A. x e. V A. y e. V ( x r y <-> y r x ) } $.
    $( The set ` G ` of the "simple pseudographs" with a fixed set of vertices
       ` V ` and the class ` R ` of the symmetric relations on the fixed set
       ` V ` are equinumerous.  For more details about the class ` G ` of all
       "simple pseudographs" see comments on ~ uspgrbisymrel .  (Contributed by
       AV, 27-Nov-2021.) $)
    uspgrymrelen $p |- ( V e. W -> G ~~ R ) $=
      ( wcel cspr cfv cpw cen wbr eqid uspgrspren sprsymrelen entr syl2anc ) GH
      MFGNOPZQRUDDQRFDQRCUDEFGHJUDSZKTABUDDGHIUELUAFUDDUBUC $.

    $d G f g $.  $d R f p $.  $d V g $.  $d V p r x y $.
    $( There is a bijection between the "simple pseudographs" for a fixed set
       ` V ` of vertices and the class ` R ` of the symmetric relations on the
       fixed set ` V ` .  The simple pseudographs, which are graphs without
       hyper- or multiedges, but which may contain loops, are expressed as
       ordered pairs of the vertices and the edges (as proper or improper
       unordered pairs of vertices, not as indexed edges!) in this theorem.
       That class ` G ` of such simple pseudographs is a set (if ` V ` is a
       set, see ~ uspgrex ) of equivalence classes of graphs abstracting from
       the index sets of their edge functions.

       Solely for this abstraction, there is a bijection between the "simple
       pseudographs" as members of ` G ` and the symmetric relations ` R ` on
       the fixed set ` V ` of vertices.  This theorem would not hold for
       ` G = { g e. USPGraph | ( Vtx `` g ) = V } ` and even not for
       ` G = { <. v , e >. | ( v = V /\ <. v , e >. e. USPGraph ) } ` , because
       these are much bigger classes.  (Proposed by Gerard Lang, 16-Nov-2021.)
       (Contributed by AV, 27-Nov-2021.) $)
    uspgrbisymrel $p |- ( V e. W -> E. f f : G -1-1-onto-> R ) $=
      ( wcel cen wbr cv wf1o wex uspgrymrelen bren sylib ) HINGDOPGDFQRFSABCDEG
      HIJKLMTGDFUAUB $.

    $d V c f p r x y $.  $d W c $.  $d e g v $.
    $( Alternate proof of ~ uspgrbisymrel not using the definition of
       equinumerosity.  (Contributed by AV, 26-Nov-2021.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    uspgrbisymrelALT $p |- ( V e. W -> E. f f : G -1-1-onto-> R ) $=
      ( vp vc vg wcel cv cvv wf1o cspr cfv cpw cpr wceq wrex cmpt c2nd ccom wex
      copab fvex pwex mptexg mp1i eqid uspgrex syl2anc sprsymrelf1o uspgrsprf1o
      syl coexg f1oco f1oeq1 spcegv sylc ) HIQZNHUAUBZUCZORARBRUDUEONRUFABUKZUG
      ZPGPRUHUBZUGZUIZSQZGDVNTZGDFRZTZFUJVGVKSQZVMSQZVOVISQVSVGVHHUAULUMNVIVJSU
      NUOVGGSQVTCVIEGHIKVIUPZLUQPGVLSUNVAVKVMSSVBURVGVIDVKTGVIVMTVPABVIDVKHIJNO
      WAMVKUPUSCVIEPVMGHIKWALVMUPUTGVIDVKVMVCURVRVPFVNSGDVQVNVDVEVF $.
  $}
$( End $[ set-mbox-av-graph.mm $] $)


$( Begin $[ set-mbox-av-matrix.mm $] $)
$( Skip $[ set-main.mm $] $)
$( Skip $[ set-mbox-so.mm $] $)
$( Skip $[ set-typeset.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Monoids (extension)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Auxiliary theorems
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( If a class operation value for two operands is not the empty set, then the
     operands are contained in the domain of the class, and the class
     restricted to the operands is a function, analogous to ~ fvfundmfvn0 .
     (Contributed by AV, 27-Jan-2020.) $)
  ovn0dmfun $p |- ( ( A F B ) =/= (/)
               -> ( <. A , B >. e. dom F /\ Fun ( F |` { <. A , B >. } ) ) ) $=
    ( co c0 wne cop cfv cdm wcel csn cres wfun df-ov neeq1i fvfundmfvn0 sylbi
    wa ) ABCDZEFABGZCHZEFTCIJCTKLMRSUAEABCNOTCPQ $.

  ${
    $d C a b $.  $d X a b $.
    $( A Cartesian product with a singleton expressed as ordered-pair class
       abstraction.  (Contributed by AV, 27-Jan-2020.) $)
    xpsnopab $p |- ( { X } X. C ) = { <. a , b >. | ( a = X /\ b e. C ) } $=
      ( csn cxp cv wcel wa copab wceq df-xp velsn anbi1i opabbii eqtri ) BEZAFC
      GZQHZDGAHZIZCDJRBKZTIZCDJCDQALUAUCCDSUBTCBMNOP $.
  $}

  ${
    $d B x $.  $d C a b x $.
    $( A Cartesian product expressed as indexed union of ordered-pair class
       abstractions.  (Contributed by AV, 27-Jan-2020.) $)
    xpiun $p |- ( B X. C ) = U_ x e. B { <. a , b >. | ( a = x /\ b e. C ) } $=
      ( weq cv wcel wa ciun csn cxp wceq xpsnopab eqcomi a1i iuneq2i iunxpconst
      copab eqtr2i ) ABDAFEGCHIDESZJABAGZKCLZJBCLABUAUCUAUCMUBBHUCUACUBDENOPQAB
      CRT $.
  $}

  ${
    $d D a b p $.  $d E a b p $.  $d F a b p $.
    $( If a class' operation value for two operands is not the empty set, the
       operands are contained in the domain of the class, and the class
       restricted to the operands is a function, analogous to ~ fvfundmfvn0 .
       (Contributed by AV, 27-Jan-2020.) $)
    ovn0ssdmfun $p |- ( A. a e. D A. b e. E ( a F b ) =/= (/)
                     -> ( ( D X. E ) C_ dom F /\ Fun ( F |` ( D X. E ) ) ) ) $=
      ( vp cv co c0 wne wral cfv cxp cdm wss cres wfun wa cop wceq fveq2 neeq1d
      df-ov eqtr4di ralxp fvn0ssdmfun sylbir ) DGZEGZCHZIJZEBKDAKFGZCLZIJZFABMZ
      KUOCNOCUOPQRUNUKFDEABULUHUISZTZUMUJIUQUMUPCLUJULUPCUAUHUICUCUDUBUEUOCFUFU
      G $.
  $}

  $( The domain of the domain of a function over a Cartesian square.
     (Contributed by AV, 13-Jan-2020.) $)
  fnxpdmdm $p |- ( F Fn ( A X. A ) -> dom dom F = A ) $=
    ( cxp wfn cdm wceq fndm dmeq dmxpid eqtrdi syl ) BAACZDBEZLFZMEZAFLBGNOLEAM
    LHAIJK $.

  ${
    cnfldsrngbas.r $e |- R = ( CCfld |`s S ) $.
    $( The base set of a subring of the field of complex numbers.  (Contributed
       by AV, 31-Jan-2020.) $)
    cnfldsrngbas $p |- ( S C_ CC -> S = ( Base ` R ) ) $=
      ( cc ccnfld cnfldbas ressbas2 ) BDAECFG $.

    $( The group addition operation of a subring of the field of complex
       numbers.  (Contributed by AV, 31-Jan-2020.) $)
    cnfldsrngadd $p |- ( S e. V -> + = ( +g ` R ) ) $=
      ( caddc ccnfld cnfldadd ressplusg ) BEFACDGH $.

    $( The ring multiplication operation of a subring of the field of complex
       numbers.  (Contributed by AV, 31-Jan-2020.) $)
    cnfldsrngmul $p |- ( S e. V -> x. = ( .r ` R ) ) $=
      ( ccnfld cmul cnfldmul ressmulr ) BEAFCDGH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Magmas, Semigroups and Monoids (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d B p x y $.  $d .+ p x y $.  $d .+^ p x y $.
    plusfreseq.1 $e |- B = ( Base ` M ) $.
    plusfreseq.2 $e |- .+ = ( +g ` M ) $.
    plusfreseq.3 $e |- .+^ = ( +f ` M ) $.
    $( If the empty set is not contained in the range of the group addition
       function of an extensible structure (not necessarily a magma), the
       restriction of the addition operation to (the Cartesian square of) the
       base set is the functionalization of it.  (Contributed by AV,
       28-Jan-2020.) $)
    plusfreseq $p |- ( (/) e/ ran .+^ -> ( .+ |` ( B X. B ) ) = .+^ ) $=
      ( vp vx vy cv cfv wceq wral ax-mp a1i co wcel eqcomd fveq2 wnel wfun cres
      c0 crn cxp wfn plusffn fnfun id wa plusfval rgen2 cop df-ov eqtr4di ralxp
      eqeq12d sylibr cdm fndm fveqressseq syl3anc ) UDCUEUAZCUBZVDHKZBLZVFCLZMZ
      HAAUFZNZBVJUCCMVEVDCVJUGZVEACDEGUHZVJCUIOPVDUJVDIKZJKZBQZVNVOCQZMZJANIANZ
      VKVSVDVRIJAAVNARVOARUKVQVPABCDVNVOEFGULSUMPVIVRHIJAAVFVNVOUNZMZVGVPVHVQWA
      VGVTBLVPVFVTBTVNVOBUOUPWAVHVTCLVQVFVTCTVNVOCUOUPURUQUSHBCVJVLVJCUTZMVMVLW
      BVJVJCVASOVBVC $.

    $( If the empty set is not contained in the base set of a magma, the
       restriction of the addition operation to (the Cartesian square of) the
       base set is the functionalization of it.  (Contributed by AV,
       28-Jan-2020.) $)
    mgmplusfreseq $p |- ( ( M e. Mgm /\ (/) e/ B )
                          -> ( .+ |` ( B X. B ) ) = .+^ ) $=
      ( cmgm wcel c0 wnel wa crn cxp cres wceq wf wss wi mgmplusf ssel nelcon3d
      frn 3syl imp plusfreseq syl ) DHIZJAKZLJCMZKZBAANZOCPUHUIUKUHULACQUJARZUI
      UKSACDEGTULACUCUMJUJJAUJAJUAUBUDUEABCDEFGUFUG $.
  $}

  ${
    $d M x y $.
    0mgm.b $e |- ( Base ` M ) = (/) $.
    $( A set with an empty base set is always a magma.  (Contributed by AV,
       25-Feb-2020.) $)
    0mgm $p |- ( M e. V -> M e. Mgm ) $=
      ( vx vy wcel cmgm cv cplusg cfv co wral ral0 cbs eqcomi eqid ismgm mpbiri
      c0 ) ABFAGFDHEHAIJZKSFESLZDSLUADMDESABTANJSCOTPQR $.
  $}

  ${
    $d a B $.  $d a x y K $.  $d a x y L $.  $d a x y ph $.
    mgmpropd.k $e |- ( ph -> B = ( Base ` K ) ) $.
    mgmpropd.l $e |- ( ph -> B = ( Base ` L ) ) $.
    mgmpropd.b $e |- ( ph -> B =/= (/) ) $.
    mgmpropd.p $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
      ( x ( +g ` K ) y ) = ( x ( +g ` L ) y ) ) $.
    $( If two structures have the same (nonempty) base set, and the values of
       their group (addition) operations are equal for all pairs of elements of
       the base set, one is a magma iff the other one is.  (Contributed by AV,
       25-Feb-2020.) $)
    mgmpropd $p |- ( ph -> ( K e. Mgm <-> L e. Mgm ) ) $=
      ( va cv cplusg cfv co cbs wcel wral eleq2d eqid cmgm wa wceq simpl eqcomd
      biimpcd adantr impcom biimpd adantld imp syl12anc eleq1d 2ralbidva eqtr3d
      wi raleqbidv bitrd c0 wne wb wex n0 ismgmn0 syl6bi exlimdv syl5bi 3bitr4d
      mpd ) ABLZCLZEMNZOZEPNZQZCVNRBVNRZVJVKFMNZOZFPNZQZCVSRZBVSRZEUAQZFUAQZAVP
      VRVNQZCVNRZBVNRWBAVOWEBCVNVNAVJVNQZVKVNQZUBZUBZVMVRVNWJAVJDQZVKDQZVMVRUCA
      WIUDWIAWKWGAWKUPWHAWGWKAVNDVJADVNGUEZSUFUGUHAWIWLAWHWLWGAWHWLAVNDVKWMSUIU
      JUKJULUMUNAWFWABVNVSADVNVSGHUOZAWEVTCVNVSWNAVNVSVRWNSUQUQURADUSUTZWCVPVAZ
      IWOKLZDQZKVBZAWPKDVCZAWRWPKAWRWQVNQWPADVNWQGSBCWQVNEVLVNTVLTVDVEVFVGVIAWO
      WDWBVAZIWOWSAXAWTAWRXAKAWRWQVSQXAADVSWQHSBCWQVSFVQVSTVQTVDVEVFVGVIVH $.
  $}

  ${
    $d x y B $.  $d x y G $.  $d x y ph $.
    ismgmd.b $e |- ( ph -> B = ( Base ` G ) ) $.
    ismgmd.0 $e |- ( ph -> G e. V ) $.
    ismgmd.p $e |- ( ph -> .+ = ( +g ` G ) ) $.
    ismgmd.c $e |- ( ( ph /\ x e. B /\ y e. B ) -> ( x .+ y ) e. B ) $.
    $( Deduce a magma from its properties.  (Contributed by AV,
       25-Feb-2020.) $)
    ismgmd $p |- ( ph -> G e. Mgm ) $=
      ( cmgm wcel cv cplusg cfv co wral raleqbidv eqid 3expb ralrimivva eleq12d
      cbs oveqd mpbid wb ismgm syl mpbird ) AFLMZBNZCNZFOPZQZFUDPZMZCUPRZBUPRZA
      ULUMEQZDMZCDRZBDRUSAVABCDDAULDMUMDMVAKUAUBAVBURBDUPHAVAUQCDUPHAUTUODUPAEU
      NULUMJUEHUCSSUFAFGMUKUSUGIBCUPFGUNUPTUNTUHUIUJ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Magma homomorphisms and submagmas
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c MgmHom $.
  $c SubMgm $.

  $( Hom-set generator class for magmas. $)
  cmgmhm $a class MgmHom $.

  $( Class function taking a magma to its lattice of submagmas. $)
  csubmgm $a class SubMgm $.

  ${
    $d s t f x y $.
    $( A magma homomorphism is a function on the base sets which preserves the
       binary operation.  (Contributed by AV, 24-Feb-2020.) $)
    df-mgmhm $a |- MgmHom = ( s e. Mgm , t e. Mgm |->
          { f e. ( ( Base ` t ) ^m ( Base ` s ) ) |
            A. x e. ( Base ` s ) A. y e. ( Base ` s )
                  ( f ` ( x ( +g ` s ) y ) )
                  = ( ( f ` x ) ( +g ` t ) ( f ` y ) ) } ) $.

    $( A submagma is a subset of a magma which is closed under the operation.
       Such subsets are themselves magmas.  (Contributed by AV,
       24-Feb-2020.) $)
    df-submgm $a |- SubMgm = ( s e. Mgm |-> { t e. ~P ( Base ` s ) |
                             A. x e. t A. y e. t ( x ( +g ` s ) y ) e. t } ) $.

    $( Reverse closure of a magma homomorphism.  (Contributed by AV,
       24-Feb-2020.) $)
    mgmhmrcl $p |- ( F e. ( S MgmHom T ) -> ( S e. Mgm /\ T e. Mgm ) ) $=
      ( vs vt vx vy vf cmgm cv cplusg cfv co wceq cbs wral cmap cmgmhm df-mgmhm
      crab elmpocl ) DEIIFJZGJZDJZKLMHJZLUBUELUCUELEJZKLMNGUDOLZPFUGPHUFOLUGQMT
      ABRCFGEHDSUA $.

    $( Reverse closure for submagmas.  (Contributed by AV, 24-Feb-2020.) $)
    submgmrcl $p |- ( S e. ( SubMgm ` M ) -> M e. Mgm ) $=
      ( vs vx vy vt csubmgm cfv wcel cdm cmgm cv cplusg wral cbs crab df-submgm
      co cpw dmmptss elfvdm sselid ) ABGHIGJKBCKDLELCLZMHRFLZIEUDNDUDNFUCOHSPGD
      EFCQTABGUAUB $.
  $}

  ${
    $d f s t .+^ $.  $d f s t x y B $.  $d f s t x y S $.  $d f s t x y T $.
    $d f s t .+ $.  $d f s t C $.  $d f x y F $.
    ismgmhm.b $e |- B = ( Base ` S ) $.
    ismgmhm.c $e |- C = ( Base ` T ) $.
    ismgmhm.p $e |- .+ = ( +g ` S ) $.
    ismgmhm.q $e |- .+^ = ( +g ` T ) $.
    $( Property of a magma homomorphism.  (Contributed by AV, 25-Feb-2020.) $)
    ismgmhm $p |- ( F e. ( S MgmHom T ) <-> ( ( S e. Mgm /\ T e. Mgm ) /\
          ( F : B --> C /\ A. x e. B A. y e. B ( F ` ( x .+ y ) ) =
                  ( ( F ` x ) .+^ ( F ` y ) ) ) ) ) $=
      ( vf co cfv wceq wral cplusg cbs vs vt cmgmhm wcel cmgm wa wf cv mgmhmrcl
      cmap fveq2 eqtr4di oveqan12rd adantr fveq2d eqeqan12d raleqbidv rabeqbidv
      crab oveqd df-mgmhm ovex rabex ovmpoa eleq2d fveq1 oveq12d 2ralbidv elrab
      eqeq12d fvexi elmap anbi1i bitri bitrdi biadanii ) IGHUCOZUDZGUEUDHUEUDUF
      ZCDIUGZAUHZBUHZEOZIPZWAIPZWBIPZFOZQZBCRACRZUFZGHIUIVSVRIWCNUHZPZWAWKPZWBW
      KPZFOZQZBCRZACRZNDCUJOZUSZUDZWJVSVQWTIUAUBGHUEUEWAWBUAUHZSPZOZWKPZWMWNUBU
      HZSPZOZQZBXBTPZRZAXJRZNXFTPZXJUJOZUSWTUCXBGQZXFHQZUFZXLWRNXNWSXPXOXMDXJCU
      JXPXMHTPDXFHTUKKULXOXJGTPCXBGTUKJULZUMXQXKWQAXJCXOXJCQXPXRUNZXQXIWPBXJCXS
      XOXPXEWLXHWOXOXDWCWKXOXCEWAWBXOXCGSPEXBGSUKLULUTUOXPXGFWMWNXPXGHSPFXFHSUK
      MULUTUPUQUQURABUBNUAVAWRNWSDCUJVBVCVDVEXAIWSUDZWIUFWJWRWINIWSWKIQZWPWHABC
      CYAWLWDWOWGWCWKIVFYAWMWEWNWFFWAWKIVFWBWKIVFVGVJVHVIXTVTWIDCIDHTKVKCGTJVKV
      LVMVNVOVP $.
  $}

  ${
    $d x y B $.  $d x y F $.  $d x y S $.  $d x y T $.
    mgmhmf.b $e |- B = ( Base ` S ) $.
    mgmhmf.c $e |- C = ( Base ` T ) $.
    $( A magma homomorphism is a function.  (Contributed by AV,
       25-Feb-2020.) $)
    mgmhmf $p |- ( F e. ( S MgmHom T ) -> F : B --> C ) $=
      ( vx vy cmgmhm co wcel cmgm wa wf cv cplusg cfv wral eqid ismgmhm simprl
      wceq sylbi ) ECDJKLCMLDMLNZABEOZHPZIPZCQRZKERUGERUHERDQRZKUCIASHASZNNUFHI
      ABUIUJCDEFGUITUJTUAUEUFUKUBUD $.
  $}

  ${
    $d x y B $.  $d w x y z C $.  $d f x y J $.  $d f x y L $.  $d f x y ph $.
    $d f w x y z K $.  $d f w x y z M $.
    mgmhmpropd.a $e |- ( ph -> B = ( Base ` J ) ) $.
    mgmhmpropd.b $e |- ( ph -> C = ( Base ` K ) ) $.
    mgmhmpropd.c $e |- ( ph -> B = ( Base ` L ) ) $.
    mgmhmpropd.d $e |- ( ph -> C = ( Base ` M ) ) $.
    mgmhmpropd.0 $e |- ( ph -> B =/= (/) ) $.
    mgmhmpropd.C $e |- ( ph -> C =/= (/) ) $.
    mgmhmpropd.e $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( x ( +g ` J ) y ) = ( x ( +g ` L ) y ) ) $.
    mgmhmpropd.f $e |- ( ( ph /\ ( x e. C /\ y e. C ) ) ->
        ( x ( +g ` K ) y ) = ( x ( +g ` M ) y ) ) $.
    $( Magma homomorphism depends only on the operation of structures.
       (Contributed by AV, 25-Feb-2020.) $)
    mgmhmpropd $p |- ( ph -> ( J MgmHom K ) = ( L MgmHom M ) ) $=
      ( co wa wceq vf vw vz cmgmhm cmgm wcel cbs cfv cplusg wral fveq2d adantlr
      cv wf wb ffvelrn anim12dan ralrimivva oveq1 eqeq12d oveq2 cbvral2vw sylib
      rspc2va syl2anr anassrs 2ralbidva adantrl raleq raleqbi1dv adantr 3bitr3d
      pm5.32da feq23d anbi1d mgmpropd anbi12d bitrd eqid ismgmhm 3bitr4g eqrdv
      syl ) AUAFGUDRZHIUDRZAFUEUFZGUEUFZSZFUGUHZGUGUHZUAUMZUNZBUMZCUMZFUIUHZRZW
      KUHZWMWKUHZWNWKUHZGUIUHZRZTZCWIUJZBWIUJZSZSZHUEUFZIUEUFZSZHUGUHZIUGUHZWKU
      NZWMWNHUIUHZRZWKUHZWRWSIUIUHZRZTZCXJUJZBXJUJZSZSZWKWDUFWKWEUFAXFWHYASYBAW
      HXEYAAWHSZDEWKUNZXDSYDXTSXEYAYCYDXDXTAWHYDXDXTUOAWHYDSZSXBCDUJZBDUJZXRCDU
      JZBDUJZXDXTAYDYGYIUOWHAYDSZXBXRBCDDYJWMDUFZWNDUFZSZSWQXOXAXQAYMWQXOTYDAYM
      SWPXNWKPUKULAYDYMXAXQTZYDYMSWREUFZWSEUFZSUBUMZUCUMZWTRZYQYRXPRZTZUCEUJUBE
      UJZYNAYDYKYOYLYPDEWMWKUPDEWNWKUPUQAWMWNWTRZWMWNXPRZTZCEUJBEUJUUBAUUEBCEEQ
      URUUEUUAYQWNWTRZYQWNXPRZTBCUBUCEEWMYQTUUCUUFUUDUUGWMYQWNWTUSWMYQWNXPUSUTW
      NYRTUUFYSUUGYTWNYRYQWTVAWNYRYQXPVAUTVBVCUUAYNWRYRWTRZWRYRXPRZTUBUCWRWSEEY
      QWRTYSUUHYTUUIYQWRYRWTUSYQWRYRXPUSUTYRWSTUUHXAUUIXQYRWSWRWTVAYRWSWRXPVAUT
      VDVEVFUTVGVHAYGXDUOZYEADWITUUJJYFXCBDWIXBCDWIVIVJWCVKAYIXTUOZYEADXJTUUKLY
      HXSBDXJXRCDXJVIVJWCVKVLVFVMYCYDWLXDAYDWLUOWHADEWIWJWKJKVNVKVOYCYDXLXTAYDX
      LUOWHADEXJXKWKLMVNVKVOVLVMAWHXIYAAWFXGWGXHABCDFHJLNPVPABCEGIKMOQVPVQVOVRB
      CWIWJWOWTFGWKWIVSWJVSWOVSWTVSVTBCXJXKXMXPHIWKXJVSXKVSXMVSXPVSVTWAWB $.
  $}

  ${
    $d B x y $.  $d F x y $.  $d .+ x y $.  $d .+^ x y $.  $d S x y $.
    $d T x y $.  $d X x y $.  $d Y x y $.
    mgmhmlin.b $e |- B = ( Base ` S ) $.
    mgmhmlin.p $e |- .+ = ( +g ` S ) $.
    mgmhmlin.q $e |- .+^ = ( +g ` T ) $.
    $( A magma homomorphism preserves the binary operation.  (Contributed by
       AV, 25-Feb-2020.) $)
    mgmhmlin $p |- ( ( F e. ( S MgmHom T ) /\ X e. B /\ Y e. B ) ->
        ( F ` ( X .+ Y ) ) = ( ( F ` X ) .+^ ( F ` Y ) ) ) $=
      ( vx vy co wcel cfv wceq cmgm wa cv cmgmhm cbs wf wral wi ismgmhm fvoveq1
      eqid fveq2 oveq1d eqeq12d oveq2 fveq2d oveq2d rspc2v com12 ad2antll sylbi
      3impib ) FDEUANOZGAOZHAOZGHBNZFPZGFPZHFPZCNZQZUTDROEROSZAEUBPZFUCZLTZMTZB
      NFPZVLFPZVMFPZCNZQZMAUDLAUDZSSVAVBSZVHUEZLMAVJBCDEFIVJUHJKUFVSWAVIVKVTVSV
      HVRVHGVMBNZFPZVEVPCNZQLMGHAAVLGQZVNWCVQWDVLGVMFBUGWEVOVEVPCVLGFUIUJUKVMHQ
      ZWCVDWDVGWFWBVCFVMHGBULUMWFVPVFVECVMHFUIUNUKUOUPUQURUS $.
  $}

  ${
    $d B x y $.  $d C x y $.  $d F x y $.  $d R x y $.  $d S x y $.
    mgmhmf1o.b $e |- B = ( Base ` R ) $.
    mgmhmf1o.c $e |- C = ( Base ` S ) $.
    $( A magma homomorphism is bijective iff its converse is also a magma
       homomorphism.  (Contributed by AV, 25-Feb-2020.) $)
    mgmhmf1o $p |- ( F e. ( R MgmHom S )
                   -> ( F : B -1-1-onto-> C <-> `' F e. ( S MgmHom R ) ) ) $=
      ( vx vy cmgmhm co wcel wf1o wa cmgm wf cfv wceq adantr syl2anc cplusg syl
      ccnv cv wral mgmhmrcl ancomd f1ocnv adantl f1of simpll simprl simprr eqid
      ffvelrnd mgmhmlin syl3anc simplr f1ocnvfv2 eqtrd wi simpld mgmcl f1ocnvfv
      oveq12d mpd ralrimivva jca ismgmhm sylanbrc mgmhmf ffnd dff1o4 impbida
      wfn ) ECDJKLZABEMZEUCZDCJKLZVPVQNZDOLZCOLZNZBAVRPZHUDZIUDZDUAQZKZVRQWEVRQ
      ZWFVRQZCUAQZKZRZIBUEHBUEZNVSVPWCVQVPWBWACDEUFZUGSVTWDWNVTBAVRMZWDVQWPVPAB
      EUHUIBAVRUJUBZVTWMHIBBVTWEBLZWFBLZNZNZWLEQZWHRZWMXAXBWIEQZWJEQZWGKZWHXAVP
      WIALZWJALZXBXFRVPVQWTUKXABAWEVRVTWDWTWQSZVTWRWSULZUOZXABAWFVRXIVTWRWSUMZU
      OZAWKWGCDEWIWJFWKUNZWGUNZUPUQXAXDWEXEWFWGXAVQWRXDWERVPVQWTURZXJABWEEUSTXA
      VQWSXEWFRXPXLABWFEUSTVEUTXAVQWLALZXCWMVAXPXAWBXGXHXQVTWBWTVPWBVQVPWBWAWOV
      BSSXKXMACWIWJWKFXNVCUQABWLWHEVDTVFVGVHHIBAWGWKDCVRGFXOXNVIVJVPVSNZEAVOVRB
      VOVQXRABEVPABEPVSABCDEFGVKSVLXRBAVRVSWDVPBADCVRGFVKUIVLABEVMVJVN $.
  $}

  ${
    $d B a b $.  $d M a b $.
    idmgmhm.b $e |- B = ( Base ` M ) $.
    $( The identity homomorphism on a magma.  (Contributed by AV,
       27-Feb-2020.) $)
    idmgmhm $p |- ( M e. Mgm -> ( _I |` B ) e. ( M MgmHom M ) ) $=
      ( va vb cmgm wcel wa cid cres wf cv cplusg cfv co wceq wral cmgmhm fvresi
      id ancri wf1o f1oi f1of mp1i eqid mgmcl 3expb syl oveqan12d adantl eqtr4d
      ralrimivva jca ismgmhm sylanbrc ) BFGZUQUQHAAIAJZKZDLZELZBMNZOZURNZUTURNZ
      VAURNZVBOZPZEAQDAQZHURBBROGUQUQUQTUAUQUSVIAAURUBUSUQAUCAAURUDUEUQVHDEAAUQ
      UTAGZVAAGZHZHZVDVCVGVMVCAGZVDVCPUQVJVKVNABUTVAVBCVBUFZUGUHAVCSUIVLVGVCPUQ
      VJVKVEUTVFVAVBAUTSAVASUJUKULUMUNDEAAVBVBBBURCCVOVOUOUP $.
  $}

  ${
    $d M m t x y $.  $d S t x y $.
    issubmgm.b $e |- B = ( Base ` M ) $.
    issubmgm.p $e |- .+ = ( +g ` M ) $.
    $( Expand definition of a submagma.  (Contributed by AV, 25-Feb-2020.) $)
    issubmgm $p |- ( M e. Mgm -> ( S e. ( SubMgm ` M ) <->
                       ( S C_ B /\ A. x e. S A. y e. S ( x .+ y ) e. S ) ) ) $=
      ( vt vm cmgm wcel csubmgm cfv cv cplusg co wral cbs wa cpw crab wss fveq2
      wceq pweqd oveqd 2ralbidv rabeqbidv df-submgm fvex pwex rabex fvmpt elpw2
      eleq1d eleq2d anbi1i eleq2 raleqbi1dv elrab sseq2i eleq1i 2ralbii anbi12i
      oveqi 3bitr4i bitrdi ) FKLZEFMNZLEAOZBOZFPNZQZIOZLZBVORZAVORZIFSNZUAZUBZL
      ZECUCZVKVLDQZELZBERAERZTZVIVJWAEJFVKVLJOZPNZQZVOLZBVORAVORZIWHSNZUAZUBWAK
      MWHFUEZWLVRIWNVTWOWMVSWHFSUDUFWOWKVPABVOVOWOWJVNVOWOWIVMVKVLWHFPUDUGUPUHU
      IABIJUJVRIVTVSFSUKZULUMUNUQEVTLZVNELZBERZAERZTEVSUCZWTTWBWGWQXAWTEVSWPUOU
      RVRWTIEVTVQWSAVOEVPWRBVOEVOEVNUSUTUTVAWCXAWFWTCVSEGVBWEWRABEEWDVNEDVMVKVL
      HVFVCVDVEVGVH $.
  $}

  ${
    $d B a b x y $.  $d H a b x y $.  $d M a b x y $.  $d S a b x y $.
    issubmgm2.b $e |- B = ( Base ` M ) $.
    issubmgm2.h $e |- H = ( M |`s S ) $.
    $( Submagmas are subsets that are also magmas.  (Contributed by AV,
       25-Feb-2020.) $)
    issubmgm2 $p |- ( M e. Mgm -> ( S e. ( SubMgm ` M )
                                    <-> ( S C_ B /\ H e. Mgm ) ) ) $=
      ( vx vy va vb cmgm wcel cfv cv cplusg co wa eqid cvv ad2antlr csubmgm wss
      wral issubmgm cbs wceq ressbas2 cress ovex eqeltri a1i ssex ressplusg syl
      fvexi wi weq oveq1 eleq1d oveq2 rspc2v adantl 3impib ismgmd simplr simprl
      com12 ad3antlr eleqtrd syl3anc oveqdr 3eltr4d ralrimivva impbida pm5.32da
      simpr mgmcl bitrd ) DKLZBDUAMLBAUBZGNZHNZDOMZPZBLZHBUCGBUCZQVTCKLZQGHAWCB
      DEWCRZUDVSVTWFWGVSVTQZWFWGWIWFQZIJBWCCSVTBCUEMZUFZVSWFBACDFEUGZTCSLWJCDBU
      HPSFDBUHUIUJUKWJBSLZWCCOMZUFZVTWNVSWFBAADUEEUOULZTBWCDCSFWHUMZUNWJINZBLZJ
      NZBLZWSXAWCPZBLZWFWTXBQZXDUPWIXEWFXDWEXDWSWBWCPZBLGHWSXABBGIUQWDXFBWAWSWB
      WCURUSHJUQXFXCBWBXAWSWCUTUSVAVGVBVCVDWIWGQZWEGHBBXGWABLZWBBLZQZQZWAWBWOPZ
      WKWDBXKWGWAWKLWBWKLXLWKLWIWGXJVEXKWABWKXGXHXIVFVTWLVSWGXJWMVHZVIXKWBBWKXJ
      XIXGXHXIVPVBXMVIWKCWAWBWOWKRWORVQVJXGXJGHWCWOXGWNWPVTWNVSWGWQTWRUNVKXMVLV
      MVNVOVR $.
  $}

  ${
    $d x y z B $.  $d x y M $.  $d x y ph $.  $d x y ps $.  $d z .+ $.
    $d z et $.  $d z ta $.  $d z th $.
    rabsubmgmd.b $e |- B = ( Base ` M ) $.
    rabsubmgmd.p $e |- .+ = ( +g ` M ) $.
    rabsubmgmd.m $e |- ( ph -> M e. Mgm ) $.
    rabsubmgmd.cp $e |- ( ( ph /\ ( ( x e. B /\ y e. B ) /\
          ( th /\ ta ) ) ) -> et ) $.
    rabsubmgmd.th $e |- ( z = x -> ( ps <-> th ) ) $.
    rabsubmgmd.ta $e |- ( z = y -> ( ps <-> ta ) ) $.
    rabsubmgmd.et $e |- ( z = ( x .+ y ) -> ( ps <-> et ) ) $.
    $( Deduction for proving that a restricted class abstraction is a submagma.
       (Contributed by AV, 26-Feb-2020.) $)
    rabsubmgmd $p |- ( ph -> { z e. B | ps } e. ( SubMgm ` M ) ) $=
      ( wcel wa crab csubmgm cfv wss cv co wral ssrab2 a1i elrab anbi12i adantr
      cmgm simprll simprrl mgmcl syl3anc simpl anim12i simpr jca sylan2 sylan2b
      elrabd ralrimivva wb issubmgm syl mpbir2and ) ABHIUAZKUBUCSZVJIUDZFUEZGUE
      ZJUFZVJSZGVJUGFVJUGZVLABHIUHUIAVPFGVJVJVMVJSZVNVJSZTAVMISZCTZVNISZDTZTZVP
      VRWAVSWCBCHVMIPUJBDHVNIQUJUKAWDTZBEHVOIRWEKUMSZVTWBVOISAWFWDNULAVTCWCUNAW
      AWBDUOIKVMVNJLMUPUQWDAVTWBTZCDTZTEWDWGWHWAVTWCWBVTCURWBDURUSWACWCDVTCUTWB
      DUTUSVAOVBVDVCVEAWFVKVLVQTVFNFGIJVJKLMVGVHVI $.
  $}

  ${
    submgmss.b $e |- B = ( Base ` M ) $.
    $( Submagmas are subsets of the base set.  (Contributed by AV,
       26-Feb-2020.) $)
    submgmss $p |- ( S e. ( SubMgm ` M ) -> S C_ B ) $=
      ( csubmgm cfv wcel wss cress co cmgm wa wb submgmrcl issubmgm2 syl simpld
      eqid ibi ) BCEFGZBAHZCBIJZKGZTUAUCLZTCKGTUDMBCNABUBCDUBROPSQ $.

    $( Every magma is trivially a submagma of itself.  (Contributed by AV,
       26-Feb-2020.) $)
    submgmid $p |- ( M e. Mgm -> B e. ( SubMgm ` M ) ) $=
      ( cmgm wcel csubmgm cfv cress co ssidd ressid eqeltrd issubmgm2 mpbir2and
      wss id eqid ) BDEZABFGEAAOBAHIZDERAJRSBDABDCKRPLAASBCSQMN $.
  $}

  ${
    $d M x y $.  $d .+ x y $.  $d S x y $.  $d X x y $.  $d Y y $.
    submgmcl.p $e |- .+ = ( +g ` M ) $.
    $( Submagmas are closed under the monoid operation.  (Contributed by AV,
       26-Feb-2020.) $)
    submgmcl $p |- ( ( S e. ( SubMgm ` M ) /\ X e. S /\ Y e. S )
                     -> ( X .+ Y ) e. S ) $=
      ( vx vy csubmgm cfv wcel co wa cv wral cbs wss cmgm wb submgmrcl issubmgm
      eqid syl ibi simprd ovrspc2v sylan2 ancoms 3impb ) BCIJKZDBKZEBKZDEALBKZU
      KULMZUJUMUJUNGNHNALBKHBOGBOZUMUJBCPJZQZUOUJUQUOMZUJCRKUJURSBCTGHUPABCUPUB
      FUAUCUDUEGHBBBADEUFUGUHUI $.
  $}

  ${
    submgmmgm.h $e |- H = ( M |`s S ) $.
    $( Submagmas are themselves magmas under the given operation.  (Contributed
       by AV, 26-Feb-2020.) $)
    submgmmgm $p |- ( S e. ( SubMgm ` M ) -> H e. Mgm ) $=
      ( csubmgm cfv wcel cbs wss cmgm wa wb submgmrcl eqid issubmgm2 syl simprd
      ibi ) ACEFGZACHFZIZBJGZSUAUBKZSCJGSUCLACMTABCTNDOPRQ $.

    $( The base set of a submagma.  (Contributed by AV, 26-Feb-2020.) $)
    submgmbas $p |- ( S e. ( SubMgm ` M ) -> S = ( Base ` H ) ) $=
      ( csubmgm cfv wcel cbs wss wceq eqid submgmss ressbas2 syl ) ACEFGACHFZIA
      BHFJOACOKZLAOBCDPMN $.
  $}

  ${
    subsubmgm.h $e |- H = ( G |`s S ) $.
    $( A submagma of a submagma is a submagma.  (Contributed by AV,
       26-Feb-2020.) $)
    subsubmgm $p |- ( S e. ( SubMgm ` G ) -> ( A e. ( SubMgm ` H )
                                   <-> ( A e. ( SubMgm ` G ) /\ A C_ S ) ) ) $=
      ( csubmgm cfv wcel wss wa cbs cress cmgm eqid submgmss adantl wceq adantr
      co submgmmgm submgmbas sseqtrrd oveq1i ressabs syl5eq syldan wb submgmrcl
      sstrd eqeltrrd issubmgm2 syl mpbir2and jca simprr sseqtrd adantrl eqeltrd
      ad2antrl impbida ) BCFGZHZADFGHZAVAHZABIZJZVBVCJZVDVEVGVDACKGZIZCALSZMHZV
      GABVHVGADKGZBVCAVLIZVBVLADVLNZOPVBBVLQZVCBDCEUAZRUBZVBBVHIVCVHBCVHNZORUIV
      GDALSZVJMVBVCVEVSVJQZVQVBVEJVSCBLSZALSVJDWAALEUCBACVAUDUEZUFVCVSMHZVBAVSD
      VSNZTPUJVGCMHZVDVIVKJUGVBWEVCBCUHRVHAVJCVRVJNZUKULUMVQUNVBVFJZVCVMWCWGABV
      LVBVDVEUOVBVOVFVPRUPWGVSVJMVBVEVTVDWBUQVDVKVBVEAVJCWFTUSURWGDMHZVCVMWCJUG
      VBWHVFBDCETRVLAVSDVNWDUKULUMUT $.
  $}

  ${
    $d F x y $.  $d S x y $.  $d T x y $.  $d U x y $.  $d X x y $.
    resmgmhm.u $e |- U = ( S |`s X ) $.
    $( Restriction of a magma homomorphism to a submagma is a homomorphism.
       (Contributed by AV, 26-Feb-2020.) $)
    resmgmhm $p |- ( ( F e. ( S MgmHom T ) /\ X e. ( SubMgm ` S ) )
                     -> ( F |` X ) e. ( U MgmHom T ) ) $=
      ( vx vy co wcel cfv wa cmgm cbs wf cplusg wceq wral eqid adantl cmgmhm cv
      cres mgmhmrcl simprd submgmmgm anim12ci wss mgmhmf submgmss fssres syl2an
      csubmgm ressbas2 feq2d mpbid simpll ad2antlr simprl sseldd simprr syl3anc
      mgmhmlin 3expb adantll fvres oveqan12d 3eqtr4d ralrimivva ressplusg oveqd
      syl submgmcl fveqeq2d raleqbidv jca ismgmhm sylanbrc ) DABUAIJZEAUMKZJZLZ
      CMJZBMJZLCNKZBNKZDEUCZOZGUBZHUBZCPKZIZWGKWIWGKZWJWGKZBPKZIZQZHWERZGWERZLW
      GCBUAIJVSWDWAWCVSAMJWDABDUDUEECAFUFUGWBWHWSWBEWFWGOZWHVSANKZWFDOEXAUHZWTW
      AXAWFABDXASZWFSZUIXAEAXCUJZXAWFEDUKULWBEWEWFWGWBXBEWEQWAXBVSXETEXACAFXCUN
      VLZUOUPWBWIWJAPKZIZWGKZWPQZHERZGERWSWBXJGHEEWBWIEJZWJEJZLZLZXHDKZWIDKZWJD
      KZWOIZXIWPXOVSWIXAJWJXAJXPXSQVSWAXNUQXOEXAWIWAXBVSXNXEURZWBXLXMUSUTXOEXAW
      JXTWBXLXMVAUTXAXGWOABDWIWJXCXGSZWOSZVCVBXOXHEJZXIXPQWAXNYCVSWAXLXMYCXGEAW
      IWJYAVMVDVEXHEDVFVLXNWPXSQWBXLXMWMXQWNXRWOWIEDVFWJEDVFVGTVHVIWBXKWRGEWEXF
      WBXJWQHEWEXFWBXHWLWPWGWBXGWKWIWJWAXGWKQVSEXGACVTFYAVJTVKVNVOVOUPVPGHWEWFW
      KWOCBWGWESXDWKSYBVQVR $.
  $}

  ${
    $d x y F $.  $d x y S $.  $d x y T $.  $d x y U $.  $d x y X $.
    resmgmhm2.u $e |- U = ( T |`s X ) $.
    $( One direction of ~ resmgmhm2b .  (Contributed by AV, 26-Feb-2020.) $)
    resmgmhm2 $p |- ( ( F e. ( S MgmHom U ) /\ X e. ( SubMgm ` T ) )
                      -> F e. ( S MgmHom T ) ) $=
      ( vx vy cmgmhm co wcel cfv wa cmgm cbs wf cv cplusg wceq eqid wral simpld
      csubmgm mgmhmrcl submgmrcl anim12i wss mgmhmf submgmbas submgmss eqsstrrd
      fss syl2an mgmhmlin 3expb adantlr ressplusg ad2antlr oveqd ralrimivva jca
      eqtr4d ismgmhm sylanbrc ) DACIJKZEBUCLZKZMZANKZBNKZMAOLZBOLZDPZGQZHQZARLZ
      JDLZVNDLZVODLZBRLZJZSZHVKUAGVKUAZMDABIJKVEVIVGVJVEVICNKACDUDUBEBUEUFVHVMW
      CVEVKCOLZDPWDVLUGVMVGVKWDACDVKTZWDTUHVGWDEVLECBFUIVLEBVLTZUJUKVKWDVLDULUM
      VHWBGHVKVKVHVNVKKZVOVKKZMZMZVQVRVSCRLZJZWAVEWIVQWLSZVGVEWGWHWMVKVPWKACDVN
      VOWEVPTZWKTUNUOUPWJVTWKVRVSVGVTWKSVEWIEVTBCVFFVTTZUQURUSVBUTVAGHVKVLVPVTA
      BDWEWFWNWOVCVD $.

    $( Restriction of the codomain of a homomorphism.  (Contributed by AV,
       26-Feb-2020.) $)
    resmgmhm2b $p |- ( ( X e. ( SubMgm ` T ) /\ ran F C_ X )
                        -> ( F e. ( S MgmHom T ) <-> F e. ( S MgmHom U ) ) ) $=
      ( vx vy cfv wcel wa cmgmhm co cmgm cbs wf cv cplusg wceq eqid csubmgm crn
      wss wral mgmhmrcl simpld adantl submgmmgm ad2antrr jca mgmhmf ffnd simplr
      wfn df-f sylanbrc submgmbas feq3d mpbid 3expb adantll ressplusg ad3antrrr
      mgmhmlin oveqd eqtrd ralrimivva ismgmhm resmgmhm2 ancoms adantlr impbida
      ) EBUAIZJZDUBEUCZKZDABLMJZDACLMJZVPVQKZANJZCNJZKAOIZCOIZDPZGQZHQZARIZMDIZ
      WEDIZWFDIZCRIZMZSZHWBUDGWBUDZKVRVSVTWAVQVTVPVQVTBNJABDUEUFUGVNWAVOVQECBFU
      HUIUJVSWDWNVSWBEDPZWDVSDWBUNVOWOVSWBBOIZDVQWBWPDPVPWBWPABDWBTZWPTUKUGULVN
      VOVQUMWBEDUOUPVSEWCDWBVNEWCSVOVQECBFUQUIURUSVSWMGHWBWBVSWEWBJZWFWBJZKZKZW
      HWIWJBRIZMZWLVQWTWHXCSZVPVQWRWSXDWBWGXBABDWEWFWQWGTZXBTZVDUTVAXAXBWKWIWJV
      NXBWKSVOVQWTEXBBCVMFXFVBVCVEVFVGUJGHWBWCWGWKACDWQWCTXEWKTVHUPVNVRVQVOVRVN
      VQABCDEFVIVJVKVL $.
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y S $.  $d x y T $.  $d x y U $.
    $( The composition of magma homomorphisms is a homomorphism.  (Contributed
       by AV, 27-Feb-2020.) $)
    mgmhmco $p |- ( ( F e. ( T MgmHom U ) /\ G e. ( S MgmHom T ) )
                    -> ( F o. G ) e. ( S MgmHom U ) ) $=
      ( vx vy cmgmhm co wcel wa cmgm cbs cfv wf cplusg wceq eqid fvco3 syl2anc
      ccom cv wral mgmhmrcl simprd simpld anim12ci mgmhmf syl2an mgmhmlin 3expb
      adantll fveq2d simpll ad2antlr simprl ffvelrnd simprr syl3anc eqtrd mgmcl
      fco adantl sylan oveq12d 3eqtr4d ralrimivva jca ismgmhm sylanbrc ) DBCHIJ
      ZEABHIJZKZALJZCLJZKAMNZCMNZDEUAZOZFUBZGUBZAPNZIZVRNZVTVRNZWAVRNZCPNZIZQZG
      VPUCFVPUCZKVRACHIJVKVOVLVNVKBLJZVOBCDUDUEVLVNWKABEUDUFZUGVMVSWJVKBMNZVQDO
      VPWMEOZVSVLWMVQBCDWMRZVQRZUHVPWMABEVPRZWOUHZVPWMVQDEVBUIVMWIFGVPVPVMVTVPJ
      ZWAVPJZKZKZWCENZDNZVTENZDNZWAENZDNZWGIZWDWHXBXDXEXGBPNZIZDNZXIXBXCXKDVLXA
      XCXKQZVKVLWSWTXMVPWBXJABEVTWAWQWBRZXJRZUJUKULUMXBVKXEWMJXGWMJXLXIQVKVLXAU
      NXBVPWMVTEVLWNVKXAWRUOZVMWSWTUPZUQXBVPWMWAEXPVMWSWTURZUQWMXJWGBCDXEXGWOXO
      WGRZUJUSUTXBWNWCVPJZWDXDQXPVMVNXAXTVLVNVKWLVCVNWSWTXTVPAVTWAWBWQXNVAUKVDV
      PWMWCDESTXBWEXFWFXHWGXBWNWSWEXFQXPXQVPWMVTDESTXBWNWTWFXHQXPXRVPWMWADESTVE
      VFVGVHFGVPVQWBWGACVRWQWPXNXSVIVJ $.
  $}

  ${
    $d F x y z $.  $d M x y z $.  $d N x y z $.  $d X x y z $.
    $( The homomorphic image of a submagma is a submagma.  (Contributed by AV,
       27-Feb-2020.) $)
    mgmhmima $p |- ( ( F e. ( M MgmHom N ) /\ X e. ( SubMgm ` M ) )
                     -> ( F " X ) e. ( SubMgm ` N ) ) $=
      ( vx vy vz co wcel csubmgm cfv wa cbs wss cv wral eqid adantr wceq wb crn
      cmgmhm cima cplusg imassrn wf mgmhmf sstrid simpll submgmss adantl simprl
      frnd sseldd simprr mgmhmlin syl3anc wfn submgmcl adantll fnfvima eqeltrrd
      3expb anassrs ralrimiva oveq2 eleq1d ralima syl2anc mpbird oveq1 mgmhmrcl
      ffnd ralbidv cmgm simprd issubmgm syl mpbir2and ) ABCUBHIZDBJKIZLZADUCZCJ
      KIZWCCMKZNZEOZFOZCUDKZHZWCIZFWCPZEWCPZWBWCAUAWEADUEWBBMKZWEAVTWNWEAUFWAWN
      WEBCAWNQZWEQZUGRZUMUHWBWMGOZAKZWHWIHZWCIZFWCPZGDPZWBXBGDWBWRDIZLZXBWSWGAK
      ZWIHZWCIZEDPZXEXHEDWBXDWGDIZXHWBXDXJLZLZWRWGBUDKZHZAKZXGWCXLVTWRWNIWGWNIX
      OXGSVTWAXKUIXLDWNWRWBDWNNZXKWAXPVTWNDBWOUJUKZRZWBXDXJULUNXLDWNWGXRWBXDXJU
      OUNWNXMWIBCAWRWGWOXMQZWIQZUPUQXLAWNURZXPXNDIZXOWCIWBYAXKWBWNWEAWQVMZRXRWA
      XKYBVTWAXDXJYBXMDBWRWGXSUSVCUTWNDAXNVAUQVBVDVEWBXBXITZXDWBYAXPYDYCXQXAXHF
      EWNDAWHXFSWTXGWCWHXFWSWIVFVGVHVIRVJVEWBYAXPWMXCTYCXQWLXBEGWNDAWGWSSZWKXAF
      WCYEWJWTWCWGWSWHWIVKVGVNVHVIVJWBCVOIZWDWFWMLTVTYFWAVTBVOIYFBCAVLVPREFWEWI
      WCCWPXTVQVRVS $.
  $}

  ${
    $d F x y z $.  $d G x y z $.  $d S x y z $.  $d T x y $.
    $( The equalizer of two magma homomorphisms is a submagma.  (Contributed by
       AV, 27-Feb-2020.) $)
    mgmhmeql $p |- ( ( F e. ( S MgmHom T ) /\ G e. ( S MgmHom T ) ) ->
        dom ( F i^i G ) e. ( SubMgm ` S ) ) $=
      ( vz vx vy co wcel wa cv cfv wceq cbs wfn eqid wral syl3anc fveq2 eqeq12d
      cmgmhm cin cdm crab csubmgm wf mgmhmf adantr adantl fndmin syl2anc cplusg
      ffnd wss ssrab2 a1i wi cmgm mgmhmrcl simpld ad2antrr simplrl simprl mgmcl
      simplrr oveq12d simplll mgmhmlin simpllr 3eqtr4d elrab sylanbrc ralrimiva
      simprr expr ralrab sylibr wb issubmgm syl mpbir2and eqeltrd ) CABUAHZIZDW
      CIZJZCDUBUCZEKZCLZWHDLZMZEANLZUDZAUELZWFCWLODWLOWGWMMWFWLBNLZCWDWLWOCUFWE
      WLWOABCWLPZWOPZUGUHUMWFWLWODWEWLWODUFWDWLWOABDWPWQUGUIUMEWLCDUJUKWFWMWNIZ
      WMWLUNZFKZGKZAULLZHZWMIZGWMQZFWMQZWSWFWKEWLUOUPWFWTCLZWTDLZMZXEUQZFWLQXFW
      FXJFWLWFWTWLIZXIXEWFXKXIJZJZXACLZXADLZMZXDUQZGWLQXEXMXQGWLXMXAWLIZXPXDXMX
      RXPJZJZXCWLIZXCCLZXCDLZMZXDXTAURIZXKXRYAWFYEXLXSWDYEWEWDYEBURIABCUSUTUHZV
      AWFXKXIXSVBZXMXRXPVCZWLAWTXAXBWPXBPZVDRXTXGXNBULLZHZXHXOYJHZYBYCXTXGXHXNX
      OYJWFXKXIXSVEXMXRXPVNVFXTWDXKXRYBYKMWDWEXLXSVGYGYHWLXBYJABCWTXAWPYIYJPZVH
      RXTWEXKXRYCYLMWDWEXLXSVIYGYHWLXBYJABDWTXAWPYIYMVHRVJWKYDEXCWLWHXCMWIYBWJY
      CWHXCCSWHXCDSTVKVLVOVMWKXPXDGEWLWHXAMWIXNWJXOWHXACSWHXADSTVPVQVOVMWKXIXEF
      EWLWHWTMWIXGWJXHWHWTCSWHWTDSTVPVQWFYEWRWSXFJVRYFFGWLXBWMAWPYIVSVTWAWB $.
  $}

  ${
    $d B s x y $.  $d G s x y $.
    submgmacs.b $e |- B = ( Base ` G ) $.
    $( Submagmas are an algebraic closure system.  (Contributed by AV,
       27-Feb-2020.) $)
    submgmacs $p |- ( G e. Mgm -> ( SubMgm ` G ) e. ( ACS ` B ) ) $=
      ( vx vy vs cmgm wcel csubmgm cfv cv cplusg co wral cpw crab cacs cab cvv
      wa wss eqid issubmgm velpw anbi1i bitr4di abbi2dv eqtr4di cbs fvexi mgmcl
      df-rab 3expb ralrimivva acsfn2 sylancr eqeltrd ) BGHZBIJZDKZEKZBLJZMZFKZH
      EVDNDVDNZFAOZPZAQJZURUSVDVFHZVETZFRVGURVJFUSURVDUSHVDAUAZVETVJDEAVBVDBCVB
      UBZUCVIVKVEFAUDUEUFUGVEFVFULUHURASHVCAHZEANDANVGVHHABUICUJURVMDEAAURUTAHV
      AAHVMABUTVAVBCVLUKUMUNVCSAFDEUOUPUQ $.
  $}

  ${
    $d B x y $.  $d F x y $.  $d S x y $.  $d T x y $.
    ismhm0.b $e |- B = ( Base ` S ) $.
    ismhm0.c $e |- C = ( Base ` T ) $.
    ismhm0.p $e |- .+ = ( +g ` S ) $.
    ismhm0.q $e |- .+^ = ( +g ` T ) $.
    ismhm0.z $e |- .0. = ( 0g ` S ) $.
    ismhm0.y $e |- Y = ( 0g ` T ) $.
    $( Property of a monoid homomorphism, expressed by a magma homomorphism.
       (Contributed by AV, 17-Apr-2020.) $)
    ismhm0 $p |- ( F e. ( S MndHom T ) <-> ( ( S e. Mnd /\ T e. Mnd ) /\
                              ( F e. ( S MgmHom T ) /\ ( F ` .0. ) = Y ) ) ) $=
      ( vx vy co wcel wa cmhm cmnd wf cv cfv wceq wral cmgmhm ismhm df-3an cmgm
      w3a mndmgm anim12i biantrurd ismgmhm bitr4di anbi1d syl5bb pm5.32i bitri
      ) GEFUARSEUBSZFUBSZTZABGUCZPUDZQUDZCRGUEVFGUEVGGUEDRUFQAUGPAUGZIGUEHUFZUL
      ZTVDGEFUHRSZVITZTPQABCDEFGHIJKLMNOUIVDVJVLVJVEVHTZVITVDVLVEVHVIUJVDVMVKVI
      VDVMEUKSZFUKSZTZVMTVKVDVPVMVBVNVCVOEUMFUMUNUOPQABCDEFGJKLMUPUQURUSUTVA $.
  $}

  ${
    $d F x y $.  $d R x y $.  $d S x y $.
    $( Each monoid homomorphism is a magma homomorphism.  (Contributed by AV,
       29-Feb-2020.) $)
    mhmismgmhm $p |- ( F e. ( R MndHom S ) -> F e. ( R MgmHom S ) ) $=
      ( vx vy cmnd wcel wa cbs cfv cv cplusg co wceq wral c0g cmgm anim12i eqid
      mndmgm wf w3a cmhm cmgmhm 3simpa ismhm ismgmhm 3imtr4i ) AFGZBFGZHZAIJZBI
      JZCUAZDKZEKZALJZMCJUOCJUPCJBLJZMNEULODULOZAPJZCJBPJZNZUBZHAQGZBQGZHZUNUSH
      ZHCABUCMGCABUDMGUKVFVCVGUIVDUJVEATBTRUNUSVBUERDEULUMUQURABCVAUTULSZUMSZUQ
      SZURSZUTSVASUFDEULUMUQURABCVHVIVJVKUGUH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Examples and counterexamples for magmas, semigroups and monoids (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d B a b e x y $.  $d C a b e $.  $d M a b e x $.  $d ph a b x y $.
    opmpoismgm.b $e |- B = ( Base ` M ) $.
    opmpoismgm.p $e |- ( +g ` M ) = ( x e. B , y e. B |-> C ) $.
    opmpoismgm.n $e |- ( ph -> B =/= (/) ) $.
    opmpoismgm.c $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) -> C e. B ) $.
    $( A structure with a group addition operation in maps-to notation is a
       magma if the operation value is contained in the base set.  (Contributed
       by AV, 16-Feb-2020.) $)
    opmpoismgm $p |- ( ph -> M e. Mgm ) $=
      ( va vb ve cmgm wcel cv cmpo wral wa ralrimivva adantr simprl simprr eqid
      co ovmpoelrn syl3anc c0 wne wb wex n0 cplusg eqcomi ismgmn0 exlimiv sylbi
      cfv syl mpbird ) AFNOZKPZLPZBCDDEQZUEDOZLDRKDRZAVEKLDDAVBDOZVCDOZSZSEDOZC
      DRBDRZVGVHVEAVKVIAVJBCDDJTUAAVGVHUBAVGVHUCBCDDEDVDVBVCVDUDUFUGTADUHUIZVAV
      FUJZIVLMPZDOZMUKVMMDULVOVMMKLVNDFVDGFUMURVDHUNUOUPUQUSUT $.
  $}

  ${
    $d B a b c x y $.  $d C a b c x y $.  $d M a b c x $.  $d ph a b c x y $.
    copissgrp.b $e |- B = ( Base ` M ) $.
    copissgrp.p $e |- ( +g ` M ) = ( x e. B , y e. B |-> C ) $.
    copissgrp.n $e |- ( ph -> B =/= (/) ) $.
    copissgrp.c $e |- ( ph -> C e. B ) $.
    $( A structure with a constant group addition operation is a semigroup if
       the constant is contained in the base set.  (Contributed by AV,
       16-Feb-2020.) $)
    copissgrp $p |- ( ph -> M e. Smgrp ) $=
      ( va vb vc wcel cv co wceq wa eqidd weq cmgm cmpo csgrp adantr opmpoismgm
      wral simpl simpr3 ovmpod simpr1 eqtr4d sylan simpr2 oveq1d oveq2d 3eqtr4d
      w3a ralrimivvva cplusg cfv eqcomi issgrp sylanbrc ) AFUANKOZLOZBCDDEUBZPZ
      MOZVFPZVDVEVHVFPZVFPZQZMDUFLDUFKDUFFUCNABCDEFGHIAEDNZBOZDNCOZDNRJUDUEAVLK
      LMDDDAVDDNZVEDNZVHDNZUQZRZEVHVFPZVDEVFPZVIVKAVMVSWAWBQJVMVSRZWAEWBWCBCEVH
      DDEEVFDWCVFSZWCVNEQCMTZRRESVMVSUGZVMVPVQVRUHWFUIWCBCVDEDDEEVFDWDWCBKTZVOE
      QRRESVMVPVQVRUJWFWFUIUKULVTVGEVHVFVTBCVDVEDDEEVFDVTVFSZVTWGCLTRRESAVPVQVR
      UJAVPVQVRUMZAVMVSJUDZUIUNVTVJEVDVFVTBCVEVHDDEEVFDWHVTBLTWERRESWIAVPVQVRUH
      WJUIUOUPURKLMDFVFGFUSUTVFHVAVBVC $.
  $}

  ${
    $d B a c x y $.  $d C a c x y $.  $d M a c $.  $d ph a c x y $.
    copisnmnd.b $e |- B = ( Base ` M ) $.
    copisnmnd.p $e |- ( +g ` M ) = ( x e. B , y e. B |-> C ) $.
    copisnmnd.c $e |- ( ph -> C e. B ) $.
    copisnmnd.n $e |- ( ph -> 1 < ( # ` B ) ) $.
    $( A structure with a constant group addition operation and at least two
       elements is not a monoid.  (Contributed by AV, 16-Feb-2020.) $)
    copisnmnd $p |- ( ph -> M e/ Mnd ) $=
      ( va vc wrex wral wcel wa simpr wceq wn adantr cv cmpo co cmnd wnel chash
      wne cfv clt wbr cvv cbs fvexi a1i simpl hashgt12el2 syl3anc rexbii rexnal
      c1 df-ne bitri eqidd weq ovmpod eqtr3d ex ralimdva rexlimdva con3d bicomi
      ralbii ralnex 3bitr3i syl6ib syl5bi syl5 mp2and cplusg eqcomi isnmnd syl
      ) AKUAZLUAZBCDDEUBZUCZWDUGZLDMZKDNZFUDUEAEDOZUTDUFUHUIUJZWIIJWJWKPZEWDUGZ
      LDMZAWIWLDUKOZWKWJWNWOWLDFULGUMUNWJWKQWJWKUOEDUKLUPUQWNEWDRZLDNZSZAWIWNWP
      SZLDMWRWMWSLDEWDVAURWPLDUSVBAWRWFWDRZLDNZKDMZSZWIAXBWQAXAWQKDAWCDOZPZWTWP
      LDXEWDDOZPZWTWPXGWTPWFEWDXGWFERWTXGBCWCWDDDEEWEDXGWEVCXGBKVDCLVDPPEVCXEXD
      XFAXDQTXEXFQXEWJXFAWJXDITTVETXGWTQVFVGVHVIVJXASZKDNWTSZLDMZKDNXCWIXHXJKDX
      JXHWTLDUSVKVLXAKDVMXJWHKDXIWGLDWGXIWFWDVAVKURVLVNVOVPVQVRLKDFWEGFVSUHWEHV
      TWAWB $.
  $}

  ${
    $d x z $.
    oddinmgm.e $e |- O = { z e. ZZ | E. x e. ZZ z = ( ( 2 x. x ) + 1 ) } $.
    $( 0 is not an odd integer.  (Contributed by AV, 3-Feb-2020.) $)
    0nodd $p |- 0 e/ O $=
      ( cc0 wcel cz c2 cv co c1 wceq wrex cneg cdiv eqcom cc 2ne0 w3a a1i caddc
      cmul halfnz eleq1 mtbii znegcl nsyl3 sylnibr wne ax-1cn 2cn divneg eqcomd
      wa mp3an eqeq1d halfcn zcn negcon1d bitrd mtbird 2cnd divmul2d mtbid cmin
      neg1cn 0cnd 1cnd mulcld subadd2 bicomd syl3anc df-neg eqcomi 3bitrd eqeq1
      wb nrex intnan rexbidv elrab2 mtbir nelir ) ECECFEGFZEHAIZUBJZKUAJZLZAGMZ
      UNWIWDWHAGWEGFZWHKNZWFLZWJWKHOJZWELZWLWJWNWENZKHOJZLZWJWPWOLZWQWRWOGFZWJW
      RWPGFWSUCWPWOGUDUEWEUFUGWOWPPUHWJWNWPNZWELWQWJWMWTWEWMWTLZWJKQFZHQFZHEUIZ
      XAUJUKRXBXCXDSWTWMKHULUMUOTUPWJWPWEWPQFWJUQTWEURZUSUTVAWJWKWEHWKQFWJVFTXE
      WJVBZXDWJRTVCVDWJWHWGELZEKVEJZWFLZWLWHXGVQWJEWGPTWJEQFZXBWFQFZXGXIVQWJVGW
      JVHWJHWEXFXEVIXJXBXKSXIXGEKWFVJVKVLWJXHWKWFXHWKLWJWKXHKVMVNTUPVOVAVRVSBIZ
      WGLZAGMWIBEGCXLELXMWHAGXLEWGVPVTDWAWBWC $.

    $( 1 is an odd integer.  (Contributed by AV, 3-Feb-2020.) $)
    1odd $p |- 1 e. O $=
      ( c1 wcel cz c2 cv cmul co caddc wceq wrex 1z cc0 0z id wb oveq2 rspcedvd
      2t0e0 eqtrdi oveq1d eqeq2d adantl 1e0p1 a1i ax-mp rexbidv elrab2 mpbir2an
      eqeq1 ) ECFEGFEHAIZJKZELKZMZAGNZOPGFZURQUSUQEPELKZMZAPGUSRUNPMZUQVASUSVBU
      PUTEVBUOPELVBUOHPJKPUNPHJTUBUCUDUEUFVAUSUGUHUAUIBIZUPMZAGNURBEGCVCEMVDUQA
      GVCEUPUMUJDUKUL $.

    $( 2 is not an odd integer.  (Contributed by AV, 3-Feb-2020.) $)
    2nodd $p |- 2 e/ O $=
      ( c2 wcel cz cv cmul co c1 caddc wceq wrex wa cdiv halfnz a1i wb cc eleq1
      mtbii con2i 1cnd zcn 2cnd cc0 wne 2ne0 divmul2d mtbid cmin mulcld subadd2
      eqcom bicomd syl3anc 2m1e1 eqeq1d 3bitrd mtbird nrex intnan eqeq1 rexbidv
      w3a elrab2 mtbir nelir ) ECECFEGFZEEAHZIJZKLJZMZAGNZOVOVJVNAGVKGFZVNKVLMZ
      VPKEPJZVKMZVQVSVPVSVRGFVPQVRVKGUAUBUCVPKVKEVPUDZVKUEZVPUFZEUGUHVPUIRUJUKV
      PVNVMEMZEKULJZVLMZVQVNWCSVPEVMUORVPETFZKTFZVLTFZWCWESWBVTVPEVKWBWAUMWFWGW
      HVFWEWCEKVLUNUPUQVPWDKVLWDKMVPURRUSUTVAVBVCBHZVMMZAGNVOBEGCWIEMWJVNAGWIEV
      MVDVEDVGVHVI $.

    oddinmgm.r $e |- M = ( CCfld |`s O ) $.
    $( Lemma 1 for ~ oddinmgm :  The base set of M is the set of all odd
       integers.  (Contributed by AV, 3-Feb-2020.) $)
    oddibas $p |- O = ( Base ` M ) $=
      ( cc wss cbs cfv wceq cz cv c2 cmul co c1 caddc wrex crab ssrab2 eqsstri
      zsscn sstri cnfldsrngbas ax-mp ) DGHDCIJKDLGDBMNAMOPQRPKALSZBLTLEUGBLUAUB
      UCUDCDFUEUF $.

    $( Lemma 2 for ~ oddinmgm :  The group addition operation of M is the
       addition of complex numbers.  (Contributed by AV, 3-Feb-2020.) $)
    oddiadd $p |- + = ( +g ` M ) $=
      ( cvv wcel caddc cplusg cfv wceq cv c2 cmul co c1 cz wrex zex rabex2
      cnfldsrngadd ax-mp ) DGHICJKLBMNAMOPQIPLARSBRDETUACDGFUBUC $.

    $( The structure of all odd integers together with the addition of complex
       numbers is not a magma.  Remark: the structure of the complementary
       subset of the set of integers, the even integers, is a magma, actually
       an abelian group, see ~ 2zrngaabl , and even a non-unital ring, see
       ~ 2zrng .  (Contributed by AV, 3-Feb-2020.) $)
    oddinmgm $p |- M e/ Mgm $=
      ( c1 wcel caddc co wnel cmgm 1odd c2 2nodd wceq wb 1p1e2 neleq1 ax-mp
      mpbir oddibas oddiadd isnmgm mp3an ) GDHZUFGGIJZDKZCLKABDEMZUIUHNDKZABDEO
      UGNPUHUJQRUGNDSTUADCGGIABCDEFUBABCDEFUCUDUE $.
  $}

  ${
    $d M x y $.
    nnsgrp.m $e |- M = ( CCfld |`s NN ) $.
    $( The structure of positive integers together with the addition of complex
       numbers is a magma.  (Contributed by AV, 4-Feb-2020.) $)
    nnsgrpmgm $p |- M e. Mgm $=
      ( vx vy c1 cn wcel cmgm 1nn cv caddc co wral nnaddcl rgen2 cfv wceq ax-mp
      cc cvv wss nnsscn cnfldsrngbas cplusg nnex cnfldsrngadd ismgmn0 mpbiri
      cbs ) EFGZAHGZIUJUKCJZDJZKLFGZDFMCFMUNCDFFULUMNOCDEFAKFSUAFAUIPQUBAFBUCRF
      TGKAUDPQUEAFTBUFRUGUHR $.

    $d M x y z $.
    $( The structure of positive integers together with the addition of complex
       numbers is a semigroup.  (Contributed by AV, 4-Feb-2020.) $)
    nnsgrp $p |- M e. Smgrp $=
      ( vx vy vz csgrp wcel cmgm cv caddc co wceq cn wral nnsgrpmgm cc nncn cfv
      ax-mp cvv addass syl3an 3expia ralrimiv rgen2 wss cbs nnsscn cnfldsrngbas
      wa cplusg nnex cnfldsrngadd issgrp mpbir2an ) AFGAHGCIZDIZJKEIZJKUPUQURJK
      JKLZEMNZDMNCMNABOUTCDMMUPMGZUQMGZUJUSEMVAVBURMGZUSVAUPPGVBUQPGVCURPGUSUPQ
      UQQURQUPUQURUAUBUCUDUECDEMAJMPUFMAUGRLUHAMBUISMTGJAUKRLULAMTBUMSUNUO $.

    $( The structure of positive integers together with the addition of complex
       numbers is not a monoid.  (Contributed by AV, 4-Feb-2020.) $)
    nnsgrpnmnd $p |- M e/ Mnd $=
      ( vz vx cv caddc co wne cn wrex cmnd wnel cfv wceq ax-mp cvv wcel a1i cc0
      c1 cc wss cbs nnsscn cnfldsrngbas cplusg cnfldsrngadd isnmnd 1nn wb oveq2
      nnex id neeq12d adantl nnne0 necomd cmin 1cnd nncn subadd2d eqeq1d bitr3d
      1m1e0 necon3bid mpbird rspcedvd mprg ) CEZDEZFGZVJHZDIJAKLCIDCIAFIUAUBIAU
      CMNUDAIBUEOIPQFAUFMNULAIPBUGOUHVIIQZVLVITFGZTHZDTITIQVMUIRVJTNZVLVOUJVMVP
      VKVNVJTVJTVIFUKVPUMUNUOVMVOSVIHVMVISVIUPUQVMVNTSVIVMTTURGZVINVNTNSVINVMTT
      VIVMUSZVRVIUTVAVMVQSVIVQSNVMVDRVBVCVEVFVGVH $.
  $}

  ${
    $d M x y z $.  $d e x $.
    nn0mnd.g $e |- M = { <. ( Base ` ndx ) , NN0 >. ,
                         <. ( +g ` ndx ) , + >. } $.
    $( The set of nonnegative integers under (complex) addition is a monoid.
       Example in [Lang] p. 6.  Remark: ` M ` could have also been written as
       ` ( CCfld |``s NN0 ) ` .  (Contributed by AV, 27-Dec-2023.) $)
    nn0mnd $p |- M e. Mnd $=
      ( vx vy vz ve wcel cv caddc co cn0 wceq wral wa nn0cn jca cc0 eqeq1d cvv
      cc cmnd wrex nn0addcl w3a 3anim123i 3expa addass syl ralrimiva rgen2 c0ex
      wex eleq1 oveq1 oveq2 anbi12d ralbidv 0nn0 addid2d addid1d rgen ceqsexv2d
      pm3.2i df-rex mpbir cbs nn0ex grpbase ax-mp cplusg addex grpplusg ismnd
      cfv ) AUAGCHZDHZIJZKGZVQEHZIJVOVPVSIJIJLZEKMZNZDKMCKMZFHZVOIJZVOLZVOWDIJZ
      VOLZNZCKMZFKUBZNWCWKWBCDKKVOKGZVPKGZNZVRWAVOVPUCWNVTEKWNVSKGZNVOTGZVPTGZV
      STGZUDZVTWLWMWOWSWLWPWMWQWOWRVOOZVPOVSOUEUFVOVPVSUGUHUIPUJWKWDKGZWJNZFULX
      BQKGZQVOIJZVOLZVOQIJZVOLZNZCKMZNFQUKWDQLZXAXCWJXIWDQKUMXJWIXHCKXJWFXEWHXG
      XJWEXDVOWDQVOIUNRXJWGXFVOWDQVOIUORUPUQUPXCXIURXHCKWLXEXGWLVOWTUSWLVOWTUTP
      VAVCVBWJFKVDVEVCKIFACDEKSGKAVFVNLVGKIASBVHVIISGIAVJVNLVKKIASBVLVIVMVE $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Group sum operation (extension 1)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d k A $.  $d k B $.  $d k C $.  $d k D $.
    gsumsplit2f.n $e |- F/ k ph $.
    gsumsplit2f.b $e |- B = ( Base ` G ) $.
    gsumsplit2f.z $e |- .0. = ( 0g ` G ) $.
    gsumsplit2f.p $e |- .+ = ( +g ` G ) $.
    gsumsplit2f.g $e |- ( ph -> G e. CMnd ) $.
    gsumsplit2f.a $e |- ( ph -> A e. V ) $.
    gsumsplit2f.f $e |- ( ( ph /\ k e. A ) -> X e. B ) $.
    gsumsplit2f.w $e |- ( ph -> ( k e. A |-> X ) finSupp .0. ) $.
    gsumsplit2f.i $e |- ( ph -> ( C i^i D ) = (/) ) $.
    gsumsplit2f.u $e |- ( ph -> A = ( C u. D ) ) $.
    $( Split a group sum into two parts.  (Contributed by AV, 4-Sep-2019.) $)
    gsumsplit2f $p |- ( ph -> ( G gsum ( k e. A |-> X ) ) =
      ( ( G gsum ( k e. C |-> X ) ) .+ ( G gsum ( k e. D |-> X ) ) ) ) $=
      ( cmpt cgsu cres eqid fmptdf gsumsplit cun ssun1 sseqtrrid resmptd oveq2d
      co ssun2 oveq12d eqtrd ) AHGBJUBZUCUMHUQDUDZUCUMZHUQEUDZUCUMZFUMHGDJUBZUC
      UMZHGEJUBZUCUMZFUMABCDEFUQHIKMNOPQAGBJCUQLRUQUEUFSTUAUGAUSVCVAVEFAURVBHUC
      AGBDJADEUHZDBDEUIUAUJUKULAUTVDHUCAGBEJAVFEBEDUNUAUJUKULUOUP $.
  $}

  ${
    $d k A $.  $d k B $.  $d k G $.  $d k M $.
    gsumdifsndf.k $e |- F/_ k Y $.
    gsumdifsndf.n $e |- F/ k ph $.
    gsumdifsndf.b $e |- B = ( Base ` G ) $.
    gsumdifsndf.p $e |- .+ = ( +g ` G ) $.
    gsumdifsndf.g $e |- ( ph -> G e. CMnd ) $.
    gsumdifsndf.a $e |- ( ph -> A e. W ) $.
    gsumdifsndf.f $e |- ( ph -> ( k e. A |-> X ) finSupp ( 0g ` G ) ) $.
    gsumdifsndf.e $e |- ( ( ph /\ k e. A ) -> X e. B ) $.
    gsumdifsndf.m $e |- ( ph -> M e. A ) $.
    gsumdifsndf.y $e |- ( ph -> Y e. B ) $.
    gsumdifsndf.s $e |- ( ( ph /\ k = M ) -> X = Y ) $.
    $( Extract a summand from a finitely supported group sum.  (Contributed by
       AV, 4-Sep-2019.) $)
    gsumdifsndf $p |- ( ph -> ( G gsum ( k e. A |-> X ) )
                        = ( ( G gsum ( k e. ( A \ { M } ) |-> X ) ) .+ Y ) ) $=
      ( cmpt cgsu co csn cdif c0g cfv eqid cin c0 wss wceq snssd difin2 eqtr3di
      syl difid cun wcel difsnid eqcomd gsumsplit2f ccmn cmnmnd gsumsnfd oveq2d
      cmnd eqtrd ) AFEBIUBUCUDFEBGUEZUFZIUBUCUDZFEVJIUBUCUDZDUDVLJDUDABCVKVJDEF
      HIFUGUHZLMVNUINOPRQAVJVJUFZVKVJUJZUKAVJBULVOVPUMAGBSUNVJVJBUOUQVJURUPAVKV
      JUSZBAGBUTVQBUMSBGVAUQVBVCAVMJVLDAICJEFGBMAFVDUTFVHUTOFVEUQSTUALKVFVGVI
      $.
  $}

  ${
    gsumfsupp.b $e |- B = ( Base ` G ) $.
    gsumfsupp.z $e |- .0. = ( 0g ` G ) $.
    gsumfsupp.s $e |- I = ( F supp .0. ) $.
    gsumfsupp.g $e |- ( ph -> G e. CMnd ) $.
    gsumfsupp.a $e |- ( ph -> A e. V ) $.
    gsumfsupp.f $e |- ( ph -> F : A --> B ) $.
    gsumfsupp.w $e |- ( ph -> F finSupp .0. ) $.
    $( A group sum of a family can be restricted to the support of that family
       without changing its value, provided that that support is finite.  This
       corresponds to the definition of an (infinite) product in [Lang] p. 5,
       last two formulas.  (Contributed by AV, 27-Dec-2023.) $)
    gsumfsupp $p |- ( ph -> ( G gsum ( F |` I ) ) = ( G gsum F ) ) $=
      ( csupp co wss eqimss2i a1i gsumres ) ABCDEGFHIJLMNDHPQZFRAFUBKSTOUA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Magmas and internal binary operations (alternate approach)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  With ~ df-mpo , binary operations are defined by a rule, and with ~ df-ov ,
  the value of a binary operation applied to two operands can be expressed.  In
  both cases, the two operands can belong to different sets, and the result can
  be an element of a third set.  However, according to Wikipedia "Binary
  operation", see https://en.wikipedia.org/wiki/Binary_operation (19-Jan-2020),
  "... a binary operation on a set ` S ` is a mapping of the elements of the
  Cartesian product ` S X. S ` to S: ` f : S X. S --> S `.  Because the result
  of performing the operation on a pair of elements of S is again an element of
  S, the operation is called a _closed_ binary operation on S (or sometimes
  expressed as having the property of closure).".  To distinguish this more
  restrictive definition (in Wikipedia and most of the literature) from the
  general case, we call binary operations mapping the elements of the Cartesian
  product ` S X. S ` _internal binary operations_, see ~ df-intop .  If, in
  addition, the result is also contained in the set ` S `, the operation is
  called _closed internal binary operation_, see ~ df-clintop .  Therefore, a
  "binary operation on a set ` S ` " according to Wikipedia is a "closed
  internal binary operation" in our terminology.  If the sets are different,
  the operation is explicitly called _external binary operation_ (see Wikipedia
  ~ https://en.wikipedia.org/wiki/Binary_operation#External_binary_operations
  ).

  Taking a step back, we define "laws" applicable for "binary operations"
  (which even need not to be functions), according to the definition in
  [Hall] p. 1 and [BourbakiAlg1] p. 1, p. 4 and p. 7. These laws are used, on
  the one hand, to specialize internal binary operations (see ~ df-clintop and
  ~ df-assintop ), and on the other hand to define the common algebraic
  structures like magmas, groups, rings, etc.  Internal binary operations,
  which obey these laws, are defined afterwards.  Notice that in
  [BourbakiAlg1] p. 1, p. 4 and p. 7, these operations are called "laws" by
  themselves.

  In the following, an alternate definition ~ df-cllaw for an internal binary
  operation is provided, which does not require function-ness, but only
  closure.  Therefore, this definition could be used as binary operation
  (Slot 2) defined for a magma as extensible structure, see ~ mgmplusgiopALT ,
  or for an alternate definition ~ df-mgm2 for a magma as extensible structure.
  Similar results are obtained for an associative operation (defining
  semigroups).

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Laws for internal binary operations
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  In this subsection, the "laws" applicable for "binary operations" according
  to the definition in [Hall] p. 1 and [BourbakiAlg1] p. 1, p. 4 and p. 7 are
  defined.  These laws are called "internal laws" in [BourbakiAlg1] p. xxi.

$)

  $c clLaw $.
  $c assLaw $.
  $c comLaw $.

  $( Extend class notation for the closure law. $)
  ccllaw $a class clLaw $.

  $( Extend class notation for the associative law. $)
  casslaw $a class assLaw $.

  $( Extend class notation for the commutative law. $)
  ccomlaw $a class comLaw $.

  ${
    $d m o x y $.
    $( The closure law for binary operations, see definitions of laws A0. and
       M0. in section 1.1 of [Hall] p. 1, or definition 1 in [BourbakiAlg1]
       p. 1: the value of a binary operation applied to two operands of a given
       sets is an element of this set.  By this definition, the closure law is
       expressed as binary relation: a binary operation is related to a set by
       ` clLaw ` if the closure law holds for this binary operation regarding
       this set.  Note that the binary operation needs not to be a function.
       (Contributed by AV, 7-Jan-2020.) $)
    df-cllaw $a |- clLaw = { <. o , m >. |
                             A. x e. m A. y e. m ( x o y ) e. m } $.

    $( The commutative law for binary operations, see definitions of laws A2.
       and M2. in section 1.1 of [Hall] p. 1, or definition 8 in [BourbakiAlg1]
       p. 7: the value of a binary operation applied to two operands equals the
       value of a binary operation applied to the two operands in reversed
       order.  By this definition, the commutative law is expressed as binary
       relation: a binary operation is related to a set by ` comLaw ` if the
       commutative law holds for this binary operation regarding this set.
       Note that the binary operation needs neither to be closed nor to be a
       function.  (Contributed by AV, 7-Jan-2020.) $)
    df-comlaw $a |- comLaw = { <. o , m >. |
                             A. x e. m A. y e. m ( x o y ) = ( y o x ) } $.
  $}

  ${
    $d m o x y z $.
    $( The associative law for binary operations, see definitions of laws A1.
       and M1. in section 1.1 of [Hall] p. 1, or definition 5 in [BourbakiAlg1]
       p. 4: the value of a binary operation applied the value of the binary
       operation applied to two operands and a third operand equals the value
       of the binary operation applied to the first operand and the value of
       the binary operation applied to the second and third operand.  By this
       definition, the associative law is expressed as binary relation: a
       binary operation is related to a set by ` assLaw ` if the associative
       law holds for this binary operation regarding this set.  Note that the
       binary operation needs neither to be closed nor to be a function.
       (Contributed by FL, 1-Nov-2009.)  (Revised by AV, 13-Jan-2020.) $)
    df-asslaw $a |- assLaw = { <. o , m >. | A. x e. m A. y e. m A. z e. m
                                     ( ( x o y ) o z ) = ( x o ( y o z ) ) } $.
  $}

  ${
    $d M m o x y $.  $d .o. m o x y $.
    $( The predicate "is a closed operation".  (Contributed by AV,
       13-Jan-2020.) $)
    iscllaw $p |- ( ( .o. e. V /\ M e. W )
               -> ( .o. clLaw M <-> A. x e. M A. y e. M ( x .o. y ) e. M ) ) $=
      ( vo vm cv co wcel wral ccllaw wceq simpr oveq adantr eleq12d raleqbidv
      wa df-cllaw brabga ) AIZBIZGIZJZHIZKZBUGLZAUGLUCUDFJZCKZBCLZACLGHFCMDEUEF
      NZUGCNZTZUIULAUGCUMUNOZUOUHUKBUGCUPUOUFUJUGCUMUFUJNUNUCUDUEFPQUPRSSABHGUA
      UB $.

    $( The predicate "is a commutative operation".  (Contributed by AV,
       20-Jan-2020.) $)
    iscomlaw $p |- ( ( .o. e. V /\ M e. W ) -> ( .o. comLaw M
                       <-> A. x e. M A. y e. M ( x .o. y ) = ( y .o. x ) ) ) $=
      ( vo vm cv co wceq wral ccomlaw wa simpr wb oveq eqeq12d adantr raleqbidv
      df-comlaw brabga ) AIZBIZGIZJZUDUCUEJZKZBHIZLZAUILUCUDFJZUDUCFJZKZBCLZACL
      GHFCMDEUEFKZUICKZNZUJUNAUICUOUPOZUQUHUMBUICURUOUHUMPUPUOUFUKUGULUCUDUEFQU
      DUCUEFQRSTTABHGUAUB $.

    $d X x y $.  $d Y x y $.
    $( Closure of a closed operation.  (Contributed by FL, 14-Sep-2010.)
       (Revised by AV, 21-Jan-2020.) $)
    clcllaw $p |- ( ( .o. clLaw M /\ X e. M /\ Y e. M )
                    -> ( X .o. Y ) e. M ) $=
      ( vx vy vo vm ccllaw wbr wcel co wa wi cv wral df-cllaw bropaex12 iscllaw
      cvv ovrspc2v expcom syl6bi mpcom 3impib ) DAIJZBAKZCAKZBCDLAKZDTKATKMZUFU
      GUHMZUINZEOZFOZGOLHOZKFUOPEUOPGHDAIEFHGQRUJUFUMUNDLAKFAPEAPZULEFATTDSUKUP
      UIEFAAADBCUAUBUCUDUE $.
  $}

  ${
    $d M m o x y z $.  $d .o. m o x y z $.
    $( The predicate "is an associative operation".  (Contributed by FL,
       1-Nov-2009.)  (Revised by AV, 13-Jan-2020.) $)
    isasslaw $p |- ( ( .o. e. V /\ M e. W )
                     -> ( .o. assLaw M <-> A. x e. M A. y e. M A. z e. M
                           ( ( x .o. y ) .o. z ) = ( x .o. ( y .o. z ) ) ) ) $=
      ( vo vm cv co wceq wral casslaw wa simpr oveq eqidd oveq123d raleqbidv wb
      id eqeq12d adantr df-asslaw brabga ) AJZBJZHJZKZCJZUIKZUGUHUKUIKZUIKZLZCI
      JZMZBUPMZAUPMUGUHGKZUKGKZUGUHUKGKZGKZLZCDMZBDMZADMHIGDNEFUIGLZUPDLZOZURVE
      AUPDVFVGPZVHUQVDBUPDVIVHUOVCCUPDVIVFUOVCUAVGVFULUTUNVBVFUJUSUKUKUIGVFUBZU
      GUHUIGQVFUKRSVFUGUGUMVAUIGVJVFUGRUHUKUIGQSUCUDTTTABCIHUEUF $.

    $( Associativity of an associative operation.  (Contributed by FL,
       2-Nov-2009.)  (Revised by AV, 21-Jan-2020.) $)
    asslawass $p |- ( .o. assLaw M -> A. x e. M A. y e. M A. z e. M
                             ( ( x .o. y ) .o. z ) = ( x .o. ( y .o. z ) ) ) $=
      ( vo vm casslaw wbr cv co wceq wral cvv wcel df-asslaw bropaex12 isasslaw
      wa wb syl ibi ) EDHIZAJZBJZEKCJZEKUDUEUFEKEKLCDMBDMADMZUCENODNOSUCUGTUDUE
      FJZKUFUHKUDUEUFUHKUHKLCGJZMBUIMAUIMFGEDHABCGFPQABCDNNERUAUB $.
  $}

$( *** relation to magmas and semirings as defined before. *** $)

  ${
    $d M x y $.
    $( Slot 2 (group operation) of a magma as extensible structure is a closed
       operation on the base set.  (Contributed by AV, 13-Jan-2020.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    mgmplusgiopALT $p |- ( M e. Mgm -> ( +g ` M ) clLaw ( Base ` M ) ) $=
      ( vx vy cmgm wcel cplusg cfv cbs ccllaw wbr cv wral eqid mgmcl ralrimivva
      co 3expb cvv wa fvex wb pm3.2i iscllaw mp1i mpbird ) ADEZAFGZAHGZIJZBKZCK
      ZUGPUHEZCUHLBUHLZUFULBCUHUHUFUJUHEUKUHEULUHAUJUKUGUHMUGMNQOUGREZUHREZSUIU
      MUAUFUNUOAFTAHTUBBCUHRRUGUCUDUE $.
  $}

  ${
    $d G x y z $.
    $( Slot 2 (group operation) of a semigroup as extensible structure is an
       associative operation on the base set.  (Contributed by AV,
       13-Jan-2020.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    sgrpplusgaopALT $p |- ( G e. Smgrp -> ( +g ` G ) assLaw ( Base ` G ) ) $=
      ( vx vy vz cmgm wcel cv cplusg cfv co wceq cbs wral wa csgrp casslaw eqid
      wbr cvv fvex simpr issgrp wb isasslaw mp2an 3imtr4i ) AEFZBGZCGZAHIZJDGZU
      JJUHUIUKUJJUJJKDALIZMCULMBULMZNUMAOFUJULPRZUGUMUABCDULAUJULQUJQUBUJSFULSF
      UNUMUCAHTALTBCDULSSUJUDUEUF $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Internal binary operations
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  In this subsection, "internal binary operations" obeying different laws are
  defined.

$)

  $c intOp $.
  $c clIntOp $.
  $c assIntOp $.

  $( Extend class notation with class of internal (binary) operations for a
     set. $)
  cintop $a class intOp $.

  $( Extend class notation with class of closed operations for a set. $)
  cclintop $a class clIntOp $.

  $( Extend class notation with class of associative operations for a set. $)
  cassintop $a class assIntOp $.

  ${
    $d m n $.
    $( Function mapping a set to the class of all internal (binary) operations
       for this set.  (Contributed by AV, 20-Jan-2020.) $)
    df-intop $a |- intOp = ( m e. _V , n e. _V |-> ( n ^m ( m X. m ) ) ) $.
  $}

  ${
    $d m o $.
    $( Function mapping a set to the class of all closed (internal binary)
       operations for this set, see definition in section 1.2 of [Hall] p. 2,
       definition in section I.1 of [Bruck] p. 1, or definition 1 in
       [BourbakiAlg1] p. 1, where it is called "a law of composition".
       (Contributed by AV, 20-Jan-2020.) $)
    df-clintop $a |- clIntOp = ( m e. _V |-> ( m intOp m ) ) $.

    $( Function mapping a set to the class of all associative (closed internal
       binary) operations for this set, see definition 5 in [BourbakiAlg1]
       p. 4, where it is called "an associative law of composition".
       (Contributed by AV, 20-Jan-2020.) $)
    df-assintop $a |- assIntOp
                     = ( m e. _V |-> { o e. ( clIntOp ` m ) | o assLaw m } ) $.
  $}

  ${
    $d M m n $.  $d N m n $.  $d V m n $.  $d W m n $.
    $( The internal (binary) operations for a set.  (Contributed by AV,
       20-Jan-2020.) $)
    intopval $p |- ( ( M e. V /\ N e. W )
                     -> ( M intOp N ) = ( N ^m ( M X. M ) ) ) $=
      ( vm vn wcel wa cvv cv cxp cmap cintop cmpo wceq df-intop a1i adantl elex
      co simpr simpl sqxpeqd oveq12d adantr ovexd ovmpod ) ACGZBDGZHZEFABIIFJZE
      JZULKZLTZBAAKZLTZMIMEFIIUNNOUJEFPQULAOZUKBOZHZUNUPOUJUSUKBUMUOLUQURUAUSUL
      AUQURUBUCUDRUHAIGUIACSUEUIBIGUHBDSRUJBUOLUFUG $.

    $( An internal (binary) operation for a set.  (Contributed by AV,
       20-Jan-2020.) $)
    intop $p |- ( .o. e. ( M intOp N ) -> .o. : ( M X. M ) --> N ) $=
      ( vm vn cvv wcel wa cintop co wf cv cmap df-intop elmpocl intopval eleq2d
      cxp elmapi syl6bi mpcom ) AFGBFGHZCABIJZGZAARZBCKZDEFFELDLZUGRMJABICDENOU
      BUDCBUEMJZGUFUBUCUHCABFFPQCBUESTUA $.
  $}

  ${
    $d M m $.  $d V m $.
    $( The closed (internal binary) operations for a set.  (Contributed by AV,
       20-Jan-2020.) $)
    clintopval $p |- ( M e. V -> ( clIntOp ` M ) = ( M ^m ( M X. M ) ) ) $=
      ( vm wcel cv cintop co cxp cmap cclintop df-clintop wceq oveq12d intopval
      cvv id anidms sylan9eqr elex ovexd fvmptd2 ) ABDZCACEZUCFGZAAAHZIGZOJOCKU
      CALZUBUDAAFGZUFUGUCAUCAFUGPZUIMUBUHUFLAABBNQRABSUBAUEITUA $.

    $d M m o $.
    $( The associative (closed internal binary) operations for a set.
       (Contributed by AV, 20-Jan-2020.) $)
    assintopval $p |- ( M e. V
               -> ( assIntOp ` M ) = { o e. ( clIntOp ` M ) | o assLaw M } ) $=
      ( vm wcel cv casslaw wbr cclintop cfv crab cvv cassintop df-assintop wceq
      fveq2 breq2 rabeqbidv elex fvex rabex a1i fvmptd3 ) BCEZDBAFZDFZGHZAUFIJZ
      KUEBGHZABIJZKZLMLDANUFBOUGUIAUHUJUFBIPUFBUEGQRBCSUKLEUDUIAUJBITUAUBUC $.

    $( The associative (closed internal binary) operations for a set, expressed
       with set exponentiation.  (Contributed by AV, 20-Jan-2020.) $)
    assintopmap $p |- ( M e. V
           -> ( assIntOp ` M ) = { o e. ( M ^m ( M X. M ) ) | o assLaw M } ) $=
      ( wcel cassintop cfv cv casslaw wbr cclintop crab cxp cmap co assintopval
      clintopval rabeqdv eqtrd ) BCDZBEFAGBHIZABJFZKTABBBLMNZKABCOSTAUAUBBCPQR
      $.
  $}

  $( The predicate "is a closed (internal binary) operations for a set".
     (Contributed by FL, 2-Nov-2009.)  (Revised by AV, 20-Jan-2020.) $)
  isclintop $p |- ( M e. V
                  -> ( .o. e. ( clIntOp ` M ) <-> .o. : ( M X. M ) --> M ) ) $=
    ( wcel cclintop cfv cxp co wf clintopval eleq2d cvv wb sqxpexg elmapg mpdan
    cmap bitrd ) ABDZCAEFZDCAAAGZQHZDZUAACIZSTUBCABJKSUALDUCUDMABNAUACBLOPR $.

  $( A closed (internal binary) operation for a set.  (Contributed by AV,
     20-Jan-2020.) $)
  clintop $p |- ( .o. e. ( clIntOp ` M ) -> .o. : ( M X. M ) --> M ) $=
    ( cvv wcel cclintop cfv cxp wf elfvex isclintop biimpd mpcom ) ACDZBAEFDZAA
    GABHZBAEIMNOACBJKL $.

  ${
    $d M o $.  $d .o. o $.
    $( An associative (closed internal binary) operation for a set.
       (Contributed by AV, 20-Jan-2020.) $)
    assintop $p |- ( .o. e. ( assIntOp ` M )
                     -> ( .o. : ( M X. M ) --> M /\ .o. assLaw M ) ) $=
      ( vo cvv wcel cassintop cfv cxp wf casslaw wbr wa elfvex cmap assintopmap
      cv co crab eleq2d breq1 elrab elmapi anim1i sylbi syl6bi mpcom ) ADEZBAFG
      ZEZAAHZABIZBAJKZLZBAFMUGUIBCPZAJKZCAUJNQZRZEZUMUGUHUQBCADOSURBUPEZULLUMUO
      ULCBUPUNBAJTUAUSUKULBAUJUBUCUDUEUF $.
  $}

  ${
    $d M o x y z $.  $d .o. o x y z $.
    $( The predicate "is an associative (closed internal binary) operations for
       a set".  (Contributed by FL, 2-Nov-2009.)  (Revised by AV,
       20-Jan-2020.) $)
    isassintop $p |- ( M e. V -> ( .o. e. ( assIntOp ` M )
                  <-> ( .o. : ( M X. M ) --> M /\ A. x e. M A. y e. M A. z e. M
                         ( ( x .o. y ) .o. z ) = ( x .o. ( y .o. z ) ) ) ) ) $=
      ( vo wcel cfv cv co wceq wral wa casslaw wbr crab eleq2d elrab cvv cxp wf
      cassintop cmap assintopmap breq1 bitrdi elmapi ad2antrl isasslaw impancom
      biimpd impcom jca ex sylbid cclintop wi isclintop biimprcd adantr sqxpexg
      fex sylan2 ancoms simpl bicomd syl2anc impr assintopval mpbir2and impbid
      wb ) DEHZFDUCIZHZDDUAZDFUBZAJZBJZFKCJZFKVSVTWAFKFKLCDMBDMADMZNZVNVPFDVQUD
      KZHZFDOPZNZWCVNVPFGJZDOPZGWDQZHWGVNVOWJFGDEUERWIWFGFWDWHFDOUFZSUGVNWGWCVN
      WGNVRWBWEVRVNWFFDVQUHUIWGVNWBWEVNWFWBWEVNNWFWBABCDWDEFUJULUKUMUNUOUPVNWCV
      PVNWCNZVPFDUQIZHZWFWCVNWNVRVNWNURWBVNWNVRDEFUSUTVAUMVNVRWBWFVNVRNZWBWFWOF
      THZVNWBWFVMVRVNWPVNVRVQTHWPDEVBVQDTFVCVDVEVNVRVFWPVNNWFWBABCDTEFUJVGVHULV
      IWLVPFWIGWMQZHWNWFNWLVOWQFVNVOWQLWCGDEVJVARWIWFGFWMWKSUGVKUOVL $.
  $}

  ${
    $d M x y $.  $d .o. x y $.
    $( The closure law holds for a closed (internal binary) operation for a
       set.  (Contributed by AV, 20-Jan-2020.) $)
    clintopcllaw $p |- ( .o. e. ( clIntOp ` M ) -> .o. clLaw M ) $=
      ( vx vy cclintop cfv wcel ccllaw wbr cv co wral cxp clintop ffnov simprbi
      wf wfn syl cvv wb elfvex iscllaw mpdan mpbird ) BAEFZGZBAHIZCJDJBKAGDALCA
      LZUGAAMZABQZUIABNUKBUJRUICDAAABOPSUGATGUHUIUABAEUBCDAUFTBUCUDUE $.
  $}

  ${
    $d M o $.  $d .o. o $.
    $( The closure low holds for an associative (closed internal binary)
       operation for a set.  (Contributed by FL, 2-Nov-2009.)  (Revised by AV,
       20-Jan-2020.) $)
    assintopcllaw $p |- ( .o. e. ( assIntOp ` M ) -> .o. clLaw M ) $=
      ( vo cvv wcel cassintop cfv ccllaw wbr elfvex cclintop casslaw wa cv crab
      assintopval eleq2d breq1 elrab bitrdi clintopcllaw adantr syl6bi mpcom )
      ADEZBAFGZEZBAHIZBAFJUEUGBAKGZEZBALIZMZUHUEUGBCNZALIZCUIOZEULUEUFUOBCADPQU
      NUKCBUIUMBALRSTUJUHUKABUAUBUCUD $.
  $}

  $( The associative low holds for a associative (closed internal binary)
     operation for a set.  (Contributed by FL, 2-Nov-2009.)  (Revised by AV,
     20-Jan-2020.) $)
  assintopasslaw $p |- ( .o. e. ( assIntOp ` M ) -> .o. assLaw M ) $=
    ( cassintop cfv wcel cxp wf casslaw wbr assintop simprd ) BACDEAAFABGBAHIAB
    JK $.

  ${
    $d M x y z $.  $d .o. x y z $.
    $( An associative (closed internal binary) operation for a set is
       associative.  (Contributed by FL, 2-Nov-2009.)  (Revised by AV,
       20-Jan-2020.) $)
    assintopass $p |- ( .o. e. ( assIntOp ` M )
                        -> A. x e. M A. y e. M A. z e. M
                             ( ( x .o. y ) .o. z ) = ( x .o. ( y .o. z ) ) ) $=
      ( cassintop cfv wcel cvv cv co wceq wral id elfvex casslaw assintopasslaw
      wbr wa isasslaw syl5ibcom mp2and ) EDFGZHZUDDIHZAJZBJZEKCJZEKUFUGUHEKEKLC
      DMBDMADMZUDNEDFOUDEDPRUDUESUIDEQABCDUCIETUAUB $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Alternative definitions for magmas and semigroups
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c MgmALT $.
  $c CMgmALT $.
  $c SGrpALT $.
  $c CSGrpALT $.

  $( Extend class notation with class of all magmas. $)
  cmgm2 $a class MgmALT $.

  $( Extend class notation with class of all commutative magmas. $)
  ccmgm2 $a class CMgmALT $.

  $( Extend class notation with class of all semigroups. $)
  csgrp2 $a class SGrpALT $.

  $( Extend class notation with class of all commutative semigroups. $)
  ccsgrp2 $a class CSGrpALT $.

  $( A _magma_ is a set equipped with a closed operation.  Definition 1 of
     [BourbakiAlg1] p. 1, or definition of a groupoid in section I.1 of [Bruck]
     p. 1.  Note:  The term "groupoid" is now widely used to refer to other
     objects:  (small) categories all of whose morphisms are invertible, or
     groups with a partial function replacing the binary operation.  Therefore,
     we will only use the term "magma" for the present notion in set.mm.
     (Contributed by AV, 6-Jan-2020.) $)
  df-mgm2 $a |- MgmALT = { m | ( +g ` m ) clLaw ( Base ` m ) } $.

  $( A _commutative magma_ is a magma with a commutative operation.  Definition
     8 of [BourbakiAlg1] p. 7.  (Contributed by AV, 20-Jan-2020.) $)
  df-cmgm2 $a |- CMgmALT = { m e. MgmALT | ( +g ` m ) comLaw ( Base ` m ) } $.

  $( A _semigroup_ is a magma with an associative operation.  Definition in
     section II.1 of [Bruck] p. 23, or of an "associative magma" in definition
     5 of [BourbakiAlg1] p. 4, or of a semigroup in section 1.3 of [Hall] p. 7.
     (Contributed by AV, 6-Jan-2020.) $)
  df-sgrp2 $a |- SGrpALT = { g e. MgmALT | ( +g ` g ) assLaw ( Base ` g ) } $.

  $( A _commutative semigroup_ is a semigroup with a commutative operation.
     (Contributed by AV, 20-Jan-2020.) $)
  df-csgrp2 $a |- CSGrpALT = { g e. SGrpALT |
                                ( +g ` g ) comLaw ( Base ` g ) } $.

  ${
    $d B m $.  $d M m $.  $d .o. m $.
    ismgmALT.b $e |- B = ( Base ` M ) $.
    ismgmALT.o $e |- .o. = ( +g ` M ) $.
    $( The predicate "is a magma".  (Contributed by AV, 16-Jan-2020.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    ismgmALT $p |- ( M e. V -> ( M e. MgmALT <-> .o. clLaw B ) ) $=
      ( vm cv cplusg cfv cbs ccllaw wbr cmgm2 wceq fveq2 eqtr4di breq12d elab2g
      df-mgm2 ) GHZIJZUAKJZLMDALMGBNCUABOZUBDUCALUDUBBIJDUABIPFQUDUCBKJAUABKPEQ
      RGTS $.

    $( The predicate "is a commutative magma".  (Contributed by AV,
       20-Jan-2020.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    iscmgmALT $p |- ( M e. CMgmALT <-> ( M e. MgmALT /\ .o. comLaw B ) ) $=
      ( vm cplusg cfv cbs ccomlaw wbr cmgm2 ccmgm2 wceq breq12d breq12i bitr4di
      cv fveq2 df-cmgm2 elrab2 ) FRZGHZUBIHZJKZCAJKZFBLMUBBNZUEBGHZBIHZJKUFUGUC
      UHUDUIJUBBGSUBBISOCUHAUIJEDPQFTUA $.

    $( The predicate "is a semigroup".  (Contributed by AV, 16-Jan-2020.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    issgrpALT $p |- ( M e. SGrpALT <-> ( M e. MgmALT /\ .o. assLaw B ) ) $=
      ( vm cv cplusg cfv cbs casslaw cmgm2 csgrp2 wceq eqtr4di breq12d df-sgrp2
      wbr fveq2 elrab2 ) FGZHIZUAJIZKRCAKRFBLMUABNZUBCUCAKUDUBBHICUABHSEOUDUCBJ
      IAUABJSDOPFQT $.

    $( The predicate "is a commutative semigroup".  (Contributed by AV,
       20-Jan-2020.)  (New usage is discouraged.)
       (Proof modification is discouraged.) $)
    iscsgrpALT $p |- ( M e. CSGrpALT
                        <-> ( M e. SGrpALT /\ .o. comLaw B ) ) $=
      ( vm cplusg cfv cbs ccomlaw wbr csgrp2 ccsgrp2 wceq fveq2 breq12d breq12i
      cv bitr4di df-csgrp2 elrab2 ) FRZGHZUBIHZJKZCAJKZFBLMUBBNZUEBGHZBIHZJKUFU
      GUCUHUDUIJUBBGOUBBIOPCUHAUIJEDQSFTUA $.
  $}

  ${
    $d M x y $.
    $( Equivalence of the two definitions of a magma.  (Contributed by AV,
       16-Jan-2020.) $)
    mgm2mgm $p |- ( M e. MgmALT <-> M e. Mgm ) $=
      ( vx vy cmgm2 wcel cmgm cplusg cfv cbs ccllaw wbr eqid ismgmALT cv co cvv
      wral wb fvex iscllaw biimprd syl5bi sylbid pm2.43i mgmplusgiopALT mpbird
      mp2an ismgm impbii ) ADEZAFEZUJUKUJUJAGHZAIHZJKZUKUMADULUMLZULLZMUNBNCNUL
      OUMECUMQBUMQZUJUKULPEUMPEUNUQRAGSAISBCUMPPULTUGUJUKUQBCUMADULUOUPUHUAUBUC
      UDUKUJUNAUEUMAFULUOUPMUFUI $.
  $}

  ${
    $d M x y z $.
    $( Equivalence of the two definitions of a semigroup.  (Contributed by AV,
       16-Jan-2020.) $)
    sgrp2sgrp $p |- ( M e. SGrpALT <-> M e. Smgrp ) $=
      ( vx vy vz cmgm2 wcel cplusg cfv cbs casslaw wbr wa cmgm cv wceq wral cvv
      co fvex eqid csgrp2 csgrp mgm2mgm anbi1i wb pm3.2i isasslaw pm5.32i bitri
      mp1i issgrpALT issgrp 3bitr4i ) AEFZAGHZAIHZJKZLZAMFZBNZCNZUORDNZUORUTVAV
      BUORUORODUPPCUPPBUPPZLZAUAFAUBFURUSUQLVDUNUSUQAUCUDUSUQVCUOQFZUPQFZLUQVCU
      EUSVEVFAGSAISUFBCDUPQQUOUGUJUHUIUPAUOUPTZUOTZUKBCDUPAUOVGVHULUM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Categories (extension)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Subcategories (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d B x y z $.  $d C x y z $.  $d J x y z $.  $d S x y z $.
    idfusubc.s $e |- S = ( C |`cat J ) $.
    idfusubc.i $e |- I = ( idFunc ` S ) $.
    idfusubc.b $e |- B = ( Base ` S ) $.
    $( The identity functor for a subcategory is an "inclusion functor" from
       the subcategory into its supercategory.  (Contributed by AV,
       29-Mar-2020.) $)
    idfusubc0 $p |- ( J e. ( Subcat ` C ) -> I = <. ( _I |` B ) ,
                  ( x e. B , y e. B |-> ( _I |` ( x ( Hom ` S ) y ) ) ) >. ) $=
      ( vz csubc cfv wcel cid cres cxp cv cop wceq chom cmpt co cmpo id subccat
      eqid idfuval fveq2 df-ov eqtr4di reseq2d mpompt a1i opeq2d eqtrd ) GDLMNZ
      FOCPZKCCQOKRZEUAMZMZPZUBZSURABCCOARZBRZUTUCZPZUDZSUQKCEUTFIJUQDEGHUQUEUFU
      TUGUHUQVCVHURVCVHTUQABKCCVBVGUSVDVESZTZVAVFOVJVAVIUTMVFUSVIUTUIVDVEUTUJUK
      ULUMUNUOUP $.

    $( The identity functor for a subcategory is an "inclusion functor" from
       the subcategory into its supercategory.  (Contributed by AV,
       29-Mar-2020.) $)
    idfusubc $p |- ( J e. ( Subcat ` C ) -> I = <. ( _I |` B ) ,
                            ( x e. B , y e. B |-> ( _I |` ( x J y ) ) ) >. ) $=
      ( csubc cfv wcel cid cres cv co cmpo cop cdm chom idfusubc0 cbs ccat eqid
      subcrcl eqidd subcfn subcss1 reschom eqcomd oveqd reseq2d mpoeq3dv opeq2d
      id eqtrd ) GDKLMZFNCOZABCCNAPZBPZEUALZQZOZRZSUSABCCNUTVAGQZOZRZSABCDEFGHI
      JUBURVEVHUSURABCCVDVGURVCVFNURVBGUTVAURGVBURDUCLZDEGTTZGUDHVIUEZDGUFURDVJ
      GURUPZURVJUGUHZURVIDVJGVLVMVKUIUJUKULUMUNUOUQ $.
  $}

  ${
    $d B x y $.  $d C x y $.  $d J x y $.  $d S x y $.
    inclfusubc.j $e |- ( ph -> J e. ( Subcat ` C ) ) $.
    inclfusubc.s $e |- S = ( C |`cat J ) $.
    inclfusubc.b $e |- B = ( Base ` S ) $.
    inclfusubc.f $e |- ( ph -> F = ( _I |` B ) ) $.
    inclfusubc.g $e |- ( ph -> G = ( x e. B , y e. B
                                     |-> ( _I |` ( x J y ) ) ) ) $.
    $( The "inclusion functor" from a subcategory of a category into the
       category itself.  (Contributed by AV, 30-Mar-2020.) $)
    inclfusubc $p |- ( ph -> F ( S Func C ) G ) $=
      ( co cfv wcel syl cop cid cfunc wbr cidfu cfth fthfunc csubc eqid rescfth
      sselid df-br cres cmpo opeq12d wceq idfusubc eqtr4d eleq1d syl5bb mpbird
      cv ) AGHFEUAOZUBZFUCPZVAQZAFEUDOZVAVCFEUEAIEUFPQZVCVEQJEFVCIKVCUGZUHRUIVB
      GHSZVAQAVDGHVAUJAVHVCVAAVHTDUKZBCDDTBUTCUTIOUKULZSZVCAGVIHVJMNUMAVFVCVKUN
      JBCDEFVCIKVGLUORUPUQURUS $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Rings (extension)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Nonzero rings (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d M v $.
    $( If the scalar ring of a module is the zero ring, the module is the zero
       module, i.e. the base set of the module is the singleton consisting of
       the identity element only.  (Contributed by AV, 17-Apr-2019.) $)
    lmod0rng $p |- ( ( M e. LMod /\ -. ( Scalar ` M ) e. NzRing )
                     -> ( Base ` M ) = { ( 0g ` M ) } ) $=
      ( vv clmod wcel csca cfv cnzr wn cbs c0g csn wceq crg wi eqid wa co mpcom
      syl ex lmodring chash c1 0ringnnzr cur 0ring01eq wral cvsca lmodvs1 eqcom
      biimpi oveq1 eqcoms lmod0vs sylan9eqr sylan9eq exp32 com12 impl ralrimiva
      cv wb c0 wne lmodbn0 eqsn adantl mpbird sylbird com23 imp ) ACDZAEFZGDHZA
      IFZAJFZKLZVMMDZVLVNVQNVMAVMOZUAVRVNVLVQVRVNVMIFZUBFUCLZVLVQNZVMUDVRWAWBVR
      WAPVMJFZVMUEFZLZWBVTVMWDWCVTOWCOZWDOZUFWEVLVQWEVLPZVQBVAZVPLZBVOUGZWHWJBV
      OWEVLWIVODZWJVLWLPZWEWJWDWIAUHFZQZWILZWMWEWJNWNWDVMVOAWIVOOZVSWNOZWGUIWPW
      MWEWJWPWMWEPWIWOVPWPWIWOLWOWIUJUKWEWMWOWCWIWNQZVPWOWSLWDWCWDWCWIWNULUMWNV
      MWCVOAWIVPWQVSWRWFVPOUNUOUPUQRURUSUTVLVQWKVBZWEVLVOVCVDWTVOAWQVEBVOVPVFSV
      GVHTSTVIVJRVK $.
  $}

  $( The additive inverse of the 1 in a nonzero ring is not zero ( -1 =/= 0 ).
     (Contributed by AV, 29-Apr-2019.) $)
  nzrneg1ne0 $p |- ( R e. NzRing
                     -> ( ( invg ` R ) ` ( 1r ` R ) ) =/= ( 0g ` R ) ) $=
    ( cnzr wcel cur cfv cminusg cui c0g wne crg nzrring eqid unitnegcl syl2anc2
    1unit nzrunit mpdan ) ABCZADEZAFEZEZAGEZCZUAAHEZIRAJCSUBCUCAKAUBSUBLZSLOAUB
    TSUETLMNUAAUBUDUEUDLPQ $.

  ${
    0ringdif.b $e |- B = ( Base ` R ) $.
    0ringdif.0 $e |- .0. = ( 0g ` R ) $.
    $( A zero ring is a ring which is not a nonzero ring.  (Contributed by AV,
       17-Apr-2020.) $)
    0ringdif $p |- ( R e. ( Ring \ NzRing )
                     <-> ( R e. Ring /\ B = { .0. } ) ) $=
      ( crg cnzr cdif wcel wn wa csn wceq eldif chash cfv c1 cbs a1i cvv ex c0g
      fveqeq2d 0ring fveq2 fvexi hashsng ax-mp eqtrdi impbid1 0ringnnzr pm5.32i
      3bitr3rd bitri ) BFGHIBFIZBGIJZKUOACLZMZKBFGNUOUPURUOAOPZQMZBRPZOPQMURUPU
      OAVAQOAVAMUODSUCUOUTURUOUTURABCDEUDUAURUSUQOPZQAUQOUECTIVBQMCBUBEUFCTUGUH
      UIUJBUKUMULUN $.

    $( The base set of a zero ring, a ring which is not a nonzero ring, is the
       singleton of the zero element.  (Contributed by AV, 17-Apr-2020.) $)
    0ringbas $p |- ( R e. ( Ring \ NzRing ) -> B = { .0. } ) $=
      ( crg cnzr cdif wcel csn wceq 0ringdif simprbi ) BFGHIBFIACJKABCDELM $.

    0ring1eq0.1 $e |- .1. = ( 1r ` R ) $.
    $( In a zero ring, a ring which is not a nonzero ring, the unit equals the
       zero element.  (Contributed by AV, 17-Apr-2020.) $)
    0ring1eq0 $p |- ( R e. ( Ring \ NzRing ) -> .1. = .0. ) $=
      ( crg cnzr cdif wcel wn wa wceq eldif cbs cfv chash c1 0ringnnzr eqid imp
      0ring01eq eqcomd ex sylbird sylbi ) BHIJKBHKZBIKLZMCDNZBHIOUHUIUJUHUIBPQZ
      RQSNZUJBTUHULUJUHULMDCUKBCDUKUAFGUCUDUEUFUBUG $.
  $}

  ${
    $d R f $.  $d Z f $.
    $( There is no ring homomorphism from the zero ring into a nonzero ring.
       (Contributed by AV, 18-Apr-2020.) $)
    nrhmzr $p |- ( ( Z e. ( Ring \ NzRing ) /\ R e. NzRing )
                   -> ( Z RingHom R ) = (/) ) $=
      ( vf crg cnzr cdif wcel wa c0g cfv cur wceq co eqid adantr adantl wal wne
      wi wn cv crh wral c0 0ring1eq0 eqcomd fveq2d rhm1 eqtrd cghm rhmghm ghmid
      cbs syl jca ralrimiva wo nzrnz necomd wb neeq1 mpbird orcd expcom olc a1d
      pm2.61ine neorian sylib con3 syl5com alimdv df-ral eq0 3imtr4g mpd ) BDEF
      GZAEGZHZBIJZCUAZJZAKJZLZWBAIJZLZHZCBAUBMZUCZWHUDLZVSWGCWHVSWAWHGZHZWDWFWL
      WBBKJZWAJZWCWLVTWMWAWLWMVTVSWMVTLZWKVQWOVRBUMJZBWMVTWPNVTNZWMNZUEOOUFUGWK
      WNWCLVSBAWMWAWCWRWCNZUHPUIWLWABAUJMGZWFWKWTVSBAWAUKPBAWAVTWEWQWENZULUNUOU
      PVSWKWGSZCQWKTZCQWIWJVSXBXCCVSWGTZXBXCVSWBWCRZWBWERZUQZXDVSXGSWBWEVSWFXGV
      SWFHZXEXFXHXEWEWCRZVSXIWFVRXIVQVRWCWEAWCWEWSXAURUSPOWFXEXIUTVSWBWEWCVAPVB
      VCVDXFXGVSXFXEVEVFVGWBWCWBWEVHVIWKWGVJVKVLWGCWHVMCWHVNVOVP $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Non-unital rings ("rngs")
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  According to Wikipedia, "... in abstract algebra, a _rng_ (or pseudo-ring or
  non-unital ring) is an algebraic structure satisfying the same properties as
  a [[unital] ring, without assuming the existence of a multiplicative
  identity.  The term "rng" (pronounced rung) is meant to suggest that it is a
  "ring" without "i", i.e. without the requirement for an "identity element"."
  (see ~ https://en.wikipedia.org/wiki/Rng_(algebra) , 6-Jan-2020).

$)

  $c Rng $.

  $( Extend class notation with class of all non-unital rings. $)
  crng $a class Rng $.

  ${
    $d b f p t x y z $.
    $( Define class of all (non-unital) rings.  A _non-unital ring_ (or rng, or
       pseudoring) is a set equipped with two everywhere-defined internal
       operations, whose first one is an additive abelian group operation and
       the second one is a multiplicative semigroup operation, and where the
       addition is left- and right-distributive for the multiplication.
       Definition of a pseudo-ring in section I.8.1 of [BourbakiAlg1] p. 93 or
       the definition of a ring in part Preliminaries of [Roman] p. 18.  As
       almost always in mathematics, "non-unital" means "not necessarily
       unital".  Therefore, by talking about a ring (in general) or a
       non-unital ring the "unital" case is always included.  In contrast to a
       unital ring, the commutativity of addition must be postulated and cannot
       be proven from the other conditions.  (Contributed by AV,
       6-Jan-2020.) $)
    df-rng0 $a |- Rng = { f e. Abel | ( ( mulGrp ` f ) e. Smgrp /\
        [. ( Base ` f ) / b ]. [. ( +g ` f ) / p ]. [. ( .r ` f ) / t ].
        A. x e. b A. y e. b A. z e. b
           ( ( x t ( y p z ) ) = ( ( x t y ) p ( x t z ) )
            /\ ( ( x p y ) t z ) = ( ( x t z ) p ( y t z ) ) ) ) } $.
  $}

  ${
    $d B b r t x y z $.  $d B p $.  $d G r $.  $d R b r t x y z $.  $d R p $.
    $d .x. b r t x y z $.  $d .x. p $.  $d .+ p b r t x y z $.  $d .+ p $.
    isrng.b $e |- B = ( Base ` R ) $.
    isrng.g $e |- G = ( mulGrp ` R ) $.
    isrng.p $e |- .+ = ( +g ` R ) $.
    isrng.t $e |- .x. = ( .r ` R ) $.
    $( The predicate "is a non-unital ring."  (Contributed by AV,
       6-Jan-2020.) $)
    isrng $p |- ( R e. Rng <-> ( R e. Abel /\ G e. Smgrp
                                  /\ A. x e. B A. y e. B A. z e. B
                 ( ( x .x. ( y .+ z ) ) = ( ( x .x. y ) .+ ( x .x. z ) )
              /\ ( ( x .+ y ) .x. z ) = ( ( x .x. z ) .+ ( y .x. z ) ) ) ) ) $=
      ( vp cv co wceq wa wral cfv oveq vr vt vb crng wcel cabl csgrp cmgp cmulr
      w3a wsbc cplusg cbs fveq2 eqtr4di eleq1d fvexd adantr simpllr simpr eqidd
      ad2antlr oveq123d adantl eqeq12d anbi12d raleqbidv sbcied2 df-rng0 elrab2
      cvv 3anass bitr4i ) FUDUEFUFUEZHUGUEZANZBNZCNZEOZGOZVPVQGOZVPVRGOZEOZPZVP
      VQEOZVRGOZWBVQVRGOZEOZPZQZCDRZBDRZADRZQZQVNVOWMUJUANZUHSZUGUEZVPVQVRMNZOZ
      UBNZOZVPVQWTOZVPVRWTOZWROZPZVPVQWROZVRWTOZXCVQVRWTOZWROZPZQZCUCNZRZBXLRZA
      XLRZUBWOUISZUKZMWOULSZUKZUCWOUMSZUKZQWNUAFUFUDWOFPZWQVOYAWMYBWPHUGYBWPFUH
      SHWOFUHUNJUOUPYBXSWMUCXTDVKYBWOUMUQYBXTFUMSDWOFUMUNIUOYBXLDPZQZXQWMMXREVK
      YDWOULUQYDXRFULSZEYBXRYEPYCWOFULUNURKUOYDWREPZQZXOWMUBXPGVKYGWOUIUQYGXPFU
      ISZGYDXPYHPZYFYBYIYCWOFUIUNURURLUOYGWTGPZQZXNWLAXLDYBYCYFYJUSZYKXMWKBXLDY
      LYKXKWJCXLDYLYKXEWDXJWIYKXAVTXDWCYKVPVPWSVSWTGYGYJUTZYKVPVAYFWSVSPYDYJVQV
      RWRETVBVCYKXBWAXCWBWREYGYFYJYDYFUTURZYJXBWAPYGVPVQWTGTVDYJXCWBPYGVPVRWTGT
      VDZVCVEYKXGWFXIWHYKXFWEVRVRWTGYMYFXFWEPYDYJVPVQWRETVBYKVRVAVCYKXCWBXHWGWR
      EYNYOYJXHWGPYGVQVRWTGTVDVCVEVFVGVGVGVHVHVHVFABCUBUAMUCVIVJVNVOWMVLVM $.
  $}

  ${
    $d R x y z $.
    $( A non-unital ring is an (additive) abelian group.  (Contributed by AV,
       17-Feb-2020.) $)
    rngabl $p |- ( R e. Rng -> R e. Abel ) $=
      ( vx vy vz crng wcel cabl cmgp cfv csgrp cv cplusg co cmulr wceq cbs wral
      wa eqid isrng simp1bi ) AEFAGFAHIZJFBKZCKZDKZALIZMANIZMUCUDUGMUCUEUGMZUFM
      OUCUDUFMUEUGMUHUDUEUGMUFMORDAPIZQCUIQBUIQBCDUIUFAUGUBUISUBSUFSUGSTUA $.

    rngmgp.g $e |- G = ( mulGrp ` R ) $.
    $( A non-unital ring is a semigroup under multiplication.  (Contributed by
       AV, 17-Feb-2020.) $)
    rngmgp $p |- ( R e. Rng -> G e. Smgrp ) $=
      ( vx vy vz crng wcel cabl csgrp cv cplusg cfv co cmulr wceq cbs wral eqid
      wa isrng simp2bi ) AGHAIHBJHDKZEKZFKZALMZNAOMZNUCUDUGNUCUEUGNZUFNPUCUDUFN
      UEUGNUHUDUEUGNUFNPTFAQMZREUIRDUIRDEFUIUFAUGBUISCUFSUGSUAUB $.
  $}

  ${
    $d R x y z $.
    $( A unital ring is a (non-unital) ring.  (Contributed by AV,
       6-Jan-2020.) $)
    ringrng $p |- ( R e. Ring -> R e. Rng ) $=
      ( vx vy vz cabl wcel crg crng ringabl cgrp cmgp cmnd cv cplusg co wceq wa
      cfv wral eqid cmulr cbs isring csgrp simpl mndsgrp 3ad2ant2 adantl simpr3
      w3a isrng syl3anbrc ex syl5bi mpcom ) AEFZAGFZAHFZAIUQAJFZAKRZLFZBMZCMZDM
      ZANRZOAUARZOVBVCVFOVBVDVFOZVEOPVBVCVEOVDVFOVGVCVDVFOVEOPQDAUBRZSCVHSBVHSZ
      UJZUPURBCDVHVEAVFUTVHTZUTTZVETZVFTZUCUPVJURUPVJQUPUTUDFZVIURUPVJUEVJVOUPV
      AUSVOVIUTUFUGUHUPUSVAVIUIBCDVHVEAVFUTVKVLVMVNUKULUMUNUO $.

    $( The unital rings are (non-unital) rings.  (Contributed by AV,
       20-Mar-2020.) $)
    ringssrng $p |- Ring C_ Rng $=
      ( vx crg crng cv ringrng ssriv ) ABCADEF $.
  $}

  ${
    $d B x y z $.  $d R x y z $.  $d .x. x y z $.
    isringrng.b $e |- B = ( Base ` R ) $.
    isringrng.t $e |- .x. = ( .r ` R ) $.
    $( The predicate "is a unital ring" as extension of the predicate "is a
       non-unital ring".  (Contributed by AV, 17-Feb-2020.) $)
    isringrng $p |- ( R e. Ring <-> ( R e. Rng /\ E. x e. B A. y e. B
                                  ( ( x .x. y ) = y /\ ( y .x. x ) = y ) ) ) $=
      ( vz crg wcel crng cv co wceq wa wral syl cfv adantr eqid ringideu reurex
      wrex ringrng wreu cgrp cmgp cmnd cplusg rngabl ablgrp csgrp rngmgp anim1i
      jca mgpbas mgpplusg ismnddef sylibr isrng simp3bi isring syl3anbrc impbii
      cabl ) DIJZDKJZALZBLZEMZVINVIVHEMVINOBCPZACUCZOZVFVGVLDUDVFVKACUEVLBACDEF
      GUAVKACUBQUOVMDUFJZDUGRZUHJZVHVIHLZDUIRZMEMVJVHVQEMZVRMNVHVIVRMVQEMVSVIVQ
      EMVRMNOHCPBCPACPZVFVGVNVLVGDVEJZVNDUJDUKQSVMVOULJZVLOVPVGWBVLDVOVOTZUMUNC
      EAVOBCDVOWCFUPDEVOWCGUQURUSVGVTVLVGWAWBVTABHCVRDEVOFWCVRTZGUTVASABHCVRDEV
      OFWCWDGVBVCVD $.
  $}

  ${
    $d B a b c $.  $d R a b c $.  $d X a b c $.  $d Y b c $.  $d Z c $.
    $d .x. a b c $.  $d .+ a b c $.
    rngdi.b $e |- B = ( Base ` R ) $.
    rngdi.p $e |- .+ = ( +g ` R ) $.
    rngdi.t $e |- .x. = ( .r ` R ) $.
    $( Distributive law for the multiplication operation of a nonunital ring
       (right-distributivity).  (Contributed by AV, 17-Apr-2020.) $)
    rngdir $p |- ( ( R e. Rng /\ ( X e. B /\ Y e. B /\ Z e. B ) ) ->
                     ( ( X .+ Y ) .x. Z ) = ( ( X .x. Z ) .+ ( Y .x. Z ) ) ) $=
      ( va vb vc wcel co wceq wa oveq1 eqeq12d oveq2 crng w3a cabl cfv csgrp cv
      cmgp wral eqid isrng oveq12d oveq1d anbi12d oveq2d simpr syl6com 3ad2ant3
      wi rspc3v sylbi imp ) CUANZEANFANGANUBZEFBOZGDOZEGDOZFGDOZBOZPZVBCUCNZCUG
      UDZUENZKUFZLUFZMUFZBOZDOZVMVNDOZVMVODOZBOZPZVMVNBOZVODOZVSVNVODOZBOZPZQZM
      AUHLAUHKAUHZUBVCVIURZKLMABCDVKHVKUIIJUJWHVJWIVLVCWHEFGBOZDOZEFDOZVFBOZPZV
      IQZVIWGWOEVPDOZEVNDOZEVODOZBOZPZEVNBOZVODOZWRWDBOZPZQEFVOBOZDOZWLWRBOZPZV
      DVODOZWRFVODOZBOZPZQKLMEFGAAAVMEPZWAWTWFXDXMVQWPVTWSVMEVPDRXMVRWQVSWRBVME
      VNDRVMEVODRZUKSXMWCXBWEXCXMWBXAVODVMEVNBRULXMVSWRWDBXNULSUMVNFPZWTXHXDXLX
      OWPXFWSXGXOVPXEEDVNFVOBRUNXOWQWLWRBVNFEDTULSXOXBXIXCXKXOXAVDVODVNFEBTULXO
      WDXJWRBVNFVODRUNSUMVOGPZXHWNXLVIXPXFWKXGWMXPXEWJEDVOGFBTUNXPWRVFWLBVOGEDT
      ZUNSXPXIVEXKVHVOGVDDTXPWRVFXJVGBXQVOGFDTUKSUMUSWNVIUOUPUQUTVA $.
  $}

  ${
    rngcl.b $e |- B = ( Base ` R ) $.
    rngcl.t $e |- .x. = ( .r ` R ) $.
    $( Closure of the multiplication operation of a nonunital ring.
       (Contributed by AV, 17-Apr-2020.) $)
    rngcl $p |- ( ( R e. Rng /\ X e. B /\ Y e. B ) -> ( X .x. Y ) e. B ) $=
      ( crng wcel cmgp cfv cmgm csgrp eqid rngmgp sgrpmgm syl mgpbas mgpplusg
      co mgmcl syl3an1 ) BHIZBJKZLIZDAIEAIDECTAIUCUDMIUEBUDUDNZOUDPQAUDDECABUDU
      FFRBCUDUFGSUAUB $.

    rnglz.z $e |- .0. = ( 0g ` R ) $.
    $( The zero of a nonunital ring is a left-absorbing element.  (Contributed
       by AV, 17-Apr-2020.) $)
    rnglz $p |- ( ( R e. Rng /\ X e. B ) -> ( .0. .x. X ) = .0. ) $=
      ( crng wcel wa co cplusg cfv wceq cgrp cabl syl adantr syl2anc rngabl w3a
      ablgrp grpidcl eqid grplid syl2anc2 oveq1d simpl jca anim1i df-3an sylibr
      rngdir simpr rngcl syl3anc grprid eqcomd 3eqtr3d grplcan syl13anc mpbid
      wb ) BIJZDAJZKZEDCLZVHBMNZLZVHEVILZOZVHEOZVGEEVILZDCLZVHVJVKVGVNEDCVEVNEO
      ZVFVEBPJZEAJZVPVEBQJVQBUABUCRZABEFHUDZAVIBEEFVIUEZHUFUGSUHVGVEVRVRVFUBZVO
      VJOVEVFUIZVGVRVRKZVFKWBVEWDVFVEVRVRVEVQVRVSVTRZWEUJUKVRVRVFULUMAVIBCEEDFW
      AGUNTVGVQVHAJZVHVKOVEVQVFVSSZVGVEVRVFWFWCVEVRVFWESZVEVFUOABCEDFGUPUQZVQWF
      KVKVHAVIBVHEFWAHURUSTUTVGVQWFVRWFVLVMVDWGWIWHWIAVIBVHEVHFWAVAVBVC $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Rng homomorphisms
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c RngHomo $. $( non-unital ring homomorphism $)
  $c RngIsom $. $( non-unital ring isomorphism $)

  $( non-unital ring homomorphisms. $)
  crngh $a class RngHomo $.

  $( non-unital ring isomorphisms. $)
  crngs $a class RngIsom $.

  ${
    $d r s v w f x y $.
    $( Define the set of non-unital ring homomorphisms from ` r ` to ` s ` .
       (Contributed by AV, 20-Feb-2020.) $)
    df-rnghomo $a |- RngHomo = ( r e. Rng , s e. Rng |->
      [_ ( Base ` r ) / v ]_ [_ ( Base ` s ) / w ]_ { f e. ( w ^m v ) |
     A. x e. v A. y e. v
     ( ( f ` ( x ( +g ` r ) y ) ) = ( ( f ` x ) ( +g ` s ) ( f ` y ) ) /\
       ( f ` ( x ( .r ` r ) y ) ) = ( ( f ` x ) ( .r ` s ) ( f ` y ) ) ) } ) $.

    $( Define the set of non-unital ring isomorphisms from ` r ` to ` s ` .
       (Contributed by AV, 20-Feb-2020.) $)
    df-rngisom $a |- RngIsom = ( r e. _V , s e. _V |->
                        { f e. ( r RngHomo s ) | `' f e. ( s RngHomo r ) } ) $.

    $( Reverse closure of a non-unital ring homomorphism.  (Contributed by AV,
       22-Feb-2020.) $)
    rnghmrcl $p |- ( F e. ( R RngHomo S ) -> ( R e. Rng /\ S e. Rng ) ) $=
      ( vr vs vv vw vx vy vf crng cv cbs cfv cplusg co wceq cmulr wral csb cmap
      wa crab crngh df-rnghomo elmpocl ) DEKKFDLZMNGELZMNHLZILZUGONPJLZNUIUKNZU
      JUKNZUHONPQUIUJUGRNPUKNULUMUHRNPQUBIFLZSHUNSJGLUNUAPUCTTABUDCHIGFJEDUEUF
      $.

    $( The mapping of two non-unital rings to the non-unital ring homomorphisms
       between them is a function.  (Contributed by AV, 1-Mar-2020.) $)
    rnghmfn $p |- RngHomo Fn ( Rng X. Rng ) $=
      ( vr vs vv vw vx vy vf crng cv cbs cfv cplusg co wceq cmulr wral cmap csb
      wa csbex crab crngh df-rnghomo ovex rabex fnmpoi ) ABHHCAIZJKZDBIZJKZEIZF
      IZUGLKMGIZKUKUMKZULUMKZUILKMNUKULUGOKMUMKUNUOUIOKMNSFCIZPEUPPZGDIZUPQMZUA
      ZRZRUBEFDCGBAUCCUHVADUJUTUQGUSURUPQUDUETTUF $.
  $}

  ${
    $d B f x y $.  $d R f x y $.  $d S f x y $.
    isrnghm.b $e |- B = ( Base ` R ) $.
    isrnghm.t $e |- .x. = ( .r ` R ) $.
    isrnghm.m $e |- .* = ( .r ` S ) $.
    ${
      $d B f r s v w x y $.  $d C f r s v w $.  $d R r s $.  $d S r s v $.
      $d .+ r s $.  $d .+b r s $.  $d .x. r s $.  $d .* r s $.
      rnghmval.c $e |- C = ( Base ` S ) $.
      rnghmval.p $e |- .+ = ( +g ` R ) $.
      rnghmval.a $e |- .+b = ( +g ` S ) $.
      $( The set of the non-unital ring homomorphisms between two non-unital
         rings.  (Contributed by AV, 22-Feb-2020.) $)
      rnghmval $p |- ( ( R e. Rng /\ S e. Rng )
                   -> ( R RngHomo S ) = { f e. ( C ^m B ) | A. x e. B A. y e. B
                    ( ( f ` ( x .+ y ) ) = ( ( f ` x ) .+b ( f ` y ) ) /\
                      ( f ` ( x .x. y ) ) = ( ( f ` x ) .* ( f ` y ) ) ) } ) $=
        ( cfv co wceq vr vs vv vw crng wcel wa cv cbs cplusg wral cmap crab csb
        cmulr crngh cvv cmpo df-rnghomo fveq2 eqtr4di csbeq1d csbeq2dv sylan9eq
        a1i adantl fvexi oveq12 ancoms raleq raleqbi1dv adantr rabeqbidv csbie2
        oveqdr fveq2d oveqd eqeq12d anbi12d 2ralbidv rabbidv syl5eq eqtrd simpl
        wb simpr ovex rabex ovmpod ) GUEUFZHUEUFZUGZUAUBGHUEUEUCUAUHZUIRZUDUBUH
        ZUIRZAUHZBUHZWMUJRZSZJUHZRZWQXARZWRXARZWOUJRZSZTZWQWRWMUORZSZXARZXCXDWO
        UORZSZTZUGZBUCUHZUKZAXOUKZJUDUHZXOULSZUMZUNZUNZWQWRESZXARZXCXDFSZTZWQWR
        ISZXARZXCXDKSZTZUGZBCUKACUKZJDCULSZUMZUPUQUPUAUBUEUEYBURTWLABUDUCJUBUAU
        SVEWLWMGTZWOHTZUGZUGYBUCCUDDXTUNZUNZYNYQYBYSTWLYOYPYBUCCYAUNYSYOUCWNCYA
        YOWNGUIRCWMGUIUTLVAVBYPUCCYAYRYPUDWPDXTYPWPHUIRDWOHUIUTOVAVBVCVDVFYQYSY
        NTWLYQYSXNBCUKZACUKZJYMUMZYNUCUDCDXTUUBCGUILVGDHUIOVGXOCTZXRDTZUGXQUUAJ
        XSYMUUDUUCXSYMTXRDXOCULVHVIUUCXQUUAWEUUDXPYTAXOCXNBXOCVJVKVLVMVNYQUUAYL
        JYMYQXNYKABCCYQXGYFXMYJYQXBYDXFYEYQWTYCXAYOYPABWSEYOWSGUJREWMGUJUTPVAVO
        VPYQXEFXCXDYPXEFTYOYPXEHUJRFWOHUJUTQVAVFVQVRYQXJYHXLYIYQXIYGXAYOYPABXHI
        YOXHGUORIWMGUOUTMVAVOVPYQXKKXCXDYPXKKTYOYPXKHUORKWOHUOUTNVAVFVQVRVSVTWA
        WBVFWCWJWKWDWJWKWFYNUQUFWLYLJYMDCULWGWHVEWI $.
    $}

    $d F f x y $.  $d .x. f $.  $d .* f $.
    $( A function is a non-unital ring homomorphism iff it is a group
       homomorphism and preserves multiplication.  (Contributed by AV,
       22-Feb-2020.) $)
    isrnghm $p |- ( F e. ( R RngHomo S ) <-> ( ( R e. Rng /\ S e. Rng )
                      /\ ( F e. ( R GrpHom S ) /\ A. x e. B A. y e. B
                      ( F ` ( x .x. y ) ) = ( ( F ` x ) .* ( F ` y ) ) ) ) ) $=
      ( vf co wcel wa cfv wceq wral fveq1 cvv crngh crng cv rnghmrcl cplusg cbs
      cghm cmap rnghmval eleq2d oveq12d eqeq12d anbi12d 2ralbidv elrab r19.26-2
      crab eqid anbi2i anass bitr4i cgrp wf isghm fvex fvexi pm3.2i elmapg mp1i
      wb anbi1d cabl rngabl ablgrp syl ibar syl2an bitr2d syl5bb bitrd biadanii
      bitr2id ) GDEUAMZNZDUBNZEUBNZOZGDEUGMNZAUCZBUCZFMZGPZWIGPZWJGPZHMZQZBCRAC
      RZOZDEGUDWGWDGWIWJDUEPZMZLUCZPZWIXAPZWJXAPZEUEPZMZQZWKXAPZXCXDHMZQZOZBCRA
      CRZLEUFPZCUHMZUQZNZWRWGWCXOGABCXMWSXEDEFLHIJKXMURZWSURZXEURZUIUJXPGXNNZWT
      GPZWMWNXEMZQZWPOZBCRACRZOZWGWRXLYELGXNXAGQZXKYDABCCYGXGYCXJWPYGXBYAXFYBWT
      XAGSYGXCWMXDWNXEWIXAGSZWJXAGSZUKULYGXHWLXIWOWKXAGSYGXCWMXDWNHYHYIUKULUMUN
      UOYFXTYCBCRACRZOZWQOZWGWRYFXTYJWQOZOYLYEYMXTYCWPABCCUPUSXTYJWQUTVAWGYKWHW
      QWHDVBNZEVBNZOZCXMGVCZYJOZOZWGYKBAWSXEDEGCXMIXQXRXSVDWGYKYRYSWGXTYQYJXMTN
      ZCTNZOXTYQVJWGYTUUAEUFVECDUFIVFVGXMCGTTVHVIVKWEYNYOYRYSVJWFWEDVLNYNDVMDVN
      VOWFEVLNYOEVMEVNVOYPYRVPVQVRWBVKVSVSVTWA $.
  $}

  ${
    $d F x y $.  $d M x y $.  $d N x y $.  $d R x y $.  $d S x y $.
    isrnghmmul.m $e |- M = ( mulGrp ` R ) $.
    isrnghmmul.n $e |- N = ( mulGrp ` S ) $.
    $( A function is a non-unital ring homomorphism iff it preserves both
       addition and multiplication.  (Contributed by AV, 27-Feb-2020.) $)
    isrnghmmul $p |- ( F e. ( R RngHomo S ) <-> ( ( R e. Rng /\ S e. Rng ) /\
          ( F e. ( R GrpHom S ) /\ F e. ( M MgmHom N ) ) ) ) $=
      ( vx vy co wcel crng wa cv cmulr cfv cbs wral eqid cmgm crngh cghm cmgmhm
      wceq isrnghm csgrp rngmgp sgrpmgm syl anim12i ghmf biantrurd anass bitrdi
      wf mgpbas mgpplusg ismgmhm bitr4di pm5.32da pm5.32i bitri ) CABUAJKALKZBL
      KZMZCABUBJKZHNZINZAOPZJCPVGCPVHCPBOPZJUDIAQPZRHVKRZMZMVEVFCDEUCJKZMZMHIVK
      ABVICVJVKSZVISZVJSZUEVEVMVOVEVFVLVNVEVFMZVLDTKZETKZMZVKBQPZCUOZVLMMZVNVSV
      LWBWDMZVLMWEVSWFVLVEWBVFWDVCVTVDWAVCDUFKVTADFUGDUHUIVDEUFKWABEGUGEUHUIUJA
      BCVKWCVPWCSZUKUJULWBWDVLUMUNHIVKWCVIVJDECVKADFVPUPWCBEGWGUPAVIDFVQUQBVJEG
      VRUQURUSUTVAVB $.

    $( A non-unital ring homomorphism is a homomorphism of multiplicative
       magmas.  (Contributed by AV, 27-Feb-2020.) $)
    rnghmmgmhm $p |- ( F e. ( R RngHomo S ) -> F e. ( M MgmHom N ) ) $=
      ( crngh co wcel cghm cmgmhm crng wa isrnghmmul simprbi simprd ) CABHIJZCA
      BKIJZCDELIJZRAMJBMJNSTNABCDEFGOPQ $.
  $}

  ${
    $d R h $.  $d S h $.
    $( The non-unital ring homomorphisms between two non-unital rings.
       (Contributed by AV, 1-Mar-2020.) $)
    rnghmval2 $p |- ( ( R e. Rng /\ S e. Rng ) -> ( R RngHomo S )
         = ( ( R GrpHom S ) i^i ( ( mulGrp ` R ) MgmHom ( mulGrp ` S ) ) ) ) $=
      ( vh crng wcel wa crngh co cghm cmgp cfv cmgmhm eqid isrnghmmul elin ibar
      cin cv bitr2id syl5bb eqrdv ) ADEBDEFZCABGHZABIHZAJKZBJKZLHZQZCRZUCEUBUIU
      DEUIUGEFZFZUBUIUHEZABUIUEUFUEMUFMNULUJUBUKUIUDUGOUBUJPSTUA $.
  $}

  ${
    $d F f $.  $d R f r s $.  $d S f r s $.  $d V f r s $.  $d W f r s $.
    $( An isomorphism of non-unital rings is a homomorphism whose converse is
       also a homomorphism.  (Contributed by AV, 22-Feb-2020.) $)
    isrngisom $p |- ( ( R e. V /\ S e. W ) -> ( F e. ( R RngIsom S )
                 <-> ( F e. ( R RngHomo S ) /\ `' F e. ( S RngHomo R ) ) ) ) $=
      ( vf vr vs wcel wa crngs co cv ccnv crngh crab cvv wceq a1i adantl oveq12
      df-rngisom ancoms eleq2d rabeqbidv adantr rabex ovmpod cnveq eleq1d elrab
      cmpo elex ovex bitrdi ) ADIZBEIZJZCABKLZICFMZNZBAOLZIZFABOLZPZICVDICNZVBI
      ZJURUSVECURGHABQQVAHMZGMZOLZIZFVIVHOLZPZVEKQKGHQQVMULRURFHGUBSURVIARZVHBR
      ZJZJZVKVCFVLVDVPVLVDRURVIAVHBOUATVQVJVBVAVPVJVBRZURVOVNVRVHBVIAOUAUCTUDUE
      UPAQIUQADUMUFUQBQIUPBEUMTVEQIURVCFVDABOUNUGSUHUDVCVGFCVDUTCRVAVFVBUTCUIUJ
      UKUO $.

    $( Reverse closure for an isomorphism of non-unital rings.  (Contributed by
       AV, 22-Feb-2020.) $)
    rngimrcl $p |- ( F e. ( R RngIsom S ) -> ( R e. _V /\ S e. _V ) ) $=
      ( vr vs vf cvv cv ccnv crngh co wcel crab crngs df-rngisom elmpocl ) DEGG
      FHIEHZDHZJKLFRQJKMABNCFEDOP $.
  $}

  ${
    $d F x y $.  $d R x y $.  $d S x y $.
    $( A non-unital ring homomorphism is an additive group homomorphism.
       (Contributed by AV, 23-Feb-2020.) $)
    rnghmghm $p |- ( F e. ( R RngHomo S ) -> F e. ( R GrpHom S ) ) $=
      ( vx vy crngh co wcel crng wa cghm cv cmulr cfv wceq cbs wral eqid simprl
      isrnghm sylbi ) CABFGHAIHBIHJZCABKGHZDLZELZAMNZGCNUDCNUECNBMNZGOEAPNZQDUH
      QZJJUCDEUHABUFCUGUHRUFRUGRTUBUCUISUA $.
  $}

  ${
    rnghmf.b $e |- B = ( Base ` R ) $.
    rnghmf.c $e |- C = ( Base ` S ) $.
    $( A ring homomorphism is a function.  (Contributed by AV, 23-Feb-2020.) $)
    rnghmf $p |- ( F e. ( R RngHomo S ) -> F : B --> C ) $=
      ( crngh co wcel cghm wf rnghmghm ghmf syl ) ECDHIJECDKIJABELCDEMCDEABFGNO
      $.
  $}

  ${
    $d A x y $.  $d B y $.  $d F x y $.  $d R x y $.  $d S x y $.  $d X x y $.
    $d .x. x y $.  $d .X. x y $.
    rnghmmul.x $e |- X = ( Base ` R ) $.
    rnghmmul.m $e |- .x. = ( .r ` R ) $.
    rnghmmul.n $e |- .X. = ( .r ` S ) $.
    $( A homomorphism of non-unital rings preserves multiplication.
       (Contributed by AV, 23-Feb-2020.) $)
    rnghmmul $p |- ( ( F e. ( R RngHomo S ) /\ A e. X /\ B e. X ) ->
      ( F ` ( A .x. B ) ) = ( ( F ` A ) .X. ( F ` B ) ) ) $=
      ( vx vy co wcel cfv wceq crng wa cv crngh cghm wral isrnghm fvoveq1 fveq2
      oveq1d eqeq12d oveq2 fveq2d oveq2d rspc2va expcom ad2antll sylbi 3impib
      wi ) GCDUANOZAHOZBHOZABENZGPZAGPZBGPZFNZQZURCRODROSZGCDUBNOZLTZMTZENGPZVI
      GPZVJGPZFNZQZMHUCLHUCZSSUSUTSZVFUQZLMHCDEGFIJKUDVPVRVGVHVQVPVFVOVFAVJENZG
      PZVCVMFNZQLMABHHVIAQZVKVTVNWAVIAVJGEUEWBVLVCVMFVIAGUFUGUHVJBQZVTVBWAVEWCV
      SVAGVJBAEUIUJWCVMVDVCFVJBGUFUKUHULUMUNUOUP $.
  $}

  ${
    $d ph x y $.  $d B x y $.  $d C x y $.  $d F x y $.  $d .+ x y $.
    $d .+^ x y $.  $d R x y $.  $d S x y $.
    isrnghmd.b $e |- B = ( Base ` R ) $.
    isrnghmd.t $e |- .x. = ( .r ` R ) $.
    isrnghmd.u $e |- .X. = ( .r ` S ) $.
    isrnghmd.r $e |- ( ph -> R e. Rng ) $.
    isrnghmd.s $e |- ( ph -> S e. Rng ) $.
    isrnghmd.ht $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( F ` ( x .x. y ) ) = ( ( F ` x ) .X. ( F ` y ) ) ) $.
    ${
      isrnghm2d.f $e |- ( ph -> F e. ( R GrpHom S ) ) $.
      $( Demonstration of non-unital ring homomorphism.  (Contributed by AV,
         23-Feb-2020.) $)
      isrnghm2d $p |- ( ph -> F e. ( R RngHomo S ) ) $=
        ( crng wcel co cfv wa cghm cv wceq wral jca ralrimivva isrnghm sylanbrc
        crngh ) AEQRZFQRZUAIEFUBSRZBUCZCUCZGSITUNITUOITHSUDZCDUEBDUEZUAIEFUJSRA
        UKULMNUFAUMUQPAUPBCDDOUGUFBCDEFGIHJKLUHUI $.
    $}

    isrnghmd.c $e |- C = ( Base ` S ) $.
    isrnghmd.p $e |- .+ = ( +g ` R ) $.
    isrnghmd.q $e |- .+^ = ( +g ` S ) $.
    isrnghmd.f $e |- ( ph -> F : B --> C ) $.
    isrnghmd.hp $e |- ( ( ph /\ ( x e. B /\ y e. B ) ) ->
        ( F ` ( x .+ y ) ) = ( ( F ` x ) .+^ ( F ` y ) ) ) $.
    $( Demonstration of non-unital ring homomorphism.  (Contributed by AV,
       23-Feb-2020.) $)
    isrnghmd $p |- ( ph -> F e. ( R RngHomo S ) ) $=
      ( crng wcel cabl cgrp rngabl ablgrp 3syl isghmd isrnghm2d ) ABCDHIJKLMNOP
      QRABCFGHILDEMSTUAAHUDUEHUFUEHUGUEPHUHHUIUJAIUDUEIUFUEIUGUEQIUHIUIUJUBUCUK
      UL $.
  $}

  ${
    rnghmf1o.b $e |- B = ( Base ` R ) $.
    rnghmf1o.c $e |- C = ( Base ` S ) $.
    $( A non-unital ring homomorphism is bijective iff its converse is also a
       non-unital ring homomorphism.  (Contributed by AV, 27-Feb-2020.) $)
    rnghmf1o $p |- ( F e. ( R RngHomo S )
                   -> ( F : B -1-1-onto-> C <-> `' F e. ( S RngHomo R ) ) ) $=
      ( crngh co wcel wf1o wa crng cghm cmgp cfv cmgmhm adantr wb eqid rnghmrcl
      ccnv ancomd simpr rnghmghm ghmf1o bicomd syl mpbird cbs eqidd wceq mgpbas
      a1i f1oeq123d biimpa rnghmmgmhm mgmhmf1o jca isrnghmmul sylanbrc wfn ffnd
      wf rnghmf adantl dff1o4 impbida ) ECDHIJZABEKZEUBZDCHIJZVIVJLZDMJZCMJZLZV
      KDCNIJZVKDOPZCOPZQIJZLVLVIVPVJVIVOVNCDEUAUCRVMVQVTVMVQVJVIVJUDVMECDNIJZVQ
      VJSVIWAVJCDEUERWAVJVQCDEABFGUFUGUHUIVMVTVSUJPZVRUJPZEKZVIVJWDVIAWBBWCEEVI
      EUKAWBULVIACVSVSTZFUMUNBWCULVIBDVRVRTZGUMUNUOUPVMEVSVRQIJZVTWDSVIWGVJCDEV
      SVRWEWFUQRWGWDVTWBWCVSVREWBTWCTURUGUHUIUSDCVKVRVSWFWEUTVAVIVLLZEAVBVKBVBV
      JWHABEVIABEVDVLABCDEFGVERVCWHBAVKVLBAVKVDVIBADCVKGFVEVFVCABEVGVAVH $.

    $( An isomorphism of non-unital rings is a bijective homomorphism.
       (Contributed by AV, 23-Feb-2020.) $)
    isrngim $p |- ( ( R e. V /\ S e. W ) -> ( F e. ( R RngIsom S )
                <-> ( F e. ( R RngHomo S ) /\ F : B -1-1-onto-> C ) ) ) $=
      ( wcel wa crngs co crngh ccnv wf1o isrngisom wb wi rnghmf1o pm5.32d bitrd
      bicomd a1i ) CFJDGJKZECDLMJECDNMJZEODCNMJZKUFABEPZKCDEFGQUEUFUGUHUFUGUHRS
      UEUFUHUGABCDEHITUCUDUAUB $.

    $( An isomorphism of non-unital rings is a bijection.  (Contributed by AV,
       23-Feb-2020.) $)
    rngimf1o $p |- ( F e. ( R RngIsom S ) -> F : B -1-1-onto-> C ) $=
      ( cvv wcel wa crngs co wf1o rngimrcl crngh isrngim simpr syl6bi mpcom ) C
      HIDHIJZECDKLIZABEMZCDENTUAECDOLIZUBJUBABCDEHHFGPUCUBQRS $.

    $( An isomorphism of non-unital rings is a homomorphism.  (Contributed by
       AV, 23-Feb-2020.) $)
    rngimrnghm $p |- ( F e. ( R RngIsom S ) -> F e. ( R RngHomo S ) ) $=
      ( cvv wcel wa crngs co crngh rngimrcl wf1o isrngim simpl syl6bi mpcom ) C
      HIDHIJZECDKLIZECDMLIZCDENTUAUBABEOZJUBABCDEHHFGPUBUCQRS $.
  $}

  $( The composition of non-unital ring homomorphisms is a homomorphism.
     (Contributed by AV, 27-Feb-2020.) $)
  rnghmco $p |- ( ( F e. ( T RngHomo U ) /\ G e. ( S RngHomo T ) )
                  -> ( F o. G ) e. ( S RngHomo U ) ) $=
    ( crngh co wcel wa crng ccom cghm cmgp cmgmhm rnghmrcl rnghmghm syl2an eqid
    cfv rnghmmgmhm simprd simpld anim12ci ghmco mgmhmco jca isrnghmmul sylanbrc
    ) DBCFGHZEABFGHZIZAJHZCJHZIDEKZACLGHZUNAMSZCMSZNGHZIUNACFGHUIUMUJULUIBJHZUM
    BCDOUAUJULUSABEOUBUCUKUOURUIDBCLGHEABLGHUOUJBCDPABEPABCDEUDQUIDBMSZUQNGHEUP
    UTNGHURUJBCDUTUQUTRZUQRZTABEUPUTUPRZVATUPUTUQDEUEQUFACUNUPUQVCVBUGUH $.

  ${
    idrnghm.b $e |- B = ( Base ` R ) $.
    $( The identity homomorphism on a non-unital ring.  (Contributed by AV,
       27-Feb-2020.) $)
    idrnghm $p |- ( R e. Rng -> ( _I |` B ) e. ( R RngHomo R ) ) $=
      ( crng wcel wa cid cres cghm co cmgp cfv cmgmhm crngh id cabl cgrp rngabl
      jca 3syl ablgrp idghm csgrp cmgm rngmgp sgrpmgm mgpbas idmgmhm isrnghmmul
      eqid sylanbrc ) BDEZULULFGAHZBBIJEZUMBKLZUOMJEZFUMBBNJEULULULULOZUQSULUNU
      PULBPEBQEUNBRBUAABCUBTULUOUCEUOUDEUPBUOUOUJZUEUOUFAUOABUOURCUGUHTSBBUMUOU
      OURURUIUK $.
  $}

  ${
    $d B a b x $.  $d H a b $.  $d S a b x $.  $d T a b x $.  $d .0. x $.
    c0mhm.b $e |- B = ( Base ` S ) $.
    c0mhm.0 $e |- .0. = ( 0g ` T ) $.
    c0mhm.h $e |- H = ( x e. B |-> .0. ) $.
    $( The constant mapping to zero is a magma homomorphism into a monoid.
       Remark:  Instead of the assumption that T is a monoid, it would be
       sufficient that T is a magma with a right or left identity.
       (Contributed by AV, 17-Apr-2020.) $)
    c0mgm $p |- ( ( S e. Mgm /\ T e. Mnd ) -> H e. ( S MgmHom T ) ) $=
      ( va vb wcel wa cfv cv co wceq eqid adantr eqidd cmgm cmnd wf cplusg wral
      cbs cmgmhm mndmgm anim2i mndidcl adantl fmptd ancli mndlid syl a1i simprl
      fvmptd simprr oveq12d mgmcl 3expb adantlr 3eqtr4rd ralrimivva jca ismgmhm
      cmpt sylanbrc ) CUALZDUBLZMZVJDUALZMBDUFNZEUCZJOZKOZCUDNZPZENZVPENZVQENZD
      UDNZPZQZKBUEJBUEZMECDUGPLVKVMVJDUHUIVLVOWFVLABFVNEVLFVNLZAOZBLVKWGVJVNDFV
      NRZHUJZUKZSIULVLWEJKBBVLVPBLZVQBLZMZMZFFWCPZFWDVTVLWPFQZWNVLVKWGMZWQVKWRV
      JVKWGWJUMUKVNWCDFFWIWCRZHUNUOSWOWAFWBFWCWOAVPFFBEVNEABFVHQWOIUPZWOWHVPQMF
      TVLWLWMUQVLWGWNWKSZURWOAVQFFBEVNWTWOWHVQQMFTVLWLWMUSXAURUTWOAVSFFBEVNWTWO
      WHVSQMFTVJWNVSBLZVKVJWLWMXBBCVPVQVRGVRRZVAVBVCXAURVDVEVFJKBVNVRWCCDEGWIXC
      WSVGVI $.

    $( The constant mapping to zero is a monoid homomorphism.  (Contributed by
       AV, 16-Apr-2020.) $)
    c0mhm $p |- ( ( S e. Mnd /\ T e. Mnd ) -> H e. ( S MndHom T ) ) $=
      ( va vb wcel wa cfv co wceq eqid adantr eqidd fvmptd cmnd cbs cplusg wral
      wf c0g w3a cmhm mndidcl adantl fmptd ancli mndlid syl cmpt a1i weq simprl
      simprr oveq12d mndcl 3expb adantlr 3eqtr4rd ralrimivva 3jca ismhm sylibr
      cv ) CUALZDUALZMZVLBDUBNZEUEZJVIZKVIZCUCNZOZENZVOENZVPENZDUCNZOZPZKBUDJBU
      DZCUFNZENFPZUGZMECDUHOLVLWHVLVNWEWGVLABFVMEVLFVMLZAVIZBLVKWIVJVMDFVMQZHUI
      ZUJZRIUKVLWDJKBBVLVOBLZVPBLZMZMZFFWBOZFWCVSVLWRFPZWPVLVKWIMZWSVKWTVJVKWIW
      LULUJVMWBDFFWKWBQZHUMUNRWQVTFWAFWBWQAVOFFBEVMEABFUOPZWQIUPZWQAJUQMFSVLWNW
      OURVLWIWPWMRZTWQAVPFFBEVMXCWQAKUQMFSVLWNWOUSXDTUTWQAVRFFBEVMXCWQWJVRPMFSV
      JWPVRBLZVKVJWNWOXEBVQCVOVPGVQQZVAVBVCXDTVDVEVLAWFFFBEVMXBVLIUPVLWJWFPMFSV
      JWFBLVKBCWFGWFQZUIRWMTVFULJKBVMVQWBCDEFWFGWKXFXAXGHVGVH $.

    $( The constant mapping to zero is a group homomorphism.  (Contributed by
       AV, 16-Apr-2020.) $)
    c0ghm $p |- ( ( S e. Grp /\ T e. Grp ) -> H e. ( S GrpHom T ) ) $=
      ( cgrp wcel wa cghm co cmhm cmnd grpmnd anim12i c0mhm syl ghmmhmb eleq2d
      mpbird ) CJKZDJKZLZECDMNZKECDONZKZUFCPKZDPKZLUIUDUJUEUKCQDQRABCDEFGHISTUF
      UGUHECDUAUBUC $.

    $( The constant mapping to zero is a ring homomorphism from any ring to the
       zero ring.  (Contributed by AV, 17-Apr-2020.) $)
    c0rhm $p |- ( ( S e. Ring /\ T e. ( Ring \ NzRing ) )
                  -> H e. ( S RingHom T ) ) $=
      ( crg wcel cnzr wa co cmgp cfv cgrp ringgrp syl eqid cdif cghm crh eldifi
      cmhm anim2i c0ghm syl2an cur cmpt wceq cbs 0ring1eq0 eqcomd adantl syl5eq
      mpteq2dv cmnd ringmgp mgpbas ringidval c0mhm eqeltrd jca isrhm sylanbrc )
      CJKZDJLUAKZMZVGDJKZMECDUBNKZECOPZDOPZUENZKZMECDUCNKVHVJVGDJLUDZUFVIVKVOVG
      CQKDQKZVKVHCRVHVJVQVPDRSABCDEFGHIUGUHVIEABDUIPZUJZVNVIEABFUJZVSIVHVTVSUKV
      GVHABFVRVHVRFDULPZDVRFWATHVRTZUMUNUQUOUPVGVLURKVMURKZVSVNKVHCVLVLTZUSVHVJ
      WCVPDVMVMTZUSSABVLVMVSVRBCVLWDGUTDVRVMWEWBVAVSTVBUHVCVDCDEVLVMWDWEVEVF $.

    $( The constant mapping to zero is a nonunital ring homomorphism from any
       nonunital ring to the zero ring.  (Contributed by AV, 17-Apr-2020.) $)
    c0rnghm $p |- ( ( S e. Rng /\ T e. ( Ring \ NzRing ) )
                    -> H e. ( S RngHomo T ) ) $=
      ( crng wcel crg cnzr wa co cmgp cfv cgrp syl eqid cdif cghm wss ringssrng
      cmgmhm crngh a1i ssdifssd sseld imdistani cabl rngabl ablgrp eldifi c0ghm
      ringgrp syl2an cur cmpt wceq 0ring1eq0 eqcomd mpteq2dv adantl syl5eq cmgm
      cbs cmnd csgrp rngmgp sgrpmgm ringmgp mgpbas ringidval eqeltrd isrnghmmul
      c0mgm jca sylanbrc ) CJKZDLMUAZKZNZVTDJKZNECDUBOKZECPQZDPQZUEOZKZNECDUFOK
      VTWBWDVTWAJDVTLJMLJUCVTUDUGUHUIUJWCWEWIVTCRKZDRKZWEWBVTCUKKWJCULCUMSWBDLK
      ZWKDLMUNZDUPSABCDEFGHIUOUQWCEABDURQZUSZWHWCEABFUSZWOIWBWPWOUTVTWBABFWNWBW
      NFDVGQZDWNFWQTHWNTZVAVBVCVDVEVTWFVFKZWGVHKZWOWHKWBVTWFVIKWSCWFWFTZVJWFVKS
      WBWLWTWMDWGWGTZVLSABWFWGWOWNBCWFXAGVMDWNWGXBWRVNWOTVQUQVOVRCDEWFWGXAXBVPV
      S $.
  $}

  ${
    $d B a b c x $.  $d H a b c $.  $d S a b c x $.  $d T a b c x $.
    $d .0. x $.
    zrrhm.b $e |- B = ( Base ` T ) $.
    zrrhm.0 $e |- .0. = ( 0g ` S ) $.
    zrrhm.h $e |- H = ( x e. B |-> .0. ) $.
    $( The constant mapping to zero is a magma homomorphism from a magma with
       one element to any monoid.  (Contributed by AV, 17-Apr-2020.) $)
    c0snmgmhm $p |- ( ( S e. Mnd /\ T e. Mgm /\ ( # ` B ) = 1 )
                      -> H e. ( T MgmHom S ) ) $=
      ( va vc vb wcel cfv wceq wa cv co wral adantr cmnd cmgm c1 w3a cbs cplusg
      chash wf cmgmhm mndmgm anim1i 3adant3 ancomd csn wex fvexi hash1snb ax-mp
      cvv wb eqid mndidcl fmptd cmpt a1i eqidd vsnid eleq2 mpbird adantl fvmptd
      weq simpr oveq12d mndlid mpdan mgmcl syl3anc wi syl6bi mpd fveq2d 3eqtrrd
      elsni eqtr2d raleqdv raleqbidv fvoveq1 fveq2 oveq1d eqeq12d oveq2 2ralsng
      id oveq2d el2v bitrdi jca ex exlimdv syl5bi 3impia ismgmhm sylanbrc ) CUA
      MZDUBMZBUGNUCOZUDZXFCUBMZPBCUENZEUHZJQZKQZDUFNZRENZXLENZXMENZCUFNZRZOZKBS
      ZJBSZPZEDCUIRMXHXIXFXEXFXIXFPXGXEXIXFCUJUKULUMXEXFXGYCXGBLQZUNZOZLUOZXEXF
      PZYCBUSMXGYGUTBDUEGUPBUSLUQURYHYFYCLYHYFYCYHYFPZXKYBYIABFXJEYIFXJMZAQBMYH
      YJYFXEYJXFXJCFXJVAZHVBZTTZTIVCYIYBYDYDXNRZENZYDENZYPXRRZOZYIYPFOZYRYIAYDF
      FBEXJEABFVDOYIIVEYIALVLPFVFYFYDBMZYHYFYTYDYEMZUUAYFLVGVEBYEYDVHVIVJZYMVKY
      IYSPZYQFFXRRZFYOUUCYPFYPFXRYIYSVMZUUEVNYIUUDFOZYSYHUUFYFXEUUFXFXEYJUUFYLX
      JXRCFFYKXRVAZHVOVPTTTUUCYOYPFYIYOYPOYSYIYNYDEYIYTYNYDOZUUBYIYTPZYNBMZUUHU
      UIXFYTYTUUJYIXFYTYHXFYFXEXFVMTTYIYTVMZUUKBDYDYDXNGXNVAZVQVRYIUUJUUHVSZYTY
      FUUMYHYFUUJYNYEMUUHBYEYNVHYNYDWDVTVJTWAVPWBTUUEWEWCVPYIYBXTKYESZJYESZYRYF
      YBUUOUTYHYFYAUUNJBYEYFWNZYFXTKBYEUUPWFWGVJUUOYRUTLLXTYDXMXNRZENZYPXQXRRZO
      YRJKYDYDUSUSJLVLZXOUURXSUUSXLYDXMEXNWHUUTXPYPXQXRXLYDEWIWJWKKLVLZUURYOUUS
      YQUVAUUQYNEXMYDYDXNWLWBUVAXQYPYPXRXMYDEWIWOWKWMWPWQVIWRWSWTXAXBJKBXJXNXRD
      CEGYKUULUUGXCXD $.

    ${
      $d Z x $.
      c0snmhm.z $e |- Z = ( 0g ` T ) $.
      $( The constant mapping to zero is a monoid homomorphism from the trivial
         monoid (consisting of the zero only) to any monoid.  (Contributed by
         AV, 17-Apr-2020.) $)
      c0snmhm $p |- ( ( S e. Mnd /\ T e. Mnd /\ B = { Z } )
                      -> H e. ( T MndHom S ) ) $=
        ( cmnd wcel wceq wa co cfv chash c1 eqid csn cmgmhm cmhm pm3.22 3adant3
        w3a cmgm simp1 mndmgm 3ad2ant2 fveq2 cvv c0g fvexi hashsng ax-mp eqtrdi
        3ad2ant3 c0snmgmhm syl3anc cbs cmpt a1i eqidd snid eleq2 mpbiri mndidcl
        cv 3ad2ant1 fvmptd jca cplusg ismhm0 sylanbrc ) CLMZDLMZBGUAZNZUFZVQVPO
        ZEDCUBPMZGEQFNZOEDCUCPMVPVQWAVSVPVQUDUEVTWBWCVTVPDUGMZBRQZSNZWBVPVQVSUH
        VQVPWDVSDUIUJVSVPWFVQVSWEVRRQZSBVRRUKGULMWGSNGDUMKUNZGULUOUPUQURABCDEFH
        IJUSUTVTAGFFBECVAQZEABFVBNVTJVCVTAVIGNOFVDVSVPGBMZVQVSWJGVRMGWHVEBVRGVF
        VGURVPVQFWIMVSWICFWITZIVHVJVKVLBWIDVMQZCVMQZDCEFGHWKWLTWMTKIVNVO $.

      $( The constant mapping to zero is a group homomorphism from the trivial
         group (consisting of the zero only) to any group.  (Contributed by AV,
         17-Apr-2020.) $)
      c0snghm $p |- ( ( S e. Grp /\ T e. Grp /\ B = { Z } )
                      -> H e. ( T GrpHom S ) ) $=
        ( cgrp wcel csn wceq w3a cghm co cmnd grpmnd cmhm id c0snmhm wb ghmmhmb
        syl3an wa eleq2d ancoms 3adant3 mpbird ) CLMZDLMZBGNOZPEDCQRZMZEDCUARZM
        ZULCSMUMDSMUNUNURCTDTUNUBABCDEFGHIJKUCUFULUMUPURUDZUNUMULUSUMULUGUOUQED
        CUEUHUIUJUK $.
    $}

    $( The constant mapping to zero is a nonunital ring homomorphism from the
       zero ring to any nonunital ring.  (Contributed by AV, 17-Apr-2020.) $)
    zrrnghm $p |- ( ( S e. Rng /\ T e. ( Ring \ NzRing ) )
                    -> H e. ( T RngHomo S ) ) $=
      ( va vc wcel wa co cfv wceq wral syl adantr eqid crng crg cnzr cdif cmulr
      cghm cv crngh eldifi ringrng anim1i ancoms cgrp c0g rngabl ablgrp ringgrp
      csn cabl adantl 0ringbas c0snghm syl3anc cvv cmpt a1i eqidd ring0cl fvexi
      ad2antlr fvmptd cbs grpidcl rnglz mpdan simpr oveq12d ringlz fveq2d eqtrd
      syl2anc2 3eqtr4rd wb jca fvoveq1 fveq2 oveq1d eqeq12d oveq2 oveq2d mpbird
      2ralsng raleq raleqbi1dv isrnghm sylanbrc ) CUALZDUBUCUDLZMZDUALZWQMZEDCU
      FNLZJUGZKUGZDUEOZNEOZXCEOZXDEOZCUEOZNZPZKBQZJBQZMEDCUHNLWRWQXAWRWTWQWRDUB
      LZWTDUBUCUIZDUJRUKULWSXBXMWSCUMLZDUMLZBDUNOZURZPZXBWQXPWRWQCUSLXPCUOCUPRZ
      SWRXQWQWRXNXQXODUQRUTWRXTWQBDXRGXRTZVAUTZABCDEFXRGHIYBVBVCWSXTXMYCWSXTMZX
      MXKKXSQZJXSQZYDYFXRXRXENZEOZXREOZYIXINZPZYDYIFPZYKYDAXRFFBEVDEABFVEPYDIVF
      YDAUGXRPMFVGWRXRBLZWQXTWRXNYMXOBDXRGYBVHZRVJFVDLYDFCUNHVIVFVKYDYLMZFFXINZ
      FYJYHYDYPFPZYLWSYQXTWQYQWRWQFCVLOZLZYQWQXPYSYAYRCFYRTZHVMRYRCXIFFYTXITZHV
      NVOSSSYOYIFYIFXIYDYLVPZUUBVQYOYHYIFYOYGXREYDYGXRPZYLWRUUCWQXTWRXNYMUUCXOY
      NBDXEXRXRGXETZYBVRWAVJSVSUUBVTWBVOYDYMYMMZYFYKWCWRUUEWQXTWRXNUUEXOXNYMYMY
      NYNWDRVJXKXRXDXENZEOZYIXHXINZPYKJKXRXRBBXCXRPZXFUUGXJUUHXCXRXDEXEWEUUIXGY
      IXHXIXCXREWFWGWHXDXRPZUUGYHUUHYJUUJUUFYGEXDXRXRXEWIVSUUJXHYIYIXIXDXREWFWJ
      WHWLRWKXTXMYFWCWSXLYEJBXSXKKBXSWMWNUTWKVOWDJKBDCXEEXIGUUDUUAWOWP $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Ring homomorphisms (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d r s $.
    $( The mapping of two rings to the ring homomorphisms between them is a
       function.  (Contributed by AV, 1-Mar-2020.) $)
    rhmfn $p |- RingHom Fn ( Ring X. Ring ) $=
      ( vr vs crg cv cghm co cmgp cfv cmhm cin crh dfrhm2 ovex inex1 fnmpoi ) A
      BCCADZBDZEFZPGHQGHIFZJKBALRSPQEMNO $.

    $d R r s $.  $d S r s $.
    $( The ring homomorphisms between two rings.  (Contributed by AV,
       1-Mar-2020.) $)
    rhmval $p |- ( ( R e. Ring /\ S e. Ring ) -> ( R RingHom S )
         = ( ( R GrpHom S ) i^i ( ( mulGrp ` R ) MndHom ( mulGrp ` S ) ) ) ) $=
      ( vr vs crg wcel wa cv cghm cmgp cfv cmhm cin crh cvv cmpo wceq a1i fveq2
      co dfrhm2 oveq12 oveqan12d ineq12d adantl simpl simpr ovex inex1 ovmpod )
      AEFZBEFZGZCDABEECHZDHZITZUNJKZUOJKZLTZMZABITZAJKZBJKZLTZMZNONCDEEUTPQUMDC
      UARUNAQZUOBQZGZUTVEQUMVHUPVAUSVDUNAUOBIUBVFVGUQVBURVCLUNAJSUOBJSUCUDUEUKU
      LUFUKULUGVEOFUMVAVDABIUHUIRUJ $.
  $}

  $( Each unital ring homomorphism is a non-unital ring homomorphism.
     (Contributed by AV, 29-Feb-2020.) $)
  rhmisrnghm $p |- ( F e. ( R RingHom S ) -> F e. ( R RngHomo S ) ) $=
    ( crg wcel wa cghm cmgp cfv cmhm crng cmgmhm crh ringrng anim12i mhmismgmhm
    co crngh anim2i eqid isrhm isrnghmmul 3imtr4i ) ADEZBDEZFZCABGQEZCAHIZBHIZJ
    QEZFZFAKEZBKEZFZUGCUHUILQEZFZFCABMQECABRQEUFUNUKUPUDULUEUMANBNOUJUOUGUHUICP
    SOABCUHUIUHTZUITZUAABCUHUIUQURUBUC $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Ideals as non-unital rings
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d I x y $.  $d L y $.  $d R y $.  $d U x y $.  $d .0. y $.  $d .1. y $.
    $d .x. x y $.
    lidldomn1.l $e |- L = ( LIdeal ` R ) $.
    lidldomn1.t $e |- .x. = ( .r ` R ) $.
    lidldomn1.1 $e |- .1. = ( 1r ` R ) $.
    lidldomn1.0 $e |- .0. = ( 0g ` R ) $.
    $( If a (left) ideal (which is not the zero ideal) of a domain has a
       multiplicative identity element, the identity element is the identity of
       the domain.  (Contributed by AV, 17-Feb-2020.) $)
    lidldomn1 $p |- ( ( R e. Domn /\ ( U e. L /\ U =/= { .0. } ) /\ I e. U )
        -> ( A. x e. U ( ( I .x. x ) = x /\ ( x .x. I ) = x ) -> I = .1. ) ) $=
      ( vy wcel wa co wceq wi syl3anc adantr cdomn csn wne w3a cv wrex wral crg
      domnring 3ad2ant1 simp2l simp2r lidlnz weq oveq2 id eqeq12d oveq1 anbi12d
      rspcva cbs cfv wss lidlss 3ad2ant2 sseld com12 impcom ringlidm syl2anc wb
      eqid eqeq2 eqcoms adantl csg cgrp ringgrp syl a1i 3imp ringidcl grpsubeq0
      ringcl rngsubdir eqeq1d simpl1 3jca grpsubcl domneq0 biimpd eqneqall jaod
      wo sylbid sylbird mpdan ex com13 expd pm2.43b com14 imp rexlimdva mpd ) B
      UANZDGNZDHUBUCZOZFDNZUDZMUEZHUCZMDUFZFAUEZCPZXOQZXOFCPZXOQZOZADUGZFEQZRZX
      KBUHNZXGXHXNXFXIYDXJBUIZUJZXFXGXHXJUKXFXGXHXJULMBGDHILUMSXKXMYCMDXKXLDNZX
      MYCRYAYGXMXKYBYAYGXMXKYBRZRZYGYAYGYIRZYGYAOFXLCPZXLQZXLFCPZXLQZOZYJXTYOAX
      LDAMUNZXQYLXSYNYPXPYKXOXLXOXLFCUOYPUPZUQYPXRYMXOXLXOXLFCURYQUQUSUTYLYJYNY
      LYGXMYHXKYGXMOZYLYBXKYRYLYBRZXKYROZEXLCPZXLQZYSYTYDXLBVAVBZNZUUBXKYDYRYFT
      ZYRXKUUDYGXKUUDRXMXKYGUUDXKDUUCXLXIXFDUUCVCZXJXGUUFXHUUCDGBUUCVLZIVDTZVEV
      FVGTVHZUUCBCEXLUUGJKVIVJYTUUBOYLYKUUAQZYBUUBYLUUJVKZYTUUKXLUUAXLUUAYKVMVN
      VOYTUUJYBRUUBYTUUJYKUUABVPVBZPZHQZYBYTBVQNZYKUUCNZUUAUUCNZUUNUUJVKXKUUOYR
      XFXIUUOXJXFYDUUOYEBVRVSUJZTYTYDFUUCNZUUDUUPUUEXKUUSYRXFXIXJUUSXIXJUUSRRXF
      XIDUUCFUUHVFVTWAZTZUUIUUCBCFXLUUGJWDSYTYDEUUCNZUUDUUQUUEXKUVBYRXFXIUVBXJX
      FYDUVBYEUUCBEUUGKWBVSUJZTZUUIUUCBCEXLUUGJWDSUUCBUULYKUUAHUUGLUULVLZWCSYTU
      UNFEUULPZXLCPZHQZYBYTUVGUUMHYTUUCBCUULFEXLUUGJUVEUUEUVAUVDUUIWEWFYTUVHUVF
      HQZXLHQZWNZYBYTXFUVFUUCNZUUDUVHUVKVKXFXIXJYRWGYTUUOUUSUVBUDZUVLXKUVMYRXKU
      UOUUSUVBUURUUTUVCWHTZUUCBUULFEUUGUVEWIVSUUIUUCBCUVFXLHUUGJLWJSYTUVIYBUVJY
      TUVIYBYTUVMUVIYBVKUVNUUCBUULFEHUUGLUVEWCVSWKYRUVJYBRZXKXMUVOYGUVJXMYBYBXL
      HWLVGVOVOWMWOWPWPTWOWQWRWSWTTVSWRXAXBXCXDXE $.
  $}

  ${
    $d I a b $.  $d L a b $.  $d R a b $.  $d U a b $.
    lidlabl.l $e |- L = ( LIdeal ` R ) $.
    lidlabl.i $e |- I = ( R |`s U ) $.
    $( The base set of the restriction of the ring to a (left) ideal is a
       subset of the base set of the ring.  (Contributed by AV,
       17-Feb-2020.) $)
    lidlssbas $p |- ( U e. L -> ( Base ` I ) C_ ( Base ` R ) ) $=
      ( wcel cbs cfv cin eqid ressbas inss2 eqsstrrdi ) BDGCHIBAHIZJOBOCDAFOKLB
      OMN $.

    $( A (left) ideal of a ring is the base set of the restriction of the ring
       to this ideal.  (Contributed by AV, 17-Feb-2020.) $)
    lidlbas $p |- ( U e. L -> ( Base ` I ) = U ) $=
      ( wcel cbs cfv cin eqid ressbas wss wceq lidlss df-ss sylib eqtr3d ) BDGZ
      BAHIZJZCHIBBTCDAFTKZLSBTMUABNTBDAUBEOBTPQR $.

    $( A (left) ideal of a ring is an (additive) abelian group.  (Contributed
       by AV, 17-Feb-2020.) $)
    lidlabl $p |- ( ( R e. Ring /\ U e. L ) -> I e. Abel ) $=
      ( crg wcel wa cabl csubg cfv ringabl adantr lidlsubg subgabl syl2anc ) AG
      HZBDHZIAJHZBAKLHCJHRTSAMNADBEOBACFPQ $.

    $( The multiplicative group of a (left) ideal of a ring is a magma.
       (Contributed by AV, 17-Feb-2020.) $)
    lidlmmgm $p |- ( ( R e. Ring /\ U e. L ) -> ( mulGrp ` I ) e. Mgm ) $=
      ( va vb wcel wa cmgp cfv cv cmulr co cbs wral wceq adantr eqid crg eleq1a
      cmgm lidlbas mpd anim2i wi wss lidlssbas adantl sseld com12 impcom simprr
      lidlmcl syl12anc ralrimivva cvv wb fvex mgpbas mgpplusg ismgm mp1i eqcomd
      ressmulr oveqdr eleq1d 2ralbidva bitrd mpbird ) AUAIZBDIZJZCKLZUCIZGMZHMZ
      ANLZOZCPLZIZHWAQGWAQZVNWBGHWAWAVNVQWAIZVRWAIZJZJZVLWADIZJZVQAPLZIZWEWBVNW
      IWFVMWHVLVMWABRWHABCDEFUDBDWAUBUEUFSWFVNWKWDVNWKUGWEVNWDWKVNWAWJVQVMWAWJU
      HVLABCDEFUIUJUKULSUMVNWDWEUNWJAVSDWAVQVREWJTVSTZUOUPUQVNVPVQVRCNLZOZWAIZH
      WAQGWAQZWCVOURIVPWPUSVNCKUTGHWAVOURWMWACVOVOTZWATVACWMVOWQWMTVBVCVDVNWOWB
      GHWAWAWGWNVTWAVNWFGHWMVSVMWMVSRVLVMVSWMBACVSDFWLVFVEUJVGVHVIVJVK $.

    $d I a b c $.  $d L c $.  $d R c $.  $d U c $.
    $( The multiplicative group of a (left) ideal of a ring is a semigroup.
       (Contributed by AV, 17-Feb-2020.) $)
    lidlmsgrp $p |- ( ( R e. Ring /\ U e. L ) -> ( mulGrp ` I ) e. Smgrp ) $=
      ( va vb vc wcel wa cmgp cfv cv cmulr co wceq wral eqid sseld crg cmgm cbs
      csgrp lidlmmgm cmnd ringmgp ad2antrr wi lidlssbas 3anim123d adantl mgpbas
      w3a mgpplusg mndass syl2anc ralrimivvva wb ressmulr eqcomd oveqd oveq123d
      imp eqidd eqeq12d ralbidv 2ralbidv mpbird issgrp sylanbrc ) AUAJZBDJZKZCL
      MZUBJGNZHNZCOMZPZINZVRPZVPVQVTVRPZVRPZQZICUCMZRZHWERGWERZVOUDJABCDEFUEVNW
      GVPVQAOMZPZVTWHPZVPVQVTWHPZWHPZQZIWERZHWERGWERVNWMGHIWEWEWEVNVPWEJZVQWEJZ
      VTWEJZUNZKALMZUFJZVPAUCMZJZVQXAJZVTXAJZUNZWMVLWTVMWRAWSWSSZUGUHVNWRXEVMWR
      XEUIVLVMWOXBWPXCWQXDVMWEXAVPABCDEFUJZTVMWEXAVQXGTVMWEXAVTXGTUKULVDXAWHWSV
      PVQVTXAAWSXFXASUMAWHWSXFWHSZUOUPUQURVNWFWNGHWEWEVNWDWMIWEVMWDWMUSVLVMWAWJ
      WCWLVMVSWIVTVTVRWHVMWHVRBACWHDFXHUTVAZVMVRWHVPVQXIVBVMVTVEVCVMVPVPWBWKVRW
      HXIVMVPVEVMVRWHVQVTXIVBVCVFULVGVHVIGHIWEVOVRWECVOVOSZWESUMCVRVOXJVRSUOVJV
      K $.

    $( A (left) ideal of a ring is a non-unital ring.  (Contributed by AV,
       17-Feb-2020.) $)
    lidlrng $p |- ( ( R e. Ring /\ U e. L ) -> I e. Rng ) $=
      ( va vb vc wcel wa cfv cv co wceq wral sseld eqid oveqd oveq123d crg cabl
      cmgp csgrp cplusg cmulr crng lidlabl lidlmsgrp simpll lidlssbas 3anim123d
      cbs w3a adantl imp ringdi syl2anc ringdir jca ralrimivvva ressmulr eqcomd
      wi wb eqidd ressplusg eqeq12d anbi12d ralbidv 2ralbidv mpbird syl3anbrc
      isrng ) AUAJZBDJZKZCUBJCUCLZUDJGMZHMZIMZCUELZNZCUFLZNZVSVTWDNZVSWAWDNZWBN
      ZOZVSVTWBNZWAWDNZWGVTWAWDNZWBNZOZKZICUMLZPZHWPPGWPPZCUGJABCDEFUHABCDEFUIV
      QWRVSVTWAAUELZNZAUFLZNZVSVTXANZVSWAXANZWSNZOZVSVTWSNZWAXANZXDVTWAXANZWSNZ
      OZKZIWPPZHWPPGWPPVQXLGHIWPWPWPVQVSWPJZVTWPJZWAWPJZUNZKZXFXKXRVOVSAUMLZJZV
      TXSJZWAXSJZUNZXFVOVPXQUJZVQXQYCVPXQYCVDVOVPXNXTXOYAXPYBVPWPXSVSABCDEFUKZQ
      VPWPXSVTYEQVPWPXSWAYEQULUOUPZXSWSAXAVSVTWAXSRZWSRZXARZUQURXRVOYCXKYDYFXSW
      SAXAVSVTWAYGYHYIUSURUTVAVQWQXMGHWPWPVQWOXLIWPVPWOXLVEVOVPWIXFWNXKVPWEXBWH
      XEVPVSVSWCWTWDXAVPXAWDBACXADFYIVBVCZVPVSVFVPWBWSVTWAVPWSWBBWSACDFYHVGVCZS
      TVPWFXCWGXDWBWSYKVPWDXAVSVTYJSVPWDXAVSWAYJSZTVHVPWKXHWMXJVPWJXGWAWAWDXAYJ
      VPWBWSVSVTYKSVPWAVFTVPWGXDWLXIWBWSYKYLVPWDXAVTWAYJSTVHVIUOVJVKVLGHIWPWBCW
      DVRWPRVRRWBRWDRVNVM $.

    $d B x y $.  $d I x y $.  $d L x y $.  $d R x y $.  $d U x y $.
    $d .0. x y $.
    zlidlring.b $e |- B = ( Base ` R ) $.
    zlidlring.0 $e |- .0. = ( 0g ` R ) $.
    $( The zero (left) ideal of a non-unital ring is a unital ring (the zero
       ring).  (Contributed by AV, 16-Feb-2020.) $)
    zlidlring $p |- ( ( R e. Ring /\ U = { .0. } ) -> I e. Ring ) $=
      ( vx vy wcel wceq wa cfv co wb mpbird eqid crg csn crng cv cmulr cbs wral
      wrex lidl0 adantr eleq1 adantl lidlrng syldan eqcoms ring0cl ringlz mpdan
      jca cvv c0g fvexi oveq2 id eqeq12d oveq1 anbi12d ralsng eqeq1d ovanraleqv
      mp1i rexsng lidlbas simpr sylan9eqr ressmulr oveqd raleqbidv rexeqbidv ex
      eqcomd sylbid mpd isringrng sylanbrc ) BUAMZCFUBZNZOZDUCMZKUDZLUDZDUEPZQZ
      WLNZWLWKWMQZWLNZOZLDUFPZUGZKWSUHZDUAMWFWHCEMZWJWIXBWGEMZWFXCWHBEFGJUIUJZW
      HXBXCRWFCWGEUKULSBCDEGHUMUNWIXCXAXDWIXCXBXAWHXCXBRZWFXEWGCWGCEUKUOULWIXBX
      AWIXBOZXAWKWLBUEPZQZWLNZWLWKXGQZWLNZOZLWGUGZKWGUHZWIXNXBWFXNWHWFXNFWLXGQZ
      WLNZWLFXGQZWLNZOZLWGUGZWFXTFFXGQZFNZYBOZWFFBUFPZMZYCYDBFYDTZJUPWFYEOYBYBY
      DBXGFFYFXGTZJUQZYHUSURFUTMZXTYCRWFFBVAJVBZXSYCLFUTWLFNZXPYBXRYBYKXOYAWLFW
      LFFXGVCYKVDZVEYKXQYAWLFWLFFXGVFYLVEVGVHVKSYIXNXTRWFYJXMXTKFUTXIXPLWLWKWLX
      GWGFWKFNXHXOWLWKFWLXGVFVIVJVLVKSUJUJXFWTXMKWSWGXBWIWSCWGBCDEGHVMWFWHVNVOZ
      XFWRXLLWSWGYMXFWOXIWQXKXFWNXHWLXFWMXGWKWLXBWMXGNWIXBXGWMCBDXGEHYGVPWAULZV
      QVIXFWPXJWLXFWMXGWLWKYNVQVIVGVRVSSVTWBWCKLWSDWMWSTWMTWDWE $.

    $( Only the zero (left) ideal or the unit (left) ideal of a domain is a
       unital ring.  (Contributed by AV, 18-Feb-2020.) $)
    uzlidlring $p |- ( ( R e. Domn /\ U e. L )
                       -> ( I e. Ring <-> ( U = { .0. } \/ U = B ) ) ) $=
      ( vx vy wcel cfv co wceq wa eqid syl adantr crg crng cmulr cbs wral cdomn
      cv wrex csn wo isringrng wb domnring anim1i lidlrng ibar bicomd adantl wn
      cur ressmulr eqcomd oveqd eqeq1d anbi12d ad2antlr ad2antrr ralbidv wne wi
      simp-4l lidlbas eleq1d ad3antlr biimpd necon3bd imp jca lidldomn1 syl3anc
      ibir simpr sylbid eleq2d eqeltrrd rexlimdva2 impancom lidl1el sylibd orrd
      ex zlidlring simprbi wreu ringideu reurex cin ressbas ineq1 eqtrdi eqtr3d
      inidm raleqbidv rexeqbidv mpbird jaod impbid bitrd mpdan syl5bb ) DUAMZDU
      BMZKUGZLUGZDUCNZOZXNPZXNXMXOOZXNPZQZLDUDNZUEZKYAUHZQZBUFMZCEMZQZCFUIZPZCA
      PZUJZKLYADXOYARXORUKZYGXLYDYKULYGBUAMZYFQZXLYEYMYFBUMZUNZBCDEGHUOSYGXLQZY
      DYCYKXLYDYCULYGXLYCYDXLYCUPUQURYQYCYKYQYCYKYQYCQZYIYJYRYIUSZBUTNZCMZYJYQY
      SYCUUAYQYSQZYBUUAKYAUUBXMYAMZQZYBQXMYTCUUDYBXMYTPZUUDYBXMXNBUCNZOZXNPZXNX
      MUUFOZXNPZQZLYAUEZUUEUUDXTUUKLYAYQXTUUKULZYSUUCYFUUMYEXLYFXQUUHXSUUJYFXPU
      UGXNYFXOUUFXMXNYFUUFXOCBDUUFEHUUFRZVAVBZVCVDYFXRUUIXNYFXOUUFXNXMUUOVCVDVE
      ZVFVGVHUUDYEYAEMZYAYHVIZQZUUCUULUUEVJYEYFXLYSUUCVKUUBUUSUUCUUBUUQUURYFUUQ
      YEXLYSYFUUQYFYACEBCDEGHVLZVMWAVNYQYSUURYQYIYAYHYQYAYHPYIYQYACYHYFYACPZYEX
      LUUTVFVDVOVPVQVRTUUBUUCWBLBUUFYAYTXMEFGUUNYTRZJVSVTWCVQUUDXMCMZYBUUBUUCUV
      CUUBUUCUVCUUBYACXMYFUVAYEXLYSUUTVNWDVOVQTWEWFWGYQUUAYJULZYCYQYNUVDYGYNXLY
      PTABEYTCGIUVBWHSTWIWJWKYQYIYCYJYEYIYCVJZYFXLYEYMUVEYOYMYIYCYMYIQXKYCABCDE
      FGHIJWLXKXLYCYLWMSWKSVGYQYNXLQZYJYCVJYGYNXLYPUNUVFYJYCUVFYJQZYCUUKLAUEZKA
      UHZYNUVIXLYJYMUVIYFYMUVHKAWNUVILKABUUFIUUNWOUVHKAWPSTVGUVGYBUVHKYAAUVGCAW
      QZYAAYFUVJYAPYMXLYJCADEBHIWRVNYJUVJAPUVFYJUVJAAWQACAAWSAXBWTURXAZUVGXTUUK
      LYAAUVKYFUUMYMXLYJUUPVNXCXDXEWKSXFXGXHXIXJ $.

    $( A (left) ideal of a domain which is neither the zero ideal nor the unit
       ideal is not a unital ring.  (Contributed by AV, 18-Feb-2020.) $)
    lidldomnnring $p |- ( ( R e. Domn
                  /\ ( U e. L /\ U =/= { .0. } /\ U =/= B ) ) -> I e/ Ring ) $=
      ( cdomn wcel csn wne w3a wa crg wnel wceq wn neanior biimpi adantl df-nel
      wo 3adant1 wb uzlidlring 3ad2antr1 notbid syl5bb mpbird ) BKLZCELZCFMZNZC
      ANZOZPZDQRZCUOSCASUEZTZURVBUMUPUQVBUNUPUQPVBCUOCAUAUBUFUCUTDQLZTUSVBDQUDU
      SVCVAUMUPUNVCVAUGUQABCDEFGHIJUHUIUJUKUL $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The non-unital ring of even integers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x z $.
    2zrng.e $e |- E = { z e. ZZ | E. x e. ZZ z = ( 2 x. x ) } $.
    $( 0 is an even integer.  (Contributed by AV, 11-Feb-2020.) $)
    0even $p |- 0 e. E $=
      ( cc0 cv c2 cmul co wceq cz wrex crab wcel 0z cc 2cn 0zd wb oveq2 rexbidv
      eqeq2d adantl mul01 eqcomd rspcedvd ax-mp eqeq1 elrab mpbir2an eleqtrri )
      EBFZGAFZHIZJZAKLZBKMZCEUQNEKNEUNJZAKLZOGPNZUSQUTUREGEHIZJZAEKUTRUMEJZURVB
      SUTVCUNVAEUMEGHTUBUCUTVAEGUDUEUFUGUPUSBEKULEJUOURAKULEUNUHUAUIUJDUK $.

    $( 1 is not an even integer.  (Contributed by AV, 12-Feb-2020.) $)
    1neven $p |- 1 e/ E $=
      ( c1 wcel cz c2 cv cmul co wceq wrex wa cdiv halfnz eleq1a mtoi cc cc0 wb
      wne 1cnd zcn 2cnne0 a1i divmul2 syl3anc mtbid intnan eqeq1 rexbidv elrab2
      nrex mtbir nelir ) ECECFEGFZEHAIZJKZLZAGMZNVAUQUTAGURGFZEHOKZURLZUTVBVDVC
      GFPURGVCQRVBESFURSFHSFHTUBNZVDUTUAVBUCURUDVEVBUEUFEURHUGUHUIUNUJBIZUSLZAG
      MVABEGCVFELVGUTAGVFEUSUKULDUMUOUP $.

    $( 2 is an even integer.  (Contributed by AV, 12-Feb-2020.) $)
    2even $p |- 2 e. E $=
      ( c2 cv cmul co wceq cz wrex crab wcel 2z cc 2cn c1 1zzd wb oveq2 rexbidv
      eqeq2d adantl mulid1 eqcomd rspcedvd ax-mp eqeq1 elrab mpbir2an eleqtrri
      ) EBFZEAFZGHZIZAJKZBJLZCEUQMEJMEUNIZAJKZNEOMZUSPUTUREEQGHZIZAQJUTRUMQIZUR
      VBSUTVCUNVAEUMQEGTUBUCUTVAEEUDUEUFUGUPUSBEJULEIUOURAJULEUNUHUAUIUJDUK $.

    ${
      $d a b i j k x z $.  $d E i j k $.
      2zlidl.u $e |- U = ( LIdeal ` ZZring ) $.
      $( The even integers are a (left) ideal of the ring of integers.
         (Contributed by AV, 20-Feb-2020.) $)
      2zlidl $p |- E e. U $=
        ( vj vk va vb wcel cz cv cmul co caddc c2 wceq wrex wa vi wss wral crab
        c0 wne ssrab2 eqsstri cc0 0even ne0ii weq eqeq1 rexbidv anbi12i simprll
        elrab2 simpl zmulcld adantl zaddcld oveq2 eqeq2d cbvrexvw simpr simp-4l
        adantr ad2antrl oveq2d simpllr oveq12d eqeqan12d zcn 2cnd mul12d oveq1d
        wi mulcld ad4antr adddid eqtr4d rspcedvd exp41 rexlimiva impcom expdcom
        cc sylbi imp sylanbrc sylan2b ralrimivva rgen zring zringbas zringplusg
        zringmulr islidl mpbir3an ) DCKDLUBDUEUFUAMZGMZNOZHMZPOZDKZHDUCGDUCZUAL
        UCDBMZQAMZNOZRZALSZBLUDLEXKBLUGUHUIDABDEUJUKXFUALWTLKZXEGHDDXADKZXCDKZT
        XLXALKZXAXIRZALSZTZXCLKZXCXIRZALSZTZTZXEXMXRXNYBXKXQBXALDBGULXJXPALXGXA
        XIUMUNEUQXKYABXCLDBHULXJXTALXGXCXIUMUNEUQUOXLYCTZXDLKXDXIRZALSZXEYDXBXC
        YDWTXAXLYCURXLXOXQYBUPUSYCXSXLYBXSXRXSYAURUTUTVAYCXLYFXRYBXLYFVQZXQXOYB
        YGVQZXQXAQIMZNOZRZILSXOYHVQZXPYKAILAIULXIYJXAXHYIQNVBVCVDYKYLILYBYILKZY
        KTZXOYGYAXSYNXOTZYGVQZYAXCQJMZNOZRZJLSXSYPVQZXTYSAJLAJULXIYRXCXHYQQNVBV
        CVDYSYTJLYQLKZYSTZXSYOXLYFUUBXSTZYOTZXLTZYEWTYJNOZYRPOZQWTYINOZYQPOZNOZ
        RAUUILUUEUUHYQUUEWTYIUUDXLVEUUDYMXLUUCYMYKXOUPVGUSUUAYSXSYOXLVFVAUUEXHU
        UIRXDUUGXIUUJUUDXDUUGRXLUUDXBUUFXCYRPUUDXAYJWTNYNYKUUCXOYMYKVEVHVIUUAYS
        XSYOVJVKVGXHUUIQNVBVLUUEUUGQUUHNOZYRPOUUJUUEUUFUUKYRPUUEWTQYIXLWTWGKUUD
        WTVMUTZUUEVNZUUDYIWGKZXLYNUUNUUCXOYMUUNYKYIVMVGVHVGZVOVPUUEQUUHYQUUMUUE
        WTYIUULUUOVRUUAYQWGKYSXSYOXLYQVMVSVTWAWBWCWDWHWEWFWDWHWEWIWEXKYFBXDLDXG
        XDRXJYEALXGXDXIUMUNEUQWJWKWLWMUALPWNNCDGHFWOWPWQWRWS $.

      2zrng.r $e |- R = ( ZZring |`s E ) $.
      $( The ring of integers restricted to the even integers is a (non-unital)
         ring, the "ring of even integers".  Remark: the structure of the
         complementary subset of the set of integers, the odd integers, is not
         even a magma, see ~ oddinmgm .  (Contributed by AV, 20-Feb-2020.) $)
      2zrng $p |- R e. Rng $=
        ( zring crg wcel crng zringring 2zlidl lidlrng mp2an ) IJKEDKCLKMABDEFG
        NIECDGHOP $.
    $}

    2zrngbas.r $e |- R = ( CCfld |`s E ) $.
    $( The base set of R is the set of all even integers.  (Contributed by AV,
       31-Jan-2020.) $)
    2zrngbas $p |- E = ( Base ` R ) $=
      ( cc wss cbs cfv wceq cv c2 cmul co cz wrex crab ssrab2 zsscn sstri ax-mp
      eqsstri cnfldsrngbas ) DGHDCIJKDBLMALNOKAPQZBPRZGEUFPGUEBPSTUAUCCDFUDUB
      $.

    $( The group addition operation of R is the addition of complex numbers.
       (Contributed by AV, 31-Jan-2020.) $)
    2zrngadd $p |- + = ( +g ` R ) $=
      ( cvv wcel caddc cplusg cfv wceq cv c2 cmul co cz wrex zex rabex2 ax-mp
      cnfldsrngadd ) DGHICJKLBMNAMOPLAQRBQDESTCDGFUBUA $.

    $( The additive identity of R is the complex number 0.  (Contributed by AV,
       11-Feb-2020.) $)
    2zrng0 $p |- 0 = ( 0g ` R ) $=
      ( ccnfld cmnd wcel cc0 cc wss c0g cfv wceq ccrg crg cncrng cz cv crngring
      ringmnd mp2b 0even c2 cmul co wrex crab ssrab2 eqsstri zsscn sstri cnfld0
      cnfldbas ress0g mp3an ) GHIZJDIDKLJCMNOGPIGQIURRGUAGUBUCABDEUDDSKDBTUEATU
      FUGOASUHZBSUISEUSBSUJUKULUMDKGCJFUOUNUPUQ $.

    $d E a b $.  $d R a b $.  $d a b x y z $.
    $( R is an (additive) magma.  (Contributed by AV, 6-Jan-2020.) $)
    2zrngamgm $p |- R e. Mgm $=
      ( wcel cv caddc co cz c2 cmul wceq wrex wa rexbidv wi adantr cc0 va vb vy
      cmgm wral eqeq1 elrab2 oveq2 eqeq2d cbvrexvw zaddcl ancoms syl2anr adantl
      simpl wb eqidd rspcedvd simpr oveqan12rd 2cnd cc zcn adddid eqtr4d eqeq1d
      mpbird ex rexlimdvaa rexlimiva imp syl6ibr impcom sylanbrc exp32 impancom
      com13 sylbi syl2anb rgen2 0z 2cn 0zd mul01 eqcomd ax-mp mpbir2an eleqtrri
      crab elrab 2zrngbas 2zrngadd ismgmn0 mpbir ) CUDGZUAHZUBHZIJZDGZUBDUEUADU
      EZWSUAUBDDWPDGWPKGZWPLAHZMJZNZAKOZPZWQKGZWQXCNZAKOZPZWSWQDGBHZXCNZAKOZXEB
      WPKDXKWPNXLXDAKXKWPXCUFQEUGXMXIBWQKDXKWQNXLXHAKXKWQXCUFQEUGXFXJWSXEXAXJWS
      RZXEWPLUCHZMJZNZUCKOZXAXNRXDXQAUCKXBXONXCXPWPXBXOLMUHUIUJXJXAXRWSXGXAXIXR
      WSRXGXAPZXIXRWSXSXIXRPZPWRKGZWRXCNZAKOZWSXSYAXTXAXGYAWPWQUKULSXTXSYCXTXSW
      RLXKMJZNZBKOZYCXIXRXSYFRZXHXRYGRAKXBKGZXHPZXQYGUCKYIXOKGZXQPZPZXSYFYLXSPZ
      YFLXOXBIJZMJZYDNZBKOYMYPYOYONZBYNKYLYNKGZXSYKYJYHYRYIYJXQUOYHXHUOXOXBUKUM
      SXKYNNZYPYQUPYMYSYDYOYOXKYNLMUHUIUNYMYOUQURYMYEYPBKYMWRYOYDYMWRXPXCIJZYOY
      LWRYTNXSYKYIWPXPWQXCIYJXQUSYHXHUSUTSYLYOYTNXSYLLXOXBYLVAYKXOVBGZYIYJUUAXQ
      XOVCSUNYIXBVBGZYKYHUUBXHXBVCSSVDSVEVFQVGVHVIVJVKYBYEABKXBXKNXCYDWRXBXKLMU
      HUIUJVLVMXMYCBWRKDXKWRNXLYBAKXKWRXCUFQEUGVNVOVPVQVRVMVKVSVTTDGWOWTUPTXMBK
      WIZDTUUCGTKGTXCNZAKOZWALVBGZUUEWBUUFUUDTLTMJZNZATKUUFWCXBTNZUUDUUHUPUUFUU
      IXCUUGTXBTLMUHUIUNUUFUUGTLWDWEURWFXMUUEBTKXKTNXLUUDAKXKTXCUFQWJWGEWHUAUBT
      DCIABCDEFWKABCDEFWLWMWFWN $.

    $d R x y z $.
    $( R is an (additive) semigroup.  (Contributed by AV, 4-Feb-2020.) $)
    2zrngasgrp $p |- R e. Smgrp $=
      ( va vy vb wcel cv caddc co wceq cz wral w3a cc elrabi zcn cmgm cmul wrex
      csgrp c2 crab 2zrngamgm 3anim123i addass 3syl rgen3 cbs 2zrngbas 2zrngadd
      cfv eqtr3i issgrp mpbir2an ) CUDJCUAJGKZHKZLMIKZLMUSUTVALMLMNZIBKUEAKUBMN
      AOUCZBOUFZPHVDPGVDPABCDEFUGVBGHIVDVDVDUSVDJZUTVDJZVAVDJZQUSOJZUTOJZVAOJZQ
      USRJZUTRJZVARJZQVBVEVHVFVIVGVJVCBUSOSVCBUTOSVCBVAOSUHVHVKVIVLVJVMUSTUTTVA
      TUHUSUTVAUIUJUKGHIVDCLDVDCULUOEABCDEFUMUPABCDEFUNUQUR $.

    $d E x y z $.
    $( R is an (additive) monoid.  (Contributed by AV, 11-Feb-2020.) $)
    2zrngamnd $p |- R e. Mnd $=
      ( vy cmnd wcel csgrp cv caddc co wceq wa wral wrex cc0 adantl cz 0even id
      2zrngasgrp wb oveq1 eqeq1d ovanraleqv cmul crab elrabi eleq2s zcnd addid2
      cc c2 addid1 ralrimiva rspcedvd ax-mp 2zrngbas 2zrngadd ismnddef mpbir2an
      jca syl ) CHICJIAKZGKZLMZVGNZVGVFLMVGNOGDPZADQZABCDEFUCRDIZVKABDEUAVLVJRV
      GLMZVGNZVGRLMVGNZOZGDPZARDVLUBVFRNZVJVQUDVLVIVNGVGVFVGLDRVRVHVMVGVFRVGLUE
      UFUGSVLVPGDVGDIZVPVLVSVGUNIZVPVSVGVGTIVGBKUOVFUHMNATQZBTUIDWABVGTUJEUKULV
      TVNVOVGUMVGUPVDVESUQURUSDLACGABCDEFUTABCDEFVAVBVC $.

    $( R is a commutative (additive) monoid.  (Contributed by AV,
       11-Feb-2020.) $)
    2zrngacmnd $p |- R e. CMnd $=
      ( vy cc0 wcel caddc cfv wceq a1i cv co cc cz elrabi zcnd eleq2s 0even cbs
      ccmn 2zrngbas cplusg 2zrngadd cmnd 2zrngamnd cmul wrex crab adantr adantl
      wa c2 addcomd 3adant1 iscmnd ax-mp ) HDIZCUCIABDEUAUTAGDJCDCUBKLUTABCDEFU
      DMJCUEKLUTABCDEFUFMCUGIUTABCDEFUHMANZDIZGNZDIZVAVCJOVCVAJOLUTVBVDUNVAVCVB
      VAPIZVDVEVABNUOVAUIOLAQUJZBQUKZDVAVGIVAVFBVAQRSETULVDVCPIZVBVHVCVGDVCVGIV
      CVFBVCQRSETUMUPUQURUS $.

    $( R is an (additive) group.  (Contributed by AV, 6-Jan-2020.) $)
    2zrngagrp $p |- R e. Grp $=
      ( vy wcel cv caddc co cc0 wceq wrex cneg cz c2 cmul wa adantl weq rexbidv
      cgrp cmnd wral 2zrngamnd eqeq1 elrab2 znegcl adantr nfre1 wb oveq2 eqeq2d
      nfv negeq 2cnd mulneg2d eqcomd sylan9eqr rspcedvd cbvrexvw sylibr rexlimd
      zcn exp31 imp sylanbrc sylbi oveq1 eqeq1d crab elrabi eleq2s zcnd addcomd
      negcld negidd eqtrd rgen 2zrngbas 2zrngadd 2zrng0 isgrp mpbir2an ) CUCHCU
      DHBIZGIZJKZLMZBDNZGDUEABCDEFUFWJGDWGDHZWIWGOZWGJKZLMZBWLDWKWGPHZWGQAIZRKZ
      MZAPNZSZWLDHZWFWQMZAPNZWSBWGPDBGUAXBWRAPWFWGWQUGUBEUHWTWLPHZWLWQMZAPNZXAW
      OXDWSWGUIUJWOWSXFWOWRXFAPWOAUOXEAPUKWOWPPHZWRXFWOXGSZWRSZWLQWFRKZMZBPNXFX
      IXKWLQWPOZRKZMZBXLPXHXLPHZWRXGXOWOWPUITUJWFXLMZXKXNULXIXPXJXMWLWFXLQRUMUN
      TWRXHWLWQOZXMWGWQUPXGXQXMMWOXGXMXQXGQWPXGUQWPVEURUSTUTVAXEXKABPABUAWQXJWL
      WPWFQRUMUNVBVCVFVDVGXCXFBWLPDWFWLMZXBXEAPWFWLWQUGUBEUHVHVIXRWIWNULWKXRWHW
      MLWFWLWGJVJVKTWKWMWGWLJKLWKWLWGWKWGWKWGWOWGXCBPVLDXCBWGPVMEVNVOZVQXSVPWKW
      GXSVRVSVAVTDJBCLGABCDEFWAABCDEFWBABCDEFWCWDWE $.

    $( R is an (additive) abelian group.  (Contributed by AV, 11-Feb-2020.) $)
    2zrngaabl $p |- R e. Abel $=
      ( cabl wcel cgrp ccmn wa 2zrngagrp 2zrngacmnd pm3.2i isabl mpbir ) CGHCIH
      ZCJHZKQRABCDEFLABCDEFMNCOP $.

    $( The ring multiplication operation of R is the multiplication on complex
       numbers.  (Contributed by AV, 31-Jan-2020.) $)
    2zrngmul $p |- x. = ( .r ` R ) $=
      ( cvv wcel cmul cmulr cfv wceq cv c2 co cz wrex zex rabex2 cnfldsrngmul
      ax-mp ) DGHICJKLBMNAMIOLAPQBPDERSCDGFTUA $.

    $d M a b $.
    2zrngmmgm.1 $e |- M = ( mulGrp ` R ) $.
    $( R is a (multiplicative) magma.  (Contributed by AV, 11-Feb-2020.) $)
    2zrngmmgm $p |- M e. Mgm $=
      ( va vb vy wcel cv cmul co cz c2 wceq wrex wa eqeq1 rexbidv elrab2 zmulcl
      cmgm wral ad2ant2r wi nfre1 nfan nfim simpll simpl syl2an wb oveq2 eqeq2d
      nfv adantl oveq1 ad3antlr 2cnd cc ad3antrrr adantr mulassd eqtrd rspcedvd
      zcn exp41 rexlimi impcom imp cbvrexvw anbi2i bitri sylanbrc syl2anb rgen2
      cc0 0even 2zrngbas mgpbas 2zrngmul mgpplusg ismgmn0 ax-mp mpbir ) EUELZIM
      ZJMZNOZDLZJDUFIDUFZWMIJDDWJDLWJPLZWJQAMZNOZRZAPSZTZWKPLZWKWQRZAPSZTZWMWKD
      LBMZWQRZAPSZWSBWJPDXEWJRXFWRAPXEWJWQUAUBFUCXGXCBWKPDXEWKRXFXBAPXEWKWQUAUB
      FUCWTXDTWLPLZWLQKMZNOZRZKPSZWMWOXAXHWSXCWJWKUDUGWTXDXLWSWOXDXLUHZWRWOXMUH
      APWOXMAWOAURXDXLAXAXCAXAAURXBAPUIUJXLAURUKUKWPPLZWRWOXDXLXNWRTWOTZXDTZXKW
      LQWPWKNOZNOZRZKXQPXOXNXAXQPLXDXNWRWOULXAXCUMWPWKUDUNXIXQRZXKXSUOXPXTXJXRW
      LXIXQQNUPUQUSXPWLWQWKNOZXRWRWLYARXNWOXDWJWQWKNUTVAXPQWPWKXPVBXNWPVCLWRWOX
      DWPVIVDXDWKVCLZXOXAYBXCWKVIVEUSVFVGVHVJVKVLVMWMXHWLWQRZAPSZTXHXLTXGYDBWLP
      DXEWLRXFYCAPXEWLWQUAUBFUCYDXLXHYCXKAKPWPXIRWQXJWLWPXIQNUPUQVNVOVPVQVRVSVT
      DLWIWNUOABDFWAIJVTDENDCEHABCDFGWBWCCNEHABCDFGWDWEWFWGWH $.

    $d M y $.
    $( R is a (multiplicative) semigroup.  (Contributed by AV, 4-Feb-2020.) $)
    2zrngmsgrp $p |- M e. Smgrp $=
      ( va vy vb wcel cv cmul co cz wral w3a cc elrabi cmgm wceq wrex 2zrngmmgm
      csgrp crab 3anim123i zcn mulass 3syl rgen3 cbs cfv 2zrngbas mgpbas eqtr3i
      c2 2zrngmul mgpplusg issgrp mpbir2an ) EUELEUALIMZJMZNOKMZNOVBVCVDNONOUBZ
      KBMUQAMNOUBAPUCZBPUFZQJVGQIVGQABCDEFGHUDVEIJKVGVGVGVBVGLZVCVGLZVDVGLZRVBP
      LZVCPLZVDPLZRVBSLZVCSLZVDSLZRVEVHVKVIVLVJVMVFBVBPTVFBVCPTVFBVDPTUGVKVNVLV
      OVMVPVBUHVCUHVDUHUGVBVCVDUIUJUKIJKVGENDVGEULUMFDCEHABCDFGUNUOUPCNEHABCDFG
      URUSUTVA $.

    $( The ring of integers restricted to the even integers is a (non-unital)
       ring, the "ring of even integers".  Alternate version of ~ 2zrng , based
       on a restriction of the field of the complex numbers.  The proof is
       based on the facts that the ring of even integers is an additive abelian
       group (see ~ 2zrngaabl ) and a multiplicative semigroup (see
       ~ 2zrngmsgrp ).  (Contributed by AV, 11-Feb-2020.)
       (New usage is discouraged.)  (Proof modification is discouraged.) $)
    2zrngALT $p |- R e. Rng $=
      ( va vb vy wcel cv caddc co cmul wceq wral cc cz crng csgrp wa 2zrngmsgrp
      cabl 2zrngaabl c2 wrex crab elrabi zcnd eleq2s w3a adddi adddir jca rgen3
      syl3an 2zrngbas 2zrngadd 2zrngmul isrng mpbir3an ) CUALCUELEUBLIMZJMZKMZN
      OPOVDVEPOVDVFPOZNOQZVDVENOVFPOVGVEVFPONOQZUCZKDRJDRIDRABCDFGUFABCDEFGHUDV
      JIJKDDDVDDLVDSLZVEDLVESLZVFDLVFSLZVJVKVDBMUGAMPOQATUHZBTUIZDVDVOLVDVNBVDT
      UJUKFULVLVEVODVEVOLVEVNBVETUJUKFULVMVFVODVFVOLVFVNBVFTUJUKFULVKVLVMUMVHVI
      VDVEVFUNVDVEVFUOUPURUQIJKDNCPEABCDFGUSHABCDFGUTABCDFGVAVBVC $.

    $( R has no multiplicative (left) identity.  (Contributed by AV,
       12-Feb-2020.) $)
    2zrngnmlid $p |- A. b e. E E. a e. E ( b x. a ) =/= a $=
      ( cv cmul co wne wcel c2 a1i wceq cc c1 wrex 2even wb oveq2 id neeq12d cz
      adantl crab elrabi zcnd eleq2s wa cdiv 1neven elnelne2 mpan2 adantr simpr
      wnel 2cnd 2ne0 divcan4d 2cnne0 divid 3netr4d mulcld div11 syl3anc biimprd
      cc0 mp1i necon3d mpd mpdan rspcedvd rgen ) GKZFKZLMZVSNZFDUAGDVRDOZWAVRPL
      MZPNZFPDPDOWBABDHUBQVSPRZWAWDUCWBWEVTWCVSPVSPVRLUDWEUEUFUHWBVRSOZWDWFVRBK
      PAKLMRAUGUAZBUGUIZDVRWHOVRWGBVRUGUJUKHULWBWFUMZWCPUNMZPPUNMZNWDWIVRTWJWKW
      BVRTNZWFWBTDUTWLABDHUOVRTDUPUQURWIVRPWBWFUSZWIVAZPVKNZWIVBQVCPSOZWOUMZWKT
      RWIVDPVEVLVFWIWCPWJWKWIWJWKRZWCPRZWIWCSOWPWQWRWSUCWIVRPWMWNVGWNWQWIVDQWCP
      PVHVIVJVMVNVOVPVQ $.

    $( R has no multiplicative (right) identity.  (Contributed by AV,
       12-Feb-2020.) $)
    2zrngnmrid $p |- A. a e. ( E \ { 0 } ) A. b e. E ( a x. b ) =/= a $=
      ( cv co wne cc0 wcel wa cz wceq adantr c1 cmul cdif cc eldifsn wrex eqeq1
      csn rexbidv elrab2 zcn sylbi anim1i ancli cdiv wnel 1neven elnelne2 mpan2
      ad2antrl w3a simpr anim2i 3anass ancom bitri sylibr divcan3 divid 3netr4d
      c2 syl wb simpl mulcl syl2an div11 syl3anc biimprd necon3d mpd rgen2 ) FK
      ZGKZUALZWBMZFGDNUGUBZDWBWFOZWBUCOZWBNMZPZWCDOZWCUCOZPZWEWKWGWBDOZWIPWJWBD
      NUDWNWHWIWNWBQOZWBVJAKUALZRZAQUEZPWHBKZWPRZAQUEZWRBWBQDWSWBRWTWQAQWSWBWPU
      FUHHUIWOWHWRWBUJSUKULUKWKWLWKWCQOZWCWPRZAQUEZPWLXAXDBWCQDWSWCRWTXCAQWSWCW
      PUFUHHUIXBWLXDWCUJSUKUMWJWMPZWDWBUNLZWBWBUNLZMWEXEWCTXFXGWKWCTMZWJWLWKTDU
      OXHABDHUPWCTDUQURUSXEWLWHWIUTZXFWCRXEWJWLPZXIWMWLWJWKWLVAZVBXIWLWJPXJWLWH
      WIVCWLWJVDVEVFWCWBVGVKWJXGTRWMWBVHSVIXEWDWBXFXGXEXFXGRZWDWBRZXEWDUCOZWHWJ
      XLXMVLWJWHWLXNWMWHWIVMZXKWBWCVNVOWJWHWMXOSWJWMVMWDWBWBVPVQVRVSVTVOWA $.

    $( R has no multiplicative (left) identity.  (Contributed by AV,
       12-Feb-2020.) $)
    2zrngnmlid2 $p |- A. a e. ( E \ { 0 } ) A. b e. E ( b x. a ) =/= a $=
      ( cv cmul co wne wral wcel wceq cc cz elrabi cc0 csn 2zrngnmrid wa eldifi
      cdif wrex crab zcnd eleq2s syl mulcom syl2an eqcomd eqeq1d biimpd necon3d
      c2 ralimdva ralimia ax-mp ) FKZGKZLMZVBNZGDOZFDUAUBZUFZOVCVBLMZVBNZGDOZFV
      HOABCDEFGHIJUCVFVKFVHVBVHPZVEVJGDVLVCDPZUDZVIVBVDVBVNVIVBQVDVBQVNVIVDVBVN
      VDVIVLVBRPZVCRPZVDVIQVMVLVBDPVOVBDVGUEVOVBBKURAKLMQASUGZBSUHZDVBVRPVBVQBV
      BSTUIHUJUKVPVCVRDVCVRPVCVQBVCSTUIHUJVBVCULUMUNUOUPUQUSUTVA $.

    $( R is not a unital ring.  (Contributed by AV, 6-Jan-2020.) $)
    2zrngnring $p |- R e/ Ring $=
      ( vy vb va crg wcel cmnd cv cfv co cmul wral wn cgrp wceq cbs w3a w3o wne
      cplusg wa wrex 2zrngnmlid 2zrngbas mgpbas 2zrngmul mgpplusg isnmnd df-nel
      wnel sylib ax-mp 3mix2i 3ianor mpbir eqid isring mtbir nelir ) CLCLMCUAMZ
      ENMZAOZIOZBOZCUGPZQRQVIVJRQVIVKRQZVLQUBVIVJVLQVKRQVMVJVKRQVLQUBUHBCUCPZSI
      VNSAVNSZUDZVPTVGTZVHTZVOTZUEVRVQVSJOKOZRQVTUFKDUIJDSZVRABCDEKJFGHUJWAENUQ
      VRKJDERDCEHABCDFGUKULCREHABCDFGUMZUNUOENUPURUSUTVGVHVOVAVBAIBVNVLCREVNVCH
      VLVCWBVDVEVF $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  A constructed not unital ring
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    cznrng.y $e |- Y = ( Z/nZ ` N ) $.
    cznrng.b $e |- B = ( Base ` Y ) $.
    cznrng.x $e |- X = ( Y sSet <. ( .r ` ndx ) ,
                                   ( x e. B , y e. B |-> C ) >. ) $.
    $( Lemma for ~ cznrng :  The base set of the ring constructed from a
       ` Z/nZ ` structure by replacing the (multiplicative) ring operation by a
       constant operation is the base set of the ` Z/nZ ` structure.
       (Contributed by AV, 16-Feb-2020.) $)
    cznrnglem $p |- B = ( Base ` X ) $=
      ( cbs cfv cnx cmulr cmpo cop csts co baseid basendxnmulrndx eqcomi fveq2i
      setsnid 3eqtri ) CGKLGMNLZABCCDOZPQRZKLFKLIUFUEKGSTUCUGFKFUGJUAUBUD $.

    $( The ring constructed from a ` Z/nZ ` structure by replacing the
       (multiplicative) ring operation by a constant operation is an abelian
       group.  (Contributed by AV, 16-Feb-2020.) $)
    cznabel $p |- ( ( N e. NN /\ C e. B ) -> X e. Abel ) $=
      ( cn wcel wa cabl cbs cfv fveq2i setsnid eqtr4i cplusg ccrg crg cn0 nnnn0
      adantr zncrng syl crngring ringabl 3syl cnx cmulr cmpo cop csts co baseid
      basendxnmulrndx plusgid plusgndxnmulrndx ablprop sylibr ) EKLZDCLZMZGNLZF
      NLVEGUALZGUBLVFVEEUCLZVGVCVHVDEUDUEEGHUFUGGUHGUIUJFGFOPGUKULPZABCCDUMZUNU
      OUPZOPGOPFVKOJQVJVIOGUQURRSFTPVKTPGTPFVKTJQVJVITGUSUTRSVAVB $.

    $d B a b c x y $.  $d C a b c x y $.  $d N a b c x y $.  $d X a b c x $.
    $d Y a b c x y $.  $d .0. a b c x y $.
    cznrng.0 $e |- .0. = ( 0g ` Y ) $.
    $( The ring constructed from a ` Z/nZ ` structure by replacing the
       (multiplicative) ring operation by a constant operation is a non-unital
       ring.  (Contributed by AV, 17-Feb-2020.) $)
    cznrng $p |- ( ( N e. NN /\ C = .0. ) -> X e. Rng ) $=
      ( vb wcel wceq wa cfv cplusg co syl va vc cn cabl cmgp csgrp cv cmpo wral
      w3a crng ccrg wi cn0 nnnn0 zncrng crg crngring ring0cl eleq1a imp cznabel
      adantlr eqid cznrnglem mgpbas cnx cmulr cop csts fveq2i cvv czn fvexi cbs
      mpoex mulrid setsid mp2an mgpplusg eqcomi wne ne0i adantl simpr copissgrp
      c0 oveq1 ad3antlr cmnd adantr anim1i mndlid eqtrd eqidd weq simpr1 simpr2
      ringmnd ovmpod oveq12d ad3antrrr ringacl syl3anc 3eqtr4rd jca ralrimivvva
      simpr3 mpdan plusgid plusgndxnmulrndx setsnid eqtr4i eqtri isrng sylibr
      3jca ) EUCNZDHOZPZFUDNZFUEQZUFNZUAUGZMUGZUBUGZGRQZSZABCCDUHZSZYDYEYISZYDY
      FYISZYGSZOZYDYEYGSZYFYISZYLYEYFYISZYGSZOZPZUBCUIMCUIUACUIZUJZFUKNXTDCNZUU
      BXRXSUUCXRGULNZXSUUCUMZXREUNNUUDEUOEGIUPTZUUDGUQNZUUEGURZUUGHCNUUECGHJLUS
      HCDUTTTTVAXTUUCPZYAYCUUAXRUUCYAXSABCDEFGIJKVBVCUUIABCDYBCFYBYBVDZABCDEFGI
      JKVEZVFYIYBRQGVGVHQZYIVIVJSZYIYBFUUMUEKVKGVLNYIVLNYIUUMVHQZOGEVMIVNABCCDC
      GVOJVNZUUOVPVLYIVHVLGVQVRVSZVTWAUUCCWGWBXTCDWCWDXTUUCWEZWFUUIYTUAMUBCCCUU
      IYDCNZYECNZYFCNZUJZPZYNYSUVBDDYGSZDYMYJUVBUVCHDYGSZDXSUVCUVDOXRUUCUVADHDY
      GWHWIUVBGWJNZUUCPZUVDDOUUIUVFUVAXTUVEUUCXRUVEXSXRUUGUVEXRUUDUUGUUFUUHTZGW
      STWKWLWKCYGGDHJYGVDZLWMTWNZUVBYKDYLDYGUVBABYDYECCDDYICUVBYIWOZUVBAUAWPZBM
      WPPPDWOUUIUURUUSUUTWQZUUIUURUUSUUTWRZUUIUUCUVAUUQWKZWTUVBABYDYFCCDDYICUVJ
      UVBUVKBUBWPZPPDWOUVLUUIUURUUSUUTXHZUVNWTZXAUVBABYDYHCCDDYICUVJUVBUVKBUGYH
      OPPDWOUVLUVBUUGUUSUUTYHCNXRUUGXSUUCUVAUVGXBZUVMUVPCYGGYEYFJUVHXCXDUVNWTXE
      UVBUVCDYRYPUVIUVBYLDYQDYGUVQUVBABYEYFCCDDYICUVJUVBAMWPUVOPPDWOUVMUVPUVNWT
      XAUVBABYOYFCCDDYICUVJUVBAUGYOOUVOPPDWOUVBUUGUURUUSYOCNUVRUVLUVMCYGGYDYEJU
      VHXCXDUVPUVNWTXEXFXGXQXIUAMUBCYGFYIYBUUKUUJYGUUMRQFRQYIUULRGXJXKXLFUUMRKV
      KXMYIUUNFVHQUUPUUMFVHFUUMKWAVKXNXOXP $.

    $( The ring constructed from a ` Z/nZ ` structure with ` 1 < n ` by
       replacing the (multiplicative) ring operation by a constant operation is
       not a unital ring.  (Contributed by AV, 17-Feb-2020.) $)
    cznnring $p |- ( ( N e. ( ZZ>= ` 2 ) /\ C e. B ) -> X e/ Ring ) $=
      ( c2 cfv wcel co cmulr wceq cvv c1 va vb vc cuz wa wn wnel cgrp cmgp cmnd
      crg cv cplusg cnx cmpo cop csts wral w3a eqid cznrnglem mgpbas fveq2i czn
      fvexi cbs mpoex mulrid setsid mp2an mgpplusg eqcomi simpr chash clt eluz2
      wbr cz cle 1lt2 wi 1red 2re a1i zre ltletr syl3anc expcomd 3imp mpi sylbi
      cr cn eluz2nn znhash syl breqtrrd adantr copisnmnd df-nel sylib intn3an2d
      isring sylnibr sylibr ) EMUDNOZDCOZUEZFUKOZUFFUKUGXHFUHOZFUINZUJOZUAULZUB
      ULZUCULZFUMNZPGUNQNABCCDUOZUPUQPZQNZPXMXNXSPXMXOXSPZXPPRXMXNXPPXOXSPXTXNX
      OXSPXPPRUEUCCURUBCURUACURZUSXIXHXLXJYAXHXKUJUGXLUFXHABCDXKCFXKXKUTZABCDEF
      GIJKVAZVBXQXKUMNXRXQXKFXRUIKVCGSOXQSOXQXSRGEVDIVEABCCDCGVFJVEZYDVGSXQQSGV
      HVIVJVKVLXFXGVMXFTCVNNZVOVQXGXFTEYEVOXFMVROZEVROZMEVSVQZUSZTEVOVQZMEVPYIT
      MVOVQZYJVTYFYGYHYKYJWAZYGYHYLWAWAYFYGYKYHYJYGTWLOMWLOZEWLOYKYHUEYJWAYGWBY
      MYGWCWDEWETMEWFWGWHWDWIWJWKXFEWMOYEEREWNCEGIJWOWPWQWRWSXKUJWTXAXBUAUBUCCX
      PFXSXKYCYBXPUTXRFQFXRKVLVCXCXDFUKWTXE $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The category of non-unital rings
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  The "category of non-unital rings" ` RngCat ` is the category of all
  non-unital rings ` Rng ` in a universe and non-unital ring homomorphisms
  ` RngHomo ` between these rings.  This category is defined as "category
  restriction" of the category of extensible structures ` ExtStrCat `, which
  restricts the objects to non-unital rings and the morphisms to the non-unital
  ring homomorphisms, while the composition of morphisms is preserved, see
  ~ df-rngc .  Alternately, the category of non-unital rings could have been
  defined as extensible structure consisting of three components/slots for the
  objects, morphisms and composition, see ~ df-rngcALTV or ~ dfrngc2 .

  Since we consider only "small categories" (i.e. categories whose objects and
  morphisms are actually sets and not proper classes), the objects of the
  category (i.e. the base set of the category regarded as extensible structure)
  are a subset of the non-unital rings (relativized to a subset or "universe"
  ` u `) ` ( u i^i Rng ) `, see ~ rngcbas , and the morphisms/arrows are the
  non-unital ring homomorphisms restricted to this subset of the non-unital
  rings ` ( RngHomo |`` ( B X. B ) ) `, see ~ rngchomfval , whereas the
  composition is the ordinary composition of functions, see ~ rngccofval and
  ~ rngcco .

  By showing that the non-unital ring homomorphisms between non-unital rings
  are a subcategory subset (` C_cat `) of the mappings between base sets of
  extensible structures, see ~ rnghmsscmap , it can be shown that the
  non-unital ring homomorphisms between non-unital rings are a subcategory
  (` Subcat `) of the category of extensible structures, see
  ~ rnghmsubcsetc .  It follows that the category of non-unital rings
  ` RngCat ` is actually a category, see ~ rngccat with the identity function
  as identity arrow, see ~ rngcid .

$)

  $c RngCat $.
  $c RngCatALTV $.

  $( Extend class notation to include the category Rng. $)
  crngc $a class RngCat $.

  $( Extend class notation to include the category Rng.
     (New usage is discouraged.) $)
  crngcALTV $a class RngCatALTV $.

  $( Definition of the category Rng, relativized to a subset ` u ` .  This is
     the category of all non-unital rings in ` u ` and homomorphisms between
     these rings.  Generally, we will take ` u ` to be a weak universe or
     Grothendieck universe, because these sets have closure properties as good
     as the real thing.  (Contributed by AV, 27-Feb-2020.)  (Revised by AV,
     8-Mar-2020.) $)
  df-rngc $a |- RngCat = ( u e. _V |-> ( ( ExtStrCat ` u ) |`cat
                   ( RngHomo |` ( ( u i^i Rng ) X. ( u i^i Rng ) ) ) ) ) $.

  ${
    $d b f g u v x y z $.
    $( Definition of the category Rng, relativized to a subset ` u ` .  This is
       the category of all non-unital rings in ` u ` and homomorphisms between
       these rings.  Generally, we will take ` u ` to be a weak universe or
       Grothendieck universe, because these sets have closure properties as
       good as the real thing.  (New usage is discouraged.)  (Contributed by
       AV, 27-Feb-2020.) $)
    df-rngcALTV $a |- RngCatALTV = ( u e. _V |-> [_ ( u i^i Rng ) / b ]_
              { <. ( Base ` ndx ) , b >. ,
                <. ( Hom ` ndx ) , ( x e. b , y e. b |-> ( x RngHomo y ) ) >. ,
                <. ( comp ` ndx ) , ( v e. ( b X. b ) , z e. b |->
                                     ( g e. ( ( 2nd ` v ) RngHomo z ) ,
                                       f e. ( ( 1st ` v ) RngHomo ( 2nd ` v ) )
                                       |-> ( g o. f ) ) ) >. } ) $.

    $d b u v x y z B $.  $d b u v x y z U $.  $d b u .x. $.  $d b u H $.
    $d b u v x y z ph $.
    rngcvalALTV.c $e |- C = ( RngCatALTV ` U ) $.
    rngcvalALTV.u $e |- ( ph -> U e. V ) $.
    rngcvalALTV.b $e |- ( ph -> B = ( U i^i Rng ) ) $.
    rngcvalALTV.h $e |- ( ph -> H = ( x e. B , y e. B
                                      |-> ( x RngHomo y ) ) ) $.
    rngcvalALTV.o $e |- ( ph -> .x. = ( v e. ( B X. B ) , z e. B |->
                                     ( g e. ( ( 2nd ` v ) RngHomo z ) ,
                                       f e. ( ( 1st ` v ) RngHomo ( 2nd ` v ) )
                                       |-> ( g o. f ) ) ) ) $.
    $( Value of the category of non-unital rings (in a universe).
       (New usage is discouraged.)  (Contributed by AV, 27-Feb-2020.) $)
    rngcvalALTV $p |- ( ph -> C = { <. ( Base ` ndx ) , B >. ,
                    <. ( Hom ` ndx ) , H >. , <. ( comp ` ndx ) , .x. >. } ) $=
      ( cv cvv vu vb crngcALTV cfv cnx cbs cop chom cco ctp crng cin crngh cmpo
      co cxp c2nd c1st ccom csb cmpt wceq df-rngcALTV a1i wcel vex inex1 adantl
      wa ineq1 adantr eqtr4d simpr mpoeq123dv ad2antrr sqxpeqd tpeq123d csbied2
      opeq2d eqidd elex syl tpex fvmptd syl5eq ) AGIUCUDUEUFUDZFUGZUEUHUDZLUGZU
      EUIUDZHUGZUJZNAUAIUBUASZUKULZWFUBSZUGZWHBCWOWOBSCSUMUOZUNZUGZWJEDWOWOUPZW
      OKJESZUQUDZDSUMUOXAURUDXBUMUOKSJSUSUNZUNZUGZUJZUTZWLTUCTUCUATXGVAVBABCDEU
      AJKUBVCVDAWMIVBZVIZUBWNFXFWLTWNTVEXIWMUKUAVFVGVDXIWNIUKULZFXHWNXJVBAWMIUK
      VJVHAFXJVBXHPVKVLXIWOFVBZVIZWPWGWSWIXEWKXLWOFWFXIXKVMZVSXLWRLWHXLWRBCFFWQ
      UNZLXLBCWOWOWQFFWQXMXMXLWQVTVNALXNVBXHXKQVOVLVSXLXDHWJXLXDEDFFUPZFXCUNZHX
      LEDWTWOXCXOFXCXLWOFXMVPXMXLXCVTVNAHXPVBXHXKRVOVLVSVQVRAIMVEITVEOIMWAWBWLT
      VEAWGWIWKWCVDWDWE $.
  $}

  ${
    $d H u $.  $d U u $.  $d ph u $.
    rngcval.c $e |- C = ( RngCat ` U ) $.
    rngcval.u $e |- ( ph -> U e. V ) $.
    rngcval.b $e |- ( ph -> B = ( U i^i Rng ) ) $.
    rngcval.h $e |- ( ph -> H = ( RngHomo |` ( B X. B ) ) ) $.
    $( Value of the category of non-unital rings (in a universe).  (Contributed
       by AV, 27-Feb-2020.)  (Revised by AV, 8-Mar-2020.) $)
    rngcval $p |- ( ph -> C = ( ( ExtStrCat ` U ) |`cat H ) ) $=
      ( vu crngc cfv cestrc cresc co crngh crng cxp wceq cv cin cres df-rngc wa
      cvv fveq2 adantl ineq1 sqxpeqd eqcomd sylan9eqr reseq2d eqtrd elexd ovexd
      adantr oveq12d fvmptd2 syl5eq ) ACDLMDNMZEOPZGAKDKUAZNMZQVCRUBZVESZUCZOPV
      BUFLUFKUDAVCDTZUEZVDVAVGEOVHVDVATAVCDNUGUHVIVGQBBSZUCZEVIVFVJQVHAVFDRUBZV
      LSZVJVHVEVLVCDRUIUJAVJVMABVLIUJUKULUMAVKETVHAEVKJUKUQUNURADFHUOAVAEOUPUSU
      T $.
  $}

  ${
    rnghmresfn.b $e |- ( ph -> B = ( U i^i Rng ) ) $.
    rnghmresfn.h $e |- ( ph -> H = ( RngHomo |` ( B X. B ) ) ) $.
    $( The class of non-unital ring homomorphisms restricted to subsets of
       non-unital rings is a function.  (Contributed by AV, 4-Mar-2020.) $)
    rnghmresfn $p |- ( ph -> H Fn ( B X. B ) ) $=
      ( cxp wfn crngh cres crng wss rnghmfn cin eqsstrdi xpss12 syl2anc fnssres
      inss2 sylancr fneq1d mpbird ) ADBBGZHIUCJZUCHZAIKKGZHUCUFLZUEMABKLZUHUGAB
      CKNKECKSOZUIBKBKPQUFUCIRTAUCDUDFUAUB $.
  $}

  ${
    rnghmresel.h $e |- ( ph -> H = ( RngHomo |` ( B X. B ) ) ) $.
    $( An element of the non-unital ring homomorphisms restricted to a subset
       of non-unital rings is a non-unital ring homomorphisms.  (Contributed by
       AV, 9-Mar-2020.) $)
    rnghmresel $p |- ( ( ph /\ ( X e. B /\ Y e. B ) /\ F e. ( X H Y ) )
                       -> F e. ( X RngHomo Y ) ) $=
      ( wcel wa co crngh cxp cres wceq adantr oveqd ovres adantl eqtrd eleq2d
      biimp3a ) AEBHFBHIZCEFDJZHCEFKJZHAUBIZUCUDCUEUCEFKBBLMZJZUDUEDUFEFADUFNUB
      GOPUBUGUDNAEFBBKQRSTUA $.
  $}

  ${
    rngcbas.c $e |- C = ( RngCat ` U ) $.
    rngcbas.b $e |- B = ( Base ` C ) $.
    rngcbas.u $e |- ( ph -> U e. V ) $.
    $( Set of objects of the category of non-unital rings (in a universe).
       (Contributed by AV, 27-Feb-2020.)  (Revised by AV, 8-Mar-2020.) $)
    rngcbas $p |- ( ph -> B = ( U i^i Rng ) ) $=
      ( cbs cfv cestrc crngh crng cin cxp cres cresc co eqidd eqid rngcval wceq
      fveq2d a1i cvv fvexd rnghmresfn inss1 estrcbas sseqtrid rescbas 3eqtr4d )
      ACIJZDKJZLDMNZUOOPZQRZIJBUOACUQIAUOCDUPEFHAUOSZAUPSZUAUCBUMUBAGUDAUNIJZUN
      UQUOUPUEUQTUTTADKUFAUODUPURUSUGADUOUTDMUHAUNDEUNTHUIUJUKUL $.

    ${
      rngchomfval.h $e |- H = ( Hom ` C ) $.
      $( Set of arrows of the category of non-unital rings (in a universe).
         (Contributed by AV, 27-Feb-2020.)  (Revised by AV, 8-Mar-2020.) $)
      rngchomfval $p |- ( ph -> H = ( RngHomo |` ( B X. B ) ) ) $=
        ( cestrc cfv crngh cxp cres cresc co chom eqid crng eqidd fveq2d syl5eq
        rngcbas rngcval cbs cvv fvexd rnghmresfn cin wss inss1 estrcbas 3sstr4d
        a1i eqcomd reschom eqtr4d ) AEDKLZMBBNOZPQZRLZUTAECRLVBJACVARABCDUTFGIA
        BCDFGHIUDZAUTUAZUEUBUCAUSUFLZUSVABUTUGVASVESADKUHABDUTVCVDUIADTUJZDBVEV
        FDUKADTULUOVCADVEAUSDFUSSIUMUPUNUQUR $.

      rngchom.x $e |- ( ph -> X e. B ) $.
      rngchom.y $e |- ( ph -> Y e. B ) $.
      $( Set of arrows of the category of non-unital rings (in a universe).
         (Contributed by AV, 27-Feb-2020.) $)
      rngchom $p |- ( ph -> ( X H Y ) = ( X RngHomo Y ) ) $=
        ( co crngh cxp cres rngchomfval oveqd ovresd eqtrd ) AGHEOGHPBBQRZOGHPO
        AEUCGHABCDEFIJKLSTAGHPBMNUAUB $.

      $( A morphism of non-unital rings is a function.  (Contributed by AV,
         27-Feb-2020.) $)
      elrngchom $p |- ( ph -> ( F e. ( X H Y )
                                 -> F : ( Base ` X ) --> ( Base ` Y ) ) ) $=
        ( co wcel cbs cfv eqid crngh wf rngchom eleq2d rnghmf syl6bi ) AEHIFPZQ
        EHIUAPZQHRSZIRSZEUBAUGUHEABCDFGHIJKLMNOUCUDUIUJHIEUITUJTUEUF $.
    $}

    $( The functionalized Hom-set operation equals the Hom-set operation in the
       category of non-unital rings (in a universe).  (Contributed by AV,
       9-Mar-2020.) $)
    rngchomfeqhom $p |- ( ph -> ( Homf ` C ) = ( Hom ` C ) ) $=
      ( chom cfv cxp chomf wceq rngcbas eqid rngchomfval rnghmresfn fnhomeqhomf
      wfn syl ) ACIJZBBKSCLJZUAMABDUAABCDEFGHNABCDUAEFGHUAOZPQBCUBUAUBOGUCRT $.
  $}

  ${
    rngcco.c $e |- C = ( RngCat ` U ) $.
    rngcco.u $e |- ( ph -> U e. V ) $.
    rngcco.o $e |- .x. = ( comp ` C ) $.
    $( Composition in the category of non-unital rings.  (Contributed by AV,
       27-Feb-2020.)  (Revised by AV, 8-Mar-2020.) $)
    rngccofval $p |- ( ph -> .x. = ( comp ` ( ExtStrCat ` U ) ) ) $=
      ( cco cfv cestrc chom cresc co cbs eqid rngcbas rngchomfval a1i crng wceq
      rngcval fveq2d cvv fvexd rnghmresfn cin wss inss1 estrcbas eqcomd 3sstr4d
      rescco 3eqtr4d ) ABIJZDKJZBLJZMNZIJCUPIJZABURIABOJZBDUQEFGAUTBDEFUTPZGQZA
      UTBDUQEFVAGUQPRZUBUCCUOUAAHSAUPOJZUPURUTUSUQUDURPVDPADKUEAUTDUQVBVCUFADTU
      GZDUTVDVEDUHADTUISVBADVDAUPDEUPPGUJUKULUSPUMUN $.

    rngcco.x $e |- ( ph -> X e. U ) $.
    rngcco.y $e |- ( ph -> Y e. U ) $.
    rngcco.z $e |- ( ph -> Z e. U ) $.
    rngcco.f $e |- ( ph -> F : ( Base ` X ) --> ( Base ` Y ) ) $.
    rngcco.g $e |- ( ph -> G : ( Base ` Y ) --> ( Base ` Z ) ) $.
    $( Composition in the category of non-unital rings.  (Contributed by AV,
       27-Feb-2020.)  (Revised by AV, 8-Mar-2020.) $)
    rngcco $p |- ( ph -> ( G ( <. X , Y >. .x. Z ) F ) = ( G o. F ) ) $=
      ( cfv eqid cop co cestrc cco ccom rngccofval oveqd cbs estrcco eqtrd ) AF
      EHIUAZJCUBZUBFEUKJDUCSZUDSZUBZUBFEUEAULUOFEACUNUKJABCDGKLMUFUGUGAHUHSZIUH
      SZUMJUHSZUNDEFGHIJUMTLUNTNOPUPTUQTURTQRUIUJ $.
  $}

  ${
    $d f g v x y z $.  $d U v x y z $.  $d ph v x y z $.
    dfrngc2.c $e |- C = ( RngCat ` U ) $.
    dfrngc2.u $e |- ( ph -> U e. V ) $.
    dfrngc2.b $e |- ( ph -> B = ( U i^i Rng ) ) $.
    dfrngc2.h $e |- ( ph -> H = ( RngHomo |` ( B X. B ) ) ) $.
    dfrngc2.o $e |- ( ph -> .x. = ( comp ` ( ExtStrCat ` U ) ) ) $.
    $( Alternate definition of the category of non-unital rings (in a
       universe).  (Contributed by AV, 16-Mar-2020.) $)
    dfrngc2 $p |- ( ph -> C = { <. ( Base ` ndx ) , B >. ,
                    <. ( Hom ` ndx ) , H >. , <. ( comp ` ndx ) , .x. >. } ) $=
      ( cfv co cbs cvv crng wcel cv crngh vx vy vz vv vf cestrc cresc cress cnx
      vg chom cop csts cco ctp rngcval eqid fvexd cin inex1g eqeltrd rnghmresfn
      syl rescval2 cmap cmpo eqidd cxp c2nd c1st ccom estrccofval eqtrd mpoexga
      estrcval syl2anc cres wfun wfn rnghmfn fnfun mp1i sqxpexg resfunexg inss1
      eqsstrdi estrres 3eqtrd ) ACEUFMZFUGNZWIBUHNUIUKMFULZUMNUIOMBULWKUIUNMDUL
      UOABCEFGHIJKUPAWIWJBFPPWJUQAEUFURABEQUSZPJAEGRZWLPRIEQGUTVCVAZABEFJKVBVDA
      BEWIDFUAUBEEUBSOMUASOMVENZVFZGPPPAUAUBUCUDWIDEUEUJWPGWIUQZIAWPVGADWIUNMZU
      DUCEEVHEUJUEUCSOMUDSZVIMOMZVENWTWSVJMOMVENUJSUESVKVFVFLAUCUDWIWREUEUJGWQI
      WRUQVLVMVOIAWMWMWPPRIIUAUBEEWOGGVNVPADWRPLAWIUNURVAAFTBBVHZVQZPKATVRZXAPR
      ZXBPRTQQVHZVSXCAVTXETWAWBABPRXDWNBPWCVCTXAPWDVPVAABWLEJEQWEWFWGWH $.
  $}

  ${
    $d R a b h $.  $d R a b x y $.  $d ph a b h $.
    rnghmsscmap.u $e |- ( ph -> U e. V ) $.
    rnghmsscmap.r $e |- ( ph -> R = ( Rng i^i U ) ) $.
    $( The non-unital ring homomorphisms between non-unital rings (in a
       universe) are a subcategory subset of the mappings between base sets of
       non-unital rings (in the same universe).  (Contributed by AV,
       6-Mar-2020.) $)
    rnghmsscmap2 $p |- ( ph -> ( RngHomo |` ( R X. R ) )
            C_cat ( x e. R , y e. R |-> ( ( Base ` y ) ^m ( Base ` x ) ) ) ) $=
      ( va vb crngh cv cbs cfv cmap co wcel wa cvv crng cxp cres cmpo cssc wral
      vh wbr wss ssidd wf eqid rnghmf simpr fvex pm3.2i elmapg mp1i mpbird syl5
      wb ssrdv wceq ovres adantl eqidd weq fveq2 oveqan12rd simpl ovexd 3sstr4d
      ovmpod ralrimivva wfn rnghmfn a1i cin inss1 eqsstrdi syl2anc fnssres ovex
      ex xpss12 fnmpoi incom inex1g syl eqeltrid eqeltrd isssc mpbir2and ) AKDD
      UAZUBZBCDDCLZMNZBLZMNZOPZUCZUDUGDDUHILZJLZWNPZXAXBWTPZUHZJDUEIDUEADUIAXEI
      JDDAXADQZXBDQZRZRZXAXBKPZXBMNZXAMNZOPZXCXDXIUFXJXMUFLZXJQXLXKXNUJZXIXNXMQ
      ZXLXKXAXBXNXLUKXKUKULXIXOXPXIXORZXPXOXIXOUMXKSQZXLSQZRXPXOUTXQXRXSXBMUNXA
      MUNUOXKXLXNSSUPUQURWCUSVAXHXCXJVBAXAXBDDKVCVDXHXDXMVBAXHBCXAXBDDWSXMWTSXH
      WTVEBIVFZCJVFZRWSXMVBXHYAXTWPXKWRXLOWOXBMVGWQXAMVGVHVDXFXGVIXFXGUMXHXKXLO
      VJVLVDVKVMAIJDDWNWTSAKTTUAZVNZWMYBUHZWNWMVNYCAVOVPADTUHZYEYDADTEVQZTHTEVR
      VSZYGDTDTWDVTYBWMKWAVTWTWMVNABCDDWSWTWTUKWPWROWBWEVPADYFSHAYFETVQZSTEWFAE
      FQYHSQGETFWGWHWIWJWKWL $.

    $d U a b x y $.  $d ph x y $.
    $( The non-unital ring homomorphisms between non-unital rings (in a
       universe) are a subcategory subset of the mappings between base sets of
       extensible structures (in the same universe).  (Contributed by AV,
       9-Mar-2020.) $)
    rnghmsscmap $p |- ( ph -> ( RngHomo |` ( R X. R ) )
            C_cat ( x e. U , y e. U |-> ( ( Base ` y ) ^m ( Base ` x ) ) ) ) $=
      ( va vb crngh cv cbs cfv cmap co crng wcel wa cvv cxp cres cmpo cssc wral
      vh wbr wss inss2 eqsstrdi wf eqid rnghmf simpr wb fvex pm3.2i elmapg mp1i
      mpbird ex syl5 ssrdv wceq ovres adantl eqidd fveq2 oveqan12rd sseld com12
      cin wi adantr impcom ovexd ovmpod 3sstr4d ralrimivva rnghmfn inss1 xpss12
      wfn a1i syl2anc fnssres ovex fnmpoi elex syl isssc mpbir2and ) AKDDUAZUBZ
      BCEECLZMNZBLZMNZOPZUCZUDUGDEUHILZJLZWNPZXAXBWTPZUHZJDUEIDUEADQEVLZEHQEUIU
      JZAXEIJDDAXADRZXBDRZSZSZXAXBKPZXBMNZXAMNZOPZXCXDXKUFXLXOUFLZXLRXNXMXPUKZX
      KXPXORZXNXMXAXBXPXNULXMULUMXKXQXRXKXQSZXRXQXKXQUNXMTRZXNTRZSXRXQUOXSXTYAX
      BMUPXAMUPUQXMXNXPTTURUSUTVAVBVCXJXCXLVDAXAXBDDKVEVFXKBCXAXBEEWSXOWTTXKWTV
      GWQXAVDZWOXBVDZSWSXOVDXKYCYBWPXMWRXNOWOXBMVHWQXAMVHVIVFXJAXAERZXHAYDVMXIA
      XHYDADEXAXGVJVKVNVOXJAXBERZXIAYEVMXHAXIYEADEXBXGVJVKVFVOXKXMXNOVPVQVRVSAI
      JDEWNWTTAKQQUAZWCZWMYFUHZWNWMWCYGAVTWDADQUHZYIYHADXFQHQEWAUJZYJDQDQWBWEYF
      WMKWFWEWTEEUAWCABCEEWSWTWTULWPWROWGWHWDAEFRETRGEFWIWJWKWL $.
  $}

  ${
    rnghmsubcsetc.c $e |- C = ( ExtStrCat ` U ) $.
    rnghmsubcsetc.u $e |- ( ph -> U e. V ) $.
    rnghmsubcsetc.b $e |- ( ph -> B = ( Rng i^i U ) ) $.
    rnghmsubcsetc.h $e |- ( ph -> H = ( RngHomo |` ( B X. B ) ) ) $.
    $( Lemma 1 for ~ rnghmsubcsetc .  (Contributed by AV, 9-Mar-2020.) $)
    rnghmsubcsetclem1 $p |- ( ( ph /\ x e. B )
                              -> ( ( Id ` C ) ` x ) e. ( x H x ) ) $=
      ( wcel cbs cfv cres crngh co crng eqid adantr cv cid ccid cin eleq2d elin
      simplbi syl6bi imp idrnghm syl simprbi estrcid cxp crngc chom oveqdr wceq
      wa rngchomfval rngcbas incom eqtrdi eqcomd eqtrd sqxpeqd reseq2d eleqtrrd
      oveqd biimpa rngchom 3eqtrd 3eltr4d ) ABUAZCLZUSZUBVNMNZOZVNVNPQZVNDUCNZN
      VNVNFQZVPVNRLZVRVSLAVOWBAVOVNREUDZLZWBACWCVNJUEZWDWBVNELZVNREUFZUGUHUIVQV
      NVQSUJUKVPDEVTGVNHVTSAEGLVOITZAVOWFAVOWDWFWEWDWBWFWGULUHUIUMVPWAVNVNPCCUN
      ZOZQVNVNEUONZUPNZQVSAVOBBFWJKUQVPWJWLVNVNVPWLWJAWLWJURVOAWLPWKMNZWMUNZOWJ
      AWMWKEWLGWKSZWMSZIWLSZUTAWNWIPAWMCAWMERUDZCAWMWKEGWOWPIVAZACWRACWCWRJREVB
      VCZVDVEVFVGVETVDVIVPWMWKEWLGVNVNWOWPWHWQVPVNWRWMAVOVNWRLACWRVNWTUEVJAWMWR
      URVOWSTVHZXAVKVLVM $.

    $d B f g x y z $.  $d C f g x y z $.  $d H f g x y z $.  $d U x y $.
    $d ph f g x y z $.
    $( Lemma 2 for ~ rnghmsubcsetc .  (Contributed by AV, 9-Mar-2020.) $)
    rnghmsubcsetclem2 $p |- ( ( ph /\ x e. B )
                    -> A. y e. B A. z e. B A. f e. ( x H y ) A. g e. ( y H z )
                       ( g ( <. x , y >. ( comp ` C ) z ) f ) e. ( x H z ) ) $=
      ( wcel wa co adantr wi cop cco cfv wral ccom crngh simpl simpr rnghmresel
      adantl syl3anc anim12i simprl rnghmco syl2anc cbs ad3antrrr eqid crng cin
      cv eleq2d elinel2 syl6bi imp com12 impcom adantld wf anim1i ancoms rnghmf
      syl ex 3expa adantlr estrcco wceq cxp oveqdr ovres ad2ant2l eqtrd 3eltr4d
      cres ralrimivva ) ABVAZEPZQZIVAZHVAZWGCVAZUADVAZFUBUCZRRZWGWMJRZPZIWLWMJR
      ZUDHWGWLJRZUDCDEEWIWLEPZWMEPZQZQZWQHIWSWRXCWKWSPZWJWRPZQZQZWJWKUEZWGWMUFR
      ZWOWPXGWJWLWMUFRPZWKWGWLUFRPZXHXIPXGAXBXEXJXCAXFWIAXBAWHUGSSZXCXBXFWIXBUH
      SXFXEXCXDXEUHUJAEWJJWLWMOUIZUKXGAWHWTQZXDXKXLXCXNXFWIWHXBWTAWHUHZWTXAUGUL
      SXCXDXEUMAEWKJWGWLOUIZUKWGWLWMWJWKUNUOXGWGUPUCZWLUPUCZFWMUPUCZWNGWKWJKWGW
      LWMLAGKPWHXBXFMUQWNURXCWGGPZXFWIXTXBAWHXTAWHWGUSGUTZPXTAEYAWGNVBWGUSGVCVD
      VESSXCWLGPZXFXBWIYBWTWIYBTXAWIWTYBAWTYBTWHAWTWLYAPYBAEYAWLNVBWLUSGVCVDSVF
      SVGSXCWMGPZXFWIXBYCWIXAYCWTAXAYCTWHAXAWMYAPYCAEYAWMNVBWMUSGVCVDSVHVESXQUR
      ZXRURZXSURZXFXCXQXRWKVIZXDXCYGTXEXCXDYGXBWIXDYGTZWTWIYHTXAWTWIYHWTWIQZXDY
      GYIXDQZXKYGYJAXNXDXKYIAXDWTAWHUMSYIXNXDWIWTXNWIWHWTXOVJVKSYIXDUHXPUKXQXRW
      GWLWKYDYEVLVMVNVNSVGVFSVGXCXFXRXSWJVIZXCXEYKXDAXBXEYKTWHAXBQZXEYKYLXEQXJY
      KAXBXEXJXMVOXRXSWLWMWJYEYFVLVMVNVPVHVEVQXCWPXIVRXFXCWPWGWMUFEEVSWEZRZXIWI
      XBBDJYMAJYMVRWHOSVTWHXAYNXIVRAWTWGWMEEUFWAWBWCSWDWFWF $.

    $( The non-unital ring homomorphisms between non-unital rings (in a
       universe) are a subcategory of the category of extensible structures.
       (Contributed by AV, 9-Mar-2020.) $)
    rnghmsubcsetc $p |- ( ph -> H e. ( Subcat ` C ) ) $=
      ( vx vg vf vy vz cfv wcel cv co wral csubc chomf cssc wbr ccid cop cco wa
      crngh cxp cres cbs cmap cmpo rnghmsscmap chom estrchomfeqhom estrchomfval
      eqid eqtrd 3brtr4d rnghmsubcsetclem1 rnghmsubcsetclem2 jca ralrimiva ccat
      estrccat syl crng cin incom eqtrdi rnghmresfn issubc2 mpbir2and ) AECUAPQ
      ECUBPZUCUDKRZCUEPZPVQVQESQZLRMRVQNRZUFORZCUGPZSSVQWAESQLVTWAESTMVQVTESTOB
      TNBTZUHZKBTAUIBBUJUKKNDDVTULPVQULPUMSUNZEVPUCAKNBDFHIUOJAVPCUPPZWEACDWFFG
      HWFUSZUQAKNCDWFFGHWGURUTVAAWDKBAVQBQUHVSWCAKBCDEFGHIJVBAKNOBCDMLEFGHIJVCV
      DVEAKNOCBWBVRMLVPEVPUSVRUSWBUSADFQCVFQHCDFGVGVHABDEABVIDVJDVIVJIVIDVKVLJV
      MVNVO $.
  $}

  ${
    rngccat.c $e |- C = ( RngCat ` U ) $.
    $( The category of non-unital rings is a category.  (Contributed by AV,
       27-Feb-2020.)  (Revised by AV, 9-Mar-2020.) $)
    rngccat $p |- ( U e. V -> C e. Cat ) $=
      ( wcel cestrc cfv crngh crng cin cres cresc co ccat id eqidd rngcval eqid
      cxp wceq incom a1i sqxpeqd reseq2d rnghmsubcsetc subccat eqeltrd ) BCEZAB
      FGZHBIJZUJSZKZLMZNUHUJABULCDUHOZUHUJPUHULPQUHUIUMULUMRUHIBJZUIBULCUIRUNUH
      UOPUHUKUOUOSHUHUJUOUJUOTUHBIUAUBUCUDUEUFUG $.

    rngcid.b $e |- B = ( Base ` C ) $.
    rngcid.o $e |- .1. = ( Id ` C ) $.
    rngcid.u $e |- ( ph -> U e. V ) $.
    rngcid.x $e |- ( ph -> X e. B ) $.
    rngcid.s $e |- S = ( Base ` X ) $.
    $( The identity arrow in the category of non-unital rings is the identity
       function.  (Contributed by AV, 27-Feb-2020.)  (Revised by AV,
       10-Mar-2020.) $)
    rngcid $p |- ( ph -> ( .1. ` X ) = ( _I |` S ) ) $=
      ( cfv crng cres ccid cid eqid cestrc crngh cin cxp cresc co eqidd rngcval
      fveq2d syl5eq fveq1d wceq incom a1i rnghmsubcsetc rnghmresfn wcel rngcbas
      eleq2d mpbid subcid cbs elinel1 syl6bi mpd estrcid eqcomi reseq2d 3eqtr2d
      eqtrd ) AHFOHEUAOZUBEPUCZVLUDQZUEUFZROZOHVKROZOZSDQZAHFVOAFCROVOKACVNRAVL
      CEVMGILAVLUGZAVMUGZUHUIUJUKAVKVNVLVPVMHVNTAVLVKEVMGVKTZLVLPEUCULAEPUMUNVT
      UOAVLEVMVSVTUPVPTZAHBUQZHVLUQZMABVLHABCEGIJLURUSZUTVAAVQSHVBOZQVRAVKEVPGH
      WAWBLAWCHEUQZMAWCWDWGWEHEPVCVDVEVFAWFDSWFDULADWFNVGUNVHVJVI $.
  $}

  ${
    rngcsect.c $e |- C = ( RngCat ` U ) $.
    rngcsect.b $e |- B = ( Base ` C ) $.
    rngcsect.u $e |- ( ph -> U e. V ) $.
    rngcsect.x $e |- ( ph -> X e. B ) $.
    rngcsect.y $e |- ( ph -> Y e. B ) $.
    ${
      rngcsect.e $e |- E = ( Base ` X ) $.
      rngcsect.n $e |- S = ( Sect ` C ) $.
      $( A section in the category of non-unital rings, written out.
         (Contributed by AV, 28-Feb-2020.) $)
      rngcsect $p |- ( ph -> ( F ( X S Y ) G <-> ( F e. ( X RngHomo Y )
                   /\ G e. ( Y RngHomo X ) /\ ( G o. F ) = ( _I |` E ) ) ) ) $=
        ( co wcel wbr chom cfv cop cco ccid wceq w3a ccom cid cres eqid rngccat
        crngh ccat syl issect rngchom eleq2d anbi12d anbi1d adantr crng rngcbas
        wa wi cin wss inss1 a1i sseld sylbid mpd wf rnghmf adantl rngcco rngcid
        cbs eqeq12d pm5.32da bitrd df-3an 3bitr4g ) AGHJKDSUAGJKCUBUCZSZTZHKJWE
        SZTZHGJKUDJCUEUCZSSZJCUFUCZUCZUGZUHZGJKUNSZTZHKJUNSZTZHGUIZUJFUKZUGZUHZ
        ABCDWJWLGHWEJKMWEULZWJULZWLULZRAEITZCUOTNCEILUMUPOPUQAWGWIVEZWNVEZWQWSV
        EZXBVEZWOXCAXIXJWNVEXKAXHXJWNAWGWQWIWSAWFWPGABCEWEIJKLMNXDOPURUSAWHWRHA
        BCEWEIKJLMNXDPOURUSUTVAAXJWNXBAXJVEZWKWTWMXAXLCWJEGHIJKJLAXGXJNVBXEXLJB
        TZJETZAXMXJOVBAXMXNVFXJAXMJEVCVGZTXNABXOJABCEILMNVDZUSAXOEJXOEVHAEVCVIV
        JZVKVLVBVMZXLKBTZKETZAXSXJPVBAXSXTVFXJAXSKXOTXTABXOKXPUSAXOEKXQVKVLVBVM
        XRXJJVSUCZKVSUCZGVNZAWQYCWSYAYBJKGYAULZYBULZVOVBVPXJYBYAHVNZAWSYFWQYBYA
        KJHYEYDVOVPVPVQAWMXAUGXJABCFEWLIJLMXFNOQVRVBVTWAWBWGWIWNWCWQWSXBWCWDWB
        $.
    $}

    ${
      rngcinv.n $e |- N = ( Inv ` C ) $.
      $( An inverse in the category of non-unital rings is the converse
         operation.  (Contributed by AV, 28-Feb-2020.) $)
      rngcinv $p |- ( ph -> ( F ( X N Y ) G
                              <-> ( F e. ( X RngIsom Y ) /\ G = `' F ) ) ) $=
        ( co wa wcel wceq wbr csect cfv crngh ccom cid cbs cres crngs ccnv ccat
        rngccat syl eqid isinv w3a rngcsect df-3an bitrdi 3ancoma bitri anbi12d
        anandi wf1o simplrl adantl rnghmf anim12i ad2antlr simpr ad2antrl jca32
        wf fcof1o eqcom anbi2i sylib anass isrngim syl2anc anbi1d adantr mpbird
        sylanbrc wb rngimrnghm isrngisom eqcoms anbi2d sylan9bbr syl6bi expdimp
        eleq1 com12 coeq1 ad2antll rngimf1o f1ococnv1 eqtrd jca31 biimpcd coeq2
        impcom wi f1ococnv2 impbida 3bitrd ) AEFIJGQUAEFIJCUBUCZQUAZFEJIXHQUAZR
        ZEIJUDQSZFJIUDQZSZRZFEUEZUFIUGUCZUHZTZRZXORZXTEFUEZUFJUGUCZUHZTZRZRZEIJ
        UIQSZFEUJZTZRZABCXHEFGIJLPADHSCUKSMCDHKULUMNOXHUNZUOAXKXTXOYERZRYGAXIXT
        XJYMAXIXLXNXSUPXTABCXHDXQEFHIJKLMNOXQUNZYLUQXLXNXSURUSAXJXNXLYEUPZYMABC
        XHDYCFEHJIKLMONYCUNZYLUQYOXLXNYEUPYMXNXLYEUTXLXNYEURVAUSVBXTXOYEVCUSAYG
        YKAYGRZYKXLXQYCEVDZRZYJRZYQXLYRYJRZYTYGXLAXTXLXNYFVEVFYQXQYCEVMZYCXQFVM
        ZRZYEXSRRZUUAYGUUEAYGUUDYEXSXOUUDXTYFXLUUBXNUUCXQYCIJEYNYPVGYCXQJIFYPYN
        VGVHVIYFYEYAXTYEVJVFXTXSYAYEXOXSVJVKVLVFUUEYRYIFTZRUUAXQYCEFVNUUFYJYRYI
        FVOVPVQUMXLYRYJVRWDAYKYTWEYGAYHYSYJAIBSZJBSZYHYSWENOXQYCIJEBBYNYPVSVTWA
        WBWCAYKRZXTXOYFUUIXLXNXSYHXLAYJXQYCIJEYNYPWFVKYKAXNYHYJAXNYJARZYHXNUUJY
        HXOXNAYHXLYIXMSZRZYJXOAUUGUUHYHUULWENOIJEBBWGVTZYJUUKXNXLUUKXNWEYIFYIFX
        MWMWHWIWJXLXNVJWKWNWLXCUUIXPYIEUEZXRYJXPUUNTAYHFYIEWOWPUUIYRUUNXRTYHYRA
        YJXQYCIJEYNYPWQVKZXQYCEWRUMWSZWTUUIXOUULYKAUULYHAUULXDYJAYHUULUUMXAWBXC
        UUIXNUUKXLYJXNUUKWEAYHFYIXMWMWPWIWCZUUIXOXSYEUUQUUPUUIYBEYIUEZYDYJYBUUR
        TAYHFYIEXBWPUUIYRUURYDTUUOXQYCEXEUMWSWTWTXFXG $.
    $}

    ${
      rngciso.n $e |- I = ( Iso ` C ) $.
      $( An isomorphism in the category of non-unital rings is a bijection.
         (Contributed by AV, 28-Feb-2020.) $)
      rngciso $p |- ( ph -> ( F e. ( X I Y ) <-> F e. ( X RngIsom Y ) ) ) $=
        ( co wcel cfv eqid syl cinv cdm crngs ccat rngccat isoval eleq2d wbr wb
        wfun invfun funfvbrb ccnv wceq wa rngcinv simpl syl6bi sylbid wi funrel
        wrel releldm ex sylbird mpan2i impbid bitrd ) AEHIFPZQEHICUARZPZUBZQZEH
        IUCPQZAVIVLEABCFVJHIKVJSZADGQCUDQLCDGJUETZMNOUFUGAVMVNAVMEEVKRZVKUHZVNA
        VKUJZVMVRUIABCVJHIKVOVPMNUKZEVKULTAVRVNVQEUMZUNZUOVNABCDEVQVJGHIJKLMNVO
        UPVNWBUQURUSAVNWAWAUNZVMWASAVNWCUOEWAVKUHZVMABCDEWAVJGHIJKLMNVOUPAVKVBZ
        WDVMUTAVSWEVTVKVATWEWDVMEWAVKVCVDTVEVFVGVH $.
    $}
  $}

  ${
    $d f g v x y z $.  $d v x y z U $.  $d v x y z ph $.
    rngcbasALTV.c $e |- C = ( RngCatALTV ` U ) $.
    rngcbasALTV.b $e |- B = ( Base ` C ) $.
    rngcbasALTV.u $e |- ( ph -> U e. V ) $.
    $( Set of objects of the category of non-unital rings (in a universe).
       (New usage is discouraged.)  (Contributed by AV, 27-Feb-2020.) $)
    rngcbasALTV $p |- ( ph -> B = ( U i^i Rng ) ) $=
      ( vx vy vv vz vf vg cnx cfv cop cv crngh co crng chom cmpo c2nd c1st ccom
      cin cbs cco cxp ctp cvv c1 c5 cdc eqidd rngcvalALTV catstr baseid snsstp1
      wcel inex1g syl strfv3 ) ABDUAUGZOUHPVEQZOUBPIJVEVEIRJRSTUCZQZOUIPKLVEVEU
      JVEMNKRZUDPZLRSTVIUEPVJSTMRNRUFUCUCZQZUKCUHULUMUMUNUOQAIJLKVECVKDNMVGEFHA
      VEUPAVGUPAVKUPUQVKVEVGURUSVFVHVLUTADEVAVEULVAHDUAEVBVCGVD $.

    $d v x y z B $.
    ${
      rngchomfvalALTV.h $e |- H = ( Hom ` C ) $.
      $( Set of arrows of the category of non-unital rings (in a universe).
         (New usage is discouraged.)  (Contributed by AV, 27-Feb-2020.) $)
      rngchomfvalALTV $p |- ( ph
                            -> H = ( x e. B , y e. B |-> ( x RngHomo y ) ) ) $=
        ( vv vz vf vg cfv cop chom cv cnx cbs crngh cmpo cco cxp c2nd c1st ccom
        co ctp rngcbasALTV eqidd rngcvalALTV fveq2d syl5eq cvv wcel fvexi mpoex
        wceq c1 c5 cdc catstr homid snsstp2 strfv mp1i eqtr4d ) AGUAUBQDRZUASQB
        CDDBTCTUCUJZUDZRZUAUEQMNDDUFDOPMTZUGQZNTUCUJVOUHQVPUCUJOTPTUIUDUDZRZUKZ
        SQZVMAGESQVTLAEVSSABCNMDEVQFPOVMHIKADEFHIJKULAVMUMAVQUMUNUOUPVMUQURVMVT
        VAABCDDVLDEUBJUSZWAUTVMVSSUQVBVBVCVDRVQDVMVEVFVKVNVRVGVHVIVJ $.

      $d x y X $.  $d x y Y $.
      rngchomALTV.x $e |- ( ph -> X e. B ) $.
      rngchomALTV.y $e |- ( ph -> Y e. B ) $.
      $( Set of arrows of the category of non-unital rings (in a universe).
         (New usage is discouraged.)  (Contributed by AV, 27-Feb-2020.) $)
      rngchomALTV $p |- ( ph -> ( X H Y ) = ( X RngHomo Y ) ) $=
        ( vx vy cv crngh co wceq cvv rngchomfvalALTV oveq12 adantl ovexd ovmpod
        wa ) AOPGHBBOQZPQZRSZGHRSZEUAAOPBCDEFIJKLUBUHGTUIHTUGUJUKTAUHGUIHRUCUDM
        NAGHRUEUF $.

      $( A morphism of non-unital rings is a function.
         (New usage is discouraged.)  (Contributed by AV, 27-Feb-2020.) $)
      elrngchomALTV $p |- ( ph -> ( F e. ( X H Y )
                                 -> F : ( Base ` X ) --> ( Base ` Y ) ) ) $=
        ( co wcel cbs cfv eqid crngh wf rngchomALTV eleq2d rnghmf syl6bi ) AEHI
        FPZQEHIUAPZQHRSZIRSZEUBAUGUHEABCDFGHIJKLMNOUCUDUIUJHIEUITUJTUEUF $.
    $}

    ${
      rngccofvalALTV.o $e |- .x. = ( comp ` C ) $.
      $( Composition in the category of non-unital rings.
         (New usage is discouraged.)  (Contributed by AV, 27-Feb-2020.) $)
      rngccofvalALTV $p |- ( ph -> .x. = ( v e. ( B X. B ) , z e. B |->
                                     ( g e. ( ( 2nd ` v ) RngHomo z ) ,
                                       f e. ( ( 1st ` v ) RngHomo ( 2nd ` v ) )
                                       |-> ( g o. f ) ) ) ) $=
        ( cco cfv cnx cop cv cvv vx vy cbs chom cxp c2nd crngh co c1st ccom ctp
        cmpo rngcbasALTV eqid rngchomfvalALTV eqidd rngcvalALTV wcel wceq fvexi
        fveq2d sqxpexg ax-mp mpoex c1 c5 cdc catstr ccoid snsstp3 strfv 3eqtr4g
        ) AEOPQUCPDRZQUDPEUDPZRZQOPCBDDUEZDIHCSZUFPZBSUGUHVQUIPVRUGUHISHSUJULZU
        LZRZUKZOPZFVTAEWBOAUAUBBCDEVTGHIVNJKMADEGJKLMUMAUAUBDEGVNJKLMVNUNUOAVTU
        PUQVANVTTURVTWCUSCBVPDVSDTURVPTURDEUCLUTZDTVBVCWDVDVTWBOTVEVEVFVGRVTDVN
        VHVIVMVOWAVJVKVCVL $.

      $d f g F $.  $d f g G $.  $d f g v z X $.  $d f g v z Y $.
      $d f g v z Z $.  $d f g ph $.
      rngccoALTV.x $e |- ( ph -> X e. B ) $.
      rngccoALTV.y $e |- ( ph -> Y e. B ) $.
      rngccoALTV.z $e |- ( ph -> Z e. B ) $.
      rngccoALTV.f $e |- ( ph -> F e. ( X RngHomo Y ) ) $.
      rngccoALTV.g $e |- ( ph -> G e. ( Y RngHomo Z ) ) $.
      $( Composition in the category of non-unital rings.
         (New usage is discouraged.)  (Contributed by AV, 27-Feb-2020.) $)
      rngccoALTV $p |- ( ph -> ( G ( <. X , Y >. .x. Z ) F ) = ( G o. F ) ) $=
        ( vg vf vv vz crngh co cv ccom cop cvv cxp c2nd cfv c1st rngccofvalALTV
        cmpo wceq simprl fveq2d wcel op2ndg syl2anc adantr eqtrd simprr oveq12d
        wa op1stg eqidd mpoeq123dv opelxpi ovex mpoex a1i ovmpod coeq12d coexg
        ) AUAUBGFJKUEUFZIJUEUFZUAUGZUBUGZUHZGFUHZIJUIZKDUFUJAUCUDWDKBBUKZBUAUBU
        CUGZULUMZUDUGZUEUFZWFUNUMZWGUEUFZWBUPUAUBVRVSWBUPZDUJAUDUCBCDEUBUAHLMNO
        UOAWFWDUQZWHKUQZVGZVGZUAUBWIWKWBVRVSWBWPWGJWHKUEWPWGWDULUMZJWPWFWDULAWM
        WNURZUSAWQJUQZWOAIBUTZJBUTZWSPQIJBBVAVBVCVDZAWMWNVEVFWPWJIWGJUEWPWJWDUN
        UMZIWPWFWDUNWRUSAXCIUQZWOAWTXAXDPQIJBBVHVBVCVDXBVFWPWBVIVJAWTXAWDWEUTPQ
        IJBBVKVBRWLUJUTAUAUBVRVSWBJKUEVLIJUEVLVMVNVOAVTGUQZWAFUQZVGVGVTGWAFAXEX
        FURAXEXFVEVPTSAGVRUTFVSUTWCUJUTTSGFVRVSVQVBVO $.
    $}
  $}

  ${
    $d f g h w x y z B $.  $d f g h w x y z C $.  $d f g h w x y z U $.
    $d f g h w x y z V $.  $d x ph $.  $d x X $.
    rngccatALTV.c $e |- C = ( RngCatALTV ` U ) $.
    ${
      rngccatidALTV.b $e |- B = ( Base ` C ) $.
      $( Lemma for ~ rngccatALTV .  (New usage is discouraged.)  (Contributed
         by AV, 27-Feb-2020.) $)
      rngccatidALTV $p |- ( U e. V -> ( C e. Cat
                   /\ ( Id ` C ) = ( x e. B |-> ( _I |` ( Base ` x ) ) ) ) ) $=
        ( wcel cv wa cfv co crngh wi adantl rngchomALTV ccom com13 3imp impcom
        vw vy vz vf vg chom w3a cco cid cbs cres cvv wceq eqidd crngcALTV fvexi
        a1i biid crng cin simpl rngcbasALTV eleq2 elin simprbi syl6bi com12 mpd
        vh idrnghm syl simpr eleqtrrd cop 3ad2ant1 simp1 3ad2ant3 eleq2d biimpd
        eqid 3exp com14 expcom rngccoALTV wf simprl elrngchomALTV ex fcoi2 syl8
        simprr eqtrd simp3 adantr 3ad2ant2 fcoi1 expdcom simp2l rnghmco syl2anc
        a1d 3eltr4d coass simp2r 3eqtr4a oveq1d oveq2d 3eqtr4d iscatd2 ) DEHZUA
        IZBHZAIZBHZJZUBIZBHZUCIZBHZJZUDIZXKXMCUFKZLZHZUEIZXMXPYBLZHZVIIZXPXRYBL
        ZHZUGZUGZUAAUBUCBCCUHKZUIXMUJKZUKZUDUEVIYBULBCUJKUMXJGUQXJYBUNXJYMUNCUL
        HXJCDUOFUPUQYLURXJXNJZYOXMXMMLZXMXMYBLYPXMUSHZYOYQHZYPBDUSUTZUMZYRYPBCD
        EFGXJXNVAZVBXNUUAYRNXJUUAXNYRUUAXNXMYTHZYRBYTXMVCUUCXMDHYRXMDUSVDVEVFVG
        OVHYNXMYNVTVJVKZYPBCDYBEXMXMFGUUBYBVTZXJXNVLZUUFPVMXJYLJZYOYAXKXMVNZXMY
        MLLYOYAQZYAUUGBCYMDYAYOEXKXMXMFGXJYLVAZYMVTZYLXLXJXOXTXLYKXLXNVAZVOOZYL
        XNXJXOXTXNYKXLXNVLZVOOZUUOYLXJYAXKXMMLZHZXOXTYKXJUUQNZYKXTXOUURYDYGXTXO
        UURNNYJXJXTXOYDUUQXJXTXOYDUUQNXJXTXOUGZYDUUQUUSYCUUPYAUUSBCDYBEXKXMFGXJ
        XTXOVPZUUEXOXJXLXTUULVQXOXJXNXTUUNVQZPVRVSWAWBVORSTZYLXJYSXOXTXJYSNZYKX
        NUVCXLXJXNYSUUDWCOZVOTWDYLXJUUIYAUMZXOXTYKXJUVENZXOYKUVFNXTYKXOUVFYDYGX
        OUVFNYJYDXOXJXKUJKZYNYAWEZUVEXJXOYDUVHXJXOYDUVHNXJXOJBCDYAYBEXKXMFGXJXO
        VAUUEXJXLXNWFXJXLXNWKWGWHRUVGYNYAWIWJVOVGXASTWLYLXJYEYOXMXMVNXPYMLLZYEU
        MZXOXTYKXJUVJNZYKXOXTUVKYGYDXOXTJZUVKNYJYGUVLXJUVJYGUVLXJUGZUVIYEYOQZYE
        UVMBCYMDYOYEEXMXMXPFGYGUVLXJWMUUKUVLYGXNXJXOXNXTUUNWNZWOZUVPUVLYGXQXJXO
        XQXSWFZWOYGUVLXJYSUVLUVCNYGXOUVCXTUVDWNUQSYGUVLXJYEXMXPMLZHZXJUVLYGUVSX
        JUVLYGUVSNZXJUVLJZYGUVSUWAYFUVRYEUWABCDYBEXMXPFGXJUVLVAZUUEUVLXNXJUVOOZ
        UVLXQXJUVQOZPVRVSWHRSWDUVMYNXPUJKZYEWEZUVNYEUMYGUVLXJUWFXJUVLYGUWFXJUVL
        YGUWFNUWABCDYEYBEXMXPFGUWBUUEUWCUWDWGWHRSYNUWEYEWPVKWLWAWOWQSTUUGYEYAQZ
        XKXPMLZYEYAUUHXPYMLLZXKXPYBLUUGUVSUUQUWGUWHHYLXJUVSXOXTYKXJUVSNZYKXTXOU
        WJYGYDXTXOUWJNNYJXJXTXOYGUVSXJXTXOUVTUUSYGUVSUUSYFUVRYEUUSBCDYBEXMXPFGU
        UTUUEUVAXJXQXSXOWRZPVRVSWAWBWORSTZUVBXKXMXPYEYAWSWTZUUGBCYMDYAYEEXKXMXP
        FGUUJUUKUUMUUOYLXQXJXOXQXSYKWROZUVBUWLWDZUUGBCDYBEXKXPFGUUJUUEUUMUWNPXB
        UUGYHYEQZYAUUHXRYMLZLZYHUWGXKXPVNXRYMLZLZYHYEXMXPVNXRYMLLZYAUWQLYHUWIUW
        SLUUGUWPYAQYHUWGQUWRUWTYHYEYAXCUUGBCYMDYAUWPEXKXMXRFGUUJUUKUUMUUOYLXSXJ
        XOXQXSYKXDOZUVBUUGYHXPXRMLZHZUVSUWPXMXRMLHYLXJUXDXOXTYKXJUXDNZYKXTXOUXE
        YJYDXTXOUXENNYGXJXTXOYJUXDXJXTXOYJUXDNUUSYJUXDUUSYIUXCYHUUSBCDYBEXPXRFG
        UUTUUEUWKXJXQXSXOXDPVRVSWAWBVQRSTZUWLXMXPXRYHYEWSWTWDUUGBCYMDUWGYHEXKXP
        XRFGUUJUUKUUMUWNUXBUWMUXFWDXEUUGUXAUWPYAUWQUUGBCYMDYEYHEXMXPXRFGUUJUUKU
        UOUWNUXBUWLUXFWDXFUUGUWIUWGYHUWSUWOXGXHXI $.
    $}

    $( The category of non-unital rings is a category.  (Contributed by AV,
       27-Feb-2020.)  (New usage is discouraged.) $)
    rngccatALTV $p |- ( U e. V -> C e. Cat ) $=
      ( vx wcel ccat ccid cfv cbs cid cres cmpt wceq eqid rngccatidALTV simpld
      cv ) BCFAGFAHIEAJIZKERJILMNESABCDSOPQ $.

    rngcidALTV.b $e |- B = ( Base ` C ) $.
    rngcidALTV.o $e |- .1. = ( Id ` C ) $.
    rngcidALTV.u $e |- ( ph -> U e. V ) $.
    rngcidALTV.x $e |- ( ph -> X e. B ) $.
    rngcidALTV.s $e |- S = ( Base ` X ) $.
    $( The identity arrow in the category of non-unital rings is the identity
       function.  (Contributed by AV, 27-Feb-2020.)
       (New usage is discouraged.) $)
    rngcidALTV $p |- ( ph -> ( .1. ` X ) = ( _I |` S ) ) $=
      ( vx cfv cid cbs cvv wcel cres cv ccid cmpt ccat rngccatidALTV syl simprd
      wceq syl5eq fveq2 adantl reseq2d fvex resiexg mp1i fvmptd reseq2i eqtr4di
      wa ) AHFPQHRPZUAZQDUAAOHQOUBZRPZUAZVBBFSAFCUCPZOBVEUDZKACUETZVFVGUIZAEGTV
      HVIUTLOBCEGIJUFUGUHUJAVCHUIZUTVDVAQVJVDVAUIAVCHRUKULUMMVASTVBSTAHRUNVASUO
      UPUQDVAQNURUS $.
  $}

  ${
    rngcsectALTV.c $e |- C = ( RngCatALTV ` U ) $.
    rngcsectALTV.b $e |- B = ( Base ` C ) $.
    rngcsectALTV.u $e |- ( ph -> U e. V ) $.
    rngcsectALTV.x $e |- ( ph -> X e. B ) $.
    rngcsectALTV.y $e |- ( ph -> Y e. B ) $.
    ${
      rngcsectALTV.e $e |- E = ( Base ` X ) $.
      rngcsectALTV.n $e |- S = ( Sect ` C ) $.
      $( A section in the category of non-unital rings, written out.
         (Contributed by AV, 28-Feb-2020.)  (New usage is discouraged.) $)
      rngcsectALTV $p |- ( ph -> ( F ( X S Y ) G <-> ( F e. ( X RngHomo Y )
                   /\ G e. ( Y RngHomo X ) /\ ( G o. F ) = ( _I |` E ) ) ) ) $=
        ( co wcel wbr chom cfv cop cco ccid wceq w3a crngh ccom cid rngccatALTV
        cres eqid syl issect wa rngchomALTV eleq2d anbi12d anbi1d adantr simprl
        ccat simprr rngccoALTV rngcidALTV eqeq12d pm5.32da bitrd df-3an 3bitr4g
        ) AGHJKDSUAGJKCUBUCZSZTZHKJVMSZTZHGJKUDJCUEUCZSSZJCUFUCZUCZUGZUHZGJKUIS
        ZTZHKJUISZTZHGUJZUKFUMZUGZUHZABCDVRVTGHVMJKMVMUNZVRUNZVTUNZRAEITZCVDTNC
        EILULUOOPUPAVOVQUQZWBUQZWEWGUQZWJUQZWCWKAWQWRWBUQWSAWPWRWBAVOWEVQWGAVNW
        DGABCEVMIJKLMNWLOPURUSAVPWFHABCEVMIKJLMNWLPOURUSUTVAAWRWBWJAWRUQZVSWHWA
        WIWTBCVREGHIJKJLMAWOWRNVBWMAJBTWROVBZAKBTWRPVBXAAWEWGVCAWEWGVEVFAWAWIUG
        WRABCFEVTIJLMWNNOQVGVBVHVIVJVOVQWBVKWEWGWJVKVLVJ $.
    $}

    ${
      rngcinvALTV.n $e |- N = ( Inv ` C ) $.
      $( An inverse in the category of non-unital rings is the converse
         operation.  (Contributed by AV, 28-Feb-2020.)
         (New usage is discouraged.) $)
      rngcinvALTV $p |- ( ph -> ( F ( X N Y ) G
                              <-> ( F e. ( X RngIsom Y ) /\ G = `' F ) ) ) $=
        ( co wa wcel wceq wbr csect cfv crngh ccom cid cbs cres crngs ccnv ccat
        rngccatALTV syl eqid isinv w3a rngcsectALTV df-3an bitrdi 3ancoma bitri
        anbi12d anandi simplrl adantl wf rnghmf anim12i ad2antlr simpr ad2antrl
        wf1o jca32 fcof1o eqcom anbi2i sylib sylanbrc wb isrngim syl2anc anbi1d
        anass adantr mpbird rngimrnghm isrngisom eqcoms anbi2d sylan9bbr syl6bi
        eleq1 com12 expdimp impcom coeq1 ad2antll f1ococnv1 eqtrd jca31 biimpcd
        rngimf1o wi coeq2 f1ococnv2 impbida 3bitrd ) AEFIJGQUAEFIJCUBUCZQUAZFEJ
        IXHQUAZRZEIJUDQSZFJIUDQZSZRZFEUEZUFIUGUCZUHZTZRZXORZXTEFUEZUFJUGUCZUHZT
        ZRZRZEIJUIQSZFEUJZTZRZABCXHEFGIJLPADHSCUKSMCDHKULUMNOXHUNZUOAXKXTXOYERZ
        RYGAXIXTXJYMAXIXLXNXSUPXTABCXHDXQEFHIJKLMNOXQUNZYLUQXLXNXSURUSAXJXNXLYE
        UPZYMABCXHDYCFEHJIKLMONYCUNZYLUQYOXLXNYEUPYMXNXLYEUTXLXNYEURVAUSVBXTXOY
        EVCUSAYGYKAYGRZYKXLXQYCEVLZRZYJRZYQXLYRYJRZYTYGXLAXTXLXNYFVDVEYQXQYCEVF
        ZYCXQFVFZRZYEXSRRZUUAYGUUEAYGUUDYEXSXOUUDXTYFXLUUBXNUUCXQYCIJEYNYPVGYCX
        QJIFYPYNVGVHVIYFYEYAXTYEVJVEXTXSYAYEXOXSVJVKVMVEUUEYRYIFTZRUUAXQYCEFVNU
        UFYJYRYIFVOVPVQUMXLYRYJWCVRAYKYTVSYGAYHYSYJAIBSZJBSZYHYSVSNOXQYCIJEBBYN
        YPVTWAWBWDWEAYKRZXTXOYFUUIXLXNXSYHXLAYJXQYCIJEYNYPWFVKYKAXNYHYJAXNYJARZ
        YHXNUUJYHXOXNAYHXLYIXMSZRZYJXOAUUGUUHYHUULVSNOIJEBBWGWAZYJUUKXNXLUUKXNV
        SYIFYIFXMWLWHWIWJXLXNVJWKWMWNWOUUIXPYIEUEZXRYJXPUUNTAYHFYIEWPWQUUIYRUUN
        XRTYHYRAYJXQYCIJEYNYPXBVKZXQYCEWRUMWSZWTUUIXOUULYKAUULYHAUULXCYJAYHUULU
        UMXAWDWOUUIXNUUKXLYJXNUUKVSAYHFYIXMWLWQWIWEZUUIXOXSYEUUQUUPUUIYBEYIUEZY
        DYJYBUURTAYHFYIEXDWQUUIYRUURYDTUUOXQYCEXEUMWSWTWTXFXG $.
    $}

    ${
      rngcisoALTV.n $e |- I = ( Iso ` C ) $.
      $( An isomorphism in the category of non-unital rings is a bijection.
         (Contributed by AV, 28-Feb-2020.)  (New usage is discouraged.) $)
      rngcisoALTV $p |- ( ph -> ( F e. ( X I Y )
                                  <-> F e. ( X RngIsom Y ) ) ) $=
        ( co wcel cfv eqid syl cinv cdm ccat rngccatALTV isoval eleq2d wbr wfun
        crngs wb invfun funfvbrb ccnv wceq rngcinvALTV simpl syl6bi sylbid wrel
        wa wi funrel releldm ex sylbird mpan2i impbid bitrd ) AEHIFPZQEHICUARZP
        ZUBZQZEHIUIPQZAVIVLEABCFVJHIKVJSZADGQCUCQLCDGJUDTZMNOUEUFAVMVNAVMEEVKRZ
        VKUGZVNAVKUHZVMVRUJABCVJHIKVOVPMNUKZEVKULTAVRVNVQEUMZUNZUTVNABCDEVQVJGH
        IJKLMNVOUOVNWBUPUQURAVNWAWAUNZVMWASAVNWCUTEWAVKUGZVMABCDEWAVJGHIJKLMNVO
        UOAVKUSZWDVMVAAVSWEVTVKVBTWEWDVMEWAVKVCVDTVEVFVGVH $.
    $}
  $}

  ${
    $d B x y $.  $d U x y $.  $d ph x y $.
    rngchomffvalALTV.c $e |- C = ( RngCatALTV ` U ) $.
    rngchomffvalALTV.b $e |- B = ( Base ` C ) $.
    rngchomffvalALTV.u $e |- ( ph -> U e. V ) $.
    rngchomffvalALTV.h $e |- F = ( Homf ` C ) $.
    $( The value of the functionalized Hom-set operation in the category of
       non-unital rings (in a universe) in maps-to notation for an operation.
       (Contributed by AV, 1-Mar-2020.)  (New usage is discouraged.) $)
    rngchomffvalALTV $p |- ( ph
                            -> F = ( x e. B , y e. B |-> ( x RngHomo y ) ) ) $=
      ( chom cfv cv crngh co wceq wfn eqid cmpo cxp rngchomfvalALTV ovex fnmpoi
      fneq1 mpbiri fnhomeqhomf 3syl eqtrd ) AGEMNZBCDDBOZCOZPQZUAZAUKUORZUKDDUB
      ZSZGUKRABCDEFUKHIJKUKTZUCZUPURUOUQSBCDDUNUOUOTULUMPUDUEUQUKUOUFUGDEGUKLJU
      SUHUIUTUJ $.
  $}

  ${
    $d C x y $.  $d U x y $.  $d ph x y $.  $d r s v w f x y $.
    rngchomrnghmresALTV.c $e |- C = ( RngCatALTV ` U ) $.
    rngchomrnghmresALTV.b $e |- B = ( Rng i^i U ) $.
    rngchomrnghmresALTV.u $e |- ( ph -> U e. V ) $.
    rngchomrnghmresALTV.f $e |- F = ( Homf ` C ) $.
    $( The value of the functionalized Hom-set operation in the category of
       non-unital rings (in a universe) as restriction of the non-unital ring
       homomorphisms.  (Contributed by AV, 2-Mar-2020.)
       (New usage is discouraged.) $)
    rngchomrnghmresALTV $p |- ( ph -> F = ( RngHomo |` ( B X. B ) ) ) $=
      ( vx vy vv vw crng cv crngh co cfv wceq vr cmpo cbs cxp cres wss cin eqid
      vs vf rngcbasALTV inss2 eqsstrdi resmpo syl2anc cplusg cmulr wa wral cmap
      wfn crab csb df-rnghomo ovex rabex csbex fnmpoi fnov sylib incom 3eqtr4rd
      a1i sqxpeqd reseq12d rngchomffvalALTV ) AKLOOKPZLPZQRZUBZCUCSZWAUDZUEZKLW
      AWAVSUBZQBBUDZUEEAWAOUFZWFWCWDTAWADOUGZOAWACDFGWAUHZIUKZDOULUMZWJKLOOWAWA
      VSUNUOAQVTWEWBAQOOUDVAZQVTTWKAUAUIOOMUAPZUCSZNUIPZUCSZVQVRWLUPSRUJPZSVQWP
      SZVRWPSZWNUPSRTVQVRWLUQSRWPSWQWRWNUQSRTURLMPZUSKWSUSZUJNPZWSUTRZVBZVCZVCQ
      KLNMUJUIUAVDMWMXDNWOXCWTUJXBXAWSUTVEVFVGVGVHVMKLOOQVIVJABWAAWGODUGZWABWGX
      ETADOVKVMWIBXETAHVMVLVNVOAKLWACDEFGWHIJVPVL $.
  $}

  ${
    $d R x y $.  $d U x y $.  $d ph x y $.
    rngcifuestrc.r $e |- R = ( RngCat ` U ) $.
    rngcifuestrc.e $e |- E = ( ExtStrCat ` U ) $.
    rngcifuestrc.b $e |- B = ( Base ` R ) $.
    rngcifuestrc.u $e |- ( ph -> U e. V ) $.
    rngcifuestrc.f $e |- ( ph -> F = ( _I |` B ) ) $.
    rngcifuestrc.g $e |- ( ph -> G = ( x e. B , y e. B
                                     |-> ( _I |` ( x RngHomo y ) ) ) ) $.
    $( The "inclusion functor" from the category of non-unital rings into the
       category of extensible structures.  (Contributed by AV, 30-Mar-2020.) $)
    rngcifuestrc $p |- ( ph -> F ( R Func E ) G ) $=
      ( co cfv cid cres cfunc wbr cestrc chom cresc cbs csubc wcel wi eqid crng
      cin rngcbas incom eqtrdi rngchomfval rnghmsubcsetc rngcval fveq2d reseq2d
      idi syl5eq eqtrd cv crngh cmpo wceq adantr cxp oveqdr ovres adantl eqtr2d
      wa mpoeq123dva inclfusubc a1i oveq12d breqd mpbird ) AHIEGUAQZUBHIFUCRZEU
      DRZUEQZWBUAQZUBABCWDUFRZWBWDHIWCAWCWBUGRUHUIADWBFWCJWBUJNADFUKULUKFULADEF
      JKMNUMZFUKUNUOADEFWCJKMNWCUJUPZUQVAWDUJWFUJAHSDTSWFTOADWFSADEUFRWFMAEWDUF
      ADEFWCJKNWGWHURZUSVBZUTVCAIBCDDSBVDZCVDZVEQZTZVFBCWFWFSWKWLWCQZTZVFPABCDD
      WNWFWFWPWJADWFVGWKDUHZWJVHAWQWLDUHVNZVNZWMWOSWSWOWKWLVEDDVITZQZWMAWRBCWCW
      TWHVJWRXAWMVGAWKWLDDVEVKVLVMUTVOVCVPAWAWEHIAEWDGWBUAWIGWBVGALVQVRVSVT $.
  $}

  ${
    $d B a b f x y $.  $d R a b x y $.  $d S x $.  $d U a b x y $.
    $d ph a b f x y $.
    funcrngcsetc.r $e |- R = ( RngCat ` U ) $.
    funcrngcsetc.s $e |- S = ( SetCat ` U ) $.
    funcrngcsetc.b $e |- B = ( Base ` R ) $.
    funcrngcsetc.u $e |- ( ph -> U e. WUni ) $.
    funcrngcsetc.f $e |- ( ph -> F = ( x e. B |-> ( Base ` x ) ) ) $.
    funcrngcsetc.g $e |- ( ph -> G = ( x e. B , y e. B
                                        |-> ( _I |` ( x RngHomo y ) ) ) ) $.
    $( The "natural forgetful functor" from the category of non-unital rings
       into the category of sets which sends each non-unital ring to its
       underlying set (base set) and the morphisms (non-unital ring
       homomorphisms) to mappings of the corresponding base sets.  An alternate
       proof is provided in ~ funcrngcsetcALT , using ~ cofuval2 to construct
       the "natural forgetful functor" from the category of non-unital rings
       into the category of sets by composing the "inclusion functor" from the
       category of non-unital rings into the category of extensible structures,
       see ~ rngcifuestrc , and the "natural forgetful functor" from the
       category of extensible structures into the category of sets, see
       ~ funcestrcsetc .  (Contributed by AV, 26-Mar-2020.) $)
    funcrngcsetc $p |- ( ph -> F ( R Func S ) G ) $=
      ( co wcel cbs cwun cvv va vb vf cop cfunc wbr cfv cmpt cid cmap cres cmpo
      cv chom cresf cestrc cresc estrcbas mpteq1d mpoeq12 syl2anc funcestrcsetc
      eqid wceq df-br sylib crng rngcbas incom eqtrdi rngchomfval rnghmsubcsetc
      cin funcres mptexg syl fvex a1i mpoexga rnghmresfn resfval2 inss1 resmptd
      eqsstrdi eqtr2d eqtrd crngh oveq1 reseq2d oveq2 wa eqidd fveq2 oveqan12rd
      cbvmpov adantl wi eqsstrid sseld com12 adantr impcom adantld ovexd ovmpod
      imp resiexd reseq1d simprl simprr rngchom wf rnghmf pm3.2i elmapg syl5ibr
      ssrdv resabs1d 3eqtrrd mpoeq123dva opeq12d rngcval oveq1d 3eltr4d sylibr
      wb ) AHIUDZEFUEPZQHIYHUFABGBUMZRUGZUHZBCGGUICUMZRUGZYJUJPZUKZULZUDZEUNUGZ
      UOPZGUPUGZYRUQPZFUEPYGYHAYTFYQYRAYKYPYTFUEPZUFYQUUBQABCYTRUGZFRUGZFGYTYKY
      PYTVCZKUUCVCUUDVCMABGUUCYJAYTGSUUEMURZUSAGUUCVDZUUGYPBCUUCUUCYOULVDUUFUUF
      BCGGUUCUUCYOUTVAVBYKYPUUBVEVFAERUGZYTGYRSUUEMAUUHGVGVMZVGGVMAUUHEGSJUUHVC
      ZMVHZGVGVIVJAUUHEGYRSJUUJMYRVCZVKZVLVNAYSYKUUHUKZUAUBUUHUUHUAUMZUBUMZYPPZ
      UUOUUPYRPZUKZULZUDYGAUAUBUUHYKYPYRTTTAGSQZYKTQMBGYJSVOVPYRTQAEUNVQVRAUVAU
      VAYPTQMMBCGGYOSSVSVAAUUHGYRUUKUUMVTWAAUUNHUUTIAUUNBUUHYJUHZHABGUUHYJAUUHU
      UIGUUKGVGWBWDZWCAHBDYJUHUVBNABDUUHYJDUUHVDZALVRZUSWEWFAIBCDDUIYIYLWGPZUKZ
      ULZUAUBDDUIUUOUUPWGPZUKZULZUUTOUVHUVKVDABCUAUBDDUVGUVJUIUUOYLWGPZUKYIUUOV
      DZUVFUVLUIYIUUOYLWGWHWIYLUUPVDZUVLUVIUIYLUUPUUOWGWJWIWOVRAUAUBDDUVJUUHUUH
      UUSUVEUVDAUUODQZWKLVRAUVOUUPDQZWKZWKZUUSUIUUPRUGZUUORUGZUJPZUKZUURUKUWBUV
      IUKUVJUVRUUQUWBUURUVRBCUUOUUPGGYOUWBYPTUVRYPWLUVMUVNWKZYOUWBVDUVRUWCYNUWA
      UIUVNUVMYMUVSYJUVTUJYLUUPRWMYIUUORWMWNWIWPUVQAUUOGQZUVOAUWDWQUVPAUVOUWDAD
      GUUOADUUHGLUVCWRZWSWTXAXBAUVQUUPGQZAUVPUWFUVOADGUUPUWEWSXCXFUVRUWATUVRUVS
      UVTUJXDXGXEXHUVRUURUVIUWBUVRDEGYRSUUOUUPJLAUVAUVQMXAUULAUVOUVPXIAUVOUVPXJ
      XKWIUVRUIUVIUWAUVRUCUVIUWAUCUMZUVIQUWGUWAQZUVRUVTUVSUWGXLZUVTUVSUUOUUPUWG
      UVTVCUVSVCXMUVRUVSTQZUVTTQZWKZUWHUWIYFUWLUVRUWJUWKUUPRVQUUORVQXNVRUVSUVTU
      WGTTXOVPXPXQXRXSXTXSYAWEAEUUAFUEAUUHEGYRSJMUUKUUMYBYCYDHIYHVEYE $.
  $}

  ${
    $d B f g u w x y z $.  $d R f g x y $.  $d S u $.  $d U f g u v w x y z $.
    $d ph f g w u v x y z $.
    funcrngcsetcALT.r $e |- R = ( RngCat ` U ) $.
    funcrngcsetcALT.s $e |- S = ( SetCat ` U ) $.
    funcrngcsetcALT.b $e |- B = ( Base ` R ) $.
    funcrngcsetcALT.u $e |- ( ph -> U e. WUni ) $.
    funcrngcsetcALT.f $e |- ( ph -> F = ( x e. B |-> ( Base ` x ) ) ) $.
    funcrngcsetcALT.g $e |- ( ph -> G = ( x e. B , y e. B
                                          |-> ( _I |` ( x RngHomo y ) ) ) ) $.
    $( Alternate proof of ~ funcrngcsetc , using ~ cofuval2 to construct the
       "natural forgetful functor" from the category of non-unital rings into
       the category of sets by composing the "inclusion functor" from the
       category of non-unital rings into the category of extensible structures,
       see ~ rngcifuestrc , and the "natural forgetful functor" from the
       category of extensible structures into the category of sets, see
       ~ funcestrcsetc .  Surprisingly, this proof is longer than the direct
       proof given in ~ funcrngcsetc .  (Contributed by AV, 30-Mar-2020.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    funcrngcsetcALT $p |- ( ph -> F ( R Func S ) G ) $=
      ( co wcel cbs cfv cid vu vw vz vf vg vv cop cfunc wbr cmpt cmap cres cmpo
      cv crngh ccofu ccom fveq2 cbvmptv eqtrdi coires1 crng cwun rngcbas eleq2d
      cin elin simplbi syl6bi ssrdv resmptd eqtr2id eqtrd w3a wf eqid rnghmf wa
      cvv wb fvex pm3.2i elmapg mp1i syl5ibr resabs1d mpoeq3dva wceq a1i fvresi
      adantr adantl oveq12d eqidd simprr fveq2d simprl reseq2d com12 impcom a1d
      imp32 ovex resiexd ovmpod eqtr2d oveq12 eqcomd coeq12d mpoeq123dva cestrc
      wi opeq12d rngcifuestrc estrcbas mpteq1d oveq2d oveq1d cbvmpov mpoeq123dv
      funcestrcsetc cofuval2 eqtr4d df-br sylib cofucl eqeltrd sylibr ) AHIUGZE
      FUHPZQHIYJUIAYIUAGUAUNZRSZUJZUBUCGGTUCUNZRSZUBUNZRSZUKPZULZUMZUGZTDULZUDU
      EDDTUDUNZUEUNZUOPZULZUMZUGZUPPZYJAYIYMUUBUQZBCERSZUUKBUNZUUBSZCUNZUUBSZYT
      PZUULUUNUUGPZUQZUMZUGUUIAHUUJIUUSAHUADYLUJZUUJAHBDUULRSZUJUUTNBUADUVAYLUU
      LYKRURUSUTAUUJYMDULUUTYMDVAAUAGDYLABDGAUULDQZUULGVBVFZQZUULGQZADUVCUULADE
      GVCJLMVDZVEUVDUVEUULVBQUULGVBVGVHVIZVJVKVLVMAIBCDDTUUNRSZUVAUKPZULZTUULUU
      NUOPZULZUQZUMZUUSAIBCDDUVLUMUVNOABCDDUVLUVMAUVBUUNDQZVNZUVMUVJUVKULUVLUVJ
      UVKVAUVPTUVKUVIUVPUCUVKUVIYNUVKQYNUVIQZUVPUVAUVHYNVOZUVAUVHUULUUNYNUVAVPU
      VHVPVQUVHVSQZUVAVSQZVRUVQUVRVTUVPUVSUVTUUNRWAUULRWAWBUVHUVAYNVSVSWCWDWEVJ
      WFVLWGVMABCDDUVMUUKUUKUURDUUKWHZALWIUWAAUVBVRLWIAUVBUVOVRZVRZUVJUUPUVLUUQ
      UWCUUPUULUUNYTPUVJUWCUUMUULUUOUUNYTUWBUUMUULWHZAUVBUWDUVODUULWJWKWLUWBUUO
      UUNWHZAUVOUWEUVBDUUNWJWLWLWMUWCUBUCUULUUNGGYSUVJYTVSUWCYTWNUWCYPUULWHZYNU
      UNWHZVRVRZYRUVITUWHYOUVHYQUVAUKUWHYNUUNRUWCUWFUWGWOWPUWHYPUULRUWCUWFUWGWQ
      WPWMWRUWBAUVEUVBAUVEXLUVOAUVBUVEUVGWSWKWTAUVBUVOUUNGQZAUVOUWIXLUVBAUVOUUN
      UVCQZUWIADUVCUUNUVFVEUWJUWIUUNVBQUUNGVBVGVHVIXAXBUWCUVIVSUVIVSQUWCUVHUVAU
      KXCWIXDXEXFUWCUUQUVLUWCUDUEUULUUNDDUUFUVLUUGVSUWCUUGWNUUCUULWHUUDUUNWHVRZ
      UUFUVLWHUWCUWKUUEUVKTUUCUULUUDUUNUOXGWRWLAUVBUVOWQAUVBUVOWOUWCUVKVSUVKVSQ
      UWCUULUUNUOXCWIXDXEXHXIXJVMXMABCUUKEGXKSZFUUBUUGYMYTUUKVPAUDUEDEGUWLUUBUU
      GVCJUWLVPZLMAUUBWNAUUGWNXNZAUAUFUWLRSZFRSZFGUWLYMYTUWMKUWOVPUWPVPMAUAGUWO
      YLAUWLGVCUWMMXOZXPAYTUAUFGGTUFUNZRSZYLUKPZULZUMZUAUFUWOUWOUXAUMYTUXBWHAUB
      UCUAUFGGYSUXATYOYLUKPZULYPYKWHZYRUXCTUXDYQYLYOUKYPYKRURXQWRYNUWRWHZUXCUWT
      TUXEYOUWSYLUKYNUWRRURXRWRXSWIAUAUFGGUXAUWOUWOUXAUWQUWQAUXAWNXTVMYAZYBYCAE
      UWLFUUHUUAAUUBUUGEUWLUHPZUIUUHUXGQUWNUUBUUGUXGYDYEAYMYTUWLFUHPZUIUUAUXHQU
      XFYMYTUXHYDYEYFYGHIYJYDYH $.
  $}

  ${
    $d C a h r $.  $d Z a h r x $.  $d ph a h r $.
    zrinitorngc.u $e |- ( ph -> U e. V ) $.
    zrinitorngc.c $e |- C = ( RngCat ` U ) $.
    zrinitorngc.z $e |- ( ph -> Z e. ( Ring \ NzRing ) ) $.
    zrinitorngc.e $e |- ( ph -> Z e. U ) $.
    $( The zero ring is an initial object in the category of nonunital rings.
       (Contributed by AV, 18-Apr-2020.) $)
    zrinitorngc $p |- ( ph -> Z e. ( InitO ` C ) ) $=
      ( vh vr vx cfv wcel wa wceq crng eqid eleq2d adantr va cinito cv chom weu
      co cbs wral c0g cmpt crngh wal w3a crg cnzr cdif cin rngcbas elin simprbi
      wi syl6bi imp zrrnghm syl2anc simpr eldifi ringrng elind eleqtrrd rngchom
      3syl eqcomd biimpa wf rnghmf wfn ffn adantl fvex fnmpti a1i cghm rnghmghm
      ghmid ad2antrr csn 0ringbas syl elsni fveq2d cvv eqidd weq fvmptd 3eqtr4d
      id eqfnfvd mpdan ex alrimiv 3jca eleq1 eqeu ralrimiva ccat rngccat mpbird
      isinito ) AEBUBMNJUCZEKUCZBUDMZUFZNZJUEZKBUGMZUHAXOKXPAXKXPNZOZLEUGMZXKUI
      MZUJZEXKUKUFZNZYAXMNZXNXJYAPZVAZJULZUMZXOXRYCYHXRXKQNZEUNUOUPNZYCAXQYIAXQ
      XKCQUQZNZYIAXPYKXKAXPBCDGXPRZFURZSYLXKCNYIXKCQUSUTVBVCAYJXQHTLXSXKEYAXTXS
      RZXTRZYARZVDVEXRYCOZYCYDYGXRYCVFXRYCYDXRYBXMYAXRXMYBXRXPBCXLDEXKGYMACDNZX
      QFTXLRZAEXPNXQAEYKXPACQEIAYJEUNNEQNHEUNUOVGEVHVLVIYNVJZTAXQVFVKZVMSVNYRYF
      JXRYFYCXRXNYEXRXNOZXSXKUGMZXJVOZYEXRXNUUEXRXNXJYBNZUUEXRXMYBXJUUBSZXSUUDE
      XKXJYOUUDRVPVBVCUUCUUEOZUAXSXJYAUUEXJXSVQUUCXSUUDXJVRVSYAXSVQUUHLXSXTYAXK
      UIVTZYQWAWBUUHUAUCZXSNZOEUIMZXJMZXTUUJXJMZUUJYAMZUUCUUMXTPZUUEUUKUUCUUFXJ
      EXKWCUFNUUPXRXNUUFUUGVNEXKXJWDEXKXJUULXTUULRZYPWEVLWFUUHUUKUUNUUMPZXRUUKU
      URVAZXNUUEAUUSXQAUUKUUJUULWGZNZUURAXSUUTUUJAYJXSUUTPHXSEUULYOUUQWHWISUVAU
      UJUULXJUUJUULWJWKVBTWFVCUUKUUOXTPUUHUUKLUUJXTXTXSYAWLUUKYAWMUUKLUAWNOXTWM
      UUKWQXTWLNUUKUUIWBWOVSWPWRWSWTTXAXBWSXNYDJYAYBXJYAXMXCXDWIXEAXPBJXLEKYMYT
      AYSBXFNFBCDGXGWIUUAXIXH $.

    $( The zero ring is a terminal object in the category of nonunital rings.
       (Contributed by AV, 17-Apr-2020.) $)
    zrtermorngc $p |- ( ph -> Z e. ( TermO ` C ) ) $=
      ( vh vr vx cfv wcel cv wa wceq crng eqid adantr va ctermo chom co weu cbs
      wral c0g cmpt crngh wal w3a crg cnzr cdif cin rngcbas eleq2d elin simprbi
      wi syl6bi imp c0rnghm syl2anc simpr eldifi ringrng elind eleqtrrd rngchom
      3syl eqcomd biimpa rnghmf wfn ffn adantl fvex fnmpti a1i csn 0ringbas syl
      wf feq3d fvconst ex imp31 cvv eqidd id fvmptd eqtr4d eqfnfvd syld alrimiv
      3jca mpdan eleq1 eqeu ralrimiva ccat rngccat istermo mpbird ) AEBUBMNJOZK
      OZEBUCMZUDZNZJUEZKBUFMZUGAXLKXMAXHXMNZPZLXHUFMZEUHMZUIZXHEUJUDZNZXRXJNZXK
      XGXRQZVAZJUKZULZXLXOXTYEXOXHRNZEUMUNUONZXTAXNYFAXNXHCRUPZNZYFAXMYHXHAXMBC
      DGXMSZFUQZURYIXHCNYFXHCRUSUTVBVCAYGXNHTLXPXHEXRXQXPSZXQSZXRSZVDVEXOXTPZXT
      YAYDXOXTVFXOXTYAXOXSXJXRXOXJXSXOXMBCXIDXHEGYJACDNZXNFTXISZAXNVFAEXMNXNAEY
      HXMACREIAYGEUMNERNHEUMUNVGEVHVLVIYKVJZTVKZVMURVNYOYCJYOXKXPEUFMZXGWEZYBXO
      XKUUAVAXTXOXKXGXSNUUAXOXJXSXGYSURXPYTXHEXGYLYTSZVOVBTYOUUAYBYOUUAPZUAXPXG
      XRUUAXGXPVPYOXPYTXGVQVRXRXPVPUUCLXPXQXREUHVSZYNVTWAUUCUAOZXPNZPUUEXGMZXQU
      UEXRMZYOUUAUUFUUGXQQZXOUUAUUFUUIVAZVAXTXOUUAXPXQWBZXGWEZUUJXOYTUUKXGXPAYT
      UUKQZXNAYGUUMHYTEXQUUBYMWCWDTWFUULUUFUUIXPXQUUEXGWGWHVBTWIUUFUUHXQQUUCUUF
      LUUEXQXQXPXRWJUUFXRWKUUFLOUUEQPXQWKUUFWLXQWJNUUFUUDWAWMVRWNWOWHWPWQWRWSXK
      YAJXRXSXGXRXJWTXAWDXBAXMBJXIEKYJYQAYPBXCNFBCDGXDWDYRXEXF $.

    $( The zero ring is a zero object in the category of non-unital rings.
       (Contributed by AV, 18-Apr-2020.) $)
    zrzeroorngc $p |- ( ph -> Z e. ( ZeroO ` C ) ) $=
      ( czeroo cfv wcel cinito ctermo zrinitorngc zrtermorngc eqid syl crng crg
      cbs chom ccat rngccat cnzr eldifad ringrng elind rngcbas eleqtrrd iszeroo
      cin mpbir2and ) AEBJKLEBMKLEBNKLABCDEFGHIOABCDEFGHIPABUAKZBBUBKZEUNQZUOQA
      CDLBUCLFBCDGUDRAECSULUNACSEIAETLESLAETUEHUFEUGRUHAUNBCDGUPFUIUJUKUM $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The category of (unital) rings
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  The "category of unital rings" ` RingCat ` is the category of all (unital)
  rings ` Ring ` in a universe and (unital) ring homomorphisms ` RingHom `
  between these rings.  This category is defined as "category restriction" of
  the category of extensible structures ` ExtStrCat `, which restricts the
  objects to (unital) rings and the morphisms to the (unital) ring
  homomorphisms, while the composition of morphisms is preserved, see
  ~ df-ringc .  Alternately, the category of unital rings could have been
  defined as extensible structure consisting of three components/slots for the
  objects, morphisms and composition, see ~ dfringc2 .  In the following, we
  omit the predicate "unital", so that "ring" and "ring homomorphism" (without
  predicate) always mean "unital ring" and "unital ring homomorphism".

  Since we consider only "small categories" (i.e., categories whose objects and
  morphisms are actually sets and not proper classes), the objects of the
  category (i.e. the base set of the category regarded as extensible structure)
  are a subset of the rings (relativized to a subset or "universe" ` u `)
  ` ( u i^i Ring ) `, see ~ ringcbas , and the morphisms/arrows are the ring
  homomorphisms restricted to this subset of the rings
  ` ( RingHom |`` ( B X. B ) ) `, see ~ ringchomfval , whereas the composition
  is the ordinary composition of functions, see ~ ringccofval and ~ ringcco .

  By showing that the ring homomorphisms between rings are a subcategory subset
  (` C_cat `) of the mappings between base sets of extensible structures, see
  ~ rhmsscmap , it can be shown that the ring homomorphisms between rings are a
  subcategory (` Subcat `) of the category of extensible structures, see
  ~ rhmsubcsetc .  It follows that the category of rings ` RingCat ` is
  actually a category, see ~ ringccat with the identity function as identity
  arrow, see ~ ringcid .

  Furthermore, it is shown that the ring homomorphisms between rings are a
  subcategory subset of the non-unital ring homomorphisms between non-unital
  rings, see ~ rhmsscrnghm , and that the ring homomorphisms between rings are
  a subcategory of the category of non-unital rings, see ~ rhmsubcrngc .  By
  this, the restriction of the category of non-unital rings to the set of
  unital ring homomorphisms _is_ the category of unital rings, see
  ~ rngcresringcat :
` ( ( RngCat `` U ) |``cat ( RingHom |`` ( B X. B ) ) ) = ( RingCat `` U ) ) `.

  Finally, it is shown that the "natural forgetful functor" from the category
  of rings into the category of sets is the function which sends each ring to
  its underlying set (base set) and the morphisms (ring homomorphisms) to
  mappings of the corresponding base sets, see ~ funcringcsetc .

$)

  $c RingCat $.
  $c RingCatALTV $.

  $( Extend class notation to include the category Ring. $)
  cringc $a class RingCat $.

  $( Extend class notation to include the category Ring.
     (New usage is discouraged.) $)
  cringcALTV $a class RingCatALTV $.

  $( Definition of the category Ring, relativized to a subset ` u ` .  See also
     the note in [Lang] p. 91, and the item Rng in [Adamek] p. 478.  This is
     the category of all unital rings in ` u ` and homomorphisms between these
     rings.  Generally, we will take ` u ` to be a weak universe or
     Grothendieck universe, because these sets have closure properties as good
     as the real thing.  (Contributed by AV, 13-Feb-2020.)  (Revised by AV,
     8-Mar-2020.) $)
  df-ringc $a |- RingCat = ( u e. _V |-> ( ( ExtStrCat ` u ) |`cat
                 ( RingHom |` ( ( u i^i Ring ) X. ( u i^i Ring ) ) ) ) ) $.

  ${
    $d b f g u v x y z $.
    $( Definition of the category Ring, relativized to a subset ` u ` .  This
       is the category of all rings in ` u ` and homomorphisms between these
       rings.  Generally, we will take ` u ` to be a weak universe or
       Grothendieck universe, because these sets have closure properties as
       good as the real thing.  (Contributed by AV, 13-Feb-2020.)
       (New usage is discouraged.) $)
    df-ringcALTV $a |- RingCatALTV = ( u e. _V |-> [_ ( u i^i Ring ) / b ]_
              { <. ( Base ` ndx ) , b >. ,
                <. ( Hom ` ndx ) , ( x e. b , y e. b |-> ( x RingHom y ) ) >. ,
                <. ( comp ` ndx ) , ( v e. ( b X. b ) , z e. b |->
                                     ( g e. ( ( 2nd ` v ) RingHom z ) ,
                                       f e. ( ( 1st ` v ) RingHom ( 2nd ` v ) )
                                       |-> ( g o. f ) ) ) >. } ) $.

    $d b u v x y z B $.  $d b u v x y z U $.  $d b u .x. $.  $d b u H $.
    $d b u v x y z ph $.
    ringcvalALTV.c $e |- C = ( RingCatALTV ` U ) $.
    ringcvalALTV.u $e |- ( ph -> U e. V ) $.
    ringcvalALTV.b $e |- ( ph -> B = ( U i^i Ring ) ) $.
    ringcvalALTV.h $e |- ( ph -> H = ( x e. B , y e. B
                                      |-> ( x RingHom y ) ) ) $.
    ringcvalALTV.o $e |- ( ph -> .x. = ( v e. ( B X. B ) , z e. B |->
                                     ( g e. ( ( 2nd ` v ) RingHom z ) ,
                                       f e. ( ( 1st ` v ) RingHom ( 2nd ` v ) )
                                       |-> ( g o. f ) ) ) ) $.
    $( Value of the category of rings (in a universe).  (Contributed by AV,
       13-Feb-2020.)  (New usage is discouraged.) $)
    ringcvalALTV $p |- ( ph -> C = { <. ( Base ` ndx ) , B >. ,
                    <. ( Hom ` ndx ) , H >. , <. ( comp ` ndx ) , .x. >. } ) $=
      ( cv cvv vu vb cringcALTV cfv cnx cbs cop chom cco ctp crg cin crh co cxp
      cmpo c2nd c1st ccom csb cmpt wceq df-ringcALTV wa wcel inex1 ineq1 adantl
      a1i adantr eqtr4d simpr opeq2d eqidd mpoeq123dv ad2antrr sqxpeqd tpeq123d
      vex csbied2 elex syl tpex fvmptd syl5eq ) AGIUCUDUEUFUDZFUGZUEUHUDZLUGZUE
      UIUDZHUGZUJZNAUAIUBUASZUKULZWFUBSZUGZWHBCWOWOBSCSUMUNZUPZUGZWJEDWOWOUOZWO
      KJESZUQUDZDSUMUNXAURUDXBUMUNKSJSUSUPZUPZUGZUJZUTZWLTUCTUCUATXGVAVBABCDEUA
      JKUBVCVIAWMIVBZVDZUBWNFXFWLTWNTVEXIWMUKUAVSVFVIXIWNIUKULZFXHWNXJVBAWMIUKV
      GVHAFXJVBXHPVJVKXIWOFVBZVDZWPWGWSWIXEWKXLWOFWFXIXKVLZVMXLWRLWHXLWRBCFFWQU
      PZLXLBCWOWOWQFFWQXMXMXLWQVNVOALXNVBXHXKQVPVKVMXLXDHWJXLXDEDFFUOZFXCUPZHXL
      EDWTWOXCXOFXCXLWOFXMVQXMXLXCVNVOAHXPVBXHXKRVPVKVMVRVTAIMVEITVEOIMWAWBWLTV
      EAWGWIWKWCVIWDWE $.
  $}

  ${
    $d H u $.  $d U u $.  $d ph u $.
    ringcval.c $e |- C = ( RingCat ` U ) $.
    ringcval.u $e |- ( ph -> U e. V ) $.
    ringcval.b $e |- ( ph -> B = ( U i^i Ring ) ) $.
    ringcval.h $e |- ( ph -> H = ( RingHom |` ( B X. B ) ) ) $.
    $( Value of the category of unital rings (in a universe).  (Contributed by
       AV, 13-Feb-2020.)  (Revised by AV, 8-Mar-2020.) $)
    ringcval $p |- ( ph -> C = ( ( ExtStrCat ` U ) |`cat H ) ) $=
      ( vu cringc cfv cestrc cresc co crh crg cxp wceq cv cin cres cvv df-ringc
      wa fveq2 adantl ineq1 sqxpeqd eqcomd sylan9eqr reseq2d adantr eqtrd elexd
      oveq12d ovexd fvmptd2 syl5eq ) ACDLMDNMZEOPZGAKDKUAZNMZQVCRUBZVESZUCZOPVB
      UDLUDKUEAVCDTZUFZVDVAVGEOVHVDVATAVCDNUGUHVIVGQBBSZUCZEVIVFVJQVHAVFDRUBZVL
      SZVJVHVEVLVCDRUIUJAVJVMABVLIUJUKULUMAVKETVHAEVKJUKUNUOUQADFHUPAVAEOURUSUT
      $.
  $}

  ${
    rhmresfn.b $e |- ( ph -> B = ( U i^i Ring ) ) $.
    rhmresfn.h $e |- ( ph -> H = ( RingHom |` ( B X. B ) ) ) $.
    $( The class of unital ring homomorphisms restricted to subsets of unital
       rings is a function.  (Contributed by AV, 10-Mar-2020.) $)
    rhmresfn $p |- ( ph -> H Fn ( B X. B ) ) $=
      ( cxp wfn crh cres crg wss rhmfn cin inss2 xpss12 syl2anc fnssres sylancr
      eqsstrdi fneq1d mpbird ) ADBBGZHIUCJZUCHZAIKKGZHUCUFLZUEMABKLZUHUGABCKNKE
      CKOTZUIBKBKPQUFUCIRSAUCDUDFUAUB $.
  $}

  ${
    rhmresel.h $e |- ( ph -> H = ( RingHom |` ( B X. B ) ) ) $.
    $( An element of the unital ring homomorphisms restricted to a subset of
       unital rings is a unital ring homomorphism.  (Contributed by AV,
       10-Mar-2020.) $)
    rhmresel $p |- ( ( ph /\ ( X e. B /\ Y e. B ) /\ F e. ( X H Y ) )
                       -> F e. ( X RingHom Y ) ) $=
      ( wcel wa co crh cxp cres wceq adantr oveqd ovres adantl eqtrd eleq2d
      biimp3a ) AEBHFBHIZCEFDJZHCEFKJZHAUBIZUCUDCUEUCEFKBBLMZJZUDUEDUFEFADUFNUB
      GOPUBUGUDNAEFBBKQRSTUA $.
  $}

  ${
    ringcbas.c $e |- C = ( RingCat ` U ) $.
    ringcbas.b $e |- B = ( Base ` C ) $.
    ringcbas.u $e |- ( ph -> U e. V ) $.
    $( Set of objects of the category of unital rings (in a universe).
       (Contributed by AV, 13-Feb-2020.)  (Revised by AV, 8-Mar-2020.) $)
    ringcbas $p |- ( ph -> B = ( U i^i Ring ) ) $=
      ( cbs cfv cestrc crh crg cin cxp cres cresc co eqidd eqid ringcval fveq2d
      wceq a1i cvv fvexd rhmresfn inss1 estrcbas sseqtrid rescbas 3eqtr4d ) ACI
      JZDKJZLDMNZUOOPZQRZIJBUOACUQIAUOCDUPEFHAUOSZAUPSZUAUBBUMUCAGUDAUNIJZUNUQU
      OUPUEUQTUTTADKUFAUODUPURUSUGADUOUTDMUHAUNDEUNTHUIUJUKUL $.

    ${
      ringchomfval.h $e |- H = ( Hom ` C ) $.
      $( Set of arrows of the category of unital rings (in a universe).
         (Contributed by AV, 14-Feb-2020.)  (Revised by AV, 8-Mar-2020.) $)
      ringchomfval $p |- ( ph -> H = ( RingHom |` ( B X. B ) ) ) $=
        ( cestrc cfv crh cxp cres cresc co chom eqid crg ringcbas fveq2d syl5eq
        eqidd ringcval cbs cvv fvexd rhmresfn cin wss inss1 a1i estrcbas eqcomd
        3sstr4d reschom eqtr4d ) AEDKLZMBBNOZPQZRLZUTAECRLVBJACVARABCDUTFGIABCD
        FGHIUAZAUTUDZUEUBUCAUSUFLZUSVABUTUGVASVESADKUHABDUTVCVDUIADTUJZDBVEVFDU
        KADTULUMVCADVEAUSDFUSSIUNUOUPUQUR $.

      ringchom.x $e |- ( ph -> X e. B ) $.
      ringchom.y $e |- ( ph -> Y e. B ) $.
      $( Set of arrows of the category of unital rings (in a universe).
         (Contributed by AV, 14-Feb-2020.) $)
      ringchom $p |- ( ph -> ( X H Y ) = ( X RingHom Y ) ) $=
        ( co crh cxp cres ringchomfval oveqd ovresd eqtrd ) AGHEOGHPBBQRZOGHPOA
        EUCGHABCDEFIJKLSTAGHPBMNUAUB $.

      $( A morphism of unital rings is a function.  (Contributed by AV,
         14-Feb-2020.) $)
      elringchom $p |- ( ph -> ( F e. ( X H Y )
                                 -> F : ( Base ` X ) --> ( Base ` Y ) ) ) $=
        ( co wcel cbs cfv eqid crh wf ringchom eleq2d rhmf syl6bi ) AEHIFPZQEHI
        UAPZQHRSZIRSZEUBAUGUHEABCDFGHIJKLMNOUCUDUIUJHIEUITUJTUEUF $.
    $}

    $( The functionalized Hom-set operation equals the Hom-set operation in the
       category of unital rings (in a universe).  (Contributed by AV,
       9-Mar-2020.) $)
    ringchomfeqhom $p |- ( ph -> ( Homf ` C ) = ( Hom ` C ) ) $=
      ( chom cfv cxp chomf wceq ringcbas eqid ringchomfval rhmresfn fnhomeqhomf
      wfn syl ) ACIJZBBKSCLJZUAMABDUAABCDEFGHNABCDUAEFGHUAOZPQBCUBUAUBOGUCRT $.
  $}

  ${
    ringcco.c $e |- C = ( RingCat ` U ) $.
    ringcco.u $e |- ( ph -> U e. V ) $.
    ringcco.o $e |- .x. = ( comp ` C ) $.
    $( Composition in the category of unital rings.  (Contributed by AV,
       14-Feb-2020.)  (Revised by AV, 8-Mar-2020.) $)
    ringccofval $p |- ( ph -> .x. = ( comp ` ( ExtStrCat ` U ) ) ) $=
      ( cco cfv cestrc chom cresc co cbs eqid ringcbas ringchomfval a1i crg cvv
      ringcval fveq2d wceq fvexd rhmresfn cin wss inss1 estrcbas eqcomd 3sstr4d
      rescco 3eqtr4d ) ABIJZDKJZBLJZMNZIJCUPIJZABURIABOJZBDUQEFGAUTBDEFUTPZGQZA
      UTBDUQEFVAGUQPRZUBUCCUOUDAHSAUPOJZUPURUTUSUQUAURPVDPADKUEAUTDUQVBVCUFADTU
      GZDUTVDVEDUHADTUISVBADVDAUPDEUPPGUJUKULUSPUMUN $.

    ringcco.x $e |- ( ph -> X e. U ) $.
    ringcco.y $e |- ( ph -> Y e. U ) $.
    ringcco.z $e |- ( ph -> Z e. U ) $.
    ringcco.f $e |- ( ph -> F : ( Base ` X ) --> ( Base ` Y ) ) $.
    ringcco.g $e |- ( ph -> G : ( Base ` Y ) --> ( Base ` Z ) ) $.
    $( Composition in the category of unital rings.  (Contributed by AV,
       14-Feb-2020.)  (Revised by AV, 8-Mar-2020.) $)
    ringcco $p |- ( ph -> ( G ( <. X , Y >. .x. Z ) F ) = ( G o. F ) ) $=
      ( cfv eqid cop co cestrc cco ccom ringccofval oveqd cbs estrcco eqtrd ) A
      FEHIUAZJCUBZUBFEUKJDUCSZUDSZUBZUBFEUEAULUOFEACUNUKJABCDGKLMUFUGUGAHUHSZIU
      HSZUMJUHSZUNDEFGHIJUMTLUNTNOPUPTUQTURTQRUIUJ $.
  $}

  ${
    $d f g v x y z $.  $d U v x y z $.  $d ph v x y z $.
    dfringc2.c $e |- C = ( RingCat ` U ) $.
    dfringc2.u $e |- ( ph -> U e. V ) $.
    dfringc2.b $e |- ( ph -> B = ( U i^i Ring ) ) $.
    dfringc2.h $e |- ( ph -> H = ( RingHom |` ( B X. B ) ) ) $.
    dfringc2.o $e |- ( ph -> .x. = ( comp ` ( ExtStrCat ` U ) ) ) $.
    $( Alternate definition of the category of unital rings (in a universe).
       (Contributed by AV, 16-Mar-2020.) $)
    dfringc2 $p |- ( ph -> C = { <. ( Base ` ndx ) , B >. ,
                    <. ( Hom ` ndx ) , H >. , <. ( comp ` ndx ) , .x. >. } ) $=
      ( cfv co cbs cvv crg wcel cv crh vx vy vz vv vf vg cestrc cresc cress cnx
      chom cop csts cco ctp ringcval eqid fvexd cin inex1g syl eqeltrd rhmresfn
      rescval2 cmap cmpo eqidd cxp c2nd c1st estrccofval eqtrd estrcval mpoexga
      ccom syl2anc cres wfun wfn rhmfn fnfun sqxpexg resfunexg eqsstrdi estrres
      mp1i inss1 3eqtrd ) ACEUGMZFUHNZWIBUINUJUKMFULZUMNUJOMBULWKUJUNMDULUOABCE
      FGHIJKUPAWIWJBFPPWJUQAEUGURABEQUSZPJAEGRZWLPRIEQGUTVAVBZABEFJKVCVDABEWIDF
      UAUBEEUBSOMUASOMVENZVFZGPPPAUAUBUCUDWIDEUEUFWPGWIUQZIAWPVGADWIUNMZUDUCEEV
      HEUFUEUCSOMUDSZVIMOMZVENWTWSVJMOMVENUFSUESVOVFVFLAUCUDWIWREUEUFGWQIWRUQVK
      VLVMIAWMWMWPPRIIUAUBEEWOGGVNVPADWRPLAWIUNURVBAFTBBVHZVQZPKATVRZXAPRZXBPRT
      QQVHZVSXCAVTXETWAWFABPRXDWNBPWBVATXAPWCVPVBABWLEJEQWGWDWEWH $.
  $}

  ${
    $d R a b h $.  $d R a b x y $.  $d ph a b h $.
    rhmsscmap.u $e |- ( ph -> U e. V ) $.
    rhmsscmap.r $e |- ( ph -> R = ( Ring i^i U ) ) $.
    $( The unital ring homomorphisms between unital rings (in a universe) are a
       subcategory subset of the mappings between base sets of unital rings (in
       the same universe).  (Contributed by AV, 6-Mar-2020.) $)
    rhmsscmap2 $p |- ( ph -> ( RingHom |` ( R X. R ) )
            C_cat ( x e. R , y e. R |-> ( ( Base ` y ) ^m ( Base ` x ) ) ) ) $=
      ( va vb crh cv cbs cfv cmap co wcel wa cvv crg cxp cres cmpo cssc wbr wss
      vh wral ssidd wf eqid rhmf simpr wb fvex pm3.2i elmapg mp1i ex syl5 ssrdv
      mpbird ovres adantl eqidd weq fveq2 oveqan12rd simpl ovexd ovmpod 3sstr4d
      ralrimivva wfn rhmfn a1i cin inss1 eqsstrdi xpss12 syl2anc fnssres fnmpoi
      wceq ovex incom inex1g syl eqeltrid eqeltrd isssc mpbir2and ) AKDDUAZUBZB
      CDDCLZMNZBLZMNZOPZUCZUDUEDDUFILZJLZWNPZXAXBWTPZUFZJDUHIDUHADUIAXEIJDDAXAD
      QZXBDQZRZRZXAXBKPZXBMNZXAMNZOPZXCXDXIUGXJXMUGLZXJQXLXKXNUJZXIXNXMQZXLXKXA
      XBXNXLUKXKUKULXIXOXPXIXORZXPXOXIXOUMXKSQZXLSQZRXPXOUNXQXRXSXBMUOXAMUOUPXK
      XLXNSSUQURVBUSUTVAXHXCXJWDAXAXBDDKVCVDXHXDXMWDAXHBCXAXBDDWSXMWTSXHWTVEBIV
      FZCJVFZRWSXMWDXHYAXTWPXKWRXLOWOXBMVGWQXAMVGVHVDXFXGVIXFXGUMXHXKXLOVJVKVDV
      LVMAIJDDWNWTSAKTTUAZVNZWMYBUFZWNWMVNYCAVOVPADTUFZYEYDADTEVQZTHTEVRVSZYGDT
      DTVTWAYBWMKWBWAWTWMVNABCDDWSWTWTUKWPWROWEWCVPADYFSHAYFETVQZSTEWFAEFQYHSQG
      ETFWGWHWIWJWKWL $.

    $d U a b x y $.  $d ph x y $.
    $( The unital ring homomorphisms between unital rings (in a universe) are a
       subcategory subset of the mappings between base sets of extensible
       structures (in the same universe).  (Contributed by AV, 9-Mar-2020.) $)
    rhmsscmap $p |- ( ph -> ( RingHom |` ( R X. R ) )
            C_cat ( x e. U , y e. U |-> ( ( Base ` y ) ^m ( Base ` x ) ) ) ) $=
      ( va vb crh cv cbs cfv cmap co crg wcel wa cvv cxp cres cmpo cssc wbr wss
      vh wral cin inss2 eqsstrdi eqid rhmf simpr fvex pm3.2i elmapg mp1i mpbird
      wf wb ex syl5 ssrdv wceq ovres adantl eqidd fveq2 oveqan12rd sseld adantr
      com12 impcom ovexd ovmpod 3sstr4d ralrimivva wfn rhmfn a1i xpss12 syl2anc
      wi inss1 fnssres ovex fnmpoi elex syl isssc mpbir2and ) AKDDUAZUBZBCEECLZ
      MNZBLZMNZOPZUCZUDUEDEUFILZJLZWNPZXAXBWTPZUFZJDUHIDUHADQEUIZEHQEUJUKZAXEIJ
      DDAXADRZXBDRZSZSZXAXBKPZXBMNZXAMNZOPZXCXDXKUGXLXOUGLZXLRXNXMXPUTZXKXPXORZ
      XNXMXAXBXPXNULXMULUMXKXQXRXKXQSZXRXQXKXQUNXMTRZXNTRZSXRXQVAXSXTYAXBMUOXAM
      UOUPXMXNXPTTUQURUSVBVCVDXJXCXLVEAXAXBDDKVFVGXKBCXAXBEEWSXOWTTXKWTVHWQXAVE
      ZWOXBVEZSWSXOVEXKYCYBWPXMWRXNOWOXBMVIWQXAMVIVJVGXJAXAERZXHAYDWDXIAXHYDADE
      XAXGVKVMVLVNXJAXBERZXIAYEWDXHAXIYEADEXBXGVKVMVGVNXKXMXNOVOVPVQVRAIJDEWNWT
      TAKQQUAZVSZWMYFUFZWNWMVSYGAVTWAADQUFZYIYHADXFQHQEWEUKZYJDQDQWBWCYFWMKWFWC
      WTEEUAVSABCEEWSWTWTULWPWROWGWHWAAEFRETRGEFWIWJWKWL $.
  $}

  ${
    rhmsubcsetc.c $e |- C = ( ExtStrCat ` U ) $.
    rhmsubcsetc.u $e |- ( ph -> U e. V ) $.
    rhmsubcsetc.b $e |- ( ph -> B = ( Ring i^i U ) ) $.
    rhmsubcsetc.h $e |- ( ph -> H = ( RingHom |` ( B X. B ) ) ) $.
    $( Lemma 1 for ~ rhmsubcsetc .  (Contributed by AV, 9-Mar-2020.) $)
    rhmsubcsetclem1 $p |- ( ( ph /\ x e. B )
                              -> ( ( Id ` C ) ` x ) e. ( x H x ) ) $=
      ( wcel cbs cfv cres crh co crg eqid adantr cv wa cid ccid cin eleq2d elin
      simplbi syl6bi imp idrhm syl simprbi estrcid cxp cringc chom ringchomfval
      oveqdr ringcbas incom eqtrdi eqcomd eqtrd sqxpeqd reseq2d biimpa eleqtrrd
      wceq oveqd ringchom 3eqtrd 3eltr4d ) ABUAZCLZUBZUCVNMNZOZVNVNPQZVNDUDNZNV
      NVNFQZVPVNRLZVRVSLAVOWBAVOVNREUEZLZWBACWCVNJUFZWDWBVNELZVNREUGZUHUIUJVQVN
      VQSUKULVPDEVTGVNHVTSAEGLVOITZAVOWFAVOWDWFWEWDWBWFWGUMUIUJUNVPWAVNVNPCCUOZ
      OZQVNVNEUPNZUQNZQVSAVOBBFWJKUSVPWJWLVNVNVPWLWJAWLWJVIVOAWLPWKMNZWMUOZOWJA
      WMWKEWLGWKSZWMSZIWLSZURAWNWIPAWMCAWMERUEZCAWMWKEGWOWPIUTZACWRACWCWRJREVAV
      BZVCVDVEVFVDTVCVJVPWMWKEWLGVNVNWOWPWHWQVPVNWRWMAVOVNWRLACWRVNWTUFVGAWMWRV
      IVOWSTVHZXAVKVLVM $.

    $d B f g x y z $.  $d C f g x y z $.  $d H f g x y z $.  $d U x y $.
    $d ph f g x y z $.
    $( Lemma 2 for ~ rhmsubcsetc .  (Contributed by AV, 9-Mar-2020.) $)
    rhmsubcsetclem2 $p |- ( ( ph /\ x e. B )
                    -> A. y e. B A. z e. B A. f e. ( x H y ) A. g e. ( y H z )
                       ( g ( <. x , y >. ( comp ` C ) z ) f ) e. ( x H z ) ) $=
      ( wcel wa co adantr wi cv cop cco cfv wral ccom crh simpl adantl rhmresel
      simpr syl3anc anim12i simprl rhmco syl2anc cbs ad3antrrr eqid crg elinel2
      cin eleq2d syl6bi imp com12 impcom adantld wf anim1i ancoms rhmf ex 3expa
      syl adantlr estrcco wceq cxp cres ovres ad2ant2l eqtrd 3eltr4d ralrimivva
      oveqdr ) ABUAZEPZQZIUAZHUAZWGCUAZUBDUAZFUCUDZRRZWGWMJRZPZIWLWMJRZUEHWGWLJ
      RZUECDEEWIWLEPZWMEPZQZQZWQHIWSWRXCWKWSPZWJWRPZQZQZWJWKUFZWGWMUGRZWOWPXGWJ
      WLWMUGRPZWKWGWLUGRPZXHXIPXGAXBXEXJXCAXFWIAXBAWHUHSSZXCXBXFWIXBUKSXFXEXCXD
      XEUKUIAEWJJWLWMOUJZULXGAWHWTQZXDXKXLXCXNXFWIWHXBWTAWHUKZWTXAUHUMSXCXDXEUN
      AEWKJWGWLOUJZULWGWLWMWJWKUOUPXGWGUQUDZWLUQUDZFWMUQUDZWNGWKWJKWGWLWMLAGKPW
      HXBXFMURWNUSXCWGGPZXFWIXTXBAWHXTAWHWGUTGVBZPXTAEYAWGNVCWGUTGVAVDVESSXCWLG
      PZXFXBWIYBWTWIYBTXAWIWTYBAWTYBTWHAWTWLYAPYBAEYAWLNVCWLUTGVAVDSVFSVGSXCWMG
      PZXFWIXBYCWIXAYCWTAXAYCTWHAXAWMYAPYCAEYAWMNVCWMUTGVAVDSVHVESXQUSZXRUSZXSU
      SZXFXCXQXRWKVIZXDXCYGTXEXCXDYGXBWIXDYGTZWTWIYHTXAWTWIYHWTWIQZXDYGYIXDQZXK
      YGYJAXNXDXKYIAXDWTAWHUNSYIXNXDWIWTXNWIWHWTXOVJVKSYIXDUKXPULXQXRWGWLWKYDYE
      VLVOVMVMSVGVFSVGXCXFXRXSWJVIZXCXEYKXDAXBXEYKTWHAXBQZXEYKYLXEQXJYKAXBXEXJX
      MVNXRXSWLWMWJYEYFVLVOVMVPVHVEVQXCWPXIVRXFXCWPWGWMUGEEVSVTZRZXIWIXBBDJYMAJ
      YMVRWHOSWFWHXAYNXIVRAWTWGWMEEUGWAWBWCSWDWEWE $.

    $( The unital ring homomorphisms between unital rings (in a universe) are a
       subcategory of the category of extensible structures.  (Contributed by
       AV, 9-Mar-2020.) $)
    rhmsubcsetc $p |- ( ph -> H e. ( Subcat ` C ) ) $=
      ( vx vg vf vy vz cfv wcel cv co wral csubc chomf cssc wbr ccid cop cco wa
      crh cxp cres cmap cmpo rhmsscmap chom estrchomfeqhom estrchomfval 3brtr4d
      cbs eqid eqtrd rhmsubcsetclem1 rhmsubcsetclem2 jca ralrimiva estrccat syl
      ccat crg cin incom eqtrdi rhmresfn issubc2 mpbir2and ) AECUAPQECUBPZUCUDK
      RZCUEPZPVQVQESQZLRMRVQNRZUFORZCUGPZSSVQWAESQLVTWAESTMVQVTESTOBTNBTZUHZKBT
      AUIBBUJUKKNDDVTUSPVQUSPULSUMZEVPUCAKNBDFHIUNJAVPCUOPZWEACDWFFGHWFUTZUPAKN
      CDWFFGHWGUQVAURAWDKBAVQBQUHVSWCAKBCDEFGHIJVBAKNOBCDMLEFGHIJVCVDVEAKNOCBWB
      VRMLVPEVPUTVRUTWBUTADFQCVHQHCDFGVFVGABDEABVIDVJDVIVJIVIDVKVLJVMVNVO $.
  $}

  ${
    ringccat.c $e |- C = ( RingCat ` U ) $.
    $( The category of unital rings is a category.  (Contributed by AV,
       14-Feb-2020.)  (Revised by AV, 9-Mar-2020.) $)
    ringccat $p |- ( U e. V -> C e. Cat ) $=
      ( wcel cestrc cfv crh crg cin cres cresc co ccat eqidd ringcval eqid wceq
      cxp id incom a1i sqxpeqd reseq2d rhmsubcsetc subccat eqeltrd ) BCEZABFGZH
      BIJZUJSZKZLMZNUHUJABULCDUHTZUHUJOUHULOPUHUIUMULUMQUHIBJZUIBULCUIQUNUHUOOU
      HUKUOUOSHUHUJUOUJUORUHBIUAUBUCUDUEUFUG $.

    ringcid.b $e |- B = ( Base ` C ) $.
    ringcid.o $e |- .1. = ( Id ` C ) $.
    ringcid.u $e |- ( ph -> U e. V ) $.
    ringcid.x $e |- ( ph -> X e. B ) $.
    ringcid.s $e |- S = ( Base ` X ) $.
    $( The identity arrow in the category of unital rings is the identity
       function.  (Contributed by AV, 14-Feb-2020.)  (Revised by AV,
       10-Mar-2020.) $)
    ringcid $p |- ( ph -> ( .1. ` X ) = ( _I |` S ) ) $=
      ( cfv crg cres ccid cid eqid cestrc crh cin cxp cresc eqidd fveq2d syl5eq
      ringcval fveq1d wceq incom a1i rhmsubcsetc rhmresfn ringcbas eleq2d mpbid
      wcel subcid cbs elinel1 syl6bi mpd estrcid eqcomi reseq2d eqtrd 3eqtr2d
      co ) AHFOHEUAOZUBEPUCZVLUDQZUEVJZROZOHVKROZOZSDQZAHFVOAFCROVOKACVNRAVLCEV
      MGILAVLUFZAVMUFZUIUGUHUJAVKVNVLVPVMHVNTAVLVKEVMGVKTZLVLPEUCUKAEPULUMVTUNA
      VLEVMVSVTUOVPTZAHBUSZHVLUSZMABVLHABCEGIJLUPUQZURUTAVQSHVAOZQVRAVKEVPGHWAW
      BLAWCHEUSZMAWCWDWGWEHEPVBVCVDVEAWFDSWFDUKADWFNVFUMVGVHVI $.
  $}

  ${
    $d R h x y $.  $d S h x y $.  $d ph h x y $.  $d ph r $.
    rhmsscrnghm.u $e |- ( ph -> U e. V ) $.
    rhmsscrnghm.r $e |- ( ph -> R = ( Ring i^i U ) ) $.
    rhmsscrnghm.s $e |- ( ph -> S = ( Rng i^i U ) ) $.
    $( The unital ring homomorphisms between unital rings (in a universe) are a
       subcategory subset of the non-unital ring homomorphisms between
       non-unital rings (in the same universe).  (Contributed by AV,
       1-Mar-2020.) $)
    rhmsscrnghm $p |- ( ph
              -> ( RingHom |` ( R X. R ) ) C_cat ( RngHomo |` ( S X. S ) ) ) $=
      ( vx vy crh cxp crngh wss cv co crg crng wcel cvv vr vh cres cssc wbr cin
      wral wi ringrng a1i ssrdv ssrind 3sstr4d wa wceq adantl eleq2d rhmisrnghm
      ovres sseld anim12d imp syl syl5ibr sylbid ralrimivva wfn eqsstrdi xpss12
      inss1 syl2anc wb rhmfn fnssresb mp1i mpbird rnghmfn incom inex1g eqeltrid
      eqeltrd isssc mpbir2and ) AKBBLZUCZMCCLZUCZUDUEBCNIOZJOZWEPZWHWIWGPZNZJBU
      GIBUGAQDUFZRDUFZBCAQRDAUAQRUAOZQSWORSUHAWOUIUJUKULGHUMZAWLIJBBAWHBSZWIBSZ
      UNZUNZUBWJWKWTUBOZWJSXAWHWIKPZSZXAWKSZWTWJXBXAWSWJXBUOAWHWIBBKUSUPUQXCXDW
      TXAWHWIMPZSWHWIXAURWTWKXEXAWTWHCSZWICSZUNZWKXEUOAWSXHAWQXFWRXGABCWHWPUTAB
      CWIWPUTVAVBWHWICCMUSVCUQVDVEUKVFAIJBCWEWGTAWEWDVGZWDQQLZNZABQNZXLXKABWMQG
      QDVJVHZXMBQBQVIVKKXJVGXIXKVLAVMXJWDKVNVOVPAWGWFVGZWFRRLZNZACRNZXQXPACWNRH
      RDVJVHZXRCRCRVIVKMXOVGXNXPVLAVQXOWFMVNVOVPACWNTHADESZWNTSFXSWNDRUFTRDVRDR
      EVSVTVCWAWBWC $.
  $}

  ${
    rhmsubcrngc.c $e |- C = ( RngCat ` U ) $.
    rhmsubcrngc.u $e |- ( ph -> U e. V ) $.
    rhmsubcrngc.b $e |- ( ph -> B = ( Ring i^i U ) ) $.
    rhmsubcrngc.h $e |- ( ph -> H = ( RingHom |` ( B X. B ) ) ) $.
    $( Lemma 1 for ~ rhmsubcrngc .  (Contributed by AV, 9-Mar-2020.) $)
    rhmsubcrngclem1 $p |- ( ( ph /\ x e. B )
                              -> ( ( Id ` C ) ` x ) e. ( x H x ) ) $=
      ( wcel wa cbs cfv crh co crg eqid adantr cv cid cres ccid cin eleq2d elin
      simplbi syl6bi imp idrhm syl crng ringrng anim2i ancoms sylbi adantl wceq
      sylibr rngcbas eleqtrrd sylbid rngcid cxp cringc chom oveqdr ringchomfval
      ex ringcbas incom eqtrdi eqcomd eqtrd sqxpeqd reseq2d oveqd biimpa 3eqtrd
      ringchom 3eltr4d ) ABUAZCLZMZUBWCNOZUCZWCWCPQZWCDUDOZOWCWCFQZWEWCRLZWGWHL
      AWDWKAWDWCREUEZLZWKACWLWCJUFZWMWKWCELZWCREUGZUHUIUJWFWCWFSZUKULWEDNOZDWFE
      WIGWCHWRSZWISAEGLWDITZAWDWCWRLZAWDWMXAWNAWMXAAWMMZWCEUMUEZWRXBWOWCUMLZMZW
      CXCLWMXEAWMWKWOMXEWPWOWKXEWKXDWOWCUNUOUPUQURWCEUMUGUTAWRXCUSWMAWRDEGHWSIV
      ATVBVJVCUJWQVDWEWJWCWCPCCVEZUCZQWCWCEVFOZVGOZQWHAWDBBFXGKVHWEXGXIWCWCWEXI
      XGAXIXGUSWDAXIPXHNOZXJVEZUCXGAXJXHEXIGXHSZXJSZIXISZVIAXKXFPAXJCAXJERUEZCA
      XJXHEGXLXMIVKZACXOACWLXOJREVLVMZVNVOVPVQVOTVNVRWEXJXHEXIGWCWCXLXMWTXNWEWC
      XOXJAWDWCXOLACXOWCXQUFVSAXJXOUSWDXPTVBZXRWAVTWB $.

    $d B f g x y z $.  $d C f g x y z $.  $d H f g x y z $.  $d U x y $.
    $d ph f g x y z $.
    $( Lemma 2 for ~ rhmsubcrngc .  (Contributed by AV, 12-Mar-2020.) $)
    rhmsubcrngclem2 $p |- ( ( ph /\ x e. B )
                    -> A. y e. B A. z e. B A. f e. ( x H y ) A. g e. ( y H z )
                       ( g ( <. x , y >. ( comp ` C ) z ) f ) e. ( x H z ) ) $=
      ( wcel wa co adantr wi cv cop cco cfv wral ccom crh simpl ad2antrr simprr
      simpr rhmresel syl3anc anim12i simprl syl2anc eqid crg cin eleq2d elinel2
      rhmco syl6bi imp com12 impcom adantld cbs wf anim1i ancoms rhmf syl exp31
      3expa ex adantlr rngcco wceq cxp cres oveqdr ovres ad2ant2l eqtrd 3eltr4d
      ralrimivva ) ABUAZEPZQZIUAZHUAZWHCUAZUBDUAZFUCUDZRRZWHWNJRZPZIWMWNJRZUEHW
      HWMJRZUECDEEWJWMEPZWNEPZQZQZWRHIWTWSXDWLWTPZWKWSPZQZQZWKWLUFZWHWNUGRZWPWQ
      XHWKWMWNUGRPZWLWHWMUGRPZXIXJPXHAXCXFXKWJAXCXGAWIUHUIZXDXCXGWJXCUKSXDXEXFU
      JAEWKJWMWNOULZUMXHAWIXAQZXEXLXMXDXOXGWJWIXCXAAWIUKZXAXBUHUNSXDXEXFUOAEWLJ
      WHWMOULZUMWHWMWNWKWLVBUPXHFWOGWLWKKWHWMWNLWJGKPZXCXGAXRWIMSUIWOUQWJWHGPZX
      CXGAWIXSAWIWHURGUSZPXSAEXTWHNUTWHURGVAVCVDUIXDWMGPZXGXCWJYAXAWJYATXBWJXAY
      AAXAYATWIAXAWMXTPYAAEXTWMNUTWMURGVAVCSVESVFSXDWNGPZXGWJXCYBWJXBYBXAAXBYBT
      WIAXBWNXTPYBAEXTWNNUTWNURGVAVCSVGVDSXGXDWHVHUDZWMVHUDZWLVIZXEXDYETXFXDXEY
      EXCWJXEYETZXAWJYFTXBXAWJXEYEXAWJQZXEQZXLYEYHAXOXEXLYGAXEXAAWIUOSYGXOXEWJX
      AXOWJWIXAXPVJVKSYGXEUKXQUMYCYDWHWMWLYCUQYDUQZVLVMVNSVFVESVFXDXGYDWNVHUDZW
      KVIZXDXFYKXEAXCXFYKTWIAXCQZXFYKYLXFQXKYKAXCXFXKXNVOYDYJWMWNWKYIYJUQVLVMVP
      VQVGVDVRXDWQXJVSXGXDWQWHWNUGEEVTWAZRZXJWJXCBDJYMAJYMVSWIOSWBWIXBYNXJVSAXA
      WHWNEEUGWCWDWESWFWGWG $.

    $( The unital ring homomorphisms between unital rings (in a universe) are a
       subcategory of the category of non-unital rings.  (Contributed by AV,
       12-Mar-2020.) $)
    rhmsubcrngc $p |- ( ph -> H e. ( Subcat ` C ) ) $=
      ( vx vg vf vy cfv wcel cv co wral eqid vz csubc chomf cssc wbr cop cco wa
      ccid crh cxp cres crngh cbs crngc crng cin rngcbas incom rhmsscrnghm wceq
      eqtrdi a1i fveq2d sqxpeqd reseq2d breqtrrd chom rngchomfeqhom rngchomfval
      eqtrd 3brtr4d rhmsubcrngclem1 rhmsubcrngclem2 jca ralrimiva ccat rhmresfn
      rngccat syl crg issubc2 mpbir2and ) AECUBOPECUCOZUDUEKQZCUIOZOWEWEERPZLQM
      QWENQZUFUAQZCUGOZRRWEWIERPLWHWIERSMWEWHERSUABSNBSZUHZKBSAUJBBUKULZUMCUNOZ
      WNUKZULZEWDUDAWMUMDUOOZUNOZWRUKZULWPUDABWRDFHIAWRDUPUQUPDUQAWRWQDFWQTWRTH
      URDUPUSVBUTAWOWSUMAWNWRACWQUNCWQVAAGVCVDVEVFVGJAWDCVHOZWPAWNCDFGWNTZHVIAW
      NCDWTFGXAHWTTVJVKVLAWLKBAWEBPUHWGWKAKBCDEFGHIJVMAKNUABCDMLEFGHIJVNVOVPAKN
      UACBWJWFMLWDEWDTWFTWJTADFPCVQPHCDFGVSVTABDEABWADUQDWAUQIWADUSVBJVRWBWC $.

    $d ph r $.
    $( The restriction of the category of non-unital rings to the set of unital
       ring homomorphisms is the category of unital rings.  (Contributed by AV,
       16-Mar-2020.) $)
    rngcresringcat $p |- ( ph -> ( C |`cat H ) = ( RingCat ` U ) ) $=
      ( cfv crng cin crngh cxp cvv wcel syl crh crg cress cnx chom cop csts cbs
      vr cco cestrc ctp cresc cringc cres eqidd dfrngc2 inex1g wfun wfn rnghmfn
      co fnfun sqxpexg resfunexg syl2anc fvexd rhmfn incom eqtrdi eqeltrd cv wi
      mp1i ringrng a1i ssrdv ssrind wceq 3sstr4d estrres eqid eqeltrid rhmresfn
      crngc rescval2 dfringc2 3eqtr4d ) ACBUAUTUBUCKEUDZUEUTUBUFKBUDWGUBUHKDUIK
      ZUHKZUDUJCEUKUTZDULKZABDLMZCWIENWLWLOZUMZPPPPAWLCWIDWNFGHAWLUNAWNUNAWIUNZ
      UOADFQZWLPQZHDLFUPRZANUQZWMPQZWNPQNLLOZURWSAUSXANVAVLAWQWTWRWLPVBRNWMPVCV
      DAWHUHVEAESBBOZUMZPJASUQZXBPQZXCPQSTTOZURXDAVFXFSVAVLABPQXEABDTMZPABTDMZX
      GITDVGVHZAWPXGPQHDTFUPRVIZBPVBRSXBPVCVDVIAXHLDMZBWLATLDAUGTLUGVJZTQXLLQVK
      AXLVMVNVOVPIWLXKVQADLVGVNVRVSACWJBEPPWJVTACDWCKPGADWCVEWAXJABDEXIJWBWDABW
      KWIDEFWKVTHXIJWOWEWF $.
  $}

  ${
    ringcsect.c $e |- C = ( RingCat ` U ) $.
    ringcsect.b $e |- B = ( Base ` C ) $.
    ringcsect.u $e |- ( ph -> U e. V ) $.
    ringcsect.x $e |- ( ph -> X e. B ) $.
    ringcsect.y $e |- ( ph -> Y e. B ) $.
    ${
      ringcsect.e $e |- E = ( Base ` X ) $.
      ringcsect.n $e |- S = ( Sect ` C ) $.
      $( A section in the category of unital rings, written out.  (Contributed
         by AV, 14-Feb-2020.) $)
      ringcsect $p |- ( ph -> ( F ( X S Y ) G <-> ( F e. ( X RingHom Y )
                   /\ G e. ( Y RingHom X ) /\ ( G o. F ) = ( _I |` E ) ) ) ) $=
        ( co wcel wbr chom cfv cop cco ccid wceq w3a crh ccom cid cres ringccat
        eqid ccat syl issect ringchom eleq2d anbi12d anbi1d adantr crg ringcbas
        wa wi cin wss inss1 a1i sseld sylbid mpd wf rhmf adantl ringcco ringcid
        cbs eqeq12d pm5.32da bitrd df-3an 3bitr4g ) AGHJKDSUAGJKCUBUCZSZTZHKJWE
        SZTZHGJKUDJCUEUCZSSZJCUFUCZUCZUGZUHZGJKUISZTZHKJUISZTZHGUJZUKFULZUGZUHZ
        ABCDWJWLGHWEJKMWEUNZWJUNZWLUNZRAEITZCUOTNCEILUMUPOPUQAWGWIVEZWNVEZWQWSV
        EZXBVEZWOXCAXIXJWNVEXKAXHXJWNAWGWQWIWSAWFWPGABCEWEIJKLMNXDOPURUSAWHWRHA
        BCEWEIKJLMNXDPOURUSUTVAAXJWNXBAXJVEZWKWTWMXAXLCWJEGHIJKJLAXGXJNVBXEXLJB
        TZJETZAXMXJOVBAXMXNVFXJAXMJEVCVGZTXNABXOJABCEILMNVDZUSAXOEJXOEVHAEVCVIV
        JZVKVLVBVMZXLKBTZKETZAXSXJPVBAXSXTVFXJAXSKXOTXTABXOKXPUSAXOEKXQVKVLVBVM
        XRXJJVSUCZKVSUCZGVNZAWQYCWSYAYBJKGYAUNZYBUNZVOVBVPXJYBYAHVNZAWSYFWQYBYA
        KJHYEYDVOVPVPVQAWMXAUGXJABCFEWLIJLMXFNOQVRVBVTWAWBWGWIWNWCWQWSXBWCWDWB
        $.
    $}

    ${
      ringcinv.n $e |- N = ( Inv ` C ) $.
      $( An inverse in the category of unital rings is the converse operation.
         (Contributed by AV, 14-Feb-2020.) $)
      ringcinv $p |- ( ph -> ( F ( X N Y ) G
                              <-> ( F e. ( X RingIso Y ) /\ G = `' F ) ) ) $=
        ( co wa wcel wceq wbr csect cfv crh ccom cid cbs cres crs ccnv ringccat
        ccat syl isinv w3a ringcsect df-3an bitrdi 3ancoma bitri anbi12d anandi
        eqid wf1o simplrl adantl wf rhmf anim12i ad2antlr simpr ad2antrl fcof1o
        jca32 eqcom anbi2i sylib anass sylanbrc wb syl2anc anbi1d adantr mpbird
        isrim rimrhm isrim0 eleq1 eqcoms anbi2d sylan9bbr syl6bi expdimp impcom
        com12 coeq1 ad2antll rimf1o f1ococnv1 eqtrd jca31 biimpcd coeq2 impbida
        wi f1ococnv2 3bitrd ) AEFIJGQUAEFIJCUBUCZQUAZFEJIXHQUAZRZEIJUDQSZFJIUDQ
        ZSZRZFEUEZUFIUGUCZUHZTZRZXORZXTEFUEZUFJUGUCZUHZTZRZRZEIJUIQSZFEUJZTZRZA
        BCXHEFGIJLPADHSCULSMCDHKUKUMNOXHVCZUNAXKXTXOYERZRYGAXIXTXJYMAXIXLXNXSUO
        XTABCXHDXQEFHIJKLMNOXQVCZYLUPXLXNXSUQURAXJXNXLYEUOZYMABCXHDYCFEHJIKLMON
        YCVCZYLUPYOXLXNYEUOYMXNXLYEUSXLXNYEUQUTURVAXTXOYEVBURAYGYKAYGRZYKXLXQYC
        EVDZRZYJRZYQXLYRYJRZYTYGXLAXTXLXNYFVEVFYQXQYCEVGZYCXQFVGZRZYEXSRRZUUAYG
        UUEAYGUUDYEXSXOUUDXTYFXLUUBXNUUCXQYCIJEYNYPVHYCXQJIFYPYNVHVIVJYFYEYAXTY
        EVKVFXTXSYAYEXOXSVKVLVNVFUUEYRYIFTZRUUAXQYCEFVMUUFYJYRYIFVOVPVQUMXLYRYJ
        VRVSAYKYTVTYGAYHYSYJAIBSZJBSZYHYSVTNOXQYCIJEBBYNYPWEWAWBWCWDAYKRZXTXOYF
        UUIXLXNXSYHXLAYJXQYCIJEYNYPWFVLYKAXNYHYJAXNYJARZYHXNUUJYHXOXNAYHXLYIXMS
        ZRZYJXOAUUGUUHYHUULVTNOIJEBBWGWAZYJUUKXNXLUUKXNVTYIFYIFXMWHWIWJWKXLXNVK
        WLWOWMWNUUIXPYIEUEZXRYJXPUUNTAYHFYIEWPWQUUIYRUUNXRTYHYRAYJXQYCIJEYNYPWR
        VLZXQYCEWSUMWTZXAUUIXOUULYKAUULYHAUULXEYJAYHUULUUMXBWCWNUUIXNUUKXLYJXNU
        UKVTAYHFYIXMWHWQWJWDZUUIXOXSYEUUQUUPUUIYBEYIUEZYDYJYBUURTAYHFYIEXCWQUUI
        YRUURYDTUUOXQYCEXFUMWTXAXAXDXG $.
    $}

    ${
      ringciso.n $e |- I = ( Iso ` C ) $.
      $( An isomorphism in the category of unital rings is a bijection.
         (Contributed by AV, 14-Feb-2020.) $)
      ringciso $p |- ( ph -> ( F e. ( X I Y ) <-> F e. ( X RingIso Y ) ) ) $=
        ( co wcel cfv eqid syl cinv cdm crs ccat ringccat isoval eleq2d wfun wb
        wbr invfun funfvbrb ccnv wceq wa ringcinv simpl syl6bi sylbid wi funrel
        wrel releldm ex sylbird mpan2i impbid bitrd ) AEHIFPZQEHICUARZPZUBZQZEH
        IUCPQZAVIVLEABCFVJHIKVJSZADGQCUDQLCDGJUETZMNOUFUGAVMVNAVMEEVKRZVKUJZVNA
        VKUHZVMVRUIABCVJHIKVOVPMNUKZEVKULTAVRVNVQEUMZUNZUOVNABCDEVQVJGHIJKLMNVO
        UPVNWBUQURUSAVNWAWAUNZVMWASAVNWCUOEWAVKUJZVMABCDEWAVJGHIJKLMNVOUPAVKVBZ
        WDVMUTAVSWEVTVKVATWEWDVMEWAVKVCVDTVEVFVGVH $.
    $}
  $}

  ${
    ringcbasbas.r $e |- C = ( RingCat ` U ) $.
    ringcbasbas.b $e |- B = ( Base ` C ) $.
    ringcbasbas.u $e |- ( ph -> U e. WUni ) $.
    $( An element of the base set of the base set of the category of unital
       rings (i.e. the base set of a ring) belongs to the considered weak
       universe.  (Contributed by AV, 15-Feb-2020.) $)
    ringcbasbas $p |- ( ( ph /\ R e. B ) -> ( Base ` R ) e. U ) $=
      ( wcel cbs cfv crg cin cwun ringcbas eleq2d wa wi elin cnx simpl simpr ex
      baseid wunstr syl11 adantr sylbi com12 sylbid imp ) ADBIZDJKEIZAULDELMZIZ
      UMABUNDABCENFGHOPUOAUMUODEIZDLIZQAUMRZDELSUPURUQENIZUPUMAUSUPUMUSUPQDEJTJ
      KUDUSUPUAUSUPUBUEUCHUFUGUHUIUJUK $.
  $}

  ${
    $d B a b f x y $.  $d R a b x $.  $d S x $.  $d U a b x y $.
    $d ph a b f x y $.
    funcringcsetc.r $e |- R = ( RingCat ` U ) $.
    funcringcsetc.s $e |- S = ( SetCat ` U ) $.
    funcringcsetc.b $e |- B = ( Base ` R ) $.
    funcringcsetc.u $e |- ( ph -> U e. WUni ) $.
    funcringcsetc.f $e |- ( ph -> F = ( x e. B |-> ( Base ` x ) ) ) $.
    funcringcsetc.g $e |- ( ph -> G = ( x e. B , y e. B
                                        |-> ( _I |` ( x RingHom y ) ) ) ) $.
    $( The "natural forgetful functor" from the category of unital rings into
       the category of sets which sends each ring to its underlying set (base
       set) and the morphisms (ring homomorphisms) to mappings of the
       corresponding base sets.  (Contributed by AV, 26-Mar-2020.) $)
    funcringcsetc $p |- ( ph -> F ( R Func S ) G ) $=
      ( co wcel cbs cwun cvv va vb vf cop cfunc wbr cfv cmpt cid cmap cres cmpo
      cv chom cresf cestrc cresc estrcbas mpteq1d mpoeq12 syl2anc funcestrcsetc
      eqid wceq df-br sylib crg ringcbas incom ringchomfval rhmsubcsetc funcres
      cin eqtrdi mptexg syl fvex a1i mpoexga rhmresfn resfval2 eqsstrdi resmptd
      inss1 eqtr2d eqtrd crh oveq1 reseq2d oveq2 cbvmpov eqidd fveq2 oveqan12rd
      wa adantl wi eqsstrid sseld com12 adantr impcom adantld imp ovexd resiexd
      ovmpod reseq1d simprl simprr ringchom wf rhmf pm3.2i elmapg syl5ibr ssrdv
      wb resabs1d 3eqtrrd mpoeq123dva opeq12d ringcval oveq1d 3eltr4d sylibr )
      AHIUDZEFUEPZQHIYHUFABGBUMZRUGZUHZBCGGUICUMZRUGZYJUJPZUKZULZUDZEUNUGZUOPZG
      UPUGZYRUQPZFUEPYGYHAYTFYQYRAYKYPYTFUEPZUFYQUUBQABCYTRUGZFRUGZFGYTYKYPYTVC
      ZKUUCVCUUDVCMABGUUCYJAYTGSUUEMURZUSAGUUCVDZUUGYPBCUUCUUCYOULVDUUFUUFBCGGU
      UCUUCYOUTVAVBYKYPUUBVEVFAERUGZYTGYRSUUEMAUUHGVGVMZVGGVMAUUHEGSJUUHVCZMVHZ
      GVGVIVNAUUHEGYRSJUUJMYRVCZVJZVKVLAYSYKUUHUKZUAUBUUHUUHUAUMZUBUMZYPPZUUOUU
      PYRPZUKZULZUDYGAUAUBUUHYKYPYRTTTAGSQZYKTQMBGYJSVOVPYRTQAEUNVQVRAUVAUVAYPT
      QMMBCGGYOSSVSVAAUUHGYRUUKUUMVTWAAUUNHUUTIAUUNBUUHYJUHZHABGUUHYJAUUHUUIGUU
      KGVGWDWBZWCAHBDYJUHUVBNABDUUHYJDUUHVDZALVRZUSWEWFAIBCDDUIYIYLWGPZUKZULZUA
      UBDDUIUUOUUPWGPZUKZULZUUTOUVHUVKVDABCUAUBDDUVGUVJUIUUOYLWGPZUKYIUUOVDZUVF
      UVLUIYIUUOYLWGWHWIYLUUPVDZUVLUVIUIYLUUPUUOWGWJWIWKVRAUAUBDDUVJUUHUUHUUSUV
      EUVDAUUODQZWOLVRAUVOUUPDQZWOZWOZUUSUIUUPRUGZUUORUGZUJPZUKZUURUKUWBUVIUKUV
      JUVRUUQUWBUURUVRBCUUOUUPGGYOUWBYPTUVRYPWLUVMUVNWOZYOUWBVDUVRUWCYNUWAUIUVN
      UVMYMUVSYJUVTUJYLUUPRWMYIUUORWMWNWIWPUVQAUUOGQZUVOAUWDWQUVPAUVOUWDADGUUOA
      DUUHGLUVCWRZWSWTXAXBAUVQUUPGQZAUVPUWFUVOADGUUPUWEWSXCXDUVRUWATUVRUVSUVTUJ
      XEXFXGXHUVRUURUVIUWBUVRDEGYRSUUOUUPJLAUVAUVQMXAUULAUVOUVPXIAUVOUVPXJXKWIU
      VRUIUVIUWAUVRUCUVIUWAUCUMZUVIQUWGUWAQZUVRUVTUVSUWGXLZUVTUVSUUOUUPUWGUVTVC
      UVSVCXMUVRUVSTQZUVTTQZWOZUWHUWIXRUWLUVRUWJUWKUUPRVQUUORVQXNVRUVSUVTUWGTTX
      OVPXPXQXSXTYAXTYBWEAEUUAFUEAUUHEGYRSJMUUKUUMYCYDYEHIYHVEYF $.
  $}

  ${
    $d B x $.  $d X x $.  $d ph x $.
    funcringcsetcALTV2.r $e |- R = ( RingCat ` U ) $.
    funcringcsetcALTV2.s $e |- S = ( SetCat ` U ) $.
    funcringcsetcALTV2.b $e |- B = ( Base ` R ) $.
    funcringcsetcALTV2.c $e |- C = ( Base ` S ) $.
    funcringcsetcALTV2.u $e |- ( ph -> U e. WUni ) $.
    funcringcsetcALTV2.f $e |- ( ph -> F = ( x e. B |-> ( Base ` x ) ) ) $.
    $( Lemma 1 for ~ funcringcsetcALTV2 .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetcALTV2lem1 $p |- ( ( ph /\ X e. B )
                                  -> ( F ` X ) = ( Base ` X ) ) $=
      ( wcel wa cbs cfv wceq cv cvv cmpt adantr fveq2 adantl simpr fvexd fvmptd
      ) AICPZQZBIBUAZRSZIRSZCHUBAHBCUMUCTUJOUDULITUMUNTUKULIRUEUFAUJUGUKIRUHUI
      $.

    $( Lemma 2 for ~ funcringcsetcALTV2 .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetcALTV2lem2 $p |- ( ( ph /\ X e. B ) -> ( F ` X ) e. U ) $=
      ( wcel wa cfv cbs funcringcsetcALTV2lem1 ringcbasbas eqeltrd ) AICPQIHRIS
      RGABCDEFGHIJKLMNOTACEIGJLNUAUB $.

    $d C x $.
    $( Lemma 3 for ~ funcringcsetcALTV2 .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetcALTV2lem3 $p |- ( ph -> F : B --> C ) $=
      ( wf cv cbs cfv cmpt wcel wa ringcbasbas wceq cwun eqcomd adantr eleqtrrd
      setcbas eleqtrrdi fmpttd feq1d mpbird ) ACDHOCDBCBPZQRZSZOABCUNDAUMCTZUAZ
      UNFQRZDUQUNGURACEUMGIKMUBAURGUCUPAGURAFGUDJMUHUEUFUGLUIUJACDHUONUKUL $.

    $d B x y $.
    funcringcsetcALTV2.g $e |- ( ph -> G = ( x e. B , y e. B
                                        |-> ( _I |` ( x RingHom y ) ) ) ) $.
    $( Lemma 4 for ~ funcringcsetcALTV2 .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetcALTV2lem4 $p |- ( ph -> G Fn ( B X. B ) ) $=
      ( wfn cv cvv cxp cid crh co cres cmpo eqid wcel ovex resiexd ax-mp fnmpoi
      id fneq1d mpbiri ) AJDDUAZRBCDDUBBSZCSZUCUDZUEZUFZUPRBCDDUTVAVAUGUSTUHZUT
      TUHUQURUCUIVBUSTVBUMUJUKULAUPJVAQUNUO $.

    $d X y $.  $d Y x y $.  $d ph y $.
    $( Lemma 5 for ~ funcringcsetcALTV2 .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetcALTV2lem5 $p |- ( ( ph /\ ( X e. B /\ Y e. B ) )
        -> ( X G Y ) = ( _I |` ( X RingHom Y ) ) ) $=
      ( wa wcel cid cv crh co cres cvv cmpo adantr oveq12 adantl reseq2d simprl
      wceq simprr ovexd resiexd ovmpod ) AKDUAZLDUAZTZTZBCKLDDUBBUCZCUCZUDUEZUF
      ZUBKLUDUEZUFJUGAJBCDDVFUHUNVASUIVBVCKUNVDLUNTZTVEVGUBVHVEVGUNVBVCKVDLUDUJ
      UKULAUSUTUMAUSUTUOVBVGUGVBKLUDUPUQUR $.

    $( Lemma 6 for ~ funcringcsetcALTV2 .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetcALTV2lem6 $p |- ( ( ph /\ ( X e. B /\ Y e. B )
                        /\ H e. ( X RingHom Y ) ) -> ( ( X G Y ) ` H ) = H ) $=
      ( wcel wa crh w3a cfv cid cres wceq funcringcsetcALTV2lem5 3adant3 fveq1d
      co fvresi 3ad2ant3 eqtrd ) ALDUAMDUAUBZKLMUCULZUAZUDZKLMJULZUEKUFUQUGZUEZ
      KUSKUTVAAUPUTVAUHURABCDEFGHIJLMNOPQRSTUIUJUKURAVBKUHUPUQKUMUNUO $.

    $( Lemma 7 for ~ funcringcsetcALTV2 .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetcALTV2lem7 $p |- ( ( ph /\ X e. B )
        -> ( ( X G X ) ` ( ( Id ` R ) ` X ) ) = ( ( Id ` S ) ` ( F ` X ) ) ) $=
      ( wcel cfv wa ccid cid cbs cres wceq funcringcsetcALTV2lem5 anabsan2 cwun
      co crh eqid adantr simpr ringcid fveq12d crg ringcbas eleq2d elin simprbi
      syl6bi idrhm fvresi 3syl funcringcsetcALTV2lem1 fveq2d ringcbasbas setcid
      cin imp eqtr2d 3eqtrd ) AKDSZUAZKFUBTZTZKKJUJZTUCKUDTZUEZUCKKUKUJZUEZTZVT
      KITZGUBTZTZVOVQVTVRWBAVNVRWBUFABCDEFGHIJKKLMNOPQRUGUHVODFVSHVPUIKLNVPULAH
      UISVNPUMZAVNUNVSULZUOUPVOKUQSZVTWASWCVTUFAVNWIAVNKHUQVJZSZWIADWJKADFHUILN
      PURUSWKKHSWIKHUQUTVAVBVKVSKWHVCWAVTVDVEVOWFVSWETVTVOWDVSWEABDEFGHIKLMNOPQ
      VFVGVOGHWEUIVSMWEULWGADFKHLNPVHVIVLVM $.

    $d B f $.  $d F f $.  $d X f $.  $d Y f $.  $d ph f $.
    $( Lemma 8 for ~ funcringcsetcALTV2 .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetcALTV2lem8 $p |- ( ( ph /\ ( X e. B /\ Y e. B ) )
                    -> ( X G Y ) : ( X ( Hom ` R ) Y )
                                   --> ( ( F ` X ) ( Hom ` S ) ( F ` Y ) ) ) $=
      ( wcel vf wa chom cfv co wf crh cmap cid cres wf1o f1oi f1of mp1i cv eqid
      cbs rhmf cvv fvex pm3.2i elmapg bicomd biimpa wceq funcringcsetcALTV2lem1
      wb simpr sylan2 simpl oveq12d adantr eleqtrrd syl5 funcringcsetcALTV2lem5
      ex ssrdv fssd cwun adantl ringchom funcringcsetcALTV2lem2 setchom feq123d
      mpbird ) AKDTZLDTZUBZUBZKLFUCUDZUEZKIUDZLIUDZGUCUDZUEZKLJUEZUFKLUGUEZWMWL
      UHUEZUIWQUJZUFWIWQWQWRWSWQWQWSUKWQWQWSUFWIWQULWQWQWSUMUNWIUAWQWRUAUOZWQTK
      UQUDZLUQUDZWTUFZWIWTWRTZXAXBKLWTXAUPXBUPURWIXCXDWIXCUBWTXBXAUHUEZWRWIXCWT
      XETZXBUSTZXAUSTZUBZXCXFVGWIXGXHLUQUTKUQUTVAXIXFXCXBXAWTUSUSVBVCUNVDWIWRXE
      VEXCWIWMXBWLXAUHWHAWGWMXBVEWFWGVHZABDEFGHILMNOPQRVFVIWHAWFWLXAVEWFWGVJZAB
      DEFGHIKMNOPQRVFVIVKVLVMVPVNVQVRWIWKWQWOWRWPWSABCDEFGHIJKLMNOPQRSVOWIDFHWJ
      VSKLMOAHVSTWHQVLZWJUPWHWFAXKVTWHWGAXJVTWAWIGHWNVSWLWMNXLWNUPWHAWFWLHTXKAB
      DEFGHIKMNOPQRWBVIWHAWGWMHTXJABDEFGHILMNOPQRWBVIWCWDWE $.

    $d Z x y $.
    $( Lemma 9 for ~ funcringcsetcALTV2 .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetcALTV2lem9 $p |- ( ( ph /\ ( X e. B /\ Y e. B /\ Z e. B )
                  /\ ( H e. ( X ( Hom ` R ) Y ) /\ K e. ( Y ( Hom ` R ) Z ) ) )
                  -> ( ( X G Z ) ` ( K ( <. X , Y >. ( comp ` R ) Z ) H ) )
                     = ( ( ( Y G Z ) ` K )
                         ( <. ( F ` X ) , ( F ` Y ) >. ( comp ` S ) ( F ` Z ) )
                         ( ( X G Y ) ` H ) ) ) $=
      ( wcel w3a chom cfv co wa cop cco wceq crh cwun adantr eqid simpr1 simpr2
      ringchom eleq2d simpr3 anbi12d ccom cid cres rhmco funcringcsetcALTV2lem5
      ancoms adantl fvresi syl 3adantr2 crg ringcbas inss1 eqsstrdi sseld com12
      wi cin 3ad2ant1 impcom 3ad2ant2 3ad2ant3 cbs wf ad2antrl ad2antll ringcco
      fveq12d funcringcsetcALTV2lem2 3ad2antr1 3ad2antr2 funcringcsetcALTV2lem1
      rhmf 3ad2antr3 feq23d mpbird simpll 3simpa funcringcsetcALTV2lem6 syl3anc
      wb ad2antlr simprl feq1d 3simpc simprr setcco coeq12d eqtrd sylbid 3impia
      3eqtr4d ex ) AMDUCZNDUCZODUCZUDZKMNFUEUFZUGZUCZLNOXSUGZUCZUHZLKMNUIOFUJUF
      ZUGUGZMOJUGZUFZLNOJUGUFZKMNJUGUFZMIUFZNIUFZUIOIUFZGUJUFZUGUGZUKZAXRUHZYDK
      MNULUGZUCZLNOULUGZUCZUHZYPYQYAYSYCUUAYQXTYRKYQDFHXSUMMNPRAHUMUCZXRTUNZXSU
      OZAXOXPXQUPAXOXPXQUQZURUSYQYBYTLYQDFHXSUMNOPRUUDUUEUUFAXOXPXQUTURUSVAYQUU
      BYPYQUUBUHZLKVBZVCMOULUGZVDZUFZUUHYHYOUUGUUHUUIUCZUUKUUHUKUUBUULYQUUAYSUU
      LMNOLKVEVGVHUUIUUHVIVJUUGYFUUHYGUUJYQYGUUJUKZUUBAXOXQUUMXPABCDEFGHIJMOPQR
      STUAUBVFVKUNUUGFYEHKLUMMNOPYQUUCUUBUUDUNZYEUOYQMHUCZUUBXRAUUOXOXPAUUOVRXQ
      AXOUUOADHMADHVLVSHADFHUMPRTVMHVLVNVOZVPVQVTWAUNYQNHUCZUUBXRAUUQXPXOAUUQVR
      XQAXPUUQADHNUUPVPVQWBWAUNYQOHUCZUUBXRAUURXQXOAUURVRXPAXQUURADHOUUPVPVQWCW
      AUNYSMWDUFZNWDUFZKWEZYQUUAUUSUUTMNKUUSUOUUTUOZWNWFZUUAUUTOWDUFZLWEZYQYSUU
      TUVDNOLUVBUVDUOWNWGZWHWIUUGYOYIYJVBUUHUUGGYNHYJYIUMYKYLYMQUUNYNUOYQYKHUCZ
      UUBAXPXOUVGXQABDEFGHIMPQRSTUAWJWKUNYQYLHUCZUUBAXOXPUVHXQABDEFGHINPQRSTUAW
      JWLUNYQYMHUCZUUBAXOXQUVIXPABDEFGHIOPQRSTUAWJWOUNUUGYKYLYJWEYKYLKWEZUUGUVJ
      UVAUVCYQUVJUVAXBUUBYQYKYLUUSUUTKAXPXOYKUUSUKXQABDEFGHIMPQRSTUAWMWKAXOXPYL
      UUTUKXQABDEFGHINPQRSTUAWMWLZWPUNWQUUGYKYLYJKUUGAXOXPUHZYSYJKUKAXRUUBWRZXR
      UVLAUUBXOXPXQWSXCYQYSUUAXDABCDEFGHIJKMNPQRSTUAUBWTXAZXEWQUUGYLYMYIWEYLYML
      WEZUUGUVOUVEUVFYQUVOUVEXBUUBYQYLYMUUTUVDLUVKAXOXQYMUVDUKXPABDEFGHIOPQRSTU
      AWMWOWPUNWQUUGYLYMYILUUGAXPXQUHZUUAYILUKUVMXRUVPAUUBXOXPXQXFXCYQYSUUAXGAB
      CDEFGHIJLNOPQRSTUAUBWTXAZXEWQXHUUGYILYJKUVQUVNXIXJXMXNXKXL $.

    $d a b c x y $.  $d B a b c h k $.  $d F a b c h k $.  $d G a b c h k $.
    $d R a b c h k $.  $d S a b c h k $.  $d ph a b c h k $.
    $( The "natural forgetful functor" from the category of unital rings into
       the category of sets which sends each ring to its underlying set (base
       set) and the morphisms (ring homomorphisms) to mappings of the
       corresponding base sets.  (Contributed by AV, 16-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetcALTV2 $p |- ( ph -> F ( R Func S ) G ) $=
      ( cfv eqid cv va vb vc vh vk cco ccid chom cwun wcel ringccat syl setccat
      ccat funcringcsetcALTV2lem3 funcringcsetcALTV2lem4 funcringcsetcALTV2lem8
      funcringcsetcALTV2lem7 funcringcsetcALTV2lem9 isfuncd ) AUAUBUCDEFFUFRZFU
      GRZUDUEGIJFUHRZGUGRZGUHRZGUFRZMNVCSVESVBSVDSVASVFSAHUIUJZFUNUJOFHUIKUKULA
      VGGUNUJOGHUILUMULABDEFGHIKLMNOPUOABCDEFGHIJKLMNOPQUPABCDEFGHIJUATZUBTZKLM
      NOPQUQABCDEFGHIJVHKLMNOPQURABCDEFGHIJUDTUETVHVIUCTKLMNOPQUSUT $.
  $}

  ${
    $d f g v x y z $.  $d v x y z U $.  $d v x y z ph $.
    ringcbasALTV.c $e |- C = ( RingCatALTV ` U ) $.
    ringcbasALTV.b $e |- B = ( Base ` C ) $.
    ringcbasALTV.u $e |- ( ph -> U e. V ) $.
    $( Set of objects of the category of rings (in a universe).  (Contributed
       by AV, 13-Feb-2020.)  (New usage is discouraged.) $)
    ringcbasALTV $p |- ( ph -> B = ( U i^i Ring ) ) $=
      ( vx vy vv vz vf vg cnx cfv cop cv crh co crg cin cbs chom cmpo c2nd c1st
      cco cxp ccom ctp cvv c1 cdc eqidd ringcvalALTV catstr baseid snsstp1 wcel
      c5 inex1g syl strfv3 ) ABDUAUBZOUCPVEQZOUDPIJVEVEIRJRSTUEZQZOUHPKLVEVEUIV
      EMNKRZUFPZLRSTVIUGPVJSTMRNRUJUEUEZQZUKCUCULUMUMVAUNQAIJLKVECVKDNMVGEFHAVE
      UOAVGUOAVKUOUPVKVEVGUQURVFVHVLUSADEUTVEULUTHDUAEVBVCGVD $.

    $d v x y z B $.
    ${
      ringchomfvalALTV.h $e |- H = ( Hom ` C ) $.
      $( Set of arrows of the category of rings (in a universe).  (Contributed
         by AV, 14-Feb-2020.)  (New usage is discouraged.) $)
      ringchomfvalALTV $p |- ( ph
                            -> H = ( x e. B , y e. B |-> ( x RingHom y ) ) ) $=
        ( vv vz vf vg cfv cop chom cv cnx cbs crh co cmpo cco cxp c2nd c1st ctp
        ccom ringcbasALTV eqidd ringcvalALTV fveq2d syl5eq cvv wcel fvexi mpoex
        wceq c1 c5 cdc catstr homid snsstp2 strfv mp1i eqtr4d ) AGUAUBQDRZUASQB
        CDDBTCTUCUDZUEZRZUAUFQMNDDUGDOPMTZUHQZNTUCUDVOUIQVPUCUDOTPTUKUEUEZRZUJZ
        SQZVMAGESQVTLAEVSSABCNMDEVQFPOVMHIKADEFHIJKULAVMUMAVQUMUNUOUPVMUQURVMVT
        VAABCDDVLDEUBJUSZWAUTVMVSSUQVBVBVCVDRVQDVMVEVFVKVNVRVGVHVIVJ $.

      $d x y X $.  $d x y Y $.
      ringchomALTV.x $e |- ( ph -> X e. B ) $.
      ringchomALTV.y $e |- ( ph -> Y e. B ) $.
      $( Set of arrows of the category of rings (in a universe).  (Contributed
         by AV, 14-Feb-2020.)  (New usage is discouraged.) $)
      ringchomALTV $p |- ( ph -> ( X H Y ) = ( X RingHom Y ) ) $=
        ( vx vy cv crh co wceq cvv ringchomfvalALTV oveq12 adantl ovexd ovmpod
        wa ) AOPGHBBOQZPQZRSZGHRSZEUAAOPBCDEFIJKLUBUHGTUIHTUGUJUKTAUHGUIHRUCUDM
        NAGHRUEUF $.

      $( A morphism of rings is a function.  (Contributed by AV, 14-Feb-2020.)
         (New usage is discouraged.) $)
      elringchomALTV $p |- ( ph -> ( F e. ( X H Y )
                                 -> F : ( Base ` X ) --> ( Base ` Y ) ) ) $=
        ( co wcel cbs cfv eqid crh wf ringchomALTV eleq2d rhmf syl6bi ) AEHIFPZ
        QEHIUAPZQHRSZIRSZEUBAUGUHEABCDFGHIJKLMNOUCUDUIUJHIEUITUJTUEUF $.
    $}

    ${
      ringccoALTV.o $e |- .x. = ( comp ` C ) $.
      $( Composition in the category of rings.  (Contributed by AV,
         14-Feb-2020.)  (New usage is discouraged.) $)
      ringccofvalALTV $p |- ( ph -> .x. = ( v e. ( B X. B ) , z e. B |->
                                     ( g e. ( ( 2nd ` v ) RingHom z ) ,
                                       f e. ( ( 1st ` v ) RingHom ( 2nd ` v ) )
                                       |-> ( g o. f ) ) ) ) $=
        ( cco cfv cnx cop cv cvv vx vy cbs chom cxp c2nd crh c1st ccom cmpo ctp
        ringcbasALTV eqid ringchomfvalALTV eqidd ringcvalALTV fveq2d wcel fvexi
        co wceq sqxpexg ax-mp mpoex c1 cdc catstr ccoid snsstp3 strfv 3eqtr4g
        c5 ) AEOPQUCPDRZQUDPEUDPZRZQOPCBDDUEZDIHCSZUFPZBSUGUTVQUHPVRUGUTISHSUIU
        JZUJZRZUKZOPZFVTAEWBOAUAUBBCDEVTGHIVNJKMADEGJKLMULAUAUBDEGVNJKLMVNUMUNA
        VTUOUPUQNVTTURVTWCVACBVPDVSDTURVPTURDEUCLUSZDTVBVCWDVDVTWBOTVEVEVLVFRVT
        DVNVGVHVMVOWAVIVJVCVK $.

      $d f g F $.  $d f g G $.  $d f g v z X $.  $d f g v z Y $.
      $d f g v z Z $.  $d f g ph $.
      ringccoALTV.x $e |- ( ph -> X e. B ) $.
      ringccoALTV.y $e |- ( ph -> Y e. B ) $.
      ringccoALTV.z $e |- ( ph -> Z e. B ) $.
      ringccoALTV.f $e |- ( ph -> F e. ( X RingHom Y ) ) $.
      ringccoALTV.g $e |- ( ph -> G e. ( Y RingHom Z ) ) $.
      $( Composition in the category of rings.  (Contributed by AV,
         14-Feb-2020.)  (New usage is discouraged.) $)
      ringccoALTV $p |- ( ph -> ( G ( <. X , Y >. .x. Z ) F ) = ( G o. F ) ) $=
        ( vg vf vv vz crh co cv ccom cop cvv cxp c2nd c1st cmpo ringccofvalALTV
        cfv wceq simprl fveq2d wcel op2ndg syl2anc adantr simprr oveq12d op1stg
        wa eqtrd eqidd mpoeq123dv opelxpi ovex mpoex a1i ovmpod coeq12d coexg )
        AUAUBGFJKUEUFZIJUEUFZUAUGZUBUGZUHZGFUHZIJUIZKDUFUJAUCUDWDKBBUKZBUAUBUCU
        GZULUPZUDUGZUEUFZWFUMUPZWGUEUFZWBUNUAUBVRVSWBUNZDUJAUDUCBCDEUBUAHLMNOUO
        AWFWDUQZWHKUQZVGZVGZUAUBWIWKWBVRVSWBWPWGJWHKUEWPWGWDULUPZJWPWFWDULAWMWN
        URZUSAWQJUQZWOAIBUTZJBUTZWSPQIJBBVAVBVCVHZAWMWNVDVEWPWJIWGJUEWPWJWDUMUP
        ZIWPWFWDUMWRUSAXCIUQZWOAWTXAXDPQIJBBVFVBVCVHXBVEWPWBVIVJAWTXAWDWEUTPQIJ
        BBVKVBRWLUJUTAUAUBVRVSWBJKUEVLIJUEVLVMVNVOAVTGUQZWAFUQZVGVGVTGWAFAXEXFU
        RAXEXFVDVPTSAGVRUTFVSUTWCUJUTTSGFVRVSVQVBVO $.
    $}
  $}

  ${
    $d f g h w x y z B $.  $d f g h w x y z C $.  $d f g h w x y z U $.
    $d f g h w x y z V $.  $d x ph $.  $d x X $.
    ringccatALTV.c $e |- C = ( RingCatALTV ` U ) $.
    ${
      ringccatidALTV.b $e |- B = ( Base ` C ) $.
      $( Lemma for ~ ringccatALTV .  (Contributed by AV, 14-Feb-2020.)
         (New usage is discouraged.) $)
      ringccatidALTV $p |- ( U e. V -> ( C e. Cat
                   /\ ( Id ` C ) = ( x e. B |-> ( _I |` ( Base ` x ) ) ) ) ) $=
        ( wcel cv wa cfv co crh simpl wi adantl ringchomALTV ccom com13 3imp vw
        vy vz vf vg vh chom w3a cco cid cbs cres cvv a1i eqidd cringcALTV fvexi
        wceq biid crg cin ringcbasALTV eleq2 elin simprbi syl6bi com12 mpd eqid
        idrhm syl simpr eleqtrrd cop 3ad2ant1 simp1 3ad2ant3 eleq2d biimpd 3exp
        com14 impcom expcom ringccoALTV wf simprl simprr elringchomALTV ex syl8
        fcoi2 a1d eqtrd simp3 adantr 3ad2ant2 fcoi1 expdcom rhmco syl2anc coass
        3eltr4d simp2r 3eqtr4a oveq1d oveq2d 3eqtr4d iscatd2 ) DEHZUAIZBHZAIZBH
        ZJZUBIZBHZUCIZBHZJZUDIZXJXLCUGKZLZHZUEIZXLXOYALZHZUFIZXOXQYALZHZUHZUHZU
        AAUBUCBCCUIKZUJXLUKKZULZUDUEUFYAUMBCUKKURXIGUNXIYAUOXIYLUOCUMHXICDUPFUQ
        UNYKUSXIXMJZYNXLXLMLZXLXLYALYOXLUTHZYNYPHZYOBDUTVAZURZYQYOBCDEFGXIXMNZV
        BXMYTYQOXIYTXMYQYTXMXLYSHZYQBYSXLVCUUBXLDHYQXLDUTVDVEVFVGPVHYMXLYMVIVJV
        KZYOBCDYAEXLXLFGUUAYAVIZXIXMVLZUUEQVMXIYKJZYNXTXJXLVNZXLYLLLYNXTRZXTUUF
        BCYLDXTYNEXJXLXLFGXIYKNZYLVIZYKXKXIXNXSXKYJXKXMNZVOPZYKXMXIXNXSXMYJXKXM
        VLZVOPZUUNYKXIXTXJXLMLZHZXNXSYJXIUUPOZYJXSXNUUQYCYFXSXNUUQOOYIXIXSXNYCU
        UPXIXSXNYCUUPOXIXSXNUHZYCUUPUURYBUUOXTUURBCDYAEXJXLFGXIXSXNVPZUUDXNXIXK
        XSUUKVQXNXIXMXSUUMVQZQVRVSVTWAVOSTWBZYKXIYRXNXSXIYROZYJXMUVBXKXIXMYRUUC
        WCPZVOWBWDYKXIUUHXTURZXNXSYJXIUVDOZXNYJUVEOXSYJXNUVEYCYFXNUVEOYIYCXNXIX
        JUKKZYMXTWEZUVDXIXNYCUVGXIXNYCUVGOXIXNJBCDXTYAEXJXLFGXIXNNUUDXIXKXMWFXI
        XKXMWGWHWISUVFYMXTWKWJVOVGWLTWBWMYKXIYDYNXLXLVNXOYLLLZYDURZXNXSYJXIUVIO
        ZYJXNXSUVJYFYCXNXSJZUVJOYIYFUVKXIUVIYFUVKXIUHZUVHYDYNRZYDUVLBCYLDYNYDEX
        LXLXOFGYFUVKXIWNUUJUVKYFXMXIXNXMXSUUMWOZWPZUVOUVKYFXPXIXNXPXRWFZWPYFUVK
        XIYRUVKUVBOYFXNUVBXSUVCWOUNTYFUVKXIYDXLXOMLZHZXIUVKYFUVRXIUVKYFUVROZXIU
        VKJZYFUVRUVTYEUVQYDUVTBCDYAEXLXOFGXIUVKNZUUDUVKXMXIUVNPZUVKXPXIUVPPZQVR
        VSWISTWDUVLYMXOUKKZYDWEZUVMYDURYFUVKXIUWEXIUVKYFUWEXIUVKYFUWEOUVTBCDYDY
        AEXLXOFGUWAUUDUWBUWCWHWISTYMUWDYDWQVKWMVTWPWRTWBUUFYDXTRZXJXOMLZYDXTUUG
        XOYLLLZXJXOYALUUFUVRUUPUWFUWGHYKXIUVRXNXSYJXIUVROZYJXSXNUWIYFYCXSXNUWIO
        OYIXIXSXNYFUVRXIXSXNUVSUURYFUVRUURYEUVQYDUURBCDYAEXLXOFGUUSUUDUUTXSXIXP
        XNXPXRNZWPZQVRVSVTWAWPSTWBZUVAXJXLXOYDXTWSWTZUUFBCYLDXTYDEXJXLXOFGUUIUU
        JUULUUNYKXPXIXSXNXPYJUWJWPPZUVAUWLWDZUUFBCDYAEXJXOFGUUIUUDUULUWNQXBUUFY
        GYDRZXTUUGXQYLLZLZYGUWFXJXOVNXQYLLZLZYGYDXLXOVNXQYLLLZXTUWQLYGUWHUWSLUU
        FUWPXTRYGUWFRUWRUWTYGYDXTXAUUFBCYLDXTUWPEXJXLXQFGUUIUUJUULUUNYKXRXIXNXP
        XRYJXCPZUVAUUFYGXOXQMLZHZUVRUWPXLXQMLHYKXIUXDXNXSYJXIUXDOZYJXSXNUXEYIYC
        XSXNUXEOOYFXIXSXNYIUXDXIXSXNYIUXDOUURYIUXDUURYHUXCYGUURBCDYAEXOXQFGUUSU
        UDUWKXIXPXRXNXCQVRVSVTWAVQSTWBZUWLXLXOXQYGYDWSWTWDUUFBCYLDUWFYGEXJXOXQF
        GUUIUUJUULUWNUXBUWMUXFWDXDUUFUXAUWPXTUWQUUFBCYLDYDYGEXLXOXQFGUUIUUJUUNU
        WNUXBUWLUXFWDXEUUFUWHUWFYGUWSUWOXFXGXH $.
    $}

    $( The category of rings is a category.  (Contributed by AV, 14-Feb-2020.)
       (New usage is discouraged.) $)
    ringccatALTV $p |- ( U e. V -> C e. Cat ) $=
      ( vx wcel ccat ccid cfv cbs cid cres cmpt wceq eqid ringccatidALTV simpld
      cv ) BCFAGFAHIEAJIZKERJILMNESABCDSOPQ $.

    ringcidALTV.b $e |- B = ( Base ` C ) $.
    ringcidALTV.o $e |- .1. = ( Id ` C ) $.
    ringcidALTV.u $e |- ( ph -> U e. V ) $.
    ringcidALTV.x $e |- ( ph -> X e. B ) $.
    ringcidALTV.s $e |- S = ( Base ` X ) $.
    $( The identity arrow in the category of rings is the identity function.
       (Contributed by AV, 14-Feb-2020.)  (New usage is discouraged.) $)
    ringcidALTV $p |- ( ph -> ( .1. ` X ) = ( _I |` S ) ) $=
      ( vx cfv cid cbs cvv wcel cres cv ccid cmpt ccat wa ringccatidALTV simprd
      wceq syl5eq fveq2 adantl reseq2d fvex resiexg mp1i fvmptd reseq2i eqtr4di
      syl ) AHFPQHRPZUAZQDUAAOHQOUBZRPZUAZVBBFSAFCUCPZOBVEUDZKACUETZVFVGUIZAEGT
      VHVIUFLOBCEGIJUGUTUHUJAVCHUIZUFVDVAQVJVDVAUIAVCHRUKULUMMVASTVBSTAHRUNVASU
      OUPUQDVAQNURUS $.
  $}

  ${
    ringcsectALTV.c $e |- C = ( RingCatALTV ` U ) $.
    ringcsectALTV.b $e |- B = ( Base ` C ) $.
    ringcsectALTV.u $e |- ( ph -> U e. V ) $.
    ringcsectALTV.x $e |- ( ph -> X e. B ) $.
    ringcsectALTV.y $e |- ( ph -> Y e. B ) $.
    ${
      ringcsectALTV.e $e |- E = ( Base ` X ) $.
      ringcsectALTV.n $e |- S = ( Sect ` C ) $.
      $( A section in the category of rings, written out.  (Contributed by AV,
         14-Feb-2020.)  (New usage is discouraged.) $)
      ringcsectALTV $p |- ( ph -> ( F ( X S Y ) G <-> ( F e. ( X RingHom Y )
                   /\ G e. ( Y RingHom X ) /\ ( G o. F ) = ( _I |` E ) ) ) ) $=
        ( co wcel wbr chom cfv cop cco ccid wceq w3a crh ccom cres ringccatALTV
        cid eqid syl issect wa ringchomALTV eleq2d anbi12d anbi1d adantr simprl
        simprr ringccoALTV ringcidALTV eqeq12d pm5.32da bitrd df-3an 3bitr4g
        ccat ) AGHJKDSUAGJKCUBUCZSZTZHKJVMSZTZHGJKUDJCUEUCZSSZJCUFUCZUCZUGZUHZG
        JKUISZTZHKJUISZTZHGUJZUMFUKZUGZUHZABCDVRVTGHVMJKMVMUNZVRUNZVTUNZRAEITZC
        VLTNCEILULUOOPUPAVOVQUQZWBUQZWEWGUQZWJUQZWCWKAWQWRWBUQWSAWPWRWBAVOWEVQW
        GAVNWDGABCEVMIJKLMNWLOPURUSAVPWFHABCEVMIKJLMNWLPOURUSUTVAAWRWBWJAWRUQZV
        SWHWAWIWTBCVREGHIJKJLMAWOWRNVBWMAJBTWROVBZAKBTWRPVBXAAWEWGVCAWEWGVDVEAW
        AWIUGWRABCFEVTIJLMWNNOQVFVBVGVHVIVOVQWBVJWEWGWJVJVKVI $.
    $}

    ${
      ringcinvALTV.n $e |- N = ( Inv ` C ) $.
      $( An inverse in the category of rings is the converse operation.
         (Contributed by AV, 14-Feb-2020.)  (New usage is discouraged.) $)
      ringcinvALTV $p |- ( ph ->
        ( F ( X N Y ) G <-> ( F e. ( X RingIso Y ) /\ G = `' F ) ) ) $=
        ( co wa wcel wceq wbr csect cfv crh ccom cid cbs cres ccnv ringccatALTV
        crs ccat syl eqid isinv w3a ringcsectALTV df-3an bitrdi 3ancoma anbi12d
        bitri anandi wf1o simplrl adantl wf anim12i ad2antlr simpr ad2antrl jca
        fcof1o eqcom anbi2i sylib anass sylanbrc wb anbi1d adantr mpbird rimrhm
        rhmf isrim isrim0 eleq1 eqcoms anbi2d syl6bi com12 expdimp impcom coeq1
        sylan9bbr ad2antll rimf1o f1ococnv1 eqtrd jca31 biimpcd coeq2 f1ococnv2
        wi impbida 3bitrd ) AEFIJGQUAEFIJCUBUCZQUAZFEJIXGQUAZRZEIJUDQSZFJIUDQZS
        ZRZFEUEZUFIUGUCZUHZTZRZXNRZXSEFUEZUFJUGUCZUHZTZRZRZEIJUKQSZFEUIZTZRZABC
        XGEFGIJLPADHSCULSMCDHKUJUMNOXGUNZUOAXJXSXNYDRZRYFAXHXSXIYLAXHXKXMXRUPXS
        ABCXGDXPEFHIJKLMNOXPUNZYKUQXKXMXRURUSAXIXMXKYDUPZYLABCXGDYBFEHJIKLMONYB
        UNZYKUQYNXKXMYDUPYLXMXKYDUTXKXMYDURVBUSVAXSXNYDVCUSAYFYJAYFRZYJXKXPYBEV
        DZRZYIRZYPXKYQYIRZYSYFXKAXSXKXMYEVEVFYPXPYBEVGZYBXPFVGZRZYDXRRZRZYTYFUU
        EAYFUUCUUDXNUUCXSYEXKUUAXMUUBXPYBIJEYMYOWDYBXPJIFYOYMWDVHVIYFYDXRYEYDXT
        XSYDVJVFXSXRXTYDXNXRVJVKVLVLVFUUEYQYHFTZRYTXPYBEFVMUUFYIYQYHFVNVOVPUMXK
        YQYIVQVRAYJYSVSYFAYGYRYIAIBSZJBSZRZYGYRVSAUUGUUHNOVLZXPYBIJEBBYMYOWEUMV
        TWAWBAYJRZXSXNYEUUKXKXMXRYGXKAYIXPYBIJEYMYOWCVKYJAXMYGYIAXMYIARZYGXMUUL
        YGXNXMAYGXKYHXLSZRZYIXNAUUIYGUUNVSUUJIJEBBWFUMZYIUUMXMXKUUMXMVSYHFYHFXL
        WGWHWIWOXKXMVJWJWKWLWMUUKXOYHEUEZXQYIXOUUPTAYGFYHEWNWPUUKYQUUPXQTYGYQAY
        IXPYBIJEYMYOWQVKZXPYBEWRUMWSZWTUUKXNUUNYJAUUNYGAUUNXDYIAYGUUNUUOXAWAWMU
        UKXMUUMXKYIXMUUMVSAYGFYHXLWGWPWIWBZUUKXNXRYDUUSUURUUKYAEYHUEZYCYIYAUUTT
        AYGFYHEXBWPUUKYQUUTYCTUUQXPYBEXCUMWSWTWTXEXF $.
    $}

    ${
      ringcisoALTV.n $e |- I = ( Iso ` C ) $.
      $( An isomorphism in the category of rings is a bijection.  (Contributed
         by AV, 14-Feb-2020.)  (New usage is discouraged.) $)
      ringcisoALTV $p |- ( ph -> ( F e. ( X I Y )
                                  <-> F e. ( X RingIso Y ) ) ) $=
        ( co wcel cfv eqid syl cinv cdm crs ccat ringccatALTV isoval eleq2d wbr
        wfun wb invfun funfvbrb ccnv wceq ringcinvALTV simpl syl6bi sylbid wrel
        wa wi funrel releldm ex sylbird mpan2i impbid bitrd ) AEHIFPZQEHICUARZP
        ZUBZQZEHIUCPQZAVIVLEABCFVJHIKVJSZADGQCUDQLCDGJUETZMNOUFUGAVMVNAVMEEVKRZ
        VKUHZVNAVKUIZVMVRUJABCVJHIKVOVPMNUKZEVKULTAVRVNVQEUMZUNZUTVNABCDEVQVJGH
        IJKLMNVOUOVNWBUPUQURAVNWAWAUNZVMWASAVNWCUTEWAVKUHZVMABCDEWAVJGHIJKLMNVO
        UOAVKUSZWDVMVAAVSWEVTVKVBTWEWDVMEWAVKVCVDTVEVFVGVH $.
    $}
  $}

  ${
    ringcbasbasALTV.r $e |- C = ( RingCatALTV ` U ) $.
    ringcbasbasALTV.b $e |- B = ( Base ` C ) $.
    ringcbasbasALTV.u $e |- ( ph -> U e. WUni ) $.
    $( An element of the base set of the base set of the category of rings
       (i.e. the base set of a ring) belongs to the considered weak universe.
       (Contributed by AV, 15-Feb-2020.)  (New usage is discouraged.) $)
    ringcbasbasALTV $p |- ( ( ph /\ R e. B ) -> ( Base ` R ) e. U ) $=
      ( wcel cbs cfv crg cin cwun ringcbasALTV eleq2d wa wi elin cnx baseid imp
      simpl simpr wunstr ex syl11 adantr sylbi com12 sylbid ) ADBIZDJKEIZAULDEL
      MZIZUMABUNDABCENFGHOPUOAUMUODEIZDLIZQAUMRZDELSUPURUQENIZUPUMAUSUPUMUSUPQD
      EJTJKUAUSUPUCUSUPUDUEUFHUGUHUIUJUKUB $.
  $}

  ${
    $d B x $.  $d X x $.  $d ph x $.
    funcringcsetcALTV.r $e |- R = ( RingCatALTV ` U ) $.
    funcringcsetcALTV.s $e |- S = ( SetCat ` U ) $.
    funcringcsetcALTV.b $e |- B = ( Base ` R ) $.
    funcringcsetcALTV.c $e |- C = ( Base ` S ) $.
    funcringcsetcALTV.u $e |- ( ph -> U e. WUni ) $.
    funcringcsetcALTV.f $e |- ( ph -> F = ( x e. B |-> ( Base ` x ) ) ) $.
    $( Lemma 1 for ~ funcringcsetcALTV .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetclem1ALTV $p |- ( ( ph /\ X e. B )
                                 -> ( F ` X ) = ( Base ` X ) ) $=
      ( wcel wa cbs cfv wceq cv cvv cmpt adantr fveq2 adantl simpr fvexd fvmptd
      ) AICPZQZBIBUAZRSZIRSZCHUBAHBCUMUCTUJOUDULITUMUNTUKULIRUEUFAUJUGUKIRUHUI
      $.

    $( Lemma 2 for ~ funcringcsetcALTV .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetclem2ALTV $p |- ( ( ph /\ X e. B ) -> ( F ` X ) e. U ) $=
      ( wcel wa cfv cbs funcringcsetclem1ALTV ringcbasbasALTV eqeltrd ) AICPQIH
      RISRGABCDEFGHIJKLMNOTACEIGJLNUAUB $.

    $d C x $.
    $( Lemma 3 for ~ funcringcsetcALTV .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetclem3ALTV $p |- ( ph -> F : B --> C ) $=
      ( wf cv cbs cfv cmpt wcel ringcbasbasALTV wceq cwun setcbas eqcomd adantr
      wa eleqtrrd eleqtrrdi fmpttd feq1d mpbird ) ACDHOCDBCBPZQRZSZOABCUNDAUMCT
      ZUGZUNFQRZDUQUNGURACEUMGIKMUAAURGUBUPAGURAFGUCJMUDUEUFUHLUIUJACDHUONUKUL
      $.

    $d B x y $.
    funcringcsetcALTV.g $e |- ( ph -> G = ( x e. B , y e. B
                                        |-> ( _I |` ( x RingHom y ) ) ) ) $.
    $( Lemma 4 for ~ funcringcsetcALTV .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetclem4ALTV $p |- ( ph -> G Fn ( B X. B ) ) $=
      ( wfn cv cvv cxp cid crh co cres cmpo eqid wcel ovex resiexd ax-mp fnmpoi
      id fneq1d mpbiri ) AJDDUAZRBCDDUBBSZCSZUCUDZUEZUFZUPRBCDDUTVAVAUGUSTUHZUT
      TUHUQURUCUIVBUSTVBUMUJUKULAUPJVAQUNUO $.

    $d X y $.  $d Y x y $.  $d ph y $.
    $( Lemma 5 for ~ funcringcsetcALTV .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetclem5ALTV $p |- ( ( ph /\ ( X e. B /\ Y e. B ) )
        -> ( X G Y ) = ( _I |` ( X RingHom Y ) ) ) $=
      ( wa wcel cid cv crh co cres cvv cmpo adantr oveq12 adantl reseq2d simprl
      wceq simprr ovexd resiexd ovmpod ) AKDUAZLDUAZTZTZBCKLDDUBBUCZCUCZUDUEZUF
      ZUBKLUDUEZUFJUGAJBCDDVFUHUNVASUIVBVCKUNVDLUNTZTVEVGUBVHVEVGUNVBVCKVDLUDUJ
      UKULAUSUTUMAUSUTUOVBVGUGVBKLUDUPUQUR $.

    $( Lemma 6 for ~ funcringcsetcALTV .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetclem6ALTV $p |- ( ( ph /\ ( X e. B /\ Y e. B )
                        /\ H e. ( X RingHom Y ) ) -> ( ( X G Y ) ` H ) = H ) $=
      ( wcel wa crh co w3a cfv cres funcringcsetclem5ALTV 3adant3 fveq1d fvresi
      cid wceq 3ad2ant3 eqtrd ) ALDUAMDUAUBZKLMUCUDZUAZUEZKLMJUDZUFKULUQUGZUFZK
      USKUTVAAUPUTVAUMURABCDEFGHIJLMNOPQRSTUHUIUJURAVBKUMUPUQKUKUNUO $.

    $( Lemma 7 for ~ funcringcsetcALTV .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetclem7ALTV $p |- ( ( ph /\ X e. B )
        -> ( ( X G X ) ` ( ( Id ` R ) ` X ) ) = ( ( Id ` S ) ` ( F ` X ) ) ) $=
      ( wcel cfv ccid cid cbs cres crh wceq funcringcsetclem5ALTV anabsan2 cwun
      wa eqid adantr simpr ringcidALTV fveq12d crg cin ringcbasALTV eleq2d elin
      co simprbi syl6bi idrhm fvresi 3syl funcringcsetclem1ALTV ringcbasbasALTV
      imp fveq2d setcid eqtr2d 3eqtrd ) AKDSZUJZKFUATZTZKKJVAZTUBKUCTZUDZUBKKUE
      VAZUDZTZVTKITZGUATZTZVOVQVTVRWBAVNVRWBUFABCDEFGHIJKKLMNOPQRUGUHVODFVSHVPU
      IKLNVPUKAHUISVNPULZAVNUMVSUKZUNUOVOKUPSZVTWASWCVTUFAVNWIAVNKHUPUQZSZWIADW
      JKADFHUILNPURUSWKKHSWIKHUPUTVBVCVIVSKWHVDWAVTVEVFVOWFVSWETVTVOWDVSWEABDEF
      GHIKLMNOPQVGVJVOGHWEUIVSMWEUKWGADFKHLNPVHVKVLVM $.

    $d B f $.  $d F f $.  $d X f $.  $d Y f $.  $d ph f $.
    $( Lemma 8 for ~ funcringcsetcALTV .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetclem8ALTV $p |- ( ( ph /\ ( X e. B /\ Y e. B ) )
                    -> ( X G Y ) : ( X ( Hom ` R ) Y )
                                   --> ( ( F ` X ) ( Hom ` S ) ( F ` Y ) ) ) $=
      ( wcel vf wa chom cfv co wf crh cmap cid cres wf1o f1oi f1of mp1i cv eqid
      cbs rhmf cvv fvex pm3.2i elmapg bicomd biimpa simpr funcringcsetclem1ALTV
      wb wceq sylan2 simpl oveq12d eleqtrrd ex syl5 ssrdv funcringcsetclem5ALTV
      adantr fssd cwun adantl ringchomALTV funcringcsetclem2ALTV setchom mpbird
      feq123d ) AKDTZLDTZUBZUBZKLFUCUDZUEZKIUDZLIUDZGUCUDZUEZKLJUEZUFKLUGUEZWMW
      LUHUEZUIWQUJZUFWIWQWQWRWSWQWQWSUKWQWQWSUFWIWQULWQWQWSUMUNWIUAWQWRUAUOZWQT
      KUQUDZLUQUDZWTUFZWIWTWRTZXAXBKLWTXAUPXBUPURWIXCXDWIXCUBWTXBXAUHUEZWRWIXCW
      TXETZXBUSTZXAUSTZUBZXCXFVGWIXGXHLUQUTKUQUTVAXIXFXCXBXAWTUSUSVBVCUNVDWIWRX
      EVHXCWIWMXBWLXAUHWHAWGWMXBVHWFWGVEZABDEFGHILMNOPQRVFVIWHAWFWLXAVHWFWGVJZA
      BDEFGHIKMNOPQRVFVIVKVQVLVMVNVOVRWIWKWQWOWRWPWSABCDEFGHIJKLMNOPQRSVPWIDFHW
      JVSKLMOAHVSTWHQVQZWJUPWHWFAXKVTWHWGAXJVTWAWIGHWNVSWLWMNXLWNUPWHAWFWLHTXKA
      BDEFGHIKMNOPQRWBVIWHAWGWMHTXJABDEFGHILMNOPQRWBVIWCWEWD $.

    $d Z x y $.
    $( Lemma 9 for ~ funcringcsetcALTV .  (Contributed by AV, 15-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetclem9ALTV $p |- ( ( ph /\ ( X e. B /\ Y e. B /\ Z e. B )
                  /\ ( H e. ( X ( Hom ` R ) Y ) /\ K e. ( Y ( Hom ` R ) Z ) ) )
                  -> ( ( X G Z ) ` ( K ( <. X , Y >. ( comp ` R ) Z ) H ) )
                     = ( ( ( Y G Z ) ` K )
                         ( <. ( F ` X ) , ( F ` Y ) >. ( comp ` S ) ( F ` Z ) )
                         ( ( X G Y ) ` H ) ) ) $=
      ( wcel w3a chom cfv co wa cop cco wceq crh cwun adantr eqid simpr1 simpr2
      ringchomALTV eleq2d simpr3 anbi12d ccom cid cres ancoms adantl fvresi syl
      rhmco funcringcsetclem5ALTV 3adantr2 simprl fveq12d funcringcsetclem2ALTV
      simprr ringccoALTV 3ad2antr1 3ad2antr2 3ad2antr3 wf funcringcsetclem1ALTV
      cbs ad2antrl wb feq23d mpbird simpll 3simpa funcringcsetclem6ALTV syl3anc
      ad2antlr feq1d ad2antll 3simpc setcco coeq12d eqtrd 3eqtr4d sylbid 3impia
      rhmf ex ) AMDUCZNDUCZODUCZUDZKMNFUEUFZUGZUCZLNOXGUGZUCZUHZLKMNUIOFUJUFZUG
      UGZMOJUGZUFZLNOJUGUFZKMNJUGUFZMIUFZNIUFZUIOIUFZGUJUFZUGUGZUKZAXFUHZXLKMNU
      LUGZUCZLNOULUGZUCZUHZYDYEXIYGXKYIYEXHYFKYEDFHXGUMMNPRAHUMUCZXFTUNZXGUOZAX
      CXDXEUPZAXCXDXEUQZURUSYEXJYHLYEDFHXGUMNOPRYLYMYOAXCXDXEUTZURUSVAYEYJYDYEY
      JUHZLKVBZVCMOULUGZVDZUFZYRXPYCYQYRYSUCZUUAYRUKYJUUBYEYIYGUUBMNOLKVIVEVFYS
      YRVGVHYQXNYRXOYTYEXOYTUKZYJAXCXEUUCXDABCDEFGHIJMOPQRSTUAUBVJVKUNYQDFXMHKL
      UMMNOPRYEYKYJYLUNZXMUOYEXCYJYNUNYEXDYJYOUNYEXEYJYPUNYEYGYIVLZYEYGYIVOZVPV
      MYQYCXQXRVBYRYQGYBHXRXQUMXSXTYAQUUDYBUOYEXSHUCZYJAXDXCUUGXEABDEFGHIMPQRST
      UAVNVQUNYEXTHUCZYJAXCXDUUHXEABDEFGHINPQRSTUAVNVRUNYEYAHUCZYJAXCXEUUIXDABD
      EFGHIOPQRSTUAVNVSUNYQXSXTXRVTXSXTKVTZYQUUJMWBUFZNWBUFZKVTZYGUUMYEYIUUKUUL
      MNKUUKUOUULUOZXAWCYEUUJUUMWDYJYEXSXTUUKUULKAXDXCXSUUKUKXEABDEFGHIMPQRSTUA
      WAVQAXCXDXTUULUKXEABDEFGHINPQRSTUAWAVRZWEUNWFYQXSXTXRKYQAXCXDUHZYGXRKUKAX
      FYJWGZXFUUPAYJXCXDXEWHWKUUEABCDEFGHIJKMNPQRSTUAUBWIWJZWLWFYQXTYAXQVTXTYAL
      VTZYQUUSUULOWBUFZLVTZYIUVAYEYGUULUUTNOLUUNUUTUOXAWMYEUUSUVAWDYJYEXTYAUULU
      UTLUUOAXCXEYAUUTUKXDABDEFGHIOPQRSTUAWAVSWEUNWFYQXTYAXQLYQAXDXEUHZYIXQLUKU
      UQXFUVBAYJXCXDXEWNWKUUFABCDEFGHIJLNOPQRSTUAUBWIWJZWLWFWOYQXQLXRKUVCUURWPW
      QWRXBWSWT $.

    $d a b c x y $.  $d B a b c h k $.  $d F a b c h k $.  $d G a b c h k $.
    $d R a b c h k $.  $d S a b c h k $.  $d ph a b c h k $.
    $( The "natural forgetful functor" from the category of rings into the
       category of sets which sends each ring to its underlying set (base set)
       and the morphisms (ring homomorphisms) to mappings of the corresponding
       base sets.  (Contributed by AV, 16-Feb-2020.)
       (New usage is discouraged.) $)
    funcringcsetcALTV $p |- ( ph -> F ( R Func S ) G ) $=
      ( cfv eqid cv va vb vc vh vk cco ccid chom cwun wcel ringccatALTV setccat
      funcringcsetclem3ALTV funcringcsetclem4ALTV funcringcsetclem8ALTV isfuncd
      ccat syl funcringcsetclem7ALTV funcringcsetclem9ALTV ) AUAUBUCDEFFUFRZFUG
      RZUDUEGIJFUHRZGUGRZGUHRZGUFRZMNVCSVESVBSVDSVASVFSAHUIUJZFUQUJOFHUIKUKURAV
      GGUQUJOGHUILULURABDEFGHIKLMNOPUMABCDEFGHIJKLMNOPQUNABCDEFGHIJUATZUBTZKLMN
      OPQUOABCDEFGHIJVHKLMNOPQUSABCDEFGHIJUDTUETVHVIUCTKLMNOPQUTUP $.
  $}

  ${
    $d C f r z $.  $d ph r $.
    irinitoringc.u $e |- ( ph -> U e. V ) $.
    irinitoringc.z $e |- ( ph -> ZZring e. U ) $.
    irinitoringc.c $e |- C = ( RingCat ` U ) $.
    $( The ring of integers is an initial object in the category of unital
       rings (within a universe containing the ring of integers).  Example 7.2
       (6) of [Adamek] p. 101 , and example in [Lang] p. 58.  (Contributed by
       AV, 3-Apr-2020.) $)
    irinitoringc $p |- ( ph -> ZZring e. ( InitO ` C ) ) $=
      ( vf vr vz zring cfv wcel cv co wceq crh eqid crg syl cinito chom weu cbs
      wral wa csn wex cz cur cmg cmpt cvv zex mptex cxp cres ringchomfval oveqd
      adantr cin zringring a1i elind ringcbas eleqtrrd simpr ovresd eleq2d elin
      id simprbi syl6bi mulgrhm2 3eqtrd sneq eqeq2d spcegv mpsyl eusn ralrimiva
      imp sylibr ccat ringccat isinito mpbird ) AKBUALMHNZKINZBUBLZOZMHUCZIBUDL
      ZUEAWLIWMAWIWMMZUFZWKWHUGZPZHUHZWLJUIJNWIUJLZWIUKLZOZULZUMMWOWKXBUGZPZWRJ
      UIXAUNUOWOWKKWIQWMWMUPUQZOKWIQOZXCWOWJXEKWIAWJXEPWNAWMBCWJDGWMRZEWJRZURUT
      USWOKWIQWMAKWMMWNAKCSVAZWMAKCMZKXIMFXJCSKXJVKKSMZXJVBVCVDTAWMBCDGXGEVEZVF
      UTAWNVGVHWOWISMZXFXCPAWNXMAWNWIXIMZXMAWMXIWIXLVIXNWICMXMWICSVJVLVMWBWIWTW
      SJXBWTRXBRWSRVNTVOWQXDHXBUMWHXBPWPXCWKWHXBVPVQVRVSHWKVTWCWAAWMBHWJKIXGXHA
      CDMBWDMEBCDGWETAKXIWMACSKFXKAVBVCVDXLVFWFWG $.
  $}

  ${
    $d C a h r x $.  $d Z a h r x $.  $d ph a h r x $.
    zrtermoringc.u $e |- ( ph -> U e. V ) $.
    zrtermoringc.c $e |- C = ( RingCat ` U ) $.
    zrtermoringc.z $e |- ( ph -> Z e. ( Ring \ NzRing ) ) $.
    zrtermoringc.e $e |- ( ph -> Z e. U ) $.
    $( The zero ring is a terminal object in the category of unital rings.
       (Contributed by AV, 17-Apr-2020.) $)
    zrtermoringc $p |- ( ph -> Z e. ( TermO ` C ) ) $=
      ( vh vr vx cfv wcel cv wa wceq crg eqid adantr va ctermo chom co weu wral
      cbs c0g cmpt crh wi wal w3a cnzr cdif ringcbas eleq2d elin simprbi syl6bi
      cin imp c0rhm syl2anc simpr eldifad elind eleqtrrd ringchom eqcomd biimpa
      wf rhmf wfn ffn adantl fnmpti a1i csn 0ringbas syl feq3d fvconst ex imp31
      fvex cvv eqidd id fvmptd eqtr4d eqfnfvd syld alrimiv 3jca mpdan ralrimiva
      eleq1 eqeu ccat ringccat istermo mpbird ) AEBUBMNJOZKOZEBUCMZUDZNZJUEZKBU
      GMZUFAXIKXJAXEXJNZPZLXEUGMZEUHMZUIZXEEUJUDZNZXOXGNZXHXDXOQZUKZJULZUMZXIXL
      XQYBXLXERNZERUNUONZXQAXKYCAXKXECRVAZNZYCAXJYEXEAXJBCDGXJSZFUPZUQYFXECNYCX
      ECRURUSUTVBAYDXKHTLXMXEEXOXNXMSZXNSZXOSZVCVDXLXQPZXQXRYAXLXQVEXLXQXRXLXPX
      GXOXLXGXPXLXJBCXFDXEEGYGACDNZXKFTXFSZAXKVEAEXJNXKAEYEXJACREIAERUNHVFVGYHV
      HZTVIZVJUQVKYLXTJYLXHXMEUGMZXDVLZXSXLXHYRUKXQXLXHXDXPNYRXLXGXPXDYPUQXMYQX
      EEXDYIYQSZVMUTTYLYRXSYLYRPZUAXMXDXOYRXDXMVNYLXMYQXDVOVPXOXMVNYTLXMXNXOEUH
      WFZYKVQVRYTUAOZXMNZPUUBXDMZXNUUBXOMZYLYRUUCUUDXNQZXLYRUUCUUFUKZUKXQXLYRXM
      XNVSZXDVLZUUGXLYQUUHXDXMAYQUUHQZXKAYDUUJHYQEXNYSYJVTWATWBUUIUUCUUFXMXNUUB
      XDWCWDUTTWEUUCUUEXNQYTUUCLUUBXNXNXMXOWGUUCXOWHUUCLOUUBQPXNWHUUCWIXNWGNUUC
      UUAVRWJVPWKWLWDWMWNWOWPXHXRJXOXPXDXOXGWRWSWAWQAXJBJXFEKYGYNAYMBWTNFBCDGXA
      WAYOXBXC $.

    zrninitoringc.e $e |- ( ph -> E. r e. ( Base ` C ) r e. NzRing ) $.
    $( The zero ring is not an initial object in the category of unital rings
       (if the universe contains at least one unital ring different from the
       zero ring).  (Contributed by AV, 18-Apr-2020.) $)
    zrninitoringc $p |- ( ph -> Z e/ ( InitO ` C ) ) $=
      ( vh cfv cv wcel wn cnzr c0 crg sylib cinito wnel chom co weu cbs wral wa
      wrex wex wal wceq crh ad2antrr cin eldifad elind ringcbas eleqtrrd simplr
      eqid ringchom cdif adantr nrhmzr sylan eqtrd eq0 alnex euex nsyl reximdva
      ex mpd rexnal df-nel ccat ringccat syl isinito notbid syl5bb mpbird ) AEB
      UAMZUBZLNEFNZBUCMZUDZOZLUEZFBUFMZUGZPZAWJPZFWKUIZWMAWFQOZFWKUIWOKAWPWNFWK
      AWFWKOZUHZWPWNWRWPUHZWILUJZWJWSWIPLUKZWTPWSWHRULXAWSWHEWFUMUDZRWSWKBCWGDE
      WFHWKVAZACDOZWQWPGUNWGVAZAEWKOWQWPAECSUOWKACSEJAESQIUPUQAWKBCDHXCGURUSZUN
      AWQWPUTVBWRESQVCOZWPXBRULAXGWQIVDWFEVEVFVGLWHVHTWILVITWILVJVKVMVLVNWJFWKV
      OTWEEWDOZPAWMEWDVPAXHWLAWKBLWGEFXCXEAXDBVQOGBCDHVRVSXFVTWAWBWC $.
  $}

  ${
    $d C f h $.  $d Z f $.  $d ph h $.
    nzerooringczr.u $e |- ( ph -> U e. V ) $.
    nzerooringczr.c $e |- C = ( RingCat ` U ) $.
    nzerooringczr.z $e |- ( ph -> Z e. ( Ring \ NzRing ) ) $.
    nzerooringczr.e $e |- ( ph -> Z e. U ) $.
    nzerooringczr.i $e |- ( ph -> ZZring e. U ) $.
    $( There is no zero object in the category of unital rings (at least in a
       universe which contains the zero ring and the ring of integers).
       Example 7.9 (3) in [Adamek] p. 103.  (Contributed by AV,
       18-Apr-2020.) $)
    nzerooringczr $p |- ( ph -> ( ZeroO ` C ) = (/) ) $=
      ( vh vf cfv c0 wi wcel wa zring crg mpd czeroo wceq ax-1 wn cv wex cinito
      neq0 cbs ctermo ccat ringccat syl iszeroi sylan zrtermoringc irinitoringc
      ccic wbr ad2antrr simplr simpr initoeu1w termoeu1w w3a cictr syl3an1 ciso
      co eqid cin cnzr eldifad elind ringcbas eleqtrrd zringring a1i cic wne n0
      chom wss isohom ssn0 crh ringchom neeq1d zringnzr nrhmzr sylancl eqneqall
      cdif sylbid syl5com com13 syl5bir 3ad2ant1 3exp a1dd exp31 com34 com25 ex
      expcom expimpd com23 impd com24 adantr exlimiv sylbi pm2.61i ) BUAMZNUBZA
      XOOZXOAUCXOUDKUEZXNPZKUFXPKXNUHXRXPKAXRXOAXRQXQBUIMZPZXQBUGMZPZXQBUJMZPZQ
      ZQZXOABUKPZXRYFACDPYGFBCDGULUMZBXQUNUOAYFXOOZXRAEYCPZYIABCDEFGHIUPARYAPZY
      JYIOABCDFJGUQAYFYJYKXOAXTYEYJYKXOOOZAYEXTYLAYBYDXTYLOAYBQZYKXTYJYDXOYMYKX
      TYJYDXOOOOZYMYKQZXQRBURMZUSZYNYOXQRBAYGYBYKYHUTAYBYKVAYMYKVBVCAYQYNOYBYKA
      YDXTYJYQXOAYDYJXTYQXOOZAYDYJXTYROZAYDQZYJQZEXQYPUSZYSUUAEXQBAYGYDYJYHUTYT
      YJVBAYDYJVAVDAUUBYSOYDYJAUUBYRXTAUUBYQXOAUUBYQVEERYPUSZXOAYGUUBYQUUCYHBEX
      QRVFVGAUUBUUCXOOYQAUUCLUEERBVHMZVIZPLUFZXOAXSBLUUDERUUDVJZXSVJZYHAECSVKZX
      SACSEIAESVLHVMVNAXSBCDGUUHFVOZVPZARUUIXSACSRJRSPAVQVRVNUUJVPZVSUUFUUENVTZ
      AXOLUUEWAAUUEERBWBMZVIZWCZUUMXOOAXSBUUNUUDERUUHUUNVJZUUGYHUUKUULWDUUMUUPA
      XOUUPUUMXPUUPUUMQUUONVTZAXOUUEUUOWEAUURERWFVIZNVTZXOAUUOUUSNAXSBCUUNDERGU
      UHFUUQUUKUULWGWHAUUSNUBZUUTXOOAESVLWMPRVLPUVAHWIREWJWKXOUUSNWLUMWNWOXEWPT
      WQWNWRTWSWTUTTXAXBXCUTTXDXCXFXGXHXITTXJTXEXKXLXM $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Subcategories of the category of rings
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d S r $.  $d X r $.
    srhmsubc.s $e |- A. r e. S r e. Ring $.
    srhmsubc.c $e |- C = ( U i^i S ) $.
    $( Lemma 1 for ~ srhmsubc .  (Contributed by AV, 19-Feb-2020.) $)
    srhmsubclem1 $p |- ( X e. C -> X e. ( U i^i Ring ) ) $=
      ( wcel wa crg cin cv eleq1 vtoclri anim2i elin2 elin 3imtr4i ) DCHZDBHZIS
      DJHZIDAHDCJKHTUASELZJHUAEDBUBDJMFNODCBAGPDCJQR $.

    $( Lemma 2 for ~ srhmsubc .  (Contributed by AV, 19-Feb-2020.) $)
    srhmsubclem2 $p |- ( ( U e. V /\ X e. C )
                          -> X e. ( Base ` ( RingCat ` U ) ) ) $=
      ( wcel wa crg cin cringc cfv cbs srhmsubclem1 adantl wceq eqid id adantr
      ringcbas eleqtrrd ) CDIZEAIZJECKLZCMNZONZUEEUFIUDABCEFGHPQUDUHUFRUEUDUHUG
      CDUGSUHSUDTUBUAUC $.

    $d C r s $.  $d U r s $.  $d V r s $.  $d X r s $.  $d Y r s $.
    srhmsubc.j $e |- J = ( r e. C , s e. C |-> ( r RingHom s ) ) $.
    $( Lemma 3 for ~ srhmsubc .  (Contributed by AV, 19-Feb-2020.) $)
    srhmsubclem3 $p |- ( ( U e. V /\ ( X e. C /\ Y e. C ) )
                          -> ( X J Y ) = ( X ( Hom ` ( RingCat ` U ) ) Y ) ) $=
      ( wcel wa co crh cfv wceq adantl eqid cringc chom cv cvv a1i oveq12 simpl
      cmpo simpr ovexd ovmpod cbs srhmsubclem2 sylan2 ringchom eqtr4d ) CEMZFAM
      ZGAMZNZNZFGDOFGPOZFGCUAQZUBQZOVAIHFGAAIUCZHUCZPOZVBDUDDIHAAVGUHRVALUEVEFR
      VFGRNVGVBRVAVEFVFGPUFSUTURUQURUSUGZSUTUSUQURUSUIZSVAFGPUJUKVAVCULQZVCCVDE
      FGVCTVJTUQUTUGVDTUTUQURFVJMVHABCEFIJKUMUNUTUQUSGVJMVIABCEGIJKUMUNUOUP $.

    $d C f g x y z $.  $d J f g x y z $.  $d S x $.  $d U f g $.
    $d U r s x y z $.  $d V f g x y z $.
    $( According to ~ df-subc , the subcategories ` ( Subcat `` C ) ` of a
       category ` C ` are subsets of the homomorphisms of ` C ` (see ~ subcssc
       and ~ subcss2 ).  Therefore, the set of special ring homomorphisms
       (i.e., ring homomorphisms from a special ring to another ring of that
       kind) is a subcategory of the category of (unital) rings.  (Contributed
       by AV, 19-Feb-2020.) $)
    srhmsubc $p |- ( U e. V -> J e. ( Subcat ` ( RingCat ` U ) ) ) $=
      ( vx vy wcel cfv co wa crg crh wceq adantr vg vf vz cringc csubc cssc wbr
      chomf cv ccid cop cco wral cin wss vtoclri ssriv sslin mp1i eqsstrid chom
      eleq1w ssid cbs simpl srhmsubclem2 adantrr adantrl ringchom sseqtrrid cvv
      eqid cmpo a1i oveq12 adantl simprl simprr ovexd ovmpod homfval ralrimivva
      3sstr4d cxp wfn ovex fnmpoi homffn id eqcomd sqxpeqd fneq2d mpbiri inex1g
      ringcbas isssc mpbir2and cid cres elin2 sylbi idrhm ringcid simpr 3eltr4d
      ccat ringccat ad3antrrr ad2ant2r ad2ant2rl wi anim12i srhmsubclem3 eleq2d
      syl jca biimpcd impcom adantlr adantld catcocl eleqtrrd ralrimiva issubc2
      biimpd imp ) CEMZDCUDNZUENMDYHUHNZUFUGZKUIZYHUJNZNZYKYKDOZMZUAUIZUBUIZYKL
      UIZUKUCUIZYHULNZOOZYKYSDOZMZUAYRYSDOZUMUBYKYRDOZUMZUCAUMLAUMZPZKAUMYGYJAC
      QUNZUOUUEYKYRYIOZUOZLAUMKAUMYGACBUNZUUIIBQUOUULUUIUOYGKBQGUIZQMYKQMZGYKBG
      KQVBHUPZUQBQCURUSUTYGUUKKLAAYGYKAMZYRAMZPZPZYKYRROZYKYRYHVANZOZUUEUUJUUSU
      UTUUTUVBUUTVCUUSYHVDNZYHCUVAEYKYRYHVLZUVCVLZYGUURVEUVAVLZYGUUPYKUVCMZUUQA
      BCEYKGHIVFZVGZYGUUQYRUVCMZUUPABCEYRGHIVFZVHZVIVJUUSGFYKYRAAUUMFUIZROZUUTD
      VKDGFAAUVNVMSZUUSJVNUUMYKSZUVMYRSPUVNUUTSUUSUUMYKUVMYRRVOVPYGUUPUUQVQYGUU
      PUUQVRUUSYKYRRVSVTUUSUVCYHYIUVAYKYRYIVLZUVEUVFUVIUVLWAWCWBYGKLAUUIDYIVKDA
      AWDWEYGGFAAUVNDJUUMUVMRWFWGVNZYGYIUUIUUIWDZWEYIUVCUVCWDZWEUVCYHYIUVQUVEWH
      YGUVSUVTYIYGUUIUVCYGUVCUUIYGUVCYHCEUVDUVEYGWIWOWJWKWLWMCQEWNWPWQYGUUHKAYG
      UUPPZYOUUGUWAWRYKVDNZWSZYKYKROZYMYNUWAUUNUWCUWDMUUPUUNYGUUPYKCMZYKBMZPUUN
      YKCBAIWTUWFUUNUWEUUOVPXAVPUWBYKUWBVLZXBXOUWAUVCYHUWBCYLEYKUVDUVEYLVLZYGUU
      PVEZUVHUWGXCUWAGFYKYKAAUVNUWDDVKUVOUWAJVNUVPUVMYKSPUVNUWDSUWAUUMYKUVMYKRV
      OVPYGUUPXDZUWJUWAYKYKRVSVTXEUWAUUFLUCAAUWAUUQYSAMZPZPZUUCUBUAUUEUUDUWMYQU
      UEMZYPUUDMZPZPZUUAYKYSROZUUBUWQUUAYKYSUVAOZUWRUWQUVCYHYTYQYPUVAYKYRYSUVEU
      VFYTVLZYGYHXFMUUPUWLUWPYHCEUVDXGZXHUWMUVGUWPUWAUVGUWLUVHTZTUWMUVJUWPYGUUQ
      UVJUUPUWKUVKXITUWMYSUVCMZUWPYGUWKUXCUUPUUQABCEYSGHIVFXJZTUWPUWMYQUVBMZUWN
      UWMUXEXKUWOUWMUWNUXEUWMUUEUVBYQUWMUUSUUEUVBSUWMYGUURUWAYGUWLUWITZUWAUUPUW
      LUUQUWJUUQUWKVEXLXPABCDEYKYRFGHIJXMXOXNXQTXRUWMUWPYPYRYSUVAOZMZUWMUWOUXHU
      WNUWMUWOUXHUWMUUDUXGYPYGUWLUUDUXGSUUPABCDEYRYSFGHIJXMXSXNYEXTYFYAUWMUWRUW
      SSUWPUWMUWSUWRUWMUVCYHCUVAEYKYSUVDUVEUXFUVFUXBUXDVIWJTYBUWMUUBUWRSUWPUWMG
      FYKYSAAUVNUWRDVKUVOUWMJVNUVPUVMYSSPUVNUWRSUWMUUMYKUVMYSRVOVPUWAUUPUWLUWJT
      UWAUUQUWKVRUWMYKYSRVSVTTYBWBWBXPYCYGKLUCYHAYTYLUBUAYIDUVQUWHUWTUXAUVRYDWQ
      $.

    $( The restriction of the category of (unital) rings to the set of special
       ring homomorphisms is a category.  (Contributed by AV, 19-Feb-2020.) $)
    sringcat $p |- ( U e. V -> ( ( RingCat ` U ) |`cat J ) e. Cat ) $=
      ( wcel cringc cfv cresc co eqid srhmsubc subccat ) CEKCLMZSDNOZDTPABCDEFG
      HIJQR $.
  $}

  ${
    $d C r s $.  $d U r s $.  $d V r s $.
    crhmsubc.c $e |- C = ( U i^i CRing ) $.
    crhmsubc.j $e |- J = ( r e. C , s e. C |-> ( r RingHom s ) ) $.
    $( According to ~ df-subc , the subcategories ` ( Subcat `` C ) ` of a
       category ` C ` are subsets of the homomorphisms of ` C ` (see ~ subcssc
       and ~ subcss2 ).  Therefore, the set of commutative ring homomorphisms
       (i.e. ring homomorphisms from a commutative ring to a commutative ring)
       is a "subcategory" of the category of (unital) rings.  (Contributed by
       AV, 19-Feb-2020.) $)
    crhmsubc $p |- ( U e. V -> J e. ( Subcat ` ( RingCat ` U ) ) ) $=
      ( ccrg cv crg wcel crngring rgen srhmsubc ) AIBCDEFFJZKLFIPMNGHO $.

    $( The restriction of the category of (unital) rings to the set of
       commutative ring homomorphisms is a category, the "category of
       commutative rings".  (Contributed by AV, 19-Feb-2020.) $)
    cringcat $p |- ( U e. V -> ( ( RingCat ` U ) |`cat J ) e. Cat ) $=
      ( wcel cringc cfv cresc co eqid crhmsubc subccat ) BDIBJKZQCLMZCRNABCDEFG
      HOP $.
  $}

  ${
    $d C r s $.  $d U r s $.  $d V r s $.
    drhmsubc.c $e |- C = ( U i^i DivRing ) $.
    drhmsubc.j $e |- J = ( r e. C , s e. C |-> ( r RingHom s ) ) $.
    $( According to ~ df-subc , the subcategories ` ( Subcat `` C ) ` of a
       category ` C ` are subsets of the homomorphisms of ` C ` (see ~ subcssc
       and ~ subcss2 ).  Therefore, the set of division ring homomorphisms is a
       "subcategory" of the category of (unital) rings.  (Contributed by AV,
       20-Feb-2020.) $)
    drhmsubc $p |- ( U e. V -> J e. ( Subcat ` ( RingCat ` U ) ) ) $=
      ( cdr cv crg wcel drngring rgen srhmsubc ) AIBCDEFFJZKLFIPMNGHO $.

    $( The restriction of the category of (unital) rings to the set of division
       ring homomorphisms is a category, the "category of division rings".
       (Contributed by AV, 20-Feb-2020.) $)
    drngcat $p |- ( U e. V -> ( ( RingCat ` U ) |`cat J ) e. Cat ) $=
      ( cdr cv crg wcel drngring rgen sringcat ) AIBCDEFFJZKLFIPMNGHO $.

    $d D r s $.
    fldhmsubc.d $e |- D = ( U i^i Field ) $.
    fldhmsubc.f $e |- F = ( r e. D , s e. D |-> ( r RingHom s ) ) $.
    $( The restriction of the category of (unital) rings to the set of field
       homomorphisms is a category, the "category of fields".  (Contributed by
       AV, 20-Feb-2020.) $)
    fldcat $p |- ( U e. V -> ( ( RingCat ` U ) |`cat F ) e. Cat ) $=
      ( cfield cv crg wcel cdr ccrg wa isfld crngring adantl sylbi sringcat
      rgen ) BMCDFGHHNZOPZHMUFMPUFQPZUFRPZSUGUFTUIUGUHUFUAUBUCUEKLUD $.

    $( The restriction of the category of division rings to the set of field
       homomorphisms is a category, the "category of fields".  (Contributed by
       AV, 20-Feb-2020.) $)
    fldc $p |- ( U e. V -> ( ( ( RingCat ` U ) |`cat J ) |`cat F ) e. Cat ) $=
      ( cringc cresc co cvv cxp cdr cin cfield wcel cfv ccat fvexd wfn crh ovex
      fnmpoi a1i inex1g eqeltrid ccrg df-field inss1 eqsstri sslin mp1i 3sstr4g
      cv wss rescabs fldcat eqeltrd ) CFUAZCMUBZENODNOVEDNOUCVDVEABEDPPVDCMUDEA
      AQUEVDHGAAHUSZGUSZUFOZEJVFVGUFUGZUHUIDBBQUEVDHGBBVHDLVIUHUIVDACRSZPICRFUJ
      UKVDCTSZVJBATRUTVKVJUTVDTRULSRUMRULUNUOTRCUPUQKIURVAABCDEFGHIJKLVBVC $.

    $d D r s x y $.  $d F x y $.  $d J x y $.  $d U x y $.  $d V x y $.
    $( According to ~ df-subc , the subcategories ` ( Subcat `` C ) ` of a
       category ` C ` are subsets of the homomorphisms of ` C ` (see ~ subcssc
       and ~ subcss2 ).  Therefore, the set of field homomorphisms is a
       "subcategory" of the category of division rings.  (Contributed by AV,
       20-Feb-2020.) $)
    fldhmsubc $p |- ( U e. V
                      -> F e. ( Subcat ` ( ( RingCat ` U ) |`cat J ) ) ) $=
      ( vx vy wcel co cfield cdr a1i crh cringc cfv cresc csubc cssc wbr cv crg
      ccrg cin elin simprbi crngring syl df-field eleq2s rgen srhmsubc wss wral
      inss1 eqsstri sslin ax-mp sseq12i sylibr wa ssidd cmpo wceq oveq12 adantl
      cvv weq simprl simpr ovexd ovmpod mpbir sseli ad2antrl 3sstr4d ralrimivva
      cxp wfn ovex fnmpoi inex1g eqeltrid isssc mpbir2and drhmsubc eqid subsubc
      wb ) CFOZDCUAUBZEUCPZUDUBOZDWQUDUBZOZDEUEUFZBQCDFGHHUGZUHOZHQXDXCRUIUJZQX
      CXEOZXCUIOZXDXFXCROXGXCRUIUKULXCUMUNUOUPUQKLURWPXBBAUSZMUGZNUGZDPZXIXJEPZ
      USZNBUTMBUTWPCQUJZCRUJZUSZXHXPWPQRUSXPQXERUORUIVAVBQRCVCVDZSBXNAXOKIVEZVF
      WPXMMNBBWPXIBOZXJBOZVGZVGZXIXJTPZYCXKXLYBYCVHYBHGXIXJBBXCGUGZTPZYCDVMDHGB
      BYEVIVJYBLSHMVNGNVNVGYEYCVJYBXCXIYDXJTVKVLZWPXSXTVOYAXTWPXSXTVPVLYBXIXJTV
      QZVRYBHGXIXJAAYEYCEVMEHGAAYEVIVJYBJSYFXSXIAOWPXTBAXIXHXPXQXRVSZVTWAYAXJAO
      ZWPXTYIXSBAXJYHVTVLVLYGVRWBWCWPMNBADEVMDBBWDWEWPHGBBYEDLXCYDTWFZWGSEAAWDW
      EWPHGAAYEEJYJWGSWPAXOVMICRFWHWIWJWKWPEWTOWSXAXBVGWOACEFGHIJWLWQWREDWRWMWN
      UNWK $.
  $}

  ${
    rngcrescrhm.u $e |- ( ph -> U e. V ) $.
    rngcrescrhm.c $e |- C = ( RngCat ` U ) $.
    rngcrescrhm.r $e |- ( ph -> R = ( Ring i^i U ) ) $.
    rngcrescrhm.h $e |- H = ( RingHom |` ( R X. R ) ) $.
    $( The category of non-unital rings (in a universe) restricted to the ring
       homomorphisms between unital rings (in the same universe).  (Contributed
       by AV, 1-Mar-2020.) $)
    rngcrescrhm $p |- ( ph -> ( C |`cat H )
                           = ( ( C |`s R ) sSet <. ( Hom ` ndx ) , H >. ) ) $=
      ( cresc co cvv wcel crg cin crh cxp wfn wss eqid crngc fvexi incom eqtrdi
      a1i inex1g eqeltrd cres inss1 eqsstrdi xpss12 syl2anc rhmfn fnssresb mp1i
      syl wb mpbird fneq1i sylibr rescval2 ) ABBEKLZCEMMVCUABMNABDUBHUCUFACDOPZ
      MACODPZVDIODUDUEADFNVDMNGDOFUGUQUHAQCCRZUIZVFSZEVFSAVHVFOORZTZACOTZVKVJAC
      VEOIODUJUKZVLCOCOULUMQVISVHVJURAUNVIVFQUOUPUSVFEVGJUTVAVB $.

    $d R x y $.
    $( Lemma 1 for ~ rhmsubc .  (Contributed by AV, 2-Mar-2020.) $)
    rhmsubclem1 $p |- ( ph -> H Fn ( R X. R ) ) $=
      ( vx vy wfn cv cghm co cmgp crh crg wceq cxp cfv cmhm cin cmpo eqid inex1
      ovex fnmpoi cres a1i dfrhm2 reseq1d eqsstrdi resmpo syl2anc 3eqtrd fneq1d
      wss inss1 mpbiri ) AECCUAZMKLCCKNZLNZOPZVCQUBVDQUBUCPZUDZUEZVBMKLCCVGVHVH
      UFVEVFVCVDOUHUGUIAVBEVHAERVBUJZKLSSVGUEZVBUJZVHEVITAJUKARVJVBRVJTALKULUKU
      MACSUSZVLVKVHTACSDUDSISDUTUNZVMKLSSCCVGUOUPUQURVA $.

    $( Lemma 2 for ~ rhmsubc .  (Contributed by AV, 2-Mar-2020.) $)
    rhmsubclem2 $p |- ( ( ph /\ X e. R /\ Y e. R )
                           -> ( X H Y ) = ( X RingHom Y ) ) $=
      ( wcel w3a cop crh cxp cfv co df-ov opelxpi 3adant1 fvresd fveq1i 3eqtr4g
      cres eqtri ) AGCMZHCMZNZGHOZPCCQZUFZRZUKPRGHESZGHPSUJUKULPUHUIUKULMAGHCCU
      AUBUCUOUKERUNGHETUKEUMLUDUGGHPTUE $.

    $d C y $.  $d U y $.  $d V y $.  $d ph y $.
    $( Lemma 3 for ~ rhmsubc .  (Contributed by AV, 2-Mar-2020.) $)
    rhmsubclem3 $p |- ( ( ph /\ x e. R )
                          -> ( ( Id ` ( RngCat ` U ) ) ` x ) e. ( x H x ) ) $=
      ( wcel cbs cfv co ccid crg cin eqid crng cv wa cid cres crh crngc elinel1
      eleq2d syl6bi imp idrhm syl eqcomi fveq2i adantr incom wss ringssrng mp1i
      sslin eqsstrid rngcbas 3sstr4d sselda rngcid rhmsubclem2 3anidm23 3eltr4d
      wceq ) ABUAZDLZUBZUCVJMNZUDZVJVJUEOZVJEUFNZPNZNVJVJFOZVLVJQLZVNVOLAVKVSAV
      KVJQERZLVSADVTVJJUHVJQEUGUIUJVMVJVMSZUKULVLCMNZCVMEVQGVJIWBSZVPCPCVPIUMUN
      AEGLVKHUOADWBVJAVTETRZDWBAVTEQRZWDQEUPQTUQWEWDUQAURQTEUTUSVAJAWBCEGIWCHVB
      VCVDWAVEAVKVRVOVIACDEFGVJVJHIJKVFVGVH $.

    $d R x y z $.  $d U x $.  $d ph x y $.
    $( Lemma 4 for ~ rhmsubc .  (Contributed by AV, 2-Mar-2020.) $)
    rhmsubclem4 $p |- ( ( ( ( ph /\ x e. R ) /\ ( y e. R /\ z e. R ) )
                             /\ ( f e. ( x H y ) /\ g e. ( y H z ) ) )
       -> ( g ( <. x , y >. ( comp ` ( RngCat ` U ) ) z ) f ) e. ( x H z ) ) $=
      ( wcel wa co crh adantr cv ccom cop crngc cfv cco wceq simpl simpr adantl
      rhmsubclem2 syl3anc eleq2d anbi12d ancoms syl6bi imp ad3antrrr eqcomi crg
      rhmco fveq2i cin inss2 eqsstrdi sselda sseld adantrd adantld cbs cxp cres
      wi wf oveqi ovresd syl5eq eqid rhmf com12 impcom ovres rngcco 3eltr4d ) A
      BUAZFPZQZCUAZFPZDUAZFPZQZQZHUAZWEWHJRZPZIUAZWHWJJRZPZQZQZWQWNUBZWEWJSRZWQ
      WNWEWHUCWJGUDUEZUFUEZRRWEWJJRZWMWTXBXCPZWMWTWNWEWHSRZPZWQWHWJSRZPZQXGWMWP
      XIWSXKWMWOXHWNWMAWFWIWOXHUGWGAWLAWFUHTZWGWFWLAWFUITZWLWIWGWIWKUHUJZAEFGJK
      WEWHLMNOUKULUMWMWRXJWQWMAWIWKWRXJUGXLXNWLWKWGWIWKUIUJZAEFGJKWHWJLMNOUKULU
      MUNXKXIXGWEWHWJWQWNVAUOUPUQXAEXEGWNWQKWEWHWJMAGKPWFWLWTLURXDEUFEXDMUSVBWM
      WEGPZWTWGXPWLAFGWEAFUTGVCGNUTGVDVEZVFTTWMWHGPZWTWGWLXRAWLXRVMWFAWIXRWKAFG
      WHXQVGVHTUQTWMWJGPZWTWGWLXSAWLXSVMWFAWKXSWIAFGWJXQVGVITUQTWTWMWEVJUEZWHVJ
      UEZWNVNZWPWMYBVMWSWMWPYBWMWPXIYBWMWOXHWNWMWOWEWHSFFVKVLZRXHJYCWEWHOVOWMWE
      WHSFXMXNVPVQUMXTYAWEWHWNXTVRYAVRZVSUPVTTWAWTWMYAWJVJUEZWQVNZWSWMYFVMWPWMW
      SYFWMWSXKYFWMWRXJWQWMWRWHWJYCRZXJJYCWHWJOVOWLYGXJUGWGWHWJFFSWBUJVQUMYAYEW
      HWJWQYDYEVRVSUPVTUJWAWCWMXFXCUGZWTWMAWFWKYHXLXMXOAEFGJKWEWJLMNOUKULTWD $.

    $d H f g x y z $.  $d R f g $.  $d U f g x z $.  $d ph f g z $.
    $( According to ~ df-subc , the subcategories ` ( Subcat `` C ) ` of a
       category ` C ` are subsets of the homomorphisms of ` C ` (see ~ subcssc
       and ~ subcss2 ).  Therefore, the set of unital ring homomorphisms is a
       "subcategory" of the category of non-unital rings.  (Contributed by AV,
       2-Mar-2020.) $)
    rhmsubc $p |- ( ph -> H e. ( Subcat ` ( RngCat ` U ) ) ) $=
      ( vx vg vf vy vz cfv wcel cv co eqid crngc csubc chomf cssc wbr ccid wral
      cop cco wa crh cxp cres crngh crng cin eqidd rhmsscrnghm wceq chom eqcomd
      a1i fveq2d rngchomfeqhom rngchomfval rngcbas incom eqtrdi sqxpeqd reseq2d
      cbs eqtrd 3eqtrd 3brtr4d rhmsubclem3 rhmsubclem4 ralrimivva jca ralrimiva
      ccat rngccat syl rhmsubclem1 issubc2 mpbir2and ) AEDUAPZUBPQEWFUCPZUDUEKR
      ZWFUFPZPWHWHESQZLRMRWHNRZUHORZWFUIPZSSWHWLESQZLWKWLESZUGMWHWKESZUGZOCUGNC
      UGZUJZKCUGAUKCCULUMZUNUODUPZXAULZUMZEWGUDACXADFGIAXAUQUREWTUSAJVBAWGBUCPB
      UTPZXCAWFBUCABWFBWFUSAHVBVAVCABVKPZBDFHXETZGVDAXDUNXEXEULZUMXCAXEBDXDFHXF
      GXDTVEAXGXBUNAXEXAAXEDUOUPXAAXEBDFHXFGVFDUOVGVHVIVJVLVMVNAWSKCAWHCQUJZWJW
      RAKBCDEFGHIJVOXHWQNOCCXHWKCQWLCQUJUJWNMLWPWOAKNOBCDMLEFGHIJVPVQVQVRVSAKNO
      WFCWMWIMLWGEWGTWITWMTADFQWFVTQGWFDFWFTWAWBABCDEFGHIJWCWDWE $.

    $( The restriction of the category of non-unital rings to the set of unital
       ring homomorphisms is a category.  (Contributed by AV, 4-Mar-2020.) $)
    rhmsubccat $p |- ( ph -> ( ( RngCat ` U ) |`cat H ) e. Cat ) $=
      ( crngc cfv cresc co eqid rhmsubc subccat ) ADKLZREMNZESOABCDEFGHIJPQ $.
  $}

  ${
    $d S r $.  $d X r $.
    srhmsubcALTV.s $e |- A. r e. S r e. Ring $.
    srhmsubcALTV.c $e |- C = ( U i^i S ) $.
    $( Lemma 1 for ~ srhmsubcALTV .  (Contributed by AV, 19-Feb-2020.)
       (New usage is discouraged.) $)
    srhmsubcALTVlem1 $p |- ( ( U e. V /\ X e. C )
                          -> X e. ( Base ` ( RingCatALTV ` U ) ) ) $=
      ( wcel wa crg cin cringcALTV cfv cbs srhmsubclem1 adantl wceq eqid id
      ringcbasALTV adantr eleqtrrd ) CDIZEAIZJECKLZCMNZONZUEEUFIUDABCEFGHPQUDUH
      UFRUEUDUHUGCDUGSUHSUDTUAUBUC $.

    $d C r s $.  $d U r s $.  $d V r s $.  $d X r s $.  $d Y r s $.
    srhmsubcALTV.j $e |- J = ( r e. C , s e. C |-> ( r RingHom s ) ) $.
    $( Lemma 2 for ~ srhmsubcALTV .  (Contributed by AV, 19-Feb-2020.)
       (New usage is discouraged.) $)
    srhmsubcALTVlem2 $p |- ( ( U e. V /\ ( X e. C /\ Y e. C ) )
                      -> ( X J Y ) = ( X ( Hom ` ( RingCatALTV ` U ) ) Y ) ) $=
      ( wcel wa co crh cfv wceq adantl eqid cringcALTV chom cvv cmpo a1i oveq12
      simpl simpr ovexd ovmpod cbs srhmsubcALTVlem1 sylan2 ringchomALTV eqtr4d
      cv ) CEMZFAMZGAMZNZNZFGDOFGPOZFGCUAQZUBQZOVAIHFGAAIUPZHUPZPOZVBDUCDIHAAVG
      UDRVALUEVEFRVFGRNVGVBRVAVEFVFGPUFSUTURUQURUSUGZSUTUSUQURUSUHZSVAFGPUIUJVA
      VCUKQZVCCVDEFGVCTVJTUQUTUGVDTUTUQURFVJMVHABCEFIJKULUMUTUQUSGVJMVIABCEGIJK
      ULUMUNUO $.

    $d C f g x y z $.  $d J f g x y z $.  $d S x $.  $d U f g $.
    $d U r s x y z $.  $d V f g x y z $.
    $( According to ~ df-subc , the subcategories ` ( Subcat `` C ) ` of a
       category ` C ` are subsets of the homomorphisms of ` C ` (see ~ subcssc
       and ~ subcss2 ).  Therefore, the set of special ring homomorphisms
       (i.e., ring homomorphisms from a special ring to another ring of that
       kind) is a subcategory of the category of (unital) rings.  (Contributed
       by AV, 19-Feb-2020.)  (New usage is discouraged.) $)
    srhmsubcALTV $p |- ( U e. V -> J e. ( Subcat ` ( RingCatALTV ` U ) ) ) $=
      ( vx vy wcel cfv co wa crg crh wceq adantr vg vf vz cringcALTV csubc cssc
      chomf wbr cv ccid cop cco wral cin wss eleq1w vtoclri ssriv mp1i eqsstrid
      sslin chom ssid cbs eqid simpl srhmsubcALTVlem1 adantrr adantrl sseqtrrid
      ringchomALTV cvv oveq12 adantl simprl simprr ovexd ovmpod homfval 3sstr4d
      cmpo a1i ralrimivva cxp ovex fnmpoi homffn id ringcbasALTV eqcomd sqxpeqd
      wfn fneq2d mpbiri inex1g isssc mpbir2and cid cres elin2 sylbi ringcidALTV
      idrhm syl simpr 3eltr4d ccat ringccatALTV ad3antrrr ad2ant2r ad2ant2rl wi
      anim12i jca srhmsubcALTVlem2 eleq2d biimpcd impcom adantlr biimpd adantld
      imp catcocl eleqtrrd ralrimiva issubc2 ) CEMZDCUDNZUENMDYHUGNZUFUHZKUIZYH
      UJNZNZYKYKDOZMZUAUIZUBUIZYKLUIZUKUCUIZYHULNZOOZYKYSDOZMZUAYRYSDOZUMUBYKYR
      DOZUMZUCAUMLAUMZPZKAUMYGYJACQUNZUOUUEYKYRYIOZUOZLAUMKAUMYGACBUNZUUIIBQUOU
      ULUUIUOYGKBQGUIZQMYKQMZGYKBGKQUPHUQZURBQCVAUSUTYGUUKKLAAYGYKAMZYRAMZPZPZY
      KYRROZYKYRYHVBNZOZUUEUUJUUSUUTUUTUVBUUTVCUUSYHVDNZYHCUVAEYKYRYHVEZUVCVEZY
      GUURVFUVAVEZYGUUPYKUVCMZUUQABCEYKGHIVGZVHZYGUUQYRUVCMZUUPABCEYRGHIVGZVIZV
      KVJUUSGFYKYRAAUUMFUIZROZUUTDVLDGFAAUVNWASZUUSJWBUUMYKSZUVMYRSPUVNUUTSUUSU
      UMYKUVMYRRVMVNYGUUPUUQVOYGUUPUUQVPUUSYKYRRVQVRUUSUVCYHYIUVAYKYRYIVEZUVEUV
      FUVIUVLVSVTWCYGKLAUUIDYIVLDAAWDWLYGGFAAUVNDJUUMUVMRWEWFWBZYGYIUUIUUIWDZWL
      YIUVCUVCWDZWLUVCYHYIUVQUVEWGYGUVSUVTYIYGUUIUVCYGUVCUUIYGUVCYHCEUVDUVEYGWH
      WIWJWKWMWNCQEWOWPWQYGUUHKAYGUUPPZYOUUGUWAWRYKVDNZWSZYKYKROZYMYNUWAUUNUWCU
      WDMUUPUUNYGUUPYKCMZYKBMZPUUNYKCBAIWTUWFUUNUWEUUOVNXAVNUWBYKUWBVEZXCXDUWAU
      VCYHUWBCYLEYKUVDUVEYLVEZYGUUPVFZUVHUWGXBUWAGFYKYKAAUVNUWDDVLUVOUWAJWBUVPU
      VMYKSPUVNUWDSUWAUUMYKUVMYKRVMVNYGUUPXEZUWJUWAYKYKRVQVRXFUWAUUFLUCAAUWAUUQ
      YSAMZPZPZUUCUBUAUUEUUDUWMYQUUEMZYPUUDMZPZPZUUAYKYSROZUUBUWQUUAYKYSUVAOZUW
      RUWQUVCYHYTYQYPUVAYKYRYSUVEUVFYTVEZYGYHXGMUUPUWLUWPYHCEUVDXHZXIUWMUVGUWPU
      WAUVGUWLUVHTZTUWMUVJUWPYGUUQUVJUUPUWKUVKXJTUWMYSUVCMZUWPYGUWKUXCUUPUUQABC
      EYSGHIVGXKZTUWPUWMYQUVBMZUWNUWMUXEXLUWOUWMUWNUXEUWMUUEUVBYQUWMUUSUUEUVBSU
      WMYGUURUWAYGUWLUWITZUWAUUPUWLUUQUWJUUQUWKVFXMXNABCDEYKYRFGHIJXOXDXPXQTXRU
      WMUWPYPYRYSUVAOZMZUWMUWOUXHUWNUWMUWOUXHUWMUUDUXGYPYGUWLUUDUXGSUUPABCDEYRY
      SFGHIJXOXSXPXTYAYBYCUWMUWRUWSSUWPUWMUWSUWRUWMUVCYHCUVAEYKYSUVDUVEUXFUVFUX
      BUXDVKWJTYDUWMUUBUWRSUWPUWMGFYKYSAAUVNUWRDVLUVOUWMJWBUVPUVMYSSPUVNUWRSUWM
      UUMYKUVMYSRVMVNUWAUUPUWLUWJTUWAUUQUWKVPUWMYKYSRVQVRTYDWCWCXNYEYGKLUCYHAYT
      YLUBUAYIDUVQUWHUWTUXAUVRYFWQ $.

    $( The restriction of the category of (unital) rings to the set of special
       ring homomorphisms is a category.  (Contributed by AV, 19-Feb-2020.)
       (New usage is discouraged.) $)
    sringcatALTV $p |- ( U e. V -> ( ( RingCatALTV ` U ) |`cat J ) e. Cat ) $=
      ( wcel cringcALTV cfv cresc co eqid srhmsubcALTV subccat ) CEKCLMZSDNOZDT
      PABCDEFGHIJQR $.
  $}

  ${
    $d C r s $.  $d U r s $.  $d V r s $.
    crhmsubcALTV.c $e |- C = ( U i^i CRing ) $.
    crhmsubcALTV.j $e |- J = ( r e. C , s e. C |-> ( r RingHom s ) ) $.
    $( According to ~ df-subc , the subcategories ` ( Subcat `` C ) ` of a
       category ` C ` are subsets of the homomorphisms of ` C ` (see ~ subcssc
       and ~ subcss2 ).  Therefore, the set of commutative ring homomorphisms
       (i.e. ring homomorphisms from a commutative ring to a commutative ring)
       is a "subcategory" of the category of (unital) rings.  (Contributed by
       AV, 19-Feb-2020.)  (New usage is discouraged.) $)
    crhmsubcALTV $p |- ( U e. V -> J e. ( Subcat ` ( RingCatALTV ` U ) ) ) $=
      ( ccrg cv crg wcel crngring rgen srhmsubcALTV ) AIBCDEFFJZKLFIPMNGHO $.

    $( The restriction of the category of (unital) rings to the set of
       commutative ring homomorphisms is a category, the "category of
       commutative rings".  (Contributed by AV, 19-Feb-2020.)
       (New usage is discouraged.) $)
    cringcatALTV $p |- ( U e. V -> ( ( RingCatALTV ` U ) |`cat J ) e. Cat ) $=
      ( wcel cringcALTV cfv cresc co eqid crhmsubcALTV subccat ) BDIBJKZQCLMZCR
      NABCDEFGHOP $.
  $}

  ${
    $d C r s $.  $d U r s $.  $d V r s $.
    drhmsubcALTV.c $e |- C = ( U i^i DivRing ) $.
    drhmsubcALTV.j $e |- J = ( r e. C , s e. C |-> ( r RingHom s ) ) $.
    $( According to ~ df-subc , the subcategories ` ( Subcat `` C ) ` of a
       category ` C ` are subsets of the homomorphisms of ` C ` (see ~ subcssc
       and ~ subcss2 ).  Therefore, the set of division ring homomorphisms is a
       "subcategory" of the category of (unital) rings.  (Contributed by AV,
       20-Feb-2020.)  (New usage is discouraged.) $)
    drhmsubcALTV $p |- ( U e. V -> J e. ( Subcat ` ( RingCatALTV ` U ) ) ) $=
      ( cdr cv crg wcel drngring rgen srhmsubcALTV ) AIBCDEFFJZKLFIPMNGHO $.

    $( The restriction of the category of (unital) rings to the set of division
       ring homomorphisms is a category, the "category of division rings".
       (Contributed by AV, 20-Feb-2020.)  (New usage is discouraged.) $)
    drngcatALTV $p |- ( U e. V -> ( ( RingCatALTV ` U ) |`cat J ) e. Cat ) $=
      ( cdr cv crg wcel drngring rgen sringcatALTV ) AIBCDEFFJZKLFIPMNGHO $.

    $d D r s $.
    fldhmsubcALTV.d $e |- D = ( U i^i Field ) $.
    fldhmsubcALTV.f $e |- F = ( r e. D , s e. D |-> ( r RingHom s ) ) $.
    $( The restriction of the category of (unital) rings to the set of field
       homomorphisms is a category, the "category of fields".  (Contributed by
       AV, 20-Feb-2020.)  (New usage is discouraged.) $)
    fldcatALTV $p |- ( U e. V -> ( ( RingCatALTV ` U ) |`cat F ) e. Cat ) $=
      ( cfield cv crg wcel cdr ccrg wa isfld crngring adantl sylbi sringcatALTV
      rgen ) BMCDFGHHNZOPZHMUFMPUFQPZUFRPZSUGUFTUIUGUHUFUAUBUCUEKLUD $.

    $( The restriction of the category of division rings to the set of field
       homomorphisms is a category, the "category of fields".  (Contributed by
       AV, 20-Feb-2020.)  (New usage is discouraged.) $)
    fldcALTV $p |- ( U e. V
                    -> ( ( ( RingCatALTV ` U ) |`cat J ) |`cat F ) e. Cat ) $=
      ( cringcALTV cresc co cvv cxp cdr cin cfield wcel cfv ccat fvexd wfn ovex
      crh fnmpoi a1i inex1g eqeltrid wss ccrg df-field inss1 eqsstri sslin mp1i
      cv 3sstr4g rescabs fldcatALTV eqeltrd ) CFUAZCMUBZENODNOVEDNOUCVDVEABEDPP
      VDCMUDEAAQUEVDHGAAHUSZGUSZUGOZEJVFVGUGUFZUHUIDBBQUEVDHGBBVHDLVIUHUIVDACRS
      ZPICRFUJUKVDCTSZVJBATRULVKVJULVDTRUMSRUNRUMUOUPTRCUQURKIUTVAABCDEFGHIJKLV
      BVC $.

    $d D r s x y $.  $d F x y $.  $d J x y $.  $d U x y $.  $d V x y $.
    $( According to ~ df-subc , the subcategories ` ( Subcat `` C ) ` of a
       category ` C ` are subsets of the homomorphisms of ` C ` (see ~ subcssc
       and ~ subcss2 ).  Therefore, the set of field homomorphisms is a
       "subcategory" of the category of division rings.  (Contributed by AV,
       20-Feb-2020.)  (New usage is discouraged.) $)
    fldhmsubcALTV $p |- ( U e. V
                      -> F e. ( Subcat ` ( ( RingCatALTV ` U ) |`cat J ) ) ) $=
      ( vx vy wcel co cfield cdr a1i crh cringcALTV cfv cresc csubc cssc wbr cv
      crg ccrg cin elin simprbi crngring df-field eleq2s rgen srhmsubcALTV wral
      syl wss inss1 eqsstri sslin ax-mp sseq12i sylibr wa ssidd cvv cmpo oveq12
      wceq weq adantl simprl simpr ovexd ovmpod mpbir sseli ad2antrl ralrimivva
      3sstr4d cxp ovex fnmpoi inex1g eqeltrid isssc mpbir2and drhmsubcALTV eqid
      wfn wb subsubc ) CFOZDCUAUBZEUCPZUDUBOZDWQUDUBZOZDEUEUFZBQCDFGHHUGZUHOZHQ
      XDXCRUIUJZQXCXEOZXCUIOZXDXFXCROXGXCRUIUKULXCUMUSUNUOUPKLUQWPXBBAUTZMUGZNU
      GZDPZXIXJEPZUTZNBURMBURWPCQUJZCRUJZUTZXHXPWPQRUTXPQXERUNRUIVAVBQRCVCVDZSB
      XNAXOKIVEZVFWPXMMNBBWPXIBOZXJBOZVGZVGZXIXJTPZYCXKXLYBYCVHYBHGXIXJBBXCGUGZ
      TPZYCDVIDHGBBYEVJVLYBLSHMVMGNVMVGYEYCVLYBXCXIYDXJTVKVNZWPXSXTVOYAXTWPXSXT
      VPVNYBXIXJTVQZVRYBHGXIXJAAYEYCEVIEHGAAYEVJVLYBJSYFXSXIAOWPXTBAXIXHXPXQXRV
      SZVTWAYAXJAOZWPXTYIXSBAXJYHVTVNVNYGVRWCWBWPMNBADEVIDBBWDWMWPHGBBYEDLXCYDT
      WEZWFSEAAWDWMWPHGAAYEEJYJWFSWPAXOVIICRFWGWHWIWJWPEWTOWSXAXBVGWNACEFGHIJWK
      WQWREDWRWLWOUSWJ $.
  $}

  ${
    rngcrescrhmALTV.u $e |- ( ph -> U e. V ) $.
    rngcrescrhmALTV.c $e |- C = ( RngCatALTV ` U ) $.
    rngcrescrhmALTV.r $e |- ( ph -> R = ( Ring i^i U ) ) $.
    rngcrescrhmALTV.h $e |- H = ( RingHom |` ( R X. R ) ) $.
    $( The category of non-unital rings (in a universe) restricted to the ring
       homomorphisms between unital rings (in the same universe).  (Contributed
       by AV, 1-Mar-2020.)  (New usage is discouraged.) $)
    rngcrescrhmALTV $p |- ( ph -> ( C |`cat H )
                           = ( ( C |`s R ) sSet <. ( Hom ` ndx ) , H >. ) ) $=
      ( cresc co cvv wcel crg cin crh cxp wfn wss crngcALTV fvexi eqtrdi inex1g
      eqid a1i incom syl eqeltrd cres inss1 eqsstrdi xpss12 syl2anc wb fnssresb
      rhmfn mp1i mpbird fneq1i sylibr rescval2 ) ABBEKLZCEMMVCUEBMNABDUAHUBUFAC
      DOPZMACODPZVDIODUGUCADFNVDMNGDOFUDUHUIAQCCRZUJZVFSZEVFSAVHVFOORZTZACOTZVK
      VJACVEOIODUKULZVLCOCOUMUNQVISVHVJUOAUQVIVFQUPURUSVFEVGJUTVAVB $.

    $d R x y $.
    $( Lemma 1 for ~ rhmsubcALTV .  (Contributed by AV, 2-Mar-2020.)
       (New usage is discouraged.) $)
    rhmsubcALTVlem1 $p |- ( ph -> H Fn ( R X. R ) ) $=
      ( vx vy wfn cv cghm co cmgp crh crg wceq cxp cfv cmhm cin cmpo eqid inex1
      ovex fnmpoi cres a1i dfrhm2 reseq1d eqsstrdi resmpo syl2anc 3eqtrd fneq1d
      wss inss1 mpbiri ) AECCUAZMKLCCKNZLNZOPZVCQUBVDQUBUCPZUDZUEZVBMKLCCVGVHVH
      UFVEVFVCVDOUHUGUIAVBEVHAERVBUJZKLSSVGUEZVBUJZVHEVITAJUKARVJVBRVJTALKULUKU
      MACSUSZVLVKVHTACSDUDSISDUTUNZVMKLSSCCVGUOUPUQURVA $.

    $( Lemma 2 for ~ rhmsubcALTV .  (Contributed by AV, 2-Mar-2020.)
       (New usage is discouraged.) $)
    rhmsubcALTVlem2 $p |- ( ( ph /\ X e. R /\ Y e. R )
                           -> ( X H Y ) = ( X RingHom Y ) ) $=
      ( wcel w3a cop crh cxp cfv co df-ov opelxpi 3adant1 fvresd fveq1i 3eqtr4g
      cres eqtri ) AGCMZHCMZNZGHOZPCCQZUFZRZUKPRGHESZGHPSUJUKULPUHUIUKULMAGHCCU
      AUBUCUOUKERUNGHETUKEUMLUDUGGHPTUE $.

    $d U y $.  $d V y $.  $d ph y $.
    $( Lemma 3 for ~ rhmsubcALTV .  (Contributed by AV, 2-Mar-2020.)
       (New usage is discouraged.) $)
    rhmsubcALTVlem3 $p |- ( ( ph /\ x e. R )
                       -> ( ( Id ` ( RngCatALTV ` U ) ) ` x ) e. ( x H x ) ) $=
      ( vy wcel wa cid cbs cfv crg cin wceq cv cres co crngcALTV eleq2d elinel1
      crh ccid syl6bi imp eqid idrhm syl cvv ccat cmpt rngccatidALTV simpr 3syl
      adantr fveq2 reseq2d adantl crng incom eqtrdi ringrng anim2i elin 3imtr4i
      eqcomi fveq2i rngcbasALTV eleqtrrd fvexd resiexd rhmsubcALTVlem2 3anidm23
      weq fvmptd 3eltr4d ) ABUAZDMZNZOWBPQZUBZWBWBUGUCZWBEUDQZUHQZQWBWBFUCZWDWB
      RMZWFWGMAWCWKAWCWBRESZMWKADWLWBJUEWBREUFUIUJWEWBWEUKULUMWDLWBOLUAZPQZUBZW
      FWHPQZWIUNWDEGMZWHUOMZWILWPWOUPTZNWSAWQWCHUTLWPWHEGWHUKWPUKUQWRWSURUSLBVS
      ZWOWFTWDWTWNWEOWMWBPVAVBVCWDWBEVDSZWPAWCWBXAMZAWCWBERSZMZXBADXCWBADWLXCJR
      EVEVFUEWBEMZWKNXEWBVDMZNXDXBWKXFXEWBVGVHWBERVIWBEVDVIVJUIUJAWPXATWCAWPCEG
      IWHCPCWHIVKVLHVMUTVNWDWEUNWDWBPVOVPVTAWCWJWGTACDEFGWBWBHIJKVQVRWA $.

    $d R x y z $.  $d ph x $.
    $( Lemma 4 for ~ rhmsubcALTV .  (Contributed by AV, 2-Mar-2020.)
       (New usage is discouraged.) $)
    rhmsubcALTVlem4 $p |- ( ( ( ( ph /\ x e. R ) /\ ( y e. R /\ z e. R ) )
                             /\ ( f e. ( x H y ) /\ g e. ( y H z ) ) )
   -> ( g ( <. x , y >. ( comp ` ( RngCatALTV ` U ) ) z ) f ) e. ( x H z ) ) $=
      ( wcel wa co adantr crg ccom crh cop crngcALTV cfv cco simpl simpr adantl
      cv wceq rhmsubcALTVlem2 syl3anc eleq2d anbi12d ancoms syl6bi imp cbs eqid
      rhmco ad3antrrr cin crng incom wss wi ringrng a1i ssrdv sslin rngcbasALTV
      syl 3sstr4d sselda sseld com12 impcom adantld crngh rhmisrnghm rngccoALTV
      eqsstrid 3eltr4d ) ABUJZFPZQZCUJZFPZDUJZFPZQZQZHUJZWEWHJRZPZIUJZWHWJJRZPZ
      QZQZWQWNUAZWEWJUBRZWQWNWEWHUCWJGUDUEZUFUEZRRWEWJJRZWMWTXBXCPZWMWTWNWEWHUB
      RZPZWQWHWJUBRZPZQXGWMWPXIWSXKWMWOXHWNWMAWFWIWOXHUKWGAWLAWFUGSZWGWFWLAWFUH
      SZWLWIWGWIWKUGUIZAEFGJKWEWHLMNOULUMUNZWMWRXJWQWMAWIWKWRXJUKXLXNWLWKWGWIWK
      UHUIZAEFGJKWHWJLMNOULUMUNZUOXKXIXGWEWHWJWQWNVAUPUQURXAXDUSUEZXDXEGWNWQKWE
      WHWJXDUTZXRUTZAGKPWFWLWTLVBXEUTWMWEXRPZWTWGYAWLAFXRWEATGVCZGVDVCZFXRAYBGT
      VCZYCTGVEATVDVFYDYCVFABTVDWETPWEVDPVGAWEVHVIVJTVDGVKVMWCNAXRXDGKXSXTLVLVN
      ZVOSSWMWHXRPZWTWLWGYFWIWGYFVGWKWGWIYFAWIYFVGWFAFXRWHYEVPSVQSVRSWMWJXRPZWT
      WGWLYGWGWKYGWIAWKYGVGWFAFXRWJYEVPSVSURSWTWMWNWEWHVTRPZWPWMYHVGWSWMWPYHWMW
      PXIYHXOWEWHWNWAUQVQSVRWMWTWQWHWJVTRPZWMWSYIWPWMWSXKYIXQWHWJWQWAUQVSURWBWM
      XFXCUKZWTWMAWFWKYJXLXMXPAEFGJKWEWJLMNOULUMSWD $.

    $d H f g x y z $.  $d R f g $.  $d U f g x z $.  $d ph f g z $.
    $( According to ~ df-subc , the subcategories ` ( Subcat `` C ) ` of a
       category ` C ` are subsets of the homomorphisms of ` C ` (see ~ subcssc
       and ~ subcss2 ).  Therefore, the set of unital ring homomorphisms is a
       "subcategory" of the category of non-unital rings.  (Contributed by AV,
       2-Mar-2020.)  (New usage is discouraged.) $)
    rhmsubcALTV $p |- ( ph -> H e. ( Subcat ` ( RngCatALTV ` U ) ) ) $=
      ( vx vg vf vy vz cfv wcel cv co wral crngcALTV csubc cssc wbr ccid cop wa
      chomf cco crh cxp cres crngh crng cin rhmsscrnghm a1i rngchomrnghmresALTV
      eqidd wceq eqid rhmsubcALTVlem3 rhmsubcALTVlem4 ralrimivva ralrimiva ccat
      3brtr4d jca rngccatALTV syl rhmsubcALTVlem1 issubc2 mpbir2and ) AEDUAPZUB
      PQEVNUHPZUCUDKRZVNUEPZPVPVPESQZLRMRVPNRZUFORZVNUIPZSSVPVTESQZLVSVTESZTMVP
      VSESZTZOCTNCTZUGZKCTAUJCCUKULZUMUNDUOZWIUKULEVOUCACWIDFGIAWIUSUPEWHUTAJUQ
      AWIVNDVOFVNVAZWIVAGVOVAZURVGAWGKCAVPCQUGZVRWFAKBCDEFGHIJVBWLWENOCCWLVSCQV
      TCQUGUGWBMLWDWCAKNOBCDMLEFGHIJVCVDVDVHVEAKNOVNCWAVQMLVOEWKVQVAWAVAADFQVNV
      FQGVNDFWJVIVJABCDEFGHIJVKVLVM $.

    $( The restriction of the category of non-unital rings to the set of unital
       ring homomorphisms is a category.  (Contributed by AV, 4-Mar-2020.)
       (New usage is discouraged.) $)
    rhmsubcALTVcat $p |- ( ph -> ( ( RngCatALTV ` U ) |`cat H ) e. Cat ) $=
      ( crngcALTV cfv cresc co eqid rhmsubcALTV subccat ) ADKLZREMNZESOABCDEFGH
      IJPQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Basic algebraic structures (extension)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Auxiliary theorems
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x z A $.  $d x z B $.  $d x z C $.  $d x y z $.
    $( Membership of an ordered pair in a union of Cartesian products over its
       second component, analogous to ~ opeliunxp .  (Contributed by AV,
       30-Mar-2019.) $)
    opeliun2xp $p |- ( <. C , y >. e. U_ y e. B ( A X. { y } ) <->
                     ( y e. B /\ C e. A ) ) $=
      ( vx vz cv cop csn cxp wcel wa wex weq eleq2d anbi12d bitri anbi2i 3bitri
      wceq ciun wrex cab wsb csb df-iun eleq2i opex nfv nfs1v nfcsb1v nfcv nfxp
      df-rex nfcri nfan sbequ12 csbeq1a sneq xpeq12d eleq1 anbi2d exbidv syl5bb
      cbvexv1 elab opelxp an13 ancom velsn equcom anbi1i exbii sbequ12r equcoms
      eqcomd equsexvw ) DAGZHZACBVRIZJZUAZKVSEGZWAKZACUBZEUCZKVRCKZAFUDZVSAFGZB
      UEZWIIZJZKZLZFMZWGDBKZLZWBWFVSAECWAUFUGWEWOEVSDVRUHWEWHWCWLKZLZFMZWCVSTZW
      OWEWGWDLZAMWTWDACUNXBWSAFXBFUIWHWRAWGAFUJAEWLAWJWKAWIBUKAWKULUMUOUPAFNZWG
      WHWDWRWGAFUQXCWAWLWCXCBWJVTWKAWIBURZVRWIUSUTOPVEQXAWSWNFXAWRWMWHWCVSWLVAV
      BVCVDVFWOFANZWHDWJKZLZLZFMWQWNXHFWNWHXFVRWKKZLZLZXIXGLZXHWMXJWHDVRWJWKVGR
      XKXIXFWHLZLXLWHXFXIVHXMXGXIXFWHVIRQXIXEXGXIXCXEAWIVJAFVKQVLSVMXGWQFAXEWHW
      GXFWPWGFAVNXEWJBDXEBWJBWJTAFXDVOVPOPVQQS $.
  $}

  ${
    $d x A $.  $d x B $.  $d x y C $.
    $( Membership in a union of Cartesian products over its second component,
       analogous to ~ eliunxp .  (Contributed by AV, 30-Mar-2019.) $)
    eliunxp2 $p |- ( C e. U_ y e. B ( A X. { y } ) <->
      E. x E. y ( C = <. x , y >. /\ ( x e. A /\ y e. B ) ) ) $=
      ( cv csn cxp ciun wcel cop wceq wa wex wrel wral relxp rgenw excom exbii
      reliun mpbir elrel mpan sylibr pm4.71ri nfiu1 nfel2 19.41 19.41v biancomi
      eleq1 opeliun2xp bitrdi pm5.32i bitr3i 3bitr2i bitri ) EBDCBFZGZHZIZJZEAF
      ZUSKZLZVDCJZUSDJZMZMZANZBNZVJBNANVCVFANZBNZVCMVMVCMZBNVLVCVNVCVFBNANZVNVB
      OZVCVPVQVAOZBDPVRBDCUTQRBDVAUAUBABEVBUCUDVFBASUEUFVMVCBBEVBBDVAUGUHUIVOVK
      BVOVFVCMZANVKVFVCAUJVSVJAVFVCVIVFVCVEVBJZVIEVEVBULVTVGVHBCDVDUMUKUNUOTUPT
      UQVJBASUR $.
  $}

  ${
    $d w x y z $.  $d w x z A $.  $d w x z B $.  $d w x y C $.  $d w z D $.
    mpomptx2.1 $e |- ( z = <. x , y >. -> C = D ) $.
    $( Express a two-argument function as a one-argument function, or
       vice-versa.  In this version ` A ( y ) ` is not assumed to be constant
       w.r.t ` y ` , analogous to ~ mpomptx .  (Contributed by AV,
       30-Mar-2019.) $)
    mpomptx2 $p |- ( z e. U_ y e. B ( A X. { y } ) |-> C ) =
      ( x e. A , y e. B |-> D ) $=
      ( vw cv csn cxp ciun cmpt wcel wceq wa copab wex eqtr4i df-mpt coprab cop
      df-mpo eliunxp2 anbi1i 19.41vv anass eqeq2d anbi2d pm5.32i 2exbii 3bitr2i
      cmpo bitri opabbii dfoprab2 ) CBEDBJZKLMZFNCJZUSOZIJZFPZQZCIRZABDEGUNZCIU
      SFUAVFAJZDOUREOQZVBGPZQZABIUBZVEABIDEGUDVEUTVGURUCPZVJQZBSASZCIRVKVDVNCIV
      DVLVHQZBSASZVCQVOVCQZBSASVNVAVPVCABDEUTUEUFVOVCABUGVQVMABVQVLVHVCQZQVMVLV
      HVCUHVLVRVJVLVCVIVHVLFGVBHUIUJUKUOULUMUPVJABICUQTTT $.
  $}

  ${
    $d u w x y z $.  $d u w A $.  $d u w x y z B $.  $d u C $.  $d u x D $.
    $d u E $.
    cbvmpox2.1 $e |- F/_ z A $.
    cbvmpox2.2 $e |- F/_ y D $.
    cbvmpox2.3 $e |- F/_ z C $.
    cbvmpox2.4 $e |- F/_ w C $.
    cbvmpox2.5 $e |- F/_ x E $.
    cbvmpox2.6 $e |- F/_ y E $.
    cbvmpox2.7 $e |- ( y = z -> A = D ) $.
    cbvmpox2.8 $e |- ( ( y = z /\ x = w ) -> C = E ) $.
    $( Rule to change the bound variable in a maps-to function, using implicit
       substitution.  This version of ~ cbvmpo allows ` A ` to be a function of
       ` y ` , analogous to ~ cbvmpox .  (Contributed by AV, 30-Mar-2019.) $)
    cbvmpox2 $p |- ( x e. A , y e. B |-> C ) = ( w e. D , z e. B |-> E ) $=
      ( vu nfv nfan cv wcel wa wceq coprab cmpo nfeq2 nfcri weq eleq1w sylan9bb
      eleq2d simpr eleq1d anbi12d ancoms eqeq2d cbvoprab12 df-mpo 3eqtr4i ) AUA
      EUBZBUAZFUBZUCZRUAZGUDZUCZABRUEDUAZHUBZCUAZFUBZUCZVEIUDZUCZDCRUEABEFGUFDC
      HFIUFVGVNABRDCVDVFDVAVCDVADSVCDSTDVEGMUGTVDVFCVAVCCCAEJUHVCCSTCVEGLUGTVLV
      MAVIVKAVIASVKASTAVEINUGTVLVMBVIVKBBDHKUHVKBSTBVEIOUGTADUIZBCUIZUCZVDVLVFV
      MVQVAVIVCVKVOVAVHEUBVPVIADEUJVPEHVHPULUKVQVBVJFVOVPUMUNUOVQGIVEVPVOGIUDQU
      PUQUOURABREFGUSDCRHFIUSUT $.
  $}

  ${
    $d t u v x A $.  $d t u v x y B $.  $d t u v C $.
    dmmpossx2.1 $e |- F = ( x e. A , y e. B |-> C ) $.
    $( The domain of a mapping is a subset of its base classes expressed as
       union of Cartesian products over its second component, analogous to
       ~ dmmpossx .  (Contributed by AV, 30-Mar-2019.) $)
    dmmpossx2 $p |- dom F C_ U_ y e. B ( A X. { y } ) $=
      ( vu vt vv cv csb csn cxp ciun cfv cmpo nfcv nfcsb1v csbeq1a cdm c2nd weq
      c1st cmpt nfcsbw sylan9eqr cbvmpox2 cop vex op2ndd csbeq1d csbeq2dv eqtrd
      wceq op1std mpomptx2 3eqtr4i dmmptss nfxp sneq xpeq12d cbviun sseqtrri )
      FUAHDBHKZCLZVEMZNZOZBDCBKZMZNZOIVIBIKZUBPZAVMUDPZELZLZFABCDEQJHVFDBVEAJKZ
      ELZLZQFIVIVQUEABHJCDEVFVTHCRBVECSZHERJERABVEVSAVERAVRESUFBVEVSSBVECTZAJUC
      BHUCZEVSVTAVRETBVEVSTUGUHGJHIVFDVQVTVMVRVEUIUOZVQBVEVPLVTWDBVNVEVPVRVEVMJ
      UJZHUJZUKULWDBVEVPVSWDAVOVREVRVEVMWEWFUPULUMUNUQURUSBHDVLVHHVLRBVFVGWABVG
      RUTWCCVFVKVGWBVJVEVAVBVCVD $.
  $}

  ${
    $d B x y $.  $d A x $.
    mpoexxg2.1 $e |- F = ( x e. A , y e. B |-> C ) $.
    $( Existence of an operation class abstraction (version for dependent
       domains, i.e. the first base class may depend on the second base class),
       analogous to ~ mpoexxg .  (Contributed by AV, 30-Mar-2019.) $)
    mpoexxg2 $p |- ( ( B e. R /\ A. y e. B A e. S ) -> F e. _V ) $=
      ( wcel wral wa wfun cdm cvv mpofun cv csn cxp sylancr ciun dmmpossx2 snex
      wss xpexg mpan2 ralimi iunexg sylan2 ssexg funex ) DFJZCGJZBDKZLZHMHNZOJZ
      HOJABCDEHIPUOUPBDCBQZRZSZUAZUDVAOJZUQABCDEHIUBUNULUTOJZBDKVBUMVCBDUMUSOJV
      CURUCCUSGOUEUFUGBDUTFOUHUIUPVAOUJTOHUKT $.
  $}

  ${
    $d x y $.  $d x A $.  $d y B $.
    ovmpordx.1 $e |- ( ph -> F = ( x e. C , y e. D |-> R ) ) $.
    ovmpordx.2 $e |- ( ( ph /\ ( x = A /\ y = B ) ) -> R = S ) $.
    ovmpordx.3 $e |- ( ( ph /\ y = B ) -> C = L ) $.
    ovmpordx.4 $e |- ( ph -> A e. L ) $.
    ovmpordx.5 $e |- ( ph -> B e. D ) $.
    ovmpordx.6 $e |- ( ph -> S e. X ) $.
    ${
      ovmpordxf.px $e |- F/ x ph $.
      ovmpordxf.py $e |- F/ y ph $.
      ovmpordxf.ay $e |- F/_ y A $.
      ovmpordxf.bx $e |- F/_ x B $.
      ovmpordxf.sx $e |- F/_ x S $.
      ovmpordxf.sy $e |- F/_ y S $.
      $( Value of an operation given by a maps-to rule, deduction form, with
         substitution of second argument, analogous to ~ ovmpodxf .
         (Contributed by AV, 30-Mar-2019.) $)
      ovmpordxf $p |- ( ph -> ( A F B ) = S ) $=
        ( co cmpo oveqd cv wcel w3a wceq wi wsbc eqid ovmpt4g a1i alrimi spsbcd
        wa adantr wb ad2antrr simpr adantlr 3eltr4d eleq1 adantl mpbird anassrs
        eqeltrd biimt syl3anc oveq12d eqeq12d bitr3d nfeq2 nfan wnf nfmpo2 nfcv
        nfov nfeq sbciedf nfmpo1 mpbid eqtrd ) ADEJUEDEBCFGHUFZUEZIAJWGDEMUGABU
        HZFUIZCUHZGUIZHLUIZUJZWIWKWGUEZHUKZULZCEUMZBDUMWHIUKZAWRBDKPAWRBSAWQCEG
        QAWQCTWQABCFGHWGLWGUNUOUPUQURUQURAWRWSBDKPAWIDUKZUSZWQWSCEGAEGUIZWTQUTX
        AWKEUKZUSZWPWQWSXDWJWLWMWPWQVAXDDKWIFADKUIWTXCPVBXAWTXCAWTVCUTZAXCFKUKW
        TOVDVEXDWLXBAXBWTXCQVBXCWLXBVAXAWKEGVFVGVHXDHILAWTXCHIUKNVIZAILUIWTXCRV
        BVJWNWPVKVLXDWOWHHIXDWIDWKEWGXEXAXCVCVMXFVNVOAWTCTCWIDUAVPVQWSCVRXACWHI
        CDEWGUABCFGHVSCEVTWAUDWBUPWCSWSBVRABWHIBDEWGBDVTBCFGHWDUBWAUCWBUPWCWEWF
        $.
    $}

    $d y A $.  $d x B $.  $d x y S $.  $d x y ph $.
    $( Value of an operation given by a maps-to rule, deduction form, with
       substitution of second argument, analogous to ~ ovmpodxf .  (Contributed
       by AV, 30-Mar-2019.) $)
    ovmpordx $p |- ( ph -> ( A F B ) = S ) $=
      ( nfv nfcv ovmpordxf ) ABCDEFGHIJKLMNOPQRABSACSCDTBETBITCITUA $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y D $.  $d x y H $.  $d x y L $.
    $d x y S $.
    ovmpox2.1 $e |- ( ( x = A /\ y = B ) -> R = S ) $.
    ovmpox2.2 $e |- ( y = B -> C = L ) $.
    ovmpox2.3 $e |- F = ( x e. C , y e. D |-> R ) $.
    $( The value of an operation class abstraction.  Variant of ~ ovmpoga which
       does not require ` D ` and ` x ` to be distinct.  (Contributed by Jeff
       Madsen, 10-Jun-2010.)  (Revised by Mario Carneiro, 20-Dec-2013.) $)
    ovmpox2 $p |- ( ( A e. L /\ B e. D /\ S e. H ) -> ( A F B ) = S ) $=
      ( wcel w3a cmpo wceq cv adantl a1i wa simp1 simp2 simp3 ovmpordx ) CKOZDF
      OZHJOZPZABCDEFGHIKJIABEFGQRUJNUAASCRBSDRZUBGHRUJLTUKEKRUJMTUGUHUIUCUGUHUI
      UDUGUHUIUEUF $.
  $}

  ${
    $d D x $.  $d G x $.  $d R x $.  $d Y x $.
    fdmdifeqresdif.f $e |- F = ( x e. D |-> if ( x = Y , X , ( G ` x ) ) ) $.
    $( The restriction of a conditional mapping to function values of a
       function having a domain which is a difference with a singleton equals
       this function.  (Contributed by AV, 23-Apr-2019.) $)
    fdmdifeqresdif $p |- ( G : ( D \ { Y } ) --> R
                           -> G = ( F |` ( D \ { Y } ) ) ) $=
      ( csn cdif wf cv wceq cfv cif cmpt cres wcel wa wn adantl iffalsed difssd
      eldifsnneq mpteq2dva reseq1i resmptd syl5eq wfn ffn dffn5 sylib 3eqtr4rd
      ) BGIZJZCEKZAUOALZGMZFUQENZOZPZAUOUSPZDUOQZEUPAUOUTUSUPUQUORZSURFUSVDURTU
      PUQBGUDUAUBUEUPVCABUTPZUOQVADVEUOHUFUPABUOUTUPBUNUCUGUHUPEUOUIEVBMUOCEUJA
      UOEUKULUM $.
  $}

  ${
    $d A x $.  $d F x $.  $d G x $.  $d ph x $.  $d R x $.
    offvalfv.a $e |- ( ph -> A e. V ) $.
    offvalfv.f $e |- ( ph -> F Fn A ) $.
    offvalfv.g $e |- ( ph -> G Fn A ) $.
    $( The function operation expressed as a mapping with function values.
       (Contributed by AV, 6-Apr-2019.) $)
    offvalfv $p |- ( ph -> ( F oF R G )
                           = ( x e. A |-> ( ( F ` x ) R ( G ` x ) ) ) ) $=
      ( cfv crn wfn wcel fnfvelrn sylan cmpt wceq dffn5 sylib cv offval2 ) ABCB
      UAZEKZUCFKZDEFGELZFLZHAECMZUCCNZUDUFNICUCEOPAFCMZUIUEUGNJCUCFOPAUHEBCUDQR
      IBCESTAUJFBCUEQRJBCFSTUB $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d M x y $.  $d R x y $.  $d V x y $.
    $d Y x y $.  $d .+ x y $.
    ofaddmndmap.r $e |- R = ( Base ` M ) $.
    ofaddmndmap.p $e |- .+ = ( +g ` M ) $.
    $( The function operation applied to the addition for functions (with the
       same domain) into a monoid is a function (with the same domain) into the
       monoid.  (Contributed by AV, 6-Apr-2019.) $)
    ofaddmndmap $p |- ( ( M e. Mnd /\ V e. Y
                          /\ ( A e. ( R ^m V ) /\ B e. ( R ^m V ) ) )
                        -> ( A oF .+ B ) e. ( R ^m V ) ) $=
      ( vx vy cmnd wcel co wa wf cv elmapi 3ad2ant3 cvv w3a simpl1 simprl mndcl
      cmap cof simprr syl3anc adantr adantl simp2 inidm off wb cbs fvexi elmapg
      sylancr mpbird ) ELMZFGMZADFUENZMZBVBMZOZUAZABCUFNZVBMZFDVGPZVFJKFFFCDDDA
      BGGVFJQZDMZKQZDMZOZOUTVKVMVJVLCNDMUTVAVEVNUBVFVKVMUCVFVKVMUGDCEVJVLHIUDUH
      VEUTFDAPZVAVCVOVDADFRUISVEUTFDBPZVAVDVPVCBDFRUJSUTVAVEUKZVQFULUMVFDTMVAVH
      VIUNDEUOHUPVQDFVGTGUQURUS $.
  $}

  ${
    mapsnop.f $e |- F = { <. X , Y >. } $.
    $( A singleton of an ordered pair as an element of the mapping operation.
       (Contributed by AV, 12-Apr-2019.) $)
    mapsnop $p |- ( ( X e. V /\ Y e. R /\ R e. W ) -> F e. ( R ^m { X } ) ) $=
      ( wcel w3a csn cmap co wf cop wceq wb fsng 3adant3 mpbiri cvv snssi simp3
      wss 3ad2ant2 fssd snex elmapg sylancl mpbird ) ECHZFAHZADHZIZBAEJZKLHZUNA
      BMZUMUNFJZABUMUNUQBMZBEFNJOZGUJUKURUSPULEFCABQRSUKUJUQAUCULFAUAUDUEUMULUN
      THUOUPPUJUKULUBEUFAUNBDTUGUHUI $.
  $}

  $( A function with a domain of two elements as element of the mapping
     operator applied to a pair.  (Contributed by AV, 20-May-2024.) $)
  fprmappr $p |- ( ( X e. V /\ ( A e. U /\ B e. W /\ A =/= B )
                            /\ ( C e. X /\ D e. X ) )
                   -> { <. A , C >. , <. B , D >. } e. ( X ^m { A , B } ) ) $=
    ( wcel wne w3a wa cop cpr cmap co wf 3simpa adantr cvv simpr simpl3 syl3anc
    fprg wss prssi adantl fssd 3adant1 simp1 prex a1i elmapd mpbird ) HFIZAEIZB
    GIZABJZKZCHIDHILZKZACMBDMNZHABNZOPIVCHVBQZUSUTVDUOUSUTLZVCCDNZHVBVEUPUQLZUT
    URVCVFVBQUSVGUTUPUQURRSUSUTUAUPUQURUTUBABCDEGHHUDUCUTVFHUEUSCDHUFUGUHUIVAHV
    CVBFTUOUSUTUJVCTIVAABUKULUMUN $.

  ${
    mapprop.f $e |- F = { <. X , A >. , <. Y , B >. } $.
    $( An unordered pair containing two ordered pairs as an element of the
       mapping operation.  (Contributed by AV, 16-Apr-2019.)  (Proof shortened
       by AV, 2-Jun-2024.) $)
    mapprop $p |- ( ( ( X e. V /\ A e. R ) /\ ( Y e. V /\ B e. R )
                     /\ ( X =/= Y /\ R e. W ) ) -> F e. ( R ^m { X , Y } ) ) $=
      ( wcel wa wne w3a cop cpr cmap co simp3r simpl simpr 3anim123i fprmappr
      anim12i 3adant3 syl3anc eqeltrid ) GEJZACJZKZHEJZBCJZKZGHLZCFJZKZMZDGANHB
      NOZCGHOPQZIUPUNUGUJUMMUHUKKZUQURJUIULUMUNRUIUGULUJUOUMUGUHSUJUKSUMUNSUAUI
      ULUSUOUIUHULUKUGUHTUJUKTUCUDGHABEFECUBUEUF $.
  $}

  $( A prime is not an integer multiple of another prime.  (Contributed by AV,
     23-May-2019.) $)
  ztprmneprm $p |- ( ( Z e. ZZ /\ A e. Prime /\ B e. Prime )
                     -> ( ( Z x. A ) = B -> A = B ) ) $=
    ( wcel cprime cmul co wceq wi wa wo cc0 adantr eqeq1d adantl ex syl clt wbr
    sylbi cz cn0 cr cneg cn elznn0nn elnn0 c1 c2 cuz cfv elnn1uz2 oveq1 mulid2d
    prmz zcnd biimpd sylbid prmuz2 nprm sylan2 eleq1 notbid pm2.24 com12 syl6bi
    wn com3l mpcom jaoi prmnn nnred mul02lem2 wne elnnne0 eqneqall eqcoms com23
    elnnz lt0neg1 nngt0d simpr anim12ci orcd simprl mul2lt0bi mpbird wb nn0nlt0
    breq1 nnnn0 pm2.21d syldc sylbird adantld syl5bi imp 3impib ) CUADZAEDZBEDZ
    CAFGZBHZABHZIZWSCUBDZCUCDZCUDZUEDZJZKWTXAJZXEIZCUFXFXLXJXFCUEDZCLHZKXLCUGXM
    XLXNXMCUHHZCUIUJUKZDZKXLCULXOXLXQXOXKXEXOXKJZXCUHAFGZBHZXDXRXBXSBXOXBXSHXKC
    UHAFUMMNXKXTXDIXOXKXTXDXKXSABWTXSAHXAWTAWTAAUOUPUNMNUQOURPXQXKXEXBEDZVGZXQX
    KJZXEXKXQAXPDZYBWTYDXAAUSMCAUTVAXCYBYCXDXCYBXAVGZYCXDIXCYAXAXBBEVBVCYCYEXDX
    KYEXDIZXQXAYFWTXAXDVDOOVEVFVHVIPVJTXNXCXKXDXNXCLAFGZBHZXKXDIXNXBYGBCLAFUMNX
    KYHXDXKYHLBHZXDXKYGLBWTYGLHZXAWTAUCDZYJWTAAVKZVLZAVMQMNXAYIXDIZWTXABUEDZYNB
    VKZYOBUBDZBLVNZJYNBVOYRYNYQYIYRXDYRXDIBLXDBLVPVQVEOTQOURVEVFVRVJTXGXIXLXIXH
    UADZLXHRSZJXGXLXHVSXGYTXLYSXGYTCLRSZXLCVTXGUUAXLXKXGUUAJZXBLRSZXEXKUUBUUCXK
    UUBJZUUCUUALARSZJZLCRSALRSJZKUUDUUFUUGXKUUEUUBUUAWTUUEXAWTAYLWAMXGUUAWBWCWD
    UUDCAXKXGUUAWEXKYKUUBWTYKXAYMMMWFWGPXKXCUUCXDXKXCUUCXDIXKXCJUUCBLRSZXDXCUUC
    UUHWHXKXBBLRWJOXKUUHXDIZXCXAUUIWTXAYOUUIYPYOYQUUIBWKYQUUHXDBWIWLQQOMURPVRWM
    PWNWOWPWQVJTWR $.

  $( 2 times 6 minus 3 times 4 equals 0.  (Contributed by AV, 24-May-2019.) $)
  2t6m3t4e0 $p |- ( ( 2 x. 6 ) - ( 3 x. 4 ) ) = 0 $=
    ( c2 c6 cmul co c3 c4 cmin caddc cc0 6cn 2timesi 2p2e4 eqcomi oveq2i adddii
    3cn 2cn 3t2e6 oveq12i 3eqtri addcli subidi eqtri ) ABCDZEFCDZGDBBHDZUFGDIUD
    UFUEUFGBJKUEEAAHDZCDEACDZUHHDUFFUGECUGFLMNEAAPQQOUHBUHBHRRSTSUFBBJJUAUBUC
    $.

  ${
    $d n x y z A $.
    $( For any finite subset of ` NN0 ` , find a superset in the form of a set
       of sequential integers, analogous to ~ ssnnssfz .  (Contributed by AV,
       30-Sep-2019.) $)
    ssnn0ssfz $p |- ( A e. ( ~P NN0 i^i Fin )
                      -> E. n e. NN0 A C_ ( 0 ... n ) ) $=
      ( vx vy vz cn0 cfn wcel cc0 cv cfz co wss wrex c0 wceq wa clt adantr wbr
      cpw cin 0nn0 simpr 0ss eqsstrdi oveq2 sseq2d rspcev sylancr wne csup elin
      simplbi elpwid wor nn0ssre ltso soss mp2 a1i simprbi fisupcl syl13anc cuz
      cr sseldd cfv sselda nn0uz eleqtrdi cz cle nn0zd wral fisup2g ssrexv sylc
      wn wi supub imp nn0red lenltd mpbird eluz2 syl3anbrc eluzfz syl2anc ssrdv
      ex pm2.61dane ) AFUAZGUBHZAIBJZKLZMZBFNZAOWNAOPZQZIFHAIIKLZMZWRUCWTAOXAWN
      WSUDXAUEUFWQXBBIFWOIPWPXAAWOIIKUGUHUIUJWNAOUKZQZAFRULZFHAIXEKLZMZWRXDAFXE
      XDAFWNAWMHZXCWNXHAGHZAWMGUMZUNSUOZXDFRUPZXIXCAFMZXEAHZXLXDFVFMVFRUPXLUQUR
      FVFRUSUTVAZWNXIXCWNXHXIXJVBSZWNXCUDZXKFARVCVDZVGXDCAXFXDCJZAHZXSXFHZXDXTQ
      ZXSIVEVHZHXEXSVEVHHZYAYBXSFYCXDAFXSXKVIZVJVKYBXSVLHXEVLHXSXEVMTZYDYBXSYEV
      NYBXEYBAFXEXDXMXTXKSXDXNXTXRSVGZVNYBYFXEXSRTVSZXDXTYHXDCDEFAXSRXOXDXMXSDJ
      ZRTVSDAVOYIXSRTYIEJRTEANVTDFVOQZCANZYJCFNXKXDXLXIXCXMYKXOXPXQXKCDEFARVPVD
      YJCAFVQVRWAWBYBXSXEYBXSYEWCYBXEYGWCWDWEXSXEWFWGXSIXEWHWIWKWJWQXGBXEFWOXEP
      WPXFAWOXEIKUGUHUIWIWL $.
  $}

  $( If the sum of two nonnegative integers is less than a third integer, then
     one of the summands is already less than this third integer.  (Contributed
     by AV, 19-Oct-2019.) $)
  nn0sumltlt $p |- ( ( a e. NN0 /\ b e. NN0 /\ c e. NN0 )
                    -> ( ( a + b ) < c -> b < c ) ) $=
    ( cv cn0 wcel w3a caddc co clt wbr cmin cr wb nn0re ltaddsub2 syl3an cle wa
    3adant2 cc0 nn0ge0 3ad2ant1 anim12ci subge02 bicomd syl 3ad2ant2 nn0resubcl
    mpbird wi ancoms 3ad2ant3 ltletr syl3anc mpan2d sylbid ) ADZEFZBDZEFZCDZEFZ
    GZURUTHIVBJKZUTVBURLIZJKZUTVBJKZUSURMFZVAUTMFZVCVBMFZVEVGNUROZUTOZVBOZURUTV
    BPQVDVGVFVBRKZVHVDVOUAURRKZUSVAVPVCURUBUCVDVKVISZVOVPNUSVCVQVAUSVIVCVKVLVNU
    DTVQVPVOVBURUEUFUGUJVDVJVFMFZVKVGVOSVHUKVAUSVJVCVMUHUSVCVRVAVCUSVRVBURUIULT
    VCUSVKVAVNUMUTVFVBUNUOUPUQ $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The binomial coefficient operation (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Pascal's rule for the binomial coefficient, generalized to all integers
     ` K ` , shifted down by 1.  (Contributed by AV, 8-Sep-2019.) $)
  bcpascm1 $p |- ( ( N e. NN /\ K e. ZZ ) ->
          ( ( ( N - 1 ) _C K ) + ( ( N - 1 ) _C ( K - 1 ) ) ) = ( N _C K ) ) $=
    ( cn wcel cz wa c1 cmin cbc caddc cn0 wceq nnm1nn0 bcpasc sylan nncn npcan1
    co cc syl adantr oveq1d eqtrd ) BCDZAEDZFZBGHRZAIRUGAGHRIRJRZUGGJRZAIRZBAIR
    UDUGKDUEUHUJLBMAUGNOUFUIBAIUDUIBLZUEUDBSDUKBPBQTUAUBUC $.

  ${
    $d N k $.
    $( The sum of binomial coefficients for a fixed positive ` N ` with
       alternating signs is zero.  Notice that this is not valid for ` N = 0 `
       (since ` ( ( -u 1 ^ 0 ) x. ( 0 _C 0 ) ) = ( 1 x. 1 ) = 1 ` ).  For a
       proof using Pascal's rule ( ~ bcpascm1 ) instead of the binomial theorem
       ( ~ binom ) , see ~ altgsumbcALT .  (Contributed by AV, 13-Sep-2019.) $)
    altgsumbc $p |- ( N e. NN ->
                  sum_ k e. ( 0 ... N ) ( ( -u 1 ^ k ) x. ( N _C k ) ) = 0 ) $=
      ( cn wcel cc0 cexp co c1 cneg caddc cmul csu cc wceq syl oveq1d cz syl2an
      cn0 eqtrd cfz cv cbc 1cnd negid eqcomd 0exp negcld nnnn0 binom syl3anc wa
      cmin nnz elfzelz zsubcl 1exp neg1cn a1i elfznn0 expcl mulid2d oveq2d bccl
      nn0cnd mulcomd sumeq2dv 3eqtr3rd ) BCDZEBFGHHIZJGZBFGZEEBUAGZVJAUBZFGZBVN
      UCGZKGZALZVIEVKBFVIHMDZEVKNVIUDZVSVKEHUEUFOPBUGVIVLVMVPHBVNUMGZFGZVOKGZKG
      ZALZVRVIVSVJMDZBSDZVLWENVTVIHVTUHBUIZHVJABUJUKVIVMWDVQAVIVNVMDZULZWDVPVOK
      GVQWJWCVOVPKWJWCHVOKGVOWJWBHVOKWJWAQDZWBHNVIBQDVNQDZWKWIBUNVNEBUOZBVNUPRW
      AUQOPWJVOVIWFVNSDVOMDWIWFVIURUSVNBUTVJVNVARZVBTVCWJVPVOWJVPVIWGWLVPSDWIWH
      WMVNBVDRVEWNVFTVGTVH $.
  $}

  ${
    $d N j k $.
    $( Alternate proof of ~ altgsumbc , using Pascal's rule ( ~ bcpascm1 )
       instead of the binomial theorem ( ~ binom ).  (Contributed by AV,
       8-Sep-2019.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    altgsumbcALT $p |- ( N e. NN ->
                  sum_ k e. ( 0 ... N ) ( ( -u 1 ^ k ) x. ( N _C k ) ) = 0 ) $=
      ( vj wcel cc0 cfz co c1 cexp cbc cmul cmin caddc cz wceq oveq2d cc syl2an
      csu a1i cn cneg cv wa elfzelz bcpascm1 sylan2 eqcomd ax-1cn negcl elfznn0
      cn0 expcl mpan adantl nnm1nn0 bccl nn0cnd peano2zm syl adddid eqtrd fzfid
      sumeq2dv neg1cn mulcld 1z zsubcld fsumadd 0zd nnz oveq12d fsumshft oveq1i
      oveq2 0p1e1 sumeq1d cuz cfv elnnuz biimpi elfznn expcld elfzel1 oveq1 clt
      fsump1 wbr nncn pncan1 nnnn0 eqeltrd nn0zd nnre ltm1 breqtrrd olcd bcval4
      wo syl3anc mul01d weq cbvsumv oveq1d fsumcl addid1d 3eqtrd elnn0uz fsum1p
      cr sylib exp0d 0z zsubcl mp2an 0re mp1i orcd npcan1 expp1 mulcomd mulassd
      zcnd sumeq12rdv fsummulc2 eqtr4d addid2d mulm1d negidd ) BUADZEBFGZHUBZAU
      CZIGZBYMJGZKGZASYKYNBHLGZYMJGZKGZYNYQYMHLGZJGZKGZMGZASZHBFGZYLYTIGZUUAKGZ
      ASZYLUUHKGZMGZEYJYKYPUUCAYJYMYKDZUDZYPYNYRUUAMGZKGUUCUULYOUUMYNKUULUUMYOU
      UKYJYMNDZUUMYOOYMEBUEZYMBUFUGUHPUULYNYRUUAUUKYNQDZYJHQDZUUKUUPUIUUQYLQDZY
      MULDZUUPUUKHUJYMBUKZYLYMUMZRUNUOYJYQULDZUUNYRQDUUKBUPZUUOUVBUUNUDYRYMYQUQ
      URRZYJUVBYTNDZUUAQDZUUKUVCUUKUUNUVEUUOYMUSUTUVBUVEUDUUAYTYQUQZURZRVAVBVDY
      JUUDYKYSASZYKUUBASZMGUUJYJYKYSUUBAYJEBVCUULYNYRYJUURUUSUUPUUKUURYJVETZUUT
      UVARZUVDVFZUULYNUUAUVLYJUVBUVEUVFUUKUVCUUKYMHUUOHNDZUUKVGTVHUVHRVFZVIYJUV
      IUUHUVJUUIMYJUVIEHMGZBHMGZFGZYLCUCZHLGZIGZYQUVTJGZKGZCSHUVQFGZUWCCSZUUHYJ
      YSUWCACHEBUVNYJVGTYJVJBVKUVMYMUVTOYNUWAYRUWBKYMUVTYLIVOYMUVTYQJVOVLVMYJUV
      RUWDUWCCUVRUWDOYJUVPHUVQFVPVNTVQYJUWEUUEUWCCSZYLUVQHLGZIGZYQUWGJGZKGZMGUW
      FEMGZUUHYJUWCUWJCHBYJBHVRVSDBVTWAYJUVSUWDDZUDZUWAUWBUWMYLUVTUURUWMVETUWLU
      VTULDZYJUWLUVSUADUWNUVSUVQWBUVSUPUTUOWCYJUVBUVTNDZUWBQDUWLUVCUWLUVSHUVSHU
      VQUEUVSHUVQWDVHUVBUWOUDUWBUVTYQUQURRVFUVSUVQOZUWAUWHUWBUWIKUWPUVTUWGYLIUV
      SUVQHLWEZPUWPUVTUWGYQJUWQPVLWGYJUWJEUWFMYJUWJUWHEKGEYJUWIEUWHKYJUVBUWGNDU
      WGEWFWHZYQUWGWFWHZWSUWIEOUVCYJUWGYJUWGBULYJBQDUWGBOBWIBWJUTZBWKZWLZWMYJUW
      SUWRYJYQBUWGWFYJBXJDYQBWFWHBWNBWOUTUWTWPWQUWGYQWRWTPYJUWHYJYLUWGUVKUXBWCX
      AVBPYJUWKUUHEMGUUHYJUWFUUHEMUWFUUHOYJUUEUWCUUGCACAXBZUWAUUFUWBUUAKUXCUVTY
      TYLIUVSYMHLWEZPUXCUVTYTYQJUXDPVLXCTXDYJUUHYJUUEUUGAYJHBVCZYJYMUUEDZUDZUUF
      UUAUXGYLYTUURUXGVETZUXFYTULDZYJUXFYMUADUXIYMBWBYMUPUTZUOWCZUXGUUAYJUVBUVE
      UUAULDUXFUVCUXFYMHYMHBUEZYMHBWDVHUVGRURZVFZXEZXFVBXGXGYJUVJYLEIGZYQEHLGZJ
      GZKGZUVPBFGZUUBASZMGEUUIMGUUIYJUUBUXSAEBYJBULDBEVRVSDUXABXHXKUVOYMEOZYNUX
      PUUAUXRKYMEYLIVOUYBYTUXQYQJYMEHLWEPVLXIYJUXSEUYAUUIMYJUXSHEKGEYJUXPHUXREK
      YJYLUVKXLYJUVBUXQNDZUXQEWFWHZYQUXQWFWHZWSUXREOUVCUYCYJENDUVNUYCXMVGEHXNXO
      TYJUYDUYEEXJDUYDYJXPEWOXQXRUXQYQWRWTVLYJHUUQYJUITXAVBYJUYAUUEYLUUGKGZASUU
      IYJUXTUUEUUBUYFAYJUVPHBFUVPHOYJVPTXDUXGUUBUUFYLKGZUUAKGYLUUFKGZUUAKGUYFUX
      GYNUYGUUAKUXGYNYLYTHMGZIGZUYGUXGYMUYIYLIUXFYMUYIOZYJUXFYMQDZUYKUXFYMUXLYC
      UYLUYIYMYMXSUHUTUOPYJUURUXIUYJUYGOUXFUVKUXJYLYTXTRVBXDUXGUYGUYHUUAKUXGUUF
      YLUXKUXHYAXDUXGYLUUFUUAUXHUXKUXMYBXGYDYJUUEUUGYLAUXEUVKUXNYEYFVLYJUUIYJYL
      UUHUVKUXOVFYGXGVLVBYJUUJUUHUUHUBZMGEYJUUIUYMUUHMYJUUHUXOYHPYJUUHUXOYIVBXG
      $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The ` ZZ `-module ` ZZ X. ZZ `
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    zlmodzxz.z $e |- Z = ( ZZring freeLMod { 0 , 1 } ) $.
    $( The ` ZZ `-module ` ZZ X. ZZ ` is a (left) module with the ring of
       integers as base set.  (Contributed by AV, 20-May-2019.)  (Revised by
       AV, 10-Jun-2019.) $)
    zlmodzxzlmod $p |- ( Z e. LMod /\ ZZring = ( Scalar ` Z ) ) $=
      ( clmod wcel zring csca cfv wceq crg cc0 cpr cvv zringring frlmlmod mp2an
      c1 prex frlmsca pm3.2i ) ACDZEAFGHZEIDZJPKZLDZTMJPQZEAUCLBNOUBUDUAMUEEAUC
      ILBROS $.

    $( An element of the (base set of the) ` ZZ `-module ` ZZ X. ZZ ` .
       (Contributed by AV, 21-May-2019.)  (Revised by AV, 10-Jun-2019.) $)
    zlmodzxzel $p |- ( ( A e. ZZ /\ B e. ZZ )
                       -> { <. 0 , A >. , <. 1 , B >. } e. ( Base ` Z ) ) $=
      ( cz wcel wa cc0 cop c1 cpr zring cbs cfv cmap wf cvv pm3.2i mp1i crg wne
      co c0ex 1ex 0ne1 fprg mp3an13 prssi zringbas sseqtrdi fssd wb fvex elmapg
      prex mpbird cfn wceq zringring prfi eqid frlmfibas eleqtrd ) AEFBEFGZHAIJ
      BIKZLMNZHJKZOUBZCMNZVDVEVHFZVGVFVEPZVDVGABKZVFVEHQFZJQFZGVDHJUAVGVLVEPVMV
      NUCUDRUEHJABQQEEUFUGVDVLEVFABEUHUIUJUKVFQFZVGQFZGVJVKULVDVOVPLMUMHJUORVFV
      GVEQQUNSUPLTFZVGUQFZGVHVIURVDVQVRUSHJUTRLCVGVFTDVFVAVBSVC $.

    ${
      zlmodzxz.o $e |- .0. = { <. 0 , 0 >. , <. 1 , 0 >. } $.
      $( The ` 0 ` of the ` ZZ `-module ` ZZ X. ZZ ` .  (Contributed by AV,
         20-May-2019.)  (Revised by AV, 10-Jun-2019.) $)
      zlmodzxz0 $p |- .0. = ( 0g ` Z ) $=
        ( cc0 cop c1 cpr csn cxp c0g cfv cvv wcel wceq c0ex xpprsng mp3an zring
        1ex crg zringring prex zring0 frlm0 mp2an 3eqtr2i ) AEEFGEFHZEGHZEIJZBK
        LZDEMNZGMNULUJUHOPTPEGEMMMQRSUANUIMNUJUKOUBEGUCSBUIMECUDUEUFUG $.
    $}

    $d A x $.  $d B x $.  $d C x $.
    ${
      zlmodzxzscm.t $e |- .xb = ( .s ` Z ) $.
      $( The scalar multiplication of the ` ZZ `-module ` ZZ X. ZZ ` .
         (Contributed by AV, 20-May-2019.)  (Revised by AV, 10-Jun-2019.) $)
      zlmodzxzscm $p |- ( ( A e. ZZ /\ B e. ZZ /\ C e. ZZ )
                    -> ( A .xb { <. 0 , B >. , <. 1 , C >. } )
                       = { <. 0 , ( A x. B ) >. , <. 1 , ( A x. C ) >. } ) $=
        ( vx cz wcel cc0 c1 cop cfv co cmul cvv a1i wceq fveq2 w3a cpr zring cv
        csn cxp cmulr cof cmpt prex wfn fnconstg 3ad2ant1 wa c0ex pm3.2i 3simpc
        wne 0ne1 fnprg syl3anc offvalfv eqid simp1 zringbas eleqtrdi zlmodzxzel
        1ex 3adant1 frlmvscafval ovexd oveq12d zringmulr eqcomi prid1 fvconst2g
        cbs sylancl simp2 fvpr1g oveq123d sylan9eqr prid2 fvpr2g fmptpr 3eqtr4d
        simp3 ) AIJZBIJZCIJZUAZKLUBZAUEUFZKBMLCMUBZUCUGNZUHOHWLHUDZWMNZWPWNNZWO
        OZUIAWNDOKABPOZMLACPOZMUBWKHWLWOWMWNQWLQJWKKLUJRZWHWIWMWLUKWJWLAIULUMWK
        KQJZLQJZUNZWIWJUNKLURZWNWLUKXEWKXCXDUOVHUPRWHWIWJUQXFWKUSRZKLBCQQIIUTVA
        VBWKAEVQNZUCDWOWLUCVQNZQWNEFXHVCXIVCXBWKAIXIWHWIWJVDZVEVFWIWJWNXHJWHBCE
        FVGVIGWOVCVJWKHKLWTXAWSQQQQXCWKUORZXDWKVHRZWKABPVKWKACPVKWPKSZWKWSKWMNZ
        KWNNZWOOWTXMWQXNWRXOWOWPKWMTWPKWNTVLWKXNAXOBWOPWOPSWKPWOVMVNRZWKWHKWLJX
        NASXJKLUOVOWLAKIVPVRWKXCWIXFXOBSXKWHWIWJVSXGKLBCQIVTVAWAWBWPLSZWKWSLWMN
        ZLWNNZWOOXAXQWQXRWRXSWOWPLWMTWPLWNTVLWKXRAXSCWOPXPWKWHLWLJXRASXJKLVHWCW
        LALIVPVRWKXDWJXFXSCSXLWHWIWJWGXGKLBCQIWDVAWAWBWEWF $.
    $}

    $d D x $.
    ${
      zlmodzxzadd.p $e |- .+ = ( +g ` Z ) $.
      $( The addition of the ` ZZ `-module ` ZZ X. ZZ ` .  (Contributed by AV,
         22-May-2019.)  (Revised by AV, 10-Jun-2019.) $)
      zlmodzxzadd $p |- ( ( ( A e. ZZ /\ B e. ZZ ) /\ ( C e. ZZ /\ D e. ZZ ) )
          -> ( { <. 0 , A >. , <. 1 , C >. } .+ { <. 0 , B >. , <. 1 , D >. } )
             = { <. 0 , ( A + B ) >. , <. 1 , ( C + D ) >. } ) $=
        ( cz wcel wa cc0 cop c1 co cfv cvv a1i syl3anc wceq vx cpr zring cplusg
        cof cv cmpt caddc cbs eqid zringring prex simpl zlmodzxzel syl2an simpr
        crg frlmplusgval wne wfn c0ex 1ex pm3.2i anim12i 0ne1 fnprg ovexd fveq2
        offvalfv adantr fvpr1g sylan9eqr adantl fvpr2g fmptpr zringplusg eqcomi
        oveq12d oveqi opeq2i preq12i eqtr3di 3eqtrd ) AIJZBIJZKZCIJZDIJZKZKZLAM
        NCMUBZLBMNDMUBZEOWKWLUCUDPZUEOUALNUBZUAUFZWKPZWOWLPZWMOZUGZLABUHOZMZNCD
        UHOZMZUBZWJFUIPZWMEUCWKWLWNUQQFGXEUJUCUQJWJUKRWNQJWJLNULRZWFWDWGWKXEJWI
        WDWEUMZWGWHUMZACFGUNUOWFWEWHWLXEJWIWDWEUPZWGWHUPZBDFGUNUOWMUJHURWJUAWNW
        MWKWLQXFWJLQJZNQJZKZWDWGKLNUSZWKWNUTXMWJXKXLVAVBVCRZWFWDWIWGXGXHVDXNWJV
        ERZLNACQQIIVFSWJXMWEWHKXNWLWNUTXOWFWEWIWHXIXJVDXPLNBDQQIIVFSVIWJLABWMOZ
        MZNCDWMOZMZUBWSXDWJUALNXQXSWRQQQQXKWJVARZXLWJVBRZWJABWMVGWJCDWMVGWOLTZW
        JWRLWKPZLWLPZWMOXQYCWPYDWQYEWMWOLWKVHWOLWLVHVRWJYDAYEBWMWJXKWDXNYDATYAW
        FWDWIXGVJXPLNACQIVKSWJXKWEXNYEBTYAWFWEWIXIVJXPLNBDQIVKSVRVLWONTZWJWRNWK
        PZNWLPZWMOXSYFWPYGWQYHWMWONWKVHWONWLVHVRWJYGCYHDWMWJXLWGXNYGCTYBWIWGWFX
        HVMXPLNACQIVNSWJXLWHXNYHDTYBWIWHWFXJVMXPLNBDQIVNSVRVLVOXRXAXTXCXQWTLWMU
        HABUHWMVPVQZVSVTXSXBNWMUHCDYIVSVTWAWBWC $.
    $}

    ${
      zlmodzxzsub.m $e |- .- = ( -g ` Z ) $.
      $( The subtraction of the ` ZZ `-module ` ZZ X. ZZ ` expressed as
         addition.  (Contributed by AV, 24-May-2019.)  (Revised by AV,
         10-Jun-2019.) $)
      zlmodzxzsubm $p |- ( ( ( A e. ZZ /\ B e. ZZ ) /\ ( C e. ZZ /\ D e. ZZ ) )
          -> ( { <. 0 , A >. , <. 1 , C >. } .- { <. 0 , B >. , <. 1 , D >. } )
        = ( { <. 0 , A >. , <. 1 , C >. }
            ( +g ` Z ) ( -u 1 ( .s ` Z ) { <. 0 , B >. , <. 1 , D >. } ) ) ) $=
        ( cz wcel wa cc0 cop c1 cpr co zring cfv wceq eqid cminusg cvsca cplusg
        cneg clmod csca zlmodzxzlmod simpli zlmodzxzel ad2ant2r ad2ant2l simpri
        cbs a1i zring1 lmodvsubval2 syl3anc zringinvg mp1i eqcomd oveq1d oveq2d
        1z eqtrd ) AIJZBIJZKCIJZDIJZKKZLAMNCMOZLBMNDMOZEPZVJNQUARZRZVKFUBRZPZFU
        CRZPZVJNUDZVKVOPZVQPVIFUEJZVJFUMRZJZVKWBJZVLVRSWAVIWAQFUFRSZFGUGZUHUNVE
        VGWCVFVHACFGUIUJVFVHWDVEVGBDFGUIUKVJVKVQVONQEVMWBFWBTVQTHWAWEWFULVOTVMT
        UOUPUQVIVPVTVJVQVIVNVSVKVOVIVSVNNIJVSVNSVIVCNURUSUTVAVBVD $.

      $( The subtraction of the ` ZZ `-module ` ZZ X. ZZ ` .  (Contributed by
         AV, 22-May-2019.)  (Revised by AV, 10-Jun-2019.) $)
      zlmodzxzsub $p |- ( ( ( A e. ZZ /\ B e. ZZ ) /\ ( C e. ZZ /\ D e. ZZ ) )
          -> ( { <. 0 , A >. , <. 1 , C >. } .- { <. 0 , B >. , <. 1 , D >. } )
             = { <. 0 , ( A - B ) >. , <. 1 , ( C - D ) >. } ) $=
        ( cz wcel wa cc0 cop c1 cpr co wceq syl2an cc zcn cmin cplusg cfv caddc
        zsubcl simpr jca eqid zlmodzxzadd npcan adantr opeq2d adantl eqtrd cgrp
        preq12d cbs wb clmod csca zlmodzxzlmod lmodgrp mp1i zlmodzxzel ad2ant2r
        zring grpsubadd syl13anc mpbird ) AIJZBIJZKZCIJZDIJZKZKZLAMZNCMZOZLBMND
        MOZEPLABUAPZMNCDUAPZMOZQZWCVTFUBUCZPZVSQZVPWFLWABUDPZMZNWBDUDPZMZOZVSVL
        WAIJZVKKWBIJZVNKWFWLQVOVLWMVKABUEZVJVKUFZUGVOWNVNCDUEZVMVNUFZUGWABWBDWE
        FGWEUHZUIRVPWIVQWKVRVPWHALVLWHAQZVOVJASJBSJWTVKATBTABUJRUKULVPWJCNVOWJC
        QZVLVMCSJDSJXAVNCTDTCDUJRUMULUPUNVPFUOJZVSFUQUCZJZVTXCJZWCXCJZWDWGURFUS
        JZVFFUTUCQZKXBVPFGVAXGXBXHFVBUKVCVJVMXDVKVNACFGVDVEVLVKVNXEVOWPWRBDFGVD
        RVLWMWNXFVOWOWQWAWBFGVDRXCWEFEVSVTWCXCUHWSHVGVHVI $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Group sum operation (extension 2)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d k I $.  $d k M $.  $d k N $.  $d k R $.  $d k ph $.  $d k X $.
    mgpsumunsn.m $e |- M = ( mulGrp ` R ) $.
    mgpsumunsn.t $e |- .x. = ( .r ` R ) $.
    mgpsumunsn.r $e |- ( ph -> R e. CRing ) $.
    mgpsumunsn.n $e |- ( ph -> N e. Fin ) $.
    mgpsumunsn.i $e |- ( ph -> I e. N ) $.
    mgpsumunsn.a $e |- ( ( ph /\ k e. N ) -> A e. ( Base ` R ) ) $.
    ${
      mgpsumunsn.x $e |- ( ph -> X e. ( Base ` R ) ) $.
      mgpsumunsn.e $e |- ( k = I -> A = X ) $.
      $( Extract a summand/factor from the group sum for the multiplicative
         group of a unital ring.  (Contributed by AV, 29-Dec-2018.) $)
      mgpsumunsn $p |- ( ph -> ( M gsum ( k e. N |-> A ) )
                       = ( ( M gsum ( k e. ( N \ { I } ) |-> A ) ) .x. X ) ) $=
        ( cgsu co wcel cmpt csn cdif cun wceq difsnid syl eqcomd mpteq1d oveq2d
        cbs cfv eqid mgpbas mgpplusg ccrg crngmgp cfn diffi cv eldifi neldifsnd
        ccmn sylan2 gsumunsn eqtrd ) AGEHBUAZRSGEHFUBZUCZVHUDZBUAZRSGEVIBUARSID
        SAVGVKGRAEHVJBAVJHAFHTVJHUENHFUFUGUHUIUJAVICUKULZDEGFHBIVLCGJVLUMUNCDGJ
        KUOACUPTGVCTLCGJUQUGAHURTVIURTMHVHUSUGEUTZVITAVMHTBVLTVMHVHVAOVDNAFHVBP
        QVEVF $.
    $}

    ${
      $d k .0. $.
      mgpsumz.z $e |- .0. = ( 0g ` R ) $.
      mgpsumz.0 $e |- ( k = I -> A = .0. ) $.
      $( If the group sum for the multiplicative group of a unital ring
         contains a summand/factor that is the zero of the ring, the group sum
         itself is zero.  (Contributed by AV, 29-Dec-2018.) $)
      mgpsumz $p |- ( ph -> ( M gsum ( k e. N |-> A ) ) = .0. ) $=
        ( co wcel syl cmpt cgsu csn cdif cmnd cbs cfv ccrg crg crngring ringmnd
        eqid mndidcl mgpsumunsn wceq mgpbas ccmn crngmgp diffi cv eldifi sylan2
        cfn ralrimiva gsummptcl ringrz syl2anc eqtrd ) AGEHBUAUBRGEHFUCZUDZBUAU
        BRZIDRZIABCDEFGHIJKLMNOACUESZICUFUGZSACUHSZVMLVOCUISZVMCUJZCUKTTVNCIVNU
        LZPUMTQUNAVPVKVNSVLIUOAVOVPLVQTAVNEGVJBVNCGJVRUPAVOGUQSLCGJURTAHVCSVJVC
        SMHVIUSTABVNSZEVJEUTZVJSAVTHSVSVTHVIVAOVBVDVEVNCDVKIVRKPVFVGVH $.
    $}

    ${
      $d k .1. $.
      mgpsumn.n $e |- .1. = ( 1r ` R ) $.
      mgpsumn.1 $e |- ( k = I -> A = .1. ) $.
      $( If the group sum for the multiplicative group of a unital ring
         contains a summand/factor that is the one of the ring, this summand/
         factor can be removed from the group sum.  (Contributed by AV,
         29-Dec-2018.) $)
      mgpsumn $p |- ( ph -> ( M gsum ( k e. N |-> A ) )
                            = ( M gsum ( k e. ( N \ { I } ) |-> A ) ) ) $=
        ( co wcel syl cmpt cgsu csn cdif ccrg crngring eqid ringidcl mgpsumunsn
        crg cbs cfv wceq mgpbas crngmgp cfn diffi cv eldifi ralrimiva gsummptcl
        ccmn sylan2 ringridm syl2anc eqtrd ) AHFIBUAUBRHFIGUCZUDZBUAUBRZEDRZVIA
        BCDFGHIEJKLMNOACUJSZECUKULZSACUESZVKLCUFTZVLCEVLUGZPUHTQUIAVKVIVLSVJVIU
        MVNAVLFHVHBVLCHJVOUNAVMHVBSLCHJUOTAIUPSVHUPSMIVGUQTABVLSZFVHFURZVHSAVQI
        SVPVQIVGUSOVCUTVAVLCDEVIVOKPVDVEVF $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Symmetric groups (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( A nonnegative integer to the power of itself is less than 6 if it is less
     than or equal to 2.  (Contributed by AV, 16-Mar-2019.) $)
  exple2lt6 $p |- ( ( N e. NN0 /\ N <_ 2 ) -> ( N ^ N ) < 6 ) $=
    ( cn0 wcel c2 cle wbr wa cc0 wceq c1 w3o cexp co c6 id oveq12d 1lt6 eqbrtri
    clt eqbrtrdi nn0le2is012 0exp0e1 cc ax-1cn exp1 ax-mp c4 sq2 4lt6 3jaoi syl
    ) ABCADEFGAHIZAJIZADIZKAALMZNSFZAUAULUPUMUNULUOHHLMZNSULAHAHLULOZURPUQJNSUB
    QRTUMUOJJLMZNSUMAJAJLUMOZUTPUSJNSJUCCUSJIUDJUEUFQRTUNUODDLMZNSUNADADLUNOZVB
    PVAUGNSUHUIRTUJUK $.

  ${
    pgrple2abl.g $e |- G = ( SymGrp ` A ) $.
    $( Every symmetric group on a set with at most 2 elements is abelian.
       (Contributed by AV, 16-Mar-2019.) $)
    pgrple2abl $p |- ( ( A e. V /\ ( # ` A ) <_ 2 ) -> G e. Abel ) $=
      ( wcel chash cfv c2 cle wbr wa cgrp cbs clt cabl symggrp adantr cn0 syl
      c6 cfa cfn wceq 2nn0 hashbnd mp3an2 eqid symghash cexp co cn hashcl faccl
      nnred nn0expcld nn0red 6re a1i facubnd exple2lt6 sylancom lelttrd eqbrtrd
      cr lt6abl syl2anc ) ACEZAFGZHIJZKZBLEZBMGZFGZTNJBOEVGVKVIABCDPQVJVMVHUAGZ
      TNVJAUBEZVMVNUCVGHREVIVOUDAHCUEUFZAVLBDVLUGZUHSVJVNVHVHUIUJZTVJVNVJVHREZV
      NUKEVJVOVSVPAULSZVHUMSUNVJVRVJVHVHVTVTUOUPTVDEVJUQURVJVSVNVRIJVTVHUSSVGVI
      VSVRTNJVTVHUTVAVBVCVLBVQVEVF $.

    $d A x y $.  $d G x y $.  $d V x y $.
    $( Every symmetric group on a set with more than 2 elements is not abelian,
       see also the remark in [Rotman] p. 28.  (Contributed by AV,
       21-Mar-2019.) $)
    pgrpgt2nabl $p |- ( ( A e. V /\ 2 < ( # ` A ) ) -> G e/ Abel ) $=
      ( vx vy wcel c2 cfv wbr wa co wceq wn cabl wrex eqid c3 cle sylibr clt cv
      chash cgrp cmnd cplusg cbs wral wnel wne cpmtr crn wss symgtrf cfn wi cn0
      ccom hashcl c1 caddc wb 2nn0 nn0ltp1le mpan 2p1e3 a1i breq1d bitrd biimpd
      adantld syl cpnf cxr 3re rexri pnfge ax-mp hashinf breqtrrid adantr com12
      pm2.61i pmtr3ncom rexcom syldan ssrexv reximdv mpsyl symgov adantl pm3.22
      neeq12d 2rexbidva mpbird rexnal df-ne bicomi rexbii bitr3i intnand df-nel
      ex ccmn isabl iscmn anbi2i bitri xchbinx ) ACGZHAUCIZUAJZKZBUDGZBUEGZEUBZ
      FUBZBUFIZLZXQXPXRLZMZFBUGIZUHZEYBUHZKZKZNBOUIZXMYEXNXMYDXOXMXSXTUJZFYBPZE
      YBPZYDNZXMYJXPXQURZXQXPURZUJZFYBPZEYBPZAUKIZULZYBUMZXMYOEYRPZYPYBAYRBYRQD
      YBQZUNZYSXMYNFYRPZEYRPZYTUUBXJXLRXKSJZUUDAUOGZXMUUEUPZUUFXKUQGZUUGAUSUUHX
      LUUEXJUUHXLUUEUUHXLHUTVALZXKSJZUUEHUQGUUHXLUUJVBVCHXKVDVEUUHUUIRXKSUUIRMU
      UHVFVGVHVIVJVKVLXMUUFNZUUEXJUUKUUEUPXLXJUUKUUEXJUUKKRVMXKSRVNGRVMSJRVOVPR
      VQVRACVSVTXCWAWBWCXJUUEKYNEYRPFYRPUUDAYQFECYQQWDYNEFYRYRWETWFYSUUCYOEYRYN
      FYRYBWGWHWIYOEYRYBWGWIXMYHYNEFYBYBXMXPYBGZXQYBGZKZKZXSYLXTYMUUNXSYLMXMAYB
      XRBXPXQDUUAXRQZWJWKUUOUUMUULKZXTYMMUUNUUQXMUULUUMWLWKAYBXRBXQXPDUUAUUPWJV
      LWMWNWOYKYCNZEYBPYJYCEYBWPUURYIEYBUURYANZFYBPYIYAFYBWPUUSYHFYBYHUUSXSXTWQ
      WRWSWTWSWTTXAXAYGBOGZYFBOXBUUTXNBXDGZKYFBXEUVAYEXNEFYBXRBUUAUUPXFXGXHXIT
      $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Divisibility (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    invginvrid.b $e |- B = ( Base ` R ) $.
    invginvrid.u $e |- U = ( Unit ` R ) $.
    invginvrid.n $e |- N = ( invg ` R ) $.
    invginvrid.i $e |- I = ( invr ` R ) $.
    invginvrid.t $e |- .x. = ( .r ` R ) $.
    $( Identity for a multiplication with additive and multiplicative inverses
       in a ring.  (Contributed by AV, 18-May-2018.) $)
    invginvrid $p |- ( ( R e. Ring /\ X e. B /\ Y e. U )
                      -> ( ( N ` Y ) .x. ( ( I ` ( N ` Y ) ) .x. X ) ) = X ) $=
      ( wcel w3a cfv co wceq eqid 3adant2 crg cur cmgp ringmgp 3ad2ant1 ringgrp
      cmnd unitcl grpinvcl syl2an unitnegcl ringinvcl syldan wa mgpbas mgpplusg
      cgrp simp2 mndass eqcomd syl13anc simp1 unitrinv syl2anc ringlidm 3adant3
      oveq1d 3eqtrd ) BUANZGANZHDNZOZHFPZVMEPZGCQCQZVMVNCQZGCQZBUBPZGCQZGVLBUCP
      ZUGNZVMANZVNANZVJVOVQRVIVJWAVKBVTVTSZUDUEVIVKWBVJVIBUQNHANWBVKBUFABDHIJUH
      ABFHIKUIUJTVIVKWCVJVIVKVMDNZWCBDFHJKUKZABDEVMJLIULUMTVIVJVKURWAWBWCVJOUNV
      QVOACVTVMVNGABVTWDIUOBCVTWDMUPUSUTVAVLVPVRGCVLVIWEVPVRRVIVJVKVBVIVKWEVJWF
      TBCDVREVMJLMVRSZVCVDVGVIVJVSGRVKABCVRGIMWGVEVFVH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The support of functions (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A w v $.  $d C w v $.  $d M w v $.  $d R w v $.  $d X w v $.
    $d V v w $.
    rmsuppss.r $e |- R = ( Base ` M ) $.
    $( The support of a mapping of a multiplication of zero with a function
       into a ring is empty.  (Contributed by AV, 10-Apr-2019.) $)
    rmsupp0 $p |- ( ( ( M e. Ring /\ V e. X /\ C = ( 0g ` M ) )
                      /\ A e. ( R ^m V ) )
                    -> ( ( v e. V |-> ( C ( .r ` M ) ( A ` v ) ) )
                         supp ( 0g ` M ) ) = (/) ) $=
      ( vw wcel c0g cfv wceq co wa cv wne crab c0 eqid crg w3a cmap cmulr csupp
      cmpt cvv weq fveq2 oveq2d cbvmptv simpl2 fvexd ovexd mptsuppd simpll3 cbs
      oveq1d simpll1 wi wf elmapi ffvelrn eleqtrdi ex syl adantl ringlz syl2anc
      imp eqtrd neeq1d rabbidva wral neirr a1i ralrimivw rabeq0 sylibr 3eqtrd
      wn ) EUAJZFGJZCEKLZMZUBZBDFUCNJZOZAFCAPZBLZEUDLZNZUFZWDUENCIPZBLZWKNZWDQZ
      IFRWDWDQZIFRZSWHIFWPUGWMGUGWDAIFWLWPAIUHWJWOCWKWIWNBUIUJUKWBWCWEWGULWHEKU
      MWHWNFJZOZCWOWKUNUOWHWQWRIFXAWPWDWDXAWPWDWOWKNZWDXACWDWOWKWBWCWEWGWTUPURX
      AWBWOEUQLZJZXBWDMWBWCWEWGWTUSWHWTXDWGWTXDUTZWFWGFDBVAZXEBDFVBXFWTXDXFWTOW
      ODXCFDWNBVCHVDVEVFVGVJXCEWKWOWDXCTWKTWDTVHVIVKVLVMWHWRWAZIFVNWSSMWHXGIFXG
      WHWDVOVPVQWRIFVRVSVT $.

    $( The support of a mapping of a multiplication of a nonzero constant with
       a function into a (ring theoretic) domain equals the support of the
       function.  (Contributed by AV, 11-Apr-2019.) $)
    domnmsuppn0 $p |- ( ( ( M e. Domn /\ V e. X )
                       /\ ( C e. R /\ C =/= ( 0g ` M ) ) /\ A e. ( R ^m V ) )
               -> ( ( v e. V |-> ( C ( .r ` M ) ( A ` v ) ) ) supp ( 0g ` M ) )
                    = ( A supp ( 0g ` M ) ) ) $=
      ( vw wcel wa cfv wne co wceq syl 3ad2ant3 adantr ex cvv cdomn c0g cmap cv
      w3a cmulr crab cdm cmpt csupp wf elmapi fdm eqcomd oveq2 domnring anim12i
      crg simpl 3adant3 ringrz sylan9eqr necon3d simpl1l simpll2 wi ffvelrn imp
      eqid simpr domnmuln0 syl112anc impbid rabeqbidva weq fveq2 oveq2d cbvmptv
      simp1r fvexd ovexd mptsuppd wfun elmapfun simp3 suppval1 syl3anc 3eqtr4d
      ) EUAJZFGJZKZCDJZCEUBLZMZKZBDFUCNZJZUEZCIUDZBLZEUFLZNZWMMZIFUGWTWMMZIBUHZ
      UGZAFCAUDZBLZXANZUIZWMUJNBWMUJNZWRXCXDIFXEWQWKFXEOZWOWQFDBUKZXLBDFULZXMXE
      FFDBUMUNPQWRWSFJZKZXCXDXPWTWMXBWMXPWTWMOZXBWMOXQXPXBCWMXANZWMWTWMCXAUOWRX
      RWMOZXOWREURJZWLKZXSWKWOYAWQWKXTWOWLWIXTWJEUPRWLWNUSUQUTDEXACWMHXAVIZWMVI
      ZVAPRVBSVCXPXDXCXPXDKWIWOWTDJZXDXCXPWIXDWIWJWOWQXOVDRWKWOWQXOXDVEXPYDXDWR
      XOYDWQWKXOYDVFZWOWQXMYEXNXMXOYDFDWSBVGSPQVHRXPXDVJDEXACWTWMHYBYCVKVLSVMVN
      WRIFXBTXJGTWMAIFXIXBAIVOXHWTCXAXGWSBVPVQVRWIWJWOWQVSWREUBVTZXPCWTXAWAWBWR
      BWCZWQWMTJXKXFOWQWKYGWOBDFWDQWKWOWQWEYFIWPTBWMWFWGWH $.

    $( The support of a mapping of a multiplication of a constant with a
       function into a ring is a subset of the support of the function.
       (Contributed by AV, 11-Apr-2019.) $)
    rmsuppss $p |- ( ( ( M e. Ring /\ V e. X /\ C e. R ) /\ A e. ( R ^m V ) )
               -> ( ( v e. V |-> ( C ( .r ` M ) ( A ` v ) ) ) supp ( 0g ` M ) )
                  C_ ( A supp ( 0g ` M ) ) ) $=
      ( vw wcel co wa cv cfv c0g wne crab csupp wceq cvv crg w3a cmap cmulr cdm
      cmpt oveq2 simpll1 simpll3 eqid ringrz syl2anc sylan9eqr necon3d ss2rabdv
      ex elmapi adantl rabeq syl sseqtrrd weq fveq2 oveq2d cbvmptv simpl2 fvexd
      fdmd ovexd mptsuppd wfun elmapfun simpr suppval1 syl3anc 3sstr4d ) EUAJZF
      GJZCDJZUBZBDFUCKZJZLZCIMZBNZEUDNZKZEONZPZIFQZWEWHPZIBUEZQZAFCAMZBNZWFKZUF
      ZWHRKBWHRKZWCWJWKIFQZWMWCWIWKIFWCWDFJZLZWEWHWGWHXAWEWHSZWGWHSXBXAWGCWHWFK
      ZWHWEWHCWFUGXAVQVSXCWHSVQVRVSWBWTUHVQVRVSWBWTUIDEWFCWHHWFUJWHUJUKULUMUPUN
      UOWCWLFSZWMWSSWBXDVTWBFDBBDFUQVHURWKIWLFUSUTVAWCIFWGTWQGTWHAIFWPWGAIVBWOW
      ECWFWNWDBVCVDVEVQVRVSWBVFWCEOVGZXACWEWFVIVJWCBVKZWBWHTJWRWMSWBXFVTBDFVLUR
      VTWBVMXEIWATBWHVNVOVP $.
  $}

  ${
    $d A v x $.  $d B v x $.  $d M v x $.  $d R v x $.  $d V v x $.
    $d X v x $.
    mndpsuppss.r $e |- R = ( Base ` M ) $.
    $( The support of a mapping of a scalar multiplication with a function of
       scalars is a subset of the support of the function of scalars.
       (Contributed by AV, 5-Apr-2019.) $)
    mndpsuppss $p |- ( ( ( M e. Mnd /\ V e. X )
                         /\ ( A e. ( R ^m V ) /\ B e. ( R ^m V ) ) )
                  -> ( ( A oF ( +g ` M ) B ) supp ( 0g ` M ) )
                     C_ ( ( A supp ( 0g ` M ) ) u. ( B supp ( 0g ` M ) ) ) ) $=
      ( vx vv wcel wa co cfv crab wn wceq eqid eqtrd cdm cvv cmnd cv cplusg cof
      cmap c0g wne wo csupp cun ioran nne anbi12i bitri elmapfn ad2antrl adantr
      wfn ad2antll simplr inidm simplrl simplrr ofval an32s cbs mndidcl ad4antr
      ancli mndlid syl sylibr ex con4d ss2rabdv wfun offun ovexd fvexd suppval1
      syl5bi syl3anc cmpt offvalfv dmeqd ovex dmmpti eqtrdi rabeqdv elmapfun id
      wf elmapi fdm rabeq 3syl simprr fdmd uneq12d unrab 3sstr4d ) DUAJZEFJZKZA
      CEUELZJZBXEJZKZKZHUBZABDUCMZUDZLZMZDUFMZUGZHENZXJAMZXOUGZXJBMZXOUGZUHZHEN
      ZXMXOUILZAXOUILZBXOUILZUJZXIXPYBHEXIXJEJZKZYBXPYBOZXRXOPZXTXOPZKZYIXPOZYJ
      XSOZYAOZKYMXSYAUKYOYKYPYLXRXOULXTXOULUMUNYIYMYNYIYMKZXNXOPYNYQXNXOXOXKLZX
      OXIYMYHXNYRPXIYMKEEXOXOXKEABFFXJXIAEURZYMXFYSXDXGACEUOUPZUQXIBEURZYMXGUUA
      XDXFBCEUOUSZUQXIXCYMXBXCXHUTZUQZUUDEVAXIYKYLYHVBXIYKYLYHVCVDVEYQXBXODVFMZ
      JZKZYRXOPXBUUGXCXHYHYMXBUUFUUEDXOUUEQZXOQZVGVIVHUUEXKDXOXOUUHXKQUUIVJVKRX
      NXOULVLVMWAVNVOXIYDXPHXMSZNZXQXIXMVPXMTJXOTJZYDUUKPXIEEXKABFFYTUUBUUCUUCV
      QXIABXLVRXIDUFVSZHTTXMXOVTWBXIXPHUUJEXIUUJIEIUBZAMZUUNBMZXKLZWCZSEXIXMUUR
      XIIEXKABFUUCYTUUBWDWEIEUUQUURUUOUUPXKWFUURQWGWHWIRXIYGXSHENZYAHENZUJYCXIY
      EUUSYFUUTXFYEUUSPXDXGXFYEXSHASZNZUUSXFAVPXFUULYEUVBPACEWJXFWKXFDUFVSHXETA
      XOVTWBXFECAWLUVAEPUVBUUSPACEWMECAWNXSHUVAEWOWPRUPXIYFYAHBSZNZUUTXIBVPZXGU
      ULYFUVDPXGUVEXDXFBCEWJUSXDXFXGWQUUMHXETBXOVTWBXIYAHUVCEXGUVCEPXDXFXGECBBC
      EWMWRUSWIRWSXSYAHEWTWHXA $.
  $}

  ${
    $d A v x $.  $d M v x $.  $d R v x $.  $d S x $.  $d V v x $.
    scmsuppss.s $e |- S = ( Scalar ` M ) $.
    scmsuppss.r $e |- R = ( Base ` S ) $.
    $( The support of a mapping of a scalar multiplication with a function of
       scalars is a subset of the support of the function of scalars.
       (Contributed by AV, 5-Apr-2019.) $)
    scmsuppss $p |- ( ( M e. LMod /\ V e. ~P ( Base ` M ) /\ A e. ( R ^m V ) )
               -> ( ( v e. V |-> ( ( A ` v ) ( .s ` M ) v ) ) supp ( 0g ` M ) )
                  C_ ( A supp ( 0g ` S ) ) ) $=
      ( vx wcel cfv co c0g wne crab wi wceq wa cvv eqid clmod cbs cpw w3a cvsca
      cmap cv cmpt cdm csupp wss wf elmapi fdm eqidd weq fveq2 id oveq12d simpr
      adantl ovex a1i fvmptd neeq1d oveq1 simplrr elelpwi expcom adantr lmod0vs
      syl2anc sylan9eqr ex necon3d sylbid ss2rabdv wb dmmpti rabeq mp1i sseq12d
      imp mpbird exp43 mpcom syl com13 3imp wfun funmpt 3ad2ant2 fvexd suppval1
      mptexg syl3anc elmapfun 3ad2ant3 simp3 3sstr4d ) EUAJZFEUBKZUCZJZBCFUFLZJ
      ZUDZIUGZAFAUGZBKZXIEUEKZLZUHZKZEMKZNZIXMUIZOZXHBKZDMKZNZIBUIZOZXMXOUJLZBX
      TUJLZXAXDXFXRYCUKZXFXDXAYFXFFCBULZXDXAYFPPZBCFUMYBFQZYGYHFCBUNYIYGXDXAYFY
      IYGRZXDXARZRZYFXPIFOZYAIFOZUKZYLXPYAIFYLXHFJZRZXPXSXHXKLZXONYAYQXNYRXOYQA
      XHXLYRFXMSYQXMUOAIUPZXLYRQYQYSXJXSXIXHXKXIXHBUQYSURUSVAYLYPUTYRSJYQXSXHXK
      VBVCVDVEYQXSXTYRXOYQXSXTQZYRXOQYTYQYRXTXHXKLZXOXSXTXHXKVFYQXAXHXBJZUUAXOQ
      YJXDXAYPVGYLYPUUBYKYPUUBPZYJXDUUCXAYPXDUUBXHFXBVHVIVJVAWCXKDXTXBEXHXOXBTG
      XKTXTTXOTVKVLVMVNVOVPVQYJYFYOVRZYKYIUUDYGYIXRYMYCYNXQFQXRYMQYIAFXLXMXJXIX
      KVBXMTVSXPIXQFVTWAYAIYBFVTWBVJVJWDWEWFWGWHWIXGXMWJZXMSJZXOSJYDXRQUUEXGAFX
      LWKVCXDXAUUFXFAFXLXCWOWLXGEMWMISSXMXOWNWPXGBWJZXFXTSJYEYCQXFXAUUGXDBCFWQW
      RXAXDXFWSXGDMWMIXESBXTWNWPWT $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Finitely supported functions (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A v $.  $d C v $.  $d M v $.  $d R v $.  $d X v $.  $d V v $.
    rmsuppfi.r $e |- R = ( Base ` M ) $.
    $( The support of a mapping of a multiplication of a constant with a
       function into a ring is finite if the support of the function is finite.
       (Contributed by AV, 11-Apr-2019.) $)
    rmsuppfi $p |- ( ( ( M e. Ring /\ V e. X /\ C e. R )
                       /\ A e. ( R ^m V ) /\ ( A supp ( 0g ` M ) ) e. Fin )
                     -> ( ( v e. V |-> ( C ( .r ` M ) ( A ` v ) ) )
                          supp ( 0g ` M ) ) e. Fin ) $=
      ( crg wcel w3a cmap co c0g cfv csupp cfn cv cmulr cmpt wss simp3 rmsuppss
      3adant3 ssfi syl2anc ) EIJFGJCDJKZBDFLMJZBENOZPMZQJZKUKAFCARBOESOMTUIPMZU
      JUAZULQJUGUHUKUBUGUHUMUKABCDEFGHUCUDUJULUEUF $.

    $( A mapping of a multiplication of a constant with a function into a ring
       is finitely supported if the function is finitely supported.
       (Contributed by AV, 9-Jun-2019.) $)
    rmfsupp $p |- ( ( ( M e. Ring /\ V e. X /\ C e. R )
                      /\ A e. ( R ^m V ) /\ A finSupp ( 0g ` M ) )
           -> ( v e. V |-> ( C ( .r ` M ) ( A ` v ) ) ) finSupp ( 0g ` M ) ) $=
      ( crg wcel w3a cmap co c0g cfv cfsupp wbr csupp cfn cvv cmulr cmpt funmpt
      cv wfun id fsuppimpd rmsuppfi syl3an3 wa wb mptexg 3ad2ant2 3ad2ant1 fvex
      a1i isfsupp sylancl mpbir2and ) EIJZFGJZCDJZKZBDFLMJZBENOZPQZKZAFCAUDBOEU
      AOMZUBZVEPQZVIUEZVIVERMSJZVKVGAFVHUCUPVFVCVDBVERMSJVLVFBVEVFUFUGABCDEFGHU
      HUIVGVITJZVETJVJVKVLUJUKVCVDVMVFVAUTVMVBAFVHGULUMUNENUOVITTVEUQURUS $.
  $}

  ${
    mndpsuppfi.r $e |- R = ( Base ` M ) $.
    $( The support of a mapping of a scalar multiplication with a function of
       scalars is finite if the support of the function of scalars is finite.
       (Contributed by AV, 5-Apr-2019.) $)
    mndpsuppfi $p |- ( ( ( M e. Mnd /\ V e. X ) /\ ( A e. ( R ^m V )
                       /\ B e. ( R ^m V ) ) /\ ( ( A supp ( 0g ` M ) ) e. Fin
                                            /\ ( B supp ( 0g ` M ) ) e. Fin ) )
                       -> ( ( A oF ( +g ` M ) B ) supp ( 0g ` M ) ) e. Fin ) $=
      ( cmnd wcel wa cmap co c0g cfv csupp cfn w3a cun cplusg cof unfi 3ad2ant3
      wss mndpsuppss 3adant3 ssfi syl2anc ) DHIEFIJZACEKLZIBUIIJZADMNZOLZPIBUKO
      LZPIJZQULUMRZPIZABDSNTLUKOLZUOUCZUQPIUNUHUPUJULUMUAUBUHUJURUNABCDEFGUDUEU
      OUQUFUG $.

    $( A mapping of a scalar multiplication with a function of scalars is
       finitely supported if the function of scalars is finitely supported.
       (Contributed by AV, 9-Jun-2019.) $)
    mndpfsupp $p |- ( ( ( M e. Mnd /\ V e. X )
                        /\ ( A e. ( R ^m V ) /\ B e. ( R ^m V ) )
                        /\ ( A finSupp ( 0g ` M ) /\ B finSupp ( 0g ` M ) ) )
                      -> ( A oF ( +g ` M ) B ) finSupp ( 0g ` M ) ) $=
      ( wcel wa co c0g cfv cfsupp wbr csupp cfn wfn elmapfn 3ad2ant2 cvv cplusg
      cmnd cmap w3a cof wfun adantr adantl simp1r offun id fsuppimpd mndpsuppfi
      anim12i syl3an3 wb ovex fvexd isfsupp sylancr mpbir2and ) DUBHZEFHZIZACEU
      CJZHZBVEHZIZADKLZMNZBVIMNZIZUDZABDUALZUEZJZVIMNZVPUFZVPVIOJPHZVMEEVNABFFV
      HVDAEQZVLVFVTVGACERUGSVHVDBEQZVLVGWAVFBCERUHSVBVCVHVLUIZWBUJVLVDVHAVIOJPH
      ZBVIOJPHZIVSVJWCVKWDVJAVIVJUKULVKBVIVKUKULUNABCDEFGUMUOVMVPTHVITHVQVRVSIU
      PABVOUQVMDKURVPTTVIUSUTVA $.
  $}

  ${
    $d A v $.  $d M v $.  $d R v $.  $d V v $.
    scmsuppfi.s $e |- S = ( Scalar ` M ) $.
    scmsuppfi.r $e |- R = ( Base ` S ) $.
    $( The support of a mapping of a scalar multiplication with a function of
       scalars is finite if the support of the function of scalars is finite.
       (Contributed by AV, 5-Apr-2019.) $)
    scmsuppfi $p |- ( ( ( M e. LMod /\ V e. ~P ( Base ` M ) )
                        /\ A e. ( R ^m V ) /\ ( A supp ( 0g ` S ) ) e. Fin )
                      -> ( ( v e. V |-> ( ( A ` v ) ( .s ` M ) v ) )
                                          supp ( 0g ` M ) ) e. Fin ) $=
      ( clmod wcel cbs cfv cpw wa cmap co c0g csupp cfn w3a cv cvsca cmpt simp3
      wss simpll simplr simpr 3jca 3adant3 scmsuppss syl ssfi syl2anc ) EIJZFEK
      LMJZNZBCFOPJZBDQLRPZSJZTZUTAFAUAZBLVBEUBLPUCEQLRPZUSUEZVCSJUQURUTUDVAUOUP
      URTZVDUQURVEUTUQURNUOUPURUOUPURUFUOUPURUGUQURUHUIUJABCDEFGHUKULUSVCUMUN
      $.

    $( A mapping of a scalar multiplication with a function of scalars is
       finitely supported if the function of scalars is finitely supported.
       (Contributed by AV, 9-Jun-2019.) $)
    scmfsupp $p |- ( ( ( M e. LMod /\ V e. ~P ( Base ` M ) )
                       /\ A e. ( R ^m V ) /\ A finSupp ( 0g ` S ) )
           -> ( v e. V |-> ( ( A ` v ) ( .s ` M ) v ) ) finSupp ( 0g ` M ) ) $=
      ( clmod wcel cbs cfv wa co c0g cfsupp wbr csupp cfn cvv cpw cmap cv cvsca
      w3a cmpt funmpt a1i id fsuppimpd scmsuppfi syl3an3 mptexg adantl 3ad2ant1
      wfun wb fvex isfsupp sylancl mpbir2and ) EIJZFEKLUAZJZMZBCFUBNJZBDOLZPQZU
      EZAFAUCZBLVJEUDLNZUFZEOLZPQZVLUPZVLVMRNSJZVOVIAFVKUGUHVHVEVFBVGRNSJVPVHBV
      GVHUIUJABCDEFGHUKULVIVLTJZVMTJVNVOVPMUQVEVFVQVHVDVQVBAFVKVCUMUNUOEOURVLTT
      VMUSUTVA $.
  $}

  ${
    $d B v x $.  $d F v x $.  $d M v x $.  $d V v x $.  $d X v x $.
    $d .1. v x $.  $d .0. v x $.
    suppmptcfin.b $e |- B = ( Base ` M ) $.
    suppmptcfin.r $e |- R = ( Scalar ` M ) $.
    suppmptcfin.0 $e |- .0. = ( 0g ` R ) $.
    suppmptcfin.1 $e |- .1. = ( 1r ` R ) $.
    suppmptcfin.f $e |- F = ( x e. V |-> if ( x = X , .1. , .0. ) ) $.
    $( The support of a mapping with value 0 except of one is finite.
       (Contributed by AV, 27-Apr-2019.) $)
    suppmptcfin $p |- ( ( M e. LMod /\ V e. ~P B /\ X e. V )
                        -> ( F supp .0. ) e. Fin ) $=
      ( vv wcel wceq cfn cvv a1i clmod cpw w3a csupp co cif wne crab cmpt eqeq1
      cv weq ifbid cbvmptv eqtri simp2 c0g fvexi wa cur ifcld mptsuppd csn snfi
      wss wi wral 2a1 wn iffalse adantr neeq1d eqneqall ax-mp syl6bi ex pm2.61i
      eqid ralrimiva rabsssn sylibr ssfi sylancr eqeltrd ) FUAPZGBUBZPZHGPZUCZE
      IUDUEOUKZHQZDIUFZIUGZOGUHZRWIOGWLSEWFSIEAGAUKZHQZDIUFZUIOGWLUINAOGWQWLAOU
      LWPWKDIWOWJHUJUMUNUOWEWGWHUPISPZWIICUQLURZTWIWJGPUSZWKDISDSPWTDCUTMURTWRW
      TWSTVAVBWIHVCZRPWNXAVEZWNRPHVDWIWMWKVFZOGVGXBWIXCOGWKWTXCVFWKWTWMVHWKVIZW
      TXCXDWTUSZWMIIUGZWKXEWLIIXDWLIQWTWKDIVJVKVLIIQXFWKVFIVRWKIIVMVNVOVPVQVSWM
      OGHVTWAXAWNWBWCWD $.

    $( A mapping with value 0 except of one is finitely supported.
       (Contributed by AV, 9-Jun-2019.) $)
    mptcfsupp $p |- ( ( M e. LMod /\ V e. ~P B /\ X e. V )
                      -> F finSupp .0. ) $=
      ( clmod wcel cpw w3a cfsupp cvv wbr wfun csupp co cfn cv wceq cif funmpt2
      a1i suppmptcfin wa wb cmpt mptexg eqeltrid 3ad2ant2 fvexi isfsupp sylancl
      c0g mpbir2and ) FOPZGBQZPZHGPZRZEISUAZEUBZEIUCUDUEPZVIVGAGAUFHUGDIUHZENUI
      UJABCDEFGHIJKLMNUKVGETPZITPVHVIVJULUMVEVCVLVFVEEAGVKUNTNAGVKVDUOUPUQICVAL
      URETTIUSUTVB $.
  $}

  ${
    $d A x $.  $d V x $.
    fsuppmptdmf.n $e |- F/ x ph $.
    fsuppmptdmf.f $e |- F = ( x e. A |-> Y ) $.
    fsuppmptdmf.a $e |- ( ph -> A e. Fin ) $.
    fsuppmptdmf.y $e |- ( ( ph /\ x e. A ) -> Y e. V ) $.
    fsuppmptdmf.z $e |- ( ph -> Z e. W ) $.
    $( A mapping with a finite domain is finitely supported.  (Contributed by
       AV, 4-Sep-2019.) $)
    fsuppmptdmf $p |- ( ph -> F finSupp Z ) $=
      ( fmptdf fdmfifsupp ) ACEDFHABCGEDILJNKMO $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Left modules (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d E x y $.  $d K x y $.  $d N x y $.  $d R x y $.  $d V x y $.
    $d W x y $.  $d X x y $.  $d .x. x y $.  $d .^ x y $.
    lmodvsmdi.v $e |- V = ( Base ` W ) $.
    lmodvsmdi.f $e |- F = ( Scalar ` W ) $.
    lmodvsmdi.s $e |- .x. = ( .s ` W ) $.
    lmodvsmdi.k $e |- K = ( Base ` F ) $.
    lmodvsmdi.p $e |- .^ = ( .g ` W ) $.
    lmodvsmdi.e $e |- E = ( .g ` F ) $.
    $( Multiple distributive law for scalar product (left-distributivity).
       (Contributed by AV, 5-Sep-2019.) $)
    lmodvsmdi $p |- ( ( W e. LMod /\ ( R e. K /\ N e. NN0 /\ X e. V ) ) ->
                     ( R .x. ( N .^ X ) ) = ( ( N E R ) .x. X ) ) $=
      ( wcel co wceq oveq1 vx vy cn0 w3a clmod wi wa cv cc0 caddc oveq2d oveq1d
      c1 eqeq12d imbi2d weq c0g cfv simpr adantr eqid mulg0 simpl anim1i ancomd
      lmodvs0 lmod0vs eqcomd 3eqtr2d eqtrd cplusg cmnd lmodgrp grpmndd ad2antll
      syl adantl mulgnn0p1 syl3anc simprll mulgnn0cl lmodvsdi syl13anc sylan9eq
      lmodfgrp lmodvsdir eqtr3d exp31 a2d nn0ind exp4c com12 3imp impcom ) AFQZ
      GUCQZJHQZUDIUEQZAGJDRZBRZGACRZJBRZSZWOWPWQWRXCUFZWPWOWQXDUFWPWOWQWRXCWOWQ
      UGZWRUGZAUAUHZJDRZBRZXGACRZJBRZSZUFXFAUIJDRZBRZUIACRZJBRZSZUFXFAUBUHZJDRZ
      BRZXRACRZJBRZSZUFXFAXRUMUJRZJDRZBRZYDACRZJBRZSZUFXFXCUFUAUBGXGUISZXLXQXFY
      JXIXNXKXPYJXHXMABXGUIJDTUKYJXJXOJBXGUIACTULUNUOUAUBUPZXLYCXFYKXIXTXKYBYKX
      HXSABXGXRJDTUKYKXJYAJBXGXRACTULUNUOXGYDSZXLYIXFYLXIYFXKYHYLXHYEABXGYDJDTU
      KYLXJYGJBXGYDACTULUNUOXGGSZXLXCXFYMXIWTXKXBYMXHWSABXGGJDTUKYMXJXAJBXGGACT
      ULUNUOXFXNAIUQURZBRZXPXFXMYNABXFWQXMYNSXEWQWRWOWQUSZUTZHDIJYNKYNVAZOVBVPU
      KXFYOYNEUQURZJBRZXPXFWRWOUGYOYNSXFWOWRXEWOWRWOWQVCZVDVEBEFIAYNLMNYRVFVPXF
      WRWQUGYTYNSXFWQWRXEWQWRYPVDVEBEYSHIJYNKLMYSVAZYRVGVPXFYSXOJBXFWOYSXOSXEWO
      WRUUAUTWOXOYSFCEAYSNUUBPVBVHVPULVIVJXRUCQZXFYCYIUUCXFYCYIUUCXFUGZYCUGYFYB
      AJBRZIVKURZRZYHUUDYCYFXTUUEUUFRZUUGUUDYFAXSJUUFRZBRZUUHUUDYEUUIABUUDIVLQZ
      UUCWQYEUUISWRUUKUUCXEWRIIVMVNVOZUUCXFVCZXFWQUUCYQVQZHUUFDIXRJKOUUFVAZVRVS
      UKUUDWRWOXSHQZWQUUJUUHSXFWRUUCXEWRUSVQZUUCWOWQWRVTZUUDUUKUUCWQUUPUULUUMUU
      NHDIXRJKOWAVSUUNUUFABEFHIXSJKUUOLMNWBWCVJXTYBUUEUUFTWDUUDUUGYHSYCUUDYAAEV
      KURZRZJBRZUUGYHUUDWRYAFQZWOWQUVAUUGSUUQUUDEVLQZUUCWOUVBWRUVCUUCXEWREEILWE
      VNVOZUUMUURFCEXRANPWAVSUURUUNUUFUUSYAABEFHIJKUUOLMNUUSVAZWFWCUUDUUTYGJBUU
      DYGUUTUUDUVCUUCWOYGUUTSUVDUUMUURFUUSCEXRANPUVEVRVSVHULWGUTVJWHWIWJWKWLWMW
      N $.
  $}

  ${
    $d B v $.  $d F v $.  $d M v $.  $d R v $.  $d S v $.  $d V v $.  $d Z v $.
    gsumlsscl.s $e |- S = ( LSubSp ` M ) $.
    gsumlsscl.r $e |- R = ( Scalar ` M ) $.
    gsumlsscl.b $e |- B = ( Base ` R ) $.
    $( Closure of a group sum in a linear subspace:  A (finitely supported) sum
       of scalar multiplications of vectors of a subset of a linear subspace is
       also contained in the linear subspace.  (Contributed by AV,
       20-Apr-2019.)  (Revised by AV, 28-Jul-2019.) $)
    gsumlsscl $p |- ( ( M e. LMod /\ Z e. S /\ V C_ Z )
                      -> ( ( F e. ( B ^m V ) /\ F finSupp ( 0g ` R ) )
            -> ( M gsum ( v e. V |-> ( ( F ` v ) ( .s ` M ) v ) ) ) e. Z ) ) $=
      ( wcel wss co cfv wa cvv adantr syl wi clmod w3a cmap c0g cfsupp cv cvsca
      wbr cmpt cgsu eqid cabl lmodabl ssexg ancoms 3adant1 csubg 3simpa lsssubg
      3ad2ant1 wf elmapi ffvelrn ex ad2antrl imp ssel 3ad2ant3 lssvscl syl12anc
      fmpttd cbs cpw simp1 lssss sstr expcom 3imp wb elpwg mpbird simprl simprr
      a1i jca scmfsupp syl3anc gsumsubgcl ) FUALZHDLZGHMZUBZEBGUCNLZECUDOUEUHZP
      ZFAGAUFZEOZWPFUGOZNZUIZUJNHLWLWOPZGHWTFQFUDOZXBUKWLFULLZWOWIWJXCWKFUMUTRW
      LGQLZWOWJWKXDWIWKWJXDGHDUNUOUPZRWLHFUQOLZWOWLWIWJPZXFWIWJWKURZDHFIUSSRXAA
      GWSHXAWPGLZPXGWQBLZWPHLZWSHLXAXGXIWLXGWOXHRRXAXIXJWMXIXJTZWLWNWMGBEVAZXLE
      BGVBXMXIXJGBWPEVCVDSVEVFXAXIXKWLXIXKTZWOWKWIXNWJGHWPVGVHRVFBDWRHCFWQWPJWR
      UKKIVIVJVKXAWIGFVLOZVMLZPZWMWNWTXBUEUHWLXQWOWLWIXPWIWJWKVNWLXPGXOMZWIWJWK
      XRWJWKXRTZTWIWJHXOMZXSDHXOFXOUKIVOWKXTXRGHXOVPVQSWDVRWLXDXPXRVSXEGXOQVTSW
      AWERWLWMWNWBWLWMWNWCAEBCFGJKWFWGWHVD $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Associative algebras (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    assaascl0.a $e |- A = ( algSc ` W ) $.
    assaascl0.f $e |- F = ( Scalar ` W ) $.
    assaascl0.w $e |- ( ph -> W e. AssAlg ) $.
    $( The scalar 0 embedded into an associative algebra corresponds to the 0
       of the associative algebra.  (Contributed by AV, 31-Jul-2019.) $)
    assaascl0 $p |- ( ph -> ( A ` ( 0g ` F ) ) = ( 0g ` W ) ) $=
      ( casa wcel clmod assalmod syl crg assaring ascl0 ) ABCDEFADHIZDJIGDKLAPD
      MIGDNLO $.

    $( The scalar 1 embedded into an associative algebra corresponds to the 1
       of the an associative algebra.  (Contributed by AV, 31-Jul-2019.) $)
    assaascl1 $p |- ( ph -> ( A ` ( 1r ` F ) ) = ( 1r ` W ) ) $=
      ( casa wcel clmod assalmod syl crg assaring ascl1 ) ABCDEFADHIZDJIGDKLAPD
      MIGDNLO $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Univariate polynomials (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    ply1vr1smo.p $e |- P = ( Poly1 ` R ) $.
    ply1vr1smo.i $e |- .1. = ( 1r ` R ) $.
    ply1vr1smo.t $e |- .x. = ( .s ` P ) $.
    ply1vr1smo.m $e |- G = ( mulGrp ` P ) $.
    ply1vr1smo.e $e |- .^ = ( .g ` G ) $.
    ply1vr1smo.x $e |- X = ( var1 ` R ) $.
    $( The variable in a polynomial expressed as scaled monomial.  (Contributed
       by AV, 12-Aug-2019.) $)
    ply1vr1smo $p |- ( R e. Ring -> ( .1. .x. ( 1 .^ X ) ) = X ) $=
      ( crg wcel co cfv cur wceq eqid c1 ply1sca fveq2d syl5eq oveq1d clmod cbs
      csca ply1lmod vr1cl mgpbas mulg1 syl eqeltrd lmodvs1 syl2anc 3eqtrd ) BNO
      ZDUAGEPZCPAUHQZRQZUSCPZUSGURDVAUSCURDBRQVAIURBUTRABNHUBUCUDUEURAUFOUSAUGQ
      ZOVBUSSABHUIURUSGVCURGVCOUSGSVCABGMHVCTZUJZVCEFGVCAFKVDUKLULUMZVEUNCVAUTV
      CAUSVDUTTJVATUOUPVFUQ $.
  $}

  ${
    $d R f $.  $d X f $.  $d Y f $.
    ply1ass23l.p $e |- P = ( Poly1 ` R ) $.
    ply1ass23l.t $e |- .X. = ( .r ` P ) $.
    ply1ass23l.b $e |- B = ( Base ` P ) $.
    ply1ass23l.k $e |- K = ( Base ` R ) $.
    ply1ass23l.n $e |- .x. = ( .s ` P ) $.
    $( Associative identity with scalar and ring multiplication for the
       polynomial ring.  (Contributed by AV, 14-Aug-2019.) $)
    ply1ass23l $p |- ( ( R e. Ring /\ ( A e. K /\ X e. B /\ Y e. B ) )
                       -> ( ( A .x. X ) .X. Y ) = ( A .x. ( X .X. Y ) ) ) $=
      ( vf wcel c1o co cbs eqid crg w3a wa cmps cfv ccnv cima cfn cn0 cmap crab
      cv cn con0 1on a1i simpl cmpl ply1mulr mplmulr mplbasss ply1bascl2 sselid
      3ad2ant2 adantl 3ad2ant3 ply1vsca mplvsca2 simpr1 psrass23l ) DUAPZAGPZHB
      PZIBPZUBZUCZAQDUDRZSUEZOULUFUMUGUHPOUIQUJRUKZDVQEFOQGUNHIVQTZQUNPVPUOUPVK
      VOUQVSTDVQFQQDURRZWATZVTDWAFCJWBKUSUTVRTZVOHVRPZVKVMVLWDVNVMWASUEZVRHVRWA
      DVQWEQWBVTWETWCVAZBCDHJLVBVCVDVEVOIVRPZVKVNVLWGVMVNWEVRIWFBCDIJLVBVCVFVEM
      WADVQEQWBVTDWAECJWBNVGVHVKVLVMVNVIVJ $.
  $}

  ${
    ply1sclrmsm.k $e |- K = ( Base ` R ) $.
    ply1sclrmsm.p $e |- P = ( Poly1 ` R ) $.
    ply1sclrmsm.b $e |- E = ( Base ` P ) $.
    ply1sclrmsm.x $e |- X = ( var1 ` R ) $.
    ply1sclrmsm.s $e |- .x. = ( .s ` P ) $.
    ply1sclrmsm.m $e |- .X. = ( .r ` P ) $.
    ply1sclrmsm.n $e |- N = ( mulGrp ` P ) $.
    ply1sclrmsm.e $e |- .^ = ( .g ` N ) $.
    ply1sclrmsm.a $e |- A = ( algSc ` P ) $.
    $( The ring multiplication of a polynomial with a scalar polynomial is
       equal to the scalar multiplication of the polynomial with the
       corresponding scalar.  (Contributed by AV, 14-Aug-2019.) $)
    ply1sclrmsm $p |- ( ( R e. Ring /\ F e. K /\ Z e. E )
                      -> ( ( A ` F ) .X. Z ) = ( F .x. Z ) ) $=
      ( crg wcel w3a cfv co cur wceq wa cbs ply1sca fveq2d syl5eq eleq2d biimpa
      csca eqid asclval 3adant3 oveq1d eleq2i biimpi 3ad2ant2 ply1ring ringidcl
      syl simp1 3ad2ant1 simp3 ply1ass23l syl13anc ringlidm sylan oveq2d 3eqtrd
      3adant2 ) CUBUCZHIUCZLFUCZUDZHAUEZLEUFHBUGUEZDUFZLEUFZHWBLEUFZDUFZHLDUFVT
      WAWCLEVQVRWAWCUHZVSVQVRUIHBUPUEZUJUEZUCZWGVQVRWJVQIWIHVQICUJUEZWIMVQCWHUJ
      BCUBNUKULUMUNUOADWBWHWIBHUAWHUQWIUQQWBUQZURVFUSUTVTVQHWKUCZWBFUCZVSWDWFUH
      VQVRVSVGVRVQWMVSVRWMIWKHMVAVBVCVQVRWNVSVQBUBUCZWNBCNVDZFBWBOWLVEVFVHVQVRV
      SVIHFBCDEWKWBLNROWKUQQVJVKVTWELHDVQVSWELUHZVRVQWOVSWQWPFBEWBLORWLVLVMVPVN
      VO $.
  $}

  ${
    $d x P $.  $d x R $.  $d x .0. $.  $d x .1. $.
    coe1id.p $e |- P = ( Poly1 ` R ) $.
    coe1id.i $e |- I = ( 1r ` P ) $.
    coe1id.0 $e |- .0. = ( 0g ` R ) $.
    coe1id.1 $e |- .1. = ( 1r ` R ) $.
    $( Coefficient vector of the unit polynomial.  (Contributed by AV,
       9-Aug-2019.) $)
    coe1id $p |- ( R e. Ring -> ( coe1 ` I )
                               = ( x e. NN0 |-> if ( x = 0 , .1. , .0. ) ) ) $=
      ( crg wcel cco1 cfv cascl cn0 cv cc0 wceq eqid cif ply1scl1 eqcomd fveq2d
      cmpt cbs ringidcl coe1scl mpdan eqtrd ) CKLZEMNDBONZNZMNZAPAQRSDFUAUEZUKE
      UMMUKUMEULBCDEGULTZJHUBUCUDUKDCUFNZLUNUOSUQCDUQTZJUGAULBCUQDFGUPURIUHUIUJ
      $.
  $}

  ${
    coe1sclmulval.p $e |- P = ( Poly1 ` R ) $.
    coe1sclmulval.b $e |- B = ( Base ` P ) $.
    coe1sclmulval.k $e |- K = ( Base ` R ) $.
    coe1sclmulval.a $e |- A = ( algSc ` P ) $.
    coe1sclmulval.s $e |- S = ( .s ` P ) $.
    coe1sclmulval.t $e |- .xb = ( .r ` P ) $.
    coe1sclmulval.u $e |- .x. = ( .r ` R ) $.
    $( The value of the coefficient vector of a polynomial multiplied on the
       left by a scalar.  (Contributed by AV, 14-Aug-2019.) $)
    coe1sclmulval $p |- ( ( R e. Ring /\ ( Y e. K /\ Z e. B ) /\ N e. NN0 )
        -> ( ( coe1 ` ( Y S Z ) ) ` N ) = ( Y .x. ( ( coe1 ` Z ) ` N ) ) ) $=
      ( wcel cfv crg wa cn0 w3a co cco1 cascl wceq simp1 simp2l simp2r cmgp cmg
      cv1 eqid ply1sclrmsm syl3anc eqcomd fveq2d fveq1d coe1sclmulfv eqtrd ) DU
      ASZJHSZKBSZUBZIUCSZUDZIJKEUEZUFTZTIJCUGTZTKFUEZUFTZTJIKUFTTGUEVHIVJVMVHVI
      VLUFVHVLVIVHVCVDVEVLVIUHVCVFVGUIVCVDVEVGUJVCVDVEVGUKVKCDEFBCULTZUMTZJHVND
      UNTZKNLMVPUOPQVNUOVOUOVKUOZUPUQURUSUTVKBCDFGHJKILMNVQQRVAVB $.
  $}

  ${
    ply1mulgsum.p $e |- P = ( Poly1 ` R ) $.
    ply1mulgsum.b $e |- B = ( Base ` P ) $.
    ply1mulgsum.a $e |- A = ( coe1 ` K ) $.
    ply1mulgsum.c $e |- C = ( coe1 ` L ) $.
    ply1mulgsum.x $e |- X = ( var1 ` R ) $.
    ply1mulgsum.pm $e |- .X. = ( .r ` P ) $.
    ply1mulgsum.sm $e |- .x. = ( .s ` P ) $.
    ply1mulgsum.rm $e |- .* = ( .r ` R ) $.
    ply1mulgsum.m $e |- M = ( mulGrp ` P ) $.
    ply1mulgsum.e $e |- .^ = ( .g ` M ) $.
    $d A a b n s $.  $d B a b n s $.  $d C a b n s $.  $d K a b n s $.
    $d L a b n s $.  $d R a b n s $.
    $( Lemma 1 for ~ ply1mulgsum .  (Contributed by AV, 19-Oct-2019.) $)
    ply1mulgsumlem1 $p |- ( ( R e. Ring /\ K e. B /\ L e. B )
        -> E. s e. NN0 A. n e. NN0 ( s < n -> ( ( A ` n ) = ( 0g ` R )
                                             /\ ( C ` n ) = ( 0g ` R ) ) ) ) $=
      ( vb va crg wcel w3a cv clt wbr cfv c0g wceq wi wral wrex wa eqid coe1ae0
      3ad2ant2 3ad2ant3 caddc co nn0addcl adantr wb breq1 imbi1d ralbidv adantl
      cn0 r19.26 cc nn0cn addcomd breq1d nn0sumltlt sylbid 3expia ancoms imim1d
      3adant3 imp com23 anim12d ancomd exp31 ralimdva syl5bir rspcedvd impancom
      expd com34 com14 impcom rexlimiva com13 mpcom mpd ) EUHUIZKBUIZLBUIZUJZUF
      UKZHUKZULUMZXHAUNEUOUNZUPZUQZHVNURZUFVNUSZOUKZXHULUMZXKXHCUNXJUPZUTZUQZHV
      NURZOVNUSZXDXCXNXEABDEHKXJUFRQPXJVAZVBVCUGUKZXHULUMZXQUQZHVNURZUGVNUSZXFX
      NYAUQZXEXCYGXDCBDEHLXJUGSQPYBVBVDYFXFYHUQUGVNXNXFYCVNUIZYFUTZYAXMXFYJYAUQ
      UQZUFVNXMXGVNUIZYKYJYLXFXMYAYIYLYFXFXMYAUQUQYIYLUTZYFXMXFYAYMYFXMXFYAUQYM
      XFYFXMUTZYAYMXFYNYAYMXFUTZYNUTZXTYCXGVEVFZXHULUMZXRUQZHVNURZOYQVNYOYQVNUI
      ZYNYMUUAXFYCXGVGVHVHXOYQUPZXTYTVIYPUUBXSYSHVNUUBXPYRXRXOYQXHULVJVKVLVMYOY
      NYTYNYEXLUTZHVNURYOYTYEXLHVNVOYOUUCYSHVNYOXHVNUIZUTZYRUUCXRUUEYRUUCXRUUEY
      RUTZUUCUTXQXKUUFUUCXQXKUTUUFYEXQXLXKUUEYRYEXQUQUUEYEYRXQUUEYRYDXQYOUUDYRY
      DUQZYMUUDUUGUQZXFYLYIUUHYLYIUUDUUGYLYIUUDUJZYRXGYCVEVFZXHULUMYDUUIYQUUJXH
      ULYLYIYQUUJUPUUDYLYIUTYCXGYIYCVPUIYLYCVQVMYLXGVPUIYIXGVQVHVRWEVSUFUGHVTWA
      WBWCVHWFWDWGWFUUEYRXLXKUQUUEXLYRXKUUEYRXIXKYOUUDYRXIUQZYMUUDUUKUQXFYIYLUU
      DUUKUGUFHVTWBVHWFWDWGWFWHWFWIWJWGWKWLWFWMWJWGWOWPWNWQWRWSWTWSXAXB $.

    $d A l n x z $.  $d B l x z $.  $d C l x z $.  $d K l x z $.  $d L l x z $.
    $d R l x z $.  $d s l x z $.  $d .* s z $.
    $( Lemma 2 for ~ ply1mulgsum .  (Contributed by AV, 19-Oct-2019.) $)
    ply1mulgsumlem2 $p |- ( ( R e. Ring /\ K e. B /\ L e. B )
              -> E. s e. NN0 A. n e. NN0 ( s < n -> ( R gsum ( l e. ( 0 ... n )
                 |-> ( ( A ` l ) .* ( C ` ( n - l ) ) ) ) ) = ( 0g ` R ) ) ) $=
      ( vz vx cv clt wbr cfv c0g wceq wa wi cn0 wral wrex crg wcel w3a cc0 cmin
      cfz co cmpt cgsu ply1mulgsumlem1 c2 cmul 2nn0 id nn0mulcld ad2antrr breq1
      a1i wb imbi1d ralbidv adantl cle cr 2re nn0re remulcld adantr elfznn0 syl
      ltsub1d lesub2d resubcld resubcl syl2an lelttr syl3anc cc 2txmxeqx breq1d
      nn0cn sylibd expcomd sylbid ex com23 imp41 impcom fznn0sub2 breq2 fveqeq2
      imp anbi12d imbi12d rspcva simpr syl6 3syl com12 ad4antlr mpd cbs simplr1
      oveq2d simplr2 anim12i eqid coe1fvalcl ringrz syl2anc eqtrd bicomd expcom
      wn ltnle syl11 ad4antr weq simpl oveq1d cvv simplr3 ringlz pm2.61ian cmnd
      fznn0sub mpteq2dva 3ad2ant1 ovex jctir ad3antlr gsumz ralrimiva rexlimiva
      ringmnd rspcedvd mpcom ) UGUIZUHUIZUJUKZUURAULEUMULZUNZUURCULUUTUNZUOZUPZ
      UHUQURZUGUQUSEUTVAZKBVAZLBVAZVBZOUIZHUIZUJUKZEPVCUVKVEVFZPUIZAULZUVKUVNVD
      VFZCULZJVFZVGZVHVFZUUTUNZUPZHUQURZOUQUSZABCDEFGUHIJKLMNUGQRSTUAUBUCUDUEUF
      VIUVEUVIUWDUPUGUQUUQUQVAZUVEUOZUVIUWDUWFUVIUOZUWCVJUUQVKVFZUVKUJUKZUWAUPZ
      HUQURZOUWHUQUWEUWHUQVAUVEUVIUWEVJUUQVJUQVAUWEVLVQUWEVMVNVOUVJUWHUNZUWCUWK
      VRUWGUWLUWBUWJHUQUWLUVLUWIUWAUVJUWHUVKUJVPVSVTWAUWGUWJHUQUWGUVKUQVAZUOZUW
      IUWAUWNUWIUOZUVTEPUVMUUTVGZVHVFZUUTUWOUVSUWPEVHUWOPUVMUVRUUTUVNUUQWBUKZUW
      OUVNUVMVAZUOZUVRUUTUNUWRUWTUOZUVRUVOUUTJVFZUUTUXAUVQUUTUVOJUXAUUQUVPUJUKZ
      UVQUUTUNZUWTUWRUXCUWGUWMUWIUWSUWRUXCUPZUWEUWMUWIUWSUXEUPUPZUPUVEUVIUWEUWM
      UXFUWEUWMUOZUWSUWIUXEUXGUWSUWIUXEUPUXGUWSUOZUWIUWHUVNVDVFZUVPUJUKZUXEUXHU
      WHUVKUVNUWEUWHWCVAZUWMUWSUWEVJUUQVJWCVAUWEWDVQUUQWEZWFZVOZUXGUVKWCVAZUWSU
      WMUXOUWEUVKWEWAZWGUWSUVNWCVAZUXGUWSUVNUQVAZUXQUVNUVKWHZUVNWEZWIZWAZWJUXHU
      XJUXEUXHUXJUOUWRUWHUUQVDVFZUXIWBUKZUXCUXHUWRUYDVRUXJUXHUVNUUQUWHUYBUWEUUQ
      WCVAZUWMUWSUXLVOUXNWKWGUXHUXJUYDUXCUPUXHUYDUXJUXCUXHUYDUXJUOZUYCUVPUJUKZU
      XCUXHUYCWCVAZUXIWCVAZUVPWCVAZUYFUYGUPUWEUYHUWMUWSUWEUWHUUQUXMUXLWLVOUXGUX
      KUXQUYIUWSUWEUXKUWMUXMWGUYAUWHUVNWMWNUXGUXOUXQUYJUWSUXPUYAUVKUVNWMWNUYCUX
      IUVPWOWPUXHUYCUUQUVPUJUWEUYCUUQUNZUWMUWSUWEUUQWQVAUYKUUQWTUUQWRWIVOWSXAXB
      XKXCXDXCXDXEXDVOXFXGUWTUXCUXDUPZUWRUWOUWSUYLUVEUWSUYLUPUWEUVIUWMUWIUWSUVE
      UYLUWSUVPUVMVAUVPUQVAZUVEUYLUPUVNUVKXHUVPUVKWHUYMUVEUYLUYMUVEUOUXCUVPAULU
      UTUNZUXDUOZUXDUVDUXCUYOUPUHUVPUQUURUVPUNZUUSUXCUVCUYOUURUVPUUQUJXIUYPUVAU
      YNUVBUXDUURUVPUUTAXJUURUVPUUTCXJXLXMXNUYNUXDXOXPXDXQXRXSXKWAXTYCUXAUVFUVO
      EYAULZVAZUXBUUTUNUWTUVFUWRUWNUVFUWIUWSUVFUVGUVHUWFUWMYBVOZWAUXAUVGUXRUOZU
      YRUWTUYTUWRUWOUVGUWSUXRUWNUVGUWIUVFUVGUVHUWFUWMYDWGUXSYEWAABDEKUYQUVNSRQU
      YQYFZYGWIUYQEJUVOUUTVUAUDUUTYFZYHYIYJUWRYMZUWTUOZUVRUUTUVQJVFZUUTVUDUVOUU
      TUVQJUWTVUCUVOUUTUNZUWTVUCUUQUVNUJUKZVUFUWOUWSVUCVUGVRZUWEUWSVUHUPUVEUVIU
      WMUWIUXRUWEVUHUWSUWEUXRVUHUWEUXRUOVUGVUCUWEUYEUXQVUGVUCVRUXRUXLUXTUUQUVNY
      NWNYKYLUXSYOYPXKUWOUWSVUGVUFUPZUVEUWSVUIUPUWEUVIUWMUWIUXRUVEVUIUWSUXRUVEV
      UIUXRUVEUOVUGVUFUVNCULUUTUNZUOZVUFUVDVUGVUKUPUHUVNUQUHPYQZUUSVUGUVCVUKUUR
      UVNUUQUJXIVULUVAVUFUVBVUJUURUVNUUTAXJUURUVNUUTCXJXLXMXNVUFVUJYRXPXDUXSYOX
      SXKXCXGYSVUDUVFUVQUYQVAZVUEUUTUNUWTUVFVUCUYSWAVUDUVHUYMUOZVUMUWTVUNVUCUWO
      UVHUWSUYMUWNUVHUWIUVFUVGUVHUWFUWMUUAWGUVNVCUVKUUEYEWACBDELUYQUVPTRQVUAYGW
      IUYQEJUVQUUTVUAUDVUBUUBYIYJUUCUUFYCUWOEUUDVAZUVMYTVAZUOZUWQUUTUNUVIVUQUWF
      UWMUWIUVIVUOVUPUVFUVGVUOUVHEUUNUUGVCUVKVEUUHUUIUUJUVMPEYTUUTVUBUUKWIYJXDU
      ULUUOXDUUMUUP $.

    $d A k $.  $d B k $.  $d C k $.  $d K k $.  $d L k $.  $d R k $.
    $d .* k n $.  $d k l $.  $d k s $.
    $( Lemma 3 for ~ ply1mulgsum .  (Contributed by AV, 20-Oct-2019.) $)
    ply1mulgsumlem3 $p |- ( ( R e. Ring /\ K e. B /\ L e. B )
           -> ( k e. NN0 |-> ( R gsum ( l e. ( 0 ... k )
           |-> ( ( A ` l ) .* ( C ` ( k - l ) ) ) ) ) ) finSupp ( 0g ` R ) ) $=
      ( vn vs crg wcel w3a cvv cc0 cv cfz co cfv cmin cmpt cgsu c0g fvexd ovexd
      cn0 wa clt wbr wceq wi wral wrex csb ply1mulgsumlem2 vex csbov2g id oveq2
      fvoveq1 oveq2d mpteq12dv adantl csbied eqtrd ax-mp simpr syl5eq ex imim2d
      ralimdva reximdva mpd mptnn0fsupp ) EUHUIKBUILBUIUJZUFUKEOULHUMZUNUOZOUMZ
      AUPZWMWOUQUOCUPZJUOZURZUSUOZHUKEUTUPZUGWLEUTVAWLWMVCUIVDEWSUSVBWLUGUMZUFU
      MZVEVFZEOULXCUNUOZWPXCWOUQUOCUPZJUOZURZUSUOZXAVGZVHZUFVCVIZUGVCVJXDHXCWTV
      KZXAVGZVHZUFVCVIZUGVCVJABCDEFGUFIJKLMNUGOPQRSTUAUBUCUDUEVLWLXLXPUGVCWLXBV
      CUIVDZXKXOUFVCXQXCVCUIVDZXJXNXDXRXJXNXRXJVDXMXIXAXCUKUIZXMXIVGUFVMXSXMEHX
      CWSVKZUSUOXIHXCEWSUSUKVNXSXTXHEUSXSHXCWSXHUKXSVOWMXCVGZWSXHVGXSYAOWNWRXEX
      GWMXCULUNVPYAWQXFWPJWMXCWOCUQVQVRVSVTWAVRWBWCXRXJWDWEWFWGWHWIWJWK $.

    $d P n s $.  $d X k n s $.  $d .^ k n s $.  $d .x. k n s $.  $d k l n s $.
    $( Lemma 4 for ~ ply1mulgsum .  (Contributed by AV, 19-Oct-2019.) $)
    ply1mulgsumlem4 $p |- ( ( R e. Ring /\ K e. B /\ L e. B )
             -> ( k e. NN0 |-> ( ( R gsum ( l e. ( 0 ... k )
                  |-> ( ( A ` l ) .* ( C ` ( k - l ) ) ) ) ) .x. ( k .^ X ) ) )
                finSupp ( 0g ` P ) ) $=
      ( vn vs crg wcel w3a cvv cc0 cv cfz co cfv cmin cmpt cgsu c0g fvexd ovexd
      cn0 wa clt wbr wceq wi wral wrex csb ply1mulgsumlem2 vex csbov12g csbov2g
      oveq2 fvoveq1 oveq2d mpteq12dv adantl csbied eqtrd csbov1g csbvarg oveq1d
      id oveq12d ax-mp oveq1 csca ply1sca 3ad2ant1 ad2antrr clmod ply1lmod cmnd
      fveq2d ply1ring ringmgp simpr vr1cl mgpbas mulgnn0cl syl3anc eqid lmod0vs
      syl syl2anc sylan9eqr syl5eq ex imim2d ralimdva reximdva mpd mptnn0fsupp
      ) EUHUIZKBUIZLBUIZUJZUFUKEOULHUMZUNUOZOUMZAUPZYAYCUQUOCUPZJUOZURZUSUOZYAN
      IUOZFUOZHUKDUTUPZUGXTDUTVAXTYAVCUIVDYHYIFVBXTUGUMZUFUMZVEVFZEOULYMUNUOZYD
      YMYCUQUOCUPZJUOZURZUSUOZEUTUPZVGZVHZUFVCVIZUGVCVJYNHYMYJVKZYKVGZVHZUFVCVI
      ZUGVCVJABCDEFGUFIJKLMNUGOPQRSTUAUBUCUDUEVLXTUUCUUGUGVCXTYLVCUIZVDZUUBUUFU
      FVCUUIYMVCUIZVDZUUAUUEYNUUKUUAUUEUUKUUAVDUUDYSYMNIUOZFUOZYKYMUKUIZUUDUUMV
      GUFVMUUNUUDHYMYHVKZHYMYIVKZFUOUUMHYMYHYIFUKVNUUNUUOYSUUPUULFUUNUUOEHYMYGV
      KZUSUOYSHYMEYGUSUKVOUUNUUQYREUSUUNHYMYGYRUKUUNWFYAYMVGZYGYRVGUUNUUROYBYFY
      OYQYAYMULUNVPUURYEYPYDJYAYMYCCUQVQVRVSVTWAVRWBUUNUUPHYMYAVKZNIUOUULHYMYAN
      IUKWCUUNUUSYMNIHYMUKWDWEWBWGWBWHUUAUUKUUMYTUULFUOZYKYSYTUULFWIUUKUUTDWJUP
      ZUTUPZUULFUOZYKUUKYTUVBUULFUUKEUVAUTXTEUVAVGZUUHUUJXQXRUVDXSDEUHPWKWLWMWQ
      WEUUKDWNUIZUULBUIZUVCYKVGXTUVEUUHUUJXQXRUVEXSDEPWOWLWMUUKMWPUIZUUJNBUIZUV
      FXTUVGUUHUUJXQXRUVGXSXQDUHUIUVGDEPWRDMUDWSXGWLWMUUIUUJWTXTUVHUUHUUJXQXRUV
      HXSBDENTPQXAWLWMBIMYMNBDMUDQXBUEXCXDFUVAUVBBDUULYKQUVAXEUBUVBXEYKXEXFXHWB
      XIXJXKXLXMXNXOXP $.

    $d A i $.  $d B m $.  $d C i $.  $d K i m n $.  $d L i m $.  $d P k $.
    $d R i m $.  $d .X. m n $.  $d .* i l m $.
    $( The product of two polynomials expressed as group sum of scaled
       monomials.  (Contributed by AV, 20-Oct-2019.) $)
    ply1mulgsum $p |- ( ( R e. Ring /\ K e. B /\ L e. B )
       -> ( K .X. L ) = ( P gsum ( k e. NN0 |-> ( ( R gsum ( l e. ( 0 ... k )
           |-> ( ( A ` l ) .* ( C ` ( k - l ) ) ) ) ) .x. ( k .^ X ) ) ) ) ) $=
      ( vn vm vi crg wcel w3a cv co cco1 cfv cn0 cc0 cfz cmin cmpt cgsu wceq wa
      coe1mul adantr fveq1d cvv eqidd weq oveq2 fvoveq1 oveq2d mpteq12dv adantl
      wral simpr ovexd fvmptd csb cbs c0g cmg cmgp fveq2i eqtri simp1 eqid ccmn
      ringcmn 3ad2ant1 ad2antrr fzfid simpll1 simp2 elfznn0 coe1fvalcl fznn0sub
      syl2an ringcl syl3anc ralrimiva gsummptcl wbr ply1mulgsumlem3 gsummoncoe1
      simp3 cfsupp vex csbov2g id csbied eqtrd mp1i fveq2 fveq1i eqtrdi oveq12d
      fveq2d cbvmptv a1i 3eqtrrd 3eqtrd wb ply1ring syl3an1 nn0ex csca ply1lmod
      clmod ply1sca eleqtrd cmnd ringmgp vr1cl mgpbas mulgnn0cl lmodvscl fmpttd
      syl ply1mulgsumlem4 gsumcl ply1coe1eq mpbid ) EUIUJZKBUJZLBUJZUKZUFULZKLG
      UMZUNUOZUOZUUHDHUPEOUQHULZURUMZOULZAUOZUULUUNUSUMZCUOZJUMZUTZVAUMZUULNIUM
      ZFUMZUTZVAUMZUNUOZUOZVBZUFUPVOZUUIUVDVBZUUGUVGUFUPUUGUUHUPUJZVCZUUKUUHUGU
      PEUHUQUGULZURUMZUHULZKUNUOZUOZUVLUVNUSUMLUNUOZUOZJUMZUTZVAUMZUTZUOEUHUQUU
      HURUMZUVPUUHUVNUSUMZUVQUOZJUMZUTZVAUMZUVFUVKUUHUUJUWBUUGUUJUWBVBUVJUHBEGJ
      UGKLDPUAUCQVDVEVFUVKUGUUHUWAUWHUPUWBVGUVKUWBVHUGUFVIZUWAUWHVBUVKUWIUVTUWG
      EVAUWIUHUVMUVSUWCUWFUVLUUHUQURVJUWIUVRUWEUVPJUVLUUHUVNUVQUSVKVLVMVLVNUUGU
      VJVPZUVKEUWGVAVQVRUVKUVFHUUHUUTVSZEOUWCUUOUUHUUNUSUMZCUOZJUMZUTZVAUMZUWHU
      VKUUTBDEHIFEVTUOZUUHNEWAUOZPQTIMWBUODWCUOZWBUOUEMUWSWBUDWDWEUUGUUDUVJUUDU
      UEUUFWFZVEUWQWGZUBUWRWGUVKUUTUWQUJHUPUVKUULUPUJZVCZUWQOEUUMUURUXAUUGEWHUJ
      ZUVJUXBUUDUUEUXDUUFEWIWJZWKUXCUQUULWLUXCUURUWQUJZOUUMUXCUUNUUMUJZVCUUDUUO
      UWQUJZUUQUWQUJZUXFUXCUUDUXGUUDUUEUUFUVJUXBWMVEUXCUUEUUNUPUJZUXHUXGUUGUUEU
      VJUXBUUDUUEUUFWNZWKUUNUULWOZABDEKUWQUUNRQPUXAWPZWRUXCUUFUUPUPUJZUXIUXGUUG
      UUFUVJUXBUUDUUEUUFXFZWKUUNUQUULWQZCBDELUWQUUPSQPUXAWPZWRUWQEJUUOUUQUXAUCW
      SZWTXAXBXAUUGHUPUUTUTUWRXGXCUVJABCDEFGHIJKLMNOPQRSTUAUBUCUDUEXDVEUWJXEUUH
      VGUJZUWKUWPVBUVKUFXHUXSUWKEHUUHUUSVSZVAUMUWPHUUHEUUSVAVGXIUXSUXTUWOEVAUXS
      HUUHUUSUWOVGUXSXJHUFVIZUUSUWOVBUXSUYAOUUMUURUWCUWNUULUUHUQURVJUYAUUQUWMUU
      OJUULUUHUUNCUSVKVLVMVNXKVLXLXMUVKUWOUWGEVAUWOUWGVBUVKOUHUWCUWNUWFOUHVIZUU
      OUVPUWMUWEJUYBUUOUVNAUOUVPUUNUVNAXNUVNAUVORXOXPUYBUWMUWDCUOUWEUYBUWLUWDCU
      UNUVNUUHUSVJXRUWDCUVQSXOXPXQXSXTVLYAYBXAUUGUUDUUIBUJZUVDBUJUVHUVIYCUWTUUD
      DUIUJZUUEUUFUYCDEPYDZBDGKLQUAWSYEUUGUPBUVCDVGDWAUOZQUYFWGUUDUUEDWHUJZUUFU
      UDUYDUYGUYEDWIYSWJUPVGUJUUGYFXTUUGHUPUVBBUUGUXBVCZDYIUJZUUTDYGUOZVTUOZUJU
      VABUJZUVBBUJUUGUYIUXBUUDUUEUYIUUFDEPYHWJVEUYHUUTUWQUYKUYHUWQOEUUMUURUXAUU
      GUXDUXBUXEVEUYHUQUULWLUYHUXFOUUMUYHUXGVCUUDUXHUXIUXFUUDUUEUUFUXBUXGWMUYHU
      UEUXJUXHUXGUUGUUEUXBUXKVEUXLUXMWRUYHUUFUXNUXIUXGUUGUUFUXBUXOVEUXPUXQWRUXR
      WTXAXBUYHEUYJVTUYHUUDEUYJVBUUGUUDUXBUWTVEDEUIPYJYSXRYKUYHMYLUJZUXBNBUJZUY
      LUUGUYMUXBUUDUUEUYMUUFUUDUYDUYMUYEDMUDYMYSWJVEUUGUXBVPUUGUYNUXBUUDUUEUYNU
      UFBDENTPQYNWJVEBIMUULNBDMUDQYOUEYPWTUUTFUYJUYKBDUVAQUYJWGUBUYKWGYQWTYRABC
      DEFGHIJKLMNOPQRSTUAUBUCUDUEYTUUAUUJBUVEDEUFUUIUVDPQUUJWGUVEWGUUBWTUUC $.
  $}

  ${
    evl1at0.o $e |- O = ( eval1 ` R ) $.
    evl1at0.p $e |- P = ( Poly1 ` R ) $.
    ${
      evl1at0.0 $e |- .0. = ( 0g ` R ) $.
      evl1at0.z $e |- Z = ( 0g ` P ) $.
      $( Polynomial evaluation for the 0 scalar.  (Contributed by AV,
         10-Aug-2019.) $)
      evl1at0 $p |- ( R e. CRing -> ( ( O ` Z ) ` .0. ) = .0. ) $=
        ( ccrg wcel cfv cascl crg wceq crngring eqid ply1scl0 syl cbs eqcomd id
        fveq2d fveq1d cgrp ringgrp grpidcl 3syl evl1scad simprd eqtrd ) BJKZDEC
        LZLDDAMLZLZCLZLZDULDUMUPULEUOCULUOEULBNKZUOEOBPZUNABEDGUNQZHIRSUAUCUDUL
        UOATLZKUQDOULUNBTLZABVACDDFGVBQZUTVAQULUBULURBUEKDVBKUSBUFVBBDVCHUGUHZV
        DUIUJUK $.
    $}

    evl1at1.1 $e |- .1. = ( 1r ` R ) $.
    evl1at1.i $e |- I = ( 1r ` P ) $.
    $( Polynomial evaluation for the 1 scalar.  (Contributed by AV,
       10-Aug-2019.) $)
    evl1at1 $p |- ( R e. CRing -> ( ( O ` I ) ` .1. ) = .1. ) $=
      ( ccrg wcel cfv cascl crg wceq crngring eqid ply1scl1 syl cbs id ringidcl
      eqcomd fveq2d fveq1d evl1scad simprd eqtrd ) BJKZCDELZLCCAMLZLZELZLZCUICU
      JUMUIDULEUIULDUIBNKZULDOBPZUKABCDGUKQZHIRSUCUDUEUIULATLZKUNCOUIUKBTLZABUR
      ECCFGUSQZUQURQUIUAUIUOCUSKUPUSBCUTHUBSZVAUFUGUH $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Univariate polynomials (examples)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    linply1.p $e |- P = ( Poly1 ` R ) $.
    linply1.b $e |- B = ( Base ` P ) $.
    linply1.k $e |- K = ( Base ` R ) $.
    linply1.x $e |- X = ( var1 ` R ) $.
    linply1.m $e |- .- = ( -g ` P ) $.
    linply1.a $e |- A = ( algSc ` P ) $.
    linply1.g $e |- G = ( X .- ( A ` C ) ) $.
    linply1.c $e |- ( ph -> C e. K ) $.
    ${
      linply1.r $e |- ( ph -> R e. Ring ) $.
      $( A term of the form ` x - C ` is a (univariate) polynomial, also called
         "linear polynomial".  (Part of ~ ply1remlem ).  (Contributed by AV,
         3-Jul-2019.) $)
      linply1 $p |- ( ph -> G e. B ) $=
        ( wcel cfv co cgrp crg ply1ring ringgrp 3syl vr1cl wf ply1sclf ffvelrnd
        syl grpsubcl syl3anc eqeltrid ) AGJDBUAZIUBZCQAEUCTZJCTZUPCTUQCTAFUDTZE
        UDTURSEFKUEEUFUGAUTUSSCEFJNKLUHULAHCDBAUTHCBUISBCEFHKPMLUJULRUKCEIJUPLO
        UMUNUO $.
    $}

    lineval.o $e |- O = ( eval1 ` R ) $.
    lineval.r $e |- ( ph -> R e. CRing ) $.
    lineval.v $e |- ( ph -> V e. K ) $.
    $( A term of the form ` x - C ` evaluated for ` x = V ` results in
       ` V - C ` (part of ~ ply1remlem ).  (Contributed by AV, 3-Jul-2019.) $)
    lineval $p |- ( ph -> ( ( O ` G ) ` V ) = ( V ( -g ` R ) C ) ) $=
      ( cfv co csg fveq2i fveq1i wcel wceq evl1vard evl1scad eqid simprd syl5eq
      evl1subd ) AKGJUDZUDKLDBUDZIUEZJUDZUDZKDFUFUDZUEZKUQUTGUSJSUGUHAUSCUIVAVC
      UJAHVBEFCLIURJKDKUAMONUBUCAHEFCJLKUAPOMNUBUCUKABHEFCJDKUAMORNUBTUCULQVBUM
      UPUNUO $.
  $}

  ${
    linevalexample.p $e |- P = ( Poly1 ` ZZring ) $.
    linevalexample.b $e |- B = ( Base ` P ) $.
    linevalexample.x $e |- X = ( var1 ` ZZring ) $.
    linevalexample.m $e |- .- = ( -g ` P ) $.
    linevalexample.a $e |- A = ( algSc ` P ) $.
    linevalexample.g $e |- G = ( X .- ( A ` 3 ) ) $.
    linevalexample.o $e |- O = ( eval1 ` ZZring ) $.
    $( The polynomial ` x - 3 ` over ` ZZ ` evaluated for ` x = 5 ` results in
       2.  (Contributed by AV, 3-Jul-2019.) $)
    linevalexample $p |- ( ( O ` ( X .- ( A ` 3 ) ) ) ` 5 ) = 2 $=
      ( c5 c3 cfv co zring wcel cmin c2 ccrg wceq zringcrng cz zringbas eqid 3z
      csg a1i 5nn0 nn0zi lineval ax-mp zringsubgval mp2an 5cn 3cn 2cn subaddrii
      id 3p2e5 3eqtr2i ) OGPAQERZFQQZOPSUJQZRZOPUARZUBSUCTZVFVHUDUEVJABPCSVEUFE
      FOGHIUGJKLVEUHPUFTZVJUIUKNVJVBOUFTZVJOULUMZUKUNUOVLVKVIVHUDVMUIVGOPVGUHUP
      UQOPUBURUSUTVCVAVD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Linear algebra (extension)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The subalgebras of diagonal and scalar matrices (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  In the following, alternative definitions for diagonal and scalar matrices
  are provided.  These definitions define diagonal and scalar matrices as
  _extensible structures_, whereas Definitions ~ df-dmat and ~ df-scmat define
  diagonal and scalar matrices as _sets_.

$)

  $c DMatALT ScMatALT $.

  $( Alternative notation for the algebra of diagonal matrices. $)
  cdmatalt $a class DMatALT $.

  $( Alternative notation for the algebra of scalar matrices. $)
  cscmatalt $a class ScMatALT $.

  ${
    $d a i j m n r $.
    $( Define the set of n x n diagonal (square) matrices over a set (usually a
       ring) r, see definition in [Roman] p. 4 or Definition 3.12 in [Hefferon]
       p. 240.  (Contributed by AV, 8-Dec-2019.) $)
    df-dmatalt $a |- DMatALT = ( n e. Fin , r e. _V |-> [_ ( n Mat r ) / a ]_
                       ( a |`s { m e. ( Base ` a ) | A. i e. n A. j e. n
                                 ( i =/= j -> ( i m j ) = ( 0g ` r ) ) } ) ) $.
  $}

  ${
    $d a c i j m n r $.
    $( Define the algebra of n x n scalar matrices over a set (usually a ring)
       r, see definition in [Connell] p. 57:  "A _scalar matrix_ is a diagonal
       matrix for which all the diagonal terms are equal, i.e., a matrix of the
       form cI_n".  (Contributed by AV, 8-Dec-2019.) $)
    df-scmatalt $a |- ScMatALT = ( n e. Fin , r e. _V |-> [_ ( n Mat r ) / a ]_
         ( a |`s { m e. ( Base ` a ) | E. c e. ( Base ` r ) A. i e. n A. j e. n
                             ( i m j ) = if ( i = j , c , ( 0g ` r ) ) } ) ) $.
  $}

  ${
    $d A n r $.  $d B m n r $.  $d N a i j m n r $.  $d R a i j m n r $.
    $d .0. n r $.
    dmatALTval.a $e |- A = ( N Mat R ) $.
    dmatALTval.b $e |- B = ( Base ` A ) $.
    dmatALTval.0 $e |- .0. = ( 0g ` R ) $.
    dmatALTval.d $e |- D = ( N DMatALT R ) $.
    $( The algebra of ` N ` x ` N ` diagonal matrices over a ring ` R ` .
       (Contributed by AV, 8-Dec-2019.) $)
    dmatALTval $p |- ( ( N e. Fin /\ R e. _V )
                    -> D = ( A |`s { m e. B | A. i e. N A. j e. N
                                     ( i =/= j -> ( i m j ) = .0. ) } ) ) $=
      ( va co cv wceq cress cfv cbs vn vr cfn wcel cvv wa cdmatalt wi wral crab
      wne cmat c0g csb ovexd fveq2 rabeqdv oveq12d adantl csbied oveq12 eqtr4di
      id fveq2d simpl eqeq2d imbi2d raleqbidv rabeqbidv eqtrd df-dmatalt ovmpoa
      ovex syl5eq ) HUCUDDUEUDUFCHDUGOAEPZFPZUKZVOVPGPOZIQZUHZFHUIZEHUIZGBUJZRO
      ZMUAUBHDUCUENUAPZUBPZULOZNPZVQVRWFUMSZQZUHZFWEUIZEWEUIZGWHTSZUJZROZUNZWDU
      GWEHQZWFDQZUFZWQWGWMGWGTSZUJZROZWDWTNWGWPXCUEWTWEWFULUOWHWGQZWPXCQWTXDWHW
      GWOXBRXDVCXDWMGWNXAWHWGTUPUQURUSUTWTWGAXBWCRWTWGHDULOAWEHWFDULVAJVBZWTWMW
      BGXABWTXAATSBWTWGATXEVDKVBWTWLWAEWEHWRWSVEZWTWKVTFWEHXFWTWJVSVQWTWIIVRWSW
      IIQWRWSWIDUMSIWFDUMUPLVBUSVFVGVHVHVIURVJEFGUAUBNVKAWCRVMVLVN $.

    $( The base set of the algebra of ` N ` x ` N ` diagonal matrices over a
       ring ` R ` , i.e. the set of all ` N ` x ` N ` diagonal matrices over
       the ring ` R ` .  (Contributed by AV, 8-Dec-2019.) $)
    dmatALTbas $p |- ( ( N e. Fin /\ R e. _V )
             -> ( Base ` D ) = { m e. B | A. i e. N A. j e. N
                                          ( i =/= j -> ( i m j ) = .0. ) } ) $=
      ( wcel cvv cbs cfv cv co wceq cfn wa wi wral crab cress dmatALTval fveq2d
      wne cin fvexi rabexg mp1i eqid ressbas inrab2 inidm rabeq syl5eq 3eqtr2d
      syl ) HUANDONUBZCPQAERZFRZUIVCVDGRSITUCFHUDEHUDZGBUEZUFSZPQZVFBUJZVFVBCVG
      PABCDEFGHIJKLMUGUHVBVFONZVIVHTBONVJVBBAPKUKVEGBOULUMVFBVGOAVGUNKUOVAVBVIV
      EGBBUJZUEZVFVEGBBUPVKBTVLVFTVBBUQVEGVKBURUMUSUT $.

    $d M i j m $.  $d .0. m $.
    $( An element of the base set of the algebra of ` N ` x ` N ` diagonal
       matrices over a ring ` R ` , i.e. an ` N ` x ` N ` diagonal matrix over
       the ring ` R ` .  (Contributed by AV, 8-Dec-2019.) $)
    dmatALTbasel $p |- ( ( N e. Fin /\ R e. _V ) -> ( M e. ( Base ` D )
                        <-> ( M e. B /\ A. i e. N A. j e. N
                                        ( i =/= j -> ( i M j ) = .0. ) ) ) ) $=
      ( vm wcel wa cv co wceq wral cfn cvv cbs cfv wne dmatALTbas eleq2d eqeq1d
      wi crab oveq imbi2d 2ralbidv elrab bitrdi ) HUAODUBOPZGCUCUDZOGEQZFQZUEZU
      RUSNQZRZISZUIZFHTEHTZNBUJZOGBOUTURUSGRZISZUIZFHTEHTZPUPUQVFGABCDEFNHIJKLM
      UFUGVEVJNGBVAGSZVDVIEFHHVKVCVHUTVKVBVGIURUSVAGUKUHULUMUNUO $.
  $}

  ${
    $d B m $.  $d N i j m $.  $d R i j m $.
    dmatbas.a $e |- A = ( N Mat R ) $.
    dmatbas.b $e |- B = ( Base ` A ) $.
    dmatbas.0 $e |- .0. = ( 0g ` R ) $.
    dmatbas.d $e |- D = ( N DMat R ) $.
    $( The set of all ` N ` x ` N ` diagonal matrices over (the ring) ` R ` is
       the base set of the algebra of ` N ` x ` N ` diagonal matrices over (the
       ring) ` R ` .  (Contributed by AV, 8-Dec-2019.) $)
    dmatbas $p |- ( ( N e. Fin /\ R e. V )
                    -> D = ( Base ` ( N DMatALT R ) ) ) $=
      ( vi vj vm cfn wcel cv co wceq wral wne crab cdmatalt cbs cfv dmatval cvv
      wa wi elex eqid dmatALTbas sylan2 eqtr4d ) EOPZDFPZUHCLQZMQZUAUQURNQRGSUI
      METLETNBUBZEDUCRZUDUEZABCDLMNEFGHIJKUFUPUODUGPVAUSSDFUJABUTDLMNEGHIJUTUKU
      LUMUN $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Linear combinations
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  <HTML>
  According to Wikipedia ("Linear combination", 29-Mar-2019,
  ~ https://en.wikipedia.org/wiki/Linear_combination ) "In mathematics, a
  <b>linear combination</b> is an expression constructed from a set of terms by
  multiplying each term by a constant and adding the results (e.g., a linear
  combination of x and y would be any expression of the form ax + by, where a
  and b are constants).  The concept of linear combinations is central to
  linear algebra and related fields of mathematics."  In linear algebra, these
  "terms" are "vectors" (elements from vector spaces or left modules), and the
  constants are elements of the underlying field resp. ring.  This corresponds
  to the definition in [Lang] p. 129:  "Let M be a module over a ring A and let
  S be a subset of M.  By a <b>linear combination</b> of elements of S (with
  <b>coefficients</b> in A) one means a sum &sum;<sub>x &isin;S</sub>
  a<sub>x</sub>x where {a<sub>x</sub>} is a set of elements of A, ...".  In the
  definition in [Lang] p. 129, it is additionally claimed that "..., almost all
  of which [elements of A] are equal to 0.".  This is not necessarily required
  in the following definition ~ df-linc , but it is essential if additions and
  scalar multiplications of linear combinations are considered.  Therefore, we
  define the set of all linear combinations with finite support in ~ df-lco ,
  so that we can show that such sets are submodules of the corresponding
  modules, see ~ lincolss .
  <br>

  <b>Remark:</b>According to Wikipedia ("Linear span", 28-Apr-2019,
  ~ https://en.wikipedia.org/wiki/Linear_span ) "In linear algebra, the
  <b>linear span</b> (also called the linear hull or just span) of a set of
  vectors in a vector space [or module] is the intersection of all linear
  subspaces which each contain every vector in that set.", and "Alternately,
  the span of [a set] S may be defined as the set of all finite linear
  combinations of elements (vectors) of S". Whereas spans are defined according
  to the first approach in ~ df-lsp , the set of all linear combinations as
  defined by ~ df-lco follows the alternative approach. That both definitions
  are equivalent is shown by ~ lspeqlco .
  </HTML>

$)

  $c linC LinCo $.

  $( Extend class notation with the operation constructing a linear combination
     (of vectors from a left module). $)
  clinc $a class linC $.

  $( Extend class notation with the operation constructing a set of linear
     combinations (of vectors from a left module) with finite support. $)
  clinco $a class LinCo $.

  ${
    $d m s v x $.
    $( Define the operation constructing a linear combination.  Although this
       definition is taylored for linear combinations of vectors from left
       modules, it can be used for any structure having a ` Base ` , ` Scalar `
       s and a scalar multiplication ` .s ` .  (Contributed by AV,
       29-Mar-2019.) $)
    df-linc $a |- linC = ( m e. _V
           |-> ( s e. ( ( Base ` ( Scalar ` m ) ) ^m v ) , v e. ~P ( Base ` m )
                |-> ( m gsum ( x e. v |-> ( ( s ` x ) ( .s ` m ) x ) ) ) ) ) $.
  $}

  ${
    $d c m s v $.
    $( Define the operation constructing the set of all linear combinations for
       a set of vectors.  (Contributed by AV, 31-Mar-2019.)  (Revised by AV,
       28-Jul-2019.) $)
    df-lco $a |- LinCo = ( m e. _V , v e. ~P ( Base ` m )
           |-> { c e. ( Base ` m ) | E. s e. ( ( Base ` ( Scalar ` m ) ) ^m v )
       ( s finSupp ( 0g ` ( Scalar ` m ) ) /\ c = ( s ( linC ` m ) v ) ) } ) $.
  $}

  ${
    $d M m s v x $.  $d X m v $.
    $( A linear combination as operation.  (Contributed by AV, 30-Mar-2019.) $)
    lincop $p |- ( M e. X -> ( linC ` M )
            = ( s e. ( ( Base ` ( Scalar ` M ) ) ^m v ) , v e. ~P ( Base ` M )
                |-> ( M gsum ( x e. v |-> ( ( s ` x ) ( .s ` M ) x ) ) ) ) ) $=
      ( vm wcel cv csca cfv cbs cmap co cpw cvsca cmpt cgsu cmpo cvv fveq2 wceq
      clinc df-linc 2fveq3 pweqd id oveqd mpteq2dv oveq12d mpoeq123dv elex wral
      oveq1d fvex pwex ovexd ralrimivw eqid mpoexxg2 sylancr fvmptd3 ) CDGZFCEB
      FHZIJKJZBHZLMZVCKJZNZVCAVEAHZEHJZVIVCOJZMZPZQMZREBCIJKJZVELMZCKJZNZCAVEVJ
      VICOJZMZPZQMZRZSUBSABFEUCVCCUAZEBVFVHVNVPVRWBWDVDVOVELVCCKIUDUMWDVGVQVCCK
      TUEWDVCCVMWAQWDUFWDAVEVLVTWDVKVSVJVIVCCOTUGUHUIUJCDUKVBVRSGVPSGZBVRULWCSG
      VQCKUNUOVBWEBVRVBVOVELUPUQEBVPVRWBSSWCWCURUSUTVA $.

    $d S s v x $.  $d V s v x $.
    $( The value of a linear combination.  (Contributed by AV, 30-Mar-2019.) $)
    lincval $p |- ( ( M e. X /\ S e. ( ( Base ` ( Scalar ` M ) ) ^m V )
                      /\ V e. ~P ( Base ` M ) ) -> ( S ( linC ` M ) V )
                    = ( M gsum ( x e. V |-> ( ( S ` x ) ( .s ` M ) x ) ) ) ) $=
      ( vs vv wcel csca cfv cbs cmap co cpw w3a cv cmpt cgsu wceq cvv lincop wa
      clinc cvsca 3ad2ant1 oveqd simp2 simp3 ovexd simpr fveq1 oveq1d mpteq12dv
      cmpo adantr oveq2d oveq2 eqid ovmpox2 syl3anc eqtrd ) CEHZBCIJKJZDLMZHZDC
      KJNZHZOZBDCUCJZMBDFGVCGPZLMZVFCAVJAPZFPZJZVLCUDJZMZQZRMZUNZMZCADVLBJZVLVO
      MZQZRMZVHVIVSBDVBVEVIVSSVGAGCEFUAUEUFVHVEVGWDTHVTWDSVBVEVGUGVBVEVGUHVHCWC
      RUIFGBDVKVFVRWDVSTVDVMBSZVJDSZUBZVQWCCRWGAVJVPDWBWEWFUJWEVPWBSWFWEVNWAVLV
      OVLVMBUKULUOUMUPVJDVCLUQVSURUSUTVA $.
  $}

  ${
    $d i m s v $.
    $( Alternative definition of linear combinations using the function
       operation.  (Contributed by AV, 1-Apr-2019.) $)
    dflinc2 $p |- linC = ( m e. _V
           |-> ( s e. ( ( Base ` ( Scalar ` m ) ) ^m v ) , v e. ~P ( Base ` m )
                 |-> ( m gsum ( s oF ( .s ` m ) ( _I |` v ) ) ) ) ) $=
      ( vi clinc cvv cv csca cfv cbs cmap co cpw cmpt cgsu cmpo wcel wa wfn a1i
      cvsca cid cres cof df-linc elmapfn adantr fnresi vex inidm wel eqidd wceq
      fvresi adantl offval eqcomd oveq2d mpoeq3ia mpteq2i eqtri ) EBFCABGZHIJIZ
      AGZKLZVBJIMZVBDVDDGZCGZIZVGVBUAIZLNZOLZPZNBFCAVEVFVBVHUBVDUCZVJUDLZOLZPZN
      DABCUEBFVMVQCAVEVFVLVPVHVEQZVDVFQZRZVKVOVBOVTVOVKVTDVDVDVIVGVJVDVHVNFFVRV
      HVDSVSVHVCVDUFUGVNVDSVTVDUHTVDFQVTAUITZWAVDUJVTDAUKZRVIULWBVGVNIVGUMVTVDV
      GUNUOUPUQURUSUTVA $.
  $}

  ${
    $d B c m v $.  $d M c m s v $.  $d R c m s v $.  $d S m v $.
    $d V c m s v $.
    lcoop.b $e |- B = ( Base ` M ) $.
    lcoop.s $e |- S = ( Scalar ` M ) $.
    lcoop.r $e |- R = ( Base ` S ) $.
    $( A linear combination as operation.  (Contributed by AV, 5-Apr-2019.)
       (Revised by AV, 28-Jul-2019.) $)
    lcoop $p |- ( ( M e. X /\ V e. ~P B ) -> ( M LinCo V )
         = { c e. B | E. s e. ( R ^m V ) ( s finSupp ( 0g ` S )
                                           /\ c = ( s ( linC ` M ) V ) ) } ) $=
      ( wcel wa cvv cbs cfv c0g co wceq adantr vm vv cpw cfsupp clinc cmap wrex
      cv wbr crab clinco elex pweqi eleq2i biimpi adantl fvexi rabexg mp1i csca
      fveq2 eqtr4di 2fveq3 fveq2i eqtri simpr oveq12d eqcomd fveq2d eqtrd eqidd
      a1i breq2d eqeq2d anbi12d rexeqbidv rabeqbidv pweqd df-lco ovmpox syl3anc
      oveq123d ) DFLZEAUCZLZMZDNLZEDOPZUCZLZGUHZCQPZUDUIZHUHZWKEDUEPZRZSZMZGBEU
      FRZUGZHAUJZNLZDEUKRXASWCWGWEDFULTWEWJWCWEWJWDWIEAWHIUMUNUOUPANLXBWFADOIUQ
      WTHANURUSUAUBDENUAUHZOPZUCWKXCUTPZQPZUDUIZWNWKUBUHZXCUEPZRZSZMZGXEOPZXHUF
      RZUGZHXDUJXAUKNWIXCDSZXHESZMZXOWTHXDAXPXDASXQXPXDWHAXCDOVAZIVBTXRXLWRGXNW
      SXRXMBXHEUFXRXMDUTPZOPZBXPXMYASXQXCDOUTVCTBCOPYAKCXTOJVDVEVBXPXQVFZVGXRXG
      WMXKWQXRXFWLWKUDXPXFWLSXQXPXFXTQPWLXCDQUTVCXPXTCQXPCXTCXTSXPJVLVHVIVJTVMX
      RXJWPWNXRWKWKXHEXIWOXPXIWOSXQXCDUEVATXRWKVKYBWBVNVOVPVQXPXDWHXSVRUBUAGHVS
      VTWA $.

    $d C c s $.  $d S c $.
    $( The value of a linear combination.  (Contributed by AV, 5-Apr-2019.)
       (Revised by AV, 28-Jul-2019.) $)
    lcoval $p |- ( ( M e. X /\ V e. ~P B ) -> ( C e. ( M LinCo V )
                      <-> ( C e. B /\ E. s e. ( R ^m V ) ( s finSupp ( 0g ` S )
                                         /\ C = ( s ( linC ` M ) V ) ) ) ) ) $=
      ( vc wcel cpw wa co cv cfv wceq wrex clinco c0g wbr clinc cmap crab lcoop
      cfsupp eleq2d eqeq1 anbi2d rexbidv elrab bitrdi ) EGMFANMOZBEFUAPZMBHQZDU
      BRUHUCZLQZUQFEUDRPZSZOZHCFUEPZTZLAUFZMBAMURBUTSZOZHVCTZOUOUPVEBACDEFGHLIJ
      KUGUIVDVHLBAUSBSZVBVGHVCVIVAVFURUSBUTUJUKULUMUN $.
  $}

  ${
    $d B v $.  $d F v $.  $d M v $.  $d S v $.  $d V v $.  $d W v $.
    $d .0. v $.
    lincfsuppcl.b $e |- B = ( Base ` M ) $.
    lincfsuppcl.r $e |- R = ( Scalar ` M ) $.
    lincfsuppcl.s $e |- S = ( Base ` R ) $.
    lincfsuppcl.0 $e |- .0. = ( 0g ` R ) $.
    $( A linear combination of vectors (with finite support) is a vector.
       (Contributed by AV, 25-Apr-2019.)  (Revised by AV, 28-Jul-2019.) $)
    lincfsuppcl $p |- ( ( M e. LMod /\ ( V e. W /\ V C_ B )
                          /\ ( F e. ( S ^m V ) /\ F finSupp .0. ) )
                        -> ( F ( linC ` M ) V ) e. B ) $=
      ( vv wcel wa cmap co cfsupp cfv cbs clmod wss wbr w3a clinc cv cvsca cmpt
      cgsu csca cpw wceq simp1 fveq2i eqtri oveq1i eleq2i biimpi 3ad2ant3 elpwg
      adantr a1i eqcomd sseq2d bitr2d biimpa 3ad2ant2 lincval syl3anc eqid ccmn
      c0g lmodcmn 3ad2ant1 simpl wi elmapi ffvelrn syl imp ssel adantl lmodvscl
      wf ex fmpttd simp3r breqtrdi scmfsupp syl211anc gsumcl eqeltrd ) EUANZFGN
      ZFAUBZOZDCFPQZNZDHRUCZOZUDZDFEUESQZEMFMUFZDSZXCEUGSZQZUHZUIQZAXAWMDEUJSZT
      SZFPQZNZFETSZUKNZXBXHULWMWPWTUMZWTWMXLWPWRXLWSWRXLWQXKDCXJFPCBTSXJKBXITJU
      NUOUPUQURVAUSWPWMXNWTWNWOXNWNXNFXMUBWOFXMGUTWNXMAFWNAXMAXMULWNIVBVCVDVEVF
      VGZMDEFUAVHVIXAFAXGEGEVLSZIXQVJWMWPEVKNWTEVMVNWPWMWNWTWNWOVOVGXAMFXFAXAXC
      FNZOWMXDCNZXCANZXFANXAWMXRXOVAXAXRXSWTWMXRXSVPZWPWRYAWSWRFCDWDZYADCFVQYBX
      RXSFCXCDVRWEVSVAUSVTXAXRXTWPWMXRXTVPZWTWOYCWNFAXCWAWBVGVTXDXEBCAEXCIJXEVJ
      KWCVIWFXAWMXNWRDBVLSZRUCXGXQRUCXOXPWTWMWRWPWRWSVOUSXADHYDRWMWPWRWSWGLWHMD
      CBEFJKWIWJWKWL $.
  $}

  ${
    $d B v $.  $d M v $.  $d R v $.  $d S v $.  $d V v $.
    linccl.b $e |- B = ( Base ` M ) $.
    linccl.r $e |- R = ( Base ` ( Scalar ` M ) ) $.
    $( A linear combination of vectors is a vector.  (Contributed by AV,
       31-Mar-2019.) $)
    linccl $p |- ( ( M e. LMod /\ ( V e. Fin /\ V C_ B /\ S e. ( R ^m V ) ) )
                    -> ( S ( linC ` M ) V ) e. B ) $=
      ( vv wcel cfn cmap co wa cfv cbs adantl cvv syl3anc c0g eqid clmod wss cv
      w3a clinc cvsca cmpt cgsu csca cpw wceq simpl oveq1i eleq2i biimpi sseq2i
      3ad2ant3 wb fvex ssex elpwg syl ibir 3ad2ant2 lincval ccmn lmodcmn adantr
      sylbi simpr1 wi wf fvexi elmapg mpan ffvelrn syl6bi 3adant2 ssel lmodvscl
      ex imp fmpttd cfsupp wbr anim2i simpr3 elmapi fdmfifsupp scmfsupp eqeltrd
      fvexd gsumcl ) DUAIZEJIZEAUBZCBEKLZIZUDZMZCEDUENLZDHEHUCZCNZXBDUFNZLZUGZU
      HLZAWTWNCDUINZONZEKLZIZEDONZUJIZXAXGUKWNWSULZWSXKWNWRWOXKWPWRXKWQXJCBXIEK
      GUMUNUOUQPWSXMWNWPWOXMWRWPEXLUBZXMAXLEFUPXOXMXOEQIXMXOUREXLDOUSUTEXLQVAVB
      VCVIVDZPHCDEUAVERWTEAXFDJDSNZFXQTWNDVFIWSDVGVHWNWOWPWRVJZWTHEXEAWTXBEIZMW
      NXCBIZXBAIZXEAIWTWNXSXNVHWTXSXTWSXSXTVKZWNWOWRYBWPWOWRYBWOWREBCVLZYBBQIWO
      WRYCURBXHOGVMBECQJVNVOYCXSXTEBXBCVPWAVQWBVRPWBWTXSYAWSXSYAVKZWNWPWOYDWREA
      XBVSVDPWBXCXDXHBADXBFXHTZXDTGVTRWCWTWNXMMWRCXHSNZWDWEXFXQWDWEWSXMWNXPWFWN
      WOWPWRWGWTEBCQYFWSYCWNWRWOYCWPCBEWHUQPXRWTXHSWLWIHCBXHDEYEGWJRWMWK $.
  $}

  ${
    $d M v $.
    $( The value of an empty linear combination.  (Contributed by AV,
       12-Apr-2019.) $)
    lincval0 $p |- ( M e. X -> ( (/) ( linC ` M ) (/) ) = ( 0g ` M ) ) $=
      ( vv wcel c0 clinc cfv co cv cvsca cmpt cgsu c0g csca cbs wceq c1o eqtrdi
      cvv a1i cmap cpw csn 0ex snid fvex map0e df1o2 eleqtrrid lincval mpd3an23
      mp1i 0elpw mpt0 oveq2d eqid gsum0 eqtrd ) ABDZEEAFGHZACECIZEGVAAJGHZKZLHZ
      AMGZUSEANGZOGZEUAHZDEAOGZUBDZUTVDPUSEEUCZVHEUDUEUSVHQVKVGSDVHQPUSVFOUFVGS
      UGULUHRUIVJUSVIUMTCEAEBUJUKUSVDAELHVEUSVCEALVCEPUSCVBUNTUOAVEVEUPUQRUR $.
  $}

  ${
    $d B v $.  $d F v $.  $d M v $.  $d V v $.  $d Y v $.
    lincvalsn.b $e |- B = ( Base ` M ) $.
    lincvalsn.s $e |- S = ( Scalar ` M ) $.
    lincvalsn.r $e |- R = ( Base ` S ) $.
    lincvalsn.t $e |- .x. = ( .s ` M ) $.
    $( The linear combination over a singleton.  (Contributed by AV,
       25-May-2019.) $)
    lincvalsng $p |- ( ( M e. LMod /\ V e. B /\ Y e. R )
                   -> ( { <. V , Y >. } ( linC ` M ) { V } ) = ( Y .x. V ) ) $=
      ( vv clmod wcel csn cfv co cbs wceq syl3anc w3a cop clinc cvsca cmpt cgsu
      cv csca cmap cpw simp1 cvv simp2 fveq2i eqtri eleq2i biimpi 3ad2ant3 eqid
      fvexd mapsnop snelpwi eleq2s 3ad2ant2 lincval cmnd lmodgrp 3ad2ant1 fvsng
      grpmndd 3adant1 oveq1d lmodvscl 3com23 eqeltrd fveq2 id gsumsn eqcomi a1i
      oveq12d eqidd oveq123d 3eqtrd ) EMNZFANZGBNZUAZFGUBOZFOZEUCPQZELWJLUGZWIP
      ZWLEUDPZQZUEUFQZFWIPZFWNQZGFDQWHWEWIEUHPZRPZWJUIQNZWJERPZUJNZWKWPSWEWFWGU
      KWHWFGWTNZWTULNXAWEWFWGUMZWGWEXDWFWGXDBWTGBCRPWTJCWSRIUNUOUPUQURWHWSRUTWT
      WIAULFGWIUSVATWFWEXCWGXCFXBAFXBVBHVCVDLWIEWJMVETWHEVFNZWFWRANWPWRSWEWFXFW
      GWEEEVGVJVHXEWHWRGFWNQZAWHWQGFWNWFWGWQGSWEFGABVIVKZVLWEWGWFXGANGWNCBAEFHI
      WNUSJVMVNVOWOAWRLEFAHWLFSZWMWQWLFWNWLFWIVPXIVQWAVRTWHWQGFFWNDWNDSWHDWNKVS
      VTXHWHFWBWCWD $.

    ${
      lincvalsn.f $e |- F = { <. V , Y >. } $.
      $( The linear combination over a singleton.  (Contributed by AV,
         12-Apr-2019.)  (Proof shortened by AV, 25-May-2019.) $)
      lincvalsn $p |- ( ( M e. LMod /\ V e. B /\ Y e. R )
                       -> ( F ( linC ` M ) { V } ) = ( Y .x. V ) ) $=
        ( clmod wcel w3a csn clinc cfv co cop oveq1i lincvalsng syl5eq ) FNOGAO
        HBOPEGQZFRSZTGHUAQZUEUFTHGDTEUGUEUFMUBABCDFGHIJKLUCUD $.
    $}

    $d W v $.
    lincvalpr.p $e |- .+ = ( +g ` M ) $.
    lincvalpr.f $e |- F = { <. V , X >. , <. W , Y >. } $.
    $( The linear combination over an unordered pair.  (Contributed by AV,
       16-Apr-2019.) $)
    lincvalpr $p |- ( ( ( M e. LMod /\ V =/= W ) /\ ( V e. B /\ X e. R )
             /\ ( W e. B /\ Y e. R ) ) -> ( F ( linC ` M ) { V , W } )
                                          = ( ( X .x. V ) .+ ( Y .x. W ) ) ) $=
      ( wcel cfv co vv clmod wne wa w3a cpr clinc cvsca cmpt cgsu csca cbs cmap
      cv cpw wceq simpl 3ad2ant1 cvv fveq2i eqtri eleq2i biimpi anim2i 3ad2ant2
      3ad2ant3 fvexd ancoms mapprop syl3anc adantr prelpwi 3adant1 lincval ccmn
      syl2an lmodcmn simpr 3anim123i 3anrot cop a1i fveq1d simprl simprr fvpr1g
      sylib eqtrd oveq1d eqid lmodvscl eqeltrd 3adant3 3adant2 fveq2 id oveq12d
      fvpr2g gsumpr syl112anc eqcomd fveq1i syl5eq eqidd oveq123d 3eqtrd ) GUBR
      ZHIUCZUDZHARZJCRZUDZIARZKCRZUDZUEZFHIUFZGUGSTZGUAXQUAUNZFSZXSGUHSZTZUIUJT
      ZHFSZHYATZIFSZIYATZBTZJHETZKIETZBTXPXGFGUKSZULSZXQUMTRZXQGULSZUORZXRYCUPX
      IXLXGXOXGXHUQZURXPXJJYLRZUDZXMKYLRZUDZXHYLUSRZUDZYMXLXIYRXOXKYQXJXKYQCYLJ
      CDULSYLNDYKULMUTVAZVBVCVDVEXOXIYTXLXNYSXMXNYSCYLKUUCVBVCVDVFXIXLUUBXOXHXG
      UUBXGUUAXHXGYKULVGVDVHURJKYLFAUSHIQVIVJXLXOYOXIXLHYNRZIYNRZYOXOXJUUDXKXJU
      UDAYNHLVBVCVKXMUUEXNXMUUEAYNILVBVCVKHIYNVLVPVMUAFGXQUBVNVJXPGVORZXJXMXHUE
      ZYEARZYGARZYCYHUPXIXLUUFXOXGUUFXHGVQVKURXPXHXJXMUEUUGXIXHXLXJXOXMXGXHVRZX
      JXKUQZXMXNUQZVSXHXJXMVTWGXIXLUUHXOXIXLUDZYEJHYATZAUUMYDJHYAUUMYDHHJWAIKWA
      UFZSZJUUMHFUUOFUUOUPZUUMQWBWCUUMXJXKXHUUPJUPZXIXJXKWDZXIXJXKWEZXIXHXLUUJV
      KHIJKACWFZVJWHWIUUMXGXKXJUUNARXIXGXLYPVKUUTUUSJYADCAGHLMYAWJZNWKVJWLWMXIX
      OUUIXLXIXOUDZYGKIYATZAUVCYFKIYAUVCYFIUUOSZKUVCIFUUOUUQUVCQWBWCUVCXMXNXHUV
      EKUPZXIXMXNWDZXIXMXNWEZXIXHXOUUJVKHIJKACWRZVJWHWIUVCXGXNXMUVDARXIXGXOYPVK
      UVHUVGKYADCAGILMUVBNWKVJWLWNYBAYEYGBUAGHIAALPXSHUPZXTYDXSHYAXSHFWOUVJWPWQ
      XSIUPZXTYFXSIYAXSIFWOUVKWPWQWSWTXPYEYIYGYJBXPYDJHHYAEXPEYAEYAUPXPOWBXAZXP
      YDUUPJHFUUOQXBXPXJXKXHUURXLXIXJXOUUKVEXLXIXKXOXJXKVRVEXIXLXHXOUUJURZUVAVJ
      XCXPHXDXEXPYFKIIYAEUVLXPYFUVEKIFUUOQXBXPXMXNXHUVFXOXIXMXLUULVFXOXIXNXLXMX
      NVRVFUVMUVIVJXCXPIXDXEWQXF $.
  $}

  ${
    lincval1.b $e |- B = ( Base ` M ) $.
    lincval1.s $e |- S = ( Scalar ` M ) $.
    lincval1.r $e |- R = ( Base ` S ) $.
    lincval1.f $e |- F = { <. V , ( 0g ` S ) >. } $.
    $( The linear combination over a singleton mapping to 0.  (Contributed by
       AV, 12-Apr-2019.) $)
    lincval1 $p |- ( ( M e. LMod /\ V e. B )
                     -> ( F ( linC ` M ) { V } ) = ( 0g ` M ) ) $=
      ( clmod wcel wa csn clinc cfv co c0g cvsca eqid lmod0cl lincvalsn mpd3an3
      wceq adantr lmod0vs eqtrd ) EKLZFALZMDFNEOPQZCRPZFESPZQZERPZUHUIUKBLZUJUM
      UDUHUOUICBEUKHIUKTZUAUEABCULDEFUKGHIULTZJUBUCULCUKAEFUNGHUQUPUNTUFUG $.

    $( Properties of a linear combination over a singleton mapping to 0.
       (Contributed by AV, 12-Apr-2019.)  (Revised by AV, 28-Jul-2019.) $)
    lcosn0 $p |- ( ( M e. LMod /\ V e. B ) -> ( F e. ( R ^m { V } )
                               /\ F finSupp ( 0g ` S )
                               /\ ( F ( linC ` M ) { V } ) = ( 0g ` M ) ) ) $=
      ( clmod wcel wa csn cmap co c0g cfv cvv a1i cfsupp wbr clinc wceq lmod0cl
      simpr eqid adantr cbs fvexi mapsnop syl3anc wf elmapi syl snfi fdmfifsupp
      cfn fvex lincval1 3jca ) EKLZFALZMZDBFNZOPLZDCQRZUAUBDVEEUCRPEQRUDVDVCVGB
      LZBSLZVFVBVCUFVBVHVCCBEVGHIVGUGUEUHVIVDBCUIIUJTBDASFVGJUKULZVDVEBDSVGVDVF
      VEBDUMVJDBVEUNUOVEURLVDFUPTVGSLVDCQUSTUQABCDEFGHIJUTVA $.
  $}

  ${
    $d B v x $.  $d F v $.  $d M v x $.  $d V v x $.  $d .0. x $.
    lincvalsc0.b $e |- B = ( Base ` M ) $.
    lincvalsc0.s $e |- S = ( Scalar ` M ) $.
    lincvalsc0.0 $e |- .0. = ( 0g ` S ) $.
    lincvalsc0.z $e |- Z = ( 0g ` M ) $.
    lincvalsc0.f $e |- F = ( x e. V |-> .0. ) $.
    $( The linear combination where all scalars are 0.  (Contributed by AV,
       12-Apr-2019.) $)
    lincvalsc0 $p |- ( ( M e. LMod /\ V e. ~P B )
                     -> ( F ( linC ` M ) V ) = Z ) $=
      ( vv wcel cfv co cbs wceq cvv clmod wa clinc cv cvsca cmpt cgsu csca cmap
      cpw simpl wf eqcomi fveq2i lmod0cl adantr fmptd fvexd elmapg sylan mpbird
      wb pweqi eleq2i biimpi adantl lincval syl3anc simpr c0g fvexi weq sylancl
      eqidd fvmptg oveq1d wi elelpwi expcom imp lmod0vs syl2anc eqtrd mpteq2dva
      eqid oveq2d cmnd lmodgrp grpmndd gsumz 3eqtrd ) EUAOZFBUJZOZUBZDFEUCPQZEN
      FNUDZDPZWQEUEPZQZUFZUGQZENFHUFZUGQZHWOWLDEUHPZRPZFUIQOZFERPZUJZOZWPXBSWLW
      NUKZWOXGFXFDULZWOAFGXFDWOGXFOZAUDFOWLXMWNCXFEGJXECRCXEJUMUNKUOUPUPMUQWLXF
      TOWNXGXLVBWLXERURXFFDTWMUSUTVAWNXJWLWNXJWMXIFBXHIVCVDVEVFNDEFUAVGVHWOXAXC
      EUGWONFWTHWOWQFOZUBZWTGWQWSQZHXOWRGWQWSXOXNGTOWRGSWOXNVIGCVJKVKAWQGGFTDAN
      VLGVNMVOVMVPXOWLWQBOZXPHSWOWLXNXKUPWOXNXQWNXNXQVQWLXNWNXQWQFBVRVSVFVTWSCG
      BEWQHIJWSWEKLWAWBWCWDWFWLEWGOWNXDHSWLEEWHWIFNEWMHLWJUTWK $.

    $d F x $.  $d R x $.  $d .0. v $.
    lcoc0.r $e |- R = ( Base ` S ) $.
    $( Properties of a linear combination where all scalars are 0.
       (Contributed by AV, 12-Apr-2019.)  (Revised by AV, 28-Jul-2019.) $)
    lcoc0 $p |- ( ( M e. LMod /\ V e. ~P B )
                  -> ( F e. ( R ^m V ) /\ F finSupp .0.
                       /\ ( F ( linC ` M ) V ) = Z ) ) $=
      ( vv wcel cvv a1i cfn clmod cpw wa cmap cfsupp wbr clinc cfv wceq lmod0cl
      co wf cv ad2antrr fmptd cbs fvexi elmapg sylan mpbird csupp wne crab cmpt
      wb weq eqidd cbvmptv eqtri simpr c0g mptsuppd c0 wn wral ralrimivw rabeq0
      neirr sylibr 0fin eqeltrd wfun funmpt2 funisfsupp syl3anc lincvalsc0 3jca
      ) FUAQZGBUBZQZUCZECGUDUKZQZEHUEUFZEGFUGUHUKIUIWKWMGCEULZWKAGHCEWHHCQWJAUM
      GQDCFHKOLUJUNNUOWHCRQZWJWMWOVEWPWHCDUPOUQSCGERWIURUSUTZWKWNEHVAUKZTQZWKWR
      HHVBZPGVCZTWKPGHREWIRHEAGHVDPGHVDNAPGHHAPVFHVGVHVIWHWJVJHRQZWKHDVKLUQZSZX
      BWKPUMGQUCXCSVLWKXAVMTWKWTVNZPGVOXAVMUIWKXEPGXEWKHVRSVPWTPGVQVSVMTQWKVTSW
      AWAWKEWBZWMXBWNWSVEXFWKAGHENWCSWQXDEWLRHWDWEUTABDEFGHIJKLMNWFWG $.
  $}

  ${
    $d B v x $.  $d F v $.  $d M v x $.  $d V v x $.  $d Z x $.  $d .0. x $.
    $d .1. x $.
    linc0scn0.b $e |- B = ( Base ` M ) $.
    linc0scn0.s $e |- S = ( Scalar ` M ) $.
    linc0scn0.0 $e |- .0. = ( 0g ` S ) $.
    linc0scn0.1 $e |- .1. = ( 1r ` S ) $.
    linc0scn0.z $e |- Z = ( 0g ` M ) $.
    linc0scn0.f $e |- F = ( x e. V |-> if ( x = Z , .1. , .0. ) ) $.
    $( If a set contains the zero element of a module, there is a linear
       combination being 0 where not all scalars are 0.  (Contributed by AV,
       13-Apr-2019.) $)
    linc0scn0 $p |- ( ( M e. LMod /\ V e. ~P B )
                      -> ( F ( linC ` M ) V ) = Z ) $=
      ( vv wcel cfv co wceq clmod cpw wa clinc cv cvsca cmpt cgsu csca cbs cmap
      simpl wf cif crg lmodring eqcomi fveq2i ringidcl ring0cl jca syl ad2antrr
      ifcl fmptd cvv wb fvex a1i elmapg sylan mpbird pweqi eleq2i biimpi adantl
      lincval syl3anc simpr cur fvexi c0g weq eqeq1 ifbid fvmptg sylancl oveq1d
      ifex ovif oveq2 eqid lmod1cl ancli adantr lmodvs0 eqtrd wn elelpwi expcom
      wi imp lmod0vs syl2anc ifeqda 3eqtrd mpteq2dva cmnd lmodgrp grpmndd gsumz
      oveq2d ) FUAQZGBUBZQZUCZEGFUDRSZFPGPUEZERZXRFUFRZSZUGZUHSZFPGIUGZUHSZIXPX
      MEFUIRZUJRZGUKSQZGFUJRZUBZQZXQYCTXMXOULZXPYHGYGEUMZXPAGAUEZITZDHUNZYGEXPY
      NGQZUCDYGQZHYGQZUCZYPYGQXMYTXOYQXMCUOQZYTCFKUPUUAYRYSYGCDYFCUJCYFKUQURZMU
      SYGCHUUBLUTVAVBVCYODHYGVDVBOVEXMYGVFQZXOYHYMVGUUCXMYFUJVHVIYGGEVFXNVJVKVL
      XOYKXMXOYKXNYJGBYIJVMVNVOVPPEFGUAVQVRXPYBYDFUHXPPGYAIXPXRGQZUCZYAXRITZDHU
      NZXRXTSZUUFDXRXTSZHXRXTSZUNZIUUEXSUUGXRXTUUEUUDUUGVFQXSUUGTXPUUDVSUUFDHDC
      VTMWAHCWBLWAWIAXRYPUUGGVFEAPWCYOUUFDHYNXRIWDWEOWFWGWHUUHUUKTUUEUUFDHXRXTW
      JVIUUEUUFUUIUUJIUUEUUFUCZUUIDIXTSZIUUFUUIUUMTUUEXRIDXTWKVPUULXMDCUJRZQZUC
      ZUUMITXPUUPUUDUUFXMUUPXOXMUUODCUUNFKUUNWLZMWMWNWOVCXTCUUNFDIKXTWLZUUQNWPV
      BWQUUEUUJITZUUFWRUUEXMXRBQZUUSXPXMUUDYLWOXPUUDUUTXOUUDUUTXAXMUUDXOUUTXRGB
      WSWTVPXBXTCHBFXRIJKUURLNXCXDWOXEXFXGXLXMFXHQXOYEITXMFFXIXJGPFXNINXKVKXF
      $.
  $}

  ${
    $d B x $.  $d F x $.  $d G x $.  $d M x $.  $d S x $.  $d V x $.  $d X x $.
    $d .0. x $.  $d .x. x $.
    lincdifsn.b $e |- B = ( Base ` M ) $.
    lincdifsn.r $e |- R = ( Scalar ` M ) $.
    lincdifsn.s $e |- S = ( Base ` R ) $.
    lincdifsn.t $e |- .x. = ( .s ` M ) $.
    lincdifsn.p $e |- .+ = ( +g ` M ) $.
    lincdifsn.0 $e |- .0. = ( 0g ` R ) $.
    $( A vector is a linear combination of a set containing this vector.
       (Contributed by AV, 21-Apr-2019.)  (Revised by AV, 28-Jul-2019.) $)
    lincdifsn $p |- ( ( ( M e. LMod /\ V e. ~P B /\ X e. V )
                        /\ ( F e. ( S ^m V ) /\ F finSupp .0. )
                        /\ G = ( F |` ( V \ { X } ) ) )
          -> ( F ( linC ` M ) V )
             = ( ( G ( linC ` M ) ( V \ { X } ) ) .+ ( ( F ` X ) .x. X ) ) ) $=
      ( wcel co cfv vx clmod cpw w3a cmap cfsupp wbr wa cdif cres wceq clinc cv
      csn cvsca cmpt cgsu cbs simp11 fveq2i eqtri oveq1i eleq2i biimpi 3ad2ant2
      csca adantr pweqi 3ad2ant1 lincval syl3anc ccmn lmodcmn simp12 c0g anim2i
      3adant3 simp2l breq2i adantl scmfsupp simpl1 wi wf elmapi ffvelrn a1d syl
      ex impcom imp elelpwi expcom eqid lmodvscl 3adantl3 simp13 syl5com ancoms
      3ad2ant3 3adant1 eqcomi fveq2 id oveq123d gsumdifsnd fveq1 fvres sylan9eq
      a1i oveq1d mpteq2dva eqcomd oveq2d eqtrd feq23i sylib difssd fssresd feq1
      wb mpbird cvv fvex difexg elmapg sylancr wss elpwi sseq2i ssdifssd 3eqtrd
      elpwg ) HUBRZIAUCZRZJIRZUDZFDIUESZRZFKUFUGZUHZGFIJUNZUIZUJZUKZUDZFIHULTZS
      ZHUAIUAUMZFTZUUJHUOTZSZUPZUQSZHUAUUDUUJGTZUUJUULSZUPZUQSZJFTZJESZBSZGUUDU
      UHSZUVABSUUGYNFHVFTZURTZIUESZRZIHURTZUCZRZUUIUUOUKYNYPYQUUBUUFUSZUUBYRUVG
      UUFYTUVGUUAYTUVGYSUVFFDUVEIUEDCURTUVENCUVDURMUTVAZVBVCVDVGVEYRUUBUVJUUFYP
      YNUVJYQYPUVJYOUVIIAUVHLVHVCVDZVEVIUAFHIUBVJVKUUGUUOHUAUUDUUMUPZUQSZUVABSU
      VBUUGIABUAHJYOUUMUVALPYRUUBHVLRZUUFYNYPUVPYQHVMVIVIYNYPYQUUBUUFVNUUGYNUVJ
      UHZYTFCVOTZUFUGZUUNHVOTUFUGYRUUBUVQUUFYNYPUVQYQYPUVJYNUVMVPVQVIYRYTUUAUUF
      VRUUBYRUVSUUFUUAUVSYTUUAUVSKUVRFUFQVSVDVTVEUAFDCHIMNWAVKYRUUBUUJIRZUUMARZ
      UUFYRUUBUHZUVTUHYNUUKDRZUUJARZUWAUWBYNUVTYNYPYQUUBWBZVGUWBUVTUWCUUBYRUVTU
      WCWCZYTYRUWFWCZUUAYTIDFWDZUWGFDIWEZUWHUWFYRUWHUVTUWCIDUUJFWFWIWGWHVGWJWKU
      WBUVTUWDYRUVTUWDWCZUUBYPYNUWJYQUVTYPUWDUUJIAWLWMVEVGWKUUKUULCDAHUUJLMUULW
      NNWOVKWPYNYPYQUUBUUFWQYRUUBUVAARZUUFUWBYNUUTDRZJARZUWKUWEUUBYRUWLYTYRUWLW
      CUUAYTUWHYRUWLUWIYQYNUWHUWLWCYPUWHYQUWLIDJFWFWMWTWRVGWJYRUWMUUBYPYQUWMYNY
      QYPUWMJIAWLWSXAVGUUTECDAHJLMONWOVKVQUUJJUKZUUMUVAUKUUGUWNUUKUUTUUJJUULEUU
      LEUKUWNEUULOXBXJUUJJFXCUWNXDXEVTXFUUGUVOUUSUVABUUGUVNUURHUQUUGUURUVNUUGUA
      UUDUUQUUMUUGUUJUUDRZUHUUPUUKUUJUULUUGUWOUUPUUJUUETZUUKUUFYRUUPUWPUKUUBUUJ
      GUUEXGWTUUJUUDFXHXIXKXLXMXNXKXOUUGUUSUVCUVABUUGUVCUUSUUGYNGUVEUUDUESRZUUD
      UVIRZUVCUUSUKUVKUUGUWQUUDUVEGWDZUUGUWSUUDUVEUUEWDZUUGIUVEUUDFUUBYRIUVEFWD
      ZUUFYTUXAUUAYTUWHUXAUWIIDIUVEFIWNUVLXPXQVGVEUUGIUUCXRXSUUFYRUWSUWTYAUUBUU
      DUVEGUUEXTWTYBUUGUVEYCRUUDYCRZUWQUWSYAUVDURYDYRUUBUXBUUFYPYNUXBYQIUUCYOYE
      ZVEVIUVEUUDGYCYCYFYGYBYRUUBUWRUUFYNYPUWRYQYNYPUHZUWRUUDUVHYHZYPUXEYNYPIAY
      HZUXEIAYIUXFIUVHUUCUXFIUVHYHAUVHILYJVDYKWHVTUXDUXBUWRUXEYAYPUXBYNUXCVTUUD
      UVHYCYMWHYBVQVIUAGHUUDUBVJVKXMXKYL $.
  $}

  ${
    $d B v x y $.  $d F v y $.  $d M v x y $.  $d V v x y $.  $d X v x y $.
    $d .0. x $.  $d .1. x $.
    linc1.b $e |- B = ( Base ` M ) $.
    linc1.s $e |- S = ( Scalar ` M ) $.
    linc1.0 $e |- .0. = ( 0g ` S ) $.
    linc1.1 $e |- .1. = ( 1r ` S ) $.
    linc1.f $e |- F = ( x e. V |-> if ( x = X , .1. , .0. ) ) $.
    $( A vector is a linear combination of a set containing this vector.
       (Contributed by AV, 18-Apr-2019.)  (Proof shortened by AV,
       28-Jul-2019.) $)
    linc1 $p |- ( ( M e. LMod /\ V e. ~P B /\ X e. V )
                  -> ( F ( linC ` M ) V ) = X ) $=
      ( vv wcel cfv co wceq cvv vy clmod cpw w3a clinc cvsca cmpt cgsu csca cbs
      cv cmap simp1 wf cif crg lmodring eqcomi fveq2i ringidcl ring0cl 3ad2ant1
      wa jca adantr ifcl fmptd wb fvex simp2 elmapg sylancr mpbird pweqi eleq2i
      syl biimpi 3ad2ant2 lincval syl3anc eqid cmnd lmodgrp grpmndd simp3 eqeq1
      c0g weq ifbid simpr lmod1cl lmod0cl fvmptd3 eqeltrd wi elelpwi expcom imp
      ifcld lmodvscl csupp wne crab csn fveq2 id oveq12d cbvmptv fvexd mptsuppd
      ovexd wral wss 2a1 wn simprr cur fvexi ifex fvmptg sylancl iffalse oveq1d
      eqtrd adantl lmod0vs syl2anc neeq1d eqneqall ax-mp syl6bi pm2.61i rabsssn
      ex ralrimiva sylibr eqsstrd gsumpt ovex 3eqtrd iftrue 3adant1 lmodvs1
      ancoms ) FUBPZGBUCZPZHGPZUDZEGFUEQRZFUAGUAUKZEQZUUKFUFQZRZUGZUHRZHUUOQZHU
      UIUUEEFUIQZUJQZGULRPZGFUJQZUCZPZUUJUUPSUUEUUGUUHUMZUUIUUTGUUSEUNZUUIAGAUK
      ZHSZDIUOZUUSEUUIUVFGPZVCDUUSPZIUUSPZVCZUVHUUSPUUIUVLUVIUUEUUGUVLUUHUUECUP
      PZUVLCFKUQUVMUVJUVKUUSCDUURCUJCUURKURUSZMUTUUSCIUVNLVAVDVPVBVEUVGDIUUSVFV
      PNVGUUIUUSTPUUGUUTUVEVHUURUJVIUUEUUGUUHVJZUUSGETUUFVKVLVMUUGUUEUVCUUHUUGU
      VCUUFUVBGBUVAJVNVOVQVRUAEFGUBVSVTUUIGBUUOFUUFHFWGQZJUVPWAZUUEUUGFWBPUUHUU
      EFFWCWDVBUVOUUEUUGUUHWEZUUIUAGUUNBUUOUUIUUKGPZVCZUUEUULCUJQZPUUKBPZUUNBPU
      UIUUEUVSUVDVEUVTUULUUKHSZDIUOZUWAUVTAUUKUVHUWDGEUWANAUAWHUVGUWCDIUVFUUKHW
      FWIUUIUVSWJUVTUWCDIUWAUUIDUWAPZUVSUUEUUGUWEUUHDCUWAFKUWAWAZMWKVBVEUUIIUWA
      PZUVSUUEUUGUWGUUHCUWAFIKUWFLWLVBVEWSZWMUWHWNUUIUVSUWBUUGUUEUVSUWBWOUUHUVS
      UUGUWBUUKGBWPWQVRWRUULUUMCUWABFUUKJKUUMWAZUWFWTVTUUOWAZVGUUIUUOUVPXAROUKZ
      EQZUWKUUMRZUVPXBZOGXCZHXDZUUIOGUWMTUUOUUFTUVPUAOGUUNUWMUAOWHZUULUWLUUKUWK
      UUMUUKUWKEXEUWQXFXGXHUVOUUIFWGXIUUIUWKGPZVCZUWLUWKUUMXKXJUUIUWNUWKHSZWOZO
      GXLUWOUWPXMUUIUXAOGUWTUWSUXAWOUWTUWSUWNXNUWTXOZUWSUXAUXBUWSVCZUWNUVPUVPXB
      ZUWTUXCUWMUVPUVPUXCUWMIUWKUUMRZUVPUXCUWLIUWKUUMUXCUWLUWTDIUOZIUXCUWRUXFTP
      UWLUXFSUXBUUIUWRXPUWTDIDCXQMXRZICWGLXRXSAUWKUVHUXFGTEAOWHUVGUWTDIUVFUWKHW
      FWINXTYAUXBUXFISUWSUWTDIYBVEYDYCUXCUUEUWKBPZUXEUVPSUWSUUEUXBUUIUUEUWRUVDV
      EYEUWSUXHUXBUUIUWRUXHUUGUUEUWRUXHWOUUHUWRUUGUXHUWKGBWPWQVRWRYEUUMCIBFUWKU
      VPJKUWILUVQYFYGYDYHUVPUVPSUXDUWTWOUVQUWTUVPUVPYIYJYKYNYLYOUWNOGHYMYPYQYRU
      UIUUQHEQZHUUMRZDHUUMRZHUUIUUHUXJTPUUQUXJSUVRUXIHUUMYSUAHUUNUXJGTUUOUWCUUL
      UXIUUKHUUMUUKHEXEUWCXFXGUWJXTYAUUIUXIDHUUMUUIUUHDTPUXIDSUVRUXGAHUVHDGTEUV
      GDIUUANXTYAYCUUIUUEHBPZUXKHSUVDUUGUUHUXLUUEUUHUUGUXLHGBWPUUDUUBUUMDCBFHJK
      UWIMUUCYGYTYT $.
  $}

  ${
    $d F v $.  $d M v $.  $d S v $.  $d V v $.
    $( A linear combination of a subset of a linear subspace is also contained
       in the linear subspace.  (Contributed by AV, 20-Apr-2019.)  (Revised by
       AV, 28-Jul-2019.) $)
    lincellss $p |- ( ( M e. LMod /\ S e. ( LSubSp ` M ) /\ V C_ S )
                      -> ( ( F e. ( ( Base ` ( Scalar ` M ) ) ^m V )
                             /\ F finSupp ( 0g ` ( Scalar ` M ) ) )
                           -> ( F ( linC ` M ) V ) e. S ) ) $=
      ( vv clmod wcel clss cfv wss w3a csca cbs cmap co wa cvv wi eqid imp cmpt
      c0g cfsupp wbr clinc cvsca cgsu cpw wceq simpl1 simprl ssexg ancoms lssss
      cv sstr elpwg syl5ibrcom expcom syl mpd 3adant1 lincval syl3anc gsumlsscl
      adantr eqeltrd ex ) CFGZACHIZGZDAJZKZBCLIZMIZDNOGZBVNUBIUCUDZPZBDCUEIOZAG
      VMVRPZVSCEDEUOZBIWACUFIOUAUGOZAVTVIVPDCMIZUHGZVSWBUIVIVKVLVRUJVMVPVQUKVMW
      DVRVKVLWDVIVKVLPDQGZWDVLVKWEDAVJULUMVKVLWEWDRZVKAWCJZVLWFRVJAWCCWCSVJSZUN
      VLWGWFVLWGPWDWEDWCJDAWCUPDWCQUQURUSUTTVAVBVFEBCDFVCVDVMVRWBAGEVOVNVJBCDAW
      HVNSVOSVETVGVH $.
  $}

  ${
    $d M v w $.
    $( The set of empty linear combinations over a monoid is the singleton with
       the identity element of the monoid.  (Contributed by AV,
       12-Apr-2019.) $)
    lco0 $p |- ( M e. Mnd -> ( M LinCo (/) ) = { ( 0g ` M ) } ) $=
      ( vw vv cmnd wcel c0 co cv cfv c0g cfsupp wbr wceq cbs wrex crab csn eqid
      wa cvv clinco csca clinc cmap cpw 0elpw lcoop mpan2 fvex map0e mp1i df1o2
      c1o eqtrdi rexeqdv cfn lincval0 adantr eqeq2d anbi2d wb breq1 0fsupp 0fin
      0ex ax-mp 2th bitrdi oveq1 anbi12d rexsng biantrurd 3bitr4d bitrd mndidcl
      a1i rabbidva rabsn syl 3eqtrd ) ADEZAFUAGZBHZAUBIZJIZKLZCHZWCFAUCIZGZMZSZ
      BWDNIZFUDGZOZCANIZPZWGAJIZMZCWOPZWQQZWAFWOUEEWBWPMWOUFWOWLWDAFDBCWORZWDRW
      LRUGUHWAWNWRCWOWAWGWOEZSZWNWKBFQZOZWRXCWKBWMXDXCWMUMXDWLTEWMUMMXCWDNUIWLT
      UJUKULUNUOXCFUPEZWGFFWHGZMZSZXFWRSXEWRXCXHWRXFXCXGWQWGWAXGWQMXBADUQURUSUT
      FTEXEXIVAXCVEWKXIBFTWCFMZWFXFWJXHXJWFFWEKLZXFWCFWEKVBXKXFWETEXKWDJUITWEVC
      VFVDVGVHXJWIXGWGWCFFWHVIUSVJVKUKXCXFWRXFXCVDVPVLVMVNVQWAWQWOEWSWTMWOAWQXA
      WQRVOCWOWQVRVSVT $.
  $}

  ${
    $d M s v w $.  $d V s v w $.
    $( The zero vector is always a linear combination.  (Contributed by AV,
       12-Apr-2019.)  (Proof shortened by AV, 30-Jul-2019.) $)
    lcoel0 $p |- ( ( M e. LMod /\ V e. ~P ( Base ` M ) )
                   -> ( 0g ` M ) e. ( M LinCo V ) ) $=
      ( vs vv vw c0 wceq clmod wcel cbs cfv wa c0g clinco co adantr cfsupp eqid
      cv adantl cpw fvex snid oveq2 cgrp cmnd lmodgrp grpmnd lco0 3syl sylan9eq
      csn eleqtrrid wn csca wbr clinc cmap wrex lmod0vcl cmpt w3a eqidd cbvmptv
      lcoc0 wi simpl wb breq1 oveq1 eqeq2d eqcom bitrdi anbi12d ex com23 3impib
      rspcedv mpcom lcoval mpbir2and pm2.61ian ) BFGZAHIZBAJKZUAIZLZAMKZABNOZIZ
      WCWGLWHWHULZWIWHAMUBUCWCWGWIAFNOZWKBFANUDWDWLWKGZWFWDAUEIAUFIWMAUGAUHAUIU
      JPUKUMWCUNZWGLZWJWHWEIZCSZAUOKZMKZQUPZWHWQBAUQKZOZGZLZCWRJKZBUROZUSZWGWPW
      NWDWPWFWEAWHWERZWHRZUTPTDBWSVAZXFIZXJWSQUPZXJBXAOZWHGZVBZWOXGWGXOWNEWEXEW
      RXJABWSWHXHWRRZWSRXIDEBWSWSDSESGWSVCVDXERZVETXKXLXNWOXGVFXKWOXLXNLZXGXKWO
      XRXGVFXKWOLZXDXRCXJXFXKWOVGWQXJGZXDXRVHXSXTWTXLXCXNWQXJWSQVIXTXCWHXMGXNXT
      XBXMWHWQXJBXAVJVKWHXMVLVMVNTVRVOVPVQVSWGWJWPXGLVHWNWEWHXEWRABHCXHXPXQVTTW
      AWB $.
  $}

  ${
    $d A x y $.  $d B x y $.  $d M x y $.  $d R x y $.  $d S x $.  $d V x y $.
    $d .+ x $.  $d .+b x y $.
    lincsum.p $e |- .+ = ( +g ` M ) $.
    lincsum.x $e |- X = ( A ( linC ` M ) V ) $.
    lincsum.y $e |- Y = ( B ( linC ` M ) V ) $.
    lincsum.s $e |- S = ( Scalar ` M ) $.
    lincsum.r $e |- R = ( Base ` S ) $.
    lincsum.b $e |- .+b = ( +g ` S ) $.
    $( The sum of two linear combinations is a linear combination, see also the
       proof in [Lang] p. 129.  (Contributed by AV, 4-Apr-2019.)  (Revised by
       AV, 28-Jul-2019.) $)
    lincsum $p |- ( ( ( M e. LMod /\ V e. ~P ( Base ` M ) )
                      /\ ( A e. ( R ^m V ) /\ B e. ( R ^m V ) )
                      /\ ( A finSupp ( 0g ` S ) /\ B finSupp ( 0g ` S ) ) )
                    -> ( X .+ Y ) = ( ( A oF .+b B ) ( linC ` M ) V ) ) $=
      ( vx wcel cfv co vy clmod cbs cpw wa cmap c0g cfsupp wbr w3a cv cmpt cgsu
      cvsca cof clinc eqid ccmn lmodcmn adantr 3ad2ant1 simpr wi elmapi ffvelrn
      simpl wf ex syl 3ad2ant2 imp elelpwi expcom adantl lmodvscl syl3anc eqidd
      scmfsupp syl3an gsummptfsadd csca wceq elmapfn ad2antrl ad2antll offvalfv
      id wfn 3adant3 cmnd lmodfgrp ad3antrrr fveq2i eqtri eleqtrdi eqcomi mndcl
      grpmndd fmpttd cvv wb elmapg sylancr mpbird eqeltrd lincval cplusg anim1i
      fvex anim12i fnfvof syl2anc a1i oveqd oveq1d lmodvsdir syl13anc mpteq2dva
      eqtrd oveq2d oveq12i oveq1i eleq2i biimpi oveq12d syl5eq 3eqtr4rd ) GUBRZ
      HGUCSZUDZRZUEZAEHUFTZRZBYMRZUEZAFUGSZUHUIZBYQUHUIZUEZUJZGQHQUKZASZUUBGUNS
      ZTZUUBBSZUUBUUDTZCTZULZUMTZGQHUUEULZUMTZGQHUUGULZUMTZCTZABDUOTZHGUPSZTZIJ
      CTZUUAQHYIUUEUUGCUUKGUUMYJGUGSZYIUQZUUTUQKYLYPGURRZYTYHUVBYKGUSUTVAYLYPYK
      YTYHYKVBZVAZUUAUUBHRZUEZYHUUCERZUUBYIRZUUEYIRUUAYHUVEYLYPYHYTYHYKVFZVAZUT
      ZUUAUVEUVGYPYLUVEUVGVCZYTYNUVLYOYNHEAVGZUVLAEHVDZUVMUVEUVGHEUUBAVEVHVIZUT
      VJVKUUAUVEUVHYLYPUVEUVHVCZYTYKUVPYHUVEYKUVHUUBHYIVLVMVNZVAVKZUUCUUDFEYIGU
      UBUVANUUDUQZOVOVPUVFYHUUFERZUVHUUGYIRUVKUUAUVEUVTYPYLUVEUVTVCZYTYOUWAYNYO
      HEBVGZUWABEHVDZUWBUVEUVTHEUUBBVEVHVIZVNVJVKUVRUUFUUDFEYIGUUBUVANUVSOVOVPU
      UAUUKVQUUAUUMVQYLYLYPYNYTYRUUKUUTUHUIYLWGZYNYOVFYRYSVFQAEFGHNOVRVSYLYLYPY
      OYTYSUUMUUTUHUIUWEYNYOVBYRYSVBQBEFGHNOVRVSVTUUAUURGQHUUBUUPSZUUBUUDTZULZU
      MTZUUJUUAYHUUPGWASZUCSZHUFTZRYKUURUWIWBUVJUUAUUPUAHUAUKZASZUWMBSZDTZULZUW
      LYLYPUUPUWQWBYTYLYPUEZUAHDABYJYLYKYPUVCUTZYNAHWHZYLYOAEHWCZWDYOBHWHZYLYNB
      EHWCZWEWFWIYLYPUWQUWLRZYTUWRUXDHUWKUWQVGZUWRUAHUWPUWKUWRUWMHRZUEZFWJRZUWN
      UWKRUWOUWKRZUWPUWKRYHUXHYKYPUXFYHFFGNWKWRWLUXGUWNEUWKUWRUXFUWNERZYNUXFUXJ
      VCZYLYOYNUVMUXKUVNUVMUXFUXJHEUWMAVEVHVIWDVKEFUCSUWKOFUWJUCNWMWNZWOUWRUXFU
      XIYOUXFUXIVCZYLYNYOUWBUXMUWCUWBUXFUXIUWBUXFUEUWOEUWKHEUWMBVEUXLWOVHVIWEVK
      UWKDFUWNUWOUWJFUCFUWJNWPWMPWQVPWSUWRUWKWTRYKUXDUXEXAUWJUCXIUWSUWKHUWQWTYJ
      XBXCXDWIXEUVDQUUPGHUBXFVPYLYPUWIUUJWBYTUWRUWHUUIGUMUWRQHUWGUUHUWRUVEUEZUW
      GUUCUUFFXGSZTZUUBUUDTZUUHUXNUWFUXPUUBUUDUXNUWFUUCUUFDTZUXPUXNUWTUXBUEZYKU
      VEUEUWFUXRWBUWRUXSUVEYPUXSYLYNUWTYOUXBUXAUXCXJVNUTUWRYKUVEUWSXHHDABYJUUBX
      KXLUXNDUXOUUCUUFDUXOWBUXNPXMXNXSXOUXNYHUVGUVTUVHUXQUUHWBUWRYHUVEYLYHYPUVI
      UTZUTUWRUVEUVGYNUVLYLYOUVOWDVKUWRUVEUVTYOUWAYLYNUWDWEVKUWRUVEUVHYLUVPYPUV
      QUTVKCUXOUUCUUFUUDUWJEYIGUUBUVAKUWJUQUVSUXLFUWJXGNWMXPXQXSXRXTWIXSUUAUUSA
      HUUQTZBHUUQTZCTZUUOIUYAJUYBCLMYAYLYPUYCUUOWBYTUWRUYAUULUYBUUNCUWRYHAUWLRZ
      YKUYAUULWBUXTYNUYDYLYOYNUYDYMUWLAEUWKHUFUXLYBZYCYDWDUWSQAGHUBXFVPUWRYHBUW
      LRZYKUYBUUNWBUXTYOUYFYLYNYOUYFYMUWLBUYEYCYDWEUWSQBGHUBXFVPYEWIYFYG $.
  $}

  ${
    $d A v x $.  $d F v $.  $d M v x $.  $d R v x $.  $d S v x $.  $d V v x $.
    $d .xb v $.  $d .x. v x $.
    lincscm.s $e |- .xb = ( .s ` M ) $.
    lincscm.t $e |- .x. = ( .r ` ( Scalar ` M ) ) $.
    lincscm.x $e |- X = ( A ( linC ` M ) V ) $.
    lincscm.r $e |- R = ( Base ` ( Scalar ` M ) ) $.
    lincscm.f $e |- F = ( x e. V |-> ( S .x. ( A ` x ) ) ) $.
    $( A linear combinations multiplied with a scalar is a linear combination,
       see also the proof in [Lang] p. 129.  (Contributed by AV, 9-Apr-2019.)
       (Revised by AV, 28-Jul-2019.) $)
    lincscm $p |- ( ( ( M e. LMod /\ V e. ~P ( Base ` M ) )
                      /\ ( A e. ( R ^m V ) /\ S e. R )
                      /\ A finSupp ( 0g ` ( Scalar ` M ) ) )
                    -> ( S .xb X ) = ( F ( linC ` M ) V ) ) $=
      ( vv wcel cfv co adantr clmod cbs cpw wa cmap c0g cfsupp wbr w3a cv cvsca
      csca cmpt cgsu clinc cplusg eqid simp1l simpr 3ad2ant1 3ad2ant2 wi elmapi
      ffvelrn syl imp elelpwi expcom adantl lmodvscl syl3anc scmfsupp gsumvsmul
      wf ex 3adant2r wceq crg lmodring eleq2i biimpi eleqtrdi ringcl fmptd fvex
      cvv elmapg sylancr mpbird lincval ovex fveq2 oveq2d fvmptg sylancl oveq1d
      wb lmodvsass syl13anc eqcomi a1i oveqd eqtrd mpteq2dva oveq1i 3eqtr4rd )
      HUAQZIHUBRZUCZQZUDZBCIUESZQZDCQZUDZBHULRZUFRUGUHZUIZHPIDPUJZBRZXSHUKRZSZE
      SZUMZUNSZDHPIYBUMZUNSZESGIHUORZSZDJESXRIXHHUPRZHXPEPCXIDYBHUFRZXHUQZXPUQZ
      NYKUQYJUQKXGXJXOXQURZXKXOXJXQXGXJUSUTZXOXKXNXQXMXNUSVAZXRXSIQZUDZXGXTCQZX
      SXHQZYBXHQXRXGYQYNTZXRYQYSXOXKYQYSVBZXQXMUUBXNXMICBVNZUUBBCIVCZUUCYQYSICX
      SBVDVOVETVAVFZXRYQYTXKXOYQYTVBZXQXJUUFXGYQXJYTXSIXHVGVHVIUTVFZXTYAXPCXHHX
      SYLYMYAUQZNVJVKXKXMXQYFYKUGUHXNPBCXPHIYMNVLVPVMXRYIHPIXSGRZXSYASZUMZUNSZY
      EXRXGGXPUBRZIUESZQZXJYIUULVQYNXRUUOIUUMGVNZXRAIDAUJZBRZFSZUUMGXRUUQIQZUDX
      PVRQZDUUMQZUURUUMQZUUSUUMQXRUVAUUTXKXOUVAXQXGUVAXJXPHYMVSTUTTXRUVBUUTXOXK
      UVBXQXNUVBXMXNUVBCUUMDNVTWAVIVATXRUUTUVCXOXKUUTUVCVBZXQXMUVDXNXMUUCUVDUUD
      UUCUUTUVCUUCUUTUDUURCUUMICUUQBVDNWBVOVETVAVFUUMXPFDUURUUMUQLWCVKOWDXRUUMW
      FQXJUUOUUPWQXPUBWEYOUUMIGWFXIWGWHWIYOPGHIUAWJVKXRUUKYDHUNXRPIUUJYCYRUUJDX
      TFSZXSYASZYCYRUUIUVEXSYAYRYQUVEWFQUUIUVEVQXRYQUSDXTFWKAXSUUSUVEIWFGUUQXSV
      QUURXTDFUUQXSBWLWMOWNWOWPYRUVFDYBYASZYCYRXGXNYSYTUVFUVGVQUUAXRXNYQYPTUUEU
      UGDXTYAFXPCXHHXSYLYMUUHNLWRWSYRYAEDYBYAEVQYREYAKWTXAXBXCXCXDWMXCXRJYGDEXR
      JBIYHSZYGJUVHVQXRMXAXRXGBUUNQZXJUVHYGVQYNXOXKUVIXQXMUVIXNXMUVIXLUUNBCUUMI
      UENXEVTWATVAYOPBHIUAWJVKXCWMXF $.
  $}

  ${
    $d C s x y $.  $d D s x y $.  $d M s x y $.  $d V s x y $.  $d .+ s x y $.
    lincsumcl.b $e |- .+ = ( +g ` M ) $.
    $( The sum of two linear combinations is a linear combination, see also the
       proof in [Lang] p. 129.  (Contributed by AV, 4-Apr-2019.)  (Proof
       shortened by AV, 28-Jul-2019.) $)
    lincsumcl $p |- ( ( ( M e. LMod /\ V e. ~P ( Base ` M ) )
                      /\ ( C e. ( M LinCo V ) /\ D e. ( M LinCo V ) ) )
                   -> ( C .+ D ) e. ( M LinCo V ) ) $=
      ( vy vx vs clmod wcel cfv wa co cfsupp wceq eqid adantl wi adantr cbs cpw
      clinco csca c0g wbr clinc cmap wrex lcoval anbi12d simpll simprl lmodvacl
      syl3anc cplusg cof cmnd lmodfgrp grpmndd simpr anim12i ofaddmndmap anim1i
      simpl mndpfsupp oveq12 expcom com12 imp lincsum eqtrd breq1 eqeq2d rspcev
      cv oveq1 syl12anc exp41 rexlimiva expd impcom com13 wb mpbir2and sylbid
      ex ) DJKZEDUALZUBZKZMZADEUCNZKZBWMKZMZABCNZWMKZWLWPAWIKZGVPZDUDLZUELZOUFZ
      AWTEDUGLZNZPZMZGXAUALZEUHNZUIZMZBWIKZHVPZXBOUFZBXMEXDNZPZMZHXIUIZMZMZWRWL
      WNXKWOXSWIAXHXADEJGWIQZXAQZXHQZUJWIBXHXADEJHYAYBYCUJUKWLXTWRWLXTMZWRWQWIK
      ZIVPZXBOUFZWQYFEXDNZPZMZIXIUIZYDWHWSXLYEWHWKXTULXTWSWLWSXJXSULRXTXLWLXKXL
      XRUMRCWIDABYAFUNUOXTWLYKXSXKWLYKSZXRXLXKYLSZXQXLYMSHXIXKXLXMXIKZXQMZYLXJW
      SXLYOYLSZSXJWSXLYPXGWSXLMZYPSGXIWTXIKZXGMZYQYOWLYKYSYQMZYOMZWLMZWTXMXAUPL
      ZUQNZXIKZUUDXBOUFZWQUUDEXDNZPZYKUUBXAURKZWKYRYNMZUUEWLUUIUUAWHUUIWKWHXAXA
      DYBUSUTZTRWLWKUUAWHWKVARUUAUUJWLYTYRYOYNYRXGYQULYNXQVEVBTZWTXMUUCXHXAEWJY
      CUUCQZVCUOUUBUUIWKMZUUJXCXNMZUUFWLUUNUUAWHUUIWKUUKVDRUULUUAUUOWLYTXCYOXNY
      SXCYQYRXCXFUMTYNXNXPUMVBTZWTXMXHXAEWJYCVFUOUUBWQXEXOCNZUUGUUAWQUUQPZWLYTY
      OUURYSYOUURSZYQXGUUSYRXFUUSXCYOXFUURXQXFUURSZYNXPUUTXNXFXPUURAXEBXOCVGVHR
      RVIRRTVJTUUBWLUUJUUOUUQUUGPUUAWLVAUULUUPWTXMCUUCXHXADEXEXOFXEQXOQYBYCUUMV
      KUOVLYJUUFUUHMIUUDXIYFUUDPZYGUUFYIUUHYFUUDXBOVMUVAYHUUGWQYFUUDEXDVQVNUKVO
      VRVSVTWAWBWCVTWBWBWBWLWRYEYKMWDXTWIWQXHXADEJIYAYBYCUJTWEWGWFVJ $.
  $}

  ${
    $d C s v x $.  $d D s v x $.  $d M s v x $.  $d R s v x $.  $d V s v x $.
    $d .x. s x $.
    lincscmcl.s $e |- .x. = ( .s ` M ) $.
    lincscmcl.r $e |- R = ( Base ` ( Scalar ` M ) ) $.
    $( The multiplication of a linear combination with a scalar is a linear
       combination, see also the proof in [Lang] p. 129.  (Contributed by AV,
       11-Apr-2019.)  (Proof shortened by AV, 28-Jul-2019.) $)
    lincscmcl $p |- ( ( ( M e. LMod /\ V e. ~P ( Base ` M ) )
                        /\ C e. R /\ D e. ( M LinCo V ) )
                      -> ( C .x. D ) e. ( M LinCo V ) ) $=
      ( vx vs vv wcel cfv wa co wceq eqid adantr ad2antrr adantl cbs cpw clinco
      clmod cv csca c0g cfsupp wbr clinc cmap wrex wb lcoval simpl simpr simprl
      lmodvscl syl3anc wi cmulr cmpt crg lmodring elmapi ffvelrn syl imp ringcl
      wf ex fmpttd cvv fvexi elmapg sylancr mpbird 3jca rmfsupp anim12i lincscm
      oveq2 eqtrd breq1 oveq1 eqeq2d rspcev syl12anc rexlimiva impcom mpbir2and
      w3a anbi12d sylbid 3impia ) EUDLZFEUAMZUBZLZNZACLZBEFUCOZLZABDOZXBLZWTXAN
      ZXCBWQLZIUEZEUFMZUGMZUHUIZBXHFEUJMZOZPZNZICFUKOZULZNZXEWTXCXRUMXAWQBCXIEF
      UDIWQQZXIQZHUNRXFXRXEXFXRNZXEXDWQLZJUEZXJUHUIZXDYCFXLOZPZNZJXPULZYAWPXAXG
      YBWTWPXAXRWPWSUOSXFXAXRWTXAUPZRXFXGXQUQADXICWQEBXSXTGHURUSXRXFYHXQXGXFYHU
      TZXOXGYJUTIXPXHXPLZXONZXGYJYLXGNZXFYHYMXFNZKFAKUEZXHMZXIVAMZOZVBZXPLZYSXJ
      UHUIZXDYSFXLOZPZYHYNYTFCYSVJZYNKFYRCYNYOFLZNXIVCLZXAYPCLZYRCLYNUUFUUEXFUU
      FYMWPUUFWSXAXIEXTVDSZTRYNXAUUEXFXAYMYITRYNUUEUUGYLUUEUUGUTZXGXFYKUUIXOYKF
      CXHVJZUUIXHCFVEUUJUUEUUGFCYOXHVFVKVGRSVHCXIYQAYPHYQQZVIUSVLYNCVMLWSYTUUDU
      MCXIUAHVNXFWSYMWTWSXAWPWSUPRZTCFYSVMWRVOVPVQYNUUFWSXAWLZYKXKUUAXFUUMYMXFU
      UFWSXAUUHUULYIVRTYLYKXGXFYKXOUOZSYLXKXGXFYKXKXNUQSZKXHACXIFWRHVSUSYNXDAXM
      DOZUUBYLXDUUPPZXGXFXOUUQYKXNUUQXKBXMADWBTTSYNWTYKXANXKUUPUUBPYMWTXAUQYMYK
      XFXAYLYKXGUUNRYIVTUUOKXHCADYQYSEFXMGUUKXMQHYSQWAUSWCYGUUAUUCNJYSXPYCYSPZY
      DUUAYFUUCYCYSXJUHWDUURYEUUBXDYCYSFXLWEWFWMWGWHVKVKWIWJWJWTXEYBYHNUMXAXRWQ
      XDCXIEFUDJXSXTHUNSWKVKWNWO $.

    lincsumscmcl.b $e |- .+ = ( +g ` M ) $.
    $( The sum of a linear combination and a multiplication of a linear
       combination with a scalar is a linear combination.  (Contributed by AV,
       11-Apr-2019.) $)
    lincsumscmcl $p |- ( ( ( M e. LMod /\ V e. ~P ( Base ` M ) ) /\
                       ( C e. R /\ D e. ( M LinCo V ) /\ B e. ( M LinCo V ) ) )
                      -> ( ( C .x. D ) .+ B ) e. ( M LinCo V ) ) $=
      ( clmod wcel cbs cfv cpw wa clinco co w3a lincscmcl 3adant3r3 simpr3 jca
      lincsumcl syldan ) GLMHGNOPMQZBEMZCGHRSZMZAUIMZTZBCFSZUIMZUKQUMADSUIMUGUL
      QUNUKUGUHUJUNUKBCEFGHIJUAUBUGUHUJUKUCUDUMADGHKUEUF $.
  $}

  ${
    $d M a b s v x $.  $d V a b s v x $.
    $( According to the statement in [Lang] p. 129, the set ` ( LSubSp `` M ) `
       of all linear combinations of a set of vectors V is a submodule
       (_generated_ by V) of the module M. The elements of V are called
       _generators_ of ` ( LSubSp `` M ) ` .  (Contributed by AV,
       12-Apr-2019.) $)
    lincolss $p |- ( ( M e. LMod /\ V e. ~P ( Base ` M ) )
                     -> ( M LinCo V ) e. ( LSubSp ` M ) ) $=
      ( vx va vb vv vs clmod wcel cbs cfv cpw wa csca cplusg co eqidd c0g eqid
      cv clss cvsca clinco cfsupp wbr clinc wceq cmap lcoval simpl syl6bi ssrdv
      wrex lcoel0 ne0d lincsumscmcl islssd ) AHIBAJKZLIMZCANKZJKZAOKZAUAKZAUBKZ
      ABUCPZUTURADEUSUTQUSVAQUSURQUSVBQUSVDQUSVCQUSFVEURUSFTZVEIVFURIZGTZUTRKUD
      UEVFVHBAUFKPUGMGVABUHPUMZMVGURVFVAUTABHGURSUTSVASZUIVGVIUJUKULUSVEARKABUN
      UOETCTDTVBVAVDABVDSVJVBSUPUQ $.
  $}

  ${
    $d M f x $.  $d S f x $.  $d V f x $.
    $( Every linear combination of a subset of a linear subspace is also
       contained in the linear subspace.  (Contributed by AV, 20-Apr-2019.)
       (Proof shortened by AV, 30-Jul-2019.) $)
    ellcoellss $p |- ( ( M e. LMod /\ S e. ( LSubSp ` M ) /\ V C_ S )
                       -> A. x e. ( M LinCo V ) x e. S ) $=
      ( vf clmod wcel clss cfv wss w3a cv clinco co cbs wa eqid wi cvv com12 wb
      csca c0g wbr clinc wceq cmap wrex cpw simp1 lssss 3ad2ant2 sstr fvex ssex
      cfsupp elpwg biimprd mpcom syl ex 3ad2ant3 lcoval syl2anc lincellss eleq1
      mpd imp syl5ibr expd adantr com13 impr rexlimiva expimpd sylbid ralrimiv
      ) CFGZBCHIZGZDBJZKZALZBGZACDMNZWBWCWEGZWCCOIZGZELZCUBIZUCIUPUDZWCWIDCUEIN
      ZUFZPZEWJOIZDUGNZUHZPZWDWBVRDWGUIGZWFWRUAVRVTWAUJWBBWGJZWSVTVRWTWAVSBWGCW
      GQZVSQUKULWAVRWTWSRVTWAWTWSWAWTPDWGJZWSDBWGUMDSGZXBWSDWGCOUNUOXCWSXBDWGSU
      QURUSUTVAVBVGWGWCWOWJCDFEXAWJQWOQVCVDWBWHWQWDWQWBWHPZWDWNXDWDRZEWPWIWPGZW
      KWMXEXDWMXFWKPZWDWBWMXGWDRZRWHWMWBXHWMWBXGWDWBXGPWDWMWLBGZWBXGXIBWICDVEVH
      WCWLBVFVIVJTVKVLVMVNTVOVPVQ $.
  $}

  ${
    $d M f v x y $.  $d V f v x y $.
    $( A set of vectors of a module is a subset of the set of all linear
       combinations of the set.  (Contributed by AV, 18-Apr-2019.)  (Proof
       shortened by AV, 30-Jul-2019.) $)
    lcoss $p |- ( ( M e. LMod /\ V e. ~P ( Base ` M ) )
                  -> V C_ ( M LinCo V ) ) $=
      ( vv vf vx vy clmod wcel cbs cfv wa co cv cfsupp wbr wceq adantl weq eqid
      wb cpw clinco csca c0g clinc cmap wrex wi elelpwi expcom imp cur cif cmpt
      equequ1 ifbid cbvmptv mptcfsupp 3expa eqcomd wf lmod1cl lmod0cl ad3antrrr
      linc1 ifcld fmpttd fvex simplr elmapg sylancr mpbird breq1 eqeq2d anbi12d
      cvv oveq1 rspcedv mp2and lcoval adantr mpbir2and ex ssrdv ) AGHZBAIJZUAZH
      ZKZCBABUBLZWICMZBHZWKWJHZWIWLKZWMWKWFHZDMZAUCJZUDJZNOZWKWPBAUEJZLZPZKZDWQ
      IJZBUFLZUGZWIWLWOWHWLWOUHWEWLWHWOWKBWFUIUJQUKWNEBECRZWQULJZWRUMZUNZWRNOZW
      KXJBWTLZPZXFWEWHWLXKFWFWQXHXJABWKWRWFSZWQSZWRSZXHSZEFBXIFCRZXHWRUMEFRXGXR
      XHWREFCUOUPUQURUSWNXLWKWEWHWLXLWKPEWFWQXHXJABWKWRXNXOXPXQXJSVEUSUTWNXCXKX
      MKZDXJXEWNXJXEHZBXDXJVAZWNEBXIXDWEXIXDHWHWLEMBHWEXGXHWRXDXHWQXDAXOXDSZXQV
      BWQXDAWRXOYBXPVCVFVDVGWNXDVPHWHXTYATWQIVHWEWHWLVIXDBXJVPWGVJVKVLWPXJPZXCX
      STWNYCWSXKXBXMWPXJWRNVMYCXAXLWKWPXJBWTVQVNVOQVRVSWIWMWOXFKTWLWFWKXDWQABGD
      XNXOYBVTWAWBWCWD $.
  $}

  ${
    lspeqvlco.b $e |- B = ( Base ` M ) $.
    $( Lemma for ~ lspeqlco .  (Contributed by AV, 17-Apr-2019.) $)
    lspsslco $p |- ( ( M e. LMod /\ V e. ~P B )
                      -> ( ( LSpan ` M ) ` V ) C_ ( M LinCo V ) ) $=
      ( clmod wcel cpw wa clinco co clss cfv wss clspn simpl cbs eleq2i sylan2b
      pweqi eqid lincolss lcoss lspssp syl3anc ) BEFZCAGZFZHUEBCIJZBKLZFZCUHMZC
      BNLZLUHMUEUGOUGUECBPLZGZFZUJUFUNCAUMDSQZBCUARUGUEUOUKUPBCUBRUICUHULBUITUL
      TUCUD $.

    $d B s x $.  $d M s x y $.  $d V s x y $.
    $( Lemma for ~ lspeqlco .  (Contributed by AV, 20-Apr-2019.) $)
    lcosslsp $p |- ( ( M e. LMod /\ V e. ~P B )
                      -> ( M LinCo V ) C_ ( ( LSpan ` M ) ` V ) ) $=
      ( vx vs vy clmod wcel cpw wa clinco cfv cv wss wel wi wral ad2antlr eqid
      co clspn clss crab cint ellcoellss 3exp ad2antrr imp rspcv syld ralrimiva
      elequ1 elintrab sylibr wceq simpll elpwi lspval syl2anc eleqtrrd ex ssrdv
      vex ) BHIZCAJIZKZEBCLUAZCBUBMZMZVGENZVHIZVKVJIVGVLKZVKCFNZOZFBUCMZUDUEZVJ
      VMVOEFPZQZFVPRVKVQIVMVSFVPVMVNVPIZKVOGFPZGVHRZVRVMVTVOWBQZVEVTWCQVFVLVEVT
      VOWBGVNBCUFUGUHUIVLWBVRQVGVTWAVRGVKVHGEFUMUJSUKULVOFVKVPEVDUNUOVMVECAOZVJ
      VQUPVEVFVLUQVFWDVEVLCAURSFVPCVIABDVPTVITUSUTVAVBVC $.

    $( Equivalence of a _span_ of a set of vectors of a left module defined as
       the intersection of all linear subspaces which each contain every vector
       in that set (see ~ df-lsp ) and as the set of all linear combinations of
       the vectors of the set with finite support.  (Contributed by AV,
       20-Apr-2019.) $)
    lspeqlco $p |- ( ( M e. LMod /\ V e. ~P B )
                      -> ( M LinCo V ) = ( ( LSpan ` M ) ` V ) ) $=
      ( clmod wcel cpw wa clinco co clspn cfv lcosslsp lspsslco eqssd ) BEFCAGF
      HBCIJCBKLLABCDMABCDNO $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Linear independence
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

<HTML>
According to the definition in [Lang] p. 129: "A subset S of a module M is said
to be <b>linearly independent</b> (over [the ring] A) if whenever we have a
linear combination &sum;<sub>x &isin;S</sub> a<sub>x</sub>x which is equal to
0, then a<sub>x</sub>=0 for all x&isin;S."  This definition does not care for
the finiteness of the set S (because the definition of a linear combination
in [Lang] p.129 does already assure that only a finite number of coefficients
can be 0 in the sum).  Our definition ~ df-lininds does also neither claim that
the subset must be finite, nor that almost all coefficients within the linear
combination are 0.  If this is required, it must be explicitly stated as
precondition in the corresponding theorems.<br>
<br>
Usually, the linear independence is defined for vector spaces, see Wikipedia
("Linear independence", 15-Apr-2019,
~ https://en.wikipedia.org/wiki/Linear_independence ): "In the theory of vector
spaces, a set of vectors is said to be <b>linearly dependent</b> if at least
one of the vectors in the set can be defined as a linear combination of the
others; if no vector in the set can be written in this way, then the vectors
are said to be <b>linearly independent</b>."  Furthermore, "In order to allow
the number of linearly independent vectors in a vector space to be countably
infinite, it is useful to define linear dependence as follows. More generally,
let V be a vector space over a field K, and let {v<sub>i</sub> | i&isin;I} be a
family of elements of V.  The family is linearly dependent over K if there
exists a finite family {a<sub>j</sub> | j&isin;J} of elements of K, all
nonzero, such that &sum;<sub>j&isin;J</sub> a<sub>j</sub>v<sub>j</sub>=0.
A set X of elements of V is linearly independent if the corresponding
family{x}<sub>x&isin;X</sub> is linearly independent".
<br>
<b>Remark 1:</b> There are already definitions of (linearly) independent
families ( ~ df-lindf ) and (linearly) independent sets ( ~ df-linds ).  These
definitions are based on the principle "of vectors, no nonzero multiple of
which can be expressed as a linear combination of other elements" or (see ~
lbsind2 ) "every element is not in the span of the remainder of the [[set]".
The equivalence of Definitions ~ df-linds and ~ df-lininds for (linear)
independence for (left) modules is shown in ~ lindslininds .
<br>
<b>Remark 2:</b> Subsets of the base set of a (left) module are <b>linearly
dependent</b> if they are not linearly independent (see ~ df-lindeps ) or,
according to Wikipedia, "if at least one of the vectors in the set can be
defined as a linear combination of the others", see ~ islindeps2 .  The
reversed implication is not valid for arbitrary modules (but for arbitrary
vector spaces), because it requires a division by a coefficient.  Therefore,
the definition of Wikipedia is equivalent to our definition for (left) vector
spaces (see ~ isldepslvec2 ) and not for (left) modules in general.
</HTML>

$)

  $c linIndS linDepS $.

  $( Extend class notation with the relation between a module and its linearly
     independent subsets. $)
  clininds $a class linIndS $.

  $( Extend class notation with the relation between a module and its linearly
     dependent subsets. $)
  clindeps $a class linDepS $.

  ${
    $d f m s x $.
    $( Define the relation between a module and its linearly independent
       subsets.  (Contributed by AV, 12-Apr-2019.)  (Revised by AV,
       24-Apr-2019.)  (Revised by AV, 30-Jul-2019.) $)
    df-lininds $a |- linIndS = { <. s , m >. | ( s e. ~P ( Base ` m )
                /\ A. f e. ( ( Base ` ( Scalar ` m ) ) ^m s )
                    ( ( f finSupp ( 0g ` ( Scalar ` m ) )
                        /\ ( f ( linC ` m ) s ) = ( 0g ` m ) )
                      -> A. x e. s ( f ` x ) = ( 0g ` ( Scalar ` m ) ) ) ) } $.

    $( The class defining the relation between a module and its linearly
       independent subsets is a relation.  (Contributed by AV, 13-Apr-2019.) $)
    rellininds $p |- Rel linIndS $=
      ( vs vm vf vx cv cbs cfv cpw wcel csca c0g cfsupp wbr clinc co wceq wa wi
      wral cmap clininds df-lininds relopabiv ) AEZBEZFGHICEZUEJGZKGZLMUFUDUENG
      OUEKGPQDEUFGUHPDUDSRCUGFGUDTOSQABUADCBAUBUC $.
  $}

  ${
    $d m s $.
    $( Define the relation between a module and its linearly dependent subsets.
       (Contributed by AV, 26-Apr-2019.) $)
    df-lindeps $a |- linDepS = { <. s , m >. | -. s linIndS m } $.
  $}

  $( The classes of the module and its linearly independent subsets are sets.
     (Contributed by AV, 13-Apr-2019.) $)
  linindsv $p |- ( S linIndS M -> ( S e. _V /\ M e. _V ) ) $=
    ( clininds rellininds brrelex12i ) ABCDE $.

  ${
    $d B m s $.  $d E f m s $.  $d M f m s x $.  $d S f m s x $.  $d Z m s $.
    $d .0. m s $.
    islininds.b $e |- B = ( Base ` M ) $.
    islininds.z $e |- Z = ( 0g ` M ) $.
    islininds.r $e |- R = ( Scalar ` M ) $.
    islininds.e $e |- E = ( Base ` R ) $.
    islininds.0 $e |- .0. = ( 0g ` R ) $.
    $( The property of being a linearly independent subset.  (Contributed by
       AV, 13-Apr-2019.)  (Revised by AV, 30-Jul-2019.) $)
    islininds $p |- ( ( S e. V /\ M e. W ) -> ( S linIndS M
                  <-> ( S e. ~P B /\ A. f e. ( E ^m S )
                        ( ( f finSupp .0. /\ ( f ( linC ` M ) S ) = Z )
                          -> A. x e. S ( f ` x ) = .0. ) ) ) ) $=
      ( cfv c0g wceq eqtr4di vs vm cv cbs cpw wcel csca cfsupp clinc co wa wral
      wbr wi cmap clininds simpl fveq2 adantl pweqd eleq12d fveq2d breq2d eqidd
      oveq12d oveq123d eqeq12d anbi12d eqeq2d raleqbidv imbi12d df-lininds
      brabga ) UAUCZUBUCZUDQZUEZUFZEUCZVOUGQZRQZUHUMZVSVNVOUIQZUJZVORQZSZUKZAUC
      VSQZWASZAVNULZUNZEVTUDQZVNUOUJZULZUKDBUEZUFZVSJUHUMZVSDGUIQZUJZKSZUKZWHJS
      ZADULZUNZEFDUOUJZULZUKUAUBDGUPHIVNDSZVOGSZUKZVRWPWNXFXIVNDVQWOXGXHUQZXIVP
      BXHVPBSXGXHVPGUDQBVOGUDURLTUSUTVAXIWKXDEWMXEXIWLFVNDUOXHWLFSXGXHWLCUDQFXH
      VTCUDXHVTGUGQZCVOGUGURZNTZVBOTUSXJVEXIWGXAWJXCXIWBWQWFWTXIWAJVSUHXIWACRQZ
      JXIVTCRXIVTXKCXHVTXKSXGXLUSNTVBPTVCXIWDWSWEKXIVSVSVNDWCWRXHWCWRSXGVOGUIUR
      USXIVSVDXJVFXIWEGRQZKXHWEXOSXGVOGRURUSMTVGVHXIWIXBAVNDXJXIWAJWHXHWAJSXGXH
      WAXNJXHVTCRXMVBPTUSVIVJVKVJVHAEUBUAVLVM $.

    $( The implications of being a linearly independent subset.  (Contributed
       by AV, 13-Apr-2019.)  (Revised by AV, 30-Jul-2019.) $)
    linindsi $p |- ( S linIndS M -> ( S e. ~P B /\ A. f e. ( E ^m S )
                        ( ( f finSupp .0. /\ ( f ( linC ` M ) S ) = Z )
                          -> A. x e. S ( f ` x ) = .0. ) ) ) $=
      ( wbr wcel cv cfv wa cvv clininds cfsupp clinc co wceq wral cmap linindsv
      cpw wi wb islininds syl ibi ) DGUAOZDBUIPEQZHUBOUPDGUCRUDIUESAQUPRHUEADUF
      UJEFDUGUDUFSZUODTPGTPSUOUQUKDGUHABCDEFGTTHIJKLMNULUMUN $.

    $d F x f $.  $d .0. f $.  $d Z f $.
    $( The implications of being a linearly independent subset and a linear
       combination of this subset being 0.  (Contributed by AV, 24-Apr-2019.)
       (Revised by AV, 30-Jul-2019.) $)
    linindslinci $p |- ( ( S linIndS M /\ ( F e. ( E ^m S ) /\ F finSupp .0.
                                            /\ ( F ( linC ` M ) S ) = Z ) )
                         -> A. x e. S ( F ` x ) = .0. ) $=
      ( vf wbr co cfsupp wceq wi clininds cmap wcel clinc cfv w3a wral linindsi
      cv wa breq1 oveq1 eqeq1d anbi12d fveq1 ralbidv imbi12d rspcv com23 3impib
      cpw com12 simpl2im imp ) DGUAPZFEDUBQZUCZFHRPZFDGUDUEZQZISZUFZAUIZFUEZHSZ
      ADUGZVEDBVAUCOUIZHRPZVQDVIQZISZUJZVMVQUEZHSZADUGZTZOVFUGZVLVPTABCDOEGHIJK
      LMNUHVLWFVPVGVHVKWFVPTVGWFVHVKUJZVPWEWGVPTOFVFVQFSZWAWGWDVPWHVRVHVTVKVQFH
      RUKWHVSVJIVQFDVIULUMUNWHWCVOADWHWBVNHVMVQFUOUMUPUQURUSUTVBVCVD $.

    $d W f $.
    $( The property of being a linearly independent finite subset.
       (Contributed by AV, 27-Apr-2019.) $)
    islinindfis $p |- ( ( S e. Fin /\ M e. W )
                        -> ( S linIndS M <-> ( S e. ~P B /\ A. f e. ( E ^m S )
             ( ( f ( linC ` M ) S ) = Z -> A. x e. S ( f ` x ) = .0. ) ) ) ) $=
      ( cfn wcel wa wral wi clininds wbr cpw cv cfsupp clinc cfv wceq islininds
      co cmap wo pm4.79 cvv wf elmapi adantl simpll c0g fvexi fdmfifsupp adantr
      imim1i expd ax-1 jaoi sylbir com12 pm3.42 impbid1 ralbidva anbi2d bitrd
      a1i ) DPQZGHQZRZDGUAUBDBUCQZEUDZIUEUBZVSDGUFUGUJJUHZRAUDVSUGIUHADSZTZEFDU
      KUJZSZRVRWAWBTZEWDSZRABCDEFGPHIJKLMNOUIVQWEWGVRVQWCWFEWDVQVSWDQZRZWCWFWCW
      IWFWCVTWBTZWFULWIWFTZWBVTWAUMWJWKWFWJWIWAWBWIWARVTWBWIVTWAWIDFVSUNIWHDFVS
      UOVQVSFDUPUQVOVPWHURIUNQWIICUSOUTVNVAVBVCVDWFWIVEVFVGVHVTWAWBVIVJVKVLVM
      $.

    $( The property of being a linearly independent finite subset.
       (Contributed by AV, 27-Apr-2019.) $)
    islinindfiss $p |- ( ( M e. W /\ S e. Fin /\ S e. ~P B )
                        -> ( S linIndS M <-> A. f e. ( E ^m S )
               ( ( f ( linC ` M ) S ) = Z -> A. x e. S ( f ` x ) = .0. ) ) ) $=
      ( wcel cv cfv co wceq cfn cpw clininds wbr clinc wral wi cmap islinindfis
      wa wb ancoms 3adant3 3anibar ) GHPZDUAPZDBUBPZDGUCUDZEQZDGUERSJTAQUSRITAD
      UFUGEFDUHSUFZUOUPURUQUTUJUKZUQUPUOVAABCDEFGHIJKLMNOUIULUMUN $.
  $}

  ${
    $d M x f $.  $d S x f $.
    $( A linearly independent set is a subset of (the base set of) a module.
       (Contributed by AV, 13-Apr-2019.) $)
    linindscl $p |- ( S linIndS M -> S e. ~P ( Base ` M ) ) $=
      ( vf vx clininds wbr cbs cfv cpw wcel cv csca c0g cfsupp clinc co wceq wa
      wral eqid wi cmap linindsi simpld ) ABEFABGHZIJCKZBLHZMHZNFUFABOHPBMHZQRD
      KUFHUHQDASUACUGGHZAUBPSDUEUGACUJBUHUIUETUITUGTUJTUHTUCUD $.
  $}

  ${
    $d M m s $.  $d S m s $.
    $( A linearly dependent subset is not a linearly independent subset.
       (Contributed by AV, 26-Apr-2019.) $)
    lindepsnlininds $p |- ( ( S e. V /\ M e. W )
                            -> ( S linDepS M <-> -. S linIndS M ) ) $=
      ( vs vm cv clininds wbr wn clindeps wceq breq12 notbid df-lindeps brabga
      wa ) EGZFGZHIZJABHIZJEFABKCDRALSBLQTUARASBHMNFEOP $.
  $}

  ${
    $d E f $.  $d M f x $.  $d S f x $.
    islindeps.b $e |- B = ( Base ` M ) $.
    islindeps.z $e |- Z = ( 0g ` M ) $.
    islindeps.r $e |- R = ( Scalar ` M ) $.
    islindeps.e $e |- E = ( Base ` R ) $.
    islindeps.0 $e |- .0. = ( 0g ` R ) $.
    $( The property of being a linearly dependent subset.  (Contributed by AV,
       26-Apr-2019.)  (Revised by AV, 30-Jul-2019.) $)
    islindeps $p |- ( ( M e. W /\ S e. ~P B ) -> ( S linDepS M
             <-> E. f e. ( E ^m S ) ( f finSupp .0. /\ ( f ( linC ` M ) S ) = Z
                                      /\ E. x e. S ( f ` x ) =/= .0. ) ) ) $=
      ( wa wbr wn wrex wb wcel cpw clindeps clininds cfsupp clinc cfv wceq wral
      cv co wi cmap wne w3a lindepsnlininds ancoms islininds ibar bicomd adantl
      bitrd notbid rexnal rexbii bitr2i anbi2i pm4.61 df-3an 3bitr4i bitr3i a1i
      df-ne 3bitrd ) GHUAZDBUBZUAZPZDGUCQZDGUDQZRZEUJZIUEQZWBDGUFUGUKJUHZPZAUJW
      BUGZIUHZADUIZULZEFDUMUKZUIZRZWCWDWFIUNZADSZUOZEWJSZVQVOVSWATDGVPHUPUQVRVT
      WKVRVTVQWKPZWKVQVOVTWQTABCDEFGVPHIJKLMNOURUQVQWQWKTVOVQWKWQVQWKUSUTVAVBVC
      WLWPTVRWLWIRZEWJSWPWIEWJVDWRWOEWJWEWHRZPWEWNPWRWOWSWNWEWNWGRZADSWSWMWTADW
      FIVMVEWGADVDVFVGWEWHVHWCWDWNVIVJVEVKVLVN $.
  $}

  ${
    $d B z $.  $d E z $.  $d G z $.  $d M z $.  $d S z $.  $d X z $.  $d Y z $.
    lincext.b $e |- B = ( Base ` M ) $.
    lincext.r $e |- R = ( Scalar ` M ) $.
    lincext.e $e |- E = ( Base ` R ) $.
    lincext.0 $e |- .0. = ( 0g ` R ) $.
    lincext.z $e |- Z = ( 0g ` M ) $.
    lincext.n $e |- N = ( invg ` R ) $.
    lincext.f $e |- F = ( z e. S |-> if ( z = X , ( N ` Y ) , ( G ` z ) ) ) $.
    $( Property 1 of an extension of a linear combination.  (Contributed by AV,
       20-Apr-2019.)  (Revised by AV, 29-Apr-2019.) $)
    lincext1 $p |- ( ( ( M e. LMod /\ S e. ~P B )
                       /\ ( Y e. E /\ X e. S /\ G e. ( E ^m ( S \ { X } ) ) ) )
                     -> F e. ( E ^m S ) ) $=
      ( clmod wcel cpw wa csn cdif cmap co w3a wceq cfv cif cmpt cgrp csca eqid
      cv wf lmodfgrp ad2antrr eqeltrid simpr1 grpinvcl syl2anc wn wi elmapi wne
      df-ne biimpri anim2i eldifsn sylibr ffvelrn sylan2 ex syl 3ad2ant3 adantl
      impl ifclda fmpttd cvv wb simpr cbs fvexi jctil adantr elmapg mpbird ) HU
      AUBZDBUCZUBZUDZKEUBZJDUBZGEDJUEUFZUGUHUBZUIZUDZFADAUQZJUJZKIUKZXBGUKZULZU
      MZEDUGUHZTXAXGXHUBZDEXGURZXAADXFEXAXBDUBZUDXCXDXEEXAXDEUBZXKXCXACUNUBWPXL
      XACHUOUKZUNOWLXMUNUBWNWTXMHXMUPUSUTVAWOWPWQWSVBECIKPSVCVDUTXAXKXCVEZXEEUB
      ZWTXKXNUDZXOVFZWOWSWPXQWQWSWREGURZXQGEWRVGXRXPXOXPXRXBWRUBZXOXPXKXBJVHZUD
      XSXNXTXKXTXNXBJVIVJVKXBDJVLVMWREXBGVNVOVPVQVRVSVTWAWBXAEWCUBZWNUDZXIXJWDW
      OYBWTWOWNYAWLWNWEECWFPWGWHWIEDXGWCWMWJVQWKVA $.

    $( Property 2 of an extension of a linear combination.  (Contributed by AV,
       20-Apr-2019.)  (Revised by AV, 30-Jul-2019.) $)
    lincext2 $p |- ( ( ( M e. LMod /\ S e. ~P B )
                         /\ ( Y e. E /\ X e. S /\ G e. ( E ^m ( S \ { X } ) ) )
                         /\ G finSupp .0. ) -> F finSupp .0. ) $=
      ( clmod wcel cpw wa csn cdif cmap w3a cfsupp wbr cvv cdm cfn wceq cfv cif
      co cv fvex ifex dmmpti difeq1i wss snssi 3ad2ant2 dfss4 eqeltrdi eqeltrid
      sylib snfi lincext1 3adant3 wfun elmapfun cres wf fdmdifeqresdif 3ad2ant3
      syl elmapi simp3 c0g fvexi a1i resfsupp ) HUAUBDBUCUBUDZKEUBZJDUBZGEDJUEZ
      UFZUGUQUBZUHZGLUIUJZUHZWJFGUKEDUGUQZLWNFULZWJUFDWJUFZUMWPDWJADAURZJUNZKIU
      OZWRGUOZUPFWSWTXAKIUSWRGUSUTTVAVBWNWQWIUMWNWIDVCZWQWIUNWLWFXBWMWHWGXBWKJD
      VDVEVEWIDVFVIJVJVGVHWFWLFWOUBZWMABCDEFGHIJKLMNOPQRSTVKVLZWNXCFVMXDFEDVNVS
      WLWFGFWJVOUNZWMWKWGXEWHWKWJEGVPXEGEWJVTADEFGWTJTVQVSVRVEWFWLWMWALUKUBWNLC
      WBQWCWDWE $.

    $d N z $.
    $( Property 3 of an extension of a linear combination.  (Contributed by AV,
       23-Apr-2019.)  (Revised by AV, 30-Jul-2019.) $)
    lincext3 $p |- ( ( ( M e. LMod /\ S e. ~P B )
                   /\ ( Y e. E /\ X e. S /\ G e. ( E ^m ( S \ { X } ) ) )
                   /\ ( G finSupp .0.
                   /\ ( Y ( .s ` M ) X ) = ( G ( linC ` M ) ( S \ { X } ) ) ) )
                     -> ( F ( linC ` M ) S ) = Z ) $=
      ( clmod wcel cpw wa csn cdif cmap co w3a cfsupp wbr cvsca cfv wceq cplusg
      clinc cres simp1l simp1r simp2 3ad2ant2 lincext1 lincext2 3adant3r elmapi
      3adant3 fdmdifeqresdif syl 3ad2ant3 eqid lincdifsn syl321anc oveq1 eqcoms
      wf adantl cminusg simpll elelpwi expcom com12 impcom simpr1 lmodvsneg cif
      wi cv iftrue fvexd fvmptd3 eqcomd oveq1d eqtr2d oveq2d syl3anc lmodvnegid
      cvv lmodvscl syl2anc eqtrd ) HUAUBZDBUCUBZUDZKEUBZJDUBZGEDJUEUFZUGUHUBZUI
      ZGLUJUKZKJHULUMZUHZGXFHUPUMZUHZUNZUDZUIZFDXLUHZXMJFUMZJXJUHZHUOUMZUHZMXPX
      AXBXEFEDUGUHUBZFLUJUKZGFXFUQUNZXQYAUNXAXBXHXOURXAXBXHXOUSXHXCXEXOXDXEXGUT
      ZVAXCXHYBXOABCDEFGHIJKLMNOPQRSTVBVFXCXHXIYCXNABCDEFGHIJKLMNOPQRSTVCVDXHXC
      YDXOXGXDYDXEXGXFEGVOYDGEXFVEADEFGKIUMZJTVGVHVIVABXTCEXJFGHDJLNOPXJVJZXTVJ
      ZQVKVLXPYAXKXSXTUHZMXOXCYAYIUNZXHXNYJXIYJXMXKXMXKXSXTVMVNVPVIXCXHYIMUNXOX
      CXHUDZYIXKXKHVQUMZUMZXTUHZMYKXSYMXKXTYKYMYFJXJUHXSYKBKXJCEIYLHJNOYGYLVJZP
      SXAXBXHVRZXHXCJBUBZXEXDXCYQWFXGXCXEYQXBXEYQWFXAXEXBYQJDBVSVTVPWAVAWBZXCXD
      XEXGWCZWDYKYFXRJXJYKXRYFYKAJAWGZJUNZYFYTGUMZWEYFDFWQTUUAYFUUBWHXHXEXCYEVP
      YKKIWIWJWKWLWMWNYKXAXKBUBZYNMUNYPYKXAXDYQUUCYPYSYRKXJCEBHJNOYGPWRWOXTYLBH
      XKMNYHRYOWPWSWTVFWTWT $.
  $}

  ${
    $d B f g s y z $.  $d M f g s y z $.  $d R f x z $.  $d S f g s x y z $.
    $d V g s y z $.  $d Z f g s y $.  $d .0. f g s x y z $.
    lindslinind.r $e |- R = ( Scalar ` M ) $.
    lindslinind.b $e |- B = ( Base ` R ) $.
    lindslinind.0 $e |- .0. = ( 0g ` R ) $.
    lindslinind.z $e |- Z = ( 0g ` M ) $.
    $( Implication 1 for ~ lindslininds .  (Contributed by AV, 25-Apr-2019.)
       (Revised by AV, 30-Jul-2019.)  (Proof shortened by II, 16-Feb-2023.) $)
    lindslinindsimp1 $p |- ( ( S e. V /\ M e. LMod )
            -> ( ( S e. ~P ( Base ` M ) /\ A. f e. ( B ^m S ) ( ( f finSupp .0.
                 /\ ( f ( linC ` M ) S ) = Z ) -> A. x e. S ( f ` x ) = .0. ) )
           -> ( S C_ ( Base ` M ) /\ A. s e. S A. y e. ( B \ { .0. } )
            -. ( y ( .s ` M ) s ) e. ( ( LSpan ` M ) ` ( S \ { s } ) ) ) ) ) $=
      ( vg wcel wa cfv wi vz clmod cbs cpw cv cfsupp wbr clinc co wceq wral wss
      cmap cvsca csn cdif clspn wn elpwi ad2antrl wrex weq cminusg cif cmpt w3a
      wo simpr anim2i ancomd ad2antrr eldifi adantl adantr simprl 3jca lincext2
      simprrl syl3anc lincext1 syl2anc breq1 oveq1 eqeq1d anbi12d fveq1 ralbidv
      eqid imbi12d rspcv syl exp4a mpid simprr lincext3 fveqeq2 cvv eqidd fvexd
      iftrue fvmptd cgrp lmodfgrp grpinvnzcl eldif fvex pm2.21 sylnbi simplbiim
      elsn com25 com24 impcom com13 imp sylbid syld embantd syldc exp5j expdimp
      expd pm2.01d olcd animorl pm2.61ian ralrimiva ralnex ralbii bitr3i sylibr
      ex ianor intnand clinco wb difexg ssdifssd elpwd jca eleq2d bicomd lcoval
      lspeqlco c0g eqcomi breq2i anbi1i rexbii anbi2i bitrdi mtbird ralrimivva
      bitrd ) EHQZGUBQZRZEGUCSZUDZQZFUEZIUFUGZUVAEGUHSZUIZJUJZRZAUEZUVASZIUJZAE
      UKZTZFCEUMUIZUKZRZEUURULZBUEZKUEZGUNSUIZEUVQUOZUPZGUQSSZQZURZBCIUOZUPZUKK
      EUKZRUUQUVNRZUVOUWFUUTUVOUUQUVMEUURUSZUTUWGUWCKBEUWEUWGUVQEQZUVPUWEQZRZRZ
      UWBUVRUURQZPUEZIUFUGZUVRUWNUVTUVCUIUJZRZPCUVTUMUIZVAZRZUWLUWSUWMUWLUWOURZ
      UWPURZVGZPUWRUKZUWSURZUWLUXCPUWRUWOUWLUWNUWRQZRZUXCUWOUXGRZUXBUXAUXHUWPUX
      GUWOUWPUXBTUXGUWOUWPUXBUWLUXFUWQUXBUWGUWKUXFUWQRZUXBTZUVNUUQUWKUXJTZUVMUU
      TUUQUXKTUVMUUTUUQUWKUXIUXBUUTUUQRZUWKRZUXIRZUVMUAEUAKVBZUVPDVCSZSZUAUEUWN
      SZVDZVEZEUVCUIZJUJZUVGUXTSZIUJZAEUKZTZUXBUXNUVMUXTIUFUGZUYFUXNUUPUUTRZUVP
      CQZUWIUXFVFZUWOUYGUXLUYHUWKUXIUXLUUTUUPUUQUUPUUTUUOUUPVHZVIZVJVKZUXNUYIUW
      IUXFUXMUYIUXIUWKUYIUXLUWJUYIUWIUVPCUWDVLVMVMVNUXMUWIUXIUXLUWIUWJVOZVNZUXM
      UXFUWQVOVPZUXMUXFUWOUWPVRUAUURDECUXTUWNGUXPUVQUVPIJUURWHZLMNOUXPWHZUXTWHZ
      VQVSUXNUVMUYGUYBUYEUXNUXTUVLQZUVMUYGUYBRZUYETZTUXNUYHUYJUYTUXMUYHUXIUXMUU
      TUUPUXLUUTUUPRUWKUYLVNVJVNUYPUAUURDECUXTUWNGUXPUVQUVPIJUYQLMNOUYRUYSVTWAU
      VKVUBFUXTUVLUVAUXTUJZUVFVUAUVJUYEVUCUVBUYGUVEUYBUVAUXTIUFWBVUCUVDUYAJUVAU
      XTEUVCWCWDWEVUCUVIUYDAEVUCUVHUYCIUVGUVAUXTWFWDWGWIWJWKWLWMUXNUYBUYEUXBUXN
      UYHUYJUWQUYBUYMUYPUXMUXFUWQWNUAUURDECUXTUWNGUXPUVQUVPIJUYQLMNOUYRUYSWOVSU
      XNUYEUVQUXTSZIUJZUXBUXNUWIUYEVUETUYOUYDVUEAUVQEUVGUVQIUXTWPWJWKUXNVUEUXQI
      UJZUXBUXNVUDUXQIUXMVUDUXQUJUXIUXMUAUVQUXSUXQEUXTWQUXMUXTWRUXOUXSUXQUJUXMU
      XOUXQUXRWTVMUYNUXMUVPUXPWSXAVNWDUXMVUFUXBTZUXIUWKUXLVUGUWIUWJUXLVUGTUXLUW
      JUWIVUGUUQUUTUWJUWIVUGTZTZUUPUUOUUTVUITUUPUWJUUTUUOVUHUUPDXBQZUWJUUTUUOVU
      HTTZTDGLXCVUJUWJVUKVUJUWJRUXQUWEQZVUKCDUXPUVPIMNUYRXDVULUXQCQUXQUWDQZURVU
      KUXQCUWDXEVUMVUFVUKUXQIUVPUXPXFXJVUFURVUFUUOUWIUUTUXBVUFUUOUWIUUTUXBTTTXG
      XKXHXIWKYLWKXLXMXMXNXOXMVNXPXQXRXSXTXMXMXOYAYBXMYCYDUXAUXGUXBYEYFYGUXEUWQ
      URZPUWRUKUXDUWQPUWRYHVUNUXCPUWRUWOUWPYMYIYJYKYNUWLUWBUVRGUVTYOUIZQZUWTUWL
      UUPUVTUUSQZUWBVUPYPUUQUUPUVNUWKUYKVKUWGVUQUWKUWGUVTUURWQUUOUVTWQQUUPUVNEU
      VSHYQVKUUTUVTUURULUUQUVMUUTEUURUVSUWHYRZUTYSVNUUPVUQRZVUPUWBVUSVUOUWAUVRU
      URGUVTUYQUUDUUAUUBWAUWLVUSVUPUWTYPUWGVUSUWKUWGUUPVUQUUQUUPUVNUYKVNUUTVUQU
      UQUVMUUTUVTUURWQEUVSUUSYQVURYSUTYTVNVUSVUPUWMUWNDUUESZUFUGZUWPRZPUWRVAZRU
      WTUURUVRCDGUVTUBPUYQLMUUCVVCUWSUWMVVBUWQPUWRVVAUWOUWPVUTIUWNUFIVUTNUUFUUG
      UUHUUIUUJUUKWKUUNUULUUMYTYL $.

    ${
      lindslinind.y $e |- Y = ( ( invg ` R ) ` ( f ` x ) ) $.
      lindslinind.g $e |- G = ( f |` ( S \ { x } ) ) $.
      $( Lemma 1 for ~ lindslinindsimp2 .  (Contributed by AV, 25-Apr-2019.) $)
      lindslinindimp2lem1 $p |- ( ( ( S e. V /\ M e. LMod )
                        /\ ( S C_ ( Base ` M ) /\ x e. S /\ f e. ( B ^m S ) ) )
                                  -> Y e. B ) $=
        ( wcel wa cfv clmod cbs wss cv cmap co w3a cminusg cgrp lmodfgrp adantl
        wf wi elmapi ffvelrn a1d syl com13 3imp eqid grpinvcl syl2an eqeltrid
        ex ) DHRZGUARZSZDGUBTUCZAUDZDRZEUDZBDUEUFRZUGZSIVIVKTZCUHTZTZBPVGCUIRZV
        NBRZVPBRVMVFVQVECGLUJUKVHVJVLVRVLVJVHVRVLDBVKULZVJVHVRUMZUMVKBDUNVSVJVT
        VSVJSVRVHDBVIVKUOUPVDUQURUSBCVOVNMVOUTVAVBVC $.

      $( Lemma 2 for ~ lindslinindsimp2 .  (Contributed by AV, 25-Apr-2019.) $)
      lindslinindimp2lem2 $p |- ( ( ( S e. V /\ M e. LMod )
                        /\ ( S C_ ( Base ` M ) /\ x e. S /\ f e. ( B ^m S ) ) )
                                  -> G e. ( B ^m ( S \ { x } ) ) ) $=
        ( wcel wf cvv clmod wa cbs cfv wss cv cmap w3a csn cdif elmapi 3ad2ant3
        co cres adantl difss fssres sylancl feq1i sylibr wb fvexi difexg elmapg
        ad2antrr sylancr mpbird ) DHRZGUARZUBZDGUCUDUEZAUFZDRZEUFZBDUGUMRZUHZUB
        ZFBDVLUIZUJZUGUMRZVSBFSZVQVSBVNVSUNZSZWAVQDBVNSZVSDUEWCVPWDVJVOVKWDVMVN
        BDUKULUODVRUPDBVSVNUQURVSBFWBQUSUTVQBTRVSTRZVTWAVABCUCMVBVHWEVIVPDVRHVC
        VEBVSFTTVDVFVG $.

      $( Lemma 3 for ~ lindslinindsimp2 .  (Contributed by AV, 25-Apr-2019.)
         (Revised by AV, 30-Jul-2019.) $)
      lindslinindimp2lem3 $p |- ( ( ( S e. V /\ M e. LMod )
                        /\ ( S C_ ( Base ` M ) /\ x e. S )
                        /\ ( f e. ( B ^m S ) /\ f finSupp .0. ) )
                                  -> G finSupp .0. ) $=
        ( wcel wa cv clmod cbs cfv wss cmap co cfsupp wbr w3a csn cdif cres cvv
        simp3r c0g fvexi a1i fsuppres eqbrtrid ) DHRGUARSZDGUBUCUDATZDRSZETZBDU
        EUFRZVCJUGUHZSUIZFVCDVAUJUKZULJUGQVFVCUMVGJUTVBVDVEUNJUMRVFJCUONUPUQURU
        S $.

      $d G y $.
      $( Lemma 4 for ~ lindslinindsimp2 .  (Contributed by AV, 25-Apr-2019.)
         (Revised by AV, 30-Jul-2019.)  (Proof shortened by II,
         16-Feb-2023.) $)
      lindslinindimp2lem4 $p |- ( ( ( S e. V /\ M e. LMod )
                        /\ ( S C_ ( Base ` M ) /\ x e. S )
                        /\ ( f e. ( B ^m S ) /\ f finSupp .0.
                             /\ ( f ( linC ` M ) S ) = Z ) )
            -> ( M gsum ( y e. ( S \ { x } ) |-> ( ( f ` y ) ( .s ` M ) y ) ) )
               = ( Y ( .s ` M ) x ) ) $=
        ( wcel cfv clmod wa cbs wss cv cmap cfsupp wbr clinc wceq w3a csn cvsca
        co cdif cmpt cgsu wi cminusg cplusg cpw simpr adantr simprl wb ad2antrr
        cres elpwg mpbird adantl 3jca a1i eqid lincdifsn syl3anc eqeq1d lmodgrp
        simpl cgrp ad2antrl wf elmapi ffvelrn expcom ad2antll syl5com imp ssel2
        lmodvscl cvv difexg ssdifss jca lindslinindimp2lem2 lindslinindimp2lem3
        syl13anc lincfsuppcl grpinvid2 bitr4d eqcom csca fveq2i oveq1i eleqtrdi
        eqtri elpwd fveq1i fvres eqtrd oveq1d mpteq2dva oveq2d lmodvsneg eqcomi
        lincval eqeq12d biimpd sylbid syl5bi ex com23 3impia com12 ) EISZHUASZU
        BZEHUCTZUDZAUEZESZUBZFUEZCEUFUNSZYLKUGUHZYLEHUITZUNZLUJZUKZHBEYIULZUOZB
        UEZYLTZUUAHUMTZUNZUPZUQUNZJYIUUCUNZUJZYRYFYKUBZUUHYMYNYQUUIUUHURYMYNUBZ
        UUIYQUUHUUJUUIYQUUHURUUJUUIUBZYQYIYLTZYIUUCUNZHUSTZTZGYTYOUNZUJZUUHUUKY
        QUUPUUMHUTTZUNZLUJZUUQUUKYPUUSLUUKYEEYGVAZSZYJUKZUUJGYLYTVGZUJZYPUUSUJU
        UIUVCUUJUUIYEUVBYJYFYEYKYDYEVBZVCUUIUVBYHYFYHYJVDYDUVBYHVEYEYKEYGIVHVFV
        IYKYJYFYHYJVBZVJVKVJUUJUUIVRZUVEUUKRVLYGUURDCUUCYLGHEYIKYGVMZMNUUCVMZUU
        RVMZOVNVOVPUUKHVSSZUUMYGSZUUPYGSZUUQUUTVEYFUVLUUJYKYEUVLYDHVQVJVTUUKYEU
        ULCSZYIYGSZUVMYFYEUUJYKUVFVTZUUJUUIUVOYMUUIUVOURYNYMECYLWAZUUIUVOYLCEWB
        YJUVRUVOURYFYHUVRYJUVOECYIYLWCWDWEWFVCWGZYKUVPUUJYFEYGYIWHWEZUULUUCDCYG
        HYIUVIMUVJNWIVOUUKYEYTWJSZYTYGUDZUBZGCYTUFUNZSZGKUGUHZUBUVNUVQUUIUWCUUJ
        UUIUWAUWBYDUWAYEYKEYSIWKVFZYHUWBYFYJEYGYSWLVTZWMVJUUKUWEUWFUUKYFYHYJYMU
        WEUUJYFYKVDZYKYHUUJYFYHYJVRWEYKYJUUJYFUVGWEUUJYMUUIYMYNVRVCACDEFGHIJKLM
        NOPQRWNWPZUUKYFYKUUJUWFUWIUUIYKUUJYFYKVBVJUVHACDEFGHIJKLMNOPQRWOVOWMYGD
        CGHYTWJKUVIMNOWQVOYGUURHUUNUUMUUPLUVIUVKPUUNVMZWRVOWSUUQUUPUUOUJZUUKUUH
        UUOUUPWTUUKUWLHBYTUUAGTZUUAUUCUNZUPZUQUNZUUOUJZUUHUUKUUPUWPUUOUUKYEGHXA
        TZUCTZYTUFUNZSYTUVASZUUPUWPUJUVQUUKGUWDUWTUWJCUWSYTUFCDUCTUWSNDUWRUCMXB
        XEXCXDUUIUXAUUJUUIYTYGWJUWGUWHXFVJBGHYTUAXOVOVPUUKUWQUUHUUKUWPUUFUUOUUG
        UUKUWOUUEHUQUUKBYTUWNUUDUUKUUAYTSZUBZUWMUUBUUAUUCUXCUWMUUAUVDTZUUBUWMUX
        DUJUXCUUAGUVDRXGVLUXBUXDUUBUJUUKUUAYTYLXHVJXIXJXKXLUUKUUOUULDUSTZTZYIUU
        CUNUUGUUKYGUULUUCDCUXEUUNHYIUVIMUVJUWKNUXEVMUVQUVTUVSXMUUKUXFJYIUUCUXFJ
        UJUUKJUXFQXNVLXJXIXPXQXRXSXRXTYAYBYCYB $.
    $}

    $d R g y $.  $d Z z $.
    $( Lemma 5 for ~ lindslinindsimp2 .  (Contributed by AV, 25-Apr-2019.)
       (Revised by AV, 30-Jul-2019.) $)
    lindslinindsimp2lem5 $p |- ( ( ( S e. V /\ M e. LMod )
                  /\ ( S C_ ( Base ` M ) /\ x e. S ) ) -> ( ( f e. ( B ^m S )
                     /\ ( f finSupp .0. /\ ( f ( linC ` M ) S ) = Z ) )
           -> ( A. y e. ( B \ { .0. } ) A. g e. ( B ^m ( S \ { x } ) )
                ( -. g finSupp .0.
                  \/ -. ( y ( .s ` M ) x ) = ( g ( linC ` M ) ( S \ { x } ) ) )
                                 -> ( f ` x ) = .0. ) ) ) $=
      ( cfv wceq wcel wa co vz cv clmod cbs wss cmap cfsupp wbr clinc cvsca csn
      wn cdif wo wral wi ax-1 cminusg wne wf elmapi ffvelrn expcom adantl com12
      2a1d syl adantr impcom biantrurd df-ne eldifsn 3bitr4g cgrp lmodfgrp eqid
      bicomi grpinvnzcl sylan ex sylbid oveq1 eqeq1d notbid orbi2d ralbidv cres
      rspcva simpl simplrl simplrr lindslinindimp2lem2 syl13anc c0g a1i breq12d
      id eqeq2d orbi12d cvv breq2i biimpi fvexd fsuppres pm2.24d cmpt cgsu csca
      cpw simplr fveq2i eqtr2i oveq1i eleqtrrdi ssdifss wb difexg elpwg lincval
      mpbird syl3anc oveq1d mpteq2dva oveq2d 3anass lindslinindimp2lem4 3eqtrrd
      fvres w3a jaoi com23 mpcom syl5 expd syldc pm2.61i ) AUBZFUBZPZJQZEIRZHUC
      RZSZEHUDPZUEZYQERZSZSZYRCEUFTRZYRJUGUHZYREHUIPZTKQZSZSZGUBZJUGUHZULZBUBZY
      QHUJPZTZUUOEYQUKZUMZUUKTZQZULZUNZGCUVBUFTZUOZBCJUKUMZUOZYTUPZUPUPYTUVKUUH
      UUNYTUVJUQVFYTULZUUHUUNUVKUUHUUNSZUVLYSDURPZPZUVIRZUVKUVMUVLYSUVIRZUVPUVM
      YSJUSZYSCRZUVRSUVLUVQUVMUVSUVRUUNUUHUVSUUIUUHUVSUPZUUMUUIECYRUTZUVTYRCEVA
      UUHUWAUVSUUGUWAUVSUPZUUCUUFUWBUUEUWAUUFUVSECYQYRVBVCVDVDVEVGVHVIVJUVRUVLY
      SJVKVQYSCJVLVMUVMUVQUVPUVMDVNRZUVQUVPUUHUWCUUNUUCUWCUUGUUBUWCUUADHLVOVDVH
      VHCDUVNYSJMNUVNVPVRVSVTWAUVMUVPUVJYTUVPUVJSUUQUVOYQUUSTZUVCQZULZUNZGUVGUO
      ZUVMYTUVHUWHBUVOUVIUURUVOQZUVFUWGGUVGUWIUVEUWFUUQUWIUVDUWEUWIUUTUWDUVCUUR
      UVOYQUUSWBWCWDWEWFWHYRUVBWGZUVGRZUVMUWHYTUPUVMUUCUUEUUFUUIUWKUUHUUCUUNUUC
      UUGWIVHZUUCUUEUUFUUNWJUUCUUEUUFUUNWKUUNUUIUUHUUIUUMWIVDACDEFUWJHIUVOJKLMN
      OUVOVPZUWJVPZWLWMZUWKUWHUVMYTUWKUWHUVMYTUPZUWKUWHSUWJDWNPZUGUHZULZUWDUWJU
      VBUUKTZQZULZUNZUWPUWGUXCGUWJUVGUUOUWJQZUUQUWSUWFUXBUXDUUPUWRUXDUUOUWJJUWQ
      UGUXDWQJUWQQUXDNWOWPWDUXDUWEUXAUXDUVCUWTUWDUUOUWJUVBUUKWBWRWDWSWHUWSUWPUX
      BUVMUWSYTUVMUWRYTUVMYRWTUVBUWQUUNYRUWQUGUHZUUHUUMUXEUUIUUJUXEUULUUJUXEJUW
      QYRUGNXAXBVHVDVDUVMDWNXCXDXEVEUVMUXBYTUVMUXAYTUVMUWTHUAUVBUAUBZUWJPZUXFUU
      STZXFZXGTZHUAUVBUXFYRPZUXFUUSTZXFZXGTZUWDUVMUUBUWJHXHPZUDPZUVBUFTZRUVBUUD
      XIRZUWTUXJQUUHUUBUUNUUAUUBUUGXJVHUVMUWJUVGUXQUWOUXPCUVBUFCDUDPUXPMDUXOUDL
      XKXLXMXNUUHUXRUUNUUHUXRUVBUUDUEZUUGUXSUUCUUEUXSUUFEUUDUVAXOVHVDUUHUVBWTRZ
      UXRUXSXPUUCUXTUUGUUAUXTUUBEUVAIXQVHVHUVBUUDWTXRVGXTVHUAUWJHUVBUCXSYAUVMUX
      IUXMHXGUVMUAUVBUXHUXLUVMUXFUVBRZSUXGUXKUXFUUSUYAUXGUXKQUVMUXFUVBYRYHVDYBY
      CYDUVMUUCUUGUUIUUJUULYIZUXNUWDQUWLUUCUUGUUNXJUUNUYBUUHUUNUYBUYBUUNUUIUUJU
      ULYEVQXBVDAUACDEFUWJHIUVOJKLMNOUWMUWNYFYAYGXEVEYJVGVTYKYLYMYNYOYNYP $.

    $d B x $.  $d M x $.  $d R s $.  $d V f x $.  $d Z x $.
    $( Implication 2 for ~ lindslininds .  (Contributed by AV, 26-Apr-2019.)
       (Revised by AV, 30-Jul-2019.) $)
    lindslinindsimp2 $p |- ( ( S e. V /\ M e. LMod )
      -> ( ( S C_ ( Base ` M ) /\ A. s e. S A. y e. ( B \ { .0. } )
                   -. ( y ( .s ` M ) s ) e. ( ( LSpan ` M ) ` ( S \ { s } ) ) )
      -> ( S e. ~P ( Base ` M ) /\ A. f e. ( B ^m S ) ( ( f finSupp .0.
          /\ ( f ( linC ` M ) S ) = Z ) -> A. x e. S ( f ` x ) = .0. ) ) ) ) $=
      ( vg wcel wa wn wral clmod cbs cfv wss cv cvsca csn cdif clspn cpw cfsupp
      co wbr clinc wceq wi cmap simprl wb ad2antrr mpbird clinco simplr ssdifss
      elpwg wo adantl cvv difexg syl eqid lspeqlco eleq2d bicomd syl2anc notbid
      wrex lcoval eqcomi breq2i anbi1i rexbii anbi2i bitrdi ianor ralnex ralbii
      c0g bitr3i orbi2i bitri bitrd 2ralbidv wfal simpllr eldifi ssel2 lmodvscl
      ad2ant2lr syl3anc notnotd nbfal sylib orbi1d 2ralbidva r19.32v falim sneq
      difeq2d oveq2d oveq2 eqeq12d orbi2d raleqbidv rspcva lindslinindsimp2lem5
      ralbidv expr com14 ex pm2.43a imp expdimp ralrimdv ralrimiva expcom com12
      jaoi syl5bi sylbid impr jca ) EHQZGUAQZRZEGUBUCZUDZBUEZKUEZGUFUCZULZEYSUG
      ZUHZGUIUCUCZQZSZBCIUGZUHZTKETZRZEYPUJZQZFUEZIUKUMUUMEGUNUCZULJUORZAUEZUUM
      UCIUOZAETUPZFCEUQULZTZRYOUUJRZUULUUTUVAUULYQYOYQUUIURYMUULYQUSYNUUJEYPHVE
      UTVAYOYQUUIUUTYOYQRZUUIUUAYPQZSZPUEZIUKUMZSZUUAUVEUUCUUNULZUOZSZVFZPCUUCU
      QULZTZVFZBUUHTKETZUUTUVBUUFUVNKBEUUHUVBUUFUUAGUUCVBULZQZSZUVNUVBUUEUVQUVB
      YNUUCUUKQZUUEUVQUSYMYNYQVCZUVBUVSUUCYPUDZYQUWAYOEYPUUBVDVGUVBUUCVHQZUVSUW
      AUSYMUWBYNYQEUUBHVIUTUUCYPVHVEVJVAZYNUVSRZUVQUUEUWDUVPUUDUUAYPGUUCYPVKZVL
      VMVNVOVPUVBUVRUVCUVFUVIRZPUVLVQZRZSZUVNUVBUVQUWHUVBYNUVSUVQUWHUSUVTUWCUWD
      UVQUVCUVEDWHUCZUKUMZUVIRZPUVLVQZRUWHYPUUACDGUUCUAPUWELMVRUWMUWGUVCUWLUWFP
      UVLUWKUVFUVIUWJIUVEUKIUWJNVSVTWAWBWCWDVOVPUWIUVDUWGSZVFUVNUVCUWGWEUWNUVMU
      VDUWNUWFSZPUVLTUVMUWFPUVLWFUWOUVKPUVLUVFUVIWEWGWIWJWKWDWLWMUVBUVOWNUVMVFZ
      BUUHTZKETZUUTUVBUVNUWPKBEUUHUVBYSEQZYRUUHQZRZRZUVDWNUVMUXBUVDSUVDWNUSUXBU
      VCUXBYNYRCQZYSYPQZUVCYMYNYQUXAWOUXAUXCUVBUWTUXCUWSYRCUUGWPVGVGYQUWSUXDYOU
      WTEYPYSWQWSYRYTDCYPGYSUWELYTVKMWRWTXAUVDXBXCXDXEUWRWNUVMBUUHTZKETZVFZUVBU
      UTUWRWNUXEVFZKETUXGUWQUXHKEWNUVMBUUHXFWGWNUXEKEXFWKUXGUVBUUTWNUVBUUTUPZUX
      FUXIXGUVBUXFUUTUVBUXFRZUURFUUSUXJUUMUUSQZRUUOUUQAEUXJUXKUUOUUPEQZUUQUPZUV
      BUXFUXKUUORZUXMUPUXLUXFUXNUVBUUQUXFUXLUXNUVBUUQUPUPZUXLUXFUXLUXOUPZUXLUXF
      RUVGYRUUPYTULZUVEEUUPUGZUHZUUNULZUOZSZVFZPCUXSUQULZTZBUUHTZUXPUXEUYFKUUPE
      YSUUPUOZUVMUYEBUUHUYGUVKUYCPUVLUYDUYGUUCUXSCUQUYGUUBUXREYSUUPXHXIZXJUYGUV
      JUYBUVGUYGUVIUYAUYGUUAUXQUVHUXTYSUUPYRYTXKUYGUUCUXSUVEUUNUYHXJXLVPXMXNXQX
      OUVBUXLUXNUYFUUQYOYQUXLUXNUYFUUQUPUPABCDEFPGHIJLMNOXPXRXSVJXTYAXSYBYCYDYE
      YFYHYGYIYJYJYKYLXT $.
  $}

  ${
    $d M f g s x $.  $d S f g s x $.  $d V f g s x $.
    $( Equivalence of definitions ~ df-linds and ~ df-lininds for (linear)
       independence for (left) modules.  (Contributed by AV, 26-Apr-2019.)
       (Proof shortened by AV, 30-Jul-2019.) $)
    lindslininds $p |- ( ( S e. V /\ M e. LMod )
                        -> ( S linIndS M <-> S e. ( LIndS ` M ) ) ) $=
      ( vf vx vg vs wcel clmod wa cbs cfv cv c0g wbr co wceq wral csn eqid csca
      cpw cfsupp clinc wi cmap wss cvsca clspn clininds clinds lindslinindsimp1
      cdif wn lindslinindsimp2 impbid islininds wb islinds2 adantl 3bitr4d ) AC
      HZBIHZJZABKLZUBHDMZBUALZNLZUCOVFABUDLPBNLZQJEMVFLVHQEARUEDVGKLZAUFPRJZAVE
      UGFMGMZBUHLZPAVLSUMBUILZLHUNFVJVHSUMRGARJZABUJOABUKLHZVDVKVOEFVJVGADBCVHV
      IGVGTZVJTZVHTZVITZULEFVJVGADBCVHVIGVQVRVSVTUOUPEVEVGADVJBCIVHVIVETZVTVQVR
      VSUQVCVPVOURVBGVEVGVMFAVNVJBIVHWAVMTVNTVQVRVSUSUTVA $.
  $}

  ${
    $d M f x $.
    $( The empty set is always a linearly independent subset.  (Contributed by
       AV, 13-Apr-2019.)  (Revised by AV, 27-Apr-2019.)  (Proof shortened by
       AV, 30-Jul-2019.) $)
    linds0 $p |- ( M e. V -> (/) linIndS M ) $=
      ( vf vx wcel c0 wbr cbs cfv cv c0g cfsupp co wceq wa wral cvv mpbird eqid
      wi clininds cpw csca clinc cmap csn ral0 2a1i wb 0ex breq1 eqeq1d anbi12d
      oveq1 fveq1 ralbidv imbi12d ralsng mp1i c1o fvex map0e df1o2 eqtrdi 0elpw
      raleqdv jctil islininds mpan ) ABEZFAUAGZFAHIZUBEZCJZAUCIZKIZLGZVNFAUDIZM
      ZAKIZNZOZDJZVNIZVPNZDFPZTZCVOHIZFUEMZPZOZVJWJVMVJWJWGCFUFZPZVJWMFVPLGZFFV
      RMZVTNZOZWCFIZVPNZDFPZTZWTVJWQWSDUGUHFQEZWMXAUIVJUJWGXACFQVNFNZWBWQWFWTXC
      VQWNWAWPVNFVPLUKXCVSWOVTVNFFVRUNULUMXCWEWSDFXCWDWRVPWCVNFUOULUPUQURUSRVJW
      GCWIWLVJWIUTWLWHQEWIUTNVJVOHVAWHQVBUSVCVDVFRVLVEVGXBVJVKWKUIUJDVLVOFCWHAQ
      BVPVTVLSVTSVOSWHSVPSVHVIR $.
  $}

  ${
    $d M f s x y $.  $d S f s x y $.
    $( A set containing the zero element of a module is always linearly
       dependent, if the underlying ring has at least two elements.
       (Contributed by AV, 13-Apr-2019.)  (Revised by AV, 27-Apr-2019.)  (Proof
       shortened by AV, 30-Jul-2019.) $)
    el0ldep $p |- ( ( ( M e. LMod /\ 1 < ( # ` ( Base ` ( Scalar ` M ) ) ) )
               /\ S e. ~P ( Base ` M ) /\ ( 0g ` M ) e. S ) -> S linDepS M ) $=
      ( vf vx vs vy clmod wcel cfv cbs wbr w3a cv cfsupp co wceq wne wrex eqid
      wb c1 csca chash clt cpw c0g clindeps clinc cmap cur cif cmpt eqeq1 ifbid
      wa cbvmptv mptcfsupp 3adant1r simp1l simp2 linc0scn0 syl2anc simp3 neeq1d
      fveq2 adantl cvv iftrue fvmptd3 crg lmodring anim1i 3ad2ant1 ring1ne0 syl
      fvexd eqnetrd rspcedvd wf lmod1cl ifcld adantr fmpttd elmapd mpbird breq1
      lmod0cl oveq1 eqeq1d fveq1 rexbidv 3anbi123d rspcedv mp3and islindeps ) B
      GHZUABUBIZJIZUCIUDKZUOZABJIZUEZHZBUFIZAHZLZABUGKZCMZWQUFIZNKZXHABUHIZOZXD
      PZDMZXHIZXIQZDARZLZCWRAUIOZRZXFEAEMZXDPZWQUJIZXIUKZULZXINKZYEAXKOZXDPZXNY
      EIZXIQZDARZXTWPXCXEYFWSFXAWQYCYEBAXDXIXASZWQSZXISZYCSZEFAYDFMZXDPZYCXIUKY
      AYPPYBYQYCXIYAYPXDUMUNUPUQURXFWPXCYHWPWSXCXEUSZWTXCXEUTZEXAWQYCYEBAXIXDYL
      YMYNYOXDSZYESZVAVBXFYJXDYEIZXIQZDXDAWTXCXEVCZXNXDPZYJUUCTXFUUEYIUUBXIXNXD
      YEVEVDVFXFUUBYCXIXFEXDYDYCAYEVGUUAYBYCXIVHUUDXFWQUJVPVIXFWQVJHZWSUOZYCXIQ
      WTXCUUGXEWPUUFWSWQBYMVKVLVMWRWQYCXIWRSZYOYNVNVOVQVRXFXRYFYHYKLZCYEXSXFYEX
      SHAWRYEVSXFEAYDWRXFYDWRHZYAAHWTXCUUJXEWPUUJWSWPYBYCXIWRYCWQWRBYMUUHYOVTWQ
      WRBXIYMUUHYNWGWAWBVMWBWCXFWRAYEVGXBXFWQJVPYSWDWEXHYEPZXRUUITXFUUKXJYFXMYH
      XQYKXHYEXINWFUUKXLYGXDXHYEAXKWHWIUUKXPYJDAUUKXOYIXIXNXHYEWJVDWKWLVFWMWNXF
      WPXCXGXTTYRYSDXAWQACWRBGXIXDYLYTYMUUHYNWOVBWE $.
  $}

  $( A set containing the zero element of a module over a nonzero ring is
     always linearly dependent.  (Contributed by AV, 14-Apr-2019.)  (Revised by
     AV, 27-Apr-2019.) $)
  el0ldepsnzr $p |- ( ( ( M e. LMod /\ ( Scalar ` M ) e. NzRing )
               /\ S e. ~P ( Base ` M ) /\ ( 0g ` M ) e. S ) -> S linDepS M ) $=
    ( clmod wcel c1 csca cfv cbs chash clt wbr cpw cnzr c0g clindeps w3a simp1l
    wa crg eqid isnzr2hash simprbi adantl 3ad2ant1 jca el0ldep syld3an1 ) BCDZE
    BFGZHGZIGJKZRABHGLDZUHUIMDZRZBNGADZABOKUNULUOPUHUKUHUMULUOQUNULUKUOUMUKUHUM
    UISDUKUJUIUJTUAUBUCUDUEABUFUG $.

  ${
    $d B f v x $.  $d E f v x $.  $d M f v x $.  $d R f v x $.  $d S f v x $.
    lindsrng01.b $e |- B = ( Base ` M ) $.
    lindsrng01.r $e |- R = ( Scalar ` M ) $.
    lindsrng01.e $e |- E = ( Base ` R ) $.
    $( Any subset of a module is always linearly independent if the underlying
       ring has at most one element.  Since the underlying ring cannot be the
       empty set (see ~ lmodsn0 ), this means that the underlying ring has only
       one element, so it is a zero ring.  (Contributed by AV, 14-Apr-2019.)
       (Revised by AV, 27-Apr-2019.) $)
    lindsrng01 $p |- ( ( M e. LMod /\ ( ( # ` E ) = 0 \/ ( # ` E ) = 1 )
                         /\ S e. ~P B ) -> S linIndS M ) $=
      ( vf vv vx wcel cfv wceq wi wa cvv wb adantr c0g clmod chash cc0 clininds
      c1 wo cpw wbr wne lmodsn0 cbs fvexi hasheq0 ax-mp eqneqall syl5bi syl csn
      c0 com12 crg lmodring eqid 0ring sylan cv cfsupp clinc co wral cmap simpr
      adantl wf snex jctil elmapg cmpt cxp fconst2 fconstmpt eqeq2i bitri eqidd
      fvex fvexd fvmptd ralrimiva a1d breq1 oveq1 anbi12d fveq1 ralbidv imbi12d
      eqeq1d syl5ibrcom sylbid ralrimiv mpbird simpl ancomd islininds mpbir2and
      raleqdv mpancom expcom jaoi expd 3imp ) EUALZDUBMZUCNZXLUENZUFZCAUGZLZCEU
      DUHZXOXKXQXROXOXKXQXRXMXKXQPZXROXNXSXMXRXKXMXROZXQXKDUSUIZXTDBEGHUJXMDUSN
      ZYAXRDQLXMYBRDBUKHULDQUMUNYBYAXRXRDUSUOUTUPUQSUTXSXNXRDBTMZURZNZXSXNPZXRX
      SBVALZXNYEXKYGXQBEGVBSDBYCHYCVCZVDVEYEYFPZXRXQIVFZYCVGUHZYJCEVHMZVIZETMZN
      ZPZJVFZYJMZYCNZJCVJZOZIDCVKVIZVJZYFXQYEXSXQXNXKXQVLSZVMYIUUCUUAIYDCVKVIZV
      JZYIUUAIUUEYIYJUUELZCYDYJVNZUUAYIYDQLZXQPZUUGUUHRYFUUJYEYFXQUUIUUDYCVOVPV
      MYDCYJQXPVQUQUUHYJKCYCVRZNZYIUUAUUHYJCYDVSZNUULCYCYJBTWEVTUUMUUKYJKCYCWAW
      BWCYIUUAUULUUKYCVGUHZUUKCYLVIZYNNZPZYQUUKMZYCNZJCVJZOYIUUTUUQYIUUSJCYIYQC
      LZPZKYQYCYCCUUKQUVBUUKWDUVBKVFYQNPYCWDYIUVAVLUVBBTWFWGWHWIUULYPUUQYTUUTUU
      LYKUUNYOUUPYJUUKYCVGWJUULYMUUOYNYJUUKCYLWKWPWLUULYSUUSJCUULYRUURYCYQYJUUK
      WMWPWNWOWQUPWRWSYEUUCUUFRYFYEUUAIUUBUUEDYDCVKWKXESWTYIXQXKPZXRXQUUCPRYFUV
      CYEYFXKXQXSXNXAXBVMJABCIDEXPUAYCYNFYNVCGHYHXCUQXDXFXGXHXIUTXJ $.
  $}

  $( Any subset of a module over a zero ring is always linearly independent.
     (Contributed by AV, 27-Apr-2019.) $)
  lindszr $p |- ( ( M e. LMod /\ -. ( Scalar ` M ) e. NzRing
                    /\ S e. ~P ( Base ` M ) ) -> S linIndS M ) $=
    ( clmod wcel csca cfv cbs chash cc0 wceq c1 wo cnzr wn cpw clininds wbr w3a
    simp2 eqid crg wb lmodring 3ad2ant1 0ringnnzr syl olcd lindsrng01 syld3an2
    mpbird ) BCDZBEFZGFZHFZIJZUNKJZLULMDNZABGFZODZABPQUKUQUSRZUPUOUTUPUQUKUQUSS
    UTULUADZUPUQUBUKUQVAUSULBULTZUCUDULUEUFUJUGURULAUMBURTVBUMTUHUI $.

  ${
    $d B f s $.  $d M f s x y $.  $d S f s $.  $d X f s x y $.  $d Z f s $.
    $d .x. f s $.  $d .0. f s $.
    snlindsntor.b $e |- B = ( Base ` M ) $.
    snlindsntor.r $e |- R = ( Scalar ` M ) $.
    snlindsntor.s $e |- S = ( Base ` R ) $.
    snlindsntor.0 $e |- .0. = ( 0g ` R ) $.
    snlindsntor.z $e |- Z = ( 0g ` M ) $.
    snlindsntor.t $e |- .x. = ( .s ` M ) $.
    $( Lemma for ~ snlindsntor .  (Contributed by AV, 15-Apr-2019.) $)
    snlindsntorlem $p |- ( ( M e. LMod /\ X e. B )
                     -> ( A. f e. ( S ^m { X } ) ( ( f ( linC ` M ) { X } ) = Z
                                                   -> ( f ` X ) = .0. )
                          -> A. s e. S ( ( s .x. X ) = Z -> s = .0. ) ) ) $=
      ( wcel co wceq cvv clmod wa cv csn clinc cfv wi cmap wral cop wf eqidd wb
      fsng adantll mpbird snssi adantl fssd fvexi snex pm3.2i elmapg mp1i oveq1
      wss cbs eqeq1d fveq1 imbi12d lincvalsng 3expa sylan9bbr rspcdv ralrimdva
      fvsng ) FUAQZGAQZUBZEUCZGUDZFUEUFZRZISZGVTUFZHSZUGZECWAUHRZUIJUCZGDRZISZW
      IHSZUGZJCVSWICQZUBZWGWMEGWIUJUDZWHWOWPWHQZWACWPUKZWOWAWIUDZCWPWOWAWSWPUKZ
      WPWPSZWOWPULVRWNWTXAUMVQGWIACWPUNUOUPWNWSCVFVSWICUQURUSCTQZWATQZUBWQWRUMW
      OXBXCCBVGMUTGVAVBCWAWPTTVCVDUPVTWPSZWGWPWAWBRZISZGWPUFZHSZUGWOWMXDWDXFWFX
      HXDWCXEIVTWPWAWBVEVHXDWEXGHGVTWPVIVHVJWOXFWKXHWLWOXEWJIVQVRWNXEWJSACBDFGW
      IKLMPVKVLVHWOXGWIHVRWNXGWISVQGWIACVPUOVHVJVMVNVO $.

    $d B x $.  $d .0. y $.
    $( A singleton is linearly independent iff it does not contain a torsion
       element.  According to Wikipedia ("Torsion (algebra)", 15-Apr-2019,
       ~ https://en.wikipedia.org/wiki/Torsion_(algebra) ):  "An element m of a
       module M over a ring R is called a _torsion element_ of the module if
       there exists a regular element r of the ring (an element that is neither
       a left nor a right zero divisor) that annihilates m, i.e.,
       ` ( r .x. m ) = 0 ` .  In an integral domain (a commutative ring without
       zero divisors), every nonzero element is regular, so a torsion element
       of a module over an integral domain is one annihilated by a nonzero
       element of the integral domain."  Analogously, the definition in [Lang]
       p. 147 states that "An element x of [a module] E [over a ring R] is
       called a _torsion element_ if there exists ` a e. R ` , ` a =/= 0 ` ,
       such that ` a .x. x = 0 ` .  This definition includes the zero element
       of the module.  Some authors, however, exclude the zero element from the
       definition of torsion elements.  (Contributed by AV, 14-Apr-2019.)
       (Revised by AV, 27-Apr-2019.) $)
    snlindsntor $p |- ( ( M e. LMod /\ X e. B )
                          -> ( A. s e. ( S \ { .0. } ) ( s .x. X ) =/= Z
                               <-> { X } linIndS M ) ) $=
      ( vf wcel wa wceq wi vy vx clmod cv co wne csn cdif wral cpw cfsupp clinc
      wbr cfv cmap clininds wn df-ne ralbii raldifsni bitri cvsca cmpt cgsu cbs
      csca simpl adantr fveq2i eqtri oveq1i eleq2i biimpi adantl snelpwi eleq2s
      ad3antlr lincval syl3anc eqeq1d cmnd lmodgrp grpmndd ad3antrrr simpllr wf
      anbi2d elmapi snidg ffvelrn sylan2 simprlr lmodvscl expcom syl5com impcom
      eqid fveq2 oveq12d gsumsn oveqi eqeq1i oveq1 eqeq1 imbi12d rspcva syl5bir
      id syl56 com23 imp31 sylbid adantld ralrimiva impexp cvv cfn snfi a1i c0g
      ex fvexi fdmfifsupp pm2.27 syl syl5bi ralimdva snlindsntorlem syld impbid
      wb fveqeq2 ralsng bicomd imbi2d ralbidv biantrurd 3bitrd syl5bb snex
      islininds sylancr bitr4d ) EUCQZFAQZRZIUDZFDUEZHUFZICGUGUHZUIZFUGZAUJQZPU
      DZGUKUMZUUNUULEULUNUEZHSZRZUAUDZUUNUNGSZUAUULUIZTZPCUULUOUEZUIZRZUULEUPUM
      ZUUKUUHHSZUUGGSZTZICUIZUUFUVEUUKUVGUQZIUUJUIUVJUUIUVKIUUJUUHHURUSUVGICGUT
      VAUUFUVJUURFUUNUNZGSZTZPUVCUIZUVDUVEUUFUVJUVOUUFUVJUVOUUFUVJRZUVNPUVCUVPU
      UNUVCQZRZUURUUOEUBUULUBUDZUUNUNZUVSEVBUNZUEZVCVDUEZHSZRUVMUVRUUQUWDUUOUVR
      UUPUWCHUVRUUDUUNEVFUNZVEUNZUULUOUEZQZUULEVEUNZUJQZUUPUWCSUVPUUDUVQUUFUUDU
      VJUUDUUEVGZVHZVHUVQUWHUVPUVQUWHUVCUWGUUNCUWFUULUOCBVEUNUWFLBUWEVEKVIVJVKV
      LVMVNUUEUWJUUDUVJUVQUWJFUWIAFUWIVOJVPVQUBUUNEUULUCVRVSVTWGUVRUWDUVMUUOUVR
      UWDUVLFUWAUEZHSZUVMUVRUWCUWMHUVREWAQZUUEUWMAQZUWCUWMSUUDUWOUUEUVJUVQUUDEE
      WBWCWDUUDUUEUVJUVQWEUVQUVPUWPUVQUULCUUNWFZUVPUWPUUNCUULWHZUWQUVPUWPUWQUVP
      RUUDUVLCQZUUEUWPUVPUUDUWQUWLVNUVPUWQFUULQZUWSUUFUWTUVJUUEUWTUUDFAWIZVNVHU
      ULCFUUNWJZWKUWQUUDUUEUVJWLUVLUWABCAEFJKUWAWQLWMVSWNWOWPUWBAUWMUBEFAJUVSFS
      ZUVTUVLUVSFUWAUVSFUUNWRUXCXHWSWTVSVTUUFUVJUVQUWNUVMTZUUFUVQUVJUXDUVQUWQUU
      FUWSUVJUXDTUWRUUEUWQUWSTUUDUWQUUEUWSUUEUWQUWTUWSUXAUXBWKWNVNUWSUVJUXDUWNU
      VLFDUEZHSZUWSUVJRUVMUXEUWMHDUWAUVLFOXAXBUVIUXFUVMTIUVLCUUGUVLSZUVGUXFUVHU
      VMUXGUUHUXEHUUGUVLFDXCVTUUGUVLGXDXEXFXGYAXIXJXKXLXMXLXNYAUUFUVOUUQUVMTZPU
      VCUIUVJUUFUVNUXHPUVCUVNUUOUXHTZUUFUVQRZUXHUUOUUQUVMXOUXJUUOUXIUXHTUXJUULC
      UUNXPGUVQUWQUUFUWRVNUULXQQUXJFXRXSGXPQUXJGBXTMYBXSYCUUOUXHYDYEYFYGABCDPEF
      GHIJKLMNOYHYIYJUUFUVNUVBPUVCUUFUVMUVAUURUUFUVAUVMUUEUVAUVMYKUUDUUTUVMUAFA
      UUSFGUUNYLYMVNYNYOYPUUFUUMUVDUUEUUMUUDFAVOVNYQYRYSUUFUULXPQUUDUVFUVEYKFYT
      UWKUAABUULPCEXPUCGHJNKLMUUAUUBUUC $.

    ${
      ldepsprlem.1 $e |- .1. = ( 1r ` R ) $.
      ldepsprlem.n $e |- N = ( invg ` R ) $.
      $( Lemma for ~ ldepspr .  (Contributed by AV, 16-Apr-2019.) $)
      ldepsprlem $p |- ( ( M e. LMod /\ ( X e. B /\ Y e. B /\ A e. S ) )
                          -> ( X = ( A .x. Y )
                 -> ( ( .1. .x. X ) ( +g ` M ) ( ( N ` A ) .x. Y ) ) = Z ) ) $=
        ( clmod wcel w3a wa co wceq cfv cplusg oveq2 oveq1d cmulr simpl lmod1cl
        adantr simpr3 simpr2 eqid lmodvsass syl13anc eqcomd crg lmodring syl2an
        simp3 ringlidm cgrp lmodfgrp grpinvcl lmodvsdir grprinv 3ad2antr2 eqtrd
        lmod0vs 3eqtr2d sylan9eqr ex ) GUAUBZIBUBZJBUBZADUBZUCZUDZIAJEUEZUFZFIE
        UEZAHUGZJEUEZGUHUGZUEZLUFWDWBWIFWCEUEZWGWHUEZLWDWEWJWGWHIWCFEUIUJWBWKFA
        CUKUGZUEZJEUEZWGWHUEZLWBWJWNWGWHWBWNWJWBVQFDUBZVTVSWNWJUFVQWAULZVQWPWAF
        CDGNOSUMUNVQVRVSVTUOZVQVRVSVTUPZFAEWLCDBGJMNROWLUQZURUSUTUJWBWOWCWGWHUE
        ZAWFCUHUGZUEZJEUEZLWBWNWCWGWHWBWMAJEVQCVAUBVTWMAUFWACGNVBVRVSVTVDZDCWLF
        AOWTSVEVCUJUJWBVQVTWFDUBZVSXDXAUFWQWRVQCVFUBZVTXFWACGNVGZXEDCHAOTVHVCWS
        WHXBAWFECDBGJMWHUQNROXBUQZVIUSWBXDKJEUEZLWBXCKJEVQXGVTXCKUFWAXHXEDXBCHA
        KOXIPTVJVCUJVQVRVSXJLUFVTECKBGJLMNRPQVMVKVLVNVLVOVP $.
    $}

    $d A f v $.  $d M v $.  $d R f v $.  $d X v $.  $d Y f v $.  $d .0. v $.
    $( If a vector is a scalar multiple of another vector, the (unordered pair
       containing the) two vectors are linearly dependent.  (Contributed by AV,
       16-Apr-2019.)  (Revised by AV, 27-Apr-2019.)  (Proof shortened by AV,
       30-Jul-2019.) $)
    ldepspr $p |- ( ( M e. LMod /\ ( X e. B /\ Y e. B /\ X =/= Y ) )
                     -> ( ( A e. S /\ X = ( A .x. Y ) )
                          -> { X , Y } linDepS M ) ) $=
      ( wcel wa wceq wi vf vv clmod wne w3a co cpr clindeps wbr cv cfsupp clinc
      cfv wrex cmap cur cop cminusg cvv wf 3simpa ad2antlr fvex pm3.2i a1i fprg
      simp3 syl3anc cfn prfi fvexi fdmfifsupp cplusg anim2i adantr eqid lmod1cl
      c0g simp1 anim12ci simp2 cgrp lmodfgrp simpl grpinvcl lincvalpr syl112anc
      syl2an simpll adantl 3jca jca simprr ldepsprlem sylc eqtrd wo wn lmodring
      crg eqcom csn 01eq0ring sneq eqeq2d eleq2 elsni anim1i ancomd lmodvs1 syl
      oveq1 eqneqall com12 3ad2ant3 sylbid ex com3r syl6bi impd com23 mpd com25
      syl5bi mpcom imp31 pm2.61d1 eqeq2i necon3abii orbi1i sylibr fvpr1g neeq1d
      orc fvexd fvpr2g orbi12d mpbird wb fveq2 rexprg cbs jctir syl221anc breq1
      mapprop eqeq1d fveq1 rexbidv 3anbi123d rspcedv mp3and cpw prelpwi 3adant3
      islindeps syl2anc ) FUCQZGBQZHBQZGHUDZUEZRZADQZGAHEUFZSZRZGHUGZFUHUIZUVCU
      VGRZUVIUAUJZIUKUIZUVKUVHFULUMZUFZJSZUBUJZUVKUMZIUDZUBUVHUNZUEZUADUVHUOUFZ
      UNZUVJGCUPUMZUQHACURUMZUMZUQUGZIUKUIZUWFUVHUVMUFZJSZUVPUWFUMZIUDZUBUVHUNZ
      UWBUVJUVHUWCUWEUGZUWFUSIUVJUUSUUTRZUWCUSQZUWEUSQZRZUVAUVHUWMUWFUTUVBUWNUU
      RUVGUUSUUTUVAVAVBZUWQUVJUWOUWPCUPVCAUWDVCVDVEUVBUVAUURUVGUUSUUTUVAVGZVBZG
      HUWCUWEBBUSUSVFVHUVHVIQUVJGHVJVEIUSQUVJICVRNVKVEVLUVJUWHUWCGEUFUWEHEUFFVM
      UMZUFZJUVJUURUVARZUUSUWCDQZRZUUTUWEDQZUWHUXBSUVCUXCUVGUVBUVAUURUWSVNVOUVC
      UXEUVGUURUXDUVBUUSUWCCDFLMUWCVPZVQZUUSUUTUVAVSZVTVOUVBUUTUURUVGUUSUUTUVAW
      AZVBZUVCCWBQZUVDUXFUVGUURUXLUVBCFLWCVOUVDUVFWDZDCUWDAMUWDVPZWEWHZBUXADCEU
      WFFGHUWCUWEKLMPUXAVPUWFVPZWFWGUVJUURUUSUUTUVDUEZRUVFUXBJSUVJUURUXQUURUVBU
      VGWIZUVJUUSUUTUVDUVBUUSUURUVGUXIVBZUXKUVGUVDUVCUXMWJWKWLUVCUVDUVFWMABCDEU
      WCFUWDGHIJKLMNOPUXGUXNWNWOWPUVJUWLGUWFUMZIUDZHUWFUMZIUDZWQZUVJUYDUWCIUDZU
      WEIUDZWQZUVJUWCCVRUMZSZWRZUYFWQZUYGUVJUYIUYKUURUVBUVGUYIUYKTZCWTQZUURUVBU
      VGUYLTTCFLWSUYMUYIUVBUVGUURUYKUYIUYHUWCSZUYMUVBUVGUURUYKTZTTZUWCUYHXAUYMU
      YNUYPUYMUYNRDUYHXBZSZUYPDCUWCUYHMUYHVPUXGXCUYNUYRUYPTUYMUYNUYRDUWCXBZSZUY
      PUYNUYQUYSDUYHUWCXDXEUYTUVGUVBUYOUYTUVDUVFUVBUYOTZUYTUVDAUYSQZUVFVUATZDUY
      SAXFVUBAUWCSZVUCAUWCXGVUDUVFGUWCHEUFZSZVUAVUDUVEVUEGAUWCHEXLXEUVBUURVUFUY
      KUVBUURVUFUYKTUVBUURRZVUFGHSZUYKVUGVUEHGVUGUURUUTRVUEHSVUGUUTUURUVBUUTUUR
      UXJXHXIEUWCCBFHKLPUXGXJXKXEUVBVUHUYKTZUURUVAUUSVUIUUTVUHUVAUYKUYKGHXMXNXO
      VOXPXQXRXSXKXSXTYAXSWJYBXQYDYCYEYFUYJUYFYNYGUYEUYJUYFUYIUWCIIUYHUWCNYHYIY
      JYKUVJUYAUYEUYCUYFUVJUXTUWCIUVJUUSUWOUVAUXTUWCSUXSUVJCUPYOUWTGHUWCUWEBUSY
      LVHYMUVJUYBUWEIUVJUUTUWPUVAUYBUWESUXKUVJAUWDYOUWTGHUWCUWEBUSYPVHYMYQYRUVJ
      UWNUWLUYDYSUWRUWKUYAUYCUBGHBBUVPGSUWJUXTIUVPGUWFYTYMUVPHSUWJUYBIUVPHUWFYT
      YMUUAXKYRUVJUVTUWGUWIUWLUEZUAUWFUWAUVJUUSUXDUUTUXFUVADUSQZRUWFUWAQUXSUVCU
      XDUVGUURUXDUVBUXHVOVOUXKUXOUVJUVAVUKUWTDCUUBMVKUUCUWCUWEDUWFBUSGHUXPUUFUU
      DUVKUWFSZUVTVUJYSUVJVULUVLUWGUVOUWIUVSUWLUVKUWFIUKUUEVULUVNUWHJUVKUWFUVHU
      VMXLUUGVULUVRUWKUBUVHVULUVQUWJIUVPUVKUWFUUHYMUUIUUJWJUUKUULUVJUURUVHBUUMQ
      ZUVIUWBYSUXRUVBVUMUURUVGUUSUUTVUMUVAGHBUUNUUOVBUBBCUVHUADFUCIJKOLMNUUPUUQ
      YRXQ $.
  $}

  ${
    lincresunit3lem3.b $e |- B = ( Base ` M ) $.
    lincresunit3lem3.r $e |- R = ( Scalar ` M ) $.
    lincresunit3lem3.e $e |- E = ( Base ` R ) $.
    lincresunit3lem3.u $e |- U = ( Unit ` R ) $.
    lincresunit3lem3.n $e |- N = ( invg ` R ) $.
    lincresunit3lem3.t $e |- .x. = ( .s ` M ) $.
    $( Lemma 3 for ~ lincresunit3 .  (Contributed by AV, 18-May-2019.) $)
    lincresunit3lem3 $p |- ( ( ( M e. LMod /\ X e. B /\ Y e. B ) /\ A e. U )
                -> ( ( ( N ` A ) .x. X ) = ( ( N ` A ) .x. Y ) <-> X = Y ) ) $=
      ( wcel co wceq adantr clmod w3a wa cfv cinvr cmulr cur 3simpa lmodvs1 syl
      eqid crg lmodring 3ad2ant1 unitnegcl 3ad2antl1 jca unitlinv eqcomd oveq1d
      sylan eqtr3d simpl1 ringinvcl cgrp lmodfgrp unitcl grpinvcl syl2an simpl2
      3jca lmodvsass oveq2 adantl simpl3 3eqtrd 3simpb ex impbid1 ) GUAQZIBQZJB
      QZUBZAEQZUCZAHUDZIDRZWFJDRZSZIJSZWEWIWJWEWIUCZIWFCUEUDZUDZWFCUFUDZRZIDRZC
      UGUDZJDRZJWEIWPSWIWEWQIDRZIWPWEVTWAUCZWSISWCWTWDVTWAWBUHTDWQCBGIKLPWQUKZU
      IUJWEWQWOIDWEWOWQWECULQZWFEQZUCZWOWQSZWEXBXCWCXBWDVTWAXBWBCGLUMZUNTVTWAWD
      XCWBVTXBWDXCXFCEHANOUOVAUPUQZCWNEWQWLWFNWLUKZWNUKZXAURZUJUSUTVBTWKWPWMWGD
      RZWMWHDRZWRWKVTWMFQZWFFQZWAUBZUCZWPXKSWEXPWIWEVTXOVTWAWBWDVCZWEXMXNWAWEXD
      XMXGFCEWLWFNXHMVDUJZWCCVEQZAFQXNWDVTWAXSWBCGLVFUNFCEAMNVGFCHAMOVHVIZVTWAW
      BWDVJVKUQTWMWFDWNCFBGIKLPMXIVLUJWIXKXLSWEWGWHWMDVMVNWKWOJDRZXLWRWKVTXMXNW
      BUBZUCYAXLSWKVTYBWEVTWIXQTWEYBWIWEXMXNWBXRXTVTWAWBWDVOVKTUQWMWFDWNCFBGJKL
      PMXIVLUJWKWOWQJDWKXDXEWEXDWIXGTXJUJUTVBVPWKVTWBUCZWRJSWEYCWIWCYCWDVTWAWBV
      QTTDWQCBGJKLPXAUIUJVPVRIJWFDVMVS $.
  $}

  ${
    lincresunit.b $e |- B = ( Base ` M ) $.
    lincresunit.r $e |- R = ( Scalar ` M ) $.
    lincresunit.e $e |- E = ( Base ` R ) $.
    lincresunit.u $e |- U = ( Unit ` R ) $.
    lincresunit.0 $e |- .0. = ( 0g ` R ) $.
    lincresunit.z $e |- Z = ( 0g ` M ) $.
    lincresunit.n $e |- N = ( invg ` R ) $.
    lincresunit.i $e |- I = ( invr ` R ) $.
    lincresunit.t $e |- .x. = ( .r ` R ) $.
    lincresunit.g $e |- G = ( s e. ( S \ { X } )
        |-> ( ( I ` ( N ` ( F ` X ) ) ) .x. ( F ` s ) ) ) $.
    $( Lemma 1 for properties of a specially modified restriction of a linear
       combination containing a unit as scalar.  (Contributed by AV,
       18-May-2019.) $)
    lincresunitlem1 $p |- ( ( ( S e. ~P B /\ M e. LMod /\ X e. S )
                              /\ ( F e. ( E ^m S ) /\ ( F ` X ) e. U ) )
                            -> ( I ` ( N ` ( F ` X ) ) ) e. E ) $=
      ( cpw wcel clmod w3a cmap co cfv wa crg lmodring 3ad2ant2 simpr unitnegcl
      adantr syl2an ringinvcl syl2anc ) CAUFUGZJUHUGZLCUGZUIZGFCUJUKUGZLGULZEUG
      ZUMZUMBUNUGZVHKULZEUGZVLIULFUGVFVKVJVDVCVKVEBJQUOUPZUSVFVKVIVMVJVNVGVIUQB
      EKVHSUBURUTFBEIVLSUCRVAVB $.

    $( Lemma for properties of a specially modified restriction of a linear
       combination containing a unit as scalar.  (Contributed by AV,
       18-May-2019.) $)
    lincresunitlem2 $p |- ( ( ( ( S e. ~P B /\ M e. LMod /\ X e. S )
                      /\ ( F e. ( E ^m S ) /\ ( F ` X ) e. U ) ) /\ Y e. S )
                       -> ( ( I ` ( N ` ( F ` X ) ) ) .x. ( F ` Y ) ) e. E ) $=
      ( cpw wcel clmod w3a cmap co cfv wa crg lmodring 3ad2ant2 lincresunitlem1
      adantr wi wf elmapi ffvelrn ex syl ad2antrl imp ringcl syl3anc ) CAUGUHZJ
      UIUHZLCUHZUJZGFCUKULUHZLGUMZEUHZUNZUNZMCUHZUNBUOUHZVOKUMIUMZFUHZMGUMZFUHZ
      WAWCDULFUHVRVTVSVMVTVQVKVJVTVLBJRUPUQUSUSVRWBVSABCDEFGHIJKLNOPQRSTUAUBUCU
      DUEUFURUSVRVSWDVNVSWDUTZVMVPVNCFGVAZWEGFCVBWFVSWDCFMGVCVDVEVFVGFBDWAWCSUE
      VHVI $.

    $d B s $.  $d E s $.  $d F s $.  $d M s $.  $d S s $.  $d X s $.  $d U s $.
    $( Property 1 of a specially modified restriction of a linear combination
       containing a unit as scalar.  (Contributed by AV, 18-May-2019.) $)
    lincresunit1 $p |- ( ( ( S e. ~P B /\ M e. LMod /\ X e. S )
                           /\ ( F e. ( E ^m S ) /\ ( F ` X ) e. U ) )
                         -> G e. ( E ^m ( S \ { X } ) ) ) $=
      ( cpw wcel clmod w3a cmap co cfv wa csn cdif cv wf eldifi lincresunitlem2
      cmpt sylan2 fmpttd cvv wb cbs fvexi difexg 3ad2ant1 adantr elmapg sylancr
      mpbird eqeltrid ) CAUFZUGZJUHUGZLCUGZUIZGFCUJUKUGLGULZEUGUMZUMZHOCLUNZUOZ
      VSKULIULOUPZGULDUKZUTZFWCUJUKZUEWAWFWGUGZWCFWFUQZWAOWCWEFWDWCUGWAWDCUGWEF
      UGWDCWBURABCDEFGHIJKLWDMNOPQRSTUAUBUCUDUEUSVAVBWAFVCUGWCVCUGZWHWIVDFBVERV
      FVRWJVTVOVPWJVQCWBVNVGVHVIFWCWFVCVCVJVKVLVM $.

    $d I s $.  $d N s $.  $d .x. s $.
    ${
      $d B x $.  $d E x $.  $d F x $.  $d G x $.  $d M x $.  $d N x $.
      $d S x $.  $d U x $.  $d X x $.  $d .0. s x $.
      $( Property 2 of a specially modified restriction of a linear combination
         containing a unit as scalar.  (Contributed by AV, 18-May-2019.) $)
      lincresunit2 $p |- ( ( ( S e. ~P B /\ M e. LMod /\ X e. S )
                    /\ ( F e. ( E ^m S ) /\ ( F ` X ) e. U /\ F finSupp .0. ) )
                           -> G finSupp .0. ) $=
        ( vx cmap co wcel cfv cfsupp wbr w3a cpw clmod wi wa cvv wfun csupp cfn
        wss csn cdif difexg 3ad2ant1 adantl adantr cmpt mptexg eqeltrid funmpt2
        cv syl a1i c0g fvexi simpr fsuppimpd wfn wceq wral simplr simpll eldifi
        lincresunitlem2 syl21anc ralrimiva fnmpt elmapfn jca difssd simpr1 3jca
        fveq2 oveq2d simpllr oveq2 crg lmodring 3ad2ant2 lincresunitlem1 ancoms
        fvmptd3 ringrz syl2anc sylan9eqr ex suppfnss imp suppssfifsupp syl32anc
        eqtrd com23 3impia impcom ) GFCUGUHUIZLGUJZEUIZGMUKULZUMCAUNZUIZJUOUIZL
        CUIZUMZHMUKULZXQXSXTYEYFUPXQXSUQZYEXTYFYGYEXTYFUPYGYEUQZXTYFYHXTUQZHURU
        IZHUSZMURUIZGMUTUHZVAUIHMUTUHYMVBZYFYICLVCZVDZURUIZYJYHYQXTYEYQYGYBYCYQ
        YDCYOYAVEVFVGVHYQHOYPXRKUJIUJZOVMZGUJZDUHZVIURUEOYPUUAURVJVKVNYKYIOYPUU
        AHUEVLVOYLYIMBVPTVQZVOYIGMYHXTVRVSYHYNXTYHHYPVTZGCVTZUQZYPCVBZYBYLUMZUF
        VMZGUJZMWAZUUHHUJZMWAZUPZUFYPWBZYNYHUUCUUDYHUUAFUIZOYPWBUUCYHUUOOYPYHYS
        YPUIZUQYEYGYSCUIZUUOYGYEUUPWCYGYEUUPWDUUPUUQYHYSCYOWEVGABCDEFGHIJKLYSMN
        OPQRSTUAUBUCUDUEWFWGWHOYPUUAHFUEWIVNYGUUDYEXQUUDXSGFCWJVHVHWKYHUUFYBYLY
        HCYOWLYGYBYCYDWMYLYHUUBVOWNYHUUMUFYPYHUUHYPUIZUQZUUJUULUUSUUJUQZUUKYRUU
        IDUHZMUUTOUUHUUAUVAYPHFUEYSUUHWAYTUUIYRDYSUUHGWOWPYHUURUUJWCUUTYEYGUUHC
        UIZUVAFUIYGYEUURUUJWQUUSYGUUJYGYEUURWDVHUUSUVBUUJUURUVBYHUUHCYOWEVGVHAB
        CDEFGHIJKLUUHMNOPQRSTUAUBUCUDUEWFWGXDUUJUUSUVAYRMDUHZMUUIMYRDWRYHUVCMWA
        ZUURYHBWSUIZYRFUIZUVDYEUVEYGYCYBUVEYDBJQWTXAVGYEYGUVFABCDEFGHIJKLMNOPQR
        STUAUBUCUDUEXBXCFBDYRMRUDTXEXFVHXGXMXHWHUUEUUGUQUUNYNUFYPCHGYAURMXIXJWG
        VHYMHURURMXKXLXHXHXNXOXP $.
    $}

    $d s z $.
    $( Lemma 1 for ~ lincresunit3 .  (Contributed by AV, 17-May-2019.) $)
    lincresunit3lem1 $p |- ( ( ( S e. ~P B /\ M e. LMod /\ X e. S )
               /\ ( F e. ( E ^m S ) /\ ( F ` X ) e. U /\ z e. ( S \ { X } ) ) )
                 -> ( ( N ` ( F ` X ) ) ( .s ` M ) ( ( G ` z ) ( .s ` M ) z ) )
                    = ( ( F ` z ) ( .s ` M ) z ) ) $=
      ( cpw wcel clmod w3a cmap co cfv cv csn cdif wa cvsca fveq2 oveq2d simpr3
      cvv weq ovexd fvmptd3 oveq1d wceq simp2 adantr lmodfgrp 3ad2ant2 grpinvcl
      cgrp unitcl syl2an 3simpa anim2i eldifi adantl lincresunitlem2 syl2anc wi
      3ad2ant3 elpwi sseld syl5com com12 3ad2ant1 imp lmodvsass eqcomd syl13anc
      eqid crg lmodring wf elmapi ffvelrn 3adant2 invginvrid syl3anc 3eqtrd ) D
      BUGUHZKUIUHZMDUHZUJZHGDUKULUHZMHUMZFUHZAUNZDMUOZUPZUHZUJZUQZXHLUMZXJIUMZX
      JKURUMZULZXRULXPXPJUMZXJHUMZEULZXJXRULZXRULZXPYBEULZXJXRULZYAXJXRULXOXSYC
      XPXRXOXQYBXJXRXOPXJXTPUNZHUMZEULYBXLIVBUFPAVCYHYAXTEYGXJHUSUTXFXGXIXMVAXO
      XTYAEVDVEVFUTXOXDXPGUHZYBGUHZXJBUHZYDYFVGXFXDXNXCXDXEVHVIXFCVMUHZXHGUHZYI
      XNXDXCYLXECKRVJVKXIXGYMXMGCFXHSTVNVKGCLXHSUCVLVOXOXFXGXIUQZUQXJDUHZYJXNYN
      XFXGXIXMVPVQXNYOXFXMXGYOXIXJDXKVRZWCVSBCDEFGHIJKLMXJNOPQRSTUAUBUCUDUEUFVT
      WAXFXNYKXCXDXNYKWBXEXNXCYKXMXGXCYKWBXIXMYOXCYKYPXCDBXJDBWDWEWFWCWGWHWIXDY
      IYJYKUJUQYFYDXPYBXRECGBKXJQRXRWMSUEWJWKWLXOYEYAXJXRXOCWNUHZYAGUHZXIYEYAVG
      XFYQXNXDXCYQXECKRWOVKVIXNYRXFXGXMYRXIXGDGHWPYOYRXMHGDWQYPDGXJHWRVOWSVSXNX
      IXFXGXIXMVHVSGCEFJLYAXHSTUCUDUEWTXAVFXB $.

    $d B z $.  $d E z $.  $d F z $.  $d G z $.  $d M z $.  $d N z $.  $d R z $.
    $d S z $.  $d U z $.  $d X z $.  $d Z z $.  $d .0. s z $.
    $( Lemma 2 for ~ lincresunit3 .  (Contributed by AV, 18-May-2019.)  (Proof
       shortened by AV, 30-Jul-2019.) $)
    lincresunit3lem2 $p |- ( ( ( S e. ~P B /\ M e. LMod /\ X e. S )
                    /\ ( F e. ( E ^m S ) /\ ( F ` X ) e. U /\ F finSupp .0. ) )
        -> ( ( N ` ( F ` X ) ) ( .s ` M )
             ( M gsum ( z e. ( S \ { X } ) |-> ( ( G ` z ) ( .s ` M ) z ) ) ) )
             = ( ( F |` ( S \ { X } ) ) ( linC ` M ) ( S \ { X } ) ) ) $=
      ( cpw wcel clmod w3a cmap co cfv cfsupp wbr wa cdif cres clinc cvsca cmpt
      csn cv cgsu csca cbs wceq simpl2 wss fveq2i oveq1i eleq2i biimpi 3ad2ant1
      eqtri adantl difssd elmapssres syl2anc elpwi ssdifssd cvv wb difexg elpwg
      syl mpbird eleq2s adantr lincval syl3anc simplr1 simplr2 lincresunit3lem1
      pweqi simpll simpr fvres eqcomd oveq1d eqtrd mpteq2dva oveq2d cplusg eqid
      syl13anc cgrp lmodfgrp 3ad2ant2 wf elmapi ffvelrn expcom 3ad2ant3 syl5com
      wi impcom grpinvcl 3ad2antr1 lincresunit1 3adantr3 ex imp eldifi lmodvscl
      ssel2 c0g jca lincresunit2 breqtrdi scmfsupp breqtrrdi gsumvsmul 3eqtr2rd
      3syl simp2 ) DBUGZUHZKUIUHZMDUHZUJZHGDUKULZUHZMHUMZFUHZHNUNUOZUJZUPZHDMVB
      ZUQZURZUUJKUSUMULZKAUUJAVCZUUKUMZUUMKUTUMZULZVAZVDULZKAUUJUUDLUMZUUMIUMZU
      UMUUOULZUUOULZVAZVDULUUSKAUUJUVAVAZVDULUUOULUUHYSUUKKVEUMZVFUMZUUJUKULUHZ
      UUJKVFUMZUGZUHZUULUURVGYRYSYTUUGVHZUUHHUVFDUKULZUHZUUJDVIUVGUUGUVMUUAUUCU
      UEUVMUUFUUCUVMUUBUVLHGUVFDUKGCVFUMUVFSCUVEVFRVJVOVKVLVMVNVPUUHDUUIVQHUVFD
      UUJVRVSUUAUVJUUGYRYSUVJYTUVJDUVIYQDUVIUHZUVJUUJUVHVIZUVNDUVHUUIDUVHVTWAUV
      NUUJWBUHZUVJUVOWCDUUIUVIWDUUJUVHWBWEWFWGBUVHQWOWHVNZWIAUUKKUUJUIWJWKUUHUV
      CUUQKVDUUHAUUJUVBUUPUUHUUMUUJUHZUPZUVBUUMHUMZUUMUUOULZUUPUVSUUAUUCUUEUVRU
      VBUWAVGUUAUUGUVRWPUUCUUEUUFUUAUVRWLUUCUUEUUFUUAUVRWMUUHUVRWQABCDEFGHIJKLM
      NOPQRSTUAUBUCUDUEUFWNXFUVSUVTUUNUUMUUOUVSUUNUVTUVRUUNUVTVGUUHUUMUUJHWRVPW
      SWTXAXBXCUUHUUJBKXDUMZKCUUOAGWBUUSUVAOQRSUBUWBXEUUOXEZUVKUUAUVPUUGYRYSUVP
      YTDUUIYQWDVNWIUUAUUEUUCUUSGUHZUUFUUAUUCUPCXGUHZUUDGUHZUWDUUAUWEUUCYSYRUWE
      YTCKRXHXIWIUUCUUAUWFUUCDGHXJZUUAUWFHGDXKYTYRUWGUWFXPYSUWGYTUWFDGMHXLXMXNX
      OXQGCLUUDSUCXRVSXSUVSYSUUTGUHZUUMBUHZUVABUHUUHYSUVRUVKWIUUHUVRUWHUUHIGUUJ
      UKULUHZUUJGIXJZUVRUWHXPUUAUUCUUEUWJUUFBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFXTYA
      ZIGUUJXKUWKUVRUWHUUJGUUMIXLYBYOYCUUHUVRUWIUUAUVRUWIXPZUUGYRYSUWMYTYRDBVIZ
      UVRUWIDBVTUVRUUMDUHZUWNUWIXPUUMDUUIYDUWNUWOUWIDBUUMYFXMWFXOVNWIYCUUTUUOCG
      BKUUMQRUWCSYEWKUUHYSUVJUPZUWJICYGUMZUNUOZUVDOUNUOUUAUWPUUGUUAYSUVJYRYSYTY
      PUVQYHWIUWLUUHINUWQUNBCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFYIUAYJUWPUWJUWRUJUVDK
      YGUMOUNAIGCKUUJRSYKUBYLWKYMYN $.

    $d G s $.  $d R s $.  $d Z s $.
    $( Property 3 of a specially modified restriction of a linear combination
       in a vector space.  (Contributed by AV, 18-May-2019.)  (Proof shortened
       by AV, 30-Jul-2019.) $)
    lincresunit3 $p |- ( ( ( S e. ~P B /\ M e. LMod /\ X e. S )
                      /\ ( F e. ( E ^m S ) /\ ( F ` X ) e. U /\ F finSupp .0. )
                      /\ ( F ( linC ` M ) S ) = Z )
                         -> ( G ( linC ` M ) ( S \ { X } ) ) = X ) $=
      ( vz cpw wcel clmod w3a cmap co cfv cfsupp wbr clinc wceq cdif cvsca cmpt
      csn cv cgsu csca cbs simp2 3ad2ant1 wf wa 3simpa 3ad2ant2 lincresunitlem2
      simp1 jca eldifi syl2an fveq2i eqtri eleqtrdi fmptd wb fvex difexg elmapg
      cvv sylancr mpbird adantl wss ssdifss a1i elpwi impel elpwd expcom eleq2s
      wi pweqi imp 3adant2 lincval syl3anc cres cplusg simp3 3jca adantr 3simpb
      eqidd eqid lincdifsn eqeq1d fveq2 oveq12d cbvmptv oveq2d lincresunit3lem2
      eqtr2d oveq1d cminusg cgrp lmodgrp elmapi ffvelrn syl2anr sselda lmodvscl
      lmodfgrp grpinvcl syl2an2r ccmn lmodcmn simpll2 lincresunit1 3adantr3 syl
      id ffvelrnda c0g sylbid ssel2 fmpttd sseqtrdi breqtrdi scmfsupp breqtrrdi
      syl2imc lincresunit2 gsumcl grpinvid2 lmodvsneg lincresunit3lem3 syl31anc
      simpr2 eqcom bitrdi biimpd sylbird 3impia eqtrd ) CAUGZUHZJUIUHZLCUHZUJZG
      FCUKULUHZLGUMZEUHZGMUNUOZUJZGCJUPUMZULZNUQZUJZHCLVAZURZUVKULZJOUVPOVBZHUM
      ZUVRJUSUMZULZUTZVCULZLUVNUVCHJVDUMZVEUMZUVPUKULUHZUVPJVEUMZUGZUHZUVQUWCUQ
      UVEUVJUVCUVMUVBUVCUVDVFZVGUVNUWFUVPUWEHVHZUVNOUVPUVGKUMZIUMUVRGUMDULZUWEH
      UVNUVRUVPUHZVIUWMFUWEUVNUVEUVFUVHVIZVIUVRCUHZUWMFUHUWNUVNUVEUWOUVEUVJUVMV
      MUVJUVEUWOUVMUVFUVHUVIVJVKVNUVRCUVOVOZABCDEFGHIJKLUVRMNOPQRSTUAUBUCUDUEVL
      VPFBVEUMUWERBUWDVEQVQVRVSUEVTUVNUWEWEUHUVPWEUHZUWFUWKWAUWDVEWBUVEUVJUWRUV
      MUVBUVCUWRUVDCUVOUVAWCZVGZVGUWEUVPHWEWEWDWFWGUVEUVJUWIUVMUVBUVDUWIUVCUVBU
      VDUWIUVDUWIWQCUWHUVAUVDCUWHUHZUWIUVDUXAVIUVPUWGWEUXAUWRUVDCUVOUWHWCWHUVDC
      UWGWIZUVPUWGWIZUXAUXBUXCWQUVDCUWGUVOWJWKCUWGWLWMWNWOAUWGPWRWPWSWTVGOHJUVP
      UIXAXBUVEUVJUVMUWCLUQZUVEUVJVIZUVMGUVPXCZUVPUVKULZUVGLUVTULZJXDUMZULZNUQZ
      UXDUXEUVLUXJNUXEUVCUVBUVDUJZUVFUVIVIZUXFUXFUQUVLUXJUQUVEUXLUVJUVEUVCUVBUV
      DUWJUVBUVCUVDVMUVBUVCUVDXEZXFXGUVJUXMUVEUVFUVHUVIXHWHUXEUXFXIAUXIBFUVTGUX
      FJCLMPQRUVTXJZUXIXJZTXKXBXLUXEUXKUWLUWCUVTULZUXHUXIULZNUQZUXDUXEUXJUXRNUX
      EUXGUXQUXHUXIUXEUXQUWLJUFUVPUFVBZHUMZUXTUVTULZUTZVCULZUVTULUXGUXEUWCUYDUW
      LUVTUXEUWBUYCJVCUWBUYCUQUXEOUFUVPUWAUYBUVRUXTUQZUVSUYAUVRUXTUVTUVRUXTHXMU
      YEYQXNXOWKXPXPUFABCDEFGHIJKLMNOPQRSTUAUBUCUDUEXQXRXSXLUXEUXSUXHJXTUMZUMZU
      XQUQZUXDUXEJYAUHZUXHAUHZUXQAUHZUYHUXSWAUVEUYIUVJUVCUVBUYIUVDJYBVKXGUXEUVC
      UVGFUHZLAUHZUYJUVEUVCUVJUWJXGZUVJCFGVHZUVDUYLUVEUVFUVHUYOUVIGFCYCVGUXNCFL
      GYDYEZUVEUYMUVJUVBUVDUYMUVCUVBCALCAWLZYFWTXGZUVGUVTBFAJLPQUXORYGXBUXEUVCU
      WLFUHZUWCAUHZUYKUYNUVEBYAUHZUVJUYLUYSUVCUVBVUAUVDBJQYHVKUYPFBKUVGRUBYIYJU
      XEUVPAUWBJWENPUAUVEJYKUHZUVJUVCUVBVUBUVDJYLVKXGUVEUWRUVJUWTXGUXEOUVPUWAAU
      XEUWNVIUVCUVSFUHUVRAUHZUWAAUHUVBUVCUVDUVJUWNYMUXEUVPFUVRHUXEHFUVPUKULUHZU
      VPFHVHUVEUVFUVHVUDUVIABCDEFGHIJKLMNOPQRSTUAUBUCUDUEYNYOZHFUVPYCYPYRUXEUWN
      VUCUVEUWNVUCWQZUVJUVBUVCVUFUVDUWNUWPUVBCAWIZVUCUWQUYQVUGUWPVUCCAUVRUUAWOU
      UGVGXGWSUVSUVTBFAJUVRPQUXORYGXBUUBUXEUWBJYSUMZNUNUXEUVCUWIVIZVUDHBYSUMZUN
      UOUWBVUHUNUOUVEVUIUVJUVEUVCUWIUWJUVBUVDUWIUVCUVBUVDVIZUVPUWGWEUVBUWRUVDUW
      SXGVUKUVPAUWGUVBUVPAWIZUVDUVBVUGVULUYQCAUVOWJYPXGPUUCWNWTVNXGVUEUXEHMVUJU
      NABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUUHTUUDOHFBJUVPQRUUEXBUAUUFUUIZUWLUVTBFAJU
      WCPQUXORYGXBAUXIJUYFUXHUXQNPUXPUAUYFXJZUUJXBUXEUYHUWLLUVTULZUXQUQZUXDUXEU
      YGVUOUXQUXEAUVGUVTBFKUYFJLPQUXOVUNRUBUYNUYRUYPUUKXLUXEVUPUXDUXEUVCUYMUYTU
      VHVUPUXDWAUYNUYRVUMUVEUVFUVHUVIUUNUVCUYMUYTUJUVHVIVUPLUWCUQUXDUVGABUVTEFJ
      KLUWCPQRSUBUXOUULLUWCUUOUUPUUMUUQYTUURYTYTUUSUUT $.

    $( Property 3 of a specially modified restriction of a linear combination
       in a vector space.  (Contributed by AV, 18-May-2019.)  (Proof shortened
       by AV, 30-Jul-2019.) $)
    lincreslvec3 $p |- ( ( ( S e. ~P B /\ M e. LVec /\ X e. S )
                   /\ ( F e. ( E ^m S ) /\ ( F ` X ) =/= .0. /\ F finSupp .0. )
                   /\ ( F ( linC ` M ) S ) = Z )
                         -> ( G ( linC ` M ) ( S \ { X } ) ) = X ) $=
      ( cpw wcel clvec w3a cmap co cfv wne cfsupp wbr clinc wceq clmod csn cdif
      lveclmod 3anim2i 3ad2ant1 simp21 wa wf elmapi simp3 ffvelrn simpr2 cdr wb
      syl2anr lvecdrng 3ad2ant2 adantr drngunit syl mpbir2and 3adant3 syl131anc
      lincresunit3 ) CAUFUGZJUHUGZLCUGZUIZGFCUJUKUGZLGULZMUMZGMUNUOZUIZGCJUPULZ
      UKNUQZUIWCJURUGZWEUIZWGWHEUGZWJWMHCLUSUTWLUKLUQWFWKWOWMWDWNWCWEJVAVBVCWFW
      GWIWJWMVDWFWKWPWMWFWKVEZWPWHFUGZWIWKCFGVFZWEWRWFWGWIWSWJGFCVGVCWCWDWEVHCF
      LGVIVMWFWGWIWJVJWQBVKUGZWPWRWIVEVLWFWTWKWDWCWTWEBJQVNVOVPFBEWHMRSTVQVRVSV
      TWKWFWJWMWGWIWJVHVOWFWKWMVHABCDEFGHIJKLMNOPQRSTUAUBUCUDUEWBWA $.
  $}

  ${
    $d B f g s z $.  $d E f g s z $.  $d M f g s z $.  $d R f g s z $.
    $d S f g s z $.  $d Z f g s $.  $d .0. f g s $.
    islindeps2.b $e |- B = ( Base ` M ) $.
    islindeps2.z $e |- Z = ( 0g ` M ) $.
    islindeps2.r $e |- R = ( Scalar ` M ) $.
    islindeps2.e $e |- E = ( Base ` R ) $.
    islindeps2.0 $e |- .0. = ( 0g ` R ) $.
    $( Conditions for being a linearly dependent subset of a (left) module over
       a nonzero ring.  (Contributed by AV, 29-Apr-2019.)  (Proof shortened by
       AV, 30-Jul-2019.) $)
    islindeps2 $p |- ( ( M e. LMod /\ S e. ~P B /\ R e. NzRing )
                       -> ( E. s e. S E. f e. ( E ^m ( S \ { s } ) )
                      ( f finSupp .0. /\ ( f ( linC ` M ) ( S \ { s } ) ) = s )
                            -> S linDepS M ) ) $=
      ( vg wcel cfv wceq wa wrex vz clmod cpw cnzr w3a cv cfsupp wbr cdif clinc
      csn co cmap clindeps wne cur cminusg cif id 3adant3 ad3antrrr crg nzrring
      cmpt eqid ringidcl syl 3ad2ant3 simpllr simplr 3jca simprl lincext2 cvsca
      syl3anc simpl1 wi elelpwi expcom imp lmodvs1 syl2anc adantr eqcomd adantl
      3ad2ant2 sylan9eq lincext3 syl112anc jca cvv eqidd iftrue simpr fvexd c0g
      fvmptd nzrneg1ne0 neeqtrrd eqnetrd lincext1 wb breq1 oveq1 eqeq1d anbi12d
      a1i fveq1 neeq1d rspcedv mp2and rexlimdva2 reximdva df-3an r19.42v bitr4i
      rexbii rexcom bitri sylibr islindeps mpbird ex ) FUBPZCAUCPZBUDPZUEZDUFZG
      UGUHZYHCIUFZUKUIZFUJQZULZYJRZSZDEYKUMULZTZICTZCFUNUHZYGYRSZYSOUFZGUGUHZUU
      ACYLULZHRZYJUUAQZGUOZICTZUEZOECUMULZTZYTUUBUUDSZUUFSZOUUITZICTZUUJYGYRUUN
      YGYQUUMICYGYJCPZSZYOUUMDYPUUPYHYPPZSZYOSZUACUAUFZYJRZBUPQZBUQQZQZUUTYHQZU
      RZVDZGUGUHZUVGCYLULZHRZSZYJUVGQZGUOZUUMUUSUVHUVJUUSYDYESZUVBEPZUUOUUQUEZY
      IUVHYGUVNUUOUUQYOYDYEUVNYFUVNUSUTVAZUUSUVOUUOUUQYGUVOUUOUUQYOYFYDUVOYEYFB
      VBPUVOBVCEBUVBMUVBVEZVFVGVHVAYGUUOUUQYOVIUUPUUQYOVJVKZUURYIYNVLZUAABCEUVG
      YHFUVCYJUVBGHJLMNKUVCVEZUVGVEZVMVOUUSUVNUVPYIUVBYJFVNQZULZYMRUVJUVQUVSUVT
      UURYOUWDYJYMUUPUWDYJRZUUQUUPYDYJAPZUWEYDYEYFUUOVPYGUUOUWFYEYDUUOUWFVQYFUU
      OYEUWFYJCAVRVSWFVTUWCUVBBAFYJJLUWCVEUVRWAWBWCYNYJYMRYIYNYMYJYNUSWDWEWGUAA
      BCEUVGYHFUVCYJUVBGHJLMNKUWAUWBWHWIWJUURUVMYOUUPUVMUUQUUPUVLUVDGUUPUAYJUVF
      UVDCUVGWKUUPUVGWLUVAUVFUVDRUUPUVAUVDUVEWMWEYGUUOWNUUPUVBUVCWOWQYGUVDGUOZU
      UOYFYDUWGYEYFUVDBWPQZGBWRGUWHRYFNXGWSVHWCWTWCWCUUSUULUVKUVMSZOUVGUUIUUSUV
      NUVPUVGUUIPUVQUVSUAABCEUVGYHFUVCYJUVBGHJLMNKUWAUWBXAWBUUAUVGRZUULUWIXBUUS
      UWJUUKUVKUUFUVMUWJUUBUVHUUDUVJUUAUVGGUGXCUWJUUCUVIHUUAUVGCYLXDXEXFUWJUUEU
      VLGYJUUAUVGXHXIXFWEXJXKXLXMVTUUJUULICTZOUUITUUNUUHUWKOUUIUUHUUKUUGSUWKUUB
      UUDUUGXNUUKUUFICXOXPXQUULOIUUICXRXSXTYGYSUUJXBZYRYDYEUWLYFIABCOEFUBGHJKLM
      NYAUTWCYBYC $.

    $( Implication of being a linearly independent subset of a (left) module
       over a nonzero ring.  (Contributed by AV, 29-Apr-2019.)  (Proof
       shortened by AV, 30-Jul-2019.) $)
    islininds2 $p |- ( ( M e. LMod /\ S e. ~P B /\ R e. NzRing )
                   -> ( S linIndS M -> A. s e. S A. f e. ( E ^m ( S \ { s } ) )
          ( -. f finSupp .0. \/ ( f ( linC ` M ) ( S \ { s } ) ) =/= s ) ) ) $=
      ( clmod wcel wbr wn wrex bitri cpw cnzr w3a clininds clindeps cfsupp cdif
      cv csn clinc cfv co wne wo cmap wb lindepsnlininds ancoms 3adant3 con2bid
      wral wceq wa notnotb bicomi anbi12i pm4.56 rexbii rexnal islindeps2 con1d
      nne syl5bir sylbid ) FOPZCAUAZPZBUBPZUCZCFUDQZCFUEQZRDUHZGUFQZRZWBCIUHZUI
      UGZFUJUKULZWEUMZUNZDEWFUOULZVAZICVAZVSWAVTVOVQWAVTRUPZVRVQVOWMCFVPOUQURUS
      UTVSWLWAWLRZWCWGWEVBZVCZDWJSZICSZVSWAWRWKRZICSWNWQWSICWQWIRZDWJSWSWPWTDWJ
      WPWDRZWHRZVCWTWCXAWOXBWCVDXBWOWGWEVLVEVFWDWHVGTVHWIDWJVITVHWKICVITABCDEFG
      HIJKLMNVJVMVKVN $.

    $d B s g y $.  $d E y $.  $d M y $.  $d R y $.  $d S y $.  $d Z y z $.
    $d .0. y z $.
    $( Alternative definition of being a linearly dependent subset of a (left)
       vector space.  In this case, the reverse implication of ~ islindeps2
       holds, so that both definitions are equivalent (see theorem 1.6 in
       [Roman] p. 46 and the note in [Roman] p. 112: if a nontrivial linear
       combination of elements (where not all of the coefficients are 0) in an
       R-vector space is 0, then and only then each of the elements is a linear
       combination of the others.  (Contributed by AV, 30-Apr-2019.)  (Proof
       shortened by AV, 30-Jul-2019.) $)
    isldepslvec2 $p |- ( ( M e. LVec /\ S e. ~P B )
                  -> ( E. s e. S E. f e. ( E ^m ( S \ { s } ) ) ( f finSupp .0.
               /\ ( f ( linC ` M ) ( S \ { s } ) ) = s ) <-> S linDepS M ) ) $=
      ( vg wcel wa cfv co wrex vz vy clvec cpw cv cfsupp wbr csn cdif wceq cmap
      clinc clindeps clmod cnzr wi lveclmod adantr simpr cdr drngnzr islindeps2
      lvecdrng syl syl3anc wne w3a islindeps df-3an r19.42v bitr4i rexbii bitri
      rexcom cminusg cinvr cmpt cui simplr ad2antrr 3jca elmapi ffvelrn syl2anr
      cmulr wf anim12i eqid drngunit mpbird simpll adantl lincresunit2 syl13anc
      wb simprr fveq2 oveq2d lincreslvec3 syl131anc lincresunit1 syl12anc breq1
      cbvmptv oveq1 eqeq1d anbi12d rspcedv mp2and reximdva syl5bi sylbid impbid
      rexlimdva2 ) FUCPZCAUDPZQZDUEZGUFUGZXRCIUEZUHUIZFULRZSZXTUJZQZDEYAUKSZTZI
      CTZCFUMUGZXQFUNPZXPBUOPZYHYIUPXOYJXPFUQZURXOXPUSXOYKXPXOBUTPZYKBFLVCZBVAV
      DURABCDEFGHIJKLMNVBVEXQYIOUEZGUFUGZYOCYBSHUJZXTYORZGVFZICTZVGZOECUKSZTZYH
      IABCOEFUCGHJKLMNVHUUCYPYQQZYSQZOUUBTZICTZXQYHUUCUUEICTZOUUBTUUGUUAUUHOUUB
      UUAUUDYTQUUHYPYQYTVIUUDYSICVJVKVLUUEOIUUBCVNVMXQUUFYGICXQXTCPZQZUUEYGOUUB
      UUJYOUUBPZQZUUEQZUAYAYRBVORZRBVPRZRZUAUEZYORZBWERZSZVQZGUFUGZUVAYAYBSZXTU
      JZYGUUMXPYJUUIVGZUUKYRBVRRZPZYPUVBUUJUVEUUKUUEUUJXPYJUUIXOXPUUIVSZXOYJXPU
      UIYLVTXQUUIUSZWAVTZUUJUUKUUEVSZUUMUVGYREPZYSQZUULUVLUUEYSUUKCEYOWFUUIUVLU
      UJYOECWBUVICEXTYOWCWDUUDYSUSWGUUMYMUVGUVMWOUUJYMUUKUUEXOYMXPUUIYNVTVTEBUV
      FYRGMUVFWHZNWIVDWJZUUEYPUULYPYQYSWKWLZABCUUSUVFEYOUVAUUOFUUNXTGHUAJLMUVNN
      KUUNWHZUUOWHZUUSWHZUVAWHZWMWNUUMXPXOUUIVGZUUKYSYPYQUVDUUJUWAUUKUUEUUJXPXO
      UUIUVHXOXPUUIWKUVIWAVTUVKUULUUDYSWPUVPUUEYQUULYPYQYSVSWLABCUUSUVFEYOUVAUU
      OFUUNXTGHUBJLMUVNNKUVQUVRUVSUAUBYAUUTUUPUBUEZYORZUUSSUUQUWBUJUURUWCUUPUUS
      UUQUWBYOWQWRXDWSWTUUMYEUVBUVDQZDUVAYFUUMUVEUUKUVGUVAYFPUVJUVKUVOABCUUSUVF
      EYOUVAUUOFUUNXTGHUAJLMUVNNKUVQUVRUVSUVTXAXBXRUVAUJZYEUWDWOUUMUWEXSUVBYDUV
      DXRUVAGUFXCUWEYCUVCXTXRUVAYAYBXEXFXGWLXHXIXNXJXKXLXM $.
  $}

  ${
    $d M s $.  $d S s $.
    $( A singleton not containing the zero element of a vector space is always
       linearly independent.  (Contributed by AV, 16-Apr-2019.)  (Revised by
       AV, 28-Apr-2019.) $)
    lindssnlvec $p |- ( ( M e. LVec /\ S e. ( Base ` M ) /\ S =/= ( 0g ` M ) )
                         -> { S } linIndS M ) $=
      ( vs clvec wcel cbs cfv c0g wne w3a cv cvsca co csca csn cdif wral adantl
      wa eqid clininds eldifsni simpl3 simpl1 eldifi simpl2 mpbir2and ralrimiva
      wbr lvecvsn0 clmod wb lveclmod anim1i 3adant3 snlindsntor syl mpbid ) BDE
      ZABFGZEZABHGZIZJZCKZABLGZMVBIZCBNGZFGZVHHGZOZPZQZAOBUAUIZVDVGCVLVDVEVLEZS
      ZVGVEVJIZVCVOVQVDVEVIVJUBRUSVAVCVOUCVPVEVFVHVIVJUTBAVBUTTZVFTZVHTZVITZVJT
      ZVBTZUSVAVCVOUDVOVEVIEVDVEVIVKUERUSVAVCVOUFUJUGUHVDBUKEZVASZVMVNULUSVAWEV
      CUSWDVABUMUNUOUTVHVIVFBAVJVBCVRVTWAWBWCVSUPUQUR $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Simple left modules and the ` ZZ `-module
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d I r x y $.  $d R r x y $.  $d V r x y $.  $d I q $.  $d R q $.
    $d V q $.
    lmod1.m $e |- M = ( { <. ( Base ` ndx ) , { I } >. ,
                          <. ( +g ` ndx ) , { <. <. I , I >. , I >. } >. ,
                          <. ( Scalar ` ndx ) , R >. }
                     u. { <. ( .s ` ndx ) ,
                             ( x e. ( Base ` R ) , y e. { I } |-> y ) >. } ) $.
    $( Lemma 1 for ~ lmod1 .  (Contributed by AV, 28-Apr-2019.) $)
    lmod1lem1 $p |- ( ( I e. V /\ R e. Ring /\ r e. ( Base ` R ) )
                      -> ( r ( .s ` M ) I ) e. { I } ) $=
      ( wcel crg cv cbs cfv w3a cvsca co csn cvv wceq cop cmpo fvex a1i mpoexga
      snex sylancr lmodvsca syl eqcomd weq simprr simp3 3ad2ant1 ovmpod eqeltrd
      snidg ) DFIZCJIZGKZCLMZIZNZUSDEOMZPDDQZVBABUSDUTVDBKZDVCVDVBABUTVDVEUAZVC
      VBVFRIZVFVCSVBUTRIVDRIZVGCLUBVHVBDUEUCABUTVDVERRUDUFVDDDTDTQVFCERHUGUHUIV
      BAGUJVEDSUKUQURVAULUQURDVDIVADFUPUMZVIUNVIUO $.

    $( Lemma 2 for ~ lmod1 .  (Contributed by AV, 28-Apr-2019.) $)
    lmod1lem2 $p |- ( ( I e. V /\ R e. Ring /\ r e. ( Base ` R ) )
                 -> ( r ( .s ` M ) ( I ( +g ` M ) I ) )
                    = ( ( r ( .s ` M ) I ) ( +g ` M ) ( r ( .s ` M ) I ) ) ) $=
      ( wcel cv cbs cfv co csn cvv wceq snex mp1i cop eqcomd crg w3a cvsca cmpo
      cplusg wa fvex pm3.2i mpoexga lmodvsca simprr simp3 snidg 3ad2ant1 ovmpod
      syl weq lmodplusg oveqd df-ov simp1 fvsng sylancr syl5eq eqtrd oveq2d a1i
      opex oveq12d 3eqtr4d ) DFIZCUAIZGJZCKLZIZUBZVMDEUCLZMZDVMDDEUELZMZVQMVRVR
      VSMZVPABVMDVNDNZBJZDVQWBVPABVNWBWCUDZVQVPWDOIZWDVQPZVNOIZWBOIZUFWEVPWGWHC
      KUGZDQZUHABVNWBWCOOUIZRWBDDSZDSZNZWDCEOHUJZUPTVPAGUQWCDPUKZVKVLVOULZVKVLD
      WBIVODFUMUNZWRUOVPVTDVMVQVPVTDDWNMZDVPVSWNDDVPWNVSWNOIWNVSPVPWMQWBWNWDCEO
      HURRTUSVPWSWLWNLZDDDWNUTVPWLOIVKWTDPDDVHVKVLVOVAWLDOFVBVCVDVEZVFVPWAVTDVP
      VRDVRDVSVPABVMDVNWBWCDVQWBVPWDVQVPWEWFVPWGWHWEWIWHVPWJVGWKVCWOUPTWPWQWRWR
      UOZXBVIXAVEVJ $.

    $d M x y $.  $d q x y $.
    $( Lemma 3 for ~ lmod1 .  (Contributed by AV, 29-Apr-2019.) $)
    lmod1lem3 $p |- ( ( ( I e. V /\ R e. Ring )
                        /\ ( q e. ( Base ` R ) /\ r e. ( Base ` R ) ) )
                 -> ( ( q ( +g ` ( Scalar ` M ) ) r ) ( .s ` M ) I )
                    = ( ( q ( .s ` M ) I ) ( +g ` M ) ( r ( .s ` M ) I ) ) ) $=
      ( wcel wa cv cfv cplusg co wceq simprr syl adantr cvv crg csca cmpo cvsca
      cbs csn eqidd simplr cop lmodsca fveq2d eqcomd oveqd eqid ringacl syl3anc
      simprl eqeltrd snidg simpl ovmpod fvex snex mpoexga mp1i lmodvsca oveq12d
      pm3.2i weq lmodplusg df-ov opex jctil fvsng syl5eq 3eqtrd 3eqtr4d ) DFJZC
      UAJZKZHLZCUEMZJZGLZWBJZKZKZWAWDEUBMZNMZOZDABWBDUFZBLZUCZODWJDEUDMZOWADWNO
      ZWDDWNOZENMZOZWGABWJDWBWKWLDWMFWGWMUGWGALWJPWLDPZQWGWJWAWDCNMZOZWBWGWIWTW
      AWDWGWTWIWGVSWTWIPVRVSWFUHZVSCWHNWKDDUIZDUIZUFZWMCEUAIUJUKRULUMWGVSWCWEXA
      WBJXBVTWCWEUQZVTWCWEQZWBWTCWAWDWBUNWTUNUOUPURVTDWKJZWFVRXHVSDFUSSSZVTVRWF
      VRVSUTZSVAWGWNWMWJDWGWMWNWGWMTJZWMWNPWBTJZWKTJZKXKWGXLXMCUEVBDVCVHABWBWKW
      LTTVDVEWKXEWMCETIVFRULZUMWGWRDDWQODDXEOZDWGWODWPDWQWGABWADWBWKWLDWNWKXNWG
      AHVIWSQXFXIXIVAWGABWDDWBWKWLDWNWKXNWGAGVIWSQXGXIXIVAVGWGWQXEDDWGXEWQXETJX
      EWQPWGXDVCWKXEWMCETIVJVEULUMWGXOXCXEMZDDDXEVKWGXCTJZVRKZXPDPVTXRWFVTVRXQX
      JDDVLVMSXCDTFVNRVOVPVQ $.

    $( Lemma 4 for ~ lmod1 .  (Contributed by AV, 29-Apr-2019.) $)
    lmod1lem4 $p |- ( ( ( I e. V /\ R e. Ring )
                        /\ ( q e. ( Base ` R ) /\ r e. ( Base ` R ) ) )
                      -> ( ( q ( .r ` ( Scalar ` M ) ) r ) ( .s ` M ) I )
                         = ( q ( .s ` M ) ( r ( .s ` M ) I ) ) ) $=
      ( wcel crg wa cv cfv co cmulr cvv wceq simprr ovmpod cvsca csca cmpo fvex
      cbs csn snex pm3.2i a1i mpoexga cop lmodvsca 3syl eqcomd weq simprl snidg
      ad2antrr oveq2d simplr lmodsca fveq2d oveqd eqid syl3anc eqeltrd 3eqtr4rd
      syl ringcl ) DFJZCKJZLZHMZCUENZJZGMZVNJZLZLZVMDEUANZODVMVPDVTOZVTOVMVPEUB
      NZPNZOZDVTOVSABVMDVNDUFZBMZDVTWEVSABVNWEWFUCZVTVSVNQJZWEQJZLZWGQJWGVTRWJV
      SWHWICUEUDDUGUHUIABVNWEWFQQUJWEDDUKDUKUFZWGCEQIULUMUNZVSAHUOWFDRZSVLVOVQU
      PZVJDWEJVKVRDFUQURZWOTVSWADVMVTVSABVPDVNWEWFDVTWEWLVSAGUOWMSVLVOVQSZWOWOT
      USVSABWDDVNWEWFDVTWEWLVSAMWDRWMSVSWDVMVPCPNZOZVNVSWCWQVMVPVSWQWCVSVKWQWCR
      VJVKVRUTZVKCWBPWEWKWGCEKIVAVBVHUNVCVSVKVOVQWRVNJWSWNWPVNCWQVMVPVNVDWQVDVI
      VEVFWOWOTVG $.

    $( Lemma 5 for ~ lmod1 .  (Contributed by AV, 28-Apr-2019.) $)
    lmod1lem5 $p |- ( ( I e. V /\ R e. Ring )
                      -> ( ( 1r ` ( Scalar ` M ) ) ( .s ` M ) I ) = I ) $=
      ( wcel crg wa cfv cur cbs csn cv cvv wceq cop eqcomd adantl csca cmpo a1i
      cvsca fvex snex pm3.2i mpoexga lmodvsca 3syl simprr lmodsca eqid ringidcl
      fveq2d eqeltrd snidg adantr ovmpod ) DFHZCIHZJZABEUAKZLKZDCMKZDNZBOZDEUDK
      ZVFVBABVEVFVGUBZVHVBVEPHZVFPHZJZVIPHVIVHQVLVBVJVKCMUEDUFUGUCABVEVFVGPPUHV
      FDDRDRNZVICEPGUIUJSVBAOVDQVGDQUKVBVDCLKZVEVBVCCLVBCVCVACVCQUTVFVMVICEIGUL
      TSUOVAVNVEHUTVECVNVEUMVNUMUNTUPUTDVFHVADFUQURZVOUS $.

    $d I w x $.  $d M r q w $.
    $( The (smallest) structure representing a _zero module_ over an arbitrary
       ring.  (Contributed by AV, 29-Apr-2019.) $)
    lmod1 $p |- ( ( I e. V /\ R e. Ring ) -> M e. LMod ) $=
      ( vr vq wcel wa cfv co wceq wral cbs cop eqid cvv ax-mp vw crg cgrp cvsca
      csca cv csn cplusg w3a cmulr cur clmod cnx cpr grp1 fvex cmpo ctp grpbase
      cun snex opeq2i tpeq1 uneq1i eqtri lmodbase eqcomi grpplusg tpeq2 grpprop
      lmodplusg sylibr adantr lmodsca eqcomd adantl simpr eqeltrd fveq2d eleq2d
      anbi12d simpll simplr simprr 3jca lmod1lem1 lmod1lem2 lmod1lem3 lmod1lem4
      syl lmod1lem5 jca32 ex sylbid ralrimivv wb oveq2d eqeq12d 3anbi2d ralbidv
      oveq2 anbi1d ralsng eleq1d oveq1 oveq1d oveq12d 3anbi123d id bitrd mpbird
      2ralbidv islmod syl3anbrc ) DFJZCUBJZKZEUCJZEUELZUBJHUFZUAUFZEUDLZMZDUGZJ
      ZXTYAAUFZEUHLZMZYBMZYCXTYFYBMZYGMZNZIUFZXTXSUHLZMZYAYBMZYMYAYBMZYCYGMZNZU
      IZYMXTXSUJLZMZYAYBMZYMYCYBMZNZXSUKLZYAYBMZYANZKZKZUAYDOZAYDOZHXSPLZOIUUMO
      ZEULJXOXRXPXOUMPLZYDQZUMUHLZDDQDQZUGZQZUNZUCJXRDUVAFUVARZUOEUVAUVAPLZEPLZ
      UVCSJUVCUVDNUVAPUPUVCUUSABCPLZYDBUFUQZCESEUUPUUTUMUELCQZURZUMUDLUVFQUGZUT
      ZUUOUVCQZUUTUVGURZUVIUTGUVHUVLUVIUUPUVKNUVHUVLNYDUVCUUOYDSJZYDUVCNDVAZYDU
      USUVASUVBUSTVBUUPUVKUUTUVGVCTVDVEVFTVGUVAUHLZYGUVOSJUVOYGNUVAUHUPYDUVOUVF
      CESEUVJUUPUUQUVOQZUVGURZUVIUTGUVHUVQUVIUUTUVPNUVHUVQNUUSUVOUUQUUSSJUUSUVO
      NUURVAYDUUSUVASUVBVHTVBUUTUVPUUPUVGVITVDVEVKTVGVJVLVMXQXSCUBXPXSCNXOXPCXS
      YDUUSUVFCEUBGVNVOVPZXOXPVQVRXQUUNXTDYBMZYDJZXTDDYGMZYBMZUVSUVSYGMZNZYODYB
      MZYMDYBMZUVSYGMZNZUIZUUBDYBMZYMUVSYBMZNZUUFDYBMZDNZKZKZHUUMOIUUMOXQUWPIHU
      UMUUMXQYMUUMJZXTUUMJZKYMUVEJZXTUVEJZKZUWPXQUWQUWSUWRUWTXQUUMUVEYMXQXSCPUV
      RVSZVTXQUUMUVEXTUXBVTWAXQUXAUWPXQUXAKZUWIUWLUWNUXCUVTUWDUWHUXCXOXPUWTUIZU
      VTUXCXOXPUWTXOXPUXAWBXOXPUXAWCXQUWSUWTWDWEZABCDEFHGWFWJUXCUXDUWDUXEABCDEF
      HGWGWJABCDEFHIGWHWEABCDEFHIGWIXQUWNUXAABCDEFGWKVMWLWMWNWOXQUULUWPIHUUMUUM
      XQUULYEXTYADYGMZYBMZYCUVSYGMZNZYSUIZUUIKZUAYDOZUWPXOUULUXLWPXPUUKUXLADFYF
      DNZUUJUXKUAYDUXMYTUXJUUIUXMYLUXIYEYSUXMYIUXGYKUXHUXMYHUXFXTYBYFDYAYGXAWQU
      XMYJUVSYCYGYFDXTYBXAWQWRWSXBWTXCVMXOUXLUWPWPXPUXKUWPUADFYADNZUXJUWIUUIUWO
      UXNYEUVTUXIUWDYSUWHUXNYCUVSYDYADXTYBXAZXDUXNUXGUWBUXHUWCUXNUXFUWAXTYBYADD
      YGXEWQUXNYCUVSUVSYGUXOXFWRUXNYPUWEYRUWGYADYOYBXAUXNYQUWFYCUVSYGYADYMYBXAU
      XOXGWRXHUXNUUEUWLUUHUWNUXNUUCUWJUUDUWKYADUUBYBXAUXNYCUVSYMYBUXOWQWRUXNUUG
      UWMYADYADUUFYBXAUXNXIWRWAWAXCVMXJXLXKAUAYGYNYBUUAUUFXSUUMYDEHIUVMYDUVDNUV
      NYDUUSUVFCESGVFTYGRYBRXSRUUMRYNRUUARUUFRXMXN $.
  $}

  ${
    $d I a b i p z $.  $d R a b i p z $.  $d V a b i p z $.  $d Z i p z $.
    $d W p $.
    lmod1zr.r $e |- R = { <. ( Base ` ndx ) , { Z } >. ,
                       <. ( +g ` ndx ) , { <. <. Z , Z >. , Z >. } >. ,
                       <. ( .r ` ndx ) , { <. <. Z , Z >. , Z >. } >. } $.
    lmod1zr.m $e |- M = ( { <. ( Base ` ndx ) , { I } >. ,
                         <. ( +g ` ndx ) , { <. <. I , I >. , I >. } >. ,
                         <. ( Scalar ` ndx ) , R >. }
                    u. { <. ( .s ` ndx ) , { <. <. Z , I >. , I >. } >. } ) $.
    $( The (smallest) structure representing a _zero module_ over a zero ring.
       (Contributed by AV, 29-Apr-2019.) $)
    lmod1zr $p |- ( ( I e. V /\ Z e. W ) -> M e. LMod ) $=
      ( vz vi vp va vb wcel cnx cfv csn cop cv wceq wa cbs cplusg csca ctp cmpo
      cvsca cun clmod cxp c2nd wf elsni fveq2 adantl op2ndg ancoms snidg adantr
      cmpt eqeltrd sylan2 fmpttd cvv opex simpl fsng sylancr mpbid xpsng eqcomd
      wb mpteq1d eqtr3d vex op2ndd mpompt a1i snex rngbase mp1i mpoeq12 syl2anc
      eqidd 3eqtrd opeq2d sneqd uneq2d syl5eq crg ring1 id cbvmpov opeq2i sneqi
      weq uneq2i lmod1 ) BDNZFENZUAZCOUBPBQZROUCPBBRBRQROUDPARUEZOUGPZIJAUBPZXB
      JSZUFZRZQZUHZUIXACXCXDFBRZBRQZRZQZUHXJHXAXNXIXCXAXMXHXAXLXGXDXAXLKFQZXBUJ
      ZKSZUKPZUTZIJXOXBXFUFZXGXAKXKQZXRUTZXLXSXAYAXBYBULZYBXLTZXAKYAXRXBXQYANXA
      XQXKTZXRXBNXQXKUMXAYEUAXRXKUKPZXBYEXRYFTXAXQXKUKUNUOXAYFXBNYEXAYFBXBWTWSY
      FBTFBEDUPUQWSBXBNWTBDURUSVAUSVAVBVCXAXKVDNWSYCYDVLFBVEWSWTVFXKBVDDYBVGVHV
      IXAKYAXPXRXAXPYAWTWSXPYATFBEDVJUQVKVMVNXSXTTXAIJKXOXBXRXFISXFXQIVOJVOVPVQ
      VRXAXOXETZXBXBTXTXGTXOVDNYGXAFVSXOFFRFRQZAYHVDGVTWAXAXBWDIJXOXBXEXBXFWBWC
      WEWFWGWHWIWTWSAWJNXJUINAEFGWKLMABXJDXIXDLMXEXBMSZUFZRZQXCXHYKXGYJXDIJLMXE
      XBXFYIXFILWPXFWDJMWPWLWMWNWOWQWRVBVA $.

    $( There is a (left) module (a _zero module_) which is not a (left) vector
       space.  (Contributed by AV, 29-Apr-2019.) $)
    lmod1zrnlvec $p |- ( ( I e. V /\ Z e. W ) -> M e/ LVec ) $=
      ( wcel wa cfv cdr wn clvec wnel cvv cnx csn cop cnzr csca wceq cbs cplusg
      clmod cmulr ctp tpex eqeltri lmodsca rng1nnzr df-nel sylib drngnzr adantl
      mp1i nsyl eqneltrrd intnand eqid islvec xchbinx sylibr ) BDIZFEIZJZCUEIZC
      UAKZLIZJZMCNOZVFVIVGVFAVHLAPIAVHUBVFAQUCKFRSZQUDKFFSFSRZSZQUFKVMSZUGPGVLV
      NVOUHUIBRBBSBSRFBSBSRACPHUJUPVEALIZMVDVEATIZVPVEATOVQMAEFGUKATULUMAUNUQUO
      URUSVKCNIVJCNULVHCVHUTVAVBVC $.
  $}

  $( Left modules exist.  (Contributed by AV, 29-Apr-2019.) $)
  lmodn0 $p |- LMod =/= (/) $=
    ( vi vz cv cvv wcel wa cnx cbs cfv csn cop cplusg cmulr ctp cvsca cun clmod
    csca vex eqid c0 wne pm3.2i lmod1zr ne0i mp2b ) ACZDEZBCZDEZFGHIZUGJKGLIZUG
    UGKUGKJKGRIUKUIJKULUIUIKUIKJZKGMIUMKNZKNGOIUIUGKUGKJKJPZQEQUAUBUHUJASBSUCUN
    UGUODDUIUNTUOTUDQUOUEUF $.

  ${
    zlmodzxzequa.z $e |- Z = ( ZZring freeLMod { 0 , 1 } ) $.
    zlmodzxzequa.o $e |- .0. = { <. 0 , 0 >. , <. 1 , 0 >. } $.
    zlmodzxzequa.t $e |- .xb = ( .s ` Z ) $.
    zlmodzxzequa.m $e |- .- = ( -g ` Z ) $.

    ${
      zlmodzxzequa.a $e |- A = { <. 0 , 3 >. , <. 1 , 6 >. } $.
      zlmodzxzequa.b $e |- B = { <. 0 , 2 >. , <. 1 , 4 >. } $.
      $( Example of an equation within the ` ZZ `-module ` ZZ X. ZZ ` (see
         example in [Roman] p. 112 for a linearly dependent set).  (Contributed
         by AV, 22-May-2019.)  (Revised by AV, 10-Jun-2019.) $)
      zlmodzxzequa $p |- ( ( 2 .xb A ) .- ( 3 .xb B ) ) = .0. $=
        ( cc0 c2 c3 co cop c6 cz wcel cmul cmin c1 c4 cpr caddc 3cn 3p3e6 eqtri
        2timesi 3t2e6 oveq12i subidi opeq2i 2t6m3t4e0 preq12i oveq2i wceq 2z 3z
        6cn 6nn nnzi zlmodzxzscm mp3an zmulcl mp2an zlmodzxzsub mp4an 3eqtr4i
        4z ) MNOUAPZONUAPZUBPZQZUCNRUAPZOUDUAPZUBPZQZUEZMMQZUCMQZUENACPZOBCPZDP
        ZEVOWAVSWBVNMMVNRRUBPMVLRVMRUBVLOOUFPROUGUJUHUIUKULRVAUMUIUNVRMUCUOUNUP
        WEMVLQUCVPQUEZMVMQUCVQQUEZDPZVTWCWFWDWGDWCNMOQUCRQUEZCPZWFAWINCKUQNSTZO
        STZRSTZWJWFURUSUTRVBVCZNORCFGIVDVEUIWDOMNQUCUDQUEZCPZWGBWOOCLUQWLWKUDST
        ZWPWGURUTUSVKONUDCFGIVDVEUIULVLSTZVMSTZVPSTZVQSTZWHVTURWKWLWRUSUTNOVFVG
        WLWKWSUTUSONVFVGWKWMWTUSWNNRVFVGWLWQXAUTVKOUDVFVGVLVMVPVQDFGJVHVIUIHVJ
        $.

      $( Example of a linearly dependent set whose elements are not linear
         combinations of the others, see note in [Roman] p. 112).  (Contributed
         by AV, 23-May-2019.)  (Revised by AV, 10-Jun-2019.) $)
      zlmodzxznm $p |- A. i e. ZZ ( ( i .xb A ) =/= B /\ ( i .xb B ) =/= A ) $=
        ( wne wcel cc0 c3 c1 c2 cvv cv co wa cz cmul cop c6 cpr c4 wo wi cprime
        wceq 3prm 2prm ztprmneprm mp3an23 2re 2lt3 ltneii eqneqall syl6com ax-1
        mpi eqcoms pm2.61ine olcd c0ex ovex pm3.2i opthneg mp1i mpbird 0ne1 a1i
        wb orcd jca opex w3a prnebg bicomd syl3anc oveq2i 3z zlmodzxzscm syl5eq
        6nn nnzi 3netr4d 2z 4z rgen ) DUAZACUBZBNZWNBCUBZANZUCDUDWNUDOZWPWRWSPW
        NQUEUBZUFZRWNUGUEUBZUFZUHZPSUFZRUIUFZUHZWOBWSXDXGNZXAXENZXAXFNZUCZXCXEN
        XCXFNUCZUJZWSXKXLWSXIXJWSXIPPNZWTSNZUJZWSXOXNWSXOUKWTSWSWTSUMZQSUMZXOWS
        QULOZSULOZXQXRUKUNUOQSWNUPUQXOSQSQUMZSQNZXOSQURUSUTZXOSQVAVDVEVBXOWSVCV
        FVGPTOZWTTOZUCZXIXPVPWSYDYEVHWNQUEVIVJZPWTPSTTVKVLVMWSXJPRNZWTUINZUJZWS
        YHYIYHWSVNVOZVQYFXJYJVPWSYGPWTRUITTVKVLVMVRVQWSXATOZXCTOZUCZXETOZXFTOZU
        CZXAXCNZXHXMVPYNWSYLYMPWTVSRXBVSVJVOYQWSYOYPPSVSRUIVSVJVOWSYRYHWTXBNZUJ
        ZWSYHYSYKVQYFYRYTVPWSYGPWTRXBTTVKVLVMYNYQYRVTXMXHXAXCXEXFTTTTWAWBWCVMWS
        WOWNPQUFZRUGUFZUHZCUBZXDAUUCWNCLWDWSQUDOUGUDOUUDXDUMWEUGWHWIWNQUGCGHJWF
        UQWGBXGUMWSMVOWJWSPWNSUEUBZUFZRWNUIUEUBZUFZUHZUUCWQAWSUUIUUCNZUUFUUANZU
        UFUUBNZUCZUUHUUANUUHUUBNUCZUJZWSUUMUUNWSUUKUULWSUUKXNUUEQNZUJZWSUUPXNWS
        UUPUKUUEQWSUUEQUMZYAUUPWSXTXSUURYAUKUOUNSQWNUPUQYAYBUUPYCUUPSQVAVDVBUUP
        WSVCVFVGYDUUETOZUCZUUKUUQVPWSYDUUSVHWNSUEVIVJZPUUEPQTTVKVLVMWSUULYHUUEU
        GNZUJZWSYHUVBYKVQUUTUULUVCVPWSUVAPUUERUGTTVKVLVMVRVQWSUUFTOZUUHTOZUCZUU
        ATOZUUBTOZUCZUUFUUHNZUUJUUOVPUVFWSUVDUVEPUUEVSRUUGVSVJVOUVIWSUVGUVHPQVS
        RUGVSVJVOWSUVJYHUUEUUGNZUJZWSYHUVKYKVQUUTUVJUVLVPWSUVAPUUERUUGTTVKVLVMU
        VFUVIUVJVTUUOUUJUUFUUHUUAUUBTTTTWAWBWCVMWSWQWNXGCUBZUUIBXGWNCMWDWSSUDOU
        IUDOUVMUUIUMWKWLWNSUICGHJWFUQWGAUUCUMWSLVOWJVRWM $.
    $}
  $}

  ${
    zlmodzxzldep.z $e |- Z = ( ZZring freeLMod { 0 , 1 } ) $.
    zlmodzxzldep.a $e |- A = { <. 0 , 3 >. , <. 1 , 6 >. } $.
    zlmodzxzldep.b $e |- B = { <. 0 , 2 >. , <. 1 , 4 >. } $.
    $( A and B are not equal.  (Contributed by AV, 24-May-2019.)  (Revised by
       AV, 10-Jun-2019.) $)
    zlmodzxzldeplem $p |- A =/= B $=
      ( wne cc0 c3 cop c1 c2 c4 cvv wcel wa wo opex pm3.2i mpbir cpr 2re gtneii
      c6 2lt3 olci c0ex 3ex opthne 0ne1 orci prneimg mp2 neeq12i ) ABGHIJZKUDJZ
      UAZHLJZKMJZUAZGZUONOZUPNOZPZURNOZUSNOZPZPUOURGZUOUSGZPZUPURGUPUSGPZQVAVDV
      GVBVCHIRKUDRSVEVFHLRKMRSSVJVKVHVIVHHHGZILGZQVMVLLIUBUEUCUFHIHLUGUHUITVIHK
      GZIMGZQVNVOUJUKHIKMUGUHUITSUKUOUPURUSNNNNULUMAUQBUTEFUNT $.

    ${
      zlmodzxzequap.o $e |- .0. = { <. 0 , 0 >. , <. 1 , 0 >. } $.
      zlmodzxzequap.m $e |- .+ = ( +g ` Z ) $.
      zlmodzxzequap.t $e |- .xb = ( .s ` Z ) $.
      $( Example of an equation within the ` ZZ `-module ` ZZ X. ZZ ` (see
         example in [Roman] p. 112 for a linearly dependent set), written as a
         sum.  (Contributed by AV, 24-May-2019.)  (Revised by AV,
         10-Jun-2019.) $)
      zlmodzxzequap $p |- ( ( 2 .xb A ) .+ ( -u 3 .xb B ) ) = .0. $=
        ( cc0 c2 c3 co cop c4 wcel cz cmul cneg caddc c1 c6 cpr mulneg1i oveq2i
        3cn 2cn cc wceq mulcli wa cmin negsub mulcomi subidi eqtri eqtrdi mp2an
        opeq2i 4cn 6cn negsubi 2t6m3t4e0 preq12i 2z 6nn nnzi zlmodzxzscm znegcl
        3z mp3an ax-mp 4z oveq12i zmulcl zlmodzxzadd mp4an 3eqtr4i ) MNOUAPZOUB
        ZNUAPZUCPZQZUDNUEUAPZWCRUAPZUCPZQZUFZMMQZUDMQZUFNADPZWCBDPZCPZEWFWLWJWM
        WEMMWEWBONUAPZUBZUCPZMWDWRWBUCONUIUJUGUHWBUKSZWQUKSZWSMULNOUJUIUMZONUIU
        JUMWTXAUNWSWBWQUOPZMWBWQUPXCWBWBUOPMWQWBWBUOONUIUJUQUHWBXBURUSUTVAUSVBW
        IMUDWIWGORUAPZUBZUCPZMWHXEWGUCORUIVCUGUHXFWGXDUOPMWGXDNUEUJVDUMORUIVCUM
        VEVFUSUSVBVGWPMWBQUDWGQUFZMWDQUDWHQUFZCPZWKWNXGWOXHCWNNMOQUDUEQUFZDPZXG
        AXJNDHUHNTSZOTSZUETSZXKXGULVHVMUEVIVJZNOUEDFGLVKVNUSWOWCMNQUDRQUFZDPZXH
        BXPWCDIUHWCTSZXLRTSZXQXHULXMXRVMOVLVOZVHVPWCNRDFGLVKVNUSVQWBTSZWDTSZWGT
        SZWHTSZXIWKULXLXMYAVHVMNOVRVAXRXLYBXTVHWCNVRVAXLXNYCVHXONUEVRVAXRXSYDXT
        VPWCRVRVAWBWDWGWHCFGKVSVTUSJWA $.
    $}

    ${
      zlmodzxzldeplem.f $e |- F = { <. A , 2 >. , <. B , -u 3 >. } $.
      $( Lemma 1 for ~ zlmodzxzldep .  (Contributed by AV, 24-May-2019.)
         (Revised by AV, 10-Jun-2019.) $)
      zlmodzxzldeplem1 $p |- F e. ( ZZ ^m { A , B } ) $=
        ( cz cvv wcel cpr prex wa wf c2 c3 cc0 cop a1i cmap co zex cneg wss wne
        c1 c6 eqeltri c4 pm3.2i 2z 3nn0 nn0negzi zlmodzxzldeplem w3a fprg feq1i
        sylibr syl3anc prssi mp2an fss sylancl elmapg mpbird ) IJKZABLZJKZCIVHU
        AUBKZUCABMVGVINZVJVHICOZVKVHPQUDZLZCOZVNIUEZVLVKAJKZBJKZNZPIKZVMIKZNZAB
        UFZVOVSVKVQVRARQSZUGUHSZLJFWDWEMUIBRPSZUGUJSZLJGWFWGMUIUKTWBVKVTWAULQUM
        UNZUKTWCVKABDEFGUOTVSWBWCUPVHVNAPSBVMSLZOVOABPVMJJIIUQVHVNCWIHURUSUTVTW
        AVPULWHPVMIVAVBVHVNICVCVDIVHCJJVEVFVB $.

      $( Lemma 2 for ~ zlmodzxzldep .  (Contributed by AV, 24-May-2019.)
         (Revised by AV, 30-Jul-2019.) $)
      zlmodzxzldeplem2 $p |- F finSupp 0 $=
        ( cz cpr cmap co wcel cc0 cfsupp wbr zlmodzxzldeplem1 cvv elmapi a1i
        cfn prfi c0ex fdmfifsupp ax-mp ) CIABJZKLMZCNOPABCDEFGHQUGUFICRNCIUFSUF
        UAMUGABUBTNRMUGUCTUDUE $.

      $d A x $.  $d B x $.  $d F x $.  $d Z x $.
      $( Lemma 3 for ~ zlmodzxzldep .  (Contributed by AV, 24-May-2019.)
         (Revised by AV, 10-Jun-2019.) $)
      zlmodzxzldeplem3 $p |- ( F ( linC ` Z ) { A , B } ) = ( 0g ` Z ) $=
        ( cpr cfv co cvv wcel wceq zring cc0 cz ax-mp cop c2 vx clinc cmpt cgsu
        cv cvsca cplusg c0g csca cbs cmap cpw c1 cfrlm eqeltri zlmodzxzldeplem1
        ovex clmod wa zlmodzxzlmod simpr eqcomd fveq2i zringbas eqcomi eleqtrri
        eqtri oveq1i c3 c6 c4 3z 6nn nnzi zlmodzxzel mp2an 2z 4z eleq1i anbi12i
        mpbir2an prelpwi lincval mp3an ccmn wne w3a adantr prex zlmodzxzldeplem
        lmodcmn 3pm3.2i simpli wf elmapi prid1 ffvelrn mpan2 mp2b eqid lmodvscl
        prid2 pm3.2i fveq2 oveq12d gsumpr cneg fveq1i fvpr1 negex fvpr2 oveq12i
        id 2ex zlmodzxz0 zlmodzxzequap 3eqtri ) CABIZDUBJKZDUAXRUAUEZCJZXTDUFJZ
        KZUCUDKZACJZAYBKZBCJZBYBKZDUGJZKZDUHJZDLMCDUIJZUJJZXRUKKZMXRDUJJZULMZXS
        YDNDOPUMIZUNKLEOYQUNUQUOCQXRUKKZYNABCDEFGHUPZYMQXRUKYMOUJJZQYLOUJDURMZO
        YLNZUSZYLONDEUTZUUCOYLUUAUUBVAZVBRVCQYTVDVEZVGVHVFAYOMZBYOMZUSZYPUUIPVI
        SZUMVJSZIZYOMZPTSZUMVKSZIZYOMZVIQMVJQMUUMVLVJVMVNVIVJDEVOVPZTQMVKQMUUQV
        QVRTVKDEVOVPZUUGUUMUUHUUQAUULYOFVSBUUPYOGVSVTWAABYOWBRUACDXRLWCWDDWEMZA
        LMZBLMZABWFZWGYFYOMZYHYOMZUSYDYJNUUCUUTUUDUUAUUTUUBDWKWHRUVAUVBUVCAUULL
        FUUJUUKWIUOZBUUPLGUUNUUOWIUOZABDEFGWJZWLUVDUVEUUAYEYMMUUGUVDUUAUUBUUDWM
        ZYEQYMCYRMZXRQCWNZYEQMZYSCQXRWOZUVKAXRMUVLABUVFWPXRQACWQWRWSYMYTQYLOUJO
        YLUUCUUBUUDUUERVEVCUUFVGZVFAUULYOFUURUOYEYBYLYMYODAYOWTZYLWTZYBWTZYMWTZ
        XAWDUUAYGYMMUUHUVEUVIYGQYMUVJUVKYGQMZYSUVMUVKBXRMUVSABUVGXBXRQBCWQWRWSU
        VNVFBUUPYOGUUSUOYGYBYLYMYODBUVOUVPUVQUVRXAWDXCYCYOYFYHYIUADABLLUVOYIWTZ
        XTANZYAYEXTAYBXTACXDUWAXMXEXTBNZYAYGXTBYBXTBCXDUWBXMXEXFWDYJTAYBKZVIXGZ
        BYBKZYIKYKYFUWCYHUWEYIYETAYBYEAATSBUWDSIZJZTACUWFHXHUVCUWGTNUVHABTUWDUV
        FXNXIRVGVHYGUWDBYBYGBUWFJZUWDBCUWFHXHUVCUWHUWDNUVHABTUWDUVGVIXJXKRVGVHX
        LABYIYBYKDEFGPPSUMPSIZYKUWIDEUWIWTXOVEUVTUVQXPVGXQ $.

      $d A y $.  $d B y $.  $d F y $.
      $( Lemma 4 for ~ zlmodzxzldep .  (Contributed by AV, 24-May-2019.)
         (Revised by AV, 10-Jun-2019.) $)
      zlmodzxzldeplem4 $p |- E. y e. { A , B } ( F ` y ) =/= 0 $=
        ( cvv wcel cfv cc0 wne cpr c3 cop c2 wceq neeq1d cv c1 c6 eqeltri c4 wa
        wrex prex 2ne0 cneg fveq1i zlmodzxzldeplem 2ex fvpr1 mp1i syl5eq mpbiri
        wo orcd fveq2 rexprg mpbird mp2an ) BJKZCJKZAUAZDLZMNZABCOUGZBMPQZUBUCQ
        ZOJGVJVKUHUDZCMRQZUBUEQZOJHVMVNUHUDVDVEUFZVIBDLZMNZCDLZMNZURVOVQVSVOVQR
        MNUIVOVPRMVOVPBBRQCPUJZQOZLZRBDWAIUKBCNWBRSVOBCEFGHULBCRVTVLUMUNUOUPTUQ
        USVHVQVSABCJJVFBSVGVPMVFBDUTTVFCSVGVRMVFCDUTTVAVBVC $.
    $}

    $d A x y $.  $d B x y $.  $d Z x y $.
    $( { A , B } is a linearly dependent set within the ` ZZ `-module
       ` ZZ X. ZZ ` (see example in [Roman] p. 112).  (Contributed by AV,
       22-May-2019.)  (Revised by AV, 10-Jun-2019.) $)
    zlmodzxzldep $p |- { A , B } linDepS Z $=
      ( vx vy cpr cc0 cfv co wceq cz c2 cop c3 wcel mp2an zring clindeps wbr cv
      cfsupp clinc c0g wne wrex w3a cmap cneg zlmodzxzldeplem1 zlmodzxzldeplem2
      zlmodzxzldeplem3 zlmodzxzldeplem4 3pm3.2i breq1 oveq1 eqeq1d fveq1 neeq1d
      eqid rexbidv 3anbi123d rspcev cvv cbs cpw wb c1 cfrlm ovex eqeltri c6 6nn
      3z nnzi zlmodzxzel c4 2z 4z prelpwi clmod csca zlmodzxzlmod simpri zring0
      zringbas islindeps mpbir ) ABIZCUAUBZGUCZJUDUBZWMWKCUEKZLZCUFKZMZHUCZWMKZ
      JUGZHWKUHZUIZGNWKUJLZUHZAOPBQUKPIZXDRXFJUDUBZXFWKWOLZWQMZWSXFKZJUGZHWKUHZ
      UIZXEABXFCDEFXFVBZULXGXIXLABXFCDEFXNUMABXFCDEFXNUNHABXFCDEFXNUOUPXCXMGXFX
      DWMXFMZWNXGWRXIXBXLWMXFJUDUQXOWPXHWQWMXFWKWOURUSXOXAXKHWKXOWTXJJWSWMXFUTV
      AVCVDVESCVFRWKCVGKZVHRZWLXEVICTJVJIZVKLVFDTXRVKVLVMAXPRBXPRXQAJQPVJVNPIZX
      PEQNRVNNRXSXPRVPVNVOVQQVNCDVRSVMBJOPVJVSPIZXPFONRVSNRXTXPRVTWAOVSCDVRSVMA
      BXPWBSHXPTWKGNCVFJWQXPVBWQVBCWCRTCWDKMCDWEWFWHWGWISWJ $.

    $d A i $.  $d B i $.  $d F i $.  $d Z i $.
    $( Lemma 1 for ~ ldepsnlinc .  (Contributed by AV, 25-May-2019.)  (Revised
       by AV, 10-Jun-2019.) $)
    ldepsnlinclem1 $p |- ( F e. ( ( Base ` ZZring ) ^m { B } )
                             -> ( F ( linC ` Z ) { B } ) =/= A ) $=
      ( vi zring cfv co wcel wne cop wceq wa cc0 c2 cz eqid cbs csn cmap elmapi
      wf clinc c1 c4 cpr cvv prex eqeltri cvsca oveq1 adantl clmod zlmodzxzlmod
      fsn2 csca simpli a1i 2z 4z zlmodzxzel mp2an simpl simpri lincvalsng eqtrd
      syl3anc cv wral csg zlmodzxznm r19.26 neeq1d rspcv zringbas eqcomi eleq2i
      wi biimpi adantr syl11 sylbi ax-mp eqnetrd syl ) CIUAJZBUBZUCKLWJWICUEZCW
      JDUFJZKZAMZCWIWJUDWKBCJZWILZCBWONUBZOZPZWNBWICBQRNZUGUHNZUIZUJGWTXAUKULUR
      WSWMWOBDUMJZKZAWSWMWQWJWLKZXDWRWMXEOWPCWQWJWLUNUOWSDUPLZBDUAJZLZWPXEXDOXF
      WSXFIDUSJOZDEUQZUTVAXHWSBXBXGGRSLUHSLXBXGLVBVCRUHDEVDVEULVAWPWRVFXGWIIXCD
      BWOXGTXFXIXJVGWITXCTZVHVJVIHVKZAXCKBMZXLBXCKZAMZPHSVLZWSXDAMZWAZABXCHDVMJ
      ZQQNUGQNUIZDEXTTXKXSTFGVNXPXMHSVLZXOHSVLZPXRXMXOHSVOYBXRYAWOSLZYBXQWSXOXQ
      HWOSXLWOOXNXDAXLWOBXCUNVPVQWPYCWRWPYCWISWOSWIVRVSVTWBWCWDUOWEWFWGWEWH $.

    $( Lemma 2 for ~ ldepsnlinc .  (Contributed by AV, 25-May-2019.)  (Revised
       by AV, 10-Jun-2019.) $)
    ldepsnlinclem2 $p |- ( F e. ( ( Base ` ZZring ) ^m { A } )
                             -> ( F ( linC ` Z ) { A } ) =/= B ) $=
      ( vi zring cfv co wcel wne cop wceq wa cc0 c6 cz eqid cbs csn cmap elmapi
      wf clinc c3 c1 cpr cvv prex eqeltri cvsca oveq1 adantl clmod zlmodzxzlmod
      fsn2 csca simpli a1i 3z 6nn nnzi zlmodzxzel mp2an simpl simpri lincvalsng
      syl3anc eqtrd cv wral wi csg zlmodzxznm r19.26 neeq1d rspcv eqcomi eleq2i
      zringbas biimpi adantr syl11 sylbi ax-mp eqnetrd syl ) CIUAJZAUBZUCKLWKWJ
      CUEZCWKDUFJZKZBMZCWJWKUDWLACJZWJLZCAWPNUBZOZPZWOAWJCAQUGNZUHRNZUIZUJFXAXB
      UKULURWTWNWPADUMJZKZBWTWNWRWKWMKZXEWSWNXFOWQCWRWKWMUNUOWTDUPLZADUAJZLZWQX
      FXEOXGWTXGIDUSJOZDEUQZUTVAXIWTAXCXHFUGSLRSLXCXHLVBRVCVDUGRDEVEVFULVAWQWSV
      GXHWJIXDDAWPXHTXGXJXKVHWJTXDTZVIVJVKHVLZAXDKZBMZXMBXDKAMZPHSVMZWTXEBMZVNZ
      ABXDHDVOJZQQNUHQNUIZDEYATXLXTTFGVPXQXOHSVMZXPHSVMZPXSXOXPHSVQYBXSYCWPSLZY
      BXRWTXOXRHWPSXMWPOXNXEBXMWPAXDUNVRVSWQYDWSWQYDWJSWPSWJWBVTWAWCWDWEWDWFWGW
      HWFWI $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Differences between (left) modules and (left) vector spaces
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The class of all (left) vector spaces is a proper subclass of the class of
     all (left) modules.  Although it is obvious (and proven by ~ lveclmod )
     that every left vector space is a left module, there is (at least) one
     left module which is no left vector space, for example the zero module
     over the zero ring, see ~ lmod1zrnlvec .  (Contributed by AV,
     29-Apr-2019.) $)
  lvecpsslmod $p |- LVec C. LMod $=
    ( vv vi vz clvec clmod wpss wss wne cv lveclmod cvv wcel wa cnx cfv csn cop
    ctp vex eqid ssriv cbs cplusg csca cmulr cun wn pm3.2i lmod1zr lmod1zrnlvec
    cvsca wnel df-nel sylib jca nelne1 necomd mp2b df-pss mpbir2an ) DEFDEGDEHZ
    ADEAIJUABIZKLZCIZKLZMZNUBOZVBPQNUCOZVBVBQVBQPQNUDOVGVDPQVHVDVDQVDQPZQNUEOVI
    QRZQRNUKOVDVBQVBQPQPUFZELZVKDLUGZMZVAVCVEBSCSUHVFVLVMVJVBVKKKVDVJTZVKTZUIVF
    VKDULVMVJVBVKKKVDVOVPUJVKDUMUNUOVNEDVKEDUPUQURDEUSUT $.

  ${
    $d f m s v $.
    $( The reverse implication of ~ islindeps2 does not hold for arbitrary
       (left) modules, see note in [Roman] p. 112:  "... if a nontrivial linear
       combination of the elements ... in an R-module M is 0, ... where not all
       of the coefficients are 0, then we cannot conclude ... that one of the
       elements ... is a linear combination of the others."  This means that
       there is at least one left module having a linearly dependent subset in
       which there is at least one element which is not a linear combinantion
       of the other elements of this subset.  Such a left module can be
       constructed by using ~ zlmodzxzequa and ~ zlmodzxznm .  (Contributed by
       AV, 25-May-2019.)  (Revised by AV, 30-Jul-2019.) $)
    ldepsnlinc $p |- E. m e. LMod E. s e. ~P ( Base ` m ) ( s linDepS m
            /\ A. v e. s A. f e. ( ( Base ` ( Scalar ` m ) ) ^m ( s \ { v } ) )
               ( f finSupp ( 0g ` ( Scalar ` m ) )
                 -> ( f ( linC ` m ) ( s \ { v } ) ) =/= v ) ) $=
      ( zring cpr co wcel clindeps wbr cfv wne wi cbs cmap wral mp2an raleqbidv
      wceq oveq2d cc0 c1 cfrlm clmod cv csca c0g cfsupp csn cdif clinc cpw wrex
      wa eqid zlmodzxzlmod simpli c3 cop c6 c2 c4 cz 3z nnzi zlmodzxzel prelpwi
      2z 4z zlmodzxzldep ldepsnlinclem1 simpr eqcomd ax-mp fveq2i oveq1i eleq2s
      6nn rgen ldepsnlinclem2 prex sneq difeq2d zlmodzxzldeplem difprsn1 eqtrdi
      a1d id neeq12d imbi2d difprsn2 ralpr mpbir2an pm3.2i breq1 difeq1 anbi12d
      neeq1d rspcev fveq2 pweqd 2fveq3 oveq1d breq2d imbi12d ralbidv rexeqbidv
      breq2 oveqd ) EUAUBFUCGZUDHZDUEZXJIJZBUEZXJUFKZUGKZUHJZXNXLAUEZUIZUJZXJUK
      KZGZXRLZMZBXONKZXTOGZPZAXLPZUNZDXJNKZULZUMZXLCUEZIJZXNYMUFKZUGKZUHJZXNXTY
      MUKKZGZXRLZMZBYONKZXTOGZPZAXLPZUNZDYMNKZULZUMZCUDUMXKEXOSZXJXJUOZUPZUQUAU
      RUSZUBUTUSZFZUAVAUSZUBVBUSZFZFZYKHZUUSXJIJZXQXNUUSXSUJZYAGZXRLZMZBYEUVBOG
      ZPZAUUSPZUNZYLUUOYJHZUURYJHZUUTURVCHUTVCHUVJVDUTVRVEURUTXJUUKVFQVAVCHVBVC
      HUVKVHVIVAVBXJUUKVFQUUOUURYJVGQUVAUVHUUOUURXJUUKUUOUOZUURUOZVJUVHXQXNUURU
      IZYAGZUUOLZMZBYEUVNOGZPZXQXNUUOUIZYAGZUURLZMZBYEUVTOGZPZUVQBUVRXNUVRHUVPX
      QUVPXNENKZUVNOGUVRUUOUURXNXJUUKUVLUVMVKYEUWFUVNOXOENXKUUJUNZXOESUULUWGEXO
      XKUUJVLVMVNVOZVPVQWGVSUWCBUWDXNUWDHUWBXQUWBXNUWFUVTOGUWDUUOUURXNXJUUKUVLU
      VMVTYEUWFUVTOUWHVPVQWGVSUVGUVSUWEAUUOUURUUMUUNWAUUPUUQWAXRUUOSZUVEUVQBUVF
      UVRUWIUVBUVNYEOUWIUVBUUSUVTUJZUVNUWIXSUVTUUSXRUUOWBWCUUOUURLZUWJUVNSUUOUU
      RXJUUKUVLUVMWDZUUOUURWEVNWFZTUWIUVDUVPXQUWIUVCUVOXRUUOUWIUVBUVNXNYAUWMTUW
      IWHWIWJRXRUURSZUVEUWCBUVFUWDUWNUVBUVTYEOUWNUVBUUSUVNUJZUVTUWNXSUVNUUSXRUU
      RWBWCUWKUWOUVTSUWLUUOUURWKVNWFZTUWNUVDUWBXQUWNUVCUWAXRUURUWNUVBUVTXNYAUWP
      TUWNWHWIWJRWLWMWNYIUVIDUUSYKXLUUSSZXMUVAYHUVHXLUUSXJIWOUWQYGUVGAXLUUSUWQW
      HUWQYDUVEBYFUVFUWQXTUVBYEOXLUUSXSWPZTUWQYCUVDXQUWQYBUVCXRUWQXTUVBXNYAUWRT
      WRWJRRWQWSQUUIYLCXJUDYMXJSZUUFYIDUUHYKUWSUUGYJYMXJNWTXAUWSYNXMUUEYHYMXJXL
      IXHUWSUUDYGAXLUWSUUAYDBUUCYFUWSUUBYEXTOYMXJNUFXBXCUWSYQXQYTYCUWSYPXPXNUHY
      MXJUGUFXBXDUWSYSYBXRUWSYRYAXNXTYMXJUKWTXIWRXERXFWQXGWSQ $.

    $( For (left) vector spaces, ~ isldepslvec2 provides an alternative
       definition of being a linearly dependent subset, whereas ~ ldepsnlinc
       indicates that there is not an analogous alternative definition for
       arbitrary (left) modules.  (Contributed by AV, 25-May-2019.)  (Revised
       by AV, 30-Jul-2019.) $)
    ldepslinc $p |- ( A. m e. LVec A. s e. ~P ( Base ` m ) ( s linDepS m
           <-> E. v e. s E. f e. ( ( Base ` ( Scalar ` m ) ) ^m ( s \ { v } ) )
               ( f finSupp ( 0g ` ( Scalar ` m ) )
                 /\ ( f ( linC ` m ) ( s \ { v } ) ) = v ) )
                      /\ -. A. m e. LMod A. s e. ~P ( Base ` m ) ( s linDepS m
           <-> E. v e. s E. f e. ( ( Base ` ( Scalar ` m ) ) ^m ( s \ { v } ) )
                             ( f finSupp ( 0g ` ( Scalar ` m ) )
                               /\ ( f ( linC ` m ) ( s \ { v } ) ) = v ) ) ) $=
      ( cv wbr cfv c0g co wa cbs wrex wral clvec clmod wn eqid wo bitri rexbii
      clindeps csca cfsupp csn cdif clinc wceq cmap wb wcel isldepslvec2 bicomd
      cpw rgen2 wne wi ldepsnlinc df-ne imbi2i imnan ralbii ralnex 2rexbii mpbi
      anbi2i orci r19.43 mpbir xor bicomi rexnal pm3.2i ) DEZCEZUAFZBEZVNUBGZHG
      ZUCFZVPVMAEZUDUEZVNUFGIZVTUGZJZBVQKGZWAUHIZLZAVMLZUIZDVNKGZUMZMZCNMWLCOMP
      ZWICDNWKVNNUJVMWKUJJWHVOWJVQVMBWEVNVRVNHGZAWJQWNQVQQWEQVRQUKULUNVOWHPZJZW
      HVOPJZRZDWKLZCOLZWMWTWPDWKLZWQDWKLZRZCOLZXDXACOLZXBCOLZRXEXFVOVSWBVTUOZUP
      ZBWFMZAVMMZJZDWKLCOLXEABCDUQXKWPCDOWKXJWOVOXJWGPZAVMMWOXIXLAVMXIWDPZBWFMX
      LXHXMBWFXHVSWCPZUPXMXGXNVSWBVTURUSVSWCUTSVAWDBWFVBSVAWGAVMVBSVEVCVDVFXAXB
      COVGVHWSXCCOWPWQDWKVGTVHWTWLPZCOLWMWSXOCOWSWIPZDWKLXOWRXPDWKXPWRVOWHVIVJT
      WIDWKVKSTWLCOVKSVDVL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Complexity theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Auxiliary theorems
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d F x $.  $d V x $.  $d W x $.  $d Z x $.
    $( If the range of a function does not contain the zero, the support of the
       function equals its domain.  (Contributed by AV, 20-May-2020.) $)
    suppdm $p |- ( ( ( Fun F /\ F e. V /\ Z e. W ) /\ Z e/ ran F )
                   -> ( F supp Z ) = dom F ) $=
      ( vx wfun wcel w3a crn wnel wa csupp co cv cfv wne cdm crab wceq suppval1
      adantr wn df-nel fvelrn 3ad2antl1 eleq1 eqcoms syl5ibrcom necon3bd syl5bi
      wral wb impancom ralrimiv rabid2 sylibr eqtr4d ) AFZABGZDCGZHZDAIZJZKZADL
      MZENZAOZDPZEAQZRZVIVAVEVJSVCEBCADTUAVDVHEVIUKVIVJSVDVHEVIVAVFVIGZVCVHVCDV
      BGZUBVAVKKZVHDVBUCVMVLVGDVMVLVGDSVGVBGZURUSVKVNUTVFAUDUEVLVNULDVGDVGVBUFU
      GUHUIUJUMUNVHEVIUOUPUQ $.
  $}

  $( An integer greater than 1 is a complex number not equal to 0 or 1.
     (Contributed by AV, 23-May-2020.) $)
  eluz2cnn0n1 $p |- ( B e. ( ZZ>= ` 2 ) -> B e. ( CC \ { 0 , 1 } ) ) $=
    ( cn wcel c1 wne wa cc cc0 w3a c2 cuz cfv cdif nncn adantr nnne0 simpr 3jca
    cpr eluz2b3 eldifpr 3imtr4i ) ABCZADEZFZAGCZAHEZUDIAJKLCAGHDSMCUEUFUGUDUCUF
    UDANOUCUGUDAPOUCUDQRATAGHDUAUB $.

  $( The ratio of a real number to a positive real number is greater than or
     equal to 1 iff the divisor (the positive real number) is less than or
     equal to the dividend (the real number).  (Contributed by AV,
     26-May-2020.) $)
  divge1b $p |- ( ( A e. RR+ /\ B e. RR ) -> ( A <_ B <-> 1 <_ ( B / A ) ) ) $=
    ( crp wcel cr wa cle c1 cmul co cdiv wceq rpcn mulid2d eqcomd adantr breq1d
    wbr cc0 clt wb 1red simpr rpregt0 lemuldiv syl3anc bitrd ) ACDZBEDZFZABGRHA
    IJZBGRZHBAKJGRZUJAUKBGUHAUKLUIUHUKAUHAAMNOPQUJHEDUIAEDSATRFZULUMUAUJUBUHUIU
    CUHUNUIAUDPHBAUEUFUG $.

  $( The ratio of a real number to a positive real number is greater than 1 iff
     the divisor (the positive real number) is less than the dividend (the real
     number).  (Contributed by AV, 30-May-2020.) $)
  divgt1b $p |- ( ( A e. RR+ /\ B e. RR ) -> ( A < B <-> 1 < ( B / A ) ) ) $=
    ( crp wcel cr wa clt wbr c1 cmul cdiv rpcn adantr mulid2d eqcomd breq1d cc0
    co cc wb 1red simpr rpregt0 ltmuldiv syl3anc bitrd ) ACDZBEDZFZABGHIAJRZBGH
    ZIBAKRGHZUIAUJBGUIUJAUIAUGASDUHALMNOPUIIEDUHAEDQAGHFZUKULTUIUAUGUHUBUGUMUHA
    UCMIBAUDUEUF $.

  $( Equivalence for the "less than" relation between differences and sums.
     (Contributed by AV, 6-Jun-2020.) $)
  ltsubaddb $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) )
                    -> ( ( A - C ) < ( B - D ) <-> ( A + D ) < ( B + C ) ) ) $=
    ( cr wcel wa cmin co caddc clt wbr simplr recnd simprl simprr eqcomd breq2d
    addsubd simpll resubcl ad2ant2l ltsubaddd readdcl ad2ant2lr ltaddsubd
    3bitr4d ) AEFZBEFZGZCEFZDEFZGZGZABDHIZCJIZKLABCJIZDHIZKLACHIUOKLADJIUQKLUNU
    PURAKUNURUPUNBCDUNBUHUIUMMNUNCUJUKULOZNUNDUJUKULPZNSQRUNACUOUHUIUMTZUSUIULU
    OEFUHUKBDUAUBUCUNADUQVAUTUIUKUQEFUHULBCUDUEUFUG $.

  $( Equivalence for the "less than" relation between differences.
     (Contributed by AV, 6-Jun-2020.) $)
  ltsubsubb $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) )
                    -> ( ( A - C ) < ( B - D ) <-> ( A - B ) < ( C - D ) ) ) $=
    ( cr wcel wa cmin co caddc clt wbr cc wceq simprl simprr simplr w3a resubcl
    recnd subadd23 eqcomd syl3anc breq2d ad2ant2l ltsubadd2d ltsubaddd 3bitr4d
    simpll adantl ) AEFZBEFZGZCEFZDEFZGZGZACBDHIZJIZKLACDHIZBJIZKLACHIURKLABHIU
    TKLUQUSVAAKUQCMFZDMFZBMFZUSVANUQCUMUNUOOZTUQDUMUNUOPTUQBUKULUPQZTVBVCVDRVAU
    SCDBUAUBUCUDUQACURUKULUPUIZVEULUOUREFUKUNBDSUEUFUQABUTVGVFUPUTEFUMCDSUJUGUH
    $.

  $( Equivalence for the "less than" relation between differences and sums.
     (Contributed by AV, 6-Jun-2020.) $)
  ltsubadd2b $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) )
                    -> ( ( D - C ) < ( B - A ) <-> ( A + D ) < ( B + C ) ) ) $=
    ( cr wcel wa cmin co caddc clt wbr simpr recnd adantr adantl addsubd eqcomd
    cc simpl breq2d simprr simprl resubcl ancoms ltsubaddd ad2ant2lr ltaddsub2d
    readdcl 3bitr4d ) AEFZBEFZGZCEFZDEFZGZGZDBAHIZCJIZKLDBCJIZAHIZKLDCHIURKLADJ
    IUTKLUQUSVADKUQVAUSUQBCAUMBSFUPUMBUKULMNOUPCSFUMUPCUNUOTNPUMASFUPUMAUKULTZN
    OQRUAUQDCURUMUNUOUBZUMUNUOUCUMUREFZUPULUKVDBAUDUEOUFUQADUTUMUKUPVBOVCULUNUT
    EFUKUOBCUIUGUHUJ $.

  $( Distribution of division over subtraction by 1.  (Contributed by AV,
     6-Jun-2020.) $)
  divsub1dir $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 )
                     -> ( ( A / B ) - 1 ) = ( ( A - B ) / B ) ) $=
    ( cc wcel cc0 wne w3a cdiv co c1 cmin wa wceq 3simpc divid eqcomd divsubdir
    syl oveq2d syld3an3 eqtr4d ) ACDZBCDZBEFZGZABHIZJKIUFBBHIZKIZABKIBHIZUEJUGU
    FKUEUGJUEUCUDLZUGJMUBUCUDNZBORPSUBUCUDUJUIUHMUKABBQTUA $.

  $( An integer greater than 1 to the power of a negative integer is in the
     closed-below, open-above interval between 0 and 1.  (Contributed by AV,
     24-May-2020.) $)
  expnegico01 $p |- ( ( B e. ( ZZ>= ` 2 ) /\ N e. ZZ /\ N < 0 )
                      -> ( B ^ N ) e. ( 0 [,) 1 ) ) $=
    ( c2 cuz cfv wcel cz cc0 clt wbr w3a cexp co c1 cico cr cle adantr 3ad2ant1
    wa eluzelre eluz2nn nnne0d simpr 3jca 3adant3 reexpclz 0red simp2 reexpclzd
    wne syl nngt0d expgt0 syl3anc ltled eluz2gt1 ltexp2a syl32anc wceq eluzelcn
    0zd simp3 exp0d eqcomd breqtrrd cxr wb 0re 1xr pm3.2i elico2 mp1i mpbir3and
    ) ACDEFZBGFZBHIJZKZABLMZHNOMFZVSPFZHVSQJZVSNIJZVRAPFZAHUKZVPKZWAVOVPWFVQVOV
    PTWDWEVPVOWDVPCAUAZRVOWEVPVOAAUBZUCZRVOVPUDUEUFABUGULVRHVSVRUHVRABVOVPWDVQW
    GSZVOVPWEVQWISVOVPVQUIZUJVRWDVPHAIJZHVSIJWJWKVOVPWLVQVOAWHUMSABUNUOUPVRVSAH
    LMZNIVRWDVPHGFNAIJZVQVSWMIJWJWKVRVBVOVPWNVQAUQSVOVPVQVCABHURUSVOVPNWMUTVQVO
    WMNVOACAVAVDVESVFHPFZNVGFZTVTWAWBWCKVHVRWOWPVIVJVKHNVSVLVMVN $.

  $( An element of a half-open integer interval is either equal to the left
     bound of the interval or an element of a half-open integer interval with a
     lower bound increased by 1.  (Contributed by AV, 2-Jun-2020.) $)
  elfzolborelfzop1 $p |- ( K e. ( M ..^ N )
                           -> ( K = M \/ K e. ( ( M + 1 ) ..^ N ) ) ) $=
    ( cfzo co wcel cuz cfv cz clt wbr w3a wceq wo elfzo2 cle wi eluz2 wa cr zre
    c1 caddc wb leloe syl2an peano2z adantr ad2antrl simprlr simpl zltp1le 3jca
    mpbid simplrr simpr 3anbi1i bitri syl3anbrc olcd exp31 orc eqcoms 2a1d jaoi
    expd com12 sylbid 3impia sylbi 3imp ) ABCDEFABGHFZCIFZACJKZLABMZABUBUCEZCDE
    FZNZABCOVLVMVNVRVLBIFZAIFZBAPKZLVMVNVRQZQZBARVSVTWAWCVSVTSZWABAJKZBAMZNZWCV
    SBTFATFWAWGUDVTBUAAUABAUEUFWGWDWCWGWDVMWBWEWDVMSZWBQWFWEWHVNVRWEWHSZVNSZVQV
    OWJVPIFZVTVPAPKZLZVMVNVQWIWMVNWIWKVTWLWDWKWEVMVSWKVTBUGUHUIWEVSVTVMUJWIWEWL
    WEWHUKWDWEWLUDWEVMBAULUIUNUMUHWEWDVMVNUOWIVNUPVQAVPGHFZVMVNLWMVMVNLAVPCOWNW
    MVMVNVPARUQURUSUTVAWFVRWHVNVRABVOVQVBVCVDVEVFVGVHVIVJVKVJ $.

  $( 2 to the power of a positive integer decreased by 1 is less than or equal
     to 2 to the power of the integer minus 1.  (Contributed by AV,
     30-May-2020.) $)
  pw2m1lepw2m1 $p |- ( I e. NN -> ( 2 ^ ( I - 1 ) ) <_ ( ( 2 ^ I ) - 1 ) ) $=
    ( cn wcel c2 c1 cmin co cexp clt wbr cle cdiv 1lt2 nncn 1cnd 2cn cz syl2anc
    a1i wb nncand oveq2d cc cc0 wne 2ne0 nnz peano2zm expsubd wceq exp1 3eqtr3d
    syl breqtrrid crp cr 2nn nnm1nn0 nnexpcld nnrpd cn0 2z nnnn0 zexpcl sylancr
    mp1i zred divgt1b mpbird nnzd zltlem1 mpbid ) ABCZDAEFGZHGZDAHGZIJZVOVPEFGK
    JZVMVQEVPVOLGZIJZVMEDVSIMVMDAVNFGZHGDEHGZVSDVMWAEDHVMAEANVMOUAUBVMDAVNDUCCZ
    VMPSDUDUEVMUFSVMAQCVNQCAUGZAUHUMWDUIWCWBDUJVMPDUKVFULUNVMVOUOCVPUPCVQVTTVMV
    OVMDVNDBCVMUQSAURUSZUTVMVPVMDQCAVACVPQCZVBAVCDAVDVEZVGVOVPVHRVIVMVOQCWFVQVR
    TVMVOWEVJWGVOVPVKRVL $.

  $( If an integer is between another integer and its predecessor, the integer
     is equal to the other integer.  (Contributed by AV, 7-Jun-2020.) $)
  zgtp1leeq $p |- ( ( I e. ZZ /\ A e. ZZ )
                      -> ( ( ( A - 1 ) < I /\ I <_ A ) -> I = A ) ) $=
    ( cz wcel wa c1 cmin co clt wbr cle wceq simprr wi wb zlem1lt ancoms adantr
    cr zre biimprcd impcom letri3 syl2an mpbir2and ex ) BCDZACDZEZAFGHBIJZBAKJZ
    EZBALZUIULEUMUKABKJZUIUJUKMULUIUNUJUIUNNUKUIUNUJUHUGUNUJOABPQUARUBUIUMUKUNE
    OZULUGBSDASDUOUHBTATBAUCUDRUEUF $.

  $( An integer can be moved in and out of the floor of a difference.
     (Contributed by AV, 29-May-2020.) $)
  flsubz $p |- ( ( A e. RR /\ N e. ZZ ) -> ( |_ ` ( A - N ) ) =
                ( ( |_ ` A ) - N ) ) $=
    ( cr wcel cz wa cmin co cfl cfv cneg caddc cc wceq zcn negsub syl2an eqcomd
    recn fveq2d znegcl fladdz sylan2 reflcl recnd 3eqtrd ) ACDZBEDZFZABGHZIJABK
    ZLHZIJZAIJZUKLHZUNBGHZUIUJULIUIULUJUGAMDBMDZULUJNUHASBOZABPQRTUHUGUKEDUMUON
    BUAAUKUBUCUGUNMDUQUOUPNUHUGUNAUDUEURUNBPQUF $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The modulo (remainder) operation (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Expressing the floor of a division by the modulo operator.  (Contributed
     by AV, 6-Jun-2020.) $)
  fldivmod $p |- ( ( A e. RR /\ B e. RR+ )
                   -> ( |_ ` ( A / B ) ) = ( ( A - ( A mod B ) ) / B ) ) $=
    ( cr wcel crp wa cdiv cfl cfv cmul cmo caddc cmin wceq rerpdivcl flcld zcnd
    co adantl oveq1d rpcn mulcld modcl recnd pncand addcld subcld cc0 wne rpne0
    cc divmul3d mpbird flpmodeq eqtr3d ) ACDZBEDZFZABGRZHIZBJRZABKRZLRZVBMRZBGR
    ZUTAVBMRZBGRURVEUTNVDVANURVAVBURUTBURUTURUSABOPQZUQBUKDUPBUASZUBZURVBABUCUD
    ZUEURVDUTBURVCVBURVAVBVIVJUFVJUGVGVHUQBUHUIUPBUJSULUMURVDVFBGURVCAVBMABUNTT
    UO $.

  ${
    $d A x $.  $d N x $.
    $( If an integer is 0 modulo a positive integer, this integer must be the
       product of another integer and the modulus.  (Contributed by AV,
       7-Jun-2020.) $)
    mod0mul $p |- ( ( A e. ZZ /\ N e. NN )
                    -> ( ( A mod N ) = 0 -> E. x e. ZZ A = ( x x. N ) ) ) $=
      ( cz wcel cn wa cmo co cc0 wceq cdiv cv cmul wrex cr wb adantl cc adantr
      crp zre nnrp mod0 syl2an simpr oveq1 eqeq2d zcn wne nnne0 divcan1d eqcomd
      nncn rspcedvd ex sylbid ) BDEZCFEZGZBCHIJKZBCLIZDEZBAMZCNIZKZADOZURBPECUA
      EVAVCQUSBUBCUCBCUDUEUTVCVGUTVCGZVFBVBCNIZKZAVBDUTVCUFVDVBKZVFVJQVHVKVEVIB
      VDVBCNUGUHRVHVIBUTVIBKVCUTBCURBSEUSBUITUSCSEURCUNRUSCJUJURCUKRULTUMUOUPUQ
      $.
  $}

  ${
    $d A x y $.  $d N x y $.
    $( If an integer is not 0 modulo a positive integer, this integer must be
       the sum of the product of another integer and the modulus and a positive
       integer less than the modulus.  (Contributed by AV, 7-Jun-2020.) $)
    modn0mul $p |- ( ( A e. ZZ /\ N e. NN ) -> ( ( A mod N ) =/= 0
                -> E. x e. ZZ E. y e. ( 1 ..^ N ) A = ( ( x x. N ) + y ) ) ) $=
      ( cz wcel wa co cc0 wne cv cmul caddc wceq cfzo wrex adantr adantl eqeq2d
      cr cn cmo c1 cdiv cfl cfv zre nnre nnne0 redivcld flcld anim1i fzo1fzo0n0
      zmodfzo sylibr crp anim12i flpmodeq syl eqcomd oveq1 oveq1d oveq2 rspc2ev
      nnrp syl3anc ex ) CEFZDUAFZGZCDUBHZIJZCAKZDLHZBKZMHZNZBUCDOHZPAEPZVJVLGZC
      DUDHZUEUFZEFZVKVRFZCWBDLHZVKMHZNZVSVJWCVLVJWAVJCDVHCTFZVICUGZQVIDTFVHDUHR
      VIDIJVHDUIRUJUKQVTVKIDOHFZVLGWDVJWJVLCDUNULVKDUMUOVTWFCVTWHDUPFZGZWFCNVJW
      LVLVHWHVIWKWIDVEUQQCDURUSUTVQWGCWEVOMHZNABWBVKEVRVMWBNZVPWMCWNVNWEVOMVMWB
      DLVAVBSVOVKNWMWFCVOVKWEMVCSVDVFVG $.

    $( An integer decreased by 1 modulo a positive integer minus the integer
       modulo the same modulus is either -1 or the modulus minus 1.
       (Contributed by AV, 7-Jun-2020.) $)
    m1modmmod $p |- ( ( A e. ZZ /\ N e. NN )
                     -> ( ( ( A - 1 ) mod N ) - ( A mod N ) )
                        = if ( ( A mod N ) = 0 , ( N - 1 ) , -u 1 ) ) $=
      ( vx cz wcel wa cmo co cc0 wceq c1 adantl cr adantr oveq1d caddc cc eqtrd
      cmin wbr vy cn cneg cif oveq2 peano2zm zred crp nnrp modcld recnd subid1d
      cv cmul wrex mod0mul imp wi oveq1 zcn nncn mulcl npcand eqcomd mulsubfacd
      syl2anr zcnd 1cnd addsubassd peano2rem syl addcomd modcyc syl3anc cle clt
      nnre jca nnm1ge0 ltm1d modid syl12anc 3eqtrd sylan9eqr rexlimdva2 3eqtrrd
      mpd wn df-ne cfzo modn0mul oveq12d elfzoelz simprl anim12ci elfzole1 0lt1
      wne 0red 1red ltleletr mpani elfzolt2 cuz cfv w3a elfzo2 eluz2 zre subge0
      biimp3ar sylbi 3ad2ant1 eluzelz ltle syl2an 3impia anim1i 3adant3 zlem1lt
      wb mpbid impcom sub32d subidd df-neg eqtr4di ex rexlimdvva syl5bir ifeqda
      a1d syld ) ADEZBUBEZFZABGHZIJZBKSHZKUCZUDAKSHZBGHZYQSHZYPYRYSYTUUCYPYRFZU
      UCUUBISHZUUBYSYRUUCUUEJYPYQIUUBSUELYPUUEUUBJYRYPUUBYPUUBYPUUABYNUUAMEYOYN
      UUAAUFUGNYOBUHEZYNBUIZLZUJUKULNUUDACUMZBUNHZJZCDUOZUUBYSJZYPYRUULCABUPUQY
      PUULUUMURYRYPUUKUUMCDUUKYPUUIDEZFZUUBUUJKSHZBGHZYSUUKUUAUUPBGAUUJKSUSOUUO
      UUQUUIKSHZBUNHZYSPHZBGHYSUUSPHZBGHZYSUUOUUPUUTBGUUOUUPUUSBPHZKSHUUTUUOUUJ
      UVCKSUUOUUJUUJBSHZBPHZUVCUUOUVEUUJUUOUUJBUUNUUIQEZBQEZUUJQEZYPUUIUTZYOUVG
      YNBVALZUUIBVBZVFYPUVGUUNUVJNZVCVDUUOUVDUUSBPUUOUUIBUUNUVFYPUVILUVLVEOROUU
      OUUSBKUUNUURQEUVGUUSQEYPUUNUURUUIUFZVGUVJUURBVBVFZUVLUUOVHVIROUUOUUTUVABG
      UUOUUSYSUVNYPYSQEZUUNYOUVOYNYOYSYOBMEZYSMEZBVQZBVJVKZUKLNVLOUUOUVBYSBGHZY
      SUUOUVQUUFUURDEZUVBUVTJYPUVQUUNYOUVQYNUVSLNYPUUFUUNUUHNUUNUWAYPUVMLYSBUUR
      VMVNUUOUVQUUFFZIYSVOTZYSBVPTZUVTYSJYPUWBUUNYOUWBYNYOUVQUUFUVSUUGVRLNYPUWC
      UUNYOUWCYNBVSLNYPUWDUUNYOUWDYNYOBUVRVTLNYSBWAWBRWCWDWENWGWFYPYRWHZYTUUCJZ
      UWEYQIWRZYPUWFYQIWIYPUWGAUUJUAUMZPHZJZUAKBWJHZUOCDUOUWFCUAABWKYPUWJUWFCUA
      DUWKYPUUNUWHUWKEZFZFZUWJUWFUWNUWJFZUUCYTUWOUUCUWHKSHZBGHZUWHSHZYTUWJUWNUU
      CUWIKSHZBGHZUWIBGHZSHUWRUWJUUBUWTYQUXASUWJUUAUWSBGAUWIKSUSOAUWIBGUSWLUWNU
      WTUWQUXAUWHSUWNUWTUWPUUJPHZBGHZUWQUWNUWSUXBBGUWNUWSUUJUWPPHUXBUWNUUJUWHKU
      WMUVFUVGUVHYPUUNUVFUWLUVINUVJUVKVFZUWMUWHQEZYPUWLUXEUUNUWLUWHUWHKBWMZVGZL
      LZUWNVHVIUWNUUJUWPUXDUWMUWPQEZYPUWLUXIUUNUWLUWPUWLUWHDEZUWPDEUXFUWHUFVKZV
      GLLVLROUWNUWPMEZUUFUUNUXCUWQJUWMUXLYPUWLUXLUUNUWLUWPUXKUGLZLYPUUFUWMUUHNZ
      YPUUNUWLWNZUWPBUUIVMVNRUWNUXAUWHUUJPHZBGHZUWHBGHZUWHUWNUWIUXPBGUWNUUJUWHU
      XDUXHVLOUWNUWHMEZUUFUUNUXQUXRJUWMUXSYPUWLUXSUUNUWLUWHUXFUGZLZLUXNUXOUWHBU
      UIVMVNUWNUXSUUFFZIUWHVOTZUWHBVPTZFZFUXRUWHJUWNUYBUYEYPUUFUWMUXSUUHUYAWOUW
      MUYEYPUWLUYEUUNUWLUYCUYDUWLKUWHVOTZUYCUWHKBWPUWLIKVPTZUYFUYCWQUWLIMEKMEZU
      XSUYGUYFFUYCURUWLWSUWLWTUXTIKUWHXAVNXBWGUWHKBXCVRLLVRUWHBWAVKWCWLWDUWNUWR
      YTJUWJUWNUWRUWPUWHSHZYTUWNUWQUWPUWHSUWNUXLUUFFIUWPVOTZUWPBVPTZUWQUWPJYPUU
      FUWMUXLUUHUXMWOUWMUYJYPUWLUYJUUNUWLUWHKXDXEEZBDEZUYDXFZUYJUWHKBXGZUYLUYMU
      YJUYDUYLKDEZUXJUYFXFUYJKUWHXHUYPUXJUYJUYFUXJUXSUYHUYJUYFYAUYPUWHXIKXIUWHK
      XJVFXKXLXMXLLLUWMYPUYKUWLYPUYKURZUUNUWLUYNUYQUYOUYNUYKYPUYNUWHBVOTZUYKUYL
      UYMUYDUYRUYLUXSUVPUYDUYRURUYMUYLUWHKUWHXNZUGBXIUWHBXOXPXQUYNUXJUYMFZUYRUY
      KYAUYLUYMUYTUYDUYLUXJUYMUYSXRXSUWHBXTVKYBYLXLLYCUWPBWAWBOUWNUYIIKSHZYTUWM
      UYIVUAJZYPUWLVUBUUNUWLUYIUWHUWHSHZKSHVUAUWLUWHKUWHUXGUWLVHUXGYDUWLVUCIKSU
      WLUWHUXGYEORLLKYFYGRNRVDYHYIYMYJUQYKVD $.
  $}

  $( The difference between an integer modulo a positive integer and the
     integer decreased by 1 modulo the same modulus is less than the modulus
     decreased by 1 (if the modulus is greater than 2).  This theorem would not
     be valid for an odd ` A ` and ` N = 2 ` , since
     ` ( ( A mod N ) - ( ( A - 1 ) mod N ) ) ` would be ` ( 1 - 0 ) = 1 ` which
     is not less than ` ( N - 1 ) = 1 ` .  (Contributed by AV, 6-Jun-2012.) $)
  difmodm1lt $p |- ( ( A e. ZZ /\ N e. NN /\ 2 < N )
                     -> ( ( A mod N ) - ( ( A - 1 ) mod N ) ) < ( N - 1 ) ) $=
    ( co c1 wcel c2 clt wbr w3a cmin wa cc0 cr wb 3ad2ant2 3jca syl adantl jca
    wi cmo wceq cz cn simpl zre 3ad2ant1 nnre 1lt2 1red 2re a1i lttr mpani 3imp
    m1mod0mod1 mpbird oveq12d caddc breq1i biimpi adantr ltaddsub2d mpbid 1m0e1
    df-2 sylibr 3adant1 eqbrtrd wn cle cfz zmodfz 3adant3 elfzle2 crp peano2rem
    nnrp modcld peano2zm zred lesub1 wne modge0 bicomd notbid neqned 0red ltlen
    biimpac ltsubpos resubcld lelttr mp2and pm2.61ian ) ABUACZDUBZAUCEZBUDEZFBG
    HZIZWPADJCZBUACZJCZBDJCZGHZWQXAKZXDDLJCZXEGXGWPDXCLJWQXAUEZXGXCLUBZWQXIXGAM
    EZBMEZDBGHZIZXJWQNZXAXNWQXAXKXLXMWRWSXKWTAUFUGZWSWRXLWTBUHZOWRWSWTXMWSWTXMT
    TWRWSDFGHZWTXMUIWSDMEZFMEZXLIXRWTKXMTWSXSXTXLWSUJXTWSUKULXQPDFBUMQUNULUOPZR
    ABUPZQUQURXAXHXEGHZWQWSWTYCWRWSWTKZDXEGHZYCYDDDUSCZBGHZYEWTYGWSWTYGFYFBGVFU
    TVARYDDDBYDUJZYHWSXLWTXQVBVCVDXHDXEGVEUTVGVHRVIWQVJZXAKZXDXEXCJCZVKHZYKXEGH
    ZXFYJWPXEVKHZYLXAYNYIXAWPLXEVLCEZYNWRWSYOWTABVMVNWPLXEVOQRYJWPMEZXEMEZXCMEZ
    IZYNYLNXAYSYIXAYPYQYRXAABXPWSWRBVPEZWTBVROZVSZWSWRYQWTWSXLYQXQBVQQOZXAXBBWR
    WSXBMEZWTWRXBAVTWAUGZUUAVSZPRWPXEXCWBQVDYJLXCGHZYMYJUUGLXCVKHZXCLWCZKZYJUUH
    UUIYJUUDYTKZUUHXAUUKYIXAUUDYTUUEUUASRXBBWDQYJXCLXAYIXJVJXAWQXJXAXJWQXAXNXOY
    AYBQWEWFWJWGSYJLMEZYRKZUUGUUJNXAUUMYIXAUULYRXAWHUUFSRLXCWIQUQYJYRYQKZUUGYMN
    XAUUNYIXAYRYQUUFUUCSRXCXEWKQVDYJXDMEZYKMEZYQIZYLYMKXFTXAUUQYIXAUUOUUPYQXAWP
    XCUUBUUFWLXAXEXCUUCUUFWLUUCPRXDYKXEWMQWNWO $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Even and odd integers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d N m $.
    $( For each odd nonnegative integer there is a nonnegative integer which,
       multiplied by 2 and increased by 1, results in the odd nonnegative
       integer.  (Contributed by AV, 30-May-2020.) $)
    nn0onn0ex $p |- ( ( N e. NN0 /\ ( ( N + 1 ) / 2 ) e. NN0 )
                      -> E. m e. NN0 N = ( ( 2 x. m ) + 1 ) ) $=
      ( wcel c1 caddc co c2 cdiv cmin cv cmul wceq wrex nn0o wa simpr oveq1d cc
      cn0 syl wb oveq2 eqeq2d adantl nn0cn peano2cnm 2cnd cc0 wne 2ne0 divcan2d
      a1i npcan1 eqtr2d adantr rspcedvd syldan ) BSCZBDEFGHFSCBDIFZGHFZSCZBGAJZ
      KFZDEFZLZASMBNURVAOZVEBGUTKFZDEFZLZAUTSURVAPVBUTLZVEVIUAVFVJVDVHBVJVCVGDE
      VBUTGKUBQUCUDURVIVAURVHUSDEFZBURVGUSDEURUSGURBRCZUSRCBUEZBUFTURUGGUHUIURU
      JULUKQURVLVKBLVMBUMTUNUOUPUQ $.

    $( For each even nonnegative integer there is a nonnegative integer which,
       multiplied by 2, results in the even nonnegative integer.  (Contributed
       by AV, 30-May-2020.) $)
    nn0enn0ex $p |- ( ( N e. NN0 /\ ( N / 2 ) e. NN0 )
                      -> E. m e. NN0 N = ( 2 x. m ) ) $=
      ( cn0 wcel c2 cdiv co wa cv cmul wceq simpr oveq2 adantl eqeq2d cc0 nn0cn
      cc wne 2cnd 2ne0 a1i w3a divcan2 eqcomd syl3anc adantr rspcedvd ) BCDZBEF
      GZCDZHZBEAIZJGZKBEUJJGZKZAUJCUIUKLULUMUJKZHUNUOBUQUNUOKULUMUJEJMNOUIUPUKU
      IBRDZERDZEPSZUPBQUITUTUIUAUBURUSUTUCUOBBEUDUEUFUGUH $.

    $( For each even positive integer there is a positive integer which,
       multiplied by 2, results in the even positive integer.  (Contributed by
       AV, 5-Jun-2023.) $)
    nnennex $p |- ( ( N e. NN /\ ( N / 2 ) e. NN )
                    -> E. m e. NN N = ( 2 x. m ) ) $=
      ( cn wcel c2 cdiv co wa cv cmul wceq simpr wb oveq2 eqeq2d adantl cc0 wne
      cc nncn 2cnd 2ne0 a1i w3a divcan2 eqcomd syl3anc adantr rspcedvd ) BCDZBE
      FGZCDZHZBEAIZJGZKZBEUKJGZKZAUKCUJULLUNUKKZUPURMUMUSUOUQBUNUKEJNOPUJURULUJ
      BSDZESDZEQRZURBTUJUAVBUJUBUCUTVAVBUDUQBBEUEUFUGUHUI $.
  $}

  $( A positive integer is even or odd.  (Contributed by AV, 30-May-2020.) $)
  nneop $p |- ( N e. NN
                -> ( ( N / 2 ) e. NN \/ ( ( N + 1 ) / 2 ) e. NN ) ) $=
    ( cn wcel c1 caddc co c2 cdiv wn nneo biimprd orrd orcomd ) ABCZADEFGHFBCZA
    GHFBCZNOPNPOIAJKLM $.

  $( A positive integer is even or odd.  (Contributed by AV, 30-May-2020.) $)
  nneom $p |- ( N e. NN
                -> ( ( N / 2 ) e. NN \/ ( ( N - 1 ) / 2 ) e. NN0 ) ) $=
    ( cn wcel c2 cdiv co c1 caddc wo cmin cn0 nneop nnnn0 nn0o syl2an ex orim2d
    mpd ) ABCZADEFBCZAGHFDEFZBCZITAGJFDEFKCZIALSUBUCTSUBUCSAKCUAKCUCUBAMUAMANOP
    QR $.

  $( A nonnegative integer is even or odd.  (Contributed by AV,
     27-May-2020.) $)
  nn0eo $p |- ( N e. NN0
                -> ( ( N / 2 ) e. NN0 \/ ( ( N + 1 ) / 2 ) e. NN0 ) ) $=
    ( cn0 wcel c2 cdiv co cz c1 wo cc0 cle wbr simpr a1i divge0 syl22anc adantr
    wa cr elnn0z caddc nn0z zeo syl clt nn0re nn0ge0 2pos sylanbrc ex peano2nn0
    2re nn0red 1red 0le1 addge0d orim12d mpd ) ABCZADEFZGCZAHUAFZDEFZGCZIZUTBCZ
    VCBCZIUSAGCVEAUBAUCUDUSVAVFVDVGUSVAVFUSVARVAJUTKLZVFUSVAMUSVHVAUSASCJAKLDSC
    ZJDUELZVHAUFZAUGZVIUSULNZVJUSUHNZADOPQUTTUIUJUSVDVGUSVDRVDJVCKLZVGUSVDMUSVO
    VDUSVBSCJVBKLVIVJVOUSVBAUKUMUSAHVKUSUNVLJHKLUSUONUPVMVNVBDOPQVCTUIUJUQUR $.

  $( 2 to the power of a positive integer is even.  (Contributed by AV,
     2-Jun-2020.) $)
  nnpw2even $p |- ( N e. NN -> ( ( 2 ^ N ) / 2 ) e. NN ) $=
    ( cn wcel c2 c1 cmin cexp cdiv 2cnd cc0 wne 2ne0 a1i nnz expm1d 2nn nnm1nn0
    co nnexpcld eqeltrrd ) ABCZDAEFRZGRDAGRDHRBUADAUAIDJKUALMANOUADUBDBCUAPMAQS
    T $.

  $( The floor of an even integer divided by 2 is equal to the integer divided
     by 2.  (Contributed by AV, 7-Jun-2020.) $)
  zefldiv2 $p |- ( ( N e. ZZ /\ ( N / 2 ) e. ZZ )
                   -> ( |_ ` ( N / 2 ) ) = ( N / 2 ) ) $=
    ( c2 cdiv co cz wcel cfl cfv wceq flid adantl ) ABCDZEFLGHLIAEFLJK $.

  $( The floor of an odd integer divided by 2 is equal to the integer first
     decreased by 1 and then divided by 2.  (Contributed by AV, 7-Jun-2020.) $)
  zofldiv2 $p |- ( ( N e. ZZ /\ ( ( N + 1 ) / 2 ) e. ZZ )
                   -> ( |_ ` ( N / 2 ) ) = ( ( N - 1 ) / 2 ) ) $=
    ( cz wcel c1 caddc co c2 cdiv wa cfl cfv cmin wceq cc zcn npcan1 eqcomd cc0
    eqtrd wbr syl oveq1d wne peano2zm zcnd 1cnd 2cnne0 a1i divdir fveq2d adantr
    syl3anc cle clt halfge0 halflt1 pm3.2i cr wb zob biimpa halfre flbi2 mpbiri
    sylancl ) ABCZADEFGHFBCZIZAGHFZJKZADLFZGHFZDGHFZEFZJKZVLVFVJVOMVGVFVIVNJVFV
    IVKDEFZGHFZVNVFAVPGHVFANCZAVPMAOVRVPAAPQUAUBVFVKNCDNCGNCGRUCIZVQVNMVFVKAUDU
    EVFUFVSVFUGUHVKDGUIULSUJUKVHVOVLMZRVMUMTZVMDUNTZIZWAWBUOUPUQVHVLBCZVMURCVTW
    CUSVFVGWDAUTVAVBVMVLVCVEVDS $.

  $( The floor of an odd nonnegative integer divided by 2 is equal to the
     integer first decreased by 1 and then divided by 2.  (Contributed by AV,
     1-Jun-2020.)  (Proof shortened by AV, 7-Jun-2020.) $)
  nn0ofldiv2 $p |- ( ( N e. NN0 /\ ( ( N + 1 ) / 2 ) e. NN0 )
                        -> ( |_ ` ( N / 2 ) ) = ( ( N - 1 ) / 2 ) ) $=
    ( cn0 wcel cz c1 caddc co c2 cdiv cfl cfv cmin wceq nn0z zofldiv2 syl2an )
    ABCADCAEFGHIGZDCAHIGJKAELGHIGMQBCANQNAOP $.

  $( The floor of a positive integer divided by 2 is greater than or equal to
     the integer decreased by 1 and then divided by 2.  (Contributed by AV,
     1-Jun-2020.) $)
  flnn0div2ge $p |- ( N e. NN0 -> ( ( N - 1 ) / 2 ) <_ ( |_ ` ( N / 2 ) ) ) $=
    ( c2 cdiv co cn0 wcel c1 cfl cfv cle wbr wa cr syl adantl wceq cz adantr ex
    a1i caddc wo cmin nn0eo wi nn0re peano2rem crp 2rp lem1d lediv1dd nn0z flid
    breqtrrd nn0o rehalfcld cc0 clt wb 2pos pm3.2i lediv1 syl3anc mpbid flwordi
    2re eqbrtrrd syldc jaoi mpcom ) ABCDZEFZAGUADBCDEFZUBAEFZAGUCDZBCDZVKHIZJKZ
    AUDVLVNVRUEVMVLVNVRVLVNLZVPVKVQJVSVOABVNVOMFZVLVNAMFZVTAUFZAUGNZOVNWAVLWBOB
    UHFVSUITVNVOAJKZVLVNAWBUJZOUKVLVQVKPZVNVLVKQFWFVKULVKUMNRUNSVNVMVPEFZVRVNVM
    WGAUOSVNWGVRVNWGLZVPHIZVPVQJWHVPQFZWIVPPWGWJVNVPULOVPUMNWHVPMFZVKMFZVPVKJKZ
    WIVQJKVNWKWGVNVOWCUPRVNWLWGVNAWBUPRVNWMWGVNWDWMWEVNVTWABMFZUQBURKZLZWDWMUSW
    CWBWPVNWNWOVFUTVATVOABVBVCVDRVPVKVEVCVGSVHVIVJ $.

  $( The floor of the half of an odd positive integer is equal to the floor of
     the half of the integer decreased by 1.  (Contributed by AV,
     5-Jun-2012.) $)
  flnn0ohalf $p |- ( ( N e. NN0 /\ ( ( N + 1 ) / 2 ) e. NN0 )
                     -> ( |_ ` ( N / 2 ) ) = ( |_ ` ( ( N - 1 ) / 2 ) ) ) $=
    ( cn0 wcel c1 caddc co c2 cdiv wa cfl cfv cmin nn0ofldiv2 cz wceq nn0o flid
    nn0zd syl eqtr4d ) ABCADEFGHFBCIZAGHFJKADLFGHFZUBJKZAMUAUBNCUCUBOUAUBAPRUBQ
    ST $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The natural logarithm on complex numbers (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Logarithm of a complex power.  Generalization of ~ logcxp .  (Contributed
     by AV, 22-May-2020.) $)
  logcxp0 $p |- ( ( A e. ( CC \ { 0 } ) /\ B e. CC
                    /\ ( B x. ( log ` A ) ) e. ran log )
                 -> ( log ` ( A ^c B ) ) = ( B x. ( log ` A ) ) ) $=
    ( cc cc0 csn cdif wcel clog cfv cmul co crn w3a ccxp ce eldifi 3ad2ant1 wne
    eldifsni simp2 cxpefd fveq2d wceq logef 3ad2ant3 eqtrd ) ACDEZFGZBCGZBAHIJK
    ZHLGZMZABNKZHIUJOIZHIZUJULUMUNHULABUHUIACGUKACUGPQUHUIADRUKACDSQUHUIUKTUAUB
    UKUHUOUJUCUIUJUDUEUF $.

  $( The natural logarithm for a real number greater than 1 is greater than 0.
     (Contributed by AV, 25-May-2020.) $)
  regt1loggt0 $p |- ( B e. ( 1 (,) +oo ) -> 0 < ( log ` B ) ) $=
    ( c1 cpnf cioo co wcel cc0 clog cfv clt wbr cr cxr wa wb 1xr elioopnf ax-mp
    simprbi crp wceq log1 eqcomi a1i breq1d 1rp 0lt1 wi 0red 1red id lttr mpani
    syl3anc imdistani elrp 3imtr4i logltb sylancr bitr4d mpbird ) ABCDEFZGAHIZJ
    KZBAJKZVBALFZVEBMFVBVFVENZOPBAQRZSVBVDBHIZVCJKZVEVBGVIVCJGVIUAVBVIGUBUCUDUE
    VBBTFATFZVEVJOUFVGVFGAJKZNVBVKVFVEVLVFGBJKZVEVLUGVFGLFBLFVFVMVENVLUHVFUIVFU
    JVFUKGBAULUNUMUOVHAUPUQBAURUSUTVA $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Division of functions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c /_f $. $( The class for the division operator of two functions. $)

  $( Extend class notation with the division operator of two functions. $)
  cfdiv $a class /_f $.

  ${
    $d f g $.
    $( Define the division of two functions into the complex numbers.
       (Contributed by AV, 15-May-2020.) $)
    df-fdiv $a |- /_f = ( f e. _V , g e. _V
                          |-> ( ( f oF / g ) |` ( g supp 0 ) ) ) $.
  $}

  ${
    $d F f g x $.  $d G f g x $.  $d V f g x $.  $d W f g x $.
    $( The quotient of two functions into the complex numbers.  (Contributed by
       AV, 15-May-2020.) $)
    fdivval $p |- ( ( F e. V /\ G e. W )
                    -> ( F /_f G ) = ( ( F oF / G ) |` ( G supp 0 ) ) ) $=
      ( vf vg vx wcel wa cvv cv cdiv co cc0 csupp cres cfdiv wceq adantl elex
      cof cmpo df-fdiv a1i oveq12 oveq1 reseq12d adantr wfun cdm cin cfv funmpt
      cmpt offval3 funeqd mpbiri ovex resfunexg sylancl ovmpod ) ACHZBDHZIZEFAB
      JJEKZFKZLUAZMZVFNOMZPZABVGMZBNOMZPZQJQEFJJVJUBRVDEFUCUDVEARZVFBRZIZVJVMRV
      DVPVHVKVIVLVEAVFBVGUEVOVIVLRVNVFBNOUFSUGSVBAJHVCACTUHVCBJHVBBDTSVDVKUIZVL
      JHVMJHVDVQGAUJBUJUKZGKZAULVSBULLMZUNZUIGVRVTUMVDVKWAGLABCDUOUPUQBNOURVKVL
      JUSUTVA $.
  $}

  ${
    $d A x $.  $d F x $.  $d G x $.  $d V x $.
    $( The quotient of two functions into the complex numbers as mapping.
       (Contributed by AV, 16-May-2020.) $)
    fdivmpt $p |- ( ( F : A --> CC /\ G : A --> CC /\ A e. V )
                    -> ( F /_f G ) = ( x e. ( G supp 0 )
                                       |-> ( ( F ` x ) / ( G ` x ) ) ) ) $=
      ( cc wf wcel co cc0 csupp cres cdiv cfv cvv wceq fex eqtrd syl2anc wfn cv
      w3a cfdiv cof cmpt 3adant2 3adant1 wa fdivval offres wss ffn 3ad2ant1 cdm
      suppssdm fdm eqcomd 3ad2ant2 sseqtrrid fnssres ovexd inidm adantl offval
      fvres ) BFCGZBFDGZBEHZUBZCDUCIZCDJKIZLZDVKLZMUDZIZAVKAUAZCNZVPDNZMIUEVICO
      HZDOHZVJVOPVFVHVSVGBFECQUFVGVHVTVFBFEDQUGVSVTUHVJCDVNIVKLVOCDOOUIVKMCDOOU
      JRSVIAVKVKVQVRMVKVLVMOOVICBTZVKBUKZVLVKTVFVGWAVHBFCULUMVIDUNZVKBDJUOVGVFB
      WCPVHVGWCBBFDUPUQURUSZBVKCUTSVIDBTZWBVMVKTVGVFWEVHBFDULURWDBVKDUTSVIDJKVA
      ZWFVKVBVPVKHZVPVLNVQPVIVPVKCVEVCWGVPVMNVRPVIVPVKDVEVCVDR $.

    $( The quotient of two functions into the complex numbers is a function
       into the complex numbers.  (Contributed by AV, 16-May-2020.) $)
    fdivmptf $p |- ( ( F : A --> CC /\ G : A --> CC /\ A e. V )
                     -> ( F /_f G ) : ( G supp 0 ) --> CC ) $=
      ( vx cc wf wcel w3a cc0 csupp co cfdiv cv cfv cdiv cmpt 3ad2ant2 ffvelrnd
      wa simpl1 wss cdm suppssdm fdm sseqtrid sselda simpl2 wne wfn wb ffn 0cnd
      simp3 elsuppfn syl3anc simplbda divcld fmpttd fdivmpt feq1d mpbird ) AFBG
      ZAFCGZADHZIZCJKLZFBCMLZGVGFEVGENZBOZVICOZPLZQZGVFEVGVLFVFVIVGHZTZVJVKVOAF
      VIBVCVDVEVNUAVFVGAVIVDVCVGAUBVEVDCUCVGACJUDAFCUEUFRUGZSVOAFVICVCVDVEVNUHV
      PSVFVNVIAHZVKJUIZVFCAUJZVEJFHVNVQVRTUKVDVCVSVEAFCULRVCVDVEUNVFUMVICDFAJUO
      UPUQURUSVFVGFVHVMEABCDUTVAVB $.

    $( The quotient of two functions into the real numbers is a function into
       the real numbers.  (Contributed by AV, 16-May-2020.) $)
    refdivmptf $p |- ( ( F : A --> RR /\ G : A --> RR /\ A e. V )
                       -> ( F /_f G ) : ( G supp 0 ) --> RR ) $=
      ( vx cr wf wcel w3a cc0 co cfv wa wss 3ad2ant2 ffvelrnd cc ax-resscn a1i
      id csupp cfdiv cv cdiv simpl1 cdm suppssdm fdm sseqtrid sselda simpl2 wne
      cmpt wfn wb ffn simp3 0red elsuppfn syl3anc simplbda redivcld fmpttd wceq
      fssd 3anim123i fdivmpt syl feq1d mpbird ) AFBGZAFCGZADHZIZCJUAKZFBCUBKZGV
      OFEVOEUCZBLZVQCLZUDKZUMZGVNEVOVTFVNVQVOHZMZVRVSWCAFVQBVKVLVMWBUEVNVOAVQVL
      VKVOANVMVLCUFVOACJUGAFCUHUIOUJZPWCAFVQCVKVLVMWBUKWDPVNWBVQAHZVSJULZVNCAUN
      ZVMJFHWBWEWFMUOVLVKWGVMAFCUPOVKVLVMUQVNURVQCDFAJUSUTVAVBVCVNVOFVPWAVNAQBG
      ZAQCGZVMIVPWAVDVKWHVLWIVMVMVKAFQBVKTFQNZVKRSVEVLAFQCVLTWJVLRSVEVMTVFEABCD
      VGVHVIVJ $.

    $( The quotient of two functions into the complex numbers is a partial
       function.  (Contributed by AV, 16-May-2020.) $)
    fdivpm $p |- ( ( F : A --> CC /\ G : A --> CC /\ A e. V )
                  -> ( F /_f G ) e. ( CC ^pm A ) ) $=
      ( cc wf wcel w3a cvv cc0 csupp cfdiv wss cpm cnex a1i simp3 fdivmptf cdm
      co suppssdm wceq fdm eqcomd 3ad2ant2 sseqtrrid elpm2r syl22anc ) AEBFZAEC
      FZADGZHZEIGZUKCJKTZEBCLTZFUNAMUOEANTGUMULOPUIUJUKQABCDRULCSZUNACJUAUJUIAU
      PUBUKUJUPAAECUCUDUEUFEAUNUOIDUGUH $.

    $( The quotient of two functions into the real numbers is a partial
       function.  (Contributed by AV, 16-May-2020.) $)
    refdivpm $p |- ( ( F : A --> RR /\ G : A --> RR /\ A e. V )
                     -> ( F /_f G ) e. ( RR ^pm A ) ) $=
      ( cr wf wcel w3a cvv cc0 csupp co cfdiv wss cpm reex a1i simp3 refdivmptf
      cdm suppssdm wceq fdm eqcomd 3ad2ant2 sseqtrrid elpm2r syl22anc ) AEBFZAE
      CFZADGZHZEIGZUKCJKLZEBCMLZFUNANUOEAOLGUMULPQUIUJUKRABCDSULCTZUNACJUAUJUIA
      UPUBUKUJUPAAECUCUDUEUFEAUNUOIDUGUH $.

    $d X x $.
    $( The function value of a quotient of two functions into the complex
       numbers.  (Contributed by AV, 19-May-2020.) $)
    fdivmptfv $p |- ( ( ( F : A --> CC /\ G : A --> CC /\ A e. V )
                          /\ X e. ( G supp 0 ) )
                        -> ( ( F /_f G ) ` X ) = ( ( F ` X ) / ( G ` X ) ) ) $=
      ( vx cc wf wcel w3a cc0 csupp co wa cv cfv cdiv cfdiv wceq fveq2 cvv cmpt
      fdivmpt adantr oveq12d adantl simpr ovexd fvmptd ) AGBHAGCHADIJZECKLMZIZN
      ZFEFOZBPZUNCPZQMZEBPZECPZQMZUKBCRMZUAUJVAFUKUQUBSULFABCDUCUDUNESZUQUTSUMV
      BUOURUPUSQUNEBTUNECTUEUFUJULUGUMURUSQUHUI $.

    $( The function value of a quotient of two functions into the real numbers.
       (Contributed by AV, 19-May-2020.) $)
    refdivmptfv $p |- ( ( ( F : A --> RR /\ G : A --> RR /\ A e. V )
                             /\ X e. ( G supp 0 ) )
                        -> ( ( F /_f G ) ` X ) = ( ( F ` X ) / ( G ` X ) ) ) $=
      ( vx cr wf wcel w3a co cfv cdiv wceq cc id ax-resscn a1i fssd fveq2 csupp
      cc0 wa cv cfdiv cvv wss 3anim123i fdivmpt syl adantr oveq12d adantl simpr
      cmpt ovexd fvmptd ) AGBHZAGCHZADIZJZECUBUAKZIZUCZFEFUDZBLZVECLZMKZEBLZECL
      ZMKZVBBCUEKZUFVAVLFVBVHUONZVCVAAOBHZAOCHZUTJVMURVNUSVOUTUTURAGOBURPGOUGZU
      RQRSUSAGOCUSPVPUSQRSUTPUHFABCDUIUJUKVEENZVHVKNVDVQVFVIVGVJMVEEBTVEECTULUM
      VAVCUNVDVIVJMUPUQ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Upper bounds
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c _O $. $( The class of the "big-O" function. $)

  $( Extend class notation with the class of the "big-O" function. $)
  cbigo $a class _O $.

  ${
    $d g f x m y $.
    $( Define the function "big-O", mapping a real function g to the set of
       real functions "of order g(x)".  Definition in section 1.1 of
       [AhoHopUll] p. 2.  This is a generalization of "big-O of one", see
       ~ df-o1 and ~ df-lo1 .  As explained in the comment of df-o1 , any big-O
       can be represented in terms of ` O(1) ` and division, see ~ elbigolo1 .
       (Contributed by AV, 15-May-2020.) $)
    df-bigo $a |- _O = ( g e. ( RR ^pm RR ) |-> { f e. ( RR ^pm RR ) |
                      E. x e. RR E. m e. RR A. y e. ( dom f i^i ( x [,) +oo ) )
                      ( f ` y ) <_ ( m x. ( g ` y ) ) } ) $.
  $}

  ${
    $d G g f x m y $.
    $( Set of functions of order G(x).  (Contributed by AV, 15-May-2020.) $)
    bigoval $p |- ( G e. ( RR ^pm RR ) -> ( _O ` G ) = { f e. ( RR ^pm RR ) |
                      E. x e. RR E. m e. RR A. y e. ( dom f i^i ( x [,) +oo ) )
                      ( f ` y ) <_ ( m x. ( G ` y ) ) } ) $=
      ( vg cv cfv cmul co cle wbr cdm cpnf cico wral cr wrex cpm crab cin cbigo
      wceq fveq1 oveq2d breq2d ralbidv 2rexbidv rabbidv df-bigo rabex fvmpt
      ovex ) FEBGZCGZHZDGZUNFGZHZIJZKLZBUOMAGNOJUAZPZDQRAQRZCQQSJZTUPUQUNEHZIJZ
      KLZBVBPZDQRAQRZCVETVEUBUREUCZVDVJCVEVKVCVIADQQVKVAVHBVBVKUTVGUPKVKUSVFUQI
      UNUREUDUEUFUGUHUIABCFDUJVJCVEQQSUMUKUL $.

    $( Reverse closure of the "big-O" function.  (Contributed by AV,
       16-May-2020.) $)
    elbigofrcl $p |- ( F e. ( _O ` G ) -> G e. ( RR ^pm RR ) ) $=
      ( vg vy vf vm vx cbigo cfv wcel cdm cr cpm co elfvdm cv cmul cle wrex cvv
      wbr cpnf cico cin wral crab cmpt df-bigo dmeqi wceq dmmptg ovex rabex a1i
      mprg eqtri eleqtrdi ) ABHIJBHKZLLMNZABHOURCUSDPZEPZIFPUTCPZIQNRUADVAKGPUB
      UCNUDUEFLSGLSZEUSUFZUGZKZUSHVEGDECFUHUIVDTJZVFUSUJCUSCUSVDTUKVGVBUSJVCEUS
      LLMULUMUNUOUPUQ $.

    $d F f m x y $.
    $( Properties of a function of order G(x).  (Contributed by AV,
       16-May-2020.) $)
    elbigo $p |- ( F e. ( _O ` G )
                   <-> ( F e. ( RR ^pm RR ) /\ G e. ( RR ^pm RR )
                   /\ E. x e. RR E. m e. RR A. y e. ( dom F i^i ( x [,) +oo ) )
                      ( F ` y ) <_ ( m x. ( G ` y ) ) ) ) $=
      ( vf cr cpm co wcel cbigo cfv wa cv cle wbr cdm cin wral wrex w3a bigoval
      cmul cpnf cico crab eleq2d wceq dmeq ineq1d fveq1 breq1d raleqbidv bitrdi
      2rexbidv elrab pm5.32i elbigofrcl pm4.71ri 3anan12 3bitr4i ) EGGHIZJZDEKL
      ZJZMVCDVBJZBNZDLZCNVGELUCIZOPZBDQZANUDUEIZRZSZCGTAGTZMZMVEVFVCVOUAVCVEVPV
      CVEDVGFNZLZVIOPZBVQQZVLRZSZCGTAGTZFVBUFZJVPVCVDWDDABFCEUBUGWCVOFDVBVQDUHZ
      WBVNACGGWEVSVJBWAVMWEVTVKVLVQDUIUJWEVRVHVIOVGVQDUKULUMUOUPUNUQVEVCDEURUSV
      FVCVOUTVA $.

    $d A m x y $.  $d B m x y $.  $d C m x y $.  $d M m x $.
    $( Properties of a function of order G(x) under certain assumptions.
       (Contributed by AV, 17-May-2020.) $)
    elbigo2 $p |- ( ( ( G : A --> RR /\ A C_ RR )
                  /\ ( F : B --> RR /\ B C_ A ) )
                   -> ( F e. ( _O ` G ) <-> E. x e. RR E. m e. RR A. y e. B
                           ( x <_ y -> ( F ` y ) <_ ( m x. ( G ` y ) ) ) ) ) $=
      ( cr wf wss wa cfv wcel cv co cle wbr wrex wi cvv cbigo cmul cdm cpnf cin
      cico wral cpm w3a elbigo df-3an bitri wb reex pm3.2i simpl adantl adantld
      a1i sstr2 impcom elpm2r syl12anc syl2anc ibar bicomd syl5bb elin wceq fdm
      ad2antrl ad2antrr eleq2d anbi1d elicopnf ad3antlr sselda biantrurd bitr4d
      pm5.32da bitrd imbi1d impexp bitrdi ralbidv2 rexbidva ) CHGIZCHJZKZDHFIZD
      CJZKZKZFGUALMZBNZFLENZWOGLUBOPQZBFUCZANZUDUFOZUEZUGZEHRZAHRZWSWOPQZWQSZBD
      UGZEHRZAHRWNFHHUHOZMZGXIMZKZXDKZWMXDWNXJXKXDUIXMABEFGUJXJXKXDUKULWMXJXKXM
      XDUMWMHTMZXNKZWJDHJZXJXOWMXNXNUNUNUOUSZWLWJWIWJWKUPUQWLWIXPWKWIXPSWJWKWHX
      PWGDCHUTURUQVAZHHDFTTVBVCWMXOWIXKXQWIWLUPHHCGTTVBVDXLXDXMXLXDVEVFVDVGWMXC
      XHAHWMWSHMZKZXBXGEHXTWPHMZKZWQXFBXADYBWOXAMZWQSWODMZXEKZWQSYDXFSYBYCYEWQY
      CWOWRMZWOWTMZKZYBYEWOWRWTVHYBYHYDYGKYEYBYFYDYGYBWRDWOWMWRDVIZXSYAWJYIWIWK
      DHFVJVKVLVMVNYBYDYGXEYBYDKZYGWOHMZXEKZXEXSYGYLUMWMYAYDWSWOVOVPYJYKXEYBDHW
      OWMXPXSYAXRVLVQVRVSVTWAVGWBYDXEWQWCWDWEWFWFWA $.

    $( Sufficient condition for a function to be of order G(x).  (Contributed
       by AV, 18-May-2020.) $)
    elbigo2r $p |- ( ( ( G : A --> RR /\ A C_ RR )
                  /\ ( F : B --> RR /\ B C_ A ) /\ ( C e. RR /\ M e. RR
                 /\ A. x e. B ( C <_ x -> ( F ` x ) <_ ( M x. ( G ` x ) ) ) ) )
                   -> F e. ( _O ` G ) ) $=
      ( vy vm cr wf wss wcel cv cle wbr cfv cmul wi wral wa w3a cbigo wrex wceq
      breq1 imbi1d ralbidv oveq1 breq2d imbi2d rspc2ev 3ad2ant3 elbigo2 3adant3
      co wb mpbird ) BJFKBJLUAZCJEKCBLUAZDJMGJMDANZOPZVAEQZGVAFQZRUPZOPZSZACTZU
      BZUBEFUCQMZHNZVAOPZVCINZVDRUPZOPZSZACTZIJUDHJUDZVIUSVRUTVQVHVBVOSZACTHIDG
      JJVKDUEZVPVSACVTVLVBVOVKDVAOUFUGUHVMGUEZVSVGACWAVOVFVBWAVNVEVCOVMGVDRUIUJ
      UKUHULUMUSUTVJVRUQVIHABCIEFUNUOUR $.

    $( A function of order G(x) is a function.  (Contributed by AV,
       18-May-2020.) $)
    elbigof $p |- ( F e. ( _O ` G ) -> F : dom F --> RR ) $=
      ( vy vm vx cbigo cfv wcel cr cpm co cmul cle wbr cdm cpnf cico wrex reex
      cv cin wral w3a wf elbigo wss elpm2 simplbi 3ad2ant1 sylbi ) ABFGHAIIJKZH
      ZBUKHZCTZAGDTUNBGLKMNCAOZETPQKUAUBDIREIRZUCUOIAUDZECDABUEULUMUQUPULUQUOIU
      FIIASSUGUHUIUJ $.

    $( The domain of a function of order G(x) is a subset of the reals.
       (Contributed by AV, 18-May-2020.) $)
    elbigodm $p |- ( F e. ( _O ` G ) -> dom F C_ RR ) $=
      ( vy vm vx cbigo cfv wcel cr cpm co cmul cle wbr cdm cpnf cico wrex reex
      cv cin wral w3a wss elbigo wf elpm2 simprbi 3ad2ant1 sylbi ) ABFGHAIIJKZH
      ZBUKHZCTZAGDTUNBGLKMNCAOZETPQKUAUBDIREIRZUCUOIUDZECDABUEULUMUQUPULUOIAUFU
      QIIASSUGUHUIUJ $.

    $( The defining property of a function of order G(x).  (Contributed by AV,
       18-May-2020.) $)
    elbigoimp $p |- ( ( F e. ( _O ` G ) /\ F : A --> RR /\ A C_ dom G )
                   -> E. x e. RR E. m e. RR A. y e. A
                      ( x <_ y -> ( F ` y ) <_ ( m x. ( G ` y ) ) ) ) $=
      ( cbigo cfv wcel cr wf cdm wss cv cle wbr co wrex wa reex cmul wral simp1
      w3a wi cpm elbigofrcl elpm2 sylib 3ad2ant1 3simpc elbigo2 syl2anc mpbid
      wb ) EFGHIZCJEKZCFLZMZUDZUPANBNZOPVAEHDNVAFHUAQOPUEBCUBDJRAJRZUPUQUSUCUTU
      RJFKURJMSZUQUSSUPVBUOUPUQVCUSUPFJJUFQIVCEFUGJJFTTUHUIUJUPUQUSUKABURCDEFUL
      UMUN $.
  $}

  ${
    $d A m x y $.  $d F m x y $.  $d G m x y $.
    $( A function (into the positive reals) is of order G(x) iff the quotient
       of the function and G(x) (also a function into the positive reals) is an
       eventually upper bounded function.  (Contributed by AV, 20-May-2020.)
       (Proof shortened by II, 16-Feb-2023.) $)
    elbigolo1 $p |- ( ( A C_ RR /\ G : A --> RR+ /\ F : A --> RR+ )
                      -> ( F e. ( _O ` G ) <-> ( F /_f G ) e. <_O(1) ) ) $=
      ( vx vy vm cr wss crp wf cle wbr cfv co wrex wcel wa cc0 cvv wceq cv cmul
      w3a wi wral cfdiv cbigo clo1 cdiv clt wb id rpssre a1i 3ad2ant3 ffvelrnda
      fssd adantr simpl2 rpregt0d 3jca ledivmul2 bicomd syl csupp 3ad2ant2 reex
      simplrr ssex 3ad2ant1 cdm wfun crn wnel ffun adantl anim1ci fex 0red 0nrp
      frn wn ssneld mpi df-nel sylibr suppdm syl31anc fdm 3adant3 eqcomd eleq2d
      eqtrd biimpa refdivmptfv syl2anc breq1d bitr4d ralbidva 2rexbidva elbigo2
      imbi2d simp1 ssidd syl22anc refdivmptf feq2d mpbird ello12 3bitr4d ) AGHZ
      AICJZAIBJZUCZDUAZEUAZKLZXPBMZFUAZXPCMZUBNKLZUDZEAUEZFGODGOZXQXPBCUFNZMZXS
      KLZUDZEAUEZFGODGOZBCUGMPZYEUHPZXNYCYIDFGGXNXOGPZXSGPZQZQZYBYHEAYPXPAPZQZY
      AYGXQYRYAXRXTUINZXSKLZYGYRXRGPZYNXTGPRXTUJLQZUCZYAYTUKYRUUAYNUUBYPAGXPBXN
      AGBJZYOXMXKUUDXLXMAIGBXMULIGHZXMUMUNUQUOZURUPXNYMYNYQVHYRXTYPAIXPCXKXLXMY
      OUSUPUTVAUUCYTYAXRXSXTVBVCVDYRYFYSXSKYRUUDAGCJZASPZUCZXPCRVENZPZYFYSTYPUU
      IYQXNUUIYOXNUUDUUGUUHUUFXLXKUUGXMXLAIGCXLULUUEXLUMUNUQVFZXKXLUUHXMAGVGVIZ
      VJVAZURURYPYQUUKYPAUUJXPXNAUUJTYOXNUUJAXKXLUUJATXMXKXLQZUUJCVKZAUUOCVLZCS
      PZRGPRCVMZVNZUUJUUPTXLUUQXKAICVOVPUUOXLUUHQUURXKUUHXLUUMVQAISCVRVDUUOVSXL
      UUTXKXLUUSIHZUUTAICWAUVARUUSPWBZUUTUVARIPWBUVBVTUVAUUSIRUVAULWCWDRUUSWEWF
      VDVPCSGRWGWHXLUUPATXKAICWIVPWMWJWKZURWLWNABCSXPWOWPWQWRXBWSWTXNUUGXKUUDAA
      HYKYDUKUULXKXLXMXCZUUFXNAXDDEAAFBCXAXEXNAGYEJZXKYLYJUKXNUVEUUJGYEJZXNUUIU
      VFUUNABCSXFVDXNAUUJGYEUVCXGXHUVDDEAFYEXIWPXJ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Logarithm to an arbitrary base (extension)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The general logarithm, with a real base greater than 1, for a real number
     greater than or equal to 1 is greater than or equal to 0.  (Contributed by
     AV, 25-May-2020.) $)
  rege1logbrege0 $p |- ( ( B e. ( 1 (,) +oo ) /\ X e. ( 1 [,) +oo ) )
                       -> 0 <_ ( B logb X ) ) $=
    ( c1 cpnf co wcel wa cc0 clog cle wbr cr wb id sylbi clt syl3anc adantr wne
    cc cioo cico cfv cdiv clogb 1re elicopnf ax-mp adantl logge0 syl simpl 0lt1
    crp 0red 1red ltletr mpani imp elrpd relogcld cxr elioopnf lttr regt1loggt0
    wi 1xr ge0div mpbid cpr cdif csn wceq w3a recn gt0ne0d ltlend simplbda 3jca
    eldifpr 3imtr4i jca eldifsn logbval syl2an breqtrrd ) ACDUAEFZBCDUBEFZGZHBI
    UCZAIUCZUDEZABUEEZJWIHWJJKZHWLJKZWIBLFZCBJKZGZWNWHWRWGWHWRWRCLFZWHWRMUFCBUG
    UHZWRNOUIBUJUKWIWJLFZWKLFZHWKPKZWNWOMWHXAWGWHBWHWRBUNFWTWRBWPWQULWPWQHBPKZW
    PHCPKZWQXDUMWPHLFZWSWPXEWQGXDVFWPUOWPUPWPNHCBUQQURUSZUTOVAUIWGXBWHWGAWGALFZ
    CAPKZGZAUNFCVBFWGXJMVGCAVCUHZXJAXHXIULXHXIHAPKZXHXEXIXLUMXHXFWSXHXEXIGXLVFX
    HUOXHUPZXHNZHCAVDQURUSZUTOVARWGXCWHAVERWJWKVHQVIWGATHCVJVKFZBTHVLVKFZWMWLVM
    WHXJATFZAHSZACSZVNWGXPXJXRXSXTXHXRXIAVORXJAXOVPXHXICAJKXTXHCAXMXNVQVRVSXKAT
    HCVTWAWRBTFZBHSZGWHXQWRYAYBWPYAWQBVORWRBXGVPWBWTBTHWCWAABWDWEWF $.

  $( The general logarithm, with an integer base greater than 1, for a real
     number greater than or equal to 1 is greater than or equal to 0.
     (Contributed by AV, 25-May-2020.) $)
  rege1logbzge0 $p |- ( ( B e. ( ZZ>= ` 2 ) /\ X e. ( 1 [,) +oo ) )
                        -> 0 <_ ( B logb X ) ) $=
    ( c2 cuz cfv wcel c1 cpnf cioo co cico cc0 clogb cle wbr cz cr clt wa a1i
    w3a zre 3ad2ant2 1lt2 wi 1re 2re adantl ltletr syl3anc mpani 3impia jca cxr
    eluz2 wb 1xr elioopnf ax-mp 3imtr4i rege1logbrege0 sylan ) ACDEFZAGHIJFZBGH
    KJFLABMJNOCPFZAPFZCANOZUAZAQFZGAROZSZVCVDVHVIVJVFVEVIVGAUBZUCVEVFVGVJVEVFSZ
    GCROZVGVJUDVMGQFZCQFZVIVNVGSVJUEVOVMUFTVPVMUGTVFVIVEVLUHGCAUIUJUKULUMCAUOGU
    NFVDVKUPUQGAURUSUTABVAVB $.

  ${
    fllogbd.b $e |- ( ph -> B e. ( ZZ>= ` 2 ) ) $.
    fllogbd.x $e |- ( ph -> X e. RR+ ) $.
    fllogbd.e $e |- E = ( |_ ` ( B logb X ) ) $.
    $( A real number is between the base of a logarithm to the power of the
       floor of the logarithm of the number and the base of the logarithm to
       the power of the floor of the logarithm of the number plus one.
       (Contributed by AV, 23-May-2020.) $)
    fllogbd $p |- ( ph -> ( ( B ^ E ) <_ X /\ X < ( B ^ ( E + 1 ) ) ) ) $=
      ( cexp co cle wbr c1 caddc clt ccxp wcel syl zred cc cc0 clogb cfl cfv cr
      c2 cuz crp relogbzcl syl2anc eqbrtrid cz eluzelz eluz2b1 simprbi eqeltrid
      flle flcld cxpled mpbid zcnd cn eluz2nn nnne0d cxpexpzd cpr cdif csn wceq
      eluz2cnn0n1 wne wa rpcnne0 eldifsn sylibr cxplogb 3brtr3d flltp1 breqtrrd
      a1i oveq1d peano2zd cxpltd jca ) ABCHIZDJKDBCLMIZHIZNKABCOIZBBDUAIZOIZWDD
      JACWHJKWGWIJKACWHUBUCZWHJGAWHUDPZWJWHJKABUEUFUCPZDUGPZWKEFBDUHUIZWHUPQUJA
      BCWHABAWLBUKPZEUEBULQZRZAWLLBNKZEWLWOWRBUMUNQZACACWJUKGAWHWNUQUOZRWNURUSA
      BCABWPUTZABAWLBVAPEBVBQVCZWTVDABSTLVEVFPZDSTVGVFPZWIDVHAWLXCEBVIQAWMXDFWM
      DSPDTVJVKXDDVLDSTVMVNQBDVOUIZVPAWIBWEOIZDWFNAWHWENKWIXFNKAWHWJLMIZWENAWKW
      HXGNKWNWHVQQACWJLMCWJVHAGVSVTVRABWHWEWQWSWNAWEACWTWAZRWBUSXEABWEXAXBXHVDV
      PWC $.
  $}

  $( The logarithm of the product of a positive real number and the base to the
     power of a real number is the logarithm of the positive real number plus
     the real number.  (Contributed by AV, 29-May-2020.) $)
  relogbmulbexp $p |- ( ( B e. ( RR+ \ { 1 } ) /\ ( A e. RR+ /\ C e. RR ) )
                  -> ( B logb ( A x. ( B ^c C ) ) ) = ( ( B logb A ) + C ) ) $=
    ( crp c1 cdif wcel wa co cmul clogb caddc cc0 wceq wne adantr adantl oveq2d
    cc simpr csn cr ccxp cpr w3a rpcn rpne0 3jca eldifsn eldifpr 3imtr4i simprl
    eldifi relogbmulexp syl13anc sylbi logbid1 syl ax-1rid eqtrd ) BDEUAZFGZADG
    ZCUBGZHZHZBABCUCIJIKIZBAKIZCBBKIZJIZLIZVHCLIVFBSMEUDFGZVCBDGZVDVGVKNVBVLVEV
    MBEOZHZBSGZBMOZVNUEZVBVLVOVPVQVNVMVPVNBUFPVMVQVNBUGPVMVNTUHZBDEUIZBSMEUJUKP
    VBVCVDULVBVMVEBDVAUMPVEVDVBVCVDTQABBCUNUOVFVJCVHLVFVJCEJIZCVFVIECJVBVIENZVE
    VBVRWBVBVOVRVTVSUPBUQURPRVEWACNZVBVDWCVCCUSQQUTRUT $.

  $( The logarithm of the quotient of a positive real number and the base is
     the logarithm of the number minus 1.  (Contributed by AV, 29-May-2020.) $)
  relogbdivb $p |- ( ( B e. ( RR+ \ { 1 } ) /\ A e. RR+ )
                     -> ( B logb ( A / B ) ) = ( ( B logb A ) - 1 ) ) $=
    ( crp c1 csn cdif wcel wa cdiv co clogb cmin cc cc0 cpr wceq wne w3a adantr
    simpr eldifsn rpcn rpne0 3jca sylbi eldifpr sylibr eldifi relogbdiv logbid1
    syl12anc syl oveq2d eqtrd ) BCDEZFGZACGZHZBABIJKJZBAKJZBBKJZLJZUTDLJURBMNDO
    FGZUQBCGZUSVBPUPVCUQUPBMGZBNQZBDQZRZVCUPVDVGHZVHBCDUAVIVEVFVGVDVEVGBUBSVDVF
    VGBUCSVDVGTUDUEZBMNDUFUGSUPUQTUPVDUQBCUOUHSABBUIUKURVADUTLUPVADPZUQUPVHVKVJ
    BUJULSUMUN $.

  $( The logarithm of a number is nonnegative iff the number is greater than or
     equal to 1.  (Contributed by AV, 30-May-2020.) $)
  logbge0b $p |- ( ( B e. ( ZZ>= ` 2 ) /\ X e. RR+ )
                   -> ( 0 <_ ( B logb X ) <-> 1 <_ X ) ) $=
    ( c2 cuz cfv wcel crp cc0 co cle wbr c1 cr clt wb relogcl adantl syl adantr
    clog wa clogb relogbval breq2d eluz2nn nnrpd eluz2gt1 loggt0b mpbird ge0div
    cdiv syl3anc logge0b 3bitr2d ) ACDEFZBGFZUAZHABUBIZJKHBTEZATEZUKIZJKZHUSJKZ
    LBJKZUQURVAHJABUCUDUQUSMFZUTMFZHUTNKZVCVBOUPVEUOBPQUOVFUPUOAGFZVFUOAAUEUFZA
    PRSUOVGUPUOVGLANKZAUGUOVHVGVJOVIAUHRUISUSUTUJULUPVCVDOUOBUMQUN $.

  $( The logarithm of a number is less than 1 iff the number is less than the
     base of the logarithm.  (Contributed by AV, 30-May-2020.) $)
  logblt1b $p |- ( ( B e. ( ZZ>= ` 2 ) /\ X e. RR+ )
                   -> ( ( B logb X ) < 1 <-> X < B ) ) $=
    ( c2 cuz cfv wcel crp wa clogb co c1 clt wbr cr wb relogcl syl adantr bitrd
    clog cdiv relogbval breq1d cmul adantl 1red eluz2nn eluz2gt1 loggt0b mpbird
    cc0 nnrpd ltdivmul syl3anc recnd mulid1d breq2d anim2i ancoms logltb bicomd
    jca wceq ) ACDEFZBGFZHZABIJZKLMBTEZATEZUAJZKLMZBALMZVFVGVJKLABUBUCVFVKVHVIK
    UDJZLMZVLVFVHNFZKNFVINFZUKVILMZHZVKVNOVEVOVDBPUEVFUFVDVRVEVDVPVQVDAGFZVPVDA
    AUGULZAPQZVDVQKALMZAUHVDVSVQWBOVTAUIQUJVBRVHKVIUMUNVFVNVHVILMZVLVFVMVIVHLVD
    VMVIVCVEVDVIVDVIWAUOUPRUQVFVEVSHZWCVLOVEVDWDVDVSVEVTURUSWDVLWCBAUTVAQSSS $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The binary logarithm
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  If the binary logarithm is used more often, a separate symbol/definition
  could be provided for it, e.g., log2 = ` ( x e. ( CC \ { 0 } ) `
  ` |-> ( 2 logb X ) ) `.  Then we can write "( log2 `` x )" (analogous to
  ` ( log x ) ` for the natural logarithm) instead of ` ( 2 logb x ) `.

$)

  $( The floor of a positive real number divided by 2 to the power of the floor
     of the logarithm to base 2 of the number is 1.  (Contributed by AV,
     26-May-2020.) $)
  fldivexpfllog2 $p |- ( X e. RR+
                     -> ( |_ ` ( X / ( 2 ^ ( |_ ` ( 2 logb X ) ) ) ) ) = 1 ) $=
    ( crp wcel c2 co cfl cfv cexp c1 cle wbr caddc clt wa cz cr a1i cc0 syl2anc
    wb clogb cdiv wceq cuz 2z uzid mp1i id eqid fllogbd 2re wne relogbzcl flcld
    2ne0 reexpclzd 2pos expgt0 syl3anc rpre divge1b bicomd biimprd cmul expp1zd
    elrpd 2cnd breq2d ltdivmul syl112anc bitr4d biimpd 1p1e2 breq2i syl6ibr mpd
    anim12d expne0d redivcld 1zzd flbi mpbird ) ABCZADDAUAEZFGZHEZUBEZFGIUCZIWG
    JKZWGIILEZMKZNZWCWFAJKZADWEILEHEZMKZNWLWCDWEADOCDDUDGCZWCUEDUFUGZWCUHZWEUIU
    JWCWMWIWOWKWCWIWMWCWFBCZAPCZWIWMTWCWFWCDWEDPCZWCUKQZDRULWCUOQZWCWDWCWPWCWDP
    CWQWRDAUMSUNZUPZWCXAWEOCRDMKZRWFMKZXBXDXFWCUQQDWEURUSZVFAUTZWSWTNWMWIWFAVAV
    BSVCWCWOWGDMKZWKWCWOXJWCWOAWFDVDEZMKZXJWCWNXKAMWCDWEWCVGZXCXDVEVHWCWTXAWFPC
    XGXJXLTXIXBXEXHADWFVIVJVKVLWJDWGMVMVNVOVQVPWCWGPCIOCWHWLTWCAWFXIXEWCDWEXMXC
    XDVRVSWCVTWGIWASWB $.

  $( A positive integer is 1 iff its binary logarithm is between 0 and 1.
     (Contributed by AV, 30-May-2020.) $)
  nnlog2ge0lt1 $p |- ( N e. NN -> ( N = 1
                           <-> ( 0 <_ ( 2 logb N ) /\ ( 2 logb N ) < 1 ) ) ) $=
    ( wcel c1 wceq cc0 c2 clogb co cle wbr clt wa wne anbi12d cfv wb cz syl2anc
    a1i sylbid cn 0le0 cc 2cn 2ne0 1ne2 necomi logb1 mp3an breqtrri 0lt1 pm3.2i
    eqbrtri oveq2 breq2d breq1d mpbiri cuz 2z uzid ax-mp nnrp logbge0b logblt1b
    crp cfl caddc df-2 breq2i anbi2d cr nnre 1zzd flbi bitr4d nnz eqcomd adantr
    flid syl simpr eqtrd ex impbid2 ) AUABZACDZEFAGHZIJZWGCKJZLZWFWJEFCGHZIJZWK
    CKJZLWLWMEEWKIUBFUCBFEMFCMWKEDUDUECFUFUGFUHUIZUJWKECKWNUKUMULWFWHWLWIWMWFWG
    WKEIACFGUNZUOWFWGWKCKWOUPNUQWEWJCAIJZAFKJZLZWFWEWHWPWIWQWEFFUROBZAVEBZWHWPP
    WSWEFQBWSUSFUTVASZAVBZFAVCRWEWSWTWIWQPXAXBFAVDRNWEWRAVFOZCDZWFWEWRWPACCVGHZ
    KJZLZXDWEWQXFWPWQXFPWEFXEAKVHVISVJWEAVKBCQBXDXGPAVLWEVMACVNRVOWEXDWFWEXDLAX
    CCWEAXCDXDWEXCAWEAQBXCADAVPAVSVTVQVRWEXDWAWBWCTTWD $.

  $( The floor of the binary logarithm of 2 to the power of a positive integer
     minus 1 is equal to the integer minus 1.  (Contributed by AV,
     31-May-2020.) $)
  logbpw2m1 $p |- ( I e. NN
                    -> ( |_ ` ( 2 logb ( ( 2 ^ I ) - 1 ) ) ) = ( I - 1 ) ) $=
    ( cn wcel c2 cexp co c1 cfl cfv cz cle wbr clt crp cr a1i nnrpd syl3anc syl
    wceq cmin clogb caddc wne 2rp cn0 2nn0 nnnn0 nn0expcld 2re 1zzd nnz leexp2d
    nnge1 1lt2 2cn exp1 ax-mp breq1d bitrd mpbid nn0ge2m1nn syl2anc 1ne2 necomi
    cc relogbcl flcld peano2zm cuz uzid nnlogbexp sylancr fveq2d flid eqtrd 2nn
    2z nnm1nn0 nnexpcld pw2m1lepw2m1 wb logbleb flwordi eqbrtrrd zred peano2rem
    nnnn0d nnre peano2re flle nnred ltm1d logblt npcan1 3brtr4d ltletrd lelttrd
    leidd nncn wa zgeltp1eq imp syl22anc ) ABCZDDAEFZGUAFZUBFZHIZJCZAGUAFZJCZXK
    XIKLZXIXKGUCFZMLZXIXKTZXEXHXEDNCZXGNCZDGUDZXHOCZXQXEUEPZXEXGXEXFUFCZDXFKLZX
    GBCZXEDADUFCXEUGPAUHZUIXEGAKLZYCAUNXEYFDGEFZXFKLYCXEDGADOCXEUJPXEUKAULZGDML
    XEUOPUMXEYGDXFKYGDTZXEDVFCYIUPDUQURPUSUTVAZXFVBZVCQZXSXEGDVDVEPZDXGVGZRZVHX
    EAJCZXLYHAVISZXEDDXKEFZUBFZHIZXKXIKXEYTXKHIZXKXEYSXKHXEDDVJICZXLYSXKTDJCUUB
    VRDVKURZYQDXKVLVMVNXEXLUUAXKTYQXKVOSVPXEYSOCZXTYSXHKLZYTXIKLXEXQYRNCZXSUUDY
    AXEYRXEDXKDBCXEVQPZAVSVTQZYMDYRVGRYOXEYRXGKLZUUEAWAXEUUBUUFXRUUIUUEWBUUBXEU
    UCPZUUHYLDYRXGWCRVAYSXHWDRWEXEXIXHXNXEXIXEXHXEXQXRXSXTYAXEXGXEYBYCYDXEXFXED
    AUUGYEVTZWHYJYKVCQYMYNRVHWFYOXEXKOCZXNOCXEAOCUULAWIZAWGSXKWJSZXEXTXIXHKLYOX
    HWKSXEXHDXFUBFZXNYOXEXQXFNCZXSUUOOCYAXEXFUUKQZYMDXFVGRUUNXEXGXFMLZXHUUOMLZX
    EXFXEXFUUKWLWMXEUUBXRUUPUURUUSWBUUJYLUUQDXGXFWNRVAXEAAUUOXNKXEAUUMWSXEUUBYP
    UUOATUUCYHDAVLVMXEAVFCXNATAWTAWOSWPWQWRXJXLXAXMXOXAXPXKXIXBXCXD $.

  $( The floor of the binary logarithm of 2 to the power of an element of a
     half-open integer interval bounded by powers of 2 is equal to the integer.
     (Contributed by AV, 31-May-2020.) $)
  fllog2 $p |- ( ( I e. NN0 /\ N e. ( ( 2 ^ I ) ..^ ( 2 ^ ( I + 1 ) ) ) )
                 -> ( |_ ` ( 2 logb N ) ) = I ) $=
    ( wcel c2 co c1 wa cfv cz cle wbr clt adantr adantl cc0 w3a a1i mp3an2i syl
    cr cn0 cexp caddc cfzo clogb cfl wceq nn0z crp wne 2rp elfzoelz zred cuz wi
    elfzo2 eluz2 2re 2pos expgt0 zre ad2antlr ltletr syl3anc mpand com23 3impia
    0red ex sylbi 3ad2ant1 impcom elrpd 1ne2 necomi relogbcl flcld cmin eluzelz
    wb zltlem1 sylan uzid ax-mp eluzelre 3jca 3ad2ant3 3ad2ant2 3exp com34 3imp
    2z adantlr peano2nn0 reexpcld peano2rem cn nn0p1nn 1lt2 expgt1 1red posdifd
    imp mpbid logbleb jca relogbzcl simpr flwordi logbpw2m1 nn0cn pncan1 breq2d
    eqtrd sylibd sylbid nn0re nn0ge0 flge0nn0 syl2anc nn0red rpexpcld nnlogbexp
    cc flle eqcomd eqled elfzole1 letrd flflp1 zgeltp1eq syl22anc ) AUACZBDAUBE
    ZDAFUCEZUBEZUDECZGZADBUEEZUFHZYRAICZYTICZYTAJKZAYTFUCELKZAYTUGZYMUUAYQAUHZM
    YRYSDUICZYRBUICZDFUJZYSTCZUKYRBYQBTCZYMYQBBYNYPULUMNYQYMOBLKZYQBYNUNHCZYPIC
    ZBYPLKZPZYMUULUOZBYNYPUPZUUMUUNUUQUUOUUMYNICZBICZYNBJKZPZUUQYNBUQZUUSUUTUVA
    UUQUUSUUTGZYMUVAUULUVDYMUVAUULUOZUVDYMGZOYNLKZUVAUULYMUVGUVDDTCZYMUUAODLKZU
    VGURUUFUVIYMUSQZDAUTZRNUVFOTCZYNTCZUUKUVGUVAGUULUOZUVFVHUVDUVMYMUUSUVMUUTYN
    VAZMMUUTUUKUUSYMBVAZVBOYNBVCZVDVEVIVFVGVJVKVJVLVMZUUIYRFDVNVOZQDBVPZRZVQYQY
    MUUCYQUUPYMUUCUOZUURUUMUUNUUOUWBUUMUUNGZUUOBYPFVREZJKZUWBUUMUUTUUNUUOUWEVTY
    NBVSBYPWAWBUWCYMUWEUUCUWCYMUWEUUCUOUWCYMGZUWEYSDUWDUEEZJKZUUCDDUNHCZUWFUUHU
    WDUICZUWEUWHVTDICUWIWLDWCWDZUUMYMUUHUUNUUMYMGBUUMUUKYMYNBWEZMUUMYMUULUUMUVB
    UUQUVCUUSUUTUVAUUQUUSUUTYMUVAUULUUSUUTYMUVEUUSUUTYMPZUVGUVAUULUWMUVHUUAUVIP
    ZUVGYMUUSUWNUUTYMUVHUUAUVIUVHYMURQZUUFUVJWFWGUVKSUWMUVLUVMUUKUVNUWMVHUUSUUT
    UVMYMUVOVKUUTUUSUUKYMUVPWHUVQVDVEWIWJWKVJXCZVMWMUWFUWDUWFYPTCZUWDTCZUWFDYOU
    VHUWFURQYMYOUACUWCAWNZNWOYPWPZSUWFFYPLKZOUWDLKZUWFUVHYOWQCZFDLKZPZUXAYMUXEU
    WCYMUVHUXCUXDUWOAWRZUXDYMWSQZWFNDYOWTZSUWFFYPUWFXAUUNUWQUUMYMYPVAVBXBXDVMDB
    UWDXERUWFUWHYTUWGUFHZJKZUUCUWFUWHUXJUWFUWHGUUJUWGTCZUWHUXJUWFUUJUWHUUGUWFUU
    HUUIUUJUKUWFBUWCUUKYMUUMUUKUUNUWLMMUUMYMUULUUNUWPWMVMUUIUWFUVSQUVTRMUWFUXKU
    WHUWFUWIUWJGZUXKYMUXLUWCYMUWIUWJUWIYMUWKQZYMUWDYMUWQUWRYMDYOUWOUWSWOZUWTSYM
    UXAUXBUVHYMUXCUXDUXAURUXFUXGUXHRYMFYPYMXAUXNXBXDVMXFNDUWDXGSMUWFUWHXHYSUWGX
    IVDVIUWFUXIAYTJUWFUXIYOFVREZAUWFUXCUXIUXOUGYMUXCUWCUXFNYOXJSYMUXOAUGZUWCYMA
    YDCUXPAXKAXLSNXNXMXOXPVIVFXPVGVJVLYRAUFHZYSJKZUUDYRUXQAYSYMUXQTCYQYMUXQYMAT
    CZOAJKUXQUACAXQZAXRAXSXTYAMYMUXSYQUXTMZUWAYMUXQAJKZYQYMUXSUYBUXTAYESMYRADYN
    UEEZYSUYAYMUYCTCZYQUUGYMYNUICZUUIUYDUKYMDAUUGYMUKQUUFYBZUUIYMUVSQDYNVPRMUWA
    YMAUYCJKYQYMAUYCUXTYMUYCAYMUWIUUAUYCAUGUXMUUFDAYCXTYFYGMYRUVAUYCYSJKZYQUVAY
    MBYNYPYHNUWIYRUYEUUHUVAUYGVTUWKYMUYEYQUYFMUVRDYNBXERXDYIYIYRUXSUUJUXRUUDVTU
    YAUWAAYSYJXTXDUUAUUBGUUCUUDGUUEYTAYKXCYLYF $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Binary length
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c #b $. $( The class of the binary length function. $)

  $( Extend class notation with the class of the binary length function. $)
  cblen $a class #b $.

  $( Define the binary length of an integer.  Definition in section 1.3 of
     [AhoHopUll] p. 12.  Although not restricted to integers, this definition
     is only meaningful for ` n e. ZZ ` or even for ` n e. CC ` .  (Contributed
     by AV, 16-May-2020.) $)
  df-blen $a |- #b = ( n e. _V |-> if ( n = 0 , 1 ,
                                 ( ( |_ ` ( 2 logb ( abs ` n ) ) ) + 1 ) ) ) $.

  ${
    $d N n $.  $d V n $.
    $( The binary length of an integer.  (Contributed by AV, 20-May-2020.) $)
    blenval $p |- ( N e. V -> ( #b ` N ) = if ( N = 0 , 1 ,
                                 ( ( |_ ` ( 2 logb ( abs ` N ) ) ) + 1 ) ) ) $=
      ( vn wcel cv cc0 wceq c1 c2 cabs cfv clogb co cfl caddc cif cblen df-blen
      cvv eqeq1 fveq2 oveq2d fveq2d oveq1d ifbieq2d elex 1ex ovex ifex fvmptd3
      a1i ) ABDZCACEZFGZHIUMJKZLMZNKZHOMZPAFGZHIAJKZLMZNKZHOMZPZSQSCRUMAGZUNUSU
      RVCHUMAFTVEUQVBHOVEUPVANVEUOUTILUMAJUAUBUCUDUEABUFVDSDULUSHVCUGVBHOUHUIUK
      UJ $.
  $}

  $( The binary length of 0.  (Contributed by AV, 20-May-2020.) $)
  blen0 $p |- ( #b ` 0 ) = 1 $=
    ( cc0 cblen cfv wceq c1 c2 cabs clogb cfl caddc cif wcel c0ex blenval ax-mp
    co cvv eqid iftruei eqtri ) ABCZAADZEFAGCHPICEJPZKZEAQLUAUDDMAQNOUBEUCARST
    $.

  $( The binary length of a "number" not being 0.  (Contributed by AV,
     20-May-2020.) $)
  blenn0 $p |- ( ( N e. V /\ N =/= 0 )
                 -> ( #b ` N ) = ( ( |_ ` ( 2 logb ( abs ` N ) ) ) + 1 ) ) $=
    ( wcel cc0 wne cblen cfv wceq c1 c2 cabs clogb co cfl cif blenval ifnefalse
    caddc sylan9eq ) ABCADEAFGADHIJAKGLMNGIRMZOTABPADITQS $.

  $( The binary length of a positive real number.  (Contributed by AV,
     20-May-2020.) $)
  blenre $p |- ( N e. RR+ -> ( #b ` N ) = ( ( |_ ` ( 2 logb N ) ) + 1 ) ) $=
    ( crp wcel cblen cfv c2 cabs clogb co cfl c1 caddc cc0 wne wceq rpne0 mpdan
    blenn0 rpre rpge0 absidd oveq2d fveq2d oveq1d eqtrd ) ABCZADEZFAGEZHIZJEZKL
    IZFAHIZJEZKLIUFAMNUGUKOAPABRQUFUJUMKLUFUIULJUFUHAFHUFAASATUAUBUCUDUE $.

  $( The binary length of a positive integer.  (Contributed by AV,
     21-May-2020.) $)
  blennn $p |- ( N e. NN -> ( #b ` N ) = ( ( |_ ` ( 2 logb N ) ) + 1 ) ) $=
    ( cn wcel cblen cfv c2 cabs clogb co cfl c1 caddc cc0 wne wceq nnne0 blenn0
    mpdan nnre nnnn0 nn0ge0d absidd oveq2d fveq2d oveq1d eqtrd ) ABCZADEZFAGEZH
    IZJEZKLIZFAHIZJEZKLIUGAMNUHULOAPABQRUGUKUNKLUGUJUMJUGUIAFHUGAASUGAATUAUBUCU
    DUEUF $.

  $( The binary length of a positive integer is a positive integer.
     (Contributed by AV, 25-May-2020.) $)
  blennnelnn $p |- ( N e. NN -> ( #b ` N ) e. NN ) $=
    ( cn wcel cblen cfv c2 clogb co cfl c1 caddc blennn cn0 cc0 cle wbr crp a1i
    cr syl2anc wne 2rp nnrp 1ne2 necomi relogbcl syl3anc cpnf cico cz uzid mp1i
    cuz 2z nnre nnge1 wa elicopnf ax-mp sylanbrc rege1logbzge0 flge0nn0 nn0p1nn
    wb 1re syl eqeltrd ) ABCZADEFAGHZIEZJKHZBALVHVJMCZVKBCVHVISCZNVIOPZVLVHFQCZ
    AQCFJUAZVMVOVHUBRAUCVPVHJFUDUERFAUFUGVHFFUMECZAJUHUIHCZVNFUJCVQVHUNFUKULVHA
    SCZJAOPZVRAUOAUPJSCVRVSVTUQVDVEJAURUSUTFAVATVIVBTVJVCVFVG $.

  $( The binary length of a nonnegative integer is a positive integer.
     (Contributed by AV, 28-May-2020.) $)
  blennn0elnn $p |- ( N e. NN0 -> ( #b ` N ) e. NN ) $=
    ( cn0 wcel cn cc0 wceq wo cblen cfv elnn0 blennnelnn fveq2 c1 blen0 eqeltri
    1nn eqeltrdi jaoi sylbi ) ABCADCZAEFZGAHIZDCZAJTUCUAAKUAUBEHIZDAEHLUDMDNPOQ
    RS $.

  $( The binary length of a power of 2 is the exponent plus 1.  (Contributed by
     AV, 30-May-2020.) $)
  blenpw2 $p |- ( I e. NN0 -> ( #b ` ( 2 ^ I ) ) = ( I + 1 ) ) $=
    ( cn0 wcel c2 cexp co cblen cfv clogb cfl c1 caddc cn wceq 2nn nnexpcl mpan
    syl cz eqtrd blennn cuz uzid mp1i nn0z nnlogbexp syl2anc fveq2d flid oveq1d
    2z ) ABCZDAEFZGHZDUMIFZJHZKLFZAKLFULUMMCZUNUQNDMCULURODAPQUMUARULUPAKLULUPA
    JHZAULUOAJULDDUBHCZASCZUOANDSCUTULUKDUCUDAUEZDAUFUGUHULVAUSANVBAUIRTUJT $.

  $( The binary length of a power of 2 minus 1 is the exponent.  (Contributed
     by AV, 31-May-2020.) $)
  blenpw2m1 $p |- ( I e. NN -> ( #b ` ( ( 2 ^ I ) - 1 ) ) = I ) $=
    ( cn wcel c2 cexp co c1 cmin cblen cfv clogb cfl caddc wceq cn0 cle wbr a1i
    2nn0 syl nnnn0 nn0expcld nnge1 2cnd exp1d eqcomd breq1d cr 2re 1zzd nnz clt
    1lt2 leexp2d bitr4d mpbird nn0ge2m1nn blennn logbpw2m1 oveq1d npcan1 3eqtrd
    syl2anc cc nncn ) ABCZDAEFZGHFZIJZDVHKFLJZGMFZAGHFZGMFZAVFVHBCZVIVKNVFVGOCD
    VGPQZVNVFDADOCVFSRAUAUBVFVOGAPQZAUCVFVODGEFZVGPQVPVFDVQVGPVFVQDVFDVFUDUEUFU
    GVFDGADUHCVFUIRVFUJAUKGDULQVFUMRUNUOUPVGUQVCVHURTVFVJVLGMAUSUTVFAVDCVMANAVE
    AVATVB $.

  $( A positive integer is between 2 to the power of its binary length minus 1
     and 2 to the power of its binary length.  (Contributed by AV,
     31-May-2020.) $)
  nnpw2blen $p |- ( N e. NN -> ( ( 2 ^ ( ( #b ` N ) - 1 ) ) <_ N
                                 /\ N < ( 2 ^ ( #b ` N ) ) ) ) $=
    ( wcel c2 cfv c1 cmin cexp cle wbr clt ccxp wceq crp wne a1i syl oveq2d cc0
    co cc cn cblen clogb cfl caddc cr 2rp nnrp 1ne2 relogbcl syl3anc flcld zcnd
    necomi pncan1 blennn oveq1d 2cnd 2ne0 cxpexpzd 3eqtr4d flle 2re 1lt2 cxpled
    zred mpbid cpr cdif csn 2cn eldifpr mpbir3an nnne0 eldifsn sylanbrc cxplogb
    nncn sylancr breqtrd eqbrtrd flltp1 peano2zd cxpltd 3brtr3d breqtrrd jca )
    AUABZCAUBDZEFSZGSZAHIACWIGSZJIWHWKCCAUCSZUDDZKSZAHWHCWNEUESZEFSZGSCWNGSWKWO
    WHWQWNCGWHWNTBWQWNLWHWNWHWMWHCMBZAMBCENZWMUFBZWRWHUGOAUHWSWHECUIUNZOCAUJUKZ
    ULZUMWNUOPQWHWJWQCGWHWIWPEFAUPZUQQWHCWNWHURZCRNZWHUSOZXCUTVAWHWOCWMKSZAHWHW
    NWMHIZWOXHHIWHWTXIXBWMVBPWHCWNWMCUFBWHVCOZECJIWHVDOZWHWNXCVFXBVEVGWHCTREVHV
    IBZATRVJVIBZXHALXLCTBXFWSVKUSXACTREVLVMWHATBARNXMAVRAVNATRVOVPCAVQVSZVTWAWH
    ACWPGSZWLJWHXHCWPKSZAXOJWHWMWPJIZXHXPJIWHWTXQXBWMWBPWHCWMWPXJXKXBWHWPWHWNXC
    WCZVFWDVGXNWHCWPXEXGXRUTWEWHWIWPCGXDQWFWG $.

  $( A positive integer is between 2 to the power of the binary length of the
     integer minus 1, and 2 to the power of the binary length of the integer.
     (Contributed by AV, 2-Jun-2020.) $)
  nnpw2blenfzo $p |- ( N e. NN -> N e. ( ( 2 ^ ( ( #b ` N ) - 1 ) )
                                         ..^ ( 2 ^ ( #b ` N ) ) ) ) $=
    ( cn wcel c2 cblen cfv c1 cmin co cexp cfzo cle wbr clt wa cz cn0 2z zexpcl
    sylancr nnpw2blen wb nnz blennnelnn nnm1nn0 syl nnnn0d elfzo syl3anc mpbird
    ) ABCZADAEFZGHIZJIZDULJIZKICZUNALMAUONMOZAUAUKAPCUNPCZUOPCZUPUQUBAUCUKDPCZU
    MQCZURRUKULBCVAAUDZULUEUFDUMSTUKUTULQCUSRUKULVBUGDULSTAUNUOUHUIUJ $.

  $( A positive integer is either 2 to the power of the binary length of the
     integer minus 1, or between 2 to the power of the binary length of the
     integer minus 1, increased by 1, and 2 to the power of the binary length
     of the integer.  (Contributed by AV, 2-Jun-2020.) $)
  nnpw2blenfzo2 $p |- ( N e. NN -> ( N = ( 2 ^ ( ( #b ` N ) - 1 ) )
                                   \/ N e. ( ( ( 2 ^ ( ( #b ` N ) - 1 ) ) + 1 )
                                             ..^ ( 2 ^ ( #b ` N ) ) ) ) ) $=
    ( cn wcel c2 cblen cfv c1 cmin cexp cfzo wceq nnpw2blenfzo elfzolborelfzop1
    co caddc wo syl ) ABCADAEFZGHNINZDRINZJNCASKASGONTJNCPALASTMQ $.

  $( Every positive integer can be represented as the sum of a power of 2 and a
     "remainder" smaller than the power.  (Contributed by AV, 31-May-2020.) $)
  nnpw2pmod $p |- ( N e. NN -> N = ( ( 2 ^ ( ( #b ` N ) - 1 ) )
                                  + ( N mod ( 2 ^ ( ( #b ` N ) - 1 ) ) ) ) ) $=
    ( cn wcel c2 c1 cmin co cexp cmo caddc wceq cr a1i cn0 cle wbr clt cmul 2cn
    wa cblen cfv crp nnre 2nn blennnelnn nnm1nn0 syl nnexpcld nnrpd modeqmodmin
    syl2anc cc0 nnred resubcld nnpw2blen subge0d ltsubadd2d cc exp1 eqcomd mp1i
    oveq1d nncnd 2timesd 1nn0 expaddd 1cnd pncan3d oveq2d eqtr3d 3eqtr3d breq2d
    bitrd anbi12d mpbird modid syl21anc eqtr2d nnz zmodcld nn0cnd subaddd mpbid
    nncn ) ABCZDAUAUBZEFGZHGZAWIIGZJGZAWFAWIFGZWJKWKAKWFWJWLWIIGZWLWFALCWIUCCZW
    JWMKAUDZWFWIWFDWHDBCWFUEMWFWGBCWHNCAUFZWGUGUHZUIZUJZAWIUKULWFWLLCWNUMWLOPZW
    LWIQPZTZWMWLKWFAWIWOWFWIWRUNZUOWSWFXBWIAOPZADWGHGZQPZTAUPWFWTXDXAXFWFAWIWOX
    CUQWFXAAWIWIJGZQPXFWFAWIWIWOXCXCURWFXGXEAQWFDWIRGDEHGZWIRGZXGXEWFDXHWIRDUSC
    ZDXHKWFSXJXHDDUTVAVBVCWFWIWFWIWRVDZVEWFDEWHJGZHGXIXEWFDEWHXJWFSMWQENCWFVFMV
    GWFXLWGDHWFEWGWFVHWFWGWPVDVIVJVKVLVMVNVOVPWLWIVQVRVSWFAWIWJAWEXKWFWJWFAWIAV
    TWRWAWBWCWDVA $.

  $( The binary length of 1.  (Contributed by AV, 21-May-2020.) $)
  blen1 $p |- ( #b ` 1 ) = 1 $=
    ( c1 cn wcel cblen cfv wceq 1nn c2 clogb co cfl caddc blennn cc0 cc wne 2cn
    2ne0 1ne2 ax-mp necomi logb1 mp3an fveq2i cz 0z flid eqtri a1i oveq1d 0p1e1
    eqtrdi eqtrd ) ABCZADEZAFGUNUOHAIJZKEZALJZAAMUNURNALJAUNUQNALUQNFUNUQNKEZNU
    PNKHOCHNPHAPUPNFQRAHSUAHUBUCUDNUECUSNFUFNUGTUHUIUJUKULUMT $.

  $( The binary length of 2.  (Contributed by AV, 21-May-2020.) $)
  blen2 $p |- ( #b ` 2 ) = 2 $=
    ( c2 cn wcel cblen cfv wceq 2nn clogb co cfl c1 caddc blennn cc cc0 wne 2cn
    2ne0 ax-mp a1i 1ne2 necomi logbid1 mp3an fveq2i cz flid eqtri oveq1d 3eqtrd
    1z 1p1e2 ) ABCZADEZAFGUMUNAAHIZJEZKLIKKLIZAAMUMUPKKLUPKFUMUPKJEZKUOKJANCAOP
    AKPUOKFQRKAUAUBAUCUDUEKUFCURKFUKKUGSUHTUIUQAFUMULTUJS $.

  ${
    $d N i r $.
    $( Every positive integer can be represented as the sum of a power of 2 and
       a "remainder" smaller than the power.  (Contributed by AV,
       31-May-2020.) $)
    nnpw2p $p |- ( N e. NN -> E. i e. NN0 E. r e. ( 0 ..^ ( 2 ^ i ) )
                                    N = ( ( 2 ^ i ) + r ) ) $=
      ( cn wcel c2 cv cexp co caddc wceq cc0 cfzo wrex wb oveq2 eqeq2d rspcedvd
      cn0 adantl cfv c1 cmin blennnelnn nnm1nn0 syl oveq2d oveq1d rexeqbidv cmo
      cblen cz nnz 2nn a1i nnexpcld zmodfzo syl2anc nnpw2pmod ) BDEZBFAGZHIZCGZ
      JIZKZCLVBMIZNZBFBUKUAZUBUCIZHIZVCJIZKZCLVJMIZNZAVISUTVHDEVISEBUDVHUEUFZVA
      VIKZVGVNOUTVPVEVLCVFVMVPVBVJLMVAVIFHPZUGVPVDVKBVPVBVJVCJVQUHQUITUTVLBVJBV
      JUJIZJIZKZCVRVMUTBULEVJDEVRVMEBUMUTFVIFDEUTUNUOVOUPBVJUQURVCVRKZVLVTOUTWA
      VKVSBVCVRVJJPQTBUSRR $.

    $( A number is a positive integer iff it can be represented as the sum of a
       power of 2 and a "remainder" smaller than the power.  (Contributed by
       AV, 31-May-2020.) $)
    nnpw2pb $p |- ( N e. NN <-> E. i e. NN0 E. r e. ( 0 ..^ ( 2 ^ i ) )
                                    N = ( ( 2 ^ i ) + r ) ) $=
      ( cn wcel c2 cv cexp caddc wceq cc0 cfzo wrex cn0 nnpw2p 2nn nnexpcl mpan
      co wa elfzonn0 nnnn0addcl syl2an eleq1 syl5ibrcom rexlimivv impbii ) BDEZ
      BFAGZHSZCGZISZJZCKUJLSZMANMABCOUMUHACNUNUINEZUKUNEZTUHUMULDEZUOUJDEZUKNEU
      QUPFDEUOURPFUIQRUKUJUAUJUKUBUCBULDUDUEUFUG $.
  $}

  $( The binary length of a nonnegative integer is 1 if the integer is 0 or 1.
     (Contributed by AV, 30-May-2020.) $)
  blen1b $p |- ( N e. NN0 -> ( ( #b ` N ) = 1 <-> ( N = 0 \/ N = 1 ) ) ) $=
    ( wcel cblen cfv c1 wceq cc0 wo c2 co caddc wbr clt wa crp a1i sylbid fveq2
    jaoi eqtrdi cn0 cn elnn0 clogb cfl blennn eqeq1d cle cmin wne 2rp nnrp 1ne2
    wi cr necomi relogbcl syl3anc flcld zcnd 1cnd addlsub 1m1e0 eqeq2d cz wb 0z
    flbi sylancl 3bitrd 0p1e1 breq2i anbi2i nnlog2ge0lt1 biimpar olcd ex syl5bi
    orc a1d sylbi blen0 blen1 impbid1 ) AUABZACDZEFZAGFZAEFZHZWEAUBBZWHHWGWJUNZ
    AUCWKWLWHWKWGIAUDJZUEDZEKJZEFZWJWKWFWOEAUFUGWKWPGWMUHLZWMGEKJZMLZNZWJWKWPWN
    EEUIJZFWNGFZWTWKWNEEWKWNWKWMWKIOBZAOBIEUJZWMUOBZXCWKUKPAULXDWKEIUMUPPIAUQUR
    ZUSUTWKVAZXGVBWKXAGWNXAGFWKVCPVDWKXEGVEBXBWTVFXFVGWMGVHVIVJWTWQWMEMLZNZWKWJ
    WSXHWQWREWMMVKVLVMWKXIWJWKXINWIWHWKWIXIAVNVOVPVQVRQQWHWJWGWHWIVSVTSWAWHWGWI
    WHWFGCDEAGCRWBTWIWFECDEAECRWCTSWD $.

  $( The binary length of a positive integer, doubled and increased by 1, is
     the binary length of the integer plus 1.  (Contributed by AV,
     30-May-2010.) $)
  blennnt2 $p |- ( N e. NN
                     -> ( #b ` ( 2 x. N ) ) = ( ( #b ` N ) + 1 ) ) $=
    ( cn wcel c2 cmul co cblen cfv clogb cfl c1 caddc wceq a1i blennn cc oveq2d
    2cn cc0 crp 2nn id nnmulcld syl nncn mulcomd cpr cdif cuz cz 2z eluz2cnn0n1
    uzid ax-mp mp1i nnrp 2rp relogbmul syl12anc wne 2ne0 necomi 3pm3.2i logbid1
    w3a 1ne2 3eqtrd fveq2d cr relogbcl syl3anc 1zzd fladdz syl2anc eqtrd oveq1d
    eqcomd ) ABCZDAEFZGHZDVSIFZJHZKLFZDAIFZJHKLFZKLFAGHZKLFVRVSBCVTWCMVRDADBCVR
    UANVRUBUCVSOUDVRWBWEKLVRWBWDKLFZJHZWEVRWAWGJVRWADADEFZIFZWDDDIFZLFZWGVRVSWI
    DIVRDADPCZVRRNAUEUFQVRDPSKUGUHCZATCZDTCZWJWLMDDUIHCZWNVRDUJCWQUKDUMUNDULUOA
    UPZWPVRUQNZADDURUSVRWKKWDLWMDSUTZDKUTZVEWKKMVRWMWTXARVAKDVFVBZVCDVDUOQVGVHV
    RWDVICZKUJCWHWEMVRWPWOXAXCWSWRXAVRXBNDAVJVKVRVLWDKVMVNVOVPVRWEWFKLVRWFWEAOV
    QVPVG $.

  $( The floor of the binary logarithm of an odd integer greater than 1 is the
     floor of the binary logarithm of the integer decreased by 1.  (Contributed
     by AV, 2-Jun-2020.) $)
  nnolog2flm1 $p |- ( ( N e. ( ZZ>= ` 2 ) /\ ( ( N + 1 ) / 2 ) e. NN )
                  -> ( |_ ` ( 2 logb N ) ) = ( |_ ` ( 2 logb ( N - 1 ) ) ) ) $=
    ( c2 cfv wcel c1 co cn wceq cexp wi syl wa wb adantl cle wbr cz a1i syl2anc
    cr cuz caddc cdiv clogb cfl cmin cblen cfzo wo eluz2nn nnpw2blenfzo2 bicomd
    wn nneo notnotb bitrdi con4bid simpl oveq1d cn0 blennnelnn nnnn0d 2m1e1 cc0
    cc wne 2cn 2ne0 1ne2 necomi logbid1 mp3an eluzle crp 2z uzid mp1i 2rp nnrpd
    logbleb syl3anc mpbid eqbrtrrid relogbcl 1zzd flge eqbrtrid 1red flcld zred
    2re lesubaddd blennn nn0ge2m1nn nnpw2even eqeltrd pm2.24d sylbid ex nnm1nn0
    breqtrrd ad2antlr nnpw2blenfzo npcan1 oveq2d eleqtrrd fllog2 clt w3a elfzo2
    nncnd eluz2 3anbi1i bitri 2nn jca nnexpcl peano2zm 3ad2ant2 adantr nnexpcld
    nnzd nnred leaddsub 3ad2ant3 imp syl3anbrc eleq1d mpbird ltle nnre reexpcld
    biimpcd syl11 simpll2 zlem1lt 3jca 3adant2 sylbi sylibr eqtr4d exp31 mpcom
    jaoi ) ABUACZDZAEUBFBUCFGDZBAUDFZUECZBAEUFFZUDFUECZHZABAUGCZEUFFZIFZHZAUUOE
    UBFZBUUMIFZUHFDZUIZUUFUUGUULJZUUFAGDZUUTAUJZAUKKUUPUUFUVAJUUSUUPUUFUVAUUPUU
    FLZUUGABUCFZGDZUMZUULUVDUUGUVGUVDUUGUMZUVFUVGUMUVDUVBUVHUVFMUUFUVBUUPUVCNUV
    BUVFUVHAUNULKUVFUOUPUQUVDUVFUULUVDUVEUUOBUCFZGUVDAUUOBUCUUPUUFURUSUVDUUNGDZ
    UVIGDUUFUVJUUPUUFUUMUTDZBUUMOPUVJUUFUVBUVKUVCUVBUUMAVAZVBZKZUUFBUUIEUBFZUUM
    OUUFBEUFFZUUIOPBUVOOPUUFUVPEUUIOVCUUFEUUHOPZEUUIOPZUUFEBBUDFZUUHOBVEDBVDVFB
    EVFZUVSEHVGVHEBVIVJZBVKVLUUFBAOPZUVSUUHOPZBAVMUUFBUUEDZBVNDZAVNDZUWBUWCMBQD
    UWDUUFVOBVPVQUWEUUFVRRZUUFAUVCVSZBBAVTWAWBWCUUFUUHTDZEQDUVQUVRMUUFUWEUWFUVT
    UWIUWGUWHUVTUUFUWARBAWDWAZUUFWEUUHEWFSWBWGUUFBEUUIBTDZUUFWKRUUFWHZUUFUUIUUF
    UUHUWJWIWJWLWBUUFUVBUUMUVOHUVCAWMKXAUUMWNSNUUNWOKWPWQWRWSUUSUUFUUGUULUUSUUF
    LZUUGLZUUIUUNUUKUWNUUNUTDZAUUOBUUNEUBFZIFZUHFZDUUIUUNHUUFUWOUUSUUGUUFUUMGDZ
    UWOUUFUVBUWSUVCUVLKZUUMWTZKZXBUWNAUUOUURUHFZUWRUWNUVBAUXCDUUFUVBUUSUUGUVCXB
    AXCKUWNUWQUURUUOUHUWNUWPUUMBIUWNUUMVEDZUWPUUMHZUUFUXDUUSUUGUUFUUMUWTXKZXBUU
    MXDZKXEXEXFUUNAXGSUWNUWOUUJUWRDZUUKUUNHUWNUWSUWOUUFUWSUUSUUGUWTXBUXAKUWMUXH
    UUGUWMUUJUUOUACDZUWQQDZUUJUWQXHPZXIZUXHUUSUUFUXLUUSUUQQDZAQDZUUQAOPZXIZUURQ
    DZAUURXHPZXIZUUFUXLJZUUSAUUQUACDZUXQUXRXIUXSAUUQUURXJUYAUXPUXQUXRUUQAXLXMXN
    UXPUXRUXTUXQUXPUXRLZUUFUXLUYBUUFLZUXIUXJUXKUYCUUOQDUUJQDZUUOUUJOPZUXIUYCUUO
    UYCBGDZUWOLZUUOGDUUFUYGUYBUUFUYFUWOUYFUUFXORZUXBXPNBUUNXQKYBUYBUYDUUFUXPUYD
    UXRUXNUXMUYDUXOAXRXSXTXTUYBUUFUYEUXPUUFUYEJZUXRUXOUXMUYIUXNUUFUXOUYEUUFUUOT
    DETDATDZUXOUYEMUUFUUOUUFBUUNUYHUXBYAYCUWLUUFAUVCYCUUOEAYDWAYMYEXTYFUUOUUJXL
    YGUYCUWQUYCUYFUWPUTDZLZUWQGDUUFUYLUYBUUFUYFUYKUYHUUFUYKUVKUVNUUFUXDUYKUVKMU
    XFUXDUWPUUMUTUXGYHKYIXPNBUWPXQKYBUYCUUJUURUWQXHUYCAUUROPZUUJUURXHPZUYBUUFUY
    MUXRUUFUYMJUXPUYJUURTDZLZUXRUYMUUFAUURYJUUFUVBUYPUVCUVBUYJUYOAYKUVBBUUMUWKU
    VBWKRUVMYLXPKYNNYFUYCUXNUXQUYMUYNMUXMUXNUXOUXRUUFYOUUFUXQUYBUUFUURUUFBUUMUY
    HUVNYAYBNAUURYPSWBUUFUWQUURHUYBUUFUWPUUMBIUUFUXDUXEUXFUXGKXENXAYQWSYRYSYFUU
    JUUOUWQXJYTXTUUNUUJXGSUUAUUBUUDUUCYF $.

  $( The binary length of the half of an even positive integer is the binary
     length of the integer minus 1.  (Contributed by AV, 30-May-2010.) $)
  blennn0em1 $p |- ( ( N e. NN /\ ( N / 2 ) e. NN0 )
                     -> ( #b ` ( N / 2 ) ) = ( ( #b ` N ) - 1 ) ) $=
    ( cn wcel c2 cdiv co cn0 wa cblen cfv c1 cmin wceq caddc cmul adantr eqcomd
    cc syl nncnd cc0 wne w3a nncn 2cnd 2ne0 a1i divcan2 fveq2d nn0enne blennnt2
    3jca biimpa eqtr2d blennnelnn 1cnd blennn0elnn adantl subadd2d mpbird ) ABC
    ZADEFZGCZHZAIJZKLFZVBIJZVDVFVGMVGKNFZVEMVDVEDVBOFZIJZVHVDAVIIVDARCZDRCZDUAU
    BZUCZAVIMVAVNVCVAVKVLVMAUDVAUEVMVAUFUGULPVNVIAADUHQSUIVDVBBCZVJVHMVAVCVOAUJ
    UMVBUKSUNVDVEKVGVAVERCVCVAVEAUOTPVDUPVCVGRCVAVCVGVBUQTURUSUTQ $.

  $( The binary length of an odd integer greater than 1 is the binary length of
     the half of the integer decreased by 1, increased by 1.  (Contributed by
     AV, 3-Jun-2020.) $)
  blennngt2o2 $p |- ( ( N e. ( ZZ>= ` 2 ) /\ ( ( N + 1 ) / 2 ) e. NN0 )
                      -> ( #b ` N ) = ( ( #b ` ( ( N - 1 ) / 2 ) ) + 1 ) ) $=
    ( c2 cfv wcel c1 caddc co cmin clogb cfl crp wceq adantr oveq1d a1i syl cc0
    wa cn clt cuz cdiv cn0 cblen csn cdif wne 2rp 1ne2 eldifsn mpbir2an uz2m1nn
    necomi nnrpd relogbdivb sylancr fveq2d cr cz relogbcl 1z jctir flsubz flcld
    syl3anc cc zcnd npcan1 wbr eluz2nn peano2nnd nnred eluzge2nn0 nn0p1gt0 2pos
    2re divgt0d nn0z anim12ci elnnz sylibr nnolog2flm1 syldan eqtr4d 3eqtrd nno
    blennn 3eqtr4rd ) ABUACDZAEFGZBUBGZUCDZRZBAEHGZBUBGZIGZJCZEFGZEFGZBAIGJCZEF
    GZWOUDCZEFGZAUDCZWMWRWTEFWMWRBWNIGZEHGZJCZEFGXEJCZEHGZEFGZWTWMWQXGEFWMWPXFJ
    WMBKEUEUFDZWNKDZWPXFLXKBKDZBEUGZUHEBUIUMZBKEUJUKWIXLWLWIWNAULUNZMWNBUOUPUQN
    WMXGXIEFWMXEURDZEUSDZRZXGXILWIXSWLWIXQXRWIXMXLXNXQXMWIUHOXPXNWIXOOBWNUTVEZV
    AVBMXEEVCPNWMXJXHWTWIXJXHLZWLWIXHVFDYAWIXHWIXEXTVDVGXHVHPMWIWLWKSDZWTXHLWMW
    KUSDZQWKTVIZRYBWIYDWLYCWIWJBWIWJWIAAVJZVKVLBURDWIVPOWIAUCDQWJTVIAVMAVNPQBTV
    IWIVOOVQWKVRVSWKVTWAAWBWCWDWENWMWOSDZXCWSLAWFYFXBWREFWOWGNPWIXDXALZWLWIASDY
    GYEAWGPMWH $.

  $( The binary length of an integer greater than 1 is the binary length of the
     integer divided by 2, increased by one.  (Contributed by AV,
     3-Jun-2020.) $)
  blengt1fldiv2p1 $p |- ( N e. ( ZZ>= ` 2 )
                       -> ( #b ` N ) = ( ( #b ` ( |_ ` ( N / 2 ) ) ) + 1 ) ) $=
    ( c2 cdiv co cn wcel c1 caddc cfv cblen wceq syl wa cn0 nnnn0 sylan2 ancoms
    cmin oveq1d eqcomd wo cuz cfl eluz2nn nneop wi blennn0em1 nnz fveq2d adantr
    cz flid cc blennnelnn nncnd npcan1 adantl 3eqtr3rd expcom syl11 blennngt2o2
    eluzge2nn0 nn0ofldiv2 syl2anr eqtrd ex jaoi mpcom ) ABCDZEFZAGHDBCDZEFZUAZA
    BUBIFZAJIZVIUCIZJIZGHDZKZVNAEFZVMAUDZAUELVJVNVSUFVLVTVJVSVNVJVTVSVJVTMZVIJI
    ZGHDZVOGRDZGHDZVRVOWBWCWEGHVTVJWCWEKZVJVTVINFWGVIOAUGPQSVJWDVRKVTVJWCVQGHVJ
    VIVPJVJVPVIVJVIUKFVPVIKVIUHVIULLTUISUJVTWFVOKZVJVTVOUMFWHVTVOAUNUOVOUPLUQUR
    USWAUTVLVNVSVLVNMZVOAGRDBCDZJIZGHDZVRVNVLVOWLKZVLVNVKNFZWMVKOZAVAPQWIWKVQGH
    WIWJVPJWIVPWJVNANFWNVPWJKVLAVBWOAVCVDTUISVEVFVGVH $.

  $( The binary length of an even positive integer is the binary length of the
     half of the integer, increased by 1.  (Contributed by AV, 29-May-2020.) $)
  blennn0e2 $p |- ( ( N e. NN /\ ( N / 2 ) e. NN0 )
                    -> ( #b ` N ) = ( ( #b ` ( N / 2 ) ) + 1 ) ) $=
    ( cn wcel c2 co wa clogb cfl cfv c1 caddc cblen cmin crp wceq adantr oveq1d
    2rp a1i syl cdiv cn0 csn cdif wne 1ne2 necomi eldifsn mpbir2an nnrp sylancr
    relogbdivb fveq2d cr cz relogbcl syl3anc 1zzd flsubz cc flcld npcan1 3eqtrd
    jca zcnd nn0enne biimpa blennn 3eqtr4rd ) ABCZADUAEZUBCZFZDVKGEZHIZJKEZJKEZ
    DAGEZHIZJKEZVKLIZJKEZALIZVMVPVSJKVMVPVRJMEZHIZJKEVSJMEZJKEZVSVMVOWEJKVMVNWD
    HVMDNJUCUDCZANCZVNWDOWHDNCZDJUEZRJDUFUGZDNJUHUIVJWIVLAUJZPADULUKUMQVMWEWFJK
    VMVRUNCZJUOCZFZWEWFOVJWPVLVJWNWOVJWJWIWKWNWJVJRSWMWKVJWLSDAUPUQZVJURVDPVRJU
    STQVJWGVSOZVLVJVSUTCWRVJVSVJVRWQVAVEVSVBTPVCQVMVKBCZWBVQOVJVLWSAVFVGWSWAVPJ
    KVKVHQTVJWCVTOVLAVHPVI $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Digits
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Generalization of ~ df-bits .  In contrast to ` digit ` , ` bits ` are
  defined for integers only.  The equivalence of both definitions for integers
  is shown in ~ dig2bits : if ` K ` and ` N ` are nonnegative integers, then
  ` ( ( K ( digit `` 2 ) N ) = 1 <-> K e. ( bits `` N ) ) ` .

$)

  $c digit $. $( The class of the digit extraction operation. $)

  $( Extend class notation with the class of the digit extraction operation. $)
  cdig $a class digit $.

  ${
    $d b k r $.
    $( Definition of an operation to obtain the ` k ` th digit of a nonnegative
       real number ` r ` in the positional system with base ` b ` . ` k = - 1 `
       corresponds to the first digit of the fractional part (for ` b = ` 10
       the first digit after the decimal point), ` k = ` 0 corresponds to the
       last digit of the integer part (for ` b = ` 10 the first digit before
       the decimal point).  See also ~ digit1 .  Examples (not formal):
       ( 234.567 ( digit `` 10 ) 0 ) = 4; ( 2.567 ( digit `` 10 ) -2 ) = 6;
       ( 2345.67 ( digit `` 10 ) 2 ) = 3.  (Contributed by AV, 16-May-2020.) $)
    df-dig $a |- digit = ( b e. NN |-> ( k e. ZZ , r e. ( 0 [,) +oo )
                            |-> ( ( |_ ` ( ( b ^ -u k ) x. r ) ) mod b ) ) ) $.

    $d B b k r $.
    $( Operation to obtain the ` k ` th digit of a nonnegative real number
       ` r ` in the positional system with base ` B ` .  (Contributed by AV,
       23-May-2020.) $)
    digfval $p |- ( B e. NN -> ( digit ` B ) = ( k e. ZZ , r e. ( 0 [,) +oo )
                            |-> ( ( |_ ` ( ( B ^ -u k ) x. r ) ) mod B ) ) ) $=
      ( vb cn wcel cz cc0 cpnf cico co cv cexp cmul cfl cfv cmo cmpo cvv id zex
      cneg cdig df-dig wceq oveq1 fvoveq1d oveq12d mpoeq3dv wa ovex pm3.2i eqid
      mpoexg mp1i fvmptd3 ) AEFZDABCGHIJKZDLZBLUBZMKZCLZNKOPZUSQKZRBCGURAUTMKZV
      BNKOPZAQKZRZEUCSBCDUDUSAUEZBCGURVDVGVIVCVFUSAQVIVAVEVBONUSAUTMUFUGVITUHUI
      UQTGSFZURSFZUJVHSFUQVJVKUAHIJUKULBCGURVGSSVHVHUMUNUOUP $.

    $d K k r $.  $d R k r $.
    $( The ` K ` th digit of a nonnegative real number ` R ` in the positional
       system with base ` B ` .  (Contributed by AV, 23-May-2020.) $)
    digval $p |- ( ( B e. NN /\ K e. ZZ /\ R e. ( 0 [,) +oo ) )
                   -> ( K ( digit ` B ) R )
                      = ( ( |_ ` ( ( B ^ -u K ) x. R ) ) mod B ) ) $=
      ( vk vr cn wcel cz cc0 cpnf cico co cv cneg cexp cmul cfl cfv cmo wceq wa
      w3a cdig cvv cmpo digfval negeq oveq2d adantr simpr oveq12d fveq2d oveq1d
      3ad2ant1 adantl simp2 simp3 ovexd ovmpod ) AFGZCHGZBIJKLZGZUBZDECBHVBADMZ
      NZOLZEMZPLZQRZASLZACNZOLZBPLZQRZASLZAUCRZUDUTVAVQDEHVBVKUETVCADEUFUNVECTZ
      VHBTZUAZVKVPTVDVTVJVOASVTVIVNQVTVGVMVHBPVRVGVMTVSVRVFVLAOVECUGUHUIVRVSUJU
      KULUMUOUTVAVCUPUTVAVCUQVDVOASURUS $.
  $}

  $( The ` K ` th digit of a nonnegative real number ` R ` in the positional
     system with base ` B ` is a nonnegative integer.  (Contributed by AV,
     28-May-2020.) $)
  digvalnn0 $p |- ( ( B e. NN /\ K e. ZZ /\ R e. ( 0 [,) +oo ) )
                    -> ( K ( digit ` B ) R ) e. NN0 ) $=
    ( cn wcel cz cc0 cpnf cico co w3a cdig cfv cneg cexp cmul cfl cmo 3ad2ant1
    cr cn0 digval nnre wne nnne0 znegcl 3ad2ant2 reexpclzd cle elrege0 3ad2ant3
    wbr simplbi remulcld flcld simp1 zmodcld eqeltrd ) ADEZCFEZBGHIJEZKZCBALMJA
    CNZOJZBPJZQMZARJUAABCUBVBVFAVBVEVBVDBVBAVCUSUTATEVAAUCSUSUTAGUDVAAUESUTUSVC
    FEVACUFUGUHVAUSBTEZUTVAVGGBUIULBUJUMUKUNUOUSUTVAUPUQUR $.

  $( The ` K ` th digit of a nonnegative real number ` R ` in the positional
     system with base ` B ` .  (Contributed by AV, 23-May-2020.) $)
  nn0digval $p |- ( ( B e. NN /\ K e. NN0 /\ R e. ( 0 [,) +oo ) )
                    -> ( K ( digit ` B ) R )
                       = ( ( |_ ` ( R / ( B ^ K ) ) ) mod B ) ) $=
    ( cn wcel cc0 co cfv cexp cmul cfl cmo cdiv wceq wa cc syl 3adant3 3ad2ant1
    oveq1d cn0 cpnf cico cdig cneg cz nn0z digval syl3an2 c1 nncn anim1i expneg
    w3a cle wbr elrege0 recn adantr sylbi 3ad2ant3 expcl nnne0 3ad2ant2 expne0d
    cr wne divrec2d eqtr4d fveq2d eqtrd ) ADEZCUAEZBFUBUCGEZUNZCBAUDHGZACUEIGZB
    JGZKHZALGZBACIGZMGZKHZALGVMVLCUFEZVNVPVTNCUGZABCUHUIVOVSWCALVOVRWBKVOVRUJWA
    MGZBJGWBVOVQWFBJVLVMVQWFNZVNVLVMOAPEZVMOZWGVLWHVMAUKZULZACUMQRTVOBWAVNVLBPE
    ZVMVNBVFEZFBUOUPZOWLBUQWMWLWNBURUSUTVAVOWIWAPEVLVMWIVNWKRACVBQVOACVLVMWHVNW
    JSVLVMAFVGVNAVCSVMVLWDVNWEVDVEVHVIVJTVK $.

  $( The digits of the fractional part of a nonnegative integer are 0.
     (Contributed by AV, 23-May-2020.) $)
  dignn0fr $p |- ( ( B e. NN /\ K e. ( ZZ \ NN0 ) /\ N e. NN0 )
                    -> ( K ( digit ` B ) N ) = 0 ) $=
    ( cn wcel cz cn0 co cmul cmo wceq cr wa syl2an 3adant3 3ad2ant3 cc 3ad2ant1
    cc0 eqtrd cdif w3a cdig cfv cneg cexp cfl cpnf cico id eldifi cle wbr nn0re
    nn0ge0 elrege0 sylanbrc digval syl3an nnz eldif znnn0nn sylbi nnnn0d zexpcl
    wn nn0z zmulcld flid syl oveq1d cdiv cmin wne nnre reexpcl recnd nn0cn nncn
    c1 nnne0 div23 syl3anc nnzd 3ad2ant2 expm1d eqcomd nnm1nn0 eqeltrd remulcld
    jca crp wb nnrp mod0 syl2anc mpbird ) ADEZBFGUAEZCGEZUBZBCAUCUDHZABUEZUFHZC
    IHZUGUDZAJHZSWRWRWSBFEZWTCSUHUIHEZXBXGKWRUJBFGUKWTCLEZSCULUMXICUNZCUOCUPUQA
    CBURUSXAXGXEAJHZSXAXFXEAJXAXEFEXFXEKXAXDCWRWSXDFEZWTWRAFEZXCGEZXMWSAUTZWSXC
    WSXHBGEVFMXCDEZBFGVABVBVCZVDZAXCVENOWTWRCFEWSCVGPZVHXEVIVJVKXAXLSKZXEAVLHZF
    EZXAYBAXCVTVMHZUFHZCIHZFXAYBXDAVLHZCIHZYFXAXDQEZCQEZAQEZASVNZMZYBYHKWRWSYIW
    TWRWSMXDWRALEXOXDLEZWSAVOXSAXCVPNZVQOWTWRYJWSCVRPWRWSYMWTWRYKYLAVSZAWAZWKRX
    DCAWBWCXAYGYECIXAYEYGXAAXCWRWSYKWTYPRWRWSYLWTYQRWSWRXCFEWTWSXCXRWDWEWFWGVKT
    XAYECWRWSYEFEZWTWRXNYDGEZYRWSXPWSXQYSXRXCWHVJAYDVENOXTVHWIXAXELEAWLEZYAYCWM
    XAXDCWRWSYNWTYOOWTWRXJWSXKPWJWRWSYTWTAWNRXEAWOWPWQTT $.

  $( Lemma for ~ dignnld .  (Contributed by AV, 25-May-2020.) $)
  dignn0ldlem $p |- ( ( B e. ( ZZ>= ` 2 ) /\ N e. NN
                        /\ K e. ( ZZ>= ` ( ( |_ ` ( B logb N ) ) + 1 ) ) )
                      -> N < ( B ^ K ) ) $=
    ( c2 cfv wcel co c1 w3a clt wbr cr 3ad2ant1 cc0 cle wa adantl cc wi adantr
    cuz cn clogb cfl caddc ccxp cexp nnre 3ad2ant2 eluzelre eluz2nn nn0ge0d syl
    nnnn0 crp nnrp relogbzcl sylan2 3adant3 recxpcld 3ad2ant3 cpr cdif csn wceq
    leidd eluz2cnn0n1 nncn nnne0 eldifsn sylanbrc cxplogb syl2an breqtrrd eluz2
    wne cz flltp1 ltletr syl3anc mpand ex com23 3impia com12 syl5bi wb eluz2gt1
    zre cxplt syl12anc mpbid lelttrd eluzelcn eluz2n0 eluzelz cxpexpz breq2d
    jca ) ADUAEFZCUBFZBACUCGZUDEHUEGZUAEFZIZCABUFGZJKZCABUGGZJKZXECAXBUFGZXFXAW
    TCLFXDCUHZUIXEAXBWTXAALFZXDDAUJZMZWTXANAOKZXDWTAUBFZXOAUKXPAAUNULUMMZWTXAXB
    LFZXDXAWTCUOFXRCUPACUQURZUSZUTXEABXNXQXDWTBLFZXAXCBUJVAZUTWTXACXJOKXDWTXAPZ
    CCXJOXACCOKWTXACXKVFQWTARNHVBVCFCRNVDVCFZXJCVEXAAVGXACRFCNVPYDCVHCVICRNVJVK
    ACVLVMVNUSXEXBBJKZXJXFJKZWTXAXDYEXDXCVQFZBVQFZXCBOKZIZYCYEXCBVOYJYCYEYGYHYI
    YCYESYGYHPZYCYIYEYKYCYIYESYKYCPZXBXCJKZYIYEYLXRYMYCXRYKXSQZXBVRUMYLXRXCLFZY
    AYMYIPYESYNYKYOYCYGYOYHXCWITTYKYAYCYHYAYGBWIQTXBXCBVSVTWAWBWCWDWEWFWDXEXLHA
    JKZPZXRYAYEYFWGWTXAYQXDWTXLYPXMAWHWSMXTYBAXBBWJWKWLWMXEARFZANVPZYHXGXIWGWTX
    AYRXDDAWNMWTXAYSXDAWOMXDWTYHXAXCBWPVAYRYSYHIXFXHCJABWQWRVTWL $.

  $( The leading digits of a positive integer are 0.  (Contributed by AV,
     25-May-2020.) $)
  dignnld $p |- ( ( B e. ( ZZ>= ` 2 ) /\ N e. NN
                     /\ K e. ( ZZ>= ` ( ( |_ ` ( B logb N ) ) + 1 ) ) )
                   -> ( K ( digit ` B ) N ) = 0 ) $=
    ( c2 cfv wcel co c1 cmo cc0 cn0 cico 3ad2ant1 wa cr cle wbr syl wb clt cdig
    cuz cn clogb cfl caddc w3a cexp cdiv cpnf wceq eluz2nn crp anim2i relogbzcl
    nnrp nnre nnge1 elicopnf ax-mp sylibr rege1logbzge0 flge0nn0 peano2nn0 3syl
    jca 1re eluznn0 stoic3 nnnn0 nn0rp0 3ad2ant2 nn0digval syl3anc eluzelre wne
    eluz2n0 cz eluzelz 3ad2ant3 reexpclzd eluzelcn expne0d nn0ge0 nngt0d expgt0
    cc redivcld ge0div mpbid dignn0ldlem nnrpd rpexpcl 3adant2 divlt1lt syl2anc
    syl2an mpbird cxr 0re 1xr pm3.2i elico2 mp1i mpbir3and ico01fl0 oveq1d 0mod
    3eqtrd ) ADUBEFZCUCFZBACUDGZUEEZHUFGZUBEFZUGZBCAUAEGZCABUHGZUIGZUEEZAIGZJAI
    GZJXPAUCFZBKFZCJUJLGFZXQYAUKXJXKYCXOAULZMXJXKXNKFZXOYDXJXKNZXLOFZJXLPQZNXMK
    FYGYHYIYJYHXJCUMFZNYIXKYKXJCUPUNACUORYHXJCHUJLGFZNYJXKYLXJXKCOFZHCPQZNZYLXK
    YMYNCUQZCURVFHOFYLYOSVGHCUSUTVAUNACVBRVFXLVCXMVDVEBXNVHVIXKXJYEXOXKCKFZYECV
    JZCVKRVLACBVMVNXPXTJAIXPXSJHLGFZXTJUKXPYSXSOFZJXSPQZXSHTQZXPCXRXKXJYMXOYPVL
    ZXPABXJXKAOFZXODAVOMZXJXKAJVPXOAVQMZXOXJBVRFZXKXNBVSZVTZWAZXPABXJXKAWGFXODA
    WBMUUFUUIWCWHXPJCPQZUUAXKXJUUKXOXKYQUUKYRCWDRVLXPYMXROFJXRTQZUUKUUASUUCUUJX
    PUUDUUGJATQZUULUUEUUIXJXKUUMXOXJAYFWEMABWFVNCXRWIVNWJXPUUBCXRTQZABCWKXPYMXR
    UMFZUUBUUNSUUCXJXOUUOXKXJAUMFZUUGUUOXOXJAYFWLZUUHABWMWQWNCXRWOWPWRJOFZHWSFZ
    NYSYTUUAUUBUGSXPUURUUSWTXAXBJHXSXCXDXEXSXFRXGXPUUPYBJUKXJXKUUPXOUUQMAXHRXI
    $.

  $( The leading digits of a positive integer in a binary system are 0.
     (Contributed by AV, 25-May-2020.) $)
  dig2nn0ld $p |- ( ( N e. NN /\ K e. ( ZZ>= ` ( #b ` N ) ) )
                    -> ( K ( digit ` 2 ) N ) = 0 ) $=
    ( cn wcel cblen cfv cuz wa c2 clogb co cfl c1 caddc cdig cc0 wceq cz uzid
    2z mp1i simpl blennn fveq2d eleq2d biimpa dignnld syl3anc ) BCDZABEFZGFZDZH
    ZIIGFDZUIAIBJKLFMNKZGFZDZABIOFKPQIRDUNUMTISUAUIULUBUIULUQUIUKUPAUIUJUOGBUCU
    DUEUFIABUGUH $.

  $( The first (relevant) digit of a positive integer in a binary system is 1.
     (Contributed by AV, 26-May-2020.) $)
  dig2nn1st $p |- ( N e. NN -> ( ( ( #b ` N ) - 1 ) ( digit ` 2 ) N ) = 1 ) $=
    ( cn wcel cfv c1 cmin co c2 cexp cdiv cfl cc0 a1i syl cr wbr cdvds cz eqtrd
    wceq cblen cdig cmo cn0 cpnf cico 2nn blennnelnn nnm1nn0 nnre nnnn0 nn0ge0d
    cle elrege0 sylanbrc nn0digval syl3anc wn n2dvds1 clogb caddc blennn oveq1d
    cc cuz 2z uzid ax-mp nnrp relogbzcl sylancr flcld zcnd pncan1 oveq2d fveq2d
    crp fldivexpfllog2 breq2d mtbiri wb 2re reexpcld 2cnd 2ne0 expne0d redivcld
    wne nn0zd mod2eq1n2dvds mpbird ) ABCZAUADZEFGZAHUBDGZAHWNIGZJGZKDZHUCGZEWLH
    BCZWNUDCZALUEUFGCZWOWSTWTWLUGMWLWMBCXAAUHWMUINZWLAOCLAUMPXBAUJZWLAAUKULAUNU
    OHAWNUPUQWLWSETZHWRQPZURZWLXFHEQPUSWLWREHQWLWRAHHAUTGZKDZIGZJGZKDZEWLWQXKKW
    LWPXJAJWLWNXIHIWLWNXIEVAGZEFGZXIWLWMXMEFAVBVCWLXIVDCXNXITWLXIWLXHWLHHVEDCZA
    VQCZXHOCHRCXOVFHVGVHAVIZHAVJVKVLVMXIVNNSVOVOVPWLXPXLETXQAVRNSVSVTWLWRRCXEXG
    WAWLWQWLAWPXDWLHWNHOCWLWBMXCWCWLHWNWLWDHLWHWLWEMWLWNXCWIWFWGVLWRWJNWKS $.

  $( All digits of 0 are 0.  (Contributed by AV, 24-May-2020.) $)
  dig0 $p |- ( ( B e. NN /\ K e. ZZ ) -> ( K ( digit ` B ) 0 ) = 0 ) $=
    ( cn wcel cz wa cc0 cdig cfv co cneg cexp cmul cfl cmo cpnf wceq adantr syl
    eqtrd cico 0e0icopnf digval mp3an3 cc nncn wne znegcl adantl expclzd mul01d
    nnne0 fveq2d 0zd flid oveq1d crp nnrp 0mod ) ACDZBEDZFZBGAHIJZABKZLJZGMJZNI
    ZAOJZGUTVAGGPUAJDVCVHQUBAGBUCUDVBVHGAOJZGVBVGGAOVBVGGNIZGVBVFGNVBVEVBAVDUTA
    UEDVAAUFRUTAGUGVAAULRVAVDEDUTBUHUIUJUKUMVBGEDVJGQVBUNGUOSTUPUTVIGQZVAUTAUQD
    VKAURAUSSRTT $.

  $( The ` K ` th digit of a power to the base is either 1 or 0.  (Contributed
     by AV, 24-May-2020.) $)
  digexp $p |- ( ( B e. ( ZZ>= ` 2 ) /\ K e. NN0 /\ N e. NN0 )
                 -> ( K ( digit ` B ) ( B ^ N ) ) = if ( K = N , 1 , 0 ) ) $=
    ( cfv wcel cexp co cfl cmo c1 cc0 wa cz 3ad2ant1 wbr adantr wb syl ad2antrl
    wceq c2 cuz cn0 w3a cdiv cmin cdig cif wne eluzelcn eluz2nn nnne0d jca nn0z
    cc anim12i ancomd 3adant1 expsub syl2anc eqcomd fveq2d oveq1d cn cpnf simp2
    cico cr cle eluzelre reexpcl sylan simpr eluzge2nn0 nn0ge0d expge0d 3adant2
    elrege0 sylibr syl3anc nn0cn 3ad2ant3 3ad2ant2 subeq0ad mpbird oveq2d exp0d
    nn0digval eqtrd 1zzd flid eluz2gt1 1mod eqtr2d wn simprl1 adantl zsubcld wi
    clt nn0re sublt0d biimprd expnegico01 ico01fl0 crp nnrpd 0mod eluzelz lenlt
    impcom bicomd biimpd 3simpc nn0sub mpbid zexpcl expm1d pm4.56 syl5bi znnsub
    wo axlttri expdimp nnm1nn0 eqeltrd reexpclzd mod0 pm2.61ian ifeqda 3eqtr4d
    ) AUAUBDEZBUCEZCUCEZUDZACFGZABFGUEGZHDZAIGZACBUFGZFGZHDZAIGZBYPAUGDGZBCTZJK
    UHYOYRUUBAIYOYQUUAHYOUUAYQYOAUOEZAKUIZLZCMEZBMEZLZUUAYQTYLYMUUHYNYLUUFUUGUA
    AUJZYLAAUKZULZUMNYMYNUUKYLYMYNLZUUJUUIYMUUJYNUUIBUNZCUNZUPZUQURACBUSUTVAVBV
    CYOAVDEZYMYPKVEVGGEZUUDYSTYLYMUUSYNUUMNYLYMYNVFYOYPVHEZKYPVIOZLZUUTYLYNUVCY
    MYLYNLZUVAUVBYLAVHEZYNUVAUAAVJZACVKVLUVDACYLUVEYNUVFPYLYNVMYLKAVIOYNYLAAVNV
    OPVPUMVQYPVRVSAYPBWHVTYOUUEJKUUCYOUUELZUUCJAIGZJUVGUUBJAIUVGUUBJHDZJUVGUUAJ
    HUVGUUAAKFGZJUVGYTKAFUVGYTKTZCBTZUVGBCYOUUEVMVAYOUVKUVLQUUEYOCBYNYLCUOEYMCW
    AWBYMYLBUOEYNBWAWCWDPWEWFYOUVJJTZUUEYLYMUVMYNYLAUULWGNPWIVBUVGJMEUVIJTUVGWJ
    JWKRWIVCYOUVHJTZUUEYLYMUVNYNYLUVEJAWTOUVNUVFAWLAWMUTNPWNYOUUEWOZLZUUCKCBWTO
    ZUVPUUCKTUVQUVPLZUUCKAIGZKUVRUUBKAIUVRUUAKJVGGEZUUBKTUVRYLYTMEZYTKWTOZUVTYL
    YMYNUVOUVQWPYOUWAUVQUVOYMYNUWAYLUUOCBYNUUIYMUUQWQYMUUJYNUUPPWRURZSUVPUVQUWB
    YOUVQUWBWSUVOYOUWBUVQYOCBYNYLCVHEZYMCXAZWBYMYLBVHEZYNBXAZWCXBXCPXKAYTXDVTUU
    AXERVCYOUVSKTZUVQUVOYLYMUWHYNYLAXFEZUWHYLAUUMXGZAXHRNSWIUVQWOZUVPLZUUCUUAAI
    GZKUWLUUBUUAAIUWLUUAMEZUUBUUATUWLAMEZYTUCEZUWNYOUWOUWKUVOYLYMUWOYNUAAXINSZU
    WLBCVIOZUWPUVPUWKUWRYOUWKUWRWSZUVOYMYNUWSYLUUOUWKUWRUUOUWFUWDLZUWKUWRQYMUWF
    YNUWDUWGUWEUPZUWTUWRUWKBCXJXLRXMURPXKUWLUUOUWRUWPQYOUUOUWKUVOYLYMYNXNSBCXOR
    XPAYTXQUTUUAWKRVCUWLUWMKTZUUAAUEGZMEZUWLUXCAYTJUFGZFGZMYOUXCUXFTUWKUVOYOUXF
    UXCYOAYTYLYMUUFYNUULNYLYMUUGYNUUNNZUWCXRVASUWLUWOUXEUCEZUXFMEUWQUWLYTVDEZUX
    HUWLBCWTOZUXIUVPUWKUXJYOUVOUWKUXJUVOUWKLUUEUVQYBWOZYOUXJUUEUVQXSYOUXJUXKYOU
    WTUXJUXKQYMYNUWTYLUXAURBCYCRXCXTYDXKUWLUUJUUILZUXJUXIQYOUXLUWKUVOYMYNUXLYLU
    URURSBCYARXPYTYERAUXEXQUTYFYOUXBUXDQZUWKUVOYOUUAVHEUWIUXMYOAYTYLYMUVEYNUVFN
    UXGUWCYGYLYMUWIYNUWJNUUAAYHUTSWEWIYIVAYJYK $.

  $( All but one digits of 1 are 0.  (Contributed by AV, 24-May-2020.) $)
  dig1 $p |- ( ( B e. ( ZZ>= ` 2 ) /\ K e. ZZ )
               -> ( K ( digit ` B ) 1 ) = if ( K = 0 , 1 , 0 ) ) $=
    ( cc0 cle wbr c2 cfv wcel cz wa c1 co wceq ad2antrl cn0 syl3anc wn wi con3d
    a1i cuz cdig cif cexp exp0d eqcomd oveq2d simprl simpr anim2i ancomd elnn0z
    eluzelcn sylibr 0nn0 digexp eqtrd cn cdif eluz2nn simprr nn0ge0 impcom 1nn0
    eldifd dignn0fr 0le0 breq2 mpbiri iffalsed eqtr4d pm2.61ian ) CBDEZAFUAGHZB
    IHZJZBKAUBGZLZBCMZKCUCZMVMVPJZVRBACUDLZVQLZVTWAKWBBVQVNKWBMVMVOVNWBKVNAFAUM
    UEUFNUGWAVNBOHZCOHZWCVTMVMVNVOUHWAVOVMJWDWAVMVOVPVOVMVNVOUIUJUKBULUNWEWAUOT
    ABCUPPUQVMQZVPJZVRCVTWGAURHZBIOUSHKOHZVRCMVNWHWFVOAUTNWGBIOWFVNVOVAVPWFWDQV
    PWDVMWDVMRVPBVBTSVCVEWIWGVDTABKVFPWGVSKCVPWFVSQVPVSVMVSVMRVPVSVMCCDEVGBCCDV
    HVITSVCVJVKVL $.

  $( The ` 0 ` th digit of 1 is 1 in any positional system.  (Contributed by
     AV, 28-May-2020.) $)
  0dig1 $p |- ( B e. ( ZZ>= ` 2 ) -> ( 0 ( digit ` B ) 1 ) = 1 ) $=
    ( c2 cuz cfv wcel cc0 c1 cdig co wceq cif cz dig1 mpan2 eqid iftruei eqtrdi
    0z ) ABCDEZFGAHDIZFFJZGFKZGSFLETUBJRAFMNUAGFFOPQ $.

  $( The integers 0 and 1 correspond to their last bit.  (Contributed by AV,
     28-May-2010.) $)
  0dig2pr01 $p |- ( N e. { 0 , 1 } -> ( 0 ( digit ` 2 ) N ) = N ) $=
    ( cc0 c1 cpr wcel wceq wo c2 cdig cfv co elpri cn cz 2nn dig0 oveq2 3eqtr4a
    0z id mp2an cuz 2z uzid 0dig1 mp2b jaoi syl ) ABCDEABFZACFZGBAHIJZKZAFZABCL
    UIUMUJUIBBUKKZBULAHMEBNEUNBFOSHBPUAABBUKQUITRUJBCUKKZCULAHNEHHUBJEUOCFUCHUD
    HUEUFACBUKQUJTRUGUH $.

  $( A digit of a nonnegative integer ` N ` in a binary system is either 0 or
     1.  (Contributed by AV, 24-May-2020.) $)
  dig2nn0 $p |- ( ( N e. NN0 /\ K e. ZZ )
                  -> ( K ( digit ` 2 ) N ) e. { 0 , 1 } ) $=
    ( cn0 wcel cz wa c2 cdig cfv co cneg cexp cmul cfl cmo cc0 c1 a1i adantr cr
    cpr cn cpnf cico wceq 2nn simpr nn0rp0 digval syl3anc 2re wne znegcl adantl
    2ne0 reexpclzd nn0re remulcld flcld elmod2 syl eqeltrd ) BCDZAEDZFZABGHIJZG
    AKZLJZBMJZNIZGOJZPQUAZVEGUBDZVDBPUCUDJDZVFVKUEVMVEUFRVCVDUGVCVNVDBUHSGBAUIU
    JVEVJEDVKVLDVEVIVEVHBVEGVGGTDVEUKRGPULVEUORVDVGEDVCAUMUNUPVCBTDVDBUQSURUSVJ
    UTVAVB $.

  $( The last bit of an even integer is 0.  (Contributed by AV, 3-Jun-2010.) $)
  0dig2nn0e $p |- ( ( N e. NN0 /\ ( N / 2 ) e. NN0 )
                    -> ( 0 ( digit ` 2 ) N ) = 0 ) $=
    ( cn0 wcel c2 cdiv co wa cc0 cdig cfv cfl cmo a1i adantr c1 eqtrd oveq1d cz
    wceq nn0z cexp cn cpnf cico 2nn 0nn0 nn0rp0 nn0digval syl3anc 2cn exp0 mp1i
    cc oveq2d nn0cn div1d fveq2d flid syl adantl cr crp wb nn0re sylancl mpbird
    2rp mod0 ) ABCZADEFZBCZGZHADIJFZADHUAFZEFZKJZDLFZHVLDUBCZHBCZAHUCUDFCZVMVQS
    VRVLUEMVSVLUFMVIVTVKAUGNDAHUHUIVLVQAKJZDLFZHVLVPWADLVLVOAKVLVOAOEFZAVLVNOAE
    DUMCVNOSVLUJDUKULUNVIWCASVKVIAAUOUPNPUQQVLWBADLFZHVLWAADLVIWAASZVKVIARCWEAT
    AURUSNQVLWDHSZVJRCZVKWGVIVJTUTVLAVACZDVBCWFWGVCVIWHVKAVDNVGADVHVEVFPPP $.

  $( The last bit of an odd integer is 1.  (Contributed by AV, 3-Jun-2010.) $)
  0dig2nn0o $p |- ( ( N e. NN0 /\ ( ( N + 1 ) / 2 ) e. NN0 )
                    -> ( 0 ( digit ` 2 ) N ) = 1 ) $=
    ( cn0 wcel c1 co c2 cdiv cc0 cfv cfl cmo a1i adantr syl3anc eqtrd cz syl wb
    wceq mpbird caddc wa cdig cexp cpnf cico 2nn 0nn0 nn0rp0 nn0digval 2cn exp0
    cn cc mp1i oveq2d nn0cn div1d fveq2d oveq1d nn0z cdvds wbr wn adantl wne 2z
    flid 2ne0 peano2nn0 nn0zd dvdsval2 oddp1even mod2eq1n2dvds ) ABCZADUAEZFGEZ
    BCZUBZHAFUCIEZAFHUDEZGEZJIZFKEZDVSFUMCZHBCZAHUEUFECZVTWDSWEVSUGLWFVSUHLVOWG
    VRAUIMFAHUJNVSWDAJIZFKEZDVSWCWHFKVSWBAJVSWBADGEZAVSWADAGFUNCWADSVSUKFULUOUP
    VOWJASVRVOAAUQURMOUSUTVSWIAFKEZDVOWIWKSVRVOWHAFKVOAPCZWHASAVAZAVHQUTMVSWKDS
    ZFAVBVCVDZVSWOFVPVBVCZVSWPVQPCZVRWQVOVQVAVEVSFPCZFHVFZVPPCZWPWQRWRVSVGLWSVS
    VILVOWTVRVOVPAVJVKMFVPVLNTVOWOWPRZVRVOWLXAWMAVMQMTVSWLWNWORVOWLVRWMMAVNQTOO
    O $.

  $( The ` K ` th digit of a nonnegative integer ` N ` in a binary system is
     its ` K ` th bit.  (Contributed by AV, 24-May-2020.) $)
  dig2bits $p |- ( ( N e. NN0 /\ K e. NN0 )
                  -> ( ( K ( digit ` 2 ) N ) = 1 <-> K e. ( bits ` N ) ) ) $=
    ( cn0 wcel wa c2 cexp co cdiv cfv c1 wceq cz wb adantr a1i sylan cc0 nn0z
    cr cfl cmo cdvds wbr wn cdig cbits 2re reexpcl 2cnd wne 2ne0 adantl expne0d
    nn0re redivcld flcld mod2eq1n2dvds syl cpnf cico 2nn simpr nn0rp0 nn0digval
    cn syl3anc eqeq1d bitsval2 3bitr4d ) BCDZACDZEZBFAGHZIHZUAJZFUBHZKLZFVPUCUD
    UEZABFUFJHZKLABUGJDZVMVPMDVRVSNVMVOVMBVNVKBTDVLBUOOVKFTDZVLVNTDWBVKUHPFAUIQ
    VMFAVMUJFRUKVMULPVLAMDVKASUMUNUPUQVPURUSVMVTVQKVMFVFDZVLBRUTVAHDZVTVQLWCVMV
    BPVKVLVCVKWDVLBVDOFBAVEVGVHVKBMDVLWAVSNBSABVIQVJ $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Nonnegative integer as sum of its shifted digits
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Lemma 1 for ~ dignn0flhalf .  (Contributed by AV, 7-Jun-2012.) $)
  dignn0flhalflem1 $p |- ( ( A e. ZZ /\ ( ( A - 1 ) / 2 ) e. NN /\ N e. NN )
                           -> ( |_ ` ( ( A / ( 2 ^ N ) ) - 1 ) )
                              < ( |_ ` ( ( A - 1 ) / ( 2 ^ N ) ) ) ) $=
    ( cz wcel c1 cmin co c2 cdiv cexp cmo clt cr a1i 3ad2ant3 caddc wbr wceq wa
    cc0 cn w3a cfl cfv zre 3ad2ant1 crp rpexpcld rpred resubcld modcld peano2zm
    2rp nnz zred 1red readdcld cneg cif nnnn0 nnexpcld anim2i 3adant2 m1modmmod
    2nn syl wne wi zcn xp1d2m1eqxm1d2 eqcomd adantr eleq1d peano2z 1cnd halfcld
    cc addcld npcand syl5ib sylbid wn mod0 syl2an cmul cn0 nnzd nnm1nn0 syl2anc
    wb zexpcl adantl simpr zmulcld ex zcnd negcld negsubd oveq2d 2cnd 2ne0 1zzd
    mvrladdd zsubcld jca expsub syl21anc expn1 3eqtr3d rpcnne0d syl3anc divrecd
    expcld div12 3eqtr4d sylibd zeo2 necon2ad 3syld com23 neneqd iffalsed eqtrd
    3imp neg1lt0 2re 1lt2 expgt1 mp3an13 posdifd mpbid renegcld 0red mpan2d mpi
    lttr recnd subsub4d 3brtr4d fldivmod eqbrtrd syl22anc modid0 subid1d oveq1d
    ltsubadd2b modsubmodmod modabs2 breqtrrd ltsub2dd expne0d divsub1dir fveq2d
    ltdiv1dd ) ACDZAEFGZHIGZUADZBUADZUBZAHBJGZFGZUVBUVAKGZFGZUVAIGZUUPUUPUVAKGZ
    FGZUVAIGZAUVAIGZEFGZUCUDZUUPUVAIGUCUDZLUUTUVDUVGUVAUUTUVBUVCUUTAUVAUUOUURAM
    DZUUSAUEZUFZUUSUUOUVAMDZUURUUSUVAUUSHBHUGDZUUSUMNBUNZUHZUIZOZUJZUUTUVBUVAUW
    BUUSUUOUVAUGDZUURUVSOZUKZUJUUTUUPUVFUUOUURUUPMDZUUSUUOUUPAULUOUFZUUTUUPUVAU
    WGUWDUKZUJUWDUUTAUVAUVCPGZFGAEUVFPGZFGUVDUVGLUUTUWJUWIAUUTEUVFUUTUPZUWHUQUU
    TUVAUVCUWAUWEUQUVOUUTUWJUVAAUVAKGZPGZUWILUUTUVFUWLFGZUVAEFGZLQZUWJUWMLQZUUT
    UWNEURZUWOLUUTUWNUWLTRZUWOUWRUSZUWRUUTUUOUVAUADZSZUWNUWTRUUOUUSUXBUURUUSUXA
    UUOUUSHBHUADUUSVENZBUTVAVBVCAUVAVDVFUUTUWSUWOUWRUUTUWLTUUOUURUUSUWLTVGZUUOU
    USUURUXDUUOUUSUURUXDVHUUOUUSSZUURUUQCDZAEPGZHIGZCDZUXDUURUXFVHUXEUUQUNNUXEU
    XFUXHEFGZCDZUXIUXEUUQUXJCUUOUUQUXJRZUUSUUOAVQDZUXLAVIZUXMUXJUUQAVJVKVFVLVMU
    XKUXJEPGZCDUXEUXIUXJVNUXEUXOUXHCUXEUXHEUXEUXGUXEAEUUOUXMUUSUXNVLZUXEVOZVRVP
    UXQVSVMVTWAUXEUXIUWLTUXEUWSAHIGZCDZUXIWBZUXEUWSUVICDZUXSUUOUVMUWCUWSUYAWJUU
    SUVNUVSAUVAWCWDUXEUYAHBEFGZJGZUVIWEGZCDZUXSUXEUYAUYEUXEUYASUYCUVIUXEUYCCDZU
    YAUUSUYFUUOUUSHCDUYBWFDUYFUUSHUXCWGBWHZHUYBWKWIWLVLUXEUYAWMWNWOUXEUYDUXRCUX
    EAUYCUVAIGZWEGZAEHIGZWEGUYDUXRUXEUYHUYJAWEUXEHUYBBFGZJGZHUWRJGZUYHUYJUXEUYK
    UWRHJUXEUYBBUWRUXEBUUSBCDZUUOUVRWLZWPZUXEEUXQWQUXEBUWRPGUYBUXEBEUYPUXQWRVKX
    CWSUXEHVQDZHTVGZUYBCDZUYNSZUYLUYHRUXEWTZUYRUXEXANZUUSUYTUUOUUSUYSUYNUUSBEUV
    RUUSXBXDUVRXEWLHUYBBXFXGUXEUYQUYMUYJRVUAHXHVFXIWSUXEUYCVQDZUXMUVAVQDZUVATVG
    ZSUYDUYIRUUSVUCUUOUUSHUYBUUSWTZUYGXMWLUXPUXEUVAUXEHBUVQUXEUMNUYOUHXJUYCAUVA
    XNXKUXEAHUXPVUAVUBXLXOVMXPWAUUOUXSUXTWJUUSAXQVLXPXRXSWOXTYDYAYBYCUUSUUOUWRU
    WOLQZUURUUSUWRTLQZVUGYEUUSVUHTUWOLQZVUGUUSEUVALQZVUIHMDUUSEHLQVUJYFYGHBYHYI
    UUSEUVAUUSUPZUVTYJYKUUSUWRMDTMDUWOMDVUHVUISVUGVHUUSEVUKYLUUSYMUUSUVAEUVTVUK
    UJUWRTUWOYPXKYNYOOUUAUUTEMDUVPUWLMDUVFMDUWPUWQWJUWKUWAUUTAUVAUVOUWDUKZUWHEU
    VAUWLUVFUUFUUBYKUUTUVCUWLUVAPUUTUWLUVAUVAKGZFGZUVAKGZUWLUVAKGZUVCUWLUUTVUNU
    WLUVAKUUTVUNUWLTFGUWLUUTVUMTUWLFUUTUWCVUMTRUWDUVAUUCVFWSUUTUWLUUTUWLVULYQUU
    DYCUUEUUTUVMUVPUWCVUOUVCRUVOUWAUWDAUVAUVAUUGXKUUTUVMUWCVUPUWLRUVOUWDAUVAUUH
    WIXIWSUUIUUJUUTAUVAUVCUUOUURUXMUUSUXNUFZUUTUVAUWAYQUUTUVCUWEYQYRUUTAEUVFVUQ
    UUTVOUUTUVFUWHYQYRYSUUNUUTUVKUVBUVAIGZUCUDZUVEUUTUXMVUDVUEUVKVUSRVUQUUSUUOV
    UDUURUUSUVAUVTYQOUUSUUOVUEUURUUSHBVUFUYRUUSXANUVRUUKOUXMVUDVUEUBUVJVURUCAUV
    AUULUUMXKUUTUVBMDUWCVUSUVERUWBUWDUVBUVAYTWIYCUUTUWFUWCUVLUVHRUWGUWDUUPUVAYT
    WIYS $.

  $( Lemma 2 for ~ dignn0flhalf .  (Contributed by AV, 7-Jun-2012.) $)
  dignn0flhalflem2 $p |- ( ( A e. ZZ /\ ( ( A - 1 ) / 2 ) e. NN /\ N e. NN0 )
              -> ( |_ ` ( A / ( 2 ^ ( N + 1 ) ) ) )
                 = ( |_ ` ( ( |_ ` ( A / 2 ) ) / ( 2 ^ N ) ) ) ) $=
    ( cz wcel c1 cmin co c2 cdiv cfl cfv clt wbr cle wceq cr flcld a1i cc wa cn
    cn0 w3a cexp caddc zre rehalfcld zred 3ad2ant1 2re id reexpcld 3ad2ant3 cc0
    2cnd wne 2ne0 nn0z expne0d redivcld 1nn0 nn0addcld nn0p1nn dignn0flhalflem1
    peano2zd syl3an3 1zzd flsubz syl2anc eqcomd nnz zob syl5ibr zofldiv2 syldan
    imp 3adant3 fvoveq1d cmul zcn 1cnd subcld crp 2rp rpcnne0d rpexpcld divdiv1
    simp3 syl3an recnd mulcomd expp1d eqtr4d oveq2d eqtrd fveq2d 3brtr4d reflcl
    syl flle lediv1dd flwordi syl3anc rpcnd expp1zd breqtrrd zgtp1leeq syl22anc
    ) ACDZAEFGZHIGZUADZBUBDZUCZAHIGZJKZHBUDGZIGZJKZAHBEUEGZUDGZIGZJKZXNXSCDZYCC
    DZYCEFGZXSLMZXSYCNMZXSYCOZXNXRXNXPXQXIXLXPPDZXMXIXPXIXOXIAAUFZUGQUHUIXMXIXQ
    PDXLXMHBHPDZXMUJRXMUKULUMZXNHBXNUOZHUNUPZXNUQRZXMXIBCDXLBURZUMZUSZUTZQXNYBX
    NAYAXIXLAPDXMYKUIZXNHXTYLXNUJRXNBEXIXLXMWHZEUBDXNVARVBULXNHXTYNYPXNBYRVEUSU
    TZQXNYBEFGJKZXJYAIGZJKZYFXSLXMXIXLXTUADUUDUUFLMBVCAXTVDVFXNUUDYFXNYBPDECDUU
    DYFOUUCXNVGYBEVHVIVJXNXSXKXQIGZJKUUFXNXPXKXQJIXIXLXPXKOZXMXIXLAEUEGHIGCDZUU
    HXIXLUUIXLUUIXIXKCDXKVKAVLVMVPAVNVOVQVRXNUUGUUEJXNUUGXJHXQVSGZIGZUUEXIXJSDX
    LHSDYOTZXMXQSDZXQUNUPTZUUGUUKOXIAEAVTZXIWAWBXLHHWCDZXLWDRWEZXMXQXMHBUUPXMWD
    RYQWFZWEZXJHXQWGWIXNUUJYAXJIXNUUJXQHVSGZYAXNHXQYNXNXQYMWJWKXNHBYNUUBWLWMWNW
    OWPWOWQXNXSXOXQIGZJKZYCNXNXRPDUVAPDXRUVANMXSUVBNMYTXNXOXQXNAUUAUGZYMYSUTXNX
    PXOXQXNXOPDZYJUVCXOWRWSUVCXNHBUUPXNWDRYRWFXNUVDXPXONMUVCXOWTWSXAXRUVAXBXCXN
    YBUVAJXNUVAYBXNUVAAUUJIGZYBXIASDXLUULXMUUNUVAUVEOUUOUUQUUSAHXQWGWIXNUUJYAAI
    XNUUJUUTYAXNHXQYNXMXIUUMXLXMXQUURXDUMWKXNHBYNYPYRXEWMWNWOVJWPXFYDYETYGYHTYI
    YCXSXGVPXHVJ $.

  $( The digits of the half of an even nonnegative integer are the digits of
     the integer shifted by 1.  (Contributed by AV, 3-Jun-2010.) $)
  dignn0ehalf $p |- ( ( ( A / 2 ) e. NN0 /\ A e. NN0 /\ I e. NN0 )
                      -> ( ( I + 1 ) ( digit ` 2 ) A )
                         = ( I ( digit ` 2 ) ( A / 2 ) ) ) $=
    ( c2 cdiv co cn0 wcel cexp cfl cfv cmo cmul cc cc0 wne wa wceq a1i 3ad2ant3
    syl3anc w3a c1 caddc cdig nn0cn 3ad2ant2 2cnne0 2nn0 id nn0expcld 2cnd 2ne0
    nn0cnd expne0d jca divdiv1 mulcomd simp3 expp1d eqtr4d oveq2d eqtr2d fveq2d
    nn0z oveq1d cn cpnf cico 2nn peano2nn0 nn0rp0 nn0digval 3ad2ant1 3eqtr4d )
    ACDEZFGZAFGZBFGZUAZACBUBUCEZHEZDEZIJZCKEZVOCBHEZDEZIJZCKEZVTACUDJZEZBVOWIEZ
    VSWCWGCKVSWBWFIVSWFACWELEZDEZWBVSAMGZCMGCNOZPZWEMGZWENOZPZWFWMQVQVPWNVRAUEU
    FWPVSUGRVRVPWSVQVRWQWRVRWEVRCBCFGVRUHRVRUIUJUMZVRCBVRUKZWOVRULRBVDUNUOSACWE
    UPTVSWLWAADVSWLWECLEZWAVRVPWLXBQVQVRCWEXAWTUQSVSCBVSUKVPVQVRURZUSUTVAVBVCVE
    VSCVFGZVTFGZANVGVHEZGZWJWDQXDVSVIRZVRVPXEVQBVJSVQVPXGVRAVKUFCAVTVLTVSXDVRVO
    XFGZWKWHQXHXCVPVQXIVRVOVKVMCVOBVLTVN $.

  $( The digits of the rounded half of a nonnegative integer are the digits of
     the integer shifted by 1.  (Contributed by AV, 7-Jun-2010.) $)
  dignn0flhalf $p |- ( ( A e. ( ZZ>= ` 2 ) /\ I e. NN0 )
                       -> ( ( I + 1 ) ( digit ` 2 ) A )
                          = ( I ( digit ` 2 ) ( |_ ` ( A / 2 ) ) ) ) $=
    ( c2 cfv wcel cn0 c1 caddc co cdiv cfl wceq wi syl cmo 3ad2ant2 syl3anc cc0
    cr wbr cuz cdig wo eluzge2nn0 nn0eo w3a dignn0ehalf syl3an2 wa eluzelz nn0z
    cz zefldiv2 syl2anr eqcomd 3adant3 oveq2d eqtrd 3exp cexp cmin cn simp2 nno
    simp1 syl2anc simp3 dignn0flhalflem2 oveq1d cpnf 2nn a1i peano2nn0 3ad2ant3
    cico nn0rp0 nn0digval cle eluzelre rehalfcld clt nn0ge0d 2pos pm3.2i divge0
    2re syl21anc flge0nn0 3eqtr4d jaoi mpcom imp ) ACUADEZBFEZBGHIZACUBDZIZBACJ
    IZKDZWPIZLZWRFEZAGHICJIFEZUCZWMWNXAMZWMAFEZXDAUDZAUENXBWMXEMXCXBWMWNXAXBWMW
    NUFZWQBWRWPIZWTWMXBXFWNWQXILXGABUGUHXHWRWSBWPXBWMWRWSLWNXBWMUIWSWRWMAULEZWR
    ULEWSWRLXBCAUJZWRUKAUMUNUOUPUQURUSXCWMWNXAXCWMWNUFZACWOUTIJIKDZCOIZWSCBUTIJ
    IKDZCOIZWQWTXLXMXOCOXLXJAGVAICJIVBEZWNXMXOLWMXCXJWNXKPXLWMXCXQXCWMWNVCXCWMW
    NVEAVDVFXCWMWNVGZABVHQVIXLCVBEZWOFEZARVJVOIZEZWQXNLXSXLVKVLZWNXCXTWMBVMVNWM
    XCYBWNWMXFYBXGAVPNPCAWOVQQXLXSWNWSYAEZWTXPLYCXRXLWSFEZYDWMXCYEWNWMWRSERWRVR
    TZYEWMACAVSZVTWMASERAVRTCSEZRCWATZUIZYFYGWMAXGWBYJWMYHYIWFWCWDVLACWEWGWRWHV
    FPWSVPNCWSBVQQWIUSWJWKWL $.

  ${
    $d a i k x y $.
    $( Lemma for ~ nn0sumshdig (induction step, even multiplier).  (Contributed
       by AV, 3-Jun-2020.) $)
    nn0sumshdiglemA $p |- ( ( ( a e. NN /\ ( a / 2 ) e. NN ) /\ y e. NN )
                            -> ( A. x e. NN0 ( ( #b ` x ) = y
          -> x = sum_ k e. ( 0 ..^ y ) ( ( k ( digit ` 2 ) x ) x. ( 2 ^ k ) ) )
             -> ( ( #b ` a ) = ( y + 1 ) -> a = sum_ k e. ( 0 ..^ ( y + 1 ) )
                                ( ( k ( digit ` 2 ) a ) x. ( 2 ^ k ) ) ) ) ) $=
      ( vi wcel c2 co wa wceq cc0 cexp cmul csu wi cn0 c1 caddc adantl a1i cdiv
      cv cn cblen cfv cfzo cdig wral cmin nnnn0 blennn0em1 sylan2 fveqeq2 oveq2
      id oveq1d adantr sumeq2dv eqeq12d imbi12d rspcva simpr cc nncn pncan1 syl
      sylan9eq eqeq2d cfz nnz fzval3 eqcomd sumeq1d cuz elnn0uz sylib cpnf cico
      cz 2nn elfzelz nn0rp0 ad4antlr digvalnn0 syl3anc nn0cnd elfznn0 nn0expcld
      2nn0 mulcld oveq1 oveq12d 2cn exp0 oveq2i eqtrdi fsum1p 0dig2nn0e syl2anr
      ax-mp cr 1re mul02lem2 1z eqeltri 2cnd elfznn nnnn0d oveq1i eleq2s expcld
      0p1e1 fsumshftm ad4antr elfzonn0 dignn0ehalf expp1d elfzoelz 2re reexpcld
      recnd w3a mulass eqtrd 0cn fzoval oveq2d fzofi peano2zd peano2nn0 addid2d
      cfn fsumcl fsummulc1 3eqtr4d 3eqtrd weq cbvsumv ex com25 biimpac wne 2ne0
      divcan1d ad3antlr 3eqtrrd imim2i com13 com23 exp31 com14 expdcom mpid mpd
      sylbid impcom imp ) DUBZUCFZUURGUAHZUCFZIZBUBZUCFZAUBZUDUEUVCJZUVEKUVCUFH
      ZCUBZUVEGUGUEZHZGUVHLHZMHZCNZJZOZAPUHZUURUDUEZUVCQRHZJZUURKUVRUFHZUVHUURU
      VIHZUVKMHZCNZJZOZOZUVBUUTUDUEZUVQQUIHZJZUVDUWFOZUVAUUSUUTPFZUWIUUTUJZUURU
      KULUVAUUSUWIUWJOZUVAUUSUWKUWMUWLUWKUVAUUSUWMUWKUVPUWIUVDUVAUUSIZUWEUWKUVP
      UWIUVDUWNUWEOOOZUWKUVPIUWGUVCJZUUTUVGUVHUUTUVIHZUVKMHZCNZJZOZUWOUVOUXAAUU
      TPUVEUUTJZUVFUWPUVNUWTUVEUUTUVCUDUMUXBUVEUUTUVMUWSUXBUOUXBUVGUVLUWRCUXBUV
      LUWRJUVHUVGFUXBUVJUWQUVKMUVEUUTUVHUVIUNUPUQURUSUTVAUWNUWIUVDUXAUWEUWNUVSU
      VDUXAUWIUWDUWNUVSUVDUXAUWIUWDOOUWNUVSIZUVDIZUWIUXAUWDUXDUWIUWPUXAUWDOUXDU
      WHUVCUWGUXCUVDUWHUVRQUIHZUVCUXCUVQUVRQUIUWNUVSVBUPUVDUVCVCFUXEUVCJUVCVDUV
      CVEVFVGVHUXAUWPUXDUWDUWTUXDUWDOUWPUWTUXDUWDUWTUXDIZUWCUVGEUBZUUTUVIHZGUXG
      LHZMHZENZGMHZUUTGMHZUURUXDUWCUXLJUWTUXDUWCKUVCVIHZUWBCNKUURUVIHZQMHZKQRHZ
      UVCVIHZUWBCNZRHZUXLUXDUVTUXNUWBCUXDUXNUVTUXDUVCVSFZUXNUVTJUVDUYAUXCUVCVJZ
      SZKUVCVKVFVLVMUXDUWBUXPCKUVCUVDUVCKVNUEFZUXCUVDUVCPFUYDUVCUJUVCVOVPSUXDUV
      HUXNFZIZUWAUVKUYFUWAUYFGUCFZUVHVSFZUURKVQVRHZFZUWAPFZUYGUYFVTTUYEUYHUXDUV
      HKUVCWASUUSUYJUVAUVSUVDUYEUUSUURPFZUYJUURUJZUURWBVFZWCGUURUVHWDZWEWFUYEUV
      KVCFZUXDUYEUVKUYEGUVHGPFZUYEWITUVHUVCWGWHWFSWJUVHKJZUWBUXOGKLHZMHUXPUYRUW
      AUXOUVKUYSMUVHKUURUVIWKUVHKGLUNWLUYSQUXOMGVCFZUYSQJWMGWNWTWOWPWQUXDUXTKUX
      QQUIHZUVCQUIHZVIHZUXGQRHZUURUVIHZGVUDLHZMHZENZRHZUXLUXDUXPKUXSVUHRUXCUXPK
      JZUVDUWNVUJUVSUWNUXPKQMHZKUWNUXOKQMUUSUYLUWKUXOKJUVAUYMUWLUURWRWSUPQXAFVU
      KKJXBQXCWTWPUQUQUXDUWBVUGCEQUXQUVCQVSFUXDXDTUXQVSFUXDUXQQVSXLXDXETUYCUXDU
      VHUXRFZIZUWAUVKVUMUWAVUMUYGUYHUYJUYKUYGVUMVTTVULUYHUXDUVHUXQUVCWASUUSUYJU
      VAUVSUVDVULUYNWCUYOWEWFVULUYPUXDVULGUVHVULXFUVHPFUVHQUVCVIHZUXRUVHVUNFUVH
      UVHUVCXGXHUXQQUVCVIXLXIXJXKSWJUVHVUDJUWAVUEUVKVUFMUVHVUDUURUVIWKUVHVUDGLU
      NWLXMWLUXDUVGVUGENZUVGUXJGMHZENVUIUXLUXDUVGVUGVUPEUXDUXGUVGFZIZVUGUXHUXIG
      MHZMHZVUPVURVUEUXHVUFVUSMVURUWKUYLUXGPFZVUEUXHJUVAUWKUUSUVSUVDVUQUWLXNUUS
      UYLUVAUVSUVDVUQUYMWCVUQVVAUXDUXGUVCXOZSUURUXGXPWEVUQVUFVUSJUXDVUQGUXGVUQX
      FVVBXQSWLVURUXHVCFZUXIVCFZUYTVUTVUPJVURUXHVURUYGUXGVSFZUUTUYIFZUXHPFUYGVU
      RVTTZVUQVVEUXDUXGKUVCXRZSUVAVVFUUSUVSUVDVUQUVAUWKVVFUWLUUTWBVFXNGUUTUXGWD
      WEWFZVUQVVDUXDVUQUXIVUQGUXGGXAFVUQXSTVVBXTYASVURXFVVCVVDUYTYBVUPVUTUXHUXI
      GYCVLWEYDURUXDVUIKVUORHVUOUXDVUHVUOKRUXDVUCUVGVUGEUVDVUCUVGJUXCUVDVUCKVUB
      VIHZUVGUVDVUAKVUBVIVUAKJZUVDKVCFVVKYEKVEWTTUPUVDUYAVVJUVGJUYBUYAUVGVVJKUV
      CYFVLVFYDSVMYGUXDVUOUXDUVGVUGEUVGYLFUXDKUVCYHTZVURVUEVUFVURVUEVURUYGVUDVS
      FZUYJVUEPFVVGVUQVVMUXDVUQUXGVVHYISUUSUYJUVAUVSUVDVUQUYNWCGUURVUDWDWEWFVUQ
      VUFVCFUXDVUQVUFVUQGVUDUYQVUQWITZVUQVVAVUDPFVVBUXGYJVFWHWFSWJYMYKYDUXDUVGU
      XJGEVVLUXDXFVURUXHUXIVVIVUQVVDUXDVUQUXIVUQGUXGVVNVVBWHWFSWJYNYOYDYPSUXFUX
      KUUTGMUXFUUTUXKUXDUWTUUTUXKJUXDUWSUXKUUTUWSUXKJUXDUVGUWRUXJCECEYQUWQUXHUV
      KUXIMUVHUXGUUTUVIWKUVHUXGGLUNWLYRTVHUUAVLUPUXDUXMUURJZUWTUUSVVOUVAUVSUVDU
      USUURGUURVDUUSXFGKUUBUUSUUCTUUDUUESUUFYSUUGUUHUUOUUIUUJYTUUKVFYSYTUULUUMU
      UPUUNUUQ $.

    $( Lemma for ~ nn0sumshdig (induction step, odd multiplier).  (Contributed
       by AV, 7-Jun-2020.) $)
    nn0sumshdiglemB $p |- ( ( ( a e. NN /\ ( ( a - 1 ) / 2 ) e. NN0 )
                              /\ y e. NN ) -> ( A. x e. NN0 ( ( #b ` x ) = y
          -> x = sum_ k e. ( 0 ..^ y ) ( ( k ( digit ` 2 ) x ) x. ( 2 ^ k ) ) )
             -> ( ( #b ` a ) = ( y + 1 ) -> a = sum_ k e. ( 0 ..^ ( y + 1 ) )
                                ( ( k ( digit ` 2 ) a ) x. ( 2 ^ k ) ) ) ) ) $=
      ( vi wcel c1 co c2 cn0 wceq cc0 cmul csu wi caddc wa cc syl adantl cv cfv
      cn cmin cdiv cblen cfzo cdig cexp wral cuz wo elnn1uz2 1t1e1 eqcomi simpl
      csn oveq2 eqcoms fveq2 blen1 eqtrdi oveq2d fzo01 sylan9eqr sumeq1d oveq1d
      sumeq2sdv cvv c0ex ax-1cn mulcli oveq1 cpr 1ex prid2 0dig2pr01 ax-mp exp0
      2cn oveq12d sumsn mp2an adantr eqtrd 3eqtr4a ex a1d 2a1d eluzge2nn0 nn0ob
      wb bicomd blennngt2o2 sylbid fveqeq2 id eqeq12d imbi12d rspcva eqeq1 nncn
      imp ad2antll blennn0elnn nncnd ad2antrl 1cnd addcan2d eqcom cfz cz fzval3
      nnz eqcomd nnnn0 elnn0uz sylib cpnf cico 2nn a1i elfzelz nn0rp0 digvalnn0
      syl3anc nn0cnd 2nn0 elfznn0 nn0expcld mulcld oveq2i fsum1p 1z 2cnd oveq1i
      0p1e1 eleq2s jca com23 biimparc 0dig2nn0o syl2anc elfznn nnnn0d fsumshftm
      eqeltri expcld 3eqtrd elfzoelz elfzonn0 sumeq2dv 0cn pncan1 fzoval eqtr4d
      mulassd cfl simprlr dignn0flhalf syl2an eluzelz nn0z zob syl5ibr zofldiv2
      ancoms expp1d sumeq12dv weq cbvsumv eqeq2i biimpi fzofi fsummulc1 3eqtr4d
      cfn wne eluzelcn peano2cnm 2ne0 3jca divcan1 pncan3 3eqtrrd imim2i syl5bi
      w3a com13 com14 exp4c com35 pm2.43a com25 impcom mpd jaoi sylbi imp31 ) D
      UAZUCFZUWTGUDHZIUEHZJFZBUAZUCFZAUAZUFUBUXEKZUXGLUXEUGHZCUAZUXGIUHUBZHZIUX
      JUIHZMHZCNZKZOZAJUJZUWTUFUBZUXEGPHZKZUWTLUXTUGHZUXJUWTUXKHZUXMMHZCNZKZOZO
      ZUXAUWTGKZUWTIUKUBFZULUXDUXFUYHOZOZUWTUMUYIUYLUYJUYIUYHUXDUXFUYIUYGUXRUYI
      UYAUYFUYIUYAQZGGGMHZUWTUYEUYNGUNUOUYIUYAUPUYMUYELUQZUYDCNZUYNUYMUYBUYOUYD
      CUYAUYIUYBLUXSUGHZUYOUYBUYQKUXTUXSUXTUXSLUGURUSUYIUYQLGUGHUYOUYIUXSGLUGUY
      IUXSGUFUBGUWTGUFUTVAVBVCVDVBVEVFUYIUYPUYNKUYAUYIUYPUYOUXJGUXKHZUXMMHZCNZU
      YNUYIUYOUYDUYSCUYIUYCUYRUXMMUWTGUXJUXKURVGVHLVIFUYNRFUYTUYNKVJGGVKVKVLUYS
      UYNCLVIUXJLKZUYRGUXMGMVUAUYRLGUXKHZGUXJLGUXKVMGLGVNFVUBGKLGVOVPGVQVRVBVUA
      UXMILUIHZGUXJLIUIURZIRFZVUCGKVTIVSVRZVBWAWBWCVBWDWEWFWGWHWIUYJUXDUYKUYJUX
      DQZUXSUXCUFUBZGPHZKZUYKUYJUXDVUJUYJUXDUWTGPHIUEHZJFZVUJUYJUWTJFZUXDVULWLU
      WTWJZVUMVULUXDUWTWKZWMSUYJVULVUJUWTWNWGWOXCUXDUYJVUJUYKOUXDUXRVUJUXFUYJUY
      GUXRUXDVUJUXFUYJUYGOOOZUXDUXRUXDVUPOZUXDUXRQVUHUXEKZUXCUXIUXJUXCUXKHZUXMM
      HZCNZKZOZVUQUXQVVCAUXCJUXGUXCKZUXHVURUXPVVBUXGUXCUXEUFWPVVDUXGUXCUXOVVAVV
      DWQVVDUXIUXNVUTCVVDUXLVUSUXMMUXGUXCUXJUXKURVGVHWRWSWTVVCUXDUYJUXFVUJUYGVV
      CUXDUYJUXFVUJUYGOUYAUXDUYJQZUXFQZVUJVVCUYFUYAVUJVVFVVCUYFOZUYAVUJUXTVUIKZ
      VVFVVGOUXSUXTVUIXAUYAVVFVVHVVGUYAVVFVVHVVGOUYAVVFQZVVHUXEVUHKZVVGVVIUXEVU
      HGUXFUXERFUYAVVEUXEXBXDVVEVUHRFZUYAUXFUXDVVKUYJUXDVUHUXCXEXFWDXGVVIXHXIVV
      JVURVVIVVGUXEVUHXJVVCVURVVIUYFVVBVVIUYFOVURVVBVVIUYFVVBVVIQZUYEGLGPHZGUDH
      ZUXEGUDHZXKHZEUAZGPHZUWTUXKHZIVVRUIHZMHZENZPHZGUXCIMHZPHZUWTVVIUYEVWCKVVB
      VVIUYELUXEXKHZUYDCNLUWTUXKHZGMHZVVMUXEXKHZUYDCNZPHVWCVVIUYBVWFUYDCVVIVWFU
      YBVVIUXEXLFZVWFUYBKUXFVWKUYAVVEUXEXNZXDZLUXEXMSXOVFVVIUYDVWHCLUXEUXFUXELU
      KUBFZUYAVVEUXFUXEJFVWNUXEXPUXEXQXRXDVVIUXJVWFFZQZUYCUXMVWPUYCVVIVWOUYCJFZ
      VVEVWOVWQOUYAUXFVVEVWOVWQVVEVWOQZIUCFZUXJXLFZUWTLXSXTHZFZVWQVWSVWRYAYBVWO
      VWTVVEUXJLUXEYCTVVEVXBVWOUYJVXBUXDUYJVUMVXBVUNUWTYDZSTWDIUWTUXJYEZYFWGXGX
      CYGVWOUXMRFZVVIVWOUXMVWOIUXJIJFZVWOYHYBUXJUXEYIYJYGTYKVUAUYDVWGVUCMHVWHVU
      AUYCVWGUXMVUCMUXJLUWTUXKVMVUDWAVUCGVWGMVUFYLVBYMVVIVWHGVWJVWBPVVIVWHUYNGV
      VIVWGGGMVVEVWGGKZUYAUXFVVEVUMVULVXGUYJVUMUXDVUNTUYJVULUXDUYJVUMVULUXDWLVU
      NVUOSUUAUWTUUBUUCXGVGUNVBVVIUYDVWACEGVVMUXEGXLFVVIYNYBVVMXLFVVIVVMGXLYQYN
      UUGYBVWMVVIUXJVWIFZQZUYCUXMVXIUYCVVIVXHVWQVVEVXHVWQOZUYAUXFUYJVXJUXDUYJVX
      HVWQUYJVXHQZVWSVWTVXBVWQVWSVXKYAYBVXHVWTUYJUXJVVMUXEYCTVXKVUMVXBUYJVUMVXH
      VUNWDVXCSVXDYFWGTXGXCYGVXHVXEVVIVXHIUXJVXHYOUXJJFUXJGUXEXKHZVWIUXJVXLFUXJ
      UXJUXEUUDUUEVVMGUXEXKYQYPYRUUHTYKUXJVVRKUYCVVSUXMVVTMUXJVVRUWTUXKVMUXJVVR
      IUIURWAUUFWAUUITVVLVWBVWDGPVVLUXIVVQUXCUXKHZIVVQUIHZIMHZMHZENZUXIVXMVXNMH
      ZIMHZENZVWBVWDVVIVXQVXTKVVBVVIUXIVXPVXSEVVIVVQUXIFZQZVXSVXPVYBVXMVXNIVVIV
      YAVXMRFZVVEVYAVYCOUYAUXFVVEVYAVYCVVEVYAQZVXMVYDVWSVVQXLFZUXCVXAFZVXMJFVWS
      VYDYAYBVYAVYEVVEVVQLUXEUUJTVVEVYFVYAUXDVYFUYJUXCYDWDWDIUXCVVQYEYFYGZWGXGX
      CVYAVXNRFZVVIVYAVXNVYAIVVQVXFVYAYHYBVVQUXEUUKYJYGZTVYBYOUUQXOUULTVVIVWBVX
      QKVVBVVIVVPUXIVWAVXPEUXFVVPUXIKUYAVVEUXFVVPLVVOXKHZUXIUXFVVNLVVOXKVVNLKZU
      XFLRFVYKUUMLUUNVRZYBVGUXFVWKUXIVYJKVWLLUXEUUOSUUPXDVVIVVQVVPFZQZVVSVXMVVT
      VXOMVYNVVSVVQUWTIUEHUURUBZUXKHZVXMVVIUYJVVQJFZVVSVYPKVYMUYAUXDUYJUXFUUSVY
      QVVQVYJVVPVVQVVOYIVVNLVVOXKVYLYPYRZUWTVVQUUTUVAVYNVYOUXCVVQUXKVYNUWTXLFZV
      UKXLFZQZVYOUXCKVVIWUAVYMVVEWUAUYAUXFUYJUXDWUAVUGVYSVYTUYJVYSUXDIUWTUVBZWD
      UYJUXDVYTUXDVYTUYJUXCXLFZUXCUVCUYJVYSVYTWUCWLWUBUWTUVDSUVEXCYSUVGXGWDUWTU
      VFSVCWEVYMVVTVXOKVVIVYMIVVQVYMYOVYRUVHTWAUVITVVLVWDUXIVXRENZIMHVXTVVLUXCW
      UDIMVVBUXCWUDKZVVIVVBWUEVVAWUDUXCUXIVUTVXRCECEUVJVUSVXMUXMVXNMUXJVVQUXCUX
      KVMUXJVVQIUIURWAUVKUVLUVMWDVGVVLUXIVXRIEUXIUVQFVVLLUXEUVNYBVVLYOVVLVYAVXR
      RFZVVFVYAWUFOZVVBUYAVVEWUGUXFVVEVYAWUFVYDVXMVXNVYGVYAVYHVVEVYITYKWGWDXDXC
      UVOWEUVPVCVVFVWEUWTKZVVBUYAVVEWUHUXFVVEVWEGUXBPHZUWTVVEVWDUXBGPVVEUXBRFZV
      UEILUVRZUWHZVWDUXBKUYJWULUXDUYJWUJVUEWUKUYJUWTRFZWUJIUWTUVSZUWTUVTSUYJYOW
      UKUYJUWAYBUWBTUXBIUWCSVCVVEGRFZWUMQZWUIUWTKUYJWUPUXDUYJWUOWUMUYJXHWUNYSTG
      UWTUWDSWEWDXDUWEWGUWFUWIUWGWOWGYTWOYTUWJUWKUWLSWGUWMUWNUWOUWPWGUWQUWRUWS
      $.

    $( Lemma 1 for ~ nn0sumshdig (induction step).  (Contributed by AV,
       7-Jun-2020.) $)
    nn0sumshdiglem1 $p |- ( y e. NN
                    -> ( A. a e. NN0 ( ( #b ` a ) = y
                         -> a = sum_ k e. ( 0 ..^ y )
                             ( ( k ( digit ` 2 ) a ) x. ( 2 ^ k ) ) )
                      -> A. a e. NN0 ( ( #b ` a ) = ( y + 1 )
                         -> a = sum_ k e. ( 0 ..^ ( y + 1 ) )
                                ( ( k ( digit ` 2 ) a ) x. ( 2 ^ k ) ) ) ) ) $=
      ( vx cv cblen cfv wceq cc0 cfzo co c2 cmul csu wi cn0 cn wcel c1 eqtrdi
      cdig cexp wral caddc weq fveqeq2 id oveq2 oveq1d eqeq12d imbi12d cbvralvw
      sumeq2sdv wa wo elnn0 cdiv nn0sumshdiglemA nn0sumshdiglemB nneom mpjaodan
      cmin expimpd wb eqcom a1i nncn 1cnd addlsub 1m1e0 eqeq2d 3bitrd csn oveq1
      oveq2d 0p1e1 oveq2i fzo01 eqtri sumeq1d cc 0cn cz 2nn dig0 mp2an 2cn exp0
      0z ax-mp oveq12d cr 1re mul02lem2 sumsn eqtr2di syl6bi adantl fveq2 blen0
      eqeq1d adantr mpbird a1d jaoi sylbi com12 ralrimiv ex syl5bi ) CEZFGZAEZH
      ZXKIXMJKZBEZXKLUAGZKZLXPUBKZMKZBNZHZOZCPUCDEZFGXMHZYDXOXPYDXQKZXSMKZBNZHZ
      OZDPUCZXMQRZXLXMSUDKZHZXKIYMJKZXTBNZHZOZCPUCZYCYJCDPCDUEZXNYEYBYIXKYDXMFU
      FYTXKYDYAYHYTUGYTXOXTYGBYTXRYFXSMXKYDXPXQUHUIUMUJUKULYLYKYSYLYKUNZYRCPXKP
      RZUUAYRUUBXKQRZXKIHZUOUUAYROZXKUPUUCUUEUUDUUCXKLUQKQRZUUEXKSVBKLUQKPRZUUC
      UUFUNYLYKYRDABCURVCUUCUUGUNYLYKYRDABCUSVCXKUTVAUUDYLYKYRUUDYLUNZYRYKUUHYR
      SYMHZIYOXPIXQKZXSMKZBNZHZOZYLUUNUUDYLUUIXMIHZUUMYLUUIYMSHZXMSSVBKZHUUOUUI
      UUPVDYLSYMVEVFYLXMSSXMVGYLVHZUURVIYLUUQIXMUUQIHYLVJVFVKVLUUOUULIVMZUUKBNZ
      IUUOYOUUSUUKBUUOYOIISUDKZJKZUUSUUOYMUVAIJXMISUDVNVOUVBISJKUUSUVASIJVPVQVR
      VSTVTIWARZUVCUUTIHWBWBUUKIBIWAXPIHZUUKISMKZIUVDUUJIXSSMUVDUUJIIXQKZIXPIIX
      QVNLQRIWCRUVFIHWDWILIWEWFTUVDXSLIUBKZSXPILUBUHLWARUVGSHWGLWHWJTWKSWLRUVEI
      HWMSWNWJTWOWFWPWQWRUUDYRUUNVDYLUUDYNUUIYQUUMUUDXLSYMUUDXLIFGSXKIFWSWTTXAU
      UDXKIYPUULUUDUGUUDYOXTUUKBUUDXRUUJXSMXKIXPXQUHUIUMUJUKXBXCXDVCXEXFXGXHXIX
      J $.

    $d L a k x y $.
    $( Lemma 2 for ~ nn0sumshdig .  (Contributed by AV, 7-Jun-2020.) $)
    nn0sumshdiglem2 $p |- ( L e. NN -> A. a e. NN0 ( ( #b ` a ) = L
                           -> a = sum_ k e. ( 0 ..^ L )
                                  ( ( k ( digit ` 2 ) a ) x. ( 2 ^ k ) ) ) ) $=
      ( vy cv wceq cc0 cfzo co c2 csu wi cn0 wral c1 eqeq2 oveq2 sumeq1d wcel
      cc cblen cfv cdig cexp cmul csn caddc fzo01 eqtrdi eqeq2d imbi12d ralbidv
      vx weq wa 0cnd cpnf cico 2nn a1i 0zd nn0rp0 digvalnn0 syl3anc nn0cnd 1cnd
      cn cz mulcld jca adantr oveq1 2cn exp0 ax-mp oveq12d sumsn syl mulid1d wo
      cpr blen1b biimpa vex elpr sylibr 0dig2pr01 3eqtrrd nn0sumshdiglem1 nnind
      ex rgen ) CEZUAUBZUMEZFZWMGWOHIZAEZWMJUCUBZIZJWRUDIZUEIZAKZFZLZCMNWNOFZWM
      GUFZXBAKZFZLZCMNWNDEZFZWMGXKHIZXBAKZFZLZCMNWNXKOUGIZFZWMGXQHIZXBAKZFZLZCM
      NWNBFZWMGBHIZXBAKZFZLZCMNUMDBWOOFZXEXJCMYHWPXFXDXIWOOWNPYHXCXHWMYHWQXGXBA
      YHWQGOHIXGWOOGHQUHUIRUJUKULUMDUNZXEXPCMYIWPXLXDXOWOXKWNPYIXCXNWMYIWQXMXBA
      WOXKGHQRUJUKULWOXQFZXEYBCMYJWPXRXDYAWOXQWNPYJXCXTWMYJWQXSXBAWOXQGHQRUJUKU
      LWOBFZXEYGCMYKWPYCXDYFWOBWNPYKXCYEWMYKWQYDXBAWOBGHQRUJUKULXJCMWMMSZXFXIYL
      XFUOZXHGWMWSIZOUEIZYNWMYMGTSZYOTSZUOZXHYOFYLYRXFYLYPYQYLUPYLYNOYLYNYLJVGS
      ZGVHSWMGUQURISYNMSYSYLUSUTYLVAWMVBJWMGVCVDVEZYLVFVIVJVKXBYOAGTWRGFZWTYNXA
      OUEWRGWMWSVLUUAXAJGUDIZOWRGJUDQJTSUUBOFVMJVNVOUIVPVQVRYMYNYLYNTSXFYTVKVSY
      MWMGOWASZYNWMFYMWMGFWMOFVTZUUCYLXFUUDWMWBWCWMGOCWDWEWFWMWGVRWHWKWLDACWIWJ
      $.

    $d A a k $.
    $( A nonnegative integer can be represented as sum of its shifted bits.
       (Contributed by AV, 7-Jun-2020.) $)
    nn0sumshdig $p |- ( A e. NN0 -> A = sum_ k e. ( 0 ..^ ( #b ` A ) )
                                    ( ( k ( digit ` 2 ) A ) x. ( 2 ^ k ) ) ) $=
      ( va cn0 wcel cblen cfv cn cc0 cfzo co cv cdig cexp cmul wceq blennn0elnn
      c2 csu wi wral nn0sumshdiglem2 wa fveqeq2 id oveq2 oveq1d adantr sumeq2dv
      eqid eqeq12d imbi12d rspcva mpi ex syl5 mpd ) ADEZAFGZHEZAIUSJKZBLZARMGZK
      ZRVBNKZOKZBSZPZAQUTCLZFGUSPZVIVAVBVIVCKZVEOKZBSZPZTZCDUAZURVHBUSCUBURVPVH
      URVPUCUSUSPZVHUSUJVOVQVHTCADVIAPZVJVQVNVHVIAUSFUDVRVIAVMVGVRUEVRVAVLVFBVR
      VLVFPVBVAEVRVKVDVEOVIAVBVCUFUGUHUIUKULUMUNUOUPUQ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Algorithms for the multiplication of nonnegative integers
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A k $.  $d B k $.
    $( Trivial algorithm to calculate the product of two nonnegative integers
       ` a ` and ` b ` by adding ` b ` to itself ` a ` times.  (Contributed by
       AV, 17-May-2020.) $)
    nn0mulfsum $p |- ( ( A e. NN0 /\ B e. NN0 )
                       -> ( A x. B ) = sum_ k e. ( 1 ... A ) B ) $=
      ( cn0 wcel wa c1 cfz co csu chash cfv cmul cfn wceq fzfid nn0cn fsumconst
      cc syl2an hashfz1 adantr oveq1d eqtr2d ) ADEZBDEZFZGAHIZBCJZUHKLZBMIZABMI
      UEUHNEBSEUIUKOUFUEGAPBQUHBCRTUGUJABMUEUJAOUFAUAUBUCUD $.

    $( Standard algorithm (also known as "long multiplication" or "grade-school
       multiplication") to calculate the product of two nonnegative integers
       ` a ` and ` b ` by multiplying the multiplicand ` b ` by each digit of
       the multiplier ` a ` and then add up all the properly shifted results.
       Here, the binary representation of the multiplier ` a ` is used, i.e.,
       the above mentioned "digits" are 0 or 1.  This is a similar result as
       provided by ~ smumul .  (Contributed by AV, 7-Jun-2020.) $)
    nn0mullong $p |- ( ( A e. NN0 /\ B e. NN0 )
           -> ( A x. B ) = sum_ k e. ( 0 ..^ ( #b ` A ) )
                           ( ( ( k ( digit ` 2 ) A ) x. ( 2 ^ k ) ) x. B ) ) $=
      ( cn0 wcel wa cmul co cc0 cblen cfv cv c2 csu adantr a1i cc adantl nn0cnd
      cfzo cdig cexp wceq nn0sumshdig oveq1d cfn fzofi nn0cn cpnf cico elfzoelz
      cn 2nn nn0rp0 digvalnn0 syl3anc elfzonn0 nn0expcld mulcld fsummulc1 eqtrd
      cz 2nn0 ) ADEZBDEZFZABGHIAJKZTHZCLZAMUAKHZMVIUBHZGHZCNZBGHVHVLBGHCNVFAVMB
      GVDAVMUCVEACUDOUEVFVHVLBCVHUFEVFIVGUGPVEBQEVDBUHRVFVIVHEZFZVJVKVOVJVOMULE
      ZVIVBEZAIUIUJHEZVJDEVPVOUMPVNVQVFVIIVGUKRVFVRVNVDVRVEAUNOOMAVIUOUPSVNVKQE
      VFVNVKVNMVIMDEVNVCPVIVGUQURSRUSUTVA $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  N-ary functions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  According to Wikipedia ("Arity", ~ https://en.wikipedia.org/wiki/Arity ,
  19-May-2024): "In logic, mathematics, and computer science, _arity_ is the
  number of arguments or operands taken by a function, operation or relation."

  N-ary functions are often also called multivariate functions, without
  indicating the actual number of argumens. See also Wikipedia
  ("Multivariate functions",   19-May-2024,
  ~ https://en.wikipedia.org/wiki/Function_(mathematics)#Multivariate_functions
  ): "A _multivariate function_, multivariable function, or function of several
  variables is a function that depends on several arguments.  ...  Formally, a
  function of n variables is a function whose domain is a set of n-tuples.
  For example, multiplication of integers is a function of two variables, or
  _bivariate function_, whose domain is the set of all ordered pairs (2-tuples)
  of integers, and whose codomain is the set of integers.  The same is true for
  every binary operation.  Commonly, an n-tuple is denoted enclosed between
  parentheses, such as in ( 1 , 2 , ... , n ).  When using functional notation,
  one usually omits the parentheses surrounding tuples, writing
  f ( x_1 , ... , x_n ) instead of f ( ( x_1 , ... , x_n ) ).  Given n sets
  X_1 , ... , X_n , the set of all n-tuples ( x_1 , ... , x_n ) such that
  x_1 is element of X_1 , ... , x_n is element of X_n is called the Cartesian
  product of X_1 , ... , X_n , and denoted X_1 X ... X X_n .
  Therefore, a multivariate function is a function that has a Cartesian product
  or a proper subset of a Cartesian product as a domain: ` f : U --> Y ` where
  where the domain ` U ` has the form
  ` U C_ ( ( ... ( ( X `` 1 ) X. ( X `` 2 ) ) X. ... ) X. ( X `` n ) ) `."

  In the following, n-ary functions are defined as mappings (see ~ df-map )
  from a finite sequence of arguments, which themselves are defined as
  mappings from the half-open range of nonnegative integers to the domain of
  each argument.  Furthermore, the definition is restricted to endofunctions,
  meaning that the domain(s) of the argument(s) is identical with its codomain.
  This means that the domains of all arguments are identical (in contrast to
  the definition in Wikipedia, see above: here, we have
  X_1 = X_2 = ... = X_n = X).

  For small n, n-ary functions correspond to "usual" functions with a different
  number of arguments:

  - n = 0 (nullary functions): These correspond actually to constants,
  see ~ 0aryfvalelfv and ~ mapsn : ` ( X ^m { (/) } ) `

  - n = 1 (unary functions): These correspond actually to usual endofunctions,
  see ~ 1aryenef and ~ efmndbas : ` ( X ^m X ) `

  - n = 2 (binary functions): These correspond to usual operations on two
  elements of the same set, also called "binary operation" (according to
  Wikipedia ("Binary operation", 19-May-2024,
  ~ https://en.wikipedia.org/wiki/Binary_operation ): "In mathematics, a binary
  operation or dyadic operation is a rule for combining two elements (called
  operands) to produce another element.  More formally, a binary operation is
  an operation of arity two.  More specifically, a binary operation on a set is
  a binary operation whose two domains and the codomain are the same set."
  Sometimes also called "closed internal binary operation"), see ~ 2aryenef and
  compare with ~ df-clintop : ` ( X ^m ( X X. X ) ) `.

  Instead of using indexed arguments (represented by a mapping as described
  above), elements of Cartesian exponentiations ` ( U ^^ N ) ` (see
  ~ df-finxp ) could have been used to represent multiple arguments.  However,
  this concept is not fully developed yet (it is within a mathbox), and it is
  currently based on ordinal numbers, e.g., ` ( U ^^ 2o ) `, instead of
  integers, e.g., ` ( U ^^ 2 ) `, which is not very practical.

  The definition df-ixp of infinite Cartesian product could also have been used
  to represent multiple arguments, but this would have been more cumbersome
  without any additional advantage. ~ naryfvalixp shows that both definitions
  are equivalent.

$)

  $c -aryF $.  $( Constant symbol for the n-ary functions. $)

  $( Extend the definition of a class to include the n-ary functions. $)
  cnaryf $a class -aryF $.

  ${
    $d n x $.
    $( Define the n-ary (endo)functions.  (Contributed by AV, 11-May-2024.)
       (Revised by TA and SN, 7-Jun-2024.) $)
    df-naryf $a |- -aryF = ( n e. NN0 , x e. _V
                             |-> ( x ^m ( x ^m ( 0 ..^ n ) ) ) ) $.
  $}

  ${
    $d I n x $.  $d N n x $.  $d X n x $.  $d f x y $.
    naryfval.i $e |- I = ( 0 ..^ N ) $.
    $( The set of the n-ary (endo)functions on a class ` X ` .  (Contributed by
       AV, 13-May-2024.) $)
    naryfval $p |- ( N e. NN0 -> ( N -aryF X ) = ( X ^m ( X ^m I ) ) ) $=
      ( vn vx vy vf cn0 wcel cvv cnaryf co cmap wceq cv cc0 cfzo wa c0 df-naryf
      simpr oveq2 eqtr4di adantr oveq12d ovex ovmpoa ex mpondm0 nsyl5 simpl cab
      wn wf df-map eqtr4d pm2.61d1 ) BIJZCKJZBCLMZCCANMZNMZOZUSUTVDEFBCIKFPZVEQ
      EPZRMZNMZNMVCLVFBOZVECOZSZVECVHVBNVIVJUBZVKVECVGANVLVIVGAOVJVIVGQBRMAVFBQ
      RUCDUDUEUFUFFEUACVBNUGUHUIUTUNVATVCUSUTSUTVATOUSUTUBFEVFVFQVERMNMNMLBCIKE
      FUAUJUKUTVBKJZSUTVCTOUTVMULFGGPVEHPUOHUMNCVBKKFGHUPUJUKUQUR $.

    $( The set of the n-ary (endo)functions on a class ` X ` expressed with the
       notation of infinite Cartesian products.  (Contributed by AV,
       19-May-2024.) $)
    naryfvalixp $p |- ( N e. NN0 -> ( N -aryF X ) = ( X ^m X_ x e. I X ) ) $=
      ( vn cn0 wcel cvv cnaryf co cixp cmap wceq wa cc0 cfzo eqtr4d c0 cv ovexi
      naryfval adantr ixpconstg sylan oveq2d ex wn simpr df-naryf mpondm0 nsyl5
      a1i reldmmap ovprc1 pm2.61d1 ) CGHZDIHZCDJKZDABDLZMKZNZUQURVBUQUROZUSDDBM
      KZMKZVAUQUSVENURBCDEUBUCVCUTVDDMUQBIHZURUTVDNVFUQBPCQEUAUMABDIIUDUEUFRUGU
      RUHUSSVAVCURUSSNUQURUIAFFTZVGPATQKMKMKJCDGIFAUJUKULDUTMUNUORUP $.

    $( An n-ary (endo)function on a set ` X ` .  (Contributed by AV,
       14-May-2024.) $)
    naryfvalel $p |- ( ( N e. NN0 /\ X e. V )
                       -> ( F e. ( N -aryF X ) <-> F : ( X ^m I ) --> X ) ) $=
      ( cn0 wcel cnaryf co cmap wf naryfval eleq2d cvv wb elmapg mpan2 sylan9bb
      ovex ) CGHZACEIJZHAEEBKJZKJZHZEDHZUCEALZUAUBUDABCEFMNUFUCOHUEUGPEBKTEUCAD
      OQRS $.

    $( Reverse closure for n-ary (endo)functions.  (Contributed by AV,
       14-May-2024.) $)
    naryrcl $p |- ( F e. ( N -aryF X ) -> ( N e. NN0 /\ X e. _V ) ) $=
      ( vx vn cn0 cvv cv cc0 cfzo co cmap cnaryf df-naryf elmpocl ) FGHIGJZRKFJ
      LMNMNMCDOAGFPQ $.

    $( The value of an n-ary (endo)function on a set ` X ` is an element of
       ` X ` .  (Contributed by AV, 14-May-2024.) $)
    naryfvalelfv $p |- ( ( F e. ( N -aryF X ) /\ A : I --> X )
                         -> ( F ` A ) e. X ) $=
      ( cnaryf co wcel wf wa cmap cn0 cvv naryrcl naryfvalel biimpd mpcom simpr
      adantr cc0 cfzo ovexi a1i elmapd biimpar sylan ffvelrnd ) BDEGHIZCEAJZKEC
      LHZEABUIUKEBJZUJDMIZENIZKZUIULBCDEFOZUOUIULBCDNEFPQRTUIUOUJAUKIZUPUOUQUJU
      OECANNUMUNSCNIUOCUADUBFUCUDUEUFUGUH $.
  $}

  ${
    $d N w $.  $d V w $.  $d X w $.
    $( An n-ary (endo)function on a set ` X ` expressed as a function over the
       set of words on ` X ` of length ` n ` .  (Contributed by AV,
       4-Jun-2024.) $)
    naryfvalelwrdf $p |- ( ( N e. NN0 /\ X e. V ) -> ( F e. ( N -aryF X )
                           <-> F : { w e. Word X | ( # ` w ) = N } --> X ) ) $=
      ( cn0 wcel wa cnaryf co cc0 cfzo cmap wf cv chash cfv wceq cword crab
      eqid naryfvalel wrdnval ancoms feq2d bitr4d ) CFGZEDGZHZBCEIJGEKCLJZMJZEB
      NAOPQCRAESTZEBNBUJCDEUJUAUBUIULUKEBUHUGULUKRACEDUCUDUEUF $.
  $}

  ${
    $d F x $.  $d V x $.  $d X x $.
    $( A nullary (endo)function on a set ` X ` is a singleton of an ordered
       pair with the empty set as first component.  A nullary function
       represents a constant: ` ( F `` (/) ) = C ` with ` C e. X ` , see also
       ~ 0aryfvalelfv .  Instead of ` ( F `` (/) ) ` , nullary functions are
       usually written as ` F ( ) ` in literature.  (Contributed by AV,
       15-May-2024.) $)
    0aryfvalel $p |- ( X e. V -> ( F e. ( 0 -aryF X )
                                   <-> E. x e. X F = { <. (/) , x >. } ) ) $=
      ( wcel cc0 cnaryf co c0 cmap wf csn cv cop wceq wrex wb 0ex cvv a1i feq2d
      cn0 0nn0 cfzo fzo0 eqcomi naryfvalel mpan mapdm0 cfv opeq2 sneqd rspceeqv
      wa fsn2 sylbi id fsnd feq1 syl5ibrcom rexlimiv impbii 3bitrd ) DCEZBFDGHE
      ZDIJHZDBKZILZDBKZBIAMZNZLZOZADPZFUBEVDVEVGQUCBIFCDFFUDHIFUEUFUGUHVDVFVHDB
      DCUIUAVIVNQVDVIVNVIIBUJZDEBIVONZLZOUNVNIDBRUOAVODVLVQBVJVOOVKVPVJVOIUKULU
      MUPVMVIADVJDEZVIVMVHDVLKVRIVJSDISEVRRTVRUQURVHDBVLUSUTVAVBTVC $.

    $( The value of a nullary (endo)function on a set ` X ` .  (Contributed by
       AV, 19-May-2024.) $)
    0aryfvalelfv $p |- ( F e. ( 0 -aryF X ) -> E. x e. X ( F ` (/) ) = x ) $=
      ( cc0 cn0 wcel cvv wa cnaryf co c0 cfv cv wceq wrex cfzo eqid naryrcl cop
      wi csn 0aryfvalel 0ex fvsng fveq1 eqeq1d syl5ibrcom reximia syl6bi adantl
      mpan mpcom ) DEFZCGFZHBDCIJFZKBLZAMZNZACOZBDDPJZDCUTQRUNUOUSTUMUNUOBKUQSU
      AZNZACOUSABGCUBVBURACUQCFZURVBKVALZUQNZKGFVCVEUCKUQGCUDUKVBUPVDUQKBVAUEUF
      UGUHUIUJUL $.
  $}

  $( A unary (endo)function on a set ` X ` .  (Contributed by AV,
     15-May-2024.) $)
  1aryfvalel $p |- ( X e. V -> ( F e. ( 1 -aryF X )
                                 <-> F : ( X ^m { 0 } ) --> X ) ) $=
    ( c1 cn0 wcel cnaryf co cc0 csn cmap wf wb 1nn0 cfzo eqcomi naryfvalel mpan
    fzo01 ) DEFCBFADCGHFCIJZKHCALMNATDBCIDOHTSPQR $.

  $( Closure of a unary (endo)function.  (Contributed by AV, 18-May-2024.) $)
  fv1arycl $p |- ( ( G e. ( 1 -aryF X ) /\ A e. X )
                   -> ( G ` { <. 0 , A >. } ) e. X ) $=
    ( c1 cnaryf co wcel cc0 cop csn cfv cn0 cvv wa wi cfzo eqid naryrcl wf a1i
    cmap 1aryfvalel w3a simp2 c0ex simp3 fsnd simp1 snex elmapd mpbird ffvelrnd
    3exp sylbid adantl mpcom imp ) BDCEFGZACGZHAIJZBKCGZDLGZCMGZNURUSVAOZBHDPFZ
    DCVEQRVCURVDOVBVCURCHJZUAFZCBSZVDBMCUBVCVHUSVAVCVHUSUCZVGCUTBVCVHUSUDVIUTVG
    GVFCUTSVIHAMCHMGVIUETVCVHUSUFUGVICVFUTMMVCVHUSUHVFMGVIHUITUJUKULUMUNUOUPUQ
    $.

  ${
    $d A x $.  $d V x $.  $d X x $.
    1arympt1.f $e |- F = ( x e. ( X ^m { 0 } ) |-> ( A ` ( x ` 0 ) ) ) $.
    $( A unary (endo)function in maps-to notation.  (Contributed by AV,
       16-May-2024.) $)
    1arympt1 $p |- ( ( X e. V /\ A : X --> X ) -> F e. ( 1 -aryF X ) ) $=
      ( wcel wf c1 cnaryf co cc0 csn cmap cv cfv eqid id c0ex snid mapfvd fmptd
      a1i ffvelrn sylan2 1aryfvalel syl5ibr imp ) EDGZEEBHZCIEJKGZUJUKUIELMZNKZ
      ECHUJAUMLAOZPZBPZECUNUMGZUJUOEGUPEGUQEULUNUMLUMQUQRLULGUQLSTUCUAEEUOBUDUE
      FUBCDEUFUGUH $.

    $d B x $.
    $( The value of a unary (endo)function in maps-to notation.  (Contributed
       by AV, 16-May-2024.) $)
    1arympt1fv $p |- ( ( X e. V /\ B e. X )
                       -> ( F ` { <. 0 , B >. } ) = ( A ` B ) ) $=
      ( wcel wa cc0 cop csn cv cfv cmap co cvv wceq a1i c0ex cmpt adantl anim1i
      fveq1 adantr fvsng syl eqtrd fveq2d wf simpr fsnd wb elmapg sylan2 mpbird
      snex fvexd fvmptd ) FEHZCFHZIZAJCKLZJAMZNZBNZCBNFJLZOPZDQDAVHVFUARVBGSVBV
      DVCRZIZVECBVJVEJVCNZCVIVEVKRVBJVDVCUDUBVJJQHZVAIZVKCRVBVMVIUTVLVAVLUTTSUC
      UEJCQFUFUGUHUIVBVCVHHZVGFVCUJZVBJCQFVLVBTSUTVAUKULVAUTVGQHZVNVOUMVPVAJUQS
      FVGVCEQUNUOUPVBCBURUS $.
  $}

  ${
    $d F h x $.  $d X h x $.
    1arymaptfv.h $e |- H = ( h e. ( 1 -aryF X )
                            |-> ( x e. X |-> ( h ` { <. 0 , x >. } ) ) ) $.
    $( The value of the mapping of unary (endo)functions.  (Contributed by AV,
       18-May-2024.) $)
    1arymaptfv $p |- ( F e. ( 1 -aryF X )
                   -> ( H ` F ) = ( x e. X |-> ( F ` { <. 0 , x >. } ) ) ) $=
      ( cc0 cv cop csn cfv cmpt c1 cnaryf co cvv wceq fveq1 mpteq2dv wcel cfzo
      cn0 eqid naryrcl simprd mptexd fvmpt3 ) BCAEGAHIJZBHZKZLAEUHCKZLMENOZDPUI
      CQAEUJUKUHUICRSFUIULTZAEUJPUMMUBTEPTUIGMUAOZMEUNUCUDUEUFUG $.

    $d V h x $.
    $( The mapping of unary (endo)functions is a function into the set of
       endofunctions.  (Contributed by AV, 18-May-2024.) $)
    1arymaptf $p |- ( X e. V -> H : ( 1 -aryF X ) --> ( X ^m X ) ) $=
      ( wcel c1 cnaryf co cc0 cv cop csn cfv cmpt cmap wa wf fv1arycl adantll
      fmpttd simpl elmapd mpbird fmptd ) EDGZBHEIJZAEKALZMNBLZOZPZEEQJZCUGUJUHG
      ZRZULUMGEEULSUOAEUKEUNUIEGUKEGUGUIUJETUAUBUOEEULDDUGUNUCZUPUDUEFUF $.

    $d H f g $.  $d V f g h x y $.  $d X f g y $.
    $( The mapping of unary (endo)functions is a one-to-one function into the
       set of endofunctions.  (Contributed by AV, 19-May-2024.) $)
    1arymaptf1 $p |- ( X e. V -> H : ( 1 -aryF X ) -1-1-> ( X ^m X ) ) $=
      ( vf vg wcel co wf cv cfv wceq wi wral wa cc0 csn eqeq12d cnaryf cmap weq
      vy c1 wf1 1arymaptf cop cmpt 1arymaptfv ad2antrl ad2antll cvv fvex mpteqb
      wb mp1i 1aryfvalel anbi12d w3a wfn ffn adantr 3ad2ant2 adantl elmapi c0ex
      rgenw sylib opeq2 sneqd fveq2d rspccv 3ad2ant3 com12 fveq2 sylibrd impcom
      fsn2 syl eqfnfvd 3exp sylbid imp ralrimivva dff13 sylanbrc ) EDIZUEEUAJZE
      EUBJZCKGLZCMZHLZCMZNZGHUCZOZHWIPGWIPWIWJCUFABCDEFUGWHWQGHWIWIWHWKWIIZWMWI
      IZQZQZWOAERALZUHZSZWKMZUIZAEXDWMMZUIZNZWPXAWLXFWNXHWRWLXFNWHWSABWKCEFUJUK
      WSWNXHNWHWRABWMCEFUJULTXAXIXEXGNZAEPZWPXEUMIZAEPXIXKUPXAXLAEXDWKUNVHAEXEX
      GUMUOUQWHWTXKWPOZWHWTERSZUBJZEWKKZXOEWMKZQZXMWHWRXPWSXQWKDEURWMDEURUSWHXR
      XKWPWHXRXKUTZUDXOWKWMXRWHWKXOVAZXKXPXTXQXOEWKVBVCVDXRWHWMXOVAZXKXQYAXPXOE
      WMVBVEVDUDLZXOIZXSYBWKMZYBWMMZNZYCRYBMZEIZYBRYGUHZSZNZQZXSYFOYCXNEYBKYLYB
      EXNVFREYBVGVSVIYLXSYJWKMZYJWMMZNZYFYHXSYOOYKXSYHYOXKWHYHYOOXRXJYOAYGEXBYG
      NZXEYMXGYNYPXDYJWKYPXCYIXBYGRVJVKZVLYPXDYJWMYQVLTVMVNVOVCYKYFYOUPYHYKYDYM
      YEYNYBYJWKVPYBYJWMVPTVEVQVTVRWAWBWCWDWCWCWEGHWIWJCWFWG $.

    $d V a f g h x $.  $d X a $.
    $( The mapping of unary (endo)functions is a function onto the set of
       endofunctions.  (Contributed by AV, 18-May-2024.) $)
    1arymaptfo $p |- ( X e. V -> H : ( 1 -aryF X ) -onto-> ( X ^m X ) ) $=
      ( vf vg va wcel co wf cv cfv wceq wa cc0 cmpt adantl cvv cnaryf cmap wrex
      c1 wral wfo 1arymaptf elmapi eqid 1arympt1 sylan2 wb fveq2 eqeq2d feqmptd
      csn cop simplr fveq1 c0ex vex fvsn eqtrdi fveq2d simpr fsnd elmapg mpbird
      a1i snex ad4ant14 fvexd nfv nfmpt1 nfeq2 nfan nfcv mpteq2dva simpl mptexd
      fvmptdf fvmptd2 eqtr4d rspcedvd ralrimiva dffo3 sylanbrc ) EDJZUDEUAKZEEU
      BKZCLGMZHMZCNZOZHWIUCZGWJUEWIWJCUFABCDEFUGWHWOGWJWHWKWJJZPZWNWKIEQUPZUBKZ
      QIMZNZWKNZRZCNZOZHXCWIWPWHEEWKLZXCWIJWKEEUHZIWKXCDEXCUIUJUKZWLXCOZWNXEULW
      QXIWMXDWKWLXCCUMUNSWQWKAEAMZWKNZRZXDWQAEEWKWPXFWHXGSUOWQBXCAEQXJUQUPZBMZN
      ZRXLWICTFWQXNXCOZPZAEXOXKXQXJEJZPZIXMXBXKWSXNTWQXPXRURWTXMOZXBXKOXSXTXAXJ
      WKXTXAQXMNXJQWTXMUSQXJUTAVAVBVCVDSWHXRXMWSJZWPXPWHXRPZYAWREXMLZYBQXJTEQTJ
      YBUTVIWHXRVEVFXRWHWRTJZYAYCULYDXRQVJVIEWRXMDTVGUKVHVKXSXJWKVLXQXRIWQXPIWQ
      IVMIXNXCIWSXBVNVOVPXRIVMVPIXMVQIXKVQWAVRXHWQAEXKDWHWPVSVTWBWCWDWEHGWIWJCW
      FWG $.

    $( The mapping of unary (endo)functions is a one-to-one function onto the
       set of endofunctions.  (Contributed by AV, 19-May-2024.) $)
    1arymaptf1o $p |- ( X e. V -> H : ( 1 -aryF X ) -1-1-onto-> ( X ^m X ) ) $=
      ( wcel c1 cnaryf cmap wf1 wfo wf1o 1arymaptf1 1arymaptfo df-f1o sylanbrc
      co ) EDGHEIRZEEJRZCKSTCLSTCMABCDEFNABCDEFOSTCPQ $.
  $}

  ${
    $d X f h x $.  $d n x $.
    $( The set of unary (endo)functions and the set of endofunctions are
       equinumerous.  (Contributed by AV, 19-May-2024.) $)
    1aryenef $p |- ( 1 -aryF X ) ~~ ( X ^m X ) $=
      ( vh vf vx vn cvv wcel c1 cnaryf co cmap cen wbr cv wf1o wex cc0 cmpt a1i
      c0 cop csn ovex mptex eqid 1arymaptf1o f1oeq1 spcedv bren sylibr wn enref
      cfv 0ex cn0 cfzo df-naryf reldmmpo ovprc2 reldmmap ovprc1 3brtr4d pm2.61i
      ) AFGZHAIJZAAKJZLMZVDVEVFBNZOZBPVGVDVIVEVFCVEDAQDNZUAUBCNUMRZRZOBFVLVLFGV
      DCVEVKHAIUCUDSDCVLFAVLUEUFVEVFVHVLUGUHVEVFBUIUJVDUKZTTVEVFLTTLMVMTUNULSHA
      IEDUOFVJVJQENUPJKJKJIDEUQURUSAAKUTVAVBVC $.
  $}

  $( The set of unary (endo)functions and the base set of the monoid of
     endofunctions are equinumerous.  (Contributed by AV, 19-May-2024.) $)
  1aryenefmnd $p |- ( 1 -aryF X ) ~~ ( Base ` ( EndoFMnd ` X ) ) $=
    ( c1 cnaryf co cmap cefmnd cfv cbs cen 1aryenef eqid efmndbas breqtrri ) BA
    CDAAEDAFGZHGZIAJAONNKOKLM $.

  $( A binary (endo)function on a set ` X ` .  (Contributed by AV,
     20-May-2024.) $)
  2aryfvalel $p |- ( X e. V -> ( F e. ( 2 -aryF X )
                                 <-> F : ( X ^m { 0 , 1 } ) --> X ) ) $=
    ( c2 cn0 wcel cnaryf co cc0 c1 cpr cmap wf 2nn0 fzo0to2pr eqcomi naryfvalel
    wb cfzo mpan ) DEFCBFADCGHFCIJKZLHCAMRNAUADBCIDSHUAOPQT $.

  $( Closure of a binary (endo)function.  (Contributed by AV, 20-May-2024.) $)
  fv2arycl $p |- ( ( G e. ( 2 -aryF X ) /\ A e. X /\ B e. X )
                   -> ( G ` { <. 0 , A >. , <. 1 , B >. } ) e. X ) $=
    ( c2 cnaryf co wcel cc0 cop c1 cpr cfv cn0 cvv wa wi cfzo eqid w3a wf simp2
    naryrcl cmap 2aryfvalel wne c0ex 1ex 3pm3.2i a1i fprmappr syld3an2 ffvelrnd
    0ne1 3exp sylbid adantl mpcom 3impib ) CEDFGHZADHZBDHZIAJKBJLZCMDHZENHZDOHZ
    PUTVAVBPZVDQZCIERGZEDVISUCVFUTVHQVEVFUTDIKLUDGZDCUAZVHCODUEVFVKVGVDVFVKVGTZ
    VJDVCCVFVKVGUBVFIOHZKOHZIKUFZTZVKVGVCVJHVPVLVMVNVOUGUHUNUIUJIKABOOODUKULUMU
    OUPUQURUS $.

  ${
    $d O x $.  $d V x $.  $d X x $.
    2arympt.f $e |- F = ( x e. ( X ^m { 0 , 1 } )
                          |-> ( ( x ` 0 ) O ( x ` 1 ) ) ) $.
    $( A binary (endo)function in maps-to notation.  (Contributed by AV,
       20-May-2024.) $)
    2arympt $p |- ( ( X e. V /\ O : ( X X. X ) --> X )
                    -> F e. ( 2 -aryF X ) ) $=
      ( wcel cxp wf wa c2 cnaryf co cc0 c1 cpr cfv a1i ffvelrnd adantl cv prid1
      cmap simplr elmapi c0ex 1ex prid2 fovrnd fmptd 2aryfvalel adantr mpbird
      wb ) EDGZEEHECIZJZBKELMGZENOPZUCMZEBIZUQAUTNAUAZQZOVBQZCMEBUQVBUTGZJVCVDE
      EECUOUPVEUDVEVCEGUQVEUSENVBVBEUSUEZNUSGVENOUFUBRSTVEVDEGUQVEUSEOVBVFOUSGV
      ENOUGUHRSTUIFUJUOURVAUNUPBDEUKULUM $.

    $d A x $.  $d B x $.
    $( The value of a binary (endo)function in maps-to notation.  (Contributed
       by AV, 20-May-2024.) $)
    2arymptfv $p |- ( ( X e. V /\ A e. X /\ B e. X )
                      -> ( F ` { <. 0 , A >. , <. 1 , B >. } ) = ( A O B ) ) $=
      ( wcel w3a cc0 cop c1 cpr cfv co cvv wceq wa a1i cv cmap fveq1 adantl wne
      c0ex simp2 0ne1 3jca adantr fvpr1g syl eqtrd 1ex fvpr2g mp3an2i sylan9eqr
      simp3 oveq12d simp1 3pm3.2i 3simpc fprmappr syl3anc ovexd fvmptd2 ) GFIZB
      GIZCGIZJZAKBLMCLNZKAUAZOZMVLOZEPBCEPGKMNUBPZDQHVJVLVKRZSZVMBVNCEVQVMKVKOZ
      BVPVMVRRVJKVLVKUCUDVQKQIZVHKMUEZJZVRBRVJWAVPVJVSVHVTVSVJUFTVGVHVIUGVTVJUH
      TZUIUJKMBCQGUKULUMVPVJVNMVKOZCMVLVKUCMQIZVJVIVTWCCRUNVGVHVIURWBKMBCQGUOUP
      UQUSVJVGVSWDVTJZVHVISVKVOIVGVHVIUTWEVJVSWDVTUFUNUHVATVGVHVIVBKMBCQFQGVCVD
      VJBCEVEVF $.
  $}

  ${
    $d F h x y $.  $d X h x y $.
    2arymaptf.h $e |- H = ( h e. ( 2 -aryF X ) |-> ( x e. X , y e. X
                               |-> ( h ` { <. 0 , x >. , <. 1 , y >. } ) ) ) $.
    $( The value of the mapping of binary (endo)functions.  (Contributed by AV,
       21-May-2024.) $)
    2arymaptfv $p |- ( F e. ( 2 -aryF X ) -> ( H ` F ) = ( x e. X , y e. X
                               |-> ( F ` { <. 0 , x >. , <. 1 , y >. } ) ) ) $=
      ( cc0 cv cop c1 cpr cfv cmpo c2 cnaryf co cvv wceq wcel mpoeq3dv cn0 cfzo
      fveq1 eqid naryrcl mpoexga anidms simpl2im fvmpt3 ) CDABFFHAIJKBIJLZCIZMZ
      NZABFFUKDMZNOFPQZERULDSABFFUMUOUKULDUDUAGULUPTOUBTFRTZUNRTZULHOUCQZOFUSUE
      UFUQURABFFUMRRUGUHUIUJ $.

    $d V h x z $.  $d X y z $.
    $( The mapping of binary (endo)functions is a function into the set of
       binary operations.  (Contributed by AV, 21-May-2024.) $)
    2arymaptf $p |- ( X e. V -> H : ( 2 -aryF X ) --> ( X ^m ( X X. X ) ) ) $=
      ( vz wcel co cc0 cv cop c1 cpr cfv wa adantl vex opeq2d c2 cnaryf cmpo wf
      cxp cmap c1st c2nd simplr xp1st xp2nd fv2arycl syl3anc cmpt op1std op2ndd
      wceq preq12d fveq2d mpompt eqcomi fmptd wb cvv elmapg mpdan adantr mpbird
      sqxpexg ) FEIZCUAFUBJZABFFKALZMZNBLZMZOZCLZPZUCZFFFUEZUFJZDVJVQVKIZQZVSWA
      IZVTFVSUDZWCHVTKHLZUGPZMZNWFUHPZMZOZVQPZFVSWCWFVTIZQWBWGFIZWIFIZWLFIVJWBW
      MUIWMWNWCWFFFUJRWMWOWCWFFFUKRWGWIVQFULUMHVTWLUNVSABHFFWLVRWFVLVNMUQZWKVPV
      QWPWHVMWJVOWPWGVLKVLVNWFASZBSZUOTWPWIVNNVLVNWFWQWRUPTURUSUTVAVBVJWDWEVCZW
      BVJVTVDIWSFEVIFVTVSEVDVEVFVGVHGVB $.

    $d H f g $.  $d V a b f g h x y $.  $d X a b f g x y $.  $d a b f g z $.
    $( The mapping of binary (endo)functions is a one-to-one function into the
       set of binary operations.  (Contributed by AV, 22-May-2024.) $)
    2arymaptf1 $p |- ( X e. V
                       -> H : ( 2 -aryF X ) -1-1-> ( X ^m ( X X. X ) ) ) $=
      ( vf vg va vb wcel cv cfv wceq wi wral wa cc0 c1 vz c2 cnaryf co cxp cmap
      wf weq wf1 2arymaptf cop cpr cmpo 2arymaptfv ad2antrl ad2antll eqeq12d wb
      cvv fvex rgen2w mpo2eqb mp1i 2aryfvalel anbi12d w3a wfn ffn adantr adantl
      3ad2ant2 wrex elmapi wne 0ne1 c0ex ax-mp sylib opeq2 preq1d fveq2d preq2d
      1ex fprb rspc2va expcom 3ad2ant3 com12 fveq2 sylibrd rexlimivv syl impcom
      ex eqfnfvd 3exp sylbid imp ralrimivva dff13 sylanbrc ) FELZUBFUCUDZFFFUEU
      FUDZDUGHMZDNZIMZDNZOZHIUHZPZIXCQHXCQXCXDDUIABCDEFGUJXBXKHIXCXCXBXEXCLZXGX
      CLZRZRZXIABFFSAMZUKZTBMZUKZULZXENZUMZABFFXTXGNZUMZOZXJXOXFYBXHYDXLXFYBOXB
      XMABCXEDFGUNUOXMXHYDOXBXLABCXGDFGUNUPUQXOYEYAYCOZBFQAFQZXJYAUSLZBFQAFQYEY
      GURXOYHABFFXTXEUTVAABFFYAYCUSVBVCXBXNYGXJPZXBXNFSTULZUFUDZFXEUGZYKFXGUGZR
      ZYIXBXLYLXMYMXEEFVDXGEFVDVEXBYNYGXJXBYNYGVFZUAYKXEXGYNXBXEYKVGZYGYLYPYMYK
      FXEVHVIVKYNXBXGYKVGZYGYMYQYLYKFXGVHVJVKUAMZYKLZYOYRXENZYRXGNZOZYSYRSJMZUK
      ZTKMZUKZULZOZKFVLJFVLZYOUUBPZYSYJFYRUGZUUIYRFYJVMSTVNUUKUUIURVOJKSTFYRVPW
      CWDVQVRUUHUUJJKFFUUCFLUUEFLRZUUHUUJUULUUHRYOUUGXENZUUGXGNZOZUUBUULYOUUOPU
      UHYOUULUUOYGXBUULUUOPYNUULYGUUOYFUUOUUDXSULZXENZUUPXGNZOABUUCUUEFFAJUHZYA
      UUQYCUURUUSXTUUPXEUUSXQUUDXSXPUUCSVSVTZWAUUSXTUUPXGUUTWAUQBKUHZUUQUUMUURU
      UNUVAUUPUUGXEUVAXSUUFUUDXRUUETVSWBZWAUVAUUPUUGXGUVBWAUQWEWFWGWHVIUUHUUBUU
      OURUULUUHYTUUMUUAUUNYRUUGXEWIYRUUGXGWIUQVJWJWNWKWLWMWOWPWQWRWQWQWSHIXCXDD
      WTXA $.

    $d V a f g h x $.  $d X a $.
    $( The mapping of binary (endo)functions is a function onto the set of
       binary operations.  (Contributed by AV, 23-May-2024.) $)
    2arymaptfo $p |- ( X e. V
                       -> H : ( 2 -aryF X ) -onto-> ( X ^m ( X X. X ) ) ) $=
      ( vf vg va wcel co wf cv cfv wceq wa cc0 c1 cvv cnaryf cxp cmap wrex wral
      c2 wfo 2arymaptf cpr cmpt elmapi eqid 2arympt sylan2 wb fveq2 eqeq2d cmpo
      adantl wfn elmapfn fnov sylib cop w3a fveq1 wne 0ne1 c0ex vex fvpr1 ax-mp
      simp1r eqtrdi 1ex fvpr2 oveq12d fprg mp3an13 3adant1 wss prssi fssd simp1
      pm3.2i prex a1i elmapd mpbird 3adant1r ovexd nfmpt1 nfeq2 nfan nf3an nfcv
      fvmptdf mpoeq3dva mpoexga anidms adantr fvmptd2 eqtr4d rspcedvd ralrimiva
      nfv dffo3 sylanbrc ) FEKZUFFUALZFFFUBZUCLZDMHNZINZDOZPZIXJUDZHXLUEXJXLDUG
      ABCDEFGUHXIXQHXLXIXMXLKZQZXPXMJFRSUIZUCLZRJNZOZSYBOZXMLZUJZDOZPZIYFXJXRXI
      XKFXMMYFXJKXMFXKUKJYFXMEFYFULUMUNZXNYFPZXPYHUOXSYJXOYGXMXNYFDUPUQUSXSXMAB
      FFANZBNZXMLZURZYGXSXMXKUTZXMYNPXRYOXIXMFXKVAUSABFFXMVBVCXSCYFABFFRYKVDSYL
      VDUIZCNZOZURYNXJDTGXSYQYFPZQZABFFYRYMYTYKFKZYLFKZVEZJYPYEYMYAYQTXSYSUUAUU
      BVMYBYPPZYEYMPUUCUUDYCYKYDYLXMUUDYCRYPOZYKRYBYPVFRSVGZUUEYKPVHRSYKYLVIAVJ
      VKVLVNUUDYDSYPOZYLSYBYPVFUUFUUGYLPVHRSYKYLVOBVJVPVLVNVQUSXSUUAUUBYPYAKZYS
      XIUUAUUBUUHXRXIUUAUUBVEZUUHXTFYPMUUIXTYKYLUIZFYPUUAUUBXTUUJYPMZXIRTKZSTKZ
      QUUAUUBQUUFUUKUULUUMVIVOWEVHRSYKYLTTFFVRVSVTUUAUUBUUJFWAXIYKYLFWBVTWCUUIF
      XTYPETXIUUAUUBWDXTTKUUIRSWFWGWHWIWJWJUUCYKYLXMWKYTUUAUUBJXSYSJXSJXFJYQYFJ
      YAYEWLWMWNUUAJXFUUBJXFWOJYPWPJYMWPWQWRYIXIYNTKZXRXIUUNABFFYMEEWSWTXAXBXCX
      DXEIHXJXLDXGXH $.

    $( The mapping of binary (endo)functions is a one-to-one function onto the
       set of binary operations.  (Contributed by AV, 23-May-2024.) $)
    2arymaptf1o $p |- ( X e. V
                      -> H : ( 2 -aryF X ) -1-1-onto-> ( X ^m ( X X. X ) ) ) $=
      ( wcel cnaryf cxp cmap wf1 wfo wf1o 2arymaptf1 2arymaptfo df-f1o sylanbrc
      c2 co ) FEHSFITZFFFJKTZDLUAUBDMUAUBDNABCDEFGOABCDEFGPUAUBDQR $.
  $}

  ${
    $d X f h x y $.  $d n x $.
    $( The set of binary (endo)functions and the set of binary operations are
       equinumerous.  (Contributed by AV, 19-May-2024.) $)
    2aryenef $p |- ( 2 -aryF X ) ~~ ( X ^m ( X X. X ) ) $=
      ( vh vf vx vy vn cvv wcel c2 cnaryf co cmap cen wbr cv wf1o cc0 cop a1i
      c0 cxp wex c1 cpr cfv cmpo cmpt ovex mptex eqid 2arymaptf1o f1oeq1 spcedv
      bren sylibr wn 0ex enref cn0 cfzo df-naryf reldmmpo ovprc2 ovprc1 3brtr4d
      reldmmap pm2.61i ) AGHZIAJKZAAAUAZLKZMNZVHVIVKBOZPZBUBVLVHVNVIVKCVIDEAAQD
      OZRUCEORUDCOUEUFZUGZPBGVQVQGHVHCVIVPIAJUHUISDECVQGAVQUJUKVIVKVMVQULUMVIVK
      BUNUOVHUPZTTVIVKMTTMNVRTUQURSIAJFDUSGVOVOQFOUTKLKLKJDFVAVBVCAVJLVFVDVEVG
      $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Primitive recursive functions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  According to Wikipedia ("Primitive recursive function", 19-May-2024,
  ~ https://en.wikipedia.org/wiki/Primitive_recursive_function ): "In
  computability theory, a primitive recursive function is, roughly speaking, a
  function that can be computed by a computer program whose loops are all "for"
  loops (that is, an upper bound of the number of iterations of every loop is
  fixed before entering the loop). Primitive recursive functions form a strict
  subset of those general recursive functions that are also total functions."

  Furthermore: "A primitive recursive function takes a fixed number of
  arguments, each a natural number (nonnegative integer: {0, 1, 2, ...}), and
  returns a natural number. If it takes n arguments it is called n-ary.

  The basic primitive recursive functions are given by ... axioms:

    1. Constant functions

    2. Successor function

    3. Projection functions

  More complex primitive recursive functions can be obtained by applying the
  operations given by ... axioms:

    4. Composition operator

    5. Primitive recursion operator

  The primitive recursive functions are the basic functions and those obtained
  from the basic functions by applying these operations a finite number of
  times."

$)

$( TODO-AV: Definitions and related theorems $)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The Ackermann function
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  According to Wikipedia ("Ackermann function", 8-May-2024,
  ~ https://en.wikipedia.org/wiki/Ackermann_function ): "In computability
  theory, the Ackermann function, named after Wilhelm Ackermann, is one of the
  simplest and earliest-discovered examples of a total computable function that
  is not primitive recursive. ... One common version is the two-argument
  Ackermann-P&eacute;ter function developed by R&oacute;zsa P&eacute;ter and
  Raphael Robinson.  Its value grows very rapidly; for example, A(4,2) results
  in 2^65536-3 [[see ~ ackval42 )], an integer of 19,729 decimal digits."

  In the following, the Ackermann function is defined as iterated 1-ary
  function (also mentioned in Wikipedia), see ~ df-ack , based on a definition
  ` IterComp ` of "the n-th iterate of (a class/function) f", see ~ df-itco .
  As an illustration, we have ` ( ( IterComp `` F ) `` 3 ) `
  ` = ( F o. ( F o. F ) ) ) ` (see ~ itcoval3 ).

  The following recursive definition of the Ackermann function follows
  immediately from Definition ~ df-ack : ` ( ( Ack `` ( M + 1 ) ) `` N ) `
  ` = ( ( ( IterComp `` ( Ack `` M ) ) `` ( N + 1 ) ) `` 1 ) ) `.

  That Definition ~ df-ack is equivalent to P&eacute;ter's definition is
  proven by the following three theorems:

  ~ ackval0val : ` ( ( Ack `` 0 ) `` M ) = ( M + 1 ) ` ;
  ~ ackvalsuc0val : ` ( ( Ack `` ( M + 1 ) ) `` 0 ) = ( ( Ack `` M ) `` 1 ) ` ;
  ~ ackvalsucsucval : ` ( ( Ack `` ( M + 1 ) ) `` ( N + 1 ) ) `
                      ` = ( ( Ack `` M ) `` ( ( Ack `` ( M + 1 ) ) `` N ) ) ` .

  The initial values of the Ackermann function are calculated in the following
  four theorems:

  ~ ackval0012 : ` A ( 0 , 0 ) = 1 ` , ` A ( 0 , 1 ) = 2 ` ,
                 ` A ( 0 , 2 ) = 3 ` ;
  ~ ackval1012 : ` A ( 1 , 0 ) = 2 ` , ` A ( 1 , 1 ) = 3 ` ,
                 ` A ( 1 , 3 ) = 4 ` ;
  ~ ackval2012 : ` A ( 2 , 0 ) = 3 ` , ` A ( 2 , 1 ) = 5 ` ,
                 ` A ( 2 , 3 ) = 7 ` ;
  ~ ackval3012 : ` A ( 3 , 0 ) = 5 ` , ` A ( 3 , 1 ) = ; 1 3 ` ,
                 ` A ( 3 , 3 ) = ; 2 9 ` .

$)

  $c IterComp $.
  $c Ack $.

  $( Extend the definition of a class to include iterated functions. $)
  citco $a class IterComp $.

  $( Extend the definition of a class to include the Ackermann function
     operator. $)
  cack $a class Ack $.

  ${
    $d f g i j $.
    $( Define a function (recursively) that returns the n-th iterate of a class
       (usually a function) with regard to composition.  (Contributed by
       Thierry Arnoux, 28-Apr-2024.)  (Revised by AV, 2-May-2024.) $)
    df-itco $a |- IterComp = ( f e. _V
         |-> seq 0 ( ( g e. _V , j e. _V |-> ( f o. g ) ) ,
                     ( i e. NN0 |-> if ( i = 0 , ( _I |` dom f ) , f ) ) ) ) $.
  $}

  ${
    $d f i j n $.
    $( Define the Ackermann function (recursively).  (Contributed by Thierry
       Arnoux, 28-Apr-2024.)  (Revised by AV, 2-May-2024.) $)
    df-ack $a |- Ack = seq 0 ( ( f e. _V , j e. _V |-> ( n e. NN0
                             |-> ( ( ( IterComp ` f ) ` ( n + 1 ) ) ` 1 ) ) ) ,
                               ( i e. NN0 |-> if ( i = 0 ,
                                        ( n e. NN0 |-> ( n + 1 ) ) , i ) ) ) $.
  $}

  ${
    $d F f g i j $.
    $( The value of the function that returns the n-th iterate of a class
       (usually a function) with regard to composition.  (Contributed by AV,
       2-May-2024.) $)
    itcoval $p |- ( F e. V -> ( IterComp ` F )
           = seq 0 ( ( g e. _V , j e. _V |-> ( F o. g ) ) ,
                     ( i e. NN0 |-> if ( i = 0 , ( _I |` dom F ) , F ) ) ) ) $=
      ( vf wcel cvv cv ccom cmpo cn0 cc0 wceq cid cdm cres cif cmpt cseq id a1i
      citco df-itco eqidd mpoeq3dv dmeq reseq2d ifeq12d mpteq2dv seqeq123d elex
      coeq1 seqex fvmptd3 ) DEGZFDACHHFIZAIZJZKZBLBIMNZOUQPZQZUQRZSZMTACHHDURJZ
      KZBLVAODPZQZDRZSZMTZHUCHFABCUDUQDNZUTVGVEVKMMVMMUEVMACHHUSVFUQDURUMUFVMBL
      VDVJVMVAVCVIUQDVMVBVHOUQDUGUHVMUAUIUJUKDEULVLHGUPVGVKMUNUBUO $.
  $}

  ${
    $d F g i j $.  $d V i $.
    $( A function iterated zero times (defined as identity function).
       (Contributed by AV, 2-May-2024.) $)
    itcoval0 $p |- ( F e. V -> ( ( IterComp ` F ) ` 0 )
                               = ( _I |` dom F ) ) $=
      ( vg vj vi wcel cc0 citco cfv cvv cv ccom cmpo cn0 wceq cid cdm cres cmpt
      cif cseq itcoval fveq1d eqidd iftrue adantl 0nn0 a1i dmexg resiexd fvmptd
      0z seq1i eqtrd ) ABFZGAHIZIGCDJJACKLMZENEKGOZPAQZRZATZSZGUAZIUTUOGUPVCCED
      ABUBUCUOUTUQVBGULUOEGVAUTNVBJUOVBUDURVAUTOUOURUTAUEUFGNFUOUGUHUOUSJABUIUJ
      UKUMUN $.

    $d V g j $.
    $( A function iterated once.  (Contributed by AV, 2-May-2024.) $)
    itcoval1 $p |- ( ( Rel F /\ F e. V ) -> ( ( IterComp ` F ) ` 1 ) = F ) $=
      ( vg vj vi wcel c1 cfv cvv ccom cn0 cc0 wceq cres fveq1d adantl a1i eqtrd
      cv eqidd wrel wa citco cmpo cid cdm cmpt cseq itcoval co nn0uz 0nn0 1e0p1
      cif eqcomd itcoval0 ax-1ne0 neii eqeq1 mtbiri iffalsed 1nn0 fvmptd seqp1d
      simpr coeq2 ad2antrl dmexg resiexd elex coexg mpdan ovmpod coires1 adantr
      resdm syl5eq ) AUAZABFZUBZGAUCHZHZGCDIIACSZJZUDZEKESZLMZUEAUFZNZAUNZUGZLU
      HZHZAVSWBWMMVRVSGWAWLCEDABUIZOPVTWMWIAWEUJZAVTWIAWEWKGLLKUKLKFVTULQUMVSLW
      LHZWIMVRVSWPLWAHWIVSLWLWAVSWAWLWNUOOABUPRPVTEGWJAKWKBVTWKTWFGMZWJAMVTWQWG
      WIAWQWGGLMGLUQURWFGLUSUTVAPGKFVTVBQVRVSVEVCVDVTWOAWIJZAVSWOWRMVRVSCDWIAII
      WDWRWEIVSWETWCWIMWDWRMVSDSAMWCWIAVFVGVSWHIABVHVIZABVJVSWIIFWRIFWSAWIBIVKV
      LVMPVTWRAWHNZAAWHVNVRWTAMVSAVPVOVQRRR $.

    $( A function iterated twice.  (Contributed by AV, 2-May-2024.) $)
    itcoval2 $p |- ( ( Rel F /\ F e. V ) -> ( ( IterComp ` F ) ` 2 )
                                            = ( F o. F ) ) $=
      ( vg vj vi wcel c2 cfv cvv cv ccom cn0 cc0 fveq1d adantl c1 a1i eqidd wne
      wceq wrel wa citco cmpo cid cdm cres cmpt cseq co itcoval nn0uz 1nn0 df-2
      eqcomd itcoval1 eqtrd 2ne0 neeq1 mpbiri neneqd iffalsed 2nn0 simpr fvmptd
      cif seqp1d coeq2 ad2antrl elex coexg anidms ovmpod 3eqtrd ) AUAZABFZUBZGA
      UCHZHZGCDIIACJZKZUDZELEJZMTZUEAUFUGZAVFZUHZMUIZHZAAWBUJZAAKZVPVSWITVOVPGV
      RWHCEDABUKZNOVQAAWBWGGMPLULPLFVQUMQUNVQPWHHZPVRHZAVPWMWNTVOVPPWHVRVPVRWHW
      LUONOABUPUQVQEGWFALWGBVQWGRWCGTZWFATVQWOWDWEAWOWCMWOWCMSGMSURWCGMUSUTVAVB
      OGLFVQVCQVOVPVDVEVGVPWJWKTVOVPCDAAIIWAWKWBIVPWBRVTATWAWKTVPDJATVTAAVHVIAB
      VJZWPVPWKIFAABBVKVLVMOVN $.

    $( A function iterated three times.  (Contributed by AV, 2-May-2024.) $)
    itcoval3 $p |- ( ( Rel F /\ F e. V ) -> ( ( IterComp ` F ) ` 3 )
                                            = ( F o. ( F o. F ) ) ) $=
      ( vg vj vi wcel c3 cfv cvv cv ccom cn0 cc0 fveq1d adantl c2 a1i eqidd wne
      wceq wrel wa citco cmpo cid cdm cres cmpt cseq co itcoval nn0uz 2nn0 df-3
      eqcomd itcoval2 eqtrd 3ne0 neeq1 mpbiri neneqd iffalsed 3nn0 simpr fvmptd
      cif seqp1d coeq2 ad2antrl coexg anidms elex syldan ovmpod 3eqtrd ) AUAZAB
      FZUBZGAUCHZHZGCDIIACJZKZUDZELEJZMTZUEAUFUGZAVFZUHZMUIZHZAAKZAWCUJZAWKKZVQ
      VTWJTVPVQGVSWICEDABUKZNOVRWKAWCWHGMPLULPLFVRUMQUNVRPWIHZPVSHZWKVQWOWPTVPV
      QPWIVSVQVSWIWNUONOABUPUQVREGWGALWHBVRWHRWDGTZWGATVRWQWEWFAWQWDMWQWDMSGMSU
      RWDGMUSUTVAVBOGLFVRVCQVPVQVDVEVGVQWLWMTVPVQCDWKAIIWBWMWCIVQWCRWAWKTWBWMTV
      QDJATWAWKAVHVIVQWKIFZAABBVJZVKABVLVQWMIFZVQVQWRWTWSAWKBIVJVMVKVNOVO $.
  $}

  ${
    $d A n $.
    itcoval0mpt.f $e |- F = ( n e. A |-> B ) $.
    $( A mapping iterated zero times (defined as identity function).
       (Contributed by AV, 4-May-2024.) $)
    itcoval0mpt $p |- ( ( A e. V /\ A. n e. A B e. W )
                        -> ( ( IterComp ` F ) ` 0 ) = ( n e. A |-> n ) ) $=
      ( wcel wral cc0 citco cfv cid cmpt cdm cres cv fveq2i fveq1i cvv itcoval0
      wceq mptexg syl syl5eq dmmptg reseq2d mptresid eqtrdi sylan9eq ) AEHZBFHC
      AIZJDKLZLZMCABNZOZPZCACQNZUKUNJUOKLZLZUQJUMUSDUOKGRSUKUOTHUTUQUBCABEUCUOT
      UAUDUEULUQMAPURULUPAMCABFUFUGCAUHUIUJ $.
  $}

  ${
    $d F g i j $.  $d G i $.  $d V i $.  $d Y i $.
    $( The value of the function that returns the n-th iterate of a function
       with regard to composition at a successor.  (Contributed by AV,
       4-May-2024.) $)
    itcovalsuc $p |- ( ( F e. V /\ Y e. NN0 /\ ( ( IterComp ` F ) ` Y ) = G )
                       -> ( ( IterComp ` F ) ` ( Y + 1 ) )
                          = ( G ( g e. _V , j e. _V |-> ( F o. g ) ) F ) ) $=
      ( vi wcel cn0 cfv wceq co cvv cv cc0 fveq1d wa adantr wne 3ad2ant2 w3a c1
      citco caddc ccom cmpo cid cdm cres cif cmpt simp1 itcoval syl nn0uz simp2
      cseq eqeq1d biimp3a eqidd clt wbr nn0p1gt0 gt0ne0d wb neeq1 adantl mpbird
      eqid neneqd iffalsed peano2nn0 fvmptd seqp1d eqtrd ) CEHZFIHZFCUCJZJZDKZU
      AZFUBUDLZVRJZWBABMMCANUEUFZGIGNZOKZUGCUHUIZCUJZUKZOUQZJZDCWDLWAVPWCWKKVPV
      QVTULZVPWBVRWJAGBCEUMZPUNWADCWDWIWBOFIUOVPVQVTUPWBVIVPVQVTFWJJZDKVPVQQZVS
      WNDWOFVRWJVPVRWJKVQWMRPURUSWAGWBWHCIWIEWAWIUTWAWEWBKZQZWFWGCWQWEOWQWEOSZW
      BOSZWAWSWPWAWBVQVPOWBVAVBVTFVCTVDRWPWRWSVEWAWEWBOVFVGVHVJVKVQVPWBIHVTFVLT
      WLVMVNVO $.

    $d G g j $.  $d V g j $.  $d Y g j $.
    $( The value of the function that returns the n-th iterate of a function
       with regard to composition at a successor.  (Contributed by AV,
       4-May-2024.) $)
    itcovalsucov $p |- ( ( F e. V /\ Y e. NN0 /\ ( ( IterComp ` F ) ` Y ) = G )
                       -> ( ( IterComp ` F ) ` ( Y + 1 ) ) = ( F o. G ) ) $=
      ( vg vj wcel cn0 citco cfv wceq w3a c1 caddc co cvv ccom cmpo itcovalsuc
      cv eqidd coeq2 ad2antrl id fvex eqeltrdi eqcoms 3ad2ant3 elex 3ad2ant1 wa
      anim2i 3adant2 coexg syl ovmpod eqtrd ) ACGZDHGZDAIJZJZBKZLZDMNOUTJBAEFPP
      AETZQZRZOABQZEFABCDSVCEFBAPPVEVGVFPVCVFUAVDBKVEVGKVCFTAKVDBAUBUCVBURBPGZU
      SVHBVABVAKZBVAPVIUDDUTUEUFUGZUHURUSAPGVBACUIUJVCURVHUKZVGPGURVBVKUSVBVHUR
      VJULUMABCPUNUOUPUQ $.
  $}

  ${
    $d A x y $.  $d F x y $.  $d N x $.  $d ph x y $.
    itcovalendof.a $e |- ( ph -> A e. V ) $.
    itcovalendof.f $e |- ( ph -> F : A --> A ) $.
    itcovalendof.n $e |- ( ph -> N e. NN0 ) $.
    $( The n-th iterate of an endofunction is an endofunction.  (Contributed by
       AV, 7-May-2024.) $)
    itcovalendof $p |- ( ph -> ( ( IterComp ` F ) ` N ) : A --> A ) $=
      ( vx vy wcel cfv wf cc0 wceq fveq2 feq1d cid mpbird cvv citco cv c1 caddc
      cn0 co weq cdm cres wf1o f1oi f1of mp1i fdmd reseq2d fexd itcoval0 syl wa
      ccom ad2antrr simpr fcod simplr eqidd itcovalsucov syl3anc nn0indd mpdan
      ) ADUEKBBDCUALZLZMZHABBIUBZVJLZMBBNVJLZMZBBJUBZVJLZMZBBVQUCUDUFZVJLZMZVLI
      JDVMNOBBVNVOVMNVJPQIJUGBBVNVRVMVQVJPQVMVTOBBVNWAVMVTVJPQVMDOBBVNVKVMDVJPQ
      AVPBBRCUHZUIZMZAWEBBRBUIZMZBBWFUJWGABUKBBWFULUMABBWDWFAWCBRABBCGUNUOQSABB
      VOWDACTKZVOWDOABBECGFUPZCTUQURQSAVQUEKZUSZVSUSZWBBBCVRUTZMWLBBBCVRABBCMWJ
      VSGVAWKVSVBVCWLBBWAWMWLWHWJVRVROWAWMOAWHWJVSWIVAAWJVSVDWLVRVECVRTVQVFVGQS
      VHVI $.
  $}

  ${
    $d C n $.
    itcovalpc.f $e |- F = ( n e. NN0 |-> ( n + C ) ) $.
    $( Lemma 1 for ~ itcovalpc : induction basis.  (Contributed by AV,
       4-May-2024.) $)
    itcovalpclem1 $p |- ( C e. NN0 -> ( ( IterComp ` F ) ` 0 )
                          = ( n e. NN0 |-> ( n + ( C x. 0 ) ) ) ) $=
      ( cn0 wcel cc0 citco cfv cv cmpt cmul co caddc cvv wral nn0ex ovexd nn0cn
      wceq rgen itcoval0mpt mp2an wa mul01d adantr oveq2d addid1d adantl eqtr2d
      mpteq2dva syl5eq ) AEFZGCHIIZBEBJZKZBEUOAGLMZNMZKEOFUOANMZOFZBEPUNUPTQUTB
      EUOEFZUOANRUAEUSBCOODUBUCUMBEUOURUMVAUDZURUOGNMZUOVBUQGUONUMUQGTVAUMAASUE
      UFUGVAVCUOTUMVAUOUOSUHUIUJUKUL $.

    $d C m $.  $d m n y $.
    $( Lemma 2 for ~ itcovalpc : induction step.  (Contributed by AV,
       4-May-2024.) $)
    itcovalpclem2 $p |- ( ( y e. NN0 /\ C e. NN0 )
            -> ( ( ( IterComp ` F ) ` y ) = ( n e. NN0 |-> ( n + ( C x. y ) ) )
                 -> ( ( IterComp ` F ) ` ( y + 1 ) )
                    = ( n e. NN0 |-> ( n + ( C x. ( y + 1 ) ) ) ) ) ) $=
      ( vm cv cn0 wcel wa cfv cmul co caddc cmpt wceq c1 cvv simpr nn0cnd citco
      ccom nn0ex mptex eqeltri simpl itcovalsucov mp3an2ani nn0mulcld nn0addcld
      simplr adantr eqidd oveq1 cbvmptv eqtri a1i fmptco addassd mulid1d adantl
      nn0cn eqcomd oveq2d 1cnd adddid eqtr4d eqtrd mpteq2dva ex ) AGZHIZBHIZJZV
      KDUAKZKCHCGZBVKLMZNMZOZPZVKQNMZVOKZCHVPBWALMZNMZOZPVNVTJWBDVSUBZWEDRIVNVL
      VTVTWBWFPDCHVPBNMZOZRECHWGUCUDUEVLVMUFZVNVTSDVSRVKUGUHVNWFWEPVTVNWFCHVRBN
      MZOWEVNCFHHVRFGZBNMZWJVSDVNVPHIZJZVPVQVNWMSZWNBVKVLVMWMUKZVNVLWMWIULUIZUJ
      VNVSUMDFHWLOZPVNDWHWRECFHWGWLVPWKBNUNUOUPUQWKVRBNUNURVNCHWJWDWNWJVPVQBNMZ
      NMZWDWNVPVQBWNVPWOTWNVQWQTWNBWPTUSVNWTWDPWMVNWSWCVPNVNWSVQBQLMZNMWCVNBXAV
      QNVNXABVMXABPVLVMBBVBUTVAVCVDVNBVKQVNBVLVMSTVNVKWITVNVEVFVGVDULVHVIVHULVH
      VJ $.

    $d C n x y $.  $d F x y $.  $d I n x $.
    $( The value of the function that returns the n-th iterate of the "plus a
       constant" function with regard to composition.  (Contributed by AV,
       4-May-2024.) $)
    itcovalpc $p |- ( ( I e. NN0 /\ C e. NN0 ) -> ( ( IterComp ` F ) ` I )
                                     = ( n e. NN0 |-> ( n + ( C x. I ) ) ) ) $=
      ( vy cn0 wcel cfv cmul co caddc cmpt wceq cc0 fveq2 oveq2 oveq2d mpteq2dv
      eqeq12d vx citco cv c1 itcovalpclem1 wa itcovalpclem2 ancoms imp nn0indd
      wi ) AGHZDGHDCUBIZIZBGBUCZADJKZLKZMZNZULUAUCZUMIZBGUOAUTJKZLKZMZNOUMIZBGU
      OAOJKZLKZMZNFUCZUMIZBGUOAVIJKZLKZMZNZVIUDLKZUMIZBGUOAVOJKZLKZMZNZUSUAFDUT
      ONZVAVEVDVHUTOUMPWABGVCVGWAVBVFUOLUTOAJQRSTUTVINZVAVJVDVMUTVIUMPWBBGVCVLW
      BVBVKUOLUTVIAJQRSTUTVONZVAVPVDVSUTVOUMPWCBGVCVRWCVBVQUOLUTVOAJQRSTUTDNZVA
      UNVDURUTDUMPWDBGVCUQWDVBUPUOLUTDAJQRSTABCEUEULVIGHZUFVNVTWEULVNVTUKFABCEU
      GUHUIUJUH $.
  $}

  $( Lemma 1 for ~ itcovalt2lem2 .  (Contributed by AV, 6-May-2024.) $)
  itcovalt2lem2lem1 $p |- ( ( ( Y e. NN /\ C e. NN0 ) /\ N e. NN0 )
                            -> ( ( ( N + C ) x. Y ) - C ) e. NN0 ) $=
    ( cn wcel cn0 wa caddc co cmul cle wbr cmin cr adantl adantr simpr ad2antrr
    nn0red mpbid nn0re nn0addcld nnnn0 nn0mulcld nn0ge0 addge02d simpll nn0ge0d
    cc0 nnred c1 nnge1 lemulge11d letrd wb nn0sub syl2anc ) CDEZAFEZGZBFEZGZABA
    HIZCJIZKLZVDAMIFEZVBAVCVDUTANEZVAUSVGURAUAOPVBVCVBBAUTVAQZUTUSVAURUSQPZUBZS
    ZVBVDVBVCCVJURCFEUSVACUCRUDZSVBUIBKLZAVCKLVAVMUTBUEOVBABVBAVISVBBVHSUFTVBVC
    CVKVBCURUSVAUGUJVBVCVJUHURUKCKLUSVACULRUMUNVBUSVDFEVEVFUOVIVLAVDUPUQT $.

  $( Lemma 2 for ~ itcovalt2lem2 .  (Contributed by AV, 7-May-2024.) $)
  itcovalt2lem2lem2 $p |- ( ( ( Y e. NN0 /\ C e. NN0 ) /\ N e. NN0 )
                         -> ( ( 2 x. ( ( ( N + C ) x. ( 2 ^ Y ) ) - C ) ) + C )
                            = ( ( ( N + C ) x. ( 2 ^ ( Y + 1 ) ) ) - C ) ) $=
    ( wcel wa c2 caddc co cexp cmul cmin 2cnd simpr adantr nn0cnd 2nn0 ad2antrr
    cn0 a1i nn0mulcld c1 nn0addcld cc id nn0expcld mulcld nn0cn ad2antlr subdid
    oveq1d subsubd mul12d wceq mulcomd expp1d eqtr4d eqtrd 2txmxeqx syl oveq12d
    oveq2d 3eqtr2d ) CRDZARDZEZBRDZEZFBAGHZFCIHZJHZAKHJHZAGHFVJJHZFAJHZKHZAGHVL
    VMAKHZKHVHFCUAGHIHZJHZAKHVGVKVNAGVGFVJAVGLZVGVHVIVGVHVGBAVEVFMVEVDVFVCVDMZN
    ZUBZOZVCVIUCDVDVFVCVIVCFCFRDZVCPSVCUDZUEZOZQZUFVDAUCDZVCVFAUGZUHUIUJVGVLVMA
    VGVLVGFVJWCVGPSVGVHVIWAVCVIRDVDVFWEQTTOVGVMVEVMRDVFVEFAWCVEPSVSTNOVGAVTOUKV
    GVLVQVOAKVGVLVHFVIJHZJHVQVGFVHVIVRWBWGULVGWJVPVHJVCWJVPUMVDVFVCWJVIFJHVPVCF
    VIVCLZWFUNVCFCWKWDUOUPQVAUQVDVOAUMZVCVFVDWHWLWIAURUSUHUTVB $.

  ${
    $d C n $.
    itcovalt2.f $e |- F = ( n e. NN0 |-> ( ( 2 x. n ) + C ) ) $.
    $( Lemma 1 for ~ itcovalt2 : induction basis.  (Contributed by AV,
       5-May-2024.) $)
    itcovalt2lem1 $p |- ( C e. NN0 -> ( ( IterComp ` F ) ` 0 )
                     = ( n e. NN0 |-> ( ( ( n + C ) x. ( 2 ^ 0 ) ) - C ) ) ) $=
      ( cn0 wcel cc0 citco cfv cmpt caddc co c2 cmul cvv wa wceq nn0cnd eqtrd
      c1 cv cexp cmin wral nn0ex ovexd rgen pm3.2i itcoval0mpt mp1i simpr simpl
      2nn0 numexp0 a1i oveq2d nn0addcld mulid1d mvrraddd eqcomd mpteq2dva ) AEF
      ZGCHIIZBEBUAZJZBEVDAKLZMGUBLZNLZAUCLZJEOFZMVDNLZAKLZOFZBEUDZPVCVEQVBVJVNU
      EVMBEVDEFZVKAKUFUGUHEVLBCOODUIUJVBBEVDVIVBVOPZVIVDVPVHVDAVPVDVBVOUKZRVPAV
      BVOULZRVPVHVFTNLVFVPVGTVFNVGTQVPMUMUNUOUPVPVFVPVFVPVDAVQVRUQRURSUSUTVAS
      $.

    $d C m $.  $d m n y $.
    $( Lemma 2 for ~ itcovalt2 : induction step.  (Contributed by AV,
       7-May-2024.) $)
    itcovalt2lem2 $p |- ( ( y e. NN0 /\ C e. NN0 )
            -> ( ( ( IterComp ` F ) ` y )
                          = ( n e. NN0 |-> ( ( ( n + C ) x. ( 2 ^ y ) ) - C ) )
                 -> ( ( IterComp ` F ) ` ( y + 1 ) ) = ( n e. NN0
                        |-> ( ( ( n + C ) x. ( 2 ^ ( y + 1 ) ) ) - C ) ) ) ) $=
      ( vm cv cn0 wcel wa cfv caddc co c2 cexp cmul cmin cmpt wceq cvv citco c1
      ccom nn0ex mptex eqeltri simpl simpr itcovalsucov mp3an2ani cn 2nn a1i id
      nnexpcld itcovalt2lem2lem1 sylanl1 eqidd oveq1d cbvmptv itcovalt2lem2lem2
      oveq2 eqtri fmptco mpteq2dva eqtrd adantr ex ) AGZHIZBHIZJZVIDUAKZKCHCGZB
      LMZNVIOMZPMBQMZRZSZVIUBLMZVMKZCHVONVTOMPMBQMZRZSVLVSJWADVRUCZWCDTIVLVJVSV
      SWAWDSDCHNVNPMZBLMZRZTECHWFUDUEUFVJVKUGVLVSUHDVRTVIUIUJVLWDWCSVSVLWDCHNVQ
      PMZBLMZRWCVLCFHHVQNFGZPMZBLMZWIVRDVJVPUKIVKVNHIVQHIVJNVINUKIVJULUMVJUNUOB
      VNVPUPUQVLVRURDFHWLRZSVLDWGWMECFHWFWLVNWJSWEWKBLVNWJNPVBUSUTVCUMWJVQSWKWH
      BLWJVQNPVBUSVDVLCHWIWBBVNVIVAVEVFVGVFVH $.

    $d C x y $.  $d F x y $.  $d I n x $.
    $( The value of the function that returns the n-th iterate of the "times 2
       plus a constant" function with regard to composition.  (Contributed by
       AV, 7-May-2024.) $)
    itcovalt2 $p |- ( ( I e. NN0 /\ C e. NN0 ) -> ( ( IterComp ` F ) ` I )
                     = ( n e. NN0 |-> ( ( ( n + C ) x. ( 2 ^ I ) ) - C ) ) ) $=
      ( cn0 cfv co c2 cexp cmul cmin cmpt wceq wi cc0 fveq2 oveq2 oveq2d oveq1d
      vx vy wcel citco cv caddc c1 mpteq2dv eqeq12d imbi2d itcovalt2lem1 pm2.27
      wa adantl itcovalt2lem2 syld ex com23 nn0ind imp ) DFUCAFUCZDCUDGZGZBFBUE
      AUFHZIDJHZKHZALHZMZNZVAUAUEZVBGZBFVDIVJJHZKHZALHZMZNZOVAPVBGZBFVDIPJHZKHZ
      ALHZMZNZOVAUBUEZVBGZBFVDIWCJHZKHZALHZMZNZOZVAWCUGUFHZVBGZBFVDIWKJHZKHZALH
      ZMZNZOVAVIOUAUBDVJPNZVPWBVAWRVKVQVOWAVJPVBQWRBFVNVTWRVMVSALWRVLVRVDKVJPIJ
      RSTUHUIUJVJWCNZVPWIVAWSVKWDVOWHVJWCVBQWSBFVNWGWSVMWFALWSVLWEVDKVJWCIJRSTU
      HUIUJVJWKNZVPWQVAWTVKWLVOWPVJWKVBQWTBFVNWOWTVMWNALWTVLWMVDKVJWKIJRSTUHUIU
      JVJDNZVPVIVAXAVKVCVOVHVJDVBQXABFVNVGXAVMVFALXAVLVEVDKVJDIJRSTUHUIUJABCEUK
      WCFUCZVAWJWQXBVAWJWQOXBVAUMWJWIWQVAWJWIOXBVAWIULUNUBABCEUOUPUQURUSUT $.
  $}

  ${
    $d M f i j n $.
    $( The Ackermann function at a successor of the first argument as a mapping
       of the second argument.  (Contributed by Thierry Arnoux, 28-Apr-2024.)
       (Revised by AV, 4-May-2024.) $)
    ackvalsuc1mpt $p |- ( M e. NN0 -> ( Ack ` ( M + 1 ) ) = ( n e. NN0
                  |-> ( ( ( IterComp ` ( Ack ` M ) ) ` ( n + 1 ) ) ` 1 ) ) ) $=
      ( vf vj vi cn0 wcel c1 caddc co cack cfv cvv cv citco cmpt cc0 fveq1i a1i
      wceq cmpo cif cseq df-ack nn0uz id eqid eqcomi eqidd wne nn0p1gt0 gt0ne0d
      wa adantr neeq1 adantl mpbird neneqd iffalsed simpr eqtrd peano2nn0 fveq2
      wb fvmptd seqp1d fveq1d mpteq2dv ad2antrl fvexd ovexd nn0ex ovmpod syl5eq
      mptex ) BFGZBHIJZKLVQCDMMAFHANHIJZCNZOLZLZLZPZUAZEFENZQTZAFVRPZWEUBZPZQUC
      ZLZAFHVRBKLZOLZLZLZPZVQKWJCEDAUDZRVPWKWLVQWDJWPVPWLVQWDWIVQQBFUEVPUFVQUGB
      WJLWLTVPBWJKKWJWQUHRSVPEVQWHVQFWIFVPWIUIVPWEVQTZUMZWHWEVQWSWFWGWEWSWEQWSW
      EQUJZVQQUJZVPXAWRVPVQBUKULUNWRWTXAVDVPWEVQQUOUPUQURUSVPWRUTVABVBZXBVEVFVP
      CDWLVQMMWCWPWDMVPWDUIVSWLTZWCWPTVPDNVQTXCAFWBWOXCHWAWNXCVRVTWMVSWLOVCVGVG
      VHVIVPBKVJVPBHIVKWPMGVPAFWOVLVOSVMVAVN $.
  $}

  ${
    $d M n $.  $d N n $.
    $( The Ackermann function at a successor of the first argument and an
       arbitrary second argument.  (Contributed by Thierry Arnoux,
       28-Apr-2024.)  (Revised by AV, 4-May-2024.) $)
    ackvalsuc1 $p |- ( ( M e. NN0 /\ N e. NN0 ) -> ( ( Ack ` ( M + 1 ) ) ` N )
                      = ( ( ( IterComp ` ( Ack ` M ) ) ` ( N + 1 ) ) ` 1 ) ) $=
      ( vn cn0 wcel wa c1 cv caddc cack cfv citco cvv cmpt ackvalsuc1mpt adantr
      co wceq fvoveq1 fveq1d adantl simpr fvexd fvmptd ) ADEZBDEZFZCBGCHZGIQAJK
      LKZKZKZGBGIQUIKZKZDAGIQJKZMUEUNCDUKNRUFCAOPUHBRZUKUMRUGUOGUJULUHBGUIISTUA
      UEUFUBUGGULUCUD $.
  $}

  ${
    $d f i j n $.
    $( The Ackermann function at 0.  (Contributed by AV, 2-May-2024.) $)
    ackval0 $p |- ( Ack ` 0 ) = ( n e. NN0 |-> ( n + 1 ) ) $=
      ( vf vj vi cc0 cack cfv cvv cn0 c1 cv caddc citco cmpt cmpo wceq cif wcel
      co ax-mp cseq df-ack fveq1i cz 0z seq1 0nn0 iftrue eqid nn0ex mptex fvmpt
      3eqtri ) EFGEBCHHAIJAKJLSZBKMGGGNOZDIDKZEPZAIUNNZUPQZNZEUAZGZEUTGZUREFVAB
      DCAUBUCEUDRVBVCPUEUOUTEUFTEIRVCURPUGDEUSURIUTUQURUPUHUTUIAIUNUJUKULTUM $.

    $( The Ackermann function at 1.  (Contributed by AV, 4-May-2024.) $)
    ackval1 $p |- ( Ack ` 1 ) = ( n e. NN0 |-> ( n + 2 ) ) $=
      ( vi c1 cack cfv cc0 caddc co cn0 cv cmpt c2 wcel wceq 1nn0 nn0cn syl a1i
      cc 3eqtrd citco 1e0p1 fveq2i 0nn0 ackvalsuc1mpt ax-mp peano2nn0 itcovalpc
      cmul ackval0 sylancl mulid2d oveq2d mpteq2dv eqtrd fveq1d cvv eqidd oveq1
      adantl ovexd fvmptd peano2cn addcomd addassd 1p1e2 oveq2i mpteq2ia 3eqtri
      1cnd ) CDEFCGHZDEZAICAJZCGHZFDEZUAEEZEZKZAIVMLGHZKCVKDUBUCFIMVLVRNUDAFUEU
      FAIVQVSVMIMZVQCBIBJZVNGHZKZECVNGHZVSVTCVPWCVTVPBIWACVNUIHZGHZKZWCVTVNIMZC
      IMZVPWGNVMUGZOCBVOVNBUJUHUKVTBIWFWBVTWEVNWAGVTVNVTWHVNSMZWJVNPQULUMUNUOUP
      VTBCWBWDIWCUQVTWCURWACNWBWDNVTWACVNGUSUTWIVTORVTCVNGVAVBVTWDVNCGHVMCCGHZG
      HZVSVTCVNVTVJZVTVMSMWKVMPZVMVCQVDVTVMCCWOWNWNVEWMVSNVTWLLVMGVFVGRTTVHVI
      $.

    $( The Ackermann function at 2.  (Contributed by AV, 4-May-2024.) $)
    ackval2 $p |- ( Ack ` 2 ) = ( n e. NN0 |-> ( ( 2 x. n ) + 3 ) ) $=
      ( vi c2 cack cfv c1 caddc co cn0 cv citco cmpt cmul c3 wcel wceq 1nn0 a1i
      mulcld 3eqtrd df-2 fveq2i ackvalsuc1mpt ax-mp peano2nn0 ackval1 itcovalpc
      2nn0 sylancl fveq1d cvv eqidd oveq1 adantl ovexd fvmptd cc nn0cn peano2cn
      1cnd 2cnd addcomd id adddid oveq1d addassd 2t1e2 oveq1i 2p1e3 eqtri eqtrd
      oveq2d syl mpteq2ia 3eqtri ) CDEFFGHZDEZAIFAJZFGHZFDEZKEEZEZLZAICVRMHZNGH
      ZLCVPDUAUBFIOZVQWCPQAFUCUDAIWBWEVRIOZWBFBIBJZCVSMHZGHZLZEFWIGHZWEWGFWAWKW
      GVSIOCIOWAWKPVRUEUHCBVTVSBUFUGUIUJWGBFWJWLIWKUKWGWKULWHFPWJWLPWGWHFWIGUMU
      NWFWGQRWGFWIGUOUPWGVRUQOZWLWEPVRURWMWLWIFGHWDCFMHZGHZFGHZWEWMFWIWMUTZWMCV
      SWMVAZVRUSSVBWMWIWOFGWMCVRFWRWMVCZWQVDVEWMWPWDWNFGHZGHWEWMWDWNFWMCVRWRWSS
      WMCFWRWQSWQVFWMWTNWDGWTNPWMWTCFGHNWNCFGVGVHVIVJRVLVKTVMTVNVO $.

    $( The Ackermann function at 3.  (Contributed by AV, 7-May-2024.) $)
    ackval3 $p |- ( Ack ` 3 ) = ( n e. NN0
                                     |-> ( ( 2 ^ ( n + 3 ) ) - 3 ) ) $=
      ( vi c3 cack cfv c2 c1 caddc co cn0 cv cmpt cexp cmin wcel wceq c4 oveq1d
      cmul a1i citco df-3 fveq2i 2nn0 ackvalsuc1mpt peano2nn0 ackval2 itcovalt2
      ax-mp 3nn0 sylancl fveq1d eqidd oveq1 ax-1cn 3p1e4 addcomli eqtrdi adantl
      cvv 3cn 1nn0 ovexd fvmptd sq2 eqcomi 2cnd expaddd nn0cn 1cnd add12d 2p1e3
      oveq2i oveq2d 3eqtr2d 3eqtrd mpteq2ia 3eqtri ) CDEFGHIZDEZAJGAKZGHIZFDEZU
      AEEZEZLZAJFWACHIZMIZCNIZLCVSDUBUCFJOZVTWFPUDAFUEUIAJWEWIWAJOZWEGBJBKZCHIZ
      FWBMIZSIZCNIZLZEQWNSIZCNIZWIWKGWDWQWKWBJOCJOWDWQPWAUFZUJCBWCWBBUGUHUKULWK
      BGWPWSJWQUTWKWQUMWLGPZWPWSPWKXAWOWRCNXAWMQWNSXAWMGCHIQWLGCHUNCGQVAUOUPUQU
      RRRUSGJOWKVBTWKWRCNVCVDWKWRWHCNWKWRFFMIZWNSIFFWBHIZMIWHWKQXBWNSQXBPWKXBQV
      EVFTRWKFFWBWKVGZWTWJWKUDTVHWKXCWGFMWKXCWAVSHIWGWKFWAGXDWAVIWKVJVKVSCWAHVL
      VMURVNVORVPVQVR $.
  $}

  ${
    $d M x $.  $d n y $.  $d x y $.
    $( The Ackermann function at any nonnegative integer is an endofunction on
       the nonnegative integers.  (Contributed by AV, 8-May-2024.) $)
    ackendofnn0 $p |- ( M e. NN0 -> ( Ack ` M ) : NN0 --> NN0 ) $=
      ( vx vy vn cn0 cv cack cfv wf cc0 c1 caddc co wceq fveq2 feq1d weq wa cvv
      wcel peano2nn0 fmpti citco cmpt nn0ex a1i simplr adantl itcovalendof 1nn0
      ackval0 ffvelrn sylancl eqid fmptd ackvalsuc1mpt adantr mpbird ex nn0ind
      ) EEBFZGHZIEEJGHZIEECFZGHZIZEEVDKLMZGHZIZEEAGHZIBCAVAJNEEVBVCVAJGOPBCQEEV
      BVEVAVDGOPVAVGNEEVBVHVAVGGOPVAANEEVBVJVAAGOPDEEDFZKLMZVCDUKVKUAZUBVDETZVF
      VIVNVFRZVIEEDEKVLVEUCHHZHZUDZIVODEVQEVRVOVKETZRZEEVPIKETVQETVTEVEVLSESTVT
      UEUFVNVFVSUGVSVLETVOVMUHUIUJEEKVPULUMVRUNUOVOEEVHVRVNVHVRNVFDVDUPUQPURUSU
      T $.
  $}

  $( The Ackermann function at any nonnegative integer is a function on the
     nonnegative integers.  (Contributed by AV, 4-May-2024.)  (Proof shortened
     by AV, 8-May-2024.) $)
  ackfnnn0 $p |- ( M e. NN0 -> ( Ack ` M ) Fn NN0 ) $=
    ( cn0 wcel cack cfv wf wfn ackendofnn0 ffn syl ) ABCBBADEZFKBGAHBBKIJ $.

  ${
    $d M m $.
    $( The Ackermann function at 0 (for the first argument).  This is the first
       equation of P&eacute;ter's definition of the Ackermann function.
       (Contributed by AV, 4-May-2024.) $)
    ackval0val $p |- ( M e. NN0 -> ( ( Ack ` 0 ) ` M ) = ( M + 1 ) ) $=
      ( vm cn0 wcel cv c1 caddc cc0 cack cfv cmpt wceq ackval0 a1i oveq1 adantl
      co id peano2nn0 fvmptd ) ACDZBABEZFGQZAFGQZCHIJZCUEBCUCKLUABMNUBALUCUDLUA
      UBAFGOPUARAST $.
  $}

  $( The Ackermann function at a successor (of the first argument).  This is
     the second equation of P&eacute;ter's definition of the Ackermann
     function.  (Contributed by AV, 4-May-2024.) $)
  ackvalsuc0val $p |- ( M e. NN0 -> ( ( Ack ` ( M + 1 ) ) ` 0 )
                                    = ( ( Ack ` M ) ` 1 ) ) $=
    ( cn0 wcel cc0 c1 caddc cack cfv citco wceq 0nn0 ackvalsuc1 mpan2 0p1e1 a1i
    co fveq2d wrel cvv eqtrd wfn wfun ackfnnn0 fnfun 3syl fvex itcoval1 sylancl
    funrel fveq1d ) ABCZDAEFPGHHZEDEFPZAGHZIHZHZHZEUNHUKDBCULUQJKADLMUKEUPUNUKU
    PEUOHZUNUKUMEUOUMEJUKNOQUKUNRZUNSCURUNJUKUNBUAUNUBUSAUCBUNUDUNUIUEAGUFUNSUG
    UHTUJT $.

  $( The Ackermann function at the successors.  This is the third equation of
     P&eacute;ter's definition of the Ackermann function.  (Contributed by AV,
     8-May-2024.) $)
  ackvalsucsucval $p |- ( ( M e. NN0 /\ N e. NN0 )
                          -> ( ( Ack ` ( M + 1 ) ) ` ( N + 1 ) )
            = ( ( Ack ` M ) ` ( ( Ack ` ( M + 1 ) ) ` N ) ) ) $=
    ( cn0 wcel wa c1 caddc cack cfv citco wceq ackvalsuc1 ccom cvv itcovalsucov
    co eqidd syl3anc wfn adantr peano2nn0 sylan2 adantl fveq1d crn wss ackfnnn0
    fvexd nn0ex a1i ackendofnn0 simpr itcovalendof ffnd frnd fnco fneq1d mpbird
    wf 1nn0 fvco2 sylancl eqtrd eqcomd fveq2d 3eqtrd ) ACDZBCDZEZBFGPZAFGPHIZIZ
    FVJFGPAHIZJIZIZIZFVJVNIZIZVMIZBVKIZVMIVHVGVJCDZVLVPKBUAZAVJLUBVIVPFVMVQMZIZ
    VSVIFVOWCVIVMNDZWAVQVQKVOWCKVIAHUHZVHWAVGWBUCVIVQQVMVQNVJORUDVIVQCSZFCDWDVS
    KVIWGVMBVNIZMZCSZVIVMCSZWHCSWHUECUFWJVGWKVHAUGTVICCWHVICVMBNCNDVIUIUJVGCCVM
    USVHAUKTVGVHULZUMZUNVICCWHWMUOCCVMWHUPRVICVQWIVIWEVHWHWHKVQWIKWFWLVIWHQVMWH
    NBORUQURUTCVMVQFVAVBVCVIVRVTVMVIVTVRABLVDVEVF $.

  $( The Ackermann function at (0,0), (0,1), (0,2).  (Contributed by AV,
     2-May-2024.) $)
  ackval0012 $p |- <. ( ( Ack ` 0 ) ` 0 ) ,
                      ( ( Ack ` 0 ) ` 1 ) ,
                      ( ( Ack ` 0 ) ` 2 ) >. = <. 1 , 2 , 3 >. $=
    ( vn cc0 cack cfv cn0 cv c1 caddc co cmpt wceq c2 cotp ackval0 oveq1 eqtrdi
    c3 wcel a1i fvmptd3 0p1e1 0nn0 1nn0 1p1e2 2nn0 2p1e3 3nn0 oteq123d ax-mp )
    BCDZAEAFZGHIZJKZBUJDZGUJDZLUJDZMGLQMKANZUMUNGUOLUPQUMABULGEUJEUQUKBKULBGHIG
    UKBGHOUAPBERUMUBSGERUMUCSZTUMAGULLEUJEUQUKGKULGGHILUKGGHOUDPURLERUMUESZTUMA
    LULQEUJEUQUKLKULLGHIQUKLGHOUFPUSQERUMUGSTUHUI $.

  $( The Ackermann function at (1,0), (1,1), (1,2).  (Contributed by AV,
     4-May-2024.) $)
  ackval1012 $p |- <. ( ( Ack ` 1 ) ` 0 ) ,
                      ( ( Ack ` 1 ) ` 1 ) ,
                      ( ( Ack ` 1 ) ` 2 ) >. = <. 2 , 3 , 4 >. $=
    ( vn c1 cack cfv cn0 cv c2 caddc co cmpt wceq cc0 cotp c3 oveq1 eqtrdi wcel
    c4 a1i fvmptd3 ackval1 2cn addid2i 0nn0 2nn0 1p2e3 1nn0 3nn0 2p2e4 oteq123d
    4nn0 ax-mp ) BCDZAEAFZGHIZJKZLUMDZBUMDZGUMDZMGNRMKAUAZUPUQGURNUSRUPALUOGEUM
    EUTUNLKUOLGHIGUNLGHOGUBUCPLEQUPUDSGEQUPUESZTUPABUONEUMEUTUNBKUOBGHINUNBGHOU
    FPBEQUPUGSNEQUPUHSTUPAGUOREUMEUTUNGKUOGGHIRUNGGHOUIPVAREQUPUKSTUJUL $.

  $( The Ackermann function at (2,0), (2,1), (2,2).  (Contributed by AV,
     4-May-2024.) $)
  ackval2012 $p |- <. ( ( Ack ` 2 ) ` 0 ) ,
                      ( ( Ack ` 2 ) ` 1 ) ,
                      ( ( Ack ` 2 ) ` 2 ) >. = <. 3 , 5 , 7 >. $=
    ( vn c2 cfv cn0 cmul co c3 caddc cc0 c1 c5 oveq2 oveq1d oveq1i eqtri eqtrdi
    wceq c7 wcel a1i cack cmpt cotp ackval2 2t0e0 3cn addid2i 0nn0 3nn0 fvmptd3
    cv 2t1e2 2cn 3p2e5 addcomli 1nn0 5nn0 2t2e4 4p3e7 2nn0 7nn0 oteq123d ax-mp
    c4 ) BUACZADBAUKZEFZGHFZUBQZIVECZJVECZBVECZUCGKRUCQAUDZVIVJGVKKVLRVIAIVHGDV
    EDVMVFIQZVHBIEFZGHFZGVNVGVOGHVFIBELMVPIGHFGVOIGHUENGUFUGOPIDSVIUHTGDSVIUITU
    JVIAJVHKDVEDVMVFJQZVHBJEFZGHFZKVQVGVRGHVFJBELMVSBGHFKVRBGHULNGBKUFUMUNUOOPJ
    DSVIUPTKDSVIUQTUJVIABVHRDVEDVMVFBQZVHBBEFZGHFZRVTVGWAGHVFBBELMWBVDGHFRWAVDG
    HURNUSOPBDSVIUTTRDSVIVATUJVBVC $.

  $( The Ackermann function at (3,0), (3,1), (3,2).  (Contributed by AV,
     7-May-2024.) $)
  ackval3012 $p |- <. ( ( Ack ` 3 ) ` 0 ) ,
                      ( ( Ack ` 3 ) ` 1 ) ,
                      ( ( Ack ` 3 ) ` 2 ) >. = <. 5 , ; 1 3 , ; 2 9 >. $=
    ( vn c3 cfv cn0 c2 caddc co cexp cmin wceq cc0 c1 c5 cdc 3cn eqtrdi c8 wcel
    a1i c4 cack cv cmpt cotp ackval3 oveq1 addid2i oveq2d oveq1d cu2 oveq1i 5cn
    c9 5p3e8 eqcomi mvrraddi eqtri 0nn0 5nn0 fvmptd3 ax-1cn 3p1e4 addcomli 1nn0
    2exp4 3nn0 deccl nn0cni eqid 3p3e6 decaddi 2cn 3p2e5 2exp5 2nn0 9nn0 9p3e12
    c6 2p1e3 decaddci oteq123d ax-mp ) BUACZADEAUBZBFGZHGZBIGZUCJZKWCCZLWCCZEWC
    CZUDMLBNZEUMNZUDJAUEZWHWIMWJWLWKWMWHAKWGMDWCDWNWDKJZWGEBHGZBIGZMWOWFWPBIWOW
    EBEHWOWEKBFGBWDKBFUFBOUGPUHUIWQQBIGMWPQBIUJUKQMBULOMBFGQUNUOUPUQPKDRWHURSMD
    RWHUSSUTWHALWGWLDWCDWNWDLJZWGETHGZBIGZWLWRWFWSBIWRWETEHWRWELBFGTWDLBFUFBLTO
    VAVBVCPUHUIWTLVRNZBIGWLWSXABIVEUKXAWLBWLLBVDVFVGZVHOWLBFGXALBVRWLBVDVFVFWLV
    IVJVKUOUPUQPLDRWHVDSWLDRWHXBSUTWHAEWGWMDWCDWNWDEJZWGEMHGZBIGZWMXCWFXDBIXCWE
    MEHXCWEEBFGMWDEBFUFBEMOVLVMVCPUHUIXEBENZBIGWMXDXFBIVNUKXFWMBWMEUMVOVPVGZVHO
    WMBFGXFEUMEBWMBVOVPVFWMVIVSVOVQVTUOUPUQPEDRWHVOSWMDRWHXGSUTWAWB $.

  $( The Ackermann function at (4,0).  (Contributed by AV, 9-May-2024.) $)
  ackval40 $p |- ( ( Ack ` 4 ) ` 0 ) = ; 1 3 $=
    ( cc0 c4 cack cfv c3 c1 caddc co cdc df-4 fveq2i fveq1i cn0 wcel wceq ax-mp
    c2 cotp c5 fvex 3nn0 ackvalsuc0val c9 ackval3012 otth simp2bi 3eqtri ) ABCD
    ZDAEFGHZCDZDZFECDZDZFEIZAUHUJBUICJKLEMNUKUMOUAEUBPAULDZUMQULDZRSUNQUCIZROZU
    MUNOZUDURUOSOUSUPUQOUOUMSUNUPUQAULTFULTQULTUEUFPUG $.

  $( The Ackermann function at (4,1).  (Contributed by AV, 9-May-2024.) $)
  ackval41a $p |- ( ( Ack ` 4 ) ` 1 ) = ( ( 2 ^ ; 1 6 ) - 3 ) $=
    ( vn c1 c4 cack cfv cc0 caddc co c3 cdc cexp cmin fveq2i cn0 wcel wceq 3nn0
    c2 c6 eqtri df-4 1e0p1 fveq12i 0nn0 ackvalsucsucval mp2an 3p1e4 fveq1i 1nn0
    ackval40 deccl oveq1 oveq2d oveq1d eqid 3p3e6 decaddi oveq2i oveq1i ackval3
    cv eqtrdi ovex fvmpt ax-mp ) BCDEZEFBGHZIBGHZDEZEZRBSJZKHZILHZBVGVFVICVHDUA
    MUBUCVJFVIEZIDEZEZVMINOFNOVJVPPQUDIFUEUFVPBIJZVOEZVMVNVQVOVNFVFEVQFVIVFVHCD
    UGMUHUJTMVQNOVRVMPBIUIQUKAVQRAVAZIGHZKHZILHZVMNVOVSVQPZWBRVQIGHZKHZILHVMWCW
    AWEILWCVTWDRKVSVQIGULUMUNWEVLILWDVKRKBISVQIUIQQVQUOUPUQURUSVBAUTVLILVCVDVET
    TT $.

  $( The Ackermann function at (4,1).  (Contributed by AV, 9-May-2024.) $)
  ackval41 $p |- ( ( Ack ` 4 ) ` 1 ) = ; ; ; ; 6 5 5 3 3 $=
    ( c1 c4 cack cfv c2 c6 cdc cexp co c3 cmin ackval41a 6nn0 5nn0 deccl 2exp16
    c5 3nn0 3p1e4 3cn eqid decsuc gbpart6 mvrraddi decsubi eqtri ) ABCDDEAFGHIZ
    JKIFQGZQGZJGZJGLUJFJUIBGUGJUIJUHQFQMNONOZROMRPUIJBUJUKRSUJUAUBFJJTTUCUDUEUF
    $.

  $( The Ackermann function at (4,2).  (Contributed by AV, 9-May-2024.) $)
  ackval42 $p |- ( ( Ack ` 4 ) ` 2 ) = ( ( 2 ^ ; ; ; ; 6 5 5 3 6 ) - 3 ) $=
    ( vn c2 c4 cack cfv c1 caddc co c3 cdc cexp cmin fveq2i cn0 wcel wceq mp2an
    c6 cle wbr c5 df-4 df-2 fveq12i 3nn0 ackvalsucsucval 3p1e4 fveq1i ackval41a
    1nn0 eqtri cc 2cn 6nn0 deccl expcl 3cn wa cvv ackval3 oveq1 npcan sylan9eqr
    cv oveq2d oveq1d 3re 4re 3lt4 ltleii sq2 breqtrri cr cuz 2re 1le2 nn0zi 1nn
    cz 2nn0 c9 2lt9 declei 2z eluz1i mpbir2an leexp2a mp3an 4nn0 eqeltri nn0rei
    9re nn0expcli letri wb nn0sub a1i ovexd fvmptd2 2exp16 oveq2i oveq1i 3eqtri
    mpbi ) BCDEZEFFGHZIFGHZDEZEZFXHEZIDEZEZBRUAJUAJIJRJZKHZILHZBXFXEXHCXGDUBMUC
    UDINOZFNOXIXLPUEUJIFUFQXLBFRJZKHZILHZXKEZBXRKHZILHZXOXJXSXKXJFXEEXSFXHXEXGC
    DUGMUHUIUKMXRULOZIULOZXTYBPBULOXQNOYCUMFRUJUNUOZBXQUPQUQYCYDURZAXSBAVDZIGHZ
    KHZILHYBNXKUSAUTYFYGXSPZURZYIYAILYKYHXRBKYJYFYHXSIGHXRYGXSIGVAXRIVBVCVEVFXS
    NOZYFIXRSTZYLIBBKHZSTYNXRSTZYMICYNSICVGVHVIVJVKVLBVMOFBSTXQBVNEOZYOVOVPYPXQ
    VSOBXQSTXQYEVQFRBVRUNVTBWAVOWLWBVJWCBXQWDWEWFBBXQWGWHIYNXRVGYNYNCNVKWIWJWKX
    RBXQVTYEWMZWKWNQXPXRNOYMYLWOUEYQIXRWPQXDWQYFYAILWRWSQYAXNILXRXMBKWTXAXBXCXC
    $.

  $( The Ackermann function at (4,2), expressed with powers of 2.  (Contributed
     by AV, 9-May-2024.) $)
  ackval42a $p |- ( ( Ack ` 4 ) ` 2 )
                  = ( ( 2 ^ ( 2 ^ ( 2 ^ ( 2 ^ 2 ) ) ) ) - 3 ) $=
    ( c2 c4 cack cfv c6 c5 cdc c3 cexp co cmin ackval42 sq2 oveq2i 2exp4 2exp16
    c1 eqtri eqtr2i oveq1i ) ABCDDAEFGFGHGEGZIJZHKJAAAAAIJZIJZIJZIJZHKJLUBUFHKU
    AUEAIUEAQEGZIJUAUDUGAIUDABIJUGUCBAIMNORNPSNTR $.

  $( The Ackermann function at (5,0).  (Contributed by AV, 9-May-2024.) $)
  ackval50 $p |- ( ( Ack ` 5 ) ` 0 ) = ; ; ; ; 6 5 5 3 3 $=
    ( cc0 c5 cack cfv c4 c1 caddc co c6 cdc c3 df-5 fveq2i fveq1i cn0 wcel wceq
    4nn0 ackvalsuc0val ax-mp ackval41 3eqtri ) ABCDZDAEFGHZCDZDZFECDDZIBJBJKJKJ
    AUCUEBUDCLMNEOPUFUGQRESTUAUB $.
$( End $[ set-mbox-av-matrix.mm $] $)

$( Begin $[ set-mbox-av-geo.mm $] $)
$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Elementary geometry (extension)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Auxiliary theorems
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The function value of unordered pair of ordered pairs with first
     components 1 and 2 at 1.  (Contributed by AV, 4-Feb-2023.) $)
  fv1prop $p |- ( A e. V -> ( { <. 1 , A >. , <. 2 , B >. } ` 1 ) = A ) $=
    ( c1 cvv wcel c2 wne cop cpr cfv wceq 1ex 1ne2 fvpr1g mp3an13 ) DEFACFDGHDD
    AIGBIJKALMNDGABECOP $.

  $( The function value of unordered pair of ordered pairs with first
     components 1 and 2 at 1.  (Contributed by AV, 4-Feb-2023.) $)
  fv2prop $p |- ( B e. V -> ( { <. 1 , A >. , <. 2 , B >. } ` 2 ) = B ) $=
    ( c2 cvv wcel c1 wne cop cpr cfv wceq 2ex 1ne2 fvpr2g mp3an13 ) DEFBCFGDHDG
    AIDBIJKBLMNGDABECOP $.

  ${
    submuladdmuld.a $e |- ( ph -> A e. CC ) $.
    submuladdmuld.b $e |- ( ph -> B e. CC ) $.
    submuladdmuld.c $e |- ( ph -> C e. CC ) $.
    submuladdmuld.d $e |- ( ph -> D e. CC ) $.
    $( Transformation of a sum of a product of a difference and a product with
       the subtrahend of the difference.  (Contributed by AV, 2-Feb-2023.) $)
    submuladdmuld $p |- ( ph -> ( ( ( A - B ) x. C ) + ( B x. D ) )
                                = ( ( A x. C ) + ( B x. ( D - C ) ) ) ) $=
      ( cmin co cmul caddc subdird oveq1d mulcld subadd23d subdid eqcomd oveq2d
      3eqtrd ) ABCJKDLKZCELKZMKBDLKZCDLKZJKZUCMKUDUCUEJKZMKUDCEDJKLKZMKAUBUFUCM
      ABCDFGHNOAUDUEUCABDFHPACDGHPACEGIPQAUGUHUDMAUHUGACEDGIHRSTUA $.
  $}

  ${
    $d A t $.  $d B t $.  $d C t $.  $d E t $.  $d F t $.  $d ph t $.
    affinecomb1.a $e |- ( ph -> A e. RR ) $.
    affinecomb1.b $e |- ( ph -> B e. RR ) $.
    affinecomb1.c $e |- ( ph -> C e. RR ) $.
    affinecomb1.d $e |- ( ph -> B =/= C ) $.
    affinecomb1.e $e |- ( ph -> E e. RR ) $.
    affinecomb1.f $e |- ( ph -> F e. RR ) $.
    affinecomb1.g $e |- ( ph -> G e. RR ) $.
    ${
      $d S t $.
      affinecomb1.s $e |- S = ( ( G - F ) / ( C - B ) ) $.
      $( Combination of two real affine combinations, one class variable
         resolved.  (Contributed by AV, 22-Jan-2023.) $)
      affinecomb1 $p |- ( ph
                    -> ( E. t e. RR ( A = ( ( ( 1 - t ) x. B ) + ( t x. C ) )
                                   /\ E = ( ( ( 1 - t ) x. F ) + ( t x. G ) ) )
                         <-> E = ( ( S x. ( A - B ) ) + F ) ) ) $=
        ( co cmul recnd c1 cv cmin caddc wceq wa cr wrex wcel cdiv adantr simpr
        wi wne affineequivne wb oveq2 oveq1d oveq1 eqeq2d adantl eqidd resubcld
        oveq12d necomd subne0d redivcld remulcld readdcld mpbird div13d eqtr4di
        affineequiv4 oveq1i eqtr3d biimpd sylbid ex impd rexlimdva eleq1 eqcomd
        cc sylan9eqr biantrurd a1i 3eqtr4d 3bitr3d rspcedv impbid ) ACUABUBZUCR
        ZDSRZWKESRZUDRZUEZGWLHSRZWKISRZUDRZUEZUFZBUGUHGFCDUCRZSRZHUDRZUEZAXAXEB
        UGAWKUGUIZUFZWPWTXEXGWPWKXBEDUCRZUJRZUEZWTXEUMZXGCDEWKXGCACUGUIXFJUKTXG
        DADUGUIXFKUKTXGEAEUGUIXFLUKTXGWKAXFULTADEUNXFMUKUOXGXJXKXGXJUFWTGUAXIUC
        RZHSRZXIISRZUDRZUEZXEXJWTXPUPXGXJWSXOGXJWQXMWRXNUDXJWLXLHSWKXIUAUCUQZUR
        WKXIISUSVDUTVAXGXPXEUMXJXGXPXEXGXOXDGAXOXDUEXFAXIIHUCRZSRZHUDRZXOXDAXTX
        OUEXTXTUEAXTVBAXTHIXIAXTAXSHAXIXRAXBXHACDJKVCZAEDLKVCZAEDAELTZADKTZADEM
        VEVFZVGZAIHPOVCZVHOVITAHOTZAIPTZAXIYFTZVMVJAXSXCHUDAXSXRXHUJRZXBSRZXCAX
        BXHXRAXBYATAXHYBTAXRYGTYEVKZFYKXBSQVNZVLURVOUKUTVPUKVQVRVQVSVTAXAXEBXIU
        GYFAXJUFZWTGWKXRSRZHUDRZUEXAXEYOGHIWKYOGAGUGUIXJNUKTAHWCUIXJYHUKAIWCUIX
        JYIUKYOWKYOXFXIUGUIZAYRXJYFUKXJXFYRUPAWKXIUGWAVAVJTVMYOWPWTYOWOCXJAWOXL
        DSRZXIESRZUDRZCXJWMYSWNYTUDXJWLXLDSXQURWKXIESUSVDACUUAACUUAUEXIXIUEAXIV
        BACDEXIACJTYDYCYJMUOVJWBWDWBWEYOYQXDGYOYPXCHUDYOXSYLYPXCAXSYLUEXJYMUKXJ
        YPXSUEAWKXIXRSUSVAXCYLUEYOYNWFWGURUTWHWIWJ $.
    $}

    $d G t $.
    $( Combination of two real affine combinations, presented without fraction.
       (Contributed by AV, 22-Jan-2023.) $)
    affinecomb2 $p |- ( ph
                    -> ( E. t e. RR ( A = ( ( ( 1 - t ) x. B ) + ( t x. C ) )
                                   /\ E = ( ( ( 1 - t ) x. F ) + ( t x. G ) ) )
              <-> ( ( C - B ) x. E ) = ( ( ( G - F ) x. A )
                                         + ( ( F x. C ) - ( B x. G ) ) ) ) ) $=
      ( cmin co cmul caddc mulcld c1 cv wceq wa cr wrex cdiv affinecomb1 subcld
      recnd necomd subne0d divcld addcld mulcand adddid divcan2d oveq1d mulassd
      eqid subdid 3eqtr3d subdird oveq12d subadd23d eqtrd mulcomd oveq2d 3eqtrd
      nnncan2d eqeq2d 3bitr2d ) ACUABUBZPQZDRQVMERQSQUCFVNGRQVMHRQSQUCUDBUEUFFH
      GPQZEDPQZUGQZCDPQZRQZGSQZUCVPFRQZVPVTRQZUCWAVOCRQZGERQZDHRQZPQZSQZUCABCDE
      VQFGHIJKLMNOVQUTUHAFVTVPAFMUJAVSGAVQVRAVOVPAHGAHOUJZAGNUJZUIZAEDAEKUJZADJ
      UJZUIZAEDWKWLADELUKULZUMZACDACIUJZWLUIZTZWIUNWMWNUOAWBWGWAAWBVPVSRQZVPGRQ
      ZSQZWCEGRQZDGRQZPQZVODRQZPQZSQZWGAVPVSGWMWRWIUPAXAWCXEPQZXDSQXGAWSXHWTXDS
      AVPVQRQZVRRQVOVRRQWSXHAXIVOVRRAVOVPWJWMWNUQURAVPVQVRWMWOWQUSAVOCDWJWPWLVA
      VBAEDGWKWLWIVCVDAWCXEXDAVOCWJWPTAVODWJWLTAXBXCAEGWKWITADGWLWITUIVEVFAXFWF
      WCSAXFWDGDRQZPQZHDRQZXJPQZPQWDXLPQWFAXDXKXEXMPAXBWDXCXJPAEGWKWIVGADGWLWIV
      GVDAHGDWHWIWLVCVDAWDXLXJAGEWIWKTAHDWHWLTAGDWIWLTVJAXLWEWDPAHDWHWLVGVHVIVH
      VIVKVL $.
  $}

  ${
    affineid.f $e |- ( ph -> A e. CC ) $.
    affineid.x $e |- ( ph -> T e. CC ) $.
    $( Identity of an affine combination.  (Contributed by AV, 2-Feb-2023.) $)
    affineid $p |- ( ph -> ( ( ( 1 - T ) x. A ) + ( T x. A ) ) = A ) $=
      ( c1 cmin co cmul caddc 1cnd subdird mulid2d oveq1d eqtrd mulcld npcand )
      AFCGHBIHZCBIHZJHBSGHZSJHBARTSJARFBIHZSGHTAFCBAKEDLAUABSGABDMNONABSDACBEDP
      QO $.
  $}

  $( Subtract the reciprocal of 1 minus a number from 1 results in the number
     divided by the number minus 1.  (Contributed by AV, 15-Feb-2023.) $)
  1subrec1sub $p |- ( ( A e. CC /\ A =/= 1 )
                    -> ( 1 - ( 1 / ( 1 - A ) ) ) = ( A / ( A - 1 ) ) ) $=
    ( cc wcel c1 wne wa cmin co cdiv cmul 1cnd simpl subcld simpr necomd eqcomd
    subne0d oveq1d cneg eqtrd divcan4d mulcld divsubdird mulid2d adantr negsubd
    negcl caddc mvrladdd divneg2d divnegd negsubdi2d oveq2d 3eqtr3d 3eqtr2d ) A
    BCZADEZFZDDDAGHZIHZGHDUSJHZUSIHZUTGHVADGHZUSIHZAADGHZIHZURDVBUTGURVBDURDUSU
    RKZURDAVGUPUQLZMZURDAVGVHURADUPUQNOQZUAPRURVADUSURDUSVGVIUBVGVIVJUCURVDASZU
    SIHZVFURVCVKUSIURVCUSDGHVKURVAUSDGURUSVIUDRURUSDVKVGUPVKBCUQAUGUEURDVKUHHUS
    URDAVGVHUFPUITRURAUSIHSAUSSZIHVLVFURAUSVHVIVJUJURAUSVHVIVJUKURVMVEAIURDAVGV
    HULUMUNTUO $.

  ${
    resum2sqcl.q $e |- Q = ( ( A ^ 2 ) + ( B ^ 2 ) ) $.
    $( The sum of two squares of real numbers is a real number.  (Contributed
       by AV, 7-Feb-2023.) $)
    resum2sqcl $p |- ( ( A e. RR /\ B e. RR ) -> Q e. RR ) $=
      ( cr wcel wa c2 cexp co caddc simpl resqcld simpr readdcld eqeltrid ) AEF
      ZBEFZGZCAHIJZBHIJZKJEDSTUASAQRLMSBQRNMOP $.

    $( The sum of the square of a nonzero real number and the square of another
       real number is greater than zero.  (Contributed by AV, 7-Feb-2023.) $)
    resum2sqgt0 $p |- ( ( ( A e. RR /\ A =/= 0 ) /\ B e. RR ) -> 0 < Q ) $=
      ( cr wcel cc0 wne wa c2 co caddc clt simpl resqcld adantr simpr wbr sqgt0
      cexp cle sqge0 adantl addgtge0d breqtrrdi ) AEFZAGHZIZBEFZIZGAJTKZBJTKZLK
      CMUJUKULUHUKEFUIUHAUFUGNOPUJBUHUIQOUHGUKMRUIASPUIGULUARUHBUBUCUDDUE $.

    $( The sum of the square of a nonzero real number and the square of another
       real number is a positive real number.  (Contributed by AV,
       2-May-2023.) $)
    resum2sqrp $p |- ( ( ( A e. RR /\ A =/= 0 ) /\ B e. RR ) -> Q e. RR+ ) $=
      ( cr wcel cc0 wne wa resum2sqcl adantlr resum2sqgt0 elrpd ) AEFZAGHZIBEFZ
      ICNPCEFOABCDJKABCDLM $.

    $( The sum of the square of two real numbers is greater than zero if at
       least one of the real numbers is nonzero.  (Contributed by AV,
       26-Feb-2023.) $)
    resum2sqorgt0 $p |- ( ( A e. RR /\ B e. RR /\ ( A =/= 0 \/ B =/= 0 ) )
                          -> 0 < Q ) $=
      ( cc0 wne cr wcel clt wi wa resum2sqgt0 ex expcom c2 cexp co caddc resqcl
      wbr wo com23 eqid breq2i adantl recnd ad2antrr addcomd breq2d syl5bb jaoi
      mpbird 3imp31 ) AEFZBEFZUABGHZAGHZECITZUNUPUQURJZJUOUNUQUPURUQUNUPURJUQUN
      KUPURABCDLMNUBUPUOUSUPUOKZUQURUTUQKZUREBOPQZAOPQZRQZITZBAVDVDUCLUREVCVBRQ
      ZITVAVECVFEIDUDVAVFVDEIVAVCVBVAVCUQVCGHUTASUEUFVAVBUPVBGHUOUQBSUGUFUHUIUJ
      ULMNUKUM $.
  $}

  $( Membership in and outside of a closed real interval.  (Contributed by AV,
     15-Feb-2023.) $)
  reorelicc $p |- ( ( A e. RR /\ B e. RR /\ C e. RR )
                    -> ( C < A \/ C e. ( A [,] B ) \/ B < C ) ) $=
    ( cr wcel w3a clt wbr cicc co wo w3o cle wa wi orc a1d wn simp3 ad2antrr wb
    lenlt biimprd 3adant2 adantr imp simplr 3simpa elicc2 mpbir3and olcd expcom
    syl pm2.61i orcd ex olc a1i simp2 lelttric syl2anc mpjaod df-3or sylibr ) A
    DEZBDEZCDEZFZCAGHZCABIJEZKZBCGHZKZVIVJVLLVHCBMHZVMVLVHVNVMVHVNNZVKVLVIVOVKO
    VIVKVOVIVJPQVOVIRZVKVOVPNZVJVIVQVJVGACMHZVNVHVGVNVPVEVFVGSZTVOVPVRVHVPVROZV
    NVEVGVTVFVEVGNVRVPACUBUCUDUEUFVHVNVPUGVQVEVFNZVJVGVRVNFUAVHWAVNVPVEVFVGUHTA
    BCUIUMUJUKULUNUOUPVLVMOVHVLVKUQURVHVGVFVNVLKVSVEVFVGUSCBUTVAVBVIVJVLVCVD $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Real euclidean space of dimension 2
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    rrx2px.i $e |- I = { 1 , 2 } $.
    rrx2px.b $e |- P = ( RR ^m I ) $.
    $( The x-coordinate of a point in a real Euclidean space of dimension 2 is
       a real number.  (Contributed by AV, 2-Feb-2023.) $)
    rrx2pxel $p |- ( X e. P -> ( X ` 1 ) e. RR ) $=
      ( wcel cr c1 id c2 cpr 1ex prid1 eleqtrri a1i mapfvd ) CAFZGBCAHEQIHBFQHH
      JKBHJLMDNOP $.

    $( The y-coordinate of a point in a real Euclidean space of dimension 2 is
       a real number.  (Contributed by AV, 2-Feb-2023.) $)
    rrx2pyel $p |- ( X e. P -> ( X ` 2 ) e. RR ) $=
      ( wcel cr c2 id c1 cpr 2ex prid2 eleqtrri a1i mapfvd ) CAFZGBCAHEQIHBFQHJ
      HKBJHLMDNOP $.
  $}

  ${
    prelrrx2.i $e |- I = { 1 , 2 } $.
    prelrrx2.b $e |- P = ( RR ^m I ) $.
    $( An unordered pair of ordered pairs with first components 1 and 2 and
       real numbers as second components is a point in a real Euclidean space
       of dimension 2.  (Contributed by AV, 4-Feb-2023.) $)
    prelrrx2 $p |- ( ( A e. RR /\ B e. RR )
                     -> { <. 1 , A >. , <. 2 , B >. } e. P ) $=
      ( cr wcel wa c1 cop c2 cpr cmap co wf cvv pm3.2i a1i sylibr wne 1ne2 3jca
      w3a 1ex 2ex id fprg syl prssi fssd wb reex prex elmapg ax-mp oveq2i eqtri
      eleq2i ) AGHBGHIZJAKLBKMZGJLMZNOZHZVACHUTVBGVAPZVDUTVBABMZGVAUTJQHZLQHZIZ
      UTJLUAZUDVBVFVAPUTVIUTVJVIUTVGVHUEUFRSUTUGVJUTUBSUCJLABQQGGUHUIABGUJUKGQH
      ZVBQHZIVDVEULVKVLUMJLUNRGVBVAQQUOUPTCVCVACGDNOVCFDVBGNEUQURUST $.

    $d A x y $.  $d B x y $.  $d X x y $.  $d Y x y $.  $d Z x y $.
    $( An unordered pair of ordered pairs with first components 1 and 2 and
       real numbers as second components is a point in a real Euclidean space
       of dimension 2, determined by its coordinates.  (Contributed by AV,
       7-May-2023.) $)
    prelrrx2b $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( X e. RR /\ Y e. RR ) )
                      -> ( ( Z e. P /\ ( ( ( Z ` 1 ) = A /\ ( Z ` 2 ) = B )
                                      \/ ( ( Z ` 1 ) = X /\ ( Z ` 2 ) = Y ) ) )
                            <-> Z e. { { <. 1 , A >. , <. 2 , B >. } ,
                                       { <. 1 , X >. , <. 2 , Y >. } } ) ) $=
      ( vx cr wcel wa c1 cfv wceq c2 wb eqeq1d adantl vy wo cop cpr cmap eleq2i
      wi co oveq2i bitri wf elmapi wrex wne 1ne2 1ex 2ex fprb ax-mp fveq1 fvpr1
      cv vex eqtrdi fvpr2 anbi12d opeq2 adantr preq12d eqeq2d biimpcd sylbid ex
      rexlimdvva syl5bi syl5 imp orim12d ad2antlr mpbird expl prelrrx2 ad2antrr
      elprg elpri eleq1 cvv simpl a1i fvpr1g mp3an2i simpr fvpr2g jca orcd olcd
      jaod impbid ) AKLZBKLZMZEKLZFKLZMZMZGCLZNGOZAPZQGOZBPZMZXGEPZXIFPZMZUBZMZ
      GNAUCZQBUCZUDZNEUCZQFUCZUDZUDLZXEXFXOYCXEXFMZXOMYCGXSPZGYBPZUBZYDXOYGYDXK
      YEXNYFXEXFXKYEUGZXFGKNQUDZUEUHZLZXEYHXFGKDUEUHZLYKCYLGIUFYLYJGDYIKUEHUIUF
      UJZYKYIKGUKZXEYHGKYIULZYNGNJVBZUCZQUAVBZUCZUDZPZUAKUMJKUMZXEYHNQUNZYNUUBR
      UOJUANQKGUPUQURUSZXEUUAYHJUAKKXEYPKLYRKLMMZUUAYHUUEUUAMZXKYPAPZYRBPZMZYEU
      UAXKUUIRUUEUUAXHUUGXJUUHUUAXGYPAUUAXGNYTOZYPNGYTUTUUCUUJYPPUONQYPYRUPJVCV
      AUSVDZSUUAXIYRBUUAXIQYTOZYRQGYTUTUUCUULYRPUONQYPYRUQUAVCVEUSVDZSVFTUUAUUI
      YEUGUUEUUIUUAYEUUIYTXSGUUIYQXQYSXRUUGYQXQPUUHYPANVGVHUUHYSXRPUUGYRBQVGTVI
      VJVKTVLVMVNVOVPVOVQXEXFXNYFUGZXFYKXEUUNYMYKYNXEUUNYOYNUUBXEUUNUUDXEUUAUUN
      JUAKKUUEUUAUUNUUFXNYPEPZYRFPZMZYFUUAXNUUQRUUEUUAXLUUOXMUUPUUAXGYPEUUKSUUA
      XIYRFUUMSVFTUUAUUQYFUGUUEUUQUUAYFUUQYTYBGUUQYQXTYSYAUUOYQXTPUUPYPENVGVHUU
      PYSYAPUUOYRFQVGTVIVJVKTVLVMVNVOVPVOVQVRVQXFYCYGRXEXOGXSYBCWDVSVTWAYCYGXEX
      PGXSYBWEXEYEXPYFXEYEXPXEYEMZXFXOUURXFXSCLZXAUUSXDYEABCDHIWBWCYEXFUUSRXEGX
      SCWFTVTUURXKXNUURXKNXSOZAPZQXSOZBPZMZXAUVDXDYEXAUVAUVCNWGLZXAWSUUCUVAUPWS
      WTWHUUCXAUOWIZNQABWGKWJWKQWGLZXAWTUUCUVCUQWSWTWLUVFNQABWGKWMWKWNWCYEXKUVD
      RXEYEXHUVAXJUVCYEXGUUTANGXSUTSYEXIUVBBQGXSUTSVFTVTWOWNVMXEYFXPXEYFMZXFXOU
      VHXFYBCLZXDUVIXAYFEFCDHIWBVSYFXFUVIRXEGYBCWFTVTUVHXNXKUVHXNNYBOZEPZQYBOZF
      PZMZXDUVNXAYFXDUVKUVMUVEXDXBUUCUVKUPXBXCWHUUCXDUOWIZNQEFWGKWJWKUVGXDXCUUC
      UVMUQXBXCWLUVONQEFWGKWMWKWNVSYFXNUVNRXEYFXLUVKXMUVMYFXGUVJENGYBUTSYFXIUVL
      FQGYBUTSVFTVTWPWNVMWQVPWR $.
  $}

  ${
    $d I i $.  $d X i $.  $d Y i $.
    rrx2pnecoorneor.i $e |- I = { 1 , 2 } $.
    rrx2pnecoorneor.b $e |- P = ( RR ^m I ) $.
    $( If two different points ` X ` and ` Y ` in a real Euclidean space of
       dimension 2 are different, then they are different at least at one
       coordinate.  (Contributed by AV, 26-Feb-2023.) $)
    rrx2pnecoorneor $p |- ( ( X e. P /\ Y e. P /\ X =/= Y )
                 -> ( ( X ` 1 ) =/= ( Y ` 1 ) \/ ( X ` 2 ) =/= ( Y ` 2 ) ) ) $=
      ( vi wcel wne c1 cfv wceq c2 wa wral fveq2 eqeq12d sylibr wfn cr wn wo cv
      w3a simpr cpr raleqi 1ex 2ex ralpr bitri wb cmap co elmapfn eleq2s adantr
      anim12i eqfnfv syl mpbird ex necon3ad 3impia neorian ) CAHZDAHZCDIZUDJCKZ
      JDKZLZMCKZMDKZLZNZUAZVIVJIVLVMIUBVFVGVHVPVFVGNZVOCDVQVOCDLZVQVONZVRGUCZCK
      ZVTDKZLZGBOZVSVOWDVQVOUEWDWCGJMUFZOVOWCGBWEEUGWCVKVNGJMUHUIVTJLWAVIWBVJVT
      JCPVTJDPQVTMLWAVLWBVMVTMCPVTMDPQUJUKRVSCBSZDBSZNZVRWDULVQWHVOVFWFVGWGWFCT
      BUMUNZACTBUOFUPWGDWIADTBUOFUPURUQGBCDUSUTVAVBVCVDVIVJVLVMVER $.

    rrx2pnedifcoorneor.a $e |- A = ( ( Y ` 1 ) - ( X ` 1 ) ) $.
    ${
      rrx2pnedifcoorneor.b $e |- B = ( ( Y ` 2 ) - ( X ` 2 ) ) $.
      $( If two different points ` X ` and ` Y ` in a real Euclidean space of
         dimension 2 are different, then at least one difference of two
         corresponding coordinates is not 0.  (Contributed by AV,
         26-Feb-2023.) $)
      rrx2pnedifcoorneor $p |- ( ( X e. P /\ Y e. P /\ X =/= Y )
                                 -> ( A =/= 0 \/ B =/= 0 ) ) $=
        ( wcel wne cc0 wo c1 cfv wb cc wceq recnd c2 rrx2pnecoorneor cmin co wa
        neeq1i orbi12i rrx2pxel subeq0 syl2anr necon3bid rrx2pyel orbi12d necom
        w3a bitrdi syl5bb 3adant3 mpbird ) ECKZFCKZEFLZUOAMLZBMLZNZOEPZOFPZLZUA
        EPZUAFPZLZNZCDEFGHUBUTVAVEVLQVBVEVGVFUCUDZMLZVJVIUCUDZMLZNZUTVAUEZVLVCV
        NVDVPAVMMIUFBVOMJUFUGVRVQVGVFLZVJVILZNVLVRVNVSVPVTVRVMMVGVFVAVGRKVFRKVM
        MSVGVFSQUTVAVGCDFGHUHTUTVFCDEGHUHTVGVFUIUJUKVRVOMVJVIVAVJRKVIRKVOMSVJVI
        SQUTVAVJCDFGHULTUTVICDEGHULTVJVIUIUJUKUMVSVHVTVKVGVFUNVJVIUNUGUPUQURUS
        $.
    $}

    rrx2pnedifcoorneorr.b $e |- B = ( ( X ` 2 ) - ( Y ` 2 ) ) $.
    $( If two different points ` X ` and ` Y ` in a real Euclidean space of
       dimension 2 are different, then at least one difference of two
       corresponding coordinates is not 0.  (Contributed by AV,
       26-Feb-2023.) $)
    rrx2pnedifcoorneorr $p |- ( ( X e. P /\ Y e. P /\ X =/= Y )
                                -> ( A =/= 0 \/ B =/= 0 ) ) $=
      ( wcel wne cc0 c2 cfv cmin co wceq wb wa wo eqid rrx2pnedifcoorneor eqcom
      w3a a1i cc rrx2pyel recnd anim12i ancomd 3adant3 subeq0 syl eqcomi eqeq1i
      3bitr4d bitrdi necon3bid orbi2d mpbid ) ECKZFCKZEFLZUEZAMLZNFOZNEOZPQZMLZ
      UAVFBMLZUAAVICDEFGHIVIUBUCVEVJVKVFVEVIMBMVEVIMRZVHVGPQZMRZBMRVEVGVHRZVHVG
      RZVLVNVOVPSVEVGVHUDUFVEVGUGKZVHUGKZTZVLVOSVBVCVSVDVBVCTVRVQVBVRVCVQVBVHCD
      EGHUHUIVCVGCDFGHUHUIUJZUKULVGVHUMUNVEVRVQTZVNVPSVBVCWAVDVTULVHVGUMUNUQVMB
      MBVMJUOUPURUSUTVA $.
  $}

  ${
    rrx2xpreen.r $e |- R = ( RR ^m { 1 , 2 } ) $.
    ${
      $d u v w x y z $.  $d F u v w z $.  $d R w z $.
      rrx2xpref1o.1 $e |- F = ( x e. RR , y e. RR
                                |-> { <. 1 , x >. , <. 2 , y >. } ) $.
      $( There is a bijection between the set of ordered pairs of real numbers
         (the cartesian product of the real numbers) and the set of points in
         the two dimensional Euclidean plane (represented as mappings from
         ` { 1 , 2 } ` to the real numbers).  (Contributed by AV,
         12-Mar-2023.) $)
      rrx2xpref1o $p |- F : ( RR X. RR ) -1-1-onto-> R $=
        ( vz vw vu vv cr cfv wceq wcel c1 cop c2 cpr opeq2 wa cxp wf1 wfo wf cv
        wf1o weq wi wral wfn prex fnmpoi c1st c2nd 1st2nd2 fveq2d df-ov eqtr4di
        co xp1st xp2nd preq1d preq2d ovmpo syl2anc eqtrd prelrrx2 eqeltrd ffnfv
        eqid rgen mpbir2an wo opex preq12b 1ex fvex simprbi 2ex anim12i a1d wne
        opth 1ne2 eqneqall mpi ad2antrr syl2anb jaoi sylbi com12 bitrdi 3imtr4d
        eqeqan12d rgen2 dff13 wrex w3a cmap eleq2i elmap wb 1re 2re fpr2g mp2an
        reex 3bitri eqeq2d rspc2ev 2rexbiia sylibr fveq2 rexxp dffo3 df-f1o ) K
        KUAZCDUFXQCDUBZXQCDUCZXRXQCDUDZGUEZDLZHUEZDLZMZGHUGZUHZHXQUIGXQUIXTDXQU
        JYBCNZGXQUIABKKOAUEZPZQBUEZPZRZDFYJYLUKULYHGXQYAXQNZYBOYAUMLZPZQYAUNLZP
        ZRZCYNYBYOYQDUSZYSYNYBYOYQPZDLYTYNYAUUADYAKKUOZUPYOYQDUQURYNYOKNZYQKNZY
        TYSMYAKKUTZYAKKVAZABYOYQKKYMYSDYPYLRYIYOMYJYPYLYIYOOSVBYKYQMYLYRYPYKYQQ
        SVCFYPYRUKVDVEVFZYNUUCUUDYSCNUUEUUFYOYQCOQRZUUHVJEVGVEVHVKGXQCDVIVLZYGG
        HXQXQYNYCXQNZTZYSOYCUMLZPZQYCUNLZPZRZMZYOUULMZYQUUNMZTZYEYFUUQUUKUUTUUQ
        YPUUMMZYRUUOMZTZYPUUOMZYRUUMMZTZVMUUKUUTUHZYPYRUUMUUOOYOVNQYQVNOUULVNQU
        UNVNVOUVCUVGUVFUVCUUTUUKUVAUURUVBUUSUVAOOMUUROYOOUULVPYAUMVQZWCVRUVBQQM
        UUSQYQQUUNVSYAUNVQZWCVRVTWAUVDOQMZYOUUNMZTQOMYQUULMTZUVGUVEOYOQUUNVPUVH
        WCQYQOUULVSUVIWCUVJUVGUVKUVLUVJOQWBUVGWDUVGOQWEWFWGWHWIWJWKYNUUJYBYSYDU
        UPUUGUUJYDUULUUNDUSZUUPUUJYDUULUUNPZDLUVMUUJYCUVNDYCKKUOZUPUULUUNDUQURU
        UJUULKNUUNKNUVMUUPMYCKKUTYCKKVAABUULUUNKKYMUUPDUUMYLRYIUULMYJUUMYLYIUUL
        OSVBYKUUNMYLUUOUUMYKUUNQSVCFUUMUUOUKVDVEVFWNUUKYFUUAUVNMUUTYNUUJYAUUAYC
        UVNUUBUVOWNYOYQUULUUNUVHUVIWCWLWMWOGHXQCDWPVLXSXTYCYBMZGXQWQZHCUIUUIUVQ
        HCYCCNZYCIUEZJUEZDUSZMZJKWQIKWQZUVQUVRYCOUVSPZQUVTPZRZMZJKWQIKWQZUWCUVR
        OYCLZKNQYCLZKNYCOUWIPZQUWJPZRZMZWRZUWHUVRYCKUUHWSUSZNUUHKYCUDZUWOCUWPYC
        EWTKUUHYCXGOQUKXAOKNQKNUWQUWOXBXCXDOQKYCKKXEXFXHUWGUWNYCUWKUWERZMIJUWIU
        WJKKUVSUWIMZUWFUWRYCUWSUWDUWKUWEUVSUWIOSVBXIUVTUWJMZUWRUWMYCUWTUWEUWLUW
        KUVTUWJQSVCXIXJWJUWBUWGIJKKUVSKNUVTKNTUWAUWFYCABUVSUVTKKYMUWFDUWDYLRAIU
        GYJUWDYLYIUVSOSVBBJUGYLUWEUWDYKUVTQSVCFUWDUWEUKVDXIXKXLUVPUWBGIJKKYAUVS
        UVTPZMZYBUWAYCUXBYBUXADLUWAYAUXADXMUVSUVTDUQURXIXNXLVKGHXQCDXOVLXQCDXPV
        L $.
    $}

    $d R f $.  $d f x y $.
    $( The set of points in the two dimensional Euclidean plane and the set of
       ordered pairs of real numbers (the cartesian product of the real
       numbers) are equinumerous.  (Contributed by AV, 12-Mar-2023.) $)
    rrx2xpreen $p |- R ~~ ( RR X. RR ) $=
      ( vf vx vy cr cxp cen wbr cv wf1o wex c1 cop cpr cmpo reex mpoex f1oeq1
      c2 eqid rrx2xpref1o ceqsexv2d bren mpbir ensymi ) FFGZAUGAHIUGACJZKZCLUIU
      GADEFFMDJNTEJNOZPZKCUKDEFFUJQQRUGAUHUKSDEAUKBUKUAUBUCUGACUDUEUF $.
  $}

  ${
    $d R x y $.  $d X x y $.  $d Y x y $.
    rrx2plord.o $e |- O = { <. x , y >. | ( ( x e. R /\ y e. R ) /\
               ( ( x ` 1 ) < ( y ` 1 ) \/ ( ( x ` 1 ) = ( y ` 1 )
                                            /\ ( x ` 2 ) < ( y ` 2 ) ) ) ) } $.
    $( The lexicographical ordering for points in the two dimensional Euclidean
       plane: a point is less than another point iff its first coordinate is
       less than the first coordinate of the other point, or the first
       coordinates of both points are equal and the second coordinate of the
       first point is less than the second coordinate of the other point:
       ` <. a , b >. <_ <. x , y >. ` iff
       ` ( a < x \/ ( a = x /\ b <_ y ) ) ` .  (Contributed by AV,
       12-Mar-2023.) $)
    rrx2plord $p |- ( ( X e. R /\ Y e. R )
                      -> ( X O Y <-> ( ( X ` 1 ) < ( Y ` 1 )
                                       \/ ( ( X ` 1 ) = ( Y ` 1 )
                                            /\ ( X ` 2 ) < ( Y ` 2 ) ) ) ) ) $=
      ( wbr cop cv wcel wa c1 cfv clt wceq c2 wo fveq1 breqan12d eleq2i anbi12d
      copab df-br bitri eqeqan12d orbi12d opelopab2a syl5bb ) EFDHZEFIZAJZCKBJZ
      CKLMULNZMUMNZOHZUNUOPZQULNZQUMNZOHZLZRZLABUCZKZECKFCKLMENZMFNZOHZVEVFPZQE
      NZQFNZOHZLZRZUJUKDKVDEFDUDDVCUKGUAUEVBVMABEFCCULEPZUMFPZLZUPVGVAVLVNVOUNV
      EUOVFOMULESZMUMFSZTVPUQVHUTVKVNVOUNVEUOVFVQVRUFVNVOURVIUSVJOQULESQUMFSTUB
      UGUHUI $.

    $( The lexicographical ordering for points in the two dimensional Euclidean
       plane: a point is less than another point if its first coordinate is
       less than the first coordinate of the other point.  (Contributed by AV,
       12-Mar-2023.) $)
    rrx2plord1 $p |- ( ( X e. R /\ Y e. R /\ ( X ` 1 ) < ( Y ` 1 ) )
                       -> X O Y ) $=
      ( wcel c1 cfv clt wbr w3a wceq c2 wa wo simp3 orcd wb rrx2plord 3adant3
      mpbird ) ECHZFCHZIEJZIFJZKLZMZEFDLZUHUFUGNOEJOFJKLPZQZUIUHUKUDUEUHRSUDUEU
      JULTUHABCDEFGUAUBUC $.

    rrx2plord2.r $e |- R = ( RR ^m { 1 , 2 } ) $.
    $( The lexicographical ordering for points in the two dimensional Euclidean
       plane: if the first coordinates of two points are equal, a point is less
       than another point iff the second coordinate of the point is less than
       the second coordinate of the other point.  (Contributed by AV,
       12-Mar-2023.) $)
    rrx2plord2 $p |- ( ( X e. R /\ Y e. R /\ ( X ` 1 ) = ( Y ` 1 ) )
                       -> ( X O Y <-> ( X ` 2 ) < ( Y ` 2 ) ) ) $=
      ( wcel c1 cfv wceq w3a wbr clt c2 wa wi ex com12 wo rrx2plord 3adant3 wne
      wb cr cpr eqid rrx2pxel adantr ltne necomd sylan eqneqall syl9 3impia a1d
      simpr jaoi olc 3ad2ant3 impbid bitrd ) ECIZFCIZJEKZJFKZLZMZEFDNZVFVGONZVH
      PEKPFKONZQZUAZVLVDVEVJVNUEVHABCDEFGUBUCVIVNVLVNVIVLVKVIVLRVMVIVKVLVDVEVHV
      KVLRVDVEQZVKVFVGUDZVHVLVOVKVPVOVFUFIZVKVPVDVQVECJPUGZEVRUHHUIUJVQVKQVGVFV
      FVGUKULUMSVLVFVGUNUOUPTVMVLVIVHVLURUQUSTVHVDVLVNRVEVHVLVNVMVKUTSVAVBVC $.

    ${
      $d O a b c d e f $.  $d R a b x y $.  $d c d e f x y $.
      rrx2plordisom.f $e |- F = ( x e. RR , y e. RR
                                  |-> { <. 1 , x >. , <. 2 , y >. } ) $.
      rrx2plordisom.t $e |- T = { <. x , y >. |
                                ( ( x e. ( RR X. RR ) /\ y e. ( RR X. RR ) )
                                  /\ ( ( 1st ` x ) < ( 1st ` y ) \/
                                     ( ( 1st ` x ) = ( 1st ` y )
                                       /\ ( 2nd ` x ) < ( 2nd ` y ) ) ) ) } $.
      $( The set of points in the two dimensional Euclidean plane with the
         lexicographical ordering is isomorphic to the cartesian product of the
         real numbers with the lexicographical ordering implied by the ordering
         of the real numbers.  (Contributed by AV, 12-Mar-2023.) $)
      rrx2plordisom $p |- F Isom T , O ( ( RR X. RR ) , R ) $=
        ( cr c1 cop c2 wcel wa cfv clt wbr wceq va vb vc vd ve vf cxp wiso cmpo
        cv cpr c1st c2nd wo copab wf1o wb wral eqid rrx2xpref1o wex elxpi df-br
        wi opelxpi adantl eleq1 adantr mpbird fveq2 breqan12d eqeqan12d anbi12d
        orbi12d opelopab2a syl2an syl5bb wne 1ne2 1ex vex fvpr1 breq12d eqeq12d
        mp1i 2ex fvpr2 prelrrx2 rrx2plord op1std op2ndd 3bitr4rd co eqtr4di cvv
        df-ov eqidd opeq2 preq12d simpl simpr a1i ovmpod sylan9eq eqcomd 3bitrd
        prex expcom exlimivv com12 imp rgen2 mpbir2an isoeq2 ax-mp mpbir isoeq1
        df-isom ) KKUGZCDFEUHZXSCDFABKKLAUJZMZNBUJZMZUKZUIZUHZYGXSCYAXSOYCXSOPY
        AULQZYCULQZRSZYHYITZYAUMQZYCUMQZRSZPZUNZPABUOZFYFUHZYRXSCYFUPUAUJZUBUJZ
        YQSZYSYFQZYTYFQZFSZUQZUBXSURUAXSURABCYFHYFUSUTUUEUAUBXSXSYSXSOZYSUCUJZU
        DUJZMZTZUUGKOZUUHKOZPZPZUDVAUCVAZYTUEUJZUFUJZMZTZUUPKOZUUQKOZPZPZUFVAUE
        VAZUUEYTXSOZUCUDYSKKVBUEUFYTKKVBUUOUVDUUEUUNUVDUUEVDUCUDUVDUUNUUEUVCUUN
        UUEVDUEUFUUNUVCUUEUUNUVCPZUUAYSULQZYTULQZRSZUVGUVHTZYSUMQZYTUMQZRSZPZUN
        ZLUUGMZNUUHMZUKZLUUPMZNUUQMZUKZFSZUUDUUAYSYTMYQOZUVFUVOYSYTYQVCUUNUUFUV
        EUWCUVOUQUVCUUNUUFUUIXSOZUUMUWDUUJUUGUUHKKVEVFUUJUUFUWDUQUUMYSUUIXSVGVH
        VIUVCUVEUURXSOZUVBUWEUUSUUPUUQKKVEVFUUSUVEUWEUQUVBYTUURXSVGVHVIYPUVOABY
        SYTXSXSYAYSTZYCYTTZPZYJUVIYOUVNUWFUWGYHUVGYIUVHRYAYSULVJZYCYTULVJZVKUWH
        YKUVJYNUVMUWFUWGYHUVGYIUVHUWIUWJVLUWFUWGYLUVKYMUVLRYAYSUMVJYCYTUMVJVKVM
        VNVOVPVQUVFLUVRQZLUWAQZRSZUWKUWLTZNUVRQZNUWAQZRSZPZUNZUUGUUPRSZUUGUUPTZ
        UUHUUQRSZPZUNUWBUVOUVFUWMUWTUWRUXCUVFUWKUUGUWLUUPRLNVRZUWKUUGTUVFVSLNUU
        GUUHVTUCWAZWBWEZUXDUWLUUPTUVFVSLNUUPUUQVTUEWAZWBWEZWCUVFUWNUXAUWQUXBUVF
        UWKUUGUWLUUPUXFUXHWDUVFUWOUUHUWPUUQRUXDUWOUUHTUVFVSLNUUGUUHWFUDWAZWGWEU
        XDUWPUUQTUVFVSLNUUPUUQWFUFWAZWGWEWCVMVNUUNUVRCOZUWACOZUWBUWSUQUVCUUMUXK
        UUJUUGUUHCLNUKZUXMUSZHWHVFUVBUXLUUSUUPUUQCUXMUXNHWHVFABCFUVRUWAGWIVPUVF
        UVIUWTUVNUXCUUNUVCUVGUUGUVHUUPRUUJUVGUUGTUUMUUGUUHYSUXEUXIWJVHZUUSUVHUU
        PTUVBUUPUUQYTUXGUXJWJVHZVKUVFUVJUXAUVMUXBUUNUVCUVGUUGUVHUUPUXOUXPVLUUNU
        VCUVKUUHUVLUUQRUUJUVKUUHTUUMUUGUUHYSUXEUXIWKVHUUSUVLUUQTUVBUUPUUQYTUXGU
        XJWKVHVKVMVNWLUUNUVCUVRUUBUWAUUCFUUNUUBUVRUUJUUMUUBUUGUUHYFWMZUVRUUJUUB
        UUIYFQUXQYSUUIYFVJUUGUUHYFWPWNUUMABUUGUUHKKYEUVRYFWOUUMYFWQYAUUGTZYCUUH
        TZPZYEUVRTUUMUXTYBUVPYDUVQUXRYBUVPTUXSYAUUGLWRVHUXSYDUVQTUXRYCUUHNWRVFW
        SVFUUKUULWTUUKUULXAUVRWOOUUMUVPUVQXGXBXCXDXEUVCUUCUWAUUSUVBUUCUUPUUQYFW
        MZUWAUUSUUCUURYFQUYAYTUURYFVJUUPUUQYFWPWNUVBABUUPUUQKKYEUWAYFWOUVBYFWQY
        AUUPTZYCUUQTZPZYEUWATUVBUYDYBUVSYDUVTUYBYBUVSTUYCYAUUPLWRVHUYCYDUVTTUYB
        YCUUQNWRVFWSVFUUTUVAWTUUTUVAXAUWAWOOUVBUVSUVTXGXBXCXDXEVKXFXHXIXJXIXKVP
        XLUAUBXSCYQFYFXRXMDYQTYGYRUQJXSCDFYQYFXNXOXPEYFTXTYGUQIXSCDFYFEXQXOXP
        $.
    $}

    $( The lexicographical ordering for points in the two dimensional Euclidean
       plane is a strict total ordering.  (Contributed by AV, 12-Mar-2023.) $)
    rrx2plordso $p |- O Or R $=
      ( cr cxp cv wcel wa c1st cfv clt wbr c2nd wor ltso eqid cop wceq wo copab
      soxp mp2an c1 c2 cpr cmpo wiso wb rrx2plordisom isoso ax-mp mpbi ) GGHZAI
      ZUPJBIZUPJKUQLMZURLMZNOUSUTUAUQPMURPMNOKUBKABUCZQZCDQZGNQZVDVBRRABGGNNVAV
      ASZUDUEUPCVADABGGUFUQTUGURTUHUIZUJVBVCUKABCVAVFDEFVFSVEULUPCVADVFUMUNUO
      $.
  $}

  ${
    ehl2eudisval0.e $e |- E = ( EEhil ` 2 ) $.
    ehl2eudisval0.x $e |- X = ( RR ^m { 1 , 2 } ) $.
    ehl2eudisval0.d $e |- D = ( dist ` E ) $.
    ehl2eudisval0.0 $e |- .0. = ( { 1 , 2 } X. { 0 } ) $.
    $( The Euclidean distance of a point to the origin in a real Euclidean
       space of dimension 2.  (Contributed by AV, 26-Feb-2023.) $)
    ehl2eudisval0 $p |- ( F e. X -> ( F D .0. ) = ( sqrt ` ( ( ( F ` 1 ) ^ 2 )
                                                   + ( ( F ` 2 ) ^ 2 ) ) ) ) $=
      ( wcel co c1 cfv cmin c2 cexp caddc wceq cvv cc0 prex rrx0el ehl2eudisval
      csqrt cpr mp1i mpdan cop csn cxp 1ex c0ex xpprsng mp3an eqtri fveq1i 1ne2
      2ex wne fvpr1 ax-mp oveq2d eqid rrx2pxel recnd subid1d eqtrd oveq1d fvpr2
      a1i syl5eq rrx2pyel oveq12d fveq2d ) CDJZCEAKZLCMZLEMZNKZOPKZOCMZOEMZNKZO
      PKZQKZUDMZVQOPKZWAOPKZQKZUDMVOEDJZVPWFRLOUEZSJWJVOLOUADWKSEIGUBUFABCEDFGH
      UCUGVOWEWIUDVOVTWGWDWHQVOVSVQOPVOVSVQTNKVQVOVRTVQNVRTRVOVRLLTUHOTUHUEZMZT
      LEWLEWKTUIUJZWLILSJOSJTSJWNWLRUKURULLOTSSSUMUNUOZUPLOUSZWMTRUQLOTTUKULUTV
      AUOVJVBVOVQVOVQDWKCWKVCZGVDVEVFVGVHVOWCWAOPVOWCWATNKWAVOWBTWANVOWBOWLMZTO
      EWLWOUPWPWRTRVOUQLOTTURULVIUFVKVBVOWAVOWADWKCWQGVLVEVFVGVHVMVNVG $.

    $( An upper bound of the Euclidean distance of a point to the origin in a
       real Euclidean space of dimension 2.  (Contributed by AV,
       9-May-2023.) $)
    ehl2eudis0lt $p |- ( ( F e. X /\ R e. RR+ ) -> ( ( F D .0. ) < R
               <-> ( ( ( F ` 1 ) ^ 2 ) + ( ( F ` 2 ) ^ 2 ) ) < ( R ^ 2 ) ) ) $=
      ( wcel wa co clt wbr c2 cexp cr cc0 cle crp cfv caddc csqrt ehl2eudisval0
      c1 wceq adantr breq1d wb eqid rrx2pxel rrx2pyel resum2sqcl syl2anc resqcl
      cpr anim12i sqge0 addge0 resqrtcld sqrtge0d rprege0 lt2sq syl2an resqrtth
      jca syl 3bitrd ) DEKZBUAKZLZDFAMZBNOUFDUBZPQMZPDUBZPQMZUCMZUDUBZBNOZVSPQM
      ZBPQMZNOZVRWBNOVLVMVSBNVJVMVSUGVKACDEFGHIJUEUHUIVJVSRKZSVSTOZLBRKSBTOLVTW
      CUJVKVJWDWEVJVRVJVNRKZVPRKZVRRKZEUFPUQZDWIUKZHULZEWIDWJHUMZVNVPVRVRUKUNUO
      ZVJWFWGSVRTOZWKWLWFWGLVORKZVQRKZLSVOTOZSVQTOZLWNWFWOWGWPVNUPVPUPURWFWQWGW
      RVNUSVPUSURVOVQUTUOUOZVAVJVRWMWSVBVGBVCVSBVDVEVLWAVRWBNVLWHWNLZWAVRUGVJWT
      VKVJWHWNWMWSVGUHVRVFVHUIVI $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Spheres and lines in real Euclidean spaces
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c LineM Sphere $.

  $( Declare the syntax for lines in generalized real Euclidean spaces. $)
  cline $a class LineM $.

  $( Declare the syntax for spheres in generalized real Euclidean spaces. $)
  csph $a class Sphere $.

  ${
    $d p t w x y $.
    $( Definition of lines passing through two different points in a left
       module (or any extended structure having a base set, an addition, and a
       scalar multiplication).  (Contributed by AV, 14-Jan-2023.) $)
    df-line $a |- LineM = ( w e. _V |-> ( x e. ( Base ` w ) ,
                                         y e. ( ( Base ` w ) \ { x } )
                    |-> { p e. ( Base ` w ) | E. t e. ( Base ` ( Scalar ` w ) )
                          p = ( ( ( ( 1r ` ( Scalar ` w ) )
                                    ( -g ` ( Scalar ` w ) ) t ) ( .s ` w ) x )
                                ( +g ` w ) ( t ( .s ` w ) y ) ) } ) ) $.
  $}

  ${
    $d p r w x $.
    $( Definition of spheres for given centers and radii in a metric space (or
       more generally, in a distance space, see ~ distspace , or even in any
       extended structure having a base set and a distance function into the
       real numbers.  (Contributed by AV, 14-Jan-2023.) $)
    df-sph $a |- Sphere = ( w e. _V |-> ( x e. ( Base ` w ) ,
                                          r e. ( 0 [,] +oo )
                    |-> { p e. ( Base ` w ) | ( p ( dist ` w ) x ) = r } ) ) $.
  $}

  ${
    $d B p w x y $.  $d K t w $.  $d S t w $.  $d V w $.  $d W p t w x y $.
    $d .1. w $.  $d .- w $.  $d .x. w $.  $d .+ w $.
    lines.b $e |- B = ( Base ` W ) $.
    lines.l $e |- L = ( LineM ` W ) $.
    lines.s $e |- S = ( Scalar ` W ) $.
    lines.k $e |- K = ( Base ` S ) $.
    lines.p $e |- .x. = ( .s ` W ) $.
    lines.a $e |- .+ = ( +g ` W ) $.
    lines.m $e |- .- = ( -g ` S ) $.
    lines.1 $e |- .1. = ( 1r ` S ) $.
    $( The lines passing through two different points in a left module (or any
       extended structure having a base set, an addition, and a scalar
       multiplication).  (Contributed by AV, 14-Jan-2023.) $)
    lines $p |- ( W e. V -> L = ( x e. B , y e. ( B \ { x } )
                   |-> { p e. B | E. t e. K
                         p = ( ( ( .1. .- t ) .x. x ) .+ ( t .x. y ) ) } ) ) $=
      ( vw wcel cline cfv cv csn cdif co wceq wrex crab cmpo cbs csca cur cvsca
      csg cplusg cvv df-line fveq2 syl5eq difeq1d fveq2d fveq2i 2fveq3 oveq123d
      eqtri eqidd oveqd eqeq2d rexeqbidv rabeqbidv mpoeq123dv eqcomd elex fvexi
      eqcoms difexi mpoex a1i fvmptd3 ) MLUDZJMUEUFABDDAUGZUHZUIZNUGZHCUGZKUJZW
      FGUJZWJBUGZGUJZEUJZUKZCIULZNDUMZUNZPWEUCMABUCUGZUOUFZXAWGUIZWIWTUPUFZUQUF
      ZWJXCUSUFZUJZWFWTURUFZUJZWJWMXGUJZWTUTUFZUJZUKZCXCUOUFZULZNXAUMZUNZWSVAUE
      VAABUCCNVBXPWSUKMWTMWTUKZWSXPXQABDWHWRXAXBXOXQDMUOUFXAOMWTUOVCVDZXQDXAWGX
      RVEXQWQXNNDXAXRXQWPXLCIXMXQIFUOUFXMRXQFXCUOXQFMUPUFZXCQMWTUPVCVDVFVDXQWOX
      KWIXQWLXHWNXIEXJXQEMUTUFXJTMWTUTVCVDXQWKXFWFWFGXGXQGMURUFXGSMWTURVCVDZXQH
      XDWJWJKXEXQKXSUSUFZXEKFUSUFYAUAFXSUSQVGVJMWTUSUPVHVDXQHXSUQUFZXDHFUQUFYBU
      BFXSUQQVGVJMWTUQUPVHVDXQWJVKVIXQWFVKVIXQGXGWJWMXTVLVIVMVNVOVPVQVTMLVRWSVA
      UDWEABDWHWRDMUOOVSZDWGYCWAWBWCWDVD $.

    $d K x y $.  $d V x y $.  $d X p t x y $.  $d Y p t x y $.  $d .1. x y $.
    $d .- x y $.  $d .x. x y $.  $d .+ x y $.
    $( The line passing through the two different points ` X ` and ` Y ` in a
       left module (or any extended structure having a base set, an addition,
       and a scalar multiplication).  (Contributed by AV, 14-Jan-2023.) $)
    line $p |- ( ( W e. V /\ ( X e. B /\ Y e. B /\ X =/= Y ) )
             -> ( X L Y ) = { p e. B | E. t e. K p = ( ( ( .1. .- t ) .x. X )
                                                        .+ ( t .x. Y ) ) } ) $=
      ( vx vy wcel wne w3a wa co cv cdif wceq wrex crab cmpo lines oveqd adantr
      csn cvv eqidd oveqan12d eqeq2d rexbidv rabbidv adantl sneq difeq2d simpr1
      oveq2 id necomd anim2i 3adant1 eldifsn sylibr cbs fvexi rabex a1i ovmpodx
      eqtrd ) KJUEZLBUEZMBUEZLMUFZUGZUHZLMHUIZLMUCUDBBUCUJZUSZUKZNUJZFAUJZIUIZW
      JEUIZWNUDUJZEUIZCUIZULZAGUMZNBUNZUOZUIZWMWOLEUIZWNMEUIZCUIZULZAGUMZNBUNZW
      CWIXDULWGWCHXCLMUCUDABCDEFGHIJKNOPQRSTUAUBUPUQURWHUCUDLMBWLXBXJXCBLUSZUKZ
      UTWHXCVAWJLULZWQMULZUHZXBXJULWHXOXAXINBXOWTXHAGXOWSXGWMXMXNWPXEWRXFCWJLWO
      EVJWQMWNEVJVBVCVDVEVFXMWLXLULWHXMWKXKBWJLVGVHVFWCWDWEWFVIWGMXLUEZWCWGWEML
      UFZUHZXPWEWFXRWDWFXQWEWFLMWFVKVLVMVNMBLVOVPVFXJUTUEWHXINBBKVQOVRVSVTWAWB
      $.
  $}

  ${
    $d E p t x y $.  $d I p t x y $.  $d P p $.
    rrxlines.e $e |- E = ( RR^ ` I ) $.
    rrxlines.p $e |- P = ( RR ^m I ) $.
    rrxlines.l $e |- L = ( LineM ` E ) $.
    rrxlines.m $e |- .x. = ( .s ` E ) $.
    rrxlines.a $e |- .+ = ( +g ` E ) $.
    $( Definition of lines passing through two different points in a
       generalized real Euclidean space of finite dimension.  (Contributed by
       AV, 14-Jan-2023.) $)
    rrxlines $p |- ( I e. Fin -> L = ( x e. P , y e. ( P \ { x } )
                      |-> { p e. P | E. t e. RR
                            p = ( ( ( 1 - t ) .x. x ) .+ ( t .x. y ) ) } ) ) $=
      ( cfv co wceq c1 cr cfn wcel cbs cv csn cdif csca cur wrex crab cmpo cmin
      csg cvv crrx fvexi eqid mp1i cmap rrxbasefi eqtr4di difeq1d crefld rrxsca
      lines id fveq2d rebase wa oveq1d adantr oveqd eleq2d 1re resubgval eqcomd
      re1r mpan syl6bi imp 3eqtrd eqeq2d rexeqbidva rabeqbidv mpoeq123dv eqtrd
      ) HUAUBZIABGUCPZWHAUDZUEZUFZJUDZGUGPZUHPZCUDZWMUMPZQZWIFQZWOBUDFQZEQZRZCW
      MUCPZUIZJWHUJZUKZABDDWJUFZWLSWOULQZWIFQZWSEQZRZCTUIZJDUJZUKGUNUBIXERWGGHU
      OKUPABCWHEWMFWNXBIWPUNGJWHUQZMWMUQXBUQNOWPUQWNUQVEURWGABWHWKXDDXFXLWGWHTH
      USQDWGWHGHWGVFKXMUTLVAZWGWHDWJXNVBWGXCXKJWHDXNWGXAXJCXBTWGXBVCUCPTWGWMVCU
      CGHUAKVDZVGVHVAZWGWOXBUBZVIZWTXIWLXRWRXHWSEXRWQXGWIFXRWQSWOWPQZSWOVCUMPZQ
      ZXGWGWQXSRXQWGWNSWOWPWGWNVCUHPSWGWMVCUHXOVGVQVAVJVKWGXSYARXQWGWPXTSWOWGWM
      VCUMXOVGVLVKWGXQYAXGRZWGXQWOTUBZYBWGXBTWOXPVMSTUBZYCYBVNYDYCVIXGYAXTSWOXT
      UQVOVPVRVSVTWAVJVJWBWCWDWEWF $.

    $d P x y $.  $d I x y $.  $d X p t x y $.  $d Y p t x y $.  $d .x. x y $.
    $d .+ x y $.
    $( The line passing through the two different points ` X ` and ` Y ` in a
       generalized real Euclidean space of finite dimension.  (Contributed by
       AV, 14-Jan-2023.) $)
    rrxline $p |- ( ( I e. Fin /\ ( X e. P /\ Y e. P /\ X =/= Y ) )
             -> ( X L Y ) = { p e. P | E. t e. RR
                              p = ( ( ( 1 - t ) .x. X ) .+ ( t .x. Y ) ) } ) $=
      ( vx vy wcel co wceq cfn wne w3a wa cv csn cdif c1 cmin cr wrex crab cmpo
      rrxlines oveqd adantr cvv eqidd simpl oveq2d simpr oveq12d eqeq2d rexbidv
      rabbidv adantl sneq difeq2d simpr1 id necomd anim2i 3adant1 eldifsn ovexi
      sylibr cmap rabex a1i ovmpodx eqtrd ) FUARZHBRZIBRZHIUBZUCZUDZHIGSZHIPQBB
      PUEZUFZUGZJUEZUHAUEZUISZWIDSZWMQUEZDSZCSZTZAUJUKZJBULZUMZSZWLWNHDSZWMIDSZ
      CSZTZAUJUKZJBULZWBWHXCTWFWBGXBHIPQABCDEFGJKLMNOUNUOUPWGPQHIBWKXAXIXBBHUFZ
      UGZUQWGXBURWIHTZWPITZUDZXAXITWGXNWTXHJBXNWSXGAUJXNWRXFWLXNWOXDWQXECXNWIHW
      NDXLXMUSUTXNWPIWMDXLXMVAUTVBVCVDVEVFXLWKXKTWGXLWJXJBWIHVGVHVFWBWCWDWEVIWF
      IXKRZWBWFWDIHUBZUDZXOWDWEXQWCWEXPWDWEHIWEVJVKVLVMIBHVNVPVFXIUQRWGXHJBBUJF
      VQLVOVRVSVTWA $.
  $}

  ${
    $d E p t x y $.  $d I i p t x y $.  $d P i p t $.  $d X i p t $.
    $d Y i p t $.
    rrxlinesc.e $e |- E = ( RR^ ` I ) $.
    rrxlinesc.p $e |- P = ( RR ^m I ) $.
    rrxlinesc.l $e |- L = ( LineM ` E ) $.
    $( Definition of lines passing through two different points in a
       generalized real Euclidean space of finite dimension, expressed by their
       coordinates.  (Contributed by AV, 13-Feb-2023.) $)
    rrxlinesc $p |- ( I e. Fin -> L = ( x e. P , y e. ( P \ { x } )
                   |-> { p e. P | E. t e. RR A. i e. I
                                  ( p ` i ) = ( ( ( 1 - t ) x. ( x ` i ) )
                                                + ( t x. ( y ` i ) ) ) } ) ) $=
      ( wcel cv co cfv wceq cr eqid eleq2d cfn csn cdif c1 cmin cvsca wrex crab
      cplusg cmpo cmul caddc wral rrxlines w3a simpll1 1red simpr resubcld cmap
      wa cbs id rrxbasefi eqtr4id biimpa 3adant3 ad2antrr wi eldifi syl5ib 3imp
      a1d 3ad2ant1 adantr rrxplusgvscavalb rexbidva rabbidva mpoeq3dva eqtrd )
      GUAMZHABDDANZUBZUCZINZUDCNZUEOZWBFUFPZOWFBNZWHOFUIPZOQZCRUGZIDUHZUJABDWDE
      NZWEPWGWNWBPUKOWFWNWIPUKOULOQEGUMZCRUGZIDUHZUJABCDWJWHFGHIJKLWHSZWJSZUNWA
      ABDWDWMWQWAWBDMZWIWDMZUOZWLWPIDXBWEDMZVAZWKWOCRXDWFRMZVAZWGFVBPZWFWJWHEFG
      UAWBWIWEJXGSZWRWAWTXAXCXEUPXFUDWFXFUQXDXEURZUSXBWBXGMZXCXEWAWTXJXAWAWTXJW
      ADXGWBWADRGUTOXGKWAXGFGWAVCJXHVDVEZTVFVGVHXBWIXGMZXCXEWAWTXAXLWAXAXLVIWTX
      AWIDMWAXLWIDWCVJWADXGWIXKTVKVMVLVHXDWEXGMZXEXBXCXMXBDXGWEWAWTDXGQXAXKVNTV
      FVOWSXIVPVQVRVSVT $.

    $( The line passing through the two different points ` X ` and ` Y ` in a
       generalized real Euclidean space of finite dimension, expressed by its
       coordinates.  Remark:  This proof is shorter and requires less distinct
       variables than the proof using ~ rrxlinesc .  (Contributed by AV,
       13-Feb-2023.) $)
    rrxlinec $p |- ( ( I e. Fin /\ ( X e. P /\ Y e. P /\ X =/= Y ) )
          -> ( X L Y ) = { p e. P | E. t e. RR A. i e. I
                                    ( p ` i ) = ( ( ( 1 - t ) x. ( X ` i ) )
                                                  + ( t x. ( Y ` i ) ) ) } ) $=
      ( wcel wa co cv cfv wceq cr eqid cfn wne w3a c1 cmin cvsca wrex crab cmul
      cplusg caddc wral rrxline cbs simplll 1red simpr resubcld wi id rrxbasefi
      eqtr4id eleq2d biimpcd 3ad2ant1 impcom ad2antrr 3ad2ant2 rrxplusgvscavalb
      cmap adantr biimpa rexbidva rabbidva eqtrd ) EUAMZGBMZHBMZGHUBZUCZNZGHFOI
      PZUDAPZUEOZGDUFQZOWCHWEODUJQZORZASUGZIBUHCPZWBQWDWIGQUIOWCWIHQUIOUKORCEUL
      ZASUGZIBUHABWFWEDEFGHIJKLWETZWFTZUMWAWHWKIBWAWBBMZNZWGWJASWOWCSMZNZWDDUNQ
      ZWCWFWECDEUAGHWBJWRTZWLVPVTWNWPUOWQUDWCWQUPWOWPUQZURWAGWRMZWNWPVTVPXAVQVR
      VPXAUSVSVPVQXAVPBWRGVPBSEVJOWRKVPWRDEVPUTJWSVAVBZVCVDVEVFVGWAHWRMZWNWPVTV
      PXCVRVQVPXCUSVSVPVRXCVPBWRHXBVCVDVHVFVGWOWBWRMZWPWAWNXDWABWRWBVPBWRRVTXBV
      KVCVLVKWMWTVIVMVNVO $.
  $}

  ${
    $d N i k l m p t x y $.
    $( Lemma 1 for ~ eenglngeehlnm .  (Contributed by AV, 15-Feb-2023.) $)
    eenglngeehlnmlem1 $p |- ( ( ( N e. NN /\ x e. ( RR ^m ( 1 ... N ) )
                                    /\ y e. ( ( RR ^m ( 1 ... N ) ) \ { x } ) )
                                    /\ p e. ( RR ^m ( 1 ... N ) ) )
       -> ( ( E. k e. ( 0 [,] 1 ) A. i e. ( 1 ... N )
              ( p ` i ) = ( ( ( 1 - k ) x. ( x ` i ) ) + ( k x. ( y ` i ) ) )
           \/ E. l e. ( 0 [,) 1 ) A. i e. ( 1 ... N )
              ( x ` i ) = ( ( ( 1 - l ) x. ( p ` i ) ) + ( l x. ( y ` i ) ) )
           \/ E. m e. ( 0 (,] 1 ) A. i e. ( 1 ... N )
              ( y ` i ) = ( ( ( 1 - m ) x. ( x ` i ) ) + ( m x. ( p ` i ) ) ) )
             -> E. t e. RR A. i e. ( 1 ... N )
                            ( p ` i ) = ( ( ( 1 - t ) x. ( x ` i ) )
                                          + ( t x. ( y ` i ) ) ) ) ) $=
      ( wcel cr c1 co cmin cmul caddc wceq cc0 oveq1d cdiv cn cfz cmap csn cdif
      cv w3a wa cfv wral cicc wrex cico cioc oveq2 oveq1 oveq12d eqeq2d ralbidv
      cbvrexvw wss wi unitssre ssrexv mp1i syl5bi cle wbr clt cxr wb 0re elico2
      cneg 1xr mp2an simp1 1red resubcld 1cnd wne ltne 3adant2 subne0d redivcld
      recnd sylbi ad2antlr renegcld adantl eqcom wf 3ad2ant2 ad2antrr ffvelrnda
      elmapi eldifi 3ad2ant3 mulcld subcld subadd2d bitr4id divsubdird divrec2d
      divmuld div23d eqtrd syl5bb divcld mulneg1d eqcomd oveq2d negsubd subnegd
      syl reccld cc muldivdir syl112anc mulid1d npcand 3eqtr2d 3eqtr3d ralimdva
      biimpd sylbid imp rspcedvd rexlimdva2 0xr 1re 3adant3 rereccld negsubdi2d
      elioc2 gt0ne0 eqtr3d eqeq1d a1i 3bitr3d subaddd divmul2d divdird comraddd
      addcld elioc1 anim1i dividd 3jaod ) GUAJZAUFZKLGUBMZUCMZJZBUFZUUMUUKUDZUE
      JZUGZHUFZUUMJZUHZDUFZUUSUIZLEUFZNMZUVBUUKUIZOMZUVDUVBUUOUIZOMZPMZQZDUULUJ
      ZERLUKMZULZUVCLCUFZNMZUVFOMZUVOUVHOMZPMZQZDUULUJZCKULZUVFLIUFZNMZUVCOMZUW
      CUVHOMZPMZQZDUULUJZIRLUMMZULUVHLFUFZNMZUVFOMZUWKUVCOMZPMZQZDUULUJZFRLUNMZ
      ULUVNUWACUVMULZUVAUWBUVLUWAECUVMUVDUVOQZUVKUVTDUULUWTUVJUVSUVCUWTUVGUVQUV
      IUVRPUWTUVEUVPUVFOUVDUVOLNUOSUVDUVOUVHOUPUQURUSUTUVMKVAUWSUWBVBUVAVCUWACU
      VMKVDVEVFUVAUWIUWBIUWJUVAUWCUWJJZUHZUWIUHZUWAUVCLUWCUWDTMZVNZNMZUVFOMZUXE
      UVHOMZPMZQZDUULUJZCUXEKUXCUXDUXAUXDKJZUVAUWIUXAUWCKJZRUWCVGVHZUWCLVIVHZUG
      ZUXLRKJZLVJJZUXAUXPVKVLVORLUWCVMVPZUXPUWCUWDUXMUXNUXOVQZUXPLUWCUXPVRUXTVS
      UXPLUWCUXPVTUXPUWCUXTWFUXMUXOLUWCWAZUXNUWCLWBWCZWDWEWGWHWIUVOUXEQZUWAUXKV
      KUXCUYCUVTUXJDUULUYCUVSUXIUVCUYCUVQUXGUVRUXHPUYCUVPUXFUVFOUVOUXELNUOSUVOU
      XEUVHOUPUQURUSWJUXBUWIUXKUXBUWHUXJDUULUXBUVBUULJZUHZUWHUVFUWFNMZUWEQZUXJU
      YEUWHUWGUVFQUYGUVFUWGWKUYEUVFUWFUWEUYEUVFUXBUULKUVBUUKUURUULKUUKWLZUUTUXA
      UUNUUJUYHUUQUUKKUULWPWMZWNWOWFZUYEUWCUVHUYEUWCUXAUXMUVAUYDUXAUXPUXMUXSUXT
      WGWHWFZUYEUVHUXBUULKUVBUUOUURUULKUUOWLZUUTUXAUUQUUJUYLUUNUUQUUOUUMJUYLUUO
      UUMUUPWQUUOKUULWPXOWRZWNWOWFZWSZUYEUWDUVCUYELUWCUYEVTZUYKWTZUYEUVCUXBUULK
      UVBUUSUUTUULKUUSWLZUURUXAUUSKUULWPZWHWOWFZWSXAXBUYEUYGUYFUWDTMZUVCQZUXJUY
      EUYGUWEUYFQVUBUYFUWEWKUYEUYFUWDUVCUYEUVFUWFUYJUYOWTUYQUYTUYELUWCUYPUYKUXA
      UYAUVAUYDUXAUXPUYAUXSUYBWGWHWDZXEXBUYEVUBUVCLUWDTMZUVFOMZUXDUVHOMZNMZQZUX
      JVUBUVCVUAQUYEVUHVUAUVCWKUYEVUAVUGUVCUYEVUAUVFUWDTMZUWFUWDTMZNMVUGUYEUVFU
      WFUWDUYJUYOUYQVUCXCUYEVUIVUEVUJVUFNUYEUVFUWDUYJUYQVUCXDUYEUWCUVHUWDUYKUYN
      UYQVUCXFUQXGURXHUYEVUHUXJUYEVUGUXIUVCUYEVUEVUFVNZPMVUEUXHPMVUGUXIUYEVUKUX
      HVUEPUYEUXHVUKUYEUXDUVHUYEUWCUWDUYKUYQVUCXIZUYNXJXKXLUYEVUEVUFUYEVUDUVFUY
      EUWDUYQVUCXPUYJWSUYEUXDUVHVULUYNWSXMUYEVUEUXGUXHPUYEVUDUXFUVFOUYEUXFVUDUY
      EUXFLUXDPMZUWDLOMZUWCPMZUWDTMZVUDUYELUXDUYPVULXNUYELXQJUWCXQJUWDXQJUWDRWA
      VUPVUMQUYPUYKUYQVUCLUWCUWDXRXSUYEVUOLUWDTUYEVUOUWDUWCPMLUYEVUNUWDUWCPUYEU
      WDUYQXTSUYELUWCUYPUYKYAXGSYBXKSSYCURYEYFYFYFYDYGYHYIUVAUWQUWBFUWRUVAUWKUW
      RJZUHZUWQUHZUWAUVCLLUWKTMZNMZUVFOMZVUTUVHOMZPMZQZDUULUJZCVUTKVUQVUTKJZUVA
      UWQVUQUWKKJZRUWKVIVHZUWKLVGVHZUGZVVGRVJJZLKJVUQVVKVKYJYKRLUWKYOVPZVVKUWKV
      VHVVIVVJVQZVVHVVIUWKRWAZVVJUWKYPYLYMWGWHUVOVUTQZUWAVVFVKVUSVVPUVTVVEDUULV
      VPUVSVVDUVCVVPUVQVVBUVRVVCPVVPUVPVVAUVFOUVOVUTLNUOSUVOVUTUVHOUPUQURUSWJVU
      RUWQVVFVURUWPVVEDUULVURUYDUHZUWPUVCVVCUWKUWKTMZVUTNMZUVFOMZPMZQZVVEUWPUWO
      UVHQZVVQVWBUVHUWOWKVVQUVHUWMNMZUWNQUVHUWKLNMZUVFOMZPMZUWNQZVWCVWBVVQVWDVW
      GUWNVVQUVHUWMVNZPMVWDVWGVVQUVHUWMVVQUVHVURUULKUVBUUOUURUYLUUTVUQUYMWNWOWF
      ZVVQUWLUVFVVQLUWKVVQVTZVUQUWKXQJUVAUYDVUQUWKVUQVVKVVHVVMVVNWGWFWHZWTZVVQU
      VFVURUULKUVBUUKUURUYHUUTVUQUYIWNWOWFZWSZXMVVQVWIVWFUVHPVVQUWLVNZUVFOMVWIV
      WFVVQUWLUVFVWMVWNXJVVQVWPVWEUVFOVVQLUWKVWKVWLYNSYQXLYQYRVVQUVHUWMUWNVWJVW
      OVVQUWKUVCVWLVVQUVCVURUULKUVBUUSUUTUYRUURVUQUYSWHWOWFZWSUUAVVQVWGUWKTMZUV
      CQZUVCVWRQZVWHVWBVWSVWTVKVVQVWRUVCWKYSVVQVWGUVCUWKVVQUVHVWFVWJVVQVWEUVFVV
      QUWKLVWLVWKWTZVWNWSZUUEVWQVWLVUQVVOUVAUYDVUQUWKVJJZVVIVVJUGZVVOVVLUXRVUQV
      XDVKYJVORLUWKUUFVPVXDUXQVVIUHZVVOVXCVVIVXEVVJVXCUXQVVIUXQVXCVLYSUUGYLRUWK
      WBXOWGWHZUUBVVQVWRVWAUVCVVQVWRUVHUWKTMZVWFUWKTMZPMVWAVVQUVHVWFUWKVWJVXBVW
      LVXFUUCVVQVXGVVCVXHVVTPVVQUVHUWKVWJVWLVXFXDVVQVXHVWEUWKTMZUVFOMVVTVVQVWEU
      VFUWKVXAVWNVWLVXFXFVVQVXIVVSUVFOVVQUWKLUWKVWLVWKVWLVXFXCSXGUQXGURYTYTXHVV
      QVWBVVEVVQVWAVVDUVCVVQVWAVVCVVBVVQVUTUVHVVQUWKVWLVXFXPZVWJWSVVQVVAUVFVVQL
      VUTVWKVXJWTVWNWSVVQVVTVVBVVCPVVQVVSVVAUVFOVVQVVRLVUTNVVQUWKVWLVXFUUHSSXLU
      UDURYEYFYDYGYHYIUUI $.

    $( Lemma 2 for ~ eenglngeehlnm .  (Contributed by AV, 15-Feb-2023.) $)
    eenglngeehlnmlem2 $p |- ( ( ( N e. NN /\ x e. ( RR ^m ( 1 ... N ) )
                                    /\ y e. ( ( RR ^m ( 1 ... N ) ) \ { x } ) )
                                    /\ p e. ( RR ^m ( 1 ... N ) ) )
    -> ( E. t e. RR A. i e. ( 1 ... N )
                ( p ` i ) = ( ( ( 1 - t ) x. ( x ` i ) ) + ( t x. ( y ` i ) ) )
         -> ( E. k e. ( 0 [,] 1 ) A. i e. ( 1 ... N )
                ( p ` i ) = ( ( ( 1 - k ) x. ( x ` i ) ) + ( k x. ( y ` i ) ) )
             \/ E. l e. ( 0 [,) 1 ) A. i e. ( 1 ... N )
                ( x ` i ) = ( ( ( 1 - l ) x. ( p ` i ) ) + ( l x. ( y ` i ) ) )
             \/ E. m e. ( 0 (,] 1 ) A. i e. ( 1 ... N )
                ( y ` i ) = ( ( ( 1 - m ) x. ( x ` i ) )
                              + ( m x. ( p ` i ) ) ) ) ) ) $=
      ( wcel cr c1 co cmin cmul caddc wceq cc0 cdiv oveq1d cn cfz cmap csn cdif
      cv w3a cfv wral cicc wrex cico cioc w3o clt wbr 0red 1red simpr reorelicc
      wa syl3anc wi cxr 0xr a1i 1xr cc simpl recnd 0lt1 lttrd ltned 1subrec1sub
      wne syl2anc resubcld subne0d redivcld rexrd eqeltrd ad4ant23 cle renegcld
      1cnd cneg mpbird ltled mpbid eqtr4d wb oveq2 oveq1 oveq12d eqeq2d ralbidv
      adantl subcld reccld nncand gt0ne0d eqeq1d subaddd bitrd 3bitrd necon3bid
      bitr3d eqcom divmuld syl5bb eqtrd oveq2d divrec2d necomd eqtr2d biimpd wf
      elmapi adantr ad2antrr ffvelrnda mulcld bitr4id divsubdird divcld negsubd
      negsubdi2d div23d 3eqtrd 3eqtr2d ralimdva imp rspcedvd exp31 com23 simplr
      sylibrd ex recrecd eqcomd sublt0d negelrpd le0neg1d div2negd breqtrrd crp
      divge0d posdifd elrpd rpreccld ltsubrpd elicod gtned subeq0ad sub32d 0cnd
      subidd addid1d mulid1d recid2d mvllmuld syl112anc eqtr3d eqeltrrd divne1d
      subdivcomb2 3ad2ant2 eldifi syl 3ad2ant3 subadd2d divneg2d 3mix2d recgt0d
      3mix1d recgt1i simprr mpdan 3jca pm3.2i elioc2 mp1i gt0ne0 recne0d dividd
      1re syld divnegd mulneg1d addcomd 3mix3d 3jaod mpid rexlimdva ) GUAJZAUFZ
      KLGUBMZUCMZJZBUFZUWRUWPUDZUEJZUGZHUFZUWRJZVAZDUFZUXDUHZLCUFZNMZUXGUWPUHZO
      MZUXIUXGUWTUHZOMZPMZQZDUWQUIZUXHLEUFZNMZUXKOMZUXRUXMOMZPMZQZDUWQUIZERLUJM
      ZUKZUXKLIUFZNMZUXHOMZUYGUXMOMZPMZQZDUWQUIZIRLULMZUKZUXMLFUFZNMZUXKOMZUYPU
      XHOMZPMZQZDUWQUIZFRLUMMZUKZUNZCKUXFUXIKJZVAZUXQUXIRUOUPZUXIUYEJZLUXIUOUPZ
      UNZVUEVUGRKJLKJZVUFVUKVUGUQVUGURUXFVUFUSRLUXIUTVBVUGUXQVUKVUEVCVUGUXQVAZV
      UHVUEVUIVUJVUGUXQVUHVUEVCVUGVUHUXQVUEVUGVUHUXQVUEVUGVUHVAZUXQVAZUYOUYFVUD
      VUOUYMUXKLLLUXJSMZNMZNMZUXHOMZVUQUXMOMZPMZQZDUWQUIZIVUQUYNVUORLVUQRVDJZVU
      OVEVFLVDJVUOVGVFVUFVUHVUQVDJUXFUXQVUFVUHVAZVUQUXIUXILNMZSMZVDVVEUXIVHJZUX
      ILVOVUQVVGQVVEUXIVUFVUHVIZVJZVVEUXILVVIVVEUXIRLVVIVVEUQZVVEURZVUFVUHUSZRL
      UOUPZVVEVKVFZVLZVMZUXIVNVPZVVEVVGVVEUXIVVFVVIVVEUXILVVIVVLVQZVVEUXILVVJVV
      EWEZVVQVRZVSVTWAWBVUFVUHRVUQWCUPUXFUXQVVERUXIWFZVVFWFZSMZVUQWCVVEVWBVWCVV
      EUXIVVIWDVVEVVFVVSVVEVVFRUOUPUXILUOUPZVVPVVEUXILVVIVVLUUAWGUUBVVEUXIRWCUP
      RVWBWCUPVVEUXIRVVIVVKVVMWHVVEUXIVVIUUCWIUUGVVEVUQVVGVWDVVRVVEUXIVVFVVJVVE
      VVFVVSVJZVWAUUDWJUUEWBVUOLVUPVUOURVUOUXJVUFVUHUXJUUFJUXFUXQVVEUXJVVELUXIV
      VLVVIVQVVEVWERUXJUOUPVVPVVEUXILVVIVVLUUHWIUUIWBUUJUUKUULUYGVUQQZUYMVVCWKV
      UOVWGUYLVVBDUWQVWGUYKVVAUXKVWGUYIVUSUYJVUTPVWGUYHVURUXHOUYGVUQLNWLTUYGVUQ
      UXMOWMWNWOWPWQVUNUXQVVCVUNUXPVVBDUWQVUNUXGUWQJZVAZUXPUXHLVURSMZUXKOMZVUQV
      UQLNMZSMZUXMOMZPMZQZVVBVWIUXPVWPVWIUXOVWOUXHVWIUXLVWKUXNVWNPVWIUXJVWJUXKO
      VUFVUHUXJVWJQUXFVWHVVEVURUXJLVVEVURVUPVHVVELVUPVVTVVEUXJVVELUXIVVTVVJWRZV
      VELUXIVVTVVJVVEUXILVVIVVPUUMZVRZWSZWTZVWTWAZVWQVVELVUQVVTVVELVUPVVTVWTWRZ
      VVELVUQVOVVFUXIVOZVVEVXDLRVOVVELVVOXAVVEVVFUXILRVVEVVFUXINMZRQZVVFUXIQZLR
      QZVVEVVFUXIVWFVVJUUNVVEVXFUXIUXINMZLNMZRQRLNMZRQZVXHVVEVXEVXJRVVEUXILUXIV
      VJVVTVVJUUOXBVVEVXJVXKRVVEVXIRLNVVEUXIVVJUUQTXBVVEVXLLRPMZRQVXHVVERLRVVEU
      UPZVVTVXNXCVVEVXMLRVVELVVTUURXBXDXEXGXFWGZVVELVUQVVFUXIVVELVUQQLVVGQZVVFL
      OMZUXIQZVXGVVEVUQVVGLVVRWOVXPVVGLQVVEVXRLVVGXHVVEUXIVVFLVVJVWFVVTVWAXIXJV
      VEVXQVVFUXIVVEVVFVWFUUSZXBXEXFWGZVRZVVEVURUXJOMVUPUXJOMLVVEVURVUPUXJOVXAT
      VVEUXJVWQVWSUUTXKUVAWBTVWIUXIVWMUXMOVUFVUHUXIVWMQUXFVWHVVEVWMVVGVVGLNMZSM
      ZUXIVVEVUQVVGVWLVYBSVVRVVEVUQVVGLNVVRTWNVVEVYCUXIQVYBUXIOMZVVGQVVEVYDLVVF
      SMZUXIOMVVGVVEVYBVYEUXIOVVEUXIVXQNMZVVFSMZVYBVYEVVEVVHLVHJVVFVHJVVFRVOVYG
      VYBQVVJVVTVWFVWAUXILVVFUVFUVBVVEVYFLVVFSVVEVYFUXIVVFNMLVVEVXQVVFUXINVXSXL
      VVEUXILVVJVVTWTXKTUVCTVVEUXIVVFVVJVWFVWAXMWJVVEVVGVYBUXIVVEVUQVVGVHVVRVXC
      UVDZVVEVVGLVYHVVTWRVVJVVEVVGLVYHVVTVVEUXIVVFVVJVWFVWAVVEVVFUXIVXOXNUVEVRX
      IWGXOWBTWNWOXPVWIVVBUXKVUTNMZVUSQZVWPVWIVVBVVAUXKQVYJUXKVVAXHVWIUXKVUTVUS
      VWIUXKVUNUWQKUXGUWPUXFUWQKUWPXQZVUFVUHUXCVYKUXEUWSUWOVYKUXBUWPKUWQXRUVGXS
      ZXTYAVJZVWIVUQUXMVWILVUPVWIWEZVWIUXJVWILUXIVYNVUFVUHVVHUXFVWHVVJWBZWRVWIL
      UXIVYNVYOVUFVUHLUXIVOUXFVWHVWRWBVRWSWRZVWIUXMVUNUWQKUXGUWTUXFUWQKUWTXQZVU
      FVUHUXCVYQUXEUXBUWOVYQUWSUXBUWTUWRJVYQUWTUWRUXAUVHUWTKUWQXRUVIUVJXSZXTYAV
      JZYBZVWIVURUXHVUFVUHVURVHJUXFVWHVXBWBZVWIUXHVUNUWQKUXGUXDUXFUWQKUXDXQZVUF
      VUHUXEWUBUXCUXDKUWQXRWQZXTYAVJZYBUVKYCVYJVUSVYIQZVWIVWPVYIVUSXHVWIVYIVURS
      MZUXHQZWUEVWPVWIVYIVURUXHVWIUXKVUTVYMVYTWRWUAWUDVUFVUHVURRVOUXFVWHVYAWBZX
      IWUGUXHWUFQVWIVWPWUFUXHXHVWIWUFVWOUXHVWIWUFUXKVURSMZVUTVURSMZNMWUIWUJWFZP
      MVWOVWIUXKVUTVURVYMVYTWUAWUHYDVWIWUIWUJVWIUXKVURVYMWUAWUHYEVWIVUTVURVYTWU
      AWUHYEYFVWIWUIVWKWUKVWNPVWIUXKVURVYMWUAWUHXMVWIWUKVUTVURWFZSMVUTVWLSMVWNV
      WIVUTVURVYTWUAWUHUVLVWIWULVWLVUTSVWILVUQVYNVYPYGXLVWIVUQUXMVWLVYPVYSVWIVU
      QLVYPVYNWRVUFVUHVWLRVOUXFVWHVVEVUQLVXCVVTVVELVUQVXTXNVRWBYHYIWNYJWOXJXGXJ
      XDYQYKYLYMUVMYNYOYLVUMVUIVUEVUMVUIVAZUYFUYOVUDWUMUYDUXQEUXIUYEVUMVUIUSUXR
      UXIQZUYDUXQWKWUMWUNUYCUXPDUWQWUNUYBUXOUXHWUNUXTUXLUYAUXNPWUNUXSUXJUXKOUXR
      UXILNWLTUXRUXIUXMOWMWNWOWPWQVUGUXQVUIYPYMUVOYRVUGUXQVUJVUEVCVUGVUJUXQVUEV
      UGVUJUXQVUEVUGVUJVAZUXQVAZVUDUYFUYOWUPVUBUXMLLUXISMZNMZUXKOMZWUQUXHOMZPMZ
      QZDUWQUIZFWUQVUCVUFVUJWUQVUCJZUXFUXQVUFVUJVAZWVDWUQKJZRWUQUOUPZWUQLWCUPZU
      GZWVEWVFWVGWVHWVELUXIWVEURZVUFVUJVIZWVEUXIWVERLUXIWVEUQWVJWVKVVNWVEVKVFVU
      FVUJUSVLZXAVSZWVEUXIWVKWVLUVNWVEWVGWUQLUOUPZVAZWVHUXIUVPWVEWVOVAZWUQLWVEW
      VFWVOWVMXSWVPURWVEWVGWVNUVQWHUVRUVSVVDVULVAWVDWVIWKWVEVVDVULVEUWFUVTRLWUQ
      UWAUWBWGWBUYPWUQQZVUBWVCWKWUPWVQVUAWVBDUWQWVQUYTWVAUXMWVQUYRWUSUYSWUTPWVQ
      UYQWURUXKOUYPWUQLNWLTUYPWUQUXHOWMWNWOWPWQWUOUXQWVCWUOUXPWVBDUWQWUOVWHVAZU
      XPUXHWUQLNMZWUQSMZUXKOMZLWUQSMZUXMOMZPMZQZWVBWVRUXPWWEWVRUXOWWDUXHWVRUXLW
      WAUXNWWCPWVRUXJWVTUXKOWVRWVTWUQWUQSMZWWBNMUXJWVRWUQLWUQWVRUXIWUOVVHVWHWUO
      UXIUXFVUFVUJYPVJZXSZWUOUXIRVOZVWHVUGVUJWWIVUFVUJWWIVCUXFVUFVUJRUXIUOUPZWW
      IVUFVUJWWJWVLYRVUFWWJWWIUXIUWCYRUWGWQYLZXSZWSZWVRWEZWWMWVRUXIWWHWWLUWDZYD
      WVRWWFLWWBUXINWVRWUQWWMWWOUWEWVRUXIWWHWWLYSWNXOTWVRUXIWWBUXMOWUOUXIWWBQVW
      HWUOWWBUXIWUOUXIWWGWWKYSYTXSTWNWOXPWVRWVBUXMWUSNMZWUTQZWWPWUQSMZUXHQZWWEW
      VRWVBWVAUXMQWWQUXMWVAXHWVRUXMWUSWUTWVRUXMWUOUWQKUXGUWTUXFVYQVUFVUJVYRXTYA
      VJZWVRWURUXKWVRLWUQWWNWWMWRZWVRUXKWUOUWQKUXGUWPUXFVYKVUFVUJVYLXTYAVJZYBZW
      VRWUQUXHWWMWVRUXHWUOUWQKUXGUXDUXFWUBVUFVUJWUCXTYAVJZYBXCYCWVRWWQWUTWWPQWW
      SWWPWUTXHWVRWWPWUQUXHWVRUXMWUSWWTWXCWRWWMWXDWWOXIYCWWSUXHWWRQWVRWWEWWRUXH
      XHWVRWWRWWDUXHWVRWWRUXMWUQSMZWUSWUQSMZNMWXEWXFWFZPMZWWDWVRUXMWUSWUQWWTWXC
      WWMWWOYDWVRWXEWXFWVRUXMWUQWWTWWMWWOYEWVRWUSWUQWXCWWMWWOYEYFWVRWXHWXEWWAPM
      WWCWWAPMWWDWVRWXGWWAWXEPWVRWXGWUSWFZWUQSMWURWFZUXKOMZWUQSMZWWAWVRWUSWUQWX
      CWWMWWOUWHWVRWXIWXKWUQSWVRWXKWXIWVRWURUXKWXAWXBUWIYTTWVRWXLWVSUXKOMZWUQSM
      WWAWVRWXKWXMWUQSWVRWXJWVSUXKOWVRLWUQWWNWWMYGTTWVRWVSUXKWUQWVRWUQLWWMWWNWR
      ZWXBWWMWWOYHXKYIXLWVRWXEWWCWWAPWVRUXMWUQWWTWWMWWOXMTWVRWWCWWAWVRWWBUXMWVR
      WUQWWMWWOWSWWTYBWVRWVTUXKWVRWVSWUQWXNWWMWWOYEWXBYBUWJYIYJWOXJXEYQYKYLYMUW
      KYNYOYLUWLYRUWMUWN $.

    $d N i n p t v w x y z $.
    $( The line definition in the Tarski structure for the Euclidean geometry
       (see ~ elntg ) corresponds to the definition of lines passing through
       two different points in a left module (see ~ rrxlines ).  (Contributed
       by AV, 16-Feb-2023.) $)
    eenglngeehlnm $p |- ( N e. NN -> ( LineG ` ( EEG ` N ) )
                                     = ( LineM ` ( EEhil ` N ) ) ) $=
      ( vx vy vi vp vz vv vw vt wcel cfv cv c1 cmin co cmul wceq cr wa eqid cbs
      vn cn ceeng csn cdif caddc cfz wral cc0 cicc wrex cico cioc w3o crab cmpo
      cmap clng cehl cline cee eqcomd oveq2 oveq2d df-ee ovex fvmpt eqtrd ancli
      eengbas jca difeq1 ad2antlr sylan adantr wb simpll eleq2d biimpcd difeq1d
      wi impcom biimpd adantld imp eenglngeehlnmlem1 eenglngeehlnmlem2 syl31anc
      biimpa w3a impbid rabeqbidva mpoeq123dva elntg2 crrx cn0 nnnn0 ehlval syl
      fveq2d cfn fzfid rrxlinesc 3eqtr4d ) AUCJZBCAUDKZUAKZXHBLZUEZUFZDLZELZKZM
      FLZNOXLXIKZPOXOXLCLZKZPOUGOQDMAUHOZUIFUJMUKOULXPMGLZNOXNPOXTXRPOUGOQDXSUI
      GUJMUMOULXRMHLZNOXPPOYAXNPOUGOQDXSUIHUJMUNOULUOZEXHUPZUQBCRXSUROZYDXJUFZX
      NMILZNOXPPOYFXRPOUGOQDXSUIIRULZEYDUPZUQZXGUSKAUTKZVAKZXFBCXHXKYCYDYEYHXFX
      HAVBKZYDXFYLXHAVKVCZUBARMUBLZUHOZUROYDUCVBYNAQYOXSRURYNAMUHVDVEUBVFRXSURV
      GVHVIZXFXFXHYLQZSZXHYDQZSXIXHJZXKYEQZXFYRYSXFYQYMVJYPVLYSUUAYRYTXHYDXJVMV
      NVOXFYTXQXKJZSZSZYBYGEXHYDXFYSUUCYPVPZUUDXMXHJZSXFXIYDJZXQYEJZXMYDJZYBYGV
      QXFUUCUUFVRUUDUUGUUFUUCXFUUGYTXFUUGWBUUBXFYTUUGXFXHYDXIYPVSVTVPWCVPUUDUUH
      UUFXFUUCUUHXFUUBUUHYTXFUUBUUHXFXKYEXQXFXHYDXJYPWAVSWDWEWFVPUUDUUFUUIUUDXH
      YDXMUUEVSWJXFUUGUUHWKUUISYBYGBCIDFHAEGWGBCIDFHAEGWHWLWIWMWNBCXHDFHXSAEGXH
      TXSTWOXFYKXSWPKZVAKZYIXFYJUUJVAXFAWQJYJUUJQAWRYJAYJTWSWTXAXFXSXBJUUKYIQXF
      MAXCBCIYDDUUJXSUUKEUUJTYDTUUKTXDWTVIXE $.
  $}

  ${
    $d E i p t $.  $d I i p t $.  $d P i p t $.  $d X i p t $.  $d Y i p t $.
    rrx2line.i $e |- I = { 1 , 2 } $.
    rrx2line.e $e |- E = ( RR^ ` I ) $.
    rrx2line.b $e |- P = ( RR ^m I ) $.
    rrx2line.l $e |- L = ( LineM ` E ) $.
    $( The line passing through the two different points ` X ` and ` Y ` in a
       real Euclidean space of dimension 2.  (Contributed by AV, 22-Jan-2023.)
       (Proof shortened by AV, 13-Feb-2023.) $)
    rrx2line $p |- ( ( X e. P /\ Y e. P /\ X =/= Y )
                     -> ( X L Y ) = { p e. P | E. t e. RR
     ( ( p ` 1 ) = ( ( ( 1 - t ) x. ( X ` 1 ) ) + ( t x. ( Y ` 1 ) ) )
    /\ ( p ` 2 ) = ( ( ( 1 - t ) x. ( X ` 2 ) ) + ( t x. ( Y ` 2 ) ) ) ) } ) $=
      ( vi co cfv c1 cmul wceq c2 fveq2 wcel wne w3a cv cmin caddc wral cr wrex
      crab wa cfn cpr prfi eqeltri rrxlinec mpan a1i raleqdv 1ex oveq2d oveq12d
      2ex eqeq12d ralpr bitrdi rexbidva rabbidva eqtrd ) FBUAGBUAFGUBUCZFGENZMU
      DZHUDZOZPAUDZUENZVLFOZQNZVOVLGOZQNZUFNZRZMDUGZAUHUIZHBUJZPVMOZVPPFOZQNZVO
      PGOZQNZUFNZRZSVMOZVPSFOZQNZVOSGOZQNZUFNZRZUKZAUHUIZHBUJDULUAVJVKWERDPSUMZ
      ULIPSUNUOABMCDEFGHJKLUPUQVJWDXAHBVJVMBUAUKZWCWTAUHXCVOUHUAUKZWCWBMXBUGWTX
      DWBMDXBDXBRXDIURUSWBWLWSMPSUTVCVLPRZVNWFWAWKVLPVMTXEVRWHVTWJUFXEVQWGVPQVL
      PFTVAXEVSWIVOQVLPGTVAVBVDVLSRZVNWMWAWRVLSVMTXFVRWOVTWQUFXFVQWNVPQVLSFTVAX
      FVSWPVOQVLSGTVAVBVDVEVFVGVHVI $.

    $( The vertical line passing through the two different points ` X ` and
       ` Y ` in a real Euclidean space of dimension 2 in "standard form".
       (Contributed by AV, 2-Feb-2023.) $)
    rrx2vlinest $p |- ( ( X e. P /\ Y e. P /\ ( ( X ` 1 ) = ( Y ` 1 )
                                                /\ ( X ` 2 ) =/= ( Y ` 2 ) ) )
                        -> ( X L Y ) = { p e. P | ( p ` 1 ) = ( X ` 1 ) } ) $=
      ( wcel c1 wceq wa co cmul caddc cr adantr vt cfv c2 wne cv cmin wrex crab
      w3a fveq1 necon3i adantl rrx2line syl3an3 oveq2 oveq2d eqcoms 3ad2ant3 cc
      rrx2pxel recnd 3ad2ant1 recn affineid eqtrd eqeq2d anbi1d rexbidva wi a1i
      simpl rexlimdva cdiv rrx2pyel resubcld 3ad2ant2 cc0 simpr necomd redivcld
      subne0d oveq1d oveq1 oveq12d anbi2d mulid2d subcld 3adant3 pncan3d eqtr2d
      wb divcan1d 1cnd submuladdmuld eqtr4d jca rspcedvd impbid bitrd rabbidva
      ex ) EALZFALZMEUBZMFUBZNZUCEUBZUCFUBZUDZOZUIZEFDPZMGUEZUBZMUAUEZUFPZXDQPZ
      XOXEQPZRPZNZUCXMUBZXPXGQPZXOXHQPZRPZNZOZUASUGZGAUHZXNXDNZGAUHXJXBXCEFUDZX
      LYHNXIYJXFEFXGXHUCEFUJUKULUAABCDEFGHIJKUMUNXKYGYIGAXKXMALZOZYGYIYEOZUASUG
      ZYIYLYFYMUASYLXOSLZOZXTYIYEYPXSXDXNYPXSXQXOXDQPZRPZXDYLXSYRNZYOXKYSYKXJXB
      YSXCXFYSXIYSXEXDXEXDNXRYQXQRXEXDXOQUOUPUQTURTTYPXDXOYLXDUSLZYOXKYTYKXBXCY
      TXJXBXDACEHJUTVAVBTTYOXOUSLYLXOVCULVDVEVFVGVHYLYNYIYLYMYIUASYMYIVIYPYIYEV
      KVJVLYLYIYNYLYIOZYMYIYAMYAXGUFPZXHXGUFPZVMPZUFPZXGQPZUUDXHQPZRPZNZOZUAUUD
      SYLUUDSLYIYLUUBUUCYLYAXGYKYASLXKACXMHJVNZULXKXGSLZYKXBXCUULXJACEHJVNZVBZT
      VOZXKUUCSLYKXKXHXGXCXBXHSLXJACFHJVNZVPUUNVOTXKUUCVQUDYKXKXHXGXCXBXHUSLZXJ
      XCXHUUPVAZVPZXBXCXGUSLZXJXBXGUUMVAZVBZXJXBXHXGUDXCXJXGXHXFXIVRVSURWATZVTZ
      TXOUUDNZYMUUJWKUUAUVEYEUUIYIUVEYDUUHYAUVEYBUUFYCUUGRUVEXPUUEXGQXOUUDMUFUO
      WBXOUUDXHQWCWDVFWEULUUAYIUUIYLYIVRUUAYAMXGQPZUUDUUCQPZRPZUUHYLYAUVHNYIYLU
      VHXGUUBRPYAYLUVFXGUVGUUBRXKUVFXGNZYKXBXCUVIXJXBXGUVAWFVBTYLUUBUUCYLUUBUUO
      VAXKUUCUSLZYKXBXCUVJXJXBXCOXHXGXCUUQXBUURULXBUUTXCUVATWGWHTUVCWLWDYLXGYAX
      KUUTYKUVBTZYKYAUSLXKYKYAUUKVAULWIWJTYLUUHUVHNYIYLMUUDXGXHYLWMYLUUDUVDVAUV
      KXKUUQYKUUSTWNTWOWPWQXAWRWSWTVE $.

    ${
      rrx2linest.a $e |- A = ( ( Y ` 1 ) - ( X ` 1 ) ) $.
      rrx2linest.b $e |- B = ( ( Y ` 2 ) - ( X ` 2 ) ) $.
      rrx2linest.c $e |- C = ( ( ( X ` 2 ) x. ( Y ` 1 ) )
                             - ( ( X ` 1 ) x. ( Y ` 2 ) ) ) $.
      $( The line passing through the two different points ` X ` and ` Y ` in a
         real Euclidean space of dimension 2 in "standard form".  (Contributed
         by AV, 2-Feb-2023.) $)
      rrx2linest $p |- ( ( X e. P /\ Y e. P /\ X =/= Y ) -> ( X L Y )
            = { p e. P | ( A x. ( p ` 2 ) ) = ( ( B x. ( p ` 1 ) ) + C ) } ) $=
        ( wceq co cmul vi vt wcel wne w3a c1 cfv c2 cv caddc crab simpl1 simpl2
        wa simpr wi wral anim1i cpr raleqi 1ex fveq2 eqeq12d ralpr bitri sylibr
        2ex wfn wb cr cmap elmapfn eleq2s anim12i ad2antrr eqfnfv syl mpbird ex
        necon3d com23 3impia imp rrx2vlinest syl112anc ancom cmin simplr simpll
        cc0 oveq1i a1i oveq2 adantl rrx2pxel recnd 3ad2ant2 subidd eqtrd oveq1d
        cc rrx2pyel ad2antlr mul02d 3eqtrd oveq1 oveq2d syl5eq oveq12d syl21anc
        mulcomd 3ad2ant1 subdird eqtr4d eqeq2d cneg eqcom subcld mulcld syl2anc
        addeq0 mulneg1d negsubdi2d eqtr3d 3imtr3i adantr subne0d mulcand 3bitrd
        necom bitrd simpl eqcomd 3bitrrd rabbidva sylbi wn wrex rrx2line eqcomi
        df-ne affinecomb2 oveq12i eqeq12i bitrdi expcom sylbir impcom pm2.61dan
        expd ) HDUCZIDUCZHIUDZUEZUFHUGZUFIUGZRZHIGSZAUHJUIZUGZTSZBUFUUSUGZTSZCU
        JSZRZJDUKZRUUNUUQUNZUURUVBUUORZJDUKZUVFUVGUUKUULUUQUHHUGZUHIUGZUDZUURUV
        IRUUKUULUUMUUQULUUKUULUUMUUQUMUUNUUQUOUUNUUQUVLUUKUULUUMUUQUVLUPUUKUULU
        NZUUQUUMUVLUVMUUQUUMUVLUPUVMUUQUNZUVJUVKHIUVNUVJUVKRZHIRZUVNUVOUNZUVPUA
        UIZHUGZUVRIUGZRZUAFUQZUVQUUQUVOUNZUWBUVNUUQUVOUVMUUQUOURUWBUWAUAUFUHUSZ
        UQUWCUWAUAFUWDKUTUWAUUQUVOUAUFUHVAVGUVRUFRUVSUUOUVTUUPUVRUFHVBUVRUFIVBV
        CUVRUHRUVSUVJUVTUVKUVRUHHVBUVRUHIVBVCVDVEVFUVQHFVHZIFVHZUNZUVPUWBVIUVMU
        WGUUQUVOUUKUWEUULUWFUWEHVJFVKSZDHVJFVLMVMUWFIUWHDIVJFVLMVMVNVOUAFHIVPVQ
        VRVSVTVSWAWBWCZDEFGHIJKLMNWDWEUVGUUQUUNUNZUVIUVFRUUNUUQWFZUWJUVHUVEJDUW
        JUUSDUCZUNZUVEWJUVKUVJWGSZUVBTSZUVJUUPTSZUUPUVKTSZWGSZUJSZRZUVBUUPRZUVH
        UWMUUNUWLUUQUVEUWTVIUUQUUNUWLWHUWJUWLUOUUQUUNUWLWIUUNUWLUNZUUQUNZUVAWJU
        VDUWSUXCUVAUUPUUOWGSZUUTTSZWJUUTTSWJUVAUXERUXCAUXDUUTTOWKWLUXCUXDWJUUTT
        UXCUXDUUPUUPWGSZWJUUQUXDUXFRUXBUUOUUPUUPWGWMWNUXCUUPUUNUUPXAUCZUWLUUQUU
        LUUKUXGUUMUULUUPDFIKMWOZWPWQZVOWRWSWTUXCUUTUWLUUTXAUCUUNUUQUWLUUTDFUUSK
        MXBZWPXCXDXEUXCUVCUWOCUWRUJUVCUWORUXCBUWNUVBTPWKWLUUQCUWRRUXBUUQCUWPUUO
        UVKTSZWGSZUWRQUUQUXKUWQUWPWGUUOUUPUVKTXFXGXHWNXIVCXJUWMUWTWJUWOUVJUVKWG
        SZUUPTSZUJSZRZUXAUWMUWSUXOWJUWMUWRUXNUWOUJUUNUWRUXNRUUQUWLUUNUWRUWPUVKU
        UPTSZWGSUXNUUNUWQUXQUWPWGUUNUUPUVKUXIUULUUKUVKXAUCZUUMUULUVKDFIKMXBZWPW
        QZXKXGUUNUVJUVKUUPUUKUULUVJXAUCZUUMUUKUVJDFHKMXBZWPXLZUXTUXIXMXNXCXGXOU
        WMUXPUXOWJRZUWOUXNXPZRZUXAUXPUYDVIUWMWJUXOXQWLUWMUWOXAUCUXNXAUCUYDUYFVI
        UWMUWNUVBUWMUVKUVJUUNUXRUUQUWLUXTXCZUUNUYAUUQUWLUYCXCZXRZUWLUVBXAUCUWJU
        WLUVBDFUUSKMWOZWPWNZXSUWMUXMUUPUWMUVJUVKUYHUYGXRZUUNUXGUUQUWLUXIXCZXSUW
        OUXNYAXTUWMUYFUWOUWNUUPTSZRUXAUWMUYEUYNUWOUWMUXMXPZUUPTSUYEUYNUWMUXMUUP
        UYLUYMYBUWMUYOUWNUUPTUWMUVJUVKUYHUYGYCWTYDXOUWMUVBUUPUWNUYKUYMUYIUWMUVK
        UVJUYGUYHUWJUVKUVJUDZUWLUVGUVLUWJUYPUWIUWKUVJUVKYJYEYFYGYHYKYIYKUWMUUPU
        UOUVBUWJUUPUUORUWLUWJUUOUUPUUQUUNYLYMYFXOYNYOYPWSUUNUUQYQZUNZUURUVBUFUB
        UIZWGSZUUOTSUYSUUPTSUJSRUUTUYTUVJTSUYSUVKTSUJSRUNUBVJYRZJDUKZUVFUUNUURV
        UBRUYQUBDEFGHIJKLMNYSYFUYRVUAUVEJDUYRUWLVUAUVEVIZUYQUUNUWLVUCUPUYQUUNUW
        LVUCUYQUUOUUPUDZUXBVUCUPUUOUUPUUAUXBVUDVUCUXBVUDUNZVUAUXEUWOUXLUJSZRUVE
        VUEUBUVBUUOUUPUUTUVJUVKUWLUVBVJUCUUNVUDUYJXCUUNUUOVJUCZUWLVUDUUKUULVUGU
        UMDFHKMWOXLVOUUNUUPVJUCZUWLVUDUULUUKVUHUUMUXHWQVOUXBVUDUOUWLUUTVJUCUUNV
        UDUXJXCUUNUVJVJUCZUWLVUDUUKUULVUIUUMUYBXLVOUUNUVKVJUCZUWLVUDUULUUKVUJUU
        MUXSWQVOUUBUXEUVAVUFUVDUXDAUUTTAUXDOYTWKUWOUVCUXLCUJUWNBUVBTBUWNPYTWKCU
        XLQYTUUCUUDUUEUUFUUGUUJUUHWCYOWSUUI $.
    $}

    $d S t $.
    rrx2linesl.s $e |- S = ( ( ( Y ` 2 ) - ( X ` 2 ) )
                             / ( ( Y ` 1 ) - ( X ` 1 ) ) ) $.
    $( The line passing through the two different points ` X ` and ` Y ` in a
       real Euclidean space of dimension 2, expressed by the slope ` S `
       between the two points ("point-slope form"), sometimes also written as
       ` ( ( p `` 2 ) - ( X `` 2 ) ) = ( S x. ( ( p `` 1 ) - ( X `` 1 ) ) ) ` .
       (Contributed by AV, 22-Jan-2023.) $)
    rrx2linesl $p |- ( ( X e. P /\ Y e. P /\ ( X ` 1 ) =/= ( Y ` 1 ) )
                       -> ( X L Y ) = { p e. P |
          ( p ` 2 ) = ( ( S x. ( ( p ` 1 ) - ( X ` 1 ) ) ) + ( X ` 2 ) ) } ) $=
      ( wcel c1 cfv co c2 cr a1i vt wne cv cmin cmul caddc wceq wrex crab fveq1
      w3a wa necon3i rrx2line syl3an3 cmap wf reex cpr cvv eqeltri elmap id 1ex
      prex prid1 eleqtrri ffvelrnd sylbi eleq2s adantl 3ad2ant1 adantr 3ad2ant2
      simpl3 2ex prid2 eleq2i bitri affinecomb1 rabbidva eqtrd ) FANZGANZOFPZOG
      PZUBZUKZFGEQZOHUCZPZOUAUCZUDQZWEUEQWLWFUEQUFQUGRWJPZWMRFPZUEQWLRGPZUEQUFQ
      UGULUASUHZHAUIZWNBWKWEUDQUEQWOUFQUGZHAUIWGWCWDFGUBWIWRUGFGWEWFOFGUJUMUAAC
      DEFGHIJKLUNUOWHWQWSHAWHWJANZULUAWKWEWFBWNWOWPWTWKSNZWHXAWJSDUPQZAWJXBNZDS
      WJUQZXASDWJURDORUSZUTIORVEVAZVBZXDDSOWJXDVCZODNZXDOXEDORVDVFIVGZTVHVIKVJV
      KWHWESNZWTWCWDXKWGXKFXBAFXBNZDSFUQZXKSDFURXFVBZXMDSOFXMVCZXIXMXJTVHVIKVJV
      LVMWHWFSNZWTWDWCXPWGXPGXBAGXBNZDSGUQZXPSDGURXFVBZXRDSOGXRVCZXIXRXJTVHVIKV
      JVNVMWCWDWGWTVOWTWNSNZWHYAWJXBAXCXDYAXGXDDSRWJXHRDNZXDRXEDORVPVQIVGZTVHVI
      KVJVKWHWOSNZWTWCWDYDWGYDFXBAXLXMYDXNXMDSRFXOYBXMYCTVHVIKVJVLVMWHWPSNZWTWD
      WCYEWGWDXRYEWDXQXRAXBGKVRXSVSXRDSRGXTYBXRYCTVHVIVNVMMVTWAWB $.
  $}

  ${
    $d E p $.  $d I p $.  $d P p $.  $d X p $.  $d Y p $.
    rrx2linest2.i $e |- I = { 1 , 2 } $.
    rrx2linest2.e $e |- E = ( RR^ ` I ) $.
    rrx2linest2.p $e |- P = ( RR ^m I ) $.
    rrx2linest2.l $e |- L = ( LineM ` E ) $.
    ${
      rrx2linest2.a $e |- A = ( ( X ` 2 ) - ( Y ` 2 ) ) $.
      rrx2linest2.b $e |- B = ( ( Y ` 1 ) - ( X ` 1 ) ) $.
      rrx2linest2.c $e |- C = ( ( ( X ` 2 ) x. ( Y ` 1 ) )
                             - ( ( X ` 1 ) x. ( Y ` 2 ) ) ) $.
      $( The line passing through the two different points ` X ` and ` Y ` in a
         real Euclidean space of dimension 2 in another "standard form"
         (usually with ` ( p `` 1 ) = x ` and ` ( p `` 2 ) = y ` ).
         (Contributed by AV, 23-Feb-2023.) $)
      rrx2linest2 $p |- ( ( X e. P /\ Y e. P /\ X =/= Y ) -> ( X L Y )
            = { p e. P | ( ( A x. ( p ` 1 ) ) + ( B x. ( p ` 2 ) ) ) = C } ) $=
        ( wcel co cr wne w3a c2 cv cmul cmin c1 caddc wceq crab eqid rrx2linest
        cfv wa eqcom rrx2pyel 3ad2ant2 3ad2ant1 resubcld adantr rrx2pxel adantl
        remulcld recnd eqeltrid addrsub cneg addcomd negsubdi2d oveq1d mulneg1d
        eqtr4id eqtrd oveq2d negsubd 3eqtrd eqeq1d bitr4id syl5bb rabbidva
        bitrd ) HDRZIDRZHIUAZUBZHIGSBUCJUDZUMZUESZUCIUMZUCHUMZUFSZUGWFUMZUESZCU
        HSZUIZJDUJAWLUESZWHUHSZCUIZJDUJBWKCDEFGHIJKLMNPWKUKQULWEWOWRJDWOWNWHUIZ
        WEWFDRZUNZWRWHWNUOXAWSCWHWMUFSZUIZWRXAWMCWHXAWMXAWKWLWEWKTRWTWEWIWJWCWB
        WITRZWDDFIKMUPUQZWBWCWJTRZWDDFHKMUPURZUSUTZWTWLTRWEDFWFKMVAVBZVCVDZXACW
        ECTRWTWECWJUGIUMZUESZUGHUMZWIUESZUFSTQWEXLXNWEWJXKXGWCWBXKTRWDDFIKMVAUQ
        ZVCWEXMWIWBWCXMTRWDDFHKMVAURZXEVCUSVEUTVDXAWHXABWGWEBTRWTWEBXKXMUFSTPWE
        XKXMXOXPUSVEUTWTWGTRWEDFWFKMUPVBVCVDZVFXAXCXBCUIWRCXBUOXAWQXBCXAWQWHWPU
        HSWHWMVGZUHSXBXAWPWHXAWPXAAWLWEATRWTWEAWJWIUFSZTOWEWJWIXGXEUSVEUTXIVCVD
        XQVHXAWPXRWHUHXAWPWKVGZWLUESXRXAAXTWLUEXAAXSXTOXAWIWJXAWIWEXDWTXEUTVDXA
        WJWEXFWTXGUTVDVIVLVJXAWKWLXAWKXHVDXAWLXIVDVKVMVNXAWHWMXQXJVOVPVQVRWAVSV
        TVM $.

      $d A p $.  $d B p $.  $d C p $.  $d G p $.
      $( The line passing through the two different points ` X ` and ` Y ` in a
         real Euclidean space of dimension 2 in another "standard form"
         (usually with ` ( p `` 1 ) = x ` and ` ( p `` 2 ) = y ` ).
         (Contributed by AV, 23-Feb-2023.) $)
      elrrx2linest2 $p |- ( ( X e. P /\ Y e. P /\ X =/= Y ) -> ( G e. ( X L Y )
       <-> ( G e. P /\ ( ( A x. ( G ` 1 ) ) + ( B x. ( G ` 2 ) ) ) = C ) ) ) $=
        ( wcel co cmul vp wne w3a c1 cv cfv c2 caddc wceq wa rrx2linest2 eleq2d
        crab fveq1 oveq2d oveq12d eqeq1d elrab bitrdi ) IDRJDRIJUBUCZFIJHSZRFAU
        DUAUEZUFZTSZBUGVBUFZTSZUHSZCUIZUADUMZRFDRAUDFUFZTSZBUGFUFZTSZUHSZCUIZUJ
        UTVAVIFABCDEGHIJUAKLMNOPQUKULVHVOUAFDVBFUIZVGVNCVPVDVKVFVMUHVPVCVJATUDV
        BFUNUOVPVEVLBTUGVBFUNUOUPUQURUS $.
    $}
  $}

  ${
    $d B p r w x $.  $d D w $.  $d V w $.  $d W p r w x $.
    spheres.b $e |- B = ( Base ` W ) $.
    spheres.l $e |- S = ( Sphere ` W ) $.
    spheres.d $e |- D = ( dist ` W ) $.
    $( The spheres for given centers and radii in a metric space (or any
       extensible structure having a base set and a distance function).
       (Contributed by AV, 22-Jan-2023.) $)
    spheres $p |- ( W e. V -> S = ( x e. B , r e. ( 0 [,] +oo )
                                    |-> { p e. B | ( p D x ) = r } ) ) $=
      ( vw cfv co cv wceq a1i cbs cds cvv wcel csph cpnf cicc crab df-sph fveq2
      cc0 cmpo eqcomi eqtrd eqidd eqeq1d rabeqbidv mpoeq123dv elex fvex eqeltri
      oveqd ovex mpoex fvmptd3 ) FEUAZDFUBMZAGBUHUCUDNZHOZAOZCNZGOZPZHBUEZUIZDV
      DPVCJQVCLFAGLOZRMZVEVFVGVMSMZNZVIPZHVNUEZUIVLTUBTALGHUFVMFPZAGVNVEVRBVEVK
      VSVNFRMZBVMFRUGVTBPVSBVTIUJQUKZVSVEULVSVQVJHVNBWAVSVPVHVIVSVOCVFVGVSVOFSM
      ZCVMFSUGWBCPVSCWBKUJQUKUSUMUNUOFEUPVLTUAVCAGBVEVKBVTTIFRUQURUHUCUDUTVAQVB
      UK $.

    $d D r x $.  $d R p r x $.  $d V r x $.  $d X p r x $.
    $( A sphere with center ` X ` and radius ` R ` in a metric space (or any
       extensible structure having a base set and a distance function).
       (Contributed by AV, 22-Jan-2023.) $)
    sphere $p |- ( ( W e. V /\ X e. B /\ R e. ( 0 [,] +oo ) )
                   -> ( X S R ) = { p e. B | ( p D X ) = R } ) $=
      ( vx vr wcel cc0 co cv wceq crab cvv cpnf cicc w3a spheres 3ad2ant1 oveq2
      cmpo wa eqeqan12d rabbidv adantl simp2 simp3 cbs fvexi rabex a1i ovmpod
      id ) FENZGANZCOUAUBPZNZUCZLMGCAVBHQZLQZBPZMQZRZHASZVEGBPZCRZHASZDTUTVADLM
      AVBVJUGRVCLABDEFMHIJKUDUEVFGRZVHCRZUHZVJVMRVDVPVIVLHAVNVOVGVKVHCVFGVEBUFV
      OUSUIUJUKUTVAVCULUTVAVCUMVMTNVDVLHAAFUNIUOUPUQUR $.
  $}

  ${
    $d E p r x $.  $d I p $.  $d M p $.  $d P p $.  $d R p $.
    rrxspheres.e $e |- E = ( RR^ ` I ) $.
    rrxspheres.p $e |- P = ( RR ^m I ) $.
    rrxspheres.d $e |- D = ( dist ` E ) $.
    rrxspheres.s $e |- S = ( Sphere ` E ) $.
    $( The sphere with center ` M ` and radius ` R ` in a generalized real
       Euclidean space of finite dimension.  Remark: this theorem holds also
       for the degenerate case ` R < 0 ` (negative radius): in this case,
       ` ( M S R ) ` is empty.  (Contributed by AV, 5-Feb-2023.) $)
    rrxsphere $p |- ( ( I e. Fin /\ M e. P /\ R e. RR )
                      -> ( M S R ) = { p e. P | ( p D M ) = R } ) $=
      ( vx cc0 wcel co wceq wa cfv c0 vr cle wbr cfn cr w3a cv crab wi cbs cpnf
      cvv cicc crrx cmap id eqid rrxbasefi eqtr4id eleq2d biimpa 3adant3 adantl
      fvexi cxr rexr 3ad2ant3 anim2i ancomd elxrge0 sylibr sphere mp3an2i simp1
      eqtr4di rabeqdv eqtrd ex wn cdm cxp cmpo spheres ax-mp rabex dmmpo wb 0xr
      fvex pnfxr pm3.2i elicc1 mp1i simp2 syl6bi con3d imp intnand sylancr wral
      ndmovg cmet fveq2i eqtri rrxmetfi 3ad2ant1 adantr eleqtrrdi simpr syl3anc
      cds metge0 breq2 syl5ibcom impancom ralrimiva eqcom rabeq0 expcom pm2.61i
      bitri ) NCUBUCZFUDOZGBOZCUEOZUFZGCDPZHUGZGAPZCQZHBUHZQZUIYBYFYLYBYFRZYGYJ
      HEUJSZUHZYKEULOZYMGYNOZCNUKUMPZOZYGYOQEFUNIVDZYFYQYBYCYDYQYEYCYDYQYCBYNGY
      CBUEFUOPZYNJYCYNEFYCUPIYNUQZURUSUTVAVBVCYMCVEOZYBRYSYMYBUUCYFUUCYBYEYCUUC
      YDCVFVGVHVICVJVKYNACDULEGHUUBLKVLVMYMYJHYNBYFYNBQYBYFYNUUABYFYNEFYCYDYEVN
      IUUBURJVOVCVPVQVRYFYBVSZYLYFUUDRZYGTYKUUEDVTYNYRWAQYQYSRVSYGTQMUAYNYRYHMU
      GAPUAUGQZHYNUHZDYPDMUAYNYRUUGWBQYTMYNADULEUAHUUBLKWCWDUUFHYNEUJWIWEWFUUEY
      SYQYFUUDYSVSYFYSYBYFYSUUCYBCUKUBUCZUFZYBNVEOZUKVEOZRYSUUIWGYFUUJUUKWHWJWK
      NUKCWLWMUUCYBUUHWNWOWPWQWRGCYNYRDXAWSUUEYJVSZHBWTZTYKQZUUEUULHBUUEYHBOZUU
      LYFUUOUUDUULYFUUORZYJYBUUPNYIUBUCZYJYBUUPABXBSZOUUOYDUUQUUPAUUAXBSZUURYFA
      UUSOZUUOYCYDUUTYEAFAEXKSFUNSZXKSKEUVAXKIXCXDXEXFXGBUUAXBJXCXHYFUUOXIYFYDU
      UOYCYDYEWNXGYHGABXLXJYICNUBXMXNWPXOWQXPUUNYKTQUUMTYKXQYJHBXRYAVKVQXSXT $.
  $}

  ${
    $d E p $.  $d I p $.  $d M p $.  $d P p $.  $d R p $.
    2sphere.i $e |- I = { 1 , 2 } $.
    2sphere.e $e |- E = ( RR^ ` I ) $.
    2sphere.p $e |- P = ( RR ^m I ) $.
    2sphere.s $e |- S = ( Sphere ` E ) $.
    ${
      2sphere.c $e |- C = { p e. P | ( ( ( ( p ` 1 ) - ( M ` 1 ) ) ^ 2 )
                         + ( ( ( p ` 2 ) - ( M ` 2 ) ) ^ 2 ) ) = ( R ^ 2 ) } $.
      $( The sphere with center ` M ` and radius ` R ` in a two dimensional
         Euclidean space is a circle.  (Contributed by AV, 5-Feb-2023.) $)
      2sphere $p |- ( ( M e. P /\ R e. ( 0 [,) +oo ) ) -> ( M S R ) = C ) $=
        ( wcel co wa cfv wceq cr c2 cc0 cpnf cico cds crab cfn cpr prfi eqeltri
        cv c1 simpl cle elrege0 simplbi adantl eqid rrxsphere mp3an2i cmin cexp
        wbr caddc biimpi ad2antlr sqrtsq syl eqeq2d wb rrx2pxel adantr resubcld
        csqrt resqcld rrx2pyel readdcld sqge0d addge0d jca adantlr resqcl sqge0
        sqrt11 syl2anc anim1ci crrx cehl 2nn0 ehlval ax-mp fz12pr eqtr4i fveq2i
        cfz cn0 cmap oveq2i ehl2eudisval eqcomd eqeq1d 3bitr3d rabbidva eqtr2id
        eqtri eqtrd ) GBNZCUAUBUCONZPZGCDOZHUJZGEUDQZOZCRZHBUEZAFUFNXHXFCSNZXIX
        NRFUKTUGZUFIUKTUHUIXFXGULZXGXOXFXGXOUACUMVBZCUNZUOZUPXKBCDEFGHJKXKUQZLU
        RUSXHAUKXJQZUKGQZUTOZTVAOZTXJQZTGQZUTOZTVAOZVCOZCTVAOZRZHBUEXNMXHYLXMHB
        XHXJBNZPZYJVMQZYKVMQZRZYOCRYLXMYNYPCYOYNXOXRPZYPCRXGYRXFYMXGYRXSVDVECVF
        VGVHYNYJSNZUAYJUMVBZPZYKSNZUAYKUMVBZPZYQYLVIXFYMUUAXGXFYMPZYSYTUUEYEYIU
        UEYDUUEYBYCYMYBSNXFBFXJIKVJUPXFYCSNYMBFGIKVJVKVLZVNZUUEYHUUEYFYGYMYFSNX
        FBFXJIKVOUPXFYGSNYMBFGIKVOVKVLZVNZVPUUEYEYIUUGUUIUUEYDUUFVQUUEYHUUHVQVR
        VSVTXGUUDXFYMXGXOUUDXTXOUUBUUCCWACWBVSVGVEYJYKWCWDYNYOXLCYNXLYOYNYMXFPX
        LYORXHXFYMXQWEXKEXJGBEFWFQZTWGQZJUUKUKTWNOZWFQZUUJTWONUUKUUMRWHUUKTUUKU
        QWIWJUULFWFUULXPFWKIWLWMXDWLBSFWPOSXPWPOKFXPSWPIWQXDYAWRVGWSWTXAXBXCXE
        $.
    $}

    ${
      $d .0. p $.
      2sphere0.0 $e |- .0. = ( I X. { 0 } ) $.
      2sphere0.c $e |- C = { p e. P | ( ( ( p ` 1 ) ^ 2 )
                                      + ( ( p ` 2 ) ^ 2 ) ) = ( R ^ 2 ) } $.
      $( The sphere around the origin ` .0. ` (see ~ rrx0 ) with radius ` R `
         in a two dimensional Euclidean space is a circle.  (Contributed by AV,
         5-Feb-2023.) $)
      2sphere0 $p |- ( R e. ( 0 [,) +oo ) -> ( .0. S R ) = C ) $=
        ( cc0 co wcel c1 c2 cexp cpnf cico cv cfv cmin caddc wceq crab cvv prex
        cpr eqeltri rrx0el ax-mp eqid 2sphere mpan wb csn cxp fveq1i c0ex prid1
        1ex eleqtrri fvconst2g mp2an eqtri oveq2d rrx2pxel recnd subid1d oveq1d
        a1i eqtrd 2ex prid2 rrx2pyel oveq12d eqeq1d adantl rabbidva eqtr4di ) C
        OUAUBPQZGCDPZRHUCZUDZRGUDZUEPZSTPZSWFUDZSGUDZUEPZSTPZUFPZCSTPZUGZHBUHZA
        GBQZWDWEWRUGFUIQWSFRSUKZUIIRSUJULBFUIGMKUMUNWRBCDEFGHIJKLWRUOUPUQWDWRWG
        STPZWKSTPZUFPZWPUGZHBUHAWDWQXDHBWFBQZWQXDURWDXEWOXCWPXEWJXAWNXBUFXEWIWG
        STXEWIWGOUEPWGXEWHOWGUEWHOUGXEWHRFOUSUTZUDZORGXFMVAOUIQZRFQXGOUGVBRWTFR
        SVDVCIVEFORUIVFVGVHVNVIXEWGXEWGBFWFIKVJVKVLVOVMXEWMWKSTXEWMWKOUEPWKXEWL
        OWKUEWLOUGXEWLSXFUDZOSGXFMVAXHSFQXIOUGVBSWTFRSVPVQIVEFOSUIVFVGVHVNVIXEW
        KXEWKBFWFIKVRVKVLVOVMVSVTWAWBNWCVO $.
    $}
  $}

  ${
    $d A p $.  $d B p $.  $d C p $.  $d P p $.
    line2ylem.i $e |- I = { 1 , 2 } $.
    line2ylem.p $e |- P = ( RR ^m I ) $.
    $( Lemma for ~ line2y .  This proof is based on counterexamples for the
       following cases: 1. ` C =/= 0 ` : p = (0,0) (LHS of bicondional is
       false, RHS is true); 2. ` C = 0 /\ B =/= 0 ` : p = (1,-A/B) (LHS of
       bicondional is true, RHS is false); 3. ` A = B = C = 0 ` : p = (1,1)
       (LHS of bicondional is true, RHS is false).  (Contributed by AV,
       4-Feb-2023.) $)
    line2ylem $p |- ( ( A e. RR /\ B e. RR /\ C e. RR )
               -> ( A. p e. P ( ( ( A x. ( p ` 1 ) ) + ( B x. ( p ` 2 ) ) ) = C
                    <-> ( p ` 1 ) = 0 ) -> ( A =/= 0 /\ B = 0 /\ C = 0 ) ) ) $=
      ( wcel c1 cmul co c2 caddc wceq cc0 wb wn eqtrdi cvv cr w3a cv cfv wne wa
      wral wrex wo ianor wi df-ne cop cpr prelrrx2 mp2an eqneqall com12 pm2.24i
      0re eqid impbid1 adantl xor3 sylibr simp1 recnd mul01d simp2 oveq12d 00id
      eqeq1d eqcom bitrdi adantr bibi1d mtbird fveq1 1ex c0ex 1ne2 fvpr1g mp3an
      oveq2d fvpr2g bibi12d notbid rspcev sylancr expcom notnotb cneg cdiv 1red
      2ex sylbir renegcld simprl redivcld syl2anc ax-1ne0 neii mpbir mulid1d cc
      2th negcld divcan2d negidd eqtrd simprr eqeq12d mtbiri ovex ex nne bicomi
      1re oveq1 ax-1cn mul02i id eqeqan12d a1d syl2anbr jaoi3 orcoms imp syl5bi
      sylbi rexnal syl6ib con4d df-3an syl6ibr ) AUAIZBUAIZCUAIZUBZAJFUCZUDZKLZ
      BMYTUDZKLZNLZCOZUUAPOZQZFDUGZAPUEZBPOZUFZCPOZUFZUUJUUKUUMUBYSUUNUUIYSUUNR
      ZUUHRZFDUHZUUIRUUOUULRZUUMRZUIZYSUUQUULUUMUJUUTYSUUQUUSUURYSUUQUKZUUSUVAU
      URUUSCPUEZUVACPULYSUVBUUQYSUVBUFZJPUMMPUMUNZDIZAPKLZBPKLZNLZCOZPPOZQZRZUU
      QPUAIZUVMUVEUTUTPPDEGHUOUPUVCUVKUUMUVJQZUVCUUMUVJRZQZUVNRUVBUVPYSUVBUUMUV
      OUUMUVBUVOUVOCPUQURUVJUUMPVAZUSVBVCUUMUVJVDVEUVCUVIUUMUVJYSUVIUUMQUVBYSUV
      IPCOUUMYSUVHPCYSUVHPPNLZPYSUVFPUVGPNYSAYSAYPYQYRVFZVGZVHYSBYSBYPYQYRVIZVG
      ZVHVJVKSVLPCVMVNVOVPVQUUPUVLFUVDDYTUVDOZUUHUVKUWCUUFUVIUUGUVJUWCUUEUVHCUW
      CUUBUVFUUDUVGNUWCUUAPAKUWCUUAJUVDUDZPJYTUVDVRJTIZPTIZJMUEZUWDPOVSVTWAJMPP
      TTWBWCSZWDUWCUUCPBKUWCUUCMUVDUDZPMYTUVDVRMTIZUWFUWGUWIPOWOVTWAJMPPTTWEWCS
      WDVJVLUWCUUAPPUWHVLWFWGWHWIWJWPUUSRZUURUVAUWKUUMUURUVAUKUUMWKUURUUMUVAUUR
      UUJRZUUKRZUIUUMUVAUKZUUJUUKUJUWMUWLUWNUWMUWNUWLUWMBPUEZUWNBPULUWOUUMUVAYS
      UWOUUMUFZUUQYSUWPUFZJJUMZMAWLZBWMLZUMUNZDIZAJKLZBUWTKLZNLZCOZJPOZQZRZUUQU
      WQJUAIZUWTUAIUXBUWQWNUWQUWSBUWQAYSYPUWPUVSVOWQYSYQUWPUWAVOYSUWOUUMWRZWSJU
      WTDEGHUOWTUWQUXHUVJUXGQZUXLRUVJUXGRZQUVJUXMUVQJPXAXBXFUVJUXGVDXCZUWQUXFUV
      JUXGUWQUXEPCPUWQUXEAUWSNLZPUWQUXCAUXDUWSNYSUXCAOUWPYSAUVTXDVOUWQUWSBYSUWS
      XEIUWPYSAUVTXGVOYSBXEIUWPUWBVOUXKXHVJYSUXOPOUWPYSAUVTXIVOXJYSUWOUUMXKXLVP
      XMUUPUXIFUXADYTUXAOZUUHUXHUXPUUFUXFUUGUXGUXPUUEUXECUXPUUBUXCUUDUXDNUXPUUA
      JAKUXPUUAJUXAUDZJJYTUXAVRUWEUWEUWGUXQJOVSVSWAJMJUWTTTWBWCSZWDUXPUUCUWTBKU
      XPUUCMUXAUDZUWTMYTUXAVRUWJUWTTIUWGUXSUWTOWOUWSBWMXNWAJMJUWTTTWEWCSWDVJVLU
      XPUUAJPUXRVLWFWGWHWTWJXOWPUWMRUUKAPOZUWNUWLUUKWKUWLUXTAPXPXQUUKUXTUFZUUMU
      VAUYAUUMUFZUUQYSUYBUWRMJUMUNZDIZUXCBJKLZNLZCOZUXGQZRZUUQUXJUXJUYDXRXRJJDE
      GHUOUPUYBUYHUXLUXNUYBUYGUVJUXGUYAUUMUYFPCPUYAUYFUVRPUYAUXCPUYEPNUYAUXCPJK
      LZPUXTUXCUYJOUUKAPJKXSVCJXTYAZSUYAUYEUYJPUUKUYEUYJOUXTBPJKXSVOUYKSVJVKSUU
      MYBYCVPXMUUPUYIFUYCDYTUYCOZUUHUYHUYLUUFUYGUUGUXGUYLUUEUYFCUYLUUBUXCUUDUYE
      NUYLUUAJAKUYLUUAJUYCUDZJJYTUYCVRUWEUWEUWGUYMJOVSVSWAJMJJTTWBWCSZWDUYLUUCJ
      BKUYLUUCMUYCUDZJMYTUYCVRUWJUWEUWGUYOJOWOVSWAJMJJTTWEWCSWDVJVLUYLUUAJPUYNV
      LWFWGWHWIYDXOYEYFYGYJURWPYHYFYGURYIUUHFDYKYLYMUUJUUKUUMYNYO $.
  $}

  ${
    $d A p $.  $d B p $.  $d C p $.  $d E p $.  $d I p $.  $d P p $.  $d X p $.
    $d Y p $.
    line2.i $e |- I = { 1 , 2 } $.
    line2.e $e |- E = ( RR^ ` I ) $.
    line2.p $e |- P = ( RR ^m I ) $.
    line2.l $e |- L = ( LineM ` E ) $.
    line2.g $e |- G = { p e. P | ( ( A x. ( p ` 1 ) )
                                   + ( B x. ( p ` 2 ) ) ) = C } $.
    ${
      line2.x $e |- X = { <. 1 , 0 >. , <. 2 , ( C / B ) >. } $.
      line2.y $e |- Y = { <. 1 , 1 >. , <. 2 , ( ( C - A ) / B ) >. } $.
      $( Example for a line ` G ` passing through two different points in
         "standard form".  (Contributed by AV, 3-Feb-2023.) $)
      line2 $p |- ( ( A e. RR /\ ( B e. RR /\ B =/= 0 ) /\ C e. RR )
                    -> G = ( X L Y ) ) $=
        ( c1 co cr wcel cc0 wne wa w3a cv cfv cmul c2 caddc wceq crab cmin cdiv
        cneg simp1 adantr rrx2pxel adantl remulcld recnd simpl2l rrx2pyel simpl
        cc 3ad2ant2 simp2r divdird divcan3d oveq2d eqtrd redivcld simp3 addrsub
        eqeq1d simpl3 negsubdi2d negsubdid eqtr3d eqeq2d 3bitrd readdcld anim1i
        wb recn div11 syl3anc divnegd mulneg1d eqcomd oveq1d 3ad2ant1 div23 cop
        renegcl cpr fveq1i cvv 1ex c0ex 1ne2 3pm3.2i fvpr1g mp1i syl5eq subid1d
        eqtr2d 3eqtrd 3bitr3d sub32 subid eqtr4di 3adant2 bitrd 2ex a1i resubcl
        df-neg ancoms 3jca fvpr2g syl mp3an2i oveq12d fvpr1 ax-mp eqtri eqeltrd
        cmap wf jctil fprg prssd fssd feq1i sylibr reex elmap eleqtrrdi oveq12i
        resubcld divsubdir 1m0e1 subcld div1d pm3.2i 0red prex oveq2i 1red 0ne1
        rabbidva neeq12i mpbir eqid rrx2linesl 3eqtr4d ) AUAUBZBUAUBZBUCUDZUEZC
        UAUBZUFZASKUGZUHZUITZBUJUVEUHZUITZUKTZCULZKDUMZUVHUJJUHZUJIUHZUNTZSJUHZ
        SIUHZUNTZUOTZUVFUVQUNTZUITZUVNUKTZULZKDUMZFIJHTZUVDUVKUWCKDUVDUVEDUBZUE
        ZUVKUVHCAUNTZCUNTZBUOTZUVTUITZCBUOTZUKTZULZUVHUVOUVTUITZUWLUKTZULUWCUWG
        UVKUVHAUPZBUOTZUVTUITZUWLUKTZULZUWNUWGUVJBUOTZUWLULZUVHUVGBUOTZUPZUWLUK
        TZULZUVKUXAUWGUXCUXDUVHUKTZUWLULUVHUWLUXDUNTZULUXGUWGUXBUXHUWLUWGUXBUXD
        UVIBUOTZUKTUXHUWGUVGUVIBUWGUVGUWGAUVFUVDUUSUWFUUSUVBUVCUQZURUWFUVFUAUBU
        VDDGUVELNUSZUTVAZVBZUWGUVIUWGBUVHUUTUVAUUSUVCUWFVCZUWFUVHUAUBUVDDGUVELN
        VDZUTVAZVBUVDBVFUBZUWFUVBUUSUXRUVCUVBBUUTUVAVEZVBVGURZUVDUVAUWFUUSUUTUV
        AUVCVHZURZVIUWGUXJUVHUXDUKUWGUVHBUWFUVHVFUBUVDUWFUVHUXPVBUTZUXTUYBVJVKV
        LVPUWGUXDUVHUWLUWGUXDUWGUVGBUXMUXOUYBVMVBZUYCUVDUWLVFUBUWFUVDUWLUVDCBUU
        SUVBUVCVNZUVBUUSUUTUVCUXSVGZUYAVMZVBZURVOUWGUXIUXFUVHUWGUXDUWLUNTUPUXIU
        XFUWGUXDUWLUYDUWGUWLUWGCBUUSUVBUVCUWFVQUXOUYBVMVBZVRUWGUXDUWLUYDUYIVSVT
        WAWBUWGUVJVFUBCVFUBZUXRUVAUEZUXCUVKWEUWGUVJUWGUVGUVIUXMUXQWCVBUVDUYJUWF
        UVDCUYEVBZURUVDUYKUWFUVBUUSUYKUVCUUTUXRUVABWFWDVGZURZUVJCBWGWHUWGUXFUWT
        UVHUWGUXEUWSUWLUKUWGUXEUWQUVFUITZBUOTZUWRUVFUITZUWSUWGUXEUVGUPZBUOTUYPU
        WGUVGBUXNUXTUYBWIUWGUYRUYOBUOUWGUYOUYRUWGAUVFUVDAVFUBZUWFUVDAUXKVBURUWF
        UVFVFUBZUVDUWFUVFUXLVBUTZWJWKWLVLUWGUWQVFUBZUYTUYKUYPUYQULUVDVUBUWFUUSU
        VBVUBUVCUUSUWQAWPVBWMURVUAUYNUWQUVFBWNWHUWGUVFUVTUWRUIUWGUVTUVFUCUNTUVF
        UWGUVQUCUVFUNUVDUVQUCULUWFUVDUVQSSUCWOUJUWLWOWQZUHZUCSIVUCQWRZSWSUBZUCW
        SUBZSUJUDZUFZVUDUCULZUVDVUFVUGVUHWTXAXBXCZSUJUCUWLWSWSXDZXEXFURVKUWGUVF
        VUAXGXHVKXIWLWAXJUWGUWTUWMUVHUWGUWSUWKUWLUKUWGUWRUWJUVTUIUVDUWRUWJULUWF
        UVDUWQUWIBUOUUSUVCUWQUWIULZUVBUUSUVCUEUYJUYSUYJVUMUVCUYJUUSCWFUTZUUSUYS
        UVCAWFURVUNUYJUYSUYJUFZUWICCUNTZAUNTZUWQCACXKVUOVUQUCAUNTUWQVUOVUPUCAUN
        UYJUYSVUPUCULUYJCXLWMWLAXSXMXHWHXNWLURWLWLWAXOUWGUWMUWPUVHUWGUWKUWOUWLU
        KUWGUWJUVOUVTUIUWGUVOUWHBUOTZUWLUNTZUWJUWGUVMVURUVNUWLUNUWGUVMUJSSWOUJV
        URWOWQZUHZVURUJJVUTRWRZUWGUJWSUBZVURUAUBZVUHUFZVVAVURULZUVDVVEUWFUVDVVC
        VVDVUHVVCUVDXPXQUVDUWHBUUSUVCUWHUAUBZUVBUVCUUSVVGCAXRXTXNUYFUYAVMZVUHUV
        DXBXQZYAURSUJSVURWSUAYBZYCXFUVDUVNUWLULUWFUVDUVNUJVUCUHZUWLUJIVUCQWRVVC
        UVDUWLUAUBZVUHVVKUWLULXPUYGVVISUJUCUWLWSUAYBYDXFZURYEUVDVUSUWJULUWFUVDU
        WJVUSUVDUWHVFUBUYJUYKUWJVUSULUVDUWHUVDCAUYEUXKUUBVBUYLUYMUWHCBUUCWHWKUR
        XHWLWLWAUWGUWPUWBUVHUWGUWBUWPUVDUWBUWPULUWFUVDUWAUWOUVNUWLUKUVDUVSUVOUV
        TUIUVDUVSUVOSUOTUVOUVDUVRSUVOUOUVRSULUVDUVRSUCUNTSUVPSUVQUCUNUVPSVUTUHZ
        SSJVUTRWRZVUHVVNSULZXBSUJSVURWTWTYFYGYHUVQVUDUCVUEVUHVUJXBSUJUCUWLWTXAY
        FYGYHUUAUUDYHXQVKUVDUVOUVDUVMUVNUVDUVMVURVFUVDUVMVVAVURVVBVVCUVDVVDVUHV
        VFXPVVHVVIVVJYDXFUVDVURVVHVBYIUVDUVNUWLVFVVMUYHYIUUEUUFVLWLVVMYEURWKWAW
        BUUMFUVLULUVDPXQUVDIDUBJDUBUVQUVPUDZUWEUWDULUVDIUASUJWQZYJTZDUVDVVRUAIY
        KZIVVSUBUVDVVRUAVUCYKVVTUVDVVRUCUWLWQZUAVUCVUFVVCUEZUVDVUGVVLUEVUHVVRVW
        AVUCYKVUFVVCWTXPUUGZUVDVVLVUGUYGXAYLVVISUJUCUWLWSWSWSUAYMYDUVDUCUWLUAUV
        DUUHUYGYNYOVVRUAIVUCQYPYQUAVVRIYRSUJUUIZYSYQDUAGYJTVVSNGVVRUAYJLUUJYHZY
        TUVDJVVSDUVDVVRUAJYKZJVVSUBUVDVVRUAVUTYKVWFUVDVVRSVURWQZUAVUTVWBUVDVUFV
        VDUEVUHVVRVWGVUTYKVWCUVDVVDVUFVVHWTYLVVISUJSVURWSWSWSUAYMYDUVDSVURUAUVD
        UUKVVHYNYOVVRUAJVUTRYPYQUAVVRJYRVWDYSYQVWEYTVVQUVDVVQUCSUDUULUVQUCUVPSU
        VQVUDUCVUEVUIVUJVUKVULYGYHUVPVVNSVVOVUFVUFVUHUFVVPVUFVUFVUHWTWTXBXCSUJS
        VURWSWSXDYGYHUUNUUOXQDUVSEGHIJKLMNOUVSUUPUUQWHUUR $.
    $}

    ${
      $d M p $.
      line2x.x $e |- X = { <. 1 , 0 >. , <. 2 , M >. } $.
      line2x.y $e |- Y = { <. 1 , 1 >. , <. 2 , M >. } $.
      $( Lemma for ~ line2x .  This proof is based on counterexamples for the
         following cases: 1. ` M =/= ( C / B ) ` : p = (0,C/B) (LHS of
         bicondional is true, RHS is false); 2. ` A =/= 0 /\ M = ( C / B ) ` :
         p = (1,C/B) (LHS of bicondional is false, RHS is true).  (Contributed
         by AV, 4-Feb-2023.) $)
      line2xlem $p |- ( ( ( A e. RR /\ ( B e. RR /\ B =/= 0 ) /\ C e. RR )
                       /\ M e. RR )
               -> ( A. p e. P ( ( ( A x. ( p ` 1 ) ) + ( B x. ( p ` 2 ) ) ) = C
                    <-> ( p ` 2 ) = M ) -> ( A = 0 /\ M = ( C / B ) ) ) ) $=
        ( wceq cr wcel cc0 wne wa w3a cdiv co c1 cv cmul c2 caddc wb wral wn wo
        cfv ianor df-ne orbi12i bitr4i wrex cop cpr simp3 adantr simpl 3ad2ant2
        wi 0red simp2r redivcld adantl prelrrx2 syl2anc necomd neneqd a1d eqidd
        id a1i impbid xor3 sylibr fv1prop syl oveq2d recn mul01d 3ad2ant1 eqtrd
        cvv ovexd fv2prop cc recnd divcan2d oveq12d addid2d eqeq1d mtbird fveq1
        bibi12d notbid rspcev nne 1red jca eqneqall com12 pm2.24 eqcoms simprl1
        ex addcomd anim12ci 3adant2 addid0 bitrd bibi1d 1ex mpbird sylanb jaoi3
        ax-1rid orcoms rexnal syl6ib syl5bi con4d ) AUAUBZBUAUBZBUCUDZUEZCUAUBZ
        UFZIUAUBZUEZAUCTZICBUGUHZTZUEZAUILUJZURZUKUHZBULUUDURZUKUHZUMUHZCTZUUGI
        TZUNZLDUOZUUCUPZAUCUDZIUUAUDZUQZYSUUMUPZUUNYTUPZUUBUPZUQUUQYTUUBUSUUOUU
        SUUPUUTAUCUTIUUAUTVAVBYSUUQUULUPZLDVCZUURUUQYSUVBUUPUUOYSUVBVJZUUPUVCUU
        OUUPYSUVBUUPYSUEZUIUCVDULUUAVDZVEZDUBZAUIUVFURZUKUHZBULUVFURZUKUHZUMUHZ
        CTZUVJITZUNZUPZUVBUVDUCUAUBZUUAUAUBZUVGUVDVKYSUVRUUPYSCBYQYPYRYLYOYPVFZ
        VGZYQYMYRYOYLYMYPYMYNVHZVIZVGYQYNYRYLYMYNYPVLZVGZVMVNUCUUADGMOVOVPUVDUV
        OCCTZUUAITZUNZUUPUWGUPZYSUUPUWEUWFUPZUNUWHUUPUWEUWIUUPUWIUWEUUPUUAIUUPI
        UUAUUPWAVQVRVSUWIUWEVJUUPUWICVTWBWCUWEUWFWDWEVGUVDUVMUWEUVNUWFUVDUVLCCU
        VDUVLUCCUMUHZCYSUVLUWJTUUPYSUVIUCUVKCUMYSUVIAUCUKUHZUCYSUVHUCAUKYSUVQUV
        HUCTYSVKUCUUAUAWFWGWHYQUWKUCTZYRYLYOUWLYPYLAAWIZWJWKVGWLYSUVKBUUAUKUHZC
        YSUVJUUABUKYSUUAWMUBZUVJUUATYSCBUGWNZUCUUAWMWOWGZWHYSCBYQCWPUBZYRYQCUVS
        WQZVGYQBWPUBZYRYOYLUWTYPYOBUWAWQVIVGZUWDWRWLWSVNYSUWJCTZUUPYQUXBYRYQCUW
        SWTVGVNWLXAYSUVNUWFUNUUPYSUVJUUAIUWQXAVNXDXBUVAUVPLUVFDUUDUVFTZUULUVOUX
        CUUJUVMUUKUVNUXCUUIUVLCUXCUUFUVIUUHUVKUMUXCUUEUVHAUKUIUUDUVFXCWHUXCUUGU
        VJBUKULUUDUVFXCZWHWSXAUXCUUGUVJIUXDXAXDXEXFVPXOUUPUPUUBUUOUVCIUUAXGUUBU
        UOUEZYSUVBUXEYSUEZUIUIVDUVEVEZDUBZAUIUXGURZUKUHZBULUXGURZUKUHZUMUHZCTZU
        XKITZUNZUPZUVBYSUXHUXEYSUIUAUBZUVRUEZUXHYQUXSYRYQUXRUVRYQXHYQCBUVSUWBUW
        CVMXIVGUIUUADGMOVOWGVNUXFUXQACUMUHZCTZUWFUNZUPZUXFUYBYTUWFUNZUXEUYDUPZY
        SUXEYTUWIUNUYEUXEYTUWIUUOYTUWIVJUUBYTUUOUWIUWIAUCXJXKVNUUBUWIYTVJZUUOUY
        FUUAIUWFYTXLXMVGWCYTUWFWDWEVGUXFUYAYTUWFUXFUYACAUMUHZCTZYTUXFUXTUYGCUXF
        ACUXFAYLYOYPYRUXEXNWQUXFCYSYPUXEUVTVNWQXPXAUXFUWRAWPUBZUEZUYHYTUNYSUYJU
        XEYQUYJYRYLYPUYJYOYLUYIYPUWRUWMCWIXQXRVGVNCAXSWGXTYAXBYSUXQUYCUNUXEYSUX
        PUYBYSUXNUYAUXOUWFYSUXMUXTCYSUXJAUXLCUMYSUXJAUIUKUHZAYSUXIUIAUKYSUIWMUB
        ZUXIUITUYLYSYBWBUIUUAWMWFWGWHYQUYKATZYRYLYOUYMYPAYFWKVGWLYSUXLUWNCYSUXK
        UUABUKYSUWOUXKUUATUWPUIUUAWMWOWGZWHYSCBYSCUVTWQUXAUWDWRWLWSXAYSUXKUUAIU
        YNXAXDXEVNYCUVAUXQLUXGDUUDUXGTZUULUXPUYOUUJUXNUUKUXOUYOUUIUXMCUYOUUFUXJ
        UUHUXLUMUYOUUEUXIAUKUIUUDUXGXCWHUYOUUGUXKBUKULUUDUXGXCZWHWSXAUYOUUGUXKI
        UYPXAXDXEXFVPXOYDYEYGXKUULLDYHYIYJYK $.

      $( Example for a horizontal line ` G ` passing through two different
         points in "standard form".  (Contributed by AV, 3-Feb-2023.) $)
      line2x $p |- ( ( ( A e. RR /\ ( B e. RR /\ B =/= 0 ) /\ C e. RR )
                       /\ M e. RR )
                     -> ( G = ( X L Y ) <-> ( A = 0 /\ M = ( C / B ) ) ) ) $=
        ( c1 cr wcel cc0 wne wa w3a co wceq cv cfv cmul c2 caddc crab cmin cdiv
        a1i cop cpr cmap wf cvv 1ex 2ex pm3.2i c0ex jctl 1ne2 fprg 0red anim12i
        wss simpr 3adant3 prssi syl fssd mp3an2i feq2i sylibr reex prex eqeltri
        elmap 3eltr4g mpan wb elmapg mp1i mpbird wo opex orci opthne mpbir 0ne1
        1re olci jctil orcd prneimg 3netr4g 3jca adantl eqid rrx2linest eqeq12d
        mpsyl fveq1i 3pm3.2i fvpr1g syl5eq oveq12d eqtrdi oveq1d fvpr2g mp3an13
        rabbi 1m0e1 subidd eqtrd mp3an12i ax-1rid mul02d subid1d rrx2pyel recnd
        wral recn mulid2d rrx2pxel bibi2d ralbidva addid2d ad2antlr cc 3ad2ant2
        adantr ad3antrrr eqeq1d sylan9bb eqeq2d oveq1 mulcld simp3 simpl simp2r
        line2xlem divmuld eqcomd 3bitr2d bitrdi ralrimiva impbid 3bitrd bitr3id
        eqcom ex bitrd ) AUAUBZBUAUBZBUCUDZUEZCUAUBZUFZIUAUBZUEZFJKHUGZUHATLUIZ
        UJZUKUGZBULUVIUJZUKUGZUMUGZCUHZLDUNZTKUJZTJUJZUOUGZUVLUKUGZULKUJZULJUJZ
        UOUGZUVJUKUGZUWBUVQUKUGZUVRUWAUKUGZUOUGZUMUGZUHZLDUNZUHZAUCUHZICBUPUGZU
        HZUEZUVGFUVPUVHUWJFUVPUHUVGQUQUVGJDUBZKDUBZJKUDZUFZUVHUWJUHUVFUWSUVEUVF
        UWPUWQUWRUVFTUCURZULIURZUSZUAGUTUGZJDUVFGUAUXBVAZUXBUXCUBUVFTULUSZUAUXB
        VAZUXDTVBUBZULVBUBZUEZUVFUCVBUBZUVFUEZTULUDZUXFUXGUXHVCVDVEZUVFUXJVFVGU
        XLUVFVHUQZUXIUXKUXLUFZUXEUCIUSZUAUXBTULUCIVBVBVBUAVIUXOUCUAUBZUVFUEZUXP
        UAVLUXIUXKUXRUXLUXIUXQUXKUVFUXIVJUXJUVFVMVKVNUCIUAVOVPVQVRGUXEUAUXBMVSV
        TUAGUXBWAGUXEVBMTULWBWCZWDVTROWEUVFTTURZUXAUSZUXCKDUVFUYAUXCUBZGUAUYAVA
        ZUVFUXEUAUYAVAUYCUVFUXETIUSZUAUYAUXIUVFUXGUVFUEUXLUXEUYDUYAVAUXMUVFUXGV
        CVGUXNTULTIVBVBVBUAVIVRTUAUBUVFUYDUAVLWQTIUAVOWFVQGUXEUAUYAMVSVTUAVBUBZ
        GVBUBZUEUYBUYCWGUVFUYEUYFWAUXSVEUAGUYAVBVBWHWIWJSOWEUVFUXBUYAJKUWTVBUBZ
        UXAVBUBZUEZUXTVBUBZUYHUEZUEUVFUWTUXTUDZUWTUXAUDZUEZUXAUXTUDUXAUXAUDUEZW
        KUXBUYAUDUYIUYKUYGUYHTUCWLULIWLZVEUYJUYHTTWLUYPVEVEUVFUYNUYOUVFUYMUYLUY
        MUVFUYMUXLUCIUDZWKUXLUYQVHWMTUCULIVCVFWNWOUQUYLTTUDZUCTUDZWKUYSUYRWPWRT
        UCTTVCVFWNWOWSWTUWTUXAUXTUXAVBVBVBVBXAXHRSXBXCXDUVSUWCUWGDEGHJKLMNOPUVS
        XEUWCXEUWGXEXFVPXGUWKUVOUWIWGZLDYHZUVGUWOUVOUWILDXRUVGVUAUVOUVLUCIUMUGZ
        UHZWGZLDYHZUVOUVLIUHZWGZLDYHZUWOUVGUYTVUDLDUVGUVIDUBZUEUWIVUCUVOUVGUWIT
        UVLUKUGZUCUVJUKUGZIUMUGZUHZVUIVUCUVFUWIVUMWGUVEUVFUVTVUJUWHVULUVFUVSTUV
        LUKUVFUVSTUCUOUGTUVFUVQTUVRUCUOUVFUVQTUYAUJZTTKUYASXIZUXGUXGUXLUFVUNTUH
        ZUVFUXGUXGUXLVCVCVHXJTULTIVBVBXKZWIXLUVFUVRTUXBUJZUCTJUXBRXIZUXGUXJUXLU
        FVURUCUHZUVFUXGUXJUXLVCVFVHXJTULUCIVBVBXKZWIXLXMXSXNXOUVFUWDVUKUWGIUMUV
        FUWCUCUVJUKUVFUWCIIUOUGUCUVFUWAIUWBIUOUVFUWAULUYAUJZIULKUYASXIUXHUVFUXL
        VVBIUHVDVHTULTIVBUAXPXQXLZUVFUWBULUXBUJZIULJUXBRXIUXHUVFUXLVVDIUHVDVHTU
        LUCIVBUAXPXQXLZXMUVFIIYIZXTYAXOUVFUWGIUCUOUGIUVFUWEIUWFUCUOUVFUWEITUKUG
        IUVFUWBIUVQTUKVVEUVFUVQVUNTVUOUXGUXGUVFUXLVUPVCVCUXNVUQYBXLXMIYCYAUVFUW
        FUCIUKUGUCUVFUVRUCUWAIUKUVFUVRVURUCVUSUXGUXJUVFUXLVUTVCVFUXNVVAYBXLVVCX
        MUVFIVVFYDYAXMUVFIVVFYEYAXMXGXDVUIVUJUVLVULVUBVUIUVLVUIUVLDGUVIMOYFYGZY
        JVUIVUKUCIUMVUIUVJVUIUVJDGUVIMOYKYGYDZXOXGUUAYLYMUVFVUEVUHWGUVEUVFVUDVU
        GLDUVFVUIUEZVUCVUFUVOVVIVUBIUVLUVFVUBIUHVUIUVFIVVFYNYRUUBYLYMXDUVGVUHUW
        OABCDEFGHIJKLMNOPQRSUUHUVGUWOVUHUVGUWOUEZVUGLDVVJVUIUEZUVOIUVLUHZVUFVVK
        UVOUVMCUHUWMUVLUHVVLVVKUVNUVMCVVKUVNUCUVMUMUGUVMVVKUVKUCUVMUMVVKUVKVUKU
        CUWOUVKVUKUHZUVGVUIUWLVVMUWNAUCUVJUKUUCYRYOVUIVUKUCUHVVJVVHXDYAXOVVKUVM
        VVKBUVLUVEBYPUBZUVFUWOVUIUVCUUTVVNUVDUVAVVNUVBBYIYRYQYSVUIUVLYPUBVVJVVG
        XDZUUDYNYAYTVVKCBUVLUVECYPUBUVFUWOVUIUVECUUTUVCUVDUUEYGYSUVEVVNUVFUWOVU
        IUVCUUTVVNUVDUVCBUVAUVBUUFYGYQYSVVOUVEUVBUVFUWOVUIUUTUVAUVBUVDUUGYSUUIV
        VKUWMIUVLUWOUWMIUHUVGVUIUWOIUWMUWLUWNVMUUJYOYTUUKIUVLUUQUULUUMUURUUNUUO
        UUPUUS $.
    $}

    ${
      $d M p $.  $d N p $.
      line2y.x $e |- X = { <. 1 , 0 >. , <. 2 , M >. } $.
      line2y.y $e |- Y = { <. 1 , 0 >. , <. 2 , N >. } $.
      $( Example for a vertical line ` G ` passing through two different points
         in "standard form".  (Contributed by AV, 3-Feb-2023.) $)
      line2y $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR )
                      /\ ( M e. RR /\ N e. RR /\ M =/= N ) )
                    -> ( G = ( X L Y ) <-> ( A =/= 0 /\ B = 0 /\ C = 0 ) ) ) $=
        ( cr wcel w3a wne wa co wceq c1 cv cfv cmul caddc crab cc0 a1i cop cmap
        c2 cpr wf cvv 1ex 2ex pm3.2i c0ex jctl 1ne2 fprg 0red simp2r prssd fssd
        mp3an2i feq2i sylibr reex prex eqeltri elmap 3eltr4g 3ad2ant1 wss prssi
        mpan wb elmapg mp1i mpbird 3ad2ant2 fveq1i 3pm3.2i fvpr1g syl5eq eqtr4d
        0re simp3 simp1 fvpr2g simp2 3netr4d jca adantl rrx2vlinest syl eqeq12d
        3jca ax-mp eqtri eqeq2d rabbidv wral rabbi wi line2ylem adantr ad2antlr
        oveq1 oveq2d rrx2pyel recnd mul02d cc ad3antrrr rrx2pxel mulcld addid1d
        eqtrd eqeq1d wo mul0ord eqneqall com12 idd jaod impbid1 bitrd ralrimiva
        olc 3bitrd ex impbid bitr3id ) AUAUBZBUAUBZCUAUBZUCZIUAUBZJUAUBZIJUDZUC
        ZUEZFKLHUFZUGAUHMUIZUJZUKUFZBURUUMUJZUKUFZULUFZCUGZMDUMZUUNUHKUJZUGZMDU
        MZUGUUTUUNUNUGZMDUMZUGZAUNUDZBUNUGZCUNUGZUCZUUKFUUTUULUVCFUUTUGUUKRUOUU
        KKDUBZLDUBZUVAUHLUJZUGZURKUJZURLUJZUDZUEZUCZUULUVCUGUUJUVSUUFUUJUVKUVLU
        VRUUGUUHUVKUUIUUGUHUNUPZURIUPUSZUAGUQUFZKDUUGGUAUWAUTZUWAUWBUBUUGUHURUS
        ZUAUWAUTZUWCUHVAUBZURVAUBZUEZUUGUNVAUBZUUGUEZUHURUDZUWEUWFUWGVBVCVDZUUG
        UWIVEVFUWKUUGVGUOUWHUWJUWKUCZUWDUNIUSUAUWAUHURUNIVAVAVAUAVHUWMUNIUAUWMV
        IUWHUWIUUGUWKVJVKVLVMGUWDUAUWANVNVOUAGUWAVPGUWDVANUHURVQVRZVSVOSPVTWAUU
        HUUGUVLUUIUUHUVTURJUPUSZUWBLDUUHUWOUWBUBZGUAUWOUTZUUHUWDUAUWOUTUWQUUHUW
        DUNJUSZUAUWOUWHUUHUWIUUHUEUWKUWDUWRUWOUTUWLUUHUWIVEVFUWKUUHVGUOUHURUNJV
        AVAVAUAVHVMUNUAUBUUHUWRUAWBWOUNJUAWCWDVLGUWDUAUWONVNVOUAVAUBZGVAUBZUEUW
        PUWQWEUUHUWSUWTVPUWNVDUAGUWOVAVAWFWGWHTPVTWIUUJUVNUVQUUJUVAUNUVMUUJUVAU
        HUWAUJZUNUHKUWASWJZUWFUWIUWKUCZUXAUNUGZUUJUWFUWIUWKVBVEVGWKZUHURUNIVAVA
        WLZWGWMUUJUVMUHUWOUJZUNUHLUWOTWJUXCUXGUNUGUUJUXEUHURUNJVAVAWLWGWMWNUUJI
        JUVOUVPUUGUUHUUIWPUUJUVOURUWAUJZIURKUWASWJUWGUUJUUGUWKUXHIUGVCUUGUUHUUI
        WQUWKUUJVGUOZUHURUNIVAUAWRVMWMUUJUVPURUWOUJZJURLUWOTWJUWGUUJUUHUWKUXJJU
        GVCUUGUUHUUIWSUXIUHURUNJVAUAWRVMWMWTXAXFXBDEGHKLMNOPQXCXDXEUUKUVCUVEUUT
        UUKUVBUVDMDUUKUVAUNUUNUVAUNUGUUKUVAUXAUNUXBUXCUXDUXEUXFXGXHUOXIXJXIUVFU
        USUVDWEZMDXKZUUKUVJUUSUVDMDXLUUKUXLUVJUUFUXLUVJXMUUJABCDGMNPXNXOUUKUVJU
        XLUUKUVJUEZUXKMDUXMUUMDUBZUEZUUSUUOUNUUPUKUFZULUFZUNUGZUUOUNUGZUVDUVJUU
        SUXRWEUUKUXNUVJUURUXQCUNUVJUUQUXPUUOULUVHUVGUUQUXPUGUVIBUNUUPUKXQWIXRUV
        GUVHUVIWPXEXPUXOUXQUUOUNUXOUXQUUOUNULUFUUOUXOUXPUNUUOULUXNUXPUNUGUXMUXN
        UUPUXNUUPDGUUMNPXSXTYAXBXRUXOUUOUXOAUUNUUFAYBUBUUJUVJUXNUUFAUUCUUDUUEWQ
        XTYCZUXNUUNYBUBUXMUXNUUNDGUUMNPYDXTXBZYEYFYGYHUXOUXSAUNUGZUVDYIZUVDUXOA
        UUNUXTUYAYJUXOUYCUVDUXOUYBUVDUVDUVJUYBUVDXMZUUKUXNUVGUVHUYDUVIUYBUVGUVD
        UVDAUNYKYLWAXPUXOUVDYMYNUVDUYBYRYOYPYSYQYTUUAUUBYS $.
    $}
  $}

  $( Lemma for theorems about intersections of lines and circles in a real
     Euclidean space of dimension 2 .  (Contributed by AV, 2-May-2023.) $)
  itsclc0lem1 $p |- ( ( ( S e. RR /\ T e. RR /\ U e. RR )
                          /\ ( V e. RR /\ 0 <_ V ) /\ ( W e. RR /\ W =/= 0 ) )
                   -> ( ( ( S x. U ) + ( T x. ( sqrt ` V ) ) ) / W ) e. RR ) $=
    ( cr wcel w3a cc0 cle wbr wa wne cmul co csqrt cfv caddc remulcl 3adant2
    adantr simpl2 resqrtcl adantl remulcld readdcld 3adant3 simp3l redivcld
    simp3r ) AFGZBFGZCFGZHZDFGIDJKLZEFGZEIMZLZHACNOZBDPQZNOZROZEUNUOVBFGURUNUOL
    ZUSVAUNUSFGZUOUKUMVDULACSTUAVCBUTUKULUMUOUBUOUTFGUNDUCUDUEUFUGUNUOUPUQUHUNU
    OUPUQUJUI $.

  $( Lemma for theorems about intersections of lines and circles in a real
     Euclidean space of dimension 2 .  (Contributed by AV, 3-May-2023.) $)
  itsclc0lem2 $p |- ( ( ( S e. RR /\ T e. RR /\ U e. RR )
                          /\ ( V e. RR /\ 0 <_ V ) /\ ( W e. RR /\ W =/= 0 ) )
                   -> ( ( ( S x. U ) - ( T x. ( sqrt ` V ) ) ) / W ) e. RR ) $=
    ( cr wcel w3a cc0 cle wbr wa wne cmul co csqrt cfv cmin simp1 remulcld
    simp3 adantr simpl2 resqrtcl adantl resubcld 3adant3 simp3l simp3r redivcld
    ) AFGZBFGZCFGZHZDFGIDJKLZEFGZEIMZLZHACNOZBDPQZNOZROZEUNUOVBFGURUNUOLZUSVAUN
    USFGUOUNACUKULUMSUKULUMUATUBVCBUTUKULUMUOUCUOUTFGUNDUDUETUFUGUNUOUPUQUHUNUO
    UPUQUIUJ $.

  ${
    itsclc0lem3.q $e |- Q = ( ( A ^ 2 ) + ( B ^ 2 ) ) $.
    itsclc0lem3.d $e |- D = ( ( ( R ^ 2 ) x. Q ) - ( C ^ 2 ) ) $.
    $( Lemma for theorems about intersections of lines and circles in a real
       Euclidean space of dimension 2 .  (Contributed by AV, 2-May-2023.) $)
    itsclc0lem3 $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\ R e. RR )
                        -> D e. RR ) $=
      ( cr wcel w3a wa c2 cexp co cmul cmin simpr resqcld resum2sqcl remulcld
      3adant3 adantr simpl3 resubcld eqeltrid ) AIJZBIJZCIJZKZFIJZLZDFMNOZEPOZC
      MNOZQOIHULUNUOULUMEULFUJUKRSUJEIJZUKUGUHUPUIABEGTUBUCUAULCUGUHUIUKUDSUEUF
      $.
  $}

  ${
    itscnhlc0yqe.q $e |- Q = ( ( A ^ 2 ) + ( B ^ 2 ) ) $.
    ${
      itscnhlc0yqe.t $e |- T = -u ( 2 x. ( B x. C ) ) $.
      itscnhlc0yqe.u $e |- U = ( ( C ^ 2 ) - ( ( A ^ 2 ) x. ( R ^ 2 ) ) ) $.
      $( Lemma for ~ itsclc0 .  Quadratic equation for the y-coordinate of the
         intersection points of a nonhorizontal line and a circle.
         (Contributed by AV, 6-Feb-2023.) $)
      itscnhlc0yqe $p |- ( ( ( ( A e. RR /\ A =/= 0 ) /\ B e. RR /\ C e. RR )
                             /\ R e. RR+ /\ ( X e. RR /\ Y e. RR ) )
                 -> ( ( ( ( X ^ 2 ) + ( Y ^ 2 ) ) = ( R ^ 2 )
                        /\ ( ( A x. X ) + ( B x. Y ) ) = C )
                      -> ( ( Q x. ( Y ^ 2 ) ) + ( ( T x. Y ) + U ) ) = 0 ) ) $=
        ( wcel c2 co caddc wceq cmul 3ad2ant1 recnd cr cc0 wne wa w3a cexp cmin
        crp cdiv recn adantr simp2 simpr 3ad2ant3 remulcld simp3 simp11r anbi2d
        cc lineq oveq1 oveq1d eqeq1d biimpac cneg simpl resqcld resubcld adddid
        redivcld sqdivd oveq2d wb sqne0 biimpar divcan2d readdcld rpre 3ad2ant2
        syl mulcand binom2sub syl2anc 2re a1i subcan2ad addassd mulassd mulcomd
        eqtrd eqtr3d eqtr4d sqmuld adddird oveq12d subadd23d addsubassd negsubd
        comraddd eqcomd renegcld 3eqtrd subidd eqeq12d 3bitr2d 3bitr3d mulneg1d
        biimpd sylbid syl5 ) AUAMZAUBUCZUDZBUAMZCUAMZUEZEUHMZHUAMZIUAMZUDZUEZHN
        UFOZINUFOZPOZENUFOZQZAHROBIROZPOCQZUDYFHCYGUGOZAUIOZQZUDZDYCROZFIROZGPO
        ZPOZUBQZYAYHYKYFYAAYGHCXPXQAUSMZXTXMXNYRXOXKYRXLAUJZUKSSYAYGYABIXPXQXNX
        TXMXNXOULZSZXTXPXSXQXRXSUMZUNZUOZTZXTXPHUSMZXQXRUUFXSHUJUKUNXPXQCUSMZXT
        XPCXMXNXOUPZTZSZXKXLXNXOXQXTUQZUTURYLYJNUFOZYCPOZYEQZYAYQYKYFUUNYKYDUUM
        YEYKYBUULYCPHYJNUFVAVBVCVDYAUUNBNUFOZANUFOZPOZYCROZNBCROZROZIROZVEZCNUF
        OZUUPYEROZUGOZPOZPOZUBQZYQYAUUPUUMROZUVDQYINUFOZUUPYCROZPOZUVDQZUUNUVHY
        AUVIUVLUVDYAUVIUUPUULROZUVKPOUVLYAUUPUULYCXPXQUUPUSMZXTXPUUPXPAXMXNXKXO
        XKXLVFZSZVGTSYAUULYAYJYAYIAYACYGXPXQXOXTUUHSZUUDVHZXPXQXKXTUVQSZUUKVJVG
        ZTXTXPYCUSMXQXTYCXTIUUBVGTUNVIYAUVNUVJUVKPYAUVNUUPUVJUUPUIOZROUVJYAUULU
        WBUUPRYAYIAYAYIUVSTXPXQYRXTXMXNYRXOXMAUVPTSSUUKVKVLYAUVJUUPYAUVJYAYIUVS
        VGTXPXQUVOXTXMXNUVOXOXMUUPXMAUVPVGZTSSXPXQUUPUBUCZXTXMXNUWDXOXKUWDXLXKY
        RUWDXLVMYSAVNVTVOSSZVPWJVBWJVCYAUUMYEUUPYAUUMYAUULYCUWAYAIUUCVGZVQTXQXP
        YEUSMXTXQYEXQEEVRVGZTVSYAUUPXPXQUUPUAMZXTXMXNUWHXOUWCSZSZTUWEWAYAUVMUVC
        NCYGROZROZUGOZYGNUFOZPOZUVKPOZUVDQUWPUVDUGOZUVDUVDUGOZQUVHYAUVLUWPUVDYA
        UVJUWOUVKPYAUUGYGUSMUVJUWOQUUJUUECYGWBWCVBVCYAUWPUVDUVDYAUWPYAUWOUVKYAU
        WMUWNYAUVCUWLXPXQUVCUAMXTXPCUUHVGSZYANUWKNUAMYAWDWEZYACYGUVRUUDUOUOVHZY
        AYGUUDVGZVQYAUUPYCUWJUWFUOZVQTYAUVDYAUUPYEUWJXQXPYEUAMXTUWGVSUOZTZUXEWF
        YAUWQUVGUWRUBYAUWQUVCUVAUGOZUURPOZUVDUGOUURUVAUGOZUVCPOZUVDUGOZUVGYAUWP
        UXGUVDUGYAUWPUWMUWNUVKPOZPOUXGYAUWMUWNUVKYAUWMUXATYAUWNUXBTYAUVKUXCTWGY
        AUWMUXFUXKUURPYAUWLUVAUVCUGYAUWLNUUSIROZROUVAYAUWKUXLNRYACBROZIROUWKUXL
        YACBIYACUVRTXPXQBUSMXTXPBYTTZSZYAIUUCTZWHYAUXMUUSIRXPXQUXMUUSQXTXPCBUUI
        UXNWISVBWKVLYANUUSIYANUWTTYAUUSXPXQUUSUAMXTXPBCYTUUHUOSTUXPWHWLVLYAUXKU
        UOYCROZUVKPOUURYAUWNUXQUVKPYABIUXOUXPWMVBYAUUOUUPYCYAUUOYABUUAVGTZYAUUP
        YAAUVTVGTZYAYCUWFTWNWLWOWJVBYAUXGUXIUVDUGYAUXGUVCUXHYAUVCUWSTZYAUXHYAUU
        RUVAYAUUQYCXPXQUUQUAMXTXPUUOUUPXPBYTVGUWIVQSUWFUOZYAUUTIYANUUSUWTYABCUU
        AUVRUOUOZUUCUOZVHTZYAUVCUVAUURUXTYAUVAUYCTZYAUURUYATZWPWSVBYAUXJUXHUVEP
        OUURUVBPOZUVEPOUVGYAUXHUVCUVDUYDUXTUXEWQYAUXHUYGUVEPYAUYGUXHYAUURUVAUYF
        UYEWRWTVBYAUURUVBUVEUYFYAUVBYAUVAUYCXATYAUVEYAUVCUVDUWSUXDVHTWGXBXBYAUV
        DUXEXCXDXEXFYAUVHYQYAUVGYPUBYAYPUVGYAYMUURYOUVFPYADUUQYCRYADUUPUUOUXSUX
        RDUUPUUOPOQYAJWEWSVBYAYNUVBGUVEPYAYNUUTVEZIROUVBYAFUYHIRFUYHQYAKWEVBYAU
        UTIYAUUTUYBTUXPXGWJGUVEQYALWEWOWOWTVCXHXIXJXI $.

      $( Lemma for ~ itsclc0 .  Quadratic equation for the y-coordinate of the
         intersection points of a horizontal line and a circle.  (Contributed
         by AV, 25-Feb-2023.) $)
      itschlc0yqe $p |- ( ( ( ( A e. RR /\ A = 0 ) /\ B e. RR /\ C e. RR )
                             /\ R e. RR+ /\ ( X e. RR /\ Y e. RR ) )
                 -> ( ( ( ( X ^ 2 ) + ( Y ^ 2 ) ) = ( R ^ 2 )
                        /\ ( ( A x. X ) + ( B x. Y ) ) = C )
                      -> ( ( Q x. ( Y ^ 2 ) ) + ( ( T x. Y ) + U ) ) = 0 ) ) $=
        ( wcel cc0 wceq c2 cexp co caddc cmul cr wa w3a crp wi cneg cmin oveq2d
        oveq2 oveq1d negeqd oveq1 oveq12d eqcoms simp12 recnd simp3r sqcld 2cnd
        cc mulcld negcld add32r syl3anc addcld negsubd mulassd 2timesd subeq0bd
        mul32d sqvald eqtr4d eqtrd sylan9eqr simp3l mul02d eqeq1d sqmuld simp13
        3eqtrrd ex addid2d mulneg1d rpcn 3ad2ant2 subid1d 3imtr4d 3exp 3adant1r
        3imp adantld wb anbi2d syl5eq oveq1i a1i imbi12d adantl 3ad2ant1 mpbird
        sq0i ) AUAMZANOZUBZBUAMZCUAMZUCZEUDMZHUAMZIUAMZUBZUCZHPQRIPQRZSREPQRZOZ
        AHTRZBITRZSRZCOZUBZDXMTRZFITRZGSRZSRZNOZUEZXONHTRZXQSRZCOZUBZNBPQRZSRZX
        MTRZPBCTRZTRZUFZITRZCPQRZNXNTRZUGRZSRZSRZNOZUEZXLYIUUCXOXGXHXKYIUUCUEZX
        BXEXFXHXKUUEUEUEXCXBXEXFUCZXHXKUUEUUFXHXKUCZXQCOZXQPQRZYOITRZUFZYRSRZSR
        ZNOZYIUUCUUGUUHUUNUUHUUGUUMUUIPBXQTRZTRZITRZUFZUUISRZSRZNUUMUUTOCXQCXQO
        ZUULUUSUUISUVAUUKUURYRUUISUVAUUJUUQUVAYOUUPITUVAYNUUOPTCXQBTUIUHUJUKCXQ
        PQULUMUHUNUUGUUTUUIUUISRZUURSRZNUUGUUIUTMZUURUTMUVDUUTUVCOUUGXQUUGBIUUG
        BXBXEXFXHXKUOUPZUUGIUUFXHXIXJUQUPZVAZURZUUGUUQUUGUUPIUUGPUUOUUGUSZUUGBX
        QUVEUVGVAZVAUVFVAZVBUVHUUIUURUUIVCVDUUGUVCUVBUUQUGRNUUGUVBUUQUUGUUIUUIU
        VHUVHVEZUVKVFUUGUVBUUQUVLUUGUUQPUUOITRZTRPUUITRUVBUUGPUUOIUVIUVJUVFVGUU
        GUVMUUIPTUUGUVMXQXQTRUUIUUGBXQIUVEUVGUVFVJUUGXQUVGVKVLUHUUGUUIUVHVHVTVI
        VMVMVNWAUUGYHXQCUUGYHNXQSRXQUUGYGNXQSUUGHUUGHUUFXHXIXJVOUPVPUJUUGXQUVGW
        BVMVQUUGUUBUUMNUUGYMUUIUUAUULSUUGYMYKXMTRUUIUUGYLYKXMTUUGYKUUGBUVEURWBU
        JUUGBIUVEUVFVRVLUUGYQUUKYTYRSUUGYOIUUGPYNUVIUUGBCUVEUUGCXBXEXFXHXKVSUPZ
        VAVAUVFWCUUGYTYRNUGRZYRXHUUFYTUVOOXKXHYSNYRUGXHXNXHEEWDURVPUHWEUUGYRUUG
        CUVNURWFVMUMUMVQWGWHWIWJWKXGXHYFUUDWLZXKXDXEUVPXFXCUVPXBXCXTYJYEUUCXCXS
        YIXOXCXRYHCXCXPYGXQSANHTULUJVQWMXCYDUUBNXCYAYMYCUUASXCDYLXMTXCDAPQRZYKS
        RYLJXCUVQNYKSAXAZUJWNUJXCYBYQGYTSYBYQOXCFYPITKWOWPXCGYRUVQXNTRZUGRYTLXC
        UVSYSYRUGXCUVQNXNTUVRUJUHWNUMUMVQWQWRWSWSWT $.

      $( Lemma for ~ itsclc0 .  Quadratic equation for the y-coordinate of the
         intersection points of an arbitrary line and a circle.  This theorem
         holds even for degenerate lines ( ` A = B = 0 ` ).  (Contributed by
         AV, 25-Feb-2023.) $)
      itsclc0yqe $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR )
                               /\ R e. RR+ /\ ( X e. RR /\ Y e. RR ) )
                 -> ( ( ( ( X ^ 2 ) + ( Y ^ 2 ) ) = ( R ^ 2 )
                        /\ ( ( A x. X ) + ( B x. Y ) ) = C )
                      -> ( ( Q x. ( Y ^ 2 ) ) + ( ( T x. Y ) + U ) ) = 0 ) ) $=
        ( cr wcel wa co caddc wceq cmul cc0 w3a c2 cexp wi simp11 anim1i ancoms
        crp simpr12 simpr13 simpr2 simpr3 itschlc0yqe syl311anc ex itscnhlc0yqe
        wne pm2.61ine ) AMNZBMNZCMNZUAZEUHNZHMNIMNOZUAZHUBUCPIUBUCPZQPEUBUCPRAH
        SPBISPQPCRODVFSPFISPGQPQPTRUDZUDATATRZVEVGVHVEOUSVHOZUTVAVCVDVGVEVHVIVE
        USVHUSUTVAVCVDUEZUFUGUSUTVAVCVDVHUIUSUTVAVCVDVHUJVHVBVCVDUKVHVBVCVDULAB
        CDEFGHIJKLUMUNUOATUQZVEVGVKVEOUSVKOZUTVAVCVDVGVEVKVLVEUSVKVJUFUGUSUTVAV
        CVDVKUIUSUTVAVCVDVKUJVKVBVCVDUKVKVBVCVDULABCDEFGHIJKLUPUNUOUR $.

      itsclc0yqsollem1.d $e |- D = ( ( ( R ^ 2 ) x. Q ) - ( C ^ 2 ) ) $.
      $( Lemma 1 for ~ itsclc0yqsol .  (Contributed by AV, 6-Feb-2023.) $)
      itsclc0yqsollem1 $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC ) /\ R e. CC )
                           -> ( ( T ^ 2 ) - ( 4 x. ( Q x. U ) ) )
                              = ( ( 4 x. ( A ^ 2 ) ) x. D ) ) $=
        ( cc c2 cexp co c4 cmul cmin mulcld wcel wa caddc cneg oveq1i wceq 2cnd
        w3a simpl2 simpl3 sqneg syl sqmuld sq2 a1i oveq12d 3eqtrd syl5eq simpl1
        oveq12i sqcld addcld simpr subdid adddird mul12d oveq2d assraddsubd 4cn
        addcomd simp1 adantr eqeltrid subcld mulassd subsub4d cc0 subidd oveq1d
        subsub2d addid2d eqtr3d adddid eqcomd eqtr4d mulcomd eqtrd 3eqtr2rd
        0cnd ) AMUAZBMUAZCMUAZUHZFMUAZUBZGNOPZQEHRPZRPZSPQBNOPZCNOPZRPZRPZQXAAN
        OPZWTRPZXCXCFNOPZRPZRPZXCWSXERPZRPZUCPZSPZUCPZRPZSPZQXCRPDRPZWOWPXBWRXM
        SWOWPNBCRPZRPZUDZNOPZXBGXRNOJUEWOXSXQNOPZNNOPZXPNOPZRPXBWOXQMUAXSXTUFWO
        NXPWOUGZWOBCWJWKWLWNUIZWJWKWLWNUJZTZTXQUKULWONXPYCYFUMWOYAQYBXARYAQUFWO
        UNUOWOBCYDYEUMUPUQURWOWQXLQRWOWQXCWSUCPZWTXFSPZRPZXLEYGHYHRIKUTWOYIYGWT
        RPZYGXFRPZSPXDXAUCPZXGWSXFRPZUCPZSPZXLWOYGWTXFWOXCWSWOAWJWKWLWNUSVAZWOB
        YDVAZVBZWOCYEVAZWOXCXEYPWOFWMWNVCVAZTZVDWOYJYLYKYNSWOXCWSWTYPYQYSVEWOXC
        WSXFYPYQUUAVEUPWOYOXAXDXJWOWSWTYQYSTZWOXCWTYPYSTZWOXGXIWOXCXFYPUUATWOXC
        XHYPWOWSXEYQYTTZTVBZWOYLXAXDUCPYNXJSWOXDXAUUCUUBVJWOYMXIXGUCWOWSXCXEYQY
        PYTVFVGUPVHUQURVGUPWOXOQXCDRPZRPQXAXLSPZRPXNWOQXCDQMUAWOVIUOZWMXCMUAWNW
        MAWJWKWLVKVAVLWODXEERPZWTSPZMLWOUUIWTWOXEEYTWOEYGMIYRVMTYSVNVMVOWOUUGUU
        FQRWOUUGXJXDSPZXCYGXERPZWTSPZRPZUUFWOXAXASPZXKSPZUUGUUKWOXAXAXKUUBUUBWO
        XDXJUUCUUEVNZVPWOUUPVQXKSPVQUUKUCPUUKWOUUOVQXKSWOXAUUBVRVSWOVQXDXJWOWIU
        UCUUEVTWOUUKWOXJXDUUEUUCVNWAUQWBWOUUKXCUULRPZXDSPUUNWOXJUURXDSWOXCXFXHU
        CPZRPXJUURWOXCXFXHYPUUAUUDWCWOUUSUULXCRWOUULUUSWOXCWSXEYPYQYTVEWDVGWBVS
        WOXCUULWTYPWOYGXEYRYTTYSVDWEWOUUMDXCRWODUUMWODUUJUUMLWOUUIUULWTSWOUUIXE
        YGRPUULWOEYGXEREYGUFWOIUOVGWOXEYGYTYRWFWGVSURWDVGUQVGWOQXAXLUUHUUBWOXAX
        KUUBUUQVBVDWHWG $.

      $( Lemma 2 for ~ itsclc0yqsol .  (Contributed by AV, 6-Feb-2023.) $)
      itsclc0yqsollem2 $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR )
                             /\ R e. RR /\ 0 <_ D )
                           -> ( sqrt ` ( ( T ^ 2 ) - ( 4 x. ( Q x. U ) ) ) )
                              = ( ( 2 x. ( abs ` A ) ) x. ( sqrt ` D ) ) ) $=
        ( cr wcel c2 co c4 cmul csqrt 3ad2ant1 w3a cc0 cle wbr cexp cmin cfv cc
        cabs wa wceq recn 3anim123i anim12i 3adant3 itsclc0yqsollem1 syl fveq2d
        4re a1i simp1 resqcld remulcld 0re 4pos ltleii mulge0d simp2 resum2sqcl
        sqge0d simp3 resubcld eqeltrid sqrtmuld pm3.2i resqcl sqge0 sqrt4 absre
        sqrtmul syl12anc eqcomd oveq12d eqtrd oveq1d 3eqtrd ) AMNZBMNZCMNZUAZFM
        NZUBDUCUDZUAZGOUEPQEHRPRPUFPZSUGQAOUEPZRPZDRPZSUGWPSUGZDSUGZRPOAUIUGZRP
        ZWSRPWMWNWQSWMAUHNZBUHNZCUHNZUAZFUHNZUJZWNWQUKWJWKXGWLWJXEWKXFWGXBWHXCW
        IXDAULBULCULUMFULUNUOABCDEFGHIJKLUPUQURWMWPDWMQWOQMNZWMUSUTZWJWKWOMNZWL
        WJAWGWHWIVAZVBTZVCWMQWOXIXLUBQUCUDZWMUBQVDUSVEVFZUTWJWKUBWOUCUDZWLWJAXK
        VJTVGWMDFOUEPZERPZCOUEPZUFPMLWMXQXRWMXPEWMFWJWKWLVHVBWJWKEMNZWLWGWHXSWI
        ABEIVIUOTVCWJWKXRMNWLWJCWGWHWIVKVBTVLVMWJWKWLVKVNWMWRXAWSRWMWRQSUGZWOSU
        GZRPZXAWJWKWRYBUKZWLWGWHYCWIWGXHXMUJZXJXOYCYDWGXHXMUSXNVOUTAVPAVQQWOVTW
        ATTWMXTOYAWTRXTOUKWMVRUTWJWKYAWTUKZWLWGWHYEWIWGWTYAAVSWBTTWCWDWEWF $.
    $}

    itsclc0yqsol.d $e |- D = ( ( ( R ^ 2 ) x. Q ) - ( C ^ 2 ) ) $.
    $( Lemma for ~ itsclc0 .  Solutions of the quadratic equations for the
       y-coordinate of the intersection points of a (nondegenerate) line and a
       circle.  (Contributed by AV, 7-Feb-2023.) $)
    itsclc0yqsol $p |- ( ( ( ( A e. RR /\ B e. RR /\ C e. RR )
                                 /\ ( A =/= 0 \/ B =/= 0 ) )
                          /\ ( R e. RR+ /\ 0 <_ D ) /\ ( X e. RR /\ Y e. RR ) )
                         -> ( ( ( ( X ^ 2 ) + ( Y ^ 2 ) ) = ( R ^ 2 )
                                /\ ( ( A x. X ) + ( B x. Y ) ) = C )
               -> ( Y = ( ( ( B x. C ) - ( A x. ( sqrt ` D ) ) ) / Q )
                 \/ Y = ( ( ( B x. C ) + ( A x. ( sqrt ` D ) ) ) / Q ) ) ) ) $=
      ( wcel cc0 c2 co caddc wceq cmul cmin cdiv 3ad2ant1 cr w3a wne wo crp cle
      wa wbr cexp cneg csqrt cfv wi eqid itsclc0yqe 3adant1r 3adant2r c4 3simpa
      cabs adantr resum2sqcl syl recnd simpr1 simpl simpr2 resum2sqgt0 syl21anc
      clt ex simp1 sqcld simp2 addcomd adantl syl5eq breqtrrd jaoi gt0ne0d 2cnd
      impcom recn 3ad2ant2 3ad2ant3 mulcld negcld rpcnd subcld eqidd quad rpred
      abscld resqcld remulcld simp1l3 resubcld eqeltrid sqrtcld mulassd negnegd
      oveq2d simp2r itsclc0yqsollem2 syl3anc oveq12d adddid 3eqtr4d oveq1d 2ne0
      addcld a1i divcan5d eqtrd eqeq2d subdid orbi12d bitrd absid pm1.4 subnegd
      cc syl6bi wn mulneg1d simp1d 0red ltnled ltle mpdan sylbird negeqd eqtr3d
      id absnidd negsubd biimpd pm2.61ian sylbid syld ) AUAKZBUAKZCUAKZUBZALUCZ
      BLUCZUDZUGZFUEKZLDUFUHZUGZGUAKZHUAKZUGZUBZGMUINHMUINZONFMUINZPAGQNBHQNONC
      PUGZEUUPQNMBCQNZQNZUJZHQNCMUINZAMUINZUUQQNZRNZONONLPZHUUSADUKULZQNZRNZESN
      ZPZHUUSUVHONZESNZPZUDZUUHUUIUUNUURUVFUMZUUJUUDUUIUUNUVPUUGABCEFUVAUVEGHIU
      VAUNZUVEUNZUOUPUQUUOUVFHUUSAUTULZUVGQNZONZESNZPZHUUSUVTRNZESNZPZUDZUVOUUO
      UVFHUVAUJZUVAMUINUREUVEQNQNRNZUKULZONZMEQNZSNZPZHUWHUWJRNZUWLSNZPZUDUWGUU
      OEUVAUVEUWIHUUOEUUHUUKEUAKZUUNUUHUUAUUBUGZUWRUUDUWSUUGUUAUUBUUCUSVAABEIVB
      VCTZVDZUUHUUKELUCUUNUUHEUUGUUDLEVJUHZUUEUUDUXBUMUUFUUEUUDUXBUUEUUDUGUUAUU
      EUUBUXBUUEUUAUUBUUCVEUUEUUDVFUUEUUAUUBUUCVGABEIVHVIVKUUFUUDUXBUUFUUDUGZLB
      MUINZUVCONZEVJUXCUUBUUFUUALUXEVJUHUUFUUAUUBUUCVGUUFUUDVFUUFUUAUUBUUCVEBAU
      XEUXEUNVHVIUXCEUVCUXDONZUXEIUUDUXFUXEPUUFUUDUVCUXDUUDAUUDAUUAUUBUUCVLVDVM
      UUDBUUDBUUAUUBUUCVNVDVMVOVPVQVRVKVSWBVTTZUUOUUTUUOMUUSUUOWAZUUOBCUUHUUKBY
      BKZUUNUUDUXIUUGUUBUUAUXIUUCBWCWDVATUUHUUKCYBKZUUNUUDUXJUUGUUCUUAUXJUUBCWC
      WEVATZWFZWFZWGUUOUVBUVDUUOCUXKVMUUOUVCUUQUUOAUUHUUKAYBKZUUNUUDUXNUUGUUAUU
      BUXNUUCAWCZTVATZVMUUOFUUKUUHFYBKUUNUUKFUUIUUJVFZWHWDVMWFWIUUNUUHHYBKZUUKU
      UMUXRUULHWCVPWEUUOUWIWJWKUUOUWNUWCUWQUWFUUOUWMUWBHUUOUWMMUWAQNZUWLSNUWBUU
      OUWKUXSUWLSUUOUUTMUVSQNUVGQNZONUUTMUVTQNZONUWKUXSUUOUXTUYAUUTOUUOMUVSUVGU
      XHUUHUUKUVSYBKZUUNUUDUYBUUGUUAUUBUYBUUCUUAUVSUUAAUXOWMVDTVATZUUODUUODUUOD
      UUQEQNZUVBRNUAJUUOUYDUVBUUOUUQEUUOFUUKUUHFUAKZUUNUUKFUXQWLWDZWNUWTWOUUOCU
      UAUUBUUCUUGUUKUUNWPWNWQWRVDWSZWTZXBUUOUWHUUTUWJUXTOUUOUUTUXMXAZUUOUUDUYEU
      UJUWJUXTPUUHUUKUUDUUNUUDUUGVFTZUYFUUHUUIUUJUUNXCABCDEFUVAUVEIUVQUVRJXDXEZ
      XFUUOMUUSUVTUXHUXLUUOUVSUVGUYCUYGWFZXGXHXIUUOUWAEMUUOUUSUVTUXLUYLXKUXAUXH
      UXGMLUCUUOXJXLZXMXNXOUUOUWPUWEHUUOUWPMUWDQNZUWLSNUWEUUOUWOUYNUWLSUUOUUTUX
      TRNUUTUYARNUWOUYNUUOUXTUYAUUTRUYHXBUUOUWHUUTUWJUXTRUYIUYKXFUUOMUUSUVTUXHU
      XLUYLXPXHXIUUOUWDEMUUOUUSUVTUXLUYLWIUXAUXHUXGUYMXMXNXOXQXRLAUFUHZUUOUWGUV
      OUMUYOUUOUGZUWGUVNUVKUDUVOUYPUWCUVNUWFUVKUYPUWBUVMHUYPUWAUVLESUYPUVTUVHUU
      SOUYPUVSAUVGQUUOUYOUVSAPZUUHUUKUYOUYQUMZUUNUUDUYRUUGUUAUUBUYRUUCUUAUYOUYQ
      AXSVKTVATWBXIZXBXIXOUYPUWEUVJHUYPUWDUVIESUYPUVTUVHUUSRUYSXBXIXOXQUVNUVKXT
      YCUYOYDZUUOUGZUWGUVOVUAUWCUVKUWFUVNVUAUWBUVJHVUAUWAUVIESVUAUUSUVTUJZRNUWA
      UVIVUAUUSUVTUUOUUSYBKUYTUXLVPZUUOUVTYBKUYTUYLVPZYAVUAVUBUVHUUSRVUAUVSUJZU
      VGQNVUBUVHVUAUVSUVGUUOUYBUYTUYCVPUUOUVGYBKUYTUYGVPYEVUAVUEAUVGQVUAVUEAUJZ
      UJAVUAUVSVUFVUAAUUOUUAUYTUUOUUAUUBUUCUYJYFVPUUOUYTALUFUHZUUHUUKUYTVUGUMZU
      UNUUDVUHUUGUUAUUBVUHUUCUUAUYTALVJUHZVUGUUAALUUAYNUUAYGZYHUUALUAKVUIVUGUMV
      UJALYIYJYKTVATWBYOYLVUAAUUOUXNUYTUXPVPXAXNXIYMZXBYMXIXOVUAUWEUVMHVUAUWDUV
      LESVUAUUSVUBONUWDUVLVUAUUSUVTVUCVUDYPVUAVUBUVHUUSOVUKXBYMXIXOXQYQYRYSYT
      $.

    $( Lemma for ~ itsclc0 .  Solutions of the quadratic equations for the
       coordinates of the intersection points of a nonhorizontal line and a
       circle.  (Contributed by AV, 8-Feb-2023.) $)
    itscnhlc0xyqsol $p |- ( ( ( ( A e. RR /\ A =/= 0 ) /\ B e. RR /\ C e. RR )
                          /\ ( R e. RR+ /\ 0 <_ D ) /\ ( X e. RR /\ Y e. RR ) )
                         -> ( ( ( ( X ^ 2 ) + ( Y ^ 2 ) ) = ( R ^ 2 )
                                /\ ( ( A x. X ) + ( B x. Y ) ) = C )
           -> ( ( X = ( ( ( A x. C ) + ( B x. ( sqrt ` D ) ) ) / Q )
               /\ Y = ( ( ( B x. C ) - ( A x. ( sqrt ` D ) ) ) / Q ) )
             \/ ( X = ( ( ( A x. C ) - ( B x. ( sqrt ` D ) ) ) / Q )
               /\ Y = ( ( ( B x. C ) + ( A x. ( sqrt ` D ) ) ) / Q ) ) ) ) ) $=
      ( wcel wa co caddc wceq cmul cdiv cmin recnd mulcld cr cc0 wne w3a crp c2
      cle wbr cexp csqrt cfv wo wi simpl 3anim1i 3ad2ant1 orcd jca itsclc0yqsol
      simpr syl oveq2 oveq2d eqeq1d simp12 simp13 simp11l adantr adantl resqcld
      imp rpre simp1l simp2 resum2sqcl syl2anc remulcld simpl3 resubcld 3adant3
      eqeltrid sqrtcld subcld clt resum2sqgt0 gt0ne0d divassd eqcomd divsubdird
      divcan3d eqeq12d divcld simp3l subadd2d eqcom a1i simp11r divmul2d eqeq2d
      divdiv1d 3bitr3d bitrd sylan9bbr oveq1i sqcld simp3 adddird syl5eq subdid
      mulassd recn sqvald 3ad2ant2 oveq1d eqtr3d mul12d oveq12d addcomd pnncand
      wb cc eqtrd 3eqtrd mulcomd adddid addcld simpl1r divcan5d biimpd ex com23
      sylbid adantld ancrd pnpcand orim12d mpd ) AUAKZAUBUCZLZBUAKZCUAKZUDZFUEK
      ZUBDUGUHZLZGUAKZHUAKZLZUDZGUFUIMHUFUIMNMFUFUIMZOZAGPMZBHPMZNMZCOZLZGACPMZ
      BDUJUKZPMZNMZEQMZOZHBCPMZAUUSPMZRMZEQMZOZLZGUURUUTRMZEQMZOZHUVDUVENMZEQMZ
      OZLZULZUUJUUQLZUVHUVOULZUVQUUJUUQUVSUUJYRUUAUUBUDZYSBUBUCZULZLZUUFUUIUDUU
      QUVSUMUUCUWCUUFUUIUUCUVTUWBYTYRUUAUUBYRYSUNUOUUCYSUWAYTUUAYSUUBYRYSUTUPUQ
      URUOABCDEFGHIJUSVAVKUVRUVHUVIUVOUVPUVRUVHUVCUUJUUQUVHUVCUMZUUJUUPUWDUULUU
      JUVHUUPUVCUUJUVHUUPUVCUMUUJUVHLUUPGECPMZBUVFPMZRMZEAPMZQMZOZUVCUVHUUPUUMB
      UVGPMZNMZCOZUUJUWJUVHUUOUWLCUVHUUNUWKUUMNHUVGBPVBVCVDUUJUWMUUMUWFEQMZNMZU
      WEEQMZOZUWJUUJUWLUWOCUWPUUJUWKUWNUUMNUUJUWNUWKUUJBUVFEUUJBYTUUAUUBUUFUUIV
      ESZUUJUVDUVEUUJBCUWRUUJCYTUUAUUBUUFUUIVFSZTZUUJAUUSUUJAYRYSUUAUUBUUFUUIVG
      SZUUJDUUJDUUCUUFDUAKUUIUUCUUFLZDUUKEPMZCUFUIMZRMUAJUXBUXCUXDUXBUUKEUXBFUU
      FFUAKZUUCUUDUXEUUEFVLVHVIVJUUCEUAKZUUFUUCYRUUAUXFYRYSUUAUUBVMZYTUUAUUBVNZ
      ABEIVOVPZVHZVQUXBCYTUUAUUBUUFVRZVJVSWAZVTSWBTZWCZUUJEUUCUUFUXFUUIUXIUPSZU
      UCUUFEUBUCZUUIUUCEYTUUAUBEWDUHUUBABEIWEVTWFZUPZWGWHVCUUJUWPCUUJCEUWSUXOUX
      RWJWHZWKUUJUWPUWNRMZUUMOUWGEQMZUUMOZUWQUWJUUJUXTUYAUUMUUJUYAUXTUUJUWEUWFE
      UUJECUXOUWSTZUUJBUVFUWRUXNTZUXOUXRWIWHVDUUJUWPUWNUUMUUJUWEEUYCUXOUXRWLZUU
      JUWFEUYDUXOUXRWLUUJAGUXAUUJGUUCUUFUUGUUHWMSZTZWNUUJUYAAQMZGOZGUYHOZUYBUWJ
      UYIUYJXTUUJUYHGWOWPUUJUYAGAUUJUWGEUUJUWEUWFUYCUYDWCZUXOUXRWLUYFUXAYRYSUUA
      UUBUUFUUIWQZWRUUJUYHUWIGUUJUWGEAUYKUXOUXAUXRUYLWTWSXAXAXBXCUUJUWJUVCUMZUV
      HUUCUUFUYMUUIUXBUWJUVCUXBUWIUVBGUXBUWIAUFUIMZCPMZAUUTPMZNMZUWHQMAUURPMZUY
      PNMZAEPMZQMZUVBUXBUWGUYQUWHQUXBUWGUYOBUFUIMZCPMZNMZVUCUYPRMZRMVUCUYONMZVU
      ERMUYQUXBUWEVUDUWFVUERUUCUWEVUDOUUFUUCUWEUYNVUBNMZCPMVUDEVUGCPIXDUUCUYNVU
      BCUUCAUUCAUXGSZXEUUCBUUCBUXHSZXEUUCCYTUUAUUBXFSZXGXHVHZUXBUWFBUVDPMZBUVEP
      MZRMVUEUXBBUVDUVEUUCBYAKUUFVUIVHZUXBBCVUNUXBCUXKSZTZUXBAUUSUUCAYAKUUFVUHV
      HZUXBDUXBDUXLSWBZTZXIUXBVULVUCVUMUYPRUUCVULVUCOUUFUUCBBPMZCPMVULVUCUUCBBC
      VUIVUIVUJXJUUCVUTVUBCPUUCVUBVUTUUAYTVUBVUTOUUBUUABBXKXLXMWHXNXOVHZUXBBAUU
      SVUNVUQVURXPZXQYBXQUXBVUDVUFVUERUXBUYOVUCUXBUYNCUXBAVUQXEVUOTZUXBVUBCUXBB
      VUNXEVUOTZXRZXNUXBVUCUYOUYPVVDVVCUXBAUUTVUQUXBBUUSVUNVURTZTZXSYCXNUXBUYQU
      YSUWHUYTQUXBUYOUYRUYPNUUCUYOUYROUUFUUCUYOAAPMZCPMUYRUUCUYNVVHCPUUCAVUHXLX
      NUUCAACVUHVUHVUJXJYBVHZXNUXBEAUXBEUXJSZVUQYDZXQUXBVUAAUVAPMZUYTQMUVBUXBUY
      SVVLUYTQUXBVVLUYSUXBAUURUUTVUQUXBACVUQVUOTZVVFYEWHXNUXBUVAEAUXBUURUUTVVMV
      VFYFVVJVUQUUCUXPUUFUXQVHZYRYSUUAUUBUUFYGZYHYBYCWSYIVTVHYLYJYKYMVKYNUVRUVO
      UVLUUJUUQUVOUVLUMZUUJUUPVVPUULUUJUVOUUPUVLUUJUVOUUPUVLUMUUJUVOLUUPGUWEBUV
      MPMZRMZUWHQMZOZUVLUVOUUPUUMBUVNPMZNMZCOZUUJVVTUVOUUOVWBCUVOUUNVWAUUMNHUVN
      BPVBVCVDUUJVWCUUMVVQEQMZNMZUWPOZVVTUUJVWBVWECUWPUUJVWAVWDUUMNUUJVWDVWAUUJ
      BUVMEUWRUUJUVDUVEUWTUXMYFZUXOUXRWGWHVCUXSWKUUJUWPVWDRMZUUMOVVREQMZUUMOZVW
      FVVTUUJVWHVWIUUMUUJVWIVWHUUJUWEVVQEUYCUUJBUVMUWRVWGTZUXOUXRWIWHVDUUJUWPVW
      DUUMUYEUUJVVQEVWKUXOUXRWLUYGWNUUJVWIAQMZGOZGVWLOZVWJVVTVWMVWNXTUUJVWLGWOW
      PUUJVWIGAUUJVVREUUJUWEVVQUYCVWKWCZUXOUXRWLUYFUXAUYLWRUUJVWLVVSGUUJVVREAVW
      OUXOUXAUXRUYLWTWSXAXAXBXCUUJVVTUVLUMZUVOUUCUUFVWPUUIUXBVVTUVLUXBVVSUVKGUX
      BVVSUYOUYPRMZUWHQMUYRUYPRMZUYTQMZUVKUXBVVRVWQUWHQUXBVVRVUDVUCUYPNMZRMVUFV
      WTRMVWQUXBUWEVUDVVQVWTRVUKUXBVVQVULVUMNMVWTUXBBUVDUVEVUNVUPVUSYEUXBVULVUC
      VUMUYPNVVAVVBXQYBXQUXBVUDVUFVWTRVVEXNUXBVUCUYOUYPVVDVVCVVGYOYCXNUXBVWQVWR
      UWHUYTQUXBUYOUYRUYPRVVIXNVVKXQUXBVWSAUVJPMZUYTQMUVKUXBVWRVXAUYTQUXBVXAVWR
      UXBAUURUUTVUQVVMVVFXIWHXNUXBUVJEAUXBUURUUTVVMVVFWCVVJVUQVVNVVOYHYBYCWSYIV
      TVHYLYJYKYMVKYNYPYQYJ $.

    $( Lemma for ~ itsclc0 .  Solutions of the quadratic equations for the
       coordinates of the intersection points of a horizontal line and a
       circle.  (Contributed by AV, 25-Feb-2023.) $)
    itschlc0xyqsol1 $p |- ( ( ( ( A e. RR /\ B e. RR /\ C e. RR )
                             /\ ( A = 0 /\ B =/= 0 ) )
                          /\ ( R e. RR+ /\ 0 <_ D ) /\ ( X e. RR /\ Y e. RR ) )
                         -> ( ( ( ( X ^ 2 ) + ( Y ^ 2 ) ) = ( R ^ 2 )
                                /\ ( ( A x. X ) + ( B x. Y ) ) = C )
                -> ( Y = ( C / B ) /\ ( X = -u ( ( sqrt ` D ) / B )
                                        \/ X = ( ( sqrt ` D ) / B ) ) ) ) ) $=
      ( wcel cc0 wceq wa c2 co cmul cdiv adantr cc cr w3a wne crp cle wbr caddc
      cexp csqrt cfv cneg wo cmin animorr anim2i itsclc0yqsol syl3an1 imp oveq1
      adantl rpcn sqcld resum2sqcl recnd 3adant3 mulcld simpll3 subcld eqeltrid
      wi sqrtcld mul02d eqtrd oveq2d simpll2 subid1d sq0i oveq1d addid2d syl5eq
      recn sqvald 3ad2ant2 oveq12d simplrr divcan5d eqeq2d biimpd addid1d simp2
      simpl3 simpr jaod eqeq1d simp1rr divcld simp3l subadd2d wb sqdivd resqcld
      sqgt0d elrpd subdivcomb1 syl3anc eqtr4d eqcomd oveq1i eqeq1i eqcom sqrtth
      rpcnne0d mulcomd syl jca sqeqor orcom 3bitrd syl5bi syl5bir sylbird com12
      a1i sylbid syl6bi com13 adantrd ancld syld mpd ex ) AUAKZBUAKZCUAKZUBZALM
      ZBLUCZNZNZFUDKZLDUEUFZNZGUAKZHUAKZNZUBZGOUHPZHOUHPZUGPZFOUHPZMZAGQPBHQPUG
      PCMZNZHCBRPZMZGDUIUJZBRPZUKMZGUUQMZULZNZUUFUUMNZHBCQPZAUUPQPZUMPZERPZMZHU
      VCUVDUGPZERPZMZULZUVAUUFUUMUVKYSYOALUCZYQULZNUUBUUEUUMUVKVJYRUVMYOYPYQUVL
      UNUOABCDEFGHIJUPUQURUVBUVKUUOUVAUUFUVKUUOVJZUUMYSUUBUVNUUEYSUUBNZUVGUUOUV
      JUVOUVGUUOUVOUVFUUNHUVOUVFUVCBBQPZRPZUUNUVOUVEUVCEUVPRUVOUVEUVCLUMPUVCUVO
      UVDLUVCUMUVOUVDLUUPQPZLYSUVDUVRMZUUBYRUVSYOYPUVSYQALUUPQUSSUTSUVOUUPUVODU
      VODUUJEQPZCOUHPZUMPZTJUVOUVTUWAUVOUUJEUVOFUUBFTKZYSYTUWCUUAFVASUTVBZYSETK
      ZUUBYOUWEYRYLYMUWEYNYLYMNEABEIVCVDVESSVFUVOCUVOCYLYMYNYRUUBVGVDZVBZVHVIZV
      KZVLVMZVNUVOUVCUVOBCUVOBYLYMYNYRUUBVOZVDZUWFVFZVPVMUVOEBOUHPZUVPUVOEAOUHP
      ZUWNUGPZUWNIUVOUWPLUWNUGPUWNUVOUWOLUWNUGYSUWOLMZUUBYRUWQYOYPUWQYQAVQSUTSV
      RUVOUWNUVOBUWLVBZVSVMVTZYSUWNUVPMZUUBYOUWTYRYMYLUWTYNYMBBWAWBWCSSVMWDUVOC
      BBUWFUWLUWLYOYPYQUUBWEZUXAWFVMWGWHUVOUVJUUOUVOUVIUUNHUVOUVIUVCUWNRPZUUNUV
      OUVHUVCEUWNRUVOUVHUVCLUGPUVCUVOUVDLUVCUGUWJVNUVOUVCUWMWIVMUWSWDYSUXBUUNMU
      UBYSUXBUVQUUNYSUWNUVPUVCRYOUWTYRYOBYOBYLYMYNWJVDZWBSVNYSCBBYSCYLYMYNYRWKV
      DYOBTKZYRUXCSZUXEYRYQYOYPYQWLUTZUXFWFVMSVMWGWHWMVESUVBUUOUUTUUFUUMUUOUUTV
      JZUUFUUKUXGUULUUOUUKUUFUUTUUOUUKUUGUUNOUHPZUGPZUUJMZUUFUUTVJUUOUUIUXIUUJU
      UOUUHUXHUUGUGHUUNOUHUSVNWNUUFUXJUUTUUFUXJUUJUXHUMPZUUGMZUUTUUFUUJUXHUUGYS
      UUBUUJTKZUUEUWDVEZUUFUUNUUFCBYSUUBCTKUUEUWFVEYSUUBUXDUUEUWLVEZYPYQYOUUBUU
      EWOZWPVBUUFGUUFGYSUUBUUCUUDWQVDZVBWRUUFUXLUWNUUJQPZUWAUMPZUWNRPZUUGMZUUTY
      SUUBUXLUYAWSUUEUVOUXKUXTUUGUVOUXKUUJUWAUWNRPZUMPZUXTUVOUXHUYBUUJUMUVOCBUW
      FUWLUXAWTVNUVOUXMUWATKUWNTKZUWNLUCNUXTUYCMUWDUWGUVOUWNUVOUWNUVOBUWKXAUVOB
      UWKUXAXBXCXLUUJUWAUWNXDXEXFWNVEUUFUYAUWBUWNRPZUUGMZUUTUUFUXTUYEUUGUUFUXSU
      WBUWNRUUFUXRUVTUWAUMUUFUXRUUJUWNQPUVTUUFUWNUUJYSUUBUYDUUEUWRVEUXNXMUUFUWN
      EUUJQUUFEUWNYSUUBEUWNMUUEUWSVEXGVNVMVRVRWNUYFDUWNRPZUUGMZUUFUUTUYGUYEUUGD
      UWBUWNRJXHXIUYHUUGUYGMZUUFUUTUYGUUGXJUUFUYIUUTUUFUYIUUGUUQOUHPZMZUUSUURUL
      ZUUTUUFUYGUYJUUGUUFUYGUUPOUHPZUWNRPUYJUUFDUYMUWNRUUFDTKZDUYMMYSUUBUYNUUEU
      WHVEUYNUYMDDXKXGXNVRUUFUUPBYSUUBUUPTKUUEUWIVEZUXOUXPWTXFWGUUFGTKZUUQTKZNU
      YKUYLWSUUFUYPUYQUXQUUFUUPBUYOUXOUXPWPXOGUUQXPXNUYLUUTWSUUFUUSUURXQYCXRWHX
      SXTYDYDYAYBYEYFYGURYHYIYJYK $.

    $( Lemma for ~ itsclc0 .  Solutions of the quadratic equations for the
       coordinates of the intersection points of a horizontal line and a
       circle.  (Contributed by AV, 8-Feb-2023.) $)
    itschlc0xyqsol $p |- ( ( ( ( A e. RR /\ B e. RR /\ C e. RR )
                             /\ ( A = 0 /\ B =/= 0 ) )
                          /\ ( R e. RR+ /\ 0 <_ D ) /\ ( X e. RR /\ Y e. RR ) )
                         -> ( ( ( ( X ^ 2 ) + ( Y ^ 2 ) ) = ( R ^ 2 )
                                /\ ( ( A x. X ) + ( B x. Y ) ) = C )
           -> ( ( X = ( ( ( A x. C ) + ( B x. ( sqrt ` D ) ) ) / Q )
               /\ Y = ( ( ( B x. C ) - ( A x. ( sqrt ` D ) ) ) / Q ) )
             \/ ( X = ( ( ( A x. C ) - ( B x. ( sqrt ` D ) ) ) / Q )
               /\ Y = ( ( ( B x. C ) + ( A x. ( sqrt ` D ) ) ) / Q ) ) ) ) ) $=
      ( wcel cc0 wceq wa co caddc cmul cdiv adantr eqtrd cr w3a wne crp cle wbr
      c2 cexp csqrt cfv cneg wo cmin itschlc0xyqsol1 orcom oveq1 ad2antrl recnd
      simpll3 mul02d oveq1d simpll2 rpre adantl sqcld resum2sqcl 3adant3 mulcld
      subcld eqeltrid sqrtcld addid2d sq0i simp2 sqvald syl5eq simplrr divcan5d
      oveq2d eqcomd eqeq2d biimpd subid1d oveq12d eqtr2d biimpa jctird mulneg2d
      cc simp1rr negcld df-neg eqtr4di divnegd 3eqtr4d 3ad2ant1 simp1l3 simp1l2
      3ad2ant2 addid1d orim12d syl5bi expimpd syld ) AUAKZBUAKZCUAKZUBZALMZBLUC
      ZNZNZFUDKZLDUEUFZNZGUAKHUAKNZUBZGUGUHOHUGUHOPOFUGUHOZMAGQOBHQOPOCMNHCBROZ
      MZGDUIUJZBROZUKZMZGYBMZULZNGACQOZBYAQOZPOZEROZMZHBCQOZAYAQOZUMOZEROZMZNZG
      YGYHUMOZEROZMZHYLYMPOZEROZMZNZULZABCDEFGHIJUNXQXTYFUUEYFYEYDULXQXTNZUUEYD
      YEUOUUFYEYQYDUUDUUFYEYKYPUUFYEYKUUFYBYJGUUFYJYBXQYJYBMZXTXLXOUUGXPXLXONZY
      JYHEROZYBUUHYIYHERUUHYILYHPOYHUUHYGLYHPUUHYGLCQOZLXLYGUUJMZXOXIUUKXHXJALC
      QUPUQSUUHCUUHCXEXFXGXKXOUSURZUTTZVAUUHYHUUHBYAUUHBXEXFXGXKXOVBURZUUHDUUHD
      XREQOZCUGUHOZUMOZWIJUUHUUOUUPUUHXREUUHFXOFWIKZXLXOFXMFUAKXNFVCSURZVDVEXLE
      WIKZXOXHUUTXKXEXFUUTXGXEXFNEABEIVFURVGSZSVHUUHCUULVEVIVJVKZVHVLTVAUUHUUIY
      HBBQOZROYBUUHEUVCYHRXLEUVCMZXOXLEAUGUHOZBUGUHOZPOZUVCIXLUVGLUVFPOZUVCXLUV
      ELUVFPXIUVELMXHXJAVMUQVAXHUVHUVCMXKXHUVHUVFUVCXHUVFXHBXHBXEXFXGVNURZVEVLX
      HBUVIVOTSTVPZSZVSUUHYABBUVBUUNUUNXHXIXJXOVQZUVLVRTTVGSVTWAWBXQXTYPXQXSYOH
      XQYOYLUVCROZXSXLXOYOUVMMXPUUHYNYLEUVCRUUHYNYLLUMOYLUUHYMLYLUMUUHYMLYAQOZL
      XLYMUVNMZXOXIUVOXHXJALYAQUPUQZSUUHYAUVBUTTVSUUHYLUUHBCUUNUULVHWCTUVKWDVGX
      QCBBXLXOCWIKXPUULVGXLXOBWIKXPUUNVGZUVQXIXJXHXOXPWJZUVRVRWEWAWFWGUUFYDYTUU
      CUUFYDYTUUFYCYSGUUFYSYCXQYSYCMZXTXLXOUVSXPUUHYHUKZEROZYAUKZBROZYSYCUUHUWA
      BUWBQOZUVCROUWCUUHUVTUWDEUVCRUUHUWDUVTUUHBYAUUNUVBWHVTUVKWDUUHUWBBBUUHYAU
      VBWKUUNUUNUVLUVLVRTUUHYRUVTERUUHYRLYHUMOUVTUUHYGLYHUMUUMVAYHWLWMVAUUHYABU
      VBUUNUVLWNWOVGSVTWAWBXQXTUUCXQXSUUBHXQUUBUVMXSXQUUAYLEUVCRXQUUAYLLPOYLXQY
      MLYLPXQYMUVNLXLXOUVOXPUVPWPXQYAXQDXQDUUQWIJXQUUOUUPXQXREXQFXOXLUURXPUUSWS
      VEXLXOUUTXPUVAWPVHXQCXQCXEXFXGXKXOXPWQURZVEVIVJVKUTTVSXQYLXQBCXQBXEXFXGXK
      XOXPWRURZUWEVHWTTXLXOUVDXPUVJWPWDXQCBBUWEUWFUWFUVRUVRVRWEWAWFWGXAXBXCXD
      $.

    $( Lemma for ~ itsclc0 .  Solutions of the quadratic equations for the
       coordinates of the intersection points of a (nondegenerate) line and a
       circle.  (Contributed by AV, 25-Feb-2023.) $)
    itsclc0xyqsol $p |- ( ( ( ( A e. RR /\ B e. RR /\ C e. RR )
                                 /\ ( A =/= 0 \/ B =/= 0 ) )
                          /\ ( R e. RR+ /\ 0 <_ D ) /\ ( X e. RR /\ Y e. RR ) )
                         -> ( ( ( ( X ^ 2 ) + ( Y ^ 2 ) ) = ( R ^ 2 )
                                /\ ( ( A x. X ) + ( B x. Y ) ) = C )
           -> ( ( X = ( ( ( A x. C ) + ( B x. ( sqrt ` D ) ) ) / Q )
               /\ Y = ( ( ( B x. C ) - ( A x. ( sqrt ` D ) ) ) / Q ) )
             \/ ( X = ( ( ( A x. C ) - ( B x. ( sqrt ` D ) ) ) / Q )
               /\ Y = ( ( ( B x. C ) + ( A x. ( sqrt ` D ) ) ) / Q ) ) ) ) ) $=
      ( cr wcel cc0 wa co caddc wceq cmul cdiv wi w3a wne wo crp cle cexp csqrt
      wbr c2 cfv cmin itscnhlc0xyqsol expcom 3impd wn nne itschlc0xyqsol sylanb
      3exp jaoi3 impcom 3imp ) AKLZBKLZCKLZUAZAMUBZBMUBZUCZNFUDLMDUEUHNZGKLHKLN
      ZGUIUFOHUIUFOPOFUIUFOQAGROBHROPOCQNGACROZBDUGUJZROZPOESOQHBCROZAVMROZUKOE
      SOQNGVLVNUKOESOQHVOVPPOESOQNUCTZVIVFVJVKVQTTZVGVFVRTZVHVGVCVDVEVRVCVGVDVE
      VRTTVCVGNZVDVEVRVTVDVEUAVJVKVQABCDEFGHIJULUSUSUMUNVGUOAMQZVHVSAMUPVFWAVHN
      ZVRVFWBNVJVKVQABCDEFGHIJUQUSUMURUTVAVB $.
  $}

  ${
    itsclc0xyqsolr.q $e |- Q = ( ( A ^ 2 ) + ( B ^ 2 ) ) $.
    itsclc0xyqsolr.d $e |- D = ( ( ( R ^ 2 ) x. Q ) - ( C ^ 2 ) ) $.
    $( Lemma for ~ itsclc0 .  Solutions of the quadratic equations for the
       coordinates of the intersection points of a (nondegenerate) line and a
       circle.  (Contributed by AV, 2-May-2023.)  (Revised by AV,
       14-May-2023.) $)
    itsclc0xyqsolr $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR )
                          /\ ( A =/= 0 \/ B =/= 0 ) /\ ( R e. RR+ /\ 0 <_ D ) )
                -> ( ( ( X = ( ( ( A x. C ) + ( B x. ( sqrt ` D ) ) ) / Q )
                      /\ Y = ( ( ( B x. C ) - ( A x. ( sqrt ` D ) ) ) / Q ) )
                    \/ ( X = ( ( ( A x. C ) - ( B x. ( sqrt ` D ) ) ) / Q )
                      /\ Y = ( ( ( B x. C ) + ( A x. ( sqrt ` D ) ) ) / Q ) ) )
                     -> ( ( ( X ^ 2 ) + ( Y ^ 2 ) ) = ( R ^ 2 )
                          /\ ( ( A x. X ) + ( B x. Y ) ) = C ) ) ) $=
      ( cmul co caddc cdiv wceq c2 cexp mulcld oveq1d eqtrd cr wcel w3a cc0 wne
      wo crp cle wbr csqrt cfv cmin recn 3ad2ant1 3ad2ant3 3ad2ant2 rpre adantr
      wa anim2i 3adant2 itsclc0lem3 syl recnd sqrtcld addcld resum2sqcl 3adant3
      cc simp11 simp12 simp2 resum2sqorgt0 syl3anc gt0ne0d sqdivd binom2 sqmuld
      clt syl2anc simp3r resqrtth oveq2d oveq12d subcld binom2sub mul4d mulcomd
      sqcld 2cnd cz 2z a1i expne0d divdird add4d ppncand adddird eqcomi 3eqtr2d
      addcomd eqtr3d adddid eqcomd sqvald divcan5d rpcn pncan3d divmul3d mpbird
      divassd adantl mulassd subdid simpl 3adant1 divmul2d jca oveqan12d eqeq1d
      simpr oveq1 oveq2 anbi12d syl5ibrcom nppcan3d simp1 simp3 remulcld jaod )
      AUAUBZBUAUBZCUAUBZUCZAUDUEBUDUEUFZFUGUBZUDDUHUIZUSZUCZGACKLZBDUJUKZKLZMLZ
      ENLZOZHBCKLZAUUAKLZULLZENLZOZUSZGPQLZHPQLZMLZFPQLZOZAGKLZBHKLZMLZCOZUSZGY
      TUUBULLZENLZOZHUUFUUGMLZENLZOZUSZYSUVAUUKUUDPQLZUUIPQLZMLZUUOOZAUUDKLZBUU
      IKLZMLZCOZUSYSUVLUVPYSUVKAPQLZCPQLZKLZPYTUUBKLZKLZMLZBPQLZDKLZMLZEPQLZNLZ
      UWCUVRKLZUWAULLZUVQDKLZMLZUWFNLZMLUWEUWKMLZUWFNLZUUOYSUVIUWGUVJUWLMYSUVIU
      UCPQLZUWFNLUWGYSUUCEYSYTUUBYSACYNYOAVIUBZYRYKYLUWPYMAUMZUNZUNZYNYOCVIUBZY
      RYMYKUWTYLCUMZUOZUNZRZYSBUUAYNYOBVIUBZYRYLYKUXEYMBUMZUPZUNZYSDYSDYSYNFUAU
      BZUSZDUAUBZYNYRUXJYOYRUXIYNYPUXIYQFUQURUTVAABCDEFIJVBVCZVDZVEZRZVFZYNYOEV
      IUBYRYNEYKYLEUAUBYMABEIVGVHVDUNZYSEYSYKYLYOUDEVSUIYKYLYMYOYRVJZYKYLYMYOYR
      VKYNYOYRVLABEIVMVNVOZVPYSUWOUWEUWFNYSUWOYTPQLZUWAMLZUUBPQLZMLZUWEYSYTVIUB
      ZUUBVIUBZUWOUYCOYNYOUYDYRYNACUWRUXBRUNZUXOYTUUBVQVTYSUYAUWBUYBUWDMYSUXTUV
      SUWAMYNYOUXTUVSOYRYNACUWRUXBVRUNZSYSUYBUWCUUAPQLZKLUWDYSBUUAUXHUXNVRYSUYH
      DUWCKYSUXKYQUYHDOUXLYNYOYPYQWADWBVTZWCTZWDTSTYSUVJUUHPQLZUWFNLUWLYSUUHEYS
      UUFUUGYSBCUXHUXCRZYSAUUAUWSUXNRZWEZUXQUXSVPYSUYKUWKUWFNYSUYKUUFPQLZPUUFUU
      GKLZKLZULLZUUGPQLZMLZUWKYSUUFVIUBZUUGVIUBZUYKUYTOUYLYSAUUAYSAUXRVDZUXNRZU
      UFUUGWFVTYSUYRUWIUYSUWJMYSUYOUWHUYQUWAULYNYOUYOUWHOYRYNBCUXGUXBVRUNZYSUYP
      UVTPKYSUYPBAKLZCUUAKLZKLZUVTYSBCAUUAUXHUXCVUCUXNWGYSVUHABKLZVUGKLUVTYSVUF
      VUIVUGKYSBAUXHVUCWHSYSABCUUAVUCUXHUXCUXNWGTTWCZWDYSUYSUVQUYHKLUWJYSAUUAVU
      CUXNVRYSUYHDUVQKUYIWCTZWDTSTWDYSUWEUWKUWFYSUWBUWDYSUVSUWAYSUVQUVRYSAUWSWI
      ZYSCUXCWIZRZYSPUVTYSWJZYSYTUUBUXDUXORRZVFZYSUWCDYSBUXHWIZUXMRZVFYSUWIUWJY
      SUWHUWAYSUWCUVRVURVUMRZVUPWEZYSUVQDVULUXMRZVFYSEUXQWIZYSEPUXQUXSPWKUBYSWL
      WMWNZWOYSUWNEUVRKLZEDKLZMLZUWFNLZUUOYSUWMVVGUWFNYSUWMUWBUWIMLZUWDUWJMLZML
      VVGYSUWBUWDUWIUWJVUQVUSVVAVVBWPYSVVIVVEVVJVVFMYSVVIUVSUWHMLZUVQUWCMLZUVRK
      LZVVEYSUVSUWAUWHVUNVUPVUTWQYSUVQUWCUVRYSAVUCWIZVURVUMWRZYSVVLEUVRKVVLEOYS
      EVVLIWSWMZSZWTYSUWCUVQMLZDKLVVJVVFYSUWCUVQDVURVVNUXMWRYSVVREDKYSVVRVVLEYS
      UWCUVQVURVVNXAVVPTSXBZWDTSYSVVHUVRDMLZENLZUUOYSVVHEVVTKLZEEKLZNLVWAYSVVGV
      WBUWFVWCNYSVWBVVGYSEUVRDUXQVUMUXMXCXDYSEUXQXEWDYSVVTEEYSUVRDVUMUXMVFZUXQU
      XQUXSUXSXFTYSVWAUUOOVVTUUOEKLZOYSVVTUVRVWEUVRULLZMLVWEYSDVWFUVRMDVWFOYSJW
      MWCYSUVRVWEVUMYSUUOEYSFYRYNFVIUBZYOYPVWGYQFXGURUOWIZUXQRXHTYSVVTUUOEVWDVW
      HUXQUXSXIXJTZTWTYSUVOUVQCKLZVUIUUAKLZMLZENLZUWCCKLZVWKULLZENLZMLVWLVWOMLZ
      ENLZCYSUVMVWMUVNVWPMYSAUUCKLZENLUVMVWMYSAUUCEUWSUXPUXQUXSXKYSVWSVWLENYSVW
      SAYTKLZAUUBKLZMLVWLYSAYTUUBUWSUXDUXOXCYSVWTVWJVXAVWKMYNYOVWTVWJOZYRYKYMVX
      BYLYKYMUSZAAKLZCKLVWTVWJVXCAACYKUWPYMUWQURZVXEYMUWTYKUXAXLXMVXCVXDUVQCKVX
      CUVQVXDVXCAVXEXEXDSXBVAUNZYSVWKVXAYSABUUAUWSUXHUXNXMXDZWDTSXBYSBUUHKLZENL
      UVNVWPYSBUUHEUXHUYNUXQUXSXKYSVXHVWOENYSVXHBUUFKLZBUUGKLZULLVWOYSBUUFUUGUX
      HUYLUYMXNYSVXIVWNVXJVWKULYNYOVXIVWNOZYRYLYMVXKYKYLYMUSZBBKLZCKLVXIVWNVXLB
      BCVXLBYLYMXOVDZVXNVXLCYLYMYAVDXMVXLVXMUWCCKYLVXMUWCOYMYLUWCVXMYLBUXFXEXDU
      RSXBXPUNZYSVUFUUAKLVXJVWKYSBAUUAUXHUWSUXNXMYSVUFVUIUUAKYNYOVUFVUIOYRYNBAU
      XGUWRWHUNSXBZWDTSXBWDYSVWLVWOEYSVWJVWKYSUVQCVULUXCRZYSVUIUUAYSABUWSUXHRUX
      NRZVFZYSVWNVWKYSUWCCVURUXCRZVXRWEZUXQUXSWOYSVWRCOVWQECKLZOYSVWQVWJVWNMLZV
      VLCKLZVYBYSVWJVWKVWNVXQVXRVXTWQYSUVQUWCCVULVURUXCWRZYSVVLECKYSEVVLEVVLOYS
      IWMXDSZWTYSVWQCEYSVWLVWOVXSVYAVFUXCUXQUXSXQXJWTXRUUKUUPUVLUUTUVPUUKUUNUVK
      UUOUUEUUJUULUVIUUMUVJMGUUDPQYBHUUIPQYBXSXTUUKUUSUVOCUUEUUJUUQUVMUURUVNMGU
      UDAKYCHUUIBKYCXSXTYDYEYSUVAUVHUVCPQLZUVFPQLZMLZUUOOZAUVCKLZBUVFKLZMLZCOZU
      SYSVYJVYNYSVYIVVHUUOYSVYIUVSUWAULLZUWDMLZUWFNLZUWHUWAMLZUWJMLZUWFNLZMLVYP
      VYSMLZUWFNLVVHYSVYGVYQVYHVYTMYSVYGUVBPQLZUWFNLVYQYSUVBEYSYTUUBUYFUXOWEUXQ
      UXSVPYSWUBVYPUWFNYSWUBUXTUWAULLZUYBMLZVYPYSUYDUYEWUBWUDOUYFUXOYTUUBWFVTYS
      WUCVYOUYBUWDMYSUXTUVSUWAULUYGSUYJWDTSTYSVYHUVEPQLZUWFNLVYTYSUVEEYSUUFUUGU
      YLVUDVFUXQUXSVPYSWUEVYSUWFNYSWUEUYOUYQMLZUYSMLZVYSYSVUAVUBWUEWUGOUYLVUDUU
      FUUGVQVTYSWUFVYRUYSUWJMYSUYOUWHUYQUWAMVUEVUJWDVUKWDTSTWDYSVYPVYSUWFYSVYOU
      WDYSUVSUWAYSUVQUVRVVNVUMRZYSPUVTVUOYSYTUUBUYFUXORRZWEZVUSVFYSVYRUWJYSUWHU
      WAVUTWUIVFZYSUVQDVVNUXMRZVFVVCVVDWOYSWUAVVGUWFNYSWUAVYOVYRMLZVVJMLVVGYSVY
      OUWDVYRUWJWUJVUSWUKWULWPYSWUMVVEVVJVVFMYSWUMVVKVVMVVEYSUVSUWAUWHWUHWUIVUT
      YFVVOVVQWTVVSWDTSWTVWITYSVYMVWJVWKULLZENLZVWNVWKMLZENLZMLWUNWUPMLZENLZCYS
      VYKWUOVYLWUQMYSAUVBKLZENLVYKWUOYSAUVBEUWSYSYTUUBYNYOUYDYRYNYTYNACYKYLYMYG
      YKYLYMYHYIVDUNZUXOWEUXQUXSXKYSWUTWUNENYSWUTVWTVXAULLWUNYSAYTUUBUWSWVAUXOX
      NYSVWTVWJVXAVWKULVXFVXGWDTSXBYSBUVEKLZENLVYLWUQYSBUVEEUXHYSUUFUUGUYLUYMVF
      UXQUXSXKYSWVBWUPENYSWVBVXIVXJMLWUPYSBUUFUUGUXHUYLUYMXCYSVXIVWNVXJVWKMVXOV
      XPWDTSXBWDYSWUNWUPEYSVWJVWKVXQVXRWEZYSVWNVWKVXTVXRVFZUXQUXSWOYSWUSCOWURVY
      BOYSWURVYCVYDVYBYSVWJVWKVWNVXQVXRVXTYFVYEVYFWTYSWURCEYSWUNWUPWVCWVDVFUXCU
      XQUXSXQXJWTXRUVHUUPVYJUUTVYNUVHUUNVYIUUOUVDUVGUULVYGUUMVYHMGUVCPQYBHUVFPQ
      YBXSXTUVHUUSVYMCUVDUVGUUQVYKUURVYLMGUVCAKYCHUVFBKYCXSXTYDYEYJ $.

    $( Lemma for ~ itsclc0 .  Solutions of the quadratic equations for the
       coordinates of the intersection points of a (nondegenerate) line and a
       circle.  (Contributed by AV, 2-May-2023.)  (Revised by AV,
       14-May-2023.) $)
    itsclc0xyqsolb $p |- ( ( ( ( A e. RR /\ B e. RR /\ C e. RR )
                               /\ ( A =/= 0 \/ B =/= 0 ) )
                      /\ ( ( R e. RR+ /\ 0 <_ D ) /\ ( X e. RR /\ Y e. RR ) ) )
                         -> ( ( ( ( X ^ 2 ) + ( Y ^ 2 ) ) = ( R ^ 2 )
                                /\ ( ( A x. X ) + ( B x. Y ) ) = C )
           <-> ( ( X = ( ( ( A x. C ) + ( B x. ( sqrt ` D ) ) ) / Q )
               /\ Y = ( ( ( B x. C ) - ( A x. ( sqrt ` D ) ) ) / Q ) )
             \/ ( X = ( ( ( A x. C ) - ( B x. ( sqrt ` D ) ) ) / Q )
               /\ Y = ( ( ( B x. C ) + ( A x. ( sqrt ` D ) ) ) / Q ) ) ) ) ) $=
      ( cr wcel cc0 wa c2 co caddc wceq cmul cdiv w3a wne wo crp cle cexp csqrt
      wbr cfv cmin wi itsclc0xyqsol 3expb simpl itsclc0xyqsolr syl2an3an impbid
      simpr ) AKLBKLCKLUAZAMUBBMUBUCZNZFUDLMDUEUHNZGKLHKLNZNZNGOUFPHOUFPQPFOUFP
      RAGSPBHSPQPCRNZGACSPZBDUGUIZSPZQPETPRHBCSPZAVGSPZUJPETPRNGVFVHUJPETPRHVIV
      JQPETPRNUCZVAVBVCVEVKUKABCDEFGHIJULUMVAUSUTVDVBVKVEUKUSUTUNUSUTURVBVCUNAB
      CDEFGHIJUOUPUQ $.
  $}

  ${
    $d A p $.  $d B p $.  $d C p $.  $d E p $.  $d I p $.  $d P p $.  $d R p $.
    $d X p $.  $d .0. p $.
    itsclc0.i $e |- I = { 1 , 2 } $.
    itsclc0.e $e |- E = ( RR^ ` I ) $.
    itsclc0.p $e |- P = ( RR ^m I ) $.
    itsclc0.s $e |- S = ( Sphere ` E ) $.
    itsclc0.0 $e |- .0. = ( I X. { 0 } ) $.
    itsclc0.q $e |- Q = ( ( A ^ 2 ) + ( B ^ 2 ) ) $.
    itsclc0.d $e |- D = ( ( ( R ^ 2 ) x. Q ) - ( C ^ 2 ) ) $.
    ${
      itsclc0.l $e |- L = { p e. P | ( ( A x. ( p ` 1 ) )
                                        + ( B x. ( p ` 2 ) ) ) = C } $.
      $( The intersection points of a line ` L ` and a circle around the
         origin.  (Contributed by AV, 25-Feb-2023.) $)
      itsclc0 $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR )
                          /\ ( A =/= 0 \/ B =/= 0 ) /\ ( R e. RR+ /\ 0 <_ D ) )
         -> ( ( X e. ( .0. S R ) /\ X e. L )
            -> ( ( ( X ` 1 ) = ( ( ( A x. C ) + ( B x. ( sqrt ` D ) ) ) / Q )
                /\ ( X ` 2 ) = ( ( ( B x. C ) - ( A x. ( sqrt ` D ) ) ) / Q ) )
              \/ ( ( X ` 1 ) = ( ( ( A x. C ) - ( B x. ( sqrt ` D ) ) ) / Q )
                /\ ( X ` 2 )
                   = ( ( ( B x. C ) + ( A x. ( sqrt ` D ) ) ) / Q ) ) ) ) ) $=
        ( cr wcel w3a cc0 wne wo crp cle wbr wa co c1 cv cfv c2 cexp caddc wceq
        crab cmul cdiv cmin cpnf cico wb rprege0 elrege0 sylibr adantr 3ad2ant3
        csqrt eqid 2sphere0 eleq2d syl oveq2d oveq12d eqeq1d elrab2 a1i anbi12d
        fveq1 wi oveq1d elrab 3simpa simpl3 rrx2pxel rrx2pyel jca itsclc0xyqsol
        adantl syl3anc expcomd expimpd com23 adantld syl5bi impd sylbid ) AUCUD
        BUCUDCUCUDUEZAUFUGBUFUGUHZGUIUDZUFDUJUKZULZUEZLMGHUMZUDZLKUDZULLUNNUOZU
        PZUQURUMZUQXLUPZUQURUMZUSUMZGUQURUMZUTZNEVAZUDZLEUDZAUNLUPZVBUMZBUQLUPZ
        VBUMZUSUMZCUTZULZULYCACVBUMZBDVMUPZVBUMZUSUMFVCUMUTYEBCVBUMZAYKVBUMZVDU
        MFVCUMUTULYCYJYLVDUMFVCUMUTYEYMYNUSUMFVCUMUTULUHZXHXJYAXKYIXHGUFVEVFUMU
        DZXJYAVGXGXCYPXDXEYPXFXEGUCUDUFGUJUKULYPGVHGVIVJVKVLYPXIXTLXTEGHIJMNOPQ
        RSXTVNVOVPVQXKYIVGXHAXMVBUMZBXOVBUMZUSUMZCUTYHNLEKXLLUTZYSYGCYTYQYDYRYF
        USYTXMYCAVBUNXLLWDZVRYTXOYEBVBUQXLLWDZVRVSVTUBWAWBWCXHYAYIYOYAYBYCUQURU
        MZYEUQURUMZUSUMZXRUTZULXHYIYOWEZXSUUFNLEYTXQUUEXRYTXNUUCXPUUDUSYTXMYCUQ
        URUUAWFYTXOYEUQURUUBWFVSVTWGXHUUFUUGYBXHYIUUFYOXHYBYHUUFYOWEXHYBULZUUFY
        HYOUUHXCXDULZXGYCUCUDZYEUCUDZULZUUFYHULYOWEXHUUIYBXCXDXGWHVKXCXDXGYBWIY
        BUULXHYBUUJUUKEJLOQWJEJLOQWKWLWNABCDFGYCYETUAWMWOWPWQWRWSWTXAXB $.

      $( The intersection points of a (nondegenerate) line through two points
         and a circle around the origin.  (Contributed by AV, 2-May-2023.)
         (Revised by AV, 14-May-2023.) $)
      itsclc0b $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR )
                    /\ ( A =/= 0 \/ B =/= 0 ) /\ ( R e. RR+ /\ 0 <_ D ) )
         -> ( ( X e. ( .0. S R ) /\ X e. L )
              <-> ( X e. P
            /\ ( ( ( X ` 1 ) = ( ( ( A x. C ) + ( B x. ( sqrt ` D ) ) ) / Q )
                /\ ( X ` 2 ) = ( ( ( B x. C ) - ( A x. ( sqrt ` D ) ) ) / Q ) )
              \/ ( ( X ` 1 ) = ( ( ( A x. C ) - ( B x. ( sqrt ` D ) ) ) / Q )
                /\ ( X ` 2 )
                  = ( ( ( B x. C ) + ( A x. ( sqrt ` D ) ) ) / Q ) ) ) ) ) ) $=
        ( cr wcel w3a cc0 wne wo crp cle wbr wa co c1 cv cfv c2 cexp caddc wceq
        crab cmul cdiv cmin cpnf cico wb rprege0 elrege0 sylibr adantr 3ad2ant3
        csqrt eqid 2sphere0 eleq2d syl oveq2d oveq12d eqeq1d elrab2 a1i anbi12d
        fveq1 oveq1d elrab anbi1i anandi simpl1 simpl2 simpl3l simpl3r rrx2pxel
        rrx2pyel jca adantl jca31 itsclc0xyqsolb syl21anc pm5.32da syl5bb bitrd
        bitr3id ) AUCUDBUCUDCUCUDUEZAUFUGBUFUGUHZGUIUDZUFDUJUKZULZUEZLMGHUMZUDZ
        LKUDZULLUNNUOZUPZUQURUMZUQXMUPZUQURUMZUSUMZGUQURUMZUTZNEVAZUDZLEUDZAUNL
        UPZVBUMZBUQLUPZVBUMZUSUMZCUTZULZULZYCYDACVBUMZBDVMUPZVBUMZUSUMFVCUMUTYF
        BCVBUMZAYMVBUMZVDUMFVCUMUTULYDYLYNVDUMFVCUMUTYFYOYPUSUMFVCUMUTULUHZULZX
        IXKYBXLYJXIGUFVEVFUMUDZXKYBVGXHXDYSXEXFYSXGXFGUCUDUFGUJUKULYSGVHGVIVJVK
        VLYSXJYALYAEGHIJMNOPQRSYAVNVOVPVQXLYJVGXIAXNVBUMZBXPVBUMZUSUMZCUTYINLEK
        XMLUTZUUBYHCUUCYTYEUUAYGUSUUCXNYDAVBUNXMLWDZVRUUCXPYFBVBUQXMLWDZVRVSVTU
        BWAWBWCYKYCYDUQURUMZYFUQURUMZUSUMZXSUTZULZYJULZXIYRYBUUJYJXTUUINLEUUCXR
        UUHXSUUCXOUUFXQUUGUSUUCXNYDUQURUUDWEUUCXPYFUQURUUEWEVSVTWFWGUUKYCUUIYIU
        LZULXIYRYCUUIYIWHXIYCUULYQXIYCULZXDXEXHYDUCUDZYFUCUDZULZULUULYQVGXDXEXH
        YCWIXDXEXHYCWJUUMXFXGUUPXFXGXDXEYCWKXFXGXDXEYCWLYCUUPXIYCUUNUUOEJLOQWME
        JLOQWNWOWPWQABCDFGYDYFTUAWRWSWTXCXAXB $.
    $}

    $d .0. p $.  $d A p $.  $d B p $.  $d C p $.  $d D p $.  $d E p $.
    $d I p $.  $d P p $.  $d R p $.  $d X p $.  $d Y p $.  $d Z p $.
    itsclinecirc0.l $e |- L = ( LineM ` E ) $.
    itsclinecirc0.a $e |- A = ( ( Y ` 2 ) - ( Z ` 2 ) ) $.
    itsclinecirc0.b $e |- B = ( ( Z ` 1 ) - ( Y ` 1 ) ) $.
    itsclinecirc0.c $e |- C = ( ( ( Y ` 2 ) x. ( Z ` 1 ) )
                             - ( ( Y ` 1 ) x. ( Z ` 2 ) ) ) $.
    $( The intersection points of a line through two different points ` Y ` and
       ` Z ` and a circle around the origin, using the definition of a line in
       a two dimensional Euclidean space.  (Contributed by AV, 25-Feb-2023.)
       (Proof shortened by AV, 16-May-2023.) $)
    itsclinecirc0 $p |- ( ( ( Y e. P /\ Z e. P /\ Y =/= Z )
                               /\ ( R e. RR+ /\ 0 <_ D ) )
         -> ( ( X e. ( .0. S R ) /\ X e. ( Y L Z ) )
            -> ( ( ( X ` 1 ) = ( ( ( A x. C ) + ( B x. ( sqrt ` D ) ) ) / Q )
                /\ ( X ` 2 ) = ( ( ( B x. C ) - ( A x. ( sqrt ` D ) ) ) / Q ) )
              \/ ( ( X ` 1 ) = ( ( ( A x. C ) - ( B x. ( sqrt ` D ) ) ) / Q )
                /\ ( X ` 2 )
                   = ( ( ( B x. C ) + ( A x. ( sqrt ` D ) ) ) / Q ) ) ) ) ) $=
      ( vp wcel wne w3a crp cc0 cle wbr wa co c1 cv cfv cmul c2 caddc wceq crab
      csqrt cdiv wo rrx2linest2 adantr eleq2d anbi2d rrx2pyel 3ad2ant1 3ad2ant2
      cmin cr wi resubcld eqeltrid rrx2pxel remulcld rrx2pnedifcoorneorr orcomd
      simpr eqid itsclc0 syl311anc sylbid ) MEUHZOEUHZMOUIZUJZGUKUHULDUMUNUOZUO
      ZLNGHUPUHZLMOKUPZUHZUOWOLAUQUGURZUSUTUPBVAWRUSUTUPVBUPCVCUGEVDZUHZUOZUQLU
      SZACUTUPZBDVEUSZUTUPZVBUPFVFUPVCVALUSZBCUTUPZAXDUTUPZVOUPFVFUPVCUOXBXCXEV
      OUPFVFUPVCXFXGXHVBUPFVFUPVCUOVGZWNWQWTWOWNWPWSLWLWPWSVCWMABCEIJKMOUGPQRUC
      UDUEUFVHVIVJVKWNAVPUHZBVPUHZCVPUHZAULUIZBULUIZVGZWMXAXIVQWLXJWMWLAVAMUSZV
      AOUSZVOUPVPUDWLXPXQWIWJXPVPUHWKEJMPRVLVMZWJWIXQVPUHWKEJOPRVLVNZVRVSVIWLXK
      WMWLBUQOUSZUQMUSZVOUPVPUEWLXTYAWJWIXTVPUHWKEJOPRVTVNZWIWJYAVPUHWKEJMPRVTV
      MZVRVSVIWLXLWMWLCXPXTUTUPZYAXQUTUPZVOUPVPUFWLYDYEWLXPXTXRYBWAWLYAXQYCXSWA
      VRVSVIWLXOWMWLXNXMBAEJMOPRUEUDWBWCVIWLWMWDABCDEFGHIJWSLNUGPQRSTUAUBWSWEWF
      WGWH $.
  $}

  ${
    $d A p $.  $d B p $.  $d C p $.  $d E p $.  $d I p $.  $d P p $.  $d R p $.
    $d X p $.  $d .0. p $.  $d .0. p $.  $d A p $.  $d B p $.  $d C p $.
    $d D p $.  $d E p $.  $d I p $.  $d P p $.  $d R p $.  $d X p $.  $d Y p $.
    $d Z p $.
    itsclinecirc0b.i $e |- I = { 1 , 2 } $.
    itsclinecirc0b.e $e |- E = ( RR^ ` I ) $.
    itsclinecirc0b.p $e |- P = ( RR ^m I ) $.
    itsclinecirc0b.s $e |- S = ( Sphere ` E ) $.
    itsclinecirc0b.0 $e |- .0. = ( I X. { 0 } ) $.
    itsclinecirc0b.q $e |- Q = ( ( A ^ 2 ) + ( B ^ 2 ) ) $.
    itsclinecirc0b.d $e |- D = ( ( ( R ^ 2 ) x. Q ) - ( C ^ 2 ) ) $.
    itsclinecirc0b.l $e |- L = ( LineM ` E ) $.
    itsclinecirc0b.a $e |- A = ( ( X ` 2 ) - ( Y ` 2 ) ) $.
    itsclinecirc0b.b $e |- B = ( ( Y ` 1 ) - ( X ` 1 ) ) $.
    itsclinecirc0b.c $e |- C = ( ( ( X ` 2 ) x. ( Y ` 1 ) )
                                 - ( ( X ` 1 ) x. ( Y ` 2 ) ) ) $.
    $( The intersection points of a line through two different points and a
       circle around the origin, using the definition of a line in a two
       dimensional Euclidean space.  (Contributed by AV, 2-May-2023.)  (Revised
       by AV, 14-May-2023.) $)
    itsclinecirc0b $p |- ( ( ( X e. P /\ Y e. P /\ X =/= Y )
                             /\ ( R e. RR+ /\ 0 <_ D ) )
          -> ( ( Z e. ( .0. S R ) /\ Z e. ( X L Y ) )
            <-> ( Z e. P
            /\ ( ( ( Z ` 1 ) = ( ( ( A x. C ) + ( B x. ( sqrt ` D ) ) ) / Q )
                /\ ( Z ` 2 ) = ( ( ( B x. C ) - ( A x. ( sqrt ` D ) ) ) / Q ) )
              \/ ( ( Z ` 1 ) = ( ( ( A x. C ) - ( B x. ( sqrt ` D ) ) ) / Q )
                /\ ( Z ` 2 )
                  = ( ( ( B x. C ) + ( A x. ( sqrt ` D ) ) ) / Q ) ) ) ) ) ) $=
      ( vp wcel wne w3a crp cc0 cle wbr wa co c1 cv cfv cmul c2 caddc wceq crab
      csqrt cdiv cmin rrx2linest adantr eqcom rrx2pxel adantl resubcld eqeltrid
      wo cr 3adant3 ad2antrr rrx2pyel remulcld recnd cc subaddd bitr4id addcomd
      eqid cneg negsubdi2d eqtr4id oveq1d mulneg1d eqtr2d oveq2d negsubd eqeq1d
      3eqtr2rd bitrd rabbidva eqtrd eleq2d anbi2d wb rrx2pnedifcoorneorr orcomd
      simpr itsclc0b syl311anc ) LEUHZMEUHZLMUIZUJZGUKUHULDUMUNUOZUOZONGHUPUHZO
      LMKUPZUHZUOXNOAUQUGURZUSZUTUPZBVAXQUSZUTUPZVBUPZCVCZUGEVDZUHZUOZOEUHUQOUS
      ZACUTUPZBDVEUSZUTUPZVBUPFVFUPVCVAOUSZBCUTUPZAYIUTUPZVGUPFVFUPVCUOYGYHYJVG
      UPFVFUPVCYKYLYMVBUPFVFUPVCUOVOUOZXMXPYEXNXMXOYDOXMXOYAVAMUSZVALUSZVGUPZXR
      UTUPZCVBUPZVCZUGEVDZYDXKXOUUAVCXLBYQCEIJKLMUGPQRUCUEYQWFUFVHVIXMYTYCUGEXM
      XQEUHZUOZYTYAYRVGUPZCVCZYCUUCYTYSYAVCUUEYAYSVJUUCYAYRCUUCYAUUCBXTXKBVPUHZ
      XLUUBXHXIUUFXJXHXIUOZBUQMUSZUQLUSZVGUPVPUEUUGUUHUUIXIUUHVPUHXHEJMPRVKVLZX
      HUUIVPUHXIEJLPRVKVIZVMVNVQZVRUUBXTVPUHXMEJXQPRVSVLVTWAZUUCYRUUCYQXRXKYQVP
      UHZXLUUBXHXIUUNXJUUGYOYPXIYOVPUHZXHEJMPRVSVLZXHYPVPUHZXIEJLPRVSVIZVMZVQVR
      UUBXRVPUHXMEJXQPRVKVLZVTWAZXKCWBUHZXLUUBXHXIUVBXJUUGCUUGCYPUUHUTUPZUUIYOU
      TUPZVGUPVPUFUUGUVCUVDUUGYPUUHUURUUJVTUUGUUIYOUUKUUPVTVMVNZWAVQVRWCWDUUCUU
      DYBCUUCYBYAXSVBUPYAYRWGZVBUPUUDUUCXSYAUUCXSUUCAXRXKAVPUHZXLUUBXHXIUVGXJUU
      GAYPYOVGUPZVPUDUUGYPYOUURUUPVMVNVQZVRUUTVTWAUUMWEUUCUVFXSYAVBUUCXSYQWGZXR
      UTUPUVFUUCAUVJXRUTUUCAUVHUVJUDUUCYOYPUUCYOXKUUOXLUUBXHXIUUOXJUUPVQVRWAUUC
      YPXKUUQXLUUBXHXIUUQXJUURVQVRWAWHWIWJUUCYQXRXKYQWBUHZXLUUBXHXIUVKXJUUGYQUU
      SWAVQVRUUCXRUUTWAWKWLWMUUCYAYRUUMUVAWNWPWOWQWRWSWTXAXMUVGUUFCVPUHZAULUIZB
      ULUIZVOZXLYFYNXBXKUVGXLUVIVIXKUUFXLUULVIXKUVLXLXHXIUVLXJUVEVQVIXKUVOXLXKU
      VNUVMBAEJLMPRUEUDXCXDVIXKXLXEABCDEFGHIJYDONUGPQRSTUAUBYDWFXFXGWQ $.

    $d A z $.  $d B z $.  $d C z $.  $d D z $.  $d L z $.  $d P z $.  $d Q z $.
    $d R z $.  $d S z $.  $d X z $.  $d Y z $.  $d .0. z $.
    $( The intersection points of a line through two different points and a
       circle around the origin, using the definition of a line in a two
       dimensional Euclidean space, expressed as intersection.  (Contributed by
       AV, 7-May-2023.)  (Revised by AV, 14-May-2023.) $)
    itsclinecirc0in $p |- ( ( ( X e. P /\ Y e. P /\ X =/= Y )
                              /\ ( R e. RR+ /\ 0 <_ D ) )
     -> ( ( .0. S R ) i^i ( X L Y ) )
        = { { <. 1 , ( ( ( A x. C ) + ( B x. ( sqrt ` D ) ) ) / Q ) >. ,
              <. 2 , ( ( ( B x. C ) - ( A x. ( sqrt ` D ) ) ) / Q ) >. } ,
            { <. 1 , ( ( ( A x. C ) - ( B x. ( sqrt ` D ) ) ) / Q ) >. ,
              <. 2 , ( ( ( B x. C ) + ( A x. ( sqrt ` D ) ) ) / Q ) >. } } ) $=
      ( vz wcel wne w3a crp cc0 cle wbr wa co cin cmul csqrt cfv caddc cdiv cop
      c1 c2 cmin cpr cv wceq wo itsclinecirc0b syl5bb cr rrx2pyel adantr adantl
      elin wb resubcld eqeltrid 3adant3 rrx2pxel remulcld 3jca rpre itsclc0lem3
      syl2an simprr jca resum2sqcl syl rrx2pnedifcoorneorr orcomd resum2sqorgt0
      syl3anc gt0ne0d itsclc0lem1 itsclc0lem2 prelrrx2b syl22anc bitrd eqrdv
      clt ) LEUGZMEUGZLMUHZUIZGUJUGZUKDULUMZUNZUNZUFNGHUOZLMKUOZUPZVCACUQUOZBDU
      RUSZUQUOZUTUOFVAUOZVBVDBCUQUOZAXOUQUOZVEUOFVAUOZVBVFVCXNXPVEUOFVAUOZVBVDX
      RXSUTUOFVAUOZVBVFVFZXJUFVGZXMUGZYDEUGVCYDUSZXQVHVDYDUSZXTVHUNYFYAVHYGYBVH
      UNVIUNZYDYCUGZYEYDXKUGYDXLUGUNXJYHYDXKXLVPABCDEFGHIJKLMNYDOPQRSTUAUBUCUDU
      EVJVKXJXQVLUGZXTVLUGZYAVLUGZYBVLUGZYHYIVQXJAVLUGZBVLUGZCVLUGZUIZDVLUGZXHU
      NZFVLUGZFUKUHZUNZYJXJYNYOYPXFYNXIXCXDYNXEXCXDUNZAVDLUSZVDMUSZVEUOVLUCUUCU
      UDUUEXCUUDVLUGXDEJLOQVMVNZXDUUEVLUGXCEJMOQVMVOZVRVSZVTZVNZXFYOXIXCXDYOXEU
      UCBVCMUSZVCLUSZVEUOVLUDUUCUUKUULXDUUKVLUGXCEJMOQWAVOZXCUULVLUGXDEJLOQWAVN
      ZVRVSZVTZVNZXFYPXIXCXDYPXEUUCCUUDUUKUQUOZUULUUEUQUOZVEUOVLUEUUCUURUUSUUCU
      UDUUKUUFUUMWBUUCUULUUEUUNUUGWBVRVSVTZVNZWCZXJYRXHXFYQGVLUGZYRXIXFYNYOYPUU
      IUUPUUTWCXGUVCXHGWDVNABCDFGTUAWEWFXFXGXHWGWHZXFUUBXIXFYTUUAXCXDYTXEUUCYNY
      OUNYTUUCYNYOUUHUUOWHABFTWIWJVTZXFFXFYNYOAUKUHZBUKUHZVIUKFXBUMUUIUUPXFUVGU
      VFBAEJLMOQUDUCWKWLABFTWMWNWOZWHVNABCDFWPWNXJYOYNYPUIZYSUUBYKXJYOYNYPUUQUU
      JUVAWCZUVDXJYTUUAXFYTXIUVEVNXFUUAXIUVHVNWHZBACDFWQWNXJYQYSUUBYLUVBUVDUVKA
      BCDFWQWNXJUVIYSUUBYMUVJUVDUVKBACDFWPWNXQXTEJYAYBYDOQWRWSWTXA $.
  $}

  ${
    itsclquadb.q $e |- Q = ( ( A ^ 2 ) + ( B ^ 2 ) ) $.
    ${
      $d A x $.  $d B x $.  $d C x $.  $d Q x $.  $d R x $.  $d T x $.
      $d U x $.  $d Y x $.
      itsclquadb.t $e |- T = -u ( 2 x. ( B x. C ) ) $.
      itsclquadb.u $e |- U = ( ( C ^ 2 ) - ( ( A ^ 2 ) x. ( R ^ 2 ) ) ) $.
      $( Quadratic equation for the y-coordinate of the intersection points of
         a line and a circle.  (Contributed by AV, 22-Feb-2023.) $)
      itsclquadb $p |- ( ( ( ( A e. RR /\ A =/= 0 ) /\ B e. RR /\ C e. RR )
                           /\ R e. RR+ /\ Y e. RR )
                -> ( E. x e. RR ( ( ( x ^ 2 ) + ( Y ^ 2 ) ) = ( R ^ 2 )
                                    /\ ( ( A x. x ) + ( B x. Y ) ) = C )
                     <-> ( ( Q x. ( Y ^ 2 ) ) + ( ( T x. Y ) + U ) ) = 0 ) ) $=
        ( wcel c2 co caddc wceq cmul cdiv recnd cr cc0 wne wa w3a crp cexp wrex
        cv wi simpl1 simp2 adantr simp3 anim1ci itscnhlc0yqe rexlimdva 3ad2ant1
        syl3anc cmin remulcld resubcld simp11l simp11r redivcld wb oveq1 oveq1d
        eqeq1d oveq2 anbi12d adantl sqdivd cc binom2sub syl2anc resqcld 2re a1i
        cneg negsubd mulassd eqcomd oveq2d mulcomd 3eqtrd negeqd eqtr3d oveq12d
        2cnd sqmuld mulneg1d eqcomi oveq1i eqtrd resqcl 3ad2ant3 recn sqne0 syl
        biimpar divcan2d divassd divdird addassd adddird addcomd oveq2i oveq12i
        renegcld eqeltrid readdcld rpre 3ad2ant2 eqtr4id addeq0 nncand divcan3d
        bitrd sylan9eqr ex sylbid imp npcand jca rspcedvd impbid ) BUAMZBUBUCZU
        DZCUAMZDUAMZUEZFUFMZIUAMZUEZAUIZNUGOZINUGOZPOZFNUGOZQZBYQROZCIROZPOZDQZ
        UDZAUAUHZEYSROZGIROZHPOZPOZUBQZYPUUGUUMAUAYPYQUAMZUDYMYNUUNYOUDUUGUUMUJ
        YMYNYOUUNUKYPYNUUNYMYNYOULUMYPYOUUNYMYNYOUNZUOBCDEFGHYQIJKLUPUSUQYPUUMU
        UHYPUUMUDZUUGDUUDUTOZBSOZNUGOZYSPOZUUAQZBUURROZUUDPOZDQZUDZAUURUAYPUURU
        AMUUMYPUUQBYPDUUDYMYNYLYOYJYKYLUNURZYPCIYMYNYKYOYJYKYLULURZUUOVAZVBZYHY
        IYKYLYNYOVCZYHYIYKYLYNYOVDZVEUMYQUURQZUUGUVEVFUUPUVLUUBUVAUUFUVDUVLYTUU
        TUUAUVLYRUUSYSPYQUURNUGVGVHVIUVLUUEUVCDUVLUUCUVBUUDPYQUURBRVJVHVIVKVLUU
        PUVAUVDUUPUUTDNUGOZUUJPOZCNUGOZYSROZPOZBNUGOZYSROZPOZUVRSOZUVMUVRUVOPOZ
        YSROZUUJPOZPOZUVRSOZUUAYPUUTUWAQUUMYPUUTUVQUVRSOZUVRYSUVRSOROZPOUWGUVSU
        VRSOZPOZUWAYPUUSUWGYSUWHPYPUUSUUQNUGOZUVRSOUWGYPUUQBYPUUQUVITZYPBUVJTZU
        VKVMYPUWKUVQUVRSYPUWKUVMNDUUDROZROZUTOZUUDNUGOZPOZUVMNCDROZROZIROZVTZPO
        ZUVPPOUVQYPDVNMUUDVNMUWKUWRQYPDUVFTZYPUUDUVHTZDUUDVOVPYPUWPUXCUWQUVPPYP
        UVMUWOVTZPOUWPUXCYPUVMUWOYPUVMYPDUVFVQZTZYPUWOYPNUWNNUAMYPVRVSZYPDUUDUV
        FUVHVAVATWAYPUXFUXBUVMPYPUWOUXAYPUWONDCROZIROZROZNUXJROZIROZUXAYPUWNUXK
        NRYPUXKUWNYPDCIUXDYPCUVGTZYPIUUOTZWBWCWDYPUXNUXLYPNUXJIYPWJYPUXJYPDCUVF
        UVGVATUXPWBWCYPUXMUWTIRYPUXJUWSNRYPDCUXDUXOWEWDVHWFWGWDWHYPCIUXOUXPWKWI
        YPUXCUVNUVPPYPUXBUUJUVMPYPUWTVTZIROZUXBUUJYPUWTIYPUWTYPNUWSUXIYPCDUVGUV
        FVAVAZTUXPWLUXRUUJQYPUXQGIRGUXQKWMWNVSWHWDVHWFVHWOYPUWHYSYPYSUVRYOYMYSV
        NMYNYOYSIWPTWQZYPUVRYPBUVJVQZTZYMYNUVRUBUCZYOYJYKUYCYLYHUYCYIYHBVNMUYCY
        IVFBWRBWSWTXAURURZXBWCWIYPUWHUWIUWGPYPUWIUWHYPUVRYSUVRUYBUXTUYBUYDXCWCW
        DYPUWAUWJYPUVQUVSUVRYPUVQYPUVNUVPYPUVMUUJUXGYPGIYPGUXQUAKYPUWTUXSXJXKUU
        OVAZXLZYPUVOYSYPCUVGVQZYPIUUOVQZVAZXLTYPUVSYPUVRYSUYAUYHVATZUYBUYDXDWCW
        FUMUUPUVTUWEUVRSYPUVTUWEQUUMYPUVTUVNUVPUVSPOZPOUVNUWCPOZUWEYPUVNUVPUVSY
        PUVNUYFTYPUVPUYITUYJXEYPUYKUWCUVNPYPUVOUVRPOZYSROUYKUWCYPUVOUVRYSYPUVOU
        YGTZUYBYPYSUYHTXFYPUYMUWBYSRYPUVOUVRUYNUYBXGVHWHWDYPUYLUVMUUJUWCPOZPOUW
        EYPUVMUUJUWCUXHYPUUJUYETZYPUWCYPUWBYSYPUVRUVOUYAUYGXLUYHVAZTZXEYPUYOUWD
        UVMPYPUUJUWCUYPUYRXGWDWOWFUMVHYPUUMUWFUUAQZYPUUMUWDUVMUVRUUAROZUTOZVTZQ
        ZUYSYPUUMUWDVUAPOZUBQZVUCYPUULVUDUBYPUULUWCUUJVUAPOZPOVUDUUIUWCUUKVUFPE
        UWBYSRJWNHVUAUUJPLXHXIYPUWCUUJVUAUYRUYPYPVUAYPUVMUYTUXGYPUVRUUAUYAYNYMU
        UAUAMYOYNFFXMVQXNZVAZVBTZXEXOVIYPUWDVNMVUAVNMVUEVUCVFYPUWDYPUWCUUJUYQUY
        EXLTVUIUWDVUAXPVPXSYPVUCUYSVUCYPUWFUVMVUBPOZUVRSOZUUAVUCUWEVUJUVRSUWDVU
        BUVMPVJVHYPVUKUYTUVRSOUUAYPVUJUYTUVRSYPVUJUVMVUAUTOUYTYPUVMVUAUXHVUIWAY
        PUVMUYTUXHYPUYTVUHTXQWOVHYPUUAUVRYPUUAVUGTUYBUYDXRWOXTYAYBYCWFYPUVDUUMY
        PUVCUUQUUDPODYPUVBUUQUUDPYPUUQBUWLUWMUVKXBVHYPDUUDUXDUXEYDWOUMYEYFYAYG
        $.

      $d A x z $.  $d B z $.  $d C z $.  $d R z $.  $d Y z $.
      $( Quadratic equation for the y-coordinate of the intersection points of
         a line and a circle.  (Contributed by AV, 23-Feb-2023.) $)
      itsclquadeu $p |- ( ( ( ( A e. RR /\ A =/= 0 ) /\ B e. RR /\ C e. RR )
                           /\ R e. RR+ /\ Y e. RR )
                -> ( E! x e. RR ( ( ( x ^ 2 ) + ( Y ^ 2 ) ) = ( R ^ 2 )
                                    /\ ( ( A x. x ) + ( B x. Y ) ) = C )
                     <-> ( ( Q x. ( Y ^ 2 ) ) + ( ( T x. Y ) + U ) ) = 0 ) ) $=
        ( vz cr wcel wa co caddc wceq cmul cc0 wne w3a crp cv c2 cexp wreu wral
        weq wi wrex wb oveq1 oveq1d eqeq1d oveq2 anbi12d reu8 a1i eqcoms eqeq2d
        adantl simp11l ad2antrr simpr remulcld recnd adantr simp12 simp3 simplr
        id addcan2d simp11r mulcand equcom 3bitrd biimpd sylbid an32s ralrimiva
        adantld ex pm4.71d bicomd rexbidva itsclquadb ) BNOZBUAUBZPZCNOZDNOZUCZ
        FUDOZINOZUCZAUEZUFUGQZIUFUGQZRQZFUFUGQZSZBWRTQZCITQZRQZDSZPZANUHZXHMUEZ
        UFUGQZWTRQZXBSZBXJTQZXERQZDSZPZAMUJZUKZMNUIZPZANULZXHANULEWTTQGITQHRQRQ
        UASXIYBUMWQXHXQAMNXRXCXMXGXPXRXAXLXBXRWSXKWTRWRXJUFUGUNUOUPXRXFXODXRXDX
        NXERWRXJBTUQUOUPURUSUTWQYAXHANWQWRNOZPZXHYAYDXHXTYDXGXTXCYDXGXTYDXGPZXS
        MNYEXJNOZPXPXRXMYDYFXGXPXRUKYDYFPZXGPXPXOXFSZXRXGXPYHUMYGXGDXFXODXFSZDX
        FYIVMVAVBVCYGYHXRUKXGYGYHXRYGYHXNXDSMAUJZXRYGXNXDXEYGXNYGBXJWQWIYCYFWIW
        JWLWMWOWPVDZVEZYDYFVFZVGVHYGXDYDXDNOYFYDBWRWQWIYCYKVIWQYCVFVGVIVHYGXEWQ
        XENOYCYFWQCIWKWLWMWOWPVJWNWOWPVKVGVEVHVNYGXJWRBYGXJYMVHYGWRWQYCYFVLVHYG
        BYLVHWQWJYCYFWIWJWLWMWOWPVOVEVPYJXRUMYGMAVQUTVRVSVIVTWAWCWBWDWCWEWFWGAB
        CDEFGHIJKLWHVR $.
    $}
  $}

  ${
    2itscp.a $e |- ( ph -> A e. RR ) $.
    2itscp.b $e |- ( ph -> B e. RR ) $.
    2itscp.x $e |- ( ph -> X e. RR ) $.
    2itscp.y $e |- ( ph -> Y e. RR ) $.
    2itscp.d $e |- D = ( X - A ) $.
    2itscp.e $e |- E = ( B - Y ) $.
    $( Lemma 1 for ~ 2itscp .  (Contributed by AV, 4-Mar-2023.) $)
    2itscplem1 $p |- ( ph -> ( ( ( ( E ^ 2 ) x. ( B ^ 2 ) )
                               + ( ( D ^ 2 ) x. ( A ^ 2 ) ) )
                               - ( 2 x. ( ( D x. A ) x. ( E x. B ) ) ) )
                             = ( ( ( D x. A ) - ( E x. B ) ) ^ 2 ) ) $=
      ( c2 cexp co cmul caddc cmin mulcld recnd subcld eqeltrid 2cnd addsubassd
      cc sqcld addcomd sqmuld eqcomd oveq1d oveq12d wcel wceq binom2sub syl2anc
      3eqtrd eqtr4d ) AENOPZCNOPZQPZDNOPZBNOPZQPZRPNDBQPZECQPZQPZQPZSPZVENOPZVH
      SPZVFNOPZRPZVEVFSPNOPZAVIVAVDVHSPZRPVOVARPVMAVAVDVHAUSUTAEAECGSPUFMACGACI
      UAZAGKUAUBUCZUGACVPUGTZAVBVCADADFBSPUFLAFBAFJUAABHUAZUBUCZUGABVSUGTZANVGA
      UDAVEVFADBVTVSTZAECVQVPTZTTZUEAVAVOVRAVDVHWAWDUBUHAVOVKVAVLRAVDVJVHSAVJVD
      ADBVTVSUIUJUKAVLVAAECVQVPUIUJULUQAVEUFUMVFUFUMVNVMUNWBWCVEVFUOUPUR $.

    2itscp.c $e |- C = ( ( D x. B ) + ( E x. A ) ) $.
    $( Lemma 2 for ~ 2itscp .  (Contributed by AV, 4-Mar-2023.) $)
    2itscplem2 $p |- ( ph -> ( C ^ 2 ) = ( ( ( ( D ^ 2 ) x. ( B ^ 2 ) )
                                     + ( 2 x. ( ( D x. A ) x. ( E x. B ) ) ) )
                                           + ( ( E ^ 2 ) x. ( A ^ 2 ) ) ) ) $=
      ( c2 cexp co cmul cc caddc wceq oveq1i a1i wcel cmin subcld mulcld binom2
      recnd eqeltrid syl2anc sqmuld mul4r syl22anc oveq2d oveq12d 3eqtrd ) ADPQ
      RZECSRZFBSRZUARZPQRZUTPQRZPUTVASRZSRZUARZVAPQRZUARZEPQRCPQRSRZPEBSRFCSRSR
      ZSRZUARZFPQRBPQRSRZUARUSVCUBADVBPQOUCUDAUTTUEVATUEVCVIUBAECAEGBUFRTMAGBAG
      KUJABIUJZUGUKZACJUJZUHAFBAFCHUFRTNACHVQAHLUJUGUKZVOUHUTVAUIULAVGVMVHVNUAA
      VDVJVFVLUAAECVPVQUMAVEVKPSAETUECTUEFTUEBTUEVEVKUBVPVQVRVOECFBUNUOUPUQAFBV
      RVOUMUQUR $.

    2itscp.r $e |- ( ph -> R e. RR ) $.
    ${
      2itscplem3.q $e |- Q = ( ( E ^ 2 ) + ( D ^ 2 ) ) $.
      2itscplem3.s $e |- S = ( ( ( R ^ 2 ) x. Q ) - ( C ^ 2 ) ) $.
      $( Lemma D for ~ 2itscp .  (Contributed by AV, 4-Mar-2023.) $)
      2itscplem3 $p |-
                 ( ph -> S = ( ( ( ( E ^ 2 ) x. ( ( R ^ 2 ) - ( A ^ 2 ) ) )
                                 + ( ( D ^ 2 ) x. ( ( R ^ 2 ) - ( B ^ 2 ) ) ) )
                               - ( 2 x. ( ( D x. A ) x. ( E x. B ) ) ) ) ) $=
        ( c2 cexp co cmul cmin caddc wceq oveq2d recnd sqcld cc subcld eqeltrid
        a1i addcld mulcomd adddird 3eqtrd 2itscplem2 oveq12d mulcld 2cnd eqcomd
        subsub4d oveq1d sub32d eqtrd addsubassd subdid addsubd 3eqtr3d ) AHGUBU
        CUDZFUEUDZDUBUCUDZUFUDZIUBUCUDZVMUEUDZEUBUCUDZVMUEUDZUGUDZVSCUBUCUDZUEU
        DZUBEBUEUDZICUEUDZUEUDZUEUDZUGUDZVQBUBUCUDZUEUDZUGUDZUFUDZVQVMWIUFUDUEU
        DZVSVMWBUFUDZUEUDZUGUDZWGUFUDZHVPUHAUAUOAVNWAVOWKUFAVNVMVQVSUGUDZUEUDWR
        VMUEUDWAAFWRVMUEFWRUHATUOUIAVMWRAGAGSUJUKZAVQVSAIAICKUFUDULQACKACMUJZAK
        OUJUMUNZUKZAEAEJBUFUDULPAJBAJNUJABLUJZUMUNZUKZUPUQAVQVSVMXBXEWSURUSABCD
        EIJKLMNOPQRUTVAAWAWHUFUDZWJUFUDZWAWCUFUDZWJUFUDZWGUFUDZWLWQAXGXHWGUFUDZ
        WJUFUDXJAXFXKWJUFAXKXFAWAWCWGAVRVTAVQVMXBWSVBZAVSVMXEWSVBZUPZAVSWBXEACW
        TUKZVBZAUBWFAVCAWDWEAEBXDXCVBAICXAWTVBVBVBZVEVDVFAXHWGWJAWAWCXNXPUMXQAV
        QWIXBABXCUKZVBZVGVHAWAWHWJXNAWCWGXPXQUPXSVEAXIWPWGUFAXIVRWOUGUDZWJUFUDV
        RWJUFUDZWOUGUDWPAXHXTWJUFAXHVRVTWCUFUDZUGUDXTAVRVTWCXLXMXPVIAYBWOVRUGAW
        OYBAVSVMWBXEWSXOVJVDUIVHVFAVRWOWJXLAVSWNXEAVMWBWSXOUMVBXSVKAYAWMWOUGAWM
        YAAVQVMWIXBWSXRVJVDVFUSVFVLUS $.
    $}

    2itscp.l $e |- ( ph -> ( ( A ^ 2 ) + ( B ^ 2 ) ) < ( R ^ 2 ) ) $.
    ${
      2itscp.n $e |- ( ph -> ( B =/= Y \/ A =/= X ) ) $.
      2itscp.q $e |- Q = ( ( E ^ 2 ) + ( D ^ 2 ) ) $.
      2itscp.s $e |- S = ( ( ( R ^ 2 ) x. Q ) - ( C ^ 2 ) ) $.
      $( A condition for a quadratic equation with real coefficients (for the
         intersection points of a line with a circle) to have (exactly) two
         different real solutions.  (Contributed by AV, 5-Mar-2023.)  (Revised
         by AV, 16-May-2023.) $)
      2itscp $p |- ( ph -> 0 < S ) $=
        ( cc0 c2 cexp co cmin cmul caddc clt wbr wne wa wcel recnd adantr simpr
        cc subne0d necomd neeq1i anbi12i 2re resubcld eqeltrid remulcld resqcld
        ex a1i readdcld cle sqge0d 2itscplem1 breqtrrd subge0d mpbid crp sqn0rp
        cr syl2an ltaddsub2d ltmul2dd ltaddsubd lt2addd lelttrd syl5bir syl2and
        simpl imp wn wceq nne eqcom subeq0ad biimprd syl5bi eqeq1i 0red mulge0d
        simprl syl2an2r oveq1 adantl mul02d sylan9eqr oveq1d eqtrd oveq2d 2t0e0
        eqtrdi sq0i addid1d 3brtr4d simprr addcomd eqbrtrd mulcld addid2d ioran
        mul01d wo pm2.24d 4casesdan posdifd 2itscplem3 ) AUDIUEUFUGZGUEUFUGZBUE
        UFUGZUHUGZUIUGZEUEUFUGZYHCUEUFUGZUHUGZUIUGZUJUGZUEEBUIUGZICUIUGZUIUGZUI
        UGZUHUGZHUKAYTYPUKULZUDUUAUKULACKUMZBJUMZUUBAUUCUUDUNUUBAUUCCKUHUGZUDUM
        ZUUDJBUHUGZUDUMZUUBAUUCUUFAUUCUNCKACUSUOUUCACMUPZUQAKUSUOUUCAKOUPZUQAUU
        CURUTVIZAUUDUUHAUUDUNZJBAJUSUOUUDAJNUPZUQABUSUOZUUDABLUPZUQUULBJAUUDURV
        AUTVIZUUFUUHUNIUDUMZEUDUMZUNZAUUBUUQUUFUURUUHIUUEUDQVBZEUUGUDPVBZVCAUUS
        UUBAUUSUNZYTYGYMUIUGZYLYIUIUGZUJUGZYPAYTVTUOUUSAUEYSUEVTUOAVDVJAYQYRAEB
        AEUUGVTPAJBNLVEVFZLVGZAICAIUUEVTQACKMOVEVFZMVGZVGVGZUQAUVEVTUOUUSAUVCUV
        DAYGYMAIUVHVHZACMVHZVGZAYLYIAEUVFVHZABLVHZVGZVKZUQAYPVTUOUUSAYKYOAYGYJU
        VKAYHYIAGSVHZUVOVEZVGZAYLYNUVNAYHYMUVRUVLVEZVGZVKZUQAYTUVEVLULZUUSAUDUV
        EYTUHUGZVLULUWDAUDYQYRUHUGZUEUFUGUWEVLAUWFAYQYRUVGUVIVEVMABCEIJKLMNOPQV
        NVOAUVEYTUVQUVJVPVQUQUVBUVCUVDYKYOAUVCVTUOZUUSUVMUQAUVDVTUOZUUSUVPUQAYK
        VTUOZUUSUVTUQAYOVTUOZUUSUWBUQUVBYMYJYGAYMVTUOZUUSUVLUQAYJVTUOZUUSUVSUQA
        IVTUOZUUQYGVRUOZUUSUVHUUQUURWIIVSZWAAYMYJUKULZUUSAYIYMUJUGZYHUKULZUWPTA
        YIYMYHUVOUVLUVRWBVQZUQWCUVBYIYNYLAYIVTUOZUUSUVOUQAYNVTUOZUUSUWAUQAEVTUO
        ZUURYLVRUOZUUSUVFUUQUURUREVSZWAAYIYNUKULZUUSAUWRUXETAYIYMYHUVOUVLUVRWDV
        QUQWCWEWFVIWGWHWJAUUCUUDWKZUNUUBAUUCUUFUXFUUGUDWLZUUBUUKUXFBJWLZAUXGBJW
        MUXHJBWLZAUXGBJWNAUXGUXIAJBUUMUUOWOWPWQWQUUFUXGUNUUQEUDWLZUNZAUUBUUQUUF
        UXJUXGUUTEUUGUDPWRVCAUXKUUBAUXKUNZUDYKYTYPUKUXLUDUVCYKUXLWSAUWGUXKUVMUQ
        AUWIUXKUVTUQAUDUVCVLULUXKAYGYMUVKUVLAIUVHVMACMVMWTUQUXLYMYJYGAUWKUXKUVL
        UQAUWLUXKUVSUQAUWMUXKUUQUWNUVHAUUQUXJXAUWOXBAUWPUXKUWSUQWCWFUXLYTUEUDUI
        UGZUDUXLYSUDUEUIUXLYSUDYRUIUGZUDUXLYQUDYRUIUXKAYQUDBUIUGZUDUXJYQUXOWLUU
        QEUDBUIXCXDABUUOXEXFXGAUXNUDWLUXKAYRAYRUVIUPXEUQXHXIXJXKUXLYPYKUDUJUGZY
        KUXLYOUDYKUJUXLYOUDYNUIUGZUDUXLYLUDYNUIUXKYLUDWLZAUXJUXRUUQEXLXDXDXGAUX
        QUDWLUXKAYNAYNUWAUPXEUQXHXIAUXPYKWLUXKAYKAYKUVTUPXMUQXHXNVIWGWHWJAUUCWK
        ZUUDUNUUBAUXSUUEUDWLZUUDUUHUUBUXSCKWLZAUXTCKWMAUXTUYAACKUUIUUJWOWPWQUUP
        UXTUUHUNIUDWLZUURUNZAUUBUYBUXTUURUUHIUUEUDQWRUVAVCAUYCUUBAUYCUNZUDYOYTY
        PUKUYDUDUVDYOUYDWSAUWHUYCUVPUQAUWJUYCUWBUQAUDUVDVLULUYCAYLYIUVNUVOAEUVF
        VMABLVMWTUQUYDYIYNYLAUWTUYCUVOUQAUXAUYCUWAUQAUXBUYCUURUXCUVFAUYBUURXOUX
        DXBAUXEUYCAYMYIUJUGZYHUKULUXEAUYEUWQYHUKAYMYIAYMUVLUPAYIUVOUPXPTXQAYMYI
        YHUVLUVOUVRWBVQUQWCWFUYDYTUXMUDUYDYSUDUEUIUYDYSYQUDUIUGUDUYDYRUDYQUIUYC
        AYRUDCUIUGZUDUYBYRUYFWLUURIUDCUIXCUQACUUIXEXFXIUYDYQUYDEBUYDEAUXBUYCUVF
        UQUPAUUNUYCUUOUQXRYAXHXIXJXKUYDYPUDYOUJUGZYOUYDYKUDYOUJUYDYKUDYJUIUGZUD
        UYDYGUDYJUIUYCYGUDWLZAUYBUYIUURIXLUQXDXGAUYHUDWLUYCAYJAYJUVSUPXEUQXHXGA
        UYGYOWLUYCAYOAYOUWBUPXSUQXHXNVIWGWHWJAUXSUXFUNZUUBUYJUUCUUDYBZWKAUUBUUC
        UUDXTAUYKUUBUAYCWGWJYDAYTYPUVJUWCYEVQABCDEFGHIJKLMNOPQRSUBUCYFVO $.
    $}

    itscnhlinecirc02plem1.n $e |- ( ph -> B =/= Y ) $.
    $( Lemma 1 for ~ itscnhlinecirc02p .  (Contributed by AV, 6-Mar-2023.) $)
    itscnhlinecirc02plem1 $p |- ( ph -> 0 < ( ( -u ( 2 x. ( D x. C ) ) ^ 2 )
                                           - ( 4 x. ( ( ( E ^ 2 ) + ( D ^ 2 ) )
                       x. ( ( C ^ 2 ) - ( ( E ^ 2 ) x. ( R ^ 2 ) ) ) ) ) ) ) $=
      ( co cc0 c4 c2 cexp cmul caddc cmin cneg clt cr 4re a1i resubcld eqeltrid
      wcel resqcld remulcld readdcld wbr 4pos wceq recnd subne0d eqnetrd sqgt0d
      wne orcd eqid 2itscp adddird addcld mulcomd eqtr3d oveq1d breqtrrd mul12d
      mulgt0d oveq2d mulcld adddid eqtr4d subdid sqcld mulsubaddmulsub syl22anc
      cc 4cn subcld breqtrd 2cnd sqneg syl sqmuld sq2 oveq12d 3eqtrd ) AUAUBEUC
      UDTZDUCUDTZUETZUETZUBGUCUDTZWQUFTZWRXAFUCUDTZUETZUGTZUETZUETZUGTZUCEDUETZ
      UETZUHUCUDTZXGUGTUIAUAUBWSXFUGTZUETXHUIAUBXLUBUJUOAUKULAWSXFAWQWRAEAEHBUG
      TUJNAHBLJUMUNZUPZADADECUETZGBUETZUFTUJPAXOXPAECXMKUQAGBAGCIUGTZUJOACIKMUM
      UNZJUQURUNZUPZUQAXBXEAXAWQAGXRUPZXNURAWRXDXTAXAXCYAAFQUPZUQZUMUQUMUAUBUIU
      SAUTULAUAXAXDUETZWQXDUETZUFTZXAWRUETZUGTZXLUIAUAXAXDWQXCUETZUFTZWRUGTZUET
      ZYHUIAXAYKYAAYJWRAXDYIYCAWQXCXNYBUQURXTUMAGXRAGXQUAGXQVAAOULACIACKVBAIMVB
      SVCVDVEAUAXCXBUETZWRUGTZYKUIABCDEXBFYNGHIJKLMNOPQRACIVFBHVFSVGXBVHYNVHVIA
      YJYMWRUGAXBXCUETYJYMAXAWQXCAXAYAVBZAWQXNVBZAXCYBVBZVJAXBXCAXAWQYOYPVKYQVL
      VMVNVOVQAYHXAYJUETZYGUGTYLAYFYRYGUGAYFYDXAYIUETZUFTYRAYEYSYDUFAWQXAXCYPYO
      YQVPVRAXAXDYIYOAXAXCYOYQVSZAWQXCYPYQVSZVTWAVNAXAYJWRYOAXDYIYTUUAVKAWRXTVB
      ZWBWAVOAXAWFUOWQWFUOWRWFUOXDWFUOXLYHVAAGAGXRVBWCZAEAEXMVBZWCZUUBAXDYCVBXA
      WQWRXDWDWEVOVQAUBWSXFUBWFUOAWGULAWQWRUUEADADXSVBZWCZVSAXBXEAXAWQUUCUUEVKA
      WRXDUUGAXAXCUUCAFAFQVBWCVSWHVSWBWIAXKWTXGUGAXKXJUCUDTZUCUCUDTZXIUCUDTZUET
      WTAXJWFUOXKUUHVAAUCXIAWJZAEDUUDUUFVSZVSXJWKWLAUCXIUUKUULWMAUUIUBUUJWSUEUU
      IUBVAAWNULAEDUUDUUFWMWOWPVNVO $.
  $}

  ${
    itscnhlinecirc02plem2.d $e |- D = ( X - A ) $.
    itscnhlinecirc02plem2.e $e |- E = ( B - Y ) $.
    itscnhlinecirc02plem2.c $e |- C = ( ( B x. X ) - ( A x. Y ) ) $.
    $( Lemma 2 for ~ itscnhlinecirc02p .  (Contributed by AV, 10-Mar-2023.) $)
    itscnhlinecirc02plem2 $p |- ( ( ( ( A e. RR /\ B e. RR )
                                      /\ ( X e. RR /\ Y e. RR ) /\ B =/= Y )
                     /\ ( R e. RR /\ ( ( A ^ 2 ) + ( B ^ 2 ) ) < ( R ^ 2 ) ) )
  -> 0 < ( ( -u ( 2 x. ( D x. C ) ) ^ 2 )
           - ( 4 x. ( ( ( E ^ 2 ) + ( D ^ 2 ) )
                       x. ( ( C ^ 2 ) - ( ( E ^ 2 ) x. ( R ^ 2 ) ) ) ) ) ) ) $=
      ( cr wcel wa c2 cexp co caddc cmul cmin wne w3a clt wbr cneg simpl1l eqid
      cc0 c4 simpl1r simpl2l simpl2r simprl simprr simpl3 itscnhlinecirc02plem1
      simplr mulcomd simpll oveq12d subdird oveq1d oveq2d mulcld npncand 3eqtrd
      wceq recnd eqtr4d oveq1i oveq12i 3eqtr4g negeqd 3adant3 adantr breqtrrd )
      ALMZBLMZNZGLMZHLMZNZBHUAZUBZELMZAOPQBOPQRQEOPQZUCUDZNZNZUHODDBSQZFASQZRQZ
      SQZSQZUEZOPQZUIFOPQZDOPQRQZWLOPQZWQWFSQZTQZSQZSQZTQZODCSQZSQZUEZOPQZUIWRC
      OPQZWTTQZSQZSQZTQZUCWIABWLDEFGHVQVRWBWCWHUFVQVRWBWCWHUJVTWAVSWCWHUKVTWAVS
      WCWHULIJWLUGWDWEWGUMWDWEWGUNVSWBWCWHUOUPWDXMXDVGZWHVSWBXNWCVSWBNZXHWPXLXC
      TXOXGWOOPXOXFWNXOXEWMOSXOCWLDSXOBGSQZAHSQZTQZGATQZBSQZBHTQZASQZRQZCWLXOXR
      GBSQZHASQZTQZYCXOXPYDXQYETXOBGXOBVQVRWBUQVHZXOGVSVTWAUMVHZURXOAHXOAVQVRWB
      USVHZXOHVSVTWAUNVHZURUTXOYCYDABSQZTQZBASQZYETQZRQYLYKYETQZRQYFXOXTYLYBYNR
      XOGABYHYIYGVAXOBHAYGYJYIVAUTXOYNYOYLRXOYMYKYETXOBAYGYIURVBVCXOYDYKYEXOGBY
      HYGVDXOABYIYGVDXOHAYJYIVDVEVFVIKWJXTWKYBRDXSBSIVJFYAASJVJVKVLZVCVCVMVBXOX
      KXBUISXOXJXAWRSXOXIWSWTTXOCWLOPYPVBVBVCVCUTVNVOVP $.
  $}

  ${
    itscnhlinecirc02p.i $e |- I = { 1 , 2 } $.
    itscnhlinecirc02p.e $e |- E = ( RR^ ` I ) $.
    itscnhlinecirc02p.p $e |- P = ( RR ^m I ) $.
    itscnhlinecirc02p.s $e |- S = ( Sphere ` E ) $.
    itscnhlinecirc02p.0 $e |- .0. = ( I X. { 0 } ) $.
    itscnhlinecirc02p.l $e |- L = ( LineM ` E ) $.
    itscnhlinecirc02p.d $e |- D = ( dist ` E ) $.
    $( Lemma 3 for ~ itscnhlinecirc02p .  (Contributed by AV, 10-Mar-2023.) $)
    itscnhlinecirc02plem3 $p |- ( ( ( X e. P /\ Y e. P
                                    /\ ( X ` 2 ) =/= ( Y ` 2 ) )
                                  /\ ( R e. RR+ /\ ( X D .0. ) < R ) )
                  -> 0 < ( ( -u ( 2 x. ( ( ( Y ` 1 ) - ( X ` 1 ) )
                                    x. ( ( ( X ` 2 ) x. ( Y ` 1 ) )
                                      - ( ( X ` 1 ) x. ( Y ` 2 ) ) ) ) ) ^ 2 )
                           - ( 4 x. ( ( ( ( ( X ` 2 ) - ( Y ` 2 ) ) ^ 2 )
                                        + ( ( ( Y ` 1 ) - ( X ` 1 ) ) ^ 2 ) )
                               x. ( ( ( ( ( X ` 2 ) x. ( Y ` 1 ) )
                                      - ( ( X ` 1 ) x. ( Y ` 2 ) ) ) ^ 2 )
                                    - ( ( ( ( X ` 2 ) - ( Y ` 2 ) ) ^ 2 )
                                        x. ( R ^ 2 ) ) ) ) ) ) ) $=
      ( wcel c2 co cfv wne w3a crp clt wbr wa c1 cr cexp caddc cc0 cmin cmul c4
      cneg rrx2pxel rrx2pyel 3ad2ant1 adantr 3ad2ant2 simpl3 rpre adantl simpl1
      jca csqrt wceq crrx cehl cfz cn0 2nn0 eqid ehlval ax-mp cpr fz12pr eqtr4i
      fveq2i eqtri oveq2i csn cxp xpeq1i ehl2eudisval0 syl breq1d rpge0 sqrtsqd
      cmap eqcomd breq2d biimpa resqcld sqge0d addge0d sqrtltd mpbird ex sylbid
      readdcld impr itscnhlinecirc02plem2 syl32anc ) HBRZIBRZSHUAZSIUAZUBZUCZCU
      DRZHJATZCUEUFZUGZUGUHHUAZUIRZXHUIRZUGZUHIUAZUIRZXIUIRZUGZXJCUIRZXPSUJTZXH
      SUJTZUKTZCSUJTZUEUFZULSXTXPUMTZXHXTUNTXPXIUNTUMTZUNTUNTUPSUJTUOXHXIUMTZSU
      JTZYJSUJTUKTYKSUJTYMYHUNTUMTUNTUNTUMTUEUFXKXSXOXFXGXSXJXFXQXRBFHKMUQZBFHK
      MURZVFUSUTXKYCXOXGXFYCXJXGYAYBBFIKMUQBFIKMURVFVAUTXFXGXJXOVBXOYDXKXLYDXNC
      VCZUTVDXKXLXNYIXKXLUGZXNYGVGUAZCUEUFZYIYQXMYRCUEYQXFXMYRVHXFXGXJXLVEZAEHB
      JEFVIUAZSVJUAZLUUBUHSVKTZVIUAZUUASVLRUUBUUDVHVMUUBSUUBVNVOVPUUCFVIUUCUHSV
      QZFVRKVSVTWAVSBUIFWKTUIUUEWKTMFUUEUIWKKWBWAQJFULWCZWDUUEUUFWDOFUUEUUFKWEW
      AWFWGWHYQYSYIYQYSUGZYIYRYHVGUAZUEUFZYQYSUUIYQCUUHYRUEXLCUUHVHXKXLUUHCXLCY
      PCWIWJWLVDWMWNUUGYGYHUUGYEYFUUGXPYQXQYSYQXFXQYTYNWGUTZWOZUUGXHYQXRYSYQXFX
      RYTYOWGUTZWOZXBUUGYEYFUUKUUMUUGXPUUJWPUUGXHUULWPWQUUGCYQYDYSXLYDXKYPVDUTZ
      WOUUGCUUNWPWRWSWTXAXCXPXHYKYJCYLXTXIYJVNYLVNYKVNXDXE $.

    ${
      $d D s x y $.  $d P s y $.  $d R s y $.  $d X s y $.  $d Y s y $.
      $d .0. s y $.  $d E p $.  $d I p $.  $d P p x $.  $d R p x $.
      $d X p x $.  $d .0. p x $.  $d p y $.  $d Y p x $.  $d Z p $.
      itscnhlinecirc02p.z $e |- Z = { <. 1 , x >. , <. 2 , y >. } $.
      $( Intersection of a nonhorizontal line with a circle:  A nonhorizontal
         line passing through a point within a circle around the origin
         intersects the circle at exactly two different points.  (Contributed
         by AV, 28-Jan-2023.) $)
      itscnhlinecirc02p $p |- ( ( ( X e. P /\ Y e. P
                                      /\ ( X ` 2 ) =/= ( Y ` 2 ) )
                                    /\ ( R e. RR+ /\ ( X D .0. ) < R ) )
                       -> E! s e. ~P RR ( ( # ` s ) = 2 /\ A. y e. s E! x e. RR
                                  ( Z e. ( .0. S R ) /\ Z e. ( X L Y ) ) ) ) $=
        ( vp wcel c2 cfv wne w3a crp co clt wbr wa cv chash wceq wreu wral cmin
        cr cpw cexp caddc cmul cneg cc0 itscnhlinecirc02plem3 rrx2pyel 3ad2ant1
        c1 c4 adantr 3ad2ant2 resubcld resqcld rrx2pxel readdcld subne0d sqgt0d
        recnd simp3 sqge0d addgtge0d gt0ne0d 2re remulcld renegcld adantl eqidd
        a1i rpre requad2 mpbird crab cpnf cico cxr 0xr pnfxr rpge0 ltpnf elicod
        rpxr syl eqid 2sphere0 eleq2d fveq1 cop cpr fveq1i 1ne2 1ex fvpr1 ax-mp
        vex eqtri eqtrd oveq1d 2ex fvpr2 oveq12d eqeq1d elrab bitrd simp1 simp2
        wb wi necon3d ex 3jca oveq2d reubidva biantrurd bicomd expcom ad3antrrr
        anbi12d imp 3imp rrx2linest2 elelpwi prelrrx2 ancoms eleq1i jca simplrl
        sylibr itsclquadeu ralbidva pm5.32da ) JDUDZKDUDZUEJUFZUEKUFZUGZUHZEUIU
        DZJLCUJEUKULZUMZUMZNUNZUOUFUEUPZMLEFUJZUDZMJKIUJZUDZUMZAUTUQZBUVCURZUMZ
        NUTVAZUQUVDUUOUUPUSUJZUEVBUJZVJKUFZVJJUFZUSUJZUEVBUJZVCUJZBUNZUEVBUJZVD
        UJUEUVRUUOUVPVDUJZUVQUUPVDUJZUSUJZVDUJZVDUJZVEZUWAVDUJUWEUEVBUJZUVOEUEV
        BUJZVDUJZUSUJZVCUJVCUJVFUPZBUVCURZUMZNUVMUQZUVBUWPVFUWHUEVBUJVKUVTUWLVD
        UJVDUJUSUJZUKULCDEFGHIJKLOPQRSTUAVGUVBBUVTUWHUWLUWQNUVBUVOUVSUVBUVNUVBU
        UOUUPUURUUOUTUDZUVAUUMUUNUWRUUQDHJOQVHVIZVLZUURUUPUTUDZUVAUUNUUMUXAUUQD
        HKOQVHVMZVLZVNVOZUVBUVRUVBUVPUVQUURUVPUTUDZUVAUUNUUMUXEUUQDHKOQVPVMZVLZ
        UURUVQUTUDZUVAUUMUUNUXHUUQDHJOQVPVIZVLZVNZVOVQUURUVTVFUGUVAUURUVTUURUVO
        UVSUURUVNUURUUOUUPUWSUXBVNZVOUURUVRUURUVPUVQUXFUXIVNZVOUURUVNUXLUURUUOU
        UPUURUUOUWSVTUURUUPUXBVTUUMUUNUUQWAVRZVSUURUVRUXMWBWCWDVLUVBUWGUVBUEUWF
        UEUTUDUVBWEWJUVBUVRUWEUXKUVBUWCUWDUVBUUOUVPUWTUXGWFUVBUVQUUPUXJUXCWFVNZ
        WFWFWGUVBUWIUWKUVBUWEUXOVOUVBUVOUWJUXDUVBEUVAEUTUDZUURUUSUXPUUTEWKZVLWH
        VOWFVNUVBUWQWIWLWMUVBUVLUWONUVMUVBUVCUVMUDZUMZUVDUVKUWNUXSUVDUMZUVJUWMB
        UVCUXTUWAUVCUDZUMZUVJMDUDZAUNZUEVBUJZUWBVCUJZUWJUPZUMZUYCUVNUYDVDUJZUVR
        UWAVDUJZVCUJZUWEUPZUMZUMZAUTUQZUWMUYBUVIUYNAUTUYBUYDUTUDZUMZUVFUYHUVHUY
        MUYQUVFMVJUCUNZUFZUEVBUJZUEUYRUFZUEVBUJZVCUJZUWJUPZUCDWNZUDZUYHUYQUVEVU
        EMUYBUVEVUEUPZUYPUXTVUGUYAUXSVUGUVDUVBVUGUXRUVAVUGUURUUSVUGUUTUUSEVFWOW
        PUJUDVUGUUSVFWOEVFWQUDUUSWRWJWOWQUDUUSWSWJEXCEWTUUSUXPEWOUKULUXQEXAXDXB
        VUEDEFGHLUCOPQRSVUEXEXFXDVLWHVLVLVLVLXGVUFUYHYHUYQVUDUYGUCMDUYRMUPZVUCU
        YFUWJVUHUYTUYEVUBUWBVCVUHUYSUYDUEVBVUHUYSVJMUFZUYDVJUYRMXHVUIUYDUPVUHVU
        IVJVJUYDXIUEUWAXIXJZUFZUYDVJMVUJUBXKVJUEUGZVUKUYDUPXLVJUEUYDUWAXMAXPXNX
        OXQWJXRZXSVUHVUAUWAUEVBVUHVUAUEMUFZUWAUEUYRMXHVUNUWAUPVUHVUNUEVUJUFZUWA
        UEMVUJUBXKVULVUOUWAUPXLVJUEUYDUWAXTBXPYAXOXQWJXRZXSYBYCYDWJYEUYQUVHMUVN
        UYSVDUJZUVRVUAVDUJZVCUJZUWEUPZUCDWNZUDZUYMUYQUVGVVAMUYQUUMUUNJKUGZUHZUV
        GVVAUPUYBVVDUYPUXTVVDUYAUXSVVDUVDUVBVVDUXRUURVVDUVAUURUUMUUNVVCUUMUUNUU
        QYFUUMUUNUUQYGUUMUUNUUQVVCUUMUUNUUQVVCYIUUMUUNUMZJKUUOUUPJKUPUUOUUPUPYI
        VVEUEJKXHWJYJYKUUAYLVLVLVLVLVLUVNUVRUWEDGHIJKUCOPQTUVNXEUVRXEUWEXEUUBXD
        XGVVBUYMYHUYQVUTUYLUCMDVUHVUSUYKUWEVUHVUQUYIVURUYJVCVUHUYSUYDUVNVDVUMYM
        VUHVUAUWAUVRVDVUPYMYBYCYDWJYEYSYNUYBUYOUYGUYLUMZAUTUQZUWMUXTUYAUYOVVGYH
        ZUXSUYAVVHYIZUVDUXRVVIUVBUYAUXRVVHUYAUXRUMUWAUTUDZVVHUWAUVCUTUUCZVVJUYN
        VVFAUTVVJUYPUMZUYHUYGUYMUYLVVLUYGUYHVVLUYCUYGVVLVUJDUDZUYCUYPVVJVVMUYDU
        WADHOQUUDUUEMVUJDUBUUFUUIZYOYPVVLUYLUYMVVLUYCUYLVVNYOYPYSYNXDYQWHVLYTUY
        BUVNUTUDZUVNVFUGZUMZUVRUTUDZUWEUTUDZUHZUUSVVJUHVVGUWMYHUYBVVTUUSVVJUYBV
        VQVVRVVSUVBVVQUXRUVDUYAUURVVQUVAUURVVOVVPUXLUXNUUGVLYRUYBUVPUVQUVBUXEUX
        RUVDUYAUXGYRZUVBUXHUXRUVDUYAUXJYRZVNUYBUWCUWDUYBUUOUVPUVBUWRUXRUVDUYAUW
        TYRVWAWFUYBUVQUUPVWBUVBUXAUXRUVDUYAUXCYRWFVNYLUXTUUSUYAUXSUUSUVDUURUUSU
        UTUXRUUHVLVLUXTUYAVVJUXSUYAVVJYIZUVDUXRVWCUVBUYAUXRVVJVVKYQWHVLYTYLAUVN
        UVRUWEUVTEUWHUWLUWAUVTXEUWHXEUWLXEUUJXDYEYEUUKUULYNWM $.
    $}
  $}

  ${
    $d L a b $.  $d P a b $.  $d R a b $.  $d S a b $.  $d X a b $.
    $d Y a b $.  $d .0. a b $.
    inlinecirc02p.i $e |- I = { 1 , 2 } $.
    inlinecirc02p.e $e |- E = ( RR^ ` I ) $.
    inlinecirc02p.p $e |- P = ( RR ^m I ) $.
    inlinecirc02p.s $e |- S = ( Sphere ` E ) $.
    inlinecirc02p.0 $e |- .0. = ( I X. { 0 } ) $.
    inlinecirc02p.l $e |- L = ( LineM ` E ) $.
    ${
      $d A a b $.  $d B a b $.  $d C a b $.  $d D a b $.  $d Q a b $.
      inlinecirc02plem.q $e |- Q = ( ( A ^ 2 ) + ( B ^ 2 ) ) $.
      inlinecirc02plem.d $e |- D = ( ( ( R ^ 2 ) x. Q ) - ( C ^ 2 ) ) $.
      inlinecirc02plem.a $e |- A = ( ( X ` 2 ) - ( Y ` 2 ) ) $.
      inlinecirc02plem.b $e |- B = ( ( Y ` 1 ) - ( X ` 1 ) ) $.
      inlinecirc02plem.c $e |- C = ( ( ( X ` 2 ) x. ( Y ` 1 ) )
                                        - ( ( X ` 1 ) x. ( Y ` 2 ) ) ) $.
      $( Lemma for ~ inlinecirc02p .  (Contributed by AV, 7-May-2023.)
         (Revised by AV, 15-May-2023.) $)
      inlinecirc02plem $p |- ( ( ( X e. P /\ Y e. P /\ X =/= Y )
                                    /\ ( R e. RR+ /\ 0 < D ) )
               -> E. a e. P E. b e. P
                  ( ( ( .0. S R ) i^i ( X L Y ) ) = { a , b } /\ a =/= b ) ) $=
        ( wcel wne w3a crp cc0 clt wbr wa c1 cmul csqrt cfv caddc cdiv cop cmin
        co c2 cpr cin wceq cv wrex simprr gt0ne0d cr cle rrx2pyel adantr adantl
        resubcld eqeltrid 3adant3 rrx2pxel remulcld 3jca rpre itsclc0lem3 elrpd
        syl2an rprege0d resum2sqcl syl2anc wo rrx2pnedifcoorneorr resum2sqorgt0
        orcomd syl3anc jca itsclc0lem1 syl311anc itsclc0lem2 prelrrx2 syl simpl
        simprl 0red ltled jca32 itsclinecirc0in cvv opex pm3.2i orcom cc mulcld
        wb recnd sqrtcld addcld div11 addsubeq0 mul0ord wi eqneqall jaod sylbid
        com12 necon3d impancom imp olcd 1ex ovex opthne sylibr 1ne2 orci ex 2ex
        mpbir eqeq2d anbi12d subcld resqrtcld sqrt00 biimpd jctir syl5bb necomi
        readdcld eqcom jctil orim12d syl5bi prneimg mpsyl4anc mpdan preq1 neeq1
        mpd preq2 neeq2 rspc2ev ) LEUHZMEUHZLMUIZUJZGUKUHZULDUMUNZUOZUOZUPACUQV
        DZBDURUSZUQVDZUTVDZFVAVDZVBZVEBCUQVDZAUVKUQVDZVCVDZFVAVDZVBZVFZEUHZUPUV
        JUVLVCVDZFVAVDZVBZVEUVPUVQUTVDZFVAVDZVBZVFZEUHZNGHVDLMKVDVGZUWAUWIVFZVH
        ZUWAUWIUIZUOZUJZUWKOVIZPVIZVFZVHZUWQUWRUIZUOZPEVJOEVJUVIDULUIZUWPUVIDUV
        EUVFUVGVKZVLUVIUXCUOZUWBUWJUWOUXEUVNVMUHZUVSVMUHZUOZUWBUVIUXHUXCUVIUXFU
        XGUVIAVMUHZBVMUHZCVMUHZDVMUHZULDVNUNZUOZFVMUHZFULUIZUOZUXFUVEUXIUVHUVBU
        VCUXIUVDUVBUVCUOZAVELUSZVEMUSZVCVDVMUEUXRUXSUXTUVBUXSVMUHUVCEJLQSVOVPZU
        VCUXTVMUHUVBEJMQSVOVQZVRVSZVTZVPZUVEUXJUVHUVBUVCUXJUVDUXRBUPMUSZUPLUSZV
        CVDVMUFUXRUYFUYGUVCUYFVMUHUVBEJMQSWAVQZUVBUYGVMUHUVCEJLQSWAVPZVRVSZVTZV
        PZUVEUXKUVHUVBUVCUXKUVDUXRCUXSUYFUQVDZUYGUXTUQVDZVCVDVMUGUXRUYMUYNUXRUX
        SUYFUYAUYHWBUXRUYGUXTUYIUYBWBVRVSZVTVPZUVIDUVIDUVEUXIUXJUXKUJZGVMUHZUXL
        UVHUVBUVCUYQUVDUXRUXIUXJUXKUYCUYJUYOWCVTUVFUYRUVGGWDVPABCDFGUCUDWEWGZUX
        DWFWHZUVEUXQUVHUVEUXOUXPUVBUVCUXOUVDUXRUXIUXJUXOUYCUYJABFUCWIWJVTZUVEFU
        VEUXIUXJAULUIZBULUIZWKZULFUMUNUYDUYKUVEVUCVUBBAEJLMQSUFUEWLWNZABFUCWMWO
        VLZWPVPZABCDFWQWRUVIUXJUXIUXKUXNUXQUXGUYLUYEUYPUYTVUGBACDFWSWRWPVPUVNUV
        SEJQSWTXAUXEUWDVMUHZUWGVMUHZUOZUWJUVIVUJUXCUVIVUHVUIUVIUXIUXJUXKUXNUXQV
        UHUYEUYLUYPUYTVUGABCDFWSWRUVIUXJUXIUXKUXNUXQVUIUYLUYEUYPUYTVUGBACDFWQWR
        WPVPUWDUWGEJQSWTXAUXEUWMUWNUXEUVEUVFUXMUOUOZUWMUVIVUKUXCUVIUVEUVFUXMUVE
        UVHXBUVEUVFUVGXCUVIULDUVIXDUYSUXDXEZXFVPABCDEFGHIJKLMNQRSTUAUCUDUBUEUFU
        GXGXAUVOXHUHZUVTXHUHZUWEXHUHZUWHXHUHZUOZUXEUVOUWEUIZUVOUWHUIZUOZUVTUWEU
        IZUVTUWHUIZUOZWKZUWNUPUVNXIVEUVSXIVUOVUPUPUWDXIVEUWGXIXJUXEVUDVVDUVIVUD
        UXCUVEVUDUVHVUEVPVPVUDVUCVUBWKUXEVVDVUBVUCXKUXEVUCVUTVUBVVCUXEVUCVUTUXE
        VUCUOZVURVUSVVEUPUPUIZUVNUWDUIZWKVURVVEVVGVVFUXEVUCVVGUVIVUCUXCVVGUVIVU
        CUOZUVNUWDDULVVHUVNUWDVHZUVMUWCVHZDULVHZVVHUVMXLUHUWCXLUHFXLUHZUXPUOZVV
        IVVJXNVVHUVJUVLVVHACUVIAXLUHVUCUVIAUYEXOZVPUVICXLUHVUCUVICUYPXOVPXMZVVH
        BUVKUVIBXLUHVUCUVIBUYLXOZVPVVHDUVIDXLUHVUCUVIDUYSXOVPXPXMZXQVVHUVJUVLVV
        OVVQUUAUVIVVMVUCUVIVVLUXPUVIFUVEUXOUVHVUAVPXOUVEUXPUVHVUFVPWPZVPUVMUWCF
        XRWOVVHVVJUVLULVHZVVKVVHUVJXLUHUVLXLUHVVJVVSXNVVOVVQUVJUVLXSWJVVHVVSBUL
        VHZUVKULVHZWKZVVKUVIVVSVWBXNVUCUVIBUVKVVPUVIUVKUVIDUYSVULUUBZXOZXTVPVVH
        VVTVVKVWAVUCVVTVVKYAUVIVVTVUCVVKVVKBULYBYEVQUVIVWAVVKYAZVUCUVIVWAVVKUVI
        UXLUXMVWAVVKXNUYSVULDUUCWJUUDZVPYCYDYDYDYFYGYHYIUPUVNUPUWDYJUVMFVAYKZYL
        YMVUSUPVEUIZUVNUWGUIZWKVWHVWIYNYOUPUVNVEUWGYJVWGYLYRUUEYPUXEVUBVVCUXEVU
        BUOZVVBVVAVWJVEVEUIZUVSUWGUIZWKVVBVWJVWLVWKUXEVUBVWLUVIVUBUXCVWLUVIVUBU
        OZUVSUWGDULVWMUVSUWGVHZUVRUWFVHZVVKVWMUVRXLUHZUWFXLUHVVMVWNVWOXNUVIVWPV
        UBUVIUVRUVIUVPUVQUVEUVPVMUHZUVHUVBUVCVWQUVDUXRBCUYJUYOWBVTVPZUVIAUVKUYE
        VWCWBZVRXOVPVWMUWFUVIUWFVMUHVUBUVIUVPUVQUVIBCUYLUYPWBVWSUUHVPXOUVIVVMVU
        BVVRVPUVRUWFFXRWOVWMVWOUVQULVHZVVKVWMUVPXLUHZUVQXLUHZUOZVWOVWTXNUVIVXCV
        UBUVIVXAVXBUVIUVPVWRXOUVIUVQVWSXOWPVPVWOUWFUVRVHVXCVWTUVRUWFUUIUVPUVQXS
        UUFXAVWMVWTAULVHZVWAWKZVVKUVIVWTVXEXNVUBUVIAUVKVVNVWDXTVPVWMVXDVVKVWAVU
        BVXDVVKYAUVIVXDVUBVVKVVKAULYBYEVQUVIVWEVUBVWFVPYCYDYDYDYFYGYHYIVEUVSVEU
        WGYQUVRFVAYKZYLYMVVAVEUPUIZUVSUWDUIZWKVXGVXHUPVEYNUUGYOVEUVSUPUWDYQVXFY
        LYRUUJYPUUKUULUURVUMVUNUOVUQUOVVDUWNUVOUVTUWEUWHXHXHXHXHUUMYHUUNWPWCUUO
        UXBUWOUWKUWAUWRVFZVHZUWAUWRUIZUOOPUWAUWIEEUWQUWAVHZUWTVXJUXAVXKVXLUWSVX
        IUWKUWQUWAUWRUUPYSUWQUWAUWRUUQYTUWRUWIVHZVXJUWMVXKUWNVXMVXIUWLUWKUWRUWI
        UWAUUSYSUWRUWIUWAUUTYTUVAXA $.
    $}

    inlinecirc02p.d $e |- D = ( dist ` E ) $.
    $( Intersection of a line with a circle:  A line passing through a point
       within a circle around the origin intersects the circle at exactly two
       different points.  (Contributed by AV, 9-May-2023.)  (Revised by AV,
       16-May-2023.) $)
    inlinecirc02p $p |- ( ( ( X e. P /\ Y e. P /\ X =/= Y )
                                   /\ ( R e. RR+ /\ ( X D .0. ) < R ) )
                     -> ( ( .0. S R ) i^i ( X L Y ) ) e. ( PrPairs ` P ) ) $=
      ( wcel co c2 va vb wne w3a crp clt wbr wa cvv cin cpr wceq wrex cprpr cfv
      cv cr cmap ovexi a1i cc0 cexp cmin c1 caddc cmul adantl rrx2pxel 3ad2ant1
      simpl adantr rrx2pyel 3ad2ant2 eqid rpre wb crrx cehl cfz cn0 2nn0 ehlval
      ax-mp fz12pr eqtr4i fveq2i eqtri oveq2i csn xpeq1i ehl2eudis0lt 3ad2antl1
      cxp biimpd impr wo rrx2pnecoorneor orcomd 2itscp cc recnd subdird oveq12d
      mulcomd oveq1d mulcld npncand 3adant3 breqtrrd inlinecirc02plem prprelprb
      3eqtrd eqcomd oveq2d syl12anc sylanbrc ) HBRZIBRZHIUCZUDZCUERZHJASCUFUGZU
      HZUHZBUIRZJCDSHIGSUJZUAUPZUBUPZUKULYGYHUCUHUBBUMUABUMZYFBUNUORYEYDBUQFURM
      USUTYDXTYAVACTVBSZTHUOZTIUOZVCSZTVBSVDIUOZVDHUOZVCSZTVBSVESZVFSZYKYNVFSZY
      OYLVFSZVCSZTVBSZVCSZUFUGYIXTYCVJYCYAXTYAYBVJVGYDVAYRYPYKVFSZYMYOVFSZVESZT
      VBSZVCSZUUCUFYDYOYKUUFYPYQCUUHYMYNYLXTYOUQRZYCXQXRUUIXSBFHKMVHZVIVKXTYKUQ
      RZYCXQXRUUKXSBFHKMVLZVIVKXTYNUQRZYCXRXQUUMXSBFIKMVHZVMVKXTYLUQRZYCXRXQUUO
      XSBFIKMVLZVMVKYPVNZYMVNZUUFVNYCCUQRZXTYAUUSYBCVOVKVGXTYAYBYOTVBSYKTVBSVES
      YJUFUGZXTYAUHYBUUTXQXRYAYBUUTVPXSACEHBJEFVQUOZTVRUOZLUVBVDTVSSZVQUOZUVATV
      TRUVBUVDULWAUVBTUVBVNWBWCUVCFVQUVCVDTUKZFWDKWEWFWGWEBUQFURSUQUVEURSMFUVEU
      QURKWHWGQJFVAWIZWMUVEUVFWMOFUVEUVFKWJWGWKWLWNWOXTYKYLUCZYOYNUCZWPYCXTUVHU
      VGBFHIKMWQWRVKYQVNZUUHVNWSYDUUBUUGYRVCYDUUAUUFTVBYDUUFUUAXTUUFUUAULZYCXQX
      RUVJXSXQXRUHZUUFYNYKVFSZYOYKVFSZVCSZYKYOVFSZYLYOVFSZVCSZVESYSUVMVCSZUVMYT
      VCSZVESUUAUVKUUDUVNUUEUVQVEUVKYNYOYKXRYNWTRXQXRYNUUNXAVGZXQYOWTRXRXQYOUUJ
      XAVKZXQYKWTRXRXQYKUULXAVKZXBUVKYKYLYOUWBXRYLWTRXQXRYLUUPXAVGZUWAXBXCUVKUV
      NUVRUVQUVSVEUVKUVLYSUVMVCUVKYNYKUVTUWBXDXEUVKUVOUVMUVPYTVCUVKYKYOUWBUWAXD
      UVKYLYOUWCUWAXDXCXCUVKYSUVMYTUVKYKYNUWBUVTXFUVKYOYKUWAUWBXFUVKYOYLUWAUWCX
      FXGXLXHVKXMXEXNXIYMYPUUAUUCBYQCDEFGHIJUAUBKLMNOPUVIUUCVNUURUUQUUAVNXJXOYF
      BUAUBXKXP $.

    $d L p $.  $d P p $.  $d R p $.  $d S p $.  $d X p $.  $d Y p $.
    $d .0. p $.
    $( Intersection of a line with a circle:  A line passing through a point
       within a circle around the origin intersects the circle at exactly two
       different points, expressed with restricted uniqueness (and without the
       definition of proper pairs).  (Contributed by AV, 16-May-2023.) $)
    inlinecirc02preu $p |- ( ( ( X e. P /\ Y e. P /\ X =/= Y )
                                   /\ ( R e. RR+ /\ ( X D .0. ) < R ) )
                  -> E! p e. ~P P ( ( # ` p ) = 2
                                    /\ p = ( ( .0. S R ) i^i ( X L Y ) ) ) ) $=
      ( wcel co wne w3a crp clt wbr wa cv cin wceq cprpr cfv wreu inlinecirc02p
      chash c2 cpw reueq sylib cvv wb cr cmap ovexi prprreueq mp1i mpbid ) HBSI
      BSHIUAUBCUCSHJATCUDUEUFUFZKUGZJCDTHIGTUHZUIZKBUJUKZULZVHUNUKUOUIVJUFKBUPU
      LZVGVIVKSVLABCDEFGHIJLMNOPQRUMKVKVIUQURBUSSVLVMUTVGBVAFVBNVCVJBUSKVDVEVF
      $.
  $}
$( End $[ set-mbox-av-geo.mm $] $)

$( (End of Alexander van der Vekens's mathbox.) $)
$( End $[ set-mbox-av.mm $] $)


$( Begin $[ set-mbox-zw.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Zhi Wang
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Propositional calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    pm4.71da.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduction converting a biconditional to a biconditional with
       conjunction.  Variant of ~ pm4.71d .  (Contributed by Zhi Wang,
       30-Aug-2024.) $)
    pm4.71da $p |- ( ph -> ( ps <-> ( ps /\ ch ) ) ) $=
      ( biimpd pm4.71d ) ABCABCDEF $.

    ${
      logic1.2 $e |- ( ph -> ( ps -> ( th <-> ta ) ) ) $.
      $( Distribution of implication over biconditional with replacement
         (deduction form).  (Contributed by Zhi Wang, 30-Aug-2024.) $)
      logic1 $p |- ( ph -> ( ( ps -> th ) <-> ( ch -> ta ) ) ) $=
        ( wi pm5.74d imbi1d bitrd ) ABDHBEHCEHABDEGIABCEFJK $.
    $}

    ${
      logic1a.2 $e |- ( ( ph /\ ps ) -> ( th <-> ta ) ) $.
      $( Variant of ~ logic1 .  (Contributed by Zhi Wang, 30-Aug-2024.) $)
      logic1a $p |- ( ph -> ( ( ps -> th ) <-> ( ch -> ta ) ) ) $=
        ( wb ex logic1 ) ABCDEFABDEHGIJ $.
    $}

    ${
      logic2.2 $e |- ( ph -> ( ( ps /\ ch ) -> ( th <-> ta ) ) ) $.
      $( Variant of ~ logic1 .  (Contributed by Zhi Wang, 30-Aug-2024.) $)
      logic2 $p |- ( ph -> ( ( ps -> th ) <-> ( ch -> ta ) ) ) $=
        ( wa wb pm4.71da sylbid logic1 ) ABCDEFABBCHDEIABCFJGKL $.
    $}
  $}

  ${
    pm5.32dav.1 $e |- ( ( ph /\ ps ) -> ( ch <-> th ) ) $.
    $( Distribution of implication over biconditional (deduction form).
       Variant of ~ pm5.32da .  (Contributed by Zhi Wang, 30-Aug-2024.) $)
    pm5.32dav $p |- ( ph -> ( ( ch /\ ps ) <-> ( th /\ ps ) ) ) $=
      ( wa pm5.32da ancom 3bitr3g ) ABCFBDFCBFDBFABCDEGBCHBDHI $.
  $}

  ${
    pm5.32dra.1 $e |- ( ph -> ( ( ps /\ ch ) <-> ( ps /\ th ) ) ) $.
    $( Reverse distribution of implication over biconditional (deduction form).
       (Contributed by Zhi Wang, 6-Sep-2024.) $)
    pm5.32dra $p |- ( ( ph /\ ps ) -> ( ch <-> th ) ) $=
      ( wb wa wi pm5.32 sylibr imp ) ABCDFZABCGBDGFBLHEBCDIJK $.
  $}

  ${
    exp12bd.1 $e |- ( ph -> ( ( ( ps /\ ch ) -> th )
                              <-> ( ( ta /\ et ) -> ze ) ) ) $.
    $( The import-export theorem ( ~ impexp ) for biconditionals (deduction
       form).  (Contributed by Zhi Wang, 3-Sep-2024.) $)
    exp12bd $p |- ( ph -> ( ( ps -> ( ch -> th ) )
                            <-> ( ta -> ( et -> ze ) ) ) ) $=
      ( wa wi impexp 3bitr3g ) ABCIDJEFIGJBCDJJEFGJJHBCDKEFGKL $.
  $}

  ${
    mpbiran3d.1 $e |- ( ph -> ( ps <-> ( ch /\ th ) ) ) $.
    ${
      mpbiran3d.2 $e |- ( ( ph /\ ch ) -> th ) $.
      $( Equivalence with a conjunction one of whose conjuncts is a consequence
         of the other.  Deduction form.  (Contributed by Zhi Wang,
         24-Sep-2024.) $)
      mpbiran3d $p |- ( ph -> ( ps <-> ch ) ) $=
        ( simprbda ex wa ancld sylibrd impbid ) ABCABCABCDEGHACCDIBACDACDFHJEKL
        $.
    $}

    ${
      mpbiran4d.2 $e |- ( ( ph /\ th ) -> ch ) $.
      $( Equivalence with a conjunction one of whose conjuncts is a consequence
         of the other.  Deduction form.  (Contributed by Zhi Wang,
         27-Sep-2024.) $)
      mpbiran4d $p |- ( ph -> ( ps <-> th ) ) $=
        ( biancomd mpbiran3d ) ABDCABDCEGFH $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Predicate calculus with equality
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Axiom scheme ax-5 (Distinctness)
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d x y $.
    dtrucor3.1 $e |- -. A. x x = y $.
    dtrucor3.2 $e |- ( x = y -> A. x x = y ) $.
    $( An example of how ~ ax-5 without a distinct variable condition causes
       paradox in models of at least two objects.  The hypothesis "dtrucor3.1"
       is provable from ~ dtru in the ZF set theory. ~ axc16nf and ~ euae
       demonstrate that the violation of ~ dtru leads to a model with only one
       object assuming its existence ( ~ ax-6 ).  The conclusion is also
       provable in the empty model ( see ~ emptyal ).  See also ~ nf5 and
       ~ nf5i for the relation between unconditional ~ ax-5 and being not free.
       (Contributed by Zhi Wang, 23-Sep-2024.) $)
    dtrucor3 $p |- A. x x = y $=
      ( weq wex wal ax6ev mto nex pm2.24ii ) ABEZAFLAGZABHLALMCDIJK $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  ZF Set Theory - start with the Axiom of Extensionality
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Restricted quantification
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d ph x $.
    ralbidb.1 $e |- ( ph -> ( x e. A <-> ( x e. B /\ ps ) ) ) $.
    ${
      ralbidb.2 $e |- ( ( ph /\ x e. A ) -> ( ch <-> th ) ) $.
      $( Formula-building rule for restricted universal quantifier and
         additional condition (deduction form).  See ~ ralbidc for a more
         generalized form.  (Contributed by Zhi Wang, 6-Sep-2024.) $)
      ralbidb $p  |- ( ph -> ( A. x e. A ch <-> A. x e. B ( ps -> th ) ) ) $=
        ( wi cv wcel wa logic1a impexp bitrdi ralbidv2 ) ACBDJZEFGAEKZFLZCJSGLZ
        BMZDJUARJATUBCDHINUABDOPQ $.
    $}

    ralbidc.2 $e |- ( ph -> ( ( x e. A /\ ( x e. B /\ ps ) )
                           -> ( ch <-> th ) ) ) $.
    $( Formula-building rule for restricted universal quantifier and additional
       condition (deduction form).  A variant of ~ ralbidb .  (Contributed by
       Zhi Wang, 30-Aug-2024.) $)
    ralbidc $p |- ( ph -> ( A. x e. A ch <-> A. x e. B ( ps -> th ) ) ) $=
      ( wi cv wcel wa logic2 impexp bitrdi ralbidv2 ) ACBDJZEFGAEKZFLZCJSGLZBMZ
      DJUARJATUBCDHINUABDOPQ $.
  $}

  ${
    $d ch x $.
    r19.41dv.1 $e |- ( ph -> E. x e. A ps ) $.
    $( A complex deduction form of ~ r19.41v .  (Contributed by Zhi Wang,
       6-Sep-2024.) $)
    r19.41dv $p |- ( ( ph /\ ch ) -> E. x e. A ( ps /\ ch ) ) $=
      ( wa wrex anim1i r19.41v sylibr ) ACGBDEHZCGBCGDEHALCFIBCDEJK $.
  $}

  ${
    $d A x $.  $d B x $.  $d ch x $.  $d ph x $.  $d th x $.
    rspceb2dv.1 $e |- ( ( ph /\ x e. B ) -> ( ps -> ch ) ) $.
    rspceb2dv.2 $e |- ( ( ph /\ ch ) -> A e. B ) $.
    rspceb2dv.3 $e |- ( ( ph /\ ch ) -> th ) $.
    rspceb2dv.4 $e |- ( x = A -> ( ps <-> th ) ) $.
    $( Restricted existential specialization, using implicit substitution in
       both directions.  (Contributed by Zhi Wang, 28-Sep-2024.) $)
    rspceb2dv $p |- ( ph -> ( E. x e. B ps <-> ch ) ) $=
      ( wrex rexlimdva wa wcel rspcev syl2anc ex impbid ) ABEGLZCABCEGHMACTACNF
      GODTIJBDEFGKPQRS $.
  $}

  $( Two ways of expressing "at least one" element.  (Contributed by Zhi Wang,
     23-Sep-2024.) $)
  rextru $p |- ( E. x x e. A <-> E. x e. A T. ) $=
    ( cv wcel wex wtru wa wrex tru biantru exbii df-rex bitr4i ) ACBDZAENFGZAEF
    ABHNOAFNIJKFABLM $.

  $( Two ways of expressing "at most one" element.  (Contributed by Zhi Wang,
     19-Sep-2024.)  (Proof shortened by BJ, 23-Sep-2024.) $)
  rmotru $p |- ( E* x x e. A <-> E* x e. A T. ) $=
    ( cv wcel wmo wtru wa wrmo tru biantru mobii df-rmo bitr4i ) ACBDZAENFGZAEF
    ABHNOAFNIJKFABLM $.

  $( Two ways of expressing "exactly one" element.  (Contributed by Zhi Wang,
     23-Sep-2024.) $)
  reutru $p |- ( E! x x e. A <-> E! x e. A T. ) $=
    ( cv wcel weu wtru wa wreu tru biantru eubii df-reu bitr4i ) ACBDZAENFGZAEF
    ABHNOAFNIJKFABLM $.

  $( Alternate proof for ~ reutru .  (Contributed by Zhi Wang, 23-Sep-2024.)
     (Proof modification is discouraged.)  (New usage is discouraged.) $)
  reutruALT $p |- ( E! x x e. A <-> E! x e. A T. ) $=
    ( cv wcel wex wmo wa wtru wrex wrmo weu rextru rmotru anbi12i df-eu 3bitr4i
    wreu reu5 ) ACBDZAEZSAFZGHABIZHABJZGSAKHABQTUBUAUCABLABMNSAOHABRP $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The empty set
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    ssdisjd.1 $e |- ( ph -> A C_ B ) $.
    ${
      ssdisjd.2 $e |- ( ph -> ( B i^i C ) = (/) ) $.
      $( Subset preserves disjointness.  Deduction form of ~ ssdisj .
         (Contributed by Zhi Wang, 7-Sep-2024.) $)
      ssdisjd $p |- ( ph -> ( A i^i C ) = (/) ) $=
        ( cin wss c0 wceq ssrind sseq0 syl2anc ) ABDGZCDGZHOIJNIJABCDEKFNOLM $.
    $}

    ${
      ssdisjdr.2 $e |- ( ph -> ( C i^i B ) = (/) ) $.
      $( Subset preserves disjointness.  Deduction form of ~ ssdisj .
         Alternatively this could be proved with ~ ineqcom in tandem with
         ~ ssdisjd .  (Contributed by Zhi Wang, 7-Sep-2024.) $)
      ssdisjdr $p |- ( ph -> ( C i^i A ) = (/) ) $=
        ( cin wss c0 wceq sslin syl sseq0 syl2anc ) ADBGZDCGZHZPIJOIJABCHQEBCDK
        LFOPMN $.

$(
      @( Subset preserves disjointness.  Deduction form of ~ ssdisj .
         (Contributed by Zhi Wang, 7-Sep-2024.)
         (Proof modification is discouraged.)  (New usage is discouraged.) @)
      ssdisjdrALT @p |- ( ph -> ( C i^i A ) = (/) ) @=
        ( cin c0 wceq ineqcom sylib ssdisjd sylibr ) ABDGHIDBGHIABCDEADCGHICDGH
        IFDCHJKLDBHJM @.
$)
    $}
  $}

  $( Relative complement is anticommutative regarding intersection.
     (Contributed by Zhi Wang, 5-Sep-2024.) $)
  disjdifb $p |- ( ( A \ B ) i^i ( B \ A ) ) = (/) $=
    ( cdif cin c0 indif1 disjdif difeq1i 0dif 3eqtri ) ABCBACZDAKDZBCEBCEAKBFLE
    BABGHBIJ $.

  ${
    predisj.1 $e |- ( ph -> Fun F ) $.
    predisj.2 $e |- ( ph -> ( A i^i B ) = (/) ) $.
    predisj.3 $e |- ( ph -> S C_ ( `' F " A ) ) $.
    predisj.4 $e |- ( ph -> T C_ ( `' F " B ) ) $.
    $( Preimages of disjoint sets are disjoint.  (Contributed by Zhi Wang,
       9-Sep-2024.) $)
    predisj $p |- ( ph -> ( S i^i T ) = (/) ) $=
      ( ccnv cima cin c0 wfun wceq inpreima syl imaeq2d ima0 ssdisjd ssdisjdr
      eqtrdi eqtr3d ) AEFKZCLZDJADUEBLZUFIAUEBCMZLZUGUFMZNAFOUIUJPGBCFQRAUIUENL
      NAUHNUEHSUETUCUDUAUB $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Unordered and ordered pairs
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The singleton of the universal class is the empty set.  (Contributed by
     Zhi Wang, 19-Sep-2024.) $)
  vsn $p |- { _V } = (/) $=
    ( cvv wcel wn csn c0 wceq vprc snprc mpbi ) AABCADEFGAHI $.

  ${
    $d A x z $.  $d A y z $.  $d B x $.
    $( "At most one" element in a singleton.  (Contributed by Zhi Wang,
       19-Sep-2024.) $)
    mosn $p |- ( A = { B } -> E* x x e. A ) $=
      ( csn wceq cv wcel wmo wtru wrmo rmosn rmotru mpbir eleq2 mobidv mpbiri )
      BCDZEZAFZBGZAHSQGZAHZUBIAQJIACKAQLMRTUAABQSNOP $.

    $( "At most one" element in an empty set.  (Contributed by Zhi Wang,
       19-Sep-2024.) $)
    mo0 $p |- ( A = (/) -> E* x x e. A ) $=
      ( c0 wceq cvv csn cv wcel wmo vsn eqcomi eqeq1 mpbiri mosn syl ) BCDZBEFZ
      DZAGBHAIPRCQDQCJKBCQLMABENO $.

    $( "At most one" element in a subclass of a singleton.  (Contributed by Zhi
       Wang, 23-Sep-2024.) $)
    mosssn $p |- ( A C_ { B } -> E* x x e. A ) $=
      ( csn wss c0 wceq wo cv wcel wmo sssn mo0 mosn jaoi sylbi ) BCDZEBFGZBQGZ
      HAIBJAKZBCLRTSABMABCNOP $.

    $( Two ways of expressing "at most one" element in a class.  (Contributed
       by Zhi Wang, 19-Sep-2024.) $)
    mo0sn $p |- ( E* x x e. A <-> ( A = (/) \/ E. y A = { y } ) ) $=
      ( vz cv wcel wmo c0 wceq csn wex wo nfv eleq1w cbvmow wn wa wb wal weu
      neq0 anbi1i df-eu eu6 dfcleq velsn bibi2i albii sylbbr eximi sylbi expcom
      3bitr2i orrd mo0 mosn exlimiv jaoi impbii bitri ) AECFZAGDEZCFZDGZCHIZCBE
      ZJZIZBKZLZVAVCADVADMVCAMADCNOVDVJVDVEVIVEPZVDVIVKVDQZVCVBVFIZRZDSZBKZVIVL
      VCDKZVDQVCDTVPVKVQVDDCUAUBVCDUCVCDBUDUMVOVHBVHVCVBVGFZRZDSVODCVGUEVSVNDVR
      VMVCDVFUFUGUHUIUJUKULUNVEVDVIDCUOVHVDBDCVFUPUQURUSUT $.

    $( Two ways of expressing "at most one" element in a class.  (Contributed
       by Zhi Wang, 23-Sep-2024.) $)
    mosssn2 $p |- ( E* x x e. A <-> E. y A C_ { y } ) $=
      ( c0 wceq cv csn wo wex wss wcel wmo 19.45v sssn exbii mo0sn 3bitr4ri ) C
      DEZCBFZGZEZHZBIRUABIHCTJZBIAFCKALRUABMUCUBBCSNOABCPQ $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  The union of a class
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A x y $.  $d B x y $.
    $( Superclass of the greatest lower bound.  A dual statement of ~ ssintub .
       (Contributed by Zhi Wang, 29-Sep-2024.) $)
    unilbss $p |- U. { x e. B | x C_ A } C_ A $=
      ( vy cv wss crab cuni unissb wcel sseq1 elrab simprbi mprgbir ) AEZBFZACG
      ZHBFDEZBFZDQDQBIRQJRCJSPSARCORBKLMN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  ZF Set Theory - add the Axiom of Replacement
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Theorems requiring subset and intersection existence
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A x $.  $d B x $.  $d V x $.
    $( Two ways of expressing a collection of subsets as seen in ~ df-ntr ,
       ~ unimax , and others (Contributed by Zhi Wang, 27-Sep-2024.) $)
    inpw $p |- ( B e. V -> ( A i^i ~P B ) = { x e. A | x C_ B } ) $=
      ( wcel cpw cin cv crab wss dfin5 elpw2g rabbidv syl5eq ) CDEZBCFZGAHZPEZA
      BIQCJZABIABPKORSABQCDLMN $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  ZF Set Theory - add the Axiom of Power Sets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Functions
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A g $.  $d f g $.  $d B f $.
    $( There is at most one function into the empty set.  (Contributed by Zhi
       Wang, 19-Sep-2024.) $)
    mof0 $p |- E* f f : A --> (/) $=
      ( vg c0 cv wf wmo wceq wi wal wex 0ex eqeq2 imbi2d albidv f00 simplbi mpg
      spcev df-mo mpbir ) ADBEZFZBGUCUBCEZHZIZBJZCKZUCUBDHZIZUHBUGUJBJCDLUDDHZU
      FUJBUKUEUIUCUDDUBMNOSUCUIADHAUBPQRUCBCTUA $.

    $( A variant of ~ mof0 .  (Contributed by Zhi Wang, 20-Sep-2024.) $)
    mof02 $p |- ( B = (/) -> E* f f : A --> B ) $=
      ( c0 wceq cv wf wmo mof0 feq3 mobidv mpbiri ) BDEZABCFZGZCHADNGZCHACIMOPC
      BDANJKL $.
  $}

  ${
    $d A f g $.
    $( Alternate proof for ~ mof0 with stronger requirements on distinct
       variables.  Uses ~ mo4 .  (Contributed by Zhi Wang, 19-Sep-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) $)
    mof0ALT $p |- E* f f : A --> (/) $=
      ( vg c0 cv wf wmo wa wceq wi wal f00 simplbi eqtr3 syl2an gen2 feq1 mpbir
      mo4 ) ADBEZFZBGUAADCEZFZHTUBIZJZCKBKUEBCUATDIZUBDIZUDUCUAUFADIZATLMUCUGUH
      AUBLMTUBDNOPUAUCBCADTUBQSR $.
  $}

  ${
    $d A f g x $.  $d B f g x $.  $d f ph $.
    eufsn.1 $e |- ( ph -> B e. W ) $.
    ${
      eufsnlem.2 $e |- ( ph -> ( A X. { B } ) e. V ) $.
      $( There is exactly one function into a singleton.  For a simpler
         hypothesis, see ~ eufsn assuming ~ ax-rep , or ~ eufsn2 assuming
         ~ ax-pow and ~ ax-un .  (Contributed by Zhi Wang, 19-Sep-2024.) $)
      eufsnlem $p |- ( ph -> E! f f : A --> { B } ) $=
        ( vg csn cv wf wceq wb wal wex weu cxp wcel syl fconst2g alrimiv bibi2d
        eqeq2 albidv spcedv eu6im ) ABCJZDKZLZUIIKZMZNZDOZIPUJDQAUNUJUIBUHRZMZN
        ZDOIEUOHAUQDACFSUQGBCFUIUATUBUKUOMZUMUQDURULUPUJUKUOUIUDUCUEUFUJDIUGT
        $.
    $}

    eufsn.2 $e |- ( ph -> A e. V ) $.
    $( There is exactly one function into a singleton, assuming ~ ax-rep .  See
       ~ eufsn2 for different axiom requirements.  If existence is not needed,
       use ~ mofsn or ~ mofsn2 for fewer axiom assumptions.  (Contributed by
       Zhi Wang, 19-Sep-2024.) $)
    eufsn $p |- ( ph -> E! f f : A --> { B } ) $=
      ( vx cvv wcel csn cxp cmpt fconstmpt mptexg eqeltrid syl eufsnlem ) ABCDJ
      FGABEKZBCLMZJKHTUAIBCNJIBCOIBCEPQRS $.

    $( There is exactly one function into a singleton, assuming ~ ax-pow and
       ~ ax-un .  Variant of ~ eufsn .  If existence is not needed, use ~ mofsn
       or ~ mofsn2 for fewer axiom assumptions.  (Contributed by Zhi Wang,
       19-Sep-2024.) $)
    eufsn2 $p |- ( ph -> E! f f : A --> { B } ) $=
      ( cvv wcel csn cxp snex xpexg sylancl eufsnlem ) ABCDIFGABEJCKZIJBQLIJHCM
      BQEINOP $.
  $}

  ${
    $d A f g y $.  $d B f g x y $.  $d V f g $.  $d Y f $.
    $( There is at most one function into a singleton, with fewer axioms than
       ~ eufsn and ~ eufsn2 .  See also ~ mofsn2 .  (Contributed by Zhi Wang,
       19-Sep-2024.) $)
    mofsn $p |- ( B e. V -> E* f f : A --> { B } ) $=
      ( vg wcel csn cv wf wa wceq wal wmo cxp fconst2g biimpd eqtr3 a1i syl2and
      wi alrimivv feq1 mo4 sylibr ) BDFZABGZCHZIZAUFEHZIZJUGUIKZTZELCLUHCMUEULC
      EUEUHUGAUFNZKZUJUIUMKZUKUEUHUNABDUGOPUEUJUOABDUIOPUNUOJUKTUEUGUIUMQRSUAUH
      UJCEAUFUGUIUBUCUD $.

    $( There is at most one function into a singleton.  An unconditional
       variant of ~ mofsn , i.e., the singleton could be empty if ` Y ` is a
       proper class.  (Contributed by Zhi Wang, 19-Sep-2024.) $)
    mofsn2 $p |- ( B = { Y } -> E* f f : A --> B ) $=
      ( csn wceq cvv wcel cv wf wa mofsn adantl wb feq3 mobidv adantr mpbird c0
      wmo wn simpl snprc biimpi eqtrd mof02 syl pm2.61dan ) BDEZFZDGHZABCIZJZCT
      ZUJUKKUNAUIULJZCTZUKUPUJADCGLMUJUNUPNUKUJUMUOCBUIAULOPQRUJUKUAZKZBSFUNURB
      UISUJUQUBUQUISFZUJUQUSDUCUDMUEABCUFUGUH $.

    $( There is at most one function into a subclass of a singleton.
       (Contributed by Zhi Wang, 24-Sep-2024.) $)
    mofsssn $p |- ( B C_ { Y } -> E* f f : A --> B ) $=
      ( csn wss c0 wceq wo cv wf wmo sssn mof02 mofsn2 jaoi sylbi ) BDEZFBGHZBR
      HZIABCJKCLZBDMSUATABCNABCDOPQ $.

    $( There is at most one function into a class containing at most one
       element.  (Contributed by Zhi Wang, 19-Sep-2024.) $)
    mofmo $p |- ( E* x x e. B -> E* f f : A --> B ) $=
      ( vy cv wcel wmo c0 wceq csn wex wo mo0sn mof02 mofsn2 exlimiv jaoi sylbi
      wf ) AFCGAHCIJZCEFZKJZELZMBCDFTDHZAECNUAUEUDBCDOUCUEEBCDUBPQRS $.
  $}

  ${
    $d A y $.  $d B x y $.  $d F y $.  $d G y $.  $d ph y $.
    mofeu.1 $e |- G = ( A X. B ) $.
    mofeu.2 $e |- ( ph -> ( B = (/) -> A = (/) ) ) $.
    mofeu.3 $e |- ( ph -> E* x x e. B ) $.
    $( The uniqueness of a function into a set with at most one element.
       (Contributed by Zhi Wang, 1-Oct-2024.) $)
    mofeu $p |- ( ph -> ( F : A --> B <-> F = G ) ) $=
      ( vy c0 wceq wf wb cv wex wa feq3 adantl cxp csn imp f00 rbaib syl eqtrdi
      xpeq2 xp0 syl5eq eqeq2d 3bitr4d 19.42v cvv fconst2g bibi12d mpbiri eqeq2i
      elv bitr4di exlimiv sylbir wcel wmo wo mo0sn sylib mpjaodan ) ADKLZCDEMZE
      FLZNZDJOZUAZLZJPZAVHQZCKEMZEKLZVIVJVPCKLZVQVRNAVHVSHUBVQVRVSCEUCUDUEVHVIV
      QNADKCERSVPFKEVHFKLAVHFCDTZKGVHVTCKTKDKCUGCUHUFUISUJUKAVOQAVNQZJPVKAVNJUL
      WAVKJVNVKAVNVIEVTLZVJVNVIWBNCVMEMZECVMTZLZNZWFJCVLUMEUNURVNVIWCWBWEDVMCER
      VNVTWDEDVMCUGUJUOUPFVTEGUQUSSUTVAABODVBBVCVHVOVDIBJDVEVFVG $.
  $}

  $( If a function value has a member, then the function is not an empty set
     (An artifact of our function value definition.)  (Contributed by Zhi Wang,
     16-Sep-2024.) $)
  elfvne0 $p |- ( A e. ( F ` B ) -> F =/= (/) ) $=
    ( cfv wcel c0 wne ne0i wceq fveq1 0fv eqtrdi necon3i syl ) ABCDZEOFGCFGOAHC
    FOFCFIOBFDFBCFJBKLMN $.

  $( A function with non-empty domain is non-empty and has non-empty codomain.
     (Contributed by Zhi Wang, 1-Oct-2024.) $)
  fdomne0 $p |- ( ( F : X --> Y /\ X =/= (/) )
               -> ( F =/= (/) /\ Y =/= (/) ) ) $=
    ( wf c0 wne wa f0dom0 necon3bid biimpa wceq feq3 f00 simprbi syl6bi syl6ibr
    wn wi nne imnan sylib necon2ai jca ) BCADZBEFZGZAEFZCEFUDUEUGUDBEAEABCHIJUF
    CECEKZUDUEQZRUFQUHUDBEKZUIUHUDBEADZUJCEBALUKAEKUJBAMNOBESPUDUETUAUBUC $.

  $( A function that maps a singleton to a class is injective.  (Contributed by
     Zhi Wang, 1-Oct-2024.) $)
  f1sn2g $p |- ( ( A e. V /\ F : { A } --> B ) -> F : { A } -1-1-> B ) $=
    ( wcel csn wf wa wf1 cfv cop wceq fsn2g biimpa simpld f1sng syldan wb f1eq1
    simpl2im mpbird ) ADEZAFZBCGZHZUCBCIZUCBAACJZKFZIZUBUDUGBEZUIUEUJCUHLZUBUDU
    JUKHABCDMNZOAUGDBPQUEUJUKUFUIRULUCBCUHSTUA $.

  $( A function that maps the empty set to a class is injective.  (Contributed
     by Zhi Wang, 1-Oct-2024.) $)
  f102g $p |- ( ( A = (/) /\ F : A --> B ) -> F : A -1-1-> B ) $=
    ( c0 wceq wf wa wf1 feq2 biimpa f0bi f10 f1eq1 mpbiri sylbi wb f1eq2 adantr
    syl mpbird ) ADEZABCFZGZABCHZDBCHZUCDBCFZUEUAUBUFADBCIJUFCDEZUECBKUGUEDBDHB
    LDBCDMNOSUAUDUEPUBADBCQRT $.

  ${
    $d A x y $.  $d B y $.  $d F y $.
    $( A function that maps a set with at most one element to a class is
       injective.  (Contributed by Zhi Wang, 1-Oct-2024.) $)
    f1mo $p |- ( ( E* x x e. A /\ F : A --> B ) -> F : A -1-1-> B ) $=
      ( vy cv wcel wmo c0 wceq csn wex wo wf wf1 mo0sn f102g wi cvv vex imbi12d
      f1sn2g mpan feq2 f1eq2 mpbiri exlimiv imp jaoian sylanb ) AFBGAHBIJZBEFZK
      ZJZELZMBCDNZBCDOZAEBPUKUPUQUOBCDQUOUPUQUNUPUQRZEUNURUMCDNZUMCDOZRULSGUSUT
      ETULCDSUBUCUNUPUSUQUTBUMCDUDBUMCDUEUAUFUGUHUIUJ $.
  $}

  ${
    f002.1 $e |- ( ph -> F : A --> B ) $.
    $( A function with an empty codomain must have empty domain.  (Contributed
       by Zhi Wang, 1-Oct-2024.) $)
    f002 $p |- ( ph -> ( B = (/) -> A = (/) ) ) $=
      ( wf c0 wceq feq3 f00 simprbi syl6bi syl5com ) ABCDFZCGHZBGHZEONBGDFZPCGB
      DIQDGHPBDJKLM $.
  $}

  ${
    $d A f $.  $d B f $.  $d V f $.  $d W f $.
    map0cor.1 $e |- ( ph -> A e. V ) $.
    map0cor.2 $e |- ( ph -> B e. W ) $.
    $( A function exists iff an empty codomain is accompanied with an empty
       domain.  (Contributed by Zhi Wang, 1-Oct-2024.) $)
    map0cor $p |- ( ph -> ( ( B = (/) -> A = (/) ) <-> E. f f : A --> B ) ) $=
      ( wcel c0 wceq wi cv wf wex wb wa cmap co wn biid necon2bbii imbi2i imnan
      wne bitri map0g notbid bitr4id neq0 a1i elmapg exbidv 3bitrd syl2anc ) AC
      FIZBEIZCJKZBJKZLZBCDMZNZDOZPHGUPUQQZUTCBRSZJKZTZVAVEIZDOZVCVDUTURBJUEZQZT
      ZVGUTURVJTZLVLUSVMURVJBJVJUAUBUCURVJUDUFVDVFVKCBFEUGUHUIVGVIPVDDVEUJUKVDV
      HVBDCBVAFEULUMUNUO $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Operations
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    fvconstr.1 $e |- ( ph -> F = ( R X. { Y } ) ) $.
    ${
      fvconstr.2 $e |- ( ph -> Y e. V ) $.
      fvconstr.3 $e |- ( ph -> Y =/= (/) ) $.
      $( Two ways of expressing ` A R B ` .  (Contributed by Zhi Wang,
         18-Sep-2024.) $)
      fvconstr $p |- ( ph -> ( A R B <-> ( A F B ) = Y ) ) $=
        ( wbr cop wcel co wceq df-br wa adantr c0 wne csn oveqd df-ov fvconst2g
        cxp cfv eqtrdi sylan eqtrd simpr eqnetrd wb neeq1d mpbid ndmfv necon1ai
        cdm dmxpss sselid syl impbida syl5bb ) BCDKBCLZDMZABCENZGOZBCDPAVDVFAVD
        QVEVCDGUAZUEZUFZGAVEVIOVDAVEBCVHNVIAEVHBCHUBBCVHUCUGZRAGFMVDVIGOIDGVCFU
        DUHUIAVFQZVISTZVDVKVESTZVLVKVEGSAVFUJAGSTVFJRUKAVMVLULVFAVEVISVJUMRUNVL
        VHUQZDVCDVGURVCVNMVISVCVHUOUPUSUTVAVB $.

      $( Two ways of expressing ` A R B ` .  (Contributed by Zhi Wang,
         20-Sep-2024.) $)
      fvconstrn0 $p |- ( ph -> ( A R B <-> ( A F B ) =/= (/) ) ) $=
        ( wbr cop wcel co c0 wne df-br wa wceq adantr csn oveqd df-ov fvconst2g
        cxp cfv eqtrdi sylan eqtrd eqnetrd neeq1d biimpa dmxpss necon1ai sselid
        cdm ndmfv syl impbida syl5bb ) BCDKBCLZDMZABCENZOPZBCDQAVBVDAVBRZVCGOVE
        VCVADGUAZUEZUFZGAVCVHSVBAVCBCVGNVHAEVGBCHUBBCVGUCUGZTAGFMVBVHGSIDGVAFUD
        UHUIAGOPVBJTUJAVDRVHOPZVBAVDVJAVCVHOVIUKULVJVGUPZDVADVFUMVAVKMVHOVAVGUQ
        UNUOURUSUT $.
    $}

    ${
      fvconstr2.2 $e |- ( ph -> X e. ( A F B ) ) $.
      $( Two ways of expressing ` A R B ` .  (Contributed by Zhi Wang,
         18-Sep-2024.) $)
      fvconstr2 $p |- ( ph -> A R B ) $=
        ( cop wcel wbr co c0 wne ne0d csn cxp cfv oveqd df-ov eqtrdi neeq1d cdm
        dmxpss ndmfv necon1ai sselid syl6bi mpd df-br sylibr ) ABCJZDKZBCDLABCE
        MZNOZUNAUOFIPAUPUMDGQZRZSZNOZUNAUOUSNAUOBCURMUSAEURBCHTBCURUAUBUCUTURUD
        ZDUMDUQUEUMVAKUSNUMURUFUGUHUIUJBCDUKUL $.
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  ZF Set Theory - add the Axiom of Union
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Equinumerosity
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A x $.  $d B x $.  $d X x $.
    fvconst0ci.1 $e |- B e. _V $.
    fvconst0ci.2 $e |- Y = ( ( A X. { B } ) ` X ) $.
    $( A constant function's value is either the constant or the empty set.
       (An artifact of our function value definition.)  (Contributed by Zhi
       Wang, 18-Sep-2024.) $)
    fvconst0ci $p |- ( Y = (/) \/ Y = B ) $=
      ( csn cxp cdm wcel c0 wceq wo cfv dmxpss sseli fvconst2 syl syl5eq olcd
      wn ndmfv orcd pm2.61i ) CABGZHZIZJZDKLZDBLZMUHUJUIUHDCUFNZBFUHCAJUKBLUGAC
      AUEOPABCEQRSTUHUAZUIUJULDUKKFCUFUBSUCUD $.
  $}

  ${
    $d A x $.  $d B x $.  $d X x $.
    fvconstdomi.1 $e |- B e. _V $.
    $( A constant function's value is dominated by the constant.  (An artifact
       of our function value definition.)  (Contributed by Zhi Wang,
       18-Sep-2024.) $)
    fvconstdomi $p |- ( ( A X. { B } ) ` X ) ~<_ B $=
      ( csn cxp cdm wcel cfv cdom wbr wceq sseli fvconst2 syl cvv domrefg ax-mp
      dmxpss eqbrtrdi wn c0 ndmfv 0dom pm2.61i ) CABEZFZGZHZCUGIZBJKUIUJBBJUICA
      HUJBLUHACAUFSMABCDNOBPHBBJKDBPQRTUIUAUJUBBJCUGUCBDUDTUE $.
  $}

  ${
    $d A y $.  $d F y $.  $d X y $.  $d ph y $.  $d x y $.
    f1omo.1 $e |- ( ph -> F = ( A X. { 1o } ) ) $.
    $( There is at most one element in the function value of a constant
       function whose output is ` 1o ` .  (An artifact of our function value
       definition.)  Proof could be significantly shortened by ~ fvconstdomi
       assuming ~ ax-un (see ~ f1omoALT ).  (Contributed by Zhi Wang,
       19-Sep-2024.) $)
    f1omo $p |- ( ph -> E* y y e. ( F ` X ) ) $=
      ( vx cv cfv wcel wmo c1o csn cxp c0 wceq wal el1o mobidv mpbiri 1oex eqid
      wo fvconst0ci mo0 wa wi eqtr3 syl2anb gen2 eleq1w mo4 mpbir eleq2w2 ax-mp
      jaoi fveq1d eleq2d ) ABHZEDIZJZBKUSECLMNZIZJZBKZVCOPZVCLPZUCVECLEVCUAVCUB
      UDVFVEVGBVCUEVGVEUSLJZBKZVIVHGHZLJZUFUSVJPZUGZGQBQVMBGVHUSOPVJOPVLVKUSRVJ
      RUSVJOUHUIUJVHVKBGBGLUKULUMVGVDVHBBVCLUNSTUPUOAVAVDBAUTVCUSAEDVBFUQURST
      $.
  $}

  ${
    $d F y $.  $d X y $.
    f1omoALT.1 $e |- ( ph -> F = ( A X. { 1o } ) ) $.
    $( There is at most one element in the function value of a constant
       function whose output is ` 1o ` .  (An artifact of our function value
       definition.)  Use ~ f1omo without assuming ~ ax-un .  (Contributed by
       Zhi Wang, 18-Sep-2024.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    f1omoALT $p |- ( ph -> E* y y e. ( F ` X ) ) $=
      ( cfv c1o cdom wbr cv wcel wmo csn cxp fveq1d fvconstdomi eqbrtrdi modom2
      1oex sylibr ) AEDGZHIJBKUBLBMAUBECHNOZGHIAEDUCFPCHETQRBUBSUA $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Order sets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Real number intervals
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d D x y z $.
    $( Intersection of two closed intervals of extended reals.  (Contributed by
       Zhi Wang, 9-Sep-2024.) $)
    iccin $p |- ( ( ( A e. RR* /\ B e. RR* ) /\ ( C e. RR* /\ D e. RR* ) ) ->
         ( ( A [,] B ) i^i ( C [,] D ) ) =
         ( if ( A <_ C , C , A ) [,] if ( B <_ D , B , D ) ) ) $=
      ( vx vy vz cle cicc df-icc cv xrmaxle xrlemin ixxin ) EFGABCDHHIEFGJACGKZ
      LOBDMN $.
  $}

  ${
    $d A w x y z $.  $d C w x y z $.  $d D w x y z $.
    $( If the upper bound of one closed interval is less than the lower bound
       of the other, the intervals are disjoint.  (Contributed by Zhi Wang,
       9-Sep-2024.) $)
    iccdisj2 $p |- ( ( A e. RR* /\ D e. RR* /\ B < C )
                      -> ( ( A [,] B ) i^i ( C [,] D ) ) = (/) ) $=
      ( vx vy vz vw cxr wcel clt wbr w3a cicc co cico cle wss simp1 wa brel syl
      simp3 ltrelxr simprd xrleidd iccssico syl22anc cin c0 simp2 df-ico df-icc
      wceq cv xrlenlt ixxdisj syl3anc ssdisjd ) AIJZDIJZBCKLZMZABNOZACPOZCDNOZV
      CUTCIJZAAQLVBVDVERUTVAVBSZVCBIJZVGVCVBVIVGTUTVAVBUCZBCIIKUDUAUBUEZVCAVHUF
      VJACABUGUHVCUTVGVAVEVFUIUJUNVHVKUTVAVBUKEFGHACDNQKQQPEFGULEFGUMCHUOUPUQUR
      US $.
  $}

  $( If the upper bound of one closed interval is less than the lower bound of
     the other, the intervals are disjoint.  (Contributed by Zhi Wang,
     9-Sep-2024.) $)
  iccdisj $p |- ( ( ( ( A e. RR* /\ B e. RR* ) /\ ( C e. RR* /\ D e. RR* ) )
     /\ B < C ) -> ( ( A [,] B ) i^i ( C [,] D ) ) = (/) ) $=
    ( cxr wcel wa clt wbr cicc co cin c0 simplll simplrr simpr iccdisj2 syl3anc
    wceq ) AEFZBEFZGZCEFZDEFZGZGZBCHIZGTUDUGABJKCDJKLMSTUAUEUGNUBUCUDUGOUFUGPAB
    CDQR $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Moore spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The union of a collection of closed sets is a subset.  (Contributed by Zhi
     Wang, 29-Sep-2024.) $)
  mreuniss $p |- ( ( C e. ( Moore ` X ) /\ S C_ C ) -> U. S C_ X ) $=
    ( cmre cfv wcel wss wa cuni uniss adantl wceq mreuni adantr sseqtrd ) ACDEF
    ZBAGZHBIZAIZCQRSGPBAJKPSCLQACMNO $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Topology
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Additional contents for topology.

$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Closure and interior
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( The union of closed sets is the underlying set of the topology (the union
     of open sets).  (Contributed by Zhi Wang, 6-Sep-2024.) $)
  clduni $p |- ( J e. Top -> U. ( Clsd ` J ) = U. J ) $=
    ( ctop wcel cuni ctopon cfv ccld cmre wceq toptopon2 biimpi cldmreon mreuni
    3syl ) ABCZAADZEFCZAGFZPHFCRDPIOQAJKPALRPMN $.

  ${
    $d J x y $.  $d ch x $.  $d ph x y $.  $d ps y $.
    opncldeqv.1 $e |- ( ph -> J e. Top ) $.
    opncldeqv.2 $e |- ( ( ph /\ x = ( U. J \ y ) ) -> ( ps <-> ch ) ) $.
    $( Conditions on open sets are equivalent to conditions on closed sets.
       (Contributed by Zhi Wang, 30-Aug-2024.) $)
    opncldeqv $p |- ( ph -> ( A. x e. J ps <-> A. y e. ( Clsd ` J ) ch ) ) $=
      ( cuni cv cdif ccld cfv wcel eqid cldopn adantl ctop wceq wa wrex wex wss
      opncld elssuni dfss4 sylib eqcomd jca difeq2 eqeq2d anbi12d spcedv df-rex
      eleq1 sylibr sylan ralxfrd ) ABCDEFIZEJZKZFFLMZUTVBNZVAFNAUTFUSUSOZPQAFRN
      ZDJZFNZVFVASZEVBUAZGVEVGTZVCVHTZEUBVIVJVKUSVFKZVBNZVFUSVLKZSZTEVBVLVFFUSV
      DUDZVJVMVOVPVGVOVEVGVNVFVGVFUSUCVNVFSVFFUEVFUSUFUGUHQUIUTVLSZVCVMVHVOUTVL
      VBUOVQVAVNVFUTVLUSUJUKULUMVHEVBUNUPUQHUR $.
  $}

  $( Two ways of saying that two open sets are disjoint, if ` J ` is a topology
     and ` X ` is an open set.  (Contributed by Zhi Wang, 6-Sep-2024.) $)
  opndisj $p |- ( Z = ( U. J \ X ) -> ( Y e. ( J i^i ~P Z )
                                  <-> ( Y e. J /\ ( X i^i Y ) = (/) ) ) ) $=
    ( cuni cdif wceq wcel cpw wa wss cin c0 elpwg sseq2 sylan9bbr pm5.32da elin
    wb elssuni incom eqeq1i reldisj syl5bb syl pm5.32i 3bitr4g ) DAEZBFZGZCAHZC
    DIZHZJUKCUIKZJCAULLHUKBCLZMGZJUJUKUMUNUKUMCDKUJUNCDANDUICOPQCAULRUKUPUNUKCU
    HKZUPUNSCATUPCBLZMGUQUNUOURMBCUAUBCBUHUCUDUEUFUG $.

  $( Two ways of saying that two closed sets are disjoint, if ` J ` is a
     topology and ` X ` is a closed set.  An alternative proof is similar to
     that of ~ opndisj with ~ elssuni replaced by the combination of ~ cldss
     and ~ eqid .  (Contributed by Zhi Wang, 6-Sep-2024.) $)
  clddisj $p |- ( Z = ( U. J \ X ) -> ( Y e. ( ( Clsd ` J ) i^i ~P Z )
                         <-> ( Y e. ( Clsd ` J ) /\ ( X i^i Y ) = (/) ) ) ) $=
    ( ccld cfv cpw cin wcel wa cuni cdif wceq c0 elin simpl ctop cldrcl clduni
    wb difeq1d adantl eqtr4d opndisj bitr3id pm5.32dra sylancom pm5.32da syl5bb
    syl ) CAEFZDGZHIZCUKIZCULIZJZDAKZBLZMZUNBCHNMZJZCUKULOZUSUNUOUTUSUNDUKKZBLZ
    MZUOUTTUSUNJDURVDUSUNPUNVDURMZUSUNAQIZVFCARVGVCUQBASUAUJUBUCVEUNUOUTUPUMVEV
    AVBUKBCDUDUEUFUGUHUI $.


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Neighborhoods
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d J f $.  $d g j x y $.
    $( Reverse closure of the neighborhood operation.  (This theorem depends on
       a function's value being empty outside of its domain, but it will make
       later theorems simpler to state.)  (Contributed by Zhi Wang,
       16-Sep-2024.) $)
    neircl $p |- ( N e. ( ( nei ` J ) ` S ) -> J e. Top ) $=
      ( vf vj vx vg vy cnei cfv wcel c0 wne cv wex ctop elfvne0 n0 biimpi wss
      cuni cpw wa wrex crab cmpt df-nei mptrcl exlimiv 3syl ) CABIJZJKUKLMZDNZU
      KKZDOZBPKZCAUKQULUODUKRSUNUPDEPFENZUAUBZFNGNZTUSHNTUCGUQUDHURUEUFIUMBFHGE
      UGUHUIUJ $.
  $}

  ${
    $d J x y $.  $d S x y $.  $d ch x $.  $d ph x y $.  $d ps y $.
    opnneilem.1 $e |- ( ( ph /\ x = y ) -> ( ps <-> ch ) ) $.
    $( Lemma factoring out common proof steps of ~ opnneil and ~ opnneirv .
       (Contributed by Zhi Wang, 31-Aug-2024.) $)
    opnneilem $p |- ( ph -> ( E. x e. J ( S C_ x /\ ps )
                          <-> E. y e. J ( S C_ y /\ ch ) ) ) $=
      ( cv wss wa weq wb sseq2 adantl anbi12d cbvrexdva ) AFDIZJZBKFEIZJZCKDEGA
      DELZKSUABCUBSUAMARTFNOHPQ $.
  $}

  ${
    $d J x $.
    opnneir.1 $e |- ( ph -> J e. Top ) $.
    $( If something is true for an open neighborhood, it must be true for a
       neighborhood.  (Contributed by Zhi Wang, 31-Aug-2024.) $)
    opnneir $p |- ( ph -> ( E. x e. J ( S C_ x /\ ps )
                         -> E. x e. ( ( nei ` J ) ` S ) ps ) ) $=
      ( ctop wcel cv wss wa wrex cnei cfv anass opnneiss 3expib anim1d syl5bir
      wi reximdv2 syl ) AEGHZDCIZJZBKZCELBCDEMNNZLTFUCUFBCEUGUDEHZUFKUHUEKZBKUC
      UDUGHZBKUHUEBOUCUIUJBUCUHUEUJDEUDPQRSUAUB $.

    $d J x y $.  $d S x y $.  $d ch x $.  $d ph x y $.  $d ps y $.
    ${
      opnneirv.2 $e |- ( ( ph /\ x = y ) -> ( ps <-> ch ) ) $.
      $( A variant of ~ opnneir with different dummy variables.  (Contributed
         by Zhi Wang, 31-Aug-2024.) $)
      opnneirv $p |- ( ph -> ( E. x e. J ( S C_ x /\ ps )
                          -> E. y e. ( ( nei ` J ) ` S ) ch ) ) $=
        ( cv wss wa wrex cnei cfv opnneilem opnneir sylbid ) AFDJKBLDGMFEJKCLEG
        MCEFGNOOMABCDEFGIPACEFGHQR $.
    $}

    opnneilv.2 $e |- ( ( ph /\ y C_ x ) -> ( ps -> ch ) ) $.
    $( The converse of ~ opnneir with different dummy variables.  Note that the
       second hypothesis could be generalized by adding ` y e. J ` to the
       antecedent.  See the proof for details.  Although ` J e. Top ` might be
       redundant here (see ~ neircl ), it is listed for explicitness.
       (Contributed by Zhi Wang, 31-Aug-2024.) $)
    opnneilv $p |- ( ph -> ( E. x e. ( ( nei ` J ) ` S ) ps
                           -> E. y e. J ( S C_ y /\ ch ) ) ) $=
      ( cnei cfv wrex cv wcel wa wex wss df-rex ctop syl5bi neii2 r19.41dv expl
      sylan anass expimpd anim2d reximdv syld exlimdv ) BDFGJKKZLDMZUKNZBOZDPAF
      EMZQZCOZEGLZBDUKRAUNURDAUNUPUOULQZOZBOZEGLZURAUMBVBAUMOUTBEGAGSNUMUTEGLHF
      EGULUAUDUBUCAVAUQEGVAUPUSBOZOAUQUPUSBUEAVCCUPAUSBCIUFUGTUHUIUJT $.

    opnneil.3 $e |- ( ( ph /\ x = y ) -> ( ps <-> ch ) ) $.
    $( A variant of ~ opnneilv .  (Contributed by Zhi Wang, 31-Aug-2024.) $)
    opnneil $p  |- ( ph -> ( E. x e. ( ( nei ` J ) ` S ) ps
                          -> E. x e. J ( S C_ x /\ ps ) ) ) $=
      ( cnei cfv wrex cv wss wa opnneilv opnneilem sylibrd ) ABDFGKLLMFENOCPEGM
      FDNOBPDGMABCDEFGHIQABCDEFGJRS $.

    $( The equivalence between neighborhood and open neighborhood.  See
       ~ opnneieqvv for different dummy variables.  (Contributed by Zhi Wang,
       31-Aug-2024.) $)
    opnneieqv $p |- ( ph -> ( E. x e. ( ( nei ` J ) ` S ) ps
                           <-> E. x e. J ( S C_ x /\ ps ) ) ) $=
      ( cnei cfv wrex cv wss wa opnneil opnneir impbid ) ABDFGKLLMFDNOBPDGMABCD
      EFGHIJQABDFGHRS $.

    $( The equivalence between neighborhood and open neighborhood.  A variant
       of ~ opnneieqv with two dummy variables.  (Contributed by Zhi Wang,
       31-Aug-2024.) $)
    opnneieqvv $p |- ( ph -> ( E. x e. ( ( nei ` J ) ` S ) ps
                           <-> E. y e. J ( S C_ y /\ ch ) ) ) $=
      ( cnei cfv wrex cv wss wa opnneieqv opnneilem bitrd ) ABDFGKLLMFDNOBPDGMF
      ENOCPEGMABCDEFGHIJQABCDEFGJRS $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Subspace topologies
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    restcls2.1 $e |- ( ph -> J e. Top ) $.
    restcls2.2 $e |- ( ph -> X = U. J ) $.
    restcls2.3 $e |- ( ph -> Y C_ X ) $.
    restcls2.4 $e |- ( ph -> K = ( J |`t Y ) ) $.
    restcls2.5 $e |- ( ph -> S e. ( Clsd ` K ) ) $.
    $( A closed set in a subspace topology is a subset of the subspace.
       (Contributed by Zhi Wang, 2-Sep-2024.) $)
    restcls2lem $p |- ( ph -> S C_ Y ) $=
      ( cuni ccld cfv wcel wss eqid cldss syl crest co ctop wceq sseqtrd unieqd
      restuni syl2anc eqtr4d sseqtrrd ) ABDLZFABDMNOBUJPKBDUJUJQRSAFCFTUAZLZUJA
      CUBOFCLZPFULUCGAFEUMIHUDFCUMUMQUFUGADUKJUEUHUI $.

    $( A closed set in a subspace topology is the closure in the original
       topology intersecting with the subspace.  (Contributed by Zhi Wang,
       2-Sep-2024.) $)
    restcls2 $p |- ( ph -> S = ( ( ( cls ` J ) ` S ) i^i Y ) ) $=
      ( ccl cfv crest co cin wcel wceq wss eqid fveq2d fveq1d ccld ctop sseqtrd
      cldcls syl cuni restcls2lem restcls syl3anc 3eqtr3d ) ABDLMZMZBCFNOZLMZMZ
      BBCLMMFPZABUMUPADUOLJUAUBABDUCMQUNBRKBDUFUGACUDQFCUHZSBFSUQURRGAFEUSIHUEA
      BCDEFGHIJKUIBCUOUSFUSTUOTUJUKUL $.

    restclsseplem.6 $e |- ( ph -> ( S i^i T ) = (/) ) $.
    ${
      restclsseplem.7 $e |- ( ph -> T C_ Y ) $.
      $( Lemma for ~ restclssep .  (Contributed by Zhi Wang, 2-Sep-2024.) $)
      restclsseplem $p |- ( ph -> ( ( ( cls ` J ) ` S ) i^i T ) = (/) ) $=
        ( cin ccl cfv c0 restcls2 ineq1d inass eqtrdi wceq sseqin2 sylib ineq2d
        wss 3eqtr3rd ) ABCOZBDPQQZGCOZOZRUJCOAUIUJGOZCOULABUMCABDEFGHIJKLSTUJGC
        UAUBMAUKCUJACGUGUKCUCNCGUDUEUFUH $.
    $}

    restclssep.7 $e |- ( ph -> T e. ( Clsd ` K ) ) $.
    $( Two disjoint closed sets in a subspace topology are separated in the
       original topology.  (Contributed by Zhi Wang, 2-Sep-2024.) $)
    restclssep $p |- ( ph -> ( ( S i^i ( ( cls ` J ) ` T ) ) = (/)
                            /\ ( ( ( cls ` J ) ` S ) i^i T ) = (/) ) ) $=
      ( cfv cin c0 wceq incom eqtr3id ccl restcls2lem restclsseplem jca ) ABCDU
      AOZOZPZQRBUEOCPQRAUGUFBPQUFBSACBDEFGHIJKNACBPBCPQBCSMTABDEFGHIJKLUBUCTABC
      DEFGHIJKLMACDEFGHIJKNUBUCUD $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Limits and continuity in topological spaces
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    cnneiima.1 $e |- ( ph -> F e. ( J Cn K ) ) $.
    cnneiima.2 $e |- ( ph -> N e. ( ( nei ` K ) ` T ) ) $.
    cnneiima.3 $e |- ( ph -> S C_ ( `' F " T ) ) $.
    $( Given a continuous function, the preimage of a neighborhood is a
       neighborhood.  To be precise, the preimage of a neighborhood of a subset
       ` T ` of the codomain of a continuous function is a neighborhood of any
       subset of the preimage of ` T ` .  (Contributed by Zhi Wang,
       9-Sep-2024.) $)
    cnneiima $p |- ( ph -> ( `' F " N ) e. ( ( nei ` J ) ` S ) ) $=
      ( cima cnei cfv wcel cnt wss syl syl2anc sspreima sstrd ccnv wfun cuni co
      ccn wf eqid ffund ctop wb cntop2 neiss2 neii1 neiint syl3anc mpbid cnntri
      cnf cntop1 wceq fimacnv sseqtrd mpbird ) ADUAZGKZBELMMNZBVEEOMMZPZABVDGFO
      MMZKZVGABVDCKZVJJADUBZCVIPZVKVJPAEUCZFUCZDADEFUEUDNZVNVODUFZHDEFVNVOVNUGZ
      VOUGZURQZUHZAGCFLMMNZVMIAFUINZCVOPZGVOPZWBVMUJAVPWCHDEFUKQZAWCWBWDWFICFGV
      OVSULRZAWCWBWEWFICFGVOVSUMRZCFGVOVSUNUOUPCVIDSRTAVPWEVJVGPHWHGDEFVOVSUQRT
      AEUINZBVNPVEVNPVFVHUJAVPWIHDEFUSQABVKVNJAVKVDVOKZVNAVLWDVKWJPWAWGCVODSRAV
      QWJVNUTVTVNVODVAQZVBTAVEWJVNAVLWEVEWJPWAWHGVODSRWKVBBEVEVNVRUNUOVC $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Topological definitions using the reals
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $( Open intervals are open sets of ` II ` .  (Contributed by Zhi Wang,
     9-Sep-2024.) $)
  iooii $p |- ( ( 0 <_ A /\ B <_ 1 ) -> ( A (,) B ) e. II ) $=
    ( cc0 cle wbr c1 wa cioo wss cii wcel cxr 0xr 1xr ioossioo mpanl12 iooretop
    co cicc cvv crn ctg cfv crest ioossicc ctop w3a retop ovex restopnb mp3an12
    wb mpbii dfii2 eleqtrrdi syl ) CADEBFDEGZABHRZCFHRZIZURJKCLKFLKUQUTMNCFABOP
    UTURHUAUBUCZCFSRZUDRZJUTURVAKZURVCKZABQUSVAKZUSVBIZUTVDVEULZCFQCFUEVAUFKVBT
    KVFVGUTUGVHUHCFSUIVBUSURVATUJPUKUMUNUOUP $.

  $( Closed intervals are closed sets of ` II ` .  Note that ~ iccss ,
     ~ iccordt , and ~ ordtresticc are proved from ~ ixxss12 , ~ ordtcld3 , and
     ~ ordtrest2 , respectively.  An alternate proof uses ~ restcldi ,
     ~ dfii2 , and ~ icccld .  (Contributed by Zhi Wang, 8-Sep-2024.) $)
  icccldii $p |- ( ( 0 <_ A /\ B <_ 1 ) -> ( A [,] B ) e. ( Clsd ` II ) ) $=
    ( cc0 cle wbr c1 wa cicc co cordt cfv ccld cii cxr wss wcel iccssxr iccordt
    crest cr 0re 1re iccss mpanl12 letopuni restcldi mp3an12i dfii5 ordtresticc
    cxp cin eqtr4i fveq2i eleqtrrdi ) CADEBFDEGZABHIZDJKZCFHIZSIZLKZMLKURNOUPUQ
    LKPUOUPUROZUPUTPCFQABRCTPFTPUOVAUAUBCFABUCUDURUPUQNUEUFUGMUSLMDURURUJUKJKUS
    UHCFUIULUMUN $.

  ${
    $d A x $.
    $( ` ( 0 [,) A ) ` is open in ` II ` .  (Contributed by Zhi Wang,
       9-Sep-2024.) $)
    i0oii $p |- ( A <_ 1 -> ( 0 [,) A ) e. II ) $=
      ( vx c1 cle wbr cc0 co cmnf cioo cicc cii cr clt w3a wa cxr wi anbi1d cvv
      wcel cico cin cv anandi3r rexr lerelxr simpld 1xr xrltletr xrltle 3adant2
      brel syld mp3an3 syl2an sylbi 3com12 3expib pm4.71d 3anan32 3anass anbi2i
      imp anandi anass 3bitr3ri 3bitr2i 3bitr4g 0re elico2 sylancr elin elicc01
      bitri elioomnf syl syl5bb 3bitr4rd eqrdv crn ctg crest fvex ovex iooretop
      wb cfv elrestr mp3an dfii2 eleqtrri eqeltrrdi ) ACDEZFAUAGZHAIGZFCJGZUBZK
      WMBWQWNWMBUCZLTZFWRDEZWRAMEZNZWSXAOZWSWTWRCDEZNZOZWRWNTZWRWQTZWMXCWTOXCXD
      OZWTOZXBXFWMXCXIWTWMXCXDWMWSXAXDWSWMXAXDWSWMXANWSWMOZXAWMOZOXDWSWMXAUDXKX
      LXDWSWRPTZAPTZXLXDQZWMWRUEWMXNCPTZACPPDUFULUGZXMXNXPXOUHXMXNXPNXLWRCMEZXD
      WRACUIXMXPXRXDQXNWRCUJUKUMUNUOVCUPUQURUSRWSWTXAUTXFXCWSWTXDOZOZOWSXAXSOOZ
      XJXEXTXCWSWTXDVAVBWSXAXSVDXCWTXDNXCXSOXJYAXCWTXDVAXCWTXDUTWSXAXSVEVFVGVHW
      MFLTXNXGXBWFVIXQFAWRVJVKXHWRWOTZXEOZWMXFXHYBWRWPTZOYCWRWOWPVLYDXEYBWRVMVB
      VNWMYBXCXEWMXNYBXCWFXQAWRVOVPRVQVRVSWQIVTZWAWGZWPWBGZKYFSTWPSTWOYFTWQYGTY
      EWAWCFCJWDHAWEWOWPYFSSWHWIWJWKWL $.

    $( ` ( A (,] 1 ) ` is open in ` II ` .  (Contributed by Zhi Wang,
       9-Sep-2024.) $)
    io1ii $p |- ( 0 <_ A -> ( A (,] 1 ) e. II ) $=
      ( vx cc0 cle wbr c1 co cpnf cioo cicc cii cr clt w3a wa cxr wi anbi1d cvv
      wcel cioc cin cv 0xr lerelxr brel simprd xrlelttr xrltle 3adant2 mp3an3an
      rexr syld 3impdi 3expib pm4.71d df-3an 3anass anbi2i anandi anass 3bitr2i
      imp bitr2i 3bitr4g wb 1re elioc2 sylancl elin elicc01 elioopnf syl syl5bb
      bitri 3bitr4rd eqrdv crn ctg crest fvex ovex iooretop elrestr mp3an dfii2
      cfv eleqtrri eqeltrrdi ) CADEZAFUAGZAHIGZCFJGZUBZKWJBWNWKWJBUCZLTZAWOMEZW
      OFDEZNZWPWQOZWPCWODEZWRNZOZWOWKTZWOWNTZWJWTWROWTXAOZWROZWSXCWJWTXFWRWJWTX
      AWJWPWQXAWJWPWQXAWJWPOWJWQOZXACPTZWJAPTZWPWOPTZXHXAQUDWJXIXJCAPPDUEUFUGZW
      OULXIXJXKNXHCWOMEZXACAWOUHXIXKXMXAQXJCWOUIUJUMUKVCUNUOUPRWPWQWRUQXCWTWPXA
      WROZOZOWPWQXNOOZXGXBXOWTWPXAWRURUSWPWQXNUTXGWTXNOXPWTXAWRVAWPWQXNVAVDVBVE
      WJXJFLTXDWSVFXLVGAFWOVHVIXEWOWLTZXBOZWJXCXEXQWOWMTZOXRWOWLWMVJXSXBXQWOVKU
      SVOWJXQWTXBWJXJXQWTVFXLAWOVLVMRVNVPVQWNIVRZVSWGZWMVTGZKYASTWMSTWLYATWNYBT
      XTVSWACFJWBAHWCWLWMYASSWDWEWFWHWI $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Separated sets
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d ph y $.
    $( Lemma for ~ sepnsepo .  (Contributed by Zhi Wang, 1-Sep-2024.) $)
    sepnsepolem1 $p |- ( E. x e. J E. y e. J ( ph /\ ps /\ ch )
                   <-> E. x e. J ( ph /\ E. y e. J ( ps /\ ch ) ) ) $=
      ( w3a wrex wa 3anass 2rexbii r19.42v rexbii bitri ) ABCGZEFHDFHABCIZIZEFH
      ZDFHAPEFHIZDFHOQDEFFABCJKRSDFAPEFLMN $.
  $}

  ${
    $d D y z $.  $d J y z $.  $d x y z $.
    sepnsepolem2.1 $e |- ( ph -> J e. Top ) $.
    $( Open neighborhood and neighborhood is equivalent regarding disjointness.
       Lemma for ~ sepnsepo .  Proof could be shortened by 1 step using
       ~ ssdisjdr .  (Contributed by Zhi Wang, 1-Sep-2024.) $)
    sepnsepolem2 $p |- ( ph -> ( E. y e. ( ( nei ` J ) ` D ) ( x i^i y ) = (/)
                           <-> E. y e. J ( D C_ y /\ ( x i^i y ) = (/) ) ) ) $=
      ( vz ctop wcel cv cin c0 wceq cnei cfv wrex wss wb syl adantl wa id sslin
      wi sseq0 ex ineq2 eqeq1d opnneieqv ) AEHIZBJZCJZKZLMZCDENOOPDULQUNUACEPRF
      UJUNUKGJZKZLMZCGDEUJUBUOULQZUNUQUDZUJURUPUMQZUSUOULUKUCUTUNUQUPUMUEUFSTUL
      UOMZUNUQRUJVAUMUPLULUOUKUGUHTUIS $.

$(
    @d D y z @.  @d J y z @.  @d ph y z @.  @d x y z @.
    @( Open neighborhood and neighborhood is equivalent regarding disjointness.
       Lemma for ~ sepnsepo .  (Contributed by Zhi Wang, 7-Sep-2024.)
       (Proof modification is discouraged.)  (New usage is discouraged.) @)
    sepnsepolem2ALT @p |- ( ph -> ( E. y e. ( ( nei ` J ) ` d ) ( x i^i y ) =
            (/) <-> E. y e. J ( d C_ y /\ ( x i^i y ) = (/) ) ) ) @=
      ( vz cv cin c0 wceq wss w3a simp2 simp3 ssdisjdr 3expia wb ineq2 eqeq1d
      adantl opnneieqv ) ABHZCHZIZJKZUCGHZIZJKZCGEHDFAUGUDLZUFUIAUJUFMUGUDUCAUJ
      UFNAUJUFOPQUDUGKZUFUIRAUKUEUHJUDUGUCSTUAUB @.
$)

    $d C x y z $.  $d D x y z $.  $d J x y z $.
    $( Open neighborhood and neighborhood is equivalent regarding disjointness
       for both sides.  Namely, separatedness by open neighborhoods is
       equivalent to separatedness by neighborhoods.  (Contributed by Zhi Wang,
       1-Sep-2024.) $)
    sepnsepo $p |- ( ph ->
    ( E. x e. ( ( nei ` J ) ` C ) E. y e. ( ( nei ` J ) ` D ) ( x i^i y ) = (/)
    <-> E. x e. J E. y e. J ( C C_ x /\ D C_ y /\ ( x i^i y ) = (/) ) ) ) $=
      ( vz ctop cv cin c0 wceq cfv wrex wss wb wa rexbidv syl wcel sepnsepolem2
      cnei w3a id anbi2d wi ssrin sseq0 ex adantl simpr ineq1d eqeq1d opnneieqv
      reximdv sepnsepolem1 a1i 3bitr4d ) AFIUAZBJZCJZKZLMZCEFUCNZNZOZBDVENOZDVA
      PZEVBPZVDUDCFOBFOZQGUTVIVGRZBFOVIVJVDRCFOZRZBFOZVHVKUTVLVNBFUTVGVMVIUTBCE
      FUTUEZUBUFSUTVGHJZVBKZLMZCVFOBHDFVPUTVQVAPZRVDVSCVFVTVDVSUGZUTVTVRVCPZWAV
      QVAVBUHWBVDVSVRVCUIUJTUKUPUTVAVQMZRZVDVSCVFWDVCVRLWDVAVQVBUTWCULUMUNSUOVK
      VOQUTVIVJVDBCFUQURUST $.
  $}

  ${
    sepdisj.1 $e |- ( ph -> J e. Top ) $.
    ${
      sepdisj.2 $e |- ( ph -> S C_ U. J ) $.
      sepdisj.3 $e |- ( ph -> ( ( ( cls ` J ) ` S ) i^i T ) = (/) ) $.
      $( Separated sets are disjoint.  Note that in general separatedness also
         requires ` T C_ U. J ` and ` ( S i^i ( ( cls `` J ) `` T ) ) = (/) `
         as well but they are unnecessary here.  (Contributed by Zhi Wang,
         7-Sep-2024.) $)
      sepdisj $p |- ( ph -> ( S i^i T ) = (/) ) $=
        ( ccl cfv ctop wcel cuni wss eqid sscls syl2anc ssdisjd ) ABBDHIIZCADJK
        BDLZMBRMEFBDSSNOPGQ $.
    $}

    ${
      $d J m n $.  $d S m n $.  $d T m n $.
      seposep.2 $e |- ( ph -> E. n e. J E. m e. J
              ( S C_ n /\ T C_ m /\ ( n i^i m ) = (/) ) ) $.
      $( If two sets are separated by (open) neighborhoods, then they are
         separated subsets of the underlying set.  Note that separatedness by
         open neighborhoods is equivalent to separatedness by neighborhoods.
         See ~ sepnsepo .  The relationship between separatedness and closure
         is also seen in ~ isnrm , ~ isnrm2 , ~ isnrm3 .  (Contributed by Zhi
         Wang, 7-Sep-2024.) $)
      seposep $p |- ( ph -> ( ( S C_ U. J /\ T C_ U. J )
                         /\ ( ( S i^i ( ( cls ` J ) ` T ) ) = (/)
                           /\ ( ( ( cls ` J ) ` S ) i^i T ) = (/) ) ) ) $=
        ( wcel cv wss cin c0 wceq wa cfv syl2anc sstrd cdif sylc ctop wrex cuni
        w3a ccl simp31 simp1 simp2l eqid simp32 simp2r ccld opncld incom simp33
        eltopss eqtr3id reldisj biimpd clsss2 disjdif ssdisjdr disjdifr ssdisjd
        sscond a1i jca jca31 3exp rexlimdvv ) AFUAIZBEJZKZCDJZKZVLVNLZMNZUDZDFU
        BEFUBBFUCZKZCVSKZOBCFUEPZPZLMNZBWBPZCLMNZOZOZGHVKVRWHEDFFVKVLFIZVNFIZOZ
        VRWHVKWKVRUDZVTWAWGWLBVLVSVKWKVMVOVQUFZWLVKWIVLVSKZVKWKVRUGZVKWIWJVRUHZ
        VLFVSVSUIZUPQZRWLCVNVSVKWKVMVOVQUJZWLVKWJVNVSKZWOVKWIWJVRUKZVNFVSWQUPQZ
        RWLWDWFWLWCVSBSZBWLWCVSVLSZXCWLXDFULPZIZCXDKWCXDKWLVKWIXFWOWPVLFVSWQUMQ
        WLCVNXDWSWLWTVNVLLZMNZVNXDKZXBWLXGVPMVLVNUNVKWKVMVOVQUOZUQWTXHXIVNVLVSU
        RUSTRXDCFVSWQUTQWLBVLVSWMVERBXCLMNWLBVSVAVFVBWLWEVSCSZCWLWEVSVNSZXKWLXL
        XEIZBXLKWEXLKWLVKWJXMWOXAVNFVSWQUMQWLBVLXLWMWLWNVQVLXLKZWRXJWNVQXNVLVNV
        SURUSTRXLBFVSWQUTQWLCVNVSWSVERXKCLMNWLCVSVCVFVDVGVHVIVJT $.
    $}

    ${
      $d J m n $.  $d S m n $.  $d T m n $.
      sepcsepo.2 $e |- ( ph ->
      E. n e. ( ( nei ` J ) ` S ) E. m e. ( ( nei ` J ) ` T )
      ( n e. ( Clsd ` J ) /\ m e. ( Clsd ` J ) /\ ( n i^i m ) = (/) ) ) $.
      $( If two sets are separated by closed neighborhoods, then they are
         separated by (open) neighborhoods.  See ~ sepnsepo for the equivalence
         between separatedness by open neighborhoods and separatedness by
         neighborhoods.  Although ` J e. Top ` might be redundant here, it is
         listed for explicitness. ` J e. Top ` can be obtained from ~ neircl ,
         ~ adantr , and ~ rexlimiva .  (Contributed by Zhi Wang,
         8-Sep-2024.) $)
      sepcsepo $p |- ( ph -> E. n e. J E. m e. J
              ( S C_ n /\ T C_ m /\ ( n i^i m ) = (/) ) ) $=
        ( cv cin c0 wceq cnei cfv wrex wss w3a ccld wcel reximi simp3 syl mpbid
        sepnsepo ) AEIZDIZJKLZDCFMNZNZOZEBUHNZOZBUEPCUFPUGQDFOEFOAUEFRNZSZUFUMS
        ZUGQZDUIOZEUKOULHUQUJEUKUPUGDUIUNUOUGUATTUBAEDBCFGUDUC $.
    $}
  $}

  ${
    $d J f m n $.  $d S f n $.  $d T f m n $.
    sepfsepc.1 $e |- ( ph -> E. f e. ( J Cn II )
              ( S C_ ( `' f " { 0 } ) /\ T C_ ( `' f " { 1 } ) ) ) $.
    $( If two sets are separated by a continuous function, then they are
       separated by closed neighborhoods.  (Contributed by Zhi Wang,
       9-Sep-2024.) $)
    sepfsepc $p |- ( ph ->
      E. n e. ( ( nei ` J ) ` S ) E. m e. ( ( nei ` J ) ` T )
      ( n e. ( Clsd ` J ) /\ m e. ( Clsd ` J ) /\ ( n i^i m ) = (/) ) ) $=
      ( cc0 wss c1 wa cii co cfv wcel wceq c3 wbr mp2an vg vh ccnv csn cima ccn
      cv wrex ccld cin c0 w3a cnei cdiv cicc c2 simpl cle 0re 1re 0le0 3re 3ne0
      cr rereccli clt 1lt3 recgt1i simpri ltleii iccss mp4an i0oii ax-mp simpli
      cico cxr wb rexri elico2 biimpri snssd mp3an icossicc sseq2 sseq1 anbi12d
      pm3.2i rspcev ctop iitop sstri iiuni mpbir2an a1i simprl cnneiima halfge0
      isnei 1le1 halflt1 halfre elioc2 iocssicc simprr icccldii cnclima sylancl
      cioc io1ii wfun cuni eqid cnf syl 0xr 1xr 2lt3 2re 2pos 3pos ltrecii mpbi
      ffund iccdisj2 ssidd predisj eleq1 ineq1 eqeq1d 3anbi13d 3anbi23d rspc2ev
      ineq2 syl113anc rexlimiva ) ABDUGZUCZIUDZUEJZCYRKUDZUEJZLZDGMUFNZUHFUGZGU
      IOZPZEUGZUUFPZUUEUUHUJZUKQZULZECGUMOZOZUHFBUUMOZUHZHUUCUUPDUUDYQUUDPZUUCL
      ZYRIKRUNNZUONZUEZUUOPYRKUPUNNZKUONZUEZUUNPUVAUUFPZUVDUUFPZUVAUVDUJZUKQZUU
      PUURBYSYQGMUUTUUQUUCUQZUUTYSMUMOZOPZUURUVKUUTIKUONZJZYSUAUGZJZUVNUUTJZLZU
      AMUHZIVDPZKVDPZIIURSZUUSKURSZUVMUSUTVAUUSKRVBVCVEZUTIUUSVFSZUUSKVFSZRVDPK
      RVFSUWDUWELVBVGRVHTZVIVJZIKIUUSVKVLZIUUSVPNZMPZYSUWIJZUWIUUTJZLZUVRUWBUWJ
      UWGUUSVMVNUWKUWLUVSUWAUWDUWKUSVAUWDUWEUWFVOUVSUWAUWDULZIUWIIUWIPZUWNUVSUU
      SVQPUWOUWNVRUSUUSUWCVSIUUSIVTTWAWBWCZIUUSWDZWHUVQUWMUAUWIMUVNUWIQUVOUWKUV
      PUWLUVNUWIYSWEUVNUWIUUTWFWGWITMWJPZYSUVLJUVKUVMUVRLVRWKYSUUTUVLYSUWIUUTUW
      PUWQWLUWHWLYSUAMUUTUVLWMWSTWNWOUUQYTUUBWPWQUURCUUAYQGMUVCUVIUVCUUAUVJOPZU
      URUWSUVCUVLJZUUAUBUGZJZUXAUVCJZLZUBMUHZUVSUVTIUVBURSZKKURSZUWTUSUTWRWTIKU
      VBKVKVLZUVBKXINZMPZUUAUXIJZUXIUVCJZLZUXEUXFUXJWRUVBXJVNUXKUXLUVTUVBKVFSZU
      XGUXKUTXAWTUVTUXNUXGULZKUXIKUXIPZUXOUVBVQPUVTUXPUXOVRUVBXBVSUTUVBKKXCTWAW
      BWCZUVBKXDZWHUXDUXMUBUXIMUXAUXIQUXBUXKUXCUXLUXAUXIUUAWEUXAUXIUVCWFWGWITUW
      RUUAUVLJUWSUWTUXELVRWKUUAUVCUVLUUAUXIUVCUXQUXRWLUXHWLUUAUBMUVCUVLWMWSTWNW
      OUUQYTUUBXEWQUURUUQUUTMUIOZPZUVEUVIUWAUWBUXTVAUWGIUUSXFTUUTYQGMXGXHUURUUQ
      UVCUXSPZUVFUVIUXFUXGUYAWRWTUVBKXFTUVCYQGMXGXHUURUUTUVCUVAUVDYQUURUUQYQXKU
      VIUUQGXLZUVLYQYQGMUYBUVLUYBXMWMXNYDXOUUTUVCUJUKQZUURIVQPKVQPUUSUVBVFSZUYC
      XPXQUPRVFSUYDXRUPRXSVBXTYAYBYCIUUSUVBKYEWCWOUURUVAYFUURUVDYFYGUULUVEUVFUV
      HULUVEUUIUVAUUHUJZUKQZULFEUVAUVDUUOUUNUUEUVAQZUUGUVEUUKUYFUUIUUEUVAUUFYHU
      YGUUJUYEUKUUEUVAUUHYIYJYKUUHUVDQZUUIUVFUYFUVHUVEUUHUVDUUFYHUYHUYEUVGUKUUH
      UVDUVAYNYJYLYMYOYPXO $.
  $}

  ${
    seppsepf.1 $e |- ( ph -> E. f e. ( J Cn II )
              ( S = ( `' f " { 0 } ) /\ T = ( `' f " { 1 } ) ) ) $.
    $( If two sets are precisely separated by a continuous function, then they
       are separated by the continuous function.  (Contributed by Zhi Wang,
       9-Sep-2024.) $)
    seppsepf $p |- ( ph -> E. f e. ( J Cn II )
              ( S C_ ( `' f " { 0 } ) /\ T C_ ( `' f " { 1 } ) ) ) $=
      ( cv ccnv cc0 csn cima wceq c1 wa cii ccn co wrex wss eqimss anim12i syl
      reximi ) ABDGHZIJKZLZCUDMJKZLZNZDEOPQZRBUESZCUGSZNZDUJRFUIUMDUJUFUKUHULBU
      ETCUGTUAUCUB $.

    $d J f $.  $d S f $.  $d T f $.
    $( If two sets are precisely separated by a continuous function, then they
       are closed.  An alternate proof involves ` II e. Fre ` .  (Contributed
       by Zhi Wang, 9-Sep-2024.) $)
    seppcld $p |- ( ph -> ( S e. ( Clsd ` J ) /\ T e. ( Clsd ` J ) ) ) $=
      ( cc0 csn cima wceq c1 wa cii co ccld cfv wcel cicc cle wbr ccnv ccn wrex
      cv simprl simpl cxr iccid ax-mp 0le0 0le1 icccldii mp2an eqeltrri cnclima
      0xr sylancl eqeltrd simprr 1xr 1le1 jca rexlimiva syl ) ABDUDZUAZGHZIZJZC
      VFKHZIZJZLZDEMUBNZUCBEOPZQZCVOQZLZFVMVRDVNVEVNQZVMLZVPVQVTBVHVOVSVIVLUEVT
      VSVGMOPZQVHVOQVSVMUFZGGRNZVGWAGUGQWCVGJUPGUHUIGGSTGKSTZWCWAQUJUKGGULUMUNV
      GVEEMUOUQURVTCVKVOVSVIVLUSVTVSVJWAQVKVOQWBKKRNZVJWAKUGQWEVJJUTKUHUIWDKKST
      WEWAQUKVAKKULUMUNVJVEEMUOUQURVBVCVD $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Separated spaces: T0, T1, T2 (Hausdorff) ...
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d J c d x y $.
    $( A topological space is normal iff any two disjoint closed sets are
       separated by neighborhoods.  (Contributed by Zhi Wang, 1-Sep-2024.) $)
    isnrm4 $p |- ( J e. Nrm <-> ( J e. Top /\ A. c e. ( Clsd ` J ) A. d e. (
    Clsd ` J ) ( ( c i^i d ) = (/) -> E. x e. ( ( nei ` J ) ` c ) E. y e. ( (
    nei ` J ) ` d ) ( x i^i y ) = (/) ) ) ) $=
      ( cnrm wcel ctop cv cin c0 wceq wss w3a wrex wi ccld cfv wral wa sepnsepo
      cnei isnrm3 id imbi2d 2ralbidv pm5.32i bitr4i ) CFGCHGZDIZEIZJKLZUJAIZMUK
      BIZMUMUNJKLZNBCOACOZPZECQRZSDURSZTUIULUOBUKCUBRZROAUJUTROZPZEURSDURSZTABC
      DEUCUIVCUSUIVBUQDEURURUIVAUPULUIABUJUKCUIUDUAUEUFUGUH $.
  $}

  ${
    $d c d j x y $.
    $( A topological space is normal if any disjoint closed sets can be
       separated by open neighborhoods.  An alternate definition of ~ df-nrm .
       (Contributed by Zhi Wang, 30-Aug-2024.) $)
    dfnrm2 $p |- Nrm = { j e. Top | A. c e. ( Clsd ` j ) A. d e. ( Clsd ` j )
                 ( ( c i^i d ) = (/) -> E. x e. j E. y e. j ( c C_ x /\ d C_ y
                 /\ ( x i^i y ) = (/) ) ) } $=
      ( cnrm cv ctop wcel cin c0 wceq wss w3a wrex wi ccld cfv wral wa cab crab
      isnrm3 abbi2i df-rab eqtr4i ) FCGZHIDGZEGZJKLUHAGZMUIBGZMUJUKJKLNBUGOAUGO
      PEUGQRZSDULSZTZCUAUMCHUBUNCFABUGDEUCUDUMCHUEUF $.

    $( A topological space is normal if any disjoint closed sets can be
       separated by neighborhoods.  An alternate definition of ~ df-nrm .
       (Contributed by Zhi Wang, 2-Sep-2024.) $)
    dfnrm3 $p |- Nrm = { j e. Top | A. c e. ( Clsd ` j ) A. d e. ( Clsd ` j )
    ( ( c i^i d ) = (/) -> E. x e. ( ( nei ` j ) ` c ) E. y e. ( ( nei ` j ) `
    d ) ( x i^i y ) = (/) ) } $=
      ( cnrm cv ctop wcel cin c0 wceq cnei cfv wrex wi ccld wral wa cab isnrm4
      crab abbi2i df-rab eqtr4i ) FCGZHIDGZEGZJKLAGBGJKLBUHUFMNZNOAUGUINOPEUFQN
      ZRDUJRZSZCTUKCHUBULCFABUFDEUAUCUKCHUDUE $.
  $}

  ${
    $d J x $.
    $( Lemma for ~ iscnrm3 .  Subspace topology is a topology.  (Contributed by
       Zhi Wang, 3-Sep-2024.) $)
    iscnrm3lem1 $p |- ( J e. Top -> ( A. x e. A ph
                <-> A. x e. A ( ( J |`t x ) e. Top /\ ph ) ) ) $=
      ( ctop wcel cv crest co wa resttop biantrurd ralbidva ) DEFZADBGZHIEFZAJB
      CNOCFJPAODCKLM $.
  $}

  ${
    $d A v w y z $.  $d B v w z $.  $d C v w $.  $d D v x y z $.  $d E x y z $.
    $d ch x y z $.  $d ph v w x y z $.  $d ps v w $.
    iscnrm3lem2.1 $e |- ( ph -> ( A. x e. A A. y e. B A. z e. C ps
                                  -> ( ( w e. D /\ v e. E ) -> ch ) ) ) $.
    iscnrm3lem2.2 $e |- ( ph -> ( A. w e. D A. v e. E ch
                             -> ( ( x e. A /\ y e. B /\ z e. C ) -> ps ) ) ) $.
    $( Lemma for ~ iscnrm3 proving a biconditional on restricted universal
       quantifications.  (Contributed by Zhi Wang, 3-Sep-2024.) $)
    iscnrm3lem2 $p |- ( ph -> ( A. x e. A A. y e. B A. z e. C ps
                            <-> A. w e. D A. v e. E ch ) ) $=
      ( cv wcel wi wal wral w3a wa 2ax5 r3al syl5bir 2alimdv syl5 alimdv impbid
      alrimiv r2al 3bitr4g ) ADPIQEPJQFPKQUABRZFSESZDSZGPLQHPMQUBCRZHSGSZBFKTEJ
      TDITZCHMTGLTZAUOUQUOUOHSGSAUQUOGHUCAUOUPGHUOURAUPBDEFIJKUDZNUEUFUGUQUQFSE
      SZDSAUOUQVADUQEFUCUJAVAUNDAUQUMEFUQUSAUMCGHLMUKZOUEUFUHUGUIUTVBUL $.
  $}

  $( Lemma for ~ iscnrm3lem4 .  (Contributed by Zhi Wang, 4-Sep-2024.) $)
  iscnrm3lem3 $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) )
          <-> ( ( ph /\ ch /\ th ) /\ ps ) ) $=
    ( wa w3a anass 3anass anbi1i ancom anbi2i 3bitr4ri bitri ) ABECDEZEABNEZEZA
    CDFZBEZABNGANEZBEANBEZERPANBGQSBACDHIOTABNJKLM $.

  ${
    iscnrm3lem4.1 $e |- ( et -> ( ps -> ze ) ) $.
    iscnrm3lem4.2 $e |- ( ( ph /\ ch /\ th ) -> et ) $.
    iscnrm3lem4.3 $e |- ( ( ph /\ ch /\ th ) -> ( ze -> ta ) ) $.
    $( Lemma for ~ iscnrm3lem5 and ~ iscnrm3r .  (Contributed by Zhi Wang,
       4-Sep-2024.) $)
    iscnrm3lem4 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wa w3a iscnrm3lem3 wi syl syld imp sylbi exp43 ) ABCDEABKCDKKACDLZBKEAB
      CDMTBETBGETFBGNIHOJPQRS $.
  $}

  ${
    $d S x y $.  $d T x y $.  $d V x y $.  $d W x y $.  $d ps x y $.
    $d th x y $.
    iscnrm3lem5.1 $e |- ( ( x = S /\ y = T ) -> ( ph <-> ps ) ) $.
    iscnrm3lem5.2 $e |- ( ( x = S /\ y = T ) -> ( ch <-> th ) ) $.
    iscnrm3lem5.3 $e |- ( ( ta /\ et /\ ze ) -> ( S e. V /\ T e. W ) ) $.
    iscnrm3lem5.4 $e |- ( ( ta /\ et /\ ze ) -> ( ( ps -> th ) -> si ) ) $.
    $( Lemma for ~ iscnrm3l .  (Contributed by Zhi Wang, 3-Sep-2024.) $)
    iscnrm3lem5 $p |- ( ta -> ( A. x e. V A. y e. W ( ph -> ch )
                            -> ( et -> ( ze -> si ) ) ) ) $=
      ( wi wral wcel wa cv wceq imbi12d rspc2gv iscnrm3lem4 ) EACSZJNTIMTFGHKMU
      ALNUAUBBDSZUHUIIJKLMNIUCKUDJUCLUDUBABCDOPUEUFQRUG $.
  $}

$(
  @{
    iscnrm3lem99.1 @e |- ( x = A -> ( ps <-> et ) ) @.
    iscnrm3lem99.2 @e |- ( y = B -> ( et <-> ze ) ) @.
    iscnrm3lem99.3 @e |- ( z = C -> ( ze <-> si ) ) @.
    iscnrm3lem99.4 @e |- ( ( ph /\ ch /\ th ) ->
                        ( A e. R /\ B e. S /\ C e. T ) ) @.
    iscnrm3lem99.5 @e |- ( ( ph /\ ch /\ th ) -> ( si -> ta ) ) @.
    @( Lemma for ~ iscnrm3 .  (Contributed by Zhi Wang, XX-Sep-2024.) @)
    iscnrm3lem99 @p |- ( ph -> ( A. x e. R A. y e. S A. z e. T ps
            -> ( ch -> ( th -> ta ) ) ) ) @=
       ? @.
  @}
$)

  ${
    $d V y $.  $d ch x y $.  $d ph x y $.
    iscnrm3lem6.1 $e |- ( ( ph /\ ( x e. V /\ y e. W ) /\ ps ) -> ch ) $.
    $( Lemma for ~ iscnrm3lem7 .  (Contributed by Zhi Wang, 5-Sep-2024.) $)
    iscnrm3lem6 $p |- ( ph -> ( E. x e. V E. y e. W ps -> ch ) ) $=
      ( cv wcel wa 3exp rexlimdvv ) ABCDEFGADIFJEIGJKBCHLM $.
  $}

  ${
    $d A y $.  $d C x y z $.  $d D w x y z $.  $d W w $.  $d Z w z $.
    $d ch x y $.  $d ph x y $.  $d ta w $.  $d th z $.
    iscnrm3lem7.1 $e |- ( z = Z -> ( ch <-> th ) ) $.
    iscnrm3lem7.2 $e |- ( w = W -> ( th <-> ta ) ) $.
    iscnrm3lem7.3 $e |- ( ( ph /\ ( x e. A /\ y e. B ) /\ ps )
                  -> ( Z e. C /\ W e. D /\ ta ) ) $.
    $( Lemma for ~ iscnrm3rlem8 and ~ iscnrm3llem2 involving restricted
       existential quantifications.  (Contributed by Zhi Wang, 5-Sep-2024.) $)
    iscnrm3lem7 $p |- ( ph -> ( E. x e. A E. y e. B ps
                                 -> E. z e. C E. w e. D ch ) ) $=
      ( wrex wcel cv wa w3a rspc2ev syl iscnrm3lem6 ) ABCIMSHLSZFGJKAFUAJTGUAKT
      UBBUCOLTNMTEUCUGRCEDHIONLMPQUDUEUF $.
  $}

$(
  @( All subspaces are normal iff in the original topology two separated sets
     can be separated by open neighborhoods.  (Contributed by Zhi Wang,
     XX-Sep-2024.) @)
    restnrmsep @p |- ( J e. Top -> ( ( ( Y e. ~P U. J /\ C e. ( Clsd ` ( J |`t
    Y ) ) /\ D e. ( Clsd ` ( J |`t Y ) ) ) -> ( ( C i^i D ) = (/) -> E. n e. (
    J |`t Y ) E. m e. ( J |`t Y ) ( C C_ n /\ D C_ m /\ ( n i^i m ) = (/) ) ) )
    <-> ( ( S e. ~P U. J /\ T e. ~P U. J ) -> ( ( ( S i^i ( ( cls ` J ) ` T ) )
    = (/) /\ ( ( ( cls ` J ) ` S ) i^i T ) = (/) ) -> E. n e. J E. m e. J ( S
    C_ n /\ T C_ m /\ ( n i^i m ) = (/) ) ) ) ) ) @=
    ? @.
$)

$(
  @{
    @d J c d m n x y z @.
    iscnrm3OLD.1 @e  |- ( J e. Top -> ( ( ( z e. ~P U. J /\ c e. ( Clsd ` ( J
                        |`t z ) ) /\ d e. ( Clsd ` ( J |`t z ) ) ) -> ( ( c i^i
                        d ) = (/) -> E. n e. ( J |`t z ) E. m e. ( J |`t z ) (
                        c C_ n /\ d C_ m /\ ( n i^i m ) = (/) ) ) ) <-> ( ( x
                        e. ~P U. J /\ y e. ~P U. J ) -> ( ( ( x i^i ( ( cls ` J
                        ) ` y ) ) = (/) /\ ( ( ( cls ` J ) ` x ) i^i y ) = (/)
                        ) -> E. n e. J E. m e. J ( x C_ n /\ y C_ m /\ ( n i^i
                        m ) = (/) ) ) ) ) ) @.
    @( A completely normal topology is a topology in which two separated sets
       can be separated by open neighborhoods.  (Contributed by Zhi Wang,
       3-Sep-2024.)  (Proof modification is discouraged.)
       (New usage is discouraged.) @)
    iscnrm3OLD @p |- ( J e. CNrm <->
            ( J e. Top /\ A. x e. ~P U. J A. y e. ~P U. J
    ( ( ( x i^i ( ( cls ` J ) ` y ) ) = (/) /\ ( ( ( cls ` J ) ` x ) i^i y ) =
    (/) ) -> E. n e. J E. m e. J ( x C_ n /\ y C_ m /\ ( n i^i m ) = (/) ) ) )
    ) @=
      ( wcel cv wral wa cfv cin c0 wceq wss wal 19.3v ccnrm ctop crest cnrm cpw
      cuni ccl w3a wrex eqid iscnrm ccld iscnrm3lem1 isnrm3 ralbii bitr4di r3al
      co bitri 2albidv r2al bitr3id albidv syl5bb 3bitri bitrdi bitr3d pm5.32i
      wi ) FUAJFUBJZFCKZUCURZUDJZCFUFZUEZLZMVJAKZBKZFUGNZNOPQVQVSNVROPQMVQEKZRV
      RDKZRVTWAOPQZUHDFUIEFUIVIZBVOLAVOLZMCFVNVNUJUKVJVPWDVJGKZHKZOPQWEVTRWFWAR
      WBUHDVLUIEVLUIVIZHVLULNZLGWHLZCVOLZVPWDVJWJVLUBJWIMZCVOLVPWICVOFUMVMWKCVO
      EDVLGHUNUOUPVJWJWDHSZGSZCSZWDWJVKVOJWEWHJWFWHJUHWGVIZHSGSZCSVJWNWGCGHVOWH
      WHUQVJWPWMCVJWOWDGHWOWOBSZASZVJWDWRWQWOWQATWOBTUSVJWRVQVOJVRVOJMWCVIZBSAS
      WDVJWOWSABIUTWCABVOVOVAUPVBUTVCVDWNWMWLWDWMCTWLGTWDHTVEVFVGVHUS @.
  @}
$)

  ${
    iscnrm3rlem1.1 $e |- ( ph -> S C_ X ) $.
    $( Lemma for ~ iscnrm3rlem2 .  The hypothesis could be generalized to
       ` ( ph -> ( S \ T ) C_ X ) ` .  (Contributed by Zhi Wang,
       5-Sep-2024.) $)
    iscnrm3rlem1 $p |- ( ph -> ( S \ T ) = ( S i^i ( X \ ( S i^i T ) ) ) ) $=
      ( cin cdif cun difindi ineq2i indi disjdif uneq1i 0un indif2 3eqtri df-ss
      c0 wss wceq sylib difeq1d eqtr2id ) ABDBCFGZFZBDFZCGZBCGUEBDBGZDCGZHZFBUH
      FZBUIFZHZUGUDUJBDBCIJBUHUIKUMRULHULUGUKRULBDLMULNBDCOPPAUFBCABDSUFBTEBDQU
      AUBUC $.
  $}

  ${
    $d J c $.  $d S c $.  $d T c $.
    iscnrm3rlem2.1 $e |- ( ph -> J e. Top ) $.
    iscnrm3rlem2.2 $e |- ( ph -> S C_ U. J ) $.
    $( Lemma for ~ iscnrm3rlem3 .  (Contributed by Zhi Wang, 5-Sep-2024.) $)
    iscnrm3rlem2 $p |- ( ph -> ( ( ( cls ` J ) ` S ) \ T ) e. ( Clsd ` ( J |`t
                       ( U. J \ ( ( ( cls ` J ) ` S ) i^i T ) ) ) ) ) $=
      ( vc ccl cfv cdif cuni cin crest co ccld wcel cv wceq wss syl2anc wrex wa
      ctop eqid clscld clsss3 iscnrm3rlem1 ineq1 rspceeqv difss restcld sylancl
      wb mpbird ) ABDHIIZCJZDDKZUOCLZJZMNOIPZUPGQZUSLZRGDOIZUAZADUCPZBUQSZVDEFV
      EVFUBZUOVCPUPUOUSLZRVDBDUQUQUDZUEVGUOCUQBDUQVIUFUGGUOVCVBVHUPVAUOUSUHUITT
      AVEUSUQSUTVDUMEUQURUJGUPUSDUQVIUKULUN $.
  $}

  $( Lemma for ~ iscnrm3r .  The designed subspace is a subset of the original
     set; the two sets are closed sets in the subspace.  (Contributed by Zhi
     Wang, 5-Sep-2024.) $)
  iscnrm3rlem3 $p |- ( ( J e. Top /\ ( S e. ~P U. J /\ T e. ~P U. J ) ) -> ( (
  U. J \ ( ( ( cls ` J ) ` S ) i^i ( ( cls ` J ) ` T ) ) ) e. ~P U. J /\ ( ( (
  cls ` J ) ` S ) \ ( ( cls ` J ) ` T ) ) e. ( Clsd ` ( J |`t ( U. J \ ( ( (
  cls ` J ) ` S ) i^i ( ( cls ` J ) ` T ) ) ) ) ) /\ ( ( ( cls ` J ) ` T ) \ (
  ( cls ` J ) ` S ) ) e. ( Clsd ` ( J |`t ( U. J \ ( ( ( cls ` J ) ` S ) i^i (
  ( cls ` J ) ` T ) ) ) ) ) ) ) $=
    ( ctop wcel cuni cpw wa ccl cfv cin cdif crest co ccld uniexg difssd elpwid
    cvv iscnrm3rlem2 sselpwd adantr simpl simprl simprr incom difeq2i eleqtrrdi
    oveq2i fveq2i 3jca ) CDEZACFZGZEZBUNEZHZHZUMACIJZJZBUSJZKZLZUNEZUTVALCVCMNZ
    OJZEVAUTLZVFEULVDUQULVCUMSCDPULUMVBQUAUBURAVACULUQUCZURAUMULUOUPUDRTURVGCUM
    VAUTKZLZMNZOJVFURBUTCVHURBUMULUOUPUERTVEVKOVCVJCMVBVIUMUTVAUFUGUIUJUHUK $.

  ${
    iscnrm3rlem4.1 $e |- ( ph -> J e. Top ) $.
    iscnrm3rlem4.2 $e |- ( ph -> S C_ U. J ) $.
    ${
      iscnrm3rlem4.3 $e |- ( ph -> ( S i^i T ) = (/) ) $.
      iscnrm3rlem4.4 $e |- ( ph -> ( ( ( cls ` J ) ` S ) \ T ) C_ N ) $.
      $( Lemma for ~ iscnrm3rlem8 .  Given two disjoint subsets ` S ` and ` T `
         of the underlying set of a topology ` J ` , if ` N ` is a superset of
         ` ( ( ( cls `` J ) `` S ) \ T ) ` , then it is a superset of ` S ` .
         (Contributed by Zhi Wang, 5-Sep-2024.) $)
      iscnrm3rlem4 $p |- ( ph -> S C_ N ) $=
        ( ccl cfv cdif cin wceq wss indifdi a1i c0 difeq2d df-ss dif0 ctop wcel
        eqtrdi cuni eqid sscls syl2anc sylib 3eqtrd sylibr sstrd ) ABBDJKKZCLZE
        ABUNMZBNBUNOAUOBUMMZBCMZLZUPBUOURNABUMCPQAURUPRLUPAUQRUPHSUPUAUDABUMOZU
        PBNADUBUCBDUEZOUSFGBDUTUTUFUGUHBUMTUIUJBUNTUKIUL $.
    $}

    iscnrm3rlem5.3 $e |- ( ph -> T C_ U. J ) $.
    $( Lemma for ~ iscnrm3rlem6 .  (Contributed by Zhi Wang, 5-Sep-2024.) $)
    iscnrm3rlem5 $p |- ( ph -> ( U. J \ ( ( ( cls ` J ) ` S )
                      i^i ( ( cls ` J ) ` T ) ) ) e. J ) $=
      ( ccl cfv cin ccld wcel cuni cdif ctop wss eqid clscld syl2anc incld syl
      cldopn ) ABDHIZIZCUCIZJZDKIZLZDMZUFNDLAUDUGLZUEUGLZUHADOLZBUIPUJEFBDUIUIQ
      ZRSAULCUIPUKEGCDUIUMRSUDUEDTSUFDUIUMUBUA $.

    ${
      iscnrm3rlem6.4 $e |- ( ph -> O C_ ( U. J \ ( ( ( cls ` J ) ` S )
                                   i^i ( ( cls ` J ) ` T ) ) ) ) $.
      $( Lemma for ~ iscnrm3rlem7 .  (Contributed by Zhi Wang, 5-Sep-2024.) $)
      iscnrm3rlem6 $p |- ( ph -> ( O e. ( J |`t ( U. J \ ( ( ( cls ` J ) ` S )
                           i^i ( ( cls ` J ) ` T ) ) ) ) <-> O e. J ) ) $=
        ( cuni ccl cfv cin cdif crest co wcel wss ctop wa iscnrm3rlem5 restopn2
        wb syl2anc mpbiran2d ) AEDDJBDKLZLCUFLMNZOPQZEDQZEUGRZIADSQUGDQUHUIUJTU
        CFABCDFGHUAUGEDUBUDUE $.
    $}

    iscnrm3rlem7.4 $e |- ( ph -> O e. ( J |`t ( U. J \ ( ( ( cls ` J ) ` S )
                           i^i ( ( cls ` J ) ` T ) ) ) ) ) $.
    $( Lemma for ~ iscnrm3rlem8 .  Open neighborhoods in the subspace topology
       are open neighborhoods in the original topology given that the subspace
       is an open set in the original topology.  (Contributed by Zhi Wang,
       5-Sep-2024.) $)
    iscnrm3rlem7 $p |- ( ph -> O e. J ) $=
      ( cuni ccl cfv cin cdif wcel ctop wss cvv syl2anc eqid co resttop eltopss
      crest uniexd difexd wceq difssd restuni sseqtrrd iscnrm3rlem6 mpbid ) AED
      DJZBDKLZLCUNLMZNZUDUAZOZEDOIABCDEFGHAEUQJZUPAUQPOZUREUSQADPOZUPROUTFAUMUO
      RADPFUEUFUPDRUBSIEUQUSUSTUCSAVAUPUMQUPUSUGFAUMUOUHUPDUMUMTUISUJUKUL $.
  $}

  ${
    $d J k l m n $.  $d S k l m n $.  $d T k l m n $.
    $( Lemma for ~ iscnrm3r .  Disjoint open neighborhoods in the subspace
       topology are disjoint open neighborhoods in the original topology given
       that the subspace is an open set in the original topology.  Therefore,
       given any two sets separated in the original topology and separated by
       open neighborhoods in the subspace topology, they must be separated by
       open neighborhoods in the original topology.  (Contributed by Zhi Wang,
       5-Sep-2024.) $)
    iscnrm3rlem8 $p |- ( ( J e. Top /\ ( S e. ~P U. J /\ T e. ~P U. J ) /\
    ( ( S i^i ( ( cls ` J ) ` T ) ) = (/) /\ ( ( ( cls ` J ) ` S ) i^i T )
    = (/) ) ) -> ( E. l e. ( J |`t ( U. J \ ( ( ( cls ` J ) ` S ) i^i
    ( ( cls ` J ) ` T ) ) ) ) E. k e. ( J |`t ( U. J \ ( ( ( cls ` J ) ` S )
    i^i ( ( cls ` J ) ` T ) ) ) ) ( ( ( ( cls ` J ) ` S ) \ ( ( cls ` J )
    ` T ) ) C_ l /\ ( ( ( cls ` J ) ` T ) \ ( ( cls ` J ) ` S ) ) C_ k
    /\ ( l i^i k ) = (/) ) -> E. n e. J E. m e. J ( S C_ n /\ T C_ m /\
    ( n i^i m ) = (/) ) ) ) $=
      ( wcel wa cfv cin c0 wceq w3a cdif cv wss sseq2 eqeq1d elpwid ctop cpw co
      cuni ccl crest ineq1 3anbi13d ineq2 3anbi23d simp12l simp12r iscnrm3rlem7
      simp11 simp2l simp2r simp13l simp31 iscnrm3rlem4 incom simp32 simp33 3jca
      simp13r eqtr3id iscnrm3lem7 ) FUAHZAFUDZUBZHZBVIHZIZABFUEJZJZKLMZAVMJZBKZ
      LMZIZNZVPVNOGPZQZVNVPOCPZQZWAWCKZLMZNZAEPZQZBDPZQZWHWJKZLMZNAWAQZWKWAWJKZ
      LMZNWNBWCQZWFNZGCEDFVHVPVNKOUFUCZWSFFWCWAWHWAMZWIWNWMWPWKWHWAARWTWLWOLWHW
      AWJUGSUHWJWCMZWKWQWPWFWNWJWCBRXAWOWELWJWCWAUISUJVTWAWSHZWCWSHZIZWGNZWAFHW
      CFHWRXEABFWAVGVLVSXDWGUNZXEAVHVJVKVGVSXDWGUKTZXEBVHVJVKVGVSXDWGULTZVTXBXC
      WGUOUMXEABFWCXFXGXHVTXBXCWGUPUMXEWNWQWFXEAVNFWAXFXGVOVRVGVLXDWGUQVTXDWBWD
      WFURUSXEBVPFWCXFXHXEBVPKVQLVPBUTVOVRVGVLXDWGVDVEVTXDWBWDWFVAUSVTXDWBWDWFV
      BVCVCVF $.

    $d J c d k l z $.  $d S c d k l z $.  $d T c d k l z $.
    $( Lemma for ~ iscnrm3 .  If all subspaces of a topology are normal, i.e.,
       two disjoint closed sets can be separated by open neighborhoods, then in
       the original topology two separated sets can be separated by open
       neighborhoods.  (Contributed by Zhi Wang, 5-Sep-2024.) $)
    iscnrm3r $p |- ( J e. Top -> ( A. z e. ~P U. J A. c e. ( Clsd ` ( J |`t z )
    ) A. d e. ( Clsd ` ( J |`t z ) ) ( ( c i^i d ) = (/) -> E. l e. ( J |`t z )
    E. k e. ( J |`t z ) ( c C_ l /\ d C_ k /\ ( l i^i k ) = (/) ) ) -> ( ( S e.
    ~P U. J /\ T e. ~P U. J ) -> ( ( ( S i^i ( ( cls ` J ) ` T ) ) = (/) /\ ( (
    ( cls ` J ) ` S ) i^i T ) = (/) ) -> E. n e. J E. m e. J ( S C_ n /\ T C_ m
    /\ ( n i^i m ) = (/) ) ) ) ) ) $=
      ( wcel cv cin c0 wceq wss w3a wrex wi cfv ctop crest co ccld wral cuni wa
      cpw ccl cdif oveq2 fveq2d rexeqdv rexeqbidv imbi2d raleqbidv rspcv ineq12
      3ad2ant1 eqeq1d simpl sseq1d simpr 3anbi12d 2rexbidv imbi12d rspc2gv syld
      3adant1 iscnrm3rlem3 3adant3 disjdifb iscnrm3rlem8 embantd iscnrm3lem4
      a1i ) GUAKZHLZILZMZNOZVRJLZPZVSDLZPZWBWDMNOZQZDGALZUBUCZRZJWIRZSZIWIUDTZU
      EZHWMUEZAGUFZUHZUEZBWQKCWQKUGZBCGUITZTZMNOBWTTZCMNOUGZBFLZPCELZPXDXEMNOQE
      GRFGRZWPXBXAMUJZWQKZXBXAUJZGXGUBUCZUDTZKZXAXBUJZXKKZQZXIXMMZNOZXIWBPZXMWD
      PZWFQZDXJRJXJRZSZXOWRWAWGDXJRZJXJRZSZIXKUEZHXKUEZYBXHXLWRYGSXNWOYGAXGWQWH
      XGOZWNYFHWMXKYHWIXJUDWHXGGUBUKZULZYHWLYEIWMXKYJYHWKYDWAYHWJYCJWIXJYIYHWGD
      WIXJYIUMUNUOUPUPUQUSXLXNYGYBSXHYEYBHIXIXMXKXKVRXIOZVSXMOZUGZWAXQYDYAYMVTX
      PNVRXIVSXMURUTYMWGXTJDXJXJYMWCXRWEXSWFYMVRXIWBYKYLVAVBYMVSXMWDYKYLVCVBVDV
      EVFVGVIVHVQWSXOXCBCGVJVKVQWSXCQZXQYAXFXQYNXBXAVLVPBCDEFGJVMVNVO $.
  $}

  $( Lemma for ~ iscnrm3l .  Closed sets in the subspace are subsets of the
     underlying set of the original topology.  (Contributed by Zhi Wang,
     4-Sep-2024.) $)
  iscnrm3llem1 $p  |- ( ( J e. Top
                         /\ ( Z e. ~P U. J
                            /\ C e. ( Clsd ` ( J |`t Z ) )
                            /\ D e. ( Clsd ` ( J |`t Z ) ) )
                         /\ ( C i^i D ) = (/) )
                      -> ( C e. ~P U. J
                         /\ D e. ~P U. J ) ) $=
    ( ctop wcel cuni cpw crest co ccld cfv w3a cin wceq eqidd restcls2lem sstrd
    c0 elpwd simp22 simp1 simp21 elpwid simp23 jca ) CEFZDCGZHZFZACDIJZKLZFZBUL
    FZMZABNSOZMZAUIFBUIFUQAUHULUGUJUMUNUPUAZUQADUHUQACUKUHDUGUOUPUBZUQUHPZUQDUH
    UGUJUMUNUPUCUDZUQUKPZURQVARTUQBUHULUGUJUMUNUPUEZUQBDUHUQBCUKUHDUSUTVAVBVCQV
    ARTUF $.

  ${
    $d C k l m n $.  $d D k l m n $.  $d J k l m n $.  $d Z k l m n $.
    $( Lemma for ~ iscnrm3l .  If there exist disjoint open neighborhoods in
       the original topology for two disjoint closed sets in a subspace, then
       they can be separated by open neighborhoods in the subspace topology.
       (Could shorten proof with ~ ssin0 .)  (Contributed by Zhi Wang,
       5-Sep-2024.) $)
    iscnrm3llem2 $p |- ( ( J e. Top /\ ( Z e. ~P U. J /\ C e. ( Clsd `
    ( J |`t Z ) ) /\ D e. ( Clsd ` ( J |`t Z ) ) ) /\ ( C i^i D ) = (/) )
    -> ( E. n e. J E. m e. J ( C C_ n /\ D C_ m /\ ( n i^i m ) = (/) )
    -> E. l e. ( J |`t Z ) E. k e. ( J |`t Z )
    ( C C_ l /\ D C_ k /\ ( l i^i k ) = (/) ) ) ) $=
      ( ctop wcel w3a cin c0 wceq cv wss sseq2 eqeq1d elrestr syl3anc cpw crest
      cuni co cfv ineq1 3anbi13d ineq2 3anbi23d wa simp11 simp121 simp2l simp2r
      simp31 eqidd elpwid simp122 restcls2lem ssind simp32 simp123 inss1 simp33
      ccld ss2in mp2an sseqtrid ss0 syl 3jca iscnrm3lem7 ) FIJZGFUCZUAZJZAFGUBU
      DZVEUEZJZBVRJZKZABLMNZKZAEOZPZBDOZPZWDWFLZMNZKZAHOZPZBCOZPZWKWMLZMNZKAWDG
      LZPZWNWQWMLZMNZKWRBWFGLZPZWQXALZMNZKZEDHCFFVQVQXAWQWKWQNZWLWRWPWTWNWKWQAQ
      XFWOWSMWKWQWMUFRUGWMXANZWNXBWTXDWRWMXABQXGWSXCMWMXAWQUHRUIWCWDFJZWFFJZUJZ
      WJKZWQVQJZXAVQJZXEXKVMVPXHXLVMWAWBXJWJUKZVPVSVTVMWBXJWJULZWCXHXIWJUMWDGFI
      VOSTXKVMVPXIXMXNXOWCXHXIWJUNWFGFIVOSTXKWRXBXDXKAWDGWCXJWEWGWIUOXKAFVQVNGX
      NXKVNUPZXKGVNXOUQZXKVQUPZVPVSVTVMWBXJWJURUSUTXKBWFGWCXJWEWGWIVAXKBFVQVNGX
      NXPXQXRVPVSVTVMWBXJWJVBUSUTXKXCMPXDXKWHXCMWQWDPXAWFPXCWHPWDGVCWFGVCWQWDXA
      WFVFVGWCXJWEWGWIVDVHXCVIVJVKVKVL $.

    $d C m n s t $.  $d D m n s t $.  $d J m n s t $.
    $( Lemma for ~ iscnrm3 .  Given a topology ` J ` , if two separated sets
       can be separated by open neighborhoods, then all subspaces of the
       topology ` J ` are normal, i.e., two disjoint closed sets can be
       separated by open neighborhoods.  (Contributed by Zhi Wang,
       5-Sep-2024.) $)
    iscnrm3l $p |- ( J e. Top -> ( A. s e. ~P U. J A. t e. ~P U. J
    ( ( ( s i^i ( ( cls ` J ) ` t ) ) = (/) /\ ( ( ( cls ` J ) ` s ) i^i t )
    = (/) ) -> E. n e. J E. m e. J ( s C_ n /\ t C_ m /\ ( n i^i m ) = (/) ) )
    -> ( ( Z e. ~P U. J /\ C e. ( Clsd ` ( J |`t Z ) ) /\
    D e. ( Clsd ` ( J |`t Z ) ) ) -> ( ( C i^i D ) = (/) -> E. l e. ( J |`t Z )
    E. k e. ( J |`t Z ) ( C C_ l /\ D C_ k /\ ( l i^i k ) = (/) ) ) ) ) ) $=
      ( cv cfv cin c0 wceq wa wss w3a wrex wcel ccl ctop cuni cpw crest co ccld
      simpl fveq2d ineq12d eqeq1d anbi12d sseq1d 3anbi12d 2rexbidv iscnrm3llem1
      simpr simp1 eqidd simp21 elpwid simp3 restclssep iscnrm3llem2 iscnrm3lem5
      simp22 simp23 embantd ) IKZAKZGUALZLZMZNOZVIVKLZVJMZNOZPBCVKLZMZNOZBVKLZC
      MZNOZPZVIFKZQZVJEKZQZWEWGMNOZRZEGSFGSBWEQZCWGQZWIRZEGSFGSZGUBTZHGUCZUDZTZ
      BGHUEUFZUGLZTZCWTTZRZBCMNOZBJKZQCDKZQXEXFMNORDWSSJWSSZIABCWQWQVIBOZVJCOZP
      ZVNVTVQWCXJVMVSNXJVIBVLVRXHXIUHZXJVJCVKXHXIUQZUIUJUKXJVPWBNXJVOWAVJCXJVIB
      VKXKUIXLUJUKULXJWJWMFEGGXJWFWKWHWLWIXJVIBWEXKUMXJVJCWGXLUMUNUOBCGHUPWOXCX
      DRZWDWNXGXMBCGWSWPHWOXCXDURXMWPUSXMHWPWOWRXAXBXDUTVAXMWSUSWOWRXAXBXDVFWOX
      CXDVBWOWRXAXBXDVGVCBCDEFGHJVDVHVE $.
  $}

  ${
    $d J c d k l m n s t z $.
    $( A completely normal topology is a topology in which two separated sets
       can be separated by open neighborhoods.  (Contributed by Zhi Wang,
       5-Sep-2024.) $)
    iscnrm3 $p |- ( J e. CNrm <-> ( J e. Top /\ A. s e. ~P U. J A. t e. ~P U. J
    ( ( ( s i^i ( ( cls ` J ) ` t ) ) = (/) /\ ( ( ( cls ` J ) ` s ) i^i t ) =
    (/) ) -> E. n e. J E. m e. J ( s C_ n /\ t C_ m /\ ( n i^i m ) = (/) ) ) )
    ) $=
      ( vz vc vd vl vk wcel cv wral wa cfv cin c0 wceq wss wrex ccnrm ctop cnrm
      crest cuni cpw ccl w3a eqid iscnrm ccld iscnrm3lem1 isnrm3 ralbii bitr4di
      co wi iscnrm3r iscnrm3l iscnrm3lem2 bitr3d pm5.32i bitri ) DUAKDUBKZDFLZU
      DUPZUCKZFDUEZUFZMZNVDELZALZDUGOZOPQRVKVMOVLPQRNVKCLZSVLBLZSVNVOPQRUHBDTCD
      TUQZAVIMEVIMZNFDVHVHUIUJVDVJVQVDGLZHLZPQRVRILZSVSJLZSVTWAPQRUHJVFTIVFTUQZ
      HVFUKOZMGWCMZFVIMZVJVQVDWEVFUBKWDNZFVIMVJWDFVIDULVGWFFVIIJVFGHUMUNUOVDWBV
      PFGHEAVIWCWCVIVIFVKVLJBCDGHIURAVRVSJBCDVEEIUSUTVAVBVC $.
  $}

  ${
    $d J m n s t $.
    $( A topology is completely normal iff two separated sets can be separated
       by open neighborhoods.  (Contributed by Zhi Wang, 10-Sep-2024.) $)
    iscnrm3v $p |- ( J e. Top -> ( J e. CNrm <-> A. s e. ~P U. J A. t e.
    ~P U. J ( ( ( s i^i ( ( cls ` J ) ` t ) ) = (/) /\ ( ( ( cls ` J ) ` s )
    i^i t ) = (/) ) -> E. n e. J E. m e. J ( s C_ n /\ t C_ m /\ ( n i^i m ) =
    (/) ) ) ) ) $=
      ( ccnrm wcel ctop cv ccl cfv cin c0 wceq wa wss w3a wrex wi wral cuni cpw
      iscnrm3 baib ) DFGDHGEIZAIZDJKZKLMNUEUGKUFLMNOUECIZPUFBIZPUHUILMNQBDRCDRS
      ADUAUBZTEUJTABCDEUCUD $.

    $( A completely normal topology is a topology in which two separated sets
       can be separated by neighborhoods.  (Contributed by Zhi Wang,
       5-Sep-2024.) $)
    iscnrm4 $p |- ( J e. CNrm <-> ( J e. Top /\ A. s e. ~P U. J A. t e. ~P U. J
    ( ( ( s i^i ( ( cls ` J ) ` t ) ) = (/) /\ ( ( ( cls ` J ) ` s ) i^i t ) =
    (/) ) -> E. n e. ( ( nei ` J ) ` s ) E. m e. ( ( nei ` J ) ` t )
    ( n i^i m ) = (/) ) ) ) $=
      ( ccnrm wcel ctop cv ccl cfv cin c0 wceq wa wss w3a wrex wi wral cuni cpw
      cnei iscnrm3 id sepnsepo imbi2d 2ralbidv pm5.32i bitr4i ) DFGDHGZEIZAIZDJ
      KZKLMNULUNKUMLMNOZULCIZPUMBIZPUPUQLMNZQBDRCDRZSZADUAUBZTEVATZOUKUOURBUMDU
      CKZKRCULVCKRZSZAVATEVATZOABCDEUDUKVFVBUKVEUTEAVAVAUKVDUSUOUKCBULUMDUKUEUF
      UGUHUIUJ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Preordered sets and directed sets using extensible structures
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d K x y z $.  $d ph x y z $.
    isprsd.b $e |- ( ph -> B = ( Base ` K ) ) $.
    isprsd.l $e |- ( ph -> .<_ = ( le ` K ) ) $.
    isprsd.k $e |- ( ph -> K e. V ) $.
    $( Property of being a preordered set (deduction form).  (Contributed by
       Zhi Wang, 18-Sep-2024.) $)
    isprsd $p |- ( ph -> ( K e. Proset <-> A. x e. B A. y e. B A. z e. B
           ( x .<_ x /\ ( ( x .<_ y /\ y .<_ z ) -> x .<_ z ) ) ) ) $=
      ( wcel cv cfv wbr wa wi wral breqd raleqbidv cproset cple cbs cvv wb eqid
      elexd isprs baib syl anbi12d imbi12d bitr4d ) AFUALZBMZUOFUBNZOZUOCMZUPOZ
      URDMZUPOZPZUOUTUPOZQZPZDFUCNZRZCVFRZBVFRZUOUOGOZUOURGOZURUTGOZPZUOUTGOZQZ
      PZDERZCERZBERAFUDLZUNVIUEAFHKUGUNVSVIBCDVFFUPVFUFUPUFUHUIUJAVRVHBEVFIAVQV
      GCEVFIAVPVEDEVFIAVJUQVOVDAGUPUOUOJSAVMVBVNVCAVKUSVLVAAGUPUOURJSAGUPURUTJS
      UKAGUPUOUTJSULUKTTTUM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Posets and lattices using extensible structures
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Posets
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d .<_ x y z $.  $d B x y z $.  $d K x y z $.  $d S x y z $.
    lubeldm2.b $e |- B = ( Base ` K ) $.
    lubeldm2.l $e |- .<_ = ( le ` K ) $.
    ${
      lubeldm2.u $e |- U = ( lub ` K ) $.
      lubeldm2.p $e |- ( ps
   <-> ( A. y e. S y .<_ x /\ A. z e. B ( A. y e. S y .<_ z -> x .<_ z ) ) ) $.
      lubeldm2.k $e |- ( ph -> K e. Poset ) $.
      $( Member of the domain of the least upper bound function of a poset.
         (Contributed by Zhi Wang, 26-Sep-2024.) $)
      lubeldm2 $p |- ( ph -> ( S e. dom U <-> ( S C_ B /\ E. x e. B ps ) ) ) $=
        ( wcel wa cv wbr wral cdm wss wrex cpo lubeldm biimpa reurex anim2i syl
        wreu simpl simprl wrmo poslubmo sylan rmobii sylibr anim1ci reu5 anasss
        wi biimpar syl12anc impbida ) AGHUAPZGFUBZBCFUCZQZAVEQVFBCFUJZQZVHAVEVJ
        ABCDEFGHIJUDKLMNOUEZUFVIVGVFBCFUGUHUIAVHQAVFVIVEAVHUKAVFVGULAVFVGVIAVFQ
        ZVGQVGBCFUMZQVIVLVMVGVLDRZCRZJSDGTVNERZJSDGTVOVPJSVAEFTQZCFUMZVMAIUDPVF
        VROCDEFGIJLKUNUOBVQCFNUPUQURBCFUSUQUTAVEVJVKVBVCVD $.
    $}

    ${
      glbeldm2.g $e |- G = ( glb ` K ) $.
      glbeldm2.p $e |- ( ps
   <-> ( A. y e. S x .<_ y /\ A. z e. B ( A. y e. S z .<_ y -> z .<_ x ) ) ) $.
      glbeldm2.k $e |- ( ph -> K e. Poset ) $.
      $( Member of the domain of the greatest lower bound function of a poset.
         (Contributed by Zhi Wang, 26-Sep-2024.) $)
      glbeldm2 $p |- ( ph -> ( S e. dom G <-> ( S C_ B /\ E. x e. B ps ) ) ) $=
        ( wcel wa cv wbr wral cdm wss wrex cpo glbeldm biimpa reurex anim2i syl
        wreu simpl simprl wrmo posglbmo sylan rmobii sylibr anim1ci reu5 anasss
        wi biimpar syl12anc impbida ) AGHUAPZGFUBZBCFUCZQZAVEQVFBCFUJZQZVHAVEVJ
        ABCDEFGHIJUDKLMNOUEZUFVIVGVFBCFUGUHUIAVHQAVFVIVEAVHUKAVFVGULAVFVGVIAVFQ
        ZVGQVGBCFUMZQVIVLVMVGVLCRZDRZJSDGTERZVOJSDGTVPVNJSVAEFTQZCFUMZVMAIUDPVF
        VROCDEFGIJLKUNUOBVQCFNUPUQURBCFUSUQUTAVEVJVKVBVCVD $.
    $}
  $}

  ${
    $d K x y z $.  $d S x y z $.  $d ph x y z $.
    lubeldm2d.b $e |- ( ph -> B = ( Base ` K ) ) $.
    lubeldm2d.l $e |- ( ph -> .<_ = ( le ` K ) ) $.
    ${
      lubeldm2d.u $e |- ( ph -> U = ( lub ` K ) ) $.
      lubeldm2d.p $e |- ( ( ph /\ x e. B ) -> ( ps <-> ( A. y e. S y .<_ x /\
                      A. z e. B ( A. y e. S y .<_ z -> x .<_ z ) ) ) ) $.
      lubeldm2d.k $e |- ( ph -> K e. Poset ) $.
      $( Member of the domain of the least upper bound function of a poset.
         (Contributed by Zhi Wang, 28-Sep-2024.) $)
      lubeldm2d $p |- ( ph -> ( S e. dom U
                <-> ( S C_ B /\ E. x e. B ps ) ) ) $=
        ( cfv wcel wbr wral wa club cdm cbs wss cv cple wrex eqid biid lubeldm2
        wi dmeqd eleq2d sseq2d wb breqd ralbidv imbi12d raleqbidv anbi12d bitrd
        adantr pm5.32da anbi1d rexbidv2 3bitr4d ) AGIUAPZUBZQGIUCPZUDZDUEZCUEZI
        UFPZRZDGSZVKEUEZVMRZDGSZVLVPVMRZUKZEVISZTZCVIUGZTGHUBZQGFUDZBCFUGZTAWBC
        DEVIGVGIVMVIUHVMUHVGUHWBUIOUJAWDVHGAHVGMULUMAWEVJWFWCAFVIGKUNABWBCFVIAV
        LFQZBTWGWBTVLVIQZWBTAWGBWBAWGTBVKVLJRZDGSZVKVPJRZDGSZVLVPJRZUKZEFSZTZWB
        NAWPWBUOWGAWJVOWOWAAWIVNDGAJVMVKVLLUPUQAWNVTEFVIKAWLVRWMVSAWKVQDGAJVMVK
        VPLUPUQAJVMVLVPLUPURUSUTVBVAVCAWGWHWBAFVIVLKUMVDVAVEUTVF $.
    $}

    ${
      glbeldm2d.g $e |- ( ph -> G = ( glb ` K ) ) $.
      glbeldm2d.p $e |- ( ( ph /\ x e. B ) -> ( ps <-> ( A. y e. S x .<_ y /\
                      A. z e. B ( A. y e. S z .<_ y -> z .<_ x ) ) ) ) $.
      glbeldm2d.k $e |- ( ph -> K e. Poset ) $.
      $( Member of the domain of the greatest lower bound function of a poset.
         (Contributed by Zhi Wang, 29-Sep-2024.) $)
      glbeldm2d $p |- ( ph -> ( S e. dom G
              <-> ( S C_ B /\ E. x e. B ps ) ) ) $=
        ( cfv wcel wbr wral wa cglb cdm cbs wss cv cple wrex eqid biid glbeldm2
        wi dmeqd eleq2d sseq2d wb breqd ralbidv imbi12d raleqbidv anbi12d bitrd
        adantr pm5.32da anbi1d rexbidv2 3bitr4d ) AGIUAPZUBZQGIUCPZUDZCUEZDUEZI
        UFPZRZDGSZEUEZVLVMRZDGSZVPVKVMRZUKZEVISZTZCVIUGZTGHUBZQGFUDZBCFUGZTAWBC
        DEVIGVGIVMVIUHVMUHVGUHWBUIOUJAWDVHGAHVGMULUMAWEVJWFWCAFVIGKUNABWBCFVIAV
        KFQZBTWGWBTVKVIQZWBTAWGBWBAWGTBVKVLJRZDGSZVPVLJRZDGSZVPVKJRZUKZEFSZTZWB
        NAWPWBUOWGAWJVOWOWAAWIVNDGAJVMVKVLLUPUQAWNVTEFVIKAWLVRWMVSAWKVQDGAJVMVP
        VLLUPUQAJVMVPVKLUPURUSUTVBVAVCAWGWHWBAFVIVKKUMVDVAVEUTVF $.
    $}
  $}

  ${
    $d G x y z $.  $d K x y z $.  $d S x y z $.  $d T x y z $.  $d U x y z $.
    $d ph x y z $.
    lubsscl.k $e |- ( ph -> K e. Poset ) $.
    lubsscl.t $e |- ( ph -> T C_ S ) $.
    ${
      lubsscl.u $e |- U = ( lub ` K ) $.
      lubsscl.s $e |- ( ph -> S e. dom U ) $.
      lubsscl.x $e |- ( ph -> ( U ` S ) e. T ) $.
      $( If a subset of ` S ` contains the LUB of ` S ` , then the two sets
         have the same LUB. (Contributed by Zhi Wang, 26-Sep-2024.) $)
      lubsscl $p |- ( ph -> ( T e. dom U /\ ( U ` T ) = ( U ` S ) ) ) $=
        ( vy vx vz wcel cfv cv wbr wral wa cpo cdm wceq cbs wss cple wi lubelss
        wrex eqid sstrd sseldd adantr sselda luble ralrimiva w3a breq1 3ad2ant1
        simp3 rspcdva 3expia breq2 ralbidv imbi2d rspcev syl12anc biid lubeldm2
        anbi12d mpbir2and poslubd jca ) ACDUAZNZCDOBDOZUBAVNCEUCOZUDKPZLPZEUEOZ
        QZKCRZVQMPZVSQZKCRZVRWBVSQZUFZMVPRZSZLVPUHZACBVPGAVPBDEVSTVPUIZVSUIZHFI
        UGUJZAVOVPNVQVOVSQZKCRZWDVOWBVSQZUFZMVPRZWIACVPVOWLJUKZAWMKCAVQCNZSVPBD
        EVSTVQWJWKHAETNWSFULABVMNWSIULACBVQGUMUNZUOAWPMVPAWBVPNZWDWOAXAWDUPWCWO
        KCVOVQVOWBVSUQAXAWDUSAXAVOCNWDJURUTZVAUOWHWNWQSLVOVPVRVOUBZWAWNWGWQXCVT
        WMKCVRVOVQVSVBVCXCWFWPMVPXCWEWOWDVRVOWBVSUQVDVCVIVEVFAWHLKMVPCDEVSWJWKH
        WHVGFVHVJAKMVPCVODEVSWKWJHFWLWRWTXBVKVL $.
    $}

    ${
      glbsscl.g $e |- G = ( glb ` K ) $.
      glbsscl.s $e |- ( ph -> S e. dom G ) $.
      glbsscl.x $e |- ( ph -> ( G ` S ) e. T ) $.
      $( If a subset of ` S ` contains the GLB of ` S ` , then the two sets
         have the same GLB. (Contributed by Zhi Wang, 26-Sep-2024.) $)
      glbsscl $p |- ( ph -> ( T e. dom G /\ ( G ` T ) = ( G ` S ) ) ) $=
        ( vx vy vz wcel cfv wceq cv wbr wral wa cdm cbs wss cple wi cpo glbelss
        wrex eqid sstrd sseldd adantr sselda glble ralrimiva w3a breq2 3ad2ant1
        simp3 rspcdva 3expia breq1 ralbidv imbi2d rspcev syl12anc biid glbeldm2
        anbi12d mpbir2and eqidd cglb a1i posglbdg jca ) ACDUAZNZCDOBDOZPAVQCEUB
        OZUCKQZLQZEUDOZRZLCSZMQZWAWBRZLCSZWEVTWBRZUEZMVSSZTZKVSUHZACBVSGAVSBDEW
        BUFVSUIZWBUIZHFIUGUJZAVRVSNVRWAWBRZLCSZWGWEVRWBRZUEZMVSSZWLACVSVRWOJUKZ
        AWPLCAWACNZTVSBDEWBUFWAWMWNHAEUFNXBFULABVPNXBIULACBWAGUMUNZUOAWSMVSAWEV
        SNZWGWRAXDWGUPWFWRLCVRWAVRWEWBUQAXDWGUSAXDVRCNWGJURUTZVAUOWKWQWTTKVRVSV
        TVRPZWDWQWJWTXFWCWPLCVTVRWAWBVBVCXFWIWSMVSXFWHWRWGVTVRWEWBUQVDVCVIVEVFA
        WKKLMVSCDEWBWMWNHWKVGFVHVJALMVSCVRDEWBWNAVSVKDEVLOPAHVMFWOXAXCXEVNVO $.
    $}
  $}

  ${
    $d .<_ z $.  $d B z $.  $d X z $.  $d Y z $.
    lubpr.k $e |- ( ph -> K e. Poset ) $.
    lubpr.b $e |- B = ( Base ` K ) $.
    lubpr.x $e |- ( ph -> X e. B ) $.
    lubpr.y $e |- ( ph -> Y e. B ) $.
    lubpr.l $e |- .<_ = ( le ` K ) $.
    lubpr.c $e |- ( ph -> X .<_ Y ) $.
    lubpr.s $e |- ( ph -> S = { X , Y } ) $.
    ${
      lubpr.u $e |- U = ( lub ` K ) $.
      $( Lemma for ~ lubprdm and ~ lubpr .  (Contributed by Zhi Wang,
         26-Sep-2024.) $)
      lubprlem $p |- ( ph -> ( S e. dom U /\ ( U ` S ) = Y ) ) $=
        ( vz wcel cfv wbr cdm wceq cpr cv breq1 elrabd cpo posref syl2anc prssd
        crab lublecl prid2g syl eqeltrd lubsscl simpld fveq2d simprd 3eqtrd jca
        lubid ) ACDUAZRCDSZHUBACGHUCZVCOAVEVCRZVEDSZQUDZHFTZQBUKZDSZUBZAVJVEDEI
        AGHVJAVIGHFTQGBVHGHFUEKNUFAVIHHFTZQHBVHHHFUELAEUGRHBRZVMILBEFHJMUHUIUFU
        JPAQBDEFHJMPILULAVKHVEAQBDEFHJMPILVBZAVNHVERLGHBUMUNUOUPZUQUOAVDVGVKHAC
        VEDOURAVFVLVPUSVOUTVA $.

      $( The set of two comparable elements in a poset has LUB. (Contributed by
         Zhi Wang, 26-Sep-2024.) $)
      lubprdm $p |- ( ph -> S e. dom U ) $=
        ( cdm wcel cfv wceq lubprlem simpld ) ACDQRCDSHTABCDEFGHIJKLMNOPUAUB $.

      $( The LUB of the set of two comparable elements in a poset is the
         greater one of the two.  (Contributed by Zhi Wang, 26-Sep-2024.) $)
      lubpr $p |- ( ph -> ( U ` S ) = Y ) $=
        ( cdm wcel cfv wceq lubprlem simprd ) ACDQRCDSHTABCDEFGHIJKLMNOPUAUB $.
    $}

    ${
      glbpr.g $e |- G = ( glb ` K ) $.
      $( Lemma for ~ glbprdm and ~ glbpr .  (Contributed by Zhi Wang,
         26-Sep-2024.) $)
      glbprlem $p |- ( ph -> ( S e. dom G /\ ( G ` S ) = X ) ) $=
        ( cdm wcel cfv cpo wceq codu club odupos syl odubas oduleval wbr brcnvg
        ccnv eqid syl2anc mpbird cpr prcom eqtrdi lubprdm odulub dmeqd eleqtrrd
        wb fveq1d lubpr eqtrd jca ) ACDQZRCDSZGUAACEUBSZUCSZQVFABCVIVHFUJZHGAET
        RZVHTRIVHEVHUKZUDUEZBVHEVLJUFZLKVHFEVLMUGZAHGVJUHZGHFUHZNAHBRGBRVPVQVAL
        KHGBBFUIULUMZACGHUNHGUNOGHUOUPZVIUKZUQADVIAVKDVIUAIVHDETVLPURUEZUSUTAVG
        CVISGACDVIWAVBABCVIVHVJHGVMVNLKVOVRVSVTVCVDVE $.

      $( The set of two comparable elements in a poset has GLB. (Contributed by
         Zhi Wang, 26-Sep-2024.) $)
      glbprdm $p |- ( ph -> S e. dom G ) $=
        ( cdm wcel cfv wceq glbprlem simpld ) ACDQRCDSGTABCDEFGHIJKLMNOPUAUB $.

      $( The GLB of the set of two comparable elements in a poset is the less
         one of the two.  (Contributed by Zhi Wang, 26-Sep-2024.) $)
      glbpr $p |- ( ph -> ( G ` S ) = X ) $=
        ( cdm wcel cfv wceq glbprlem simprd ) ACDQRCDSGTABCDEFGHIJKLMNOPUAUB $.
    $}
  $}

  ${
    $d ./\ w x y z $.  $d .\/ w x y z $.  $d .<_ v $.  $d B w x y z $.
    $d K v w z $.  $d ph x y $.  $d v w x y z $.
    joindm2.b $e |- B = ( Base ` K ) $.
    joindm2.k $e |- ( ph -> K e. V ) $.
    ${
      joindm2.u $e |- U = ( lub ` K ) $.
      joindm2.j $e |- .\/ = ( join ` K ) $.
      $( The join of any two elements always exists iff all unordered pairs
         have LUB. (Contributed by Zhi Wang, 25-Sep-2024.) $)
      joindm2 $p |- ( ph -> ( dom .\/ = ( B X. B )
                <-> A. x e. B A. y e. B { x , y } e. dom U ) ) $=
        ( cdm wss cv wcel wal wb a1i cvv cxp wceq cop wi cpr wral joindmss eqss
        baib syl wrel relxp ssrel wa opelxp vex joindef imbi12d 2albidv bitr4di
        mp1i r2al 3bitrd ) AFMZDDUAZUBZVEVDNZBOZCOZUCZVEPZVJVDPZUDZCQBQZVHVIUEE
        MPZCDUFBDUFZAVDVENZVFVGRADFGHILJUGVFVQVGVDVEUHUIUJVEUKVGVNRADDULBCVEVDU
        MVAAVNVHDPVIDPUNZVOUDZCQBQVPAVMVSBCAVKVRVLVOVKVRRAVHVIDDUOSAEFGHTVHVITK
        LJVHTPABUPSVITPACUPSUQURUSVOBCDDVBUTVC $.

      joindm3.l $e |- .<_ = ( le ` K ) $.
      $( The join of any two elements always exists iff all unordered pairs
         have LUB (expanded version).  (Contributed by Zhi Wang,
         25-Sep-2024.) $)
      joindm3 $p |- ( ph -> ( dom .\/ = ( B X. B ) <->
                A. x e. B A. y e. B E! z e. B ( ( x .<_ z /\ y .<_ z ) /\
                    A. w e. B ( ( x .<_ w /\ y .<_ w ) -> z .<_ w ) ) ) ) $=
        ( vv wral wbr wa cdm cxp wceq cv cpr wcel wi wreu joindm2 wss wb simprl
        simprr prssd biid lubeldm baibd syldan adantr joinval2lem reubidv bitrd
        adantl 2ralbidva ) AHUAFFUBUCBUDZCUDZUEZGUAUFZCFRBFRVEDUDZJSVFVIJSTVEEU
        DZJSVFVJJSTVIVJJSZUGEFRTZDFUHZCFRBFRABCFGHIKLMNOUIAVHVMBCFFAVEFUFZVFFUF
        ZTZTZVHQUDZVIJSQVGRVRVJJSQVGRVKUGEFRTZDFUHZVMAVPVGFUJZVHVTUKVQVEVFFAVNV
        OULZAVNVOUMZUNAVHWAVTAVSDQEFVGGIJKLPNVSUOMUPUQURVPVTVMUKAVPVSVLDFVQDQEF
        HIJKVEVFLPOAIKUFVPMUSWBWCUTVAVCVBVDVB $.
    $}

    ${
      meetdm2.g $e |- G = ( glb ` K ) $.
      meetdm2.m $e |- ./\ = ( meet ` K ) $.
      $( The meet of any two elements always exists iff all unordered pairs
         have GLB. (Contributed by Zhi Wang, 25-Sep-2024.) $)
      meetdm2 $p |- ( ph -> ( dom ./\ = ( B X. B )
                <-> A. x e. B A. y e. B { x , y } e. dom G ) ) $=
        ( cdm wss cv wcel wal wb a1i cvv cxp wceq cop wi cpr wral meetdmss eqss
        baib syl wrel relxp ssrel wa opelxp vex meetdef imbi12d 2albidv bitr4di
        mp1i r2al 3bitrd ) AGMZDDUAZUBZVEVDNZBOZCOZUCZVEPZVJVDPZUDZCQBQZVHVIUEE
        MPZCDUFBDUFZAVDVENZVFVGRADFGHILJUGVFVQVGVDVEUHUIUJVEUKVGVNRADDULBCVEVDU
        MVAAVNVHDPVIDPUNZVOUDZCQBQVPAVMVSBCAVKVRVLVOVKVRRAVHVIDDUOSAEFGHTVHVITK
        LJVHTPABUPSVITPACUPSUQURUSVOBCDDVBUTVC $.

      meetdm3.l $e |- .<_ = ( le ` K ) $.
      $( The meet of any two elements always exists iff all unordered pairs
         have GLB (expanded version).  (Contributed by Zhi Wang,
         25-Sep-2024.) $)
      meetdm3 $p |- ( ph -> ( dom ./\ = ( B X. B ) <->
                A. x e. B A. y e. B E! z e. B ( ( z .<_ x /\ z .<_ y ) /\
                    A. w e. B ( ( w .<_ x /\ w .<_ y ) -> w .<_ z ) ) ) ) $=
        ( vv wral wbr wa cdm cxp wceq cv cpr wcel wi wreu meetdm2 wss wb simprl
        simprr prssd biid glbeldm baibd syldan adantr meetval2lem reubidv bitrd
        adantl 2ralbidva ) AJUAFFUBUCBUDZCUDZUEZGUAUFZCFRBFRDUDZVEISVIVFISTEUDZ
        VEISVJVFISTVJVIISZUGEFRTZDFUHZCFRBFRABCFGHJKLMNOUIAVHVMBCFFAVEFUFZVFFUF
        ZTZTZVHVIQUDZISQVGRVJVRISQVGRVKUGEFRTZDFUHZVMAVPVGFUJZVHVTUKVQVEVFFAVNV
        OULZAVNVOUMZUNAVHWAVTAVSDQEFVGGHIKLPNVSUOMUPUQURVPVTVMUKAVPVSVLDFVQDQEF
        HIJKVEVFLPOAHKUFVPMUSWBWCUTVAVCVBVDVB $.
    $}
  $}

  ${
    posjidm.b $e |- B = ( Base ` K ) $.
    ${
      posjidm.j $e |- .\/ = ( join ` K ) $.
      $( Poset join is idempotent. ~ latjidm could be shortened by this.
         (Contributed by Zhi Wang, 27-Sep-2024.) $)
      posjidm $p |- ( ( K e. Poset /\ X e. B ) -> ( X .\/ X ) = X ) $=
        ( cpo wcel wa cpr club cfv eqid simpl simpr joinval cple posref eqidd
        co lubpr eqtrd ) CGHZDAHZIZDDBTDDJZCKLZLDUEUGBCGADDAUGMZFUCUDNZUCUDOZUJ
        PUEAUFUGCCQLZDDUIEUJUJUKMZACUKDEULRUEUFSUHUAUB $.
    $}

    ${
      posmidm.m $e |- ./\ = ( meet ` K ) $.
      $( Poset meet is idempotent. ~ latmidm could be shortened by this.
         (Contributed by Zhi Wang, 27-Sep-2024.) $)
      posmidm $p |- ( ( K e. Poset /\ X e. B ) -> ( X ./\ X ) = X ) $=
        ( cpo wcel wa cpr cglb cfv eqid simpl simpr meetval cple posref eqidd
        co glbpr eqtrd ) BGHZDAHZIZDDCTDDJZBKLZLDUEUGBCGADDAUGMZFUCUDNZUCUDOZUJ
        PUEAUFUGBBQLZDDUIEUJUJUKMZABUKDEULRUEUFSUHUAUB $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Lattices
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d K x y $.
    $( A toset is a lattice.  (Contributed by Zhi Wang, 26-Sep-2024.) $)
    toslat $p |- ( K e. Toset -> K e. Lat ) $=
      ( vx vy wcel cpo cfv cdm wceq wa cv cpr wral wbr ad2antrr simplrl simplrr
      eqid simpr lubprdm mpjaodan ctos cjn cbs cmee clat tospos club cple eqidd
      cxp prcom a1i tleile 3expb ralrimivva joindm2 mpbird cglb glbprdm meetdm2
      wo jca islat sylanbrc ) AUADZAEDZAUBFZGAUCFZVHUJZHZAUDFZGVIHZIAUEDAUFZVEV
      JVLVEVJBJZCJZKZAUGFZGDZCVHLBVHLVEVRBCVHVHVEVNVHDZVOVHDZIZIZVNVOAUHFZMZVRV
      OVNWCMZWBWDIZVHVPVQAWCVNVOVEVFWAWDVMNZVHQZVEVSVTWDOZVEVSVTWDPZWCQZWBWDRZW
      FVPUIZVQQZSWBWEIZVHVPVQAWCVOVNVEVFWAWEVMNZWHVEVSVTWEPZVEVSVTWEOZWKWBWERZV
      PVOVNKHWOVNVOUKULZWNSVEVSVTWDWEVAVHAWCVNVOWHWKUMUNZTUOVEBCVHVQVGAEWHVMWNV
      GQZUPUQVEVLVPAURFZGDZCVHLBVHLVEXDBCVHVHWBWDXDWEWFVHVPXCAWCVNVOWGWHWIWJWKW
      LWMXCQZUSWOVHVPXCAWCVOVNWPWHWQWRWKWSWTXEUSXATUOVEBCVHXCAVKEWHVMXEVKQZUTUQ
      VBVHVGAVKWHXBXFVCVD $.
  $}

  ${
    $d B s $.  $d G s $.  $d K t x y z $.  $d U s $.  $d ph s $.
    isclatd.b $e |- ( ph -> B = ( Base ` K ) ) $.
    isclatd.u $e |- ( ph -> U = ( lub ` K ) ) $.
    isclatd.g $e |- ( ph -> G = ( glb ` K ) ) $.
    isclatd.k $e |- ( ph -> K e. Poset ) $.
    isclatd.1 $e |- ( ( ph /\ s C_ B ) -> s e. dom U ) $.
    isclatd.2 $e |- ( ( ph /\ s C_ B ) -> s e. dom G ) $.
    $( The predicate "is a complete lattice" (deduction form).  (Contributed by
       Zhi Wang, 29-Sep-2024.) $)
    isclatd $p |- ( ph -> K e. CLat ) $=
      ( vy vx vt vz wcel cv wbr wral cpo club cfv cdm cbs cpw wceq cglb ccla wi
      cple wreu crab eqid biid lubdm ssrab2 eqsstrdi wss elpwi sylan2 ralrimiva
      wa dfss3 sylibr pweqd dmeqd 3sstr3d eqssd glbdm isclat biimpri syl12anc )
      AEUAQZEUBUCZUDZEUEUCZUFZUGZEUHUCZUDZVRUGZEUIQZJAVPVRAVPMRZNRZEUKUCZSMORZT
      WDPRZWFSMWGTWEWHWFSUJPVQTVCZNVQULZOVRUMVRAWINMPVQVOEWFUAOVQUNZWFUNZVOUNZW
      IUOJUPWJOVRUQURABUFZCUDZVRVPAFRZWOQZFWNTWNWOUSAWQFWNWPWNQZAWPBUSZWQWPBUTZ
      KVAVBFWNWOVDVEABVQGVFZACVOHVGVHVIAWAVRAWAWEWDWFSMWGTWHWDWFSMWGTWHWEWFSUJP
      VQTVCZNVQULZOVRUMVRAXBNMPVQVTEWFUAOWKWLVTUNZXBUOJVJXCOVRUQURAWNDUDZVRWAAW
      PXEQZFWNTWNXEUSAXFFWNWRAWSXFWTLVAVBFWNXEVDVEXAADVTIVGVHVIWCVNVSWBVCVCVQVO
      VTEWKWMXDVKVLVM $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Subset order structures
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A x y z $.  $d B x y z $.  $d C y z $.
    $( Existential uniqueness of the least upper bound.  (Contributed by Zhi
       Wang, 28-Sep-2024.) $)
    intubeu $p |- ( C e. B -> ( ( A C_ C /\ A. y e. B ( A C_ y -> C C_ y ) )
                 <-> C = |^| { x e. B | A C_ x } ) ) $=
      ( vz wcel wss cv wi wral crab cint wceq ssint sseq2 ralrab bitri biimpri
      wa adantl simpll simplr elrabd cbvrabv eleqtrdi intss1 eqssd expl ssintub
      syl mpbiri eqimss sylib jca impbid1 ) EDGZCEHZCBIZHZEUSHZJBDKZTECAIZHZADL
      ZMZNZUQURVBVGUQURTZVBTZEVFVBEVFHZVHVJVBVJVABVEKVBBEVEOVDUTVABADVCUSCPQRZS
      UAVIEVEGVFEHVIECFIZHZFDLVEVIVMURFEDVLECPUQURVBUBUQURVBUCUDVMVDFADVLVCCPUE
      UFEVEUGUKUHUIVGURVBVGURCVFHACDUJEVFCPULVGVJVBEVFUMVKUNUOUP $.

    $( Existential uniqueness of the greatest lower bound.  (Contributed by Zhi
       Wang, 29-Sep-2024.) $)
    unilbeu $p |- ( C e. B -> ( ( C C_ A /\ A. y e. B ( y C_ A -> y C_ C ) )
                 <-> C = U. { x e. B | x C_ A } ) ) $=
      ( vz wcel cv wi wral wa crab cuni wceq sseq1 simpll simplr elrabd cbvrabv
      wss eleqtrdi elssuni syl unissb ralrab bitri biimpri adantl eqssd unilbss
      expl mpbiri eqimss2 sylib jca impbid1 ) EDGZECTZBHZCTZUSETZIBDJZKEAHZCTZA
      DLZMZNZUQURVBVGUQURKZVBKZEVFVIEVEGEVFTVIEFHZCTZFDLVEVIVKURFEDVJECOUQURVBP
      UQURVBQRVKVDFADVJVCCOSUAEVEUBUCVBVFETZVHVLVBVLVABVEJVBBVEEUDVDUTVABADVCUS
      COUEUFZUGUHUIUKVGURVBVGURVFCTACDUJEVFCOULVGVLVBVFEUMVMUNUOUP $.
  $}

  ${
    ipolub.i $e |- I = ( toInc ` F ) $.
    ipolub.f $e |- ( ph -> F e. V ) $.
    ipolub.s $e |- ( ph -> S C_ F ) $.
    ${
      $d F y z $.  $d S y $.  $d X y z $.  $d ph y z $.
      ipolublem.l $e |- .<_ = ( le ` I ) $.
      $( Lemma for ~ ipolubdm and ~ ipolub .  (Contributed by Zhi Wang,
         28-Sep-2024.) $)
      ipolublem $p |- ( ( ph /\ X e. F )
            -> ( ( U. S C_ X /\ A. z e. F ( U. S C_ z -> X C_ z ) )
    <-> ( A. y e. S y .<_ X /\
        A. z e. F ( A. y e. S y .<_ z -> X .<_ z ) ) ) ) $=
        ( wcel wa wss wbr wral wb ad2antrr cuni cv wi unissb simpr sseldd ipole
        simplr syl3anc ralbidva bitr4id adantlr bicomd imbi12d anbi12d ) AIENZO
        ZDUAZIPZBUBZIGQZBDRZURCUBZPZIVCPZUCZCERUTVCGQZBDRZIVCGQZUCZCERUQUSUTIPZ
        BDRVBBDIUDUQVAVKBDUQUTDNZOZEHNZUTENZUPVAVKSAVNUPVLKTZVMDEUTADEPUPVLLTUQ
        VLUEUFZAUPVLUHEFGHUTIJMUGUIUJUKUQVFVJCEUQVCENZOZVDVHVEVIVSVDUTVCPZBDRVH
        BDVCUDVSVGVTBDVSVLOVNVOVRVGVTSUQVLVNVRVPULUQVLVOVRVQULUQVRVLUHEFGHUTVCJ
        MUGUIUJUKVSVIVEVSVNUPVRVIVESAVNUPVRKTAUPVRUHUQVRUEEFGHIVCJMUGUIUMUNUJUO
        $.
    $}

    ${
      $d F t v w x y z $.  $d I t v w y z $.  $d S t v w x y z $.
      $d U v w y z $.  $d T t v w y z $.  $d ph t v w y z $.
      ipolub.u $e |- ( ph -> U = ( lub ` I ) ) $.
      ipolubdm.t $e |- ( ph -> T = |^| { x e. F | U. S C_ x } ) $.
      $( The domain of the LUB of the inclusion poset.  (Contributed by Zhi
         Wang, 28-Sep-2024.) $)
      ipolubdm $p |- ( ph -> ( S e. dom U <-> T e. F ) ) $=
        ( vt vz wcel cv wss wa wceq vy cdm cuni wi wral wrex cfv cbs ipobas syl
        cple eqidd eqid ipolublem cpo a1i lubeldm2d mpbirand crab cint ad2antrr
        ipopos intubeu biimpa adantll eqtr4d eqeltrd simpr biimparc sylan sseq2
        simplr ex sseq1 imbi2d ralbidv anbi12d rspceb2dv bitrd ) ACEUBPZCUCZNQZ
        RZWAOQZRZWBWDRZUDZOFUEZSZNFUFZDFPZAVTCFRWJKAWINUAOFCEGGUKUGZAFHPFGUHUGT
        JFGHIUIUJAWLULLAUAOCFGWLHWBIJKWLUMUNGUOPAFGIVBUPUQURAWIWKWADRZWEDWDRZUD
        ZOFUEZSZNDFAWBFPZSZWIWKWSWISZDWBFWTDWABQRBFUSUTZWBADXATZWRWIMVAWRWIWBXA
        TZAWRWIXCBOWAFWBVCVDVEVFAWRWIVLVGVMAWKVHAXBWKWQMWKWQXBBOWAFDVCVIVJWBDTZ
        WCWMWHWPWBDWAVKXDWGWOOFXDWFWNWEWBDWDVNVOVPVQVRVS $.

      ipolub.t $e |- ( ph -> T e. F ) $.
      $( The LUB of the inclusion poset.  (hypotheses "ipolub.s" and "ipolub.t"
         could be eliminated with ` S e. dom U ` .)  Could be significantly
         shortened if ~ poslubdg is in quantified form. ~ mrelatlub could
         potentially be shortened using this.  See ~ mrelatlubALT .
         (Contributed by Zhi Wang, 28-Sep-2024.) $)
      ipolub $p |- ( ph -> ( U ` S ) = T ) $=
        ( vw vv wcel cv wbr wral vy vz cple cfv eqid cbs wceq ipobas syl ipopos
        cpo a1i wa breq1 wi cuni crab cint intubeu biimpar syl2anc wb ipolublem
        mpdan mpbid simpld adantr simpr rspcdva ralbidv cbvralvw bitrdi imbi12d
        wss breq2 simprd 3impia poslubdg ) AUAUBFCDEGGUCUDZVSUEZAFHQFGUFUDUGJFG
        HIUHUILGUKQAFGIUJULKNAUARZCQZUMORZDVSSZWADVSSOCWAWCWADVSUNAWDOCTZWBAWEW
        CPRZVSSZOCTZDWFVSSZUOZPFTZACUPZDVNWLWFVNDWFVNUOPFTUMZWEWKUMZADFQZDWLBRV
        NBFUQURUGZWMNMWOWMWPBPWLFDUSUTVAAWOWMWNVBNAOPCFGVSHDIJKVTVCVDVEZVFVGAWB
        VHVIAUBRZFQZWAWRVSSZUACTZDWRVSSZAWSUMWJXAXBUOPFWRWFWRUGZWHXAWIXBXCWHWCW
        RVSSZOCTXAXCWGXDOCWFWRWCVSVOVJXDWTOUACWCWAWRVSUNVKVLWFWRDVSVOVMAWKWSAWE
        WKWQVPVGAWSVHVIVQVR $.
    $}

    ${
      $d F y z $.  $d S y $.  $d X y z $.  $d ph y z $.
      ipoglblem.l $e |- .<_ = ( le ` I ) $.
      $( Lemma for ~ ipoglbdm and ~ ipoglb .  (Contributed by Zhi Wang,
         29-Sep-2024.) $)
      ipoglblem $p |- ( ( ph /\ X e. F )
            -> ( ( X C_ |^| S /\ A. z e. F ( z C_ |^| S -> z C_ X ) )
    <-> ( A. y e. S X .<_ y /\
        A. z e. F ( A. y e. S z .<_ y -> z .<_ X ) ) ) ) $=
        ( wcel wa wss wbr wral wb ad2antrr cint cv wi ssint simplr simpr sseldd
        ipole syl3anc ralbidva bitr4id adantlr bicomd imbi12d anbi12d ) AIENZOZ
        IDUAZPZIBUBZGQZBDRZCUBZURPZVCIPZUCZCERVCUTGQZBDRZVCIGQZUCZCERUQUSIUTPZB
        DRVBBIDUDUQVAVKBDUQUTDNZOZEHNZUPUTENZVAVKSAVNUPVLKTZAUPVLUEVMDEUTADEPUP
        VLLTUQVLUFUGZEFGHIUTJMUHUIUJUKUQVFVJCEUQVCENZOZVDVHVEVIVSVDVCUTPZBDRVHB
        VCDUDVSVGVTBDVSVLOVNVRVOVGVTSUQVLVNVRVPULUQVRVLUEUQVLVOVRVQULEFGHVCUTJM
        UHUIUJUKVSVIVEVSVNVRUPVIVESAVNUPVRKTUQVRUFAUPVRUEEFGHVCIJMUHUIUMUNUJUO
        $.
    $}

    ${
      $d F t v w x y z $.  $d I t v w y z $.  $d S t v w x y z $.
      $d G v w y z $.  $d T t v w y z $.  $d ph t v w y z $.
      ipoglb.g $e |- ( ph -> G = ( glb ` I ) ) $.
      ipoglbdm.t $e |- ( ph -> T = U. { x e. F | x C_ |^| S } ) $.
      $( The domain of the GLB of the inclusion poset.  (Contributed by Zhi
         Wang, 29-Sep-2024.) $)
      ipoglbdm $p |- ( ph -> ( S e. dom G <-> T e. F ) ) $=
        ( vw vz wcel cv wss wa wceq vy cdm cint wi wral wrex cfv cbs ipobas syl
        cple eqidd eqid ipoglblem cpo a1i glbeldm2d mpbirand crab cuni ad2antrr
        ipopos unilbeu biimpa adantll eqtr4d eqeltrd simpr biimparc sylan sseq1
        simplr ex sseq2 imbi2d ralbidv anbi12d rspceb2dv bitrd ) ACFUBPZNQZCUCZ
        RZOQZWBRZWDWARZUDZOEUEZSZNEUFZDEPZAVTCERWJKAWINUAOECFGGUKUGZAEHPEGUHUGT
        JEGHIUIUJAWLULLAUAOCEGWLHWAIJKWLUMUNGUOPAEGIVBUPUQURAWIWKDWBRZWEWDDRZUD
        ZOEUEZSZNDEAWAEPZSZWIWKWSWISZDWAEWTDBQWBRBEUSUTZWAADXATZWRWIMVAWRWIWAXA
        TZAWRWIXCBOWBEWAVCVDVEVFAWRWIVLVGVMAWKVHAXBWKWQMWKWQXBBOWBEDVCVIVJWADTZ
        WCWMWHWPWADWBVKXDWGWOOEXDWFWNWEWADWDVNVOVPVQVRVS $.

      ipoglb.t $e |- ( ph -> T e. F ) $.
      $( The GLB of the inclusion poset.  (hypotheses "ipolub.s" and "ipoglb.t"
         could be eliminated with ` S e. dom G ` .)  Could be significantly
         shortened if ~ posglbdg is in quantified form. ~ mrelatglb could
         potentially be shortened using this.  See ~ mrelatglbALT .
         (Contributed by Zhi Wang, 29-Sep-2024.) $)
      ipoglb $p |- ( ph -> ( G ` S ) = T ) $=
        ( vy vz wcel cv wbr wral vv vw cple cfv eqid cbs wceq ipobas syl ipopos
        cpo a1i wa breq2 wi cint crab cuni unilbeu biimpar syl2anc wb ipoglblem
        mpdan mpbid simpld adantr simpr rspcdva ralbidv cbvralvw bitrdi imbi12d
        wss breq1 simprd 3impia posglbdg ) AUAUBECDFGGUCUDZVSUEZAEHQEGUFUDUGJEG
        HIUHUILGUKQAEGIUJULKNAUARZCQZUMDORZVSSZDWAVSSOCWAWCWADVSUNAWDOCTZWBAWEP
        RZWCVSSZOCTZWFDVSSZUOZPETZADCUPZVNWFWLVNWFDVNUOPETUMZWEWKUMZADEQZDBRWLV
        NBEUQURUGZWMNMWOWMWPBPWLEDUSUTVAAWOWMWNVBNAOPCEGVSHDIJKVTVCVDVEZVFVGAWB
        VHVIAUBRZEQZWRWAVSSZUACTZWRDVSSZAWSUMWJXAXBUOPEWRWFWRUGZWHXAWIXBXCWHWRW
        CVSSZOCTXAXCWGXDOCWFWRWCVSVOVJXDWTOUACWCWAWRVSUNVKVLWFWRDVSVOVMAWKWSAWE
        WKWQVPVGAWSVHVIVQVR $.
    $}
  $}

  ${
    $d F x y z $.  $d G x y z $.  $d I x y z $.  $d U x y z $.  $d V x y z $.
    ipoglb0.i $e |- I = ( toInc ` F ) $.
    ${
      ipolub0.u $e |- ( ph -> U = ( lub ` I ) ) $.
      ipolub0.f $e |- ( ph -> |^| F e. F ) $.
      ipolub0.v $e |- ( ph -> F e. V ) $.
      $( The LUB of the empty set is the intersection of the base.
         (Contributed by Zhi Wang, 30-Sep-2024.) $)
      ipolub0 $p  |- ( ph -> ( U ` (/) ) = |^| F ) $=
        ( vx c0 cint wss 0ss a1i cuni cv crab wceq wcel eqsstri rabeqc eqcomi
        uni0 inteqi ipolub ) AJKCLZBCDEFIKCMACNOGUGKPZJQZMZJCRZLSACUKUKCUJJCUJU
        ICTUHKUIUDUINUAOUBUCUEOHUF $.
    $}

    ${
      ipolub00.u $e |- ( ph -> U = ( lub ` I ) ) $.
      ipolub00.f $e |- ( ph -> (/) e. F ) $.
      $( The LUB of the empty set is the empty set if it is contained.
         (Contributed by Zhi Wang, 30-Sep-2024.) $)
      ipolub00 $p  |- ( ph -> ( U ` (/) ) = (/) ) $=
        ( vy vx vz wcel c0 cfv wceq wa club adantr eqtrd cv wbr cvv cint int0el
        syl eqeltrd simpr ipolub0 wn cipo fvprc adantl syl5eq fveq2d fveq1d cdm
        wss cple wral wi wrex rex0 intnan base0 eqid biid cpo 0pos a1i lubeldm2
        mtbiri ndmfv pm2.61dan ) ACUAKZLBMZLNAVMOZVNCUBZLVOBCDUAEABDPMZNZVMFQAV
        PCKVMAVPLCALCKVPLNZGCUCUDZGUEQAVMUFUGAVSVMVTQRAVMUHZOZVNLLPMZMZLWBLBWCW
        BBVQWCAVRWAFQWBDLPWBDCUIMZLEWAWELNACUIUJUKULUMRUNWBLWCUOKZUHWDLNWBWFLLU
        PZHSZISZLUQMZTHLURWHJSZWJTHLURWIWKWJTUSJLUROZILUTZOWMWGWLIVAVBWBWLIHJLL
        WCLWJVCWJVDWCVDWLVELVFKWBVGVHVIVJLWCVKUDRVL $.
    $}

    ${
      ipoglb0.g $e |- ( ph -> G = ( glb ` I ) ) $.
      ipoglb0.f $e |- ( ph -> U. F e. F ) $.
      $( The GLB of the empty set is the union of the base.  (Contributed by
         Zhi Wang, 30-Sep-2024.) $)
      ipoglb0 $p |- ( ph -> ( G ` (/) ) = U. F ) $=
        ( vx c0 cuni cvv wcel uniexr syl wss 0ss a1i cv cint crab wceq ssv int0
        sseqtrri rabeqc unieqi eqcomi ipoglb ) AHIBJZBCDKEAUIBLBKLGBBMNIBOABPQF
        UIHRZISZOZHBTZJZUAAUNUIUMBULHBULUJBLUJKUKUJUBUCUDQUEUFUGQGUH $.
    $}
  $}

  ${
    $d C x y $.  $d F x y $.  $d G x y $.  $d I x y $.  $d U x y $.
    $d X x y $.
    mreclatGOOD.i $e |- I = ( toInc ` C ) $.
    ${
      mrelatlubALT.f $e |- F = ( mrCls ` C ) $.
      mrelatlubALT.l $e |- L = ( lub ` I ) $.
      $( Least upper bounds in a Moore space are realized by the closure of the
         union.  (Contributed by Stefan O'Rear, 31-Jan-2015.)  (Proof shortened
         by Zhi Wang, 29-Sep-2024.)  (Proof modification is discouraged.)
         (New usage is discouraged.) $)
      mrelatlubALT $p |- ( ( C e. ( Moore ` X ) /\ U C_ C ) ->
          ( L ` U ) = ( F ` U. U ) ) $=
        ( vx cmre cfv wcel wss wa cuni simpl simpr wceq syldan club a1i cv crab
        cint mreuniss mrcval mrccl ipolub ) AFKLZMZBANZOZJBBPZCLZEADUJGUKULQUKU
        LREDUALSUMIUBUKULUNFNZUOUNJUCNJAUDUESABFUFZAUNCFJHUGTUKULUPUOAMUQAUNCFH
        UHTUI $.
    $}

    ${
      mrelatglbALT.g $e |- G = ( glb ` I ) $.
      $( Greatest lower bounds in a Moore space are realized by intersections.
         (Contributed by Stefan O'Rear, 31-Jan-2015.)  (Proof shortened by Zhi
         Wang, 29-Sep-2024.)  (Proof modification is discouraged.)
         (New usage is discouraged.) $)
      mrelatglbALT $p |- ( ( C e. ( Moore ` X ) /\ U C_ C /\ U =/= (/) ) ->
          ( G ` U ) = |^| U ) $=
        ( vx cmre cfv wcel wss c0 wne w3a cint simp1 simp2 cglb wceq a1i unimax
        cv crab cuni mreintcl eqcomd syl ipoglb ) AEIJZKZBALZBMNZOZHBBPZACDUJFU
        KULUMQUKULUMRCDSJTUNGUAUNUOAKZUOHUCUOLHAUDUEZTABEUFZUPUQUOHUOAUBUGUHURU
        I $.
    $}

    $( A Moore space is a complete lattice under inclusion.  (Contributed by
       Zhi Wang, 30-Sep-2024.) $)
    mreclat $p |- ( C e. ( Moore ` X ) -> I e. CLat ) $=
      ( vx vy cfv wcel eqidd cv wss wa cdm cuni syldan crab cint wceq eqeltrd
      c0 cmre club cglb ipobas cpo ipopos cmrc mreuniss eqid mrccl simpl mrcval
      a1i simpr ipolubdm mpbird cvv ssv int0 sseqtrri simplr sseqtrrid rabeqcda
      inteqd unieqd mreuni mre1cl ad2antrr wne mreintcl unimax 3expa pm2.61dane
      w3a syl ipoglbdm isclatd ) ACUAGZHZABUBGZBUCGZBEABVRDUDVSVTIVSWAIBUEHVSAB
      DUFUMVSEJZAKZLZWBVTMHWBNZAUGGZGZAHZVSWCWECKZWHAWBCUHZAWEWFCWFUIZUJOWDFWBW
      GVTABVRDVSWCUKZVSWCUNZWDVTIVSWCWIWGWEFJZKFAPQRWJAWEWFCFWKULOUOUPWDWBWAMHW
      NWBQZKZFAPZNZAHZWDWSWBTWDWBTRZLZWRANZAXAWQAXAWPFAXAWNAHZLZTQZWNWOWNUQXEWN
      URUSUTXDWBTWDWTXCVAVDVBVCVEVSXBAHWCWTVSXBCAACVFACVGSVHSVSWCWBTVIZWSVSWCXF
      VNZWRWOAXGWOAHWRWORAWBCVJZFWOAVKVOXHSVLVMWDFWBWRAWABVRDWLWMWDWAIWDWRIVPUP
      VQ $.
  $}

  ${
    $d G x y $.  $d I x y $.  $d J x y $.  $d S x y $.  $d U x y $.
    topclat.i $e |- I = ( toInc ` J ) $.
    $( A topology is a complete lattice under inclusion.  (Contributed by Zhi
       Wang, 30-Sep-2024.) $)
    topclat $p |- ( J e. Top -> I e. CLat ) $=
      ( vx vy ctop wcel club cfv cglb ipobas eqidd cv wss cuni uniopn crab cint
      cdm mpbird cpo ipopos a1i wa simpl wceq intmin eqcomd syl ipolubdm ssrab2
      simpr sylancl ipoglbdm isclatd ) BFGZBAHIZAJIZADBAFCKUPUQLUPURLAUAGUPBACU
      BUCUPDMZBNZUDZUSUQSGUSOZBGZUSBPZVAEUSVBUQBAFCUPUTUEZUPUTULZVAUQLVAVCVBVBE
      MZNEBQRZUFVDVCVHVBEVBBUGUHUIUJTVAUSURSGVGUSRNZEBQZOZBGZVAUPVJBNVLVEVIEBUK
      VJBPUMVAEUSVKBURAFCVEVFVAURLVAVKLUNTUO $.

    toplatlub.j $e |- ( ph -> J e. Top ) $.
    ${
      toplatglb0.g $e |- G = ( glb ` I ) $.
      $( The empty intersection in a topology is realized by the base set.
         (Contributed by Zhi Wang, 30-Sep-2024.) $)
      toplatglb0 $p |- ( ph -> ( G ` (/) ) = U. J ) $=
        ( cglb cfv wceq a1i ctop wcel cuni eqid topopn syl ipoglb0 ) ADBCEBCHIJ
        AGKADLMDNZDMFDSSOPQR $.
    $}

    toplatlub.s $e |- ( ph -> S C_ J ) $.
    ${
      toplatlub.u $e |- U = ( lub ` I ) $.
      $( Least upper bounds in a topology are realized by unions.  (Contributed
         by Zhi Wang, 30-Sep-2024.) $)
      toplatlub $p |- ( ph -> ( U ` S ) = U. S ) $=
        ( vx cuni ctop club cfv wceq a1i wcel cv wss crab uniopn syl2anc intmin
        cint eqcomd syl ipolub ) AJBBKZCEDLFGHCDMNOAIPAUHEQZUHUHJRSJETUDZOAELQB
        ESUIGHBEUAUBZUIUJUHJUHEUCUEUFUKUG $.
    $}

    toplatglb.g $e |- G = ( glb ` I ) $.
    toplatglb.e $e |- ( ph -> S =/= (/) ) $.
    $( Greatest lower bounds in a topology are realized by the interior of the
       intersection.  (Contributed by Zhi Wang, 30-Sep-2024.) $)
    toplatglb $p |- ( ph -> ( G ` S ) = ( ( int ` J ) ` |^| S ) ) $=
      ( vx cfv ctop wceq cuni wss wcel syl syl2anc cvv cint cnt cglb a1i cpw cv
      cin crab c0 wne intssuni unissd sstrd eqid ntrval uniexd ssexd inpw eqtrd
      unieqd ntropn ipoglb ) AKBBUAZEUBLLZECDMFGHCDUCLNAIUDAVDEVCUEUGZOZKUFVCPK
      EUHZOZAEMQZVCEOZPZVDVFNGAVCBOZVJABUIUJVCVLPJBUKRABEHULUMZVCEVJVJUNZUOSAVC
      TQZVFVHNAVCVJTAEMGUPVMUQVOVEVGKEVCTURUTRUSAVIVKVDEQGVMVCEVJVNVASVB $.
  $}

  ${
    $d A x $.  $d B x $.  $d J x $.
    toplatmeet.i $e |- I = ( toInc ` J ) $.
    toplatmeet.j $e |- ( ph -> J e. Top ) $.
    toplatmeet.a $e |- ( ph -> A e. J ) $.
    toplatmeet.b $e |- ( ph -> B e. J ) $.
    ${
      toplatjoin.j $e |- .\/ = ( join ` I ) $.
      $( Joins in a topology are realized by unions.  (Contributed by Zhi Wang,
         30-Sep-2024.) $)
      toplatjoin $p   |- ( ph -> ( A .\/ B ) = ( A u. B ) ) $=
        ( vx co cpr cfv cpo wcel a1i ctop wceq club cun eqid joinval prssd cuni
        ipopos cv wss crab cint uniprg syl2anc unopn syl3anc eqeltrd intmin syl
        eqtr2d ipolub eqtrd ) ABCFMBCNZDUAOZOBCUBZAVCFDPEBCEVCUCZKDPQAEDGUGRIJU
        DALVBVDVCEDSGHABCEIJUEVCVCTAVERAVBUFZLUHUILEUJUKZVFVDAVFEQVGVFTAVFVDEAB
        EQZCEQZVFVDTIJBCEEULUMZAESQVHVIVDEQHIJBCEUNUOZUPLVFEUQURVJUSVKUTVA $.
    $}

    ${
      toplatmeet.m $e |- ./\ = ( meet ` I ) $.
      $( Meets in a topology are realized by intersections.  (Contributed by
         Zhi Wang, 30-Sep-2024.) $)
      toplatmeet $p   |- ( ph -> ( A ./\ B ) = ( A i^i B ) ) $=
        ( vx co cpr cfv cpo wcel a1i ctop wceq cglb cin ipopos meetval prssd cv
        eqid cint wss crab cuni intprg syl2anc inopn syl3anc eqeltrd unimax syl
        eqtr2d ipoglb eqtrd ) ABCFMBCNZDUAOZOBCUBZAVCDFPEBCEVCUGZKDPQAEDGUCRIJU
        DALVBVDEVCDSGHABCEIJUEVCVCTAVERALUFVBUHZUILEUJUKZVFVDAVFEQVGVFTAVFVDEAB
        EQZCEQZVFVDTIJBCEEULUMZAESQVHVIVDEQHIJBCEUNUOZUPLVFEUQURVJUSVKUTVA $.
    $}
  $}

  ${
    $d I x y z $.  $d J x y z $.
    topdlat.i $e |- I = ( toInc ` J ) $.
    $( A topology is a distributive lattice under inclusion.  (Contributed by
       Zhi Wang, 30-Sep-2024.) $)
    topdlat $p |- ( J e. Top -> I e. DLat ) $=
      ( vx vy vz ctop wcel cv cfv co wceq wral syl cun eleqtrrd eqid toplatmeet
      cin syl3anc clat cjn cmee cbs cdlat topclat clatl w3a simpl simpr2 ipobas
      ccla wa simpr3 toplatjoin oveq2d simpr1 unopn inopn oveq12d indi 3eqtr4rd
      a1i 3eqtrd ralrimivvva isdlat sylanbrc ) BGHZAUAHZDIZEIZFIZAUBJZKZAUCJZKZ
      VJVKVOKZVJVLVOKZVMKZLZFAUDJZMEWAMDWAMAUEHVHAULHVIABCUFAUGNVHVTDEFWAWAWAVH
      VJWAHZVKWAHZVLWAHZUHZUMZVPVJVKVLOZVOKVJWGSZVSWFVNWGVJVOWFVKVLABVMCVHWEUIZ
      WFVKWABVHWBWCWDUJWFVHBWALWIBAGCUKNZPZWFVLWABVHWBWCWDUNWJPZVMQZUOUPWFVJWGA
      BVOCWIWFVJWABVHWBWCWDUQWJPZWFVHVKBHZVLBHZWGBHWIWKWLVKVLBURTVOQZRWFVJVKSZV
      JVLSZVMKWRWSOZVSWHWFWRWSABVMCWIWFVHVJBHZWOWRBHWIWNWKVJVKBUSTWFVHXAWPWSBHW
      IWNWLVJVLBUSTWMUOWFVQWRVRWSVMWFVJVKABVOCWIWNWKWQRWFVJVLABVOCWIWNWLWQRUTWH
      WTLWFVJVKVLVAVCVBVDVEDEFWAVMAVOWAQWMWQVFVG $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Categories
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Categories
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d .<_ w x y z $.  $d B w x y z $.  $d H w x y z $.  $d X w z $.
    $d Y w z $.
    catprs.1 $e |- ( ph -> A. x e. B A. y e. B
                               ( x .<_ y <-> ( x H y ) =/= (/) ) ) $.
    ${
      catprslem.x $e |- ( ph -> X e. B ) $.
      catprslem.y $e |- ( ph -> Y e. B ) $.
      $( Lemma for ~ catprs .  (Contributed by Zhi Wang, 18-Sep-2024.) $)
      catprslem $p  |- ( ph -> ( X .<_ Y <-> ( X H Y ) =/= (/) ) ) $=
        ( vz vw cv wbr co c0 wne wb wral breq1 oveq1 neeq1d bibi12d breq2 oveq2
        weq cbvral2vw sylib wcel wi wceq wa breq12 oveq12 rspc2gv syl2anc mpd )
        ALNZMNZFOZUSUTEPZQRZSZMDTLDTZGHFOZGHEPZQRZSZABNZCNZFOZVJVKEPZQRZSZCDTBD
        TVEIVOVDUSVKFOZUSVKEPZQRZSBCLMDDBLUGZVLVPVNVRVJUSVKFUAVSVMVQQVJUSVKEUBU
        CUDCMUGZVPVAVRVCVKUTUSFUEVTVQVBQVKUTUSEUFUCUDUHUIAGDUJHDUJVEVIUKJKVDVIL
        MGHDDUSGULUTHULUMZVAVFVCVHUSGUTHFUNWAVBVGQUSGUTHEUOUCUDUPUQUR $.
    $}

    catprs.b $e |- ( ph -> B = ( Base ` C ) ) $.
    catprs.h $e |- ( ph -> H = ( Hom ` C ) ) $.
    ${
      catprs.c $e |- ( ph -> C e. Cat ) $.
      $( A preorder can be extracted from a category.  See ~ catprs2 for more
         details.  (Contributed by Zhi Wang, 18-Sep-2024.) $)
      catprs $p |- ( ( ph /\ ( X e. B /\ Y e. B /\ Z e. B ) ) -> ( X .<_ X
                  /\ ( ( X .<_ Y /\ Y .<_ Z ) -> X .<_ Z ) ) ) $=
        ( wcel wa wbr co c0 wne w3a wi ccid cfv chom eqid adantr simpr1 eleqtrd
        cbs ccat wceq catidcl oveqd eleqtrrd ne0d cv wb wral catprslem ad2antrr
        mpbird eleq2d pm5.32i cco simplr1 simplr2 simplr3 simpr2 biimpa adantrr
        3anbi123d eqnetrrd sylanbr simpr3 adantrl catcone0 sylanb eqnetrd jca
        ex ) AHDOZIDOZJDOZUAZPZHHGQZHIGQZIJGQZPZHJGQZUBWFWGHHFRZSTWFWLHEUCUDZUD
        ZWFWNHHEUEUDZRWLWFEUJUDZEWMWOHWPUFZWOUFZWMUFAEUKOZWENUGWFHDWPAWBWCWDUHZ
        ADWPULWELUGUIUMWFFWOHHAFWOULZWEMUGUNUOUPWFBCDFGHHABUQZCUQZGQXBXCFRSTURC
        DUSBDUSWEKUGZWTWTUTVBWFWJWKWFWJPZWKHJFRZSTZXEXFHJWORZSXEFWOHJAXAWEWJMVA
        ZUNWFAHWPOZIWPOZJWPOZUAZPZWJXHSTAWEXMAWBXJWCXKWDXLADWPHLVCADWPILVCADWPJ
        LVCVLVDZXNWJPWPEEVEUDZWOHIJWQWRXPUFAWSXMWJNVAXJXKXLAWJVFXJXKXLAWJVGXJXK
        XLAWJVHXNWFWJHIWORZSTXOXEHIFRZXQSXEFWOHIXIUNWFWHXRSTZWIWFWHXSWFBCDFGHIX
        DWTAWBWCWDVIZUTVJVKVMVNXNWFWJIJWORZSTXOXEIJFRZYASXEFWOIJXIUNWFWIYBSTZWH
        WFWIYCWFBCDFGIJXDXTAWBWCWDVOZUTVJVPVMVNVQVRVSWFWKXGURWJWFBCDFGHJXDWTYDU
        TUGVBWAVT $.

      ${
        $d B u v $.  $d C u v w $.  $d ph u v w $.
        catprs2.l $e |- ( ph -> .<_ = ( le ` C ) ) $.
        $( A category equipped with the induced preorder, where an object ` x `
           is defined to be "less than or equal to" ` y ` iff there is a
           morphism from ` x ` to ` y ` , is a preordered set, or a proset.
           The category might not be thin.  See ~ catprsc and ~ catprsc2 for
           constructions satisfying the hypothesis "catprs.1".  See ~ catprs
           for a more primitive version.  See ~ prsthinc for constructing a
           thin category from a proset.  (Contributed by Zhi Wang,
           18-Sep-2024.) $)
        catprs2 $p |- ( ph -> C e. Proset ) $=
          ( vw vv vu cproset cv wbr wa wral wcel catprs ralrimivvva ccat isprsd
          wi mpbird ) AEPUAMQZUHGRUHNQZGRUIOQZGRSUHUJGRUFSZODTNDTMDTAUKMNODDDAB
          CDEFGUHUIUJHIJKUBUCAMNODEGUDILKUEUG $.
      $}

$(
      catprs3.k @e |- ( ph -> K = ( C sSet <. ( le ` ndx ) , .<_ >. ) ) @.
      @( A category equipped with the induced preorder is a preordered set, or
         a proset.  (Contributed by Zhi Wang, XX-Sep-2024.) @)
      catprs3 @p |- ( ph -> K e. Proset ) @=
        (  ) ? @.
$)
    $}

$(
    catprs4.f @e |- ( ph -> F = ( c e. Cat |-> .<_ ) ) @.
    @( There is a function from ` Cat ` to the class of preorders.
       (Contributed by Zhi Wang, XX-Sep-2024.) @)
    catprs4 @p |- ( ph -> F : Cat --> ( le " Proset ) ) @=
      (  ) ? @.
$)
  $}

  ${
    $d B w x y $.  $d H x y $.  $d ph w z $.  $d x y z $.
    catprsc.1 $e |- ( ph -> .<_ = { <. x , y >. |
            ( x e. B /\ y e. B /\ ( x H y ) =/= (/) ) } ) $.
    $( A construction of the preorder induced by a category.  See ~ catprs2 for
       details.  See also ~ catprsc2 for an alternate construction.
       (Contributed by Zhi Wang, 18-Sep-2024.) $)
    catprsc $p |- ( ph -> A. z e. B A. w e. B
                          ( z .<_ w <-> ( z H w ) =/= (/) ) ) $=
      ( cv wbr co c0 wne wcel wa w3a vex weq eleq1d wb copab breqd simpl oveq12
      simpr neeq1d 3anbi123d df-3an bitrdi eqid braba baibd ralrimivva ) ADJZEJ
      ZHKZUOUPGLZMNZUADEFFAUQUOFOZUPFOZPZUSAUQUOUPBJZFOZCJZFOZVCVEGLZMNZQZBCUBZ
      KVBUSPZAHVJUOUPIUCVIVKBCUOUPVJDRERBDSZCESZPZVIUTVAUSQVKVNVDUTVFVAVHUSVNVC
      UOFVLVMUDTVNVEUPFVLVMUFTVNVGURMVCUOVEUPGUEUGUHUTVAUSUIUJVJUKULUJUMUN $.
  $}

  ${
    $d B w $.  $d H x y $.  $d ph w z $.  $d w x y z $.
    catprsc2.1 $e |- ( ph -> .<_ = { <. x , y >. | ( x H y ) =/= (/) } ) $.
    $( An alternate construction of the preorder induced by a category.  See
       ~ catprs2 for details.  See also ~ catprsc for a different construction.
       The two constructions are different because ~ df-cat does not require
       the domain of ` H ` to be ` B X. B ` .  (Contributed by Zhi Wang,
       23-Sep-2024.) $)
    catprsc2 $p |- ( ph -> A. z e. B A. w e. B
                          ( z .<_ w <-> ( z H w ) =/= (/) ) ) $=
      ( cv wbr co c0 wne wb wcel wa copab vex weq oveq12 neeq1d eqid ralrimivva
      breqd braba bitrdi adantr ) ADJZEJZHKZUIUJGLZMNZOZDEFFAUNUIFPUJFPQAUKUIUJ
      BJZCJZGLZMNZBCRZKUMAHUSUIUJIUEURUMBCUIUJUSDSESBDTCETQUQULMUOUIUPUJGUAUBUS
      UCUFUGUHUD $.
  $}

  ${
    $d B f g k $.  $d C f g k $.  $d H f g k $.  $d M f g k $.  $d X f g k $.
    $d f g k ph $.
    endmndlem.b $e |- B = ( Base ` C ) $.
    endmndlem.h $e |- H = ( Hom ` C ) $.
    endmndlem.o $e |- .x. = ( comp ` C ) $.
    endmndlem.c $e |- ( ph -> C e. Cat ) $.
    endmndlem.x $e |- ( ph -> X e. B ) $.
    endmndlem.m $e |- ( ph -> ( X H X ) = ( Base ` M ) ) $.
    endmndlem.p $e |- ( ph -> ( <. X , X >. .x. X ) = ( +g ` M ) ) $.
    $( A diagonal hom-set in a category equipped with the restriction of the
       composition has a structure of monoid.  See also ~ df-mndtc for
       converting a monoid to a category.  Lemma for ~ bj-endmnd .
       (Contributed by Zhi Wang, 25-Sep-2024.) $)
    endmndlem $p |- ( ph -> M e. Mnd ) $=
      ( vf vg vk cv wcel adantr co cop ccid cfv w3a ccat 3ad2ant1 simp3 catcocl
      simp2 simpr3 simpr2 simpr1 catass eqid catidcl simpr catlid catrid ismndd
      wa ) AOPQGGEUAZGGUBGDUAFGCUCUDZUDMNAORZVBSZPRZVBSZUEBCDVFVDEGGGHIJAVECUFS
      ZVGKUGAVEGBSZVGLUGZVJVJAVEVGUHAVEVGUJUIAVEVGQRZVBSZUEZVABCDVKVFEVDGGGGHIJ
      AVHVMKTAVIVMLTZVNVNAVEVGVLUKAVEVGVLULVNAVEVGVLUMUNABCVCEGHIVCUOZKLUPAVEVA
      ZBCDVCVDEGGHIVOAVHVEKTZAVIVELTZJVRAVEUQZURVPBCDVCVDEGGHIVOVQVRJVRVSUSUT
      $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Monomorphisms and epimorphisms
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d .1. g h z $.  $d B g h z $.  $d C g h z $.  $d H g h z $.  $d X g h z $.
    $d g h ph z $.
    idmon.b $e |- B = ( Base ` C ) $.
    idmon.h $e |- H = ( Hom ` C ) $.
    idmon.i $e |- .1. = ( Id ` C ) $.
    idmon.c $e |- ( ph -> C e. Cat ) $.
    idmon.x $e |- ( ph -> X e. B ) $.
    ${
      idmon.m $e |- M = ( Mono ` C ) $.
      $( An identity arrow, or an identity morphism, is a monomorphism.
         (Contributed by Zhi Wang, 21-Sep-2024.) $)
      idmon $p |- ( ph -> ( .1. ` X ) e. ( X M X ) ) $=
        ( vg vz vh co wcel cv wral cfv cop cco wceq wi catidcl wa adantr simpr1
        w3a ccat eqid simpr2 catlid simpr3 eqeq12d biimpd ralrimivvva mpbir2and
        ismon2 ) AGDUAZGGFQRVAGGEQRVANSZOSZGUBGCUCUAZQZQZVAPSZVEQZUDZVBVGUDZUEZ
        PVCGEQZTNVLTOBTABCDEGHIJKLUFAVKONPBVLVLAVCBRZVBVLRZVGVLRZUJZUGZVIVJVQVF
        VBVHVGVQBCVDDVBEVCGHIJACUKRVPKUHZAVMVNVOUIZVDULZAGBRVPLUHZAVMVNVOUMUNVQ
        BCVDDVGEVCGHIJVRVSVTWAAVMVNVOUOUNUPUQURAOBCVDNPVAEFGGHIVTMKLLUTUS $.
    $}

    ${
      idepi.e $e |- E = ( Epi ` C ) $.
      $( An identity arrow, or an identity morphism, is an epimorphism.
         (Contributed by Zhi Wang, 21-Sep-2024.) $)
      idepi $p |- ( ph -> ( .1. ` X ) e. ( X E X ) ) $=
        ( vg vz vh co wcel cv wral cfv cop cco wceq wi catidcl w3a wa ccat eqid
        adantr simpr1 simpr2 catrid simpr3 eqeq12d biimpd ralrimivvva mpbir2and
        isepi2 ) AGDUAZGGEQRVAGGFQRNSZVAGGUBOSZCUCUAZQZQZPSZVAVEQZUDZVBVGUDZUEZ
        PGVCFQZTNVLTOBTABCDFGHIJKLUFAVKONPBVLVLAVCBRZVBVLRZVGVLRZUGZUHZVIVJVQVF
        VBVHVGVQBCVDDVBFGVCHIJACUIRVPKUKZAGBRVPLUKZVDUJZAVMVNVOULZAVMVNVOUMUNVQ
        BCVDDVGFGVCHIJVRVSVTWAAVMVNVOUOUNUPUQURAOBCVDNPEVAFGGHIVTMKLLUTUS $.
    $}
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Functors
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d B x y z $.  $d F x y z $.  $d G x y z $.  $d H x y z $.  $d J x y z $.
    $( A utility theorem for proving equivalence of "is a functor".
       (Contributed by Zhi Wang, 1-Oct-2024.) $)
    funcf2lem $p |- ( G e. X_ z e. ( B X. B )
    ( ( ( F ` ( 1st ` z ) ) J ( F ` ( 2nd ` z ) ) ) ^m ( H ` z ) )
    <-> ( G e. _V /\ G Fn ( B X. B ) /\ A. x e. B A. y e. B
           ( x G y ) : ( x H y ) --> ( ( F ` x ) J ( F ` y ) ) ) ) $=
      ( cv cfv co cmap wcel wral w3a fveq2 df-ov eqtr4di vex fveq2d cxp cvv wfn
      c1st c2nd cixp elixp2 cop wceq op1std op2ndd oveq12d eleq12d elmap bitrdi
      wf ovex ralxp 3anbi3i bitri ) FCDDUAZCIZUDJZEJZVBUEJZEJZHKZVBGJZLKZUFMFUB
      MZFVAUCZVBFJZVIMZCVANZOVJVKAIZBIZGKZVOEJZVPEJZHKZVOVPFKZUPZBDNADNZOCVAVIF
      UGVNWCVJVKVMWBCABDDVBVOVPUHZUIZVMWAVTVQLKZMWBWEVLWAVIWFWEVLWDFJWAVBWDFPVO
      VPFQRWEVGVTVHVQLWEVDVRVFVSHWEVCVOEVOVPVBASZBSZUJTWEVEVPEVOVPVBWGWHUKTULWE
      VHWDGJVQVBWDGPVOVPGQRULUMVTVQWAVRVSHUQVOVPGUQUNUOURUSUT $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Examples of categories
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Thin categories
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c ThinCat $.

  $( Extend class notation with the class of thin categories. $)
  cthinc $a class ThinCat $.

  ${
    $d B b c f g h x y $.  $d C b c f g h x y $.  $d H b c f g h x y $.
    $( Definition of the class of thin categories, or posetal categories, whose
       hom-sets each contain at most one morphism.  Example 3.26(2) of [Adamek]
       p. 33.  "ThinCat" was taken instead of "PosCat" because the latter might
       mean the category of posets.  (Contributed by Zhi Wang, 17-Sep-2024.) $)
    df-thinc $a |- ThinCat = { c e. Cat |
        [. ( Base ` c ) / b ]. [. ( Hom ` c ) / h ].
            A. x e. b A. y e. b E* f f e. ( x h y ) } $.

    isthinc.b $e |- B = ( Base ` C ) $.
    isthinc.h $e |- H = ( Hom ` C ) $.
    $( The predicate "is a thin category".  (Contributed by Zhi Wang,
       17-Sep-2024.) $)
    isthinc $p |- ( C e. ThinCat <->
            ( C e. Cat /\ A. x e. B A. y e. B E* f f e. ( x H y ) ) ) $=
      ( vh vb vc cv co wcel wmo wral chom cfv cbs wceq wsbc ccat cthinc eqtr4di
      cvv fvexd fveq2 wa adantr wb raleq raleqbi1dv ad2antlr oveq eleq2d mobidv
      2ralbidv adantl bitrd sbcied2 df-thinc elrab2 ) ELZALZBLZILZMZNZEOZBJLZPZ
      AVJPZIKLZQRZUAZJVMSRZUAVCVDVEFMZNZEOZBCPACPZKDUBUCVMDTZVOVTJVPCUEWAVMSUFW
      AVPDSRCVMDSUGGUDWAVJCTZUHZVLVTIVNFUEWCVMQUFWAVNFTWBWAVNDQRFVMDQUGHUDUIWCV
      FFTZUHVLVIBCPZACPZVTWBVLWFUJWAWDVKWEAVJCVIBVJCUKULUMWDWFVTUJWCWDVIVSABCCW
      DVHVREWDVGVQVCVDVEVFFUNUOUPUQURUSUTUTABEIJKVAVB $.

    $( A thin category is a category in which all hom-sets have cardinality
       less than or equal to the cardinality of ` 1o ` .  (Contributed by Zhi
       Wang, 17-Sep-2024.) $)
    isthinc2 $p |- ( C e. ThinCat <->
            ( C e. Cat /\ A. x e. B A. y e. B ( x H y ) ~<_ 1o ) ) $=
      ( vf cthinc wcel ccat cv co wmo wral wa c1o cdom wbr isthinc modom2 bitri
      2ralbii anbi2i ) DIJDKJZHLALBLEMZJHNZBCOACOZPUEUFQRSZBCOACOZPABCDHEFGTUHU
      JUEUGUIABCCHUFUAUCUDUB $.

    $( A thin category is a category in which, given a pair of objects ` x `
       and ` y ` and any two morphisms ` f , g ` from ` x ` to ` y ` , the
       morphisms are equal.  (Contributed by Zhi Wang, 17-Sep-2024.) $)
    isthinc3 $p |- ( C e. ThinCat <-> ( C e. Cat /\
      A. x e. B A. y e. B A. f e. ( x H y ) A. g e. ( x H y ) f = g ) ) $=
      ( cthinc wcel ccat cv co wmo wral wa weq isthinc moel 2ralbii anbi2i
      bitri ) DJKDLKZEMAMBMGNZKEOZBCPACPZQUDEFRFUEPEUEPZBCPACPZQABCDEGHISUGUIUD
      UFUHABCCEFUETUAUBUC $.
  $}

  ${
    $d C f x y $.
    $( A thin category is a category.  (Contributed by Zhi Wang,
       17-Sep-2024.) $)
    thincc $p |- ( C e. ThinCat -> C e. Cat ) $=
      ( vf vx vy cthinc wcel ccat cv chom cfv wmo cbs wral eqid isthinc simplbi
      co ) AEFAGFBHCHDHAIJZQFBKDALJZMCSMCDSABRSNRNOP $.

    thinccd.c $e |- ( ph -> C e. ThinCat ) $.
    $( A thin category is a category (deduction form).  (Contributed by Zhi
       Wang, 24-Sep-2024.) $)
    thinccd $p |- ( ph -> C e. Cat ) $=
      ( cthinc wcel ccat thincc syl ) ABDEBFECBGH $.
  $}

  $( A thin category is a category.  (Contributed by Zhi Wang, 17-Sep-2024.) $)
  thincssc $p |- ThinCat C_ Cat $=
    ( vc cthinc ccat cv thincc ssriv ) ABCADEF $.

  ${
    $d B w y z $.  $d B x y z $.  $d F k l $.  $d G l $.  $d H f k w $.
    $d H k l $.  $d H f x y z $.  $d X f k w $.  $d X k l $.  $d X f w z $.
    $d Y k l $.  $d Y k w $.  $d k ph $.  $d ph z $.
    isthincd2lem1.1 $e |- ( ph -> X e. B ) $.
    isthincd2lem1.2 $e |- ( ph -> Y e. B ) $.
    isthincd2lem1.3 $e |- ( ph -> F e. ( X H Y ) ) $.
    isthincd2lem1.4 $e |- ( ph -> G e. ( X H Y ) ) $.
    ${
      isthincd2lem1.5 $e |- ( ph ->
                              A. x e. B A. y e. B E* f f e. ( x H y ) ) $.
      $( Lemma for ~ isthincd2 and ~ thincmo2 .  (Contributed by Zhi Wang,
         17-Sep-2024.) $)
      isthincd2lem1 $p |- ( ph -> F = G ) $=
        ( vk cv wceq wral wcel vl vz vw wmo oveq1 eleq2d mobidv oveq2 cbvral2vw
        co sylib nfv eleq1w cbvmow syl5bb wa eqidd rspc2vd mpd moel eqeq1 eqeq2
        ) APQZUAQZRZUAIJHUJZSPVFSZFGRZAVCVFTZPUDZVGAEQZUBQZUCQZHUJZTZEUDZUCDSUB
        DSZVJAVKBQZCQZHUJZTZEUDZCDSBDSVQOWBVPVKVLVSHUJZTZEUDBCUBUCDDVRVLRZWAWDE
        WEVTWCVKVRVLVSHUEUFUGVSVMRZWDVOEWFWCVNVKVSVMVLHUHUFUGUIUKAVJVKIVMHUJZTZ
        EUDZVPUBUCIJDDDVLIRZVOWHEWJVNWGVKVLIVMHUEUFUGWIVCWGTZPUDVMJRZVJWHWKEPWH
        PULWKEULEPWGUMUNWLWKVIPWLWGVFVCVMJIHUHUFUGUOKAWJUPDUQLURUSPUAVFUTUKAVHF
        VDRVEPUAFGVFVFVFVCFVDVAVDGFVBMAVCFRUPVFUQNURUS $.
    $}

    ${
      $d B f $.  $d C f x y $.
      thincmo2.b $e |- B = ( Base ` C ) $.
      thincmo2.h $e |- H = ( Hom ` C ) $.
      thincmo2.c $e |- ( ph -> C e. ThinCat ) $.
      $( Morphisms in the same hom-set are identical.  (Contributed by Zhi
         Wang, 17-Sep-2024.) $)
      thincmo2 $p |- ( ph -> F = G ) $=
        ( vx vy vf wcel cv cthinc co wmo wral isthinc simprbi syl isthincd2lem1
        ccat ) APQBRDEFGHIJKLACUASZRTPTQTFUBSRUCQBUDPBUDZOUJCUISUKPQBCRFMNUEUFU
        GUH $.
    $}
  $}

  ${
    $d B f g x y $.  $d C f g x y $.  $d H f g x y $.  $d X f g x y $.
    $d Y f g x y $.  $d f g ph $.
    thincmo.c $e |- ( ph -> C e. ThinCat ) $.
    thincmo.x $e |- ( ph -> X e. B ) $.
    thincmo.y $e |- ( ph -> Y e. B ) $.
    ${
      thincmo.b $e |- B = ( Base ` C ) $.
      thincmo.h $e |- H = ( Hom ` C ) $.
      $( There is at most one morphism in each hom-set.  (Contributed by Zhi
         Wang, 21-Sep-2024.) $)
      thincmo $p |- ( ph -> E* f f e. ( X H Y ) ) $=
        ( vg cv co wcel wa weq wal adantr wi simprl simprr thincmo2 ex alrimivv
        wmo cthinc eleq1w mo4 sylibr ) ADNZFGEOZPZMNZUMPZQZDMRZUAZMSDSUNDUGAUSD
        MAUQURAUQQBCULUOEFGAFBPUQITAGBPUQJTAUNUPUBAUNUPUCKLACUHPUQHTUDUEUFUNUPD
        MDMUMUIUJUK $.

      $( Alternate proof for ~ thincmo .  (Contributed by Zhi Wang,
         21-Sep-2024.)  (Proof modification is discouraged.)
         (New usage is discouraged.) $)
      thincmoALT $p |- ( ph -> E* f f e. ( X H Y ) ) $=
        ( vx vy cv co wcel wmo wral wceq cthinc ccat isthinc simprbi syl oveq12
        wi wa eleq2d mobidv rspc2gv syl2anc mpd ) ADOZMOZNOZEPZQZDRZNBSMBSZUNFG
        EPZQZDRZACUAQZUTHVDCUBQUTMNBCDEKLUCUDUEAFBQGBQUTVCUGIJUSVCMNFGBBUOFTUPG
        TUHZURVBDVEUQVAUNUOFUPGEUFUIUJUKULUM $.
    $}

    thincn0eu.b $e |- ( ph -> B = ( Base ` C ) ) $.
    thincn0eu.h $e |- ( ph -> H = ( Hom ` C ) ) $.
    $( At most one morphism in each hom-set (deduction form).  (Contributed by
       Zhi Wang, 21-Sep-2024.) $)
    thincmod $p |- ( ph -> E* f f e. ( X H Y ) ) $=
      ( cv co wcel wmo chom cfv eleqtrd eqid thincmo oveqd eleq2d mobidv mpbird
      cbs ) ADMZFGENZOZDPUGFGCQRZNZOZDPACUFRZCDUJFGHAFBUMIKSAGBUMJKSUMTUJTUAAUI
      ULDAUHUKUGAEUJFGLUBUCUDUE $.

    $( In a thin category, a hom-set being non-empty is equivalent to having a
       unique element.  (Contributed by Zhi Wang, 21-Sep-2024.) $)
    thincn0eu $p |- ( ph ->
                ( ( X H Y ) =/= (/) <-> E! f f e. ( X H Y ) ) ) $=
      ( co c0 wne cv wcel weu wa sylibr wex wmo n0 biimpi thincmod df-eu expcom
      anim12i euex impbid1 ) AFGEMZNOZDPUKQZDRZULAUNULASUMDUAZUMDUBZSUNULUOAUPU
      LUODUKUCZUDABCDEFGHIJKLUEUHUMDUFTUGUNUOULUMDUIUQTUJ $.
  $}

  ${
    $d B f g h z $.  $d C f g h z $.  $d E f g h z $.  $d F f g h z $.
    $d H f g h z $.  $d M f g h z $.  $d X f g h z $.  $d Y f g h z $.
    $d f g h ph z $.
    thincid.c $e |- ( ph -> C e. ThinCat ) $.
    thincid.b $e |- B = ( Base ` C ) $.
    thincid.h $e |- H = ( Hom ` C ) $.
    thincid.x $e |- ( ph -> X e. B ) $.
    ${
      thincid.i $e |- .1. = ( Id ` C ) $.
      thincid.f $e |- ( ph -> F e. ( X H X ) ) $.
      $( In a thin category, a morphism from an object to itself is an identity
         morphism.  (Contributed by Zhi Wang, 24-Sep-2024.) $)
      thincid $p |- ( ph -> F = ( .1. ` X ) ) $=
        ( cfv thinccd catidcl thincmo2 ) ABCEGDNFGGKKMABCDFGIJLACHOKPIJHQ $.
    $}

    thincmon.y $e |- ( ph -> Y e. B ) $.
    ${
      thincmon.m $e |- M = ( Mono ` C ) $.
      $( In a thin category, all morphisms are monomorphisms.  The converse
         does not hold.  See ~ grptcmon .  (Contributed by Zhi Wang,
         24-Sep-2024.) $)
      thincmon $p |- ( ph -> ( X M Y ) = ( X H Y ) ) $=
        ( vg vz vh co cv wcel wral vf cop cco cfv wceq w3a simpr1 adantr simpr2
        wi simpr3 cthinc thincmo2 a1d ralrimivvva eqid thinccd ismon2 mpbiran2d
        wa eqrdv ) AUAFGEQZFGDQZAUARZVBSVDVCSVDNRZORZFUBGCUCUDZQZQVDPRZVHQUEZVE
        VIUEZUJZPVFFDQZTNVMTOBTAVLONPBVMVMAVFBSZVEVMSZVIVMSZUFZUTZVKVJVRBCVEVID
        VFFAVNVOVPUGAFBSVQKUHAVNVOVPUIAVNVOVPUKIJACULSVQHUHUMUNUOAOBCVGNPVDDEFG
        IJVGUPMACHUQKLURUSVA $.
    $}

    ${
      thincepi.e $e |- E = ( Epi ` C ) $.
      $( In a thin category, all morphisms are epimorphisms.  The converse does
         not hold.  See ~ grptcepi .  (Contributed by Zhi Wang,
         24-Sep-2024.) $)
      thincepi $p |- ( ph -> ( X E Y ) = ( X H Y ) ) $=
        ( vg vz vh co cv wcel wral vf cop cco cfv wceq w3a adantr simpr1 simpr2
        wi simpr3 cthinc thincmo2 a1d ralrimivvva eqid thinccd isepi2 mpbiran2d
        wa eqrdv ) AUAFGDQZFGEQZAUARZVBSVDVCSNRZVDFGUBORZCUCUDZQZQPRZVDVHQUEZVE
        VIUEZUJZPGVFEQZTNVMTOBTAVLONPBVMVMAVFBSZVEVMSZVIVMSZUFZUTZVKVJVRBCVEVIE
        GVFAGBSVQLUGAVNVOVPUHAVNVOVPUIAVNVOVPUKIJACULSVQHUGUMUNUOAOBCVGNPDVDEFG
        IJVGUPMACHUQKLURUSVA $.
    $}
  $}

  ${
    $d .x. f g k u v w z $.  $d .x. g k l u v w z $.  $d .x. f g w x y z $.
    $d B u v w z $.  $d B w x y z $.  $d F k l $.  $d G l $.
    $d H f g k u v w z $.  $d H g k l u v w z $.  $d H f g w x y z $.
    $d X k l u v w $.  $d Y k l u v $.  $d Z k l u $.  $d v w y z $.
    isthincd2lem2.1 $e |- ( ph -> X e. B ) $.
    isthincd2lem2.2 $e |- ( ph -> Y e. B ) $.
    isthincd2lem2.3 $e |- ( ph -> Z e. B ) $.
    isthincd2lem2.4 $e |- ( ph -> F e. ( X H Y ) ) $.
    isthincd2lem2.5 $e |- ( ph -> G e. ( Y H Z ) ) $.
    isthincd2lem2.6 $e |- ( ph -> A. x e. B A. y e. B A. z e. B
                       A. f e. ( x H y ) A. g e. ( y H z )
                        ( g ( <. x , y >. .x. z ) f ) e. ( x H z ) ) $.
    $( Lemma for ~ isthincd2 .  (Contributed by Zhi Wang, 17-Sep-2024.) $)
    isthincd2lem2 $p |- ( ph -> ( G ( <. X , Y >. .x. Z ) F ) e. ( X H Z ) ) $=
      ( vl vk vw vv vu cv cop wcel wral wceq oveq1 opeq1 oveq1d eleq12d ralbidv
      co oveqd raleqbidv oveq2 opeq2 eleq1d cbvral2vw bitrdi cbvral3vw sylib wi
      rspc3v syl3anc mpd rspc2v syl2anc ) AUAUFZUBUFZLMUGZNFUPZUPZLNKUPZUHZUAMN
      KUPZUIZUBLMKUPZUIZJIVOUPZVQUHZAVLVMUCUFZUDUFZUGZUEUFZFUPZUPZWEWHKUPZUHZUA
      WFWHKUPZUIZUBWEWFKUPZUIZUEEUIUDEUIUCEUIZWBAHUFZGUFZBUFZCUFZUGZDUFZFUPZUPZ
      WTXCKUPZUHZHXAXCKUPZUIZGWTXAKUPZUIZDEUICEUIBEUIWQTXKWPWRWSWEXAUGZXCFUPZUP
      ZWEXCKUPZUHZHXHUIZGWEXAKUPZUIWRWSWGXCFUPZUPZXOUHZHWFXCKUPZUIZGWOUIZBCDUCU
      DUEEEEWTWEUJZXIXQGXJXRWTWEXAKUKYEXGXPHXHYEXEXNXFXOYEXDXMWRWSYEXBXLXCFWTWE
      XAULUMUQWTWEXCKUKUNUOURXAWFUJZXQYCGXRWOXAWFWEKUSYFXPYAHXHYBXAWFXCKUKYFXNX
      TXOYFXMXSWRWSYFXLWGXCFXAWFWEUTUMUQVAURURXCWHUJZYDWRWSWIUPZWKUHZHWMUIZGWOU
      IWPYGYCYJGWOYGYAYIHYBWMXCWHWFKUSYGXTYHXOWKYGXSWIWRWSXCWHWGFUSUQXCWHWEKUSU
      NURUOYIWLWRVMWIUPZWKUHGHUBUAWOWMWSVMUJYHYKWKWSVMWRWIUSVAWRVLUJYKWJWKWRVLV
      MWIUKVAVBVCVDVEALEUHMEUHNEUHWQWBVFOPQWPWBVLVMLWFUGZWHFUPZUPZLWHKUPZUHZUAW
      MUIZUBLWFKUPZUIVLVMVNWHFUPZUPZYOUHZUAMWHKUPZUIZUBWAUIUCUDUELMNEEEWELUJZWN
      YQUBWOYRWELWFKUKUUDWLYPUAWMUUDWJYNWKYOUUDWIYMVLVMUUDWGYLWHFWELWFULUMUQWEL
      WHKUKUNUOURWFMUJZYQUUCUBYRWAWFMLKUSUUEYPUUAUAWMUUBWFMWHKUKUUEYNYTYOUUEYMY
      SVLVMUUEYLVNWHFWFMLUTUMUQVAURURWHNUJZUUCVTUBWAUUFUUAVRUAUUBVSWHNMKUSUUFYT
      VPYOVQUUFYSVOVLVMWHNVNFUSUQWHNLKUSUNURUOVGVHVIAIWAUHJVSUHWBWDVFRSVRWDVLIV
      OUPZVQUHUBUAIJWAVSVMIUJVPUUGVQVMIVLVOUSVAVLJUJUUGWCVQVLJIVOUKVAVJVKVI $.
  $}

  ${
    $d B y $.  $d C f x y $.  $d f ph x y $.
    isthincd.b $e |- ( ph -> B = ( Base ` C ) ) $.
    isthincd.h $e |- ( ph -> H = ( Hom ` C ) ) $.
    isthincd.t $e |- ( ( ph /\ ( x e. B /\ y e. B ) )
            -> E* f f e. ( x H y ) ) $.
    ${
      isthincd.c $e |- ( ph -> C e. Cat ) $.
      $( The predicate "is a thin category" (deduction form).  (Contributed by
         Zhi Wang, 17-Sep-2024.) $)
      isthincd $p |- ( ph -> C e. ThinCat ) $=
        ( ccat wcel cv cfv co wmo wral raleqbidv eqid chom cbs ralrimivva oveqd
        cthinc eleq2d mobidv mpbid isthinc sylanbrc ) AELMFNZBNZCNZEUAOZPZMZFQZ
        CEUBOZRZBURRZEUEMKAUKULUMGPZMZFQZCDRZBDRUTAVCBCDDJUCAVDUSBDURHAVCUQCDUR
        HAVBUPFAVAUOUKAGUNULUMIUDUFUGSSUHBCUREFUNURTUNTUIUJ $.
    $}

    $d .1. f g k w x z $.  $d .x. f g k w x y z $.  $d B f g k w x y z $.
    $d C f g k w x y z $.  $d H f g k w x y z $.  $d f g k ph w x y z $.
    isthincd2.o $e |- ( ph -> .x. = ( comp ` C ) ) $.
    isthincd2.c $e |- ( ph -> C e. V ) $.
    isthincd2.ps $e |- ( ps <-> ( ( x e. B /\ y e. B /\ z e. B ) /\
            ( f e. ( x H y ) /\ g e. ( y H z ) ) ) ) $.
    isthincd2.1 $e |- ( ( ph /\ y e. B ) -> .1. e. ( y H y ) ) $.
    isthincd2.2 $e |- ( ( ph /\ ps ) ->
       ( g ( <. x , y >. .x. z ) f ) e. ( x H z ) ) $.
    $( The predicate " ` C ` is a thin category" without knowing ` C ` is a
       category (deduction form).  The identity arrow operator is also provided
       as a byproduct.  (Contributed by Zhi Wang, 17-Sep-2024.) $)
    isthincd2 $p |- ( ph -> ( C e. ThinCat
                  /\ ( Id ` C ) = ( y e. B |-> .1. ) ) ) $=
      ( vw vk cthinc wcel ccid cfv cmpt wceq ccat cv co w3a wa 3an4anass anbi1i
      3anbi1i 3anass an4 3bitri df-3an anbi2i 3bitr4i bitr4i cop simpr1l syldan
      simpr1r simpr31 sylbir ralrimivva ralrimivvva isthincd2lem2 isthincd2lem1
      wral bianass adantr wmo sylan2b simpr2l simpr32 3ad2antr1 simpr2r simpr33
      sylan2br iscatd2 simpld isthincd simprd jca ) AGUDUEGUFUGDFIUHUIZACDFGJLN
      OPAGUJUEZWKABUBUKZFUEZUCUKZEUKZWMLULUEZUMZCDEUBFGHIJKUCLMNOQRWRCUKZFUEZDU
      KZFUEZUNZWPFUEZWNUNZUNZJUKZWSXALULZUEZKUKZXAWPLULZUEZWQUMZUNZXCXEXMUMZWTX
      BXDUMZWNUNZXIXLUNZWQUNZUNZXFXSUNWRXNXQXFXSWTXBXDWNUOUPWRXPXRUNZWNWQUMYAWN
      WQUNUNXTBYAWNWQSUQYAWNWQURXPXRWNWQUSUTXMXSXFXIXLWQVAVBVCXCXEXMVAVDZTWRAXO
      IXGWSXAVEZXAHULULZXGUIYBAXOUNZCDFJYDXGLWSXAWTXBXEXMAVFZWTXBXEXMAVHZYECDEF
      HJKXGILWSXAXAYFYGYGXIXLWQXCXEAVIZAXOXBIXAXALULUEYGTVGZAXJXGYCWPHULULZWSWP
      LULUEZKXKVOJXHVOZEFVODFVOCFVOXOAYLCDEFFFAXPUNZYKJKXHXKYMXRUNABUNYKBXPXRAS
      VPUAVJVKVLVQZVMYHAXIJVRZDFVOCFVOXOAYOCDFFPVKVQZVNVSWRAXOXJIXAXAVEWPHULULZ
      XJUIYBYECDFJYQXJLXAWPYGXDWNXCXMAVTZYECDEFHJKIXJLXAXAWPYGYGYRYIXIXLWQXCXEA
      WAZYNVMYSYPVNVSAWNBYKWQUAWBZWRAXOWOXJXAWPVEWMHULULZXGYCWMHULULZWOYJWSWPVE
      WMHULULZUIYBYECDFJUUBUUCLWSWMYFXDWNXCXMAWCZYECDEFHJKXGUUALWSXAWMYFYGUUDYH
      YECDEFHJKXJWOLXAWPWMYGYRUUDYSXIXLWQXCXEAWDZYNVMYNVMYECDEFHJKYJWOLWSWPWMYF
      YRUUDXOAWRYKYBYTWEUUEYNVMYPVNVSWFZWGWHAWLWKUUFWIWJ $.
  $}

  ${
    $d C f x y $.  $d O f x y $.
    oppcthin.o $e |- O = ( oppCat ` C ) $.
    $( The opposite category of a thin category is thin.  (Contributed by Zhi
       Wang, 29-Sep-2024.) $)
    oppcthin $p |- ( C e. ThinCat -> O e. ThinCat ) $=
      ( vx vy vf cthinc wcel cbs cfv chom wceq eqid oppcbas a1i cv wa wmo ccat
      co eqidd simpl simprr simprl thincmo oppchom eleq2i sylibr thincc oppccat
      mobii syl isthincd ) AGHZDEAIJZBFBKJZUOBIJLUNUOABCUOMZNOUNUPUAUNDPZUOHZEP
      ZUOHZQZQZFPZUTURAKJZTZHZFRVDURUTUPTZHZFRVCUOAFVEUTURUNVBUBUNUSVAUCUNUSVAU
      DUQVEMZUEVIVGFVHVFVDAVEBURUTVJCUFUGUKUHUNASHBSHAUIABCUJULUM $.
  $}

  ${
    $d C f x y $.  $d D f x y $.  $d J f x y $.  $d f ph x y $.
    subthinc.1 $e |- D = ( C |`cat J ) $.
    subthinc.j $e |- ( ph -> J e. ( Subcat ` C ) ) $.
    subthinc.c $e |- ( ph -> C e. ThinCat ) $.
    $( A subcategory of a thin category is thin.  (Contributed by Zhi Wang,
       30-Sep-2024.) $)
    subthinc $p |- ( ph -> D e. ThinCat ) $=
      ( vx vy vf cdm cfv cthinc eqid cv wcel wa co wss adantr cbs eqidd subcss1
      subcfn rescbas reschom csn wex wmo csubc cxp simprl simprr subcss2 sseldd
      chom wfn thincmo mosssn2 sylib sstr2 eximdv sylc sylibr subccat isthincd
      ) AHIDKKZCJDABUALZBCVGDMEVHNZGABVGDFAVGUBUDZAVHBVGDFVJVIUCZUEAVHBCVGDMEVI
      GVJVKUFAHOZVGPZIOZVGPZQZQZVLVNDRZJOZUGZSZJUHZVSVRPJUIVQVRVLVNBUPLZRZSZWDV
      TSZJUHZWBVQBVGWCDVLVNADBUJLPVPFTADVGVGUKUQVPVJTWCNZAVMVOULZAVMVOUMZUNVQVS
      WDPJUIWGVQVHBJWCVLVNABMPVPGTVQVGVHVLAVGVHSVPVKTZWIUOVQVGVHVNWKWJUOVIWHURJ
      JWDUSUTWEWFWAJVRWDVTVAVBVCJJVRUSVDABCDEFVEVF $.
  $}

  ${
    $d B m w x y z $.  $d C m $.  $d E m $.  $d F m w x y z $.  $d G m w z $.
    $d H m w x y z $.  $d J m w x y z $.  $d K m w z $.  $d m ph w z $.
    functhinclem1.b $e |- B = ( Base ` D ) $.
    functhinclem1.c $e |- C = ( Base ` E ) $.
    functhinclem1.h $e |- H = ( Hom ` D ) $.
    functhinclem1.j $e |- J = ( Hom ` E ) $.
    functhinclem1.e $e |- ( ph -> E e. ThinCat ) $.
    functhinclem1.f $e |- ( ph -> F : B --> C ) $.
    functhinclem1.k $e |- K = ( x e. B , y e. B |->
        ( ( x H y ) X. ( ( F ` x ) J ( F ` y ) ) ) ) $.
    functhinclem1.1 $e |- ( ( ph /\ ( z e. B /\ w e. B ) )
               -> ( ( ( F ` z ) J ( F ` w ) ) = (/) -> ( z H w ) = (/) ) ) $.
    $( Lemma for ~ functhinc .  Given the object part, there is only one
       possible morphism part such that the mapped morphism is in its
       corresponding hom-set.  (Contributed by Zhi Wang, 1-Oct-2024.) $)
    functhinclem1 $p |- ( ph -> ( ( G e. _V /\ G Fn ( B X. B ) /\
      A. z e. B A. w e. B ( z G w ) : ( z H w ) --> ( ( F ` z ) J ( F ` w ) ) )
      <-> G = K ) ) $=
      ( vm cvv wcel cxp wfn cv co cfv wf wral w3a wceq simpl simpr2 simpr3 eqid
      wa c0 wi adantlr cthinc ad2antrr simprl ffvelrnd simprr mofeu oveq1 fveq2
      thincmo oveq1d xpeq12d oveq2 oveq2d ovex ovmpo adantl eqeq2d 2ralbidva wb
      xpex bitr4d simpr fnmpoi eqfnov2 sylancl biimpa syl21anc cmpo fvexi mpoex
      cbs eqeltri eleq1 mpbiri fneq1 biimpar 3jca impbida ) AKUDUEZKFFUFZUGZDUH
      ZEUHZLUIZXDJUJZXEJUJZMUIZXDXEKUIZUKZEFULDFULZUMZKNUNZAXMUSAXCXLXNAXMUOAXA
      XCXLUPAXAXCXLUQAXCUSZXLXNXOXLXJXDXENUIZUNZEFULDFULZXNXOXKXQDEFFXOXDFUEZXE
      FUEZUSZUSZXKXJXFXIUFZUNXQYBUCXFXIXJYCYCURAYAXIUTUNXFUTUNVAXCUBVBYBGIUCMXG
      XHAIVCUEXCYASVDYBFGXDJAFGJUKXCYATVDZXOXSXTVEVFYBFGXEJYDXOXSXTVGVFPRVKVHYB
      XPYCXJYAXPYCUNXOBCXDXEFFBUHZCUHZLUIZYEJUJZYFJUJZMUIZUFZYCNXDYFLUIZXGYIMUI
      ZUFYEXDUNZYGYLYJYMYEXDYFLVIYNYHXGYIMYEXDJVJVLVMYFXEUNZYLXFYMXIYFXEXDLVNYO
      YIXHXGMYFXEJVJVOVMUAXFXIXDXELVPXGXHMVPWBVQVRVSWCVTXOXCNXBUGZXNXRWAAXCWDBC
      FFYKNUAYGYJYEYFLVPYHYIMVPWBWEZDEFFKNWFWGWCZWHWIAXNUSZXAXCXLXNXAAXNXANUDUE
      NBCFFYKWJUDUABCFFYKFHWMOWKZYTWLWNKNUDWOWPVRXNXCAXNXCYPYQXBKNWQWPVRZYSAXCX
      NXLAXNUOUUAAXNWDXOXLXNYRWRWIWSWT $.
  $}

  ${
    $d B x y $.  $d F x y $.  $d H x y $.  $d J x y $.  $d X x y $.
    $d Y x y $.
    functhinclem2.x $e |- ( ph -> X e. B ) $.
    functhinclem2.y $e |- ( ph -> Y e. B ) $.
    functhinclem2.1 $e |- ( ph -> A. x e. B A. y e. B
        ( ( ( F ` x ) J ( F ` y ) ) = (/) -> ( x H y ) = (/) ) ) $.
    $( Lemma for ~ functhinc .  (Contributed by Zhi Wang, 1-Oct-2024.) $)
    functhinclem2 $p |- ( ph ->
            ( ( ( F ` X ) J ( F ` Y ) ) = (/) -> ( X H Y ) = (/) ) ) $=
      ( wcel cv cfv co c0 wceq wi wral simpl fveq2d simpr oveq12d eqeq1d oveq12
      wa imbi12d rspc2gv imp syl21anc ) AHDMZIDMZBNZEOZCNZEOZGPZQRZUNUPFPZQRZSZ
      CDTBDTZHEOZIEOZGPZQRZHIFPZQRZSZJKLULUMUGVCVJVBVJBCHIDDUNHRZUPIRZUGZUSVGVA
      VIVMURVFQVMUOVDUQVEGVMUNHEVKVLUAUBVMUPIEVKVLUCUBUDUEVMUTVHQUNHUPIFUFUEUHU
      IUJUK $.
  $}

  ${
    $d F n $.  $d F x y $.  $d H x y $.  $d J n $.  $d J x y $.  $d X n $.
    $d X x y $.  $d Y n $.  $d Y x y $.  $d ph x y $.
    functhinclem3.x $e |- ( ph -> X e. B ) $.
    functhinclem3.y $e |- ( ph -> Y e. B ) $.
    functhinclem3.m $e |- ( ph -> M e. ( X H Y ) ) $.
    functhinclem3.g $e |- ( ph -> G = ( x e. B , y e. B |->
            ( ( x H y ) X. ( ( F ` x ) J ( F ` y ) ) ) ) ) $.
    functhinclem3.1 $e |- ( ph
              -> ( ( ( F ` X ) J ( F ` Y ) ) = (/) -> ( X H Y ) = (/) ) ) $.
    functhinclem3.2 $e |- ( ph -> E* n n e. ( ( F ` X ) J ( F ` Y ) ) ) $.
    $( Lemma for ~ functhinc .  The mapped morphism is in its corresponding
       hom-set.  (Contributed by Zhi Wang, 1-Oct-2024.) $)
    functhinclem3 $p |- ( ph ->
        ( ( X G Y ) ` M ) e. ( ( F ` X ) J ( F ` Y ) ) ) $=
      ( co cfv wf cxp wceq cv wa simprl simprr oveq12d fveq2d xpeq12d wcel ovex
      cvv xpex a1i ovmpod eqid mofeu mpbird ffvelrnd ) AKLHSZKFTZLFTZISZJKLGSZA
      VAVDVEUAVEVAVDUBZUCABCKLDDBUDZCUDZHSZVGFTZVHFTZISZUBVFGUMPAVGKUCZVHLUCZUE
      UEZVIVAVLVDVOVGKVHLHAVMVNUFZAVMVNUGZUHVOVJVBVKVCIVOVGKFVPUIVOVHLFVQUIUHUJ
      MNVFUMUKAVAVDKLHULVBVCIULUNUOUPAEVAVDVEVFVFUQQRURUSOUT $.
  $}

  ${
    functhinc.b $e |- B = ( Base ` D ) $.
    functhinc.c $e |- C = ( Base ` E ) $.
    functhinc.h $e |- H = ( Hom ` D ) $.
    functhinc.j $e |- J = ( Hom ` E ) $.
    functhinc.d $e |- ( ph -> D e. Cat ) $.
    functhinc.e $e |- ( ph -> E e. ThinCat ) $.
    functhinc.f $e |- ( ph -> F : B --> C ) $.
    functhinc.k $e |- K = ( x e. B , y e. B |->
        ( ( x H y ) X. ( ( F ` x ) J ( F ` y ) ) ) ) $.
    functhinc.1 $e |- ( ph -> A. z e. B A. w e. B
        ( ( ( F ` z ) J ( F ` w ) ) = (/) -> ( z H w ) = (/) ) ) $.
    ${
      $d B b c m n p $.  $d B b c m n u v $.  $d B b c w z $.  $d B u v x y $.
      $d C p $.  $d E p $.  $d F p $.  $d F u v x y $.  $d F w z $.
      $d G a b c m n p $.  $d G a b c m n u v $.  $d H n p $.  $d H n u v $.
      $d H w z $.  $d H u v x y $.  $d J p $.  $d J u v x y $.  $d J w z $.
      $d K a b c m n p $.  $d K a b c m n u v $.  $d a b c m n p ph $.
      $d a b c w z $.  $d ph u v $.
      functhinclem4.1 $e |- .1. = ( Id ` D ) $.
      functhinclem4.i $e |- I = ( Id ` E ) $.
      functhinclem4.x $e |- .x. = ( comp ` D ) $.
      functhinclem4.o $e |- O = ( comp ` E ) $.
      $( Lemma for ~ functhinc .  Other requirements on the morphism part are
         automatically satisfied.  (Contributed by Zhi Wang, 1-Oct-2024.) $)
      functhinclem4 $p |- ( ( ph /\ G = K ) -> A. a e. B
                   ( ( ( a G a ) ` ( .1. ` a ) ) = ( I ` ( F ` a ) ) /\
       A. b e. B A. c e. B A. m e. ( a H b ) A. n e. ( b H c )
       ( ( a G c ) ` ( n ( <. a , b >. .x. c ) m ) ) =
       ( ( ( b G c ) ` n )
         ( <. ( F ` a ) , ( F ` b ) >. O ( F ` c ) )
                                               ( ( a G b ) ` m ) ) ) ) $=
        ( vv vu vp wceq wa cv cfv co cop wral wcel cthinc ad2antrr wf ffvelrnda
        adantr simpr ccat catidcl cmpo simplr oveq1 fveq2 oveq1d xpeq12d oveq2d
        cxp oveq2 cbvmpov eqtrdi c0 functhinclem2 thincmo functhinclem3 thincid
        eqtri wi ad4antr simplrr ffvelrnd simplrl simprl simprr catcocl thinccd
        thincmo2 ralrimivva jca ralrimiva ) AOSUTZVAZUAVBZJVCZXHXHOVDVCZXHNVCZQ
        VCUTZLVBZKVBZXHUBVBZVEUCVBZIVDVDZXHXPOVDVCZXMXOXPOVDVCZXNXHXOOVDVCZXKXO
        NVCZVEXPNVCZTVDVDZUTZLXOXPPVDZVFKXHXOPVDZVFZUCFVFUBFVFZVAUAFXGXHFVGZVAZ
        XLYHYJGMQXJRXKAMVHVGZXFYIUIVIZUEUGXGFGXHNAFGNVJZXFUJVLVKZUNYJUQURFUSNOP
        RXIXHXHXGYIVMZYOYJFHJPXHUDUFUMAHVNVGZXFYIUHVIYOVOYJOSUQURFFUQVBZURVBZPV
        DZYQNVCZYRNVCZRVDZWCZVPZAXFYIVQSBCFFBVBZCVBZPVDZUUENVCZUUFNVCZRVDZWCZVP
        UUDUKBCUQURFFUUKUUCYQUUFPVDZYTUUIRVDZWCUUEYQUTZUUGUULUUJUUMUUEYQUUFPVRU
        UNUUHYTUUIRUUEYQNVSVTWAUUFYRUTZUULYSUUMUUBUUFYRYQPWDUUOUUIUUAYTRUUFYRNV
        SWBWAWEWLWFZYJDEFNPRXHXHYOYOADVBZNVCEVBZNVCRVDWGUTUUQUURPVDWGUTWMEFVFDF
        VFZXFYIULVIWHYJGMUSRXKXKYLYNYNUEUGWIWJWKYJYGUBUCFFYJXOFVGZXPFVGZVAZVAZY
        DKLYFYEUVCXNYFVGZXMYEVGZVAZVAZGMXRYCRXKYBYJXKGVGUVBUVFYNVIZUVGFGXPNAYMX
        FYIUVBUVFUJWNZYJUUTUVAUVFWOZWPZUVGUQURFUSNOPRXQXHXPYJYIUVBUVFYOVIZUVJUV
        GFHIXNXMPXHXOXPUDUFUOAYPXFYIUVBUVFUHWNUVLYJUUTUVAUVFWQZUVJUVCUVDUVEWRZU
        VCUVDUVEWSZWTYJOUUDUTUVBUVFUUPVIZUVGDEFNPRXHXPUVLUVJAUUSXFYIUVBUVFULWNZ
        WHUVGGMUSRXKYBAYKXFYIUVBUVFUIWNZUVHUVKUEUGWIWJUVGGMTXTXSRXKYAYBUEUGUPYJ
        MVNVGUVBUVFYJMYLXAVIUVHUVGFGXONUVIUVMWPZUVKUVGUQURFUSNOPRXNXHXOUVLUVMUV
        NUVPUVGDEFNPRXHXOUVLUVMUVQWHUVGGMUSRXKYAUVRUVHUVSUEUGWIWJUVGUQURFUSNOPR
        XMXOXPUVMUVJUVOUVPUVGDEFNPRXOXPUVMUVJUVQWHUVGGMUSRYAYBUVRUVSUVKUEUGWIWJ
        WTUEUGUVRXBXCXCXDXE $.
    $}

    $d F a b c f g $.  $d F c u v w z $.  $d F u v x y $.  $d G a b c f g $.
    $d G c u v $.  $d H a b c f g $.  $d H c u v w z $.  $d H u v x y $.
    $d J a b c w z $.  $d J c u v w z $.  $d J u v x y $.  $d K a b c f g $.
    $d K c u v $.  $d B a b c f g $.  $d B c u v w z $.  $d B u v x y $.
    $d D a b c f g $.  $d E a b c f g $.  $d a b c f g ph $.  $d ph u v $.
    $( A functor to a thin category is determined entirely by the object part.
       The hypothesis "functhinc.1" is related to a monotone function if
       preorders induced by the categories are considered ( ~ catprs2 ).
       (Contributed by Zhi Wang, 1-Oct-2024.) $)
    functhinc $p |- ( ph -> ( F ( D Func E ) G <-> G = K ) ) $=
      ( va vg vf vb vc vv vu cfunc co wbr wceq cv ccid cfv cop cco wral wa c1st
      cxp c2nd cmap cixp wcel wf w3a eqid thinccd isfunc 3anass bitrdi mpbirand
      cvv wfn funcf2lem simprl simprr adantr functhinclem2 functhinclem1 syl5bb
      c0 wi anbi1d bitrd functhinclem4 mpbiran3d ) AJKHIUKULUMZKNUNZUDUOZHUPUQZ
      UQWMWMKULUQWMJUQZIUPUQZUQUNUEUOZUFUOZWMUGUOZURUHUOZHUSUQZULULWMWTKULUQWQW
      SWTKULUQWRWMWSKULUQWOWSJUQURWTJUQIUSUQZULULUNUEWSWTLULUTUFWMWSLULUTUHFUTU
      GFUTVAUDFUTZAWKKUHFFVCZWTVBUQJUQWTVDUQJUQMULWTLUQVEULVFVGZXCVAZWLXCVAAWKF
      GJVHZXFUAAWKXGXEXCVIXGXFVAAUDUGUHFGHXAWNUFUEIJKLWPMXBOPQRWNVJZWPVJZXAVJZX
      BVJZSAITVKVLXGXEXCVMVNVOAXEWLXCXEKVPVGKXDVQUIUOZUJUOZLULXLJUQXMJUQMULXLXM
      KULVHUJFUTUIFUTVIAWLUIUJUHFJKLMVRABCUIUJFGHIJKLMNOPQRTUAUBAXLFVGZXMFVGZVA
      ZVADEFJLMXLXMAXNXOVSAXNXOVTADUOZJUQEUOZJUQMULWEUNXQXRLULWEUNWFEFUTDFUTXPU
      CWAWBWCWDWGWHABCDEFGHXAWNUFUEIJKLWPMNXBUDUGUHOPQRSTUAUBUCXHXIXJXKWIWJ $.
  $}

  ${
    $d B f x y $.  $d C f x y $.  $d D f x y $.  $d F f x y $.  $d G f x y $.
    $d H f x y $.  $d J f x y $.  $d X x y $.  $d Y x y $.
    fullthinc.b $e |- B = ( Base ` C ) $.
    fullthinc.j $e |- J = ( Hom ` D ) $.
    fullthinc.h $e |- H = ( Hom ` C ) $.
    fullthinc.d $e |- ( ph -> D e. ThinCat ) $.
    ${
      fullthinc.f $e |- ( ph -> F ( C Func D ) G ) $.
      $( A functor to a thin category is full iff empty hom-sets are mapped to
         empty hom-sets.  (Contributed by Zhi Wang, 1-Oct-2024.) $)
      fullthinc $p |- ( ph -> ( F ( C Full D ) G
                        <-> A. x e. B A. y e. B ( ( x H y ) = (/) ->
                ( ( F ` x ) J ( F ` y ) ) = (/) ) ) ) $=
        ( vf co c0 wceq wa cthinc wcel cfunc wbr cful cv cfv wi wral wb isfull2
        foeq2 fo00 simprbi syl6bi com12 2ralimi simplbiim adantl simplr wn imor
        wfo wo csn wex wne weu simprl simprr funcf2 adantr simpr neqned fdomne0
        wf syl2anc simprd cbs simplll eqid funcf1 ffvelrnd eqidd chom thincn0eu
        a1i mpbid eusn sylib simpld foconst anbi1d foeq3 imbi12d mpbiri exlimiv
        feq3 imp syl12anc f00 biimpri syl5ibr jaodan sylan2b ralimdvva sylanbrc
        ex impbida ) AFUAUBZGHEFUCQUDZGHEFUEQUDZBUFZCUFZIQZRSZXMGUGZXNGUGZJQZRS
        ZUHZCDUIBDUIZUJNOXJXKTZXLYBXLYBYCXLXKXOXSXMXNHQZVCZCDUIBDUIZYBBCDEFGHIJ
        KLMUKZYEYABCDDXPYEXTXPYERXSYDVCZXTXORXSYDULZYHYDRSZXTXSYDUMZUNUOUPUQURU
        SYCYBTXKYFXLXJXKYBUTYCYBYFYCYAYEBCDDYCXMDUBZXNDUBZTZTZYAYEYAYOXPVAZXTVD
        YEXPXTVBYOYPYEXTYOYPTZXSPUFZVEZSZPVFZXOXSYDVPZYDRVGZYEYQYRXSUBPVHZUUAYQ
        XSRVGZUUDYQUUCUUEYQUUBXORVGUUCUUETYOUUBYPYODEFGHIJXMXNKMLXJXKYNUTZYCYLY
        MVIZYCYLYMVJZVKZVLZYQXORYOYPVMVNYDXOXSVOVQZVRYQFVSUGZFPJXQXRXJXKYNYPVTY
        QDUULXMGYQDUULEFGHKUULWAYOXKYPUUFVLWBZYOYLYPUUGVLWCYQDUULXNGUUMYOYMYPUU
        HVLWCYQUULWDJFWEUGSYQLWGWFWHPXSWIWJUUJYQUUCUUEUUKWKUUAUUBUUCTZYEYTUUNYE
        UHZPYTUUOXOYSYDVPZUUCTZXOYSYDVCZUHXOYRYDWLYTUUNUUQYEUURYTUUBUUPUUCXSYSX
        OYDWRWMXSYSXOYDWNWOWPWQWSWTYOXTTZXPYJXTYEUUSYJXPUUSXORYDVPZYJXPTUUSUUBU
        UTYOUUBXTUUIVLXTUUBUUTUJYOXSRXOYDWRUSWHXOYDXAWJZVRUUSYJXPUVAWKYOXTVMXPY
        JXTTZYEUVBYEXPYHYHUVBYKXBYIXCWSWTXDXEXHXFWSYGXGXIVQ $.
    $}

    ${
      fullthinc2.f $e |- ( ph -> F ( C Full D ) G ) $.
      fullthinc2.x $e |- ( ph -> X e. B ) $.
      fullthinc2.y $e |- ( ph -> Y e. B ) $.
      $( A full functor to a thin category maps empty hom-sets to empty
         hom-sets.  (Contributed by Zhi Wang, 1-Oct-2024.) $)
      fullthinc2 $p |- ( ph -> ( ( X H Y ) = (/) <->
                ( ( F ` X ) J ( F ` Y ) ) = (/) ) ) $=
        ( co c0 wceq vx vy cfv wcel cv wral cful cfunc fullfunc ssbri fullthinc
        wi wbr syl mpbid oveq12 eqeq1d simpl fveq2d oveq12d imbi12d rspc2gv imp
        wa simpr syl21anc funcf2 f002 impbid ) AIJGRZSTZIEUCZJEUCZHRZSTZAIBUDZJ
        BUDZUAUEZUBUEZGRZSTZVREUCZVSEUCZHRZSTZULZUBBUFUABUFZVKVOULZPQAEFCDUGRZU
        MZWGOAUAUBBCDEFGHKLMNAWJEFCDUHRZUMOWIWKEFCDUIUJUNZUKUOVPVQVDWGWHWFWHUAU
        BIJBBVRITZVSJTZVDZWAVKWEVOWOVTVJSVRIVSJGUPUQWOWDVNSWOWBVLWCVMHWOVRIEWMW
        NURUSWOVSJEWMWNVEUSUTUQVAVBVCVFAVJVNIJFRABCDEFGHIJKMLWLPQVGVHVI $.
    $}
  $}

  ${
    $d C f x y $.  $d D f x y $.  $d F f x y $.  $d G f x y $.  $d f ph x y $.
    thincfth.c $e |- ( ph -> C e. ThinCat ) $.
    thincfth.f $e |- ( ph -> F ( C Func D ) G ) $.
    $( A functor from a thin category is faithful.  (Contributed by Zhi Wang,
       1-Oct-2024.) $)
    thincfth $p |- ( ph -> F ( C Faith D ) G ) $=
      ( vx vy vf co wbr cv chom cfv wral wcel wa adantr eqid cfunc wf1 cbs cfth
      wmo wf cthinc simprl simprr thincmo funcf2 f1mo syl2anc ralrimivva isfth2
      sylanbrc ) ADEBCUAKLZHMZIMZBNOZKZURDOUSDOCNOZKZURUSEKZUBZIBUCOZPHVFPDEBCU
      DKLGAVEHIVFVFAURVFQZUSVFQZRZRZJMVAQJUEVAVCVDUFVEVJVFBJUTURUSABUGQVIFSAVGV
      HUHZAVGVHUIZVFTZUTTZUJVJVFBCDEUTVBURUSVMVNVBTZAUQVIGSVKVLUKJVAVCVDULUMUNH
      IVFBCDEUTVBVMVNVOUOUP $.
  $}

  ${
    $d C a f w x y z $.  $d H a f w x y z $.  $d J a f w x y z $.
    $d R a f w x y z $.  $d S a f w z $.  $d X a f w x y z $.
    $d Y a f w x y z $.  $d a f ph w x y z $.
    thincciso.c $e |- C = ( CatCat ` U ) $.
    thincciso.b $e |- B = ( Base ` C ) $.
    thincciso.r $e |- R = ( Base ` X ) $.
    thincciso.s $e |- S = ( Base ` Y ) $.
    thincciso.h $e |- H = ( Hom ` X ) $.
    thincciso.j $e |- J = ( Hom ` Y ) $.
    thincciso.u $e |- ( ph -> U e. V ) $.
    thincciso.x $e |- ( ph -> X e. B ) $.
    thincciso.y $e |- ( ph -> Y e. B ) $.
    thincciso.xt $e |- ( ph -> X e. ThinCat ) $.
    thincciso.yt $e |- ( ph -> Y e. ThinCat ) $.
    $( Two thin categories are isomorphic iff the induced preorders are
       order-isomorphic.  Example 3.26(2) of [Adamek] p. 33.  (Contributed by
       Zhi Wang, 16-Oct-2024.) $)
    thincciso $p  |- ( ph -> ( X ( ~=c ` C ) Y <-> E. f (
    A. x e. R A. y e. R ( ( x H y ) = (/) <-> ( ( f ` x ) J ( f ` y ) ) = (/) )
    /\ f : R -1-1-onto-> S ) ) ) $=
      ( va vz vw ccic cfv wbr cv ciso co wcel c0 wceq wb wral wf1o wa eqid ccat
      wex catccat syl cic cxp cmpo cop cvv opex a1i cful cfth cin c1st wi biimp
      2ralimi ad2antrl cthinc adantr cfunc thinccd simprr f1of biimpr functhinc
      wf mpbiri fullthinc mpbird df-br sylib thincfth elind vex cbs fvexi mpoex
      op1st f1oeq1 ax-mp sylibr jca catciso biimpar syldan eleq1 spcedv exlimdv
      ex fvexd c2nd wrel relfull biimpa simpld elin1d 1st2ndbr sylancr fullfunc
      ssbri mpbid simprl funcf2 f002 ralrimivva 2ralbiim sylanbrc fveq1 oveq12d
      simprd eqeq1d bibi2d 2ralbidv anbi12d impbid bitr4d ) AMNEUIUJUKUFULZMNEU
      MUJZUNZUOZUFVDZBULZCULZJUNZUPUQZUUFIULZUJZUUGUUJUJZKUNZUPUQZURZCFUSBFUSZF
      GUUJUTZVAZIVDZADEUFUUBMNUUBVBZPAHLUOEVCUOUAEHLOVEVFUBUCVGAUUSUUEAUURUUEIA
      UURUUEAUURVAZUUDUUJUGUHFFUGULZUHULZJUNUVBUUJUJUVCUUJUJKUNVHZVIZVJZUUCUOZU
      FVKUVFUVFVKUOUVAUUJUVEVLVMAUURUVFMNVNUNZMNVOUNZVPZUOZFGUVFVQUJZUTZVAZUVGU
      VAUVKUVMUVAUVHUVIUVFUVAUUJUVEUVHUKZUVFUVHUOUVAUVOUUIUUNVRZCFUSBFUSZUUPUVQ
      AUUQUUOUVPBCFFUUIUUNVSVTWAUVABCFMNUUJUVEJKQTSANWBUOZUURUEWCZUVAUUJUVEMNWD
      UNZUKUVEUVEUQUVEVBZUVAUGUHBCFGMNUUJUVEJKUVEQRSTUVAMAMWBUOUURUDWCZWEUVSUVA
      UUQFGUUJWJAUUPUUQWFZFGUUJWGVFUWAUUPUUNUUIVRZCFUSBFUSAUUQUUOUWDBCFFUUIUUNW
      HVTWAWIWKZWLWMUUJUVEUVHWNWOUVAUUJUVEUVIUKUVFUVIUOUVAMNUUJUVEUWBUWEWPUUJUV
      EUVIWNWOWQUVAUUQUVMUWCUVLUUJUQUVMUUQURUUJUVEIWRUGUHFFUVDFMWSQWTZUWFXAXBFG
      UVLUUJXCXDXEXFAUVGUVNADEFGHUVFUUBLMNOPQRUAUBUCUUTXGXHXIUUAUVFUUCXJXKXMXLA
      UUDUUSUFAUUDUUSAUUDVAZUURUUIUUFUUAVQUJZUJZUUGUWHUJZKUNZUPUQZURZCFUSBFUSZF
      GUWHUTZVAIVKUWHUWGUUAVQXNUWGUWNUWOUWGUUIUWLVRCFUSBFUSZUWLUUIVRZCFUSBFUSUW
      NUWGUWHUUAXOUJZUVHUKZUWPUWGUVHXPUUAUVHUOUWSMNXQUWGUVHUVIUUAUWGUUAUVJUOZUW
      OAUUDUWTUWOVAADEFGHUUAUUBLMNOPQRUAUBUCUUTXGXRZXSXTUUAUVHYAYBZUWGBCFMNUWHU
      WRJKQTSAUVRUUDUEWCUWGUWSUWHUWRUVTUKZUXBUVHUVTUWHUWRMNYCYDVFZWLYEUWGUWQBCF
      FUWGUUFFUOZUUGFUOZVAZVAZUUHUWKUUFUUGUWRUNUXHFMNUWHUWRJKUUFUUGQSTUWGUXCUXG
      UXDWCUWGUXEUXFYFUWGUXEUXFWFYGYHYIUUIUWLBCFFYJYKUWGUWTUWOUXAYNXFUUJUWHUQZU
      UPUWNUUQUWOUXIUUOUWMBCFFUXIUUNUWLUUIUXIUUMUWKUPUXIUUKUWIUULUWJKUUFUUJUWHY
      LUUGUUJUWHYLYMYOYPYQFGUUJUWHXCYRXKXMXLYSYT $.
  $}

  ${
    $d C f x y $.
    $( Any structure with an empty set of objects is a thin category.
       (Contributed by Zhi Wang, 17-Sep-2024.) $)
    0thincg $p |- ( ( C e. V /\ (/) = ( Base ` C ) ) -> C e. ThinCat ) $=
      ( vf vx vy wcel c0 cbs cfv wceq wa ccat cv chom co wral cthinc 0catg eqid
      wmo ral0 raleq mpbii adantl isthinc sylanbrc ) ABFZGAHIZJZKALFCMDMEMANIZO
      FCTEUHPZDUHPZAQFABRUIULUGUIUKDGPULUKDUAUKDGUHUBUCUDDEUHACUJUHSUJSUEUF $.
  $}

  $( The empty category (see ~ 0cat ) is thin.  (Contributed by Zhi Wang,
     17-Sep-2024.) $)
  0thinc $p |- (/) e. ThinCat $=
    ( c0 cvv wcel cbs cfv wceq cthinc 0ex base0 0thincg mp2an ) ABCAADEFAGCHIAB
    JK $.

  ${
    $d .<_ f g x y z $.  $d B f g x y z $.  $d C f g x y z $.
    $d f g ph x y z $.
    indthinc.b $e |- ( ph -> B = ( Base ` C ) ) $.
    ${
      indthinc.h $e |- ( ph -> ( ( B X. B ) X. { 1o } ) = ( Hom ` C ) ) $.
      indthinc.o $e |- ( ph -> (/) = ( comp ` C ) ) $.
      indthinc.c $e |- ( ph -> C e. V ) $.
      $( An indiscrete category in which all hom-sets have exactly one morphism
         is a thin category.  Constructed here is an indiscrete category where
         all morphisms are ` (/) ` .  This is a special case of ~ prsthinc ,
         where ` .<_ = ( B X. B ) ` .  This theorem also implies a functor from
         the category of sets to the category of small categories.
         (Contributed by Zhi Wang, 17-Sep-2024.)  (Proof shortened by Zhi Wang,
         19-Sep-2024.) $)
      indthinc $p |- ( ph
                   -> ( C e. ThinCat /\ ( Id ` C ) = ( y e. B |-> (/) ) ) ) $=
        ( vx vz vf vg cv wcel c1o co wa c0 wceq w3a cxp csn cop cfv eqidd f1omo
        wmo df-ov eleq2i mobii sylibr biid id ancli ovconst2 0lt1o eleq2 mpbiri
        1oex 3syl adantl a1i 0ov oveqi eqtri 3adant2 3eltr4d ad2antrl isthincd2
        ) AJNZCOZBNZCOZKNZCOZUAZLNZVKVMCCUBZPUCUBZQZOZMNZVMVOVTQORZRZJBKCDSSLMV
        TEFGAVLVNRRZVRVKVMUDZVTUEZOZLUHWBLUHWFLVSVTWGWFVTUFUGWBWILWAWHVRVKVMVTU
        IUJUKULHIWEUMVNSVMVMVTQZOZAVNVNVNRWJPTZWKVNVNVNUNUOCCPVMVMUTUPWLWKSPOZU
        QWJPSURUSVAVBVQWCVRWGVOSQZQZVKVOVTQZOAWDVQSPWOWPWMVQUQVCWOSTVQWOWCVRSQS
        WNSWCVRWGVOVDVEWCVRVDVFVCVLVPWPPTVNCCPVKVOUTUPVGVHVIVJ $.

      $( An alternate proof for ~ indthinc assuming more axioms including
         ~ ax-pow and ~ ax-un .  (Contributed by Zhi Wang, 17-Sep-2024.)
         (Proof modification is discouraged.)  (New usage is discouraged.) $)
      indthincALT $p |- ( ph
                   -> ( C e. ThinCat /\ ( Id ` C ) = ( y e. B |-> (/) ) ) ) $=
        ( vf cv wcel c1o co wa c0 cdom 1oex ovconst2 wceq vx vz w3a cxp csn wmo
        vg wbr cvv domrefg ax-mp eqbrtrdi modom2 sylibr adantl biid ancli 0lt1o
        id eleq2 mpbiri 3syl cop a1i 0ov oveqi eqtri 3adant2 ad2antrl isthincd2
        3eltr4d ) AUAKZCLZBKZCLZUBKZCLZUCZJKZVLVNCCUDMUEUDZNZLZUGKZVNVPVTNLOZOZ
        UABUBCDPPJUGVTEFGVMVOOZWBJUFZAWFWAMQUHWGWFWAMMQCCMVLVNRSMUILMMQUHRMUIUJ
        UKULJWAUMUNUOHIWEUPVOPVNVNVTNZLZAVOVOVOOWHMTZWIVOVOVOUSUQCCMVNVNRSWJWIP
        MLZURWHMPUTVAVBUOVRWCVSVLVNVCZVPPNZNZVLVPVTNZLAWDVRPMWNWOWKVRURVDWNPTVR
        WNWCVSPNPWMPWCVSWLVPVEVFWCVSVEVGVDVMVQWOMTVOCCMVLVPRSVHVKVIVJ $.
    $}

    ${
      prsthinc.h $e |- ( ph -> ( .<_ X. { 1o } ) = ( Hom ` C ) ) $.
      prsthinc.o $e |- ( ph -> (/) = ( comp ` C ) ) $.
      prsthinc.l $e |- ( ph -> .<_ = ( le ` C ) ) $.
      prsthinc.p $e |- ( ph -> C e. Proset ) $.
      $( Preordered sets as categories.  Similar to example 3.3(4.d) of
         [Adamek] p. 24, but the hom-sets are not pairwise disjoint.  One can
         define a functor from the category of prosets to the category of small
         thin categories.  See ~ catprs and ~ catprs2 for inducing a preorder
         from a category.  Example 3.26(2) of [Adamek] p. 33 indicates that it
         induces a bijection from the equivalence class of isomorphic small
         thin categories to the equivalence class of order-isomorphic
         preordered sets.  (Contributed by Zhi Wang, 18-Sep-2024.) $)
      prsthinc $p |- ( ph
                   -> ( C e. ThinCat /\ ( Id ` C ) = ( y e. B |-> (/) ) ) ) $=
        ( vf cv wcel c1o co wa c0 wbr breqd a1i w3a csn cxp cproset cop cfv wmo
        vx vz vg eqidd f1omo df-ov eleq2i mobii sylibr biid 0lt1o wceq cple cbs
        eleq2d eqid prsref sylan sylbida biimpar syldan cvv 1oex fvconstr mpbid
        wne 1n0 eleqtrrid 0ov oveqi eqtri eqeltri simpl adantr 3anbi123d biimpa
        adantrr simprrl fvconstr2 biimpd sylc simprrr prstr syl112anc isthincd2
        biimprd ) AUHLZCMZBLZCMZUILZCMZUAZKLZWNWPENUBUCZOZMZUJLZWPWRXBOMZPZPZUH
        BUICDQQKUJXBUDFGAWOWQPPZXAWNWPUEZXBUFZMZKUGXDKUGXIKEXBXJXIXBUKULXDXLKXC
        XKXAWNWPXBUMUNUOUPHJXHUQAWQPZQNWPWPXBOZURXMWPWPERZXNNUSAWQWPWPDUTUFZRZX
        OAWQWPDVAUFZMZXQACXRWPFVBZADUDMZXSXQJXRDXPWPXRVCZXPVCZVDVEVFAXOXQAEXPWP
        WPISVGVHXMWPWPEXBVINXMXBUKNVIMZXMVJTNQVMZXMVNTVKVLVOAXHPZXEXAXJWRQOZOZN
        WNWRXBOZYHQNYHXEXAQOQYGQXEXAXJWRVPVQXEXAVPVRURVSYFWNWRERZYINUSYFAWNWRXP
        RZYJAXHVTZYFYAWNXRMZXSWRXRMZUAZWNWPXPRZWPWRXPRZYKAYAXHJWAAWTYOXGAWTYOAW
        OYMWQXSWSYNACXRWNFVBXTACXRWRFVBWBWCWDYFAWNWPERZYPYLYFWNWPEXBXANYFXBUKZA
        WTXDXFWEWFAYRYPAEXPWNWPISWGWHYFAWPWRERZYQYLYFWPWREXBXENYSAWTXDXFWIWFAYT
        YQAEXPWPWRISWGWHXRDXPWNWPWRYBYCWJWKAYJYKAEXPWNWRISWMWHYFWNWREXBVINYSYDY
        FVJTYEYFVNTVKVLVOWL $.
    $}
  $}

  ${
    $d U f p x y z $.  $d f ph y z $.
    setcthin.c $e |- ( ph -> C = ( SetCat ` U ) ) $.
    setcthin.u $e |- ( ph -> U e. V ) $.
    setcthin.x $e |- ( ph -> A. x e. U E* p p e. x ) $.
    $( A category of sets all of whose objects contain at most one element is
       thin.  (Contributed by Zhi Wang, 20-Sep-2024.) $)
    setcthin $p |- ( ph -> C e. ThinCat ) $=
      ( vy vz vf cfv eqid cv wcel wa wmo mobidv adantr csetc chom setcbas eqidd
      cthinc co wf weq elequ2 wral simprr rspcdva mofmo simprl elsetchom mpbird
      syl ccat setccat isthincd eqeltrd ) ACDUAMZUEGAJKDVBLVBUBMZAVBDEVBNZHUCAV
      CUDAJOZDPZKOZDPZQZQZLOZVEVGVCUFPZLRVEVGVKUGZLRZVJFOZVGPZFRZVNVJVOBOPZFRZV
      QBDVGBKUHVRVPFBKFUISAVSBDUJVIITAVFVHUKZULFVEVGLUMUQVJVLVMLVJVBDVKVCEVEVGV
      DADEPZVIHTVCNAVFVHUNVTUOSUPAWAVBURPHVBDEVDUSUQUTVA $.
  $}

  ${
    $d x y z $.
    $( The category ` ( SetCat `` 2o ) ` is thin.  A special case of
       ~ setcthin .  (Contributed by Zhi Wang, 20-Sep-2024.) $)
    setc2othin $p |- ( SetCat ` 2o ) e. ThinCat $=
      ( vx vz vy c2o csetc cfv cthinc wcel wtru cvv eqidd 2oex a1i wmo wral csn
      cv c0 wceq wo cpr wex elpri 0ex sneq eqeq2d spcev orim2i mo0sn 3syl df2o2
      biimpri eleq2s rgen setcthin mptru ) DEFZGHIAUQDJBIUQKDJHILMBQAQZHBNZADOI
      USADUSURRRPZUAZDURVAHURRSZURUTSZTVBURCQZPZSZCUBZTZUSURRUTUCVCVGVBVFVCCRUD
      VDRSVEUTURVDRUEUFUGUHUSVHBCURUIULUJUKUMUNMUOUP $.
  $}

  ${
    thincsect.c $e |- ( ph -> C e. ThinCat ) $.
    thincsect.b $e |- B = ( Base ` C ) $.
    thincsect.x $e |- ( ph -> X e. B ) $.
    thincsect.y $e |- ( ph -> Y e. B ) $.
    ${
      thincsect.s $e |- S = ( Sect ` C ) $.
      ${
        thincsect.h $e |- H = ( Hom ` C ) $.
        $( In a thin category, one morphism is a section of another iff they
           are pointing towards each other.  (Contributed by Zhi Wang,
           24-Sep-2024.) $)
        thincsect $p |- ( ph -> ( F ( X S Y ) G
                         <-> ( F e. ( X H Y ) /\ G e. ( Y H X ) ) ) ) $=
          ( co wcel wa cfv adantr wbr cop cco ccid wceq w3a eqid thinccd issect
          df-3an bitrdi cthinc ccat simprl simprr catcocl thincid mpbiran3d ) A
          EFHIDPUAZEHIGPQZFIHGPQZRZFEHIUBHCUCSZPPZHCUDSZSUEZAUSUTVAVFUFVBVFRABC
          DVCVEEFGHIKOVCUGZVEUGZNACJUHZLMUIUTVAVFUJUKAVBRZBCVEVDGHACULQVBJTKOAH
          BQVBLTZVHVJBCVCEFGHIHKOVGACUMQVBVITVKAIBQVBMTVKAUTVAUNAUTVAUOUPUQUR
          $.
      $}

      $( In a thin category, ` F ` is a section of ` G ` iff ` G ` is a section
         of ` F ` .  (Contributed by Zhi Wang, 24-Sep-2024.) $)
      thincsect2 $p |- ( ph -> ( F ( X S Y ) G <-> G ( Y S X ) F ) ) $=
        ( chom cfv co wcel wa wbr thincsect wb ancom a1i eqid 3bitr4d ) AEGHCNO
        ZPQZFHGUFPQZRZUHUGRZEFGHDPSFEHGDPSUIUJUAAUGUHUBUCABCDEFUFGHIJKLMUFUDZTA
        BCDFEUFHGIJLKMUKTUE $.

      thincinv.n $e |- N = ( Inv ` C ) $.
      $( In a thin category, ` F ` is an inverse of ` G ` iff ` F ` is a
         section of ` G ` (Contributed by Zhi Wang, 24-Sep-2024.) $)
      thincinv $p |- ( ph -> ( F ( X N Y ) G <-> F ( X S Y ) G ) ) $=
        ( co wbr thinccd isinv thincsect2 biimpa mpbiran3d ) AEFHIGPQEFHIDPQZFE
        IHDPQZABCDEFGHIKOACJRLMNSAUCUDABCDEFHIJKLMNTUAUB $.
    $}

    $d C f g $.  $d F f g $.  $d H f g $.  $d I f g $.  $d X f g $.
    $d Y f g $.  $d f g ph $.
    thinciso.h $e |- H = ( Hom ` C ) $.
    ${
      thinciso.i $e |- I = ( Iso ` C ) $.
      thinciso.f $e |- ( ph -> F e. ( X H Y ) ) $.
      $( In a thin category, ` F : X --> Y ` is an isomorphism iff there is a
         morphism from ` Y ` to ` X ` .  (Contributed by Zhi Wang,
         25-Sep-2024.) $)
      thinciso $p |- ( ph -> ( F e. ( X I Y ) <-> ( Y H X ) =/= (/) ) ) $=
        ( vg co wcel wa wtru cv csect cfv wbr wrex c0 wne thinccd dfiso3 simprl
        eqid ad2antrr cthinc thincsect mpbir2and trud reximdva0 reximddv adantl
        jca rexn0 impbida bitr4d ) ADGHFQRPUAZDHGCUBUCZQUDZDVDGHVEQUDZSZPHGEQZU
        EZVIUFUGZABCVEPDEFGHJMNVEUKZACIUHKLOUIAVKVJAVKSZTVHPVIVMVDVIRZTSZSZVFVG
        VPVFVNDGHEQRZVMVNTUJZAVQVKVOOULZVPBCVEVDDEHGACUMRVKVOIULZJAHBRVKVOLULZA
        GBRVKVOKULZVLMUNUOVPVGVQVNVSVRVPBCVEDVDEGHVTJWBWAVLMUNUOUTATPVIAVNSUPUQ
        URVJVKAVHPVIVAUSVBVC $.
    $}

    $( In a thin category, two objects are isomorphic iff there are morphisms
       between them in both directions.  (Contributed by Zhi Wang,
       25-Sep-2024.) $)
    thinccic $p |- ( ph -> ( X ( ~=c ` C ) Y <->
                ( ( X H Y ) =/= (/) /\ ( Y H X ) =/= (/) ) ) ) $=
      ( vf cfv co wcel wex c0 wne wa adantr cv ciso ccic wbr eqid isohom sselda
      thinccd cthinc simpr thinciso biadanid exbidv cic wb anbi1i 19.41v bitr4i
      n0 a1i 3bitr4d ) ALUAZEFCUBMZNZOZLPVBEFDNZOZFEDNQRZSZLPZEFCUCMUDVFQRZVHSZ
      AVEVILAVEVGVHAVDVFVBABCDVCEFHKVCUEZACGUHZIJUFUGAVGSBCVBDVCEFACUIOVGGTHAEB
      OVGITAFBOVGJTKVMAVGUJUKULUMABCLVCEFVMHVNIJUNVLVJUOAVLVGLPZVHSVJVKVOVHLVFU
      SUPVGVHLUQURUTVA $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Preordered sets as thin categories
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c ProsetToCat $.

  $( Class function defining preordered sets as categories. $)
  cprstc $a class ProsetToCat $.

  ${
    $d C f x y z $.  $d H f $.  $d K k x y z $.  $d X f $.  $d Y f $.
    $d ph f x y z $.
    $( Definition of the function converting a preordered set to a category.
       Justified by ~ prsthinc .

       This definition is somewhat arbitrary.  Example 3.3(4.d) of [Adamek]
       p. 24 demonstrates an alternate definition with pairwise disjoint
       hom-sets.  The behavior of the function is defined entirely, up to
       isomorphism, by ~ prstcnid , ~ prstchom , and ~ prstcthin .  Other
       important properties include ~ prstcbas , ~ prstcleval , ~ prstcle ,
       ~ prstcocval , ~ prstcoc , ~ prstchom2 , and ~ prstcprs .  Use those
       instead.

       Note that the defining property ~ prstchom is equivalent to ~ prstchom2
       given ~ prstcthin .  See ~ thincn0eu for justification.

       "ProsetToCat" was taken instead of "ProsetCat" because the latter might
       mean the category of preordered sets (classes).  However, "ProsetToCat"
       seems too long.  (Contributed by Zhi Wang, 20-Sep-2024.)
       (New usage is discouraged.) $)
    df-prstc $a |- ProsetToCat = ( k e. Proset |-> ( ( k sSet
          <. ( Hom ` ndx ) , ( ( le ` k ) X. { 1o } ) >. ) sSet
          <. ( comp ` ndx ) , (/) >. ) ) $.

    prstcnid.c $e |- ( ph -> C = ( ProsetToCat ` K ) ) $.
    prstcnid.k $e |- ( ph -> K e. Proset ) $.
    $( Lemma for ~ prstcnidlem and ~ prstcthin .  (Contributed by Zhi Wang,
       20-Sep-2024.)  (New usage is discouraged.) $)
    prstcval $p |- ( ph -> C = ( ( K sSet
                      <. ( Hom ` ndx ) , ( ( le ` K ) X. { 1o } ) >. ) sSet
                  <. ( comp ` ndx ) , (/) >. ) ) $=
      ( vk cprstc cfv cnx chom cple c1o csn cxp cop csts co cco cproset wceq c0
      wcel cv fveq2 xpeq1d opeq2d oveq12d oveq1d df-prstc ovex fvmpt syl eqtrd
      id ) ABCGHZCIJHZCKHZLMZNZOZPQZIRHUAOZPQZDACSUBUOVCTEFCFUCZUPVDKHZURNZOZPQ
      ZVBPQVCSGVDCTZVHVAVBPVIVDCVGUTPVIUNVIVFUSUPVIVEUQURVDCKUDUEUFUGUHFUIVAVBP
      UJUKULUM $.

    ${
      prstcnid.e $e |- E = Slot ( E ` ndx ) $.
      prstcnid.no $e |- ( E ` ndx ) =/= ( comp ` ndx ) $.
      $( Lemma for ~ prstcnid and ~ prstchomval .  (Contributed by Zhi Wang,
         20-Sep-2024.)  (New usage is discouraged.) $)
      prstcnidlem $p |- ( ph -> ( E ` C ) = ( E ` ( K sSet
                       <. ( Hom ` ndx ) , ( ( le ` K ) X. { 1o } ) >. ) ) ) $=
        ( cfv cnx chom cple c1o csn cxp cop csts co cco c0 prstcval setsnid
        fveq2d eqtr4di ) ABCIDJKIDLIMNOPQRZJSIZTPQRZCIUECIABUGCABDEFUAUCTUFCUEG
        HUBUD $.

      prstcnid.nh $e |- ( E ` ndx ) =/= ( Hom ` ndx ) $.
      $( Components other than ` Hom ` and ` comp ` are unchanged.
         (Contributed by Zhi Wang, 20-Sep-2024.) $)
      prstcnid $p |- ( ph -> ( E ` K ) = ( E ` C ) ) $=
        ( cfv cnx chom cple c1o csn cxp cop csts co setsnid prstcnidlem eqtr4id
        ) ADCJDKLJZDMJNOPZQRSCJBCJUDUCCDGITABCDEFGHUAUB $.
    $}

    ${
      prstcbas.b $e |- ( ph -> B = ( Base ` K ) ) $.
      $( The base set is unchanged.  (Contributed by Zhi Wang, 20-Sep-2024.) $)
      prstcbas $p |- ( ph -> B = ( Base ` C ) ) $=
        ( cbs cfv baseid cnx chom wne slotsbhcdif simp2i simp1i prstcnid eqtrd
        cco ) ABDHICHIGACHDEFJKHIZKLIZMZTKSIZMZUAUCMZNOUBUDUENPQR $.
    $}

    ${
      prstcle.l $e |- ( ph -> .<_ = ( le ` K ) ) $.
      $( Value of the less-than-or-equal-to relation is unchanged.
         (Contributed by Zhi Wang, 20-Sep-2024.) $)
      prstcleval $p |- ( ph -> .<_ = ( le ` C ) ) $=
        ( cple cfv cnx wne c1 cc0 cdc c5 10re 1nn0 0nn0 5nn c4 pleid cco nngt0i
        declt ltneii plendx ccondx neeq12i mpbir chom 4nn homndx prstcnid eqtrd
        ) ADCHIBHIGABHCEFUAJHIZJUBIZKLMNZLONZKUQURPLMOQRSOSUCUDUEUOUQUPURUFUGUH
        UIUOJUJIZKUQLTNZKUQUTPLMTQRUKTUKUCUDUEUOUQUSUTUFULUHUIUMUN $.

      $( Value of the less-than-or-equal-to relation is unchanged.
         (Contributed by Zhi Wang, 20-Sep-2024.) $)
      prstcle $p |- ( ph -> ( X .<_ Y <-> X ( le ` C ) Y ) ) $=
        ( cple cfv prstcleval breqd ) ADBJKEFABCDGHILM $.
    $}

    ${
      prstcoc.oc $e |- ( ph -> ._|_ = ( oc ` K ) ) $.
      $( Orthocomplementation is unchanged.  (Contributed by Zhi Wang,
         20-Sep-2024.) $)
      prstcocval $p |- ( ph -> ._|_ = ( oc ` C ) ) $=
        ( coc cfv cnx wne c1 cdc c5 1nn0 declt ltneii ocndx neeq12i mpbir deccl
        ocid cco nn0rei 5nn 1lt5 ccondx chom c4 4nn 1lt4 homndx prstcnid eqtrd
        ) ADCHIBHIGABHCEFUBJHIZJUCIZKLLMZLNMZKUQURUQLLOOUAUDZLLNOOUEUFPQUOUQUPU
        RRUGSTUOJUHIZKUQLUIMZKUQVAUSLLUIOOUJUKPQUOUQUTVARULSTUMUN $.

      $( Orthocomplementation is unchanged.  (Contributed by Zhi Wang,
         20-Sep-2024.) $)
      prstcoc $p |- ( ph -> ( ._|_ ` X ) = ( ( oc ` C ) ` X ) ) $=
        ( coc cfv prstcocval fveq1d ) AEDBIJABCDFGHKL $.
    $}

    ${
      prstchomval.l $e |- ( ph -> .<_ = ( le ` C ) ) $.
      $( Hom-sets of the constructed category which depend on an arbitrary
         definition.  (Contributed by Zhi Wang, 20-Sep-2024.)
         (New usage is discouraged.) $)
      prstchomval $p |- ( ph ->
              ( .<_ X. { 1o } ) = ( Hom ` C ) ) $=
        ( chom cfv cnx cple c1o csn cxp cop homid wne cproset wcel cvv csts cbs
        co cco slotsbhcdif simp3i prstcnidlem wceq fvex snex xpex sylancl eqidd
        setsid prstcleval eqtr4d xpeq1d 3eqtr2rd ) ABHICJHIZCKIZLMZNZOUAUCHIZVB
        DVANABHCEFPJUBIZUSQVDJUDIZQUSVEQUEUFUGACRSVBTSVBVCUHFUTVACKUILUJUKRVBHT
        CPUNULAUTDVAAUTBKIDABCUTEFAUTUMUOGUPUQUR $.
    $}

    $( The category is a preordered set.  (Contributed by Zhi Wang,
       20-Sep-2024.) $)
    prstcprs $p |- ( ph -> C e. Proset ) $=
      ( vx vy vz cproset wcel cv cple cfv wbr wa wral cvv eqidd cprstc isprsd
      wi cbs prstcbas prstcleval fvex eqeltrdi bitr4d mpbird ) ABIJZCIJZEAUIFKZ
      UKCLMZNUKGKZULNUMHKZULNOUKUNULNUAOHCUBMZPGUOPFUOPUJAFGHUOBULQAUOBCDEAUORZ
      UCABCULDEAULRZUDABCSMQDCSUEUFTAFGHUOCULIUPUQETUGUH $.

    $( The preordered set is equipped with a thin category.  (Contributed by
       Zhi Wang, 20-Sep-2024.) $)
    prstcthin $p |- ( ph -> C e. ThinCat ) $=
      ( vy cthinc wcel ccid cfv c0 wceq cple eqidd cnx cop csts co cco cvv cmpt
      cbs prstchomval chom c1o csn cxp ovex ccoid setsid mp2an prstcval eqtr4id
      0ex fveq2d prstcprs prsthinc simpld ) ABGHBIJFBUBJZKUALAFUSBBMJZAUSNABCUT
      DEAUTNZUCAKCOUDJCMJUEUFUGPZQRZOSJKPQRZSJZBSJVCTHKTHKVELCVBQUHUNTKSTVCUIUJ
      UKABVDSABCDEULUOUMVAABCDEUPUQUR $.

    ${
      prstchom.l $e |- ( ph -> .<_ = ( le ` C ) ) $.
      prstchom.e $e |- ( ph -> H = ( Hom ` C ) ) $.
      ${
        prstchom.x $e |- ( ph -> X e. ( Base ` C ) ) $.
        prstchom.y $e |- ( ph -> Y e. ( Base ` C ) ) $.
        $( Hom-sets of the constructed category are dependent on the preorder.

           Note that prstchom.x and prstchom.y are redundant here due to our
           definition of ` ProsetToCat ` .  However, this should not be assumed
           as it is definition-dependent.  Therefore, the two hypotheses are
           added for explicitness.  (Contributed by Zhi Wang, 20-Sep-2024.) $)
        prstchom $p |- ( ph -> ( X .<_ Y <-> ( X H Y ) =/= (/) ) ) $=
          ( cvv c1o chom cfv csn cxp a1i prstchomval eqtr4d wcel wne fvconstrn0
          1oex c0 1n0 ) AFGECNOACBPQEORSKABDEHIJUAUBONUCAUFTOUGUDAUHTUE $.

        $( Hom-sets of the constructed category are dependent on the preorder.

           Note that prstchom.x and prstchom.y are redundant here due to our
           definition of ` ProsetToCat ` ( see ~ prstchom2ALT ).  However, this
           should not be assumed as it is definition-dependent.  Therefore, the
           two hypotheses are added for explicitness.  (Contributed by Zhi
           Wang, 21-Sep-2024.) $)
        prstchom2 $p |- ( ph -> ( X .<_ Y <-> E! f f e. ( X H Y ) ) ) $=
          ( wbr co c0 wne cv wcel weu prstchom prstcthin eqidd thincn0eu bitrd
          cbs cfv ) AGHFOGHDPZQRCSUITCUAABDEFGHIJKLMNUBABUGUHZBCDGHABEIJUCMNAUJ
          UDLUEUF $.
      $}

      $( Hom-sets of the constructed category are dependent on the preorder.
         This proof depends on the definition ~ df-prstc .  See ~ prstchom2 for
         a version that does not depend on the definition.  (Contributed by Zhi
         Wang, 20-Sep-2024.)  (Proof modification is discouraged.)
         (New usage is discouraged.) $)
      prstchom2ALT $p |- ( ph -> ( X .<_ Y <-> E! f f e. ( X H Y ) ) ) $=
        ( wbr cv wcel c1o cvv a1i c0 wne weu cen wceq ovex chom cfv prstchomval
        co csn cxp eqtr4d 1oex 1n0 fvconstr biimpa eqeng mpsyl euen1b sylib wex
        wa euex n0 sylibr fvconstrn0 biimpar sylan2 impbida ) AGHFMZCNGHDUHZOZC
        UAZAVIVAZVJPUBMZVLVJQOVMVJPUCZVNGHDUDAVIVOAGHFDQPADBUEUFFPUIUJLABEFIJKU
        GUKZPQOAULRZPSTAUMRZUNUOVJPQUPUQCVJURUSVLAVJSTZVIVLVKCUTVSVKCVBCVJVCVDA
        VIVSAGHFDQPVPVQVRVEVFVGVH $.
    $}
  $}

  ${
    $d B x y $.  $d C x y $.  $d ph x y $.
    postc.c $e |- ( ph -> C = ( ProsetToCat ` K ) ) $.
    postc.k $e |- ( ph -> K e. Proset ) $.
    ${
      $d K x y $.
      $( The converted category is a poset iff the original proset is a poset.
         (Contributed by Zhi Wang, 26-Sep-2024.) $)
      postcpos $p |- ( ph -> ( K e. Poset <-> C e. Poset ) ) $=
        ( vx vy cbs cfv cproset prstcprs eqidd prstcbas cv cple wb wcel prstcle
        wbr wa adantr pospropd ) AFGCHIZCBJJEABCDEKAUCLZAUCBCDEUDMAFNZGNZCOIZSU
        EUFBOISPUEUCQUFUCQTABCUGUEUFDEAUGLRUAUB $.

      $( Alternate proof for ~ postcpos .  (Contributed by Zhi Wang,
         25-Sep-2024.)  (Proof modification is discouraged.)
         (New usage is discouraged.) $)
      postcposALT $p |- ( ph -> ( K e. Poset <-> C e. Poset ) ) $=
        ( vx vy cv cple cfv wbr wa wi cbs wral cpo wcel eqidd prstcle eqid baib
        weq prstcbas anbi12d imbi1d raleqbidvv cproset ispos2 prstcprs 3bitr4d
        wb syl ) AFHZGHZCIJZKZUNUMUOKZLZFGUBZMZGCNJZOZFVAOZUMUNBIJZKZUNUMVDKZLZ
        USMZGBNJZOZFVIOZCPQZBPQZAVBVJFVAVIAVABCDEAVARUCZAUTVHGVAVIVNAURVGUSAUPV
        EUQVFABCUOUMUNDEAUORZSABCUOUNUMDEVOSUDUEUFUFACUGQZVLVCUKEVLVPVCFGVACUOV
        ATUOTUHUAULABUGQZVMVKUKABCDEUIVMVQVKFGVIBVDVITVDTUHUAULUJ $.
    $}

    postc.b $e |- B = ( Base ` C ) $.
    $( The converted category is a poset iff no distinct objects are
       isomorphic.  (Contributed by Zhi Wang, 25-Sep-2024.) $)
    postc $p |- ( ph -> ( C e. Poset <-> A. x e. B A. y e. B
                                   ( x ( ~=c ` C ) y -> x = y ) ) ) $=
      ( wcel cv cfv wbr wa wceq wi wral cproset eqid co cpo cple ccic wb ispos2
      prstcprs baib syl chom wne cprstc adantr prstcthin simprl simprr thinccic
      c0 eqidd cbs eleqtrdi prstchom anbi12d bitr4d imbi1d 2ralbidva ) AEUAJZBK
      ZCKZEUBLZMZVHVGVIMZNZVGVHOZPZCDQBDQZVGVHEUCLMZVMPZCDQBDQAERJZVFVOUDAEFGHU
      FVFVRVOBCDEVIIVISUEUGUHAVQVNBCDDAVGDJZVHDJZNZNZVPVLVMWBVPVGVHEUILZTUQUJZV
      HVGWCTUQUJZNVLWBDEWCVGVHWBEFAEFUKLOWAGULZAFRJWAHULZUMIAVSVTUNZAVSVTUOZWCS
      UPWBVJWDVKWEWBEWCFVIVGVHWFWGWBVIURZWBWCURZWBVGDEUSLZWHIUTZWBVHDWLWIIUTZVA
      WBEWCFVIVHVGWFWGWJWKWNWMVAVBVCVDVEVC $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Monoids as categories
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  $c MndToCat $.

  $( Class function defining monoids as categories. $)
  cmndtc $a class MndToCat $.

  ${
    $d B x y $.  $d M m x $.  $d X x y $.  $d Y x y $.  $d m ph $.
    $( Definition of the function converting a monoid to a category.  Example
       3.3(4.e) of [Adamek] p. 24.

       The definition of the base set is arbitrary.  The whole extensible
       structure becomes the object here (see ~ mndtcbasval ) , instead of just
       the base set, as is the case in Example 3.3(4.e) of [Adamek] p. 24.

       The resulting category is defined entirely, up to isomorphism, by
       ~ mndtcbas , ~ mndtchom , ~ mndtcco .  Use those instead.

       See example 3.26(3) of [Adamek] p. 33 for more on isomorphism.

       "MndToCat" was taken instead of "MndCat" because the latter might mean
       the category of monoids.  (Contributed by Zhi Wang, 22-Sep-2024.)
       (New usage is discouraged.) $)
    df-mndtc $a |- MndToCat = ( m e. Mnd |-> { <. ( Base ` ndx ) , { m } >. ,
          <. ( Hom ` ndx ) , { <. m , m , ( Base ` m ) >. } >. ,
          <. ( comp ` ndx ) , { <. <. m , m , m >. , ( +g ` m ) >. } >. } ) $.

    mndtcbas.c $e |- ( ph -> C = ( MndToCat ` M ) ) $.
    mndtcbas.m $e |- ( ph -> M e. Mnd ) $.
    $( Value of the category built from a monoid.  (Contributed by Zhi Wang,
       22-Sep-2024.)  (New usage is discouraged.) $)
    mndtcval $p |- ( ph -> C = { <. ( Base ` ndx ) , { M } >. ,
          <. ( Hom ` ndx ) , { <. M , M , ( Base ` M ) >. } >. ,
          <. ( comp ` ndx ) , { <. <. M , M , M >. , ( +g ` M ) >. } >. } ) $=
      ( vm cmndtc cfv cnx cbs csn cop cotp cplusg ctp cmnd wceq opeq2d oteq123d
      fveq2 chom cco wcel cv sneq id sneqd opeq12d tpeq123d df-mndtc tpex fvmpt
      syl eqtrd ) ABCGHZIJHZCKZLZIUAHZCCCJHZMZKZLZIUBHZCCCMZCNHZLZKZLZOZDACPUCU
      OVJQEFCUPFUDZKZLZUSVKVKVKJHZMZKZLZVDVKVKVKMZVKNHZLZKZLZOVJPGVKCQZVMURVQVC
      WBVIWCVLUQUPVKCUERWCVPVBUSWCVOVAWCVKCVKCVNUTWCUFZWDVKCJTSUGRWCWAVHVDWCVTV
      GWCVRVEVSVFWCVKCVKCVKCWDWDWDSVKCNTUHUGRUIFUJURVCVIUKULUMUN $.

    mndtcbas.b $e |- ( ph -> B = ( Base ` C ) ) $.
    $( The base set of the category built from a monoid.  (Contributed by Zhi
       Wang, 22-Sep-2024.)  (New usage is discouraged.) $)
    mndtcbasval $p |- ( ph -> B = { M } ) $=
      ( cbs cfv cnx csn cop chom cotp cco cplusg ctp mndtcval cvv c1 fveq2d cdc
      wcel wceq snex c5 catstr baseid snsstp1 strfv mp1i 3eqtr4d ) ACHIJHIDKZLZ
      JMIDDDHINKZLZJOIDDDNDPILKZLZQZHIZBUMACUSHACDEFRUAGUMSUCUMUTUDADUEUMUSHSTT
      UFUBLUQUMUOUGUHUNUPURUIUJUKUL $.

    $( The category built from a monoid contains precisely one object.
       (Contributed by Zhi Wang, 22-Sep-2024.) $)
    mndtcbas $p |- ( ph -> E! x x e. B ) $=
      ( cv csn wceq wex wcel weu cmnd mndtcbasval sneq eqeq2d spcedv eusn
      sylibr ) ACBIZJZKZBLUBCMBNAUDCEJZKBOEGACDEFGHPUBEKUCUECUBEQRSBCTUA $.

    mndtchom.x $e |- ( ph -> X e. B ) $.
    $( Lemma for ~ mndtchom and ~ mndtcco .  (Contributed by Zhi Wang,
       22-Sep-2024.)  (New usage is discouraged.) $)
    mndtcob $p |- ( ph -> X = M ) $=
      ( csn wcel wceq mndtcbasval eleqtrd wb elsng syl mpbid ) AEDJZKZEDLZAEBSI
      ABCDFGHMNAEBKTUAOIEDBPQR $.

    mndtchom.y $e |- ( ph -> Y e. B ) $.
    $( Two objects in a category built from a monoid are identical.
       (Contributed by Zhi Wang, 24-Sep-2024.) $)
    mndtcbas2 $p |- ( ph -> X = Y ) $=
      ( vx vy cv wceq wral wcel weu wmo mndtcbas eumo moel 3syl rspc2gv syl2anc
      biimpi wi eqeq12 mpd ) ALNZMNZOZMBPLBPZEFOZAUJBQZLRUOLSZUMALBCDGHITUOLUAU
      PUMLMBUBUFUCAEBQFBQUMUNUGJKULUNLMEFBBUJEUKFUHUDUEUI $.

    ${
      mndtchom.h $e |- ( ph -> H = ( Hom ` C ) ) $.
      $( The only hom-set of the category built from a monoid is the base set
         of the monoid.  (Contributed by Zhi Wang, 22-Sep-2024.) $)
      mndtchom $p |- ( ph -> ( X H Y ) = ( Base ` M ) ) $=
        ( co cbs cfv csn chom cnx cop cotp cco cplusg ctp c1 c5 mndtcval catstr
        cvv cdc homid snsstp2 wcel snex a1i strfv3 eqtrd mndtcob oveq123d df-ot
        eqid sneqi oveqi df-ov opex fvex fvsn 3eqtri eqtrdi ) AFGDNEEEEEOPZUAZQ
        ZNZVJAFEGEDVLADCRPZVLMAVNVLSOPEQZTZSRPVLTZSUBPEEEUAEUCPTQZTZUDCRUIUEUEU
        FUJTACEHIUGVRVOVLUHUKVPVQVSULVLUIUMAVKUNUOVNVAUPUQABCEFHIJKURABCEGHIJLU
        RUSVMEEEETZVJTZQZNVTWBPVJVLWBEEVKWAEEVJUTVBVCEEWBVDVTVJEEVEEOVFVGVHVI
        $.
    $}

    mndtcco.z $e |- ( ph -> Z e. B ) $.
    mndtcco.o $e |- ( ph -> .x. = ( comp ` C ) ) $.
    $( The composition of the category built from a monoid is the monoid
       operation.  (Contributed by Zhi Wang, 22-Sep-2024.) $)
    mndtcco $p |- ( ph -> ( <. X , Y >. .x. Z ) = ( +g ` M ) ) $=
      ( cop cfv csn cco cnx co cotp cplusg cbs chom ctp cvv cdc mndtcval catstr
      c1 ccoid snsstp3 wcel snex a1i eqid strfv3 eqtrd mndtcob opeq12d oveq123d
      c5 df-ov df-ot fveq2i otex fvex fvsn 3eqtr2i eqtrdi ) AFGPZHDUAEEPZEEEEUB
      ZEUCQZPZRZUAZVOAVLVMHEDVQADCSQZVQOAVSVQTUDQERZPZTUEQEEEUDQUBRZPZTSQVQPZUF
      CSUGUKUKVCUHPACEIJUIVQVTWBUJULWAWCWDUMVQUGUNAVPUOUPVSUQURUSAFEGEABCEFIJKL
      UTABCEGIJKMUTVAABCEHIJKNUTVBVRVMEPZVQQVNVQQVOVMEVQVDVNWEVQEEEVEVFVNVOEEEV
      GEUCVHVIVJVK $.

    mndtcco2.o2 $e |- ( ph -> .o. = ( <. X , Y >. .x. Z ) ) $.
    $( The composition of the category built from a monoid is the monoid
       operation.  (Contributed by Zhi Wang, 22-Sep-2024.) $)
    mndtcco2 $p |- ( ph -> ( G .o. F ) = ( G ( +g ` M ) F ) ) $=
      ( cplusg cfv cop co mndtcco eqtrd oveqd ) AJGTUAZFEAJHIUBKDUCUGSABCDGHIKL
      MNOPQRUDUEUF $.
  $}

  ${
    $d C f g k w x y z $.  $d M f g k w x z $.  $d X f g k w x y z $.
    $d f g k ph w x y z $.
    mndtccat.c $e |- ( ph -> C = ( MndToCat ` M ) ) $.
    mndtccat.m $e |- ( ph -> M e. Mnd ) $.
    $( Lemma for ~ mndtccat and ~ mndtcid .  (Contributed by Zhi Wang,
       22-Sep-2024.) $)
    mndtccatid $p |- ( ph -> ( C e. Cat /\ ( Id ` C ) =
                ( y e. ( Base ` C ) |-> ( 0g ` M ) ) ) ) $=
      ( cv cfv wcel wa co eqidd eqid adantr wceq mndtchom mndtcco oveqd eleqtrd
      cop vx vz vw vf vg vk cbs chom w3a cco c0g cmndtc fvexd eqeltrd biid cmnd
      cvv mndidcl syl simpr cplusg simpr1l simpr1r simpr31 mndlid syl2anc eqtrd
      eleqtrrd simpr2l simpr32 mndrid syl3anc 3eltr4d simpr33 syl13anc oveq123d
      mndcl simpr2r mndass 3eqtr4d iscatd2 ) AUAGZCUGHZIZBGZWCIZJZUBGZWCIZUCGZW
      CIZJZUDGZWBWECUHHZKZIZUEGZWEWHWNKZIZUFGZWHWJWNKZIZUIZUIZUABUBUCWCCCUJHZDU
      KHZUDUEUFWNUQAWCLAWNLAXELACDULHZUQEADULUMUNXDUOAWFJZXFDUGHZWEWEWNKAXFXIIZ
      WFADUPIZXJFXIDXFXIMZXFMZURUSNXHWCCWNDWEWEACXGOZWFENAXKWFFNXHWCLAWFUTZXOXH
      WNLPVHAXDJZXFWMWBWETZWEXEKZKXFWMDVAHZKZWMXPXRXSXFWMXPWCCXEDWBWEWEAXNXDENZ
      AXKXDFNZXPWCLZWDWFWLXCAVBZWDWFWLXCAVCZYEXPXELZQRXPXKWMXIIZXTWMOYBXPWMWOXI
      WPWSXBWGWLAVDXPWCCWNDWBWEYAYBYCYDYEXPWNLZPSZXIXSDWMXFXLXSMZXMVEVFVGXPWQXF
      WEWETWHXEKZKWQXFXSKZWQXPYKXSWQXFXPWCCXEDWEWEWHYAYBYCYEYEWIWKWGXCAVIZYFQRX
      PXKWQXIIZYLWQOYBXPWQWRXIWPWSXBWGWLAVJXPWCCWNDWEWHYAYBYCYEYMYHPSZXIXSDWQXF
      XLYJXMVKVFVGXPWQWMXSKZXIWQWMXQWHXEKZKZWBWHWNKXPXKYNYGYPXIIYBYOYIXIXSDWQWM
      XLYJVQVLXPYQXSWQWMXPWCCXEDWBWEWHYAYBYCYDYEYMYFQRZXPWCCWNDWBWHYAYBYCYDYMYH
      PVMXPWTWQXSKZWMXSKZWTYPXSKZWTWQWEWHTWJXEKZKZWMXQWJXEKZKWTYRWBWHTWJXEKZKXP
      XKWTXIIYNYGUUAUUBOYBXPWTXAXIWPWSXBWGWLAVNXPWCCWNDWHWJYAYBYCYMWIWKWGXCAVRZ
      YHPSYOYIXIXSDWTWQWMXLYJVSVOXPUUDYTWMWMUUEXSXPWCCXEDWBWEWJYAYBYCYDYEUUGYFQ
      XPUUCXSWTWQXPWCCXEDWEWHWJYAYBYCYEYMUUGYFQRXPWMLVPXPWTWTYRYPUUFXSXPWCCXEDW
      BWHWJYAYBYCYDYMUUGYFQXPWTLYSVPVTWA $.

    $( The function value is a category.  (Contributed by Zhi Wang,
       22-Sep-2024.) $)
    mndtccat $p |- ( ph -> C e. Cat ) $=
      ( vy ccat wcel ccid cfv cbs c0g cmpt wceq mndtccatid simpld ) ABGHBIJFBKJ
      CLJMNAFBCDEOP $.

    mndtcid.b $e |- ( ph -> B = ( Base ` C ) ) $.
    mndtcid.x $e |- ( ph -> X e. B ) $.
    mndtcid.i $e |- ( ph -> .1. = ( Id ` C ) ) $.
    $( The identity morphism, or identity arrow, of the category built from a
       monoid is the identity element of the monoid.  (Contributed by Zhi Wang,
       22-Sep-2024.) $)
    mndtcid $p |- ( ph -> ( .1. ` X ) = ( 0g ` M ) ) $=
      ( vx c0g cfv cbs cvv ccid cmpt ccat wceq mndtccatid simprd eqtrd cv eqidd
      wcel wa eleqtrd fvexd fvmptd ) ALFEMNZUKCONZDPADCQNZLULUKRZKACSUFUMUNTALC
      EGHUAUBUCALUDFTUGUKUEAFBULJIUHAEMUIUJ $.
  $}

  ${
    $d B f g h z $.  $d C f g h z $.  $d E f g h z $.  $d G f g h z $.
    $d H f g h z $.  $d M f g h z $.  $d X f g h z $.  $d Y f g h z $.
    $d f g h ph z $.
    grptcmon.c $e |- ( ph -> C = ( MndToCat ` G ) ) $.
    grptcmon.g $e |- ( ph -> G e. Grp ) $.
    grptcmon.b $e |- ( ph -> B = ( Base ` C ) ) $.
    grptcmon.x $e |- ( ph -> X e. B ) $.
    grptcmon.y $e |- ( ph -> Y e. B ) $.
    grptcmon.h $e |- ( ph -> H = ( Hom ` C ) ) $.
    ${
      grptcmon.m $e |- ( ph -> M = ( Mono ` C ) ) $.
      $( All morphisms in a category converted from a group are monomorphisms.
         (Contributed by Zhi Wang, 23-Sep-2024.) $)
      grptcmon $p |- ( ph -> ( X M Y ) = ( X H Y ) ) $=
        ( cfv co wcel eqid ad2antrr vf vg vz vh cmon chom cop cco wceq wral cbs
        cv wi grpmndd mndtccat eleqtrd ismon2 w3a cplusg cmndtc simpr1 eleqtrrd
        wa cmnd eqidd mndtcco2 eqeq12d wb simpr2 mndtchom simpr3 simplr grplcan
        cgrp syl13anc bitrd biimpd ralrimivvva mpbiran3d eqrdv oveqd 3eqtr4d )
        AGHCUEPZQZGHCUFPZQZGHFQGHEQAUAWDWFAUAULZWDRWGWFRZWGUBULZUCULZGUGHCUHPZQ
        ZQZWGUDULZWLQZUIZWIWNUIZUMZUDWJGWEQZUJUBWSUJUCCUKPZUJAUCWTCWKUBUDWGWEWC
        GHWTSWESWKSWCSACDIADJUNZUOAGBWTLKUPAHBWTMKUPUQAWHVCZWRUCUBUDWTWSWSXBWJW
        TRZWIWSRZWNWSRZURZVCZWPWQXGWPWGWIDUSPZQZWGWNXHQZUIZWQXGWMXIWOXJXGBCWKWI
        WGDWJGWLHACDUTPUIWHXFITZADVDRWHXFXATZABWTUIWHXFKTZXGWJWTBXBXCXDXEVAXNVB
        ZAGBRWHXFLTZAHBRWHXFMTZXGWKVEZXGWLVEZVFXGBCWKWNWGDWJGWLHXLXMXNXOXPXQXRX
        SVFVGXGDVNRZWIDUKPZRWNYARWGYARXKWQVHAXTWHXFJTXGWIWSYAXBXCXDXEVIXGBCWEDW
        JGXLXMXNXOXPXGWEVEZVJZUPXGWNWSYAXBXCXDXEVKYCUPXGWGWFYAAWHXFVLXGBCWEDGHX
        LXMXNXPXQYBVJUPYAXHDWIWNWGYASXHSVMVOVPVQVRVSVTAFWCGHOWAAEWEGHNWAWB $.
    $}

    ${
      grptcepi.e $e |- ( ph -> E = ( Epi ` C ) ) $.
      $( All morphisms in a category converted from a group are epimorphisms.
         (Contributed by Zhi Wang, 23-Sep-2024.) $)
      grptcepi $p |- ( ph -> ( X E Y ) = ( X H Y ) ) $=
        ( cfv co wcel eqid ad2antrr vf vg vz vh cepi chom cop cco wceq wral cbs
        cv wi grpmndd mndtccat eleqtrd isepi2 w3a cplusg cmndtc simpr1 eleqtrrd
        wa cmnd eqidd mndtcco2 eqeq12d wb simpr2 mndtchom simpr3 simplr grprcan
        cgrp syl13anc bitrd biimpd ralrimivvva mpbiran3d eqrdv oveqd 3eqtr4d )
        AGHCUEPZQZGHCUFPZQZGHDQGHFQAUAWDWFAUAULZWDRWGWFRZUBULZWGGHUGUCULZCUHPZQ
        ZQZUDULZWGWLQZUIZWIWNUIZUMZUDHWJWEQZUJUBWSUJUCCUKPZUJAUCWTCWKUBUDWCWGWE
        GHWTSWESWKSWCSACEIAEJUNZUOAGBWTLKUPAHBWTMKUPUQAWHVCZWRUCUBUDWTWSWSXBWJW
        TRZWIWSRZWNWSRZURZVCZWPWQXGWPWIWGEUSPZQZWNWGXHQZUIZWQXGWMXIWOXJXGBCWKWG
        WIEGHWLWJACEUTPUIWHXFITZAEVDRWHXFXATZABWTUIWHXFKTZAGBRWHXFLTZAHBRWHXFMT
        ZXGWJWTBXBXCXDXEVAXNVBZXGWKVEZXGWLVEZVFXGBCWKWGWNEGHWLWJXLXMXNXOXPXQXRX
        SVFVGXGEVNRZWIEUKPZRWNYARWGYARXKWQVHAXTWHXFJTXGWIWSYAXBXCXDXEVIXGBCWEEH
        WJXLXMXNXPXQXGWEVEZVJZUPXGWNWSYAXBXCXDXEVKYCUPXGWGWFYAAWHXFVLXGBCWEEGHX
        LXMXNXOXPYBVJUPYAXHEWIWNWGYASXHSVMVOVPVQVRVSVTADWCGHOWAAFWEGHNWAWB $.
    $}
  $}

$( (End of Zhi Wang's mathbox.) $)
$( End $[ set-mbox-zw.mm $] $)


$( Begin $[ set-mbox-ew.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Emmett Weisz
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellaneous Theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Some of these theorems are used in the series of lemmas and theorems proving
  the defining properties of ` setrecs ` .

$)

  ${
    $d ph y z $.  $d x y z $.  $d y z A $.
    nfintd.1 $e |- ( ph -> F/_ x A ) $.
    $( Bound-variable hypothesis builder for intersection.  (Contributed by
       Emmett Weisz, 16-Jan-2020.) $)
    nfintd $p |- ( ph -> F/_ x |^| A ) $=
      ( vz vy cint cv wcel wel wi wal cab df-int nfv nfcrd wnf a1i nfimd nfald
      nfabdw nfcxfrd ) ABCGEHCIZFEJZKZELZFMFECNAUFBFAFOAUEBEAEOAUCUDBABECDPUDBQ
      AUDBORSTUAUB $.
  $}

  ${
    $d x y z $.  $d z ph $.  $d z A $.  $d z B $.
    nfiund.1 $e |- F/ x ph $.
    nfiund.2 $e |- ( ph -> F/_ y A ) $.
    nfiund.3 $e |- ( ph -> F/_ y B ) $.
    $( Bound-variable hypothesis builder for indexed union.  (Contributed by
       Emmett Weisz, 6-Dec-2019.)  Add disjoint variable condition to avoid
       ~ ax-13 .  See ~ nfiundg for a less restrictive version requiring more
       axioms.  (Revised by Gino Giotto, 20-Jan-2024.) $)
    nfiund $p |- ( ph -> F/_ y U_ x e. A B ) $=
      ( vz ciun cv wcel wrex cab df-iun nfv nfcrd nfrexd nfabdw nfcxfrd ) ACBDE
      JIKELZBDMZINBIDEOAUBCIAIPAUACBDFGACIEHQRST $.
    $( $j usage 'nfiund' avoids 'ax-13'; $)
  $}

  ${
    $d z ph $.  $d z A $.  $d z B $.  $d z x $.  $d z y $.
    nfiundg.1 $e |- F/ x ph $.
    nfiundg.2 $e |- ( ph -> F/_ y A ) $.
    nfiundg.3 $e |- ( ph -> F/_ y B ) $.
    $( Bound-variable hypothesis builder for indexed union.  Usage of this
       theorem is discouraged because it depends on ~ ax-13 , see ~ nfiund for
       a weaker version that does not require it.  (Contributed by Emmett
       Weisz, 6-Dec-2019.)  (New usage is discouraged.) $)
    nfiundg $p |- ( ph -> F/_ y U_ x e. A B ) $=
      ( vz ciun cv wcel wrex cab df-iun nfv nfcrd nfrexdg nfabd nfcxfrd ) ACBDE
      JIKELZBDMZINBIDEOAUBCIAIPAUACBDFGACIEHQRST $.
  $}

  $( ${
    $d ph y $.  $d x y $.  $d y A $.  $d y B $.
    nfssd.1 $e |- ( ph -> F/_ x A ) $.
    nfssd.2 $e |- ( ph -> F/_ x B ) $.
    $ ( If ` x ` is not free in ` A ` and ` B ` , it is not free in
       ` A C_ B ` .  (Contributed by Emmett Weisz, 26-Jan-2020.) $ )
    nfssd $p |- ( ph -> F/ x A C_ B ) $=
      cA cB wss cA cB cin cA wceq wph vx cA cB df-ss wph vx cA cB cin cA wph vx
      cA cB cin vy cv cA wcel vy cv cB wcel wa vy cab vy cA cB df-in wph vy cv
      cA wcel vy cv cB wcel wa vx vy wph vy nfv wph vy cv cA wcel vy cv cB wcel
      vx wph vx vy cv cA vx vy cv wnfc wph vx vy cv nfcv a1i nfssd.1 nfeld wph
      vx vy cv cB vx vy cv wnfc wph vx vy cv nfcv a1i nfssd.2 nfeld nfand nfabd
      nfcxfrd nfssd.1 nfeqd nfxfrd $.
  $} $)

  ${
    $d x y A $.  $d y B $.
    $( The indexed union of a collection of ordinal numbers ` B ( x ) ` is
       ordinal.  This proof is based on the proof of ~ ssorduni , but does not
       use it directly, since ~ ssorduni does not work when ` B ` is a proper
       class.  (Contributed by Emmett Weisz, 3-Nov-2019.) $)
    iunord $p |- ( A. x e. A Ord B -> Ord U_ x e. A B ) $=
      ( vy word wral ciun wtr con0 wss ordtr ralimi triun wcel wrex eliun nfra1
      syl cv nfv wi rsp ordelon ex syl6 rexlimd syl5bi ssrdv ordon trssord 3exp
      mpii sylc ) CEZABFZABCGZHZUPIJZUPEZUOCHZABFUQUNUTABCKLABCMRUODUPIDSZUPNVA
      CNZABOUOVAINZAVABCPUOVBVCABUNABQVCATUOASBNUNVBVCUAUNABUBUNVBVCCVAUCUDUEUF
      UGUHUQURIEZUSUIUQURVDUSUPIUJUKULUM $.
  $}

  ${
    $d x A $.
    iunordi.B $e |- Ord B $.
    $( The indexed union of a collection of ordinal numbers ` B ( x ) ` is
       ordinal.  (Contributed by Emmett Weisz, 3-Nov-2019.) $)
    iunordi $p |- Ord U_ x e. A B $=
      ( word ciun iunord cv wcel a1i mprg ) CEZABCFEABABCGLAHBIDJK $.
  $}

  ${
    spd.1 $e |- ( ch -> F/ x ps ) $.
    spd.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Specialization deduction, using implicit substitution.  Based on the
       proof of ~ spimed .  (Contributed by Emmett Weisz, 17-Jan-2020.) $)
    spd $p |- ( ch -> ( A. x ph -> ps ) ) $=
      ( wal wex weq wi ax6e biimpd eximii 19.35i 19.9d syl5 ) ADHBDICBABDDEJZAB
      KDDELRABGMNOBCDFPQ $.
  $}

  ${
    $d x A $.  $d ch x $.
    spcdvw.1 $e |- ( ph -> A e. B ) $.
    spcdvw.2 $e |- ( x = A -> ( ps <-> ch ) ) $.
    $( A version of ~ spcdv where ` ps ` and ` ch ` are direct substitutions of
       each other.  This theorem is useful because it does not require ` ph `
       and ` x ` to be distinct variables.  (Contributed by Emmett Weisz,
       12-Apr-2020.) $)
    spcdvw $p |- ( ph -> ( A. x ps -> ch ) ) $=
      ( cv wceq wi wal wcel biimpd ax-gen nfv nfcv spcimgft mpsyl ) DIEJZBCKKZD
      LAEFMBDLCKUADTBCHNOGBCDEFCDPDEQRS $.
  $}

  ${
    $d ph x y $.  $d ch x $.  $d ps y $.
    tfis2d.1 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    tfis2d.2 $e |- ( ph -> ( x e. On -> ( A. y e. x ch -> ps ) ) ) $.
    $( Transfinite Induction Schema, using implicit substitution.  (Contributed
       by Emmett Weisz, 3-May-2020.) $)
    tfis2d $p |- ( ph -> ( x e. On -> ps ) ) $=
      ( cv con0 wcel wi weq wb com12 pm5.74d wral r19.21v a2d syl5bi tfis2 ) DH
      ZIJZABABKZACKZDEDELZABCAUEBCMFNOUDEUAPACEUAPZKUBUCACEUAQUBAUFBAUBUFBKGNRS
      TN $.
  $}

  ${
    $d ps z $.  $d x z A $.  $d x y B z $.
    bnd2d.1 $e |- ( ph -> A e. _V ) $.
    bnd2d.2 $e |- ( ph -> A. x e. A E. y e. B ps ) $.
    $( Deduction form of ~ bnd2 .  (Contributed by Emmett Weisz,
       19-Jan-2021.) $)
    bnd2d $p |- ( ph -> E. z ( z C_ B /\ A. x e. A E. y e. z ps ) ) $=
      ( cvv wcel wrex wral cv wss wa wex wi c0 raleq wceq anbi2d exbidv imbi12d
      cif 0ex elimel bnd2 dedth sylc ) AFJKZBDGLZCFMZENZGOZBDUNLZCFMZPZEQZHIUKU
      MUSRULCUKFSUEZMZUOUPCUTMZPZEQZRFSFUTUAZUMVAUSVDULCFUTTVEURVCEVEUQVBUOUPCF
      UTTUBUCUDBCDEUTGFSJUFUGUHUIUJ $.
  $}

  ${
    $d x y z $.
    dffun3f.1 $e |- F/_ x A $.
    dffun3f.2 $e |- F/_ y A $.
    dffun3f.3 $e |- F/_ z A $.
    $( Alternate definition of function, using bound-variable hypotheses
       instead of distinct variable conditions.  (Contributed by Emmett Weisz,
       14-Mar-2021.) $)
    dffun3f $p |- ( Fun A <-> ( Rel A /\ A. x E. z A. y ( x A y -> y = z ) ) )
   $=
      ( wfun wrel cv wbr wmo wal wa weq wi wex dffun6f nfcv nfbr albii anbi2i
      mof bitri ) DHDIZAJZBJZDKZBLZAMZNUEUHBCOPBMCQZAMZNABDEFRUJULUEUIUKAUHBCCU
      FUGDCUFSGCUGSTUCUAUBUD $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Set Recursion
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Basic Properties of Set Recursion
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-

  Symbols in this section:

  All the symbols used in the definition of ` setrecs ( F ) ` are explained in
  the comment of ~ df-setrecs . The class ` Y ` is explained in the comment of
  ~ setrec1lem1 . Glossaries of symbols used in individual proofs, or used
  differently in different proofs, are in the comments of those proofs.

$)

  $c setrecs $.
  $( Extend class notation to include a set defined by transfinite
     recursion. $)
  csetrecs $a class setrecs ( F ) $.

  ${
    $d y z w F $.
    $( Define a class ` setrecs ( F ) ` by transfinite recursion, where
       ` ( F `` x ) ` is the set of new elements to add to the class given the
       set ` x ` of elements in the class so far.  We do not need a base case,
       because we can start with the empty set, which is vacuously a subset of
       ` setrecs ( F ) ` .  The goal of this definition is to construct a class
       fulfilling Theorems ~ setrec1 and ~ setrec2v , which give a more
       intuitive idea of the meaning of ` setrecs ` .  Unlike ` wrecs ` ,
       ` setrecs ` is well-defined for any ` F ` and meaningful for any
       function ` F ` .

       For example, see Theorem ~ onsetrec for how the class ` On ` is defined
       recursively using the successor function.

       The definition works by building subsets of the desired class and taking
       the union of those subsets.  To find such a collection of subsets,
       consider an arbitrary set ` z ` , and consider the result when applying
       ` F ` to any subset ` w C_ z ` .  Remember that ` F ` can be any
       function, and in general we are interested in functions that give
       outputs that are larger than their inputs, so we have no reason to
       expect the outputs to be within ` z ` .  However, if we restrict the
       domain of ` F ` to a given set ` y ` , the resulting range will be a
       set.  Therefore, with this restricted ` F ` , it makes sense to consider
       sets ` z ` that are closed under ` F ` applied to its subsets.  Now we
       can test whether a given set ` y ` is recursively generated by ` F ` .
       If every set ` z ` that is closed under ` F ` contains ` y ` , that
       means that every member of ` y ` must eventually be generated by ` F ` .
       On the other hand, if some such ` z ` does not contain a certain element
       of ` y ` , then that element can be avoided even if we apply ` F ` in
       every possible way to previously generated elements.

       Note that such an omitted element might be eventually recursively
       generated by ` F ` , but not through the elements of ` y ` .  In this
       case, ` y ` would fail the condition in the definition, but the omitted
       element would still be included in some larger ` y ` .  For example, if
       ` F ` is the successor function, the set ` { (/) , 2o } ` would fail the
       condition since ` 2o ` is not an element of the successor of ` (/) ` or
       ` { (/) } ` .  Remember that we are applying ` F ` to subsets of ` y ` ,
       not elements of ` y ` .  In fact, even the set ` { 1o } ` fails the
       condition, since the only subset of previously generated elements is
       ` (/) ` , and ` suc (/) ` does not have ` 1o ` as an element.  However,
       we can let ` y ` be any ordinal, since each of its elements is generated
       by starting with ` (/) ` and repeatedly applying the successor function.

       A similar definition I initially used for ` setrecs ( F ) ` was
       ` setrecs ( F ) = U. ran recs ( ( g e. _V |-> ( F `` U. ran g ) ) ) ` .
       I had initially tried and failed to find an elementary definition, and I
       had proven theorems analogous to ~ setrec1 and ~ setrec2v using the old
       definition before I found the new one.  I decided to change definitions
       for two reasons.  First, as John Horton Conway noted in the Appendix to
       Part Zero of On Numbers and Games, mathematicians should not be caught
       up in any particular formalization, such as ZF set theory.  Instead,
       they should work under whatever framework best suits the problem, and
       the formal bases used for different problems can be shown to be
       equivalent.  Thus, Conway preferred defining surreal numbers as
       equivalence classes of surreal number forms, rather than
       sign-expansions.  Although sign-expansions are easier to implement in ZF
       set theory, Conway argued that "formalisation within some particular
       axiomatic set theory is irrelevant".  Furthermore, one of the most
       remarkable properties of the theory of surreal numbers is that it
       generates so much from almost nothing.  Using sign-expansions as the
       formal definition destroys the beauty of surreal numbers, because
       ordinals are already built in.  For this reason, I replaced the old
       definition of ` setrecs ` , which also relied heavily on ordinal
       numbers.  On the other hand, both surreal numbers and the elementary
       definition of ` setrecs ` immediately generate the ordinal numbers from
       a (relatively) very simple set-theoretical basis.

       Second, although it is still complicated to formalize the theory of
       recursively generated sets within ZF set theory, it is actually simpler
       and more natural to do so with set theory directly than with the theory
       of ordinal numbers.  As Conway wrote, indexing the "birthdays" of sets
       is and should be unnecessary.  Using an elementary definition for
       ` setrecs ` removes the reliance on the previously developed theory of
       ordinal numbers, allowing proofs to be simpler and more direct.

       Formalizing surreal numbers within Metamath is probably still not in the
       spirit of Conway.  He said that "attempts to force arbitrary theories
       into a single formal straitjacket... produce unnecessarily cumbrous and
       inelegant contortions."  Nevertheless, Metamath has proven to be much
       more versatile than it seems at first, and I think the theory of surreal
       numbers can be natural while fitting well into the Metamath framework.

       The difficulty in writing a definition in Metamath for ` setrecs ( F ) `
       is that the necessary properties to prove are self-referential (see
       ~ setrec1 and ~ setrec2v ), so we cannot simply write the properties we
       want inside a class abstraction as with most definitions.  As noted in
       the comment of ~ df-rdg , this is not actually a requirement of the
       Metamath language, but we would like to be able to eliminate all
       definitions by direct mechanical substitution.

       We cannot define ` setrecs ` using a class abstraction directly, because
       nothing about its individual elements tells us whether they are in the
       set.  We need to know about previous elements first.  One way of getting
       around this problem without indexing is by defining ` setrecs ( F ) ` as
       a union or intersection of suitable sets.  Thus, instead of using a
       class abstraction for the elements of ` setrecs ( F ) ` , which seems to
       be impossible, we can use a class abstraction for supersets or subsets
       of ` setrecs ( F ) ` , which "know" about multiple individual elements
       at a time.

       Note that we cannot define ` setrecs ( F ) ` as an intersection of sets,
       because in general it is a proper class, so any supersets would also be
       proper classes.  However, a proper class can be a union of sets, as long
       as the collection of such sets is a proper class.  Therefore, it is
       feasible to define ` setrecs ( F ) ` as a union of a class abstraction.

       If ` setrecs ( F ) = U. A ` , the elements of A must be subsets of
       ` setrecs ( F ) ` which together include everything recursively
       generated by ` F ` .  We can do this by letting ` A ` be the class of
       sets ` x ` whose elements are all recursively generated by ` F ` .

       One necessary condition is that each element of a given ` x e. A ` must
       be generated by ` F ` when applied to a previous element ` y e. A ` .
       In symbols, ` A. x e. A E. y e. A ( y C_ x /\ x C_ ( F `` y ) ) } ` .
       However, this is not sufficient.  All fixed points ` x ` of ` F ` will
       satisfy this condition whether they should be in ` setrecs ( F ) ` or
       not.  If we replace the subset relation with the proper subset relation,
       ` x ` cannot be the empty set, even though the empty set should be in
       ` A ` .  Therefore this condition cannot be used in the definition, even
       if we can find a way to avoid making it circular.

       A better strategy is to find a necessary and sufficient condition for
       all the elements of a set ` y e. A ` to be generated by ` F ` when
       applied only to sets of previously generated elements within ` y ` .
       For example, taking ` F ` to be the successor function, we can let
       ` A = On ` rather than ` ~P On ` , and we will still have ` U. A = On `
       as required.  This gets rid of the circularity of the definition, since
       we should have a condition to test whether a given set ` y ` is in ` A `
       without knowing about any of the other elements of ` A ` .

       The definition I ended up using accomplishes this using induction: ` A `
       is defined as the class of sets ` y ` for which a sort of induction on
       the elements of ` y ` holds.  However, when creating a definition for
       ` setrecs ` that did not rely on ordinal numbers, I tried at first to
       write a definition using the well-founded relation predicate, ` Fr ` .
       I thought that this would be simple to do once I found a suitable
       definition using induction, just as the least- element principle is
       equivalent to induction on the positive integers.  If we let
       ` R = { <. a , b >. | ( F `` a ) C_ b } ` , then
       ` ( R Fr A <-> A. x ( ( x C_ A /\ x =/= (/) ) `
       ` -> E. y e. x A. z e. x -. ( F `` z ) C_ y ) ) ` .

       On 22-Jul-2020 I came up with the following definition (Version 1)
       phrased in terms of induction: ` U. { y | A. z `
       ` ( A. w ( w C_ y -> ( w e. z -> ( F `` w ) e. z ) ) -> y e. z ) } `

       In Aug-2020 I came up with an equivalent definition with the goal of
       phrasing it in terms of the relation ` Fr ` .  It is the contrapositive
       of the previous one with ` z ` replaced by its complement.
       ` U. { y | A. z `
       ` ( y e. z -> E. w ( w C_ y /\ ( F `` w ) e. z /\ -. w e. z ) ) } `

       These definitions didn't work because the induction didn't "get off the
       ground."  If ` z ` does not contain the empty set, the condition
       ` ( A. w ... y e. z ` fails, so ` y = (/) ` doesn't get included in
       ` A ` even though it should.  This could be fixed by adding the base
       case as a separate requirement, but the subtler problem would remain
       that rather than a set of "acceptable" sets, what we really need is a
       collection ` z ` of all individuals that have been generated so far.  So
       one approach is to replace every occurrence of ` e. z ` with ` C_ z ` ,
       making ` z ` a set of individuals rather than a family of sets.  That
       solves this problem, but it complicates the foundedness version of the
       definition, which looked cleaner in Version 1.

       There was another problem with Version 1.  If we let ` F ` be the power
       set function, then the induction in the inductive version works for
       ` z ` being the class of transitive sets, restricted to subsets of
       ` y ` .  Therefore, ` y ` must be transitive by definition of ` z ` .
       This doesn't affect the union of all such ` y ` , but it may or may not
       be desirable.  The problem is that ` F ` is only applied to transitive
       sets, because of the strong requirement ` w e. z ` , so the definition
       requires the additional constraint
       ` ( a C_ b -> ( F `` a ) C_ ( F `` b ) ) ` in order to work.  This issue
       can also be avoided by replacing ` e. z ` with ` C_ z ` .  The induction
       version of the result is used in the final definition.

       Version 2:  (18-Aug-2020) Induction: ` U. { y | A. z `
       ` ( A. w ( w C_ y -> ( w C_ z -> ( F `` w ) C_ z ) ) -> y C_ z ) } `
       Foundedness: ` U. { y | A. z ( y i^i z =/= (/) -> `
       ` E. w ( w C_ y /\ w i^i z = (/) /\ ( F `` w ) i^i z =/= (/) ) ) } `

       In the induction version, not only does ` z ` include all the elements
       of ` y ` , but it must include the elements of ` ( F `` w ) ` for
       ` w C_ ( y i^i z ) ` even if those elements of ` ( F `` w ) ` are not in
       ` y ` .  We shouldn't care about any of the elements of ` z ` outside
       ` y ` , but this detail doesn't affect the correctness of the
       definition.  If we replaced ` ( F `` w ) ` in the definition by
       ` ( ( F `` w ) i^i y ) ` , we would get the same class for
       ` setrecs ( F ) ` .  Suppose we could find a ` z ` for which the
       condition fails for a given ` y ` under the changed definition.  Then
       the antecedent would be true, but ` y C_ z ` would be false.  We could
       then simply add all elements of ` ( F `` w ) ` outside of ` y ` for any
       ` w C_ y ` , which we can do because all the classes involved are sets.
       This is not trivial and requires the axioms of union, power set, and
       replacement.  However, the expanded ` z ` fails the condition under the
       Metamath definition.  The other direction is easier.  If a certain ` z `
       fails the Metamath definition, then all ` ( F `` w ) C_ z ` for
       ` w C_ ( y i^i z ) ` , and in particular ` ( ( F `` w ) i^i y ) C_ z ` .

       The foundedness version is starting to look more like ~ ax-reg !  We
       want to take advantage of the preexisting relation ` Fr ` , which seems
       closely related to our foundedness definition.  Since we only care about
       the elements of ` z ` which are subsets of ` y ` , we can restrict ` z `
       to ` y ` in the foundedness definition.  Furthermore, instead of
       quantifying over ` w ` , quantify over the elements ` v e. z `
       overlapping with ` w ` .  Versions 3, 4, and 5 are all equivalent to
       Version 2.

       Version 3 - Foundedness (5-Sep-2020):
       ` U. { y | A. z ( ( z C_ y /\ z =/= (/) ) `
       ` -> E. v e. z E. w ( w C_ y /\ w i^i z = (/) /\ v e. ( F `` w ) ) ) } `

       Now, if we replace ` ( F `` w ) ` by ` ( ( F `` w ) i^i y ) ` , we do
       not change the definition.  We already know that ` v e. y ` since
       ` v e. z ` and ` z C_ y ` .  All we need to show in order to prove that
       this change leads to an equivalent definition is to find

       To make our definition look exactly like ~ df-fr , we add another
       variable ` u ` representing the nonexistent element of ` w ` in ` z ` .

       Version 4 - Foundedness (6-Sep-2020):
       ` U. { y | A. z ( ( z C_ y /\ z =/= (/) ) -> `
       ` E. v e. z E. w A. u e. z ( w C_ y /\ -. u e. w /\ v e. ( F `` w ) ) `

       This is so close to ~ df-fr ; the only change needed is to switch
       ` E. w ` with ` A. u e. z ` .  Unfortunately, I couldn't find any way to
       switch the quantifiers without interfering with the definition.  Maybe
       there is a definition equivalent to this one that uses ` Fr ` , but I
       couldn't find one.  Yet, we can still find a remarkable similarity
       between Foundedness Version 2 and ~ ax-reg .  Rather than a disjoint
       element of ` z ` , there's a disjoint coverer of an element of ` z ` .

       Finally, here's a different dead end I followed:

       To clean up our foundedness definition, we keep ` z ` as a family of
       sets ` y ` but allow ` w ` to be any subset of ` U. z ` in the
       induction.  With this stronger induction, we can also allow for the
       stronger requirement ` ~P y C_ z ` rather than only ` y e. z ` .  This
       will help improve the foundedness version.

       Version 1.1 (28-Aug-2020) Induction: ` U. { y | A. z ( A. w `
       ` ( w C_ y -> ( w C_ U. z -> ( F `` w ) e. z ) ) -> ~P y C_ z ) } `
       Foundedness: ` U. { y | A. z ( E. a ( a C_ y /\ a e. z ) `
       ` -> E. w ( w C_ y /\ w i^i |^| z = (/) /\ ( F `` w ) e. z ) ) } `

       ( Edit (Aug 31) - this isn't true!  Nothing forces the subset of an
       element of ` z ` to be in ` z ` .  Version 2 does not have this issue. )

       Similarly, we could allow ` w ` to be any subset of any element of ` z `
       rather than any subset of ` U. z ` .  I think this has the same problem.

       We want to take advantage of the preexisting relation ` Fr ` , which
       seems closely related to our foundedness definition.  Since we only care
       about the elements of ` z ` which are subsets of ` y ` , we can restrict
       ` z ` to ` ~P y ` in the foundedness definition:

       Version 1.2 (31-Aug-2020) Foundedness:
       ` U. { y | A. z ( ( z C_ ~P y /\ z =/= (/) ) `
       ` -> E. w ( w e. ~P y /\ w i^i |^| z = (/) /\ ( F `` w ) e. z ) ) } `

       Now this looks more like ~ df-fr !  The last step necessary to be able
       to use ` Fr ` directly in our definition is to replace ` ( F `` w ) `
       with its own setvar variable, corresponding to ` y ` in ~ df-fr .

       This definition is incorrect, though, since there's nothing forcing the
       subset of an element of ` z ` to be in ` z ` .

       Version 1.3 (31-Aug-2020) Induction: ` U. { y | A. z ( A. w ( w C_ y `
       ` -> ( w C_ U. z -> ( w e. z /\ ( F `` w ) e. z ) ) ) -> ~P y C_ z ) } `
       Foundedness:
       ` U. { y | A. z ( ( z C_ ~P y /\ z =/= (/) ) -> E. w ( w e. ~P y `
       ` /\ w i^i |^| z = (/) /\ ( w e. z \/ ( F `` w ) e. z ) ) ) } `

       ` z ` must contain the supersets of each of its elements in the
       foundedness version, and we can't make any restrictions on ` z ` or
       ` F ` , so this doesn't work.

       Let's try letting R be the covering relation
       ` R = { <. a , b >. | b e. ( F `` a ) } ` to solve the transitivity
       issue (i.e. that if ` F ` is the power set relation, ` A ` consists only
       of transitive sets).  The set ` ( F `` w ) ` corresponds to the variable
       ` y ` in ~ df-fr .  Thus, in our case, ~ df-fr is equivalent to
       ` ( R Fr A <-> A. z ( ( z C_ A /\ z =/= (/) ) `
       ` -> E. w ( ( F `` w ) e. z /\ -. E. v e. z v R ( F `` w ) ) ) ` .
       Substituting our relation ` R ` gives
       ` ( R Fr A <-> A. z ( ( z C_ A /\ z =/= (/) ) -> `
       ` E. w ( ( F `` w ) e. z /\ -. E. v e. z ( F `` w ) e. ( F `` v ) ) ) `

       This doesn't work for non-injective ` F ` because we need all ` z ` to
       be straddlers, but we don't necessarily need all-straddlers; loops
       within z are fine for non-injective F.

       Consider the foundedness form of Version 1.  We want to show
       ` -. w e. z <-> A. v e. z -. v R ( F `` w ) ` so we can replace one with
       the other.  Negate both sides: ` w e. z <-> E. v e. z v R ( F `` w ) `

       If ` F ` is injective, then we should be able to pick a suitable R,
       being careful about the above problem for some F (for example z =
       transitivity) when changing the antecedent y e. z' to z =/= (/).  If
       we're clever, we can get rid of the injectivity requirement.  The
       forward direction of the above equivalence always holds, but the key is
       that although the backwards direction doesn't hold in general, we can
       always find some z' where it doesn't work for ` w ` itself.  If there
       exists a z' where the version with the w condition fails, then there
       exists a z' where the version with the v condition also fails.  However,
       Version 1 is not a correct definition, so this doesn't work either.
       (Contributed by Emmett Weisz, 18-Aug-2020.)
       (New usage is discouraged.) $)
    df-setrecs $a |- setrecs ( F ) = U. { y | A. z
       ( A. w ( w C_ y -> ( w C_ z -> ( F ` w ) C_ z ) ) -> y C_ z ) } $.
  $}

  ${
    $d w y z F $.  $d w y z G $.
    $( Equality theorem for set recursion.  (Contributed by Emmett Weisz,
       17-Feb-2021.) $)
    setrecseq $p |- ( F = G -> setrecs ( F ) = setrecs ( G ) ) $=
      ( vw vy vz wceq cv wss cfv wi wal cab csetrecs fveq1 sseq1d imbi2d albidv
      cuni imbi1d df-setrecs abbidv unieqd 3eqtr4g ) ABFZCGZDGZHZUEEGZHZUEAIZUH
      HZJZJZCKZUFUHHZJZEKZDLZRUGUIUEBIZUHHZJZJZCKZUOJZEKZDLZRAMBMUDURVFUDUQVEDU
      DUPVDEUDUNVCUOUDUMVBCUDULVAUGUDUKUTUIUDUJUSUHUEABNOPPQSQUAUBDECATDECBTUC
      $.
  $}

  ${
    $d x y z w $.  $d F y z w $.
    nfsetrecs.1 $e |- F/_ x F $.
    $( Bound-variable hypothesis builder for ` setrecs ` .  (Contributed by
       Emmett Weisz, 21-Oct-2021.) $)
    nfsetrecs $p |- F/_ x setrecs ( F ) $=
      ( vw vy vz csetrecs cv wss cfv wal cab cuni df-setrecs nfv nfcv nffv nfim
      wi nfal nfss nfab nfuni nfcxfr ) ABGDHZEHZIZUEFHZIZUEBJZUHIZSZSZDKZUFUHIZ
      SZFKZELZMEFDBNAURUQAEUPAFUNUOAUMADUGULAUGAOUIUKAUIAOAUJUHAUEBCAUEPQAUHPUA
      RRTUOAORTUBUCUD $.
  $}

  ${
    $d F y $.  $d X w y $.  $d X y z $.
    setrec1lem1.1 $e |- Y =
  { y | A. z ( A. w ( w C_ y -> ( w C_ z -> ( F ` w ) C_ z ) ) -> y C_ z ) } $.
    setrec1lem1.2 $e |- ( ph -> X e. V ) $.
    $( Lemma for ~ setrec1 .  This is a utility theorem showing the equivalence
       of the statement ` X e. Y ` and its expanded form.  The proof uses
       ~ elabg and equivalence theorems.

       Variable ` Y ` is the class of sets ` y ` that are recursively generated
       by the function ` F ` .  In other words, ` y e. Y ` iff by starting with
       the empty set and repeatedly applying ` F ` to subsets ` w ` of our set,
       we will eventually generate all the elements of ` Y ` .  In this
       theorem, ` X ` is any element of ` Y ` , and ` V ` is any class.
       (Contributed by Emmett Weisz, 16-Oct-2020.)
       (New usage is discouraged.) $)
    setrec1lem1 $p |- ( ph -> ( X e. Y <->
      A. z ( A. w ( w C_ X -> ( w C_ z -> ( F ` w ) C_ z ) ) -> X C_ z ) ) ) $=
      ( wcel cv wss cfv wi wal wb wceq sseq2 albidv imbi1d sseq1 imbi12d elab2g
      syl ) AGFKGHKDLZGMZUFCLZMUFENUHMOZOZDPZGUHMZOZCPZQJUFBLZMZUIOZDPZUOUHMZOZ
      CPUNBGHFUOGRZUTUMCVAURUKUSULVAUQUJDVAUPUGUIUOGUFSUATUOGUHUBUCTIUDUE $.
  $}

  ${
    $d F x y $.  $d X w y x $.  $d X y z x $.  $d Y x $.  $d ph x $.
    setrec1lem2.1 $e |- Y =
  { y | A. z ( A. w ( w C_ y -> ( w C_ z -> ( F ` w ) C_ z ) ) -> y C_ z ) } $.
    setrec1lem2.2 $e |- ( ph -> X e. V ) $.
    setrec1lem2.3 $e |- ( ph -> X C_ Y ) $.
    $( Lemma for ~ setrec1 .  If a family of sets are all recursively generated
       by ` F ` , so is their union.  In this theorem, ` X ` is a family of
       sets which are all elements of ` Y ` , and ` V ` is any class.  Use
       ~ dfss3 , equivalence and equality theorems, and unissb at the end.
       Sandwich with applications of setrec1lem1.  (Contributed by Emmett
       Weisz, 24-Jan-2021.)  (New usage is discouraged.) $)
    setrec1lem2 $p |- ( ph -> U. X e. Y ) $=
      ( vx wcel cv wss wi wal wral sylib cvv cuni cfv dfss3 vex a1i setrec1lem1
      ralbidv mpbid ralcom4 nfra1 nfv elssuni sstr2 syl5com imim1d alimdv com23
      rsp sylcom ralrimd alimi syl unissb imbi2i albii sylibr uniexd mpbird ) A
      GUAZHMDNZVIOZVJCNZOVJEUBVLOPZPZDQZVIVLOZPZCQZAVOLNZVLOZLGRZPZCQZVRAVJVSOZ
      VMPZDQZVTPZLGRZCQZWCAWGCQZLGRZWIAVSHMZLGRZWKAGHOWMKLGHUCSAWLWJLGABCDETVSH
      IVSTMALUDUEUFUGUHWGLCGUISWHWBCWHVOVTLGWGLGUJVOLUKWHVSGMZVOVTWHWNWGVOVTPWG
      LGURWNVOWFVTWNVNWEDWNWDVKVMWNVSVIOWDVKVSGULVJVSVIUMUNUOUPUOUSUQUTVAVBVQWB
      CVPWAVOLGVLVCVDVEVFABCDETVIHIAGFJVGUFVH $.
  $}

  ${
    $d v w y z $.  $d a v x A $.  $d a v x Y $.  $d x y F $.
    setrec1lem3.1 $e |- Y =
  { y | A. z ( A. w ( w C_ y -> ( w C_ z -> ( F ` w ) C_ z ) ) -> y C_ z ) } $.
    setrec1lem3.2 $e |- ( ph -> A e. _V ) $.
    setrec1lem3.3 $e |- ( ph -> A. a e. A E. x ( a e. x /\ x e. Y ) ) $.
    $( Lemma for ~ setrec1 .  If each element ` a ` of ` A ` is covered by a
       set ` x ` recursively generated by ` F ` , then there is a single such
       set covering all of ` A ` .  The set is constructed explicitly using
       ~ setrec1lem2 .  It turns out that ` x = A ` also works, i.e., given the
       hypotheses it is possible to prove that ` A e. Y ` .  I don't know if
       proving this fact directly using ~ setrec1lem1 would be any easier than
       the current proof using ~ setrec1lem2 , and it would only slightly
       simplify the proof of ~ setrec1 .  Other than the use of ~ bnd2d , this
       is a purely technical theorem for rearranging notation from that of
       ~ setrec1lem2 to that of ~ setrec1 .  (Contributed by Emmett Weisz,
       20-Jan-2021.)  (New usage is discouraged.) $)
    setrec1lem3 $p |- ( ph -> E. x ( A C_ x /\ x e. Y ) ) $=
      ( vv cv wss wa wex wcel wral ralbii cuni wrex exancom sylib df-rex sylibr
      bnd2d eluni 3bitr4i dfss3 bitr4i anbi2i cvv vex a1i id setrec1lem2 anim1i
      exbii ancomd uniex wceq sseq2 eleq1 anbi12d spcev syl exlimiv ) AMNZHOZFV
      IUAZOZPZMQZFBNZOZVOHRZPZBQZAVJINZVORZBVIUBZIFSZPZMQVNAWAIBMFHKAVQWAPBQZIF
      SZWABHUBZIFSAWAVQPBQZIFSWFLWHWEIFWAVQBUCTUDWGWEIFWABHUETUFUGWDVMMWCVLVJWC
      VTVKRZIFSVLWBWIIFVOVIRZWAPBQWAWJPBQWBWIWJWABUCWABVIUEBVTVIUHUITIFVKUJUKUL
      USUDVMVSMVMVLVKHRZPZVSVMWKVLVJWKVLVJCDEGUMVIHJVIUMRVJMUNZUOVJUPUQURUTVRWL
      BVKVIWMVAVOVKVBVPVLVQWKVOVKFVCVOVKHVDVEVFVGVHVG $.
  $}

  ${
    $d w y z A $.  $d w y z F $.  $d w y z X $.
    setrec1lem4.1 $e |- F/ z ph $.
    setrec1lem4.2 $e |- Y =
  { y | A. z ( A. w ( w C_ y -> ( w C_ z -> ( F ` w ) C_ z ) ) -> y C_ z ) } $.
    setrec1lem4.3 $e |- ( ph -> A e. _V ) $.
    setrec1lem4.4 $e |- ( ph -> A C_ X ) $.
    setrec1lem4.5 $e |- ( ph -> X e. Y ) $.
    $( Lemma for ~ setrec1 .  If ` X ` is recursively generated by ` F ` , then
       so is ` X u. ( F `` A ) ` .

       In the proof of ~ setrec1 , the following is substituted for this
       theorem's ` ph ` : ` ( ph /\ ( A C_ x /\ x e. { y | A. z ( A. w `
       ` ( w C_ y -> ( w C_ z -> ( F `` w ) C_ z ) ) -> y C_ z ) } ) ) `
       Therefore, we cannot declare ` z ` to be a distinct variable from
       ` ph ` , since we need it to appear as a bound variable in ` ph ` .
       This theorem can be proven without the hypothesis ` F/ z ph ` , but the
       proof would be harder to read because theorems in deduction form would
       be interrupted by theorems like ~ eximi , making the antecedent of each
       line something more complicated than ` ph ` .  The proof of
       ~ setrec1lem2 could similarly be made easier to read by adding the
       hypothesis ` F/ z ph ` , but I had already finished the proof and
       decided to leave it as is.  (Contributed by Emmett Weisz, 26-Nov-2020.)
       (New usage is discouraged.) $)
    setrec1lem4 $p |- ( ph -> ( X u. ( F ` A ) ) e. Y ) $=
      ( cfv wcel cv wss wi wal cvv cun wa ssun1 sstrdi imim1i alimi setrec1lem1
      id mpbid sp syl sstr2 syld wceq sseq1 fveq2 sseq1d imbi12d mpid mpdd jcad
      spcdvw syl5 unss syl6ib alrimi fvex unexg sylancl mpbird ) AGEFNZUAZHODPZ
      VLQZVMCPZQZVMFNZVOQZRZRZDSZVLVOQZRZCSAWCCIAWAGVOQZVKVOQZUBZWBWAVMGQZVSRZD
      SZAWFVTWHDWGVNVSWGVMGVLWGUHGVKUCUDUEUFAWIWDWEAWIWDRZCSZWJAGHOZWKMABCDFHGH
      JMUGUIWJCUJUKZAWIEVOQZWEAWIWDWNWMAEGQZWDWNRLEGVOULUKUMAWIWOWNWERZLAWHWOWP
      RDETKVMEUNZWGWOVSWPVMEGUOWQVPWNVRWEVMEVOUOWQVQVKVOVMEFUPUQURURVBUSUTVAVCG
      VKVOVDVEVFABCDFTVLHJAWLVKTOVLTOMEFVGGVKHTVHVIUGVJ $.
  $}

  ${
    $d A a w x y z $.  $d F a w x y z $.  $d ph a x z $.
    setrec1.b $e |- B = setrecs ( F ) $.
    setrec1.v $e |- ( ph -> A e. _V ) $.
    setrec1.a $e |- ( ph -> A C_ B ) $.
    $( This is the first of two fundamental theorems about set recursion from
       which all other facts will be derived.  It states that the class
       ` setrecs ( F ) ` is closed under ` F ` .  This effectively sets the
       actual value of ` setrecs ( F ) ` as a lower bound for
       ` setrecs ( F ) ` , as it implies that any set generated by successive
       applications of ` F ` is a member of ` B ` .  This theorem "gets off the
       ground" because we can start by letting ` A = (/) ` , and the hypotheses
       of the theorem will hold trivially.

       Variable ` B ` represents an abbreviation of ` setrecs ( F ) ` or
       another name of ` setrecs ( F ) ` (for an example of the latter, see
       theorem setrecon).

       Proof summary:  Assume that ` A C_ B ` , meaning that all elements of
       ` A ` are in some set recursively generated by ` F ` .  Then by
       ~ setrec1lem3 , ` A ` is a subset of some set recursively generated by
       ` F ` .  (It turns out that ` A ` itself is recursively generated by
       ` F ` , but we don't need this fact.  See the comment to
       ~ setrec1lem3 .)  Therefore, by ~ setrec1lem4 , ` ( F `` A ) ` is a
       subset of some set recursively generated by ` F ` .  Thus, by ~ ssuni ,
       it is a subset of the union of all sets recursively generated by ` F ` .

       See ~ df-setrecs for a detailed description of how the ` setrecs `
       definition works.

       (Contributed by Emmett Weisz, 9-Oct-2020.) $)
    setrec1 $p |- ( ph -> ( F ` A ) C_ B ) $=
      ( vw vy vz vx va cfv cv wss wi wal wcel wa nfv cab cuni eqid wex csetrecs
      sseld imp df-setrecs eqtri eleqtrdi eluni sylib ralrimiva setrec1lem3 cun
      nfaba1 nfel2 nfan cvv adantr simprl simprr setrec1lem4 ssun2 syl exlimddv
      jctil ssuni sseqtrrdi ) ABDMZHNZINZOVKJNZOVKDMVMOPPHQVLVMOPZJQIUAZUBZCABK
      NZOZVQVORZSZVJVPOZKAKIJHBDVOLVOUCZFALNZVQRVSSKUDZLBAWCBRZSZWCVPRWDWFWCCVP
      AWEWCCRABCWCGUFUGCDUEVPEIJHDUHUIZUJKWCVOUKULUMUNAVTSZVJVQVJUOZOZWIVORZSWA
      WHWKWJWHIJHBDVQVOAVTJAJTVRVSJVRJTJVQVOVNJIUPUQURURWBABUSRVTFUTAVRVSVAAVRV
      SVBVCVJVQVDVGVJWIVOVHVEVFWGVI $.
  $}

  ${
    $d a C $.  $d w x y z C $.  $d y F $.  $d w x z F $.  $d a w $.
    $d ph x w $.
    setrec2fun.1 $e |- F/_ a F $.
    setrec2fun.2 $e |- B = setrecs ( F ) $.
    setrec2fun.3 $e |- Fun F $.
    setrec2fun.4 $e |- ( ph -> A. a ( a C_ C -> ( F ` a ) C_ C ) ) $.
    $( This is the second of two fundamental theorems about set recursion from
       which all other facts will be derived.  It states that the class
       ` setrecs ( F ) ` is a subclass of all classes ` C ` that are closed
       under ` F ` .  Taken together, Theorems ~ setrec1 and ~ setrec2v say
       that ` setrecs ( F ) ` is the minimal class closed under ` F ` .

       We express this by saying that if ` F ` respects the ` C_ ` relation and
       ` C ` is closed under ` F ` , then ` B C_ C ` .  By substituting
       strategically constructed classes for ` C ` , we can easily prove many
       useful properties.  Although this theorem cannot show equality between
       ` B ` and ` C ` , if we intend to prove equality between ` B ` and some
       particular class (such as ` On ` ), we first apply this theorem, then
       the relevant induction theorem (such as ~ tfi ) to the other class.
       (Contributed by Emmett Weisz, 15-Feb-2021.)
       (New usage is discouraged.) $)
    setrec2fun $p |- ( ph -> B C_ C ) $=
      ( vw vy vz vx cv wss wi wal wcel cvv imbi12d cfv cuni csetrecs df-setrecs
      cab eqtri wral eqid vex a1i setrec1lem1 wa cpw cima cin w3a id sstrdi nfv
      inss1 nfcv nffv nfss nfim weq sseq1 sseq1d biimpd spimfv syl syl5 3adant2
      fveq2 imp c0 wceq velpw eliman0 sylbir elssuni syl6 0ss eqsstrdi pm2.61d2
      wn 3ad2ant2 ssind 3exp alrimiv wfun pwex funimaex ax-mp uniex inex2 sseq2
      ex imbi2d albidv spcv mpan9 sylbid ralrimiv unissb sylibr eqsstrid ) ABJN
      ZKNZOXGLNZOZXGDUAZXIOZPZPJQXHXIOPLQKUEZUBZCBDUCXOGKLJDUDUFAMNZCOZMXNUGXOC
      OAXQMXNAXPXNRXGXPOZXMPZJQZXPXIOZPZLQZXQAKLJDSXPXNXNUHXPSRAMUIZUJUKAYCXQAY
      CULXPCDXPUMZUNZUBZUOZCAXRXGYHOZXKYHOZPZPZJQZYCXPYHOZAYLJAXRYIYJAXRYIUPXKC
      YGAYIXKCOZXRAYIYOYIXGCOZAYOYIXGYHCYIUQCYGUTZURAENZCOZYRDUAZCOZPZEQYPYOPZI
      UUBUUCEJYPYOEYPEUSEXKCEXGDFEXGVAVBECVAVCVDEJVEZUUBUUCUUDYSYPUUAYOYRXGCVFU
      UDYTXKCYRXGDVMVGTVHVIVJVKVNVLXRAXKYGOZYIXRXKVOVPZUUEXRUUFWEZXKYFRZUUEXRXG
      YERZUUGUUHPJXPVQUUIUUGUUHXGYEDVRWQVSXKYFVTWAUUFXKVOYGUUFUQYGWBWCWDWFWGWHW
      IYBYMYNPLYHYGCYFDWJYFSRHDYEXPYDWKWLWMWNWOXIYHVPZXTYMYAYNUUJXSYLJUUJXMYKXR
      UUJXJYIXLYJXIYHXGWPXIYHXKWPTWRWSXIYHXPWPTWTXAYQURWQXBXCMXNCXDXEXF $.
  $}

  ${
    $d F x y $.  $d a x y $.
    $( Lemma for ~ setrec2 .  The functional part of ` F ` has the same values
       as ` F ` .  (Contributed by Emmett Weisz, 4-Mar-2021.)
       (New usage is discouraged.) $)
    setrec2lem1 $p |- ( ( F |` { x | E! y x F y } ) ` a ) = ( F ` a ) $=
      ( cv wbr weu cab wcel cres cfv wceq fvres wn nfvres vex breq1 eubidv elab
      c0 tz6.12-2 sylnbi eqtr4d pm2.61i ) DEZAEZBEZCFZBGZAHZIZUECUJJKZUECKZLUEU
      JCMUKNULTUMUEUJCOUKUEUGCFZBGZUMTLUIUOAUEDPUFUELUHUNBUFUEUGCQRSBUECUAUBUCU
      D $.
  $}

  ${
    $d x y z F $.
    $( Lemma for ~ setrec2 .  The functional part of ` F ` is a function.
       (Contributed by Emmett Weisz, 6-Mar-2021.)
       (New usage is discouraged.) $)
    setrec2lem2 $p |- Fun ( F |` { x | E! y x F y } ) $=
      ( vz cv wbr weu cab cres wfun wrel wceq wi wal wex relres fvex nfcv nfres
      cfv eqeq2 imbi2d albidv spcev wcel vex brresi abid tz6.12-1 ancoms sylanb
      wa eqcomd sylbi mpg ax-gen nfab1 nfeu1 nfab dffun3f mpbir2an ) CAEZBEZCFZ
      BGZAHZIZJVGKVBVCVGFZVCDEZLZMZBNZDOZANCVFPVMAVHVCVBCTZLZMZVMBVLVPBNDVNVBCQ
      VIVNLZVKVPBVQVJVOVHVIVNVCUAUBUCUDVHVBVFUEZVDULZVOVFVBVCCBUFUGVSVNVCVRVEVD
      VNVCLZVEAUHVDVEVTBVBCUIUJUKUMUNUOUPABDVGACVFACRVEAUQSBCVFBCRVEBAVDBURUSSD
      VGRUTVA $.
  $}

  ${
    $d a C $.  $d w x y z C $.  $d u w x y z F $.  $d a u w x $.  $d ph x w $.
    setrec2.1 $e |- F/_ a F $.
    setrec2.2 $e |- B = setrecs ( F ) $.
    setrec2.3 $e |- ( ph -> A. a ( a C_ C -> ( F ` a ) C_ C ) ) $.
    $( This is the second of two fundamental theorems about set recursion from
       which all other facts will be derived.  It states that the class
       ` setrecs ( F ) ` is a subclass of all classes ` C ` that are closed
       under ` F ` .  Taken together, Theorems ~ setrec1 and ~ setrec2v
       uniquely determine ` setrecs ( F ) ` to be the minimal class closed
       under ` F ` .

       We express this by saying that if ` F ` respects the ` C_ ` relation and
       ` C ` is closed under ` F ` , then ` B C_ C ` .  By substituting
       strategically constructed classes for ` C ` , we can easily prove many
       useful properties.  Although this theorem cannot show equality between
       ` B ` and ` C ` , if we intend to prove equality between ` B ` and some
       particular class (such as ` On ` ), we first apply this theorem, then
       the relevant induction theorem (such as ~ tfi ) to the other class.

       (Contributed by Emmett Weisz, 2-Sep-2021.) $)
    setrec2 $p |- ( ph -> B C_ C ) $=
      ( vx vu vw vy vz cv cab wss cfv wi wal imbi2i wbr weu cres nfcv nfbr nfab
      nfeuw nfres csetrecs cuni setrec2lem1 sseq1i albii imbi1i unieqi 3eqtr4ri
      abbii df-setrecs eqtri setrec2lem2 sylibr setrec2fun ) ABCDINZJNZDUAZJUBZ
      IOZUCZEEDVGFVFEIVEEJEVCVDDEVCUDFEVDUDUEUGUFUHBDUIZVHUIZGKNZLNZPZVKMNZPZVK
      VHQZVNPZRZRZKSZVLVNPZRZMSZLOZUJVMVOVKDQZVNPZRZRZKSZWARZMSZLOZUJVJVIWDWLWC
      WKLWBWJMVTWIWAVSWHKVRWGVMVQWFVOVPWEVNIJDKUKULTTUMUNUMUQUOLMKVHURLMKDURUPU
      SIJDUTAENZCPZWMDQZCPZRZESWNWMVHQZCPZRZESHWTWQEWSWPWNWRWOCIJDEUKULTUMVAVB
      $.
  $}

  ${
    $d a F $.  $d a C $.
    setrec2.b $e |- B = setrecs ( F ) $.
    setrec2.c $e |- ( ph -> A. a ( a C_ C -> ( F ` a ) C_ C ) ) $.
    $( Version of ~ setrec2 with a disjoint variable condition instead of a
       nonfreeness hypothesis.  (Contributed by Emmett Weisz, 6-Mar-2021.) $)
    setrec2v $p |- ( ph -> B C_ C ) $=
      ( nfcv setrec2 ) ABCDEEDHFGI $.
  $}

  ${
    $d F a b $.  $d a ps $.  $d b ch $.  $d b A $.
    setis.1 $e |- B = setrecs ( F ) $.
    setis.2 $e |- ( b = A -> ( ps <-> ch ) ) $.
    setis.3 $e |- ( ph -> A. a ( A. b e. a ps -> A. b e. ( F ` a ) ps ) ) $.
    $( Version of ~ setrec2 expressed as an induction schema.  This theorem is
       a generalization of ~ tfis3 .  (Contributed by Emmett Weisz,
       27-Feb-2022.) $)
    setis $p |- ( ph -> ( A e. B -> ch ) ) $=
      ( wcel cab cv wral cfv wi wal wss ssabral albii sylibr sseld elabg mpbidi
      imbi12i setrec2v ) DELDBHMZLCAAEUHDAEUHFGIABHGNZOZBHUIFPZOZQZGRUIUHSZUKUH
      SZQZGRKUPUMGUNUJUOULBHUITBHUKTUFUAUBUGUCBCHDEJUDUE $.
  $}


$(
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
  Examples and properties of set recursion
-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
$)

  ${
    $d A a x $.  $d B a x $.  $d F a x $.
    elsetrecs.1 $e |- B = setrecs ( F ) $.
    $( Lemma for ~ elsetrecs .  Any element of ` setrecs ( F ) ` is generated
       by some subset of ` setrecs ( F ) ` .  This is much weaker than
       ~ setrec2v .  To see why this lemma also requires ~ setrec1 , consider
       what would happen if we replaced ` B ` with ` { A } ` .  The antecedent
       would still hold, but the consequent would fail in general.  Consider
       dispensing with the deduction form.  (Contributed by Emmett Weisz,
       11-Jul-2021.)  (New usage is discouraged.) $)
    elsetrecslem $p |- ( A e. B -> E. x ( x C_ B /\ A e. ( F ` x ) ) ) $=
      ( va wcel cv wss cfv wa wn wal wex csn cdif ssdifsn simprbi con2i wi wceq
      sseq1 fveq2 eleq2d anbi12d notbid imnan idd cvv vex a1i id setrec1 jctild
      spvv a2i sylbir adantrd 3imtr4g syl alrimiv setrec2v nsyl df-ex sylibr )
      BCGZAHZCIZBVGDJZGZKZLZAMZLVKANVFCCBOPZIZVMVOVFVOCCIVFLCCBQRSVMCVNDFEVMFHZ
      VNIZVPDJZVNIZTZFVMVPCIZBVRGZKZLZVTVLWDAFVGVPUAZVKWCWEVHWAVJWBVGVPCUBWEVIV
      RBVGVPDUCUDUEUFUOWDWABVPGLZKVRCIZWBLZKZVQVSWDWAWIWFWDWAWHTWAWITWAWBUGWAWH
      WIWAWHWHWGWAWHUHWAVPCDEVPUIGWAFUJUKWAULUMUNUPUQURVPCBQVRCBQUSUTVAVBVCVKAV
      DVE $.

    $( A set ` A ` is an element of ` setrecs ( F ) ` iff ` A ` is generated by
       some subset of ` setrecs ( F ) ` .  The proof requires both ~ setrec1
       and ~ setrec2 , but this theorem is not strong enough to uniquely
       determine ` setrecs ( F ) ` .  If ` F ` respects the subset relation,
       the theorem still holds if both occurrences of ` e. ` are replaced by
       ` C_ ` for a stronger version of the theorem.  (Contributed by Emmett
       Weisz, 12-Jul-2021.) $)
    elsetrecs $p |- ( A e. B <-> E. x ( x C_ B /\ A e. ( F ` x ) ) ) $=
      ( wcel wss cfv wex elsetrecslem cvv vex a1i setrec1 sselda exlimiv impbii
      cv wa id ) BCFZARZCGZBUBDHZFSZAIABCDEJUEUAAUCUDCBUCUBCDEUBKFUCALMUCTNOPQ
      $.
  $}

  ${
    $d ph x $.  $d F x $.  $d G x $.
    setrecsss.1 $e |- ( ph -> Fun G ) $.
    setrecsss.2 $e |- ( ph -> F C_ G ) $.
    $( The ` setrecs ` operator respects the subset relation between two
       functions ` F ` and ` G ` .  (Contributed by Emmett Weisz,
       13-Mar-2022.) $)
    setrecsss $p |- ( ph -> setrecs ( F ) C_ setrecs ( G ) ) $=
      ( vx csetrecs eqid cv wss cfv wi wa csn cima cuni syl wfun wceq funfv cvv
      imass1 unissd funss sylc 3sstr4d wcel vex a1i simpr setrec1 sstrd alrimiv
      adantr ex setrec2v ) ABGZCGZBFUQHAFIZURJZUSBKZURJZLFAUTVBAUTMZVAUSCKZURAV
      AVDJUTABUSNZOZPZCVEOZPZVAVDAVFVHABCJZVFVHJEBCVEUBQUCABRZVAVGSAVJCRZVKEDBC
      UDUEUSBTQAVLVDVISDUSCTQUFUNVCUSURCURHUSUAUGVCFUHUIAUTUJUKULUOUMUP $.
  $}

  ${
    $d B x $.  $d F x $.  $d ph x $.
    setrecsres.1 $e |- B = setrecs ( F ) $.
    setrecsres.2 $e |- ( ph -> Fun F ) $.
    $( A recursively generated class is unaffected when its input function is
       restricted to subsets of the class.  (Contributed by Emmett Weisz,
       14-Mar-2022.) $)
    setrecsres $p |- ( ph -> B = setrecs ( ( F |` ~P B ) ) ) $=
      ( vx cpw cres csetrecs cv wss cfv wi wa wceq id resss a1i setrecsss wcel
      sseqtrrdi sylan9ssr velpw sylbir syl eqid cvv vex setrec1 adantl eqsstrrd
      fvres ex alrimiv setrec2v eqssd ) ABCBGZHZIZABUSCFDAFJZUSKZUTCLZUSKZMFAVA
      VCAVANZVBUTURLZUSVDUTBKZVEVBOZVAAUTUSBVAPZAUSCIBAURCEURCKACUQQRSDUAZUBVFU
      TUQTVGFBUCUTUQCULUDUEVAVEUSKAVAUTUSURUSUFUTUGTVAFUHRVHUIUJUKUMUNUOVIUP $.
  $}

  ${
    $d a F $.  $d a x $.
    vsetrec.1 $e |- F = ( x e. _V |-> ~P x ) $.
    $( Construct ` _V ` using set recursion.  The proof indirectly uses
       ~ trcl , which relies on ` rec ` , but theoretically ` C ` in ~ trcl
       could be constructed using ` setrecs ` instead.  The proof of this
       theorem uses the dummy variable ` a ` rather than ` x ` to avoid a
       distinct variable requirement between ` F ` and ` x ` .  (Contributed by
       Emmett Weisz, 23-Jun-2021.) $)
    vsetrec $p |- setrecs ( F ) = _V $=
      ( va cv csetrecs wss wcel wi cvv wceq setind cpw vex pwid pweq pwex fvmpt
      cfv ax-mp eqid a1i id setrec1 eqsstrrid sseld mpi mpg ) DEZBFZGZUIUJHZIUJ
      JKDDUJLUKUIUIMZHULUIDNZOUKUMUJUIUKUMUIBSZUJUIJHZUOUMKUNAUIAEZMUMJBUQUIPCU
      IUNQRTUKUIUJBUJUAUPUKUNUBUKUCUDUEUFUGUH $.
  $}

  ${
    $d ph x $.  $d F x $.
    0setrec.1 $e |- ( ph -> ( F ` (/) ) = (/) ) $.
    $( If a function sends the empty set to itself, the function will not
       recursively generate any sets, regardless of its other values.
       (Contributed by Emmett Weisz, 23-Jun-2021.) $)
    0setrec $p |- ( ph -> setrecs ( F ) = (/) ) $=
      ( vx csetrecs c0 wss wceq eqid cv cfv wi ss0 fveq2 sylan9eqr eqimss syl56
      ex alrimiv setrec2v syl ) ABEZFGUBFHAUBFBDUBIADJZFGZUCBKZFGZLDUDUCFHZAUEF
      HZUFUCMAUGUHUGAUEFBKFUCFBNCORUEFPQSTUBMUA $.
  $}

  ${
    $d a x $.
    onsetreclem1.1 $e |- F = ( x e. _V |-> { U. x , suc U. x } ) $.
    $( Lemma for ~ onsetrec .  (Contributed by Emmett Weisz, 22-Jun-2021.)
       (New usage is discouraged.) $)
    onsetreclem1 $p |- ( F ` a ) = { U. a , suc U. a } $=
      ( cv cfv cuni csuc cpr wceq cvv unieq suceq syl preq12d prex fvmpt elv )
      CEZBFSGZTHZIZJCASAEZGZUDHZIUBKBUCSJZUDTUEUAUCSLZUFUDTJUEUAJUGUDTMNODTUAPQ
      R $.
  $}

  ${
    $d a x $.
    onsetreclem2.1 $e |- F = ( x e. _V |-> { U. x , suc U. x } ) $.
    $( Lemma for ~ onsetrec .  (Contributed by Emmett Weisz, 22-Jun-2021.)
       (New usage is discouraged.) $)
    onsetreclem2 $p |- ( a C_ On -> ( F ` a ) C_ On ) $=
      ( cv con0 wss cfv cuni csuc cpr onsetreclem1 wcel ssonunii suceloni prssi
      vex syl2anc2 eqsstrid ) CEZFGZTBHTIZUBJZKZFABCDLUAUBFMUCFMUDFGTCQNUBOUBUC
      FPRS $.
  $}

  ${
    $d a x $.
    onsetreclem3.1 $e |- F = ( x e. _V |-> { U. x , suc U. x } ) $.
    $( Lemma for ~ onsetrec .  (Contributed by Emmett Weisz, 22-Jun-2021.)
       (New usage is discouraged.) $)
    onsetreclem3 $p |- ( a e. On -> a e. ( F ` a ) ) $=
      ( cv con0 wcel cuni csuc cpr cfv wceq word eloni orduniorsuc syl vex elpr
      wo sylibr onsetreclem1 eleqtrrdi ) CEZFGZUCUCHZUEIZJZUCBKUDUCUELUCUFLSZUC
      UGGUDUCMUHUCNUCOPUCUEUFCQRTABCDUAUB $.
  $}

  ${
    $d a F $.  $d a x $.
    onsetrec.1 $e |- F = ( x e. _V |-> { U. x , suc U. x } ) $.
    $( Construct ` On ` using set recursion.  When ` x e. On ` , the function
       ` F ` constructs the least ordinal greater than any of the elements of
       ` x ` , which is ` U. x ` for a limit ordinal and ` suc U. x ` for a
       successor ordinal.

       For example, ` ( F `` { 1o , 2o } ) `
       ` = { U. { 1o , 2o } , suc U. { 1o , 2o } } = { 2o , 3o } ` which
       contains ` 3o ` , and
       ` ( F `` _om ) = { U. _om , suc U. _om } = { _om , _om +o 1o } ` , which
       contains ` _om ` .  If we start with the empty set and keep applying
       ` F ` transfinitely many times, all ordinal numbers will be generated.

       Any function ` F ` fulfilling lemmas ~ onsetreclem2 and ~ onsetreclem3
       will recursively generate ` On ` ; for example,
       ` F = ( x e. _V |-> suc suc U. x } ) ` also works.  Whether this
       function or the function in the theorem is used, taking this theorem as
       a definition of ` On ` is unsatisfying because it relies on the
       different properties of limit and successor ordinals.  A different
       approach could be to let ` F = ( x e. _V |-> { y e. ~P x | Tr y } ) ` ,
       based on ~ dfon2 .

       The proof of this theorem uses the dummy variable ` a ` rather than
       ` x ` to avoid a distinct variable condition between ` F ` and ` x ` .
       (Contributed by Emmett Weisz, 22-Jun-2021.) $)
    onsetrec $p |- setrecs ( F ) = On $=
      ( va csetrecs con0 wss cv wcel wi wral wceq wtru eqid onsetreclem2 ax-gen
      cfv wal a1i setrec2v mptru cvv vex setrec1 onsetreclem3 ssel syl2im com12
      id rgen tfi mp2an ) BEZFGZDHZUMGZUOUMIZJZDFKUMFLUNMUMFBDUMNZUOFGUOBQZFGJZ
      DRMVADABDCOPSTUAURDFUPUOFIZUQUPUTUMGVBUOUTIUQUPUOUMBUSUOUBIUPDUCSUPUIUDAB
      DCUEUTUMUOUFUGUHUJDUMUKUL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Construction of Games and Surreal Numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
Model organization after organization of reals - see TOC
$)

  $( Declare the symbol for the class of partisan game forms. $)
  $c Pg $.

  $( Extend class notation to include the class of partisan game forms. $)
  cpg $a class Pg $.

  $( Define the class of partisan games.  More precisely, this is the class of
     partisan game forms, many of which represent equal partisan games.  In
     Metamath, equality between partisan games is represented by a different
     equivalence relation than class equality.  (Contributed by Emmett Weisz,
     22-Aug-2021.) $)
  df-pg $a |- Pg = setrecs ( ( x e. _V |-> ( ~P x X. ~P x ) ) ) $.

  ${
    $d A x $.  $d x y $.

    $( Lemma for ~ elpg .  (Contributed by Emmett Weisz, 28-Aug-2021.) $)
    elpglem1 $p |- ( E. x ( x C_ Pg
                            /\ ( ( 1st ` A ) e. ~P x /\ ( 2nd ` A ) e. ~P x ) )
                      -> ( ( 1st ` A ) C_ Pg /\ ( 2nd ` A ) C_ Pg ) ) $=
      ( cv cpg wss c1st cfv cpw wcel c2nd wa elpwi adantl simpl sstrd anim12dan
      exlimiv ) ACZDEZBFGZRHZIZBJGZUAIZKKTDEZUCDEZKASUBUEUDUFSUBKTRDUBTRESTRLMS
      UBNOSUDKUCRDUDUCRESUCRLMSUDNOPQ $.

    $( Lemma for ~ elpg .  (Contributed by Emmett Weisz, 28-Aug-2021.) $)
    elpglem2 $p |- ( ( ( 1st ` A ) C_ Pg /\ ( 2nd ` A ) C_ Pg )
                     -> E. x ( x C_ Pg
                      /\ ( ( 1st ` A ) e. ~P x /\ ( 2nd ` A ) e. ~P x ) ) ) $=
      ( c1st cfv cpg wss c2nd wa cv cpw wcel wceq wi fvex unex isseti sseqtrrid
      cun elpw2 sylibr sseq1 unss bitr4di biimprd ssun1 id vex ssun2 jca jctird
      eximii 19.37iv ) BCDZEFBGDZEFHZAIZEFZUMUPJZKZUNURKZHZHZAUPUMUNRZLZUOVBMAA
      VCUMUNBCNBGNOPVDUOUQVAVDUQUOVDUQVCEFUOUPVCEUAUMUNEUBUCUDVDUSUTVDUMUPFUSVD
      VCUMUPUMUNUEVDUFZQUMUPAUGZSTVDUNUPFUTVDVCUNUPUNUMUHVEQUNUPVFSTUIUJUKUL $.

    $( Lemma for ~ elpg .  (Contributed by Emmett Weisz, 28-Aug-2021.) $)
    elpglem3 $p |- ( E. x ( x C_ Pg
                             /\ A e. ( ( y e. _V |-> ( ~P y X. ~P y ) ) ` x ) )
               <-> ( A e. ( _V X. _V ) /\ E. x ( x C_ Pg
                    /\ ( ( 1st ` A ) e. ~P x /\ ( 2nd ` A ) e. ~P x ) ) ) ) $=
      ( cv cpg wss cvv cpw cxp cmpt cfv wcel wex c1st c2nd wceq vex weq bitri
      wa pweq sqxpeqd eqid pwex xpex fvmpt ax-mp eleq2i elxp7 anbi2i an12 exbii
      19.42v ) ADZEFZCUNBGBDZHZUQIZJZKZLZTZAMCGGILZUOCNKUNHZLCOKVDLTZTZTZAMVCVF
      AMTVBVGAVBUOVCVETZTVGVAVHUOVACVDVDIZLVHUTVICUNGLUTVIPAQZBUNURVIGUSBARUQVD
      UPUNUAUBUSUCVDVDUNVJUDZVKUEUFUGUHCVDVDUISUJUOVCVEUKSULVCVFAUMS $.

    $( Membership in the class of partisan games.  In John Horton Conway's On
       Numbers and Games, this is stated as "If ` L ` and ` R ` are any two
       sets of games, then there is a game ` { L | R } ` .  All games are
       constructed in this way."  The first sentence corresponds to the
       backward direction of our theorem, and the second to the forward
       direction.  (Contributed by Emmett Weisz, 27-Aug-2021.) $)
    elpg $p |- ( A e. Pg <->
      ( A e. ( _V X. _V ) /\ ( 1st ` A ) C_ Pg /\ ( 2nd ` A ) C_ Pg ) ) $=
      ( vx vy cvv cxp wcel cv cpg wss c1st cfv cpw wa wex w3a elpglem1 elpglem2
      c2nd impbii anbi2i cmpt df-pg elsetrecs elpglem3 bitri 3anass 3bitr4i ) A
      DDEFZBGZHIZAJKZUILZFARKZULFMMBNZMZUHUKHIZUMHIZMZMAHFZUHUPUQOUNURUHUNURBAP
      BAQSTUSUJAUICDCGLZUTEUAZKFMBNUOBAHVACUBUCBCAUDUEUHUPUQUFUG $.
  $}

$( (End of Emmett Weisz's mathbox.) $)
$( End $[ set-mbox-ew.mm $] $)


$( Begin $[ set-mbox-daw.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for David A. Wheeler
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

  This is the mathbox of David A. Wheeler, dwheeler at dwheeler dot com.
  Among other things, I have added a number of formal definitions for
  widely-used functions, e.g., those defined in
  ISO 80000-2:2009(E)
  _Quantities and units - Part 2: Mathematical signs and
  symbols used in the natural sciences and technology_
  and the
  _NIST Digital Library of Mathematical Functions_ ~ http://dlmf.nist.gov/ .

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Simplify propositional expressions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  These make it easier to manipulate some propositional expressions

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Natural deduction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    sbidd.1 $e |- ( ph -> [ x / x ] ps ) $.
    $( An identity theorem for substitution.  See ~ sbid .  See Remark 9.1 in
       [Megill] p. 447 (p. 15 of the preprint).  (Contributed by DAW,
       18-Feb-2017.) $)
    sbidd $p |- ( ph -> ps ) $=
      ( wsb sbid sylib ) ABCCEBDBCFG $.
  $}

  $( An identity theorem for substitution.  See ~ sbid .  See Remark 9.1 in
     [Megill] p. 447 (p. 15 of the preprint).  (Contributed by DAW,
     18-Feb-2017.) $)
  sbidd-misc $p |- ( ( ph -> [ x / x ] ps ) <-> ( ph -> ps ) ) $=
    ( wsb sbid imbi2i ) BCCDBABCEF $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Greater than, greater than or equal to.
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  As a stylistic issue, set.mm prefers 'less than' instead of
  'greater than' to reduce the number of conversion steps.
  Here we formally define the widely-used relations
  'greater than' and 'greater than or equal to', so that we
  have formal definitions of them, as well as a few related theorems.

$)

  $( Define the 'greater than or equal to' predicate over the extended
     reals. $)

  $c >_ $. $( 'Greater than or equal to' relation (over extended reals). $)
  $c > $. $( 'Greater than' relation (over extended reals) $)

  $( Extend wff notation to include the 'greater than or equal to' relation,
     see ~ df-gte . $)
  cge-real $a class >_ $.
  $( Extend wff notation to include the 'greater than' relation, see
     ~ df-gt . $)
  cgt $a class > $.

  $( Define the 'greater than or equal' predicate over the reals.  Defined in
     ISO 80000-2:2009(E) operation 2-7.10.  It is used as a primitive in the
     "NIST Digital Library of Mathematical Functions" , front introduction,
     "Common Notations and Definitions" section at
     ~ http://dlmf.nist.gov/front/introduction#Sx4 .  This relation is merely
     the converse of the 'less than or equal to' relation defined by ~ df-le .

     We do not write this as ` ( x >_ y <-> y <_ x ) ` , and similarly we do
     not write `` > `` as ` ( x > y <-> y < x ) ` , because these are not
     definitional axioms as understood by mmj2 (those definitions will be
     flagged as being "potentially non-conservative").  We could write them
     this way:
     ` |- > = { <. x , y >. | ( ( x e. RR* /\ y e. RR* ) /\ y < x ) } ` and
     ` |- >_ = { <. x , y >. | ( ( x e. RR* /\ y e. RR* ) /\ y <_ x ) } ` but
     these are very complicated.  This definition of ` >_ ` , and the similar
     one for ` > ` ( ~ df-gt ), are a bit strange when you see them for the
     first time, but these definitions are much simpler for us to process and
     are clearly conservative definitions.  (My thanks to Mario Carneiro for
     pointing out this simpler approach.)  See ~ gte-lte for a more
     conventional expression of the relationship between ` < ` and ` > ` .  As
     a stylistic issue, set.mm prefers 'less than' instead of 'greater than' to
     reduce the number of conversion steps.  Thus, we discourage its use, but
     include its definition so that there _is_ a formal definition of this
     symbol.

     (Contributed by David A. Wheeler, 10-May-2015.)
     (New usage is discouraged.) $)
  df-gte $a |- >_ = `' <_ $.

  $( The 'greater than' relation is merely the converse of the 'less than or
     equal to' relation defined by ~ df-lt .  Defined in ISO 80000-2:2009(E)
     operation 2-7.12.  See ~ df-gte for a discussion on why this approach is
     used for the definition.  See ~ gt-lt and ~ gt-lth for more conventional
     expression of the relationship between ` < ` and ` > ` .

     As a stylistic issue, set.mm prefers 'less than or equal' instead of
     'greater than or equal' to reduce the number of conversion steps.  Thus,
     we discourage its use, but include its definition so that there _is_ a
     formal definition of this symbol.

     (Contributed by David A. Wheeler, 19-Apr-2015.)
     (New usage is discouraged.) $)
  df-gt $a |- > = `' < $.

  $( Simple relationship between ` <_ ` and ` >_ ` .  (Contributed by David A.
     Wheeler, 10-May-2015.)  (New usage is discouraged.) $)
  gte-lte $p |- ( ( A e. _V /\ B e. _V ) -> ( A >_ B <-> B <_ A ) ) $=
    ( cge-real wbr cle ccnv cvv wcel wa df-gte breqi brcnvg syl5bb ) ABCDABEFZD
    AGHBGHIBAEDABCNJKABGGELM $.

  $( Simple relationship between ` < ` and ` > ` .  (Contributed by David A.
     Wheeler, 19-Apr-2015.)  (New usage is discouraged.) $)
  gt-lt $p |- ( ( A e. _V /\ B e. _V ) -> ( A > B <-> B < A ) ) $=
    ( cgt wbr clt ccnv cvv wcel wa df-gt breqi brcnvg syl5bb ) ABCDABEFZDAGHBGH
    IBAEDABCNJKABGGELM $.

  ${
    gte-lteh.1 $e |- A e. _V $.
    gte-lteh.2 $e |- B e. _V $.
    $( Relationship between ` <_ ` and ` >_ ` using hypotheses.  (Contributed
       by David A. Wheeler, 10-May-2015.)  (New usage is discouraged.) $)
    gte-lteh $p |- ( A >_ B <-> B <_ A ) $=
      ( cge-real wbr cle ccnv df-gte breqi brcnv bitri ) ABEFABGHZFBAGFABEMIJAB
      GCDKL $.
  $}

  ${
    gt-lth.1 $e |- A e. _V $.
    gt-lth.2 $e |- B e. _V $.
    $( Relationship between ` < ` and ` > ` using hypotheses.  (Contributed by
       David A. Wheeler, 19-Apr-2015.)  (New usage is discouraged.) $)
    gt-lth $p |- ( A > B <-> B < A ) $=
      ( cgt wbr clt ccnv df-gt breqi brcnv bitri ) ABEFABGHZFBAGFABEMIJABGCDKL
      $.
  $}
  $( Simple example of ` > ` , in this case, 0 is not greater than 0.  This is
     useful as an example, and helps us gain confidence that we've correctly
     defined the symbol.  (Contributed by David A. Wheeler, 1-Jan-2017.)
     (New usage is discouraged.) $)
  ex-gt $p |- -. 0 > 0 $=
    ( cc0 cgt wbr clt 0re ltnri c0ex gt-lth mtbir ) AABCAADCAEFAAGGHI $.

  $( Simple example of ` >_ ` , in this case, 0 is greater than or equal to 0.
     This is useful as an example, and helps us gain confidence that we've
     correctly defined the symbol.  (Contributed by David A. Wheeler,
     1-Jan-2017.)  (New usage is discouraged.) $)
  ex-gte $p |- 0 >_ 0 $=
    ( cc0 cge-real wbr cle 0le0 c0ex gte-lteh mpbir ) AABCAADCEAAFFGH $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Hyperbolic trigonometric functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  It is a convention of set.mm to not use sinh and so on directly,
  and instead of use expansions such as ` ( cos `` ( _i x. x ) ) ` .
  However, I believe it's important to give formal definitions for
  these conventional functions as they are typically used,
  so here they are.  A few related identities are also proved.

$)

  $c sinh $. $( Hyperbolic sine function. $)
  $c cosh $. $( Hyperbolic cosine function. $)
  $c tanh $. $( Hyperbolic tangent function. $)

  $( Extend class notation to include the hyperbolic sine function, see
     ~ df-sinh . $)
  csinh $a class sinh $.
  $( Extend class notation to include the hyperbolic cosine function. see
     ~ df-cosh . $)
  ccosh $a class cosh $.
  $( Extend class notation to include the hyperbolic tangent function, see
     ~ df-tanh . $)
  ctanh $a class tanh $.

  $( Define the hyperbolic sine function (sinh).  We define it this way for
     ~ cmpt , which requires the form ` ( x e. A |-> B ) ` .  See
     ~ sinhval-named for a simple way to evaluate it.  We define this function
     by dividing by ` _i ` , which uses fewer operations than many conventional
     definitions (and thus is more convenient to use in set.mm).  See
     ~ sinh-conventional for a justification that our definition is the same as
     the conventional definition of sinh used in other sources.  (Contributed
     by David A. Wheeler, 20-Apr-2015.) $)
  df-sinh $a |- sinh = ( x e. CC |-> ( ( sin ` ( _i x. x ) ) / _i ) ) $.

  $( Define the hyperbolic cosine function (cosh).  We define it this way for
     ~ cmpt , which requires the form ` ( x e. A |-> B ) ` .  (Contributed by
     David A. Wheeler, 10-May-2015.) $)
  df-cosh $a |- cosh = ( x e. CC |-> ( cos ` ( _i x. x ) ) ) $.

  $( Define the hyperbolic tangent function (tanh).  We define it this way for
     ~ cmpt , which requires the form ` ( x e. A |-> B ) ` .  (Contributed by
     David A. Wheeler, 10-May-2015.) $)
  df-tanh $a |- tanh = ( x e. ( `' cosh " ( CC \ { 0 } ) ) |->
                       ( ( tan ` ( _i x. x ) ) / _i ) ) $.

  ${
    $d x A $.
    $( Value of the named sinh function.  Here we show the simple conversion to
       the conventional form used in set.mm, using the definition given by
       ~ df-sinh .  See ~ sinhval for a theorem to convert this further.  See
       ~ sinh-conventional for a justification that our definition is the same
       as the conventional definition of sinh used in other sources.
       (Contributed by David A. Wheeler, 20-Apr-2015.) $)
    sinhval-named $p |- ( A e. CC ->
                          ( sinh ` A ) = ( ( sin ` ( _i x. A ) ) / _i ) ) $=
      ( vx ci cv cmul co csin cfv cdiv cc csinh wceq fveq2d oveq1d df-sinh ovex
      oveq2 fvmpt ) BACBDZEFZGHZCIFCAEFZGHZCIFJKSALZUAUCCIUDTUBGSACEQMNBOUCCIPR
      $.
  $}

  ${
    $d x A $.
    $( Value of the named cosh function.  Here we show the simple conversion to
       the conventional form used in set.mm, using the definition given by
       ~ df-cosh .  See ~ coshval for a theorem to convert this further.
       (Contributed by David A. Wheeler, 10-May-2015.) $)
    coshval-named $p |- ( A e. CC -> ( cosh ` A ) = ( cos ` ( _i x. A ) ) ) $=
      ( vx ci cv cmul co ccos cfv cc ccosh wceq oveq2 fveq2d df-cosh fvex fvmpt
      ) BACBDZEFZGHCAEFZGHIJQAKRSGQACELMBNSGOP $.
  $}

  ${
    $d x A $.
    $( Value of the named tanh function.  Here we show the simple conversion to
       the conventional form used in set.mm, using the definition given by
       ~ df-tanh .  (Contributed by David A. Wheeler, 10-May-2015.) $)
    tanhval-named $p |- ( A e. ( `' cosh " ( CC \ { 0 } ) ) ->
                          ( tanh ` A ) = ( ( tan ` ( _i x. A ) ) / _i ) ) $=
      ( vx ci cv cmul co ctan cfv cdiv ccosh ccnv cc0 csn cdif cima ctanh oveq2
      cc wceq fveq2d oveq1d df-tanh ovex fvmpt ) BACBDZEFZGHZCIFCAEFZGHZCIFJKRL
      MNOPUEASZUGUICIUJUFUHGUEACEQTUABUBUICIUCUD $.
  $}

  $( Conventional definition of sinh.  Here we show that the sinh definition
     we're using has the same meaning as the conventional definition used in
     some other sources.  We choose a slightly different definition of sinh
     because it has fewer operations, and thus is more convenient to manipulate
     using set.mm.  (Contributed by David A. Wheeler, 10-May-2015.) $)
  sinh-conventional $p |- ( A e. CC ->
                 ( sinh ` A ) = ( -u _i x. ( sin ` ( _i x. A ) ) ) ) $=
    ( cc wcel csinh cfv ci cmul co csin cdiv c1 cneg sinhval-named ax-icn mulcl
    wceq mpan sincld cc0 wne ine0 divrec2 mp3an23 syl irec oveq1i a1i 3eqtrd )
    ABCZADEFAGHZIEZFJHZKFJHZUKGHZFLZUKGHZAMUIUKBCZULUNPZUIUJFBCZUIUJBCNFAOQRUQU
    SFSTURNUAUKFUBUCUDUNUPPUIUMUOUKGUEUFUGUH $.

  $( TODO: Show that tanh(x) = -i tan(ix). $)

  $( Prove that ` ( sinh `` A ) + ( cosh `` A ) = ( exp `` A ) ` using the
     conventional hyperbolic trigonometric functions.  (Contributed by David A.
     Wheeler, 27-May-2015.) $)
  sinhpcosh $p |- ( A e. CC ->
                   ( ( sinh ` A ) + ( cosh ` A ) ) = ( exp ` A ) ) $=
    ( cc wcel csinh cfv ccosh caddc co c2 ce cmul cdiv cneg cmin eqtrd 2cn 2ne0
    ci efcl a1i csin sinhval-named sinhval coshval-named coshval oveq12d cc0 wa
    ccos wne wceq addcld subcld divdir syl3an1 syl3an2 3anidm12 mpanr12 2timesd
    negcl syl nppcand addassd 3eqtr2rd oveq1d 3eqtr2d divcan3d ) ABCZADEZAFEZGH
    ZIAJEZKHZILHZVLVHVKVLAMZJEZNHZILHZVLVPGHZILHZGHZVQVSGHZILHZVNVHVIVRVJVTGVHV
    IRAKHZUAERLHVRAUBAUCOVHVJWDUIEVTAUDAUEOUFVHIBCZIUGUJZWCWAUKZPQVHWEWFUHZWGVH
    VHVSBCZWHWGVHVLVPASZVHVOBCVPBCAUTVOSVAZULVHVQBCWIWHWGVHVLVPWJWKUMZVQVSIUNUO
    UPUQURVHWBVMILVHVMVLVLGHVQVLGHVPGHWBVHVLWJUSVHVLVPVLWJWKWJVBVHVQVLVPWLWJWKV
    CVDVEVFVHVLIWJWEVHPTWFVHQTVGO $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Reciprocal trigonometric functions (sec, csc, cot)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Define the traditional reciprocal trigonometric functions
  secant (sec), cosecant (csc), and cotangent (cos), along with
  various identities involving them.

$)

  $c sec $. $( Secant function. $)
  $c csc $. $( Cosecant function. $)
  $c cot $. $( Cotangent function. $)

  $( Extend class notation to include the secant function, see ~ df-sec . $)
  csec $a class sec $.

  $( Extend class notation to include the cosecant function, see ~ df-csc . $)
  ccsc $a class csc $.

  $( Extend class notation to include the cotangent function, see ~ df-cot . $)
  ccot $a class cot $.

  ${
    $d x y $.
    $( Define the secant function.  We define it this way for ~ cmpt , which
       requires the form ` ( x e. A |-> B ) ` .  The sec function is defined in
       ISO 80000-2:2009(E) operation 2-13.6 and "NIST Digital Library of
       Mathematical Functions" section on "Trigonometric Functions"
       ~ http://dlmf.nist.gov/4.14 .  (Contributed by David A. Wheeler,
       14-Mar-2014.) $)
    df-sec $a |- sec = ( x e. { y e. CC | ( cos ` y ) =/= 0 } |->
                       ( 1 / ( cos ` x ) ) ) $.

    $( Define the cosecant function.  We define it this way for ~ cmpt , which
       requires the form ` ( x e. A |-> B ) ` .  The csc function is defined in
       ISO 80000-2:2009(E) operation 2-13.7 and "NIST Digital Library of
       Mathematical Functions" section on "Trigonometric Functions"
       ~ http://dlmf.nist.gov/4.14 .  (Contributed by David A. Wheeler,
       14-Mar-2014.) $)
    df-csc $a |- csc = ( x e. { y e. CC | ( sin ` y ) =/= 0 } |->
                       ( 1 / ( sin ` x ) ) ) $.

    $( Define the cotangent function.  We define it this way for ~ cmpt , which
       requires the form ` ( x e. A |-> B ) ` .  The cot function is defined in
       ISO 80000-2:2009(E) operation 2-13.5 and "NIST Digital Library of
       Mathematical Functions" section on "Trigonometric Functions"
       ~ http://dlmf.nist.gov/4.14 .  (Contributed by David A. Wheeler,
       14-Mar-2014.) $)
    df-cot $a |- cot = ( x e. { y e. CC | ( sin ` y ) =/= 0 } |->
                       ( ( cos ` x ) / ( sin ` x ) ) ) $.
  $}

  ${
    $d x y A $.
    $( Value of the secant function.  (Contributed by David A. Wheeler,
       14-Mar-2014.) $)
    secval $p |- ( ( A e. CC /\ ( cos ` A ) =/= 0 ) ->
                   ( sec ` A ) = ( 1 / ( cos ` A ) ) ) $=
      ( vy vx cc wcel ccos cfv cc0 wa cv crab csec c1 cdiv co wceq fveq2 neeq1d
      wne elrab oveq2d df-sec ovex fvmpt sylbir ) ADEAFGZHSZIABJZFGZHSZBDKZEALG
      MUFNOZPUJUGBADUHAPUIUFHUHAFQRTCAMCJZFGZNOULUKLUMAPUNUFMNUMAFQUACBUBMUFNUC
      UDUE $.

    $( Value of the cosecant function.  (Contributed by David A. Wheeler,
       14-Mar-2014.) $)
    cscval $p |- ( ( A e. CC /\ ( sin ` A ) =/= 0 ) ->
                   ( csc ` A ) = ( 1 / ( sin ` A ) ) ) $=
      ( vy vx cc wcel csin cfv cc0 wa cv crab ccsc c1 cdiv co wceq fveq2 neeq1d
      wne elrab oveq2d df-csc ovex fvmpt sylbir ) ADEAFGZHSZIABJZFGZHSZBDKZEALG
      MUFNOZPUJUGBADUHAPUIUFHUHAFQRTCAMCJZFGZNOULUKLUMAPUNUFMNUMAFQUACBUBMUFNUC
      UDUE $.

    $( Value of the cotangent function.  (Contributed by David A. Wheeler,
       14-Mar-2014.) $)
    cotval $p |- ( ( A e. CC /\ ( sin ` A ) =/= 0 ) ->
                   ( cot ` A ) = ( ( cos ` A ) / ( sin ` A ) ) ) $=
      ( vy vx cc wcel csin cfv cc0 wne wa cv crab ccot ccos cdiv co wceq neeq1d
      fveq2 elrab oveq12d df-cot ovex fvmpt sylbir ) ADEAFGZHIZJABKZFGZHIZBDLZE
      AMGANGZUFOPZQUJUGBADUHAQUIUFHUHAFSRTCACKZNGZUNFGZOPUMUKMUNAQUOULUPUFOUNAN
      SUNAFSUACBUBULUFOUCUDUE $.
  $}

  $( The closure of the secant function with a complex argument.  (Contributed
     by David A. Wheeler, 14-Mar-2014.) $)
  seccl $p |- ( ( A e. CC /\ ( cos ` A ) =/= 0 ) ->
              ( sec ` A ) e. CC ) $=
    ( cc wcel ccos cfv cc0 wne wa csec c1 cdiv secval coscl adantr simpr reccld
    co eqeltrd ) ABCZADEZFGZHZAIEJTKQBALUBTSTBCUAAMNSUAOPR $.

  $( The closure of the cosecant function with a complex argument.
     (Contributed by David A. Wheeler, 14-Mar-2014.) $)
  csccl $p |- ( ( A e. CC /\ ( sin ` A ) =/= 0 ) ->
              ( csc ` A ) e. CC ) $=
    ( cc wcel csin cfv cc0 wne wa ccsc c1 cdiv cscval sincl adantr simpr reccld
    co eqeltrd ) ABCZADEZFGZHZAIEJTKQBALUBTSTBCUAAMNSUAOPR $.

  $( The closure of the cotangent function with a complex argument.
     (Contributed by David A. Wheeler, 15-Mar-2014.) $)
  cotcl $p |- ( ( A e. CC /\ ( sin ` A ) =/= 0 ) -> ( cot ` A ) e. CC ) $=
    ( cc wcel csin cfv cc0 wa ccot ccos cdiv co cotval coscl adantr sincl simpr
    wne divcld eqeltrd ) ABCZADEZFQZGZAHEAIEZUAJKBALUCUDUATUDBCUBAMNTUABCUBAONT
    UBPRS $.

  $( The closure of the secant function with a real argument.  (Contributed by
     David A. Wheeler, 15-Mar-2014.) $)
  reseccl $p |- ( ( A e. RR /\ ( cos ` A ) =/= 0 ) -> ( sec ` A ) e. RR ) $=
    ( cr wcel ccos cfv cc0 wa csec c1 cdiv co cc wceq recn secval sylan recoscl
    wne 1red redivcl syl3an1 syl3an2 3anidm12 eqeltrd ) ABCZADEZFRZGAHEZIUFJKZB
    UEALCUGUHUIMANAOPUEUGUIBCZUEUEUFBCZUGUJAQUEIBCUKUGUJUESIUFTUAUBUCUD $.

  $( The closure of the cosecant function with a real argument.  (Contributed
     by David A. Wheeler, 15-Mar-2014.) $)
  recsccl $p |- ( ( A e. RR /\ ( sin ` A ) =/= 0 ) -> ( csc ` A ) e. RR ) $=
    ( cr wcel csin cfv cc0 wa ccsc c1 cdiv co cc wceq recn cscval sylan resincl
    wne 1red redivcl syl3an1 syl3an2 3anidm12 eqeltrd ) ABCZADEZFRZGAHEZIUFJKZB
    UEALCUGUHUIMANAOPUEUGUIBCZUEUEUFBCZUGUJAQUEIBCUKUGUJUESIUFTUAUBUCUD $.

  $( The closure of the cotangent function with a real argument.  (Contributed
     by David A. Wheeler, 15-Mar-2014.) $)
  recotcl $p |- ( ( A e. RR /\ ( sin ` A ) =/= 0 ) -> ( cot ` A ) e. RR ) $=
    ( cr wcel csin cfv cc0 wne wa ccot ccos cdiv co cc wceq recn cotval resincl
    sylan recoscl redivcl syl3an1 syl3an2 3anidm12 eqeltrd ) ABCZADEZFGZHAIEZAJ
    EZUFKLZBUEAMCUGUHUJNAOAPRUEUGUJBCZUEUEUFBCZUGUKAQUEUIBCULUGUKASUIUFTUAUBUCU
    D $.

  $( The reciprocal of secant is cosine.  (Contributed by David A. Wheeler,
     14-Mar-2014.) $)
  recsec $p |- ( ( A e. CC /\ ( cos ` A ) =/= 0 ) ->
                 ( cos ` A ) = ( 1 / ( sec ` A ) ) ) $=
    ( cc wcel ccos cfv cc0 wne wa c1 csec cdiv secval oveq2d coscl recrec sylan
    co wceq eqtr2d ) ABCZADEZFGZHZIAJEZKQIIUAKQZKQZUAUCUDUEIKALMTUABCUBUFUARANU
    AOPS $.

  $( The reciprocal of cosecant is sine.  (Contributed by David A. Wheeler,
     14-Mar-2014.) $)
  reccsc $p |- ( ( A e. CC /\ ( sin ` A ) =/= 0 ) ->
               ( sin ` A ) = ( 1 / ( csc ` A ) ) ) $=
    ( cc wcel csin cfv cc0 wne wa c1 ccsc cdiv cscval oveq2d sincl recrec sylan
    co wceq eqtr2d ) ABCZADEZFGZHZIAJEZKQIIUAKQZKQZUAUCUDUEIKALMTUABCUBUFUARANU
    AOPS $.

  $( The reciprocal of cotangent is tangent.  (Contributed by David A. Wheeler,
     21-Mar-2014.) $)
  reccot $p |- ( ( A e. CC /\ ( sin ` A ) =/= 0 /\ ( cos ` A ) =/= 0 ) ->
                   ( tan ` A ) = ( 1 / ( cot ` A ) ) ) $=
    ( cc wcel csin cfv cc0 wne ccos w3a c1 cdiv co ccot ctan sincl coscl recdiv
    wceq wa sylanl1 sylanr1 3impdi 3com23 cotval 3adant3 oveq2d tanval 3eqtr4rd
    3adant2 ) ABCZADEZFGZAHEZFGZIZJUMUKKLZKLZUKUMKLZJAMEZKLANEZUJUNULUQURRZUJUN
    ULVAUJUJUNSUKBCZULVAAOUJUMBCUNVBULSVAAPUMUKQTUAUBUCUOUSUPJKUJULUSUPRUNAUDUE
    UFUJUNUTURRULAUGUIUH $.

  $( The reciprocal of tangent is cotangent.  (Contributed by David A. Wheeler,
     21-Mar-2014.) $)
  rectan $p |- ( ( A e. CC /\ ( sin ` A ) =/= 0 /\ ( cos ` A ) =/= 0 ) ->
                   ( cot ` A ) = ( 1 / ( tan ` A ) ) ) $=
    ( cc wcel csin cfv cc0 wne ccos w3a c1 cdiv co ctan ccot coscl sincl recdiv
    wceq wa sylanl1 sylanr1 3impdi tanval 3adant2 oveq2d 3adant3 3eqtr4rd
    cotval ) ABCZADEZFGZAHEZFGZIZJUJULKLZKLZULUJKLZJAMEZKLANEZUIUKUMUPUQRZUIUIU
    KSULBCZUMUTAOUIUJBCUKVAUMSUTAPUJULQTUAUBUNURUOJKUIUMURUORUKAUCUDUEUIUKUSUQR
    UMAUHUFUG $.

  $( The value of the secant function at zero is one.  (Contributed by David A.
     Wheeler, 16-Mar-2014.) $)
  sec0 $p |- ( sec ` 0 ) = 1 $=
    ( cc0 csec cfv c1 ccos cdiv co cc wcel wne wceq cos0 ax-1ne0 eqnetri secval
    0cn mp2an oveq2i 1div1e1 3eqtri ) ABCZDAECZFGZDDFGDAHIUBAJUAUCKPUBDALMNAOQU
    BDDFLRST $.

  $( Prove the tangent squared secant squared identity ` ( 1 + ( ( tan ` A ) ^
     2 ) ) = ( ( sec ` A ) ^ 2 ) ) ` .  (Contributed by David A. Wheeler,
     25-May-2015.) $)
  onetansqsecsq $p |- ( ( A e. CC /\ ( cos ` A ) =/= 0 ) ->
                      ( 1 + ( ( tan ` A ) ^ 2 ) ) = ( ( sec ` A ) ^ 2 ) ) $=
    ( cc wcel cfv cc0 wne wa c1 c2 cexp co caddc cdiv wceq sqcld oveq1d syl3an2
    sylan 3anidm12 eqtrd ccos ctan csec csin wb coscl sqeq0 syl necon3bid divid
    biimpar syldan eqcomd tanval 2nn0 sincl expdiv syl3an1 mp3an3 3impb oveq12d
    cn0 divdir eqtr4d addcomd eqtr3d adantr secval ax-1cn mp3an13 oveq1i eqtrdi
    sincossq sq1 ) ABCZAUADZEFZGZHAUBDZIJKZLKZHVPIJKZMKZAUCDZIJKZVRWAWBAUDDZIJK
    ZLKZWBMKZWCVRWAWBWBMKZWGWBMKZLKZWIVRHWJVTWKLVRWJHVOVQWBEFZWJHNZVOWMVQVOWBEV
    PEVOVPBCZWBENVPENUEAUFZVPUGUHUIUKZVOWBBCZWMWNVOVPWPOZWBUJRULUMVRVTWFVPMKZIJ
    KZWKVRVSWTIJAUNPVOVQXAWKNZVOVOWOVQXBWPVOWOVQXBVOWOVQGZIVBCZXBUOVOWFBCXCXDXB
    AUPZWFVPIUQURUSUTQSTVAVOVQWMWIWLNZWQVOWMXFVOVOWRWMXFWSVOWRWMXFVOWRWMGZXFVOV
    OWGBCZXGXFVOWFXEOZVOWRXHXGXFWSWBWGWBVCURQSUTQSULVDVOWIWCNVQVOWHHWBMVOWGWBLK
    WHHVOWGWBXIWSVEAVMVFPVGTVRWEHVPMKZIJKZWCVRWDXJIJAVHPVRXKHIJKZWBMKZWCVOWOVQX
    KXMNZWPHBCXCXDXNVIUOHVPIUQVJRXLHWBMVNVKVLTVD $.

  $( Prove the tangent squared cosecant squared identity ` ( 1 + ( ( cot ` A )
     ^ 2 ) ) = ( ( csc ` A ) ^ 2 ) ) ` .  (Contributed by David A. Wheeler,
     27-May-2015.) $)
  cotsqcscsq $p |- ( ( A e. CC /\ ( sin ` A ) =/= 0 ) ->
                  ( 1 + ( ( cot ` A ) ^ 2 ) ) = ( ( csc ` A ) ^ 2 ) ) $=
    ( cc wcel cfv cc0 wne wa c1 c2 cexp co caddc cdiv oveq1d oveq2d wceq adantr
    sqcld 2nn0 expdiv csin ccot ccos cotval sincossq sincl wb sqne0 syl biimpar
    ccsc dividd coscl divdird jca mp3an3 anassrs 3eqtr4rd cscval ax-1cn mp3an13
    cn0 sylan sq1 oveq1i eqtrdi eqtrd eqtr4d ) ABCZAUADZEFZGZHAUBDZIJKZLKHAUCDZ
    VJMKZIJKZLKZAUKDZIJKZVLVNVQHLVLVMVPIJAUDNOVLVJIJKZVOIJKZLKZWAMKZHWAMKZVRVTV
    IWDWEPVKVIWCHWAMAUENQVLWAWAMKZWBWAMKZLKHWGLKWDVRVLWFHWGLVLWAVIWABCVKVIVJAUF
    ZRQZVIWAEFZVKVIVJBCZWJVKUGWHVJUHUIUJZULNVLWAWBWAWIVIWBBCVKVIVOAUMZRQWIWLUNV
    LVQWGHLVIVOBCZWKGVKVQWGPZVIWNWKWMWHUOWNWKVKWOWNWKVKGZIVBCZWOSVOVJITUPUQVCOU
    RVLVTHVJMKZIJKZWEVLVSWRIJAUSNVLWSHIJKZWAMKZWEVIWKVKWSXAPZWHHBCWPWQXBUTSHVJI
    TVAVCWTHWAMVDVEVFVGURVH $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Identities for "if"
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Utility theorems for "if".

$)

  $( If A is not a member of B, but an "if" condition requires it, then the
     "false" branch results.  This is a simple utility to provide a slight
     shortening and simplification of proofs versus applying ~ iffalse directly
     in this case.  (Contributed by David A. Wheeler, 15-May-2015.) $)
  ifnmfalse $p |- ( A e/ B -> if ( A e. B , C , D ) = D ) $=
    ( wnel wcel wn cif wceq df-nel iffalse sylbi ) ABEABFZGMCDHDIABJMCDKL $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Other functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( TODO: Here are some other functions to define.

     Reciprocal and arc hyperbolic functions, per
     "NIST Digital Library of Mathematical Functions" ,
     "Hyperbolic Functions - Definitions and Periodicity" at
     ~ http://dlmf.nist.gov/4.28
     and ISO 80000-2:2009(E) operation 2-13.17 and on.
     Note that ISO names the reciprocal sinh as "arsinh" and so on
     (no letter "c"), while NIST names them "Arcsinh" and "arcsinh" and so on
     (using the letter "c") - see ~ http://dlmf.nist.gov/4.37 .
     Also, the "elementary properties" stated at ~ http://dlmf.nist.gov/4.30
     should be checked to ensure all are proven.

     Double-factorial '!!', per
     "NIST Digital Library of Mathematical Functions" , front introduction,
     "Common Notations and Definitions" section at
     ~ http://dlmf.nist.gov/front/introduction#Sx4 .

     Arithmetic mean aka average
     "NIST Digital Library of Mathematical Functions" , front introduction,
     "Common Notations and Definitions" section at
      ~ http://dlmf.nist.gov/1.2#iv .

     Geometric mean
     "NIST Digital Library of Mathematical Functions" , front introduction,
     "Common Notations and Definitions" section at
      ~ http://dlmf.nist.gov/1.2#iv .

     Harmonic mean
     "NIST Digital Library of Mathematical Functions" , front introduction,
     "Common Notations and Definitions" section at
      ~ http://dlmf.nist.gov/1.2#iv .
 $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Logarithms generalized to arbitrary base using ` logb `
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Most of this subsection was moved to main set.mm, section "Logarithms to an
  arbitrary base".

$)

  $( Define the value of the ` logb ` function, the logarithm generalized to an
     arbitrary base, when used in the 2-argument form ` logb <. B , X >. `
     (Contributed by David A. Wheeler, 21-Jan-2017.)  (Revised by David A.
     Wheeler, 16-Jul-2017.) $)
  logb2aval $p |- ( ( B e. ( CC \ { 0 , 1 } ) /\ X e. ( CC \ { 0 } ) )
         -> ( logb ` <. B , X >. ) = ( ( log ` X ) / ( log ` B ) ) ) $=
    ( cc cc0 c1 cpr cdif wcel csn wa cop clogb cfv co clog cdiv logbval eqtr3id
    df-ov ) ACDEFGHBCDIGHJABKLMABLNBOMAOMPNABLSABQR $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Logarithm laws generalized to an arbitrary base - log_
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Define "log using an arbitrary base" function and then prove some of its
  properties.  This builds on previous work by Stefan O'Rear.

  This supports the notational form ` ( ( log_ `` B ) `` X ) ` ;  that looks a
  little more like traditional notation, but is different from other
  2-parameter functions.  E.g., ` ( ( log_ `` ; 1 0 ) `` ; ; 1 0 0 ) = 2 ` .

  This form is less convenient to work with inside set.mm as compared to the
  ` ( B logb X ) ` form defined separately.

$)

  $c log_ $. $( Logarithm generalized to an arbitrary base. $)

  $( Extend class notation to include the logarithm generalized to an arbitrary
     base. $)
  clog- $a class log_ $.

  ${
    $d b x $.
    $( Define the ` log_ ` operator.  This is the logarithm generalized to an
       arbitrary base.  It can be used as ` ( ( log_ `` B ) `` X ) ` for "log
       base B of X".  This formulation suggested by Mario Carneiro.
       (Contributed by David A. Wheeler, 14-Jul-2017.)
       (New usage is discouraged.) $)
    df-logbALT $a |- log_ = ( b e. ( CC \ { 0 , 1 } ) |->
                 ( x e. ( CC \ { 0 } ) |-> ( ( log ` x ) / ( log ` b ) ) ) ) $.
  $}

  $( Define the value of the ` log_ ` function, the logarithm generalized to an
     arbitrary base.  (Contributed by David A. Wheeler, 14-Jul-2017.)
  log_val $p |- ( ( B e. ( CC \ { 0 , 1 } ) /\ X e. ( CC \ { 0 } ) ) ->
                 ( ( log_ ` B ) ` X ) = ( ( log ` X ) / ( log ` B ) ) ) $= ? $.
  $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Gottlob Frege's work: _Begriffsschrift_ and _Grundgesetze der Arithmetik_
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Gottlob Frege's _Begriffsschrift_ (German for "concept-script")
is a book on logic published in 1879.
It was eventually recognized as a landmark work;
all work in modern formal logic is indebted to it.
"During his lifetime Frege's work made little impression.
However, the few people he did significantly influence - Husserl,
Peano, Russell, Wittgenstein, and Carnap - themselves became
enormously influential, so that indirectly he can be said to have
shaped a whole philosophical tradition...
But Frege was dead long before his importance was generally recognized ...".
[Sullivan2004] p. 659.

"From one point of view, Frege's logic _needs_ no explanation.
The system of logic he presents in _Begriffsschrift_
simply _is_ modern logic...
in _Begriffsschrift_ modern logic appears to spring forth
fully formed.
The work's list of 'firsts' is remarkable:
the first complete presentation of truth-functional propositional logic;
the first representation of generality through quantifiers and variables,
allowing the first formulation of reasoning involving multiple nested
generality; ...
(but) the _most_ remarkable feature of
_Begriffsschrift_ is that all of these arrive _at once_."
[Sullivan2004] p. 661-662.

_Begriffsschrift_ built on 9 axioms expressed
using a two-dimensional notation.
Modern notation is significantly different, though
the turnstile symbol ` |- ` is a vestage of its two-dimensional notation.
A translation challenge for us is that in our system a value must be a ` wff `
(true/false value) or a ` class ` , while in his system
some expressions could be either.
In Frege's notation "=" works with either a ` wff ` or a ` class `
and is called content identity (equivalence/identity).
For more, see statement (68) on its page 54.
We represent those comparisons as separate symbols,
class equivalence (` = `) and the biconditional (` <-> `).
In many cases Frege's "a" and "b" clearly correspond to our classes.
For example,
Frege takes as example for "a" an Ostrich and F(a) for "a can fly" and
G(a) for "a is a bird". Later he takes Hydrogen for "a" and Oxygen for
"b", and "Hydrogen is lighter than Oxygen" for f(a, b).
Note that F, G, and f take classes and produce true/false values.
However, "a" sometimes is used for true/false values instead.
For example,
page 52 statement (61) appears to read as
( ( f(c) ` -> ` a ) ` /\ A. ` a f(a) ) ` -> ` a ; in this case,
the "a" stands for a true/false value (a ` wff `).

Frege's logic supports second-order logic (in particular, it supports
second-order quantification on class variables).
In contrast, we intentially use only a first-order formalization,
which does not have some of capabilities of a second-order system.
Therefore, our goal is to merely show that our formalization supports
all the capabilities of Frege's logic (at least his axioms) that are
consistent with being a _first-order_ system.

The following list shows the 9 axioms in a more modern notation,
along with the Metamath expressions and labels that either assume
or prove those axioms.

1. ` A -> ( B -> A ) ` ,
Proposition 1 of [Frege1879] p. 26.
We represent this as ` ( ph -> ( ps -> ph ) ) ` ,
which is our first axiom ~ ax-1 .

2.  ` ( A -> ( B -> C ) ) -> ( ( A -> B ) -> ( A -> C ) ) ` ,
Proposition 2 of [Frege1879] p. 26.
We represent this as
` ( ( ph -> ( ps -> ch ) ) -> ( ( ph -> ps ) -> ( ph -> ch ) ) ) ` ,
which is our second axiom ~ ax-2 .

3. ` ( D -> ( B -> A ) ) -> ( B -> ( D -> A ) ) ` ,
Proposition 8 of [Frege1879] p. 35.
We represent this as
` ( ( ph -> ( ps -> ch ) ) -> ( ps -> ( ph -> ch ) ) ) ` ,
which is proved in ~ pm2.04 .

4.  ` ( B -> A ) -> ( -. A -> -. B ) ` ,
Proposition 28 of [Frege1879] p. 43.
We represent this as ` ( ( ph -> ps ) -> ( -. ps -> -. ph ) ) ` ,
which is proved in ~ con3 .

5. ` -. -. A -> A ` ,
Proposition 31 of [Frege1879] p. 44.
We represent this as ` ( -. -. ph -> ph ) ` ,
which is proved in ~ notnotr .

6. ` A -> -. -. A ` ,
Proposition 41 of [Frege1879] p. 47.
We represent this as ` ( ph -> -. -. ph ) ` ,
which is proved in ~ notnot .

7. ` ( c = d ) -> ( ` f(c) ` = ` f(d) ` ) ` ,
Proposition 52 of [Frege1879] p. 50.
Frege's functions (as represented by f) appear to generate true/false
values in this case.
As a remark to (52), Frege wrote:
"The case where the content/value of c equals the content/value
of d, f(c) is true and f(d) is false doesn't exist. This proposition states
that c can be replaced by d if c = d. Within f(c), c could also be used in
other places, not only as argument. Therefore, c can still be occur in f(d)."
(This is a translation of "der Fall, wo der Inhalt von c gleich dem
Inhalt von d ist, wo f(c) bejaht und f(d) verneint wird, findet nicht
statt. Dieser Satz dr&uuml;ckt aus, dass man &uuml;berall statt
c d setzen k&ouml;nne,
wenn c = d ist. In f(c) kann c auch an andern als den Argumentsstellen
vorkommen. Daher kann c auch noch in f(d) enthalten sein.")
The last two sentences seem to mean that c as an argument of f is a free
variable in f, but could also be contained as bound variable in f.
Such bound variables are not replaced if c is substituted by d.
This is more challenging to represent exactly, but a representation
of its spirit seems adequate.
We can generally represent this as
`  ( A = B -> ( [. A / x ]. ph <-> [. B / x ]. ph ) ) ` , which is ~ dfsbcq .
Note that we can also handle the case where f produces a class;
that would be
` ( A = B -> ( F `` A ) = ( F `` B ) ) ` , which is ~ fveq2 ,

8. ` c = c ` ,
Proposition 54 of [Frege1879] p. 50.
We can represent this for wffs as
` ( ph <-> ph ) ` , which is ~ biid ,
or for classes as
` A = A ` , which is ~ eqid .
The rule ` A = A ` is also known as the law of identity, and is thought to have
originated with Aristotle (_Metaphysics_,
Zeta, 17, 1041 a, 10-20).

9. ` A. a ` f(a) ` -> ` f(c) ,
Proposition 58 of [Frege1879] p. 51.
We can represent this as
` ( A e. V -> ( A. x ph -> [. A / x ]. ph ) ) ` , which is ~ spsbc .
Note that we add the condition that the value being replaced
(c in the original and ` A ` in our translation) must itself be a set.
Frege assumed naive set theory, where everything expressable is a set.
When Bertrand Russell showed that this led to problems, by showing
"Russell's paradox" ( ~ ru ), this began the process that led to ZFC
and many other hallmarks of modern logic.

The situation is more complex regarding Frege's inference rules.
In his preface Frege claims to have used only one mode of inference,
_modus ponens_ (our ~ ax-mp ), but he later qualifies this.
In practice
"Frege is at no great pains to separate out inference rules from his
explanation of the notation and conventions governing it"
and is inexact in some of their specifications
([Sullivan2004] p. 671-672).
This makes it more difficult to map Frege's inference rules into
our representation.
The additional rules, per [Sullivan2004] p. 671-672, are:

1. Instantiation: "from a [universally quantified] judgement
&forall;a&Phi;a we can always derive an arbitrary number of
_judgements with less general content_ &Phi;(&Gamma;) by putting
something different each time in place of the gothic letter." (CN 130).
Something similar is in ~ spsbc .

2. Uniform replacement of bound variables. (CN 130).
We believe this is the same as ~ cbval .

3. Substitution: "other substitutions (than previous) are
permitted only if the concavity follows immediately
after the judgement stroke..." (CN 130).

4. Generalization: "An italic letter may always be replaced by a gothic
letter which does not yet occur in the judgement; when this is done, the
concavity must be placed immediately after the judgement stroke"
(CN 132).
We can represent this as ` |- ph => |- A. x ph ` , the rule of generalization,
which is our axiom ~ ax-gen .

5. Confinement: "... from &Gamma; ` -> ` &Phi;a we can derive
&Gamma; ` -> ` ` A. ` a &Phi;a if &Gamma; is an expression in which a
does not occur and a stands only in argument places of &Phi;a"
(CN 132).
This appears to be ~ alrimiv .

Frege's two-volume work of 1893/1903, _Grundgesetze der Arithmetik_
("Foundations of Arithmetic")
proved various fundamental propositions of arithmetic based on the
logic of _Begriffsschrift_ plus a few extra laws.
For more, see:
https://plato.stanford.edu/entries/frege-theorem/

Unfortunately Frege's Basic Law V in this work caused the system
to be inconsistent because it was subject to Russell's paradox.

Basic Law V
is now known as the "axiom schema of unrestricted comprehension)",
and is what cause his system to break down.
Frege used basic law V primarily to prove "Hume's Principle",
and he then used Hume's Principle from then on to prove other matters.
So while Frege didn't see the fix at the time, it appears that accepting
Hume's Principle instead of basic law V repairs his system.
https://plato.stanford.edu/entries/frege-theorem

Hume's Principle is ~ carden (other related theorems are
~ hasheni and the finite-set-only ~ hashen ).

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Formally define notions such as reflexivity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  EXPERIMENTAL.
  Several terms are used in comments but not directly defined in set.mm.  For
  example, there are proofs that a number of specific relations are reflexive,
  but there is no formal definition of what being reflexive actually *means*.
  Stating the relationships directly, instead of defining a broader property
  such as being reflexive, can reduce proof size (because the definition of
  that property does not need to be expanded later).  A disadvantage, however,
  is that there are several terms that are widely used in comments but do not
  have a clear formal definition.

  Here we define wffs that formally define some of these key terms.  The intent
  isn't to use these directly, but to instead provide a clear formal definition
  of widely-used mathematical terminology (we even use this terminology within
  the comments of set.mm itself).

  We could define these using extensible structures, but doing so appears
  overly restrictive.  These definitions don't require the use of extensible
  structures; requiring something to be in an extensible structure to use them
  is too restrictive.  Even if an extensible structure is already in use, it
  may in use for other things.  For example, in geometry, there is a
  "less-than" relation, but while the geometry itself is an extensible
  structure, we would have to build a new structure to state "the geometric
  less-than relation is transitive" (which is more work than it's probably
  worth).  By creating definitions that aren't tied to extensible structures we
  create definitions that can be applied to anything, including extensible
  structures, in whatever way we'd like.

  BJ suggests that it might be better to define these as functions.  There
  are many advantages to doing that, but they won't work for proper classes.
  I'm currently trying to also support proper classes, so I have not taken that
  approach, but if that turns out to be unreasonable then BJ's approach is
  very much worth considering.  Examples would be:
  BinRel = ` ( x e. _V |-> { r | r C_ ( x X. x ) } ) ` ,
  ReflBinRel =
  ` ( x e. _V |-> { r e. ( ` BinRel ` `` x ) | ( _I |`` x ) C_ r } ) ` ,
  and IrreflBinRel =
  ` ( x e. _V |-> { r e. ( ` BinRel
  ` `` x ) | ( r i^i ( _I |`` x ) ) = (/) } ) ` .

  For more discussion see: ~ https://github.com/metamath/set.mm/pull/1286

$)

  $c Reflexive $. $( True iff a relation is reflexive. $)

  $( Extend wff definition to include "Reflexive" applied to a class, which is
     true iff class R is a reflexive relation over the set A. See
     ~ df-reflexive .  (Contributed by David A. Wheeler, 1-Dec-2019.) $)
  wreflexive $a wff R Reflexive A $.

  ${
    $d A x $.  $d R x $.
    $( Define reflexive relation; relation ` R ` is reflexive over the set
       ` A ` iff ` A. x e. A x R x ` .  (Contributed by David A. Wheeler,
       1-Dec-2019.) $)
    df-reflexive $a |- ( R Reflexive A <->
      ( R C_ ( A X. A ) /\ A. x e. A x R x ) ) $.
  $}

  $c Irreflexive $. $( True iff a relation is irreflexive. $)

  $( Extend wff definition to include "Irreflexive" applied to a class, which
     is true iff class R is an irreflexive relation over the set A. See
     ~ df-irreflexive .  (Contributed by David A. Wheeler, 1-Dec-2019.) $)
  wirreflexive $a wff R Irreflexive A $.

  ${
    $d A x $.  $d R x $.
    $( Define irreflexive relation; relation ` R ` is irreflexive over the set
       ` A ` iff ` A. x e. A -. x R x ` .  Note that a relation can be neither
       reflexive nor irreflexive.  (Contributed by David A. Wheeler,
       1-Dec-2019.) $)
    df-irreflexive $a |- ( R Irreflexive A <->
      ( R C_ ( A X. A ) /\ A. x e. A -. x R x ) ) $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Algebra helpers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  This is an experimental approach to make it clearer (and easier) to do basic
  algebra in set.mm.

  These little theorems support basic algebra on equations at a slightly higher
  conceptual level.  Instead of always having to "build up" equivalent
  expressions for one side of an equation, these theorems allow you to directly
  manipulate an equality.  These higher-level steps lead to easier to
  understand proofs when they can be used, as well as proofs that are slightly
  shorter (when measured in steps).

  There are disadvantages.  In particular, this approach requires many theorems
  (for many permutations to provide all of the operations).  It can also only
  handle certain cases; more complex approaches must still be approached by
  "building up" equalities as is done today.

  However, I expect that we can create enough theorems to make it worth doing.
  I'm trying this out to see if this is helpful and if the number of
  permutations is manageable.

  To commute LHS for addition, use ~ addcomli .  We might want to switch to a
  naming convention like ~ addcomli .

$)

  ${
    comraddi.1 $e |- B e. CC $.
    comraddi.2 $e |- C e. CC $.
    comraddi.3 $e |- A = ( B + C ) $.
    $( Commute RHS addition.  See ~ addcomli to commute addition on LHS.
       (Contributed by David A. Wheeler, 11-Oct-2018.) $)
    comraddi $p |- A = ( C + B ) $=
      ( caddc co addcomi eqtri ) ABCGHCBGHFBCDEIJ $.
  $}

  ${
    mvlraddi.1 $e |- A e. CC $.
    mvlraddi.2 $e |- B e. CC $.
    mvlraddi.3 $e |- ( A + B ) = C $.
    $( Move the right term in a sum on the LHS to the RHS. (Contributed by
       David A. Wheeler, 11-Oct-2018.) $)
    mvlraddi $p |- A = ( C - B ) $=
      ( caddc co cmin pncan3oi oveq1i eqtr3i ) ABGHZBIHACBIHABDEJMCBIFKL $.
  $}

  ${
    mvrladdi.1 $e |- B e. CC $.
    mvrladdi.2 $e |- C e. CC $.
    mvrladdi.3 $e |- A = ( B + C ) $.
    $( Move the left term in a sum on the RHS to the LHS. (Contributed by David
       A. Wheeler, 11-Oct-2018.) $)
    mvrladdi $p |- ( A - B ) = C $=
      ( cmin co caddc comraddi oveq1i pncan3oi eqtri ) ABGHCBIHZBGHCANBGABCDEFJ
      KCBEDLM $.
  $}

  ${
    assraddsubi.1 $e |- B e. CC $.
    assraddsubi.2 $e |- C e. CC $.
    assraddsubi.3 $e |- D e. CC $.
    assraddsubi.4 $e |- A = ( ( B + C ) - D ) $.
    $( Associate RHS addition-subtraction.  (Contributed by David A. Wheeler,
       11-Oct-2018.) $)
    assraddsubi $p |- A = ( B + ( C - D ) ) $=
      ( caddc co cmin addsubassi eqtri ) ABCIJDKJBCDKJIJHBCDEFGLM $.
  $}

  ${
    joinlmuladdmuli.1 $e |- A e. CC $.
    joinlmuladdmuli.2 $e |- B e. CC $.
    joinlmuladdmuli.3 $e |- C e. CC $.
    joinlmuladdmuli.4 $e |- ( ( A x. B ) + ( C x. B ) ) = D $.
    $( Join AB+CB into (A+C) on LHS. (Contributed by David A. Wheeler,
       26-Oct-2019.) $)
    joinlmuladdmuli $p |- ( ( A + C ) x. B ) = D $=
      ( caddc co cmul wceq wtru cc wcel a1i joinlmuladdmuld mptru ) ACIJBKJDLMA
      BCDANOMEPBNOMFPCNOMGPABKJCBKJIJDLMHPQR $.
  $}

  ${
    joinlmulsubmuld.1 $e |- ( ph -> A e. CC ) $.
    joinlmulsubmuld.2 $e |- ( ph -> B e. CC ) $.
    joinlmulsubmuld.3 $e |- ( ph -> C e. CC ) $.
    joinlmulsubmuld.4 $e |- ( ph -> ( ( A x. B ) - ( C x. B ) ) = D ) $.
    $( Join AB-CB into (A-C) on LHS. (Contributed by David A. Wheeler,
       15-Oct-2018.) $)
    joinlmulsubmuld $p |- ( ph -> ( ( A - C ) x. B ) = D ) $=
      ( cmin co cmul subdird eqtrd ) ABDJKCLKBCLKDCLKJKEABDCFHGMIN $.
  $}

  ${
    joinlmulsubmuli.1 $e |- A e. CC $.
    joinlmulsubmuli.2 $e |- B e. CC $.
    joinlmulsubmuli.3 $e |- C e. CC $.
    joinlmulsubmuli.4 $e |- ( ( A x. B ) - ( C x. B ) ) = D $.
    $( Join AB-CB into (A-C) on LHS. (Contributed by David A. Wheeler,
       11-Oct-2018.) $)
    joinlmulsubmuli $p |- ( ( A - C ) x. B ) = D $=
      ( cmin co cmul subdiri eqtri ) ACIJBKJABKJCBKJIJDACBEGFLHM $.
  $}

  ${
    mvlrmuld.1 $e |- ( ph -> A e. CC ) $.
    mvlrmuld.2 $e |- ( ph -> B e. CC ) $.
    mvlrmuld.3 $e |- ( ph -> B =/= 0 ) $.
    mvlrmuld.4 $e |- ( ph -> ( A x. B ) = C ) $.
    $( Move the right term in a product on the LHS to the RHS, deduction form.
       (Contributed by David A. Wheeler, 11-Oct-2018.) $)
    mvlrmuld $p |- ( ph -> A = ( C / B ) ) $=
      ( cmul co cdiv divcan4d oveq1d eqtr3d ) ABCIJZCKJBDCKJABCEFGLAODCKHMN $.
  $}

  ${
    mvlrmuli.1 $e |- A e. CC $.
    mvlrmuli.2 $e |- B e. CC $.
    mvlrmuli.3 $e |- B =/= 0 $.
    mvlrmuli.4 $e |- ( A x. B ) = C $.
    $( Move the right term in a product on the LHS to the RHS, inference form.
       (Contributed by David A. Wheeler, 11-Oct-2018.) $)
    mvlrmuli $p |- A = ( C / B ) $=
      ( cmul co cdiv divcan4i oveq1i eqtr3i ) ABHIZBJIACBJIABDEFKNCBJGLM $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Algebra helper examples
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Examples using the algebra helpers.

$)

  ${
    i2linesi.1 $e |- A e. CC $.
    i2linesi.2 $e |- B e. CC $.
    i2linesi.3 $e |- C e. CC $.
    i2linesi.4 $e |- D e. CC $.
    i2linesi.5 $e |- X e. CC $.
    i2linesi.6 $e |- Y = ( ( A x. X ) + B ) $.
    i2linesi.7 $e |- Y = ( ( C x. X ) + D ) $.
    i2linesi.8 $e |- ( A - C ) =/= 0 $.
    $( Solve for the intersection of two lines expressed in Y = MX+B form (note
       that the lines cannot be vertical).  Here we use inference form.  We
       just solve for X, since Y can be trivially found by using X. This is an
       example of how to use the algebra helpers.  Notice that because this
       proof uses algebra helpers, the main steps of the proof are higher level
       and easier to follow by a human reader.  (Contributed by David A.
       Wheeler, 11-Oct-2018.) $)
    i2linesi $p |- X = ( ( D - B ) / ( A - C ) ) $=
      ( cmin co subcli cmul mulcli caddc mvlraddi assraddsubi mvrladdi mvllmuli
      eqtr3i joinlmulsubmuli ) ACOPEDBOPZACGIQKNAECUGGKIAERPZCERPZUGCEIKSZDBJHQ
      UHUIDBUJJHUHBUIDTPZAEGKSHFUHBTPUKLMUEUAUBUCUFUD $.
  $}

  ${
    i2linesd.1 $e |- ( ph -> A e. CC ) $.
    i2linesd.2 $e |- ( ph -> B e. CC ) $.
    i2linesd.3 $e |- ( ph -> C e. CC ) $.
    i2linesd.4 $e |- ( ph -> D e. CC ) $.
    i2linesd.5 $e |- ( ph -> X e. CC ) $.
    i2linesd.6 $e |- ( ph -> Y = ( ( A x. X ) + B ) ) $.
    i2linesd.7 $e |- ( ph -> Y = ( ( C x. X ) + D ) ) $.
    i2linesd.8 $e |- ( ph -> ( A - C ) =/= 0 ) $.
    $( Solve for the intersection of two lines expressed in Y = MX+B form (note
       that the lines cannot be vertical).  Here we use deduction form.  We
       just solve for X, since Y can be trivially found by using X. This is an
       example of how to use the algebra helpers.  Notice that because this
       proof uses algebra helpers, the main steps of the proof are higher level
       and easier to follow by a human reader.  (Contributed by David A.
       Wheeler, 15-Oct-2018.) $)
    i2linesd $p |- ( ph -> X = ( ( D - B ) / ( A - C ) ) ) $=
      ( cmin co subcld cmul mulcld caddc mvlraddd assraddsubd mvrladdd mvllmuld
      eqtr3d joinlmulsubmuld ) ABDPQFECPQZABDHJRLOABFDUHHLJABFSQZDFSQZUHADFJLTZ
      AECKIRAUIUJECUKKIAUICUJEUAQZABFHLTIAGUICUAQULMNUFUBUCUDUGUE $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Formal methods "surprises"
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Prove that some formal expressions using classical logic have meanings that
  might not be obvious to some lay readers.  I find these are common mistakes
  and are worth pointing out to new people.  In particular we prove
  ~ alimp-surprise , ~ empty-surprise , and ~ eximp-surprise .

$)

  ${
    alimp-surprise.1 $e |- -. E. x ph $.
    $( Demonstrate that when using "for all" and material implication the
       consequent can be both always true and always false if there is no case
       where the antecedent is true.

       Those inexperienced with formal notations of classical logic can be
       surprised with what "for all" and material implication do together when
       the implication's antecedent is never true.  This can happen, for
       example, when the antecedent is set membership but the set is the empty
       set (e.g., ` x e. M ` and ` M = (/) ` ).

       This is perhaps best explained using an example.  The sentence "All
       Martians are green" would typically be represented formally using the
       expression ` A. x ( ph -> ps ) ` .  In this expression ` ph ` is true
       iff ` x ` is a Martian and ` ps ` is true iff ` x ` is green.
       Similarly, "All Martians are not green" would typically be represented
       as ` A. x ( ph -> -. ps ) ` .  However, if there are no Martians
       ( ` -. E. x ph ` ), then both of those expressions are _true_.  That is
       surprising to the inexperienced, because the two expressions seem to be
       the opposite of each other.  The reason this occurs is because in
       classical logic the implication ` ( ph -> ps ) ` is equivalent to
       ` -. ph \/ ps ` (as proven in ~ imor ).  When ` ph ` is always false,
       ` -. ph ` is always true, and an _or_ with true is always true.

       Here are a few technical notes.  In this notation, ` ph ` and ` ps ` are
       predicates that return a true or false value and may depend on ` x ` .
       We only say _may_ because it actually doesn't matter for our proof.  In
       Metamath this simply means that we do not require that ` ph ` , ` ps ` ,
       and ` x ` be distinct (so ` x ` can be part of ` ph ` or ` ps ` ).

       In natural language the term "implies" often presumes that the
       antecedent _can_ occur in at one least circumstance _and_ that there is
       some sort of causality.  However, exactly what causality means is
       complex and situation-dependent.  Modern logic typically uses material
       implication instead; this has a rigorous definition, but it is important
       for new users of formal notation to precisely understand it.  There are
       ways to solve this, e.g., expressly stating that the antecedent exists
       (see ~ alimp-no-surprise ) or using the allsome quantifier
       ( ~ df-alsi ) .

       For other "surprises" for new users of classical logic, see
       ~ empty-surprise and ~ eximp-surprise .  (Contributed by David A.
       Wheeler, 17-Oct-2018.) $)
    alimp-surprise $p |- ( A. x ( ph -> ps ) /\ A. x ( ph -> -. ps ) ) $=
      ( wi wal wn wo imor albii nexr orci mpgbir pm3.2i ) ABEZCFZABGZEZCFZPAGZB
      HZCOUACABIJTBACDKZLMSTQHZCRUCCAQIJTQUBLMN $.
  $}

  $( There is no "surprise" in a for-all with implication if there exists a
     value where the antecedent is true.  This is one way to prevent for-all
     with implication from allowing anything.  For a contrast, see
     ~ alimp-surprise .  The allsome quantifier also counters this problem, see
     ~ df-alsi .  (Contributed by David A. Wheeler, 27-Oct-2018.) $)
  alimp-no-surprise $p |- -. ( A. x ( ph -> ps ) /\ A. x ( ph -> -. ps )
    /\ E. x ph ) $=
    ( wi wn wa wal wex pm4.82 albii alnex sylbb imnan mpbi 19.26 anbi2ci 3anass
    w3a 3anrot 3bitr2i mtbi ) ABDZABEDZFZCGZACHZFZUBCGZUCCGZUFRZUEUFEZDUGEUEAEZ
    CGUKUDULCABIJACKLUEUFMNUGUFUHUIFZFUFUHUIRUJUEUMUFUBUCCOPUFUHUIQUFUHUISTUA
    $.

  ${
    empty-surprise.1 $e |- -. E. x x e. A $.
    $( Demonstrate that when using restricted "for all" over a class the
       expression can be both always true and always false if the class is
       empty.

       Those inexperienced with formal notations of classical logic can be
       surprised with what restricted "for all" does over an empty set.  It is
       important to note that ` A. x e. A ph ` is simply an abbreviation for
       ` A. x ( x e. A -> ph ) ` (per ~ df-ral ).  Thus, if ` A ` is the empty
       set, this expression is _always_ true regardless of the value of ` ph `
       (see ~ alimp-surprise ).

       If you want the expression ` A. x e. A ph ` to not be vacuously true,
       you need to ensure that set ` A ` is inhabited (e.g., ` E. x e. A ` ).
       (Technical note:  You can also assert that ` A =/= (/) ` ; this is an
       equivalent claim in classical logic as proven in ~ n0 , but in
       intuitionistic logic the statement ` A =/= (/) ` is a weaker claim than
       ` E. x e. A ` .)

       Some materials on logic (particularly those that discuss "syllogisms")
       are based on the much older work by Aristotle, but Aristotle expressly
       excluded empty sets from his system.  Aristotle had a specific goal; he
       was trying to develop a "companion-logic" for science.  He relegates
       fictions like fairy godmothers and mermaids and unicorns to the realms
       of poetry and literature...  This is why he leaves no room for such
       nonexistent entities in his logic."  (Groarke, "Aristotle:  Logic",
       section 7.  (Existential Assumptions), _Internet Encyclopedia of
       Philosophy_, ~ http://www.iep.utm.edu/aris-log/ ).  While this made
       sense for his purposes, it is less flexible than modern (classical)
       logic which _does_ permit empty sets.  If you wish to make claims that
       require a nonempty set, you must expressly include that requirement,
       e.g., by stating ` E. x ph ` .  Examples of proofs that do this include
       ~ barbari , ~ celaront , and ~ cesaro .

       For another "surprise" for new users of classical logic, see
       ~ alimp-surprise and ~ eximp-surprise .  (Contributed by David A.
       Wheeler, 20-Oct-2018.) $)
    empty-surprise $p |- A. x e. A ph $=
      ( wral cv wcel wi wal wn alimp-surprise simpli df-ral mpbir ) ABCEBFCGZAH
      BIZPOAJHBIOABDKLABCMN $.
  $}

  ${
    empty-surprise2.1 $e |- -. E. x x e. A $.
    $( "Prove" that false is true when using a restricted "for all" over the
       empty set, to demonstrate that the expression is always true if the
       value ranges over the empty set.

       Those inexperienced with formal notations of classical logic can be
       surprised with what restricted "for all" does over an empty set.  We
       proved the general case in ~ empty-surprise .  Here we prove an extreme
       example: we "prove" that false is true.  Of course, we actually do no
       such thing (see ~ notfal ); the problem is that restricted "for all"
       works in ways that might seem counterintuitive to the inexperienced when
       given an empty set.  Solutions to this can include requiring that the
       set not be empty or by using the allsome quantifier ~ df-alsc .
       (Contributed by David A. Wheeler, 20-Oct-2018.) $)
    empty-surprise2 $p |- A. x e. A F. $=
      ( wfal empty-surprise ) DABCE $.
  $}

  $( Show what implication inside "there exists" really expands to (using
     implication directly inside "there exists" is usually a mistake).

     Those inexperienced with formal notations of classical logic may use
     expressions combining "there exists" with implication.  That is usually a
     mistake, because as proven using ~ imor , such an expression can be
     rewritten using _not_ with _or_ - and that is often not what the author
     intended.  New users of formal notation who use "there exists" with an
     implication should consider if they meant "and" instead of "implies".  A
     stark example is shown in ~ eximp-surprise2 .  See also ~ alimp-surprise
     and ~ empty-surprise .  (Contributed by David A. Wheeler, 17-Oct-2018.) $)
  eximp-surprise $p |- ( E. x ( ph -> ps ) <-> E. x ( -. ph \/ ps ) ) $=
    ( wi wn wo imor exbii ) ABDAEBFCABGH $.

  ${
    eximp-surprise2.1 $e |- E. x -. ph $.
    $( Show that "there exists" with an implication is always true if there
       exists a situation where the antecedent is false.

       Those inexperienced with formal notations of classical logic may use
       expressions combining "there exists" with implication.  This is usually
       a mistake, because that combination does not mean what an inexperienced
       person might think it means.  For example, if there is some object that
       does not meet the precondition ` ph ` , then the expression
       ` E. x ( ph -> ps ) ` as a whole is always true, no matter what ` ps `
       is ( ` ps ` could even be false, ` F. ` ).  New users of formal notation
       who use "there exists" with an implication should consider if they meant
       "and" instead of "implies".  See ~ eximp-surprise , which shows what
       implication really expands to.  See also ~ empty-surprise .
       (Contributed by David A. Wheeler, 18-Oct-2018.) $)
    eximp-surprise2 $p |- E. x ( ph -> ps ) $=
      ( wi wex wn wo orc eximii eximp-surprise mpbir ) ABECFAGZBHZCFMNCDMBIJABC
      KL $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Allsome quantifier
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  These are definitions and proofs involving an experimental "allsome"
  quantifier (aka "all some").

  In informal language, statements like
  "All Martians are green" imply that there is at least one Martian.
  But it's easy to mistranslate informal language into formal notations
  because similar statements like ` A. x ph -> ps ` do _not_
  imply that ` ph ` is ever true, leading to vacuous truths.
  See ~ alimp-surprise and ~ empty-surprise as examples of the problem.
  Some systems include a mechanism to counter this, e.g., PVS allows
  types to be appended with "+" to declare that they are nonempty.
  This section presents a different solution to the same problem.

  The "allsome" quantifier expressly includes the notion of both
  "all" and "there exists at least one" (aka some), and is defined
  to make it easier to more directly express both notions.
  The hope is that if a quantifier more directly expresses this concept,
  it will be used instead and reduce the risk of creating formal expressions
  that look okay but in fact are mistranslations.
  The term "allsome" was chosen because it's short, easy to say, and
  clearly hints at the two concepts it combines.

  I do not expect this to be used much in Metamath, because in Metamath
  there's a general policy of avoiding the use of new definitions
  unless there are very strong reasons to do so.  Instead, my goal is to
  rigorously define this quantifier and demonstrate a few
  basic properties of it.

  The syntax allows two forms that look like they would be problematic,
  but they are fine.  When applied to a top-level implication we allow
  ` A! x ( ph -> ps ) ` , and when restricted (applied to a class) we allow
  ` A! x e. A ph ` .
  The first symbol after the setvar variable must
  always be ` e. ` if it is the form applied to a class, and since
  ` e. ` cannot begin a wff, it is unambiguous.
  The ` -> ` looks like it would be a problem because ` ph ` or ` ps `
  might include implications, but any implication arrow
  ` -> ` within any wff must be surrounded by parentheses, so only the
  implication arrow of ` A! ` can follow the wff.
  The implication syntax would work fine without the parentheses, but
  I added the parentheses because it makes things clearer inside
  larger complex expressions, and it's also more consistent with
  the rest of the syntax.

  For more, see "The Allsome Quantifier" by David A. Wheeler at
  ~ https://dwheeler.com/essays/allsome.html
  I hope that others will eventually agree that allsome is awesome.

$)

  $c A! $. $( "inverted A" exclamation point (read: "all some"
    or more briefly "allsome") $)

  $( Extend wff definition to include "all some" applied to a top-level
     implication, which means ` ps ` is true whenever ` ph ` is true, and there
     is at least least one ` x ` where ` ph ` is true.  (Contributed by David
     A. Wheeler, 20-Oct-2018.) $)
  walsi $a wff A! x ( ph -> ps ) $.

  $( Extend wff definition to include "all some" applied to a class, which
     means ` ph ` is true for all ` x ` in ` A ` , and there is at least one
     ` x ` in ` A ` .  (Contributed by David A. Wheeler, 20-Oct-2018.) $)
  walsc $a wff A! x e. A ph $.

  $( TODO: Soundness justifications for df-alsc and df-alci. $)

  $( Define "all some" applied to a top-level implication, which means ` ps `
     is true whenever ` ph ` is true and there is at least one ` x ` where
     ` ph ` is true.  (Contributed by David A. Wheeler, 20-Oct-2018.) $)
  df-alsi $a |- ( A! x ( ph -> ps ) <-> ( A. x ( ph -> ps ) /\ E. x ph ) ) $.

  $( Define "all some" applied to a class, which means ` ph ` is true for all
     ` x ` in ` A ` and there is at least one ` x ` in ` A ` .  (Contributed by
     David A. Wheeler, 20-Oct-2018.) $)
  df-alsc $a |- ( A! x e. A ph <-> ( A. x e. A ph /\ E. x x e. A ) ) $.

  $( There is an equivalence between the two "all some" forms.  (Contributed by
     David A. Wheeler, 22-Oct-2018.) $)
  alsconv $p |- ( A! x ( x e. A -> ph ) <-> A! x e. A ph ) $=
    ( wral cv wcel wex wa wi walsc walsi df-ral anbi1i df-alsc df-alsi 3bitr4ri
    wal ) ABCDZBECFZBGZHSAIBQZTHABCJSABKRUATABCLMABCNSABOP $.

  ${
    alsi1d.1 $e |- ( ph -> A! x ( ps -> ch ) ) $.
    $( Deduction rule:  Given "all some" applied to a top-level inference, you
       can extract the "for all" part.  (Contributed by David A. Wheeler,
       20-Oct-2018.) $)
    alsi1d $p |- ( ph -> A. x ( ps -> ch ) ) $=
      ( wi wal wex walsi wa df-alsi sylib simpld ) ABCFDGZBDHZABCDINOJEBCDKLM
      $.
  $}

  ${
    alsi2d.1 $e |- ( ph -> A! x ( ps -> ch ) ) $.
    $( Deduction rule:  Given "all some" applied to a top-level inference, you
       can extract the "exists" part.  (Contributed by David A. Wheeler,
       20-Oct-2018.) $)
    alsi2d $p |- ( ph -> E. x ps ) $=
      ( wi wal wex walsi wa df-alsi sylib simprd ) ABCFDGZBDHZABCDINOJEBCDKLM
      $.
  $}

  ${
    alsc1d.1 $e |- ( ph -> A! x e. A ps ) $.
    $( Deduction rule:  Given "all some" applied to a class, you can extract
       the "for all" part.  (Contributed by David A. Wheeler, 20-Oct-2018.) $)
    alsc1d $p |- ( ph -> A. x e. A ps ) $=
      ( wral cv wcel wex walsc wa df-alsc sylib simpld ) ABCDFZCGDHCIZABCDJOPKE
      BCDLMN $.
  $}

  ${
    alsc2d.1 $e |- ( ph -> A! x e. A ps ) $.
    $( Deduction rule:  Given "all some" applied to a class, you can extract
       the "there exists" part.  (Contributed by David A. Wheeler,
       20-Oct-2018.) $)
    alsc2d $p |- ( ph -> E. x x e. A ) $=
      ( wral cv wcel wex walsc wa df-alsc sylib simprd ) ABCDFZCGDHCIZABCDJOPKE
      BCDLMN $.
  $}

  ${
    $d A x $.
    alscn0d.1 $e |- ( ph -> A! x e. A ps ) $.
    $( Deduction rule:  Given "all some" applied to a class, the class is not
       the empty set.  (Contributed by David A. Wheeler, 23-Oct-2018.) $)
    alscn0d $p |- ( ph -> A =/= (/) ) $=
      ( cv wcel wex c0 wne alsc2d n0 sylibr ) ACFDGCHDIJABCDEKCDLM $.
  $}

  $( Demonstrate that there is never a "surprise" when using the allsome
     quantifier, that is, it is never possible for the consequent to be both
     always true and always false.  This uses the definition of ~ df-alsi ; the
     proof itself builds on ~ alimp-no-surprise .  For a contrast, see
     ~ alimp-surprise .  (Contributed by David A. Wheeler, 27-Oct-2018.) $)
  alsi-no-surprise $p |- -. ( A! x ( ph -> ps ) /\ A! x ( ph -> -. ps ) ) $=
    ( walsi wn wa wi wal wex alimp-no-surprise df-alsi anbi12i anandi3r 3ancomb
    w3a 3bitr2i mtbir ) ABCDZABEZCDZFZABGCHZASGCHZACIZOZABCJUAUBUDFZUCUDFZFUBUD
    UCOUERUFTUGABCKASCKLUBUDUCMUBUDUCNPQ $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellaneous
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Miscellaneous proofs.

$)

  $( Prove that 5 - 4 = 1.  (Contributed by David A. Wheeler, 31-Jan-2017.) $)
  5m4e1 $p |- ( 5 - 4 ) = 1 $=
    ( c5 c4 c1 5cn 4cn ax-1cn 4p1e5 subaddrii ) ABCDEFGH $.

  $( Prove that ` 2 + 2 =/= 5 ` .  In George Orwell's "1984", Part One, Chapter
     Seven, the protagonist Winston notes that, "In the end the Party would
     announce that two and two made five, and you would have to believe it."
     ~ http://www.sparknotes.com/lit/1984/section4.rhtml .  More generally, the
     phrase ` 2 + 2 = 5 ` has come to represent an obviously false dogma one
     may be required to believe.  See the Wikipedia article for more about
     this: ~ https://en.wikipedia.org/wiki/2_%2B_2_%3D_5 .  Unsurprisingly, we
     can easily prove that this claim is false.  (Contributed by David A.
     Wheeler, 31-Jan-2017.) $)
  2p2ne5 $p |- ( 2 + 2 ) =/= 5 $=
    ( c2 caddc co c4 c5 2p2e4 4re 4lt5 ltneii eqnetri ) AABCDEFDEGHIJ $.

  $( Resolution rule.  This is the primary inference rule in some automated
     theorem provers such as prover9.  The resolution rule can be traced back
     to Davis and Putnam (1960).  (Contributed by David A. Wheeler,
     9-Feb-2017.) $)
  resolution $p |- ( ( ( ph /\ ps ) \/ ( -. ph /\ ch ) ) -> ( ps \/ ch ) ) $=
    ( wa wn simpr orim12i ) ABDBAEZCDCABFHCFG $.

  $( In classical logic all wffs are testable, that is, it is always true that
     ` ( -. ph \/ -. -. ph ) ` .  This is not necessarily true in
     intuitionistic logic.  In intuitionistic logic, if this statement is true
     for some ` ph ` , then ` ph ` is _testable_.  The proof is trivial because
     it's simply a special case of the law of the excluded middle, which is
     true in classical logic but not necessarily true in intuitionisic logic.
     (Contributed by David A. Wheeler, 5-Dec-2018.) $)
  testable $p |- ( -. ph \/ -. -. ph ) $=
    ( wn exmid ) ABC $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Theorems about algebraic numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A k n w x y $.  $d B n $.  $d C v $.  $d C w x y $.  $d C x y z $.
    $d N k n v $.  $d N k n w x y $.  $d N k n x y z $.  $d X k $.
    $d k n ph v $.  $d ph w x y $.  $d ph x y z $.
    aacllem.0 $e |- ( ph -> A e. CC ) $.
    aacllem.1 $e |- ( ph -> N e. NN0 ) $.
    aacllem.2 $e |- ( ( ph /\ n e. ( 1 ... N ) ) -> X e. CC ) $.
    aacllem.3 $e |- ( ( ph /\ k e. ( 0 ... N ) /\ n e. ( 1 ... N ) )
                       -> C e. QQ ) $.
    aacllem.4 $e |- ( ( ph /\ k e. ( 0 ... N ) ) ->
                      ( A ^ k ) = sum_ n e. ( 1 ... N ) ( C x. X ) ) $.
    $( Lemma for other theorems about ` AA ` .  (Contributed by Brendan Leahy,
       3-Jan-2020.)  (Revised by Alexander van der Vekens and David A. Wheeler,
       25-Apr-2020.) $)
    aacllem $p |- ( ph -> A e. AA ) $=
      ( wcel cfv cc0 wceq cq co cvv wa vx vw vy vv vz cB cc cv c0p csn cdif cfz
      wrex cmul csu c1 wral cmap cxp caddc cle wbr wn nn0red cn0 syl mpbid cmpt
      wf1 crn ccnfld cfrlm wi cof cgsu wf fmpttd qex ovex elmap sylibr cfn eqid
      cdr ax-mp fzfi mp2an cbs frlmfibas elmapi wfn fzfid fvexd mptex a1i eqidd
      offval2 adantll adantlr adantllr eqtrd mpteq2dva oveq2d an32s syl2anc wss
      wb qsscn cz 0z adantl qcn sylan mulcld 3syl c0ex fnconstg nfcv nfov sumex
      ffn sylan2 cen cun adantr un0 cdom ancoms syl5 wne cexp adantrr ccoe cres
      c0 ex cuz cin cima sumeq2dv cply caa ltp1d peano2nn0 ltnled clinds clindf
      clt cress cvsca 3expa clmod qdrng drngring frlmlmod qrngbas frlmsca qrng0
      crg csca c0g frlm0 islindf4 mp3an12 simpr feqmptd cmulr cnfldmul ressmulr
      ffvelrn frlmvscafval fconstmpt snex fsuppmptdm frlmgsum cnfldbas cnfldadd
      qmulcl xpex cnfldex zq addid2 addid1 gsumress simplr eqtr3d 3eqtrd qaddcl
      jca gsumfsum fsumcllem eqeltrd nfmpt1 nfmpt eqfnfv2f sylancl fveq1d mpan2
      fvmpt2 sylan9eq fvconst2 eqeq12d ralbidva bitrd cdm cnzr drngnzr islindf3
      imbi1d dmmpti f1eq2 anbi1i bitri wnel con34b df-nel xchbinx imbi1i bitr4i
      velsn ralbii raldifb ralnex 3bitri 3bitr3g clss cmri cuvc cpw cmre lssmre
      clspn cmrc mrclsp clvec islvec mpbir2an cacs lssacsex frnd dif0 sseqtrrdi
      simprd uvcff frn sseqtrri fveq2i clbs lbssp eqtri pm3.2i lindsind2 mp3an1
      frlmlbs ralrimiva ismri2 sylancr biimpar eqeltrid wo mptfi rnfi mp2b orci
      mreexexd elpwi ssdomg mpsyl endomtr f1f1orn f1oen uvcendim ensymi domentr
      rnex wf1o chash hashdom hashfz0 hashfz1 breq12d bitr3id syl5ib expd com23
      mpan2i expdimp adantrd rexlimdva syld impd ancomsd sylbird eldifsn anim1i
      mt3d sylbi elplyd uzdisj nn0cnd pncan1 ineq1d eqtr3id eqcomd fconst snssi
      cmin sstri fss mpanl2 nn0uz eleqtrdi uzsplit syl5eq uneq1d eqtr2d ssequn1
      fun mpbi feq23d fnimadisj syl2anr nn0zd peano2zd uzid inidm neeq1i xpima2
      ne0i uneq12d imaundir uncom eqtr2i 3eqtr4g anim12ci mp3an2 anassrs oveq1d
      fvun1 mpteq2dv coeeq reseq1d res0 reseq2d 3eqtr3a fresaunres1 fveq2 eqtr2
      coe0 reseq1i elfznn0 ssriv xpssres eqtrdi necon3d impr sylanbrc sumeq2sdv
      syl2im oveq1 fsummulc2 simpll mulassd 3eqtr4d ad2ant2lr ad2ant2rl fsumcom
      fvmpt anasss nfv nfra1 nfan rspa fsummulc1 mul02d 3eqtr3d ralrimi sumeq2d
      adantlrr olci sumz adantrlr fveq1 eqeq1d rspcev sylanr1 rexlimddv elqaa )
      ABUGMZBUAUHZNZOPZUAQUUANZUIUJUKZUMZBUUBMHAOFULRZDUHZUBUHZNZCUNRZDUOZOPZEU
      PFULRZUQZWWOUBQWWPURRZWWPOUJZUSZUJZUKZAWXDUBWXIUMZFUPUTRZFVAVBZAFWXKUUHVB
      WXLVCAFAFIVDZUUCAFWXKWXMAWXKAFVEMZWXKVEMIFUUDVFZVDUUEVGAWXJVCZWWPSDWWPEWX
      CCVHZVHZVIZWXRVJZVKQUUIRZWXCVLRZUUFNMZTZWXLAWXRWYBUUGVBZWXDWWRWXGPZVMZUBW
      XEUQZWYDWXPAWYEWYBWWRWXRWYBUUJNZVNZRZVORZWXCWXFUSZPZWYFVMZUBWXEUQZWYHAWWP
      QWXCURRZWXRVPZWYEWYPXGZADWWPWXQWYQAWWQWWPMZTZWXCQWXQVPWXQWYQMZXUAEWXCCQAW
      YTEUHZWXCMZCQMZKUUKZVQQWXCWXQVRUPFULVSZVTWAZVQZWYBUULMZWWPWBMZWYRWYSWYAUU
      SMZWXCWBMZXUJWYAWDMZXULWYAWYAWCZUUMZWYAUUNWEZUPFWFZWYAWYBWXCWBWYBWCZUUOWG
      ZOFWFZUBWYQWYAWYIWXRWWPWXEWYBWBOWYMXUNXUMWYQWYBWHNPXUPXURWYAWYBWXCQWDXUSW
      YAXUOUUPZWIWGZXUNXUMWYAWYBUUTNPXUPXURWYAWYBWXCWDWBXUSUUQWGZWYIWCZXULXUMWY
      MWYBUVANPXUQXURWYAWYBWXCWBOXUSWYAXUOUURZUVBWGZXVFXUNXUKWXEWYAWWPVLRZWHNPX
      UPXVAWYAXVHWWPQWDXVHWCXVBWIWGUVCUVDVFAWYOWYGUBWXEWWRWXEMZAWWPQWWRVPZWYOWY
      GXGWWRQWWPWJZAXVJTZWYNWXDWYFXVLWYNXUCWYLNZXUCWYMNZPZEWXCUQZWXDXVLWYLWXCWK
      ZWYMWXCWKZWYNXVPXGXVLWYLWYQMWXCQWYLVPXVQXVLWYLEWXCWXAVHZWYQXVLWYLWYBDWWPE
      WXCWWTVHZVHZVOREWXCWYADWWPWWTVHZVORZVHXVSXVLWYKXWAWYBVOXVLWYKDWWPWWSWXQWY
      IRZVHXWAXVLDWWPWWSWXQWYIWWRWXRWBSSXVLOFWLZXVLWYTTZWWQWWRWMWXQSMXWFEWXCCXU
      GWNZWOXVLDWWPQWWRAXVJUVEUVFXVLWXRWPWQXVLDWWPXWDXVTXWFXWDWXCWWSUJUSZWXQUNV
      NRXVTXWFWWSWYQWYAWYIUNWXCQWBWXQWYBXUSXVCXVBXWFUPFWLZXVJWYTWWSQMZAWWPQWWQW
      WRUVJZWRZAWYTXUBXVJXUHWSXVEQSMUNWYAUVGNPVRQVKWYAUNSXUOUVHUVIWEUVKXWFEWXCW
      WSCUNXWHWXQWBSQXWIXWFXUDTZWWQWWRWMAWYTXUDXUEXVJXUFWTXWHEWXCWWSVHPXWFEWXCW
      WSUVLWOXWFWXQWPWQXAXBXAXCXVLEDWYQWYAWWTWXCWWPWBWBWYBWYMXUSXVCXVGXVLUPFWLZ
      XWEXULXVLXUQWOXWFWXCQXVTVPXVTWYQMXWFEWXCWWTQXVLXUDWYTWWTQMZXVLXUDTZWYTTZX
      WJXUEXWOXVLWYTXWJXUDXWLWSAXUDWYTXUEXVJAWYTXUDXUEXUFXDWTWWSCUVRXEZXDVQQWXC
      XVTVRXUGVTWAXVLDWWPXWASSXVTWYMXWAWCXWEXVTSMXWFEWXCWWTXUGWNWOWYMSMXVLWXCWX
      FXUGOUVMUVSWOUVNUVOXVLEWXCXWCWXAXWPVKXWBVORXWCWXAXWPUAWWPUGUTQXWBVKWYASWB
      OUVPUVQXUOVKSMXWPUVTWOXWPOFWLZQUGXFZXWPXHWOZXWPDWWPWWTQXWRVQOQMZXWPOXIMZX
      XBXJOUWAZWEWOZWWJUGMZOWWJUTRWWJPZWWJOUTRWWJPZTXWPXXFXXGXXHWWJUWBWWJUWCUWI
      XKUWDXWPWWPWWTDXWSXWQWWSCXWPXVJWYTWWSUGMZAXVJXUDUWEXVJWYTTXWJXXIXWKWWSXLV
      FZXMAXUDWYTCUGMZXVJAWYTXUDXXKXUAXUDTZXUEXXKXUFCXLVFZXDWTXNZUWJUWFXBUWGZXV
      LWXCQXVSVPXVSWYQMXVLEWXCWXAQXWPUAUCWWPWWTQDXXAWWJQMUCUHZQMTWWJXXPUTRQMXWP
      WWJXXPUWHXKXWSXWRXXEUWKVQQWXCXVSVRXUGVTWAUWLWYLQWXCWJWXCQWYLYAXOOSMZXVRXP
      WXCOSXQWEEWXCWYLWYMEWYBWYKVOEWYBXREVOXREWWRWXRWYJEWWRXREWYJXREDWWPWXQEWWP
      XREWXCCUWMUWNXSXSEWYMXRUWOUWPXVLXVOWXBEWXCXWPXVMWXAXVNOXVLXUDXVMXUCXVSNZW
      XAXVLXUCWYLXVSXXOUWQXUDWXASMXXRWXAPWWPWWTDXTEWXCWXASXVSXVSWCUWSUWRUWTXUDX
      VNOPXVLWXCOXUCXPUXAXKUXBUXCUXDUXIYBUXCUXDWYEWXRUXEZSWXRVIZWYCTZWYDXUJWYAU
      XFMZWYEXYAXGXUTXUNXYBXUPWYAUXGWEZWXRWYAWYBXVDUXHWGXXTWXSWYCXXSWWPPXXTWXSX
      GDWWPWXQWXRXWGWXRWCUXJXXSWWPSWXRUXKWEUXLUXMWYHWWRWXHUXNZWXDVCZVMZUBWXEUQX
      YEUBWXIUQWXPWYGXYFUBWXEWYGWYFVCZXYEVMXYFWXDWYFUXOXYDXYGXYEXYDWWRWXHMWYFWW
      RWXHUXPUBWXGUXTUXQUXRUXSUYAXYEUBWXEWXHUYBWXDUBWXIUYCUYDUYEAWYCWXSWXLAWYCW
      XSWXLAWYCWXTUDUHZYCVBZXYHYOYDWYBUYFNZUYGNZMZTZUDWYAWXCUYHRZVJZUYIZUMZWXSW
      XLVMZAWYCXYQAWYCTZUAUCXYJWXTXYOYOXYKWYBUYLNZWYQUEUDXYJWYQUYJNMZXYSXUJYUAX
      UTWYQXYJWYBXVCXYJWCZUYKWEZWOXUJXYTXYJUYMNZPXUTXYJYUDXYTWYBYUBXYTWCZYUDWCU
      YNWEZXYKWCZWWJUEUHZXXPUJYDXYTNMUCYUHWWJUJZYDXYTNYUHXYTNUKUQUAWYQUQUEWYQUY
      IUQZXYSWYBUYOMZYUJYUKXUJXUNXUTXUPWYAWYBXVDUYPUYQYUKXYJWYQUYRNMYUJUAUCXYJX
      YTWYBWYQUEYUBYUFXVCUYSVUCWEWOAWXTWYQYOUKZXFWYCAWXTWYQYULAWWPWYQWXRXUIUYTZ
      WYQVUAZVUBYEXYOYULXFXYSXYOWYQYULWXCWYQXYNVPZXYOWYQXFXULXUMYUOXUQXURWYQWYA
      XYNWXCWBWYBXYNWCZXUSXVCVUDWGWXCWYQXYNVUEWEYUNVUFWOAWXTXYOYOYDZXYTNZXFWYCA
      WXTWYQYURYUMYURXYOXYTNZWYQYUQXYOXYTXYOYFVUGXYOWYBVUHNZMZYUSWYQPXULXUMYVAX
      UQXURWYAXYNWYBWXCYUTWBXUSYUPYUTWCZVUNWGXYOYUTXYTWYQWYBXVCYVBYUEVUIWEVUJVU
      BYEXYSWXTYOYDWXTXYKWXTYFWYCAWWJWXTYUIUKXYTNMVCZUAWXTUQZWXTXYKMZWYCYVCUAWX
      TXUJXYBTWYCWWJWXTMYVCXUJXYBXUTXYCVUKWWJWXTXYTWYAWYBYUEXVDVULVUMVUOAYVEYVD
      AYUAWXTWYQXFYVEYVDXGYUCYUMUAXYJWXTXYKXYTWYQYUFYUGVUPVUQVURYBVUSWXTWBMZXYO
      WBMZVUTXYSYVFYVGXUKWXRWBMYVFXVADWWPWXQVVAWXRVVBVVCVVDWOVVEYPAXYMXYRUDXYPA
      XYHXYPMZTXYIXYRXYLYVHAXYHXYOYGVBZXYIXYRVMXYOSMYVHXYHXYOXFYVIXYNWYAWXCUYHV
      SVVOXYHXYOVVFXYHXYOSVVGVVHAYVIXYIXYRYVIXYITWXTXYOYGVBZAXYRXYIYVIYVJWXTXYH
      XYOVVIYHAWXSYVJWXLWXSWWPWXTYCVBZAYVJWXLVMWXSWWPWXTWXRVVPYVKWWPSWXRVVJWWPW
      XTWXROFULVSVVKVFAYVKYVJWXLYVKYVJTWWPXYOYGVBZAWXLWWPWXTXYOVVIAYVLXYOWXCYCV
      BZWXLWXCXYOXYBXUMWXCXYOYCVBXYCXURWYAXYNWXCWBYUPVVLWGVVMYVLYVMTWWPWXCYGVBZ
      AWXLWWPXYOWXCVVNYVNWWPVVQNZWXCVVQNZVAVBZAWXLXUKXUMYVQYVNXGXVAXURWWPWXCWBV
      VRWGAYVOWXKYVPFVAAWXNYVOWXKPIFVVSVFAWXNYVPFPIFVVTVFVWAVWBVWCVWFYIVWDYIVWE
      YIVWGYBVWHVWIVWJVWKVWLVWMVWPWWRWXIMZAXVJWWRWXGYJZTZWXDWWOYVRXVIYVSTYVTWWR
      WXEWXGVWNXVIXVJYVSXVKVWOVWQAYVTWXDTTUCUGWWPWWSXXPWWQYKRZUNRZDUOZVHZWWNMZB
      YWDNZOPZWWOAYVTYWEWXDAYVTTYWDWWMMZYWDUIYJZYWEAXVJYWHYVSXVLUCWWSQDFXWTXVLX
      HWOAWXNXVJIYEZXWLVWRZYLAXVJYVSYWIXVLYWDUIWWRWXGXVLYWDYMNZWWPYNZWWRPZYWDUI
      PZYWMUIYMNZWWPYNZPZWYFXVLYWMWWRWXKYQNZWXFUSZYDZWWPYNZWWRXVLYWLYXAWWPXVLUC
      YXAQDYWDFYWKYWJXVLWWPYWSYDZQUGYDZYXAVPZVEUGYXAVPZXVJAYXEAXVJWWPYWSYRZYOPZ
      YXEAYOYXGAYOOWXKUPVXGRZULRZYWSYRYXGOWXKVWSAYXJWWPYWSAYXIFOULAFUGMYXIFPAFI
      VWTFVXAVFXCZVXBVXCZVXDZXVJYWSUGYWTVPZYXHYXEYWSWXFYWTVPZWXFUGXFYXNYWSOXPVX
      EZWXFQUGXXCXXBWXFQXFZXJXXDOQVXFVVCZXHVXHYWSWXFUGYWTVXIWGWWPYWSQUGWWRYWTVX
      RVXJYBYHAYXEYXFXGXVJAYXCYXDVEUGYXAAVEYXJYWSYDZYXCAVEOYQNZYXSVXKAWXKYXTMYX
      TYXSPAWXKVEYXTWXOVXKVXLOWXKVXMVFVXNAYXJWWPYWSYXKVXOVXPYXDUGPZAXWTYYAXHQUG
      VXQVXSWOVXTYEVGXVLWWRYWSYSZYWTYWSYSZYDYOWXFYDZYXAYWSYSWXFXVLYYBYOYYCWXFXV
      JWWRWWPWKZYXHYYBYOPAWWPQWWRYAZYXMWWPYWSWWRVYAVYBAYYCWXFPZXVJAYWSYWSYRZYOY
      JZYYGAYWSYOYJZYYIAWXKXIMWXKYWSMYYJAFAFIVYCVYDWXKVYEYWSWXKVYIXOYYHYWSYOYWS
      VYFVYGWAYWSWXFYWSVYHVFYEVYJWWRYWTYWSVYKYYDWXFYOYDWXFYOWXFVYLWXFYFVYMVYNXV
      LUCUGYWCWWPWWQYXANZYWAUNRZDUOXVLWWPYWBYYLDXWFWWSYYKYWAUNXWFYYKWWSXVLYYEYX
      HTWYTYYKWWSPZAYXHXVJYYEYXMYYFVYOYYEYXHWYTYYMYYEYWTYWSWKZYXHWYTTYYMXXQYYNX
      PYWSOSXQWEWWPYWSWWRYWTWWQVYSVYPVYQXMVXDVYRYTVYTWUAWUBXVJAYXBWWRPZAXVJWWRY
      XGYNZYWTYXGYNZPZYYOAWWRYOYNYOYYPYYQWWRWUCAYOYXGWWRYXLWUDAYOYWTYOYNYYQYWTW
      UCAYOYXGYWTYXLWUDVXCWUEXVJYWSQYWTVPZYYRYYOYXOYXQYYSYXPYXRYWSWXFQYWTVXIWGW
      WPYWSQWWRYWTWUFVYPYBYHXAYWOYWLYWPWWPYWDUIYMWUGWUBYWNYWRWYFYWNYWRTWWRYWQWX
      GYWMWWRYWQWUHYWQVEWXFUSZWWPYNZWXGYWPYYTWWPWUIWUJWWPVEXFUUUAWXGPUAWWPVEWWJ
      FWUKWULVEWXFWWPWUMWEVUJWUNYPWUSWUOWUPYWDWWMUIVWNWUQYLAXVJWXDYWGYVSAXVJWXD
      TZTZYWFWWPWWSBWWQYKRZUNRZDUOZOAYWFUUUFPZUUUBAWWIUUUGHUCBYWCUUUFUGYWDXXPBP
      ZWWPYWBUUUEDUUUHYWAUUUDWWSUNXXPBWWQYKWUTXCWURYWDWCWWPUUUEDXTWVHVFYEUUUCUU
      UFWXCOEUOZOUUUCUUUFWXCWWPWWTGUNRZDUOZEUOZUUUIAXVJUUUFUUULPWXDXVLUUUFWWPWX
      CUUUJEUOZDUOUUULXVLWWPUUUEUUUMDXWFWWSWXCCGUNRZEUOZUNRZWXCWWSUUUNUNRZEUOUU
      UEUUUMXWFWXCUUUNWWSEXWIXVJWYTXXIAXXJWRZAWYTXUDUUUNUGMXVJXXLCGXXMAXUDGUGMZ
      WYTJWSXNWTWVAAWYTUUUEUUUPPXVJXUAUUUDUUUOWWSUNLXCWSXWFWXCUUUJUUUQEXWMWWSCG
      XWFXXIXUDUUURYEAWYTXUDXXKXVJXXMWTXWFAXUDUUUSAXVJWYTWVBJXMWVCYTWVDYTXVLWWP
      WXCUUUJDEXWEXWNXVLWYTXUDTZTZWWTGUUVAWWSCXVJWYTXXIAXUDXXJWVEAUUUTXXKXVJAWY
      TXUDXXKXXMWVIWSXNAXUDUUUSXVJWYTJWVFXNWVGXAYLUUUCWXCUUUKOEUUUCUUUKOPZEWXCA
      UUUBEAEWVJXVJWXDEXVJEWVJWXBEWXCWVKWVLWVLUUUCXUDUUVBUUUCXUDTWXAGUNRZOGUNRZ
      UUUKOUUUBXUDUUVCUUVDPZAWXDXUDUUVEXVJWXDXUDTWXAOGUNWXBEWXCWVMVYRWRWRAXVJXU
      DUUVCUUUKPWXDXWPWWPWWTGDXWSAXUDUUUSXVJJWSXXNWVNWVSAXUDUUVDOPUUUBAXUDTGJWV
      OWSWVPYPWVQWVRXAWXCUFYQNXFZXUMVUTUUUIOPXUMUUVFXURWVTWXCEUFWWAWEWUNXAWWBWW
      LYWGUAYWDWWNWWJYWDPWWKYWFOBWWJYWDWWCWWDWWEXEWWFWWGBUAWWHWUQ $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Other results
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  Results not easily categorized.

$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Examples
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

  These should be moved into the "examples" section.  These exist to prove
  specific concrete examples of definitions; examples make definitions easier
  to understand, and proving them means that the examples are justifiably
  correct.

$)

$( (End of David A. Wheeler's mathbox.) $)
$( End $[ set-mbox-daw.mm $] $)


$( Begin $[ set-mbox-kz.mm $] $)
$( Skip $[ set-main.mm $] $)
$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
  Mathbox for Kunhao Zheng
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Weighted AM-GM inequality
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A a b s u v $.  $d A k y $.  $d F a b s u v w $.  $d F k w y $.
    $d F x a b u v w y $.  $d W a b s u v w $.  $d W k w y $.
    $d W x a b u v w y $.  $d a ph b s t u v w $.  $d k ph w y $.
    $d ph x t u v w y $.
    amgmwlem.0 $e |- M = ( mulGrp ` CCfld ) $.
    amgmwlem.1 $e |- ( ph -> A e. Fin ) $.
    amgmwlem.2 $e |- ( ph -> A =/= (/) ) $.
    amgmwlem.3 $e |- ( ph -> F : A --> RR+ ) $.
    amgmwlem.4 $e |- ( ph -> W : A --> RR+ ) $.
    amgmwlem.5 $e |- ( ph -> ( CCfld gsum W ) = 1 ) $.
    $( Weighted version of ~ amgmlem .  (Contributed by Kunhao Zheng,
       19-Jun-2021.) $)
    amgmwlem $p |-
          ( ph -> ( M gsum ( F oF ^c W ) ) <_ ( CCfld gsum ( F oF x. W ) ) ) $=
      ( vk co clog cfv ccnfld cmul crp wcel cr vx vy vw vu vv vs va vb ccxp cof
      vt cgsu ce cle wbr cv cneg cmpt ccom wa ffvelrnda relogcld recnd gsumfsum
      csu sumeq2dv renegcld negeqd rpcnd mulneg2d eqcomd 3eqtrd cfn cvv feqmptd
      negex a1i eqidd offval2 oveq2d negcld eqtrd wf wceq relogf1o ax-mp adantl
      syl off fvres ffnd fveq2d 3eqtr4d crefld cress c1 csubmnd cc csubg oveq1i
      cc0 wss subgsubm crg wb cnring cnfldbas cnfld0 eqid simpli ccmn cmnd mp1i
      c0g syl2anc df-refld ringmnd 1red fdmfifsupp gsumsubm gsumsubmcl rpmulcld
      fco rpssre fss sylancl fmpttd 0red cdiv simpr cpnf cioo eleqtrrdi clt w3a
      ioorp caddc 3ad2ant3 fveq2 fvmpt3i rpred rpcxpcld negnegd fsumneg logcxpd
      cres 3eqtr2rd mulcld wf1o f1of rpre anim2i rpcxpcl inidm fcompt mpteq2dva
      sylancr ofval cbs csn cdif cmgp rpmsubg cndrng unitsubm subsubm mp2b mpbi
      drngui submbas cnfld1 ringidval subm0 eqtri cncrng crngmgp submmnd subcmn
      ccrg csubrg cdr resubdrg subrgring cghm cmhm cgim reloggim gimghm gsummhm
      ghmmhm subrgsubg simprl mulcomd caofcom fsumrpcl eqeltrd eqeltrrd ringcmn
      simprr remulcl cicc simpl iccssioo2 sseqtrdi cico ioossico 0lt1 breqtrrid
      eqsstrri logccv 3adant1 simp21 remulcld resubcld simp22 readdcld eliooord
      elioore simpld elrpd simprd 1m0e1 breqtrrdi ltsub13d rpaddcl ltnegd mpbid
      cmin fvmptd oveq12d negdid eqtr4d 3brtr4d scvxcvx jensen div1d mulcl rpcn
      submid ssriv fssd fmptco 3brtr3d lenegcon1d eqbrtrrd efle reeflogd ) ADCE
      UIUJMZULMZNOZUMOZPCEQUJZMZULMZNOZUMOZVUIVUNUNAVUJVUOUNUOZVUKVUPUNUOZAPELB
      LUPZCOZNOZUQZURZVULMZULMZUQZVUJVUOUNAVVFPNRUUFZVUHUSZULMZVUIVVGOZVUJABVUS
      EOZVVBQMZLVEZUQZPLBVUTVVKUIMZNOZURZULMZVVFVVIAVVRBVVPLVEBVVPUQZUQZLVEZVVN
      ABVVPLGAVUSBSUTZVVPVWBVVOVWBVUTVVKABRVUSCIVAZVWBVVKABRVUSEJVAZUUAZUUBVBZV
      CZVDABVVTVVPLVWBVVPVWGUUCVFAVWABVVSLVEZUQBVVKVVAQMZUQZLVEZUQVVNABVVSLGVWB
      VVSVWBVVPVWFVGVCUUDAVWHVWKABVVSVWJLVWBVVPVWIVWBVUTVVKVWCVWEUUEVHVFVHAVWKV
      VMABVWJVVLLVWBVVLVWJVWBVVKVVAVWBVVKVWDVIZVWBVVAVWBVUTVWCVBZVCZVJVKVFVHVLU
      UGAVVEVVMAVVEPLBVVLURZULMVVMAVVDVWOPULALBVVKVVBQEVVCVMRVNGVWDVVBVNSVWBVVA
      VPVQALBREJVOZAVVCVRVSVTABVVLLGVWBVVKVVBVWLVWBVVAVWNWAUUHVDWBVHAVVHVVQPULA
      VVHLBVUSVUHOZVVGOZURZVVQARTVVGWCZBRVUHWCZVVHVWSWDRTVVGUUIZVWTWERTVVGUUJZW
      FAUAUBBBBUIRRRCEVMVMAUAUPZRSZUBUPZRSZUTZUTZVXEVXFTSZUTZVXDVXFUIMRSVXHVXKA
      VXGVXJVXEVXFUUKUULWGVXDVXFUUMWHIJGGBUUNZWIZLVVGVUHBRTUUOUUQALBVWRVVPVWBVW
      RVWQNOZVVPVWBVWQRSVWRVXNWDABRVUSVUHVXMVAVWQRNWJWHVWBVWQVVONABBVUTVVKUIBCE
      VMVMVUSABRCIWKABREJWKGGVXLVWBVUTVRVWBVVKVRUURWLWBUUPWBVTWMAWNVVHULMDRWOMZ
      VUHULMZVVGOVVIVVJABRVUHVXOWNVVGVMWPRDWQOZSZRVXOUUSOWDVXRRWRXAUUTUVAZXBZRD
      VXSWOMZWQOSZVXRVXTUTZRVYAWSOSVYBVYADPUVBOZVXSWOFWTUVCRVYAXCWFPXDSZVXSVXQS
      VYBVYCXEXFPVXSDWRPXAXGXHUVDUVIFUVERVXSDVYAVYAXIUVFUVGUVHXJZRVXODVXOXIZUVJ
      WFWPDXNOZVXOXNOZPWPDFUVKUVLZVXRVYHVYIWDVYFRVXODVYHVYGVYHXIUVMWFUVNADXKSZV
      XOXLSZVXOXKSPUVSSVYKAUVOPDFUVPXMZVXRVYLAVYFRVXODVYGUVQXMRDVXOVYGUVRXOWNXD
      SZWNXLSATPUVTOSZVYNVYOWNUWASUWBXJZTPWNXPUWCWFWNXQXMGVVGVXOWNUWDMSZVVGVXOW
      NUWEMSAVVGVXOWNUWFMSVYQVXODVYDRWOFWTUWGVXOWNVVGUWHWFVXOWNVVGUWJXMVXMABRVU
      HTWPVXMGAXRXSZUWIABTVVHPWNVMGTPWQOZSZATPWSOSZVYTVYOWUAVYPTPUWKWFTPXCWFVQZ
      AVWTVXABTVVHWCVXBVWTAWEVXCXMVXMBRTVVGVUHYCXOXPXTAVUIVXPVVGABRVUHDVXOVMGVX
      RAVYFVQZVXMVYGXTWLWMAVUIRSVVJVUJWDABRVUHDVMWPVYJVYMGWUCVXMVYRYAZVUIRNWJWH
      VLAVUOVVEAVUNAPECVULMZULMZVUNRAWUEVUMPULAUAUBBQRECVMGJIVXIVXDVXFVXIVXDAVX
      EVXGUWLVIVXIVXFAVXEVXGUWSVIUWMUWNVTZAWUFBVVKVUTQMZLVEZRAWUFPLBWUHURZULMWU
      IAWUEWUJPULALBVVKVUTQECVMRRGVWDVWCVWPALBRCIVOZVSVTABWUHLGVWBWUHVWBVVKVUTV
      WDVWCYBZVIVDWBABWUHLGHWULUWOUWPZUWQZVBZABTVVDPVMXAXHVYEPXKSAXFPUWRXMZGWUB
      AUAUBBBBQTTTEVVCVMVMVXDTSVXJUTVXDVXFQMZTSAVXDVXFUWTWGABREWCZRTXBZBTEWCJYD
      BRTEYEYFALBVVBTVWBVVAVWMVGYGGGVXLWIZABTVVDTXAWUTGAYHZXSYAAWUFPEULMZYIMZUC
      RUCUPZNOZUQZURZOZPEWVGCUSZVULMZULMZWVBYIMZVUOUQZVVEUNAWVCRSWVHWVLUNUOAUDU
      EUFBREWVGCUGUHWUSAYDVQZAUCRWVFTAWVDRSZUTZWVEWVPWVDAWVOYJVBZVGYGZUGUPZRSZU
      HUPZRSZUTZWVSWWAUXAMZRXBAWWCWWDXAYKYLMZRWWCWVSWWESWWAWWESWWDWWEXBWWCWVSRW
      WEWVTWWBUXBYPYMWWCWWARWWEWVTWWBYJYPYMXAYKWVSWWAUXCXOYPUXDWGZGAWURRXAYKUXE
      MZXBBWWGEWCJRWWEWWGYPXAYKUXFUXIBRWWGEYEYFIAXAWPWVBYNUXGKUXHAUAUBUKRUFUPWV
      GUDUPUEUPUGUHWVNWVRWWFAVXEVXGVXDVXFYNUOZYOZUKUPZXAWPYLMSZYOZWWJVXDQMZWPWW
      JUYHMZVXFQMZYQMZNOZUQZWWJVXDNOZQMZWWNVXFNOZQMZYQMZUQZWWPWVGOWWJVXDWVGOZQM
      ZWWNVXFWVGOZQMZYQMZYNWWLWXCWWQYNUOZWWRWXDYNUOWWIWWKWXJAVXDVXFWWJUXJUXKWWL
      WXCWWQWWLWWTWXBWWLWWJWWSWWKAWWJTSWWIWWJXAWPUXRZYRZWWLVXDAVXEVXGWWHWWKUXLZ
      VBZUXMZWWLWWNWXAWWKAWWNTSWWIWWKWPWWJWWKXRZWXKUXNZYRWWLVXFAVXEVXGWWHWWKUXO
      ZVBZUXMZUXPWWLWWPWWLWWMRSWWORSWWPRSWWLWWJVXDWWKAWWJRSWWIWWKWWJWXKWWKXAWWJ
      YNUOZWWJWPYNUOZWWJXAWPUXQZUXSUXTYRWXMYBWWLWWNVXFWWKAWWNRSWWIWWKWWNWXQWWKW
      WJWPXAWXKWXPWWKYHWWKWWJWPWPXAUYHMYNWWKWYAWYBWYCUYAUYBUYCUYDUXTYRZWXRYBWWM
      WWOUYEXOZVBUYFUYGWWLUCWWPWVFWWRRWVGVNWWLWVGVRWWLWVDWWPWDZUTWVEWWQWYFWVEWW
      QWDWWLWVDWWPNYSWGVHWYEWWRVNSWWLWWQVPVQUYIWWLWXIWWTUQZWXBUQZYQMWXDWWLWXFWY
      GWXHWYHYQWWLWXFWWJWWSUQZQMWYGWWLWXEWYIWWJQWWLVXEWXEWYIWDWXMUCVXDWVFWYIRWV
      GWVDVXDWDWVEWWSWVDVXDNYSVHWVGXIZWVEVPZYTWHVTWWLWWJWWSWWLWWJWXLVCWWLWWSWXN
      VCVJWBWWLWXHWWNWXAUQZQMWYHWWLWXGWYLWWNQWWLVXGWXGWYLWDWXRUCVXFWVFWYLRWVGWV
      DVXFWDWVEWXAWVDVXFNYSVHWYJWYKYTWHVTWWLWWNWXAWWLWWNWYDVIWWLWXAWXSVCVJWBUYJ
      WWLWWTWXBWWLWWTWXOVCWWLWXBWXTVCUYKUYLUYMUYNUYOUYAAWVHWUFWPYIMZWVGOWUFWVGO
      ZWVMAWVCWYMWVGAWVBWPWUFYIKVTWLAWYMWUFWVGAWUFAWUFWUMVIUYPWLAWYNWUFNOZUQZWV
      MAWUFRSWYNWYPWDWUMUCWUFWVFWYPRWVGWVDWUFWDWVEWYOWVDWUFNYSVHWYJWYKYTWHAWYOV
      UOAWUFVUNNWUGWLVHWBVLAWVLWVKWPYIMWVKVVEAWVBWPWVKYIKVTAWVKABWRWVJPVMXAXHWU
      PGPXLSZWRVYSSAVYEWYQXFPXQWFWRPXGUYSXMAUAUBBBBQWRWRWREWVIVMVMVXDWRSVXFWRSU
      TWUQWRSAVXDVXFUYQWGABRWREJRWRXBAUARWRVXDUYRUYTVQVUAARWRWVGWCBRCWCBWRWVIWC
      AUCRWVFWRWVPWVEWVPWVEWVQVCWAYGIBRWRWVGCYCXOGGVXLWIZABWRWVJTXAWYRGWVAXSYAU
      YPAWVJVVDPULAWVIVVCEVULALUCBRVUTWVFVVBCWVGVWCWUKAWVGVRWVDVUTWDWVEVVAWVDVU
      TNYSVHVUBVTVTVLVUCVUDVUEAVUJTSVUOTSVUQVURXEAVUIWUDVBWUOVUJVUOVUFXOUYGAVUK
      VUIAVUIWUDVUGVKAVUPVUNAVUNWUNVUGVKUYM $.
  $}

  ${
    $d A k x y $.  $d F k x $.  $d M k x y $.  $d k ph x y $.
    amgmlemALT.0 $e |- M = ( mulGrp ` CCfld ) $.
    amgmlemALT.1 $e |- ( ph -> A e. Fin ) $.
    amgmlemALT.2 $e |- ( ph -> A =/= (/) ) $.
    amgmlemALT.3 $e |- ( ph -> F : A --> RR+ ) $.
    $( Alternate proof of ~ amgmlem using ~ amgmwlem .  (Contributed by Kunhao
       Zheng, 20-Jun-2021.)  (Proof modification is discouraged.)
       (New usage is discouraged.) $)
    amgmlemALT $p |- ( ph -> ( ( M gsum F ) ^c ( 1 / ( # ` A ) ) ) <_
                                          ( ( CCfld gsum F ) / ( # ` A ) ) ) $=
      ( vk c1 cfv co ccxp cgsu ccnfld cmul crp wcel wceq cc vx vy vw chash cdiv
      csn cxp cof cle wf cn c0 wne cfn wb hashnncl syl mpbird rpreccld fconst6g
      nnrpd csu fconstmpt a1i oveq2d nnrecred recnd wa simpl cv simplr gsumfsum
      cmpt syl2anc fsumconst nncnd nnne0d recidd eqtrd 3eqtrd amgmwlem ccom wss
      cress cbs cr rpssre ax-resscn sstri cnfldbas mgpbas ressbas2 ax-mp cnfld1
      eqid c0g ringidval csubmnd cdif csubg cmgp oveq1i rpmsubg subgsubm cnring
      cc0 crg cnfld0 cndrng drngui unitsubm subsubm mpbi simpli subm0 ccmn cmnd
      eqtri ccrg cncrng crngmgp submmnd mp1i subcmn sylancr cghm cmhm cvv ssexi
      adantr rpcxpcld fmptd wbr rprege0d oveq1 fvmpt3i 3eqtr4d gsumsubm offval2
      oveq1d cplusg reex cnfldmul mgpplusg ressplusg cgrp cnex rpcndif0 ressabs
      difss ssriv mp2an eqtr4i subggrp simpr simprl simprr syl3anc rpmulcl ovex
      mulcxp adantl oveq12d isghmd fdmfifsupp gsummhm ffvelrnda feqmptd cbvmptv
      ghmmhm 1red fmptco 3eqtr4rd gsumcl eqtr4d 3eqtr3d rpcnd divrecd fsummulc1
      fsumcl eqtr2d mulcld 3brtr3d ) ADCBJBUDKZUELZUFUGZMUHLZNLZOCUWFPUHLZNLZDC
      NLZUWEMLZOCNLZUWDUELZUIABCDUWFEFGHAUWEQRZBQUWFUJAUWDAUWDAUWDUKRZBULUMZGAB
      UNRZUWPUWQUOFBUPUQURZVAUSZBUWEQUTUQAOUWFNLOIBUWEVMZNLZBUWEIVBZJAUWFUXAONU
      WFUXASAIBUWEVCVDZVEAUWRUWETRZUXBUXCSFAUWEAUWDUWSVFZVGZUWRUXEVHBUWEIUWRUXE
      VIUWRUXEIVJZBRZVKVLVNAUXCUWDUWEPLZJAUWRUXEUXCUXJSFUXGBUWEIVOVNAUWDAUWDUWS
      VPZAUWDUWSVQZVRVSVTWAADQWDLZIQUXHUWEMLZVMZCWBZNLZUXMCNLZUXOKZUWHUWLABQCUX
      MUXMUXOUNJQTWCQUXMWEKSQWFTWGWHWIQTUXMDUXMWOZTODEWJWKWLWMZJDWPKZUXMWPKZOJD
      EWNWQQDWRKZRZUYBUYCSUYEQTXFUFZWSZWCZQDUYGWDLZWRKRZUYEUYHVHZQUYIWTKRUYJUYI
      DOXAKZUYGWDEXBXCQUYIXDWMUYGUYDRZUYJUYKUOOXGRUYMXEOUYGDTOXFWJXHXIXJEXKWMQU
      YGDUYIUYIWOXLWMXMXNZQUXMDUYBUXTUYBWOXOWMXRZADXPRZUXMXQRZUXMXPROXSRUYPXTOD
      EYAWMUYEUYQAUYNQUXMDUXTYBYCZQDUXMUXTYDYEZUYRFAUXOUXMUXMYFLRUXOUXMUXMYGLRA
      UAUBPPUXMUXMUXOQQUYAUYAQYHRPUXMUUAKSQWFUUBWGYIQPDUXMYHUXTOPDEUUCUUDUUEWMZ
      UYTQUYLUYGWDLZWTKRUXMUUFRAVUAVUAWOXCQVUAUXMUXMUYLQWDLZVUAQWDLZDUYLQWDEXBU
      YGYHRUYHVUCVUBSUYGTUUGTUYFUUJYIUCQUYGUCVJUUHUUKUYGQUYLYHUUIUULUUMUUNYCZVU
      DAIQUXNQUXOAUXHQRZVHUXHUWEAVUEUUOAUWEWFRZVUEUXFYJYKUXOWOZYLAUAVJZQRZUBVJZ
      QRZVHZVHZVUHVUJPLZUWEMLZVUHUWEMLZVUJUWEMLZPLZVUNUXOKZVUHUXOKZVUJUXOKZPLVU
      MVUHWFRXFVUHUIYMVHVUJWFRXFVUJUIYMVHUXEVUOVURSVUMVUHAVUIVUKUUPZYNVUMVUJAVU
      IVUKUUQZYNAUXEVULUXGYJVUHVUJUWEUVAUURVUMVUNQRZVUSVUOSVULVVDAVUHVUJUUSUVBI
      VUNUXNVUOQUXOUXHVUNUWEMYOVUGUXHUWEMUUTZYPUQVUMVUTVUPVVAVUQPVUMVUIVUTVUPSV
      VBIVUHUXNVUPQUXOUXHVUHUWEMYOZVUGVVEYPUQVUMVUKVVAVUQSVVCIVUJUXNVUQQUXOUXHV
      UJUWEMYOVUGVVEYPUQUVCYQUVDUXMUXMUXOUVJUQHABQCWFJHFAUVKUVEZUVFADIBUXHCKZUW
      EMLZVMZNLUXMVVJNLUWHUXQABQVVJDUXMUNFUYEAUYNVDZAIBVVIQVVJAUXIVHZVVHUWEABQU
      XHCHUVGZAVUFUXIUXFYJYKVVJWOYLUXTYRAUWGVVJDNAIBVVHUWEMCUWFUNQQFVVMAUWOUXIU
      WTYJAIBQCHUVHZUXDYSVEAUXPVVJUXMNAIUABQVVHVUPVVICUXOVVMVVNUXOUAQVUPVMSAIUA
      QUXNVUPVVFUVIVDVUHVVHUWEMYOUVLVEUVMAUXSUXRUWEMLZUWLAUXRQRUXSVVOSABQCUXMUN
      JUYAUYOUYSFHVVGUVNIUXRUXNVVOQUXOUXHUXRUWEMYOVUGVVEYPUQAUWKUXRUWEMABQCDUXM
      UNFVVKHUXTYRYTUVOUVPAOIBVVHUWEPLZVMZNLZOIBVVHVMZNLZUWDUELZUWJUWNABVVPIVBZ
      BVVHIVBZUWDUELZVVRVWAAVWDVWCUWEPLVWBAVWCUWDABVVHIFVVLVVHVVMUVQZUVTUXKUXLU
      VRABVVHUWEIFUXGVWEUVSUWAABVVPIFVVLVVHUWEVWEAUXEUXIUXGYJZUWBVLAVVTVWCUWDUE
      ABVVHIFVWEVLYTYQAUWIVVQONAIBVVHUWEPCUWFUNQTFVVMVWFVVNUXDYSVEAUWMVVTUWDUEA
      CVVSONVVNVEYTYQUWC $.
  $}

  ${
    amgmw2d.0 $e |- ( ph -> A e. RR+ ) $.
    amgmw2d.1 $e |- ( ph -> P e. RR+ ) $.
    amgmw2d.2 $e |- ( ph -> B e. RR+ ) $.
    amgmw2d.3 $e |- ( ph -> Q e. RR+ ) $.
    amgmw2d.4 $e |- ( ph -> ( P + Q ) = 1 ) $.
    $( Weighted arithmetic-geometric mean inequality for ` n = 2 ` (compare
       ~ amgm2d ).  (Contributed by Kunhao Zheng, 20-Jun-2021.) $)
    amgmw2d $p |-
       ( ph -> ( ( A ^c P ) x. ( B ^c Q ) ) <_ ( ( A x. P ) + ( B x. Q ) ) ) $=
      ( ccnfld co cgsu cmul cc0 c2 wcel crp cc rpcnd cmgp cfv cs2 cof caddc cle
      ccxp cfzo eqid cfn fzofi a1i c0 wne cn lbfzo0 mpbir ne0i mp1i chash cword
      2nn wf s2cld wrdf syl s2len oveq2i feq2i sylib c1 cmnd crg cnring ringmnd
      wceq cnfldbas cnfldadd gsumws2 syl3anc eqtrd amgmwlem wa jca ofs2 syl2anc
      oveq2d ringmgp rpred rpcxpcld mgpbas cnfldmul mgpplusg rpmulcld 3brtr3d )
      AKUAUBZBCUCZDEUCZUGUDLZMLZKWQWRNUDLZMLZBDUGLZCEUGLZNLZBDNLZCENLZUELZUFAOP
      UHLZWQWPWRWPUIZXIUJQAOPUKULOXIQZXIUMUNAXKPUOQVBPUPUQXIOURUSAOWQUTUBZUHLZR
      WQVCZXIRWQVCAWQRVAZQXNABCRFHVDRWQVEVFXMXIRWQXLPOUHBCVGVHVIVJAOWRUTUBZUHLZ
      RWRVCZXIRWRVCAWRXOQXRADERGIVDRWRVEVFXQXIRWRXPPOUHDEVGVHVIVJAKWRMLZDEUELZV
      KAKVLQZDSQESQXSXTVPKVMQZYAAVNKVOUSZADGTAEITSUEDEKVQVRVSVTJWAWBAWTWPXCXDUC
      ZMLZXEAWSYDWPMABRQZCRQZWCZDRQZERQZWCZWSYDVPAYFYGFHWDZAYIYJGIWDZBCDEUGRRWE
      WFWGAWPVLQZXCSQXDSQYEXEVPYBYNAVNKWPXJWHUSAXCABDFADGWIWJTAXDACEHAEIWIWJTSN
      XCXDWPSKWPXJVQWKKNWPXJWLWMVSVTWAAXBKXFXGUCZMLZXHAXAYOKMAYHYKXAYOVPYLYMBCD
      ENRRWEWFWGAYAXFSQXGSQYPXHVPYCAXFABDFGWNTAXGACEHIWNTSUEXFXGKVQVRVSVTWAWO
      $.
  $}

  ${
    young2d.0 $e |- ( ph -> A e. RR+ ) $.
    young2d.1 $e |- ( ph -> P e. RR+ ) $.
    young2d.2 $e |- ( ph -> B e. RR+ ) $.
    young2d.3 $e |- ( ph -> Q e. RR+ ) $.
    young2d.4 $e |- ( ph -> ( ( 1 / P ) + ( 1 / Q ) ) = 1 ) $.
    $( Young's inequality for ` n = 2 ` , a direct application of ~ amgmw2d .
       (Contributed by Kunhao Zheng, 6-Jul-2021.) $)
    young2d $p |-
         ( ph -> ( A x. B ) <_ ( ( ( A ^c P ) / P ) + ( ( B ^c Q ) / Q ) ) ) $=
      ( ccxp co c1 cdiv cmul caddc rpred rpcxpcld rpreccld rpcnd amgmw2d rpne0d
      recidd oveq2d reccld cxpmuld cxp1d 3eqtr3d oveq12d divrecd eqcomd 3brtr3d
      cle ) ABDKLZMDNLZKLZCEKLZMENLZKLZOLUNUOOLZUQUROLZPLZBCOLUNDNLZUQENLZPLZUM
      AUNUQUOURABDFADGQZRZADGSACEHAEIQZRZAEISJUAAUPBUSCOABDUOOLZKLBMKLUPBAVJMBK
      ADADGTZADGUBZUCUDABDUOFVFADVKVLUEUFABABFTUGUHACEUROLZKLCMKLUSCAVMMCKAEAEI
      TZAEIUBZUCUDACEURHVHAEVNVOUEUFACACHTUGUHUIAVEVBAVCUTVDVAPAUNDAUNVGTVKVLUJ
      AUQEAUQVITVNVOUJUIUKUL $.
  $}

$( (End of Kunhao Zheng's mathbox.) $)
$( End $[ set-mbox-kz.mm $] $)

$( End $[ set-mbox.mm $] $)
